SET CACHE_SIZE 131072;         
;              
CREATE USER IF NOT EXISTS "SA" SALT 'd5e00d9e74210b40' HASH '6bf06bbd5172728a1f1e7a493baf84e980ba118e428f16c0dd25f185bbbe1285' ADMIN;          
CREATE CACHED TABLE "PUBLIC"."BLAST_PRODOM_LOCATION"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "MATCH_ID" BIGINT NOT NULL,
    "EVALUE" DOUBLE NOT NULL,
    "SCORE" DOUBLE NOT NULL
); 
ALTER TABLE "PUBLIC"."BLAST_PRODOM_LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_4" PRIMARY KEY("ID");         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.BLAST_PRODOM_LOCATION;    
CREATE CACHED TABLE "PUBLIC"."BLAST_PRODOM_LOCATION_FRAGMENT"(
    "ID" BIGINT NOT NULL,
    "DC_STATUS" VARCHAR(255) NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);         
ALTER TABLE "PUBLIC"."BLAST_PRODOM_LOCATION_FRAGMENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_9" PRIMARY KEY("ID");
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.BLAST_PRODOM_LOCATION_FRAGMENT;           
CREATE CACHED TABLE "PUBLIC"."BLAST_PRODOM_MATCH"(
    "ID" BIGINT NOT NULL,
    "SIGNATURE_MODELS" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL,
    "SIGNATURE_ID" BIGINT NOT NULL
);      
ALTER TABLE "PUBLIC"."BLAST_PRODOM_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_2" PRIMARY KEY("ID");            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.BLAST_PRODOM_MATCH;       
CREATE CACHED TABLE "PUBLIC"."CDD_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "BIT_SCORE" DOUBLE,
    "DEFINITION_LINE" VARCHAR(255),
    "EVALUE" DOUBLE,
    "HIT_TYPE" INTEGER,
    "INCOMPLETE" VARCHAR(255),
    "PSSM_ID" VARCHAR(255),
    "SESSION_NUMBER" INTEGER,
    "SHORT_NAME" VARCHAR(255),
    "SUPERFAMILY_PSSMID" VARCHAR(255)
);
ALTER TABLE "PUBLIC"."CDD_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_2A" PRIMARY KEY("ID");
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.CDD_RAW_MATCH;            
CREATE INDEX "PUBLIC"."CDD_RW_SEQ_IDX" ON "PUBLIC"."CDD_RAW_MATCH"("SEQUENCE_ID");             
CREATE INDEX "PUBLIC"."CDD_RW_NUM_SEQ_IDX" ON "PUBLIC"."CDD_RAW_MATCH"("NUMERIC_SEQUENCE_ID"); 
CREATE INDEX "PUBLIC"."CDD_RW_MODEL_IDX" ON "PUBLIC"."CDD_RAW_MATCH"("MODEL_ID");              
CREATE INDEX "PUBLIC"."CDD_RW_SIGLIB_IDX" ON "PUBLIC"."CDD_RAW_MATCH"("SIGNATURE_LIBRARY");    
CREATE INDEX "PUBLIC"."CDD_RW_SIGLIB_REL_IDX" ON "PUBLIC"."CDD_RAW_MATCH"("SIG_LIB_RELEASE");  
CREATE CACHED TABLE "PUBLIC"."CDD_RAW_SITE"(
    "ID" BIGINT NOT NULL,
    "FIRST_START" INTEGER,
    "LAST_END" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "RESIDUES" VARCHAR(6000) NOT NULL,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "TITLE" VARCHAR(255),
    "COMPLETE_SIZE" INTEGER,
    "HIT_TYPE" INTEGER,
    "MAPPED_SIZE" INTEGER,
    "PSSM_ID" VARCHAR(255),
    "SESSION_NUMBER" INTEGER
);
ALTER TABLE "PUBLIC"."CDD_RAW_SITE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_C" PRIMARY KEY("ID");  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.CDD_RAW_SITE;             
CREATE INDEX "PUBLIC"."CDD_RW_S_SEQ_IDX" ON "PUBLIC"."CDD_RAW_SITE"("SEQUENCE_ID");            
CREATE INDEX "PUBLIC"."CDD_RW_S_NUM_SEQ_IDX" ON "PUBLIC"."CDD_RAW_SITE"("NUMERIC_SEQUENCE_ID");
CREATE INDEX "PUBLIC"."CDD_RW_S_MODEL_IDX" ON "PUBLIC"."CDD_RAW_SITE"("MODEL_ID");             
CREATE INDEX "PUBLIC"."CDD_RW_S_SIGLIB_IDX" ON "PUBLIC"."CDD_RAW_SITE"("SIGNATURE_LIBRARY");   
CREATE INDEX "PUBLIC"."CDD_RW_S_SIGLIB_REL_IDX" ON "PUBLIC"."CDD_RAW_SITE"("SIG_LIB_RELEASE"); 
CREATE CACHED TABLE "PUBLIC"."COILS_LOCATION"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "MATCH_ID" BIGINT NOT NULL
);   
ALTER TABLE "PUBLIC"."COILS_LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_F" PRIMARY KEY("ID");
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.COILS_LOCATION;           
CREATE CACHED TABLE "PUBLIC"."COILS_LOCATION_FRAGMENT"(
    "ID" BIGINT NOT NULL,
    "DC_STATUS" VARCHAR(255) NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);
ALTER TABLE "PUBLIC"."COILS_LOCATION_FRAGMENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_FD" PRIMARY KEY("ID");      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.COILS_LOCATION_FRAGMENT;  
CREATE CACHED TABLE "PUBLIC"."COILS_MATCH"(
    "ID" BIGINT NOT NULL,
    "SIGNATURE_MODELS" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL,
    "SIGNATURE_ID" BIGINT NOT NULL
);             
ALTER TABLE "PUBLIC"."COILS_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_45" PRIMARY KEY("ID");  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.COILS_MATCH;              
CREATE CACHED TABLE "PUBLIC"."ENTRY"(
    "ID" BIGINT NOT NULL,
    "ABSTRACT_FIRST_CHUNK" VARCHAR(4000),
    "ACCESSION" VARCHAR(255) NOT NULL,
    "CREATED" TIMESTAMP,
    "DESCRIPTION_FIRST_CHUNK" VARCHAR(4000),
    "NAME" VARCHAR(255),
    "TYPE" INTEGER,
    "UPDATED" TIMESTAMP
); 
ALTER TABLE "PUBLIC"."ENTRY" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_3" PRIMARY KEY("ID");         
-- 40037 +/- SELECT COUNT(*) FROM PUBLIC.ENTRY;
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1, NULL, 'IPR005926', NULL, 'Tagatose-6-phosphate kinase', 'LacC', 4, NULL),
(2, NULL, 'IPR007081', NULL, 'RNA polymerase Rpb1, domain 5', 'RNA_pol_Rpb1_5', 3, NULL),
(3, NULL, 'IPR002274', NULL, 'Thyrotropin receptor', 'TSH_rcpt', 4, NULL),
(4, NULL, 'IPR000912', NULL, 'Herpesvirus major capsid protein', 'Herpes_MCP', 4, NULL),
(5, NULL, 'IPR006582', NULL, 'MD domain', 'MD_domain', 3, NULL),
(6, NULL, 'IPR005961', NULL, 'Phenylalanine-4-hydroxylase, tetrameric form', 'Phe-4-hydroxylase_tetra', 4, NULL),
(7, NULL, 'IPR005427', NULL, 'Salmonella/Shigella invasin protein C', 'BacInvasinC', 4, NULL),
(8, NULL, 'IPR007163', NULL, 'Protein of unknown function DUF368', 'DUF368', 4, NULL),
(9, NULL, 'IPR002245', NULL, 'Chloride channel ClC-3', 'Cl_channel-3', 4, NULL),
(10, NULL, 'IPR002171', NULL, 'Ribosomal protein L2', 'Ribosomal_L2', 4, NULL),
(11, NULL, 'IPR006555', NULL, 'ATP-dependent helicase, C-terminal', 'ATP-dep_Helicase_C', 3, NULL),
(12, NULL, 'IPR034551', NULL, 'Mucin-20', 'MUC20', 4, NULL),
(13, NULL, 'IPR006570', NULL, 'SPK domain', 'SPK_dom', 3, NULL),
(14, NULL, 'IPR007136', NULL, 'Protein of unknown function DUF347', 'DUF347', 7, NULL),
(15, NULL, 'IPR000850', NULL, 'Adenylate kinase/UMP-CMP kinase', 'Adenylat/UMP-CMP_kin', 4, NULL),
(16, NULL, 'IPR006576', NULL, 'BRK domain', 'BRK_domain', 3, NULL),
(17, NULL, 'IPR002153', NULL, 'Transient receptor potential channel, canonical', 'TRPC_channel', 4, NULL),
(18, NULL, 'IPR007132', NULL, 'Protein of unknown function DUF346', 'DUF346', 7, NULL),
(19, NULL, 'IPR000827', NULL, 'CC chemokine, conserved site', 'Chemokine_CC_CS', 2, NULL),
(20, NULL, 'IPR007159', NULL, 'SpoVT-AbrB domain', 'SpoVT-AbrB_dom', 3, NULL),
(21, NULL, 'IPR002201', NULL, 'Glycosyl transferase, family 9', 'Glyco_trans_9', 4, NULL),
(22, NULL, 'IPR005937', NULL, '26S proteasome regulatory subunit P45-like', '26S_Psome_P45-like', 4, NULL),
(23, NULL, 'IPR007645', NULL, 'RNA polymerase Rpb2, domain 3', 'RNA_pol_Rpb2_3', 3, NULL),
(24, NULL, 'IPR000864', NULL, 'Proteinase inhibitor I13, potato inhibitor I', 'Prot_inh_pot1', 4, NULL),
(25, NULL, 'IPR005928', NULL, '6-phospho-beta-galactosidase', '6P-beta-galactosidase', 4, NULL),
(26, NULL, 'IPR007125', NULL, 'Histone H2A/H2B/H3', 'Histone_H2A/H2B/H3', 3, NULL),
(27, NULL, 'IPR002231', NULL, '5-hydroxytryptamine receptor family', '5HT_rcpt', 4, NULL),
(28, NULL, 'IPR007147', NULL, 'Transcription factor Vhr', 'TF_Vhr', 4, NULL),
(29, NULL, 'IPR004885', NULL, 'Protein of unknown function FRD2', 'FRD2', 4, NULL),
(30, NULL, 'IPR007648', NULL, 'Mitochondrial ATPase inhibitor', 'ATPase_inhibitor_mt', 4, NULL),
(31, NULL, 'IPR001322', NULL, 'Lamin tail domain', 'Lamin_tail_dom', 3, NULL),
(32, NULL, 'IPR005933', NULL, 'Delta-1-pyrroline-5-carboxylate dehydrogenase 3', 'Delta1-pyrroline-5-COlate_DH-3', 3, NULL),
(33, NULL, 'IPR006584', NULL, 'Cellulose binding, type IV', 'Cellulose-bd_IV', 3, NULL),
(34, NULL, 'IPR005931', NULL, 'Delta-1-pyrroline-5-carboxylate dehydrogenase', 'P5CDH/ALDH4A1', 4, NULL),
(35, NULL, 'IPR007650', NULL, 'Zf-FLZ domain', 'Zf-FLZ_dom', 3, NULL),
(36, NULL, 'IPR004897', NULL, 'P/V phosphoprotein, paramyxoviral', 'P/V_Pprotein_paramyxoviral', 4, NULL),
(37, NULL, 'IPR007100', NULL, 'RNA-directed RNA polymerase, birnavirus', 'RNA-dir_pol_birnavirus', 4, NULL),
(38, NULL, 'IPR000837', NULL, 'AP-1 transcription factor', 'AP-1', 4, NULL),
(39, NULL, 'IPR002292', NULL, 'Ornithine/putrescine carbamoyltransferase', 'Orn/put_carbamltrans', 4, NULL),
(40, NULL, 'IPR007666', NULL, 'ADP-specific phosphofructokinase/glucokinase', 'ADP_PFK/GK', 4, NULL),
(41, NULL, 'IPR003034', NULL, 'SAP domain', 'SAP_dom', 3, NULL),
(42, NULL, 'IPR007146', NULL, 'Sas10/Utp3/C1D', 'Sas10/Utp3/C1D', 4, NULL),
(43, NULL, 'IPR034332', NULL, 'Uracil phosphoribosyltransferase, bacterial-type', 'Upp_B', 4, NULL),
(44, NULL, 'IPR005948', NULL, 'Thiamine/thiamin pyrophosphate-binding periplasmic protein, ABC transporter', 'ThiB-like', 4, NULL),
(45, NULL, 'IPR007123', NULL, 'Gelsolin-like domain', 'Gelsolin-like_dom', 3, NULL),
(46, NULL, 'IPR003597', NULL, 'Immunoglobulin C1-set', 'Ig_C1-set', 3, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(47, NULL, 'IPR000999', NULL, 'Ribonuclease III domain', 'RNase_III_dom', 3, NULL),
(48, NULL, 'IPR005443', NULL, 'Voltage-dependent calcium channel, L-type, beta-1 subunit', 'VDCC_L_b1su', 4, NULL),
(49, NULL, 'IPR003036', NULL, 'Core shell protein Gag P30', 'Gag_P30', 3, NULL),
(50, NULL, 'IPR006530', NULL, 'YD repeat', 'YD', 7, NULL),
(51, NULL, 'IPR001333', NULL, 'Peptidase M32, carboxypeptidase Taq', 'Peptidase_M32_Taq', 4, NULL),
(52, NULL, 'IPR007118', NULL, 'Expansin/Lol pI', 'Expan_Lol_pI', 4, NULL),
(53, NULL, 'IPR007133', NULL, 'RNA polymerase II associated factor Paf1', 'RNA_pol_II-assoc_Paf1', 4, NULL),
(54, NULL, 'IPR005930', NULL, 'Pyruvate carboxylase', 'Pyruv_COase', 4, NULL),
(55, NULL, 'IPR000871', NULL, 'Beta-lactamase, class-A', 'Beta-lactam_class-A', 4, NULL),
(56, NULL, 'IPR002159', NULL, 'CD36 family', 'CD36_fam', 4, NULL),
(57, NULL, 'IPR006551', NULL, 'Polynucleotide 3''-phosphatase', 'Polynucleotide_phosphatase', 3, NULL),
(58, NULL, 'IPR003035', NULL, 'RWP-RK domain', 'RWP-RK_dom', 3, NULL),
(59, NULL, 'IPR004896', NULL, 'PucC-related', 'PucC-rel', 4, NULL),
(60, NULL, 'IPR005426', NULL, 'Potassium channel, voltage-dependent, beta subunit, KCNE3', 'K_chnl_volt-dep_bsu_KCNE3', 4, NULL),
(61, NULL, 'IPR000965', NULL, 'GPR domain', 'GPR_dom', 3, NULL),
(62, NULL, 'IPR005915', NULL, 'Tandem five-TM protein', 'Tandem_5TM', 4, NULL),
(63, NULL, 'IPR034577', NULL, 'Protein NIM1-INTERACTING 2', 'NIMIN-2', 4, NULL),
(64, NULL, 'IPR003022', NULL, 'Transcription factor Otx2', 'Otx2_TF', 4, NULL),
(65, NULL, 'IPR000845', NULL, 'Nucleoside phosphorylase domain', 'Nucleoside_phosphorylase_d', 3, NULL),
(66, NULL, 'IPR006520', NULL, 'Streptococcus phage 7201, Orf34, N-terminal', 'Phage_7201_Orf34_N', 3, NULL),
(67, NULL, 'IPR005950', NULL, 'Molybdate ABC transporter, substrate-binding protein', 'ModA', 4, NULL),
(68, NULL, 'IPR000983', NULL, 'Bacterial general secretion pathway protein G-type pilin', 'Bac_GSPG_pilin', 4, NULL),
(69, NULL, 'IPR001013', NULL, 'Neurokinin NK3 receptor', 'NK3_rcpt', 4, NULL),
(70, NULL, 'IPR005440', NULL, 'Gamma-aminobutyric-acid A receptor, gamma 3 subunit', 'GABBAg3_rcpt', 4, NULL),
(71, NULL, 'IPR001325', NULL, 'Interleukin-4/interleukin-13', 'IL-4/IL-13', 4, NULL),
(72, NULL, 'IPR006574', NULL, 'SPRY-associated', 'PRY', 3, NULL),
(73, NULL, 'IPR003586', NULL, 'Hint domain C-terminal', 'Hint_dom_C', 3, NULL),
(74, NULL, 'IPR005953', NULL, 'ATP synthase, F0 complex, subunit C, bacterial/chloroplast', 'ATP_synth_csu_bac/chlpt', 4, NULL),
(75, NULL, 'IPR000868', NULL, 'Isochorismatase-like', 'Isochorismatase-like', 3, NULL),
(76, NULL, 'IPR007097', NULL, 'RNA-directed RNA polymerase, reovirus', 'RNA-dir_pol_reovirus', 3, NULL),
(77, NULL, 'IPR005949', NULL, 'Formate acetyltransferase', 'Form_AcTrfase', 4, NULL),
(78, NULL, 'IPR002230', NULL, 'Cannabinoid receptor family', 'Cnbnoid_rcpt', 4, NULL),
(79, NULL, 'IPR000978', NULL, 'Adenoviral fibre protein, knob', 'Adeno_fibre_knob', 3, NULL),
(80, NULL, 'IPR005441', NULL, 'Preproghrelin peptide', 'Preproghrelin', 4, NULL),
(81, NULL, 'IPR006579', NULL, 'Pre-C2HC  domain', 'Pre_C2HC_dom', 3, NULL),
(82, NULL, 'IPR003570', NULL, 'Cytochrome c-type biogenesis protein NrfE', 'Cyt_c_biogenesis_NrfE', 4, NULL),
(83, NULL, 'IPR007096', NULL, 'RNA-directed RNA polymerase, bacteriophage, catalytic domain', 'RNA-dir_Rpol_phage_catalytic', 3, NULL),
(84, NULL, 'IPR007156', NULL, 'MamQ/LemA', 'MamQ_LemA', 4, NULL),
(85, NULL, 'IPR002251', NULL, 'Chloride channel ClC-plant', 'Cl_channel_pln', 4, NULL),
(86, NULL, 'IPR005448', NULL, 'Voltage-dependent calcium channel, P/Q-type, alpha-1 A', 'CACNA1A', 4, NULL),
(87, NULL, 'IPR000352', NULL, 'Peptide chain release factor class I', 'Pep_chain_release_fac_I', 3, NULL),
(88, NULL, 'IPR007148', NULL, 'Small-subunit processome, Utp12', 'SSU_processome_Utp12', 3, NULL),
(89, NULL, 'IPR003602', NULL, 'DNA topoisomerase, type IA, DNA-binding domain', 'Topo_IA_DNA-bd_dom', 3, NULL),
(90, NULL, 'IPR005944', NULL, 'Proline iminopeptidase', 'Pro_iminopeptidase', 4, NULL),
(91, NULL, 'IPR007130', NULL, 'Diacylglycerol acyltransferase', 'DAGAT', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(92, NULL, 'IPR005935', NULL, 'Diphosphomevalonate/phosphomevalonate decarboxylase', 'Mev_decarb', 4, NULL),
(93, NULL, 'IPR006561', NULL, 'DZF domain', 'DZF_dom', 3, NULL),
(94, NULL, 'IPR003024', NULL, 'Sodium bicarbonate cotransporter', 'Na/HCO3_transpt', 4, NULL),
(95, NULL, 'IPR006542', NULL, 'Protein of unknown function DUF1093', 'DUF1093', 4, NULL),
(96, NULL, 'IPR005425', NULL, 'Potassium channel, voltage-dependent, beta subunit, KCNE2', 'K_chnl_volt-dep_bsu_KCNE2', 4, NULL),
(97, NULL, 'IPR002242', NULL, 'Chloride channel ClC-0', 'Cl_channel-0', 4, NULL),
(98, NULL, 'IPR007129', NULL, 'Ubiquinol-cytochrome c chaperone, CBP3', 'Ubiqinol_cyt_c_chaperone_CPB3', 4, NULL),
(99, NULL, 'IPR003026', NULL, 'Transcription factor Otx1', 'Otx1_TF', 4, NULL),
(100, NULL, 'IPR003558', NULL, 'Cytolethal distending toxin A/C', 'CDtoxinA/C', 4, NULL),
(101, NULL, 'IPR001265', NULL, 'Formin homology family, Cappuccino subfamily', 'Formin_Cappuccino_subfam', 4, NULL),
(102, NULL, 'IPR003029', NULL, 'S1 domain', 'S1_domain', 3, NULL),
(103, NULL, 'IPR005965', NULL, '1-aminocyclopropane-1-carboxylate deaminase', 'ACP_carboxylate_deaminase', 4, NULL),
(104, NULL, 'IPR007142', NULL, 'Haemagglutinin-esterase glycoprotein, core', 'Hemagglutn-estrase_core', 3, NULL),
(105, NULL, 'IPR000905', NULL, 'Gcp-like domain', 'Gcp-like_dom', 3, NULL),
(106, NULL, 'IPR007153', NULL, 'Adenosine specific kinase', 'Adenosine_kinase', 4, NULL),
(107, NULL, 'IPR000374', NULL, 'Phosphatidate cytidylyltransferase', 'PC_trans', 4, NULL),
(108, NULL, 'IPR003583', NULL, 'Helix-hairpin-helix DNA-binding motif, class 1', 'Hlx-hairpin-Hlx_DNA-bd_motif', 3, NULL),
(109, NULL, 'IPR004886', NULL, 'Glucanosyltransferase', 'Glucanosyltransferase', 4, NULL),
(110, NULL, 'IPR002258', NULL, 'Chemerin-like receptor 1', 'CML1', 4, NULL),
(111, NULL, 'IPR006578', NULL, 'MADF domain', 'MADF-dom', 3, NULL),
(112, NULL, 'IPR000888', NULL, 'dTDP-4-dehydrorhamnose 3,5-epimerase-related', 'dTDP_sugar_isom', 4, NULL),
(113, NULL, 'IPR000977', NULL, 'DNA ligase, ATP-dependent', 'DNA_ligase_ATP-dep', 4, NULL),
(114, NULL, 'IPR005445', NULL, 'Voltage-dependent calcium channel, T-type, alpha-1 subunit', 'VDCC_T_a1', 4, NULL),
(115, NULL, 'IPR002173', NULL, 'Carbohydrate/purine kinase, PfkB, conserved site', 'Carboh/pur_kinase_PfkB_CS', 2, NULL),
(116, NULL, 'IPR003027', NULL, 'Exonuclease Rec1, Ustilaginaceae', 'Rec1_exonuc_Ustilaginaceae', 4, NULL),
(117, NULL, 'IPR002281', NULL, 'Protease-activated receptor 2', 'Pro_rcpt_2', 4, NULL),
(118, NULL, 'IPR005947', NULL, 'Thiamine ABC transporter, permease protein', 'ThiP_ABC_transpt', 4, NULL),
(119, NULL, 'IPR000960', NULL, 'Flavin monooxygenase FMO', 'Flavin_mOase', 4, NULL),
(120, NULL, 'IPR002298', NULL, 'DNA polymerase A', 'DNA_polymerase_A', 4, NULL),
(121, NULL, 'IPR003604', NULL, 'Matrin/U1-C-like, C2H2-type zinc finger', 'Matrin/U1-like-C_Znf_C2H2', 3, NULL),
(122, NULL, 'IPR000341', NULL, 'Phosphatidylinositol 3-kinase Ras-binding (PI3K RBD) domain', 'PI3K_Ras-bd_dom', 3, NULL),
(123, NULL, 'IPR005424', NULL, 'Potassium voltage-gated channel subfamily E member 1', 'KCNE1', 4, NULL),
(124, NULL, 'IPR007166', NULL, 'Class III signal peptide motif', 'Class3_signal_pept_motif', 2, NULL),
(125, NULL, 'IPR005964', NULL, 'Bacterial glucose/galactose transporter', 'Glc/Gal_transptr_bac', 4, NULL),
(126, NULL, 'IPR007085', NULL, 'DNA/pantothenate metabolism flavoprotein, C-terminal', 'DNA/pantothenate-metab_flavo_C', 3, NULL),
(127, NULL, 'IPR006521', NULL, 'Tail protein I', 'Tail_protein_I', 4, NULL),
(128, NULL, 'IPR004894', NULL, 'Borrelia outer surface protein D OspD', 'OspD', 4, NULL),
(129, NULL, 'IPR001273', NULL, 'Aromatic amino acid hydroxylase', 'ArAA_hydroxylase', 4, NULL),
(130, NULL, 'IPR006585', NULL, 'Fucolectin tachylectin-4 pentraxin-1', 'FTP1', 3, NULL),
(131, NULL, 'IPR034563', NULL, 'Protein PALE CRESS', 'PALE_CRESS', 4, NULL),
(132, NULL, 'IPR006565', NULL, 'Bromodomain associated domain', 'BTP', 3, NULL),
(133, NULL, 'IPR005913', NULL, 'dTDP-4-dehydrorhamnose reductase family', 'dTDP_dehydrorham_reduct', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(134, NULL, 'IPR005923', NULL, 'Formiminoglutamase', 'HutG', 4, NULL),
(135, NULL, 'IPR002202', NULL, 'Hydroxymethylglutaryl-CoA reductase, class I/II', 'HMG_CoA_Rdtase', 4, NULL),
(136, NULL, 'IPR001371', NULL, 'Glycoside hydrolase, family 14B, plant', 'Glyco_hydro_14B_pln', 4, NULL),
(137, NULL, 'IPR005960', NULL, 'Phenylalanine-4-hydroxylase, monomeric form', 'Phe-4-hydroxylase_mono', 4, NULL),
(138, NULL, 'IPR007169', NULL, 'Extracellular matrix regulatory protein A', 'RemA', 4, NULL),
(139, NULL, 'IPR005428', NULL, 'CD36/scavenger receptor class B member 1', 'CD36/SCARB1/SNMP1', 4, NULL),
(140, NULL, 'IPR006554', NULL, 'Helicase-like, DEXD box c2 type', 'Helicase-like_DEXD_c2', 3, NULL),
(141, NULL, 'IPR034590', NULL, 'POLYCHOME/GIGAS CELL1', 'POLYCHOME/GIG1', 4, NULL),
(142, NULL, 'IPR001312', NULL, 'Hexokinase', 'Hexokinase', 4, NULL),
(143, NULL, 'IPR000874', NULL, 'Bombesin/neuromedin-B/ranatensin peptide family', 'Bombesin', 4, NULL),
(144, NULL, 'IPR000351', NULL, 'Neuropeptide Y1 receptor', 'NPY1_rcpt', 4, NULL),
(145, NULL, 'IPR000832', NULL, 'GPCR, family 2, secretin-like', 'GPCR_2_secretin-like', 4, NULL),
(146, NULL, 'IPR007664', NULL, 'Poxvirus A28', 'Poxvirus_A28', 4, NULL),
(147, NULL, 'IPR002208', NULL, 'SecY/SEC61-alpha family', 'SecY/SEC61-alpha', 4, NULL),
(148, NULL, 'IPR003559', NULL, 'Cytolethal distending toxin C', 'CDtoxinC', 4, NULL),
(149, NULL, 'IPR000362', NULL, 'Fumarate lyase family', 'Fumarate_lyase_fam', 4, NULL),
(150, NULL, 'IPR003018', NULL, 'GAF domain', 'GAF', 3, NULL),
(151, NULL, 'IPR007158', NULL, 'tRNA (pseudouridine(54)-N(1))-methyltransferase,  TrmY', 'TrmY', 4, NULL),
(152, NULL, 'IPR006537', NULL, 'Cobaltochelatase subunit CobS', 'PD_CobS', 4, NULL),
(153, NULL, 'IPR007669', NULL, 'Carbohydrate sulfotransferase Chst-1', 'Chst-1', 4, NULL),
(154, NULL, 'IPR002197', NULL, 'DNA binding HTH domain,  Fis-type', 'HTH_Fis', 3, NULL),
(155, NULL, 'IPR007659', NULL, 'Keratin, high-sulphur matrix protein', 'Keratin_matx', 4, NULL),
(156, NULL, 'IPR003594', NULL, 'Histidine kinase/HSP90-like ATPase', 'HATPase_C', 3, NULL),
(157, NULL, 'IPR000944', NULL, 'Transcription regulator Rrf2', 'Tscrpt_reg_Rrf2', 4, NULL),
(158, NULL, 'IPR005966', NULL, 'D-cysteine desulfhydrase', 'D-Cys_desShydrase', 4, NULL),
(159, NULL, 'IPR007117', NULL, 'Expansin, cellulose-binding-like domain', 'Expansin_CBD', 3, NULL),
(160, NULL, 'IPR005967', NULL, 'Thiamin/thiamin pyrophosphate ABC transporter, substrate-binding protein, Proteobacteria', 'ThiB', 4, NULL),
(161, NULL, 'IPR002190', NULL, 'MAGE homology domain', 'MHD_dom', 3, NULL),
(162, NULL, 'IPR005957', NULL, 'Tyrosine aminotransferase', 'Tyrosine_aminoTrfase', 4, NULL),
(163, NULL, 'IPR002275', NULL, 'Chemerin-like receptor 2', 'CML2', 4, NULL),
(164, NULL, 'IPR000890', NULL, 'Aliphatic acid kinase, short-chain', 'Aliphatic_acid_kin_short-chain', 4, NULL),
(165, NULL, 'IPR000847', NULL, 'Transcription regulator HTH, LysR', 'Tscrpt_reg_HTH_LysR', 3, NULL),
(166, NULL, 'IPR003019', NULL, 'Metallothionein', 'Metalthion', 4, NULL),
(167, NULL, 'IPR007145', NULL, 'Microtubule-associated protein, MAP65/Ase1/PRC1', 'MAP65_Ase1_PRC1', 4, NULL),
(168, NULL, 'IPR007127', NULL, 'RNA polymerase sigma factor 70, region 1.1', 'RNA_pol_sigma_70_r1_1', 3, NULL),
(169, NULL, 'IPR006522', NULL, 'Phage virion morphogensis protein', 'Phage_virion_morphogenesis', 4, NULL),
(170, NULL, 'IPR000957', NULL, 'Sulphate/thiosulphate-binding, conserved site', 'Sulphate/thiosulphate-bd_CS', 2, NULL),
(171, NULL, 'IPR003567', NULL, 'Cytochrome c-type biogenesis protein', 'Cyt_c_biogenesis', 4, NULL),
(172, NULL, 'IPR006518', NULL, 'Trypanosome RHS', 'Trypano_RHS', 4, NULL),
(173, NULL, 'IPR007098', NULL, 'RNA-directed RNA polymerase, mononegavirus', 'RNA-dir_pol_mononegavirus', 3, NULL),
(174, NULL, 'IPR000834', NULL, 'Peptidase M14, carboxypeptidase A', 'Peptidase_M14', 3, NULL),
(175, NULL, 'IPR000995', NULL, 'Muscarinic acetylcholine receptor family', 'Musac_Ach_rcpt', 4, NULL),
(176, NULL, 'IPR006535', NULL, 'HnRNP R/Q splicing factor', 'HnRNP_R/Q_splicing_fac', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(177, NULL, 'IPR007099', NULL, 'RNA-directed RNA polymerase, negative-strand RNA virus', 'RNA-dir_pol_NSvirus', 3, NULL),
(178, NULL, 'IPR005909', NULL, 'Archaeosine synthase subunit beta', 'RaSEA', 4, NULL),
(179, NULL, 'IPR002194', NULL, 'Chaperonin TCP-1, conserved site', 'Chaperonin_TCP-1_CS', 2, NULL),
(180, NULL, 'IPR006573', NULL, 'Neuralized homology repeat (NHR) domain', 'NHR_dom', 3, NULL),
(181, NULL, 'IPR005429', NULL, 'Lysosome membrane protein II', 'LimpII', 4, NULL),
(182, NULL, 'IPR006531', NULL, 'Gp5/Type VI secretion system Vgr protein, OB-fold domain', 'Gp5/Vgr_OB', 3, NULL),
(183, NULL, 'IPR005963', NULL, 'Tryptophan 5-monooxygenase', 'Trp_5_mOase', 4, NULL),
(184, NULL, 'IPR000354', NULL, 'Involucrin repeat', 'Involucrin_rpt', 7, NULL),
(185, NULL, 'IPR005939', NULL, 'Beta-lactamase hydrolase-like protein, phosphatase-like domain', 'BLH_phosphatase-like', 3, NULL),
(186, NULL, 'IPR005927', NULL, 'Tagatose 1,6-diphosphate aldolase', 'Tag_1.6-dipho_adolase', 4, NULL),
(187, NULL, 'IPR024675', NULL, 'Eukaryotic translation initiation factor 3 subunit G, N-terminal', 'eIF3g_N', 3, NULL),
(188, NULL, 'IPR002155', NULL, 'Thiolase', 'Thiolase', 4, NULL),
(189, NULL, 'IPR003562', NULL, 'Mutator MutX protein', 'Mutator_MutX_prot', 4, NULL),
(190, NULL, 'IPR000939', NULL, 'Adenoviral fibre protein, repeat/shaft region', 'Adenobir_fibre_prot_rpt/shaft', 7, NULL),
(191, NULL, 'IPR034586', NULL, 'GTPase activating protein complex, subunit Bfa1/Byr4', 'Bfa1/Byr4', 4, NULL),
(192, NULL, 'IPR002236', NULL, 'CC chemokine receptor 1', 'Chemokine_CCR1', 4, NULL),
(193, NULL, 'IPR005958', NULL, 'Tyrosine/nicotianamine aminotransferase', 'TyrNic_aminoTrfase', 4, NULL),
(194, NULL, 'IPR001287', NULL, 'Nitrite reductase, copper-type', 'NO2-reductase_Cu', 4, NULL),
(195, NULL, 'IPR007157', NULL, 'PspA/IM30', 'PspA_IM30', 4, NULL),
(196, NULL, 'IPR007121', NULL, 'RNA polymerase, beta subunit, conserved site', 'RNA_pol_bsu_CS', 2, NULL),
(197, NULL, 'IPR002235', NULL, 'CXC chemokine receptor 6', 'Chemokine_CXCR6', 4, NULL),
(198, NULL, 'IPR034325', NULL, 'S-100', 'S-100_dom', 3, NULL),
(199, NULL, 'IPR000877', NULL, 'Proteinase inhibitor I12, Bowman-Birk', 'Prot_inh_BBI', 3, NULL),
(200, NULL, 'IPR007139', NULL, 'Protein of unknown function DUF349', 'DUF349', 7, NULL),
(201, NULL, 'IPR034338', NULL, 'Glutathione S-transferases, subfamily 4, C-terminal', 'GST_4_C', 3, NULL),
(202, NULL, 'IPR003563', NULL, 'Oxidized purine nucleoside triphosphate', '8ODP', 4, NULL),
(203, NULL, 'IPR007109', NULL, 'Brix domain', 'Brix', 3, NULL),
(204, NULL, 'IPR007111', NULL, 'NACHT nucleoside triphosphatase', 'NACHT_NTPase', 3, NULL),
(205, NULL, 'IPR003568', NULL, 'Cytochrome c-type biogenesis protein CcmF', 'Cyt_c_biogenesis_CcmF', 4, NULL),
(206, NULL, 'IPR007149', NULL, 'Leo1-like protein', 'Leo1', 4, NULL),
(207, NULL, 'IPR001304', NULL, 'C-type lectin-like', 'C-type_lectin-like', 3, NULL),
(208, NULL, 'IPR005920', NULL, 'Imidazolonepropionase', 'HutI', 4, NULL),
(209, NULL, 'IPR001269', NULL, 'tRNA-dihydrouridine synthase', 'DUS_fam', 4, NULL),
(210, NULL, 'IPR002200', NULL, 'Elicitin', 'Elicitin', 4, NULL),
(211, NULL, 'IPR002277', NULL, 'Lysophosphatidic acid receptor EDG-2', 'LPA_rcpt_EDG2', 4, NULL),
(212, NULL, 'IPR007164', NULL, 'GTP-dependent dephospho-CoA kinase', 'GTP-dep_dephospho-CoA_kin', 4, NULL),
(213, NULL, 'IPR005929', NULL, 'Ribulokinase', 'Ribulokinase', 4, NULL),
(214, NULL, 'IPR006548', NULL, 'Splicing factor ELAV/Hu', 'ELAD_HU_SF', 4, NULL),
(215, NULL, 'IPR007165', NULL, 'Mycobacterial 4 TMS phage holin, superfamily IV', 'Phage_holin_4_2', 4, NULL),
(216, NULL, 'IPR007646', NULL, 'RNA polymerase Rpb2, domain 4', 'RNA_pol_Rpb2_4', 3, NULL),
(217, NULL, 'IPR007657', NULL, 'Glycosyltransferase 61', 'Glycosyltransferase_61', 4, NULL),
(218, NULL, 'IPR003582', NULL, 'ShKT domain', 'ShKT_dom', 3, NULL),
(219, NULL, 'IPR001266', NULL, 'Ribosomal protein S19e', 'Ribosomal_S19e', 4, NULL),
(220, NULL, 'IPR002189', NULL, 'F-actin-capping protein subunit alpha', 'CapZ_alpha', 4, NULL),
(221, NULL, 'IPR006536', NULL, 'HnRNP-L/PTB', 'HnRNP-L/PTB', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(222, NULL, 'IPR007119', NULL, 'Phage minor structural protein, N-terminal domain', 'Phage_minor_struct_N', 3, NULL),
(223, NULL, 'IPR007094', NULL, 'RNA-directed RNA polymerase,  catalytic domain', 'RNA-dir_pol_PSvirus', 3, NULL),
(224, NULL, 'IPR000924', NULL, 'Glutamyl/glutaminyl-tRNA synthetase', 'Glu/Gln-tRNA-synth', 4, NULL),
(225, NULL, 'IPR006550', NULL, 'Bifunctional polynucleotide phosphatase/kinase PNKP', 'PNKP', 4, NULL),
(226, NULL, 'IPR002288', NULL, 'DNA gyrase B subunit, C-terminal', 'DNA_gyrase_B_C', 3, NULL),
(227, NULL, 'IPR006527', NULL, 'F-box associated domain, type 1', 'F-box-assoc_dom_typ1', 3, NULL),
(228, NULL, 'IPR034536', NULL, 'RBM15B, RNA recognition motif 3', 'RBM15B_RRM3', 3, NULL),
(229, NULL, 'IPR001275', NULL, 'DM DNA-binding domain', 'DM_DNA-bd', 3, NULL),
(230, NULL, 'IPR007663', NULL, 'Baculoviridae p74', 'Baculo_p74', 4, NULL),
(231, NULL, 'IPR005914', NULL, 'Acetoacetyl-CoA synthase', 'Acac_CoA_synth', 4, NULL),
(232, NULL, 'IPR005946', NULL, 'Ribose-phosphate pyrophosphokinase', 'Rib-P_diPkinase', 4, NULL),
(233, NULL, 'IPR005907', NULL, 'Glucose-1-phosphate thymidylyltransferase, short form', 'G1P_thy_trans_s', 4, NULL),
(234, NULL, 'IPR003023', NULL, 'Amphiphysin 2', 'Amphiphysin_2', 4, NULL),
(235, NULL, 'IPR007167', NULL, 'Ferrous iron transporter FeoA domain', 'Fe-transptr_FeoA', 3, NULL),
(236, NULL, 'IPR007140', NULL, 'Protein of unknown function DUF350', 'DUF350', 7, NULL),
(237, NULL, 'IPR002210', NULL, 'Major capsid L1 (late) protein, Papillomavirus', 'Capsid_L1_Papillomavir', 4, NULL),
(238, NULL, 'IPR002154', NULL, 'Neuregulin, C-terminal', 'Neuregulin_C', 3, NULL),
(239, NULL, 'IPR005932', NULL, '1-pyrroline-5-carboxylate dehydrogenase', 'RocA', 4, NULL),
(240, NULL, 'IPR007154', NULL, 'Protein of unknown function DUF356', 'DUF356', 4, NULL),
(241, NULL, 'IPR003017', NULL, 'Amphiphysin, isoform 1', 'Amphiphysin_1', 4, NULL),
(242, NULL, 'IPR001302', NULL, 'Photosystem I reaction centre subunit VIII', 'PSI_PsaI', 4, NULL),
(243, NULL, 'IPR006523', NULL, 'Transcription activator RinA', 'RinA', 4, NULL),
(244, NULL, 'IPR001268', NULL, 'NADH:ubiquinone oxidoreductase, 30kDa subunit', 'NADH_UbQ_OxRdtase_30kDa_su', 3, NULL),
(245, NULL, 'IPR006588', NULL, 'Peptide N glycanase, PAW domain', 'Peptide_N_glycanase_PAW_dom', 3, NULL),
(246, NULL, 'IPR001267', NULL, 'Thymidine kinase', 'Thymidine_kinase', 4, NULL),
(247, NULL, 'IPR000409', NULL, 'BEACH domain', 'BEACH_dom', 3, NULL),
(248, NULL, 'IPR006529', NULL, 'U2 snRNP auxilliary factor, large subunit, splicing factor', 'U2AF_lg', 4, NULL),
(249, NULL, 'IPR006544', NULL, 'P-type ATPase, subfamily  V', 'P-type_TPase_V', 4, NULL),
(250, NULL, 'IPR005942', NULL, 'Daunorubicin resistance ABC transporter membrane protein', 'Daunbcin-R_ABC-transpt', 4, NULL),
(251, NULL, 'IPR002195', NULL, 'Dihydroorotase, conserved site', 'Dihydroorotase_CS', 2, NULL),
(252, NULL, 'IPR000966', NULL, 'Metallothionein, family 5, Diptera', 'Metalthion_5', 4, NULL),
(253, NULL, 'IPR002169', NULL, 'Peptidase M9A/M9B, collagenase, bacterial', 'Peptidase_M9A/M9B', 4, NULL),
(254, NULL, 'IPR000819', NULL, 'Peptidase M17, leucyl aminopeptidase, C-terminal', 'Peptidase_M17_C', 3, NULL),
(255, NULL, 'IPR000839', NULL, 'Porin, Oms28 type', 'Porin_Oms28', 4, NULL),
(256, NULL, 'IPR000340', NULL, 'Dual specificity phosphatase, catalytic domain', 'Dual-sp_phosphatase_cat-dom', 3, NULL),
(257, NULL, 'IPR007131', NULL, 'SLA1 homology domain 1, SHD1', 'SHD1', 3, NULL),
(258, NULL, 'IPR023918', NULL, 'Colanic acid biosynthesis, pyruvyl transferase, WcaK', 'Colanic_acid_synth_WcaK', 4, NULL),
(259, NULL, 'IPR007298', NULL, 'Copper resistance lipoprotein NlpE', 'Cu-R_lipoprotein_NlpE', 4, NULL),
(260, NULL, 'IPR007170', NULL, 'Stage V sporulation protein G', 'SpoVG', 4, NULL),
(261, NULL, 'IPR001283', NULL, 'Cysteine-rich  secretory protein-related', 'CRISP-related', 4, NULL),
(262, NULL, 'IPR007652', NULL, 'Alpha 1,4-glycosyltransferase domain', 'A1-4-GlycosylTfrase_dom', 3, NULL),
(263, NULL, 'IPR005952', NULL, 'Phosphoglycerate mutase 1', 'Phosphogly_mut1', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(264, NULL, 'IPR007137', NULL, 'Resuscitation-promoting factor, domain of unknown function DUF348', 'DUF348', 3, NULL),
(265, NULL, 'IPR007080', NULL, 'RNA polymerase Rpb1, domain 1', 'RNA_pol_Rpb1_1', 3, NULL),
(266, NULL, 'IPR002240', NULL, 'CC chemokine receptor 5', 'Chemokine_CCR5', 4, NULL),
(267, NULL, 'IPR005447', NULL, 'Voltage-dependent calcium channel, N-type, alpha-1 subunit', 'VDCC_N_a1su', 4, NULL),
(268, NULL, 'IPR001270', NULL, 'ClpA/B family', 'ClpA/B', 4, NULL),
(269, NULL, 'IPR006547', NULL, 'Nitrate reductase, beta subunit', 'NO3_Rdtase_bsu', 4, NULL),
(270, NULL, 'IPR007660', NULL, 'Chordopoxvirinae D3 protein', 'Pox_D3', 4, NULL),
(271, NULL, 'IPR005922', NULL, 'Phenylalanine ammonia-lyase', 'Phe_NH3-lyase', 4, NULL),
(272, NULL, 'IPR000346', NULL, 'Hyperglycemic hormone type 1', 'Hyperglycemic1', 4, NULL),
(273, NULL, 'IPR007654', NULL, 'NAD-dependent histone deacetylase Sir2, N-terminal', 'NAD-dep_histone_deAcase_SIR2_N', 3, NULL),
(274, NULL, 'IPR003010', NULL, 'Carbon-nitrogen hydrolase', 'C-N_Hydrolase', 3, NULL),
(275, NULL, 'IPR007647', NULL, 'RNA polymerase Rpb2, domain 5', 'RNA_pol_Rpb2_5', 3, NULL),
(276, NULL, 'IPR000920', NULL, 'Myelin P0 protein-related', 'Myelin_P0-rel', 4, NULL),
(277, NULL, 'IPR007135', NULL, 'Ubiquitin-like-conjugating enzyme Atg3/Atg10', 'Atg3/Atg10', 4, NULL),
(278, NULL, 'IPR006575', NULL, 'RWD domain', 'RWD-domain', 3, NULL),
(279, NULL, 'IPR000830', NULL, 'Peripherin/rom-1', 'Peripherin/rom-1', 4, NULL),
(280, NULL, 'IPR002260', NULL, 'Gap junction delta-2 protein (Cx36)', 'Connexin36', 4, NULL),
(281, NULL, 'IPR003021', NULL, 'Rad1/Rec1/Rad17', 'Rad1_Rec1_Rad17', 4, NULL),
(282, NULL, 'IPR002206', NULL, 'Opsin, pineal type', 'Opsin_pineal', 4, NULL),
(283, NULL, 'IPR007143', NULL, 'Vacuolar protein sorting-associated Vps28', 'Vps28', 4, NULL),
(284, NULL, 'IPR002238', NULL, 'CC chemokine receptor 3', 'Chemokine_CCR3', 4, NULL),
(285, NULL, 'IPR007144', NULL, 'Small-subunit processome, Utp11', 'SSU_processome_Utp11', 4, NULL),
(286, NULL, 'IPR007083', NULL, 'RNA polymerase Rpb1, domain 4', 'RNA_pol_Rpb1_4', 3, NULL),
(287, NULL, 'IPR001338', NULL, 'Hydrophobin', 'Hydrophobin', 4, NULL),
(288, NULL, 'IPR006571', NULL, 'TLDc domain', 'TLDc_dom', 3, NULL),
(289, NULL, 'IPR022761', NULL, 'Fumarate lyase, N-terminal', 'Fumarate_lyase_N', 3, NULL),
(290, NULL, 'IPR034037', NULL, 'Tumor necrosis factor receptor 21, death domain', 'TNFRSF21_death', 3, NULL),
(291, NULL, 'IPR007150', NULL, 'Checkpoint protein Hus1/Mec3', 'Hus1/Mec3', 4, NULL),
(292, NULL, 'IPR000852', NULL, 'Glycoside hydrolase, family 52', 'Glyco_hydro_52', 4, NULL),
(293, NULL, 'IPR005919', NULL, 'Higher eukaryotic phosphomevalonate kinase', 'Pmev_kin_anim', 4, NULL),
(294, NULL, 'IPR006526', NULL, 'Exported protein, PHISTa/b/c, conserved domain, Plasmodium', 'Export_prot_PHISTa/b/c', 3, NULL),
(295, NULL, 'IPR005433', NULL, 'Gamma-aminobutyric-acid A receptor, alpha 3 subunit', 'GABBAa3_rcpt', 4, NULL),
(296, NULL, 'IPR002279', NULL, 'Melatonin receptor type 1C', 'Mel_rcpt_1C', 4, NULL),
(297, NULL, 'IPR005422', NULL, 'Voltage-dependent calcium channel, gamma-2 subunit', 'VDCC_g2su', 4, NULL),
(298, NULL, 'IPR002167', NULL, 'Graves disease carrier protein', 'Graves_DC', 4, NULL),
(299, NULL, 'IPR000897', NULL, 'Signal recognition particle, SRP54 subunit, GTPase domain', 'SRP54_GTPase_dom', 3, NULL),
(300, NULL, 'IPR000363', NULL, 'Alpha 1D adrenoceptor', 'ADRA1D_rcpt', 4, NULL),
(301, NULL, 'IPR003033', NULL, 'SCP2 sterol-binding domain', 'SCP2_sterol-bd_dom', 3, NULL),
(302, NULL, 'IPR003599', NULL, 'Immunoglobulin subtype', 'Ig_sub', 3, NULL),
(303, NULL, 'IPR000343', NULL, 'Glutamyl-tRNA reductase', '4pyrrol_synth_GluRdtase', 4, NULL),
(304, NULL, 'IPR000825', NULL, 'SUF system FeS cluster assembly, SufBD', 'SUF_FeS_clus_asmbl_SufBD', 4, NULL),
(305, NULL, 'IPR002255', NULL, 'Flavin monooxygenase (FMO) 3', 'Flavin_mOase_3', 4, NULL),
(306, NULL, 'IPR001314', NULL, 'Peptidase S1A, chymotrypsin family', 'Peptidase_S1A', 4, NULL),
(307, NULL, 'IPR002297', NULL, 'DNA-directed DNA-polymerase, family A, mitochondria', 'DNA-dir_DNA_pol_A_mt', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(308, NULL, 'IPR004887', NULL, 'Glutathione synthase, substrate-binding domain', 'GSH_synth_subst-bd', 3, NULL),
(309, NULL, 'IPR006558', NULL, 'LamG-like jellyroll fold', 'LamG-like', 3, NULL),
(310, NULL, 'IPR034578', NULL, 'Protein NIM1-INTERACTING 1', 'NIMIN-1', 4, NULL),
(311, NULL, 'IPR006540', NULL, 'Bacteriocin, lactococcin 972', 'Lactococcin_972', 4, NULL),
(312, NULL, 'IPR001292', NULL, 'Estrogen receptor', 'Estr_rcpt', 4, NULL),
(313, NULL, 'IPR006539', NULL, 'P-type ATPase, subfamily IV', 'P-type_ATPase_IV', 4, NULL),
(314, NULL, 'IPR007655', NULL, 'Surface lipoprotein assembly modifier', 'Slam', 4, NULL),
(315, NULL, 'IPR006564', NULL, 'Zinc finger, PMZ-type', 'Znf_PMZ', 3, NULL),
(316, NULL, 'IPR001329', NULL, 'Glycoside hydrolase family 56, bee venom hyaluronidase', 'Venom_Hyaluronidase', 4, NULL),
(317, NULL, 'IPR005945', NULL, 'Proline-specific peptidase', 'Pro_imino_pep', 4, NULL),
(318, NULL, 'IPR005917', NULL, 'Phosphomevalonate kinase, bacteria', 'Pmev_kinase_bact', 4, NULL),
(319, NULL, 'IPR005943', NULL, 'Daunorubicin resistance protein C', 'Daunbcin-R_C', 4, NULL),
(320, NULL, 'IPR000935', NULL, 'Thrombin receptor', 'Thrmbn_rcpt', 4, NULL),
(321, NULL, 'IPR005921', NULL, 'Histidine ammonia-lyase', 'HutH', 4, NULL),
(322, NULL, 'IPR006549', NULL, 'HAD-superfamily hydrolase,subfamily IIIA', 'HAD-SF_hydro_IIIA', 3, NULL),
(323, NULL, 'IPR002232', NULL, '5-Hydroxytryptamine 6 receptor', '5HT6_rcpt', 4, NULL),
(324, NULL, 'IPR003005', NULL, 'Amphiphysin', 'Amphiphysin', 4, NULL),
(325, NULL, 'IPR004888', NULL, 'Glycoside hydrolase family 63', 'Glycoside_hydrolase_63', 4, NULL),
(326, NULL, 'IPR000355', NULL, 'Chemokine receptor family', 'Chemokine_rcpt', 4, NULL),
(327, NULL, 'IPR005912', NULL, 'tRNA pseudouridine synthase, Pus10', 'Pus10', 4, NULL),
(328, NULL, 'IPR002261', NULL, 'Gap junction alpha-1 protein (Cx43)', 'Connexin43', 4, NULL),
(329, NULL, 'IPR000922', NULL, 'D-galactoside/L-rhamnose binding SUEL lectin domain', 'Lectin_gal-bd_dom', 3, NULL),
(330, NULL, 'IPR005434', NULL, 'Gamma-aminobutyric-acid A receptor, alpha 4 subunit', 'GABBAa4_rcpt', 4, NULL),
(331, NULL, 'IPR003587', NULL, 'Hint domain N-terminal', 'Hint_dom_N', 3, NULL),
(332, NULL, 'IPR003605', NULL, 'GS domain', 'GS_dom', 3, NULL),
(333, NULL, 'IPR006581', NULL, 'VPS10', 'VPS10', 3, NULL),
(334, NULL, 'IPR002247', NULL, 'Chloride channel ClC-5', 'Cl_channel-5', 4, NULL),
(335, NULL, 'IPR034057', NULL, 'Tumor necrosis factor receptor 9, N-terminal, teleost', 'TNFRSF9_N_teleost', 3, NULL),
(336, NULL, 'IPR002165', NULL, 'Plexin repeat', 'Plexin_repeat', 7, NULL),
(337, NULL, 'IPR006528', NULL, 'Phage head morphogenesis domain', 'Phage_head_morphogenesis', 3, NULL),
(338, NULL, 'IPR006538', NULL, 'Cobalt chelatase, CobT subunit', 'CobT', 4, NULL),
(339, NULL, 'IPR000368', NULL, 'Sucrose synthase', 'Sucrose_synth', 3, NULL),
(340, NULL, 'IPR007653', NULL, 'Signal peptidase complex subunit 3', 'SPC3', 4, NULL),
(341, NULL, 'IPR007668', NULL, 'RFX1 transcription activation region', 'RFX1_trans_act', 3, NULL),
(342, NULL, 'IPR006577', NULL, 'UAS', 'UAS', 3, NULL),
(343, NULL, 'IPR005430', NULL, 'P pili tip fibrillum PapF protein', 'P_pili_tip_PapF', 4, NULL),
(344, NULL, 'IPR005435', NULL, 'Gamma-aminobutyric-acid A receptor, alpha 5 subunit', 'GABBAa5_rcpt', 4, NULL),
(345, NULL, 'IPR003557', NULL, 'Cytochrome c-type biogenesis protein CcmC', 'Cyt_c_biogenesis_CcmC', 4, NULL),
(346, NULL, 'IPR005908', NULL, 'Glucose-1-phosphate thymidylyltransferase, long form', 'G1P_thy_trans_l', 4, NULL),
(347, NULL, 'IPR006583', NULL, 'PAN-3 domain', 'PAN-3_domain', 3, NULL),
(348, NULL, 'IPR000358', NULL, 'Ribonucleotide reductase small subunit family', 'RNR_small_fam', 4, NULL),
(349, NULL, 'IPR000937', NULL, 'Icosahedral viral capsid protein, S domain', 'Capsid_prot_S-dom_vir', 3, NULL),
(350, NULL, 'IPR003560', NULL, '2,3-dihydro-2,3-dihydroxybenzoate dehydrogenase', 'DHB_DH', 4, NULL),
(351, NULL, 'IPR024708', NULL, 'Catalase active site', 'Catalase_AS', 0, NULL),
(352, NULL, 'IPR002156', NULL, 'Ribonuclease H domain', 'RNaseH_domain', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(353, NULL, 'IPR006546', NULL, 'Sex-lethal splicing factor', 'Sxl', 4, NULL),
(354, NULL, 'IPR003028', NULL, 'Sodium:neurotransmitter symporter, glycine, type 1', 'Na/ntran_symport_glycine_GLY1', 4, NULL),
(355, NULL, 'IPR005436', NULL, 'Gamma-aminobutyric-acid A receptor, alpha 6 subunit', 'GABBAa6_rcpt', 4, NULL),
(356, NULL, 'IPR001305', NULL, 'Heat shock protein DnaJ, cysteine-rich domain', 'HSP_DnaJ_Cys-rich_dom', 3, NULL),
(357, NULL, 'IPR007126', NULL, 'Borrelia REV', 'Borrelia_REV', 4, NULL),
(358, NULL, 'IPR000841', NULL, 'Peptidase M23A, B-lytic metalloendopeptidase', 'Pept_M23A_Blytic', 4, NULL),
(359, NULL, 'IPR001307', NULL, 'Thiosulphate sulfurtransferase, conserved site', 'Thiosulphate_STrfase_CS', 2, NULL),
(360, NULL, 'IPR000911', NULL, 'Ribosomal protein L11/L12', 'Ribosomal_L11/L12', 4, NULL),
(361, NULL, 'IPR003578', NULL, 'Small GTPase Rho', 'Small_GTPase_Rho', 4, NULL),
(362, NULL, 'IPR007110', NULL, 'Immunoglobulin-like domain', 'Ig-like_dom', 3, NULL),
(363, NULL, 'IPR001285', NULL, 'Synaptophysin/synaptoporin', 'Synaptophysin/porin', 4, NULL),
(364, NULL, 'IPR001303', NULL, 'Class II aldolase/adducin N-terminal', 'Aldolase_II/adducin_N', 3, NULL),
(365, NULL, 'IPR004895', NULL, 'Prenylated rab acceptor PRA1', 'Prenylated_rab_accept_PRA1', 4, NULL),
(366, NULL, 'IPR006545', NULL, 'EYA domain', 'EYA_dom', 3, NULL),
(367, NULL, 'IPR000371', NULL, 'P2Y3 purinoceptor', 'P2Y3_rcpt', 4, NULL),
(368, NULL, 'IPR007168', NULL, 'Phage shock protein, PspC, N-terminal', 'Phageshock_PspC_N', 3, NULL),
(369, NULL, 'IPR007649', NULL, 'Domain of unknown function DUF591', 'DUF591', 3, NULL),
(370, NULL, 'IPR005905', NULL, 'D-alanine--D-alanine ligase', 'D_ala_D_ala', 4, NULL),
(371, NULL, 'IPR000366', NULL, 'GPCR fungal pheromone mating factor, STE2', 'GPCR_STE2', 4, NULL),
(372, NULL, 'IPR004893', NULL, 'Nitrogen fixation protein NifW', 'NifW', 4, NULL),
(373, NULL, 'IPR034535', NULL, 'RBM15B, RNA recognition motif 2', 'RBM15B_RRM2', 3, NULL),
(374, NULL, 'IPR001309', NULL, 'Peptidase C14,  p20 domain', 'Pept_C14_p20', 3, NULL),
(375, NULL, 'IPR000942', NULL, 'Geminivirus AL2 coat protein, MSV type', 'Gemini_AL2', 4, NULL),
(376, NULL, 'IPR001318', NULL, 'Inhibin, beta C subunit', 'Inhibin_betaC', 4, NULL),
(377, NULL, 'IPR001315', NULL, 'CARD domain', 'CARD', 3, NULL),
(378, NULL, 'IPR006543', NULL, 'Histidinol-phosphate phosphatase', 'Histidinol-phos', 3, NULL),
(379, NULL, 'IPR006563', NULL, 'POX domain', 'POX_dom', 3, NULL),
(380, NULL, 'IPR005423', NULL, 'Voltage-dependent calcium channel, gamma-4 subunit', 'VDCC_g4su', 4, NULL),
(381, NULL, 'IPR005938', NULL, 'AAA ATPase, CDC48 family', 'AAA_ATPase_CDC48', 4, NULL),
(382, NULL, 'IPR003598', NULL, 'Immunoglobulin subtype 2', 'Ig_sub2', 3, NULL),
(383, NULL, 'IPR006553', NULL, 'Leucine-rich repeat, cysteine-containing subtype', 'Leu-rich_rpt_Cys-con_subtyp', 7, NULL),
(384, NULL, 'IPR002217', NULL, 'Lipoprotein LPP20', 'Lipo_LPP20', 4, NULL),
(385, NULL, 'IPR003569', NULL, 'Probable cytochrome c biosynthesis protein, plants', 'Cyt_c_biogenesis_plant', 4, NULL),
(386, NULL, 'IPR002222', NULL, 'Ribosomal protein S19/S15', 'Ribosomal_S19', 4, NULL),
(387, NULL, 'IPR003020', NULL, 'Bicarbonate transporter, eukaryotic', 'HCO3_transpt_euk', 4, NULL),
(388, NULL, 'IPR007300', NULL, 'CidB/LrgB family', 'CidB/LrgB', 4, NULL),
(389, NULL, 'IPR007651', NULL, 'Lipin, N-terminal', 'Lipin_N', 3, NULL),
(390, NULL, 'IPR000914', NULL, 'Solute-binding protein family 5 domain', 'SBP_5_dom', 3, NULL),
(391, NULL, 'IPR003566', NULL, 'T-cell surface glycoprotein CD5', 'Tcell_CD5', 4, NULL),
(392, NULL, 'IPR006580', NULL, 'Zinc finger, TTF-type', 'Znf_TTF', 3, NULL),
(393, NULL, 'IPR001003', NULL, 'MHC class II, alpha chain, N-terminal', 'MHC_II_a_N', 3, NULL),
(394, NULL, 'IPR001301', NULL, 'Geminivirus AL1 replication-associated protein, CLV type', 'Gemini_AL1_CLV', 4, NULL),
(395, NULL, 'IPR034534', NULL, 'Bleomycin-like antibiotic biosynthesis, pyrimidine ring methyltransferase', 'Pyrimidine_methyltransferase', 4, NULL),
(396, NULL, 'IPR000878', NULL, 'Tetrapyrrole methylase', '4pyrrol_Mease', 3, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(397, NULL, 'IPR002226', NULL, 'Catalase haem-binding site', 'Catalase_haem_BS', 1, NULL),
(398, NULL, 'IPR002160', NULL, 'Proteinase inhibitor I3, Kunitz legume', 'Prot_inh_Kunz-lg', 4, NULL),
(399, NULL, 'IPR003006', NULL, 'Immunoglobulin/major histocompatibility complex, conserved site', 'Ig/MHC_CS', 2, NULL),
(400, NULL, 'IPR007662', NULL, 'Reovirus sigma C capsid protein, C-terminal', 'SigmaC_C', 3, NULL),
(401, NULL, 'IPR002223', NULL, 'Pancreatic trypsin inhibitor Kunitz domain', 'Kunitz_BPTI', 3, NULL),
(402, NULL, 'IPR007162', NULL, 'Protein of unknown function DUF366', 'DUF366', 4, NULL),
(403, NULL, 'IPR007122', NULL, 'Villin/Gelsolin', 'Villin/Gelsolin', 4, NULL),
(404, NULL, 'IPR006590', NULL, 'RNA polymerase Rpb4/RPC9, core', 'RNA_pol_Rpb4/RPC9_core', 3, NULL),
(405, NULL, 'IPR004891', NULL, 'Mercury transport protein MerC', 'Mercury-R_MerC', 4, NULL),
(406, NULL, 'IPR000883', NULL, 'Cytochrome c oxidase subunit I', 'Cyt_C_Oxase_1', 4, NULL),
(407, NULL, 'IPR007084', NULL, 'BRICHOS domain', 'BRICHOS_dom', 3, NULL),
(408, NULL, 'IPR000843', NULL, 'LacI-type HTH domain', 'HTH_LacI', 3, NULL),
(409, NULL, 'IPR006519', NULL, 'Ribosomal protein L11, bacterial-type', 'Ribosomal_L11_bac-typ', 4, NULL),
(410, NULL, 'IPR005959', NULL, 'Fumarylacetoacetase', 'Fumarylacetoacetase', 4, NULL),
(411, NULL, 'IPR003572', NULL, 'Snake cytotoxin, cobra-type', 'Cytotoxin_Cobra', 4, NULL),
(412, NULL, 'IPR000369', NULL, 'Potassium channel, voltage-dependent, beta subunit, KCNE', 'K_chnl_KCNE', 4, NULL),
(413, NULL, 'IPR005446', NULL, 'Voltage-dependent calcium channel, L-type, alpha-1 subunit', 'VDCC_L_a1su', 4, NULL),
(414, NULL, 'IPR000981', NULL, 'Neurohypophysial hormone', 'Neurhyp_horm', 4, NULL),
(415, NULL, 'IPR002244', NULL, 'Chloride channel ClC-2', 'Cl-channel-2', 4, NULL),
(416, NULL, 'IPR001018', NULL, 'Beta-lactamase, class-B, conserved site', 'Beta-lactamase_class-B_CS', 2, NULL),
(417, NULL, 'IPR003591', NULL, 'Leucine-rich repeat, typical subtype', 'Leu-rich_rpt_typical-subtyp', 7, NULL),
(418, NULL, 'IPR005951', NULL, 'Retinal-specific ATP-binding cassette transporter', 'ABCA4/ABCR', 4, NULL),
(419, NULL, 'IPR007161', NULL, 'Putative heavy-metal chelation domain', 'DUF364', 3, NULL),
(420, NULL, 'IPR001278', NULL, 'Arginine-tRNA ligase', 'Arg-tRNA-ligase', 4, NULL),
(421, NULL, 'IPR005432', NULL, 'Gamma-aminobutyric-acid A receptor, alpha 2 subunit', 'GABBAa2_rcpt', 4, NULL),
(422, NULL, 'IPR003585', NULL, 'Neurexin/syndecan/glycophorin C', 'Neurexin-like', 3, NULL),
(423, NULL, 'IPR000986', NULL, 'Neuropeptide Y6 receptor', 'NeuroY6_rcpt', 4, NULL),
(424, NULL, 'IPR005936', NULL, 'Peptidase, FtsH', 'FtsH', 4, NULL),
(425, NULL, 'IPR000376', NULL, 'Prostaglandin D receptor', 'Pglndn_D_rcpt', 4, NULL),
(426, NULL, 'IPR034553', NULL, 'Mitochondrial import receptor subunit TOM5 homologue, viridiplantae', 'TOM5_viridi', 4, NULL),
(427, NULL, 'IPR006566', NULL, 'FBD domain', 'FBD', 3, NULL),
(428, NULL, 'IPR006569', NULL, 'CID domain', 'CID_dom', 3, NULL),
(429, NULL, 'IPR005431', NULL, 'Gamma-aminobutyric-acid A receptor, alpha 1 subunit', 'GABBAa1_rcpt', 4, NULL),
(430, NULL, 'IPR005956', NULL, '4-hydroxyphenylpyruvate dioxygenase', '4OHPhenylPyrv_dOase', 4, NULL),
(431, NULL, 'IPR005941', NULL, 'Succinyl-diaminopimelate desuccinylase, proteobacteria', 'DapE_proteobac', 4, NULL),
(432, NULL, 'IPR001332', NULL, 'Arterivirus GP5 envelope glycoprotein', 'Arteri_GP5', 4, NULL),
(433, NULL, 'IPR003595', NULL, 'Protein-tyrosine phosphatase, catalytic', 'Tyr_Pase_cat', 3, NULL),
(434, NULL, 'IPR006525', NULL, 'Cystatin-related, plant', 'Cystatin-related_pln', 3, NULL),
(435, NULL, 'IPR000952', NULL, 'AB hydrolase 4, conserved site', 'AB_hydrolase_4_CS', 2, NULL),
(436, NULL, 'IPR003025', NULL, 'Transcription factor Otx', 'Otx_TF', 4, NULL),
(437, NULL, 'IPR003603', NULL, 'U2A''/phosphoprotein 32 family A, C-terminal', 'U2A''_phosphoprotein32A_C', 3, NULL),
(438, NULL, 'IPR005911', NULL, 'Protein YhcC-like', 'YhcC-like', 4, NULL),
(439, NULL, 'IPR006524', NULL, 'Transcription activator, ArpU family', 'Transcrpt_activ_ArpU', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(440, NULL, 'IPR003012', NULL, 'Tetracycline transcriptional regulator, TetR', 'Tet_transcr_reg_TetR', 4, NULL),
(441, NULL, 'IPR002214', NULL, 'Hantavirus nucleocapsid protein', 'Hanta_nucleocap', 4, NULL),
(442, NULL, 'IPR006560', NULL, 'AWS domain', 'AWS_dom', 3, NULL),
(443, NULL, 'IPR003574', NULL, 'Interleukin-6', 'IL-6', 4, NULL),
(444, NULL, 'IPR002249', NULL, 'Chloride channel ClC-7', 'Cl_channel-7', 4, NULL),
(445, NULL, 'IPR005962', NULL, 'Tyrosine 3-monooxygenase', 'Tyr_3_mOase', 4, NULL),
(446, NULL, 'IPR006533', NULL, 'Type VI secretion system, RhsGE-associated Vgr protein', 'T6SS_Vgr_RhsGE', 4, NULL),
(447, NULL, 'IPR006534', NULL, 'P-type ATPase, subfamily IIIA', 'P-type_ATPase_IIIA', 4, NULL),
(448, NULL, 'IPR007138', NULL, 'Antibiotic biosynthesis monooxygenase domain', 'ABM_dom', 3, NULL),
(449, NULL, 'IPR006532', NULL, 'Poly-U binding splicing factor, PUF60-like', 'PUF60-like', 4, NULL),
(450, NULL, 'IPR006568', NULL, 'PSP, proline-rich', 'PSP_pro-rich', 3, NULL),
(451, NULL, 'IPR000988', NULL, 'Ribosomal protein L24e-related', 'Ribosomal_L24e-rel', 4, NULL),
(452, NULL, 'IPR003601', NULL, 'DNA topoisomerase, type IA, domain 2', 'Topo_IA_2', 3, NULL),
(453, NULL, 'IPR007115', NULL, '6-pyruvoyl tetrahydropterin synthase/QueD family', '6-PTP_synth/QueD', 4, NULL),
(454, NULL, 'IPR005444', NULL, 'Voltage-dependent calcium channel, L-type, beta-2 subunit', 'VDCC_L_b2su', 4, NULL),
(455, NULL, 'IPR007656', NULL, 'GTD-binding domain', 'GTD-bd', 3, NULL),
(456, NULL, 'IPR003564', NULL, 'Dihydroneopterin triphosphate diphosphatase', 'DHNTPase', 4, NULL),
(457, NULL, 'IPR003016', NULL, '2-oxo acid dehydrogenase, lipoyl-binding site', '2-oxoA_DH_lipoyl-BS', 1, NULL),
(458, NULL, 'IPR003032', NULL, 'Ryanodine receptor Ryr', 'Ryanodine_rcpt', 3, NULL),
(459, NULL, 'IPR002192', NULL, 'Pyruvate phosphate dikinase, AMP/ATP-binding', 'PPDK_AMP/ATP-bd', 3, NULL),
(460, NULL, 'IPR004889', NULL, 'H2-forming N5,N10-methylenetetrahydromethanopterin dehydrogenase, C-terminal', 'HMD_C', 3, NULL),
(461, NULL, 'IPR006586', NULL, 'ADAM, cysteine-rich domain', 'ADAM_Cys-rich', 3, NULL),
(462, NULL, 'IPR001288', NULL, 'Translation initiation factor 3', 'Translation_initiation_fac_3', 4, NULL),
(463, NULL, 'IPR002227', NULL, 'Tyrosinase copper-binding domain', 'Tyrosinase_Cu-bd', 3, NULL),
(464, NULL, 'IPR001372', NULL, 'Dynein light chain, type 1/2', 'Dynein_light_chain_typ-1/2', 4, NULL),
(465, NULL, 'IPR007112', NULL, 'Expansin/pollen allergen, DPBB domain', 'Expansin/allergen_DPBB_dom', 3, NULL),
(466, NULL, 'IPR002211', NULL, 'Lymphocyte-specific protein', 'Lymphspecific', 4, NULL),
(467, NULL, 'IPR005940', NULL, 'Anthranilate phosphoribosyl transferase', 'Anthranilate_Pribosyl_Tfrase', 4, NULL),
(468, NULL, 'IPR002262', NULL, 'Gap junction alpha-3 protein (Cx46)', 'Connexin46', 4, NULL),
(469, NULL, 'IPR007172', NULL, 'Domain of unknown function DUF374', 'DUF374', 3, NULL),
(470, NULL, 'IPR005906', NULL, 'Lysine biosynthesis protein LysW', 'LysW', 4, NULL),
(471, NULL, 'IPR007152', NULL, 'Protein of unknown function DUF354', 'DUF354', 4, NULL),
(472, NULL, 'IPR007667', NULL, 'Hypoxia induced protein, domain', 'Hypoxia_induced_domain', 3, NULL),
(473, NULL, 'IPR007160', NULL, 'Domain of unknown function DUF362', 'DUF362', 3, NULL),
(474, NULL, 'IPR007171', NULL, 'Protein of unknown function DUF371', 'DUF371', 4, NULL),
(475, NULL, 'IPR001320', NULL, 'Ionotropic glutamate receptor', 'Iontro_rcpt', 3, NULL),
(476, NULL, 'IPR003556', NULL, 'Claudin-14', 'Claudin14', 4, NULL),
(477, NULL, 'IPR006572', NULL, 'Zinc finger, DBF-type', 'Znf_DBF', 3, NULL),
(478, NULL, 'IPR003038', NULL, 'DAD/Ost2', 'DAD/Ost2', 4, NULL),
(479, NULL, 'IPR005438', NULL, 'Gamma-aminobutyric-acid A receptor, gamma 1 subunit', 'GABBAg1_rcpt', 4, NULL),
(480, NULL, 'IPR002157', NULL, 'Cobalamin (vitamin B12)-binding protein', 'Cbl-bd_prot', 4, NULL),
(481, NULL, 'IPR005954', NULL, 'Histidinol-phosphatase', 'HisB_N', 3, NULL),
(482, NULL, 'IPR005437', NULL, 'Gamma-aminobutyric-acid A receptor, gamma subunit', 'GABBAg_rcpt', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(483, NULL, 'IPR007128', NULL, 'Nuclear MIS12/MIND complex subunit PMF1/Nnf1', 'PMF1/Nnf1', 4, NULL),
(484, NULL, 'IPR002233', NULL, 'Adrenoceptor family', 'ADR_fam', 4, NULL),
(485, NULL, 'IPR005439', NULL, 'Gamma-aminobutyric-acid A receptor, gamma 2 subunit', 'GABBAg2_rcpt', 4, NULL),
(486, NULL, 'IPR007079', NULL, 'Succinylarginine dihydrolase', 'SuccinylArg_d-Hdrlase_AstB', 4, NULL),
(487, NULL, 'IPR005925', NULL, 'Agmatinase-related', 'Agmatinase-rel', 4, NULL),
(488, NULL, 'IPR003593', NULL, 'AAA+ ATPase domain', 'AAA+_ATPase', 3, NULL),
(489, NULL, 'IPR004890', NULL, 'Mycoplasma lipoprotein, C-terminal', 'Lipoprotein_10_C', 3, NULL),
(490, NULL, 'IPR007658', NULL, 'Protein of unknown function DUF594', 'DUF594', 4, NULL),
(491, NULL, 'IPR000344', NULL, '7TM GPCR, serpentine receptor class a (Sra)', '7TM_GPCR_serpentine_rcpt_Sra', 4, NULL),
(492, NULL, 'IPR002177', NULL, 'DNA-binding protein Dps', 'DPS_DNA-bd', 4, NULL),
(493, NULL, 'IPR000909', NULL, 'Phosphatidylinositol-specific phospholipase C, X domain', 'PLipase_C_PInositol-sp_X_dom', 3, NULL),
(494, NULL, 'IPR006541', NULL, 'Bacteriocin-associated integral membrane protein', 'Bacteriocin_ass', 4, NULL),
(495, NULL, 'IPR005955', NULL, 'Glutathione S-transferases, class Zeta', 'GST_Zeta', 4, NULL),
(496, NULL, 'IPR034561', NULL, 'Negative regulator of systemic acquired resistance SNI1', 'SNI1', 4, NULL),
(497, NULL, 'IPR000962', NULL, 'Zinc finger, DksA/TraR C4-type', 'Znf_DskA_TraR', 3, NULL),
(498, NULL, 'IPR000855', NULL, 'Peptidase C5, adenain', 'Peptidase_C5', 4, NULL),
(499, NULL, 'IPR002228', NULL, 'Muscarinic acetylcholine receptor M1', 'Musac_Ach_M1_rcpt', 4, NULL),
(500, NULL, 'IPR005442', NULL, 'Glutathione S-transferase, omega-class', 'GST_omega', 4, NULL),
(501, NULL, 'IPR008223', NULL, 'Urease, gamma-beta subunit', 'Urease_gamma-beta_su', 4, NULL),
(502, NULL, 'IPR004971', NULL, 'mRNA (guanine-N(7))-methyltransferase domain', 'mRNA_G-N7_MeTrfase_dom', 3, NULL),
(503, NULL, 'IPR003094', NULL, 'Fructose-2,6-bisphosphatase', '6Pfruct_kin', 4, NULL),
(504, NULL, 'IPR002525', NULL, 'Transposase, IS111A/IS1328/IS1533, N-terminal', 'Transposase_N', 3, NULL),
(505, NULL, 'IPR004012', NULL, 'RUN domain', 'Run_dom', 3, NULL),
(506, NULL, 'IPR008213', NULL, 'CpcD-like domain', 'CpcD-like_dom', 3, NULL),
(507, NULL, 'IPR005008', NULL, 'Poxvirus rifampicin-resistance', 'Poxvirus_Rif-R', 4, NULL),
(508, NULL, 'IPR007671', NULL, 'Selenoprotein P, N-terminal', 'Selenoprotein-P_N', 3, NULL),
(509, NULL, 'IPR003620', NULL, 'Urocortin/corticotropin-releasing factor', 'Urocortin_CRF', 4, NULL),
(510, NULL, 'IPR004055', NULL, 'Potassium channel, voltage dependent, Kv4.2', 'K_chnl_volt-dep_Kv4.2', 4, NULL),
(511, NULL, 'IPR005004', NULL, 'Poxvirus C4/C10', 'Poxvirus_C4/C10', 4, NULL),
(512, NULL, 'IPR005006', NULL, 'Poxvirus J1', 'Poxvirus_J1', 4, NULL),
(513, NULL, 'IPR005493', NULL, 'Ribonuclease E inhibitor RraA/RraA-like protein', 'RraA/RraA-like', 4, NULL),
(514, NULL, 'IPR002493', NULL, 'Herpesvirus UL25', 'Herpes_UL25', 4, NULL),
(515, NULL, 'IPR004576', NULL, 'Transcription-repair coupling factor', 'Mfd', 4, NULL),
(516, NULL, 'IPR005002', NULL, 'Phosphomannomutase', 'PMM', 4, NULL),
(517, NULL, 'IPR002535', NULL, 'Flavivirus polyprotein propeptide', 'Flavi_propep', 3, NULL),
(518, NULL, 'IPR004062', NULL, 'EDG-3 sphingosine 1-phosphate receptor', 'EDG3_rcpt', 4, NULL),
(519, NULL, 'IPR003614', NULL, 'Knottin, scorpion toxin-like', 'Scorpion_toxin-like', 3, NULL),
(520, NULL, 'IPR003048', NULL, 'P2X5 purinoceptor', 'P2X5_purnocptor', 4, NULL),
(521, NULL, 'IPR002524', NULL, 'Cation efflux protein', 'Cation_efflux', 4, NULL),
(522, NULL, 'IPR004047', NULL, 'Melanin-concentrating hormone receptor 1', 'MCHR1', 4, NULL),
(523, NULL, 'IPR002477', NULL, 'Peptidoglycan binding-like', 'Peptidoglycan-bd-like', 3, NULL),
(524, NULL, 'IPR005454', NULL, 'Profilin1/2/3, vertebrate', 'Profilin1/2/3_vertebrate', 4, NULL),
(525, NULL, 'IPR005466', NULL, 'P2Y14 purinoceptor', 'P2Y14_rcpt', 4, NULL),
(526, NULL, 'IPR005460', NULL, 'Transient receptor potential channel, canonical 4', 'TRPC4_channel', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(527, NULL, 'IPR007173', NULL, 'D-arabinono-1,4-lactone oxidase', 'ALO', 3, NULL),
(528, NULL, 'IPR005012', NULL, 'Daxx protein', 'Daxx', 4, NULL),
(529, NULL, 'IPR004562', NULL, 'Lipoyltransferase/lipoate-protein ligase', 'LipoylTrfase_LipoateP_Ligase', 4, NULL),
(530, NULL, 'IPR000327', NULL, 'POU-specific domain', 'POU_dom', 3, NULL),
(531, NULL, 'IPR034388', NULL, 'Star-PAP, RNA recognition motif', 'Star-PAP_RRM', 3, NULL),
(532, NULL, 'IPR005001', NULL, 'RNA-binding protein Hfq', 'Hfq', 4, NULL),
(533, NULL, 'IPR004015', NULL, 'SKI-interacting protein SKIP, SNW domain', 'SKI-int_prot_SKIP_SNW-dom', 3, NULL),
(534, NULL, 'IPR004027', NULL, 'SEC-C motif', 'SEC_C_motif', 2, NULL),
(535, NULL, 'IPR003613', NULL, 'U-box domain', 'Ubox_domain', 3, NULL),
(536, NULL, 'IPR005013', NULL, 'Dolichyl-diphosphooligosaccharide--protein glycosyltransferase 48kDa subunit', 'DDOST_48_kDa_subunit', 4, NULL),
(537, NULL, 'IPR002522', NULL, 'Hepatitis C virus core protein, N-terminal', 'HCV_core_N', 3, NULL),
(538, NULL, 'IPR034394', NULL, 'MAN1, RNA recognition motif', 'Man1_RRM', 3, NULL),
(539, NULL, 'IPR001238', NULL, 'DNA-binding, RecF', 'DNA-binding_RecF', 4, NULL),
(540, NULL, 'IPR005450', NULL, 'Voltage-dependent calcium channel, L-type, alpha-1S subunit', 'VDCC_L_a1ssu', 4, NULL),
(541, NULL, 'IPR002504', NULL, 'NAD kinase', 'NADK', 4, NULL),
(542, NULL, 'IPR004560', NULL, 'L-ribulose-5-phosphate 3-epimerase', 'L-Ru-5P_3-Epase', 4, NULL),
(543, NULL, 'IPR004574', NULL, 'Alkylated DNA repair protein AlkB', 'Alkb', 4, NULL),
(544, NULL, 'IPR004607', NULL, 'Phosphoribosylglycinamide formyltransferase', 'GART', 4, NULL),
(545, NULL, 'IPR004974', NULL, 'RNA polymerase-associated transcription specificity factor Rap94', 'Pox_Rap94', 4, NULL),
(546, NULL, 'IPR000304', NULL, 'Pyrroline-5-carboxylate reductase', 'Pyrroline-COOH_reductase', 4, NULL),
(547, NULL, 'IPR003055', NULL, 'Nucleoside-specific channel-forming protein Tsx', 'Channel_Tsx', 4, NULL),
(548, NULL, 'IPR004007', NULL, 'DhaL domain', 'DhaL_dom', 3, NULL),
(549, NULL, 'IPR002961', NULL, 'Lymphotoxin-beta', 'TNF_C', 4, NULL),
(550, NULL, 'IPR003072', NULL, 'Orphan nuclear receptor, NOR1 type', 'NOR1_rcpt', 4, NULL),
(551, NULL, 'IPR004600', NULL, 'TFIIH subunit Tfb4/GTF2H3', 'TFIIH_Tfb4/GTF2H3', 4, NULL),
(552, NULL, 'IPR000240', NULL, 'Serpin B9/maspin', 'Serpin_B9/Maspin', 4, NULL),
(553, NULL, 'IPR017951', NULL, 'Urease alpha subunit, C-terminal', 'Urease_asu_c', 3, NULL),
(554, NULL, 'IPR008220', NULL, 'Homoserine/serine acetyltransferase MetX-like', 'HAT_MetX-like', 4, NULL),
(555, NULL, 'IPR008251', NULL, 'Chromo shadow domain', 'Chromo_shadow_dom', 3, NULL),
(556, NULL, 'IPR004554', NULL, 'Hydroxymethylglutaryl-CoA reductase, eukaryotic/archaeal type', 'HMG_CoA_Rdtase_eu_arc', 4, NULL),
(557, NULL, 'IPR003618', NULL, 'Transcription elongation factor S-II, central domain', 'TFIIS_cen_dom', 3, NULL),
(558, NULL, 'IPR004032', NULL, 'PMP-22/EMP/MP20', 'PMP22_EMP_MP20', 4, NULL),
(559, NULL, 'IPR004552', NULL, '1-acyl-sn-glycerol-3-phosphate acyltransferase', 'AGP_acyltrans', 3, NULL),
(560, NULL, 'IPR004592', NULL, 'Nuclease SbcC, gammaproteobacteria type', 'SbcC_gammaproteobac_type', 4, NULL),
(561, NULL, 'IPR022837', NULL, 'Protein-methionine-sulfoxide reductase subunit MsrQ-like', 'MsrQ-like', 4, NULL),
(562, NULL, 'IPR005457', NULL, 'Transient receptor potential channel, canonical 1', 'TRPC1_channel', 4, NULL),
(563, NULL, 'IPR004987', NULL, 'Protein of unknown function DUF272', 'DUF272', 4, NULL),
(564, NULL, 'IPR005480', NULL, 'Carbamoyl-phosphate synthetase, large subunit oligomerisation domain', 'CarbamoylP_synth_lsu_oligo', 3, NULL),
(565, NULL, 'IPR004557', NULL, 'Eukaryotic/archaeal PrmC-related', 'PrmC-related', 4, NULL),
(566, NULL, 'IPR000328', NULL, 'Retroviral envelope protein GP41-like', 'GP41-like', 3, NULL),
(567, NULL, 'IPR007677', NULL, 'Gasdermin', 'Gasdermin', 4, NULL),
(568, NULL, 'IPR003071', NULL, 'Orphan nuclear receptor, HMR type', 'Nuc_orp_HMR_rcpt', 4, NULL),
(569, NULL, 'IPR004025', NULL, 'Fungal ribotoxin', 'Fun_ribotoxin', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(570, NULL, 'IPR003616', NULL, 'Post-SET domain', 'Post-SET_dom', 3, NULL),
(571, NULL, 'IPR004978', NULL, 'Stanniocalcin', 'Stanniocalcin', 4, NULL),
(572, NULL, 'IPR004556', NULL, 'Methyltransferase HemK-like', 'HemK-like', 4, NULL),
(573, NULL, 'IPR001264', NULL, 'Glycosyl transferase, family 51', 'Glyco_trans_51', 3, NULL),
(574, NULL, 'IPR004582', NULL, 'Checkpoint protein Rad17/Rad24', 'Checkpoint_prot_Rad17_Rad24', 4, NULL),
(575, NULL, 'IPR005456', NULL, 'Pre-pro melanin-concentrating hormone', 'Prepro-melanin_conc_hormone', 4, NULL),
(576, NULL, 'IPR000335', NULL, 'Bleomycin resistance protein', 'Bleomycin-R', 4, NULL),
(577, NULL, 'IPR023636', NULL, 'Urocanase conserved site', 'Urocanase_CS', 2, NULL),
(578, NULL, 'IPR000277', NULL, 'Cys/Met metabolism, pyridoxal phosphate-dependent enzyme', 'Cys/Met-Metab_PyrdxlP-dep_enz', 4, NULL),
(579, NULL, 'IPR002517', NULL, 'Tospovirus nucleocapsid protein', 'Tospo_nucleocap', 4, NULL),
(580, NULL, 'IPR001233', NULL, 'RNA-splicing ligase, RtcB', 'RtcB', 4, NULL),
(581, NULL, 'IPR004969', NULL, 'Poxvirus I1', 'Poxvirus_I1', 4, NULL),
(582, NULL, 'IPR009577', NULL, 'Putative small multi-drug export', 'Sm_multidrug_ex', 4, NULL),
(583, NULL, 'IPR005503', NULL, 'Flagellar basal body-associated protein FliL', 'FliL', 4, NULL),
(584, NULL, 'IPR009581', NULL, 'FAM20, C-terminal', 'FAM20_C', 3, NULL),
(585, NULL, 'IPR004981', NULL, 'Tryptophan 2,3-dioxygenase', 'Trp_2_3_dOase', 4, NULL),
(586, NULL, 'IPR004058', NULL, 'Zeta tubulin', 'Zeta_tubulin', 4, NULL),
(587, NULL, 'IPR005494', NULL, 'Glutathionylspermidine synthase, pre-ATP-grasp-like domain', 'GSPS_pre-ATP-grasp-like_dom', 3, NULL),
(588, NULL, 'IPR008242', NULL, 'Bifunctional P-protein, chorismate mutase/prephenate dehydratase', 'Chor_mutase/pphenate_deHydtase', 4, NULL),
(589, NULL, 'IPR004545', NULL, 'PA2G4 family', 'PA2G4', 4, NULL),
(590, NULL, 'IPR008243', NULL, 'Chorismate mutase, AroH class', 'Chorismate_mutase_AroH', 4, NULL),
(591, NULL, 'IPR003045', NULL, 'P2X2 purinoceptor', 'P2X2_purnocptor', 4, NULL),
(592, NULL, 'IPR007176', NULL, 'Protein of unknown function DUF365', 'DUF365', 4, NULL),
(593, NULL, 'IPR003995', NULL, 'RTX toxin determinant A', 'RTX_toxin_determinant-A', 4, NULL),
(594, NULL, 'IPR007174', NULL, 'Las1', 'Las1', 4, NULL),
(595, NULL, 'IPR005495', NULL, 'Permease LptG/LptF-related', 'LptG/LptF_permease', 4, NULL),
(596, NULL, 'IPR004020', NULL, 'DAPIN domain', 'DAPIN', 3, NULL),
(597, NULL, 'IPR004604', NULL, 'DNA recombination/repair protein RecN', 'DNA_recomb/repair_RecN', 4, NULL),
(598, NULL, 'IPR002478', NULL, 'PUA domain', 'PUA', 3, NULL),
(599, NULL, 'IPR000266', NULL, 'Ribosomal protein S17/S11', 'Ribosomal_S17/S11', 4, NULL),
(600, NULL, 'IPR005328', NULL, 'Sic protein repeat', 'Sic', 7, NULL),
(601, NULL, 'IPR005461', NULL, 'Transient receptor potential channel, canonical 5', 'TRPC5_channel', 4, NULL),
(602, NULL, 'IPR022835', NULL, 'Chaperone modulatory protein CbpM', 'CbpM', 4, NULL),
(603, NULL, 'IPR009582', NULL, 'Signal peptidase complex subunit Spc2/SPCS2', 'Spc2/SPCS2', 4, NULL),
(604, NULL, 'IPR003087', NULL, 'Neutrophil gelatinase-associated lipocalin/epididymal-specific lipocalin-12', 'LCN2/LCN12', 4, NULL),
(605, NULL, 'IPR024711', NULL, 'Catalase, mono-functional, haem-containing, clades 1 and 3', 'Catalase_clade1/3', 4, NULL),
(606, NULL, 'IPR003065', NULL, 'Surface presentation of antigens protein SpaK', 'Invas_SpaK', 4, NULL),
(607, NULL, 'IPR007680', NULL, 'Arabinofuranosyltransferase, central domain', 'Arabino_trans_central', 3, NULL),
(608, NULL, 'IPR034350', NULL, 'NUCL, RNA recognition motif 2', 'NUCL_RRM2', 3, NULL),
(609, NULL, 'IPR004059', NULL, 'Orexin/Hypocretin receptor type 1', 'OX1R', 4, NULL),
(610, NULL, 'IPR002519', NULL, 'Hepatitis C virus envelope glycoprotein E1', 'HCV_env', 3, NULL),
(611, NULL, 'IPR004017', NULL, 'Cysteine-rich domain', 'Cys_rich_dom', 3, NULL),
(612, NULL, 'IPR005481', NULL, 'Biotin carboxylase-like, N-terminal domain', 'BC-like_N', 3, NULL),
(613, NULL, 'IPR004973', NULL, 'DNA-directed RNA polymerase, 18kDa subunit, poxviral', 'DNA-dir_RNA_pol_18kDa_poxviral', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(614, NULL, 'IPR002499', NULL, 'Major vault protein, N-terminal', 'Vault_N', 7, NULL),
(615, NULL, 'IPR004052', NULL, 'Potassium channel, voltage dependent, Kv1.5', 'K_chnl_volt-dep_Kv1.5', 4, NULL),
(616, NULL, 'IPR023637', NULL, 'Urocanase', 'Urocanase', 4, NULL),
(617, NULL, 'IPR004590', NULL, 'DNA single-strand annealing protein RecT', 'ssDNA_annealing_RecT', 4, NULL),
(618, NULL, 'IPR004546', NULL, 'Restriction endonuclease, type I, HsdM', 'Restrct_endonuc_typeI_HsdM', 4, NULL),
(619, NULL, 'IPR004586', NULL, 'RecBCD enzyme subunit RecB', 'RecB', 4, NULL),
(620, NULL, 'IPR005000', NULL, 'HpcH/HpaI aldolase/citrate lyase domain', 'Aldolase/citrate-lyase_domain', 3, NULL),
(621, NULL, 'IPR000275', NULL, 'Coagulin', 'Coagulin', 4, NULL),
(622, NULL, 'IPR002486', NULL, 'Nematode cuticle collagen, N-terminal', 'Col_cuticle_N', 3, NULL),
(623, NULL, 'IPR007184', NULL, 'Mannoside phosphorylase', 'Mannoside_phosphorylase', 4, NULL),
(624, NULL, 'IPR004037', NULL, 'Ribosomal protein L7Ae conserved site', 'Ribosomal_L7Ae_CS', 2, NULL),
(625, NULL, 'IPR024729', NULL, 'Ubiquitin carboxyl-terminal hydrolase 7, ICP0-binding domain', 'USP7_ICP0-binding_dom', 3, NULL),
(626, NULL, 'IPR004010', NULL, 'Double Cache domain 2', 'Double_Cache_2', 3, NULL),
(627, NULL, 'IPR000237', NULL, 'GRIP domain', 'GRIP_dom', 3, NULL),
(628, NULL, 'IPR001243', NULL, 'Rusticyanin', 'Rusticyanin', 4, NULL),
(629, NULL, 'IPR005475', NULL, 'Transketolase-like, pyrimidine-binding domain', 'Transketolase-like_Pyr-bd', 3, NULL),
(630, NULL, 'IPR000268', NULL, 'DNA-directed RNA polymerase subunit RPABC5/Rpb10', 'RPABC5/Rpb10', 4, NULL),
(631, NULL, 'IPR003056', NULL, 'GPCR, family 2, ADGRE2/ADGRE5', 'GPCR_2_ADGRE2_ADGRE5', 4, NULL),
(632, NULL, 'IPR000318', NULL, 'Nitrogenase component 1, conserved site', 'Nase_comp1_CS', 2, NULL),
(633, NULL, 'IPR004046', NULL, 'Glutathione S-transferase, C-terminal', 'GST_C', 3, NULL),
(634, NULL, 'IPR023659', NULL, 'Coenzyme F420:L-glutamate ligase, archaeal', 'F420_ligase_CofE_arc', 4, NULL),
(635, NULL, 'IPR004030', NULL, 'Nitric oxide synthase, N-terminal', 'NOS_N', 3, NULL),
(636, NULL, 'IPR002962', NULL, 'Peropsin', 'Peropsin', 4, NULL),
(637, NULL, 'IPR005474', NULL, 'Transketolase, N-terminal', 'Transketolase_N', 3, NULL),
(638, NULL, 'IPR009580', NULL, 'GPI biosynthesis protein Pig-F', 'GPI_biosynthesis_protein_Pig-F', 4, NULL),
(639, NULL, 'IPR008228', NULL, 'Uncharacterised conserved protein UCP006173', 'UCP006173', 4, NULL),
(640, NULL, 'IPR009576', NULL, 'Biofilm formation YgiB', 'Biofilm_formation_YgiB', 4, NULL),
(641, NULL, 'IPR004988', NULL, 'Protein of unknown function DUF273', 'DUF273', 4, NULL),
(642, NULL, 'IPR023656', NULL, 'IMP biosynthesis enzyme PurP', 'IMP_biosynth_PurP', 4, NULL),
(643, NULL, 'IPR005483', NULL, 'Carbamoyl-phosphate synthase large subunit, CPSase domain', 'CbamoylP_synth_lsu_CPSase_dom', 3, NULL),
(644, NULL, 'IPR004559', NULL, 'Heme chaperone HemW-like', 'HemW-like', 4, NULL),
(645, NULL, 'IPR002491', NULL, 'ABC transporter periplasmic binding domain', 'ABC_transptr_periplasmic_BD', 3, NULL),
(646, NULL, 'IPR009567', NULL, 'Store-operated calcium entry-associated regulatory factor', 'SARAF', 4, NULL),
(647, NULL, 'IPR005453', NULL, 'Pollen allergen Lol p2', 'Allergen_Lolp2', 4, NULL),
(648, NULL, 'IPR004968', NULL, 'DNA primase/nucleoside triphosphatase, C-terminal', 'DNA_primase/NTPase_C', 3, NULL),
(649, NULL, 'IPR005507', NULL, 'Human herpesvirus 6 immediate early protein', 'HHV6-IE', 4, NULL),
(650, NULL, 'IPR008238', NULL, 'Chorismate mutase, AroQ class, eukaryotic type', 'Chorismate_mutase_AroQ_euk', 4, NULL),
(651, NULL, 'IPR004544', NULL, 'Translation initiation factor aIF-2, archaea', 'TIF_aIF-2_arc', 4, NULL),
(652, NULL, 'IPR002508', NULL, 'N-acetylmuramoyl-L-alanine amidase, catalytic domain', 'MurNAc-LAA_cat', 3, NULL),
(653, NULL, 'IPR004054', NULL, 'Potassium channel, voltage dependent, Kv4.1', 'K_chnl_volt-dep_Kv4.1', 4, NULL),
(654, NULL, 'IPR001242', NULL, 'Condensation domain', 'Condensatn', 3, NULL),
(655, NULL, 'IPR002229', NULL, 'Blood group Rhesus C/E/D polypeptide', 'RhesusRHD', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(656, NULL, 'IPR002538', NULL, 'Bromovirus movement protein', 'Bromo_MP', 4, NULL),
(657, NULL, 'IPR005486', NULL, 'Glucokinase regulatory protein, conserved site', 'Glucokinase_regulatory_CS', 2, NULL),
(658, NULL, 'IPR024712', NULL, 'Catalase, mono-functional, haem-containing, clade 2', 'Catalase_clade2', 4, NULL),
(659, NULL, 'IPR002475', NULL, 'Bcl2-like', 'Bcl2-like', 4, NULL),
(660, NULL, 'IPR034356', NULL, 'Slt11, RNA recognition motif', 'Slt11_RRM', 3, NULL),
(661, NULL, 'IPR022838', NULL, 'GTP cyclohydrolase FolE2', 'GTP_cyclohydrolase_FolE2', 4, NULL),
(662, NULL, 'IPR005506', NULL, 'Protein of unknown function DUF312', 'DUF312', 7, NULL),
(663, NULL, 'IPR002960', NULL, 'Lymphotoxin-alpha', 'TNF_beta', 4, NULL),
(664, NULL, 'IPR008218', NULL, 'ATPase, V1 complex, subunit F', 'ATPase_V1-cplx_f_g_su', 4, NULL),
(665, NULL, 'IPR003077', NULL, 'Peroxisome proliferator-activated receptor gamma', 'PPAR-gamma', 4, NULL),
(666, NULL, 'IPR004001', NULL, 'Actin, conserved site', 'Actin_CS', 2, NULL),
(667, NULL, 'IPR003607', NULL, 'HD/PDEase domain', 'HD/PDEase_dom', 3, NULL),
(668, NULL, 'IPR005451', NULL, 'Voltage-dependent calcium channel, L-type, alpha-1C subunit', 'VDCC_L_a1csu', 4, NULL),
(669, NULL, 'IPR002533', NULL, 'Alphavirus E3 spike glycoprotein', 'Alpha_E3_glycop', 3, NULL),
(670, NULL, 'IPR007675', NULL, 'Poxvirus F15', 'Poxvirus_F15', 4, NULL),
(671, NULL, 'IPR008240', NULL, 'Chorismate mutase, periplasmic', 'Chorismate_mutase_periplasmic', 4, NULL),
(672, NULL, 'IPR004593', NULL, 'Nuclease SbcCD subunit D', 'SbcD', 4, NULL),
(673, NULL, 'IPR004990', NULL, 'ELF protein', 'ELF', 4, NULL),
(674, NULL, 'IPR008229', NULL, 'tRNA nucleotidyltransferase, archaea', 'CCA-adding_arc', 4, NULL),
(675, NULL, 'IPR005485', NULL, 'Ribosomal protein L5 eukaryotic/L18 archaeal', 'Rbsml_L5_euk/L18_arc', 4, NULL),
(676, NULL, 'IPR004018', NULL, 'RPEL repeat', 'RPEL_repeat', 7, NULL),
(677, NULL, 'IPR007679', NULL, 'Domain of unknown function DUF569', 'DUF569', 3, NULL),
(678, NULL, 'IPR002496', NULL, 'Phosphoribosyl-AMP cyclohydrolase domain', 'PRib_AMP_CycHydrolase_dom', 3, NULL),
(679, NULL, 'IPR004976', NULL, 'Poly(A) polymerase catalytic subunit, Poxviridae', 'Poxviridae_polyA_pol_cat', 4, NULL),
(680, NULL, 'IPR002481', NULL, 'Ferric-uptake regulator', 'FUR', 4, NULL),
(681, NULL, 'IPR002490', NULL, 'V-type  ATPase, V0 complex, 116kDa subunit family', 'V-ATPase_116kDa_su', 4, NULL),
(682, NULL, 'IPR034597', NULL, 'PGC-1-related coactivator', 'PRC', 4, NULL),
(683, NULL, 'IPR004580', NULL, 'DNA repair protein Rad18, fungi', 'Rad18_fungi', 4, NULL),
(684, NULL, 'IPR005498', NULL, 'Type IV secretion system, VirB10 / TraB / TrbI', 'T4SS_VirB10/TraB/TrbI', 4, NULL),
(685, NULL, 'IPR004986', NULL, 'Caulimovirus virion-associated protein', 'Caulimo_virion-assoc', 4, NULL),
(686, NULL, 'IPR001228', NULL, '2-C-methyl-D-erythritol 4-phosphate cytidylyltransferase', 'IspD', 4, NULL),
(687, NULL, 'IPR007180', NULL, 'Domain of unknown function DUF382', 'DUF382', 3, NULL),
(688, NULL, 'IPR004013', NULL, 'PHP domain', 'PHP_dom', 3, NULL),
(689, NULL, 'IPR005478', NULL, 'Transketolase, bacterial-like', 'Transketolase_bac-like', 4, NULL),
(690, NULL, 'IPR005502', NULL, 'ADP-ribosylation/Crystallin J1', 'Ribosyl_crysJ1', 4, NULL),
(691, NULL, 'IPR004042', NULL, 'Intein DOD homing endonuclease', 'Intein_endonuc', 3, NULL),
(692, NULL, 'IPR008231', NULL, 'Probable chaperone CsaA', 'CsaA', 4, NULL),
(693, NULL, 'IPR008248', NULL, 'Protein-glutamate methylesterase/protein-glutamine glutaminase, CheB type', 'CheB-like', 4, NULL),
(694, NULL, 'IPR005009', NULL, 'Poxvirus mRNA capping enzyme, small subunit', 'Poxvirus_mRNA-cap_ssu', 4, NULL),
(695, NULL, 'IPR003050', NULL, 'P2X7 purinoceptor', 'P2X7_purinoceptor', 4, NULL),
(696, NULL, 'IPR005489', NULL, 'Protein of unknown function DUF257', 'DUF257', 4, NULL),
(697, NULL, 'IPR004992', NULL, 'Ethanolamine utilization protein EutN/carboxysome shell vertex protein CcmL', 'EutN_CcmL', 4, NULL),
(698, NULL, 'IPR004993', NULL, 'GH3 family', 'GH3', 4, NULL),
(699, NULL, 'IPR004563', NULL, 'Apolipoprotein N-acyltransferase', 'Apolipo_AcylTrfase', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(700, NULL, 'IPR034392', NULL, 'TatSF1-like, RNA recognition motif 1', 'TatSF1-like_RRM1', 3, NULL),
(701, NULL, 'IPR007676', NULL, 'Ribophorin I', 'Ribophorin_I', 4, NULL),
(702, NULL, 'IPR002498', NULL, 'Phosphatidylinositol-4-phosphate 5-kinase, core', 'PInositol-4-P-5-kinase_core', 3, NULL),
(703, NULL, 'IPR008244', NULL, 'Bifunctional chorismate mutase/prephenate dehydrogenase T-protein', 'Chor_mut/prephenate_DH_T', 4, NULL),
(704, NULL, 'IPR005467', NULL, 'Histidine kinase domain', 'His_kinase_dom', 3, NULL),
(705, NULL, 'IPR005011', NULL, 'SNU66/SART1 family', 'SNU66/SART1', 4, NULL),
(706, NULL, 'IPR008219', NULL, 'Proline dehydrogenase, bacteria and archaea', 'PRODH_bac_arc', 4, NULL),
(707, NULL, 'IPR004601', NULL, 'UV-endonuclease UvdE', 'UvdE', 4, NULL),
(708, NULL, 'IPR003082', NULL, 'Glutathione S-transferase, Pi class', 'GST_pi', 4, NULL),
(709, NULL, 'IPR004550', NULL, 'L-asparaginase, type II', 'AsnASE_II', 4, NULL),
(710, NULL, 'IPR002523', NULL, 'Mg2+ transporter protein, CorA-like/Zinc transport protein ZntB', 'MgTranspt_CorA/ZnTranspt_ZntB', 4, NULL),
(711, NULL, 'IPR004019', NULL, 'YLP motif', 'YLP_motif', 2, NULL),
(712, NULL, 'IPR000866', NULL, 'Alkyl hydroperoxide reductase subunit C/ Thiol specific antioxidant', 'AhpC/TSA', 3, NULL),
(713, NULL, 'IPR003081', NULL, 'Glutathione S-transferase, Mu class', 'GST_mu', 4, NULL),
(714, NULL, 'IPR004053', NULL, 'Potassium voltage-gated channel subfamily A member 6', 'KCNA6', 4, NULL),
(715, NULL, 'IPR023661', NULL, 'Bifunctional F420 biosynthesis protein FbiB', 'FbiB', 4, NULL),
(716, NULL, 'IPR004566', NULL, 'Pantothenate kinase', 'PanK', 4, NULL),
(717, NULL, 'IPR000320', NULL, 'Hedgehog, N-terminal signalling domain', 'Hedgehog_signalling_dom', 3, NULL),
(718, NULL, 'IPR002513', NULL, 'Tn3 transposase DDE domain', 'Tn3_Tnp_DDE_dom', 3, NULL),
(719, NULL, 'IPR004570', NULL, 'CDP-diacylglycerol--glycerol-3-phosphate 3-phosphatidyltransferase', 'Phosphatidylglycerol_P_synth', 4, NULL),
(720, NULL, 'IPR005010', NULL, 'Rhabdovirus M1 matrix protein', 'Rhabdo_M1', 4, NULL),
(721, NULL, 'IPR004985', NULL, 'Adenovirus E3-15', 'Adeno_E3-15', 4, NULL),
(722, NULL, 'IPR009572', NULL, 'Protein of unknown function DUF1187', 'DUF1187', 4, NULL),
(723, NULL, 'IPR023673', NULL, 'Ribosomal protein L1, conserved site', 'Ribosomal_L1_CS', 2, NULL),
(724, NULL, 'IPR004050', NULL, 'Potassium channel, voltage dependent, Kv1.3', 'K_chnl_volt-dep_Kv1.3', 4, NULL),
(725, NULL, 'IPR001253', NULL, 'Translation initiation factor 1A (eIF-1A)', 'TIF_eIF-1A', 4, NULL),
(726, NULL, 'IPR004553', NULL, 'Hydroxymethylglutaryl-CoA reductase, bacterial-type', 'HMG_CoA_Rdtase_bac-typ', 4, NULL),
(727, NULL, 'IPR004063', NULL, 'EDG-5 sphingosine 1-phosphate receptor', 'EDG5_rcpt', 4, NULL),
(728, NULL, 'IPR008215', NULL, 'Tachykinin domain', 'Tachykinin_dom', 3, NULL),
(729, NULL, 'IPR000239', NULL, 'GPCR kinase', 'GPCR_kinase', 4, NULL),
(730, NULL, 'IPR004573', NULL, 'rRNA small subunit methyltransferase B', 'rRNA_ssu_MeTfrase_B', 4, NULL),
(731, NULL, 'IPR004598', NULL, 'Transcription factor TFIIH subunit p52/Tfb2', 'TFIIH_p52/Tfb2', 4, NULL),
(732, NULL, 'IPR002500', NULL, 'Phosphoadenosine phosphosulphate reductase', 'PAPS_reduct', 3, NULL),
(733, NULL, 'IPR008241', NULL, 'Salicylate biosynthesis protein PchB', 'Isochorismate_pyruvate-lyase', 4, NULL),
(734, NULL, 'IPR000314', NULL, 'Gastrin receptor', 'Gastrin_rcpt', 4, NULL),
(735, NULL, 'IPR000247', NULL, 'Cucumovirus coat protein', 'Cucumovirus_coat', 4, NULL),
(736, NULL, 'IPR002514', NULL, 'Transposase IS3/IS911family', 'Transposase_8', 4, NULL),
(737, NULL, 'IPR023654', NULL, 'Ribosomal protein L32e, archaeal', 'Ribosomal_L32e_arc', 4, NULL),
(738, NULL, 'IPR004199', NULL, 'Beta galactosidase small chain/ domain 5', 'B-gal_small/dom_5', 3, NULL),
(739, NULL, 'IPR009569', NULL, 'Amino acid synthesis, putative', 'AA_synth_put', 4, NULL),
(740, NULL, 'IPR023648', NULL, 'Copper homeostasis CutC domain', 'Cu_homeostasis_CutC_dom', 3, NULL),
(741, NULL, 'IPR004980', NULL, 'Tenuivirus movement protein, NS4', 'Tenui_NS4', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(742, NULL, 'IPR007178', NULL, 'Archaeal transcription elongation factor Spt4', 'Spt4_arch', 4, NULL),
(743, NULL, 'IPR004548', NULL, 'Peptide chain release factor 3', 'PrfC', 4, NULL),
(744, NULL, 'IPR023662', NULL, 'Rhomboid protease GlpG', 'Rhomboid_protease_GlpG', 4, NULL),
(745, NULL, 'IPR003609', NULL, 'PAN/Apple domain', 'Pan_app', 3, NULL),
(746, NULL, 'IPR005407', NULL, 'Potassium channel subfamily K member 9', 'KCNK9', 4, NULL),
(747, NULL, 'IPR005469', NULL, 'Avidin', 'Avidin', 4, NULL),
(748, NULL, 'IPR008226', NULL, 'Mini-ribonuclease 3 family', 'Mini3_fam', 4, NULL),
(749, NULL, 'IPR004064', NULL, 'EDG-6 sphingosine 1-phosphate receptor', 'EDG6_rcpt', 4, NULL),
(750, NULL, 'IPR000234', NULL, 'Herpesvirus Glycoprotein B', 'Herpes_Glycoprot_B', 4, NULL),
(751, NULL, 'IPR004977', NULL, 'Ribosomal protein S25', 'Ribosomal_S25', 4, NULL),
(752, NULL, 'IPR003070', NULL, 'Orphan nuclear receptor', 'Nuc_orph_rcpt', 4, NULL),
(753, NULL, 'IPR000269', NULL, 'Copper amine oxidase', 'Cu_amine_oxidase', 4, NULL),
(754, NULL, 'IPR004569', NULL, 'Pyridoxal phosphate (active vitamin B6) biosynthesis PdxJ', 'PyrdxlP_synth_PdxJ', 4, NULL),
(755, NULL, 'IPR004982', NULL, 'WTF family', 'WTF', 4, NULL),
(756, NULL, 'IPR004564', NULL, 'Outer membrane lipoprotein carrier protein LolA-like', 'OM_lipoprot_carrier_LolA-like', 4, NULL),
(757, NULL, 'IPR004999', NULL, 'Herpesvirus capsid shell protein 1', 'Herpes_1', 4, NULL),
(758, NULL, 'IPR005005', NULL, 'Poxvirus F12L', 'Poxvirus_F12L', 4, NULL),
(759, NULL, 'IPR000231', NULL, 'Ribosomal protein L30e', 'Ribosomal_L30e', 4, NULL),
(760, NULL, 'IPR005464', NULL, 'Psychosine receptor', 'Psych_rcpt', 4, NULL),
(761, NULL, 'IPR004547', NULL, 'Glucosamine-6-phosphate isomerase', 'Glucosamine6P_isomerase', 4, NULL),
(762, NULL, 'IPR008216', NULL, 'Tachykinin family', 'Tachykinin_fam', 4, NULL),
(763, NULL, 'IPR004984', NULL, 'Mycoplasma lipoprotein, central domain', 'Mycoplasma_lipoprotein_cen_dom', 3, NULL),
(764, NULL, 'IPR003993', NULL, 'Treacle protein domain', 'Treacle_dom', 3, NULL),
(765, NULL, 'IPR005463', NULL, 'Transient receptor potential channel, canonical 7', 'TRPC7_channel', 4, NULL),
(766, NULL, 'IPR004049', NULL, 'Potassium channel, voltage dependent, Kv1.2', 'K_chnl_volt-dep_Kv1.2', 4, NULL),
(767, NULL, 'IPR004061', NULL, 'Sphingosine 1-phosphate receptor', 'S1P_rcpt', 4, NULL),
(768, NULL, 'IPR005007', NULL, 'Poxvirus L3/FP4', 'Poxvirus_L3/FP4', 4, NULL),
(769, NULL, 'IPR005455', NULL, 'Profilin', 'PFN', 4, NULL),
(770, NULL, 'IPR000283', NULL, 'NADH:ubiquinone oxidoreductase, 75kDa subunit, conserved site', 'NADH_UbQ_OxRdtase_75kDa_su_CS', 2, NULL),
(771, NULL, 'IPR007670', NULL, 'Protein of unknown function DUF596', 'DUF596', 4, NULL),
(772, NULL, 'IPR005490', NULL, 'L,D-transpeptidase catalytic domain', 'LD_TPept_cat_dom', 3, NULL),
(773, NULL, 'IPR004543', NULL, 'Translation elongation factor EFG/EF2, archaeal', 'Transl_elong_EFG/EF2_arc', 4, NULL),
(774, NULL, 'IPR001245', NULL, 'Serine-threonine/tyrosine-protein kinase, catalytic domain', 'Ser-Thr/Tyr_kinase_cat_dom', 3, NULL),
(775, NULL, 'IPR000233', NULL, 'Cadherin, cytoplasmic domain', 'Cadherin_cytoplasmic-dom', 3, NULL),
(776, NULL, 'IPR007681', NULL, 'Ran-interacting Mog1 protein', 'Mog1', 4, NULL),
(777, NULL, 'IPR002532', NULL, 'Hantavirus glycoprotein G2', 'Hanta_G2', 3, NULL),
(778, NULL, 'IPR000296', NULL, 'Cation-dependent mannose-6-phosphate receptor', 'Man-6-P_rcpt_cation_dep', 4, NULL),
(779, NULL, 'IPR000324', NULL, 'Vitamin D receptor', 'VitD_rcpt', 4, NULL),
(780, NULL, 'IPR003067', NULL, 'Plasmodium circumsporozoite protein', 'Crcmsprzoite', 4, NULL),
(781, NULL, 'IPR003075', NULL, 'Peroxisome proliferator-activated receptor, beta', '1Cnucl_rcpt_B', 4, NULL),
(782, NULL, 'IPR005491', NULL, 'ENT domain', 'ENT_dom', 3, NULL),
(783, NULL, 'IPR003076', NULL, 'Peroxisome proliferator-activated receptor alpha', 'PPAR-alpha', 4, NULL),
(784, NULL, 'IPR000272', NULL, 'Ion-transport regulator, FXYD motif', 'Ion-transport_regulator_FXYD', 4, NULL),
(785, NULL, 'IPR004057', NULL, 'Epsilon tubulin', 'Epsilon_tubulin', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(786, NULL, 'IPR004551', NULL, 'Diphthine synthase', 'Dphthn_synthase', 4, NULL),
(787, NULL, 'IPR034353', NULL, 'ABT1/ESF2, RNA recognition motif', 'ABT1/ESF2_RRM', 3, NULL),
(788, NULL, 'IPR002483', NULL, 'PWI domain', 'PWI_dom', 3, NULL),
(789, NULL, 'IPR004579', NULL, 'ERCC1/RAD10/SWI10 family', 'ERCC1/RAD10/SWI10', 4, NULL),
(790, NULL, 'IPR000306', NULL, 'FYVE zinc finger', 'Znf_FYVE', 3, NULL),
(791, NULL, 'IPR004996', NULL, 'DNA helicase/primase complex-associated protein', 'HSV_HEPA', 4, NULL),
(792, NULL, 'IPR004036', NULL, 'Endonuclease III-like, conserved site-2', 'Endonuclease-III-like_CS2', 2, NULL),
(793, NULL, 'IPR000307', NULL, 'Ribosomal protein S16', 'Ribosomal_S16', 4, NULL),
(794, NULL, 'IPR005468', NULL, 'Avidin/streptavidin', 'Avidin/str', 4, NULL),
(795, NULL, 'IPR002505', NULL, 'Phosphate acetyl/butaryl transferase', 'PTA_PTB', 3, NULL),
(796, NULL, 'IPR000313', NULL, 'PWWP domain', 'PWWP_dom', 3, NULL),
(797, NULL, 'IPR000331', NULL, 'Rap/Ran-GAP domain', 'Rap/Ran_GAP_dom', 3, NULL),
(798, NULL, 'IPR009578', NULL, 'Cell surface antigen repeat', 'Surface_Ag_rpt', 7, NULL),
(799, NULL, 'IPR009568', NULL, 'Protein of unknown function DUF1184', 'DUF1184', 4, NULL),
(800, NULL, 'IPR002527', NULL, 'Picornavirus 2B protein', 'Pico_P2B', 3, NULL),
(801, NULL, 'IPR003046', NULL, 'P2X3 purinoceptor', 'P2X3_purnocptor', 4, NULL),
(802, NULL, 'IPR005484', NULL, 'Ribosomal protein L18', 'Ribosomal_L18', 4, NULL),
(803, NULL, 'IPR004998', NULL, 'Herpesvirus transcription activation factor', 'Herpes_TAF50', 4, NULL),
(804, NULL, 'IPR004014', NULL, 'Cation-transporting P-type ATPase, N-terminal', 'ATPase_P-typ_cation-transptr_N', 3, NULL),
(805, NULL, 'IPR001295', NULL, 'Dihydroorotate dehydrogenase, conserved site', 'Dihydroorotate_DH_CS', 2, NULL),
(806, NULL, 'IPR004585', NULL, 'DNA recombination/repair protein Rad52', 'DNA_recomb/repair_Rad52', 4, NULL),
(807, NULL, 'IPR002489', NULL, 'Glutamate synthase, alpha subunit, C-terminal', 'Glu_synth_asu_C', 3, NULL),
(808, NULL, 'IPR003059', NULL, 'Colicin lysis protein', 'Lysis_col', 4, NULL),
(809, NULL, 'IPR000232', NULL, 'Heat shock factor (HSF)-type, DNA-binding', 'HSF_DNA-bd', 3, NULL),
(810, NULL, 'IPR003615', NULL, 'HNH nuclease', 'HNH_nuc', 3, NULL),
(811, NULL, 'IPR003080', NULL, 'Glutathione S-transferase, alpha class', 'GST_alpha', 4, NULL),
(812, NULL, 'IPR001299', NULL, 'Ependymin', 'Ependymin', 4, NULL),
(813, NULL, 'IPR007674', NULL, 'Poxvirus 36kDa major membrane', 'Poxvirus_36kDa_major_membrane', 3, NULL),
(814, NULL, 'IPR003084', NULL, 'Histone deacetylase', 'His_deacetylse_1', 4, NULL),
(815, NULL, 'IPR001241', NULL, 'DNA topoisomerase, type IIA', 'Topo_IIA', 4, NULL),
(816, NULL, 'IPR009573', NULL, 'FeGP cofactor biosynthesis protein, methyltransferase HcgC', 'HcgC', 4, NULL),
(817, NULL, 'IPR000264', NULL, 'ALB/AFP/VDB', 'ALB/AFP/VDB', 4, NULL),
(818, NULL, 'IPR005471', NULL, 'Transcription regulator IclR, N-terminal', 'Tscrpt_reg_IclR_N', 3, NULL),
(819, NULL, 'IPR000298', NULL, 'Cytochrome c oxidase subunit III-like', 'Cyt_c_oxidase-like_su3', 3, NULL),
(820, NULL, 'IPR004979', NULL, 'Transcription factor AP-2', 'TF_AP2', 4, NULL),
(821, NULL, 'IPR004608', NULL, 'Methylmalonyl-CoA mutase, beta chain', 'MMCoA_mutase_b', 4, NULL),
(822, NULL, 'IPR005482', NULL, 'Biotin carboxylase, C-terminal', 'Biotin_COase_C', 3, NULL),
(823, NULL, 'IPR003996', NULL, 'RTX toxin-activating protein C, bacteria', 'RTX_toxin-activating_protC_bac', 4, NULL),
(824, NULL, 'IPR002495', NULL, 'Glycosyl transferase, family 8', 'Glyco_trans_8', 4, NULL),
(825, NULL, 'IPR004575', NULL, 'Cdk-activating kinase assembly factor MAT1/Tfb3', 'MAT1/Tfb3', 4, NULL),
(826, NULL, 'IPR004035', NULL, 'Endonuclease III, iron-sulphur binding site', 'Endouclease-III_FeS-bd_BS', 1, NULL),
(827, NULL, 'IPR002531', NULL, 'Hepatitis C virus non-structural protein E2/NS1', 'HCV_NS1', 3, NULL),
(828, NULL, 'IPR004596', NULL, 'Cell division suppressor protein, SulA', 'Cell_div_suppressor_SulA', 4, NULL),
(829, NULL, 'IPR018113', NULL, 'Phosphotransferase system EIIB, cysteine phosphorylation site', 'PTrfase_EIIB_Cys', 2, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(830, NULL, 'IPR034355', NULL, 'A-kinase anchor protein 17A', 'AKAP17A', 4, NULL),
(831, NULL, 'IPR003611', NULL, 'Nuclease associated modular domain 3', 'NUMOD3', 3, NULL),
(832, NULL, 'IPR000281', NULL, 'Helix-turn-helix protein RpiR', 'HTH_RpiR', 3, NULL),
(833, NULL, 'IPR009570', NULL, 'Stage III sporulation protein AC', 'Spore_III_AC', 4, NULL),
(834, NULL, 'IPR002528', NULL, 'Multi antimicrobial extrusion protein', 'MATE_fam', 4, NULL),
(835, NULL, 'IPR009574', NULL, 'Protein of unknown function DUF1189', 'DUF1189', 4, NULL),
(836, NULL, 'IPR002488', NULL, 'Geminivirus C4 protein', 'Gemini_C4', 4, NULL),
(837, NULL, 'IPR002509', NULL, 'NodB homology domain', 'NODB_dom', 3, NULL),
(838, NULL, 'IPR002968', NULL, 'Alpha-1-microglobulin', 'A1-microglobln', 4, NULL),
(839, NULL, 'IPR034351', NULL, 'Nrp1, RNA recognition motif', 'Nrp1_RRM', 3, NULL),
(840, NULL, 'IPR004041', NULL, 'NAF domain', 'NAF_dom', 3, NULL),
(841, NULL, 'IPR003090', NULL, 'Alpha-crystallin, N-terminal', 'Alpha-crystallin_N', 3, NULL),
(842, NULL, 'IPR007177', NULL, '16S/18S rRNA aminocarboxypropyltransferase Tsr3, C-terminal', 'Tsr3_C', 3, NULL),
(843, NULL, 'IPR005488', NULL, 'N-acetylmuramic acid 6-phosphate etherase MurQ', 'Etherase_MurQ', 4, NULL),
(844, NULL, 'IPR004970', NULL, 'Peptidase C57, Vaccinia virus protein I7', 'Peptidase_C57', 4, NULL),
(845, NULL, 'IPR000242', NULL, 'Tyrosine-specific protein phosphatase, PTPase domain', 'PTP_cat', 3, NULL),
(846, NULL, 'IPR002487', NULL, 'Transcription factor, K-box', 'TF_Kbox', 3, NULL),
(847, NULL, 'IPR002507', NULL, 'Reovirus non-structural protein sigma NS', 'Reovirus_polyG_pol', 4, NULL),
(848, NULL, 'IPR002494', NULL, 'Keratin-associated protein', 'KAP', 4, NULL),
(849, NULL, 'IPR008217', NULL, 'Ccc1 family', 'Ccc1_fam', 4, NULL),
(850, NULL, 'IPR003096', NULL, 'Smooth muscle protein/calponin', 'SM22_calponin', 4, NULL),
(851, NULL, 'IPR003610', NULL, 'Carbohydrate-binding module family 5/12', 'CBM_fam5/12', 3, NULL),
(852, NULL, 'IPR002502', NULL, 'N-acetylmuramoyl-L-alanine amidase domain', 'Amidase_domain', 3, NULL),
(853, NULL, 'IPR034352', NULL, 'Rim4/Msa1, RNA recognition motif 1', 'Rim4_RRM1', 3, NULL),
(854, NULL, 'IPR007673', NULL, 'Condensin subunit 1', 'Condensin_cplx_su1', 4, NULL),
(855, NULL, 'IPR002510', NULL, 'Metalloprotease TldD/E, N-terminal domain', 'Metalloprtase-TldD/E_N', 3, NULL),
(856, NULL, 'IPR000322', NULL, 'Glycoside hydrolase family 31', 'Glyco_hydro_31', 4, NULL),
(857, NULL, 'IPR004997', NULL, 'Herpesvirus polymerase accessory protein', 'Herpes_PAP', 4, NULL),
(858, NULL, 'IPR005496', NULL, 'Integral membrane protein TerC', 'Integral_membrane_TerC', 4, NULL),
(859, NULL, 'IPR005501', NULL, 'LamB/YcsF/PxpA-like', 'LamB/YcsF/PxpA-like', 4, NULL),
(860, NULL, 'IPR007678', NULL, 'Poxvirus G5', 'Poxvirus_G5', 4, NULL),
(861, NULL, 'IPR007672', NULL, 'Selenoprotein P, C-terminal', 'SelP_C', 3, NULL),
(862, NULL, 'IPR003093', NULL, 'Apoptosis regulator, Bcl-2 protein, BH4', 'Bcl2_BH4', 3, NULL),
(863, NULL, 'IPR002480', NULL, 'DAHP synthetase, class II', 'DAHP_synth_2', 4, NULL),
(864, NULL, 'IPR007185', NULL, 'DNA polymerase alpha/delta/epsilon, subunit B', 'DNA_pol_a/d/e_bsu', 3, NULL),
(865, NULL, 'IPR023674', NULL, 'Ribosomal protein L1-like', 'Ribosomal_L1-like', 5, NULL),
(866, NULL, 'IPR002506', NULL, 'Hepatitis delta virus delta antigen', 'HDV_ag', 4, NULL),
(867, NULL, 'IPR004045', NULL, 'Glutathione S-transferase, N-terminal', 'Glutathione_S-Trfase_N', 3, NULL),
(868, NULL, 'IPR003074', NULL, 'Peroxisome proliferator-activated receptor', '1Cnucl_rcpt', 4, NULL),
(869, NULL, 'IPR034393', NULL, 'TatSF1-like', 'TatSF1-like', 4, NULL),
(870, NULL, 'IPR002969', NULL, 'Apolipoprotein D', 'ApolipopD', 4, NULL),
(871, NULL, 'IPR003049', NULL, 'P2X6 purinoceptor', 'P2X6_purnocptor', 4, NULL),
(872, NULL, 'IPR002963', NULL, 'Expansin', 'Expansin', 4, NULL),
(873, NULL, 'IPR000332', NULL, 'Beta 2 adrenoceptor', 'ADRB2_rcpt', 4, NULL),
(874, NULL, 'IPR000271', NULL, 'Ribosomal protein L34', 'Ribosomal_L34', 4, NULL),
(875, NULL, 'IPR002511', NULL, 'Geminivirus V2 protein', 'Gemini_V2', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(876, NULL, 'IPR004583', NULL, 'DNA repair protein Rad4', 'DNA_repair_Rad4', 4, NULL),
(877, NULL, 'IPR004588', NULL, '4-hydroxy-3-methylbut-2-en-1-yl diphosphate synthase, bacterial-type', 'IspG_bac-typ', 4, NULL),
(878, NULL, 'IPR004609', NULL, 'ATP-dependent DNA helicase RecG', 'ATP-dep_DNA_helicase_RecG', 4, NULL),
(879, NULL, 'IPR005449', NULL, 'Voltage-dependent calcium channel, R-type, alpha-1 subunit', 'VDCC_R_a1su', 4, NULL),
(880, NULL, 'IPR004005', NULL, 'Calicivirus coat protein', 'Calicivirus_coat', 3, NULL),
(881, NULL, 'IPR004031', NULL, 'PMP-22/EMP/MP20/Claudin superfamily', 'PMP22/EMP/MP20/Claudin', 4, NULL),
(882, NULL, 'IPR004060', NULL, 'Orexin receptor 2', 'Orexin_rcpt_2', 4, NULL),
(883, NULL, 'IPR005479', NULL, 'Carbamoyl-phosphate synthetase large subunit-like, ATP-binding domain', 'CbamoylP_synth_lsu-like_ATP-bd', 3, NULL),
(884, NULL, 'IPR007682', NULL, 'Lantibiotic, type A, Lactobacillales-type', 'Lantibiotic_typ-A_Lactobact', 4, NULL),
(885, NULL, 'IPR003069', NULL, 'Ecdysteroid receptor', 'Ecdystd_rcpt', 4, NULL),
(886, NULL, 'IPR007175', NULL, 'Ribonuclease P subunit, Rpr2/Snm1/Rpp21', 'Rpr2/Snm1/Rpp21', 4, NULL),
(887, NULL, 'IPR007181', NULL, 'Dihydroneopterin aldolase MtpD, C-terminal domain', 'MtpD_C', 3, NULL),
(888, NULL, 'IPR023672', NULL, 'Ribosomal protein L2, archaeal-type', 'Ribosomal_L2_arc', 4, NULL),
(889, NULL, 'IPR001229', NULL, 'Jacalin-like lectin domain', 'Jacalin-like_lectin_dom', 3, NULL),
(890, NULL, 'IPR007182', NULL, 'Na+/H+ antiporter MnhB subunit-related protein', 'MnhB', 3, NULL),
(891, NULL, 'IPR004029', NULL, 'UreE urease accessory, N-terminal', 'UreE_N', 3, NULL),
(892, NULL, 'IPR008225', NULL, 'Coenzyme F420:L-glutamate ligase', 'F420-0_g-glutamyl_ligase', 4, NULL),
(893, NULL, 'IPR004023', NULL, 'Mago nashi protein', 'Mago_nashi', 4, NULL),
(894, NULL, 'IPR004048', NULL, 'Potassium channel, voltage dependent, Kv1.1', 'K_chnl_volt-dep_Kv1.1', 4, NULL),
(895, NULL, 'IPR004589', NULL, 'DNA helicase, ATP-dependent, RecQ type', 'DNA_helicase_ATP-dep_RecQ', 4, NULL),
(896, NULL, 'IPR003085', NULL, 'Acetoin utilization protein AcuC', 'AcuC', 4, NULL),
(897, NULL, 'IPR002964', NULL, 'Adhesive plaque protein', 'Adhesive_plaq', 4, NULL),
(898, NULL, 'IPR003052', NULL, 'GPCR, family 2, corticotropin releasing factor receptor, type 1', 'GPCR_2_CRF1_rcpt', 4, NULL),
(899, NULL, 'IPR005508', NULL, 'B3 domain-containing protein At2g31720-like', 'At2g31720-like', 4, NULL),
(900, NULL, 'IPR004603', NULL, 'DNA mismatch endonuclease VSR', 'DNA_mismatch_endonuc_vsr', 4, NULL),
(901, NULL, 'IPR009579', NULL, 'Protein of unknown function DUF1192', 'DUF1192', 4, NULL),
(902, NULL, 'IPR002518', NULL, 'Hepatitis C virus non-structural protein NS2', 'HCV_NS2', 3, NULL),
(903, NULL, 'IPR004026', NULL, 'Ada DNA repair, metal-binding', 'Ada_DNA_repair_Zn-bd', 3, NULL),
(904, NULL, 'IPR004056', NULL, 'Potassium channel, voltage dependent, Kv4.3', 'K_chnl_volt-dep_Kv4.3', 4, NULL),
(905, NULL, 'IPR004584', NULL, 'DNA repair protein Rad50, eukaryotes', 'Rad50_eukaryotes', 4, NULL),
(906, NULL, 'IPR004044', NULL, 'K Homology domain, type 2', 'KH_dom_type_2', 3, NULL),
(907, NULL, 'IPR005458', NULL, 'Transient receptor potential channel, canonical 2', 'TRPC2_channel', 4, NULL),
(908, NULL, 'IPR023670', NULL, 'Tyrosine recombinase XerS', 'Recomb_XerS', 4, NULL),
(909, NULL, 'IPR004991', NULL, 'Aerolysin-like toxin', 'Aerolysin-like', 4, NULL),
(910, NULL, 'IPR005015', NULL, 'Thermostable direct haemolysin, vibrio', 'Thermostable_hemolysn_vibrio', 4, NULL),
(911, NULL, 'IPR005497', NULL, 'Cytochrome b6-f complex, subunit 8', 'Cytochrome_b6-f_cplx_su8', 4, NULL),
(912, NULL, 'IPR004033', NULL, 'UbiE/COQ5 methyltransferase', 'UbiE/COQ5_MeTrFase', 4, NULL),
(913, NULL, 'IPR005500', NULL, 'Protein of unknown function DUF309', 'DUF309', 4, NULL),
(914, NULL, 'IPR003063', NULL, 'Cloacin immunity protein family', 'Cloacn_immnty_fam', 4, NULL),
(915, NULL, 'IPR000329', NULL, 'Uteroglobin', 'Uteroglobin', 4, NULL),
(916, NULL, 'IPR001247', NULL, 'Exoribonuclease, phosphorolytic domain 1', 'ExoRNase_PH_dom1', 3, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(917, NULL, 'IPR002539', NULL, 'MaoC-like dehydratase domain', 'MaoC-like_dom', 3, NULL),
(918, NULL, 'IPR003624', NULL, 'Leukemia inhibitory factor', 'Leukemia_IF', 4, NULL),
(919, NULL, 'IPR000244', NULL, 'Ribosomal protein L9', 'Ribosomal_L9', 4, NULL),
(920, NULL, 'IPR004021', NULL, 'HIN-200/IF120x', 'HIN200/IF120x', 3, NULL),
(921, NULL, 'IPR004611', NULL, 'DNA primase-related protein', 'DNA_primase-rel', 4, NULL),
(922, NULL, 'IPR004565', NULL, 'Outer membrane lipoprotein LolB', 'OM_lipoprot_LolB', 4, NULL),
(923, NULL, 'IPR001294', NULL, 'Phytochrome', 'Phytochrome', 4, NULL),
(924, NULL, 'IPR004004', NULL, 'Helicase/polymerase/peptidase polyprotein, Calicivirus-type', 'Helic/Pol/Pept_Calicivir-typ', 4, NULL),
(925, NULL, 'IPR004577', NULL, '8-oxoguanine DNA-glycosylase', 'Ogg1', 4, NULL),
(926, NULL, 'IPR004555', NULL, 'Glucose-6-phosphate dehydrogenase assembly protein OpcA', 'G6PDH_assembly_OpcA', 4, NULL),
(927, NULL, 'IPR004612', NULL, 'Holliday junction resolvase RecU', 'Resolv_RecU', 4, NULL),
(928, NULL, 'IPR004038', NULL, 'Ribosomal protein L7Ae/L30e/S12e/Gadd45', 'Ribosomal_L7Ae/L30e/S12e/Gad45', 3, NULL),
(929, NULL, 'IPR001232', NULL, 'S-phase kinase-associated protein 1-like', 'SKP1-like', 4, NULL),
(930, NULL, 'IPR004011', NULL, 'GYR motif', 'Gyr_motif', 2, NULL),
(931, NULL, 'IPR002520', NULL, 'Adhesin lipoprotein', 'Lipoprotein_7', 4, NULL),
(932, NULL, 'IPR003083', NULL, 'S-crystallin', 'S-crystallin', 4, NULL),
(933, NULL, 'IPR001235', NULL, 'Blue (type 1) copper protein, plastocyanin-type', 'Copper_blue_Plastocyanin', 4, NULL),
(934, NULL, 'IPR000291', NULL, 'D-alanine--D-alanine ligase/VANA/B/C, conserved site', 'D-Ala_lig_Van_CS', 2, NULL),
(935, NULL, 'IPR004568', NULL, 'Phosphopantetheine-protein transferase domain', 'Ppantetheine-prot_Trfase_dom', 3, NULL),
(936, NULL, 'IPR005492', NULL, 'Leucine-rich glioma-inactivated , EPTP repeat', 'EPTP', 7, NULL),
(937, NULL, 'IPR004043', NULL, 'LCCL domain', 'LCCL', 3, NULL),
(938, NULL, 'IPR001231', NULL, 'CD44 antigen', 'CD44_antigen', 4, NULL),
(939, NULL, 'IPR034349', NULL, 'NUCL, RNA recognition motif 1', 'NUCL_RRM1', 3, NULL),
(940, NULL, 'IPR002516', NULL, 'Glycosyl transferase, family 11', 'Glyco_trans_11', 4, NULL),
(941, NULL, 'IPR023665', NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase, prokaryotes', 'ApgAM_prokaryotes', 4, NULL),
(942, NULL, 'IPR004595', NULL, 'TFIIH C1-like domain', 'TFIIH_C1-like_dom', 3, NULL),
(943, NULL, 'IPR000308', NULL, '14-3-3 protein', '14-3-3', 4, NULL),
(944, NULL, 'IPR000292', NULL, 'Formate/nitrite transporter', 'For/NO2_transpt', 4, NULL),
(945, NULL, 'IPR000270', NULL, 'PB1 domain', 'PB1_dom', 3, NULL),
(946, NULL, 'IPR000310', NULL, 'Orn/Lys/Arg decarboxylase, major domain', 'Orn/Lys/Arg_deCO2ase_major_dom', 3, NULL),
(947, NULL, 'IPR004549', NULL, 'Acetyl-CoA carboxylase, biotin carboxylase', 'Acetyl_CoA_COase_biotin_COase', 4, NULL),
(948, NULL, 'IPR004606', NULL, 'Molybdenum-pterin binding domain', 'Mop_domain', 3, NULL),
(949, NULL, 'IPR003619', NULL, 'MAD homology 1, Dwarfin-type', 'MAD_homology1_Dwarfin-type', 3, NULL),
(950, NULL, 'IPR004572', NULL, 'Protoporphyrinogen oxidase', 'Protoporphyrinogen_oxidase', 4, NULL),
(951, NULL, 'IPR007183', NULL, 'Uncharacterised protein family UPF0280', 'UPF0280', 4, NULL),
(952, NULL, 'IPR004006', NULL, 'DhaK domain', 'DhaK_dom', 3, NULL),
(953, NULL, 'IPR009571', NULL, 'Membrane protein SUR7/Rim9-like, fungi', 'SUR7/Rim9-like_fungi', 4, NULL),
(954, NULL, 'IPR004972', NULL, 'Major core protein 4b', 'P4B', 4, NULL),
(955, NULL, 'IPR005477', NULL, 'Deoxyxylulose-5-phosphate synthase', 'Dxylulose-5-P_synthase', 4, NULL),
(956, NULL, 'IPR007684', NULL, 'Zinc finger, Ogr/Delta-type', 'Znf_Ogr/Delta', 3, NULL),
(957, NULL, 'IPR004602', NULL, 'UvrABC system subunit A', 'UvrA', 4, NULL),
(958, NULL, 'IPR004610', NULL, 'Bacterial RecJ exonuclease', 'RecJ', 4, NULL),
(959, NULL, 'IPR008221', NULL, 'Urease', 'Urease', 4, NULL),
(960, NULL, 'IPR000315', NULL, 'B-box-type zinc finger', 'Znf_B-box', 3, NULL),
(961, NULL, 'IPR007685', NULL, 'RelA/SpoT', 'RelA_SpoT', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(962, NULL, 'IPR004567', NULL, 'Type II pantothenate kinase', 'Type_II_PanK', 4, NULL),
(963, NULL, 'IPR004561', NULL, 'Isochorismate synthase', 'IsoChor_synthase', 4, NULL),
(964, NULL, 'IPR023669', NULL, 'Ribosomal protein L1, archaea', 'Ribosomal_L1_arc', 4, NULL),
(965, NULL, 'IPR003617', NULL, 'Transcription elongation factor, TFIIS/CRSP70, N-terminal, sub-type', 'TFIIS/CRSP70_N_sub', 3, NULL),
(966, NULL, 'IPR002534', NULL, 'Hantavirus glycoprotein G1', 'Hanta_G1', 3, NULL),
(967, NULL, 'IPR005452', NULL, 'Voltage-dependent calcium channel, L-type, alpha-1D subunit', 'LVDCC_a1dsu', 4, NULL),
(968, NULL, 'IPR005003', NULL, 'Bacteriophage lambda, Stf, side tail fibre-repeat-1', 'Phage_lambda_Stf-r1', 7, NULL),
(969, NULL, 'IPR002484', NULL, 'Arterivirus nucleocapsid', 'Arte_nucleocap', 4, NULL),
(970, NULL, 'IPR004591', NULL, 'Replication factor A protein 1', 'Rfa1', 4, NULL),
(971, NULL, 'IPR008249', NULL, 'Uncharacterised protein family UPF0231', 'UPF0231', 4, NULL),
(972, NULL, 'IPR009575', NULL, 'Melon necrotic spot virus P7B', 'MNSV_P7B', 4, NULL),
(973, NULL, 'IPR003078', NULL, 'Retinoic acid receptor', 'Retinoic_acid_rcpt', 4, NULL),
(974, NULL, 'IPR004000', NULL, 'Actin family', 'Actin', 4, NULL),
(975, NULL, 'IPR005016', NULL, 'Serine incorporator/TMS membrane protein', 'TDE1/TMS', 4, NULL),
(976, NULL, 'IPR002521', NULL, 'Hepatitis C virus core protein, C-terminal', 'HCV_core_C', 3, NULL),
(977, NULL, 'IPR008250', NULL, 'P-type ATPase, A domain superfamily', 'ATPase_P-typ_transduc_dom_A_sf', 5, NULL),
(978, NULL, 'IPR003092', NULL, 'Two pore domain potassium channel, TASK family', '2pore_dom_K_chnl_TASK', 4, NULL),
(979, NULL, 'IPR005459', NULL, 'Transient receptor potential channel, canonical  3', 'TRPC3_channel', 4, NULL),
(980, NULL, 'IPR023650', NULL, 'Beta-lactamase, class-A active site', 'Beta-lactam_class-A_AS', 0, NULL),
(981, NULL, 'IPR000305', NULL, 'GIY-YIG endonuclease', 'GIY-YIG_endonuc', 3, NULL),
(982, NULL, 'IPR005462', NULL, 'Transient receptor potential channel, canonical 6', 'TRPC6_channel', 4, NULL),
(983, NULL, 'IPR003043', NULL, 'Uroporphiryn-III C-methyltransferase, conserved site', 'Uropor_MeTrfase_CS', 2, NULL),
(984, NULL, 'IPR004605', NULL, 'DNA helicase, Holliday junction RuvB-type', 'DNA_helicase_Holl-junc_RuvB', 4, NULL),
(985, NULL, 'IPR008339', NULL, 'Dishevelled family', 'Dishevelled_fam', 4, NULL),
(986, NULL, 'IPR000229', NULL, 'Nucleocapsid protein, arenaviridae', 'Nucleocapsid_arenaviridae', 4, NULL),
(987, NULL, 'IPR004028', NULL, 'Retroviral Gag polyprotein, M', 'Gag_M', 3, NULL),
(988, NULL, 'IPR004975', NULL, 'Poxvirus VLTF2, trans-activator', 'Poxvirus_VLTF2', 4, NULL),
(989, NULL, 'IPR004983', NULL, 'Mlp lipoprotein', 'Mlp', 4, NULL),
(990, NULL, 'IPR003994', NULL, 'Ubiquitously expressed transcript protein UXT', 'UXT', 4, NULL),
(991, NULL, 'IPR004995', NULL, 'Bacillus/Clostridium Ger spore germination protein', 'Spore_Ger', 4, NULL),
(992, NULL, 'IPR002501', NULL, 'Pseudouridine synthase II, N-terminal', 'PsdUridine_synth_N', 3, NULL),
(993, NULL, 'IPR002492', NULL, 'Transposase, Tc1-like', 'Transposase_Tc1-like', 3, NULL),
(994, NULL, 'IPR002530', NULL, 'Zein seed storage protein', 'Zein', 4, NULL),
(995, NULL, 'IPR002515', NULL, 'Zinc finger, C2H2C-type', 'Znf_C2H2C', 7, NULL),
(996, NULL, 'IPR005499', NULL, '6-carboxyhexanoate--CoA ligase', 'BioW', 4, NULL),
(997, NULL, 'IPR004597', NULL, 'DNA-3-methyladenine glycosylase I', 'Tag', 4, NULL),
(998, NULL, 'IPR002512', NULL, 'Rotavirus A/C, non-structural protein 5', 'Rotavirus_A/C_NSP5', 4, NULL),
(999, NULL, 'IPR000301', NULL, 'Tetraspanin, animals', 'Tetraspanin_animals', 4, NULL),
(1000, NULL, 'IPR004009', NULL, 'Myosin, N-terminal, SH3-like', 'Myosin_N', 3, NULL),
(1001, NULL, 'IPR001155', NULL, 'NADH:flavin oxidoreductase/NADH oxidase, N-terminal', 'OxRdtase_FMN_N', 3, NULL),
(1002, NULL, 'IPR002073', NULL, '3''5''-cyclic nucleotide phosphodiesterase, catalytic domain', 'PDEase_catalytic_dom', 3, NULL),
(1003, NULL, 'IPR034362', NULL, 'PHIP1, RNA recognition motif 2', 'PHIP1_RRM2', 3, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1004, NULL, 'IPR003674', NULL, 'Oligosaccharyl transferase, STT3 subunit', 'Oligo_trans_STT3', 4, NULL),
(1005, NULL, 'IPR007738', NULL, 'Prospero homeobox protein 1', 'Prox1', 4, NULL),
(1006, NULL, 'IPR034358', NULL, 'Vip1, RNA recognition motif', 'Vip1_RRM', 3, NULL),
(1007, NULL, 'IPR002123', NULL, 'Phospholipid/glycerol acyltransferase', 'Plipid/glycerol_acylTrfase', 3, NULL),
(1008, NULL, 'IPR007779', NULL, 'Rotavirus VP2', 'Rotavirus_VP2', 4, NULL),
(1009, NULL, 'IPR001172', NULL, 'Flagellar motor switch FliN/Type III secretion HrcQb', 'FliN_T3SS_HrcQb', 4, NULL),
(1010, NULL, 'IPR007196', NULL, 'CCR4-Not complex component, Not1, C-terminal', 'CCR4-Not_Not1_C', 3, NULL),
(1011, NULL, 'IPR006636', NULL, 'Heat shock chaperonin-binding', 'STI1_HS-bd', 3, NULL),
(1012, NULL, 'IPR003680', NULL, 'Flavodoxin-like fold', 'Flavodoxin_fold', 3, NULL),
(1013, NULL, 'IPR005995', NULL, 'Phosphoglycerate mutase, 2,3-bisphosphoglycerate-independent', 'Pgm_bpd_ind', 4, NULL),
(1014, NULL, 'IPR005510', NULL, 'CRISPR type III-associated RAMP protein Csm4', 'Csm4', 4, NULL),
(1015, NULL, 'IPR000202', NULL, 'GPCR, family 3, metabotropic glutamate receptor 5', 'GPCR_3_mtglu_rcpt_5', 4, NULL),
(1016, NULL, 'IPR001067', NULL, 'Nuclear translocator', 'Nuc_translocat', 4, NULL),
(1017, NULL, 'IPR007692', NULL, 'DNA helicase, DnaB type', 'DNA_helicase_DnaB', 4, NULL),
(1018, NULL, 'IPR001114', NULL, 'Adenylosuccinate synthetase', 'Adenylosuccinate_synthetase', 4, NULL),
(1019, NULL, 'IPR007193', NULL, 'Up-frameshift suppressor 2, C-terminal', 'Upf2/Nmd2_C', 3, NULL),
(1020, NULL, 'IPR003653', NULL, 'Ulp1 protease family, C-terminal catalytic domain', 'Peptidase_C48_C', 3, NULL),
(1021, NULL, 'IPR006018', NULL, 'Caldesmon/lymphocyte specific protein', 'Caldesmon_LSP', 4, NULL),
(1022, NULL, 'IPR002129', NULL, 'Pyridoxal phosphate-dependent decarboxylase', 'PyrdxlP-dep_de-COase', 4, NULL),
(1023, NULL, 'IPR007202', NULL, '4Fe-4S domain', '4Fe-4S_dom', 3, NULL),
(1024, NULL, 'IPR007561', NULL, 'Cell division protein SepF/SepF-related', 'Cell_div_SepF/SepF-rel', 4, NULL),
(1025, NULL, 'IPR003670', NULL, 'African swine fever virus DP96R family', 'ASFV_DP96R', 4, NULL),
(1026, NULL, 'IPR002109', NULL, 'Glutaredoxin', 'Glutaredoxin', 3, NULL),
(1027, NULL, 'IPR001195', NULL, 'Glycophorin', 'Glycophorin', 4, NULL),
(1028, NULL, 'IPR006626', NULL, 'Parallel beta-helix repeat', 'PbH1', 7, NULL),
(1029, NULL, 'IPR001166', NULL, 'Hyperglycemic hormone', 'Hyperglycemic', 4, NULL),
(1030, NULL, 'IPR024617', NULL, 'Domain of unknown function DUF3870', 'DUF3870', 3, NULL),
(1031, NULL, 'IPR001152', NULL, 'Beta-thymosin', 'Beta-thymosin', 4, NULL),
(1032, NULL, 'IPR007754', NULL, 'N-acetylglucosaminyltransferase II', 'GlcNAc_II', 4, NULL),
(1033, NULL, 'IPR005989', NULL, 'Sucrose/H+ symporter, plant', 'Suc_symporter_pln', 4, NULL),
(1034, NULL, 'IPR001849', NULL, 'Pleckstrin homology domain', 'PH_domain', 3, NULL),
(1035, NULL, 'IPR005017', NULL, 'Outer membrane protein transport protein (OMPP1/FadL/TodX)', 'OMPP1/FadL/TodX', 4, NULL),
(1036, NULL, 'IPR001039', NULL, 'MHC class I alpha chain, alpha1 alpha2 domains', 'MHC_I_a_a1/a2', 3, NULL),
(1037, NULL, 'IPR005991', NULL, 'IMP dehydrogenase-related 1', 'IMP_DH-rel1', 4, NULL),
(1038, NULL, 'IPR002104', NULL, 'Integrase, catalytic domain', 'Integrase_catalytic', 3, NULL),
(1039, NULL, 'IPR001211', NULL, 'Phospholipase A2', 'PLipase_A2', 4, NULL),
(1040, NULL, 'IPR007774', NULL, 'Putative nitrogen fixation protein', 'Put_N_fixation', 4, NULL),
(1041, NULL, 'IPR007782', NULL, 'Vitamin K-dependent gamma-carboxylase', 'VKG_COase', 4, NULL),
(1042, NULL, 'IPR001181', NULL, 'Interleukin-7', 'IL-7', 4, NULL),
(1043, NULL, 'IPR000249', NULL, 'Bacterial microcompartment domain', 'BMC_dom', 3, NULL),
(1044, NULL, 'IPR034360', NULL, 'Vip1-like, RNA recognition motif, plant', 'Vip1-like_RRM_plant', 3, NULL),
(1045, NULL, 'IPR001179', NULL, 'FKBP-type peptidyl-prolyl cis-trans isomerase domain', 'PPIase_FKBP_dom', 3, NULL),
(1046, NULL, 'IPR006600', NULL, 'HTH CenpB-type DNA-binding domain', 'HTH_CenpB_DNA-bd_dom', 3, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1047, NULL, 'IPR001194', NULL, 'cDENN domain', 'cDENN_dom', 3, NULL),
(1048, NULL, 'IPR007732', NULL, 'Cytochrome b558 alpha-subunit', 'Cyt_b558_asu', 4, NULL),
(1049, NULL, 'IPR001029', NULL, 'Flagellin, D0/D1 domain', 'Flagellin_D0/D1', 3, NULL),
(1050, NULL, 'IPR001196', NULL, 'Ribosomal protein L15, conserved site', 'Ribosomal_L15_CS', 2, NULL),
(1051, NULL, 'IPR007197', NULL, 'Radical SAM', 'rSAM', 3, NULL),
(1052, NULL, 'IPR003654', NULL, 'OAR domain', 'OAR_dom', 3, NULL),
(1053, NULL, 'IPR006640', NULL, 'SprT-like', 'SprT-like_domain', 3, NULL),
(1054, NULL, 'IPR003657', NULL, 'WRKY domain', 'WRKY_dom', 3, NULL),
(1055, NULL, 'IPR002146', NULL, 'ATP synthase, F0 complex, subunit b/b'', bacterial/chloroplast', 'ATP_synth_b/b''su_bac/chlpt', 4, NULL),
(1056, NULL, 'IPR001261', NULL, 'ArgE/DapE/ACY1/CPG2/YscS, conserved site', 'ArgE/DapE_CS', 2, NULL),
(1057, NULL, 'IPR007761', NULL, 'Mannitol repressor MtlR-like', 'MtlR-like', 4, NULL),
(1058, NULL, 'IPR006006', NULL, 'Glutamate synthase NADPH small chain-like', 'GltD-like', 4, NULL),
(1059, NULL, 'IPR007722', NULL, 'mRNA decapping protein 2, Box A domain', 'DCP2_BoxA', 3, NULL),
(1060, NULL, 'IPR002120', NULL, 'Thyrotropin-releasing hormone receptor', 'TRH_rcpt_1', 4, NULL),
(1061, NULL, 'IPR007708', NULL, 'Lariat debranching enzyme, C-terminal', 'DBR1_C', 3, NULL),
(1062, NULL, 'IPR007713', NULL, 'TMP repeat', 'TMP_rpt', 7, NULL),
(1063, NULL, 'IPR002083', NULL, 'MATH/TRAF domain', 'MATH/TRAF_dom', 3, NULL),
(1064, NULL, 'IPR003668', NULL, 'Rotavirus non-structural protein 2', 'Rotavirus_NSP2', 4, NULL),
(1065, NULL, 'IPR002134', NULL, 'Histidine-rich calcium-binding repeat', 'His-rich_Ca-bd_rpt', 7, NULL),
(1066, NULL, 'IPR001126', NULL, 'UmuC domain', 'UmuC', 3, NULL),
(1067, NULL, 'IPR002116', NULL, 'Melittin/ Api allergen', 'Melittin/Api_allergen', 4, NULL),
(1068, NULL, 'IPR006635', NULL, 'NEAT domain', 'NEAT_dom', 3, NULL),
(1069, NULL, 'IPR005030', NULL, 'Herpesvirus leader protein', 'Herpes_LP', 3, NULL),
(1070, NULL, 'IPR024651', NULL, 'FAD-containing D-sorbitol dehydrogenase small subunit', 'FAD-SLDH_ssu', 4, NULL),
(1071, NULL, 'IPR001133', NULL, 'NADH-ubiquinone oxidoreductase chain 4L/K', 'NADH_UbQ_OxRdtase_chain4L/K', 4, NULL),
(1072, NULL, 'IPR006644', NULL, 'Dystroglycan-type cadherin-like', 'Cadg', 3, NULL),
(1073, NULL, 'IPR005021', NULL, 'Terminase large subunit, Lambdalikevirus-type', 'Terminase_largesu_Lambdalike', 4, NULL),
(1074, NULL, 'IPR001192', NULL, 'Phosphoinositide phospholipase C family', 'PI-PLC_fam', 4, NULL),
(1075, NULL, 'IPR007694', NULL, 'DNA helicase, DnaB-like, C-terminal', 'DNA_helicase_DnaB-like_C', 3, NULL),
(1076, NULL, 'IPR007777', NULL, 'Protein of unknown function DUF685', 'DUF685', 4, NULL),
(1077, NULL, 'IPR005511', NULL, 'Senescence marker protein-30 (SMP-30)', 'SMP-30', 4, NULL),
(1078, NULL, 'IPR001161', NULL, 'Helicase XPB/Ssl2', 'XPB/Ssl2', 4, NULL),
(1079, NULL, 'IPR005968', NULL, 'Thiamine ABC transporter, ATP-binding protein ThiQ', 'Thiamine_ABC_ThiQ', 4, NULL),
(1080, NULL, 'IPR002113', NULL, 'ADP/ATP carrier protein, eukaryotic type', 'ADT_euk_type', 4, NULL),
(1081, NULL, 'IPR034359', NULL, 'MTHFSD, RNA recognition motif', 'MTHFSD_RRM', 3, NULL),
(1082, NULL, 'IPR007712', NULL, 'Toxin-antitoxin system, RelE/ParE toxin family', 'RelE/ParE_toxin', 4, NULL),
(1083, NULL, 'IPR001098', NULL, 'DNA-directed DNA polymerase, family A, palm domain', 'DNA-dir_DNA_pol_A_palm_dom', 3, NULL),
(1084, NULL, 'IPR002098', NULL, 'Seminal vesicle protein I', 'SVP_I', 7, NULL),
(1085, NULL, 'IPR001257', NULL, 'Parvovirus non-structural protein 1, helicase domain', 'Parvovirus_NS1_helicase', 3, NULL),
(1086, NULL, 'IPR007771', NULL, 'Protein of unknown function DUF680', 'DUF680', 4, NULL),
(1087, NULL, 'IPR002137', NULL, 'Beta-lactamase, class-D active site', 'Beta-lactam_class-D_AS', 0, NULL),
(1088, NULL, 'IPR006028', NULL, 'Gamma-aminobutyric acid A receptor/Glycine receptor alpha', 'GABAA/Glycine_rcpt', 4, NULL),
(1089, NULL, 'IPR006645', NULL, 'NusG, N-terminal', 'NGN_dom', 3, NULL),
(1090, NULL, 'IPR006653', NULL, 'Tryptophan synthase, beta chain, conserved site', 'Trp_synth_b_CS', 2, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1091, NULL, 'IPR006641', NULL, 'YqgF/RNase H-like domain', 'YqgF/RNaseH-like_dom', 3, NULL),
(1092, NULL, 'IPR002141', NULL, 'Influenza virus nucleoprotein (NP)', 'Flu_NP', 4, NULL),
(1093, NULL, 'IPR001025', NULL, 'Bromo adjacent homology (BAH) domain', 'BAH_dom', 3, NULL),
(1094, NULL, 'IPR007770', NULL, 'Protein DMP', 'DMP', 4, NULL),
(1095, NULL, 'IPR006599', NULL, 'CARP motif', 'CARP_motif', 3, NULL),
(1096, NULL, 'IPR006032', NULL, 'Ribosomal protein S12/S23', 'Ribosomal_S12/S23', 4, NULL),
(1097, NULL, 'IPR001104', NULL, '3-oxo-5-alpha-steroid 4-dehydrogenase, C-terminal', '3-oxo-5_a-steroid_4-DH_C', 3, NULL),
(1098, NULL, 'IPR007733', NULL, 'Agouti', 'Agouti', 4, NULL),
(1099, NULL, 'IPR007768', NULL, 'Suppressor of fused', 'Suppressor_of_fused', 4, NULL),
(1100, NULL, 'IPR007699', NULL, 'SGS domain', 'SGS_dom', 3, NULL),
(1101, NULL, 'IPR005025', NULL, 'NADPH-dependent FMN reductase-like', 'FMN_Rdtase-like', 3, NULL),
(1102, NULL, 'IPR006008', NULL, 'Inner membrane-spanning protein YciB', 'YciB', 4, NULL),
(1103, NULL, 'IPR007728', NULL, 'Pre-SET domain', 'Pre-SET_dom', 3, NULL),
(1104, NULL, 'IPR001062', NULL, 'Transcription antitermination protein, NusG', 'Transcrpt_antiterm_NusG', 4, NULL),
(1105, NULL, 'IPR006614', NULL, 'Peroxin/Ferlin domain', 'Peroxin/Ferlin', 3, NULL),
(1106, NULL, 'IPR000209', NULL, 'Peptidase S8/S53 domain', 'Peptidase_S8/S53_dom', 3, NULL),
(1107, NULL, 'IPR006594', NULL, 'LIS1 homology motif', 'LisH', 3, NULL),
(1108, NULL, 'IPR006024', NULL, 'Opioid neuropeptide precursor', 'Opioid_neupept', 4, NULL),
(1109, NULL, 'IPR003103', NULL, 'BAG domain', 'BAG_domain', 3, NULL),
(1110, NULL, 'IPR005972', NULL, 'Nitrogenase molybdenum-iron protein alpha chain', 'Nase_Mo-Fe_asu', 4, NULL),
(1111, NULL, 'IPR005983', NULL, 'Potassium channel, voltage-dependent, beta subunit, KCNAB', 'K_chnl_volt-dep_bsu_KCNAB', 4, NULL),
(1112, NULL, 'IPR007748', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), Orf109', 'AcMNPV_Orf109', 4, NULL),
(1113, NULL, 'IPR007758', NULL, 'Nucleoporin, NSP1-like, C-terminal', 'Nucleoporin_NSP1_C', 3, NULL),
(1114, NULL, 'IPR002121', NULL, 'HRDC domain', 'HRDC_dom', 3, NULL),
(1115, NULL, 'IPR034539', NULL, 'ACF, RNA recognition motif 3', 'ACF_RRM3', 3, NULL),
(1116, NULL, 'IPR003625', NULL, 'Parathyroid hormone', 'PTH', 4, NULL),
(1117, NULL, 'IPR001185', NULL, 'Large-conductance mechanosensitive channel', 'MS_channel', 4, NULL),
(1118, NULL, 'IPR007689', NULL, 'A-alpha-Y mating type-dependent binding domain', 'AalphaY_mating_typ-dep-bd-dom', 3, NULL),
(1119, NULL, 'IPR001174', NULL, 'Galactokinase/homoserine kinase', 'Galkinase', 4, NULL),
(1120, NULL, 'IPR001188', NULL, 'Bacterial periplasmic spermidine/putrescine-binding protein', 'Sperm_putr-bd', 4, NULL),
(1121, NULL, 'IPR001223', NULL, 'Glycoside hydrolase family 18, catalytic domain', 'Glyco_hydro18_cat', 3, NULL),
(1122, NULL, 'IPR006643', NULL, 'Zasp-like motif', 'Zasp-like_motif', 3, NULL),
(1123, NULL, 'IPR003073', NULL, 'Orphan nuclear receptor, NURR type', 'NURR_rcpt', 4, NULL),
(1124, NULL, 'IPR005980', NULL, 'Nitrogenase cofactor biosynthesis protein NifB', 'Nase_CF_NifB', 4, NULL),
(1125, NULL, 'IPR005022', NULL, 'Viral trans-activator protein', 'Pox_TAP', 4, NULL),
(1126, NULL, 'IPR001111', NULL, 'TGF-beta, propeptide', 'TGF-b_propeptide', 3, NULL),
(1127, NULL, 'IPR007769', NULL, 'Poxvirus A19', 'Poxvirus_A19', 4, NULL),
(1128, NULL, 'IPR005985', NULL, 'Bacteriocin transport accessory protein', 'PedC_BrcD', 4, NULL),
(1129, NULL, 'IPR007763', NULL, 'NADH dehydrogenase [ubiquinone] 1 alpha subcomplex subunit 12', 'NDUFA12', 4, NULL),
(1130, NULL, 'IPR007734', NULL, 'Heparan sulphate 2-O-sulfotransferase', 'Heparan_SO4_2-O-STrfase', 4, NULL),
(1131, NULL, 'IPR007205', NULL, 'Protein HGH1 N-terminal', 'Protein_HGH1_N', 3, NULL),
(1132, NULL, 'IPR007709', NULL, 'N-formylglutamate amidohydrolase', 'N-FG_amidohydro', 4, NULL),
(1133, NULL, 'IPR001100', NULL, 'Pyridine nucleotide-disulphide oxidoreductase, class I', 'Pyr_nuc-diS_OxRdtase', 4, NULL),
(1134, NULL, 'IPR005986', NULL, 'Aspartate-semialdehyde dehydrogenase, beta-type', 'Asp_semialdehyde_DH_beta', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1135, NULL, 'IPR006592', NULL, 'RNA polymerase, N-terminal', 'RNA_pol_N', 3, NULL),
(1136, NULL, 'IPR006650', NULL, 'Adenosine/AMP deaminase active site', 'A/AMP_deam_AS', 0, NULL),
(1137, NULL, 'IPR005033', NULL, 'YEATS', 'YEATS', 4, NULL),
(1138, NULL, 'IPR002183', NULL, 'Interleukin-3', 'IL-3', 4, NULL),
(1139, NULL, 'IPR000257', NULL, 'Uroporphyrinogen decarboxylase (URO-D)', 'Uroporphyrinogen_deCOase', 3, NULL),
(1140, NULL, 'IPR006602', NULL, 'DM10 domain', 'DM10_dom', 3, NULL),
(1141, NULL, 'IPR007207', NULL, 'CCR4-Not complex component, Not N-terminal domain', 'Not_N', 3, NULL),
(1142, NULL, 'IPR001077', NULL, 'O-methyltransferase domain', 'O_MeTrfase_dom', 3, NULL),
(1143, NULL, 'IPR007187', NULL, 'Nucleoporin, Nup133/Nup155-like, C-terminal', 'Nucleoporin_Nup133/Nup155_C', 3, NULL),
(1144, NULL, 'IPR003675', NULL, 'Type II CAAX prenyl endopeptidase Rce1-like', 'Rce1-like', 4, NULL),
(1145, NULL, 'IPR001078', NULL, '2-oxoacid dehydrogenase acyltransferase, catalytic domain', '2-oxoacid_DH_actylTfrase', 3, NULL),
(1146, NULL, 'IPR002132', NULL, 'Ribosomal protein L5', 'Ribosomal_L5', 4, NULL),
(1147, NULL, 'IPR006020', NULL, 'PTB/PI domain', 'PTB/PI_dom', 3, NULL),
(1148, NULL, 'IPR007696', NULL, 'DNA mismatch repair protein MutS, core', 'DNA_mismatch_repair_MutS_core', 3, NULL),
(1149, NULL, 'IPR006621', NULL, 'Nose resistant-to-fluoxetine protein, N-terminal', 'Nose-resist-to-fluoxetine_N', 3, NULL),
(1150, NULL, 'IPR001107', NULL, 'Band 7 domain', 'Band_7', 3, NULL),
(1151, NULL, 'IPR006007', NULL, 'Inorganic carbon transporter', 'Inorganic_carbon_transpt', 4, NULL),
(1152, NULL, 'IPR005029', NULL, 'Herpesvirus UL47', 'Herpes_UL47', 4, NULL),
(1153, NULL, 'IPR007726', NULL, 'SS18, N-terminal', 'SS18_N', 3, NULL),
(1154, NULL, 'IPR001180', NULL, 'Citron homology (CNH) domain', 'CNH_dom', 3, NULL),
(1155, NULL, 'IPR006642', NULL, 'Rad18,  zinc finger UBZ4-type', 'Rad18_UBZ4', 3, NULL),
(1156, NULL, 'IPR007721', NULL, 'D-ribose pyranase RbsD/L-fucose mutarotase FucU', 'RbsD_FucU', 4, NULL),
(1157, NULL, 'IPR017957', NULL, 'P-type trefoil, conserved site', 'P_trefoil_CS', 2, NULL),
(1158, NULL, 'IPR002144', NULL, 'GPCR, family 2, secretin receptor', 'GPCR_2_secretin_rcpt', 4, NULL),
(1159, NULL, 'IPR002006', NULL, 'Hepatitis core antigen', 'Hepatitis_core', 4, NULL),
(1160, NULL, 'IPR005018', NULL, 'DOMON domain', 'DOMON_domain', 3, NULL),
(1161, NULL, 'IPR003658', NULL, 'Anti-sigma factor antagonist', 'Anti-sigma_ant', 4, NULL),
(1162, NULL, 'IPR002147', NULL, '5-Hydroxytryptamine 1B receptor', '5HT1B_rcpt', 4, NULL),
(1163, NULL, 'IPR007749', NULL, 'Protein of unknown function DUF677', 'DUF677', 4, NULL),
(1164, NULL, 'IPR006000', NULL, 'Xylulokinase', 'Xylulokinase', 4, NULL),
(1165, NULL, 'IPR001208', NULL, 'MCM domain', 'MCM_dom', 3, NULL),
(1166, NULL, 'IPR007717', NULL, 'Nuclear pore localisation protein NPL4, C-terminal', 'NPL4_C', 3, NULL),
(1167, NULL, 'IPR001164', NULL, 'Arf GTPase activating protein', 'ArfGAP_dom', 3, NULL),
(1168, NULL, 'IPR002080', NULL, 'Seminal vesicle protein II, conserved site', 'SVP_II_CS', 2, NULL),
(1169, NULL, 'IPR007739', NULL, 'Rhamnan synthesis F', 'RgpF', 4, NULL),
(1170, NULL, 'IPR003309', NULL, 'SCAN domain', 'SCAN_dom', 3, NULL),
(1171, NULL, 'IPR006004', NULL, 'Glutamate synthase (NADPH), homotetrameric', 'Glut_synth_NADPH', 4, NULL),
(1172, NULL, 'IPR005999', NULL, 'Glycerol kinase', 'Glycerol_kin', 4, NULL),
(1173, NULL, 'IPR005024', NULL, 'Snf7 family', 'Snf7_fam', 4, NULL),
(1174, NULL, 'IPR034619', NULL, 'L-lyxonate dehydratase', 'L-lyxonate_dehydratase', 4, NULL),
(1175, NULL, 'IPR006005', NULL, 'Glutamate synthase, NADH/NADPH, small subunit 1', 'Glut_synth_ssu1', 4, NULL),
(1176, NULL, 'IPR001217', NULL, 'Transcription factor STAT', 'STAT', 4, NULL),
(1177, NULL, 'IPR001184', NULL, 'Somatostatin receptor 5', 'Somatstn_rcpt_5', 4, NULL),
(1178, NULL, 'IPR003673', NULL, 'CoA-transferase family III', 'CoA-Trfase_fam_III', 4, NULL),
(1179, NULL, 'IPR006615', NULL, 'Peptidase C19, ubiquitin-specific peptidase, DUSP domain', 'Pept_C19_DUSP', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1180, NULL, 'IPR007198', NULL, 'Ssl1-like', 'Ssl1-like', 3, NULL),
(1181, NULL, 'IPR007201', NULL, 'Mei2-like, C-terminal RNA recognition motif', 'Mei2-like_Rrm_C', 3, NULL),
(1182, NULL, 'IPR003666', NULL, 'Photosystem I PsaF, reaction centre subunit III', 'PSI_PsaF', 4, NULL),
(1183, NULL, 'IPR001038', NULL, 'Glycoprotein C/ glycoprotein A', 'GA_GC', 4, NULL),
(1184, NULL, 'IPR005031', NULL, 'Coenzyme Q-binding protein COQ10, START domain', 'COQ10_START', 3, NULL),
(1185, NULL, 'IPR007192', NULL, 'Cdc23', 'APC8', 3, NULL),
(1186, NULL, 'IPR001178', NULL, 'Pesticidal crystal protein, central domain', 'Pest_cryst_cen_dom', 3, NULL),
(1187, NULL, 'IPR006616', NULL, 'DM9 repeat', 'DM9_repeat', 7, NULL),
(1188, NULL, 'IPR007755', NULL, 'Poxvirus A11', 'Poxvirus_A11', 4, NULL),
(1189, NULL, 'IPR001171', NULL, 'Ergosterol biosynthesis ERG4/ERG24', 'Ergosterol_biosynth_ERG4_ERG24', 4, NULL),
(1190, NULL, 'IPR006002', NULL, 'Gluconate kinase', 'Gluconate_kinase', 4, NULL),
(1191, NULL, 'IPR001191', NULL, 'Geminivirus AL1, replication-associated protein', 'Gemini_AL1_REP', 4, NULL),
(1192, NULL, 'IPR003663', NULL, 'Sugar/inositol transporter', 'Sugar/inositol_transpt', 4, NULL),
(1193, NULL, 'IPR003677', NULL, 'SXP/RAL-2 family protein Ani s 5-like, cation-binding domain', 'ANIS5_cation-bd', 3, NULL),
(1194, NULL, 'IPR001202', NULL, 'WW domain', 'WW_dom', 3, NULL),
(1195, NULL, 'IPR007693', NULL, 'DNA helicase, DnaB-like, N-terminal', 'DNA_helicase_DnaB-like_N', 3, NULL),
(1196, NULL, 'IPR002110', NULL, 'Ankyrin repeat', 'Ankyrin_rpt', 7, NULL),
(1197, NULL, 'IPR002048', NULL, 'EF-hand domain', 'EF_hand_dom', 3, NULL),
(1198, NULL, 'IPR002044', NULL, 'Carbohydrate binding module family 20', 'CBM_fam20', 3, NULL),
(1199, NULL, 'IPR001158', NULL, 'DIX domain', 'DIX', 3, NULL),
(1200, NULL, 'IPR007759', NULL, 'ASXL, HARE-HTH domain', 'Asxl_HARE-HTH', 3, NULL),
(1201, NULL, 'IPR001177', NULL, 'DNA helicase E1 protein, C-terminal, Papillomavirus', 'DNA_helicase_E1_C_Papillomavir', 3, NULL),
(1202, NULL, 'IPR001129', NULL, 'Membrane-associated, eicosanoid/glutathione metabolism (MAPEG) protein', 'Membr-assoc_MAPEG', 4, NULL),
(1203, NULL, 'IPR006630', NULL, 'La-type HTH domain', 'La_HTH', 3, NULL),
(1204, NULL, 'IPR001109', NULL, 'Hydrogenase expression/formation protein, HupF/HypC', 'Hydrogenase_HupF/HypC', 4, NULL),
(1205, NULL, 'IPR001096', NULL, 'Peptidase C13, legumain', 'Peptidase_C13', 4, NULL),
(1206, NULL, 'IPR001141', NULL, 'Ribosomal protein L27e', 'Ribosomal_L27e', 4, NULL),
(1207, NULL, 'IPR007741', NULL, 'Ribosomal protein/NADH dehydrogenase domain', 'Ribosome/NADH_DH', 3, NULL),
(1208, NULL, 'IPR007686', NULL, 'YutG/PgpA domain', 'YutG/PgpA', 3, NULL),
(1209, NULL, 'IPR002081', NULL, 'Cryptochrome/DNA photolyase class 1', 'Cryptochrome/DNA_photolyase_1', 4, NULL),
(1210, NULL, 'IPR003110', NULL, 'Phosphorylated immunoreceptor signalling ITAM', 'Phos_immunorcpt_sig_ITAM', 7, NULL),
(1211, NULL, 'IPR005978', NULL, 'Nodulation ABC transporter, NodI', 'ABC_transptNodI', 4, NULL),
(1212, NULL, 'IPR001072', NULL, 'RNA ligase, Pab1020 family', 'RNA_ligase_Pab1020', 4, NULL),
(1213, NULL, 'IPR001182', NULL, 'Probable peptidoglycan glycosyltransferase FtsW/RodA', 'FtsW/RodA', 4, NULL),
(1214, NULL, 'IPR007209', NULL, 'RNase L inhibitor RLI-like, possible metal-binding domain', 'RNaseL-inhib-like_metal-bd_dom', 3, NULL),
(1215, NULL, 'IPR001183', NULL, 'Muscarinic acetylcholine receptor M3', 'Musac_Ach_M3_rcpt', 4, NULL),
(1216, NULL, 'IPR006011', NULL, 'Syntaxin, N-terminal domain', 'Syntaxin_N', 3, NULL),
(1217, NULL, 'IPR002051', NULL, 'Haem oxygenase', 'Haem_Oase', 4, NULL),
(1218, NULL, 'IPR006654', NULL, 'Tryptophan synthase, beta chain', 'Trp_synth_beta', 4, NULL),
(1219, NULL, 'IPR007743', NULL, 'Immunity-related GTPases-like', 'Immunity-related_GTPase-like', 4, NULL),
(1220, NULL, 'IPR001070', NULL, 'Polyomavirus coat protein VP2', 'Polyoma_coat_VP2', 4, NULL),
(1221, NULL, 'IPR006595', NULL, 'CTLH, C-terminal LisH motif', 'CTLH_C', 3, NULL),
(1222, NULL, 'IPR006624', NULL, 'Beta-propeller repeat TECPR', 'Beta-propeller_rpt_TECPR', 7, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1223, NULL, 'IPR006603', NULL, 'PQ-loop repeat', 'PQ-loop_rpt', 7, NULL),
(1224, NULL, 'IPR001065', NULL, 'Muscarinic acetylcholine receptor M2', 'Musac_Ach_M2_rcpt', 4, NULL),
(1225, NULL, 'IPR006013', NULL, 'Antifreeze, type III', 'Antifreeze_III', 4, NULL),
(1226, NULL, 'IPR005992', NULL, 'IMP dehydrogenase-related 2', 'IMP_DH-rel2', 4, NULL),
(1227, NULL, 'IPR003669', NULL, 'Thymidylate synthase ThyX', 'Thymidylate_synthase_ThyX', 4, NULL),
(1228, NULL, 'IPR006027', NULL, 'NusB/RsmB/TIM44', 'NusB_RsmB_TIM44', 3, NULL),
(1229, NULL, 'IPR004483', NULL, 'Helicase SMUBP-2/Hcs1-like', 'SMUBP-2/Hcs1-like', 4, NULL),
(1230, NULL, 'IPR005976', NULL, 'Nitrogenase molybdenum-iron protein beta chain', 'Nase_Mo-Fe_CF_bsu', 4, NULL),
(1231, NULL, 'IPR002082', NULL, 'Aspartate carbamoyltransferase', 'Asp_carbamoyltransf', 4, NULL),
(1232, NULL, 'IPR005984', NULL, 'Phospholamban', 'PLB', 4, NULL),
(1233, NULL, 'IPR006639', NULL, 'Presenilin/signal peptide peptidase', 'Preselin/SPP', 4, NULL),
(1234, NULL, 'IPR005020', NULL, 'Protein LIN-8', 'LIN-8', 4, NULL),
(1235, NULL, 'IPR001213', NULL, 'Mouse mammary tumour virus superantigen', 'MMTV_SAg', 4, NULL),
(1236, NULL, 'IPR003655', NULL, 'Krueppel-associated box-related', 'Krueppel-associated_box-rel', 3, NULL),
(1237, NULL, 'IPR007756', NULL, 'RICH domain', 'RICH', 3, NULL),
(1238, NULL, 'IPR007725', NULL, 'Timeless, C-terminal', 'TIMELESS_C', 3, NULL),
(1239, NULL, 'IPR017953', NULL, 'Carbohydrate kinase, predicted, conserved site', 'Carbohydrate_kinase_pred_CS', 2, NULL),
(1240, NULL, 'IPR006656', NULL, 'Molybdopterin oxidoreductase', 'Mopterin_OxRdtase', 3, NULL),
(1241, NULL, 'IPR005981', NULL, 'ABC-2 type transporter, NodJ', 'ABC_transptNodJ', 4, NULL),
(1242, NULL, 'IPR001135', NULL, 'NADH-quinone oxidoreductase, subunit D', 'NADH_Q_OxRdtase_suD', 3, NULL),
(1243, NULL, 'IPR005513', NULL, 'Late embryogenesis abundant protein, LEA_1 subgroup', 'LEA_1', 4, NULL),
(1244, NULL, 'IPR003100', NULL, 'PAZ domain', 'PAZ_dom', 3, NULL),
(1245, NULL, 'IPR002142', NULL, 'Peptidase S49', 'Peptidase_S49', 3, NULL),
(1246, NULL, 'IPR001040', NULL, 'Translation Initiation factor eIF- 4e', 'TIF_eIF_4E', 4, NULL),
(1247, NULL, 'IPR001623', NULL, 'DnaJ domain', 'DnaJ_domain', 3, NULL),
(1248, NULL, 'IPR003107', NULL, 'HAT (Half-A-TPR) repeat', 'HAT', 7, NULL),
(1249, NULL, 'IPR006026', NULL, 'Peptidase, metallopeptidase', 'Peptidase_Metallo', 3, NULL),
(1250, NULL, 'IPR005970', NULL, 'Light-independent protochlorophyllide reductase, N subunit', 'Protochl_reductN', 4, NULL),
(1251, NULL, 'IPR007691', NULL, 'UDP-3-O-[3-hydroxymyristoyl] glucosamine N-acyltransferase LpxD', 'LpxD', 4, NULL),
(1252, NULL, 'IPR001173', NULL, 'Glycosyltransferase 2-like', 'Glyco_trans_2-like', 3, NULL),
(1253, NULL, 'IPR002180', NULL, 'Lumazine/riboflavin synthase', 'LS/RS', 4, NULL),
(1254, NULL, 'IPR006628', NULL, 'Purine-rich element binding protein family', 'PUR-bd_fam', 4, NULL),
(1255, NULL, 'IPR006601', NULL, 'Uncharacterised protein family DM11, Drosophila melanogaster', 'Uncharacterised_DM11_DROME', 4, NULL),
(1256, NULL, 'IPR002075', NULL, 'Nuclear transport factor 2 domain', 'NTF2_dom', 3, NULL),
(1257, NULL, 'IPR001165', NULL, 'T4-type lysozyme', 'T4-type_lysozyme', 4, NULL),
(1258, NULL, 'IPR006619', NULL, 'Peptidoglycan recognition protein family domain, metazoa/bacteria', 'PGRP_domain_met/bac', 3, NULL),
(1259, NULL, 'IPR007778', NULL, 'Dictyostelium REP', 'Dict_REP', 4, NULL),
(1260, NULL, 'IPR003679', NULL, 'Aminoglycoside N(3)-acetyltransferase', 'Amioglycoside_AcTrfase', 4, NULL),
(1261, NULL, 'IPR003656', NULL, 'Zinc finger, BED-type', 'Znf_BED', 3, NULL),
(1262, NULL, 'IPR000195', NULL, 'Rab-GTPase-TBC domain', 'Rab-GTPase-TBC_dom', 3, NULL),
(1263, NULL, 'IPR007735', NULL, 'Pecanex, C-terminal', 'Pecanex_C', 3, NULL),
(1264, NULL, 'IPR002093', NULL, 'BRCA2 repeat', 'BRCA2_repeat', 7, NULL),
(1265, NULL, 'IPR001119', NULL, 'S-layer homology domain', 'SLH_dom', 3, NULL),
(1266, NULL, 'IPR001226', NULL, 'Flavodoxin, conserved site', 'Flavodoxin_CS', 2, NULL),
(1267, NULL, 'IPR007736', NULL, 'Caleosin-related', 'Caleosin-related', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1268, NULL, 'IPR001115', NULL, 'Alpha 1B adrenoceptor', 'ADRA1B_rcpt', 4, NULL),
(1269, NULL, 'IPR007750', NULL, 'Protein of unknown function DUF674', 'DUF674', 4, NULL),
(1270, NULL, 'IPR001137', NULL, 'Glycoside hydrolase family 11', 'Glyco_hydro_11', 4, NULL),
(1271, NULL, 'IPR005026', NULL, 'SAPAP family', 'SAPAP', 4, NULL),
(1272, NULL, 'IPR001060', NULL, 'FCH domain', 'FCH_dom', 3, NULL),
(1273, NULL, 'IPR005994', NULL, 'Guanosine monophosphate reductase, type2', 'GuaC_type_2', 4, NULL),
(1274, NULL, 'IPR001034', NULL, 'DeoR-type HTH domain', 'DeoR_HTH', 3, NULL),
(1275, NULL, 'IPR005982', NULL, 'Thioredoxin reductase', 'Thioredox_Rdtase', 4, NULL),
(1276, NULL, 'IPR003635', NULL, 'Neurokinin-B/Tachykinin-3', 'Neurokinin-B/TAC3', 4, NULL),
(1277, NULL, 'IPR001075', NULL, 'NIF system FeS cluster assembly, NifU, C-terminal', 'NIF_FeS_clus_asmbl_NifU_C', 3, NULL),
(1278, NULL, 'IPR007562', NULL, 'Transglutaminase-like domain', 'Transglutaminase-like_domain', 3, NULL),
(1279, NULL, 'IPR000204', NULL, 'Orexin receptor family', 'Orexin_rcpt', 4, NULL),
(1280, NULL, 'IPR006620', NULL, 'Prolyl 4-hydroxylase, alpha subunit', 'Pro_4_hyd_alph', 3, NULL),
(1281, NULL, 'IPR007765', NULL, 'Baculovirus p24 capsid', 'Baculo_p24', 4, NULL),
(1282, NULL, 'IPR006606', NULL, 'Bardet-Biedl syndrome 5 protein', 'BBL5', 4, NULL),
(1283, NULL, 'IPR006029', NULL, 'Neurotransmitter-gated ion-channel transmembrane domain', 'Neurotrans-gated_channel_TM', 3, NULL),
(1284, NULL, 'IPR001204', NULL, 'Phosphate transporter', 'Phos_transporter', 4, NULL),
(1285, NULL, 'IPR006634', NULL, 'TRAM/LAG1/CLN8 homology domain', 'TLC-dom', 3, NULL),
(1286, NULL, 'IPR007737', NULL, 'Mga helix-turn-helix domain', 'Mga_HTH', 3, NULL),
(1287, NULL, 'IPR007705', NULL, 'Vesicle transport v-SNARE, N-terminal', 'Vesicle_trsprt_v-SNARE_N', 3, NULL),
(1288, NULL, 'IPR001128', NULL, 'Cytochrome P450', 'Cyt_P450', 4, NULL),
(1289, NULL, 'IPR001168', NULL, 'Adrenocorticotrophin (ACTH) receptor', 'ACTH_rcpt', 4, NULL),
(1290, NULL, 'IPR034620', NULL, 'cis-3-Hydroxy-L-proline dehydratase', 'Cis-3-h-L-Pro_dehydratase', 4, NULL),
(1291, NULL, 'IPR007204', NULL, 'Actin-related protein 2/3 complex subunit 3', 'ARPC3', 4, NULL),
(1292, NULL, 'IPR007746', NULL, 'Broad mercury transporter MerE', 'MerE', 4, NULL),
(1293, NULL, 'IPR006015', NULL, 'Universal stress protein A family', 'Universal_stress_UspA', 4, NULL),
(1294, NULL, 'IPR007715', NULL, 'Ubiquinone biosynthesis protein Coq4', 'Coq4', 4, NULL),
(1295, NULL, 'IPR000262', NULL, 'FMN-dependent dehydrogenase', 'FMN-dep_DH', 3, NULL),
(1296, NULL, 'IPR001094', NULL, 'Flavodoxin-like', 'Flavdoxin-like', 3, NULL),
(1297, NULL, 'IPR000261', NULL, 'EH domain', 'EH_dom', 3, NULL),
(1298, NULL, 'IPR006608', NULL, 'Domain of unknown function DM14', 'DM14', 3, NULL),
(1299, NULL, 'IPR006016', NULL, 'UspA', 'UspA', 3, NULL),
(1300, NULL, 'IPR002185', NULL, 'Dopamine D4 receptor', 'Dopamine_D4_rcpt', 4, NULL),
(1301, NULL, 'IPR034554', NULL, 'Mitochondrial import receptor subunit TOM6 homologue, plants', 'TOM6_plants', 4, NULL),
(1302, NULL, 'IPR006612', NULL, 'THAP-type zinc finger', 'THAP_Znf', 3, NULL),
(1303, NULL, 'IPR002095', NULL, 'Monellin, B chain', 'Monellin_B', 4, NULL),
(1304, NULL, 'IPR001153', NULL, 'Barwin domain', 'Barwin_dom', 3, NULL),
(1305, NULL, 'IPR007727', NULL, 'Spo12', 'Spo12', 4, NULL),
(1306, NULL, 'IPR002112', NULL, 'Transcription factor Jun', 'Leuzip_Jun', 4, NULL),
(1307, NULL, 'IPR006627', NULL, 'TDU repeat', 'TDU_repeat', 7, NULL),
(1308, NULL, 'IPR003651', NULL, 'Endonuclease III-like, iron-sulphur cluster loop motif', 'Endonuclease3_FeS-loop_motif', 2, NULL),
(1309, NULL, 'IPR003106', NULL, 'Leucine zipper, homeobox-associated', 'Leu_zip_homeo', 3, NULL),
(1310, NULL, 'IPR006003', NULL, 'FGGY carbohydrate kinase, pentulose kinase', 'FGGY_RbtK-like', 4, NULL),
(1311, NULL, 'IPR002041', NULL, 'Ran GTPase', 'Ran_GTPase', 4, NULL),
(1312, NULL, 'IPR002126', NULL, 'Cadherin-like', 'Cadherin-like_dom', 3, NULL),
(1313, NULL, 'IPR006001', NULL, 'Carbohydrate kinase, thermoresistant glucokinase', 'Therm_gnt_kin', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1314, NULL, 'IPR003105', NULL, 'SRA-YDG', 'SRA_YDG', 3, NULL),
(1315, NULL, 'IPR001031', NULL, 'Thioesterase', 'Thioesterase', 3, NULL),
(1316, NULL, 'IPR005509', NULL, 'A-factor biosynthesis hotdog domain', 'AfsA_hotdog_dom', 3, NULL),
(1317, NULL, 'IPR002077', NULL, 'Voltage-dependent calcium channel, alpha-1 subunit', 'VDCCAlpha1', 4, NULL),
(1318, NULL, 'IPR007687', NULL, 'Methyl-coenzyme M reductase, protein C', 'Me_CoM_Rdtase_prot-C', 4, NULL),
(1319, NULL, 'IPR034397', NULL, 'Prp24, RNA recognition motif1', 'Prp24_RRM1', 3, NULL),
(1320, NULL, 'IPR001259', NULL, 'Proteinase inhibitor I27, calpastatin', 'Prot_inh_calpain', 7, NULL),
(1321, NULL, 'IPR001218', NULL, 'Nucleocapsid protein, coronavirus', 'Nucleocap_CoV', 4, NULL),
(1322, NULL, 'IPR001147', NULL, 'Ribosomal protein L21e', 'Ribosomal_L21e', 4, NULL),
(1323, NULL, 'IPR007191', NULL, 'Sec8 exocyst complex component specific domain', 'Sec8_exocyst', 3, NULL),
(1324, NULL, 'IPR002152', NULL, 'Glycoside hydrolase, family 23', 'Glyco_hydro_23', 4, NULL),
(1325, NULL, 'IPR001162', NULL, 'UvrC, RNAse H endonuclease domain', 'UvrC_RNase_H_dom', 3, NULL),
(1326, NULL, 'IPR005019', NULL, 'Methyladenine glycosylase', 'Adenine_glyco', 4, NULL),
(1327, NULL, 'IPR006637', NULL, 'Clostridial hydrophobic repeat', 'ChW', 7, NULL),
(1328, NULL, 'IPR003645', NULL, 'Follistatin-like, N-terminal', 'Fol_N', 3, NULL),
(1329, NULL, 'IPR034621', NULL, 'Peroxisome proliferator-activated receptor gamma coactivator 1-beta', 'PGC-1beta', 4, NULL),
(1330, NULL, 'IPR005987', NULL, 'Ribonuclease T', 'RNase_T', 4, NULL),
(1331, NULL, 'IPR007729', NULL, '2-keto-3-deoxy-galactonokinase', 'DGOK', 4, NULL),
(1332, NULL, 'IPR007203', NULL, 'ORMDL family', 'ORMDL', 4, NULL),
(1333, NULL, 'IPR001193', NULL, 'Membrane-bound transcription factor site-2 protease', 'MBTPS2', 4, NULL),
(1334, NULL, 'IPR034618', NULL, 'D-galactarolactone cycloisomerase', 'GLI', 4, NULL),
(1335, NULL, 'IPR001190', NULL, 'SRCR domain', 'SRCR', 3, NULL),
(1336, NULL, 'IPR000228', NULL, 'RNA 3''-terminal phosphate cyclase', 'RNA3''_term_phos_cyc', 4, NULL),
(1337, NULL, 'IPR017954', NULL, 'Lipid-binding serum glycoprotein, conserved site', 'Lipid-bd_serum_glycop_CS', 2, NULL),
(1338, NULL, 'IPR002087', NULL, 'Anti-proliferative protein', 'Anti_prolifrtn', 3, NULL),
(1339, NULL, 'IPR005979', NULL, 'Light-dependent protochlorophyllide reductase', 'Prochl_reduct', 4, NULL),
(1340, NULL, 'IPR007711', NULL, 'Toxin HigB-1', 'HigB-1', 4, NULL),
(1341, NULL, 'IPR001210', NULL, 'Ribosomal protein S17e', 'Ribosomal_S17e', 4, NULL),
(1342, NULL, 'IPR000227', NULL, 'Angiotensinogen', 'Angiotensinogen', 4, NULL),
(1343, NULL, 'IPR000198', NULL, 'Rho GTPase-activating protein domain', 'RhoGAP_dom', 3, NULL),
(1344, NULL, 'IPR034396', NULL, 'Yra2, RNA recognition motif', 'Yra2_RRM', 3, NULL),
(1345, NULL, 'IPR001205', NULL, 'RNA-directed RNA polymerase,  C-terminal domain', 'RNA-dir_pol_C', 3, NULL),
(1346, NULL, 'IPR007188', NULL, 'Actin-related protein 2/3 complex subunit 2', 'ARPC2', 4, NULL),
(1347, NULL, 'IPR024725', NULL, 'E3 ubiquitin ligase EDD, ubiquitin-associated domain', 'E3_UbLigase_EDD_UBA', 3, NULL),
(1348, NULL, 'IPR001200', NULL, 'Phosducin', 'Phosducin', 4, NULL),
(1349, NULL, 'IPR003644', NULL, 'Na-Ca exchanger/integrin-beta4', 'Calx_beta', 3, NULL),
(1350, NULL, 'IPR002122', NULL, 'Melanocortin 3 receptor', 'Mcort_3_rcpt', 4, NULL),
(1351, NULL, 'IPR003647', NULL, 'Intron encoded nuclease repeat', 'Intron_nuc_1_rpt', 7, NULL),
(1352, NULL, 'IPR006593', NULL, 'Cytochrome b561/ferric reductase transmembrane', 'Cyt_b561/ferric_Rdtase_TM', 3, NULL),
(1353, NULL, 'IPR007772', NULL, 'Beak and feather disease virus (BFDV), Orf5', 'BFDV_Orf5', 4, NULL),
(1354, NULL, 'IPR007707', NULL, 'Transforming acidic coiled-coil-containing protein, C-terminal', 'TACC_C', 3, NULL),
(1355, NULL, 'IPR006610', NULL, 'Domain of unknown function DM7', 'DM7', 3, NULL),
(1356, NULL, 'IPR002049', NULL, 'Laminin-type EGF domain', 'LE_dom', 3, NULL),
(1357, NULL, 'IPR007706', NULL, 'Epstein-Barr virus nuclear antigen 3/4/6', 'EBNA-3/4/6', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1358, NULL, 'IPR002047', NULL, 'Adipokinetic hormone, conserved site', 'Adipokinetic_hormone_CS', 2, NULL),
(1359, NULL, 'IPR003626', NULL, 'Parathyroid hormone-related protein', 'PTH-rel', 4, NULL),
(1360, NULL, 'IPR007780', NULL, 'NAD-glutamate dehydrogenase, bacteria', 'NAD_Glu_DH_bac', 4, NULL),
(1361, NULL, 'IPR007688', NULL, 'Plasmid  conjugal transfer TrbL/VirB6', 'Conjugal_tfr_TrbL/VirB6', 4, NULL),
(1362, NULL, 'IPR024724', NULL, 'Molybdenum cofactor biosynthesis protein F, N-terminal', 'MoaF_N', 3, NULL),
(1363, NULL, 'IPR007719', NULL, 'Phytochelatin synthase, N-terminal catalytic domain', 'PCS_N', 3, NULL),
(1364, NULL, 'IPR000192', NULL, 'Aminotransferase class V domain', 'Aminotrans_V_dom', 3, NULL),
(1365, NULL, 'IPR007704', NULL, 'GPI mannosyltransferase 1', 'PIG-M', 4, NULL),
(1366, NULL, 'IPR005027', NULL, 'Glycosyl transferase, family 43', 'Glyco_trans_43', 4, NULL),
(1367, NULL, 'IPR006597', NULL, 'Sel1-like repeat', 'Sel1-like', 7, NULL),
(1368, NULL, 'IPR001123', NULL, 'Amino acid exporter protein, LeuE-type', 'LeuE-type', 4, NULL),
(1369, NULL, 'IPR006658', NULL, 'Molybdopterin guanine dinucleotide-containing S/N-oxide reductase', 'BisC', 4, NULL),
(1370, NULL, 'IPR006631', NULL, 'Protein of unknown function DM4/12', 'DM4_12', 4, NULL),
(1371, NULL, 'IPR002071', NULL, 'Thermonuclease active site', 'Thermonucl_AS', 0, NULL),
(1372, NULL, 'IPR002063', NULL, 'Haemerythrin', 'Haemerythrin', 4, NULL),
(1373, NULL, 'IPR001037', NULL, 'Integrase, C-terminal, retroviral', 'Integrase_C_retrovir', 3, NULL),
(1374, NULL, 'IPR005975', NULL, 'Nitrogenase molybdenum-iron cofactor biosynthesis protein', 'Nase_Mo-Fe_CF', 4, NULL),
(1375, NULL, 'IPR001156', NULL, 'Transferrin-like domain', 'Transferrin-like_dom', 3, NULL),
(1376, NULL, 'IPR003097', NULL, 'Sulfite reductase [NADPH] flavoprotein alpha-component-like, FAD-binding', 'CysJ-like_FAD-binding', 3, NULL),
(1377, NULL, 'IPR005973', NULL, 'Nitrogenase MoFe cofactor biosynthesis protein NifE', 'NifE', 4, NULL),
(1378, NULL, 'IPR007745', NULL, 'Cytochrome c oxidase copper chaperone', 'Cyt_c_oxidase_Cu-chaperone', 4, NULL),
(1379, NULL, 'IPR007730', NULL, 'Sporulation-like domain', 'SPOR-like_dom', 3, NULL),
(1380, NULL, 'IPR001186', NULL, 'Bradykinin receptor B1', 'Brdyknn_1_rcpt', 4, NULL),
(1381, NULL, 'IPR001154', NULL, 'DNA topoisomerase II, eukaryotic-type', 'TopoII_euk', 4, NULL),
(1382, NULL, 'IPR005996', NULL, 'Ribosomal protein L30, bacterial-type', 'Ribosomal_L30_bac-type', 4, NULL),
(1383, NULL, 'IPR007695', NULL, 'DNA mismatch repair protein MutS-like, N-terminal', 'DNA_mismatch_repair_MutS-lik_N', 3, NULL),
(1384, NULL, 'IPR007752', NULL, 'Virulence factor ActA', 'Virulence_actor_ActA', 4, NULL),
(1385, NULL, 'IPR003099', NULL, 'Prephenate dehydrogenase', 'Prephen_DH', 3, NULL),
(1386, NULL, 'IPR005993', NULL, 'GMP reductase', 'GMPR', 4, NULL),
(1387, NULL, 'IPR007751', NULL, 'Domain of unknown function DUF676, lipase-like', 'DUF676_lipase-like', 3, NULL),
(1388, NULL, 'IPR006031', NULL, 'XYPPX repeat', 'XYPPX', 7, NULL),
(1389, NULL, 'IPR002101', NULL, 'Myristoylated alanine-rich C-kinase substrate MARCKS', 'MARCKS', 4, NULL),
(1390, NULL, 'IPR003660', NULL, 'HAMP domain', 'HAMP_dom', 3, NULL),
(1391, NULL, 'IPR001160', NULL, 'Peptidase M20C, Xaa-His dipeptidase', 'Peptidase_M20C', 4, NULL),
(1392, NULL, 'IPR002069', NULL, 'Interferon gamma', 'Interferon_gamma', 4, NULL),
(1393, NULL, 'IPR007702', NULL, 'Janus', 'Janus', 4, NULL),
(1394, NULL, 'IPR003649', NULL, 'B-box, C-terminal', 'Bbox_C', 3, NULL),
(1395, NULL, 'IPR007701', NULL, 'Interferon-related developmental regulator, N-terminal', 'Interferon-rel_develop_reg_N', 3, NULL),
(1396, NULL, 'IPR003671', NULL, 'Spindlin/spermiogenesis-specific protein', 'SPIN/Ssty', 4, NULL),
(1397, NULL, 'IPR001170', NULL, 'Adenylyl cyclase class-4/guanylyl cyclase', 'ANPR/GUC', 4, NULL),
(1398, NULL, 'IPR003667', NULL, 'NqrDE/RnfAE', 'NqrDE/RnfAE', 4, NULL),
(1399, NULL, 'IPR002131', NULL, 'Glycoprotein hormone receptor family', 'Gphrmn_rcpt_fam', 4, NULL),
(1400, NULL, 'IPR007764', NULL, 'Herpesvirus UL43', 'Herpes_UL43', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1401, NULL, 'IPR002139', NULL, 'Ribokinase/fructokinase', 'Ribo/fructo_kinase', 4, NULL),
(1402, NULL, 'IPR034605', NULL, 'PGC-1', 'PGC-1', 4, NULL),
(1403, NULL, 'IPR003678', NULL, 'Putative outer membrane protein', 'Put_OMP', 4, NULL),
(1404, NULL, 'IPR003646', NULL, 'SH3-like domain, bacterial-type', 'SH3-like_bac-type', 3, NULL),
(1405, NULL, 'IPR001151', NULL, 'G protein-coupled receptor 6', 'GPR6', 4, NULL),
(1406, NULL, 'IPR007208', NULL, 'Na(+)/H(+) antiporter subunit F-like', 'MrpF/PhaF-like', 4, NULL),
(1407, NULL, 'IPR006652', NULL, 'Kelch repeat type 1', 'Kelch_1', 7, NULL),
(1408, NULL, 'IPR007710', NULL, 'Nucleoside 2-deoxyribosyltransferase', 'Nucleoside_deoxyribTrfase', 4, NULL),
(1409, NULL, 'IPR007757', NULL, 'MT-A70-like', 'MT-A70-like', 4, NULL),
(1410, NULL, 'IPR002186', NULL, 'Neocarzinostatin family', 'Neocarzinostatin_fam', 4, NULL),
(1411, NULL, 'IPR001189', NULL, 'Manganese/iron superoxide dismutase', 'Mn/Fe_SOD', 4, NULL),
(1412, NULL, 'IPR006623', NULL, 'Testicular haploid expressed repeat', 'THEG', 7, NULL),
(1413, NULL, 'IPR007700', NULL, 'Domain of unknown function DUF668', 'DUF668', 3, NULL),
(1414, NULL, 'IPR002100', NULL, 'Transcription factor, MADS-box', 'TF_MADSbox', 3, NULL),
(1415, NULL, 'IPR007753', NULL, 'Orbivirus VP4 core', 'Orbi_VP4', 4, NULL),
(1416, NULL, 'IPR002117', NULL, 'p53 tumour suppressor family', 'p53_tumour_suppressor', 4, NULL),
(1417, NULL, 'IPR005028', NULL, 'Herpesvirus intermediate/early protein 2/3', 'Herpes_IE2_3', 3, NULL),
(1418, NULL, 'IPR005974', NULL, 'Nitrogenase alpha chain', 'Nase_asu', 4, NULL),
(1419, NULL, 'IPR007731', NULL, 'Protein of unknown function DUF669', 'DUF669', 4, NULL),
(1420, NULL, 'IPR001117', NULL, 'Multicopper oxidase, type 1', 'Cu-oxidase', 3, NULL),
(1421, NULL, 'IPR002054', NULL, 'DNA-directed DNA polymerase X', 'DNA-dir_DNA_pol_X', 3, NULL),
(1422, NULL, 'IPR003652', NULL, 'Ataxin, AXH domain', 'Ataxin_AXH_dom', 3, NULL),
(1423, NULL, 'IPR005971', NULL, 'Light-independent protochlorophyllide reductase, iron-sulphur ATP-binding protein', 'Protochlorophyllide_ATP-bd', 4, NULL),
(1424, NULL, 'IPR001054', NULL, 'Adenylyl cyclase class-3/4/guanylyl cyclase', 'A/G_cyclase', 3, NULL),
(1425, NULL, 'IPR007560', NULL, 'Restriction endonuclease type IV,  Mrr', 'Restrct_endonuc_IV_Mrr', 3, NULL),
(1426, NULL, 'IPR002115', NULL, 'Protein-tyrosine phosphatase, low molecular weight, mammalian', 'Tyr_Pase_low_mol_wt_mml', 4, NULL),
(1427, NULL, 'IPR034361', NULL, 'PHIP1, RNA recognition motif 1', 'PHIP1_RRM1', 3, NULL),
(1428, NULL, 'IPR002042', NULL, 'Uricase', 'Uricase', 4, NULL),
(1429, NULL, 'IPR006607', NULL, 'Protein of unknown function DM15', 'DM15', 7, NULL),
(1430, NULL, 'IPR002061', NULL, 'Scorpion long chain toxin/defensin', 'Scorpion_toxinL/defensin', 4, NULL),
(1431, NULL, 'IPR007206', NULL, 'Protein HGH1 C-terminal', 'Protein_HGH1_C', 3, NULL),
(1432, NULL, 'IPR007724', NULL, 'Poly(ADP-ribose) glycohydrolase', 'Poly_GlycHdrlase', 4, NULL),
(1433, NULL, 'IPR005990', NULL, 'Inosine-5''-monophosphate dehydrogenase', 'IMP_DH', 4, NULL),
(1434, NULL, 'IPR006605', NULL, 'G2 nidogen/fibulin G2F', 'G2_nidogen/fibulin_G2F', 3, NULL),
(1435, NULL, 'IPR034538', NULL, 'ACF, RNA recognition motif 1', 'ACF_RRM1', 3, NULL),
(1436, NULL, 'IPR002043', NULL, 'Uracil-DNA glycosylase family 1', 'UDG_fam1', 4, NULL),
(1437, NULL, 'IPR007720', NULL, 'N-acetylglucosaminyl transferase component', 'GlcNAc_Gpi1', 4, NULL),
(1438, NULL, 'IPR006629', NULL, 'LPS-induced tumour necrosis factor alpha factor', 'LITAF', 3, NULL),
(1439, NULL, 'IPR002059', NULL, 'Cold-shock protein, DNA-binding', 'CSP_DNA-bd', 3, NULL),
(1440, NULL, 'IPR007775', NULL, 'Leukocyte-specific transcript 1, LST-1', 'Leukocyte-sp_tscrpt_1_LST1', 4, NULL),
(1441, NULL, 'IPR007194', NULL, 'Transport protein particle (TRAPP) component', 'TRAPP_component', 4, NULL),
(1442, NULL, 'IPR007767', NULL, 'Protein of unknown function DUF684', 'DUF684', 4, NULL),
(1443, NULL, 'IPR007718', NULL, 'Srp40, C-terminal', 'Srp40_C', 3, NULL),
(1444, NULL, 'IPR005969', NULL, 'Light-independent protochlorophyllide reductase, B subunit', 'Protochl_reductB', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1445, NULL, 'IPR006611', NULL, 'Protein of unknown function DUF1431, cysteine-rich, Drosophila', 'DUF1431_DROsp', 4, NULL),
(1446, NULL, 'IPR002052', NULL, 'DNA methylase, N-6 adenine-specific, conserved site', 'DNA_methylase_N6_adenine_CS', 2, NULL),
(1447, NULL, 'IPR005997', NULL, 'Ribosomal protein L30, archaeal', 'Ribosomal_L30_arc', 4, NULL),
(1448, NULL, 'IPR007714', NULL, 'CFA20 domain', 'CFA20_dom', 3, NULL),
(1449, NULL, 'IPR006598', NULL, 'Glycosyl transferase CAP10 domain', 'CAP10', 3, NULL),
(1450, NULL, 'IPR006019', NULL, 'Phosphotyrosine interaction  domain, Shc-like', 'PID_Shc-like', 3, NULL),
(1451, NULL, 'IPR007195', NULL, 'TolB, N-terminal', 'TolB_N', 3, NULL),
(1452, NULL, 'IPR002084', NULL, 'Methionine repressor MetJ', 'Met_repressor_MetJ', 4, NULL),
(1453, NULL, 'IPR006657', NULL, 'Molybdopterin dinucleotide-binding domain', 'MoPterin_dinucl-bd_dom', 3, NULL),
(1454, NULL, 'IPR007781', NULL, 'Alpha-N-acetylglucosaminidase', 'NAGLU', 4, NULL),
(1455, NULL, 'IPR006017', NULL, 'Caldesmon', 'Caldesmon', 4, NULL),
(1456, NULL, 'IPR007698', NULL, 'Alanine dehydrogenase/pyridine nucleotide transhydrogenase, NAD(H)-binding domain', 'AlaDH/PNT_NAD(H)-bd', 3, NULL),
(1457, NULL, 'IPR004485', NULL, 'Cobalamin biosynthesis CobD/CbiB', 'Cobalamin_biosynth_CobD/CbiB', 4, NULL),
(1458, NULL, 'IPR003650', NULL, 'Orange domain', 'Orange_dom', 3, NULL),
(1459, NULL, 'IPR007120', NULL, 'DNA-directed RNA polymerase, subunit 2, hybrid-binding domain', 'DNA-dir_RNAP_su2_dom', 3, NULL),
(1460, NULL, 'IPR006655', NULL, 'Molybdopterin oxidoreductase, prokaryotic, conserved site', 'Mopterin_OxRdtase_prok_CS', 2, NULL),
(1461, NULL, 'IPR006009', NULL, 'N-acetylglucosaminyltransferase, MurG', 'GlcNAc_MurG', 4, NULL),
(1462, NULL, 'IPR006633', NULL, 'Carbohydrate-binding/sugar hydrolysis domain', 'Carb-bd_sugar_hydrolysis-dom', 3, NULL),
(1463, NULL, 'IPR002119', NULL, 'Histone H2A', 'Histone_H2A', 4, NULL),
(1464, NULL, 'IPR001212', NULL, 'Somatomedin B domain', 'Somatomedin_B_dom', 3, NULL),
(1465, NULL, 'IPR001090', NULL, 'Ephrin receptor ligand binding domain', 'Ephrin_rcpt_lig-bd_dom', 3, NULL),
(1466, NULL, 'IPR001163', NULL, 'LSM domain, eukaryotic/archaea-type', 'LSM_dom_euk/arc', 3, NULL),
(1467, NULL, 'IPR003101', NULL, 'Coactivator CBP, KIX domain', 'KIX_dom', 3, NULL),
(1468, NULL, 'IPR005512', NULL, 'PRONE domain', 'PRONE_dom', 3, NULL),
(1469, NULL, 'IPR007690', NULL, 'Type II secretion system protein GspM', 'T2SS_GspM', 4, NULL),
(1470, NULL, 'IPR004484', NULL, 'Cobyrinic acid a,c-diamide synthase CbiA', 'CbiA_synth', 4, NULL),
(1471, NULL, 'IPR001187', NULL, 'Tissue factor', 'Tissue_factor', 4, NULL),
(1472, NULL, 'IPR034357', NULL, 'Yra1/Mlo3, RNA recognition motif', 'Yra1/Mlo3_RRM', 3, NULL),
(1473, NULL, 'IPR005023', NULL, 'Viral late protein H2', 'Pox_LP_H2', 4, NULL),
(1474, NULL, 'IPR001157', NULL, 'Flavivirus non-structural protein NS1', 'Flavi_NS1', 3, NULL),
(1475, NULL, 'IPR002089', NULL, 'Influenza virus matrix protein 2', 'Flu_M2', 4, NULL),
(1476, NULL, 'IPR001199', NULL, 'Cytochrome b5-like heme/steroid binding domain', 'Cyt_B5-like_heme/steroid-bd', 3, NULL),
(1477, NULL, 'IPR007740', NULL, 'Ribosomal protein L49/IMG2', 'Ribosomal_L49/IMG2', 4, NULL),
(1478, NULL, 'IPR005977', NULL, 'Nitrogenase iron protein NifH', 'Nitrogenase_Fe_NifH', 4, NULL),
(1479, NULL, 'IPR001139', NULL, 'Glycoside hydrolase family 30', 'Glyco_hydro_30', 4, NULL),
(1480, NULL, 'IPR006591', NULL, 'RNA polymerase archaeal subunit P/eukaryotic subunit RPABC4', 'RNAP_P/RPABC4', 4, NULL),
(1481, NULL, 'IPR006012', NULL, 'Syntaxin/epimorphin, conserved site', 'Syntaxin/epimorphin_CS', 2, NULL),
(1482, NULL, 'IPR001022', NULL, 'Tobamoviral movement protein', 'TMV_movement', 4, NULL),
(1483, NULL, 'IPR006638', NULL, 'Elp3/MiaB/NifB', 'Elp3/MiaB/NifB', 3, NULL),
(1484, NULL, 'IPR007716', NULL, 'NPL4, zinc-binding putative', 'NPL4_Zn-bd_put', 3, NULL),
(1485, NULL, 'IPR001209', NULL, 'Ribosomal protein S14', 'Ribosomal_S14', 4, NULL),
(1486, NULL, 'IPR003661', NULL, 'Signal transduction histidine kinase, dimerisation/phosphoacceptor domain', 'HisK_dim/P', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1487, NULL, 'IPR007747', NULL, 'Menin', 'Menin', 4, NULL),
(1488, NULL, 'IPR001197', NULL, 'Ribosomal protein L10e', 'Ribosomal_L10e', 4, NULL),
(1489, NULL, 'IPR007703', NULL, 'Per os infectivity factor 3', 'PIF3', 4, NULL),
(1490, NULL, 'IPR007742', NULL, 'Periplasmic copper-binding protein NosD, beta helix domain', 'NosD_dom', 3, NULL),
(1491, NULL, 'IPR001203', NULL, 'Aldehyde ferredoxin oxidoreductase, C-terminal', 'OxRdtase_Ald_Fedxn_C', 3, NULL),
(1492, NULL, 'IPR007199', NULL, 'Replication factor-A protein 1, N-terminal', 'Rep_factor-A_N', 3, NULL),
(1493, NULL, 'IPR002079', NULL, 'Gag polyprotein, inner coat protein p12', 'Gag_p12', 3, NULL),
(1494, NULL, 'IPR007760', NULL, 'Manganese catalase', 'Mn_catalase', 4, NULL),
(1495, NULL, 'IPR005998', NULL, 'Ribosomal protein L7, eukaryotic', 'Ribosomal_L7_euk', 4, NULL),
(1496, NULL, 'IPR000196', NULL, 'Ribosomal protein L19/L19e', 'Ribosomal_L19/L19e', 3, NULL),
(1497, NULL, 'IPR000200', NULL, 'Peptidase C10, streptopain', 'Peptidase_C10', 4, NULL),
(1498, NULL, 'IPR001207', NULL, 'Transposase, mutator type', 'Transposase_mutator', 4, NULL),
(1499, NULL, 'IPR007773', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), P18', 'AcMNPV_P18', 4, NULL),
(1500, NULL, 'IPR002182', NULL, 'NB-ARC', 'NB-ARC', 3, NULL),
(1501, NULL, 'IPR005556', NULL, 'SUN family', 'SUN', 4, NULL),
(1502, NULL, 'IPR004912', NULL, 'Adenoviral core protein VII', 'Adeno_VII', 4, NULL),
(1503, NULL, 'IPR000039', NULL, 'Ribosomal protein L18e', 'Ribosomal_L18e', 4, NULL),
(1504, NULL, 'IPR003174', NULL, 'Alpha trans-inducing protein (Alpha-TIF)', 'Alpha_TIF', 4, NULL),
(1505, NULL, 'IPR000190', NULL, 'Angiotensin II receptor type 1', 'ATII_AT1_rcpt', 4, NULL),
(1506, NULL, 'IPR004126', NULL, 'Phospholipase A2 inhibitor', 'PLipase_A2_inh', 3, NULL),
(1507, NULL, 'IPR004935', NULL, 'Tymovirus 45/70kDa protein', '45/70kDa_tymovirus', 4, NULL),
(1508, NULL, 'IPR004500', NULL, 'Prolyl-tRNA synthetase, class IIa, bacterial-type', 'Pro-tRNA-synth_IIa_bac-type', 4, NULL),
(1509, NULL, 'IPR004098', NULL, 'Prp18', 'Prp18', 3, NULL),
(1510, NULL, 'IPR009589', NULL, 'Sublancin immunity protein SunI', 'SunI', 4, NULL),
(1511, NULL, 'IPR003113', NULL, 'Phosphatidylinositol 3-kinase, adaptor-binding domain', 'PI3K_ABD', 3, NULL),
(1512, NULL, 'IPR003156', NULL, 'DHHA1 domain', 'DHHA1_dom', 3, NULL),
(1513, NULL, 'IPR004516', NULL, 'Histidine-tRNA ligase/ATP phosphoribosyltransferase regulatory subunit', 'HisRS/HisZ', 4, NULL),
(1514, NULL, 'IPR005530', NULL, 'SPW repeat', 'SPW', 7, NULL),
(1515, NULL, 'IPR004111', NULL, 'Tetracycline repressor TetR, C-terminal', 'Repressor_TetR_C', 3, NULL),
(1516, NULL, 'IPR002596', NULL, 'Plasmid partition protein', 'Plasmid_parti', 4, NULL),
(1517, NULL, 'IPR004504', NULL, 'DNA repair protein RadA', 'DNA_repair_RadA', 4, NULL),
(1518, NULL, 'IPR009621', NULL, 'Uncharacterised protein family UPF0239', 'UPF0239', 4, NULL),
(1519, NULL, 'IPR002558', NULL, 'I/LWEQ domain', 'ILWEQ_dom', 3, NULL),
(1520, NULL, 'IPR005555', NULL, 'M-factor', 'M-factor', 4, NULL),
(1521, NULL, 'IPR009599', NULL, 'Protein of unknown function DUF1207', 'DUF1207', 4, NULL),
(1522, NULL, 'IPR002563', NULL, 'Flavin reductase like domain', 'Flavin_Rdtase-like_dom', 3, NULL),
(1523, NULL, 'IPR004511', NULL, 'Phosphoadenosine phosphosulphate/adenosine 5''-phosphosulphate reductase', 'PAPS/APS_Rdtase', 4, NULL),
(1524, NULL, 'IPR004102', NULL, 'Poly(ADP-ribose) polymerase, regulatory domain', 'Poly(ADP-ribose)pol_reg_dom', 3, NULL),
(1525, NULL, 'IPR000218', NULL, 'Ribosomal protein L14P', 'Ribosomal_L14P', 4, NULL),
(1526, NULL, 'IPR000212', NULL, 'DNA helicase, UvrD/REP type', 'DNA_helicase_UvrD/REP', 4, NULL),
(1527, NULL, 'IPR000178', NULL, 'Translation initiation factor aIF-2, bacterial-like', 'TF_IF2_bacterial-like', 4, NULL),
(1528, NULL, 'IPR004496', NULL, 'Ferredoxin-type protein NapF', 'NapF', 4, NULL),
(1529, NULL, 'IPR004520', NULL, 'tRNA modification GTPase MnmE', 'GTPase_MnmE', 4, NULL),
(1530, NULL, 'IPR002546', NULL, 'Myogenic muscle-specific protein, N-terminal', 'MyoD_N', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1531, NULL, 'IPR004503', NULL, 'Serine-tRNA ligase type 2, archaea', 'Ser-tRNA-ligase_2_arc', 4, NULL),
(1532, NULL, 'IPR002587', NULL, 'Myo-inositol-1-phosphate synthase', 'Myo-inos-1-P_Synthase', 4, NULL),
(1533, NULL, 'IPR004096', NULL, '4-vinyl reductase, 4VR', 'V4R', 3, NULL),
(1534, NULL, 'IPR005533', NULL, 'AMOP domain', 'AMOP_dom', 3, NULL),
(1535, NULL, 'IPR010953', NULL, 'Citrate synthase, type I', 'Citrate_synthase_typ-I', 4, NULL),
(1536, NULL, 'IPR005571', NULL, 'RNA polymerase, Rpb5, N-terminal', 'RNA_pol_Rpb5_N', 3, NULL),
(1537, NULL, 'IPR001130', NULL, 'TatD family', 'TatD_family', 4, NULL),
(1538, NULL, 'IPR005520', NULL, 'Attacin, N-terminal', 'Attacin_N', 3, NULL),
(1539, NULL, 'IPR004907', NULL, 'ATPase, V1 complex, subunit C', 'ATPase_V1-cplx_csu', 4, NULL),
(1540, NULL, 'IPR002614', NULL, 'Inner layer core protein VP3, Orbivirus', 'Inner_layer_core_VP3_Orbivir', 4, NULL),
(1541, NULL, 'IPR005570', NULL, 'RNA polymerase, Rpb8', 'RNA_pol_Rpb8', 4, NULL),
(1542, NULL, 'IPR003200', NULL, 'Nicotinate-nucleotide-dimethylbenzimidazole phosphoribosyltransferase', 'Nict_dMeBzImd_PRibTrfase', 4, NULL),
(1543, NULL, 'IPR004117', NULL, 'Olfactory receptor, insect', '7tm6_olfct_rcpt', 4, NULL),
(1544, NULL, 'IPR001134', NULL, 'Netrin domain', 'Netrin_domain', 3, NULL),
(1545, NULL, 'IPR009606', NULL, 'Modifying wall lignin-1/2', 'Modifying_wall_lignin1/2', 4, NULL),
(1546, NULL, 'IPR034374', NULL, 'G3BP1, RNA recognition motif', 'G3BP1_RRM', 3, NULL),
(1547, NULL, 'IPR009596', NULL, 'Domain of unknown function DUF1204', 'DUF1204', 3, NULL),
(1548, NULL, 'IPR003117', NULL, 'cAMP-dependent protein kinase regulatory subunit, dimerization-anchoring domain', 'cAMP_dep_PK_reg_su_I/II_a/b', 3, NULL),
(1549, NULL, 'IPR005526', NULL, 'Septum formation inhibitor MinC, C-terminal', 'Septum_form_inhib_MinC_C', 3, NULL),
(1550, NULL, 'IPR005574', NULL, 'RNA polymerase subunit Rpb4/RPC9', 'Rpb4/RPC9', 4, NULL),
(1551, NULL, 'IPR021160', NULL, 'Mitogen-activated protein (MAP) kinase kinase kinase kinase', 'MAPKKKK', 4, NULL),
(1552, NULL, 'IPR023219', NULL, 'Hepatocyte nuclear factor 1, N-terminal domain superfamily', 'HNF1_dimer_N_dom_sf', 5, NULL),
(1553, NULL, 'IPR004512', NULL, 'Ribosomal RNA methyltransferase E, gammaproteobacteria', 'rRNA_MeTrfase_gammaproteobac', 4, NULL),
(1554, NULL, 'IPR004534', NULL, 'L-seryl-tRNA(Sec) selenium transferase', 'SelA_trans', 4, NULL),
(1555, NULL, 'IPR004093', NULL, 'Staphylokinase', 'SAK', 4, NULL),
(1556, NULL, 'IPR007568', NULL, 'RTA-like protein', 'RTA1', 4, NULL),
(1557, NULL, 'IPR004925', NULL, 'HpaB/PvcC/4-BUDH', 'HpaB/PvcC/4-BUDH', 4, NULL),
(1558, NULL, 'IPR003683', NULL, 'Cytochrome b6/f complex, subunit 5', 'Cyt_6/f_cplx_su5', 4, NULL),
(1559, NULL, 'IPR004522', NULL, 'Asparagine-tRNA ligase', 'Asn-tRNA-ligase', 4, NULL),
(1560, NULL, 'IPR004533', NULL, 'CDP-diacylglycerol--serine O-phosphatidyltransferase', 'CDP-diaglyc--ser_O-PTrfase', 4, NULL),
(1561, NULL, 'IPR000001', NULL, 'Kringle', 'Kringle', 3, NULL),
(1562, NULL, 'IPR002571', NULL, 'Heat-inducible transcription repressor HrcA', 'HrcA', 4, NULL),
(1563, NULL, 'IPR005563', NULL, 'Assembly protein', 'A_protein', 4, NULL),
(1564, NULL, 'IPR005572', NULL, 'Anti sigma-E protein RseA, N-terminal', 'Anti-sigma_E_RseA_N', 3, NULL),
(1565, NULL, 'IPR009604', NULL, 'LsmAD domain', 'LsmAD_domain', 3, NULL),
(1566, NULL, 'IPR004938', NULL, 'Xyloglucan fucosyltransferase', 'XG_FTase', 4, NULL),
(1567, NULL, 'IPR004927', NULL, 'Alkylmercury lyase', 'MerB', 4, NULL),
(1568, NULL, 'IPR000132', NULL, 'Nitrilase/cyanide hydratase, conserved site', 'Nitrilase/CN_hydratase_CS', 2, NULL),
(1569, NULL, 'IPR003173', NULL, 'Transcriptional coactivator p15 (PC4), C-terminal', 'PC4_C', 3, NULL),
(1570, NULL, 'IPR004127', NULL, 'Prefoldin alpha-like', 'Prefoldin_subunit_alpha', 4, NULL),
(1571, NULL, 'IPR004076', NULL, 'Interleukin-1 receptor type 1', 'IL-1_rcpt_I-typ', 4, NULL),
(1572, NULL, 'IPR009610', NULL, 'CbtA toxin of type IV toxin-antitoxin system', 'CbtA_toxin', 4, NULL),
(1573, NULL, 'IPR004499', NULL, 'Proline-tRNA ligase, class IIa, archaeal-type', 'Pro-tRNA-ligase_IIa_arc-type', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1574, NULL, 'IPR005527', NULL, 'Cell division topological specificity factor MinE', 'MinE', 4, NULL),
(1575, NULL, 'IPR009619', NULL, 'Cell division protein CrgA', 'CrgA', 4, NULL),
(1576, NULL, 'IPR004936', NULL, 'Herpesvirus UL21', 'Herpes_UL21', 4, NULL),
(1577, NULL, 'IPR004105', NULL, 'Histidine kinase  CheA-like, homodimeric domain', 'CheA-like_dim', 3, NULL),
(1578, NULL, 'IPR004940', NULL, 'Adhesin P1 domain', 'Adhesin_P1_dom', 3, NULL),
(1579, NULL, 'IPR004518', NULL, 'NTP pyrophosphohydrolase MazG, putative catalytic core', 'MazG_cat', 3, NULL),
(1580, NULL, 'IPR004489', NULL, 'Succinate dehydrogenase/fumarate reductase iron-sulphur protein', 'Succ_DH/fum_Rdtase_Fe-S', 4, NULL),
(1581, NULL, 'IPR004513', NULL, 'Cell division protein FtsX', 'ABC_transpt_FtsX', 4, NULL),
(1582, NULL, 'IPR005539', NULL, 'ELK domain', 'ELK_dom', 3, NULL),
(1583, NULL, 'IPR004123', NULL, 'Dim1 family', 'Dim1', 4, NULL),
(1584, NULL, 'IPR009592', NULL, 'Protein of unknown function DUF1202', 'DUF1202', 4, NULL),
(1585, NULL, 'IPR004099', NULL, 'Pyridine nucleotide-disulphide oxidoreductase, dimerisation domain', 'Pyr_nucl-diS_OxRdtase_dimer', 3, NULL),
(1586, NULL, 'IPR000167', NULL, 'Dehydrin', 'Dehydrin', 4, NULL),
(1587, NULL, 'IPR004913', NULL, 'Herpesvirus glycoprotein J', 'Herpes_gJ', 4, NULL),
(1588, NULL, 'IPR004108', NULL, 'Iron hydrogenase, large subunit, C-terminal', 'Fe_hydrogenase_lsu_C', 3, NULL),
(1589, NULL, 'IPR004521', NULL, 'Uncharacterised domain CHP00451', 'Uncharacterised_CHP00451', 3, NULL),
(1590, NULL, 'IPR002588', NULL, 'Alphavirus-like methyltransferase (MT) domain', 'Alphavirus-like_MT_dom', 3, NULL),
(1591, NULL, 'IPR003193', NULL, 'ADP-ribosyl cyclase (CD38/157)', 'ADP-ribosyl_cyclase', 4, NULL),
(1592, NULL, 'IPR004495', NULL, 'Methionyl-tRNA synthetase, beta subunit, C-terminal', 'Met-tRNA-synth_bsu_C', 3, NULL),
(1593, NULL, 'IPR009618', NULL, 'Erp protein', 'Erp', 4, NULL),
(1594, NULL, 'IPR005553', NULL, 'Cytoadherence-linked asexual protein', 'CLAG', 4, NULL),
(1595, NULL, 'IPR005545', NULL, 'YCII-related', 'YCII', 3, NULL),
(1596, NULL, 'IPR005546', NULL, 'Autotransporter beta-domain', 'Autotransporte_beta', 3, NULL),
(1597, NULL, 'IPR000149', NULL, 'Haemagglutinin, influenzavirus A', 'Hemagglutn_influenz_A', 4, NULL),
(1598, NULL, 'IPR004493', NULL, 'Leucyl-tRNA synthetase, class Ia, archaeal/eukaryotic cytosolic', 'Leu-tRNA-synth_Ia_arc/euk', 4, NULL),
(1599, NULL, 'IPR007567', NULL, 'Mid2 domain', 'Mid2_dom', 3, NULL),
(1600, NULL, 'IPR002583', NULL, 'Ribosomal protein S20', 'Ribosomal_S20', 4, NULL),
(1601, NULL, 'IPR002575', NULL, 'Aminoglycoside phosphotransferase', 'Aminoglycoside_PTrfase', 3, NULL),
(1602, NULL, 'IPR005584', NULL, 'DNA gyrase inhibitor YacG', 'DNA_gyrase_inhibitor_YacG', 4, NULL),
(1603, NULL, 'IPR001136', NULL, 'Merozoite surface antigen 2 (MSA-2)', 'MSA_2', 4, NULL),
(1604, NULL, 'IPR004529', NULL, 'Phenylalanyl-tRNA synthetase, class IIc, alpha subunit', 'Phe-tRNA-synth_IIc_asu', 4, NULL),
(1605, NULL, 'IPR003130', NULL, 'Dynamin GTPase effector', 'GED', 3, NULL),
(1606, NULL, 'IPR000118', NULL, 'Granulin', 'Granulin', 3, NULL),
(1607, NULL, 'IPR010949', NULL, 'TonB-dependent haemoglobin/transferrin/lactoferrin receptor', 'TonB_Hb/transfer/lactofer_rcpt', 4, NULL),
(1608, NULL, 'IPR005558', NULL, 'Crustacean neurohormone H', 'Crust_neurhormone_H', 3, NULL),
(1609, NULL, 'IPR000184', NULL, 'Bacterial surface antigen (D15)', 'Bac_surfAg_D15', 3, NULL),
(1610, NULL, 'IPR004501', NULL, 'Phosphotransferase system, EIIC component, type 3', 'PTS_EIIC_3', 3, NULL),
(1611, NULL, 'IPR002544', NULL, 'FMRFamide-related peptide-like', 'FMRFamid-related_peptide-like', 4, NULL),
(1612, NULL, 'IPR004932', NULL, 'Retrieval of early ER protein Rer1', 'Rer1', 4, NULL),
(1613, NULL, 'IPR003181', NULL, 'Large coat protein', 'Como_LCP', 4, NULL),
(1614, NULL, 'IPR004922', NULL, 'ESAG protein', 'ESAG', 4, NULL),
(1615, NULL, 'IPR004524', NULL, 'Aspartate-tRNA ligase, type 1', 'Asp-tRNA-ligase_1', 4, NULL),
(1616, NULL, 'IPR009607', NULL, 'Enhancer of polycomb, C-terminal', 'Enhancer_polycomb_C', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1617, NULL, 'IPR003184', NULL, 'Major secreted virus protein, 35kDa', 'Orthopox_35kDa', 4, NULL),
(1618, NULL, 'IPR009620', NULL, 'Uncharacterised protein family UPF0236', 'UPF0236', 4, NULL),
(1619, NULL, 'IPR010952', NULL, 'Chorismate mutase, gammaproteobacteria', 'CM_P_1', 3, NULL),
(1620, NULL, 'IPR005543', NULL, 'PASTA domain', 'PASTA_dom', 3, NULL),
(1621, NULL, 'IPR005568', NULL, 'Ribosomal protein L6, N-terminal', 'Ribosomal_L6_N', 3, NULL),
(1622, NULL, 'IPR004119', NULL, 'Ecdysteroid kinase-like', 'EcKL', 4, NULL),
(1623, NULL, 'IPR004074', NULL, 'Interleukin-1 receptor type I/II', 'IL-1_rcpt_I/II-typ', 4, NULL),
(1624, NULL, 'IPR004491', NULL, 'Heat shock protein HslU', 'HslU', 4, NULL),
(1625, NULL, 'IPR005566', NULL, 'Hydrophobic abundant protein (HAP)', 'HAP', 4, NULL),
(1626, NULL, 'IPR010944', NULL, 'AMP nucleosidase, putative', 'AMN-like', 4, NULL),
(1627, NULL, 'IPR004090', NULL, 'Chemotaxis methyl-accepting receptor', 'Chemotax_Me-accpt_rcpt', 4, NULL),
(1628, NULL, 'IPR004115', NULL, 'GAD-like domain superfamily', 'GAD-like_sf', 5, NULL),
(1629, NULL, 'IPR009617', NULL, 'Seipin family', 'Seipin', 4, NULL),
(1630, NULL, 'IPR004528', NULL, '3-deoxy-D-manno-octulosonate cytidylyltransferase', 'KdsB', 4, NULL),
(1631, NULL, 'IPR009631', NULL, 'CGLD27-like', 'CGLD27-like', 4, NULL),
(1632, NULL, 'IPR006664', NULL, 'Outer membrane protein, bacterial', 'OMP_bac', 3, NULL),
(1633, NULL, 'IPR000142', NULL, 'P2Y purinoceptor 1', 'P2Y1_rcpt', 4, NULL),
(1634, NULL, 'IPR004487', NULL, 'Clp protease, ATP-binding subunit ClpX', 'Clp_protease_ATP-bd_su_ClpX', 4, NULL),
(1635, NULL, 'IPR004070', NULL, 'CXC chemokine receptor 3', 'Chemokine_CXCR3', 4, NULL),
(1636, NULL, 'IPR005580', NULL, 'DEAD box helicase DbpA/CsdA, RNA-binding domain', 'DbpA/CsdA_RNA-bd_dom', 3, NULL),
(1637, NULL, 'IPR009587', NULL, 'Protein of unknown function DUF1198', 'DUF1198', 4, NULL),
(1638, NULL, 'IPR002550', NULL, 'CNNM, transmembrane domain', 'CNNM', 3, NULL),
(1639, NULL, 'IPR005554', NULL, 'NOL6/Upt22', 'NOL6/Upt22', 4, NULL),
(1640, NULL, 'IPR000121', NULL, 'PEP-utilising enzyme, C-terminal', 'PEP_util_C', 3, NULL),
(1641, NULL, 'IPR005541', NULL, 'KNOX2', 'KNOX2', 3, NULL),
(1642, NULL, 'IPR009614', NULL, 'Toxin YoeB', 'YoeB_toxin', 4, NULL),
(1643, NULL, 'IPR002589', NULL, 'Macro domain', 'Macro_dom', 3, NULL),
(1644, NULL, 'IPR004073', NULL, 'GPCR, family 3, vomeronasal receptor, type 2', 'GPCR_3_vmron_rcpt_2', 4, NULL),
(1645, NULL, 'IPR005564', NULL, 'Major capsid protein GpE', 'Major_capsid_GpE', 4, NULL),
(1646, NULL, 'IPR004918', NULL, 'Cdc37', 'Cdc37', 4, NULL),
(1647, NULL, 'IPR000155', NULL, 'Melanocortin 4 receptor', 'Mcort_rcpt_4', 4, NULL),
(1648, NULL, 'IPR005578', NULL, 'Yif1 family', 'Yif1_fam', 4, NULL),
(1649, NULL, 'IPR004124', NULL, 'Glycoside hydrolase, family 33, N-terminal', 'Glyco_hydro_33_N', 3, NULL),
(1650, NULL, 'IPR005583', NULL, 'Peroxide stress protein YaaA', 'YaaA', 4, NULL),
(1651, NULL, 'IPR004068', NULL, 'CC chemokine receptor 8', 'Chemokine_CCR8', 4, NULL),
(1652, NULL, 'IPR002585', NULL, 'Cytochrome ubiquinol oxidase subunit 1', 'Cyt-d_ubiquinol_oxidase_su_1', 4, NULL),
(1653, NULL, 'IPR005524', NULL, 'Predicted permease DUF318', 'DUF318', 4, NULL),
(1654, NULL, 'IPR009598', NULL, 'Bladder cancer-related BC10', 'BC10', 4, NULL),
(1655, NULL, 'IPR004933', NULL, 'Type specific antigen', 'TSA', 4, NULL),
(1656, NULL, 'IPR005582', NULL, 'Chromosome partition protein MukF', 'Chromosome_partition_MukF', 4, NULL),
(1657, NULL, 'IPR005551', NULL, 'Apo-citrate lyase phosphoribosyl-dephospho-CoA transferase', 'CitX', 4, NULL),
(1658, NULL, 'IPR007566', NULL, 'Phosphoenolpyruvate carboxylase, archaeal-type', 'PEP_COase_arc-type', 4, NULL),
(1659, NULL, 'IPR002577', NULL, 'Helix-turn-helix, HxlR type', 'HTH_HxlR', 3, NULL),
(1660, NULL, 'IPR005560', NULL, 'Protein of unknown function DUF326', 'DUF326', 7, NULL),
(1661, NULL, 'IPR005537', NULL, 'CRISPR type III-associated protein', 'RAMP_III_fam', 4, NULL),
(1662, NULL, 'IPR001132', NULL, 'SMAD domain, Dwarfin-type', 'SMAD_dom_Dwarfin-type', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1663, NULL, 'IPR005587', NULL, 'Uncharacterised protein family UPF0304, YfbU', 'UPF0304_YfbU', 4, NULL),
(1664, NULL, 'IPR004902', NULL, 'Rhabdovirus nucleoprotein', 'Rhabdo_ncap_2', 4, NULL),
(1665, NULL, 'IPR004542', NULL, 'Translation elongation factor EF1B, beta chain, archaeal', 'Transl_elong_EF1B_B_arc', 4, NULL),
(1666, NULL, 'IPR003154', NULL, 'S1/P1 nuclease', 'S1/P1nuclease', 4, NULL),
(1667, NULL, 'IPR004083', NULL, 'Regulatory associated protein of TOR', 'Raptor', 4, NULL),
(1668, NULL, 'IPR005586', NULL, 'ABC-type transport auxiliary lipoprotein component', 'ABC_trans_aux', 3, NULL),
(1669, NULL, 'IPR005532', NULL, 'Sulfatase-modifying factor enzyme', 'SUMF_dom', 3, NULL),
(1670, NULL, 'IPR005549', NULL, 'Kinetochore protein Nuf2, N-terminal', 'Kinetochore_Nuf2_N', 3, NULL),
(1671, NULL, 'IPR004909', NULL, 'Viral heat shock protein Hsp90 homologue', 'Vir_Hsp90', 4, NULL),
(1672, NULL, 'IPR000182', NULL, 'GNAT domain', 'GNAT_dom', 3, NULL),
(1673, NULL, 'IPR004515', NULL, 'Phosphoheptose isomerase', 'Phosphoheptose_Isoase', 4, NULL),
(1674, NULL, 'IPR000161', NULL, 'Vasopressin V2 receptor', 'Vprsn_rcpt_V2', 4, NULL),
(1675, NULL, 'IPR009605', NULL, 'Domain of unknown function DUF1216', 'DUF1216', 3, NULL),
(1676, NULL, 'IPR002605', NULL, 'Adenovirus penton base protein', 'Adeno_Penton_B', 4, NULL),
(1677, NULL, 'IPR004514', NULL, 'Glutamine-tRNA synthetase', 'Gln-tRNA-synth', 4, NULL),
(1678, NULL, 'IPR007573', NULL, 'QWRF family', 'QWRF', 4, NULL),
(1679, NULL, 'IPR003143', NULL, 'Cytochrome cd1-nitrite reductase, C-terminal domain superfamily', 'Cyt_cd1_C_sf', 5, NULL),
(1680, NULL, 'IPR006659', NULL, 'Arsenate reductase', 'Arsenate_reductase', 4, NULL),
(1681, NULL, 'IPR004116', NULL, 'Amelogenin', 'Amelogenin', 4, NULL),
(1682, NULL, 'IPR004079', NULL, 'Gonadoliberin I precursor', 'Gonadoliberin_I_precursor', 4, NULL),
(1683, NULL, 'IPR004506', NULL, 'tRNA-specific 2-thiouridylase', 'tRNA-specific_2-thiouridylase', 4, NULL),
(1684, NULL, 'IPR005552', NULL, 'Scramblase', 'Scramblase', 4, NULL),
(1685, NULL, 'IPR000177', NULL, 'Apple domain', 'Apple', 3, NULL),
(1686, NULL, 'IPR007572', NULL, 'Uncharacterised protein family Ycf20', 'Uncharacterised_Ycf20', 4, NULL),
(1687, NULL, 'IPR002540', NULL, 'Peptidase S30, polyprotein P1, potyvirus', 'Pept_S30_P1_potyvir', 3, NULL),
(1688, NULL, 'IPR009613', NULL, 'Lipase maturation factor', 'LMF', 4, NULL),
(1689, NULL, 'IPR003694', NULL, 'NAD(+) synthetase', 'NAD_synthase', 4, NULL),
(1690, NULL, 'IPR002560', NULL, 'Transposase IS204/IS1001/IS1096/IS1165, DDE domain', 'Transposase_DDE', 3, NULL),
(1691, NULL, 'IPR005517', NULL, 'Translation elongation factor EFG/EF2, domain IV', 'Transl_elong_EFG/EF2_IV', 3, NULL),
(1692, NULL, 'IPR005538', NULL, 'LrgA/CidA family', 'LrgA/CidA', 4, NULL),
(1693, NULL, 'IPR004898', NULL, 'Pectate lyase PlyH/PlyE-like', 'Pectate_lyase_PlyH/PlyE-like', 4, NULL),
(1694, NULL, 'IPR005561', NULL, 'ANTAR domain', 'ANTAR', 3, NULL),
(1695, NULL, 'IPR003171', NULL, 'Methylenetetrahydrofolate reductase-like', 'Mehydrof_redctse-like', 4, NULL),
(1696, NULL, 'IPR009595', NULL, 'Bacteriophage DNA replication protein Gp16.7', 'Phage_DNA_replic_GP16.7', 4, NULL),
(1697, NULL, 'IPR008252', NULL, 'Peptidase S15, X-Pro dipeptidyl-peptidase', 'Pept_S15_Xpro', 4, NULL),
(1698, NULL, 'IPR034029', NULL, 'Tumour necrosis factor receptor 10A/B, death domain', 'TNFRSF10A/B_death', 3, NULL),
(1699, NULL, 'IPR000176', NULL, 'mRNA methyltransferase-like', 'mRNA_MeTrfase-like', 4, NULL),
(1700, NULL, 'IPR000210', NULL, 'BTB/POZ domain', 'BTB/POZ_dom', 3, NULL),
(1701, NULL, 'IPR000163', NULL, 'Prohibitin', 'Prohibitin', 4, NULL),
(1702, NULL, 'IPR004919', NULL, 'Domain of unknown function DUF262', 'DUF262', 3, NULL),
(1703, NULL, 'IPR007582', NULL, 'TFIID subunit TAF5, NTD2 domain', 'TFIID_NTD2', 3, NULL),
(1704, NULL, 'IPR000131', NULL, 'ATP synthase, F1 complex, gamma subunit', 'ATP_synth_F1_gsu', 4, NULL),
(1705, NULL, 'IPR004527', NULL, 'Glutamate-tRNA ligase, bacterial/mitochondrial', 'Glu-tRNA-ligase_bac/mito', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1706, NULL, 'IPR034184', NULL, 'Putative acyl-CoA dehydrogenase AidB', 'AidB', 4, NULL),
(1707, NULL, 'IPR009623', NULL, 'Uncharacterised protein family UPF0242, N-terminal', 'UPF0242_N', 3, NULL),
(1708, NULL, 'IPR034622', NULL, '4R-hydroxyproline betaine 2-epimerase', '4R-hPro_betaine_2-epimerase', 4, NULL),
(1709, NULL, 'IPR004944', NULL, 'Cyclin-dependent kinase 5 activator', 'CDK5_activator', 4, NULL),
(1710, NULL, 'IPR002554', NULL, 'Protein phosphatase 2A, regulatory B subunit, B56', 'PP2A_B56', 4, NULL),
(1711, NULL, 'IPR002551', NULL, 'Spike glycoprotein S1, coronavirus', 'Spike_S1_CoV', 3, NULL),
(1712, NULL, 'IPR002566', NULL, 'Surface antigen msp4', 'Surface_Ag_msp4', 4, NULL),
(1713, NULL, 'IPR005559', NULL, 'CG-1 DNA-binding domain', 'CG-1_dom', 3, NULL),
(1714, NULL, 'IPR002553', NULL, 'Clathrin/coatomer adaptor, adaptin-like, N-terminal', 'Clathrin/coatomer_adapt-like_N', 3, NULL),
(1715, NULL, 'IPR003190', NULL, 'Aspartate decarboxylase', 'Asp_decarbox', 4, NULL),
(1716, NULL, 'IPR004085', NULL, 'DNA topoisomerase VI, subunit A', 'TopoVI_A', 4, NULL),
(1717, NULL, 'IPR005585', NULL, 'Protein of unknown function DUF327', 'DUF327', 4, NULL),
(1718, NULL, 'IPR002552', NULL, 'Spike glycoprotein S2, coronavirus', 'Spike_S2_CoV', 3, NULL),
(1719, NULL, 'IPR004926', NULL, 'Late embryogenesis abundant protein, LEA_3 subgroup', 'LEA_3', 4, NULL),
(1720, NULL, 'IPR009615', NULL, 'Viral desmoplakin, N-terminal', 'Desmo_N', 3, NULL),
(1721, NULL, 'IPR000213', NULL, 'Vitamin D-binding protein', 'VitD-bd', 4, NULL),
(1722, NULL, 'IPR004535', NULL, 'Translation elongation factor, selenocysteine-specific', 'Transl_elong_SelB', 4, NULL),
(1723, NULL, 'IPR005534', NULL, 'Curli production assembly/transport component CsgG', 'Curli_assmbl/transp-comp_CsgG', 4, NULL),
(1724, NULL, 'IPR009600', NULL, 'GPI transamidase subunit PIG-U', 'PIG-U', 4, NULL),
(1725, NULL, 'IPR022824', NULL, 'Multidrug resistance protein MdtA', 'Multidrug-R_MdtA', 4, NULL),
(1726, NULL, 'IPR003166', NULL, 'Transcription factor TFIIE beta subunit, DNA-binding domain', 'TFIIE_bsu_DNA-bd', 3, NULL),
(1727, NULL, 'IPR004087', NULL, 'K Homology domain', 'KH_dom', 3, NULL),
(1728, NULL, 'IPR004508', NULL, 'Thioredoxin-independent 5''-adenylylsulphate reductase', 'Thioredoxin-indep_APS_Rdtase', 4, NULL),
(1729, NULL, 'IPR002556', NULL, 'Arterivirus GP3 envelope glycoprotein', 'Arteri_GP3', 4, NULL),
(1730, NULL, 'IPR005542', NULL, 'PBX', 'PBX', 3, NULL),
(1731, NULL, 'IPR009601', NULL, 'Centromere protein R', 'CENP-R', 4, NULL),
(1732, NULL, 'IPR005536', NULL, 'Peptidase C25, Ig-like domain', 'Peptidase_C25_Ig-like_domain', 3, NULL),
(1733, NULL, 'IPR004525', NULL, 'Elongation factor P--(R)-beta-lysine ligase', 'EpmA', 4, NULL),
(1734, NULL, 'IPR002582', NULL, 'Holo-[acyl carrier protein] synthase', 'ACPS', 4, NULL),
(1735, NULL, 'IPR004072', NULL, 'Vomeronasal receptor, type 1', 'Vmron_rcpt_1', 4, NULL),
(1736, NULL, 'IPR005579', NULL, 'Cgr1-like', 'Cgr1-like', 4, NULL),
(1737, NULL, 'IPR004086', NULL, 'P pili tip fibrillum PapE protein, Enterobacteriaceae', 'P_pili_tip_fibrillum_PapE', 4, NULL),
(1738, NULL, 'IPR004104', NULL, 'Gfo/Idh/MocA-like oxidoreductase, C-terminal', 'Gfo/Idh/MocA-like_OxRdtase_C', 3, NULL),
(1739, NULL, 'IPR000157', NULL, 'Toll/interleukin-1 receptor homology (TIR) domain', 'TIR_dom', 3, NULL),
(1740, NULL, 'IPR003136', NULL, 'Cytidylate kinase', 'Cytidylate_kin', 4, NULL),
(1741, NULL, 'IPR009584', NULL, 'Citrus tristeza virus 6kDa protein', 'CTV_6kDa', 4, NULL),
(1742, NULL, 'IPR003150', NULL, 'DNA-binding RFX-type winged-helix domain', 'DNA-bd_RFX', 3, NULL),
(1743, NULL, 'IPR010951', NULL, 'Chorismate mutase, bacteria', 'CM_bact', 4, NULL),
(1744, NULL, 'IPR004097', NULL, 'DHHA2 domain', 'DHHA2', 3, NULL),
(1745, NULL, 'IPR003162', NULL, 'Transcription initiation factor TAFII31', 'TFIID-31', 4, NULL),
(1746, NULL, 'IPR008915', NULL, 'Peptidase M50', 'Peptidase_M50', 3, NULL),
(1747, NULL, 'IPR000147', NULL, 'Angiotensin II receptor type 2', 'ATII_AT2_rcpt', 4, NULL),
(1748, NULL, 'IPR004929', NULL, 'Spanin, inner membrane subunit', 'I-spanin', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1749, NULL, 'IPR000180', NULL, 'Membrane dipeptidase, active site', 'Dipep_AS', 0, NULL),
(1750, NULL, 'IPR007570', NULL, 'Uncharacterised protein family Ycf23', 'Uncharacterised_Ycf23', 4, NULL),
(1751, NULL, 'IPR009628', NULL, 'Bacteriophage tail tape measure, N-terminal', 'Phage_tape_measure_N', 3, NULL),
(1752, NULL, 'IPR005521', NULL, 'Attacin, C-terminal', 'Attacin_C', 3, NULL),
(1753, NULL, 'IPR002569', NULL, 'Peptide methionine sulphoxide reductase MsrA domain', 'Met_Sox_Rdtase_MsrA_dom', 3, NULL),
(1754, NULL, 'IPR004118', NULL, 'Hepatitis TT virus, Orf2/Gyrovirus Vp2', 'HEV_TT_virus_Orf2/Gyrovir_Vp2', 4, NULL),
(1755, NULL, 'IPR008422', NULL, 'Homeobox KN domain', 'Homeobox_KN_domain', 3, NULL),
(1756, NULL, 'IPR002595', NULL, 'African swine fever virus, MGF360', 'ASFV_MGF360', 4, NULL),
(1757, NULL, 'IPR004067', NULL, 'CC chemokine receptor 6', 'Chemokine_CCR6', 4, NULL),
(1758, NULL, 'IPR004107', NULL, 'Integrase, SAM-like, N-terminal', 'Integrase_SAM-like_N', 3, NULL),
(1759, NULL, 'IPR034006', NULL, 'Oligopeptidase F type 2', 'M3B_PepF_2', 4, NULL),
(1760, NULL, 'IPR002543', NULL, 'FtsK domain', 'FtsK_dom', 3, NULL),
(1761, NULL, 'IPR000143', NULL, 'Geminivirus MSV 27Kd coat protein', 'Gemcoat_MSV', 4, NULL),
(1762, NULL, 'IPR004905', NULL, 'Tombusvirus p19 core protein', 'Tombusvirus_p19', 4, NULL),
(1763, NULL, 'IPR003164', NULL, 'Clathrin adaptor, alpha-adaptin, appendage, C-terminal subdomain', 'Clathrin_a-adaptin_app_sub_C', 3, NULL),
(1764, NULL, 'IPR004509', NULL, 'Competence protein ComEA, helix-hairpin-helix domain', 'Competence_ComEA_HhH', 3, NULL),
(1765, NULL, 'IPR002542', NULL, 'Domain of unknown function DUF19', 'DUF19', 3, NULL),
(1766, NULL, 'IPR006667', NULL, 'SLC41A/MgtE, integral membrane domain', 'SLC41_membr_dom', 3, NULL),
(1767, NULL, 'IPR004502', NULL, 'Thioredoxins/glutaredoxin', 'Thio_glut', 4, NULL),
(1768, NULL, 'IPR004069', NULL, 'CC chemokine receptor 9', 'Chemokine_CCR9', 4, NULL),
(1769, NULL, 'IPR003128', NULL, 'Villin headpiece', 'Villin_headpiece', 3, NULL),
(1770, NULL, 'IPR005519', NULL, 'Acid phosphatase, class B-like', 'Acid_phosphat_B-like', 4, NULL),
(1771, NULL, 'IPR003172', NULL, 'MD-2-related lipid-recognition domain', 'ML_dom', 3, NULL),
(1772, NULL, 'IPR009624', NULL, 'Uncharacterised protein family UPF0253', 'UPF0253', 4, NULL),
(1773, NULL, 'IPR005565', NULL, 'Haemolysin activator HlyB, C-terminal', 'Hemolysn_activator_HlyB_C', 3, NULL),
(1774, NULL, 'IPR005569', NULL, 'Arc-like DNA binding domain', 'Arc_DNA-bd_dom', 3, NULL),
(1775, NULL, 'IPR007576', NULL, 'CITED', 'CITED', 4, NULL),
(1776, NULL, 'IPR004908', NULL, 'ATPase, V1 complex, subunit H', 'ATPase_V1-cplx_hsu', 4, NULL),
(1777, NULL, 'IPR004941', NULL, 'Baculovirus FP protein', 'Baculo_FP', 4, NULL),
(1778, NULL, 'IPR003177', NULL, 'Cytochrome c oxidase subunit VIIa, metazoa', 'Cytc_oxidase_su7a_met', 4, NULL),
(1779, NULL, 'IPR007574', NULL, 'Phycobilisome degradation protein NblA', 'NblA', 4, NULL),
(1780, NULL, 'IPR004538', NULL, 'Haemolysin A /rRNA methyltransferase TlyA', 'Haemolysin_A/TlyA', 4, NULL),
(1781, NULL, 'IPR034020', NULL, 'Tumour necrosis factor receptor 9, N-terminal', 'TNFRSF9_N', 3, NULL),
(1782, NULL, 'IPR003140', NULL, 'Phospholipase/carboxylesterase/thioesterase', 'PLipase/COase/thioEstase', 3, NULL),
(1783, NULL, 'IPR005528', NULL, 'Chaplin domain', 'ChpA-H', 3, NULL),
(1784, NULL, 'IPR005567', NULL, 'Fushi tarazu, N-terminal', 'FTZ_N', 3, NULL),
(1785, NULL, 'IPR005535', NULL, 'Cyclotide', 'Cyclotide', 4, NULL),
(1786, NULL, 'IPR003685', NULL, 'Photosystem I PsaD', 'PsaD', 4, NULL),
(1787, NULL, 'IPR007579', NULL, 'Poxvirus T4 protein, C-terminal', 'Poxvirus_T4p_C', 3, NULL),
(1788, NULL, 'IPR002591', NULL, 'Type I phosphodiesterase/nucleotide pyrophosphatase/phosphate transferase', 'Phosphodiest/P_Trfase', 4, NULL),
(1789, NULL, 'IPR003202', NULL, 'DNA polymerase processivity factor (UL42)', 'Herpes_UL42', 4, NULL),
(1790, NULL, 'IPR009602', NULL, 'FAM92 protein', 'FAM92', 4, NULL),
(1791, NULL, 'IPR000125', NULL, 'Glycoside hydrolase, family 14A, bacterial', 'Glyco_hydro_14A_bac', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1792, NULL, 'IPR010954', NULL, 'Chorismate mutase, Firmicutes/Deinococcus', 'Chorismate_mutase_GmP-bac', 3, NULL),
(1793, NULL, 'IPR004113', NULL, 'FAD-linked oxidase, C-terminal', 'FAD-linked_oxidase_C', 3, NULL),
(1794, NULL, 'IPR007580', NULL, 'Poxvirus T4 protein, N-terminal', 'Poxvirus_T4p_N', 3, NULL),
(1795, NULL, 'IPR004540', NULL, 'Translation elongation factor EFG/EF2', 'Transl_elong_EFG/EF2', 4, NULL),
(1796, NULL, 'IPR010948', NULL, 'TonB-dependent lactoferrin/transferrin receptor', 'TonB_lacto/transferrin_rcpt', 4, NULL),
(1797, NULL, 'IPR007565', NULL, '(5-formylfuran-3-yl)methyl phosphate synthase', '4HFCP_synth', 4, NULL),
(1798, NULL, 'IPR003691', NULL, 'Putative fluoride ion transporter CrcB', 'CrcB', 4, NULL),
(1799, NULL, 'IPR003186', NULL, 'Proteasome activator PA28, C-terminal domain', 'PA28_C', 3, NULL),
(1800, NULL, 'IPR002601', NULL, 'C6 domain', 'C6_domain', 3, NULL),
(1801, NULL, 'IPR002565', NULL, 'Orbivirus NS3', 'Orbi_NS3', 4, NULL),
(1802, NULL, 'IPR006665', NULL, 'OmpA-like domain', 'OmpA-like', 3, NULL),
(1803, NULL, 'IPR003695', NULL, 'Ppx/GppA phosphatase', 'Ppx_GppA', 3, NULL),
(1804, NULL, 'IPR002597', NULL, 'Herpesvirus major envelope glycoprotein', 'Herpes_env', 4, NULL),
(1805, NULL, 'IPR004541', NULL, 'Translation elongation factor EFTu/EF1A, bacterial/organelle', 'Transl_elong_EFTu/EF1A_bac/org', 4, NULL),
(1806, NULL, 'IPR000170', NULL, 'High potential iron-sulphur protein', 'High_potential_FeS_prot', 3, NULL),
(1807, NULL, 'IPR010943', NULL, 'Xanthosine phosphorylase', 'Xanthosine_phosphorylase', 4, NULL),
(1808, NULL, 'IPR000158', NULL, 'Cell division protein FtsZ', 'Cell_div_FtsZ', 4, NULL),
(1809, NULL, 'IPR004066', NULL, 'Lysophosphatidic acid receptor EDG-4', 'LPA_rcpt_EDG4', 4, NULL),
(1810, NULL, 'IPR007563', NULL, 'Protein of unknown function DUF554', 'DUF554', 4, NULL),
(1811, NULL, 'IPR002615', NULL, 'Photosystem I PsaJ, reaction centre subunit IX', 'PSI_PsaJ', 4, NULL),
(1812, NULL, 'IPR000217', NULL, 'Tubulin', 'Tubulin', 4, NULL),
(1813, NULL, 'IPR004088', NULL, 'K Homology domain, type 1', 'KH_dom_type_1', 3, NULL),
(1814, NULL, 'IPR034005', NULL, 'Peptidyl-dipeptidase DCP', 'M3A_DCP', 4, NULL),
(1815, NULL, 'IPR004910', NULL, 'Yippee/Mis18/Cereblon', 'Yippee/Mis18/Cereblon', 3, NULL),
(1816, NULL, 'IPR004091', NULL, 'Chemotaxis methyl-accepting receptor, methyl-accepting site', 'Chemotax_Me-accpt_rcpt_Me-site', 6, NULL),
(1817, NULL, 'IPR004901', NULL, 'Reversibly glycosylated polypeptide', 'RGP', 4, NULL),
(1818, NULL, 'IPR024730', NULL, 'Merozoite surface protein, EGF domain 1', 'MSP1_EGF_1', 3, NULL),
(1819, NULL, 'IPR002561', NULL, 'Filoviruses glycoprotein, extracellular domain', 'GPC_filovir-type_extra_dom', 3, NULL),
(1820, NULL, 'IPR009588', NULL, 'Feline immunodeficiency virus, Orf3', 'FIV_Orf3', 4, NULL),
(1821, NULL, 'IPR004082', NULL, 'Protein OBERON', 'OBERON', 4, NULL),
(1822, NULL, 'IPR002574', NULL, 'M matrix/glycoprotein, coronavirus', 'M_CoV', 4, NULL),
(1823, NULL, 'IPR009622', NULL, 'NADH dehydrogenase [ubiquinone] 1 alpha subcomplex assembly factor 4', 'NDUFAF4', 4, NULL),
(1824, NULL, 'IPR004928', NULL, 'Photosystem I PsaH, reaction centre subunit VI', 'PSI_PsaH', 4, NULL),
(1825, NULL, 'IPR000160', NULL, 'GGDEF domain', 'GGDEF_dom', 3, NULL),
(1826, NULL, 'IPR002541', NULL, 'Cytochrome c assembly protein', 'Cyt_c_assembly', 3, NULL),
(1827, NULL, 'IPR002594', NULL, 'Glycoside hydrolase family 12', 'GH12', 4, NULL),
(1828, NULL, 'IPR004122', NULL, 'Barrier- to-autointegration factor, BAF', 'BAF_prot', 4, NULL),
(1829, NULL, 'IPR004923', NULL, 'Iron permease FTR1/Fip1/EfeU', 'FTR1/Fip1/EfeU', 4, NULL),
(1830, NULL, 'IPR009590', NULL, 'Protein Gp5, N-terminal OB-fold domain', 'Gp5_OB_N', 3, NULL),
(1831, NULL, 'IPR002559', NULL, 'Transposase, IS4-like', 'Transposase_11', 3, NULL),
(1832, NULL, 'IPR002606', NULL, 'Riboflavin kinase, bacterial', 'Riboflavin_kinase_bac', 4, NULL),
(1833, NULL, 'IPR009627', NULL, 'Uncharacterised protein family UPF0259', 'UPF0259', 4, NULL),
(1834, NULL, 'IPR009594', NULL, 'Transcription regulator HTH, AraC, N-terminal', 'Tscrpt_reg_HTH_AraC_N', 3, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1835, NULL, 'IPR009609', NULL, 'Phosphonate metabolism PhnG', 'Phosphonate_metab_PhnG', 4, NULL),
(1836, NULL, 'IPR000185', NULL, 'Protein translocase subunit SecA', 'SecA', 4, NULL),
(1837, NULL, 'IPR005515', NULL, 'Vitelline membrane outer layer protein I (VOMI)', 'VOMI', 4, NULL),
(1838, NULL, 'IPR003139', NULL, 'Delta-retroviral matrix protein', 'D_retro_matrix', 3, NULL),
(1839, NULL, 'IPR007564', NULL, 'Uncharacterised protein family UPF0212', 'UPF0212', 4, NULL),
(1840, NULL, 'IPR005540', NULL, 'KNOX1', 'KNOX1', 3, NULL),
(1841, NULL, 'IPR004519', NULL, 'DNA-directed RNA polymerase, subunit E/RPC8', 'RNAP_E/RPC8', 4, NULL),
(1842, NULL, 'IPR003682', NULL, 'rRNA small subunit methyltransferase G', 'rRNA_ssu_MeTfrase_G', 4, NULL),
(1843, NULL, 'IPR003175', NULL, 'Cyclin-dependent kinase inhibitor domain', 'CDI_dom', 3, NULL),
(1844, NULL, 'IPR003148', NULL, 'Regulator of K+ conductance, N-terminal', 'RCK_N', 3, NULL),
(1845, NULL, 'IPR004931', NULL, 'Prothymosin/parathymosin', 'Pro/parathymosin', 4, NULL),
(1846, NULL, 'IPR004937', NULL, 'Urea transporter', 'Urea_transporter', 4, NULL),
(1847, NULL, 'IPR002545', NULL, 'CheW-like domain', 'CheW-lke_dom', 3, NULL),
(1848, NULL, 'IPR001122', NULL, 'Flavivirus capsid protein C', 'Flavi_capsidC', 3, NULL),
(1849, NULL, 'IPR004530', NULL, 'Phenylalanyl-tRNA synthetase, class IIc, mitochondrial', 'Phe-tRNA-synth_IIc_mito', 4, NULL),
(1850, NULL, 'IPR007578', NULL, 'Herpesvirus U10', 'Herpes_U10', 4, NULL),
(1851, NULL, 'IPR007569', NULL, 'Domain of unknown function DUF559', 'DUF559', 3, NULL),
(1852, NULL, 'IPR004943', NULL, 'Lepidopteran low molecular weight lipoprotein', 'Lipoprotein_11', 4, NULL),
(1853, NULL, 'IPR004915', NULL, 'Nonstructural protein NS-S, bunyaviral', 'NS-S_bunyaviral', 4, NULL),
(1854, NULL, 'IPR004490', NULL, 'Glycolate oxidase subunit GlcD', 'GlcD', 4, NULL),
(1855, NULL, 'IPR004125', NULL, 'Signal recognition particle, SRP54 subunit, M-domain', 'Signal_recog_particle_SRP54_M', 3, NULL),
(1856, NULL, 'IPR003689', NULL, 'Zinc/iron permease', 'ZIP', 4, NULL),
(1857, NULL, 'IPR004934', NULL, 'Tropomodulin', 'TMOD', 4, NULL),
(1858, NULL, 'IPR003137', NULL, 'PA domain', 'PA_domain', 3, NULL),
(1859, NULL, 'IPR003686', NULL, 'Photosystem II PsbI', 'PSII_PsbI', 4, NULL),
(1860, NULL, 'IPR003132', NULL, 'Protein A, Ig-binding domain', 'Protein_A_Ig-bd', 3, NULL),
(1861, NULL, 'IPR005588', NULL, 'MucB/RseB', 'MucB_RseB', 4, NULL),
(1862, NULL, 'IPR005576', NULL, 'RNA polymerase Rpb7-like , N-terminal', 'Rpb7-like_N', 3, NULL),
(1863, NULL, 'IPR009611', NULL, 'Chorion S19, C-terminal', 'S19_C', 3, NULL),
(1864, NULL, 'IPR003146', NULL, 'Carboxypeptidase, activation peptide', 'M14A_act_pep', 3, NULL),
(1865, NULL, 'IPR005550', NULL, 'Kinetochore protein Ndc80', 'Kinetochore_Ndc80', 4, NULL),
(1866, NULL, 'IPR006660', NULL, 'Arsenate reductase-like', 'Arsenate_reductase-like', 4, NULL),
(1867, NULL, 'IPR001124', NULL, 'Lipid-binding serum glycoprotein, C-terminal', 'Lipid-bd_serum_glycop_C', 3, NULL),
(1868, NULL, 'IPR009629', NULL, 'Erythrovirus X', 'Erythrovirus_X', 4, NULL),
(1869, NULL, 'IPR000154', NULL, 'Prostanoid EP3 receptor type 3', 'EP3_rcpt_3', 4, NULL),
(1870, NULL, 'IPR002567', NULL, 'Envelope glycoprotein K', 'GK', 4, NULL),
(1871, NULL, 'IPR005518', NULL, 'Remorin, N-terminal', 'Remorin_N', 3, NULL),
(1872, NULL, 'IPR002572', NULL, 'Domain of unknown function DUF22', 'DUF22', 3, NULL),
(1873, NULL, 'IPR000186', NULL, 'Interleukin-5', 'IL-5', 4, NULL),
(1874, NULL, 'IPR004517', NULL, 'ATP phosphoribosyltransferase regulatory subunit', 'HisZ', 4, NULL),
(1875, NULL, 'IPR002586', NULL, 'CobQ/CobB/MinD/ParA nucleotide binding domain', 'CobQ/CobB/MinD/ParA_Nub-bd_dom', 3, NULL),
(1876, NULL, 'IPR004084', NULL, 'Meiosis-specific protein Spo11', 'Meiosis_Spo11', 3, NULL),
(1877, NULL, 'IPR002592', NULL, 'Viral attachment sigma 1, reoviral', 'Vir_attach_sigma1_reovir', 4, NULL),
(1878, NULL, 'IPR004497', NULL, 'NADH-plastoquinone oxidoreductase, subunit I', 'NADH_plast_OxRdtase_su_I', 4, NULL),
(1879, NULL, 'IPR002580', NULL, 'Herpesvirus UL24', 'Herpes_UL24', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1880, NULL, 'IPR009626', NULL, 'Major intrinsically disordered Notch2-binding receptor 1-like, C-terminal', 'MINAR1-like_C', 3, NULL),
(1881, NULL, 'IPR004900', NULL, 'Poxvirus P35', 'Poxvirus_P35', 4, NULL),
(1882, NULL, 'IPR003152', NULL, 'FATC domain', 'FATC_dom', 3, NULL),
(1883, NULL, 'IPR009591', NULL, 'Movement protein p6, Beet yellows virus', 'Beet_yellows_virus_p6', 4, NULL),
(1884, NULL, 'IPR010945', NULL, 'Malate dehydrogenase, type 2', 'Malate_DH_type2', 4, NULL),
(1885, NULL, 'IPR009597', NULL, 'Domain of unknown function DUF1206', 'DUF1206', 3, NULL),
(1886, NULL, 'IPR000120', NULL, 'Amidase', 'Amidase', 4, NULL),
(1887, NULL, 'IPR003179', NULL, 'Methyl-coenzyme M reductase, beta subunit', 'Me_CoM_Rdtase_bsu', 4, NULL),
(1888, NULL, 'IPR003182', NULL, 'RNA2 polyprotein', 'RNA2_polyprotein', 4, NULL),
(1889, NULL, 'IPR004101', NULL, 'Mur ligase, C-terminal', 'Mur_ligase_C', 3, NULL),
(1890, NULL, 'IPR002557', NULL, 'Chitin binding domain', 'Chitin-bd_dom', 3, NULL),
(1891, NULL, 'IPR001277', NULL, 'CXC chemokine receptor 4/atypical chemokine receptor 2', 'CXCR4/ACKR2', 4, NULL),
(1892, NULL, 'IPR001127', NULL, 'Phosphotransferase system, sugar-specific permease EIIA type 1', 'PTS_EIIA_1_perm', 3, NULL),
(1893, NULL, 'IPR003176', NULL, 'Adenovirus DNA-binding, all-alpha domain', 'Adenovirus_DNA-bd_a', 3, NULL),
(1894, NULL, 'IPR003189', NULL, 'Shiga-like toxin, beta subunit', 'SLT_beta', 4, NULL),
(1895, NULL, 'IPR004120', NULL, 'HTLV Tax', 'Tax', 4, NULL),
(1896, NULL, 'IPR009630', NULL, 'Protein of unknown function DUF1229', 'DUF1229', 4, NULL),
(1897, NULL, 'IPR002600', NULL, 'Herpesvirus UL7-like', 'Herpes_UL7', 4, NULL),
(1898, NULL, 'IPR002603', NULL, 'ET repeat', 'ET_repeat', 7, NULL),
(1899, NULL, 'IPR003681', NULL, 'Glycophorin-binding protein', 'Glycophorin-bd', 7, NULL),
(1900, NULL, 'IPR000136', NULL, 'Oleosin', 'Oleosin', 4, NULL),
(1901, NULL, 'IPR004071', NULL, 'Cysteinyl leukotriene receptor', 'Cyst_leuk_rcpt', 4, NULL),
(1902, NULL, 'IPR002548', NULL, 'Alphavirus E1 glycoprotein', 'Alpha_E1_glycop', 3, NULL),
(1903, NULL, 'IPR003133', NULL, 'T antigen, Ori-binding', 'T_Ag_DNA-bd', 3, NULL),
(1904, NULL, 'IPR004539', NULL, 'Translation elongation factor EF1A, eukaryotic/archaeal', 'Transl_elong_EF1A_euk/arc', 4, NULL),
(1905, NULL, 'IPR000153', NULL, 'Reovirus, outer capsid sigma 3', 'Reo_capsid_sigma3', 4, NULL),
(1906, NULL, 'IPR003169', NULL, 'GYF domain', 'GYF', 3, NULL),
(1907, NULL, 'IPR000123', NULL, 'RNA-directed DNA polymerase (reverse transcriptase), msDNA', 'Reverse_transcriptase_msDNA', 4, NULL),
(1908, NULL, 'IPR000151', NULL, 'Ciliary neurotrophic factor, CNTF', 'Ciliary_neurotrophic_fac_CNTF', 4, NULL),
(1909, NULL, 'IPR003688', NULL, 'Type IV secretion system protein TraG/VirD4', 'TraG/VirD4', 4, NULL),
(1910, NULL, 'IPR004537', NULL, 'Tellurite resistance methyltransferase, TehB', 'Tellurite-R_MeTrfase_TehB', 4, NULL),
(1911, NULL, 'IPR004494', NULL, 'MauM/NapG ferredoxin-type protein', 'MauM_NapG', 4, NULL),
(1912, NULL, 'IPR003157', NULL, 'Acyl transferase, LuxD', 'LuxD', 4, NULL),
(1913, NULL, 'IPR005523', NULL, 'Domain of unknown function DUF317', 'DUF317', 3, NULL),
(1914, NULL, 'IPR003165', NULL, 'Piwi domain', 'Piwi', 3, NULL),
(1915, NULL, 'IPR002547', NULL, 'tRNA-binding domain', 'tRNA-bd_dom', 3, NULL),
(1916, NULL, 'IPR007575', NULL, 'SchA/CurD-like domain', 'SchA_CurD-like', 3, NULL),
(1917, NULL, 'IPR000164', NULL, 'Histone H3/CENP-A', 'Histone_H3/CENP-A', 4, NULL),
(1918, NULL, 'IPR003123', NULL, 'VPS9 domain', 'VPS9', 3, NULL),
(1919, NULL, 'IPR004507', NULL, 'Flavin prenyltransferase UbiX-like', 'UbiX-like', 4, NULL),
(1920, NULL, 'IPR004946', NULL, 'Cucumovirus protein 2B', 'Cucumo_2B', 4, NULL),
(1921, NULL, 'IPR000156', NULL, 'Ran binding domain', 'Ran_bind_dom', 3, NULL),
(1922, NULL, 'IPR004100', NULL, 'ATPase, F1/V1/A1 complex, alpha/beta subunit, N-terminal domain', 'ATPase_F1/V1/A1_a/bsu_N', 3, NULL),
(1923, NULL, 'IPR002612', NULL, 'Adenovirus large t-antigen, E1B 55kDa protein', 'Adeno_E1B_55kDa', 4, NULL),
(1924, NULL, 'IPR005548', NULL, 'Cell division protein FtsQ/DivIB, C-terminal', 'Cell_div_FtsQ/DivIB_C', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1925, NULL, 'IPR004942', NULL, 'Roadblock/LAMTOR2 domain', 'Roadblock/LAMTOR2_dom', 3, NULL),
(1926, NULL, 'IPR004065', NULL, 'Lysophosphatidic acid receptor', 'LPA_rcpt', 4, NULL),
(1927, NULL, 'IPR004536', NULL, 'Selenophosphate synthetase', 'SPS/SelD', 4, NULL),
(1928, NULL, 'IPR008254', NULL, 'Flavodoxin/nitric oxide synthase', 'Flavodoxin/NO_synth', 3, NULL),
(1929, NULL, 'IPR002579', NULL, 'Peptide methionine sulphoxide reductase MrsB domain', 'Met_Sox_Rdtase_MsrB_dom', 3, NULL),
(1930, NULL, 'IPR009608', NULL, 'Bradykinin', 'Bradykinin', 4, NULL),
(1931, NULL, 'IPR004094', NULL, 'Antistasin-like domain', 'Antistasin-like', 3, NULL),
(1932, NULL, 'IPR004114', NULL, 'THUMP domain', 'THUMP_dom', 3, NULL),
(1933, NULL, 'IPR004092', NULL, 'Mbt repeat', 'Mbt', 7, NULL),
(1934, NULL, 'IPR003126', NULL, 'Zinc finger, UBR-type', 'Znf_UBR', 3, NULL),
(1935, NULL, 'IPR003204', NULL, 'Cytochrome c oxidase, subunit Va/VI', 'Cyt_c_oxidase_su5A/6', 4, NULL),
(1936, NULL, 'IPR005514', NULL, 'Chymotrypsin family Peptidase-S1', 'DUF316', 4, NULL),
(1937, NULL, 'IPR005575', NULL, 'Statherin', 'Statherin', 4, NULL),
(1938, NULL, 'IPR003121', NULL, 'SWIB/MDM2 domain', 'SWIB_MDM2_domain', 3, NULL),
(1939, NULL, 'IPR010946', NULL, 'Geranylgeranylglyceryl phosphate synthase', 'GGGP_synth', 4, NULL),
(1940, NULL, 'IPR003692', NULL, 'Hydantoinase B/oxoprolinase', 'Hydantoinase_B', 3, NULL),
(1941, NULL, 'IPR003124', NULL, 'WH2 domain', 'WH2_dom', 3, NULL),
(1942, NULL, 'IPR004488', NULL, 'Magnesium/cobalt transport protein CorA', 'Mg/Co-transport_prot_CorA', 4, NULL),
(1943, NULL, 'IPR002608', NULL, 'Paramyxovirus non-structural protein C', 'Paramyxo_C', 4, NULL),
(1944, NULL, 'IPR004945', NULL, 'Coronavirus 6B/7B protein', 'Corona_6B_7B', 4, NULL),
(1945, NULL, 'IPR004095', NULL, 'TGS', 'TGS', 3, NULL),
(1946, NULL, 'IPR005522', NULL, 'Inositol polyphosphate kinase', 'IPK', 4, NULL),
(1947, NULL, 'IPR002549', NULL, 'Transmembrane protein TqsA-like', 'AI-2E-like', 4, NULL),
(1948, NULL, 'IPR034022', NULL, 'Tumour necrosis factor receptor 4, N-terminal', 'TNFRSF4_N', 3, NULL),
(1949, NULL, 'IPR004121', NULL, 'Human herpesvirus K1 glycoprotein, C-terminal', 'K1_C', 3, NULL),
(1950, NULL, 'IPR004080', NULL, 'Foot-and-mouth disease virus VP1 coat', 'FMDV_VP1_coat', 3, NULL),
(1951, NULL, 'IPR004498', NULL, 'Ribosomal protein L11 methyltransferase', 'Ribosomal_PrmA_MeTrfase', 4, NULL),
(1952, NULL, 'IPR004939', NULL, 'APC10/DOC domain', 'APC_su10/DOC_dom', 3, NULL),
(1953, NULL, 'IPR009603', NULL, 'Microtubule associated protein Futsch', 'MAP_Futsch', 7, NULL),
(1954, NULL, 'IPR004917', NULL, 'Aphid transmission protein', 'Caulimo_AT', 4, NULL),
(1955, NULL, 'IPR003115', NULL, 'ParB/Sulfiredoxin', 'ParB/Sulfiredoxin_dom', 3, NULL),
(1956, NULL, 'IPR004903', NULL, 'Lactobacillus surface layer protein', 'S-layer_prot', 4, NULL),
(1957, NULL, 'IPR000145', NULL, 'Outer capsid protein VP5, Orbivirus', 'Capsid_VP5_Orbivir', 4, NULL),
(1958, NULL, 'IPR002593', NULL, 'Domain of unknown function DX', 'DX', 3, NULL),
(1959, NULL, 'IPR009593', NULL, 'Protein of unknown function DUF1203', 'DUF1203', 4, NULL),
(1960, NULL, 'IPR004899', NULL, 'Pertactin, central region', 'Pertactin_central', 3, NULL),
(1961, NULL, 'IPR003112', NULL, 'Olfactomedin-like domain', 'Olfac-like_dom', 3, NULL),
(1962, NULL, 'IPR004486', NULL, 'CO dehydrogenase/acetyl-CoA synthase delta subunit', 'CO_DH/Ac-CoA_synth_dsu', 4, NULL),
(1963, NULL, 'IPR002602', NULL, 'Domain of unknown function DB', 'DB', 3, NULL),
(1964, NULL, 'IPR004109', NULL, 'Peptidase S29, hepatitis C virus NS3 protease', 'Peptidase_S29_NS3', 3, NULL),
(1965, NULL, 'IPR004078', NULL, 'Interleukin-1 binding protein', 'IL-1-bd', 4, NULL),
(1966, NULL, 'IPR005573', NULL, 'Anti sigma-E protein RseA, C-terminal', 'Anti-sigma_E_RseA_C', 3, NULL),
(1967, NULL, 'IPR004911', NULL, 'Gamma interferon inducible lysosomal thiol reductase GILT', 'Interferon-induced_GILT', 4, NULL),
(1968, NULL, 'IPR009625', NULL, 'FeGP cofactor biosynthesis protein HcgF', 'HcgF', 4, NULL),
(1969, NULL, 'IPR007577', NULL, 'Glycosyltransferase, DXD sugar-binding motif', 'GlycoTrfase_DXD_sugar-bd_CS', 2, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(1970, NULL, 'IPR002610', NULL, 'Peptidase S54, rhomboid', 'Peptidase_S54_rhomboid', 4, NULL),
(1971, NULL, 'IPR003191', NULL, 'Guanylate-binding protein/Atlastin, C-terminal', 'Guanylate-bd/ATL_C', 3, NULL),
(1972, NULL, 'IPR010950', NULL, 'Chorismate mutase, archaeal', 'Chorismate_mutase_arc', 3, NULL),
(1973, NULL, 'IPR007581', NULL, 'Endonuclease V', 'Endonuclease-V', 4, NULL),
(1974, NULL, 'IPR004526', NULL, 'Glutamyl-tRNA synthetase, archaeal/eukaryotic cytosolic', 'Glu-tRNA-synth_arc/euk', 4, NULL),
(1975, NULL, 'IPR005529', NULL, 'Protein of unknown function DUF321', 'DUF321', 7, NULL),
(1976, NULL, 'IPR004103', NULL, 'Polysaccharide lyase family 8, C-terminal', 'Lyase_8_C', 3, NULL),
(1977, NULL, 'IPR003168', NULL, 'Nitrile hydratase, beta subunit', 'Nitrile_hydratase_bsu', 4, NULL),
(1978, NULL, 'IPR004523', NULL, 'Aspartate-tRNA synthetase, type 2', 'Asp-tRNA_synthase_2', 4, NULL),
(1979, NULL, 'IPR002611', NULL, 'IstB-like ATP-binding protein', 'IstB_ATP-bd', 3, NULL),
(1980, NULL, 'IPR003119', NULL, 'Saposin A-type domain', 'SAP_A', 3, NULL),
(1981, NULL, 'IPR000215', NULL, 'Serpin family', 'Serpin_fam', 4, NULL),
(1982, NULL, 'IPR009612', NULL, 'IcmF-related', 'IcmF-related', 3, NULL),
(1983, NULL, 'IPR004930', NULL, 'Pneumovirus nucleocapsid protein', 'Pneumo_ncap', 4, NULL),
(1984, NULL, 'IPR000189', NULL, 'Prokaryotic transglycosylase, active site', 'Transglyc_AS', 0, NULL),
(1985, NULL, 'IPR004089', NULL, 'Methyl-accepting chemotaxis protein (MCP) signalling domain', 'MCPsignal_dom', 3, NULL),
(1986, NULL, 'IPR003151', NULL, 'PIK-related kinase, FAT', 'PIK-rel_kinase_FAT', 3, NULL),
(1987, NULL, 'IPR005557', NULL, 'Colicin immunity protein', 'Colicin_im', 4, NULL),
(1988, NULL, 'IPR004531', NULL, 'Phenylalanyl-tRNA synthetase, class IIc, beta subunit, archael/eukaryotic type', 'Phe-tRNA-synth_IIc_bsu_arc_euk', 4, NULL),
(1989, NULL, 'IPR004914', NULL, 'Antirestriction protein', 'Antirestrict', 4, NULL),
(1990, NULL, 'IPR003159', NULL, 'Polysaccharide lyase family 8, central domain', 'Lyase_8_central_dom', 3, NULL),
(1991, NULL, 'IPR004077', NULL, 'Interleukin-1 receptor type II', 'IL-1_rcpt_II-typ', 4, NULL),
(1992, NULL, 'IPR000119', NULL, 'Histone-like DNA-binding protein', 'Hist_DNA-bd', 4, NULL),
(1993, NULL, 'IPR003170', NULL, 'UDP-N-acetylenolpyruvoylglucosamine reductase', 'MurB', 4, NULL),
(1994, NULL, 'IPR005562', NULL, 'SpoVA', 'SpoVA', 4, NULL),
(1995, NULL, 'IPR000222', NULL, 'PPM-type phosphatase, divalent cation binding', 'PP2C_BS', 1, NULL),
(1996, NULL, 'IPR034026', NULL, 'ESAT-6 secretion machinery protein EssA', 'EssA', 4, NULL),
(1997, NULL, 'IPR005531', NULL, 'Alkaline shock protein Asp23', 'Asp23', 4, NULL),
(1998, NULL, 'IPR005516', NULL, 'Remorin, C-terminal', 'Remorin_C', 3, NULL),
(1999, NULL, 'IPR002568', NULL, 'Carlavirus nucleic acid-binding protein', 'Carla-bd', 4, NULL),
(2000, NULL, 'IPR004532', NULL, 'Phenylalanine-tRNA ligase, class IIc, beta subunit, bacterial type', 'Phe-tRNA-ligase_IIc_bsu_bact', 4, NULL),
(2001, NULL, 'IPR007810', NULL, 'Pep3/Vps18/deep orange', 'Pep3_Vps18', 3, NULL),
(2002, NULL, 'IPR001055', NULL, 'Adrenodoxin', 'Adrenodoxin', 4, NULL),
(2003, NULL, 'IPR002009', NULL, 'Bromovirus coat protein', 'Bromo_CP', 4, NULL),
(2004, NULL, 'IPR007794', NULL, 'Ribosome receptor lysine/proline rich', 'Rib_rcpt_KP', 3, NULL),
(2005, NULL, 'IPR010110', NULL, 'Shikimate dehydrogenase, AroM-type', 'Shikimate_DH_AroM-type', 3, NULL),
(2006, NULL, 'IPR001953', NULL, 'Na+/H+ exchanger, isoform 2 (NHE2)', 'Na/H_exchanger_2', 4, NULL),
(2007, NULL, 'IPR007786', NULL, 'Late expression factor 9', 'LEF-9', 4, NULL),
(2008, NULL, 'IPR007824', NULL, 'Paraflagellar rod', 'Flagellar_rod', 4, NULL),
(2009, NULL, 'IPR001931', NULL, 'Ribosomal protein S21e', 'Ribosomal_S21e', 4, NULL),
(2010, NULL, 'IPR001321', NULL, 'Hypoxia-inducible factor-1 alpha', 'HIF-1_alpha', 4, NULL),
(2011, NULL, 'IPR001083', NULL, 'Copper fist DNA-binding domain', 'Cu_fist_DNA-bd_dom', 3, NULL),
(2012, NULL, 'IPR010962', NULL, 'Putative 8-amino-7-oxononanoate synthase, Archaea/Firmicutes type', 'AONS_Archaea/Firmicutes', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2013, NULL, 'IPR003750', NULL, 'Putative RNA methyltransferase', 'Put_MeTrfase', 4, NULL),
(2014, NULL, 'IPR010107', NULL, 'Glutamate decarboxylase', 'Glutamate_decarboxylase', 4, NULL),
(2015, NULL, 'IPR007642', NULL, 'RNA polymerase Rpb2, domain 2', 'RNA_pol_Rpb2_2', 3, NULL),
(2016, NULL, 'IPR004621', NULL, 'Eukaryotic-type methylenetetrahydrofolate reductase', 'Fadh2_euk', 4, NULL),
(2017, NULL, 'IPR005035', NULL, 'Herpesvirus UL3', 'Herpes_UL3', 4, NULL),
(2018, NULL, 'IPR007855', NULL, 'RNA-dependent RNA polymerase, eukaryotic-type', 'RNA-dep_RNA_pol_euk-typ', 4, NULL),
(2019, NULL, 'IPR005066', NULL, 'Moybdenum cofactor oxidoreductase, dimerisation', 'MoCF_OxRdtse_dimer', 3, NULL),
(2020, NULL, 'IPR004614', NULL, 'Phosphate acetyltransferase', 'P_AcTrfase', 3, NULL),
(2021, NULL, 'IPR003721', NULL, 'Pantoate-beta-alanine ligase', 'Pantoate_ligase', 4, NULL),
(2022, NULL, 'IPR003763', NULL, 'CDP-diacylglycerol pyrophosphatase', 'CDP-diacylglyc_Pase', 4, NULL),
(2023, NULL, 'IPR005060', NULL, 'Rhabdovirus matrix protein', 'Rhabdo_matrix', 4, NULL),
(2024, NULL, 'IPR004615', NULL, 'DNA polymerase III, psi subunit', 'DNA_pol_III_psi', 4, NULL),
(2025, NULL, 'IPR006713', NULL, 'Adhesin, Dr-family', 'Adhesin_Dr', 4, NULL),
(2026, NULL, 'IPR007801', NULL, 'Uncharacterised protein family UPF0276', 'UPF0276', 4, NULL),
(2027, NULL, 'IPR001012', NULL, 'UBX domain', 'UBX_dom', 3, NULL),
(2028, NULL, 'IPR007844', NULL, 'AsmA', 'AsmA', 3, NULL),
(2029, NULL, 'IPR003770', NULL, 'Endolytic murein transglycosylase', 'MLTG-like', 4, NULL),
(2030, NULL, 'IPR010973', NULL, 'Phosphotransferase system, sucrose-specific IIBC component', 'PTS_IIBC_sucr', 3, NULL),
(2031, NULL, 'IPR002012', NULL, 'Gonadotropin-releasing hormone', 'GnRH', 2, NULL),
(2032, NULL, 'IPR002031', NULL, 'Peptidase A22A, presenilin 1', 'Pept_A22A_PS1', 4, NULL),
(2033, NULL, 'IPR003697', NULL, 'Nucleoside triphosphate pyrophosphatase Maf-like protein', 'Maf-like', 4, NULL),
(2034, NULL, 'IPR003722', NULL, 'Cobalamin biosynthesis precorrin-8X methylmutase CobH/CbiC', 'Cbl_synth_CobH/CbiC', 3, NULL),
(2035, NULL, 'IPR003760', NULL, 'ABC transporter substrate-binding protein PnrA-like', 'PnrA-like', 3, NULL),
(2036, NULL, 'IPR007834', NULL, 'DSS1/SEM1', 'DSS1_SEM1', 4, NULL),
(2037, NULL, 'IPR004623', NULL, 'Potassium-transporting ATPase A chain', 'KdpA', 4, NULL),
(2038, NULL, 'IPR003713', NULL, 'Flagellar protein FliS', 'FliS', 4, NULL),
(2039, NULL, 'IPR010078', NULL, 'Pur operon repressor', 'PurR_Bsub', 4, NULL),
(2040, NULL, 'IPR006687', NULL, 'Small GTPase superfamily, SAR1-type', 'Small_GTPase_SAR1', 4, NULL),
(2041, NULL, 'IPR001978', NULL, 'Troponin', 'Troponin', 4, NULL),
(2042, NULL, 'IPR001063', NULL, 'Ribosomal protein L22/L17', 'Ribosomal_L22', 4, NULL),
(2043, NULL, 'IPR006708', NULL, 'Pex19 protein', 'Pex19', 4, NULL),
(2044, NULL, 'IPR010957', NULL, 'Gamma/beta/epsilon proteobacterial P-protein, chorismate mutase domain', 'G/b/e-P-prot_chorismate_mutase', 3, NULL),
(2045, NULL, 'IPR001146', NULL, 'Geminivirus AL1 replication-associated protein, MSV type', 'Gemini_AL1_MSV', 4, NULL),
(2046, NULL, 'IPR005048', NULL, 'Domain of unknown function DUF287', 'DUF287', 3, NULL),
(2047, NULL, 'IPR006673', NULL, 'Mnh complex subunit C1', 'Mnh_C1_su', 4, NULL),
(2048, NULL, 'IPR002001', NULL, 'GPCR, family 2, diuretic hormone receptor', 'GPCR_2_diuretic_rcpt', 4, NULL),
(2049, NULL, 'IPR007641', NULL, 'RNA polymerase Rpb2, domain 7', 'RNA_pol_Rpb2_7', 3, NULL),
(2050, NULL, 'IPR010090', NULL, 'Phage tail tape measure protein', 'Phage_tape_meas', 3, NULL),
(2051, NULL, 'IPR010081', NULL, 'Diaminopropionate ammonia-lyase', 'DiNH2opropionate_NH3_lyase', 4, NULL),
(2052, NULL, 'IPR003753', NULL, 'Exonuclease VII, large subunit', 'Exonuc_VII_L', 4, NULL),
(2053, NULL, 'IPR001352', NULL, 'Ribonuclease HII/HIII', 'RNase_HII/HIII', 4, NULL),
(2054, NULL, 'IPR006719', NULL, 'DEC-1 protein, N-terminal', 'DEC-1_N', 3, NULL),
(2055, NULL, 'IPR005059', NULL, 'DNA-directed RNA polymerase, 35kDa subunit, poxviral', 'DNA-dir_RNA_pol_35kDa_poxviral', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2056, NULL, 'IPR001908', NULL, 'Melanocortin receptor', 'Melancort_rcpt', 4, NULL),
(2057, NULL, 'IPR003752', NULL, 'Disulphide bond formation protein DsbB/BdbC', 'DiS_bond_form_DsbB/BdbC', 4, NULL),
(2058, NULL, 'IPR001991', NULL, 'Sodium:dicarboxylate symporter', 'Na-dicarboxylate_symporter', 4, NULL),
(2059, NULL, 'IPR001106', NULL, 'Aromatic amino acid lyase', 'Aromatic_Lyase', 4, NULL),
(2060, NULL, 'IPR010086', NULL, 'Flavodoxin, long chain', 'Flavodoxin_lc', 4, NULL),
(2061, NULL, 'IPR001105', NULL, 'Thromboxane receptor', 'Thbox_rcpt', 4, NULL),
(2062, NULL, 'IPR001894', NULL, 'Cathelicidin-like', 'Cathelicidin-like', 4, NULL),
(2063, NULL, 'IPR006689', NULL, 'Small GTPase superfamily, ARF/SAR type', 'Small_GTPase_ARF/SAR', 4, NULL),
(2064, NULL, 'IPR006724', NULL, 'Phage tail tube protein 1', 'Phage_TTP', 4, NULL),
(2065, NULL, 'IPR007638', NULL, 'Glutaminyl-tRNA synthetase, class Ib, non-specific RNA-binding domain 2', 'Gln-tRNA-synth_Ib_RNA-bd_2', 3, NULL),
(2066, NULL, 'IPR002038', NULL, 'Osteopontin', 'Osteopontin', 4, NULL),
(2067, NULL, 'IPR001093', NULL, 'IMP dehydrogenase/GMP reductase', 'IMP_DH_GMPRt', 3, NULL),
(2068, NULL, 'IPR007476', NULL, 'Putative exonuclease, RdgC', 'RdgC', 4, NULL),
(2069, NULL, 'IPR006728', NULL, 'Type VII secretion system protein EsaG-like', 'EsaG-like', 4, NULL),
(2070, NULL, 'IPR004624', NULL, 'Protein YjdM', 'YjdM', 4, NULL),
(2071, NULL, 'IPR001998', NULL, 'Xylose isomerase', 'Xylose_isomerase', 4, NULL),
(2072, NULL, 'IPR003709', NULL, 'Peptidase M15B', 'Pept_M15B', 3, NULL),
(2073, NULL, 'IPR007477', NULL, 'SAB domain', 'SAB_dom', 3, NULL),
(2074, NULL, 'IPR005036', NULL, 'CBM21 (carbohydrate binding type-21) domain', 'CBM21_dom', 3, NULL),
(2075, NULL, 'IPR007800', NULL, 'Protein of unknown function DUF693', 'DUF693', 4, NULL),
(2076, NULL, 'IPR001099', NULL, 'Chalcone/stilbene synthase, N-terminal', 'Chalcone/stilbene_synt_N', 3, NULL),
(2077, NULL, 'IPR010088', NULL, 'Ribonucleotide reductase-associated flavodoxin, putative', 'RNR_flavodoxin', 4, NULL),
(2078, NULL, 'IPR003734', NULL, 'Domain of unknown function DUF155', 'DUF155', 3, NULL),
(2079, NULL, 'IPR001089', NULL, 'CXC chemokine', 'Chemokine_CXC', 4, NULL),
(2080, NULL, 'IPR005041', NULL, 'Adenovirus E3B protein', 'Adeno_E3B', 4, NULL),
(2081, NULL, 'IPR006702', NULL, 'Casparian strip membrane protein domain', 'CASP_dom', 3, NULL),
(2082, NULL, 'IPR001008', NULL, 'Metallothionein, mollusc', 'Metalthion_mollusc', 4, NULL),
(2083, NULL, 'IPR005050', NULL, 'Early nodulin 93 ENOD93 protein', 'Enod93', 4, NULL),
(2084, NULL, 'IPR005051', NULL, 'Herpesvirus UL46', 'Herpes_UL46', 4, NULL),
(2085, NULL, 'IPR007785', NULL, 'Anamorsin', 'Anamorsin', 4, NULL),
(2086, NULL, 'IPR003741', NULL, 'LUD domain', 'LUD_dom', 3, NULL),
(2087, NULL, 'IPR010102', NULL, 'Succinate semialdehyde dehydrogenase', 'Succ_semiAld_DH', 4, NULL),
(2088, NULL, 'IPR010113', NULL, 'Nif-specific regulatory protein', 'Nif-specific_regulatory_prot', 4, NULL),
(2089, NULL, 'IPR001274', NULL, 'C5a1/C5a2 anaphylatoxin chemotactic receptor', 'Anaphtx_C5AR1/C5AR2', 4, NULL),
(2090, NULL, 'IPR034279', NULL, 'Copper resistance protein, third cupredoxin domain', 'CuRO_3_CopA', 3, NULL),
(2091, NULL, 'IPR007849', NULL, 'ATPase assembly factor ATP10', 'ATP10', 4, NULL),
(2092, NULL, 'IPR001943', NULL, 'UVR domain', 'UVR_dom', 3, NULL),
(2093, NULL, 'IPR005043', NULL, 'Exportin-2, C-terminal', 'XPO2_C', 3, NULL),
(2094, NULL, 'IPR001963', NULL, 'Glycoprotein VP7', 'VP7', 4, NULL),
(2095, NULL, 'IPR001045', NULL, 'Spermidine/spermine synthases', 'Spermi_synthase', 4, NULL),
(2096, NULL, 'IPR001370', NULL, 'BIR repeat', 'BIR_rpt', 7, NULL),
(2097, NULL, 'IPR010106', NULL, 'Recombination-promoting nuclease RpnA', 'RpnA', 4, NULL),
(2098, NULL, 'IPR003720', NULL, 'tRNA sulfurtransferase ThiI', 'tRNA_STrfase', 4, NULL),
(2099, NULL, 'IPR005064', NULL, 'Bordetella uptake gene', 'BUG', 4, NULL),
(2100, NULL, 'IPR034188', NULL, 'Broad-specificity linear acyl-CoA dehydrogenase FadE5-like', 'FadE5-like', 4, NULL),
(2101, NULL, 'IPR007831', NULL, 'Type II secretion system protein GspE, N-terminal', 'T2SS_GspE_N', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2102, NULL, 'IPR001972', NULL, 'Stomatin/HflK/HflC family', 'Stomatin_HflK_HflKC_fam', 4, NULL),
(2103, NULL, 'IPR001383', NULL, 'Ribosomal protein L28', 'Ribosomal_L28', 4, NULL),
(2104, NULL, 'IPR001148', NULL, 'Alpha carbonic anhydrase domain', 'CA_dom', 3, NULL),
(2105, NULL, 'IPR000007', NULL, 'Tubby, C-terminal', 'Tubby_C', 3, NULL),
(2106, NULL, 'IPR001258', NULL, 'NHL repeat', 'NHL_repeat', 7, NULL),
(2107, NULL, 'IPR006700', NULL, 'Ribosomal RNA small subunit methyltransferase E', 'rRNA_ssu_MeTrfase-E', 4, NULL),
(2108, NULL, 'IPR003754', NULL, 'Tetrapyrrole biosynthesis, uroporphyrinogen III synthase', '4pyrrol_synth_uPrphyn_synth', 3, NULL),
(2109, NULL, 'IPR001300', NULL, 'Peptidase C2, calpain, catalytic domain', 'Peptidase_C2_calpain_cat', 3, NULL),
(2110, NULL, 'IPR001015', NULL, 'Ferrochelatase', 'Ferrochelatase', 4, NULL),
(2111, NULL, 'IPR001358', NULL, 'Neuropeptide Y2 receptor', 'NPY2_rcpt', 4, NULL),
(2112, NULL, 'IPR001110', NULL, 'Uncharacterised protein family UPF0012, conserved site', 'UPF0012_CS', 2, NULL),
(2113, NULL, 'IPR006676', NULL, 'tRNA-splicing endonuclease', 'tRNA_splic', 4, NULL),
(2114, NULL, 'IPR010096', NULL, 'NAD(P)H-quinone oxidoreductase, subunit N/subunit 2', 'NADH-Q_OxRdtase_suN/2', 4, NULL),
(2115, NULL, 'IPR005053', NULL, 'MobA/MobL protein', 'MobA_MobL', 3, NULL),
(2116, NULL, 'IPR010084', NULL, 'Beta-hydroxyacyl-(acyl-carrier-protein) dehydratase FabZ', 'FabZ', 4, NULL),
(2117, NULL, 'IPR001095', NULL, 'Acetyl-CoA carboxylase, alpha subunit', 'Acetyl_CoA_COase_a_su', 4, NULL),
(2118, NULL, 'IPR007790', NULL, 'Late expression factor 4', 'LEF-4', 4, NULL),
(2119, NULL, 'IPR005046', NULL, 'Protein of unknown function DUF285', 'DUF285', 4, NULL),
(2120, NULL, 'IPR007806', NULL, 'Mobile element transfer', 'SpdB', 4, NULL),
(2121, NULL, 'IPR010976', NULL, 'Beta-phosphoglucomutase hydrolase', 'B-phosphoglucomutase_hydrolase', 3, NULL),
(2122, NULL, 'IPR007807', NULL, 'Helicase domain', 'Helicase_dom', 3, NULL),
(2123, NULL, 'IPR001390', NULL, 'Gamma-aminobutyric-acid A receptor, alpha subunit', 'GABAAa_rcpt', 4, NULL),
(2124, NULL, 'IPR001138', NULL, 'Zn(2)-C6 fungal-type DNA-binding domain', 'Zn2-C6_fun-type_DNA-bd', 3, NULL),
(2125, NULL, 'IPR002011', NULL, 'Tyrosine-protein kinase, receptor class II, conserved site', 'Tyr_kinase_rcpt_2_CS', 2, NULL),
(2126, NULL, 'IPR006712', NULL, 'HD-ZIP protein, N-terminal', 'HD-ZIP_N', 3, NULL),
(2127, NULL, 'IPR002008', NULL, 'DNA polymerase family X, beta-like', 'DNA_pol_X_beta-like', 4, NULL),
(2128, NULL, 'IPR010079', NULL, 'Xanthine phosphoribosyltransferase', 'Xanthine_PRibTrfase', 4, NULL),
(2129, NULL, 'IPR003718', NULL, 'OsmC/Ohr family', 'OsmC/Ohr_fam', 4, NULL),
(2130, NULL, 'IPR007814', NULL, '1,2-phenylacetyl-CoA epoxidase, subunit A/C', 'PaaA_PaaC', 4, NULL),
(2131, NULL, 'IPR007826', NULL, 'Photosystem II PsbM', 'PSII_PsbM', 4, NULL),
(2132, NULL, 'IPR010104', NULL, 'Bacterial TonB-dependent receptor', 'TonB_rcpt_bac', 4, NULL),
(2133, NULL, 'IPR007808', NULL, 'Transcription elongation factor 1', 'Elf1', 4, NULL),
(2134, NULL, 'IPR010094', NULL, 'Transposase (putative), N-terminal', 'Transposase_put_N', 3, NULL),
(2135, NULL, 'IPR001897', NULL, 'Porin, gammaproteobacterial', 'Porin_gammaproteobac', 4, NULL),
(2136, NULL, 'IPR001965', NULL, 'Zinc finger, PHD-type', 'Znf_PHD', 3, NULL),
(2137, NULL, 'IPR001082', NULL, 'Fimbrial protein pilin', 'Pilin', 4, NULL),
(2138, NULL, 'IPR010974', NULL, 'Phosphotransferase system, N-acetylglucosamine-specific IIBC component', 'PTS_IIBC_nag', 3, NULL),
(2139, NULL, 'IPR001334', NULL, 'E6 early regulatory protein', 'E6', 4, NULL),
(2140, NULL, 'IPR003761', NULL, 'Exonuclease VII, small subunit', 'Exonuc_VII_S', 4, NULL),
(2141, NULL, 'IPR006684', NULL, 'Acyl-CoA thioester hydrolase YbgC/YbaW family', 'YbgC/YbaW', 4, NULL),
(2142, NULL, 'IPR034446', NULL, 'Fibronectin type III domain-containing protein 10', 'Fndc10', 4, NULL),
(2143, NULL, 'IPR003696', NULL, 'Carbamoyltransferase', 'Carbtransf_dom', 3, NULL),
(2144, NULL, 'IPR001234', NULL, 'GPCR, family 3, metabotropic glutamate receptor 3', 'GPCR_3_mtglu_rcpt_3', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2145, NULL, 'IPR010111', NULL, 'Kynureninase', 'Kynureninase', 4, NULL),
(2146, NULL, 'IPR001061', NULL, 'Transgelin-2', 'TAGLN2', 4, NULL),
(2147, NULL, 'IPR007636', NULL, 'Restriction endonuclease, type II, XhoI', 'Restrct_endonuc_II_XhoI', 4, NULL),
(2148, NULL, 'IPR007809', NULL, 'FlgN-like protein', 'FlgN-like', 4, NULL),
(2149, NULL, 'IPR006671', NULL, 'Cyclin, N-terminal', 'Cyclin_N', 3, NULL),
(2150, NULL, 'IPR001286', NULL, 'Glycoside hydrolase, family 59', 'Glyco_hydro_59', 4, NULL),
(2151, NULL, 'IPR010975', NULL, 'Phosphotransferase system, alpha-glucoside-specific IIBC component', 'PTS_IIBC_a_glc', 4, NULL),
(2152, NULL, 'IPR001249', NULL, 'Acetyl-CoA biotin carboxyl carrier', 'AcCoA_biotinCC', 4, NULL),
(2153, NULL, 'IPR001057', NULL, 'Glutamate/acetylglutamate kinase', 'Glu/AcGlu_kinase', 4, NULL),
(2154, NULL, 'IPR006679', NULL, 'Adenine deaminase', 'Adenine_deam', 4, NULL),
(2155, NULL, 'IPR007629', NULL, 'Herpesvirus UL20, egress protein', 'Herpes_UL20', 4, NULL),
(2156, NULL, 'IPR001947', NULL, 'Scorpion short chain toxin, potassium channel inhibitor', 'Scorpion_toxinS_K_inh', 4, NULL),
(2157, NULL, 'IPR006692', NULL, 'Coatomer, WD associated region', 'Coatomer_WD-assoc_reg', 3, NULL),
(2158, NULL, 'IPR010972', NULL, 'Beta-phosphoglucomutase', 'Beta-phosphoglucomutase', 4, NULL),
(2159, NULL, 'IPR001021', NULL, 'Ribosomal protein L25, long-form', 'Ribosomal_L25_long', 4, NULL),
(2160, NULL, 'IPR005037', NULL, 'Pre-mRNA-splicing factor 38', 'PRP38', 4, NULL),
(2161, NULL, 'IPR007854', NULL, 'Pre-mRNA polyadenylation factor Fip1 domain', 'Fip1_dom', 3, NULL),
(2162, NULL, 'IPR001938', NULL, 'Thaumatin family', 'Thaumatin', 4, NULL),
(2163, NULL, 'IPR001316', NULL, 'Peptidase S1A, streptogrisin', 'Pept_S1A_streptogrisin', 4, NULL),
(2164, NULL, 'IPR004622', NULL, 'DNA polymerase III, delta prime subunit', 'DNA_pol_HolB', 3, NULL),
(2165, NULL, 'IPR007633', NULL, 'Bacteriophage P2, GpY, holin', 'Phage_P2_GpY_holin', 4, NULL),
(2166, NULL, 'IPR001337', NULL, 'Tobacco mosaic virus-like, coat protein', 'TMV-like_coat', 4, NULL),
(2167, NULL, 'IPR006683', NULL, 'Thioesterase domain', 'Thioestr_dom', 3, NULL),
(2168, NULL, 'IPR007833', NULL, 'Capsule polysaccharide biosynthesis', 'Capsule_polysaccharide_synth', 4, NULL),
(2169, NULL, 'IPR001319', NULL, 'Nuclear transition protein 1', 'Nuclear_transition_prot1', 4, NULL),
(2170, NULL, 'IPR007836', NULL, 'Ribosomal protein L41', 'Ribosomal_L41', 4, NULL),
(2171, NULL, 'IPR001932', NULL, 'PPM-type phosphatase domain', 'PPM-type_phosphatase_dom', 3, NULL),
(2172, NULL, 'IPR007829', NULL, 'TM2 domain', 'TM2', 3, NULL),
(2173, NULL, 'IPR006669', NULL, 'Magnesium transporter MgtE', 'MgtE_transporter', 4, NULL),
(2174, NULL, 'IPR010109', NULL, 'Citrate synthase, eukaryotic-type', 'Citrate_synthase_euk', 4, NULL),
(2175, NULL, 'IPR006686', NULL, 'Mechanosensitive ion channel MscS, conserved site', 'MscS_channel_CS', 2, NULL),
(2176, NULL, 'IPR001895', NULL, 'Ras guanine-nucleotide exchange factors catalytic domain', 'RASGEF_cat_dom', 3, NULL),
(2177, NULL, 'IPR006711', NULL, 'Hox9, N-terminal activation domain', 'Hox9_activation_N', 3, NULL),
(2178, NULL, 'IPR003714', NULL, 'PhoH-like protein', 'PhoH', 3, NULL),
(2179, NULL, 'IPR001904', NULL, 'Paxillin', 'Paxillin', 4, NULL),
(2180, NULL, 'IPR001246', NULL, 'Lipoxygenase, plant', 'LipOase_plant', 4, NULL),
(2181, NULL, 'IPR001323', NULL, 'Erythropoietin/thrombopoietin', 'EPO_TPO', 4, NULL),
(2182, NULL, 'IPR007805', NULL, 'Gas vesicle protein GvpK', 'Gas-vesicle_GvpK', 4, NULL),
(2183, NULL, 'IPR001907', NULL, 'ATP-dependent Clp protease proteolytic subunit', 'ClpP', 4, NULL),
(2184, NULL, 'IPR001326', NULL, 'Translation elongation factor EF1B, beta/delta chains, conserved site', 'Transl_elong_EF1B_B/D_CS', 2, NULL),
(2185, NULL, 'IPR003703', NULL, 'Acyl-CoA thioesterase', 'Acyl_CoA_thio', 4, NULL),
(2186, NULL, 'IPR010076', NULL, 'Pimeloyl-[acyl-carrier protein] methyl ester esterase', 'BioH', 4, NULL),
(2187, NULL, 'IPR001364', NULL, 'Haemagglutinin, influenzavirus A/B', 'Hemagglutn_influenz_A/B', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2188, NULL, 'IPR001254', NULL, 'Serine proteases, trypsin domain', 'Trypsin_dom', 3, NULL),
(2189, NULL, 'IPR001050', NULL, 'Syndecan', 'Syndecan', 4, NULL),
(2190, NULL, 'IPR006718', NULL, 'Dec-1 repeat', 'DEC-1_REPEAT', 7, NULL),
(2191, NULL, 'IPR006722', NULL, 'Trafficking protein particle complex subunit 2', 'Sedlin', 4, NULL),
(2192, NULL, 'IPR003730', NULL, 'Multi-copper polyphenol oxidoreductase', 'Cu_polyphenol_OxRdtase', 4, NULL),
(2193, NULL, 'IPR001279', NULL, 'Metallo-beta-lactamase', 'Metallo-B-lactamas', 3, NULL),
(2194, NULL, 'IPR005061', NULL, 'Vacuolar protein sorting-associated protein Ist1', 'Ist1', 4, NULL),
(2195, NULL, 'IPR007793', NULL, 'DivIVA family', 'DivIVA_fam', 4, NULL),
(2196, NULL, 'IPR007474', NULL, 'ApaG domain', 'ApaG_domain', 3, NULL),
(2197, NULL, 'IPR001064', NULL, 'Beta/gamma crystallin', 'Beta/gamma_crystallin', 3, NULL),
(2198, NULL, 'IPR006668', NULL, 'Magnesium transporter, MgtE intracellular domain', 'Mg_transptr_MgtE_intracell_dom', 3, NULL),
(2199, NULL, 'IPR003723', NULL, 'Precorrin-6x reductase', 'Precorrin-6x_reduct', 4, NULL),
(2200, NULL, 'IPR001933', NULL, 'Neuropeptide Y4 receptor', 'NPY4_rcpt', 4, NULL),
(2201, NULL, 'IPR001331', NULL, 'Guanine-nucleotide dissociation stimulator, CDC24, conserved site', 'GDS_CDC24_CS', 2, NULL),
(2202, NULL, 'IPR001896', NULL, 'Plant virus coat protein', 'Plant_vir_prot', 4, NULL),
(2203, NULL, 'IPR003712', NULL, 'Cyanate lyase, C-terminal', 'Cyanate_lyase_C', 3, NULL),
(2204, NULL, 'IPR001059', NULL, 'Translation elongation factor P/YeiP, central', 'Transl_elong_P/YeiP_cen', 3, NULL),
(2205, NULL, 'IPR010092', NULL, 'Chlorinating enzyme', 'Chlorin_enz', 4, NULL),
(2206, NULL, 'IPR001252', NULL, 'Malate dehydrogenase, active site', 'Malate_DH_AS', 0, NULL),
(2207, NULL, 'IPR001955', NULL, 'Pancreatic hormone-like', 'Pancreatic_hormone-like', 4, NULL),
(2208, NULL, 'IPR001396', NULL, 'Metallothionein, family 4, echinoidea', 'Metalthion_4_echinoidea', 4, NULL),
(2209, NULL, 'IPR000006', NULL, 'Metallothionein, vertebrate', 'Metalthion_vert', 4, NULL),
(2210, NULL, 'IPR004618', NULL, 'Aspartate--ammonia ligase', 'AsnA', 4, NULL),
(2211, NULL, 'IPR007643', NULL, 'Dictyostelium spore coat protein, N-terminal', 'Dict_spore_N', 3, NULL),
(2212, NULL, 'IPR001951', NULL, 'Histone H4', 'Histone_H4', 4, NULL),
(2213, NULL, 'IPR001080', NULL, '3Fe-4S ferredoxin', '3Fe4S_ferredoxin', 4, NULL),
(2214, NULL, 'IPR010963', NULL, 'Poly(R)-hydroxyalkanoic acid synthase, class I', 'PHA_synth_I', 4, NULL),
(2215, NULL, 'IPR007832', NULL, 'RNA polymerase Rpc34', 'RNA_pol_Rpc34', 4, NULL),
(2216, NULL, 'IPR003719', NULL, 'Phenazine biosynthesis PhzF protein', 'Phenazine_PhzF', 4, NULL),
(2217, NULL, 'IPR023273', NULL, 'RNA (C5-cytosine) methyltransferase, NOP2', 'RCMT_NOP2', 4, NULL),
(2218, NULL, 'IPR001239', NULL, 'Proteinase inhibitor I1, Kazal-type, metazoa', 'Prot_inh_Kazal-m', 4, NULL),
(2219, NULL, 'IPR001041', NULL, '2Fe-2S ferredoxin-type iron-sulfur binding domain', '2Fe-2S_ferredoxin-type', 3, NULL),
(2220, NULL, 'IPR006677', NULL, 'tRNA intron endonuclease, catalytic domain-like', 'tRNA_intron_Endonuc_cat-like', 3, NULL),
(2221, NULL, 'IPR001296', NULL, 'Glycosyl transferase, family 1', 'Glyco_trans_1', 3, NULL),
(2222, NULL, 'IPR007845', NULL, 'Haemin-degrading HemS/ChuX domain', 'HemS/ChuX_dom', 3, NULL),
(2223, NULL, 'IPR007795', NULL, 'Type VII secretion system EccB', 'T7SS_EccB', 4, NULL),
(2224, NULL, 'IPR005055', NULL, 'Insect odorant-binding protein A10/Ejaculatory bulb-specific protein 3', 'A10/PebIII', 4, NULL),
(2225, NULL, 'IPR006716', NULL, 'ERG2/sigma1 receptor-like', 'ERG2_sigma1_rcpt-like', 4, NULL),
(2226, NULL, 'IPR006727', NULL, 'Herpesvirus BMRF2 protein', 'Herpes_BMRF2', 4, NULL),
(2227, NULL, 'IPR004616', NULL, 'Leucyl/phenylalanyl-tRNA-protein transferase', 'Leu/Phe-tRNA_Trfase', 4, NULL),
(2228, NULL, 'IPR005057', NULL, 'Poxvirus E8', 'Poxvirus_E8', 4, NULL),
(2229, NULL, 'IPR001150', NULL, 'Glycine radical domain', 'Gly_radical', 3, NULL),
(2230, NULL, 'IPR003732', NULL, 'D-aminoacyl-tRNA deacylase DTD', 'Daa-tRNA_deacyls_DTD', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2231, NULL, 'IPR006706', NULL, 'Extensin domain', 'Extensin_dom', 3, NULL),
(2232, NULL, 'IPR001988', NULL, 'Caulimovirus coat protein', 'Caulimo_coat', 4, NULL),
(2233, NULL, 'IPR001282', NULL, 'Glucose-6-phosphate dehydrogenase', 'G6P_DH', 4, NULL),
(2234, NULL, 'IPR010965', NULL, 'HesB-related, selonoprotein', 'HesB-rel_seleno', 4, NULL),
(2235, NULL, 'IPR023222', NULL, 'PsbQ-like domain superfamily', 'PsbQ-like_dom_sf', 5, NULL),
(2236, NULL, 'IPR005065', NULL, 'Platelet-activating factor acetylhydrolase-like', 'PAF_acetylhydro-like', 4, NULL),
(2237, NULL, 'IPR005070', NULL, 'Foamy virus envelope protein', 'Foamy_env', 4, NULL),
(2238, NULL, 'IPR028348', NULL, 'FAD dependent protein', 'FAD-binding_protein', 4, NULL),
(2239, NULL, 'IPR003208', NULL, 'Diol/glycerol dehydratase/dehydratase reactivating factor', 'Dehydtase/Dehydtase_re', 4, NULL),
(2240, NULL, 'IPR003209', NULL, 'Methenyltetrahydromethanopterin cyclohydrolase', 'METHMP_CycHdrlase', 4, NULL),
(2241, NULL, 'IPR001346', NULL, 'Interferon regulatory factor DNA-binding domain', 'Interferon_reg_fact_DNA-bd_dom', 3, NULL),
(2242, NULL, 'IPR003711', NULL, 'CarD-like/TRCF domain', 'CarD-like/TRCF_domain', 3, NULL),
(2243, NULL, 'IPR001971', NULL, 'Ribosomal protein S11', 'Ribosomal_S11', 4, NULL),
(2244, NULL, 'IPR001952', NULL, 'Alkaline phosphatase', 'Alkaline_phosphatase', 4, NULL),
(2245, NULL, 'IPR007818', NULL, 'SHI protein family', 'SHI', 4, NULL),
(2246, NULL, 'IPR005038', NULL, 'Octapeptide repeat', 'Octapeptide', 7, NULL),
(2247, NULL, 'IPR001280', NULL, 'Photosystem I PsaA/PsaB', 'PSI_PsaA/B', 4, NULL),
(2248, NULL, 'IPR006709', NULL, 'Small-subunit processome, Utp14', 'SSU_processome_Utp14', 4, NULL),
(2249, NULL, 'IPR010961', NULL, 'Tetrapyrrole biosynthesis, 5-aminolevulinic acid synthase', '4pyrrol_synth_NH2levulA_synth', 3, NULL),
(2250, NULL, 'IPR007475', NULL, 'Ubiquinone biosynthesis accessory factor UbiK', 'UbiK', 4, NULL),
(2251, NULL, 'IPR007787', NULL, 'Protein of unknown function DUF687', 'DUF687', 4, NULL),
(2252, NULL, 'IPR006699', NULL, 'Glycerol uptake operon antiterminator', 'GlpP', 4, NULL),
(2253, NULL, 'IPR001007', NULL, 'VWFC domain', 'VWF_dom', 3, NULL),
(2254, NULL, 'IPR006678', NULL, 'tRNA intron endonuclease, N-terminal', 'tRNA_intron_Endonuc_N', 3, NULL),
(2255, NULL, 'IPR010967', NULL, 'Na(+)-translocating NADH-quinone reductase subunit E', 'NqrE', 4, NULL),
(2256, NULL, 'IPR001248', NULL, 'Purine-cytosine permease', 'Pur-cyt_permease', 4, NULL),
(2257, NULL, 'IPR007839', NULL, 'GTP cyclohydrolase III', 'GTP_CycHdrlase_3', 4, NULL),
(2258, NULL, 'IPR006714', NULL, 'Flagellar filament outer layer protein FlaA', 'FlaA', 4, NULL),
(2259, NULL, 'IPR001981', NULL, 'Colipase', 'Colipase', 4, NULL),
(2260, NULL, 'IPR007813', NULL, 'Type IV pilus inner membrane component PilN', 'PilN', 4, NULL),
(2261, NULL, 'IPR006693', NULL, 'Partial AB-hydrolase lipase domain', 'AB_hydrolase_lipase', 3, NULL),
(2262, NULL, 'IPR001216', NULL, 'Cysteine synthase/cystathionine beta-synthase, pyridoxal-phosphate attachment site', 'P-phosphate_BS', 1, NULL),
(2263, NULL, 'IPR001044', NULL, 'XPG/Rad2 endonuclease, eukaryotes', 'XPG/Rad2_eukaryotes', 4, NULL),
(2264, NULL, 'IPR005056', NULL, 'Pneumovirus matrix protein', 'Pneu_matrix', 4, NULL),
(2265, NULL, 'IPR005067', NULL, 'Fatty acid desaturase, type 2', 'Fatty_acid_desaturase-2', 4, NULL),
(2266, NULL, 'IPR001959', NULL, 'Probable transposase, IS891/IS1136/IS1341', 'Transposase_2', 3, NULL),
(2267, NULL, 'IPR007783', NULL, 'Eukaryotic translation initiation factor 3 subunit D', 'eIF3d', 4, NULL),
(2268, NULL, 'IPR010098', NULL, 'Glycyl radical enzyme, PFL2/glycerol dehydratase family', 'PFL2/GDeHydtase_fam', 4, NULL),
(2269, NULL, 'IPR001011', NULL, 'Acid phosphatase, class A, bacterial', 'Acid_Pase_classA_bac', 4, NULL),
(2270, NULL, 'IPR001073', NULL, 'C1q domain', 'C1q_dom', 3, NULL),
(2271, NULL, 'IPR001392', NULL, 'Clathrin adaptor, mu subunit', 'Clathrin_mu', 4, NULL),
(2272, NULL, 'IPR010085', NULL, 'Crotonyl-CoA reductase', 'Crot_CoA_red', 4, NULL),
(2273, NULL, 'IPR003706', NULL, 'CstA, N-terminal domain', 'CstA_N', 3, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2274, NULL, 'IPR003708', NULL, 'Bacterial protein export chaperone SecB', 'SecB', 4, NULL),
(2275, NULL, 'IPR001969', NULL, 'Aspartic peptidase, active site', 'Aspartic_peptidase_AS', 0, NULL),
(2276, NULL, 'IPR034054', NULL, 'PrcA catalytic domain', 'Pep_S8_PrcA', 3, NULL),
(2277, NULL, 'IPR006691', NULL, 'DNA gyrase/topoisomerase IV, subunit A, C-terminal repeat', 'GyrA/parC_rep', 7, NULL),
(2278, NULL, 'IPR010083', NULL, 'Beta-hydroxyacyl-(acyl-carrier-protein) dehydratase FabA', 'FabA', 4, NULL),
(2279, NULL, 'IPR005045', NULL, 'CDC50/LEM3 family', 'CDC50/LEM3_fam', 4, NULL),
(2280, NULL, 'IPR007789', NULL, 'Protein of unknown function DUF688', 'DUF688', 4, NULL),
(2281, NULL, 'IPR010960', NULL, 'Flavocytochrome c', 'Flavocytochrome_c', 4, NULL),
(2282, NULL, 'IPR003746', NULL, 'Protein of unknown function DUF167', 'DUF167', 4, NULL),
(2283, NULL, 'IPR010089', NULL, 'Flavoprotein WrbA-like', 'Flavoprotein_WrbA-like', 4, NULL),
(2284, NULL, 'IPR002019', NULL, 'Urease, beta subunit', 'Urease_beta', 4, NULL),
(2285, NULL, 'IPR007820', NULL, 'AbrB family', 'AbrB_fam', 4, NULL),
(2286, NULL, 'IPR001085', NULL, 'Serine hydroxymethyltransferase', 'Ser_HO-MeTrfase', 4, NULL),
(2287, NULL, 'IPR001962', NULL, 'Asparagine synthase', 'Asn_synthase', 3, NULL),
(2288, NULL, 'IPR010073', NULL, 'Phosphoribosylformylglycinamidine synthase PurL', 'PurL_large', 4, NULL),
(2289, NULL, 'IPR007823', NULL, 'Ribosomal RNA processing protein 8', 'RRP8', 4, NULL),
(2290, NULL, 'IPR001313', NULL, 'Pumilio RNA-binding repeat', 'Pumilio_RNA-bd_rpt', 7, NULL),
(2291, NULL, 'IPR007835', NULL, 'MOFRL domain', 'MOFRL', 3, NULL),
(2292, NULL, 'IPR007825', NULL, 'Major outer membrane precursor, Legionella pneumophila-type', 'Major_OMP_Legionella', 4, NULL),
(2293, NULL, 'IPR002035', NULL, 'von Willebrand factor, type A', 'VWF_A', 3, NULL),
(2294, NULL, 'IPR001353', NULL, 'Proteasome, subunit alpha/beta', 'Proteasome_sua/b', 4, NULL),
(2295, NULL, 'IPR001949', NULL, 'NADH:ubiquinone oxidoreductase, 51kDa subunit, conserved site', 'NADH-UbQ_OxRdtase_51kDa_CS', 2, NULL),
(2296, NULL, 'IPR007635', NULL, 'Tis11B-like protein, N-terminal', 'Tis11B_N', 3, NULL),
(2297, NULL, 'IPR001048', NULL, 'Aspartate/glutamate/uridylate kinase', 'Asp/Glu/Uridylate_kinase', 3, NULL),
(2298, NULL, 'IPR007812', NULL, 'Type II secretion system protein GspL', 'T2SS_protein-GspL', 4, NULL),
(2299, NULL, 'IPR003717', NULL, 'Recombination protein O, RecO', 'RecO', 4, NULL),
(2300, NULL, 'IPR004617', NULL, 'Bis(5''-nucleosyl)-tetraphosphatase (symmetrical)', 'ApaH', 4, NULL),
(2301, NULL, 'IPR001328', NULL, 'Peptidyl-tRNA hydrolase', 'Pept_tRNA_hydro', 4, NULL),
(2302, NULL, 'IPR007827', NULL, 'Protein of unknown function DUF694', 'DUF705', 4, NULL),
(2303, NULL, 'IPR001262', NULL, 'Hyperglycemic hormone type 2', 'Hyperglycemic2', 4, NULL),
(2304, NULL, 'IPR010093', NULL, 'SinI-like, DNA-binding domain', 'SinI_DNA-bd', 3, NULL),
(2305, NULL, 'IPR007803', NULL, 'Aspartyl/asparaginy/proline hydroxylase', 'Asp/Arg/Pro-Hydrxlase', 3, NULL),
(2306, NULL, 'IPR010095', NULL, 'Transposase IS605, OrfB, C-terminal', 'Transposase_IS605_OrfB_C', 3, NULL),
(2307, NULL, 'IPR001047', NULL, 'Ribosomal protein S8e', 'Ribosomal_S8e', 4, NULL),
(2308, NULL, 'IPR006675', NULL, 'HDIG domain', 'HDIG_dom', 3, NULL),
(2309, NULL, 'IPR010969', NULL, 'Cysteine desulfurase-related, unknown function', 'Cys_dSase-rel_unknwn_funct', 4, NULL),
(2310, NULL, 'IPR003710', NULL, 'Ketopantoate reductase ApbA/PanE', 'ApbA', 4, NULL),
(2311, NULL, 'IPR001970', NULL, 'Na+/H+ exchanger, isoform 1 (NHE1)', 'Na/H_exchanger_1', 4, NULL),
(2312, NULL, 'IPR006710', NULL, 'Glycoside hydrolase, family 43', 'Glyco_hydro_43', 4, NULL),
(2313, NULL, 'IPR030401', NULL, 'Krueppel-like factor 5', 'KLF5', 4, NULL),
(2314, NULL, 'IPR010075', NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurQ', 'PRibForGlyAmidine_synth_PurQ', 4, NULL),
(2315, NULL, 'IPR001298', NULL, 'Filamin/ABP280 repeat', 'Filamin/ABP280_rpt', 7, NULL),
(2316, NULL, 'IPR007848', NULL, 'Methyltransferase small domain', 'Small_mtfrase_dom', 3, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2317, NULL, 'IPR010108', NULL, 'Lycopene cyclase, beta/epsilon', 'Lycopene_cyclase_b/e', 4, NULL),
(2318, NULL, 'IPR001929', NULL, 'Germin', 'Germin', 4, NULL),
(2319, NULL, 'IPR002016', NULL, 'Haem peroxidase', 'Haem_peroxidase', 3, NULL),
(2320, NULL, 'IPR001088', NULL, 'Glycoside hydrolase, family 4', 'Glyco_hydro_4', 4, NULL),
(2321, NULL, 'IPR003759', NULL, 'Cobalamin (vitamin B12)-binding module, cap domain', 'Cbl-bd_cap', 3, NULL),
(2322, NULL, 'IPR006707', NULL, 'Type VII secretion system membrane protein EccD', 'T7SS_EccD', 4, NULL),
(2323, NULL, 'IPR001263', NULL, 'Phosphoinositide 3-kinase, accessory (PIK) domain', 'PI3K_accessory_dom', 3, NULL),
(2324, NULL, 'IPR007627', NULL, 'RNA polymerase sigma-70 region 2', 'RNA_pol_sigma70_r2', 3, NULL),
(2325, NULL, 'IPR007784', NULL, 'Per os infectivity factor', 'PIR', 4, NULL),
(2326, NULL, 'IPR004613', NULL, 'Ribonuclease J', 'RNase_J', 4, NULL),
(2327, NULL, 'IPR005034', NULL, 'Dicer dimerisation domain', 'Dicer_dimerisation_dom', 3, NULL),
(2328, NULL, 'IPR003735', NULL, 'Metal-sensitive transcriptional repressor', 'Metal_Tscrpt_repr', 4, NULL),
(2329, NULL, 'IPR006674', NULL, 'HD domain', 'HD_domain', 3, NULL),
(2330, NULL, 'IPR007788', NULL, 'Glutaminyl-peptide cyclotransferase', 'QCT', 4, NULL),
(2331, NULL, 'IPR007791', NULL, 'Co-chaperone DjlA, N-terminal', 'DjlA_N', 3, NULL),
(2332, NULL, 'IPR006690', NULL, 'Outer membrane protein, OmpA-like, conserved site', 'OMPA-like_CS', 2, NULL),
(2333, NULL, 'IPR001373', NULL, 'Cullin, N-terminal', 'Cullin_N', 3, NULL),
(2334, NULL, 'IPR001144', NULL, 'Heat-labile enterotoxin, A chain', 'Enterotoxin_A', 4, NULL),
(2335, NULL, 'IPR006697', NULL, 'RecBCD enzyme subunit RecC', 'RecC', 4, NULL),
(2336, NULL, 'IPR007637', NULL, 'Restriction endonuclease, type II, DpnII-like', 'Restrct_endonuc_II_DpnII-like', 3, NULL),
(2337, NULL, 'IPR003764', NULL, 'N-acetylglucosamine-6-phosphate deacetylase', 'GlcNAc_6-P_deAcase', 4, NULL),
(2338, NULL, 'IPR001901', NULL, 'Protein translocase complex, SecE/Sec61-gamma subunit', 'Translocase_SecE/Sec61-g', 4, NULL),
(2339, NULL, 'IPR001941', NULL, 'Pro-opiomelanocortin', 'PMOC', 4, NULL),
(2340, NULL, 'IPR007639', NULL, 'Glutaminyl-tRNA synthetase, class Ib, non-specific RNA-binding domain, N-terminal', 'Gln-tRNA-synth_Ib_RNA-bd_N', 3, NULL),
(2341, NULL, 'IPR001310', NULL, 'Histidine triad (HIT) protein', 'Histidine_triad_HIT', 4, NULL),
(2342, NULL, 'IPR003757', NULL, 'Photosystem I PsaL, reaction centre subunit XI', 'PSI_PsaL', 3, NULL),
(2343, NULL, 'IPR006720', NULL, 'Dec-1 protein, C-terminal', 'DEC-1_C', 3, NULL),
(2344, NULL, 'IPR001308', NULL, 'Electron transfer flavoprotein alpha subunit/FixB', 'ETF_a/FixB', 4, NULL),
(2345, NULL, 'IPR005054', NULL, 'Nepovirus coat protein', 'Nepo_coat', 3, NULL),
(2346, NULL, 'IPR001009', NULL, 'Influenza RNA-dependent RNA polymerase subunit PA', 'PA/PA-X', 4, NULL),
(2347, NULL, 'IPR001014', NULL, 'Ribosomal protein L23/L25, conserved site', 'Ribosomal_L23/L25_CS', 2, NULL),
(2348, NULL, 'IPR001385', NULL, 'Rotavirus A/C, major capsid protein VP6', 'Rotavirus_A/C_VP6', 4, NULL),
(2349, NULL, 'IPR007644', NULL, 'RNA polymerase, beta subunit, protrusion', 'RNA_pol_bsu_protrusion', 3, NULL),
(2350, NULL, 'IPR003744', NULL, 'Queuosine precursor transporter', 'YhhQ', 4, NULL),
(2351, NULL, 'IPR001999', NULL, 'Osteonectin-like, conserved site', 'Osteonectin_CS', 2, NULL),
(2352, NULL, 'IPR010100', NULL, 'TonB-dependent copper receptor', 'TonB-dep_Cu_rcpt', 4, NULL),
(2353, NULL, 'IPR005044', NULL, 'Protein of unknown function DUF282, Caenorhabditis species', 'DUF282_CAE_spp', 4, NULL),
(2354, NULL, 'IPR007811', NULL, 'DNA-directed RNA polymerase III subunit RPC4', 'RPC4', 4, NULL),
(2355, NULL, 'IPR001900', NULL, 'Ribonuclease II/R', 'RNase_II/R', 3, NULL),
(2356, NULL, 'IPR002036', NULL, 'Endoribonuclease YbeY', 'YbeY', 4, NULL),
(2357, NULL, 'IPR001387', NULL, 'Cro/C1-type helix-turn-helix domain', 'Cro/C1-type_HTH', 3, NULL),
(2358, NULL, 'IPR005049', NULL, 'STELLO-like', 'STL-like', 4, NULL),
(2359, NULL, 'IPR003725', NULL, 'Molybdenum-binding protein ModE, N-terminal', 'ModE-bd_N', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2360, NULL, 'IPR010091', NULL, 'Thiazolinyl imide reductase', 'Thiazolinyl_imide_reductase', 4, NULL),
(2361, NULL, 'IPR007841', NULL, 'Uncharacterised protein family UPF0210', 'UPF0210', 4, NULL),
(2362, NULL, 'IPR006703', NULL, 'AIG1-type guanine nucleotide-binding (G) domain', 'G_AIG1', 3, NULL),
(2363, NULL, 'IPR007852', NULL, 'Cdc73/Parafibromin', 'Cdc73/Parafibromin', 4, NULL),
(2364, NULL, 'IPR005047', NULL, '7TM GPCR, serpentine receptor class xa (Srxa)', '7TM_GPCR_serpentine_rcpt_Srxa', 4, NULL),
(2365, NULL, 'IPR003211', NULL, 'AmiS/UreI transporter', 'AmiSUreI_transpt', 4, NULL),
(2366, NULL, 'IPR003213', NULL, 'Cytochrome c oxidase, subunit VIb', 'Cyt_c_oxidase_su6B', 4, NULL),
(2367, NULL, 'IPR007632', NULL, 'Anoctamin', 'Anoctamin', 4, NULL),
(2368, NULL, 'IPR003758', NULL, 'Tetraacyldisaccharide 4''-kinase', 'Tetraacyldisaccharide_4-kinase', 4, NULL),
(2369, NULL, 'IPR003212', NULL, 'DNA-binding 7kDa protein', 'DNA-bd_7kDa_arc', 4, NULL),
(2370, NULL, 'IPR006715', NULL, 'PEA3-type ETS-domain transcription factor, N-terminal', 'ETS_PEA3_N', 3, NULL),
(2371, NULL, 'IPR001220', NULL, 'Legume lectin domain', 'Legume_lectin_dom', 3, NULL),
(2372, NULL, 'IPR004626', NULL, 'RarD protein', 'RarD', 4, NULL),
(2373, NULL, 'IPR007630', NULL, 'RNA polymerase sigma-70 region 4', 'RNA_pol_sigma70_r4', 3, NULL),
(2374, NULL, 'IPR001214', NULL, 'SET domain', 'SET_dom', 3, NULL),
(2375, NULL, 'IPR004625', NULL, 'Pyridoxine kinase', 'PyrdxlKinase', 4, NULL),
(2376, NULL, 'IPR001898', NULL, 'Solute carrier family 13', 'SLC13A/DASS', 4, NULL),
(2377, NULL, 'IPR005042', NULL, 'TAL effector repeat', 'TAL_effector_rpt', 7, NULL),
(2378, NULL, 'IPR001020', NULL, 'Phosphotransferase system, HPr histidine phosphorylation site', 'PTS_HPr_His_P_site', 6, NULL),
(2379, NULL, 'IPR010080', NULL, 'Thioester reductase-like domain', 'Thioester_reductase-like_dom', 3, NULL),
(2380, NULL, 'IPR001995', NULL, 'Peptidase A2A, retrovirus, catalytic', 'Peptidase_A2_cat', 3, NULL),
(2381, NULL, 'IPR001349', NULL, 'Cytochrome c oxidase, subunit VIa', 'Cyt_c_oxidase_su6a', 4, NULL),
(2382, NULL, 'IPR007817', NULL, 'Pyoverdine/dityrosine biosynthesis protein', 'DIT1_PvcA', 4, NULL),
(2383, NULL, 'IPR001046', NULL, 'NRAMP family', 'NRAMP_fam', 4, NULL),
(2384, NULL, 'IPR010103', NULL, 'Clustered lipoprotein, Treponema denticola', 'Clustered_lipoprot_TREDE', 4, NULL),
(2385, NULL, 'IPR002030', NULL, 'Mitochondrial carrier UCP-like', 'Mit_uncoupling_UCP-like', 4, NULL),
(2386, NULL, 'IPR007804', NULL, 'Gas vesicle protein GvpG', 'Gas-vesicle_GvpG', 4, NULL),
(2387, NULL, 'IPR010966', NULL, 'Na(+)-translocating NADH-quinone reductase subunit B', 'NqrB', 4, NULL),
(2388, NULL, 'IPR001989', NULL, 'Radical-activating enzyme, conserved site', 'Radical_activat_CS', 2, NULL),
(2389, NULL, 'IPR000003', NULL, 'Retinoid X receptor/HNF4', 'Retinoid-X_rcpt/HNF4', 4, NULL),
(2390, NULL, 'IPR001142', NULL, 'Yeast membrane protein DUP/COS', 'DUP/COS', 4, NULL),
(2391, NULL, 'IPR001024', NULL, 'PLAT/LH2 domain', 'PLAT/LH2_dom', 3, NULL),
(2392, NULL, 'IPR007828', NULL, 'Inositol oxygenase', 'Inositol_oxygenase', 4, NULL),
(2393, NULL, 'IPR006725', NULL, 'Per os infectivity factor 2', 'PIF2', 4, NULL),
(2394, NULL, 'IPR007798', NULL, 'Ameloblastin precursor', 'Amelin', 4, NULL),
(2395, NULL, 'IPR006726', NULL, 'Para-hydroxybenzoic acid efflux pump subunit AaeB/fusaric acid resistance protein', 'PHBA_efflux_AaeB/fusaric-R', 4, NULL),
(2396, NULL, 'IPR001069', NULL, '5-Hydroxytryptamine 7 receptor', '5HT_7_rcpt', 4, NULL),
(2397, NULL, 'IPR010087', NULL, 'Flavodoxin, short chain', 'Flav_short', 4, NULL),
(2398, NULL, 'IPR003751', NULL, 'Translational regulator CsrA', 'CsrA', 4, NULL),
(2399, NULL, 'IPR005052', NULL, 'Legume-like lectin', 'Lectin_leg', 3, NULL),
(2400, NULL, 'IPR001006', NULL, 'Procollagen-lysine 5-dioxygenase, conserved site', 'Procol_lys_dOase', 2, NULL),
(2401, NULL, 'IPR001010', NULL, 'Thionin', 'Thionin', 4, NULL),
(2402, NULL, 'IPR006685', NULL, 'Mechanosensitive ion channel MscS', 'MscS_channel', 4, NULL),
(2403, NULL, 'IPR010968', NULL, 'Ion-translocating oxidoreductase complex subunit E', 'RnfE', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2404, NULL, 'IPR001116', NULL, 'Somatostatin receptor 1', 'Somatstn_rcpt_1', 4, NULL),
(2405, NULL, 'IPR007853', NULL, 'Zinc finger, DNL-type', 'Znf_DNL-typ', 3, NULL),
(2406, NULL, 'IPR003765', NULL, 'Nitrate reductase chaperone, NarJ', 'NO3_reductase_chaperone_NarJ', 4, NULL),
(2407, NULL, 'IPR001361', NULL, 'Gp90 envelope polyprotein of equine infectious anemia virus (EIAV)', 'Gp90_EIAV', 4, NULL),
(2408, NULL, 'IPR003766', NULL, 'Uronate isomerase', 'Uronate_isomerase', 4, NULL),
(2409, NULL, 'IPR007822', NULL, 'Lanthionine synthetase C-like', 'LANC-like', 4, NULL),
(2410, NULL, 'IPR010964', NULL, 'Peptidase M20A, peptidase V-related', 'M20A_pepV-rel', 4, NULL),
(2411, NULL, 'IPR001084', NULL, 'Microtubule associated protein,  tubulin-binding repeat', 'MAP_tubulin-bd_rpt', 7, NULL),
(2412, NULL, 'IPR003767', NULL, 'Malate/L-lactate dehydrogenase-like', 'Malate/L-lactate_DH-like', 4, NULL),
(2413, NULL, 'IPR002003', NULL, 'Gas vesicle protein GvpC', 'Gas-vesicle_GvpC', 7, NULL),
(2414, NULL, 'IPR006730', NULL, 'Sestrin', 'Sestrin', 4, NULL),
(2415, NULL, 'IPR006717', NULL, 'Adenovirus E1B protein, N-terminal', 'Adeno_E1B_55K_N', 3, NULL),
(2416, NULL, 'IPR003701', NULL, 'DNA double-strand break repair protein Mre11', 'Mre11', 4, NULL),
(2417, NULL, 'IPR006723', NULL, 'Islet cell autoantigen Ica1, C-terminal', 'Islet_autoAg_Ica1_C', 3, NULL),
(2418, NULL, 'IPR007842', NULL, 'HEPN domain', 'HEPN_dom', 3, NULL),
(2419, NULL, 'IPR001112', NULL, 'Endothelin receptor B', 'ETB_rcpt', 4, NULL),
(2420, NULL, 'IPR001224', NULL, 'Vasopressin V1A receptor', 'Vprs_V1A_rcpt', 4, NULL),
(2421, NULL, 'IPR001058', NULL, 'Synuclein', 'Synuclein', 4, NULL),
(2422, NULL, 'IPR006698', NULL, 'Uncharacterised protein family UPF0229', 'UPF0229', 4, NULL),
(2423, NULL, 'IPR005063', NULL, 'Transposase, IS1', 'Transposase_27', 4, NULL),
(2424, NULL, 'IPR005069', NULL, 'Nucleotide-diphospho-sugar transferase', 'Nucl-diP-sugar_transferase', 3, NULL),
(2425, NULL, 'IPR003745', NULL, 'Protein of unknown function DUF166', 'DUF166', 4, NULL),
(2426, NULL, 'IPR005068', NULL, 'Bacteriophage lambda, Stf, side tail fibre-repeat-2', 'Phage_lambda_Stf-r2', 7, NULL),
(2427, NULL, 'IPR003698', NULL, 'Lipoyl synthase', 'Lipoyl_synth', 4, NULL),
(2428, NULL, 'IPR005062', NULL, 'SAC3/GANP/THP3, conserved domain', 'SAC3/GANP/THP3_conserved', 3, NULL),
(2429, NULL, 'IPR003731', NULL, 'Dinitrogenase iron-molybdenum cofactor biosynthesis', 'Di-Nase_FeMo-co_biosynth', 3, NULL),
(2430, NULL, 'IPR001289', NULL, 'Nuclear transcription factor Y subunit A', 'NFYA', 4, NULL),
(2431, NULL, 'IPR010074', NULL, 'Phosphoribosylformylglycinamidine subunit PurL', 'PRibForGlyAmidine_synth_PurL', 4, NULL),
(2432, NULL, 'IPR007792', NULL, 'Type IV secretion system, VirB3 / TrbD / AvhB', 'T4SS_VirB3/TrbD/AvhB', 4, NULL),
(2433, NULL, 'IPR001330', NULL, 'PFTB repeat', 'PFTB_repeat', 7, NULL),
(2434, NULL, 'IPR007837', NULL, 'DNA damage-inducible protein DinB', 'DinB', 4, NULL),
(2435, NULL, 'IPR010077', NULL, 'Herpes virus tegument protein', 'Herpes_virus_tegument', 4, NULL),
(2436, NULL, 'IPR001240', NULL, 'N-(5''phosphoribosyl) anthranilate isomerase (PRAI) domain', 'PRAI_dom', 3, NULL),
(2437, NULL, 'IPR002017', NULL, 'Spectrin repeat', 'Spectrin_repeat', 7, NULL),
(2438, NULL, 'IPR007815', NULL, 'Erythromycin esterase', 'Emycin_Estase', 4, NULL),
(2439, NULL, 'IPR003702', NULL, 'Acetyl-CoA hydrolase/transferase', 'ActCoA_hydro', 4, NULL),
(2440, NULL, 'IPR001997', NULL, 'Calponin/LIMCH1', 'Calponin/LIMCH1', 4, NULL),
(2441, NULL, 'IPR001976', NULL, 'Ribosomal protein S24e', 'Ribosomal_S24e', 4, NULL),
(2442, NULL, 'IPR006696', NULL, 'Protein of unknown function DUF423', 'DUF423', 4, NULL),
(2443, NULL, 'IPR007796', NULL, 'Herpesvirus major outer envelope glycoprotein', 'Herpes_BLLF1', 4, NULL),
(2444, NULL, 'IPR001236', NULL, 'Lactate/malate dehydrogenase, N-terminal', 'Lactate/malate_DH_N', 3, NULL),
(2445, NULL, 'IPR007797', NULL, 'AF4/FMR2 family', 'AF4/FMR2', 4, NULL),
(2446, NULL, 'IPR007816', NULL, 'ResB-like domain', 'ResB-like_domain', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2447, NULL, 'IPR010971', NULL, 'Ubiquinone biosynthesis hydroxylase UbiH/COQ6', 'UbiH/COQ6', 4, NULL),
(2448, NULL, 'IPR001936', NULL, 'Ras GTPase-activating domain', 'RasGAP_dom', 3, NULL),
(2449, NULL, 'IPR006704', NULL, 'Leukocyte surface antigen CD47', 'CD47', 4, NULL),
(2450, NULL, 'IPR001256', NULL, 'GPCR, family 3, metabotropic glutamate receptor 1', 'GPCR_3_mtglu_rcpt_1', 4, NULL),
(2451, NULL, 'IPR007850', NULL, 'RCSD', 'RCSD', 4, NULL),
(2452, NULL, 'IPR010112', NULL, 'Anthranilate synthase, bacteria', 'TrpE-G_bact', 4, NULL),
(2453, NULL, 'IPR010958', NULL, 'Chorismate mutase, high GC Gram-positive bacteria/archaeal', 'Chorismate_mutase_highGC-bac', 3, NULL),
(2454, NULL, 'IPR010970', NULL, 'Cysteine desulfurase, SufS', 'Cys_dSase_SufS', 4, NULL),
(2455, NULL, 'IPR001053', NULL, 'CXC chemokine receptor 5', 'Chemokine_CXCR5', 4, NULL),
(2456, NULL, 'IPR003206', NULL, 'Diol/glycerol dehydratase, large subunit', 'Diol/glycerol_deHydtase_lsu', 3, NULL),
(2457, NULL, 'IPR007631', NULL, 'RNA polymerase sigma factor 70, non-essential domain', 'RNA_pol_sigma_70_non-ess', 3, NULL),
(2458, NULL, 'IPR003704', NULL, 'CO dehydrogenase beta subunit/acetyl-CoA synthase epsilon subunit', 'CO_DH_CoA_synth', 4, NULL),
(2459, NULL, 'IPR003739', NULL, 'Lysine-2,3-aminomutase/glutamate 2,3-aminomutase', 'Lys_aminomutase/Glu_NH3_mut', 4, NULL),
(2460, NULL, 'IPR001958', NULL, 'Tetracycline resistance protein TetA/multidrug resistance protein MdtG', 'Tet-R_TetA/multi-R_MdtG', 4, NULL),
(2461, NULL, 'IPR035895', NULL, 'HPr-like superfamily', 'HPr-like_sf', 5, NULL),
(2462, NULL, 'IPR001260', NULL, 'Coproporphyrinogen III oxidase, aerobic', 'Coprogen_oxidase_aer', 4, NULL),
(2463, NULL, 'IPR006680', NULL, 'Amidohydrolase-related', 'Amidohydro-rel', 3, NULL),
(2464, NULL, 'IPR006694', NULL, 'Fatty acid hydroxylase', 'Fatty_acid_hydroxylase', 3, NULL),
(2465, NULL, 'IPR003700', NULL, 'Ketopantoate hydroxymethyltransferase', 'Pantoate_hydroxy_MeTrfase', 4, NULL),
(2466, NULL, 'IPR033989', NULL, 'CD209-like, C-type lectin-like domain', 'CD209-like_CTLD', 3, NULL),
(2467, NULL, 'IPR003740', NULL, 'Uncharacterised membrane protein YitT', 'YitT', 4, NULL),
(2468, NULL, 'IPR004619', NULL, 'Type III pantothenate kinase', 'Type_III_PanK', 4, NULL),
(2469, NULL, 'IPR010099', NULL, 'Epimerase family protein SDR39U1', 'SDR39U1', 4, NULL),
(2470, NULL, 'IPR003716', NULL, 'DNA-directed RNA polymerase, omega subunit', 'DNA-dir_RNA_pol_omega', 4, NULL),
(2471, NULL, 'IPR010101', NULL, 'TonB-dependent vitamin B12 transporter BtuB', 'B12_transptr_BtuB', 4, NULL),
(2472, NULL, 'IPR003726', NULL, 'Homocysteine-binding domain', 'HCY_dom', 3, NULL),
(2473, NULL, 'IPR001902', NULL, 'SLC26A/SulP transporter', 'SLC26A/SulP_fam', 4, NULL),
(2474, NULL, 'IPR001973', NULL, 'P2Y6 purinoceptor', 'P2Y6_rcpt', 4, NULL),
(2475, NULL, 'IPR001103', NULL, 'Androgen receptor', 'Andrgn_rcpt', 4, NULL),
(2476, NULL, 'IPR007799', NULL, 'Baculovirus p47', 'Baculo_p47', 4, NULL),
(2477, NULL, 'IPR007640', NULL, 'Herpesvirus capsid vertex component 1', 'UL17-like', 4, NULL),
(2478, NULL, 'IPR002002', NULL, 'Octopamine receptor', 'Octopmn_rcpt', 4, NULL),
(2479, NULL, 'IPR001940', NULL, 'Peptidase S1C', 'Peptidase_S1C', 4, NULL),
(2480, NULL, 'IPR002020', NULL, 'Citrate synthase', 'Citrate_synthase', 4, NULL),
(2481, NULL, 'IPR010097', NULL, 'Malate dehydrogenase, type 1', 'Malate_DH_type1', 4, NULL),
(2482, NULL, 'IPR001368', NULL, 'TNFR/NGFR cysteine-rich region', 'TNFR/NGFR_Cys_rich_reg', 3, NULL),
(2483, NULL, 'IPR007838', NULL, 'Cell division protein ZapA-like', 'Cell_div_ZapA-like', 4, NULL),
(2484, NULL, 'IPR002024', NULL, 'Bacterioferritin', 'Bacterioferritin', 4, NULL),
(2485, NULL, 'IPR001945', NULL, 'RAD3/XPD family', 'RAD3/XPD', 4, NULL),
(2486, NULL, 'IPR004620', NULL, '5,10-methylenetetrahydrofolate reductase', 'MTHF_reductase_bac', 4, NULL),
(2487, NULL, 'IPR010105', NULL, 'TonB-dependent siderophore receptor', 'TonB_sidphr_rcpt', 4, NULL),
(2488, NULL, 'IPR001017', NULL, 'Dehydrogenase, E1 component', 'DH_E1', 3, NULL),
(2489, NULL, 'IPR001222', NULL, 'Zinc finger, TFIIS-type', 'Znf_TFIIS', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2490, NULL, 'IPR001244', NULL, 'Prostaglandin DP receptor', 'Prostglndn_DP_rcpt', 4, NULL),
(2491, NULL, 'IPR001079', NULL, 'Galectin, carbohydrate recognition domain', 'Galectin_CRD', 3, NULL),
(2492, NULL, 'IPR006682', NULL, 'Conserved hypothetical protein CHP00267', 'CHP00267', 4, NULL),
(2493, NULL, 'IPR007634', NULL, 'RNA polymerase sigma factor 54, DNA-binding', 'RNA_pol_sigma_54_DNA-bd', 3, NULL),
(2494, NULL, 'IPR005058', NULL, 'Poxvirus P4A', 'Poxvirus_P4A', 4, NULL),
(2495, NULL, 'IPR005039', NULL, 'Antirepressor protein, C-terminal', 'Ant_C', 3, NULL),
(2496, NULL, 'IPR004627', NULL, 'L-threonine 3-dehydrogenase', 'L-Threonine_3-DHase', 4, NULL),
(2497, NULL, 'IPR007802', NULL, 'Cytochrome b6-f complex subunit 6', 'Cyt_b6/f_cplx_su6', 4, NULL),
(2498, NULL, 'IPR002014', NULL, 'VHS domain', 'VHS_dom', 3, NULL),
(2499, NULL, 'IPR006721', NULL, 'ATP synthase, F1 complex, epsilon  subunit, mitochondrial', 'ATP_synth_F1_esu_mt', 4, NULL),
(2500, NULL, 'IPR007846', NULL, 'RNA-recognition motif (RRM) Nup35-type domain', 'RRM_NUP35_dom', 3, NULL),
(2501, NULL, 'IPR006083', NULL, 'Phosphoribulokinase/uridine kinase', 'PRK/URK', 3, NULL),
(2502, NULL, 'IPR006079', NULL, 'Lantibiotic, Type A, Bacillales-type', 'Lantibiotic_typ-A_Bacillales', 4, NULL),
(2503, NULL, 'IPR002650', NULL, 'Sulphate adenylyltransferase', 'Sulphate_adenylyltransferase', 3, NULL),
(2504, NULL, 'IPR005598', NULL, 'ATP synthase protein I', 'ATP_synth_I', 4, NULL),
(2505, NULL, 'IPR031353', NULL, 'NACHT-NTPase, sigma domain', 'NACHT_sigma', 3, NULL),
(2506, NULL, 'IPR000012', NULL, 'Retroviral VpR/VpX protein', 'RetroV_VpR/X', 4, NULL),
(2507, NULL, 'IPR005594', NULL, 'Trimeric autotransporter adhesin YadA-like, C-terminal membrane anchor domain', 'YadA_C', 3, NULL),
(2508, NULL, 'IPR031355', NULL, 'Protein of unknown function DUF5102', 'DUF5102', 4, NULL),
(2509, NULL, 'IPR005631', NULL, 'Flavinator of succinate dehydrogenase', 'SDH', 4, NULL),
(2510, NULL, 'IPR004963', NULL, 'Pectinacetylesterase/NOTUM', 'PAE/NOTUM', 4, NULL),
(2511, NULL, 'IPR017921', NULL, 'Zinc finger, CTCHY-type', 'Znf_CTCHY', 3, NULL),
(2512, NULL, 'IPR030692', NULL, 'Protein NDRG3', 'NDRG3', 4, NULL),
(2513, NULL, 'IPR002413', NULL, 'Venom allergen 5-like', 'V5_allergen-like', 4, NULL),
(2514, NULL, 'IPR004143', NULL, 'Biotinyl protein ligase (BPL) and lipoyl protein ligase (LPL), catalytic domain', 'BPL_LPL_catalytic', 3, NULL),
(2515, NULL, 'IPR006086', NULL, 'XPG-I domain', 'XPG-I_dom', 3, NULL),
(2516, NULL, 'IPR003108', NULL, 'GAR domain', 'GAR_dom', 3, NULL),
(2517, NULL, 'IPR004964', NULL, 'Phenazine biosynthesis protein A/B', 'PhzA_PhzB', 4, NULL),
(2518, NULL, 'IPR005656', NULL, 'MmgE/PrpD', 'MmgE_PrpD', 4, NULL),
(2519, NULL, 'IPR004955', NULL, 'Baculovirus Gp64, envelope glycoprotein', 'Baculovirus_Gp64', 4, NULL),
(2520, NULL, 'IPR005601', NULL, 'Tail fibre protein p36', 'Tail_fibre_p36', 4, NULL),
(2521, NULL, 'IPR004141', NULL, 'Strictosidine synthase', 'Strictosidine_synthase', 4, NULL),
(2522, NULL, 'IPR007610', NULL, 'Broad bean mottle virus, Gp1, N-terminal', 'BBMV_Gp1_N', 3, NULL),
(2523, NULL, 'IPR003138', NULL, 'Picornavirus coat protein VP4', 'Pico_P1A', 4, NULL),
(2524, NULL, 'IPR004139', NULL, 'Glycosyl transferase, family 13', 'Glyco_trans_13', 4, NULL),
(2525, NULL, 'IPR001033', NULL, 'Alpha-catenin', 'Alpha_catenin', 4, NULL),
(2526, NULL, 'IPR002675', NULL, 'Ribosomal protein L38e', 'Ribosomal_L38e', 4, NULL),
(2527, NULL, 'IPR007585', NULL, 'Poxvirus E2', 'Poxvirus_E2', 4, NULL),
(2528, NULL, 'IPR003774', NULL, 'Protein of unknown function UPF0301', 'UPF0301', 4, NULL),
(2529, NULL, 'IPR005632', NULL, 'Chaperone protein Skp', 'Chaperone_Skp', 4, NULL),
(2530, NULL, 'IPR002686', NULL, 'Transposase IS200-like', 'Transposase_17', 3, NULL),
(2531, NULL, 'IPR005653', NULL, 'Organic solvent tolerance-like, N-terminal', 'OstA-like_N', 3, NULL),
(2532, NULL, 'IPR006093', NULL, 'Oxygen oxidoreductase covalent FAD-binding site', 'Oxy_OxRdtase_FAD_BS', 1, NULL),
(2533, NULL, 'IPR003183', NULL, 'Methyl-coenzyme M reductase, alpha subunit, N-terminal', 'Me_CoM_Rdtase_asu_N', 3, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2534, NULL, 'IPR000110', NULL, 'Ribosomal protein S1', 'Ribosomal_S1', 4, NULL),
(2535, NULL, 'IPR004202', NULL, 'Cytochrome c oxidase subunit VIIc', 'COX7C/Cox8', 4, NULL),
(2536, NULL, 'IPR002680', NULL, 'Alternative oxidase', 'AOX', 4, NULL),
(2537, NULL, 'IPR017945', NULL, 'DHBP synthase RibB-like alpha/beta domain superfamily', 'DHBP_synth_RibB-like_a/b_dom', 5, NULL),
(2538, NULL, 'IPR006074', NULL, 'GTP1/OBG, conserved site', 'GTP1-OBG_CS', 2, NULL),
(2539, NULL, 'IPR007615', NULL, 'Adenovirus E4 30/34kDa protein', 'Adenovirus_E4_30/34', 4, NULL),
(2540, NULL, 'IPR003134', NULL, 'Hs1/Cortactin', 'Hs1_Cortactin', 7, NULL),
(2541, NULL, 'IPR006060', NULL, 'Maltose/Cyclodextrin ABC transporter, substrate-binding protein', 'Maltose/Cyclodextrin-bd', 4, NULL),
(2542, NULL, 'IPR006076', NULL, 'FAD dependent oxidoreductase', 'FAD-dep_OxRdtase', 3, NULL),
(2543, NULL, 'IPR007625', NULL, 'Herpesvirus UL51', 'Herpes_UL51', 4, NULL),
(2544, NULL, 'IPR006058', NULL, '2Fe-2S ferredoxin, iron-sulphur binding site', '2Fe2S_fd_BS', 1, NULL),
(2545, NULL, 'IPR006099', NULL, 'Methylmalonyl-CoA mutase, alpha/beta chain, catalytic', 'MeMalonylCoA_mutase_a/b_cat', 3, NULL),
(2546, NULL, 'IPR002641', NULL, 'Patatin-like phospholipase domain', 'PNPLA_dom', 3, NULL),
(2547, NULL, 'IPR002630', NULL, 'Orbivirus non-structural protein NS1/hydrophobic tubular protein', 'Orbi_NS1', 4, NULL),
(2548, NULL, 'IPR004628', NULL, 'Mannonate dehydratase', 'Man_deHydtase', 4, NULL),
(2549, NULL, 'IPR005608', NULL, 'Adenovirus core-capsid bridging protein V', 'Adeno_V', 4, NULL),
(2550, NULL, 'IPR000023', NULL, 'Phosphofructokinase domain', 'Phosphofructokinase_dom', 3, NULL),
(2551, NULL, 'IPR003141', NULL, 'Polymerase/histidinol phosphatase, N-terminal', 'Pol/His_phosphatase_N', 3, NULL),
(2552, NULL, 'IPR003178', NULL, 'Methyl-coenzyme M reductase, gamma subunit', 'Me_CoM_Rdtase_gsu', 4, NULL),
(2553, NULL, 'IPR004172', NULL, 'L27 domain', 'L27_dom', 3, NULL),
(2554, NULL, 'IPR002635', NULL, 'Chorion protein', 'Chorion', 4, NULL),
(2555, NULL, 'IPR017892', NULL, 'Protein kinase, C-terminal', 'Pkinase_C', 3, NULL),
(2556, NULL, 'IPR003225', NULL, 'Viral protein of unknown function DUF325', 'DUF325', 4, NULL),
(2557, NULL, 'IPR003114', NULL, 'Phox-associated domain', 'Phox_assoc', 3, NULL),
(2558, NULL, 'IPR001032', NULL, 'Leghaemoglobin', 'Leghaemoglobin', 4, NULL),
(2559, NULL, 'IPR000054', NULL, 'Ribosomal protein L31e', 'Ribosomal_L31e', 4, NULL),
(2560, NULL, 'IPR005646', NULL, 'Flagellar assembly protein A', 'FapA', 4, NULL),
(2561, NULL, 'IPR002415', NULL, 'H/ACA ribonucleoprotein complex, subunit Nhp2, eukaryote', 'H/ACA_rnp_Nhp2_euk', 4, NULL),
(2562, NULL, 'IPR006097', NULL, 'Glutamate/phenylalanine/leucine/valine dehydrogenase, dimerisation domain', 'Glu/Leu/Phe/Val_DH_dimer_dom', 3, NULL),
(2563, NULL, 'IPR004658', NULL, 'Outer membrane lipoprotein Slp', 'OMP_Slp', 4, NULL),
(2564, NULL, 'IPR004197', NULL, 'Cellulase,  Ig-like domain', 'Cellulase_Ig-like', 3, NULL),
(2565, NULL, 'IPR007587', NULL, 'SIT4 phosphatase-associated protein family', 'SAPS', 4, NULL),
(2566, NULL, 'IPR004651', NULL, 'Histidine biosynthesis, HisF', 'HisF', 4, NULL),
(2567, NULL, 'IPR003263', NULL, 'CD40 ligand', 'CD40L', 4, NULL),
(2568, NULL, 'IPR004632', NULL, '4-aminobutyrate aminotransferase, bacterial', '4NH2But_aminotransferase_bac', 4, NULL),
(2569, NULL, 'IPR002653', NULL, 'Zinc finger, A20-type', 'Znf_A20', 3, NULL),
(2570, NULL, 'IPR006070', NULL, 'YrdC-like domain', 'YrdC-like_dom', 3, NULL),
(2571, NULL, 'IPR004132', NULL, 'Kinetoplastid membrane protein 11', 'KMP11', 4, NULL),
(2572, NULL, 'IPR004631', NULL, '4-aminobutyrate aminotransferase, eukaryotic', '4NH2But_aminotransferase_euk', 4, NULL),
(2573, NULL, 'IPR004957', NULL, 'Gag polyprotein', 'Gag', 4, NULL),
(2574, NULL, 'IPR004179', NULL, 'Sec63 domain', 'Sec63-dom', 3, NULL),
(2575, NULL, 'IPR003111', NULL, 'Lon, substrate-binding domain', 'Lon_substr-bd', 3, NULL),
(2576, NULL, 'IPR002655', NULL, 'Acyl-CoA oxidase, C-terminal', 'Acyl-CoA_oxidase_C', 3, NULL),
(2577, NULL, 'IPR002690', NULL, 'Herpesvirus capsid protein 2', 'Herpes_capsid_2', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2578, NULL, 'IPR004959', NULL, 'Bacterial effector protein IpgB-like', 'Bac_effector_IpgB-like', 4, NULL),
(2579, NULL, 'IPR030863', NULL, '1,4-dihydroxy-2-naphthoyl-CoA hydrolase, MenI', 'MenI', 4, NULL),
(2580, NULL, 'IPR004181', NULL, 'Zinc finger, MIZ-type', 'Znf_MIZ', 3, NULL),
(2581, NULL, 'IPR000059', NULL, 'NUDIX hydrolase, NudL, conserved site', 'NUDIX_hydrolase_NudL_CS', 2, NULL),
(2582, NULL, 'IPR004151', NULL, '7TM GPCR, serpentine receptor class e (Sre)', '7TM_GPCR_serpentine_rcpt_Sre', 4, NULL),
(2583, NULL, 'IPR005649', NULL, 'Chorion 2', 'Chorion_2', 4, NULL),
(2584, NULL, 'IPR004653', NULL, 'tRNA-dihydrouridine(20/20a) synthase', 'DusA', 4, NULL),
(2585, NULL, 'IPR004193', NULL, 'Glycoside hydrolase, family 13, N-terminal', 'Glyco_hydro_13_N', 3, NULL),
(2586, NULL, 'IPR006065', NULL, 'Glycoside hydrolase, family 41', 'Glyco_hydro_41', 4, NULL),
(2587, NULL, 'IPR002637', NULL, 'Ham1-like protein', 'Ham1p-like', 4, NULL),
(2588, NULL, 'IPR004648', NULL, 'Tetrapeptide transporter, OPT1/isp4', 'Oligpept_transpt', 4, NULL),
(2589, NULL, 'IPR000010', NULL, 'Cystatin domain', 'Cystatin_dom', 3, NULL),
(2590, NULL, 'IPR002681', NULL, 'Coat protein, Ilarvirus', 'Coat_Ilarvirus', 4, NULL),
(2591, NULL, 'IPR005612', NULL, 'CCAAT-binding factor', 'CCAAT-binding_factor', 3, NULL),
(2592, NULL, 'IPR004960', NULL, 'Bacterial lipid A biosynthesis acyltransferase', 'LipA_acyltrans', 4, NULL),
(2593, NULL, 'IPR004633', NULL, 'Na/Pi-cotransporter II-related/YqeW-like protein', 'NaPi_cotrn-rel/YqeW-like', 4, NULL),
(2594, NULL, 'IPR001028', NULL, 'Glycoprotein phospholipase D', 'Gprt_PLipase_D', 4, NULL),
(2595, NULL, 'IPR006098', NULL, 'Methylmalonyl-CoA mutase, alpha chain, catalytic', 'MMCoA_mutase_a_cat', 3, NULL),
(2596, NULL, 'IPR002689', NULL, 'Cytomegalovirus glycoprotein L', 'Cytomegalo_gL', 4, NULL),
(2597, NULL, 'IPR030690', NULL, 'Protein NDRG2', 'NDRG2', 4, NULL),
(2598, NULL, 'IPR003109', NULL, 'GoLoco motif', 'GoLoco_motif', 2, NULL),
(2599, NULL, 'IPR006047', NULL, 'Glycosyl hydrolase, family 13, catalytic domain', 'Glyco_hydro_13_cat_dom', 3, NULL),
(2600, NULL, 'IPR000092', NULL, 'Polyprenyl synthetase', 'Polyprenyl_synt', 4, NULL),
(2601, NULL, 'IPR006733', NULL, 'Baculovirus occlusion-derived virus envelope, E56', 'Baculo_ODV-E56', 4, NULL),
(2602, NULL, 'IPR004656', NULL, 'Putative condensing enzyme FabH-related', 'FabH-rel', 4, NULL),
(2603, NULL, 'IPR000079', NULL, 'High mobility group protein HMGN', 'HMGN_fam', 4, NULL),
(2604, NULL, 'IPR000069', NULL, 'Envelope glycoprotein M, flavivirus', 'Env_glycoprot_M_flavivir', 3, NULL),
(2605, NULL, 'IPR006082', NULL, 'Phosphoribulokinase', 'PRK', 4, NULL),
(2606, NULL, 'IPR004642', NULL, 'Serine dehydratase, alpha subunit', 'Ser_deHydtase_asu', 4, NULL),
(2607, NULL, 'IPR001036', NULL, 'Acriflavin resistance protein', 'Acrflvin-R', 4, NULL),
(2608, NULL, 'IPR005611', NULL, 'Amb V Allergen', 'Amb_V_allergen', 4, NULL),
(2609, NULL, 'IPR007605', NULL, 'Microvirus lysis protein (E)', 'Micrvir_lysisE', 4, NULL),
(2610, NULL, 'IPR023211', NULL, 'DNA polymerase, palm domain superfamily', 'DNA_pol_palm_dom_sf', 5, NULL),
(2611, NULL, 'IPR002420', NULL, 'C2 phosphatidylinositol 3-kinase-type domain', 'PI3K-type_C2_dom', 3, NULL),
(2612, NULL, 'IPR000093', NULL, 'DNA recombination protein RecR', 'DNA_Rcmb_RecR', 4, NULL),
(2613, NULL, 'IPR007586', NULL, 'Poxvirus VP8/L4R, nucleic acid binding', 'VP8_pox_nuc-bd', 4, NULL),
(2614, NULL, 'IPR000070', NULL, 'Pectinesterase, catalytic', 'Pectinesterase_cat', 3, NULL),
(2615, NULL, 'IPR006062', NULL, 'Histidine biosynthesis protein', 'His_biosynth', 4, NULL),
(2616, NULL, 'IPR000011', NULL, 'Ubiquitin/SUMO-activating enzyme E1', 'UBQ/SUMO-activ_enz_E1-like', 4, NULL),
(2617, NULL, 'IPR005650', NULL, 'BlaI transcriptional regulatory family', 'BlaI_family', 4, NULL),
(2618, NULL, 'IPR007606', NULL, 'Type III secretion system effector', 'T3SS_effector', 4, NULL),
(2619, NULL, 'IPR004961', NULL, 'Lipase chaperone', 'Lipase_chaperone', 4, NULL),
(2620, NULL, 'IPR005610', NULL, 'Photosystem II Psb28, class 1', 'PSII_Psb28_class-1', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2621, NULL, 'IPR002669', NULL, 'Urease accessory protein UreD', 'UreD', 4, NULL),
(2622, NULL, 'IPR006053', NULL, 'Tumour necrosis factor', 'TNF', 4, NULL),
(2623, NULL, 'IPR003228', NULL, 'Transcription initiation factor TFIID subunit 12 domain', 'TFIID_TAF12_dom', 3, NULL),
(2624, NULL, 'IPR007600', NULL, 'Baculovirus polyhedron envelope protein PEP, N-terminal', 'Baculo_PEP_N', 3, NULL),
(2625, NULL, 'IPR007623', NULL, 'Brain-expressed X-linked protein', 'BEX', 4, NULL),
(2626, NULL, 'IPR006080', NULL, 'Beta/alpha defensin', 'Defensin_beta/alpha', 3, NULL),
(2627, NULL, 'IPR004177', NULL, 'DDHD domain', 'DDHD_dom', 3, NULL),
(2628, NULL, 'IPR004660', NULL, 'Pyruvate dehydrogenase E1 component', 'PDH_E1', 4, NULL),
(2629, NULL, 'IPR004646', NULL, 'Fe-S hydro-lyase, tartrate dehydratase alpha-type, catalytic domain', 'Fe-S_hydro-lyase_TtdA-typ_cat', 3, NULL),
(2630, NULL, 'IPR002672', NULL, 'Ribosomal protein L28e', 'Ribosomal_L28e', 4, NULL),
(2631, NULL, 'IPR002640', NULL, 'Arylesterase', 'Arylesterase', 4, NULL),
(2632, NULL, 'IPR004954', NULL, 'Putative mucin/carbohydrate-binding domain', 'Mucin-bd', 3, NULL),
(2633, NULL, 'IPR006091', NULL, 'Acyl-CoA oxidase/dehydrogenase, central domain', 'Acyl-CoA_Oxase/DH_cen-dom', 3, NULL),
(2634, NULL, 'IPR000052', NULL, 'Potex/carlavirus coat protein', 'Pltvir_coat', 3, NULL),
(2635, NULL, 'IPR004137', NULL, 'Hydroxylamine reductase/Ni-containing CO dehydrogenase', 'HCP/CODH', 4, NULL),
(2636, NULL, 'IPR006052', NULL, 'Tumour necrosis factor domain', 'TNF_dom', 3, NULL),
(2637, NULL, 'IPR003245', NULL, 'Phytocyanin domain', 'Phytocyanin_dom', 3, NULL),
(2638, NULL, 'IPR005593', NULL, 'Xylulose 5-phosphate/Fructose 6-phosphate phosphoketolase', 'Xul5P/Fru6P_PKetolase', 4, NULL),
(2639, NULL, 'IPR005600', NULL, 'Gal4 dimerisation domain', 'Gal4_dimer_dom', 3, NULL),
(2640, NULL, 'IPR002636', NULL, 'Protein from unkown function DUF29', 'DUF29', 4, NULL),
(2641, NULL, 'IPR000018', NULL, 'P2Y purinoceptor 4', 'P2Y4', 4, NULL),
(2642, NULL, 'IPR004952', NULL, 'Uncharacterised protein family UPF0460', 'UPF0460', 4, NULL),
(2643, NULL, 'IPR006731', NULL, 'Herpesvirus phosphoprotein 85 (HHV6-7 U14/HCMV UL25)', 'Herpes_pp85', 4, NULL),
(2644, NULL, 'IPR004159', NULL, 'Putative S-adenosyl-L-methionine-dependent methyltransferase', 'Put_SAM_MeTrfase', 4, NULL),
(2645, NULL, 'IPR004162', NULL, 'E3 ubiquitin-protein ligase SINA-like, animal', 'SINA-like_animal', 4, NULL),
(2646, NULL, 'IPR004189', NULL, 'Bacteriophage Mu, transposase', 'Phage_Mu_transposase', 3, NULL),
(2647, NULL, 'IPR005636', NULL, 'DTW', 'DTW', 3, NULL),
(2648, NULL, 'IPR000057', NULL, 'CXC chemokine receptor 2', 'Chemokine_CXCR2', 4, NULL),
(2649, NULL, 'IPR000044', NULL, 'Uncharacterised lipoprotein MG045', 'Uncharacterised_lipoprot_MG045', 4, NULL),
(2650, NULL, 'IPR000111', NULL, 'Glycoside hydrolase family 27/36, conserved site', 'Glyco_hydro_27/36_CS', 2, NULL),
(2651, NULL, 'IPR005630', NULL, 'Terpene synthase, metal-binding domain', 'Terpene_synthase_metal-bd', 3, NULL),
(2652, NULL, 'IPR004671', NULL, 'Na+/H+ antiporter NhaB', 'Na+/H+_antiporter_NhaB', 4, NULL),
(2653, NULL, 'IPR006101', NULL, 'Glycoside hydrolase, family 2', 'Glyco_hydro_2', 4, NULL),
(2654, NULL, 'IPR003142', NULL, 'Biotin protein ligase, C-terminal', 'BPL_C', 3, NULL),
(2655, NULL, 'IPR005652', NULL, 'Photosynthetic reaction centre, H subunit', 'Photo_RC_H', 4, NULL),
(2656, NULL, 'IPR004194', NULL, 'Restriction endonuclease, type II, BamHI', 'Restrct_endonuc_II_BamHI', 4, NULL),
(2657, NULL, 'IPR004166', NULL, 'MHCK/EF2 kinase', 'MHCK_EF2_kinase', 3, NULL),
(2658, NULL, 'IPR004188', NULL, 'Phenylalanine-tRNA ligase, class II, N-terminal', 'Phe-tRNA_ligase_II_N', 3, NULL),
(2659, NULL, 'IPR005590', NULL, 'Protein of unknown function DUF333', 'DUF333', 4, NULL),
(2660, NULL, 'IPR005595', NULL, 'Translocon-associated protein (TRAP), alpha subunit', 'TRAP_alpha', 4, NULL),
(2661, NULL, 'IPR000061', NULL, 'SWAP/Surp', 'Surp', 3, NULL),
(2662, NULL, 'IPR006044', NULL, '11-S seed storage protein, plant', '11S_seedstore_pln', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2663, NULL, 'IPR007607', NULL, 'Bactofilin A/B', 'BacA/B', 4, NULL),
(2664, NULL, 'IPR007619', NULL, 'Herpesvirus U44', 'Herpes_U44', 4, NULL),
(2665, NULL, 'IPR002678', NULL, 'GTP cyclohydrolase 1 type 2/Nif3', 'GTP_cyclohydrolase_I/Nif3', 4, NULL),
(2666, NULL, 'IPR003125', NULL, 'Domain of unknown function WSN', 'WSN', 3, NULL),
(2667, NULL, 'IPR000036', NULL, 'Peptidase A26, omptin', 'Peptidase_A26_omptin', 4, NULL),
(2668, NULL, 'IPR002677', NULL, 'Ribosomal protein L32p', 'Ribosomal_L32p', 4, NULL),
(2669, NULL, 'IPR000037', NULL, 'SsrA-binding protein', 'SsrA-bd_prot', 4, NULL),
(2670, NULL, 'IPR000086', NULL, 'NUDIX hydrolase domain', 'NUDIX_hydrolase_dom', 3, NULL),
(2671, NULL, 'IPR034450', NULL, 'Adipogenesis regulatory factor', 'ADIRF', 4, NULL),
(2672, NULL, 'IPR004966', NULL, 'Pox virus Ag35 surface protein', 'Pox_Ag35', 4, NULL),
(2673, NULL, 'IPR005589', NULL, 'Alternative ribosome-rescue factor A', 'ArfA', 4, NULL),
(2674, NULL, 'IPR006045', NULL, 'Cupin 1', 'Cupin_1', 3, NULL),
(2675, NULL, 'IPR003231', NULL, 'Acyl carrier protein (ACP)', 'Acyl_carrier', 4, NULL),
(2676, NULL, 'IPR004133', NULL, 'DAN', 'DAN', 3, NULL),
(2677, NULL, 'IPR006034', NULL, 'Asparaginase/glutaminase-like', 'Asparaginase/glutaminase-like', 4, NULL),
(2678, NULL, 'IPR002618', NULL, 'UDPGP family', 'UDPGP_fam', 4, NULL),
(2679, NULL, 'IPR000047', NULL, 'Helix-turn-helix motif', 'HTH_motif', 2, NULL),
(2680, NULL, 'IPR002645', NULL, 'STAS domain', 'STAS_dom', 3, NULL),
(2681, NULL, 'IPR000008', NULL, 'C2 domain', 'C2_dom', 3, NULL),
(2682, NULL, 'IPR017907', NULL, 'Zinc finger, RING-type, conserved site', 'Znf_RING_CS', 2, NULL),
(2683, NULL, 'IPR004155', NULL, 'PBS lyase HEAT-like repeat', 'PBS_lyase_HEAT', 7, NULL),
(2684, NULL, 'IPR000049', NULL, 'Electron transfer flavoprotein, beta-subunit, conserved site', 'ET-Flavoprotein_bsu_CS', 2, NULL),
(2685, NULL, 'IPR005647', NULL, 'Meiotic nuclear division protein 1', 'Mnd1', 4, NULL),
(2686, NULL, 'IPR005591', NULL, 'Nitrate reductase cytochrome c-type subunit NapB', 'NapB', 4, NULL),
(2687, NULL, 'IPR004158', NULL, 'Protein of unknown function DUF247, plant', 'DUF247_pln', 4, NULL),
(2688, NULL, 'IPR007622', NULL, 'Herpesvirus UL55', 'Herpes_UL55', 4, NULL),
(2689, NULL, 'IPR006048', NULL, 'Alpha-amylase/branching enzyme, C-terminal all beta', 'A-amylase/branching_C', 3, NULL),
(2690, NULL, 'IPR003127', NULL, 'SoHo domain', 'SoHo_dom', 3, NULL),
(2691, NULL, 'IPR017948', NULL, 'Transforming growth factor beta, conserved site', 'TGFb_CS', 2, NULL),
(2692, NULL, 'IPR004149', NULL, 'Zinc-finger, NAD-dependent DNA ligase C4-type', 'Znf_DNAligase_C4', 3, NULL),
(2693, NULL, 'IPR006046', NULL, 'Alpha amylase', 'Alpha_amylase', 4, NULL),
(2694, NULL, 'IPR017916', NULL, 'Steadiness box (SB) domain', 'SB_dom', 3, NULL),
(2695, NULL, 'IPR005641', NULL, 'Hexon-associated protein IX', 'Hexon_assoc_IX', 4, NULL),
(2696, NULL, 'IPR031356', NULL, 'Stealth protein CR4, conserved region 4', 'Stealth_CR4', 3, NULL),
(2697, NULL, 'IPR005606', NULL, 'Sec20', 'Sec20', 4, NULL),
(2698, NULL, 'IPR006096', NULL, 'Glutamate/phenylalanine/leucine/valine dehydrogenase, C-terminal', 'Glu/Leu/Phe/Val_DH_C', 3, NULL),
(2699, NULL, 'IPR004630', NULL, 'Uncharacterised protein family UPF0324, bacteria', 'UPF0324_bac', 4, NULL),
(2700, NULL, 'IPR005603', NULL, 'Coronavirus nonstructural protein NS4', 'Corona_NS4', 4, NULL),
(2701, NULL, 'IPR000090', NULL, 'Flagellar motor switch protein FliG', 'Flg_Motor_Flig', 4, NULL),
(2702, NULL, 'IPR003122', NULL, 'Chemotaxis methyl-accepting receptor Tar-related, ligand-binding', 'Tar_rcpt_lig-bd', 3, NULL),
(2703, NULL, 'IPR004644', NULL, 'Iron-sulphur-dependent L-serine dehydratase single chain form', 'Fe-S_L-Ser_mono', 4, NULL),
(2704, NULL, 'IPR000025', NULL, 'Melatonin receptor family', 'Melatonin_rcpt', 4, NULL),
(2705, NULL, 'IPR005644', NULL, 'NolW-like', 'NolW-like', 3, NULL),
(2706, NULL, 'IPR004641', NULL, 'Ribonuclease HIII', 'RNase_HIII', 4, NULL),
(2707, NULL, 'IPR031351', NULL, 'NWD2, HET-s N-terminal domain', 'NWD2_N', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2708, NULL, 'IPR006094', NULL, 'FAD linked oxidase, N-terminal', 'Oxid_FAD_bind_N', 3, NULL),
(2709, NULL, 'IPR004958', NULL, 'Herpesvirus UL4', 'Herpes_UL4', 4, NULL),
(2710, NULL, 'IPR002642', NULL, 'Lysophospholipase, catalytic domain', 'LysoPLipase_cat_dom', 3, NULL),
(2711, NULL, 'IPR004161', NULL, 'Translation elongation factor EFTu-like, domain 2', 'EFTu-like_2', 3, NULL),
(2712, NULL, 'IPR005626', NULL, 'Recombinase Flp protein, C-terminal', 'Recombinase_Flp_C', 3, NULL),
(2713, NULL, 'IPR007601', NULL, 'Baculovirus polyhedron envelope protein PEP, C-terminal', 'Baculo_PEP_C', 3, NULL),
(2714, NULL, 'IPR000101', NULL, 'Gamma-glutamyltranspeptidase', 'GGT_peptidase', 4, NULL),
(2715, NULL, 'IPR002648', NULL, 'Adenylate dimethylallyltransferase', 'Tzs', 4, NULL),
(2716, NULL, 'IPR007596', NULL, 'Viral A-type inclusion protein repeat', 'Pox_A_type_inc', 7, NULL),
(2717, NULL, 'IPR004634', NULL, 'Peptidase S49, protease IV', 'Pept_S49_pIV', 4, NULL),
(2718, NULL, 'IPR004167', NULL, 'Peripheral subunit-binding domain', 'PSBD', 3, NULL),
(2719, NULL, 'IPR004178', NULL, 'Calmodulin-binding domain', 'CaM-bd_dom', 3, NULL),
(2720, NULL, 'IPR004659', NULL, 'Ribonuclease E/G', 'RNase_E/G', 4, NULL),
(2721, NULL, 'IPR004154', NULL, 'Anticodon-binding', 'Anticodon-bd', 3, NULL),
(2722, NULL, 'IPR006056', NULL, 'RidA family', 'RidA', 4, NULL),
(2723, NULL, 'IPR005617', NULL, 'Groucho/TLE, N-terminal Q-rich domain', 'Groucho/TLE_N', 3, NULL),
(2724, NULL, 'IPR004650', NULL, 'HisA/HisF-like protein, archaeal', 'HisA/F-archaeal', 4, NULL),
(2725, NULL, 'IPR004185', NULL, 'Glycoside hydrolase, family 13, N-terminal Ig-like domain', 'Glyco_hydro_13_lg-like_dom', 3, NULL),
(2726, NULL, 'IPR005633', NULL, 'Ribosomal protein L23/L25, N-terminal', 'Ribosomal_L23/L25_N', 3, NULL),
(2727, NULL, 'IPR005645', NULL, 'Serine hydrolase FSH', 'FSH_dom', 3, NULL),
(2728, NULL, 'IPR005635', NULL, 'Inner centromere protein, ARK-binding domain', 'Inner_centromere_prot_ARK-bd', 3, NULL),
(2729, NULL, 'IPR034452', NULL, 'Transmembrane protein PVRIG', 'TM_PVRIG', 4, NULL),
(2730, NULL, 'IPR007616', NULL, 'Herpesvirus U59/UL88', 'Herpes_U59/UL88', 4, NULL),
(2731, NULL, 'IPR004183', NULL, 'Extradiol ring-cleavage dioxygenase, class III enzyme, subunit B', 'Xdiol_dOase_suB', 3, NULL),
(2732, NULL, 'IPR007608', NULL, 'Senescence regulator S40', 'Senescence_reg_S40', 4, NULL),
(2733, NULL, 'IPR002659', NULL, 'Glycosyl transferase, family 31', 'Glyco_trans_31', 4, NULL),
(2734, NULL, 'IPR003235', NULL, 'Nematode insulin-like peptide, beta type', 'Nem_insulin-like_b-type', 4, NULL),
(2735, NULL, 'IPR000064', NULL, 'Endopeptidase, NLPC/P60 domain', 'NLP_P60_dom', 3, NULL),
(2736, NULL, 'IPR017923', NULL, 'Transcription factor IIS, N-terminal', 'TFIIS_N', 3, NULL),
(2737, NULL, 'IPR002621', NULL, 'Geminivirus infecting protein', 'Gemini_mov', 4, NULL),
(2738, NULL, 'IPR002685', NULL, 'Glycosyl transferase, family 15', 'Glyco_trans_15', 4, NULL),
(2739, NULL, 'IPR000013', NULL, 'Peptidase M7, snapalysin', 'Peptidase_M7', 4, NULL),
(2740, NULL, 'IPR005623', NULL, 'Chaperone NapD, nitrate reductase assembly', 'Chaperone_NapD_NO3_reduct', 4, NULL),
(2741, NULL, 'IPR026008', NULL, 'Uridine kinase', 'Uridine_kinase_', 4, NULL),
(2742, NULL, 'IPR004655', NULL, '3-oxoacyl-[acyl-carrier-protein] synthase 3', 'FabH_synth', 4, NULL),
(2743, NULL, 'IPR007597', NULL, 'CheC-like protein', 'CheC', 3, NULL),
(2744, NULL, 'IPR002624', NULL, 'Deoxynucleoside kinase', 'DCK/DGK', 4, NULL),
(2745, NULL, 'IPR000095', NULL, 'CRIB domain', 'CRIB_dom', 3, NULL),
(2746, NULL, 'IPR006061', NULL, 'Solute-binding family 1, conserved site', 'SBP_1_CS', 2, NULL),
(2747, NULL, 'IPR000074', NULL, 'Apolipoprotein A/E', 'ApoA_E', 4, NULL),
(2748, NULL, 'IPR004662', NULL, 'Acetylglutamate kinase family', 'AcgluKinase_fam', 4, NULL),
(2749, NULL, 'IPR000040', NULL, 'Acute myeloid leukemia 1 protein (AML1)/Runt', 'AML1_Runt', 4, NULL),
(2750, NULL, 'IPR005643', NULL, 'Jun-like transcription factor', 'JNK', 3, NULL),
(2751, NULL, 'IPR002660', NULL, 'Herpesvirus portal protein', 'Herpes_Portal', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2752, NULL, 'IPR006081', NULL, 'Alpha-defensin, C-terminal', 'Alpha-defensin_C', 3, NULL),
(2753, NULL, 'IPR005602', NULL, 'Protein of unknown function DUF334', 'DUF334', 4, NULL),
(2754, NULL, 'IPR002661', NULL, 'Ribosome recycling factor', 'Ribosome_recyc_fac', 4, NULL),
(2755, NULL, 'IPR005616', NULL, 'CcmH/CycL/Ccl2/NrfF family', 'CcmH/CycL/Ccl2/NrfF', 4, NULL),
(2756, NULL, 'IPR006102', NULL, 'Glycoside hydrolase, family 2, immunoglobulin-like beta-sandwich', 'Glyco_hydro_2_Ig-like', 3, NULL),
(2757, NULL, 'IPR005629', NULL, 'Beta-glucan synthesis-associated protein Skn1/Kre6/Sbg1', 'Skn1/Kre6/Sbg1', 4, NULL),
(2758, NULL, 'IPR005642', NULL, 'Lysine exporter LysO', 'LysO', 4, NULL),
(2759, NULL, 'IPR004176', NULL, 'Clp,  repeat (R) domain', 'Clp_R_dom', 3, NULL),
(2760, NULL, 'IPR006068', NULL, 'Cation-transporting P-type ATPase, C-terminal', 'ATPase_P-typ_cation-transptr_C', 3, NULL),
(2761, NULL, 'IPR006036', NULL, 'Potassium uptake protein TrkA', 'K_uptake_TrkA', 4, NULL),
(2762, NULL, 'IPR002625', NULL, 'Smr domain', 'Smr_dom', 3, NULL),
(2763, NULL, 'IPR031350', NULL, 'Fungal STAND N-terminal Goodbye domain', 'Goodbye_dom', 3, NULL),
(2764, NULL, 'IPR004967', NULL, 'Poxvirus C7/F8A', 'Poxvirus_C7/F8A', 4, NULL),
(2765, NULL, 'IPR017944', NULL, 'KaiA/RbsU helical domain superfamily', 'KaiA/RbsU_helical_domain_sf', 5, NULL),
(2766, NULL, 'IPR003226', NULL, 'Metal-dependent protein hydrolase', 'Met-dep_prot_hydro', 4, NULL),
(2767, NULL, 'IPR007626', NULL, 'Herpesvirus viron egress-type', 'Herpesvirus_viron_egress-type', 4, NULL),
(2768, NULL, 'IPR004191', NULL, 'Integrase, Tn916-type, N-terminal DNA binding', 'Integrase_Tn916-type_DNA-bd_N', 3, NULL),
(2769, NULL, 'IPR002671', NULL, 'Ribosomal protein L22e', 'Ribosomal_L22e', 4, NULL),
(2770, NULL, 'IPR017920', NULL, 'COMM domain', 'COMM', 3, NULL),
(2771, NULL, 'IPR000072', NULL, 'PDGF/VEGF domain', 'PDGF/VEGF_dom', 3, NULL),
(2772, NULL, 'IPR004152', NULL, 'GAT domain', 'GAT_dom', 3, NULL),
(2773, NULL, 'IPR003135', NULL, 'ATP-grasp fold, ATP-dependent carboxylate-amine ligase-type', 'ATP-grasp_carboxylate-amine', 3, NULL),
(2774, NULL, 'IPR004637', NULL, '2,4-diaminobutyrate 4-transaminase', 'Dat', 4, NULL),
(2775, NULL, 'IPR003777', NULL, 'XdhC- CoxI', 'XdhC_CoxI', 3, NULL),
(2776, NULL, 'IPR004666', NULL, 'Ribosomal S6 modification enzyme RimK/Lysine biosynthesis enzyme LysX', 'RpS6_RimK/Lys_biosynth_LsyX', 4, NULL),
(2777, NULL, 'IPR007621', NULL, 'TPM domain', 'TPM_dom', 3, NULL),
(2778, NULL, 'IPR004140', NULL, 'Exocyst complex component Exo70', 'Exo70', 4, NULL),
(2779, NULL, 'IPR002622', NULL, 'Transposase, Synechocystis PCC 6803', 'Transposase_14', 3, NULL),
(2780, NULL, 'IPR004175', NULL, 'RNA 2'',3''-cyclic phosphodiesterase', 'RNA_CPDase', 4, NULL),
(2781, NULL, 'IPR005624', NULL, 'Haem degrading protein HbpS-like', 'Haem_degrading_HbpS-like', 4, NULL),
(2782, NULL, 'IPR007594', NULL, 'RFT1', 'RFT1', 4, NULL),
(2783, NULL, 'IPR030706', NULL, 'Ataxin-7', 'ATXN7', 4, NULL),
(2784, NULL, 'IPR005621', NULL, 'Negative modulator of initiation of replication SeqA', 'SeqA', 4, NULL),
(2785, NULL, 'IPR002619', NULL, 'Domain of unknown function CX', 'CX', 3, NULL),
(2786, NULL, 'IPR004164', NULL, 'Coenzyme A transferase active site', 'CoA_transf_AS', 0, NULL),
(2787, NULL, 'IPR004643', NULL, 'Iron-sulphur-dependent L-serine dehydratase beta subunit', 'Fe-S_L-Ser_bsu', 4, NULL),
(2788, NULL, 'IPR000081', NULL, 'Peptidase C3, picornavirus core protein 2A', 'Peptidase_C3', 3, NULL),
(2789, NULL, 'IPR019842', NULL, 'Uricase, conserved site', 'Uricase_CS', 2, NULL),
(2790, NULL, 'IPR004638', NULL, 'Drug resistance transporter EmrB-like', 'EmrB-like', 4, NULL),
(2791, NULL, 'IPR002423', NULL, 'Chaperonin Cpn60/GroEL/TCP-1 family', 'Cpn60/GroEL/TCP-1', 4, NULL),
(2792, NULL, 'IPR004136', NULL, 'Nitronate monooxygenase', 'NMO', 3, NULL),
(2793, NULL, 'IPR007592', NULL, 'GLABROUS1 enhancer-binding protein family', 'GEBP', 4, NULL),
(2794, NULL, 'IPR005614', NULL, 'NrfD family', 'NrfD_fam', 4, NULL),
(2795, NULL, 'IPR004636', NULL, 'Acetylornithine/Succinylornithine transaminase family', 'AcOrn/SuccOrn_fam', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2796, NULL, 'IPR034103', NULL, 'Sm-like protein Lsm8', 'Lsm8', 3, NULL),
(2797, NULL, 'IPR004672', NULL, 'Na(+)/H(+) antiporter NhaD', 'Na(+)/H(+)_antiporter_NhaD', 4, NULL),
(2798, NULL, 'IPR004965', NULL, 'Paralemmin', 'Paralemmin', 4, NULL),
(2799, NULL, 'IPR002631', NULL, 'Plasmid replication protein', 'Plasmid_rep', 4, NULL),
(2800, NULL, 'IPR017925', NULL, 'Dihydrofolate reductase conserved site', 'DHFR_CS', 2, NULL),
(2801, NULL, 'IPR003118', NULL, 'Pointed domain', 'Pointed_dom', 3, NULL),
(2802, NULL, 'IPR006077', NULL, 'Vinculin/alpha-catenin', 'Vinculin/catenin', 4, NULL),
(2803, NULL, 'IPR004953', NULL, 'EB1, C-terminal', 'EB1_C', 3, NULL),
(2804, NULL, 'IPR002656', NULL, 'Acyltransferase 3 domain', 'Acyl_transf_3_dom', 3, NULL),
(2805, NULL, 'IPR007612', NULL, 'LURP-one-related', 'LOR', 4, NULL),
(2806, NULL, 'IPR003224', NULL, 'RING finger protein Z, zinc finger', 'Z_RING_Znf', 3, NULL),
(2807, NULL, 'IPR003180', NULL, 'Methylpurine-DNA glycosylase', 'MPG', 4, NULL),
(2808, NULL, 'IPR006033', NULL, 'Type I L-asparaginase family', 'AsnA_fam', 4, NULL),
(2809, NULL, 'IPR004652', NULL, 'tRNA-dihydrouridine synthase, TIM-barrel, NifR3', 'tRNA_dU_NifR3', 4, NULL),
(2810, NULL, 'IPR003773', NULL, 'Menaquinone biosynthesis enzyme', 'Menaquinone_biosynth', 4, NULL),
(2811, NULL, 'IPR007617', NULL, 'Viral beta C/D-like', 'Viral_beta_CD', 4, NULL),
(2812, NULL, 'IPR006054', NULL, 'DNA polymerase III epsilon subunit, exonuclease domain', 'DnaQ', 3, NULL),
(2813, NULL, 'IPR004147', NULL, 'ABC1 atypical kinase-like domain', 'ABC1_dom', 3, NULL),
(2814, NULL, 'IPR007598', NULL, 'Domain of unknown function DUF577', 'DUF577', 3, NULL),
(2815, NULL, 'IPR007603', NULL, 'Choline transporter-like', 'Choline_transptr-like', 4, NULL),
(2816, NULL, 'IPR004180', NULL, 'Protein of unknown function DUF226, Borrelia species', 'DUF226_BOR_spp', 4, NULL),
(2817, NULL, 'IPR000084', NULL, 'PE-PGRS family, N-terminal', 'PE-PGRS_N', 3, NULL),
(2818, NULL, 'IPR007590', NULL, 'Saf4/Yju2 protein', 'Saf4/Yju2', 4, NULL),
(2819, NULL, 'IPR002417', NULL, 'Viral spike glycoprotein', 'Spike_prot', 4, NULL),
(2820, NULL, 'IPR004138', NULL, 'HSV U79 / HCMV P34', 'U79_P34', 4, NULL),
(2821, NULL, 'IPR006035', NULL, 'Ureohydrolase', 'Ureohydrolase', 4, NULL),
(2822, NULL, 'IPR005627', NULL, 'Copper homeostasis protein CutC', 'Cu_homeostasis_CutC', 4, NULL),
(2823, NULL, 'IPR002683', NULL, 'PsbP, C-terminal', 'PsbP_C', 3, NULL),
(2824, NULL, 'IPR017950', NULL, 'Urease active site', 'Urease_AS', 0, NULL),
(2825, NULL, 'IPR000114', NULL, 'Ribosomal protein L16', 'Ribosomal_L16', 4, NULL),
(2826, NULL, 'IPR007583', NULL, 'GRASP55/65', 'GRASP55_65', 4, NULL),
(2827, NULL, 'IPR004948', NULL, 'Nucleoside-triphosphatase, THEP1 type', 'Nuc-triphosphatase_THEP1', 4, NULL),
(2828, NULL, 'IPR002682', NULL, 'Photosystem II PsbJ', 'PSII_PsbJ', 4, NULL),
(2829, NULL, 'IPR005655', NULL, 'Herpesvirus UL37', 'Herpes_UL37', 4, NULL),
(2830, NULL, 'IPR005592', NULL, 'Mono-/di-acylglycerol lipase, N-terminal', 'Mono/diacylglycerol_lipase_N', 3, NULL),
(2831, NULL, 'IPR002634', NULL, 'BolA protein', 'BolA', 4, NULL),
(2832, NULL, 'IPR004184', NULL, 'Pyruvate formate lyase domain', 'PFL_dom', 3, NULL),
(2833, NULL, 'IPR000105', NULL, 'Mu opioid receptor', 'Mu_opioid_rcpt', 4, NULL),
(2834, NULL, 'IPR030691', NULL, 'Band 4.1-like protein 3', 'Band4.1-L3', 4, NULL),
(2835, NULL, 'IPR004645', NULL, 'DNA-binding protein Tfx, archaea', 'Tfx_DNA-bd_arc', 4, NULL),
(2836, NULL, 'IPR000077', NULL, 'Ribosomal protein L39e', 'Ribosomal_L39', 4, NULL),
(2837, NULL, 'IPR004661', NULL, 'L-ribulose-5-phosphate 4-epimerase', 'AraD', 4, NULL),
(2838, NULL, 'IPR005605', NULL, 'Sporulation-specific protein Spo7', 'Spo7', 4, NULL),
(2839, NULL, 'IPR002616', NULL, 'tRNA-guanine(15) transglycosylase-like', 'tRNA_ribo_trans-like', 3, NULL),
(2840, NULL, 'IPR005604', NULL, 'Bacteriophage T7 tail fibre protein', 'Phage_T7_tail_fibre', 4, NULL),
(2841, NULL, 'IPR005628', NULL, 'General secretion pathway protein K', 'GspK', 4, NULL),
(2842, NULL, 'IPR006064', NULL, 'Cytokinin glycosidase', 'Glycosidase', 3, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2843, NULL, 'IPR002676', NULL, 'RimM, N-terminal', 'RimM_N', 3, NULL),
(2844, NULL, 'IPR004629', NULL, 'Glycosyl transferase WecG/TagA/CpsF', 'WecG_TagA_CpsF', 4, NULL),
(2845, NULL, 'IPR003120', NULL, 'Transcription factor Ste12', 'Ste12', 4, NULL),
(2846, NULL, 'IPR006050', NULL, 'DNA photolyase, N-terminal', 'DNA_photolyase_N', 3, NULL),
(2847, NULL, 'IPR002652', NULL, 'Importin-alpha, importin-beta-binding domain', 'Importin-a_IBB', 3, NULL),
(2848, NULL, 'IPR002646', NULL, 'Poly A polymerase, head domain', 'PolA_pol_head_dom', 3, NULL),
(2849, NULL, 'IPR005658', NULL, 'Proteinase inhibitor I11, ecotin', 'Prot_inh_ecotin', 4, NULL),
(2850, NULL, 'IPR003230', NULL, 'D-alanyl carrier protein', 'DltC', 4, NULL),
(2851, NULL, 'IPR002638', NULL, 'Quinolinate phosphoribosyl transferase, C-terminal', 'Quinolinate_PRibosylTrfase_C', 3, NULL),
(2852, NULL, 'IPR004956', NULL, 'Foamy virus BEL 1/2 protein', 'Foamy_BEL', 4, NULL),
(2853, NULL, 'IPR004674', NULL, 'Alkylhydroperoxidase AhpD', 'AhpD', 4, NULL),
(2854, NULL, 'IPR005607', NULL, 'BSD domain', 'BSD_dom', 3, NULL),
(2855, NULL, 'IPR006072', NULL, 'Odorant/pheromone binding protein, Lepidoptera', 'Odorant/phero-bd_Lep', 4, NULL),
(2856, NULL, 'IPR003116', NULL, 'Raf-like Ras-binding', 'RBD_dom', 3, NULL),
(2857, NULL, 'IPR002687', NULL, 'Nop domain', 'Nop_dom', 3, NULL),
(2858, NULL, 'IPR004647', NULL, 'Fe-S hydro-lyase, tartrate dehydratase beta-type, catalytic domain', 'Fe-S_hydro-lyase_TtdB-typ_cat', 3, NULL),
(2859, NULL, 'IPR006066', NULL, 'Nitrite/sulphite reductase iron-sulphur/sirohaem-binding site', 'NO2/SO3_Rdtase_FeS/sirohaem_BS', 1, NULL),
(2860, NULL, 'IPR007614', NULL, 'Retinin-like protein', 'Retinin_C', 4, NULL),
(2861, NULL, 'IPR004670', NULL, 'Na+/H+ antiporter NhaA', 'NhaA', 4, NULL),
(2862, NULL, 'IPR004173', NULL, '3H domain', '3H_domain', 3, NULL),
(2863, NULL, 'IPR000089', NULL, 'Biotin/lipoyl attachment', 'Biotin_lipoyl', 3, NULL),
(2864, NULL, 'IPR004170', NULL, 'WWE domain', 'WWE-dom', 3, NULL),
(2865, NULL, 'IPR003251', NULL, 'Rubrerythrin', 'Rubrerythrin', 3, NULL),
(2866, NULL, 'IPR004663', NULL, 'Lon protease, archaeal', 'Lon_arc', 4, NULL),
(2867, NULL, 'IPR004163', NULL, 'Coenzyme A transferase binding site', 'CoA_transf_BS', 1, NULL),
(2868, NULL, 'IPR007593', NULL, 'CD225/Dispanin family', 'CD225/Dispanin_fam', 4, NULL),
(2869, NULL, 'IPR007620', NULL, 'Herpesvirus UL56', 'Herpes_UL56', 4, NULL),
(2870, NULL, 'IPR002421', NULL, '5''-3'' exonuclease', '5-3_exonuclease', 3, NULL),
(2871, NULL, 'IPR004142', NULL, 'NDRG', 'NDRG', 4, NULL),
(2872, NULL, 'IPR002644', NULL, 'Photosystem II PsbZ, reaction centre', 'PSII_PsbZ', 4, NULL),
(2873, NULL, 'IPR004947', NULL, 'Deoxyribonuclease II', 'DNase_II', 4, NULL),
(2874, NULL, 'IPR005618', NULL, 'Outer membrane protein, OmpW', 'OMPW', 4, NULL),
(2875, NULL, 'IPR007618', NULL, 'Herpesvirus UL87, N-terminal', 'Herpes_UL87_N', 3, NULL),
(2876, NULL, 'IPR017922', NULL, 'sn-Glycerol-3-phosphate import ATP-binding protein UgpC', 'UgpC', 4, NULL),
(2877, NULL, 'IPR006041', NULL, 'Pollen allergen Ole e 1 family', 'Pollen_Ole_e1_allergen', 4, NULL),
(2878, NULL, 'IPR031349', NULL, 'General transcription factor TFIIH, subunit Tfb6', 'Tfb6', 4, NULL),
(2879, NULL, 'IPR005639', NULL, 'Pesticidal crystal protein, N-terminal', 'Pest_crys_N', 3, NULL),
(2880, NULL, 'IPR005657', NULL, 'Triabin/Procalin', 'Triabi/Procalin', 4, NULL),
(2881, NULL, 'IPR004160', NULL, 'Translation elongation factor EFTu/EF1A, C-terminal', 'Transl_elong_EFTu/EF1A_C', 3, NULL),
(2882, NULL, 'IPR007602', NULL, 'Bluetongue virus nonstructural protein NS2', 'BTV_NS2', 4, NULL),
(2883, NULL, 'IPR005615', NULL, 'Glutathione synthase', 'Glutathione_synthase', 4, NULL),
(2884, NULL, 'IPR000076', NULL, 'K/Cl co-transporter', 'KCL_cotranspt', 4, NULL),
(2885, NULL, 'IPR004153', NULL, 'CXCXC repeat', 'CXCXC_repeat', 7, NULL),
(2886, NULL, 'IPR000030', NULL, 'PPE family', 'PPE_family', 3, NULL),
(2887, NULL, 'IPR022608', NULL, 'Transcription regulator SplA', 'Tscrpt_reg_SplA', 4, NULL),
(2888, NULL, 'IPR003131', NULL, 'Potassium channel tetramerisation-type BTB domain', 'T1-type_BTB', 3, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2889, NULL, 'IPR007604', NULL, 'CP2 transcription factor', 'CP2', 3, NULL),
(2890, NULL, 'IPR000091', NULL, 'Huntingtin', 'Huntingtin', 4, NULL),
(2891, NULL, 'IPR004190', NULL, 'DNA polymerase processivity factor', 'DNA_pol_proc_fac', 3, NULL),
(2892, NULL, 'IPR004673', NULL, 'L-rhamnose-proton symport, RhaT', 'L-rhamnose-proton_sym_RhaT', 4, NULL),
(2893, NULL, 'IPR002639', NULL, 'Urease accessory protein UreF', 'UreF', 4, NULL),
(2894, NULL, 'IPR000021', NULL, 'Hok/gef cell toxic protein', 'Hok/gef_toxin', 4, NULL),
(2895, NULL, 'IPR002662', NULL, 'Birnavirus VP2 protein', 'Birna_VP2', 4, NULL),
(2896, NULL, 'IPR002673', NULL, 'Ribosomal protein L29e', 'Ribosomal_L29e', 4, NULL),
(2897, NULL, 'IPR005634', NULL, 'Male specific sperm protein', 'MSSP', 4, NULL),
(2898, NULL, 'IPR000026', NULL, 'Guanine-specific ribonuclease N1/T1/U2', 'Gua-sp_ribonuclease_N1/T1/U2', 4, NULL),
(2899, NULL, 'IPR007584', NULL, 'Herpesvirus UL35', 'Herpes_UL35', 4, NULL),
(2900, NULL, 'IPR006042', NULL, 'Xanthine/uracil permease', 'Xan_ur_permease', 4, NULL),
(2901, NULL, 'IPR017949', NULL, 'Thaumatin, conserved site', 'Thaumatin_CS', 2, NULL),
(2902, NULL, 'IPR004668', NULL, 'Anaerobic c4-dicarboxylate membrane transporter', 'Anaer_Dcu_memb_transpt', 4, NULL),
(2903, NULL, 'IPR004675', NULL, 'Alkylhydroperoxidase AhpD core', 'AhpD_core', 3, NULL),
(2904, NULL, 'IPR006067', NULL, 'Nitrite/sulphite reductase 4Fe-4S domain', 'NO2/SO3_Rdtase_4Fe4S_dom', 3, NULL),
(2905, NULL, 'IPR007595', NULL, 'Csa family', 'Csa', 4, NULL),
(2906, NULL, 'IPR006084', NULL, 'XPG/Rad2 endonuclease', 'XPG/Rad2', 4, NULL),
(2907, NULL, 'IPR004201', NULL, 'CDC48, domain 2', 'Cdc48_dom2', 3, NULL),
(2908, NULL, 'IPR004130', NULL, 'GPN-loop GTPase', 'Gpn', 4, NULL),
(2909, NULL, 'IPR017939', NULL, 'Gamma-glutamylcyclotransferase', 'G-Glutamylcylcotransferase', 4, NULL),
(2910, NULL, 'IPR007609', NULL, 'ssRNA positive strand viral 18kDa cysteine-rich protein', 'Viral_P18', 4, NULL),
(2911, NULL, 'IPR007589', NULL, 'Baculovirus major capsid protein VP39', 'Baculo_VP39', 4, NULL),
(2912, NULL, 'IPR005654', NULL, 'ATPase, AFG1-like', 'ATPase_AFG1-like', 4, NULL),
(2913, NULL, 'IPR031354', NULL, 'Bromodomain protein 4, C-terminal', 'BRD4_CDT', 3, NULL),
(2914, NULL, 'IPR000009', NULL, 'Protein phosphatase 2A regulatory subunit PR55', 'PP2A_PR55', 4, NULL),
(2915, NULL, 'IPR005648', NULL, 'Flagellar hook capping protein', 'FlgD', 4, NULL),
(2916, NULL, 'IPR004186', NULL, 'Epstein Barr virus nuclear antigen-1, DNA-binding', 'EBNA1_DNA-bd', 3, NULL),
(2917, NULL, 'IPR004950', NULL, 'Protein of unknown function DUF267, Caenorhabditis species', 'DUF267_CAE_spp', 4, NULL),
(2918, NULL, 'IPR007599', NULL, 'Derlin', 'DER1', 4, NULL),
(2919, NULL, 'IPR000066', NULL, 'Antenna complex, alpha/beta subunit', 'Antenna_a/b', 3, NULL),
(2920, NULL, 'IPR004649', NULL, 'Ribonuclease H2, subunit A', 'RNase_H2_suA', 4, NULL),
(2921, NULL, 'IPR000020', NULL, 'Anaphylatoxin/fibulin', 'Anaphylatoxin/fibulin', 3, NULL),
(2922, NULL, 'IPR004182', NULL, 'GRAM domain', 'GRAM', 3, NULL),
(2923, NULL, 'IPR007611', NULL, 'Herpesvirus tegument protein U30', 'Herpes_U30', 4, NULL),
(2924, NULL, 'IPR005599', NULL, 'GPI mannosyltransferase', 'GPI_mannosylTrfase', 4, NULL),
(2925, NULL, 'IPR002629', NULL, 'Cobalamin-independent methionine synthase MetE, C-terminal/archaeal', 'Met_Synth_C/arc', 3, NULL),
(2926, NULL, 'IPR007624', NULL, 'RNA polymerase sigma-70 region 3', 'RNA_pol_sigma70_r3', 3, NULL),
(2927, NULL, 'IPR034104', NULL, 'Sm-like protein Lsm1', 'Lsm1', 3, NULL),
(2928, NULL, 'IPR006037', NULL, 'Regulator of K+ conductance, C-terminal', 'RCK_C', 3, NULL),
(2929, NULL, 'IPR002684', NULL, 'Biotin synthase/Biotin biosynthesis bifunctional protein BioAB', 'Biotin_synth/BioAB', 4, NULL),
(2930, NULL, 'IPR017893', NULL, 'DBB domain', 'DBB_domain', 3, NULL),
(2931, NULL, 'IPR004198', NULL, 'Zinc finger, C5HC2-type', 'Znf_C5HC2', 3, NULL),
(2932, NULL, 'IPR004639', NULL, 'Tetrapyrrole biosynthesis, glutamate-1-semialdehyde aminotransferase', '4pyrrol_synth_GluAld_NH2Trfase', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2933, NULL, 'IPR005638', NULL, 'Pesticidal crystal protein, C-terminal', 'Pest_crys_C', 3, NULL),
(2934, NULL, 'IPR004150', NULL, 'NAD-dependent DNA ligase, OB-fold', 'NAD_DNA_ligase_OB', 3, NULL),
(2935, NULL, 'IPR004168', NULL, 'PPAK motif', 'PPAK_motif', 7, NULL),
(2936, NULL, 'IPR007588', NULL, 'Zinc finger, FLYWCH-type', 'Znf_FLYWCH', 3, NULL),
(2937, NULL, 'IPR004131', NULL, 'Pyrophosphate-energised proton pump', 'PPase-energised_H-pump', 4, NULL),
(2938, NULL, 'IPR005651', NULL, 'Trm112-like', 'Trm112-like', 4, NULL),
(2939, NULL, 'IPR003222', NULL, 'Antitermination protein', 'Antitermntn', 4, NULL),
(2940, NULL, 'IPR006735', NULL, 'Replication termination factor 2', 'Rtf2', 4, NULL),
(2941, NULL, 'IPR002633', NULL, 'Bacteriocin, class IIa', 'Bacteriocin_IIa', 4, NULL),
(2942, NULL, 'IPR031352', NULL, 'NACHT-NTPase and P-loop NTPases, N-terminal domain', 'SesA', 3, NULL),
(2943, NULL, 'IPR000034', NULL, 'Laminin IV', 'Laminin_IV', 3, NULL),
(2944, NULL, 'IPR004635', NULL, 'Peptidase S49, SppA', 'Pept_S49_SppA', 3, NULL),
(2945, NULL, 'IPR004134', NULL, 'Peptidase C1B, bleomycin hydrolase', 'Peptidase_C1B', 4, NULL),
(2946, NULL, 'IPR002679', NULL, 'Closterovirus coat protein', 'Closter_coat', 4, NULL),
(2947, NULL, 'IPR004203', NULL, 'Cytochrome c oxidase subunit IV family', 'Cyt_c_oxidase_su4_fam', 4, NULL),
(2948, NULL, 'IPR002666', NULL, 'Reduced folate carrier', 'Folate_carrier', 4, NULL),
(2949, NULL, 'IPR034121', NULL, 'Glioma pathogenesis-related protein 1-like, SCP domain', 'SCP_GLIPR-1-like', 3, NULL),
(2950, NULL, 'IPR006059', NULL, 'Bacterial extracellular solute-binding protein', 'SBP', 4, NULL),
(2951, NULL, 'IPR030861', NULL, 'Phosphotransferase RcsD', 'Ptransferase_RcsD', 4, NULL),
(2952, NULL, 'IPR002649', NULL, 'tRNA (guanine-N1-)-methyltransferase, bacteria', 'tRNA_m1G_MeTrfase_bac', 4, NULL),
(2953, NULL, 'IPR000046', NULL, 'Neurokinin NK1 receptor', 'NK1_rcpt', 4, NULL),
(2954, NULL, 'IPR002663', NULL, 'Birnavirus VP3 protein', 'Birna_VP3', 4, NULL),
(2955, NULL, 'IPR000048', NULL, 'IQ motif, EF-hand binding site', 'IQ_motif_EF-hand-BS', 1, NULL),
(2956, NULL, 'IPR005619', NULL, 'Uncharacterised protein family, YajG', 'Uncharacterised_YajG', 4, NULL),
(2957, NULL, 'IPR003256', NULL, 'Ribosomal protein L24', 'Ribosomal_L24', 4, NULL),
(2958, NULL, 'IPR024962', NULL, 'YukD-like', 'YukD-like', 4, NULL),
(2959, NULL, 'IPR006085', NULL, 'XPG, N-terminal', 'XPG_DNA_repair_N', 3, NULL),
(2960, NULL, 'IPR004654', NULL, 'Glucokinase ROK', 'ROK_glcA', 4, NULL),
(2961, NULL, 'IPR004192', NULL, 'Cytochrome b-c1 complex subunit Rieske, transmembrane domain', 'Rieske_TM', 3, NULL),
(2962, NULL, 'IPR006040', NULL, 'Allergen Ole e 1, conserved site', 'Allegen_Ole_e_I_CS', 2, NULL),
(2963, NULL, 'IPR004146', NULL, 'DC1', 'DC1', 3, NULL),
(2964, NULL, 'IPR004640', NULL, 'Co-chaperone Hsc20', 'HscB', 4, NULL),
(2965, NULL, 'IPR005597', NULL, 'Satellite tobacco necrosis virus coat protein-like', 'Satellite_CP-like', 4, NULL),
(2966, NULL, 'IPR002654', NULL, 'Glycosyl transferase, family 25', 'Glyco_trans_25', 4, NULL),
(2967, NULL, 'IPR002674', NULL, 'Ribosomal protein L37ae', 'Ribosomal_L37ae', 4, NULL),
(2968, NULL, 'IPR004148', NULL, 'BAR domain', 'BAR_dom', 3, NULL),
(2969, NULL, 'IPR004156', NULL, 'Organic anion transporter polypeptide', 'OATP', 4, NULL),
(2970, NULL, 'IPR006073', NULL, 'GTP binding domain', 'GTP-bd', 3, NULL),
(2971, NULL, 'IPR000056', NULL, 'Ribulose-phosphate 3-epimerase-like', 'Ribul_P_3_epim-like', 4, NULL),
(2972, NULL, 'IPR004174', NULL, 'Head-to-tail joining protein W', 'GpW', 4, NULL),
(2973, NULL, 'IPR005625', NULL, 'PepSY-associated TM protein', 'PepSY-ass_TM', 4, NULL),
(2974, NULL, 'IPR000082', NULL, 'SEA domain', 'SEA_dom', 3, NULL),
(2975, NULL, 'IPR005637', NULL, 'TAP C-terminal (TAP-C) domain', 'TAP_C_dom', 3, NULL),
(2976, NULL, 'IPR004951', NULL, 'Protein of unknown function DUF268, Caenorhabditis species', 'DUF268_CAE_spp', 4, NULL),
(2977, NULL, 'IPR004196', NULL, 'Scaffold protein D', 'Scaffold_D', 4, NULL),
(2978, NULL, 'IPR004145', NULL, 'Domain of unknown function DUF243', 'DUF243', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(2979, NULL, 'IPR004169', NULL, 'Spider toxin', 'Spidertoxin', 4, NULL),
(2980, NULL, 'IPR003147', NULL, 'Protein L, Ig light chain-binding', 'B1_Ig_chn-bd', 7, NULL),
(2981, NULL, 'IPR030878', NULL, 'Ribosomal protein L15', 'Ribosomal_L15', 4, NULL),
(2982, NULL, 'IPR004669', NULL, 'C4-dicarboxylate anaerobic carrier', 'C4_dicarb_anaerob_car', 4, NULL),
(2983, NULL, 'IPR004667', NULL, 'ADP/ATP carrier protein, bacterial type', 'ADP_ATP_car_bac_type', 4, NULL),
(2984, NULL, 'IPR004657', NULL, '1,4-dihydroxy-2-naphthoate octaprenyltransferase', 'MenA', 4, NULL),
(2985, NULL, 'IPR006063', NULL, 'HisA, bacterial-type', 'HisA_bact_arch', 4, NULL),
(2986, NULL, 'IPR000194', NULL, 'ATPase, F1/V1/A1 complex, alpha/beta subunit, nucleotide-binding domain', 'ATPase_F1/V1/A1_a/bsu_nucl-bd', 3, NULL),
(2987, NULL, 'IPR002628', NULL, 'Photosystem II PsbO, manganese-stabilising', 'PSII_MSP', 4, NULL),
(2988, NULL, 'IPR006734', NULL, 'PLATZ transcription factor', 'PLATZ', 4, NULL),
(2989, NULL, 'IPR002620', NULL, 'Alphavirus nsp2 protease (nsp2pro) domain', 'Alphavirus_nsp2pro', 3, NULL),
(2990, NULL, 'IPR003220', NULL, 'InsA N-terminal domain', 'InsA_N_dom', 3, NULL),
(2991, NULL, 'IPR030864', NULL, 'Transcriptional regulatory protein RcsB', 'RcsB', 4, NULL),
(2992, NULL, 'IPR005613', NULL, 'Actin interacting protein 3, C-terminal', 'AIP3_C', 3, NULL),
(2993, NULL, 'IPR002643', NULL, 'Polyomavirus agnoprotein', 'Polyoma_agno', 4, NULL),
(2994, NULL, 'IPR004165', NULL, 'Coenzyme A transferase family I', 'CoA_trans_fam_I', 4, NULL),
(2995, NULL, 'IPR006089', NULL, 'Acyl-CoA dehydrogenase, conserved site', 'Acyl-CoA_DH_CS', 2, NULL),
(2996, NULL, 'IPR030705', NULL, 'Osteomodulin', 'Osteomodulin', 4, NULL),
(2997, NULL, 'IPR000085', NULL, 'Bacterial DNA recombination protein RuvA', 'RuvA', 4, NULL),
(2998, NULL, 'IPR006732', NULL, 'Poxvirus O1', 'Poxvirus_O1', 4, NULL),
(2999, NULL, 'IPR004665', NULL, 'Transcription termination factor Rho', 'Term_rho', 4, NULL),
(3000, NULL, 'IPR006103', NULL, 'Glycoside hydrolase family 2, catalytic domain', 'Glyco_hydro_2_cat', 3, NULL),
(3001, NULL, 'IPR001736', NULL, 'Phospholipase D/Transphosphatidylase', 'PLipase_D/transphosphatidylase', 3, NULL),
(3002, NULL, 'IPR004683', NULL, 'Type III secretion system substrate exporter FlhB-like', 'T3SS_FlhB-rel', 4, NULL),
(3003, NULL, 'IPR001434', NULL, 'Domain of unknown function DUF11', 'DUF11', 3, NULL),
(3004, NULL, 'IPR003864', NULL, 'Calcium-dependent channel, 7TM region, putative phosphate', 'RSN1_7TM', 3, NULL),
(3005, NULL, 'IPR000956', NULL, 'Stathmin family', 'Stathmin_fam', 4, NULL),
(3006, NULL, 'IPR007885', NULL, 'MgpC adhesin', 'MgpC', 4, NULL),
(3007, NULL, 'IPR001607', NULL, 'Zinc finger, UBP-type', 'Znf_UBP', 3, NULL),
(3008, NULL, 'IPR003822', NULL, 'Paired amphipathic helix', 'PAH', 7, NULL),
(3009, NULL, 'IPR000926', NULL, 'GTP cyclohydrolase II, RibA', 'RibA', 4, NULL),
(3010, NULL, 'IPR001676', NULL, 'Picornavirus capsid', 'Picornavirus_capsid', 3, NULL),
(3011, NULL, 'IPR001514', NULL, 'DNA-directed RNA polymerase, 30-40kDa subunit, conserved site', 'DNA-dir_RNA_pol_30-40kDasu_CS', 2, NULL),
(3012, NULL, 'IPR006766', NULL, 'Protein EXORDIUM-like', 'EXORDIUM-like', 4, NULL),
(3013, NULL, 'IPR001402', NULL, 'Prolactin-releasing peptide receptor', 'Prolrel_pep_rcpt', 4, NULL),
(3014, NULL, 'IPR001674', NULL, 'GMP synthase, C-terminal', 'GMP_synth_C', 3, NULL),
(3015, NULL, 'IPR003801', NULL, 'GTP cyclohydrolase FolE2/MptA', 'GTP_cyclohydrolase_FolE2/MptA', 4, NULL),
(3016, NULL, 'IPR001675', NULL, 'Glycosyl transferase family 29', 'Glyco_trans_29', 4, NULL),
(3017, NULL, 'IPR007858', NULL, 'Dpy-30 motif', 'Dpy-30_motif', 2, NULL),
(3018, NULL, 'IPR003153', NULL, 'Adaptor protein Cbl, N-terminal helical', 'Adaptor_Cbl_N_hlx', 3, NULL),
(3019, NULL, 'IPR001466', NULL, 'Beta-lactamase-related', 'Beta-lactam-related', 3, NULL),
(3020, NULL, 'IPR034166', NULL, 'Npl3, RNA recognition motif 1', 'Npl3_RRM1', 3, NULL),
(3021, NULL, 'IPR001751', NULL, 'S100/Calbindin-D9k, conserved site', 'S100/CaBP-9k_CS', 2, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3022, NULL, 'IPR001637', NULL, 'Glutamine synthetase class-I, adenylation site', 'Gln_synth_I_adenylation_site', 2, NULL),
(3023, NULL, 'IPR001709', NULL, 'Flavoprotein pyridine nucleotide cytochrome reductase', 'Flavoprot_Pyr_Nucl_cyt_Rdtase', 3, NULL),
(3024, NULL, 'IPR007876', NULL, 'Neuraminyllactose-binding hemagglutinin', 'NeuraminylLac-bd_hemagglutn', 4, NULL),
(3025, NULL, 'IPR001712', NULL, 'Type III secretion system FHIPEP', 'T3SS_FHIPEP', 4, NULL),
(3026, NULL, 'IPR001518', NULL, 'Argininosuccinate synthase', 'Arginosuc_synth', 4, NULL),
(3027, NULL, 'IPR000913', NULL, 'Neurokinin NK2 receptor', 'NK2_rcpt', 4, NULL),
(3028, NULL, 'IPR003284', NULL, 'Salmonella virulence plasmid 65kDa B protein', 'Sal_SpvB', 4, NULL),
(3029, NULL, 'IPR001432', NULL, 'Muscarinic acetylcholine receptor M4', 'Musac_Ach_M4_rcpt', 4, NULL),
(3030, NULL, 'IPR001728', NULL, 'Thyroid hormone receptor', 'ThyrH_rcpt', 4, NULL),
(3031, NULL, 'IPR001602', NULL, 'Uncharacterised protein family UPF0047', 'UPF0047', 4, NULL),
(3032, NULL, 'IPR001722', NULL, 'Glycoside hydrolase, family 7', 'Glyco_hydro_7', 4, NULL),
(3033, NULL, 'IPR000930', NULL, 'Peptidase S3, togavirin', 'Peptidase_S3', 3, NULL),
(3034, NULL, 'IPR006781', NULL, 'Apolipoprotein C-I', 'ApoC-I', 4, NULL),
(3035, NULL, 'IPR006233', NULL, 'Cystathionine beta-lyase, bacterial', 'Cys_b_lyase_bac', 4, NULL),
(3036, NULL, 'IPR007868', NULL, 'Hom-end-associated Hint', 'Hom_end_hint', 3, NULL),
(3037, NULL, 'IPR003288', NULL, 'GPCR, family 2, growth hormone-releasing hormone receptor', 'GPCR_2_GHRH_rcpt', 4, NULL),
(3038, NULL, 'IPR001480', NULL, 'Bulb-type lectin domain', 'Bulb-type_lectin_dom', 3, NULL),
(3039, NULL, 'IPR006768', NULL, 'Cwf19-like, C-terminal domain-1', 'Cwf19-like_C_dom-1', 3, NULL),
(3040, NULL, 'IPR001457', NULL, 'NADH:ubiquinone/plastoquinone oxidoreductase, chain 6', 'NADH_UbQ/plastoQ_OxRdtase_su6', 4, NULL),
(3041, NULL, 'IPR006759', NULL, 'Glycosyl transferase family 54', 'Glyco_transf_54', 4, NULL),
(3042, NULL, 'IPR001441', NULL, 'Decaprenyl diphosphate synthase-like', 'UPP_synth-like', 4, NULL),
(3043, NULL, 'IPR003201', NULL, 'Transposase Tn5, dimerisation', 'Transposase_Tn5', 3, NULL),
(3044, NULL, 'IPR001796', NULL, 'Dihydrofolate reductase domain', 'DHFR_dom', 3, NULL),
(3045, NULL, 'IPR003830', NULL, '(2R)-phospho-3-sulpholactate synthase, ComA', 'ComA_synth', 4, NULL),
(3046, NULL, 'IPR001782', NULL, 'Flagellar P-ring protein', 'Flag_FlgI', 4, NULL),
(3047, NULL, 'IPR001717', NULL, 'Anion exchange protein', 'Anion_exchange', 4, NULL),
(3048, NULL, 'IPR007899', NULL, 'CHAD domain', 'CHAD_dom', 3, NULL),
(3049, NULL, 'IPR003835', NULL, 'Glycosyl transferase, family 19', 'Glyco_trans_19', 4, NULL),
(3050, NULL, 'IPR001779', NULL, 'Two pore domain potassium channel, TWIK-1', '2pore_dom_K_chnl_TWIK1', 4, NULL),
(3051, NULL, 'IPR001679', NULL, 'NAD-dependent DNA ligase', 'DNAligase', 4, NULL),
(3052, NULL, 'IPR015793', NULL, 'Pyruvate kinase, barrel', 'Pyrv_Knase_brl', 3, NULL),
(3053, NULL, 'IPR007892', NULL, 'CHASE4', 'CHASE4', 3, NULL),
(3054, NULL, 'IPR001500', NULL, 'Alpha-1-acid glycoprotein', 'A1A_glycop', 4, NULL),
(3055, NULL, 'IPR003802', NULL, 'Sporulation regulator WhiA', 'Sporulation_regulator_WhiA', 4, NULL),
(3056, NULL, 'IPR001731', NULL, 'Delta-aminolevulinic acid dehydratase', 'ALAD', 4, NULL),
(3057, NULL, 'IPR000919', NULL, 'Neutrophil cytosol factor P40', 'p40phox', 4, NULL),
(3058, NULL, 'IPR001482', NULL, 'Type II/IV secretion system protein', 'T2SS/T4SS', 3, NULL),
(3059, NULL, 'IPR003292', NULL, 'GPCR, family 2, glucagon-like peptide-1 receptor', 'GPCR_2_GLP1_rcpt', 4, NULL),
(3060, NULL, 'IPR007902', NULL, 'Centromere protein Chl4/mis15/CENP-N', 'Chl4/mis15/CENP-N', 4, NULL),
(3061, NULL, 'IPR007900', NULL, 'Transcription initiation factor TFIID component TAF4, C-terminal', 'TAF4_C', 3, NULL),
(3062, NULL, 'IPR001626', NULL, 'ABC transporter, TroCD-like', 'ABC_TroCD', 4, NULL),
(3063, NULL, 'IPR001763', NULL, 'Rhodanese-like domain', 'Rhodanese-like_dom', 3, NULL),
(3064, NULL, 'IPR000938', NULL, 'CAP Gly-rich domain', 'CAP-Gly_domain', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3065, NULL, 'IPR000940', NULL, 'Methyltransferase, NNMT/PNMT/TEMT', 'NNMT_TEMT_trans', 4, NULL),
(3066, NULL, 'IPR007867', NULL, 'Glucose-methanol-choline oxidoreductase, C-terminal', 'GMC_OxRtase_C', 3, NULL),
(3067, NULL, 'IPR001558', NULL, 'HIV negative factor Nef', 'HIV_Nef', 4, NULL),
(3068, NULL, 'IPR006757', NULL, 'Opioid growth factor receptor (OGFr) conserved domain', 'OGF_rcpt', 3, NULL),
(3069, NULL, 'IPR006753', NULL, 'Nanovirus coat protein', 'Nanovirus_coat', 4, NULL),
(3070, NULL, 'IPR000896', NULL, 'Hemocyanin/hexamerin middle domain', 'Hemocyanin/hexamerin_mid_dom', 3, NULL),
(3071, NULL, 'IPR003842', NULL, 'Vacuolating cytotoxin', 'Vacuolating_cytotoxin', 4, NULL),
(3072, NULL, 'IPR006779', NULL, 'DNA binding protein S1FA', 'S1FA_DNA-bd', 4, NULL),
(3073, NULL, 'IPR001762', NULL, 'Disintegrin domain', 'Disintegrin_dom', 3, NULL),
(3074, NULL, 'IPR001704', NULL, 'Prepro-orexin', 'Orexin', 4, NULL),
(3075, NULL, 'IPR003850', NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurS', 'PurS', 4, NULL),
(3076, NULL, 'IPR001694', NULL, 'NADH:ubiquinone oxidoreductase, subunit 1/F420H2 oxidoreductase subunit H', 'NADH_UbQ_OxRdtase_su1/FPO', 4, NULL),
(3077, NULL, 'IPR001004', NULL, 'Alpha 1A adrenoceptor', 'ADRA1A_rcpt', 4, NULL),
(3078, NULL, 'IPR007898', NULL, 'RNA polymerase I-specific transcription initiation factor Rrn10, Saccharomycetes', 'Rrn10_Saccharomycetes', 4, NULL),
(3079, NULL, 'IPR001548', NULL, 'Peptidase M2, peptidyl-dipeptidase A', 'Peptidase_M2', 4, NULL),
(3080, NULL, 'IPR006794', NULL, 'Transcriptional activator, Zfx / Zfy domain', 'Transcrp_activ_Zfx/Zfy-dom', 3, NULL),
(3081, NULL, 'IPR001752', NULL, 'Kinesin motor domain', 'Kinesin_motor_dom', 3, NULL),
(3082, NULL, 'IPR001737', NULL, 'Ribosomal RNA adenine methyltransferase KsgA/Erm', 'KsgA/Erm', 4, NULL),
(3083, NULL, 'IPR003273', NULL, 'Potassium channel, inwardly rectifying, Kir2.3', 'K_chnl_inward-rec_Kir2.3', 4, NULL),
(3084, NULL, 'IPR001673', NULL, 'Dictyostelium (slime mold) repeat', 'S_mold_repeat', 7, NULL),
(3085, NULL, 'IPR000917', NULL, 'Sulfatase, N-terminal', 'Sulfatase_N', 3, NULL),
(3086, NULL, 'IPR001683', NULL, 'Phox homology', 'PX_dom', 3, NULL),
(3087, NULL, 'IPR003798', NULL, 'DNA recombination RmuC', 'DNA_recombination_RmuC', 4, NULL),
(3088, NULL, 'IPR007887', NULL, 'NTF2-like N-terminal transpeptidase', 'MecA_N', 3, NULL),
(3089, NULL, 'IPR006743', NULL, 'Mycoplasma hyorhinis VlpA repeat', 'VlpA_repeat', 7, NULL),
(3090, NULL, 'IPR006787', NULL, 'Pinin/SDK', 'Pinin_SDK_N', 3, NULL),
(3091, NULL, 'IPR007917', NULL, 'Gametocyte-specific factor 1, vertebrate', 'GTSF1_vertebrate', 4, NULL),
(3092, NULL, 'IPR003816', NULL, 'Nitrate reductase, gamma subunit', 'Nitrate_red_gam', 4, NULL),
(3093, NULL, 'IPR003849', NULL, 'Preprotein translocase YajC', 'Preprotein_translocase_YajC', 4, NULL),
(3094, NULL, 'IPR000904', NULL, 'Sec7 domain', 'Sec7_dom', 3, NULL),
(3095, NULL, 'IPR001504', NULL, 'Bradykinin receptor B2', 'Brdyknn_2_rcpt', 4, NULL),
(3096, NULL, 'IPR004677', NULL, 'Cytochrome c oxidase cbb3-type, subunit I', 'Cyt_c_oxidase_cbb3_su1', 4, NULL),
(3097, NULL, 'IPR001710', NULL, 'Pro-adrenomedullin', 'Pro-ADM', 4, NULL),
(3098, NULL, 'IPR006789', NULL, 'Actin-related protein 2/3 complex subunit 5', 'ARPC5', 4, NULL),
(3099, NULL, 'IPR001726', NULL, 'DNA nucleotidylexotransferase (TdT) / DNA-directed DNA/RNA polymerase mu', 'TdT/Mu', 4, NULL),
(3100, NULL, 'IPR000997', NULL, 'Cholinesterase', 'Cholinesterase', 4, NULL),
(3101, NULL, 'IPR001799', NULL, 'Ephrin receptor-binding domain', 'Ephrin_RBD', 3, NULL),
(3102, NULL, 'IPR007860', NULL, 'DNA mismatch repair protein MutS, connector domain', 'DNA_mmatch_repair_MutS_con_dom', 3, NULL),
(3103, NULL, 'IPR001647', NULL, 'DNA-binding HTH domain, TetR-type', 'HTH_TetR', 3, NULL),
(3104, NULL, 'IPR003158', NULL, 'Photosynthetic reaction centre, cytochrome c subunit', 'Photosyn_RC_cyt_c-su', 4, NULL),
(3105, NULL, 'IPR001732', NULL, 'UDP-glucose/GDP-mannose dehydrogenase, N-terminal', 'UDP-Glc/GDP-Man_DH_N', 3, NULL),
(3106, NULL, 'IPR034168', NULL, 'Peptidyl-prolyl cis-trans isomerase E, RNA recognition motif', 'PPIE_RRM', 3, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3107, NULL, 'IPR006736', NULL, 'Protein of unknown function DUF601', 'DUF601', 4, NULL),
(3108, NULL, 'IPR001630', NULL, 'cAMP response element binding (CREB) protein', 'Leuzip_CREB', 4, NULL),
(3109, NULL, 'IPR003207', NULL, 'Propanediol/glycerol dehydratase, small subunit', 'Ppandiol/glycerol_DeHydtase_su', 4, NULL),
(3110, NULL, 'IPR001471', NULL, 'AP2/ERF domain', 'AP2/ERF_dom', 3, NULL),
(3111, NULL, 'IPR003277', NULL, 'Potassium channel, inwardly rectifying, Kir3.4', 'K_chnl_inward-rec_Kir3.4', 4, NULL),
(3112, NULL, 'IPR000941', NULL, 'Enolase', 'Enolase', 4, NULL),
(3113, NULL, 'IPR003819', NULL, 'TauD/TfdA-like domain', 'TauD/TfdA-like', 3, NULL),
(3114, NULL, 'IPR007906', NULL, 'Glycosylation-dependent cell adhesion molecule 1', 'GLYCAM-1', 4, NULL),
(3115, NULL, 'IPR001753', NULL, 'Enoyl-CoA hydratase/isomerase', 'Enoyl-CoA_hydra/iso', 4, NULL),
(3116, NULL, 'IPR001455', NULL, 'TusA-like domain', 'TusA-like', 3, NULL),
(3117, NULL, 'IPR003196', NULL, 'Transcription initiation factor IIF, beta subunit', 'TFIIF_beta', 4, NULL),
(3118, NULL, 'IPR003298', NULL, 'Apical membrane antigen 1', 'Apmem_Ag1', 4, NULL),
(3119, NULL, 'IPR004690', NULL, 'Malonate transporter MadL subunit', 'Maln_transptMadL', 4, NULL),
(3120, NULL, 'IPR003825', NULL, 'Colicin V production, CvpA', 'Colicin-V_CvpA', 4, NULL),
(3121, NULL, 'IPR001765', NULL, 'Carbonic anhydrase', 'Carbonic_anhydrase', 4, NULL),
(3122, NULL, 'IPR001531', NULL, 'Zinc-dependent phospholipase C', 'Zn_PLipaseC', 3, NULL),
(3123, NULL, 'IPR006793', NULL, 'FaeA-like protein', 'FaeA', 4, NULL),
(3124, NULL, 'IPR007912', NULL, 'Adenovirus E3A', 'Adeno_E3A', 4, NULL),
(3125, NULL, 'IPR001711', NULL, 'Phospholipase C, phosphatidylinositol-specific, Y domain', 'PLipase_C_Pinositol-sp_Y', 3, NULL),
(3126, NULL, 'IPR003812', NULL, 'Fido domain', 'Fido', 3, NULL),
(3127, NULL, 'IPR003782', NULL, 'Copper chaperone SCO1/SenC', 'SCO1/SenC', 4, NULL),
(3128, NULL, 'IPR003859', NULL, 'Beta-1,4-galactosyltransferase', 'Galactosyl_T', 4, NULL),
(3129, NULL, 'IPR001636', NULL, 'Phosphoribosylaminoimidazole-succinocarboxamide synthase', 'SAICAR_synth', 4, NULL),
(3130, NULL, 'IPR006754', NULL, 'Poxvirus I3 ssDNA-binding', 'Poxvirus_I3_ssDNA-bd', 4, NULL),
(3131, NULL, 'IPR001468', NULL, 'Indole-3-glycerol phosphate synthase, conserved site', 'Indole-3-GlycerolPSynthase_CS', 2, NULL),
(3132, NULL, 'IPR003296', NULL, 'Interleukin-1 beta', 'IL-1_beta', 4, NULL),
(3133, NULL, 'IPR003847', NULL, 'Putative antitoxin', 'Put_antitoxin', 4, NULL),
(3134, NULL, 'IPR001708', NULL, 'Membrane  insertase YidC/ALB3/OXA1/COX18', 'YidC/ALB3/OXA1/COX18', 4, NULL),
(3135, NULL, 'IPR001754', NULL, 'Orotidine 5''-phosphate decarboxylase domain', 'OMPdeCOase_dom', 3, NULL),
(3136, NULL, 'IPR003829', NULL, 'Pirin, N-terminal domain', 'Pirin_N_dom', 3, NULL),
(3137, NULL, 'IPR001409', NULL, 'Glucocorticoid receptor', 'Glcrtcd_rcpt', 4, NULL),
(3138, NULL, 'IPR000989', NULL, 'Replication protein', 'Rep', 4, NULL),
(3139, NULL, 'IPR000951', NULL, 'Phthalate dioxygenase reductase', 'Ph_dOase_redase', 4, NULL),
(3140, NULL, 'IPR001761', NULL, 'Periplasmic binding protein/LacI sugar binding domain', 'Peripla_BP/Lac1_sug-bd_dom', 3, NULL),
(3141, NULL, 'IPR003805', NULL, 'Adenosylcobinamide-GDP ribazoletransferase', 'CobS', 4, NULL),
(3142, NULL, 'IPR001690', NULL, 'Autoinducer synthase', 'Autoind_synthase', 4, NULL),
(3143, NULL, 'IPR003303', NULL, 'Filaggrin', 'Filaggrin', 4, NULL),
(3144, NULL, 'IPR000973', NULL, 'T-cell surface antigen CD4', 'CD4', 4, NULL),
(3145, NULL, 'IPR006747', NULL, 'Protein of unknown function DUF599', 'DUF599', 4, NULL),
(3146, NULL, 'IPR006770', NULL, 'Opioid growth factor receptor repeat', 'OGF_rcpt_rpt', 7, NULL),
(3147, NULL, 'IPR001775', NULL, 'GspD/PilQ family', 'GspD/PilQ', 4, NULL),
(3148, NULL, 'IPR007915', NULL, 'Oligosaccharyltransferase complex subunit', 'TMEM258/Ost5', 4, NULL),
(3149, NULL, 'IPR007866', NULL, 'TRIC channel', 'TRIC_channel', 4, NULL),
(3150, NULL, 'IPR007877', NULL, 'Protein of unknown function DUF707', 'DUF707', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3151, NULL, 'IPR001447', NULL, 'Arylamine N-acetyltransferase', 'Arylamine_N-AcTrfase', 4, NULL),
(3152, NULL, 'IPR007918', NULL, 'Mitochondrial distribution/morphology family 35/apoptosis', 'MDM35_apoptosis', 4, NULL),
(3153, NULL, 'IPR003861', NULL, 'E4 protein', 'Papilloma_E4', 4, NULL),
(3154, NULL, 'IPR000948', NULL, 'Ribosomal protein L7Ae, prokaryotes', 'Ribosomal_L7Ae_prok', 4, NULL),
(3155, NULL, 'IPR007910', NULL, 'Protein of unknown function DUF735', 'DUF735', 4, NULL),
(3156, NULL, 'IPR004685', NULL, 'Branched-chain amino acid transport system II carrier protein', 'Brnchd-chn_aa_trnsp_Livcs', 4, NULL),
(3157, NULL, 'IPR003276', NULL, 'Potassium channel, inwardly rectifying, Kir3.3', 'K_chnl_inward-rec_Kir3.3', 4, NULL),
(3158, NULL, 'IPR007896', NULL, 'Chlorhexidine efflux transporter', 'BTP_bacteria', 3, NULL),
(3159, NULL, 'IPR007873', NULL, 'Glycosyltransferase, ALG3', 'Glycosyltransferase_ALG3', 4, NULL),
(3160, NULL, 'IPR001767', NULL, 'Hedgehog protein, Hint domain', 'Hedgehog_Hint', 3, NULL),
(3161, NULL, 'IPR001620', NULL, 'Dopamine D3 receptor', 'Dopamine_D3_rcpt', 4, NULL),
(3162, NULL, 'IPR001780', NULL, 'Ribosomal protein L35A', 'Ribosomal_L35A', 4, NULL),
(3163, NULL, 'IPR001529', NULL, 'DNA-directed RNA polymerase, M/15kDa subunit', 'DNA-dir_RNA_pol_M/15kDasu', 3, NULL),
(3164, NULL, 'IPR001718', NULL, 'CC chemokine receptor 7', 'Chemokine_CCR7', 4, NULL),
(3165, NULL, 'IPR003808', NULL, 'Fe-S metabolism associated domain, SufE-like', 'Fe-S_metab-assoc_dom', 3, NULL),
(3166, NULL, 'IPR001448', NULL, 'Small acid-soluble spore protein, alpha/beta-type', 'SASP_alpha/beta-type', 4, NULL),
(3167, NULL, 'IPR000998', NULL, 'MAM domain', 'MAM_dom', 3, NULL),
(3168, NULL, 'IPR000976', NULL, 'Wilm''s tumour protein, N-terminal', 'Wilms_tumour_N', 3, NULL),
(3169, NULL, 'IPR007861', NULL, 'DNA mismatch repair protein MutS, clamp', 'DNA_mismatch_repair_MutS_clamp', 3, NULL),
(3170, NULL, 'IPR007895', NULL, 'MASE1', 'MASE1', 3, NULL),
(3171, NULL, 'IPR001692', NULL, 'Histidinol dehydrogenase, conserved site', 'Histidinol_DH_CS', 2, NULL),
(3172, NULL, 'IPR003285', NULL, 'Eukaryotic peptide chain release factor GTP-binding subunit', 'Sup35', 4, NULL),
(3173, NULL, 'IPR001743', NULL, 'Photosystem II PsbT', 'PSII_PsbT', 4, NULL),
(3174, NULL, 'IPR006774', NULL, 'BAF1 / ABF1 chromatin reorganising factor', 'BAF1_ABF1', 4, NULL),
(3175, NULL, 'IPR006790', NULL, 'Baculovirus Gp41, glycoprotein', 'Baculovirus_Gp41', 4, NULL),
(3176, NULL, 'IPR003820', NULL, 'Potassium-transporting ATPase C chain', 'KdpC', 4, NULL),
(3177, NULL, 'IPR004679', NULL, '2-hydroxycarboxylate transporter', '2-OHcarboxylate_transport', 4, NULL),
(3178, NULL, 'IPR000975', NULL, 'Interleukin-1 family', 'IL-1_fam', 4, NULL),
(3179, NULL, 'IPR003834', NULL, 'Cytochrome C biogenesis protein, transmembrane domain', 'Cyt_c_assmbl_TM_dom', 3, NULL),
(3180, NULL, 'IPR003821', NULL, '1-deoxy-D-xylulose 5-phosphate reductoisomerase', 'DXP_reductoisomerase', 4, NULL),
(3181, NULL, 'IPR006741', NULL, 'Accessory gene regulator B', 'AgrB', 4, NULL),
(3182, NULL, 'IPR001567', NULL, 'Peptidase M3A/M3B catalytic domain', 'Pept_M3A_M3B_dom', 3, NULL),
(3183, NULL, 'IPR007878', NULL, 'Coronavirus NS2A', 'Coronavirus_NS2A', 4, NULL),
(3184, NULL, 'IPR003300', NULL, 'Viral protein D9', 'Viral_VD9', 4, NULL),
(3185, NULL, 'IPR003785', NULL, 'Creatininase/formamide hydrolase', 'Creatininase/forma_Hydrolase', 4, NULL),
(3186, NULL, 'IPR003781', NULL, 'CoA-binding', 'CoA-bd', 3, NULL),
(3187, NULL, 'IPR003188', NULL, 'Phosphotransferase system, lactose/cellobiose-type IIA subunit', 'PTS_IIA_lac/cel', 4, NULL),
(3188, NULL, 'IPR001474', NULL, 'GTP cyclohydrolase I', 'GTP_CycHdrlase_I', 4, NULL),
(3189, NULL, 'IPR006761', NULL, 'Twisted gastrulation (Tsg) protein', 'Tsg', 4, NULL),
(3190, NULL, 'IPR001670', NULL, 'Alcohol dehydrogenase, iron-type/glycerol dehydrogenase GldA', 'ADH_Fe/GldA', 3, NULL),
(3191, NULL, 'IPR000923', NULL, 'Blue (type 1) copper domain', 'BlueCu_1', 3, NULL),
(3192, NULL, 'IPR007857', NULL, 'Protein arginine N-methyltransferase PRMT5', 'Arg_MeTrfase_PRMT5', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3193, NULL, 'IPR000860', NULL, 'Porphobilinogen deaminase', 'HemC', 4, NULL),
(3194, NULL, 'IPR001494', NULL, 'Importin-beta, N-terminal domain', 'Importin-beta_N', 3, NULL),
(3195, NULL, 'IPR003841', NULL, 'Sodium-dependent phosphate transport protein', 'Na/Pi_transpt', 4, NULL),
(3196, NULL, 'IPR000859', NULL, 'CUB domain', 'CUB_dom', 3, NULL),
(3197, NULL, 'IPR003268', NULL, 'Potassium channel, inwardly rectifying, Kir1.1', 'K_chnl_inward-rec_Kir1.1', 4, NULL),
(3198, NULL, 'IPR006772', NULL, 'Herpesvirus BTRF1 protein', 'Herpes_BTRF1', 4, NULL),
(3199, NULL, 'IPR007890', NULL, 'CHASE2', 'CHASE2', 3, NULL),
(3200, NULL, 'IPR004686', NULL, 'Tricarboxylate/iron carrier', 'Mtc', 4, NULL),
(3201, NULL, 'IPR003838', NULL, 'ABC3 transporter permease protein domain', 'ABC3_permease_dom', 3, NULL),
(3202, NULL, 'IPR000933', NULL, 'Glycoside hydrolase, family 29', 'Glyco_hydro_29', 4, NULL),
(3203, NULL, 'IPR003780', NULL, 'COX15/CtaA family', 'COX15/CtaA_fam', 4, NULL),
(3204, NULL, 'IPR007875', NULL, 'Sprouty', 'Sprouty', 4, NULL),
(3205, NULL, 'IPR003823', NULL, 'CP12 domain', 'CP12_dom', 3, NULL),
(3206, NULL, 'IPR000932', NULL, 'Photosystem antenna protein-like', 'PS_antenna-like', 4, NULL),
(3207, NULL, 'IPR000968', NULL, 'Influenza nuclear export protein NS2', 'Flu_NS2', 4, NULL),
(3208, NULL, 'IPR003274', NULL, 'Potassium channel, inwardly rectifying, Kir3.1', 'K_chnl_inward-rec_Kir3.1', 4, NULL),
(3209, NULL, 'IPR006752', NULL, 'Archaeal flagella protein FlaD/E domain', 'Arch_fla_DE', 3, NULL),
(3210, NULL, 'IPR001463', NULL, 'Sodium:alanine symporter', 'Na/Ala_symport', 4, NULL),
(3211, NULL, 'IPR001684', NULL, 'Ribosomal protein L27', 'Ribosomal_L27', 4, NULL),
(3212, NULL, 'IPR001677', NULL, 'Transferrin-binding protein B, C-lobe/N-lobe beta barrel domain', 'TbpB_B_D', 3, NULL),
(3213, NULL, 'IPR001698', NULL, 'F-actin-capping protein subunit beta', 'CAPZB', 4, NULL),
(3214, NULL, 'IPR004678', NULL, 'Cytochrome c oxidase cbb3-type, subunit III', 'Cyt_c_oxidase_cbb3_su3', 4, NULL),
(3215, NULL, 'IPR001699', NULL, 'Transcription factor, T-box', 'TF_T-box', 4, NULL),
(3216, NULL, 'IPR000945', NULL, 'Dopamine beta-hydroxylase-like', 'DBH-like', 4, NULL),
(3217, NULL, 'IPR001574', NULL, 'Ribosome-inactivating protein', 'Ribosome_inactivat_prot', 4, NULL),
(3218, NULL, 'IPR007864', NULL, 'Urease accessory protein UreE, C-terminal domain', 'UreE_C_dom', 3, NULL),
(3219, NULL, 'IPR007923', NULL, 'Herpesvirus glycoprotein L, N-terminal', 'Herpes_gL_N', 3, NULL),
(3220, NULL, 'IPR001509', NULL, 'NAD-dependent epimerase/dehydratase', 'Epimerase_deHydtase', 3, NULL),
(3221, NULL, 'IPR001640', NULL, 'Phosphatidylglycerol--prolipoprotein diacylglyceryl transferase Lgt', 'Lgt', 4, NULL),
(3222, NULL, 'IPR001645', NULL, 'Folylpolyglutamate synthetase', 'Folylpolyglutamate_synth', 4, NULL),
(3223, NULL, 'IPR000979', NULL, 'Phosphodiesterase MJ0936/Vps29', 'Phosphodiesterase_MJ0936/Vps29', 4, NULL),
(3224, NULL, 'IPR000992', NULL, 'Stress-induced protein SRP1/TIP1', 'SRP1_TIP1', 4, NULL),
(3225, NULL, 'IPR001802', NULL, 'Mercuric transport protein periplasmic component/copper chaperone CopZ', 'MerP/CopZ', 4, NULL),
(3226, NULL, 'IPR001689', NULL, 'Flagellar motor switch protein FliM', 'Flag_FliM', 4, NULL),
(3227, NULL, 'IPR001555', NULL, 'Phosphoribosylglycinamide formyltransferase, active site', 'GART_AS', 0, NULL),
(3228, NULL, 'IPR001730', NULL, 'Potyvirus NIa protease (NIa-pro) domain', 'Potyv_NIa-pro_dom', 3, NULL),
(3229, NULL, 'IPR007863', NULL, 'Peptidase M16, C-terminal', 'Peptidase_M16_C', 3, NULL),
(3230, NULL, 'IPR003786', NULL, 'Sulfur carrier protein FdhD', 'FdhD', 4, NULL),
(3231, NULL, 'IPR003840', NULL, 'Pif1/Herpes helicase domain', 'DNA_helicase', 3, NULL),
(3232, NULL, 'IPR006738', NULL, 'Motilin/ghrelin', 'Motilin_ghrelin', 3, NULL),
(3233, NULL, 'IPR001656', NULL, 'Pseudouridine synthase, TruD', 'PsdUridine_synth_TruD', 4, NULL),
(3234, NULL, 'IPR001663', NULL, 'Aromatic-ring-hydroxylating dioxygenase, alpha subunit', 'Rng_hydr_dOase-A', 4, NULL),
(3235, NULL, 'IPR001739', NULL, 'Methyl-CpG DNA binding', 'Methyl_CpG_DNA-bd', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3236, NULL, 'IPR001624', NULL, 'Flagellar hook-basal body complex protein FliE', 'FliE', 4, NULL),
(3237, NULL, 'IPR003810', NULL, 'Putative manganese efflux pump', 'Mntp/YtaF', 4, NULL),
(3238, NULL, 'IPR007920', NULL, 'Protein of unknown function UPF0223', 'UPF0223', 4, NULL),
(3239, NULL, 'IPR000895', NULL, 'Transthyretin/hydroxyisourate hydrolase', 'Transthyretin/HIU_hydrolase', 4, NULL),
(3240, NULL, 'IPR004676', NULL, 'Cadmium resistance transporter', 'Cd-R_transporter', 4, NULL),
(3241, NULL, 'IPR003302', NULL, 'Cornifin/Small proline-rich protein 3', 'SPRR1/SPRR3', 4, NULL),
(3242, NULL, 'IPR000931', NULL, 'Adenovirus fibre protein', 'Adeno_fibre', 4, NULL),
(3243, NULL, 'IPR001638', NULL, 'Solute-binding protein  family 3/N-terminal domain of MltF', 'Solute-binding_3/MltF_N', 3, NULL),
(3244, NULL, 'IPR001545', NULL, 'Gonadotropin, beta subunit', 'Gonadotropin_bsu', 4, NULL),
(3245, NULL, 'IPR001544', NULL, 'Aminotransferase class IV', 'Aminotrans_IV', 4, NULL),
(3246, NULL, 'IPR004682', NULL, 'TRAP transporter solute receptor, DctP family', 'TRAP_DctP', 4, NULL),
(3247, NULL, 'IPR003826', NULL, 'S-adenosylmethionine decarboxylase family, prokaryotic', 'AdoMetDC_fam_prok', 4, NULL),
(3248, NULL, 'IPR003831', NULL, 'Protein of unknown function DUF211', 'DUF211', 4, NULL),
(3249, NULL, 'IPR003851', NULL, 'Zinc finger, Dof-type', 'Znf_Dof', 3, NULL),
(3250, NULL, 'IPR006767', NULL, 'Cwf19-like protein, C-terminal domain-2', 'Cwf19-like_C_dom-2', 3, NULL),
(3251, NULL, 'IPR003192', NULL, 'Porin, LamB-type', 'Porin_LamB', 4, NULL),
(3252, NULL, 'IPR003836', NULL, 'Glucokinase', 'Glucokinase', 4, NULL),
(3253, NULL, 'IPR003848', NULL, 'Domain of unknown function DUF218', 'DUF218', 3, NULL),
(3254, NULL, 'IPR001650', NULL, 'Helicase, C-terminal', 'Helicase_C', 3, NULL),
(3255, NULL, 'IPR001721', NULL, 'Threonine dehydratase, ACT-like domain', 'TD_ACT-like', 3, NULL),
(3256, NULL, 'IPR006746', NULL, '26S proteasome non-ATPase regulatory subunit Rpn12', '26S_Psome_Rpn12', 4, NULL),
(3257, NULL, 'IPR006783', NULL, 'Transposase, ISC1217', 'Transposase_ISC1217', 4, NULL),
(3258, NULL, 'IPR003297', NULL, 'Interleukin-1 receptor antagonist/Interleukin-36', 'IL-1RA/IL-36', 4, NULL),
(3259, NULL, 'IPR003846', NULL, 'Protein adenylyltransferase SelO', 'SelO', 4, NULL),
(3260, NULL, 'IPR001681', NULL, 'Neurokinin receptor', 'Neurokn_rcpt', 4, NULL),
(3261, NULL, 'IPR000994', NULL, 'Peptidase M24', 'Pept_M24', 3, NULL),
(3262, NULL, 'IPR006760', NULL, 'Endosulphine', 'Endosulphine', 4, NULL),
(3263, NULL, 'IPR000906', NULL, 'ZU5 domain', 'ZU5_dom', 3, NULL),
(3264, NULL, 'IPR000915', NULL, '60S ribosomal protein L6E', '60S_ribosomal_L6E', 4, NULL),
(3265, NULL, 'IPR001437', NULL, 'Transcription elongation factor, GreA/GreB, C-terminal', 'Tscrpt_elong_fac_GreA/B_C', 3, NULL),
(3266, NULL, 'IPR001729', NULL, 'Pulmonary surfactant-associated protein C', 'SP-C', 4, NULL),
(3267, NULL, 'IPR006780', NULL, 'YABBY protein', 'YABBY', 4, NULL),
(3268, NULL, 'IPR004680', NULL, 'Citrate transporter-like domain', 'Cit_transptr-like_dom', 3, NULL),
(3269, NULL, 'IPR003837', NULL, 'Glu-tRNAGln amidotransferase C subunit', 'Asp/Glu-ADT_csu', 4, NULL),
(3270, NULL, 'IPR006791', NULL, 'Pox virus D2 protein', 'Pox_D2', 4, NULL),
(3271, NULL, 'IPR003814', NULL, 'Formylmethanofuran dehydrogenase, subunit E domain', 'FmdEsu_dom', 3, NULL),
(3272, NULL, 'IPR007865', NULL, 'Aminopeptidase P, N-terminal', 'Aminopep_P_N', 3, NULL),
(3273, NULL, 'IPR003796', NULL, 'Ribonucleotide reductase regulator NrdR-like', 'RNR_NrdR-like', 4, NULL),
(3274, NULL, 'IPR007889', NULL, 'DNA binding HTH domain, Psq-type', 'HTH_Psq', 3, NULL),
(3275, NULL, 'IPR001724', NULL, 'Glycosyl hydrolase 58', 'Glycl_Hydrolase_58', 4, NULL),
(3276, NULL, 'IPR003852', NULL, 'Signal transduction histidine kinase, osmosensitive K+ channel sensor, N-terminal', 'Sig_transdc_His_kinase_KdpD_N', 3, NULL),
(3277, NULL, 'IPR003854', NULL, 'Gibberellin regulated protein', 'GASA', 4, NULL),
(3278, NULL, 'IPR006777', NULL, 'Minor spike protein', 'Microvir_H', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3279, NULL, 'IPR034548', NULL, 'Heterogeneous nuclear ribonucleoprotein Q, RNA recognition motif 2', 'hnRNPQ_RRM2', 3, NULL),
(3280, NULL, 'IPR006795', NULL, 'Thiostrepton-resistance methylase, N-terminal', 'Thiostrepton-R_Mease_TSNR_N', 3, NULL),
(3281, NULL, 'IPR003839', NULL, '7TM GPCR, serpentine receptor class u (Sru)', '7TM_GPCR_serpentine_rcpt_Sru', 4, NULL),
(3282, NULL, 'IPR000990', NULL, 'Innexin', 'Innexin', 4, NULL),
(3283, NULL, 'IPR003844', NULL, 'Uncharacterised protein family UPF0060', 'UPF0060', 4, NULL),
(3284, NULL, 'IPR003197', NULL, 'Cytochrome b-c1 complex subunit 7', 'QCR7', 4, NULL),
(3285, NULL, 'IPR003205', NULL, 'Cytochrome c oxidase, subunit 8', 'Cyt_c_oxidase_su8', 4, NULL),
(3286, NULL, 'IPR007862', NULL, 'Adenylate kinase, active site lid domain', 'Adenylate_kinase_lid-dom', 3, NULL),
(3287, NULL, 'IPR003301', NULL, 'Vaccinia virus D10, decapping enzyme', 'Vaccinia_D10_decapping', 4, NULL),
(3288, NULL, 'IPR001668', NULL, 'Plasmid recombination enzyme', 'Mob_Pre', 4, NULL),
(3289, NULL, 'IPR001570', NULL, 'Peptidase M4, C-terminal', 'Peptidase_M4_C_domain', 3, NULL),
(3290, NULL, 'IPR003279', NULL, 'Potassium channel, inwardly rectifying, Kir6.2', 'K_chnl_inward-rec_Kir6.2', 4, NULL),
(3291, NULL, 'IPR007908', NULL, 'Outer membrane protein 2, Brucella', 'OMP2_Brucella', 4, NULL),
(3292, NULL, 'IPR001427', NULL, 'Pancreatic ribonuclease', 'RNaseA', 4, NULL),
(3293, NULL, 'IPR001789', NULL, 'Signal transduction response regulator, receiver domain', 'Sig_transdc_resp-reg_receiver', 3, NULL),
(3294, NULL, 'IPR003283', NULL, 'Type III secretion system outer membrane, SpaO', 'T3SS_OMP_SpaO', 4, NULL),
(3295, NULL, 'IPR000943', NULL, 'RNA polymerase sigma-70', 'RNA_pol_sigma70', 3, NULL),
(3296, NULL, 'IPR006742', NULL, 'Mating factor alpha, C-terminal repeat', 'Mating_factor_alpha_C', 7, NULL),
(3297, NULL, 'IPR001401', NULL, 'Dynamin, GTPase domain', 'Dynamin_GTPase', 3, NULL),
(3298, NULL, 'IPR003804', NULL, 'L-lactate permease', 'Lactate_perm', 4, NULL),
(3299, NULL, 'IPR006792', NULL, 'Vicilin, N-terminal', 'Vicilin_N', 3, NULL),
(3300, NULL, 'IPR006756', NULL, 'Phenol hydroxylase', 'Phenol_hydroxylase', 4, NULL),
(3301, NULL, 'IPR001772', NULL, 'Kinase associated domain 1 (KA1)', 'KA1_dom', 3, NULL),
(3302, NULL, 'IPR001686', NULL, 'Peptidase A22A, presenilin, nematode type', 'Pept_A22A_Ceel', 4, NULL),
(3303, NULL, 'IPR007921', NULL, 'CHAP domain', 'CHAP_dom', 3, NULL),
(3304, NULL, 'IPR006784', NULL, 'Coronavirus Orf3', 'Coronavirus_Orf3', 4, NULL),
(3305, NULL, 'IPR006786', NULL, 'Pinin/SDK/MemA protein', 'Pinin_SDK_MemA', 3, NULL),
(3306, NULL, 'IPR001002', NULL, 'Chitin-binding, type 1', 'Chitin-bd_1', 3, NULL),
(3307, NULL, 'IPR004688', NULL, 'Transition metal uptake transporter nickel/cobalt', 'Ni/Co_transpt', 4, NULL),
(3308, NULL, 'IPR001628', NULL, 'Zinc finger, nuclear hormone receptor-type', 'Znf_hrmn_rcpt', 3, NULL),
(3309, NULL, 'IPR001609', NULL, 'Myosin head, motor domain', 'Myosin_head_motor_dom', 3, NULL),
(3310, NULL, 'IPR000928', NULL, 'SNAP-25 domain', 'SNAP-25_dom', 3, NULL),
(3311, NULL, 'IPR001678', NULL, 'SAM-dependent methyltransferase RsmB/NOP2-type', 'MeTrfase_RsmB/NOP2', 3, NULL),
(3312, NULL, 'IPR001497', NULL, 'Methylated-DNA-[protein]-cysteine S-methyltransferase, active site', 'MethylDNA_cys_MeTrfase_AS', 0, NULL),
(3313, NULL, 'IPR003290', NULL, 'GPCR, family 2, glucagon-like peptide-1/glucagon receptor', 'GPCR_2_GLP1/glucagon_rcpt', 4, NULL),
(3314, NULL, 'IPR034544', NULL, 'Heterogeneous nuclear ribonucleoprotein Q, RNA recognition motif 1', 'hnRNPQ_RRM1', 3, NULL),
(3315, NULL, 'IPR003863', NULL, 'Protein of unknown function DUF220', 'DUF220', 4, NULL),
(3316, NULL, 'IPR001571', NULL, 'GPCR, family 2, vasoactive intestinal peptide receptor', 'GPCR_2_VIP_rcpt', 4, NULL),
(3317, NULL, 'IPR003194', NULL, 'Transcription initiation factor IIA, gamma subunit', 'TFIIA_gsu', 4, NULL),
(3318, NULL, 'IPR007872', NULL, 'DPH-type metal-binding  domain', 'DHP_MB_dom', 3, NULL),
(3319, NULL, 'IPR003291', NULL, 'GPCR, family 2, glucagon receptor', 'GPCR_2_glucagon_rcpt', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3320, NULL, 'IPR007879', NULL, 'FAD-linked sulfhydryl oxidase', 'Baculo_p33', 4, NULL),
(3321, NULL, 'IPR000982', NULL, 'Viral matrix protein', 'Matrix', 4, NULL),
(3322, NULL, 'IPR001510', NULL, 'Zinc finger, PARP-type', 'Znf_PARP', 3, NULL),
(3323, NULL, 'IPR001535', NULL, 'Arenavirus glycoprotein', 'Arena_glycoprot', 4, NULL),
(3324, NULL, 'IPR000974', NULL, 'Glycoside hydrolase, family 22, lysozyme', 'Glyco_hydro_22_lys', 4, NULL),
(3325, NULL, 'IPR001439', NULL, 'Hyaluronidase PH20/Hyaluronidase-5', 'Hyaluronidase_PH20/Hyal5', 4, NULL),
(3326, NULL, 'IPR000900', NULL, 'Nebulin repeat', 'Nebulin_repeat', 7, NULL),
(3327, NULL, 'IPR003857', NULL, 'Major outer sheath protein, N-terminal', 'MOSP_N', 3, NULL),
(3328, NULL, 'IPR006773', NULL, 'Proteasomal ubiquitin receptor Rpn13/ADRM1', 'Rpn13/ADRM1', 4, NULL),
(3329, NULL, 'IPR003783', NULL, 'Regulatory protein RecX', 'Regulatory_RecX', 4, NULL),
(3330, NULL, 'IPR001460', NULL, 'Penicillin-binding protein, transpeptidase', 'PCN-bd_Tpept', 3, NULL),
(3331, NULL, 'IPR007856', NULL, 'Saposin-like type B, region 1', 'SapB_1', 3, NULL),
(3332, NULL, 'IPR000961', NULL, 'AGC-kinase, C-terminal', 'AGC-kinase_C', 3, NULL),
(3333, NULL, 'IPR001615', NULL, 'Delta-endotoxin CytB', 'Endotoxin_CytB', 4, NULL),
(3334, NULL, 'IPR004681', NULL, 'TRAP transporter large membrane protein DctM', 'TRAP_DctM', 4, NULL),
(3335, NULL, 'IPR003807', NULL, 'Domain of unknown function DUF202', 'DUF202', 3, NULL),
(3336, NULL, 'IPR024620', NULL, 'Domain of unknown function DUF3869', 'DUF3869', 3, NULL),
(3337, NULL, 'IPR000908', NULL, 'Acetylcholinesterase, fish/snake', 'Acylcholinesterase_fish/snake', 4, NULL),
(3338, NULL, 'IPR003815', NULL, 'S-ribosylhomocysteinase (LuxS)', 'S-ribosylhomocysteinase', 4, NULL),
(3339, NULL, 'IPR007927', NULL, 'Protein of unknown function DUF722', 'DUF722', 4, NULL),
(3340, NULL, 'IPR003272', NULL, 'Potassium channel, inwardly rectifying, Kir2.2', 'K_chnl_inward-rec_Kir2.2', 4, NULL),
(3341, NULL, 'IPR006748', NULL, 'Aminoglycoside/hydroxyurea antibiotic resistance kinase', 'NH2Glyco/OHUrea_AB-resist_kin', 4, NULL),
(3342, NULL, 'IPR001665', NULL, 'Norovirus peptidase C37', 'Norovirus_pept_C37', 3, NULL),
(3343, NULL, 'IPR001759', NULL, 'Pentraxin-related', 'Pentraxin-related', 4, NULL),
(3344, NULL, 'IPR001672', NULL, 'Phosphoglucose isomerase (PGI)', 'G6P_Isomerase', 4, NULL),
(3345, NULL, 'IPR001478', NULL, 'PDZ domain', 'PDZ', 3, NULL),
(3346, NULL, 'IPR001661', NULL, 'Glycoside hydrolase, family 37', 'Glyco_hydro_37', 4, NULL),
(3347, NULL, 'IPR001705', NULL, 'Ribosomal protein L33', 'Ribosomal_L33', 4, NULL),
(3348, NULL, 'IPR034105', NULL, 'Sm-like protein Lsm3', 'Lsm3', 3, NULL),
(3349, NULL, 'IPR006744', NULL, 'Poxvirus A12', 'Poxvirus_A12', 4, NULL),
(3350, NULL, 'IPR007881', NULL, 'UNC-50', 'UNC-50', 4, NULL),
(3351, NULL, 'IPR001578', NULL, 'Peptidase C12, ubiquitin carboxyl-terminal hydrolase', 'Peptidase_C12_UCH', 3, NULL),
(3352, NULL, 'IPR007897', NULL, 'PHB accumulation regulatory', 'PHB_accumulat', 3, NULL),
(3353, NULL, 'IPR006782', NULL, 'Platelet-derived growth factor, N-terminal', 'PDGF_N', 3, NULL),
(3354, NULL, 'IPR001727', NULL, 'Gdt1 family', 'Gdt1', 4, NULL),
(3355, NULL, 'IPR006776', NULL, 'Sporulation-specific cell division protein SsgB', 'SsgB', 4, NULL),
(3356, NULL, 'IPR001580', NULL, 'Calreticulin/calnexin', 'Calret/calnex', 4, NULL),
(3357, NULL, 'IPR001697', NULL, 'Pyruvate kinase', 'Pyr_Knase', 4, NULL),
(3358, NULL, 'IPR001688', NULL, 'GPCR, family 2, calcitonin receptor', 'GPCR_2_calcitonin_rcpt', 4, NULL),
(3359, NULL, 'IPR001505', NULL, 'Copper centre Cu(A)', 'Copper_CuA', 1, NULL),
(3360, NULL, 'IPR006739', NULL, 'Protein of unknown function DUF603', 'DUF603', 4, NULL),
(3361, NULL, 'IPR006737', NULL, 'Motilin/ghrelin-associated peptide', 'Motilin_assoc', 3, NULL),
(3362, NULL, 'IPR004691', NULL, 'Malonate/sodium symporter MadM subunit', 'Mal/Na_symporter_MadM', 4, NULL),
(3363, NULL, 'IPR001750', NULL, 'NADH:quinone oxidoreductase/Mrp antiporter, membrane subunit', 'ND/Mrp_mem', 3, NULL),
(3364, NULL, 'IPR003295', NULL, 'Interleukin-1 alpha', 'IL-1_alpha', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3365, NULL, 'IPR000925', NULL, 'Major surface glycoprotein G', 'G_prot', 4, NULL),
(3366, NULL, 'IPR001733', NULL, 'Peptidase S26B', 'Peptidase_S26B', 4, NULL),
(3367, NULL, 'IPR006765', NULL, 'Polyketide synthesis cyclase', 'Polyketide_synth_cyclase', 4, NULL),
(3368, NULL, 'IPR001654', NULL, 'Marek''s disease glycoprotein A', 'Marek_A', 4, NULL),
(3369, NULL, 'IPR001769', NULL, 'Gingipain', 'Gingipain', 3, NULL),
(3370, NULL, 'IPR003282', NULL, 'Type III secretion system lipoprotein HrcJ/YscJ', 'T3SS_HrcJ/YscJ', 4, NULL),
(3371, NULL, 'IPR007874', NULL, 'Septum formation inhibitor MinC, N-terminal', 'MinC_N', 3, NULL),
(3372, NULL, 'IPR000032', NULL, 'Phosphocarrier protein HPr-like', 'HPr-like', 3, NULL),
(3373, NULL, 'IPR003787', NULL, 'Sulphur relay, DsrE/F-like protein', 'Sulphur_relay_DrsE/F-like', 3, NULL),
(3374, NULL, 'IPR003293', NULL, 'Nudix hydrolase 6-like', 'Nudix_hydrolase6-like', 4, NULL),
(3375, NULL, 'IPR001587', NULL, 'Ribonuclease J, conserved site', 'RNase_J_CS', 2, NULL),
(3376, NULL, 'IPR003793', NULL, 'Domain of unknown function DUF190', 'DUF190', 3, NULL),
(3377, NULL, 'IPR000949', NULL, 'ELM2 domain', 'ELM2_dom', 3, NULL),
(3378, NULL, 'IPR004694', NULL, 'Hydroxy amino acid transporter', 'Hydroxy_aa_transpt', 4, NULL),
(3379, NULL, 'IPR003287', NULL, 'GPCR, family 2, calcitonin receptor family', 'GCPR_2_calcitonin_rcpt_fam', 4, NULL),
(3380, NULL, 'IPR003289', NULL, 'GPCR, family 2, calcitonin gene-related peptide, type 1 receptor', 'GPCR_2_CGRP1_rcpt', 4, NULL),
(3381, NULL, 'IPR003778', NULL, 'Carboxyltransferase domain, subdomain A and B', 'CT_A_B', 3, NULL),
(3382, NULL, 'IPR001757', NULL, 'P-type ATPase', 'P_typ_ATPase', 4, NULL),
(3383, NULL, 'IPR001714', NULL, 'Peptidase M24, methionine aminopeptidase', 'Pept_M24_MAP', 4, NULL),
(3384, NULL, 'IPR001443', NULL, 'Staphylocoagulase repeat', 'Staphylcoagulase_rpt', 7, NULL),
(3385, NULL, 'IPR003203', NULL, 'Cobinamide kinase/cobinamide phosphate guanyltransferase', 'Cobinamide_kinase/P_G-Trfase', 4, NULL),
(3386, NULL, 'IPR001766', NULL, 'Fork head domain', 'Fork_head_dom', 3, NULL),
(3387, NULL, 'IPR034167', NULL, 'Nab3, RNA recognition motif', 'Nab3_RRM', 3, NULL),
(3388, NULL, 'IPR034282', NULL, 'Copper resistance protein CopA, second cupredoxin domain', 'CuRO_2_CopA', 3, NULL),
(3389, NULL, 'IPR000898', NULL, 'Indoleamine 2,3-dioxygenase', 'Indolamine_dOase', 4, NULL),
(3390, NULL, 'IPR006751', NULL, 'TAFII55 protein, conserved region', 'TAFII55_prot_cons_reg', 3, NULL),
(3391, NULL, 'IPR001707', NULL, 'Chloramphenicol acetyltransferase', 'Cmp_AcTrfase', 4, NULL),
(3392, NULL, 'IPR007882', NULL, 'Microtubule-associated protein 6', 'MAP6', 4, NULL),
(3393, NULL, 'IPR000953', NULL, 'Chromo/chromo shadow domain', 'Chromo/chromo_shadow_dom', 3, NULL),
(3394, NULL, 'IPR003855', NULL, 'Potassium transporter', 'K+_transporter', 4, NULL),
(3395, NULL, 'IPR001715', NULL, 'Calponin homology domain', 'CH-domain', 3, NULL),
(3396, NULL, 'IPR006775', NULL, 'Glycosyl-hydrolase family 116, catalytic region', 'GH116_catalytic', 3, NULL),
(3397, NULL, 'IPR001658', NULL, 'Gonadotrophin-releasing hormone receptor family', 'GphnRH_fam_rcpt', 4, NULL),
(3398, NULL, 'IPR006750', NULL, 'Putative inner membrane exporter, YdcZ', 'YdcZ', 4, NULL),
(3399, NULL, 'IPR007926', NULL, 'Borrelia P83100', 'Borrelia_P83', 4, NULL),
(3400, NULL, 'IPR007883', NULL, 'Protein of unknown function DUF713', 'DUF713', 4, NULL),
(3401, NULL, 'IPR001740', NULL, 'GPCR family 2, EMR1-like receptor', 'GPCR_2_EMR1-like_rcpt', 4, NULL),
(3402, NULL, 'IPR007905', NULL, 'Emopamil-binding protein', 'EBP', 4, NULL),
(3403, NULL, 'IPR007922', NULL, 'Protein of unknown function DUF721/UPF0232', 'DUF721/UPF0232', 4, NULL),
(3404, NULL, 'IPR001706', NULL, 'Ribosomal protein L35, non-mitochondrial', 'Ribosomal_L35_non-mt', 4, NULL),
(3405, NULL, 'IPR001695', NULL, 'Lysyl oxidase', 'Lysyl_oxidase', 4, NULL),
(3406, NULL, 'IPR001445', NULL, 'Acetylcholinesterase, insect', 'Acylcholinesterase_insect', 4, NULL),
(3407, NULL, 'IPR007914', NULL, 'Uncharacterised protein family UPF0193', 'UPF0193', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3408, NULL, 'IPR000971', NULL, 'Globin', 'Globin', 3, NULL),
(3409, NULL, 'IPR006763', NULL, 'Antigen 332 repeat', 'Ag332', 7, NULL),
(3410, NULL, 'IPR001594', NULL, 'Palmitoyltransferase, DHHC domain', 'Palmitoyltrfase_DHHC', 3, NULL),
(3411, NULL, 'IPR001693', NULL, 'Calcitonin peptide-like', 'Calcitonin_peptide-like', 3, NULL),
(3412, NULL, 'IPR001791', NULL, 'Laminin G domain', 'Laminin_G', 3, NULL),
(3413, NULL, 'IPR001516', NULL, 'NADH-Ubiquinone oxidoreductase (complex I), chain 5 N-terminal', 'Proton_antipo_N', 3, NULL),
(3414, NULL, 'IPR001635', NULL, 'Flagellar hook-length control protein FliK', 'Flag_hook_Flik', 4, NULL),
(3415, NULL, 'IPR004693', NULL, 'Silicon transporter', 'Silicon_transpt', 4, NULL),
(3416, NULL, 'IPR001589', NULL, 'Actinin-type actin-binding domain, conserved site', 'Actinin_actin-bd_CS', 2, NULL),
(3417, NULL, 'IPR003860', NULL, 'Haemagglutinin-esterase glycoprotein, haemagglutinin domain', 'Hemagglutn-estrase_hemagglutn', 3, NULL),
(3418, NULL, 'IPR003271', NULL, 'Potassium channel, inwardly rectifying, Kir2.1', 'K_chnl_inward-rec_Kir2.1', 4, NULL),
(3419, NULL, 'IPR000858', NULL, 'S-locus glycoprotein domain', 'S_locus_glycoprot_dom', 3, NULL),
(3420, NULL, 'IPR000980', NULL, 'SH2 domain', 'SH2', 3, NULL),
(3421, NULL, 'IPR007886', NULL, 'Alanine dehydrogenase/pyridine nucleotide transhydrogenase, N-terminal', 'AlaDH/PNT_N', 3, NULL),
(3422, NULL, 'IPR007919', NULL, 'Uncharacterised protein family UPF0220', 'UPF0220', 4, NULL),
(3423, NULL, 'IPR001774', NULL, 'Delta/Serrate/lag-2 (DSL) protein', 'DSL', 3, NULL),
(3424, NULL, 'IPR006785', NULL, 'Peroxisome membrane anchor protein Pex14p, N-terminal', 'Pex14_N', 3, NULL),
(3425, NULL, 'IPR003299', NULL, 'Flagellar calcium-binding protein calflagin', 'Calflagin-bd', 4, NULL),
(3426, NULL, 'IPR000985', NULL, 'Legume lectin, alpha chain, conserved site', 'Lectin_LegA_CS', 2, NULL),
(3427, NULL, 'IPR003269', NULL, 'Potassium channel, inwardly rectifying, Kir1.2', 'K_chnl_inward-rec_Kir1.2', 4, NULL),
(3428, NULL, 'IPR000921', NULL, 'Histamine H1 receptor', 'Histamine_H1_rcpt', 4, NULL),
(3429, NULL, 'IPR004692', NULL, 'Preprotein translocase SecG subunit', 'SecG', 4, NULL),
(3430, NULL, 'IPR001470', NULL, 'Bacteriochlorophyll c-binding protein', 'Bchl_c-bd', 4, NULL),
(3431, NULL, 'IPR001405', NULL, 'Uncharacterised protein family UPF0758', 'UPF0758', 4, NULL),
(3432, NULL, 'IPR001613', NULL, 'Flavin amine oxidase', 'Flavin_amine_oxidase', 4, NULL),
(3433, NULL, 'IPR001719', NULL, 'AP endonuclease 2', 'AP_endonuc_2', 4, NULL),
(3434, NULL, 'IPR001735', NULL, 'Opsin RH1/RH2', 'Opsin_RH1/RH2', 4, NULL),
(3435, NULL, 'IPR000967', NULL, 'Zinc finger, NF-X1-type', 'Znf_NFX1', 3, NULL),
(3436, NULL, 'IPR003856', NULL, 'Polysaccharide chain length determinant N-terminal domain', 'LPS_length_determ_N_term', 3, NULL),
(3437, NULL, 'IPR006755', NULL, 'Suppressor of silencing P0', 'Virus_P0', 4, NULL),
(3438, NULL, 'IPR000863', NULL, 'Sulfotransferase domain', 'Sulfotransferase_dom', 3, NULL),
(3439, NULL, 'IPR001521', NULL, 'Opsin, blue sensitive', 'Opsin_blue', 4, NULL),
(3440, NULL, 'IPR000987', NULL, 'EDG-1 sphingosine 1-phosphate receptor', 'EDG1_rcpt', 4, NULL),
(3441, NULL, 'IPR001713', NULL, 'Proteinase inhibitor I25A, stefin', 'Prot_inh_stefin', 4, NULL),
(3442, NULL, 'IPR001564', NULL, 'Nucleoside diphosphate kinase', 'Nucleoside_diP_kinase', 4, NULL),
(3443, NULL, 'IPR004687', NULL, 'Lysosomal-associated transmembrane protein 4/5', 'LAPTM4/5', 4, NULL),
(3444, NULL, 'IPR006758', NULL, 'Poxvirus A32', 'A32L', 4, NULL),
(3445, NULL, 'IPR001604', NULL, 'DNA/RNA non-specific endonuclease', 'DNA/RNA_non-sp_Endonuclease', 3, NULL),
(3446, NULL, 'IPR001696', NULL, 'Voltage gated sodium channel, alpha subunit', 'Na_channel_asu', 4, NULL),
(3447, NULL, 'IPR001671', NULL, 'Melanocortin/ACTH receptor', 'Melcrt_ACTH_rcpt', 4, NULL),
(3448, NULL, 'IPR000894', NULL, 'Ribulose bisphosphate carboxylase small subunit, domain', 'RuBisCO_ssu_dom', 3, NULL),
(3449, NULL, 'IPR003275', NULL, 'Potassium channel, inwardly rectifying, Kir3.2', 'K_chnl_inward-rec_Kir3.2', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3450, NULL, 'IPR007880', NULL, 'Spiralin', 'Spiralin', 4, NULL),
(3451, NULL, 'IPR001424', NULL, 'Superoxide dismutase, copper/zinc binding domain', 'SOD_Cu_Zn_dom', 3, NULL),
(3452, NULL, 'IPR001000', NULL, 'Glycoside hydrolase family 10 domain', 'GH10_dom', 3, NULL),
(3453, NULL, 'IPR007925', NULL, 'Relaxosome protein TraM', 'TRelaxosome_TraM', 4, NULL),
(3454, NULL, 'IPR003813', NULL, 'F420-non-reducing hydrogenase iron-sulfur subunit D', 'MvhD/FlpD', 3, NULL),
(3455, NULL, 'IPR001422', NULL, 'Neuromodulin (GAP-43)', 'Neuromodulin', 4, NULL),
(3456, NULL, 'IPR001585', NULL, 'Transaldolase/Fructose-6-phosphate aldolase', 'TAL/FSA', 4, NULL),
(3457, NULL, 'IPR000903', NULL, 'Myristoyl-CoA:protein N-myristoyltransferase', 'MyristoylCoA_TrFase', 4, NULL),
(3458, NULL, 'IPR007884', NULL, 'Protein-L-histidine N-pros-methyltransferase', 'METL9', 4, NULL),
(3459, NULL, 'IPR001591', NULL, 'Influenza RNA-dependent RNA polymerase subunit PB2', 'INV_PB2', 4, NULL),
(3460, NULL, 'IPR003149', NULL, 'Iron hydrogenase, small subunit', 'Fe_hydrogenase_ssu', 3, NULL),
(3461, NULL, 'IPR003163', NULL, 'Transcription regulator HTH, APSES-type DNA-binding domain', 'Tscrpt_reg_HTH_APSES-type', 3, NULL),
(3462, NULL, 'IPR007928', NULL, 'Choristoneura fumiferana antifreeze', 'Antifreeze_CF', 4, NULL),
(3463, NULL, 'IPR001702', NULL, 'Porin, Gram-negative type', 'Porin_Gram-ve', 4, NULL),
(3464, NULL, 'IPR001398', NULL, 'Macrophage migration inhibitory factor', 'Macrophage_inhib_fac', 4, NULL),
(3465, NULL, 'IPR006788', NULL, 'Rab effector MyRIP/Melanophilin', 'Myrip/Melanophilin', 3, NULL),
(3466, NULL, 'IPR002114', NULL, 'Phosphotransferase system, HPr serine phosphorylation site', 'PTS_HPr_Ser_P_site', 6, NULL),
(3467, NULL, 'IPR006749', NULL, 'Pox virus E6 protein', 'Pox_E6', 4, NULL),
(3468, NULL, 'IPR003210', NULL, 'Signal recognition particle, SRP14 subunit', 'Signal_recog_particle_SRP14', 4, NULL),
(3469, NULL, 'IPR003280', NULL, 'Two pore domain potassium channel', '2pore_dom_K_chnl', 4, NULL),
(3470, NULL, 'IPR003187', NULL, 'Phospholipase A1', 'PLipase_A1', 4, NULL),
(3471, NULL, 'IPR007894', NULL, 'MASE2', 'MASE2', 3, NULL),
(3472, NULL, 'IPR006771', NULL, 'Blastomyces yeast-phase-specific protein', 'Bys1', 4, NULL),
(3473, NULL, 'IPR006769', NULL, 'Calcium uniporter protein, C-terminal', 'MCU_C', 3, NULL),
(3474, NULL, 'IPR003824', NULL, 'Undecaprenyl-diphosphatase UppP', 'UppP', 4, NULL),
(3475, NULL, 'IPR007891', NULL, 'CHASE3', 'CHASE3', 3, NULL),
(3476, NULL, 'IPR007893', NULL, 'Spore coat protein U', 'Spore_coat_U', 3, NULL),
(3477, NULL, 'IPR001407', NULL, 'Influenza RNA-dependent RNA polymerase subunit PB1', 'RNA_pol_PB1_influenza', 4, NULL),
(3478, NULL, 'IPR001760', NULL, 'Opsin', 'Opsin', 4, NULL),
(3479, NULL, 'IPR000996', NULL, 'Clathrin light chain', 'Clathrin_L-chain', 4, NULL),
(3480, NULL, 'IPR000972', NULL, 'Octamer-binding transcription factor', 'TF_octamer', 4, NULL),
(3481, NULL, 'IPR003265', NULL, 'HhH-GPD domain', 'HhH-GPD_domain', 3, NULL),
(3482, NULL, 'IPR007869', NULL, 'Homing endonuclease PI-Sce', 'Homing_endonuc_PI-Sce', 3, NULL),
(3483, NULL, 'IPR001701', NULL, 'Glycoside hydrolase family 9', 'Glyco_hydro_9', 4, NULL),
(3484, NULL, 'IPR001680', NULL, 'WD40 repeat', 'WD40_repeat', 7, NULL),
(3485, NULL, 'IPR000969', NULL, 'Structure-specific recognition protein', 'SSrcognition', 4, NULL),
(3486, NULL, 'IPR001738', NULL, 'Rab protein geranylgeranyltransferase component A', 'Rab_escort', 4, NULL),
(3487, NULL, 'IPR000936', NULL, 'Alphavirus E2 glycoprotein', 'Alpha_E2_glycop', 4, NULL),
(3488, NULL, 'IPR003784', NULL, 'BioY protein', 'BioY', 4, NULL),
(3489, NULL, 'IPR000984', NULL, 'G protein-coupled receptor 3', 'GPR3', 4, NULL),
(3490, NULL, 'IPR006762', NULL, 'Gtr1/RagA G protein', 'Gtr1_RagA', 4, NULL),
(3491, NULL, 'IPR001742', NULL, 'Outer capsid protein VP2, Orbivirus', 'Capsid_VP2_Orbivir', 4, NULL),
(3492, NULL, 'IPR006740', NULL, 'Protein of unknown function DUF604', 'DUF604', 4, NULL),
(3493, NULL, 'IPR001496', NULL, 'SOCS box domain', 'SOCS_box', 3, NULL),
(3494, NULL, 'IPR001764', NULL, 'Glycoside hydrolase, family 3, N-terminal', 'Glyco_hydro_3_N', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3495, NULL, 'IPR007871', NULL, 'Methyltransferase TRM13', 'Methyltransferase_TRM13', 3, NULL),
(3496, NULL, 'IPR003185', NULL, 'Proteasome activator PA28, N-terminal domain', 'Proteasome_activ_PA28_N', 3, NULL),
(3497, NULL, 'IPR003270', NULL, 'Potassium channel, inwardly rectifying, Kir1.3', 'K_chnl_inward-rec_Kir1.3', 4, NULL),
(3498, NULL, 'IPR003817', NULL, 'Phosphatidylserine decarboxylase-related', 'PS_Dcarbxylase', 4, NULL),
(3499, NULL, 'IPR006764', NULL, 'S-adenosyl-L-methionine dependent methyltransferase, SAV2177 type', 'SAM_dep_MeTrfase_SAV2177_type', 4, NULL),
(3500, NULL, 'IPR004684', NULL, '2-keto-3-deoxygluconate permease', '2keto-3dGluconate_permease', 4, NULL),
(3501, NULL, 'IPR006264', NULL, '3-phosphoshikimate 1-carboxyvinyltransferase', 'EPSP_synthase', 4, NULL),
(3502, NULL, 'IPR007397', NULL, 'F-box associated (FBA) domain', 'F-box-assoc_dom', 3, NULL),
(3503, NULL, 'IPR024634', NULL, 'Internalin,  N-terminal', 'Internalin_N', 3, NULL),
(3504, NULL, 'IPR002696', NULL, 'Putative membrane protein insertion efficiency factor', 'Membr_insert_effic_factor', 4, NULL),
(3505, NULL, 'IPR004250', NULL, 'Somatostatin', 'Somatostatin', 4, NULL),
(3506, NULL, 'IPR005714', NULL, 'ATPase, type III secretion system, FliI/YscN', 'ATPase_T3SS_FliI/YscN', 4, NULL),
(3507, NULL, 'IPR006798', NULL, 'Poxvirus F16', 'Poxvirus_F16', 4, NULL),
(3508, NULL, 'IPR004240', NULL, 'Nonaspanin (TM9SF)', 'EMP70', 4, NULL),
(3509, NULL, 'IPR005687', NULL, 'Mitochondrial outer membrane translocase complex, subunit Tom70', 'Tom70', 4, NULL),
(3510, NULL, 'IPR002737', NULL, 'MEMO1 family', 'MEMO1_fam', 4, NULL),
(3511, NULL, 'IPR000124', NULL, 'Spermadhesin', 'Spermadhesin', 4, NULL),
(3512, NULL, 'IPR004721', NULL, 'Dihydroorotase homodimeric type', 'DHOdimr', 4, NULL),
(3513, NULL, 'IPR002749', NULL, 'Protein of unknown function DUF63', 'DUF63', 4, NULL),
(3514, NULL, 'IPR006808', NULL, 'ATP synthase, F0 complex, subunit G, mitochondrial', 'ATP_synth_F0_gsu_mt', 4, NULL),
(3515, NULL, 'IPR005701', NULL, 'Polysaccharide export protein MPA1-like', 'MPA1-like', 4, NULL),
(3516, NULL, 'IPR002729', NULL, 'CRISPR-associated protein Cas1', 'CRISPR-assoc_Cas1', 4, NULL),
(3517, NULL, 'IPR006266', NULL, 'UMP-CMP kinase', 'UMP_CMP_kinase', 4, NULL),
(3518, NULL, 'IPR002703', NULL, 'Levivirus coat protein', 'Levivir_coat', 4, NULL),
(3519, NULL, 'IPR034558', NULL, 'p54nrb, RNA recognition motif 2', 'p54nrb_RRM2', 3, NULL),
(3520, NULL, 'IPR000169', NULL, 'Cysteine peptidase, cysteine active site', 'Pept_cys_AS', 0, NULL),
(3521, NULL, 'IPR004706', NULL, 'Arsenical-resistance protein Acr3', 'Arsenical-R_Acr3', 4, NULL),
(3522, NULL, 'IPR004734', NULL, 'Multidrug resistance protein', 'Multidrug-R', 4, NULL),
(3523, NULL, 'IPR000680', NULL, 'Borrelia lipoprotein', 'Borrelia_lipo', 4, NULL),
(3524, NULL, 'IPR002735', NULL, 'Translation initiation factor IF2/IF5 domain', 'Transl_init_fac_IF2/IF5_dom', 3, NULL),
(3525, NULL, 'IPR007408', NULL, 'Protein of unknown function DUF460', 'DUF460', 4, NULL),
(3526, NULL, 'IPR034566', NULL, 'Type 2 DNA topoisomerase 6 subunit B-like, plants', 'MTOPVIB_plant', 4, NULL),
(3527, NULL, 'IPR005686', NULL, 'Mitochondrial import receptor subunit Tom40, fungi', 'Tom40_fungi', 4, NULL),
(3528, NULL, 'IPR006267', NULL, 'Adenylate kinase, isozyme 1/5', 'AK1/5', 4, NULL),
(3529, NULL, 'IPR004208', NULL, 'Influenza non-structural protein (NS1)', 'NS1', 4, NULL),
(3530, NULL, 'IPR004268', NULL, 'Peptidoglycan biosynthesis protein MurJ', 'MurJ', 4, NULL),
(3531, NULL, 'IPR000740', NULL, 'GrpE nucleotide exchange factor', 'GrpE', 4, NULL),
(3532, NULL, 'IPR000742', NULL, 'EGF-like domain', 'EGF-like_dom', 3, NULL),
(3533, NULL, 'IPR007412', NULL, 'Anti-sigma-28 factor, FlgM', 'FlgM', 4, NULL),
(3534, NULL, 'IPR006819', NULL, 'Agrobacterium VirD5 protein', 'Agro_VirD5', 4, NULL),
(3535, NULL, 'IPR007545', NULL, 'LOR/SDH bifunctional enzyme, conserved domain', 'LOR/SDH_bifunc_enz_cons_dom', 3, NULL),
(3536, NULL, 'IPR007414', NULL, 'Protein of unknown function DUF468', 'DUF468', 4, NULL),
(3537, NULL, 'IPR000116', NULL, 'High mobility group protein HMGA', 'HMGA', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3538, NULL, 'IPR002699', NULL, 'ATPase, V1 complex, subunit D', 'V_ATPase_D', 4, NULL),
(3539, NULL, 'IPR007434', NULL, 'Peptidogalycan biosysnthesis/recognition', 'FemAB-like', 4, NULL),
(3540, NULL, 'IPR000679', NULL, 'Zinc finger, GATA-type', 'Znf_GATA', 3, NULL),
(3541, NULL, 'IPR006292', NULL, 'Ribonuclease D', 'RNase_D', 4, NULL),
(3542, NULL, 'IPR007398', NULL, 'Protein of unknown function DUF452', 'DUF452', 4, NULL),
(3543, NULL, 'IPR007429', NULL, 'Protein of unknown function DUF478', 'DUF478', 4, NULL),
(3544, NULL, 'IPR007392', NULL, 'D-galactarate/Altronate dehydratase, C-terminal', 'Gal/Altron_deHydtase_C', 3, NULL),
(3545, NULL, 'IPR002732', NULL, 'Holliday junction resolvase Hjc', 'Hjc', 4, NULL),
(3546, NULL, 'IPR034565', NULL, 'Putative cell wall protein', 'Put_cell_wall', 4, NULL),
(3547, NULL, 'IPR006254', NULL, 'Isocitrate lyase', 'Isocitrate_lyase', 4, NULL),
(3548, NULL, 'IPR000709', NULL, 'Leu/Ile/Val-binding protein', 'Leu_Ile_Val-bd', 4, NULL),
(3549, NULL, 'IPR005708', NULL, 'Homogentisate 1,2-dioxygenase', 'Homogentis_dOase', 4, NULL),
(3550, NULL, 'IPR006246', NULL, 'Phycocyanin, alpha subunit', 'Phycocyanin_a', 4, NULL),
(3551, NULL, 'IPR000689', NULL, 'Ubiquinone biosynthesis monooxygenase COQ6', 'UbQ_mOase_COQ6', 4, NULL),
(3552, NULL, 'IPR005668', NULL, '2-isopropylmalate synthase', 'IPM_Synthase', 4, NULL),
(3553, NULL, 'IPR000693', NULL, 'Sea anemone toxin', 'Anenome_toxin', 4, NULL),
(3554, NULL, 'IPR004263', NULL, 'Exostosin-like', 'Exostosin', 4, NULL),
(3555, NULL, 'IPR006241', NULL, 'Photosystem II cytochrome b559, beta subunit', 'PSII_cyt_b559_bsu', 4, NULL),
(3556, NULL, 'IPR004231', NULL, 'Carboxypeptidase A inhibitor-like', 'COpept_A_inh-like', 3, NULL),
(3557, NULL, 'IPR006277', NULL, 'Sarcosine oxidase, alpha subunit', 'Sarcosine_oxidase_asu', 4, NULL),
(3558, NULL, 'IPR002736', NULL, 'Triphosphoribosyl-dephospho-CoA protein', 'CitG', 4, NULL),
(3559, NULL, 'IPR004221', NULL, 'Restriction endonuclease, type II, EcoRI', 'Restrct_endonuc_II_EcoRI', 4, NULL),
(3560, NULL, 'IPR000115', NULL, 'Phosphoribosylglycinamide synthetase', 'PRibGlycinamide_synth', 4, NULL),
(3561, NULL, 'IPR002715', NULL, 'Nascent polypeptide-associated complex NAC domain', 'Nas_poly-pep-assoc_cplx_dom', 3, NULL),
(3562, NULL, 'IPR006804', NULL, 'BCL7', 'BCL7', 4, NULL),
(3563, NULL, 'IPR002744', NULL, 'MIP18 family-like', 'MIP18-like', 3, NULL),
(3564, NULL, 'IPR004239', NULL, 'Protein of unknown function DUF228', 'DUF228', 4, NULL),
(3565, NULL, 'IPR004260', NULL, 'Pyrimidine dimer DNA glycosylase', 'Pyr-dimer_DNA_glycosylase', 4, NULL),
(3566, NULL, 'IPR006253', NULL, 'Malate synthase G', 'Malate_synthG', 4, NULL),
(3567, NULL, 'IPR000060', NULL, 'BCCT transporter family', 'BCCT_transptr', 4, NULL),
(3568, NULL, 'IPR006797', NULL, 'PRELI/MSF1 domain', 'PRELI/MSF1_dom', 3, NULL),
(3569, NULL, 'IPR000674', NULL, 'Aldehyde oxidase/xanthine dehydrogenase, a/b hammerhead', 'Ald_Oxase/Xan_DH_a/b', 3, NULL),
(3570, NULL, 'IPR004241', NULL, 'Autophagy protein Atg8 ubiquitin-like', 'Atg8-like', 4, NULL),
(3571, NULL, 'IPR004267', NULL, 'Influenza C virus M2 protein', 'CM2', 4, NULL),
(3572, NULL, 'IPR004708', NULL, 'Aspartate ammonia-lyase', 'ApsA', 4, NULL),
(3573, NULL, 'IPR007421', NULL, 'Schlafen, AlbA_2 domain', 'Schlafen_AlbA_2_dom', 3, NULL),
(3574, NULL, 'IPR007400', NULL, 'PrpF protein', 'PrpF_protein', 4, NULL),
(3575, NULL, 'IPR007413', NULL, 'Protein of unknown function DUF463, YcjX-like protein', 'DUF463_YcjX', 4, NULL),
(3576, NULL, 'IPR007428', NULL, 'MlaA lipoprotein', 'MlaA', 4, NULL),
(3577, NULL, 'IPR004204', NULL, 'Cytochrome c oxidase subunit 6C', 'COX6C', 4, NULL),
(3578, NULL, 'IPR004264', NULL, 'Transposase, Tnp1/En/Spm-like', 'Transposase_23', 3, NULL),
(3579, NULL, 'IPR000722', NULL, 'RNA polymerase, alpha subunit', 'RNA_pol_asu', 3, NULL),
(3580, NULL, 'IPR006812', NULL, 'Glycine reductase complex selenoprotein A', 'GRDA', 4, NULL),
(3581, NULL, 'IPR007417', NULL, 'Protein of unknown function DUF473', 'DUF473', 4, NULL),
(3582, NULL, 'IPR005695', NULL, 'Cobalt/zinc/cadmium resistance protein CzcB', 'Co/Zn/Cd_resistance_CzcB', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3583, NULL, 'IPR000714', NULL, 'Equine herpesvirus protein of unknown function', 'EHV_Unk', 4, NULL),
(3584, NULL, 'IPR006823', NULL, 'Neutral/alkaline nonlysosomal ceramidase', 'Ceramidase_alk', 4, NULL),
(3585, NULL, 'IPR005672', NULL, 'Phosphate transport system permease protein PstA', 'Phosphate_PstA', 4, NULL),
(3586, NULL, 'IPR004714', NULL, 'Cytochrome oxidase maturation protein cbb3-type', 'Cyt_oxidase_maturation_cbb3', 4, NULL),
(3587, NULL, 'IPR000183', NULL, 'Ornithine/DAP/Arg decarboxylase', 'Orn/DAP/Arg_de-COase', 4, NULL),
(3588, NULL, 'IPR004709', NULL, 'Na+/H+ exchanger', 'NaH_exchanger', 4, NULL),
(3589, NULL, 'IPR004213', NULL, 'Flt3 ligand', 'Flt3_lig', 4, NULL),
(3590, NULL, 'IPR007404', NULL, 'LexA-binding, inner membrane-associated putative hydrolase', 'YdjM-like', 4, NULL),
(3591, NULL, 'IPR004209', NULL, 'Ferredoxin thioredoxin reductase catalytic beta subunit', 'FTR_bsu', 4, NULL),
(3592, NULL, 'IPR004702', NULL, 'Phosphotransferease, sorbitol phosphotransferase enzyme II', 'PTS_sorb_EIIBC', 4, NULL),
(3593, NULL, 'IPR004712', NULL, 'Na+/H+ antiporter, fungi', 'Na+/H+_antiporter_fungi', 4, NULL),
(3594, NULL, 'IPR004255', NULL, 'O-acyltransferase, WSD1, N-terminal', 'O-acyltransferase_WSD1_N', 3, NULL),
(3595, NULL, 'IPR005666', NULL, 'Sulphate transport system permease protein 1', 'Sulph_transpt1', 3, NULL),
(3596, NULL, 'IPR006259', NULL, 'Adenylate kinase subfamily', 'Adenyl_kin_sub', 4, NULL),
(3597, NULL, 'IPR000677', NULL, 'Chitinase-like', 'Chitinase-like', 4, NULL),
(3598, NULL, 'IPR000144', NULL, 'GPCR, family 3, metabotropic glutamate receptor 8', 'GPCR_3_mtglu_rcpt_8', 4, NULL),
(3599, NULL, 'IPR000102', NULL, 'Neuraxin/MAP1B repeat', 'MAP1B_neuraxin', 7, NULL),
(3600, NULL, 'IPR004237', NULL, 'Fibronectin binding repeat', 'Fibron_repeat-bd', 7, NULL),
(3601, NULL, 'IPR002733', NULL, 'AMMECR1 domain', 'AMMECR1_domain', 3, NULL),
(3602, NULL, 'IPR005716', NULL, 'Ribosomal protein S5/S7, eukaryotic/archaeal', 'Ribosomal_S5/S7_euk/arc', 4, NULL),
(3603, NULL, 'IPR006262', NULL, 'Cytidine deaminase, homotetrameric', 'Cyt_deam_tetra', 4, NULL),
(3604, NULL, 'IPR006811', NULL, 'RNA polymerase II subunit A', 'RNA_pol_II_suA', 4, NULL),
(3605, NULL, 'IPR005705', NULL, 'Polysaccharide export inner-membrane protein, BexC/CtrB/KpsE/VexD', 'BexC_CtrB_KpsE_VexD', 4, NULL),
(3606, NULL, 'IPR006240', NULL, '3''(2''),5''-bisphosphate nucleotidase CysQ', 'CysQ', 4, NULL),
(3607, NULL, 'IPR000731', NULL, 'Sterol-sensing domain', 'SSD', 3, NULL),
(3608, NULL, 'IPR007405', NULL, 'Bacteriophage KVP40, Orf299', 'Phage_KVP40_Orf299', 4, NULL),
(3609, NULL, 'IPR005690', NULL, 'Translocase of chloroplast Toc86/159', 'Toc86_159', 4, NULL),
(3610, NULL, 'IPR000141', NULL, 'Prostaglandin F receptor', 'PglndnF_rcpt', 4, NULL),
(3611, NULL, 'IPR005702', NULL, 'Exopolysaccharide synthesis protein', 'EPS_synthesis', 3, NULL),
(3612, NULL, 'IPR004206', NULL, 'mRNA triphosphatase Cet1-like', 'mRNA_triPase_Cet1', 3, NULL),
(3613, NULL, 'IPR006249', NULL, 'Aconitase/Iron-responsive element-binding protein 2', 'Aconitase/IRP2', 4, NULL),
(3614, NULL, 'IPR000083', NULL, 'Fibronectin, type I', 'Fibronectin_type1', 3, NULL),
(3615, NULL, 'IPR006287', NULL, 'Protein/nucleic acid deglycase DJ-1', 'DJ-1', 4, NULL),
(3616, NULL, 'IPR000067', NULL, 'Flagellar M-ring protein FliF', 'FlgMring_FliF', 4, NULL),
(3617, NULL, 'IPR006285', NULL, 'Ubiquitin-like modifier-activating enzyme Atg7', 'Atg7', 4, NULL),
(3618, NULL, 'IPR006802', NULL, 'Radial spokehead-like protein', 'Radial_spoke', 4, NULL),
(3619, NULL, 'IPR007437', NULL, 'Protein of unknown function DUF486', 'DUF486', 4, NULL),
(3620, NULL, 'IPR006275', NULL, 'Carbamoyl-phosphate synthase, large subunit', 'CarbamoylP_synth_lsu', 4, NULL),
(3621, NULL, 'IPR006821', NULL, 'Intermediate filament head, DNA-binding domain', 'Intermed_filament_DNA-bd', 3, NULL),
(3622, NULL, 'IPR004707', NULL, 'Membrane transport protein MmpL family', 'MmpL_fam', 4, NULL),
(3623, NULL, 'IPR004243', NULL, 'Minor capsid protein VI', 'McpVI', 4, NULL),
(3624, NULL, 'IPR004265', NULL, 'Dirigent protein', 'Dirigent', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3625, NULL, 'IPR002716', NULL, 'PIN domain', 'PIN_dom', 3, NULL),
(3626, NULL, 'IPR003306', NULL, 'WIF domain', 'WIF', 3, NULL),
(3627, NULL, 'IPR006276', NULL, 'Cobalamin-independent methionine synthase', 'Cobalamin-indep_Met_synthase', 4, NULL),
(3628, NULL, 'IPR004261', NULL, 'Hepatitis E virus structural protein 2', 'SP2', 4, NULL),
(3629, NULL, 'IPR006263', NULL, 'Cytidine deaminase, homodimeric', 'Cyt_deam_dimer', 4, NULL),
(3630, NULL, 'IPR005693', NULL, 'Virulence factor Mce protein', 'Mce', 4, NULL),
(3631, NULL, 'IPR034363', NULL, 'eIF3B, RNA recognition motif', 'eIF3B_RRM', 3, NULL),
(3632, NULL, 'IPR004242', NULL, 'Transposon, En/Spm-like', 'Transposase_21', 4, NULL),
(3633, NULL, 'IPR000055', NULL, 'Type I restriction modification DNA specificity domain', 'Restrct_endonuc_typeI_TRD', 3, NULL),
(3634, NULL, 'IPR004271', NULL, 'Influenza C virus M1 protein', 'CM1', 4, NULL),
(3635, NULL, 'IPR000126', NULL, 'Serine proteases, V8 family, serine active site', 'V8_ser_AS', 0, NULL),
(3636, NULL, 'IPR006273', NULL, 'Orotate phosphoribosyltransferase, bacterial', 'Orotate_PRibTrfase_bac', 4, NULL),
(3637, NULL, 'IPR004210', NULL, 'BESS motif', 'BESS_motif', 3, NULL),
(3638, NULL, 'IPR006289', NULL, 'Transcription elongation factor, TFIIS', 'TFSII', 4, NULL),
(3639, NULL, 'IPR004730', NULL, 'Transaldolase type 1', 'Transaldolase_1', 4, NULL),
(3640, NULL, 'IPR006242', NULL, 'Putative pyrophosphorylase ModD', 'ModD', 4, NULL),
(3641, NULL, 'IPR003311', NULL, 'AUX/IAA protein', 'AUX_IAA', 4, NULL),
(3642, NULL, 'IPR004222', NULL, 'Methane monooxygenase, gamma chain', 'Me_mOase_g', 4, NULL),
(3643, NULL, 'IPR005692', NULL, 'Chloroplast protein import component Tic22', 'Tic22', 4, NULL),
(3644, NULL, 'IPR004698', NULL, 'Zinc/iron permease, fungal/plant', 'Zn/Fe_permease_fun/pln', 4, NULL),
(3645, NULL, 'IPR004251', NULL, 'Pox virus entry-fusion-complex G9/A16', 'Pox_virus_G9/A16', 4, NULL),
(3646, NULL, 'IPR034173', NULL, 'SHARP, RNA recognition motif 2', 'SHARP_RRM2', 3, NULL),
(3647, NULL, 'IPR000743', NULL, 'Glycoside hydrolase, family 28', 'Glyco_hydro_28', 4, NULL),
(3648, NULL, 'IPR000698', NULL, 'Arrestin', 'Arrestin', 4, NULL),
(3649, NULL, 'IPR004236', NULL, 'Peptidase S1A, alpha-lytic prodomain', 'Pept_S1_alpha_lytic', 3, NULL),
(3650, NULL, 'IPR000718', NULL, 'Peptidase M13', 'Peptidase_M13', 4, NULL),
(3651, NULL, 'IPR004723', NULL, '8-amino-7-oxononanoate synthase,  Archaea/Proteobacteria type', 'AONS_Archaea/Proteobacteria', 4, NULL),
(3652, NULL, 'IPR024621', NULL, 'Inner membrane mitoribosome receptor Mba1, mitochondrial', 'Mba1', 4, NULL),
(3653, NULL, 'IPR006295', NULL, 'DNA primase, DnaG', 'DNA_primase_DnaG', 3, NULL),
(3654, NULL, 'IPR007431', NULL, 'Acyl carrier protein phosphodiesterase', 'ACP_PD', 4, NULL),
(3655, NULL, 'IPR007418', NULL, 'Protein of unknown function DUF474', 'DUF474', 4, NULL),
(3656, NULL, 'IPR007430', NULL, 'Bacterial virulence protein VirB8', 'VirB8', 3, NULL),
(3657, NULL, 'IPR000208', NULL, 'RNA-directed RNA polymerase, flavivirus', 'RNA-dir_pol_flavivirus', 3, NULL),
(3658, NULL, 'IPR005678', NULL, 'Mitochondrial inner membrane translocase complex, subunit Tim17', 'Tim17', 4, NULL),
(3659, NULL, 'IPR007547', NULL, 'Uncharacterised protein family UPF0248', 'UPF0248', 4, NULL),
(3660, NULL, 'IPR002724', NULL, 'Pyruvoyl-dependent arginine decarboxylase', 'Pyruvoyl-dep_arg_deCO2ase', 4, NULL),
(3661, NULL, 'IPR002748', NULL, 'Cobalt-precorrin-5B C(1)-methyltransferase CbiD', 'CbiD', 4, NULL),
(3662, NULL, 'IPR000045', NULL, 'Prepilin type IV endopeptidase, peptidase domain', 'Prepilin_IV_endopep_pep', 3, NULL),
(3663, NULL, 'IPR002694', NULL, 'Zinc finger, CHC2-type', 'Znf_CHC2', 3, NULL),
(3664, NULL, 'IPR000697', NULL, 'WH1/EVH1 domain', 'WH1/EVH1_dom', 3, NULL),
(3665, NULL, 'IPR000683', NULL, 'Gfo/Idh/MocA-like oxidoreductase, N-terminal', 'Gfo/Idh/MocA-like_OxRdtase_N', 3, NULL),
(3666, NULL, 'IPR000187', NULL, 'Corticotropin-releasing factor', 'CRF', 3, NULL),
(3667, NULL, 'IPR005689', NULL, 'Chloroplast envelope protein translocase, IAP75', 'IAP75', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3668, NULL, 'IPR004224', NULL, 'Fumarate reductase type B, transmembrane subunit', 'Fum_red_B_TM', 4, NULL),
(3669, NULL, 'IPR006260', NULL, 'TonB/TolA, C-terminal', 'TonB/TolA_C', 3, NULL),
(3670, NULL, 'IPR006283', NULL, 'Thiamine-monophosphate kinase', 'ThiL', 4, NULL),
(3671, NULL, 'IPR006825', NULL, 'Eclosion hormone', 'Eclosion', 4, NULL),
(3672, NULL, 'IPR004258', NULL, 'Duffy-binding-like domain', 'DBL', 3, NULL),
(3673, NULL, 'IPR004230', NULL, 'DNA mismatch repair protein MutH', 'DNA_mismatch_repair_MutH', 4, NULL),
(3674, NULL, 'IPR006279', NULL, 'Sarcosine oxidase, delta subunit, heterotetrameric', 'SoxD', 4, NULL),
(3675, NULL, 'IPR006286', NULL, 'Deglycase PfpI', 'C56_PfpI', 4, NULL),
(3676, NULL, 'IPR005703', NULL, 'Ribosomal protein S3, eukaryotic/archaeal', 'Ribosomal_S3_euk/arc', 4, NULL),
(3677, NULL, 'IPR004207', NULL, 'Ferredoxin thioredoxin reductase, alpha chain', 'Fd_thioredoxin_Rdtase_alpha', 3, NULL),
(3678, NULL, 'IPR006255', NULL, 'Dihydrolipoamide succinyltransferase', 'SucB', 4, NULL),
(3679, NULL, 'IPR004238', NULL, 'Late embryogenesis abundant protein, LEA_4 subgroup', 'LEA_4', 4, NULL),
(3680, NULL, 'IPR007546', NULL, 'Protein of unknown function DUF503', 'DUF503', 4, NULL),
(3681, NULL, 'IPR003310', NULL, 'G/T mismatch-specific thymine DNA glycosylasee TDG-like, eukaryotes', 'TDG-like_euk', 4, NULL),
(3682, NULL, 'IPR000104', NULL, 'Antifreeze protein, type I', 'Antifreeze_1', 4, NULL),
(3683, NULL, 'IPR004234', NULL, 'FokI, recognition domain, subdomain 1', 'FokI_D1', 3, NULL),
(3684, NULL, 'IPR007396', NULL, 'Transcriptional regulator PAI 2-type', 'TR_PAI2-type', 4, NULL),
(3685, NULL, 'IPR006800', NULL, 'Pellino family', 'Pellino_fam', 4, NULL),
(3686, NULL, 'IPR004219', NULL, 'TT viral protein of unknown function', 'TTvirus_Unk', 4, NULL),
(3687, NULL, 'IPR000700', NULL, 'PAS-associated, C-terminal', 'PAS-assoc_C', 3, NULL),
(3688, NULL, 'IPR006278', NULL, 'Sarcosine oxidase subunit beta', 'SoxB', 4, NULL),
(3689, NULL, 'IPR005659', NULL, 'Chemoreceptor glutamine deamidase CheD', 'Chemorcpt_Glu_NH3ase_CheD', 4, NULL),
(3690, NULL, 'IPR005670', NULL, 'Phosphate transport system permease protein 1', 'Phosp_transpt1', 4, NULL),
(3691, NULL, 'IPR004719', NULL, 'Phosphotransferase system, maltose/glucose-specific subfamily IIC component', 'PTS_maltose/Glc_sub_IIC', 3, NULL),
(3692, NULL, 'IPR000068', NULL, 'GPCR, family 3, extracellular calcium-sensing receptor-related', 'GPCR_3_Ca_sens_rcpt-rel', 4, NULL),
(3693, NULL, 'IPR000760', NULL, 'Inositol monophosphatase-like', 'Inositol_monophosphatase-like', 4, NULL),
(3694, NULL, 'IPR005661', NULL, 'Na+-transporting methylmalonyl-CoA/oxaloacetate decarboxylase, beta subunit', 'OadB_MmdB', 4, NULL),
(3695, NULL, 'IPR006829', NULL, 'LXG domain', 'LXG_dom', 3, NULL),
(3696, NULL, 'IPR005699', NULL, 'Chaperone lipoprotein, PulS/OutS', 'Chap_lipoprot_PulS/OutS', 4, NULL),
(3697, NULL, 'IPR002706', NULL, 'DNA-repair protein Xrcc1, N-terminal', 'Xrcc1_N', 3, NULL),
(3698, NULL, 'IPR007548', NULL, 'Protein of unknown function DUF505', 'DUF505', 4, NULL),
(3699, NULL, 'IPR004728', NULL, 'Translocation protein Sec62', 'Sec62', 4, NULL),
(3700, NULL, 'IPR000203', NULL, 'GPS motif', 'GPS', 3, NULL),
(3701, NULL, 'IPR024628', NULL, 'Sulphotransferase Stf0, domain', 'Sulfotransferase_Stf0_dom', 3, NULL),
(3702, NULL, 'IPR004727', NULL, 'Calcium-activated chloride channel protein, chordata', 'CLCA_chordata', 4, NULL),
(3703, NULL, 'IPR006271', NULL, 'Phosphoserine aminotransferase, Methanosarcina-type', 'Pser_aminoTfrase_methanosarc', 4, NULL),
(3704, NULL, 'IPR000777', NULL, 'Human immunodeficiency virus 1, envelope glycoprotein Gp120', 'HIV1_Gp120', 3, NULL),
(3705, NULL, 'IPR000073', NULL, 'Alpha/beta hydrolase fold-1', 'AB_hydrolase_1', 3, NULL),
(3706, NULL, 'IPR002692', NULL, 'Penicillin/GL-7-ACA/AHL/aculeacin-A acylase', 'S45', 4, NULL),
(3707, NULL, 'IPR034568', NULL, 'Mediator of RNA polymerase II transcription subunit 30', 'MED30', 4, NULL),
(3708, NULL, 'IPR007406', NULL, 'MukB, N-terminal domain', 'MukB_N_dom', 3, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3709, NULL, 'IPR006796', NULL, 'Dickkopf, N-terminal cysteine-rich', 'Dickkopf_N', 3, NULL),
(3710, NULL, 'IPR034562', NULL, 'U2 small nuclear ribonucleoprotein B'''', RNA recognition motif  2', 'U2B''''_RRM2', 3, NULL),
(3711, NULL, 'IPR000638', NULL, 'Gas vesicle protein GvpA', 'Gas-vesicle_GvpA', 4, NULL),
(3712, NULL, 'IPR005700', NULL, 'Exopolysaccharide biosynthesis protein ExoP-like', 'EPS_ExoP-like', 4, NULL),
(3713, NULL, 'IPR005680', NULL, 'Ribosomal protein S23, eukaryotic/archaeal', 'Ribosomal_S23_euk/arc', 4, NULL),
(3714, NULL, 'IPR007394', NULL, 'Putative helix-turn-helix protein, YlxM/p13-like', 'UPF0122', 4, NULL),
(3715, NULL, 'IPR006822', NULL, 'Coatomer, epsilon subunit', 'Coatomer_esu', 4, NULL),
(3716, NULL, 'IPR004703', NULL, 'Phosphotransferase system, sugar-specific permease component', 'PTS_sugar-sp_permease', 4, NULL),
(3717, NULL, 'IPR006830', NULL, 'InvH outer membrane lipoprotein', 'InvH', 4, NULL),
(3718, NULL, 'IPR004732', NULL, 'Transaldolase type 2', 'Transaldolase_2', 4, NULL),
(3719, NULL, 'IPR006290', NULL, 'Heavy metal sensor kinase', 'CztS_silS_copS', 4, NULL),
(3720, NULL, 'IPR000738', NULL, 'WHEP-TRS domain', 'WHEP-TRS_dom', 3, NULL),
(3721, NULL, 'IPR002756', NULL, '4-[[4-(2-aminoethyl)phenoxy]-methyl]-2-furanmethanamine-glutamate synthase', 'MfnF', 4, NULL),
(3722, NULL, 'IPR002710', NULL, 'Dilute domain', 'Dilute_dom', 3, NULL),
(3723, NULL, 'IPR000719', NULL, 'Protein kinase domain', 'Prot_kinase_dom', 3, NULL),
(3724, NULL, 'IPR000043', NULL, 'Adenosylhomocysteinase-like', 'Adenosylhomocysteinase-like', 4, NULL),
(3725, NULL, 'IPR000152', NULL, 'EGF-type aspartate/asparagine hydroxylation site', 'EGF-type_Asp/Asn_hydroxyl_site', 6, NULL),
(3726, NULL, 'IPR006828', NULL, 'Association with the SNF1 complex (ASC) domain', 'ASC_dom', 3, NULL),
(3727, NULL, 'IPR004257', NULL, 'Equine arteritis virus (EAV), glycoprotein 4', 'Equine_arteritis_virus_Gp4', 4, NULL),
(3728, NULL, 'IPR004697', NULL, 'p-Aminobenzoyl-glutamate transport protein AbgT', 'AbgT', 4, NULL),
(3729, NULL, 'IPR000058', NULL, 'Zinc finger, AN1-type', 'Znf_AN1', 3, NULL),
(3730, NULL, 'IPR000776', NULL, 'Precursor fusion glycoprotein F0, Paramyxoviridae', 'Fusion_F0_Paramyxovir', 4, NULL),
(3731, NULL, 'IPR004229', NULL, 'Methylamine dehydrogenase light chain', 'MeN_DH_Ltc', 4, NULL),
(3732, NULL, 'IPR000703', NULL, 'Proenkephalin A', 'Proenkphlin_A', 4, NULL),
(3733, NULL, 'IPR000701', NULL, 'Succinate dehydrogenase/fumarate reductase type B, transmembrane subunit', 'SuccDH_FuR_B_TM-su', 4, NULL),
(3734, NULL, 'IPR006243', NULL, 'Photosystem I PsaA', 'PSI_PsaA', 4, NULL),
(3735, NULL, 'IPR005683', NULL, 'Mitochondrial import receptor subunit Tom22', 'Tom22', 4, NULL),
(3736, NULL, 'IPR006836', NULL, 'Protein of unknown function DUF612', 'DUF612', 4, NULL),
(3737, NULL, 'IPR000671', NULL, 'Peptidase A31 family', 'Peptidase_A31', 4, NULL),
(3738, NULL, 'IPR005669', NULL, 'Thiosulphate/Sulfate-binding protein', 'Thiosulph/SO4-bd', 4, NULL),
(3739, NULL, 'IPR005710', NULL, 'Ribosomal protein S4/S9, eukaryotic/archaeal', 'Ribosomal_S4/S9_euk/arc', 4, NULL),
(3740, NULL, 'IPR005696', NULL, 'Secretion protein MesE/LcnD', 'MesE/LcnD', 4, NULL),
(3741, NULL, 'IPR007411', NULL, 'Elongation factor P hydroxylase', 'EpmC', 4, NULL),
(3742, NULL, 'IPR006816', NULL, 'ELMO domain', 'ELMO_dom', 3, NULL),
(3743, NULL, 'IPR000715', NULL, 'Glycosyl transferase, family 4', 'Glycosyl_transferase_4', 4, NULL),
(3744, NULL, 'IPR004244', NULL, 'Transposase, L1', 'Transposase_22', 4, NULL),
(3745, NULL, 'IPR006813', NULL, 'Glycosyl transferase, family 17', 'Glyco_trans_17', 4, NULL),
(3746, NULL, 'IPR002751', NULL, 'Metal transport protein CbiM/NikMN', 'CbiM/NikMN', 4, NULL),
(3747, NULL, 'IPR004722', NULL, 'Dihydroorotase', 'DHOase', 4, NULL),
(3748, NULL, 'IPR006261', NULL, 'dNTP triphosphohydrolase', 'dNTPase', 4, NULL),
(3749, NULL, 'IPR000705', NULL, 'Galactokinase', 'Galactokinase', 4, NULL),
(3750, NULL, 'IPR006809', NULL, 'TAFII28-like protein domain', 'TAFII28_dom', 3, NULL),
(3751, NULL, 'IPR005677', NULL, 'Fumarate hydratase, class II', 'Fum_hydII', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3752, NULL, 'IPR007554', NULL, 'CDP-glycerol glycerophosphotransferase', 'Glycerophosphate_synth', 4, NULL),
(3753, NULL, 'IPR000675', NULL, 'Cutinase/acetylxylan esterase', 'Cutinase/axe', 4, NULL),
(3754, NULL, 'IPR007419', NULL, 'BFD-like [2Fe-2S]-binding domain', 'BFD-like_2Fe2S-bd_dom', 3, NULL),
(3755, NULL, 'IPR007557', NULL, 'PSP1, C-terminal', 'PSP1_C', 3, NULL),
(3756, NULL, 'IPR004705', NULL, 'Cation/H+ exchanger, CPA1 family, bacteria', 'Cation/H_exchanger_CPA1_bac', 4, NULL),
(3757, NULL, 'IPR007415', NULL, 'Nitrogenase MoFe maturation protein, NifZ', 'Nitrogenase_MoFe_mat_NifZ', 4, NULL),
(3758, NULL, 'IPR002731', NULL, 'ATPase, BadF/BadG/BcrA/BcrD type', 'ATPase_BadF', 3, NULL),
(3759, NULL, 'IPR002747', NULL, 'SAM-dependent chlorinase/fluorinase', 'SAM_Chlor/Fluor', 4, NULL),
(3760, NULL, 'IPR000172', NULL, 'Glucose-methanol-choline oxidoreductase, N-terminal', 'GMC_OxRdtase_N', 3, NULL),
(3761, NULL, 'IPR006248', NULL, 'Aconitase, mitochondrial-like', 'Aconitase_mito-like', 4, NULL),
(3762, NULL, 'IPR006801', NULL, 'Apolipoprotein A-II (ApoA-II)', 'ApoA-II', 4, NULL),
(3763, NULL, 'IPR006251', NULL, 'Homoaconitase/3-isopropylmalate dehydratase, large subunit', 'Homoacnase/IPMdehydase_lsu', 4, NULL),
(3764, NULL, 'IPR007416', NULL, 'YggL 50S ribosome-binding protein', 'YggL_50S_bp', 4, NULL),
(3765, NULL, 'IPR000028', NULL, 'Chloroperoxidase', 'Chloroperoxidase', 3, NULL),
(3766, NULL, 'IPR002717', NULL, 'Histone acetyltransferase domain, MYST-type', 'HAT_MYST-type', 3, NULL),
(3767, NULL, 'IPR004695', NULL, 'Transporter protein SLAC1/Mae1/ Ssu1/TehA', 'SLAC1/Mae1/Ssu1/TehA', 4, NULL),
(3768, NULL, 'IPR000197', NULL, 'Zinc finger, TAZ-type', 'Znf_TAZ', 3, NULL),
(3769, NULL, 'IPR005675', NULL, 'Citramalate synthase', 'Citramal_synthase', 4, NULL),
(3770, NULL, 'IPR007435', NULL, 'Protein of unknown function DUF484', 'DUF484', 4, NULL),
(3771, NULL, 'IPR004713', NULL, 'Calcium/proton exchanger', 'CaH_exchang', 4, NULL),
(3772, NULL, 'IPR005679', NULL, 'Ribosomal protein S12, bacterial-type', 'Ribosomal_S12_bac', 4, NULL),
(3773, NULL, 'IPR000071', NULL, 'Immunodeficiency lentiviral matrix, N-terminal', 'Lentvrl_matrix_N', 3, NULL),
(3774, NULL, 'IPR004711', NULL, 'Benzoate transporter', 'Benzoate_Transporter', 4, NULL),
(3775, NULL, 'IPR000128', NULL, 'Progesterone receptor', 'Progest_rcpt', 4, NULL),
(3776, NULL, 'IPR007551', NULL, 'Protein of unknown function DUF520', 'DUF520', 4, NULL),
(3777, NULL, 'IPR004736', NULL, 'MFS transporter, metabolite:H symporter', 'MHS_symport', 4, NULL),
(3778, NULL, 'IPR007390', NULL, 'Sporulation stage V, protein R', 'Spore_V_R', 4, NULL),
(3779, NULL, 'IPR034172', NULL, 'SHARP, RNA recognition motif 1', 'SHARP_RRM1', 3, NULL),
(3780, NULL, 'IPR004270', NULL, 'Papillomavirus E5, alphapapillomavirus', 'Papilloma_E5_alpha', 4, NULL),
(3781, NULL, 'IPR006256', NULL, 'Dihydrolipoamide acetyltransferase pyruvate dehydrogenase complex', 'AcTrfase_Pyrv_DH_cplx', 4, NULL),
(3782, NULL, 'IPR004715', NULL, 'Phosphotransferase system, IIA component fructose subfamily', 'PTS_IIA_fruc', 3, NULL),
(3783, NULL, 'IPR002753', NULL, 'Uncharacterised protein family UPF0058', 'UPF0058', 4, NULL),
(3784, NULL, 'IPR004252', NULL, 'Probable transposase, Ptta/En/Spm, plant', 'Probable_transposase_24', 4, NULL),
(3785, NULL, 'IPR006245', NULL, 'Allophycocyanin, beta subunit', 'ApcB', 4, NULL),
(3786, NULL, 'IPR007395', NULL, 'Putative neutral zinc metallopeptidase', 'Zn_peptidase_2', 4, NULL),
(3787, NULL, 'IPR004256', NULL, 'Domain of unknown function DUF234, DEXX-box ATPase C-terminal', 'DUF234_ATPase_C', 3, NULL),
(3788, NULL, 'IPR000219', NULL, 'Dbl homology (DH) domain', 'DH-domain', 3, NULL),
(3789, NULL, 'IPR000685', NULL, 'Ribulose bisphosphate carboxylase, large subunit, C-terminal', 'RuBisCO_lsu_C', 3, NULL),
(3790, NULL, 'IPR007407', NULL, 'Protein of unknown function DUF459', 'DUF459', 4, NULL),
(3791, NULL, 'IPR006234', NULL, 'O-succinylhomoserine sulfhydrylase', 'O-succ-hSer_sulfhydrylase', 4, NULL),
(3792, NULL, 'IPR006247', NULL, 'Phycocyanin, beta subunit', 'Phycocyanin_b', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3793, NULL, 'IPR004218', NULL, 'Prokaryotic glutathione synthetase, ATP-binding', 'GSHS_ATP-bd', 3, NULL),
(3794, NULL, 'IPR006270', NULL, 'Streptococcal histidine triad repeat', 'Strep_his_triad_rpt', 7, NULL),
(3795, NULL, 'IPR004212', NULL, 'GTF2I-like repeat', 'GTF2I', 7, NULL),
(3796, NULL, 'IPR000031', NULL, 'PurE domain', 'PurE_dom', 3, NULL),
(3797, NULL, 'IPR004733', NULL, 'Phosphoribosylformylglycinamidine cyclo-ligase', 'PurM_cligase', 4, NULL),
(3798, NULL, 'IPR006835', NULL, 'Domain of unknown function DUF575', 'DUF575', 3, NULL),
(3799, NULL, 'IPR004720', NULL, 'Phosphotransferase system, sorbose subfamily IIB component', 'PTS_IIB_sorbose-sp', 3, NULL),
(3800, NULL, 'IPR007402', NULL, 'Protein of unknown function DUF455', 'DUF455', 4, NULL),
(3801, NULL, 'IPR006238', NULL, 'Cystathionine beta-lyase, eukaryotic', 'Cys_b_lyase_euk', 4, NULL),
(3802, NULL, 'IPR006282', NULL, 'Thiamin pyrophosphokinase', 'Thi_PPkinase', 4, NULL),
(3803, NULL, 'IPR002723', NULL, 'N(4)-bis(aminopropyl)spermidine synthase, C-terminal', 'BpsA_C', 3, NULL),
(3804, NULL, 'IPR002693', NULL, 'Paramyxovirinae P phosphoprotein C-terminal domain', 'Paramyxo_PProtein_C', 3, NULL),
(3805, NULL, 'IPR000165', NULL, 'Glucoamylase', 'Glucoamylase', 4, NULL),
(3806, NULL, 'IPR004737', NULL, 'Nitrate transporter NarK/NarU-like', 'NO3_transporter_NarK/NarU-like', 4, NULL),
(3807, NULL, 'IPR000724', NULL, 'IgG-binding B', 'IgG-bd_B', 3, NULL),
(3808, NULL, 'IPR000133', NULL, 'ER lumen protein retaining receptor', 'ER_ret_rcpt', 4, NULL),
(3809, NULL, 'IPR034564', NULL, 'U2 small nuclear ribonucleoprotein B'''', RNA recognition motif 1', 'U2B''''_RRM1', 3, NULL),
(3810, NULL, 'IPR002720', NULL, 'Retinoblastoma-associated protein, A-box', 'RB_A', 3, NULL),
(3811, NULL, 'IPR004223', NULL, 'Vitamin B12-dependent methionine synthase, activation domain', 'VitB12-dep_Met_synth_activ_dom', 3, NULL),
(3812, NULL, 'IPR022874', NULL, 'Valine-tRNA ligase, type 2', 'Valine-tRNA_ligase_type_2', 4, NULL),
(3813, NULL, 'IPR000691', NULL, 'Proteinase inhibitor I16, Streptomyces subtilisin-type inhibitor', 'Prot_inh_I16_SSI', 4, NULL),
(3814, NULL, 'IPR000637', NULL, 'HMG-I/HMG-Y, DNA-binding, conserved site', 'HMGI/Y_DNA-bd_CS', 2, NULL),
(3815, NULL, 'IPR000065', NULL, 'Leptin', 'Leptin', 4, NULL),
(3816, NULL, 'IPR002734', NULL, 'Bacterial bifunctional deaminase-reductase, C-terminal', 'RibDG_C', 3, NULL),
(3817, NULL, 'IPR005684', NULL, 'Integration host factor, alpha subunit', 'IHF_alpha', 4, NULL),
(3818, NULL, 'IPR000159', NULL, 'Ras-associating (RA) domain', 'RA_dom', 3, NULL),
(3819, NULL, 'IPR002711', NULL, 'HNH endonuclease', 'HNH', 3, NULL),
(3820, NULL, 'IPR005691', NULL, 'Chloroplast protein import component Tic20', 'Tic20', 4, NULL),
(3821, NULL, 'IPR005676', NULL, 'Aspartate-semialdehyde dehydrogenase, peptidoglycan lacking', 'Asp_semi-ald_DH_pep-lack', 4, NULL),
(3822, NULL, 'IPR004247', NULL, 'Lentiviral Vpr-like protein', 'Lentiviral_Vpr-like', 4, NULL),
(3823, NULL, 'IPR000713', NULL, 'Mur ligase, N-terminal catalytic domain', 'Mur_ligase_N', 3, NULL),
(3824, NULL, 'IPR002705', NULL, 'Peptidase C30/C16,  Betacoronavirus', 'Pept_C30/C16_B_coronavir', 3, NULL),
(3825, NULL, 'IPR002725', NULL, 'YgjP-like, metallopeptidase domain', 'YgjP-like_metallopeptidase', 3, NULL),
(3826, NULL, 'IPR007433', NULL, 'Protein of unknown function DUF481', 'DUF481', 4, NULL),
(3827, NULL, 'IPR004725', NULL, 'Apoptosis regulator, Bcl-2/ BclX', 'Bcl2/BclX', 4, NULL),
(3828, NULL, 'IPR006252', NULL, 'Malate synthase A', 'Malate_synthA', 4, NULL),
(3829, NULL, 'IPR006294', NULL, '2'',3''-cyclic-nucleotide 2''-phosphodiesterase/3''-nucleotidase', 'Cyc_nuc_PDE_nucleotidase', 4, NULL),
(3830, NULL, 'IPR006827', NULL, 'Lantibiotic dehydratase, N-terminal', 'Lant_deHydtase_N', 3, NULL),
(3831, NULL, 'IPR005706', NULL, 'Ribosomal protein S2, bacteria/mitochondria/plastid', 'Ribosomal_S2_bac/mit/plastid', 4, NULL),
(3832, NULL, 'IPR006834', NULL, 'VITF-3 subunit protein', 'Pox_A8', 4, NULL),
(3833, NULL, 'IPR007544', NULL, 'Encapsulating protein for peroxidase', 'Linocin_M18', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3834, NULL, 'IPR003304', NULL, 'Prostanoid EP3 receptor, type 1', 'EP3_rcpt_1', 4, NULL),
(3835, NULL, 'IPR003307', NULL, 'W2 domain', 'W2_domain', 3, NULL),
(3836, NULL, 'IPR000734', NULL, 'Triacylglycerol lipase family', 'TAG_lipase', 4, NULL),
(3837, NULL, 'IPR007422', NULL, 'Cysteine protease Prp', 'Peptidase_Prp', 4, NULL),
(3838, NULL, 'IPR000673', NULL, 'Signal transduction response regulator, chemotaxis, protein-glutamate methylesterase', 'Sig_transdc_resp-reg_Me-estase', 3, NULL),
(3839, NULL, 'IPR006293', NULL, 'DNA helicase, ATP-dependent, RecQ type, bacterial', 'DNA_helicase_ATP-dep_RecQ_bac', 4, NULL),
(3840, NULL, 'IPR002726', NULL, 'CDP-archaeol synthase, archaea', 'CarS_archaea', 4, NULL),
(3841, NULL, 'IPR004704', NULL, 'Phosphotransferase system, mannose/fructose/sorbose family IID component', 'PTS_IID_man', 4, NULL),
(3842, NULL, 'IPR000678', NULL, 'Nuclear transition protein 2', 'TP2', 4, NULL),
(3843, NULL, 'IPR004254', NULL, 'AdipoR/Haemolysin-III-related', 'AdipoR/HlyIII-related', 4, NULL),
(3844, NULL, 'IPR000053', NULL, 'Thymidine/pyrimidine-nucleoside phosphorylase', 'Thymidine/pyrmidine_PPase', 4, NULL),
(3845, NULL, 'IPR000769', NULL, 'Regulatory protein Rop', 'Regulatory_Rop', 4, NULL),
(3846, NULL, 'IPR002746', NULL, 'Uncharacterised protein family UPF0216', 'UPF0216', 4, NULL),
(3847, NULL, 'IPR001644', NULL, 'C3a anaphylatoxin chemotactic receptor', 'Anaphtx_C3AR1', 4, NULL),
(3848, NULL, 'IPR007553', NULL, '2-thiouracil desulfurase', '2-thiour_desulf', 4, NULL),
(3849, NULL, 'IPR006815', NULL, 'Microvirus J protein-like', 'Microvir_J-like', 4, NULL),
(3850, NULL, 'IPR007549', NULL, 'Domain of unknown function DUF512', 'DUF512', 3, NULL),
(3851, NULL, 'IPR000014', NULL, 'PAS domain', 'PAS', 3, NULL),
(3852, NULL, 'IPR007432', NULL, 'Protein of unknown function DUF480', 'DUF480', 4, NULL),
(3853, NULL, 'IPR005662', NULL, 'GTP-binding protein Era', 'GTP-bd_Era', 4, NULL),
(3854, NULL, 'IPR005707', NULL, 'Ribosomal protein S2, eukaryotic/archaeal', 'Ribosomal_S2_euk/arc', 4, NULL),
(3855, NULL, 'IPR004726', NULL, 'Degenerin', 'Deg-1', 4, NULL),
(3856, NULL, 'IPR000684', NULL, 'RNA polymerase II, heptapeptide repeat, eukaryotic', 'RNA_pol_II_repeat_euk', 7, NULL),
(3857, NULL, 'IPR005667', NULL, 'Sulphate ABC transporter permease protein 2', 'Sulph_transpt2', 4, NULL),
(3858, NULL, 'IPR006280', NULL, 'Sarcosine oxidase, gamma subunit, heterotetrameric', 'SoxG_het', 4, NULL),
(3859, NULL, 'IPR006818', NULL, 'Histone chaperone ASF1-like', 'ASF1-like', 4, NULL),
(3860, NULL, 'IPR000096', NULL, 'Serum amyloid A protein', 'Serum_amyloid_A', 4, NULL),
(3861, NULL, 'IPR002713', NULL, 'FF domain', 'FF_domain', 3, NULL),
(3862, NULL, 'IPR005664', NULL, 'Tetrahydrodipicolinate N-succinyltransferase, transferase hexapeptide repeat family', 'DapD_Trfase_Hexpep_rpt_fam', 4, NULL),
(3863, NULL, 'IPR002704', NULL, 'Peptidase C7 domain', 'Peptidase_C7_dom', 3, NULL),
(3864, NULL, 'IPR004211', NULL, 'Recombination endonuclease VII', 'Endonuclease_7', 4, NULL),
(3865, NULL, 'IPR000772', NULL, 'Ricin B, lectin domain', 'Ricin_B_lectin', 3, NULL),
(3866, NULL, 'IPR000035', NULL, 'Alkylbase DNA glycosidase, conserved site', 'Alkylbase_DNA_glycsylse_CS', 2, NULL),
(3867, NULL, 'IPR004700', NULL, 'Phosphotransferase system, mannose/fructose/sorbose family, IIC subunit', 'PTS_IIC_man', 4, NULL),
(3868, NULL, 'IPR000687', NULL, 'RIO kinase', 'RIO_kinase', 3, NULL),
(3869, NULL, 'IPR004227', NULL, 'Formiminotransferase catalytic domain', 'Formiminotransferase_cat', 3, NULL),
(3870, NULL, 'IPR001641', NULL, 'Spumavirus aspartic protease A9', 'Spumavirus_A9', 3, NULL),
(3871, NULL, 'IPR002695', NULL, 'Bifunctional purine biosynthesis protein PurH-like', 'PurH-like', 4, NULL),
(3872, NULL, 'IPR000109', NULL, 'Proton-dependent oligopeptide transporter family', 'POT_fam', 4, NULL),
(3873, NULL, 'IPR006820', NULL, 'Caudal-like activation domain', 'Caudal_activation_dom', 3, NULL),
(3874, NULL, 'IPR002742', NULL, 'Desulfoferrodoxin, ferrous iron-binding domain', 'Desulfoferrodoxin_Fe-bd_dom', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3875, NULL, 'IPR006824', NULL, 'DNA helicase, Baculovirus', 'DNA_helicase_Baculovir', 4, NULL),
(3876, NULL, 'IPR005711', NULL, 'Ribosomal protein S5, eukaryotic/archaeal', 'Ribosomal_S5_euk/arc', 4, NULL),
(3877, NULL, 'IPR002712', NULL, 'Toxin CcdB', 'CcdB', 4, NULL),
(3878, NULL, 'IPR007555', NULL, 'Protein of unknown function DUF499', 'DUF499', 4, NULL),
(3879, NULL, 'IPR000779', NULL, 'Interleukin-2', 'IL-2', 4, NULL),
(3880, NULL, 'IPR007401', NULL, 'Protein of unknown function DUF454', 'DUF454', 4, NULL),
(3881, NULL, 'IPR007410', NULL, 'Copper chaperone PCuAC', 'PCuAC', 4, NULL),
(3882, NULL, 'IPR000206', NULL, 'Ribosomal protein L7/L12', 'Ribosomal_L7/12', 4, NULL),
(3883, NULL, 'IPR002738', NULL, 'RNase P subunit p30', 'RNase_P_p30', 4, NULL),
(3884, NULL, 'IPR006272', NULL, 'Phosphoserine aminotransferase, Mycobacterial-type', 'Pser_aminoTfrase_mycobac', 4, NULL),
(3885, NULL, 'IPR004233', NULL, 'FokI, recognition domain, subdomain 2', 'FokI_D2', 3, NULL),
(3886, NULL, 'IPR005671', NULL, '2-isopropylmalate synthase, bacterial-type', 'LeuA_bact_synth', 4, NULL),
(3887, NULL, 'IPR005712', NULL, 'Ribosomal protein S5, bacterial-type', 'Ribosomal_S5_bac-type', 4, NULL),
(3888, NULL, 'IPR006799', NULL, 'Anti-Mullerian hormone, N-terminal', 'AMH_N', 3, NULL),
(3889, NULL, 'IPR000732', NULL, 'Rhodopsin', 'Rhodopsin', 4, NULL),
(3890, NULL, 'IPR007420', NULL, 'Protein of unknown function DUF465', 'DUF465', 4, NULL),
(3891, NULL, 'IPR002702', NULL, 'Translation repressor RegA', 'Transl_repress_RegA', 4, NULL),
(3892, NULL, 'IPR000770', NULL, 'SAND domain', 'SAND_dom', 3, NULL),
(3893, NULL, 'IPR004217', NULL, 'Tim10-like', 'Tim10-like', 3, NULL),
(3894, NULL, 'IPR006281', NULL, 'Sarcosine oxidase, monomeric', 'SoxA_mon', 4, NULL),
(3895, NULL, 'IPR004696', NULL, 'Triose phosphate/phosphoenolpyruvate translocator', 'Tpt_PEP_transl', 4, NULL),
(3896, NULL, 'IPR006274', NULL, 'Carbamoyl-phosphate synthase, small subunit', 'CarbamoylP_synth_ssu', 4, NULL),
(3897, NULL, 'IPR000764', NULL, 'Uridine kinase-like', 'Uridine_kinase-like', 4, NULL),
(3898, NULL, 'IPR006269', NULL, '3-deoxy-8-phosphooctulonate synthase', 'KDO8P_synthase', 4, NULL),
(3899, NULL, 'IPR007423', NULL, 'Selenoprotein, putative', 'Sel_put', 4, NULL),
(3900, NULL, 'IPR000199', NULL, 'Peptidase C3A/C3B, picornaviral', 'Peptidase_C3A/C3B_picornavir', 3, NULL),
(3901, NULL, 'IPR002708', NULL, 'Homocysteine biosynthesis enzyme, sulfur-incorporation', 'HcyBio', 3, NULL),
(3902, NULL, 'IPR004215', NULL, 'Prokaryotic glutathione synthetase, N-terminal', 'GSHS_N', 3, NULL),
(3903, NULL, 'IPR006268', NULL, 'Phospho-2-dehydro-3-deoxyheptonate aldolase, subtype 2', 'DAHP_syn_2', 3, NULL),
(3904, NULL, 'IPR000723', NULL, 'G protein-coupled receptor 3/6/12 orphan', 'GPR_3/6/12_orphan', 4, NULL),
(3905, NULL, 'IPR024632', NULL, 'Phospholipase D, C-terminal', 'PLipase_D_C', 3, NULL),
(3906, NULL, 'IPR007436', NULL, 'Protein of unknown function DUF485', 'DUF485', 4, NULL),
(3907, NULL, 'IPR000174', NULL, 'CXC chemokine receptor 1/2', 'Chemokine_CXCR_1/2', 4, NULL),
(3908, NULL, 'IPR000211', NULL, 'Geminivirus BL1 movement protein', 'Gemini_BL', 4, NULL),
(3909, NULL, 'IPR005685', NULL, 'Integration host factor, beta subunit', 'IHF_beta', 4, NULL),
(3910, NULL, 'IPR000201', NULL, 'Hepadnaviral P protein, N-terminal', 'DNApol_viral_N', 3, NULL),
(3911, NULL, 'IPR005688', NULL, 'Chloroplast protein import component Toc34', 'Toc34', 4, NULL),
(3912, NULL, 'IPR004248', NULL, 'Borrelia plasmid, OrfD', 'Borrelia_plasmid_OrfD', 4, NULL),
(3913, NULL, 'IPR004269', NULL, 'Folate receptor', 'Folate_rcpt', 4, NULL),
(3914, NULL, 'IPR003308', NULL, 'Integrase, N-terminal zinc-binding domain', 'Integrase_Zn-bd_dom_N', 3, NULL),
(3915, NULL, 'IPR000780', NULL, 'MCP methyltransferase, CheR-type', 'CheR_MeTrfase', 3, NULL),
(3916, NULL, 'IPR002730', NULL, 'Ribonuclease P protein subunit Rpp29/RNP1', 'Rpp29/RNP1', 4, NULL),
(3917, NULL, 'IPR006803', NULL, 'Poxvirus I5', 'Poxvirus_I5', 4, NULL),
(3918, NULL, 'IPR004228', NULL, 'Phycoerythrin alpha chain', 'Phycoerythr_a', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3919, NULL, 'IPR006817', NULL, 'Lipoprotein leucine-zipper', 'Lipoprotein_leucine-zipper_dom', 3, NULL),
(3920, NULL, 'IPR000100', NULL, 'Ribonuclease P', 'RNase_P', 4, NULL),
(3921, NULL, 'IPR006257', NULL, 'Dihydrolipoyllysine-residue acetyltransferase component of pyruvate dehydrogenase complex', 'LAT1', 4, NULL),
(3922, NULL, 'IPR002745', NULL, 'Phosphotransferase KptA/Tpt1', 'Ptrans_KptA/Tpt1', 4, NULL),
(3923, NULL, 'IPR007393', NULL, 'Domain of unknown function DUF448', 'DUF448', 3, NULL),
(3924, NULL, 'IPR005665', NULL, 'Protein-export membrane protein SecF, bacterial', 'SecF_bac', 4, NULL),
(3925, NULL, 'IPR002701', NULL, 'Chorismate mutase II, prokaryotic-type', 'CM_II_prokaryot', 3, NULL),
(3926, NULL, 'IPR006284', NULL, 'Glutathione synthetase, prokaryotic', 'Glut_synth_pro', 4, NULL),
(3927, NULL, 'IPR002739', NULL, 'Uncharacterised protein family UPF0201', 'UPF0201', 4, NULL),
(3928, NULL, 'IPR004731', NULL, 'Transaldolase type 3B/Fructose-6-phosphate aldolase', 'Transaldolase_3B/F6P_aldolase', 4, NULL),
(3929, NULL, 'IPR006291', NULL, 'Transcriptional regulatory protein PcoR, heavy metal response', 'PcoR', 4, NULL),
(3930, NULL, 'IPR000225', NULL, 'Armadillo', 'Armadillo', 7, NULL),
(3931, NULL, 'IPR000146', NULL, 'Fructose-1,6-bisphosphatase class 1', 'FBPase_class-1', 4, NULL),
(3932, NULL, 'IPR034552', NULL, 'p54nrb, RNA recognition motif 1', 'p54nrb_RRM1', 3, NULL),
(3933, NULL, 'IPR000138', NULL, 'Hydroxymethylglutaryl-CoA lyase, active site', 'HMG_CoA_lyase_AS', 0, NULL),
(3934, NULL, 'IPR006250', NULL, 'Aconitase, putative', 'Aconitase_put', 4, NULL),
(3935, NULL, 'IPR006833', NULL, 'Ammonia monooxygenase/particulate methane monooxygenase, subunit B', 'NH3_CH4_mOase_B', 4, NULL),
(3936, NULL, 'IPR005709', NULL, 'Ribosomal protein S4, bacterial-type', 'Ribosomal_S4_bac-type', 4, NULL),
(3937, NULL, 'IPR006258', NULL, 'Dihydrolipoamide dehydrogenase', 'Lipoamide_DH', 4, NULL),
(3938, NULL, 'IPR000150', NULL, 'Cof family', 'Cof', 4, NULL),
(3939, NULL, 'IPR005681', NULL, 'Mitochondrial inner membrane translocase complex, subunit Tim23', 'Tim23', 4, NULL),
(3940, NULL, 'IPR005673', NULL, 'Phosphate ABC transporter, substrate-binding protein PstS', 'ABC_phos-bd_PstS', 4, NULL),
(3941, NULL, 'IPR002698', NULL, '5-formyltetrahydrofolate cyclo-ligase', 'FTHF_cligase', 4, NULL),
(3942, NULL, 'IPR003305', NULL, 'Carbohydrate-binding, CenC-like', 'CenC_carb-bd', 3, NULL),
(3943, NULL, 'IPR006244', NULL, 'Photosystem I PsaB', 'PSI_PsaB', 4, NULL),
(3944, NULL, 'IPR004232', NULL, 'Nitrile hydratase alpha /Thiocyanate hydrolase gamma', 'CN_Hdrtase_a/SCN_Hdrlase_g', 3, NULL),
(3945, NULL, 'IPR000175', NULL, 'Sodium:neurotransmitter symporter', 'Na/ntran_symport', 4, NULL),
(3946, NULL, 'IPR004205', NULL, 'Cytochrome b-c1 complex subunit 8', 'Cyt_bc1_su8', 4, NULL),
(3947, NULL, 'IPR000711', NULL, 'ATPase, OSCP/delta subunit', 'ATPase_OSCP/dsu', 4, NULL),
(3948, NULL, 'IPR034572', NULL, 'Protein MULTIPLE CHLOROPLAST DIVISION SITE 1', 'MCD1', 4, NULL),
(3949, NULL, 'IPR002718', NULL, 'Outer membrane protein, Helicobacter', 'OMP_Helicobacter', 4, NULL),
(3950, NULL, 'IPR005663', NULL, 'Monovalent cation proton antiporter subunit A', 'MrpA/MnhA1/PhaAB', 4, NULL),
(3951, NULL, 'IPR001642', NULL, 'Neuromedin B receptor', 'NeuroB_rcpt', 4, NULL),
(3952, NULL, 'IPR005713', NULL, 'Ribosomal protein S19A/S15e', 'Ribosomal_S19A/S15e', 4, NULL),
(3953, NULL, 'IPR004718', NULL, 'Phosphotransferase system, mannitol-specific enzyme IIC', 'PTS_IIC_mtl', 3, NULL),
(3954, NULL, 'IPR006814', NULL, 'Photosystem II PsbR', 'PSII_PsbR', 4, NULL),
(3955, NULL, 'IPR002755', NULL, 'DNA primase, small subunit', 'DNA_primase_S', 4, NULL),
(3956, NULL, 'IPR004716', NULL, 'Phosphotransferase system, glucitol/sorbitol-specific IIA component', 'PTS_IIA_glucitol/sorbitol-sp', 4, NULL),
(3957, NULL, 'IPR007556', NULL, 'Protein of unknown function DUF483', 'DUF483', 4, NULL),
(3958, NULL, 'IPR004699', NULL, 'Phosphotransferase system, enzyme II sorbitol-specific factor', 'PTS_IID_sorb', 4, NULL),
(3959, NULL, 'IPR004216', NULL, 'L-fucose/L-arabinose isomerase, C-terminal', 'Fuc/Ara_isomerase_C', 5, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(3960, NULL, 'IPR002727', NULL, 'Protein of unknown function DUF47', 'DUF47', 4, NULL),
(3961, NULL, 'IPR004235', NULL, 'Scytalone dehydratase', 'Scytalone_dehydratase', 4, NULL),
(3962, NULL, 'IPR004701', NULL, 'Phosphotransferase system, mannose-type IIA component', 'PTS_EIIA_man-typ', 3, NULL),
(3963, NULL, 'IPR000223', NULL, 'Peptidase S26A, signal peptidase I', 'Pept_S26A_signal_pept_1', 4, NULL),
(3964, NULL, 'IPR000710', NULL, 'Peptidase S6, IgA endopeptidase', 'Peptidase_S6', 4, NULL),
(3965, NULL, 'IPR000098', NULL, 'Interleukin-10', 'IL-10', 4, NULL),
(3966, NULL, 'IPR004724', NULL, 'Epithelial sodium channel, chordates', 'ENaC_chordates', 4, NULL),
(3967, NULL, 'IPR002719', NULL, 'Retinoblastoma-associated protein, B-box', 'RB_B', 3, NULL),
(3968, NULL, 'IPR006235', NULL, 'O-acetylhomoserine/O-acetylserine sulfhydrylase', 'OAc-hSer/O-AcSer_sulfhydrylase', 4, NULL),
(3969, NULL, 'IPR006288', NULL, 'Transcription factor S', 'TFS', 4, NULL),
(3970, NULL, 'IPR007409', NULL, 'Restriction endonuclease, type I, HsdR, N-terminal', 'Restrct_endonuc_type1_HsdR_N', 3, NULL),
(3971, NULL, 'IPR007427', NULL, 'Protein of unknown function DUF475', 'DUF475', 4, NULL),
(3972, NULL, 'IPR000757', NULL, 'Glycoside hydrolase family 16', 'GH16', 3, NULL),
(3973, NULL, 'IPR000221', NULL, 'Protamine P1', 'Protamine_P1', 4, NULL),
(3974, NULL, 'IPR002740', NULL, 'EVE domain', 'EVE_domain', 3, NULL),
(3975, NULL, 'IPR000148', NULL, 'Papillomavirus E7', 'Papilloma_E7', 4, NULL),
(3976, NULL, 'IPR005704', NULL, 'Ribosomal protein S3, bacterial-type', 'Ribosomal_S3_bac-typ', 4, NULL),
(3977, NULL, 'IPR006237', NULL, 'L-methionine gamma-lyase', 'L-Met_gamma_lys', 4, NULL),
(3978, NULL, 'IPR003313', NULL, 'AraC-type arabinose-binding/dimerisation domain', 'AraC-bd', 3, NULL),
(3979, NULL, 'IPR007391', NULL, 'Vancomycin resistance VanW', 'Vancomycin_resist_VanW', 4, NULL),
(3980, NULL, 'IPR006806', NULL, 'NADH dehydrogenase [ubiquinone] 1 alpha subcomplex subunit 5', 'NDUFA5', 4, NULL),
(3981, NULL, 'IPR004245', NULL, 'Protein of unknown function DUF229', 'DUF229', 4, NULL),
(3982, NULL, 'IPR000112', NULL, 'GPCR, family 3, metabotropic glutamate receptor 6', 'GPCR_3_mtglu_rcpt_6', 4, NULL),
(3983, NULL, 'IPR004710', NULL, 'Bile acid:sodium symporter', 'Bilac:Na_transpt', 4, NULL),
(3984, NULL, 'IPR004214', NULL, 'Conotoxin', 'Conotoxin', 4, NULL),
(3985, NULL, 'IPR002714', NULL, 'von Hippel-Lindau tumour suppressor protein', 'VHL', 4, NULL),
(3986, NULL, 'IPR002750', NULL, 'CobE/GbiG C-terminal domain', 'CobE/GbiG_C', 3, NULL),
(3987, NULL, 'IPR000162', NULL, 'GPCR, family 3, metabotropic glutamate receptor', 'GPCR_3_mtglu_rcpt', 4, NULL),
(3988, NULL, 'IPR024635', NULL, 'Gonadotropin hormone receptor, transmembrane domain', 'GnHR_TM', 3, NULL),
(3989, NULL, 'IPR005715', NULL, 'Glutamate 5-kinase/delta-1-pyrroline-5-carboxylate synthase', 'Glu_5kinase/COase_Synthase', 4, NULL),
(3990, NULL, 'IPR001639', NULL, 'Type II secretion system protein GspC', 'T2SS_protein-GspC', 4, NULL),
(3991, NULL, 'IPR000214', NULL, 'Zinc finger, DNA glycosylase/AP lyase-type', 'Znf_DNA_glyclase/AP_lyase', 3, NULL),
(3992, NULL, 'IPR004226', NULL, 'Tubulin binding cofactor A', 'TBCA', 4, NULL),
(3993, NULL, 'IPR006239', NULL, '3(2),5 -bisphosphate nucleotidase HAL2', 'Bisphos_HAL2', 4, NULL),
(3994, NULL, 'IPR006236', NULL, 'D-3-phosphoglycerate dehydrogenase', 'PGDH', 4, NULL),
(3995, NULL, 'IPR005694', NULL, 'Efflux pump membrane protein', 'Efflux_pump_mem', 4, NULL),
(3996, NULL, 'IPR004220', NULL, '5-carboxymethyl-2-hydroxymuconate isomerase', '5-COMe_2-OHmuconate_Isoase', 4, NULL),
(3997, NULL, 'IPR007403', NULL, 'Protein of unknown function DUF456', 'DUF456', 4, NULL),
(3998, NULL, 'IPR005674', NULL, 'CocE/Serine esterase', 'CocE/Ser_esterase', 4, NULL),
(3999, NULL, 'IPR005697', NULL, 'Homoserine O-succinyltransferase MetA', 'HST_MetA', 4, NULL),
(4000, NULL, 'IPR006805', NULL, 'Anthranilate synthase component I, N-terminal', 'Anth_synth_I_N', 3, NULL),
(4001, NULL, 'IPR007979', NULL, 'Type II restriction enzyme NlaIII/ICEA1', 'NlaIII/ICEA1', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4002, NULL, 'IPR007946', NULL, 'A1 cistron-splicing factor, AAR2', 'AAR2', 4, NULL),
(4003, NULL, 'IPR007960', NULL, 'Taste receptor type 2', 'TAS2R', 4, NULL),
(4004, NULL, 'IPR002761', NULL, 'Diphthamide synthase domain', 'Diphthami_syn_dom', 3, NULL),
(4005, NULL, 'IPR006847', NULL, 'Translation initiation factor IF-2, N-terminal', 'IF2_N', 3, NULL),
(4006, NULL, 'IPR003356', NULL, 'DNA methylase, adenine-specific', 'DNA_methylase_A-5', 3, NULL),
(4007, NULL, 'IPR001975', NULL, 'Ribosomal protein L40e', 'Ribosomal_L40e', 3, NULL),
(4008, NULL, 'IPR005160', NULL, 'Ku70/Ku80 C-terminal arm', 'Ku_C', 3, NULL),
(4009, NULL, 'IPR005290', NULL, 'Ribosomal protein S15, bacterial-type', 'Ribosomal_S15_bac-type', 4, NULL),
(4010, NULL, 'IPR006846', NULL, 'Ribosomal protein S30', 'Ribosomal_S30', 4, NULL),
(4011, NULL, 'IPR005154', NULL, 'Alpha glucuronidase, N-terminal', 'Glyco_hydro_67_aGlcAse_N', 3, NULL),
(4012, NULL, 'IPR001853', NULL, 'DSBA-like thioredoxin domain', 'DSBA-like_thioredoxin_dom', 3, NULL),
(4013, NULL, 'IPR001783', NULL, 'Lumazine-binding protein', 'Lumazine-bd', 4, NULL),
(4014, NULL, 'IPR010232', NULL, 'Probable protein kinase UbiB', 'UbiB', 4, NULL),
(4015, NULL, 'IPR007992', NULL, 'Succinate dehydrogenase [ubiquinone] cytochrome b small subunit, CybS', 'CybS', 4, NULL),
(4016, NULL, 'IPR000646', NULL, 'Pre-hexon-linking protein VIII', 'Adeno_PVIII', 4, NULL),
(4017, NULL, 'IPR006852', NULL, 'Protein of unknown function DUF616', 'DUF616', 4, NULL),
(4018, NULL, 'IPR003359', NULL, 'Photosystem I Ycf4, assembly', 'PSI_Ycf4_assembly', 4, NULL),
(4019, NULL, 'IPR006861', NULL, 'Hyaluronan/mRNA-binding protein', 'HABP4_PAIRBP1-bd', 3, NULL),
(4020, NULL, 'IPR000762', NULL, 'Midkine heparin-binding growth factor', 'Midkine_heparin-bd_GF', 4, NULL),
(4021, NULL, 'IPR003894', NULL, 'TAFH/NHR1', 'TAFH_NHR1', 3, NULL),
(4022, NULL, 'IPR000929', NULL, 'Dopamine receptor family', 'Dopamine_rcpt', 4, NULL),
(4023, NULL, 'IPR003340', NULL, 'B3 DNA binding domain', 'B3_DNA-bd', 3, NULL),
(4024, NULL, 'IPR003874', NULL, 'CDC45 family', 'CDC45', 4, NULL),
(4025, NULL, 'IPR005294', NULL, 'ATP synthase, F1 complex, alpha subunit', 'ATP_synth_F1_asu', 4, NULL),
(4026, NULL, 'IPR003314', NULL, 'Mu-type HTH domain', 'Mu-type_HTH', 3, NULL),
(4027, NULL, 'IPR003361', NULL, 'Acetaldehyde dehydrogenase', 'Acetaldehyde_dehydrogenase', 4, NULL),
(4028, NULL, 'IPR001910', NULL, 'Inosine/uridine-preferring nucleoside hydrolase domain', 'Inosine/uridine_hydrolase_dom', 3, NULL),
(4029, NULL, 'IPR005153', NULL, 'MbtH-like domain', 'MbtH-like_dom', 3, NULL),
(4030, NULL, 'IPR006865', NULL, 'Domain of unknown function DUF629', 'DUF629', 3, NULL),
(4031, NULL, 'IPR004806', NULL, 'UV excision repair protein Rad23', 'Rad23', 4, NULL),
(4032, NULL, 'IPR034174', NULL, 'SHARP, RNA recognition motif 3', 'SHARP_RRM3', 3, NULL),
(4033, NULL, 'IPR006848', NULL, 'Transcription regulator, putative, lactococcus phage-type', 'Transcrpt_reg_put_lact_phage', 4, NULL),
(4034, NULL, 'IPR001856', NULL, 'Somatostatin receptor 3', 'Somatstn_rcpt_3', 4, NULL),
(4035, NULL, 'IPR001102', NULL, 'Transglutaminase, N-terminal', 'Transglutaminase_N', 3, NULL),
(4036, NULL, 'IPR007965', NULL, 'Gcn5-related N-acetyltransferase (GNAT) domain, ATAT-type', 'GNAT_ATAT', 3, NULL),
(4037, NULL, 'IPR003883', NULL, 'Repetitive proline-rich cell wall protein repeat', 'Pro_rich_cell_wall_rpt', 7, NULL),
(4038, NULL, 'IPR001854', NULL, 'Ribosomal protein L29/L35', 'Ribosomal_L29/L35', 4, NULL),
(4039, NULL, 'IPR034050', NULL, 'Tumor necrosis factor receptor 25, N-terminal', 'TNFRSF25_N', 3, NULL),
(4040, NULL, 'IPR007948', NULL, 'Protein of unknown function DUF736', 'DUF736', 4, NULL),
(4041, NULL, 'IPR006845', NULL, 'Pex, N-terminal', 'Pex_N', 3, NULL),
(4042, NULL, 'IPR007943', NULL, 'Aspartyl beta-hydroxylase/Triadin domain', 'Asp-B-hydro/Triadin_dom', 3, NULL),
(4043, NULL, 'IPR004841', NULL, 'Amino acid permease/ SLC12A domain', 'AA-permease/SLC12A_dom', 3, NULL),
(4044, NULL, 'IPR007985', NULL, 'Haemolysin expression modulating, HHA', 'Hemolysn_expr_modulating_HHA', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4045, NULL, 'IPR005273', NULL, 'Uracil-DNA glycosylase family 4', 'Ura-DNA_glyco_family4', 3, NULL),
(4046, NULL, 'IPR001816', NULL, 'Translation elongation factor EFTs/EF1B', 'Transl_elong_EFTs/EF1B', 4, NULL),
(4047, NULL, 'IPR007947', NULL, 'CD164-related protein', 'CD164_MGC24', 4, NULL),
(4048, NULL, 'IPR001926', NULL, 'Pyridoxal-phosphate dependent enzyme', 'PLP-dep', 3, NULL),
(4049, NULL, 'IPR010235', NULL, 'Probable ribonuclease HepT', 'HepT', 4, NULL),
(4050, NULL, 'IPR006841', NULL, 'Coronavirus nonstructural protein NS2', 'Corona_NS2', 4, NULL),
(4051, NULL, 'IPR003360', NULL, 'US22-like', 'US22-like', 4, NULL),
(4052, NULL, 'IPR001818', NULL, 'Peptidase M10, metallopeptidase', 'Pept_M10_metallopeptidase', 3, NULL),
(4053, NULL, 'IPR001506', NULL, 'Peptidase M12A', 'Peptidase_M12A', 3, NULL),
(4054, NULL, 'IPR001964', NULL, 'Luteovirus VPG protein', 'Luteo_VPG', 4, NULL),
(4055, NULL, 'IPR003344', NULL, 'Big-1 (bacterial Ig-like domain 1) domain', 'Big_1_dom', 3, NULL),
(4056, NULL, 'IPR010224', NULL, 'ATP binding protein MinD, archaea', 'MinD_archaea', 4, NULL),
(4057, NULL, 'IPR001912', NULL, 'Ribosomal protein S4/S9, N-terminal', 'Ribosomal_S4/S9_N', 3, NULL),
(4058, NULL, 'IPR004835', NULL, 'Chitin synthase', 'Chitin_synth', 4, NULL),
(4059, NULL, 'IPR001850', NULL, 'Flavivirus NS3, petidase S7', 'Flavivirus_NS3_S7', 3, NULL),
(4060, NULL, 'IPR006859', NULL, 'Influenza B matrix protein 2', 'Flu_B_M2', 4, NULL),
(4061, NULL, 'IPR001840', NULL, 'Anaphylatoxin, complement system domain', 'Anaphylatoxn_comp_syst_dom', 3, NULL),
(4062, NULL, 'IPR034365', NULL, 'AtC3H46-like,  RNA recognition motif', 'AtC3H46-like_RRM', 3, NULL),
(4063, NULL, 'IPR001869', NULL, 'Thiol-activated cytolysin', 'Thiol_cytolysin', 4, NULL),
(4064, NULL, 'IPR001864', NULL, 'Trypanothione reductase', 'Trypnth_redctse', 4, NULL),
(4065, NULL, 'IPR008002', NULL, 'Herpesvirus, Orf30', 'Herpes_Orf30', 4, NULL),
(4066, NULL, 'IPR003338', NULL, 'CDC48, N-terminal subdomain', 'CDC4_N-term_subdom', 3, NULL),
(4067, NULL, 'IPR000501', NULL, 'Tripartite terminase subunit 1', 'UL28/UL56', 4, NULL),
(4068, NULL, 'IPR003368', NULL, 'Polymorphic outer membrane protein repeat', 'POMP_repeat', 7, NULL),
(4069, NULL, 'IPR001862', NULL, 'Membrane attack complex component/perforin/complement C9', 'MAC_perforin', 4, NULL),
(4070, NULL, 'IPR007949', NULL, 'SDA1 domain', 'SDA1_dom', 3, NULL),
(4071, NULL, 'IPR010204', NULL, 'Na(+)-translocating NADH-quinone reductase subunit C', 'NqrC', 4, NULL),
(4072, NULL, 'IPR010214', NULL, 'Transcription termination factor NusA, C-terminal duplication', 'Tscrpt_termin_fac_NusA_C_rpt', 7, NULL),
(4073, NULL, 'IPR004826', NULL, 'Basic leucine zipper domain, Maf-type', 'bZIP_Maf', 3, NULL),
(4074, NULL, 'IPR003365', NULL, 'Viral replication-associated protein, N-terminal', 'Viral_rep_N', 3, NULL),
(4075, NULL, 'IPR007958', NULL, 'Scorpion short chain toxin, chloride channel inhibitor', 'Scorpion_toxinS_Cl_inh', 4, NULL),
(4076, NULL, 'IPR010225', NULL, 'ATP-dependent helicase HrpB', 'HrpB', 4, NULL),
(4077, NULL, 'IPR007937', NULL, 'RNA polymerase, 22kDa subunit, poxviral', 'RNA_Pol_22kDa_poxvir', 4, NULL),
(4078, NULL, 'IPR001784', NULL, 'Bunyavirus nucleocapsid (N) protein', 'Bunya_nucleocap', 4, NULL),
(4079, NULL, 'IPR001811', NULL, 'Chemokine interleukin-8-like domain', 'Chemokine_IL8-like_dom', 3, NULL),
(4080, NULL, 'IPR003789', NULL, 'Aspartyl/glutamyl-tRNA amidotransferase subunit B-like', 'Asn/Gln_tRNA_amidoTrase-B-like', 5, NULL),
(4081, NULL, 'IPR001787', NULL, 'Ribosomal protein L21', 'Ribosomal_L21', 4, NULL),
(4082, NULL, 'IPR034025', NULL, 'ADAM10/ADAM17 catalytic domain', 'ADAM10_ADAM17', 3, NULL),
(4083, NULL, 'IPR001795', NULL, 'RNA-directed RNA polymerase, luteovirus', 'RNA-dir_pol_luteovirus', 4, NULL),
(4084, NULL, 'IPR005282', NULL, 'Lysosomal cystine transporter', 'LC_transporter', 4, NULL),
(4085, NULL, 'IPR000586', NULL, 'Somatostatin receptor family', 'Somatstn_rcpt', 4, NULL),
(4086, NULL, 'IPR007970', NULL, 'Protein of unknown function DUF733', 'DUF733', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4087, NULL, 'IPR003323', NULL, 'OTU domain', 'OTU_dom', 3, NULL),
(4088, NULL, 'IPR001870', NULL, 'B30.2/SPRY domain', 'B30.2/SPRY', 3, NULL),
(4089, NULL, 'IPR003329', NULL, 'Acylneuraminate cytidylyltransferase', 'Cytidylyl_trans', 4, NULL),
(4090, NULL, 'IPR010217', NULL, 'NAD(P)H-quinone oxidoreductase subunit 5, organellar chromatophore 2', 'NU5C2', 4, NULL),
(4091, NULL, 'IPR001845', NULL, 'HTH ArsR-type DNA-binding domain', 'HTH_ArsR_DNA-bd_dom', 3, NULL),
(4092, NULL, 'IPR005288', NULL, 'L-aspartate oxidase', 'NadB', 4, NULL),
(4093, NULL, 'IPR010208', NULL, 'Ion-translocating oxidoreductase complex, subunit RnfC/RsxC', 'Ion_transpt_RnfC/RsxC', 4, NULL),
(4094, NULL, 'IPR005143', NULL, 'Transcription factor LuxR-like, autoinducer-binding domain', 'TF_LuxR_autoind-bd_dom', 3, NULL),
(4095, NULL, 'IPR001866', NULL, 'Papillomavirus E2, N-terminal', 'Papillomavirus_E2_N', 3, NULL),
(4096, NULL, 'IPR010215', NULL, 'Transcription antitermination protein RfaH', 'Transcription_antiterm_RfaH', 4, NULL),
(4097, NULL, 'IPR003902', NULL, 'Transcription regulator GCM domain', 'Tscrpt_reg_GCM', 3, NULL),
(4098, NULL, 'IPR003343', NULL, 'Bacterial Ig-like, group 2', 'Big_2', 3, NULL),
(4099, NULL, 'IPR002758', NULL, 'Na+/H+ antiporter subunit E', 'Cation_antiport_E', 4, NULL),
(4100, NULL, 'IPR007969', NULL, 'Domain of unknown function DUF732', 'DUF732', 3, NULL),
(4101, NULL, 'IPR001885', NULL, 'Lipoxygenase, mammalian', 'LipOase_mml', 4, NULL),
(4102, NULL, 'IPR003349', NULL, 'JmjN domain', 'JmjN', 3, NULL),
(4103, NULL, 'IPR000653', NULL, 'DegT/DnrJ/EryC1/StrS aminotransferase', 'DegT/StrS_aminotransferase', 4, NULL),
(4104, NULL, 'IPR001206', NULL, 'Diacylglycerol kinase, catalytic domain', 'Diacylglycerol_kinase_cat_dom', 3, NULL),
(4105, NULL, 'IPR010205', NULL, 'Na(+)-translocating NADH-quinone reductase subunit F', 'NqrF', 4, NULL),
(4106, NULL, 'IPR007977', NULL, 'Poxvirus P21 membrane', 'Poxvirus_P21', 4, NULL),
(4107, NULL, 'IPR005159', NULL, 'WCCH motif', 'WCCH', 3, NULL),
(4108, NULL, 'IPR003869', NULL, 'Polysaccharide biosynthesis protein, CapD-like domain', 'Polysac_CapD-like', 3, NULL),
(4109, NULL, 'IPR006858', NULL, 'Chicken anaemia virus VP-3 protein', 'CAV_VP3', 4, NULL),
(4110, NULL, 'IPR000644', NULL, 'CBS domain', 'CBS_dom', 3, NULL),
(4111, NULL, 'IPR000641', NULL, 'CbxX/CfxQ', 'CbxX/CfxQ', 4, NULL),
(4112, NULL, 'IPR003899', NULL, 'Bordetella pertussis toxin B', 'ToxinB_BORPE', 4, NULL),
(4113, NULL, 'IPR004811', NULL, 'RelA/SpoT family', 'RelA/Spo_fam', 4, NULL),
(4114, NULL, 'IPR001906', NULL, 'Terpene synthase, N-terminal domain', 'Terpene_synth_N', 3, NULL),
(4115, NULL, 'IPR003901', NULL, 'Methyl-coenzyme M reductase, protein D', 'Me_CoM_Rdtase_D', 4, NULL),
(4116, NULL, 'IPR007978', NULL, 'Baculovirus occlusion-derived virus envelope EC27', 'Baculo_ODV-E27', 4, NULL),
(4117, NULL, 'IPR000639', NULL, 'Epoxide hydrolase-like', 'Epox_hydrolase-like', 4, NULL),
(4118, NULL, 'IPR003327', NULL, 'Leucine zipper, Myc', 'Myc-LZ', 3, NULL),
(4119, NULL, 'IPR007975', NULL, 'Baculovirus pp39', 'Baculo_pp39', 4, NULL),
(4120, NULL, 'IPR003354', NULL, 'Small/middle T-antigen', 'Papo_T_antigen', 3, NULL),
(4121, NULL, 'IPR005256', NULL, 'Anthranilate synthase component I, PabB-like', 'Anth_synth_I_PabB', 4, NULL),
(4122, NULL, 'IPR001925', NULL, 'Porin, eukaryotic type', 'Porin_Euk', 4, NULL),
(4123, NULL, 'IPR010181', NULL, 'CGCAxxGCC motif', 'CGCAxxGCC_motif', 4, NULL),
(4124, NULL, 'IPR000648', NULL, 'Oxysterol-binding protein', 'Oxysterol-bd', 4, NULL),
(4125, NULL, 'IPR010216', NULL, 'Transcription antitermination protein, NusG, mycoplasmataceae', 'Transcrpt_antiterm_NusG_myco', 4, NULL),
(4126, NULL, 'IPR010226', NULL, 'NADH-quinone oxidoreductase, chain I', 'NADH_quinone_OxRdtase_chainI', 4, NULL),
(4127, NULL, 'IPR001882', NULL, 'Biotin-binding site', 'Biotin_BS', 1, NULL),
(4128, NULL, 'IPR000542', NULL, 'Acyltransferase ChoActase/COT/CPT', 'Carn_acyl_trans', 4, NULL),
(4129, NULL, 'IPR016013', NULL, 'Binary exotoxin A, clostridial type', 'Binary_toxinA_clost-typ', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4130, NULL, 'IPR010179', NULL, 'CRISPR-associated protein Cse3', 'CRISPR-assoc_prot_Cse3', 4, NULL),
(4131, NULL, 'IPR007438', NULL, 'Protein of unknown function DUF488', 'DUF488', 4, NULL),
(4132, NULL, 'IPR010176', NULL, 'CxxxxCH...CXXCH motif, Geobacter sulfurreducens', 'C4xCH_C2xCH_motif_GEOSU', 7, NULL),
(4133, NULL, 'IPR004840', NULL, 'Amino acid permease, conserved site', 'Amoino_acid_permease_CS', 2, NULL),
(4134, NULL, 'IPR001944', NULL, 'Glycoside hydrolase, family 35', 'Glycoside_Hdrlase_35', 4, NULL),
(4135, NULL, 'IPR007929', NULL, 'Protein of unknown function DUF723', 'DUF723', 4, NULL),
(4136, NULL, 'IPR010209', NULL, 'Ion-translocating oxidoreductase complex, subunit RnfG/RsxG', 'Ion_transpt_RnfG/RsxG', 4, NULL),
(4137, NULL, 'IPR001809', NULL, 'Outer surface lipoprotein, Borrelia', 'OM_lipoprot_Borrelia', 4, NULL),
(4138, NULL, 'IPR003871', NULL, 'Domain of unknown function DUF223', 'DUF223', 3, NULL),
(4139, NULL, 'IPR006844', NULL, 'Magnesium transporter protein 1', 'Mg_transporter-1', 4, NULL),
(4140, NULL, 'IPR010195', NULL, 'Uncharacterised peroxidase-related', 'Uncharacterised_peroxidase-rel', 4, NULL),
(4141, NULL, 'IPR000290', NULL, 'Colicin immunity protein/pyocin immunity protein', 'Colicin_pyocin', 4, NULL),
(4142, NULL, 'IPR002762', NULL, 'Sirohydrochlorin cobaltochelatase CbiX-like', 'CbiX-like', 4, NULL),
(4143, NULL, 'IPR003886', NULL, 'NIDO domain', 'NIDO_dom', 3, NULL),
(4144, NULL, 'IPR005281', NULL, 'Monovalent cation:proton antiporter, subunit B', 'CPA3_sub_B', 4, NULL),
(4145, NULL, 'IPR001837', NULL, 'Adenylate cyclase-associated CAP', 'Adenylate_cyclase-assoc_CAP', 4, NULL),
(4146, NULL, 'IPR007938', NULL, 'Baculovirus occlusion-derived virus envelope, E25', 'Baculo_ODV-E25', 4, NULL),
(4147, NULL, 'IPR001887', NULL, 'Barnase', 'Barnase', 4, NULL),
(4148, NULL, 'IPR001903', NULL, 'Rhabdovirus  glycoprotein', 'Rhabd_glycop', 4, NULL),
(4149, NULL, 'IPR007971', NULL, 'Bundlin', 'Bundlin', 4, NULL),
(4150, NULL, 'IPR005146', NULL, 'B3/B4 tRNA-binding domain', 'B3/B4_tRNA-bd', 3, NULL),
(4151, NULL, 'IPR006855', NULL, 'Vertebrate-like NAGS Gcn5-related N-acetyltransferase (GNAT) domain', 'Vertebrate-like_GNAT_dom', 3, NULL),
(4152, NULL, 'IPR001930', NULL, 'Peptidase M1, alanine aminopeptidase/leukotriene A4 hydrolase', 'Peptidase_M1', 4, NULL),
(4153, NULL, 'IPR034486', NULL, 'hnRNP A2/B1, RNA recognition motif 1', 'hnRNPA2B1_RRM1', 3, NULL),
(4154, NULL, 'IPR001830', NULL, 'Glycosyl transferase, family 20', 'Glyco_trans_20', 4, NULL),
(4155, NULL, 'IPR010184', NULL, 'CRISPR-associated protein, MJ0385', 'CRISPR-assoc_prot_MJ0385', 4, NULL),
(4156, NULL, 'IPR004812', NULL, 'Drug resistance transporter Bcr/CmlA subfamily', 'Efflux_drug-R_Bcr/CmlA', 4, NULL),
(4157, NULL, 'IPR010182', NULL, 'N-formyl-4-amino-5-aminomethyl-2-methylpyrimidine deformylase/Succinyl-diaminopimelate desuccinylase', 'ArgE/DapE', 4, NULL),
(4158, NULL, 'IPR010222', NULL, 'RNA helicase HrpA', 'RNA_helicase_HrpA', 4, NULL),
(4159, NULL, 'IPR007955', NULL, 'Bystin', 'Bystin', 4, NULL),
(4160, NULL, 'IPR001800', NULL, 'Lipoprotein, OspC-type', 'Lipoprotein_OspC', 4, NULL),
(4161, NULL, 'IPR034367', NULL, 'Vasodilator-stimulated phosphoprotein', 'VASP', 4, NULL),
(4162, NULL, 'IPR010203', NULL, 'Regulator of ribonuclease activity A', 'RraA', 4, NULL),
(4163, NULL, 'IPR010237', NULL, 'Pyrimidine 5-nucleotidase', 'Pyr-5-nucltdase', 4, NULL),
(4164, NULL, 'IPR003887', NULL, 'LEM domain', 'LEM_dom', 3, NULL),
(4165, NULL, 'IPR007981', NULL, 'Peptidase A5, thermopsin', 'Peptidase_A5', 4, NULL),
(4166, NULL, 'IPR010233', NULL, 'Ubiquinone biosynthesis O-methyltransferase', 'UbiG_MeTrfase', 4, NULL),
(4167, NULL, 'IPR034175', NULL, 'SHARP, RNA recognition motif 4', 'SHARP_RRM4', 3, NULL),
(4168, NULL, 'IPR007968', NULL, 'Tobacco rattle virus, 16kDa', 'Tobacco_rattle_virus_16kDa', 4, NULL),
(4169, NULL, 'IPR007962', NULL, 'Bombinin', 'Bombinin', 4, NULL),
(4170, NULL, 'IPR007998', NULL, 'Protein of unknown function DUF719', 'DUF719', 4, NULL),
(4171, NULL, 'IPR005268', NULL, 'Conserved hypothetical protein CHP00725', 'CHP00725', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4172, NULL, 'IPR005155', NULL, 'UPF0113, PUA domain', 'UPF0113_PUA', 3, NULL),
(4173, NULL, 'IPR000626', NULL, 'Ubiquitin-like domain', 'Ubiquitin-like_dom', 3, NULL),
(4174, NULL, 'IPR005144', NULL, 'ATP-cone domain', 'ATP-cone_dom', 3, NULL),
(4175, NULL, 'IPR001865', NULL, 'Ribosomal protein S2', 'Ribosomal_S2', 4, NULL),
(4176, NULL, 'IPR005151', NULL, 'Tail specific protease', 'Tail-specific_protease', 3, NULL),
(4177, NULL, 'IPR006850', NULL, 'Domain of unknown function DUF562', 'DUF562', 3, NULL),
(4178, NULL, 'IPR007966', NULL, 'Protein of unknown function DUF720', 'DUF720', 4, NULL),
(4179, NULL, 'IPR001824', NULL, 'Tyrosine-protein kinase, receptor class III, conserved site', 'Tyr_kinase_rcpt_3_CS', 2, NULL),
(4180, NULL, 'IPR010197', NULL, 'o-Succinylbenzoate synthase, MenC type 2', 'OSB_synthase_MenC_2', 4, NULL),
(4181, NULL, 'IPR010190', NULL, 'Diaminopimelate dehydrogenase, Ddh', 'Diaminopimelate_DH_Ddh', 4, NULL),
(4182, NULL, 'IPR007995', NULL, 'Protein of unknown function DUF742', 'DUF742', 4, NULL),
(4183, NULL, 'IPR004842', NULL, 'SLC12A transporter family', 'SLC12A_fam', 4, NULL),
(4184, NULL, 'IPR003903', NULL, 'Ubiquitin interacting motif', 'UIM_dom', 2, NULL),
(4185, NULL, 'IPR007973', NULL, 'Pilus assembly TraE', 'Pilus_assembly_TraE', 4, NULL),
(4186, NULL, 'IPR004830', NULL, 'Leucine rich repeat variant', 'LRR_variant', 7, NULL),
(4187, NULL, 'IPR001956', NULL, 'Carbohydrate-binding module 3', 'CBM3', 3, NULL),
(4188, NULL, 'IPR001883', NULL, 'GPCR, family 3, metabotropic glutamate receptor 7', 'GPCR_3_mtglu_rcpt_7', 4, NULL),
(4189, NULL, 'IPR000117', NULL, 'Kappa casein', 'Casein_kappa', 4, NULL),
(4190, NULL, 'IPR007957', NULL, 'African swine fever virus L11L', 'ASFV_L11L', 4, NULL),
(4191, NULL, 'IPR001786', NULL, 'GPCR, family 3, metabotropic glutamate receptor 4', 'GPCR_3_mtglu_rcpt_4', 4, NULL),
(4192, NULL, 'IPR000596', NULL, 'Cholecystokinin receptor type A', 'Cholcy_rcpt_A', 4, NULL),
(4193, NULL, 'IPR005265', NULL, 'Protoporphyrinogen oxidase HemJ-like', 'HemJ-like', 4, NULL),
(4194, NULL, 'IPR004817', NULL, 'Sodium/potassium/calcium exchanger 1', 'SLC24A1', 4, NULL),
(4195, NULL, 'IPR001937', NULL, 'Galactose-1-phosphate uridyl transferase, class I', 'GalP_UDPtransf1', 4, NULL),
(4196, NULL, 'IPR004558', NULL, 'Oxygen-independent coproporphyrinogen III oxidase HemN', 'Coprogen_oxidase_HemN', 4, NULL),
(4197, NULL, 'IPR001923', NULL, 'Prostanoid EP2 receptor', 'Prostglndn_EP2_rcpt', 4, NULL),
(4198, NULL, 'IPR007959', NULL, 'Dinoflagellate luciferase, N-terminal', 'Dino_Luciferase_N', 3, NULL),
(4199, NULL, 'IPR001841', NULL, 'Zinc finger, RING-type', 'Znf_RING', 3, NULL),
(4200, NULL, 'IPR010186', NULL, 'Glycine reductase, selenoprotein B', 'Gly_red_sel_B', 4, NULL),
(4201, NULL, 'IPR000560', NULL, 'Histidine phosphatase superfamily, clade-2', 'His_Pase_clade-2', 4, NULL),
(4202, NULL, 'IPR004808', NULL, 'AP endonuclease 1', 'AP_endonuc_1', 4, NULL),
(4203, NULL, 'IPR001879', NULL, 'GPCR, family 2, extracellular hormone receptor domain', 'GPCR_2_extracellular_dom', 3, NULL),
(4204, NULL, 'IPR010183', NULL, 'Bacteriophage lambda, Bet', 'Phage_lambda_Bet', 4, NULL),
(4205, NULL, 'IPR004816', NULL, 'Hydroxymethylglutaryl-CoA reductase, metazoan', 'HMG_CoA_Rdtase_metazoan', 4, NULL),
(4206, NULL, 'IPR000751', NULL, 'M-phase inducer phosphatase', 'MPI_Phosphatase', 4, NULL),
(4207, NULL, 'IPR010211', NULL, 'Redox-sensitive transcriptional activator SoxR', 'Redox-sen_tscrpt-act_SoxR', 4, NULL),
(4208, NULL, 'IPR001967', NULL, 'Peptidase S11, D-alanyl-D-alanine carboxypeptidase A, N-terminal', 'Peptidase_S11_N', 3, NULL),
(4209, NULL, 'IPR003872', NULL, 'Major outer sheath protein, C-terminal', 'MOSP_C', 3, NULL),
(4210, NULL, 'IPR007972', NULL, 'Mitochondrial fission regulator 1', 'Mtfr1', 4, NULL),
(4211, NULL, 'IPR000959', NULL, 'POLO box domain', 'POLO_box_dom', 3, NULL),
(4212, NULL, 'IPR001839', NULL, 'Transforming growth factor-beta, C-terminal', 'TGF-b_C', 3, NULL),
(4213, NULL, 'IPR007990', NULL, 'Prolactin-inducible protein', 'PIP', 4, NULL),
(4214, NULL, 'IPR001950', NULL, 'SUI1 domain', 'SUI1', 3, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4215, NULL, 'IPR000916', NULL, 'Bet v I/Major latex protein', 'Bet_v_I/MLP', 3, NULL),
(4216, NULL, 'IPR003341', NULL, 'Cysteine rich repeat, tripleX', 'Cys_rich_tripleX', 7, NULL),
(4217, NULL, 'IPR003879', NULL, 'Butyrophylin-like, SPRY domain', 'Butyrophylin_SPRY', 3, NULL),
(4218, NULL, 'IPR010220', NULL, 'CO2 hydration', 'CO2_hydration', 4, NULL),
(4219, NULL, 'IPR000259', NULL, 'Fimbrial-type adhesion domain', 'Adhesion_dom_fimbrial', 3, NULL),
(4220, NULL, 'IPR010231', NULL, 'SUF system FeS cluster assembly, SufB', 'SUF_FeS_clus_asmbl_SufB', 4, NULL),
(4221, NULL, 'IPR007931', NULL, 'Protein TsetseEP', 'TsetseEP', 3, NULL),
(4222, NULL, 'IPR001788', NULL, 'Tymovirus, RNA-dependent RNA polymerase', 'Tymovirus_RNA-dep_RNA_pol', 3, NULL),
(4223, NULL, 'IPR010185', NULL, 'NADPH-dependent F420 reductase', 'NpdG', 4, NULL),
(4224, NULL, 'IPR001873', NULL, 'Epithelial sodium channel', 'ENaC', 4, NULL),
(4225, NULL, 'IPR004838', NULL, 'Aminotransferases, class-I, pyridoxal-phosphate-binding site', 'NHTrfase_class1_PyrdxlP-BS', 1, NULL),
(4226, NULL, 'IPR007982', NULL, 'Tombusvirus movement', 'Tombusvirus_movement', 4, NULL),
(4227, NULL, 'IPR001801', NULL, 'Histone-like protein H-NS', 'Histone_HNS', 4, NULL),
(4228, NULL, 'IPR001922', NULL, 'Dopamine D2 receptor', 'Dopamine_D2_rcpt', 4, NULL),
(4229, NULL, 'IPR001803', NULL, 'Orbivirus inner capsid protein VP7', 'Orbi_VP7_capsid', 4, NULL),
(4230, NULL, 'IPR003331', NULL, 'UDP-N-acetylglucosamine 2-epimerase domain', 'UDP_GlcNAc_Epimerase_2_dom', 3, NULL),
(4231, NULL, 'IPR000312', NULL, 'Glycosyl transferase, family 3', 'Glycosyl_Trfase_fam3', 3, NULL),
(4232, NULL, 'IPR000420', NULL, 'Yeast PIR protein repeat', 'Yeast_PIR', 7, NULL),
(4233, NULL, 'IPR001848', NULL, 'Ribosomal protein S10', 'Ribosomal_S10', 4, NULL),
(4234, NULL, 'IPR005272', NULL, 'Conserved hypothetical protein CHP00743', 'CHP00743', 4, NULL),
(4235, NULL, 'IPR006842', NULL, 'Transposase (putative), YhgA-like', 'Transposase_31', 3, NULL),
(4236, NULL, 'IPR003346', NULL, 'Transposase, IS116/IS110/IS902', 'Transposase_20', 4, NULL),
(4237, NULL, 'IPR034483', NULL, 'Regulator of G-protein signalling Egl-10', 'Egl-10', 4, NULL),
(4238, NULL, 'IPR000640', NULL, 'Elongation factor EFG, domain V-like', 'EFG_V-like', 3, NULL),
(4239, NULL, 'IPR001819', NULL, 'Chromogranin A/B', 'Chromogranin_AB', 4, NULL),
(4240, NULL, 'IPR000413', NULL, 'Integrin alpha chain', 'Integrin_alpha', 4, NULL),
(4241, NULL, 'IPR010199', NULL, 'Sulphite reductase [NADPH] flavoprotein, alpha chain', 'CysJ', 4, NULL),
(4242, NULL, 'IPR010210', NULL, '2-amino-3,7-dideoxy-D-threo-hept-6-ulosonate synthase', 'ADH_synthase', 4, NULL),
(4243, NULL, 'IPR005280', NULL, 'Homoserine kinase, type II', 'Homoserine_kinase_II', 4, NULL),
(4244, NULL, 'IPR005262', NULL, 'Conserved hypothetical protein CHP00661', 'CHP00661', 3, NULL),
(4245, NULL, 'IPR001827', NULL, 'Homeobox protein, antennapedia type, conserved site', 'Homeobox_Antennapedia_CS', 2, NULL),
(4246, NULL, 'IPR001889', NULL, 'Herpesvirus thymidine kinase', 'Herpes_TK', 4, NULL),
(4247, NULL, 'IPR001884', NULL, 'Translation elongation factor IF5A-like', 'IF5A-like', 4, NULL),
(4248, NULL, 'IPR000256', NULL, 'Influenza A virus NS1 protein', 'NS1A', 4, NULL),
(4249, NULL, 'IPR006839', NULL, 'Ribosome-associated, YjgA', 'Ribosome-assoc_YjgA', 4, NULL),
(4250, NULL, 'IPR001847', NULL, 'Peptidase S21', 'Peptidase_S21', 4, NULL),
(4251, NULL, 'IPR001805', NULL, 'Adenosine kinase', 'Adenokinase', 4, NULL),
(4252, NULL, 'IPR010236', NULL, 'ISC system FeS cluster assembly, HscA chaperone', 'ISC_FeS_clus_asmbl_HscA', 4, NULL),
(4253, NULL, 'IPR003876', NULL, 'Arginine deiminase', 'Arg_deiminase', 4, NULL),
(4254, NULL, 'IPR001826', NULL, 'RHS protein', 'RHS', 4, NULL),
(4255, NULL, 'IPR001829', NULL, 'Pili assembly chaperone, bacterial', 'Pili_assmbl_chaperone_bac', 4, NULL),
(4256, NULL, 'IPR005158', NULL, 'Bacterial transcriptional activator domain', 'BTAD', 3, NULL),
(4257, NULL, 'IPR001863', NULL, 'Glypican', 'Glypican', 4, NULL),
(4258, NULL, 'IPR002765', NULL, 'Uncharacterised protein family UPF0145', 'UPF0145', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4259, NULL, 'IPR010188', NULL, 'HisA/PriA, Actinobacteria', 'HisA/PriA_Actinobacteria', 4, NULL),
(4260, NULL, 'IPR004839', NULL, 'Aminotransferase, class I/classII', 'Aminotransferase_I/II', 3, NULL),
(4261, NULL, 'IPR001872', NULL, 'Peptidase A8, signal peptidase II', 'Peptidase_A8', 4, NULL),
(4262, NULL, 'IPR007935', NULL, 'Tobravirus 2B', 'Tobravirus_2B', 4, NULL),
(4263, NULL, 'IPR003873', NULL, 'Envelope small membrane protein, coronavirus', 'E_protein_CoV', 4, NULL),
(4264, NULL, 'IPR000907', NULL, 'Lipoxygenase', 'LipOase', 4, NULL),
(4265, NULL, 'IPR003875', NULL, 'Paramyxoviridae nonstructural protein C', 'Paramyxovir_NSC', 4, NULL),
(4266, NULL, 'IPR010193', NULL, 'Serine-protein kinase RsbW', 'RsbW', 4, NULL),
(4267, NULL, 'IPR003372', NULL, 'Photosystem II PsbL', 'PSII_PsbL', 4, NULL),
(4268, NULL, 'IPR004836', NULL, 'Sodium/calcium exchanger protein', 'Na_Ca_Ex', 4, NULL),
(4269, NULL, 'IPR001890', NULL, 'RNA-binding, CRM domain', 'RNA-binding_CRM', 3, NULL),
(4270, NULL, 'IPR000236', NULL, 'Transactivation protein X', 'Transactivation_prot_X', 4, NULL),
(4271, NULL, 'IPR005264', NULL, 'N-acetylneuraminate lyase', 'NanA', 4, NULL),
(4272, NULL, 'IPR005266', NULL, 'Uncharacterised protein family UPF0128', 'UPF0128', 4, NULL),
(4273, NULL, 'IPR003345', NULL, 'M protein repeat', 'M_repeat', 7, NULL),
(4274, NULL, 'IPR002759', NULL, 'RNase P subunit Pop5/Rpp14/Rnp2-like', 'Pop5/Rpp14/Rnp2-like', 4, NULL),
(4275, NULL, 'IPR010230', NULL, 'FeS cluster assembly SUF system, ATPase SufC', 'FeS-cluster_ATPase_SufC', 4, NULL),
(4276, NULL, 'IPR005257', NULL, 'Anthranilate synthase component I, TrpE-like, bacterial', 'Anth_synth_I_TrpE', 4, NULL),
(4277, NULL, 'IPR010191', NULL, 'IMP cyclohydrolase', 'IMP_cyclohydrolase', 4, NULL),
(4278, NULL, 'IPR007988', NULL, 'Sperm-associated antigen 11', 'Sperm_Ag_HE2', 4, NULL),
(4279, NULL, 'IPR004821', NULL, 'Cytidyltransferase-like domain', 'Cyt_trans-like', 3, NULL),
(4280, NULL, 'IPR001852', NULL, 'Pyridoxal 5''-phosphate synthase subunit PdxS/SNZ', 'PdxS/SNZ', 4, NULL),
(4281, NULL, 'IPR005145', NULL, 'Threonylcarbamoyl-AMP synthase, C-terminal domain', 'Sua5_C', 3, NULL),
(4282, NULL, 'IPR000650', NULL, 'Geminivirus AR1 coat protein', 'Gem_coat_AR1', 4, NULL),
(4283, NULL, 'IPR001790', NULL, 'Ribosomal protein L10P', 'Ribosomal_L10P', 4, NULL),
(4284, NULL, 'IPR005277', NULL, 'Uncharacterised protein family, Major Facilitator Superfamily MSF4', 'Uncharacterised_MSF4', 4, NULL),
(4285, NULL, 'IPR006837', NULL, 'Divergent polysaccharide deacetylase', 'Divergent_DAC', 4, NULL),
(4286, NULL, 'IPR023119', NULL, 'Multihaem cytochrome, PRC subunit superfamily', 'Multihaem_cyt_PRC_cyt_su-like', 5, NULL),
(4287, NULL, 'IPR007956', NULL, 'Malonyl-CoA decarboxylase, C-terminal', 'Malonyl_CoA_deC_C', 3, NULL),
(4288, NULL, 'IPR024641', NULL, 'Hepatocyte growth factor-regulated tyrosine kinase substrate, helical domain', 'HRS_helical', 3, NULL),
(4289, NULL, 'IPR003892', NULL, 'Ubiquitin system component CUE', 'CUE', 3, NULL),
(4290, NULL, 'IPR007963', NULL, 'Peptidase M61, catalytic domain', 'Peptidase_M61_catalytic', 3, NULL),
(4291, NULL, 'IPR005161', NULL, 'Ku70/Ku80, N-terminal alpha/beta', 'Ku_N', 3, NULL),
(4292, NULL, 'IPR001946', NULL, 'Alpha 2A adrenoceptor', 'ADRA2A_rcpt', 4, NULL),
(4293, NULL, 'IPR005261', NULL, 'Conserved hypothetical protein CHP00659', 'CHP00659', 4, NULL),
(4294, NULL, 'IPR000433', NULL, 'Zinc finger, ZZ-type', 'Znf_ZZ', 3, NULL),
(4295, NULL, 'IPR006856', NULL, 'Mating-type protein MAT alpha 1, HMG-box', 'MATalpha_HMGbox', 3, NULL),
(4296, NULL, 'IPR001893', NULL, 'Cysteine-rich Golgi apparatus protein 1 repeat', 'Cys-rich_GLG1_repeat', 7, NULL),
(4297, NULL, 'IPR005148', NULL, 'Arginyl tRNA synthetase N-terminal domain', 'Arg-tRNA-synth_N', 3, NULL),
(4298, NULL, 'IPR000778', NULL, 'Cytochrome b245, heavy chain', 'Cyt_b245_heavy_chain', 4, NULL),
(4299, NULL, 'IPR001874', NULL, 'Dehydroquinase, class II', 'DHquinase_II', 4, NULL),
(4300, NULL, 'IPR007945', NULL, 'Neuroendocrine 7B2 precursor', 'Secretogranin_V', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4301, NULL, 'IPR006838', NULL, 'FAR-17a/AIG1-like protein', 'Far-17a_AIG1', 4, NULL),
(4302, NULL, 'IPR003333', NULL, 'Mycolic acid cyclopropane synthase', 'Mycolic_cyclopropane_synthase', 4, NULL),
(4303, NULL, 'IPR002760', NULL, 'Putative O-antigen polymerase', 'O_anti_polymase', 4, NULL),
(4304, NULL, 'IPR005147', NULL, 'tRNA synthetase, B5-domain', 'tRNA_synthase_B5-dom', 3, NULL),
(4305, NULL, 'IPR007953', NULL, 'Holin-like, BlyB', 'Holin-like_BlyB', 4, NULL),
(4306, NULL, 'IPR007930', NULL, 'Protein of unknown function DUF724', 'DUF724', 4, NULL),
(4307, NULL, 'IPR003325', NULL, 'TerD domain', 'TerD', 3, NULL),
(4308, NULL, 'IPR001913', NULL, 'Equine arteritis virus GP2b envelope glycoprotein', 'Equi_arteri_GP2b', 4, NULL),
(4309, NULL, 'IPR001846', NULL, 'von Willebrand factor, type D domain', 'VWF_type-D', 3, NULL),
(4310, NULL, 'IPR010196', NULL, 'o-Succinylbenzoate synthase, MenC type1', 'OSB_synthase_MenC1', 4, NULL),
(4311, NULL, 'IPR005293', NULL, 'Antigen peptide transporter 2', 'Tap2/ABCB3', 4, NULL),
(4312, NULL, 'IPR001828', NULL, 'Receptor, ligand binding region', 'ANF_lig-bd_rcpt', 3, NULL),
(4313, NULL, 'IPR004813', NULL, 'Oligopeptide transporter, OPT superfamily', 'OPT', 4, NULL),
(4314, NULL, 'IPR010200', NULL, 'HflC', 'HflC', 4, NULL),
(4315, NULL, 'IPR006866', NULL, 'Domain of unknown function DUF627, N-terminal', 'DUF627_N', 3, NULL),
(4316, NULL, 'IPR003342', NULL, 'Glycosyl transferase family 39/83', 'Glyco_trans_39/83', 3, NULL),
(4317, NULL, 'IPR010218', NULL, 'NADH dehydrogenase, subunit C', 'NADH_DH_suC', 4, NULL),
(4318, NULL, 'IPR034573', NULL, 'Succinate dehydrogenase subunit 7, mitochondrial', 'SDH7', 4, NULL),
(4319, NULL, 'IPR007933', NULL, 'Transcription activator CII', 'Transcrpt_activ_CII', 4, NULL),
(4320, NULL, 'IPR005274', NULL, 'Inner membrane protein YhjD', 'IM_pro_YhjD', 4, NULL),
(4321, NULL, 'IPR001851', NULL, 'ABC transporter, permease', 'ABC_transp_permease', 4, NULL),
(4322, NULL, 'IPR003888', NULL, 'FY-rich, N-terminal', 'FYrich_N', 3, NULL),
(4323, NULL, 'IPR003362', NULL, 'Bacterial sugar transferase', 'Bact_transf', 3, NULL),
(4324, NULL, 'IPR003319', NULL, 'ATP synthase YMF19-like, N-terminal', 'YMF19-like_N', 3, NULL),
(4325, NULL, 'IPR001921', NULL, 'Ribosomal protein L7A/L8', 'Ribosomal_L7A/L8', 4, NULL),
(4326, NULL, 'IPR005270', NULL, 'tRNA-dihydrouridine synthase, TIM-barrel, NifR3-related', 'tRNA_dU_NifR3-rel', 4, NULL),
(4327, NULL, 'IPR006862', NULL, 'Acyl-CoA thioester hydrolase/bile acid-CoA amino acid N-acetyltransferase', 'Thio_Ohase/aa_AcTrfase', 3, NULL),
(4328, NULL, 'IPR000655', NULL, 'Regulatory protein cro', 'Cro', 4, NULL),
(4329, NULL, 'IPR003347', NULL, 'JmjC domain', 'JmjC_dom', 3, NULL),
(4330, NULL, 'IPR001888', NULL, 'Transposase, type 1', 'Transposase_1', 4, NULL),
(4331, NULL, 'IPR001980', NULL, 'Phosphopantetheine adenylyltransferase', 'PPAT', 4, NULL),
(4332, NULL, 'IPR004815', NULL, 'Lon protease, bacterial/eukaryotic-type', 'Lon_bac/euk-typ', 4, NULL),
(4333, NULL, 'IPR008000', NULL, 'Rhamnose/fucose mutarotase', 'Rham/fucose_mutarotase', 4, NULL),
(4334, NULL, 'IPR004809', NULL, 'Glutamine synthetase type I', 'Gln_synth_I', 4, NULL),
(4335, NULL, 'IPR000652', NULL, 'Triosephosphate isomerase', 'Triosephosphate_isomerase', 4, NULL),
(4336, NULL, 'IPR010175', NULL, '[LysW]-lysine/[LysW]-ornithine hydrolase', 'LysK', 4, NULL),
(4337, NULL, 'IPR003332', NULL, 'Decorin-binding protein', 'Decorin-bd', 4, NULL),
(4338, NULL, 'IPR001858', NULL, 'Phosphatidylethanolamine-binding, conserved site', 'Phosphatidylethanolamine-bd_CS', 2, NULL),
(4339, NULL, 'IPR005271', NULL, 'Carboxy-S-adenosyl-L-methionine synthase', 'CmoA', 4, NULL),
(4340, NULL, 'IPR010234', NULL, 'Phasin, subfamily 2', 'Phasin_subfam-2', 4, NULL),
(4341, NULL, 'IPR034574', NULL, 'Succinate dehydrogenase subunit 6, mitochondrial', 'SDH6', 4, NULL),
(4342, NULL, 'IPR006854', NULL, 'Phosphoprotein F17', 'Phosphoprotein_F17', 4, NULL),
(4343, NULL, 'IPR005292', NULL, 'Multi drug resistance-associated protein', 'Multidrug-R_assoc', 4, NULL),
(4344, NULL, 'IPR005279', NULL, 'Dipeptide/tripeptide permease', 'Dipep/tripep_permease', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4345, NULL, 'IPR004805', NULL, 'DNA polymerase III, alpha subunit', 'PolC_alpha', 4, NULL),
(4346, NULL, 'IPR003351', NULL, 'Dishevelled protein domain', 'Dishevelled_protein_dom', 3, NULL),
(4347, NULL, 'IPR001005', NULL, 'SANT/Myb domain', 'SANT/Myb', 3, NULL),
(4348, NULL, 'IPR003352', NULL, 'Phosphotransferase system, EIIC', 'PTS_EIIC', 3, NULL),
(4349, NULL, 'IPR001030', NULL, 'Aconitase/3-isopropylmalate dehydratase large subunit, alpha/beta/alpha domain', 'Acoase/IPM_deHydtase_lsu_aba', 3, NULL),
(4350, NULL, 'IPR007974', NULL, 'Tenuivirus movement protein', 'Tenui_movmnt_prot', 4, NULL),
(4351, NULL, 'IPR001915', NULL, 'Peptidase M48', 'Peptidase_M48', 3, NULL),
(4352, NULL, 'IPR007952', NULL, 'Poxvirus A3L', 'Poxvirus_A3L', 4, NULL),
(4353, NULL, 'IPR001859', NULL, 'Trypanosoma cruzi ribosomal protein P2-like', 'T.cruzi_P2-like', 4, NULL),
(4354, NULL, 'IPR001916', NULL, 'Glycoside hydrolase, family 22', 'Glyco_hydro_22', 4, NULL),
(4355, NULL, 'IPR010206', NULL, 'Poly(A) polymerase I', 'PolA_pol_I', 4, NULL),
(4356, NULL, 'IPR007934', NULL, 'Alpha-L-arabinofuranosidase B, arabinose-binding domain', 'AbfB_ABD', 3, NULL),
(4357, NULL, 'IPR007944', NULL, 'Flagellar transcriptional activator FlhC', 'FlhC', 4, NULL),
(4358, NULL, 'IPR007991', NULL, 'RNA polymerase I specific transcription initiation factor RRN3', 'RNA_pol_I_trans_ini_fac_RRN3', 4, NULL),
(4359, NULL, 'IPR001928', NULL, 'Endothelin-like toxin', 'Endothln-like_toxin', 3, NULL),
(4360, NULL, 'IPR001792', NULL, 'Acylphosphatase-like domain', 'Acylphosphatase-like_dom', 3, NULL),
(4361, NULL, 'IPR007984', NULL, 'DNA-directed RNA polymerase, 19kDa subunit, poxviral', 'DNA-dir_RNA_Pol_19kDa_poxvir', 4, NULL),
(4362, NULL, 'IPR034366', NULL, 'Protein xmas-2, RNA recognition motif', 'XMAS2_RRM', 3, NULL),
(4363, NULL, 'IPR005263', NULL, '4-hydroxy-tetrahydrodipicolinate synthase, DapA', 'DapA', 4, NULL),
(4364, NULL, 'IPR001857', NULL, 'Ribosomal protein L19', 'Ribosomal_L19', 4, NULL),
(4365, NULL, 'IPR005275', NULL, 'L-fucose-proton symporter FucP', 'Lfuc_symporter_FucP', 4, NULL),
(4366, NULL, 'IPR010228', NULL, 'NADH:ubiquinone oxidoreductase, subunit G', 'NADH_UbQ_OxRdtase_Gsu', 4, NULL),
(4367, NULL, 'IPR005150', NULL, 'Cellulose synthase', 'Cellulose_synth', 4, NULL),
(4368, NULL, 'IPR001844', NULL, 'Chaperonin Cpn60/GroEL', 'Cpn60/GroEL', 4, NULL),
(4369, NULL, 'IPR010213', NULL, 'Transcription termination factor NusA', 'Tscrpt_termination_fac_NusA', 3, NULL),
(4370, NULL, 'IPR003896', NULL, 'Bacterial exotoxin B', 'Bacterial_exotoxin_B', 4, NULL),
(4371, NULL, 'IPR000802', NULL, 'Arsenical pump membrane protein,  ArsB', 'Arsenical_pump_ArsB', 4, NULL),
(4372, NULL, 'IPR010227', NULL, 'NADH-quinone oxidoreductase, chain M/4', 'NADH_Q_OxRdtase_chainM/4', 4, NULL),
(4373, NULL, 'IPR000615', NULL, 'Bestrophin', 'Bestrophin', 4, NULL),
(4374, NULL, 'IPR005152', NULL, 'Lipase, secreted', 'Lipase_secreted', 4, NULL),
(4375, NULL, 'IPR000246', NULL, 'Peptidase T2, asparaginase 2', 'Peptidase_T2', 4, NULL),
(4376, NULL, 'IPR001860', NULL, 'Glycoside hydrolase, family 34', 'Glyco_hydro_34', 4, NULL),
(4377, NULL, 'IPR005287', NULL, 'Conserved hypothetical protein CHP00375', 'CHP00375', 4, NULL),
(4378, NULL, 'IPR001855', NULL, 'Beta defensin type', 'Defensin_beta-typ', 4, NULL),
(4379, NULL, 'IPR007986', NULL, 'NINE', 'NINE', 4, NULL),
(4380, NULL, 'IPR001087', NULL, 'GDSL lipase/esterase', 'GDSL', 4, NULL),
(4381, NULL, 'IPR000265', NULL, 'Prostanoid EP3 receptor', 'Prostglndn_EP3_rcpt', 4, NULL),
(4382, NULL, 'IPR000643', NULL, 'Iodothyronine deiodinase', 'Iodothyronine_deiodinase', 4, NULL),
(4383, NULL, 'IPR004810', NULL, 'Formyltetrahydrofolate deformylase', 'PurU', 4, NULL),
(4384, NULL, 'IPR006864', NULL, 'LMP repeat', 'LMP_rpt', 7, NULL),
(4385, NULL, 'IPR010178', NULL, 'Integral membrane protein 1906', 'Integral_membrane_1906', 4, NULL),
(4386, NULL, 'IPR003330', NULL, 'Major surface glycoprotein MSG', 'MSG', 4, NULL),
(4387, NULL, 'IPR006840', NULL, 'Glutathione-specific gamma-glutamylcyclotransferase', 'ChaC', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4388, NULL, 'IPR003317', NULL, 'Cytochrome ubiquinol oxidase subunit 2', 'Cyt-d_oxidase_su2', 4, NULL),
(4389, NULL, 'IPR010212', NULL, 'Probable transcription termination protein NusA, archaeal', 'NusA_arc', 4, NULL),
(4390, NULL, 'IPR004807', NULL, 'UvrABC system, subunit B', 'UvrB', 4, NULL),
(4391, NULL, 'IPR003350', NULL, 'CUT domain', 'CUT_dom', 3, NULL),
(4392, NULL, 'IPR005260', NULL, 'Aspartate kinase, monofunctional class', 'Asp_kin_monofn', 4, NULL),
(4393, NULL, 'IPR007996', NULL, 'Vesivirus VP2', 'Vesivirus_VP2', 4, NULL),
(4394, NULL, 'IPR008001', NULL, 'Macrophage colony stimulating factor-1', 'MCSF-1', 4, NULL),
(4395, NULL, 'IPR017958', NULL, 'Glutamyl-tRNA(Gln) amidotransferase, subunit B, conserved site', 'Gln-tRNA_amidoTrfase_suB_CS', 2, NULL),
(4396, NULL, 'IPR007941', NULL, 'Protein of unknown function DUF726', 'DUF726', 4, NULL),
(4397, NULL, 'IPR000775', NULL, 'Bindin', 'Bindin', 4, NULL),
(4398, NULL, 'IPR007967', NULL, 'GSKIP domain', 'GSKIP_dom', 3, NULL),
(4399, NULL, 'IPR007940', NULL, 'SH3-binding 5', 'SH3BP5', 4, NULL),
(4400, NULL, 'IPR003339', NULL, 'ABC/ECF transporter, transmembrane component', 'ABC/ECF_trnsptr_transmembrane', 4, NULL),
(4401, NULL, 'IPR003326', NULL, 'TRA-1 regulated', 'TRA-1_regulated', 4, NULL),
(4402, NULL, 'IPR010189', NULL, 'Shikimate kinase, archaea', 'SK_arc', 4, NULL),
(4403, NULL, 'IPR001834', NULL, 'NADH:cytochrome b5 reductase-like', 'CBR-like', 4, NULL),
(4404, NULL, 'IPR001086', NULL, 'Prephenate dehydratase', 'Preph_deHydtase', 3, NULL),
(4405, NULL, 'IPR007964', NULL, 'MICOS complex subunit MIC19/MIC25', 'MIC19/MIC25', 4, NULL),
(4406, NULL, 'IPR006843', NULL, 'Plastid lipid-associated protein/fibrillin conserved domain', 'PAP/fibrillin_dom', 3, NULL),
(4407, NULL, 'IPR003367', NULL, 'Thrombospondin, type 3-like repeat', 'Thrombospondin_3-like_rpt', 7, NULL),
(4408, NULL, 'IPR000512', NULL, 'Diphtheria toxin (NAD+-dipthamide ADP-ribosyltransferase)', 'Diphtheria_toxin', 4, NULL),
(4409, NULL, 'IPR006853', NULL, 'Poxin, virus', 'Poxin_vir', 4, NULL),
(4410, NULL, 'IPR007440', NULL, 'Chorismate--pyruvate lyase', 'Chorismate--pyruvate_lyase', 4, NULL),
(4411, NULL, 'IPR003318', NULL, 'Glycoside hydrolase, family 70, catalytic domain', 'Glyco_hydro70cat', 3, NULL),
(4412, NULL, 'IPR004825', NULL, 'Insulin', 'Insulin', 4, NULL),
(4413, NULL, 'IPR010207', NULL, 'Ion-translocating oxidoreductase complex, RnfB/RsxB', 'Elect_transpt_cplx_RnfB/RsxB', 4, NULL),
(4414, NULL, 'IPR001807', NULL, 'Chloride channel, voltage gated', 'Cl-channel_volt-gated', 4, NULL),
(4415, NULL, 'IPR005259', NULL, 'Primosomal protein N''', 'PriA', 4, NULL),
(4416, NULL, 'IPR004823', NULL, 'TATA box binding protein associated factor (TAF)', 'TAF_TATA-bd', 3, NULL),
(4417, NULL, 'IPR001977', NULL, 'Dephospho-CoA kinase', 'Depp_CoAkinase', 4, NULL),
(4418, NULL, 'IPR000245', NULL, 'V-ATPase proteolipid subunit', 'ATPase_proteolipid_csu', 4, NULL),
(4419, NULL, 'IPR004837', NULL, 'Sodium/calcium exchanger membrane region', 'NaCa_Exmemb', 3, NULL),
(4420, NULL, 'IPR005284', NULL, 'Pigment precursor permease/Protein ATP-binding cassette sub-family G', 'Pigment_permease/Abcg', 4, NULL),
(4421, NULL, 'IPR003321', NULL, 'Cytochrome c552', 'Cyt_c552', 4, NULL),
(4422, NULL, 'IPR003884', NULL, 'Factor I / membrane attack complex', 'FacI_MAC', 3, NULL),
(4423, NULL, 'IPR004828', NULL, 'Apidaecin', 'Apidaecin', 7, NULL),
(4424, NULL, 'IPR003889', NULL, 'FY-rich, C-terminal', 'FYrich_C', 3, NULL),
(4425, NULL, 'IPR003898', NULL, 'Bordetella pertussis toxin A', 'Borpert_toxA', 4, NULL),
(4426, NULL, 'IPR005267', NULL, 'Glycerol-3-phosphate transporter', 'G3P_transporter', 4, NULL),
(4427, NULL, 'IPR005149', NULL, 'Transcription regulator PadR, N-terminal', 'Tscrpt_reg_PadR_N', 3, NULL),
(4428, NULL, 'IPR002763', NULL, 'Protein of unknown function DUF72', 'DUF72', 4, NULL),
(4429, NULL, 'IPR004834', NULL, 'Fungal chitin synthase', 'Chitin_synth_fun', 4, NULL),
(4430, NULL, 'IPR004814', NULL, 'Oligopeptide transporter OPT', 'Oligopep_transpt', 4, NULL),
(4431, NULL, 'IPR007989', NULL, 'Protein of unknown function DUF730', 'DUF730', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4432, NULL, 'IPR007932', NULL, 'Receptor-recognising protein Gp38', 'Receptor-recog_Gp38', 4, NULL),
(4433, NULL, 'IPR007951', NULL, 'Keratin-associated protein, PMG type', 'KRTAP_PMG', 4, NULL),
(4434, NULL, 'IPR001835', NULL, 'Heat-labile enterotoxin, B chain', 'Enterotoxin_B', 4, NULL),
(4435, NULL, 'IPR007980', NULL, 'Ribosomal protein VAR1', 'Ribosomal_VAR1', 4, NULL),
(4436, NULL, 'IPR001831', NULL, 'Immunodeficiency virus transactivating regulatory protein (Tat)', 'IV_Tat', 4, NULL),
(4437, NULL, 'IPR001954', NULL, 'Gliadin/LMW glutenin', 'Glia_glutenin', 4, NULL),
(4438, NULL, 'IPR006860', NULL, 'FecR protein', 'FecR', 3, NULL),
(4439, NULL, 'IPR003366', NULL, 'CUB-like domain', 'CUB-like_dom', 3, NULL),
(4440, NULL, 'IPR004827', NULL, 'Basic-leucine zipper domain', 'bZIP', 3, NULL),
(4441, NULL, 'IPR003742', NULL, 'RNA methyltransferase RlmH', 'RlmH-like', 4, NULL),
(4442, NULL, 'IPR003322', NULL, 'Beta-retroviral matrix protein', 'B_retro_matrix', 3, NULL),
(4443, NULL, 'IPR003900', NULL, 'KID repeat', 'KID_repeat', 7, NULL),
(4444, NULL, 'IPR000735', NULL, 'Alpha 2C adrenoceptor', 'ADRA2C_rcpt', 4, NULL),
(4445, NULL, 'IPR010180', NULL, 'CRISPR-associated protein, CXXC-CXXC', 'CRISPR-assoc_prot_CXXC-CXXC', 4, NULL),
(4446, NULL, 'IPR007954', NULL, 'Baculovirus immediate-early', 'Baculo_IE-1', 4, NULL),
(4447, NULL, 'IPR010201', NULL, 'HflK', 'HflK', 4, NULL),
(4448, NULL, 'IPR005286', NULL, 'Cell division protein  FtsE, ATP-binding', 'Cell_div_FtsE_ATP-bd', 4, NULL),
(4449, NULL, 'IPR007939', NULL, 'Copper resistance B precursor', 'Cu-R_B_prcur', 4, NULL),
(4450, NULL, 'IPR010229', NULL, 'Peptidase M38, beta-aspartyl dipeptidase', 'Pept_M38_dipep', 4, NULL),
(4451, NULL, 'IPR001892', NULL, 'Ribosomal protein S13', 'Ribosomal_S13', 4, NULL),
(4452, NULL, 'IPR000395', NULL, 'Botulinum/Tetanus toxin, catalytic chain', 'Bot/tetX_LC', 3, NULL),
(4453, NULL, 'IPR007999', NULL, 'Protein of unknown function DUF745', 'DUF745', 4, NULL),
(4454, NULL, 'IPR007987', NULL, 'Poxvirus A21', 'Poxvirus_A21', 4, NULL),
(4455, NULL, 'IPR010198', NULL, '1,4-Dihydroxy-2-naphthoyl-CoA synthase, MenB', 'DHNA-CoA_synthase_MenB', 4, NULL),
(4456, NULL, 'IPR010192', NULL, '2-succinylbenzoate--CoA ligase', 'MenE', 4, NULL),
(4457, NULL, 'IPR001966', NULL, 'Gastrin-releasing peptide receptor', 'Gastrin_pep_rcpt', 4, NULL),
(4458, NULL, 'IPR003893', NULL, 'Iroquois-class homeodomain protein', 'Iroquois_homeo', 3, NULL),
(4459, NULL, 'IPR013275', NULL, 'Peptidase M12B, ADAM-TS2', 'Pept_M12B_ADAM-TS2', 4, NULL),
(4460, NULL, 'IPR006851', NULL, 'Protein of unknown function DUF613', 'DUF613', 4, NULL),
(4461, NULL, 'IPR003358', NULL, 'tRNA (guanine-N-7) methyltransferase, Trmb type', 'tRNA_(Gua-N-7)_MeTrfase_Trmb', 4, NULL),
(4462, NULL, 'IPR003353', NULL, 'Phosphotransferase system, fructose-specific IIB subunit', 'PTS_IIB_fruc', 3, NULL),
(4463, NULL, 'IPR001875', NULL, 'Death effector domain', 'DED_dom', 3, NULL),
(4464, NULL, 'IPR005285', NULL, 'Pleiotropic drug resistance protein PDR/CDR', 'Drug-R_PDR/CDR', 4, NULL),
(4465, NULL, 'IPR034489', NULL, 'hnRNP A2/B1', 'hnRNP_A2/B1', 4, NULL),
(4466, NULL, 'IPR003316', NULL, 'E2F/DP family, winged-helix DNA-binding domain', 'E2F_WHTH_DNA-bd_dom', 3, NULL),
(4467, NULL, 'IPR034482', NULL, 'Mrd1, RNA recognition motif 3', 'Mrd1_RRM3', 3, NULL),
(4468, NULL, 'IPR001878', NULL, 'Zinc finger, CCHC-type', 'Znf_CCHC', 3, NULL),
(4469, NULL, 'IPR001001', NULL, 'DNA polymerase III, beta sliding clamp', 'DNA_polIII_beta', 4, NULL),
(4470, NULL, 'IPR001820', NULL, 'Protease inhibitor I35 (TIMP)', 'TIMP', 4, NULL),
(4471, NULL, 'IPR005283', NULL, 'Peroxysomal long chain fatty acyl transporter', 'FA_transporter', 4, NULL),
(4472, NULL, 'IPR010194', NULL, 'Anti-sigma F factor', 'Anti-sigma_F', 4, NULL),
(4473, NULL, 'IPR010221', NULL, 'VCBS repeat', 'VCBS_rpt', 7, NULL),
(4474, NULL, 'IPR001919', NULL, 'Carbohydrate-binding type-2 domain', 'CBD2', 3, NULL),
(4475, NULL, 'IPR001948', NULL, 'Peptidase M18', 'Peptidase_M18', 4, NULL),
(4476, NULL, 'IPR010187', NULL, 'Selenoprotein B, glycine/betaine/sarcosine/D-proline reductase family', 'Various_sel_PB', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4477, NULL, 'IPR007439', NULL, 'Chemotaxis phosphatase, CheZ', 'Chemotax_Pase_CheZ', 4, NULL),
(4478, NULL, 'IPR010223', NULL, 'ATP binding protein MinD', 'MinD', 4, NULL),
(4479, NULL, 'IPR001911', NULL, 'Ribosomal protein S21', 'Ribosomal_S21', 4, NULL),
(4480, NULL, 'IPR005269', NULL, 'Cytokinin riboside 5''-monophosphate phosphoribohydrolase LOG', 'LOG', 4, NULL),
(4481, NULL, 'IPR003334', NULL, 'GPCR, family 2, latrophilin, C-terminal', 'GPCR_2_latrophilin_rcpt_C', 3, NULL),
(4482, NULL, 'IPR001867', NULL, 'OmpR/PhoB-type DNA-binding domain', 'OmpR/PhoB-type_DNA-bd', 3, NULL),
(4483, NULL, 'IPR006849', NULL, 'Elongator complex protein 1', 'Elp1', 4, NULL),
(4484, NULL, 'IPR001881', NULL, 'EGF-like calcium-binding domain', 'EGF-like_Ca-bd_dom', 3, NULL),
(4485, NULL, 'IPR001842', NULL, 'Peptidase M36, fungalysin', 'Peptidase_M36', 4, NULL),
(4486, NULL, 'IPR001821', NULL, '[NiFe]-hydrogenase, small subunit', 'NiFe_hydrogenase_ssu', 4, NULL),
(4487, NULL, 'IPR007936', NULL, 'Virulence-associated E', 'VirE', 4, NULL),
(4488, NULL, 'IPR001131', NULL, 'Peptidase M24B, X-Pro dipeptidase/aminopeptidase P, conserved site', 'Peptidase_M24B_aminopep-P_CS', 2, NULL),
(4489, NULL, 'IPR002303', NULL, 'Valine-tRNA ligase', 'Valyl-tRNA_ligase', 4, NULL),
(4490, NULL, 'IPR007942', NULL, 'Phospholipase-like', 'PLipase-like', 4, NULL),
(4491, NULL, 'IPR007961', NULL, 'Herpesvirus latent membrane 1', 'Herpes_LMP1', 4, NULL),
(4492, NULL, 'IPR001843', NULL, 'Fragilysin', 'Fragilysin', 4, NULL),
(4493, NULL, 'IPR010177', NULL, 'Doubled CXXCH motif', 'Paired_CXXCH_1', 3, NULL),
(4494, NULL, 'IPR001920', NULL, 'Asp/Glu racemase', 'Asp/Glu_race', 5, NULL),
(4495, NULL, 'IPR001957', NULL, 'Chromosomal replication control, initiator DnaA', 'Chromosome_initiator_DnaA', 4, NULL),
(4496, NULL, 'IPR001909', NULL, 'Krueppel-associated box', 'KRAB', 3, NULL),
(4497, NULL, 'IPR002764', NULL, 'CRISPR-associated protein Cas7/Cst2/DevR, subtype I-a/Apern', 'Cas7/Cst2/DevR_sub_I-a/Apern', 4, NULL),
(4498, NULL, 'IPR003890', NULL, 'MIF4G-like, type 3', 'MIF4G-like_typ-3', 3, NULL),
(4499, NULL, 'IPR004832', NULL, 'TCL1/MTCP1', 'TCL1_MTCP1', 4, NULL),
(4500, NULL, 'IPR003337', NULL, 'Trehalose-phosphatase', 'Trehalose_PPase', 4, NULL),
(4501, NULL, 'IPR006309', NULL, 'DNA polymerase 3, epsilon subunit', 'DnaQ_proteo', 4, NULL),
(4502, NULL, 'IPR006883', NULL, 'Per os infectivity factor 4', 'AcMNPV_PIF-4', 4, NULL),
(4503, NULL, 'IPR004298', NULL, 'Nicotianamine synthase', 'Nicotian_synth', 4, NULL),
(4504, NULL, 'IPR006298', NULL, 'GTP-binding protein TypA', 'TypA_GTP-bd', 4, NULL),
(4505, NULL, 'IPR001806', NULL, 'Small GTPase', 'Small_GTPase', 4, NULL),
(4506, NULL, 'IPR005719', NULL, 'Dihydroorotate dehydrogenase, class 2', 'Dihydroorotate_DH_2', 4, NULL),
(4507, NULL, 'IPR002805', NULL, 'Nicotinate-nucleotide-dimethylbenzimidazole phosphoribosyltransferase, archaeal type', 'Nict_dMeBzImd_PRibTrfase_arc', 4, NULL),
(4508, NULL, 'IPR002777', NULL, 'Prefoldin beta-like', 'PFD_beta-like', 4, NULL),
(4509, NULL, 'IPR000372', NULL, 'Leucine-rich repeat N-terminal domain', 'LRRNT', 3, NULL),
(4510, NULL, 'IPR007458', NULL, 'Protein of unknown function DUF496', 'DUF496', 4, NULL),
(4511, NULL, 'IPR006352', NULL, 'Phosphoglucosamine mutase, bacterial type', 'GlmM_bact', 4, NULL),
(4512, NULL, 'IPR004276', NULL, 'Glycosyltransferase family 28, N-terminal domain', 'GlycoTrans_28_N', 3, NULL),
(4513, NULL, 'IPR034575', NULL, 'Outer envelope pore protein 21', 'OEP21', 4, NULL),
(4514, NULL, 'IPR004311', NULL, 'Vacuolating cytotoxin, putative', 'Vacuolating_cytotoxin_put', 3, NULL),
(4515, NULL, 'IPR000333', NULL, 'Ser/Thr protein kinase, TGFB receptor', 'TGFB_receptor', 4, NULL),
(4516, NULL, 'IPR007313', NULL, 'FxsA cytoplasmic membrane protein', 'FxsA', 4, NULL),
(4517, NULL, 'IPR002812', NULL, '3-dehydroquinate synthase', 'DHQ_synth', 4, NULL),
(4518, NULL, 'IPR000353', NULL, 'MHC class II, beta chain, N-terminal', 'MHC_II_b_N', 3, NULL),
(4519, NULL, 'IPR005754', NULL, 'Sortase family', 'Sortase', 4, NULL),
(4520, NULL, 'IPR031363', NULL, 'Transmembrane protein 252', 'TMEM252', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4521, NULL, 'IPR006900', NULL, 'Sec23/Sec24, helical domain', 'Sec23/24_helical_dom', 3, NULL),
(4522, NULL, 'IPR006872', NULL, 'Late protein H7, poxvirus', 'Poxvirus_H7', 4, NULL),
(4523, NULL, 'IPR006311', NULL, 'Twin-arginine translocation pathway, signal sequence', 'TAT_signal', 2, NULL),
(4524, NULL, 'IPR004343', NULL, 'Plus-3 domain', 'Plus-3_dom', 3, NULL),
(4525, NULL, 'IPR003382', NULL, 'Flavoprotein', 'Flavoprotein', 3, NULL),
(4526, NULL, 'IPR000867', NULL, 'Insulin-like growth factor-binding protein, IGFBP', 'IGFBP-like', 3, NULL),
(4527, NULL, 'IPR000361', NULL, 'FeS cluster biogenesis', 'FeS_biogenesis', 3, NULL),
(4528, NULL, 'IPR003448', NULL, 'Molybdopterin biosynthesis MoaE', 'Mopterin_biosynth_MoaE', 4, NULL),
(4529, NULL, 'IPR000386', NULL, 'Haemagglutinin, influenzavirus B', 'Hemagglutn_influenz_B', 4, NULL),
(4530, NULL, 'IPR005745', NULL, 'Ribosomal protein L14P, bacterial-type', 'Ribosomal_L14P_bac-type', 4, NULL),
(4531, NULL, 'IPR000856', NULL, 'Opsin RH3/RH4', 'Opsin_RH3/RH4', 4, NULL),
(4532, NULL, 'IPR005756', NULL, 'Ribosomal protein L26/L24, eukaryotic/archaeal', 'Ribosomal_L26/L24P_euk/arc', 4, NULL),
(4533, NULL, 'IPR005773', NULL, 'Yop virulence translocation protein R', 'YopR', 4, NULL),
(4534, NULL, 'IPR000317', NULL, 'Peptidase C24, Calicivirus polyprotein Orf1', 'Peptidase_C24', 3, NULL),
(4535, NULL, 'IPR006892', NULL, 'Geminivirus AC4/5, conserved domain 1', 'Gemini_AC4_5_cons_dom_1', 3, NULL),
(4536, NULL, 'IPR006322', NULL, 'Glutathione reductase, eukaryote/bacterial', 'Glutathione_Rdtase_euk/bac', 4, NULL),
(4537, NULL, 'IPR000784', NULL, 'Late protein L2', 'Late_L2', 4, NULL),
(4538, NULL, 'IPR004320', NULL, 'Protein BPS1, chloroplastic', 'BPS1_pln', 4, NULL),
(4539, NULL, 'IPR000280', NULL, 'Pestivirus NS3, peptidase S31', 'Pestivirus_NS3_S31', 3, NULL),
(4540, NULL, 'IPR005747', NULL, 'Endonuclease MutS2', 'MutS2', 4, NULL),
(4541, NULL, 'IPR004307', NULL, 'TspO/MBR-related protein', 'TspO_MBR', 4, NULL),
(4542, NULL, 'IPR004344', NULL, 'Tubulin-tyrosine ligase/Tubulin polyglutamylase', 'TTL/TTLL_fam', 4, NULL),
(4543, NULL, 'IPR004278', NULL, 'Putative RNA polymerase (calciviral)/capsid protein', 'RNA_pol/capsid', 4, NULL),
(4544, NULL, 'IPR006894', NULL, 'HupH hydrogenase expression protein, C-terminal', 'HupH_Hydgase_express_prot_C', 3, NULL),
(4545, NULL, 'IPR000823', NULL, 'Plant peroxidase', 'Peroxidase_pln', 4, NULL),
(4546, NULL, 'IPR006887', NULL, 'Domain of unknown function DUF625', 'DUF625', 3, NULL),
(4547, NULL, 'IPR006312', NULL, 'Sec-independent protein translocase protein TatA/E', 'TatA/E', 4, NULL),
(4548, NULL, 'IPR002786', NULL, 'Inosine/xanthosine triphosphatase', 'Non_canon_purine_NTPase', 4, NULL),
(4549, NULL, 'IPR002773', NULL, 'Deoxyhypusine synthase', 'Deoxyhypusine_synthase', 4, NULL),
(4550, NULL, 'IPR005743', NULL, 'DNA gyrase, subunit A', 'GyrA', 4, NULL),
(4551, NULL, 'IPR007441', NULL, 'Ethanolamine utilisation protein EutH', 'EutH', 4, NULL),
(4552, NULL, 'IPR003387', NULL, 'Nodulin', 'Nodulin', 4, NULL),
(4553, NULL, 'IPR003375', NULL, 'Photosystem I PsaE, reaction centre subunit IV', 'PSI_PsaE', 4, NULL),
(4554, NULL, 'IPR000375', NULL, 'Dynamin stalk domain', 'Dynamin_stalk', 3, NULL),
(4555, NULL, 'IPR000276', NULL, 'G protein-coupled receptor, rhodopsin-like', 'GPCR_Rhodpsn', 4, NULL),
(4556, NULL, 'IPR006896', NULL, 'Sec23/Sec24, trunk domain', 'Sec23/24_trunk_dom', 3, NULL),
(4557, NULL, 'IPR006923', NULL, 'Baculoviridae late expression factor 5, N-terminal', 'Baculo_LEF5_N', 3, NULL),
(4558, NULL, 'IPR001747', NULL, 'Vitellogenin, N-terminal', 'Vitellogenin_N', 3, NULL),
(4559, NULL, 'IPR006867', NULL, 'Domain of unknown function DUF632', 'DUF632', 3, NULL),
(4560, NULL, 'IPR004314', NULL, 'Neprosin', 'Neprosin', 3, NULL),
(4561, NULL, 'IPR006908', NULL, 'Herpesvirus UL49 tegument protein', 'Herpes_UL49', 4, NULL),
(4562, NULL, 'IPR000406', NULL, 'Rho protein GDP-dissociation inhibitor', 'Rho_GDI', 4, NULL),
(4563, NULL, 'IPR000434', NULL, 'Polycystic kidney disease type 1 protein', 'PC1', 4, NULL),
(4564, NULL, 'IPR005721', NULL, 'Ribosomal protein L22/L17, eukaryotic/archaeal', 'Ribosomal_L22/L17_euk/arc', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4565, NULL, 'IPR007302', NULL, 'Circularly permuted ATPgrasp domain', 'CP_ATPgrasp', 3, NULL),
(4566, NULL, 'IPR005720', NULL, 'Dihydroorotate dehydrogenase domain', 'Dihydroorotate_DH', 3, NULL),
(4567, NULL, 'IPR005738', NULL, 'DNA topoisomerase III', 'TopoIII', 4, NULL),
(4568, NULL, 'IPR000872', NULL, 'Tafazzin', 'Tafazzin', 4, NULL),
(4569, NULL, 'IPR001812', NULL, 'Trypanosome variant surface glycoprotein, A-type, N-terminal domain', 'Trypano_VSG_A_N_dom', 3, NULL),
(4570, NULL, 'IPR000250', NULL, 'Peptidase G1', 'Peptidase_G1', 4, NULL),
(4571, NULL, 'IPR000293', NULL, 'Channel forming colicin, C-terminal cytotoxic', 'Channel_colicin_C', 3, NULL),
(4572, NULL, 'IPR000367', NULL, 'G-protein alpha subunit, group S', 'Gprotein_alpha_S', 4, NULL),
(4573, NULL, 'IPR007470', NULL, 'Putative uroporphyrinogen-III C-methyltransferase HemX', 'HemX', 4, NULL),
(4574, NULL, 'IPR004297', NULL, 'Systemic acquired resistance protein SAR', 'Sar8_2', 4, NULL),
(4575, NULL, 'IPR006314', NULL, 'Dyp-type peroxidase', 'Dyp_peroxidase', 4, NULL),
(4576, NULL, 'IPR002795', NULL, 'S-adenosylmethionine synthetase, archaea', 'S-AdoMet_synthetase_arc', 4, NULL),
(4577, NULL, 'IPR007320', NULL, 'Programmed cell death protein 2, C-terminal', 'PDCD2_C', 3, NULL),
(4578, NULL, 'IPR002816', NULL, 'TraB/PrgY/GumN family', 'TraB/PrgY/GumN_fam', 4, NULL),
(4579, NULL, 'IPR003379', NULL, 'Carboxylase, conserved domain', 'Carboxylase_cons_dom', 3, NULL),
(4580, NULL, 'IPR006907', NULL, 'Domain of unknown function DUF622', 'DUF622', 3, NULL),
(4581, NULL, 'IPR006337', NULL, 'D-glucosaminate-6-phosphate ammonia lyase DgaE-like', 'DgaE-like', 4, NULL),
(4582, NULL, 'IPR031362', NULL, 'Protein BNIP5', 'BNIP5', 4, NULL),
(4583, NULL, 'IPR005728', NULL, 'Rickettsial palindromic element', 'Rickett_RPE', 3, NULL),
(4584, NULL, 'IPR005724', NULL, 'ATPase, A1 complex, beta subunit', 'ATPase_A1-cplx_bsu', 4, NULL),
(4585, NULL, 'IPR000891', NULL, 'Pyruvate carboxyltransferase', 'PYR_CT', 3, NULL),
(4586, NULL, 'IPR002781', NULL, 'Transmembrane protein TauE-like', 'TM_pro_TauE-like', 4, NULL),
(4587, NULL, 'IPR002780', NULL, 'Hydrogenase formation HypD protein', 'Hyd_form_HypD', 4, NULL),
(4588, NULL, 'IPR004315', NULL, 'Male Drosophila accessory gland secretory protein', 'Male_ac_gland_sc', 4, NULL),
(4589, NULL, 'IPR000294', NULL, 'Gamma-carboxyglutamic acid-rich (GLA) domain', 'GLA_domain', 3, NULL),
(4590, NULL, 'IPR006341', NULL, 'Acid-soluble spore protein, gamma-type', 'Spore_gamma', 4, NULL),
(4591, NULL, 'IPR006871', NULL, 'ssDNA-binding protein, baculovirus', 'ssDNA-bd_baculovirus', 4, NULL),
(4592, NULL, 'IPR007314', NULL, 'Haem-binding uptake, Tiki superfamily, ChaN', 'Cofac_haem-bd_dom', 3, NULL),
(4593, NULL, 'IPR003416', NULL, 'MgtC/SapB/SrpB/YhiD family', 'MgtC/SapB/SrpB/YhiD_fam', 4, NULL),
(4594, NULL, 'IPR000889', NULL, 'Glutathione peroxidase', 'Glutathione_peroxidase', 4, NULL),
(4595, NULL, 'IPR006354', NULL, 'HAD-superfamily hydrolase, subfamily IIA, hypothetical 1', 'HAD-SF_hydro_IIA_hyp1', 4, NULL),
(4596, NULL, 'IPR004290', NULL, 'Herpesvirus UL79', 'Herpes_UL79', 4, NULL),
(4597, NULL, 'IPR005723', NULL, 'ATPase, V1 complex, subunit B', 'ATPase_V1-cplx_bsu', 4, NULL),
(4598, NULL, 'IPR004291', NULL, 'Transposase IS66, central domain', 'Transposase_IS66_central', 3, NULL),
(4599, NULL, 'IPR000885', NULL, 'Fibrillar collagen, C-terminal', 'Fib_collagen_C', 3, NULL),
(4600, NULL, 'IPR000300', NULL, 'Inositol polyphosphate-related phosphatase', 'IPPc', 3, NULL),
(4601, NULL, 'IPR002784', NULL, 'Ribosomal protein L14e domain', 'Ribosomal_L14e_dom', 3, NULL),
(4602, NULL, 'IPR005730', NULL, 'Carboxynorspermidine decarboxylase', 'Nsp_de-COase', 4, NULL),
(4603, NULL, 'IPR007449', NULL, 'ZipA, C-terminal FtsZ-binding domain', 'ZipA_FtsZ-bd_C', 3, NULL),
(4604, NULL, 'IPR002772', NULL, 'Glycoside hydrolase family 3 C-terminal domain', 'Glyco_hydro_3_C', 3, NULL),
(4605, NULL, 'IPR000238', NULL, 'Ribosome-binding factor A', 'RbfA', 4, NULL),
(4606, NULL, 'IPR002794', NULL, 'Protein of unknown function DUF92, TMEM19', 'DUF92_TMEM19', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4607, NULL, 'IPR005169', NULL, 'CagA exotoxin, phosphopeptide substrate mimic region', 'CagA_C', 3, NULL),
(4608, NULL, 'IPR005751', NULL, 'ATP-dependent DNA helicase PcrA', 'ATP-dep_DNA_helicase_PcrA', 4, NULL),
(4609, NULL, 'IPR023214', NULL, 'HAD superfamily', 'HAD_sf', 5, NULL),
(4610, NULL, 'IPR001815', NULL, 'Trichovirus movement protein', 'Trichovirus_mp', 4, NULL),
(4611, NULL, 'IPR006890', NULL, 'Sulphydryl oxidase, FAD-linked, ERV1/ALR-type', 'Sulphydryl_Oase_FAD-link_ERV1', 4, NULL),
(4612, NULL, 'IPR006343', NULL, 'DnaD domain', 'DnaD_dom', 3, NULL),
(4613, NULL, 'IPR000844', NULL, 'ATP-binding cassette subfamily C member 8', 'ABCC8', 4, NULL),
(4614, NULL, 'IPR006351', NULL, '3-amino-5-hydroxybenzoic acid synthesis-related', 'AHBA_synth-like', 4, NULL),
(4615, NULL, 'IPR005768', NULL, 'Specific amino acids and opine-binding periplasmic protein, ABC transporter', 'Lys_Arg_Orn-bd', 4, NULL),
(4616, NULL, 'IPR006325', NULL, 'Signal recognition particle, SRP54 subunit, eukaryotic', 'SRP54_euk', 4, NULL),
(4617, NULL, 'IPR002770', NULL, 'Formylmethanofuran: tetrahydromethanopterin formyltransferase Ftr, C-terminal', 'ForMFR_H4MPT_ForTrfase_C', 3, NULL),
(4618, NULL, 'IPR007473', NULL, 'Ribosomal RNA large subunit methyltransferase J', 'RlmJ', 4, NULL),
(4619, NULL, 'IPR006332', NULL, 'Quinol oxidase subunit II', 'QoxA', 4, NULL),
(4620, NULL, 'IPR006350', NULL, 'Intron endonuclease, group I', 'Intron_endoG1', 4, NULL),
(4621, NULL, 'IPR004843', NULL, 'Calcineurin-like phosphoesterase domain, ApaH type', 'Calcineurin-like_PHP_ApaH', 3, NULL),
(4622, NULL, 'IPR002767', NULL, 'Thiamine-binding protein', 'Thiamine_BP', 3, NULL),
(4623, NULL, 'IPR005737', NULL, 'DNA topoisomerase IV, subunit B, Gram-negative', 'TopoIV_B_Gneg', 4, NULL),
(4624, NULL, 'IPR004342', NULL, 'EXS, C-terminal', 'EXS_C', 3, NULL),
(4625, NULL, 'IPR000794', NULL, 'Beta-ketoacyl synthase', 'Beta-ketoacyl_synthase', 4, NULL),
(4626, NULL, 'IPR004301', NULL, 'Nucleoplasmin family', 'Nucleoplasmin', 4, NULL),
(4627, NULL, 'IPR004282', NULL, 'Chloroplast envelope membrane protein, CemA', 'CemA', 4, NULL),
(4628, NULL, 'IPR006899', NULL, 'Hepatocyte nuclear factor 1, N-terminal', 'HNF-1_N', 3, NULL),
(4629, NULL, 'IPR002818', NULL, 'DJ-1/PfpI', 'DJ-1/PfpI', 3, NULL),
(4630, NULL, 'IPR003383', NULL, 'Circovirus capsid protein', 'Circovirus_capsid', 4, NULL),
(4631, NULL, 'IPR004296', NULL, 'DUF236 repeat', 'DUF236', 7, NULL),
(4632, NULL, 'IPR000432', NULL, 'DNA mismatch repair protein MutS, C-terminal', 'DNA_mismatch_repair_MutS_C', 3, NULL),
(4633, NULL, 'IPR001817', NULL, 'Vasopressin receptor', 'Vasoprsn_rcpt', 4, NULL),
(4634, NULL, 'IPR005736', NULL, 'Reverse gyrase', 'Reverse_gyrase', 4, NULL),
(4635, NULL, 'IPR001748', NULL, 'G10 protein', 'G10', 4, NULL),
(4636, NULL, 'IPR000390', NULL, 'Small drug/metabolite transporter protein family', 'Small_drug/metabolite_transptr', 4, NULL),
(4637, NULL, 'IPR005732', NULL, 'Ribosomal protein S19, bacterial-type', 'Ribosomal_S19_bac-type', 4, NULL),
(4638, NULL, 'IPR004195', NULL, 'Head decoration protein D', 'Head_decoration_D', 4, NULL),
(4639, NULL, 'IPR002810', NULL, 'NfeD-like, C-terminal domain', 'NfeD-like_C', 3, NULL),
(4640, NULL, 'IPR005774', NULL, 'UTP-glucose pyrophosphorylase, regulatory subunit', 'GalF', 4, NULL),
(4641, NULL, 'IPR005165', NULL, 'Anthrax toxin, edema factor, central', 'Anthrax_toxin_edema_cen', 3, NULL),
(4642, NULL, 'IPR007446', NULL, 'Type IV pilus inner membrane component PilP', 'PilP', 4, NULL),
(4643, NULL, 'IPR001746', NULL, 'Polyhedrin', 'Polyhedrin', 4, NULL),
(4644, NULL, 'IPR005752', NULL, 'ATP-dependent DNA helicase Rep', 'Helicase_Rep', 4, NULL),
(4645, NULL, 'IPR000241', NULL, 'Putative RNA methylase domain', 'RNA_methylase_dom', 3, NULL),
(4646, NULL, 'IPR006333', NULL, 'Cytochrome o ubiquinol oxidase subunit II', 'Cyt_o_ubiquinol_oxidase_su2', 4, NULL),
(4647, NULL, 'IPR004171', NULL, 'cAMP-dependent protein kinase inhibitor', 'cAMP_dep_PKI', 4, NULL),
(4648, NULL, 'IPR000357', NULL, 'HEAT repeat', 'HEAT', 7, NULL),
(4649, NULL, 'IPR006898', NULL, 'Hepatocyte nuclear factor 1, alpha isoform C-terminal', 'HNF1a_C', 3, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4650, NULL, 'IPR006914', NULL, 'VENN motif-containing domain', 'VENN_dom', 3, NULL),
(4651, NULL, 'IPR005772', NULL, 'ATPase, V1 complex, subunit F, eukaryotic', 'ATPase_V1-cplx_fsu_euk', 4, NULL),
(4652, NULL, 'IPR006917', NULL, 'SOUL haem-binding protein', 'SOUL_haem-bd', 4, NULL),
(4653, NULL, 'IPR002803', NULL, 'Fructose-1,6-bisphosphatase, class V', 'FBPase_V', 4, NULL),
(4654, NULL, 'IPR007461', NULL, 'Ysc84 actin-binding domain', 'Ysc84_actin-binding', 3, NULL),
(4655, NULL, 'IPR006886', NULL, 'DNA-directed RNA polymerase III subunit Rpc5', 'RNA_pol_III_Rpc5', 4, NULL),
(4656, NULL, 'IPR000397', NULL, 'Heat shock protein Hsp33', 'Heat_shock_Hsp33', 4, NULL),
(4657, NULL, 'IPR007315', NULL, 'GPI mannosyltransferase 2', 'PIG-V/Gpi18', 4, NULL),
(4658, NULL, 'IPR006301', NULL, 'Flagellar biosynthesis protein FlhA', 'FlhA', 4, NULL),
(4659, NULL, 'IPR006353', NULL, 'HAD-superfamily hydrolase, subfamily IIA, CECR5', 'HAD-SF_hydro_IIA_CECR5', 4, NULL),
(4660, NULL, 'IPR006885', NULL, 'NADH dehydrogenase ubiquinone Fe-S protein 4, mitochondrial', 'NADH_UbQ_FeS_4_mit', 4, NULL),
(4661, NULL, 'IPR004318', NULL, 'Rhoptry-associated protein 1', 'RAP-1', 4, NULL),
(4662, NULL, 'IPR005163', NULL, '3-alpha domain', '3-alpha_domain', 3, NULL),
(4663, NULL, 'IPR006869', NULL, 'Domain of unknown function DUF547', 'DUF547', 3, NULL),
(4664, NULL, 'IPR006340', NULL, 'Protein of unknown function  DUF436', 'DUF436', 4, NULL),
(4665, NULL, 'IPR005739', NULL, 'DNA topoisomerase I, archeal-type', 'TopoI_arch', 4, NULL),
(4666, NULL, 'IPR004303', NULL, 'Protein-arginine deiminase', 'PAD', 4, NULL),
(4667, NULL, 'IPR000840', NULL, 'Gamma-retroviral matrix protein', 'G_retro_matrix', 3, NULL),
(4668, NULL, 'IPR006329', NULL, 'AMP deaminase', 'AMPD', 4, NULL),
(4669, NULL, 'IPR000403', NULL, 'Phosphatidylinositol 3-/4-kinase, catalytic domain', 'PI3/4_kinase_cat_dom', 3, NULL),
(4670, NULL, 'IPR006902', NULL, 'Umbravirus long distance movement protein', 'Umbravirus_LDM', 4, NULL),
(4671, NULL, 'IPR006874', NULL, 'Protein of unknown function DUF621', 'DUF621', 4, NULL),
(4672, NULL, 'IPR000421', NULL, 'Coagulation factor 5/8 C-terminal domain', 'FA58C', 3, NULL),
(4673, NULL, 'IPR004338', NULL, 'Ion-translocating oxidoreductase NqrB/RnfD', 'NqrB/RnfD', 4, NULL),
(4674, NULL, 'IPR000831', NULL, 'Trp repressor', 'Trp_repress', 4, NULL),
(4675, NULL, 'IPR000427', NULL, 'Papillomavirus E2, C-terminal', 'Papillomavirus_E2_C', 3, NULL),
(4676, NULL, 'IPR005760', NULL, 'A/G-specific adenine glycosylase MutY', 'A/G_AdeGlyc_MutY', 4, NULL),
(4677, NULL, 'IPR002792', NULL, 'TRAM domain', 'TRAM_dom', 3, NULL),
(4678, NULL, 'IPR005173', NULL, 'DMRTA motif', 'DMA', 3, NULL),
(4679, NULL, 'IPR006335', NULL, 'Glutathione biosynthesis bifunctional protein GshAB', 'Glut_biosynth', 4, NULL),
(4680, NULL, 'IPR007310', NULL, 'Aerobactin siderophore biosynthesis, IucA/IucC, N-terminal', 'Aerobactin_biosyn_IucA/IucC_N', 3, NULL),
(4681, NULL, 'IPR005733', NULL, 'DNA topoisomerase I, bacterial-type', 'TopoI_bac-type', 4, NULL),
(4682, NULL, 'IPR000842', NULL, 'Phosphoribosyl pyrophosphate synthetase, conserved site', 'PRib_PP_synth_CS', 2, NULL),
(4683, NULL, 'IPR006345', NULL, 'RecD-like DNA helicase', 'DNA_helicase_RecD-like', 4, NULL),
(4684, NULL, 'IPR000356', NULL, 'P2Y2 purinoceptor', 'P2Y2_rcpt', 4, NULL),
(4685, NULL, 'IPR006300', NULL, 'Flagellar basal-body rod protein FlgB', 'FlgB', 4, NULL),
(4686, NULL, 'IPR000383', NULL, 'Xaa-Pro dipeptidyl-peptidase-like domain', 'Xaa-Pro-like_dom', 3, NULL),
(4687, NULL, 'IPR005734', NULL, 'DNA topoisomerase VI, subunit B', 'TopoVI_B', 4, NULL),
(4688, NULL, 'IPR006870', NULL, 'Rhabdovirus matrix protein M', 'Rhabdo_M', 4, NULL),
(4689, NULL, 'IPR007448', NULL, 'Regulator of RNA polymerase sigma(70) subunit, Rsd/AlgQ', 'Sigma70_reg_Rsd_AlgQ', 4, NULL),
(4690, NULL, 'IPR003376', NULL, 'Peridinin-chlorophyll A binding protein', 'Peridinin-chlorophyll-bd_prot', 4, NULL),
(4691, NULL, 'IPR002769', NULL, 'Translation initiation factor IF6', 'eIF6', 4, NULL),
(4692, NULL, 'IPR006915', NULL, 'Domain of unknown function DUF637, haemagglutinin putative', 'DUF637_hemagglutn_put', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4693, NULL, 'IPR006318', NULL, 'Phosphotransferase system, enzyme I-like', 'PTS_EI-like', 3, NULL),
(4694, NULL, 'IPR002797', NULL, 'Polysaccharide biosynthesis protein', 'Polysacc_synth', 4, NULL),
(4695, NULL, 'IPR005162', NULL, 'Retrotransposon gag domain', 'Retrotrans_gag_dom', 3, NULL),
(4696, NULL, 'IPR007462', NULL, 'Protein CONTINUOUS VASCULAR RING 1-like', 'COV1-like', 4, NULL),
(4697, NULL, 'IPR004313', NULL, 'Acireductone dioxygenase ARD family', 'ARD', 4, NULL),
(4698, NULL, 'IPR006897', NULL, 'Hepatocyte nuclear factor 1, beta isoform, C-terminal', 'HNF1b_C', 3, NULL),
(4699, NULL, 'IPR006889', NULL, 'Nonstructural protein NSM', 'Bunya_NSM', 4, NULL),
(4700, NULL, 'IPR002790', NULL, 'Conserved hypothetical protein CHP00288', 'CHP00288', 4, NULL),
(4701, NULL, 'IPR000836', NULL, 'Phosphoribosyltransferase domain', 'PRibTrfase_dom', 3, NULL),
(4702, NULL, 'IPR007444', NULL, 'Glucan biosynthesis, periplasmic, MdoG C-terminal', 'Glucan_biosyn_MdoG_C', 3, NULL),
(4703, NULL, 'IPR005749', NULL, 'Ribosomal protein L15, bacterial-type', 'Ribosomal_L15_bac-type', 4, NULL),
(4704, NULL, 'IPR006881', NULL, 'Plasmid encoded RepA protein', 'RepA_C', 4, NULL),
(4705, NULL, 'IPR004293', NULL, 'Coronavirus Orf3b', 'Coronavirus_Orf3b', 4, NULL),
(4706, NULL, 'IPR000821', NULL, 'Alanine racemase', 'Ala_racemase', 4, NULL),
(4707, NULL, 'IPR007459', NULL, 'DNA polymerase III chi subunit, HolC', 'DNA_pol3_chi', 4, NULL),
(4708, NULL, 'IPR000884', NULL, 'Thrombospondin type-1 (TSP1) repeat', 'TSP1_rpt', 7, NULL),
(4709, NULL, 'IPR004321', NULL, 'V-D-J recombination activating protein 2', 'RAG2', 4, NULL),
(4710, NULL, 'IPR002809', NULL, 'Integral membrane protein EMC3/TMCO1-like', 'EMC3/TMCO1', 4, NULL),
(4711, NULL, 'IPR000829', NULL, 'DAGK family', 'DAGK', 4, NULL),
(4712, NULL, 'IPR006323', NULL, 'Phosphonoacetaldehyde hydrolase', 'Phosphonoacetald_hydro', 4, NULL),
(4713, NULL, 'IPR006878', NULL, 'BRRF1, herpesviridae', 'Herpes_BBRF1', 4, NULL),
(4714, NULL, 'IPR002817', NULL, 'Phosphomethylpyrimidine synthase ThiC/5-hydroxybenzimidazole synthase BzaA/B', 'ThiC/BzaA/B', 4, NULL),
(4715, NULL, 'IPR005761', NULL, 'UDP-N-acetylmuramoylalanyl-D-glutamate-2,6-diaminopimelate ligase', 'UDP-N-AcMur-Glu-dNH2Pim_ligase', 4, NULL),
(4716, NULL, 'IPR005164', NULL, 'Allantoicase', 'Allantoicase', 4, NULL),
(4717, NULL, 'IPR003384', NULL, 'Hepatitis E virus Orf2, capsid', 'HEV_Orf2', 4, NULL),
(4718, NULL, 'IPR002775', NULL, 'DNA/RNA-binding protein Alba-like', 'DNA/RNA-bd_Alba-like', 3, NULL),
(4719, NULL, 'IPR006875', NULL, 'Sarcoglycan complex subunit protein', 'Sarcoglycan', 4, NULL),
(4720, NULL, 'IPR006344', NULL, 'RecBCD enzyme subunit RecD', 'RecD', 4, NULL),
(4721, NULL, 'IPR004306', NULL, 'Domain of unknown function DUF237', 'DUF237', 3, NULL),
(4722, NULL, 'IPR004273', NULL, 'Dynein heavy chain region D6 P-loop domain', 'Dynein_heavy_D6_P-loop', 3, NULL),
(4723, NULL, 'IPR000263', NULL, 'Geminivirus AR1/BR1 coat protein', 'GV_A/BR1_coat', 4, NULL),
(4724, NULL, 'IPR006349', NULL, '2-phosphoglycolate phosphatase, eukaryotic', 'PGP_euk', 4, NULL),
(4725, NULL, 'IPR000387', NULL, 'Tyrosine-specific protein phosphatases domain', 'Tyr_Pase_dom', 3, NULL),
(4726, NULL, 'IPR002804', NULL, 'Archease', 'Archease', 4, NULL),
(4727, NULL, 'IPR005750', NULL, 'UDP-N-acetylglucosamine 1-carboxyvinyltransferase', 'UDP_GlcNAc_COvinyl_MurA', 4, NULL),
(4728, NULL, 'IPR000254', NULL, 'Cellulose-binding domain, fungal', 'Cellulose-bd_dom_fun', 3, NULL),
(4729, NULL, 'IPR000849', NULL, 'Sugar phosphate transporter', 'Sugar_P_transporter', 4, NULL),
(4730, NULL, 'IPR004335', NULL, 'Protein of unknown function DUF244', 'DUF244', 4, NULL),
(4731, NULL, 'IPR003390', NULL, 'DNA integrity scanning protein, DisA, N-terminal', 'DNA_integrity_scan_DisA_N', 3, NULL),
(4732, NULL, 'IPR006316', NULL, 'Tryptophan synthase, beta chain-like', 'Trp_synth_b-like', 4, NULL),
(4733, NULL, 'IPR002811', NULL, 'Aspartate dehydrogenase', 'Asp_DH', 3, NULL),
(4734, NULL, 'IPR004316', NULL, 'SWEET sugar transporter', 'SWEET_sugar_transpr', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4735, NULL, 'IPR002826', NULL, '6-hydroxymethylpterin diphosphokinase MptE-like', 'MptE-like', 3, NULL),
(4736, NULL, 'IPR002789', NULL, 'Helicase HerA, central domain', 'HerA_central', 3, NULL),
(4737, NULL, 'IPR005166', NULL, 'Rous sarcoma virus, Gp95, envelope protein', 'RSV_p95_env', 4, NULL),
(4738, NULL, 'IPR004283', NULL, 'Late expression factor 2', 'Lef-2', 4, NULL),
(4739, NULL, 'IPR006882', NULL, 'Herpesvirus Orf11', 'Herpes_Orf11', 4, NULL),
(4740, NULL, 'IPR007322', NULL, 'RNA-dependent RNA polymerase, bunyaviral', 'RNA_pol_bunyavir', 3, NULL),
(4741, NULL, 'IPR003374', NULL, 'ApbE-like superfamily', 'ApbE-like_sf', 5, NULL),
(4742, NULL, 'IPR000347', NULL, 'Metallothionein, family 15, plant', 'Metalthion_15p', 4, NULL),
(4743, NULL, 'IPR007452', NULL, 'Translocation and assembly module TamB', 'TamB', 4, NULL),
(4744, NULL, 'IPR000370', NULL, 'Prostacyclin (prostanoid IP) receptor', 'Prostglndn_IP_rcpt', 4, NULL),
(4745, NULL, 'IPR007463', NULL, 'Protein of unknown function DUF507', 'DUF507', 4, NULL),
(4746, NULL, 'IPR004339', NULL, 'UL49-related protein', 'UL49', 4, NULL),
(4747, NULL, 'IPR000402', NULL, 'Sodium/potassium-transporting ATPase subunit beta', 'Na/K_ATPase_sub_beta', 4, NULL),
(4748, NULL, 'IPR005758', NULL, 'UDP-N-acetylmuramate--L-alanine ligase', 'UDP-N-AcMur_Ala_ligase_MurC', 4, NULL),
(4749, NULL, 'IPR000820', NULL, 'Proto-oncogene Mas', 'Proto-oncogene_Mas', 4, NULL),
(4750, NULL, 'IPR004333', NULL, 'SBP domain', 'SBP_dom', 3, NULL),
(4751, NULL, 'IPR005744', NULL, 'Hly-III', 'Hy-lIII', 4, NULL),
(4752, NULL, 'IPR004323', NULL, 'Divalent ion tolerance protein, CutA', 'Ion_tolerance_CutA', 4, NULL),
(4753, NULL, 'IPR031360', NULL, 'Tryptophan transporter TrpP', 'TrpP', 4, NULL),
(4754, NULL, 'IPR004330', NULL, 'FAR1 DNA binding domain', 'FAR1_DNA_bnd_dom', 3, NULL),
(4755, NULL, 'IPR006895', NULL, 'Zinc finger, Sec23/Sec24-type', 'Znf_Sec23_Sec24', 3, NULL),
(4756, NULL, 'IPR000787', NULL, 'Peptidase M29', 'Peptidase_M29', 4, NULL),
(4757, NULL, 'IPR000828', NULL, 'Monellin, A chain', 'Monellin_A', 4, NULL),
(4758, NULL, 'IPR004305', NULL, 'Thiaminase-2/PQQC', 'Thiaminase-2/PQQC', 3, NULL),
(4759, NULL, 'IPR006463', NULL, 'tRNA-2-methylthio-N(6)-dimethylallyladenosine synthase MiaB', 'MiaB_methiolase', 4, NULL),
(4760, NULL, 'IPR007311', NULL, 'ST7', 'ST7', 4, NULL),
(4761, NULL, 'IPR006327', NULL, 'Phosphotransferase system, fructose IIC component', 'PTS_IIC_fruc', 3, NULL),
(4762, NULL, 'IPR006905', NULL, 'Flavin-dependent halogenase', 'Flavin_halogenase', 4, NULL),
(4763, NULL, 'IPR002102', NULL, 'Cellulosome anchoring protein, cohesin domain', 'Cohesin_dom', 3, NULL),
(4764, NULL, 'IPR000248', NULL, 'Angiotensin II receptor family', 'ATII_rcpt', 4, NULL),
(4765, NULL, 'IPR000412', NULL, 'ABC-2 transporter', 'ABC_2_transport', 4, NULL),
(4766, NULL, 'IPR000399', NULL, 'TPP-binding enzyme, conserved site', 'TPP-bd_CS', 2, NULL),
(4767, NULL, 'IPR005171', NULL, 'Cytochrome C oxidase subunit IV, prokaryotes', 'Cyt_c_oxidase_su4_prok', 4, NULL),
(4768, NULL, 'IPR004326', NULL, 'Mlo-related protein', 'Mlo', 4, NULL),
(4769, NULL, 'IPR002825', NULL, 'Peptidase S49, serine-peptidase prokaryotes', 'Pept_S49_ser-pept_pro', 4, NULL),
(4770, NULL, 'IPR002802', NULL, 'Protein of unknown function DUF99', 'DUF99', 4, NULL),
(4771, NULL, 'IPR002821', NULL, 'Hydantoinase A/oxoprolinase', 'Hydantoinase_A', 3, NULL),
(4772, NULL, 'IPR000260', NULL, 'NADH:ubiquinone oxidoreductase chain 4, N-terminal', 'NADH4_N', 3, NULL),
(4773, NULL, 'IPR000321', NULL, 'Delta opioid receptor', 'Delta_opi_rcpt', 4, NULL),
(4774, NULL, 'IPR000869', NULL, 'Fungi-IV metallothionein, family 11', 'Metalthion_11', 4, NULL),
(4775, NULL, 'IPR001749', NULL, 'GPCR, family 2, gastric inhibitory polypeptide receptor', 'GPCR_2_GIP_rcpt', 4, NULL),
(4776, NULL, 'IPR003378', NULL, 'Fringe-like', 'Fringe-like', 4, NULL),
(4777, NULL, 'IPR031357', NULL, 'Stealth protein CR3, conserved region 3', 'Stealth_CR3', 3, NULL),
(4778, NULL, 'IPR006873', NULL, 'Protein of unknown function DUF620', 'DUF620', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4779, NULL, 'IPR030062', NULL, 'Lysozyme-like protein 4', 'LYZL4', 4, NULL),
(4780, NULL, 'IPR007308', NULL, 'Rtr1/RPAP2 domain', 'Rtr1/RPAP2_dom', 3, NULL),
(4781, NULL, 'IPR004302', NULL, 'Cellulose/chitin-binding protein, N-terminal', 'Cellulose/chitin-bd_N', 3, NULL),
(4782, NULL, 'IPR007471', NULL, 'N-end aminoacyl transferase, N-terminal', 'N-end_Aminoacyl_Trfase_N', 3, NULL),
(4783, NULL, 'IPR006355', NULL, 'HAD hydrolase, LHPP/HDHD2', 'LHPP/HDHD2', 4, NULL),
(4784, NULL, 'IPR005740', NULL, 'DNA topoisomerase 4 subunit B, Firmicutes/Mollicutes', 'ParE_type2', 4, NULL),
(4785, NULL, 'IPR004332', NULL, 'Transposase, MuDR, plant', 'Transposase_MuDR', 3, NULL),
(4786, NULL, 'IPR000892', NULL, 'Ribosomal protein S26e', 'Ribosomal_S26e', 4, NULL),
(4787, NULL, 'IPR005763', NULL, 'L-fucose isomerase', 'Fucose_isomerase', 4, NULL),
(4788, NULL, 'IPR007309', NULL, 'B-block binding subunit of TFIIIC', 'TFIIIC_Bblock-bd', 3, NULL),
(4789, NULL, 'IPR004299', NULL, 'Membrane bound O-acyl transferase, MBOAT', 'MBOAT_fam', 4, NULL),
(4790, NULL, 'IPR007460', NULL, 'Ribonuclease toxin, BrnT, of type II toxin-antitoxin system', 'BrnT_toxin', 4, NULL),
(4791, NULL, 'IPR006906', NULL, 'Timeless, N-terminal', 'Timeless_N', 3, NULL),
(4792, NULL, 'IPR007303', NULL, 'TIP41-like protein', 'TIP41-like', 4, NULL),
(4793, NULL, 'IPR004846', NULL, 'Type II/III secretion system', 'T2SS/T3SS', 4, NULL),
(4794, NULL, 'IPR006910', NULL, 'Rad21/Rec8-like protein, N-terminal', 'Rad21_Rec8_N', 3, NULL),
(4795, NULL, 'IPR000235', NULL, 'Ribosomal protein S5/S7', 'Ribosomal_S5/S7', 4, NULL),
(4796, NULL, 'IPR006302', NULL, 'Type III secretion protein HrcV', 'T3SS_HrcV', 4, NULL),
(4797, NULL, 'IPR004337', NULL, 'Capsid, astroviral', 'Capsid_astroviral', 4, NULL),
(4798, NULL, 'IPR000330', NULL, 'SNF2, N-terminal', 'SNF2_N', 3, NULL),
(4799, NULL, 'IPR005717', NULL, 'Ribosomal protein S7, bacterial/organellar-type', 'Ribosomal_S7_bac/org-type', 4, NULL),
(4800, NULL, 'IPR000789', NULL, 'Cyclin-dependent kinase, regulatory subunit', 'Cyclin-dep_kinase_reg-sub', 4, NULL),
(4801, NULL, 'IPR006313', NULL, 'Deferrochelatase/peroxidase EfeB', 'EfeB', 4, NULL),
(4802, NULL, 'IPR004845', NULL, 'Type II secretion system protein GspD, conserved site', 'T2SS_GspD_CS', 2, NULL),
(4803, NULL, 'IPR006308', NULL, 'DNA polymerase III, alpha subunit, Gram-positive type', 'PolC_gram_pos', 4, NULL),
(4804, NULL, 'IPR034592', NULL, 'Coiled-coil domain-containing protein 91', 'CCDC91', 4, NULL),
(4805, NULL, 'IPR002808', NULL, 'Adenosylcobinamide amidohydrolase, CbiZ', 'AdoCbi_amidolase', 4, NULL),
(4806, NULL, 'IPR003102', NULL, 'Coactivator CBP, pKID', 'Coactivator_CBP_pKID', 3, NULL),
(4807, NULL, 'IPR006297', NULL, 'Elongation factor 4', 'EF-4', 4, NULL),
(4808, NULL, 'IPR000274', NULL, 'Adenylate cyclase, class-I', 'Adenylate_cyclase_1', 4, NULL),
(4809, NULL, 'IPR004319', NULL, 'Domain of unknown function DUF240', 'DUF240', 3, NULL),
(4810, NULL, 'IPR004275', NULL, 'Frog antimicrobial peptide, propeptide', 'Frog_antimicrobial_propeptide', 3, NULL),
(4811, NULL, 'IPR002820', NULL, 'Molybdopterin cofactor biosynthesis C (MoaC) domain', 'Mopterin_CF_biosynth-C_dom', 3, NULL),
(4812, NULL, 'IPR003381', NULL, 'Shutoff protein L4', 'L4', 4, NULL),
(4813, NULL, 'IPR004285', NULL, 'Herpesvirus UL87, C-terminal', 'Herpes_UL87_C', 3, NULL),
(4814, NULL, 'IPR000425', NULL, 'Major intrinsic protein', 'MIP', 4, NULL),
(4815, NULL, 'IPR007317', NULL, 'Golgi to ER traffic protein 4', 'GET4', 4, NULL),
(4816, NULL, 'IPR000796', NULL, 'Aspartate/other aminotransferase', 'Asp_trans', 4, NULL),
(4817, NULL, 'IPR035896', NULL, 'AN1-like Zinc finger', 'AN1-like_Znf', 5, NULL),
(4818, NULL, 'IPR004279', NULL, 'Perilipin', 'Perilipin', 4, NULL),
(4819, NULL, 'IPR005727', NULL, 'Ribosomal protein L22, bacterial/chloroplast-type', 'Ribosomal_L22_bac/chlpt-type', 4, NULL),
(4820, NULL, 'IPR007304', NULL, 'TAP46-like protein', 'TAP46-like', 4, NULL),
(4821, NULL, 'IPR000826', NULL, 'Formyl peptide receptor-related', 'Formyl_rcpt-rel', 4, NULL),
(4822, NULL, 'IPR003389', NULL, 'Adenovirus packaging protein 1', 'Adeno_IVa2', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4823, NULL, 'IPR004312', NULL, 'Arabidopsis retrotransposon Orf1', 'ATHILA_Orf1', 4, NULL),
(4824, NULL, 'IPR001810', NULL, 'F-box domain', 'F-box_dom', 3, NULL),
(4825, NULL, 'IPR005762', NULL, 'UDP-N-acetylmuramoylalanine-D-glutamate ligase MurD', 'MurD', 4, NULL),
(4826, NULL, 'IPR000881', NULL, 'Myotoxin', 'Myotoxin', 4, NULL),
(4827, NULL, 'IPR005170', NULL, 'Transporter-associated domain', 'Transptr-assoc_dom', 3, NULL),
(4828, NULL, 'IPR007453', NULL, 'Sulphur transfer protein DsrC/TusE', 'DsrC/TusE', 4, NULL),
(4829, NULL, 'IPR004308', NULL, 'Glutamate-cysteine ligase catalytic subunit', 'GCS', 4, NULL),
(4830, NULL, 'IPR000334', NULL, 'Glycoside hydrolase, family 45', 'Glyco_hydro_45', 3, NULL),
(4831, NULL, 'IPR000875', NULL, 'Cecropin', 'Cecropin', 4, NULL),
(4832, NULL, 'IPR005769', NULL, 'ABC transporter, permease PhnE/PtxC', 'PhnE/PtxC', 4, NULL),
(4833, NULL, 'IPR002778', NULL, 'Signal recognition particle, SRP19 subunit', 'Signal_recog_particle_SRP19', 4, NULL),
(4834, NULL, 'IPR004274', NULL, 'FCP1 homology domain', 'FCP1_dom', 3, NULL),
(4835, NULL, 'IPR003369', NULL, 'Sec-independent protein translocase protein TatA/B/E', 'TatA/B/E', 4, NULL),
(4836, NULL, 'IPR004294', NULL, 'Carotenoid oxygenase', 'Carotenoid_Oase', 4, NULL),
(4837, NULL, 'IPR005741', NULL, 'DNA topoisomerase IV subunit A, Gram-positive', 'TopoIV_A_Gpos', 4, NULL),
(4838, NULL, 'IPR000838', NULL, 'RNA polymerase sigma factor 70, ECF, conserved site', 'RNA_pol_sigma70_ECF_CS', 2, NULL),
(4839, NULL, 'IPR000336', NULL, 'Flavivirus/Alphavirus glycoprotein, immunoglobulin-like domain superfamily', 'Flavivir/Alphavir_Ig-like_sf', 5, NULL),
(4840, NULL, 'IPR000873', NULL, 'AMP-dependent synthetase/ligase', 'AMP-dep_Synth/Lig', 3, NULL),
(4841, NULL, 'IPR004277', NULL, 'Phosphatidyl serine synthase', 'PSS', 4, NULL),
(4842, NULL, 'IPR000853', NULL, 'Metallothionein, family 6, nematoda', 'Metalthion_nemt', 4, NULL),
(4843, NULL, 'IPR001781', NULL, 'Zinc finger, LIM-type', 'Znf_LIM', 3, NULL),
(4844, NULL, 'IPR006320', NULL, 'Phosphotransferase system, IIA-like nitrogen-regulatory protein PtsN', 'PTS_Nitro_regul', 4, NULL),
(4845, NULL, 'IPR006888', NULL, 'XLR/SYCP3/FAM9 domain', 'XLR/SYCP3/FAM9_dom', 3, NULL),
(4846, NULL, 'IPR006310', NULL, '3''-5'' exonuclease DinG', 'DinG', 4, NULL),
(4847, NULL, 'IPR004310', NULL, 'Equine arteritis virus Gp3', 'EAV_Gp3', 4, NULL),
(4848, NULL, 'IPR000323', NULL, 'Copper type II, ascorbate-dependent monooxygenase, N-terminal', 'Cu2_ascorb_mOase_N', 3, NULL),
(4849, NULL, 'IPR006330', NULL, 'Adenosine/adenine deaminase', 'Ado/ade_deaminase', 4, NULL),
(4850, NULL, 'IPR000394', NULL, 'RNA polymerase sigma factor 54', 'RNA_pol_sigma_54', 4, NULL),
(4851, NULL, 'IPR002801', NULL, 'Aspartate transcarbamylase regulatory subunit', 'Asp_carbamoylTrfase_reg', 4, NULL),
(4852, NULL, 'IPR006334', NULL, 'Glutamate--cysteine ligase, monofunctional', 'Glut_cys_ligase', 4, NULL),
(4853, NULL, 'IPR006336', NULL, 'Glutamate--cysteine ligase, GCS2', 'GCS2', 4, NULL),
(4854, NULL, 'IPR006357', NULL, 'HAD-superfamily hydrolase, subfamily IIA', 'HAD-SF_hydro_IIA', 4, NULL),
(4855, NULL, 'IPR003690', NULL, 'Transcription termination factor, mitochondrial/chloroplastic', 'MTERF', 4, NULL),
(4856, NULL, 'IPR006342', NULL, 'Methyltransferase FkbM', 'FkbM_mtfrase', 3, NULL),
(4857, NULL, 'IPR005771', NULL, 'UTP--glucose-1-phosphate uridylyltransferase, bacterial/archaeal-type', 'GalU_uridylyltTrfase_bac/arc', 4, NULL),
(4858, NULL, 'IPR000835', NULL, 'MarR-type HTH domain', 'HTH_MarR-typ', 3, NULL),
(4859, NULL, 'IPR002771', NULL, 'Multiple antibiotic resistance (MarC)-related', 'Multi_antbiot-R_MarC', 4, NULL),
(4860, NULL, 'IPR006331', NULL, 'Adenosine deaminase-related growth factor', 'ADGF', 4, NULL),
(4861, NULL, 'IPR007465', NULL, 'Protein of unknown function DUF508', 'DUF508', 4, NULL),
(4862, NULL, 'IPR000851', NULL, 'Ribosomal protein S5', 'Ribosomal_S5', 4, NULL),
(4863, NULL, 'IPR002813', NULL, 'Arginine biosynthesis protein ArgJ', 'Arg_biosynth_ArgJ', 4, NULL),
(4864, NULL, 'IPR003195', NULL, 'Transcription initiation factor IID, subunit 13', 'TFIID_TAF13', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4865, NULL, 'IPR005726', NULL, 'ATP synthase alpha chain, archaea', 'ATP_synth_asu_arc', 4, NULL),
(4866, NULL, 'IPR000326', NULL, 'Phosphatidic acid phosphatase type 2/haloperoxidase', 'P_Acid_Pase_2/haloperoxidase', 3, NULL),
(4867, NULL, 'IPR006315', NULL, 'Outer membrane autotransporter barrel', 'OM_autotransptr_brl', 3, NULL),
(4868, NULL, 'IPR005725', NULL, 'ATPase, V1 complex, subunit A', 'ATPase_V1-cplx_asu', 4, NULL),
(4869, NULL, 'IPR005757', NULL, 'Murein peptide ligase', 'Mpl', 4, NULL),
(4870, NULL, 'IPR005777', NULL, 'Acetyl-S-ACP:malonate ACP transferase', 'MadA', 4, NULL),
(4871, NULL, 'IPR004281', NULL, 'Interleukin-12 alpha', 'IL-12_alpha', 4, NULL),
(4872, NULL, 'IPR007312', NULL, 'Phosphoesterase', 'Phosphoesterase', 4, NULL),
(4873, NULL, 'IPR006307', NULL, 'Type III exporter system, secretion apparatus protein BsaZ', 'BsaZ', 4, NULL),
(4874, NULL, 'IPR007455', NULL, 'Serglycin', 'Serglycin', 4, NULL),
(4875, NULL, 'IPR007456', NULL, 'Smg', 'Smg', 4, NULL),
(4876, NULL, 'IPR004280', NULL, 'Herpesvirus UL95', 'Herpes_UL95', 4, NULL),
(4877, NULL, 'IPR000824', NULL, 'Transcription attenuation protein MtrB', 'MtrB', 4, NULL),
(4878, NULL, 'IPR000846', NULL, 'Dihydrodipicolinate reductase, N-terminal', 'DapB_N', 3, NULL),
(4879, NULL, 'IPR000337', NULL, 'GPCR, family 3', 'GPCR_3', 4, NULL),
(4880, NULL, 'IPR004341', NULL, 'CAT RNA-binding domain', 'CAT_RNA-bd_dom', 3, NULL),
(4881, NULL, 'IPR007305', NULL, 'Vesicle transport protein, Got1/SFT2-like', 'Vesicle_transpt_Got1/SFT2', 4, NULL),
(4882, NULL, 'IPR005167', NULL, 'Bunyavirus glycoprotein G1', 'Bunya_G1', 3, NULL),
(4883, NULL, 'IPR000316', NULL, 'Plant EC metallothionein-like protein, family 15', 'Metallthion_15', 4, NULL),
(4884, NULL, 'IPR007466', NULL, 'Peptidyl-arginine deiminase, Porphyromonas-type', 'Peptidyl-Arg-deiminase_porph', 4, NULL),
(4885, NULL, 'IPR007451', NULL, 'High frequency lysogenization protein HflD', 'HflD', 4, NULL),
(4886, NULL, 'IPR006346', NULL, '2-phosphoglycolate phosphatase-like, prokaryotic', 'PGPase/MupP', 4, NULL),
(4887, NULL, 'IPR007457', NULL, 'Fe(II) trafficking protein YggX', 'Fe_traffick_prot_YggX', 4, NULL),
(4888, NULL, 'IPR000879', NULL, 'Guanylin', 'Guanylin', 4, NULL),
(4889, NULL, 'IPR007454', NULL, 'Uncharacterised protein family UPF0250', 'UPF0250', 4, NULL),
(4890, NULL, 'IPR007307', NULL, 'Low temperature viability protein Ltv1', 'Ltv1', 4, NULL),
(4891, NULL, 'IPR006911', NULL, 'Armadillo repeat-containing domain', 'ARM-rpt_dom', 3, NULL),
(4892, NULL, 'IPR004331', NULL, 'SPX domain', 'SPX_dom', 3, NULL),
(4893, NULL, 'IPR000786', NULL, 'Green fluorescent protein, GFP', 'Green_fluorescent_prot', 4, NULL),
(4894, NULL, 'IPR000887', NULL, 'KDPG/KHG aldolase', 'Aldlse_KDPG_KHG', 4, NULL),
(4895, NULL, 'IPR005172', NULL, 'CRC domain', 'CRC', 3, NULL),
(4896, NULL, 'IPR006303', NULL, 'Flagellar biosynthesis protein FliR', 'FliR', 4, NULL),
(4897, NULL, 'IPR006338', NULL, 'Thioredoxin/glutathione reductase selenoprotein', 'Thioredoxin/glutathione_Rdtase', 4, NULL),
(4898, NULL, 'IPR002793', NULL, 'Endonuclease NucS', 'Endonuclease_NucS', 4, NULL),
(4899, NULL, 'IPR034634', NULL, 'Connexin, C-terminal', 'Connexin_C', 5, NULL),
(4900, NULL, 'IPR006893', NULL, 'Citrus tristeza virus P23 protein', 'CTV_P23', 4, NULL),
(4901, NULL, 'IPR007306', NULL, 'tRNA A64-2''-O-ribosylphosphate transferase', 'Rit1', 4, NULL),
(4902, NULL, 'IPR006876', NULL, 'LMBR1-like membrane protein', 'LMBR1-like_membr_prot', 4, NULL),
(4903, NULL, 'IPR000876', NULL, 'Ribosomal protein S4e', 'Ribosomal_S4e', 4, NULL),
(4904, NULL, 'IPR004327', NULL, 'Phosphotyrosyl phosphatase activator, PTPA', 'Phstyr_phstse_ac', 4, NULL),
(4905, NULL, 'IPR006921', NULL, 'Interferon-related developmental regulator, C-terminal', 'Interferon-rel_develop_reg_C', 3, NULL),
(4906, NULL, 'IPR006319', NULL, 'Phosphoenolpyruvate synthase', 'PEP_synth', 4, NULL),
(4907, NULL, 'IPR007301', NULL, 'TQO small subunit DoxD', 'DoxD', 3, NULL),
(4908, NULL, 'IPR006909', NULL, 'Rad21/Rec8-like protein, C-terminal, eukaryotic', 'Rad21/Rec8_C_eu', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4909, NULL, 'IPR000392', NULL, 'NifH/frxC family', 'NifH/frxC', 4, NULL),
(4910, NULL, 'IPR005753', NULL, 'DNA helicase, ATP-dependent, UvrD type', 'DNA_helicase_ATP-dep_UvrD', 4, NULL),
(4911, NULL, 'IPR004336', NULL, 'Respiratory synctial virus non-structural protein NS2', 'RSV_NS2', 4, NULL),
(4912, NULL, 'IPR000848', NULL, 'GPCR, cAMP-type', 'GPCR_cAMP', 3, NULL),
(4913, NULL, 'IPR000785', NULL, 'Herpsevirus envelope glycoprotein M', 'Herpes_glycop_M', 4, NULL),
(4914, NULL, 'IPR004328', NULL, 'BRO1 domain', 'BRO1_dom', 3, NULL),
(4915, NULL, 'IPR005775', NULL, 'P-type ATPase subfamily IIC, subunit alpha', 'P-type_ATPase_IIC', 4, NULL),
(4916, NULL, 'IPR005770', NULL, 'Phosphate/phosphite/phosphonate ABC transporter, periplasmic binding protein', 'PhnD', 4, NULL),
(4917, NULL, 'IPR006912', NULL, 'Harbinger transposase-derived protein', 'Harbinger_derived_prot', 4, NULL),
(4918, NULL, 'IPR000243', NULL, 'Peptidase T1A, proteasome beta-subunit', 'Pept_T1A_subB', 4, NULL),
(4919, NULL, 'IPR005729', NULL, 'Ribosomal protein S10, eukaryotic/archaeal', 'Ribosomal_S10_euk/arc', 4, NULL),
(4920, NULL, 'IPR006324', NULL, 'Glutathione-disulphide reductase', 'Glut-diS_reduct', 4, NULL),
(4921, NULL, 'IPR005748', NULL, 'DNA mismatch repair protein MutS', 'DNA_mismatch_repair_MutS', 4, NULL),
(4922, NULL, 'IPR005755', NULL, 'Ribosomal protein L13, eukaryotic/archaeal', 'Ribosomal_L13_euk/arc', 4, NULL),
(4923, NULL, 'IPR004317', NULL, 'Sigma1/sigma2, reoviral', 'Sigma_1_2_reovir', 4, NULL),
(4924, NULL, 'IPR006328', NULL, 'L-2-Haloacid dehalogenase', '2-HAD', 4, NULL),
(4925, NULL, 'IPR005735', NULL, 'Zinc finger, LSD1-type', 'Znf_LSD1', 3, NULL),
(4926, NULL, 'IPR000258', NULL, 'Bacterial ice-nucleation, octamer repeat', 'Ice_nucleatn', 7, NULL),
(4927, NULL, 'IPR006304', NULL, 'Type III secretion protein SpaR/YscT', 'T3SS_SpaR/YscT', 4, NULL),
(4928, NULL, 'IPR005722', NULL, 'ATP synthase, F1 complex, beta subunit', 'ATP_synth_F1_bsu', 4, NULL),
(4929, NULL, 'IPR000788', NULL, 'Ribonucleotide reductase large subunit, C-terminal', 'RNR_lg_C', 3, NULL),
(4930, NULL, 'IPR000286', NULL, 'Histone deacetylase family', 'His_deacetylse', 4, NULL),
(4931, NULL, 'IPR006326', NULL, 'UDP-glycosyltransferase, MGT', 'UDPGT_MGT', 4, NULL),
(4932, NULL, 'IPR005168', NULL, 'Bunyavirus glycoprotein G2', 'Bunya_G2', 3, NULL),
(4933, NULL, 'IPR006879', NULL, 'Carbohydrate deacetylase YdjC-like', 'YdjC-like', 4, NULL),
(4934, NULL, 'IPR003687', NULL, 'Photosystem II PsbK', 'PSII_PsbK', 4, NULL),
(4935, NULL, 'IPR004292', NULL, 'Adenoviral packaging protein 3-like', 'L1-like', 4, NULL),
(4936, NULL, 'IPR006868', NULL, 'Domain of unknown function DUF630', 'DUF630', 3, NULL),
(4937, NULL, 'IPR005759', NULL, 'Endonuclease III', 'Nth', 4, NULL),
(4938, NULL, 'IPR007318', NULL, 'Phospholipid methyltransferase', 'Phopholipid_MeTrfase', 4, NULL),
(4939, NULL, 'IPR000319', NULL, 'Aspartate-semialdehyde dehydrogenase, conserved site', 'Asp-semialdehyde_DH_CS', 2, NULL),
(4940, NULL, 'IPR034113', NULL, 'Golgi-associated plant pathogenesis-related protein 1, SCP domain', 'SCP_GAPR1-like', 3, NULL),
(4941, NULL, 'IPR006913', NULL, 'CENP-V/GFA domain', 'CENP-V/GFA', 3, NULL),
(4942, NULL, 'IPR007450', NULL, 'Lipoprotein SmpA/OmlA', 'Lipoprotein_SmpA/OmlA', 3, NULL),
(4943, NULL, 'IPR006306', NULL, 'Type III secretion protein HrpO', 'T3SS_HrpO', 4, NULL),
(4944, NULL, 'IPR005765', NULL, 'Uracil phosphoribosyl transferase', 'Ura_phspho_trans', 4, NULL),
(4945, NULL, 'IPR004284', NULL, 'Birnavirus VP5 protein', 'Birna_VP5', 4, NULL),
(4946, NULL, 'IPR006922', NULL, 'Mobilization protein MbeB-like', 'MbeB-like', 4, NULL),
(4947, NULL, 'IPR000857', NULL, 'MyTH4 domain', 'MyTH4_dom', 3, NULL),
(4948, NULL, 'IPR030063', NULL, 'Lysozyme-like protein 6', 'LYZL6', 4, NULL),
(4949, NULL, 'IPR006918', NULL, 'COBRA, plant', 'COBRA_pln', 4, NULL),
(4950, NULL, 'IPR005766', NULL, 'Delta l-pyrroline-5-carboxylate synthetase', 'P5_carboxy_syn', 4, NULL),
(4951, NULL, 'IPR002791', NULL, 'Damage-control phosphatase ARMT1-like, metal-binding domain', 'ARMT1-like_metal-bd', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4952, NULL, 'IPR002815', NULL, 'Spo11/DNA topoisomerase VI subunit A', 'Spo11/TopoVI_A', 4, NULL),
(4953, NULL, 'IPR006920', NULL, 'Poxvirus A9', 'Poxvirus_A9', 4, NULL),
(4954, NULL, 'IPR002800', NULL, 'Chorismate pyruvate-lyase Rv2949c-like', 'Rv2949c-like', 4, NULL),
(4955, NULL, 'IPR004286', NULL, 'Herpesvirus UL16/UL94', 'Herpes_UL16/UL94', 4, NULL),
(4956, NULL, 'IPR004322', NULL, 'Plasmid replicase, bacterial', 'Plasmid_replicase_bac', 4, NULL),
(4957, NULL, 'IPR002782', NULL, 'Mut7-C RNAse domain', 'Mut7-C_RNAse_dom', 3, NULL),
(4958, NULL, 'IPR007319', NULL, 'Small-subunit processome, Utp21', 'SSU_processome_Utp21', 3, NULL),
(4959, NULL, 'IPR006901', NULL, 'tRNA methyltransferase TrmK', 'TrmK', 4, NULL),
(4960, NULL, 'IPR000253', NULL, 'Forkhead-associated (FHA) domain', 'FHA_dom', 3, NULL),
(4961, NULL, 'IPR007443', NULL, 'Penicillin-binding protein activator LpoA', 'LpoA', 4, NULL),
(4962, NULL, 'IPR004324', NULL, 'Folate-biopterin transporter', 'FBT', 4, NULL),
(4963, NULL, 'IPR000793', NULL, 'ATP synthase, alpha subunit, C-terminal', 'ATP_synth_asu_C', 3, NULL),
(4964, NULL, 'IPR003388', NULL, 'Reticulon', 'Reticulon', 3, NULL),
(4965, NULL, 'IPR000299', NULL, 'FERM domain', 'FERM_domain', 3, NULL),
(4966, NULL, 'IPR006317', NULL, 'Ubiquinol-cytochrome c reductase, iron-sulphur subunit', 'Ubiquinol_cyt_c_Rdtase_Fe-S-su', 3, NULL),
(4967, NULL, 'IPR002798', NULL, 'Stage II sporulation protein M-like', 'SpoIIM-like', 4, NULL),
(4968, NULL, 'IPR002823', NULL, 'Protein of unknown function DUF112, transmembrane', 'DUF112_TM', 4, NULL),
(4969, NULL, 'IPR002774', NULL, 'Flagellin, archaea', 'Flagellin_arc', 4, NULL),
(4970, NULL, 'IPR004304', NULL, 'Acetamidase/Formamidase', 'FmdA_AmdA', 4, NULL),
(4971, NULL, 'IPR005764', NULL, 'Adenine phosphoribosyl transferase', 'Ade_phspho_trans', 4, NULL),
(4972, NULL, 'IPR004334', NULL, 'Poxvirus E5R', 'Poxvirus_E5R', 4, NULL),
(4973, NULL, 'IPR006305', NULL, 'Flagellar biosynthesis protein FliQ', 'FliQ', 4, NULL),
(4974, NULL, 'IPR003373', NULL, 'Ferrous iron transport protein B', 'Fe2_transport_prot-B', 4, NULL),
(4975, NULL, 'IPR007445', NULL, 'Type IV pilus inner membrane component PilO', 'PilO', 4, NULL),
(4976, NULL, 'IPR000833', NULL, 'Alpha-amylase inhibitor', 'A-amylase_inhib', 4, NULL),
(4977, NULL, 'IPR000297', NULL, 'Peptidyl-prolyl cis-trans isomerase, PpiC-type', 'PPIase_PpiC', 3, NULL),
(4978, NULL, 'IPR000289', NULL, 'Ribosomal protein S28e', 'Ribosomal_S28e', 4, NULL),
(4979, NULL, 'IPR006891', NULL, 'Type III secretion protein EspF', 'T3SS_EspF', 7, NULL),
(4980, NULL, 'IPR005746', NULL, 'Thioredoxin', 'Thioredoxin', 4, NULL),
(4981, NULL, 'IPR005742', NULL, 'DNA topoisomerase IV, subunit A, Gram-negative', 'TopoIV_A_Gneg', 4, NULL),
(4982, NULL, 'IPR004300', NULL, 'Glycoside hydrolase family 57, N-terminal domain', 'Glyco_hydro_57_N', 3, NULL),
(4983, NULL, 'IPR000407', NULL, 'Nucleoside phosphatase GDA1/CD39', 'GDA1_CD39_NTPase', 4, NULL),
(4984, NULL, 'IPR006904', NULL, 'Protein of unknown function DUF716', 'DUF716', 4, NULL),
(4985, NULL, 'IPR006299', NULL, 'Flagellar basal-body rod protein FlgC', 'FlgC', 4, NULL),
(4986, NULL, 'IPR004289', NULL, 'Herpesvirus UL92', 'Herpes_UL92', 4, NULL),
(4987, NULL, 'IPR007464', NULL, 'Bacteriocin, class IId', 'Bacteriocin_IId', 4, NULL),
(4988, NULL, 'IPR006880', NULL, 'INO80 complex subunit B-like conserved region', 'INO80B_C', 3, NULL),
(4989, NULL, 'IPR007472', NULL, 'N-end rule aminoacyl transferase, C-terminal', 'N-end_Aminoacyl_Trfase_C', 3, NULL),
(4990, NULL, 'IPR004329', NULL, 'CcmE/CycJ protein', 'CcmE', 4, NULL),
(4991, NULL, 'IPR003385', NULL, 'Glycoside hydrolase, family 77', 'Glyco_hydro_77', 4, NULL),
(4992, NULL, 'IPR004288', NULL, 'Competence protein, ComC', 'Competence_ComC', 4, NULL),
(4993, NULL, 'IPR000870', NULL, 'Homoserine kinase', 'Homoserine_kinase', 4, NULL),
(4994, NULL, 'IPR003386', NULL, 'Lecithin:cholesterol/phospholipid:diacylglycerol acyltransferase', 'LACT/PDAT_acylTrfase', 4, NULL),
(4995, NULL, 'IPR006884', NULL, 'Fzo/mitofusin HR2 domain', 'Fzo/mitofusin_HR2', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(4996, NULL, 'IPR006916', NULL, 'Popeye protein', 'Popeye_prot', 4, NULL),
(4997, NULL, 'IPR006356', NULL, 'HAD-superfamily hydrolase, subfamily IIA, hypothetical 3', 'HAD-SF_hydro_IIA_hyp3', 4, NULL),
(4998, NULL, 'IPR006321', NULL, 'Pilus retraction protein PilT/PilU', 'PilT/PilU', 4, NULL),
(4999, NULL, 'IPR005776', NULL, 'Oxaloacetate decarboxylase, alpha subunit', 'OadA', 4, NULL),
(5000, NULL, 'IPR000349', NULL, 'Large envelope protein S', 'HBV_HBSAG', 4, NULL),
(5001, NULL, 'IPR001610', NULL, 'PAC motif', 'PAC', 7, NULL),
(5002, NULL, 'IPR005177', NULL, 'Bifunctional kinase-pyrophosphorylase', 'Kinase-pyrophosphorylase', 4, NULL),
(5003, NULL, 'IPR008022', NULL, 'DicB', 'DicB', 4, NULL),
(5004, NULL, 'IPR010246', NULL, 'Chlorophyllide reductase iron protein subunit X', 'BchX', 4, NULL),
(5005, NULL, 'IPR003411', NULL, 'Triple gene block 3', 'TGBp3', 4, NULL),
(5006, NULL, 'IPR005306', NULL, 'Nepovirus coat protein, N-terminal', 'Nepo_coat_N', 3, NULL),
(5007, NULL, 'IPR008030', NULL, 'NmrA-like domain', 'NmrA-like', 3, NULL),
(5008, NULL, 'IPR000813', NULL, '7Fe ferredoxin', '7Fe_ferredoxin', 4, NULL),
(5009, NULL, 'IPR002056', NULL, 'Protein import receptor MAS20', 'MAS20', 4, NULL),
(5010, NULL, 'IPR010242', NULL, 'Transcription factor HTH,  IscR', 'TF_HTH_IscR', 4, NULL),
(5011, NULL, 'IPR002057', NULL, 'Isopenicillin N synthase, conserved site', 'Isopenicillin-N_synth_CS', 2, NULL),
(5012, NULL, 'IPR002150', NULL, 'Ribosomal protein L31', 'Ribosomal_L31', 4, NULL),
(5013, NULL, 'IPR010026', NULL, 'Phage holin, LL-H family', 'Phage_holin_LL-H', 4, NULL),
(5014, NULL, 'IPR001632', NULL, 'G-protein, beta subunit', 'Gprotein_B', 3, NULL),
(5015, NULL, 'IPR001524', NULL, 'Glycoside hydrolase, family 6, conserved site', 'Glyco_hydro_6_CS', 2, NULL),
(5016, NULL, 'IPR034663', NULL, 'Classical Protein Kinase C alpha, catalytic domain', 'cPKC_alpha', 3, NULL),
(5017, NULL, 'IPR008029', NULL, 'Bacteriophage T7, Gp3, endodeoxynuclease I', 'Phage_T7_Gp3_endoDNaseI', 4, NULL),
(5018, NULL, 'IPR004776', NULL, 'Membrane transport protein', 'Mem_trans', 4, NULL),
(5019, NULL, 'IPR002138', NULL, 'Peptidase C14, caspase non-catalytic subunit p10', 'Pept_C14_p10', 3, NULL),
(5020, NULL, 'IPR003440', NULL, 'Glycosyl transferase, family 48', 'Glyco_trans_48', 4, NULL),
(5021, NULL, 'IPR001019', NULL, 'Guanine nucleotide binding protein (G-protein), alpha subunit', 'Gprotein_alpha_su', 4, NULL),
(5022, NULL, 'IPR005299', NULL, 'SAM dependent carboxyl methyltransferase', 'MeTrfase_7', 4, NULL),
(5023, NULL, 'IPR008049', NULL, 'DNA replication licensing factor Mcm6', 'MCM6', 4, NULL),
(5024, NULL, 'IPR008023', NULL, 'Protein of unknown function DUF748', 'DUF748', 4, NULL),
(5025, NULL, 'IPR003400', NULL, 'Biopolymer transport protein ExbD/TolR', 'ExbD', 4, NULL),
(5026, NULL, 'IPR008070', NULL, 'Cytochrome P450, E-class, group I, CYP2E-like', 'Cyt_P450_E_grp-I_CYP2E-like', 4, NULL),
(5027, NULL, 'IPR002037', NULL, 'Glycoside hydrolase, family 8', 'Glyco_hydro_8', 4, NULL),
(5028, NULL, 'IPR034638', NULL, 'Atypical kinase COQ8B', 'COQ8B', 4, NULL),
(5029, NULL, 'IPR004743', NULL, 'Monocarboxylate transporter', 'MCT', 4, NULL),
(5030, NULL, 'IPR000750', NULL, 'Proenkephalin B', 'Proenkphlin_B', 4, NULL),
(5031, NULL, 'IPR002272', NULL, 'Follicle stimulating hormone receptor', 'FSH_rcpt', 4, NULL),
(5032, NULL, 'IPR003444', NULL, 'Transcriptional regulator MraZ', 'MraZ', 4, NULL),
(5033, NULL, 'IPR002367', NULL, 'Nociceptin', 'Nociceptin', 4, NULL),
(5034, NULL, 'IPR001669', NULL, 'Arginine repressor', 'Arg_repress', 4, NULL),
(5035, NULL, 'IPR010046', NULL, 'Oxidoreductase alpha (molybdopterin) subunit', 'Mopterin_OxRdtse_a_bac', 4, NULL),
(5036, NULL, 'IPR002829', NULL, 'Protein of unknown function DUF116', 'DUF116', 4, NULL),
(5037, NULL, 'IPR002828', NULL, 'Survival protein SurE-like phosphatase/nucleotidase', 'SurE-like_Pase/nucleotidase', 3, NULL),
(5038, NULL, 'IPR004796', NULL, 'Phosphotransferase system, cellobiose-type IIC component', 'PTS_IIC_cello', 4, NULL),
(5039, NULL, 'IPR002836', NULL, 'PDCD5-like', 'PDCD5-like', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5040, NULL, 'IPR010039', NULL, 'Capsule biosynthesis phosphatase', 'EcbF_BcbF', 4, NULL),
(5041, NULL, 'IPR004779', NULL, 'Carboxylate/Amino Acid/Amine Transporter', 'CO/AA/NH_transpt', 4, NULL),
(5042, NULL, 'IPR034640', NULL, 'Atypical kinase COQ8A', 'COQ8A', 4, NULL),
(5043, NULL, 'IPR001272', NULL, 'Phosphoenolpyruvate carboxykinase, ATP-utilising', 'PEP_carboxykinase_ATP', 4, NULL),
(5044, NULL, 'IPR008034', NULL, 'Delta-hemolysin', 'Delta_lysin', 4, NULL),
(5045, NULL, 'IPR001565', NULL, 'Synaptotagmin', 'Synaptotagmin', 3, NULL),
(5046, NULL, 'IPR010912', NULL, 'Spen paralogue/orthologue C-terminal, metazoa', 'SPOC_met', 3, NULL),
(5047, NULL, 'IPR008050', NULL, 'DNA replication licensing factor Mcm7', 'MCM7', 4, NULL),
(5048, NULL, 'IPR003415', NULL, 'Telomere-binding protein, alpha subunit, Spirotrichea', 'Telomere-bd_alpha', 4, NULL),
(5049, NULL, 'IPR005185', NULL, 'Inner membrane component domain', 'YccF', 3, NULL),
(5050, NULL, 'IPR023212', NULL, 'Heat shock protein Hsp33, helix hairpin bin domain superfamily', 'Hsp33_helix_hairpin_bin_dom_sf', 5, NULL),
(5051, NULL, 'IPR001876', NULL, 'Zinc finger, RanBP2-type', 'Znf_RanBP2', 3, NULL),
(5052, NULL, 'IPR001525', NULL, 'C-5 cytosine methyltransferase', 'C5_MeTfrase', 4, NULL),
(5053, NULL, 'IPR001660', NULL, 'Sterile alpha motif domain', 'SAM', 3, NULL),
(5054, NULL, 'IPR010239', NULL, 'Conserved hypothetical protein CHP02001', 'CHP02001', 4, NULL),
(5055, NULL, 'IPR004791', NULL, 'UvrABC system, subunit C', 'UvrC', 4, NULL),
(5056, NULL, 'IPR005311', NULL, 'Penicillin-binding protein, dimerisation domain', 'PBP_dimer', 3, NULL),
(5057, NULL, 'IPR005195', NULL, 'Glycoside hydrolase, family 65, central catalytic', 'Glyco_hydro_65_M', 3, NULL),
(5058, NULL, 'IPR001590', NULL, 'Peptidase M12B, ADAM/reprolysin', 'Peptidase_M12B', 3, NULL),
(5059, NULL, 'IPR003417', NULL, 'Core-binding factor, beta subunit', 'CBF_beta', 4, NULL),
(5060, NULL, 'IPR005298', NULL, 'MAP domain', 'MAP_dom', 3, NULL),
(5061, NULL, 'IPR001616', NULL, 'Alphaherpesvirus alkaline exonuclease', 'Herpes_alk_exo', 4, NULL),
(5062, NULL, 'IPR002668', NULL, 'Concentrative nucleoside transporter N-terminal domain', 'CNT_N_dom', 3, NULL),
(5063, NULL, 'IPR002474', NULL, 'Carbamoyl-phosphate synthase small subunit, N-terminal domain', 'CarbamoylP_synth_ssu_N', 3, NULL),
(5064, NULL, 'IPR002090', NULL, 'Na+/H+ exchanger, isoform 6/7/9', 'NHE6_7_9', 4, NULL),
(5065, NULL, 'IPR006928', NULL, 'Herpesvirus large tegument protein, USP domain', 'Herpes_teg_USP', 3, NULL),
(5066, NULL, 'IPR004755', NULL, 'Cationic amino acid transport permease', 'Cat_AA_permease', 4, NULL),
(5067, NULL, 'IPR001723', NULL, 'Nuclear hormone receptor', 'Nuclear_hrmn_rcpt', 4, NULL),
(5068, NULL, 'IPR010023', NULL, 'KdsC family', 'KdsC_fam', 4, NULL),
(5069, NULL, 'IPR005202', NULL, 'Transcription factor GRAS', 'TF_GRAS', 4, NULL),
(5070, NULL, 'IPR004762', NULL, 'Amino acid permease, fungi', 'Amino_acid_permease_fungi', 4, NULL),
(5071, NULL, 'IPR002148', NULL, 'Rotavirus non-structural protein 1', 'Rotavirus_NSP1', 4, NULL),
(5072, NULL, 'IPR008059', NULL, 'Gamma-aminobutyric-acid A receptor, Rho2', 'GABAAa_rho2_rcpt', 4, NULL),
(5073, NULL, 'IPR010251', NULL, 'Magnesium-protoporphyrin IX methyltransferase', 'Mg_prot_MeTrfase', 4, NULL),
(5074, NULL, 'IPR002000', NULL, 'Lysosome-associated membrane glycoprotein', 'Lysosome-assoc_membr_glycop', 4, NULL),
(5075, NULL, 'IPR001562', NULL, 'Zinc finger, Btk motif', 'Znf_Btk_motif', 2, NULL),
(5076, NULL, 'IPR002105', NULL, 'Dockerin type I repeat', 'Dockerin_1_rpt', 7, NULL),
(5077, NULL, 'IPR000748', NULL, 'Pseudouridine synthase, RsuA/RluB/E/F', 'PsdUridine_synth_RsuA/RluB/E/F', 4, NULL),
(5078, NULL, 'IPR001608', NULL, 'Alanine racemase, N-terminal', 'Ala_racemase_N', 3, NULL),
(5079, NULL, 'IPR008014', NULL, 'Glycogen synthase kinase-3 binding protein', 'GSK3-bd', 4, NULL),
(5080, NULL, 'IPR002457', NULL, 'GPCR family 3, gamma-aminobutyric acid receptor, type B2', 'GPCR_3_GABA_rcpt_B2', 4, NULL),
(5081, NULL, 'IPR008069', NULL, 'Cytochrome P450, E-class, group I, CYP2D-like', 'Cyt_P450_E_grp-I_CYP2D-like', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5082, NULL, 'IPR001593', NULL, 'Ribosomal protein S3Ae', 'Ribosomal_S3Ae', 4, NULL),
(5083, NULL, 'IPR004777', NULL, 'L-lysine exporter/arginine exporter', 'Lys/arg_exporter', 4, NULL),
(5084, NULL, 'IPR008055', NULL, 'Neurotensin/neuromedin N', 'NeurotensiN', 4, NULL),
(5085, NULL, 'IPR005200', NULL, 'Endo-1,3(4)-beta-glucanase', 'Endo-beta-glucanase', 4, NULL),
(5086, NULL, 'IPR008016', NULL, 'Portal protein Gp10', 'Gp10', 4, NULL),
(5087, NULL, 'IPR001605', NULL, 'Pleckstrin homology domain, spectrin-type', 'PH_dom-spectrin-type', 3, NULL),
(5088, NULL, 'IPR010252', NULL, 'Formiminoglutamate deiminase', 'HutF', 4, NULL),
(5089, NULL, 'IPR002204', NULL, '3-hydroxyisobutyrate dehydrogenase-related, conserved site', '3-OH-isobutyrate_DH-rel_CS', 2, NULL),
(5090, NULL, 'IPR001657', NULL, 'Hedgehog protein', 'Hedgehog', 4, NULL),
(5091, NULL, 'IPR008060', NULL, 'Glycine receptor beta', 'Glycine_rcpt_B', 4, NULL),
(5092, NULL, 'IPR004780', NULL, 'Signal recognition particle protein', 'SRP', 4, NULL),
(5093, NULL, 'IPR001577', NULL, 'Peptidase M8, leishmanolysin', 'Peptidase_M8', 4, NULL),
(5094, NULL, 'IPR001581', NULL, 'Leukemia inhibitory factor /oncostatin', 'Leukemia_IF/oncostatin', 4, NULL),
(5095, NULL, 'IPR010022', NULL, 'Protein of unknown function XkdX', 'XkdX', 4, NULL),
(5096, NULL, 'IPR005190', NULL, 'Glutamate-ammonia ligase adenylyltransferase, repeated domain', 'GlnE_rpt_dom', 3, NULL),
(5097, NULL, 'IPR007327', NULL, 'Tumour protein D52', 'TPD52', 4, NULL),
(5098, NULL, 'IPR008015', NULL, 'GMP phosphodiesterase, delta subunit', 'PDED_dom', 3, NULL),
(5099, NULL, 'IPR000752', NULL, 'Flavivirus non-structural protein NS2A', 'Flavi_NS2A', 3, NULL),
(5100, NULL, 'IPR003399', NULL, 'Mce/MlaD', 'Mce/MlaD', 3, NULL),
(5101, NULL, 'IPR004794', NULL, 'Riboflavin biosynthesis protein RibD', 'Eubact_RibD', 4, NULL),
(5102, NULL, 'IPR008017', NULL, 'Atracotoxin, delta', 'Atracotoxin_delta', 4, NULL),
(5103, NULL, 'IPR005304', NULL, 'Ribosomal biogenesis, methyltransferase, EMG1/NEP1', 'Rbsml_bgen_MeTrfase_EMG1/NEP1', 4, NULL),
(5104, NULL, 'IPR005313', NULL, 'Peptidase N2', 'Peptidase_N2', 4, NULL),
(5105, NULL, 'IPR008011', NULL, 'Complex 1 LYR protein domain', 'Complex1_LYR_dom', 3, NULL),
(5106, NULL, 'IPR002065', NULL, 'Thiol peroxidase Tpx', 'TPX', 4, NULL),
(5107, NULL, 'IPR004766', NULL, 'Transmembrane receptor, patched', 'TM_rcpt_patched', 4, NULL),
(5108, NULL, 'IPR004751', NULL, 'Drug antiporter protein', 'Drug_antiport', 4, NULL),
(5109, NULL, 'IPR005204', NULL, 'Hemocyanin, N-terminal', 'Hemocyanin_N', 3, NULL),
(5110, NULL, 'IPR001891', NULL, 'Malic oxidoreductase', 'Malic_OxRdtase', 4, NULL),
(5111, NULL, 'IPR004797', NULL, 'Competence protein ComEC/Rec2', 'Competence_ComEC/Rec2', 4, NULL),
(5112, NULL, 'IPR004768', NULL, 'Oligopeptide transporter', 'Oligopep_transport', 4, NULL),
(5113, NULL, 'IPR008036', NULL, 'Conotoxin, mu-type', 'Conotoxin_mu-typ', 4, NULL),
(5114, NULL, 'IPR001598', NULL, 'Transposase, IS30, conserved site', 'Transposase_IS30_CS', 2, NULL),
(5115, NULL, 'IPR007332', NULL, 'Protein of unknown function DUF411', 'DUF411', 4, NULL),
(5116, NULL, 'IPR001588', NULL, 'Casein, alpha/beta', 'Casein', 4, NULL),
(5117, NULL, 'IPR002068', NULL, 'Alpha crystallin/Hsp20 domain', 'A-crystallin/Hsp20_dom', 3, NULL),
(5118, NULL, 'IPR003443', NULL, 'Interleukin-15/Interleukin-21 family', 'IL-15/IL-21_fam', 4, NULL),
(5119, NULL, 'IPR002399', NULL, 'Cytochrome P450, mitochondrial', 'Cyt_P450_mitochondrial', 4, NULL),
(5120, NULL, 'IPR000799', NULL, 'Steroidogenic acute regulatory protein-like', 'StAR-like', 4, NULL),
(5121, NULL, 'IPR003447', NULL, 'FemABX peptidyl transferase', 'FEMABX', 4, NULL),
(5122, NULL, 'IPR002172', NULL, 'Low-density lipoprotein (LDL) receptor class A repeat', 'LDrepeatLR_classA_rpt', 7, NULL),
(5123, NULL, 'IPR002391', NULL, 'Annexin A4', 'ANX4', 4, NULL),
(5124, NULL, 'IPR007324', NULL, 'Sugar-binding domain, putative', 'Sugar-bd_dom_put', 3, NULL),
(5125, NULL, 'IPR001996', NULL, 'Phosphotransferase system, IIB component, type 1', 'PTS_IIB_1', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5126, NULL, 'IPR010029', NULL, 'Galactonolactone dehydrogenase', 'GL_DH', 4, NULL),
(5127, NULL, 'IPR000807', NULL, 'Imidazoleglycerol-phosphate dehydratase', 'ImidazoleglycerolP_deHydtase', 4, NULL),
(5128, NULL, 'IPR008012', NULL, 'Proteasome maturation factor Ump1', 'Ump1', 4, NULL),
(5129, NULL, 'IPR001612', NULL, 'Caveolin', 'Caveolin', 4, NULL),
(5130, NULL, 'IPR005319', NULL, 'Peptidase S48, heterocyst differentiation control protein HetR', 'Pept_S48_HetR', 4, NULL),
(5131, NULL, 'IPR004746', NULL, 'Major facilitator superfamily, aromatic acid:H+ symporter family', 'MFS_AAHS', 4, NULL),
(5132, NULL, 'IPR004798', NULL, 'Calcium/proton exchanger CAX-like', 'CAX-like', 4, NULL),
(5133, NULL, 'IPR002408', NULL, 'Natriuretic peptide, brain type', 'Natriuretic_peptide_brain', 4, NULL),
(5134, NULL, 'IPR005189', NULL, 'Focal adhesion kinase, targeting (FAT) domain', 'Focal_adhesion_kin_target_dom', 3, NULL),
(5135, NULL, 'IPR001569', NULL, 'Ribosomal protein L37e', 'Ribosomal_L37e', 4, NULL),
(5136, NULL, 'IPR002967', NULL, 'Delta tubulin', 'Delta_tubulin', 4, NULL),
(5137, NULL, 'IPR004771', NULL, 'K+/H+ exchanger', 'K/H_exchanger', 3, NULL),
(5138, NULL, 'IPR003428', NULL, 'Mitochondrial glycoprotein', 'MAM33', 4, NULL),
(5139, NULL, 'IPR008028', NULL, 'Sarcolipin', 'Sarcolipin', 4, NULL),
(5140, NULL, 'IPR001227', NULL, 'Acyl transferase domain superfamily', 'Ac_transferase_dom_sf', 5, NULL),
(5141, NULL, 'IPR002076', NULL, 'ELO family', 'ELO_fam', 4, NULL),
(5142, NULL, 'IPR008068', NULL, 'Cytochrome P450, E-class, group I, CYP2B-like', 'Cyt_P450_E_grp-I_CYP2B-like', 4, NULL),
(5143, NULL, 'IPR003393', NULL, 'Ammonia monooxygenase/particulate methane monooxygenase, subunit A', 'NH3_CH4_mOase_A', 4, NULL),
(5144, NULL, 'IPR006930', NULL, 'Herpesvirus pp38 phosphoprotein', 'Herpes_pp38', 4, NULL),
(5145, NULL, 'IPR004783', NULL, 'Galactose-6-phosphate isomerase subunit LacA', 'LacA', 4, NULL),
(5146, NULL, 'IPR001108', NULL, 'Peptidase A22A, presenilin', 'Peptidase_A22A', 4, NULL),
(5147, NULL, 'IPR005312', NULL, 'Protein of unknown function DUF1759', 'DUF1759', 4, NULL),
(5148, NULL, 'IPR007330', NULL, 'MIT domain', 'MIT_dom', 3, NULL),
(5149, NULL, 'IPR002078', NULL, 'RNA polymerase sigma factor 54 interaction domain', 'Sigma_54_int', 3, NULL),
(5150, NULL, 'IPR005297', NULL, 'Lipoprotein repeat', 'Lipoprotein_repeat', 7, NULL),
(5151, NULL, 'IPR004738', NULL, 'Phosphate permease', 'Phos_permease', 4, NULL),
(5152, NULL, 'IPR003429', NULL, 'Baculovirus p35, apoptosis preventing protein', 'Baculovirus_p35', 4, NULL),
(5153, NULL, 'IPR010055', NULL, 'Type II secretion system protein GspJ', 'T2SS_protein-GspJ', 4, NULL),
(5154, NULL, 'IPR010031', NULL, 'L-gulonolactone/D-arabinono-1,4-lactone oxidase', 'FAD_lactone_oxidase', 4, NULL),
(5155, NULL, 'IPR006924', NULL, 'Ribosomal protein PSRP-3/Ycf65', 'Ribosomal_PSRP3/Ycf65', 4, NULL),
(5156, NULL, 'IPR003426', NULL, 'Bacteriochlorophyll A protein', 'BChl_A', 4, NULL),
(5157, NULL, 'IPR005199', NULL, 'Glycoside hydrolase, family 79', 'Glyco_hydro_79', 4, NULL),
(5158, NULL, 'IPR001992', NULL, 'T2SS_GspF/T4SS_PilC conserved site', 'T2SS_GspF/T4SS_PilC_CS', 2, NULL),
(5159, NULL, 'IPR010028', NULL, 'Acid phosphatase, plant', 'Acid_phosphatase_pln', 4, NULL),
(5160, NULL, 'IPR003433', NULL, 'Capsid protein VP4', 'Capsid_VP4_densovirus', 4, NULL),
(5161, NULL, 'IPR004778', NULL, 'Homoserine/Threonine efflux protein', 'Homoserine/Threonine_efflux', 4, NULL),
(5162, NULL, 'IPR001655', NULL, 'Neutrophil cytosol factor 1', 'P47PHOX', 4, NULL),
(5163, NULL, 'IPR008054', NULL, 'Voltage gated sodium channel, alpha-8 subunit', 'Na_channel_a8su', 4, NULL),
(5164, NULL, 'IPR003446', NULL, 'Plasmid replication initiation, RepA', 'Plasmid_replication_init_RepA', 4, NULL),
(5165, NULL, 'IPR001599', NULL, 'Alpha-2-macroglobulin', 'Macroglobln_a2', 3, NULL),
(5166, NULL, 'IPR000818', NULL, 'TEA/ATTS domain', 'TEA/ATTS_dom', 3, NULL),
(5167, NULL, 'IPR010036', NULL, 'Magnesium-dependent phosphatase-1, eukaryotic/archaeal-type', 'MDP_1_eu_arc', 4, NULL),
(5168, NULL, 'IPR001990', NULL, 'Chromogranin A/B/C', 'Granin', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5169, NULL, 'IPR002340', NULL, 'Haemoglobin, zeta', 'Haemoglobin_zeta', 4, NULL),
(5170, NULL, 'IPR004788', NULL, 'Ribose 5-phosphate isomerase, type A', 'Ribose5P_isomerase_type_A', 4, NULL),
(5171, NULL, 'IPR006926', NULL, 'Vps16, N-terminal', 'Vps16_N', 3, NULL),
(5172, NULL, 'IPR008007', NULL, 'Peptidase M42', 'Peptidase_M42', 4, NULL),
(5173, NULL, 'IPR002010', NULL, 'Type III secretion system inner membrane R protein', 'T3SS_IM_R', 4, NULL),
(5174, NULL, 'IPR001985', NULL, 'S-adenosylmethionine decarboxylase', 'S-AdoMet_decarboxylase', 4, NULL),
(5175, NULL, 'IPR003425', NULL, 'CCB3/YggT', 'CCB3/YggT', 4, NULL),
(5176, NULL, 'IPR005180', NULL, 'Domain of unknown function DUF302', 'DUF302', 3, NULL),
(5177, NULL, 'IPR001651', NULL, 'Gastrin/cholecystokinin peptide hormone', 'Gastrin/CCK', 3, NULL),
(5178, NULL, 'IPR005182', NULL, 'Domain of unknown function DUF304', 'DUF304', 3, NULL),
(5179, NULL, 'IPR006932', NULL, 'Holliday junction resolvase, A22', 'HJ-resolvase_A22', 4, NULL),
(5180, NULL, 'IPR007338', NULL, 'Protein of unknown function DUF416', 'DUF416', 4, NULL),
(5181, NULL, 'IPR010050', NULL, '5-methylthioadenosine/S-adenosylhomocysteine nucleosidase, putative', 'MTA_SAH_nuc_hyp', 4, NULL),
(5182, NULL, 'IPR001250', NULL, 'Mannose-6-phosphate isomerase, type I', 'Man6P_Isoase-1', 4, NULL),
(5183, NULL, 'IPR010908', NULL, 'Longin domain', 'Longin_dom', 3, NULL),
(5184, NULL, 'IPR010911', NULL, 'Rab-binding domain', 'Rab_BD', 3, NULL),
(5185, NULL, 'IPR001592', NULL, 'Potyvirus coat protein', 'Poty_coat', 4, NULL),
(5186, NULL, 'IPR008037', NULL, 'Pacifastin domain', 'Pacifastin_dom', 3, NULL),
(5187, NULL, 'IPR002145', NULL, 'Ribbon-helix-helix protein, CopG', 'CopG', 3, NULL),
(5188, NULL, 'IPR003420', NULL, 'Methanol dehydrogenase, beta subunit', 'Meth_DH_bsu', 4, NULL),
(5189, NULL, 'IPR010016', NULL, 'KipI family', 'KipI_fam', 4, NULL),
(5190, NULL, 'IPR000747', NULL, 'Homeobox domain engrailed', 'Homeobox_engrailed', 3, NULL),
(5191, NULL, 'IPR000753', NULL, 'Clusterin-like', 'Clusterin-like', 4, NULL),
(5192, NULL, 'IPR001568', NULL, 'Ribonuclease T2-like', 'RNase_T2-like', 4, NULL),
(5193, NULL, 'IPR007326', NULL, 'Lipoprotein-associated domain', 'Lipoprotein-assoc_dom', 3, NULL),
(5194, NULL, 'IPR000749', NULL, 'ATP:guanido phosphotransferase', 'ATP-guanido_PTrfase', 4, NULL),
(5195, NULL, 'IPR005192', NULL, 'Glycoside hydrolase, family 49, C-terminal', 'Glyco_hydro_49_C', 3, NULL),
(5196, NULL, 'IPR010245', NULL, 'Chlorophyllide reductase subunit Y', 'BchY', 4, NULL),
(5197, NULL, 'IPR003439', NULL, 'ABC transporter-like, ATP-binding domain', 'ABC_transporter-like_ATP-bd', 3, NULL),
(5198, NULL, 'IPR001559', NULL, 'Phosphotriesterase', 'Phosphotriesterase', 4, NULL),
(5199, NULL, 'IPR002140', NULL, 'Ribosome maturation protein Sdo1/SBDS', 'Sdo1/SBDS', 4, NULL),
(5200, NULL, 'IPR001561', NULL, 'Influenza matrix M1, N-terminal', 'Flu_matrix_M1_N', 3, NULL),
(5201, NULL, 'IPR010038', NULL, 'MoaD, archaeal-type', 'MoaD_arc-typ', 4, NULL),
(5202, NULL, 'IPR024662', NULL, 'Trafficking protein particle complex II-specific subunit 65', 'Trs65', 4, NULL),
(5203, NULL, 'IPR008066', NULL, 'Cytochrome P450, E-class, group I, CYP1', 'Cyt_P450_E_grp-I_CYP1', 4, NULL),
(5204, NULL, 'IPR002103', NULL, 'Bacterial luciferase/NFP', 'Luciferase_bac/NFP', 4, NULL),
(5205, NULL, 'IPR002004', NULL, 'Polyadenylate-binding protein/Hyperplastic disc protein', 'PABP_HYD', 3, NULL),
(5206, NULL, 'IPR003395', NULL, 'RecF/RecN/SMC, N-terminal', 'RecF/RecN/SMC_N', 3, NULL),
(5207, NULL, 'IPR010030', NULL, 'L-gulonolactone oxidase, plant', 'GULO_Plant', 4, NULL),
(5208, NULL, 'IPR001627', NULL, 'Sema domain', 'Semap_dom', 3, NULL),
(5209, NULL, 'IPR005318', NULL, 'Outer membrane porin, bacterial', 'OM_porin_bac', 4, NULL),
(5210, NULL, 'IPR008032', NULL, 'Protein of unknown function DUF749', 'DUF749', 4, NULL),
(5211, NULL, 'IPR004739', NULL, 'GMP synthase, glutamine amidotransferase', 'GMP_synth_GATase', 3, NULL),
(5212, NULL, 'IPR004785', NULL, 'Ribose 5-phosphate isomerase B', 'RpiB', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5213, NULL, 'IPR002133', NULL, 'S-adenosylmethionine synthetase', 'S-AdoMet_synthetase', 4, NULL),
(5214, NULL, 'IPR008053', NULL, 'Voltage gated sodium channel, alpha-5 subunit', 'Na_channel_a5su', 4, NULL),
(5215, NULL, 'IPR002125', NULL, 'Cytidine and deoxycytidylate deaminase domain', 'CMP_dCMP_dom', 3, NULL),
(5216, NULL, 'IPR008018', NULL, 'Bacteriophage tail attachment protein FII', 'Phage_tail_attach_FII', 4, NULL),
(5217, NULL, 'IPR002284', NULL, 'GPCR, family 2, vasoactive intestinal peptide receptor 2', 'GPCR_2_VIP_rcpt_2', 4, NULL),
(5218, NULL, 'IPR002837', NULL, 'Protein of unknown function DUF123', 'DUF123', 4, NULL),
(5219, NULL, 'IPR004742', NULL, 'Sialic acid transporter', 'SA_transporter', 4, NULL),
(5220, NULL, 'IPR008063', NULL, 'Fas receptor', 'Fas_rcpt', 4, NULL),
(5221, NULL, 'IPR003445', NULL, 'Cation transporter', 'Cat_transpt', 4, NULL),
(5222, NULL, 'IPR002034', NULL, 'Alpha-isopropylmalate/homocitrate synthase, conserved site', 'AIPM/Hcit_synth_CS', 2, NULL),
(5223, NULL, 'IPR003437', NULL, 'Glycine dehydrogenase (decarboxylating)', 'GcvP', 4, NULL),
(5224, NULL, 'IPR002021', NULL, 'Paramyxovirus nucleocapsid protein', 'Paramyx_ncap', 4, NULL),
(5225, NULL, 'IPR008051', NULL, 'Voltage gated sodium channel, alpha-1 subunit', 'Na_channel_a1su', 4, NULL),
(5226, NULL, 'IPR008027', NULL, 'Cytochrome b-c1 complex subunit 9', 'QCR9', 4, NULL),
(5227, NULL, 'IPR003430', NULL, 'Methane/phenol/toluene hydroxylase', 'Phenol_Hydrox', 4, NULL),
(5228, NULL, 'IPR001927', NULL, 'Sodium:galactoside symporter', 'Na/Gal_symport', 3, NULL),
(5229, NULL, 'IPR004772', NULL, 'TrkH potassium transport family', 'TrkH', 4, NULL),
(5230, NULL, 'IPR008043', NULL, 'Peptidase C21', 'Peptidase_C21', 3, NULL),
(5231, NULL, 'IPR008020', NULL, 'Capsid protein G8P', 'G8P', 4, NULL),
(5232, NULL, 'IPR004754', NULL, 'Amino acid antiporter', 'Amino_acid_antiprt', 4, NULL),
(5233, NULL, 'IPR010025', NULL, 'HAD-superfamily phosphatase, subfamily IIIB, AphA', 'HAD-SF_ppase_IIIB_AphA', 4, NULL),
(5234, NULL, 'IPR001648', NULL, 'Ribosomal protein S18', 'Ribosomal_S18', 4, NULL),
(5235, NULL, 'IPR010249', NULL, 'Bacteriochlorophyll 4-vinyl reductase', 'BchJ', 4, NULL),
(5236, NULL, 'IPR000782', NULL, 'FAS1 domain', 'FAS1_domain', 3, NULL),
(5237, NULL, 'IPR001793', NULL, 'Retinal pigment epithelium GPCR', 'RPE_GPCR', 4, NULL),
(5238, NULL, 'IPR001917', NULL, 'Aminotransferase, class-II, pyridoxal-phosphate binding site', 'Aminotrans_II_pyridoxalP_BS', 1, NULL),
(5239, NULL, 'IPR010045', NULL, 'Phosphopentomutase', 'DeoB', 4, NULL),
(5240, NULL, 'IPR004793', NULL, 'Desulfoferrodoxin', 'Desulfoferrodoxin_rbo', 4, NULL),
(5241, NULL, 'IPR001758', NULL, 'Prostanoid EP4 receptor', 'Prost_EP4_rcpt', 4, NULL),
(5242, NULL, 'IPR003427', NULL, 'Histidine decarboxylase proenzyme', 'His_de-COase_proenz', 4, NULL),
(5243, NULL, 'IPR007331', NULL, 'Htaa', 'Htaa', 3, NULL),
(5244, NULL, 'IPR004749', NULL, 'Organic cation transport protein/SVOP', 'Orgcat_transp/SVOP', 4, NULL),
(5245, NULL, 'IPR008046', NULL, 'DNA replication licensing factor Mcm3', 'Mcm3', 4, NULL),
(5246, NULL, 'IPR002022', NULL, 'Pectate lyase', 'Pec_lyase', 3, NULL),
(5247, NULL, 'IPR010035', NULL, 'ThiS, thiamine-biosynthesis', 'Thi_S', 4, NULL),
(5248, NULL, 'IPR005183', NULL, 'Domain of unknown function DUF305', 'DUF305', 3, NULL),
(5249, NULL, 'IPR003410', NULL, 'HYR domain', 'HYR_dom', 3, NULL),
(5250, NULL, 'IPR013146', NULL, 'LEM-like domain', 'LEM-like_dom', 3, NULL),
(5251, NULL, 'IPR010243', NULL, 'DNA-directed RNA polymerase beta subunit, bacterial-type', 'RNA_pol_bsu_bac', 4, NULL),
(5252, NULL, 'IPR001619', NULL, 'Sec1-like protein', 'Sec1-like', 4, NULL),
(5253, NULL, 'IPR010240', NULL, 'Cysteine desulfurase IscS', 'Cys_deSase_IscS', 4, NULL),
(5254, NULL, 'IPR002452', NULL, 'Alpha tubulin', 'Alpha_tubulin', 4, NULL),
(5255, NULL, 'IPR007336', NULL, 'Der GTPase activator', 'Der_GTPase_activator', 4, NULL),
(5256, NULL, 'IPR003403', NULL, 'Herpesvirus immediate early protein', 'IE68', 4, NULL),
(5257, NULL, 'IPR004784', NULL, 'Galactose-6-phosphate isomerase subunit LacB', 'LacB', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5258, NULL, 'IPR001297', NULL, 'Phycobilisome linker domain', 'PBS_linker_dom', 3, NULL),
(5259, NULL, 'IPR007335', NULL, 'Protein of unknown function DUF413', 'DUF413', 4, NULL),
(5260, NULL, 'IPR010044', NULL, 'Methylthioadenosine phosphorylase  (MTAP)', 'MTAP', 4, NULL),
(5261, NULL, 'IPR001646', NULL, 'Pentapeptide repeat', '5peptide_repeat', 7, NULL),
(5262, NULL, 'IPR001056', NULL, 'Photosystem II reaction centre protein H', 'PSII_PsbH', 4, NULL),
(5263, NULL, 'IPR002657', NULL, 'Bile acid:sodium symporter/arsenical resistance protein  Acr3', 'BilAc:Na_symport/Acr3', 4, NULL),
(5264, NULL, 'IPR002175', NULL, 'Endothelin receptor A', 'ETA_rcpt', 4, NULL),
(5265, NULL, 'IPR005310', NULL, 'PapG, carbohydrate-binding domain', 'PapG_carb-bd_N', 3, NULL),
(5266, NULL, 'IPR001986', NULL, 'Enolpyruvate transferase domain', 'Enolpyruvate_Tfrase_dom', 3, NULL),
(5267, NULL, 'IPR004773', NULL, 'Potassium/sodium  transporter Trk/HKT', 'K/Na_transp_Trk/HKT', 4, NULL),
(5268, NULL, 'IPR010021', NULL, 'Phosphatidylglycerophosphate phosphatase', 'PGPP1/Gep4', 4, NULL),
(5269, NULL, 'IPR000798', NULL, 'Ezrin/radixin/moesin-like', 'Ez/rad/moesin-like', 4, NULL),
(5270, NULL, 'IPR010914', NULL, 'RsgA GTPase domain', 'RsgA_GTPase_dom', 3, NULL),
(5271, NULL, 'IPR002070', NULL, 'Transcription factor, Brachyury', 'TF_Brachyury', 4, NULL),
(5272, NULL, 'IPR002161', NULL, 'Pyridoxal 5''-phosphate synthase subunit PdxT/SNO', 'PdxT/SNO', 4, NULL),
(5273, NULL, 'IPR005181', NULL, 'Sialate O-acetylesterase domain', 'SASA', 3, NULL),
(5274, NULL, 'IPR001391', NULL, 'Opsin lateral eye type', 'Opsin_lateye', 4, NULL),
(5275, NULL, 'IPR002099', NULL, 'DNA mismatch repair protein family, N-terminal', 'DNA_mismatch_repair_N', 3, NULL),
(5276, NULL, 'IPR002107', NULL, 'Rotavirus non-structural protein 4', 'Rotavirus_NSP4', 4, NULL),
(5277, NULL, 'IPR005308', NULL, 'Orn/Lys/Arg decarboxylase, N-terminal', 'OKR_de-COase_N', 3, NULL),
(5278, NULL, 'IPR010043', NULL, 'Bifunctional uridylyltransferase/uridylyl-removing enzyme', 'UTase/UR', 4, NULL),
(5279, NULL, 'IPR002151', NULL, 'Kinesin light chain', 'Kinesin_light', 4, NULL),
(5280, NULL, 'IPR003423', NULL, 'Outer membrane efflux protein', 'OMP_efflux', 4, NULL),
(5281, NULL, 'IPR001734', NULL, 'Sodium/solute symporter', 'Na/solute_symporter', 4, NULL),
(5282, NULL, 'IPR005317', NULL, 'Dipeptidyl-peptidase 3', 'Dipeptidyl-peptase3', 4, NULL),
(5283, NULL, 'IPR004767', NULL, 'Protein-export membrane protein SecD/SecF-like, archaeal-type', 'SecD/SecF-like_arc', 4, NULL),
(5284, NULL, 'IPR003407', NULL, 'Merozoite antigen', 'Merozoite_Agen', 4, NULL),
(5285, NULL, 'IPR002842', NULL, 'V-type ATPase subunit E', 'ATPase_V1_Esu', 4, NULL),
(5286, NULL, 'IPR010248', NULL, 'Histidine utilization repressor', 'His_ut_repres', 4, NULL),
(5287, NULL, 'IPR003434', NULL, 'Arterivirus GP2a envelope protein', 'Arteri_GP2a', 4, NULL),
(5288, NULL, 'IPR003418', NULL, 'Fumarate reductase, subunit D', 'Fumarate_red_D', 4, NULL),
(5289, NULL, 'IPR024643', NULL, 'Histone deacetylase, glutamine rich N-terminal domain', 'Hist_deacetylase_Gln_rich_N', 3, NULL),
(5290, NULL, 'IPR004745', NULL, 'Na-dependent inorganic phosphate cotransporter', 'Pi_cotranspt', 4, NULL),
(5291, NULL, 'IPR010027', NULL, 'Tail assembly protein G', 'Tail_assembly_G', 3, NULL),
(5292, NULL, 'IPR002469', NULL, 'Dipeptidylpeptidase IV, N-terminal domain', 'Peptidase_S9B_N', 3, NULL),
(5293, NULL, 'IPR010241', NULL, 'Ferredoxin [2Fe-2S], plant', 'Fd_pln', 4, NULL),
(5294, NULL, 'IPR001538', NULL, 'Mannose-6-phosphate isomerase, type II, C-terminal', 'Man6P_isomerase-2_C', 3, NULL),
(5295, NULL, 'IPR004792', NULL, '3-Dehydro-bile acid delta(4,6)-reductase-like', 'BaiN-like', 4, NULL),
(5296, NULL, 'IPR008057', NULL, 'Gamma-aminobutyric-acid A receptor, Rho', 'GABAAa_rho_rcpt', 4, NULL),
(5297, NULL, 'IPR002958', NULL, 'Occludin', 'Occludin', 4, NULL),
(5298, NULL, 'IPR004775', NULL, 'Na(+)/H(+) antiporter subunit D1', 'MnhD1', 4, NULL),
(5299, NULL, 'IPR002060', NULL, 'Squalene/phytoene synthase', 'Squ/phyt_synthse', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5300, NULL, 'IPR005203', NULL, 'Hemocyanin, C-terminal', 'Hemocyanin_C', 3, NULL),
(5301, NULL, 'IPR003441', NULL, 'NAC domain', 'NAC-dom', 3, NULL),
(5302, NULL, 'IPR005175', NULL, 'PPC domain', 'PPC_dom', 3, NULL),
(5303, NULL, 'IPR003394', NULL, 'Porin, opacity type', 'Porin_opacity', 3, NULL),
(5304, NULL, 'IPR010033', NULL, 'HAD-superfamily phosphatase, subfamily IIIC', 'HAD_SF_ppase_IIIC', 3, NULL),
(5305, NULL, 'IPR004753', NULL, 'Cell shape determining protein MreB', 'MreB', 4, NULL),
(5306, NULL, 'IPR008041', NULL, 'Peptidase C23', 'Peptidase_C23', 3, NULL),
(5307, NULL, 'IPR001606', NULL, 'ARID DNA-binding domain', 'ARID_dom', 3, NULL),
(5308, NULL, 'IPR002072', NULL, 'Nerve growth factor-related', 'Nerve_growth_factor-rel', 3, NULL),
(5309, NULL, 'IPR010054', NULL, 'Type II secretion system  protein GspG', 'Type2_sec_GspG', 4, NULL),
(5310, NULL, 'IPR005184', NULL, 'Domain of unknown function DUF306, Meta/HslJ', 'DUF306_Meta_HslJ', 3, NULL),
(5311, NULL, 'IPR001666', NULL, 'Phosphatidylinositol transfer protein', 'PI_transfer', 4, NULL),
(5312, NULL, 'IPR000814', NULL, 'TATA-box binding protein', 'TBP', 4, NULL),
(5313, NULL, 'IPR001237', NULL, '43kDa postsynaptic protein', 'Postsynaptic', 4, NULL),
(5314, NULL, 'IPR004756', NULL, 'Amino acid permease subfamily', 'AA_permease', 4, NULL),
(5315, NULL, 'IPR003391', NULL, 'Adenoviral preterminal protein', 'Adeno_preterminal', 4, NULL),
(5316, NULL, 'IPR002831', NULL, 'Transcription regulator TrmB, N-terminal', 'Tscrpt_reg_TrmB_N', 3, NULL),
(5317, NULL, 'IPR005174', NULL, 'Domain unknown function DUF295', 'DUF295', 3, NULL),
(5318, NULL, 'IPR002166', NULL, 'RNA dependent RNA polymerase, hepatitis C virus', 'RNA_pol_HCV', 4, NULL),
(5319, NULL, 'IPR010051', NULL, 'Periplasmic nitrate reductase, large subunit', 'Periplasm_NO3_reductase_lsu', 4, NULL),
(5320, NULL, 'IPR000657', NULL, 'Geminivirus AL3 coat protein', 'Gemini_AL3', 4, NULL),
(5321, NULL, 'IPR006925', NULL, 'Vps16, C-terminal', 'Vps16_C', 3, NULL),
(5322, NULL, 'IPR005176', NULL, 'Potentiating neddylation domain', 'PONY_dom', 3, NULL),
(5323, NULL, 'IPR003435', NULL, 'Chaperonin-like RbcX', 'Chaperonin_RcbX', 4, NULL),
(5324, NULL, 'IPR003414', NULL, 'Polyphosphate kinase', 'PP_kinase', 4, NULL),
(5325, NULL, 'IPR010056', NULL, 'Phage replisome organiser, N-terminal domain', 'Phage_rep_org__N', 3, NULL),
(5326, NULL, 'IPR005302', NULL, 'Molybdenum cofactor sulfurase, C-terminal', 'MoCF_Sase_C', 3, NULL),
(5327, NULL, 'IPR004747', NULL, 'Cyanate transport system protein', 'Cyan_transport', 4, NULL),
(5328, NULL, 'IPR001573', NULL, 'A kinase-anchoring protein AKAP5 and AKAP12, calmodulin (CaM)-binding motif', 'AKAP_WSK', 3, NULL),
(5329, NULL, 'IPR001101', NULL, 'Plectin repeat', 'Plectin_repeat', 7, NULL),
(5330, NULL, 'IPR002130', NULL, 'Cyclophilin-type peptidyl-prolyl cis-trans isomerase domain', 'Cyclophilin-type_PPIase_dom', 3, NULL),
(5331, NULL, 'IPR004786', NULL, '6-phosphogluconate dehydratase', '6-phosphgluc_deHydtase', 4, NULL),
(5332, NULL, 'IPR002835', NULL, 'Phosphoenolpyruvate guanylyltransferase CofC', 'CofC', 4, NULL),
(5333, NULL, 'IPR008067', NULL, 'Cytochrome P450, E-class, group I, CYP2A-like', 'Cyt_P450_E_grp-I_CYP2A-like', 4, NULL),
(5334, NULL, 'IPR008062', NULL, 'Inward rectifier potassium channel 13', 'KCNJ13', 4, NULL),
(5335, NULL, 'IPR008065', NULL, 'Pro-FMRFamide-related neuropeptide FF', 'NPFF', 4, NULL),
(5336, NULL, 'IPR001771', NULL, 'GPCR, family 2, vasoactive intestinal peptide receptor 1', 'GPCR_2_VIP_rcpt_1', 4, NULL),
(5337, NULL, 'IPR008008', NULL, 'Domain of unknown function DUF746', 'DUF746', 3, NULL),
(5338, NULL, 'IPR002176', NULL, 'Crossover junction endodeoxyribonuclease RuvC', 'X-over_junc_endoDNase_RuvC', 4, NULL),
(5339, NULL, 'IPR005213', NULL, 'HGWP repeat', 'HGWP_repeat', 7, NULL),
(5340, NULL, 'IPR002015', NULL, 'Proteasome/cyclosome repeat', 'Proteasome/cyclosome_rpt', 7, NULL),
(5341, NULL, 'IPR005309', NULL, 'PapG, chaperone-binding', 'PapG_chaper-bd_C', 3, NULL),
(5342, NULL, 'IPR002191', NULL, 'Bacterial export protein family 3', 'Bac_export_3', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5343, NULL, 'IPR004750', NULL, 'Sugar efflux', 'Sugar_efflux', 4, NULL),
(5344, NULL, 'IPR003432', NULL, 'Replication terminator protein', 'RTP', 4, NULL),
(5345, NULL, 'IPR004765', NULL, 'NPC1-like', 'NPC1-like', 4, NULL),
(5346, NULL, 'IPR001667', NULL, 'DDH domain', 'DDH_dom', 3, NULL),
(5347, NULL, 'IPR008061', NULL, 'Potassium channel, inwardly rectifying, Kir5', 'K_chnl_inward-rec_Kir5', 4, NULL),
(5348, NULL, 'IPR008056', NULL, 'Tapasin', 'Tapasin', 4, NULL),
(5349, NULL, 'IPR001631', NULL, 'DNA topoisomerase I', 'TopoI', 4, NULL),
(5350, NULL, 'IPR005196', NULL, 'Glycoside hydrolase, family 65, N-terminal', 'Glyco_hydro_65_N', 3, NULL),
(5351, NULL, 'IPR005295', NULL, 'IBV 3B protein', 'IBV_3B', 4, NULL),
(5352, NULL, 'IPR005300', NULL, 'Lytic transglycosylase MltA, domain B', 'MltA_B', 3, NULL),
(5353, NULL, 'IPR004761', NULL, 'Spore germination GerAB', 'Spore_GerAB', 4, NULL),
(5354, NULL, 'IPR000817', NULL, 'Prion protein', 'Prion', 4, NULL),
(5355, NULL, 'IPR004769', NULL, 'Adenylosuccinate lyase', 'Pur_lyase', 4, NULL),
(5356, NULL, 'IPR002164', NULL, 'Nucleosome assembly protein (NAP)', 'NAP_family', 4, NULL),
(5357, NULL, 'IPR010910', NULL, 'Nitrate/nitrite sensing protein, bacterial', 'Nitrate/nitrite_sensing_bac', 3, NULL),
(5358, NULL, 'IPR004787', NULL, 'Competence protein ComEA', 'Competence_ComE', 4, NULL),
(5359, NULL, 'IPR004789', NULL, 'Acetolactate synthase, small subunit', 'Acetalactate_synth_ssu', 4, NULL),
(5360, NULL, 'IPR003424', NULL, 'Egg-laying hormone/atrial gland peptide', 'ELH', 4, NULL),
(5361, NULL, 'IPR000805', NULL, 'Glycoside hydrolase family 26', 'Glyco_hydro_26', 4, NULL),
(5362, NULL, 'IPR001560', NULL, 'Bombesin receptor type 3', 'Bombesin_rcpt_3', 4, NULL),
(5363, NULL, 'IPR005186', NULL, 'FlaG protein', 'FlaG', 4, NULL),
(5364, NULL, 'IPR002170', NULL, 'GPCR, family 2, parathyroid hormone receptor', 'GPCR_2_parathyroid_rcpt', 4, NULL),
(5365, NULL, 'IPR010238', NULL, 'NIF system FeS cluster assembly, NifU', 'NIF_FeS_clus_asmbl_NifU', 4, NULL),
(5366, NULL, 'IPR005314', NULL, 'Peptidase C50, separase', 'Peptidase_C50', 4, NULL),
(5367, NULL, 'IPR007328', NULL, 'Foot protein 3', 'Mfp-3', 4, NULL),
(5368, NULL, 'IPR008040', NULL, 'Hydantoinase/oxoprolinase, N-terminal', 'Hydant_A_N', 3, NULL),
(5369, NULL, 'IPR008035', NULL, 'L-proline 3-hydroxylase, C-terminal', 'Pro_3_hydrox_C', 3, NULL),
(5370, NULL, 'IPR008048', NULL, 'DNA replication licensing factor Mcm5', 'MCM5', 4, NULL),
(5371, NULL, 'IPR002124', NULL, 'Cytochrome c oxidase, subunit Vb', 'Cyt_c_oxidase_su5b', 4, NULL),
(5372, NULL, 'IPR001436', NULL, 'Alpha crystallin/Small heat shock protein, animal type', 'Alpha-crystallin/sHSP_animal', 4, NULL),
(5373, NULL, 'IPR002053', NULL, 'Glycoside hydrolase, family 25', 'Glyco_hydro_25', 4, NULL),
(5374, NULL, 'IPR003412', NULL, 'Arterivirus GP4 envelope glycoprotein', 'Arteri_GP4', 4, NULL),
(5375, NULL, 'IPR003421', NULL, 'Opine dehydrogenase', 'Opine_DH', 3, NULL),
(5376, NULL, 'IPR001662', NULL, 'Elongation factor 1B gamma, C-terminal', 'EF1B_G_C', 3, NULL),
(5377, NULL, 'IPR001566', NULL, '23S rRNA (uracil(1939)-C(5))-methyltransferase RlmD', '23S_rRNA_MeTrfase_RlmD', 4, NULL),
(5378, NULL, 'IPR010037', NULL, 'FkbH domain', 'FkbH_domain', 3, NULL),
(5379, NULL, 'IPR005178', NULL, 'Organic solute transporter subunit alpha/Transmembrane protein 184', 'Ostalpha/TMEM184C', 4, NULL),
(5380, NULL, 'IPR001579', NULL, 'Glycosyl hydrolases family 18 (GH18) active site', 'Glyco_hydro_18_chit_AS', 0, NULL),
(5381, NULL, 'IPR005315', NULL, 'Peptidase C8, hypovirus', 'Peptidase_C8', 4, NULL),
(5382, NULL, 'IPR004741', NULL, 'Oxalate/formate antiporter family transporter', 'Oxa_For_antiport_fam_transptr', 4, NULL),
(5383, NULL, 'IPR003431', NULL, 'Beta propeller phytase', 'BP_Phytase', 3, NULL),
(5384, NULL, 'IPR002033', NULL, 'Sec-independent periplasmic protein translocase TatC', 'TatC', 4, NULL),
(5385, NULL, 'IPR008026', NULL, 'Herpesvirus ICP47', 'Herpes_ICP47', 4, NULL),
(5386, NULL, 'IPR003409', NULL, 'MORN motif', 'MORN', 7, NULL),
(5387, NULL, 'IPR007325', NULL, 'Kynurenine formamidase/cyclase-like', 'KFase/CYL', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5388, NULL, 'IPR002026', NULL, 'Urease, gamma/gamma-beta subunit', 'Urease_gamma/gamma-beta_su', 4, NULL),
(5389, NULL, 'IPR008021', NULL, 'Attachment protein G3P, N-terminal', 'Attachment_G3P_N', 3, NULL),
(5390, NULL, 'IPR010024', NULL, 'Conserved hypothetical protein CHP1671', 'CHP16711', 4, NULL),
(5391, NULL, 'IPR008019', NULL, 'Apolipoprotein C-II', 'Apo-CII', 4, NULL),
(5392, NULL, 'IPR002108', NULL, 'Actin-depolymerising factor homology domain', 'ADF-H', 3, NULL),
(5393, NULL, 'IPR001633', NULL, 'EAL domain', 'EAL_dom', 3, NULL),
(5394, NULL, 'IPR005305', NULL, 'Nepovirus coat protein, C-terminal', 'Nepo_coat_C', 3, NULL),
(5395, NULL, 'IPR008004', NULL, 'Protein OCTOPUS-like', 'OCTOPUS-like', 4, NULL),
(5396, NULL, 'IPR003436', NULL, 'Chordopoxvirus fusion protein/multifunctional envelope protein A27', 'Chordopox_Fusion/A27', 4, NULL),
(5397, NULL, 'IPR008031', NULL, 'Monomethylamine methyltransferase MtmB', 'MtmB_MeTrfase', 4, NULL),
(5398, NULL, 'IPR001563', NULL, 'Peptidase S10, serine carboxypeptidase', 'Peptidase_S10', 4, NULL),
(5399, NULL, 'IPR002136', NULL, 'Ribosomal protein L4/L1e', 'Ribosomal_L4/L1e', 4, NULL),
(5400, NULL, 'IPR001614', NULL, 'Myelin proteolipid protein PLP', 'Myelin_PLP', 4, NULL),
(5401, NULL, 'IPR002018', NULL, 'Carboxylesterase, type B', 'CarbesteraseB', 3, NULL),
(5402, NULL, 'IPR002074', NULL, 'Somatostatin receptor 2', 'Somatstn_rcpt_2', 4, NULL),
(5403, NULL, 'IPR001621', NULL, 'Fungal ligninase', 'Ligninase', 4, NULL),
(5404, NULL, 'IPR008003', NULL, 'Protein of unknown function DUF739', 'DUF739', 4, NULL),
(5405, NULL, 'IPR007337', NULL, 'RelB antitoxin/Antitoxin DinJ', 'RelB/DinJ', 4, NULL),
(5406, NULL, 'IPR010048', NULL, 'Hydroxylamine reductase', 'Hydroxylam_reduct', 4, NULL),
(5407, NULL, 'IPR008005', NULL, 'Per os infectivity factor 6', 'PIF6', 4, NULL),
(5408, NULL, 'IPR001550', NULL, 'Transcription antiterminator, conserved site', 'Transcrpt_antitermin_CS', 2, NULL),
(5409, NULL, 'IPR008044', NULL, 'Bacteriophage lysin', 'Phage_lysin', 3, NULL),
(5410, NULL, 'IPR002023', NULL, 'NADH-quinone oxidoreductase subunit E-like', 'NuoE-like', 4, NULL),
(5411, NULL, 'IPR003413', NULL, 'Type II secretion system protein GspI, C-terminal', 'T2SS_GspI_C', 3, NULL),
(5412, NULL, 'IPR005214', NULL, 'IBV 3A protein', 'IBV_3A', 4, NULL),
(5413, NULL, 'IPR010909', NULL, 'PLAC', 'PLAC', 3, NULL),
(5414, NULL, 'IPR001770', NULL, 'G-protein, gamma subunit', 'Gprotein-gamma', 4, NULL),
(5415, NULL, 'IPR002833', NULL, 'Peptidyl-tRNA hydrolase, PTH2', 'PTH2', 4, NULL),
(5416, NULL, 'IPR008013', NULL, 'GATA-type transcription activator, N-terminal', 'GATA_N', 3, NULL),
(5417, NULL, 'IPR002088', NULL, 'Protein prenyltransferase, alpha subunit', 'Prenyl_trans_a', 7, NULL),
(5418, NULL, 'IPR002830', NULL, 'UbiD decarboxylyase family', 'UbiD', 4, NULL),
(5419, NULL, 'IPR002840', NULL, 'Aconitase X swivel domain, putative', 'AcnX_swivel_put', 3, NULL),
(5420, NULL, 'IPR008010', NULL, 'Tapt1 family', 'Tatp1', 4, NULL),
(5421, NULL, 'IPR005208', NULL, 'Herpesvirus tripartite terminase subunit 2', 'Herpes_TT2', 4, NULL),
(5422, NULL, 'IPR004752', NULL, 'AmpG-like permease/Acetyl-coenzyme A transporter 1', 'AmpG_permease/AT-1', 4, NULL),
(5423, NULL, 'IPR001426', NULL, 'Tyrosine-protein kinase, receptor class V, conserved site', 'Tyr_kinase_rcpt_V_CS', 2, NULL),
(5424, NULL, 'IPR034625', NULL, 'Peroxisome proliferator-activated receptor gamma coactivator 1-alpha', 'PGC-1alpha', 4, NULL),
(5425, NULL, 'IPR010057', NULL, 'Transcription activator MutR, C-terminal', 'Transcription_activator_MutR_C', 3, NULL),
(5426, NULL, 'IPR006927', NULL, 'Protein of unknown function DUF639', 'DUF639', 4, NULL),
(5427, NULL, 'IPR004748', NULL, 'Polyol permease', 'Polyol_permease', 4, NULL),
(5428, NULL, 'IPR010052', NULL, 'Type II secretion system protein GspI', 'T2SS_protein-GspI', 4, NULL),
(5429, NULL, 'IPR001586', NULL, 'Beta-lactamase, class-C active site', 'Beta-lactam_class-C_AS', 0, NULL),
(5430, NULL, 'IPR002045', NULL, 'Metallothionein, crustacean', 'Metalthion_crustacean', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5431, NULL, 'IPR006931', NULL, 'Calcipressin', 'Calcipressin', 4, NULL),
(5432, NULL, 'IPR003449', NULL, 'Coronavirus protein 7', 'Corona_7', 4, NULL),
(5433, NULL, 'IPR008006', NULL, 'Peptidase M26, N-terminal domain', 'Peptidase_M26_N_dom', 3, NULL),
(5434, NULL, 'IPR002358', NULL, 'Ribosomal protein L6, conserved site', 'Ribosomal_L6_CS', 2, NULL),
(5435, NULL, 'IPR004782', NULL, 'L-fucose phosphate aldolase', 'FucA', 4, NULL),
(5436, NULL, 'IPR005207', NULL, 'Herpesvirus UL14-like', 'Herpes_UL14', 4, NULL),
(5437, NULL, 'IPR008052', NULL, 'Voltage gated sodium channel, alpha-4 subunit, mammalian', 'Na_channel_a4su_mammal', 4, NULL),
(5438, NULL, 'IPR004763', NULL, 'Cation efflux system CzcA/CusA/SilA/NccA/HelA/CnrA', 'CzcA/CusA/SilA/NccA/HelA/CnrA', 4, NULL),
(5439, NULL, 'IPR008047', NULL, 'Mini-chromosome maintenance complex protein 4', 'MCM_4', 4, NULL),
(5440, NULL, 'IPR004764', NULL, 'Hydrophobe/amphiphile efflux-1 HAE1', 'HAE1', 4, NULL),
(5441, NULL, 'IPR004790', NULL, 'Isocitrate dehydrogenase NADP-dependent', 'Isocitrate_DH_NADP', 4, NULL),
(5442, NULL, 'IPR003442', NULL, 'tRNA threonylcarbamoyl adenosine modification protein TsaE', 'T6A_TsaE', 4, NULL),
(5443, NULL, 'IPR008025', NULL, 'CPI-17', 'CPI-17', 4, NULL),
(5444, NULL, 'IPR005212', NULL, 'dTDP-4-dehydro-6-deoxy-alpha-D-glucopyranose 2,3-dehydratase', 'EvaA-like', 3, NULL),
(5445, NULL, 'IPR001091', NULL, 'Restriction/modification DNA-methylase', 'RM_Methylase', 4, NULL),
(5446, NULL, 'IPR003406', NULL, 'Glycosyl transferase, family 14', 'Glyco_trans_14', 4, NULL),
(5447, NULL, 'IPR002028', NULL, 'Tryptophan synthase, alpha chain', 'Trp_synthase_suA', 4, NULL),
(5448, NULL, 'IPR005303', NULL, 'MOSC, N-terminal beta barrel', 'MOSC_N', 3, NULL),
(5449, NULL, 'IPR010244', NULL, 'Chlorophyllide reductase subunit Z', 'BchZ', 4, NULL),
(5450, NULL, 'IPR008064', NULL, 'Tumor necrosis factor ligand superfamily member 15', 'TNFSF15', 4, NULL),
(5451, NULL, 'IPR002253', NULL, 'Flavin monooxygenase (FMO) 1', 'Flavin_mOase_1', 4, NULL),
(5452, NULL, 'IPR010019', NULL, 'Integral membrane protein, YccS', 'Integral_membrane_YccS', 4, NULL),
(5453, NULL, 'IPR000801', NULL, 'Esterase-like', 'Esterase-like', 4, NULL),
(5454, NULL, 'IPR002128', NULL, 'NADH:ubiquinone/plastoquinone oxidoreductase, chloroplast chain 5, C-terminal', 'NADH_UbQ_OxRdtase_chlpt_su5_C', 3, NULL),
(5455, NULL, 'IPR001584', NULL, 'Integrase, catalytic core', 'Integrase_cat-core', 3, NULL),
(5456, NULL, 'IPR002092', NULL, 'DNA-directed RNA polymerase, phage-type', 'DNA-dir_Rpol_phage-type', 4, NULL),
(5457, NULL, 'IPR010247', NULL, 'N-formylglutamate deformylase', 'HutG_amidohyd', 4, NULL),
(5458, NULL, 'IPR005296', NULL, 'IBV 3C protein', 'IBV_3C', 4, NULL),
(5459, NULL, 'IPR002058', NULL, 'PAP/25A-associated', 'PAP_assoc', 3, NULL),
(5460, NULL, 'IPR001611', NULL, 'Leucine-rich repeat', 'Leu-rich_rpt', 7, NULL),
(5461, NULL, 'IPR004757', NULL, 'Ethanolamine permease', 'EtNH_permease', 4, NULL),
(5462, NULL, 'IPR001293', NULL, 'Zinc finger, TRAF-type', 'Znf_TRAF', 3, NULL),
(5463, NULL, 'IPR004770', NULL, 'Na+/H+ antiporter NhaC', 'Na/H_antiport_NhaC', 4, NULL),
(5464, NULL, 'IPR002062', NULL, 'Oxytocin receptor', 'Oxytocn_rcpt', 4, NULL),
(5465, NULL, 'IPR029797', NULL, 'Axin-1', 'AXIN1', 4, NULL),
(5466, NULL, 'IPR008058', NULL, 'Gamma-aminobutyric-acid A receptor, Rho1', 'GABAAa_rho1_rcpt', 4, NULL),
(5467, NULL, 'IPR004740', NULL, 'Nucleoside:H+ symporter', 'Nuc_H_symport', 4, NULL),
(5468, NULL, 'IPR008045', NULL, 'DNA replication licensing factor Mcm2', 'MCM2', 4, NULL),
(5469, NULL, 'IPR010017', NULL, 'tRNA U34 carboxymethyltransferase', 'CmoB', 4, NULL),
(5470, NULL, 'IPR002168', NULL, 'Lipase, GDXG, putative histidine active site', 'Lipase_GDXG_HIS_AS', 0, NULL),
(5471, NULL, 'IPR002067', NULL, 'Mitochondrial carrier protein', 'Mit_carrier', 4, NULL),
(5472, NULL, 'IPR004760', NULL, 'L-type amino acid transporter', 'L_AA_transporter', 4, NULL),
(5473, NULL, 'IPR001400', NULL, 'Somatotropin/prolactin', 'Somatotropin/Prolactin', 4, NULL),
(5474, NULL, 'IPR007334', NULL, 'Uncharacterised protein family UPF0208', 'UPF0208', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5475, NULL, 'IPR010047', NULL, 'Ni-containing CO dehydrogenase', 'CODH', 4, NULL),
(5476, NULL, 'IPR010020', NULL, 'Integral membrane protein, YccS/YhfK', 'Integral_membrane_YCCS_YHJK', 4, NULL),
(5477, NULL, 'IPR003404', NULL, 'Envelope glycoprotein E', 'Herpes_glycopE', 4, NULL),
(5478, NULL, 'IPR000811', NULL, 'Glycosyl transferase, family 35', 'Glyco_trans_35', 4, NULL),
(5479, NULL, 'IPR003392', NULL, 'Protein patched/dispatched', 'Ptc/Disp', 4, NULL),
(5480, NULL, 'IPR001576', NULL, 'Phosphoglycerate kinase', 'Phosphoglycerate_kinase', 4, NULL),
(5481, NULL, 'IPR002143', NULL, 'Ribosomal protein L1', 'Ribosomal_L1', 4, NULL),
(5482, NULL, 'IPR004758', NULL, 'Amino acid transporter', 'AA_transporter', 4, NULL),
(5483, NULL, 'IPR010014', NULL, 'Diphthamide synthesis DHP2', 'DHP2', 4, NULL),
(5484, NULL, 'IPR001634', NULL, 'Adenosine receptor', 'Adenosn_rcpt', 4, NULL),
(5485, NULL, 'IPR002013', NULL, 'SAC domain', 'SAC_dom', 3, NULL),
(5486, NULL, 'IPR003422', NULL, 'Cytochrome b-c1 complex, subunit 6', 'Cyt_b-c1_6', 4, NULL),
(5487, NULL, 'IPR005301', NULL, 'MOB kinase activator family', 'MOB_kinase_act_fam', 4, NULL),
(5488, NULL, 'IPR008042', NULL, 'Retrotransposon, Pao', 'Retrotrans_Pao', 4, NULL),
(5489, NULL, 'IPR003438', NULL, 'Glial cell line-derived neurotrophic factor receptor', 'GDNF_rcpt', 4, NULL),
(5490, NULL, 'IPR010049', NULL, 'MTA/SAH nucleosidase', 'MTA_SAH_Nsdase', 4, NULL),
(5491, NULL, 'IPR002838', NULL, 'Mitochondrial biogenesis protein AIM24', 'AIM24', 4, NULL),
(5492, NULL, 'IPR004759', NULL, 'Glutamate:g-aminobutyrate antiporter', 'Glu_antiport', 4, NULL),
(5493, NULL, 'IPR007329', NULL, 'FMN-binding', 'FMN-bd', 3, NULL),
(5494, NULL, 'IPR003398', NULL, 'Photosystem II PsbN', 'PSII_PsbN', 4, NULL),
(5495, NULL, 'IPR010253', NULL, 'Geranylgeranyl reductase, plant/prokaryotic', 'BchP_ChlP_pln/prok', 4, NULL),
(5496, NULL, 'IPR006933', NULL, 'HAP1, N-terminal', 'HAP1_N', 3, NULL),
(5497, NULL, 'IPR008024', NULL, 'YiaAB two helix', 'YiaAB', 3, NULL),
(5498, NULL, 'IPR002843', NULL, 'ATPase, V0 complex,  c/d subunit', 'ATPase_V0-cplx_csu/dsu', 4, NULL),
(5499, NULL, 'IPR001905', NULL, 'Ammonium transporter', 'Ammonium_transpt', 4, NULL),
(5500, NULL, 'IPR002219', NULL, 'Protein kinase C-like, phorbol ester/diacylglycerol-binding domain', 'PE/DAG-bd', 3, NULL),
(5501, NULL, 'IPR000633', NULL, 'Vinculin, conserved site', 'Vinculin_CS', 2, NULL),
(5502, NULL, 'IPR007345', NULL, 'Polysaccharide pyruvyl transferase', 'Polysacch_pyruvyl_Trfase', 3, NULL),
(5503, NULL, 'IPR000559', NULL, 'Formate-tetrahydrofolate ligase, FTHFS', 'Formate_THF_ligase', 4, NULL),
(5504, NULL, 'IPR000594', NULL, 'THIF-type NAD/FAD binding fold', 'ThiF_NAD_FAD-bd', 3, NULL),
(5505, NULL, 'IPR004384', NULL, 'RNA methyltransferase TrmJ/LasT', 'RNA_MeTrfase_TrmJ/LasT', 4, NULL),
(5506, NULL, 'IPR006370', NULL, '4-hydroxybenzoate polyprenyltransferase-like', 'HB_polyprenyltransferase-like', 4, NULL),
(5507, NULL, 'IPR004383', NULL, 'Ribosomal RNA large subunit methyltransferase RlmN/Cfr', 'rRNA_lsu_MTrfase_RlmN/Cfr', 4, NULL),
(5508, NULL, 'IPR034649', NULL, 'Hsp70-interacting protein, N-terminal', 'Hip_N', 3, NULL),
(5509, NULL, 'IPR007379', NULL, 'Tim44-like domain', 'Tim44-like_dom', 3, NULL),
(5510, NULL, 'IPR004378', NULL, 'F420H(2)-dependent quinone reductase', 'F420H2_quin_Rdtase', 4, NULL),
(5511, NULL, 'IPR005782', NULL, 'P-type ATPase, subfamily  IIA, SERCA-type', 'P-type_ATPase_IIA', 4, NULL),
(5512, NULL, 'IPR006361', NULL, 'Uroporphyrinogen decarboxylase HemE', 'Uroporphyrinogen_deCO2ase_HemE', 4, NULL),
(5513, NULL, 'IPR000489', NULL, 'Pterin-binding domain', 'Pterin-binding_dom', 3, NULL),
(5514, NULL, 'IPR003450', NULL, 'Replication origin-binding protein', 'Replication_origin-bd', 3, NULL),
(5515, NULL, 'IPR004377', NULL, 'ABC transporter, permease protein DrrB/DrrC', 'ABC_transpt_DrrB/DrrC', 4, NULL),
(5516, NULL, 'IPR006381', NULL, 'HAD-superfamily hydrolase, superfamily IIB, MPGP', 'HAD-SF-IIB-MPGP', 4, NULL),
(5517, NULL, 'IPR007344', NULL, 'GrpB/Dephospho-CoA kinase', 'GrpB/CoaE', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5518, NULL, 'IPR003462', NULL, 'Ornithine cyclodeaminase/mu-crystallin', 'ODC_Mu_crystall', 4, NULL),
(5519, NULL, 'IPR000664', NULL, 'Lethal(2) giant larvae protein', 'Lethal2_giant', 4, NULL),
(5520, NULL, 'IPR006952', NULL, 'Retinal cGMP phosphodiesterase, gamma subunit', 'PDE6_gamma', 4, NULL),
(5521, NULL, 'IPR007364', NULL, 'RNA methyltransferase TK0422/Sfm1', 'RNA_MeTrfase_TK0422/Sfm1', 4, NULL),
(5522, NULL, 'IPR002867', NULL, 'IBR domain', 'IBR_dom', 3, NULL),
(5523, NULL, 'IPR004259', NULL, 'Phosphoprotein', 'PP_M1', 4, NULL),
(5524, NULL, 'IPR005845', NULL, 'Alpha-D-phosphohexomutase, alpha/beta/alpha domain II', 'A-D-PHexomutase_a/b/a-II', 3, NULL),
(5525, NULL, 'IPR006358', NULL, 'Transcription elongation factor GreB', 'Tscrpt_elong_fac_GreB', 4, NULL),
(5526, NULL, 'IPR004370', NULL, '4-oxalocrotonate tautomerase', '4-oxalocrotonate_tautomerase', 3, NULL),
(5527, NULL, 'IPR004350', NULL, 'Potassium channel, voltage dependent, Kv2.1', 'K_chnl_volt-dep_Kv2.1', 4, NULL),
(5528, NULL, 'IPR000589', NULL, 'Ribosomal protein S15', 'Ribosomal_S15', 4, NULL),
(5529, NULL, 'IPR005846', NULL, 'Alpha-D-phosphohexomutase, alpha/beta/alpha domain III', 'A-D-PHexomutase_a/b/a-III', 3, NULL),
(5530, NULL, 'IPR006958', NULL, 'Mak16 protein', 'Mak16', 4, NULL),
(5531, NULL, 'IPR007380', NULL, 'Domain of unknown function DUF438', 'DUF438', 3, NULL),
(5532, NULL, 'IPR005320', NULL, 'Peptidase S51', 'Peptidase_S51', 4, NULL),
(5533, NULL, 'IPR006364', NULL, 'Precorrin-2 C(20)-methyltransferase domain', 'CobI/CbiL/CobIJ_dom', 3, NULL),
(5534, NULL, 'IPR034141', NULL, 'Ribonuclease M5-like, TOPRIM domain', 'TOPRIM_RNase_M5-like', 3, NULL),
(5535, NULL, 'IPR007353', NULL, 'Protein of unknown function DUF421', 'DUF421', 4, NULL),
(5536, NULL, 'IPR004801', NULL, 'Phosphotransferase system, lactose-specific IIC component', 'LacE', 3, NULL),
(5537, NULL, 'IPR003452', NULL, 'Stem cell factor', 'SCF', 4, NULL),
(5538, NULL, 'IPR005329', NULL, 'Sorting nexin, N-terminal', 'Sorting_nexin_N', 3, NULL),
(5539, NULL, 'IPR006390', NULL, 'Dihydropteroate synthase domain', 'DHP_synth_dom', 3, NULL),
(5540, NULL, 'IPR005795', NULL, 'Major pollen allergen Lol pI', 'LolPI', 4, NULL),
(5541, NULL, 'IPR006959', NULL, 'Protein of unknown function DUF645', 'DUF645', 4, NULL),
(5542, NULL, 'IPR003459', NULL, 'Borrelia plasmid, OrfA', 'Borrelia_plasmid_OrfA', 4, NULL),
(5543, NULL, 'IPR005323', NULL, 'Pullulanase, carbohydrate-binding module 41', 'CBM41_pullulanase', 3, NULL),
(5544, NULL, 'IPR005783', NULL, 'Methylmalonyl-CoA decarboxylase, alpha subunit', 'MemalonylCoA_decase_suA', 4, NULL),
(5545, NULL, 'IPR000584', NULL, 'Voltage-dependent calcium channel, L-type, beta subunit', 'VDCC_L_bsu', 4, NULL),
(5546, NULL, 'IPR004802', NULL, 'tRNA pseudouridine synthase B family', 'tRNA_PsdUridine_synth_B_fam', 4, NULL),
(5547, NULL, 'IPR006951', NULL, 'Protein of unknown function DUF643', 'DUF643', 4, NULL),
(5548, NULL, 'IPR002852', NULL, 'Uncharacterised protein family UPF0251', 'UPF0251', 4, NULL),
(5549, NULL, 'IPR006393', NULL, 'Sepiapterin reductase', 'Sepiapterin_red', 4, NULL),
(5550, NULL, 'IPR005815', NULL, 'Adenosylmethionine--8-amino-7-oxononanoate aminotransferase BioA', 'BioA', 4, NULL),
(5551, NULL, 'IPR005327', NULL, 'Small hydrophobic protein', 'SHP', 4, NULL),
(5552, NULL, 'IPR006408', NULL, 'P-type ATPase, subfamily IIB', 'P-type_ATPase_IIB', 4, NULL),
(5553, NULL, 'IPR007349', NULL, 'Domain of unknown function DUF418', 'DUF418', 3, NULL),
(5554, NULL, 'IPR007373', NULL, 'Thiamin pyrophosphokinase, thiamin-binding domain', 'Thiamin_PyroPKinase_B1-bd', 3, NULL),
(5555, NULL, 'IPR004368', NULL, 'Translation initiation factor IF-1', 'TIF_IF1', 4, NULL),
(5556, NULL, 'IPR007346', NULL, 'Endonuclease I', 'Endonuclease-I', 4, NULL),
(5557, NULL, 'IPR005814', NULL, 'Aminotransferase class-III', 'Aminotrans_3', 4, NULL),
(5558, NULL, 'IPR006406', NULL, 'Nicotinate phosphoribosyltransferase', 'Nic_PRibTrfase', 4, NULL),
(5559, NULL, 'IPR007350', NULL, 'Transposase, Tc5, C-terminal', 'Transposase_Tc5_C', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5560, NULL, 'IPR027257', NULL, 'Mitogen-activated protein kinase kinase kinase 12', 'MAPKKK12', 4, NULL),
(5561, NULL, 'IPR000551', NULL, 'MerR-type HTH domain', 'MerR-type_HTH_dom', 3, NULL),
(5562, NULL, 'IPR034650', NULL, 'YuaB-like', 'YuaB-like', 4, NULL),
(5563, NULL, 'IPR004404', NULL, 'Dihydroxy-acid dehydratase', 'DihydroxyA_deHydtase', 4, NULL),
(5564, NULL, 'IPR005839', NULL, 'Methylthiotransferase', 'Methylthiotransferase', 4, NULL),
(5565, NULL, 'IPR007370', NULL, 'Glutamate--cysteine ligase', 'Glu_cys_ligase', 3, NULL),
(5566, NULL, 'IPR006947', NULL, 'Alliinase, EGF-like domain', 'EGF_alliinase', 3, NULL),
(5567, NULL, 'IPR000555', NULL, 'JAB1/MPN/MOV34 metalloenzyme domain', 'JAMM/MPN+_dom', 3, NULL),
(5568, NULL, 'IPR004385', NULL, 'Nucleoside diphosphate pyrophosphatase', 'NDP_pyrophosphatase', 4, NULL),
(5569, NULL, 'IPR004361', NULL, 'Glyoxalase I', 'Glyoxalase_1', 4, NULL),
(5570, NULL, 'IPR000592', NULL, 'Ribosomal protein S27', 'Ribosomal_S27', 4, NULL),
(5571, NULL, 'IPR002878', NULL, 'Domain of unknown function DUF35, OB-fold, C-terminal', 'DUF35_OB-fold_C', 3, NULL),
(5572, NULL, 'IPR000530', NULL, 'Ribosomal protein S12e', 'Ribosomal_S12e', 4, NULL),
(5573, NULL, 'IPR000438', NULL, 'Acetyl-CoA carboxylase carboxyl transferase, beta subunit', 'Acetyl_CoA_COase_Trfase_b_su', 4, NULL),
(5574, NULL, 'IPR000548', NULL, 'Myelin basic protein', 'Myelin_BP', 4, NULL),
(5575, NULL, 'IPR006387', NULL, 'CPW-WPC domain', 'CPW_WPC_dom', 3, NULL),
(5576, NULL, 'IPR000621', NULL, 'Melanocortin 5 receptor', 'Melancort_rcpt_5', 4, NULL),
(5577, NULL, 'IPR005836', NULL, 'ADP-glucose pyrophosphorylase, conserved site', 'ADP_Glu_pyroP_CS', 2, NULL),
(5578, NULL, 'IPR000618', NULL, 'Insect cuticle protein', 'Insect_cuticle', 4, NULL),
(5579, NULL, 'IPR015795', NULL, 'Pyruvate kinase, C-terminal', 'Pyrv_Knase_C', 3, NULL),
(5580, NULL, 'IPR005321', NULL, 'Peptidase S58, DmpA', 'Peptidase_S58_DmpA', 4, NULL),
(5581, NULL, 'IPR006386', NULL, 'HAD-superfamily hydrolase, subfamily IB, PSPase-like, archaeal', 'HAD-SF_hydro_IB_PSP-like_arc', 4, NULL),
(5582, NULL, 'IPR006950', NULL, 'Rotavirus non-structural protein 6', 'Rotavirus_NSP6', 4, NULL),
(5583, NULL, 'IPR007342', NULL, 'Pseudouridine-5''-phosphate glycosidase', 'PsuG', 4, NULL),
(5584, NULL, 'IPR006982', NULL, 'Glutamate synthase, central-N', 'Glu_synth_centr_N', 3, NULL),
(5585, NULL, 'IPR005840', NULL, 'Ribosomal protein S12 methylthiotransferase RimO', 'Ribosomal_S12_MeSTrfase_RimO', 4, NULL),
(5586, NULL, 'IPR007359', NULL, 'Positive regulator of sigma(E), RseC/MucC', 'SigmaE_reg_RseC_MucC', 4, NULL),
(5587, NULL, 'IPR000545', NULL, 'Lactalbumin', 'Lactalbumin', 4, NULL),
(5588, NULL, 'IPR001530', NULL, 'Geminivirus BR1 coat protein', 'Gemini_BR1', 4, NULL),
(5589, NULL, 'IPR000631', NULL, 'ATP-dependent (S)-NAD(P)H-hydrate dehydratase', 'CARKD', 4, NULL),
(5590, NULL, 'IPR005785', NULL, 'Branched-chain amino acid aminotransferase I', 'B_amino_transI', 4, NULL),
(5591, NULL, 'IPR006941', NULL, 'Ribonuclease CAF1', 'RNase_CAF1', 4, NULL),
(5592, NULL, 'IPR006993', NULL, 'SH3-binding, glutamic acid-rich protein', 'Glut_rich_SH3-bd', 4, NULL),
(5593, NULL, 'IPR000440', NULL, 'NADH:ubiquinone/plastoquinone oxidoreductase, chain 3', 'NADH_UbQ/plastoQ_OxRdtase_su3', 4, NULL),
(5594, NULL, 'IPR007383', NULL, 'Protein of unknown function DUF445', 'DUF445', 4, NULL),
(5595, NULL, 'IPR000590', NULL, 'Hydroxymethylglutaryl-coenzyme A synthase, active site', 'HMG_CoA_synt_AS', 0, NULL),
(5596, NULL, 'IPR002855', NULL, 'Phosphopantoate/pantothenate synthetase', 'PPS/PS', 4, NULL),
(5597, NULL, 'IPR001534', NULL, 'Transthyretin-like', 'Transthyretin-like', 4, NULL),
(5598, NULL, 'IPR006363', NULL, 'Precorrin-3B C17-methyltransferase domain', 'Cbl_synth_CobJ/CibH_dom', 3, NULL),
(5599, NULL, 'IPR006405', NULL, 'Nicotinate phosphoribosyltransferase pncB-type', 'Nic_PRibTrfase_pncB', 4, NULL),
(5600, NULL, 'IPR006965', NULL, 'Adenovirus Gp19K', 'Adenovirus_Gp19K', 4, NULL),
(5601, NULL, 'IPR006975', NULL, 'NifQ', 'NifQ', 4, NULL),
(5602, NULL, 'IPR000602', NULL, 'Glycoside hydrolase family 38, N-terminal domain', 'Glyco_hydro_38_N', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5603, NULL, 'IPR000458', NULL, 'Mucin-like glycoprotein', 'Tryp_mucin', 4, NULL),
(5604, NULL, 'IPR005789', NULL, 'Threonine dehydratase, catabolic', 'Thr_deHydtase_catblc', 4, NULL),
(5605, NULL, 'IPR006360', NULL, 'Methyltransferase MtaA/CmuA', 'Mtase_MtaA_CmuA', 3, NULL),
(5606, NULL, 'IPR004346', NULL, 'CagE, TrbE, VirB component of type IV transporter system', 'CagE_TrbE_VirB', 4, NULL),
(5607, NULL, 'IPR027258', NULL, 'Mitogen-activated protein kinase kinase kinase 13', 'MAPKKK13', 4, NULL),
(5608, NULL, 'IPR000599', NULL, 'G protein-coupled receptor 12', 'GPR12', 4, NULL),
(5609, NULL, 'IPR000627', NULL, 'Intradiol ring-cleavage dioxygenase, C-terminal', 'Intradiol_dOase_C', 3, NULL),
(5610, NULL, 'IPR002846', NULL, 'NrpR regulatory domain', 'NRD', 3, NULL),
(5611, NULL, 'IPR003460', NULL, 'Insect antifreeze protein motif', 'Insect_antifreeze_prot_motif', 7, NULL),
(5612, NULL, 'IPR000563', NULL, 'Flagellar assembly protein FliH', 'Flag_FliH', 4, NULL),
(5613, NULL, 'IPR005332', NULL, 'Tomato bushy stunt virus (TBSV), p22, movement protein', 'TBSV_p22', 4, NULL),
(5614, NULL, 'IPR005843', NULL, 'Alpha-D-phosphohexomutase, C-terminal', 'A-D-PHexomutase_C', 3, NULL),
(5615, NULL, 'IPR002850', NULL, 'PIN family, putative toxin-antitoxin system toxin component', 'PIN_toxin-like', 4, NULL),
(5616, NULL, 'IPR007365', NULL, 'Transferrin receptor-like, dimerisation domain', 'TFR-like_dimer_dom', 3, NULL),
(5617, NULL, 'IPR000601', NULL, 'PKD domain', 'PKD_dom', 3, NULL),
(5618, NULL, 'IPR002859', NULL, 'PKD/REJ-like domain', 'PKD/REJ-like', 3, NULL),
(5619, NULL, 'IPR006954', NULL, 'Moulting cycle MLT-10-like protein', 'MLT-10-like', 4, NULL),
(5620, NULL, 'IPR004365', NULL, 'OB-fold nucleic acid binding domain, AA-tRNA synthetase-type', 'NA-bd_OB_tRNA', 3, NULL),
(5621, NULL, 'IPR006399', NULL, 'Riboflavin synthase, archaeal', 'Ribfl_synth_arc', 4, NULL),
(5622, NULL, 'IPR000538', NULL, 'Link domain', 'Link_dom', 3, NULL),
(5623, NULL, 'IPR004355', NULL, 'Type IV secretion system CagA exotoxin', 'IVSec_CagA', 4, NULL),
(5624, NULL, 'IPR006382', NULL, 'Phosphoglycolate phosphatase', 'PGPase', 4, NULL),
(5625, NULL, 'IPR005797', NULL, 'Cytochrome b/b6, N-terminal', 'Cyt_b/b6_N', 3, NULL),
(5626, NULL, 'IPR000539', NULL, 'Frizzled/Smoothened, transmembrane domain', 'Frizzled/Smoothened_TM', 3, NULL),
(5627, NULL, 'IPR005803', NULL, 'Fatty acid desaturase type 2, conserved site', 'FADS-2_CS', 2, NULL),
(5628, NULL, 'IPR006977', NULL, 'Yip1 domain', 'Yip1_dom', 3, NULL),
(5629, NULL, 'IPR007339', NULL, 'Inner membrane protein RclC-like', 'RclC-like', 4, NULL),
(5630, NULL, 'IPR005826', NULL, 'Potassium channel, voltage dependent, Kv2.2', 'K_chnl_volt-dep_Kv2.2', 4, NULL),
(5631, NULL, 'IPR002880', NULL, 'Pyruvate flavodoxin/ferredoxin oxidoreductase, pyrimidine binding domain', 'Pyrv_Fd/Flavodoxin_OxRdtase_N', 3, NULL),
(5632, NULL, 'IPR005325', NULL, 'Protein of unknown function DUF308, membrane', 'DUF308_memb', 7, NULL),
(5633, NULL, 'IPR005818', NULL, 'Linker histone H1/H5, domain H15', 'Histone_H1/H5_H15', 3, NULL),
(5634, NULL, 'IPR024726', NULL, 'Ferric iron reductase, C-terminal', 'FhuF_C', 3, NULL),
(5635, NULL, 'IPR006411', NULL, 'Fructose-bisphosphate aldolase, class II, yeast/E. coli subtype', 'Fruct_bisP_bact', 4, NULL),
(5636, NULL, 'IPR006380', NULL, 'Sucrose-phosphatase-like, N-terminal', 'SPP_N', 3, NULL),
(5637, NULL, 'IPR002848', NULL, 'Translin family', 'Translin_fam', 4, NULL),
(5638, NULL, 'IPR000536', NULL, 'Nuclear hormone receptor, ligand-binding domain', 'Nucl_hrmn_rcpt_lig-bd', 3, NULL),
(5639, NULL, 'IPR004380', NULL, 'Aspartate racemase', 'Asp_race', 4, NULL),
(5640, NULL, 'IPR006412', NULL, 'Fructose-bisphosphate aldolase, class II, Calvin cycle subtype', 'Fruct_bisP_Calv', 4, NULL),
(5641, NULL, 'IPR004387', NULL, 'Peptidase M50, putative membrane-associated zinc metallopeptidase', 'Pept_M50_Zn', 4, NULL),
(5642, NULL, 'IPR000609', NULL, '7TM GPCR, serpentine receptor class g (Srg)', '7TM_GPCR_serpentine_rcpt_Srg', 4, NULL),
(5643, NULL, 'IPR004391', NULL, 'Glutamate racemase', 'Glu_race', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5644, NULL, 'IPR006979', NULL, 'Archaeal Nre, C-terminal', 'Nre_C', 3, NULL),
(5645, NULL, 'IPR005819', NULL, 'Linker histone H1/H5', 'H1/H5', 4, NULL),
(5646, NULL, 'IPR007372', NULL, 'Lipid/polyisoprenoid-binding, YceI-like', 'Lipid/polyisoprenoid-bd_YceI', 3, NULL),
(5647, NULL, 'IPR006946', NULL, 'Domain of unknown function DUF642', 'DUF642', 3, NULL),
(5648, NULL, 'IPR007375', NULL, 'Sarcosine oxidase, gamma subunit', 'SoxG', 4, NULL),
(5649, NULL, 'IPR002871', NULL, 'NIF system FeS cluster assembly, NifU, N-terminal', 'NIF_FeS_clus_asmbl_NifU_N', 3, NULL),
(5650, NULL, 'IPR002888', NULL, '[2Fe-2S]-binding', '2Fe-2S-bd', 3, NULL),
(5651, NULL, 'IPR004799', NULL, 'Periplasmic protein thiol:disulphide oxidoreductase DsbE', 'Periplasmic_diS_OxRdtase_DsbE', 4, NULL),
(5652, NULL, 'IPR006362', NULL, 'Cobalamin (vitamin B12) biosynthesis CobM/CbiF, precorrin-4 C11-methyltransferase', 'Cbl_synth_CobM/CibF', 3, NULL),
(5653, NULL, 'IPR004373', NULL, 'Peptide chain release factor 1', 'RF-1', 4, NULL),
(5654, NULL, 'IPR004386', NULL, 'Toxin-antitoxin system, YafQ-like toxin', 'Toxin_YafQ-like', 4, NULL),
(5655, NULL, 'IPR006939', NULL, 'SNF5/SMARCB1/INI1', 'SNF5', 4, NULL),
(5656, NULL, 'IPR000468', NULL, 'Barstar (barnase inhibitor)', 'Barstar', 3, NULL),
(5657, NULL, 'IPR000668', NULL, 'Peptidase C1A, papain C-terminal', 'Peptidase_C1A_C', 3, NULL),
(5658, NULL, 'IPR006957', NULL, 'Ethylene insensitive 3', 'EIN3', 4, NULL),
(5659, NULL, 'IPR002872', NULL, 'Proline dehydrogenase domain', 'Proline_DH_dom', 3, NULL),
(5660, NULL, 'IPR007368', NULL, 'Domain of unknown function DUF434', 'DUF434', 3, NULL),
(5661, NULL, 'IPR002869', NULL, 'Pyruvate-flavodoxin oxidoreductase, central domain', 'Pyrv_flavodox_OxRed_cen', 5, NULL),
(5662, NULL, 'IPR007358', NULL, 'Nucleoid-associated protein NdpA', 'Nucleoid_associated_NdpA', 4, NULL),
(5663, NULL, 'IPR000463', NULL, 'Cytosolic fatty-acid binding', 'Fatty_acid-bd', 3, NULL),
(5664, NULL, 'IPR034189', NULL, 'MARF1, RNA recognition motif 1', 'MARF1_RRM1', 3, NULL),
(5665, NULL, 'IPR000526', NULL, 'Auxin-binding protein', 'Auxin-bd', 4, NULL),
(5666, NULL, 'IPR005817', NULL, 'Wnt', 'Wnt', 4, NULL),
(5667, NULL, 'IPR005841', NULL, 'Alpha-D-phosphohexomutase superfamily', 'Alpha-D-phosphohexomutase_SF', 4, NULL),
(5668, NULL, 'IPR006376', NULL, 'Copper-resistance protein CopA', 'Cu-R_CopA', 4, NULL),
(5669, NULL, 'IPR007351', NULL, 'Uncharacterised protein YjbR', 'YjbR', 4, NULL),
(5670, NULL, 'IPR004399', NULL, 'Hydroxymethylpyrimidine kinase/phosphomethylpyrimidine kinase domain', 'HMP/HMP-P_kinase_dom', 3, NULL),
(5671, NULL, 'IPR000537', NULL, 'UbiA prenyltransferase family', 'UbiA_prenyltransferase', 4, NULL),
(5672, NULL, 'IPR002864', NULL, 'Acyl-ACP thioesterase', 'Acyl-ACP_thioesterase', 4, NULL),
(5673, NULL, 'IPR000525', NULL, 'Initiator Rep protein', 'Initiator_Rep_prot', 3, NULL),
(5674, NULL, 'IPR000610', NULL, '5-Hydroxytryptamine 1A receptor', '5HT1A_rcpt', 4, NULL),
(5675, NULL, 'IPR005824', NULL, 'KOW', 'KOW', 3, NULL),
(5676, NULL, 'IPR000540', NULL, 'Flagellar motor protein MotA, conserved site', 'Flag_MotA_CS', 2, NULL),
(5677, NULL, 'IPR007376', NULL, 'dsDNA mimic, putative', 'dsDNA_mimic_put', 4, NULL),
(5678, NULL, 'IPR000595', NULL, 'Cyclic nucleotide-binding domain', 'cNMP-bd_dom', 3, NULL),
(5679, NULL, 'IPR000476', NULL, 'Glycoprotein hormone alpha chain', 'Glyco_hormone', 4, NULL),
(5680, NULL, 'IPR000572', NULL, 'Oxidoreductase, molybdopterin-binding domain', 'OxRdtase_Mopterin-bd_dom', 3, NULL),
(5681, NULL, 'IPR002881', NULL, 'Domain of unknown function DUF58', 'DUF58', 3, NULL),
(5682, NULL, 'IPR007340', NULL, 'Opacity-associated protein A', 'Opacity-associatedA', 3, NULL),
(5683, NULL, 'IPR006372', NULL, 'Bacteriochlorophyll/chlorophyll synthetase', 'Chl_synth', 4, NULL),
(5684, NULL, 'IPR034142', NULL, 'Reverse gyrase, TOPRIM domain', 'TOPRIM_RevGyr', 3, NULL),
(5685, NULL, 'IPR005778', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit A, MtrA', 'MtrA', 4, NULL),
(5686, NULL, 'IPR006940', NULL, 'Securin sister-chromatid separation inhibitor', 'Securin_separation_inhibitor', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5687, NULL, 'IPR005835', NULL, 'Nucleotidyl transferase domain', 'NTP_transferase_dom', 3, NULL),
(5688, NULL, 'IPR023213', NULL, 'Chloramphenicol acetyltransferase-like domain superfamily', 'CAT-like_dom_sf', 5, NULL),
(5689, NULL, 'IPR006401', NULL, '2,5-diamino-6-hydroxy-4-(5-phosphoribosylamino)pyrimidine 1-reductase, archaeal', 'Rib_reduct_arc', 4, NULL),
(5690, NULL, 'IPR005828', NULL, 'Major facilitator,  sugar transporter-like', 'MFS_sugar_transport-like', 4, NULL),
(5691, NULL, 'IPR000568', NULL, 'ATP synthase, F0 complex, subunit A', 'ATP_synth_F0_asu', 4, NULL),
(5692, NULL, 'IPR006962', NULL, 'P48 protein, Baculovirus', 'P48_Baculovir', 4, NULL),
(5693, NULL, 'IPR004405', NULL, 'Translation release factor  pelota', 'Transl-rel_pelota', 4, NULL),
(5694, NULL, 'IPR004345', NULL, 'TB2/DP1/HVA22-related protein', 'TB2_DP1_HVA22', 4, NULL),
(5695, NULL, 'IPR000562', NULL, 'Fibronectin type II domain', 'FN_type2_dom', 3, NULL),
(5696, NULL, 'IPR002882', NULL, '2-phospho-L-lactate transferase CofD', 'CofD', 4, NULL),
(5697, NULL, 'IPR013520', NULL, 'Exonuclease, RNase T/DNA polymerase III', 'Exonuclease_RNaseT/DNA_pol3', 3, NULL),
(5698, NULL, 'IPR004803', NULL, 'tRNA-guanine transglycosylase', 'TGT', 4, NULL),
(5699, NULL, 'IPR005791', NULL, 'Protein translocase subunit SecD', 'SecD', 4, NULL),
(5700, NULL, 'IPR024667', NULL, 'Heterogeneous nuclear ribonucleoprotein M', 'HnRNP_M', 4, NULL),
(5701, NULL, 'IPR006366', NULL, 'Uroporphyrin-III C-methyltransferase', 'CobA/CysG_C', 3, NULL),
(5702, NULL, 'IPR002849', NULL, 'Protein of unknown function DUF131', 'DUF131', 4, NULL),
(5703, NULL, 'IPR005781', NULL, 'Photosynthetic reaction centre, M subunit', 'Photo_RC_M', 4, NULL),
(5704, NULL, 'IPR006969', NULL, 'Stigma-specific protein Stig1', 'Stig1', 4, NULL),
(5705, NULL, 'IPR001543', NULL, 'Surface presentation of antigen (SpoA)', 'SpoA', 3, NULL),
(5706, NULL, 'IPR006377', NULL, 'Catabolite control protein A', 'CcpA', 4, NULL),
(5707, NULL, 'IPR006398', NULL, '2-hydroxy-3-oxopropionate reductase', 'Tartro_sem_red', 4, NULL),
(5708, NULL, 'IPR005837', NULL, 'Flagellar transport protein FliP', 'FliP', 4, NULL),
(5709, NULL, 'IPR004804', NULL, 'tRNA-guanine(15) transglycosylase', 'TgtA', 4, NULL),
(5710, NULL, 'IPR006994', NULL, 'TCF25/Rqc1', 'TCF25/Rqc1', 4, NULL),
(5711, NULL, 'IPR000593', NULL, 'RasGAP protein, C-terminal', 'RasGAP_C', 3, NULL),
(5712, NULL, 'IPR034623', NULL, 'Galactarate dehydratase 3', 'Galactarate_dehydratase_3', 4, NULL),
(5713, NULL, 'IPR002883', NULL, 'CBM10/dockerin domain', 'CBM10/Dockerin_dom', 3, NULL),
(5714, NULL, 'IPR002861', NULL, 'Reeler domain', 'Reeler_dom', 3, NULL),
(5715, NULL, 'IPR004352', NULL, 'Glycoside-hydrolase family GH114, TIM-barrel domain', 'GH114_TIM-barrel', 3, NULL),
(5716, NULL, 'IPR005807', NULL, 'SecE subunit of protein translocation complex, bacterial-like', 'SecE_bac', 4, NULL),
(5717, NULL, 'IPR001528', NULL, 'Flavivirus non-structural protein NS4B', 'Flavi_NS4B', 3, NULL),
(5718, NULL, 'IPR002845', NULL, 'tRNA ribose 2''-O-methyltransferase, aTrm56', 'tRNA_mtfrase_aTrm56', 4, NULL),
(5719, NULL, 'IPR000527', NULL, 'Flagellar L-ring protein', 'Flag_Lring', 4, NULL),
(5720, NULL, 'IPR006988', NULL, 'Nab, N-terminal', 'Nab_N', 3, NULL),
(5721, NULL, 'IPR007355', NULL, 'Protein of unknown function DUF424', 'DUF424', 4, NULL),
(5722, NULL, 'IPR000635', NULL, 'Viral ssDNA-binding protein', 'Viral_ssDNA-bd', 4, NULL),
(5723, NULL, 'IPR004372', NULL, 'Acetate/propionate kinase', 'Ac/propionate_kinase', 4, NULL),
(5724, NULL, 'IPR000628', NULL, 'Vasopressin V1B receptor', 'Vprs_rcpt_V1B', 4, NULL),
(5725, NULL, 'IPR002877', NULL, 'Ribosomal RNA methyltransferase FtsJ domain', 'rRNA_MeTrfase_FtsJ_dom', 3, NULL),
(5726, NULL, 'IPR005792', NULL, 'Protein disulphide isomerase', 'Prot_disulphide_isomerase', 4, NULL),
(5727, NULL, 'IPR004376', NULL, 'Conserved hypothetical protein CHP00024, phosphoesterase-like', 'CHP00024_Pesterase-like', 4, NULL),
(5728, NULL, 'IPR005798', NULL, 'Cytochrome b/b6, C-terminal', 'Cyt_b/b6_C', 3, NULL),
(5729, NULL, 'IPR006395', NULL, 'Methylaspartate ammonia-lyase', 'Me_Asp_am_lyase', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5730, NULL, 'IPR006968', NULL, 'Root UVB sensitive family', 'RUS_fam', 4, NULL),
(5731, NULL, 'IPR000506', NULL, 'Ketol-acid reductoisomerase, C-terminal', 'KARI_C', 3, NULL),
(5732, NULL, 'IPR002890', NULL, 'Macroglobulin domain', 'MG2', 3, NULL),
(5733, NULL, 'IPR006953', NULL, 'Vesicle tethering protein Uso1/P115-like , head domain', 'Vesicle_Uso1_P115_head', 3, NULL),
(5734, NULL, 'IPR003457', NULL, 'Mercuric transport protein MerT', 'Transprt_MerT', 4, NULL),
(5735, NULL, 'IPR006409', NULL, 'Glycerol-3-phosphate cytidylyltransferase', 'G3P_cytidylTrfase', 4, NULL),
(5736, NULL, 'IPR005811', NULL, 'ATP-citrate lyase/succinyl-CoA ligase', 'CoA_ligase', 3, NULL),
(5737, NULL, 'IPR004409', NULL, 'Biotin operon repressor, helix-turn-helix domain', 'Biotin_operon_repress_HTH', 3, NULL),
(5738, NULL, 'IPR002844', NULL, 'F420-dependent methylenetetrahydromethanopterin dehydrogenase', 'MTD', 4, NULL),
(5739, NULL, 'IPR007354', NULL, 'Bisanhydrobacterioruberin hydratase CruF-like', 'CruF-like', 4, NULL),
(5740, NULL, 'IPR000533', NULL, 'Tropomyosin', 'Tropomyosin', 4, NULL),
(5741, NULL, 'IPR005784', NULL, 'D-amino acid aminotransferase', 'D_amino_transT', 4, NULL),
(5742, NULL, 'IPR007367', NULL, 'Protein of unknown function DUF433', 'DUF433', 4, NULL),
(5743, NULL, 'IPR001547', NULL, 'Glycoside hydrolase, family 5', 'Glyco_hydro_5', 3, NULL),
(5744, NULL, 'IPR005838', NULL, 'Type III secretion system inner membrane P protein', 'T3SS_IM_P', 4, NULL),
(5745, NULL, 'IPR000582', NULL, 'Acyl-CoA-binding protein, ACBP', 'Acyl-CoA-binding_protein', 3, NULL),
(5746, NULL, 'IPR000591', NULL, 'DEP domain', 'DEP_dom', 3, NULL),
(5747, NULL, 'IPR005333', NULL, 'Transcription factor, TCP', 'Transcription_factor_TCP', 4, NULL),
(5748, NULL, 'IPR000487', NULL, 'Flavivirus non-structural protein NS2B', 'Flavi_NS2B', 3, NULL),
(5749, NULL, 'IPR002860', NULL, 'BNR repeat', 'BNR_rpt', 7, NULL),
(5750, NULL, 'IPR000612', NULL, 'Proteolipid membrane potential modulator', 'PMP3', 4, NULL),
(5751, NULL, 'IPR000622', NULL, 'K/Cl co-transporter 1', 'KCC1', 4, NULL),
(5752, NULL, 'IPR004374', NULL, 'Peptide chain release factor 2', 'PrfB', 4, NULL),
(5753, NULL, 'IPR007374', NULL, 'ASCH domain', 'ASCH_domain', 3, NULL),
(5754, NULL, 'IPR004353', NULL, 'Vacuolar fusion protein Mon1', 'Mon1', 4, NULL),
(5755, NULL, 'IPR004375', NULL, 'NanQ anomerase/TabA/YiaL family', 'NanQ/TabA/YiaL', 4, NULL),
(5756, NULL, 'IPR024666', NULL, 'HnRNP M, nuclear localisation signal', 'HnRNP_M_PY-NLS', 3, NULL),
(5757, NULL, 'IPR000492', NULL, 'Protamine-2', 'PRM2', 4, NULL),
(5758, NULL, 'IPR000663', NULL, 'Natriuretic peptide', 'Natr_peptide', 4, NULL),
(5759, NULL, 'IPR006410', NULL, 'Conserved hypothetical protein CHP01519, Plasmodium falciparum (isolate 3D7)', 'CHP01519_PLAF7', 4, NULL),
(5760, NULL, 'IPR006938', NULL, 'Protein of unknown function DUF624', 'DUF624', 4, NULL),
(5761, NULL, 'IPR004360', NULL, 'Glyoxalase/fosfomycin resistance/dioxygenase domain', 'Glyas_Fos-R_dOase_dom', 3, NULL),
(5762, NULL, 'IPR006983', NULL, 'MbeD/MobD-like', 'MbeD_MobD', 4, NULL),
(5763, NULL, 'IPR000541', NULL, 'Cytoplasmic tRNA 2-thiolation protein 1', 'Ncs6/Tuc1/Ctu1', 4, NULL),
(5764, NULL, 'IPR034177', NULL, 'PPARGC1B, RNA recognition motif', 'PPARGC1B_RRM', 3, NULL),
(5765, NULL, 'IPR000509', NULL, 'Ribosomal protein L36e', 'Ribosomal_L36e', 4, NULL),
(5766, NULL, 'IPR004412', NULL, 'Glutamyl-tRNA(Gln) amidotransferase A subunit', 'GatA', 4, NULL),
(5767, NULL, 'IPR000479', NULL, 'Cation-independent mannose-6-phosphate receptor repeat', 'CIMR_rpt', 7, NULL),
(5768, NULL, 'IPR001539', NULL, 'Peptidase U32', 'Peptidase_U32', 4, NULL),
(5769, NULL, 'IPR000471', NULL, 'Interferon alpha/beta/delta', 'Interferon_alpha/beta/delta', 4, NULL),
(5770, NULL, 'IPR000670', NULL, 'Urotensin II receptor', 'Urot_II_rcpt', 4, NULL),
(5771, NULL, 'IPR001537', NULL, 'tRNA/rRNA methyltransferase, SpoU type', 'SpoU_MeTrfase', 3, NULL),
(5772, NULL, 'IPR000447', NULL, 'FAD-dependent glycerol-3-phosphate dehydrogenase', 'G3P_DH_FAD-dep', 4, NULL),
(5773, NULL, 'IPR007348', NULL, 'CopC domain', 'CopC_dom', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5774, NULL, 'IPR002178', NULL, 'PTS EIIA type-2 domain', 'PTS_EIIA_type-2_dom', 3, NULL),
(5775, NULL, 'IPR003463', NULL, 'Paralytic/GBP/PSP peptide', 'GBP_PSP', 4, NULL),
(5776, NULL, 'IPR000550', NULL, '7,8-Dihydro-6-hydroxymethylpterin-pyrophosphokinase, HPPK', 'Hppk', 3, NULL),
(5777, NULL, 'IPR002862', NULL, 'Domain of unknown function DUF16', 'DUF16', 3, NULL),
(5778, NULL, 'IPR000549', NULL, 'Photosystem I PsaG/PsaK protein', 'PSI_PsaG/PsaK', 4, NULL),
(5779, NULL, 'IPR004357', NULL, 'Type IV secretion system CagX conjugation protein', 'IVSec_CagX', 4, NULL),
(5780, NULL, 'IPR005805', NULL, 'Rieske iron-sulphur protein, C-terminal', 'Rieske_Fe-S_prot_C', 3, NULL),
(5781, NULL, 'IPR004363', NULL, 'Methylglyoxal synthase', 'Methylgl_synth', 4, NULL),
(5782, NULL, 'IPR000510', NULL, 'Nitrogenase/oxidoreductase, component 1', 'Nase/OxRdtase_comp1', 3, NULL),
(5783, NULL, 'IPR005801', NULL, 'ADC synthase', 'ADC_synthase', 5, NULL),
(5784, NULL, 'IPR004402', NULL, 'Purine nucleoside phosphorylase DeoD-type', 'DeoD-type', 4, NULL),
(5785, NULL, 'IPR006935', NULL, 'Helicase/UvrB, N-terminal', 'Helicase/UvrB_N', 3, NULL),
(5786, NULL, 'IPR000585', NULL, 'Hemopexin-like domain', 'Hemopexin-like_dom', 3, NULL),
(5787, NULL, 'IPR006972', NULL, 'Secretion system effector C, SseC-like', 'SseC', 4, NULL),
(5788, NULL, 'IPR002873', NULL, 'Rotavirus non-structural protein NSP3', 'Rotavirus_NSP3', 4, NULL),
(5789, NULL, 'IPR002874', NULL, 'Alphaherpesvirus glycoprotein I', 'Herpes_gI', 4, NULL),
(5790, NULL, 'IPR006367', NULL, 'Sirohaem synthase, N-terminal', 'Sirohaem_synthase_N', 3, NULL),
(5791, NULL, 'IPR007366', NULL, 'Protein of unknown function DUF432', 'DUF432', 4, NULL),
(5792, NULL, 'IPR000587', NULL, 'Creatinase, N-terminal', 'Creatinase_N', 3, NULL),
(5793, NULL, 'IPR005334', NULL, 'Dynein light chain Tctex-1 like', 'Tctex-1-like', 4, NULL),
(5794, NULL, 'IPR005825', NULL, 'Ribosomal protein L24/L26, conserved site', 'Ribosomal_L24/26_CS', 2, NULL),
(5795, NULL, 'IPR005326', NULL, 'Plectin/S10, N-terminal', 'S10_plectin_N', 3, NULL),
(5796, NULL, 'IPR001533', NULL, 'Pterin 4 alpha carbinolamine dehydratase', 'Pterin_deHydtase', 4, NULL),
(5797, NULL, 'IPR000535', NULL, 'Major sperm protein (MSP) domain', 'MSP_dom', 3, NULL),
(5798, NULL, 'IPR000498', NULL, 'Outer membrane protein OmpA-like, transmembrane domain', 'OmpA-like_TM_dom', 3, NULL),
(5799, NULL, 'IPR001551', NULL, 'Cannabinoid receptor type 2', 'Canbinoid_rcpt_2', 4, NULL),
(5800, NULL, 'IPR000504', NULL, 'RNA recognition motif domain', 'RRM_dom', 3, NULL),
(5801, NULL, 'IPR006371', NULL, '4-hydroxybenzoate polyprenyltransferase-related', 'HB_polyprenyl-transferase-rel', 4, NULL),
(5802, NULL, 'IPR000483', NULL, 'Cysteine-rich flanking region, C-terminal', 'Cys-rich_flank_reg_C', 3, NULL),
(5803, NULL, 'IPR006984', NULL, 'rRNA-processing protein Fcf1/Utp23', 'Fcf1/Utp23', 4, NULL),
(5804, NULL, 'IPR005787', NULL, 'Threonine dehydratase, biosynthetic', 'Thr_deHydtase_biosynth', 4, NULL),
(5805, NULL, 'IPR002885', NULL, 'Pentatricopeptide repeat', 'Pentatricopeptide_repeat', 7, NULL),
(5806, NULL, 'IPR000574', NULL, 'Tymovirus coat protein', 'Tymo_coat', 3, NULL),
(5807, NULL, 'IPR007361', NULL, 'Domain of unknown function DUF427', 'DUF427', 3, NULL),
(5808, NULL, 'IPR006359', NULL, 'Transcription elongation factor GreA', 'Tscrpt_elong_fac_GreA', 4, NULL),
(5809, NULL, 'IPR005810', NULL, 'Succinyl-CoA ligase, alpha subunit', 'CoA_lig_alpha', 4, NULL),
(5810, NULL, 'IPR002181', NULL, 'Fibrinogen, alpha/beta/gamma chain, C-terminal globular domain', 'Fibrinogen_a/b/g_C_dom', 3, NULL),
(5811, NULL, 'IPR001542', NULL, 'Defensin, invertebrate/fungal', 'Defensin_invertebrate/fungal', 3, NULL),
(5812, NULL, 'IPR005809', NULL, 'Succinate--CoA synthetase, beta subunit', 'Succ_CoA_synthase_bsu', 4, NULL),
(5813, NULL, 'IPR007356', NULL, 'tRNA (guanine-N1-)-methyltransferase, eukaryotic', 'tRNA_m1G_MeTrfase_euk', 4, NULL),
(5814, NULL, 'IPR006974', NULL, 'Protein of unknown function DUF648', 'DUF648', 4, NULL),
(5815, NULL, 'IPR000597', NULL, 'Ribosomal protein L3', 'Ribosomal_L3', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5816, NULL, 'IPR000522', NULL, 'ABC transporter, permease protein, BtuC-like', 'ABC_transptr_permease_BtuC', 4, NULL),
(5817, NULL, 'IPR004406', NULL, 'Aconitase B', 'Aconitase_B', 4, NULL),
(5818, NULL, 'IPR000497', NULL, 'Dopamine D5 receptor', 'Dopamine_D5_rcpt', 4, NULL),
(5819, NULL, 'IPR000659', NULL, 'Pyridoxamine 5''-phosphate oxidase', 'Pyridox_Oxase', 4, NULL),
(5820, NULL, 'IPR006379', NULL, 'HAD-superfamily hydrolase, subfamily IIB', 'HAD-SF_hydro_IIB', 4, NULL),
(5821, NULL, 'IPR006989', NULL, 'NAB co-repressor, domain', 'NAB_co-repressor_dom', 3, NULL),
(5822, NULL, 'IPR000579', NULL, 'Cation-transporting P-type ATPase A/B', 'Cation-trans_P-type_ATPase_A/B', 4, NULL),
(5823, NULL, 'IPR006963', NULL, 'Molybdopterin oxidoreductase, 4Fe-4S domain', 'Mopterin_OxRdtase_4Fe-4S_dom', 3, NULL),
(5824, NULL, 'IPR000571', NULL, 'Zinc finger, CCCH-type', 'Znf_CCCH', 3, NULL),
(5825, NULL, 'IPR006368', NULL, 'GDP-mannose 4,6-dehydratase', 'GDP_Man_deHydtase', 4, NULL),
(5826, NULL, 'IPR005335', NULL, 'Terminase small subunit', 'Terminase_ssu', 4, NULL),
(5827, NULL, 'IPR000528', NULL, 'Plant non-specific lipid-transfer protein/Par allergen', 'Plant_nsLTP', 4, NULL),
(5828, NULL, 'IPR000630', NULL, 'Ribosomal protein S8', 'Ribosomal_S8', 4, NULL),
(5829, NULL, 'IPR004413', NULL, 'Aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, B subunit', 'Apn/Gln-ADT_bsu', 4, NULL),
(5830, NULL, 'IPR000604', NULL, 'Major outer membrane protein, Chlamydia', 'Major_OMP_Chlamydia', 4, NULL),
(5831, NULL, 'IPR000472', NULL, 'Activin types I and II receptor domain', 'Activin_recp', 3, NULL),
(5832, NULL, 'IPR024705', NULL, 'Spermatogenesis-associated protein 20', 'Ssp411', 4, NULL),
(5833, NULL, 'IPR006394', NULL, 'Glutamate mutase sigma subunit', 'GlmS', 4, NULL),
(5834, NULL, 'IPR004364', NULL, 'Aminoacyl-tRNA synthetase, class II (D/K/N)', 'Aa-tRNA-synt_II', 3, NULL),
(5835, NULL, 'IPR004394', NULL, 'Protein Iojap/ribosomal silencing factor RsfS', 'Iojap/RsfS/C7orf30', 4, NULL),
(5836, NULL, 'IPR003458', NULL, 'Bacteriophage T4, Gp38, tail fibre assembly', 'Phage_T4_Gp38_tail_assem', 4, NULL),
(5837, NULL, 'IPR001487', NULL, 'Bromodomain', 'Bromodomain', 3, NULL),
(5838, NULL, 'IPR000531', NULL, 'TonB-dependent receptor-like, beta-barrel', 'TonB-dep_rcpt_b-brl', 3, NULL),
(5839, NULL, 'IPR000608', NULL, 'Ubiquitin-conjugating enzyme E2', 'UBQ-conjugat_E2', 3, NULL),
(5840, NULL, 'IPR005330', NULL, 'MHYT domain', 'MHYT_dom', 3, NULL),
(5841, NULL, 'IPR006986', NULL, 'Nab1, C-terminal', 'Nab1_C', 3, NULL),
(5842, NULL, 'IPR006373', NULL, 'Variant surface antigen Rifin', 'VSA_Rifin', 4, NULL),
(5843, NULL, 'IPR001522', NULL, 'Fatty acid desaturase type 1, conserved site', 'FADS-1_CS', 2, NULL),
(5844, NULL, 'IPR000552', NULL, 'Ribosomal protein L44e', 'Ribosomal_L44e', 4, NULL),
(5845, NULL, 'IPR004381', NULL, 'Glycerate kinase', 'Glycerate_kinase', 4, NULL),
(5846, NULL, 'IPR000524', NULL, 'Transcription regulator HTH, GntR', 'Tscrpt_reg_HTH_GntR', 3, NULL),
(5847, NULL, 'IPR022833', NULL, 'Uncharacterised protein family UPF0757, YmgG', 'UPF0757_YmgG', 4, NULL),
(5848, NULL, 'IPR004396', NULL, 'Ribosome-binding ATPase YchF/Obg-like ATPase 1', 'ATPase_YchF/OLA1', 4, NULL),
(5849, NULL, 'IPR004390', NULL, 'Signal-recognition particle receptor FtsY', 'SR_rcpt_FtsY', 4, NULL),
(5850, NULL, 'IPR006961', NULL, 'Harpin, HrpN/Z', 'HrpN/Z', 4, NULL),
(5851, NULL, 'IPR007343', NULL, 'Uncharacterised protein family, zinc metallopeptidase putative', 'Uncharacterised_pept_Zn_put', 4, NULL),
(5852, NULL, 'IPR003454', NULL, 'Monooxygenase component MmoB/DmpM', 'MOase_MmoB_DmpM', 4, NULL),
(5853, NULL, 'IPR000576', NULL, 'LacY/RafB permease family', 'LacY/RafB_perm_fam', 4, NULL),
(5854, NULL, 'IPR004392', NULL, 'Hydrogenase maturation factor HypB', 'Hyd_mat_HypB', 4, NULL),
(5855, NULL, 'IPR000547', NULL, 'Clathrin, heavy chain/VPS, 7-fold repeat', 'Clathrin_H-chain/VPS_repeat', 7, NULL),
(5856, NULL, 'IPR004367', NULL, 'Cyclin, C-terminal domain', 'Cyclin_C-dom', 3, NULL),
(5857, NULL, 'IPR006985', NULL, 'Receptor activity modifying protein', 'RAMP', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5858, NULL, 'IPR001556', NULL, 'Bombesin receptor-like', 'Bombsn_rcpt-like', 4, NULL),
(5859, NULL, 'IPR007352', NULL, 'Protein of unknown function DUF420', 'DUF420', 4, NULL),
(5860, NULL, 'IPR000490', NULL, 'Glycoside hydrolase family 17', 'Glyco_hydro_17', 4, NULL),
(5861, NULL, 'IPR006369', NULL, 'Protohaem IX farnesyltransferase', 'Protohaem_IX_farnesylTrfase', 4, NULL),
(5862, NULL, 'IPR000620', NULL, 'EamA domain', 'EamA_dom', 3, NULL),
(5863, NULL, 'IPR005848', NULL, 'Urease, alpha subunit', 'Urease_asu', 4, NULL),
(5864, NULL, 'IPR001489', NULL, 'Heat-stable enterotoxin, STa', 'Heat-stable_enterotox_STa', 4, NULL),
(5865, NULL, 'IPR000529', NULL, 'Ribosomal protein S6', 'Ribosomal_S6', 4, NULL),
(5866, NULL, 'IPR003451', NULL, '4-hydroxy-3-methylbut-2-enyl diphosphate reductase', 'LytB/IspH', 4, NULL),
(5867, NULL, 'IPR034204', NULL, 'Subtilisin SUB1-like catalytic domain', 'PfSUB1-like_cat_dom', 3, NULL),
(5868, NULL, 'IPR000534', NULL, 'Semialdehyde dehydrogenase, NAD-binding', 'Semialdehyde_DH_NAD-bd', 3, NULL),
(5869, NULL, 'IPR006966', NULL, 'Peroxin-3', 'Peroxin-3', 4, NULL),
(5870, NULL, 'IPR006407', NULL, '1,4-alpha-glucan-branching enzyme, GlgB', 'GlgB', 4, NULL),
(5871, NULL, 'IPR005790', NULL, 'DNA polymerase III, delta subunit', 'DNA_polIII_delta', 4, NULL),
(5872, NULL, 'IPR000484', NULL, 'Photosynthetic reaction centre, L/M', 'Photo_RC_L/M', 4, NULL),
(5873, NULL, 'IPR034375', NULL, 'Ras GTPase-activating protein-binding protein 1', 'G3BP1', 4, NULL),
(5874, NULL, 'IPR000580', NULL, 'TSC-22 / Dip / Bun', 'TSC-22_Dip_Bun', 4, NULL),
(5875, NULL, 'IPR000519', NULL, 'P-type trefoil domain', 'P_trefoil_dom', 3, NULL),
(5876, NULL, 'IPR006397', NULL, 'Glyoxylate carboligase', 'Glyox_carbo_lig', 4, NULL),
(5877, NULL, 'IPR034144', NULL, 'DNA topoisomerase 3-like, TOPRIM domain', 'TOPRIM_TopoIII', 3, NULL),
(5878, NULL, 'IPR005336', NULL, 'Mitochondrial pyruvate carrier', 'MPC', 4, NULL),
(5879, NULL, 'IPR004389', NULL, 'Ribosomal protein L18, bacterial-type', 'Ribosomal_L18_bac-type', 4, NULL),
(5880, NULL, 'IPR004393', NULL, 'Nicotinate-nucleotide pyrophosphorylase', 'NadC', 4, NULL),
(5881, NULL, 'IPR005821', NULL, 'Ion transport domain', 'Ion_trans_dom', 3, NULL),
(5882, NULL, 'IPR006949', NULL, 'Baseplate protein J-like', 'Baseplate_J-like', 3, NULL),
(5883, NULL, 'IPR006943', NULL, 'Domain of unknown function DUF641, plant', 'DUF641_pln', 3, NULL),
(5884, NULL, 'IPR022834', NULL, '8-amino-7-oxononanoate synthase, Proteobacteria', 'AONS_Proteobacteria', 4, NULL),
(5885, NULL, 'IPR006978', NULL, 'Archaeal Nre, N-terminal', 'Nre_N', 3, NULL),
(5886, NULL, 'IPR004349', NULL, 'Vanadium/alternative nitrogenase delta subunit', 'V/Nase_d_su', 4, NULL),
(5887, NULL, 'IPR005831', NULL, 'Aerolysin/haemolysin toxin, conserved site', 'Aerolysin/haemolysin_CS', 2, NULL),
(5888, NULL, 'IPR006976', NULL, 'VanZ-like', 'VanZ-like', 3, NULL),
(5889, NULL, 'IPR005779', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit D', 'MeTrfase_D', 4, NULL),
(5890, NULL, 'IPR000600', NULL, 'ROK family', 'ROK', 4, NULL),
(5891, NULL, 'IPR002876', NULL, 'Transcriptional regulator TACO1-like', 'Transcrip_reg_TACO1-like', 4, NULL),
(5892, NULL, 'IPR034376', NULL, 'G3BP2, RNA recognition motif', 'G3BP2_RRM', 3, NULL),
(5893, NULL, 'IPR034202', NULL, 'Subtilisin Carlsberg-like catalytic domain', 'Subtilisin_Carlsberg-like', 3, NULL),
(5894, NULL, 'IPR004401', NULL, 'Nucleoid-associated protein YbaB/EbfC family', 'YbaB/EbfC', 4, NULL),
(5895, NULL, 'IPR000557', NULL, 'Calponin repeat', 'Calponin_repeat', 7, NULL),
(5896, NULL, 'IPR004347', NULL, 'Pup ligase/deamidase', 'Pup_ligase/deamidase', 4, NULL),
(5897, NULL, 'IPR004354', NULL, 'Meiotic recombination protein Rec114', 'Meiotic_Rec114', 4, NULL),
(5898, NULL, 'IPR004369', NULL, 'Prolyl-tRNA editing protein, YbaK/EbsC', 'Prolyl-tRNA_editing_YbaK/EbsC', 4, NULL),
(5899, NULL, 'IPR002853', NULL, 'Transcription initiation factor IIE subunit alpha, N-terminal', 'TFIIE_asu', 3, NULL),
(5900, NULL, 'IPR000611', NULL, 'Neuropeptide Y receptor family', 'NPY_rcpt', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5901, NULL, 'IPR005844', NULL, 'Alpha-D-phosphohexomutase, alpha/beta/alpha domain I', 'A-D-PHexomutase_a/b/a-I', 3, NULL),
(5902, NULL, 'IPR006365', NULL, 'Cobalamin (vitamin B12) biosynthesis CobL/Precorrin-6Y C(5,15)-methyltransferase', 'Cbl_synth_CobL', 4, NULL),
(5903, NULL, 'IPR007382', NULL, 'Uncharacterised protein family UPF0756, transmembrame', 'UPF0756_TM', 4, NULL),
(5904, NULL, 'IPR000532', NULL, 'Glucagon/GIP/secretin/VIP', 'Glucagon_GIP_secretin_VIP', 3, NULL),
(5905, NULL, 'IPR006960', NULL, 'Major non-capsid protein, tenuivirus', 'Major_non-capsid_tenuivirus', 4, NULL),
(5906, NULL, 'IPR004398', NULL, 'RNA methyltransferase, RsmD', 'RNA_MeTrfase_RsmD', 4, NULL),
(5907, NULL, 'IPR006944', NULL, 'Bacteriophage/Gene transfer agent portal protein', 'Phage/GTA_portal', 4, NULL),
(5908, NULL, 'IPR002847', NULL, 'Coenzyme F420:L-glutamate ligase-like domain', 'F420-0_gamma-glut_ligase-dom', 3, NULL),
(5909, NULL, 'IPR007341', NULL, 'Transglycosylase-associated protein', 'Transgly_assoc', 4, NULL),
(5910, NULL, 'IPR006396', NULL, 'Glutamate mutase epsilon subunit', 'Glu_mut_E', 4, NULL),
(5911, NULL, 'IPR024639', NULL, 'DNA polymerase epsilon subunit B, N-terminal', 'DNA_pol_e_bsu_N', 3, NULL),
(5912, NULL, 'IPR000558', NULL, 'Histone H2B', 'Histone_H2B', 4, NULL),
(5913, NULL, 'IPR000515', NULL, 'ABC transporter type 1, transmembrane domain MetI-like', 'MetI-like', 3, NULL),
(5914, NULL, 'IPR006980', NULL, 'Ammonia monooxygenase/particulate methane monooxygenase, subunit C', 'NH3_CH4_mOase_C', 4, NULL),
(5915, NULL, 'IPR006389', NULL, 'Early transcribed membrane protein (ETRAMP)', 'ETRAMP', 4, NULL),
(5916, NULL, 'IPR000491', NULL, 'Inhibin, beta A subunit', 'Inhibin_betaA', 4, NULL),
(5917, NULL, 'IPR000614', NULL, 'Free Met sulfoxide reductase conserved site', 'FRMsr_CS', 2, NULL),
(5918, NULL, 'IPR007360', NULL, 'Invasion gene expression up-regulator, SirB', 'SirB', 4, NULL),
(5919, NULL, 'IPR005830', NULL, 'Aerolysin', 'Aerolysn', 4, NULL),
(5920, NULL, 'IPR007369', NULL, 'Peptidase A22B, signal peptide peptidase', 'Peptidase_A22B_SPP', 4, NULL),
(5921, NULL, 'IPR006964', NULL, 'NUDE domain', 'NUDE_dom', 3, NULL),
(5922, NULL, 'IPR000588', NULL, 'Peptidase A3A, cauliflower mosaic virus-type', 'Pept_A3A', 3, NULL),
(5923, NULL, 'IPR000629', NULL, 'ATP-dependent RNA helicase DEAD-box, conserved site', 'RNA-helicase_DEAD-box_CS', 2, NULL),
(5924, NULL, 'IPR000625', NULL, 'Anti-repression trans-activator protein, REV protein', 'REV_protein', 4, NULL),
(5925, NULL, 'IPR006384', NULL, 'HAD hydrolase, subfamily IA, Pyridoxal phosphate phosphatase-like', 'HAD_hydro_PyrdxlP_Pase-like', 4, NULL),
(5926, NULL, 'IPR005780', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit E', 'MeTrfase_E', 4, NULL),
(5927, NULL, 'IPR006955', NULL, 'Uso1/p115-like vesicle tethering protein, C-terminal', 'Uso1_p115_C', 3, NULL),
(5928, NULL, 'IPR007378', NULL, 'Tic22-like', 'Tic22-like', 4, NULL),
(5929, NULL, 'IPR004408', NULL, 'Biotin--acetyl-CoA-carboxylase ligase', 'Biotin_CoA_COase_ligase', 4, NULL),
(5930, NULL, 'IPR000554', NULL, 'Ribosomal protein S7e', 'Ribosomal_S7e', 4, NULL),
(5931, NULL, 'IPR023220', NULL, 'Type IV secretion system, VirB5-domain', 'T4SS_VirB5-domain', 5, NULL),
(5932, NULL, 'IPR007384', NULL, 'Protein of unknown function UCP006257', 'UCP006257', 4, NULL),
(5933, NULL, 'IPR000493', NULL, 'Inositol 1,4,5-trisphosphate receptor', 'InsP3_rcpt', 4, NULL),
(5934, NULL, 'IPR001557', NULL, 'L-lactate/malate dehydrogenase', 'L-lactate/malate_DH', 4, NULL),
(5935, NULL, 'IPR007362', NULL, 'Protein of unknown function DUF429', 'DUF429', 4, NULL),
(5936, NULL, 'IPR006995', NULL, 'ATP synthase, F0 complex, subunit J', 'ATP_synth_F0_jsu', 4, NULL),
(5937, NULL, 'IPR000565', NULL, 'DNA topoisomerase, type IIA, subunit B', 'Topo_IIA_B', 4, NULL),
(5938, NULL, 'IPR006971', NULL, 'Poxvirus M2', 'Poxvirus_M2', 4, NULL),
(5939, NULL, 'IPR000573', NULL, 'Aconitase A/isopropylmalate dehydratase small subunit, swivel domain', 'AconitaseA/IPMdHydase_ssu_swvl', 3, NULL),
(5940, NULL, 'IPR001523', NULL, 'Paired domain', 'Paired_dom', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5941, NULL, 'IPR005788', NULL, 'Disulphide isomerase', 'Disulphide_isomerase', 3, NULL),
(5942, NULL, 'IPR000605', NULL, 'Helicase, superfamily 3, single-stranded DNA/RNA virus', 'Helicase_SF3_ssDNA/RNA_vir', 3, NULL),
(5943, NULL, 'IPR000450', NULL, '5-Hydroxytryptamine 1F receptor', '5HT1F_rcpt', 4, NULL),
(5944, NULL, 'IPR001554', NULL, 'Glycoside hydrolase, family 14', 'Glyco_hydro_14', 4, NULL),
(5945, NULL, 'IPR005822', NULL, 'Ribosomal protein L13', 'Ribosomal_L13', 4, NULL),
(5946, NULL, 'IPR003461', NULL, 'Keratin', 'Keratin', 4, NULL),
(5947, NULL, 'IPR006942', NULL, 'TH1 protein', 'TH1', 4, NULL),
(5948, NULL, 'IPR000566', NULL, 'Lipocalin/cytosolic fatty-acid binding domain', 'Lipocln_cytosolic_FA-bd_dom', 3, NULL),
(5949, NULL, 'IPR002868', NULL, 'Hepatitis C virus non-structural 5a protein', 'HCV_NS5a', 3, NULL),
(5950, NULL, 'IPR006948', NULL, 'Alliinase, C-terminal', 'Alliinase_C', 3, NULL),
(5951, NULL, 'IPR000623', NULL, 'Shikimate kinase/Threonine synthase-like 1', 'Shikimate_kinase/TSH1', 4, NULL),
(5952, NULL, 'IPR005827', NULL, 'Potassium channel, voltage dependent, KCNQ1', 'K_chnl_volt-dep_KCQN1', 4, NULL),
(5953, NULL, 'IPR004403', NULL, 'Peptide chain release factor eRF1/aRF1', 'Peptide_chain-rel_eRF1/aRF1', 4, NULL),
(5954, NULL, 'IPR002884', NULL, 'P domain', 'P_dom', 3, NULL),
(5955, NULL, 'IPR007381', NULL, 'Chemotaxis signal transduction system protein F', 'CheF', 4, NULL),
(5956, NULL, 'IPR005802', NULL, 'Aminodeoxychorismate synthase, component I', 'ADC_synth_comp_1', 4, NULL),
(5957, NULL, 'IPR000523', NULL, 'Magnesium chelatase ChlI-like, catalytic domain', 'Mg_chelatse_chII-like_cat_dom', 3, NULL),
(5958, NULL, 'IPR002866', NULL, 'Maturase MatK', 'Maturase_MatK', 4, NULL),
(5959, NULL, 'IPR006375', NULL, 'Mannose-1-phosphate guanylyltransferase/mannose-6-phosphate isomerase', 'Man1P_GuaTrfase/Man6P_Isoase', 4, NULL),
(5960, NULL, 'IPR004379', NULL, 'UDP-galactopyranose mutase', 'UDP-GALP_mutase', 4, NULL),
(5961, NULL, 'IPR004400', NULL, 'Urease accessory protein UreG', 'UreG', 4, NULL),
(5962, NULL, 'IPR000617', NULL, 'Napin/ 2S seed storage protein/Conglutin', 'Napin/2SS/CON', 4, NULL),
(5963, NULL, 'IPR006385', NULL, 'HAD-superfamily hydrolase,  subfamily IB, SerB1-like', 'HAD_hydro_SerB1', 4, NULL),
(5964, NULL, 'IPR002889', NULL, 'Carbohydrate-binding WSC', 'WSC_carb-bd', 3, NULL),
(5965, NULL, 'IPR007371', NULL, 'Thiamin pyrophosphokinase, catalytic domain', 'TPK_catalytic', 3, NULL),
(5966, NULL, 'IPR004356', NULL, 'Adhesin operon regulatory protein', 'Adhesin_operon_reg_prot', 4, NULL),
(5967, NULL, 'IPR005786', NULL, 'Branched-chain amino acid aminotransferase II', 'B_amino_transII', 4, NULL),
(5968, NULL, 'IPR006400', NULL, 'Squalene hopene cyclase', 'Hopene-cyclase', 4, NULL),
(5969, NULL, 'IPR001490', NULL, 'Hepatitis C virus non-structural protein NS4b', 'HCV_NS4b', 3, NULL),
(5970, NULL, 'IPR005322', NULL, 'Peptidase C69, dipeptidase A', 'Peptidase_C69', 4, NULL),
(5971, NULL, 'IPR004358', NULL, 'Signal transduction histidine kinase-related protein, C-terminal', 'Sig_transdc_His_kin-like_C', 3, NULL),
(5972, NULL, 'IPR000569', NULL, 'HECT domain', 'HECT_dom', 3, NULL),
(5973, NULL, 'IPR005849', NULL, 'Galactose-1-phosphate uridyl transferase, N-terminal', 'GalP_Utransf_N', 3, NULL),
(5974, NULL, 'IPR006990', NULL, 'Tweety', 'Tweety', 4, NULL),
(5975, NULL, 'IPR006934', NULL, 'Baculovirus occlusion-derived virus envelope, E66', 'Baculo_ODV-E66', 4, NULL),
(5976, NULL, 'IPR004800', NULL, 'Phosphosugar isomerase, KdsD/KpsF-type', 'KdsD/KpsF-type', 4, NULL),
(5977, NULL, 'IPR006956', NULL, 'Poxvirus L5', 'Poxvirus_L5', 4, NULL),
(5978, NULL, 'IPR000443', NULL, 'Islet amyloid polypeptide', 'IAPP', 4, NULL),
(5979, NULL, 'IPR003453', NULL, 'ABC transport permease subunit MlaE, Proteobacteria', 'ABC_MlaE_Proteobac', 4, NULL),
(5980, NULL, 'IPR000488', NULL, 'Death domain', 'Death_domain', 3, NULL),
(5981, NULL, 'IPR002857', NULL, 'Zinc finger, CXXC-type', 'Znf_CXXC', 3, NULL),
(5982, NULL, 'IPR005324', NULL, 'Ribosomal protein S5, C-terminal', 'Ribosomal_S5_C', 3, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(5983, NULL, 'IPR004410', NULL, 'Malonyl CoA-acyl carrier protein transacylase, FabD-type', 'Malonyl_CoA-ACP_transAc_FabD', 4, NULL),
(5984, NULL, 'IPR006374', NULL, 'Variant surface antigen Stevor', 'VSA_Stevor', 4, NULL),
(5985, NULL, 'IPR000556', NULL, 'Glycoside hydrolase, 48F', 'Glyco_hydro_48F', 4, NULL),
(5986, NULL, 'IPR006936', NULL, 'ALOG domain', 'ALOG_dom', 3, NULL),
(5987, NULL, 'IPR006973', NULL, 'Pre-mRNA-splicing factor  Cwf15/Cwc15', 'Cwf_Cwc_15', 4, NULL),
(5988, NULL, 'IPR000581', NULL, 'Dihydroxy-acid/6-phosphogluconate dehydratase', 'DiOHA_6PGluconate_deHydtase', 4, NULL),
(5989, NULL, 'IPR007357', NULL, 'Photolyase PhrB-like', 'PhrB-like', 4, NULL),
(5990, NULL, 'IPR000603', NULL, '3A/RNA2 movement protein', '3A/RNA2_movement_prot', 4, NULL),
(5991, NULL, 'IPR034624', NULL, 'Xylonate dehydratase 2', 'Xylonate_dehydratase_2', 4, NULL),
(5992, NULL, 'IPR004411', NULL, 'Peptidase A31, coenzyme F420-reducing hydrogenase delta subunit', 'Pept_A31_F420-red_hyd_d', 4, NULL),
(5993, NULL, 'IPR001546', NULL, 'GPCR fungal pheromone A receptor', 'GPCR_Pheromne_A_rcpt', 4, NULL),
(5994, NULL, 'IPR005813', NULL, 'Ribosomal protein L20', 'Ribosomal_L20', 4, NULL),
(5995, NULL, 'IPR006970', NULL, 'PT repeat', 'PT', 7, NULL),
(5996, NULL, 'IPR006391', NULL, 'P-type ATPase, B chain, subfamily IA', 'P-type_ATPase_bsu_IA', 4, NULL),
(5997, NULL, 'IPR007347', NULL, 'Sporulation stage V, protein S', 'SpoVS', 4, NULL),
(5998, NULL, 'IPR000544', NULL, 'Octanoyltransferase', 'Octanoyltransferase', 4, NULL),
(5999, NULL, 'IPR002870', NULL, 'Peptidase M12B, propeptide', 'Peptidase_M12B_N', 3, NULL),
(6000, NULL, 'IPR000577', NULL, 'Carbohydrate kinase, FGGY', 'Carb_kinase_FGGY', 4, NULL),
(6001, NULL, 'IPR006480', NULL, 'Bacteriophage holin family', 'Phage_holin_4_1', 4, NULL),
(6002, NULL, 'IPR003699', NULL, 'S-adenosylmethionine:tRNA ribosyltransferase-isomerase,  QueA', 'QueA', 4, NULL),
(6003, NULL, 'IPR006482', NULL, 'CRISPR-associated protein Cas7, subtype I-B/I-C', 'Cas7_Csh2/Csh2', 4, NULL),
(6004, NULL, 'IPR002293', NULL, 'Amino acid/polyamine transporter I', 'AA/rel_permease1', 4, NULL),
(6005, NULL, 'IPR003913', NULL, 'Tuberin', 'Tuberin', 4, NULL),
(6006, NULL, 'IPR006476', NULL, 'Conserved hypothetical protein CHP01589, plant', 'CHP01589_pln', 4, NULL),
(6007, NULL, 'IPR003524', NULL, 'Phospho-N-acetylmuramoyl-pentapeptide transferase', 'PNAcMuramoyl-5peptid_Trfase', 4, NULL),
(6008, NULL, 'IPR009056', NULL, 'Cytochrome c-like domain', 'Cyt_c-like_dom', 3, NULL),
(6009, NULL, 'IPR002282', NULL, 'Platelet-activating factor receptor', 'PAF_rcpt', 4, NULL),
(6010, NULL, 'IPR003904', NULL, 'Apelin receptor', 'Apelin_rcpt', 4, NULL),
(6011, NULL, 'IPR001486', NULL, 'Truncated hemoglobin', 'Hemoglobin_trunc', 4, NULL),
(6012, NULL, 'IPR007212', NULL, 'Cysteine-rich small domain', 'Zf-like', 3, NULL),
(6013, NULL, 'IPR007223', NULL, 'Peroxin 13, N-terminal', 'Peroxin-13_N', 3, NULL),
(6014, NULL, 'IPR008095', NULL, 'MHC class II transactivator', 'MHC_II_transact', 4, NULL),
(6015, NULL, 'IPR003505', NULL, 'Glial cell line-derived neurotrophic factor receptor, alpha 3', 'GDNF_rcpt_A3', 4, NULL),
(6016, NULL, 'IPR008075', NULL, 'Lipocalin-interacting membrane receptor', 'LIMR', 4, NULL),
(6017, NULL, 'IPR008121', NULL, 'Transcription factor AP-2 alpha, N-terminal', 'TF_AP2_alpha_N', 3, NULL),
(6018, NULL, 'IPR003907', NULL, 'Galanin receptor 2', 'GAL2_rcpt', 4, NULL),
(6019, NULL, 'IPR009052', NULL, 'DNA polymerase III-theta, bacterial', 'DNA_pol_III_theta_bac', 4, NULL),
(6020, NULL, 'IPR003493', NULL, 'Herpesvirus glycoprotein H', 'Herpes_gH', 4, NULL),
(6021, NULL, 'IPR003715', NULL, 'Polysaccharide export protein', 'Poly_export', 4, NULL),
(6022, NULL, 'IPR005381', NULL, 'Zinc finger-XS domain', 'Znf-XS_domain', 3, NULL),
(6023, NULL, 'IPR006464', NULL, 'N-acetyltransferase RimI/Ard1', 'AcTrfase_RimI/Ard1', 4, NULL),
(6024, NULL, 'IPR010071', NULL, 'Amino acid adenylation domain', 'AA_adenyl_domain', 3, NULL),
(6025, NULL, 'IPR008102', NULL, 'Histamine H4 receptor', 'Histamine_H4_rcpt', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6026, NULL, 'IPR003748', NULL, 'Protein of unknown function DUF169', 'DUF169', 4, NULL),
(6027, NULL, 'IPR006478', NULL, 'Formate dehydrogenase, alpha subunit', 'Formate_DH_asu', 4, NULL),
(6028, NULL, 'IPR002392', NULL, 'Annexin A5', 'ANX5', 4, NULL),
(6029, NULL, 'IPR002322', NULL, 'Cytochrome c, class III', 'Cyt_c_III', 4, NULL),
(6030, NULL, 'IPR002324', NULL, 'Cytochrome c, class ID', 'Cyt_c_ID', 4, NULL),
(6031, NULL, 'IPR003528', NULL, 'Long hematopoietin receptor, single chain, conserved site', 'Long_hematopoietin_rcpt_CS', 2, NULL),
(6032, NULL, 'IPR003833', NULL, 'Carboxyltransferase domain, subdomain C and D', 'CT_C_D', 3, NULL),
(6033, NULL, 'IPR003475', NULL, 'Insect protein of unknown function', 'Insect_Unk', 4, NULL),
(6034, NULL, 'IPR001492', NULL, 'Flagellin', 'Flagellin', 4, NULL),
(6035, NULL, 'IPR008119', NULL, 'Dense granule Gra6 protein', 'Gra6_protein', 4, NULL),
(6036, NULL, 'IPR010059', NULL, 'Uridine phosphorylase, eukaryotic', 'Uridine_phosphorylase_euk', 4, NULL),
(6037, NULL, 'IPR010068', NULL, 'Taurine ABC transporter, substrate-binding protein TauA', 'Peri-bd_TauA', 4, NULL),
(6038, NULL, 'IPR002295', NULL, 'N6 adenine-specific DNA methyltransferase, D21 class', 'D21N6_MeTrfase', 4, NULL),
(6039, NULL, 'IPR006473', NULL, 'Peptidase C58, YopT-type domain', 'Peptidase_C58_Yopt', 3, NULL),
(6040, NULL, 'IPR003513', NULL, 'Scaffold protein B', 'Phage_B', 4, NULL),
(6041, NULL, 'IPR008111', NULL, 'RNA-binding motif protein 8', 'RNA-bd_8', 4, NULL),
(6042, NULL, 'IPR006472', NULL, 'Citrate lyase, alpha subunit', 'Citrate_lyase_asu', 4, NULL),
(6043, NULL, 'IPR003523', NULL, 'Transcription factor COE', 'Transcription_factor_COE', 4, NULL),
(6044, NULL, 'IPR034661', NULL, 'Atypical protein kinase C iota type, catalytic domain', 'aPKC_iota', 3, NULL),
(6045, NULL, 'IPR005369', NULL, 'Uncharacterised protein family UPF0179', 'UPF0179', 4, NULL),
(6046, NULL, 'IPR005373', NULL, 'Phagosome assembly factor 1', 'PHAF1', 4, NULL),
(6047, NULL, 'IPR003500', NULL, 'Sugar-phosphate isomerase, RpiB/LacA/LacB family', 'RpiB_LacA_LacB', 4, NULL),
(6048, NULL, 'IPR007385', NULL, 'Prokaryotic chromosome segregation/condensation protein MukE', 'Scp_MukE', 4, NULL),
(6049, NULL, 'IPR008083', NULL, 'CD34 antigen', 'CD34', 4, NULL),
(6050, NULL, 'IPR002343', NULL, 'Paraneoplastic encephalomyelitis antigen', 'Hud_Sxl_RNA', 4, NULL),
(6051, NULL, 'IPR034191', NULL, 'MARF1, RNA recognition motif 2', 'MARF1_RRM2', 3, NULL),
(6052, NULL, 'IPR002306', NULL, 'Tryptophan-tRNA ligase', 'Trp-tRNA-ligase', 4, NULL),
(6053, NULL, 'IPR002893', NULL, 'Zinc finger, MYND-type', 'Znf_MYND', 3, NULL),
(6054, NULL, 'IPR005354', NULL, 'Uncharacterised protein family UPF0147', 'UPF0147', 4, NULL),
(6055, NULL, 'IPR008127', NULL, 'Glycine receptor alpha', 'Glycine_rcpt_A', 4, NULL),
(6056, NULL, 'IPR002257', NULL, 'Flavin monooxygenase (FMO) 5', 'Flavin_mOase_5', 4, NULL),
(6057, NULL, 'IPR003790', NULL, 'Glycosyl hydrolase-like 10', 'GHL10', 3, NULL),
(6058, NULL, 'IPR002225', NULL, '3-beta hydroxysteroid dehydrogenase/isomerase', '3Beta_OHSteriod_DH/Estase', 3, NULL),
(6059, NULL, 'IPR006467', NULL, 'MiaB-like tRNA modifying enzyme', 'MiaB-like_C', 4, NULL),
(6060, NULL, 'IPR002401', NULL, 'Cytochrome P450, E-class, group I', 'Cyt_P450_E_grp-I', 4, NULL),
(6061, NULL, 'IPR009068', NULL, 'S15/NS1, RNA-binding', 'S15_NS1_RNA-bd', 5, NULL),
(6062, NULL, 'IPR008078', NULL, 'GPCR family 2, Ig-hepta-like receptor', 'GPCR_2_Ig-hepta-like_rcpt', 4, NULL),
(6063, NULL, 'IPR009088', NULL, 'Transcription factor IIA, beta-barrel', 'TFIIA_b-brl', 5, NULL),
(6064, NULL, 'IPR008101', NULL, 'Gamma-aminobutyric-acid A receptor theta subunit', 'GABAAt_rcpt', 4, NULL),
(6065, NULL, 'IPR008124', NULL, 'Streptokinase', 'SK', 4, NULL),
(6066, NULL, 'IPR001484', NULL, 'Pyrokinin, conserved site', 'Pyrokinin_CS', 2, NULL),
(6067, NULL, 'IPR008079', NULL, 'Voltage-dependent calcium channel, L-type, beta-3 subunit', 'VDCC_L_b3su', 4, NULL),
(6068, NULL, 'IPR006491', NULL, 'Plasmodium yoelii subtelomeric PYST-C2', 'PYST_C2', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6069, NULL, 'IPR007387', NULL, 'TRAP transporter, small membrane protein DctQ', 'TRAP_DctQ', 4, NULL),
(6070, NULL, 'IPR003483', NULL, 'Borrelia outer surface protein E/F', 'OspEF', 4, NULL),
(6071, NULL, 'IPR002902', NULL, 'Gnk2-homologous domain', 'GNK2', 3, NULL),
(6072, NULL, 'IPR003491', NULL, 'Replication initiation factor', 'Rep_trans', 4, NULL),
(6073, NULL, 'IPR005346', NULL, 'RnfH protein', 'RnfH', 4, NULL),
(6074, NULL, 'IPR005378', NULL, 'Vacuolar protein sorting-associated protein 35', 'Vps35', 4, NULL),
(6075, NULL, 'IPR003917', NULL, 'NADH:ubiquinone oxidoreductase, chain 2', 'NADH_UbQ_OxRdtase_chain2', 4, NULL),
(6076, NULL, 'IPR008275', NULL, 'CoA enzyme activase', 'CoA_E_activase', 3, NULL),
(6077, NULL, 'IPR008072', NULL, 'Cytochrome P450, E-class, CYP3A', 'Cyt_P450_E_CYP3A', 4, NULL),
(6078, NULL, 'IPR034377', NULL, 'Ras GTPase-activating protein-binding protein 2', 'G3BP2', 4, NULL),
(6079, NULL, 'IPR005193', NULL, 'Glycoside hydrolase, family 62, arabinosidase', 'GH62_arabinosidase', 4, NULL),
(6080, NULL, 'IPR002187', NULL, 'Nitrogen regulatory protein PII', 'N-reg_PII', 4, NULL),
(6081, NULL, 'IPR034010', NULL, 'DGCR2-like, C-type lectin-like domain', 'DGCR2-like_CTLD', 3, NULL),
(6082, NULL, 'IPR003478', NULL, 'Outer capsid sigma 1s', 'Capsid_sigma_1s', 4, NULL),
(6083, NULL, 'IPR008104', NULL, 'Macrophage infectivity potentiator', 'INFPOTNTIATR', 4, NULL),
(6084, NULL, 'IPR003520', NULL, 'Salmonella/Shigella invasion protein E', 'Invas_InvE', 4, NULL),
(6085, NULL, 'IPR002364', NULL, 'Quinone oxidoreductase/zeta-crystallin, conserved site', 'Quin_OxRdtase/zeta-crystal_CS', 2, NULL),
(6086, NULL, 'IPR005376', NULL, 'Adenovirus DNA-binding, zinc-binding domain', 'Adenovirus_DNA-bd_zn-bd', 3, NULL),
(6087, NULL, 'IPR003676', NULL, 'Small auxin-up RNA', 'SAUR_fam', 4, NULL),
(6088, NULL, 'IPR002234', NULL, 'Anaphylatoxin chemotactic receptor family', 'Anphylx_rcpt', 4, NULL),
(6089, NULL, 'IPR001512', NULL, 'Somatostatin receptor 4', 'Somatstn_rcpt_4', 4, NULL),
(6090, NULL, 'IPR009060', NULL, 'UBA-like superfamily', 'UBA-like_sf', 5, NULL),
(6091, NULL, 'IPR003743', NULL, 'C4-type zinc ribbon domain', 'Zf-RING_7', 3, NULL),
(6092, NULL, 'IPR003927', NULL, 'Claudin-16', 'Claudin16', 4, NULL),
(6093, NULL, 'IPR007215', NULL, 'Sulphur relay, TusB/DsrH', 'Sulphur_relay_TusB/DsrH', 4, NULL),
(6094, NULL, 'IPR009076', NULL, 'FKBP12-rapamycin binding domain', 'FRB_dom', 3, NULL),
(6095, NULL, 'IPR002915', NULL, 'DeoC/FbaB/LacD aldolase', 'DeoC/FbaB/LacD_aldolase', 4, NULL),
(6096, NULL, 'IPR003485', NULL, 'Herpesvirus US2, varicellovirus-type', 'Herpes_US2_varicellovirus', 4, NULL),
(6097, NULL, 'IPR003471', NULL, 'Adenovirus E3 region protein CR1', 'Adeno_E3_CR1', 3, NULL),
(6098, NULL, 'IPR002291', NULL, 'Phosphorylase kinase, gamma catalytic subunit', 'Phosph_kin_gamma', 4, NULL),
(6099, NULL, 'IPR034125', NULL, 'RBM6, RNA recognition motif 2', 'RBM6_RRM2', 3, NULL),
(6100, NULL, 'IPR001461', NULL, 'Aspartic peptidase A1 family', 'Aspartic_peptidase_A1', 4, NULL),
(6101, NULL, 'IPR003514', NULL, 'Microviridae F protein', 'Microviridae_protein_F', 4, NULL),
(6102, NULL, 'IPR001469', NULL, 'ATP synthase, F1 complex, delta/epsilon subunit', 'ATP_synth_F1_dsu/esu', 4, NULL),
(6103, NULL, 'IPR007003', NULL, 'Protein of unknown function DUF655', 'DUF655', 4, NULL),
(6104, NULL, 'IPR002320', NULL, 'Threonine-tRNA ligase, class IIa', 'Thr-tRNA-ligase_IIa', 4, NULL),
(6105, NULL, 'IPR003066', NULL, 'Salmonella invasion protein InvJ', 'Invas_InvJ', 4, NULL),
(6106, NULL, 'IPR007216', NULL, 'CCR4-NOT transcription complex subunit 9', 'CNOT9', 4, NULL),
(6107, NULL, 'IPR002350', NULL, 'Kazal domain', 'Kazal_dom', 3, NULL),
(6108, NULL, 'IPR009079', NULL, 'Four-helical cytokine-like, core', '4_helix_cytokine-like_core', 5, NULL),
(6109, NULL, 'IPR008135', NULL, 'Competence-induced protein CinA', 'Competence-induced_CinA', 4, NULL),
(6110, NULL, 'IPR009071', NULL, 'High mobility group box domain', 'HMG_box_dom', 3, NULL),
(6111, NULL, 'IPR003914', NULL, 'Rabaptin', 'Rabaptin', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6112, NULL, 'IPR003736', NULL, 'Phenylacetic acid degradation-related domain', 'PAAI_dom', 3, NULL),
(6113, NULL, 'IPR003908', NULL, 'Galanin receptor 3', 'Galnin_3_rcpt', 4, NULL),
(6114, NULL, 'IPR003527', NULL, 'Mitogen-activated protein (MAP) kinase, conserved site', 'MAP_kinase_CS', 2, NULL),
(6115, NULL, 'IPR022789', NULL, 'Antitoxin ParD', 'ParD', 4, NULL),
(6116, NULL, 'IPR003762', NULL, 'L-arabinose isomerase', 'Lara_isomerase', 4, NULL),
(6117, NULL, 'IPR009089', NULL, 'XRCC4, N-terminal domain superfamily', 'XRCC4_N_sf', 5, NULL),
(6118, NULL, 'IPR008253', NULL, 'Marvel domain', 'Marvel', 3, NULL),
(6119, NULL, 'IPR002410', NULL, 'Peptidase S33', 'Peptidase_S33', 4, NULL),
(6120, NULL, 'IPR002905', NULL, 'tRNA methyltransferase, Trm1', 'Trm1', 4, NULL),
(6121, NULL, 'IPR034126', NULL, 'RNA-binding protein Musashi homologue, RNA recognition motif 2', 'MSI_RRM2', 3, NULL),
(6122, NULL, 'IPR002906', NULL, 'Ribosomal protein S27a', 'Ribosomal_S27a', 3, NULL),
(6123, NULL, 'IPR002196', NULL, 'Glycoside hydrolase, family 24', 'Glyco_hydro_24', 4, NULL),
(6124, NULL, 'IPR009051', NULL, 'Alpha-helical ferredoxin', 'Helical_ferredxn', 5, NULL),
(6125, NULL, 'IPR034428', NULL, 'ThiH/NocL/HydG-like', 'ThiH/NoCL/HydG-like', 4, NULL),
(6126, NULL, 'IPR002398', NULL, 'Peptidase C14 family', 'Pept_C14', 4, NULL),
(6127, NULL, 'IPR008109', NULL, 'P2Y13 purinoceptor', 'P2Y13_rcpt', 4, NULL),
(6128, NULL, 'IPR009049', NULL, 'Argininosuccinate lyase', 'Argininosuccinate_lyase', 4, NULL),
(6129, NULL, 'IPR010067', NULL, 'Aliphatic sulfonates-binding protein', 'ABC_SsuA_sub-bd', 4, NULL),
(6130, NULL, 'IPR003521', NULL, 'ICln', 'ICln', 4, NULL),
(6131, NULL, 'IPR002285', NULL, 'GPCR, family 2, pituitary adenylate cyclase activating polypeptide type 1 receptor', 'GPCR_2_PACAP_1_rcpt', 4, NULL),
(6132, NULL, 'IPR009094', NULL, 'Disulphide bond isomerase DsbC/G, N-terminal domain superfamily', 'DiS-bond_isomerase_DsbC/G_N_sf', 5, NULL),
(6133, NULL, 'IPR008118', NULL, 'Dense granule Gra2 protein', 'Gra2_protein', 4, NULL),
(6134, NULL, 'IPR006489', NULL, 'Plasmodium yoelii repeat of length 46', 'PY-rept-46', 7, NULL),
(6135, NULL, 'IPR001475', NULL, 'ATP-binding cassette subfamily C member 9', 'ABCC9', 4, NULL),
(6136, NULL, 'IPR010065', NULL, 'Amino acid ABC transporter, permease protein, 3-TM domain', 'AA_ABC_transptr_permease_3TM', 3, NULL),
(6137, NULL, 'IPR010072', NULL, 'D-alanine--D-alanyl carrier protein ligase', 'DltA', 4, NULL),
(6138, NULL, 'IPR002394', NULL, 'Nicotinic acetylcholine receptor', 'Nicotinic_acetylcholine_rcpt', 4, NULL),
(6139, NULL, 'IPR024646', NULL, 'Angiomotin, C-terminal', 'Angiomotin_C', 3, NULL),
(6140, NULL, 'IPR002318', NULL, 'Alanine-tRNA ligase, class IIc', 'Ala-tRNA-lgiase_IIc', 4, NULL),
(6141, NULL, 'IPR001462', NULL, 'Hepadnaviral P protein, C-terminal', 'DNApol_viral_C', 3, NULL),
(6142, NULL, 'IPR034398', NULL, 'Prp24, RNA recognition motif2', 'Prp24_RRM2', 3, NULL),
(6143, NULL, 'IPR002362', NULL, 'Antenna complex, beta subunit', 'Antenna_beta', 4, NULL),
(6144, NULL, 'IPR003684', NULL, 'Porin, alpha proteobacteria type', 'Porin_alphabac', 4, NULL),
(6145, NULL, 'IPR003380', NULL, 'SKI/SNO/DAC domain', 'SKI/SNO/DAC', 3, NULL),
(6146, NULL, 'IPR008133', NULL, '5-hydroxytryptamine 3 receptor, A subunit', '5HT3_rcpt_A', 4, NULL),
(6147, NULL, 'IPR003775', NULL, 'Flagellar assembly factor FliW', 'Flagellar_assembly_factor_FliW', 4, NULL),
(6148, NULL, 'IPR002205', NULL, 'DNA topoisomerase, type IIA,  domain A', 'Topo_IIA_dom_A', 3, NULL),
(6149, NULL, 'IPR002220', NULL, 'DapA-like', 'DapA-like', 4, NULL),
(6150, NULL, 'IPR003561', NULL, 'Mutator MutT', 'Mutator_MutT', 4, NULL),
(6151, NULL, 'IPR003278', NULL, 'Potassium channel, inwardly rectifying, Kir6.1', 'K_chnl_inward-rec_Kir6.1', 4, NULL),
(6152, NULL, 'IPR009077', NULL, 'Proteasome activator PA28', 'Proteasome_activ_PA28', 4, NULL),
(6153, NULL, 'IPR006475', NULL, 'Citrate lyase, beta subunit, bacteria', 'Citrate_lyase_beta_bac', 4, NULL),
(6154, NULL, 'IPR008116', NULL, 'Sequence-specific single-strand DNA-binding protein', 'SSDP_DNA-bd', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6155, NULL, 'IPR008136', NULL, 'CinA, C-terminal', 'CinA_C', 3, NULL),
(6156, NULL, 'IPR003550', NULL, 'Claudin-4', 'Claudin4', 4, NULL),
(6157, NULL, 'IPR004848', NULL, 'Viral family 110', 'V110_vir', 4, NULL),
(6158, NULL, 'IPR003926', NULL, 'Claudin-8', 'Claudin8', 4, NULL),
(6159, NULL, 'IPR009078', NULL, 'Ferritin-like superfamily', 'Ferritin-like_SF', 5, NULL),
(6160, NULL, 'IPR003498', NULL, 'Probable DNA packing protein, C-terminal', 'DNA_pack_C', 3, NULL),
(6161, NULL, 'IPR001503', NULL, 'Glycosyl transferase family 10', 'Glyco_trans_10', 4, NULL),
(6162, NULL, 'IPR005188', NULL, 'Influenza C non-structural protein NS2', 'Flu_C_NS2', 3, NULL),
(6163, NULL, 'IPR009081', NULL, 'Phosphopantetheine binding ACP domain', 'PP-bd_ACP', 3, NULL),
(6164, NULL, 'IPR001458', NULL, 'GPCR, family 3, metabotropic glutamate receptor 2', 'GPCR_3_mtglu_rcpt_2', 4, NULL),
(6165, NULL, 'IPR008092', NULL, 'Ribosomal protein S29, mitochondrial', 'Ribosomal_S29_mit', 4, NULL),
(6166, NULL, 'IPR006487', NULL, 'Bacteriophage lambda, GpL, minor tail', 'Phage_lambda_GpL', 4, NULL),
(6167, NULL, 'IPR008131', NULL, 'Early E3 14.5kDa protein', 'Adeno_E3_14_5', 4, NULL),
(6168, NULL, 'IPR003932', NULL, 'Epithelial membrane protein EMP-1', 'EMP_1', 4, NULL),
(6169, NULL, 'IPR009087', NULL, 'Rab geranylgeranyltransferase, alpha subunit, insert-domain', 'RabGGT_asu_insert-domain', 3, NULL),
(6170, NULL, 'IPR006470', NULL, 'Formate dehydrogenase iron-sulphur subunit, Proteobacteria', 'Formate_DH_bsu_Proteobacteria', 4, NULL),
(6171, NULL, 'IPR003487', NULL, 'Phosphoprotein, pneumoviral', 'Pprotein_pneumovir', 4, NULL),
(6172, NULL, 'IPR002908', NULL, 'Frataxin/CyaY', 'Frataxin/CyaY', 4, NULL),
(6173, NULL, 'IPR003555', NULL, 'Claudin-11', 'Claudin11', 4, NULL),
(6174, NULL, 'IPR003516', NULL, 'Fanconi anaemia group A protein', 'FANCA', 4, NULL),
(6175, NULL, 'IPR008120', NULL, 'Dense granule Gra7 protein', 'Dense_granule_Gra7_protein', 4, NULL),
(6176, NULL, 'IPR002346', NULL, 'Molybdopterin dehydrogenase, FAD-binding', 'Mopterin_DH_FAD-bd', 3, NULL),
(6177, NULL, 'IPR010060', NULL, 'Non-ribosomal peptide synthase', 'NRPS_synth', 3, NULL),
(6178, NULL, 'IPR009057', NULL, 'Homeobox-like domain superfamily', 'Homeobox-like_sf', 5, NULL),
(6179, NULL, 'IPR003919', NULL, 'Cellulose synthase, subunit A', 'Cell_synth_A', 4, NULL),
(6180, NULL, 'IPR008080', NULL, 'Parvalbumin', 'Parvalbumin', 4, NULL),
(6181, NULL, 'IPR003494', NULL, 'SHS2 domain inserted in FtsA', 'SHS2_FtsA', 3, NULL),
(6182, NULL, 'IPR001501', NULL, 'Nickel-dependent hydrogenase, large subunit', 'Ni-dep_hyd_lsu', 4, NULL),
(6183, NULL, 'IPR003474', NULL, 'Gluconate transporter', 'Glcn_transporter', 4, NULL),
(6184, NULL, 'IPR003788', NULL, 'Protein arginine methyltransferase NDUFAF7', 'NDUFAF7', 4, NULL),
(6185, NULL, 'IPR008112', NULL, 'Relaxin receptor', 'Relaxin_rcpt', 4, NULL),
(6186, NULL, 'IPR002913', NULL, 'START domain', 'START_lipid-bd_dom', 3, NULL),
(6187, NULL, 'IPR007221', NULL, 'Rod shape-determining protein MreC', 'MreC', 4, NULL),
(6188, NULL, 'IPR002241', NULL, 'Glycoside hydrolase, family 27', 'Glyco_hydro_27', 4, NULL),
(6189, NULL, 'IPR009095', NULL, 'TRADD, N-terminal', 'TRADD_N', 3, NULL),
(6190, NULL, 'IPR007219', NULL, 'Transcription factor domain, fungi', 'Transcription_factor_dom_fun', 3, NULL),
(6191, NULL, 'IPR008088', NULL, 'Alpha giardin', 'Alpha_giardin', 4, NULL),
(6192, NULL, 'IPR001507', NULL, 'Zona pellucida domain', 'ZP_dom', 3, NULL),
(6193, NULL, 'IPR034422', NULL, 'HydE/PylB-like', 'HydE/PylB-like', 4, NULL),
(6194, NULL, 'IPR009092', NULL, 'Telokin-like protein, Tlp20, baculovirus', 'Telokin-like_Tlp20_baculovir', 4, NULL),
(6195, NULL, 'IPR003502', NULL, 'Interleukin-1 propeptide', 'IL-1_propep', 3, NULL),
(6196, NULL, 'IPR006488', NULL, 'Uncharacterised domain PYST-C1, N-terminal', 'Uncharacterised_PYST-C1_N', 3, NULL),
(6197, NULL, 'IPR009053', NULL, 'Prefoldin', 'Prefoldin', 5, NULL),
(6198, NULL, 'IPR005345', NULL, 'PHF5-like', 'PHF5', 4, NULL),
(6199, NULL, 'IPR001493', NULL, 'Peptidase A22A, presenilin 2', 'Pept_A22A_PS2', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6200, NULL, 'IPR005362', NULL, 'Uncharacterised protein family UPF0164', 'UPF0164', 4, NULL),
(6201, NULL, 'IPR009062', NULL, 'Smac/DIABLO-like superfamily', 'Smac/DIABLO-like_sf', 5, NULL),
(6202, NULL, 'IPR003934', NULL, 'Epithelial membrane protein EMP-3', 'EMP_3', 4, NULL),
(6203, NULL, 'IPR003779', NULL, 'Carboxymuconolactone decarboxylase-like', 'CMD-like', 3, NULL),
(6204, NULL, 'IPR008129', NULL, 'Glycine receptor alpha2', 'Glycine_rcpt_A2', 4, NULL),
(6205, NULL, 'IPR009084', NULL, 'B transposition protein, C-terminal', 'B_transpositn_C', 3, NULL),
(6206, NULL, 'IPR005358', NULL, 'Putative zinc- or iron-chelating domain containing protein', 'Puta_zinc/iron-chelating_dom', 4, NULL),
(6207, NULL, 'IPR005352', NULL, 'Erg28', 'Erg28', 4, NULL),
(6208, NULL, 'IPR008097', NULL, 'Fractalkine', 'CX3CL1', 4, NULL),
(6209, NULL, 'IPR008132', NULL, '5-hydroxytryptamine 3 receptor', '5HT3_rcpt', 4, NULL),
(6210, NULL, 'IPR002280', NULL, 'Melatonin-related receptor 1X', 'Mel_rcpt_1X', 4, NULL),
(6211, NULL, 'IPR003929', NULL, 'Calcium-activated potassium channel BK, alpha subunit', 'K_chnl_BK_asu', 3, NULL),
(6212, NULL, 'IPR034641', NULL, 'Polysaccharide lyase family 11', 'RGL11', 4, NULL),
(6213, NULL, 'IPR003519', NULL, 'OspF/SpvC', 'OspF/SpvC', 4, NULL),
(6214, NULL, 'IPR002184', NULL, '7TM GPCR, serpentine receptor class b (Srb)', '7TM_GPCR_serpentine_rcpt_Srb', 4, NULL),
(6215, NULL, 'IPR006495', NULL, 'Citrate lyase acyl carrier protein CitD', 'CitD', 4, NULL),
(6216, NULL, 'IPR003510', NULL, 'Fumarate reductase, subunit C', 'Fumarate_red_C', 4, NULL),
(6217, NULL, 'IPR001451', NULL, 'Hexapeptide repeat', 'Hexapep', 7, NULL),
(6218, NULL, 'IPR005349', NULL, 'TMEM14 family', 'TMEM14', 4, NULL),
(6219, NULL, 'IPR003508', NULL, 'CIDE-N domain', 'CIDE-N_dom', 3, NULL),
(6220, NULL, 'IPR001465', NULL, 'Malate synthase', 'Malate_synthase', 4, NULL),
(6221, NULL, 'IPR003571', NULL, 'Snake three-finger toxin', 'Snake_3FTx', 4, NULL),
(6222, NULL, 'IPR002254', NULL, 'Flavin monooxygenase (FMO) 2', 'Flavin_mOase_2', 4, NULL),
(6223, NULL, 'IPR003496', NULL, 'ABA/WDS induced protein', 'ABA_WDS', 4, NULL),
(6224, NULL, 'IPR003495', NULL, 'CobW/HypB/UreG, nucleotide-binding domain', 'CobW/HypB/UreG_dom', 3, NULL),
(6225, NULL, 'IPR007211', NULL, 'Protein of unknown function DUF378', 'DUF378', 4, NULL),
(6226, NULL, 'IPR003470', NULL, 'Adenovirus E3 region protein CR2', 'Adeno_E3_CR2', 3, NULL),
(6227, NULL, 'IPR034652', NULL, 'Signal recognition particle subunit SRP68, RNA-binding domain', 'SRP68-RBD', 3, NULL),
(6228, NULL, 'IPR007217', NULL, 'Per1-like', 'Per1-like', 4, NULL),
(6229, NULL, 'IPR002248', NULL, 'Chloride channel ClC-6', 'Cl_channel-6', 4, NULL),
(6230, NULL, 'IPR003930', NULL, 'Potassium channel, calcium-activated, BK, beta subunit', 'K_chnl_Ca-activ_BK_bsu', 4, NULL),
(6231, NULL, 'IPR005370', NULL, 'Uncharacterised protein family UPF0180', 'UPF0180', 4, NULL),
(6232, NULL, 'IPR023935', NULL, 'Replication factor C, large subunit', 'Rep_factor-C_lsu', 4, NULL),
(6233, NULL, 'IPR003912', NULL, 'Protease-activated receptor', 'Protea_act_rcpt', 4, NULL),
(6234, NULL, 'IPR001414', NULL, 'G-protein coupled receptor 143', 'GPR143', 4, NULL),
(6235, NULL, 'IPR003737', NULL, 'N-acetylglucosaminyl phosphatidylinositol deacetylase-related', 'GlcNAc_PI_deacetylase-related', 4, NULL),
(6236, NULL, 'IPR023635', NULL, 'Peptide deformylase', 'Peptide_deformylase', 4, NULL),
(6237, NULL, 'IPR002919', NULL, 'Trypsin Inhibitor-like, cysteine rich domain', 'TIL_dom', 3, NULL),
(6238, NULL, 'IPR003806', NULL, 'ATP-grasp fold, PylC-type', 'ATP-grasp_PylC-type', 3, NULL),
(6239, NULL, 'IPR008126', NULL, 'Outer membrane adhesion, Yersinia', 'OM_adhesion_Yersinia', 4, NULL),
(6240, NULL, 'IPR003923', NULL, 'Transcription initiation factor TFIID, 23-30kDa subunit', 'TFIID_30kDa', 4, NULL),
(6241, NULL, 'IPR005344', NULL, 'TMEM33/Pom33 family', 'TMEM33/Pom33', 4, NULL),
(6242, NULL, 'IPR003522', NULL, 'Type III secretion system outer membrane pore YscC/HrcC', 'T3SS_OM_pore_YscC', 4, NULL),
(6243, NULL, 'IPR009093', NULL, 'Bacteriophage P22 tailspike, N-terminal', 'P22_tailspike_N', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6244, NULL, 'IPR003915', NULL, 'Polycystic kidney disease type 2 protein', 'PKD_2', 4, NULL),
(6245, NULL, 'IPR034011', NULL, 'Attractin-like, C-type lectin-like domain', 'Attractin-like_CTLD', 3, NULL),
(6246, NULL, 'IPR002903', NULL, 'Ribosomal RNA small subunit methyltransferase H', 'RsmH', 4, NULL),
(6247, NULL, 'IPR003749', NULL, 'Sulfur carrier ThiS/MoaD-like', 'ThiS/MoaD-like', 4, NULL),
(6248, NULL, 'IPR003724', NULL, 'ATP:cob(I)alamin adenosyltransferase CobA/CobO/ButR', 'CblAdoTrfase_CobA', 4, NULL),
(6249, NULL, 'IPR008113', NULL, 'Septin 2', 'Septin2', 4, NULL),
(6250, NULL, 'IPR008103', NULL, 'KiSS-1 peptide receptor', 'KiSS_1_rcpt', 4, NULL),
(6251, NULL, 'IPR005368', NULL, 'Uncharacterised protein family UPF0175', 'UPF0175', 4, NULL),
(6252, NULL, 'IPR003503', NULL, 'Glial cell line-derived neurotrophic factor receptor, alpha 1', 'GDNF_rcpt_A1', 4, NULL),
(6253, NULL, 'IPR003501', NULL, 'Phosphotransferase system, EIIB component, type 2/3', 'PTS_EIIB_2/3', 3, NULL),
(6254, NULL, 'IPR005366', NULL, 'ER membrane protein complex subunit 8/9', 'EMC8/9', 4, NULL),
(6255, NULL, 'IPR003906', NULL, 'Galanin receptor 1', 'GAL1_rcpt', 4, NULL),
(6256, NULL, 'IPR008276', NULL, 'Concentrative nucleoside transporter', 'C_nuclsd_transpt', 4, NULL),
(6257, NULL, 'IPR008077', NULL, 'GPCR, family 2, brain-specific angiogenesis inhibitor', 'GPCR_2_brain_angio_inhib', 4, NULL),
(6258, NULL, 'IPR003755', NULL, 'HPr(Ser)  kinase/phosphorylase', 'HPr(Ser)_kin/Pase', 4, NULL),
(6259, NULL, 'IPR001519', NULL, 'Ferritin', 'Ferritin', 4, NULL),
(6260, NULL, 'IPR005353', NULL, 'Uncharacterised protein family UPF0146', 'UPF0146', 4, NULL),
(6261, NULL, 'IPR007222', NULL, 'Signal recognition particle receptor, alpha subunit, N-terminal', 'Sig_recog_particle_rcpt_asu_N', 3, NULL),
(6262, NULL, 'IPR008105', NULL, 'C chemokine', 'Chemokine_XCL1/XCL2', 4, NULL),
(6263, NULL, 'IPR002376', NULL, 'Formyl transferase, N-terminal', 'Formyl_transf_N', 3, NULL),
(6264, NULL, 'IPR004849', NULL, '6-phosphogluconate dehydrogenase, YqeC-type', '6DGDH_YqeC', 4, NULL),
(6265, NULL, 'IPR003728', NULL, 'Ribosome maturation factor RimP', 'Ribosome_maturation_RimP', 4, NULL),
(6266, NULL, 'IPR006477', NULL, 'Variant antigen yir/bir/cir', 'Yir_bir_cir', 4, NULL),
(6267, NULL, 'IPR003924', NULL, 'GPCR, family 2, latrophilin', 'GPCR_2_latrophilin', 4, NULL),
(6268, NULL, 'IPR003920', NULL, 'Cellulose synthase, subunit B', 'Cell_synth_B', 4, NULL),
(6269, NULL, 'IPR010069', NULL, 'Filamentous haemagglutinin, 20-residue x2 repeat', 'Fil_hemagglutn_20-aa_x2_rpt', 7, NULL),
(6270, NULL, 'IPR003509', NULL, 'Uncharacterised protein family UPF0102', 'UPF0102', 4, NULL),
(6271, NULL, 'IPR001456', NULL, 'Helper component proteinase', 'HC-pro', 4, NULL),
(6272, NULL, 'IPR002252', NULL, 'Glycoside hydrolase family 36', 'Glyco_hydro_36', 4, NULL),
(6273, NULL, 'IPR008108', NULL, 'Phosphatase IpgD/SopB', 'IpgD/SopB', 4, NULL),
(6274, NULL, 'IPR001517', NULL, 'Luteovirus group 1 coat protein', 'Luteo_coat', 4, NULL),
(6275, NULL, 'IPR006469', NULL, 'NifC-like ABC-type porter', 'NifC_ABC_porter', 4, NULL),
(6276, NULL, 'IPR009083', NULL, 'Transcription factor IIA, alpha-helical domain', 'TFIIA_a-hlx', 5, NULL),
(6277, NULL, 'IPR001499', NULL, 'GPCR fungal pheromone mating factor, STE3', 'GPCR_STE3', 4, NULL),
(6278, NULL, 'IPR002386', NULL, 'Amicyanin/Pseudoazurin', 'Amicyanin/Pseudoazurin', 4, NULL),
(6279, NULL, 'IPR005187', NULL, 'Influenza C non-structural protein NS1', 'Flu_C_NS1', 3, NULL),
(6280, NULL, 'IPR002313', NULL, 'Lysine-tRNA ligase, class II', 'Lys-tRNA-ligase_II', 4, NULL),
(6281, NULL, 'IPR003484', NULL, 'N-acyltransferase NodA', 'NodA', 4, NULL),
(6282, NULL, 'IPR003488', NULL, 'DNA recombination-mediator protein A', 'DprA', 4, NULL),
(6283, NULL, 'IPR003518', NULL, 'Salmonella plasmid virulence SpvA', 'Sal_SpvA', 4, NULL),
(6284, NULL, 'IPR003791', NULL, 'Protein of unknown function UPF0178', 'UPF0178', 4, NULL),
(6285, NULL, 'IPR008110', NULL, 'Porphyromonas gingivalis fimbrillin protein', 'Fimbrillin', 4, NULL),
(6286, NULL, 'IPR003506', NULL, 'Chlamydia cysteine-rich outer membrane protein 6', 'Chlam_OMP6', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6287, NULL, 'IPR010058', NULL, 'Uridine phosphorylase', 'Uridine_phosphorylase', 4, NULL),
(6288, NULL, 'IPR006494', NULL, 'Plasmodium subtelomeric PST-A', 'PST_A', 4, NULL),
(6289, NULL, 'IPR003526', NULL, '2-C-methyl-D-erythritol 2,4-cyclodiphosphate synthase', 'MECDP_synthase', 3, NULL),
(6290, NULL, 'IPR009075', NULL, 'Acyl-CoA dehydrogenase/oxidase C-terminal', 'AcylCo_DH/oxidase_C', 3, NULL),
(6291, NULL, 'IPR002289', NULL, 'Gamma-aminobutyric-acid A receptor, beta subunit', 'GABAAb_rcpt', 4, NULL),
(6292, NULL, 'IPR007213', NULL, 'Methyltransferase Ppm1/Ppm2/Tcmp', 'Ppm1/Ppm2/Tcmp', 4, NULL),
(6293, NULL, 'IPR006474', NULL, 'Helicase Cas3, CRISPR-associated, core', 'Helicase_Cas3_CRISPR-ass_core', 3, NULL),
(6294, NULL, 'IPR003511', NULL, 'HORMA domain', 'HORMA_dom', 3, NULL),
(6295, NULL, 'IPR003499', NULL, 'Probable DNA packing protein, N-terminal', 'DNA_pack_N', 3, NULL),
(6296, NULL, 'IPR003472', NULL, 'Virion membrane protein, poxvirus L1-related', 'Virion_mem_poxvirus_L1', 4, NULL),
(6297, NULL, 'IPR002315', NULL, 'Glycyl-tRNA synthetase', 'tRNA-synt_gly', 4, NULL),
(6298, NULL, 'IPR006485', NULL, 'Bacteriophage holin', 'Phage_holin', 4, NULL),
(6299, NULL, 'IPR008130', NULL, 'Glycine receptor alpha3', 'Glycine_rcpt_A3', 4, NULL),
(6300, NULL, 'IPR008094', NULL, 'Claudin-15', 'Claudin15', 4, NULL),
(6301, NULL, 'IPR001479', NULL, 'Quinoprotein dehydrogenase, conserved site', 'Quinoprotein_DH_CS', 2, NULL),
(6302, NULL, 'IPR002276', NULL, 'G protein-coupled receptor 4 orphan', 'GPR4_orph', 4, NULL),
(6303, NULL, 'IPR009073', NULL, 'Co-chaperone HscB, C-terminal oligomerisation domain', 'HscB_oligo_C', 3, NULL),
(6304, NULL, 'IPR008099', NULL, 'Gamma-aminobutyric-acid A receptor epsilon subunit', 'GABAAe_rcpt', 4, NULL),
(6305, NULL, 'IPR003870', NULL, 'Domain of unknown function DUF222', 'DUF222', 3, NULL),
(6306, NULL, 'IPR002387', NULL, 'Plastocyanin', 'Plastocyanin', 4, NULL),
(6307, NULL, 'IPR008117', NULL, 'Micronemal protein 1', 'Microneme_MIC1', 4, NULL),
(6308, NULL, 'IPR006481', NULL, 'Bacteriophage lambda, GpS, holin', 'Phage_lambda_GpS_holin', 4, NULL),
(6309, NULL, 'IPR009063', NULL, 'Immunoglobulin/albumin-binding domain superfamily', 'Ig/albumin-bd_sf', 5, NULL),
(6310, NULL, 'IPR002914', NULL, 'Pollen allergen Poa p IX/Phl p VI', 'Poa_pIX/Phl_pVI', 3, NULL),
(6311, NULL, 'IPR003827', NULL, 'tRNA wybutosine-synthesizing protein', 'tRNA_yW-synthesising', 3, NULL),
(6312, NULL, 'IPR002250', NULL, 'Chloride channel ClC-K', 'Cl_channel-K', 4, NULL),
(6313, NULL, 'IPR003918', NULL, 'NADH:ubiquinone oxidoreductase', 'NADH_UbQ_OxRdtase', 4, NULL),
(6314, NULL, 'IPR003921', NULL, 'Cellulose synthase, subunit C', 'Cell_synth_C', 4, NULL),
(6315, NULL, 'IPR034261', NULL, 'CNOT4, RNA recognition motif', 'CNOT4_RRM', 3, NULL),
(6316, NULL, 'IPR008073', NULL, 'Potassium channel subfamily K member 15', 'TASK5', 4, NULL),
(6317, NULL, 'IPR003464', NULL, 'Muconolactone delta-isomerase', 'Muconolactone_d_Isoase', 4, NULL),
(6318, NULL, 'IPR007214', NULL, 'YbaK/aminoacyl-tRNA synthetase-associated domain', 'YbaK/aa-tRNA-synth-assoc-dom', 3, NULL),
(6319, NULL, 'IPR006466', NULL, 'MiaB-like tRNA modifying enzyme, archaeal-type', 'MiaB-like_B', 4, NULL),
(6320, NULL, 'IPR003377', NULL, 'Cornichon', 'Cornichon', 4, NULL),
(6321, NULL, 'IPR006490', NULL, 'Phage major tail protein, phi13 family', 'Maj_tail_phi13', 4, NULL),
(6322, NULL, 'IPR003468', NULL, 'Cytochrome c oxidase, monohaem subunit/FixO', 'Cyt_c_oxidase_monohaem-su/FixO', 4, NULL),
(6323, NULL, 'IPR008096', NULL, 'Cytotoxic T-lymphocyte antigen 4', 'CTLA4', 4, NULL),
(6324, NULL, 'IPR001453', NULL, 'MoaB/Mog domain', 'MoaB/Mog_dom', 3, NULL),
(6325, NULL, 'IPR002243', NULL, 'Chloride channel ClC-1', 'Cl_channel-1', 4, NULL),
(6326, NULL, 'IPR003223', NULL, 'Flagellin phase1 repressor', 'Flag1_repressor', 4, NULL),
(6327, NULL, 'IPR002270', NULL, 'Gap junction beta-4 protein (Cx30.3)', 'Connexin-30.3', 4, NULL),
(6328, NULL, 'IPR001413', NULL, 'Dopamine D1 receptor', 'Dopamine_D1_rcpt', 4, NULL),
(6329, NULL, 'IPR003797', NULL, 'DegV', 'DegV', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6330, NULL, 'IPR005343', NULL, 'Nucleolar complex protein 2', 'Noc2', 4, NULL),
(6331, NULL, 'IPR006486', NULL, 'Plasmodium yoelii subtelomeric PYST-A', 'PYST_A', 4, NULL),
(6332, NULL, 'IPR005371', NULL, 'Uncharacterised protein family UPF0181', 'UPF0181', 4, NULL),
(6333, NULL, 'IPR008107', NULL, 'Mycoplasma P48 major surface lipoprotein', 'Mycoplasma_p48', 4, NULL),
(6334, NULL, 'IPR006471', NULL, 'Formate dehydrogenase, gamma subunit', 'Formate_DH_gsu', 4, NULL),
(6335, NULL, 'IPR002895', NULL, 'Paramecium surface antigen', 'Paramecium_SA', 7, NULL),
(6336, NULL, 'IPR003512', NULL, 'Bacteriophage M13, G5P, DNA-binding', 'Phage_M13_G5P_DNA-bd', 4, NULL),
(6337, NULL, 'IPR008122', NULL, 'Transcription factor AP-2 beta', 'TF_AP2_beta', 4, NULL),
(6338, NULL, 'IPR003776', NULL, 'YcaO-like domain', 'YcaO-like_dom', 3, NULL),
(6339, NULL, 'IPR009066', NULL, 'Alpha-2-macroglobulin receptor-associated protein, domain 1', 'MG_RAP_rcpt_1', 3, NULL),
(6340, NULL, 'IPR023931', NULL, 'Multidrug resistance protein MdtC', 'Multidrug-R_MdtC', 4, NULL),
(6341, NULL, 'IPR005337', NULL, 'RapZ-like family', 'RapZ-like', 4, NULL),
(6342, NULL, 'IPR003486', NULL, 'Nucleocapsid N protein', 'Nairo_nucleocap', 4, NULL),
(6343, NULL, 'IPR006468', NULL, 'Nitrate reductase, alpha subunit', 'NarG', 4, NULL),
(6344, NULL, 'IPR003565', NULL, 'Bis(5''-nucleosyl)-tetraphosphatase', 'Tetra_PHTase', 4, NULL),
(6345, NULL, 'IPR003664', NULL, 'Fatty acid synthesis PlsX protein', 'FA_synthesis', 4, NULL),
(6346, NULL, 'IPR008090', NULL, 'Ferric iron reductase', 'Fe_iron_reduct', 4, NULL),
(6347, NULL, 'IPR010064', NULL, 'Bacteriophage HK97-gp10, putative tail-component', 'HK97-gp10_tail', 4, NULL),
(6348, NULL, 'IPR002901', NULL, 'Mannosyl-glycoprotein endo-beta-N-acetylglucosamidase-like domain', 'MGlyc_endo_b_GlcNAc-like_dom', 3, NULL),
(6349, NULL, 'IPR003933', NULL, 'Epithelial membrane protein 2', 'EMP-2', 4, NULL),
(6350, NULL, 'IPR010061', NULL, 'Methylmalonate-semialdehyde dehydrogenase', 'MeMal-semiAld_DH', 4, NULL),
(6351, NULL, 'IPR008100', NULL, 'Gamma-aminobutyric-acid A receptor pi subunit', 'GABAAp_rcpt', 4, NULL),
(6352, NULL, 'IPR001464', NULL, 'Annexin', 'Annexin', 4, NULL),
(6353, NULL, 'IPR003877', NULL, 'SPRY domain', 'SPRY_dom', 3, NULL),
(6354, NULL, 'IPR002384', NULL, 'Osteocalcin/matrix Gla protein', 'Osteocalcin/MGP', 4, NULL),
(6355, NULL, 'IPR002334', NULL, 'Vespid venom allergen phospholipase A1', 'Allerg_PlipaseA1', 4, NULL),
(6356, NULL, 'IPR002239', NULL, 'CC chemokine receptor 4', 'Chemokine_CCR4', 4, NULL),
(6357, NULL, 'IPR009086', NULL, 'Bacteriocin AS-48', 'Bacteriocin_AS48', 5, NULL),
(6358, NULL, 'IPR001415', NULL, 'Parathyroid hormone/parathyroid hormone-related protein', 'PTH/PTH-rel', 4, NULL),
(6359, NULL, 'IPR034642', NULL, 'Proteasome subunit alpha6', 'Proteasome_subunit_alpha6', 4, NULL),
(6360, NULL, 'IPR001452', NULL, 'SH3 domain', 'SH3_domain', 3, NULL),
(6361, NULL, 'IPR002388', NULL, 'Annexin A1', 'ANX1', 4, NULL),
(6362, NULL, 'IPR003768', NULL, 'Segregation and condensation protein A', 'ScpA', 4, NULL),
(6363, NULL, 'IPR003370', NULL, 'Chromate transporter', 'Chromate_transpt', 4, NULL),
(6364, NULL, 'IPR023933', NULL, 'Glycoside hydrolase, family 2, beta-galactosidase', 'Glyco_hydro_2_beta_Galsidase', 4, NULL),
(6365, NULL, 'IPR002397', NULL, 'Cytochrome P450, B-class', 'Cyt_P450_B', 4, NULL),
(6366, NULL, 'IPR008128', NULL, 'Glycine receptor alpha1', 'Glycine_rcpt_A1', 4, NULL),
(6367, NULL, 'IPR003517', NULL, 'Cysteine-rich outer membrane protein 3, Chlamydia', 'Cys-rich_OMP3_Chlamydia', 4, NULL),
(6368, NULL, 'IPR002909', NULL, 'IPT domain', 'IPT_dom', 3, NULL),
(6369, NULL, 'IPR003910', NULL, 'GPCR, family 2, orphan receptor, GPR1/GPR3/GPR5', 'GPR1/GPR3/GPR5', 4, NULL),
(6370, NULL, 'IPR005359', NULL, 'Protein with unknown function UPF0154', 'UPF0154', 4, NULL),
(6371, NULL, 'IPR001481', NULL, 'Prostanoid EP3 receptor, type 2', 'EP3_rcpt_2', 4, NULL),
(6372, NULL, 'IPR003672', NULL, 'CobN/magnesium chelatase', 'CobN/Mg_chltase', 4, NULL),
(6373, NULL, 'IPR002256', NULL, 'Flavin monooxygenase (FMO) 4', 'Flavin_mOase_4', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6374, NULL, 'IPR003882', NULL, 'Pistil-specific extensin-like protein', 'Pistil_extensin', 4, NULL),
(6375, NULL, 'IPR006479', NULL, 'Holin', 'Holin', 4, NULL),
(6376, NULL, 'IPR007210', NULL, 'ABC-type glycine betaine transport system, substrate-binding domain', 'ABC_Gly_betaine_transp_sub-bd', 3, NULL),
(6377, NULL, 'IPR003738', NULL, 'SOS response associated peptidase (SRAP)', 'SRAP', 4, NULL),
(6378, NULL, 'IPR002390', NULL, 'Annexin A3', 'ANX3', 4, NULL),
(6379, NULL, 'IPR005338', NULL, 'Anhydro-N-acetylmuramic acid kinase', 'Anhydro_N_Ac-Mur_kinase', 4, NULL),
(6380, NULL, 'IPR002209', NULL, 'Fibroblast growth factor family', 'Fibroblast_GF_fam', 4, NULL),
(6381, NULL, 'IPR002896', NULL, 'Herpesvirus glycoprotein D/GG/GX domain', 'Herpes_glycop_dom', 3, NULL),
(6382, NULL, 'IPR009067', NULL, 'TAFII-230 TBP-binding', 'TAF_II_230-bd', 3, NULL),
(6383, NULL, 'IPR003490', NULL, 'Rhabdovirus non-virion protein', 'Rhabd_NV', 4, NULL),
(6384, NULL, 'IPR003467', NULL, 'Fimbrial, major/minor subunit', 'Fimbrial_K88', 4, NULL),
(6385, NULL, 'IPR008086', NULL, 'Proteinase inhibitor I15, leech antistasin', 'Prot_inh_I15_antistasin_leech', 4, NULL),
(6386, NULL, 'IPR034278', NULL, 'RBM3/CIRBP, RNA recognition motif', 'RBM3/CIRBP_RRM', 3, NULL),
(6387, NULL, 'IPR002918', NULL, 'Lipase EstA/Esterase EstB', 'Lipase_EstA/Esterase_EstB', 4, NULL),
(6388, NULL, 'IPR002332', NULL, 'Nitrogen regulatory protein P-II, urydylation site', 'N-reg_PII_urydylation_site', 6, NULL),
(6389, NULL, 'IPR002900', NULL, 'Domain of unknown function DUF38, Caenorhabditis species', 'DUF38_CAE_spp', 3, NULL),
(6390, NULL, 'IPR008087', NULL, 'Autoimmune regulator, AIRE', 'AIRE', 4, NULL),
(6391, NULL, 'IPR003897', NULL, 'Clostridium enterotoxin', 'Clenterotox', 4, NULL),
(6392, NULL, 'IPR007000', NULL, 'Phospholipase B-like', 'PLipase_B-like', 4, NULL),
(6393, NULL, 'IPR005361', NULL, 'Uncharacterised protein family UPF0158', 'UPF0158', 4, NULL),
(6394, NULL, 'IPR005350', NULL, 'Uncharacterised protein family UPF0137', 'UPF0137', 4, NULL),
(6395, NULL, 'IPR001508', NULL, 'Ionotropic glutamate receptor, metazoa', 'Iono_rcpt_met', 4, NULL),
(6396, NULL, 'IPR008081', NULL, 'Cytoplasmic FMR1-interacting', 'Cytoplasmic_FMR1-int', 4, NULL),
(6397, NULL, 'IPR002263', NULL, 'Gap junction alpha-4 protein (Cx37)', 'Connexin37', 4, NULL),
(6398, NULL, 'IPR009069', NULL, 'Cysteine alpha-hairpin motif superfamily', 'Cys_alpha_HP_mot_SF', 5, NULL),
(6399, NULL, 'IPR008071', NULL, 'Cytochrome P450, E-class, group I, CYP2J-like', 'Cyt_P450_E_grp-I_CYP2J-like', 4, NULL),
(6400, NULL, 'IPR002246', NULL, 'Chloride channel ClC-4', 'Cl_channel-4', 4, NULL),
(6401, NULL, 'IPR003729', NULL, 'Bifunctional nuclease domain', 'Bi_nuclease_dom', 3, NULL),
(6402, NULL, 'IPR003891', NULL, 'Initiation factor eIF-4 gamma, MA3', 'Initiation_fac_eIF4g_MI', 3, NULL),
(6403, NULL, 'IPR001513', NULL, 'Adenosine A2A receptor', 'Adeno_A2A_rcpt', 4, NULL),
(6404, NULL, 'IPR005341', NULL, 'Mitochondrial import inner membrane translocase subunit Tim16', 'Tim16', 4, NULL),
(6405, NULL, 'IPR003469', NULL, 'Glycoside hydrolase, family 68', 'Glyco_hydro_68', 4, NULL),
(6406, NULL, 'IPR005374', NULL, 'Bublin coiled-coil protein-like, eukaryota', 'BBLN_eukaryota', 4, NULL),
(6407, NULL, 'IPR008115', NULL, 'Septin 7', 'Septin7', 4, NULL),
(6408, NULL, 'IPR003905', NULL, 'Growth hormone secretagogue receptor/motilin receptor', 'GHS-R/MTLR', 4, NULL),
(6409, NULL, 'IPR003832', NULL, 'Protein of unknown function DUF212', 'DUF212', 4, NULL),
(6410, NULL, 'IPR003497', NULL, 'BRO N-terminal domain', 'BRO_N_domain', 3, NULL),
(6411, NULL, 'IPR003795', NULL, 'Protein of unknown function DUF192', 'DUF192', 4, NULL),
(6412, NULL, 'IPR008076', NULL, 'Cyanate hydratase', 'Cyanase', 4, NULL),
(6413, NULL, 'IPR002891', NULL, 'Adenylyl-sulfate kinase', 'APS_kinase', 4, NULL),
(6414, NULL, 'IPR034433', NULL, 'Vomeromodulin', 'Vomeromodulin', 4, NULL),
(6415, NULL, 'IPR001498', NULL, 'Impact, N-terminal', 'Impact_N', 3, NULL),
(6416, NULL, 'IPR002207', NULL, 'Class I peroxidase', 'Peroxidase_I', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6417, NULL, 'IPR003482', NULL, 'Transcription factor WhiB', 'Whib', 4, NULL),
(6418, NULL, 'IPR008274', NULL, 'Aldehyde oxidase/xanthine dehydrogenase, molybdopterin binding', 'AldOxase/xan_DH_Mopterin-bd', 3, NULL),
(6419, NULL, 'IPR009080', NULL, 'Aminoacyl-tRNA synthetase, class Ia, anticodon-binding', 'tRNAsynth_Ia_anticodon-bd', 5, NULL),
(6420, NULL, 'IPR007001', NULL, 'Bacterial shufflon protein, N-terminal', 'Shufflon_N', 3, NULL),
(6421, NULL, 'IPR010062', NULL, '5,10-methenyltetrahydromethanopterin hydrogenase', 'HMD_', 4, NULL),
(6422, NULL, 'IPR003909', NULL, 'G protein-coupled receptor 37 orphan', 'GPR37_orph', 4, NULL),
(6423, NULL, 'IPR007218', NULL, 'DNA polymerase delta, subunit 4', 'DNA_pol_delta_4', 4, NULL),
(6424, NULL, 'IPR002355', NULL, 'Multicopper oxidase, copper-binding site', 'Cu_oxidase_Cu_BS', 1, NULL),
(6425, NULL, 'IPR008114', NULL, 'Septin 3', 'Septin3', 4, NULL),
(6426, NULL, 'IPR008125', NULL, 'Streptothricin acetyltransferase', 'Streptothricin_AcTrfase', 4, NULL),
(6427, NULL, 'IPR002259', NULL, 'Equilibrative nucleoside transporter', 'Eqnu_transpt', 4, NULL),
(6428, NULL, 'IPR002904', NULL, 'Lysine-tRNA ligase', 'Lys-tRNA-ligase', 4, NULL),
(6429, NULL, 'IPR001477', NULL, 'Viral small hydrophobic protein', 'SH', 4, NULL),
(6430, NULL, 'IPR009061', NULL, 'Putative DNA-binding domain superfamily', 'DNA-bd_dom_put_sf', 5, NULL),
(6431, NULL, 'IPR005380', NULL, 'XS domain', 'XS_domain', 3, NULL),
(6432, NULL, 'IPR009050', NULL, 'Globin-like superfamily', 'Globin-like_sf', 5, NULL),
(6433, NULL, 'IPR003492', NULL, 'Batten''s disease protein Cln3', 'Battenin_disease_Cln3', 4, NULL),
(6434, NULL, 'IPR001520', NULL, '5-Hydroxytryptamine 4 receptor', '5HT4_rcpt', 4, NULL),
(6435, NULL, 'IPR006483', NULL, 'CRISPR-associated  Cas3-type HD domain', 'CRISPR-assoc_Cas3_HD', 3, NULL),
(6436, NULL, 'IPR008123', NULL, 'Transcription factor AP-2 gamma', 'TF_AP2_gamma', 4, NULL),
(6437, NULL, 'IPR003504', NULL, 'Glial cell line-derived neurotrophic factor receptor alpha 2', 'GDNF_rcpt_a2', 4, NULL),
(6438, NULL, 'IPR005365', NULL, 'Nitrogen permease regulator 3', 'Npr3', 4, NULL),
(6439, NULL, 'IPR003769', NULL, 'Adaptor protein ClpS, core', 'ClpS_core', 3, NULL),
(6440, NULL, 'IPR002898', NULL, 'MotA/TolQ/ExbB proton channel', 'MotA_ExbB_proton_chnl', 3, NULL),
(6441, NULL, 'IPR034436', NULL, '3-Methyl-2-indolic acid methyltransferase, NocN/NosN-like', 'NocN/NosN-like', 4, NULL),
(6442, NULL, 'IPR002359', NULL, 'Ribosomal protein L6, conserved site-2', 'Ribosomal_L6_CS2', 2, NULL),
(6443, NULL, 'IPR003480', NULL, 'Transferase', 'Transferase', 4, NULL),
(6444, NULL, 'IPR006465', NULL, 'Oligosaccharide amylase', 'Oligosac_amylase', 4, NULL),
(6445, NULL, 'IPR013152', NULL, 'Gastrin/cholecystokinin, conserved site', 'Gastrin/cholecystokinin_CS', 2, NULL),
(6446, NULL, 'IPR006492', NULL, 'Plasmodium yoelii subtelomeric PYST-D', 'PYST_D', 4, NULL),
(6447, NULL, 'IPR004847', NULL, 'Na(+)/H(+) antiporter subunit E1', 'Antiport_suE1', 4, NULL),
(6448, NULL, 'IPR002822', NULL, 'Nickel insertion protein', 'Ni_insertion', 4, NULL),
(6449, NULL, 'IPR002218', NULL, 'tRNA uridine 5-carboxymethylaminomethyl modification enzyme MnmG-related', 'MnmG-rel', 4, NULL),
(6450, NULL, 'IPR001483', NULL, 'Urotensin II', 'Urotensin_II', 4, NULL),
(6451, NULL, 'IPR008074', NULL, 'Two pore domain potassium channel, TRAAK', '2pore_dom_K_chnl_TRAAK', 4, NULL),
(6452, NULL, 'IPR003476', NULL, 'Glycoside hydrolase, family 42', 'Glyco_hydro_42', 4, NULL),
(6453, NULL, 'IPR003925', NULL, 'Claudin-6', 'Claudin6', 4, NULL),
(6454, NULL, 'IPR003828', NULL, 'Epoxyqueuosine reductase QueH', 'QueH', 4, NULL),
(6455, NULL, 'IPR002327', NULL, 'Cytochrome c, class IA/ IB', 'Cyt_c_1A/1B', 4, NULL),
(6456, NULL, 'IPR002912', NULL, 'ACT domain', 'ACT_dom', 3, NULL),
(6457, NULL, 'IPR009091', NULL, 'Regulator of chromosome condensation 1/beta-lactamase-inhibitor protein II', 'RCC1/BLIP-II', 5, NULL),
(6458, NULL, 'IPR023927', NULL, '2,3-diaminopropionate biosynthesis protein SbnA', 'SbnA', 4, NULL),
(6459, NULL, 'IPR034654', NULL, 'MltA, 3D domain', 'MltA_3D', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6460, NULL, 'IPR003477', NULL, 'mRNA interferase PemK-like', 'PemK-like', 4, NULL),
(6461, NULL, 'IPR001515', NULL, 'Ribosomal protein L32e', 'Ribosomal_L32e', 4, NULL),
(6462, NULL, 'IPR009064', NULL, 'Pheromone, protozoan', 'Pheromone_protoz', 4, NULL),
(6463, NULL, 'IPR003473', NULL, 'Quinolinate synthetase A', 'NadA', 4, NULL),
(6464, NULL, 'IPR002213', NULL, 'UDP-glucuronosyl/UDP-glucosyltransferase', 'UDP_glucos_trans', 4, NULL),
(6465, NULL, 'IPR003811', NULL, 'Glycerol-3-phosphate acyltransferase, PlsY', 'G3P_acylTferase_PlsY', 4, NULL),
(6466, NULL, 'IPR003928', NULL, 'Claudin-18', 'Claudin18', 4, NULL),
(6467, NULL, 'IPR008093', NULL, 'T cell antigen CD28', 'CD28', 4, NULL),
(6468, NULL, 'IPR003515', NULL, 'Major spike protein G', 'Spike_G', 4, NULL),
(6469, NULL, 'IPR002353', NULL, 'Type-2 ice-structuring protein', 'AntifreezeII', 4, NULL),
(6470, NULL, 'IPR007220', NULL, 'Origin recognition complex, subunit 2', 'ORC2', 4, NULL),
(6471, NULL, 'IPR005379', NULL, 'Factor of DNA methylation 1-5/IDN2 , domain XH', 'FDM1-5/IDN2_XH', 3, NULL),
(6472, NULL, 'IPR003705', NULL, 'Cobalt transport protein CbiN', 'CbiN', 4, NULL),
(6473, NULL, 'IPR002368', NULL, 'Outer membrane protein, OmpA', 'OmpA', 4, NULL),
(6474, NULL, 'IPR008106', NULL, 'Neisseria toxin MafB', 'Adhesin_MafB', 4, NULL),
(6475, NULL, 'IPR005351', NULL, 'PAT complex subunit Asterix', 'ASTER', 4, NULL),
(6476, NULL, 'IPR003481', NULL, 'Flagellar hook-associated protein 2, N-terminal', 'FliD_N', 3, NULL),
(6477, NULL, 'IPR008134', NULL, '5-hydroxytryptamine 3 receptor, B subunit', '5HT3_rcpt_B', 4, NULL),
(6478, NULL, 'IPR003772', NULL, 'Large ribosomal RNA subunit accumulation protein YceD', 'YceD', 4, NULL),
(6479, NULL, 'IPR009072', NULL, 'Histone-fold', 'Histone-fold', 5, NULL),
(6480, NULL, 'IPR034252', NULL, 'Ephrin-A ectodomain', 'Ephrin-A_Ecto', 3, NULL),
(6481, NULL, 'IPR005363', NULL, 'Uncharacterised protein family UPF0167', 'UPF0167', 4, NULL),
(6482, NULL, 'IPR006484', NULL, 'Plasmodium yoelii subtelomeric PYST-B', 'PYST_B', 4, NULL),
(6483, NULL, 'IPR006998', NULL, 'DltD', 'DltD', 4, NULL),
(6484, NULL, 'IPR002273', NULL, 'Lutropin-choriogonadotropic hormone receptor', 'LSH_rcpt', 4, NULL),
(6485, NULL, 'IPR006493', NULL, 'Holin, BlyA', 'Holin_BlyA', 4, NULL),
(6486, NULL, 'IPR008098', NULL, 'Gamma-aminobutyric-acid A receptor delta subunit', 'GABAAd_rcpt', 4, NULL),
(6487, NULL, 'IPR023772', NULL, 'DNA-binding HTH domain, TetR-type, conserved site', 'DNA-bd_HTH_TetR-type_CS', 2, NULL),
(6488, NULL, 'IPR010063', NULL, 'H(2)-forming methylenetetrahydromethanopterin dehydrogenase-related protein', 'HMDII/III', 4, NULL),
(6489, NULL, 'IPR003465', NULL, 'Proteinase inhibitor I20', 'Prot_inh_I20', 4, NULL),
(6490, NULL, 'IPR002910', NULL, 'Floricaula/leafy protein', 'FLO_LFY', 4, NULL),
(6491, NULL, 'IPR005339', NULL, 'GINS complex, subunit Psf1', 'GINS_Psf1', 4, NULL),
(6492, NULL, 'IPR003479', NULL, 'Pre-hexon-linking protein IIIa', 'Hex_IIIa', 4, NULL),
(6493, NULL, 'IPR002237', NULL, 'CC chemokine receptor 2', 'Chemokine_CCR2', 4, NULL),
(6494, NULL, 'IPR007386', NULL, 'Protein of unknown function DUF447', 'DUF447', 4, NULL),
(6495, NULL, 'IPR003507', NULL, 'Peptidase family S66', 'S66_fam', 4, NULL),
(6496, NULL, 'IPR002278', NULL, 'Melatonin receptor 1A/1B', 'Mel_1A/1B_rcpt', 4, NULL),
(6497, NULL, 'IPR003079', NULL, 'Nuclear receptor ROR', 'ROR_rcpt', 4, NULL),
(6498, NULL, 'IPR002402', NULL, 'Cytochrome P450, E-class, group II', 'Cyt_P450_E_grp-II', 4, NULL),
(6499, NULL, 'IPR003489', NULL, 'Ribosome hibernation promoting factor/RaiA', 'RHF/RaiA', 4, NULL),
(6500, NULL, 'IPR006997', NULL, 'Baculovirus Y142 protein', 'Baculo_Y142', 4, NULL),
(6501, NULL, 'IPR002352', NULL, 'Eosinophil major basic protein', 'Eosinophil_major_basic', 4, NULL),
(6502, NULL, 'IPR006425', NULL, 'Glucoamylase, bacterial', 'Glucoamylase_bac', 4, NULL),
(6503, NULL, 'IPR007252', NULL, 'Nuclear pore protein 84/107', 'Nup84/Nup107', 4, NULL),
(6504, NULL, 'IPR006449', NULL, 'Squalene synthase-like', 'Squal_synth-like', 4, NULL),
(6505, NULL, 'IPR007255', NULL, 'Conserved oligomeric Golgi complex subunit 8', 'COG8', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6506, NULL, 'IPR000377', NULL, '5-Hydroxytryptamine 2C receptor', '5HT2C_rcpt', 4, NULL),
(6507, NULL, 'IPR005870', NULL, 'Cytochrome b6/f complex, subunit IV', 'Cyt_b6/f_cplx_suIV', 4, NULL),
(6508, NULL, 'IPR005857', NULL, 'Cystathionine beta-synthase', 'Cysta_beta_synth', 4, NULL),
(6509, NULL, 'IPR001431', NULL, 'Peptidase M16, zinc-binding site', 'Pept_M16_Zn_BS', 1, NULL),
(6510, NULL, 'IPR000706', NULL, 'N-acetyl-gamma-glutamyl-phosphate reductase, type 1', 'AGPR_type-1', 4, NULL),
(6511, NULL, 'IPR000692', NULL, 'Fibrillarin', 'Fibrillarin', 4, NULL),
(6512, NULL, 'IPR002407', NULL, 'Natriuretic peptide, atrial type', 'Natriuretic_peptide_atrial', 4, NULL),
(6513, NULL, 'IPR000502', NULL, 'Muscarinic acetylcholine receptor M5', 'Musac_Ach_M5_rcpt', 4, NULL),
(6514, NULL, 'IPR005211', NULL, 'Herpesvirus envelope glycoprotein N domain', 'Herpes_glycoprotein_N_domain', 3, NULL),
(6515, NULL, 'IPR007064', NULL, 'Nmd3, N-terminal', 'Nmd3_N', 3, NULL),
(6516, NULL, 'IPR002949', NULL, 'Cytochrome P450, E-class, CYP24A, mitochondrial', 'Cyt_P450_E_CYP24A_mit', 4, NULL),
(6517, NULL, 'IPR000389', NULL, 'Small hydrophilic plant seed protein', 'Small_hydrophilic_seed_prot', 4, NULL),
(6518, NULL, 'IPR000391', NULL, 'Ring-hydroxylating dioxygenase beta subunit', 'Rng_hydr_dOase-bsu', 4, NULL),
(6519, NULL, 'IPR000452', NULL, 'Kappa opioid receptor', 'Kappa_opi_rcpt', 4, NULL),
(6520, NULL, 'IPR001384', NULL, 'Peptidase M35, deuterolysin', 'Peptidase_M35', 4, NULL),
(6521, NULL, 'IPR002325', NULL, 'Cytochrome f', 'Cyt_f', 4, NULL),
(6522, NULL, 'IPR007035', NULL, 'Peptidase M55, D-aminopeptidase', 'Peptidase_M55', 4, NULL),
(6523, NULL, 'IPR000645', NULL, 'Type II secretion system protein GspN, conserved site', 'T2SS_GspN_CS', 2, NULL),
(6524, NULL, 'IPR005794', NULL, 'Methionyl-tRNA formyltransferase', 'Fmt', 4, NULL),
(6525, NULL, 'IPR000482', NULL, '5-Hydroxytryptamine 2B receptor', '5HT2B_rcpt', 4, NULL),
(6526, NULL, 'IPR002929', NULL, 'Potato leaf roll virus readthrough protein', 'PLrV_ORF5', 4, NULL),
(6527, NULL, 'IPR003057', NULL, 'Invertebrate colouration protein', 'Invtbrt_color', 4, NULL),
(6528, NULL, 'IPR006419', NULL, 'Nicotinamide mononucleotide transporter PnuC', 'NMN_transpt_PnuC', 4, NULL),
(6529, NULL, 'IPR000445', NULL, 'Helix-hairpin-helix motif', 'HhH_motif', 2, NULL),
(6530, NULL, 'IPR005197', NULL, 'Glycoside hydrolase family 71', 'Glyco_hydro_71', 4, NULL),
(6531, NULL, 'IPR006514', NULL, 'IRX15/IRX15L/IGXM', 'IRX15/IRX15L/IGXM', 4, NULL),
(6532, NULL, 'IPR002945', NULL, 'Glucose transporter, type 3 (GLUT3)', 'Glc_transpt_3', 4, NULL),
(6533, NULL, 'IPR002404', NULL, 'IRS-type PTB domain', 'IRS_PTB', 3, NULL),
(6534, NULL, 'IPR007262', NULL, 'Vps55/LEPROT', 'Vps55/LEPROT', 4, NULL),
(6535, NULL, 'IPR007037', NULL, 'Siderophore-interacting protein, C-terminal domain', 'SIP_C', 3, NULL),
(6536, NULL, 'IPR002312', NULL, 'Aspartyl/Asparaginyl-tRNA synthetase, class IIb', 'Asp/Asn-tRNA-synth_IIb', 4, NULL),
(6537, NULL, 'IPR005375', NULL, 'Ubiquitin-fold modifier 1', 'UFM1', 4, NULL),
(6538, NULL, 'IPR005866', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit G', 'THM_MeTrfase_su_G', 4, NULL),
(6539, NULL, 'IPR007264', NULL, 'H/ACA ribonucleoprotein complex, subunit Nop10', 'H/ACA_rnp_Nop10', 4, NULL),
(6540, NULL, 'IPR002970', NULL, 'Tick histamine-binding protein', 'Tick_his-bd', 4, NULL),
(6541, NULL, 'IPR005904', NULL, 'Hypoxanthine phosphoribosyl transferase', 'Hxn_phspho_trans', 4, NULL),
(6542, NULL, 'IPR007041', NULL, 'Arginine N-succinyltransferase AstA/AruG', 'Arg_succinylTrfase_AstA/AruG', 4, NULL),
(6543, NULL, 'IPR002305', NULL, 'Aminoacyl-tRNA synthetase, class Ic', 'aa-tRNA-synth_Ic', 4, NULL),
(6544, NULL, 'IPR006462', NULL, 'Protein MS5', 'MS5', 4, NULL),
(6545, NULL, 'IPR007018', NULL, 'Mediator complex, subunit Med6', 'Mediator_Med6', 4, NULL),
(6546, NULL, 'IPR007010', NULL, 'Poly(A) polymerase, RNA-binding domain', 'PolA_pol_RNA-bd_dom', 3, NULL),
(6547, NULL, 'IPR001412', NULL, 'Aminoacyl-tRNA synthetase, class I, conserved site', 'aa-tRNA-synth_I_CS', 2, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6548, NULL, 'IPR000451', NULL, 'NF-kappa-B/Dorsal', 'NFkB/Dor', 4, NULL),
(6549, NULL, 'IPR007253', NULL, 'Putative cell wall binding repeat 2', 'Cell_wall-bd_2', 7, NULL),
(6550, NULL, 'IPR002351', NULL, 'Nitrophorin domain', 'Nitrophorin_domain', 3, NULL),
(6551, NULL, 'IPR006430', NULL, 'Phage portal protein PBSX family', 'Phage_portal_PBSX', 4, NULL),
(6552, NULL, 'IPR007238', NULL, 'DNA primase large subunit, eukaryotic/archaeal', 'DNA_primase_lsu_euk/arc', 4, NULL),
(6553, NULL, 'IPR005868', NULL, 'Photosystem II D2 protein', 'PSII_PsbD/D2', 4, NULL),
(6554, NULL, 'IPR002330', NULL, 'Lipoprotein lipase', 'Lipo_Lipase', 4, NULL),
(6555, NULL, 'IPR000708', NULL, 'Prostanoid EP1 receptor', 'Prostglndn_EP1_rcpt', 4, NULL),
(6556, NULL, 'IPR000763', NULL, 'Catalase-peroxidase haem', 'Catalase_peroxidase', 4, NULL),
(6557, NULL, 'IPR005887', NULL, 'Alpha-1,2-mannosidase, putative', 'Alpha_mannosidase', 4, NULL),
(6558, NULL, 'IPR001423', NULL, 'Lysophospholipase patatin, conserved site', 'LysoPLipase_patatin_CS', 2, NULL),
(6559, NULL, 'IPR002924', NULL, 'Adenovirus small t-antigen, E1B 19kDa protein', 'Adenovir_t-Ag_E1B_19kDa', 4, NULL),
(6560, NULL, 'IPR005882', NULL, 'Bifunctional UDP-N-acetylglucosamine pyrophosphorylase/glucosamine-1-phosphate N-acetyltransferase', 'Bifunctional_GlmU', 4, NULL),
(6561, NULL, 'IPR005205', NULL, 'Herpesvirus ICP4-like protein, C-terminal', 'Herpes_ICP4_C', 3, NULL),
(6562, NULL, 'IPR000812', NULL, 'Transcription factor TFIIB', 'TFIIB', 4, NULL),
(6563, NULL, 'IPR006429', NULL, 'Phage portal protein, lambda family', 'Phage_lambda_portal', 4, NULL),
(6564, NULL, 'IPR007241', NULL, 'Autophagy-related protein 9', 'Autophagy-rel_prot_9', 4, NULL),
(6565, NULL, 'IPR000745', NULL, 'Hepatitis C virus non-structural protein NS4a', 'HCV_NS4a', 3, NULL),
(6566, NULL, 'IPR006454', NULL, 'S-layer protein', 'S_layer_MJ', 4, NULL),
(6567, NULL, 'IPR002347', NULL, 'Short-chain dehydrogenase/reductase SDR', 'SDR_fam', 4, NULL),
(6568, NULL, 'IPR005852', NULL, 'Phosphoglucomutase, alpha-D-glucose specific', 'PGM_a-D-Glc-sp', 4, NULL),
(6569, NULL, 'IPR007052', NULL, 'CS domain', 'CS_dom', 3, NULL),
(6570, NULL, 'IPR005894', NULL, 'Daunorubicin resistance ABC transporter ATP-binding subunit DrrA', 'DrrA', 4, NULL),
(6571, NULL, 'IPR000380', NULL, 'DNA topoisomerase, type IA', 'Topo_IA', 4, NULL),
(6572, NULL, 'IPR007240', NULL, 'Autophagy-related protein 17', 'Atg17', 4, NULL),
(6573, NULL, 'IPR000431', NULL, '5-Hydroxytryptamine 5B receptor', '5HT5B_rcpt', 4, NULL),
(6574, NULL, 'IPR006503', NULL, 'Nitrogenase-associated protein', 'Nase-assoc', 4, NULL),
(6575, NULL, 'IPR007263', NULL, 'DCC1-like thiol-disulfide oxidoreductase family', 'DCC1-like', 4, NULL),
(6576, NULL, 'IPR001444', NULL, 'Flagellar basal body rod protein, N-terminal', 'Flag_bb_rod_N', 3, NULL),
(6577, NULL, 'IPR000634', NULL, 'Serine/threonine dehydratase, pyridoxal-phosphate-binding site', 'Ser/Thr_deHydtase_PyrdxlP-BS', 1, NULL),
(6578, NULL, 'IPR035892', NULL, 'C2 domain superfamily', 'C2_domain_sf', 5, NULL),
(6579, NULL, 'IPR007025', NULL, 'Late expression factor 8 (LEF-8)', 'LEF-8', 4, NULL),
(6580, NULL, 'IPR002372', NULL, 'Pyrrolo-quinoline quinone repeat', 'PQQ_repeat', 7, NULL),
(6581, NULL, 'IPR007059', NULL, 'DMSO reductase anchor subunit (DmsC)', 'DmsC', 4, NULL),
(6582, NULL, 'IPR002932', NULL, 'Glutamate synthase domain', 'Glu_synthdom', 3, NULL),
(6583, NULL, 'IPR007033', NULL, 'RAB6-interacting golgin', 'GORAB', 4, NULL),
(6584, NULL, 'IPR000797', NULL, 'Bunyavirus non-structural protein NS-s', 'Bunya_NSs', 4, NULL),
(6585, NULL, 'IPR007042', NULL, 'SERRATE/Ars2 , C-terminal', 'SERRATE/Ars2_C', 3, NULL),
(6586, NULL, 'IPR023613', NULL, 'Nitrophorin', 'Nitrophorin', 4, NULL),
(6587, NULL, 'IPR007014', NULL, 'FUN14', 'FUN14', 4, NULL),
(6588, NULL, 'IPR000781', NULL, 'Enhancer of rudimentary', 'ERH', 4, NULL),
(6589, NULL, 'IPR006435', NULL, 'HAD-superfamily hydrolase, subfamily IF, YfhB', 'HAD-SF_hydro_IF_YfhB', 4, NULL),
(6590, NULL, 'IPR005880', NULL, 'Ribosomal protein L2, bacterial/organellar-type', 'Ribosomal_L2_bac/org-type', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6591, NULL, 'IPR007004', NULL, 'Beet necrotic yellow vein virus, p31', 'BNYVV_p31', 4, NULL),
(6592, NULL, 'IPR007024', NULL, 'BLUF domain', 'BLUF_domain', 3, NULL),
(6593, NULL, 'IPR005893', NULL, 'Spermidine/putrescine ABC transporter, ATP-binding subunit', 'Sp_pt_ABC_ATP-bd', 4, NULL),
(6594, NULL, 'IPR002366', NULL, 'Alpha-defensin  propeptide', 'Alpha-defensin_propep', 3, NULL),
(6595, NULL, 'IPR000385', NULL, 'MoaA/NifB/PqqE, iron-sulphur binding, conserved site', 'MoaA_NifB_PqqE_Fe-S-bd_CS', 2, NULL),
(6596, NULL, 'IPR000741', NULL, 'Fructose-bisphosphate aldolase, class-I', 'FBA_I', 4, NULL),
(6597, NULL, 'IPR006431', NULL, 'Bacteriophage tail tape measure, C-terminal', 'Phage_tape_meas_C', 3, NULL),
(6598, NULL, 'IPR023645', NULL, 'D-aminopeptidase', 'DAP', 4, NULL),
(6599, NULL, 'IPR000462', NULL, 'CDP-alcohol phosphatidyltransferase', 'CDP-OH_P_trans', 4, NULL),
(6600, NULL, 'IPR007249', NULL, 'Dopey, N-terminal', 'Dopey_N', 3, NULL),
(6601, NULL, 'IPR002379', NULL, 'V-ATPase proteolipid subunit C-like domain', 'ATPase_proteolipid_c-like_dom', 3, NULL),
(6602, NULL, 'IPR000717', NULL, 'Proteasome component (PCI) domain', 'PCI_dom', 3, NULL),
(6603, NULL, 'IPR001380', NULL, 'Ribosomal protein L13e', 'Ribosomal_L13e', 4, NULL),
(6604, NULL, 'IPR000744', NULL, 'NSF attachment protein', 'NSF_attach', 4, NULL),
(6605, NULL, 'IPR005206', NULL, 'Herpesvirus ICP4-like protein, N-terminal', 'Herpes_ICP4_N', 3, NULL),
(6606, NULL, 'IPR002934', NULL, 'Polymerase, nucleotidyl transferase domain', 'Polymerase_NTP_transf_dom', 3, NULL),
(6607, NULL, 'IPR035889', NULL, 'Light-harvesting complex', 'Light-harvesting_complex', 5, NULL),
(6608, NULL, 'IPR006414', NULL, 'P-type ATPase, subfamily IID', 'P-type_ATPase_IID', 4, NULL),
(6609, NULL, 'IPR006442', NULL, 'Type II toxin-antitoxin system, antitoxin Phd/YefM', 'Antitoxin_Phd/YefM', 4, NULL),
(6610, NULL, 'IPR001442', NULL, 'Collagen IV, non-collagenous', 'Collagen_IV_NC', 3, NULL),
(6611, NULL, 'IPR006420', NULL, 'NAD pyrophosphatase/5-nucleotidase NadN', 'NadN', 4, NULL),
(6612, NULL, 'IPR005900', NULL, '6-phosphogluconolactonase, DevB-type', '6-phosphogluconolactonase_DevB', 3, NULL),
(6613, NULL, 'IPR002365', NULL, 'Terpene synthase, conserved site', 'Terpene_synthase_CS', 2, NULL),
(6614, NULL, 'IPR007029', NULL, 'YHS domain', 'YHS_dom', 3, NULL),
(6615, NULL, 'IPR005388', NULL, 'G2A lysophosphatidylcholine receptor', 'G2A_lysphc_rcpt', 4, NULL),
(6616, NULL, 'IPR007250', NULL, 'Heat shock protein 9/12', 'HSP9_HSP12', 4, NULL),
(6617, NULL, 'IPR005861', NULL, 'Histidinol-phosphate aminotransferase family', 'HisP_aminotrans', 4, NULL),
(6618, NULL, 'IPR000507', NULL, 'Beta 1 adrenoceptor', 'ADRB1_rcpt', 4, NULL),
(6619, NULL, 'IPR007069', NULL, 'Transposase, IS801/IS1294', 'Transposase_32', 4, NULL),
(6620, NULL, 'IPR002268', NULL, 'Gap junction beta-2 protein (Cx26)', 'Connexin26', 4, NULL),
(6621, NULL, 'IPR034262', NULL, 'TRMT2A, RNA recognition motif', 'TRMT2A_RRM', 3, NULL),
(6622, NULL, 'IPR007040', NULL, 'Ribosome modulation factor', 'Ribosome_modulation_factor', 4, NULL),
(6623, NULL, 'IPR005886', NULL, 'UDP-glucose 4-epimerase', 'UDP_G4E', 4, NULL),
(6624, NULL, 'IPR005898', NULL, 'Cyclic peptide transporter', 'Cyc_pep_transpt', 4, NULL),
(6625, NULL, 'IPR000466', NULL, 'Adenosine A3 receptor', 'Adeno_A3_rcpt', 4, NULL),
(6626, NULL, 'IPR000473', NULL, 'Ribosomal protein L36', 'Ribosomal_L36', 4, NULL),
(6627, NULL, 'IPR006448', NULL, 'Putative phage terminase, small subunit, P27 family', 'Phage_term_ssu_P27', 4, NULL),
(6628, NULL, 'IPR005859', NULL, 'Cysteine synthase CysK', 'CysK', 4, NULL),
(6629, NULL, 'IPR000774', NULL, 'Peptidyl-prolyl cis-trans isomerase, FKBP-type, N-terminal', 'PPIase_FKBP_N', 3, NULL),
(6630, NULL, 'IPR002941', NULL, 'DNA methylase N-4/N-6', 'DNA_methylase_N4/N6', 3, NULL),
(6631, NULL, 'IPR002363', NULL, 'Ribosomal protein L10, eubacterial, conserved site', 'Ribosomal_L10_eubac_CS', 2, NULL),
(6632, NULL, 'IPR034529', NULL, 'Cytidylyl-2-hydroxyethylphosphonate methyltransferase fom3-like', 'Fom3-like', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6633, NULL, 'IPR005901', NULL, 'GLPGLI family protein', 'GLPGLI', 4, NULL),
(6634, NULL, 'IPR007257', NULL, 'DNA replication complex GINS protein Psf2', 'GINS_Psf2', 4, NULL),
(6635, NULL, 'IPR005823', NULL, 'Ribosomal protein L13, bacterial-type', 'Ribosomal_L13_bac-type', 4, NULL),
(6636, NULL, 'IPR007051', NULL, 'CHORD domain', 'CHORD_dom', 3, NULL),
(6637, NULL, 'IPR002317', NULL, 'Serine-tRNA ligase, type1', 'Ser-tRNA-ligase_type_1', 4, NULL),
(6638, NULL, 'IPR006501', NULL, 'Pectinesterase inhibitor domain', 'Pectinesterase_inhib_dom', 3, NULL),
(6639, NULL, 'IPR005863', NULL, 'UDP-N-acetylmuramoyl-tripeptide--D-alanyl-D-alanine ligase', 'UDP-N-AcMur_synth', 4, NULL),
(6640, NULL, 'IPR000716', NULL, 'Thyroglobulin type-1', 'Thyroglobulin_1', 3, NULL),
(6641, NULL, 'IPR000682', NULL, 'Protein-L-isoaspartate(D-aspartate) O-methyltransferase', 'PCMT', 4, NULL),
(6642, NULL, 'IPR005855', NULL, 'Glucosamine-fructose-6-phosphate aminotransferase, isomerising', 'GlmS_trans', 4, NULL),
(6643, NULL, 'IPR000800', NULL, 'Notch domain', 'Notch_dom', 3, NULL),
(6644, NULL, 'IPR002393', NULL, 'Annexin A6', 'ANX6', 4, NULL),
(6645, NULL, 'IPR005871', NULL, 'Photosynthetic reaction centre, L subunit', 'Photo_RC_L', 4, NULL),
(6646, NULL, 'IPR002939', NULL, 'Chaperone DnaJ, C-terminal', 'DnaJ_C', 3, NULL),
(6647, NULL, 'IPR007246', NULL, 'GPI transamidase component Gaa1', 'Gaa1', 4, NULL),
(6648, NULL, 'IPR000511', NULL, 'Holocytochrome c/c1 synthase', 'Holocyt_c/c1_synthase', 4, NULL),
(6649, NULL, 'IPR000755', NULL, 'D-alanyl-D-alanine dipeptidase', 'A_A_dipeptidase', 4, NULL),
(6650, NULL, 'IPR034264', NULL, 'RBM48, RNA recognition motif', 'RBM48_RRM', 3, NULL),
(6651, NULL, 'IPR002344', NULL, 'Lupus La protein', 'Lupus_La', 4, NULL),
(6652, NULL, 'IPR007224', NULL, 'Transcription initiation factor Rrn11', 'TIF_Rrn11', 4, NULL),
(6653, NULL, 'IPR007234', NULL, 'Vps53-like, N-terminal', 'Vps53_N', 3, NULL),
(6654, NULL, 'IPR000481', NULL, 'GPCR fungal pheromone B alpha receptor', 'GPCR_Pheromne_B_alpha_rcpt', 4, NULL),
(6655, NULL, 'IPR007245', NULL, 'GPI transamidase component PIG-T', 'PIG-T', 4, NULL),
(6656, NULL, 'IPR002345', NULL, 'Lipocalin', 'Lipocalin', 4, NULL),
(6657, NULL, 'IPR000704', NULL, 'Casein kinase II, regulatory subunit', 'Casein_kinase_II_reg-sub', 4, NULL),
(6658, NULL, 'IPR002406', NULL, 'Natriuretic peptide, C type', 'C_natriurtcpep', 4, NULL),
(6659, NULL, 'IPR003044', NULL, 'P2X1 purinoceptor', 'P2X1_purnocptor', 4, NULL),
(6660, NULL, 'IPR003053', NULL, 'GPCR, family 2, corticotropin releasing factor receptor, type 2', 'GPCR_2_CRF2_rcpt', 4, NULL),
(6661, NULL, 'IPR006423', NULL, '5-nucleotidase lipoprotein e(P4)', 'Lipo_e_P4', 4, NULL),
(6662, NULL, 'IPR005386', NULL, 'EDG-8 sphingosine 1-phosphate receptor', 'EDG8_S1P_rcpt', 4, NULL),
(6663, NULL, 'IPR005383', NULL, 'Atypical chemokine receptor 4', 'ACKR4', 4, NULL),
(6664, NULL, 'IPR006446', NULL, 'Rhamnosyltransferase', 'RhaTrfase', 4, NULL),
(6665, NULL, 'IPR005903', NULL, '2-desacetyl-2-hydroxyethyl bacteriochlorophyllide a dehydrogenase', 'BchC', 4, NULL),
(6666, NULL, 'IPR005888', NULL, 'dTDP-glucose 4,6-dehydratase', 'dTDP_Gluc_deHydtase', 4, NULL),
(6667, NULL, 'IPR006428', NULL, 'Portal protein, SPP1-type', 'Portal_SPP1-type', 4, NULL),
(6668, NULL, 'IPR006432', NULL, 'Portal protein, putative, A118-type', 'Portal_putative_A118-type', 4, NULL),
(6669, NULL, 'IPR002337', NULL, 'Haemoglobin, beta-type', 'Haemoglobin_b', 4, NULL),
(6670, NULL, 'IPR007233', NULL, 'Trafficking protein particle complex subunit', 'TRAPPC', 4, NULL),
(6671, NULL, 'IPR007256', NULL, 'Protein of unknown function DUF369', 'DUF369', 4, NULL),
(6672, NULL, 'IPR002265', NULL, 'Gap junction alpha-6 protein (Cx45)', 'Connexin45', 4, NULL),
(6673, NULL, 'IPR034268', NULL, 'RBM25, RNA recognition motif', 'RBM25_RRM', 3, NULL),
(6674, NULL, 'IPR001381', NULL, '3-dehydroquinate dehydratase type I', 'DHquinase_I', 4, NULL),
(6675, NULL, 'IPR006440', NULL, 'Death on curing protein', 'Doc', 4, NULL),
(6676, NULL, 'IPR001419', NULL, 'HMW glutenin', 'Glutenin', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6677, NULL, 'IPR005829', NULL, 'Sugar transporter, conserved site', 'Sugar_transporter_CS', 2, NULL),
(6678, NULL, 'IPR002299', NULL, 'Porin, Neisseria sp. type', 'Porin_Neis', 4, NULL),
(6679, NULL, 'IPR007013', NULL, 'DNA polymerase processivity factor, herpesviridae', 'DNA_pol_proc_fac_herpes', 4, NULL),
(6680, NULL, 'IPR007065', NULL, 'HPP', 'HPP', 4, NULL),
(6681, NULL, 'IPR000667', NULL, 'Peptidase S13, D-Ala-D-Ala carboxypeptidase C', 'Peptidase_S13', 4, NULL),
(6682, NULL, 'IPR000429', NULL, 'Proteinase inhibitor I14, hirudin', 'Prot_inh_hirudin', 4, NULL),
(6683, NULL, 'IPR001421', NULL, 'ATP synthase protein 8, metazoa', 'ATP8_metazoa', 4, NULL),
(6684, NULL, 'IPR002335', NULL, 'Myoglobin', 'Myoglobin', 4, NULL),
(6685, NULL, 'IPR005804', NULL, 'Fatty acid desaturase domain', 'FA_desaturase_dom', 3, NULL),
(6686, NULL, 'IPR001389', NULL, 'Flocculin', 'Flocculin', 7, NULL),
(6687, NULL, 'IPR000436', NULL, 'Sushi/SCR/CCP domain', 'Sushi_SCR_CCP_dom', 3, NULL),
(6688, NULL, 'IPR005877', NULL, 'YSIRK Gram-positive signal peptide', 'YSIRK_signal_dom', 3, NULL),
(6689, NULL, 'IPR005875', NULL, 'Phosphoribosylaminoimidazole carboxylase, ATPase subunit', 'PurK', 3, NULL),
(6690, NULL, 'IPR005854', NULL, 'Amidophosphoribosyltransferase', 'PurF', 4, NULL),
(6691, NULL, 'IPR000505', NULL, '5-Hydroxytryptamine 1D receptor', '5HT1D_rcpt', 4, NULL),
(6692, NULL, 'IPR006498', NULL, 'Tail tube protein', 'Tail_tube', 4, NULL),
(6693, NULL, 'IPR034192', NULL, 'SREK1, RNA recognition motif 2', 'SREK1_RRM2', 3, NULL),
(6694, NULL, 'IPR007009', NULL, 'Shq1 protein domain', 'Shq1_dom', 3, NULL),
(6695, NULL, 'IPR007062', NULL, 'Protein phosphatase inhibitor 2 (IPP-2)', 'PPI-2', 4, NULL),
(6696, NULL, 'IPR002338', NULL, 'Haemoglobin, alpha-type', 'Haemoglobin_a-typ', 4, NULL),
(6697, NULL, 'IPR000453', NULL, 'Chorismate synthase', 'Chorismate_synth', 4, NULL),
(6698, NULL, 'IPR000754', NULL, 'Ribosomal protein S9', 'Ribosomal_S9', 4, NULL),
(6699, NULL, 'IPR007021', NULL, 'Domain of unknown function DUF659', 'DUF659', 3, NULL),
(6700, NULL, 'IPR002339', NULL, 'Haemoglobin, pi', 'Haemoglobin_pi', 4, NULL),
(6701, NULL, 'IPR006456', NULL, 'ZF-HD homeobox protein, Cys/His-rich dimerisation domain', 'ZF_HD_homeobox_Cys/His_dimer', 3, NULL),
(6702, NULL, 'IPR000393', NULL, 'Neuropeptide Y5 receptor', 'NPY5_rcpt', 4, NULL),
(6703, NULL, 'IPR000404', NULL, 'Flavivirus non-structural protein NS4A', 'Flavi_NS4A', 3, NULL),
(6704, NULL, 'IPR005860', NULL, 'L-threonine-O-3-phosphate decarboxylase', 'CobD', 4, NULL),
(6705, NULL, 'IPR002319', NULL, 'Phenylalanyl-tRNA synthetase', 'Phenylalanyl-tRNA_Synthase', 3, NULL),
(6706, NULL, 'IPR000773', NULL, 'Granulocyte-macrophage colony-stimulating factor', 'GM_colony-stim-fac', 4, NULL),
(6707, NULL, 'IPR002266', NULL, 'Gap junction alpha-8 protein (Cx50)', 'Connexin50', 4, NULL),
(6708, NULL, 'IPR000642', NULL, 'Peptidase M41', 'Peptidase_M41', 3, NULL),
(6709, NULL, 'IPR006516', NULL, 'Replication-associated protein G2P', 'G2P', 4, NULL),
(6710, NULL, 'IPR000405', NULL, 'Galanin receptor family', 'Galanin_rcpt', 4, NULL),
(6711, NULL, 'IPR000737', NULL, 'Proteinase inhibitor I7, squash', 'Prot_inh_squash', 4, NULL),
(6712, NULL, 'IPR002946', NULL, 'Intracellular chloride channel', 'CLIC', 4, NULL),
(6713, NULL, 'IPR000400', NULL, 'Glycoside hydrolase, family 46', 'Glyco_hydro_46', 4, NULL),
(6714, NULL, 'IPR014349', NULL, 'Rieske iron-sulphur protein', 'Rieske_Fe-S_prot', 4, NULL),
(6715, NULL, 'IPR003054', NULL, 'Keratin, type II', 'Keratin_II', 4, NULL),
(6716, NULL, 'IPR006437', NULL, 'Bacteriophage terminase, large subunit', 'Phage_terminase_lsu', 4, NULL),
(6717, NULL, 'IPR007236', NULL, 'SlyX', 'SlyX', 4, NULL),
(6718, NULL, 'IPR007011', NULL, 'Late embryogenesis abundant protein, SMP subgroup domain', 'LEA_SMP_dom', 3, NULL),
(6719, NULL, 'IPR002928', NULL, 'Myosin tail', 'Myosin_tail', 3, NULL),
(6720, NULL, 'IPR000465', NULL, 'XPA', 'XPA', 4, NULL),
(6721, NULL, 'IPR007038', NULL, 'Hydrogenase/Urease accessory protein HupE/UreJ protein', 'HupE_UreJ', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6722, NULL, 'IPR005883', NULL, 'Type IV pilus inner membrane component PilM', 'PilM', 4, NULL),
(6723, NULL, 'IPR000381', NULL, 'Inhibin, beta B subunit', 'Inhibin_betaB', 4, NULL),
(6724, NULL, 'IPR007231', NULL, 'Nucleoporin interacting component Nup93/Nic96', 'Nucleoporin_int_Nup93/Nic96', 4, NULL),
(6725, NULL, 'IPR002269', NULL, 'Gap junction beta-3 protein (Cx31)', 'Connexin31', 4, NULL),
(6726, NULL, 'IPR007247', NULL, 'Ureidoglycolate lyase', 'Ureidogly_lyase', 4, NULL),
(6727, NULL, 'IPR007020', NULL, 'Protein of unknown function DUF658', 'DUF658', 4, NULL),
(6728, NULL, 'IPR005892', NULL, 'Glycine betaine transport ATP-binding subunit', 'Gly-betaine_transp_ATP-bd', 4, NULL),
(6729, NULL, 'IPR005896', NULL, 'Glucan exporter ATP-binding protein, NdvA', 'NdvA', 4, NULL),
(6730, NULL, 'IPR002361', NULL, 'Antenna complex, alpha subunit conserved site', 'Antenna_alpha_CS', 2, NULL),
(6731, NULL, 'IPR002411', NULL, 'Cereal allergen/alpha-amylase inhibitor, rice type', 'Allergen/amylase_inhib_rice', 4, NULL),
(6732, NULL, 'IPR002381', NULL, 'Ribonuclease PH, bacterial-type', 'RNase_PH_bac-type', 4, NULL),
(6733, NULL, 'IPR007061', NULL, 'Protein of unknown function DUF664', 'DUF664', 4, NULL),
(6734, NULL, 'IPR000388', NULL, 'Sulphonylurea receptor', 'Sulphorea_rcpt', 4, NULL),
(6735, NULL, 'IPR002403', NULL, 'Cytochrome P450, E-class, group IV', 'Cyt_P450_E_grp-IV', 4, NULL),
(6736, NULL, 'IPR002369', NULL, 'Integrin beta subunit, VWA domain', 'Integrin_bsu_VWA', 3, NULL),
(6737, NULL, 'IPR007034', NULL, 'Ribosome biogenesis protein BMS1/TSR1, C-terminal', 'BMS1_TSR1_C', 3, NULL),
(6738, NULL, 'IPR002935', NULL, 'Class I-like SAM-dependent O-methyltransferase', 'SAM_O-MeTrfase', 4, NULL),
(6739, NULL, 'IPR006515', NULL, 'Polyadenylate binding protein, human types 1, 2, 3, 4', 'PABP_1234', 4, NULL),
(6740, NULL, 'IPR000647', NULL, 'CTF transcription factor/nuclear factor 1', 'CTF/NFI', 4, NULL),
(6741, NULL, 'IPR000721', NULL, 'Retroviral nucleocapsid  Gag protein p24, N-terminal', 'Gag_p24_N', 3, NULL),
(6742, NULL, 'IPR000696', NULL, 'Peptidase A6, nodavirus coat protein', 'Peptidase_A6', 4, NULL),
(6743, NULL, 'IPR001425', NULL, 'Archaeal/bacterial/fungal rhodopsins', 'Arc/bac/fun_rhodopsins', 4, NULL),
(6744, NULL, 'IPR000424', NULL, 'Primosome PriB/single-strand DNA-binding', 'Primosome_PriB/ssb', 4, NULL),
(6745, NULL, 'IPR006461', NULL, 'PLAC8 motif-containing protein', 'PLAC_motif_containing', 4, NULL),
(6746, NULL, 'IPR006415', NULL, 'P-type ATPase, subfamily IIIB', 'P-type_ATPase_IIIB', 4, NULL),
(6747, NULL, 'IPR007015', NULL, 'DNA polymerase V/Myb-binding protein 1A', 'DNA_pol_V/MYBBP1A', 4, NULL),
(6748, NULL, 'IPR005872', NULL, 'Archaeal/bacterial translation initiation factor SUI1', 'SUI1_arc_bac', 4, NULL),
(6749, NULL, 'IPR000499', NULL, 'Endothelin receptor family', 'Endthln_rcpt', 4, NULL),
(6750, NULL, 'IPR003064', NULL, 'Norrie disease protein', 'Norrie_dis', 4, NULL),
(6751, NULL, 'IPR000503', NULL, 'Histamine H2 receptor', 'Histamine_H2_rcpt', 4, NULL),
(6752, NULL, 'IPR002416', NULL, 'Type II secretion system protein GspH', 'T2SS_protein-GspH', 4, NULL),
(6753, NULL, 'IPR000672', NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase', 'THF_DH/CycHdrlase', 4, NULL),
(6754, NULL, 'IPR000816', NULL, 'Peptidase C15, pyroglutamyl peptidase I', 'Peptidase_C15', 4, NULL),
(6755, NULL, 'IPR002360', NULL, 'Involucrin', 'Involucrin', 4, NULL),
(6756, NULL, 'IPR002302', NULL, 'Leucine-tRNA ligase', 'Leu-tRNA-ligase', 4, NULL),
(6757, NULL, 'IPR001440', NULL, 'Tetratricopeptide repeat 1', 'TPR_1', 7, NULL),
(6758, NULL, 'IPR000415', NULL, 'Nitroreductase-like', 'Nitroreductase-like', 5, NULL),
(6759, NULL, 'IPR000439', NULL, 'Ribosomal protein L15e', 'Ribosomal_L15e', 4, NULL),
(6760, NULL, 'IPR007229', NULL, 'Nicotinate phosphoribosyltransferase family', 'Nic_PRibTrfase-Fam', 4, NULL),
(6761, NULL, 'IPR007049', NULL, 'Carbohydrate-selective porin OprB', 'Carb-sel_porin_OprB', 4, NULL),
(6762, NULL, 'IPR005878', NULL, 'Ribosomal protein L1, bacterial-type', 'Ribosom_L1_bac-type', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6763, NULL, 'IPR007053', NULL, 'LRAT domain', 'LRAT_dom', 3, NULL),
(6764, NULL, 'IPR001382', NULL, 'Glycoside hydrolase family 47', 'Glyco_hydro_47', 4, NULL),
(6765, NULL, 'IPR000651', NULL, 'Ras-like guanine nucleotide exchange factor, N-terminal', 'Ras-like_Gua-exchang_fac_N', 3, NULL),
(6766, NULL, 'IPR000475', NULL, 'Retroviral Vif (Viral infectivity) protein', 'Vif', 4, NULL),
(6767, NULL, 'IPR007046', NULL, 'RNA polymerase sigma factor 54, core-binding domain', 'RNA_pol_sigma_54_core-bd', 3, NULL),
(6768, NULL, 'IPR000690', NULL, 'Matrin/U1-C, C2H2-type zinc finger', 'Matrin/U1-C_Znf_C2H2', 3, NULL),
(6769, NULL, 'IPR023120', NULL, 'Winged helix-turn-helix transcription repressor, HrcA, inserted dimerising domain superfamily', 'WHTH_transcript_rep_HrcA_IDD', 5, NULL),
(6770, NULL, 'IPR005862', NULL, 'Formate-dependent phosphoribosylglycinamide formyltransferase', 'PurT', 4, NULL),
(6771, NULL, 'IPR006413', NULL, 'P-type ATPase, subfamily IIA, PMR1-type', 'P-type_ATPase_IIA_PMR1', 4, NULL),
(6772, NULL, 'IPR000771', NULL, 'Fructose-bisphosphate aldolase, class-II', 'FBA_II', 4, NULL),
(6773, NULL, 'IPR002931', NULL, 'Transglutaminase-like', 'Transglutaminase-like', 3, NULL),
(6774, NULL, 'IPR023272', NULL, 'Cytochrome C oxidase, subunit VIIB domain superfamily', 'Cyt_c_oxidase_suVIIB_dom_sf', 5, NULL),
(6775, NULL, 'IPR005856', NULL, 'Cysteine synthase', 'Cys_synth', 4, NULL),
(6776, NULL, 'IPR000649', NULL, 'Initiation factor 2B-related', 'IF-2B-related', 4, NULL),
(6777, NULL, 'IPR007008', NULL, 'Poxvirus A6', 'Poxvirus_A6', 4, NULL),
(6778, NULL, 'IPR007237', NULL, 'CD20-like family', 'CD20-like', 4, NULL),
(6779, NULL, 'IPR034443', NULL, 'Meiotically up-regulated protein PB1A10.08', 'PB1A10.08', 4, NULL),
(6780, NULL, 'IPR006418', NULL, 'Nicotinamide-nucleotide adenylyltransferase, archaeal type', 'NMN_Atrans_arc', 4, NULL),
(6781, NULL, 'IPR000808', NULL, 'Mrp, conserved site', 'Mrp_CS', 2, NULL),
(6782, NULL, 'IPR007045', NULL, '5-keto 4-deoxyuronate isomerase', 'KduI', 4, NULL),
(6783, NULL, 'IPR007019', NULL, 'Surfeit locus 6', 'SURF6', 4, NULL),
(6784, NULL, 'IPR000662', NULL, 'Capsid protein VP1,Polyomavirus', 'Capsid_VP1_Polyomavir', 4, NULL),
(6785, NULL, 'IPR005387', NULL, 'CX3C chemokine receptor 1', 'Chemokine_CX3CR1', 4, NULL),
(6786, NULL, 'IPR007050', NULL, 'Bacterioopsin activator-type, HTH domain', 'HTH_bacterioopsin', 3, NULL),
(6787, NULL, 'IPR000460', NULL, 'Neuroligin', 'Nlgn', 4, NULL),
(6788, NULL, 'IPR000768', NULL, 'NAD:arginine ADP-ribosyltransferase, ART', 'ART', 4, NULL),
(6789, NULL, 'IPR000810', NULL, 'Cannabinoid receptor type 1', 'Canbinoid_rcpt_1', 4, NULL),
(6790, NULL, 'IPR000518', NULL, 'Metallothionein, family 14, prokaryote', 'Metalthion_fam14_prok', 4, NULL),
(6791, NULL, 'IPR000396', NULL, 'Cyclic-AMP phosphodiesterase, class-II', 'Pdiesterase2', 4, NULL),
(6792, NULL, 'IPR002326', NULL, 'Cytochrome c1', 'Cyt_c1', 4, NULL),
(6793, NULL, 'IPR032921', NULL, 'Protein regulator of cytokinesis 1', 'PRC1', 4, NULL),
(6794, NULL, 'IPR007039', NULL, 'Conjugal transfer TrbC/type IV secretion VirB2', 'TrbC/VirB2', 4, NULL),
(6795, NULL, 'IPR000791', NULL, 'Acetate transporter GPR1/FUN34/SatP family', 'Gpr1/Fun34/SatP', 4, NULL),
(6796, NULL, 'IPR002389', NULL, 'Annexin A2', 'ANX2', 4, NULL),
(6797, NULL, 'IPR005865', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit C', 'THM_MeTrfase_su_C', 4, NULL),
(6798, NULL, 'IPR000422', NULL, '3,4-dihydroxy-2-butanone 4-phosphate synthase, RibB', 'DHBP_synthase_RibB', 4, NULL),
(6799, NULL, 'IPR005793', NULL, 'Formyl transferase, C-terminal', 'Formyl_trans_C', 3, NULL),
(6800, NULL, 'IPR000455', NULL, '5-Hydroxytryptamine 2A receptor', '5HT2A_rcpt', 4, NULL),
(6801, NULL, 'IPR006447', NULL, 'Myb domain, plants', 'Myb_dom_plants', 3, NULL),
(6802, NULL, 'IPR005874', NULL, 'Eukaryotic translation initiation factor SUI1', 'SUI1_euk', 4, NULL),
(6803, NULL, 'IPR034276', NULL, 'Gar2, RNA recognition motif 2', 'Gar2_RRM2', 3, NULL),
(6804, NULL, 'IPR005895', NULL, 'ABC transporter, haem export, CcmA', 'ABC_transptr_haem_export_CcmA', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6805, NULL, 'IPR002267', NULL, 'Gap junction beta-1 protein (Cx32)', 'Connexin32', 4, NULL),
(6806, NULL, 'IPR002314', NULL, 'Aminoacyl-tRNA synthetase, class II (G/ P/ S/T)', 'aa-tRNA-synt_IIb', 3, NULL),
(6807, NULL, 'IPR002300', NULL, 'Aminoacyl-tRNA synthetase, class Ia', 'aa-tRNA-synth_Ia', 3, NULL),
(6808, NULL, 'IPR034265', NULL, 'MCM3AP, RNA recognition motif', 'MCM3AP_RRM', 3, NULL),
(6809, NULL, 'IPR000761', NULL, 'Melanocyte-stimulating hormone receptor', 'MSH_rcpt', 4, NULL),
(6810, NULL, 'IPR001393', NULL, 'Calsequestrin', 'Calsequestrin', 4, NULL),
(6811, NULL, 'IPR006441', NULL, 'Bacteriophage P2, GpN, major capsid', 'Phage_P2_GpN', 4, NULL),
(6812, NULL, 'IPR002321', NULL, 'Cytochrome c, class II', 'Cyt_c_II', 4, NULL),
(6813, NULL, 'IPR007047', NULL, 'Flp/Fap pilin component', 'Flp_Fap', 4, NULL),
(6814, NULL, 'IPR002328', NULL, 'Alcohol dehydrogenase, zinc-type, conserved site', 'ADH_Zn_CS', 2, NULL),
(6815, NULL, 'IPR007067', NULL, 'Tail sheath protein', 'Tail_sheath', 4, NULL),
(6816, NULL, 'IPR007044', NULL, 'Cyclodeaminase/cyclohydrolase', 'Cyclodeamin/CycHdrlase', 3, NULL),
(6817, NULL, 'IPR000686', NULL, 'Fanconi anaemia group C protein', 'FANCC', 4, NULL),
(6818, NULL, 'IPR000435', NULL, 'Tektin', 'Tektin', 4, NULL),
(6819, NULL, 'IPR000382', NULL, 'Peptidase S39B, luteovirus', 'Peptidase_S39B_luteovirus', 3, NULL),
(6820, NULL, 'IPR007235', NULL, 'Glycosyl transferase, family 28, C-terminal', 'Glyco_trans_28_C', 3, NULL),
(6821, NULL, 'IPR005897', NULL, 'Peptidase C39, ABC-type bacteriocin transporter', 'Pept_C39_ABC_bacteriocin', 4, NULL),
(6822, NULL, 'IPR002271', NULL, 'Gap junction beta-5 protein (Cx31.1)', 'Connexin311', 4, NULL),
(6823, NULL, 'IPR003060', NULL, 'Pyocin S killer protein', 'Pyocin_killer', 4, NULL),
(6824, NULL, 'IPR023116', NULL, 'Phosphonoacetate hydrolase, insert domain superfamily', 'Phosphonoacetate_hydro_insert', 5, NULL),
(6825, NULL, 'IPR007060', NULL, 'Septum formation initiator FtsL/DivIC', 'FtsL/DivIC', 4, NULL),
(6826, NULL, 'IPR002396', NULL, 'Selectin superfamily', 'Selectin_superfamily', 4, NULL),
(6827, NULL, 'IPR006426', NULL, 'Asparagine synthase, glutamine-hydrolyzing', 'Asn_synth_AEB', 4, NULL),
(6828, NULL, 'IPR006512', NULL, 'YidE/YbjL duplication', 'YidE_YbjL', 3, NULL),
(6829, NULL, 'IPR000470', NULL, 'CbxX/CfxQ, monofunctional', 'CbxX/CfqX_mono', 4, NULL),
(6830, NULL, 'IPR006417', NULL, 'Nicotinamide-nucleotide adenylyltransferase', 'NadR_NMN_Atrans', 3, NULL),
(6831, NULL, 'IPR000469', NULL, 'G-protein alpha subunit, group 12/13', 'Gprotein_alpha_12/13', 4, NULL),
(6832, NULL, 'IPR005194', NULL, 'Glycoside hydrolase family 65, C-terminal', 'Glyco_hydro_65_C', 3, NULL),
(6833, NULL, 'IPR002354', NULL, 'Interleukin-4', 'IL-4', 4, NULL),
(6834, NULL, 'IPR002942', NULL, 'RNA-binding S4 domain', 'S4_RNA-bd', 3, NULL),
(6835, NULL, 'IPR007260', NULL, 'Putative N-acetylmannosamine-6-phosphate epimerase', 'NanE', 4, NULL),
(6836, NULL, 'IPR005867', NULL, 'Photosystem II protein D1', 'PSII_D1', 4, NULL),
(6837, NULL, 'IPR002371', NULL, 'Flagellar hook-associated protein 1', 'FlgK', 4, NULL),
(6838, NULL, 'IPR000456', NULL, 'Ribosomal protein L17', 'Ribosomal_L17', 4, NULL),
(6839, NULL, 'IPR001429', NULL, 'P2X purinoreceptor', 'P2X_purnocptor', 4, NULL),
(6840, NULL, 'IPR000681', NULL, 'Beta 3 adrenoceptor', 'ADRB3_rcpt', 4, NULL),
(6841, NULL, 'IPR005382', NULL, 'CC chemokine receptor 10', 'Chemokine_CCR10', 4, NULL),
(6842, NULL, 'IPR006451', NULL, 'Glycogen debranching enzyme, archaeal type', 'Glycogen_debranch_arc', 4, NULL),
(6843, NULL, 'IPR005885', NULL, 'tRNA guanine(10)-N2-dimethyltransferase', 'TrmG10', 4, NULL),
(6844, NULL, 'IPR000416', NULL, 'Haemagglutinin outer capsid protein VP4, concanavalin-like domain', 'VP4_concanavalin-like', 3, NULL),
(6845, NULL, 'IPR006450', NULL, 'Phage protein of unkonwn function', 'Phage_HK022_Gp6', 4, NULL),
(6846, NULL, 'IPR007225', NULL, 'Exocyst complex component EXOC6/Sec15', 'EXOC6/Sec15', 4, NULL),
(6847, NULL, 'IPR002333', NULL, 'Hepatic lipase', 'Lipase_hep', 4, NULL),
(6848, NULL, 'IPR007226', NULL, 'SRS domain', 'SRS_dom', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6849, NULL, 'IPR007036', NULL, 'Succinylglutamate desuccinylase/aspartoacylase', 'Aste_AspA', 4, NULL),
(6850, NULL, 'IPR000494', NULL, 'Receptor L-domain', 'Rcpt_L-dom', 3, NULL),
(6851, NULL, 'IPR000806', NULL, 'Rab GDI protein', 'RabGDI', 4, NULL),
(6852, NULL, 'IPR000378', NULL, 'Opsin red/green sensitive', 'Opsin_red/grn', 4, NULL),
(6853, NULL, 'IPR001418', NULL, 'Opioid receptor', 'Opioid_rcpt', 4, NULL),
(6854, NULL, 'IPR000727', NULL, 'Target SNARE coiled-coil homology domain', 'T_SNARE_dom', 3, NULL),
(6855, NULL, 'IPR005372', NULL, 'Uncharacterised protein family UPF0182', 'UPF0182', 4, NULL),
(6856, NULL, 'IPR007242', NULL, 'Ubiquitin-like protein Atg12', 'Atg12', 4, NULL),
(6857, NULL, 'IPR002316', NULL, 'Proline-tRNA ligase, class IIa', 'Pro-tRNA-ligase_IIa', 4, NULL),
(6858, NULL, 'IPR005850', NULL, 'Galactose-1-phosphate uridyl transferase, C-terminal', 'GalP_Utransf_C', 3, NULL),
(6859, NULL, 'IPR000688', NULL, 'Hydrogenase maturation factor HypA/HybF', 'HypA/HybF', 4, NULL),
(6860, NULL, 'IPR005899', NULL, 'Sodium ion-translocating decarboxylase', 'Na_pump_deCOase', 4, NULL),
(6861, NULL, 'IPR000795', NULL, 'Translational (tr)-type GTP-binding domain', 'T_Tr_GTP-bd_dom', 3, NULL),
(6862, NULL, 'IPR013273', NULL, 'ADAMTS/ADAMTS-like', 'ADAMTS/ADAMTS-like', 4, NULL),
(6863, NULL, 'IPR007227', NULL, 'Cell shape-determining protein MreD', 'Cell_shape_determining_MreD', 4, NULL),
(6864, NULL, 'IPR000428', NULL, 'Copper ion binding protein', 'Cu-bd', 4, NULL),
(6865, NULL, 'IPR005864', NULL, 'ATP synthase, F0 complex, subunit b, bacterial', 'ATP_synth_F0_bsu_bac', 4, NULL),
(6866, NULL, 'IPR002937', NULL, 'Amine oxidase', 'Amino_oxidase', 3, NULL),
(6867, NULL, 'IPR007066', NULL, 'RNA polymerase Rpb1, domain 3', 'RNA_pol_Rpb1_3', 3, NULL),
(6868, NULL, 'IPR002395', NULL, 'HMW kininogen', 'Kininogen', 4, NULL),
(6869, NULL, 'IPR007258', NULL, 'Vps52', 'Vps52', 4, NULL),
(6870, NULL, 'IPR006517', NULL, 'Archaeophage PsiM2, terminase large subunit', 'Arc_phage_PsiM2_terminase_lsu', 4, NULL),
(6871, NULL, 'IPR000665', NULL, 'Haemagglutinin/haemagglutinin-neuraminidase, paramyxovirus', 'Hemagglutn/HN', 4, NULL),
(6872, NULL, 'IPR007007', NULL, 'Ninjurin', 'Ninjurin', 4, NULL),
(6873, NULL, 'IPR007239', NULL, 'Autophagy-related protein 5', 'Atg5', 4, NULL),
(6874, NULL, 'IPR007023', NULL, 'Ribosomal biogenesis regulatory protein', 'Ribosom_reg', 4, NULL),
(6875, NULL, 'IPR003061', NULL, 'Colicin E1 (microcin) immunity protein', 'Microcin', 4, NULL),
(6876, NULL, 'IPR002562', NULL, '3''-5'' exonuclease domain', '3''-5''_exonuclease_dom', 3, NULL),
(6877, NULL, 'IPR005385', NULL, 'Lysophosphatidic acid receptor EDG-7', 'LPA_rcpt_EDG7', 4, NULL),
(6878, NULL, 'IPR005198', NULL, 'Glycoside hydrolase, family 76', 'Glyco_hydro_76', 4, NULL),
(6879, NULL, 'IPR006511', NULL, 'SHORT INTERNODES, C-terminal', 'SHI_C', 3, NULL),
(6880, NULL, 'IPR006422', NULL, 'D-erythrose-4-phosphate dehydrogenase', 'E4P_DH_bac', 4, NULL),
(6881, NULL, 'IPR006455', NULL, 'Homeodomain, ZF-HD class', 'Homeodomain_ZF_HD', 3, NULL),
(6882, NULL, 'IPR006500', NULL, 'DNA primase, phage/plasmid', 'DNA_primase_phage/plasmid', 3, NULL),
(6883, NULL, 'IPR000766', NULL, 'Galactose-1-phosphate uridyl transferase, class II', 'GalP_uridyl_Trfase_II', 4, NULL),
(6884, NULL, 'IPR000448', NULL, 'Rhabdovirus nucleocapsid', 'Rhabdo_ncapsid', 3, NULL),
(6885, NULL, 'IPR000408', NULL, 'Regulator of chromosome condensation, RCC1', 'Reg_chr_condens', 7, NULL),
(6886, NULL, 'IPR000454', NULL, 'ATP synthase, F0 complex, subunit C', 'ATP_synth_F0_csu', 4, NULL),
(6887, NULL, 'IPR003051', NULL, 'GPCR, family 2, corticotropin releasing factor receptor', 'GPCR_2_CRF_rcpt', 4, NULL),
(6888, NULL, 'IPR024647', NULL, 'DNA polymerase alpha catalytic subunit, N-terminal domain', 'DNA_pol_a_cat_su_N', 3, NULL),
(6889, NULL, 'IPR005890', NULL, 'Nitrate transport ATP-binding subunit C/D', 'NO3_transporter_ATP-bd', 4, NULL),
(6890, NULL, 'IPR001420', NULL, 'X opioid receptor', 'X_opioid_rcpt', 4, NULL),
(6891, NULL, 'IPR034438', NULL, '4-Hydroxyphenylacetate decarboxylase activase', '4-hPhe_decarboxylase_activase', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6892, NULL, 'IPR006424', NULL, 'Glyceraldehyde-3-phosphate dehydrogenase, type I', 'Glyceraldehyde-3-P_DH_1', 4, NULL),
(6893, NULL, 'IPR000730', NULL, 'Proliferating cell nuclear antigen, PCNA', 'Pr_cel_nuc_antig', 4, NULL),
(6894, NULL, 'IPR007265', NULL, 'Conserved oligomeric Golgi complex, subunit 3', 'COG_su3', 4, NULL),
(6895, NULL, 'IPR000783', NULL, 'RNA polymerase, subunit H/Rpb5 C-terminal', 'RNA_pol_subH/Rpb5_C', 3, NULL),
(6896, NULL, 'IPR006457', NULL, 'S-layer family duplication domain', 'S_layer-rel_Mac', 3, NULL),
(6897, NULL, 'IPR001377', NULL, 'Ribosomal protein S6e', 'Ribosomal_S6e', 4, NULL),
(6898, NULL, 'IPR006439', NULL, 'HAD hydrolase, subfamily IA', 'HAD-SF_hydro_IA', 4, NULL),
(6899, NULL, 'IPR005884', NULL, 'Fumarate reductase, flavoprotein subunit', 'Fum_red_fp', 4, NULL),
(6900, NULL, 'IPR000417', NULL, 'Hydroxyethylthiazole kinase', 'Hyethyz_kinase', 4, NULL),
(6901, NULL, 'IPR006438', NULL, 'HAD hydrolase, TIGR01548 family', 'HAD-SF_TIGR01548', 4, NULL),
(6902, NULL, 'IPR005879', NULL, 'Ribosomal protein L1, mitochondrial', 'Ribosomal_L1_mit', 4, NULL),
(6903, NULL, 'IPR005902', NULL, 'Putative DNA-binding protein, HU-related', 'HU_DNA-bd_put', 4, NULL),
(6904, NULL, 'IPR002930', NULL, 'Glycine cleavage system H-protein', 'GCV_H', 4, NULL),
(6905, NULL, 'IPR006502', NULL, 'Protein of unknown function PDDEXK-like', 'PDDEXK-like', 4, NULL),
(6906, NULL, 'IPR000485', NULL, 'AsnC-type HTH domain', 'AsnC-type_HTH_dom', 3, NULL),
(6907, NULL, 'IPR000500', NULL, 'Connexin', 'Connexin', 4, NULL),
(6908, NULL, 'IPR000654', NULL, 'G-protein alpha subunit, group Q', 'Gprotein_alpha_Q', 4, NULL),
(6909, NULL, 'IPR000699', NULL, 'RIH domain', 'RIH_dom', 3, NULL),
(6910, NULL, 'IPR005881', NULL, 'Serine O-acetyltransferase', 'Ser_O-AcTrfase', 4, NULL),
(6911, NULL, 'IPR000725', NULL, 'Olfactory receptor', 'Olfact_rcpt', 4, NULL),
(6912, NULL, 'IPR006436', NULL, 'Glyceraldehyde-3-phosphate dehydrogenase, type II', 'Glyceraldehyde-3-P_DH_2_arc', 4, NULL),
(6913, NULL, 'IPR007266', NULL, 'Endoplasmic reticulum oxidoreductin 1', 'Ero1', 4, NULL),
(6914, NULL, 'IPR000486', NULL, 'Extradiol ring-cleavage dioxygenase, class I /II', 'Xdiol_ring_cleave_dOase_1/2', 2, NULL),
(6915, NULL, 'IPR007054', NULL, 'Lysis protein S', 'Lysis_S', 4, NULL),
(6916, NULL, 'IPR006433', NULL, 'Prohead protease', 'Prohead_protease', 4, NULL),
(6917, NULL, 'IPR034441', NULL, 'Bursicon subunit beta', 'Bursicon_suB', 4, NULL),
(6918, NULL, 'IPR007048', NULL, 'IraD/Gp25-like', 'IraD/Gp25-like', 3, NULL),
(6919, NULL, 'IPR006499', NULL, 'Reticulocyte binding protein', 'Reticulocyte-bd', 4, NULL),
(6920, NULL, 'IPR002925', NULL, 'Dienelactone hydrolase', 'Dienelactn_hydro', 3, NULL),
(6921, NULL, 'IPR006459', NULL, 'Casparian strip membrane protein', 'CASP/CASPL', 4, NULL),
(6922, NULL, 'IPR000477', NULL, 'Reverse transcriptase domain', 'RT_dom', 3, NULL),
(6923, NULL, 'IPR007244', NULL, '-alpha-acetyltransferase 35, NatC auxiliary subunit', 'Naa35/Mak10', 4, NULL),
(6924, NULL, 'IPR000516', NULL, 'Nickel-dependent hydrogenase b-type cytochrome subunit', 'Ni-dep_Hydgase_cyt-B', 4, NULL),
(6925, NULL, 'IPR000756', NULL, 'Diacylglycerol kinase, accessory domain', 'Diacylglycerol_kin_accessory', 3, NULL),
(6926, NULL, 'IPR007027', NULL, 'Poxvirus F11', 'Poxvirus_F11', 4, NULL),
(6927, NULL, 'IPR007232', NULL, 'DNA repair protein Rad52/59/22', 'Rad52_Rad59_Rad22', 4, NULL),
(6928, NULL, 'IPR002264', NULL, 'Gap junction alpha-5 protein (Cx40)', 'Connexin40', 4, NULL),
(6929, NULL, 'IPR007055', NULL, 'BON domain', 'BON_dom', 3, NULL),
(6930, NULL, 'IPR006458', NULL, 'Ovate  protein family, C-terminal', 'Ovate_C', 3, NULL),
(6931, NULL, 'IPR002331', NULL, 'Pancreatic lipase', 'Lipase_panc', 4, NULL),
(6932, NULL, 'IPR007259', NULL, 'Gamma-tubulin complex component protein', 'GCP', 4, NULL),
(6933, NULL, 'IPR005331', NULL, 'Sulfotransferase', 'Sulfotransferase', 4, NULL),
(6934, NULL, 'IPR007243', NULL, 'Atg6/Beclin', 'Atg6/Beclin', 4, NULL),
(6935, NULL, 'IPR034439', NULL, 'Diuretic hormone class 2-like', 'DH2-like', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6936, NULL, 'IPR005876', NULL, 'Cobalt transport protein ATP-binding subunit', 'Co_trans_ATP-bd', 4, NULL),
(6937, NULL, 'IPR001446', NULL, '5-lipoxygenase-activating protein', '5_LipOase_AP', 4, NULL),
(6938, NULL, 'IPR007230', NULL, 'Peptidase S59, nucleoporin', 'Peptidase_S59', 3, NULL),
(6939, NULL, 'IPR032922', NULL, 'Protein SON', 'SON', 4, NULL),
(6940, NULL, 'IPR002374', NULL, 'cGMP-dependent kinase', 'cGMP_dep_kinase', 4, NULL),
(6941, NULL, 'IPR005891', NULL, 'DevC protein', 'DevC', 4, NULL),
(6942, NULL, 'IPR005201', NULL, 'Glycoside hydrolase, family 85', 'Glyco_hydro_85', 3, NULL),
(6943, NULL, 'IPR001433', NULL, 'Oxidoreductase FAD/NAD(P)-binding', 'OxRdtase_FAD/NAD-bd', 3, NULL),
(6944, NULL, 'IPR006427', NULL, 'Phage portal protein, HK97', 'Portal_HK97', 4, NULL),
(6945, NULL, 'IPR000758', NULL, 'Virulence-related outer membrane protein', 'Enterovir_OMP', 4, NULL),
(6946, NULL, 'IPR005889', NULL, 'Nitrate transport permease', 'NtrB', 4, NULL),
(6947, NULL, 'IPR007251', NULL, 'Low affinity iron permease, Fet4', 'Iron_permease_Fet4', 4, NULL),
(6948, NULL, 'IPR002307', NULL, 'Tyrosine-tRNA ligase', 'Tyr-tRNA-ligase', 4, NULL),
(6949, NULL, 'IPR006445', NULL, 'Phage-associated protein HI1409', 'Phage-assoc_HI1409', 4, NULL),
(6950, NULL, 'IPR007012', NULL, 'Poly(A) polymerase, central domain', 'PolA_pol_cen_dom', 3, NULL),
(6951, NULL, 'IPR007254', NULL, 'Protein of unknown function DUF373', 'DUF373', 4, NULL),
(6952, NULL, 'IPR005858', NULL, 'Cysteine synthase CysM', 'CysM', 4, NULL),
(6953, NULL, 'IPR005873', NULL, 'DENR family, eukaryotes', 'DENR_eukaryotes', 4, NULL),
(6954, NULL, 'IPR006513', NULL, 'Conserved hypothetical protein CHP01626, YtfJ', 'CHP01626_YtfJ', 4, NULL),
(6955, NULL, 'IPR006452', NULL, 'Formate dehydrogenase accessory protein', 'Formate_DH_accessory', 4, NULL),
(6956, NULL, 'IPR002310', NULL, 'Glycine-tRNA ligase, alpha subunit', 'Gly-tRNA_ligase_asu', 4, NULL),
(6957, NULL, 'IPR002948', NULL, 'Thiazide-sensitive Na-K-Cl co-transporter', 'SLC12A3', 4, NULL),
(6958, NULL, 'IPR006509', NULL, 'Splicing factor, RBM39-like', 'RBM39_SF', 4, NULL),
(6959, NULL, 'IPR001379', NULL, 'Egg lysin (Sperm-lysin)', 'Egg_lysin', 4, NULL),
(6960, NULL, 'IPR006496', NULL, 'Conserved hypothetical protein CHP01609, Plasmodium spp', 'CHP01606_Plasmodium_spp', 4, NULL),
(6961, NULL, 'IPR002323', NULL, 'Cytochrome c, class IE', 'Cyt_CIE', 4, NULL),
(6962, NULL, 'IPR007016', NULL, 'O-antigen ligase-related', 'O-antigen_ligase-related', 4, NULL),
(6963, NULL, 'IPR002922', NULL, 'Thiazole biosynthetic enzyme Thi4 family', 'Thi4_fam', 4, NULL),
(6964, NULL, 'IPR006443', NULL, 'Formate dehydrogenase-N, alpha subunit', 'Formate-DH-alph_fdnG', 4, NULL),
(6965, NULL, 'IPR000426', NULL, 'Proteasome alpha-subunit, N-terminal domain', 'Proteasome_asu_N', 3, NULL),
(6966, NULL, 'IPR002921', NULL, 'Fungal lipase-like domain', 'Fungal_lipase-like', 3, NULL),
(6967, NULL, 'IPR006460', NULL, 'Protein MIZU-KUSSEI 1-like, plant', 'MIZ1-like_pln', 4, NULL),
(6968, NULL, 'IPR002301', NULL, 'Isoleucine-tRNA ligase', 'Ile-tRNA-ligase', 4, NULL),
(6969, NULL, 'IPR002933', NULL, 'Peptidase M20', 'Peptidase_M20', 4, NULL),
(6970, NULL, 'IPR002944', NULL, 'Sodium:neurotransmitter symporter, inebriated', 'Na/ntran_symport_inebriated', 4, NULL),
(6971, NULL, 'IPR006510', NULL, 'Zinc finger, lateral root primordium type 1', 'Znf_LRP1', 3, NULL),
(6972, NULL, 'IPR000702', NULL, 'Ribosomal protein L6', 'Ribosomal_L6', 4, NULL),
(6973, NULL, 'IPR001435', NULL, 'Adenosine A2B receptor', 'Adeno_A2B_rcpt', 4, NULL),
(6974, NULL, 'IPR000792', NULL, 'Transcription regulator LuxR, C-terminal', 'Tscrpt_reg_LuxR_C', 3, NULL),
(6975, NULL, 'IPR007032', NULL, 'Poxvirus A51', 'Poxvirus_A51', 4, NULL),
(6976, NULL, 'IPR001388', NULL, 'Synaptobrevin', 'Synaptobrevin', 4, NULL),
(6977, NULL, 'IPR002938', NULL, 'FAD-binding domain', 'FAD-bd', 3, NULL),
(6978, NULL, 'IPR001251', NULL, 'CRAL-TRIO lipid binding domain', 'CRAL-TRIO_dom', 3, NULL),
(6979, NULL, 'IPR007031', NULL, 'Poxvirus VLTF3, late transcription factor', 'Poxvirus_VLTF3', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(6980, NULL, 'IPR007248', NULL, 'Mpv17/PMP22', 'Mpv17_PMP22', 4, NULL),
(6981, NULL, 'IPR007026', NULL, 'CC domain', 'CC_domain', 3, NULL),
(6982, NULL, 'IPR005210', NULL, 'Herpesvirus large tegument protein deneddylase', 'Herpes_LT_deneddylase', 3, NULL),
(6983, NULL, 'IPR005384', NULL, 'Duffy antigen/chemokine receptor', 'Duffy_chemokine_rcpt', 4, NULL),
(6984, NULL, 'IPR006497', NULL, 'Bacteriophage lambda, GpO, N-terminal', 'Phage_lambda_GpO_N', 3, NULL),
(6985, NULL, 'IPR000480', NULL, 'Glutelin', 'Glutelin', 4, NULL),
(6986, NULL, 'IPR003047', NULL, 'P2X4 purinoceptor', 'P2X4_purnocptor', 4, NULL),
(6987, NULL, 'IPR006421', NULL, 'Glycogen debranching enzyme, metazoa', 'Glycogen_debranch_met', 4, NULL),
(6988, NULL, 'IPR034272', NULL, 'Gar2, RNA recognition motif 1', 'Gar2_RRM1', 3, NULL),
(6989, NULL, 'IPR000669', NULL, 'Mannitol dehydrogenase', 'Mannitol_DH', 4, NULL),
(6990, NULL, 'IPR007005', NULL, 'XAP5 protein', 'XAP5', 4, NULL),
(6991, NULL, 'IPR006434', NULL, 'Pyrimidine 5''-nucleotidase, eukaryotic', 'Pyrimidine_nucleotidase_eu', 4, NULL),
(6992, NULL, 'IPR000398', NULL, 'Thymidylate synthase', 'Thymidylate_synthase', 4, NULL),
(6993, NULL, 'IPR000514', NULL, 'Glycoside hydrolase, family 39', 'Glyco_hydro_39', 4, NULL),
(6994, NULL, 'IPR002336', NULL, 'Erythrocruorin', 'Erythrocruorin', 4, NULL),
(6995, NULL, 'IPR005869', NULL, 'Photosystem II CP43 reaction centre protein', 'PSII_PsbC', 4, NULL),
(6996, NULL, 'IPR001416', NULL, 'Atypical chemokine receptor 3', 'ACKR3', 4, NULL),
(6997, NULL, 'IPR000720', NULL, 'Peptidylglycine alpha-hydroxylating monooxygenase/peptidyl-hydroxyglycine alpha-amidating lyase', 'PHM/PAL', 4, NULL),
(6998, NULL, 'IPR000418', NULL, 'Ets domain', 'Ets_dom', 3, NULL),
(6999, NULL, 'IPR000467', NULL, 'G-patch domain', 'G_patch_dom', 3, NULL),
(7000, NULL, 'IPR000804', NULL, 'Clathrin adaptor complex, small chain', 'Clathrin_sm-chain_CS', 2, NULL),
(7001, NULL, 'IPR004870', NULL, 'Nucleoporin, Nup155-like', 'Nucleoporin_Nup155', 4, NULL),
(7002, NULL, 'IPR005134', NULL, 'Uncharacterised protein family UPF0114', 'UPF0114', 4, NULL),
(7003, NULL, 'IPR002464', NULL, 'DNA/RNA helicase, ATP-dependent, DEAH-box type, conserved site', 'DNA/RNA_helicase_DEAH_CS', 2, NULL),
(7004, NULL, 'IPR003013', NULL, 'Erythropoietin', 'Erythroptn', 4, NULL),
(7005, NULL, 'IPR003940', NULL, 'Transforming growth factor beta-2 proprotein', 'TGFb2', 4, NULL),
(7006, NULL, 'IPR002427', NULL, 'Alcohol dehydrogenase-related', 'ADH-rel', 4, NULL),
(7007, NULL, 'IPR004469', NULL, 'Phosphoserine phosphatase', 'PSP', 4, NULL),
(7008, NULL, 'IPR023721', NULL, 'Multidrug resistance protein MdtD', 'Multi-R_MdtD', 4, NULL),
(7009, NULL, 'IPR001359', NULL, 'Synapsin', 'Synapsin', 4, NULL),
(7010, NULL, 'IPR015882', NULL, 'Beta-hexosaminidase, bacterial type, N-terminal', 'HEX_bac_N', 3, NULL),
(7011, NULL, 'IPR001348', NULL, 'ATP phosphoribosyltransferase HisG', 'ATP_PRibTrfase_HisG', 4, NULL),
(7012, NULL, 'IPR003991', NULL, 'Pertactin virulence factor family', 'Pertactin_virulence_factor', 4, NULL),
(7013, NULL, 'IPR008209', NULL, 'Phosphoenolpyruvate carboxykinase, GTP-utilising', 'PEP_carboxykinase_GTP', 4, NULL),
(7014, NULL, 'IPR023710', NULL, 'Probable phosphatase YcdX', 'Phosphatase_YcdX_put', 4, NULL),
(7015, NULL, 'IPR007269', NULL, 'Isoprenylcysteine carboxyl methyltransferase', 'ICMT_MeTrfase', 4, NULL),
(7016, NULL, 'IPR003547', NULL, 'Serine/threonine protein kinase, yersinia-type', 'Ser/thr_kinase_yersinia-type', 4, NULL),
(7017, NULL, 'IPR008141', NULL, 'Alanine dehydrogenase', 'Ala_DH', 4, NULL),
(7018, NULL, 'IPR008173', NULL, 'Adenylyl cyclase CyaB', 'Adenylyl_cyclase_CyaB', 4, NULL),
(7019, NULL, 'IPR005127', NULL, 'Giardia variant-specific surface protein', 'Giardia_VSP', 4, NULL),
(7020, NULL, 'IPR004481', NULL, 'Sodium/potassium/calcium exchanger', 'K/Na/Ca-exchanger', 4, NULL),
(7021, NULL, 'IPR000496', NULL, 'Bradykinin receptor family', 'Brdyknn_rcpt', 4, NULL),
(7022, NULL, 'IPR004471', NULL, 'Branched-chain amino acid transport, AzlC', 'Brnchd-chn_aa_trnsp_AzlC', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7023, NULL, 'IPR001362', NULL, 'Glycoside hydrolase, family 32', 'Glyco_hydro_32', 4, NULL),
(7024, NULL, 'IPR007074', NULL, 'LicD family', 'LicD_fam', 4, NULL),
(7025, NULL, 'IPR017947', NULL, 'Aryldialkylphosphatase, zinc-binding site', 'AryldialkylPase_Zn-BS', 1, NULL),
(7026, NULL, 'IPR002446', NULL, 'Lipocalin, bacterial', 'Lipocalin_bac', 4, NULL),
(7027, NULL, 'IPR012176', NULL, 'Bifunctional nitroreductase/nicotinate-nucleotide-dimethylbenzimidazole, phosphoribosyltransferase', 'NRdtase/NN_dMeBzImd_PRibTrfase', 4, NULL),
(7028, NULL, 'IPR004861', NULL, 'Atypical dual-specificity phosphatase Siw14-like', 'Siw14-like', 4, NULL),
(7029, NULL, 'IPR002418', NULL, 'Transcription regulator Myc', 'Tscrpt_reg_Myc', 4, NULL),
(7030, NULL, 'IPR003983', NULL, 'Leukotriene B4 type 1 receptor', 'Leukotriene_B4_typ-1_rcpt', 4, NULL),
(7031, NULL, 'IPR008195', NULL, 'Ribosomal protein L34Ae', 'Ribosomal_L34Ae', 4, NULL),
(7032, NULL, 'IPR004439', NULL, 'Isocitrate dehydrogenase NADP-dependent, dimeric, prokaryotic', 'Isocitrate_DH_NADP_dimer_prok', 4, NULL),
(7033, NULL, 'IPR007281', NULL, 'Mre11, DNA-binding', 'Mre11_DNA-bd', 3, NULL),
(7034, NULL, 'IPR004855', NULL, 'Transcription factor IIA, alpha/beta subunit', 'TFIIA_asu/bsu', 4, NULL),
(7035, NULL, 'IPR004473', NULL, 'Restriction endonuclease, type I, HsdR', 'Restrct_endonuc_typeI_HsdR', 4, NULL),
(7036, NULL, 'IPR008154', NULL, 'Amyloidogenic glycoprotein, extracellular', 'Amyloid_glyco_extra', 3, NULL),
(7037, NULL, 'IPR002454', NULL, 'Gamma tubulin', 'Gamma_tubulin', 4, NULL),
(7038, NULL, 'IPR001068', NULL, 'Adenosine A1 receptor', 'Adeno_A1_rcpt', 4, NULL),
(7039, NULL, 'IPR008142', NULL, 'Alanine dehydrogenase/NAD(P) transhydrogenase, conserved site-1', 'AlaDH/PNT_CS1', 2, NULL),
(7040, NULL, 'IPR005389', NULL, 'OGR1 sphingosylphosphorylcholine receptor', 'OGR1_rcpt', 4, NULL),
(7041, NULL, 'IPR003980', NULL, 'Histamine H3 receptor', 'Histamine_H3_rcpt', 4, NULL),
(7042, NULL, 'IPR003942', NULL, 'Left- Right determination factor', 'LRDF', 4, NULL),
(7043, NULL, 'IPR013514', NULL, 'Protein of unknown function DUF3199, YqbG', 'DUF3199_YqbG', 4, NULL),
(7044, NULL, 'IPR003537', NULL, 'Type III secretion system effector protein YopE-like', 'YopE-like', 4, NULL),
(7045, NULL, 'IPR001374', NULL, 'R3H domain', 'R3H_dom', 3, NULL),
(7046, NULL, 'IPR005400', NULL, 'Potassium channel, voltage-dependent, beta subunit, KCNAB1', 'K_chnl_volt-dep_bsu_KCNAB1', 4, NULL),
(7047, NULL, 'IPR034645', NULL, 'FCA, RNA recognition motif 2', 'FCA_RRM2', 3, NULL),
(7048, NULL, 'IPR003986', NULL, 'Neurotensin type 2 receptor', 'NT2_rcpt', 4, NULL),
(7049, NULL, 'IPR001365', NULL, 'Adenosine deaminase domain', 'A_deaminase_dom', 3, NULL),
(7050, NULL, 'IPR004418', NULL, 'Homoaconitase, mitochondrial', 'Homoaconitase_mito', 4, NULL),
(7051, NULL, 'IPR006508', NULL, 'Pseudouridine synthase, RluA-like', 'PsdUridine_synth_RluA-like', 4, NULL),
(7052, NULL, 'IPR002455', NULL, 'GPCR family 3, GABA-B receptor', 'GPCR3_GABA-B', 4, NULL),
(7053, NULL, 'IPR001347', NULL, 'SIS domain', 'SIS_dom', 3, NULL),
(7054, NULL, 'IPR007271', NULL, 'Nucleotide-sugar transporter', 'Nuc_sug_transpt', 4, NULL),
(7055, NULL, 'IPR002447', NULL, 'Beta-lactoglobulin', 'Blactoglobulin', 4, NULL),
(7056, NULL, 'IPR012152', NULL, 'Protein-tyrosine phosphatase, non-receptor type-6, -11', 'Tyr_Pase_non-rcpt_typ-6/11', 4, NULL),
(7057, NULL, 'IPR004457', NULL, 'Zinc finger, ZPR1-type', 'Znf_ZPR1', 3, NULL),
(7058, NULL, 'IPR002959', NULL, 'Tumour necrosis factor alpha', 'TNF_alpha', 4, NULL),
(7059, NULL, 'IPR002972', NULL, 'Prostaglandin D synthase', 'PstgldnD_synth', 4, NULL),
(7060, NULL, 'IPR008187', NULL, 'Vpu protein', 'Vpu', 4, NULL),
(7061, NULL, 'IPR002463', NULL, 'Ornatin', 'Ornatin', 4, NULL),
(7062, NULL, 'IPR004884', NULL, 'Protein of unknown function DUF261', 'DUF261', 4, NULL),
(7063, NULL, 'IPR002468', NULL, 'Peptidase M24A, methionine aminopeptidase, subfamily 2', 'Pept_M24A_MAP2', 4, NULL),
(7064, NULL, 'IPR001408', NULL, 'G-protein alpha subunit, group I', 'Gprotein_alpha_I', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7065, NULL, 'IPR023706', NULL, 'Para-hydroxybenzoic acid efflux pump, subunit AaeB', 'PHBA_efflux_pump_AaeB', 4, NULL),
(7066, NULL, 'IPR008210', NULL, 'Phosphoenolpyruvate carboxykinase, N-terminal', 'PEP_carboxykinase_N', 5, NULL),
(7067, NULL, 'IPR002434', NULL, 'Sodium:neurotransmitter symporter, taurine', 'Na/ntran_symport_taurine', 4, NULL),
(7068, NULL, 'IPR003532', NULL, 'Short hematopoietin receptor, family 2, conserved site', 'Short_hematopoietin_rcpt_2_CS', 2, NULL),
(7069, NULL, 'IPR005412', NULL, 'DNA-binding protein Fis', 'Fis_DNA-bd', 4, NULL),
(7070, NULL, 'IPR003965', NULL, 'Fatty acid synthase', 'Fatty_acid_synthase', 3, NULL),
(7071, NULL, 'IPR007277', NULL, 'Svp26/Tex261', 'Svp26/Tex261', 4, NULL),
(7072, NULL, 'IPR008166', NULL, 'Glycosyltransferase family 92', 'Glyco_transf_92', 4, NULL),
(7073, NULL, 'IPR023680', NULL, 'Purine ribonucleoside efflux pump, NepI', 'MFS_NepI', 4, NULL),
(7074, NULL, 'IPR012846', NULL, 'Acetolactate synthase, large subunit, biosynthetic', 'Acetolactate_synth_lsu', 4, NULL),
(7075, NULL, 'IPR002956', NULL, 'Bride of sevenless protein', 'Bride_of_7less', 4, NULL),
(7076, NULL, 'IPR005124', NULL, 'Vacuolar (H+)-ATPase G subunit', 'V-ATPase_G', 4, NULL),
(7077, NULL, 'IPR004881', NULL, 'Ribosome biogenesis GTPase RsgA', 'Ribosome_biogen_GTPase_RsgA', 4, NULL),
(7078, NULL, 'IPR008197', NULL, 'WAP-type ''four-disulfide core'' domain', 'WAP_dom', 3, NULL),
(7079, NULL, 'IPR015879', NULL, 'Aromatic-ring-hydroxylating dioxygenase, alpha subunit, C-terminal domain', 'Ring_hydroxy_dOase_asu_C_dom', 3, NULL),
(7080, NULL, 'IPR002466', NULL, 'Adenosine deaminase/editase', 'A_deamin', 3, NULL),
(7081, NULL, 'IPR004850', NULL, 'NtA (N-terminal agrin) domain', 'NtA_dom', 3, NULL),
(7082, NULL, 'IPR003960', NULL, 'ATPase, AAA-type, conserved site', 'ATPase_AAA_CS', 2, NULL),
(7083, NULL, 'IPR000207', NULL, 'Alpha 2B adrenoceptor', 'ADRA2B_rcpt', 4, NULL),
(7084, NULL, 'IPR004476', NULL, 'Ribonuclease II/ribonuclease R', 'RNase_II/RNase_R', 4, NULL),
(7085, NULL, 'IPR007274', NULL, 'Ctr copper transporter', 'Cop_transporter', 4, NULL),
(7086, NULL, 'IPR008193', NULL, 'DNA-directed RNA polymerase Rpb11, 13-16kDa subunit, conserved site', 'RNA_pol_Rpb11_13-16kDa_CS', 2, NULL),
(7087, NULL, 'IPR006506', NULL, 'Conserved hypothetical protein CHP01619', 'CHP01619', 4, NULL),
(7088, NULL, 'IPR002449', NULL, 'Retinol binding protein/Purpurin', 'Retinol-bd/Purpurin', 4, NULL),
(7089, NULL, 'IPR003545', NULL, 'Telomerase reverse transcriptase', 'Telomerase_RT', 4, NULL),
(7090, NULL, 'IPR003553', NULL, 'Claudin-9', 'Claudin9', 4, NULL),
(7091, NULL, 'IPR002979', NULL, 'Anion exchange protein 3', 'Anion_exchange_3', 4, NULL),
(7092, NULL, 'IPR005409', NULL, 'Two pore domain potassium channel, TWIK-2', '2pore_dom_K_chnl_TWIK2', 4, NULL),
(7093, NULL, 'IPR004436', NULL, 'Isocitrate dehydrogenase NADP-dependent, monomeric', 'Isocitrate_DH_NADP_mono', 4, NULL),
(7094, NULL, 'IPR003992', NULL, 'Pertactin autotransporter', 'Pertactin', 4, NULL),
(7095, NULL, 'IPR003969', NULL, 'Potassium channel, voltage dependent, Kv6', 'K_chnl_volt-dep_Kv6', 4, NULL),
(7096, NULL, 'IPR007273', NULL, 'SCAMP', 'SCAMP', 4, NULL),
(7097, NULL, 'IPR024728', NULL, 'DNA polymerase type-Y, HhH motif', 'PolY_HhH_motif', 2, NULL),
(7098, NULL, 'IPR023699', NULL, 'Transcription activator HTH, RhaR', 'Tscrpt_act_RhaR', 4, NULL),
(7099, NULL, 'IPR003984', NULL, 'Neurotensin receptor', 'NT_rcpt', 4, NULL),
(7100, NULL, 'IPR004426', NULL, 'Conserved hypothetical protein CHP00062', 'CHP00062', 4, NULL),
(7101, NULL, 'IPR000015', NULL, 'Outer membrane usher protein', 'Fimb_usher', 4, NULL),
(7102, NULL, 'IPR034240', NULL, 'eIF3G, RNA recognition motif', 'eIF3G_RRM', 3, NULL),
(7103, NULL, 'IPR003530', NULL, 'Long hematopoietin receptor, soluble alpha chain, conserved site', 'Hematopoietin_rcpt_L_F3_CS', 2, NULL),
(7104, NULL, 'IPR008144', NULL, 'Guanylate kinase-like domain', 'Guanylate_kin-like_dom', 3, NULL),
(7105, NULL, 'IPR004446', NULL, 'D,D-heptose 1,7-bisphosphate phosphatase', 'Heptose_bisP_phosphatase', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7106, NULL, 'IPR007076', NULL, 'TfoX, N-terminal', 'TfoX_N', 3, NULL),
(7107, NULL, 'IPR007284', NULL, 'Ground-like domain', 'Ground-like_dom', 3, NULL),
(7108, NULL, 'IPR005406', NULL, 'Potassium channel subfamily K member 3', 'KCNK3', 4, NULL),
(7109, NULL, 'IPR005411', NULL, 'Claudin-2', 'Claudin2', 4, NULL),
(7110, NULL, 'IPR003546', NULL, 'Type III secreted modular tyrosine phosphatase, SptP/YopH', 'Tyr_Pase_SptP/YopH', 4, NULL),
(7111, NULL, 'IPR003536', NULL, 'Translocated intimin receptor, central domain', 'Transloc_intimin_rcpt_cen_dom', 3, NULL),
(7112, NULL, 'IPR002436', NULL, 'Sodium:neurotransmitter symporter, dopamine', 'Na/ntran_symport_dopamine', 4, NULL),
(7113, NULL, 'IPR023697', NULL, 'Multidrug resistance protein MdtL', 'Multidrug-R_MdtL', 4, NULL),
(7114, NULL, 'IPR001342', NULL, 'Homoserine dehydrogenase, catalytic', 'HDH_cat', 3, NULL),
(7115, NULL, 'IPR003544', NULL, 'Cytochrome c-type biogenesis protein CcmB', 'Cyt_c_biogenesis_CcmB', 4, NULL),
(7116, NULL, 'IPR005121', NULL, 'Ferrodoxin-fold anticodon-binding domain', 'Fdx_antiC-bd', 3, NULL),
(7117, NULL, 'IPR001595', NULL, 'Mycoplasma-specific lipoprotein, type 3', 'Lipoprotein_3', 4, NULL),
(7118, NULL, 'IPR012845', NULL, 'RNA polymerase sigma factor, FliA/WhiG', 'RNA_pol_sigma_FliA_WhiG', 4, NULL),
(7119, NULL, 'IPR005392', NULL, 'Neuromedin U receptor, type 2', 'NeuromedU_rcpt_2', 4, NULL),
(7120, NULL, 'IPR006504', NULL, 'Transcriptional regulator Spx/MgsR', 'Tscrpt_reg_Spx/MgsR', 4, NULL),
(7121, NULL, 'IPR004482', NULL, 'Mg chelatase-related protein', 'Mg_chelat-rel', 4, NULL),
(7122, NULL, 'IPR005393', NULL, 'XC chemokine receptor 1', 'Chemokine_XCR1', 4, NULL),
(7123, NULL, 'IPR012159', NULL, 'Inner membrane protein YejM', 'YejM', 4, NULL),
(7124, NULL, 'IPR007282', NULL, 'NOT2/NOT3/NOT5, C-terminal', 'NOT2/3/5_C', 3, NULL),
(7125, NULL, 'IPR005394', NULL, 'P2Y12 purinoceptor', 'P2Y12_rcpt', 4, NULL),
(7126, NULL, 'IPR002951', NULL, 'Atrophin-like', 'Atrophin-like', 4, NULL),
(7127, NULL, 'IPR004853', NULL, 'Sugar phosphate transporter domain', 'Sugar_P_trans_dom', 3, NULL),
(7128, NULL, 'IPR008207', NULL, 'Signal transduction histidine kinase, phosphotransfer (Hpt) domain', 'Sig_transdc_His_kin_Hpt_dom', 3, NULL),
(7129, NULL, 'IPR015888', NULL, 'L-fucose isomerase, C-terminal', 'Fuc_isomerase_C', 3, NULL),
(7130, NULL, 'IPR006507', NULL, 'Uncharacterised protein family UPF0283', 'UPF0283', 4, NULL),
(7131, NULL, 'IPR034461', NULL, 'Adropin', 'Adropin', 4, NULL),
(7132, NULL, 'IPR007272', NULL, 'Sulphur transport domain', 'Sulf_transp', 3, NULL),
(7133, NULL, 'IPR004875', NULL, 'DDE superfamily endonuclease domain', 'DDE_SF_endonuclease_dom', 3, NULL),
(7134, NULL, 'IPR012170', NULL, 'TFIIH subunit Ssl1/p44', 'TFIIH_SSL1/p44', 4, NULL),
(7135, NULL, 'IPR003945', NULL, 'NADH-quinone oxidoreductase, chain 5-like', 'NU5C-like', 4, NULL),
(7136, NULL, 'IPR005390', NULL, 'Neuromedin U receptor', 'NeuromedU_rcpt', 4, NULL),
(7137, NULL, 'IPR002954', NULL, 'Salmonella surface presentation of antigen M protein', 'Salm_SPAgM', 4, NULL),
(7138, NULL, 'IPR004872', NULL, 'Lipoprotein NlpA family', 'Lipoprotein_NlpA', 4, NULL),
(7139, NULL, 'IPR004429', NULL, 'Isopropylmalate dehydrogenase', 'Isopropylmalate_DH', 4, NULL),
(7140, NULL, 'IPR015878', NULL, 'S-adenosyl-L-homocysteine hydrolase, NAD binding domain', 'Ado_hCys_hydrolase_NAD-bd', 3, NULL),
(7141, NULL, 'IPR012171', NULL, 'Fatty acid desaturase', 'Fatty_acid_desaturase', 4, NULL),
(7142, NULL, 'IPR001403', NULL, 'Parvovirus coat protein VP2', 'Parvovirus_coat', 3, NULL),
(7143, NULL, 'IPR015889', NULL, 'Intradiol ring-cleavage dioxygenase, core', 'Intradiol_dOase_core', 5, NULL),
(7144, NULL, 'IPR003949', NULL, 'Potassium channel, voltage-dependent, EAG', 'K_chnl_volt-dep_EAG', 4, NULL),
(7145, NULL, 'IPR005396', NULL, 'Neuropeptide FF receptor, type 1', 'NPFF_rcpt_1', 4, NULL),
(7146, NULL, 'IPR003895', NULL, 'Type III secretion system, invasin protein B', 'T3SS_invasion_prot_B', 4, NULL),
(7147, NULL, 'IPR001345', NULL, 'Phosphoglycerate/bisphosphoglycerate mutase, active site', 'PG/BPGM_mutase_AS', 0, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7148, NULL, 'IPR001375', NULL, 'Peptidase S9, prolyl oligopeptidase, catalytic domain', 'Peptidase_S9', 3, NULL),
(7149, NULL, 'IPR008152', NULL, 'Clathrin adaptor, alpha/beta/gamma-adaptin, appendage, Ig-like subdomain', 'Clathrin_a/b/g-adaptin_app_Ig', 3, NULL),
(7150, NULL, 'IPR034244', NULL, 'Rrt5, RNA recognition motif 1', 'Rrt5_RRM1', 3, NULL),
(7151, NULL, 'IPR007268', NULL, 'Rad9/Ddc1', 'Rad9/Ddc1', 4, NULL),
(7152, NULL, 'IPR005421', NULL, 'Voltage-dependent calcium channel, gamma-1 subunit', 'VDCC_g1su', 4, NULL),
(7153, NULL, 'IPR007296', NULL, 'Domain of unknown function DUF403', 'DUF403', 3, NULL),
(7154, NULL, 'IPR004852', NULL, 'Di-haem cytochrome c peroxidase', 'Di-haem_cyt_c_peroxidsae', 3, NULL),
(7155, NULL, 'IPR002988', NULL, 'Protein G-related albumin-binding (GA) module', 'GA_module', 3, NULL),
(7156, NULL, 'IPR001399', NULL, 'VP6 blue-tongue virus inner capsid protein', 'Orbi_VP6', 4, NULL),
(7157, NULL, 'IPR003552', NULL, 'Claudin-7', 'Claudin7', 4, NULL),
(7158, NULL, 'IPR027809', NULL, 'C5a anaphylatoxin chemotactic receptor 2', 'Anaphtx_C5AR2', 4, NULL),
(7159, NULL, 'IPR023301', NULL, 'Ammonia/methane monooxygenase, subunitB, N-terminal', 'NH3_CH4_mOase_suB_N', 5, NULL),
(7160, NULL, 'IPR003967', NULL, 'Potassium channel, voltage-dependent, ERG', 'K_chnl_volt-dep_ERG', 4, NULL),
(7161, NULL, 'IPR004472', NULL, 'Dethiobiotin synthase BioD', 'DTB_synth_BioD', 4, NULL),
(7162, NULL, 'IPR002456', NULL, 'GPCR family 3, gamma-aminobutyric acid receptor, type B1', 'GPCR_3_GABA_rcpt_B1', 4, NULL),
(7163, NULL, 'IPR004458', NULL, 'Translation initiation factor 2, beta subunit', 'TIF2_bsu_arc', 4, NULL),
(7164, NULL, 'IPR003952', NULL, 'Fumarate reductase/succinate dehydrogenase, FAD-binding site', 'FRD_SDH_FAD_BS', 1, NULL),
(7165, NULL, 'IPR004882', NULL, 'Luc7-related', 'Luc7-rel', 4, NULL),
(7166, NULL, 'IPR002976', NULL, 'Plant G-protein, alpha subunit', 'Plant_Gprotein_alpha', 4, NULL),
(7167, NULL, 'IPR017872', NULL, 'Pyrimidine-nucleoside phosphorylase, conserved site', 'Pyrmidine_PPase_CS', 2, NULL),
(7168, NULL, 'IPR034247', NULL, 'Rrt5, RNA recognition motif 2', 'Rrt5_RRM2', 3, NULL),
(7169, NULL, 'IPR023726', NULL, 'Threonine/serine transporter TdcC', 'Thr/Ser_transpt_TdcC', 4, NULL),
(7170, NULL, 'IPR034305', NULL, 'Tetratricopeptide repeat protein 39B', 'TTC39B', 4, NULL),
(7171, NULL, 'IPR003963', NULL, 'Bi-component toxin, staphylococci', 'Bi-component_toxin_staph', 4, NULL),
(7172, NULL, 'IPR003989', NULL, 'Vascular cell adhesion molecule-1', 'VCAM-1', 4, NULL),
(7173, NULL, 'IPR002442', NULL, 'Fructose transporter, type 5 (GLUT5)', 'Fru_transpt_5', 4, NULL),
(7174, NULL, 'IPR003950', NULL, 'Potassium channel, voltage-dependent, ELK', 'K_chnl_volt-dep_ELK', 4, NULL),
(7175, NULL, 'IPR004864', NULL, 'Late embryogenesis abundant protein, LEA_2 subgroup', 'LEA_2', 3, NULL),
(7176, NULL, 'IPR003982', NULL, 'Leukotriene B4 type 2 receptor', 'Leukotriene_B4_typ-2_rcpt', 4, NULL),
(7177, NULL, 'IPR023687', NULL, 'Oxaloacetate decarboxylase, bacterial', 'Oxaloacetate_deCOase_bac', 4, NULL),
(7178, NULL, 'IPR004419', NULL, 'Peptidase A31, hydrogenase expression/formation protein', 'Pept_A31_hyd_express', 4, NULL),
(7179, NULL, 'IPR023711', NULL, 'Transcription regulator HTH, UlaR', 'Tscrpt_reg_HTH_UlaR', 4, NULL),
(7180, NULL, 'IPR002953', NULL, 'Filoviridae VP35 protein', 'Filo_VP35', 4, NULL),
(7181, NULL, 'IPR007289', NULL, 'Jaagsiekte sheep retrovirus, Vpu', 'JSRV_Vpu', 4, NULL),
(7182, NULL, 'IPR013986', NULL, 'DExx box DNA helicase domain superfamily', 'DExx_box_DNA_helicase_dom_sf', 5, NULL),
(7183, NULL, 'IPR008138', NULL, 'Saposin B type, region 2', 'SapB_2', 3, NULL),
(7184, NULL, 'IPR002977', NULL, 'Anion exchange protein 1', 'Anion_exchange_1', 4, NULL),
(7185, NULL, 'IPR008201', NULL, 'Ribonuclease HepT-like', 'HepT-like', 4, NULL),
(7186, NULL, 'IPR003540', NULL, 'ADP ribosyltransferase', 'ADP-ribosyltransferase', 3, NULL),
(7187, NULL, 'IPR014041', NULL, 'ESCRT-II complex, Vps25 subunit, N-terminal winged helix', 'ESCRT-II_cplx_Vps25-sub_N', 5, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7188, NULL, 'IPR013523', NULL, 'Histone acetyltransferase HAT1, C-terminal', 'Hist_AcTrfase_HAT1_C', 5, NULL),
(7189, NULL, 'IPR005135', NULL, 'Endonuclease/exonuclease/phosphatase', 'Endo/exonuclease/phosphatase', 3, NULL),
(7190, NULL, 'IPR003959', NULL, 'ATPase, AAA-type, core', 'ATPase_AAA_core', 3, NULL),
(7191, NULL, 'IPR008143', NULL, 'Alanine dehydrogenase/pyridine nucleotide transhydrogenase, conserved site-2', 'Ala_DH/PNT_CS2', 2, NULL),
(7192, NULL, 'IPR004431', NULL, '3-isopropylmalate dehydratase, small subunit', '3-IsopropMal_deHydase_ssu', 4, NULL),
(7193, NULL, 'IPR001406', NULL, 'Pseudouridine synthase I, TruA', 'PsdUridine_synth_TruA', 4, NULL),
(7194, NULL, 'IPR004878', NULL, 'Otopetrin', 'Otopetrin', 4, NULL),
(7195, NULL, 'IPR002444', NULL, 'Solute carrier family 12 member 2', 'NKCC1', 4, NULL),
(7196, NULL, 'IPR002471', NULL, 'Peptidase S9, serine active site', 'Pept_S9_AS', 0, NULL),
(7197, NULL, 'IPR017961', NULL, 'DNA polymerase, Y-family, little finger domain', 'DNA_pol_Y-fam_little_finger', 3, NULL),
(7198, NULL, 'IPR005140', NULL, 'eRF1 domain 1/Pelota-like', 'eRF1_1_Pelota', 3, NULL),
(7199, NULL, 'IPR002999', NULL, 'Tudor domain', 'Tudor', 3, NULL),
(7200, NULL, 'IPR002443', NULL, 'Solute carrier family 12 member 1/2', 'SLC12A1/SLC12A2', 4, NULL),
(7201, NULL, 'IPR005405', NULL, 'Potassium channel, voltage dependent, Kv3.4', 'K_chnl_volt-dep_Kv3.4', 4, NULL),
(7202, NULL, 'IPR002983', NULL, 'Sodium:neurotransmitter symporter, betaine', 'Na/ntran_symport_betaine', 4, NULL),
(7203, NULL, 'IPR000726', NULL, 'Glycoside hydrolase, family 19, catalytic', 'Glyco_hydro_19_cat', 3, NULL),
(7204, NULL, 'IPR034648', NULL, 'CELF-3/4/5/6, RNA recognition motif 1', 'CELF3/4/5/6_RRM1', 3, NULL),
(7205, NULL, 'IPR002435', NULL, 'Sodium:neurotransmitter symporter, noradrenaline', 'Na/ntran_symport_noradrenaline', 4, NULL),
(7206, NULL, 'IPR003966', NULL, 'Prothrombin/thrombin', 'Prothrombin/thrombin', 4, NULL),
(7207, NULL, 'IPR002460', NULL, 'Alpha-synuclein', 'Synuclein_alpha', 4, NULL),
(7208, NULL, 'IPR034444', NULL, 'NADH-ubiquinone oxidoreductase 17.8kDa subunit', 'Nuo17.8', 4, NULL),
(7209, NULL, 'IPR004858', NULL, 'Multigene family 505', 'MGF_505', 4, NULL),
(7210, NULL, 'IPR012144', NULL, 'Nitric-oxide synthase, eukaryote', 'NOS_euk', 4, NULL),
(7211, NULL, 'IPR005403', NULL, 'Potassium channel, voltage dependent, Kv3.1', 'K_chnl_volt-dep_Kv3.1', 4, NULL),
(7212, NULL, 'IPR004437', NULL, 'ParB/RepB/Spo0J partition protein', 'ParB/RepB/Spo0J', 3, NULL),
(7213, NULL, 'IPR015887', NULL, 'DNA glycosylase/AP lyase, zinc finger domain, DNA-binding site', 'DNA_glyclase_Znf_dom_DNA_BS', 1, NULL),
(7214, NULL, 'IPR007073', NULL, 'RNA polymerase Rpb1, domain 7', 'RNA_pol_Rpb1_7', 3, NULL),
(7215, NULL, 'IPR008183', NULL, 'Aldose 1-/Glucose-6-phosphate 1-epimerase', 'Aldose_1/G6P_1-epimerase', 4, NULL),
(7216, NULL, 'IPR004883', NULL, 'Lateral organ boundaries, LOB', 'LOB', 3, NULL),
(7217, NULL, 'IPR008147', NULL, 'Glutamine synthetase, beta-Grasp domain', 'Gln_synt_b-grasp', 3, NULL),
(7218, NULL, 'IPR002981', NULL, 'Sodium:neurotransmitter symporter, GABA, GAT-2', 'Na/ntran_symport_GABA_GAT2', 4, NULL),
(7219, NULL, 'IPR005142', NULL, 'eRF1 domain 3', 'eRF1_3', 3, NULL),
(7220, NULL, 'IPR007070', NULL, 'GPI ethanolamine phosphate transferase 1', 'GPI_EtnP_transferase_1', 4, NULL),
(7221, NULL, 'IPR004867', NULL, 'Chitobiase C-terminal domain', 'CHB_C_dom', 3, NULL),
(7222, NULL, 'IPR003549', NULL, 'Claudin-3', 'Claudin3', 4, NULL),
(7223, NULL, 'IPR006505', NULL, 'Streptococcus phage Sfi11, Gp233, NTP-binding', 'Phage_Sfi11_Gp233', 4, NULL),
(7224, NULL, 'IPR005410', NULL, 'Two pore domain potassium channel, THIK', '2pore_dom_K_chnl_THIK', 4, NULL),
(7225, NULL, 'IPR005418', NULL, 'Tight junction protein ZO-1', 'ZO-1', 4, NULL),
(7226, NULL, 'IPR002429', NULL, 'Cytochrome c oxidase subunit II-like C-terminal', 'CcO_II-like_C', 3, NULL),
(7227, NULL, 'IPR001363', NULL, 'Proteinase inhibitor I25C, fetuin, conserved site', 'Prot_inh_fetuin_CS', 2, NULL),
(7228, NULL, 'IPR002974', NULL, 'Cytochrome P450, E-class, CYP52', 'Cyt_P450_E_CYP52', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7229, NULL, 'IPR004859', NULL, 'Putative 5-3 exonuclease', 'Put_53exo', 3, NULL),
(7230, NULL, 'IPR008146', NULL, 'Glutamine synthetase, catalytic domain', 'Gln_synth_cat_dom', 3, NULL),
(7231, NULL, 'IPR005402', NULL, 'Potassium channel, voltage-dependent, beta subunit, KCNAB3', 'K_chnl_volt-dep_bsu_KCNAB3', 4, NULL),
(7232, NULL, 'IPR008164', NULL, 'Repeat of unknown function XGLTT', 'XGLTT_repeat', 7, NULL),
(7233, NULL, 'IPR008168', NULL, 'Cytochrome c, class IC', 'Cyt_C_IC', 4, NULL),
(7234, NULL, 'IPR012177', NULL, 'Thiamine triphosphatase, eukaryotes', 'ThTPase_euk', 4, NULL),
(7235, NULL, 'IPR004438', NULL, 'Peptidase M3B, oligoendopeptidase F', 'Peptidase_M3B', 4, NULL),
(7236, NULL, 'IPR005138', NULL, 'Aerolysin/Pertussis toxin domain', 'APT_dom', 3, NULL),
(7237, NULL, 'IPR002957', NULL, 'Keratin, type I', 'Keratin_I', 4, NULL),
(7238, NULL, 'IPR008139', NULL, 'Saposin B type domain', 'SaposinB_dom', 3, NULL),
(7239, NULL, 'IPR003535', NULL, 'Intimin/invasin bacterial adhesion mediator protein', 'Intimin/invasin_bac', 4, NULL),
(7240, NULL, 'IPR003975', NULL, 'Potassium channel, voltage dependent, Kv4', 'K_chnl_volt-dep_Kv4', 4, NULL),
(7241, NULL, 'IPR001351', NULL, 'Ribosomal protein S3, C-terminal', 'Ribosomal_S3_C', 3, NULL),
(7242, NULL, 'IPR007278', NULL, 'Domain of unknown function DUF397', 'DUF397', 3, NULL),
(7243, NULL, 'IPR008179', NULL, 'Phosphoribosyl-ATP pyrophosphohydrolase', 'HisE', 4, NULL),
(7244, NULL, 'IPR012180', NULL, 'Predicted bifunctional ATPase/phosphotransferase', 'Bifunc_ATPase/PTrfase', 4, NULL),
(7245, NULL, 'IPR003985', NULL, 'Neurotensin type 1 receptor', 'NT1_rcpt', 4, NULL),
(7246, NULL, 'IPR004468', NULL, 'CTP synthase', 'CTP_synthase', 4, NULL),
(7247, NULL, 'IPR034199', NULL, 'CELF1/2, RNA recognition motif 3', 'CELF1/2_RRM3', 3, NULL),
(7248, NULL, 'IPR005413', NULL, 'Low calcium response V antigen', 'LowCa_resp_V_Ag', 4, NULL),
(7249, NULL, 'IPR008150', NULL, 'Phytoene dehydrogenase, bacterial-type, conserved site', 'Phytoene_DH_bac_CS', 2, NULL),
(7250, NULL, 'IPR004866', NULL, 'Chitobiase/beta-hexosaminidases, N-terminal domain', 'CHB/HEX_N_dom', 3, NULL),
(7251, NULL, 'IPR003979', NULL, 'Tropoelastin', 'Tropoelastin', 4, NULL),
(7252, NULL, 'IPR008148', NULL, 'DNA photolyase class 2', 'DNA_photolyase_2', 4, NULL),
(7253, NULL, 'IPR014748', NULL, 'Enoyl-CoA hydratase, C-terminal', 'Enoyl-CoA_hydra_C', 5, NULL),
(7254, NULL, 'IPR003956', NULL, 'Transcription factor, NFYB/HAP3, conserved site', 'Transcrpt_fac_NFYB/HAP3_CS', 2, NULL),
(7255, NULL, 'IPR008189', NULL, 'rRNA small subunit methyltransferase I', 'rRNA_ssu_MeTfrase_I', 4, NULL),
(7256, NULL, 'IPR004879', NULL, 'Domain of unknown function DUF255', 'DUF255', 3, NULL),
(7257, NULL, 'IPR004417', NULL, 'Methylenetetrahydrofolate--tRNA-(uracil-5-)-methyltransferase TrmFO', 'TrmFO', 4, NULL),
(7258, NULL, 'IPR003943', NULL, 'Protease-activated receptor 3', 'Prot_act_rcpt_3', 4, NULL),
(7259, NULL, 'IPR003939', NULL, 'Transforming growth factor beta-1 proprotein', 'TGFb1', 4, NULL),
(7260, NULL, 'IPR002472', NULL, 'Palmitoyl protein thioesterase', 'Palm_thioest', 4, NULL),
(7261, NULL, 'IPR007276', NULL, 'Nucleolar protein 14', 'Nop14', 4, NULL),
(7262, NULL, 'IPR007077', NULL, 'TfoX, C-terminal', 'TfoX_C', 3, NULL),
(7263, NULL, 'IPR002985', NULL, 'Arginine decarboxylase', 'Arg_decrbxlase', 4, NULL),
(7264, NULL, 'IPR012167', NULL, 'Cyclin, epsilonretrovirus', 'Cyclin_epsilonretrovir', 4, NULL),
(7265, NULL, 'IPR003554', NULL, 'Claudin-10', 'Claudin10', 4, NULL),
(7266, NULL, 'IPR001356', NULL, 'Homeobox domain', 'Homeobox_dom', 3, NULL),
(7267, NULL, 'IPR002975', NULL, 'Fungal G-protein, alpha subunit', 'Fungi_Gprotein_alpha', 4, NULL),
(7268, NULL, 'IPR002995', NULL, 'Surfeit locus 4', 'Surf4', 4, NULL),
(7269, NULL, 'IPR007075', NULL, 'RNA polymerase Rpb1, domain 6', 'RNA_pol_Rpb1_6', 3, NULL),
(7270, NULL, 'IPR024670', NULL, 'B-cell lymphoma 9, beta-catenin binding domain', 'BCL9_beta-catenin-bd_dom', 3, NULL),
(7271, NULL, 'IPR007288', NULL, 'Influenzavirus B, glycoprotein NB', 'InfluenzaB_glycoprotein_NB', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7272, NULL, 'IPR003978', NULL, 'Thrombopoietin', 'Thrombopoietin', 4, NULL),
(7273, NULL, 'IPR004441', NULL, 'RNA methyltransferase TrmH family', 'rRNA_MeTrfase_TrmH', 4, NULL),
(7274, NULL, 'IPR004856', NULL, 'Glycosyl transferase, ALG6/ALG8', 'Glyco_trans_ALG6/ALG8', 4, NULL),
(7275, NULL, 'IPR002453', NULL, 'Beta tubulin', 'Beta_tubulin', 4, NULL),
(7276, NULL, 'IPR004876', NULL, 'Corona nucleocapsid I', 'Corona_nucI', 4, NULL),
(7277, NULL, 'IPR012175', NULL, 'Xanthine dehydrogenase, small subunit, bacteria', 'Xanth_DH_ssu_bac', 4, NULL),
(7278, NULL, 'IPR004456', NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase', 'Pglycerate_mutase_ApgM', 4, NULL),
(7279, NULL, 'IPR007267', NULL, 'GtrA-like protein', 'GtrA', 3, NULL),
(7280, NULL, 'IPR002433', NULL, 'Ornithine decarboxylase', 'Orn_de-COase', 4, NULL),
(7281, NULL, 'IPR003551', NULL, 'Claudin-5', 'Claudin5', 4, NULL),
(7282, NULL, 'IPR005131', NULL, 'Serine dehydratase beta chain', 'Ser_deHydtase_bsu', 3, NULL),
(7283, NULL, 'IPR002994', NULL, 'Surfeit locus 1/Shy1', 'Surf1/Shy1', 4, NULL),
(7284, NULL, 'IPR002461', NULL, 'Beta-synuclein', 'Synuclein_beta', 4, NULL),
(7285, NULL, 'IPR003533', NULL, 'Doublecortin domain', 'Doublecortin_dom', 3, NULL),
(7286, NULL, 'IPR004451', NULL, 'Conserved hypothetical protein CHP00270', 'CHP00270', 4, NULL),
(7287, NULL, 'IPR002989', NULL, 'Mycobacterial pentapeptide repeat', 'Mycobac_pentapep', 7, NULL),
(7288, NULL, 'IPR035891', NULL, 'CheY-binding domain of CheA', 'CheY-binding_CheA', 5, NULL),
(7289, NULL, 'IPR004414', NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit E', 'GatE', 4, NULL),
(7290, NULL, 'IPR003944', NULL, 'Protease-activated receptor 4', 'Prot_act_rcpt_4', 4, NULL),
(7291, NULL, 'IPR017964', NULL, 'DNA-directed DNA polymerase, family B, conserved site', 'DNA-dir_DNA_pol_B_CS', 2, NULL),
(7292, NULL, 'IPR005420', NULL, 'Tight junction protein ZO-3', 'ZO-3', 4, NULL),
(7293, NULL, 'IPR001367', NULL, 'Iron dependent repressor, metal binding and dimerisation domain', 'Fe_dep_repressor', 3, NULL),
(7294, NULL, 'IPR017888', NULL, 'CYC/TB1, R domain', 'CYC/TB1_R_domain', 3, NULL),
(7295, NULL, 'IPR015886', NULL, 'DNA glycosylase/AP lyase, H2TH DNA-binding', 'DNA_glyclase/AP_lyase_DNA-bd', 3, NULL),
(7296, NULL, 'IPR004868', NULL, 'DNA-directed DNA polymerase, family B, mitochondria/virus', 'DNA-dir_DNA_pol_B_mt/vir', 3, NULL),
(7297, NULL, 'IPR002445', NULL, 'Solute carrier family 12 member 1', 'Slc12a1', 4, NULL),
(7298, NULL, 'IPR034456', NULL, 'Mediator of RNA polymerase II transcription subunit 28', 'MED28', 4, NULL),
(7299, NULL, 'IPR008175', NULL, 'Galanin precursor', 'Galanin_pre', 4, NULL),
(7300, NULL, 'IPR014751', NULL, 'DNA repair protein XRCC4-like, C-terminal', 'XRCC4-like_C', 5, NULL),
(7301, NULL, 'IPR007295', NULL, 'Domain of unknown function DUF402', 'DUF402', 3, NULL),
(7302, NULL, 'IPR000033', NULL, 'LDLR class B repeat', 'LDLR_classB_rpt', 7, NULL),
(7303, NULL, 'IPR005399', NULL, 'Potassium channel, voltage-dependent, beta subunit, KCNAB-related', 'K_chnl_volt-dep_bsu_KCNAB-rel', 4, NULL),
(7304, NULL, 'IPR012178', NULL, 'Replication factor C subunit 1', 'RFC1', 4, NULL),
(7305, NULL, 'IPR003970', NULL, 'Potassium channel, voltage dependent, Kv8.1', 'K_chnl_volt-dep_Kv8.1', 4, NULL),
(7306, NULL, 'IPR004416', NULL, 'tRNA uridine 5-carboxymethylaminomethyl modification enzyme MnmG', 'MnmG', 4, NULL),
(7307, NULL, 'IPR004424', NULL, '4-diphosphocytidyl-2C-methyl-D-erythritol kinase', 'IspE', 4, NULL),
(7308, NULL, 'IPR004425', NULL, 'Conserved hypothetical protein CHP00061', 'CHP00061', 4, NULL),
(7309, NULL, 'IPR002467', NULL, 'Peptidase M24A, methionine aminopeptidase, subfamily 1', 'Pept_M24A_MAP1', 4, NULL),
(7310, NULL, 'IPR014049', NULL, 'Glutathione synthase, N-terminal, eukaryotic', 'Glutathione_synthase_N_euk', 5, NULL),
(7311, NULL, 'IPR008181', NULL, 'Deoxyuridine triphosphate nucleotidohydrolase', 'dUTPase_1', 4, NULL),
(7312, NULL, 'IPR004443', NULL, 'YjeF N-terminal domain', 'YjeF_N_dom', 3, NULL),
(7313, NULL, 'IPR005397', NULL, 'Neuropeptide FF receptor, type 2', 'NPFF_rcpt_2', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7314, NULL, 'IPR002984', NULL, 'Sodium:neurotransmitter symporter, creatine', 'Na/ntran_symport_creatine', 4, NULL),
(7315, NULL, 'IPR003981', NULL, 'Leukotriene B4 receptor', 'Leukotriene_B4_rcpt', 4, NULL),
(7316, NULL, 'IPR002982', NULL, 'Sodium:neurotransmitter symporter, GABA, GAT-3', 'Na/ntran_symport_GABA_GAT3', 4, NULL),
(7317, NULL, 'IPR004445', NULL, 'Sodium/glutamate symport carrier protein GltS', 'GltS', 4, NULL),
(7318, NULL, 'IPR005416', NULL, 'Type III secretion chaperone SycE', 'T3SS_chp_SycE', 4, NULL),
(7319, NULL, 'IPR015876', NULL, 'Acyl-CoA desaturase', 'Acyl-CoA_DS', 4, NULL),
(7320, NULL, 'IPR004860', NULL, 'Homing endonuclease, LAGLIDADG', 'LAGLIDADG_2', 3, NULL),
(7321, NULL, 'IPR034210', NULL, 'Cytochrome c oxidase subunit 2, C-terminal', 'CcO_II_C', 3, NULL),
(7322, NULL, 'IPR012160', NULL, 'Lipoteichoic acid synthase-like', 'LtaS-like', 4, NULL),
(7323, NULL, 'IPR012163', NULL, 'Sialyltransferase', 'Sialyl_trans', 4, NULL),
(7324, NULL, 'IPR034532', NULL, 'OxsB-like', 'OxsB-like', 4, NULL),
(7325, NULL, 'IPR007072', NULL, 'Rhamnosyl O-methyltransferase/Cephalosporin hydroxylase', 'Rhamnosyl_O-MeTrfase_CmcI', 4, NULL),
(7326, NULL, 'IPR003938', NULL, 'Potassium channel, voltage-dependent, EAG/ELK/ERG', 'K_chnl_volt-dep_EAG/ELK/ERG', 4, NULL),
(7327, NULL, 'IPR012844', NULL, 'Dihydroxyacetone kinase phosphotransferase subunit, N-terminal domain', 'DhaM_N', 3, NULL),
(7328, NULL, 'IPR003973', NULL, 'Potassium channel, voltage dependent, Kv2', 'K_chnl_volt-dep_Kv2', 4, NULL),
(7329, NULL, 'IPR034643', NULL, 'Mitochondrial ribosomal protein S7, plants', 'RPS7_plant', 4, NULL),
(7330, NULL, 'IPR003958', NULL, 'Transcription factor CBF/NF-Y/archaeal histone domain', 'CBFA_NFYB_domain', 3, NULL),
(7331, NULL, 'IPR007292', NULL, 'Nuclear fusion protein Kar5', 'Nuclear_fusion_Kar5', 4, NULL),
(7332, NULL, 'IPR008205', NULL, 'Geranylgeranylglyceryl phosphate synthase/Heptaprenylglyceryl phosphate synthase', 'GGGP_HepGP_synthase', 4, NULL),
(7333, NULL, 'IPR004422', NULL, 'Beta-ribofuranosylaminobenzene 5''-phosphate synthase', 'RFAPS', 4, NULL),
(7334, NULL, 'IPR035890', NULL, 'Anti-sigma-28 factor FlgM superfamily', 'Anti-sigma-28_factor_FlgM_sf', 5, NULL),
(7335, NULL, 'IPR003972', NULL, 'Potassium channel, voltage dependent, Kv1', 'K_chnl_volt-dep_Kv1', 4, NULL),
(7336, NULL, 'IPR002438', NULL, 'Neutral amino acid SLC6 transporter', 'Neutral_aa_SLC6', 4, NULL),
(7337, NULL, 'IPR023709', NULL, 'Guanosine-5''-triphosphate,3''-diphosphate pyrophosphatase', 'Guo-5TP_3DP_PyrP', 4, NULL),
(7338, NULL, 'IPR008174', NULL, 'Galanin', 'Galanin', 3, NULL),
(7339, NULL, 'IPR017959', NULL, 'Aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, subunit B /E', 'Asn/Gln-tRNA_amidoTrfase_suB/E', 4, NULL),
(7340, NULL, 'IPR003971', NULL, 'Potassium channel, voltage dependent, Kv9', 'K_chnl_volt-dep_Kv9', 4, NULL),
(7341, NULL, 'IPR012173', NULL, 'U3 small nucleolar ribonucleoprotein complex, subunit Mpp10', 'Mpp10', 4, NULL),
(7342, NULL, 'IPR003011', NULL, 'Cell cycle checkpoint protein, Rad1', 'Cell_cycle_checkpoint_Rad1', 4, NULL),
(7343, NULL, 'IPR002448', NULL, 'Lipocalin, OBP-like', 'OBP-like', 4, NULL),
(7344, NULL, 'IPR007294', NULL, 'Protein of unknown function DUF401', 'DUF401', 4, NULL),
(7345, NULL, 'IPR004447', NULL, 'C-terminal-processing peptidase S41A', 'Peptidase_S41A', 4, NULL),
(7346, NULL, 'IPR001397', NULL, '5-Hydroxytryptamine 5A receptor', '5HT5A_rcpt', 4, NULL),
(7347, NULL, 'IPR005141', NULL, 'eRF1 domain 2', 'eRF1_2', 3, NULL),
(7348, NULL, 'IPR004433', NULL, '2-succinyl-5-enolpyruvyl-6-hydroxy-3-cyclohexene-1-carboxylic-acid synthase', 'MenaQ_synth_MenD', 4, NULL),
(7349, NULL, 'IPR004453', NULL, 'Epoxyqueuosine reductase QueG', 'QueG', 4, NULL),
(7350, NULL, 'IPR002978', NULL, 'Anion exchange protein 2', 'Anion_exchange_2', 4, NULL),
(7351, NULL, 'IPR003008', NULL, 'Tubulin/FtsZ, GTPase domain', 'Tubulin_FtsZ_GTPase', 3, NULL),
(7352, NULL, 'IPR003947', NULL, 'Potassium channel, voltage dependent, KCNQ2', 'K_chnl_volt-dep_KCNQ2', 4, NULL),
(7353, NULL, 'IPR004873', NULL, 'BURP domain', 'BURP_dom', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7354, NULL, 'IPR003968', NULL, 'Potassium channel, voltage dependent, Kv', 'K_chnl_volt-dep_Kv', 4, NULL),
(7355, NULL, 'IPR002426', NULL, 'Alcohol dehydrogenase, Ceratitis-type', 'ADH_Ceratitis-type', 4, NULL),
(7356, NULL, 'IPR003548', NULL, 'Claudin-1', 'Claudin1', 4, NULL),
(7357, NULL, 'IPR007293', NULL, 'Flagellar protein FlgP', 'FlgP', 4, NULL),
(7358, NULL, 'IPR001355', NULL, 'CXC chemokine receptor 1', 'Chemokine_CXCR1', 4, NULL),
(7359, NULL, 'IPR001357', NULL, 'BRCT domain', 'BRCT_dom', 3, NULL),
(7360, NULL, 'IPR004454', NULL, 'HD-related protein', 'HD-related', 4, NULL),
(7361, NULL, 'IPR023227', NULL, 'S-adenosyl-l-methionine hydroxide adenosyltransferase, C-terminal', 'SAM_OH_AdoTrfase_C', 5, NULL),
(7362, NULL, 'IPR034205', NULL, 'Nitrous-oxide reductase, C-terminal', 'N2OR_C', 3, NULL),
(7363, NULL, 'IPR012157', NULL, 'Uncharacterised conserved protein, CBS/CP12', 'UCP_CBS_CP12', 4, NULL),
(7364, NULL, 'IPR004461', NULL, 'CO dehydrogenase/acetyl-CoA synthase complex beta subunit', 'CO_DH/Ac-CoA_synth_bsu', 4, NULL),
(7365, NULL, 'IPR003937', NULL, 'Potassium channel, voltage dependent, KCNQ', 'K_chnl_volt-dep_KCNQ', 4, NULL),
(7366, NULL, 'IPR005126', NULL, 'NapC/NirT cytochrome c, N-terminal', 'NapC/NirT_cyt_c_N', 3, NULL),
(7367, NULL, 'IPR004871', NULL, 'Cleavage/polyadenylation specificity factor, A subunit, C-terminal', 'Cleavage/polyA-sp_fac_asu_C', 3, NULL),
(7368, NULL, 'IPR004459', NULL, 'Cobyric acid synthase CobQ', 'CobQ_synth', 4, NULL),
(7369, NULL, 'IPR004421', NULL, 'Carbamoyltransferase, HypF-type', 'Carbamoyltransferase_HypF', 4, NULL),
(7370, NULL, 'IPR004467', NULL, 'Orotate phosphoribosyl transferase domain', 'Or_phspho_trans_dom', 3, NULL),
(7371, NULL, 'IPR007290', NULL, 'Arv1 protein', 'Arv1', 4, NULL),
(7372, NULL, 'IPR012156', NULL, 'Cold shock, CspA', 'Cold_shock_CspA', 4, NULL),
(7373, NULL, 'IPR031359', NULL, 'NWD NACHT-NTPase, N-terminal', 'NACHT_N', 3, NULL),
(7374, NULL, 'IPR005123', NULL, 'Oxoglutarate/iron-dependent dioxygenase', 'Oxoglu/Fe-dep_dioxygenase', 3, NULL),
(7375, NULL, 'IPR003948', NULL, 'Potassium channel, voltage dependent, KCNQ3', 'K_chnl_volt-dep_KCNQ3', 4, NULL),
(7376, NULL, 'IPR007078', NULL, 'Haem exporter protein D (CcmD)', 'Haem_export_protD_CcmD', 4, NULL),
(7377, NULL, 'IPR013088', NULL, 'Zinc finger, NHR/GATA-type', 'Znf_NHR/GATA', 5, NULL),
(7378, NULL, 'IPR008145', NULL, 'Guanylate kinase/L-type calcium channel beta subunit', 'GK/Ca_channel_bsu', 3, NULL),
(7379, NULL, 'IPR008211', NULL, 'Laminin, N-terminal', 'Laminin_N', 3, NULL),
(7380, NULL, 'IPR005130', NULL, 'Serine dehydratase-like, alpha subunit', 'Ser_deHydtase-like_asu', 3, NULL),
(7381, NULL, 'IPR004865', NULL, 'HSR domain', 'HSR_dom', 3, NULL),
(7382, NULL, 'IPR002971', NULL, 'Major urinary protein', 'Maj_urinary', 4, NULL),
(7383, NULL, 'IPR001360', NULL, 'Glycoside hydrolase family 1', 'Glyco_hydro_1', 4, NULL),
(7384, NULL, 'IPR003538', NULL, 'Gram-negative bacterial TonB protein', 'TonB', 4, NULL),
(7385, NULL, 'IPR005415', NULL, 'Type III secretion system, low calcium response, chaperone LcrH/SycD', 'T3SS_Ca_resp_chp_LcrH/SycD', 4, NULL),
(7386, NULL, 'IPR008160', NULL, 'Collagen triple helix repeat', 'Collagen', 7, NULL),
(7387, NULL, 'IPR003541', NULL, 'Anthrax toxin, lethal/endema factor', 'Anthrax_toxin_lethal/edema', 4, NULL),
(7388, NULL, 'IPR003987', NULL, 'Intercellular adhesion molecule/vascular cell adhesion molecule, N-terminal', 'ICAM_VCAM_N', 3, NULL),
(7389, NULL, 'IPR004449', NULL, 'Phosphohistidine phosphatase SixA', 'SixA', 4, NULL),
(7390, NULL, 'IPR001350', NULL, 'G10D orphan receptor', 'G10D_rcpt', 4, NULL),
(7391, NULL, 'IPR004463', NULL, 'UDP-3-O-acyl N-acetylglucosamine deacetylase', 'UDP-acyl_GlcNac_deAcase', 4, NULL),
(7392, NULL, 'IPR001394', NULL, 'Peptidase C19, ubiquitin carboxyl-terminal hydrolase', 'Peptidase_C19_UCH', 3, NULL),
(7393, NULL, 'IPR003004', NULL, 'GspF/PilC family', 'GspF/PilC', 4, NULL),
(7394, NULL, 'IPR034236', NULL, 'Caa3-type Cytochrome c oxidase subunit II, cupredoxin domain', 'CuRO_CcO_Caa3_II', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7395, NULL, 'IPR023766', NULL, 'D-phenylhydantoinase', 'D_phenylhydantoinase', 4, NULL),
(7396, NULL, 'IPR005417', NULL, 'Tight junction protein ZO', 'ZO', 4, NULL),
(7397, NULL, 'IPR002955', NULL, 'Microtubule-associated protein Tau', 'Tau', 4, NULL),
(7398, NULL, 'IPR004466', NULL, 'Ribonuclease M5', 'RNase_M5', 4, NULL),
(7399, NULL, 'IPR005419', NULL, 'Tight junction protein ZO-2', 'ZO-2', 4, NULL),
(7400, NULL, 'IPR005395', NULL, 'Neuropeptide FF receptor family', 'NPFF_rcpt', 4, NULL),
(7401, NULL, 'IPR012165', NULL, 'Cytochrome-c3 hydrogenase, gamma subunit', 'Cyt_c3_hydrogenase_gsu', 4, NULL),
(7402, NULL, 'IPR003542', NULL, 'Enterobactin synthetase-like, component D', 'Enbac_synth_compD-like', 4, NULL),
(7403, NULL, 'IPR014727', NULL, 'DNA topoisomerase I, catalytic core, alpha/beta subdomain', 'TopoI_cat_a/b-sub_euk', 5, NULL),
(7404, NULL, 'IPR034530', NULL, 'Hopanoid C2-methyltransferase, HpnP-like', 'HpnP-like', 4, NULL),
(7405, NULL, 'IPR004450', NULL, 'Threonine synthase-like', 'Thr_synthase-like', 4, NULL),
(7406, NULL, 'IPR012151', NULL, 'Protein-tyrosine phosphatase, non-receptor type-3, -4', 'Tyr_Pase_non-rcpt_typ-3/4', 4, NULL),
(7407, NULL, 'IPR002462', NULL, 'Gamma-synuclein', 'Synuclein_gamma', 4, NULL),
(7408, NULL, 'IPR003951', NULL, 'Peptidase C58, Yersinia/Haemophilus virulence surface antigen', 'Peptidase_C58', 4, NULL),
(7409, NULL, 'IPR003964', NULL, 'Carbamate kinase', 'Carb_kinase', 4, NULL),
(7410, NULL, 'IPR012148', NULL, 'Aromatic prenyltransferase DMATS-type, fungi', 'DMATS-type_fun', 4, NULL),
(7411, NULL, 'IPR012153', NULL, 'Tyrosine-protein phosphatase non-receptor type 13', 'PTPN13', 4, NULL),
(7412, NULL, 'IPR004460', NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit alpha', 'CDHA', 4, NULL),
(7413, NULL, 'IPR005133', NULL, 'Na+/H+ antiporter subunit G', 'PhaG_MnhG_YufB', 4, NULL),
(7414, NULL, 'IPR002450', NULL, 'von Ebner''s gland protein/ Bos/Can allergen', 'von_Ebner_gland', 4, NULL),
(7415, NULL, 'IPR015884', NULL, 'Malic enzyme, conserved site', 'Malic_enzyme_CS', 2, NULL),
(7416, NULL, 'IPR008203', NULL, 'AF2212-like', 'AF2212-like', 4, NULL),
(7417, NULL, 'IPR004480', NULL, 'Monothiol glutaredoxin-related', 'Monothiol_GRX-rel', 4, NULL),
(7418, NULL, 'IPR004854', NULL, 'Ubiquitin fusion degradation protein Ufd1-like', 'Ufd1-like', 4, NULL),
(7419, NULL, 'IPR002987', NULL, 'Sodium/calcium exchanger, isoform 1', 'NaCa_exhngr1', 4, NULL),
(7420, NULL, 'IPR002441', NULL, 'Glucose transporter, type 4 (GLUT4)', 'Glc_transpt_4', 4, NULL),
(7421, NULL, 'IPR008158', NULL, 'Protein translocase SEC61 complex,  gamma subunit', 'Translocase_Sec61-g', 4, NULL),
(7422, NULL, 'IPR002470', NULL, 'Peptidase S9A, prolyl oligopeptidase', 'Peptidase_S9A', 4, NULL),
(7423, NULL, 'IPR015877', NULL, 'Cdk-activating kinase assembly factor MAT1, centre', 'Cdk-activating_kinase_MAT1_cen', 3, NULL),
(7424, NULL, 'IPR003529', NULL, 'Long hematopoietin receptor, Gp130 family 2, conserved site', 'Hematopoietin_rcpt_Gp130_CS', 2, NULL),
(7425, NULL, 'IPR004420', NULL, 'Peptidase A31, hydrogenase maturation protease HycI', 'Pept_A31_hyd_mat_HycI', 4, NULL),
(7426, NULL, 'IPR004474', NULL, 'Cell envelope-related transcriptional attenuator domain', 'LytR_CpsA_psr', 3, NULL),
(7427, NULL, 'IPR015883', NULL, 'Glycoside hydrolase family 20, catalytic domain', 'Glyco_hydro_20_cat', 3, NULL),
(7428, NULL, 'IPR007071', NULL, 'A-kinase anchoring protein 95 (AKAP95)', 'AKAP95', 4, NULL),
(7429, NULL, 'IPR002425', NULL, 'Alcohol dehydrogenase, Drosophila-type', 'ADH_Drosophila-type', 4, NULL),
(7430, NULL, 'IPR005391', NULL, 'Neuromedin U receptor, type 1', 'NeuromedU_rcpt_1', 4, NULL),
(7431, NULL, 'IPR003953', NULL, 'FAD-dependent oxidoreductase 2, FAD binding domain', 'FAD-binding_2', 3, NULL),
(7432, NULL, 'IPR001344', NULL, 'Chlorophyll A-B binding protein, plant and chromista', 'Chloro_AB-bd_pln', 4, NULL),
(7433, NULL, 'IPR004869', NULL, 'Membrane transport protein MMPL domain', 'MMPL_dom', 3, NULL),
(7434, NULL, 'IPR003531', NULL, 'Short hematopoietin receptor, family 1, conserved site', 'Hempt_rcpt_S_F1_CS', 2, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7435, NULL, 'IPR003543', NULL, 'Macrophage scavenger receptor, Class A-I/II', 'SR-AI/II', 4, NULL),
(7436, NULL, 'IPR007280', NULL, 'Peptidase, C-terminal, archaeal/bacterial', 'Peptidase_C_arc/bac', 3, NULL),
(7437, NULL, 'IPR031358', NULL, 'Stealth protein CR1, conserved region 1', 'Stealth_CR1', 3, NULL),
(7438, NULL, 'IPR005139', NULL, 'Peptide chain release factor', 'PCRF', 3, NULL),
(7439, NULL, 'IPR012179', NULL, '[NiFe]-hydrogenase-3-type complex Ech, subunit EchD', 'NiFe-hyd_3_EchD', 4, NULL),
(7440, NULL, 'IPR003954', NULL, 'RNA recognition motif domain, eukaryote', 'RRM_dom_euk', 3, NULL),
(7441, NULL, 'IPR007287', NULL, 'Sof1-like protein', 'Sof1', 3, NULL),
(7442, NULL, 'IPR004434', NULL, 'Isocitrate dehydrogenase NAD-dependent', 'Isocitrate_DH_NAD', 4, NULL),
(7443, NULL, 'IPR004475', NULL, 'DNA polymerase II large subunit DP2', 'PolC_DP2', 4, NULL),
(7444, NULL, 'IPR003936', NULL, 'Peripheral myelin protein PMP22', 'PMP22', 4, NULL),
(7445, NULL, 'IPR008153', NULL, 'Gamma-adaptin ear (GAE) domain', 'GAE_dom', 3, NULL),
(7446, NULL, 'IPR014711', NULL, 'DNA topoisomerase I, catalytic core, alpha-helical subdomain, eukaryotic-type', 'TopoI_cat_a-hlx-sub_euk', 5, NULL),
(7447, NULL, 'IPR002986', NULL, 'Diaminopimelate decarboxylase, LysA', 'DAP_deCOOHase_LysA', 4, NULL),
(7448, NULL, 'IPR034531', NULL, 'Methylation of yatakemycin, YtkT', 'Methylation_of_yatakemycin', 4, NULL),
(7449, NULL, 'IPR017887', NULL, 'Transcription factor TCP subgroup', 'TF_TCP_subgr', 3, NULL),
(7450, NULL, 'IPR014709', NULL, 'Glutathione synthase, C-terminal, eukaryotic', 'Glutathione_synthase_C_euk', 5, NULL),
(7451, NULL, 'IPR005414', NULL, 'Guanine nucleotide exchange factor SopE', 'SopE', 4, NULL),
(7452, NULL, 'IPR007291', NULL, 'Capsid protein', 'Capsid_protein', 4, NULL),
(7453, NULL, 'IPR003977', NULL, 'E3 ubiquitin-protein ligase parkin', 'Parkin', 4, NULL),
(7454, NULL, 'IPR023692', NULL, 'Multidrug resistance protein MdtG', 'Mutidrug-R_MdtG', 4, NULL),
(7455, NULL, 'IPR002980', NULL, 'Sodium:neurotransmitter symporter, GABA, GAT-1', 'Na/ntran_symport_GABA_GAT1', 4, NULL),
(7456, NULL, 'IPR003974', NULL, 'Potassium channel, voltage dependent, Kv3', 'K_chnl_volt-dep_Kv3', 4, NULL),
(7457, NULL, 'IPR007275', NULL, 'YTH domain', 'YTH_domain', 3, NULL),
(7458, NULL, 'IPR004430', NULL, '3-isopropylmalate dehydratase, large subunit', '3-IsopropMal_deHydase_lsu', 4, NULL),
(7459, NULL, 'IPR004464', NULL, 'Fructose-1,6-bisphosphatase class 2/Sedoheputulose-1,7-bisphosphatase', 'FBPase_class-2/SBPase', 4, NULL),
(7460, NULL, 'IPR034455', NULL, 'Biogenesis of lysosome-related organelles complex 1, subunit CNL1', 'CNL1', 4, NULL),
(7461, NULL, 'IPR002993', NULL, 'Ornithine decarboxylase antizyme', 'ODC_AZ', 4, NULL),
(7462, NULL, 'IPR004874', NULL, 'Borrelia repeat protein', 'Borrelia_rep', 7, NULL),
(7463, NULL, 'IPR012147', NULL, 'Phosphate acetyl/butyryltransferase', 'P_Ac_Bu_trans', 4, NULL),
(7464, NULL, 'IPR034198', NULL, 'CELF1/2, RNA recognition motif 2', 'CELF1/2_RRM2', 3, NULL),
(7465, NULL, 'IPR005128', NULL, 'Alpha-acetolactate decarboxylase', 'Acetolactate_a_deCO2ase', 4, NULL),
(7466, NULL, 'IPR005122', NULL, 'Uracil-DNA glycosylase-like', 'Uracil-DNA_glycosylase-like', 3, NULL),
(7467, NULL, 'IPR004452', NULL, '4Fe-4S binding protein', '4Fe-4S-bd', 4, NULL),
(7468, NULL, 'IPR001341', NULL, 'Aspartate kinase', 'Asp_kinase', 3, NULL),
(7469, NULL, 'IPR008155', NULL, 'Amyloidogenic glycoprotein', 'Amyloid_glyco', 4, NULL),
(7470, NULL, 'IPR001404', NULL, 'Heat shock protein Hsp90 family', 'Hsp90_fam', 4, NULL),
(7471, NULL, 'IPR005408', NULL, 'Two pore domain potassium channel, TWIK family', '2pore_dom_K_chnl_TWIK', 4, NULL),
(7472, NULL, 'IPR003539', NULL, 'Cytolethal distending toxin B', 'CD_toxinB', 4, NULL),
(7473, NULL, 'IPR005404', NULL, 'Potassium channel, voltage dependent, Kv3.3', 'K_chnl_volt-dep_Kv3.3', 4, NULL),
(7474, NULL, 'IPR001343', NULL, 'RTX calcium-binding nonapeptide repeat', 'Hemolysn_Ca-bd', 7, NULL),
(7475, NULL, 'IPR013083', NULL, 'Zinc finger, RING/FYVE/PHD-type', 'Znf_RING/FYVE/PHD', 5, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7476, NULL, 'IPR003000', NULL, 'Sirtuin family', 'Sirtuin', 4, NULL),
(7477, NULL, 'IPR005401', NULL, 'Potassium channel, voltage-dependent, beta subunit, KCNAB2', 'K_chnl_volt-dep_bsu_KCNAB2', 4, NULL),
(7478, NULL, 'IPR012166', NULL, 'Uncharacterised protein family RocB', 'Uncharacterised_RocB', 4, NULL),
(7479, NULL, 'IPR034306', NULL, 'Matrilin-4', 'Matrilin-4', 4, NULL),
(7480, NULL, 'IPR004465', NULL, 'Ribonucleotide reductase Class Ib, NrdI', 'RNR_NrdI', 4, NULL),
(7481, NULL, 'IPR023727', NULL, 'Lysophospholipid transporter LplT', 'LysoPLipid__transptr_LplT', 4, NULL),
(7482, NULL, 'IPR002440', NULL, 'Glucose transporter, type 2 (GLUT2)', 'Glc_transpt_2', 4, NULL),
(7483, NULL, 'IPR005398', NULL, 'Tubby, N-terminal', 'Tubby_N', 3, NULL),
(7484, NULL, 'IPR008200', NULL, 'Neuromedin U, C-terminal', 'NMU_C', 3, NULL),
(7485, NULL, 'IPR012164', NULL, 'DNA-directed RNA polymerase subunit/transcription factor S', 'Rpa12/Rpb9/Rpc10/TFS', 4, NULL),
(7486, NULL, 'IPR003935', NULL, 'Lens fibre membrane intrinsic protein', 'LMIP', 4, NULL),
(7487, NULL, 'IPR004462', NULL, 'Desulfoferrodoxin, N-terminal domain', 'Desulfoferrodoxin_N', 3, NULL),
(7488, NULL, 'IPR003988', NULL, 'Intercellular adhesion molecule', 'ICAM', 3, NULL),
(7489, NULL, 'IPR001339', NULL, 'mRNA capping enzyme, adenylation domain', 'mRNA_cap_enzyme_adenylation', 3, NULL),
(7490, NULL, 'IPR008176', NULL, 'Defensin, plant', 'Defensin_plant', 4, NULL),
(7491, NULL, 'IPR005129', NULL, 'SIMIBI class G3E GTPase, ArgK/MeaB', 'GTPase_ArgK', 4, NULL),
(7492, NULL, 'IPR003961', NULL, 'Fibronectin type III', 'FN3_dom', 3, NULL),
(7493, NULL, 'IPR008162', NULL, 'Inorganic pyrophosphatase', 'Pyrophosphatase', 4, NULL),
(7494, NULL, 'IPR003976', NULL, 'Two pore domain potassium channel, TREK', '2pore_dom_K_chnl_TREK', 4, NULL),
(7495, NULL, 'IPR005137', NULL, 'Membrane complex biogenesis protein, BtpA family', 'BtpA', 4, NULL),
(7496, NULL, 'IPR004435', NULL, 'Molybdopterin-guanine dinucleotide biosynthesis protein B (MobB) domain', 'MobB_dom', 3, NULL),
(7497, NULL, 'IPR004470', NULL, 'Zinc finger, ZPR1-type, subgroup', 'Znf_ZPR1-type_subgr', 4, NULL),
(7498, NULL, 'IPR002439', NULL, 'Glucose transporter, type 1 (GLUT1)', 'Glu_transpt_1', 4, NULL),
(7499, NULL, 'IPR004477', NULL, 'ComEC/Rec2-related protein', 'ComEC_N', 3, NULL),
(7500, NULL, 'IPR012162', NULL, 'Polyribonucleotide nucleotidyltransferase', 'PNPase', 4, NULL),
(7501, NULL, 'IPR013503', NULL, 'Circadian clock KaiC, bacteria', 'Circadian_KaiC_bact', 4, NULL),
(7502, NULL, 'IPR018181', NULL, 'Heat shock protein 70, conserved site', 'Heat_shock_70_CS', 2, NULL),
(7503, NULL, 'IPR010938', NULL, 'Protein of unknown function DUF1131', 'DUF1131', 4, NULL),
(7504, NULL, 'IPR035083', NULL, 'Nucleocapsid, N-terminal, Arenaviridae', 'Nucleocapsid_N_arenaviridae', 3, NULL),
(7505, NULL, 'IPR009112', NULL, 'GTP cyclohydrolase I, feedback regulatory protein', 'GTP_CycHdrlase_I_reg', 4, NULL),
(7506, NULL, 'IPR008337', NULL, 'Capsule biosynthesis protein CapB', 'Capsule_biosynth_CapB', 4, NULL),
(7507, NULL, 'IPR008881', NULL, 'Trigger factor, ribosome-binding, bacterial', 'Trigger_fac_ribosome-bd_bac', 3, NULL),
(7508, NULL, 'IPR013733', NULL, 'Protein-arginine deiminase (PAD), central domain', 'Prot_Arg_deaminase_cen_dom', 3, NULL),
(7509, NULL, 'IPR017882', NULL, 'Zinc import ATP-binding protein ZnuC', 'ZnuC', 4, NULL),
(7510, NULL, 'IPR023770', NULL, '5-deoxy-glucuronate isomerase, Bacilli', 'IolB_Bacilli', 4, NULL),
(7511, NULL, 'IPR012000', NULL, 'Thiamine pyrophosphate enzyme, central domain', 'Thiamin_PyroP_enz_cen_dom', 3, NULL),
(7512, NULL, 'IPR018212', NULL, 'Sodium/solute symporter, conserved site', 'Na/solute_symporter_CS', 2, NULL),
(7513, NULL, 'IPR034698', NULL, 'Baseplate wedge protein gp6', 'GP6_T4', 4, NULL),
(7514, NULL, 'IPR010932', NULL, 'Large T antigen, polyomavirus, C-terminal', 'Lg_T_Ag_Polyomavir_C', 3, NULL),
(7515, NULL, 'IPR014436', NULL, 'Extradiol aromatic ring-opening dioxygenase, DODA-type', 'Extradiol_dOase_DODA', 4, NULL),
(7516, NULL, 'IPR018161', NULL, 'Wnt protein, conserved site', 'Wnt_CS', 2, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7517, NULL, 'IPR014404', NULL, 'A-agglutinin-binding subunit Aga2', 'Aga2', 4, NULL),
(7518, NULL, 'IPR035080', NULL, 'Lacto-N-biose phosphorylase-like, N-terminal TIM barrel domain', 'Lact_bio_phlase-like_N', 3, NULL),
(7519, NULL, 'IPR008389', NULL, 'ATPase, V0 complex, subunit e1/e2', 'ATPase_V0-cplx_e1/e2_su', 4, NULL),
(7520, NULL, 'IPR015030', NULL, 'Retinoblastoma-associated protein, C-terminal', 'RB_C', 3, NULL),
(7521, NULL, 'IPR008865', NULL, 'DNA replication terminus site-binding protein', 'DNA_replication_term_site-bd', 4, NULL),
(7522, NULL, 'IPR018233', NULL, 'Calsequestrin, conserved site', 'Calsequestrin_CS', 2, NULL),
(7523, NULL, 'IPR008321', NULL, 'Uncharacterised conserved protein UCP032146', 'UCP032146', 4, NULL),
(7524, NULL, 'IPR012339', NULL, 'Bacteriophage T4, Gp32, single-stranded DNA-binding', 'Phage_T4_Gp32_ssDNA-bd', 3, NULL),
(7525, NULL, 'IPR032466', NULL, 'Metal-dependent hydrolase', 'Metal_Hydrolase', 5, NULL),
(7526, NULL, 'IPR008883', NULL, 'Ubiquitin E2 variant, N-terminal', 'UEV_N', 3, NULL),
(7527, NULL, 'IPR008379', NULL, 'Band 4.1, C-terminal', 'Band_4.1_C', 3, NULL),
(7528, NULL, 'IPR011549', NULL, 'Riboflavin-specific deaminase, C-terminal', 'RibD_C', 3, NULL),
(7529, NULL, 'IPR014409', NULL, 'Signal transduction histidine kinase, hybrid-type, aerobic respiration control ArcB', 'Sig_transdc_His_kin_hyb_ArcB', 4, NULL),
(7530, NULL, 'IPR015425', NULL, 'Formin, FH2 domain', 'FH2_Formin', 3, NULL),
(7531, NULL, 'IPR012682', NULL, 'Transcription regulator Myc, N-terminal', 'Tscrpt_reg_Myc_N', 3, NULL),
(7532, NULL, 'IPR008392', NULL, 'Drosophila accessory gland-specific peptide 26Ab', 'Acp26Ab', 4, NULL),
(7533, NULL, 'IPR014416', NULL, 'DNA-directed DNA polymerase, family B, phi29-like virus', 'DNA-dir_DNA_polB_phi29_vir', 4, NULL),
(7534, NULL, 'IPR014414', NULL, 'Envelope glycoprotein precursor/M polyprotein precursor, Tospovirus type', 'M_poly_TospoV', 4, NULL),
(7535, NULL, 'IPR008390', NULL, 'AWPM-19-like', 'AWPM-19', 4, NULL),
(7536, NULL, 'IPR008869', NULL, 'Toluene tolerance Ttg2/phospholipid-binding protein MlaC', 'MlaC/ttg2D', 4, NULL),
(7537, NULL, 'IPR008887', NULL, 'Uncharacterised protein family UPF0228', 'UPF0228', 4, NULL),
(7538, NULL, 'IPR013808', NULL, 'Transglutaminase, active site', 'Transglutaminase_AS', 0, NULL),
(7539, NULL, 'IPR008397', NULL, 'Alginate lyase domain', 'Alginate_lyase_dom', 3, NULL),
(7540, NULL, 'IPR015413', NULL, 'Methionyl/Leucyl tRNA synthetase', 'Methionyl/Leucyl_tRNA_Synth', 3, NULL),
(7541, NULL, 'IPR010297', NULL, 'Protein of unknown function DUF900, hydrolase-like', 'DUF900_hydrolase', 4, NULL),
(7542, NULL, 'IPR016019', NULL, 'Guanine nucleotide exchange factor SopE, GEF domain', 'SopE_GEF_dom', 3, NULL),
(7543, NULL, 'IPR023734', NULL, 'Polyisoprenyl-teichoic acid--peptidoglycan teichoic acid transferase TagU', 'TagU', 4, NULL),
(7544, NULL, 'IPR008901', NULL, 'Alkaline ceramidase', 'ACER', 4, NULL),
(7545, NULL, 'IPR014422', NULL, 'Cobalamin (vitamin B12) biosynthesis, bifunctional CbiH/CbiC', 'Cbl_synth_bifunc_CbiH/CbiC', 4, NULL),
(7546, NULL, 'IPR010260', NULL, 'DNA-binding transcriptional activator AlpA', 'AlpA', 4, NULL),
(7547, NULL, 'IPR008898', NULL, 'YopD-like', 'YopD-like', 4, NULL),
(7548, NULL, 'IPR014408', NULL, 'Signal transduction c-di-GMP phosphodiesterase, EAL/HD-GYP domain-containing', 'dGMP_Pdiesterase_EAL/HD-GYP', 4, NULL),
(7549, NULL, 'IPR015420', NULL, 'Peptidase S1A, nudel', 'Peptidase_S1A_nudel', 3, NULL),
(7550, NULL, 'IPR013740', NULL, 'Redoxin', 'Redoxin', 3, NULL),
(7551, NULL, 'IPR018209', NULL, 'Pyruvate kinase, active site', 'Pyrv_Knase_AS', 0, NULL),
(7552, NULL, 'IPR015048', NULL, 'Domain of unknown function DUF1899', 'DUF1899', 3, NULL),
(7553, NULL, 'IPR013136', NULL, 'WSTF/Acf1/Cbp146', 'WSTF_Acf1_Cbp146', 3, NULL),
(7554, NULL, 'IPR018225', NULL, 'Transaldolase, active site', 'Transaldolase_AS', 0, NULL),
(7555, NULL, 'IPR011399', NULL, 'Nitrous oxide reductase expression regulator NosR', 'NosR', 4, NULL),
(7556, NULL, 'IPR014988', NULL, 'Uncharacterised protein family, YqcI/YcgG', 'Uncharacterised_YqcI/YcgG', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7557, NULL, 'IPR008384', NULL, 'Actin-related protein 2/3 complex subunit 4', 'ARPC4', 4, NULL),
(7558, NULL, 'IPR023149', NULL, 'Trans-aconitate 2-methyltransferase, C-terminal', 'Trans_acon_MeTrfase_C', 5, NULL),
(7559, NULL, 'IPR008866', NULL, 'Bacteriophage lambda, GpA-like', 'Phage_lambda_GpA-like', 4, NULL),
(7560, NULL, 'IPR010295', NULL, 'Protein of unknown function DUF898', 'DUF898', 4, NULL),
(7561, NULL, 'IPR009107', NULL, 'Protein-L-isoaspartyl O-methyltransferase, C-terminal', 'PIM_MeTrfase_C', 5, NULL),
(7562, NULL, 'IPR010262', NULL, 'Arylsulfotransferase, bacteria', 'Arylsulfotransferase_bact', 4, NULL),
(7563, NULL, 'IPR010935', NULL, 'SMCs flexible hinge', 'SMC_hinge', 3, NULL),
(7564, NULL, 'IPR023719', NULL, 'Aliphatic amidase', 'Aliphatic_amidase', 4, NULL),
(7565, NULL, 'IPR014441', NULL, 'Uncharacterised conserved protein UCP006425, beta-propeller-type', 'UCP006425_b-propeller', 4, NULL),
(7566, NULL, 'IPR015042', NULL, 'BPS (Between PH and SH2) domain', 'BPS-dom', 3, NULL),
(7567, NULL, 'IPR008894', NULL, 'Sugar 3,4-ketoisomerase QdtA, cupin domain', 'QdtA_cupin_dom', 3, NULL),
(7568, NULL, 'IPR008394', NULL, 'Enterobacteria AfaD invasin', 'AfaD', 4, NULL),
(7569, NULL, 'IPR008358', NULL, 'Signal transduction histidine kinase/phosphatase, lantibiotic regulatory protein MprB', 'Sig_transdc_His_kin/Pase_MprB', 4, NULL),
(7570, NULL, 'IPR013061', NULL, 'Tryptophan/tryrosine permease, conserved site', 'Trp/try_permease_CS', 2, NULL),
(7571, NULL, 'IPR014401', NULL, 'Ribosomal protein S6, eukaryotic', 'Ribosomal_S6_euk', 4, NULL),
(7572, NULL, 'IPR013727', NULL, 'Two-component sensor kinase, N-terminal', '2CSK_N', 3, NULL),
(7573, NULL, 'IPR011537', NULL, 'NADH ubiquinone oxidoreductase, F subunit', 'NADH-UbQ_OxRdtase_suF', 4, NULL),
(7574, NULL, 'IPR018164', NULL, 'Alanyl-tRNA synthetase, class IIc, N-terminal', 'Ala-tRNA-synth_IIc_N', 3, NULL),
(7575, NULL, 'IPR015020', NULL, 'Protein of unknown function DUF1906', 'DUF1906', 4, NULL),
(7576, NULL, 'IPR013761', NULL, 'Sterile alpha motif/pointed domain superfamily', 'SAM/pointed_sf', 5, NULL),
(7577, NULL, 'IPR013749', NULL, 'Pyridoxamine kinase/Phosphomethylpyrimidine kinase', 'PM/HMP-P_kinase-1', 3, NULL),
(7578, NULL, 'IPR008330', NULL, 'Peptidase M17, peptidase B', 'Pept_M17_PepB', 4, NULL),
(7579, NULL, 'IPR009103', NULL, 'Olfactory marker protein', 'Olfactory_marker', 4, NULL),
(7580, NULL, 'IPR008375', NULL, 'Staphylococcus aureus exotoxin', 'Staph_exotoxin', 4, NULL),
(7581, NULL, 'IPR018185', NULL, 'Gas vesicle C repeat', 'Gas_vesicle_C_repeat', 7, NULL),
(7582, NULL, 'IPR010274', NULL, 'Orthopoxvirus A36R', 'Orthopox_A36R', 4, NULL),
(7583, NULL, 'IPR008902', NULL, 'Alpha-L-rhamnosidase, concanavalin-like domain', 'Rhamnosid_concanavalin', 3, NULL),
(7584, NULL, 'IPR017898', NULL, 'Vacuolar protein sorting-associated, VPS28, N-terminal', 'VPS28_N', 3, NULL),
(7585, NULL, 'IPR010290', NULL, 'Transmembrane secretion effector', 'TM_effector', 4, NULL),
(7586, NULL, 'IPR015895', NULL, 'Glutamyl-tRNA reductase, N-terminal', '4pyrrol_synth_GluRdtase_N', 3, NULL),
(7587, NULL, 'IPR014402', NULL, 'Transcription factor, Skn7-like', 'Sig_transdc_resp-reg_Skn7', 4, NULL),
(7588, NULL, 'IPR015045', NULL, 'Protein of unknown function DUF1861', 'DUF1861', 4, NULL),
(7589, NULL, 'IPR018220', NULL, 'Adenylosuccinate synthase, GTP-binding site', 'Adenylosuccin_syn_GTP-bd', 1, NULL),
(7590, NULL, 'IPR015417', NULL, 'Glycine/sarcosine/betaine reductase complex, protein B, subunit alpha/ beta', 'Gly_reductase_pB_sua/b', 4, NULL),
(7591, NULL, 'IPR015005', NULL, 'Domain of unknown function DUF1854', 'DUF1854', 3, NULL),
(7592, NULL, 'IPR009920', NULL, 'Heptaprenyl diphosphate synthase subunit 1', 'HEPPP_synth_su1', 4, NULL),
(7593, NULL, 'IPR008355', NULL, 'Interferon gamma receptor alpha subunit', 'Interferon_gamma_rcpt_asu', 4, NULL),
(7594, NULL, 'IPR015009', NULL, 'Vinculin-binding site-containing domain', 'Vinculin-bd_dom', 3, NULL),
(7595, NULL, 'IPR015003', NULL, 'Protein of unknown function DUF1853', 'DUF1853', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7596, NULL, 'IPR015037', NULL, 'Protein of unknown function DUF1919', 'DUF1919', 4, NULL),
(7597, NULL, 'IPR013738', NULL, 'Beta-galactosidase trimerisation', 'Beta_galactosidase_Trimer', 3, NULL),
(7598, NULL, 'IPR015018', NULL, 'Protein of unknown function DUF1905', 'DUF1905', 4, NULL),
(7599, NULL, 'IPR014998', NULL, 'Protein of unknown function DUF1848', 'DUF1848', 4, NULL),
(7600, NULL, 'IPR008872', NULL, 'Insecticidal crystal toxin', 'Toxin_P42', 3, NULL),
(7601, NULL, 'IPR010293', NULL, 'Na+-dependent bicarbonate transporter superfamily', 'Sbt_1', 4, NULL),
(7602, NULL, 'IPR012341', NULL, 'Six-hairpin glycosidase-like superfamily', '6hp_glycosidase-like_sf', 5, NULL),
(7603, NULL, 'IPR012336', NULL, 'Thioredoxin-like fold', 'Thioredoxin-like_fold', 3, NULL),
(7604, NULL, 'IPR008370', NULL, 'Voltage-dependent calcium channel, gamma-6 subunit', 'VDCC_g6su', 4, NULL),
(7605, NULL, 'IPR015021', NULL, 'Domain of unknown function DUF1907', 'DUF1907', 3, NULL),
(7606, NULL, 'IPR015892', NULL, 'Carbonic anhydrase, prokaryotic-like, conserved site', 'Carbonic_anhydrase_CS', 2, NULL),
(7607, NULL, 'IPR011401', NULL, 'Phosphoesterase, YvnB', 'Pesterase_YvnB', 4, NULL),
(7608, NULL, 'IPR014987', NULL, 'Uncharacterised protein family YfcL', 'UPF_YfcL', 4, NULL),
(7609, NULL, 'IPR009113', NULL, 'Outer capsid protein Mu1/VP4', 'Mu1/VP4', 4, NULL),
(7610, NULL, 'IPR012338', NULL, 'Beta-lactamase/transpeptidase-like', 'Beta-lactam/transpept-like', 5, NULL),
(7611, NULL, 'IPR014428', NULL, 'Holliday junction resolvase Hjc, archaeal', 'Hjc_arc', 4, NULL),
(7612, NULL, 'IPR010259', NULL, 'Peptidase S8 propeptide/proteinase inhibitor I9', 'S8pro/Inhibitor_I9', 3, NULL),
(7613, NULL, 'IPR009039', NULL, 'EAR', 'EAR', 7, NULL),
(7614, NULL, 'IPR013741', NULL, 'Repressor KorB domain', 'KorB_domain', 3, NULL),
(7615, NULL, 'IPR023818', NULL, 'Conserved hypothetical protein CHP03890, nif11/cupin domain-containing', 'Nif11_cupin', 4, NULL),
(7616, NULL, 'IPR011539', NULL, 'Rel homology domain (RHD), DNA-binding domain', 'RHD_DNA_bind_dom', 3, NULL),
(7617, NULL, 'IPR013765', NULL, 'DNA recombination and repair protein RecA', 'DNA_recomb/repair_RecA', 4, NULL),
(7618, NULL, 'IPR015896', NULL, 'Tetrapyrrole biosynthesis, glutamyl-tRNA reductase, dimerisation domain', '4pyrrol_synth_GluRdtase_dimer', 3, NULL),
(7619, NULL, 'IPR014395', NULL, 'Penicillin/GL-7-ACA/AHL acylase', 'Pen/GL7ACA/AHL_acylase', 4, NULL),
(7620, NULL, 'IPR018221', NULL, 'Glycoside hydrolase family 9, His active site', 'Glyco_hydro_9_His_AS', 0, NULL),
(7621, NULL, 'IPR010265', NULL, 'Bacteriophage lambda, GpM, minor tail', 'Phage_lambda_GpM', 4, NULL),
(7622, NULL, 'IPR015412', NULL, 'Autophagy-related, C-terminal', 'Autophagy-rel_C', 3, NULL),
(7623, NULL, 'IPR010931', NULL, 'Lactococcus lactis RepB, C-terminal', 'L_lactis_RepB_C', 3, NULL),
(7624, NULL, 'IPR016089', NULL, 'Chalcone isomerase, orthogonal bundle domain superfamily', 'Chalcone_isomerase_bundle_sf', 5, NULL),
(7625, NULL, 'IPR010269', NULL, 'Type VI secretion system TssC-like', 'T6SS_TssC-like', 4, NULL),
(7626, NULL, 'IPR008364', NULL, 'Paraoxonase2', 'Paraoxonase2', 4, NULL),
(7627, NULL, 'IPR013507', NULL, 'DNA mismatch repair protein,  S5 domain 2-like', 'DNA_mismatch_S5_2-like', 3, NULL),
(7628, NULL, 'IPR024736', NULL, 'Oestrogen-type nuclear receptor final C-terminal domain', 'Oestrogen-typ_rcpt_final_C_dom', 3, NULL),
(7629, NULL, 'IPR008900', NULL, 'Zona occludens toxin, N-terminal', 'Zot_N', 3, NULL),
(7630, NULL, 'IPR010270', NULL, 'Bacteriophage P2, GpM', 'Phage_P2_GpM', 4, NULL),
(7631, NULL, 'IPR009919', NULL, 'Protein of unknown function DUF1455', 'DUF1455', 4, NULL),
(7632, NULL, 'IPR008380', NULL, 'HAD-superfamily hydrolase, subfamily IG, 5''-nucleotidase', 'HAD-SF_hydro_IG_5-nucl', 4, NULL),
(7633, NULL, 'IPR008385', NULL, 'African swine fever virus j13L', 'ASFV_j13L', 4, NULL),
(7634, NULL, 'IPR011546', NULL, 'Peptidase M41, FtsH extracellular', 'Pept_M41_FtsH_extracell', 3, NULL),
(7635, NULL, 'IPR008319', NULL, 'Uncharacterised conserved protein UCP031644', 'UCP031644', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7636, NULL, 'IPR013759', NULL, 'DNA topoisomerase, type IIA, subunit B, C-terminal', 'Topo_IIA_B_C', 5, NULL),
(7637, NULL, 'IPR008910', NULL, 'Conserved TM helix', 'TM_helix', 7, NULL),
(7638, NULL, 'IPR010298', NULL, 'Protein of unknown function DUF901', 'DUF901', 4, NULL),
(7639, NULL, 'IPR008876', NULL, 'Relaxosome protein TraY', 'TraY', 4, NULL),
(7640, NULL, 'IPR011392', NULL, 'Tellurite resistance, TerY', 'Tellurite-R_TerY', 4, NULL),
(7641, NULL, 'IPR034696', NULL, 'Antiholin T4 type', 'RI_T4', 4, NULL),
(7642, NULL, 'IPR015033', NULL, 'HBS1-like protein, N-terminal', 'HBS1-like_N', 3, NULL),
(7643, NULL, 'IPR015004', NULL, 'MesX', 'MesX', 4, NULL),
(7644, NULL, 'IPR015031', NULL, 'Capsid protein VP4, Picornavirus', 'Capsid_VP4_Picornavir', 3, NULL),
(7645, NULL, 'IPR015811', NULL, 'Methyl-coenzyme M reductase, alpha subunit, N-terminal subdomain 1', 'Me_CoM_Rdtase_asu_N_sub1', 5, NULL),
(7646, NULL, 'IPR034662', NULL, 'Atypical Protein Kinase C zeta, catalytic domain', 'aPKC_zeta', 3, NULL),
(7647, NULL, 'IPR013755', NULL, 'Flaviviral glycoprotein E, central domain, subdomain 1', 'Flav_gly_cen_dom_subdom1', 5, NULL),
(7648, NULL, 'IPR008891', NULL, 'Viral nucleic acid binding', 'Viral_NABP', 4, NULL),
(7649, NULL, 'IPR015422', NULL, 'Pyridoxal phosphate-dependent transferase, small domain', 'PyrdxlP-dep_Trfase_small', 5, NULL),
(7650, NULL, 'IPR013750', NULL, 'GHMP kinase, C-terminal domain', 'GHMP_kinase_C_dom', 3, NULL),
(7651, NULL, 'IPR008889', NULL, 'VQ', 'VQ', 3, NULL),
(7652, NULL, 'IPR014418', NULL, 'Uncharacterised conserved protein UCP004604', 'UCP004604', 4, NULL),
(7653, NULL, 'IPR018223', NULL, 'Argininosuccinate synthase, conserved site', 'Arginosuc_synth_CS', 2, NULL),
(7654, NULL, 'IPR015007', NULL, 'Nuclear pore complex, NUP2/50/61', 'NUP2/50/61', 3, NULL),
(7655, NULL, 'IPR011402', NULL, 'Phospholipase D, plant', 'PLipase_D_pln', 4, NULL),
(7656, NULL, 'IPR008338', NULL, 'Capsule biosynthesis protein CapC', 'Capsule_biosynth_CapC', 4, NULL),
(7657, NULL, 'IPR015025', NULL, 'Domain of unknown function DUF1911', 'DUF1911', 3, NULL),
(7658, NULL, 'IPR018168', NULL, 'Ubiquinone biosynthesis hydroxylase, UbiH/UbiF/VisC/COQ6, conserved site', 'Ubi_Hdrlase_CS', 2, NULL),
(7659, NULL, 'IPR018232', NULL, 'Glycoside hydrolase, family 37, conserved site', 'Glyco_hydro_37_CS', 2, NULL),
(7660, NULL, 'IPR014438', NULL, 'Glucan biosynthesis protein MdoG/MdoD', 'Glucan_biosyn_MdoG/MdoD', 4, NULL),
(7661, NULL, 'IPR014993', NULL, 'Protein of unknown function DUF1841', 'DUF1841', 4, NULL),
(7662, NULL, 'IPR018229', NULL, 'Rhodopsin, retinal binding site', 'Rhodopsin_retinal_BS', 1, NULL),
(7663, NULL, 'IPR010264', NULL, 'Plant self-incompatibility S1', 'Self-incomp_S1', 4, NULL),
(7664, NULL, 'IPR008349', NULL, 'Mitogen-activated protein (MAP) kinase, ERK1/2', 'MAPK_ERK1/2', 4, NULL),
(7665, NULL, 'IPR035903', NULL, 'HesB-like domain superfamily', 'HesB-like_dom_sf', 5, NULL),
(7666, NULL, 'IPR018211', NULL, 'Alcohol dehydrogenase, iron-type, conserved site', 'ADH_Fe_CS', 2, NULL),
(7667, NULL, 'IPR015008', NULL, 'ROCK, Rho binding domain', 'ROCK_Rho-bd_dom', 3, NULL),
(7668, NULL, 'IPR008356', NULL, 'Protein-tyrosine phosphatase, KIM-containing', 'Tyr_Pase_KIM-con', 4, NULL),
(7669, NULL, 'IPR008874', NULL, 'Enterobacterial TraT complement resistance', 'TraT_complement-R', 4, NULL),
(7670, NULL, 'IPR010303', NULL, 'CREB-binding protein/p300, atypical RING domain', 'RING_CBP-p300', 3, NULL),
(7671, NULL, 'IPR010302', NULL, 'U5-like protein, herpesvirus', 'U5-like_protein_herpesevirus', 4, NULL),
(7672, NULL, 'IPR018236', NULL, 'SAICAR synthetase, conserved site', 'SAICAR_synthetase_CS', 2, NULL),
(7673, NULL, 'IPR008320', NULL, 'Uncharacterised conserved protein UCP032025', 'UCP032025', 4, NULL),
(7674, NULL, 'IPR008893', NULL, 'WGR domain', 'WGR_domain', 3, NULL),
(7675, NULL, 'IPR011396', NULL, 'Uncharacterised conserved protein UCP030850', 'UCP030850', 4, NULL),
(7676, NULL, 'IPR008391', NULL, 'Acetyl xylan esterase', 'AXE1_dom', 3, NULL),
(7677, NULL, 'IPR008347', NULL, 'Transient receptor potential channel, vanilloid 1-4', 'TRPV1-4_channel', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7678, NULL, 'IPR023187', NULL, 'Transcriptional regulator MarR-type, conserved site', 'Tscrpt_reg_MarR-type_CS', 2, NULL),
(7679, NULL, 'IPR018237', NULL, 'Myelin proteolipid protein PLP, conserved site', 'Myelin_PLP_CS', 2, NULL),
(7680, NULL, 'IPR032490', NULL, 'Domain of unknown function DUF5047', 'DUF5047', 3, NULL),
(7681, NULL, 'IPR008868', NULL, 'Bacterial TniB', 'TniB', 4, NULL),
(7682, NULL, 'IPR008376', NULL, 'Synembryn', 'Synembryn', 3, NULL),
(7683, NULL, 'IPR014440', NULL, 'HCCA isomerase/glutathione S-transferase kappa', 'HCCAis_GSTk', 4, NULL),
(7684, NULL, 'IPR008907', NULL, 'P25-alpha', 'P25-alpha', 4, NULL),
(7685, NULL, 'IPR015026', NULL, 'Protein of unknown function DUF1912', 'DUF1912', 4, NULL),
(7686, NULL, 'IPR012001', NULL, 'Thiamine pyrophosphate enzyme, N-terminal TPP-binding domain', 'Thiamin_PyroP_enz_TPP-bd_dom', 3, NULL),
(7687, NULL, 'IPR014410', NULL, 'Adenovirus early E1A protein', 'Aden_E1A', 4, NULL),
(7688, NULL, 'IPR013739', NULL, 'Beta-galactosidase C-terminal', 'Beta_galactosidase_C', 3, NULL),
(7689, NULL, 'IPR013735', NULL, 'Transcription factor NusA, N-terminal', 'TF_NusA_N', 3, NULL),
(7690, NULL, 'IPR012344', NULL, 'Matrix protein, lentiviral and alpha-retroviral, N-terminal', 'Matrix_HIV/RSV_N', 5, NULL),
(7691, NULL, 'IPR010294', NULL, 'ADAMTS/ADAMTS-like, Spacer 1', 'ADAMTS_spacer1', 3, NULL),
(7692, NULL, 'IPR008343', NULL, 'Mitogen-activated protein (MAP) kinase phosphatase', 'MKP', 4, NULL),
(7693, NULL, 'IPR034702', NULL, 'Large tegument protein deneddylase', 'HSV_LTP', 4, NULL),
(7694, NULL, 'IPR008313', NULL, 'Metal-independent alpha-mannosidase', 'GH125', 4, NULL),
(7695, NULL, 'IPR014407', NULL, '5-methylcytosine restriction system component, bacterial', 'McrC_bac', 4, NULL),
(7696, NULL, 'IPR013760', NULL, 'DNA topoisomerase, type IIA-like domain superfamily', 'Topo_IIA-like_dom_sf', 5, NULL),
(7697, NULL, 'IPR008372', NULL, 'Voltage-dependent calcium channel, gamma-8 subunit', 'VDCC_g8su', 4, NULL),
(7698, NULL, 'IPR015014', NULL, 'PhoQ Sensor', 'PhoQ_Sensor', 3, NULL),
(7699, NULL, 'IPR024702', NULL, 'Uncharacterised conserved protein YmfJ', 'Uncharacterised_YmfJ', 4, NULL),
(7700, NULL, 'IPR008342', NULL, 'Dishevelled-3', 'DVL3', 4, NULL),
(7701, NULL, 'IPR018234', NULL, 'GTP cyclohydrolase I, conserved site', 'GTP_CycHdrlase_I_CS', 2, NULL),
(7702, NULL, 'IPR013762', NULL, 'Integrase-like, catalytic domain superfamily', 'Integrase-like_cat_sf', 5, NULL),
(7703, NULL, 'IPR015002', NULL, 'Domain of unknown function DUF1851', 'DUF1851', 3, NULL),
(7704, NULL, 'IPR014990', NULL, 'Protein of unknown function DUF1838', 'DUF1838', 4, NULL),
(7705, NULL, 'IPR015421', NULL, 'Pyridoxal phosphate-dependent transferase, major domain', 'PyrdxlP-dep_Trfase_major', 5, NULL),
(7706, NULL, 'IPR009110', NULL, 'Nuclear receptor coactivator, interlocking', 'Nuc_rcpt_coact', 5, NULL),
(7707, NULL, 'IPR015894', NULL, 'Guanylate-binding protein, N-terminal', 'Guanylate-bd_N', 3, NULL),
(7708, NULL, 'IPR014397', NULL, 'L-2-aminoadipate reductase', 'Lys2', 4, NULL),
(7709, NULL, 'IPR008361', NULL, 'Melanin-concentrating hormone receptor', 'MCH_rcpt', 4, NULL),
(7710, NULL, 'IPR013747', NULL, '3-Oxoacyl-[acyl-carrier-protein (ACP)] synthase III, C-terminal', 'ACP_syn_III_C', 3, NULL),
(7711, NULL, 'IPR013748', NULL, 'Replication factor C, C-terminal', 'Rep_factorC_C', 3, NULL),
(7712, NULL, 'IPR008905', NULL, 'Eukaryotic translation initiation factor 3 subunit C, N-terminal domain', 'EIF3C_N_dom', 3, NULL),
(7713, NULL, 'IPR015034', NULL, 'Protein of unknown function DUF1917', 'DUF1917', 4, NULL),
(7714, NULL, 'IPR015046', NULL, 'Enterocin A Immunity', 'EntA_Immun', 4, NULL),
(7715, NULL, 'IPR034674', NULL, 'Serine/threonine-protein kinase Kin4/ppk1, catalytic domain', 'STK_Kin4/ppk1', 3, NULL),
(7716, NULL, 'IPR012847', NULL, 'Sucrose phosphatase, plant/cyanobacteria', 'Sucrose_phosphatase_pln/cyn', 4, NULL),
(7717, NULL, 'IPR013757', NULL, 'DNA topoisomerase, type IIA, alpha-helical domain superfamily', 'Topo_IIA_A_a_sf', 5, NULL),
(7718, NULL, 'IPR013068', NULL, 'Galanin message associated peptide (GMAP)', 'GMAP', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7719, NULL, 'IPR012346', NULL, 'p53/RUNT-type transcription factor, DNA-binding domain superfamily', 'p53/RUNT-type_TF_DNA-bd_sf', 5, NULL),
(7720, NULL, 'IPR014426', NULL, 'Uncharacterised protein family UPF0282, hydrolase, metallo-beta-lactamase', 'UPF0282_hydrls', 4, NULL),
(7721, NULL, 'IPR015898', NULL, 'G-protein gamma-like domain', 'G-protein_gamma-like_dom', 3, NULL),
(7722, NULL, 'IPR008340', NULL, 'Dishevelled-1', 'DVL-1', 4, NULL),
(7723, NULL, 'IPR008278', NULL, '4''-phosphopantetheinyl transferase domain', '4-PPantetheinyl_Trfase_dom', 3, NULL),
(7724, NULL, 'IPR015039', NULL, 'NADPH oxidase subunit p47Phox, C-terminal', 'NADPH_oxidase_p47Phox_C', 3, NULL),
(7725, NULL, 'IPR013746', NULL, 'Hydroxymethylglutaryl-coenzyme A synthase, C-terminal domain', 'HMG_CoA_synt_C_dom', 3, NULL),
(7726, NULL, 'IPR013732', NULL, 'Protein-arginine deiminase (PAD), N-terminal', 'PAD_N', 3, NULL),
(7727, NULL, 'IPR008348', NULL, 'Transient receptor potential channel, vanilloid 4', 'TRPV4_channel', 4, NULL),
(7728, NULL, 'IPR012349', NULL, 'FMN-binding split barrel', 'Split_barrel_FMN-bd', 5, NULL),
(7729, NULL, 'IPR010279', NULL, 'Inner membrane protein YqjD/ElaB', 'YqjD/ElaB', 4, NULL),
(7730, NULL, 'IPR008325', NULL, 'EipA-like', 'EipA-like', 4, NULL),
(7731, NULL, 'IPR010272', NULL, 'Type VI secretion system TssF', 'T6SS_TssF', 4, NULL),
(7732, NULL, 'IPR010286', NULL, 'METTL16/RlmF family', 'METTL16/RlmF', 4, NULL),
(7733, NULL, 'IPR010271', NULL, 'Toxin-coregulated pilus subunit TcpA', 'TcpA', 4, NULL),
(7734, NULL, 'IPR014996', NULL, 'Transcriptional regulator AcaB', 'AcaB', 4, NULL),
(7735, NULL, 'IPR008896', NULL, 'Protein TIC214', 'TIC214', 4, NULL),
(7736, NULL, 'IPR010300', NULL, 'Cysteine dioxygenase type I', 'CDO_1', 4, NULL),
(7737, NULL, 'IPR015419', NULL, 'CTAG/Pcc1 family', 'CTAG/Pcc1', 4, NULL),
(7738, NULL, 'IPR010280', NULL, '(Uracil-5)-methyltransferase family', 'U5_MeTrfase_fam', 4, NULL),
(7739, NULL, 'IPR010273', NULL, 'Protein of unknown function DUF881', 'DUF881', 4, NULL),
(7740, NULL, 'IPR013055', NULL, 'Tachykinin/Neurokinin-like, conserved site', 'Tachy_Neuro_lke_CS', 2, NULL),
(7741, NULL, 'IPR018227', NULL, 'Amino acid/polyamine transporter 2', 'Amino_acid_transport_2', 4, NULL),
(7742, NULL, 'IPR015016', NULL, 'Splicing factor 3B subunit 1', 'SF3b_su1', 3, NULL),
(7743, NULL, 'IPR032469', NULL, 'Endophilin-A3, BAR domain', 'Endophilin-A3_BAR', 3, NULL),
(7744, NULL, 'IPR014989', NULL, 'Protein of unknown function DUF1839', 'DUF1839', 4, NULL),
(7745, NULL, 'IPR008878', NULL, 'Transposase IS66, Orf2', 'Transposase_IS66_Orf2', 4, NULL),
(7746, NULL, 'IPR008914', NULL, 'Phosphatidylethanolamine-binding protein', 'PEBP', 4, NULL),
(7747, NULL, 'IPR018222', NULL, 'Nuclear transport factor 2, eukaryote', 'Nuclear_transport_factor_2_euk', 3, NULL),
(7748, NULL, 'IPR008359', NULL, 'Linker-for-activation of T cells (LAT) protein', 'Linker_for_activat_Tcells_prot', 4, NULL),
(7749, NULL, 'IPR008344', NULL, 'Transient receptor potential cation channel subfamily V member 5/6', 'TRPV5/TRPV6', 4, NULL),
(7750, NULL, 'IPR013752', NULL, 'Ketopantoate reductase, C-terminal domain', 'KPA_reductase', 3, NULL),
(7751, NULL, 'IPR014403', NULL, 'Vegetative storage protein/acid phosphatase', 'APS1/VSP', 4, NULL),
(7752, NULL, 'IPR018177', NULL, 'L-lactate dehydrogenase, active site', 'L-lactate_DH_AS', 0, NULL),
(7753, NULL, 'IPR018215', NULL, 'ClpP, Ser active site', 'ClpP_Ser_AS', 0, NULL),
(7754, NULL, 'IPR013085', NULL, 'U1-C, C2H2-type zinc finger', 'U1-CZ_Znf_C2H2', 3, NULL),
(7755, NULL, 'IPR018226', NULL, 'Barwin, conserved site', 'Barwin_CS', 2, NULL),
(7756, NULL, 'IPR010268', NULL, 'Archaeal PaREP1', 'PaREP1', 4, NULL),
(7757, NULL, 'IPR013992', NULL, 'Adenylate cyclase-associated CAP, N-terminal', 'Adenylate_cyclase-assoc_CAP_N', 3, NULL),
(7758, NULL, 'IPR013499', NULL, 'DNA topoisomerase I, eukaryotic-type', 'TopoI_euk', 3, NULL),
(7759, NULL, 'IPR032489', NULL, 'Domain of unknown function DUF5048', 'DUF5048', 3, NULL),
(7760, NULL, 'IPR008365', NULL, 'Prostanoid receptor', 'Prostanoid_rcpt', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7761, NULL, 'IPR013078', NULL, 'Histidine phosphatase superfamily, clade-1', 'His_Pase_superF_clade-1', 4, NULL),
(7762, NULL, 'IPR023790', NULL, 'Chloride channel, voltage-gated, ClcB', 'Cl-channel_volt-gated_ClcB', 4, NULL),
(7763, NULL, 'IPR010304', NULL, 'Survival motor neuron', 'Survival_motor_neuron', 3, NULL),
(7764, NULL, 'IPR014419', NULL, 'Heme utilization protein HutZ', 'HutZ', 4, NULL),
(7765, NULL, 'IPR016174', NULL, 'Di-haem cytochrome, transmembrane', 'Di-haem_cyt_TM', 5, NULL),
(7766, NULL, 'IPR008382', NULL, 'SPHK1-interactor/A-kinase anchor 110kDa', 'SPHK1-interactor_AKAP_110', 4, NULL),
(7767, NULL, 'IPR008368', NULL, 'Voltage-dependent calcium channel, gamma subunit', 'VDCC_gsu', 4, NULL),
(7768, NULL, 'IPR011397', NULL, 'Intramembrane metalloprotease YhfC', 'YhfC', 4, NULL),
(7769, NULL, 'IPR035097', NULL, 'Peptidase M29, N-terminal', 'M29_N-terminal', 5, NULL),
(7770, NULL, 'IPR014991', NULL, 'Protein of unknown function DUF1840', 'DUF1840', 4, NULL),
(7771, NULL, 'IPR008912', NULL, 'Uncharacterised protein family CoxE-like', 'Uncharacterised_CoxE', 4, NULL),
(7772, NULL, 'IPR008383', NULL, 'Apoptosis inhibitory 5', 'API5', 4, NULL),
(7773, NULL, 'IPR013135', NULL, 'Vitelline membrane cysteine-rich domain', 'Vitelline_membr_Cys-rich-dom', 3, NULL),
(7774, NULL, 'IPR010275', NULL, 'Protein of unknown function DUF882', 'DUF882', 4, NULL),
(7775, NULL, 'IPR013139', NULL, 'Omega-atracotoxin, conserved site-2', 'Omega_atracotoxin_CS2', 2, NULL),
(7776, NULL, 'IPR011538', NULL, 'NADH-ubiquinone oxidoreductase 51kDa subunit, FMN-binding domain', 'Nuo51_FMN-bd', 3, NULL),
(7777, NULL, 'IPR013731', NULL, 'Opacity-associated protein A, N-terminal', 'OapA_N', 3, NULL),
(7778, NULL, 'IPR008363', NULL, 'Paraoxonase1', 'Paraoxonase1', 4, NULL),
(7779, NULL, 'IPR013524', NULL, 'Runt domain', 'Runt_dom', 3, NULL),
(7780, NULL, 'IPR008346', NULL, 'Transient receptor potential cation channel subfamily V member 5', 'TRPV5', 4, NULL),
(7781, NULL, 'IPR015897', NULL, 'CHK kinase-like', 'CHK_kinase-like', 3, NULL),
(7782, NULL, 'IPR009918', NULL, 'Protein of unknown function DUF1454', 'DUF1454', 4, NULL),
(7783, NULL, 'IPR018216', NULL, 'Cathelicidin, conserved site', 'Cathelicidin_CS', 2, NULL),
(7784, NULL, 'IPR013730', NULL, 'Fyv7/TAP26', 'Fyv7/TAP26', 4, NULL),
(7785, NULL, 'IPR023817', NULL, 'Frankia-40 domain', 'Frankia_40_dom', 3, NULL),
(7786, NULL, 'IPR035942', NULL, 'Lp2179-like superfamily', 'Lp2179-like_sf', 5, NULL),
(7787, NULL, 'IPR008350', NULL, 'Mitogen-activated protein (MAP) kinase, ERK3/4', 'MAPK_ERK3/4', 4, NULL),
(7788, NULL, 'IPR010291', NULL, 'Ion channel regulatory protein, UNC-93', 'Ion_channel_UNC-93', 4, NULL),
(7789, NULL, 'IPR015013', NULL, 'Transforming growth factor beta receptor 2 ectodomain', 'Transforming_GF_b_rcpt_2_ecto', 3, NULL),
(7790, NULL, 'IPR013504', NULL, 'Methylamine/Aralkylamine dehydrogenase light chain, C-terminal domain', 'MADH/AADH_Ltc_C_dom', 3, NULL),
(7791, NULL, 'IPR008864', NULL, 'Nucleocapsid, Tenuivirus', 'Nucleocapsid_Tenuivirus', 4, NULL),
(7792, NULL, 'IPR008873', NULL, 'TraA', 'TraA', 4, NULL),
(7793, NULL, 'IPR008879', NULL, 'Coat protein, trichovirus/vitivirus', 'Coat_protein_tricho/vitivirus', 4, NULL),
(7794, NULL, 'IPR008354', NULL, 'Glucose-fructose oxidoreductase, bacterial', 'Glc-Fru_OxRdtase_bac', 4, NULL),
(7795, NULL, 'IPR015035', NULL, 'Domain of unknown function DUF1918', 'DUF1918', 3, NULL),
(7796, NULL, 'IPR008377', NULL, 'Trypanosome sialidase', 'Sialidase_trypan', 4, NULL),
(7797, NULL, 'IPR010281', NULL, 'Protein of unknown function DUF885', 'DUF885', 4, NULL),
(7798, NULL, 'IPR011400', NULL, 'Eukaryotic translation initiation factor 3 subunit B', 'EIF3B', 4, NULL),
(7799, NULL, 'IPR012345', NULL, 'STAT transcription factor, DNA-binding, N-terminal', 'STAT_TF_DNA-bd_N', 5, NULL),
(7800, NULL, 'IPR009040', NULL, 'Ferritin-like diiron domain', 'Ferritin-like_diiron', 3, NULL),
(7801, NULL, 'IPR014997', NULL, 'Protein of unknown function DUF1847', 'DUF1847', 4, NULL),
(7802, NULL, 'IPR015040', NULL, 'Bcl-x interacting, BH3 domain', 'Bcl-x_interacting_BH3_dom', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7803, NULL, 'IPR015415', NULL, 'Vps4 oligomerisation, C-terminal', 'Vps4_C', 3, NULL),
(7804, NULL, 'IPR008911', NULL, 'Short scorpion toxin, potassium channel inhibitor alpha-KTx 8/9', 'Toxin_alpha-KTx_8/9', 4, NULL),
(7805, NULL, 'IPR023095', NULL, 'Adenine-specific methyltransferase, domain 2', 'Ade_MeTrfase_dom_2', 5, NULL),
(7806, NULL, 'IPR013751', NULL, '3-Oxoacyl-[acyl-carrier-protein (ACP)] synthase III', 'ACP_syn_III', 3, NULL),
(7807, NULL, 'IPR015899', NULL, 'UDP-galactopyranose mutase, C-terminal', 'UDP-GalPyranose_mutase_C', 3, NULL),
(7808, NULL, 'IPR008362', NULL, 'Melanin-concentrating hormone 2 receptor', 'MCH2_receptor', 4, NULL),
(7809, NULL, 'IPR012347', NULL, 'Ferritin-like', 'Ferritin-like', 5, NULL),
(7810, NULL, 'IPR015414', NULL, 'Transmembrane protein TMEM64', 'TMEM64', 4, NULL),
(7811, NULL, 'IPR010287', NULL, 'Domain of unknown function DUF892', 'DUF892', 3, NULL),
(7812, NULL, 'IPR009038', NULL, 'GOLD domain', 'GOLD_dom', 3, NULL),
(7813, NULL, 'IPR034697', NULL, 'Baseplate wedge protein gp7', 'GP7_T4', 4, NULL),
(7814, NULL, 'IPR008388', NULL, 'V0 complex accessory subunit Ac45', 'Ac45_acc_su', 4, NULL),
(7815, NULL, 'IPR013743', NULL, 'Nap binding NBP1, fungi', 'NBP1_fun', 4, NULL),
(7816, NULL, 'IPR008899', NULL, 'Zinc finger, piccolo-type', 'Znf_piccolo', 3, NULL),
(7817, NULL, 'IPR023728', NULL, 'Small heat shock protein IbpA', 'HSP20_IbpA', 4, NULL),
(7818, NULL, 'IPR012340', NULL, 'Nucleic acid-binding, OB-fold', 'NA-bd_OB-fold', 5, NULL),
(7819, NULL, 'IPR023929', NULL, 'Di-heme enzyme, MXAN0977', 'Di-heme_enz_MXAN0977', 4, NULL),
(7820, NULL, 'IPR015044', NULL, 'Bacteriophage PRD1, spike protein P5, C-terminal', 'Phage_PRD1_P5_C', 3, NULL),
(7821, NULL, 'IPR008318', NULL, 'Uncharacterised conserved protein UCP030820', 'UCP030820', 4, NULL),
(7822, NULL, 'IPR023617', NULL, 'Tyrosine-tRNA ligase, archaeal/eukaryotic-type', 'Tyr-tRNA-ligase_arc/euk-type', 4, NULL),
(7823, NULL, 'IPR008897', NULL, 'Yeast trans-acting factor', 'Rep_fungi', 4, NULL),
(7824, NULL, 'IPR014000', NULL, 'DNA helicase E1 protein, N-terminal, Papillomavirus', 'DNA_helicase_E1_N_Papillomavir', 3, NULL),
(7825, NULL, 'IPR015416', NULL, 'Zinc finger, H2C2-type, histone UAS binding', 'Znf_H2C2_histone_UAS-bd', 3, NULL),
(7826, NULL, 'IPR008323', NULL, 'Uncharacterised conserved protein UCP033563', 'UCP033563', 4, NULL),
(7827, NULL, 'IPR010266', NULL, 'NnrS', 'NnrS', 4, NULL),
(7828, NULL, 'IPR014413', NULL, 'M polyprotein precursor, Orthobunyavirus type', 'M_poly_OrthobunV', 4, NULL),
(7829, NULL, 'IPR013728', NULL, 'Domain of unknown function DUF1735', 'DUF1735', 3, NULL),
(7830, NULL, 'IPR023148', NULL, 'tRNA (guanine-N(1)-)-methyltransferase, C-terminal domain superfamily', 'tRNA_m1G_MeTrfase_C_sf', 5, NULL),
(7831, NULL, 'IPR012352', NULL, 'Interleukin-10, additional helical', 'IL-10_add_hlx', 5, NULL),
(7832, NULL, 'IPR009105', NULL, 'Colicin E3-like ribonuclease domain', 'Colicin_E3_ribonuclease', 3, NULL),
(7833, NULL, 'IPR014430', NULL, 'Sterol desaturase Scs7', 'Scs7', 4, NULL),
(7834, NULL, 'IPR014431', NULL, 'Tellurite resistance methyltransferase, TehB type-2', 'Tellurite-R_TehB-2', 4, NULL),
(7835, NULL, 'IPR008398', NULL, 'Allexivirus 40kDa', 'Allexi_40kDa', 4, NULL),
(7836, NULL, 'IPR013756', NULL, 'Flaviviral glycoprotein E, central domain, subdomain 2', 'GlyE_cen_dom_subdom2', 5, NULL),
(7837, NULL, 'IPR023934', NULL, 'Luciferase-like monooxygenase, FMN-dependent, putative', 'LLM_FMN-dep_put', 4, NULL),
(7838, NULL, 'IPR014433', NULL, 'Nickel insertion ATPase/GTPase (CO dehydrogenase maturation factor), CooC type', 'CooC', 4, NULL),
(7839, NULL, 'IPR008386', NULL, 'ATP synthase, F0 complex, subunit E, mitochondrial', 'ATP_synth_F0_esu_mt', 4, NULL),
(7840, NULL, 'IPR008880', NULL, 'Trigger factor, C-terminal', 'Trigger_fac_C', 3, NULL),
(7841, NULL, 'IPR013137', NULL, 'Zinc finger, TFIIB-type', 'Znf_TFIIB', 3, NULL),
(7842, NULL, 'IPR014399', NULL, 'Cyclin CLN', 'Cyclin_CLN', 4, NULL),
(7843, NULL, 'IPR015036', NULL, 'E3 ubiquitin-protein ligase NRDP1', 'NRDP1', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7844, NULL, 'IPR034690', NULL, 'Endolysin T4 type', 'Endolysin_T4_type', 4, NULL),
(7845, NULL, 'IPR008374', NULL, 'SF-assemblin/beta-giardin', 'SF_assemblin/giardin_b', 4, NULL),
(7846, NULL, 'IPR011403', NULL, 'Pyrophosphate-dependent phosphofructokinase TM0289 type', 'PPi-PFK_TM0289', 4, NULL),
(7847, NULL, 'IPR008875', NULL, 'TraX', 'TraX', 4, NULL),
(7848, NULL, 'IPR014412', NULL, 'Genome polyprotein, Flavivirus', 'Gen_Poly_FLV', 4, NULL),
(7849, NULL, 'IPR010940', NULL, 'Magnesium-protoporphyrin IX methyltransferase, C-terminal', 'Mg_prot_MeTrfase_C', 3, NULL),
(7850, NULL, 'IPR034681', NULL, 'Isochorismate synthase MenF', 'MenF', 4, NULL),
(7851, NULL, 'IPR012348', NULL, 'Ribonucleotide reductase-like', 'RNR-like', 5, NULL),
(7852, NULL, 'IPR015047', NULL, 'Synaptojanin-1/2, RNA recognition motif', 'SYNJ1/2_RRM', 3, NULL),
(7853, NULL, 'IPR010284', NULL, 'Photosystem II reaction centre protein Ycf12', 'PSII_Ycf12_core-subunit', 4, NULL),
(7854, NULL, 'IPR008311', NULL, 'Uncharacterised conserved protein UCP028101', 'UCP028101', 4, NULL),
(7855, NULL, 'IPR010261', NULL, 'Tir chaperone protein (CesT) family', 'Tir_chaperone', 4, NULL),
(7856, NULL, 'IPR015915', NULL, 'Kelch-type beta propeller', 'Kelch-typ_b-propeller', 5, NULL),
(7857, NULL, 'IPR008399', NULL, 'Anthrax toxin receptor, C-terminal', 'Anthrax_toxin_rcpt_C', 3, NULL),
(7858, NULL, 'IPR008888', NULL, 'Ustilago B locus mating-type', 'Ustilago_mating', 3, NULL),
(7859, NULL, 'IPR015869', NULL, 'Transcription antitermination protein, NusG, bacteria, conserved site', 'Transcrpt_antiterm_NusG_bac_CS', 2, NULL),
(7860, NULL, 'IPR013819', NULL, 'Lipoxygenase, C-terminal', 'LipOase_C', 3, NULL),
(7861, NULL, 'IPR009099', NULL, 'Beta-lactamase-inhibitor protein BLIP', 'Beta-lactamas_inhib', 4, NULL),
(7862, NULL, 'IPR008895', NULL, 'Vps72/YL1 family', 'Vps72/YL1', 4, NULL),
(7863, NULL, 'IPR008884', NULL, 'Macrocin-O-methyltransferase', 'TylF_MeTrfase', 4, NULL),
(7864, NULL, 'IPR013745', NULL, 'TORC2 component Bit61/PRR5', 'Bit61/PRR5', 4, NULL),
(7865, NULL, 'IPR023731', NULL, 'Global transcriptional regulator Spx', 'Spx', 4, NULL),
(7866, NULL, 'IPR008886', NULL, 'Uncharacterised protein family UPF0227/Esterase YqiA', 'UPF0227/Esterase_YqiA', 4, NULL),
(7867, NULL, 'IPR015029', NULL, 'Protein of unknown function DUF1864', 'DUF1864', 4, NULL),
(7868, NULL, 'IPR009111', NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit, domain 2', 'QH-AmDH_asu_dom2', 3, NULL),
(7869, NULL, 'IPR023736', NULL, 'Antiholin-like protein LrgA', 'Antiholin-like_LrgA', 4, NULL),
(7870, NULL, 'IPR008369', NULL, 'Voltage-dependent calcium channel, gamma-5 subunit', 'VDCC_g5su', 4, NULL),
(7871, NULL, 'IPR008908', NULL, 'Sarcoglycan alpha/epsilon', 'Sarcoglycan_alpha/epsilon', 4, NULL),
(7872, NULL, 'IPR008906', NULL, 'HAT, C-terminal dimerisation domain', 'HATC_C_dom', 3, NULL),
(7873, NULL, 'IPR010276', NULL, 'Allatostatin', 'Allatostatin', 4, NULL),
(7874, NULL, 'IPR018208', NULL, 'Glycoside hydrolase family 11, active site 1', 'GH11_AS_1', 0, NULL),
(7875, NULL, 'IPR035940', NULL, 'CAP superfamily', 'CAP_sf', 5, NULL),
(7876, NULL, 'IPR015917', NULL, 'Peptidase C14A, caspase catalytic domain', 'Pept_C14A', 3, NULL),
(7877, NULL, 'IPR018235', NULL, 'Bacterial luciferase, conserved site', 'Bacterial_luciferase_CS', 2, NULL),
(7878, NULL, 'IPR010282', NULL, 'Uncharacterised protein family HutD/Ves', 'Uncharacterised_HutD/Ves', 4, NULL),
(7879, NULL, 'IPR008903', NULL, 'Hemagglutinin component HA-17', 'HA-17_C_botulinum', 4, NULL),
(7880, NULL, 'IPR015022', NULL, 'Microtubule-associated serine/threonine-protein kinase, domain', 'MA_Ser/Thr_Kinase_dom', 3, NULL),
(7881, NULL, 'IPR014435', NULL, 'N(4)-bis(aminopropyl)spermidine synthase', 'BpsA', 4, NULL),
(7882, NULL, 'IPR018228', NULL, 'Deoxyribonuclease, TatD-related, conserved site', 'DNase_TatD-rel_CS', 2, NULL),
(7883, NULL, 'IPR008867', NULL, 'Thiazole synthase', 'ThiG', 4, NULL),
(7884, NULL, 'IPR015424', NULL, 'Pyridoxal phosphate-dependent transferase', 'PyrdxlP-dep_Trfase', 5, NULL),
(7885, NULL, 'IPR008871', NULL, 'Totivirus coat', 'Totivirus_coat', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7886, NULL, 'IPR008345', NULL, 'Transient receptor potential channel, vanilloid 6', 'TRPV6_channel', 4, NULL),
(7887, NULL, 'IPR034695', NULL, 'Baseplate wedge protein gp10', 'BP10_T4', 4, NULL),
(7888, NULL, 'IPR010934', NULL, 'NADH dehydrogenase subunit 5, C-terminal', 'NADH_DH_su5_C', 3, NULL),
(7889, NULL, 'IPR011395', NULL, 'Alpha glucuronidase', 'Glyco_hydro_67_aGlcAse', 4, NULL),
(7890, NULL, 'IPR010930', NULL, 'Flagellar basal-body/hook protein, C-terminal domain', 'Flg_bb/hook_C_dom', 3, NULL),
(7891, NULL, 'IPR014434', NULL, 'Monothiol glutaredoxin', 'Monothiol_GRX', 4, NULL),
(7892, NULL, 'IPR018165', NULL, 'Alanyl-tRNA synthetase, class IIc, core domain', 'Ala-tRNA-synth_IIc_core', 3, NULL),
(7893, NULL, 'IPR013734', NULL, 'Transcription factor Nrm1/Whi5', 'TF_Nrm1/Whi5', 2, NULL),
(7894, NULL, 'IPR015017', NULL, 'Protein of unknown function DUF1904', 'DUF1904', 4, NULL),
(7895, NULL, 'IPR015049', NULL, 'Trimerisation motif', 'Trimer_CC', 3, NULL),
(7896, NULL, 'IPR013744', NULL, 'Fusarinine C esterase SidJ', 'SidJ', 4, NULL),
(7897, NULL, 'IPR016050', NULL, 'Proteasome beta-type subunit, conserved site', 'Proteasome_bsu_CS', 2, NULL),
(7898, NULL, 'IPR018202', NULL, 'Serine carboxypeptidase, serine active site', 'Ser_caboxypep_ser_AS', 0, NULL),
(7899, NULL, 'IPR018230', NULL, 'BUD31/G10-related, conserved site', 'BUD31/G10-rel_CS', 2, NULL),
(7900, NULL, 'IPR013742', NULL, 'Whirly transcription factor', 'Whirly', 4, NULL),
(7901, NULL, 'IPR013813', NULL, 'Endoribonuclease L-PSP/chorismate mutase-like', 'Endoribo_LPSP/chorism_mut-like', 3, NULL),
(7902, NULL, 'IPR009104', NULL, 'Sea anemone actinoporin-like', 'Anemon_actinoporin-like', 4, NULL),
(7903, NULL, 'IPR018214', NULL, 'Glutamyl-tRNA reductase, conserved site', 'GluRdtase_CS', 2, NULL),
(7904, NULL, 'IPR013737', NULL, 'Bacterial alpha-L-rhamnosidase N-terminal', 'Bac_rhamnosid_N', 3, NULL),
(7905, NULL, 'IPR008351', NULL, 'Mitogen-activated protein (MAP) kinase, JNK', 'MAPK_JNK', 4, NULL),
(7906, NULL, 'IPR010926', NULL, 'Class I myosin tail homology domain', 'Myosin_TH1', 3, NULL),
(7907, NULL, 'IPR014394', NULL, 'Coagulation factor XII/hepatocyte growth factor activator', 'Coagulation_fac_XII/HGFA', 4, NULL),
(7908, NULL, 'IPR015027', NULL, 'Receptor-binding protein of phage tail base-plate Siphoviridae, head', 'Caudo_bapla_RBP', 3, NULL),
(7909, NULL, 'IPR018197', NULL, 'Glycerate kinase, restriction-enzyme-like fold', 'Glycerate_kinase_RE-like', 5, NULL),
(7910, NULL, 'IPR015012', NULL, 'Phenylalanine zipper', 'Phe_ZIP', 3, NULL),
(7911, NULL, 'IPR010929', NULL, 'CDR ABC transporter', 'PDR_CDR_ABC', 3, NULL),
(7912, NULL, 'IPR011398', NULL, 'Fibrillin', 'FBN', 4, NULL),
(7913, NULL, 'IPR008367', NULL, 'Regucalcin', 'Regucalcin', 4, NULL),
(7914, NULL, 'IPR010301', NULL, 'Nucleolar, Nop52', 'Nop52', 4, NULL),
(7915, NULL, 'IPR015041', NULL, 'Osmosensory transporter coiled coil', 'Osmo_CC', 3, NULL),
(7916, NULL, 'IPR010933', NULL, 'NADH dehydrogenase subunit 2, C-terminal', 'NADH_DH_su2_C', 3, NULL),
(7917, NULL, 'IPR014994', NULL, 'Domain of unknown function DUF1843', 'DUF1843', 3, NULL),
(7918, NULL, 'IPR010278', NULL, 'Varicellovirus Gp2, glycoprotein', 'Varicellovirus_Gp2_glycop', 4, NULL),
(7919, NULL, 'IPR008892', NULL, 'Cold-regulated 413 protein', 'COR413', 4, NULL),
(7920, NULL, 'IPR008353', NULL, 'Peptidase S1B, exfoliative toxin', 'Peptidase_S1B_tx', 4, NULL),
(7921, NULL, 'IPR008393', NULL, 'Adenovirus late L2 mu core', 'Adenovirus_late_L2_mu_core', 4, NULL),
(7922, NULL, 'IPR023816', NULL, 'CRISPR-associated protein CYA0889', 'CRISPR-assoc_CYA0889', 4, NULL),
(7923, NULL, 'IPR013134', NULL, 'RAD50, zinc hook', 'Zn_hook_RAD50', 3, NULL),
(7924, NULL, 'IPR008341', NULL, 'Dishevelled-2', 'DVL2', 4, NULL),
(7925, NULL, 'IPR008317', NULL, 'Uncharacterised conserved protein UCP030561', 'UCP030561', 4, NULL),
(7926, NULL, 'IPR023722', NULL, 'Enterobactin exporter, EntS', 'Enterobactin_exp_EntS', 4, NULL),
(7927, NULL, 'IPR034705', NULL, 'Cytoplasmic envelopment protein 3', 'HSV_CEP3_betahv', 4, NULL),
(7928, NULL, 'IPR009101', NULL, 'Gurmarin/antifungal peptide', 'Gurmarin/antifun_pep', 5, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7929, NULL, 'IPR018224', NULL, 'Ependymin, conserved site', 'Ependymin_CS', 2, NULL),
(7930, NULL, 'IPR008326', NULL, 'Uncharacterised conserved protein UCP034852', 'UCP034852', 4, NULL),
(7931, NULL, 'IPR013729', NULL, 'Multiprotein bridging factor 1, N-terminal', 'MBF1_N', 3, NULL),
(7932, NULL, 'IPR008357', NULL, 'Lantibiotic leader peptide-processing serine protease', 'Lanit_process', 4, NULL),
(7933, NULL, 'IPR017891', NULL, 'Insulin-like growth factor binding protein, N-terminal, Cys-rich conserved site', 'Insulin_GF-bd_Cys-rich_CS', 2, NULL),
(7934, NULL, 'IPR011404', NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase, XF0274', 'PPi-PFK_XF0274', 4, NULL),
(7935, NULL, 'IPR018184', NULL, 'Integrin alpha chain, C-terminal cytoplasmic region, conserved site', 'Integrin_alpha_C_CS', 2, NULL),
(7936, NULL, 'IPR014392', NULL, 'Protein-tyrosine phosphatase, non-receptor type-14/21', 'PTP_non-rcpt_14/21', 4, NULL),
(7937, NULL, 'IPR010941', NULL, 'Poly-beta-hydroxybutyrate polymerase, N-terminal domain', 'PhaC_N', 3, NULL),
(7938, NULL, 'IPR015000', NULL, 'EipB-like', 'EipB-like', 4, NULL),
(7939, NULL, 'IPR009106', NULL, 'CART satiety factor', 'CART', 4, NULL),
(7940, NULL, 'IPR014995', NULL, 'Protein of unknown function DUF1844', 'DUF1844', 4, NULL),
(7941, NULL, 'IPR016049', NULL, 'RNA polymerase Rpc34-like', 'RNA_pol_Rpc34-like', 4, NULL),
(7942, NULL, 'IPR008378', NULL, 'Ubiquitous surface protein', 'Ubiq_surface', 4, NULL),
(7943, NULL, 'IPR013815', NULL, 'ATP-grasp fold, subdomain 1', 'ATP_grasp_subdomain_1', 5, NULL),
(7944, NULL, 'IPR013086', NULL, 'Sodium:neurotransmitter symporter, serotonin, N-terminal', 'Na/ntran_symport_serotonin_N', 3, NULL),
(7945, NULL, 'IPR008373', NULL, 'Saposin', 'Saposin', 4, NULL),
(7946, NULL, 'IPR008395', NULL, 'Agenet-like domain', 'Agenet-like_dom', 3, NULL),
(7947, NULL, 'IPR008366', NULL, 'Nuclear factor of activated T cells (NFAT)', 'NFAT', 4, NULL),
(7948, NULL, 'IPR015032', NULL, 'MTH538 TIR-like domain', 'MTH538_TIR-like_domain', 3, NULL),
(7949, NULL, 'IPR015418', NULL, 'Chromatin modification-related protein Eaf6', 'Eaf6', 4, NULL),
(7950, NULL, 'IPR008312', NULL, 'Type VI secretion system sheath protein TssB1', 'T6SS_TssB1', 4, NULL),
(7951, NULL, 'IPR010927', NULL, 'Type IV conjugative transfer system protein TraH', 'T4SS_TraH', 4, NULL),
(7952, NULL, 'IPR035082', NULL, 'Nrap protein domain 1', 'Nrap_D1', 3, NULL),
(7953, NULL, 'IPR008327', NULL, 'Signal transduction response regulator, antiterminator', 'Sig_transdc_resp-reg_antiterm', 4, NULL),
(7954, NULL, 'IPR014999', NULL, 'Uncharacterised protein family UPF0371', 'UPF0371', 4, NULL),
(7955, NULL, 'IPR015011', NULL, 'Threonyl-tRNA synthetase, editing domain, archaea', 'Threonyl-tRNA_syn_edit_dom_arc', 3, NULL),
(7956, NULL, 'IPR010928', NULL, 'Tyrosinase co-factor MelC1', 'MelC1', 4, NULL),
(7957, NULL, 'IPR014424', NULL, 'Uncharacterised conserved protein UCP004897, ACT- type', 'UCP004897_ACT', 4, NULL),
(7958, NULL, 'IPR015050', NULL, 'Bypass of forespore C, C-terminal', 'BofC_C', 3, NULL),
(7959, NULL, 'IPR008381', NULL, 'Succinate dehydrogenase assembly factor 3, mitochondrial', 'SDHAF3/Sdh7', 4, NULL),
(7960, NULL, 'IPR009109', NULL, 'Ran-GTPase activating protein 1, C-terminal', 'Ran_GTPase_activating_1_C', 3, NULL),
(7961, NULL, 'IPR015038', NULL, 'Glutarate 2-hydroxylase GlaH', 'GlaH', 4, NULL),
(7962, NULL, 'IPR015043', NULL, 'Bacteriophage PRD1, P5, spike N-terminal', 'Phage_PRD1_P5_spike_N', 3, NULL),
(7963, NULL, 'IPR013763', NULL, 'Cyclin-like', 'Cyclin-like', 3, NULL),
(7964, NULL, 'IPR008322', NULL, 'Uncharacterised protein family UPF0261', 'UPF0261', 4, NULL),
(7965, NULL, 'IPR015823', NULL, 'Methyl-coenzyme M reductase, alpha subunit, N-terminal subdomain 2', 'Me_CoM_Rdtase_asu_N_sub2', 5, NULL),
(7966, NULL, 'IPR010285', NULL, 'DNA helicase Pif1-like', 'DNA_helicase_pif1-like', 4, NULL),
(7967, NULL, 'IPR034660', NULL, 'DinB/YfiT-like putative metalloenzymes', 'DinB/YfiT-like', 5, NULL),
(7968, NULL, 'IPR013736', NULL, 'Xaa-Pro dipeptidyl-peptidase, C-terminal', 'Xaa-Pro_dipept_C', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(7969, NULL, 'IPR014417', NULL, 'Integrase, predicted', 'Integrase_predicted', 4, NULL),
(7970, NULL, 'IPR010296', NULL, 'Protein of unknown function DUF899, thioredoxin-like', 'DUF899_thioredox', 4, NULL),
(7971, NULL, 'IPR008387', NULL, 'ATP synthase-coupling factor 6, mitochondrial', 'ATP_synth_f6_mt', 4, NULL),
(7972, NULL, 'IPR011405', NULL, 'Pyrophosphate-dependent phosphofructokinase SMc01852 type', 'PPi-PFK_SMc01852', 4, NULL),
(7973, NULL, 'IPR008913', NULL, 'Zinc finger, CHY-type', 'Znf_CHY', 3, NULL),
(7974, NULL, 'IPR017884', NULL, 'SANT domain', 'SANT_dom', 3, NULL),
(7975, NULL, 'IPR008371', NULL, 'Voltage-dependent calcium channel, gamma-7 subunit', 'VDCC_g7su', 4, NULL),
(7976, NULL, 'IPR018206', NULL, 'Electron transfer flavoprotein subunit alpha, conserved site', 'ETF_asu_C_CS', 2, NULL),
(7977, NULL, 'IPR008316', NULL, 'Uncharacterised conserved protein UCP029876', 'UCP029876', 4, NULL),
(7978, NULL, 'IPR008314', NULL, 'N(4)-acetylcytidine amidohydrolase', 'AC4CH', 4, NULL),
(7979, NULL, 'IPR023932', NULL, 'Uncharacterised protein family, CE1759', 'Uncharacterised_CE1759', 4, NULL),
(7980, NULL, 'IPR008909', NULL, 'DALR anticodon binding', 'DALR_anticod-bd', 3, NULL),
(7981, NULL, 'IPR010292', NULL, 'Uncharacterised protein family CreA', 'Uncharacterised_CreA', 4, NULL),
(7982, NULL, 'IPR014992', NULL, 'Domain of unknown function DUF1842', 'DUF1842', 3, NULL),
(7983, NULL, 'IPR008890', NULL, 'Vibrio cholerae RfbT', 'V_cholerae_RfbT', 4, NULL),
(7984, NULL, 'IPR015019', NULL, 'Ragulator complex protein LAMTOR3', 'LAMTOR3', 4, NULL),
(7985, NULL, 'IPR034691', NULL, 'Endolysin lambda type', 'Endolysin_lambda_type', 4, NULL),
(7986, NULL, 'IPR008882', NULL, 'Procyclic acidic repetitive', 'Trypano_PARP', 4, NULL),
(7987, NULL, 'IPR015024', NULL, 'Domain of unknown function DUF1910', 'DUF1910', 3, NULL),
(7988, NULL, 'IPR015799', NULL, 'Influenza matrix M1, N-terminal subdomain 2', 'Flu_matrix_M1_N_sub2', 5, NULL),
(7989, NULL, 'IPR010288', NULL, 'Bacterial ABC transporter EcsB', 'EcsB_ABC', 4, NULL),
(7990, NULL, 'IPR012337', NULL, 'Ribonuclease H-like superfamily', 'RNaseH-like_sf', 5, NULL),
(7991, NULL, 'IPR015001', NULL, 'Protein of unknown function DUF1850', 'DUF1850', 4, NULL),
(7992, NULL, 'IPR010263', NULL, 'Type VI secretion system TssK', 'T6SS_TssK', 4, NULL),
(7993, NULL, 'IPR015010', NULL, 'Rap1 Myb domain', 'Rap1_Myb_dom', 3, NULL),
(7994, NULL, 'IPR010267', NULL, 'Chordopoxvirus A20R', 'Chordopox_A20R', 4, NULL),
(7995, NULL, 'IPR015015', NULL, 'F-actin binding', 'F-actin-binding', 3, NULL),
(7996, NULL, 'IPR008310', NULL, 'UPF0735 ACT domain-containing protein', 'UPF0735_ACT_dom-cont', 4, NULL),
(7997, NULL, 'IPR013758', NULL, 'DNA topoisomerase, type IIA, domain A, alpha-beta', 'Topo_IIA_A/C_ab', 5, NULL),
(7998, NULL, 'IPR018176', NULL, 'Tryptophanase, conserved site', 'Tryptophanase_CS', 2, NULL),
(7999, NULL, 'IPR008352', NULL, 'Mitogen-activated protein (MAP) kinase p38-like', 'MAPK_p38-like', 4, NULL),
(8000, NULL, 'IPR009100', NULL, 'Acyl-CoA dehydrogenase/oxidase, N-terminal and middle domain superfamily', 'AcylCoA_DH/oxidase_NM_dom', 5, NULL),
(8001, NULL, 'IPR009935', NULL, 'Protein of unknown function DUF1467', 'DUF1467', 4, NULL),
(8002, NULL, 'IPR023225', NULL, 'Salmonella invasion protein A, chaperone-binding', 'SipA_chaperone-bd', 5, NULL),
(8003, NULL, 'IPR009925', NULL, 'Protein of unknown function DUF1463', 'DUF1463', 4, NULL),
(8004, NULL, 'IPR009427', NULL, 'Uncharacterised conserved protein UCP020357', 'UCP020357', 4, NULL),
(8005, NULL, 'IPR013942', NULL, 'Mediator complex, subunit Med19, fungi', 'Mediator_Med19_fun', 4, NULL),
(8006, NULL, 'IPR009412', NULL, 'Protein of unknown function DUF1062', 'DUF1062', 4, NULL),
(8007, NULL, 'IPR013966', NULL, 'DASH complex subunit Spc34', 'Spc34', 4, NULL),
(8008, NULL, 'IPR015527', NULL, 'Peptidase C26, gamma-glutamyl hydrolase', 'Pept_C26_g-glut_hydrolase', 4, NULL),
(8009, NULL, 'IPR009379', NULL, 'Structural protein VP1/VP3', 'VP1_VP3', 4, NULL),
(8010, NULL, 'IPR014755', NULL, 'Copper resistance protein CopC/internalin, immunoglobulin-like', 'Cu-Rt/internalin_Ig-like', 5, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8011, NULL, 'IPR011406', NULL, 'Globin, trematode', 'Globin_trematode', 4, NULL),
(8012, NULL, 'IPR010579', NULL, 'MHC class I, alpha chain, C-terminal', 'MHC_I_a_C', 3, NULL),
(8013, NULL, 'IPR009403', NULL, 'Protein of unknown function UPF0637', 'UPF0637', 4, NULL),
(8014, NULL, 'IPR009413', NULL, 'Hemolysin, aegerolysin type', 'Aegerolysin-typ', 4, NULL),
(8015, NULL, 'IPR009943', NULL, 'Protein of unknown function DUF1475', 'DUF1475', 4, NULL),
(8016, NULL, 'IPR034707', NULL, 'Envelope glycoprotein N', 'HSV_GN', 4, NULL),
(8017, NULL, 'IPR009970', NULL, 'Histone H1-like nucleoprotein HC2', 'HC2', 4, NULL),
(8018, NULL, 'IPR012945', NULL, 'Tubulin binding cofactor C-like domain', 'Tubulin-bd_cofactor_C_dom', 3, NULL),
(8019, NULL, 'IPR011707', NULL, 'Multicopper oxidase, N-termianl', 'Cu-oxidase_N', 3, NULL),
(8020, NULL, 'IPR013958', NULL, 'DASH complex subunit Dad1', 'DASH_Dad1', 4, NULL),
(8021, NULL, 'IPR013974', NULL, 'SAF domain', 'SAF', 3, NULL),
(8022, NULL, 'IPR009431', NULL, 'Neuronal vesicle trafficking-associated protein', 'NSG', 4, NULL),
(8023, NULL, 'IPR011610', NULL, 'S-adenosyl-L-methionine-dependent methyltransferase, putative', 'CHP00027_methylltransferase', 4, NULL),
(8024, NULL, 'IPR012943', NULL, 'Centrosomin, N-terminal motif 1', 'Cnn_1N', 3, NULL),
(8025, NULL, 'IPR009948', NULL, 'Syd', 'Syd', 4, NULL),
(8026, NULL, 'IPR009958', NULL, 'Conotoxin, alpha-type', 'Conotoxin_a-typ', 4, NULL),
(8027, NULL, 'IPR015517', NULL, 'Deoxycytidylate deaminase-related', 'dCMP_deaminase-rel', 4, NULL),
(8028, NULL, 'IPR011709', NULL, 'Domain of unknown function DUF1605', 'DUF1605', 3, NULL),
(8029, NULL, 'IPR011410', NULL, 'Nucleoside diphosphate kinase 7', 'NDPK7', 4, NULL),
(8030, NULL, 'IPR009404', NULL, 'Coronavirus 5a', 'Corona_5a', 4, NULL),
(8031, NULL, 'IPR009441', NULL, 'P40 nucleoprotein, Borna disease virus', 'P40_nucleoprot_BD-vir', 4, NULL),
(8032, NULL, 'IPR013959', NULL, 'DASH complex subunit Dad4', 'DASH_Dad4', 4, NULL),
(8033, NULL, 'IPR024132', NULL, 'Akirin', 'Akirin', 4, NULL),
(8034, NULL, 'IPR011408', NULL, 'Aldehyde dehydrogenase', 'Aldehyde_DH', 4, NULL),
(8035, NULL, 'IPR009382', NULL, 'Coleoptericin', 'Coleoptericin', 4, NULL),
(8036, NULL, 'IPR024131', NULL, 'Uncharacterised protein family UPF0489', 'UPF0489', 4, NULL),
(8037, NULL, 'IPR010584', NULL, 'Exodeoxyribonuclease 8', 'ExoDNase_VIII', 4, NULL),
(8038, NULL, 'IPR015942', NULL, 'Asp/Glu/hydantoin racemase', 'Asp/Glu/hydantoin_racemase', 4, NULL),
(8039, NULL, 'IPR009433', NULL, 'Filovirus membrane-associated VP24', 'Filo_VP24', 4, NULL),
(8040, NULL, 'IPR015550', NULL, 'Glucagon', 'Glucagon', 4, NULL),
(8041, NULL, 'IPR009428', NULL, 'Beta-catenin-interacting ICAT domain', 'ICAT_dom', 3, NULL),
(8042, NULL, 'IPR009923', NULL, 'Dodecin', 'Dodecin', 4, NULL),
(8043, NULL, 'IPR013792', NULL, 'RNA 3''-terminal phosphate cyclase/enolpyruvate transferase, alpha/beta', 'RNA3''P_cycl/enolpyr_Trfase_a/b', 5, NULL),
(8044, NULL, 'IPR010603', NULL, 'Zinc finger, ClpX C4-type', 'Znf_CppX_C4', 3, NULL),
(8045, NULL, 'IPR010610', NULL, 'Domain of unknown function DUF1205', 'DUF1205', 3, NULL),
(8046, NULL, 'IPR011529', NULL, 'Glutamate 5-kinase', 'Glu_5kinase', 4, NULL),
(8047, NULL, 'IPR015534', NULL, 'Galectin-3', 'Galectin_3', 4, NULL),
(8048, NULL, 'IPR013848', NULL, 'Methylthiotransferase, N-terminal', 'Methylthiotransferase_N', 3, NULL),
(8049, NULL, 'IPR009415', NULL, 'Omega-atracotoxin', 'Omega-atracotox', 4, NULL),
(8050, NULL, 'IPR009949', NULL, 'Sapovirus VP3', 'Sapovirus_VP3', 4, NULL),
(8051, NULL, 'IPR009950', NULL, 'Protein of unknown function DUF1480', 'DUF1480', 4, NULL),
(8052, NULL, 'IPR015555', NULL, 'Antithrombin-III', 'AT-III', 4, NULL),
(8053, NULL, 'IPR015946', NULL, 'K homology domain-like, alpha/beta', 'KH_dom-like_a/b', 5, NULL),
(8054, NULL, 'IPR009402', NULL, 'Orthopoxvirus A47', 'Orthopox_A47', 4, NULL),
(8055, NULL, 'IPR013954', NULL, 'Polynucleotide kinase 3 phosphatase', 'PNK3P', 4, NULL),
(8056, NULL, 'IPR015500', NULL, 'Peptidase S8, subtilisin-related', 'Peptidase_S8_subtilisin-rel', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8057, NULL, 'IPR014600', NULL, 'Uncharacterised conserved protein UCP035905, membrane protein', 'UCP035905_mem', 4, NULL),
(8058, NULL, 'IPR009953', NULL, 'Dinitrogenase reductase ADP-ribosyltransferase', 'DRA_trans', 4, NULL),
(8059, NULL, 'IPR010565', NULL, 'Muskelin, N-terminal', 'Muskelin_N', 3, NULL),
(8060, NULL, 'IPR034062', NULL, 'Tumor necrosis factor receptor 26, N-terminal', 'TNFRSF26_N', 3, NULL),
(8061, NULL, 'IPR009987', NULL, 'PilM, inner membrane', 'IM_PilM', 4, NULL),
(8062, NULL, 'IPR014577', NULL, 'Uncharacterised conserved protein UCP033093, metallophosphoesterase-type', 'UCP033093_metalloPase', 4, NULL),
(8063, NULL, 'IPR015955', NULL, 'Lactate dehydrogenase/glycoside hydrolase, family 4, C-terminal', 'Lactate_DH/Glyco_Ohase_4_C', 5, NULL),
(8064, NULL, 'IPR010560', NULL, 'Neogenin, C-terminal', 'Neogenin_C', 3, NULL),
(8065, NULL, 'IPR009967', NULL, 'Flagellum biosynthesis repressor FlbT', 'Flagellum_FlbT', 4, NULL),
(8066, NULL, 'IPR015939', NULL, 'Fumarate reductase/succinate dehydrogenase flavoprotein-like, C-terminal', 'Fum_Rdtase/Succ_DH_flav-like_C', 3, NULL),
(8067, NULL, 'IPR015507', NULL, 'Ribosomal RNA large subunit methyltransferase E', 'rRNA-MeTfrase_E', 4, NULL),
(8068, NULL, 'IPR015513', NULL, 'Semaphorin 3E', 'Semaphorin_3E', 4, NULL),
(8069, NULL, 'IPR014756', NULL, 'Immunoglobulin E-set', 'Ig_E-set', 5, NULL),
(8070, NULL, 'IPR014573', NULL, 'Uncharacterised conserved protein UCP032806', 'UCP032806', 4, NULL),
(8071, NULL, 'IPR010618', NULL, 'Resuscitation-promoting factor, core lysozyme-like domain', 'RPF', 3, NULL),
(8072, NULL, 'IPR023620', NULL, 'Small protein B', 'SmpB', 5, NULL),
(8073, NULL, 'IPR014592', NULL, 'Predicted P-loop ATP-binding protein, VCA0200', 'P-loop_UCP034888', 4, NULL),
(8074, NULL, 'IPR023922', NULL, 'Sulphate-starvation-induced SfnB', 'S04_starv_induced_SfnB', 4, NULL),
(8075, NULL, 'IPR011612', NULL, 'Urease alpha-subunit, N-terminal domain', 'Urease_alpha_N_dom', 3, NULL),
(8076, NULL, 'IPR010613', NULL, 'Pescadillo', 'PES', 4, NULL),
(8077, NULL, 'IPR009401', NULL, 'Mediator complex subunit Med13, C-terminal', 'Med13_C', 3, NULL),
(8078, NULL, 'IPR016020', NULL, 'Translation initiation factor 3, subunit 12, N-terminal, eukaryotic', 'Transl_init_fac_sub12_N_euk', 5, NULL),
(8079, NULL, 'IPR010559', NULL, 'Signal transduction histidine kinase, internal region', 'Sig_transdc_His_kin_internal', 3, NULL),
(8080, NULL, 'IPR015933', NULL, 'Aconitase B, HEAT-like domain', 'Aconitase_B_HEAT-like_dom', 3, NULL),
(8081, NULL, 'IPR013049', NULL, 'Spo11/DNA topoisomerase VI, subunit A, N-terminal', 'Spo11/TopoVI_A_N', 3, NULL),
(8082, NULL, 'IPR013972', NULL, 'YcbB domain', 'YcbB', 3, NULL),
(8083, NULL, 'IPR015948', NULL, 'Bacteriophage PRD1, P2, C-terminal', 'Phage_PRD1_P2_C', 5, NULL),
(8084, NULL, 'IPR009961', NULL, 'Protein of unknown function DUF1487', 'DUF1487', 4, NULL),
(8085, NULL, 'IPR034841', NULL, 'DPE2, CBM20 domain 2', 'CBM20_DPE2_2', 3, NULL),
(8086, NULL, 'IPR012941', NULL, 'Phenol hydroxylase, C-terminal dimerisation domain', 'Phe_hydrox_C_dim_dom', 3, NULL),
(8087, NULL, 'IPR023911', NULL, 'Uncharacterised protein family, AIR synthase-related', 'UPF_AIR_synthase-rel', 4, NULL),
(8088, NULL, 'IPR014602', NULL, 'Uncharacterised conserved protein UCP036226', 'UCP036226', 4, NULL),
(8089, NULL, 'IPR034717', NULL, 'Ribonucleotide reductase large subunit, Alphaherpesviruses', 'HSV_RIR1', 4, NULL),
(8090, NULL, 'IPR009394', NULL, 'DNA repair protein MmcB-like', 'MmcB-like', 4, NULL),
(8091, NULL, 'IPR009426', NULL, 'Barley yellow dwarf virus (BYDV), Gp6', 'BYDV_Gp6', 4, NULL),
(8092, NULL, 'IPR009447', NULL, 'Phosphatidylinositol anchor biosynthesis protein PIGW/GWT1', 'PIGW/GWT1', 4, NULL),
(8093, NULL, 'IPR009386', NULL, 'Protein of unknown function DUF1043', 'DUF1043', 4, NULL),
(8094, NULL, 'IPR012919', NULL, 'SUN domain', 'SUN_dom', 3, NULL),
(8095, NULL, 'IPR009435', NULL, 'Acid shock', 'Asr', 7, NULL),
(8096, NULL, 'IPR014593', NULL, 'Uncharacterised conserved protein UCP034961, SH3-2', 'UCP034961_SH3_2', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8097, NULL, 'IPR009928', NULL, 'Primosomal DnaI, N-terminal', 'DnaI_N', 3, NULL),
(8098, NULL, 'IPR034744', NULL, 'RH2 domain', 'RH2', 3, NULL),
(8099, NULL, 'IPR014564', NULL, 'Uncharacterised conserved protein UCP031503, transmembrane', 'UCP031503_TM', 4, NULL),
(8100, NULL, 'IPR015815', NULL, '3-hydroxyisobutyrate dehydrogenase-related', 'HIBADH-related', 4, NULL),
(8101, NULL, 'IPR012922', NULL, 'ORF D-335-like', 'ORF_D-335', 3, NULL),
(8102, NULL, 'IPR010980', NULL, 'Cytochrome c/b562', 'Cyt_c/b562', 5, NULL),
(8103, NULL, 'IPR009430', NULL, 'Gas vesicle protein GvpL/GvpF', 'Gas-vesicle_GvpL/GvpF', 4, NULL),
(8104, NULL, 'IPR012926', NULL, 'Ion channel TACAN/TMEM120B', 'TACAN/TMEM120B', 4, NULL),
(8105, NULL, 'IPR009437', NULL, 'Lamprin', 'Lamprin', 4, NULL),
(8106, NULL, 'IPR013949', NULL, 'U3 small nucleolar RNA-associated protein 6', 'Utp6', 4, NULL),
(8107, NULL, 'IPR013141', NULL, 'Conotoxin-I, conserved site', 'Conotoxin-I_CS', 2, NULL),
(8108, NULL, 'IPR014001', NULL, 'Helicase superfamily 1/2, ATP-binding domain', 'Helicase_ATP-bd', 3, NULL),
(8109, NULL, 'IPR009927', NULL, 'Protein of unknown function DUF1464', 'DUF1464', 4, NULL),
(8110, NULL, 'IPR009933', NULL, 'T-DNA border endonuclease VirD1', 'VirD1', 4, NULL),
(8111, NULL, 'IPR009922', NULL, 'Protein of unknown function DUF1457', 'DUF1457', 4, NULL),
(8112, NULL, 'IPR015927', NULL, 'Peptidase S24/S26A/S26B/S26C', 'Peptidase_S24_S26A/B/C', 3, NULL),
(8113, NULL, 'IPR009930', NULL, 'Structural protein Vp10, Seadornavirus', 'Seadorna_Vp10', 4, NULL),
(8114, NULL, 'IPR012931', NULL, 'TraG, N-terminal, Proteobacteria', 'TraG_N_Proteobacteria', 3, NULL),
(8115, NULL, 'IPR011411', NULL, 'NTP Pyrophosphohydrolase MazG-related', 'MazG-related', 4, NULL),
(8116, NULL, 'IPR034746', NULL, 'POTRA domain', 'POTRA', 3, NULL),
(8117, NULL, 'IPR011714', NULL, 'Seven residue repeat', 'Seve_residue_repeat', 7, NULL),
(8118, NULL, 'IPR012932', NULL, 'Vitamin K epoxide reductase', 'VKOR', 3, NULL),
(8119, NULL, 'IPR023224', NULL, 'Salmonella invasion protein A, C-terminal actin-binding domain superfamily', 'SipA_actin-bd_C_sf', 5, NULL),
(8120, NULL, 'IPR009942', NULL, 'Protein of unknown function DUF1474', 'DUF1474', 4, NULL),
(8121, NULL, 'IPR023914', NULL, 'Pyrrolysine biosynthesis protein PylD', 'Pyrrolys_PylD', 4, NULL),
(8122, NULL, 'IPR011414', NULL, 'Uncharacterised conserved protein UCP036541', 'UCP036541_AIR', 4, NULL),
(8123, NULL, 'IPR014444', NULL, 'Uncharacterised conserved protein UCP006593', 'UCP006593', 4, NULL),
(8124, NULL, 'IPR014567', NULL, 'Uncharacterised conserved protein UCP031900', 'UCP031900', 4, NULL),
(8125, NULL, 'IPR015949', NULL, 'Bacteriophage PRD1, P2, N-terminal', 'Phage_PRD1_P2_N', 5, NULL),
(8126, NULL, 'IPR010583', NULL, 'MltA-interacting MipA', 'MipA', 4, NULL),
(8127, NULL, 'IPR009971', NULL, 'Protein of unknown function DUF1496', 'DUF1496', 4, NULL),
(8128, NULL, 'IPR015553', NULL, 'Plasma protease C1 inhibitor', 'C1-inh', 4, NULL),
(8129, NULL, 'IPR009405', NULL, 'Vibrio cholerae toxin co-regulated pilus biosynthesis F', 'TcpF', 4, NULL),
(8130, NULL, 'IPR014582', NULL, 'Uncharacterised conserved protein UCP033535, periplasmic lipoprotein', 'UCP033535_lipo', 4, NULL),
(8131, NULL, 'IPR009932', NULL, 'RCS1', 'RCS1', 4, NULL),
(8132, NULL, 'IPR011607', NULL, 'Methylglyoxal synthase-like domain', 'MGS-like_dom', 3, NULL),
(8133, NULL, 'IPR009417', NULL, 'Rice tungro bacilliform virus P12', 'RTBV_P12', 4, NULL),
(8134, NULL, 'IPR009946', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), Orf19', 'AcMNPV_Orf19', 4, NULL),
(8135, NULL, 'IPR009968', NULL, 'Protein of unknown function DUF1494', 'DUF1494', 4, NULL),
(8136, NULL, 'IPR015926', NULL, 'Cytolysin/lectin', 'Cytolysin/lectin', 5, NULL),
(8137, NULL, 'IPR010558', NULL, 'Caenorhabditis elegans ly-6-related', 'Ly-6-related', 4, NULL),
(8138, NULL, 'IPR034708', NULL, 'Envelope glycoprotein L', 'HSV_GL_alphagamma', 4, NULL),
(8139, NULL, 'IPR024700', NULL, 'Uncharacterised conserved protein, UCP020217', 'UCP020217', 4, NULL),
(8140, NULL, 'IPR009963', NULL, 'Protein of unknown function DUF1490', 'DUF1490', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8141, NULL, 'IPR010582', NULL, 'Catalase immune-responsive domain', 'Catalase_immune_responsive', 3, NULL),
(8142, NULL, 'IPR009969', NULL, 'Pneumovirus M2-2', 'Pneumo_M2-2', 4, NULL),
(8143, NULL, 'IPR014576', NULL, 'Predicted phosphoesterase, YhaO type', 'Pesterase_YhaO', 4, NULL),
(8144, NULL, 'IPR010581', NULL, 'Protein of unknown function DUF1152', 'DUF1152', 4, NULL),
(8145, NULL, 'IPR012924', NULL, 'TfuA-like, core', 'TfuA_core', 3, NULL),
(8146, NULL, 'IPR011711', NULL, 'GntR, C-terminal', 'GntR_C', 3, NULL),
(8147, NULL, 'IPR009983', NULL, 'Uncharacterised protein family UPF0358', 'UPF0358', 4, NULL),
(8148, NULL, 'IPR015957', NULL, 'Cytolethal distending toxin A', 'CDtoxinA', 4, NULL),
(8149, NULL, 'IPR010587', NULL, 'Melanoplus sanguinipes entomopoxvirus (MsEPV), Orf214', 'MsEPV_Orf214', 4, NULL),
(8150, NULL, 'IPR010599', NULL, 'Connector enhancer of kinase suppressor of ras 2/3 domain', 'CNK2/3_dom', 3, NULL),
(8151, NULL, 'IPR013964', NULL, 'DASH complex subunit Ask1', 'DASH_Ask1', 4, NULL),
(8152, NULL, 'IPR009380', NULL, 'Protein of unknown function DUF1036', 'DUF1036', 4, NULL),
(8153, NULL, 'IPR011566', NULL, 'Ubiquinone biosynthesis protein Coq7', 'Ubq_synth_Coq7', 4, NULL),
(8154, NULL, 'IPR009926', NULL, 'Type III secretion system flagellar brake protein YcgR, PilZN domain', 'T3SS_YcgR_PilZN', 3, NULL),
(8155, NULL, 'IPR014580', NULL, 'Uncharacterised conserved protein UCP033199', 'UCP033199', 4, NULL),
(8156, NULL, 'IPR015565', NULL, 'Sodium/potassium-transporting ATPase subunit beta, chordates', 'Na/K_ATPase_sub_beta_chordates', 4, NULL),
(8157, NULL, 'IPR015505', NULL, 'Coronin', 'Coronin', 4, NULL),
(8158, NULL, 'IPR015556', NULL, 'Plasminogen activator inhibitor-2', 'PAI-2', 4, NULL),
(8159, NULL, 'IPR010989', NULL, 'SNARE', 'SNARE', 5, NULL),
(8160, NULL, 'IPR009400', NULL, 'TFIIH subunit TTDA/Tfb5', 'TFIIH_TTDA/Tfb5', 4, NULL),
(8161, NULL, 'IPR010597', NULL, 'Centrosomal protein 57kDa', 'Centrosomal_protein_57kDa', 4, NULL),
(8162, NULL, 'IPR014587', NULL, 'Uncharacterised conserved protein UCP034077', 'UCP034077', 4, NULL),
(8163, NULL, 'IPR035100', NULL, 'Transcription elongation factor, IIS-type', 'TF_IIS-typ', 4, NULL),
(8164, NULL, 'IPR010563', NULL, 'Pilus assembly TraK', 'Pilus_assembly_TraK', 4, NULL),
(8165, NULL, 'IPR009981', NULL, 'Protein of unknown function DUF1505', 'DUF1505', 4, NULL),
(8166, NULL, 'IPR009423', NULL, 'NADH dehydrogenase [ubiquinone] 1 subunit C2, NDUC2', 'NDUC2', 4, NULL),
(8167, NULL, 'IPR009418', NULL, 'Protein of unknown function DUF1067', 'DUF1067', 4, NULL),
(8168, NULL, 'IPR024130', NULL, 'DAP1/DAPL1', 'DAP1/DAPL1', 4, NULL),
(8169, NULL, 'IPR010306', NULL, 'Alpha-D-ribose 1-methylphosphonate 5-phosphate C-P-lyase', 'PhnJ', 4, NULL),
(8170, NULL, 'IPR015525', NULL, 'Breast cancer type 2 susceptibility protein', 'BRCA2', 4, NULL),
(8171, NULL, 'IPR009962', NULL, 'Protein of unknown function DUF1488', 'DUF1488', 4, NULL),
(8172, NULL, 'IPR012930', NULL, 'TraC-like', 'TraC', 4, NULL),
(8173, NULL, 'IPR010596', NULL, 'Methuselah, N-terminal domain', 'Methuselah_N_dom', 3, NULL),
(8174, NULL, 'IPR010619', NULL, 'Putative threonine/serine exporter', 'ThrE', 3, NULL),
(8175, NULL, 'IPR033150', NULL, 'Signal peptide peptidase-like 2C', 'SPPL2C', 4, NULL),
(8176, NULL, 'IPR009424', NULL, 'Arabinogalactan protein 16/20/22/41', 'AGP16/20/22/41', 4, NULL),
(8177, NULL, 'IPR013978', NULL, 'MEKHLA', 'MEKHLA', 3, NULL),
(8178, NULL, 'IPR009446', NULL, 'Mitochondrial genome maintenance protein Mgm101', 'Mgm101', 4, NULL),
(8179, NULL, 'IPR011024', NULL, 'Gamma-crystallin-like', 'G_crystallin-like', 5, NULL),
(8180, NULL, 'IPR023859', NULL, 'DNA-binding protein, curved-DNA', 'DNA-bd_curved-DNA', 4, NULL),
(8181, NULL, 'IPR009388', NULL, 'Photosystem II PsbY', 'PSII_PsbY', 4, NULL),
(8182, NULL, 'IPR011415', NULL, 'Predicted bifunctional spore maturation protein, fused SpmA/SpmB', 'SpmA_SpmB', 4, NULL),
(8183, NULL, 'IPR012925', NULL, 'TipAS antibiotic-recognition domain', 'TipAS_dom', 3, NULL),
(8184, NULL, 'IPR010594', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), Ac75', 'AcMNPV_Ac75', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8185, NULL, 'IPR011706', NULL, 'Multicopper oxidase, C-terminal', 'Cu-oxidase_C', 3, NULL),
(8186, NULL, 'IPR013274', NULL, 'Peptidase M12B, ADAM-TS1', 'Pept_M12B_ADAM-TS1', 4, NULL),
(8187, NULL, 'IPR009409', NULL, 'Protein of unknown function DUF1059', 'DUF1059', 4, NULL),
(8188, NULL, 'IPR034741', NULL, 'Terpene cyclase-like 1, C-terminal domain', 'Terpene_cyclase-like_1_C', 3, NULL),
(8189, NULL, 'IPR009420', NULL, 'Flagellar protein FlhE', 'FlhE', 4, NULL),
(8190, NULL, 'IPR012944', NULL, 'RagB/SusD domain', 'SusD_RagB_dom', 3, NULL),
(8191, NULL, 'IPR010305', NULL, 'Protein of unknown function DUF903', 'DUF903', 4, NULL),
(8192, NULL, 'IPR015813', NULL, 'Pyruvate/Phosphoenolpyruvate kinase-like domain superfamily', 'Pyrv/PenolPyrv_Kinase-like_dom', 5, NULL),
(8193, NULL, 'IPR009440', NULL, 'Plasmid segregation protein ParM/StbA', 'Plasmid_segregation_ParM/StbA', 3, NULL),
(8194, NULL, 'IPR011548', NULL, '3-hydroxyisobutyrate dehydrogenase', 'HIBADH', 4, NULL),
(8195, NULL, 'IPR010982', NULL, 'Lambda repressor-like, DNA-binding domain superfamily', 'Lambda_DNA-bd_dom_sf', 5, NULL),
(8196, NULL, 'IPR015523', NULL, 'Vasoactive intestinal peptide', 'VIP', 4, NULL),
(8197, NULL, 'IPR010981', NULL, 'SinR repressor/SinI anti-repressor, dimerisation domain', 'SinR/SinI_dimer_dom', 3, NULL),
(8198, NULL, 'IPR010609', NULL, 'Gp5, C-terminal', 'Gp5_C', 7, NULL),
(8199, NULL, 'IPR010307', NULL, 'Laminin domain II', 'Laminin_dom_II', 3, NULL),
(8200, NULL, 'IPR009980', NULL, 'Human herpesvirus U26', 'Herpes_U26', 4, NULL),
(8201, NULL, 'IPR010568', NULL, 'Chlorovirus glycoprotein repeat', 'Chlorovirusi_glycop_rpt', 7, NULL),
(8202, NULL, 'IPR023891', NULL, 'Pyrrolysine biosynthesis protein PylB', 'Pyrrolys_PylB', 4, NULL),
(8203, NULL, 'IPR014569', NULL, 'Ubiquinol-cytochrome c chaperone, CBP3-related', 'Ubq_cyt-c_CBP3-rel', 4, NULL),
(8204, NULL, 'IPR009985', NULL, 'Crinivirus P26', 'Crinivirus_P26', 4, NULL),
(8205, NULL, 'IPR011708', NULL, 'Bacterial DNA polymerase III, alpha subunit, NTPase domain', 'DNA_pol3_alpha_NTPase_dom', 3, NULL),
(8206, NULL, 'IPR010620', NULL, 'Beta-propeller repeat', 'SBBP_repeat', 7, NULL),
(8207, NULL, 'IPR011713', NULL, 'Leucine-rich repeat 3', 'Leu-rich_rpt_3', 7, NULL),
(8208, NULL, 'IPR013967', NULL, 'Rad54, N-terminal', 'Rad54_N', 3, NULL),
(8209, NULL, 'IPR009397', NULL, 'Vesiculovirus matrix', 'Vesiculo_matrix', 4, NULL),
(8210, NULL, 'IPR013092', NULL, 'Connexin, N-terminal', 'Connexin_N', 3, NULL),
(8211, NULL, 'IPR013963', NULL, 'DASH complex subunit Dad2', 'DASH_Dad2', 4, NULL),
(8212, NULL, 'IPR012927', NULL, 'ShET2 enterotoxin, N-terminal', 'Toxin_15_N', 3, NULL),
(8213, NULL, 'IPR023865', NULL, 'Aliphatic acid kinase, short-chain, conserved site', 'Aliphatic_acid_kinase_CS', 2, NULL),
(8214, NULL, 'IPR015520', NULL, 'Imaginal disc growth factor', 'IDGF', 4, NULL),
(8215, NULL, 'IPR013821', NULL, 'Potassium channel, voltage dependent, KCNQ, C-terminal', 'K_chnl_volt-dep_KCNQ_C', 3, NULL),
(8216, NULL, 'IPR010615', NULL, 'Herpesvirus UL97', 'Herpes_UL97', 3, NULL),
(8217, NULL, 'IPR012934', NULL, 'Zinc finger, AD-type', 'Znf_AD', 3, NULL),
(8218, NULL, 'IPR015814', NULL, 'Phosphogluconate dehydrogenase, NAD-binding, putative, C-terminal', 'Pgluconate_DH_NAD-bd_C', 3, NULL),
(8219, NULL, 'IPR010614', NULL, 'DEAD2', 'DEAD_2', 3, NULL),
(8220, NULL, 'IPR009966', NULL, 'Prosystemin/Systemin', 'Prosystemin/Systemin', 4, NULL),
(8221, NULL, 'IPR010611', NULL, '3D domain', '3D_dom', 3, NULL),
(8222, NULL, 'IPR013806', NULL, 'Kringle-like fold', 'Kringle-like', 5, NULL),
(8223, NULL, 'IPR013948', NULL, 'DNA replication regulator Sld3, C-terminal', 'DNA_replication_reg_Sld3_C', 3, NULL),
(8224, NULL, 'IPR010607', NULL, 'Protein of unknown function DUF1194', 'DUF1194', 4, NULL),
(8225, NULL, 'IPR009425', NULL, 'Single-strand annealing protein SAK3', 'SSAP_Sak3', 4, NULL),
(8226, NULL, 'IPR013973', NULL, 'PglZ domain', 'PglZ_dom', 3, NULL),
(8227, NULL, 'IPR015914', NULL, 'Purple acid phosphatase, N-terminal', 'Purple_acid_Pase_N', 3, NULL),
(8228, NULL, 'IPR013853', NULL, 'Galactitol permease IIC component', 'GatC', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8229, NULL, 'IPR015533', NULL, 'Galectin-4/6', 'Galectin4/6', 4, NULL),
(8230, NULL, 'IPR013968', NULL, 'Polyketide synthase, ketoreductase domain', 'PKS_KR', 3, NULL),
(8231, NULL, 'IPR015506', NULL, 'Dishevelled-related protein', 'Dsh/Dvl-rel', 4, NULL),
(8232, NULL, 'IPR023898', NULL, 'YydF/SAG 2028', 'YydF/SAG_2028', 4, NULL),
(8233, NULL, 'IPR009976', NULL, 'Exocyst complex component Sec10-like', 'Sec10-like', 4, NULL),
(8234, NULL, 'IPR010562', NULL, 'Haemolymph juvenile hormone binding', 'Haemolymph_juvenile_hormone-bd', 4, NULL),
(8235, NULL, 'IPR010564', NULL, 'Protein of unknown function DUF1137', 'DUF1137', 4, NULL),
(8236, NULL, 'IPR010985', NULL, 'Ribbon-helix-helix', 'Ribbon_hlx_hlx', 5, NULL),
(8237, NULL, 'IPR015952', NULL, 'Methane monooxygenase, gamma chain, domain 1', 'Me_mOase_g_dom1', 5, NULL),
(8238, NULL, 'IPR013950', NULL, 'Kinetochore Mis14/Nsl1', 'Mis14/Nsl1', 4, NULL),
(8239, NULL, 'IPR014608', NULL, 'ATP-citrate synthase', 'ATP-citrate_synthase', 4, NULL),
(8240, NULL, 'IPR010566', NULL, 'Haemolysin-type calcium binding-related', 'Haemolys_ca-bd', 3, NULL),
(8241, NULL, 'IPR011265', NULL, 'GABA permease', 'GABA_permease', 4, NULL),
(8242, NULL, 'IPR013791', NULL, 'RNA 3''-terminal phosphate cyclase, insert domain', 'RNA3''-term_phos_cycl_insert', 3, NULL),
(8243, NULL, 'IPR009956', NULL, 'Post-segregation antitoxin CcdA', 'Post-segregation_anti-tox_CcdA', 4, NULL),
(8244, NULL, 'IPR017899', NULL, 'Vacuolar protein sorting-associated, VPS28, C-terminal', 'VPS28_C', 3, NULL),
(8245, NULL, 'IPR013962', NULL, 'DASH complex subunit Dam1', 'DASH_Dam1', 4, NULL),
(8246, NULL, 'IPR024135', NULL, 'Ragulator complex protein LAMTOR5', 'LAMTOR5', 4, NULL),
(8247, NULL, 'IPR014571', NULL, 'Uncharacterised conserved protein UCP032620', 'UCP032620', 4, NULL),
(8248, NULL, 'IPR014605', NULL, 'Signal transduction response regulator PhyR-like, alphaproteobacteria', 'Sig_resp-reg_PhyR', 4, NULL),
(8249, NULL, 'IPR014746', NULL, 'Glutamine synthetase/guanido kinase, catalytic domain', 'Gln_synth/guanido_kin_cat_dom', 5, NULL),
(8250, NULL, 'IPR014581', NULL, 'Uncharacterised conserved protein UCP033303', 'UCP033303', 4, NULL),
(8251, NULL, 'IPR014565', NULL, 'Exopolysaccharide biosynthesis, EpsL, firmicutes', 'EpsL_firmicutes', 4, NULL),
(8252, NULL, 'IPR009931', NULL, 'Curtovirus V2', 'Curto_V2', 4, NULL),
(8253, NULL, 'IPR011705', NULL, 'BTB/Kelch-associated', 'BACK', 3, NULL),
(8254, NULL, 'IPR014603', NULL, 'Formate dehydrogenase iron-sulphur subunit', 'Formate_DH_Fe-S_su', 4, NULL),
(8255, NULL, 'IPR009975', NULL, 'Mycoplasma P30', 'P30', 4, NULL),
(8256, NULL, 'IPR009964', NULL, 'Protein of unknown function DUF1491', 'DUF1491', 4, NULL),
(8257, NULL, 'IPR011759', NULL, 'Cytochrome C oxidase subunit II, transmembrane domain', 'Cyt_c_oxidase_su2_TM_dom', 3, NULL),
(8258, NULL, 'IPR010617', NULL, 'Endosomal/lysomomal potassium channel TMEM175', 'TMEM175', 4, NULL),
(8259, NULL, 'IPR013046', NULL, 'Phage baseplate assembly protein V/Gp45', 'GpV/Gp45', 4, NULL),
(8260, NULL, 'IPR013976', NULL, 'Metal-dependent hydrolase HDOD', 'HDOD', 3, NULL),
(8261, NULL, 'IPR010573', NULL, 'Major facilitator transporter Str1/Tri12-like', 'MFS_Str1/Tri12-like', 4, NULL),
(8262, NULL, 'IPR015920', NULL, 'Cellobiose dehydrogenase, cytochrome domain', 'Cellobiose_DH_cyt', 3, NULL),
(8263, NULL, 'IPR014578', NULL, 'Predicted phosphoesterase, CT488 type', 'Pesterase_CT488', 4, NULL),
(8264, NULL, 'IPR009960', NULL, 'Fungal fruit body lectin', 'Fruit_body_lectin_fun', 4, NULL),
(8265, NULL, 'IPR013944', NULL, 'Oxidoreductase putative, C-terminal', 'OxRdtase_put_C', 3, NULL),
(8266, NULL, 'IPR009941', NULL, 'Protein of unknown function DUF1473', 'DUF1473', 4, NULL),
(8267, NULL, 'IPR013970', NULL, 'Replication factor A protein 3', 'Rfa2', 4, NULL),
(8268, NULL, 'IPR009395', NULL, 'Biogenesis of lysosome-related organelles complex 1 subunit 1', 'BLOC1S1', 4, NULL),
(8269, NULL, 'IPR035098', NULL, 'YNR034W-A-like', 'YNR034W-A-like', 5, NULL),
(8270, NULL, 'IPR013947', NULL, 'Mediator complex, subunit Med14', 'Mediator_Med14', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8271, NULL, 'IPR010569', NULL, 'Myotubularin-like phosphatase domain', 'Myotubularin-like_Pase_dom', 3, NULL),
(8272, NULL, 'IPR013943', NULL, 'Mitochondrial protein Pet127', 'Pet127', 4, NULL),
(8273, NULL, 'IPR009389', NULL, 'Protein of unknown function DUF1045', 'DUF1045', 4, NULL),
(8274, NULL, 'IPR010600', NULL, 'Inter-alpha-trypsin inhibitor heavy chain, C-terminal', 'ITI_HC_C', 3, NULL),
(8275, NULL, 'IPR010595', NULL, 'Protein of unknown function DUF1161', 'DUF1161', 4, NULL),
(8276, NULL, 'IPR011703', NULL, 'ATPase, AAA-3', 'ATPase_AAA-3', 3, NULL),
(8277, NULL, 'IPR012920', NULL, 'Ribosomal RNA methyltransferase, Spb1, C-terminal', 'rRNA_MeTfrase_Spb1_C', 3, NULL),
(8278, NULL, 'IPR009972', NULL, 'Protein of unknown function DUF1497', 'DUF1497', 4, NULL),
(8279, NULL, 'IPR013965', NULL, 'DASH complex subunit Dad3', 'DASH_Dad3', 4, NULL),
(8280, NULL, 'IPR009444', NULL, 'Conjugal transfer, TraD, alpha-type', 'Conjugal_tfr_TraD_a-type', 4, NULL),
(8281, NULL, 'IPR033148', NULL, 'ASPG1', 'ASPG1', 4, NULL),
(8282, NULL, 'IPR010572', NULL, 'Prophage tail endopeptidase', 'Prophage_Tail', 3, NULL),
(8283, NULL, 'IPR010578', NULL, 'Single-minded, C-terminal', 'SIM_C', 3, NULL),
(8284, NULL, 'IPR009979', NULL, 'Bovine Lentivirus VIF', 'Lenti_VIF_2', 4, NULL),
(8285, NULL, 'IPR012942', NULL, 'SRR1-like domain', 'SRR1-like', 3, NULL),
(8286, NULL, 'IPR015558', NULL, 'Transcription Factor c-Jun/v-Jun', 'C_Jun/v-Jun', 4, NULL),
(8287, NULL, 'IPR015956', NULL, 'Penicillin-binding protein, C-terminal domain superfamily', 'Peniciliin-bd_prot_C_sf', 5, NULL),
(8288, NULL, 'IPR013140', NULL, 'Huwentoxin, conserved site-1', 'Huwentoxin_CS1', 2, NULL),
(8289, NULL, 'IPR009406', NULL, 'Protein of unknown function DUF1056', 'DUF1056', 4, NULL),
(8290, NULL, 'IPR011557', NULL, 'DNA gyrase, subunit B', 'GyrB', 4, NULL),
(8291, NULL, 'IPR010992', NULL, 'Integration host factor (IHF)-like DNA-binding domain superfamily', 'IHF-like_DNA-bd_dom_sf', 5, NULL),
(8292, NULL, 'IPR009407', NULL, 'Viral polyprotein, parechovirus P3B', 'VPP_parechovir_P3B', 3, NULL),
(8293, NULL, 'IPR015911', NULL, 'Phosphoglycerate kinase, conserved site', 'Phosphoglycerate_kinase_CS', 2, NULL),
(8294, NULL, 'IPR014583', NULL, 'Uncharacterised protein family, Sir2-like', 'Uncharacterised_Sir2-like', 4, NULL),
(8295, NULL, 'IPR015510', NULL, 'Peptidoglycan recognition protein', 'PGRP', 4, NULL),
(8296, NULL, 'IPR009978', NULL, 'Putative Na+/H+ antiporter', 'Na_H_antiport_3', 4, NULL),
(8297, NULL, 'IPR010604', NULL, 'Plant AUGMIN subunit 7', 'Plant_AUG7', 4, NULL),
(8298, NULL, 'IPR015504', NULL, 'Caveolin-1', 'CAV-1', 4, NULL),
(8299, NULL, 'IPR015953', NULL, 'Methane monooxygenase, gamma chain, domain 2', 'Me_mOase_g_dom2', 5, NULL),
(8300, NULL, 'IPR024121', NULL, 'Interferon-induced protein with tetratricopeptide repeats 1-like', 'Interferon-induced_IFIT1-like', 4, NULL),
(8301, NULL, 'IPR015943', NULL, 'WD40/YVTN repeat-like-containing domain superfamily', 'WD40/YVTN_repeat-like_dom_sf', 5, NULL),
(8302, NULL, 'IPR012938', NULL, 'Glucose/Sorbosone dehydrogenase', 'Glc/Sorbosone_DH', 3, NULL),
(8303, NULL, 'IPR015514', NULL, 'Semaphorin 6C', 'Semaphorin_6C', 4, NULL),
(8304, NULL, 'IPR011710', NULL, 'Coatomer beta subunit, C-terminal', 'Coatomer_bsu_C', 3, NULL),
(8305, NULL, 'IPR015503', NULL, 'Cortactin', 'Cortactin', 4, NULL),
(8306, NULL, 'IPR009939', NULL, 'Fungal chitosanase', 'Chitosanase_fungal', 4, NULL),
(8307, NULL, 'IPR012946', NULL, 'X8 domain', 'X8', 3, NULL),
(8308, NULL, 'IPR009982', NULL, 'Seadornavirus VP6', 'Seadorna_VP6', 4, NULL),
(8309, NULL, 'IPR023930', NULL, 'Putative heme d1 biosynthesis protein, NirJ1', 'NirJ1', 4, NULL),
(8310, NULL, 'IPR012939', NULL, 'Glycosyl hydrolase family 92', 'Glyco_hydro_92', 3, NULL),
(8311, NULL, 'IPR013847', NULL, 'POU domain', 'POU', 3, NULL),
(8312, NULL, 'IPR012997', NULL, 'Rare lipoprotein A', 'RplA', 3, NULL),
(8313, NULL, 'IPR010561', NULL, 'Protein LIN-9/Protein ALWAYS EARLY', 'LIN-9/ALY1', 4, NULL),
(8314, NULL, 'IPR010605', NULL, 'Protein of unknown function DUF1191', 'DUF1191', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8315, NULL, 'IPR009396', NULL, 'Pigment-dispersing hormone', 'Pigment_DH', 4, NULL),
(8316, NULL, 'IPR009422', NULL, 'Gemin6', 'Gemin6', 4, NULL),
(8317, NULL, 'IPR015526', NULL, 'Frizzled/secreted frizzled-related protein', 'Frizzled/SFRP', 4, NULL),
(8318, NULL, 'IPR009443', NULL, 'Nuclear pore complex interacting protein', 'NPIP', 4, NULL),
(8319, NULL, 'IPR010574', NULL, 'L-alanine exporter AlaE', 'Ala_export_AlaE', 4, NULL),
(8320, NULL, 'IPR009952', NULL, 'Uroplakin-2', 'Uroplakin-2', 4, NULL),
(8321, NULL, 'IPR013961', NULL, 'RAI1-like', 'RAI1', 3, NULL),
(8322, NULL, 'IPR015919', NULL, 'Cadherin-like superfamily', 'Cadherin-like_sf', 5, NULL),
(8323, NULL, 'IPR014610', NULL, 'Globin, extracellular', 'Haemoglobin_extracell', 4, NULL),
(8324, NULL, 'IPR013971', NULL, 'HalX domain', 'HalX_domain', 3, NULL),
(8325, NULL, 'IPR012947', NULL, 'Threonyl/alanyl tRNA synthetase, SAD', 'tRNA_SAD', 3, NULL),
(8326, NULL, 'IPR010555', NULL, 'CSPG5, sulphate attachment domain', 'CSPG5_S_attach_dom', 3, NULL),
(8327, NULL, 'IPR014572', NULL, 'Uncharacterised conserved protein UCP032673', 'UCP032673', 4, NULL),
(8328, NULL, 'IPR011416', NULL, 'Predicted RNA-binding protein YdrC-type, Chlamydia', 'YdrC-type_chlamyd', 4, NULL),
(8329, NULL, 'IPR013975', NULL, 'Transcription regulator BetR, N-terminal', 'Tscrpt_reg_BetR_N', 3, NULL),
(8330, NULL, 'IPR015502', NULL, 'Glypican-1', 'Glypican-1', 4, NULL),
(8331, NULL, 'IPR011407', NULL, '10-formyltetrahydrofolate dehydrogenase', '10_FTHF_DH', 4, NULL),
(8332, NULL, 'IPR010591', NULL, 'ATP11', 'ATP11', 4, NULL),
(8333, NULL, 'IPR011611', NULL, 'Carbohydrate kinase PfkB', 'PfkB_dom', 3, NULL),
(8334, NULL, 'IPR010571', NULL, 'Outer membrane lipoprotein, Omp19, bacterial', 'OM_lipoprot_Omp19_bac', 4, NULL),
(8335, NULL, 'IPR014597', NULL, 'ABC transporter, periplasmic substrate-binding protein, predicted', 'ABC_tp_sb', 4, NULL),
(8336, NULL, 'IPR010601', NULL, 'Protein of unknown function DUF1182', 'DUF1182', 4, NULL),
(8337, NULL, 'IPR009439', NULL, 'Red chlorophyll catabolite reductase', 'RCC_reductase', 4, NULL),
(8338, NULL, 'IPR009414', NULL, 'Protein of unknown function DUF1064', 'DUF1064', 4, NULL),
(8339, NULL, 'IPR009959', NULL, 'Polyketide cyclase SnoaL-like', 'Cyclase_SnoaL-like', 4, NULL),
(8340, NULL, 'IPR013945', NULL, 'V-type ATPase assembly factor Pkr1', 'Pkr1', 4, NULL),
(8341, NULL, 'IPR012917', NULL, 'Protein of unknown function DUF3294', 'DUF3294', 4, NULL),
(8342, NULL, 'IPR012935', NULL, 'Zinc finger, C3HC-like', 'Znf_C3HC-like', 3, NULL),
(8343, NULL, 'IPR015958', NULL, 'Potassium transporter Trk, fungi', 'Trk_fungi', 4, NULL),
(8344, NULL, 'IPR010550', NULL, 'Deoxycytidine triphosphate deaminase, bacterial', 'dCTP_deam_bac', 4, NULL),
(8345, NULL, 'IPR023893', NULL, 'Quinone modification maturase, putative', 'Q_mod_maturase_put', 4, NULL),
(8346, NULL, 'IPR011608', NULL, 'PRD domain', 'PRD', 3, NULL),
(8347, NULL, 'IPR010593', NULL, 'Protein of unknown function DUF1159', 'DUF1159', 4, NULL),
(8348, NULL, 'IPR009954', NULL, 'Protein of unknown function DUF1482', 'DUF1482', 4, NULL),
(8349, NULL, 'IPR012933', NULL, 'HicA mRNA interferase family', 'HicA_mRNA_interferase', 4, NULL),
(8350, NULL, 'IPR009416', NULL, 'ESAT-6-like protein, Mycobacterium', 'ESAT-6-like_Myco', 4, NULL),
(8351, NULL, 'IPR010598', NULL, 'D-glucuronyl C5-epimerase, C-terminal', 'C5-epim_C', 3, NULL),
(8352, NULL, 'IPR013801', NULL, 'STAT transcription factor, DNA-binding', 'STAT_TF_DNA-bd', 3, NULL),
(8353, NULL, 'IPR013956', NULL, 'E3 ubiquitin ligase Bre1', 'E3_ubiquit_lig_Bre1', 4, NULL),
(8354, NULL, 'IPR009391', NULL, '23S rRNA methylase leader peptide', 'ErmCL', 4, NULL),
(8355, NULL, 'IPR013150', NULL, 'Transcription factor TFIIB, cyclin-like domain', 'TFIIB_cyclin', 3, NULL),
(8356, NULL, 'IPR009434', NULL, 'Neuroendocrine secretory protein 55', 'NESP55', 4, NULL),
(8357, NULL, 'IPR010987', NULL, 'Glutathione S-transferase, C-terminal-like', 'Glutathione-S-Trfase_C-like', 3, NULL),
(8358, NULL, 'IPR010588', NULL, 'Myb-related protein P, C-terminal', 'Myb-rel_proteinP_C', 3, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8359, NULL, 'IPR015940', NULL, 'Ubiquitin-associated domain', 'UBA', 3, NULL),
(8360, NULL, 'IPR014579', NULL, 'Predicted 5''-nucleotidase, SA0022 type', '5NTD_SA0022', 4, NULL),
(8361, NULL, 'IPR015944', NULL, 'Glycine-tRNA ligase, beta subunit', 'Gly-tRNA-synth_bsu', 4, NULL),
(8362, NULL, 'IPR012923', NULL, 'Chromosome segregation in meiosis protein 3', 'Csm3', 3, NULL),
(8363, NULL, 'IPR009419', NULL, 'Viral polyprotein, parechovirus P3A', 'VPP_parechovir_P3A', 3, NULL),
(8364, NULL, 'IPR013955', NULL, 'Replication factor A, C-terminal', 'Rep_factor-A_C', 3, NULL),
(8365, NULL, 'IPR014588', NULL, 'ATPase, Atu1862 type, predicted', 'ATPase_Atu1862_pred', 4, NULL),
(8366, NULL, 'IPR033149', NULL, 'Signal peptidase peptidase-like 2B', 'SPPL2B', 4, NULL),
(8367, NULL, 'IPR014009', NULL, 'PIK-related kinase', 'PIK_FAT', 3, NULL),
(8368, NULL, 'IPR033144', NULL, 'Cathepsin D', 'Cathepsin_D', 4, NULL),
(8369, NULL, 'IPR009938', NULL, 'Nmi/IFP 35 domain, N-terminal', 'Nmi/IFP35_N', 3, NULL),
(8370, NULL, 'IPR010592', NULL, 'Extracytoplasmic thiamine-binding lipoprotein', 'CypI', 4, NULL),
(8371, NULL, 'IPR009385', NULL, 'Protein PsiB', 'Plasmid_inh_PsiB', 4, NULL),
(8372, NULL, 'IPR009977', NULL, 'Mig-14', 'Mig-14', 4, NULL),
(8373, NULL, 'IPR009438', NULL, 'Phytosulfokine', 'Phytosulfokine', 4, NULL),
(8374, NULL, 'IPR011412', NULL, 'Coronamic acid biosynthesis thioesterase CmaT', 'CmaT_thioesters', 4, NULL),
(8375, NULL, 'IPR010991', NULL, 'p53, tetramerisation domain', 'p53_tetrameristn', 3, NULL),
(8376, NULL, 'IPR015512', NULL, 'Semaphorin 4F', 'Semaphorin_4F', 4, NULL),
(8377, NULL, 'IPR009944', NULL, 'Amastin surface glycoprotein', 'Amastin', 4, NULL),
(8378, NULL, 'IPR014010', NULL, 'REJ domain', 'REJ_dom', 3, NULL),
(8379, NULL, 'IPR015932', NULL, 'Aconitase, domain 2', 'Aconitase_dom2', 5, NULL),
(8380, NULL, 'IPR014591', NULL, 'Uncharacterised conserved protein UCP034455', 'UCP034455', 4, NULL),
(8381, NULL, 'IPR015954', NULL, 'Bacteriophage RNA-type, capsid', 'Phage_RNA-type_capsid', 5, NULL),
(8382, NULL, 'IPR015910', NULL, 'Inosine/uridine-preferring nucleoside hydrolase, conserved site', 'I/U_nuclsd_hydro_CS', 2, NULL),
(8383, NULL, 'IPR012928', NULL, 'Clostridium neurotoxin, receptor binding N-terminal', 'Toxin_rcpt-bd_N', 3, NULL),
(8384, NULL, 'IPR015559', NULL, 'Tyrosinase-like', 'Tyr-like', 4, NULL),
(8385, NULL, 'IPR015908', NULL, 'Allantoicase domain', 'Allantoicase_dom', 3, NULL),
(8386, NULL, 'IPR015529', NULL, 'Interleukin-18', 'IL-18', 4, NULL),
(8387, NULL, 'IPR013953', NULL, 'FACT complex subunit Spt16 domain', 'FACT_Spt16', 3, NULL),
(8388, NULL, 'IPR015501', NULL, 'Glypican-3', 'Glypican-3', 4, NULL),
(8389, NULL, 'IPR010979', NULL, 'Ribosomal protein S13-like, H2TH', 'Ribosomal_S13-like_H2TH', 5, NULL),
(8390, NULL, 'IPR024125', NULL, 'Interferon-induced protein with tetratricopeptide repeat 5', 'Interferon_induced_IFIT5', 4, NULL),
(8391, NULL, 'IPR023940', NULL, 'Dihydrodipicolinate reductase', 'DHDPR_bac', 4, NULL),
(8392, NULL, 'IPR010585', NULL, 'DNA repair protein XRCC4', 'DNA_repair_prot_XRCC4', 4, NULL),
(8393, NULL, 'IPR010978', NULL, 'Class I and II aminoacyl-tRNA synthetase, tRNA-binding arm', 'tRNA-bd_arm', 5, NULL),
(8394, NULL, 'IPR034743', NULL, 'RH1 domain', 'RH1', 3, NULL),
(8395, NULL, 'IPR009378', NULL, 'Condensin II complex subunit H2, N-terminal', 'H2_N', 3, NULL),
(8396, NULL, 'IPR015528', NULL, 'Interleukin-12 beta', 'IL-12_beta', 4, NULL),
(8397, NULL, 'IPR009945', NULL, 'ATPase inhibitor subunit zeta', 'DUF1476', 4, NULL),
(8398, NULL, 'IPR009445', NULL, 'TMEM85/ER membrane protein complex subunit 4', 'TMEM85/Emc4', 4, NULL),
(8399, NULL, 'IPR012281', NULL, 'Phospholipid biosynthesis protein, PlsX-like', 'Phospholipid_synth_PlsX-like', 4, NULL),
(8400, NULL, 'IPR013960', NULL, 'DASH complex subunit Duo1', 'DASH_Duo1', 4, NULL),
(8401, NULL, 'IPR012929', NULL, 'Nucleoprotein TPR/MLP1', 'TPR/MLP1', 3, NULL),
(8402, NULL, 'IPR009383', NULL, 'Protein of unknown function DUF1040', 'DUF1040', 4, NULL),
(8403, NULL, 'IPR015912', NULL, 'Phosphofructokinase, conserved site', 'Phosphofructokinase_CS', 2, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8404, NULL, 'IPR013951', NULL, 'Histone deacetylation protein Rxt3', 'Rxt3', 4, NULL),
(8405, NULL, 'IPR012918', NULL, 'RTP801-like', 'RTP801-like', 4, NULL),
(8406, NULL, 'IPR014612', NULL, 'Ribonucleases P/MRP protein subunit Rpp20/Pop7', 'Pop7/Rpp20', 4, NULL),
(8407, NULL, 'IPR009957', NULL, 'Protein of unknown function DUF1484', 'DUF1484', 4, NULL),
(8408, NULL, 'IPR014607', NULL, 'Alkane 1-monooxygenase, rubredoxin-type', 'Alk_mOase_rubredoxin-type', 4, NULL),
(8409, NULL, 'IPR009936', NULL, 'Protein of unknown function DUF1468', 'DUF1468', 4, NULL),
(8410, NULL, 'IPR034711', NULL, 'DNA replication helicase, Herpesvirus', 'HSV_HELI', 4, NULL),
(8411, NULL, 'IPR009951', NULL, 'Host-nuclease inhibitor protein Gam', 'Host-nuc_inhib_Gam', 4, NULL),
(8412, NULL, 'IPR023861', NULL, 'Chloride channel, ClcA', 'Cl-channel_ClcA', 4, NULL),
(8413, NULL, 'IPR034056', NULL, 'PatG/PatA-like domain', 'Pep_S8_PatG/PatA-like', 3, NULL),
(8414, NULL, 'IPR009986', NULL, 'Sigma factor-binding transcriptional regulator Crl', 'Tscrpt_reg_Crl', 4, NULL),
(8415, NULL, 'IPR010586', NULL, 'Type 3 secretion system stator protein', 'T3SS_stator_protein', 4, NULL),
(8416, NULL, 'IPR009973', NULL, 'Seadornavirus VP7', 'Seadorna_VP7', 4, NULL),
(8417, NULL, 'IPR013952', NULL, 'Protein of unknown function DUF1776, fungi', 'DUF1776_fun', 4, NULL),
(8418, NULL, 'IPR034699', NULL, 'DNA-directed DNA polymerase T7', 'DPOL_T7', 4, NULL),
(8419, NULL, 'IPR011531', NULL, 'Bicarbonate transporter, C-terminal', 'HCO3_transpt_C', 3, NULL),
(8420, NULL, 'IPR033995', NULL, 'Tumor necrosis factor receptor superfamily member 1A, N-terminal, teleost', 'TNFRSF1A_N_teleost', 3, NULL),
(8421, NULL, 'IPR024128', NULL, 'T-cell surface glycoprotein CD3 zeta subunit', 'T-cell_CD3_zeta', 4, NULL),
(8422, NULL, 'IPR013969', NULL, 'Oligosaccharide biosynthesis protein Alg14-like', 'Oligosacch_biosynth_Alg14', 4, NULL),
(8423, NULL, 'IPR011598', NULL, 'Myc-type, basic helix-loop-helix (bHLH) domain', 'bHLH_dom', 3, NULL),
(8424, NULL, 'IPR011704', NULL, 'ATPase, dynein-related, AAA domain', 'ATPase_dyneun-rel_AAA', 3, NULL),
(8425, NULL, 'IPR014575', NULL, 'Type III secretion system, secreted protein EspD', 'T3SS_EspD', 4, NULL),
(8426, NULL, 'IPR024133', NULL, 'Transmembrane protein 138', 'TM_138', 4, NULL),
(8427, NULL, 'IPR014574', NULL, 'Uncharacterised conserved protein UCP032908', 'UCP032908', 4, NULL),
(8428, NULL, 'IPR010608', NULL, 'Protein of unknown function DUF1195', 'DUF1195', 4, NULL),
(8429, NULL, 'IPR009974', NULL, 'Vaccinia virus, B6', 'Vaccinia_virus_B6', 4, NULL),
(8430, NULL, 'IPR023229', NULL, 'Type II secretion system protein GspM, periplasmic domain superfamily', 'T2SS_M_periplasmic_sf', 5, NULL),
(8431, NULL, 'IPR010551', NULL, 'Glucose-6-phosphate isomerase, prokaryote', 'G6P_isomerase_prok', 3, NULL),
(8432, NULL, 'IPR014606', NULL, 'D,D-heptose 7-phosphate kinase', 'Heptose_7-P_kinase', 4, NULL),
(8433, NULL, 'IPR024124', NULL, 'Interferon-induced protein with tetratricopeptide repeats 2', 'Interferon-induced_IFIT2', 4, NULL),
(8434, NULL, 'IPR034058', NULL, 'TagA/B/C/D, peptidase domain', 'TagA/B/C/D_pept_dom', 3, NULL),
(8435, NULL, 'IPR012936', NULL, 'Endoplasmic reticulum vesicle transporter, C-terminal', 'Erv_C', 3, NULL),
(8436, NULL, 'IPR009392', NULL, 'Drosophila ACP53EA', 'ACP53EA', 4, NULL),
(8437, NULL, 'IPR009429', NULL, 'Baculovirus LEF-11', 'Baculo_LEF-11', 4, NULL),
(8438, NULL, 'IPR009929', NULL, 'Type III secretion sytem,YscO', 'T3SS_YscO', 4, NULL),
(8439, NULL, 'IPR015557', NULL, 'Leukocyte elastase inhibitor (serpin B1)', 'Serpin_B1', 4, NULL),
(8440, NULL, 'IPR010590', NULL, 'Protein of unknown function DUF1158', 'DUF1158', 4, NULL),
(8441, NULL, 'IPR035099', NULL, 'Anthrax toxin, edema factor, C-terminal', 'Anthrax_toxin_C-terminal', 5, NULL),
(8442, NULL, 'IPR034715', NULL, 'Ribonucleotide reductase small subunit, Herpesvirus', 'HSV_RIR2', 4, NULL),
(8443, NULL, 'IPR009390', NULL, 'Macrodomain Ter protein, MatP', 'MatP', 4, NULL),
(8444, NULL, 'IPR009436', NULL, 'Type-1 angiotensin II receptor-associated protein', 'AGTRAP', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8445, NULL, 'IPR013946', NULL, 'Nuclear control of ATP synthase 2', 'NCA2', 4, NULL),
(8446, NULL, 'IPR013849', NULL, 'DNA helicase, Holliday junction RuvA type, domain I, bacterial', 'DNA_helicase_Holl-junc_RuvA_I', 3, NULL),
(8447, NULL, 'IPR023890', NULL, 'Pyrrolysine biosynthesis protein PylC', 'Pyrrolys_PylC', 4, NULL),
(8448, NULL, 'IPR017903', NULL, 'COS domain', 'COS_domain', 3, NULL),
(8449, NULL, 'IPR009421', NULL, 'Maize streak virus, 21.7kDa', 'Maize_streak_virus_21.7kDa', 4, NULL),
(8450, NULL, 'IPR013151', NULL, 'Immunoglobulin', 'Immunoglobulin', 3, NULL),
(8451, NULL, 'IPR014598', NULL, 'Uncharacterised conserved protein UCP035865', 'UCP035865', 4, NULL),
(8452, NULL, 'IPR015950', NULL, 'Chemokine-binding M3, subdomain 1, viral', 'Chemokine-bd_M3_sub1_vir', 5, NULL),
(8453, NULL, 'IPR012940', NULL, 'Nucleic acid binding NABP', 'NABP', 3, NULL),
(8454, NULL, 'IPR015524', NULL, 'Period circadian protein 3', 'Per_circ_prot_3', 4, NULL),
(8455, NULL, 'IPR012916', NULL, 'RED-like, N-terminal', 'RED_N', 3, NULL),
(8456, NULL, 'IPR023666', NULL, 'Phosphoglucosamine mutase, archaeal', 'GlmM_arc', 4, NULL),
(8457, NULL, 'IPR010606', NULL, 'Mib-herc2', 'Mib_Herc2', 3, NULL),
(8458, NULL, 'IPR017904', NULL, 'ADF/Cofilin', 'ADF/Cofilin', 4, NULL),
(8459, NULL, 'IPR034716', NULL, 'Ribonucleoside-diphosphate reductase large subunit-like protein, Betaherpesviruses', 'HSV_RIR1_betahv', 4, NULL),
(8460, NULL, 'IPR015947', NULL, 'PUA-like superfamily', 'PUA-like_sf', 5, NULL),
(8461, NULL, 'IPR010070', NULL, 'Sporulation protein YjcZ-like', 'YjcZ-like', 4, NULL),
(8462, NULL, 'IPR009410', NULL, 'Allene oxide cyclase', 'Allene_ox_cyc', 4, NULL),
(8463, NULL, 'IPR010567', NULL, 'Clostridium P47 protein', 'Clostridium_P47', 4, NULL),
(8464, NULL, 'IPR009955', NULL, 'Liver-expressed antimicrobial peptide 2', 'LEAP-2', 4, NULL),
(8465, NULL, 'IPR014590', NULL, 'Uncharacterised conserved protein MORN repeat-containing', 'UCP034300_MORN_rpt-cont', 4, NULL),
(8466, NULL, 'IPR010580', NULL, 'Stress-associated endoplasmic reticulum protein', 'ER_stress-assoc', 4, NULL),
(8467, NULL, 'IPR013818', NULL, 'Lipase', 'Lipase', 3, NULL),
(8468, NULL, 'IPR013977', NULL, 'Glycine cleavage T-protein, C-terminal barrel domain', 'GCV_T_C', 3, NULL),
(8469, NULL, 'IPR014584', NULL, 'Uncharacterised conserved protein UCP033729', 'UCP033729', 4, NULL),
(8470, NULL, 'IPR013048', NULL, 'Meiotic recombination, Spo11', 'Meiotic_Spo11', 4, NULL),
(8471, NULL, 'IPR011712', NULL, 'Signal transduction histidine kinase, subgroup 3, dimerisation and phosphoacceptor domain', 'Sig_transdc_His_kin_sub3_dim/P', 3, NULL),
(8472, NULL, 'IPR010557', NULL, 'Protein of unknown function DUF1133', 'DUF1133', 4, NULL),
(8473, NULL, 'IPR017894', NULL, 'HTH domain, IS21 transposase-type', 'HTH_IS21_transposase_type', 3, NULL),
(8474, NULL, 'IPR009924', NULL, 'Protein of unknown function DUF1459', 'DUF1459', 4, NULL),
(8475, NULL, 'IPR013957', NULL, 'U4/U6.U5 small nuclear ribonucleoprotein 27kDa protein', 'SNRNP27', 3, NULL),
(8476, NULL, 'IPR009432', NULL, 'Protein of unknown function DUF1075', 'DUF1075', 4, NULL),
(8477, NULL, 'IPR014601', NULL, 'Transcriptional regulator with MarR-type HTH domain', 'Trans_reg_MarR_HTH', 4, NULL),
(8478, NULL, 'IPR009448', NULL, 'UDP-glucose:Glycoprotein Glucosyltransferase', 'UDP-g_GGtrans', 4, NULL),
(8479, NULL, 'IPR024122', NULL, 'Interferon-induced protein with tetratricopeptide repeats 3', 'Interferon-induced_IFIT3', 4, NULL),
(8480, NULL, 'IPR009937', NULL, 'Putative Actinobacterial Holin-X, holin superfamily III', 'Phage_holin_3_6', 4, NULL),
(8481, NULL, 'IPR014570', NULL, 'Encapsidation protein CP3', 'Encapsidation_CP3', 4, NULL),
(8482, NULL, 'IPR012937', NULL, 'Terminal nucleotidyltransferase', 'TET5', 4, NULL),
(8483, NULL, 'IPR015519', NULL, 'Serine/threonine-protein kinase ATM/Tel1', 'ATM/Tel1', 4, NULL),
(8484, NULL, 'IPR009947', NULL, 'NADH dehydrogenase [ubiquinone] 1 alpha subcomplex subunit 7', 'NDUA7', 4, NULL),
(8485, NULL, 'IPR010602', NULL, 'Protein of unknown function DUF1186', 'DUF1186', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8486, NULL, 'IPR014586', NULL, 'Uncharacterised conserved protein UCP033909', 'UCP033909', 4, NULL),
(8487, NULL, 'IPR009921', NULL, 'Domain of unknown function DUF1456', 'DUF1456', 3, NULL),
(8488, NULL, 'IPR034304', NULL, 'Plasma membrane calcium-transporting ATPase 4', 'ATP2B4', 4, NULL),
(8489, NULL, 'IPR009387', NULL, 'Toxin HigB-2', 'HigB-2', 4, NULL),
(8490, NULL, 'IPR011413', NULL, 'Uncharacterised conserved protein UCP036540', 'UCP036540_AIR', 4, NULL),
(8491, NULL, 'IPR010570', NULL, 'UpxZ family', 'UpxZ_fam', 4, NULL),
(8492, NULL, 'IPR023856', NULL, 'Bacillithiol biosynthesis thiol disulphide oxidoreductase, YpdA', 'Bacillithiol_biosynth_YpdA', 4, NULL),
(8493, NULL, 'IPR009384', NULL, 'Swarming motility protein SwrD-like', 'SwrD-like', 4, NULL),
(8494, NULL, 'IPR009381', NULL, 'Trehalose catabolism protein, ThuA, prokaryote', 'Trehalose_catabolism_ThuA_prok', 4, NULL),
(8495, NULL, 'IPR013805', NULL, 'GrpE nucleotide exchange factor, coiled-coil', 'GrpE_coiled_coil', 5, NULL),
(8496, NULL, 'IPR023919', NULL, 'Nitrilase-related, sll0784', 'Nitrile-rel_sll0784', 4, NULL),
(8497, NULL, 'IPR009398', NULL, 'Adenylate cyclase, conserved domain', 'Adcy_conserved_dom', 3, NULL),
(8498, NULL, 'IPR010575', NULL, 'KorB, C-terminal', 'KorB_C', 3, NULL),
(8499, NULL, 'IPR014596', NULL, 'Uncharacterised conserved protein UCP035836', 'UCP035836', 4, NULL),
(8500, NULL, 'IPR012921', NULL, 'Spen paralogue and orthologue SPOC, C-terminal', 'SPOC_C', 3, NULL),
(8501, NULL, 'IPR023128', NULL, 'Protein N-terminal glutamine amidohydrolase, alpha beta roll', 'Prot_N_Gln_amidohydro_ab_roll', 3, NULL),
(8502, NULL, 'IPR010335', NULL, 'Mesothelin', 'Mesothelin', 4, NULL),
(8503, NULL, 'IPR008964', NULL, 'Invasin/intimin cell-adhesion fragments', 'Invasin/intimin_cell_adhesion', 5, NULL),
(8504, NULL, 'IPR015096', NULL, 'Far upstream element-binding protein, C-terminal', 'FUBP_C', 3, NULL),
(8505, NULL, 'IPR015962', NULL, 'Mu1 membrane penetration protein, domain II', 'Mu1_membr_pen_domII', 5, NULL),
(8506, NULL, 'IPR013280', NULL, 'Apoptosis regulator, Bcl-W', 'Apop_reg_BclW', 4, NULL),
(8507, NULL, 'IPR014184', NULL, 'Formaldehyde dehydrogenase, glutathione-independent', 'HCHO_DH_non_GSH', 4, NULL),
(8508, NULL, 'IPR015100', NULL, 'Anti-Sigma Factor A', 'AsiA', 4, NULL),
(8509, NULL, 'IPR010343', NULL, 'Aromatic acid exporter family member 1', 'ArAE_1', 4, NULL),
(8510, NULL, 'IPR023962', NULL, 'Probable phosphoketolase', 'Phosphoketolase', 4, NULL),
(8511, NULL, 'IPR008442', NULL, 'Propeptide, carboxypeptidase Y', 'Propeptide_carboxypepY', 3, NULL),
(8512, NULL, 'IPR008412', NULL, 'Bone sialoprotein II', 'BSP_II', 4, NULL),
(8513, NULL, 'IPR010319', NULL, 'Transglutaminase-like cysteine peptidase, predicted', 'Transglutaminase-like_Cys_pept', 4, NULL),
(8514, NULL, 'IPR008428', NULL, 'Chondroitin N-acetylgalactosaminyltransferase', 'Chond_GalNAc', 4, NULL),
(8515, NULL, 'IPR008436', NULL, 'Chlamydia 15kDa cysteine-rich outer membrane', 'CRPA', 4, NULL),
(8516, NULL, 'IPR013173', NULL, 'DNA primase DnaG, DnaB-binding domain', 'DNA_primase_DnaG_DnaB-bd_dom', 3, NULL),
(8517, NULL, 'IPR018247', NULL, 'EF-Hand 1, calcium-binding site', 'EF_Hand_1_Ca_BS', 1, NULL),
(8518, NULL, 'IPR008948', NULL, 'L-Aspartase-like', 'L-Aspartase-like', 5, NULL),
(8519, NULL, 'IPR008263', NULL, 'Glycoside hydrolase, family 16, active site', 'GH16_AS', 0, NULL),
(8520, NULL, 'IPR008306', NULL, 'Uncharacterised conserved protein UCP018008', 'UCP018008', 4, NULL),
(8521, NULL, 'IPR024063', NULL, 'Proteinase inhibitor I46, leech metallocarboxypeptidase inhibitor', 'Prot_inh_LCI', 5, NULL),
(8522, NULL, 'IPR008256', NULL, 'Peptidase S1B', 'Peptidase_S1B', 4, NULL),
(8523, NULL, 'IPR009045', NULL, 'Hedgehog signalling/DD-peptidase zinc-binding domain superfamily', 'Hedgehog_sig/DD-Pept_Zn-bd_sf', 5, NULL),
(8524, NULL, 'IPR011886', NULL, 'Ferredoxin-type protein, NapH/MauN family', 'NapH_MauN', 4, NULL),
(8525, NULL, 'IPR035117', NULL, 'Inclusion membrane protein D', 'IncD', 4, NULL),
(8526, NULL, 'IPR034765', NULL, 'Uroplakin-1a', 'Uroplakin-1a', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8527, NULL, 'IPR015084', NULL, 'Quinohemoprotein amine dehydrogenase, gamma subunit, structural domain', 'QH-AmDH_gsu_dom', 3, NULL),
(8528, NULL, 'IPR012553', NULL, 'Defensin-like peptide', 'Defensin_3', 4, NULL),
(8529, NULL, 'IPR011880', NULL, 'Phenylacetate-CoA ligase', 'PA_CoA_ligase', 4, NULL),
(8530, NULL, 'IPR008290', NULL, 'Phosphatidylinositol 3-kinase, Vps34 type', 'PI3K_Vps34', 4, NULL),
(8531, NULL, 'IPR015051', NULL, 'Protein YoaG', 'YoaG', 4, NULL),
(8532, NULL, 'IPR008438', NULL, 'Myozenin', 'MYOZ', 4, NULL),
(8533, NULL, 'IPR008921', NULL, 'DNA polymerase III, clamp loader complex, gamma/delta/delta subunit, C-terminal', 'DNA_pol3_clamp-load_cplx_C', 5, NULL),
(8534, NULL, 'IPR012541', NULL, 'DBP10, C-terminal', 'DBP10_C', 3, NULL),
(8535, NULL, 'IPR011887', NULL, 'Trimethylamine-N-oxide reductase TorA', 'TorA', 4, NULL),
(8536, NULL, 'IPR018313', NULL, 'Solute-binding protein family 3, conserved site', 'SBP_3_CS', 2, NULL),
(8537, NULL, 'IPR014638', NULL, 'Double C2 protein, alpha/beta/gamma', 'Doc2', 4, NULL),
(8538, NULL, 'IPR015083', NULL, 'Polyketide synthase, docking domain', 'Polyketide_synth_docking', 3, NULL),
(8539, NULL, 'IPR018335', NULL, 'Transcription regulator HTH, Crp-type, conserved site', 'Tscrpt_reg_HTH_Crp-type_CS', 2, NULL),
(8540, NULL, 'IPR012545', NULL, 'Protein of unknown function DUF1697', 'DUF1697', 4, NULL),
(8541, NULL, 'IPR015099', NULL, 'Exotoxin A catalytic domain', 'Exotox-A_cataly_dom', 3, NULL),
(8542, NULL, 'IPR023234', NULL, 'NarG-like domain', 'NarG-like_domain', 3, NULL),
(8543, NULL, 'IPR008303', NULL, 'Putative methanogenesis marker protein 14', 'Methan_mark_14', 4, NULL),
(8544, NULL, 'IPR018397', NULL, 'Lysosomal-associated transmembrane protein 5', 'Lysosomal-assoc_TM_prot5', 4, NULL),
(8545, NULL, 'IPR010324', NULL, 'Dam-replacing', 'DRP', 4, NULL),
(8546, NULL, 'IPR011881', NULL, '1,2-phenylacetyl-CoA epoxidase, subunit A', 'PaaA', 4, NULL),
(8547, NULL, 'IPR010349', NULL, 'L-asparaginase II', 'Asparaginase_II', 4, NULL),
(8548, NULL, 'IPR018270', NULL, 'Concentrative nucleoside transporter, metazoan/bacterial', 'C_nuclsd_transpt_met_bac', 4, NULL),
(8549, NULL, 'IPR023944', NULL, 'Anaerobic nitric oxide reductase transcription regulator', 'NorR', 4, NULL),
(8550, NULL, 'IPR011010', NULL, 'DNA breaking-rejoining enzyme, catalytic core', 'DNA_brk_join_enz', 5, NULL),
(8551, NULL, 'IPR018311', NULL, 'Autoinducer synthesis, conserved site', 'Autoind_synth_CS', 2, NULL),
(8552, NULL, 'IPR011889', NULL, 'Bacterial surface protein 26-residue repeat', 'Liste_lipo_26', 7, NULL),
(8553, NULL, 'IPR015080', NULL, 'Protein of unknown function DUF1892', 'DUF1892', 4, NULL),
(8554, NULL, 'IPR014166', NULL, 'Tol-Pal system-associated acyl-CoA thioesterase', 'Tol-Pal_acyl-CoA_thioesterase', 4, NULL),
(8555, NULL, 'IPR018238', NULL, 'Glycoside hydrolase, family 14, conserved site', 'Glyco_hydro_14_CS', 2, NULL),
(8556, NULL, 'IPR013159', NULL, 'Chromosomal replication initiator, DnaA C-terminal', 'DnaA_C', 3, NULL),
(8557, NULL, 'IPR018392', NULL, 'LysM domain', 'LysM_dom', 3, NULL),
(8558, NULL, 'IPR008417', NULL, 'B-cell receptor-associated protein 29/31', 'BAP29/BAP31', 4, NULL),
(8559, NULL, 'IPR023820', NULL, 'Radical SAM GDL-associated', 'rSAM_GDL-assoc', 4, NULL),
(8560, NULL, 'IPR014172', NULL, 'TonB-system energizer ExbB type-2', 'TonB_ExbB_2', 4, NULL),
(8561, NULL, 'IPR010334', NULL, 'mRNA-decapping enzyme subunit 1', 'Dcp1', 4, NULL),
(8562, NULL, 'IPR013312', NULL, 'G protein-coupled receptor 40-related receptor', 'GPR40-rel_orph', 4, NULL),
(8563, NULL, 'IPR018338', NULL, 'Carbonic anhydrase, alpha-class, conserved site', 'Carbonic_anhydrase_a-class_CS', 2, NULL),
(8564, NULL, 'IPR010350', NULL, 'Thioredoxin-like ferredoxin, bacteria', 'Aim32/Apd1-like_bac', 4, NULL),
(8565, NULL, 'IPR012543', NULL, 'Protein of unknown function DUF1694', 'DUF1694', 4, NULL),
(8566, NULL, 'IPR008929', NULL, 'Chondroitin AC/alginate lyase', 'Chondroitin_lyas', 5, NULL),
(8567, NULL, 'IPR012554', NULL, 'Degradation enzyme regulation protein DegQ', 'DegQ', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8568, NULL, 'IPR014180', NULL, 'Sugar isomerase, AgaS', 'Sugar_isomerase_AgaS', 4, NULL),
(8569, NULL, 'IPR010368', NULL, 'Control of competence regulator ComK, YlbF/YmcA', 'Com_YlbF', 4, NULL),
(8570, NULL, 'IPR010333', NULL, 'Bacterial virulence', 'VirJ', 3, NULL),
(8571, NULL, 'IPR011009', NULL, 'Protein kinase-like domain superfamily', 'Kinase-like_dom_sf', 5, NULL),
(8572, NULL, 'IPR013302', NULL, 'Wnt-10 protein', 'Wnt10', 4, NULL),
(8573, NULL, 'IPR014198', NULL, 'Stage III sporulation protein AB', 'Spore_III_AB', 4, NULL),
(8574, NULL, 'IPR008963', NULL, 'Purple acid phosphatase-like, N-terminal', 'Purple_acid_Pase-like_N', 5, NULL),
(8575, NULL, 'IPR015071', NULL, 'Bypass-of-forespore C, N-terminal', 'BOFC_N', 3, NULL),
(8576, NULL, 'IPR035144', NULL, 'Proteasome subunit alpha 1', 'Proteasome_alpha1', 4, NULL),
(8577, NULL, 'IPR015062', NULL, 'Protein of unknown function DUF1885', 'DUF1885', 4, NULL),
(8578, NULL, 'IPR018349', NULL, 'Peptidase M24A, methionine aminopeptidase, subfamily 2, binding site', 'Pept_M24A_MAP2_BS', 1, NULL),
(8579, NULL, 'IPR008958', NULL, 'Transglutaminase, C-terminal', 'Transglutaminase_C', 3, NULL),
(8580, NULL, 'IPR013278', NULL, 'Apoptosis regulator, Bcl-2', 'Apop_reg_Bcl2', 4, NULL),
(8581, NULL, 'IPR010351', NULL, 'Protein of unknown function DUF943', 'DUF943', 4, NULL),
(8582, NULL, 'IPR023819', NULL, 'Peptide-modifying radical SAM enzyme putative, AF0577', 'Pep-mod_rSAM_AF0577', 4, NULL),
(8583, NULL, 'IPR010371', NULL, 'Uncharacterised protein family UPF0303', 'UPF0303', 4, NULL),
(8584, NULL, 'IPR010995', NULL, 'DNA repair Rad51/transcription factor NusA, alpha-helical', 'DNA_repair_Rad51/TF_NusA_a-hlx', 5, NULL),
(8585, NULL, 'IPR018354', NULL, 'Snake toxin, conserved site', 'Snake_toxin_con_site', 2, NULL),
(8586, NULL, 'IPR014181', NULL, 'Omega-3 polyunsaturated fatty acid synthase-like', 'Omega3_polyunsat_FA_synth-like', 3, NULL),
(8587, NULL, 'IPR013171', NULL, 'Cytidine/deoxycytidylate deaminase, zinc-binding domain', 'Cyd/dCyd_deaminase_Zn-bd', 3, NULL),
(8588, NULL, 'IPR034840', NULL, 'DPE2, CBM20 domain 1', 'CBM20_DPE2_1', 3, NULL),
(8589, NULL, 'IPR013279', NULL, 'Apoptosis regulator, Bcl-X', 'Apop_reg_BclX', 4, NULL),
(8590, NULL, 'IPR013529', NULL, 'Glycoside hydrolase, family 42, N-terminal', 'Glyco_hydro_42_N', 3, NULL),
(8591, NULL, 'IPR024648', NULL, 'Peptidase A2E, retrotransposon', 'Pept_A2E_retrotransp', 4, NULL),
(8592, NULL, 'IPR014640', NULL, 'Imidazole glycerol phosphate synthase HisHF', 'IGPS_HisHF', 4, NULL),
(8593, NULL, 'IPR010321', NULL, 'Protein of unknown function DUF922', 'DUF922', 4, NULL),
(8594, NULL, 'IPR014190', NULL, 'Leukotriene B4 12-hydroxydehydrogenase/15-oxo-prostaglandin 13-reductase', 'PTGR1', 4, NULL),
(8595, NULL, 'IPR015085', NULL, 'Bacteriophage T4, Gp59, helicase assembly protein, N-terminal', 'Phage_T4_Gp59_N', 3, NULL),
(8596, NULL, 'IPR023947', NULL, 'Glutathione-regulated potassium-efflux system ancillary protein KefG', 'K_H_efflux_KefG', 4, NULL),
(8597, NULL, 'IPR014777', NULL, 'Tetrapyrrole methylase, subdomain 1', '4pyrrole_Mease_sub1', 5, NULL),
(8598, NULL, 'IPR015093', NULL, 'Protein of unknown function DUF1887', 'DUF1887', 4, NULL),
(8599, NULL, 'IPR015078', NULL, 'DP-EP family', 'DP-EP', 4, NULL),
(8600, NULL, 'IPR015091', NULL, 'Surfactant protein C, N-terminal propeptide', 'Surfactant_protein_propep', 3, NULL),
(8601, NULL, 'IPR014196', NULL, 'Stage II sporulation protein M', 'SpoIIM', 4, NULL),
(8602, NULL, 'IPR008406', NULL, 'Dormancy/auxin associated protein', 'DRM/ARP', 4, NULL),
(8603, NULL, 'IPR014635', NULL, 'Alpha-amylase, MalS type', 'A_amylase_MalS', 4, NULL),
(8604, NULL, 'IPR008920', NULL, 'Transcription regulator FadR/GntR, C-terminal', 'TF_FadR/GntR_C', 5, NULL),
(8605, NULL, 'IPR015090', NULL, 'Bacterial epsilon antitoxin', 'Epsilon_antitox', 4, NULL),
(8606, NULL, 'IPR015059', NULL, 'Calcium-dependent cell adhesion molecule, N-terminal', 'Ca_cell_adhesion_N_dom', 3, NULL),
(8607, NULL, 'IPR008431', NULL, 'Cyclic nucleotide phosphodiesterase', 'CNPase', 4, NULL),
(8608, NULL, 'IPR018240', NULL, 'Clathrin adaptor, mu subunit, conserved site', 'Clathrin_mu_CS', 2, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8609, NULL, 'IPR018334', NULL, 'ArsR-type transcription regulator, HTH motif', 'ArsR_HTH', 2, NULL),
(8610, NULL, 'IPR013294', NULL, 'Protein LBH', 'LBH', 4, NULL),
(8611, NULL, 'IPR014193', NULL, 'Uncharacterised domain CHP02828, putative membrane fusion protein', 'CHP02828_mem_fusion', 3, NULL),
(8612, NULL, 'IPR018310', NULL, 'Putative endonuclease, Z1 domain', 'Put_endonuclease_Z1-dom', 3, NULL),
(8613, NULL, 'IPR023952', NULL, 'Inosose dehydratase', 'IolE', 4, NULL),
(8614, NULL, 'IPR008962', NULL, 'PapD-like superfamily', 'PapD-like_sf', 5, NULL),
(8615, NULL, 'IPR015075', NULL, 'Acetylaranotin biosynthesis cluster protein L', 'AtaL', 4, NULL),
(8616, NULL, 'IPR015060', NULL, 'Protein of unknown function DUF1870', 'DUF1870', 4, NULL),
(8617, NULL, 'IPR013157', NULL, 'Aurein antibiotic peptide family', 'Aurein_antimicrobial_peptide', 4, NULL),
(8618, NULL, 'IPR013161', NULL, 'Benzylsuccinate synthase gamma subunit', 'BssC', 4, NULL),
(8619, NULL, 'IPR008922', NULL, 'Di-copper centre-containing domain superfamily', 'Di-copper_centre_dom_sf', 5, NULL),
(8620, NULL, 'IPR011001', NULL, 'Saposin-like', 'Saposin-like', 5, NULL),
(8621, NULL, 'IPR014352', NULL, 'FERM/acyl-CoA-binding protein superfamily', 'FERM/acyl-CoA-bd_prot_sf', 5, NULL),
(8622, NULL, 'IPR008444', NULL, 'Chlamydia virulence plasmid protein pGP3', 'Chlamydia_pGP3', 4, NULL),
(8623, NULL, 'IPR011717', NULL, 'Tetratricopeptide TPR-4', 'TPR-4', 7, NULL),
(8624, NULL, 'IPR014182', NULL, 'Alcohol dehydrogenase, zinc-binding type 1', 'ADH_Zn_typ-1', 4, NULL),
(8625, NULL, 'IPR018393', NULL, 'NADH-plastoquinone oxidoreductase, chain 5 subgroup', 'NADHpl_OxRdtase_5_subgr', 4, NULL),
(8626, NULL, 'IPR008917', NULL, 'Transcription factor, Skn-1-like, DNA-binding domain superfamily', 'TF_DNA-bd_sf', 5, NULL),
(8627, NULL, 'IPR018321', NULL, 'Glucosamine-6-phosphate isomerase, conserved site', 'Glucosamine6P_isomerase_CS', 2, NULL),
(8628, NULL, 'IPR014281', NULL, 'Nitrogenase vanadium-iron protein beta chain', 'Nase_VnfK', 4, NULL),
(8629, NULL, 'IPR010330', NULL, 'Competence-induced protein CoiA-like', 'CoiA-like', 4, NULL),
(8630, NULL, 'IPR023949', NULL, 'RNA polymerase-associated protein RapA', 'Helicase_RapA', 4, NULL),
(8631, NULL, 'IPR013153', NULL, 'PrkA AAA domain', 'Prk_AAA_dom', 3, NULL),
(8632, NULL, 'IPR018330', NULL, 'RecT family', 'RecT_fam', 4, NULL),
(8633, NULL, 'IPR011006', NULL, 'CheY-like superfamily', 'CheY-like_superfamily', 5, NULL),
(8634, NULL, 'IPR015089', NULL, 'Cytochrome b-c1 complex subunit 10', 'UQCR', 4, NULL),
(8635, NULL, 'IPR023786', NULL, '3-(3-hydroxy-phenyl)propionate/3-hydroxycinnamic acid hydroxylase', '3-HPP/3HCI_hydroxylase', 4, NULL),
(8636, NULL, 'IPR024059', NULL, 'YopX-like, N-terminal', 'YopX-like_N', 5, NULL),
(8637, NULL, 'IPR013293', NULL, 'Nervy', 'Nervy', 4, NULL),
(8638, NULL, 'IPR008935', NULL, 'Virus capsid protein, alpha-helical', 'Virus_capsid_a-hlx_vir', 5, NULL),
(8639, NULL, 'IPR008414', NULL, 'Hemolysin BL-binding component', 'HBL', 4, NULL),
(8640, NULL, 'IPR008944', NULL, 'Bacteriophage T4, Gp59, helicase assembly protein', 'Phage_T4_Gp59', 4, NULL),
(8641, NULL, 'IPR010317', NULL, 'Protein of unknown function DUF916, cell surface putative', 'DUF916', 4, NULL),
(8642, NULL, 'IPR010347', NULL, 'Tyrosyl-DNA phosphodiesterase I', 'Tdp1', 4, NULL),
(8643, NULL, 'IPR015063', NULL, 'USP8 dimerisation domain', 'USP8_dimer', 3, NULL),
(8644, NULL, 'IPR015066', NULL, 'Domain of unknown function DUF1902', 'DUF1902', 3, NULL),
(8645, NULL, 'IPR013283', NULL, 'RLI1', 'RLI1', 4, NULL),
(8646, NULL, 'IPR008916', NULL, 'Retrovirus capsid, C-terminal', 'Retrov_capsid_C', 5, NULL),
(8647, NULL, 'IPR010340', NULL, 'Herpesvirus UL11/UL32', 'Herpes_UL11/UL32', 4, NULL),
(8648, NULL, 'IPR012551', NULL, 'Protein of unknown function DUF1707', 'DUF1707', 4, NULL),
(8649, NULL, 'IPR023172', NULL, 'Peptidase S51, dipeptidase E', 'Peptidase_S51_dipeptidase-E', 4, NULL),
(8650, NULL, 'IPR023958', NULL, 'Malate dehydrogenase, type 1, bacterial', 'Malate_DH_type1_bac', 4, NULL),
(8651, NULL, 'IPR013130', NULL, 'Ferric reductase transmembrane component-like domain', 'Fe3_Rdtase_TM_dom', 3, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8652, NULL, 'IPR008268', NULL, 'Peptidase S16, active site', 'Peptidase_S16_AS', 0, NULL),
(8653, NULL, 'IPR008932', NULL, 'Ribosomal protein L7/L12, oligomerisation', 'Ribosomal_L7/L12_oligo', 3, NULL),
(8654, NULL, 'IPR014178', NULL, 'Fatty acid response transcription factor FadR', 'FA-response_TF_FadR', 4, NULL),
(8655, NULL, 'IPR014176', NULL, 'Phasin, subfamily 3', 'Phasin_subfam-3', 4, NULL),
(8656, NULL, 'IPR015960', NULL, 'Mu1 membrane penetration protein, domain IV', 'Mu1_membr_pen_domIV', 5, NULL),
(8657, NULL, 'IPR012552', NULL, 'DVL', 'DVL', 4, NULL),
(8658, NULL, 'IPR015082', NULL, 'Protein of unknown function DUF1896', 'DUF1896', 4, NULL),
(8659, NULL, 'IPR013170', NULL, 'mRNA splicing factor Cwf21 domain', 'mRNA_splic_Cwf21_dom', 3, NULL),
(8660, NULL, 'IPR010365', NULL, 'Protein of unknown function DUF961', 'DUF961', 4, NULL),
(8661, NULL, 'IPR008294', NULL, 'Meprin alpha/beta subunit', 'Meprin', 4, NULL),
(8662, NULL, 'IPR015058', NULL, 'Protein of unknown function DUF1878', 'DUF1878', 4, NULL),
(8663, NULL, 'IPR008942', NULL, 'ENTH/VHS', 'ENTH_VHS', 5, NULL),
(8664, NULL, 'IPR010312', NULL, 'GTP-sensing transcriptional pleiotropic repressor CodY, N-terminal', 'GTP_sensing_CodY_N', 3, NULL),
(8665, NULL, 'IPR008411', NULL, 'Bovine immunodeficiency virus surface envelope', 'BIV_Surface_Envelope', 4, NULL),
(8666, NULL, 'IPR015094', NULL, 'Integrase, lambda-type, N-terminal DNA-binding', 'Integrase_lambda-typ_DNA-bd_N', 3, NULL),
(8667, NULL, 'IPR015961', NULL, 'Mu1 membrane penetration protein, domain I', 'Mu1_membr_pen_domI', 5, NULL),
(8668, NULL, 'IPR008956', NULL, 'Protease A inhibitor IA3 domain superfamily', 'IA3_dom_sf', 5, NULL),
(8669, NULL, 'IPR014174', NULL, 'CRISPR-associated protein, Cas6-related', 'CRISPR-assoc_prot_Cas6-rel', 4, NULL),
(8670, NULL, 'IPR013298', NULL, 'Neuropeptide B precursor', 'Neuropept_B_pre', 4, NULL),
(8671, NULL, 'IPR011879', NULL, 'Signal transduction response regulator, phosphate regulon transcriptional regulatory protein PhoB', 'Sig_transdc_resp-reg_PhoB', 4, NULL),
(8672, NULL, 'IPR013306', NULL, 'Antigen peptide transporter 1', 'Tap1/ABCB2', 4, NULL),
(8673, NULL, 'IPR013277', NULL, 'Peptidase M12B, ADAM-TS8', 'Pept_M12B_ADAM-TS8', 4, NULL),
(8674, NULL, 'IPR010308', NULL, 'TRP, C-terminal', 'TRP_C', 3, NULL),
(8675, NULL, 'IPR008264', NULL, 'Beta-glucanase', 'Beta_glucanase', 4, NULL),
(8676, NULL, 'IPR010998', NULL, 'Integrase/recombinase, N-terminal', 'Integrase_recombinase_N', 5, NULL),
(8677, NULL, 'IPR015095', NULL, 'Alkylated DNA repair protein AlkB, homologue 8, N-terminal', 'AlkB_hom8_N', 3, NULL),
(8678, NULL, 'IPR018274', NULL, 'PEP-utilising enzyme, active site', 'PEP_util_AS', 0, NULL),
(8679, NULL, 'IPR015065', NULL, 'Surface composition regulator', 'GlgS', 4, NULL),
(8680, NULL, 'IPR010342', NULL, 'Protein of unknown function DUF938', 'DUF938', 4, NULL),
(8681, NULL, 'IPR015069', NULL, 'Domain of unknown function DUF1868', 'DUF1868', 3, NULL),
(8682, NULL, 'IPR010327', NULL, 'FldB/FldC dehydratase alpha/beta subunit', 'FldB/FldC_alpha/beta', 4, NULL),
(8683, NULL, 'IPR015068', NULL, 'Protein of unknown function DUF1877', 'DUF1877', 4, NULL),
(8684, NULL, 'IPR015806', NULL, 'Pyruvate kinase, insert domain superfamily', 'Pyrv_Knase_insert_dom_sf', 5, NULL),
(8685, NULL, 'IPR013303', NULL, 'Wnt-9a protein', 'Wnt9a', 4, NULL),
(8686, NULL, 'IPR018307', NULL, 'AVL9/DENND6 domain', 'ABL9/DENND6_dom', 3, NULL),
(8687, NULL, 'IPR014780', NULL, 'tRNA pseudouridine synthase II, TruB', 'tRNA_psdUridine_synth_TruB', 4, NULL),
(8688, NULL, 'IPR013297', NULL, 'Neuropeptide B/W precursor family', 'Neuropept_BW_pre', 4, NULL),
(8689, NULL, 'IPR013289', NULL, 'CBFA2T family', 'CBFA2T1/2/3', 4, NULL),
(8690, NULL, 'IPR008447', NULL, 'Protein L2', 'Prot_L2', 4, NULL),
(8691, NULL, 'IPR013856', NULL, 'Peptidase M4 domain', 'Peptidase_M4_domain', 3, NULL),
(8692, NULL, 'IPR010332', NULL, 'ATPase terminase subunit, putative', 'ATPase_terminase-su_put', 4, NULL),
(8693, NULL, 'IPR013292', NULL, 'Protein CBFA2T3', 'CBFA2T3', 4, NULL),
(8694, NULL, 'IPR010363', NULL, 'Domain of unknown function DUF959, collagen XVIII, N-terminal', 'DUF959_COL18_N', 3, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8695, NULL, 'IPR035107', NULL, 'tRNA thiolation protein, TtcA/Ctu1 type', 'tRNA_thiolation_TtcA_Ctu1', 4, NULL),
(8696, NULL, 'IPR008261', NULL, 'Iodothyronine deiodinase, active site', 'Iodothyronine_deiodinase_AS', 0, NULL),
(8697, NULL, 'IPR008409', NULL, 'Pre-mRNA-splicing factor SPF27', 'SPF27', 4, NULL),
(8698, NULL, 'IPR035116', NULL, 'Protein of unknown function DUF5510', 'DUF5510', 4, NULL),
(8699, NULL, 'IPR023126', NULL, 'HP0242-like superfamily', 'HP0242-like_sf', 5, NULL),
(8700, NULL, 'IPR011008', NULL, 'Dimeric alpha-beta barrel', 'Dimeric_a/b-barrel', 5, NULL),
(8701, NULL, 'IPR013530', NULL, 'Protein-arginine deiminase, C-terminal', 'PAD_C', 3, NULL),
(8702, NULL, 'IPR014027', NULL, 'UDP-glucose/GDP-mannose dehydrogenase, C-terminal', 'UDP-Glc/GDP-Man_DH_C', 3, NULL),
(8703, NULL, 'IPR014648', NULL, 'Neuropilin', 'Neuropilin', 4, NULL),
(8704, NULL, 'IPR013295', NULL, 'Myelin and lymphocyte (MAL) protein', 'MAL', 4, NULL),
(8705, NULL, 'IPR018276', NULL, 'DET1- and DDB1-associated protein 1, N-terminal', 'DDA1_N', 3, NULL),
(8706, NULL, 'IPR008308', NULL, 'Uncharacterised conserved protein UCP021350', 'UCP021350', 4, NULL),
(8707, NULL, 'IPR013299', NULL, 'Neuropeptide W precursor', 'Neuropept_W_pre', 4, NULL),
(8708, NULL, 'IPR023188', NULL, 'DNA-binding protein Dps, conserved site', 'DPS_DNA-bd_CS', 2, NULL),
(8709, NULL, 'IPR010354', NULL, 'Oleate hydratase', 'Oleate_hydratase', 4, NULL),
(8710, NULL, 'IPR008424', NULL, 'Immunoglobulin C2-set', 'Ig_C2-set', 3, NULL),
(8711, NULL, 'IPR011002', NULL, 'Flagellar motor switch protein FliG, alpha-helical', 'FliG_a-hlx', 5, NULL),
(8712, NULL, 'IPR023821', NULL, 'Radical SAM, TatD-associated', 'rSAM_TatD-assoc', 4, NULL),
(8713, NULL, 'IPR015965', NULL, 'tRNA ligase, phosphodiesterase', 'tRNA_lig_PDEase', 3, NULL),
(8714, NULL, 'IPR013309', NULL, 'Wnt inhibitory factor (WIF)-1', 'Wnt-inh', 4, NULL),
(8715, NULL, 'IPR013528', NULL, 'Hydroxymethylglutaryl-coenzyme A synthase, N-terminal', 'HMG_CoA_synth_N', 3, NULL),
(8716, NULL, 'IPR013154', NULL, 'Alcohol dehydrogenase, N-terminal', 'ADH_N', 3, NULL),
(8717, NULL, 'IPR014784', NULL, 'Copper type II, ascorbate-dependent monooxygenase-like, C-terminal', 'Cu2_ascorb_mOase-like_C', 5, NULL),
(8718, NULL, 'IPR013284', NULL, 'Beta-catenin', 'Beta-catenin', 4, NULL),
(8719, NULL, 'IPR018319', NULL, 'L-seryl-tRNA selenium transferase-like', 'SelA-like', 4, NULL),
(8720, NULL, 'IPR010336', NULL, 'Baculoviridae ME53', 'Baculo_ME53', 4, NULL),
(8721, NULL, 'IPR034497', NULL, 'Bacteriochlorophyll C12 methyltransferase', 'Bacteriochlorophyll_C12_MT', 4, NULL),
(8722, NULL, 'IPR010346', NULL, 'Spanin, outer membrane subunit', 'O-spanin', 4, NULL),
(8723, NULL, 'IPR018272', NULL, 'PRANC domain', 'PRANC_domain', 3, NULL),
(8724, NULL, 'IPR008449', NULL, 'Chorion S36/S38', 'Chorion_S36/S28', 4, NULL),
(8725, NULL, 'IPR023946', NULL, 'Endo-type membrane-bound lytic murein transglycosylase A', 'EmtA', 4, NULL),
(8726, NULL, 'IPR014783', NULL, 'Copper type II, ascorbate-dependent monooxygenase, histidine-cluster-2 conserved site', 'Cu2_ascorb_mOase_CS-2', 2, NULL),
(8727, NULL, 'IPR018314', NULL, 'Bacterial Fmu (Sun)/eukaryotic nucleolar NOL1/Nop2p, conserved site', 'Fmu/NOL1/Nop2p_CS', 2, NULL),
(8728, NULL, 'IPR011011', NULL, 'Zinc finger, FYVE/PHD-type', 'Znf_FYVE_PHD', 5, NULL),
(8729, NULL, 'IPR008930', NULL, 'Terpenoid cyclases/protein prenyltransferase alpha-alpha toroid', 'Terpenoid_cyclase/PrenylTrfase', 5, NULL),
(8730, NULL, 'IPR014170', NULL, 'TonB system transport protein ExbD type-1', 'TonB_ExbD_1', 4, NULL),
(8731, NULL, 'IPR014274', NULL, 'Peptidyl-prolyl cis-trans isomerase, EpsD-type', 'PPIase_EpsD', 4, NULL),
(8732, NULL, 'IPR008269', NULL, 'Peptidase S16, Lon proteolytic domain', 'Lon_proteolytic', 3, NULL),
(8733, NULL, 'IPR034754', NULL, 'Gemini of Cajal bodies-associated protein 8', 'GEMIN8', 4, NULL),
(8734, NULL, 'IPR023956', NULL, 'Acireductone dioxygenase ARD, bacteria', 'ARD_bac', 4, NULL),
(8735, NULL, 'IPR012538', NULL, 'Cytochrome c oxidase polypeptide 2A', 'Cyt_c_oxidase_su2a', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8736, NULL, 'IPR034060', NULL, 'Tumor necrosis factor receptor 27, N-terminal', 'TNFRSF27_N', 3, NULL),
(8737, NULL, 'IPR034854', NULL, 'RBM12, RNA recognition motif 5', 'RBM12_RRM5', 3, NULL),
(8738, NULL, 'IPR014272', NULL, 'ATPase, V0 complex, c subunit', 'ATPase_V0-cplx_c_su', 4, NULL),
(8739, NULL, 'IPR014278', NULL, 'Nitrogenase iron-iron, delta subunit', 'Nase_Fe-Fe_dsu', 4, NULL),
(8740, NULL, 'IPR014188', NULL, 'Acrylyl-CoA reductase AcuI', 'Acrylyl-CoA_reductase_AcuI', 4, NULL),
(8741, NULL, 'IPR014631', NULL, 'Cellular repressor of E1A-stimulated genes (CREG)', 'CREG', 4, NULL),
(8742, NULL, 'IPR008928', NULL, 'Six-hairpin glycosidase superfamily', '6-hairpin_glycosidase_sf', 5, NULL),
(8743, NULL, 'IPR008408', NULL, 'Brain acid soluble protein 1', 'BASP1', 4, NULL),
(8744, NULL, 'IPR011888', NULL, 'Anaerobic dimethyl sulphoxide reductase, subunit A, DmsA/YnfE', 'Anaer_DMSO_reductase', 4, NULL),
(8745, NULL, 'IPR014189', NULL, 'Quinone oxidoreductase PIG3', 'Quinone_OxRdtase_PIG3', 4, NULL),
(8746, NULL, 'IPR014169', NULL, 'Peptidoglycan-associated lipoprotein, C-terminal', 'Pal_lipo_C', 3, NULL),
(8747, NULL, 'IPR008419', NULL, 'Benyvirus p25/p26', 'BNYVV_p25/p26', 4, NULL),
(8748, NULL, 'IPR010352', NULL, 'Protein of unknown function DUF945', 'DUF945', 4, NULL),
(8749, NULL, 'IPR034856', NULL, 'RBM12, RNA recognition motif 4', 'RBM12_RRM4', 3, NULL),
(8750, NULL, 'IPR008440', NULL, 'Agglutinin-like  protein repeat', 'Agglutinin-like_ALS_rpt', 7, NULL),
(8751, NULL, 'IPR023960', NULL, 'Cytochrome b6-f complex iron-sulfur subunit', 'Cyt_b6_f_Rieske', 4, NULL),
(8752, NULL, 'IPR018246', NULL, 'AP endonuclease 2, zinc binding site', 'AP_endonuc_F2_Zn_BS', 1, NULL),
(8753, NULL, 'IPR013158', NULL, 'APOBEC-like, N-terminal', 'APOBEC_N', 3, NULL),
(8754, NULL, 'IPR018320', NULL, 'DNA polymerase 1', 'DNA_polymerase_1', 4, NULL),
(8755, NULL, 'IPR010331', NULL, 'Exopolysaccharide synthesis, ExoD', 'ExoD', 4, NULL),
(8756, NULL, 'IPR013168', NULL, 'Cpl-7 lysozyme, C-terminal', 'Cpl_7_lyso_C', 3, NULL),
(8757, NULL, 'IPR010997', NULL, 'HRDC-like superfamily', 'HRDC-like_sf', 5, NULL),
(8758, NULL, 'IPR014782', NULL, 'Peptidase M1, membrane alanine aminopeptidase', 'Peptidase_M1_dom', 3, NULL),
(8759, NULL, 'IPR018244', NULL, 'Allergen V5/Tpx-1-related, conserved site', 'Allrgn_V5/Tpx1_CS', 2, NULL),
(8760, NULL, 'IPR011884', NULL, 'Phenylacetate-CoA oxygenase/reductase, PaaK subunit', 'PA_CoA_Oase5', 4, NULL),
(8761, NULL, 'IPR010359', NULL, 'IrrE N-terminal-like domain', 'IrrE_HExxH', 3, NULL),
(8762, NULL, 'IPR024138', NULL, 'Pericentriolar material 1 protein', 'Pericentriolar_Pcm1', 4, NULL),
(8763, NULL, 'IPR008270', NULL, 'Glycosyl hydrolases family 25, active site', 'Glyco_hydro_25_AS', 0, NULL),
(8764, NULL, 'IPR008297', NULL, 'Notch', 'Notch', 4, NULL),
(8765, NULL, 'IPR015103', NULL, 'Protein-tyrosine phosphatase, YopH, N-terminal', 'ProtTyrPase_YopH_N', 3, NULL),
(8766, NULL, 'IPR014026', NULL, 'UDP-glucose/GDP-mannose dehydrogenase, dimerisation', 'UDP-Glc/GDP-Man_DH_dimer', 3, NULL),
(8767, NULL, 'IPR014275', NULL, 'ATPase, A1A0, subunit H', 'ATPase_A1A0-cplx_hsu', 4, NULL),
(8768, NULL, 'IPR010341', NULL, 'Protein of unknown function DUF936, plant', 'DUF936_pln', 4, NULL),
(8769, NULL, 'IPR012549', NULL, 'Phosphoethanolamine transferase, N-terminal', 'EptA-like_N', 3, NULL),
(8770, NULL, 'IPR010310', NULL, 'Type VII secretion system ESAT-6-like', 'T7SS_ESAT-6-like', 4, NULL),
(8771, NULL, 'IPR008403', NULL, 'Apolipoprotein CIII', 'Apo-CIII', 4, NULL),
(8772, NULL, 'IPR014194', NULL, 'Sporulation stage III, protein AE', 'Spore_III_AE', 4, NULL),
(8773, NULL, 'IPR015086', NULL, 'Bacteriophage T4, Gp59, helicase assembly protein, C-terminal', 'Phage_T4_Gp59_C', 3, NULL),
(8774, NULL, 'IPR008425', NULL, 'Cyclin-dependent kinase inhibitor 3', 'CDK_inhib_3', 4, NULL),
(8775, NULL, 'IPR013301', NULL, 'Wnt-8 protein', 'Wnt8', 4, NULL),
(8776, NULL, 'IPR008265', NULL, 'Lipase, GDSL, active site', 'Lipase_GDSL_AS', 0, NULL),
(8777, NULL, 'IPR014167', NULL, 'Tol-Pal system protein TolB', 'Tol-Pal_TolB', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8778, NULL, 'IPR033988', NULL, 'CEL-1-like C-type lectin-like domain', 'CEL1-like_CTLD', 3, NULL),
(8779, NULL, 'IPR024065', NULL, 'DNA topoisomerase V, catalytic domain superfamily', 'TopoV_catalytic_dom_sf', 5, NULL),
(8780, NULL, 'IPR008289', NULL, 'Pentafunctional AroM protein', 'Pentafunct_AroM', 4, NULL),
(8781, NULL, 'IPR018350', NULL, 'Transcription factor COE, conserved site', 'Transcription_factor_COE_CS', 2, NULL),
(8782, NULL, 'IPR014647', NULL, 'CST complex  subunit Stn1', 'Stn1', 4, NULL),
(8783, NULL, 'IPR008925', NULL, 'Aminoacyl-tRNA synthetase, class I, anticodon-binding superfamily', 'aa_tRNA-synth_I_cd-bd_sf', 5, NULL),
(8784, NULL, 'IPR013290', NULL, 'Protein CBFA2T1', 'CBFA2T1', 4, NULL),
(8785, NULL, 'IPR014171', NULL, 'TonB system transport protein ExbD type-2', 'TonB_ExbD_2', 4, NULL),
(8786, NULL, 'IPR008429', NULL, 'Cleft lip and palate transmembrane 1', 'CLPTM1', 4, NULL),
(8787, NULL, 'IPR013287', NULL, 'Claudin-12', 'Claudin12', 4, NULL),
(8788, NULL, 'IPR018239', NULL, 'NAD-dependent DNA ligase, active site', 'DNA_ligase_AS', 0, NULL),
(8789, NULL, 'IPR011005', NULL, 'Dihydropteroate synthase-like', 'Dihydropteroate_synth-like', 5, NULL),
(8790, NULL, 'IPR008407', NULL, 'Branched-chain amino acid transport, AzlD', 'Brnchd-chn_aa_trnsp_AzlD', 4, NULL),
(8791, NULL, 'IPR011715', NULL, 'Tyrosine aminotransferase ubiquitination region', 'Tyr_aminoTrfase_ubiquitination', 3, NULL),
(8792, NULL, 'IPR013313', NULL, 'GPR40 receptor fatty acid', 'GPR40_recept_FA', 4, NULL),
(8793, NULL, 'IPR013156', NULL, 'Pseudin antimicrobial peptide', 'Antimicrobial_19', 4, NULL),
(8794, NULL, 'IPR015097', NULL, 'Lung surfactant protein D coiled-coil trimerisation', 'Surfac_D-trimer', 3, NULL),
(8795, NULL, 'IPR015053', NULL, 'Protein of unknown function DUF1871', 'DUF1871', 4, NULL),
(8796, NULL, 'IPR015824', NULL, 'Phosphoglycerate kinase, N-terminal', 'Phosphoglycerate_kinase_N', 5, NULL),
(8797, NULL, 'IPR010314', NULL, 'E3 ubiquitin ligase, domain of unknown function DUF913', 'E3_Ub_ligase_DUF913', 3, NULL),
(8798, NULL, 'IPR008291', NULL, 'Glucoamylase, starch-binding', 'Glucoamylase_SBD', 4, NULL),
(8799, NULL, 'IPR014175', NULL, 'Conserved hypothetical protein CHP02808', 'CHP02808', 4, NULL),
(8800, NULL, 'IPR013304', NULL, 'Wnt-16 protein', 'Wnt16', 4, NULL),
(8801, NULL, 'IPR023959', NULL, 'Lipoprotein LpqB', 'Lipoprotein_LpqB', 4, NULL),
(8802, NULL, 'IPR023954', NULL, 'C4-dicarboxylate transport protein', 'C4_dicarb_transport', 4, NULL),
(8803, NULL, 'IPR013167', NULL, 'Conserved oligomeric Golgi complex, subunit 4', 'COG_su4', 3, NULL),
(8804, NULL, 'IPR013169', NULL, 'mRNA splicing factor Cwf18-like', 'mRNA_splic_Cwf18-like', 4, NULL),
(8805, NULL, 'IPR018288', NULL, 'F420-dehydrogenase, subunit FpoO', 'F420H2-DH_FpoO', 4, NULL),
(8806, NULL, 'IPR015074', NULL, 'Protein of unknown function DUF1867', 'DUF1867', 4, NULL),
(8807, NULL, 'IPR015088', NULL, 'Zinc finger, DNA-directed DNA polymerase, family B, alpha', 'Znf_DNA-dir_DNA_pol_B_alpha', 3, NULL),
(8808, NULL, 'IPR010366', NULL, 'Shigella flexneri OspC', 'Shigella_OspC', 4, NULL),
(8809, NULL, 'IPR034491', NULL, 'Anaerobic Ser-type sulfatase-maturating enzyme', 'Anaerob_Ser_sulfatase-maturase', 4, NULL),
(8810, NULL, 'IPR024032', NULL, 'His-Xaa-Ser system radical SAM maturase HxsC', 'rSAM_paired_HxsC', 4, NULL),
(8811, NULL, 'IPR015077', NULL, 'Domain of unknown function DUF1858', 'DUF1858', 3, NULL),
(8812, NULL, 'IPR011890', NULL, 'Structural maintenance of chromosomes protein, prokaryotic', 'SMC_prok', 4, NULL),
(8813, NULL, 'IPR023233', NULL, 'Herpesvirus major capsid protein, upper domain superfamily', 'Herpes_MCP_upper_sf', 5, NULL),
(8814, NULL, 'IPR014637', NULL, 'Sorting nexin-5/6/32', 'SNX5/SNX6/SNX32', 4, NULL),
(8815, NULL, 'IPR010996', NULL, 'DNA polymerase beta-like, N-terminal domain', 'DNA_pol_b-like_N', 3, NULL),
(8816, NULL, 'IPR010339', NULL, 'TIP49, P-loop domain', 'TIP49_P-loop', 3, NULL),
(8817, NULL, 'IPR008936', NULL, 'Rho GTPase activation protein', 'Rho_GTPase_activation_prot', 5, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8818, NULL, 'IPR008423', NULL, 'P21 molecular chaperone, Bacillus thuringiensis', 'P21_molc_chaperone_B_thur', 4, NULL),
(8819, NULL, 'IPR015067', NULL, 'Protein of unknown function DUF1893', 'DUF1893', 4, NULL),
(8820, NULL, 'IPR010999', NULL, 'Retroviral matrix protein', 'Retrovr_matrix', 5, NULL),
(8821, NULL, 'IPR013288', NULL, 'Cytochrome c oxidase subunit IV', 'Cyt_c_oxidase_su4', 4, NULL),
(8822, NULL, 'IPR013155', NULL, 'Methionyl/Valyl/Leucyl/Isoleucyl-tRNA synthetase, anticodon-binding', 'M/V/L/I-tRNA-synth_anticd-bd', 3, NULL),
(8823, NULL, 'IPR012537', NULL, 'Chloramphenicol resistance gene leader peptide', 'Cmp-R_leader', 4, NULL),
(8824, NULL, 'IPR011894', NULL, '2-oxoacid:acceptor oxidoreductase, gamma subunit, pyruvate/2-ketoisovalerate', 'PorC_KorC', 3, NULL),
(8825, NULL, 'IPR015056', NULL, 'Nuclear receptor-binding factor 2, C-terminal', 'NRBF2_C', 3, NULL),
(8826, NULL, 'IPR010357', NULL, 'Thioredoxin domain-containing protein 17-like domain', 'TXNDC17_dom', 3, NULL),
(8827, NULL, 'IPR012548', NULL, 'Protein of unknown function DUF1704', 'DUF1704', 4, NULL),
(8828, NULL, 'IPR008426', NULL, 'Centromere protein H, C-terminal', 'CENP-H_C', 3, NULL),
(8829, NULL, 'IPR010316', NULL, 'DNA-3-methyladenine glycosylase AlkA, N-terminal', 'AlkA_N', 3, NULL),
(8830, NULL, 'IPR012540', NULL, 'Cuticle 7 isoform', 'Cuticle_2', 4, NULL),
(8831, NULL, 'IPR014636', NULL, 'RNase H, phosphoglycerate mutase domain-containing', 'RNaseH/PGlycerate_mutase', 4, NULL),
(8832, NULL, 'IPR010325', NULL, 'Rhamnogalacturonate lyase', 'Rhamnogal_lyase', 4, NULL),
(8833, NULL, 'IPR023621', NULL, 'Ribosomal protein L31e domain superfamily', 'Ribosomal_L31e_dom_sf', 5, NULL),
(8834, NULL, 'IPR008299', NULL, 'Prephenate dehydrogenase/arogenate dehydrogenase', 'Prep_DH/arog_DH', 4, NULL),
(8835, NULL, 'IPR035118', NULL, 'Inclusion membrane protein E', 'IncE', 4, NULL),
(8836, NULL, 'IPR012544', NULL, 'Bacterial Pleckstrin homology domain', 'PHb', 3, NULL),
(8837, NULL, 'IPR013525', NULL, 'ABC-2 type transporter', 'ABC_2_trans', 3, NULL),
(8838, NULL, 'IPR008421', NULL, 'Borrelia lipoprotein paralogus family 54/60', 'Borrelia_lipoprotein_PFam54/60', 4, NULL),
(8839, NULL, 'IPR008954', NULL, 'Moesin tail domain superfamily', 'Moesin_tail_sf', 5, NULL),
(8840, NULL, 'IPR014187', NULL, 'Alcohol dehydrogenase, zinc-binding type 2', 'ADH_Zn_typ-2', 4, NULL),
(8841, NULL, 'IPR010318', NULL, 'Protein of unknown function DUF917', 'DUF917', 4, NULL),
(8842, NULL, 'IPR015072', NULL, 'Outer capsid protein VP9/VP10/VP11', 'VP9/VP10/VP11', 4, NULL),
(8843, NULL, 'IPR013164', NULL, 'Cadherin, N-terminal', 'Cadherin_N', 3, NULL),
(8844, NULL, 'IPR013291', NULL, 'Myeloid transforming gene-related protein-1 (MTGR1)', 'MTGR1', 4, NULL),
(8845, NULL, 'IPR008272', NULL, '4-hydroxybenzoyl-CoA thioesterase, active site', 'HB-CoA_thioesterase_AS', 0, NULL),
(8846, NULL, 'IPR014177', NULL, 'Putative formate dehydrogenase, TAT signal-containing', 'Formate_DH_TAT-contain', 4, NULL),
(8847, NULL, 'IPR008430', NULL, 'Cytotoxic necrotizing factor, Rho-activating domain', 'CNF_Rho-act', 3, NULL),
(8848, NULL, 'IPR008257', NULL, 'Peptidase M19', 'Pept_M19', 4, NULL),
(8849, NULL, 'IPR013310', NULL, 'Cysteinyl leukotriene receptor 1', 'CLT1_recept', 4, NULL),
(8850, NULL, 'IPR018243', NULL, 'Neuromodulin, palmitoylation site', 'Neuromodulin_palmitoyl_site', 6, NULL),
(8851, NULL, 'IPR015073', NULL, 'Domain of unknown function DUF1883', 'DUF1883', 3, NULL),
(8852, NULL, 'IPR024062', NULL, 'Bacteriophage PBS2, uracil-glycosylase inhibitor', 'Phage_PBS2_Ugi', 5, NULL),
(8853, NULL, 'IPR012539', NULL, 'Crustacean cuticle', 'Cuticle_1', 4, NULL),
(8854, NULL, 'IPR011878', NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit  D', 'GatD', 4, NULL),
(8855, NULL, 'IPR015057', NULL, 'Rv2632c-like', 'Rv2632c-like', 4, NULL),
(8856, NULL, 'IPR035150', NULL, 'Proteasome subunit alpha 3, plant', 'Proteasome_alpha3_plant', 4, NULL),
(8857, NULL, 'IPR008437', NULL, 'Minor structural protein, calicivirus', 'Minor_structural_calicivir', 4, NULL),
(8858, NULL, 'IPR008292', NULL, 'Haptoglobin', 'Haptoglobin', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8859, NULL, 'IPR034498', NULL, 'Bacteriochlorophyll C8 methyltransferase', 'Bacteriochlorophyll_C8_MT', 4, NULL),
(8860, NULL, 'IPR013276', NULL, 'Peptidase M12B, ADAM-TS5', 'Pept_M12B_ADAM-TS5', 4, NULL),
(8861, NULL, 'IPR008400', NULL, 'Anthrax toxin receptor, extracellular domain', 'Anthrax_toxin_rcpt_extracel', 3, NULL),
(8862, NULL, 'IPR011885', NULL, 'Periplasmic nitrate reductase c-type cytochrome, NapC/NirT', 'NO3Rdtase_cyt_c_NapC/NirT', 4, NULL),
(8863, NULL, 'IPR012546', NULL, 'Protein of unknown function DUF1699', 'DUF1699', 4, NULL),
(8864, NULL, 'IPR012550', NULL, 'Protein of unknown function DUF1706', 'DUF1706', 4, NULL),
(8865, NULL, 'IPR008966', NULL, 'Adhesion domain superfamily', 'Adhesion_dom_sf', 5, NULL),
(8866, NULL, 'IPR013314', NULL, 'Globin, lamprey/hagfish type', 'Globin_lamprey/hagfish', 4, NULL),
(8867, NULL, 'IPR010994', NULL, 'RuvA domain 2-like', 'RuvA_2-like', 5, NULL),
(8868, NULL, 'IPR011892', NULL, 'Cytidylate kinase, putative', 'Cyt_kin_arch', 4, NULL),
(8869, NULL, 'IPR023948', NULL, 'Glutathione-regulated potassium-efflux system ancillary protein KefF', 'K_H_efflux_KefF', 4, NULL),
(8870, NULL, 'IPR014776', NULL, 'Tetrapyrrole methylase, subdomain 2', '4pyrrole_Mease_sub2', 5, NULL),
(8871, NULL, 'IPR013282', NULL, 'Bcl-2-related protein A1', 'Bcl2A1', 4, NULL),
(8872, NULL, 'IPR013311', NULL, 'Cysteinyl leukotriene receptor 2', 'CLT2_recept', 4, NULL),
(8873, NULL, 'IPR024644', NULL, 'Interferon-induced protein 44 family', 'IFI44_fam', 4, NULL),
(8874, NULL, 'IPR014168', NULL, 'Tol-Pal system protein TolR', 'Tol-Pal_TolR', 4, NULL),
(8875, NULL, 'IPR023174', NULL, '3''5''-cyclic nucleotide phosphodiesterase, conserved site', 'PDEase_CS', 2, NULL),
(8876, NULL, 'IPR016018', NULL, 'Guanine nucleotide exchange factor SopE, N-terminal domain', 'SopE_N_dom', 3, NULL),
(8877, NULL, 'IPR008300', NULL, 'Phosphate propanoyltransferase', 'PTAC', 4, NULL),
(8878, NULL, 'IPR008926', NULL, 'Ribonucleotide reductase R1 subunit, N-terminal', 'RNR_R1-su_N', 5, NULL),
(8879, NULL, 'IPR010311', NULL, 'Reovirus core-spike lambda-2', 'Reovirus_L2', 4, NULL),
(8880, NULL, 'IPR008952', NULL, 'Tetraspanin, EC2 domain superfamily', 'Tetraspanin_EC2_sf', 5, NULL),
(8881, NULL, 'IPR008441', NULL, 'AfumC-like glycosyltransferase', 'AfumC-like_glycosyl_Trfase', 4, NULL),
(8882, NULL, 'IPR008405', NULL, 'Apolipoprotein L', 'ApoL', 4, NULL),
(8883, NULL, 'IPR008427', NULL, 'Extracellular membrane protein, CFEM domain', 'Extracellular_membr_CFEM_dom', 3, NULL),
(8884, NULL, 'IPR024645', NULL, 'Mitochondrial export protein Som1', 'Mitochondr_Som1', 4, NULL),
(8885, NULL, 'IPR014781', NULL, 'Anthrax toxin, lethal/endema factor, N-/C-terminal', 'Anthrax_toxin_lethal/edema_N/C', 3, NULL),
(8886, NULL, 'IPR015070', NULL, 'DJBP, EF-hand domain', 'EF_hand_DJBP', 3, NULL),
(8887, NULL, 'IPR008918', NULL, 'Helix-hairpin-helix motif, class 2', 'HhH2', 2, NULL),
(8888, NULL, 'IPR014273', NULL, 'Isocitrate dehydrogenase, alphaproteobacteria-type', 'Isocitrate_DH_aproteobac-typ', 4, NULL),
(8889, NULL, 'IPR014628', NULL, 'Mannose-6-phosphate isomerase, Firmicutes type, short form', 'Man6P_isomerase_Firm_short', 4, NULL),
(8890, NULL, 'IPR008415', NULL, 'Nucleopolyhedrovirus late expression factor 3', 'Baculo_LEF-3', 4, NULL),
(8891, NULL, 'IPR008288', NULL, 'Poly [ADP-ribose] polymerase', 'PARP', 4, NULL),
(8892, NULL, 'IPR014195', NULL, 'Sporulation stage III, protein AG', 'Spore_III_AG', 4, NULL),
(8893, NULL, 'IPR034858', NULL, 'RBM12B, RNA recognition motif 3', 'RBM12B_RRM3', 3, NULL),
(8894, NULL, 'IPR008259', NULL, 'FMN-dependent alpha-hydroxy acid dehydrogenase, active site', 'FMN_hydac_DH_AS', 0, NULL),
(8895, NULL, 'IPR034855', NULL, 'RBM12, RNA recognition motif 3', 'RBM12_RRM3', 3, NULL),
(8896, NULL, 'IPR013300', NULL, 'Wnt-7 protein', 'Wnt7', 4, NULL),
(8897, NULL, 'IPR011893', NULL, 'Selenoprotein, Rdx-type', 'Selenoprotein_Rdx-typ', 4, NULL),
(8898, NULL, 'IPR014179', NULL, 'PfaD family protein', 'PfaD_fam', 4, NULL),
(8899, NULL, 'IPR013172', NULL, 'Bomanin', 'Bomanin', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8900, NULL, 'IPR013044', NULL, 'Domain of unknown function DUF1548', 'DUF1548', 3, NULL),
(8901, NULL, 'IPR010360', NULL, 'Protein of unknown function DUF956', 'DUF956', 4, NULL),
(8902, NULL, 'IPR008258', NULL, 'Transglycosylase SLT domain 1', 'Transglycosylase_SLT_dom_1', 3, NULL),
(8903, NULL, 'IPR015061', NULL, 'Domain of unknown function DUF1882', 'DUF1882', 3, NULL),
(8904, NULL, 'IPR023170', NULL, 'Helix-hairpin-helix, base-excision DNA repair, C-terminal', 'HhH_base_excis_C', 5, NULL),
(8905, NULL, 'IPR014185', NULL, 'Glutathione-dependent formaldehyde-activating enzyme', 'Formald_GSH', 4, NULL),
(8906, NULL, 'IPR010353', NULL, 'Phenol hydroxylase subunit', 'DmpK', 4, NULL),
(8907, NULL, 'IPR011716', NULL, 'Tetratricopeptide TPR-3', 'TPR-3', 7, NULL),
(8908, NULL, 'IPR008947', NULL, 'Phospholipase C/P1 nuclease domain superfamily', 'PLipase_C/P1_nuclease_dom_sf', 5, NULL),
(8909, NULL, 'IPR008404', NULL, 'Apovitellenin I', 'Apo-VLDL-II', 4, NULL),
(8910, NULL, 'IPR008445', NULL, 'Core protein A15', 'A15', 4, NULL),
(8911, NULL, 'IPR008446', NULL, 'Chordopoxvirus G2', 'Chordopox_G2', 4, NULL),
(8912, NULL, 'IPR010315', NULL, 'Protein of unknown function DUF915, hydrolase-like', 'DUF915_hydro-like', 4, NULL),
(8913, NULL, 'IPR010364', NULL, 'Uncharacterised protein family, inner membrane CreD', 'Uncharacterised_IM_CreD', 4, NULL),
(8914, NULL, 'IPR008448', NULL, 'DNA-directed RNA polymerase, 7kDa polypeptide, chordopoxviral', 'RNA_pol_7kDa_chordopoxvir', 4, NULL),
(8915, NULL, 'IPR023041', NULL, 'Glucose receptor Git3, N-terminal', 'Glucose_rcpt_Git3_N', 3, NULL),
(8916, NULL, 'IPR013305', NULL, 'ABC transporter Tap-like', 'ABC_Tap-like', 4, NULL),
(8917, NULL, 'IPR008266', NULL, 'Tyrosine-protein kinase, active site', 'Tyr_kinase_AS', 0, NULL),
(8918, NULL, 'IPR014276', NULL, '2-oxoglutarate dehydrogenase, E2 component', '2-oxoglutarate_DH_E2', 4, NULL),
(8919, NULL, 'IPR008401', NULL, 'Apc13', 'Apc13', 4, NULL),
(8920, NULL, 'IPR018245', NULL, 'Gonadotropin, beta subunit, conserved site', 'Gonadotropin_bsu_CS', 2, NULL),
(8921, NULL, 'IPR014645', NULL, 'Target of Myb protein 1', 'TOM1', 4, NULL),
(8922, NULL, 'IPR008924', NULL, 'Methyl-coenzyme M reductase, alpha/beta subunit, C-terminal', 'Me_CoM_Rdtase_asu/bsu_C', 5, NULL),
(8923, NULL, 'IPR010367', NULL, 'Poxvirus G3', 'Poxvirus_G3', 4, NULL),
(8924, NULL, 'IPR008302', NULL, 'Uncharacterised conserved protein UCP016719', 'UCP016719', 4, NULL),
(8925, NULL, 'IPR014280', NULL, 'Nitrogenase iron-iron, beta subunit', 'Nase_Fe-Fe_bsu', 4, NULL),
(8926, NULL, 'IPR023129', NULL, 'MTH889-like domain superfamily', 'MTH889-like_dom_sf', 5, NULL),
(8927, NULL, 'IPR008416', NULL, 'Baculovirus VP1054', 'Baculo_VP1054', 4, NULL),
(8928, NULL, 'IPR015087', NULL, 'Necrosis inducing protein-1', 'NIP1', 4, NULL),
(8929, NULL, 'IPR018312', NULL, 'Chromosomal replication control, initiator DnaA, conserved site', 'Chromosome_initiator_DnaA_CS', 2, NULL),
(8930, NULL, 'IPR015098', NULL, 'EBP50, C-terminal', 'EBP50_C-term', 3, NULL),
(8931, NULL, 'IPR015055', NULL, 'STIV B116-like', 'STIV_B116-like', 4, NULL),
(8932, NULL, 'IPR014277', NULL, 'Orc1/Cdc6-type DNA replication protein, archaea', 'Orc1/Cdc6_arc', 4, NULL),
(8933, NULL, 'IPR008919', NULL, 'Retrovirus capsid, N-terminal', 'Retrov_capsid_N', 5, NULL),
(8934, NULL, 'IPR018241', NULL, 'Anion exchange, conserved site', 'Anion_exchange_CS', 2, NULL),
(8935, NULL, 'IPR010345', NULL, 'Interleukin-17 family', 'IL-17_fam', 4, NULL),
(8936, NULL, 'IPR010369', NULL, 'Protein SOSEKI', 'SOK', 4, NULL),
(8937, NULL, 'IPR008402', NULL, 'Anaphase-promoting complex subunit  15/mnd2', 'APC_su15/mnd2', 4, NULL),
(8938, NULL, 'IPR011883', NULL, 'Phenylacetate-CoA oxygenase, PaaJ subunit', 'PA_CoA_Oase4', 4, NULL),
(8939, NULL, 'IPR010370', NULL, 'Transcription elongation factor A protein-like 1', 'TCEAL1', 4, NULL),
(8940, NULL, 'IPR035190', NULL, 'Proteasome subunit alpha 7', 'Proteasome_alpha7', 4, NULL),
(8941, NULL, 'IPR008949', NULL, 'Isoprenoid synthase domain superfamily', 'Isoprenoid_synthase_dom_sf', 5, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8942, NULL, 'IPR015102', NULL, 'Transcriptional regulator HTH-type, FeoC', 'Tscrpt_reg_HTH_FeoC', 3, NULL),
(8943, NULL, 'IPR008927', NULL, '6-phosphogluconate dehydrogenase-like, C-terminal domain superfamily', '6-PGluconate_DH-like_C_sf', 5, NULL),
(8944, NULL, 'IPR014646', NULL, 'Replication factor A protein 2', 'Rfa2/RPA32', 4, NULL),
(8945, NULL, 'IPR012547', NULL, 'PD-(D/E)XK nuclease superfamily 9', 'PDDEXK_9', 4, NULL),
(8946, NULL, 'IPR013162', NULL, 'CD80-like, immunoglobulin C2-set', 'CD80_C2-set', 3, NULL),
(8947, NULL, 'IPR010328', NULL, 'Protein of unknown function DUF928', 'DUF928', 4, NULL),
(8948, NULL, 'IPR008965', NULL, 'CBM2/CBM3, carbohydrate-binding domain superfamily', 'CBM2/CBM3_carb-bd_dom_sf', 5, NULL),
(8949, NULL, 'IPR034756', NULL, 'Type II secretion system (T2SS), protein M subtype b', 'T2SSM_b', 4, NULL),
(8950, NULL, 'IPR014651', NULL, 'Uncharacterised conserved protein, 2xCBS, MJ1404 type', 'UCP036983_2CBS_MJ1404', 4, NULL),
(8951, NULL, 'IPR010323', NULL, 'Protein of unknown function DUF924', 'DUF924', 4, NULL),
(8952, NULL, 'IPR035119', NULL, 'Inclusion membrane protein F', 'IncF', 4, NULL),
(8953, NULL, 'IPR018394', NULL, 'Cryptochrome/DNA photolyase class 1, conserved site, C-terminal', 'DNA_photolyase_1_CS_C', 2, NULL),
(8954, NULL, 'IPR008296', NULL, 'Tissue factor pathway inhibitor-like', 'TFPI-like', 4, NULL),
(8955, NULL, 'IPR014183', NULL, 'Alcohol dehydrogenase class III', 'ADH_3', 4, NULL),
(8956, NULL, 'IPR008435', NULL, 'Corticotropin-releasing factor-binding protein', 'CRF-bd', 4, NULL),
(8957, NULL, 'IPR008937', NULL, 'Ras-like guanine nucleotide exchange factor', 'Ras-like_GEF', 4, NULL),
(8958, NULL, 'IPR018306', NULL, 'Bacteriophage T5, Orf172 DNA-binding', 'Phage_T5_Orf172_DNA-bd', 3, NULL),
(8959, NULL, 'IPR008432', NULL, 'Cytochrome c oxidase subunit 5c', 'COX5C', 4, NULL),
(8960, NULL, 'IPR014191', NULL, 'Anaerobic ribonucleoside-triphosphate reductase activator', 'Anaer_RNR_activator', 4, NULL),
(8961, NULL, 'IPR023554', NULL, 'ATP-dependent RNA helicase RhlB type', 'RNA_helicase_ATP-dep_RhlB', 4, NULL),
(8962, NULL, 'IPR034766', NULL, 'Uroplakin-1b', 'Uroplakin-1b', 4, NULL),
(8963, NULL, 'IPR014186', NULL, 'S-formylglutathione hydrolase', 'S-formylglutathione_hydrol', 4, NULL),
(8964, NULL, 'IPR015076', NULL, 'Vasopressin V1 receptor, C-terminal', 'V1R_C', 3, NULL),
(8965, NULL, 'IPR034753', NULL, 'hSac2 domain', 'hSac2', 3, NULL),
(8966, NULL, 'IPR011004', NULL, 'Trimeric LpxA-like superfamily', 'Trimer_LpxA-like_sf', 5, NULL),
(8967, NULL, 'IPR008433', NULL, 'Cytochrome C oxidase, subunit VIIB', 'Cyt_c_oxidase_suVIIB', 4, NULL),
(8968, NULL, 'IPR010309', NULL, 'E3 ubiquitin ligase, domain of unknown function DUF908', 'E3_Ub_ligase_DUF908', 3, NULL),
(8969, NULL, 'IPR010358', NULL, 'BRCA1-A complex subunit BRE', 'BRE', 4, NULL),
(8970, NULL, 'IPR018309', NULL, 'Transcription regulator PadR, C-terminal', 'Tscrpt_reg_PadR_C', 3, NULL),
(8971, NULL, 'IPR010344', NULL, 'Exopolysaccharide biosynthesis protein YbjH', 'YbjH', 4, NULL),
(8972, NULL, 'IPR010313', NULL, 'Glycine N-acyltransferase', 'Glycine_N-acyltransferase', 4, NULL),
(8973, NULL, 'IPR013769', NULL, 'Band 3 cytoplasmic domain', 'Band3_cytoplasmic_dom', 3, NULL),
(8974, NULL, 'IPR011882', NULL, '1,2-phenylacetyl-CoA epoxidase, subunit C', 'PaaC', 4, NULL),
(8975, NULL, 'IPR008307', NULL, 'Uncharacterised conserved protein UCP018957', 'UCP018957', 4, NULL),
(8976, NULL, 'IPR035140', NULL, 'Proteasome subunit beta 6', 'Proteasome_beta6', 4, NULL),
(8977, NULL, 'IPR034072', NULL, 'DNA-binding protein SMUBP-2, R3H domain', 'R3H_Smubp-2', 3, NULL),
(8978, NULL, 'IPR014644', NULL, 'Protein arginine N-methyltransferase PRMT7', 'MeTrfase_PRMT7', 4, NULL),
(8979, NULL, 'IPR008439', NULL, 'Campylobacter major outer membrane', 'Campylo_MOMP', 4, NULL),
(8980, NULL, 'IPR015064', NULL, 'Sporulation inhibitor A', 'Sda', 4, NULL),
(8981, NULL, 'IPR013296', NULL, 'HSPB1-associated protein 1', 'HSPB1-associated_protein_1', 4, NULL),
(8982, NULL, 'IPR013307', NULL, 'Superantigen, staphylococcal/streptococcal toxin, bacterial', 'Superantigen_bac', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(8983, NULL, 'IPR015079', NULL, 'Protein of unknown function DUF1889', 'DUF1889', 4, NULL),
(8984, NULL, 'IPR010326', NULL, 'Exocyst complex component EXOC3/Sec6', 'EXOC3/Sec6', 4, NULL),
(8985, NULL, 'IPR008939', NULL, 'Lytic transglycosylase, superhelical U-shaped', 'Lytic_TGlycosylase_superhlx_U', 5, NULL),
(8986, NULL, 'IPR008309', NULL, 'Uncharacterised conserved protein UCP025560', 'UCP025560', 4, NULL),
(8987, NULL, 'IPR008420', NULL, 'Borrelia membrane P13', 'Borrelia_P13', 4, NULL),
(8988, NULL, 'IPR013281', NULL, 'Apoptosis regulator, Mcl-1', 'Apop_reg_Mc1', 4, NULL),
(8989, NULL, 'IPR008271', NULL, 'Serine/threonine-protein kinase, active site', 'Ser/Thr_kinase_AS', 0, NULL),
(8990, NULL, 'IPR015963', NULL, 'Uridylate kinase, bacteria', 'Uridylate_kinase_bac', 4, NULL),
(8991, NULL, 'IPR008410', NULL, 'Cellulose synthase operon C, C-terminal', 'BCSC_C', 3, NULL),
(8992, NULL, 'IPR008434', NULL, 'Magnesium-protoporphyrin IX monomethyl ester [oxidative] cyclase', 'AcsF', 4, NULL),
(8993, NULL, 'IPR008953', NULL, 'Iron hydrogenase, small subunit HydB-type', 'Fe_hydrogenase_HydB', 5, NULL),
(8994, NULL, 'IPR013166', NULL, 'Citrate lyase ligase, C-terminal', 'Citrate_lyase_ligase_C', 3, NULL),
(8995, NULL, 'IPR008304', NULL, 'Uncharacterised conserved protein UCP017998', 'UCP017998', 4, NULL),
(8996, NULL, 'IPR010329', NULL, '3-hydroxyanthranilic acid dioxygenase', '3hydroanth_dOase', 4, NULL),
(8997, NULL, 'IPR014279', NULL, 'Nitrogenase vanadium-iron, delta subunit', 'Nase_V-Fe_dsu', 4, NULL),
(8998, NULL, 'IPR012542', NULL, 'DTHCT', 'DTHCT', 3, NULL),
(8999, NULL, 'IPR014173', NULL, 'Peptidase C11, Clostripain Clostridium species', 'Pept_C11_CLOspp', 4, NULL),
(9000, NULL, 'IPR014197', NULL, 'Sporulation protein YunB', 'Sporulation_prot_YunB', 4, NULL),
(9001, NULL, 'IPR015972', NULL, 'Ribosomal protein L19/L19e, domain 1', 'Ribosomal_L19/L19e_dom1', 5, NULL),
(9002, NULL, 'IPR016075', NULL, 'RNA polymerase, phosphoprotein P, C-terminal XD, paramyxovirinae', 'RNA_pol_Pprot-P_XD_paramyxovir', 5, NULL),
(9003, NULL, 'IPR016030', NULL, 'Cobalamin adenosyltransferase-like', 'CblAdoTrfase-like', 3, NULL),
(9004, NULL, 'IPR014199', NULL, 'Sporulation protein YtxC', 'Spore_YtxC', 4, NULL),
(9005, NULL, 'IPR009484', NULL, 'Protein of unknown function DUF1103', 'DUF1103', 7, NULL),
(9006, NULL, 'IPR013432', NULL, 'Putative addiction module antidote', 'Doc_partner', 4, NULL),
(9007, NULL, 'IPR009485', NULL, 'Borna disease virus P10', 'BDV_P10', 4, NULL),
(9008, NULL, 'IPR014032', NULL, 'Peptidase A24A, prepilin type IV, bacterial', 'Peptidase_A24A_bac', 4, NULL),
(9009, NULL, 'IPR011146', NULL, 'HIT-like domain', 'HIT-like', 3, NULL),
(9010, NULL, 'IPR013457', NULL, 'Rhamnose isomerase-related', 'Rhamnose_iso-rel', 4, NULL),
(9011, NULL, 'IPR010643', NULL, 'Helical and beta-bridge domain', 'HBB', 3, NULL),
(9012, NULL, 'IPR014204', NULL, 'Sporulation stage V, protein AE', 'Spore_V_AE', 4, NULL),
(9013, NULL, 'IPR024650', NULL, 'Peptidase A2B, Ty3 transposon peptidase', 'Peptidase_A2B', 4, NULL),
(9014, NULL, 'IPR013455', NULL, 'ABC transporter, D-xylose, ATP-binding protein', 'ABC_transptr_xylose_ATP-bd', 4, NULL),
(9015, NULL, 'IPR034670', NULL, 'Checkpoint kinase 1, catalytic domain', 'Chk1_catalytic_dom', 3, NULL),
(9016, NULL, 'IPR009460', NULL, 'Ryanodine Receptor TM 4-6', 'Ryanrecept_TM4-6', 3, NULL),
(9017, NULL, 'IPR014288', NULL, 'RNA polymerase sigma-B factor', 'RNA_pol_sigma-B', 4, NULL),
(9018, NULL, 'IPR035043', NULL, 'SH2 domain-containing adapter protein F', 'SHF', 4, NULL),
(9019, NULL, 'IPR010374', NULL, 'Protein of unknown function DUF969', 'DUF969', 4, NULL),
(9020, NULL, 'IPR009491', NULL, 'Protein of unknown function DUF1107', 'DUF1107', 4, NULL),
(9021, NULL, 'IPR015994', NULL, 'Phosphoenolpyruvate carboxykinase (ATP), conserved site', 'PEPCK_ATP_CS', 2, NULL),
(9022, NULL, 'IPR009510', NULL, 'Type III secretion system, secretion protein  K', 'T3SS_K', 4, NULL),
(9023, NULL, 'IPR015483', NULL, 'Gamma 1 syntrophin', 'Syntrophin_gamma', 4, NULL),
(9024, NULL, 'IPR010627', NULL, 'Peptidase A24A, N-terminal', 'Pept_A24A_N', 3, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9025, NULL, 'IPR009993', NULL, 'TDP-N-acetylfucosamine:lipid II N-acetylfucosaminyltransferase', 'WecF', 4, NULL),
(9026, NULL, 'IPR008982', NULL, 'Adenovirus pIV-like, attachment domain', 'Adenovirus_pIV-like_att', 5, NULL),
(9027, NULL, 'IPR011532', NULL, 'Sec-independent protein translocase TatC, archaeal', 'TatC_arc', 4, NULL),
(9028, NULL, 'IPR023168', NULL, 'Aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, C-terminal, domain 2', 'GatB_Yqey_C_2', 5, NULL),
(9029, NULL, 'IPR011145', NULL, 'Scavenger mRNA decapping enzyme, N-terminal', 'Scavenger_mRNA_decap_enz_N', 5, NULL),
(9030, NULL, 'IPR035201', NULL, 'Cell division control protein 24, OB domain 1', 'Cdc24_OB1', 3, NULL),
(9031, NULL, 'IPR018409', NULL, 'Na+/H+ exchanger, isoform 8', 'Na/H_exchanger_8', 4, NULL),
(9032, NULL, 'IPR011048', NULL, 'Cytochrome cd1-nitrite reductase-like, haem d1 domain superfamily', 'Haem_d1_sf', 5, NULL),
(9033, NULL, 'IPR013420', NULL, 'CRISPR-associated protein Csh1, C-terminal', 'CRISPR-assoc_prot_Csh1_C', 3, NULL),
(9034, NULL, 'IPR035233', NULL, 'Protein of unknown function DUF5443', 'DUF5443', 4, NULL),
(9035, NULL, 'IPR018497', NULL, 'Peptidase M13, C-terminal domain', 'Peptidase_M13_C', 3, NULL),
(9036, NULL, 'IPR015439', NULL, 'Integrin beta-2 subunit', 'Integrin_bsu-2', 4, NULL),
(9037, NULL, 'IPR010375', NULL, 'Cyclic-di-AMP receptor', 'CdAMP_rec', 4, NULL),
(9038, NULL, 'IPR011055', NULL, 'Duplicated hybrid motif', 'Dup_hybrid_motif', 5, NULL),
(9039, NULL, 'IPR035204', NULL, 'NADH-ubiquinone oxidoreductase 11kDa subunit', 'NDUFB11', 4, NULL),
(9040, NULL, 'IPR009503', NULL, 'Protein of unknown function DUF1125', 'DUF1125', 4, NULL),
(9041, NULL, 'IPR014200', NULL, 'RNA polymerase sigma-E type', 'RNA_pol_sigma-E', 4, NULL),
(9042, NULL, 'IPR014284', NULL, 'RNA polymerase sigma-70 like domain', 'RNA_pol_sigma-70_dom', 3, NULL),
(9043, NULL, 'IPR010255', NULL, 'Haem peroxidase superfamily', 'Haem_peroxidase_sf', 5, NULL),
(9044, NULL, 'IPR010008', NULL, 'Vibrio phage CTX, RstB', 'Vibrio_Phage_CTX_RstB', 4, NULL),
(9045, NULL, 'IPR010679', NULL, 'Domain of unknown function DUF1254', 'DUF1254', 3, NULL),
(9046, NULL, 'IPR015476', NULL, 'Calcitonin gene-related peptide', 'Calcitonin_gene-rel_peptide', 4, NULL),
(9047, NULL, 'IPR013422', NULL, 'CRISPR-associated protein Cas5, N-terminal', 'CRISPR-assoc_prot_Cas5_N', 3, NULL),
(9048, NULL, 'IPR009471', NULL, 'Teneurin intracellular, N-terminal', 'Ten_N', 3, NULL),
(9049, NULL, 'IPR010007', NULL, 'SPAN-X family', 'SPAN-X_fam', 4, NULL),
(9050, NULL, 'IPR011032', NULL, 'GroES-like superfamily', 'GroES-like_sf', 5, NULL),
(9051, NULL, 'IPR009992', NULL, 'Acyltransferase Tri3/Sat12/Sat16/Mac1', 'Tri3/Sat12/Sat16/Mac1', 4, NULL),
(9052, NULL, 'IPR013410', NULL, 'CRISPR-associated RAMP Cmr4', 'CRISPR-assoc_RAMP_Cmr4', 4, NULL),
(9053, NULL, 'IPR013426', NULL, 'Exosortase, EpsH-like', 'EpsH-like', 4, NULL),
(9054, NULL, 'IPR018450', NULL, 'Romo1/Mgr2', 'Romo1/Mgr2', 4, NULL),
(9055, NULL, 'IPR015428', NULL, 'Synaptotagmin 1', 'Synaptotagmin1', 4, NULL),
(9056, NULL, 'IPR013462', NULL, 'Gas vesicle protein GvpN', 'Gas-vesicle_GvpN', 4, NULL),
(9057, NULL, 'IPR015446', NULL, 'Bone morphogenetic protein 1/tolloid-like protein', 'BMP_1/tolloid-like', 4, NULL),
(9058, NULL, 'IPR008974', NULL, 'TRAF-like', 'TRAF-like', 5, NULL),
(9059, NULL, 'IPR010667', NULL, 'Bacteriophage T4, Gp19, tail tube', 'Phage_T4_Gp19', 4, NULL),
(9060, NULL, 'IPR016084', NULL, 'Haem oxygenase-like, multi-helical', 'Haem_Oase-like_multi-hlx', 5, NULL),
(9061, NULL, 'IPR011547', NULL, 'SLC26A/SulP transporter domain', 'SLC26A/SulP_dom', 3, NULL),
(9062, NULL, 'IPR013452', NULL, 'Xylose isomerase, bacterial-type', 'Xylose_isom_bac', 4, NULL),
(9063, NULL, 'IPR011039', NULL, 'Transcription Factor IIF, Rap30/Rap74, interaction', 'TFIIF_interaction', 5, NULL),
(9064, NULL, 'IPR010003', NULL, 'HARP domain', 'HARP_dom', 3, NULL),
(9065, NULL, 'IPR008967', NULL, 'p53-like transcription factor, DNA-binding', 'p53-like_TF_DNA-bd', 5, NULL),
(9066, NULL, 'IPR013440', NULL, 'Tryptophanase', 'TNase', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9067, NULL, 'IPR016052', NULL, 'Bacteriophage 933W, L0136', 'Phage_933W_L0136', 4, NULL),
(9068, NULL, 'IPR009507', NULL, 'Protein of unknown function UPF0435', 'UPF0435', 4, NULL),
(9069, NULL, 'IPR013446', NULL, 'Glucose-1-phosphate cytidylyltransferase', 'G1P_cyt_trans', 4, NULL),
(9070, NULL, 'IPR010644', NULL, 'Heme-dependent peroxidase ChdC/CLD', 'ChdC/CLD', 4, NULL),
(9071, NULL, 'IPR010623', NULL, 'Type VI secretion system IcmF, C-terminal', 'IcmF_C', 3, NULL),
(9072, NULL, 'IPR013409', NULL, 'CRISPR-associated protein Csx3', 'CRISPR-assoc_prot_Csx3', 4, NULL),
(9073, NULL, 'IPR023557', NULL, '4-deoxy-4-formamido-L-arabinose-phosphoundecaprenol deformylase ArnD, probable', 'ArnD', 4, NULL),
(9074, NULL, 'IPR013413', NULL, 'CRISPR-associated protein, NE0113', 'CRISPR-assoc_prot_NE0113', 4, NULL),
(9075, NULL, 'IPR018463', NULL, 'Centromere protein Cenp-F, N-terminal', 'Centromere_CenpF_N', 3, NULL),
(9076, NULL, 'IPR013437', NULL, 'Probable peptidoglycan glycosyltransferase FtsW', 'FtsW', 4, NULL),
(9077, NULL, 'IPR035041', NULL, 'SH2 domain-containing adapter protein E', 'SHE', 4, NULL),
(9078, NULL, 'IPR014282', NULL, 'Nitrogen fixation protein NifM', 'Nitrogen_fix_NifM', 4, NULL),
(9079, NULL, 'IPR013416', NULL, 'Conserved hypothetical protein CHP02587, putative integral membrane', 'CHP02587_IM', 4, NULL),
(9080, NULL, 'IPR018935', NULL, 'RIO kinase, conserved site', 'RIO_kinase_CS', 2, NULL),
(9081, NULL, 'IPR014286', NULL, 'RNA polymerase sigma-70 RpoE type', 'RNA_pol_sigma70_RpoE', 4, NULL),
(9082, NULL, 'IPR018942', NULL, 'Seminal vesicle protein repeat', 'Seminal_vesicle_protein_repeat', 7, NULL),
(9083, NULL, 'IPR011035', NULL, 'Ribosomal protein L25/Gln-tRNA synthetase, anti-codon-binding domain superfamily', 'Ribosomal_L25/Gln-tRNA_synth', 5, NULL),
(9084, NULL, 'IPR013443', NULL, 'Putative CRISPR-associated protein, VVA1548 family', 'CRISPR-assoc_prot_put_VVA1548', 4, NULL),
(9085, NULL, 'IPR035044', NULL, 'SHF, SH2 domain', 'SHF_SH2', 3, NULL),
(9086, NULL, 'IPR035039', NULL, 'SH2 domain-containing adapter protein D', 'SHD', 4, NULL),
(9087, NULL, 'IPR010651', NULL, 'Sugar transport protein', 'Sugar_transport', 4, NULL),
(9088, NULL, 'IPR010924', NULL, 'DNA-directed RNA polymerase subunit Rpo4', 'Rpo4', 4, NULL),
(9089, NULL, 'IPR011342', NULL, 'Shikimate dehydrogenase', 'Shikimate_DH', 4, NULL),
(9090, NULL, 'IPR009457', NULL, 'THH1/TOM1/TOM3 domain', 'THH1/TOM1/TOM3_dom', 3, NULL),
(9091, NULL, 'IPR015451', NULL, 'Cyclin D', 'Cyclin_D', 4, NULL),
(9092, NULL, 'IPR009989', NULL, 'TrbM', 'TrbM', 4, NULL),
(9093, NULL, 'IPR015993', NULL, 'CDP-diacylglycerol pyrophosphatase, proteobacterial', 'CDP-diacylglyc_Pase_proteobac', 4, NULL),
(9094, NULL, 'IPR015938', NULL, 'Glycine N-acyltransferase, N-terminal', 'Glycine_N-acyltransferase_N', 3, NULL),
(9095, NULL, 'IPR035205', NULL, 'Protein of unknown function DUF5320', 'DUF5320', 4, NULL),
(9096, NULL, 'IPR015990', NULL, 'ADP-specific phosphofructokinase/glucokinase, archaeal', 'ADP_PFK/GK_arc', 4, NULL),
(9097, NULL, 'IPR011015', NULL, 'LEM/LEM-like domain superfamily', 'LEM/LEM-like_dom_sf', 5, NULL),
(9098, NULL, 'IPR019752', NULL, 'Pyruvate/ketoisovalerate oxidoreductase, catalytic domain', 'Pyrv/ketoisovalerate_OxRed_cat', 3, NULL),
(9099, NULL, 'IPR014293', NULL, 'RNA polymerase sigma-70, actinobacteria', 'RNA_pol_sigma70_actinobac', 4, NULL),
(9100, NULL, 'IPR015437', NULL, 'Integrin beta-7 subunit', 'Integrin_bsu-7', 4, NULL),
(9101, NULL, 'IPR013423', NULL, 'Conserved hypothetical protein CHP02594', 'CHP02594', 4, NULL),
(9102, NULL, 'IPR016053', NULL, 'Haem oxygenase-like', 'Haem_Oase-like', 4, NULL),
(9103, NULL, 'IPR009496', NULL, 'Repulsive guidance molecule, C-terminal', 'RGM_C', 3, NULL),
(9104, NULL, 'IPR021123', NULL, 'Type III secretion, needle-protein-like', 'T3SS_needle-like', 4, NULL),
(9105, NULL, 'IPR011052', NULL, 'Proteinase/amylase inhibitor domain superfamily', 'Proteinase_amylase_inhib_sf', 5, NULL),
(9106, NULL, 'IPR016054', NULL, 'Ly-6 antigen/uPA receptor-like', 'LY6_UPA_recep-like', 3, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9107, NULL, 'IPR015974', NULL, 'Ribosomal protein L19e, domain 3', 'Ribosomal_L19e_dom3', 5, NULL),
(9108, NULL, 'IPR014017', NULL, 'UvrD-like DNA helicase, C-terminal', 'DNA_helicase_UvrD-like_C', 3, NULL),
(9109, NULL, 'IPR010000', NULL, 'Caerin 1', 'Caerin_1', 3, NULL),
(9110, NULL, 'IPR011060', NULL, 'Ribulose-phosphate binding barrel', 'RibuloseP-bd_barrel', 5, NULL),
(9111, NULL, 'IPR014201', NULL, 'Sporulation stage IV, protein A', 'Spore_IV_A', 4, NULL),
(9112, NULL, 'IPR011061', NULL, 'Hirudin/antistatin', 'Hirudin/antistatin', 5, NULL),
(9113, NULL, 'IPR013458', NULL, 'Aldose 1-epimerase, bacterial', 'Ald_epimerase_bac', 4, NULL),
(9114, NULL, 'IPR015970', NULL, 'P40 nucleoprotein, subdomain 2, Borna disease virus', 'P40_nucleoprot_sub2_BD-vir', 5, NULL),
(9115, NULL, 'IPR010923', NULL, 'tRNA threonylcarbamoyladenosine biosynthesis protein SUA5', 'T(6)A37_SUA5', 4, NULL),
(9116, NULL, 'IPR009497', NULL, 'Regulator protein, PHA-1', 'Regulator_protein_PHA-1', 4, NULL),
(9117, NULL, 'IPR013449', NULL, 'Rhamnulokinase', 'Rhamnulokinase', 4, NULL),
(9118, NULL, 'IPR018498', NULL, 'Peripherin/rom-1, conserved site', 'Peripherin/rom-1_CS', 2, NULL),
(9119, NULL, 'IPR013428', NULL, 'Putative membrane-bound dehydrogenase', 'Membrane-bound_put_N', 3, NULL),
(9120, NULL, 'IPR008979', NULL, 'Galactose-binding-like domain superfamily', 'Galactose-bd-like_sf', 5, NULL),
(9121, NULL, 'IPR009995', NULL, 'Protein of unknown function DUF1512', 'DUF1512', 4, NULL),
(9122, NULL, 'IPR014294', NULL, 'RNA polymerase sigma-W, bacillaceae', 'RNA_pol_sigma-W_bacilli', 4, NULL),
(9123, NULL, 'IPR012747', NULL, 'MocE Rieske [2Fe-2S]', 'MocE_2FeS', 4, NULL),
(9124, NULL, 'IPR009517', NULL, 'Borna disease virus P24', 'BDV_P24', 4, NULL),
(9125, NULL, 'IPR011047', NULL, 'Quinoprotein alcohol dehydrogenase-like superfamily', 'Quinoprotein_ADH-like_supfam', 5, NULL),
(9126, NULL, 'IPR013419', NULL, 'CRISPR-associated protein Csh2', 'CRISPR-assoc_prot_Csh2', 4, NULL),
(9127, NULL, 'IPR010621', NULL, 'Domain of unknown function DUF1214', 'DUF1214', 3, NULL),
(9128, NULL, 'IPR010656', NULL, 'TRAP C4-dicarboxylate transport system permease DctM subunit', 'DctM', 3, NULL),
(9129, NULL, 'IPR011025', NULL, 'G protein alpha subunit, helical insertion', 'GproteinA_insert', 5, NULL),
(9130, NULL, 'IPR011257', NULL, 'DNA glycosylase', 'DNA_glycosylase', 5, NULL),
(9131, NULL, 'IPR011340', NULL, 'Cysteine desulfurase-related', 'Cys_dSase-rel', 4, NULL),
(9132, NULL, 'IPR015486', NULL, 'Interleukin-2 receptor alpha', 'IL-2_rcpt_alpha', 4, NULL),
(9133, NULL, 'IPR009996', NULL, 'Regulatory protein YycH', 'YycH', 3, NULL),
(9134, NULL, 'IPR009492', NULL, 'TniQ', 'TniQ', 4, NULL),
(9135, NULL, 'IPR010630', NULL, 'Olduvai domain', 'Olduvai_dom', 3, NULL),
(9136, NULL, 'IPR009468', NULL, 'Protein of unknown function DUF1090', 'DUF1090', 4, NULL),
(9137, NULL, 'IPR013460', NULL, 'Lactaldehyde reductase', 'Lactal_redase', 4, NULL),
(9138, NULL, 'IPR024285', NULL, 'Schizont-infected cell agglutination, extracellular beta domain', 'SICA_extracell_b', 3, NULL),
(9139, NULL, 'IPR034556', NULL, 'S-adenosyl-L-methionine-dependent tRNA 4-demethylwyosine synthase', 'tRNA_wybutosine-synthase', 4, NULL),
(9140, NULL, 'IPR011050', NULL, 'Pectin lyase fold/virulence factor', 'Pectin_lyase_fold/virulence', 5, NULL),
(9141, NULL, 'IPR013408', NULL, 'CRISPR system single-strand-specific deoxyribonuclease Cas10/Csm1', 'Cas10/Csm1', 4, NULL),
(9142, NULL, 'IPR014013', NULL, 'Helicase superfamily 1/2, ATP-binding domain, DinG/Rad3-type', 'Helic_SF1/SF2_ATP-bd_DinG/Rad3', 3, NULL),
(9143, NULL, 'IPR024270', NULL, 'Urocortin II/III', 'Urocortin_II/III', 4, NULL),
(9144, NULL, 'IPR010254', NULL, 'B12-dependent dehydratases, beta subunit', 'B12-dep_deHydtase_bsu', 5, NULL),
(9145, NULL, 'IPR014213', NULL, 'Sporulation stage V, protein T', 'SpoVT', 4, NULL),
(9146, NULL, 'IPR015984', NULL, 'Cytochrome c prime, subgroup', 'Cyt_c_prime_subgr', 4, NULL),
(9147, NULL, 'IPR014014', NULL, 'RNA helicase, DEAD-box type, Q motif', 'RNA_helicase_DEAD_Q_motif', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9148, NULL, 'IPR024230', NULL, 'GspL, cytoplasmic actin-ATPase-like domain', 'GspL_cyto_dom', 3, NULL),
(9149, NULL, 'IPR010684', NULL, 'RNA polymerase II transcription factor SIII, subunit A', 'RNA_pol_II_trans_fac_SIII_A', 4, NULL),
(9150, NULL, 'IPR013407', NULL, 'CRISPR-associated protein Cmr2', 'CRISPR-assoc_prot_Cmr2', 4, NULL),
(9151, NULL, 'IPR016041', NULL, 'CO dehydrogenase/acetyl-CoA synthase delta subunit, TIM barrel', 'Ac-CoA_synth_d_su_TIM-brl', 3, NULL),
(9152, NULL, 'IPR017859', NULL, 'Treacle protein', 'Treacle', 4, NULL),
(9153, NULL, 'IPR010642', NULL, 'Invasion protein B', 'Invasion_prot_B', 4, NULL),
(9154, NULL, 'IPR012737', NULL, 'Dihydroxyacetone kinase, subunit L', 'DhaK_L_YcgS', 3, NULL),
(9155, NULL, 'IPR014714', NULL, 'Glutamate mutase E subunit, C-terminal domain superfamily', 'Glu_mut_E_C_dom_sf', 5, NULL),
(9156, NULL, 'IPR018941', NULL, 'Tyrosine-protein kinase, receptor Tie-2, Ig-like domain 1, N-terminal', 'Tyr_kin_Tie2_Ig-like_dom-1_N', 3, NULL),
(9157, NULL, 'IPR018933', NULL, 'Netrin module, non-TIMP type', 'Netrin_module_non-TIMP', 3, NULL),
(9158, NULL, 'IPR014291', NULL, 'SUF system FeS cluster assembly associated', 'SUF_FeS_clus_asmbl-assoc', 4, NULL),
(9159, NULL, 'IPR015458', NULL, 'MDM4', 'MDM4', 4, NULL),
(9160, NULL, 'IPR011020', NULL, 'HTTM', 'HTTM', 3, NULL),
(9161, NULL, 'IPR010373', NULL, 'Protein of unknown function DUF968', 'DUF968', 4, NULL),
(9162, NULL, 'IPR010674', NULL, 'Nucleolar GTP-binding protein 1, Rossman-fold domain', 'NOG1_Rossman_fold_dom', 3, NULL),
(9163, NULL, 'IPR013456', NULL, 'D-xylose ABC transporter, substrate-binding protein', 'XylF', 4, NULL),
(9164, NULL, 'IPR013434', NULL, 'Conserved hypothetical protein CHP02611', 'CHP02611', 4, NULL),
(9165, NULL, 'IPR010662', NULL, 'Putative hydrolase RBBP9/YdeN', 'Hydrolase_RBBP9/YdeN', 4, NULL),
(9166, NULL, 'IPR011013', NULL, 'Galactose mutarotase-like domain superfamily', 'Gal_mutarotase_sf_dom', 5, NULL),
(9167, NULL, 'IPR009463', NULL, 'Domain of unknown function DUF1087', 'DUF1087', 3, NULL),
(9168, NULL, 'IPR011053', NULL, 'Single hybrid motif', 'Single_hybrid_motif', 5, NULL),
(9169, NULL, 'IPR011054', NULL, 'Rudiment single hybrid motif', 'Rudment_hybrid_motif', 5, NULL),
(9170, NULL, 'IPR011044', NULL, 'Quinoprotein amine dehydrogenase, beta chain-like', 'Quino_amine_DH_bsu', 5, NULL),
(9171, NULL, 'IPR018939', NULL, 'Autophagy-related protein 27', 'Autophagy-rel_prot_27', 4, NULL),
(9172, NULL, 'IPR013447', NULL, 'Rhamnulose-1-phosphate aldolase', 'Rhamnulose-1-P_Aldolase', 4, NULL),
(9173, NULL, 'IPR015433', NULL, 'Phosphatidylinositol kinase', 'PI_Kinase', 4, NULL),
(9174, NULL, 'IPR013427', NULL, 'Haem-binding domain, putative', 'Haem-bd_dom_put', 3, NULL),
(9175, NULL, 'IPR011556', NULL, 'Glutamate--cysteine ligase, plant-type', 'Glut_cys_lig_pln_type', 4, NULL),
(9176, NULL, 'IPR010637', NULL, 'Sif', 'Sif', 4, NULL),
(9177, NULL, 'IPR035045', NULL, 'SHB, SH2 domain', 'SHB_SH2', 3, NULL),
(9178, NULL, 'IPR018495', NULL, 'Succinate dehydrogenase, cytochrome b subunit, conserved site', 'Succ_DH_cyt_bsu_CS', 2, NULL),
(9179, NULL, 'IPR011254', NULL, 'Prismane-like superfamily', 'Prismane-like_sf', 5, NULL),
(9180, NULL, 'IPR010675', NULL, 'RNA methyltransferase bin3, C-terminal', 'Bin3_C', 3, NULL),
(9181, NULL, 'IPR010629', NULL, 'Insect allergen-related', 'Ins_allergen', 4, NULL),
(9182, NULL, 'IPR008980', NULL, 'Viral capsid/haemagglutinin protein', 'Capsid_hemagglutn', 5, NULL),
(9183, NULL, 'IPR018461', NULL, 'Na+/H+ antiporter, NhaC-like, C-terminal', 'Na/H_Antiport_NhaC-like_C', 3, NULL),
(9184, NULL, 'IPR010009', NULL, 'Apolipophorin-III', 'ApoLp-III', 4, NULL),
(9185, NULL, 'IPR009501', NULL, 'Uncharacterised conserved protein UCP020269', 'UCP020269', 4, NULL),
(9186, NULL, 'IPR013415', NULL, 'CRISPR-associated protein Cas5, bacterial', 'Cas5_bac', 4, NULL),
(9187, NULL, 'IPR011017', NULL, 'TRASH domain', 'TRASH_dom', 3, NULL),
(9188, NULL, 'IPR013404', NULL, 'Competence operon E, ComEB', 'Competence_ComEB', 4, NULL),
(9189, NULL, 'IPR023160', NULL, 'Ribonuclease HII, helix-loop-helix cap domain superfamily', 'RNase_HII_hlx-loop-hlx_cap_dom', 5, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9190, NULL, 'IPR013418', NULL, 'CRISPR-associated protein Csd2', 'CRISPR-assoc_prot_Csd2', 4, NULL),
(9191, NULL, 'IPR011256', NULL, 'Regulatory factor, effector binding domain superfamily', 'Reg_factor_effector_dom_sf', 5, NULL),
(9192, NULL, 'IPR015847', NULL, 'Exoribonuclease, phosphorolytic domain 2', 'ExoRNase_PH_dom2', 3, NULL),
(9193, NULL, 'IPR024273', NULL, 'Urocortin II', 'Urocortin_II', 4, NULL),
(9194, NULL, 'IPR010624', NULL, 'KaiC domain', 'KaiC_dom', 3, NULL),
(9195, NULL, 'IPR015986', NULL, 'Sortase B, Firmicutes', 'SrtB_Firmicute', 4, NULL),
(9196, NULL, 'IPR008981', NULL, 'F-MuLV receptor-binding', 'FMuLV_rcpt-bd', 5, NULL),
(9197, NULL, 'IPR010372', NULL, 'DNA polymerase III delta, N-terminal', 'DNA_pol3_delta_N', 3, NULL),
(9198, NULL, 'IPR015468', NULL, 'CD8 alpha subunit', 'CD8_asu', 4, NULL),
(9199, NULL, 'IPR010004', NULL, 'Uncharacterised protein family Ycf66', 'Uncharacterised_Ycf66', 4, NULL),
(9200, NULL, 'IPR009495', NULL, 'Anti-sigma-F factor NrsF', 'NrsF', 4, NULL),
(9201, NULL, 'IPR015991', NULL, 'Uncharacterised hydrolase TatD-type', 'Hydrolase_TatD-type', 4, NULL),
(9202, NULL, 'IPR013448', NULL, 'L-rhamnose mutarotase', 'L-rhamnose_mutarotase', 4, NULL),
(9203, NULL, 'IPR010663', NULL, 'Zinc finger, FPG/IleRS-type', 'Znf_FPG/IleRS', 3, NULL),
(9204, NULL, 'IPR018480', NULL, 'Phospho-N-acetylmuramoyl-pentapeptide transferase, conserved site', 'PNAcMuramoyl-5peptid_Trfase_CS', 2, NULL),
(9205, NULL, 'IPR024156', NULL, 'Small GTPase superfamily, ARF type', 'Small_GTPase_ARF', 4, NULL),
(9206, NULL, 'IPR010671', NULL, 'Disaggregatase-related repeat', 'Disaggr-rel_rpt', 7, NULL),
(9207, NULL, 'IPR018493', NULL, 'Gas vesicle protein GvpA, conserved site', 'Gas-vesicle_GvpA_CS', 2, NULL),
(9208, NULL, 'IPR010640', NULL, 'Low temperature requirement A', 'Low_temperature_requirement_A', 4, NULL),
(9209, NULL, 'IPR035042', NULL, 'SHE, SH2 domain', 'SHE_SH2', 3, NULL),
(9210, NULL, 'IPR009488', NULL, 'Protein of unknown function DUF1104', 'DUF1104', 4, NULL),
(9211, NULL, 'IPR013421', NULL, 'CRISPR-associated protein Cas5, HALMA', 'CRISPR-assoc_prot_Cas5_HALMA', 4, NULL),
(9212, NULL, 'IPR009465', NULL, 'Spondin, N-terminal', 'Spondin_N', 3, NULL),
(9213, NULL, 'IPR024049', NULL, 'eRF1, domain 1', 'eRF1_1_sf', 5, NULL),
(9214, NULL, 'IPR014732', NULL, 'Orotidine 5''-phosphate decarboxylase', 'OMPdecase', 4, NULL),
(9215, NULL, 'IPR024231', NULL, 'Poxvirus poly(A) polymerase nucleotidyltransferase domain', 'Pox_polyA_pol_nucTrfase', 3, NULL),
(9216, NULL, 'IPR013436', NULL, 'Mobile mystery protein B', 'Mobile_mystery_prot_B', 4, NULL),
(9217, NULL, 'IPR024288', NULL, 'Schizont-infected cell agglutination, C-terminal domain', 'SICA_C', 3, NULL),
(9218, NULL, 'IPR010634', NULL, 'Protein of unknown function DUF1223', 'DUF1223', 4, NULL),
(9219, NULL, 'IPR010660', NULL, 'Notch, NOD domain', 'Notch_NOD_dom', 3, NULL),
(9220, NULL, 'IPR015452', NULL, 'Cyclin B3, G2/mitotic-specific', 'Cyclin_B3', 4, NULL),
(9221, NULL, 'IPR018502', NULL, 'Annexin repeat', 'Annexin_repeat', 7, NULL),
(9222, NULL, 'IPR014043', NULL, 'Acyl transferase', 'Acyl_transferase', 3, NULL),
(9223, NULL, 'IPR009486', NULL, 'Purine nucleoside permease', 'Pur_nuclsid_perm', 4, NULL),
(9224, NULL, 'IPR018936', NULL, 'Phosphatidylinositol 3/4-kinase, conserved site', 'PI3/4_kinase_CS', 2, NULL),
(9225, NULL, 'IPR010639', NULL, 'Actin-rearrangement-inducing factor', 'Actin-rearrang-inducing_fac', 4, NULL),
(9226, NULL, 'IPR034859', NULL, 'RBM26, RNA recognition motif 1', 'RBM26_RRM1', 3, NULL),
(9227, NULL, 'IPR014212', NULL, 'RNA polymerase sigma-G type', 'RNA_pol_sigma-G', 4, NULL),
(9228, NULL, 'IPR011049', NULL, 'Serralysin-like metalloprotease, C-terminal', 'Serralysin-like_metalloprot_C', 5, NULL),
(9229, NULL, 'IPR010625', NULL, 'CHCH', 'CHCH', 3, NULL),
(9230, NULL, 'IPR011530', NULL, 'Ribosomal RNA adenine dimethylase', 'rRNA_adenine_dimethylase', 4, NULL),
(9231, NULL, 'IPR014203', NULL, 'Sporulation stage V, protein AC', 'Spore_V_AC', 4, NULL),
(9232, NULL, 'IPR015482', NULL, 'Syntrophin', 'Syntrophin', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9233, NULL, 'IPR035203', NULL, 'Cell division control protein 24, OB domain 3', 'Cdc24_OB3', 3, NULL),
(9234, NULL, 'IPR023250', NULL, 'Cyclin-dependent kinase 2-interacting protein', 'Cyclin-dep_Kinase_2_interact', 4, NULL),
(9235, NULL, 'IPR015987', NULL, 'Uncharacterised conserved protein UCP022704', 'UCP022704', 4, NULL),
(9236, NULL, 'IPR034862', NULL, 'Fungal Mei2-like, RNA recognition motif 3', 'Fungal_Mei2-like_RRM3', 3, NULL),
(9237, NULL, 'IPR010635', NULL, 'Heparan sulphate 6-sulfotransferase/Protein-tyrosine sulfotransferase', 'Heparan_SO4-6-sulfoTrfase', 4, NULL),
(9238, NULL, 'IPR009480', NULL, 'Equine infectious anaemia virus S2', 'Equine_IAV_S2', 4, NULL),
(9239, NULL, 'IPR018456', NULL, 'PTR2 family proton/oligopeptide symporter, conserved site', 'PTR2_symporter_CS', 2, NULL),
(9240, NULL, 'IPR009469', NULL, 'RNA polymerase, N-terminal, coronavirus', 'RNA_pol_N_CoV', 3, NULL),
(9241, NULL, 'IPR010258', NULL, 'Conjugal transfer, TrbG/VirB9/CagX', 'Conjugal_tfr_TrbG/VirB9/CagX', 4, NULL),
(9242, NULL, 'IPR010673', NULL, 'Protein of unknown function UPF0346', 'UPF0346', 4, NULL),
(9243, NULL, 'IPR015988', NULL, 'STAT transcription factor, coiled coil', 'STAT_TF_coiled-coil', 5, NULL),
(9244, NULL, 'IPR010628', NULL, 'Ethanolamine ammonia-lyase heavy chain', 'EutB', 4, NULL),
(9245, NULL, 'IPR009511', NULL, 'Mad1/Cdc20-bound-Mad2 binding protein', 'MAD1/Cdc20-bound-Mad2-bd', 4, NULL),
(9246, NULL, 'IPR013445', NULL, 'CDP-glucose 4,6-dehydratase', 'CDP_4_6_deHydtase', 4, NULL),
(9247, NULL, 'IPR011037', NULL, 'Pyruvate kinase-like, insert domain superfamily', 'Pyrv_Knase-like_insert_dom_sf', 5, NULL),
(9248, NULL, 'IPR014012', NULL, 'Helicase/SANT-associated domain', 'HSA_dom', 3, NULL),
(9249, NULL, 'IPR009494', NULL, 'Protein of unknown function DUF1108', 'DUF1108', 4, NULL),
(9250, NULL, 'IPR010011', NULL, 'Nuclear receptor coactivator, DUF1518', 'NCO_DUF1518', 3, NULL),
(9251, NULL, 'IPR016031', NULL, 'Tryptophan RNA-binding attenuator protein-like domain superfamily', 'Trp_RNA-bd_attenuator-like_dom', 5, NULL),
(9252, NULL, 'IPR009482', NULL, 'Protein of unknown function DUF1102', 'DUF1102', 4, NULL),
(9253, NULL, 'IPR010659', NULL, 'Reverse transcriptase connection', 'RVT_connect', 3, NULL),
(9254, NULL, 'IPR009474', NULL, 'Putative bacilliredoxin, YphP/YqiW family', 'YphP/YqiW', 4, NULL),
(9255, NULL, 'IPR009477', NULL, 'Baculovirus Ac102', 'Baculo_Ac102', 4, NULL),
(9256, NULL, 'IPR018499', NULL, 'Tetraspanin/Peripherin', 'Tetraspanin/Peripherin', 4, NULL),
(9257, NULL, 'IPR015848', NULL, 'Polyribonucleotide nucleotidyltransferase, RNA-binding domain', 'PNPase_PH_RNA-bd_bac/org-type', 3, NULL),
(9258, NULL, 'IPR009990', NULL, 'Pardaxin', 'Pardaxin', 4, NULL),
(9259, NULL, 'IPR009498', NULL, 'Bacteriophage 4268, Orf1, C-terminal', 'Phage_4268_Orf1_C', 3, NULL),
(9260, NULL, 'IPR013148', NULL, 'Glycosyl hydrolase family 32, N-terminal', 'Glyco_hydro_32_N', 3, NULL),
(9261, NULL, 'IPR024293', NULL, 'SAC3 helical domain', 'SAC3_helical', 3, NULL),
(9262, NULL, 'IPR011043', NULL, 'Galactose oxidase/kelch, beta-propeller', 'Gal_Oxase/kelch_b-propeller', 5, NULL),
(9263, NULL, 'IPR023694', NULL, 'Agmatinase', 'Agmatinase', 4, NULL),
(9264, NULL, 'IPR009479', NULL, 'Human herpesvirus U55', 'Herpes_U55', 4, NULL),
(9265, NULL, 'IPR009464', NULL, 'PCAF, N-terminal', 'PCAF_N', 3, NULL),
(9266, NULL, 'IPR014016', NULL, 'UvrD-like helicase, ATP-binding domain', 'UvrD-like_ATP-bd', 3, NULL),
(9267, NULL, 'IPR011057', NULL, 'Mss4-like superfamily', 'Mss4-like_sf', 5, NULL),
(9268, NULL, 'IPR008978', NULL, 'HSP20-like chaperone', 'HSP20-like_chaperone', 5, NULL),
(9269, NULL, 'IPR011058', NULL, 'Cyanovirin-N', 'Cyanovirin-N', 3, NULL),
(9270, NULL, 'IPR011034', NULL, 'Formyl transferase-like, C-terminal domain superfamily', 'Formyl_transferase-like_C_sf', 5, NULL),
(9271, NULL, 'IPR013417', NULL, 'Conserved hypothetical protein CHP02588', 'CHP02588', 4, NULL),
(9272, NULL, 'IPR014292', NULL, 'Acyltransferase, WS/DGAT/MGAT', 'Acyl_transf_WS/DGAT', 4, NULL),
(9273, NULL, 'IPR010005', NULL, 'Formate hydrogenlyase maturation HycH', 'Formate_DH_maturation_HycH', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9274, NULL, 'IPR010915', NULL, 'Polyhydroxyalkanoate depolymerase', 'PHB_depoly_PhaZ', 4, NULL),
(9275, NULL, 'IPR024185', NULL, '5-formyltetrahydrofolate cyclo-ligase-like domain superfamily', 'FTHF_cligase-like_sf', 5, NULL),
(9276, NULL, 'IPR013459', NULL, 'Rhamnose ABC transporter, substrate-binding protein RhaS', 'RhaS', 4, NULL),
(9277, NULL, 'IPR010657', NULL, 'ImpA, N-terminal', 'ImpA_N', 3, NULL),
(9278, NULL, 'IPR009450', NULL, 'Phosphatidylinositol N-acetylglucosaminyltransferase subunit C', 'Plno_GlcNAc_GPI2', 4, NULL),
(9279, NULL, 'IPR016002', NULL, 'Succinate dehydrogenase cytochrome b558 subunit, Firmicute', 'Succ_DH_cyt_b558_Firmicute', 4, NULL),
(9280, NULL, 'IPR035202', NULL, 'Proteasome subunit beta 1', 'Proteasome_beta1', 4, NULL),
(9281, NULL, 'IPR016142', NULL, 'Citrate synthase-like, large alpha subdomain', 'Citrate_synth-like_lrg_a-sub', 5, NULL),
(9282, NULL, 'IPR010633', NULL, 'Bacteriophage lambda, GpZ, minor tail', 'Phage_lambda_GpZ', 4, NULL),
(9283, NULL, 'IPR010646', NULL, 'Uncharacterised protein family UPF0257', 'UPF0257', 4, NULL),
(9284, NULL, 'IPR014285', NULL, 'Nitrogen fixation negative regulator NifL', 'N_fixation_neg-reg_NifL', 4, NULL),
(9285, NULL, 'IPR015427', NULL, 'Synaptotagmin 7', 'Synaptotagmin7', 4, NULL),
(9286, NULL, 'IPR009453', NULL, 'IMP-specific 5-nucleotidase', 'ISN1', 4, NULL),
(9287, NULL, 'IPR009487', NULL, 'Orthopoxvirus A43R', 'Orthopox_A43R', 4, NULL),
(9288, NULL, 'IPR010622', NULL, 'FAST kinase leucine-rich', 'FAST_Leu-rich', 3, NULL),
(9289, NULL, 'IPR010653', NULL, 'NlpB/DapX lipoprotein', 'NlpB/DapX', 4, NULL),
(9290, NULL, 'IPR008977', NULL, 'PHM/PNGase F domain superfamily', 'PHM/PNGase_F_dom_sf', 5, NULL),
(9291, NULL, 'IPR013442', NULL, 'CRISPR system ring nuclease SSO1393-like', 'SSO1393-like', 3, NULL),
(9292, NULL, 'IPR009505', NULL, 'Neural chondroitin sulphate proteoglycan cytoplasmic', 'Neural_ProG_Cyt', 3, NULL),
(9293, NULL, 'IPR012740', NULL, 'Trimethylamine methyltransferase, Methanosarcina', 'MttB_Methanosar', 4, NULL),
(9294, NULL, 'IPR010672', NULL, 'IMP biosynthesis enzyme PurP, N-terminal', 'IMP_biosynth_PurP_N', 3, NULL),
(9295, NULL, 'IPR009515', NULL, 'Protein of unknown function DUF1138', 'DUF1138', 4, NULL),
(9296, NULL, 'IPR018482', NULL, 'Zinc finger C4H2 domain-containing protein', 'Znf-C4H2', 4, NULL),
(9297, NULL, 'IPR024283', NULL, 'Translocase of chloroplast 159/132, membrane anchor domain', 'TOC159_MAD', 3, NULL),
(9298, NULL, 'IPR009476', NULL, 'Protein of unknown function DUF1097', 'DUF1097', 4, NULL),
(9299, NULL, 'IPR014210', NULL, 'Cytochrome o ubiquinol oxidase subunit IV', 'Cyt_o_ubiqinol_oxidase_su4', 4, NULL),
(9300, NULL, 'IPR014202', NULL, 'Sporulation stage II, protein R', 'Spore_II_R', 4, NULL),
(9301, NULL, 'IPR014283', NULL, 'Ferredoxin III 4[4Fe-4S], nif-specific', 'FdIII_4_nif', 4, NULL),
(9302, NULL, 'IPR009467', NULL, 'Putative glycolipid-binding protein', 'Glycolipid-bd_prot_put', 4, NULL),
(9303, NULL, 'IPR009506', NULL, 'Protein of unknown function DUF1127', 'DUF1127', 4, NULL),
(9304, NULL, 'IPR013461', NULL, 'ATP-dependent Clp protease ATP-binding subunit ClpA', 'ClpA', 4, NULL),
(9305, NULL, 'IPR014018', NULL, 'SecA motor DEAD', 'SecA_motor_DEAD', 3, NULL),
(9306, NULL, 'IPR011033', NULL, 'PRC-barrel-like superfamily', 'PRC_barrel-like_sf', 5, NULL),
(9307, NULL, 'IPR016033', NULL, 'DNA polymerase II large subunit DP2, N-terminal', 'PolC_DP2_N', 3, NULL),
(9308, NULL, 'IPR011343', NULL, 'Deoxyribose-phosphate aldolase', 'DeoC', 4, NULL),
(9309, NULL, 'IPR011552', NULL, 'Tellurite resistance protein TehA/malic acid transport protein', 'TehA/Mae1', 4, NULL),
(9310, NULL, 'IPR010690', NULL, 'Putative stage IV sporulation YqfD', 'YqfD', 4, NULL),
(9311, NULL, 'IPR014724', NULL, 'RNA polymerase Rpb2, OB-fold', 'RNA_pol_RPB2_OB-fold', 5, NULL),
(9312, NULL, 'IPR009999', NULL, 'Protein of unknown function DUF1514', 'DUF1514', 4, NULL),
(9313, NULL, 'IPR010678', NULL, 'U3 small nucleolar RNA-associated protein 25', 'UTP25', 4, NULL),
(9314, NULL, 'IPR014207', NULL, 'Cytochrome o ubiquinol oxidase, subunit I', 'Cyt_c_ubiqinol_oxidase_su1', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9315, NULL, 'IPR014712', NULL, 'ANTH domain superfamily', 'ANTH_dom_sf', 5, NULL),
(9316, NULL, 'IPR015985', NULL, 'Tellurite resistance methyltransferase TehB-like domain', 'TehB-like_dom', 3, NULL),
(9317, NULL, 'IPR015497', NULL, 'Epidermal growth factor receptor ligand', 'EGF_rcpt_ligand', 4, NULL),
(9318, NULL, 'IPR009489', NULL, 'PAR1', 'PAR1', 4, NULL),
(9319, NULL, 'IPR013433', NULL, 'Putative polyhydroxyalkanoic acid system protein', 'PHA_gran_rgn', 4, NULL),
(9320, NULL, 'IPR018454', NULL, 'Phosphotransferase system, glucitol/sorbitol-specific IIA component, subgroup', 'PTS_IIA_glucitol/sorbitol_sub', 4, NULL),
(9321, NULL, 'IPR009997', NULL, 'Movement protein R3', 'MP_R3', 4, NULL),
(9322, NULL, 'IPR015923', NULL, 'Bone morphogenetic protein 15', 'BMP-15', 4, NULL),
(9323, NULL, 'IPR014033', NULL, 'Arginase', 'Arginase', 4, NULL),
(9324, NULL, 'IPR009988', NULL, 'Domain of unknown function DUF1510', 'DUF1510', 3, NULL),
(9325, NULL, 'IPR015966', NULL, 'tRNA ligase, kinase domain, fungi', 'tRNA_lig_kin_fungi', 3, NULL),
(9326, NULL, 'IPR010645', NULL, 'Uncharacterised MFS-type transporter YbfB', 'MFS_4', 3, NULL),
(9327, NULL, 'IPR010686', NULL, 'Oil body-associated protein-like', 'OBAP-like', 4, NULL),
(9328, NULL, 'IPR015480', NULL, 'Pancreatic hormone', 'Pancreatic_hormone', 4, NULL),
(9329, NULL, 'IPR018401', NULL, 'Lysosomal-associated transmembrane protein 4B', 'Lysosomal-assoc_TM_prot4B', 4, NULL),
(9330, NULL, 'IPR015449', NULL, 'Potassium channel, calcium-activated, SK', 'K_chnl_Ca-activ_SK', 4, NULL),
(9331, NULL, 'IPR018528', NULL, 'Prephenate dehydratase, conserved site', 'Preph_deHydtase_CS', 2, NULL),
(9332, NULL, 'IPR018947', NULL, 'Neuromodulin gap junction N-terminal', 'Neuromodulin_gap-junction_N', 3, NULL),
(9333, NULL, 'IPR010002', NULL, 'Ponericin', 'Ponericin', 4, NULL),
(9334, NULL, 'IPR014211', NULL, 'Stage III sporulation protein AD', 'Spore_III_AD', 4, NULL),
(9335, NULL, 'IPR035046', NULL, 'SHD, SH2 domain', 'SHD_SH2', 3, NULL),
(9336, NULL, 'IPR009508', NULL, 'Transcription activator, Churchill', 'Transcrpt_activator_Churchill', 4, NULL),
(9337, NULL, 'IPR010001', NULL, 'SigmaK-factor processing regulatory BofA', 'BofA', 4, NULL),
(9338, NULL, 'IPR018940', NULL, 'Elongation factor 1 beta central acidic region, eukaryote', 'EF-1_beta_acid_region_euk', 3, NULL),
(9339, NULL, 'IPR023231', NULL, 'GSKIP domain superfamily', 'GSKIP_dom_sf', 5, NULL),
(9340, NULL, 'IPR034557', NULL, 'Threonylcarbamoyladenosine tRNA methylthiotransferase', 'ThrcA_tRNA_MEthiotransferase', 4, NULL),
(9341, NULL, 'IPR010012', NULL, 'Spasmodic peptide gm9a', 'Toxin_11', 4, NULL),
(9342, NULL, 'IPR010685', NULL, 'Domain of unknown function DUF1263', 'DUF1263', 3, NULL),
(9343, NULL, 'IPR012745', NULL, 'Pseudoazurin', 'Pseudoazurin', 4, NULL),
(9344, NULL, 'IPR008972', NULL, 'Cupredoxin', 'Cupredoxin', 5, NULL),
(9345, NULL, 'IPR013425', NULL, 'Autotransporter-associated beta strand repeat', 'Autotrns_rpt', 7, NULL),
(9346, NULL, 'IPR035206', NULL, 'Proteasome subunit beta 2', 'Proteasome_beta2', 4, NULL),
(9347, NULL, 'IPR008971', NULL, 'HSP40/DnaJ peptide-binding', 'HSP40/DnaJ_pept-bd', 5, NULL),
(9348, NULL, 'IPR015485', NULL, 'T-cell surface glycoprotein CD3 delta chain', 'CD3D', 4, NULL),
(9349, NULL, 'IPR011014', NULL, 'Mechanosensitive ion channel MscS, transmembrane-2', 'MscS_channel_TM-2', 5, NULL),
(9350, NULL, 'IPR010664', NULL, 'Lipopolysaccharide assembly, LptC-related', 'LipoPS_assembly_LptC-rel', 4, NULL),
(9351, NULL, 'IPR010683', NULL, 'Protein of unknown function DUF1262', 'DUF1262', 4, NULL),
(9352, NULL, 'IPR014289', NULL, 'RNA polymerase sigma-24-related', 'RNA_pol_sigma-24-rel', 4, NULL),
(9353, NULL, 'IPR009475', NULL, 'Protein of unknown function DUF1096', 'DUF1096', 4, NULL),
(9354, NULL, 'IPR034880', NULL, 'La-related protein 6, RNA recognition motif', 'LARP6_RRM', 3, NULL),
(9355, NULL, 'IPR010655', NULL, 'Pre-mRNA cleavage complex subunit Clp1, C-terminal', 'Clp1_C', 3, NULL),
(9356, NULL, 'IPR009502', NULL, 'Secretion monitor', 'SecM', 4, NULL),
(9357, NULL, 'IPR012741', NULL, 'Methyltransferase cognate corrinoid protein', 'Corrinoid_p', 3, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9358, NULL, 'IPR011016', NULL, 'Zinc finger, RING-CH-type', 'Znf_RING-CH', 3, NULL),
(9359, NULL, 'IPR014044', NULL, 'CAP domain', 'CAP_domain', 3, NULL),
(9360, NULL, 'IPR013430', NULL, 'Toxin-antitoxin system, antidote protein, HigA', 'Toxin_antidote_HigA', 4, NULL),
(9361, NULL, 'IPR011022', NULL, 'Arrestin C-terminal-like domain', 'Arrestin_C-like', 3, NULL),
(9362, NULL, 'IPR011029', NULL, 'Death-like domain superfamily', 'DEATH-like_dom_sf', 5, NULL),
(9363, NULL, 'IPR035200', NULL, 'Cell division control protein 24, OB domain 2', 'Cdc24_OB2', 3, NULL),
(9364, NULL, 'IPR013454', NULL, 'Bifunctional rhamnulose-1-phosphate aldolase/alcohol dehydrogenase', 'Bifunc_RhaD/ADH', 4, NULL),
(9365, NULL, 'IPR009500', NULL, 'Protein of unknown function DUF1118', 'DUF1118', 4, NULL),
(9366, NULL, 'IPR018494', NULL, 'Oxysterol-binding protein, conserved site', 'Oxysterol-bd_CS', 2, NULL),
(9367, NULL, 'IPR009451', NULL, 'Amine dehydrogenase heavy chain', 'Metamine_DH_Hvc', 4, NULL),
(9368, NULL, 'IPR016025', NULL, 'Clathrin heavy chain, N-terminal', 'Clathrin_H-chain_N', 5, NULL),
(9369, NULL, 'IPR013450', NULL, 'L-fuculokinase', 'Fuculokinase', 4, NULL),
(9370, NULL, 'IPR013441', NULL, 'Tyrosine phenol-lyase', 'Tyr_phenol_ly', 4, NULL),
(9371, NULL, 'IPR011040', NULL, 'Sialidase', 'Sialidase', 3, NULL),
(9372, NULL, 'IPR014209', NULL, 'RNA polymerase sigma-K type', 'RNA_pol_sigma-K', 4, NULL),
(9373, NULL, 'IPR011041', NULL, 'Soluble quinoprotein glucose/sorbosone dehydrogenase', 'Quinoprot_gluc/sorb_DH', 5, NULL),
(9374, NULL, 'IPR010665', NULL, 'Protein of unknown function DUF1240', 'DUF1240', 4, NULL),
(9375, NULL, 'IPR024296', NULL, 'Protein of unknown function DUF2710', 'DUF2710', 4, NULL),
(9376, NULL, 'IPR014052', NULL, 'DNA primase, small subunit, eukaryotic/archaeal', 'DNA_primase_ssu_euk/arc', 4, NULL),
(9377, NULL, 'IPR010691', NULL, 'Probable ECA polymerase WzyE', 'WzyE', 4, NULL),
(9378, NULL, 'IPR009466', NULL, 'Non-structural protein 14, coronavirus', 'NSP14_CoV', 3, NULL),
(9379, NULL, 'IPR009472', NULL, 'Tab2-like', 'Tab2-like', 4, NULL),
(9380, NULL, 'IPR010010', NULL, 'Photosystem I PsaM, reaction centre', 'PSI_PsaM', 4, NULL),
(9381, NULL, 'IPR015995', NULL, 'Microcystin LR degradation protein MlrC, N-terminal', 'MlrC_N', 3, NULL),
(9382, NULL, 'IPR010677', NULL, 'Human herpes virus type 4, BALF1', 'HHV-4_BALF1', 4, NULL),
(9383, NULL, 'IPR014287', NULL, 'Nitrogenase iron-iron, accessory protein AnfO', 'Nase_Fe-Fe_AnfO', 4, NULL),
(9384, NULL, 'IPR009490', NULL, 'Protein of unknown function DUF1106', 'DUF1106', 4, NULL),
(9385, NULL, 'IPR012742', NULL, 'Alanine dehydrogenase, Archaeoglobus-type', 'Ala_DH_archaeglobus', 4, NULL),
(9386, NULL, 'IPR013451', NULL, 'L-rhamnose catabolism isomerase', 'L_rhamnose_iso', 4, NULL),
(9387, NULL, 'IPR010648', NULL, 'Uncharacterised protein family UPF0270', 'UPF0270', 4, NULL),
(9388, NULL, 'IPR009514', NULL, 'Nucleoid disruption protein', 'Phage_Ndd', 4, NULL),
(9389, NULL, 'IPR014295', NULL, 'Anti-sigma factor', 'Anti-sigma', 4, NULL),
(9390, NULL, 'IPR015973', NULL, 'Ribosomal protein L19e, domain 2', 'Ribosomal_L19e_dom2', 5, NULL),
(9391, NULL, 'IPR010680', NULL, 'TraH-2', 'TraH_2', 4, NULL),
(9392, NULL, 'IPR016143', NULL, 'Citrate synthase-like, small alpha subdomain', 'Citrate_synth-like_sm_a-sub', 5, NULL),
(9393, NULL, 'IPR010918', NULL, 'PurM-like, C-terminal domain', 'PurM-like_C_dom', 3, NULL),
(9394, NULL, 'IPR010636', NULL, 'Cerato-ulmin hydrophobin family', 'Cerato-ulmin_hydrophobin', 4, NULL),
(9395, NULL, 'IPR009459', NULL, 'MucBP domain', 'MucBP_dom', 3, NULL),
(9396, NULL, 'IPR011026', NULL, 'Wiscott-Aldrich syndrome protein, C-terminal', 'WASP_C', 5, NULL),
(9397, NULL, 'IPR035047', NULL, 'Hematopoietic SH2 domain-containing protein', 'HSH2D', 4, NULL),
(9398, NULL, 'IPR009454', NULL, 'Lipid transport, open beta-sheet', 'Lipid_transpt_open_b-sht', 3, NULL),
(9399, NULL, 'IPR013438', NULL, 'Sporulation stage V, protein E', 'SpoVE', 4, NULL),
(9400, NULL, 'IPR035040', NULL, 'SH2 domain-containing adapter protein B', 'SHB', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9401, NULL, 'IPR024281', NULL, 'Bacteriophage T7-like virion assembly protein', 'Phage_T7-like_viron_assmbl', 4, NULL),
(9402, NULL, 'IPR016047', NULL, 'Peptidase M23', 'Peptidase_M23', 3, NULL),
(9403, NULL, 'IPR012739', NULL, 'Pyrrolysyl-tRNA ligase', 'Pyrrolysyl-tRNA_ligase', 4, NULL),
(9404, NULL, 'IPR013424', NULL, 'PEP-CTERM protein-sorting domain', 'PEP_exosort_dom', 3, NULL),
(9405, NULL, 'IPR013431', NULL, 'Delta-60 repeat', 'Delta_60_rpt', 7, NULL),
(9406, NULL, 'IPR015459', NULL, 'Ubiquitin-protein ligase E3 MDM2', 'MDM2_E3_ligase', 4, NULL),
(9407, NULL, 'IPR011042', NULL, 'Six-bladed beta-propeller, TolB-like', '6-blade_b-propeller_TolB-like', 5, NULL),
(9408, NULL, 'IPR011051', NULL, 'RmlC-like cupin domain superfamily', 'RmlC_Cupin_sf', 5, NULL),
(9409, NULL, 'IPR010006', NULL, 'Bacteriophage P4, Psu, polarity suppression protein', 'Phage_P4_Psu', 4, NULL),
(9410, NULL, 'IPR015431', NULL, 'Cyclin L1', 'Cyclin_L1', 4, NULL),
(9411, NULL, 'IPR010652', NULL, 'Domain of unknown function DUF1232', 'DUF1232', 3, NULL),
(9412, NULL, 'IPR015442', NULL, 'Integrin beta-8 subunit', 'Integrin_bsu-8', 4, NULL),
(9413, NULL, 'IPR009461', NULL, 'Non-structural protein NSP16, coronavirus-like', 'NSP16_CoV-like', 3, NULL),
(9414, NULL, 'IPR013412', NULL, 'CRISPR-associated RAMP Csm3', 'CRISPR-assoc_RAMP_Csm3', 4, NULL),
(9415, NULL, 'IPR009513', NULL, 'PerB', 'PerB', 4, NULL),
(9416, NULL, 'IPR034547', NULL, 'Tte1186a maturase', 'Tte1186a_maturase', 4, NULL),
(9417, NULL, 'IPR014015', NULL, 'Helicase, superfamily 3, DNA virus', 'Helicase_SF3_DNA-vir', 3, NULL),
(9418, NULL, 'IPR013444', NULL, 'Helicase Cas3, CRISPR-associated, Anaes-subtype', 'Helicase_Cas3_CRISPR-ass_Anaes', 4, NULL),
(9419, NULL, 'IPR009509', NULL, 'Protein of unknown function DUF1132', 'DUF1132', 4, NULL),
(9420, NULL, 'IPR015976', NULL, 'Bacteriophage T4, Gp11, C-terminal finger domain', 'Phage_T4_Gp11_C', 5, NULL),
(9421, NULL, 'IPR010654', NULL, 'Bacteriophage lambda tail assembly I', 'Phage_lambda_tail_I', 4, NULL),
(9422, NULL, 'IPR010626', NULL, 'Protein of unknown function DUF1217', 'DUF1217', 4, NULL),
(9423, NULL, 'IPR015969', NULL, 'P40 nucleoprotein, subdomain 1, Borna disease virus', 'P40_nucleoprot_sub1_BD-vir', 5, NULL),
(9424, NULL, 'IPR009493', NULL, 'Burkholderia phage phiE202, Gp27', 'Phage_phiE202_Gp27', 4, NULL),
(9425, NULL, 'IPR011533', NULL, 'Oxygen-dependent choline dehydrogenase', 'BetA', 4, NULL),
(9426, NULL, 'IPR024295', NULL, 'Protein of unknown function DUF2705', 'DUF2705', 4, NULL),
(9427, NULL, 'IPR012744', NULL, 'Nitrite reductase [NAD(P)H] large subunit, NirB', 'Nitri_red_NirB', 3, NULL),
(9428, NULL, 'IPR010649', NULL, 'Nitrate/trimethylamine N-oxide reductase NapE/TorE', 'NapE_TorE', 4, NULL),
(9429, NULL, 'IPR015499', NULL, 'Cholecystokinin-like', 'CCK-like', 4, NULL),
(9430, NULL, 'IPR011021', NULL, 'Arrestin-like, N-terminal', 'Arrestin-like_N', 3, NULL),
(9431, NULL, 'IPR016005', NULL, 'Phosphomevalonate kinase Erg8', 'Erg8', 4, NULL),
(9432, NULL, 'IPR014205', NULL, 'Sporulation protein YtaF', 'Spore_YtaF', 4, NULL),
(9433, NULL, 'IPR009991', NULL, 'Dynactin subunit 3', 'DCTN3', 4, NULL),
(9434, NULL, 'IPR015445', NULL, 'TATA-Box binding protein-like', 'TBP-like', 4, NULL),
(9435, NULL, 'IPR009462', NULL, 'CHD subfamily II, SANT-like domain', 'CHD_II_SANT-like', 3, NULL),
(9436, NULL, 'IPR010681', NULL, 'Plethodontid receptivity factor PRF/cardiotrophin-like', 'PRF/CT', 4, NULL),
(9437, NULL, 'IPR012738', NULL, 'Transcription regulator DhaS', 'Tscrpt_reg_DhaS', 4, NULL),
(9438, NULL, 'IPR011045', NULL, 'Nitrous oxide reductase, N-terminal', 'N2O_reductase_N', 5, NULL),
(9439, NULL, 'IPR010661', NULL, 'Reverse transcriptase thumb', 'RVT_thumb', 3, NULL),
(9440, NULL, 'IPR015996', NULL, 'Uncharacterised conserved protein UCP028451', 'UCP028451', 4, NULL),
(9441, NULL, 'IPR011251', NULL, 'Luciferase-like domain', 'Luciferase-like_dom', 3, NULL),
(9442, NULL, 'IPR013414', NULL, 'CRISPR-associated protein Cas7,  subtype I-B/Tneap', 'Cas7/Cst2/DevR_sub_I-B/Tneap', 4, NULL),
(9443, NULL, 'IPR011019', NULL, 'KIND domain', 'KIND_dom', 3, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9444, NULL, 'IPR018946', NULL, 'PhoD-like phosphatase,  metallophosphatase domain', 'PhoD-like_MPP', 3, NULL),
(9445, NULL, 'IPR008969', NULL, 'Carboxypeptidase-like, regulatory domain superfamily', 'CarboxyPept-like_regulatory', 5, NULL),
(9446, NULL, 'IPR014206', NULL, 'Cytochrome o ubiquinol oxidase, subunit III', 'Cyt_c_ubiqinol_oxidase_su3', 4, NULL),
(9447, NULL, 'IPR014208', NULL, 'Sporulation stage III, transcriptional regulator SpoIIID', 'Spore_III_D', 4, NULL),
(9448, NULL, 'IPR009452', NULL, 'Pneumovirus matrix 2-1', 'Pneumovirus_M2-1', 4, NULL),
(9449, NULL, 'IPR009458', NULL, 'Ectatomin', 'Ectatomin', 4, NULL),
(9450, NULL, 'IPR018464', NULL, 'Centromere protein O', 'CENP-O', 4, NULL),
(9451, NULL, 'IPR015443', NULL, 'Aldose 1-epimerase', 'Aldose_1-epimerase', 4, NULL),
(9452, NULL, 'IPR034886', NULL, 'La-related protein 6', 'LARP6', 4, NULL),
(9453, NULL, 'IPR024268', NULL, 'rRNA methyltransferase AviRa', 'AviRa', 4, NULL),
(9454, NULL, 'IPR009473', NULL, 'Orthopoxvirus A49', 'Orthopox_A49', 4, NULL),
(9455, NULL, 'IPR010632', NULL, 'Domain of unknown function DUF1221', 'DUF1221', 3, NULL),
(9456, NULL, 'IPR034863', NULL, 'Fungal Mei2-like, RNA recognition motif 2', 'Fungal_Mei2-like_RRM2', 3, NULL),
(9457, NULL, 'IPR011030', NULL, 'Lipovitellin-phosvitin complex, superhelical domain', 'Lipovitellin_superhlx_dom', 5, NULL),
(9458, NULL, 'IPR016003', NULL, 'Photosystem II cytochrome c-550 precursor', 'PSII_cyt_c550', 4, NULL),
(9459, NULL, 'IPR013149', NULL, 'Alcohol dehydrogenase-like, C-terminal', 'ADH-like_C', 3, NULL),
(9460, NULL, 'IPR009455', NULL, 'ATP synthase YMF19, uncharacterised, C-terminal', 'YMF19', 3, NULL),
(9461, NULL, 'IPR012743', NULL, '4-coumarate--CoA ligase', '4_coum_CoA_lig', 4, NULL),
(9462, NULL, 'IPR015971', NULL, 'Nucleocapsid, Phlebovirus', 'Nucleocapsid_Phlebovirus', 4, NULL),
(9463, NULL, 'IPR009994', NULL, 'Phloem filament PP1', 'PP1', 3, NULL),
(9464, NULL, 'IPR009470', NULL, 'Chitinase, C-terminal', 'Chi_C', 3, NULL),
(9465, NULL, 'IPR009516', NULL, 'Raspberry bushy dwarf virus coat', 'RBDV_coat', 4, NULL),
(9466, NULL, 'IPR013435', NULL, 'Mobile mystery protein A', 'Mobile_mystery_prot_A', 4, NULL),
(9467, NULL, 'IPR009483', NULL, 'Type III secretion systems tip complex components', 'IpaD', 4, NULL),
(9468, NULL, 'IPR010650', NULL, 'PrkA C-terminal domain', 'PrkA_C_dom', 3, NULL),
(9469, NULL, 'IPR015436', NULL, 'Integrin beta-6 subunit', 'Integrin_bsu-6', 4, NULL),
(9470, NULL, 'IPR010917', NULL, 'TonB-dependent receptor, conserved site', 'TonB_rcpt_CS', 2, NULL),
(9471, NULL, 'IPR014290', NULL, 'SUF system FeS cluster assembly regulator', 'SUF_FeS_clus_asmbl_reg', 4, NULL),
(9472, NULL, 'IPR014020', NULL, 'Tensin phosphatase, C2 domain', 'Tensin_C2-dom', 3, NULL),
(9473, NULL, 'IPR034861', NULL, 'RNA-binding protein 26', 'RBM26', 4, NULL),
(9474, NULL, 'IPR015981', NULL, 'N-acetylglucosamine-6-sulfatase, metazoan', 'GlcNAc_6-SO4ase_met', 4, NULL),
(9475, NULL, 'IPR013429', NULL, 'Putative regulatory protein, FmdB, Zinc ribbon domain', 'Regulatory_FmdB_Zinc_ribbon', 3, NULL),
(9476, NULL, 'IPR009998', NULL, 'YfaZ', 'YfaZ', 4, NULL),
(9477, NULL, 'IPR019770', NULL, 'Eukaryotic translation initiation factor 4E (eIF-4E), conserved site', 'TIF_eIF_4E_CS', 2, NULL),
(9478, NULL, 'IPR015455', NULL, 'Thrombospondin-2', 'TSP2', 4, NULL),
(9479, NULL, 'IPR018496', NULL, 'Pseudouridine synthase, RsuA/RluB/E/F, conserved site', 'PsdUridine_synth_RsuA/RluB_CS', 2, NULL),
(9480, NULL, 'IPR015484', NULL, 'CD3 protein, epsilon/gamma/delta subunit', 'CD3_esu/gsu/dsu', 4, NULL),
(9481, NULL, 'IPR013411', NULL, 'CRISPR-associated RAMP TM1809', 'CRISPR-assoc_RAMP_TM1809', 4, NULL),
(9482, NULL, 'IPR009499', NULL, 'Protein of unknown function DUF1116', 'DUF1116', 4, NULL),
(9483, NULL, 'IPR024280', NULL, 'FAM167', 'FAM167', 4, NULL),
(9484, NULL, 'IPR010658', NULL, 'Nodulin-like', 'Nodulin-like', 3, NULL),
(9485, NULL, 'IPR010666', NULL, 'Zinc finger, GRF-type', 'Znf_GRF', 3, NULL),
(9486, NULL, 'IPR009449', NULL, 'GDP/GTP exchange factor Sec2, N-terminal', 'Sec2_N', 3, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9487, NULL, 'IPR013453', NULL, 'Xylose isomerase, actinobacteria', 'XylA_actinobac', 4, NULL),
(9488, NULL, 'IPR013405', NULL, 'Type III secretion system regulator, LcrR', 'T3SS_LcrR', 4, NULL),
(9489, NULL, 'IPR015471', NULL, 'Caspase-3/7', 'Casp3/7', 4, NULL),
(9490, NULL, 'IPR016032', NULL, 'Signal transduction response regulator, C-terminal effector', 'Sig_transdc_resp-reg_C-effctor', 5, NULL),
(9491, NULL, 'IPR010682', NULL, 'Plant self-incompatibility response', 'SCRL', 4, NULL),
(9492, NULL, 'IPR009456', NULL, 'Moricin family', 'Moricin_fam', 4, NULL),
(9493, NULL, 'IPR013406', NULL, 'Conserved hypothetical protein CHP02574, addiction module', 'CHP02574_addiction_mod', 4, NULL),
(9494, NULL, 'IPR023251', NULL, 'Pre-mRNA-splicing factor Brr1', 'Brr1', 4, NULL),
(9495, NULL, 'IPR018938', NULL, 'Glycophorin, conserved site', 'Glycophorin_CS', 2, NULL),
(9496, NULL, 'IPR014726', NULL, 'Ribosomal protein L2, domain 3', 'Ribosomal_L2_dom3', 5, NULL),
(9497, NULL, 'IPR024284', NULL, 'Protein of unknown function DUF3826', 'DUF3826', 4, NULL),
(9498, NULL, 'IPR011012', NULL, 'Longin-like domain superfamily', 'Longin-like_dom_sf', 5, NULL),
(9499, NULL, 'IPR015982', NULL, 'Baseplate structural protein Gp11, N-terminal domain superfamily', 'Baseplate_struct_Gp11_N_sf', 5, NULL),
(9500, NULL, 'IPR011059', NULL, 'Metal-dependent hydrolase, composite domain superfamily', 'Metal-dep_hydrolase_composite', 5, NULL),
(9501, NULL, 'IPR010384', NULL, 'MtfA family', 'MtfA_fam', 4, NULL),
(9502, NULL, 'IPR012625', NULL, 'Huwentoxin-II family', 'Toxin_20', 4, NULL),
(9503, NULL, 'IPR015125', NULL, 'Tumour suppressor p53-binding protein-1 Tudor domain', '53-BP1_Tudor', 3, NULL),
(9504, NULL, 'IPR010432', NULL, 'RDD', 'RDD', 3, NULL),
(9505, NULL, 'IPR012571', NULL, 'Mitochondrial distribution and morphology protein family 31/32, fungi', 'Mdm31/Mdm32', 4, NULL),
(9506, NULL, 'IPR035374', NULL, 'Protein VraX', 'VraX', 4, NULL),
(9507, NULL, 'IPR010404', NULL, 'Chromophore lyase CpcT/CpeT', 'CpcT/CpeT', 4, NULL),
(9508, NULL, 'IPR009167', NULL, 'Erythropoietin receptor', 'Erythropoietin_rcpt', 4, NULL),
(9509, NULL, 'IPR015827', NULL, 'Alpha-(1,6)-fucosyltransferase', 'Fut8', 4, NULL),
(9510, NULL, 'IPR010399', NULL, 'Tify domain', 'Tify_dom', 3, NULL),
(9511, NULL, 'IPR010408', NULL, 'Haemagglutinin-esterase glycoprotein, infectious salmon anaemia virus-type', 'Hemagglutn-estrase_ISAV-type', 4, NULL),
(9512, NULL, 'IPR012598', NULL, 'Plasmodium-MYXSPDY', 'Plasmod_MYXSPDY', 7, NULL),
(9513, NULL, 'IPR010437', NULL, 'Type III secretion system SsaH', 'T3SS_SsaH', 4, NULL),
(9514, NULL, 'IPR024162', NULL, 'Adaptor protein Cbl', 'Adaptor_Cbl', 4, NULL),
(9515, NULL, 'IPR010396', NULL, 'Orthopoxvirus A5', 'Orthopox_A5', 4, NULL),
(9516, NULL, 'IPR010415', NULL, 'LpxI, C-terminal', 'LpxI_C', 3, NULL),
(9517, NULL, 'IPR009017', NULL, 'Green fluorescent protein', 'GFP', 5, NULL),
(9518, NULL, 'IPR012602', NULL, 'PyrBI operon leader peptide', 'PyrBI_leader', 4, NULL),
(9519, NULL, 'IPR008987', NULL, 'Baseplate structural protein Gp9/Gp10', 'Baseplate_struct_prot_Gp9/10', 4, NULL),
(9520, NULL, 'IPR010419', NULL, 'Carbon monoxide dehydrogenase subunit G', 'CO_DH_gsu', 4, NULL),
(9521, NULL, 'IPR015158', NULL, 'Bud22 domain', 'Bud22_dom', 3, NULL),
(9522, NULL, 'IPR009192', NULL, 'Diol/glycerol dehydratase reactivating factor, small subunit', 'Diol/glycerol_deHydtase_re_ssu', 4, NULL),
(9523, NULL, 'IPR009186', NULL, 'Predicted nickel metalloenzyme maturation factor, AIR synthase-related', 'Ni_metllenz_mat', 4, NULL),
(9524, NULL, 'IPR035328', NULL, 'Protein of unknown function DUF3048, C-terminal domain', 'DUF3048_C', 3, NULL),
(9525, NULL, 'IPR011268', NULL, 'Purine nucleoside phosphorylase', 'Purine_phosphorylase', 4, NULL),
(9526, NULL, 'IPR014323', NULL, 'Phage shock protein, PspE', 'Phageshock_PspE', 4, NULL),
(9527, NULL, 'IPR013873', NULL, 'Cdc37, C-terminal', 'Cdc37_C', 3, NULL),
(9528, NULL, 'IPR009015', NULL, 'L-fucose isomerase, N-terminal/central domain superfamily', 'Fucose_isomerase_N/cen_sf', 5, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9529, NULL, 'IPR014310', NULL, 'Signal transduction histidine kinase, phosphate regulon sensor PhoR', 'Sig_transdc_His_kinase_PhoR', 4, NULL),
(9530, NULL, 'IPR010431', NULL, 'Fascin', 'Fascin', 4, NULL),
(9531, NULL, 'IPR012573', NULL, 'Meleagrin/Cygnin', 'Meleagrin/Cygnin', 4, NULL),
(9532, NULL, 'IPR008984', NULL, 'SMAD/FHA domain superfamily', 'SMAD_FHA_dom_sf', 5, NULL),
(9533, NULL, 'IPR015148', NULL, 'Bacteriophage PP7, coat', 'Phage_PP7_coat', 4, NULL),
(9534, NULL, 'IPR015128', NULL, 'Aurora-A binding', 'Aurora-A-bd', 3, NULL),
(9535, NULL, 'IPR013860', NULL, 'Nitrogen regulatory protein areA, GATA-like domain', 'AreA_GATA', 3, NULL),
(9536, NULL, 'IPR009014', NULL, 'Transketolase C-terminal/Pyruvate-ferredoxin oxidoreductase domain II', 'Transketo_C/PFOR_II', 5, NULL),
(9537, NULL, 'IPR014297', NULL, 'Dimethylsulphoxide reductase, chain B', 'DMSO_DmsB', 4, NULL),
(9538, NULL, 'IPR012617', NULL, 'Apoptosis-antagonizing transcription factor, C-terminal', 'AATF_C', 3, NULL),
(9539, NULL, 'IPR012621', NULL, 'Mitochondrial import receptor subunit TOM7', 'Tom7', 4, NULL),
(9540, NULL, 'IPR009158', NULL, 'Glycerol-3-phosphate dehydrogenase, GlpB subunit', 'G3P_DH_GlpB_su', 4, NULL),
(9541, NULL, 'IPR015121', NULL, 'DNA fragmentation factor 45kDa, middle domain', 'DNA_fragmentation_mid_dom', 3, NULL),
(9542, NULL, 'IPR015129', NULL, 'Titin, Z repeat', 'Titin_Z_rpt', 7, NULL),
(9543, NULL, 'IPR035372', NULL, 'Malonyl-CoA decarboxylase, N-terminal', 'MCD_N', 3, NULL),
(9544, NULL, 'IPR015115', NULL, 'Centromere protein CENP-B, C-terminal domain', 'CenpB_C', 3, NULL),
(9545, NULL, 'IPR014321', NULL, 'Phage shock protein, PspD', 'Phageshock_PspD', 4, NULL),
(9546, NULL, 'IPR023828', NULL, 'Peptidase S8, subtilisin, Ser-active site', 'Peptidase_S8_Ser-AS', 0, NULL),
(9547, NULL, 'IPR013515', NULL, 'Phytochrome, central region', 'Phytochrome_cen-reg', 3, NULL),
(9548, NULL, 'IPR009177', NULL, 'Orthopoxvirus C5', 'Orthopox_C5', 4, NULL),
(9549, NULL, 'IPR010435', NULL, 'Fn3-like domain', 'Fn3_5', 3, NULL),
(9550, NULL, 'IPR014308', NULL, 'Xanthine dehydrogenase accessory protein XdhC', 'Xanthine_DH_XdhC', 4, NULL),
(9551, NULL, 'IPR015105', NULL, 'Type-2 restriction enzyme NgoMIV', 'NgoMIV', 4, NULL),
(9552, NULL, 'IPR012607', NULL, 'Ribosomal protein S22', 'Ribosomal_S22', 4, NULL),
(9553, NULL, 'IPR014303', NULL, 'RNA polymerase sigma-70, ECF type', 'RNA_pol_sigma-70_ECF', 4, NULL),
(9554, NULL, 'IPR012561', NULL, 'Ferlin B-domain', 'Ferlin_B-domain', 3, NULL),
(9555, NULL, 'IPR009169', NULL, 'Calreticulin', 'Calreticulin', 4, NULL),
(9556, NULL, 'IPR035943', NULL, 'XisI-like superfamily', 'XisI-like_sf', 5, NULL),
(9557, NULL, 'IPR014048', NULL, 'Methylated-DNA-[protein]-cysteine S-methyltransferase, DNA binding', 'MethylDNA_cys_MeTrfase_DNA-bd', 3, NULL),
(9558, NULL, 'IPR012603', NULL, 'RBB1NT', 'RBB1NT', 3, NULL),
(9559, NULL, 'IPR010426', NULL, 'Trimethylamine methyltransferase', 'MTTB_MeTrfase', 4, NULL),
(9560, NULL, 'IPR010379', NULL, 'Septation ring formation regulator EzrA', 'EzrA', 4, NULL),
(9561, NULL, 'IPR012618', NULL, 'Tetracycline resistance leader peptide, TetL', 'Tet-R_leader_TetL', 4, NULL),
(9562, NULL, 'IPR014455', NULL, 'DNA methylase, N-6 adenine-specific, MK1259 type', 'N6_adenine_Mtase_MK1259', 4, NULL),
(9563, NULL, 'IPR011271', NULL, 'AMP nucleosidase', 'AMP_nucleosidase', 4, NULL),
(9564, NULL, 'IPR015586', NULL, 'Pituitary-specific positive transcription factor 1', 'Pit_1', 4, NULL),
(9565, NULL, 'IPR015145', NULL, 'L27-N', 'L27_N', 3, NULL),
(9566, NULL, 'IPR012599', NULL, 'Peptidase C1A, propeptide', 'Propeptide_C1A', 3, NULL),
(9567, NULL, 'IPR014449', NULL, 'Uncharacterised conserved protein UCP007050, HI0931', 'UCP007050_HI0931', 4, NULL),
(9568, NULL, 'IPR009003', NULL, 'Peptidase S1, PA clan', 'Peptidase_S1_PA', 5, NULL),
(9569, NULL, 'IPR012597', NULL, 'Fungal mating-type pheromone', 'Pheromone', 4, NULL),
(9570, NULL, 'IPR015570', NULL, 'Pyroglutamyl-peptidase II', 'TRH-DE', 4, NULL),
(9571, NULL, 'IPR010438', NULL, 'Bor', 'Lambda_Bor', 4, NULL),
(9572, NULL, 'IPR009191', NULL, 'Diol dehydratase-reactivating factor alpha subunit', 'DDRA', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9573, NULL, 'IPR008998', NULL, 'Agglutinin domain', 'Agglutinin', 3, NULL),
(9574, NULL, 'IPR010377', NULL, 'Initiation control protein YabA', 'YabA', 4, NULL),
(9575, NULL, 'IPR009188', NULL, '[NiFe]-hydrogenase maturation factor, HypX/HoxX type', 'NiFe-hyd_mat_HypX/HoxX', 4, NULL),
(9576, NULL, 'IPR011273', NULL, 'Malate dehydrogenase, NADP-dependent, plants', 'Malate_DH_NADP-dep_pln', 4, NULL),
(9577, NULL, 'IPR015132', NULL, 'L27-2', 'L27_2', 3, NULL),
(9578, NULL, 'IPR034599', NULL, 'Gluconate dehydratase', 'Gluconate_dehydratase', 4, NULL),
(9579, NULL, 'IPR014450', NULL, 'Uncharacterised conserved protein UCP008210', 'UCP008210', 4, NULL),
(9580, NULL, 'IPR010421', NULL, 'Transcriptional cell cycle regulator TrcR', 'TrcR', 4, NULL),
(9581, NULL, 'IPR035305', NULL, 'Herpesvirus glycoprotein H, C-terminal', 'Herpes_glycoH_C', 3, NULL),
(9582, NULL, 'IPR010420', NULL, 'CASTOR/POLLUX/SYM8 ion channel, conserved domain', 'CASTOR/POLLUX/SYM8_dom', 3, NULL),
(9583, NULL, 'IPR034560', NULL, 'Spore photoproduct lyase, Bacilli type', 'Spore_PP_lysase_Bacilli', 4, NULL),
(9584, NULL, 'IPR010398', NULL, 'Protein of unknown function DUF997', 'DUF997', 4, NULL),
(9585, NULL, 'IPR014307', NULL, 'Xanthine dehydrogenase, small subunit', 'Xanthine_DH_ssu', 3, NULL),
(9586, NULL, 'IPR010411', NULL, 'Phage tail assembly chaperone Gp13-like', 'TAC_Gp13-like', 4, NULL),
(9587, NULL, 'IPR010405', NULL, 'Cofactor of BRCA1', 'COBRA1', 4, NULL),
(9588, NULL, 'IPR012611', NULL, 'Small acid-soluble spore protein, SspK', 'SASP_SspK', 4, NULL),
(9589, NULL, 'IPR014453', NULL, 'Inhibitor of vertebrate lysozyme', 'Inhibitor_vertebrate_lysozyme', 4, NULL),
(9590, NULL, 'IPR010388', NULL, 'Anaerobic cobalt chelatase', 'Anaerobic_Co-chelatase', 4, NULL),
(9591, NULL, 'IPR010422', NULL, 'Coiled-coil domain-containing protein 124/Oxs1', 'Ccdc124/Oxs1', 4, NULL),
(9592, NULL, 'IPR012566', NULL, 'IlvB leader peptide', 'IlvB_leader', 4, NULL),
(9593, NULL, 'IPR014624', NULL, 'Predicted 26S proteasome regulatory complex, non-ATPase subcomplex, subunit s5a, Plasmodium', '26S_protsm_s5a', 4, NULL),
(9594, NULL, 'IPR015929', NULL, 'Aconitase B, swivel', 'Aconitase_B_swivel', 3, NULL),
(9595, NULL, 'IPR014329', NULL, 'M6 adenine DNA methyltransferase, Alw26I', 'M6_adenine_DNA_mtrans_Alw26I', 4, NULL),
(9596, NULL, 'IPR009006', NULL, 'Alanine racemase/group IV decarboxylase, C-terminal', 'Ala_racemase/Decarboxylase_C', 5, NULL),
(9597, NULL, 'IPR014047', NULL, 'Chromate transporter, long chain', 'Chr_Tranpt_l_chain', 4, NULL),
(9598, NULL, 'IPR012564', NULL, 'Herpesvirus UL74, glycoprotein', 'Herpes_UL74', 4, NULL),
(9599, NULL, 'IPR014465', NULL, 'Uncharacterised conserved protein UCP012622', 'UCP012622', 4, NULL),
(9600, NULL, 'IPR009159', NULL, 'Dihydrofolate reductase, type II', 'Dhfr_type_II', 4, NULL),
(9601, NULL, 'IPR011129', NULL, 'Cold shock domain', 'CSD', 3, NULL),
(9602, NULL, 'IPR008283', NULL, 'Peptidase M17, leucyl aminopeptidase, N-terminal', 'Peptidase_M17_N', 3, NULL),
(9603, NULL, 'IPR013872', NULL, 'p53 transactivation domain', 'p53_transactivation_domain', 3, NULL),
(9604, NULL, 'IPR034559', NULL, 'Spore photoproduct lyase, Clostridia type', 'Spore_PP_lysase_Clostridia', 4, NULL),
(9605, NULL, 'IPR015122', NULL, 'Excisionase from transposon Tn916', 'Tn916-Xis', 4, NULL),
(9606, NULL, 'IPR008279', NULL, 'PEP-utilising enzyme, mobile domain', 'PEP-util_enz_mobile_dom', 3, NULL),
(9607, NULL, 'IPR010416', NULL, 'Protein of unknown function DUF1010', 'DUF1010', 4, NULL),
(9608, NULL, 'IPR012557', NULL, 'Heat stable enterotoxin, EAST1', 'Heat-stable_enterotox_EAST1', 4, NULL),
(9609, NULL, 'IPR012559', NULL, 'Erythromycin resistance leader peptide-2', 'Emycin-R_leader_pep2', 4, NULL),
(9610, NULL, 'IPR009194', NULL, 'EutT adenosyltransferase', 'AdoTrfase_EutT', 4, NULL),
(9611, NULL, 'IPR014481', NULL, 'Uncharacterised conserved protein UCP016662, toprim-type', 'UCP016662_toprim', 4, NULL),
(9612, NULL, 'IPR015156', NULL, 'Malto-oligosyltrehalose trehalohydrolase, archaeal, C-terminal', 'Maltooligo_trehalose_arc_C', 3, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9613, NULL, 'IPR010423', NULL, 'Ookinete surface antigen, EGF domain', 'Pvs25/Psv28_EGF', 3, NULL),
(9614, NULL, 'IPR012572', NULL, 'Mad3/Bub1 homology region 2', 'Mad3/Bub1_II', 3, NULL),
(9615, NULL, 'IPR013865', NULL, 'Protein FAM32A', 'FAM32A', 4, NULL),
(9616, NULL, 'IPR010382', NULL, 'Protein of unknown function DUF977', 'DUF977', 4, NULL),
(9617, NULL, 'IPR015138', NULL, 'Salmonella invasion protein A, N-terminal', 'SipA_N', 3, NULL),
(9618, NULL, 'IPR008991', NULL, 'Translation protein SH3-like domain superfamily', 'Translation_prot_SH3-like_sf', 5, NULL),
(9619, NULL, 'IPR009008', NULL, 'Valyl/Leucyl/Isoleucyl-tRNA synthetase, editing domain', 'Val/Leu/Ile-tRNA-synth_edit', 5, NULL),
(9620, NULL, 'IPR014300', NULL, 'RNA polymerase sigma-V type', 'RNA_pol_sigma-V', 4, NULL),
(9621, NULL, 'IPR010400', NULL, 'PITH domain', 'PITH_dom', 3, NULL),
(9622, NULL, 'IPR035054', NULL, 'Src-like-adapter 2', 'SLAP2', 4, NULL),
(9623, NULL, 'IPR024111', NULL, 'PEX5/PEX5L', 'PEX5/PEX5L', 4, NULL),
(9624, NULL, 'IPR035323', NULL, 'Facilitor Of iron transport 1/2', 'Fit1_2', 4, NULL),
(9625, NULL, 'IPR014460', NULL, 'Signal transduction response regulator, predicted, VieB', 'Sig_transdc_resp-reg_VieB', 4, NULL),
(9626, NULL, 'IPR015104', NULL, 'Beta-2-glycoprotein-1 fifth domain', 'Sushi_2', 3, NULL),
(9627, NULL, 'IPR015116', NULL, 'Cdc42 binding domain-like', 'Cdc42-bd-like', 3, NULL),
(9628, NULL, 'IPR012555', NULL, 'Major transforming E5', 'EPV_E5', 4, NULL),
(9629, NULL, 'IPR013869', NULL, 'Protein of unknown function DUF1757', 'DUF1757', 4, NULL),
(9630, NULL, 'IPR011272', NULL, 'Lactate dehydrogenase, protist', 'Lactate_DH_protist', 4, NULL),
(9631, NULL, 'IPR009160', NULL, 'Acyl-CoA desaturase, haem/steroid binding domain-containing', 'Acyl-CoA_deSatase_haem/ster-bd', 4, NULL),
(9632, NULL, 'IPR012749', NULL, 'dTDP-4-amino-4,6-dideoxygalactose transaminase WecE-like', 'WecE-like', 4, NULL),
(9633, NULL, 'IPR009153', NULL, 'Cytochrome cL', 'Cyt_cL', 4, NULL),
(9634, NULL, 'IPR013837', NULL, 'ATP synthase, F0 complex, subunit B', 'ATP_synth_F0_suB', 4, NULL),
(9635, NULL, 'IPR008284', NULL, 'Molybdenum cofactor biosynthesis, conserved site', 'MoCF_biosynth_CS', 2, NULL),
(9636, NULL, 'IPR035306', NULL, 'Ribosomal protein S12', 'Ribosomal_S12', 4, NULL),
(9637, NULL, 'IPR013862', NULL, 'Inositolphosphorylceramide synthase subunit Kei1', 'Kei1', 4, NULL),
(9638, NULL, 'IPR010387', NULL, 'Queuosine precursor transporter QueT', 'QueT', 4, NULL),
(9639, NULL, 'IPR012574', NULL, 'ATP synthase subunit ATP5MJ, mitochondrial', 'ATP5MJ', 4, NULL),
(9640, NULL, 'IPR012575', NULL, 'NADH dehydrogenase [ubiquinone] 1 beta subcomplex subunit 1, NDUB1', 'NDUB1', 4, NULL),
(9641, NULL, 'IPR012589', NULL, 'Plasma membrane ATPase proteolipid', 'Pmp1/Pmp2', 4, NULL),
(9642, NULL, 'IPR013858', NULL, 'Peptidase M10 serralysin, C-terminal', 'Peptidase_M10B_C', 3, NULL),
(9643, NULL, 'IPR008286', NULL, 'Orn/Lys/Arg decarboxylase, C-terminal', 'Prn/Lys/Arg_de-COase_C', 3, NULL),
(9644, NULL, 'IPR010418', NULL, 'ECSIT', 'ECSIT', 4, NULL),
(9645, NULL, 'IPR023171', NULL, 'Na+/H+ antiporter domain superfamily', 'Na/H_antiporter_dom_sf', 5, NULL),
(9646, NULL, 'IPR009010', NULL, 'Aspartate decarboxylase-like domain superfamily', 'Asp_de-COase-like_dom_sf', 5, NULL),
(9647, NULL, 'IPR011260', NULL, 'RNA polymerase, alpha subunit, C-terminal', 'RNAP_asu_C', 3, NULL),
(9648, NULL, 'IPR009016', NULL, 'Iron hydrogenase', 'Fe_hydrogenase', 5, NULL),
(9649, NULL, 'IPR013082', NULL, 'Photosystem II cytochrome b559, alpha subunit, lumenal region', 'PSII_cytb559_asu_lum', 3, NULL),
(9650, NULL, 'IPR035052', NULL, 'SLAP, SH2 domain', 'SLAP_SH2', 3, NULL),
(9651, NULL, 'IPR014299', NULL, 'Pentapeptide MXKDX repeat protein', 'Penta_MxKDx', 4, NULL),
(9652, NULL, 'IPR011262', NULL, 'DNA-directed RNA polymerase, insert domain', 'DNA-dir_RNA_pol_insert', 3, NULL),
(9653, NULL, 'IPR010393', NULL, 'Protein of unknown function DUF991', 'DUF991', 4, NULL),
(9654, NULL, 'IPR013870', NULL, 'Ribosomal protein L37, mitochondrial', 'Ribosomal_L37_mit', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9655, NULL, 'IPR012556', NULL, 'Entericidin A/B', 'Entericidin', 4, NULL),
(9656, NULL, 'IPR015159', NULL, 'Recombination protein 107', 'Rec107', 4, NULL),
(9657, NULL, 'IPR012596', NULL, 'Bacteriophage T4, Y12G', 'Phage_T4_Y12G', 4, NULL),
(9658, NULL, 'IPR014306', NULL, 'Hydroxyisourate hydrolase', 'Hydroxyisourate_hydrolase', 4, NULL),
(9659, NULL, 'IPR024114', NULL, 'Islet cell autoantigen 1/Ica1-like', 'Islet_autoAg_Ica1/Ica1-like', 4, NULL),
(9660, NULL, 'IPR010428', NULL, 'Zincin-like metallopeptidase', 'Zincin_1', 4, NULL),
(9661, NULL, 'IPR009185', NULL, 'Predicted nucleotidyltransferase', 'Nucleotidl_trans', 4, NULL),
(9662, NULL, 'IPR012751', NULL, 'CspD, cold shock', 'CspD', 4, NULL),
(9663, NULL, 'IPR012595', NULL, 'PetM of cytochrome b6/f complex subunit 7', 'PetM_cyt_b6/f_cplx_su7', 4, NULL),
(9664, NULL, 'IPR015165', NULL, 'Glucan 1,4-alpha-maltotetraohydrolase, domain C', 'AMT4_domain_C', 3, NULL),
(9665, NULL, 'IPR024141', NULL, 'Extracellular superoxide dismutase [Cu-Zn]', 'EC-SOD', 4, NULL),
(9666, NULL, 'IPR014483', NULL, 'Fis-like DNA-binding domain-containing signal transduction response regulator, predicted', 'Sig_transdc_resp-reg_prd', 4, NULL),
(9667, NULL, 'IPR035321', NULL, 'Protein of unknown function DUF5373', 'DUF5373', 4, NULL),
(9668, NULL, 'IPR012604', NULL, 'RBM1CTR', 'RBM1CTR', 3, NULL),
(9669, NULL, 'IPR011130', NULL, 'SecA, preprotein cross-linking domain', 'SecA_preprotein_X-link_dom', 3, NULL),
(9670, NULL, 'IPR013871', NULL, 'Cysteine-rich secretory protein', 'Cysteine_rich_secretory', 3, NULL),
(9671, NULL, 'IPR034080', NULL, 'Protease P7-like, domain', 'Protease_P7-like_dom', 3, NULL),
(9672, NULL, 'IPR010401', NULL, 'Glycogen debranching enzyme', 'AGL/Gdb1', 4, NULL),
(9673, NULL, 'IPR009011', NULL, 'Mannose-6-phosphate receptor binding domain superfamily', 'Man6P_isomerase_rcpt-bd_dom_sf', 5, NULL),
(9674, NULL, 'IPR013803', NULL, 'Amyloidogenic glycoprotein, amyloid-beta peptide', 'Amyloid_glyco_Abeta', 3, NULL),
(9675, NULL, 'IPR012610', NULL, 'Small acid-soluble spore protein, SspH', 'SASP_SspH', 4, NULL),
(9676, NULL, 'IPR035325', NULL, 'Protein of unknown function DUF5385', 'DUF5385', 4, NULL),
(9677, NULL, 'IPR013867', NULL, 'Telomere repeat-binding factor, dimerisation domain', 'Telomere_rpt-bd_fac_dimer_dom', 3, NULL),
(9678, NULL, 'IPR024206', NULL, 'Gurmarin/antimicrobial peptide', 'Gurmarin/antimicrobial_peptd', 4, NULL),
(9679, NULL, 'IPR014456', NULL, 'Uncharacterised conserved protein UCP010244, integral membrane protein', 'UCP010244_IM', 4, NULL),
(9680, NULL, 'IPR013857', NULL, 'NADH:ubiquinone oxidoreductase intermediate-associated protein 30', 'NADH-UbQ_OxRdtase-assoc_prot30', 3, NULL),
(9681, NULL, 'IPR012754', NULL, 'DNA-directed RNA polymerase, subunit beta-prime, bacterial type', 'DNA-dir_RpoC_beta_prime_bact', 4, NULL),
(9682, NULL, 'IPR012586', NULL, 'P120R repeat', 'P120R_rpt', 7, NULL),
(9683, NULL, 'IPR010406', NULL, 'Protein of unknown function DUF1003', 'DUF1003', 4, NULL),
(9684, NULL, 'IPR014459', NULL, 'Transcriptional activator VP30, Filoviridae type', 'VP30_FiloV', 4, NULL),
(9685, NULL, 'IPR014622', NULL, 'Uncharacterised conserved protein UCP036794, erythromycin esterase-type', 'UCP036794_erythomycin', 4, NULL),
(9686, NULL, 'IPR014319', NULL, 'Phage shock protein, PspA', 'Phageshock_PspA', 4, NULL),
(9687, NULL, 'IPR014324', NULL, 'ABC transporter ATP-binding subunit, DevA type', 'ABC_heterocyst_DevA', 4, NULL),
(9688, NULL, 'IPR034589', NULL, 'D-mannonate dehydratase-like', 'D-mannonate_dehydratase-like', 4, NULL),
(9689, NULL, 'IPR012608', NULL, 'Sex peptide', 'Sex_peptide', 4, NULL),
(9690, NULL, 'IPR009161', NULL, 'ATP-dependent 6-phosphofructokinase, eukaryotic-type', '6-Pfructokinase_euk', 4, NULL),
(9691, NULL, 'IPR014051', NULL, 'Phosphoesterase, HXTX', 'Phosphoesterase_HXTX', 3, NULL),
(9692, NULL, 'IPR014320', NULL, 'Phage shock protein, PspC', 'Phageshock_PspC', 4, NULL),
(9693, NULL, 'IPR010376', NULL, 'Gamma-butyrobetaine hydroxylase-like, N-terminal', 'GBBH-like_N', 3, NULL),
(9694, NULL, 'IPR035055', NULL, 'Src-like-adapter', 'SLAP', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9695, NULL, 'IPR012585', NULL, 'Anticodon nuclease activator  Stp', 'Stp', 4, NULL),
(9696, NULL, 'IPR015168', NULL, 'SsuA/THI5-like', 'SsuA/THI5', 3, NULL),
(9697, NULL, 'IPR014470', NULL, 'Uncharacterised conserved protein UCP01500', 'UCP01500', 4, NULL),
(9698, NULL, 'IPR010412', NULL, 'Protein of unknown function DUF1007', 'DUF1007', 4, NULL),
(9699, NULL, 'IPR012592', NULL, 'PROCN domain', 'PROCN', 3, NULL),
(9700, NULL, 'IPR009152', NULL, 'Cytochrome bc1 complex, cytochrome c subunit', 'bc1_cytC-su', 4, NULL),
(9701, NULL, 'IPR012620', NULL, 'Tryptophanese operon leader peptide', 'Trp_operon_leader_peptide', 4, NULL),
(9702, NULL, 'IPR009187', NULL, 'Non-homologous end joining protein Ku, prokaryotic type', 'Prok_Ku', 4, NULL),
(9703, NULL, 'IPR008992', NULL, 'Enterotoxin', 'Enterotoxin', 5, NULL),
(9704, NULL, 'IPR008989', NULL, 'Myosin S1 fragment, N-terminal', 'Myosin_S1_N', 5, NULL),
(9705, NULL, 'IPR008996', NULL, 'Cytokine IL1/FGF', 'IL1/FGF', 5, NULL),
(9706, NULL, 'IPR011263', NULL, 'DNA-directed RNA polymerase, RpoA/D/Rpb3-type', 'DNA-dir_RNA_pol_RpoA/D/Rpb3', 3, NULL),
(9707, NULL, 'IPR024207', NULL, 'Spore coat assembly protein CotJB, domain', 'Spore_coat_assembly_CotJB_dom', 3, NULL),
(9708, NULL, 'IPR015117', NULL, 'Ig protease IdeS', 'IdeS', 3, NULL),
(9709, NULL, 'IPR009162', NULL, 'RNA polymerase, 30kDa subunit, chordopox-type', 'RNA_pol_30_chordopoxvir-type', 4, NULL),
(9710, NULL, 'IPR010383', NULL, 'Glycosyl hydrolase 94', 'Glyco_hydrolase_94', 3, NULL),
(9711, NULL, 'IPR011274', NULL, 'Malate dehydrogenase, NAD-dependent, cytosolic', 'Malate_DH_NAD-dep_euk', 4, NULL),
(9712, NULL, 'IPR014003', NULL, 'DM16 repeat', 'DM16_repeat', 7, NULL),
(9713, NULL, 'IPR024089', NULL, 'Proline dehydrogenase PutA, domain I/II', 'PRODH_PutA_dom_I/II', 5, NULL),
(9714, NULL, 'IPR015578', NULL, 'Neurotrophin-3', 'Neurotrophin-3', 4, NULL),
(9715, NULL, 'IPR009165', NULL, 'S-adenosylmethionine decarboxylase, bacterial', 'S-AdoMet_deCO2ase_bac', 4, NULL),
(9716, NULL, 'IPR012622', NULL, 'Ergtoxin', 'Ergtoxin', 4, NULL),
(9717, NULL, 'IPR012590', NULL, 'POPLD domain', 'POPLD_dom', 3, NULL),
(9718, NULL, 'IPR034048', NULL, 'Tumor necrosis factor receptor 19-like, N-terminal', 'TNFRSF19L_N', 3, NULL),
(9719, NULL, 'IPR014002', NULL, 'Agenet domain, plant type', 'Agenet_dom_plant', 3, NULL),
(9720, NULL, 'IPR015567', NULL, 'Peptidase M14B, caboxypeptidase D', 'Pept_M14B_carboxypept_D2', 4, NULL),
(9721, NULL, 'IPR015108', NULL, 'Bacteriophage PRD1, P3', 'Phage_PRD1_P3', 4, NULL),
(9722, NULL, 'IPR014468', NULL, 'Uncharacterised conserved protein UCP014979', 'UCP014979', 4, NULL),
(9723, NULL, 'IPR015161', NULL, 'Streptomyces killer toxin-like, beta/gamma crystallin', 'Sklp_toxin_b/g_crystallin', 3, NULL),
(9724, NULL, 'IPR009004', NULL, 'Transposase, Mu, C-terminal', 'Transposase_Mu_C', 5, NULL),
(9725, NULL, 'IPR035375', NULL, 'MatP, C-terminal ribbon-helix-helix domain', 'MatP_C', 3, NULL),
(9726, NULL, 'IPR014309', NULL, 'Xanthine dehydrogenase, molybdopterin binding subunit', 'Xanthine_DH_Mopterin-bd_su', 3, NULL),
(9727, NULL, 'IPR014314', NULL, 'Succinate dehydrogenase, cytochrome b556 subunit', 'Succ_DH_cytb556', 4, NULL),
(9728, NULL, 'IPR014621', NULL, 'Uncharacterised conserved protein UCP036778, sugar epimerase-type', 'UCP036778_sugar_epimerase', 4, NULL),
(9729, NULL, 'IPR013859', NULL, 'SWI/SNF and RSC complexes subunit Ssr4', 'Ssr4', 4, NULL),
(9730, NULL, 'IPR015109', NULL, 'Restriction endonuclease, type II, EcoRII, C-terminal', 'Restrct_endonuc_II_EcoRII_C', 3, NULL),
(9731, NULL, 'IPR015135', NULL, 'Stannin transmembrane', 'SNN_transmemb', 3, NULL),
(9732, NULL, 'IPR015169', NULL, 'Adhesion molecule, immunoglobulin-like', 'Adhes-Ig-like', 3, NULL),
(9733, NULL, 'IPR008988', NULL, 'Transcriptional repressor, C-terminal', 'Transcriptional_repressor_C', 5, NULL),
(9734, NULL, 'IPR012613', NULL, 'Small acid-soluble spore protein, SspO', 'SASP_SspO', 4, NULL),
(9735, NULL, 'IPR015571', NULL, 'Peptidase M1, aminopeptidase B', 'Pept_M1_aminopeptidase-B', 4, NULL),
(9736, NULL, 'IPR015572', NULL, 'Potassium channel, voltage dependent, Shaw, invertebrate', 'Shaw_inv', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9737, NULL, 'IPR014623', NULL, 'Transcription factor TFIIIC  subunit Tfc7/tau55', 'Tfc7/tau55', 4, NULL),
(9738, NULL, 'IPR012582', NULL, 'DNA-dependent protein kinase catalytic subunit, CC3', 'DNAPKcs_CC3', 3, NULL),
(9739, NULL, 'IPR012616', NULL, 'CDP-alcohol phosphatidyltransferase, C-terminal', 'CDP-OH_P_trans_C', 3, NULL),
(9740, NULL, 'IPR013132', NULL, 'N-acetylneuraminic acid synthase, N-terminal', 'Neu5Ac_N', 3, NULL),
(9741, NULL, 'IPR034587', NULL, 'D-mannonate dehydratase', 'MAND', 4, NULL),
(9742, NULL, 'IPR014472', NULL, 'Choline/ethanolamine phosphotransferase', 'CHOPT', 4, NULL),
(9743, NULL, 'IPR015157', NULL, 'Translation machinery associated TMA7', 'TMA7', 4, NULL),
(9744, NULL, 'IPR023881', NULL, 'N-acetyl-alpha-D-glucosaminyl L-malate synthase BshA', 'Thiol_BshA', 4, NULL),
(9745, NULL, 'IPR024159', NULL, 'Adaptor protein Cbl, PTB domain', 'Cbl_PTB', 3, NULL),
(9746, NULL, 'IPR010424', NULL, 'Acetate kinase EutQ', 'EutQ', 4, NULL),
(9747, NULL, 'IPR013863', NULL, 'Vacuolar import/degradation Vid27, C-terminal', 'VID27_C', 3, NULL),
(9748, NULL, 'IPR014311', NULL, 'Guanine deaminase', 'Guanine_deaminase', 4, NULL),
(9749, NULL, 'IPR012567', NULL, 'IlvGEDA operon leader peptide', 'IlvGEDA_leader', 4, NULL),
(9750, NULL, 'IPR009012', NULL, 'GrpE nucleotide exchange factor, head', 'GrpE_head', 5, NULL),
(9751, NULL, 'IPR015142', NULL, 'Smac/DIABLO protein', 'Smac_DIABLO', 4, NULL),
(9752, NULL, 'IPR015172', NULL, 'MIF4G-like, type 1', 'MIF4G-like_typ-1', 3, NULL),
(9753, NULL, 'IPR014327', NULL, 'RNA polymerase sigma-70, Bacteroidetes type', 'RNA_pol_sigma70_bacteroid', 4, NULL),
(9754, NULL, 'IPR035327', NULL, 'AlphaC, C-terminal', 'AlphaC_C', 3, NULL),
(9755, NULL, 'IPR023822', NULL, 'Radical SAM, TatD-associated, bacteria', 'rSAM_TatD-assoc_bac', 4, NULL),
(9756, NULL, 'IPR009181', NULL, 'Uncharacterised conserved protein UCP004929, methanogenesis', 'UCP004929_methan', 4, NULL),
(9757, NULL, 'IPR012757', NULL, 'DNA-directed RNA polymerase subunit Rpo1C', 'RPO1C', 4, NULL),
(9758, NULL, 'IPR012600', NULL, 'Gingipain propeptide', 'Propeptide_C25', 3, NULL),
(9759, NULL, 'IPR009176', NULL, 'Vaccinia virus, B7/C8', 'Vaccinia_virus_B7/C8', 4, NULL),
(9760, NULL, 'IPR014046', NULL, 'Diadenylate cyclase', 'C-di-AMP_synthase', 4, NULL),
(9761, NULL, 'IPR013866', NULL, 'Sphingolipid delta4-desaturase, N-terminal', 'Sphingolipid_d4-desaturase_N', 3, NULL),
(9762, NULL, 'IPR035326', NULL, 'Phage tail sheath protein, beta-sandwich domain', 'Phage_sheath_beta', 3, NULL),
(9763, NULL, 'IPR012560', NULL, 'Ferlin A-domain', 'Ferlin_A-domain', 3, NULL),
(9764, NULL, 'IPR010380', NULL, 'Protein of unknown function DUF975', 'DUF975', 4, NULL),
(9765, NULL, 'IPR015150', NULL, 'Haemadin', 'Haemadin', 4, NULL),
(9766, NULL, 'IPR023823', NULL, 'Conserved hypothetical protein CHP04066, peptide maturation system', 'CHP04066_peptide_maturation', 4, NULL),
(9767, NULL, 'IPR015139', NULL, 'Cag pathogenicity island protein, CagZ', 'CagPAI_CagZ', 4, NULL),
(9768, NULL, 'IPR009047', NULL, 'Methyl-coenzyme M reductase, alpha subunit, C-terminal', 'Me_CoM_Rdtase_asu_C', 3, NULL),
(9769, NULL, 'IPR012615', NULL, 'Trematode Eggshell Synthesis', 'TES', 4, NULL),
(9770, NULL, 'IPR014298', NULL, 'RNA polymerase sigma-X type', 'RNA_pol_sigma-X', 4, NULL),
(9771, NULL, 'IPR014301', NULL, 'TMAO reductase system,  periplasmic protein TorT', 'TMAO_TorT', 4, NULL),
(9772, NULL, 'IPR015585', NULL, 'POU domain-containing protein, class 5', 'POU_dom_5', 4, NULL),
(9773, NULL, 'IPR011078', NULL, 'Pyridoxal phosphate homeostasis protein', 'PyrdxlP_homeostasis', 4, NULL),
(9774, NULL, 'IPR015171', NULL, 'Cyclomaltodextrinase, N-terminal', 'Cyc-maltodext_N', 3, NULL),
(9775, NULL, 'IPR015131', NULL, 'Killer toxin, Kp4', 'Killer_tox_Kp4', 3, NULL),
(9776, NULL, 'IPR009173', NULL, 'Chemokine-binding protein, viral', 'Chemkine-bd_vir', 4, NULL),
(9777, NULL, 'IPR012579', NULL, 'Nucleolar protein 7, C-terminal', 'NOL7_C', 3, NULL),
(9778, NULL, 'IPR015113', NULL, 'Staphostatin B', 'Staphostatin_B', 3, NULL),
(9779, NULL, 'IPR013802', NULL, 'Formiminotransferase, C-terminal subdomain', 'Formiminotransferase_C', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9780, NULL, 'IPR013874', NULL, 'Cdc37, Hsp90 binding', 'Cdc37_Hsp90-bd', 3, NULL),
(9781, NULL, 'IPR023825', NULL, 'CRISPR-associated RAMP BGP1436', 'CRISPR-assoc_RAMP_BGP1436', 4, NULL),
(9782, NULL, 'IPR013144', NULL, 'CRA domain', 'CRA_dom', 3, NULL),
(9783, NULL, 'IPR012583', NULL, 'Pre-rRNA-processing protein RIX1, N-terminal', 'RIX1_N', 3, NULL),
(9784, NULL, 'IPR014466', NULL, 'Predicted transcriptional regulator, AF1742 type', 'Txn_rg_UCP012876', 4, NULL),
(9785, NULL, 'IPR015584', NULL, 'POU domain, class 4, transcription factor 1', 'POU4-TF1', 4, NULL),
(9786, NULL, 'IPR014304', NULL, 'RNA polymerase sigma-Z type', 'RNA_pol_sigma-Z', 4, NULL),
(9787, NULL, 'IPR013868', NULL, 'Tethering factor for nuclear proteasome Cut8/Sts1', 'Cut8/Sts1_fam', 4, NULL),
(9788, NULL, 'IPR009001', NULL, 'Translation elongation factor EF1A/initiation factor IF2gamma, C-terminal', 'Transl_elong_EF1A/Init_IF2_C', 5, NULL),
(9789, NULL, 'IPR014625', NULL, 'Filoviruses glycoprotein', 'GPC_FiloV', 4, NULL),
(9790, NULL, 'IPR012565', NULL, 'Histidine operon leader peptide', 'His_leader', 4, NULL),
(9791, NULL, 'IPR014445', NULL, 'Glutamine-dependent NAD(+) synthetase', 'Gln-dep_NAD_synthase', 4, NULL),
(9792, NULL, 'IPR015828', NULL, 'NADH dehydrogenase [ubiquinone] 1 alpha subcomplex subunit 10, mitochondrial', 'NDUFA10', 4, NULL),
(9793, NULL, 'IPR015107', NULL, 'Protein-glutamine gamma-glutamyltransferase', 'Transglut_prok', 4, NULL),
(9794, NULL, 'IPR015154', NULL, 'EF-hand domain, type 2', 'EF-hand_dom_typ2', 3, NULL),
(9795, NULL, 'IPR014759', NULL, 'Helicase, superfamily 3, single-stranded RNA virus', 'Helicase_SF3_ssRNA_vir', 3, NULL),
(9796, NULL, 'IPR035373', NULL, 'Alpha galactosidase A, C-terminal beta-sandwich domain', 'Melibiase/NAGA_C', 3, NULL),
(9797, NULL, 'IPR009193', NULL, 'Polyhedral organelle shell protein, EutL/PduB type', 'EutL_PduB', 4, NULL),
(9798, NULL, 'IPR013861', NULL, 'TMEM115/Pdh1/Rbl19', 'TMEM115/Pdh1/Rbl19', 4, NULL),
(9799, NULL, 'IPR010414', NULL, 'Protein FRG1', 'FRG1', 4, NULL),
(9800, NULL, 'IPR015126', NULL, 'Mu DNA binding, I gamma subdomain', 'Mu_I-gamma', 3, NULL),
(9801, NULL, 'IPR015141', NULL, 'Phospholipase A2, prokaryotic/fungal', 'PLipase_A2_prok/fun', 4, NULL),
(9802, NULL, 'IPR035090', NULL, 'Phosphorylase pyridoxal-phosphate attachment site', 'Pyridoxal_P_attach_site', 2, NULL),
(9803, NULL, 'IPR023826', NULL, 'Rhomboid-like serine protease, proteobacteria', 'Rhom-like_SP_proteobac', 4, NULL),
(9804, NULL, 'IPR012558', NULL, 'Erythromycin resistance leader peptide-1', 'Emycin-R_leader_pep1', 4, NULL),
(9805, NULL, 'IPR012628', NULL, 'Magi 5 toxic peptide', 'Toxin_23', 4, NULL),
(9806, NULL, 'IPR012569', NULL, 'Leucine-rich repeat-containing adjacent domain', 'LRR-contain_adjacent_dom', 3, NULL),
(9807, NULL, 'IPR015146', NULL, 'Ribonucleotide reductase, stirrup', 'RNR_stirrup', 3, NULL),
(9808, NULL, 'IPR012609', NULL, 'Sporulation stage V, protein M', 'Spore_V_M', 4, NULL),
(9809, NULL, 'IPR012614', NULL, 'Small acid-soluble spore protein, SspP', 'SASP_SspP', 4, NULL),
(9810, NULL, 'IPR015136', NULL, 'Stannin unstructured linker', 'SNN_linker', 3, NULL),
(9811, NULL, 'IPR015590', NULL, 'Aldehyde dehydrogenase domain', 'Aldehyde_DH_dom', 3, NULL),
(9812, NULL, 'IPR012626', NULL, 'Spider insecticidal peptide', 'Spider_insecticidal_peptide', 4, NULL),
(9813, NULL, 'IPR015130', NULL, 'D-Lysine 5,6-aminomutase alpha subunit', 'Lys-AminoMut_A', 3, NULL),
(9814, NULL, 'IPR015166', NULL, 'Protein of unknown function DUF1922', 'DUF1922', 4, NULL),
(9815, NULL, 'IPR012562', NULL, 'GUCT', 'GUCT', 3, NULL),
(9816, NULL, 'IPR012577', NULL, 'NIPSNAP', 'NIPSNAP', 3, NULL),
(9817, NULL, 'IPR012748', NULL, 'Rieske-like [2Fe-2S] domain, NirD-type', 'Rieske-like_NirD', 3, NULL),
(9818, NULL, 'IPR035049', NULL, 'EAT-2, SH2 domain', 'EAT2_SH2', 3, NULL),
(9819, NULL, 'IPR013980', NULL, 'MANSC domain', 'MANSC_dom', 3, NULL),
(9820, NULL, 'IPR013795', NULL, 'DNA/RNA-binding protein Alba', 'DNA/RNA-bd_Alba', 4, NULL),
(9821, NULL, 'IPR012756', NULL, 'DNA-directed RNA polymerase, subunit beta''''', 'DNA-dir_RpoC2_beta_pp', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9822, NULL, 'IPR008995', NULL, 'Molybdate/tungstate binding, C-terminal', 'Mo/tungstate-bd_C_term_dom', 5, NULL),
(9823, NULL, 'IPR009164', NULL, 'Fructose-1,6-bisphosphatase class 3', 'FBPtase_class3', 4, NULL),
(9824, NULL, 'IPR013516', NULL, 'Phytochrome chromophore binding site', 'Phyto_chromo_BS', 1, NULL),
(9825, NULL, 'IPR012570', NULL, 'Leucine operon leader peptide', 'Leu_leader', 4, NULL),
(9826, NULL, 'IPR012584', NULL, 'NUC205 domain', 'NUC205', 3, NULL),
(9827, NULL, 'IPR014039', NULL, 'Translation elongation factor EFTs/EF1B, dimerisation', 'Transl_elong_EFTs/EF1B_dimer', 3, NULL),
(9828, NULL, 'IPR012606', NULL, 'Ribosomal protein S13/S15, N-terminal', 'Ribosomal_S13/S15_N', 3, NULL),
(9829, NULL, 'IPR014296', NULL, 'RNA polymerase sigma-M, bacillaceae', 'RNA_pol_sigma-M_bacilli', 4, NULL),
(9830, NULL, 'IPR015583', NULL, 'Platelet-derived growth factor subunit B', 'PDGF_suB', 4, NULL),
(9831, NULL, 'IPR010433', NULL, 'Plant specific eukaryotic initiation factor 4B', 'EIF-4B_pln', 4, NULL),
(9832, NULL, 'IPR014464', NULL, 'Conserved virulence factor B', 'CvfB_fam', 4, NULL),
(9833, NULL, 'IPR010409', NULL, 'GAGA-binding transcriptional activator', 'GAGA-bd_tscrpt_act', 4, NULL),
(9834, NULL, 'IPR009190', NULL, 'Protein of unknown function DUF1462', 'DUF1462', 4, NULL),
(9835, NULL, 'IPR011270', NULL, 'Purine nucleoside phosphorylase I, inosine/guanosine-specific', 'Pur_Nuc_Pase_Ino/Guo-sp', 4, NULL),
(9836, NULL, 'IPR024110', NULL, 'Immunoglobulin J chain', 'Ig_J', 4, NULL),
(9837, NULL, 'IPR010392', NULL, 'Satellite virus coat', 'Satellite_virus_coat', 4, NULL),
(9838, NULL, 'IPR008983', NULL, 'Tumour necrosis factor-like domain superfamily', 'Tumour_necrosis_fac-like_dom', 5, NULL),
(9839, NULL, 'IPR015163', NULL, 'Cdc6, C-terminal', 'Cdc6_C', 3, NULL),
(9840, NULL, 'IPR009163', NULL, 'Ap4A phosphorylase 1/2', 'Ap4A_phos1/2', 4, NULL),
(9841, NULL, 'IPR035376', NULL, 'NigD-like, C-terminal beta sandwich domain', 'NigD_C', 3, NULL),
(9842, NULL, 'IPR010381', NULL, 'Putative pyroglutamyl peptidase 1', 'PgaPase_1', 4, NULL),
(9843, NULL, 'IPR009013', NULL, 'Attachment protein shaft domain superfamily', 'Attachment_protein_shaft_sf', 5, NULL),
(9844, NULL, 'IPR014451', NULL, 'Uncharacterised conserved protein UCP008455', 'UCP008455', 4, NULL),
(9845, NULL, 'IPR015588', NULL, 'Interferon beta', 'Interferon_beta', 4, NULL),
(9846, NULL, 'IPR024112', NULL, 'PEX5-related, vertebrates', 'PEX5L_vertebrates', 4, NULL),
(9847, NULL, 'IPR035370', NULL, 'Nrap protein, domain 5', 'Nrap_D5', 3, NULL),
(9848, NULL, 'IPR010389', NULL, 'Urate oxidase N-terminal', 'Urate_ox_N', 3, NULL),
(9849, NULL, 'IPR011126', NULL, 'HPr(Ser) kinase/phosphorylase, N-terminal', 'Hpr_kin/Pase_Hpr_N', 3, NULL),
(9850, NULL, 'IPR035309', NULL, 'Proteasome activator complex subunit 4', 'PSME4', 4, NULL),
(9851, NULL, 'IPR014480', NULL, 'Mannan endo-1,6-alpha-mannosidase', 'Mannan-1_6-alpha_mannosidase', 4, NULL),
(9852, NULL, 'IPR008280', NULL, 'Tubulin/FtsZ, C-terminal', 'Tub_FtsZ_C', 5, NULL),
(9853, NULL, 'IPR015153', NULL, 'EF-hand domain, type 1', 'EF-hand_dom_typ1', 3, NULL),
(9854, NULL, 'IPR014447', NULL, 'Uncharacterised conserved protein UCP006909', 'UCP006909', 4, NULL),
(9855, NULL, 'IPR014326', NULL, 'RNA polymerase sigma-70 factor,  Planctomycetaceae', 'RNA_pol_sigma-70_Plancto', 4, NULL),
(9856, NULL, 'IPR010410', NULL, 'Protein of unknown function DUF1005', 'DUF1005', 4, NULL),
(9857, NULL, 'IPR035329', NULL, 'Rotavirus VP4 helical domain', 'VP4_helical', 3, NULL),
(9858, NULL, 'IPR010427', NULL, 'Protein of unknown function DUF1023', 'DUF1023', 4, NULL),
(9859, NULL, 'IPR014328', NULL, 'Restriction endonuclease, type II, Alw26I/Eco31I/Esp3I', 'Restrct_endonuc_II_Alw26I', 4, NULL),
(9860, NULL, 'IPR009174', NULL, 'Orthopoxvirus K7', 'Orthopox_K7', 4, NULL),
(9861, NULL, 'IPR023879', NULL, 'Quinohemoprotein amine dehydrogenase, beta subunit', 'QH-AmDH_bsu', 4, NULL),
(9862, NULL, 'IPR015106', NULL, 'Pas factor saposin domain', 'Pas_Saposin', 3, NULL),
(9863, NULL, 'IPR008993', NULL, 'Tissue inhibitor of metalloproteinases-like, OB-fold', 'TIMP-like_OB-fold', 5, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9864, NULL, 'IPR023827', NULL, 'Peptidase S8, subtilisin,  Asp-active site', 'Peptidase_S8_Asp-AS', 0, NULL),
(9865, NULL, 'IPR015576', NULL, 'Spermine synthase, animal', 'Spermine_synthase_animal', 4, NULL),
(9866, NULL, 'IPR013846', NULL, 'mRNA capping enzyme, C-terminal', 'mRNA_cap_enzyme_C', 3, NULL),
(9867, NULL, 'IPR015151', NULL, 'Beta-adaptin appendage, C-terminal subdomain', 'B-adaptin_app_sub_C', 3, NULL),
(9868, NULL, 'IPR024113', NULL, 'Peroxisomal targeting signal 1 receptor PEX5, animals', 'PEX5_animals', 4, NULL),
(9869, NULL, 'IPR024160', NULL, 'Bin3-type S-adenosyl-L-methionine binding domain', 'BIN3_SAM-bd_dom', 3, NULL),
(9870, NULL, 'IPR010434', NULL, 'Protein of unknown function DUF1033', 'DUF1033', 4, NULL),
(9871, NULL, 'IPR014315', NULL, 'ABC transporter, membrane fusion protein, DevB type', 'ABC_heterocyst_DevB', 4, NULL),
(9872, NULL, 'IPR011128', NULL, 'Glycerol-3-phosphate dehydrogenase, NAD-dependent, N-terminal', 'G3P_DH_NAD-dep_N', 3, NULL),
(9873, NULL, 'IPR015167', NULL, 'Domain of unknown function DUF1923', 'DUF1923', 3, NULL),
(9874, NULL, 'IPR015111', NULL, 'Hut operon regulatory protein HutP', 'Regulatory_HutP', 4, NULL),
(9875, NULL, 'IPR015573', NULL, 'Potassium channel, voltage dependent, KCNQ4', 'KCQN4', 4, NULL),
(9876, NULL, 'IPR013518', NULL, 'Potassium channel, inwardly rectifying, Kir, cytoplasmic', 'K_chnl_inward-rec_Kir_cyto', 5, NULL),
(9877, NULL, 'IPR014305', NULL, 'RNA polymerase sigma-G type, actinobacteria', 'RNA_pol_sigma-G_actinobac', 4, NULL),
(9878, NULL, 'IPR009195', NULL, 'Uncharacterised protein family YjbK', 'Uncharacterised_YjbK', 4, NULL),
(9879, NULL, 'IPR015155', NULL, 'PLAA family ubiquitin binding domain', 'PFU', 3, NULL),
(9880, NULL, 'IPR023824', NULL, 'Conserved hypothetical protein CHP04073, exosortase-affiliated', 'CHP04073_exosortase-affil', 4, NULL),
(9881, NULL, 'IPR010425', NULL, 'Capsule biosynthesis GfcC-like', 'Caps_synth_GfcC-like', 3, NULL),
(9882, NULL, 'IPR013798', NULL, 'Indole-3-glycerol phosphate synthase domain', 'Indole-3-glycerol_P_synth_dom', 3, NULL),
(9883, NULL, 'IPR009000', NULL, 'Translation protein, beta-barrel domain superfamily', 'Transl_B-barrel_sf', 5, NULL),
(9884, NULL, 'IPR014620', NULL, 'Thymidylate synthase, archaea', 'Thymidylate_synthase_arc', 4, NULL),
(9885, NULL, 'IPR014462', NULL, 'Phage-associated protein Gp45', 'Phage_Mu_Gp45', 4, NULL),
(9886, NULL, 'IPR015123', NULL, 'Bcr-Abl oncoprotein oligomerisation', 'Bcr-Abl_oncoprot_oligo', 3, NULL),
(9887, NULL, 'IPR012563', NULL, 'Gns', 'Gns', 4, NULL),
(9888, NULL, 'IPR014627', NULL, 'Uncharacterised conserved protein UCP036888, signal transduction HD-GYP-like, PA5346 type', 'UCP036888_HDGYP-like', 4, NULL),
(9889, NULL, 'IPR015120', NULL, 'Siah interacting protein, N-terminal', 'Siah-Interact_N', 3, NULL),
(9890, NULL, 'IPR014469', NULL, 'Protein of unknown function DUF2271', 'DUF2271', 4, NULL),
(9891, NULL, 'IPR015143', NULL, 'L27-1', 'L27_1', 3, NULL),
(9892, NULL, 'IPR012568', NULL, 'KI67R', 'KI67R', 7, NULL),
(9893, NULL, 'IPR015124', NULL, 'Trehalose 2-sulfotransferase', 'Stf0', 4, NULL),
(9894, NULL, 'IPR013876', NULL, 'TFIIH p62 subunit, N-terminal', 'TFIIH_BTF_p62_N', 3, NULL),
(9895, NULL, 'IPR009198', NULL, 'Uncharacterised conserved protein UCP014484, transmembrane', 'UCP014484_TM', 4, NULL),
(9896, NULL, 'IPR010417', NULL, 'Embryo-specific ATS3', 'Embryo-specific_ATS3', 4, NULL),
(9897, NULL, 'IPR014461', NULL, 'Vacuolar protein sorting-associated protein 17, Vps17', 'Retromer_complex_Vps17', 4, NULL),
(9898, NULL, 'IPR015162', NULL, 'CheY binding', 'CheY-binding', 3, NULL),
(9899, NULL, 'IPR009154', NULL, 'Membrane-bound tetrahaem cytochrome TorC/YecK', 'Membr-bd_4haem_cyt_TorC', 4, NULL),
(9900, NULL, 'IPR014478', NULL, 'Putative membrane protein, NMB1733 type', 'UCP016195', 4, NULL),
(9901, NULL, 'IPR010378', NULL, 'Trafficking protein particle complex subunit 13', 'TRAPPC13', 4, NULL),
(9902, NULL, 'IPR012580', NULL, 'NUC153', 'NUC153', 3, NULL),
(9903, NULL, 'IPR034598', NULL, 'D-Glucarate dehydratase-like', 'GlucD-like', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9904, NULL, 'IPR012755', NULL, 'DNA-directed RNA polymerase, subunit gamma', 'DNA-dir_RpoC1_gamma', 4, NULL),
(9905, NULL, 'IPR035371', NULL, 'Nrap protein, domain 6', 'Nrap_D6', 3, NULL),
(9906, NULL, 'IPR015149', NULL, 'Thrombomodulin-like, EGF-like', 'Tme5_EGF-like', 3, NULL),
(9907, NULL, 'IPR012630', NULL, 'Hefutoxin', 'Toxin_25', 4, NULL),
(9908, NULL, 'IPR014626', NULL, 'Signal transduction response regulator with modified HD-GYP domain, putative', 'Sig_transdc_resp-reg_put', 4, NULL),
(9909, NULL, 'IPR014448', NULL, 'Anti-adapter protein IraM', 'Anti-adapter_IraM', 4, NULL),
(9910, NULL, 'IPR012623', NULL, 'Conotoxin O-superfamily', 'Toxin_18', 4, NULL),
(9911, NULL, 'IPR008986', NULL, 'EV matrix protein', 'EV_matrix', 4, NULL),
(9912, NULL, 'IPR015160', NULL, 'Heat-stable enterotoxin B, secretory', 'STb_secrete', 4, NULL),
(9913, NULL, 'IPR015164', NULL, 'K cyclin, C-terminal', 'K-cyclin_C', 3, NULL),
(9914, NULL, 'IPR009172', NULL, 'Orthopoxvirus C13', 'Orthopox_C13', 4, NULL),
(9915, NULL, 'IPR015134', NULL, 'Calcineurin-binding protein cabin-1, MEF2-binding domain', 'MEF2-bd', 3, NULL),
(9916, NULL, 'IPR010407', NULL, 'Signaling lymphocytic activation molecule, N-terminal', 'Sig_lymph_act_molc_N', 3, NULL),
(9917, NULL, 'IPR014476', NULL, 'AT-hook motif nuclear-localized protein 15-29', 'AHL15-29', 4, NULL),
(9918, NULL, 'IPR011267', NULL, 'Vegetative storage protein', 'Veg_Stor_Prot', 4, NULL),
(9919, NULL, 'IPR014457', NULL, 'Uncharacterised conserved protein UCP010260', 'UCP010260', 4, NULL),
(9920, NULL, 'IPR015144', NULL, 'Type III secretion system effector delivery regulator TyeA', 'T3SS_TyeA', 3, NULL),
(9921, NULL, 'IPR035322', NULL, 'Male Flower Specific protein 18', 'MFS18', 4, NULL),
(9922, NULL, 'IPR012605', NULL, 'RepA1 leader peptide Tap', 'RepA1_leader_peptide_Tap', 4, NULL),
(9923, NULL, 'IPR012601', NULL, 'Spermatozal protamine type', 'Spermatozal_protamine_typ', 4, NULL),
(9924, NULL, 'IPR016007', NULL, 'Alpha-L-rhamnosidase', 'Alpha_rhamnosid', 4, NULL),
(9925, NULL, 'IPR009197', NULL, 'Microcystin LR degradation protein MlrC', 'MlrC', 4, NULL),
(9926, NULL, 'IPR010397', NULL, 'Protein of unknown function DUF996', 'DUF996', 4, NULL),
(9927, NULL, 'IPR014325', NULL, 'RNA polymerase sigma-E factor, actinobacteria', 'RNA_pol_sigma-E_actinobac', 4, NULL),
(9928, NULL, 'IPR012750', NULL, 'Undecaprenyl-phosphate alpha-N-acetylglucosaminyl 1-phosphatetransferase', 'ECA_WecA-rel', 4, NULL),
(9929, NULL, 'IPR015127', NULL, 'Gastric H+/K+-transporter P-type ATPase, N-terminal', 'ATPase_P-typ_H/K-transp_N', 3, NULL),
(9930, NULL, 'IPR011127', NULL, 'D-alanine--D-alanine ligase, N-terminal domain', 'Dala_Dala_lig_N', 3, NULL),
(9931, NULL, 'IPR013519', NULL, 'Integrin alpha beta-propellor', 'Int_alpha_beta-p', 7, NULL),
(9932, NULL, 'IPR010390', NULL, 'Protein of unknown function DUF990', 'DUF990', 4, NULL),
(9933, NULL, 'IPR011269', NULL, 'Putative purine nucleotide phosphorylase', 'PUNP', 4, NULL),
(9934, NULL, 'IPR014318', NULL, 'Phage shock protein, PspG', 'Phageshock_PspG', 4, NULL),
(9935, NULL, 'IPR012612', NULL, 'Small acid-soluble spore protein, SspN', 'SASP_SspN', 4, NULL),
(9936, NULL, 'IPR014322', NULL, 'RNA polymerase sigma-B/F/G type', 'RNA_pol_sigma-B/F/G', 4, NULL),
(9937, NULL, 'IPR010391', NULL, 'DNA damage-inducible protein DinI-like', 'DNA_damage-inducible_DinI-like', 4, NULL),
(9938, NULL, 'IPR013875', NULL, 'Mitochondrial import protein Pam17', 'Pam17', 4, NULL),
(9939, NULL, 'IPR012593', NULL, 'Pea-VEAacid', 'Pea-VEAacid', 4, NULL),
(9940, NULL, 'IPR010430', NULL, 'Protein of unknown function DUF1028', 'DUF1028', 4, NULL),
(9941, NULL, 'IPR014302', NULL, 'Signal transduction histidine kinase, TMAO sensor TorS', 'Sig_transdc_His_kinase_TorS', 4, NULL),
(9942, NULL, 'IPR010394', NULL, '5-nucleotidase', '5-nucleotidase', 4, NULL),
(9943, NULL, 'IPR010385', NULL, 'Protein of unknown function DUF982', 'DUF982', 4, NULL),
(9944, NULL, 'IPR009199', NULL, 'PhoPQ-activated pathogenicity-related protein, PqaA type', 'PhoPQ-act_pathogen-rel_PqaA', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9945, NULL, 'IPR024161', NULL, 'Zinc finger, nanos-type', 'Znf_nanos-typ', 3, NULL),
(9946, NULL, 'IPR023942', NULL, '3-keto-L-gulonate-6-phosphate decarboxylase, UlaD', '3-keto-L-gulonate6Pdecase_UlaD', 4, NULL),
(9947, NULL, 'IPR009155', NULL, 'Cytochrome b562', 'Cyt_b562', 4, NULL),
(9948, NULL, 'IPR008990', NULL, 'Electron transport accessory-like domain superfamily', 'Elect_transpt_acc-like_dom_sf', 5, NULL),
(9949, NULL, 'IPR014458', NULL, 'Uncharacterised protein family, phage P2-GpU-fusion', 'Unchr_Phage_P2-GpU-fusion', 4, NULL),
(9950, NULL, 'IPR010402', NULL, 'CCT domain', 'CCT_domain', 3, NULL),
(9951, NULL, 'IPR010386', NULL, 'tRNA-hydroxylase MiaE', 'tRNA-Hydrxlase_MiaE', 4, NULL),
(9952, NULL, 'IPR014313', NULL, 'Aldehyde oxidase', 'Aldehyde_oxidase', 4, NULL),
(9953, NULL, 'IPR014316', NULL, 'Trimethylamine N-oxide reductase system, TorE', 'TMAO_TorE', 4, NULL),
(9954, NULL, 'IPR009170', NULL, 'PR domain zinc finger protein 2', 'PRDM2', 4, NULL),
(9955, NULL, 'IPR009175', NULL, 'Poxvirus I2', 'Poxvirus_I2', 4, NULL),
(9956, NULL, 'IPR013512', NULL, '1-deoxy-D-xylulose 5-phosphate reductoisomerase, N-terminal', 'DXP_reductoisomerase_N', 3, NULL),
(9957, NULL, 'IPR012576', NULL, 'NADH dehydrogenase [ubiquinone] 1 beta subcomplex subunit 3', 'NDUFB3', 4, NULL),
(9958, NULL, 'IPR015152', NULL, 'Growth hormone/erythropoietin receptor, ligand binding', 'Growth/epo_recpt_lig-bind', 3, NULL),
(9959, NULL, 'IPR014484', NULL, 'Uncharacterised conserved protein UCP016792', 'UCP016792', 4, NULL),
(9960, NULL, 'IPR034730', NULL, 'ATP-dependent RNA helicase DHX29', 'DHX29', 4, NULL),
(9961, NULL, 'IPR014312', NULL, 'Succinate dehydrogenase, hydrophobic membrane anchor', 'Succ_DH_anchor', 4, NULL),
(9962, NULL, 'IPR012752', NULL, 'dTDP-fucosamine acetyltransferase WecD', 'AcTrfase_WecD', 4, NULL),
(9963, NULL, 'IPR034593', NULL, 'Mandelate racemase DgoD-like', 'Mandelate_racemase_DgoD-like', 4, NULL),
(9964, NULL, 'IPR024158', NULL, 'Mitochondrial import protein TIM15', 'Mt_import_TIM15', 4, NULL),
(9965, NULL, 'IPR012587', NULL, 'RNA helicase p68 repeat', 'P68_rpt', 7, NULL),
(9966, NULL, 'IPR009179', NULL, 'Protein E3', 'E3L', 4, NULL),
(9967, NULL, 'IPR023303', NULL, 'Ammonia/methane monooxygenase, subunit B, C-terminal', 'NH3_CH4_mOase_suB_C', 5, NULL),
(9968, NULL, 'IPR012591', NULL, 'PRO8NT domain', 'PRO8NT', 3, NULL),
(9969, NULL, 'IPR015147', NULL, 'PI-PfuI intein endonuclease, subdomain', 'PI-PfuI_intein_endonucl_subdom', 3, NULL),
(9970, NULL, 'IPR014317', NULL, 'Transcription activator PspF', 'Transcription_activator_PspF', 4, NULL),
(9971, NULL, 'IPR024137', NULL, 'Histone deacetylase complex subunit SAP130', 'His_deAcase_cplx_SAP130', 4, NULL),
(9972, NULL, 'IPR012619', NULL, 'Myoactive tetradecapeptides', 'Tetradecapep', 4, NULL),
(9973, NULL, 'IPR013509', NULL, 'Ribonucleotide reductase large subunit, N-terminal', 'RNR_lsu_N', 3, NULL),
(9974, NULL, 'IPR012588', NULL, 'Exosome-associated factor Rrp6, N-terminal', 'Exosome-assoc_fac_Rrp6_N', 3, NULL),
(9975, NULL, 'IPR016008', NULL, 'Amine dehydrogenase light chain', 'Amine_DH_Ltc', 4, NULL),
(9976, NULL, 'IPR012624', NULL, 'Conotoxin I-superfamily', 'Toxin_19', 4, NULL),
(9977, NULL, 'IPR009009', NULL, 'RlpA-like protein, double-psi beta-barrel domain', 'RlpA-like_DPBB', 3, NULL),
(9978, NULL, 'IPR035324', NULL, 'Protein of unknown function DUF5381', 'DUF5381', 4, NULL),
(9979, NULL, 'IPR012627', NULL, 'Magi peptide toxin', 'Toxin_22', 4, NULL),
(9980, NULL, 'IPR015118', NULL, '5-aminolevulinate synthase presequence', '5aminolev_synth_preseq', 3, NULL),
(9981, NULL, 'IPR012629', NULL, 'Conotoxin TVIIAGS', 'Conotoxin_TVIIAGS', 4, NULL),
(9982, NULL, 'IPR010413', NULL, 'Intracellular heme transport protein HutX-like', 'HutX-like', 4, NULL),
(9983, NULL, 'IPR014004', NULL, 'Transport-associated and nodulation domain, bacteria', 'Transpt-assoc_nodulatn_dom_bac', 3, NULL),
(9984, NULL, 'IPR035245', NULL, '26S Proteasome regulatory subunit 7', 'PSMC2', 4, NULL),
(9985, NULL, 'IPR015110', NULL, 'YopE, N-terminal domain', 'YopE_N_dom', 3, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(9986, NULL, 'IPR015112', NULL, 'Staphostatin A', 'Staphostatin_A', 3, NULL),
(9987, NULL, 'IPR015133', NULL, 'Effector protein HopAB, E3 ubiquitin ligase domain', 'E3_ubiquit_lig_AvrPtoB', 3, NULL),
(9988, NULL, 'IPR035244', NULL, '26S Proteasome regulatory subunit 4', '26S_subunit_4', 4, NULL),
(9989, NULL, 'IPR009018', NULL, 'Signal recognition particle, SRP9/SRP14 subunit', 'Signal_recog_particle_SRP9/14', 5, NULL),
(9990, NULL, 'IPR024088', NULL, 'Tyrosine-tRNA ligase, bacterial-type', 'Tyr-tRNA-ligase_bac-type', 4, NULL),
(9991, NULL, 'IPR015170', NULL, 'Protein of unknown function DUF1924', 'DUF1924', 4, NULL),
(9992, NULL, 'IPR010436', NULL, 'Herpesvirus UL84', 'Herpes_UL84', 4, NULL),
(9993, NULL, 'IPR015137', NULL, 'Stannin cytoplasmic', 'SNN_cytoplasm', 3, NULL),
(9994, NULL, 'IPR015832', NULL, 'Uncharacterised conserved protein UCP006363, ACT-type', 'UCP006363_ACT', 4, NULL),
(9995, NULL, 'IPR009183', NULL, 'Uncharacterised conserved protein UCP004962', 'UCP004962', 4, NULL),
(9996, NULL, 'IPR012578', NULL, 'Nuclear pore complex component', 'Nucl_pore_cmplx', 4, NULL),
(9997, NULL, 'IPR009157', NULL, 'Ferredoxin zinc-binding', 'Fd_Zn-bd', 4, NULL),
(9998, NULL, 'IPR013822', NULL, 'Signal recognition particle SRP54, helical bundle', 'Signal_recog_particl_SRP54_hlx', 3, NULL),
(9999, NULL, 'IPR008999', NULL, 'Actin-crosslinking', 'Actin-crosslinking', 5, NULL),
(10000, NULL, 'IPR015606', NULL, 'Cationic amino acid transporter 3', 'CAT3', 4, NULL),
(10001, NULL, 'IPR009556', NULL, 'Microneme Etmic-2', 'Microneme_Etmic-2', 4, NULL),
(10002, NULL, 'IPR005087', NULL, 'Carbohydrate binding module family 11', 'CBM_fam11', 3, NULL),
(10003, NULL, 'IPR007480', NULL, 'Protein of unknown function DUF529', 'DUF529', 7, NULL),
(10004, NULL, 'IPR008156', NULL, 'Annexin A10', 'ANX10', 4, NULL),
(10005, NULL, 'IPR009547', NULL, 'Tenuivirus PVC2', 'Tenui_PVC2', 4, NULL),
(10006, NULL, 'IPR005073', NULL, 'Peptidase M74, penicillin-insensitive murein endopeptidase', 'Peptidase_M74', 4, NULL),
(10007, NULL, 'IPR010446', NULL, 'Beta-1,4-N-acetylgalactosaminyltransferase', 'GalNAc_Trfase_b', 4, NULL),
(10008, NULL, 'IPR014615', NULL, 'Extracellular sulfatase', 'Extracellular_sulfatase', 4, NULL),
(10009, NULL, 'IPR013471', NULL, 'Ribonuclease Z/BN', 'RNase_Z/BN', 4, NULL),
(10010, NULL, 'IPR011283', NULL, 'Acetoacetyl-CoA reductase', 'Acetoacetyl-CoA_reductase', 4, NULL),
(10011, NULL, 'IPR012781', NULL, 'D-fructose-responsive transcription factor', 'Fruct_sucro_rep', 4, NULL),
(10012, NULL, 'IPR009551', NULL, 'Protein wntless', 'Wntless', 4, NULL),
(10013, NULL, 'IPR005094', NULL, 'Endonuclease relaxase, MobA/VirD2', 'Endonuclease_MobA/VirD2', 4, NULL),
(10014, NULL, 'IPR009031', NULL, 'Carbohydrate binding module family 10', 'CBM_fam10', 3, NULL),
(10015, NULL, 'IPR010708', NULL, '5''(3'')-deoxyribonucleotidase', '5''(3'')-deoxyribonucleotidase', 4, NULL),
(10016, NULL, 'IPR009024', NULL, 'Methyl-coenzyme M reductase, ferredoxin-like fold', 'Me_CoM_Rdtase_Fd-like_fold', 5, NULL),
(10017, NULL, 'IPR012771', NULL, 'Trehalose operon repressor', 'Trehalos_R_gpbac', 4, NULL),
(10018, NULL, 'IPR011282', NULL, '2-amino-3-ketobutyrate coenzyme A ligase', '2am3keto_CoA_ligase', 4, NULL),
(10019, NULL, 'IPR013482', NULL, 'Molybdenum cofactor guanylyltransferase', 'Molybde_CF_guanTrfase', 4, NULL),
(10020, NULL, 'IPR006139', NULL, 'D-isomer specific 2-hydroxyacid dehydrogenase, catalytic domain', 'D-isomer_2_OHA_DH_cat_dom', 3, NULL),
(10021, NULL, 'IPR005082', NULL, 'Peptidase U9, T4 prohead protease', 'Peptidase_U9_T4_prohead', 4, NULL),
(10022, NULL, 'IPR006170', NULL, 'Pheromone/general odorant binding protein', 'PBP/GOBP', 4, NULL),
(10023, NULL, 'IPR023558', NULL, 'Tryptophan RNA-binding attenuator protein domain', 'Trp_RNA-bd_attenuator_dom', 3, NULL),
(10024, NULL, 'IPR012765', NULL, 'Glucosylglycerol-phospate 3-phosphatase', 'GGPPase', 4, NULL),
(10025, NULL, 'IPR010741', NULL, 'Protein of unknown function DUF1314', 'DUF1314', 4, NULL),
(10026, NULL, 'IPR006141', NULL, 'Intein N-terminal splicing region', 'Intein_N', 6, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10027, NULL, 'IPR009522', NULL, 'Nucleocapsid, Phlebovirus/Tenuivirus', 'Capsid_Phlebovir/Tenuivir', 4, NULL),
(10028, NULL, 'IPR009523', NULL, 'Prokineticin', 'Prokineticin', 4, NULL),
(10029, NULL, 'IPR009548', NULL, 'PRKR-interacting protein 1', 'Prkrip1', 4, NULL),
(10030, NULL, 'IPR013470', NULL, 'Ribonuclease Z, Thermotoga maritima', 'RNase_Z_THEMA', 4, NULL),
(10031, NULL, 'IPR009543', NULL, 'Vacuolar protein sorting-associated protein 13, SHR-binding domain', 'SHR-BD', 3, NULL),
(10032, NULL, 'IPR006155', NULL, 'Josephin domain', 'Josephin', 3, NULL),
(10033, NULL, 'IPR006158', NULL, 'Cobalamin (vitamin B12)-binding domain', 'Cobalamin-bd', 3, NULL),
(10034, NULL, 'IPR010453', NULL, 'RNA polymerase, arenaviral', 'RNA_pol_arenavir', 4, NULL),
(10035, NULL, 'IPR010441', NULL, 'CH-like domain in sperm protein', 'CH_2', 3, NULL),
(10036, NULL, 'IPR009525', NULL, 'Protein of unknown function DUF1145', 'DUF1145', 4, NULL),
(10037, NULL, 'IPR010465', NULL, 'DRF autoregulatory', 'Drf_DAD', 3, NULL),
(10038, NULL, 'IPR009027', NULL, 'Ribosomal protein L9/RNase H1, N-terminal', 'Ribosomal_L9/RNase_H1_N', 5, NULL),
(10039, NULL, 'IPR006128', NULL, 'Adhesion lipoprotein', 'Lipoprotein_4', 4, NULL),
(10040, NULL, 'IPR012791', NULL, '3-oxoacid CoA-transferase, subunit B', '3-oxoacid_CoA-transf_B', 3, NULL),
(10041, NULL, 'IPR006118', NULL, 'Recombinase, conserved site', 'Recombinase_CS', 2, NULL),
(10042, NULL, 'IPR005091', NULL, 'Major surface protein 1B', 'MSP1b', 4, NULL),
(10043, NULL, 'IPR005077', NULL, 'Peptidase C11, clostripain', 'Peptidase_C11', 4, NULL),
(10044, NULL, 'IPR006106', NULL, 'Cereal seed allergen/grain softness/trypsin and alpha-amylase inhibitor', 'Allergen/soft/tryp_amyl_inhib', 4, NULL),
(10045, NULL, 'IPR010492', NULL, 'GINS complex, subunit Psf3', 'GINS_Psf3', 4, NULL),
(10046, NULL, 'IPR011622', NULL, '7TM-DISM receptor, extracellular domain, type 2', '7TMR_DISM_rcpt_extracell_dom2', 3, NULL),
(10047, NULL, 'IPR016091', NULL, 'Superantigen toxin, C-terminal', 'SuperAg_toxin_C', 5, NULL),
(10048, NULL, 'IPR005090', NULL, 'Replication protein C', 'Rep_C', 4, NULL),
(10049, NULL, 'IPR006149', NULL, 'EB domain', 'EB_dom', 3, NULL),
(10050, NULL, 'IPR010694', NULL, 'Uncharacterised protein family VirK', 'Uncharacterised_VirK', 4, NULL),
(10051, NULL, 'IPR023774', NULL, 'Putative metal-dependent hydrolase YfiT', 'Put_metal_dep_hydrolase_YfiT', 4, NULL),
(10052, NULL, 'IPR013475', NULL, 'Amicyanin, Paracoccus/Methylobacterium', 'Amicyanin_Para/Methyl', 4, NULL),
(10053, NULL, 'IPR007498', NULL, 'Intermembrane transport protein PqiA-like', 'PqiA-like', 4, NULL),
(10054, NULL, 'IPR010493', NULL, 'Serine acetyltransferase, N-terminal', 'Ser_AcTrfase_N', 3, NULL),
(10055, NULL, 'IPR010494', NULL, 'Repeat of unknown function DUF1079', 'DUF1079', 7, NULL),
(10056, NULL, 'IPR010750', NULL, 'SGF29 tudor-like domain', 'SGF29_tudor-like_dom', 3, NULL),
(10057, NULL, 'IPR007482', NULL, 'Protein-tyrosine phosphatase-like, PTPLA', 'Tyr_Pase-like_PTPLA', 4, NULL),
(10058, NULL, 'IPR010723', NULL, 'HemN, C-terminal', 'HemN_C', 3, NULL),
(10059, NULL, 'IPR024224', NULL, 'DENND6', 'DENND6', 4, NULL),
(10060, NULL, 'IPR014339', NULL, 'Regulator of ribonuclease activity A, gammaproteobacteria', 'RraA_gpbac', 4, NULL),
(10061, NULL, 'IPR009538', NULL, 'Plasmalemma vesicle-associated protein', 'PV-1', 4, NULL),
(10062, NULL, 'IPR006117', NULL, '2-5-oligoadenylate synthetase, C-terminal  conserved site', '2-5OAS_C_CS', 2, NULL),
(10063, NULL, 'IPR013493', NULL, 'Conserved hypothetical protein CHP02677', 'CHP02677', 4, NULL),
(10064, NULL, 'IPR014487', NULL, 'Protein of unknown function DUF3151', 'DUF3151', 4, NULL),
(10065, NULL, 'IPR009025', NULL, 'DNA-directed RNA polymerase, RBP11-like dimerisation domain', 'RBP11-like_dimer', 3, NULL),
(10066, NULL, 'IPR010713', NULL, 'Xyloglucan endo-transglycosylase, C-terminal', 'XET_C', 3, NULL),
(10067, NULL, 'IPR011300', NULL, 'Phosphotransferase system, IIBC component', 'PTS_IIBC', 3, NULL),
(10068, NULL, 'IPR023943', NULL, 'Enolase-phosphatase E1', 'Enolase-ppase_E1', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10069, NULL, 'IPR016066', NULL, 'Alpha-D-phosphohexomutase, conserved site', 'A-D-PHexomutase_CS', 2, NULL),
(10070, NULL, 'IPR011286', NULL, '2-dehydro-3-deoxy-D-gluconate 5-dehydrogenase', '2-deoxy-D-gluc_3_DH', 4, NULL),
(10071, NULL, 'IPR010462', NULL, 'Ectoine synthase', 'Ectoine_synth', 4, NULL),
(10072, NULL, 'IPR013468', NULL, 'Conserved hypothetical protein CHP02647', 'CHP02647', 4, NULL),
(10073, NULL, 'IPR005071', NULL, 'Transmembrane glycoprotein', 'Glycoprotein', 4, NULL),
(10074, NULL, 'IPR006167', NULL, 'DNA repair protein XPF', 'XPF', 4, NULL),
(10075, NULL, 'IPR013488', NULL, 'CRISPR-associated protein Csx9', 'CRISPR-assoc_prot_Csx9', 4, NULL),
(10076, NULL, 'IPR011199', NULL, 'Bacillithiol biosynthesis BshC', 'Bacillithiol_biosynth_BshC', 4, NULL),
(10077, NULL, 'IPR010749', NULL, 'Protein of unknown function DUF1323', 'DUF1323', 4, NULL),
(10078, NULL, 'IPR007489', NULL, 'Domain of unknown function DUF536', 'DUF536', 3, NULL),
(10079, NULL, 'IPR024738', NULL, 'Transcriptional coactivator Hfi1/Transcriptional adapter 1', 'Hfi1/Tada1', 4, NULL),
(10080, NULL, 'IPR035297', NULL, '26S Proteasome non-ATPase regulatory subunit 12', 'PSMD12', 4, NULL),
(10081, NULL, 'IPR006166', NULL, 'ERCC4 domain', 'ERCC4_domain', 3, NULL),
(10082, NULL, 'IPR006127', NULL, 'Periplasmic solute binding protein, ZnuA-like', 'ZnuA-like', 4, NULL),
(10083, NULL, 'IPR035298', NULL, '26S Proteasome non-ATPase regulatory subunit 13', 'PSMD13', 4, NULL),
(10084, NULL, 'IPR010744', NULL, 'Bacteriophage CI repressor', 'Phage_CI_repr', 4, NULL),
(10085, NULL, 'IPR010702', NULL, 'Periplasmic pectate lyase', 'Pectate_lyase_2', 4, NULL),
(10086, NULL, 'IPR010711', NULL, 'Group XII secretory phospholipase A2 precursor', 'PLA2G12', 4, NULL),
(10087, NULL, 'IPR005086', NULL, 'Carbohydrate binding module family 17/28', 'CBM_fam_17/28', 3, NULL),
(10088, NULL, 'IPR009550', NULL, 'VirE3', 'VirE3', 4, NULL),
(10089, NULL, 'IPR010442', NULL, 'PET domain', 'PET_domain', 3, NULL),
(10090, NULL, 'IPR010486', NULL, 'HNS-dependent expression A/B', 'HNS-dep_expression_A/B', 4, NULL),
(10091, NULL, 'IPR010471', NULL, 'Protein of unknown function DUF1068', 'DUF1068', 4, NULL),
(10092, NULL, 'IPR006156', NULL, 'Dihydroneopterin aldolase', 'Dihydroneopterin_aldolase', 4, NULL),
(10093, NULL, 'IPR011626', NULL, 'Alpha-macroglobulin-like, TED domain', 'Alpha-macroglobulin_TED', 3, NULL),
(10094, NULL, 'IPR009531', NULL, 'Protein of unknown function DUF1150', 'DUF1150', 4, NULL),
(10095, NULL, 'IPR007487', NULL, 'ABC transporter, substrate-binding protein', 'ABC_transpt-bd', 4, NULL),
(10096, NULL, 'IPR011621', NULL, 'Metal-dependent phosphohydrolase, 7TM intracellular domain', 'Metal-dep_PHydrolase_7TM_intra', 3, NULL),
(10097, NULL, 'IPR006161', NULL, 'Conserved hypothetical protein CHP00336', 'CHP00366', 4, NULL),
(10098, NULL, 'IPR010753', NULL, 'Domain of unknown function DUF1330', 'DUF1330', 3, NULL),
(10099, NULL, 'IPR012776', NULL, 'Trimethyllysine dioxygenase', 'Trimethyllysine_dOase', 4, NULL),
(10100, NULL, 'IPR014334', NULL, 'Ectoine utilization protein EutC', 'Ectoine_EutC', 4, NULL),
(10101, NULL, 'IPR005084', NULL, 'Carbohydrate binding module family 6', 'CMB_fam6', 3, NULL),
(10102, NULL, 'IPR011625', NULL, 'Alpha-2-macroglobulin, bait region domain', 'A2M_N_BRD', 3, NULL),
(10103, NULL, 'IPR011284', NULL, '3-oxoacyl-(acyl-carrier-protein) reductase', '3oxo_ACP_reduc', 4, NULL),
(10104, NULL, 'IPR011293', NULL, 'Ion-translocating oxidoreductase complex, subunit  RnfA/RsxA', 'Ion_transpt_RnfA/RsxA', 4, NULL),
(10105, NULL, 'IPR011287', NULL, 'Poly(R)-hydroxyalkanoic acid synthase, class II', 'PHA_synth_II', 4, NULL),
(10106, NULL, 'IPR014338', NULL, 'Uncharacterised domain CHP02996, repeat-companion domain', 'CHP02996_rpt-companion-dom', 3, NULL),
(10107, NULL, 'IPR015842', NULL, 'RNA-directed RNA polymerase, tenuivirus', 'RNA-dir_pol_tenuivirus', 4, NULL),
(10108, NULL, 'IPR016085', NULL, 'Protease inhibitor, beta-barrel domain', 'Protease_inh_b-brl_dom', 5, NULL),
(10109, NULL, 'IPR007503', NULL, 'Protein of unknown function DUF530', 'DUF530', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10110, NULL, 'IPR007481', NULL, 'Stringent starvation protein B', 'SspB', 4, NULL),
(10111, NULL, 'IPR013990', NULL, 'Water stress and hypersensitive response domain', 'WHy-dom', 3, NULL),
(10112, NULL, 'IPR011202', NULL, 'Uncharacterised conserved protein UCP014677', 'UCP014677', 4, NULL),
(10113, NULL, 'IPR010751', NULL, 'Plasmid replication initiator protein TrfA', 'TrfA', 4, NULL),
(10114, NULL, 'IPR011290', NULL, 'Nitrogenase iron-iron protein, alpha chain', 'Nase_Fe-Fe_asu', 4, NULL),
(10115, NULL, 'IPR013489', NULL, 'CRISPR-associated protein Csm6', 'CRISPR-assoc_prot_Csm6', 4, NULL),
(10116, NULL, 'IPR012761', NULL, 'RNA polymerase sigma factor RpoS', 'RNA_pol_sigma_RpoS', 4, NULL),
(10117, NULL, 'IPR013476', NULL, 'Methylamine dehydrogenase heavy chain', 'MeN_DH_Hvc', 4, NULL),
(10118, NULL, 'IPR013473', NULL, 'Lon-like protease BrxL', 'BrxL', 4, NULL),
(10119, NULL, 'IPR014337', NULL, 'Ectoine/Hydroxyectoine ABC transporter, substrate-binding protein EhuB', 'Ectoine_EhuB', 4, NULL),
(10120, NULL, 'IPR012777', NULL, 'Leukotriene A4 hydrolase/leucine aminopeptidase', 'LTA4H', 4, NULL),
(10121, NULL, 'IPR013465', NULL, 'Thymidine phosphorylase', 'Thymidine_Pase', 4, NULL),
(10122, NULL, 'IPR009545', NULL, 'Tight junction protein, claudin-like', 'Claudin-like', 4, NULL),
(10123, NULL, 'IPR024694', NULL, 'PurE, prokaryotic type', 'PurE_prokaryotes', 4, NULL),
(10124, NULL, 'IPR006157', NULL, 'Dihydroneopterin aldolase/epimerase domain', 'FolB_dom', 3, NULL),
(10125, NULL, 'IPR010756', NULL, 'Telomere length and silencing protein 1', 'Tls1', 4, NULL),
(10126, NULL, 'IPR016090', NULL, 'Phospholipase A2 domain', 'PLipase_A2_dom', 3, NULL),
(10127, NULL, 'IPR009526', NULL, 'Protein of unknown function DUF1146', 'DUF1146', 4, NULL),
(10128, NULL, 'IPR008157', NULL, 'Annexin A11', 'ANX11', 4, NULL),
(10129, NULL, 'IPR010487', NULL, 'Neugrin/Rrg9', 'NGRN/Rrg9', 4, NULL),
(10130, NULL, 'IPR024741', NULL, 'Condensin-2 complex subunit G2', 'Condensin2_G2', 4, NULL),
(10131, NULL, 'IPR006142', NULL, 'Intein', 'INTEIN', 3, NULL),
(10132, NULL, 'IPR024690', NULL, 'Nitrile hydratase beta subunit domain', 'CN_hydtase_beta_dom', 3, NULL),
(10133, NULL, 'IPR007501', NULL, 'Protein of unknown function DUF531', 'DUF531', 4, NULL),
(10134, NULL, 'IPR011141', NULL, 'Polyketide synthase, type III', 'Polyketide_synthase_type-III', 4, NULL),
(10135, NULL, 'IPR010443', NULL, 'Restriction endonuclease, type II, Tsp45I', 'Restrct_endonuc_II_Tsp45I', 4, NULL),
(10136, NULL, 'IPR006108', NULL, '3-hydroxyacyl-CoA dehydrogenase, C-terminal', '3HC_DH_C', 3, NULL),
(10137, NULL, 'IPR016071', NULL, 'Staphylococcal nuclease (SNase-like), OB-fold', 'Staphylococal_nuclease_OB-fold', 3, NULL),
(10138, NULL, 'IPR013469', NULL, 'Ribonuclease BN', 'Rnase_BN', 4, NULL),
(10139, NULL, 'IPR011288', NULL, 'D-tagatose-bisphosphate aldolase, class II, subunit KbaY/GatY', 'TagBP_ald_KbaY/GatY', 4, NULL),
(10140, NULL, 'IPR009019', NULL, 'K homology domain superfamily, prokaryotic type', 'KH_sf_prok-type', 5, NULL),
(10141, NULL, 'IPR010488', NULL, 'Zeta toxin domain', 'Zeta_toxin_domain', 3, NULL),
(10142, NULL, 'IPR006075', NULL, 'Aspartyl/Glutamyl-tRNA(Gln) amidotransferase, subunit B/E, catalytic', 'Asn/Gln-tRNA_Trfase_suB/E_cat', 3, NULL),
(10143, NULL, 'IPR012766', NULL, 'Alpha,alpha-trehalose-phosphate synthase', 'Trehalose_OtsA', 4, NULL),
(10144, NULL, 'IPR010720', NULL, 'Alpha-L-arabinofuranosidase, C-terminal', 'Alpha-L-AF_C', 3, NULL),
(10145, NULL, 'IPR023178', NULL, 'Orbivirus inner capsid protein VP7, C-terminal', 'Orbi_VP7_capsid_C', 5, NULL),
(10146, NULL, 'IPR024109', NULL, 'Tryptophan-tRNA ligase, bacterial-type', 'Trp-tRNA-ligase_bac-type', 4, NULL),
(10147, NULL, 'IPR014619', NULL, 'Deoxycytidylate hydroxymethylase', 'Deoxycytidylate_hydroxyMease', 4, NULL),
(10148, NULL, 'IPR006133', NULL, 'DNA-directed DNA polymerase, family B, exonuclease domain', 'DNA-dir_DNA_pol_B_exonuc', 3, NULL),
(10149, NULL, 'IPR006135', NULL, 'Type III secretion system substrate exporter', 'T3SS_substrate_exporter', 4, NULL),
(10150, NULL, 'IPR009029', NULL, 'Hydroxymethylglutaryl-CoA reductase, class I/II, substrate-binding domain superfamily', 'HMG_CoA_Rdtase_sub-bd_dom_sf', 5, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10151, NULL, 'IPR011140', NULL, 'Autonomous glycyl radical cofactor GrcA', 'Glycyl_radical_cofactor_GrcA', 4, NULL),
(10152, NULL, 'IPR015834', NULL, 'Uncharacterised conserved protein UCP016642', 'UCP016642', 4, NULL),
(10153, NULL, 'IPR016072', NULL, 'SKP1 component, dimerisation', 'Skp1_comp_dimer', 3, NULL),
(10154, NULL, 'IPR011147', NULL, 'Bifunctional aspartokinase/homoserine dehydrogenase I', 'Bifunc_aspartokin/hSer_DH', 4, NULL),
(10155, NULL, 'IPR010733', NULL, 'Domain of unknown function DUF1308', 'DUF1308', 3, NULL),
(10156, NULL, 'IPR006110', NULL, 'RNA polymerase, subunit omega/Rpo6/RPB6', 'Pol_omega/Rpo6/RPB6', 4, NULL),
(10157, NULL, 'IPR010479', NULL, 'BH3-interacting domain death agonist', 'BID', 4, NULL),
(10158, NULL, 'IPR015839', NULL, 'Bifunctional chloromethane dehalogenation methyltransferase corrinoid-binding protein CmuA', 'CmuA', 4, NULL),
(10159, NULL, 'IPR010474', NULL, 'AP-3 complex subunit delta domain, metazoa', 'AP3D_dom_metazoa', 3, NULL),
(10160, NULL, 'IPR011279', NULL, 'Chorismate mutase, Gram-positive', 'Chorismate_mutase_GmP', 3, NULL),
(10161, NULL, 'IPR013492', NULL, 'CRISPR system subtype II-B RNA-guided endonuclease Cas9/Csx12', 'CRISPR-assoc_Cas9/Csx12', 4, NULL),
(10162, NULL, 'IPR005078', NULL, 'Peptidase C54', 'Peptidase_C54', 4, NULL),
(10163, NULL, 'IPR005093', NULL, 'RNA-directed RNA polymerase beta-chain', 'RNArep_beta', 4, NULL),
(10164, NULL, 'IPR012758', NULL, 'DNA-directed RNA polymerase subunit Rpo1N', 'RPO1N', 4, NULL),
(10165, NULL, 'IPR007495', NULL, '(Na+)-NQR maturation factor NqrM', 'NqrM', 4, NULL),
(10166, NULL, 'IPR010718', NULL, 'Protein of unknown function DUF1294', 'DUF1294', 4, NULL),
(10167, NULL, 'IPR007488', NULL, 'Protein of unknown function DUF535', 'DUF535', 4, NULL),
(10168, NULL, 'IPR010490', NULL, 'Conserved oligomeric Golgi complex subunit 6', 'COG6', 4, NULL),
(10169, NULL, 'IPR013989', NULL, 'Development/cell death domain', 'Dev_and_cell_death_domain', 3, NULL),
(10170, NULL, 'IPR007492', NULL, 'LytTR DNA-binding domain', 'LytTR_DNA-bd_dom', 3, NULL),
(10171, NULL, 'IPR009557', NULL, 'Repeat of unknown function DUF1174', 'DUF1174', 7, NULL),
(10172, NULL, 'IPR010763', NULL, '2-dehydro-3-deoxy-phosphogluconate aldolase', 'DgaF', 4, NULL),
(10173, NULL, 'IPR009521', NULL, 'Orthopoxvirus F6', 'Orthopox_F6', 4, NULL),
(10174, NULL, 'IPR007499', NULL, 'Essential recombination function protein', 'ERF_bacteria_virus', 4, NULL),
(10175, NULL, 'IPR006109', NULL, 'Glycerol-3-phosphate dehydrogenase, NAD-dependent, C-terminal', 'G3P_DH_NAD-dep_C', 3, NULL),
(10176, NULL, 'IPR016055', NULL, 'Alpha-D-phosphohexomutase, alpha/beta/alpha I/II/III', 'A-D-PHexomutase_a/b/a-I/II/III', 5, NULL),
(10177, NULL, 'IPR034852', NULL, 'NBR1, PB1 domain', 'PB1_NBR1', 3, NULL),
(10178, NULL, 'IPR024697', NULL, 'Uncharacterised conserved protein, UCP037923', 'UCP037923', 4, NULL),
(10179, NULL, 'IPR010706', NULL, 'Fatty acid cis-trans isomerase', 'Fatty_acid_cis-trans_isomerase', 4, NULL),
(10180, NULL, 'IPR009023', NULL, 'Hydroxymethylglutaryl-CoA reductase, class I/II, NAD/NADP-binding domain superfamily', 'HMG_CoA_Rdtase_NAD(P)-bd_sf', 5, NULL),
(10181, NULL, 'IPR016058', NULL, 'Pheromone Er-1, protozoan', 'Pheromone_Er1_protoz', 5, NULL),
(10182, NULL, 'IPR011277', NULL, 'Chorismate mutase, T-protein', 'CM_T', 3, NULL),
(10183, NULL, 'IPR011289', NULL, 'Fructose-1,6-bisphosphate aldolase, class 2', 'Fruc_bis_ald_class-2', 4, NULL),
(10184, NULL, 'IPR023760', NULL, 'Holin-like protein CidA', 'Holin-like_CidA', 4, NULL),
(10185, NULL, 'IPR007484', NULL, 'Peptidase M28', 'Peptidase_M28', 3, NULL),
(10186, NULL, 'IPR034836', NULL, 'Glucoamylase, CBM20 domain', 'CBM20_glucoamylase', 3, NULL),
(10187, NULL, 'IPR014333', NULL, 'Ectoine utilization protein EutB', 'Ectoine_EutB', 4, NULL),
(10188, NULL, 'IPR011278', NULL, '2-methylcitrate synthase/citrate synthase type I', '2-MeCitrate/Citrate_synth_II', 4, NULL),
(10189, NULL, 'IPR016064', NULL, 'NAD kinase/diacylglycerol kinase-like domain superfamily', 'NAD/diacylglycerol_kinase_sf', 5, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10190, NULL, 'IPR013490', NULL, 'CRISPR-associated RAMP Csx10', 'CRISPR-assoc_RAMP_Csx10', 4, NULL),
(10191, NULL, 'IPR016082', NULL, 'Ribosomal protein L30, ferredoxin-like fold domain', 'Ribosomal_L30_ferredoxin-like', 3, NULL),
(10192, NULL, 'IPR010758', NULL, 'Trans-2-enoyl-CoA reductase', 'Trans-2-enoyl-CoA_reductase', 4, NULL),
(10193, NULL, 'IPR015837', NULL, 'Uncharacterised conserved protein UCP026622, CAAX protease-type', 'UCP026622_CAAX_protease', 4, NULL),
(10194, NULL, 'IPR007505', NULL, 'PD-(D/E)XK nuclease superfamily  7', 'PDDEXK_7', 4, NULL),
(10195, NULL, 'IPR010489', NULL, 'Effector protein NleG', 'Effector_NleG', 4, NULL),
(10196, NULL, 'IPR009540', NULL, 'Basal layer antifungal peptide', 'BAP', 4, NULL),
(10197, NULL, 'IPR023884', NULL, 'Colanic acid biosynthesis, glycosyl transferase, WcaL', 'Colanic_acid_synth_WcaL', 4, NULL),
(10198, NULL, 'IPR010693', NULL, 'Divergent 4Fe-4S mono-cluster', 'Divergent_4Fe-4S_mono-cluster', 3, NULL),
(10199, NULL, 'IPR011063', NULL, 'tRNA(Ile)-lysidine/2-thiocytidine synthase, N-terminal', 'TilS/TtcA_N', 3, NULL),
(10200, NULL, 'IPR007479', NULL, 'ISC system FeS cluster assembly, IscX', 'ISC_FeS_clus_asmbl_IscsX', 4, NULL),
(10201, NULL, 'IPR007506', NULL, 'Aconitase X catalytic domain, putative', 'AcnX_catalytic_put', 3, NULL),
(10202, NULL, 'IPR013472', NULL, 'Conserved hypothetical protein CHP02652', 'CHP02652', 4, NULL),
(10203, NULL, 'IPR005081', NULL, 'Sigma-E processing peptidase SpoIIGA', 'SpoIIGA', 4, NULL),
(10204, NULL, 'IPR012795', NULL, 'tRNA(Ile)-lysidine synthase, N-terminal', 'tRNA_Ile_lys_synt_N', 3, NULL),
(10205, NULL, 'IPR011297', NULL, 'Phosphotransferase system, beta-glucoside-specific IIABC component', 'PTS_IIABC_b_glu', 4, NULL),
(10206, NULL, 'IPR009166', NULL, 'Annexin A13', 'ANX13', 4, NULL),
(10207, NULL, 'IPR010754', NULL, 'Optic atrophy 3-like', 'OPA3-like', 4, NULL),
(10208, NULL, 'IPR011291', NULL, 'Peptidase M20A, peptidase V', 'Pept_M20A_peptidaseV', 4, NULL),
(10209, NULL, 'IPR013043', NULL, 'Domain of unknown function DUF1595', 'DUF1595', 3, NULL),
(10210, NULL, 'IPR013494', NULL, 'Conserved hypothetical protein CHP02678', 'CHP02678', 4, NULL),
(10211, NULL, 'IPR024696', NULL, 'Uncharacterised conserved protein, UCP038601', 'UCP038601', 4, NULL),
(10212, NULL, 'IPR016087', NULL, 'Chalcone isomerase', 'Chalcone_isomerase', 3, NULL),
(10213, NULL, 'IPR006131', NULL, 'Aspartate/ornithine carbamoyltransferase, Asp/Orn-binding domain', 'Asp_carbamoyltransf_Asp/Orn-bd', 3, NULL),
(10214, NULL, 'IPR009560', NULL, 'Protein of unknown function DUF1176', 'DUF1176', 4, NULL),
(10215, NULL, 'IPR015841', NULL, 'RNA-directed RNA polymerase, tospovirus', 'RNA-dir_pol_tospovirus', 4, NULL),
(10216, NULL, 'IPR005079', NULL, 'Peptidase C45', 'Peptidase_C45', 4, NULL),
(10217, NULL, 'IPR016062', NULL, 'Hypothetical protein TM1410-related', 'TM1410-rel', 4, NULL),
(10218, NULL, 'IPR010461', NULL, 'Competence protein ComK', 'ComK', 4, NULL),
(10219, NULL, 'IPR012780', NULL, 'Carbon-monoxide dehydrogenase, large subunit', 'CO_Mo_DH_lsu', 4, NULL),
(10220, NULL, 'IPR012783', NULL, 'Zinc finger, C4 DksA/TraR-type', 'Znf_C4_TraR', 4, NULL),
(10221, NULL, 'IPR011302', NULL, 'Iron-binding protein IscA, proteobacteria', 'IscA_proteobacteria', 4, NULL),
(10222, NULL, 'IPR012792', NULL, '3-oxoacid CoA-transferase, subunit A', '3-oxoacid_CoA-transf_A', 3, NULL),
(10223, NULL, 'IPR010764', NULL, 'Protein of unknown function DUF1347', 'DUF1347', 4, NULL),
(10224, NULL, 'IPR010746', NULL, 'Commelina yellow mottle virus, Orf1', 'CYMV_Orf1', 4, NULL),
(10225, NULL, 'IPR005085', NULL, 'Carbohydrate binding module family 25', 'CBM25', 3, NULL),
(10226, NULL, 'IPR011305', NULL, 'Predicted [NiFe]-hydrogenase-3-type complex Eha, membrane protein EhaL', 'Prd_NiFe_hyd_3_EhaL', 4, NULL),
(10227, NULL, 'IPR011138', NULL, 'Succinate dehydrogenase cytochrome b558 subunit', 'Cytochrome_b-558', 4, NULL),
(10228, NULL, 'IPR013991', NULL, 'PhnA protein N-terminal, proteobacterial', 'PhnaA_N_proteobac', 3, NULL),
(10229, NULL, 'IPR006169', NULL, 'GTP1/OBG domain', 'GTP1_OBG_dom', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10230, NULL, 'IPR010449', NULL, 'NUMB domain', 'Numb_domain', 3, NULL),
(10231, NULL, 'IPR024692', NULL, 'Phosphotransferase system, enzyme I', 'PTS_EI', 4, NULL),
(10232, NULL, 'IPR012763', NULL, 'DNA polymerase III, subunit gamma/ tau, N-terminal', 'DNA_pol_III_sug/sutau_N', 3, NULL),
(10233, NULL, 'IPR006122', NULL, 'Heavy metal-associated domain, copper ion-binding', 'HMA_Cu_ion-bd', 3, NULL),
(10234, NULL, 'IPR010445', NULL, 'Lipopolysaccharide assembly protein A domain', 'LapA_dom', 3, NULL),
(10235, NULL, 'IPR016069', NULL, 'Translin, C-terminal', 'Translin_C', 5, NULL),
(10236, NULL, 'IPR012788', NULL, '4-carboxymuconolactone decarboxylase', 'Decarb_PcaC', 3, NULL),
(10237, NULL, 'IPR011143', NULL, 'Ganglioside GM2 synthase', 'GM2_synthase', 4, NULL),
(10238, NULL, 'IPR009529', NULL, 'Maize streak virus, 13.1kDa', 'Maize_streak_virus_13.1kDa', 4, NULL),
(10239, NULL, 'IPR009518', NULL, 'Photosystem II PsbX', 'PSII_PsbX', 4, NULL),
(10240, NULL, 'IPR013480', NULL, 'Nitrogen fixation protein NifX', 'NifX', 4, NULL),
(10241, NULL, 'IPR034001', NULL, 'ATP-binding cassette transporter, PDR-like subfamily G, domain 1', 'ABCG_PDR_1', 3, NULL),
(10242, NULL, 'IPR006144', NULL, 'Secretion protein HlyD, conserved site', 'Secretion_HlyD_CS', 2, NULL),
(10243, NULL, 'IPR010721', NULL, 'Protein of unknown function DUF1295', 'DUF1295', 4, NULL),
(10244, NULL, 'IPR010762', NULL, 'Capsid protein, T4-like bacteriophage-like', 'Gp23/Gp24_T4-like', 4, NULL),
(10245, NULL, 'IPR010712', NULL, 'Arsenical-resistance operon trans-acting repressor ArsD', 'Arsenical-R_ArsD', 4, NULL),
(10246, NULL, 'IPR010483', NULL, 'Alpha-2-macroglobulin RAP, C-terminal', 'Alpha_2_MRAP_C', 3, NULL),
(10247, NULL, 'IPR010470', NULL, 'Beet necrotic yellow vein virus, movement protein TGB3', 'BNYVV_TGB3', 4, NULL),
(10248, NULL, 'IPR005083', NULL, 'Serine/Threonine acetyltransferase, YopJ', 'Ser/Thr_AcTrfase', 4, NULL),
(10249, NULL, 'IPR009030', NULL, 'Growth factor receptor cysteine-rich domain superfamily', 'Growth_fac_rcpt_cys_sf', 5, NULL),
(10250, NULL, 'IPR035301', NULL, 'L1 transposable element, trimerization domain', 'L1_trimer', 3, NULL),
(10251, NULL, 'IPR009519', NULL, 'Fiji disease virus, Vp7-2', 'FDV_Vp7-2', 4, NULL),
(10252, NULL, 'IPR007486', NULL, 'Inner membrane protein YebE', 'YebE', 4, NULL),
(10253, NULL, 'IPR006114', NULL, '6-phosphogluconate dehydrogenase, C-terminal', '6PGDH_C', 3, NULL),
(10254, NULL, 'IPR006143', NULL, 'RND efflux pump, membrane fusion protein', 'RND_pump_MFP', 4, NULL),
(10255, NULL, 'IPR006164', NULL, 'Ku70/Ku80 beta-barrel domain', 'Ku70/Ku80_beta-barrel_dom', 3, NULL),
(10256, NULL, 'IPR007483', NULL, 'Hamartin', 'Hamartin', 4, NULL),
(10257, NULL, 'IPR015833', NULL, 'DNA-directed DNA polymerase, family B, mitochondrial linear plasmid', 'DNA-dir_DNA_pol_B_mt_lin_plsmd', 4, NULL),
(10258, NULL, 'IPR010473', NULL, 'Formin, GTPase-binding domain', 'GTPase-bd', 3, NULL),
(10259, NULL, 'IPR011079', NULL, 'Alanine racemase, C-terminal', 'Ala_racemase_C', 3, NULL),
(10260, NULL, 'IPR014491', NULL, 'Curli production protein CsgC', 'Curli_production_prot_CsgC', 4, NULL),
(10261, NULL, 'IPR010468', NULL, 'Hormone-sensitive lipase, N-terminal', 'HSL_N', 3, NULL),
(10262, NULL, 'IPR024695', NULL, 'Uncharacterised conserved protein, UCP038861', 'UCP038861', 4, NULL),
(10263, NULL, 'IPR034831', NULL, 'Laforin, CBM20 domain', 'CBM20_laforin', 3, NULL),
(10264, NULL, 'IPR034853', NULL, 'Neutrophil cytosol factor P40, PB1 domain', 'PB1_P40', 3, NULL),
(10265, NULL, 'IPR006136', NULL, 'Flagellar biosynthetic protein FlhB', 'FlhB', 4, NULL),
(10266, NULL, 'IPR007493', NULL, 'Protein of unknown function DUF538', 'DUF538', 4, NULL),
(10267, NULL, 'IPR010475', NULL, 'Adipokinetic hormone/red pigment-concentrating hormone', 'AKH/RPCH_hormone', 4, NULL),
(10268, NULL, 'IPR012762', NULL, 'Ubiquinone biosynthesis protein COQ9', 'Ubiq_biosynth_COQ9', 4, NULL),
(10269, NULL, 'IPR010491', NULL, 'PRP1 splicing factor, N-terminal', 'PRP1_N', 3, NULL),
(10270, NULL, 'IPR009535', NULL, 'Phospholipase C-beta, conserved site', 'PLC-beta_CS', 2, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10271, NULL, 'IPR006104', NULL, 'Glycosyl hydrolases family 2, sugar binding domain', 'Glyco_hydro_2_N', 3, NULL),
(10272, NULL, 'IPR010916', NULL, 'TonB box, conserved site', 'TonB_box_CS', 2, NULL),
(10273, NULL, 'IPR010447', NULL, 'Herpesvirus IR6', 'Herpes_IR6', 4, NULL),
(10274, NULL, 'IPR012794', NULL, 'Beta-ketoadipate transcriptional regulator, PcaR/PcaU/PobR', 'PcaR_PcaU', 4, NULL),
(10275, NULL, 'IPR011298', NULL, 'FeS assembly scaffold SufA', 'SufA_proteobacteria', 4, NULL),
(10276, NULL, 'IPR015835', NULL, 'Hydroxymethyl pyrimidine (HMP)/thiamine binding protein', 'HMP/thiamine-bd', 4, NULL),
(10277, NULL, 'IPR023882', NULL, 'Colanic acid biosynthesis WcaM', 'Colanic_acid_synth_WcaM', 4, NULL),
(10278, NULL, 'IPR013479', NULL, 'ADP-ribosyl-dinitrogen reductase hydrolase', 'ADP-ribosyl_diN_reduct_hydro', 4, NULL),
(10279, NULL, 'IPR010760', NULL, 'DNA repair protein, Swi5', 'DNA-repair_Swi5', 4, NULL),
(10280, NULL, 'IPR014492', NULL, 'Poly(A) polymerase', 'PolyA_polymerase', 4, NULL),
(10281, NULL, 'IPR005088', NULL, 'Carbohydrate binding module family 15', 'CBM_fam15', 3, NULL),
(10282, NULL, 'IPR012775', NULL, 'Gamma-butyrobetaine hydroxylase', 'GBBH', 4, NULL),
(10283, NULL, 'IPR009530', NULL, 'Protein of unknown function DUF1149', 'DUF1149', 4, NULL),
(10284, NULL, 'IPR034749', NULL, 'DNA-directed DNA polymerase T4 type', 'DPOL_T4', 4, NULL),
(10285, NULL, 'IPR016095', NULL, 'Ribosomal protein L1, 3-layer alpha/beta-sandwich', 'Ribosomal_L1_3-a/b-sand', 5, NULL),
(10286, NULL, 'IPR006140', NULL, 'D-isomer specific 2-hydroxyacid dehydrogenase, NAD-binding domain', 'D-isomer_DH_NAD-bd', 3, NULL),
(10287, NULL, 'IPR010697', NULL, 'YspA SLOG family', 'YspA', 4, NULL),
(10288, NULL, 'IPR010743', NULL, 'Methionine biosynthesis MetW', 'Methionine_synth_MetW', 4, NULL),
(10289, NULL, 'IPR015838', NULL, 'Uncharacterised conserved protein UCP027923, rubrerythrin-type', 'UCP027923_rubrerythrin', 4, NULL),
(10290, NULL, 'IPR010730', NULL, 'Heterokaryon incompatibility', 'HET', 3, NULL),
(10291, NULL, 'IPR013474', NULL, 'Circadian clock protein KaiB', 'Circ_KaiB', 4, NULL),
(10292, NULL, 'IPR009544', NULL, 'Protein of unknown function DUF1163', 'DUF1163', 4, NULL),
(10293, NULL, 'IPR009520', NULL, 'Protein of unknown function DUF1140', 'DUF1140', 4, NULL),
(10294, NULL, 'IPR010692', NULL, 'RTX iron-regulated FrpC', 'FrpC', 4, NULL),
(10295, NULL, 'IPR010727', NULL, 'Protein of unknown function DUF1302', 'DUF1302', 4, NULL),
(10296, NULL, 'IPR011620', NULL, 'Signal transduction histidine kinase, 5TM receptor LytS, transmembrane region', 'Sig_transdc_His_kinase_LytS_TM', 3, NULL),
(10297, NULL, 'IPR010454', NULL, 'Bacteriophage NinH', 'Phage_NinH', 4, NULL),
(10298, NULL, 'IPR010716', NULL, 'RecQ helicase-like 5', 'RECQ5', 3, NULL),
(10299, NULL, 'IPR012760', NULL, 'RNA polymerase sigma factor RpoD, C-terminal', 'RNA_pol_sigma_RpoD_C', 3, NULL),
(10300, NULL, 'IPR007504', NULL, 'H/ACA ribonucleoprotein complex, subunit Gar1/Naf1', 'H/ACA_rnp_Gar1/Naf1', 4, NULL),
(10301, NULL, 'IPR011149', NULL, 'DNA polymerase II small subunit, archaeal', 'Pol2_small_arc', 4, NULL),
(10302, NULL, 'IPR035299', NULL, '26S Proteasome non-ATPase regulatory subunit 14', 'PSMD14', 4, NULL),
(10303, NULL, 'IPR010737', NULL, 'Four-carbon acid sugar kinase, N-terminal domain', 'DUF1537', 3, NULL),
(10304, NULL, 'IPR014488', NULL, 'Uncharacterised conserved protein UCP017371', 'UCP017371', 4, NULL),
(10305, NULL, 'IPR009554', NULL, 'Phage shock protein B', 'Phageshock_PspB', 4, NULL),
(10306, NULL, 'IPR013823', NULL, 'Ribosomal protein L7/L12, C-terminal', 'Ribosomal_L7/L12_C', 3, NULL),
(10307, NULL, 'IPR010695', NULL, 'Fas apoptotic inhibitory molecule 1', 'FAIM1', 4, NULL),
(10308, NULL, 'IPR009566', NULL, 'Protein of unknown function DUF1181', 'DUF1181', 4, NULL),
(10309, NULL, 'IPR010448', NULL, 'Torsin', 'Torsin', 4, NULL),
(10310, NULL, 'IPR006146', NULL, '5''-Nucleotidase, conserved site', '5''-Nucleotdase_CS', 2, NULL),
(10311, NULL, 'IPR007490', NULL, 'Poxvirus B22', 'Poxvirus_B22', 4, NULL),
(10312, NULL, 'IPR010752', NULL, 'Protein of unknown function DUF1329', 'DUF1329', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10313, NULL, 'IPR011299', NULL, 'PTS system glucose-specific IIBC component', 'PTS_IIBC_glc', 3, NULL),
(10314, NULL, 'IPR012779', NULL, 'Peptidase M1, alanyl aminopeptidase', 'Peptidase_M1_pepN', 4, NULL),
(10315, NULL, 'IPR016056', NULL, 'Pheromone Er-23, protozoan', 'Pheromone_Er23_protoz', 5, NULL),
(10316, NULL, 'IPR010444', NULL, 'Bacteriophage lambda Kil', 'Phage_lambda_Kil', 4, NULL),
(10317, NULL, 'IPR009561', NULL, 'Protein of unknown function DUF1177', 'DUF1177', 4, NULL),
(10318, NULL, 'IPR014335', NULL, 'Ectoine utilization protein EutD', 'Ectoine_EutD', 4, NULL),
(10319, NULL, 'IPR010699', NULL, 'Protein of unknown function DUF1275', 'DUF1275', 4, NULL),
(10320, NULL, 'IPR013478', NULL, 'Methylamine dehydrogenase accessory protein MauD', 'MeN_DH_accessory', 4, NULL),
(10321, NULL, 'IPR034851', NULL, 'Dual specificity mitogen-activated protein kinase kinase 5, PB1 domain', 'PB1_MAP2K5', 3, NULL),
(10322, NULL, 'IPR009532', NULL, 'SepQ', 'SepQ', 4, NULL),
(10323, NULL, 'IPR034084', NULL, 'Thermitase-like, domain', 'Thermitase-like_dom', 3, NULL),
(10324, NULL, 'IPR023559', NULL, 'Flagellar transcriptional activator FlhD', 'Flagellar_FlhD', 4, NULL),
(10325, NULL, 'IPR013484', NULL, 'Molybdenum cofactor biosynthesis protein B, proteobacteria', 'MoaB_proteobac', 4, NULL),
(10326, NULL, 'IPR011197', NULL, 'Uncharacterised conserved protein UCP012318', 'UCP012318', 4, NULL),
(10327, NULL, 'IPR012784', NULL, 'RNA polymerase-binding transcription factor DksA', 'DksA_RNA_pol-bd', 4, NULL),
(10328, NULL, 'IPR010729', NULL, 'Ribosomal protein L47, mitochondrial', 'Ribosomal_L47_mit', 4, NULL),
(10329, NULL, 'IPR024277', NULL, 'Domain of unknown function DUF3821', 'DUF3821', 3, NULL),
(10330, NULL, 'IPR014617', NULL, 'Predicted membrane protein, Bacillus YphA type', 'YphA_Bacsu', 4, NULL),
(10331, NULL, 'IPR023941', NULL, 'Glutathione-regulated potassium-efflux system protein KefC', 'K_H_efflux_KefC', 4, NULL),
(10332, NULL, 'IPR010482', NULL, 'Peroxin domain', 'Peroxin', 3, NULL),
(10333, NULL, 'IPR009542', NULL, 'Signal peptidase complex subunit Spc1/SPCS1', 'Spc1/SPCS1', 4, NULL),
(10334, NULL, 'IPR007485', NULL, 'LPS-assembly lipoprotein LptE', 'LPS_assembly_LptE', 4, NULL),
(10335, NULL, 'IPR034135', NULL, 'Renin-like domain', 'Renin-like_dom', 3, NULL),
(10336, NULL, 'IPR012786', NULL, 'Protocatechuate 3,4-dioxygenase, alpha subunit', 'Protocat_dOase_a', 4, NULL),
(10337, NULL, 'IPR010724', NULL, 'Replication initiator A, N-terminal', 'RepA_N', 3, NULL),
(10338, NULL, 'IPR010714', NULL, 'Coatomer, alpha subunit, C-terminal', 'Coatomer_asu_C', 3, NULL),
(10339, NULL, 'IPR010736', NULL, 'Sperm-tail PG-rich repeat', 'SHIPPO-rpt', 7, NULL),
(10340, NULL, 'IPR005080', NULL, 'Peptidase A25, germination protease', 'Peptidase_A25', 4, NULL),
(10341, NULL, 'IPR015845', NULL, 'Agropine synthesis reductase', 'Mas1', 4, NULL),
(10342, NULL, 'IPR011292', NULL, 'Na(+)-translocating NADH-quinone reductase subunit D', 'NqrD', 4, NULL),
(10343, NULL, 'IPR014614', NULL, 'Uncharacterised conserved protein UCP036654', 'UCP036654', 4, NULL),
(10344, NULL, 'IPR010725', NULL, 'Domain of unknown function DUF1299', 'DUF1299', 3, NULL),
(10345, NULL, 'IPR010722', NULL, 'Biotin and thiamin synthesis-associated domain', 'BATS_dom', 3, NULL),
(10346, NULL, 'IPR005089', NULL, 'Carbohydrate-binding module family 19', 'CBM_fam19', 3, NULL),
(10347, NULL, 'IPR010451', NULL, 'Acetoacetate decarboxylase', 'Acetoacetate_decarboxylase', 4, NULL),
(10348, NULL, 'IPR009537', NULL, 'Domain of unknown function DUF1156', 'DUF1156', 3, NULL),
(10349, NULL, 'IPR013483', NULL, 'Molybdenum cofactor biosynthesis protein A', 'MoaA', 4, NULL),
(10350, NULL, 'IPR012772', NULL, 'L-2,4-diaminobutyric acid acetyltransferase', 'Ectoine_EctA', 4, NULL),
(10351, NULL, 'IPR010457', NULL, 'Immunoglobulin C2-set-like, ligand-binding', 'IgC2-like_lig-bd', 3, NULL),
(10352, NULL, 'IPR011296', NULL, 'Phosphotransferase system, trehalose-specific IIBC component', 'PTS_IIBC_treh', 3, NULL),
(10353, NULL, 'IPR013467', NULL, 'Conserved hypothetical protein CHP02646', 'CHP02646', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10354, NULL, 'IPR006151', NULL, 'Quinate/shikimate 5-dehydrogenase/glutamyl-tRNA reductase', 'Shikm_DH/Glu-tRNA_Rdtase', 3, NULL),
(10355, NULL, 'IPR010710', NULL, 'Protein of unknown function DUF1289', 'DUF1289', 4, NULL),
(10356, NULL, 'IPR023937', NULL, 'Bis(5''-nucleosyl)-tetraphosphatase PrpE', 'Bis(5''-nucleosyl)-tetraP_PrpE', 4, NULL),
(10357, NULL, 'IPR007502', NULL, 'Helicase-associated domain', 'Helicase-assoc_dom', 3, NULL),
(10358, NULL, 'IPR034108', NULL, 'Peptidase M35-like domain, Proteobacteria', 'Pept_M35-like_proteobacteria', 3, NULL),
(10359, NULL, 'IPR016068', NULL, 'Translin, N-terminal', 'Translin_N', 5, NULL),
(10360, NULL, 'IPR007497', NULL, 'Protein of unknown function DUF541', 'DUF541', 4, NULL),
(10361, NULL, 'IPR006126', NULL, 'Staphylococcal enterotoxin/Streptococcal pyrogenic exotoxin, conserved site', 'Staph/Strept_toxin_CS', 2, NULL),
(10362, NULL, 'IPR011301', NULL, 'PTS system, maltose/glucose-specific IIBC component', 'PTS_Mal/Glc-sp_IIBC_component', 4, NULL),
(10363, NULL, 'IPR013485', NULL, 'Molybdenum cofactor biosynthesis protein A, archaea', 'MoaA_arc', 4, NULL),
(10364, NULL, 'IPR010439', NULL, 'MUN domain', 'MUN_dom', 3, NULL),
(10365, NULL, 'IPR013797', NULL, 'Maltooligosyl trehalose synthase, domain 4', 'Maltooligo_trehalose_synth_4', 5, NULL),
(10366, NULL, 'IPR013032', NULL, 'EGF-like, conserved site', 'EGF-like_CS', 2, NULL),
(10367, NULL, 'IPR009562', NULL, 'Protein of unknown function DUF1178', 'DUF1178', 4, NULL),
(10368, NULL, 'IPR010734', NULL, 'Copine, C-terminal', 'Copine_C', 3, NULL),
(10369, NULL, 'IPR010719', NULL, 'Putative rRNA methylase', 'rRNA_methylase', 4, NULL),
(10370, NULL, 'IPR009524', NULL, 'Protein of unknown function DUF1143', 'DUF1143', 4, NULL),
(10371, NULL, 'IPR006123', NULL, 'Staphylococcal/Streptococcal toxin, beta-grasp domain', 'Toxin_b-grasp_Staph/Strep', 3, NULL),
(10372, NULL, 'IPR016067', NULL, 'S-adenosylmethionine decarboxylase, core', 'S-AdoMet_deCO2ase_core', 5, NULL),
(10373, NULL, 'IPR014331', NULL, 'RNA polymerase sigma-70 ECF-like, Rhodopirellula baltica', 'RNA_pol_sigma70_ECF_RHOBA', 4, NULL),
(10374, NULL, 'IPR024691', NULL, 'Micronemal protein 1, galectin-like domain', 'MIC1_galectin-like_dom', 3, NULL),
(10375, NULL, 'IPR006168', NULL, 'Glycerol-3-phosphate dehydrogenase, NAD-dependent', 'G3P_DH_NAD-dep', 4, NULL),
(10376, NULL, 'IPR009533', NULL, 'FAM107', 'FAM107', 4, NULL),
(10377, NULL, 'IPR006111', NULL, 'Archaeal Rpo6/eukaryotic RPB6 RNA polymerase subunit', 'Rpo6/Rpb6', 4, NULL),
(10378, NULL, 'IPR010480', NULL, 'Pepsin inhibitor-3-like repeated domain', 'Pepsin-I3', 3, NULL),
(10379, NULL, 'IPR012778', NULL, 'Peptidase M1, aminopeptidase', 'Pept_M1_aminopeptidase', 4, NULL),
(10380, NULL, 'IPR035295', NULL, '26S Proteasome non-ATPase regulatory subunit 11', 'PSMD11', 4, NULL),
(10381, NULL, 'IPR010738', NULL, 'Protein of unknown function DUF1310', 'DUF1310', 4, NULL),
(10382, NULL, 'IPR011280', NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein subunit, low-GC Gram-positive bacteria', 'Succ_DH/Fum_Rdt_flav_su', 4, NULL),
(10383, NULL, 'IPR011152', NULL, 'Phosphoesterase MJ0912', 'Pesterase_MJ0912', 4, NULL),
(10384, NULL, 'IPR014330', NULL, 'RNA-binding S4-related,YaaA', 'RNA-bd_S4-rel_YaaA', 4, NULL),
(10385, NULL, 'IPR034882', NULL, 'CENP-B, dimerisation domain superfamily', 'Dimerisation_CENP-B_sf', 5, NULL),
(10386, NULL, 'IPR010707', NULL, 'Protein of unknown function DUF1285', 'DUF1285', 4, NULL),
(10387, NULL, 'IPR011295', NULL, '2-polyprenyl-6-methoxyphenol 4-hydroxylase', 'UbiH', 4, NULL),
(10388, NULL, 'IPR015840', NULL, 'DNA methyase, ParB domain-containing', 'DNA_MeTrfase_ParB', 4, NULL),
(10389, NULL, 'IPR013039', NULL, 'Domain of unknown function DUF1588', 'DUF1588', 3, NULL),
(10390, NULL, 'IPR012796', NULL, 'Lysidine-tRNA(Ile) synthetase, C-terminal', 'Lysidine-tRNA-synth_C', 3, NULL),
(10391, NULL, 'IPR015844', NULL, 'Pantothenate kinase, acetyl-CoA regulated, two-domain type', 'PanK_long', 4, NULL),
(10392, NULL, 'IPR024742', NULL, 'Glycogen debranching enzyme, bacterial and archaeal type, N-terminal', 'Glycogen_debranch_N', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10393, NULL, 'IPR034835', NULL, 'Beta-amylase, CBM20 domain', 'CBM20_beta_amylase', 3, NULL),
(10394, NULL, 'IPR005072', NULL, 'Peptidase M44, metalloendopeptidase G1', 'Peptidase_M44', 4, NULL),
(10395, NULL, 'IPR016024', NULL, 'Armadillo-type fold', 'ARM-type_fold', 5, NULL),
(10396, NULL, 'IPR012764', NULL, 'Glucosylglycerol-phosphate synthase', 'Gluc_glyc_Psyn', 4, NULL),
(10397, NULL, 'IPR006116', NULL, '2-5OAS/ClassI-CCAase, nucleotidyltransferase domain', 'NT_2-5OAS_ClassI-CCAase', 3, NULL),
(10398, NULL, 'IPR012768', NULL, 'Malto-oligosyltrehalose trehalohydrolase', 'Trehalose_TreZ', 4, NULL),
(10399, NULL, 'IPR011275', NULL, 'Malate dehydrogenase, type 3', 'Malate_DH_type3', 4, NULL),
(10400, NULL, 'IPR024272', NULL, 'MAFF2-related', 'MAFF-rel', 4, NULL),
(10401, NULL, 'IPR011285', NULL, '3-oxoacyl-(acyl-carrier-protein) reductase, putative', 'FabG-rel', 4, NULL),
(10402, NULL, 'IPR012782', NULL, 'Acetolactate synthase, catabolic', 'Acetolactate_synth_catblc', 4, NULL),
(10403, NULL, 'IPR013042', NULL, 'Domain of unknown function DUF1592', 'DUF1592', 3, NULL),
(10404, NULL, 'IPR006165', NULL, 'Ku70', 'Ku70', 4, NULL),
(10405, NULL, 'IPR016088', NULL, 'Chalcone isomerase, 3-layer sandwich', 'Chalcone_isomerase_3-sand', 5, NULL),
(10406, NULL, 'IPR034106', NULL, 'Peptidyl-Lys endopeptidase-like domain', 'M35_peptidyl-Lys-like', 3, NULL),
(10407, NULL, 'IPR009528', NULL, 'BsuBI/PstI restriction endonuclease domain', 'Restrct_endonuc_II_BsuBI_C', 3, NULL),
(10408, NULL, 'IPR006115', NULL, '6-phosphogluconate dehydrogenase, NADP-binding', '6PGDH_NADP-bd', 3, NULL),
(10409, NULL, 'IPR011294', NULL, '3-hydroxybutyrate dehydrogenase', '3-OHbutyrate_DH', 4, NULL),
(10410, NULL, 'IPR016063', NULL, 'Extracellular protein', 'Extracellular_prot', 4, NULL),
(10411, NULL, 'IPR006129', NULL, 'Adhesin B', 'AdhesinB', 4, NULL),
(10412, NULL, 'IPR010696', NULL, 'Protein of unknown function DUF1272', 'DUF1272', 4, NULL),
(10413, NULL, 'IPR005074', NULL, 'Peptidase C39, bacteriocin processing', 'Peptidase_C39', 3, NULL),
(10414, NULL, 'IPR009539', NULL, 'Vang-like protein', 'VANGL', 4, NULL),
(10415, NULL, 'IPR014336', NULL, 'N-alpha-acetyl diaminobutyrate deacetylase DoeB', 'DoeB', 4, NULL),
(10416, NULL, 'IPR006121', NULL, 'Heavy metal-associated domain, HMA', 'HMA_dom', 3, NULL),
(10417, NULL, 'IPR009559', NULL, 'Lactococcus phage c2, major capsid protein', 'Lactococcus_phage_c2_MCP', 4, NULL),
(10418, NULL, 'IPR009034', NULL, 'Fungal dockerin domain superfamily', 'Dockerin_dom_fun_sf', 5, NULL),
(10419, NULL, 'IPR013496', NULL, 'Conserved hypothetical protein CHP02680', 'CHP02680', 4, NULL),
(10420, NULL, 'IPR012759', NULL, 'RNA polymerase sigma factor RpoH, proteobacteria', 'RNA_pol_sigma_RpoH_proteobac', 4, NULL),
(10421, NULL, 'IPR006120', NULL, 'Resolvase, HTH domain', 'Resolvase_HTH_dom', 3, NULL),
(10422, NULL, 'IPR010450', NULL, 'Neurexophilin', 'Nxph', 4, NULL),
(10423, NULL, 'IPR011150', NULL, 'Cutinase, monofunctional', 'Cutinase_monf', 4, NULL),
(10424, NULL, 'IPR006113', NULL, '6-phosphogluconate dehydrogenase, decarboxylating', '6PGDH_Gnd/GntZ', 4, NULL),
(10425, NULL, 'IPR010452', NULL, 'Isocitrate dehydrogenase kinasephosphatase', 'Isocitrate_DH_AceK', 4, NULL),
(10426, NULL, 'IPR010466', NULL, 'Protein of unknown function DUF1058', 'DUF1058', 4, NULL),
(10427, NULL, 'IPR006132', NULL, 'Aspartate/ornithine carbamoyltransferase, carbamoyl-P binding', 'Asp/Orn_carbamoyltranf_P-bd', 3, NULL),
(10428, NULL, 'IPR010740', NULL, 'Endomucin', 'Endomucin', 4, NULL),
(10429, NULL, 'IPR011281', NULL, 'Succinate dehydrogenase, flavoprotein subunit', 'Succ_DH_flav_su_fwd', 4, NULL),
(10430, NULL, 'IPR009032', NULL, 'Vpu protein cytoplasmic domain superfamily', 'Vpu_cyt_dom_sf', 5, NULL),
(10431, NULL, 'IPR006162', NULL, 'Phosphopantetheine attachment site', 'Ppantetheine_attach_site', 6, NULL),
(10432, NULL, 'IPR011306', NULL, 'Probable [NiFe]-hydrogenase-type-3 Eha complex membrane subunit A', 'Prd_NiFe_hyd_3_EhaA', 4, NULL),
(10433, NULL, 'IPR013464', NULL, 'Conserved hypothetical protein CHP02642', 'CHP02642', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10434, NULL, 'IPR013477', NULL, 'Homocitrate synthase NifV-like', 'NifV/FrbC', 4, NULL),
(10435, NULL, 'IPR013466', NULL, 'Thymidine phosphorylase/AMP phosphorylase', 'Thymidine/AMP_Pase', 4, NULL),
(10436, NULL, 'IPR011200', NULL, 'Uncharacterised conserved protein UCP012608', 'UCP012608', 4, NULL),
(10437, NULL, 'IPR016073', NULL, 'SKP1 component, POZ domain', 'Skp1_comp_POZ', 3, NULL),
(10438, NULL, 'IPR014485', NULL, 'Predicted phosphoesterase, C1039.02 type', 'Pesterase_C1039', 4, NULL),
(10439, NULL, 'IPR010977', NULL, 'Aromatic-L-amino-acid decarboxylase', 'Aromatic_deC', 4, NULL),
(10440, NULL, 'IPR006150', NULL, 'Cysteine-rich repeat', 'Cys_repeat_1', 7, NULL),
(10441, NULL, 'IPR010732', NULL, 'Type VI secretion, TssG-like', 'T6SS_TssG-like', 4, NULL),
(10442, NULL, 'IPR009536', NULL, 'Cucumber mosaic virus, OrfIIB', 'CucumberMosaicV_OrfIIB', 4, NULL),
(10443, NULL, 'IPR005097', NULL, 'Saccharopine dehydrogenase, NADP binding domain', 'Sacchrp_dh_NADP', 3, NULL),
(10444, NULL, 'IPR034138', NULL, 'Nucleolar protein 8, RNA recognition motif', 'NOP8_RRM', 3, NULL),
(10445, NULL, 'IPR013481', NULL, 'Conserved hypothetical protein CHP02664, nitrate reductase-associated', 'CHP02664_NO3_red', 4, NULL),
(10446, NULL, 'IPR006119', NULL, 'Resolvase, N-terminal catalytic domain', 'Resolv_N', 3, NULL),
(10447, NULL, 'IPR010463', NULL, 'Protein of unknown function DUF1057', 'DUF1057', 4, NULL),
(10448, NULL, 'IPR013487', NULL, 'CRISPR-associated protein Csx8', 'CRISPR-assoc_prot_Csx8', 4, NULL),
(10449, NULL, 'IPR009534', NULL, 'Protein of unknown function DUF1153', 'DUF1153', 4, NULL),
(10450, NULL, 'IPR009553', NULL, 'Protein of unknown function DUF1173', 'DUF1173', 4, NULL),
(10451, NULL, 'IPR012767', NULL, 'Maltooligosyl trehalose synthase', 'Trehalose_TreY', 4, NULL),
(10452, NULL, 'IPR012769', NULL, 'Trehalose-6-phosphate hydrolase', 'Trehalose_TreC', 4, NULL),
(10453, NULL, 'IPR012789', NULL, '3-carboxy-cis,cis-muconate cycloisomerase', 'Protocat_PcaB', 4, NULL),
(10454, NULL, 'IPR006130', NULL, 'Aspartate/ornithine carbamoyltransferase', 'Asp/Orn_carbamoylTrfase', 4, NULL),
(10455, NULL, 'IPR006159', NULL, 'Methylmalonyl-CoA mutase, C-terminal', 'Acid_CoA_mut_C', 3, NULL),
(10456, NULL, 'IPR007507', NULL, '3-deoxy-D-manno-octulosonic-acid transferase, N-terminal', 'Glycos_transf_N', 3, NULL),
(10457, NULL, 'IPR012770', NULL, 'Trehalose operon transcriptional repressor', 'TreR', 4, NULL),
(10458, NULL, 'IPR009558', NULL, 'Protein of unknown function DUF1175', 'DUF1175', 4, NULL),
(10459, NULL, 'IPR009028', NULL, 'Coatomer/calthrin adaptor appendage, C-terminal subdomain', 'Coatomer/calthrin_app_sub_C', 5, NULL),
(10460, NULL, 'IPR010481', NULL, 'Cdc24/Scd1, N-terminal', 'Cdc24/Scd1_N', 3, NULL),
(10461, NULL, 'IPR012787', NULL, 'Pca transcription factor PcaQ', 'TF_PcaQ', 4, NULL),
(10462, NULL, 'IPR011201', NULL, 'Zinc-ribbon domain, bacteria', 'Zinc-ribbon_6_bact', 3, NULL),
(10463, NULL, 'IPR016057', NULL, 'Pheromone Er-2/Er-23, protozoan', 'Pheromone_Er2/Er23_protoz', 5, NULL),
(10464, NULL, 'IPR006160', NULL, 'Short chain fatty acid transporter AtoE', 'SCFA_transpt_AtoE', 4, NULL),
(10465, NULL, 'IPR006134', NULL, 'DNA-directed DNA polymerase, family B, multifunctional domain', 'DNA-dir_DNA_pol_B_multi_dom', 3, NULL),
(10466, NULL, 'IPR015843', NULL, 'RNA-directed RNA polymerase, nairovirus', 'RNA-dir_pol_nairovirus', 4, NULL),
(10467, NULL, 'IPR011276', NULL, 'TonB-dependent haem/haemoglobin receptor', 'TonB_haem/Hb_rcpt', 4, NULL),
(10468, NULL, 'IPR010455', NULL, 'Bacteriophage 82, GpQ', 'Phage_82_GpQ', 4, NULL),
(10469, NULL, 'IPR011623', NULL, '7TM-DISM receptor, extracellular domain, type 1', '7TMR_DISM_rcpt_extracell_dom1', 3, NULL),
(10470, NULL, 'IPR009527', NULL, 'Circovirus 2, Orf1', 'Circovirus2_Orf1', 4, NULL),
(10471, NULL, 'IPR006095', NULL, 'Glutamate/phenylalanine/leucine/valine dehydrogenase', 'Glu/Leu/Phe/Val_DH', 4, NULL),
(10472, NULL, 'IPR009565', NULL, 'Protein of unknown function DUF1180', 'DUF1180', 4, NULL),
(10473, NULL, 'IPR012773', NULL, 'Ectoine biosynthetic protein', 'Ectoine_EctB', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10474, NULL, 'IPR007494', NULL, 'Glutaredoxin 2, C-terminal', 'Glutaredoxin2_C', 3, NULL),
(10475, NULL, 'IPR023176', NULL, 'Orbivirus inner capsid protein VP7, N-terminal', 'Orbi_VP7_capsid_N', 5, NULL),
(10476, NULL, 'IPR012774', NULL, 'Ectoine dioxygenase', 'EctD', 4, NULL),
(10477, NULL, 'IPR013495', NULL, 'Conserved hypothetical protein CHP02679', 'CHP02679', 4, NULL),
(10478, NULL, 'IPR014490', NULL, 'DNA-binding protein from starved cells-like', 'Dps-like', 4, NULL),
(10479, NULL, 'IPR015967', NULL, 'Recombination protein RecR, conserved site', 'Rcmb_RecR_CS', 2, NULL),
(10480, NULL, 'IPR009033', NULL, 'Calreticulin/calnexin, P domain superfamily', 'Calreticulin/calnexin_P_dom_sf', 5, NULL),
(10481, NULL, 'IPR012999', NULL, 'Pyridine nucleotide-disulphide oxidoreductase, class I, active site', 'Pyr_OxRdtase_I_AS', 0, NULL),
(10482, NULL, 'IPR009564', NULL, 'Protein of unknown function DUF1179', 'DUF1179', 4, NULL),
(10483, NULL, 'IPR009563', NULL, 'Sjoegren syndrome/scleroderma autoantigen 1', 'SSSCA1', 4, NULL),
(10484, NULL, 'IPR006137', NULL, 'NADH:ubiquinone oxidoreductase-like, 20kDa subunit', 'NADH_UbQ_OxRdtase-like_20kDa', 3, NULL),
(10485, NULL, 'IPR005076', NULL, 'Glycosyl transferase, family 6', 'Glyco_trans_6', 4, NULL),
(10486, NULL, 'IPR009022', NULL, 'Elongation factor G, domain III', 'EFG_III', 3, NULL),
(10487, NULL, 'IPR012793', NULL, 'Beta-ketoadipyl CoA thiolase', 'PcaF', 4, NULL),
(10488, NULL, 'IPR010742', NULL, 'Respirasome Complex Assembly Factor 1', 'RCAF1', 4, NULL),
(10489, NULL, 'IPR005096', NULL, 'Protein of unknown function DUF276', 'DUF276', 4, NULL),
(10490, NULL, 'IPR011624', NULL, 'Metal-dependent phosphohydrolase, 7TM extracellular domain', 'Metal-dep_PHydrolase_7TM_extra', 3, NULL),
(10491, NULL, 'IPR005095', NULL, 'EspA-like secreted protein', 'EspA', 4, NULL),
(10492, NULL, 'IPR014332', NULL, 'Ectoine utilization protein EutA', 'Ectoine_EutA', 4, NULL),
(10493, NULL, 'IPR010761', NULL, 'Clc protein-like', 'Clc_prot-like', 4, NULL),
(10494, NULL, 'IPR010458', NULL, 'Trichodiene synthase, ascomycetes', 'TRI5_ascomyc', 4, NULL),
(10495, NULL, 'IPR013491', NULL, 'Tape measure protein N-terminal', 'Tape_meas_N', 3, NULL),
(10496, NULL, 'IPR006138', NULL, 'NADH-ubiquinone oxidoreductase, 20 Kd subunit', 'NADH_UQ_OxRdtase_20Kd_su', 4, NULL),
(10497, NULL, 'IPR010472', NULL, 'Formin, FH3 domain', 'FH3_dom', 3, NULL),
(10498, NULL, 'IPR012785', NULL, 'Protocatechuate 3,4-dioxygenase, beta subunit', 'Protocat_dOase_b', 4, NULL),
(10499, NULL, 'IPR005092', NULL, 'Trans-activating transcriptional regulator', 'TATR', 4, NULL),
(10500, NULL, 'IPR013486', NULL, 'Sporulation stage II protein D, amidase enhancer LytB', 'SpoIID/LytB', 4, NULL),
(10501, NULL, 'IPR012639', NULL, 'Tryptophan operon leader peptide', 'Trp_leader2', 4, NULL),
(10502, NULL, 'IPR033992', NULL, 'Natural killer cell receptor-like, C-type lectin-like domain', 'NKR-like_CTLD', 3, NULL),
(10503, NULL, 'IPR011994', NULL, 'Cytidylate kinase domain', 'Cytidylate_kinase_dom', 3, NULL),
(10504, NULL, 'IPR011658', NULL, 'PA14 domain', 'PA14_dom', 3, NULL),
(10505, NULL, 'IPR009143', NULL, 'Wnt-6 protein', 'Wnt6', 4, NULL),
(10506, NULL, 'IPR014221', NULL, 'Stage II sporulation protein E', 'SpoII_E', 4, NULL),
(10507, NULL, 'IPR007527', NULL, 'Zinc finger, SWIM-type', 'Znf_SWIM', 3, NULL),
(10508, NULL, 'IPR014220', NULL, 'Small acid-soluble spore protein, SspJ', 'SASP_SspJ', 4, NULL),
(10509, NULL, 'IPR007539', NULL, 'Domain of unknown function DUF551', 'DUF551', 3, NULL),
(10510, NULL, 'IPR010125', NULL, 'Poly(R)-hydroxyalkanoic acid synthase, class III, PhaC subunit', 'PHA_synth_III_C', 4, NULL),
(10511, NULL, 'IPR010769', NULL, 'Ribosomal RNA aminoglycoside-resistance methyltransferase, Gram-negative bacteria', 'rRNA_MeTrfase_GmN_bac', 4, NULL),
(10512, NULL, 'IPR012640', NULL, 'Membrane lipoprotein, lipid attachment site', 'Membr_lipoprot_lipid_attach_CS', 2, NULL),
(10513, NULL, 'IPR012641', NULL, 'Cysteine rich domain, Polydnavirus', 'Polydnavirus_Cys-rich', 3, NULL),
(10514, NULL, 'IPR011652', NULL, 'MORN variant', 'MORN_2', 7, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10515, NULL, 'IPR016099', NULL, 'Prismane-like, alpha/beta-sandwich', 'Prismane-like_a/b-sand', 5, NULL),
(10516, NULL, 'IPR011134', NULL, 'Allophycocyanin linker protein', 'Allophyco_linker', 4, NULL),
(10517, NULL, 'IPR010130', NULL, 'Type I secretion outer membrane protein, TolC', 'T1SS_OMP_TolC', 4, NULL),
(10518, NULL, 'IPR011312', NULL, 'Uncharacterised conserved protein UCP019164, methanogenesis', 'UCP019164_menthan', 4, NULL),
(10519, NULL, 'IPR011319', NULL, 'Predicted [NiFe]-hydrogenase-3-type complex Eha, membrane protein EhaK', 'Prd_NiFe_hyd_3_EhaK', 4, NULL),
(10520, NULL, 'IPR034884', NULL, 'Mitochondrial cytochrome c oxidase subunit VIc/VIIs', 'Cytochrome_c_oxidase_VIc/VIIs', 3, NULL),
(10521, NULL, 'IPR007521', NULL, 'Choline kinase, N-terminal', 'Choline_kin_N', 3, NULL),
(10522, NULL, 'IPR010143', NULL, 'Nitrogenase component 1, alpha chain', 'Nase_comp1_asu', 4, NULL),
(10523, NULL, 'IPR014236', NULL, 'RNA polymerase sigma-F type', 'RNA_pol_sigma-F', 4, NULL),
(10524, NULL, 'IPR010775', NULL, 'Protein of unknown function DUF1365', 'DUF1365', 4, NULL),
(10525, NULL, 'IPR011663', NULL, 'UbiC transcription regulator-associated', 'UTRA', 3, NULL),
(10526, NULL, 'IPR012660', NULL, 'Thioesterase, putative', 'YiiD_C', 3, NULL),
(10527, NULL, 'IPR014229', NULL, 'Sporulation protein YtfJ', 'Spore_YtfJ', 4, NULL),
(10528, NULL, 'IPR011675', NULL, 'Protein of unknown function DUF1617', 'DUF1617', 4, NULL),
(10529, NULL, 'IPR011072', NULL, 'HR1 rho-binding domain', 'HR1_rho-bd', 3, NULL),
(10530, NULL, 'IPR015193', NULL, 'Switch protein XOL-1, GHMP-like', 'Xol-1_GHMP-like', 3, NULL),
(10531, NULL, 'IPR011660', NULL, 'Antitoxin VapB-like', 'VapB-like', 4, NULL),
(10532, NULL, 'IPR011666', NULL, 'G patch domain-containing protein, N-terminal', 'DUF1604', 3, NULL),
(10533, NULL, 'IPR014241', NULL, 'Cytochrome c oxidase, subunit I bacterial type', 'Cyt_c_oxidase_su1_bac', 4, NULL),
(10534, NULL, 'IPR014235', NULL, 'Peptidoglycan-N-acetylmuramic acid deacetylase PdaA', 'Spore_PdaA', 4, NULL),
(10535, NULL, 'IPR010134', NULL, 'Polyhydroxyalkanoate synthesis repressor PhaR', 'PHA_reg_PhaR', 4, NULL),
(10536, NULL, 'IPR011657', NULL, 'Concentrative nucleoside transporter C-terminal domain', 'CNT_C_dom', 3, NULL),
(10537, NULL, 'IPR012652', NULL, 'Energy coupling factor transporter S component ThiW', 'ThiW', 4, NULL),
(10538, NULL, 'IPR015188', NULL, 'BRCA2, OB3', 'BRCA2_OB_3', 3, NULL),
(10539, NULL, 'IPR011641', NULL, 'Tyrosine-protein kinase ephrin type A/B receptor-like', 'Tyr-kin_ephrin_A/B_rcpt-like', 3, NULL),
(10540, NULL, 'IPR007533', NULL, 'Cytochrome c oxidase assembly protein CtaG/Cox11', 'Cyt_c_oxidase_assmbl_CtaG', 4, NULL),
(10541, NULL, 'IPR005098', NULL, 'Domain of unknown function DUF281', 'DUF281', 3, NULL),
(10542, NULL, 'IPR012006', NULL, 'tRNA nucleotidyltransferase, proteobacteria', 'CCA_bact', 4, NULL),
(10543, NULL, 'IPR023132', NULL, 'Sama2622-like superfamily', 'Sama2622-like_sf', 5, NULL),
(10544, NULL, 'IPR015227', NULL, 'Mitogen, Yersinia pseudotuberculosis', 'Mitogen_YERPS', 4, NULL),
(10545, NULL, 'IPR005216', NULL, 'Citrate lyase ligase', 'Citrate_lyase_ligase', 4, NULL),
(10546, NULL, 'IPR011679', NULL, 'Endoplasmic reticulum resident protein 29, C-terminal', 'ERp29_C', 3, NULL),
(10547, NULL, 'IPR035897', NULL, 'Toll/interleukin-1 receptor homology (TIR) domain superfamily', 'Toll_tir_struct_dom_sf', 5, NULL),
(10548, NULL, 'IPR011551', NULL, 'NTP pyrophosphohydrolase MazG', 'NTP_PyrPHydrolase_MazG', 4, NULL),
(10549, NULL, 'IPR012651', NULL, 'Thiamine transporter ThiT', 'Thia_Transptr_ThiT', 4, NULL),
(10550, NULL, 'IPR011308', NULL, 'Predicted [NiFe]-hydrogenase-3-type complex Eha, membrane protein EhaD', 'Prd_NiFe_hyd_3_EhaD', 4, NULL),
(10551, NULL, 'IPR015197', NULL, 'Peptide-N-glycosidase F, C-terminal', 'PngaseF_C', 3, NULL),
(10552, NULL, 'IPR012665', NULL, 'Trehalose synthase', 'Trehalose_synth', 4, NULL),
(10553, NULL, 'IPR034140', NULL, 'Ecto-NOX disulfide-thiol exchanger, RNA recognition motif', 'ENOX_RRM', 3, NULL),
(10554, NULL, 'IPR011215', NULL, 'Phosphoribosyl transferase', 'PRTase', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10555, NULL, 'IPR010141', NULL, 'Phosphoribosylformylglycinamidine synthase, FGAM', 'FGAM_synthase', 4, NULL),
(10556, NULL, 'IPR014231', NULL, 'Sporulation protein YpjB', 'Spore_YpjB', 4, NULL),
(10557, NULL, 'IPR009119', NULL, 'Beta-secretase BACE', 'BACE', 4, NULL),
(10558, NULL, 'IPR011630', NULL, 'Nucleotide modification associated domain 1', 'DUF1599', 3, NULL),
(10559, NULL, 'IPR011075', NULL, 'Tetracyclin repressor-like, C-terminal domain', 'TetR_C', 3, NULL),
(10560, NULL, 'IPR010768', NULL, 'Putative glutamine amidotransferase', 'GATase1-like', 3, NULL),
(10561, NULL, 'IPR009147', NULL, 'Cystic fibrosis transmembrane conductance regulator', 'CFTR/ABCC7', 4, NULL),
(10562, NULL, 'IPR012661', NULL, 'Conserved hypothetical protein CHP02448', 'CHP02448', 4, NULL),
(10563, NULL, 'IPR011632', NULL, 'Domain of unknown function DUF1601', 'DUF1601', 3, NULL),
(10564, NULL, 'IPR007525', NULL, 'Coenzyme F420 hydrogenase/dehydrogenase beta subunit, C-terminal', 'FrhB_FdhB_C', 3, NULL),
(10565, NULL, 'IPR015186', NULL, 'Exotoxin A, middle domain', 'Exotox-A_middle_dom', 3, NULL),
(10566, NULL, 'IPR010767', NULL, 'Campylobacter phage CGC-2007, Cje0229', 'Phage_CGC-2007_Cje0229', 4, NULL),
(10567, NULL, 'IPR010774', NULL, 'Putative nuclease YbcO', 'YbcO', 4, NULL),
(10568, NULL, 'IPR005102', NULL, 'Carbohydrate binding  X2 domain', 'Carbo-bd_X2', 3, NULL),
(10569, NULL, 'IPR011601', NULL, 'UDP-N-acetylenolpyruvoylglucosamine reductase, C-terminal', 'MurB_C', 3, NULL),
(10570, NULL, 'IPR015180', NULL, 'Bacteriophage T4, Gp27, baseplate hub, C-terminal', 'Phage_T4_Gp27_C', 3, NULL),
(10571, NULL, 'IPR010495', NULL, 'Haem-binding HasA', 'HasA_haem-bd', 4, NULL),
(10572, NULL, 'IPR012003', NULL, 'ATP-dependent 6-phosphofructokinase, prokaryotic-type', 'ATP_PFK_prok-type', 4, NULL),
(10573, NULL, 'IPR011224', NULL, 'Ribosomal RNA large subunit methyltransferase M', 'rRNA_MeTrfase_M', 4, NULL),
(10574, NULL, 'IPR010136', NULL, 'N-acetyl-gamma-glutamyl-phosphate reductase, type 2', 'AGPR_type-2', 4, NULL),
(10575, NULL, 'IPR011695', NULL, 'Tash protein, PEST motif', 'Tash_PEST_motif', 2, NULL),
(10576, NULL, 'IPR009216', NULL, 'Virulence factor SrfB', 'Virulence_factor_SrfB', 4, NULL),
(10577, NULL, 'IPR023563', NULL, 'Ribosomal protein L13, conserved site', 'Ribosomal_L13_CS', 2, NULL),
(10578, NULL, 'IPR015230', NULL, 'Carbapenam-3-carboxylate synthase, N-terminal', 'CarA_N', 3, NULL),
(10579, NULL, 'IPR010507', NULL, 'Zinc finger, MYM-type', 'Znf_MYM', 3, NULL),
(10580, NULL, 'IPR011066', NULL, 'Mechanosensitive ion channel MscS, C-terminal', 'MscS_channel_C', 5, NULL),
(10581, NULL, 'IPR015235', NULL, 'Domain of unknown function DUF1937', 'DUF1937', 3, NULL),
(10582, NULL, 'IPR011213', NULL, 'Nicotinic acid mononucleotide biosynthesis protein', 'NMN_biosyn', 4, NULL),
(10583, NULL, 'IPR007532', NULL, 'Poxvirus early transcription factor, large subunit', 'Poxvirus_early-TF_lsu', 4, NULL),
(10584, NULL, 'IPR010496', NULL, '3-keto-disaccharide hydrolase', '3-keto-disaccharide_hydrolase', 3, NULL),
(10585, NULL, 'IPR010165', NULL, 'CRISPR-associated protein, TM1793', 'CRISPR-assoc_prot_TM1793', 4, NULL),
(10586, NULL, 'IPR015178', NULL, 'Alpha-amylase/4-alpha-glucanotransferase, central domain', 'A-amylase/a-glucTrfase_central', 3, NULL),
(10587, NULL, 'IPR010172', NULL, 'CRISPR-associated protein, TM1791', 'CRISPR-assoc_prot_TM1791', 4, NULL),
(10588, NULL, 'IPR015212', NULL, 'Regulator of G protein signalling-like domain', 'RGS-like_dom', 3, NULL),
(10589, NULL, 'IPR010164', NULL, 'Ornithine aminotransferase', 'Orn_aminotrans', 4, NULL),
(10590, NULL, 'IPR016097', NULL, 'Domain of unknown function DUF695', 'DUF695', 3, NULL),
(10591, NULL, 'IPR011671', NULL, 'tRNA (uracil-O(2)-)-methyltransferase', 'tRNA_uracil_MeTrfase', 4, NULL),
(10592, NULL, 'IPR011767', NULL, 'Glutaredoxin active site', 'GLR_AS', 0, NULL),
(10593, NULL, 'IPR014224', NULL, 'Spore cortex-lytic enzyme SleB', 'Spore_cortex_SleB', 4, NULL),
(10594, NULL, 'IPR011645', NULL, 'Haem NO binding associated', 'HNOB_dom_associated', 3, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10595, NULL, 'IPR010121', NULL, 'Pyruvate, phosphate dikinase', 'Pyruvate_phosphate_dikinase', 4, NULL),
(10596, NULL, 'IPR011227', NULL, 'Uncharacterised conserved protein UCP029730', 'UCP029730', 4, NULL),
(10597, NULL, 'IPR014494', NULL, 'Predicted Fe-S oxidoreductase, NifB/MoaA-like family, euryarchaeota type', 'Fe-S_OxRdtase_NifB-like_arc', 4, NULL),
(10598, NULL, 'IPR011668', NULL, 'Small zinc finger protein HVO_2753-like, zinc-binding pocket', 'HVO_2753-like_ZBP', 3, NULL),
(10599, NULL, 'IPR034301', NULL, 'Meprin alpha subunit', 'Meprin_alpha', 4, NULL),
(10600, NULL, 'IPR011230', NULL, 'Phosphoesterase At2g46880', 'Pesterase_At2g46', 4, NULL),
(10601, NULL, 'IPR023562', NULL, 'Clp protease proteolytic subunit /Translocation-enhancing protein TepA', 'ClpP/TepA', 4, NULL),
(10602, NULL, 'IPR011226', NULL, 'ATP-grasp family', 'ATP-grasp_fam', 4, NULL),
(10603, NULL, 'IPR011579', NULL, 'ATPase domain', 'ATPase_dom', 3, NULL),
(10604, NULL, 'IPR014225', NULL, 'Sporulation stage II, protein D firmicutes', 'Spore_II_D_firmicutes', 4, NULL),
(10605, NULL, 'IPR015173', NULL, 'Bacteriophage T4, Gp12', 'Phage_T4_Gp12', 3, NULL),
(10606, NULL, 'IPR011317', NULL, 'Predicted [NiFe]-hydrogenase-3-type complex Eha, membrane protein EhaE', 'Prd_NiFe_hyd_3_EhaE', 4, NULL),
(10607, NULL, 'IPR034146', NULL, 'snRNP35, RNA recognition motif', 'snRNP35_RRM', 3, NULL),
(10608, NULL, 'IPR010503', NULL, 'Type II heat-labile enterotoxin, B subunit', 'LT-IIB', 4, NULL),
(10609, NULL, 'IPR023740', NULL, 'Spermidine export protein MdtJ', 'Spermidine_export_MdtJ', 4, NULL),
(10610, NULL, 'IPR011672', NULL, 'Protein of unknown function DUF1614', 'DUF1614', 4, NULL),
(10611, NULL, 'IPR010498', NULL, 'Fimbrial protein SefA', 'SefA', 4, NULL),
(10612, NULL, 'IPR009118', NULL, 'Annexin D, plant', 'AnnexinD_plant', 4, NULL),
(10613, NULL, 'IPR009208', NULL, 'Mosquitocidal toxin', 'Mtx2_tox', 4, NULL),
(10614, NULL, 'IPR009120', NULL, 'Beta-secretase BACE1', 'BACE1', 4, NULL),
(10615, NULL, 'IPR012657', NULL, '23S rRNA-intervening sequence protein', '23S_rRNA-intervening_sequence', 4, NULL),
(10616, NULL, 'IPR011082', NULL, 'Exosome-associated factor Rrp47/DNA strand repair C1D', 'Exosome-assoc_fac/DNA_repair', 4, NULL),
(10617, NULL, 'IPR011690', NULL, 'Phosphate-starvation-induced PsiF repeat', 'P_starv_induced_PsiF', 7, NULL),
(10618, NULL, 'IPR007508', NULL, 'D-aminoacyl-tRNA deacylase DtdA', 'DtdA', 4, NULL),
(10619, NULL, 'IPR012633', NULL, 'SFI toxin', 'Toxin_28', 4, NULL),
(10620, NULL, 'IPR010114', NULL, 'DNA-binding transcriptional regulator NtrC', 'Transcript_reg_NtrC', 4, NULL),
(10621, NULL, 'IPR009137', NULL, 'Vascular endothelial growth factor receptor 3 (VEGFR3)', 'VEGFR3_rcpt', 4, NULL),
(10622, NULL, 'IPR015233', NULL, 'Orange carotenoid-binding protein, N-terminal', 'Orange_carotenoid-bd_N', 3, NULL),
(10623, NULL, 'IPR007541', NULL, 'Uncharacterised protein family, basic secretory protein', 'Uncharacterised_BSP', 4, NULL),
(10624, NULL, 'IPR010773', NULL, 'Mycobacterium phage PG1, Gp7', 'Mycophage_PG1_Gp7', 4, NULL),
(10625, NULL, 'IPR010169', NULL, 'Acetylornithine deacetylase ArgE', 'AcOrn-deacetyl', 4, NULL),
(10626, NULL, 'IPR013498', NULL, 'DNA topoisomerase, type IA, zn finger', 'Topo_IA_Znf', 3, NULL),
(10627, NULL, 'IPR009115', NULL, 'Annexin A8', 'ANX8', 4, NULL),
(10628, NULL, 'IPR010144', NULL, 'CRISPR-associated protein, Csd1-type', 'CRISPR-assoc_prot_Csd1-typ', 4, NULL),
(10629, NULL, 'IPR007526', NULL, 'SWIRM domain', 'SWIRM', 3, NULL),
(10630, NULL, 'IPR015209', NULL, 'Cytochrome C oxidase subunit IIa, transmembrane domain', 'Cyt_c_oxidase_su2a_TM_dom', 3, NULL),
(10631, NULL, 'IPR014230', NULL, 'Sporulation protein YhbH', 'Spore_YhbH', 4, NULL),
(10632, NULL, 'IPR015221', NULL, 'Ubiquitin-related modifier 1', 'Urm1', 4, NULL),
(10633, NULL, 'IPR005115', NULL, 'Glycine transporter', 'Gly_transporter', 3, NULL),
(10634, NULL, 'IPR009133', NULL, 'Trace amine associated receptor 1', 'TAAR1', 4, NULL),
(10635, NULL, 'IPR015210', NULL, 'Type-2 restriction enzyme NaeI', 'NaeI', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10636, NULL, 'IPR009209', NULL, 'Epsilon toxin', 'Epsilon_toxin', 4, NULL),
(10637, NULL, 'IPR011653', NULL, 'Lipoprotein protein 35', 'Lipoprotein_p35', 4, NULL),
(10638, NULL, 'IPR014232', NULL, 'Sporulation stage V, protein K', 'Spore_V_K', 4, NULL),
(10639, NULL, 'IPR011313', NULL, 'Predicted [NiFe]-hydrogenase-3-type complex Eha, membrane protein EhaF', 'Prd_NiFe_hyd_3_EhaF', 4, NULL),
(10640, NULL, 'IPR012642', NULL, 'Transcription regulator Wos2-domain', 'Tscrpt_reg_Wos2-domain', 3, NULL),
(10641, NULL, 'IPR014496', NULL, 'Uncharacterised conserved protein UCP018863', 'UCP018863', 4, NULL),
(10642, NULL, 'IPR015201', NULL, 'Antimicrobial protein MiAMP1', 'Antimicrobial_MiAMP1', 4, NULL),
(10643, NULL, 'IPR034193', NULL, 'Proteinase K-like catalytic domain', 'PCSK9_ProteinaseK-like', 3, NULL),
(10644, NULL, 'IPR014234', NULL, 'N-acetylmuramoyl-L-alanine amidase CwlD', 'Spore_CwlD', 4, NULL),
(10645, NULL, 'IPR035050', NULL, 'Ribosomal protein S6 kinase-like 1', 'RPS6KL1', 4, NULL),
(10646, NULL, 'IPR011768', NULL, 'Translation elongation factor P', 'Transl_elongation_fac_P', 4, NULL),
(10647, NULL, 'IPR011680', NULL, 'Fasciculation and elongation protein zeta, FEZ', 'FEZ', 4, NULL),
(10648, NULL, 'IPR010127', NULL, 'Phasin, subfamily 1', 'Phasin_subfam-1', 4, NULL),
(10649, NULL, 'IPR010770', NULL, 'Ecd family', 'Ecd', 4, NULL),
(10650, NULL, 'IPR009141', NULL, 'Wnt-3 protein', 'Wnt3', 4, NULL),
(10651, NULL, 'IPR007537', NULL, 'tRNAHis guanylyltransferase Thg1', 'tRNAHis_GuaTrfase_Thg1', 4, NULL),
(10652, NULL, 'IPR011629', NULL, 'Cobalamin (vitamin B12) biosynthesis CobW-like, C-terminal', 'Cbl_biosynth_CobW-like_C', 3, NULL),
(10653, NULL, 'IPR023732', NULL, 'Probable [Fe-S]-dependent transcriptional repressor', 'FeoC', 4, NULL),
(10654, NULL, 'IPR014218', NULL, 'RNA polymerase sigma-H type', 'RNA_pol_sigma-H', 4, NULL),
(10655, NULL, 'IPR007512', NULL, 'MICOS complex subunit Mic10', 'Mic10', 4, NULL),
(10656, NULL, 'IPR012645', NULL, 'Conserved hypothetical protein CHP02301', 'CHP02301', 4, NULL),
(10657, NULL, 'IPR009219', NULL, 'Bacteriophytochrome, CheY-like', 'Bactrphtchr_CheY', 4, NULL),
(10658, NULL, 'IPR011223', NULL, 'Uncharacterised conserved protein UCP028770', 'UCP028770', 4, NULL),
(10659, NULL, 'IPR014237', NULL, 'Anti-sigma F factor antagonist', 'Anti-sigma_F_ant', 4, NULL),
(10660, NULL, 'IPR015182', NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit, haem binding domain', 'QH-AmDH_asu_heme-bd_dom', 3, NULL),
(10661, NULL, 'IPR014227', NULL, 'Putative transport protein YtvI-like', 'YtvI-like', 4, NULL),
(10662, NULL, 'IPR010157', NULL, 'CRISPR type I-A/APERN-associated protein Csa5', 'CRISPR-assoc_Cas5', 4, NULL),
(10663, NULL, 'IPR005100', NULL, 'NGN domain', 'NGN-domain', 3, NULL),
(10664, NULL, 'IPR014240', NULL, 'Regulatory protein, YteA family', 'YteA', 4, NULL),
(10665, NULL, 'IPR010146', NULL, 'CRISPR-associated protein, Csn2-type', 'CRISPR-assoc_prot_Csn2-typ', 4, NULL),
(10666, NULL, 'IPR011310', NULL, 'Lipopolysaccharide core heptose(II)-phosphate phosphatase', 'LipoPS_heptP_Pase', 4, NULL),
(10667, NULL, 'IPR011639', NULL, 'Restriction modification methylase Eco57I', 'RM_methylase_Eco57I', 3, NULL),
(10668, NULL, 'IPR014215', NULL, 'Dipicolinic acid synthetase subunit A', 'Dipicolinic_acid_synth_A', 4, NULL),
(10669, NULL, 'IPR011307', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit F', 'MeTrfase_F', 4, NULL),
(10670, NULL, 'IPR023751', NULL, 'L-fucose mutarotase', 'L-fucose_mutarotase', 4, NULL),
(10671, NULL, 'IPR011650', NULL, 'Peptidase M20, dimerisation domain', 'Peptidase_M20_dimer', 3, NULL),
(10672, NULL, 'IPR012002', NULL, 'Desulforedoxin', 'Desulforedoxin', 4, NULL),
(10673, NULL, 'IPR011217', NULL, 'Streptogramin lyase', 'Streptogrm_lyase', 4, NULL),
(10674, NULL, 'IPR010508', NULL, 'Neurobeachin-like, DUF1088', 'NBEA-like_DUF1088', 3, NULL),
(10675, NULL, 'IPR007531', NULL, 'Dysbindin', 'Dysbindin', 4, NULL),
(10676, NULL, 'IPR015177', NULL, 'Lyase, catalytic', 'Lyase_catalyt', 3, NULL),
(10677, NULL, 'IPR009221', NULL, 'Adenosylcobalamin biosynthesis, ATP:cob(I)alamin adenosyltransferase, bifunctional PduO', 'AdoCbl_syn_CblAdoTrfase_bifunc', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10678, NULL, 'IPR011339', NULL, 'ISC system FeS cluster assembly, IscU scaffold', 'ISC_FeS_clus_asmbl_IscU', 4, NULL),
(10679, NULL, 'IPR014226', NULL, 'Sporulation integral membrane protein YlbJ', 'Spore_IM_YlbJ', 4, NULL),
(10680, NULL, 'IPR015176', NULL, 'Lyase, N-terminal', 'Lyase_N', 3, NULL),
(10681, NULL, 'IPR023714', NULL, 'Zinc transport protein ZntB', 'Zn_transp_ZntB', 4, NULL),
(10682, NULL, 'IPR014222', NULL, 'Cytochrome c oxidase, subunit II', 'Cyt_c_oxidase_su2', 3, NULL),
(10683, NULL, 'IPR035907', NULL, '7,8-Dihydro-6-hydroxymethylpterin-pyrophosphokinase HPPK superfamily', 'Hppk_sf', 5, NULL),
(10684, NULL, 'IPR011576', NULL, 'Pyridoxamine 5''-phosphate oxidase, putative', 'Pyridox_Oxase_put', 3, NULL),
(10685, NULL, 'IPR012636', NULL, 'Tamulustoxin', 'Toxin_32', 4, NULL),
(10686, NULL, 'IPR011229', NULL, 'Cell cycle protein GpsB', 'Cell_cycle_GpsB', 4, NULL),
(10687, NULL, 'IPR011635', NULL, 'CARDB domain', 'CARDB', 3, NULL),
(10688, NULL, 'IPR011651', NULL, 'Notch ligand, N-terminal domain', 'Notch_ligand_N', 3, NULL),
(10689, NULL, 'IPR023742', NULL, 'Iron-sulfur cluster repair protein YftE', 'FeS-repair_YftE', 4, NULL),
(10690, NULL, 'IPR010497', NULL, 'Epoxide hydrolase, N-terminal', 'Epoxide_hydro_N', 3, NULL),
(10691, NULL, 'IPR011212', NULL, 'Poxvirus B15/B22/C16', 'Poxvirus_B15/B22/C16', 4, NULL),
(10692, NULL, 'IPR011636', NULL, 'Thiosulphate:quinone oxidoreductase small subunit DoxA', 'DoxA', 3, NULL),
(10693, NULL, 'IPR011678', NULL, 'ER membrane protein complex subunit 1, C-terminal', 'EMC1_C', 3, NULL),
(10694, NULL, 'IPR011540', NULL, 'AbgT, Proteobacteria', 'AbgT_Proteobac', 4, NULL),
(10695, NULL, 'IPR011318', NULL, 'Predicted [NiFe]-hydrogenase-3-type complex Eha, membrane protein EhaI', 'Prd_NiFe_hyd_3_EhaI', 4, NULL),
(10696, NULL, 'IPR010921', NULL, 'Trp repressor/replication initiator', 'Trp_repressor/repl_initiator', 5, NULL),
(10697, NULL, 'IPR010511', NULL, 'Lytic murein transglycosylase D , lipid attachment domain', 'MltD_lipid-attach', 3, NULL),
(10698, NULL, 'IPR015187', NULL, 'BRCA2, OB1', 'BRCA2_OB_1', 3, NULL),
(10699, NULL, 'IPR009142', NULL, 'Wnt-4 protein', 'Wnt4', 4, NULL),
(10700, NULL, 'IPR013022', NULL, 'Xylose isomerase-like, TIM barrel domain', 'Xyl_isomerase-like_TIM-brl', 3, NULL),
(10701, NULL, 'IPR014495', NULL, 'Uncharacterised conserved protein UCP018671', 'UCP018671', 4, NULL),
(10702, NULL, 'IPR011689', NULL, 'PaRep2b', 'PaRep2b', 3, NULL),
(10703, NULL, 'IPR015195', NULL, 'SLIDE domain', 'SLIDE', 3, NULL),
(10704, NULL, 'IPR005114', NULL, 'Helicase-associated', 'Helicase_assoc', 3, NULL),
(10705, NULL, 'IPR007519', NULL, 'Bul1, N-terminal', 'Bul1_N', 3, NULL),
(10706, NULL, 'IPR014243', NULL, 'Transcription factor, RsfA', 'DNA_bind_RsfA', 4, NULL),
(10707, NULL, 'IPR010116', NULL, 'Anthranilate synthase component I, archaeal type', 'Anthranilate_synth_I_arc_typ', 4, NULL),
(10708, NULL, 'IPR011694', NULL, 'Tick salivary peptide group 1', 'TSGP1', 4, NULL),
(10709, NULL, 'IPR005106', NULL, 'Aspartate/homoserine dehydrogenase, NAD-binding', 'Asp/hSer_DH_NAD-bd', 3, NULL),
(10710, NULL, 'IPR015184', NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit domain IV', 'QH-AmDH_asu_dom_IV', 3, NULL),
(10711, NULL, 'IPR010138', NULL, 'UDP-2,3-diacylglucosamine hydrolase', 'UDP-diacylglucosamine_Hdrlase', 4, NULL),
(10712, NULL, 'IPR011687', NULL, 'Ribosome biogenesis protein Nop53/GLTSCR2', 'Nop53/GLTSCR2', 4, NULL),
(10713, NULL, 'IPR010115', NULL, 'Phosphoenolpyruvate transferase/2-phospho-L-lactate transferase', 'FbiA/CofD', 4, NULL),
(10714, NULL, 'IPR005112', NULL, 'dDENN domain', 'dDENN_dom', 3, NULL),
(10715, NULL, 'IPR011214', NULL, 'Uncharacterised conserved protein UCP020967', 'UCP020967', 4, NULL),
(10716, NULL, 'IPR009205', NULL, 'Predicted archaeal flagellar protein C', 'FlaC_arc', 4, NULL),
(10717, NULL, 'IPR015183', NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit domain III', 'QH-AmDH_asu_dom_III', 3, NULL),
(10718, NULL, 'IPR007522', NULL, 'CRISPR-associated protein TM1795', 'CRISPR-assoc_prot_TM1795', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10719, NULL, 'IPR011640', NULL, 'Ferrous iron transport protein B, C-terminal', 'Fe2_transport_prot_B_C', 3, NULL),
(10720, NULL, 'IPR011684', NULL, 'Protein Networked (NET), actin-binding (NAB) domain', 'NAB', 3, NULL),
(10721, NULL, 'IPR012658', NULL, 'Conserved hypothetical protein CHP02443', 'CHP02443', 4, NULL),
(10722, NULL, 'IPR015423', NULL, 'Influenza matrix M1, N-terminal subdomain 1', 'Flu_matrix_M1_N_sub1', 5, NULL),
(10723, NULL, 'IPR014223', NULL, 'ABC transporter, CydDC cysteine exporter (CydDC-E) family, permease/ATP-binding protein CydC', 'ABC_CydC', 4, NULL),
(10724, NULL, 'IPR015185', NULL, 'Exotoxin A, binding', 'Exotox-A_bind', 3, NULL),
(10725, NULL, 'IPR014501', NULL, 'Uncharacterised conserved protein UCP019317', 'UCP019317', 4, NULL),
(10726, NULL, 'IPR014216', NULL, 'ABC transporter, CydDC cysteine exporter (CydDC-E) family, permease/ATP-binding protein CydD', 'ABC_transptr_CydD', 4, NULL),
(10727, NULL, 'IPR012646', NULL, 'RNA ligase, DRB0094', 'RNA_ligase_DRB0094', 4, NULL),
(10728, NULL, 'IPR011676', NULL, 'Domain of unknown function DUF1618', 'DUF1618', 3, NULL),
(10729, NULL, 'IPR011074', NULL, 'CRAL/TRIO, N-terminal domain', 'CRAL/TRIO_N_dom', 3, NULL),
(10730, NULL, 'IPR015224', NULL, 'Talin, central', 'Talin_cent', 3, NULL),
(10731, NULL, 'IPR012647', NULL, 'RNA ligase, Rnl2', 'RNA_lig_RNL2', 4, NULL),
(10732, NULL, 'IPR005110', NULL, 'MoeA, N-terminal and linker domain', 'MoeA_linker/N', 3, NULL),
(10733, NULL, 'IPR011628', NULL, 'Cleaved adhesin', 'Cleaved_adhesin', 3, NULL),
(10734, NULL, 'IPR010161', NULL, 'Peptidase M20B, tripeptide aminopeptidase', 'Peptidase_M20B', 4, NULL),
(10735, NULL, 'IPR010137', NULL, 'Acyl-[acyl-carrier-protein]--UDP-N-acetylglucosamine O-acyltransferase', 'Lipid_A_LpxA', 4, NULL),
(10736, NULL, 'IPR010765', NULL, 'Protein of unknown function DUF1350', 'DUF1350', 4, NULL),
(10737, NULL, 'IPR014233', NULL, 'Quinol oxidase subunit I', 'QoxB', 4, NULL),
(10738, NULL, 'IPR014214', NULL, 'Dipicolinic acid synthetase, subunit B', 'Dipicolinic_acid_synth_B', 4, NULL),
(10739, NULL, 'IPR015232', NULL, 'Domain of unknown function DUF1935', 'DUF1935', 3, NULL),
(10740, NULL, 'IPR005108', NULL, 'HELP', 'HELP', 3, NULL),
(10741, NULL, 'IPR034311', NULL, 'Protein Wnt-8B', 'Protein_Wnt-8B', 4, NULL),
(10742, NULL, 'IPR023735', NULL, 'Uncharacterised nudix hydrolase NudL', 'Nudix_NudL', 4, NULL),
(10743, NULL, 'IPR007534', NULL, 'Acyl-protein synthetase, LuxE', 'LuxE', 3, NULL),
(10744, NULL, 'IPR011648', NULL, 'Circadian clock protein KaiA', 'Circadian_clock_KaiA', 4, NULL),
(10745, NULL, 'IPR007523', NULL, 'NDUFAF3/Mth938 domain-containing protein', 'NDUFAF3/AAMDC', 4, NULL),
(10746, NULL, 'IPR011681', NULL, 'GcrA cell cycle regulator', 'GcrA', 4, NULL),
(10747, NULL, 'IPR014239', NULL, 'Spore germination YpeB', 'Spore_YpeB', 4, NULL),
(10748, NULL, 'IPR023252', NULL, 'Aurora borealis protein', 'Aurora_borealis_protein', 4, NULL),
(10749, NULL, 'IPR010155', NULL, 'CRISPR pre-crRNA endoribonuclease Cas5d', 'CRISPR-assoc_prot_Cas5d', 4, NULL),
(10750, NULL, 'IPR011661', NULL, 'Sulphur oxygenase reductase', 'S_Oase_red', 4, NULL),
(10751, NULL, 'IPR011206', NULL, 'Citrate lyase beta subunit-like', 'Citrate_lyase_beta/mcl1/mcl2', 4, NULL),
(10752, NULL, 'IPR011219', NULL, 'Rubisco-cytochrome methylase MET', 'Rubisco-cyt_methylase_MET', 4, NULL),
(10753, NULL, 'IPR011642', NULL, 'Nucleoside transporter/FeoB GTPase, Gate domain', 'Gate_dom', 3, NULL),
(10754, NULL, 'IPR010120', NULL, 'Probable glutamyl-tRNA(Gln) amidotransferase subunit C, archaea', 'Glu-ADT_subunit_C_archaea', 4, NULL),
(10755, NULL, 'IPR009146', NULL, 'Groucho/transducin-like enhancer', 'Groucho_enhance', 4, NULL),
(10756, NULL, 'IPR010163', NULL, 'CRISPR locus-related putative DNA-binding protein Csa3', 'Csa3', 4, NULL),
(10757, NULL, 'IPR009206', NULL, 'Nucleotidase, putative', 'Nucleotidase_putative', 4, NULL),
(10758, NULL, 'IPR015214', NULL, 'Pesticidal crystal protein, central domain, Cry2A/18', 'Pest_cryst_cen_dom_Cry2A/18', 3, NULL),
(10759, NULL, 'IPR011231', NULL, 'Bacteriophage VT1-Sakai, H0018', 'Phage_VT1-Sakai_H0018', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10760, NULL, 'IPR011315', NULL, 'NTP pyrophosphohydrolase MazG-related, Rhizobiaceae-type', 'MazG-related_Rhizo-type', 4, NULL),
(10761, NULL, 'IPR010159', NULL, 'N-acyl-L-amino-acid amidohydrolase', 'N-acyl_aa_amidohydrolase', 4, NULL),
(10762, NULL, 'IPR014500', NULL, 'Uncharacterised conserved protein UCP019307, cupin-type', 'UCP019307_cupin', 4, NULL),
(10763, NULL, 'IPR011696', NULL, 'Huwentoxin-1 family', 'Huwentoxin-1', 4, NULL),
(10764, NULL, 'IPR010171', NULL, 'CRISPR system endoribonuclease Csx1', 'CRISPR_Csx1', 4, NULL),
(10765, NULL, 'IPR010499', NULL, 'Bacterial transcription activator, effector binding', 'AraC_E-bd', 3, NULL),
(10766, NULL, 'IPR009135', NULL, 'Vascular endothelial growth factor receptor 1 (VEGFR1)', 'VEGFR1_rcpt', 4, NULL),
(10767, NULL, 'IPR011583', NULL, 'Chitinase II', 'Chitinase_II', 3, NULL),
(10768, NULL, 'IPR012655', NULL, 'Uncharacterised protein YrzI', 'YrzI', 4, NULL),
(10769, NULL, 'IPR010506', NULL, 'DMAP1-binding domain', 'DMAP1-bd', 3, NULL),
(10770, NULL, 'IPR015200', NULL, 'Gp45 sliding clamp, C-terminal', 'Gp45_slide_clamp_C', 3, NULL),
(10771, NULL, 'IPR011674', NULL, 'Domain of unknown function DUF1616', 'DUF1616', 3, NULL),
(10772, NULL, 'IPR011218', NULL, 'Insecticidal delta endotoxin', 'Insecticidal_delta_endotoxin', 4, NULL),
(10773, NULL, 'IPR015199', NULL, 'DNA polymerase III, delta subunit, C-terminal', 'DNA_pol_III_delta_C', 3, NULL),
(10774, NULL, 'IPR023569', NULL, 'Prokineticin domain', 'Prokineticin_domain', 3, NULL),
(10775, NULL, 'IPR007540', NULL, 'Fimbrial major subunit, CS1-type', 'Fimbrial_CS1-type', 4, NULL),
(10776, NULL, 'IPR015196', NULL, 'Peptide-N-glycosidase F, N-terminal', 'PngaseF_N', 3, NULL),
(10777, NULL, 'IPR010504', NULL, 'Arfaptin homology (AH) domain', 'AH_dom', 3, NULL),
(10778, NULL, 'IPR010126', NULL, 'Esterase, PHB depolymerase', 'Esterase_phb', 4, NULL),
(10779, NULL, 'IPR034960', NULL, 'Testin, LIM domain 3', 'LIM3_Testin', 3, NULL),
(10780, NULL, 'IPR005105', NULL, 'Protein-PII uridylyltransferase, N-terminal', 'GlnD_Uridyltrans_N', 3, NULL),
(10781, NULL, 'IPR010512', NULL, 'Protein of unknown function DUF1091', 'DUF1091', 4, NULL),
(10782, NULL, 'IPR010771', NULL, 'Intracellular growth attenuator IgaA', 'IgaA', 4, NULL),
(10783, NULL, 'IPR009207', NULL, 'Histone-lysine N-methyltransferase, H3 lysine-37 specific', 'SET7_MeTrfase', 4, NULL),
(10784, NULL, 'IPR011665', NULL, 'Brf1, TBP-binding domain', 'BRF1_TBP-bd_dom', 3, NULL),
(10785, NULL, 'IPR011685', NULL, 'LETM1-like', 'LETM1-like', 3, NULL),
(10786, NULL, 'IPR009114', NULL, 'Angiomotin', 'Angiomotin', 4, NULL),
(10787, NULL, 'IPR034190', NULL, 'Subtilisin domain, cyanobacteria-type', 'Peptidase_S8_6', 3, NULL),
(10788, NULL, 'IPR012004', NULL, 'Pyrophosphate-dependent phosphofructokinase TP0108-type', 'PyroP-dep_PFK_TP0108', 4, NULL),
(10789, NULL, 'IPR007516', NULL, 'Coenzyme F420 hydrogenase/dehydrogenase beta subunit, N-terminal', 'Co_F420_Hydgase/DH_bsu_N', 3, NULL),
(10790, NULL, 'IPR012664', NULL, 'Conserved hypothetical protein CHP02452', 'CHP02452', 4, NULL),
(10791, NULL, 'IPR023737', NULL, 'Spermidine export protein MdtI', 'Spermidine_export_MdtI', 4, NULL),
(10792, NULL, 'IPR009132', NULL, 'Trace amine associated receptor family', 'TAAR_fam', 4, NULL),
(10793, NULL, 'IPR012681', NULL, 'Nucleobase cation symporter-1, NCS1', 'NCS1', 4, NULL),
(10794, NULL, 'IPR007536', NULL, 'Ribosomal RNA small subunit methyltransferase J', '16SrRNA_methylTrfase_J', 4, NULL),
(10795, NULL, 'IPR005119', NULL, 'LysR, substrate-binding', 'LysR_subst-bd', 3, NULL),
(10796, NULL, 'IPR015194', NULL, 'ISWI, HAND domain', 'ISWI_HAND-dom', 3, NULL),
(10797, NULL, 'IPR007535', NULL, 'Catechol dioxygenase, N-terminal', 'Catechol_dOase_N', 3, NULL),
(10798, NULL, 'IPR015223', NULL, 'ATPase MipZ', 'MipZ', 4, NULL),
(10799, NULL, 'IPR010158', NULL, 'Amidase, carbamoylase-type', 'Amidase_Cbmase', 4, NULL),
(10800, NULL, 'IPR011076', NULL, 'Malate synthase superfamily', 'Malate_synth_sf', 5, NULL),
(10801, NULL, 'IPR012631', NULL, 'Conotoxin T-superfamily', 'Toxin_26', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10802, NULL, 'IPR015181', NULL, 'Bacteriophage T4, Gp27, baseplate hub, N-terminal', 'Phage_T4_Gp27_N', 3, NULL),
(10803, NULL, 'IPR007513', NULL, 'Uncharacterised protein family SERF, N-terminal', 'Uncharacterised_SERF_N', 3, NULL),
(10804, NULL, 'IPR012653', NULL, 'Dimethylamine methyltransferase MtbB', 'Dimeth_MeTrfase_MtbB', 4, NULL),
(10805, NULL, 'IPR012666', NULL, 'Cobalt transporter subunit CbtA, putative', 'CbtA_put', 4, NULL),
(10806, NULL, 'IPR015205', NULL, 'Tower domain', 'Tower_dom', 3, NULL),
(10807, NULL, 'IPR011599', NULL, 'Prefoldin alpha subunit, archaea-type', 'PFD_alpha_archaea', 4, NULL),
(10808, NULL, 'IPR007542', NULL, 'Major capsid protein, C-terminal', 'MCP_C', 3, NULL),
(10809, NULL, 'IPR011688', NULL, 'PVL Orf50 family', 'PVL_Orf50', 4, NULL),
(10810, NULL, 'IPR015213', NULL, 'Cholesterol oxidase, substrate-binding', 'Cholesterol_OX_subst-bd', 3, NULL),
(10811, NULL, 'IPR005104', NULL, 'Winged helix-turn-helix transcription repressor, HrcA DNA-binding domain', 'WHTH_HrcA_DNA-bd', 3, NULL),
(10812, NULL, 'IPR011691', NULL, 'Vesicle transport protein SFT2', 'Vesicle_transpt_SFT2', 4, NULL),
(10813, NULL, 'IPR015198', NULL, 'Bacteriophage T4, MotA, transcription regulator N-terminal', 'Phage_T4_MotA_Tscrpt_reg_N', 3, NULL),
(10814, NULL, 'IPR009203', NULL, 'Knr4/Smi1 family', 'Knr4/Smi1', 4, NULL),
(10815, NULL, 'IPR010502', NULL, 'Carbohydrate-binding domain, family 9', 'Carb-bd_dom_fam9', 3, NULL),
(10816, NULL, 'IPR011225', NULL, 'Type IV secretory pathway, VirJ component', 'IV_sec_VirJ', 4, NULL),
(10817, NULL, 'IPR011659', NULL, 'WD40-like beta propeller', 'PD40', 7, NULL),
(10818, NULL, 'IPR011662', NULL, 'Secretin/TonB, short N-terminal domain', 'Secretin/TonB_short_N', 3, NULL),
(10819, NULL, 'IPR011673', NULL, 'Protein of unknown function DUF1615', 'DUF1615', 4, NULL),
(10820, NULL, 'IPR009121', NULL, 'Beta-secretase BACE2', 'BACE2', 4, NULL),
(10821, NULL, 'IPR034302', NULL, 'Meprin beta subunit', 'Meprin_beta', 4, NULL),
(10822, NULL, 'IPR009211', NULL, 'Type VI secretion system accessory component TagJ', 'TagJ', 4, NULL),
(10823, NULL, 'IPR014219', NULL, 'Peptidase S55, sporulation stage IV, protein B', 'Pept_S55_SpoIVB', 4, NULL),
(10824, NULL, 'IPR010122', NULL, 'Hydroxymethylglutaryl-CoA synthase, eukaryotic', 'HMG_CoA_synthase_euk', 4, NULL),
(10825, NULL, 'IPR015203', NULL, 'Secreted effector protein SptP, N-terminal domain', 'SptP_N', 3, NULL),
(10826, NULL, 'IPR014238', NULL, 'Sporulation protein YlmC/YmxH', 'Spore_YlmC/YmxH', 4, NULL),
(10827, NULL, 'IPR011311', NULL, 'Predicted [NiFe]-hydrogenase-3-type complex Eha, membrane protein EhaG', 'Prd_NiFe_hyd_3_EhaG', 4, NULL),
(10828, NULL, 'IPR009201', NULL, 'Virion core protein, vaccinia E11L type', 'Virion_core', 4, NULL),
(10829, NULL, 'IPR015225', NULL, 'tRNA pseudouridine synthase II, TruB, subfamily 2, C-terminal', 'tRNA_psdUridine_synth_fam2_C', 3, NULL),
(10830, NULL, 'IPR015189', NULL, 'Translation elongation factor SelB, winged helix, type 1', 'Elong_fac_SelB-wing-hlx_typ-1', 3, NULL),
(10831, NULL, 'IPR011664', NULL, 'Abortive infection system protein AbiD/AbiF-like', 'Abi_system_AbiD/AbiF-like', 4, NULL),
(10832, NULL, 'IPR005111', NULL, 'MoeA, C-terminal, domain IV', 'MoeA_C_domain_IV', 3, NULL),
(10833, NULL, 'IPR005215', NULL, 'Trigger factor', 'Trig_fac', 4, NULL),
(10834, NULL, 'IPR007530', NULL, 'Aminoglycoside 6-adenylyltransferase', 'Aminoglycoside_adenylylTfrase', 4, NULL),
(10835, NULL, 'IPR010128', NULL, 'ATPase, type I secretion system, PrtD-like', 'ATPase_T1SS_PrtD-like', 4, NULL),
(10836, NULL, 'IPR015222', NULL, 'Phosphatidate cytidylyltransferase, mitochondrial', 'Tam41', 4, NULL),
(10837, NULL, 'IPR009138', NULL, 'Neural cell adhesion', 'Neural_cell_adh', 4, NULL),
(10838, NULL, 'IPR012644', NULL, 'Conserved hypothetical protein CHP02300, FYDLN acid', 'CHP02300_FYDLN_acid', 4, NULL),
(10839, NULL, 'IPR011204', NULL, 'Virulence protein RhuM-like', 'Virulence_RhuM-like', 4, NULL),
(10840, NULL, 'IPR014497', NULL, 'Methylmalonyl-CoA decarboxylase, delta subunit', 'MeMalonyl-CoA_deCOase_dsu', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10841, NULL, 'IPR015220', NULL, 'Glucodextranase, N-terminal', 'Glucodextranase_N', 3, NULL),
(10842, NULL, 'IPR007528', NULL, 'RINT-1/Tip20', 'RINT1_Tip20', 4, NULL),
(10843, NULL, 'IPR011644', NULL, 'Heme NO-binding', 'Heme_NO-bd', 3, NULL),
(10844, NULL, 'IPR010500', NULL, 'Hepcidin', 'Hepcidin', 4, NULL),
(10845, NULL, 'IPR011220', NULL, 'Uncharacterised conserved protein UCP028205', 'UCP028205', 4, NULL),
(10846, NULL, 'IPR015174', NULL, 'MIF4G-like, type 2', 'MIF4G-like_typ-2', 3, NULL),
(10847, NULL, 'IPR010129', NULL, 'Type I secretion membrane fusion protein, HlyD family', 'T1SS_HlyD', 4, NULL),
(10848, NULL, 'IPR013800', NULL, 'STAT transcription factor, all-alpha domain', 'STAT_TF_alpha', 3, NULL),
(10849, NULL, 'IPR010133', NULL, 'Bacteriocin-type signal sequence', 'Bacteriocin_signal_seq', 2, NULL),
(10850, NULL, 'IPR024704', NULL, 'Structural maintenance of chromosomes protein', 'SMC', 4, NULL),
(10851, NULL, 'IPR011081', NULL, 'Bacterial Ig-related', 'Big_4', 3, NULL),
(10852, NULL, 'IPR015234', NULL, 'Domain of unknown function DUF1936', 'DUF1936', 3, NULL),
(10853, NULL, 'IPR009214', NULL, 'Protein of unknown function DUF1129', 'DUF1129', 4, NULL),
(10854, NULL, 'IPR012649', NULL, 'Phosphonopyruvate hydrolase', 'PPH', 4, NULL),
(10855, NULL, 'IPR005118', NULL, 'Transcription-repair-coupling factor, C-terminal domain', 'TRCF_C', 3, NULL),
(10856, NULL, 'IPR011683', NULL, 'Glycosyl hydrolase family 53', 'Glyco_hydro_53', 4, NULL),
(10857, NULL, 'IPR009148', NULL, 'Streptococcal non-M secreted SibA', 'SibA', 4, NULL),
(10858, NULL, 'IPR011070', NULL, 'Globular protein, non-globular alpha/beta subunit', 'Globular_prot_asu/bsu', 5, NULL),
(10859, NULL, 'IPR010148', NULL, 'CRISPR-associated protein, CT1975', 'CRISPR-assoc_prot_CT1975', 4, NULL),
(10860, NULL, 'IPR011682', NULL, 'Glycosyl hydrolase family 38, C-terminal', 'Glyco_hydro_38_C', 3, NULL),
(10861, NULL, 'IPR012654', NULL, 'Conserved hypothetical protein CHP02391', 'CHP02391', 3, NULL),
(10862, NULL, 'IPR011064', NULL, 'Allophycocyanin linker chain', 'Allophyco_linker_chain', 5, NULL),
(10863, NULL, 'IPR010173', NULL, 'CRISPR-associated protein Csm5', 'CRISPR-assoc_Csm5', 4, NULL),
(10864, NULL, 'IPR015191', NULL, 'Translation elongation factor SelB, winged helix, type 3', 'Elong_fac_SelB-wing-hlx_typ-3', 3, NULL),
(10865, NULL, 'IPR007524', NULL, 'Pectate lyase, N-terminal', 'Pec_lyase_N', 3, NULL),
(10866, NULL, 'IPR009218', NULL, 'Predicted HD phosphohydrolase', 'HD_phosphohydro', 4, NULL),
(10867, NULL, 'IPR005116', NULL, 'Transport-associated OB, type 1', 'Transp-assoc_OB_typ1', 3, NULL),
(10868, NULL, 'IPR016098', NULL, 'Cyclase-associated protein CAP/septum formation inhibitor MinC, C-terminal', 'CAP/MinC_C', 5, NULL),
(10869, NULL, 'IPR014242', NULL, 'Spore cortex biosynthesis protein, YabQ', 'Spore_cortex_biosyn_YabQ', 4, NULL),
(10870, NULL, 'IPR009125', NULL, 'ATP synthase membrane subunit K', 'ATPMK', 4, NULL),
(10871, NULL, 'IPR035053', NULL, 'RPK118-like, kinase domain', 'STK_RPK118-like', 3, NULL),
(10872, NULL, 'IPR011677', NULL, 'Tectonic domain', 'Tectonic_dom', 3, NULL),
(10873, NULL, 'IPR012632', NULL, 'Scorpion calcine', 'Scorpion_calcine', 4, NULL),
(10874, NULL, 'IPR009117', NULL, 'Annexin A14,  fungal', 'ANX14', 4, NULL),
(10875, NULL, 'IPR012662', NULL, 'Conserved hypothetical protein CHP02449', 'CHP02449', 4, NULL),
(10876, NULL, 'IPR010766', NULL, 'DRTGG', 'DRTGG', 3, NULL),
(10877, NULL, 'IPR011646', NULL, 'KAP family P-loop domain', 'KAP_P-loop', 3, NULL),
(10878, NULL, 'IPR015208', NULL, 'T4 recombination endonuclease VII, dimerisation', 'T4_recomb_endonuclease_dimer', 3, NULL),
(10879, NULL, 'IPR012656', NULL, 'Conserved hypothetical protein CHP02421, QEGLA', 'CHP02421_QEGLA', 4, NULL),
(10880, NULL, 'IPR014503', NULL, 'Clavaminate synthase-like', 'Clavaminate_syn-like', 4, NULL),
(10881, NULL, 'IPR015190', NULL, 'Translation elongation factor SelB, winged helix, type 2', 'Elong_fac_SelB-wing-hlx_typ-2', 3, NULL),
(10882, NULL, 'IPR005117', NULL, 'Nitrite/Sulfite reductase ferredoxin-like domain', 'NiRdtase/SiRdtase_haem-b_fer', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10883, NULL, 'IPR015236', NULL, 'Methylated DNA-protein cysteine methyltransferase, ribonuclease H-like domain', 'MGMT_N', 3, NULL),
(10884, NULL, 'IPR005113', NULL, 'uDENN domain', 'uDENN_dom', 3, NULL),
(10885, NULL, 'IPR011631', NULL, 'Protein of unknown function DUF1600', 'DUF1600', 4, NULL),
(10886, NULL, 'IPR023717', NULL, 'Prolyl-tRNA synthetase, class IIa, type 1', 'Pro-tRNA-Synthase_IIa_type1', 4, NULL),
(10887, NULL, 'IPR013497', NULL, 'DNA topoisomerase, type IA, central', 'Topo_IA_cen', 3, NULL),
(10888, NULL, 'IPR034887', NULL, 'LARP7, RNA recognition motif 1', 'LARP7_RRM1', 3, NULL),
(10889, NULL, 'IPR009123', NULL, 'Desmoglein', 'Desmoglein', 4, NULL),
(10890, NULL, 'IPR005107', NULL, 'CO dehydrogenase flavoprotein, C-terminal', 'CO_DH_flav_C', 3, NULL),
(10891, NULL, 'IPR012635', NULL, 'Parabutoxin', 'Parabutoxin', 4, NULL),
(10892, NULL, 'IPR012634', NULL, 'PhTx neurotoxin', 'Toxin_29', 4, NULL),
(10893, NULL, 'IPR010505', NULL, 'Molybdenum cofactor synthesis C-terminal', 'Mob_synth_C', 3, NULL),
(10894, NULL, 'IPR010174', NULL, 'Succinyl-diaminopimelate desuccinylase, DapE', 'Succinyl-DAP_deSuclase_DapE', 4, NULL),
(10895, NULL, 'IPR010513', NULL, 'KEN domain', 'KEN_dom', 3, NULL),
(10896, NULL, 'IPR007529', NULL, 'Zinc finger, HIT-type', 'Znf_HIT', 3, NULL),
(10897, NULL, 'IPR011649', NULL, 'KaiB domain', 'KaiB_domain', 3, NULL),
(10898, NULL, 'IPR015179', NULL, 'Alpha-amylase/4-alpha-glucanotransferase, C-terminal', 'A-amylase/a-glucTrfase_C', 3, NULL),
(10899, NULL, 'IPR011667', NULL, 'Uncharacterised protein family UPF0329', 'UPF0329', 4, NULL),
(10900, NULL, 'IPR015231', NULL, 'Protein of unknown function DUF1934', 'DUF1934', 4, NULL),
(10901, NULL, 'IPR010156', NULL, 'CRISPR-associated protein, Cas6', 'CRISPR-assoc_prot_Cas6', 4, NULL),
(10902, NULL, 'IPR034312', NULL, 'Protein Wnt-8A/8C', 'Protein_Wnt-8A/8C', 4, NULL),
(10903, NULL, 'IPR012659', NULL, 'Conserved hypothetical protein CHP02444', 'CHP02444', 4, NULL),
(10904, NULL, 'IPR014499', NULL, 'Diadenylate cyclase, DacZ-type', 'DAC_DacZ', 4, NULL),
(10905, NULL, 'IPR010139', NULL, 'Imidazole glycerol phosphate synthase, subunit H', 'Imidazole-glycPsynth_HisH', 4, NULL),
(10906, NULL, 'IPR011643', NULL, 'High-CO2 inducible periplasmic protein', 'HCR1', 4, NULL),
(10907, NULL, 'IPR007538', NULL, 'dATP/dGTP pyrophosphohydrolase', 'dATP/dGTP_pyrophosphohydrolase', 3, NULL),
(10908, NULL, 'IPR010131', NULL, 'RND efflux system, outer membrane lipoprotein, NodT', 'RND_efflux_OM_lipoprot_NodT', 4, NULL),
(10909, NULL, 'IPR023741', NULL, 'Lipoate-protein ligase A', 'Lipoate_ligase_A', 4, NULL),
(10910, NULL, 'IPR010117', NULL, 'Para-aminobenzoate synthase', 'PabB_fungal', 4, NULL),
(10911, NULL, 'IPR009215', NULL, 'TIM-barrel domain, IGPS-like', 'TIM-br_IGPS-like', 3, NULL),
(10912, NULL, 'IPR012648', NULL, 'T4 RNA ligase 1', 'Rnl1', 4, NULL),
(10913, NULL, 'IPR011205', NULL, 'Uncharacterised conserved protein UCP015417, vWA', 'UCP015417_vWA', 4, NULL),
(10914, NULL, 'IPR010123', NULL, 'Poly(R)-hydroxyalkanoic acid synthase, class III, PhaE subunit', 'PHA_synth_III_E', 4, NULL),
(10915, NULL, 'IPR023716', NULL, 'Proline-tRNA ligase, class IIa, type 2', 'Prolyl-tRNA_ligase_IIa_type2', 4, NULL),
(10916, NULL, 'IPR012638', NULL, 'Tryptophan leader peptide', 'Trp_leader1', 4, NULL),
(10917, NULL, 'IPR012280', NULL, 'Semialdehyde dehydrogenase, dimerisation domain', 'Semialdhyde_DH_dimer_dom', 3, NULL),
(10918, NULL, 'IPR007518', NULL, 'MINDY deubiquitinase', 'MINDY', 4, NULL),
(10919, NULL, 'IPR010166', NULL, 'Transcriptional regulator SarA/Rot', 'SarA/Rot', 3, NULL),
(10920, NULL, 'IPR005103', NULL, 'Auxiliary Activity family 9', 'AA9', 4, NULL),
(10921, NULL, 'IPR010919', NULL, 'SAND-like domain superfamily', 'SAND-like_dom_sf', 5, NULL),
(10922, NULL, 'IPR010147', NULL, 'CRISPR-associated protein, CasD', 'CRISPR-assoc_prot_CasD', 4, NULL),
(10923, NULL, 'IPR011071', NULL, 'Polysaccharide lyase family 8-like, C-terminal', 'Lyase_8-like_C', 5, NULL),
(10924, NULL, 'IPR011068', NULL, 'Nucleotidyltransferase, class I-like, C-terminal', 'NuclTrfase_I-like_C', 5, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10925, NULL, 'IPR011656', NULL, 'Notch, NODP domain', 'Notch_NODP_dom', 3, NULL),
(10926, NULL, 'IPR014217', NULL, 'Sporulation stage III, protein AA', 'Spore_III_AA', 4, NULL),
(10927, NULL, 'IPR009200', NULL, 'Protein of unknown function DUF1269, membrane associated', 'DUF1269_membrane', 4, NULL),
(10928, NULL, 'IPR007515', NULL, 'Mss4', 'Mss4', 4, NULL),
(10929, NULL, 'IPR007511', NULL, 'Protein of unknown function DUF501', 'DUF501', 4, NULL),
(10930, NULL, 'IPR014228', NULL, 'Sporulation protein, polysaccharide deacetylase, YlxY', 'Spore_polysacc_deacetyl_YlxY', 4, NULL),
(10931, NULL, 'IPR015211', NULL, 'Peptidase M1, leukotriene A4 hydrolase/aminopeptidase C-terminal', 'Peptidase_M1_C', 3, NULL),
(10932, NULL, 'IPR009136', NULL, 'Vascular endothelial growth factor receptor 2 (VEGFR2)', 'VEGFR2_rcpt', 4, NULL),
(10933, NULL, 'IPR012637', NULL, 'Waglerin', 'Toxin_33', 4, NULL),
(10934, NULL, 'IPR011207', NULL, 'Orthopoxvirus protein F1', 'Orthopox_F1', 4, NULL),
(10935, NULL, 'IPR011065', NULL, 'Kunitz inhibitor STI-like superfamily', 'Kunitz_inhibitor_STI-like_sf', 5, NULL),
(10936, NULL, 'IPR009150', NULL, 'Neuropeptide B/W receptor family', 'Neuropept_B/W_rcpt', 4, NULL),
(10937, NULL, 'IPR010772', NULL, 'Protein of unknown function DUF1359', 'DUF1359', 4, NULL),
(10938, NULL, 'IPR011316', NULL, 'Predicted [NiFe]-hydrogenase-3-type complex Eha, membrane protein EhaC', 'Prd_NiFe_hyd_3_EhaC', 4, NULL),
(10939, NULL, 'IPR011228', NULL, 'Uncharacterised conserved protein UCP029766', 'UCP029766', 4, NULL),
(10940, NULL, 'IPR010142', NULL, 'Nitrogenase vanadium-iron protein, alpha chain', 'Nase_V-Fe_asu', 4, NULL),
(10941, NULL, 'IPR009212', NULL, 'Methylthioribose kinase', 'Methylthioribose_kinase', 4, NULL),
(10942, NULL, 'IPR009140', NULL, 'Wnt-2 protein', 'Wnt2', 4, NULL),
(10943, NULL, 'IPR021127', NULL, 'CRISPR-associated endonuclease Cas2', 'CRISPR_associated_Cas2', 4, NULL),
(10944, NULL, 'IPR015226', NULL, 'Type III effector HopF2', 'T3_effector_HopF2', 4, NULL),
(10945, NULL, 'IPR015216', NULL, 'SANT associated', 'SANTA', 3, NULL),
(10946, NULL, 'IPR010920', NULL, 'LSM domain superfamily', 'LSM_dom_sf', 5, NULL),
(10947, NULL, 'IPR010153', NULL, 'CRISPR-associated protein, Cas5a type', 'CRISPR-assoc_prot_Cas5a-typ', 4, NULL),
(10948, NULL, 'IPR011655', NULL, 'M penetrans paralogue 26', 'MpPF26', 4, NULL),
(10949, NULL, 'IPR010119', NULL, 'Gluconeogenesis factor', 'Gluconeogen_factor', 4, NULL),
(10950, NULL, 'IPR009122', NULL, 'Desmosomal cadherin', 'Desmosomal_cadherin', 4, NULL),
(10951, NULL, 'IPR015206', NULL, '3-mercaptopyruvate sulfurtransferase, C-terminal domain', 'SulfurTase_C', 3, NULL),
(10952, NULL, 'IPR010167', NULL, 'Amino-acid N-acetyltransferase', 'NH2A_AcTrfase', 4, NULL),
(10953, NULL, 'IPR007509', NULL, 'Protein of unknown function DUF515', 'DUF515', 4, NULL),
(10954, NULL, 'IPR024735', NULL, 'Conjugative transposon protein TcpC', 'TcpC', 4, NULL),
(10955, NULL, 'IPR013766', NULL, 'Thioredoxin domain', 'Thioredoxin_domain', 3, NULL),
(10956, NULL, 'IPR010118', NULL, 'Para-aminobenzoate synthase/anthranilate synthase, component I', 'Para-NH2Bz/anthranilate_synth', 4, NULL),
(10957, NULL, 'IPR012650', NULL, 'Conserved hypothetical protein CHP02328', 'CHP02328', 4, NULL),
(10958, NULL, 'IPR011686', NULL, 'Omega transcriptional repressor', 'Omega_repress', 3, NULL),
(10959, NULL, 'IPR009139', NULL, 'Wnt-1 protein', 'Wnt1', 4, NULL),
(10960, NULL, 'IPR015228', NULL, 'SWA2-like, ubiquitin-associated domain', 'SWA2_UBA', 3, NULL),
(10961, NULL, 'IPR011314', NULL, 'Predicted [NiFe]-hydrogenase-3-type complex Eha, membrane protein EhaB', 'Prd_NiFe_hyd_3_EhaB', 4, NULL),
(10962, NULL, 'IPR011692', NULL, 'Stress up-regulated Nod 19', 'Stress_up-reg_Nod19', 4, NULL),
(10963, NULL, 'IPR011613', NULL, 'GH15-like domain', 'GH15-like', 3, NULL),
(10964, NULL, 'IPR035904', NULL, 'Chorismate synthase AroC superfamily', 'Chorismate_synth_AroC_sf', 5, NULL),
(10965, NULL, 'IPR012663', NULL, 'Conserved hypothetical protein CHP02450, tryptophan-rich', 'CHP02450_Tryp', 4, NULL),
(10966, NULL, 'IPR010160', NULL, 'CRISPR-associated protein, Cmr5', 'CRISPR-assoc_prot_Cmr5', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(10967, NULL, 'IPR023618', NULL, 'Photosystem I PsaG/PsaK domain, chloroplastic', 'PSI_PsaG/PsaK_dom', 5, NULL),
(10968, NULL, 'IPR015217', NULL, 'Invasin, domain 3', 'Invasin_dom_3', 3, NULL),
(10969, NULL, 'IPR011067', NULL, 'Plasmid maintenance toxin/Cell growth inhibitor', 'Plasmid_toxin/cell-grow_inhib', 5, NULL),
(10970, NULL, 'IPR005101', NULL, 'Cryptochrome/DNA photolyase, FAD-binding domain', 'Cryptochr/Photolyase_FAD-bd', 3, NULL),
(10971, NULL, 'IPR009220', NULL, 'Probable bifunctional tRNA threonylcarbamoyladenosine biosynthesis protein', 'tRNA_threonyl_synthase/kinase', 4, NULL),
(10972, NULL, 'IPR034143', NULL, 'snRNP70, RNA recognition motif', 'snRNP70_RRM', 3, NULL),
(10973, NULL, 'IPR012643', NULL, 'Wound-inducible basic', 'Wound_ind', 4, NULL),
(10974, NULL, 'IPR010149', NULL, 'CRISPR-associated protein, Csm2 Type III-A', 'CRISPR-assoc_prot_Csm2_III-A', 4, NULL),
(10975, NULL, 'IPR011083', NULL, 'Phage tail collar domain', 'Phage_tail_collar_dom', 3, NULL),
(10976, NULL, 'IPR005120', NULL, 'UPF3 domain', 'UPF3_dom', 3, NULL),
(10977, NULL, 'IPR011670', NULL, 'Protein of unknown function DUF1612', 'DUF1612', 4, NULL),
(10978, NULL, 'IPR010152', NULL, 'CRISPR-associated protein Cas2 subtype', 'CRISPR-assoc_prot_Cas2_sub', 4, NULL),
(10979, NULL, 'IPR015207', NULL, 'Protein of unknown function DUF1931', 'DUF1931', 4, NULL),
(10980, NULL, 'IPR034601', NULL, 'Ragulator complex protein LAMTOR4', 'LAMTOR4', 4, NULL),
(10981, NULL, 'IPR015192', NULL, 'Switch protein XOL-1, N-terminal', 'Xol-1_N', 3, NULL),
(10982, NULL, 'IPR010154', NULL, 'CRISPR-associated protein Cas7/Cst2/DevR', 'CRISPR-assoc_Cas7/Cst2/DevR', 4, NULL),
(10983, NULL, 'IPR023746', NULL, 'Transcription regulator HTH, YidZ', 'Tscrpt_reg_YidZ', 4, NULL),
(10984, NULL, 'IPR009145', NULL, 'U2 auxiliary factor small subunit', 'U2AF_small', 4, NULL),
(10985, NULL, 'IPR015202', NULL, 'Galactose oxidase-like, Early set domain', 'GO-like_E_set', 3, NULL),
(10986, NULL, 'IPR010140', NULL, 'Histidinol phosphate phosphatase, HisJ', 'Histidinol_P_phosphatase_HisJ', 4, NULL),
(10987, NULL, 'IPR023750', NULL, 'RbsD-like superfamily', 'RbsD-like_sf', 5, NULL),
(10988, NULL, 'IPR007543', NULL, 'LptD, C-terminal', 'LptD_C', 3, NULL),
(10989, NULL, 'IPR011638', NULL, 'Sorbitol phosphotransferase enzyme II, C-terminal', 'PTS_EIIBC_GUT_C', 3, NULL),
(10990, NULL, 'IPR010162', NULL, 'Peptidase M20B, peptidase T-like', 'PepT-like', 4, NULL),
(10991, NULL, 'IPR034600', NULL, '54S ribosomal protein L36, yeast', 'MRPL36_yeast', 4, NULL),
(10992, NULL, 'IPR009116', NULL, 'Annexin A9', 'ANX9', 4, NULL),
(10993, NULL, 'IPR005099', NULL, 'Pneumovirus NS1 protein', 'Pneumo_NS1', 4, NULL),
(10994, NULL, 'IPR011669', NULL, 'Uncharacterised conserved protein UCP026760', 'UCP026760', 4, NULL),
(10995, NULL, 'IPR015215', NULL, 'BmKX domain', 'BmKX_dom', 3, NULL),
(10996, NULL, 'IPR010132', NULL, 'ATPase, type I secretion system, HlyB', 'ATPase_T1SS_HlyB', 4, NULL),
(10997, NULL, 'IPR011258', NULL, 'BPG-independent PGAM, N-terminal', 'BPG-indep_PGM_N', 3, NULL),
(10998, NULL, 'IPR009126', NULL, 'Cholecystokinin receptor', 'Cholcskin_rcpt', 4, NULL),
(10999, NULL, 'IPR009210', NULL, 'Activating signal cointegrator 1 complex subunit 1', 'ASCC1', 4, NULL),
(11000, NULL, 'IPR010510', NULL, 'FGF binding 1', 'FGF1-bd', 4, NULL),
(11001, NULL, 'IPR011242', NULL, 'Acetylglutamate kinase ArgB, GNAT domain-containing', 'ArgB_GNAT', 4, NULL),
(11002, NULL, 'IPR006179', NULL, '5''-Nucleotidase/apyrase', '5_nucleotidase/apyrase', 4, NULL),
(11003, NULL, 'IPR011720', NULL, 'Thr operon leader peptide', 'Thr_lead_pept', 4, NULL),
(11004, NULL, 'IPR011577', NULL, 'Cytochrome b561, bacterial/Ni-hydrogenase', 'Cyt_b561_bac/Ni-Hgenase', 3, NULL),
(11005, NULL, 'IPR011107', NULL, 'Type 1 protein phosphatase inhibitor', 'PPI_Ypi1', 4, NULL),
(11006, NULL, 'IPR011603', NULL, '2-oxoglutarate dehydrogenase E1 component', '2oxoglutarate_DH_E1', 4, NULL),
(11007, NULL, 'IPR011118', NULL, 'Tannase/feruloyl esterase', 'Tannase/feruloyl_esterase', 4, NULL),
(11008, NULL, 'IPR011112', NULL, 'Rho termination factor, N-terminal', 'Rho_N', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11009, NULL, 'IPR012039', NULL, 'Uncharacterised conserved protein UCP012281', 'UCP012281', 4, NULL),
(11010, NULL, 'IPR005230', NULL, 'TraB, bacterial/archaeal', 'TraB_bac', 4, NULL),
(11011, NULL, 'IPR011105', NULL, 'Cell wall hydrolase, SleB', 'Cell_wall_hydrolase_SleB', 3, NULL),
(11012, NULL, 'IPR005250', NULL, 'Ribose-1,5-bisphosphate isomerase, e2b2 family', 'Ribulose_e2b2', 4, NULL),
(11013, NULL, 'IPR014248', NULL, 'Spore coat assembly protein SafA', 'Spore_coat_assembly_SafA', 3, NULL),
(11014, NULL, 'IPR016100', NULL, 'Prismane, alpha-bundle', 'Prismane_a-bundle', 5, NULL),
(11015, NULL, 'IPR011590', NULL, 'Transcription elongation factor Spt5, archaeal', 'Spt5_arc', 4, NULL),
(11016, NULL, 'IPR012040', NULL, 'Formylmethanofuran dehydrogenase, subunit D', 'Formylmethanofuran_DH_dsu', 4, NULL),
(11017, NULL, 'IPR006186', NULL, 'Serine/threonine-specific protein phosphatase/bis(5-nucleosyl)-tetraphosphatase', 'Ser/Thr-sp_prot-phosphatase', 3, NULL),
(11018, NULL, 'IPR011724', NULL, 'Cyd operon protein YbgT', 'Cyd_oper_YbgT', 4, NULL),
(11019, NULL, 'IPR006204', NULL, 'GHMP kinase N-terminal domain', 'GHMP_kinase_N_dom', 3, NULL),
(11020, NULL, 'IPR011951', NULL, 'HAD-superfamily hydrolase, subfamily IA, YjjG/PynA', 'HAD-SF_hydro_IA_YjjG/PynA', 4, NULL),
(11021, NULL, 'IPR005224', NULL, 'Sugar fermentation stimulation protein', 'SfsA', 4, NULL),
(11022, NULL, 'IPR010808', NULL, 'Chemotaxis protein CheA, P2 response regulator-binding', 'CheA_P2-bd', 3, NULL),
(11023, NULL, 'IPR012031', NULL, 'Uncharacterised conserved protein UCP006577', 'UCP006577', 4, NULL),
(11024, NULL, 'IPR005236', NULL, 'Dihydropteroate synthase-related protein synthase-related protein', 'Dihydropt_synth', 4, NULL),
(11025, NULL, 'IPR010831', NULL, 'Interleukin-23 alpha', 'IL-23_alpha', 4, NULL),
(11026, NULL, 'IPR011108', NULL, 'Zn-dependent metallo-hydrolase, RNA specificity domain', 'RMMBL', 3, NULL),
(11027, NULL, 'IPR010792', NULL, 'Protein of unknown function DUF1389', 'DUF1389', 4, NULL),
(11028, NULL, 'IPR005228', NULL, 'Conserved hypothetical protein CHP00251', 'CHP00251', 4, NULL),
(11029, NULL, 'IPR014344', NULL, 'PEP-CTERM locus, polysaccharide deactylase', 'PEP-CTERM_polysacc_deacetyl', 4, NULL),
(11030, NULL, 'IPR017868', NULL, 'Filamin/ABP280 repeat-like', 'Filamin/ABP280_repeat-like', 7, NULL),
(11031, NULL, 'IPR014244', NULL, 'RNA polymerase sigma-I type', 'RNA_pol_sigma-I', 4, NULL),
(11032, NULL, 'IPR016107', NULL, 'Adenovirus Pll, hexon, N-terminal', 'Adenovirus_Pll_hexon_N', 3, NULL),
(11033, NULL, 'IPR013633', NULL, 'siRNA-mediated silencing protein NRDE-2', 'NRDE-2', 4, NULL),
(11034, NULL, 'IPR024706', NULL, 'Peroxiredoxin, AhpC-type', 'Peroxiredoxin_AhpC-typ', 4, NULL),
(11035, NULL, 'IPR010812', NULL, 'Hypersensitivity response secretion-like, HrpJ', 'HrpJ-like', 3, NULL),
(11036, NULL, 'IPR011961', NULL, '16S rRNA processing protein RimM', '16S_RimM', 4, NULL),
(11037, NULL, 'IPR005225', NULL, 'Small GTP-binding protein domain', 'Small_GTP-bd_dom', 3, NULL),
(11038, NULL, 'IPR014249', NULL, 'Sporulation stage V protein B', 'Spore_V_B', 4, NULL),
(11039, NULL, 'IPR011183', NULL, 'Pyrophosphate-dependent phosphofructokinase PfpB', 'PfpB_PPi_PFK', 4, NULL),
(11040, NULL, 'IPR016135', NULL, 'Ubiquitin-conjugating enzyme/RWD-like', 'UBQ-conjugating_enzyme/RWD', 5, NULL),
(11041, NULL, 'IPR011247', NULL, 'Chemotaxis protein-glutamate methylesterase', 'Chemotax_prot-Glu_Me-esterase', 4, NULL),
(11042, NULL, 'IPR013325', NULL, 'RNA polymerase sigma factor, region 2', 'RNA_pol_sigma_r2', 5, NULL),
(11043, NULL, 'IPR010791', NULL, 'AttH domain', 'AttH_dom', 3, NULL),
(11044, NULL, 'IPR010813', NULL, 'Protein of unknown function DUF1413', 'DUF1413', 4, NULL),
(11045, NULL, 'IPR009652', NULL, 'Programmed cell death protein 10', 'PDCD10', 4, NULL),
(11046, NULL, 'IPR006225', NULL, 'Pseudouridine synthase, RluC/RluD', 'PsdUridine_synth_RluC/D', 4, NULL),
(11047, NULL, 'IPR006172', NULL, 'DNA-directed DNA polymerase, family B', 'DNA-dir_DNA_pol_B', 4, NULL),
(11048, NULL, 'IPR005227', NULL, 'Putative pre-16S rRNA nuclease', 'YqgF', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11049, NULL, 'IPR011949', NULL, 'HAD-superfamily hydrolase, subfamily IA, REG-2-like', 'HAD-SF_hydro_IA_REG-2-like', 4, NULL),
(11050, NULL, 'IPR012019', NULL, 'FeGP cofactor biosynthesis protein HcgB, guanylyltransferase', 'HcgB', 4, NULL),
(11051, NULL, 'IPR016104', NULL, 'Pyruvoyl-dependent histidine/arginine decarboxylase', 'Pyr-dep_his/arg-deCO2ase', 5, NULL),
(11052, NULL, 'IPR006184', NULL, '6-phosphogluconate-binding site', '6PGdom_BS', 1, NULL),
(11053, NULL, 'IPR011944', NULL, 'Steroid delta5-4-isomerase', 'Steroid_delta5-4_isomerase', 4, NULL),
(11054, NULL, 'IPR010793', NULL, 'Ribosomal protein L37/S30', 'Ribosomal_L37/S30', 4, NULL),
(11055, NULL, 'IPR016137', NULL, 'RGS domain', 'RGS', 3, NULL),
(11056, NULL, 'IPR034100', NULL, 'Small nuclear ribonucleoprotein F', 'Sm_F', 4, NULL),
(11057, NULL, 'IPR011246', NULL, 'Bifunctional diaminopimelate decarboxylase/aspartate kinase', 'DAP_dec_asp_kin', 4, NULL),
(11058, NULL, 'IPR011243', NULL, 'N-acetylglutamate synthase, animal', 'GlcNAc_Synth_met', 4, NULL),
(11059, NULL, 'IPR011967', NULL, '3-hydroxyacyl-CoA dehydrogenase PaaC', '3-OHacyl-CoA_DH_PaaC', 4, NULL),
(11060, NULL, 'IPR012028', NULL, 'Uncharacterised conserved protein UCP006529, dinucleotide-utilising ThiF/HesA', 'UCP006529_dinclt', 4, NULL),
(11061, NULL, 'IPR013619', NULL, 'Domain of unknown function DUF1737', 'DUF1737', 3, NULL),
(11062, NULL, 'IPR005255', NULL, 'PdxA family', 'PdxA_fam', 4, NULL),
(11063, NULL, 'IPR010814', NULL, 'Protein of unknown function DUF1416', 'DUF1416', 4, NULL),
(11064, NULL, 'IPR006181', NULL, 'D-amino acid oxidase, conserved site', 'D-amino_acid_oxidase_CS', 2, NULL),
(11065, NULL, 'IPR011966', NULL, 'Phenylacetic acid degradation protein PaaN', 'PaaN-DH', 4, NULL),
(11066, NULL, 'IPR024146', NULL, 'Claspin', 'Claspin', 4, NULL),
(11067, NULL, 'IPR014247', NULL, 'Sporulation lipoprotein YhcN/YlaJ', 'Spore_lipoprot_YhcN/YlaJ', 4, NULL),
(11068, NULL, 'IPR014340', NULL, 'Lipopolysaccharide export system protein LptA', 'LptA', 4, NULL),
(11069, NULL, 'IPR016014', NULL, 'Clusterin, N-terminal', 'Clusterin_N', 3, NULL),
(11070, NULL, 'IPR011938', NULL, 'DNA recombination/repair protein RadA', 'DNA_recomb/repair_RadA', 4, NULL),
(11071, NULL, 'IPR011959', NULL, 'Conserved hypothetical protein CHP02270', 'CHP02270', 4, NULL),
(11072, NULL, 'IPR010780', NULL, 'Protein of unknown function DUF1375', 'DUF1375', 4, NULL),
(11073, NULL, 'IPR034912', NULL, 'Neutrophil cytosol factor 4, PX domain', 'PX_p40phox', 3, NULL),
(11074, NULL, 'IPR012027', NULL, 'Formylmethanofuran dehydrogenase, subunit A', 'Formylmethanofuran_DH_asu', 4, NULL),
(11075, NULL, 'IPR011602', NULL, 'Type II pantothenate kinase, bacterial', 'Type_II_PanK_bac', 4, NULL),
(11076, NULL, 'IPR010797', NULL, 'Peroxisome assembly protein 26', 'Pex26', 4, NULL),
(11077, NULL, 'IPR006183', NULL, '6-phosphogluconate dehydrogenase', 'Pgluconate_DH', 4, NULL),
(11078, NULL, 'IPR034086', NULL, 'Pectinesterase inhibitor, plant', 'PMEI_plant', 4, NULL),
(11079, NULL, 'IPR034919', NULL, 'Calcipressin-2, RNA recognition motif', 'RCAN2_RRM', 3, NULL),
(11080, NULL, 'IPR013324', NULL, 'RNA polymerase sigma factor, region 3/4-like', 'RNA_pol_sigma_r3/r4-like', 5, NULL),
(11081, NULL, 'IPR016148', NULL, 'Pili assembly chaperone, C-terminal', 'Pili_assmbl_chaperone_C', 3, NULL),
(11082, NULL, 'IPR011304', NULL, 'L-lactate dehydrogenase', 'L-lactate_DH', 4, NULL),
(11083, NULL, 'IPR011184', NULL, 'DNA mismatch repair Msh2-type', 'DNA_mismatch_repair_Msh2', 4, NULL),
(11084, NULL, 'IPR034913', NULL, 'MRPS27/PTCD2', 'MRPS27/PTCD2', 4, NULL),
(11085, NULL, 'IPR016105', NULL, 'Pyruvoyl-dependent histidine/arginine decarboxylase, 3-layer sandwich domain', 'Pyr-dep_his/arg-deCO2ase_sand', 5, NULL),
(11086, NULL, 'IPR005232', NULL, 'Pyridinium-3,5-bisthiocarboxylic acid mononucleotide synthase LarE', 'LarE', 4, NULL),
(11087, NULL, 'IPR016139', NULL, 'Ribosome-inactivating protein, subdomain 2', 'Ribosome_inactivat_prot_sub2', 5, NULL),
(11088, NULL, 'IPR006124', NULL, 'Metalloenzyme', 'Metalloenzyme', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11089, NULL, 'IPR011920', NULL, 'Lipid A biosynthesis lauroyl (or palmitoleoyl) acyltransferase', 'Lipid_A_LpxL_LpxP', 4, NULL),
(11090, NULL, 'IPR010777', NULL, 'PipA', 'PipA', 4, NULL),
(11091, NULL, 'IPR006226', NULL, 'PIN domain toxin', 'Mtu_PIN', 4, NULL),
(11092, NULL, 'IPR016123', NULL, 'Mog1/PsbP, alpha/beta/alpha sandwich', 'Mog1/PsbP_a/b/a-sand', 5, NULL),
(11093, NULL, 'IPR016151', NULL, 'DNA mismatch repair protein MutS, N-terminal', 'DNA_mismatch_repair_MutS_N', 5, NULL),
(11094, NULL, 'IPR013623', NULL, 'NADPH oxidase Respiratory burst', 'NADPH_Ox', 3, NULL),
(11095, NULL, 'IPR005254', NULL, 'Heme biosynthesis-associated TPR protein', 'Heme_biosyn_assoc_TPR_pro', 4, NULL),
(11096, NULL, 'IPR005251', NULL, 'Methylthioribose-1-phosphate isomerase', 'IF-M1Pi', 4, NULL),
(11097, NULL, 'IPR006232', NULL, 'Sucrose-6-phosphate hydrolase', 'Suc6P_hydrolase', 4, NULL),
(11098, NULL, 'IPR015928', NULL, 'Aconitase/3-isopropylmalate dehydratase, swivel', 'Aconitase/3IPM_dehydase_swvl', 5, NULL),
(11099, NULL, 'IPR006105', NULL, 'Cereal seed allergen/trypsin and alpha-amylase inhibitor, conserved site', 'Allergen/tryp_amyl_inhib_CS', 2, NULL),
(11100, NULL, 'IPR010810', NULL, 'Flagellin hook, IN motif', 'Flagellin_hook_IN_motif', 2, NULL),
(11101, NULL, 'IPR013600', NULL, 'Ly49-like, N-terminal', 'Ly49_N', 3, NULL),
(11102, NULL, 'IPR005219', NULL, 'Intermembrane transport protein PqiA-like, Enterobacteria-type', 'PqiA-like_Ent', 4, NULL),
(11103, NULL, 'IPR013029', NULL, 'YchF, C-terminal domain', 'YchF_C', 3, NULL),
(11104, NULL, 'IPR005247', NULL, 'YbhB/YbcL', 'YbhB_YbcL', 4, NULL),
(11105, NULL, 'IPR005252', NULL, 'Coenzyme A biosynthesis bifunctional protein CoaBC', 'CoaBC', 4, NULL),
(11106, NULL, 'IPR010789', NULL, 'Terminase small subunit, Skunalikevirus-type', 'Terminase_ssu_Skunalikevirus', 4, NULL),
(11107, NULL, 'IPR011240', NULL, 'Phosphoesterase-related protein YunD', 'Pesterase_YunD', 4, NULL),
(11108, NULL, 'IPR009658', NULL, 'Domain of unknown function DUF1248', 'DUF1248', 3, NULL),
(11109, NULL, 'IPR011088', NULL, 'Bacteriophage phiNM3, A0EWY4', 'Phage_phiNM3_A0EWY4', 4, NULL),
(11110, NULL, 'IPR016129', NULL, 'Peptidase family C14A, His active site', 'Caspase_his_AS', 0, NULL),
(11111, NULL, 'IPR013328', NULL, '6-phosphogluconate dehydrogenase, domain 2', '6PGD_dom2', 5, NULL),
(11112, NULL, 'IPR023757', NULL, '3D-(3,5/4)-trihydroxycyclohexane-1,2-dione hydrolase, Firmicutes', 'THcHDO_hydrolase_firmi', 4, NULL),
(11113, NULL, 'IPR023967', NULL, 'Conserved hypothetical protein CHP03996, oxidoreductase', 'CHP03996_oxidoreductase', 4, NULL),
(11114, NULL, 'IPR013603', NULL, 'TRASH transcription regulator C-terminal, archaeal', 'TRASH_TR_C_arc', 3, NULL),
(11115, NULL, 'IPR016149', NULL, 'Casein kinase II, regulatory subunit, N-terminal', 'Casein_kin_II_reg-sub_N', 5, NULL),
(11116, NULL, 'IPR034915', NULL, 'HuC, RNA recognition motif 3', 'HuC_RRM3', 3, NULL),
(11117, NULL, 'IPR015951', NULL, 'Chemokine-binding M3, subdomain 2, viral', 'Chemokine-bd_M3_sub2_vir', 5, NULL),
(11118, NULL, 'IPR010817', NULL, 'HemY, N-terminal', 'HemY_N', 3, NULL),
(11119, NULL, 'IPR023755', NULL, 'Heme A synthase, type 1', 'HemeA_Synthase_type1', 4, NULL),
(11120, NULL, 'IPR010778', NULL, 'Protein of unknown function DUF1368', 'DUF1368', 4, NULL),
(11121, NULL, 'IPR011719', NULL, 'Conserved hypothetical protein CHP02058', 'CHP02058', 4, NULL),
(11122, NULL, 'IPR011099', NULL, 'Glycosyl hydrolase family 67, C-terminal', 'Glyco_hydro_67_C', 3, NULL),
(11123, NULL, 'IPR016115', NULL, 'Bacteriophage PRD1, P3, N-terminal', 'Phage_PRD1_P3_N', 5, NULL),
(11124, NULL, 'IPR014345', NULL, 'PEP-CTERM locus polysaccharide chain length determinant', 'PEP-CTERM_polysacc_chain', 4, NULL),
(11125, NULL, 'IPR009650', NULL, 'Fijivirus P9-2', 'Fijivirus_P9-2', 4, NULL),
(11126, NULL, 'IPR011950', NULL, 'HAD-superfamily hydrolase, subfamily IA, CTE7', 'HAD-SF_hydro_IA_CTE7', 4, NULL),
(11127, NULL, 'IPR010803', NULL, 'Citrus tristeza virus P33', 'CTV_P33', 4, NULL),
(11128, NULL, 'IPR006180', NULL, '3-hydroxyacyl-CoA dehydrogenase, conserved site', '3-OHacyl-CoA_DH_CS', 2, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11129, NULL, 'IPR013605', NULL, 'Spider toxin omega agotoxin/Tx1 family', 'Toxin_34', 4, NULL),
(11130, NULL, 'IPR005243', NULL, 'Redox-active disulphide protein 2', 'Redox_disulphide_2', 4, NULL),
(11131, NULL, 'IPR010798', NULL, 'Triadin', 'Triadin', 4, NULL),
(11132, NULL, 'IPR005245', NULL, 'Conserved hypothetical protein CHP00454', 'CHP00454', 4, NULL),
(11133, NULL, 'IPR024703', NULL, 'Fascin, metazoans', 'Fascin_metazoans', 4, NULL),
(11134, NULL, 'IPR009653', NULL, 'Protein kish', 'Ksh1', 4, NULL),
(11135, NULL, 'IPR011554', NULL, 'Hydroxymethylglutaryl-CoA synthase, prokaryotic', 'HMG_CoA_synthase_prok', 4, NULL),
(11136, NULL, 'IPR012038', NULL, 'Uncharacterised conserved protein UCP009471', 'UCP009471', 4, NULL),
(11137, NULL, 'IPR011721', NULL, 'Conserved hypothetical protein CHP02096', 'CHP02096', 4, NULL),
(11138, NULL, 'IPR016132', NULL, 'Phytochrome chromophore attachment domain', 'Phyto_chromo_attachment', 3, NULL),
(11139, NULL, 'IPR034763', NULL, 'Venom allergen 3, insect', 'P14a_insect', 4, NULL),
(11140, NULL, 'IPR006194', NULL, 'Glycine-tRNA synthetase, heterodimeric', 'Gly-tRNA-synth_heterodimer', 4, NULL),
(11141, NULL, 'IPR012037', NULL, 'Alpha/beta-hydrolase family', 'Alpha/beta-hydrolase_fam', 4, NULL),
(11142, NULL, 'IPR010802', NULL, 'Domain of unknown function DUF1400', 'DUF1400', 3, NULL),
(11143, NULL, 'IPR006206', NULL, 'Mevalonate/galactokinase', 'Mevalonate/galactokinase', 4, NULL),
(11144, NULL, 'IPR010815', NULL, 'Protein of unknown function DUF1418', 'DUF1418', 4, NULL),
(11145, NULL, 'IPR023756', NULL, 'Glyoxylate/hydroxypyruvate reductase B', 'Glyo/OHPyrv_Rdtase_B', 4, NULL),
(11146, NULL, 'IPR013626', NULL, 'Pheophorbide a oxygenase', 'PaO', 3, NULL),
(11147, NULL, 'IPR014250', NULL, 'Quinol oxidase subunit IV', 'QoxD', 4, NULL),
(11148, NULL, 'IPR023963', NULL, 'Methanobactin precursor, Mb-OB3b', 'Methanobactin_OB3b', 4, NULL),
(11149, NULL, 'IPR011244', NULL, 'Bifunctional argininosuccinate lyase/acetyltransferase', 'ASAL_AGS_AcTrfase', 4, NULL),
(11150, NULL, 'IPR011970', NULL, 'Lytic murein transglycosylase', 'MltB_2', 3, NULL),
(11151, NULL, 'IPR011193', NULL, 'Ornithine/lysine/arginine decarboxylase', 'Orn/lys/arg_de-COase', 4, NULL),
(11152, NULL, 'IPR010824', NULL, 'Protein of unknown function DUF1425', 'DUF1425', 4, NULL),
(11153, NULL, 'IPR011928', NULL, 'Bacteriophage phiJL001, Gp84', 'Phage_phiJL001_Gp84', 4, NULL),
(11154, NULL, 'IPR013625', NULL, 'Tensin/EPS8 phosphotyrosine-binding domain', 'PTB', 3, NULL),
(11155, NULL, 'IPR011952', NULL, 'CD-NTase-associated protein 3', 'CAP3', 4, NULL),
(11156, NULL, 'IPR011718', NULL, 'Glutamate--cysteine ligase GshA', 'GshA', 4, NULL),
(11157, NULL, 'IPR006182', NULL, 'Flagellar M-ring , N-terminal', 'FliF_N_dom', 3, NULL),
(11158, NULL, 'IPR011090', NULL, 'Integrating conjugative element protein, PFL4709', 'Integr_conj_element_PFL4709', 4, NULL),
(11159, NULL, 'IPR011102', NULL, 'Signal transduction histidine kinase, HWE region', 'Sig_transdc_His_kinase_HWE', 3, NULL),
(11160, NULL, 'IPR011174', NULL, 'Ezrin/radixin/moesin', 'ERM', 4, NULL),
(11161, NULL, 'IPR011936', NULL, 'Myxococcus cysteine-rich repeat', 'Myxo_disulph_rpt', 7, NULL),
(11162, NULL, 'IPR014251', NULL, 'Sporulation protease LonB', 'Spore_LonB', 4, NULL),
(11163, NULL, 'IPR013627', NULL, 'DNA polymerase alpha, subunit B, N-terminal', 'Pol_alpha_B_N', 3, NULL),
(11164, NULL, 'IPR005217', NULL, 'Iron permease FTR1-like', 'FTR1-like', 4, NULL),
(11165, NULL, 'IPR013610', NULL, 'N-terminal domain of anti-restriction factor ArdC', 'ArdC_N', 3, NULL),
(11166, NULL, 'IPR011931', NULL, 'Tyrosine recombinase XerC', 'Recomb_XerC', 4, NULL),
(11167, NULL, 'IPR016131', NULL, 'Haemerythrin, iron-binding site', 'Haemerythrin_Fe_BS', 1, NULL),
(11168, NULL, 'IPR006223', NULL, 'Glycine cleavage system T protein', 'GCS_T', 4, NULL),
(11169, NULL, 'IPR009651', NULL, 'Putative methionine gamma-lyase', 'Met_g_lyase_put', 4, NULL),
(11170, NULL, 'IPR011919', NULL, 'Cell division protein ZipA', 'Cell_div_ZipA', 4, NULL),
(11171, NULL, 'IPR006222', NULL, 'Aminomethyltransferase, folate-binding domain', 'GCV_T_N', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11172, NULL, 'IPR009660', NULL, 'Bacteriophage A500, Gp15', 'Phage_A500_Gp15', 4, NULL),
(11173, NULL, 'IPR011172', NULL, 'Poxvirus, TNF-alpha receptor-II', 'Poxvirus_TNF_rcpt-II', 4, NULL),
(11174, NULL, 'IPR009648', NULL, 'Biotin-dependent malonate decarboxylase, gamma subunit', 'Malonate_gamma', 4, NULL),
(11175, NULL, 'IPR011123', NULL, 'Two component regulator three Y', 'Y_Y_Y', 3, NULL),
(11176, NULL, 'IPR024058', NULL, 'Cytochrome f  transmembrane anchor', 'Cyt-f_TM', 5, NULL),
(11177, NULL, 'IPR013320', NULL, 'Concanavalin A-like lectin/glucanase domain superfamily', 'ConA-like_dom_sf', 5, NULL),
(11178, NULL, 'IPR011947', NULL, 'FCP1-like phosphatase, phosphatase domain', 'FCP1_euk', 3, NULL),
(11179, NULL, 'IPR006224', NULL, 'Pseudouridine synthase, RluC/RluD, conserved site', 'PsdUridine_synth_RluC/D_CS', 2, NULL),
(11180, NULL, 'IPR005231', NULL, 'Nascent polypeptide-associated complex (NAC), archaeal', 'NAC_arc', 4, NULL),
(11181, NULL, 'IPR011177', NULL, 'Transcription initiation factor TFIID subunit 1, animal', 'TAF1_animal', 4, NULL),
(11182, NULL, 'IPR013617', NULL, 'DNA-directed DNA polymerase, family B, viral insert domain', 'DNA-dir_DNA_pol_B_vir_insert', 3, NULL),
(11183, NULL, 'IPR011189', NULL, 'Uncharacterised conserved protein, caspase-like', 'UCP_caspase_lke', 4, NULL),
(11184, NULL, 'IPR006203', NULL, 'GHMP kinase, ATP-binding, conserved site', 'GHMP_knse_ATP-bd_CS', 2, NULL),
(11185, NULL, 'IPR011922', NULL, 'Cell division protein FtsL', 'Cell_div_FtsL', 4, NULL),
(11186, NULL, 'IPR011098', NULL, 'G5 domain', 'G5_dom', 3, NULL),
(11187, NULL, 'IPR009636', NULL, 'Capsid assembly scaffolding protein', 'SCAF', 4, NULL),
(11188, NULL, 'IPR024652', NULL, 'Trichodiene synthase', 'Trichodiene_synth', 4, NULL),
(11189, NULL, 'IPR023971', NULL, 'Conserved hypothetical protein CHP04081, GSU1558', 'CHP04081_GSU1558', 4, NULL),
(11190, NULL, 'IPR011935', NULL, 'Conserved hypothetical protein CHP02231', 'CHP02231', 4, NULL),
(11191, NULL, 'IPR011119', NULL, 'Uncharacterised domain, helicase/relaxase, putative', 'Unchr_helicase_relaxase_TraI', 3, NULL),
(11192, NULL, 'IPR012013', NULL, 'Integrin beta-4 subunit', 'Integrin_bsu-4', 4, NULL),
(11193, NULL, 'IPR011930', NULL, 'Cell division protein FtsN', 'FtsN', 4, NULL),
(11194, NULL, 'IPR011195', NULL, 'Uncharacterised conserved protein UCP010256', 'UCP010256', 4, NULL),
(11195, NULL, 'IPR006199', NULL, 'LexA repressor, DNA-binding domain', 'LexA_DNA-bd_dom', 3, NULL),
(11196, NULL, 'IPR014245', NULL, 'Sporulation stage III, protein AF', 'Spore_III_AF', 4, NULL),
(11197, NULL, 'IPR010790', NULL, 'Repeat of unknown function DUF1388', 'DUF1388', 7, NULL),
(11198, NULL, 'IPR023965', NULL, 'Capreomycidine synthase', 'Capreomycidine_synthase', 4, NULL),
(11199, NULL, 'IPR013618', NULL, 'Protein O-mannosyl-transferase TMTC, DUF1736', 'TMTC_DUF1736', 3, NULL),
(11200, NULL, 'IPR014246', NULL, 'Quinol oxidase subunit III', 'QoxC', 4, NULL),
(11201, NULL, 'IPR010809', NULL, 'Flagellar hook-associated protein 2, C-terminal', 'FliD_C', 3, NULL),
(11202, NULL, 'IPR009655', NULL, 'Preflagellin peptidase, C-terminal', 'Preflagellin_peptidase_C', 3, NULL),
(11203, NULL, 'IPR011536', NULL, 'Ferredoxin 2Fe-2S type, proteobacteria', 'Fdx_isc', 4, NULL),
(11204, NULL, 'IPR016119', NULL, 'Bromoperoxidase/chloroperoxidase C-terminal', 'Br/Cl_peroxidase_C', 5, NULL),
(11205, NULL, 'IPR005218', NULL, 'Diacylglycerol/lipid kinase', 'Diacylglycerol/lipid_kinase', 4, NULL),
(11206, NULL, 'IPR011100', NULL, 'Glycosyl hydrolase family 67, catalytic domain', 'Glyco_hydro_67_cat', 3, NULL),
(11207, NULL, 'IPR012017', NULL, 'Uncharacterised conserved protein UCP004977', 'UCP004977', 4, NULL),
(11208, NULL, 'IPR011722', NULL, 'Hemimethylated DNA-binding domain', 'Hemimethylated_DNA-bd_dom', 3, NULL),
(11209, NULL, 'IPR005253', NULL, 'Conserved hypothetical protein CHP00529', 'CHP00529', 4, NULL),
(11210, NULL, 'IPR011926', NULL, 'Lipoprotein-releasing system transmembrane protein LolE, gammaproteobacteria type', 'LolE_gammaproteobact', 4, NULL),
(11211, NULL, 'IPR006148', NULL, 'Glucosamine/galactosamine-6-phosphate isomerase', 'Glc/Gal-6P_isomerase', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11212, NULL, 'IPR005246', NULL, 'O-phosphoseryl-tRNA(Cys) ligase', 'O-Pseryl-tRNA(Cys)_ligase', 4, NULL),
(11213, NULL, 'IPR013632', NULL, 'DNA recombination and repair protein Rad51-like, C-terminal', 'DNA_recomb/repair_Rad51_C', 3, NULL),
(11214, NULL, 'IPR011179', NULL, 'Isopentenyl-diphosphate delta-isomerase, FMN-dependent', 'IPdP_isomerase', 4, NULL),
(11215, NULL, 'IPR034101', NULL, 'Sm-like protein Lsm4', 'Lsm4', 3, NULL),
(11216, NULL, 'IPR010805', NULL, 'Kaposi s sarcoma-associated herpesvirus K8', 'KSHV_K8', 4, NULL),
(11217, NULL, 'IPR011163', NULL, 'Peptidase S1A, enteropeptidase', 'Pept_S1A_enterop', 4, NULL),
(11218, NULL, 'IPR011194', NULL, 'Uncharacterised protein family UPF0306', 'UPF0306', 4, NULL),
(11219, NULL, 'IPR006205', NULL, 'Mevalonate kinase', 'Mev_gal_kin', 4, NULL),
(11220, NULL, 'IPR013319', NULL, 'Glycoside hydrolase family 11/12', 'GH11/12', 5, NULL),
(11221, NULL, 'IPR010816', NULL, 'Heterokaryon incompatibility Het-C', 'Het-C', 4, NULL),
(11222, NULL, 'IPR010785', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), Orf18', 'AcMNPV_Orf18', 4, NULL),
(11223, NULL, 'IPR011925', NULL, 'Lipoprotein-releasing system transmembrane protein LolC/E', 'LolCE_TM', 4, NULL),
(11224, NULL, 'IPR011182', NULL, 'L-aspartate dehydrogenase', 'L-Asp_DH', 4, NULL),
(11225, NULL, 'IPR010832', NULL, 'ProSAAS', 'ProSAAS', 4, NULL),
(11226, NULL, 'IPR011188', NULL, 'Uncharacterised protein family UPF0302', 'UPF0302', 4, NULL),
(11227, NULL, 'IPR006189', NULL, 'CHASE domain', 'CHASE_dom', 3, NULL),
(11228, NULL, 'IPR011968', NULL, 'Phenylacetate degradation probable enoyl-CoA hydratase PaaB', 'PaaB1', 4, NULL),
(11229, NULL, 'IPR006153', NULL, 'Cation/H+ exchanger', 'Cation/H_exchanger', 3, NULL),
(11230, NULL, 'IPR011116', NULL, 'SecA Wing/Scaffold', 'SecA_Wing/Scaffold', 3, NULL),
(11231, NULL, 'IPR010801', NULL, 'Fibronectin-attachment', 'FAP', 4, NULL),
(11232, NULL, 'IPR011957', NULL, 'Benzoate-CoA ligase family', 'Benz_CoA_lig', 4, NULL),
(11233, NULL, 'IPR011110', NULL, 'Two component regulator propeller', 'Reg_prop', 7, NULL),
(11234, NULL, 'IPR013598', NULL, 'Exportin-1/Importin-beta-like', 'Exportin-1/Importin-b-like', 3, NULL),
(11235, NULL, 'IPR011121', NULL, 'Tryptophan-rich domain', 'Trp-rich_dom', 3, NULL),
(11236, NULL, 'IPR010820', NULL, 'UBA-like domain DUF1421', 'DUF1421', 3, NULL),
(11237, NULL, 'IPR011946', NULL, 'Integrase, integron-type', 'Integrase_integron-type', 4, NULL),
(11238, NULL, 'IPR006214', NULL, 'Bax inhibitor 1-related', 'Bax_inhibitor_1-related', 4, NULL),
(11239, NULL, 'IPR005229', NULL, 'Conserved hypothetical protein CHP00255', 'CHP00255', 4, NULL),
(11240, NULL, 'IPR010799', NULL, 'Microcystin LR degradation protein MlrC, C-terminal', 'MlrC_C', 3, NULL),
(11241, NULL, 'IPR010779', NULL, 'Protein of unknown function DUF1372', 'DUF1372', 4, NULL),
(11242, NULL, 'IPR012025', NULL, 'Uncharacterised conserved protein UCP005642, methanogenesis', 'UCP005642_methan', 4, NULL),
(11243, NULL, 'IPR011618', NULL, 'Sorbitol phosphotransferase enzyme II, N-terminal', 'PTS_EIIBC_GUT_N', 3, NULL),
(11244, NULL, 'IPR011171', NULL, 'Glia maturation factor', 'GMF', 4, NULL),
(11245, NULL, 'IPR005248', NULL, 'Nicotinate/nicotinamide nucleotide adenylyltransferase', 'NadD/NMNAT', 4, NULL),
(11246, NULL, 'IPR011181', NULL, 'Protein VP3, rotavirus', 'VP3_Rotav', 4, NULL),
(11247, NULL, 'IPR013615', NULL, 'CbbQ/NirQ/NorQ, C-terminal', 'CbbQ_C', 3, NULL),
(11248, NULL, 'IPR013608', NULL, 'VWA N-terminal', 'VWA_N', 3, NULL),
(11249, NULL, 'IPR011190', NULL, 'N-acetylglutamate synthase, fungal', 'GlcNAc_Synth_fun', 4, NULL),
(11250, NULL, 'IPR023955', NULL, 'D-tagatose-bisphosphate aldolase, class II, subunit GatY', 'TagBP_aldolase_GatY', 4, NULL),
(11251, NULL, 'IPR010784', NULL, 'Merozoite surface protein-type', 'Merozoite_SPAM', 4, NULL),
(11252, NULL, 'IPR009647', NULL, 'Penicillin-binding, C-terminal', 'PBP_C', 3, NULL),
(11253, NULL, 'IPR011160', NULL, 'Sphingomyelin phosphodiesterase', 'Sphingomy_PDE', 4, NULL),
(11254, NULL, 'IPR012008', NULL, 'Serine/threonine-protein phosphatase with EF-hands', 'Ser/Thr-Pase_EF-hand_contain', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11255, NULL, 'IPR011111', NULL, 'RepB plasmid partition', 'Plasmid_RepB', 3, NULL),
(11256, NULL, 'IPR006196', NULL, 'RNA-binding domain, S1, IF1 type', 'RNA-binding_domain_S1_IF1', 3, NULL),
(11257, NULL, 'IPR034914', NULL, 'HuB, RNA recognition motif 3', 'HuB_RRM3', 3, NULL),
(11258, NULL, 'IPR012036', NULL, 'Bacteriophage Mu, Gp28', 'Phage_Mu_Gp28', 4, NULL),
(11259, NULL, 'IPR013321', NULL, 'Arc-type ribbon-helix-helix', 'Arc_rbn_hlx_hlx', 5, NULL),
(11260, NULL, 'IPR011236', NULL, 'Serine/threonine protein phosphatase 5', 'Ser/Thr_PPase_5', 4, NULL),
(11261, NULL, 'IPR006171', NULL, 'TOPRIM  domain', 'TOPRIM_domain', 3, NULL),
(11262, NULL, 'IPR013602', NULL, 'Dynein heavy chain, linker', 'Dynein_heavy_linker', 3, NULL),
(11263, NULL, 'IPR023964', NULL, 'Bacteriocin precursor, CLOSPO-01332, putative', 'Bacteriocin_CLOSPO-01332_put', 4, NULL),
(11264, NULL, 'IPR011924', NULL, 'Lipoprotein releasing system, ATP-binding protein', 'LolD_lipo_ATP-bd', 4, NULL),
(11265, NULL, 'IPR013613', NULL, 'Baculoviridae p74 N-terminal', 'Baculo_p74_N', 3, NULL),
(11266, NULL, 'IPR012032', NULL, 'Uncharacterised conserved protein UCP006598', 'UCP006598', 4, NULL),
(11267, NULL, 'IPR006207', NULL, 'Cystine knot, C-terminal', 'Cys_knot_C', 3, NULL),
(11268, NULL, 'IPR011167', NULL, 'Iron-dependent fumarate hydratase', 'Fe_dep_fumarate_hydratase', 4, NULL),
(11269, NULL, 'IPR011344', NULL, 'Single-stranded DNA-binding protein', 'ssDNA-bd', 4, NULL),
(11270, NULL, 'IPR005235', NULL, 'Metallophosphoesterase, YmdB-like', 'YmdB-like', 4, NULL),
(11271, NULL, 'IPR011084', NULL, 'DNA repair metallo-beta-lactamase', 'DRMBL', 3, NULL),
(11272, NULL, 'IPR010787', NULL, 'Protein of unknown function DUF1385', 'DUF1385', 4, NULL),
(11273, NULL, 'IPR011939', NULL, 'DNA repair and recombination protein RadB', 'DNA_repair_and_recomb_RadB', 4, NULL),
(11274, NULL, 'IPR016122', NULL, 'Sporulation initiation phosphotransferase B, C-terminal', 'SpoOB_C', 3, NULL),
(11275, NULL, 'IPR005222', NULL, 'Competence protein ComF', 'Competence_ComF', 4, NULL),
(11276, NULL, 'IPR012014', NULL, 'Retroelement-encoded protein, env-related', 'Retroelement_env', 4, NULL),
(11277, NULL, 'IPR006228', NULL, 'Polycystin cation channel', 'Polycystin_cat', 3, NULL),
(11278, NULL, 'IPR011124', NULL, 'Zinc finger, CW-type', 'Znf_CW', 3, NULL),
(11279, NULL, 'IPR013630', NULL, 'Methyltransferase putative zinc binding domain', 'Methyltransf_Zn-bd_dom_put', 3, NULL),
(11280, NULL, 'IPR016102', NULL, 'Succinyl-CoA synthetase-like', 'Succinyl-CoA_synth-like', 5, NULL),
(11281, NULL, 'IPR011960', NULL, 'Gentisate 1,2-dioxygenase', 'Gentisate_dOase', 4, NULL),
(11282, NULL, 'IPR011093', NULL, 'Putative conjugal transfer nickase/helicase TraI, C-terminal', 'TraI_2_C', 3, NULL),
(11283, NULL, 'IPR010818', NULL, 'Protein of unknown function DUF1420', 'DUF1420', 4, NULL),
(11284, NULL, 'IPR009641', NULL, 'Vaccinia virus, A37', 'Vaccinia_virus_A37', 4, NULL),
(11285, NULL, 'IPR010781', NULL, 'Protein of unknown function DUF1376', 'DUF1376', 4, NULL),
(11286, NULL, 'IPR006197', NULL, 'Peptidase S24, LexA-like', 'Peptidase_S24_LexA', 4, NULL),
(11287, NULL, 'IPR011955', NULL, 'Benzoyl-CoA reductase, subunit B', 'Benzoyl_CoA_Rdtase_B', 4, NULL),
(11288, NULL, 'IPR011238', NULL, 'Polyhedral organelle shell protein PduT', 'Organelle_shell_prot_PduT', 4, NULL),
(11289, NULL, 'IPR016147', NULL, 'Pili assembly chaperone, N-terminal', 'Pili_assmbl_chaperone_N', 3, NULL),
(11290, NULL, 'IPR012022', NULL, 'Protein of unknown function UCP005295', 'UCP005295', 4, NULL),
(11291, NULL, 'IPR011087', NULL, 'Domain of unknown function DUF1522', 'DUF1522', 3, NULL),
(11292, NULL, 'IPR034102', NULL, 'Small nuclear ribonucleoprotein D1', 'Sm_D1', 3, NULL),
(11293, NULL, 'IPR011235', NULL, 'MepB-like', 'MepB-like', 4, NULL),
(11294, NULL, 'IPR016133', NULL, 'Insect cysteine-rich antifreeze protein', 'Insect_cyst_antifreeze_prot', 5, NULL),
(11295, NULL, 'IPR011170', NULL, 'Growth factor, vaccinia C11R type', 'GF_C11R', 4, NULL),
(11296, NULL, 'IPR016103', NULL, 'ProQ/FinO domain', 'ProQ/FinO', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11297, NULL, 'IPR001653', NULL, 'Diaminopimelate epimerase, DapF', 'DAP_epimerase_DapF', 4, NULL),
(11298, NULL, 'IPR010800', NULL, 'Glycine rich protein', 'GRP', 4, NULL),
(11299, NULL, 'IPR034889', NULL, 'Neutrophil cytosol factor 2', 'P67-PHOX', 4, NULL),
(11300, NULL, 'IPR014341', NULL, 'Ectoine/hydroxyectoine ABC transporter, permease protein EhuD', 'Ectoine_EhuD', 4, NULL),
(11301, NULL, 'IPR005237', NULL, 'Uncharacterised protein MJ0570', 'MJ0570', 4, NULL),
(11302, NULL, 'IPR011113', NULL, 'Rho termination factor, RNA-binding domain', 'Rho_RNA-bd', 3, NULL),
(11303, NULL, 'IPR012030', NULL, 'Uncharacterised conserved protein UCP006563', 'UCP006563', 4, NULL),
(11304, NULL, 'IPR013056', NULL, 'Bacteriophage lambda, CIII, regulatory protein', 'Phage_lambda_CIII', 4, NULL),
(11305, NULL, 'IPR011191', NULL, 'Uncharacterised protein family Treponema vWA', 'Uncharacterised_Tp_vWA', 4, NULL),
(11306, NULL, 'IPR013621', NULL, 'Ion transport N-terminal', 'Ion_trans_N', 3, NULL),
(11307, NULL, 'IPR022771', NULL, 'Wings apart-like protein, C-terminal', 'WAPL_C', 3, NULL),
(11308, NULL, 'IPR010796', NULL, 'B9-type C2 domain', 'C2_B9-type_dom', 4, NULL),
(11309, NULL, 'IPR011766', NULL, 'Thiamine pyrophosphate enzyme, C-terminal TPP-binding', 'TPP_enzyme-bd_C', 3, NULL),
(11310, NULL, 'IPR005220', NULL, 'Bacterial OB-fold', 'BOF', 3, NULL),
(11311, NULL, 'IPR006202', NULL, 'Neurotransmitter-gated ion-channel ligand-binding domain', 'Neur_chan_lig-bd', 3, NULL),
(11312, NULL, 'IPR023966', NULL, 'Arginine beta-hydroxylase, Fe2/alpha-ketoglutarate-dependent', 'Arginine_beta-hydroxylase', 4, NULL),
(11313, NULL, 'IPR011933', NULL, 'Double transmembrane domain', 'Double_TM_dom', 3, NULL),
(11314, NULL, 'IPR010828', NULL, 'Alcohol acetyltransferase/N-acetyltransferase', 'Atf2/Sli1-like', 4, NULL),
(11315, NULL, 'IPR016108', NULL, 'Adenovirus Pll, hexon, C-terminal', 'Adenovirus_Pll_hexon_C', 3, NULL),
(11316, NULL, 'IPR013601', NULL, 'FAE1/Type III polyketide synthase-like protein', 'FAE1_typ3_polyketide_synth', 3, NULL),
(11317, NULL, 'IPR011175', NULL, 'Alpha-s2 casein', 'Alpha-s2_casein', 4, NULL),
(11318, NULL, 'IPR010806', NULL, 'Poxvirus, TNF receptor-II, C-terminal', 'Poxvirus_TNF-rcpt-II_C', 3, NULL),
(11319, NULL, 'IPR016136', NULL, 'DNA helicase DnaB, N-terminal/DNA primase DnaG, C-terminal', 'DNA_helicase_N/primase_C', 5, NULL),
(11320, NULL, 'IPR006145', NULL, 'Pseudouridine synthase, RsuA/RluA-like', 'PsdUridine_synth_RsuA/RluA', 3, NULL),
(11321, NULL, 'IPR014343', NULL, 'Ectoine/hydroxyectoine ABC transporter, ATP-binding protein', 'Ectoine_EhuA', 4, NULL),
(11322, NULL, 'IPR011106', NULL, 'Seven cysteines, N-terminal', 'MANSC_N', 3, NULL),
(11323, NULL, 'IPR005238', NULL, 'ComB-like', 'ComB-like', 4, NULL),
(11324, NULL, 'IPR011962', NULL, 'dCTP deaminase', 'dCTP_deaminase', 4, NULL),
(11325, NULL, 'IPR034604', NULL, 'Serine/Arginine-related protein 53', 'SRRP53', 4, NULL),
(11326, NULL, 'IPR006215', NULL, 'Glycoside hydrolase, melibiase', 'Glyco_hydro_melibiase', 4, NULL),
(11327, NULL, 'IPR011589', NULL, 'Protein of unknown function UCP004961', 'UCP004961', 4, NULL),
(11328, NULL, 'IPR011115', NULL, 'SecA DEAD-like, N-terminal', 'SecA_DEAD', 3, NULL),
(11329, NULL, 'IPR011233', NULL, 'Tellurite/Phi/PacB toxicity protection, TerW', 'Tellurite_resist_TerW', 4, NULL),
(11330, NULL, 'IPR001597', NULL, 'Aromatic amino acid beta-eliminating lyase/threonine aldolase', 'ArAA_b-elim_lyase/Thr_aldolase', 3, NULL),
(11331, NULL, 'IPR011937', NULL, '2-carboxy-1,4-naphthoquinone phytyltransferase', 'DHNA_phytyltransferase_MenA', 4, NULL),
(11332, NULL, 'IPR034315', NULL, 'Putative lipase YDR444W', 'Put_lipase_YDR444W', 4, NULL),
(11333, NULL, 'IPR016101', NULL, 'CO dehydrogenase, alpha-bundle', 'CO_DH_a-bundle', 5, NULL),
(11334, NULL, 'IPR009639', NULL, 'Peptidase A24A-predicted, C-terminal archaea', 'Pept_A24A_C_arc', 3, NULL),
(11335, NULL, 'IPR006216', NULL, 'Photosystem II cytochrome b559, conserved site', 'PSII_cyt_b559_CS', 2, NULL),
(11336, NULL, 'IPR011245', NULL, 'Butyrate kinase', 'Butyrate_kin', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11337, NULL, 'IPR034603', NULL, 'Dipeptide epimerase', 'Dipeptide_epimerase', 4, NULL),
(11338, NULL, 'IPR011122', NULL, 'WavE lipopolysaccharide synthesis', 'WavE', 4, NULL),
(11339, NULL, 'IPR034921', NULL, 'Calcipressin-2', 'RCAN2', 4, NULL),
(11340, NULL, 'IPR011125', NULL, 'Zinc finger, HypF-type', 'Znf_HypF', 3, NULL),
(11341, NULL, 'IPR010811', NULL, 'Domain of unknown function DUF1409', 'DUF1409', 3, NULL),
(11342, NULL, 'IPR034607', NULL, 'Coiled-coil domain-containing protein 127', 'CCDC127', 4, NULL),
(11343, NULL, 'IPR011114', NULL, 'Holliday junction DNA helicase RuvA, C-terminal', 'RuvA_C', 3, NULL),
(11344, NULL, 'IPR012016', NULL, 'Aconitase X subunit 2, putative', 'AcnX_sub2_put', 4, NULL),
(11345, NULL, 'IPR011975', NULL, 'Phenylacetic acid degradation protein PaaN2', 'PaaN_2', 4, NULL),
(11346, NULL, 'IPR009635', NULL, 'Neural proliferation differentiation control-1', 'NPDC1', 4, NULL),
(11347, NULL, 'IPR011192', NULL, 'Rubisco  LSMT methyltransferase, plant', 'Rubisco_LSMT_MeTrfase_plant', 4, NULL),
(11348, NULL, 'IPR011559', NULL, 'Initiation factor 2B alpha/beta/delta', 'Initiation_fac_2B_a/b/d', 4, NULL),
(11349, NULL, 'IPR034094', NULL, 'Mak32', 'Mak32', 4, NULL),
(11350, NULL, 'IPR014253', NULL, 'Spore coat protein YsxE', 'Spore_coat_YsxE', 4, NULL),
(11351, NULL, 'IPR011945', NULL, 'Predicted HAD-superfamily phosphatase, subfamily IA/Epoxide hydrolase, N-terminal', 'HAD-SF_ppase_IA/epoxid_hydro_N', 3, NULL),
(11352, NULL, 'IPR013599', NULL, 'TRAM1-like protein', 'TRAM1', 3, NULL),
(11353, NULL, 'IPR006200', NULL, 'Transcription regulator LexA', 'LexA', 4, NULL),
(11354, NULL, 'IPR024701', NULL, 'UPF0187 protein At3g61320-like', 'At3g61320-like', 4, NULL),
(11355, NULL, 'IPR011176', NULL, 'Complement control protein C3/B5', 'CCP_VACV_C3/B5', 4, NULL),
(11356, NULL, 'IPR013612', NULL, 'Amino acid permease, N-terminal', 'AA_permease_N', 3, NULL),
(11357, NULL, 'IPR010794', NULL, 'Maltose operon periplasmic', 'MalM', 4, NULL),
(11358, NULL, 'IPR035905', NULL, 'Barstar-like superfamily', 'Barstar-like_sf', 5, NULL),
(11359, NULL, 'IPR011264', NULL, 'Betaine aldehyde dehydrogenase', 'BADH', 4, NULL),
(11360, NULL, 'IPR011954', NULL, 'Benzoyl-CoA reductase, subunit A', 'Benzoyl_CoA_Rdtase_A', 4, NULL),
(11361, NULL, 'IPR011971', NULL, 'Conserved hypothetical protein CHP02284', 'CHP02284', 4, NULL),
(11362, NULL, 'IPR011104', NULL, 'HPr kinase/phosphorylase, C-terminal', 'Hpr_kin/Pase_C', 3, NULL),
(11363, NULL, 'IPR010823', NULL, 'Portal protein Gp20', 'Portal_Gp20', 4, NULL),
(11364, NULL, 'IPR017867', NULL, 'Protein-tyrosine phosphatase, low molecular weight', 'Tyr_phospatase_low_mol_wt', 4, NULL),
(11365, NULL, 'IPR011086', NULL, 'Domain of unknown function DUF1521', 'DUF1521', 3, NULL),
(11366, NULL, 'IPR006219', NULL, 'DHAP synthase, class 1', 'DHAP_synth_1', 4, NULL),
(11367, NULL, 'IPR011723', NULL, 'Zinc finger/thioredoxin putative', 'Znf/thioredoxin_put', 3, NULL),
(11368, NULL, 'IPR006230', NULL, 'Protein MutL', 'MutL', 4, NULL),
(11369, NULL, 'IPR010807', NULL, 'Protein of unknown function DUF1407', 'DUF1407', 4, NULL),
(11370, NULL, 'IPR006231', NULL, 'Malate:quinone-oxidoreductase', 'MQO', 4, NULL),
(11371, NULL, 'IPR011941', NULL, 'DNA recombination/repair protein Rad51', 'DNA_recomb/repair_Rad51', 4, NULL),
(11372, NULL, 'IPR011584', NULL, 'Green fluorescent protein-related', 'GFP-related', 4, NULL),
(11373, NULL, 'IPR009634', NULL, 'Putative excisionase', 'Put_exci', 4, NULL),
(11374, NULL, 'IPR014252', NULL, 'Sporulation protease LonC', 'Spore_LonC', 4, NULL),
(11375, NULL, 'IPR009643', NULL, 'Heat shock factor binding 1', 'HS1-bd', 4, NULL),
(11376, NULL, 'IPR013635', NULL, 'Protein Ice2', 'Ice2', 4, NULL),
(11377, NULL, 'IPR011923', NULL, 'Probable peptidoglycan glycosyltransferase RodA/MrdB', 'RodA/MrdB', 4, NULL),
(11378, NULL, 'IPR005249', NULL, 'Conserved hypothetical protein CHP00488', 'CHP00488', 4, NULL),
(11379, NULL, 'IPR011956', NULL, 'Benzoyl-CoA reductase, subunit D', 'Benzoyl_CoA_Rdtase_D', 4, NULL),
(11380, NULL, 'IPR016117', NULL, 'ArgJ-like domain superfamily', 'ArgJ-like_dom_sf', 5, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11381, NULL, 'IPR011534', NULL, 'Aspartate-semialdehyde dehydrogenase, gamma-type', 'Asp_ADH_gamma-type', 4, NULL),
(11382, NULL, 'IPR006212', NULL, 'Furin-like repeat', 'Furin_repeat', 7, NULL),
(11383, NULL, 'IPR016112', NULL, 'Group II dsDNA virus coat/capsid protein', 'VP_dsDNA_II', 5, NULL),
(11384, NULL, 'IPR006178', NULL, 'Major allergen I polypeptide chain 1', 'CH1-like', 4, NULL),
(11385, NULL, 'IPR016106', NULL, 'Histidine decarboxylase proenzyme, N-terminal', 'Pyr-dep_his-deCO2ase_N', 5, NULL),
(11386, NULL, 'IPR011943', NULL, 'HAD-superfamily hydrolase, subfamily IIID', 'HAD-SF_hydro_IIID', 3, NULL),
(11387, NULL, 'IPR010788', NULL, 'VDE lipocalin domain', 'VDE_dom', 3, NULL),
(11388, NULL, 'IPR013614', NULL, 'Viral polyprotein, Caliciviridae N-terminal', 'Viral_PP_Calicivir_N', 3, NULL),
(11389, NULL, 'IPR006173', NULL, 'Staphylococcal/Streptococcal toxin, OB-fold', 'Staph_tox_OB', 3, NULL),
(11390, NULL, 'IPR009640', NULL, 'Bacteriophage 933W, L0121, tail fibre, C-terminal', 'Phage_933W_L0121_C', 3, NULL),
(11391, NULL, 'IPR009637', NULL, 'Transmembrane protein GPR107/GPR108-like', 'GPR107/GPR108-like', 4, NULL),
(11392, NULL, 'IPR011701', NULL, 'Major facilitator superfamily', 'MFS', 4, NULL),
(11393, NULL, 'IPR011948', NULL, 'Dullard phosphatase domain, eukaryotic', 'Dullard_phosphatase', 3, NULL),
(11394, NULL, 'IPR011969', NULL, 'Clan AA aspartic peptidase, C-terminal', 'Clan_AA_Asp_peptidase_C', 3, NULL),
(11395, NULL, 'IPR023754', NULL, 'Heme A synthase, type 2', 'HemeA_Synthase_type2', 4, NULL),
(11396, NULL, 'IPR010827', NULL, 'POTRA domain, BamA/TamA-like', 'BamA/TamA_POTRA', 3, NULL),
(11397, NULL, 'IPR011094', NULL, 'Uncharacterised protein family, LppY/LpqO', 'Uncharacterised_LppY/LpqO', 4, NULL),
(11398, NULL, 'IPR011095', NULL, 'D-alanine--D-alanine ligase, C-terminal', 'Dala_Dala_lig_C', 3, NULL),
(11399, NULL, 'IPR012015', NULL, 'Uncharacterised conserved protein HTH transcriptional regulator, archaea', 'UCP_HTH_arc', 4, NULL),
(11400, NULL, 'IPR009644', NULL, 'Fukutin-related', 'Fukutin-related', 4, NULL),
(11401, NULL, 'IPR013604', NULL, '7TM chemoreceptor', '7TM_chemorcpt', 4, NULL),
(11402, NULL, 'IPR005226', NULL, 'UPF0014 family', 'UPF0014_fam', 4, NULL),
(11403, NULL, 'IPR011929', NULL, 'NlpC/P60 family, putative phage cell wall peptidase', 'Phage_pept_NlpC/P60', 4, NULL),
(11404, NULL, 'IPR016130', NULL, 'Protein-tyrosine phosphatase, active site', 'Tyr_Pase_AS', 0, NULL),
(11405, NULL, 'IPR011972', NULL, 'Conserved hypothetical protein CHP02285', 'CHP02285', 4, NULL),
(11406, NULL, 'IPR009633', NULL, 'Vaccinia virus, B17', 'Vaccinia_virus_B17', 4, NULL),
(11407, NULL, 'IPR006213', NULL, 'Bax inhibitor 1, conserved site', 'Bax_inhbtr1_CS', 2, NULL),
(11408, NULL, 'IPR011964', NULL, 'YVTN beta-propeller repeat', 'YVTN_b-propeller_repeat', 7, NULL),
(11409, NULL, 'IPR010795', NULL, 'Prenylcysteine lyase', 'Prenylcys_lyase', 3, NULL),
(11410, NULL, 'IPR009656', NULL, 'PHB de-polymerase, C-terminal', 'PHB_depo_C', 3, NULL),
(11411, NULL, 'IPR006176', NULL, '3-hydroxyacyl-CoA dehydrogenase, NAD binding', '3-OHacyl-CoA_DH_NAD-bd', 3, NULL),
(11412, NULL, 'IPR011942', NULL, 'Poly(3-hydroxyalkanoate) depolymerase', 'PHA_depoly_arom', 4, NULL),
(11413, NULL, 'IPR011159', NULL, 'Phosphoprotein phosphatase PPZ/Ppq1', 'PPPtase_PPZ/Ppq1', 4, NULL),
(11414, NULL, 'IPR009661', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), Orf17', 'AcMNPV_Orf17', 4, NULL),
(11415, NULL, 'IPR034099', NULL, 'Small nuclear ribonucleoprotein Sm D3', 'SmD3', 4, NULL),
(11416, NULL, 'IPR012033', NULL, 'Uncharacterised conserved protein UCP006600', 'UCP006600', 4, NULL),
(11417, NULL, 'IPR011953', NULL, 'Cobaltochelatase, CobN subunit', 'Cobalto_CobN', 4, NULL),
(11418, NULL, 'IPR011096', NULL, 'FTP domain', 'FTP_domain', 3, NULL),
(11419, NULL, 'IPR006218', NULL, 'DAHP synthetase I/KDSA', 'DAHP1/KDSA', 3, NULL),
(11420, NULL, 'IPR011248', NULL, 'Serine/alanine racemase', 'Serine/alanine_racemase', 4, NULL),
(11421, NULL, 'IPR011605', NULL, 'NusB antitermination factor', 'NusB_fam', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11422, NULL, 'IPR022772', NULL, 'von Hippel-Lindau disease tumour suppressor, beta/alpha domain', 'VHL_tumour_suppress_b/a_dom', 3, NULL),
(11423, NULL, 'IPR010776', NULL, 'Homologous-pairing protein 2, winged helix domain', 'Hop2_WH_dom', 3, NULL),
(11424, NULL, 'IPR011963', NULL, '2,3-dihydroxybenzoate-AMP ligase', 'DHB_AMP_lig', 4, NULL),
(11425, NULL, 'IPR014346', NULL, 'Prenyl protease-related', 'Prenyl_protease-related', 4, NULL),
(11426, NULL, 'IPR011921', NULL, 'Lipid A biosynthesis myristoyltransferase', 'Lipid_A_MsbB', 4, NULL),
(11427, NULL, 'IPR011940', NULL, 'Meiotic recombination protein Dmc1', 'Dmc1', 4, NULL),
(11428, NULL, 'IPR016125', NULL, 'Peptidase C15, pyroglutamyl peptidase I-like', 'Peptidase_C15-like', 4, NULL),
(11429, NULL, 'IPR013606', NULL, 'IMD/I-BAR domain', 'I-BAR_dom', 3, NULL),
(11430, NULL, 'IPR009642', NULL, 'Protein of unknown function DUF1236', 'DUF1236', 4, NULL),
(11431, NULL, 'IPR009657', NULL, 'Protein Ac34', 'Protein_Ac34', 4, NULL),
(11432, NULL, 'IPR011958', NULL, 'Benzoyl-CoA reductase, subunit C', 'Benzoyl_CoA_Rdtase_C', 4, NULL),
(11433, NULL, 'IPR011965', NULL, 'Phenylacetic acid degradation operon negative regulatory protein PaaX', 'PaaX_trns_reg', 4, NULL),
(11434, NULL, 'IPR006187', NULL, 'Claudin', 'Claudin', 4, NULL),
(11435, NULL, 'IPR011239', NULL, 'Phosphoesterase cyanobacterial, all2852', 'Pesterase_cyn', 4, NULL),
(11436, NULL, 'IPR016138', NULL, 'Ribosome-inactivating protein, subdomain 1', 'Ribosome_inactivat_prot_sub1', 5, NULL),
(11437, NULL, 'IPR013609', NULL, 'Lambda-like tail fibre protein, N-terminal', 'Stf-like_N', 3, NULL),
(11438, NULL, 'IPR023969', NULL, 'Conserved hypothetical protein CHP04072, B12-binding/radical SAM-type', 'CHP04072_B12-bd/rSAM', 4, NULL),
(11439, NULL, 'IPR011698', NULL, 'CobB/CobQ-like glutamine amidotransferase', 'GATase_3', 3, NULL),
(11440, NULL, 'IPR011697', NULL, 'Peptidase C26', 'Peptidase_C26', 4, NULL),
(11441, NULL, 'IPR006177', NULL, 'Staphylococcal/streptococcal toxin, bacterial', 'Toxin_bac', 4, NULL),
(11442, NULL, 'IPR013616', NULL, 'Chitin synthase N-terminal', 'Chitin_synth_N', 3, NULL),
(11443, NULL, 'IPR011699', NULL, 'Mycoplasma MFS transporter', 'MFS_Mycoplasma', 4, NULL),
(11444, NULL, 'IPR013636', NULL, 'Armadillo-like helical domain-containing protein 3, C-terminal', 'ARMH3_C', 3, NULL),
(11445, NULL, 'IPR012021', NULL, 'Uncharacterised conserved protein UCP005278', 'UCP005278', 4, NULL),
(11446, NULL, 'IPR006201', NULL, 'Neurotransmitter-gated ion-channel', 'Neur_channel', 4, NULL),
(11447, NULL, 'IPR011241', NULL, 'Bifunctional acetylglutamate kinase/N-acetyl-gamma-glutamyl-phosphate reductase', 'NAGK/NAGSA', 4, NULL),
(11448, NULL, 'IPR011089', NULL, 'Domain of unknown function DUF1524', 'DUF1524', 3, NULL),
(11449, NULL, 'IPR009649', NULL, 'TraU', 'TraU', 4, NULL),
(11450, NULL, 'IPR009645', NULL, 'Uncharacterised conserved protein GguC', 'GguC', 4, NULL),
(11451, NULL, 'IPR022773', NULL, 'Siva', 'Siva', 4, NULL),
(11452, NULL, 'IPR016126', NULL, 'Secretoglobin', 'Secretoglobin', 4, NULL),
(11453, NULL, 'IPR023968', NULL, 'Bacteriocin precursor, CLI3235 family, putative', 'Bacteriocin_CLI3235', 4, NULL),
(11454, NULL, 'IPR011545', NULL, 'DEAD/DEAH box helicase domain', 'DEAD/DEAH_box_helicase_dom', 3, NULL),
(11455, NULL, 'IPR006217', NULL, 'Photosystem II cytochrome b559, alpha subunit', 'PSII_cyt_b559_asu', 4, NULL),
(11456, NULL, 'IPR013000', NULL, 'Ribosomal protein L4/L1e, eukaryotic/archaeal, conserved site', 'Ribosomal_L4/L1e_euk/arc_CS', 2, NULL),
(11457, NULL, 'IPR016140', NULL, 'Bifunctional inhibitor/plant lipid transfer protein/seed storage helical domain', 'Bifunc_inhib/LTP/seed_store', 3, NULL),
(11458, NULL, 'IPR012010', NULL, 'Urease, gamma subunit', 'Urease_gamma', 4, NULL),
(11459, NULL, 'IPR034098', NULL, 'Small nuclear ribonucleoprotein G', 'Sm_G', 4, NULL),
(11460, NULL, 'IPR005234', NULL, 'Chromosome segregation/condensation protein ScpB', 'ScpB_csome_segregation', 4, NULL),
(11461, NULL, 'IPR006175', NULL, 'YjgF/YER057c/UK114 family', 'YjgF/YER057c/UK114', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11462, NULL, 'IPR034096', NULL, 'Mth938 domain-containing protein', 'AAMDC', 4, NULL),
(11463, NULL, 'IPR012029', NULL, 'Uncharacterised conserved protein UCP006557', 'UCP006557', 4, NULL),
(11464, NULL, 'IPR010825', NULL, 'Stress-inducible humoral factor Turandot', 'Turandot', 4, NULL),
(11465, NULL, 'IPR034918', NULL, 'HuD, RNA recognition motif 3', 'HuD_RRM3', 3, NULL),
(11466, NULL, 'IPR013607', NULL, 'Phospholipase A2-like domain', 'Phospholipase_A2-like', 3, NULL),
(11467, NULL, 'IPR011974', NULL, 'Phenylacetic acid degradation protein PaaY', 'PaaY', 4, NULL),
(11468, NULL, 'IPR009659', NULL, 'Protein of unknown function DUF1249', 'DUF1249', 4, NULL),
(11469, NULL, 'IPR016009', NULL, 'tRNA methyltransferase TRMD/TRM10-type domain', 'tRNA_MeTrfase_TRMD/TRM10', 3, NULL),
(11470, NULL, 'IPR006211', NULL, 'Furin-like cysteine-rich domain', 'Furin-like_Cys-rich_dom', 3, NULL),
(11471, NULL, 'IPR014342', NULL, 'Ectoine/hydroxyectoine ABC transporter, permease protein EhuC', 'Ectoine_EhuC', 4, NULL),
(11472, NULL, 'IPR011932', NULL, 'Tyrosine recombinase XerD', 'Recomb_XerD', 4, NULL),
(11473, NULL, 'IPR011973', NULL, 'Phenylacetic acid degradation protein PaaD', 'PaaD', 4, NULL),
(11474, NULL, 'IPR010829', NULL, 'Cerato-platanin', 'Cerato-platanin', 4, NULL),
(11475, NULL, 'IPR012020', NULL, 'AB hydrolase 4 family', 'ABHD4', 4, NULL),
(11476, NULL, 'IPR034894', NULL, 'Nrd1/Seb1, RNA recognition motif', 'Nrd1/Seb1_RRM', 3, NULL),
(11477, NULL, 'IPR013611', NULL, 'Transport-associated OB, type 2', 'Transp-assoc_OB_typ2', 3, NULL),
(11478, NULL, 'IPR013506', NULL, 'DNA topoisomerase, type IIA, subunit B, domain 2', 'Topo_IIA_bsu_dom2', 3, NULL),
(11479, NULL, 'IPR034893', NULL, 'Serine/arginine-rich splicing factor 2-like', 'SRSF2-like', 4, NULL),
(11480, NULL, 'IPR011120', NULL, 'Neutral trehalase Ca2+ binding', 'Trehalase_Ca-bd', 3, NULL),
(11481, NULL, 'IPR034923', NULL, 'Calcipressin-3', 'RCAN3', 4, NULL),
(11482, NULL, 'IPR010826', NULL, 'Phlebovirus glycoprotein G1', 'Phlebovirus_G1', 3, NULL),
(11483, NULL, 'IPR011101', NULL, 'Protein of unknown function DUF5131', 'DUF5131', 4, NULL),
(11484, NULL, 'IPR016110', NULL, 'Adenovirus Pll, hexon, subdomain 3', 'Adenovirus_Pll_hexon_sub3', 5, NULL),
(11485, NULL, 'IPR016134', NULL, 'Dockerin domain', 'Dockerin_dom', 3, NULL),
(11486, NULL, 'IPR006221', NULL, 'Anthranilate synthase/para-aminobenzoate synthase like domain', 'TrpG/PapA_dom', 3, NULL),
(11487, NULL, 'IPR006208', NULL, 'Glycoprotein hormone subunit beta', 'Glyco_hormone_CN', 3, NULL),
(11488, NULL, 'IPR009646', NULL, 'Root cap', 'Root_cap', 4, NULL),
(11489, NULL, 'IPR011166', NULL, 'Beta-eliminating lyase family', 'Beta-eliminating_lyase', 4, NULL),
(11490, NULL, 'IPR011927', NULL, 'Stage V sporulation protein D', 'SpoVD_pbp', 4, NULL),
(11491, NULL, 'IPR013620', NULL, 'Exodeoxyribonuclease I, C-terminal', 'Exonuc_1_C', 3, NULL),
(11492, NULL, 'IPR034095', NULL, 'NADH dehydrogenase [ubiquinone] 1 alpha subcomplex assembly factor 3', 'NDUF3', 4, NULL),
(11493, NULL, 'IPR011918', NULL, 'ABC transporter, ATP-binding/permease protein', 'ABC_MsbA_ATP-bd', 4, NULL),
(11494, NULL, 'IPR006190', NULL, 'Antifreeze-like/N-acetylneuraminic acid synthase C-terminal', 'AFP_Neu5c_C', 3, NULL),
(11495, NULL, 'IPR011109', NULL, 'DNA-binding recombinase domain', 'DNA_bind_recombinase_dom', 3, NULL),
(11496, NULL, 'IPR006043', NULL, 'Nucleobase cation symporter 2 family', 'NCS2', 4, NULL),
(11497, NULL, 'IPR006195', NULL, 'Aminoacyl-tRNA synthetase, class II', 'aa-tRNA-synth_II', 3, NULL),
(11498, NULL, 'IPR034890', NULL, 'Rrp7A, RNA recognition motif', 'Rrp7A_RRM', 3, NULL),
(11499, NULL, 'IPR005239', NULL, 'Conserved hypothetical protein CHP00300', 'CHP00300', 4, NULL),
(11500, NULL, 'IPR005240', NULL, 'Protein of unknown function DUF389', 'DUF389', 4, NULL),
(11501, NULL, 'IPR013777', NULL, 'Alpha-amylase-like', 'A-amylase-like', 4, NULL),
(11502, NULL, 'IPR010845', NULL, 'Flagellar FlaF', 'FlaF', 4, NULL),
(11503, NULL, 'IPR014822', NULL, 'Non-structural protein NSP9, coronavirus', 'NSP9_CoV', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11504, NULL, 'IPR034595', NULL, 'NADH dehydrogenase [ubiquinone] 1 alpha subcomplex assembly factor 8', 'NDUFAF8', 4, NULL),
(11505, NULL, 'IPR012041', NULL, 'CPxCG-like zinc finger protein', 'Znf_CPxCG-like', 4, NULL),
(11506, NULL, 'IPR009709', NULL, 'Protein of unknown function DUF1290', 'DUF1290', 4, NULL),
(11507, NULL, 'IPR011735', NULL, 'HtrL protein', 'HtrL', 4, NULL),
(11508, NULL, 'IPR013387', NULL, 'Type III secretion system, PrgH/EprH', 'T3SS_PrgH/EprH', 4, NULL),
(11509, NULL, 'IPR015752', NULL, 'Leptin receptor', 'Lep_receptor', 4, NULL),
(11510, NULL, 'IPR023982', NULL, 'Conserved hypothetical protein CHP04029, CMD-like', 'CHP04029_CMD-like', 4, NULL),
(11511, NULL, 'IPR013019', NULL, 'MAD homology, MH1', 'MAD_homology_MH1', 3, NULL),
(11512, NULL, 'IPR013398', NULL, 'CRISPR-associated protein Csy2', 'CRISPR-assoc_prot_Csy2', 4, NULL),
(11513, NULL, 'IPR014812', NULL, 'Vacuolar protein sorting-associated protein 51', 'Vps51', 4, NULL),
(11514, NULL, 'IPR014818', NULL, 'Bacteriophage/plasmid primase, P4, C-terminal', 'Phage/plasmid_primase_P4_C', 3, NULL),
(11515, NULL, 'IPR014794', NULL, 'TATA-box binding', 'DUF1779', 4, NULL),
(11516, NULL, 'IPR024149', NULL, 'Paralemmin-3', 'Paralemmin-3', 4, NULL),
(11517, NULL, 'IPR023978', NULL, 'Glucose-methanol-choline oxidoreductase, actinobacteria', 'GMC_oxidoreductase_actinobac', 4, NULL),
(11518, NULL, 'IPR014838', NULL, 'Poliovirus 3A protein-like', 'P3A', 3, NULL),
(11519, NULL, 'IPR012324', NULL, 'Cyclotide, moebius, conserved site', 'Cyclotide_moebius_CS', 2, NULL),
(11520, NULL, 'IPR009701', NULL, 'Special lobe-specific silk SSP160', 'SSP160', 4, NULL),
(11521, NULL, 'IPR009666', NULL, 'Uncharacterised protein family Ycf35', 'Uncharacterised_Ycf35', 4, NULL),
(11522, NULL, 'IPR024009', NULL, 'Colanic acid biosynthesis, glycosyl transferase, WcaA', 'Colanic_acid_synth_WcaA', 4, NULL),
(11523, NULL, 'IPR015713', NULL, 'Interleukin-20 receptor alpha', 'IL-20_rcpt_alpha', 4, NULL),
(11524, NULL, 'IPR014839', NULL, 'Ribonucleotide reductase, transcriptional regulator Crt10', 'Crt10', 4, NULL),
(11525, NULL, 'IPR009669', NULL, 'Cysteine protease, VirA/EspG', 'Cys_protease_VirA/EspG', 4, NULL),
(11526, NULL, 'IPR012047', NULL, 'Aconitase X', 'AcnX', 4, NULL),
(11527, NULL, 'IPR013785', NULL, 'Aldolase-type TIM barrel', 'Aldolase_TIM', 5, NULL),
(11528, NULL, 'IPR009695', NULL, 'Diacylglycerol glucosyltransferase, N-terminal', 'Diacylglyc_glucosyltr_N', 3, NULL),
(11529, NULL, 'IPR010892', NULL, 'Secreted phosphoprotein 24', 'Spp-24', 4, NULL),
(11530, NULL, 'IPR010843', NULL, 'Uncharacterised protein family AroM', 'Uncharacterised_AroM', 4, NULL),
(11531, NULL, 'IPR014255', NULL, 'Spore coat protein CotS', 'Spore_coat_CotS', 4, NULL),
(11532, NULL, 'IPR008451', NULL, 'Chromadorea ALT', 'Chromadorea_ALT', 4, NULL),
(11533, NULL, 'IPR023853', NULL, 'Poly-beta-1,6 N-acetyl-D-glucosamine synthase PgaC/IcaA', 'PGA_PgaC/IcaA', 4, NULL),
(11534, NULL, 'IPR024208', NULL, 'Protein of unknown function DUF3842', 'DUF3842', 4, NULL),
(11535, NULL, 'IPR009663', NULL, 'Pilin accessory predicted', 'PAP_PilO', 4, NULL),
(11536, NULL, 'IPR010871', NULL, 'Protein of unknown function DUF1502', 'DUF1502', 7, NULL),
(11537, NULL, 'IPR014843', NULL, 'Protein Him1/Fmp52', 'Him1/Fmp52', 4, NULL),
(11538, NULL, 'IPR014265', NULL, 'Signal transduction histidine kinase, PEP-CTERM system, putative', 'Sig_transdc_His_kin_PEP-CTERM', 4, NULL),
(11539, NULL, 'IPR010879', NULL, 'Domain of unknown function DUF1508', 'DUF1508', 3, NULL),
(11540, NULL, 'IPR010850', NULL, 'Neuroparsin', 'Neuroparsin', 4, NULL),
(11541, NULL, 'IPR009694', NULL, 'Protein of unknown function DUF1281', 'DUF1281', 4, NULL),
(11542, NULL, 'IPR024038', NULL, 'MYXO-CTERM domain', 'MYXO-CTERM', 3, NULL),
(11543, NULL, 'IPR014511', NULL, 'Protein of unknown function DUF2068, transmembrane, subgroup', 'DUF2068_TM_subgr', 4, NULL),
(11544, NULL, 'IPR014851', NULL, 'BCS1, N-terminal', 'BCS1_N', 3, NULL),
(11545, NULL, 'IPR015754', NULL, 'Calcium binding protein 2', 'Ca-bd_2', 4, NULL),
(11546, NULL, 'IPR012257', NULL, 'Glycolate oxidase, iron-sulphur subunit', 'Glc_ox_4Fe-4S', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11547, NULL, 'IPR009706', NULL, 'Protein of unknown function DUF1287', 'DUF1287', 4, NULL),
(11548, NULL, 'IPR012046', NULL, 'LytTR transcriptional regulator with ABC transporter ATP-binding domain', 'LytTR_ABC', 4, NULL),
(11549, NULL, 'IPR034308', NULL, 'Vacuolar protein sorting-assoociated protein 70', 'VPS70', 4, NULL),
(11550, NULL, 'IPR010868', NULL, 'Tumor suppressor ARF', 'Tumor_suppres_ARF', 4, NULL),
(11551, NULL, 'IPR023988', NULL, 'Mycofactocin precursor peptide', 'MftA', 4, NULL),
(11552, NULL, 'IPR011752', NULL, 'PilZ domain, Myxococcales-type', 'PilV_Myxo-type', 3, NULL),
(11553, NULL, 'IPR009670', NULL, 'Cell surface immobilisation antigen SerH', 'SerH', 4, NULL),
(11554, NULL, 'IPR014816', NULL, 'tRNA (1-methyladenosine) methyltransferase catalytic subunit Gcd14', 'tRNA_MeTrfase_Gcd14', 4, NULL),
(11555, NULL, 'IPR009668', NULL, 'RNA polymerase I associated factor, A49-like', 'RNA_pol-assoc_fac_A49-like', 4, NULL),
(11556, NULL, 'IPR012694', NULL, 'Propionate--CoA ligase', 'Propion_PrpE', 4, NULL),
(11557, NULL, 'IPR014508', NULL, 'Uncharacterised conserved protein withTPR-like repeats', 'UCP020555_TPR-like', 4, NULL),
(11558, NULL, 'IPR014796', NULL, 'Protein of unknown function DUF1780, putative endonuclease', 'DUF1780', 4, NULL),
(11559, NULL, 'IPR011726', NULL, 'K+ transporting P-type ATPase, F subunit', 'KdpF', 4, NULL),
(11560, NULL, 'IPR024048', NULL, 'von Hippel-Lindau disease tumour suppressor, alpha domain', 'VHL_alpha_dom', 3, NULL),
(11561, NULL, 'IPR014820', NULL, 'Primase, C-terminal 1', 'PriCT_1', 3, NULL),
(11562, NULL, 'IPR035908', NULL, 'ATP synthase, F0 complex, subunit A superfamily', 'F0_ATP_A_sf', 5, NULL),
(11563, NULL, 'IPR011729', NULL, 'Polyhydroxyalkanoic acid synthase, PhaR subunit', 'PhaR_Bmeg_synth', 4, NULL),
(11564, NULL, 'IPR013988', NULL, 'Protein YjdM, C-terminal', 'YjdM_C', 3, NULL),
(11565, NULL, 'IPR034786', NULL, 'Maleylacetate reductase', 'MAR', 4, NULL),
(11566, NULL, 'IPR014848', NULL, 'Reduced growth phenotype protein 1', 'Rgp1', 4, NULL),
(11567, NULL, 'IPR023977', NULL, 'Conserved hypotheical protein CHP04052', 'CHP04052', 4, NULL),
(11568, NULL, 'IPR014267', NULL, 'Glycosyltransferase GtfA', 'GtfA', 4, NULL),
(11569, NULL, 'IPR011741', NULL, 'Phage conserved hypothetical protein, C-terminal', 'Phg_2220_C', 3, NULL),
(11570, NULL, 'IPR012713', NULL, 'Prefoldin subunit beta', 'PfdB', 4, NULL),
(11571, NULL, 'IPR014768', NULL, 'Rho GTPase-binding/formin homology 3 (GBD/FH3) domain', 'GBD/FH3_dom', 3, NULL),
(11572, NULL, 'IPR009662', NULL, 'Malonate decarboxylase delta subunit', 'Malonate_deCO2ase_dsu', 4, NULL),
(11573, NULL, 'IPR014525', NULL, 'Ethylene receptor', 'ETR', 4, NULL),
(11574, NULL, 'IPR012251', NULL, 'N-acetylglucosamine-6-sulfatase', 'GlcNAc_6-SO4ase', 4, NULL),
(11575, NULL, 'IPR016120', NULL, 'Signal transduction histidine kinase, sporulation regulator SpoOB', 'Sig_transdc_His_kin_SpoOB', 5, NULL),
(11576, NULL, 'IPR009672', NULL, 'Pkip-1', 'Pkip-1', 4, NULL),
(11577, NULL, 'IPR013780', NULL, 'Glycosyl hydrolase, all-beta', 'Glyco_hydro_b', 5, NULL),
(11578, NULL, 'IPR014358', NULL, 'Enoyl-[acyl-carrier-protein] reductase (NADH)', 'Enoyl-ACP_Rdtase_NADH', 4, NULL),
(11579, NULL, 'IPR014793', NULL, 'Dissimilatory sulphite reductase D', 'DsrD', 3, NULL),
(11580, NULL, 'IPR012486', NULL, 'Far11/STRP, N-terminal', 'Far11/STRP_N', 3, NULL),
(11581, NULL, 'IPR014837', NULL, 'EF-hand, Ca insensitive', 'EF-hand_Ca_insen', 3, NULL),
(11582, NULL, 'IPR012685', NULL, 'Conserved hypothetical protein CHP02304, F390 synthetase-related', 'CHP02304_F390_synth-rel', 4, NULL),
(11583, NULL, 'IPR009675', NULL, 'TPX2', 'TPX2_fam', 4, NULL),
(11584, NULL, 'IPR014271', NULL, 'Conserved hypothetical protein CHP02922', 'CHP02922', 4, NULL),
(11585, NULL, 'IPR010844', NULL, 'Occludin homology domain', 'Occludin_ELL', 3, NULL),
(11586, NULL, 'IPR012718', NULL, 'T-complex protein 1, epsilon subunit', 'Chap_CCT_epsi', 4, NULL),
(11587, NULL, 'IPR023983', NULL, 'DNA sulphur modification system-associated protein 4', 'DNA_S_mod_dnd_assoc_4', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11588, NULL, 'IPR015426', NULL, 'Acetaldehyde dehydrogenase, C-terminal', 'Acetylaldehyde_DH_C', 3, NULL),
(11589, NULL, 'IPR011725', NULL, 'Coenzyme PQQ biosynthesis protein A', 'PQQ_synth_PqqA', 4, NULL),
(11590, NULL, 'IPR011760', NULL, 'Pseudouridine synthase, TruD, insertion domain', 'PsdUridine_synth_TruD_insert', 3, NULL),
(11591, NULL, 'IPR011751', NULL, 'Myxococcus xanthus paralogous protein 2265', 'Mxa_paralog_2265', 4, NULL),
(11592, NULL, 'IPR012480', NULL, 'Heparinase II/III-like', 'Hepar_II_III', 4, NULL),
(11593, NULL, 'IPR010860', NULL, 'CAMP factor', 'CAMP_factor', 4, NULL),
(11594, NULL, 'IPR008453', NULL, 'Clavanin', 'Clavanin', 4, NULL),
(11595, NULL, 'IPR034927', NULL, 'TNRC6C, RNA recognition motif', 'TNRC6C_RRM', 3, NULL),
(11596, NULL, 'IPR024047', NULL, 'MM3350-like superfamily', 'MM3350-like_sf', 5, NULL),
(11597, NULL, 'IPR011727', NULL, 'Conserved hypothetical protein CHP02117', 'CHP02117', 4, NULL),
(11598, NULL, 'IPR012689', NULL, '2,4-dihydroxyhept-2-ene-1,7-dioic acid aldolase', 'HpaI', 4, NULL),
(11599, NULL, 'IPR013079', NULL, '6-phosphofructo-2-kinase', '6Phosfructo_kin', 3, NULL),
(11600, NULL, 'IPR014509', NULL, 'Uncharacterised conserved protein UCP020606', 'UCP020606', 4, NULL),
(11601, NULL, 'IPR013786', NULL, 'Acyl-CoA dehydrogenase/oxidase, N-terminal', 'AcylCoA_DH/ox_N', 3, NULL),
(11602, NULL, 'IPR012699', NULL, 'Ribose 1,5-bisphosphate phosphokinase PhnN', 'PhnN', 4, NULL),
(11603, NULL, 'IPR012735', NULL, 'Dihydroxyacetone kinase DhaK, subunit 1b', 'DhaK_1b', 4, NULL),
(11604, NULL, 'IPR012729', NULL, 'Thiamine biosynthesis protein ThiF', 'ThiF_fam2', 4, NULL),
(11605, NULL, 'IPR013383', NULL, 'CRISPR-associated protein DxTHG, conserved site', 'CRISPR-assoc_prot_DxTHG_CS', 2, NULL),
(11606, NULL, 'IPR034925', NULL, 'TNRC6B, RNA recognition motif', 'TNRC6B_RRM', 3, NULL),
(11607, NULL, 'IPR014846', NULL, 'Protein of unknown function DUF1786, putative pyruvate format-lyase activating enzyme', 'DUF1786_pyruvate_format-lyase', 4, NULL),
(11608, NULL, 'IPR015717', NULL, 'Transmembrane emp24 domain-containing protein 5', 'TMED5', 4, NULL),
(11609, NULL, 'IPR012262', NULL, 'Bifunctional dihydrofolate reductase/thymidylate synthase', 'DHFR-TS', 4, NULL),
(11610, NULL, 'IPR009700', NULL, 'Protein of unknown function DUF1283', 'DUF1283', 4, NULL),
(11611, NULL, 'IPR012721', NULL, 'T-complex protein 1, theta subunit', 'Chap_CCT_theta', 4, NULL),
(11612, NULL, 'IPR012479', NULL, 'SAP30-binding protein', 'SAP30BP', 4, NULL),
(11613, NULL, 'IPR013376', NULL, 'Glutathione peroxidase Gpx7, putative', 'Glut_perox_Gpx7', 4, NULL),
(11614, NULL, 'IPR015726', NULL, 'Serine/threonine protein kinase, striated muscle-specific', 'Ser/Thr_kin_striated-sp', 4, NULL),
(11615, NULL, 'IPR014260', NULL, 'Sulphite reductase, subunit B', 'Sulphite_reductase_B', 4, NULL),
(11616, NULL, 'IPR012056', NULL, '[NiFe]-hydrogenase-3-type complex Eha, subunit EhaM', 'NiFe-hyd_3_EhaM', 4, NULL),
(11617, NULL, 'IPR009693', NULL, 'Glucitol operon activator', 'Glucitol_operon_activator', 4, NULL),
(11618, NULL, 'IPR011754', NULL, 'Myxococcus xanthus paralogous protein 2268', 'Mxa_paralog_2268', 4, NULL),
(11619, NULL, 'IPR009667', NULL, 'Protein of unknown function DUF1258', 'DUF1258', 4, NULL),
(11620, NULL, 'IPR009681', NULL, 'Phage tail assembly chaperone protein, Siphoviridae', 'Phage_TAC_Siphoviridae', 4, NULL),
(11621, NULL, 'IPR012322', NULL, 'Conotoxin, delta-type, conserved site', 'Conotoxin_d-typ_CS', 2, NULL),
(11622, NULL, 'IPR012690', NULL, '2-oxo-hepta-4-ene-1,7-dioic acid hydratase', 'HpcG', 4, NULL),
(11623, NULL, 'IPR012717', NULL, 'T-complex protein 1, delta subunit', 'Chap_CCT_delta', 4, NULL),
(11624, NULL, 'IPR014813', NULL, 'Guanine nucleotide-binding protein-like 3, N-terminal domain', 'Gnl3_N_dom', 3, NULL),
(11625, NULL, 'IPR011753', NULL, 'DUSAM domain', 'DUSAM_dom', 3, NULL),
(11626, NULL, 'IPR011615', NULL, 'p53, DNA-binding domain', 'p53_DNA-bd', 3, NULL),
(11627, NULL, 'IPR014770', NULL, 'Munc13 homology 1', 'Munc13_1', 3, NULL),
(11628, NULL, 'IPR011762', NULL, 'Acetyl-coenzyme A carboxyltransferase, N-terminal', 'COA_CT_N', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11629, NULL, 'IPR015714', NULL, 'Lymphocyte function associated antigen 3', 'Lymphocyte_func-assoc_Ag_3', 4, NULL),
(11630, NULL, 'IPR023984', NULL, 'Ribosomal peptide maturation radical SAM protein 1', 'rSAM_ocin_1', 4, NULL),
(11631, NULL, 'IPR023180', NULL, 'Tetrahydrodipicolinate-N-succinyltransferase, chain A, domain 1', 'THP_succinylTrfase_dom1', 3, NULL),
(11632, NULL, 'IPR014807', NULL, 'Cytochrome c oxidase assembly factor 1', 'Coa1', 4, NULL),
(11633, NULL, 'IPR011764', NULL, 'Biotin carboxylation domain', 'Biotin_carboxylation_dom', 3, NULL),
(11634, NULL, 'IPR013402', NULL, 'Conserved hypothetical protein CHP02569', 'CHP02569', 4, NULL),
(11635, NULL, 'IPR014767', NULL, 'Diaphanous autoregulatory (DAD) domain', 'DAD_dom', 3, NULL),
(11636, NULL, 'IPR009679', NULL, 'Bacteriophage 186, CII', 'Phage_186_CII', 4, NULL),
(11637, NULL, 'IPR014787', NULL, 'Phosphoserine phosphatase RsbU, N-terminal', 'PSer_Pase_RsbU_N', 3, NULL),
(11638, NULL, 'IPR014819', NULL, 'Primase, C-terminal 2', 'PriCT_2', 3, NULL),
(11639, NULL, 'IPR011763', NULL, 'Acetyl-coenzyme A carboxyltransferase, C-terminal', 'COA_CT_C', 3, NULL),
(11640, NULL, 'IPR012688', NULL, '4-HPA 3-monooxygenase large component, gammaproteobacteria', 'HpaB_gammaproteobact', 4, NULL),
(11641, NULL, 'IPR012798', NULL, 'Cobalamin (vitamin B12) biosynthesis CobG-like', 'Cbl_synth_CobG-like', 4, NULL),
(11642, NULL, 'IPR014259', NULL, 'Sulphite reductase, subunit A', 'Sulphite_reductase_A', 4, NULL),
(11643, NULL, 'IPR012704', NULL, 'Signal transduction response regulator, propionate catabolism, transcriptional regulator PrpR', 'Sig_transdc_resp-reg_PrpR', 4, NULL),
(11644, NULL, 'IPR014844', NULL, 'PalH/RIM21', 'PalH', 4, NULL),
(11645, NULL, 'IPR011749', NULL, 'Conserved hypothetical protein CHP02243', 'CHP02243', 4, NULL),
(11646, NULL, 'IPR034630', NULL, 'MEF-2, RNA recognition motif 1', 'MYEF2_RRM1', 3, NULL),
(11647, NULL, 'IPR034596', NULL, '39S ribosomal protein L52, mitochondrial', 'MRPL52', 4, NULL),
(11648, NULL, 'IPR023181', NULL, 'Homospermidine synthase-like, C-terminal', 'Homospermid_syn-like_C', 5, NULL),
(11649, NULL, 'IPR012696', NULL, 'Phosphonate metabolism PhnM', 'PhnM', 4, NULL),
(11650, NULL, 'IPR023975', NULL, 'Six-cysteine peptide SCIFF', 'Six-Cys_pep_SCIFF', 4, NULL),
(11651, NULL, 'IPR014831', NULL, 'Haemagglutinin stalk, influenza C', 'Hemagglutn_stalk_influenz-C', 3, NULL),
(11652, NULL, 'IPR014747', NULL, 'Bacterial photosynthetic reaction centre, H-chain, C-terminal', 'Bac_photo_RC_H_C', 5, NULL),
(11653, NULL, 'IPR011742', NULL, 'CRISPR-associated protein, TM1812', 'CRISPR-assoc_prot_TM1812', 4, NULL),
(11654, NULL, 'IPR012683', NULL, 'Conserved hypothetical protein CHP02302, transmembrane', 'CHP02302_TM', 4, NULL),
(11655, NULL, 'IPR012730', NULL, 'Molybdopterin synthase sulfurylase MoeB', 'Mopterin_Synthase_Sase_MoeB', 4, NULL),
(11656, NULL, 'IPR012697', NULL, 'Carboxyvinyl-carboxyphosphonate phosphorylmutase', 'CPEP_Pphonmut', 4, NULL),
(11657, NULL, 'IPR034178', NULL, 'Isobutyryl-CoA dehydrogenase', 'IBD', 4, NULL),
(11658, NULL, 'IPR009665', NULL, 'Protein of unknown function DUF1256', 'DUF1256', 4, NULL),
(11659, NULL, 'IPR024274', NULL, 'Anaphase-promoting complex, subunit 9', 'APC9', 4, NULL),
(11660, NULL, 'IPR009686', NULL, 'Senescence/spartin-associated, C-terminal', 'Senescence/spartin_C', 3, NULL),
(11661, NULL, 'IPR024011', NULL, 'Natural product biosynthesis luciferase-like monooxygenase domain', 'Biosynth_lucif-like_mOase_dom', 3, NULL),
(11662, NULL, 'IPR013776', NULL, 'Alpha-amylase, thermostable', 'A-amylase_thermo', 4, NULL),
(11663, NULL, 'IPR012728', NULL, 'Non-ribosomal peptide synthetase, C-terminal', 'NRPS_C', 3, NULL),
(11664, NULL, 'IPR010882', NULL, 'Acidic phosphoprotein PCEMA1', 'PCEMA1', 4, NULL),
(11665, NULL, 'IPR023973', NULL, 'Conserved hypothetical protein CHP04061, AZL007950', 'CHP04061_AZL007950', 4, NULL),
(11666, NULL, 'IPR014515', NULL, 'Uncharacterised conserved protein UCP921964', 'UCP921964', 4, NULL),
(11667, NULL, 'IPR012701', NULL, 'Phosphonate C-P lyase system, PhnL', 'CP_lyase_PhnL', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11668, NULL, 'IPR014264', NULL, 'Signal transduction response regulator, PEP-CTERM system, putative', 'Sig_transdc_resp-reg_PEP-CTERM', 4, NULL),
(11669, NULL, 'IPR013401', NULL, 'Type III secretion regulator, YopN/LcrE/InvE/MxiC', 'T3SS_LcrE', 3, NULL),
(11670, NULL, 'IPR010849', NULL, 'Gonadal family', 'Gonadal', 4, NULL),
(11671, NULL, 'IPR012710', NULL, 'Phosphonoacetate hydrolase', 'Phosphonoacetate_hydro', 4, NULL),
(11672, NULL, 'IPR012716', NULL, 'T-complex protein 1, beta subunit', 'Chap_CCT_beta', 4, NULL),
(11673, NULL, 'IPR013783', NULL, 'Immunoglobulin-like fold', 'Ig-like_fold', 5, NULL),
(11674, NULL, 'IPR010875', NULL, 'Protein of unknown function DUF1506', 'DUF1506', 4, NULL),
(11675, NULL, 'IPR014269', NULL, 'Accessory Sec system protein translocase subunit SecY2', 'SecY2', 4, NULL),
(11676, NULL, 'IPR011738', NULL, 'Phage conserved hypothetical protein', 'Phage_CHP', 4, NULL),
(11677, NULL, 'IPR024001', NULL, 'Cysteine-rich peptide, radical SAM maturase, CcpM', 'Cys-rich_pep_rSAM_mat_CcpM', 4, NULL),
(11678, NULL, 'IPR014256', NULL, 'Sporulation stage VI, protein D', 'Spore_VI_D', 4, NULL),
(11679, NULL, 'IPR013399', NULL, 'CRISPR-associated protein Csy3', 'CRISPR-assoc_prot_Csy3', 4, NULL),
(11680, NULL, 'IPR013025', NULL, 'Ribosomal protein L25/L23', 'Ribosomal_L25/23', 4, NULL),
(11681, NULL, 'IPR034467', NULL, 'Set1A, RNA recognition motif', 'Set1A_RRM', 3, NULL),
(11682, NULL, 'IPR012687', NULL, '4-HPA 3-monooxygenase large component, Deinococcus-type', 'HpaB_Deino-type', 4, NULL),
(11683, NULL, 'IPR024013', NULL, 'Colanic acid biosynthesis, putative colanic acid polymerase, WcaD', 'Colanic_acid_synth_WcaD', 4, NULL),
(11684, NULL, 'IPR023989', NULL, 'Pre-mycofactocin synthase', 'MftD', 4, NULL),
(11685, NULL, 'IPR012691', NULL, '2,4-dihydroxyhept-2-ene-1,7-dioic acid aldolase variant', 'HpaI_NOT_DapA', 4, NULL),
(11686, NULL, 'IPR014513', NULL, 'Uncharacterised conserved protein UCP021525', 'UCP021525', 4, NULL),
(11687, NULL, 'IPR012736', NULL, 'Dihydroxyacetone kinase DhaK, subunit 1', 'DhaK_1', 3, NULL),
(11688, NULL, 'IPR014257', NULL, 'Cytochrome c oxidase, subunit IV bacillaceae', 'Cyt_c_oxidase_su4_bacillaceae', 4, NULL),
(11689, NULL, 'IPR023788', NULL, 'D-tagatose-bisphosphate aldolase, class II, subunit KbaY', 'TagBP_ald_KbaY', 4, NULL),
(11690, NULL, 'IPR011748', NULL, 'Uncharacterised protein family, phage tail-like', 'Unchr_phage_tail-like', 3, NULL),
(11691, NULL, 'IPR014847', NULL, 'FERM adjacent (FA)', 'FERM-adjacent', 3, NULL),
(11692, NULL, 'IPR013854', NULL, 'Transcription factor AP-2, C-terminal', 'TF_AP2_C', 3, NULL),
(11693, NULL, 'IPR010856', NULL, 'Protein of unknown function DUF1479', 'DUF1479', 4, NULL),
(11694, NULL, 'IPR012317', NULL, 'Poly(ADP-ribose) polymerase, catalytic domain', 'Poly(ADP-ribose)pol_cat_dom', 3, NULL),
(11695, NULL, 'IPR018025', NULL, '2-hydroxycarboxylate transporter, Proteobacteria/Firmicutes', '2-OHcarbox_trans_Prot/Firm', 4, NULL),
(11696, NULL, 'IPR011743', NULL, 'Caa(3)-type oxidase, subunit IV', 'Caa3_sub_IV', 4, NULL),
(11697, NULL, 'IPR014507', NULL, 'Baseplate assembly protein J, predicted', 'Baseplate_assembly_J_pred', 4, NULL),
(11698, NULL, 'IPR012321', NULL, 'Conotoxin, omega-type, conserved site', 'Conotoxin_omega-typ_CS', 2, NULL),
(11699, NULL, 'IPR014833', NULL, 'TnsA endonuclease, N-terminal', 'TnsA_N', 3, NULL),
(11700, NULL, 'IPR010837', NULL, 'Conjugal transfer, TrbH', 'Conjugal_tfr_TrbH', 4, NULL),
(11701, NULL, 'IPR015707', NULL, 'Beta-2-Microglobulin', 'B2Microglobulin', 4, NULL),
(11702, NULL, 'IPR009704', NULL, 'EURL protein', 'EURL_prot', 4, NULL),
(11703, NULL, 'IPR023792', NULL, 'Protein-disulfide oxidoreductase DsbI', 'DiS_OxRdtase_Dsbl', 4, NULL),
(11704, NULL, 'IPR014518', NULL, 'Uncharacterised conserved protein UCP022079', 'UCP022079', 4, NULL),
(11705, NULL, 'IPR012484', NULL, 'Metallothionein family 7', 'Metalthion_7', 4, NULL),
(11706, NULL, 'IPR014786', NULL, 'Anaphase-promoting complex subunit 2, C-terminal', 'APC2_C', 3, NULL),
(11707, NULL, 'IPR044856', NULL, 'Malate synthase, C-terminal superfamily', 'Malate_synth_C_sf', 5, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11708, NULL, 'IPR010869', NULL, 'Protein of unknown function DUF1501', 'DUF1501', 4, NULL),
(11709, NULL, 'IPR014514', NULL, 'Uncharacterised conserved protein UCP021940', 'UCP021940', 4, NULL),
(11710, NULL, 'IPR012318', NULL, 'Crp-type HTH domain', 'HTH_CRP', 3, NULL),
(11711, NULL, 'IPR012706', NULL, 'Rib/alpha/Esp surface antigen', 'Rib_alpha_Esp', 7, NULL),
(11712, NULL, 'IPR024030', NULL, 'AIR synthase-related protein, sll0787 family', 'AIR_synthase-rel_sll0787', 4, NULL),
(11713, NULL, 'IPR023974', NULL, 'His-Xaa-Ser system protein HxsD', 'HxsD', 4, NULL),
(11714, NULL, 'IPR012256', NULL, 'D-lactate dehydrogenase', 'D_lactate_DH', 4, NULL),
(11715, NULL, 'IPR014805', NULL, 'SKG6/AXL2 alpha-helix transmembrane domain', 'SKG6/AXL2_alpha-helix_TM', 4, NULL),
(11716, NULL, 'IPR010841', NULL, 'Elongation factor G-binding protein, N-terminal', 'EF-G-binding_N', 3, NULL),
(11717, NULL, 'IPR014841', NULL, 'Rad33', 'Rad33', 4, NULL),
(11718, NULL, 'IPR011761', NULL, 'ATP-grasp fold', 'ATP-grasp', 3, NULL),
(11719, NULL, 'IPR013784', NULL, 'Carbohydrate-binding-like fold', 'Carb-bd-like_fold', 5, NULL),
(11720, NULL, 'IPR034789', NULL, 'Bifunctional aldehyde-alcohol dehydrogenase, C-terminal domain', 'AAD_C', 3, NULL),
(11721, NULL, 'IPR023986', NULL, 'Glycosyltransferase, putative, MSMEG0565 family', 'GlycosylTfrase_MSMEG0565', 4, NULL),
(11722, NULL, 'IPR012711', NULL, 'Lacto-N-biose phosphorylase/D-galactosyl-beta-1->4-L-rhamnose phosphorylase', 'Lacto-N-biose_phosphorylase', 4, NULL),
(11723, NULL, 'IPR009688', NULL, 'Protein FAM210A/B-like domain', 'FAM210A/B-like_dom', 3, NULL),
(11724, NULL, 'IPR010889', NULL, 'Protein of unknown function DUF1515', 'DUF1515', 4, NULL),
(11725, NULL, 'IPR011747', NULL, 'Conserved hypothetical protein CHP02241', 'CHP02241', 4, NULL),
(11726, NULL, 'IPR015756', NULL, 'Guanylate cyclase activating protein 2', 'GCAP-2', 4, NULL),
(11727, NULL, 'IPR012692', NULL, 'ABC transporter, methionine import, ATP-binding protein MetN, proteobacteria', 'ABC_MetN_proteobac', 4, NULL),
(11728, NULL, 'IPR012726', NULL, 'Thiazole biosynthesis ThiH', 'ThiH', 4, NULL),
(11729, NULL, 'IPR024016', NULL, 'Conserved hypothetical protein CHP04064, radical SAM', 'CHP04064_rSAM', 4, NULL),
(11730, NULL, 'IPR013385', NULL, 'Type III secretion system apparatus protein YscQ/HrcQ/SpaO', 'T3SS_SpaO/YscQ/SpaO', 4, NULL),
(11731, NULL, 'IPR012327', NULL, 'D12 class N6 adenine-specific DNA methyltransferase', 'MeTrfase_D12', 4, NULL),
(11732, NULL, 'IPR024027', NULL, 'Colanic acid biosynthesis, acetyltransferase, WcaB', 'Colanic_acid_synth_WcaB', 4, NULL),
(11733, NULL, 'IPR023696', NULL, 'Ureohydrolase domain superfamily', 'Ureohydrolase_dom_sf', 5, NULL),
(11734, NULL, 'IPR014815', NULL, 'Phospholipase C-beta, C-terminal domain', 'PLC-beta_C', 3, NULL),
(11735, NULL, 'IPR011737', NULL, 'Conserved hypothetical protein CHP02206, TP0381', 'CHP02206_TP0381', 4, NULL),
(11736, NULL, 'IPR014797', NULL, 'CKK domain', 'CKK_domain', 3, NULL),
(11737, NULL, 'IPR018023', NULL, 'Ribosome maturation protein SBDS, conserved site', 'Ribosome_mat_SBDS_CS', 2, NULL),
(11738, NULL, 'IPR013389', NULL, 'CRISPR-associated protein Cas8b', 'CRISPR-assoc_prot_Cas8b', 4, NULL),
(11739, NULL, 'IPR014802', NULL, 'Golgi to ER traffic protein 2', 'GET2', 4, NULL),
(11740, NULL, 'IPR013384', NULL, 'Flagellar hook-associated protein 3', 'Flagell_FlgL', 4, NULL),
(11741, NULL, 'IPR014792', NULL, 'RsbS co-antagonist protein RsbRA N-terminal domain', 'RsbRA_N', 3, NULL),
(11742, NULL, 'IPR012259', NULL, 'Dihydrofolate reductase', 'DHFR', 4, NULL),
(11743, NULL, 'IPR010872', NULL, 'MDMPI C-terminal', 'MDMPI_C-term_domain', 3, NULL),
(11744, NULL, 'IPR014359', NULL, 'Ketol-acid reductoisomerase, prokaryotic', 'KARI_prok', 4, NULL),
(11745, NULL, 'IPR008450', NULL, 'Chorion S16', 'Chorion_S16', 4, NULL),
(11746, NULL, 'IPR013373', NULL, 'Flagellin/pilin, N-terminal', 'Flagellin/pilin_N', 3, NULL),
(11747, NULL, 'IPR014852', NULL, 'Uncharacterised protein YwhD', 'YwhD', 4, NULL),
(11748, NULL, 'IPR012245', NULL, 'Molybdenum cofactor biosynthesis protein MoaB', 'MoaB', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11749, NULL, 'IPR024010', NULL, 'Colanic acid biosynthesis, glycosyl transferase,  WcaE', 'Colanic_acid_synth_WcaE', 4, NULL),
(11750, NULL, 'IPR010846', NULL, 'Protein of unknown function DUF1460', 'DUF1460', 4, NULL),
(11751, NULL, 'IPR023804', NULL, 'Protein of unknown function DUF3792, transmembrane', 'DUF3792_TM', 4, NULL),
(11752, NULL, 'IPR010883', NULL, 'Marek disease virus, LORF3', 'Marek_disease_virus_LORF3', 4, NULL),
(11753, NULL, 'IPR009678', NULL, 'Bacteriophage tail completion protein R', 'Phage_tail_completion_R', 4, NULL),
(11754, NULL, 'IPR015715', NULL, 'Fas activated serine/threonine kinase FAST', 'Ser/Thr_kinase_FAST', 4, NULL),
(11755, NULL, 'IPR010862', NULL, 'Protein of unknown function DUF1493', 'DUF1493', 4, NULL),
(11756, NULL, 'IPR014811', NULL, 'Argonaute, linker 1 domain', 'ArgoL1', 3, NULL),
(11757, NULL, 'IPR011765', NULL, 'Peptidase M16, N-terminal', 'Pept_M16_N', 3, NULL),
(11758, NULL, 'IPR034611', NULL, 'D-tartrate dehydratase', 'D-tartrate_dehydratase', 4, NULL),
(11759, NULL, 'IPR015757', NULL, 'Calcineurin B protein', 'Calcineur_B', 4, NULL),
(11760, NULL, 'IPR012703', NULL, '2-aminoethylphosphonate--pyruvate transaminase', 'NH2EtPonate_pyrv_transaminase', 4, NULL),
(11761, NULL, 'IPR035944', NULL, 'YfbM-like super family', 'YfbM-like_sf', 5, NULL),
(11762, NULL, 'IPR012705', NULL, '2-methylcitrate dehydratase PrpD', '2Me_IsoCit_deHydtase_PrpD', 4, NULL),
(11763, NULL, 'IPR010864', NULL, 'D-lyxose isomerase', 'D-lyxose_isomer', 4, NULL),
(11764, NULL, 'IPR012797', NULL, 'Precorrin-6A synthase [deacetylating]', 'CobF', 4, NULL),
(11765, NULL, 'IPR024031', NULL, 'PPOX class F420-dependent enzyme, MSMEG_5819/OxyR family', 'MSMEG_5819/OxyR', 4, NULL),
(11766, NULL, 'IPR015708', NULL, 'Syntaxin-19', 'STX19', 4, NULL),
(11767, NULL, 'IPR009699', NULL, 'Mastadenovirus E4/Orf3', 'Mastadenovirus_E4/Orf3', 4, NULL),
(11768, NULL, 'IPR012727', NULL, 'Glycine oxidase ThiO', 'Gly_oxidase_ThiO', 4, NULL),
(11769, NULL, 'IPR023179', NULL, 'GTP-binding protein, orthogonal bundle domain superfamily', 'GTP-bd_ortho_bundle_sf', 5, NULL),
(11770, NULL, 'IPR023854', NULL, 'Poly-beta-1,6-N-acetyl-D-glucosamine N-deacetylase PgaB', 'PGA_deacetylase_PgaB', 4, NULL),
(11771, NULL, 'IPR023981', NULL, 'Pre-mycofactocin glycosyltransferase', 'MftF', 4, NULL),
(11772, NULL, 'IPR013382', NULL, 'CRISPR-associated protein Cse2', 'CRISPR-assoc_prot_Cse2', 4, NULL),
(11773, NULL, 'IPR023691', NULL, 'ABC transporter, vitamin B12 import, permease   protein BtuC', 'ABC_transptr_BtuC', 4, NULL),
(11774, NULL, 'IPR010870', NULL, 'Phosphate-selective porin O/P', 'Porin_O/P', 4, NULL),
(11775, NULL, 'IPR014791', NULL, 'Baseplate structural protein Gp11', 'Baseplate_struct_Gp11', 4, NULL),
(11776, NULL, 'IPR011745', NULL, 'RNA polymerase sigma-70, Myxococcus xanthus', 'RNA_pol_sigma70_MYXXA', 4, NULL),
(11777, NULL, 'IPR012719', NULL, 'T-complex protein 1, gamma subunit', 'Chap_CCT_gamma', 4, NULL),
(11778, NULL, 'IPR010840', NULL, 'Protein of unknown function DUF1449', 'DUF1449', 4, NULL),
(11779, NULL, 'IPR014512', NULL, 'Predicted O-glycosyl hydrolase', 'O_gly_hydro', 4, NULL),
(11780, NULL, 'IPR018024', NULL, 'Cobalamin (vitamin B12) transport protein CbiM', 'CbiM', 4, NULL),
(11781, NULL, 'IPR012725', NULL, 'Chaperone DnaK', 'Chaperone_DnaK', 4, NULL),
(11782, NULL, 'IPR034469', NULL, 'Ribosome biogenesis protein 15, RNA recognition motif', 'Nop15_RRM', 3, NULL),
(11783, NULL, 'IPR011750', NULL, 'Myxococcus xanthus double-CXXCG motif', 'Gmx_para_CXXCG', 4, NULL),
(11784, NULL, 'IPR012712', NULL, 'HTH-type transcriptional regulator HpaR/FarR', 'HpaR/FarR', 4, NULL),
(11785, NULL, 'IPR011740', NULL, 'Protein of unknown function DUF2460', 'DUF2460', 4, NULL),
(11786, NULL, 'IPR010874', NULL, 'Telomere-binding beta subunit', 'TEBP_beta', 4, NULL),
(11787, NULL, 'IPR012481', NULL, 'Kanamycin nucleotidyltransferase, C-terminal', 'KNTase_C', 3, NULL),
(11788, NULL, 'IPR009685', NULL, 'Male enhanced antigen 1', 'MEA1', 4, NULL),
(11789, NULL, 'IPR010853', NULL, 'DC-EC', 'CagY_M', 7, NULL),
(11790, NULL, 'IPR023693', NULL, 'ABC transporter, vitamin B12, BtuD', 'ABC_transptr_BtuD', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11791, NULL, 'IPR023700', NULL, 'Divalent cation tolerance protein CutA, Enterobacteria', 'CutA_Enterobact', 4, NULL),
(11792, NULL, 'IPR023689', NULL, '2,3-diketo-L-gulonate reductase', 'Diketo_gul_Rdtase', 4, NULL),
(11793, NULL, 'IPR014828', NULL, 'Non-structural protein NSP7, coronavirus', 'NSP7_CoV', 3, NULL),
(11794, NULL, 'IPR014261', NULL, 'Sulphite reductase, subunit C', 'Sulphite_reductase_C', 4, NULL),
(11795, NULL, 'IPR011732', NULL, 'Mycoplasma virulence, signal domain', 'Mycoplasma_virulence_signal', 3, NULL),
(11796, NULL, 'IPR010836', NULL, 'SapC', 'SapC', 4, NULL),
(11797, NULL, 'IPR012320', NULL, 'Stonin homology', 'SHD_dom', 3, NULL),
(11798, NULL, 'IPR015753', NULL, 'Leucine-rich repeat-containing protein 37', 'LRRC37', 4, NULL),
(11799, NULL, 'IPR009684', NULL, 'Proteinase inhibitor I47, latexin', 'Prot_inh_latexin', 4, NULL),
(11800, NULL, 'IPR024037', NULL, 'Alternate ATP synthase, F1 complex, subunit epsilon', 'Alt_ATP_synth_F1_esu', 4, NULL),
(11801, NULL, 'IPR014835', NULL, 'Rep protein catalytic-like', 'Rep_N', 3, NULL),
(11802, NULL, 'IPR010876', NULL, 'C1orf43', 'C1orf43', 4, NULL),
(11803, NULL, 'IPR024023', NULL, 'His-Xaa-Ser system radical SAM maturase HxsB', 'rSAM_paired_HxsB', 4, NULL),
(11804, NULL, 'IPR010858', NULL, 'Protein of unknown function DUF1481', 'DUF1481', 4, NULL),
(11805, NULL, 'IPR015725', NULL, 'Myosin Light Chain Kinase 1, Kinase domain', 'MLCK1_kinase_dom', 3, NULL),
(11806, NULL, 'IPR014799', NULL, 'Apx/Shrm Domain 2', 'ASD2_dom', 3, NULL),
(11807, NULL, 'IPR034608', NULL, 'Coiled-coil domain-containing protein 125', 'CCDC125', 4, NULL),
(11808, NULL, 'IPR009677', NULL, 'Protein of unknown function DUF1266', 'DUF1266', 4, NULL),
(11809, NULL, 'IPR014790', NULL, 'MutL, C-terminal, dimerisation', 'MutL_C', 3, NULL),
(11810, NULL, 'IPR012709', NULL, '2-methyl-aconitate isomerase PrpF', 'PrpF', 4, NULL),
(11811, NULL, 'IPR013395', NULL, 'Helicase Cas3, CRISPR-associated, Yersinia-type', 'Helicase_Cas3_CRISPR-ass_yers', 4, NULL),
(11812, NULL, 'IPR013392', NULL, 'Type III secretion protein HrpB7', 'T3SS_HrpB7', 4, NULL),
(11813, NULL, 'IPR023980', NULL, 'Conserved hypothetical protein CHP04013, B12-binding/radical SAM-type', 'CHP04013_B12-bd/rSAM', 4, NULL),
(11814, NULL, 'IPR011746', NULL, 'Trp biosynthesis associated, conserved hypothetical membrane protein', 'Trp_synth-assoc_CHP', 4, NULL),
(11815, NULL, 'IPR024029', NULL, 'Pyridoxamine 5-phosphate oxidase, FMN-dependent', 'Pyridox_Oxase_FMN-dep', 4, NULL),
(11816, NULL, 'IPR010865', NULL, 'Protein of unknown function DUF1499', 'DUF1499', 4, NULL),
(11817, NULL, 'IPR012698', NULL, 'Phosphoenolpyruvate phosphomutase, core', 'PEnolPyrv_PMutase_core', 3, NULL),
(11818, NULL, 'IPR014258', NULL, 'CAP domain, YkwD-like', 'CAP_domain_YkwD-like', 3, NULL),
(11819, NULL, 'IPR014842', NULL, 'Iron-regulated transcriptional activator AFT', 'AFT', 4, NULL),
(11820, NULL, 'IPR034610', NULL, 'L-fuconate dehydratase', 'L-fuconate_dehydratase', 4, NULL),
(11821, NULL, 'IPR013390', NULL, 'Type III secretion protein HpaP', 'T3SS_HpaP', 4, NULL),
(11822, NULL, 'IPR012478', NULL, 'GSG1-like', 'GSG-1', 4, NULL),
(11823, NULL, 'IPR013396', NULL, 'CRISPR-associated endoribonuclease Cas6/Csy4, subtype I-F/YPEST', 'CRISPR-assoc_prot_Csy4', 4, NULL),
(11824, NULL, 'IPR010877', NULL, 'Bacteriophage Mu, Gp46', 'Phage_Mu_Gp46', 4, NULL),
(11825, NULL, 'IPR034470', NULL, 'RBM15, RNA recognition motif 1', 'RBM15_RRM1', 3, NULL),
(11826, NULL, 'IPR012686', NULL, '4-hydroxyphenylacetate degradation bifunctional isomerase/decarboxylase, N-terminal subunit', 'HPA_isomer/decarb_N', 3, NULL),
(11827, NULL, 'IPR012325', NULL, 'Assassin bug toxin-like', 'Assassin_bug_toxin-like', 4, NULL),
(11828, NULL, 'IPR011739', NULL, 'Gene transfer agent, rcc01693', 'GTA_rcc01693', 4, NULL),
(11829, NULL, 'IPR023698', NULL, '3-isopropylmalate dehydrogenase, actinobacteria', 'LeuB_actb', 4, NULL),
(11830, NULL, 'IPR014829', NULL, 'Non-structural protein NSP8, coronavirus-like', 'NSP8_CoV-like', 3, NULL),
(11831, NULL, 'IPR014817', NULL, 'Gag protein p6', 'Gag_p6', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11832, NULL, 'IPR024163', NULL, 'Aerotolerance regulator, N-terminal', 'Aerotolerance_reg_N', 3, NULL),
(11833, NULL, 'IPR012313', NULL, 'Zinc finger, FCS-type', 'Znf_FCS', 3, NULL),
(11834, NULL, 'IPR012485', NULL, 'Centromere protein I', 'CENP-I', 4, NULL),
(11835, NULL, 'IPR015701', NULL, 'Ferredoxin--NADP reductase', 'FNR', 4, NULL),
(11836, NULL, 'IPR014270', NULL, 'PEP-CTERM integral membrane protein', 'PEP-CTERM_IMP', 4, NULL),
(11837, NULL, 'IPR014821', NULL, 'Inositol 1,4,5-trisphosphate/ryanodine receptor', 'Ins145_P3_rcpt', 3, NULL),
(11838, NULL, 'IPR014824', NULL, 'Scaffold protein Nfu/NifU, N-terminal', 'Nfu/NifU_N', 3, NULL),
(11839, NULL, 'IPR012714', NULL, 'Thermosome, archaeal', 'Thermosome_arc', 4, NULL),
(11840, NULL, 'IPR024046', NULL, 'Flagellar assembly factor FliW domain superfamily', 'Flagellar_assmbl_FliW_dom_sf', 5, NULL),
(11841, NULL, 'IPR013391', NULL, 'Type III secretion protein HrpB2', 'T3SS_HrpB2', 4, NULL),
(11842, NULL, 'IPR012700', NULL, 'Phosphonate C-P lyase system, PhnK', 'CP_lyase_PhnK', 4, NULL),
(11843, NULL, 'IPR010888', NULL, 'CblD-like pilus biogenesis initiator', 'CblD', 4, NULL),
(11844, NULL, 'IPR034631', NULL, 'MEF-2, RNA recognition motif 3', 'MYEF2_RRM3', 3, NULL),
(11845, NULL, 'IPR014266', NULL, 'PEP-CTERM system TPR-repeat lipoprotein, putative', 'PEP-CTERM_TPR_lipo', 4, NULL),
(11846, NULL, 'IPR012323', NULL, 'Cyclotide, bracelet, conserved site', 'Cyclotide_bracelet_CS', 2, NULL),
(11847, NULL, 'IPR012045', NULL, 'Peptidase M6, unassigned InhA-related', 'Pept_M6_InhA-rel', 4, NULL),
(11848, NULL, 'IPR010890', NULL, 'Primosomal replication PriB/PriC', 'Primosomal_replicat_PriB/PriC', 4, NULL),
(11849, NULL, 'IPR015719', NULL, 'Transmembrane emp24 domain-containing protein 11', 'TMED11', 4, NULL),
(11850, NULL, 'IPR014506', NULL, 'Uncharacterised conserved protein UCP020479, signal transduction CheW-like', 'UCP020479_CheW', 4, NULL),
(11851, NULL, 'IPR014524', NULL, 'Outer membrane protein assembly factor BamC', 'BamC', 4, NULL),
(11852, NULL, 'IPR011728', NULL, 'Polyhydroxyalkanoic acid inclusion protein PhaP', 'PhaP_Bmeg', 4, NULL),
(11853, NULL, 'IPR014845', NULL, 'Protein GYD/TTHA1554', 'GYD/TTHA1554', 4, NULL),
(11854, NULL, 'IPR014764', NULL, 'Defective-in-cullin neddylation protein', 'DCN-prot', 4, NULL),
(11855, NULL, 'IPR012724', NULL, 'Chaperone DnaJ', 'DnaJ', 4, NULL),
(11856, NULL, 'IPR014825', NULL, 'DNA alkylation repair enzyme', 'DNA_alkylation', 4, NULL),
(11857, NULL, 'IPR014834', NULL, 'Gag protein p15', 'Gag_p15', 3, NULL),
(11858, NULL, 'IPR014263', NULL, 'Methanolan biosynthesis EpsI', 'Methanolan_biosynth_EpsI', 3, NULL),
(11859, NULL, 'IPR012263', NULL, 'Adenine modification methylase, M.EcoRV-type', 'M_m6A_EcoRV', 4, NULL),
(11860, NULL, 'IPR009708', NULL, 'Bacteriophage A118-like, holin/antiholin', 'Phage_A118_holin/antiholin', 4, NULL),
(11861, NULL, 'IPR012052', NULL, 'Sporulation transcription factor Spo0A', 'Spore_0_A', 4, NULL),
(11862, NULL, 'IPR034468', NULL, 'Set1B, RNA recognition motif', 'Set1B_RRM', 3, NULL),
(11863, NULL, 'IPR012715', NULL, 'T-complex protein 1, alpha subunit', 'Chap_CCT_alpha', 4, NULL),
(11864, NULL, 'IPR023695', NULL, 'Thiosulfate sulfurtransferase, bacterial', 'Thiosulf_sulfurTrfase', 4, NULL),
(11865, NULL, 'IPR024017', NULL, 'Petide cyclisation enzyme, radical SAM', 'Pep_cycl_rSAM', 4, NULL),
(11866, NULL, 'IPR016061', NULL, 'Proline-tRNA ligase, class II, C-terminal', 'Pro-tRNA_ligase_II_C', 3, NULL),
(11867, NULL, 'IPR014362', NULL, 'Glutamate dehydrogenase', 'Glu_DH', 4, NULL),
(11868, NULL, 'IPR009676', NULL, 'Protein of unknown function DUF1265', 'DUF1265', 4, NULL),
(11869, NULL, 'IPR014353', NULL, 'Membrane-bound alcohol dehydrogenase, cytochrome c subunit', 'Membr-bd_ADH_cyt_c', 4, NULL),
(11870, NULL, 'IPR014810', NULL, 'Fcf2 pre-rRNA processing, C-terminal', 'Fcf2_C', 3, NULL),
(11871, NULL, 'IPR014849', NULL, 'EKC/KEOPS complex, subunit Gon7', 'EKC/KEOPS_Gon7', 4, NULL),
(11872, NULL, 'IPR010857', NULL, 'Zona-pellucida-binding', 'Sp38-bd', 4, NULL),
(11873, NULL, 'IPR012707', NULL, '4-hydroxyphenylacetate permease', 'HPA_permease', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11874, NULL, 'IPR013375', NULL, 'O-phosphoseryl-tRNA:Cys-tRNA synthase, archaea', 'Sep_Cys-tRNA_synth_arc', 4, NULL),
(11875, NULL, 'IPR023976', NULL, 'Conserved hypothetical protein CHP04031, Htur1727', 'CHP04031_Htur1727', 4, NULL),
(11876, NULL, 'IPR013377', NULL, 'Peptidoglycan hydrolase FlgJ', 'FlaJ', 4, NULL),
(11877, NULL, 'IPR009696', NULL, 'Putative replisome organiser, C-terminal', 'Rep_Org_C', 3, NULL),
(11878, NULL, 'IPR009702', NULL, 'Protein of unknown function DUF1284', 'DUF1284', 4, NULL),
(11879, NULL, 'IPR013378', NULL, 'Listeria/Bacterioides repeat', 'Listeria/Bacterioides_rpt', 7, NULL),
(11880, NULL, 'IPR013403', NULL, 'CRISPR-associated protein GSU0053', 'CRISPR-assoc_prot_GSU0053', 4, NULL),
(11881, NULL, 'IPR012316', NULL, 'ITAM motif, hantavirus type', 'ITAM_motif_hantavir-typ', 3, NULL),
(11882, NULL, 'IPR023130', NULL, 'Ta0600-like superfamily', 'Ta0600-like_sf', 5, NULL),
(11883, NULL, 'IPR014808', NULL, 'DNA replication factor Dna2, N-terminal', 'DNA_replication_fac_Dna2_N', 3, NULL),
(11884, NULL, 'IPR012043', NULL, 'Pantoate kinase', 'PoK', 4, NULL),
(11885, NULL, 'IPR012708', NULL, '2-methylisocitrate dehydratase AcnD, Fe/S-dependent', '2Me_IsoCit_deHydtase_FeS-dep', 4, NULL),
(11886, NULL, 'IPR034783', NULL, 'Sorting nexin-4', 'SNX4', 4, NULL),
(11887, NULL, 'IPR010852', NULL, 'Putative stress-induced transcription regulator', 'ABATE', 4, NULL),
(11888, NULL, 'IPR012693', NULL, 'ABC transporter, phosphonate import, PhnC', 'ABC_transpr_PhnC', 4, NULL),
(11889, NULL, 'IPR014836', NULL, 'Integrin beta subunit, cytoplasmic domain', 'Integrin_bsu_cyt_dom', 3, NULL),
(11890, NULL, 'IPR010867', NULL, 'NPR nonapeptide', 'NPR_nonapeptide', 7, NULL),
(11891, NULL, 'IPR014262', NULL, 'Extracellular HAF', 'Extracellular_HAF', 7, NULL),
(11892, NULL, 'IPR013374', NULL, 'ATPase, type IV, pilus assembly, PilB', 'ATPase_typ4_pilus-assembl_PilB', 4, NULL),
(11893, NULL, 'IPR013381', NULL, 'CRISPR-associated protein Cse1', 'CRISPR-assoc_prot_Cse1', 4, NULL),
(11894, NULL, 'IPR013501', NULL, 'Ethanolamine utilization protein, PduT-related', 'Eut_PduT-rel', 4, NULL),
(11895, NULL, 'IPR010866', NULL, 'Alpha-2,8-polysialyltransferase', 'A-2_8-polyST', 4, NULL),
(11896, NULL, 'IPR015727', NULL, 'Protein kinase C mu-related', 'Protein_Kinase_C_mu-related', 4, NULL),
(11897, NULL, 'IPR012695', NULL, '2-methylisocitrate lyase', 'PrpB', 4, NULL),
(11898, NULL, 'IPR010839', NULL, 'Acyclic terpene utilisation', 'AtuA', 4, NULL),
(11899, NULL, 'IPR012255', NULL, 'Electron transfer flavoprotein, beta subunit', 'ETF_b', 4, NULL),
(11900, NULL, 'IPR012049', NULL, 'Menaquinone:cytochrome c reductase, cytochrome b/c subunit', 'MenaQ_cyt_c_Rdtase_cyt_b/c-su', 4, NULL),
(11901, NULL, 'IPR009705', NULL, 'Sulfolobus virus STSV1, Orf8', 'STSV1_Orf8', 4, NULL),
(11902, NULL, 'IPR012319', NULL, 'Formamidopyrimidine-DNA glycosylase, catalytic domain', 'FPG_cat', 3, NULL),
(11903, NULL, 'IPR014801', NULL, 'Mediator complex, subunit Med5, fungi', 'Mediator_Med5_fun', 4, NULL),
(11904, NULL, 'IPR015760', NULL, 'Translation initiation factor IF- 2', 'TIF_IF2', 4, NULL),
(11905, NULL, 'IPR013397', NULL, 'CRISPR-associated protein Csy1', 'CRISPR-assoc_prot_Csy1', 4, NULL),
(11906, NULL, 'IPR009664', NULL, 'Pyrimidine/purine nucleoside phosphorylase', 'Ppnp', 4, NULL),
(11907, NULL, 'IPR024020', NULL, 'Anti sigma-R factor, mycothiol system,RsrA', 'Anit_sigma_mycothiol_RsrA', 4, NULL),
(11908, NULL, 'IPR014826', NULL, 'Formaldehyde-activating enzyme', 'HCHO-activating_enzyme', 3, NULL),
(11909, NULL, 'IPR009671', NULL, 'Regulator of ribonuclease activity B domain', 'RraB_dom', 3, NULL),
(11910, NULL, 'IPR023987', NULL, 'Conserved hypothetical protein CHP03977, oxidoreductase', 'CHP03977_oxidoreductase', 4, NULL),
(11911, NULL, 'IPR010848', NULL, 'Protein of unknown function DUF1465', 'DUF1465', 4, NULL),
(11912, NULL, 'IPR014795', NULL, 'Vibrio phage ICP1, Orf50', 'Vibrio_phage_ICP1_Orf50', 4, NULL),
(11913, NULL, 'IPR010861', NULL, 'Protein of unknown function DUF1492', 'DUF1492', 4, NULL),
(11914, NULL, 'IPR013394', NULL, 'Type III secretion system, HrpB1/HrpK', 'T3SS_HrpB1/HrpK', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11915, NULL, 'IPR014830', NULL, 'Glycolipid transfer protein domain', 'Glycolipid_transfer_prot_dom', 3, NULL),
(11916, NULL, 'IPR013380', NULL, 'Type 3 secretion system ATPase SCTN', 'ATPase_T3SS_SCTN', 4, NULL),
(11917, NULL, 'IPR035909', NULL, 'Methylesterase CheB, C-terminal', 'CheB_C', 5, NULL),
(11918, NULL, 'IPR012684', NULL, '4-hydroxyphenylacetate degradation bifunctional isomerase/decarboxylase, C-terminal subunit', 'HPA_isomer/decarb_C', 3, NULL),
(11919, NULL, 'IPR010880', NULL, 'Herpesvirus UL37, HHV-5-related', 'Herpes_UL37_HHV-5-rel', 4, NULL),
(11920, NULL, 'IPR024152', NULL, 'Inhibitor of nuclear factor kappa-B kinase-interacting protein', 'Inh_kappa-B_kinase-int', 4, NULL),
(11921, NULL, 'IPR009689', NULL, 'Protein of unknown function DUF1280', 'DUF1280', 4, NULL),
(11922, NULL, 'IPR012731', NULL, 'Thiazole biosynthesis adenylyltransferase ThiF', 'Adenyl_ThiF', 4, NULL),
(11923, NULL, 'IPR023979', NULL, 'Conserved hypothetical protein CHP04014, B12-binding/radical SAM-type', 'CHP04014_B12-bd/rSAM', 4, NULL),
(11924, NULL, 'IPR013393', NULL, 'Type III secretion protein HrpB4', 'T3SS_HrpB4', 4, NULL),
(11925, NULL, 'IPR009682', NULL, 'Protein of unknown function DUF1270', 'DUF1270', 4, NULL),
(11926, NULL, 'IPR012722', NULL, 'T-complex protein 1, zeta subunit', 'Chap_CCT_zeta', 4, NULL),
(11927, NULL, 'IPR015712', NULL, 'DNA-directed RNA polymerase, subunit 2', 'DNA-dir_RNA_pol_su2', 4, NULL),
(11928, NULL, 'IPR018026', NULL, 'DNA repair protein Rad4, subgroup', 'DNA_repair_Rad4_subgr', 4, NULL),
(11929, NULL, 'IPR014522', NULL, 'Archaeosortase A', 'ArtA', 4, NULL),
(11930, NULL, 'IPR034609', NULL, 'Synaptonemal complex central element protein 2', 'Syce2', 4, NULL),
(11931, NULL, 'IPR009707', NULL, 'Membrane protein GlpM/YdgC', 'GlpM/YdgC', 4, NULL),
(11932, NULL, 'IPR008452', NULL, 'Citrus tristeza virus P18', 'CTV_P18', 4, NULL),
(11933, NULL, 'IPR009703', NULL, 'Selenoprotein S', 'Selenoprotein_S', 4, NULL),
(11934, NULL, 'IPR015718', NULL, 'Transmembrane emp24 domain-containing protein 7', 'TMED7', 4, NULL),
(11935, NULL, 'IPR012042', NULL, 'Inorganic triphosphatase NeuTTM/CthTTM-like', 'NeuTTM/CthTTM-like', 4, NULL),
(11936, NULL, 'IPR034924', NULL, 'TNRC6A, RNA recognition motif', 'TNRC6A_RRM', 3, NULL),
(11937, NULL, 'IPR014832', NULL, 'TnsA endonuclease C-terminal', 'TnsA_C', 3, NULL),
(11938, NULL, 'IPR012733', NULL, '4-hydroxybenzoate 3-monooxygenase', 'HB_mOase', 4, NULL),
(11939, NULL, 'IPR012048', NULL, 'Formylmethanofuran dehydrogenase, fused subunit C/D', 'Formylmethanofuran_DH_csu/dsu', 4, NULL),
(11940, NULL, 'IPR012732', NULL, 'Hydroxymethylpyrimidine transporter CytX', 'Thia_CytX', 4, NULL),
(11941, NULL, 'IPR010863', NULL, 'Protein of unknown function DUF1495', 'DUF1495', 4, NULL),
(11942, NULL, 'IPR009692', NULL, 'P13 protein, Citrus tristeza virus', 'P13_Citrus_tristeza_virus', 4, NULL),
(11943, NULL, 'IPR014517', NULL, 'ArsR transcriptional regulator', 'ArsR_tscrpt_regulator', 4, NULL),
(11944, NULL, 'IPR024025', NULL, 'SCIFF radical SAM maturase', 'SCIFF_rSAM_maturase', 4, NULL),
(11945, NULL, 'IPR012734', NULL, 'Dihydroxyacetone kinase', 'DhaK_ATP', 4, NULL),
(11946, NULL, 'IPR014254', NULL, 'Spore coat protein YutH', 'Spore_coat_YutH', 4, NULL),
(11947, NULL, 'IPR011757', NULL, 'Lytic transglycosylase MltB', 'Lytic_transglycosylase_MltB', 4, NULL),
(11948, NULL, 'IPR014789', NULL, 'Poly(A)-specific ribonuclease, RNA-binding', 'PolyA-riboNase_RNA-binding', 3, NULL),
(11949, NULL, 'IPR010851', NULL, 'Defensin-like protein', 'DEFL', 4, NULL),
(11950, NULL, 'IPR013388', NULL, 'Type III secretion apparatus protein OrgA/MxiK', 'T3SS_OrgA/MxiK', 4, NULL),
(11951, NULL, 'IPR009674', NULL, 'DNA-directed RNA polymerase I subunit RPA2, domain 4', 'Rpa2_dom_4', 3, NULL),
(11952, NULL, 'IPR012702', NULL, 'Phosphonate C-P lyase system, transcriptional regulator PhnF', 'CP_lyase_PhnF', 4, NULL),
(11953, NULL, 'IPR014803', NULL, 'DNA repair protein Nse5/Nse6', 'DNA_repair_Nse5/Nse6', 4, NULL),
(11954, NULL, 'IPR023131', NULL, 'Mth639-like domain superfamily', 'Mth639-like_dom_sf', 5, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11955, NULL, 'IPR010886', NULL, 'Histone H1-like Hc1', 'Hc1', 4, NULL),
(11956, NULL, 'IPR012314', NULL, 'Peptidase M12B, GON-ADAMTSs', 'Pept_M12B_GON-ADAMTSs', 3, NULL),
(11957, NULL, 'IPR010884', NULL, '6-Cysteine (6-Cys) domain', '6_CYS_dom', 3, NULL),
(11958, NULL, 'IPR014772', NULL, 'Mammalian uncoordinated homology 13, domain 2', 'Munc13_dom-2', 3, NULL),
(11959, NULL, 'IPR011758', NULL, 'Alpha-L-glutamate ligase-related protein', 'RimK-rel_E_lig', 4, NULL),
(11960, NULL, 'IPR010854', NULL, 'YdgH/BhsA/McbA-like domain', 'YdgH/BhsA/McbA-like_dom', 3, NULL),
(11961, NULL, 'IPR015720', NULL, 'Transmembrane emp24 domain-containing protein', 'Emp24-like', 4, NULL),
(11962, NULL, 'IPR013987', NULL, 'Protein YjdM, N-terminal', 'YjdM_N', 3, NULL),
(11963, NULL, 'IPR011736', NULL, 'Ehrlichia tandem repeat', 'Ehrlichia_tandem_rpt', 7, NULL),
(11964, NULL, 'IPR012720', NULL, 'T-complex protein 1, eta subunit', 'Chap_CCT_eta', 4, NULL),
(11965, NULL, 'IPR011744', NULL, 'F0F1-ATPase subunit, putative', 'ATPase_gene1', 4, NULL),
(11966, NULL, 'IPR012247', NULL, 'Bifunctional molybdenum cofactor biosynthesis protein MoaC/MogA', 'MoaC_MogA', 4, NULL),
(11967, NULL, 'IPR011755', NULL, 'Conserved hyptothetical protein CHP02269, MYXXA', 'CHP02269_MYXXA', 4, NULL),
(11968, NULL, 'IPR012799', NULL, 'Fatty oxidation complex, alpha subunit FadB', 'FadB', 4, NULL),
(11969, NULL, 'IPR023985', NULL, 'Mycofactocin-dependent oxidoreductase', 'SDR_subfam_1', 4, NULL),
(11970, NULL, 'IPR014505', NULL, 'UMP-CMP kinase 2, mitochondrial', 'UMP-CMP_kinase_2', 4, NULL),
(11971, NULL, 'IPR010878', NULL, 'Protein of unknown function Gp111', 'Gp111', 4, NULL),
(11972, NULL, 'IPR009683', NULL, 'Extensin-like, C-terminal', 'Extensin-like_C', 3, NULL),
(11973, NULL, 'IPR014268', NULL, 'Glycosyltransferase-stabilising protein GtfB', 'GtfB', 4, NULL),
(11974, NULL, 'IPR010835', NULL, 'Protein of unknown function DUF1439', 'DUF1439', 4, NULL),
(11975, NULL, 'IPR010855', NULL, 'Cytomegalovirus IE1/IE2', 'Cytomega_IE1/IE2', 4, NULL),
(11976, NULL, 'IPR010881', NULL, 'Gammaherpesvirus latent membrane protein 2', 'Herpes_LMP2', 4, NULL),
(11977, NULL, 'IPR014510', NULL, 'Tellurite resistance predicted, YeaR', 'Tellurite-R_YeaR', 4, NULL),
(11978, NULL, 'IPR013775', NULL, 'Alpha-amylase, plant', 'A-amylase_pln', 4, NULL),
(11979, NULL, 'IPR012483', NULL, 'Inner membrane mitoribosome receptor Mba1, Saccharomycetales', 'Mba1_Saccharomycetales', 4, NULL),
(11980, NULL, 'IPR011733', NULL, 'Conserved hypothetical CHP02185, integral membrane', 'CHP02185_IM', 4, NULL),
(11981, NULL, 'IPR014798', NULL, 'Protein Ocr', 'Ocr', 4, NULL),
(11982, NULL, 'IPR014519', NULL, 'Uncharacterised conserved protein UCP024492', 'UCP024492', 4, NULL),
(11983, NULL, 'IPR014840', NULL, 'Hpc2-related domain', 'HRD', 3, NULL),
(11984, NULL, 'IPR024018', NULL, 'Conserved hypothetical protein CHP04083, radical SAM', 'CHP04083_rSAM', 4, NULL),
(11985, NULL, 'IPR024028', NULL, 'Polynucleotide kinase-phosphatase, bacterial', 'PNKP_bac', 4, NULL),
(11986, NULL, 'IPR012258', NULL, 'Acyl-CoA oxidase', 'Acyl-CoA_oxidase', 4, NULL),
(11987, NULL, 'IPR009690', NULL, 'Bacteriophage T4, Gp30.7', 'Phage_T4_Gp30_7', 4, NULL),
(11988, NULL, 'IPR014804', NULL, 'Mitochondrial protein Pet20-like', 'Pet20-like', 4, NULL),
(11989, NULL, 'IPR012477', NULL, 'Glycosyltransferase family 52', 'Glyco_transf_52', 4, NULL),
(11990, NULL, 'IPR014788', NULL, 'Acetylcholinesterase, tetramerisation domain', 'AChE_tetra', 3, NULL),
(11991, NULL, 'IPR023972', NULL, 'Conserved hypothetical protein CHP04069, acyl carrier-related', 'CHP04069_acyl_carrier-rel', 4, NULL),
(11992, NULL, 'IPR014038', NULL, 'Translation elongation factor EF1B, beta/delta subunit, guanine nucleotide exchange domain', 'EF1B_bsu/dsu_GNE', 3, NULL),
(11993, NULL, 'IPR014800', NULL, 'Apx/Shrm Domain 1', 'ASD1_dom', 3, NULL),
(11994, NULL, 'IPR010838', NULL, 'Protein of unknown unction DUF1444', 'DUF1444', 4, NULL),
(11995, NULL, 'IPR010893', NULL, '[NiFe]-hydrogenase maturation factor  HyaE', 'NiFe-hyd_mat_HyaE', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(11996, NULL, 'IPR014806', NULL, 'Ubiquitin-fold modifier-conjugating enzyme 1', 'Ufc1', 4, NULL),
(11997, NULL, 'IPR012315', NULL, 'KASH domain', 'KASH', 3, NULL),
(11998, NULL, 'IPR034613', NULL, 'Muconate cycloisomerase (anti)', 'Muconate_cycloisomerase_anti', 4, NULL),
(11999, NULL, 'IPR035910', NULL, 'RyR/IP3 receptor binding core, RIH domain superfamily', 'RyR/IP3R_RIH_dom_sf', 5, NULL),
(12000, NULL, 'IPR015758', NULL, 'Ral guanine nucleotide dissociation stimulator', 'RalGDS', 4, NULL),
(12001, NULL, 'IPR012959', NULL, 'CPL domain', 'CPL_dom', 3, NULL),
(12002, NULL, 'IPR010895', NULL, 'CHRD', 'CHRD', 3, NULL),
(12003, NULL, 'IPR008472', NULL, 'Domain of unknown function DUF753', 'DUF753', 3, NULL),
(12004, NULL, 'IPR034958', NULL, 'Testin, LIM domain 1', 'LIM1_Testin', 3, NULL),
(12005, NULL, 'IPR014558', NULL, 'Uncharacterised conserved lipoprotein', 'UCP029720', 4, NULL),
(12006, NULL, 'IPR019903', NULL, 'Repair of iron centres family', 'RIC_family', 4, NULL),
(12007, NULL, 'IPR016156', NULL, 'FAD/NAD-linked reductase, dimerisation domain superfamily', 'FAD/NAD-linked_Rdtase_dimer_sf', 5, NULL),
(12008, NULL, 'IPR008482', NULL, 'Protein of unknown function DUF763', 'DUF763', 4, NULL),
(12009, NULL, 'IPR008720', NULL, 'Viral hemorrhagic septicemia virus non-virion', 'Novirhabdo_Nv', 4, NULL),
(12010, NULL, 'IPR008756', NULL, 'Peptidase M56', 'Peptidase_M56', 3, NULL),
(12011, NULL, 'IPR008771', NULL, 'Phi-29-like late genes activator', 'Phi-29_GP4', 4, NULL),
(12012, NULL, 'IPR011912', NULL, 'ADP-L-glycero-D-manno-heptose-6-epimerase', 'Heptose_epim', 4, NULL),
(12013, NULL, 'IPR020026', NULL, 'UDP-4-amino-4,6-dideoxy-N-acetyl-beta-L-altrosamine transaminase', 'PseC', 4, NULL),
(12014, NULL, 'IPR012992', NULL, 'Tetracycline resistance leader peptide, TetM', 'Tet-R_leader_TetM', 4, NULL),
(12015, NULL, 'IPR010901', NULL, 'Merozoite surface 1, C-terminal', 'MSP1_C', 3, NULL),
(12016, NULL, 'IPR013656', NULL, 'PAS fold-4', 'PAS_4', 3, NULL),
(12017, NULL, 'IPR008331', NULL, 'Ferritin/DPS protein domain', 'Ferritin_DPS_dom', 3, NULL),
(12018, NULL, 'IPR020023', NULL, 'UDP-2,4-diacetamido-2,4,6-trideoxy-beta-L-altropyranose hydrolase', 'PseG', 4, NULL),
(12019, NULL, 'IPR014535', NULL, 'Predicted heptaprenyl diphosphate synthase, component I', 'Hpre_diP_synt_I', 4, NULL),
(12020, NULL, 'IPR014537', NULL, 'Uncharacterised conserved protein UCP027893', 'UCP027893', 4, NULL),
(12021, NULL, 'IPR010902', NULL, 'NUMOD4', 'NUMOD4', 3, NULL),
(12022, NULL, 'IPR008492', NULL, 'Protein of unknown function DUF774', 'DUF774', 4, NULL),
(12023, NULL, 'IPR008722', NULL, 'Outer membrane porin F, N-terminal', 'OprF_membrane_N', 3, NULL),
(12024, NULL, 'IPR012266', NULL, 'Protein-tyrosine phosphatase, non-receptor type-12', 'Ptpn_12', 4, NULL),
(12025, NULL, 'IPR008732', NULL, 'Protein Pet122', 'Pet122', 4, NULL),
(12026, NULL, 'IPR013229', NULL, 'PEGA', 'PEGA', 3, NULL),
(12027, NULL, 'IPR034318', NULL, 'Transcriptional adapter ADA2, plants', 'ADA2_plants', 4, NULL),
(12028, NULL, 'IPR012995', NULL, 'CIII regulator', 'CIII_regul', 4, NULL),
(12029, NULL, 'IPR023623', NULL, 'Antenna complex, beta subunit, conserved site', 'Antenna_beta_CS', 2, NULL),
(12030, NULL, 'IPR011913', NULL, 'RfaE bifunctional protein, domain I', 'RfaE_dom_I', 3, NULL),
(12031, NULL, 'IPR008743', NULL, 'Arterivirus Nsp2, peptidase C33', 'Arterivirus_Nsp2_C33', 3, NULL),
(12032, NULL, 'IPR012976', NULL, 'NOSIC', 'NOSIC', 3, NULL),
(12033, NULL, 'IPR008751', NULL, 'Peptidase C53, pestivirus Npro', 'Peptidase_C53', 3, NULL),
(12034, NULL, 'IPR019908', NULL, 'Endodeoxyribonuclease toxin RalR', 'Toxin_RalR', 4, NULL),
(12035, NULL, 'IPR016171', NULL, 'Vanillyl-alcohol oxidase, C-terminal subdomain 2', 'Vanillyl_alc_oxidase_C-sub2', 5, NULL),
(12036, NULL, 'IPR008335', NULL, 'Eukaryotic molybdopterin oxidoreductase', 'Mopterin_OxRdtase_euk', 4, NULL),
(12037, NULL, 'IPR008731', NULL, 'Phosphotransferase system, enzyme I  N-terminal', 'PTS_EIN', 3, NULL),
(12038, NULL, 'IPR014551', NULL, 'Beta-glucosidase GBA2-type', 'B_Glucosidase_GBA2-typ', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12039, NULL, 'IPR012677', NULL, 'Nucleotide-binding alpha-beta plait domain superfamily', 'Nucleotide-bd_a/b_plait_sf', 5, NULL),
(12040, NULL, 'IPR010519', NULL, 'Female-specific protein transformer', 'Tra', 4, NULL),
(12041, NULL, 'IPR008735', NULL, 'Beta-microseminoprotein', 'PSP94', 4, NULL),
(12042, NULL, 'IPR009712', NULL, 'Vibrio phage Vf33, Vpf117', 'Vibrio_phage_Vf33_Vpf117', 4, NULL),
(12043, NULL, 'IPR009722', NULL, 'SdiA-regulated', 'SdiA-regulated', 4, NULL),
(12044, NULL, 'IPR011909', NULL, 'Glutaredoxin-like protein NrdH', 'GlrX_NrdH', 4, NULL),
(12045, NULL, 'IPR016158', NULL, 'Cullin homology domain', 'Cullin_homology', 3, NULL),
(12046, NULL, 'IPR008766', NULL, 'Replication gene A protein', 'Replication_gene_A', 4, NULL),
(12047, NULL, 'IPR020064', NULL, 'ABC transporter, G1', 'ABCG1', 4, NULL),
(12048, NULL, 'IPR008474', NULL, 'Protein of unknown function DUF755', 'DUF755', 4, NULL),
(12049, NULL, 'IPR035945', NULL, 'YhaI-like superfamily', 'YhaI-like_sf', 5, NULL),
(12050, NULL, 'IPR012987', NULL, 'ROK, N-terminal', 'ROK_N', 3, NULL),
(12051, NULL, 'IPR008737', NULL, 'Peptidase aspartic, putative', 'Peptidase_asp_put', 3, NULL),
(12052, NULL, 'IPR011916', NULL, 'Lipopolysaccharide heptosyltransferase III, putative', 'LipoPS_heptosylTferase-III', 4, NULL),
(12053, NULL, 'IPR013223', NULL, 'Ribonuclease B, N-terminal OB domain', 'RNase_B_OB_dom', 3, NULL),
(12054, NULL, 'IPR008734', NULL, 'Phosphorylase kinase alpha/beta subunit', 'PHK_A/B_su', 4, NULL),
(12055, NULL, 'IPR013650', NULL, 'ATP-grasp fold, succinyl-CoA synthetase-type', 'ATP-grasp_succ-CoA_synth-type', 3, NULL),
(12056, NULL, 'IPR008764', NULL, 'Peptidase U57, YabG', 'Peptidase_U57', 4, NULL),
(12057, NULL, 'IPR014549', NULL, 'Flagellar protein FlgO', 'FlgO', 4, NULL),
(12058, NULL, 'IPR012973', NULL, 'NOG, C-terminal', 'NOG_C', 3, NULL),
(12059, NULL, 'IPR013648', NULL, 'Polyprotein, Potyviridae', 'PP_Potyviridae', 3, NULL),
(12060, NULL, 'IPR034513', NULL, 'hnRNP A3, RNA recognition motif 1', 'hnRNPA3_RRM1', 3, NULL),
(12061, NULL, 'IPR008458', NULL, 'Accessory protein 5b, avian coronavirus', 'Acc_prot_5b_avian_CoV', 4, NULL),
(12062, NULL, 'IPR008769', NULL, 'Poly granule associated', 'PhaF_PhaI', 4, NULL),
(12063, NULL, 'IPR008770', NULL, 'DNA terminal protein Gp3', 'DNA_terminal_Gp3', 4, NULL),
(12064, NULL, 'IPR024238', NULL, 'Initiator binding protein 39kDa, C-terminal', 'IBP39_C', 3, NULL),
(12065, NULL, 'IPR008738', NULL, 'Peptidase C27, rubella virus endopeptidase', 'Peptidase_C27', 3, NULL),
(12066, NULL, 'IPR009711', NULL, 'Uncharacterised protein family UPF0473', 'UPF0473', 4, NULL),
(12067, NULL, 'IPR034034', NULL, 'Tumor necrosis factor receptor 21, N-terminal', 'TNFRSF21_N', 3, NULL),
(12068, NULL, 'IPR013059', NULL, 'Tryptophan/tyrosine transporter', 'Trp_tyr_transpt', 4, NULL),
(12069, NULL, 'IPR008500', NULL, 'Circovirus Orf3', 'Circovirus_Orf3', 4, NULL),
(12070, NULL, 'IPR008480', NULL, 'Protein of unknown function DUF761, plant', 'DUF761_pln', 4, NULL),
(12071, NULL, 'IPR012066', NULL, 'Uroporphyrin-III C-methyltransferase, fungi', 'Met1_fungi', 4, NULL),
(12072, NULL, 'IPR011910', NULL, 'ADP-heptose--LPS heptosyltransferase 2', 'RfaF', 4, NULL),
(12073, NULL, 'IPR012675', NULL, 'Beta-grasp domain superfamily', 'Beta-grasp_dom_sf', 5, NULL),
(12074, NULL, 'IPR013081', NULL, 'Photosystem II cytochrome b559, N-terminal', 'PSII_cyt_b559_N', 3, NULL),
(12075, NULL, 'IPR010903', NULL, 'Protein of unknown function DUF1517', 'DUF1517', 4, NULL),
(12076, NULL, 'IPR013574', NULL, 'Glucan-binding protein C/Surface antigen I/II, V-domain', 'Glucan-bd_C/Surface_Ag-I/II_V', 3, NULL),
(12077, NULL, 'IPR016176', NULL, 'Cobalamin (vitamin B12)-dependent enzyme, catalytic', 'Cbl-dep_enz_cat', 5, NULL),
(12078, NULL, 'IPR010894', NULL, 'Stage V sporulation AD', 'SpoVAD', 4, NULL),
(12079, NULL, 'IPR012952', NULL, 'BING4, C-terminal domain', 'BING4_C_dom', 3, NULL),
(12080, NULL, 'IPR012972', NULL, 'NLE', 'NLE', 3, NULL),
(12081, NULL, 'IPR012678', NULL, 'Ribosomal protein L23/L15e core domain superfamily', 'Ribosomal_L23/L15e_core_dom_sf', 5, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12082, NULL, 'IPR012960', NULL, 'Dyskerin-like', 'Dyskerin-like', 3, NULL),
(12083, NULL, 'IPR011896', NULL, '2-oxoacid:acceptor oxidoreductase, beta subunit', 'OFOB', 4, NULL),
(12084, NULL, 'IPR013341', NULL, 'Mandelate racemase/muconate lactonizing enzyme, N-terminal domain', 'Mandelate_racemase_N_dom', 3, NULL),
(12085, NULL, 'IPR020073', NULL, 'Uncharacterised protein family AF1718', 'Uncharacterised_AF1718', 4, NULL),
(12086, NULL, 'IPR016186', NULL, 'C-type lectin-like/link domain superfamily', 'C-type_lectin-like/link_sf', 5, NULL),
(12087, NULL, 'IPR008749', NULL, 'Peptidase C42, beet yellows virus-type papain-like endopeptidase C42', 'Peptidase_C42', 3, NULL),
(12088, NULL, 'IPR014547', NULL, 'Uncharacterised conserved protein UCP028477', 'UCP028477', 4, NULL),
(12089, NULL, 'IPR016172', NULL, 'D-lactate dehydrogenase, cap domain, subdomain 1', 'D-lactate_DH_C-sub1', 5, NULL),
(12090, NULL, 'IPR034959', NULL, 'Testin, LIM domain 2', 'LIM2_Testin', 3, NULL),
(12091, NULL, 'IPR008466', NULL, 'Protein phosphatase inhibitor 1', 'PPP1R1A/B/C', 4, NULL),
(12092, NULL, 'IPR014538', NULL, 'Uncharacterised conserved protein, topoisomerase zinc finger', 'UCP028063_topo_Znf', 4, NULL),
(12093, NULL, 'IPR012975', NULL, 'NOPS', 'NOPS', 3, NULL),
(12094, NULL, 'IPR008457', NULL, 'Copper resistance protein D', 'Cu-R_CopD', 3, NULL),
(12095, NULL, 'IPR019979', NULL, 'Ribosomal protein S17, conserved site', 'Ribosomal_S17_CS', 2, NULL),
(12096, NULL, 'IPR011906', NULL, 'Glutaredoxin domain', 'Glutaredoxin_dom', 3, NULL),
(12097, NULL, 'IPR008487', NULL, 'Protein of unknown function DUF769', 'DUF769', 4, NULL),
(12098, NULL, 'IPR008336', NULL, 'DNA topoisomerase I, DNA binding, eukaryotic-type', 'TopoI_DNA-bd_euk', 3, NULL),
(12099, NULL, 'IPR013660', NULL, 'DNA polymerase B exonuclease, N-terminal', 'DNApol_B_exo_N', 3, NULL),
(12100, NULL, 'IPR012950', NULL, 'Alpha enterocin/lactococcin', 'Alpha_enterocin/lactococcin', 4, NULL),
(12101, NULL, 'IPR020025', NULL, 'UDP-N-acetylglucosamine 4,6-dehydratase (inverting)', 'PseB', 4, NULL),
(12102, NULL, 'IPR012075', NULL, 'Glutamate synthase, large subunit domains 1/3 fusion', 'Glu_synth_lsu_1/3', 4, NULL),
(12103, NULL, 'IPR012961', NULL, 'ATP-dependent RNA helicase Ski2, C-terminal', 'Ski2_C', 3, NULL),
(12104, NULL, 'IPR011900', NULL, 'Glutaredoxin, GrxC', 'GRX_bact', 4, NULL),
(12105, NULL, 'IPR034939', NULL, 'Gallate dioxygenase, N-terminal', 'Gallate_Doxase_N', 3, NULL),
(12106, NULL, 'IPR016182', NULL, 'Copper amine oxidase, N-terminal', 'Cu_amine_oxidase_N-reg', 5, NULL),
(12107, NULL, 'IPR012267', NULL, 'Peptidase S1A, acrosin', 'Pept_S1A_acrosin', 4, NULL),
(12108, NULL, 'IPR010527', NULL, 'Photosystem II PsbU, oxygen evolving complex', 'PSII_PsbU', 4, NULL),
(12109, NULL, 'IPR009716', NULL, 'Ferroportin-1', 'Ferroportin-1', 4, NULL),
(12110, NULL, 'IPR014536', NULL, 'Sorting nexin 9 family', 'Snx9_fam', 4, NULL),
(12111, NULL, 'IPR008469', NULL, 'DREPP family', 'DREPP', 4, NULL),
(12112, NULL, 'IPR024057', NULL, 'Nucleoplasmin core domain', 'Nucleoplasmin_core_dom', 3, NULL),
(12113, NULL, 'IPR012062', NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit  GatZ/KbaZ-like', 'GatZ/KbaZ-like', 4, NULL),
(12114, NULL, 'IPR008496', NULL, 'TMEM222/RTE1', 'TMEM222/RTE1', 4, NULL),
(12115, NULL, 'IPR016177', NULL, 'DNA-binding domain superfamily', 'DNA-bd_dom_sf', 5, NULL),
(12116, NULL, 'IPR013230', NULL, 'Peptidase M15A, C-terminal', 'Peptidase_M15A_C', 3, NULL),
(12117, NULL, 'IPR008744', NULL, 'RNA-directed RNA polymerase, apple chlorotic leaf spot virus', 'RNA-dir_pol_ACLSV', 3, NULL),
(12118, NULL, 'IPR013231', NULL, 'Periviscerokinin', 'Periviscerokinin', 4, NULL),
(12119, NULL, 'IPR019983', NULL, 'Peptidase T1A, proteasome beta-subunit, archaeal', 'Pept_T1A_Psome_bsu_arc', 4, NULL),
(12120, NULL, 'IPR012974', NULL, 'NOP5, N-terminal', 'NOP5_N', 3, NULL),
(12121, NULL, 'IPR008758', NULL, 'Peptidase S28', 'Peptidase_S28', 4, NULL),
(12122, NULL, 'IPR012070', NULL, 'Arogenate dehydrogenase 2', 'Arogenate_DH_2', 4, NULL),
(12123, NULL, 'IPR024052', NULL, 'Phosphopentomutase DeoB cap domain superfamily', 'Phosphopentomutase_DeoB_cap_sf', 5, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12124, NULL, 'IPR012957', NULL, 'CHD, C-terminal 2', 'CHD_C2', 3, NULL),
(12125, NULL, 'IPR008464', NULL, 'Cypovirus polyhedrin, Cypovirus 1 type', 'Cypo_polyhedrin_Cypovirus1', 4, NULL),
(12126, NULL, 'IPR016180', NULL, 'Ribosomal protein L10e/L16', 'Ribosomal_L10e/L16', 3, NULL),
(12127, NULL, 'IPR011901', NULL, 'Glutaredoxin-2', 'Grx2', 4, NULL),
(12128, NULL, 'IPR013577', NULL, 'Lethal giant larvae homologue 2', 'LLGL2', 3, NULL),
(12129, NULL, 'IPR013659', NULL, 'Adenosine/AMP deaminase N-terminal', 'A_deaminase_N', 3, NULL),
(12130, NULL, 'IPR010521', NULL, 'Maize rough dwarf virus (MRDV), S6', 'MRDV_S6', 4, NULL),
(12131, NULL, 'IPR008740', NULL, 'Peptidase C30, coronavirus', 'Peptidase_C30_CoV', 3, NULL),
(12132, NULL, 'IPR016154', NULL, 'Heat shock protein Hsp33, C-terminal', 'Heat_shock_Hsp33_C', 5, NULL),
(12133, NULL, 'IPR011555', NULL, 'V-ATPase proteolipid subunit C, eukaryotic', 'ATPase_proteolipid_su_C_euk', 4, NULL),
(12134, NULL, 'IPR016179', NULL, 'Insulin-like', 'Insulin-like', 3, NULL),
(12135, NULL, 'IPR011904', NULL, 'Acetate-CoA ligase', 'Ac_CoA_lig', 4, NULL),
(12136, NULL, 'IPR024053', NULL, 'von Hippel-Lindau disease tumour suppressor,  beta domain', 'VHL_beta_dom', 3, NULL),
(12137, NULL, 'IPR013597', NULL, 'Group II intron, maturase-specific', 'Mat_intron_G2', 3, NULL),
(12138, NULL, 'IPR013651', NULL, 'ATP-grasp fold, RimK-type', 'ATP-grasp_RimK-type', 3, NULL),
(12139, NULL, 'IPR008725', NULL, 'Orthopoxvirus F7', 'Orthopox_F7', 4, NULL),
(12140, NULL, 'IPR035004', NULL, 'Emerin', 'Emerin', 4, NULL),
(12141, NULL, 'IPR023626', NULL, 'Ribosomal protein L39e domain superfamily', 'Ribosomal_L39e_dom_sf', 5, NULL),
(12142, NULL, 'IPR016167', NULL, 'FAD-binding, type PCMH, subdomain 1', 'FAD-bd_PCMH_sub1', 5, NULL),
(12143, NULL, 'IPR016197', NULL, 'Chromo-like domain superfamily', 'Chromo-like_dom_sf', 5, NULL),
(12144, NULL, 'IPR008491', NULL, 'CDK5 regulatory subunit-associated protein 3', 'CDK5RAP3', 4, NULL),
(12145, NULL, 'IPR016170', NULL, 'Cytokinin dehydrogenase, C-terminal domain superfamily', 'Cytok_DH_C_sf', 5, NULL),
(12146, NULL, 'IPR008772', NULL, 'Bacterial phosphonate metabolism, PhnH', 'Phosphonate_metab_PhnH', 4, NULL),
(12147, NULL, 'IPR016191', NULL, 'Ribonuclease/ribotoxin', 'Ribonuclease/ribotoxin', 5, NULL),
(12148, NULL, 'IPR008768', NULL, 'Bacteriophage T7 capsid assembly', 'Phage_T7_capsid', 4, NULL),
(12149, NULL, 'IPR012953', NULL, 'BOP1, N-terminal domain', 'BOP1_N_dom', 3, NULL),
(12150, NULL, 'IPR013646', NULL, 'Uncharacterised GTP-binding protein, C-terminal', 'MMR_HSR1_C', 3, NULL),
(12151, NULL, 'IPR016160', NULL, 'Aldehyde dehydrogenase, cysteine active site', 'Ald_DH_CS_CYS', 2, NULL),
(12152, NULL, 'IPR010898', NULL, 'Heptaprenyl diphosphate synthase component I', 'Hpre_diP_synth_I', 4, NULL),
(12153, NULL, 'IPR008333', NULL, 'Flavoprotein pyridine nucleotide cytochrome reductase-like, FAD-binding domain', 'Cbr1-like_FAD-bd_dom', 3, NULL),
(12154, NULL, 'IPR034946', NULL, 'La-related protein 7, La domain', 'LARP7_La', 3, NULL),
(12155, NULL, 'IPR010516', NULL, 'Sin3 associated polypeptide p18', 'SAP18', 4, NULL),
(12156, NULL, 'IPR016173', NULL, 'D-lactate dehydrogenase, cap domain, subdomain 2', 'D-lactate_DH_C-sub2', 5, NULL),
(12157, NULL, 'IPR023612', NULL, 'Peptidase M4', 'Peptidase_M4', 4, NULL),
(12158, NULL, 'IPR023624', NULL, 'Antenna complex, beta domain superfamily', 'Antenna_beta_dom_sf', 5, NULL),
(12159, NULL, 'IPR008461', NULL, 'Lycopene cyclase', 'CrtY', 4, NULL),
(12160, NULL, 'IPR013645', NULL, 'Glycosyl transferase, family 8, C-terminal', 'Glyco_transf_8N', 3, NULL),
(12161, NULL, 'IPR024050', NULL, 'AICAR transformylase, insert domain superfamily', 'AICAR_Tfase_insert_dom_sf', 5, NULL),
(12162, NULL, 'IPR008493', NULL, 'Domain of unknown function DUF775', 'DUF775', 3, NULL),
(12163, NULL, 'IPR024055', NULL, 'Translation initiation factor 2, alpha subunit, C-terminal', 'TIF2_asu_C', 5, NULL),
(12164, NULL, 'IPR013226', NULL, 'Pal1 cell morphology', 'Pal1', 4, NULL),
(12165, NULL, 'IPR019909', NULL, 'Haem uptake protein IsdC', 'Haem_uptake_protein_IsdC', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12166, NULL, 'IPR008765', NULL, 'Bacteriophage T2, Frd3', 'Phage_T2_Frd3', 4, NULL),
(12167, NULL, 'IPR024051', NULL, 'AICAR transformylase, duplicated domain superfamily', 'AICAR_Tfase_dup_dom_sf', 5, NULL),
(12168, NULL, 'IPR024106', NULL, 'Pseudokinase tribbles, TRB3', 'Tribbles_TRB3', 4, NULL),
(12169, NULL, 'IPR034476', NULL, 'Serine/arginine-rich splicing factor 10', 'SRSF10', 4, NULL),
(12170, NULL, 'IPR008741', NULL, 'Arterivirus papain-like cysteine protease alpha (PCPalpha) domain', 'AV_PCPalpha', 3, NULL),
(12171, NULL, 'IPR012984', NULL, 'PROCT domain', 'PROCT', 3, NULL),
(12172, NULL, 'IPR016166', NULL, 'FAD-binding domain, PCMH-type', 'FAD-bd_PCMH', 3, NULL),
(12173, NULL, 'IPR008748', NULL, 'Hepatitis E virus, cysteine peptidase', 'Hepatitis-E_Cys-pept', 4, NULL),
(12174, NULL, 'IPR008752', NULL, 'Peptidase M11, gametolysin', 'Peptidase_M11', 3, NULL),
(12175, NULL, 'IPR013767', NULL, 'PAS fold', 'PAS_fold', 3, NULL),
(12176, NULL, 'IPR008455', NULL, 'HssA/B family related', 'HssA/B-related', 4, NULL),
(12177, NULL, 'IPR008773', NULL, 'Phosphonate metabolism protein PhnI', 'PhnI', 4, NULL),
(12178, NULL, 'IPR020036', NULL, 'UDP-4-amino-4,6-dideoxy-N-acetyl-beta-L-altrosamine N-acetyltransferase', 'PseH', 4, NULL),
(12179, NULL, 'IPR008481', NULL, 'Protein of unknown function DUF762, Coxiella burnetii', 'DUF762_COXBU', 4, NULL),
(12180, NULL, 'IPR020007', NULL, 'N-acetylneuraminate synthase', 'N-AcNeuraminate_synthase', 4, NULL),
(12181, NULL, 'IPR013585', NULL, 'Protocadherin', 'Protocadherin', 3, NULL),
(12182, NULL, 'IPR008465', NULL, 'Dystroglycan, C-terminal', 'DAG1_C', 3, NULL),
(12183, NULL, 'IPR008509', NULL, 'Molybdate-anion transporter', 'MOT2/MFSD5', 4, NULL),
(12184, NULL, 'IPR013218', NULL, 'Kinetochore-associated protein Dsn1/Mis13', 'Dsn1/Mis13', 4, NULL),
(12185, NULL, 'IPR013845', NULL, 'Ribosomal protein S4e, central region', 'Ribosomal_S4e_central_region', 3, NULL),
(12186, NULL, 'IPR010900', NULL, 'Nicotine adenine dinucleotide glycohydrolase', 'NA_dinucl_GlycHdrlase', 4, NULL),
(12187, NULL, 'IPR012983', NULL, 'PHR', 'PHR', 3, NULL),
(12188, NULL, 'IPR013500', NULL, 'DNA topoisomerase I, catalytic core, eukaryotic-type', 'TopoI_cat_euk', 3, NULL),
(12189, NULL, 'IPR011903', NULL, 'Glutaredoxin-like domain', 'Glutaredoxin-like_dom', 4, NULL),
(12190, NULL, 'IPR008497', NULL, 'Protein of unknown function DUF779', 'DUF779', 4, NULL),
(12191, NULL, 'IPR012274', NULL, 'Alpha-crystallin, subunit A', 'Alpha-crystallin_A', 4, NULL),
(12192, NULL, 'IPR014036', NULL, 'DeoR C-terminal sensor domain', 'DeoR_C', 3, NULL),
(12193, NULL, 'IPR020027', NULL, 'Pseudaminic acid biosynthesis-associated methyltransferase', 'Pseudamin_synth-assoc_MeTrfase', 4, NULL),
(12194, NULL, 'IPR008787', NULL, 'Poxvirus G7-like', 'Poxvirus_G7', 4, NULL),
(12195, NULL, 'IPR008479', NULL, 'Protein of unknown function DUF760', 'DUF760', 4, NULL),
(12196, NULL, 'IPR008786', NULL, 'Poxvirus A31', 'Poxvirus_A31', 4, NULL),
(12197, NULL, 'IPR010525', NULL, 'Auxin response factor domain', 'ARF_dom', 3, NULL),
(12198, NULL, 'IPR014550', NULL, 'Uncharacterised conserved protein UCP028704, OpgC', 'UCP028704_OpgC', 4, NULL),
(12199, NULL, 'IPR012993', NULL, 'UME domain', 'UME', 3, NULL),
(12200, NULL, 'IPR012978', NULL, 'Uncharacterised domain NUC173', 'Uncharacterised_NUC173', 3, NULL),
(12201, NULL, 'IPR010520', NULL, 'Esterase FrsA-like', 'FrsA-like', 4, NULL),
(12202, NULL, 'IPR020039', NULL, 'Pseudaminic acid cytidylyltransferase', 'PseF', 4, NULL),
(12203, NULL, 'IPR009720', NULL, 'IMP biosynthesis enzyme PurP, C-terminal', 'IMP_biosynth_PurP_C', 3, NULL),
(12204, NULL, 'IPR008746', NULL, 'Peptidase C36, beet necrotic yellow vein furovirus-type papain-like endopeptidase', 'Peptidase_C36', 3, NULL),
(12205, NULL, 'IPR009719', NULL, 'GBF-interacting protein 1, N-terminal', 'GIP1_N', 3, NULL),
(12206, NULL, 'IPR012958', NULL, 'CHD, N-terminal', 'CHD_N', 3, NULL),
(12207, NULL, 'IPR010524', NULL, 'Signal transduction response regulator, propionate catabolism activator, N-terminal', 'Sig_transdc_resp-reg_PrpR_N', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12208, NULL, 'IPR013216', NULL, 'Methyltransferase type 11', 'Methyltransf_11', 3, NULL),
(12209, NULL, 'IPR013595', NULL, 'Peptidase S33 tripeptidyl aminopeptidase-like, C-terminal', 'Pept_S33_TAP-like_C', 3, NULL),
(12210, NULL, 'IPR024140', NULL, 'Phorbol-12-myristate-13-acetate-induced protein 1', 'Noxa', 4, NULL),
(12211, NULL, 'IPR008478', NULL, 'Protein of unknown function DUF759, Borrelia species', 'DUF759_BOR_spp', 4, NULL),
(12212, NULL, 'IPR012964', NULL, 'Protein of unknown function DUF1702', 'DUF1702', 4, NULL),
(12213, NULL, 'IPR008332', NULL, 'Methylguanine DNA methyltransferase, ribonuclease-like domain', 'MethylG_MeTrfase_N', 3, NULL),
(12214, NULL, 'IPR014540', NULL, 'Uncharacterised conserved protein UCP028175', 'UCP028175', 4, NULL),
(12215, NULL, 'IPR020030', NULL, 'Pseudaminic acid biosynthesis, PseI', 'Pseudaminic_synth_PseI', 4, NULL),
(12216, NULL, 'IPR011902', NULL, 'Glutaredoxin, GrxA', 'GRXA', 4, NULL),
(12217, NULL, 'IPR019907', NULL, 'Ribosomal protein L6P, archaea', 'Ribosomal_L6P_arc', 4, NULL),
(12218, NULL, 'IPR010522', NULL, 'Replication protein C, bacterial', 'RepC_bac', 4, NULL),
(12219, NULL, 'IPR013583', NULL, 'Phosphoribosyltransferase C-terminal', 'PRibTrfase_C', 3, NULL),
(12220, NULL, 'IPR012970', NULL, 'Polysaccharide lyase 8, N-terminal alpha-helical', 'Lyase_8_alpha_N', 3, NULL),
(12221, NULL, 'IPR012989', NULL, 'SEP domain', 'SEP_domain', 3, NULL),
(12222, NULL, 'IPR013234', NULL, 'PIGA, GPI anchor biosynthesis', 'PIGA_GPI_anchor_biosynthesis', 3, NULL),
(12223, NULL, 'IPR024104', NULL, 'Pseudokinase tribbles family/serine-threonine-protein kinase 40', 'Tribbles/Ser_Thr_kinase_40', 4, NULL),
(12224, NULL, 'IPR010896', NULL, 'Nuclease-associated modular DNA-binding 1', 'NUMOD1', 3, NULL),
(12225, NULL, 'IPR020050', NULL, 'FO synthase, subunit 2', 'FO_synthase_su2', 4, NULL),
(12226, NULL, 'IPR012676', NULL, 'TGS-like', 'TGS-like', 5, NULL),
(12227, NULL, 'IPR013215', NULL, 'Cobalamin-independent methionine synthase MetE, N-terminal', 'Cbl-indep_Met_Synth_N', 3, NULL),
(12228, NULL, 'IPR008501', NULL, 'THO complex subunit 7/Mft1', 'THOC7/Mft1', 4, NULL),
(12229, NULL, 'IPR012986', NULL, 'Photosystem I PsaX', 'PSI_PsaX', 4, NULL),
(12230, NULL, 'IPR008733', NULL, 'Peroxisomal biogenesis factor 11', 'PEX11', 4, NULL),
(12231, NULL, 'IPR013789', NULL, 'Phosphotransferase system, mannose family IIA component', 'PTS_EIIA_man', 3, NULL),
(12232, NULL, 'IPR013219', NULL, 'Ribosomal protein S27/S33, mitochondrial', 'Ribosomal_S27/S33_mit', 4, NULL),
(12233, NULL, 'IPR016184', NULL, 'Capsid/spike protein, ssDNA virus', 'Capsid/spike_ssDNA_virus', 5, NULL),
(12234, NULL, 'IPR013664', NULL, 'Viral methyltransferase, C-terminal domain', 'Virgavirus_MeTrfase_C', 3, NULL),
(12235, NULL, 'IPR017438', NULL, 'Inorganic polyphosphate/ATP-NAD kinase, N-terminal', 'ATP-NAD_kinase_N', 5, NULL),
(12236, NULL, 'IPR011998', NULL, 'Flavivirus  glycoprotein central and dimerisation domain', 'Glycoprot_cen/dimer', 3, NULL),
(12237, NULL, 'IPR013662', NULL, 'RyR/IP3R Homology associated domain', 'RIH_assoc-dom', 3, NULL),
(12238, NULL, 'IPR020075', NULL, 'Uncharacterised protein family AF2234', 'Uncharacterised_AF2234', 4, NULL),
(12239, NULL, 'IPR010899', NULL, 'Protein of unknown function UPF0344', 'UPF0344', 4, NULL),
(12240, NULL, 'IPR011995', NULL, 'Orotidine 5''-phosphate decarboxylase, type 2', 'OMPdecase_type-2', 4, NULL),
(12241, NULL, 'IPR011614', NULL, 'Catalase core domain', 'Catalase_core', 3, NULL),
(12242, NULL, 'IPR012265', NULL, 'Protein-tyrosine phosphatase, non-receptor type-1/2', 'Ptpn1/Ptpn2', 4, NULL),
(12243, NULL, 'IPR024056', NULL, 'Apical membrane antigen 1 domain superfamily', 'Apmem_Ag1_dom_sf', 5, NULL),
(12244, NULL, 'IPR012965', NULL, 'Meiotically up-regulated protein Msb1/Mug8 domain', 'Msb1/Mug8_dom', 3, NULL),
(12245, NULL, 'IPR019988', NULL, 'GTP-binding protein, riobosome biogenesis, YqeH', 'GTP-bd_ribosome_bgen_YqeH', 4, NULL),
(12246, NULL, 'IPR008729', NULL, 'Phenolic acid decarboxylase', 'PA_de_COase', 4, NULL),
(12247, NULL, 'IPR013057', NULL, 'Amino acid transporter, transmembrane domain', 'AA_transpt_TM', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12248, NULL, 'IPR008499', NULL, 'Leg1', 'Leg1', 4, NULL),
(12249, NULL, 'IPR013225', NULL, 'PaaX-like, C-terminal', 'PaaX_C', 3, NULL),
(12250, NULL, 'IPR013220', NULL, 'E3 ubiquitin-protein ligase substrate receptor Mms22, budding yeast', 'Mms22_budding_yeast', 4, NULL),
(12251, NULL, 'IPR013576', NULL, 'Insulin-like growth factor II E-peptide, C-terminal', 'IGF2_C', 3, NULL),
(12252, NULL, 'IPR011907', NULL, 'Ribonuclease III', 'RNase_III', 4, NULL),
(12253, NULL, 'IPR011524', NULL, 'SARAH domain', 'SARAH_dom', 3, NULL),
(12254, NULL, 'IPR012071', NULL, 'Chemotaxis glutamate methyltransferase', 'Chemotax_glutamate_MeTrfase', 4, NULL),
(12255, NULL, 'IPR014548', NULL, 'Predicted acyltransferase', 'Ac_Trasf', 4, NULL),
(12256, NULL, 'IPR013586', NULL, '26S proteasome regulatory subunit, C-terminal', '26S_Psome_reg_C', 3, NULL),
(12257, NULL, 'IPR019901', NULL, 'Ergot alkaloid biosynthesis protein', 'Ergot_alkaloid_biosynthesis', 4, NULL),
(12258, NULL, 'IPR013222', NULL, 'Glycosyl hydrolase family 98, putative carbohydrate-binding module', 'Glyco_hyd_98_carb-bd', 3, NULL),
(12259, NULL, 'IPR016161', NULL, 'Aldehyde/histidinol dehydrogenase', 'Ald_DH/histidinol_DH', 5, NULL),
(12260, NULL, 'IPR008767', NULL, 'Bacteriophage SPP1, head-tail adaptor', 'Phage_SPP1_head-tail_adaptor', 4, NULL),
(12261, NULL, 'IPR009044', NULL, 'ssDNA-binding transcriptional regulator', 'ssDNA-bd_transcriptional_reg', 5, NULL),
(12262, NULL, 'IPR012061', NULL, 'Glutamate synthase, large subunit domain 3 stand-alone protein', 'Glu_synth_lsu_3', 4, NULL),
(12263, NULL, 'IPR008456', NULL, 'Collagen binding domain', 'Collagen-bd_dom', 3, NULL),
(12264, NULL, 'IPR013575', NULL, 'Initiation factor 2 associated domain, bacterial', 'IF2_assoc_dom_bac', 3, NULL),
(12265, NULL, 'IPR010515', NULL, 'Collagenase NC10/endostatin', 'Collagenase_NC10/endostatin', 3, NULL),
(12266, NULL, 'IPR014546', NULL, 'Uncharacterised conserved protein, lipid A biosynthesis', 'UCP028440_lipidA_biosyn', 4, NULL),
(12267, NULL, 'IPR013591', NULL, 'Brevis radix (BRX) domain', 'Brevis_radix_dom', 3, NULL),
(12268, NULL, 'IPR012985', NULL, 'Peptidase S64, Ssy5', 'Peptidase_S64_Ssy5', 4, NULL),
(12269, NULL, 'IPR011541', NULL, 'Nickel/cobalt transporter, high-affinity', 'Ni/Co_transpt_high_affinity', 4, NULL),
(12270, NULL, 'IPR034472', NULL, 'RBM15, RNA recognition motif 2', 'RBM15_RRM2', 3, NULL),
(12271, NULL, 'IPR009042', NULL, 'RNA polymerase sigma-70 region 1.2', 'RNA_pol_sigma70_r1_2', 3, NULL),
(12272, NULL, 'IPR013232', NULL, 'Bacteriophage T7, Gp1.1', 'Phage_T7_Gp1.1', 4, NULL),
(12273, NULL, 'IPR034511', NULL, 'SRSF6, RNA recognition motif  1', 'SRSF6_RRM1', 3, NULL),
(12274, NULL, 'IPR009721', NULL, 'O-acyltransferase WSD1, C-terminal', 'O-acyltransferase_WSD1_C', 3, NULL),
(12275, NULL, 'IPR012981', NULL, 'PIH1, N-terminal', 'PIH1_N', 3, NULL),
(12276, NULL, 'IPR015881', NULL, 'Aromatic-ring-hydroxylating dioxygenase, 2Fe-2S-binding site', 'Ring-hydroxy_dOase_2Fe2S_BS', 1, NULL),
(12277, NULL, 'IPR008255', NULL, 'Pyridine nucleotide-disulphide oxidoreductase, class-II, active site', 'Pyr_nucl-diS_OxRdtase_2_AS', 0, NULL),
(12278, NULL, 'IPR018170', NULL, 'Aldo/keto reductase, conserved site', 'Aldo/ket_reductase_CS', 2, NULL),
(12279, NULL, 'IPR016181', NULL, 'Acyl-CoA N-acyltransferase', 'Acyl_CoA_acyltransferase', 5, NULL),
(12280, NULL, 'IPR011897', NULL, 'Translation elongation factor P-like, YeiP', 'Transl_elong_p-like_YeiP', 4, NULL),
(12281, NULL, 'IPR008486', NULL, 'Protein of unknown function DUF768', 'DUF768', 4, NULL),
(12282, NULL, 'IPR017441', NULL, 'Protein kinase, ATP binding site', 'Protein_kinase_ATP_BS', 1, NULL),
(12283, NULL, 'IPR008723', NULL, 'RNA-dependent RNA polymerase, orbiviral', 'RNA_pol_orbivir', 4, NULL),
(12284, NULL, 'IPR008489', NULL, 'Protein of unknown function DUF771', 'DUF771', 4, NULL),
(12285, NULL, 'IPR019982', NULL, 'Proteasome alpha subunit, archaeal', 'Proteasome_asu_arc', 4, NULL),
(12286, NULL, 'IPR019980', NULL, 'Ribosomal protein S13, bacterial-type', 'Ribosomal_S13_bac-type', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12287, NULL, 'IPR011564', NULL, 'Telomeric single stranded DNA binding POT1/Cdc13', 'Telomer_end-bd_POT1/Cdc13', 3, NULL),
(12288, NULL, 'IPR019987', NULL, 'GTP-binding protein, ribosome biogenesis, YsxC', 'GTP-bd_ribosome_bio_YsxC', 4, NULL),
(12289, NULL, 'IPR013578', NULL, 'Peptidase M16C associated', 'Peptidase_M16C_assoc', 3, NULL),
(12290, NULL, 'IPR008468', NULL, 'DNA methyltransferase 1-associated 1', 'DMAP1', 3, NULL),
(12291, NULL, 'IPR016190', NULL, 'Translation initiation factor IF2/IF5, zinc-binding', 'Transl_init_fac_IF2/IF5_Zn-bd', 5, NULL),
(12292, NULL, 'IPR008728', NULL, 'Elongator complex protein 4', 'Elongator_complex_protein_4', 4, NULL),
(12293, NULL, 'IPR014007', NULL, 'Acetoin reductase', '23BDH', 4, NULL),
(12294, NULL, 'IPR024054', NULL, 'Translation initiation factor 2, alpha subunit, middle domain superfamily', 'TIF2_asu_middle_sf', 5, NULL),
(12295, NULL, 'IPR023135', NULL, 'N6 adenine-specific DNA methyltransferase, TaqI class, C-terminal', 'N6_DNA_MeTrfase_TaqI_C', 5, NULL),
(12296, NULL, 'IPR008776', NULL, 'Phytoreovirus Pns9Pns10', 'Phyto_Pns9_10', 4, NULL),
(12297, NULL, 'IPR013852', NULL, 'Translation elongation factor P/YeiP, conserved site', 'Transl_elong_P/YeiP_CS', 2, NULL),
(12298, NULL, 'IPR013663', NULL, 'Helicase, SWF/SNF/SWI type, bacterial', 'Helicase_SWF/SNF/SWI_bac', 3, NULL),
(12299, NULL, 'IPR008490', NULL, 'Transposase InsH, N-terminal', 'Transposase_InsH_N', 3, NULL),
(12300, NULL, 'IPR019899', NULL, 'Sodium/solute symporter, VC2705 subfamily', 'Na/solute_symporter_VC_2705', 4, NULL),
(12301, NULL, 'IPR008476', NULL, 'Protein PBDC1, metazoa/fungi', 'PBDC1_metazoa/fungi', 4, NULL),
(12302, NULL, 'IPR008506', NULL, 'SRP-independent targeting protein 2/TMEM208', 'SND2/TMEM208', 4, NULL),
(12303, NULL, 'IPR010514', NULL, 'COX aromatic rich motif', 'COX_ARM', 3, NULL),
(12304, NULL, 'IPR014006', NULL, 'Succinate dehydrogenase/fumarate reductase, flavoprotein subunit', 'Succ_Dhase_FrdA_Gneg', 4, NULL),
(12305, NULL, 'IPR008721', NULL, 'Origin recognition complex, subunit 6', 'ORC6', 4, NULL),
(12306, NULL, 'IPR011917', NULL, 'ABC transporter, lipid A-core flippase, MsbA', 'ABC_transpr_lipidA', 4, NULL),
(12307, NULL, 'IPR008477', NULL, 'Tumor necrosis factor alpha-induced protein 8-like', 'TNFAIP8-like', 4, NULL),
(12308, NULL, 'IPR012955', NULL, 'CASP, C-terminal', 'CASP_C', 3, NULL),
(12309, NULL, 'IPR008763', NULL, 'Peptidase S55, SpoIVB', 'Peptidase_S55', 3, NULL),
(12310, NULL, 'IPR018171', NULL, 'Peptidyl-tRNA hydrolase, conserved site', 'Pept_tRNA_hydro_CS', 2, NULL),
(12311, NULL, 'IPR012956', NULL, 'CARG-binding factor, N-terminal', 'CARG-binding_factor_N', 3, NULL),
(12312, NULL, 'IPR008760', NULL, 'Equine arteritis virus peptidase S32', 'EAV_peptidase_S32', 4, NULL),
(12313, NULL, 'IPR016169', NULL, 'FAD-binding, type PCMH, subdomain 2', 'FAD-bd_PCMH_sub2', 5, NULL),
(12314, NULL, 'IPR013658', NULL, 'SMP-30/Gluconolactonase/LRE-like region', 'SGL', 3, NULL),
(12315, NULL, 'IPR016194', NULL, 'SPOC-like, C-terminal domain superfamily', 'SPOC-like_C_dom_sf', 5, NULL),
(12316, NULL, 'IPR034940', NULL, 'Gallate dioxygenase, C-terminal', 'Gallate_dioxygenase_C', 3, NULL),
(12317, NULL, 'IPR012971', NULL, 'Nucleolar GTP-binding protein 2, N-terminal domain', 'NOG2_N_dom', 3, NULL),
(12318, NULL, 'IPR008495', NULL, 'Protein of unknown function DUF777, Borrelia species', 'DUF777_BOR_spp', 4, NULL),
(12319, NULL, 'IPR009727', NULL, 'NifT/FixU', 'NifT', 4, NULL),
(12320, NULL, 'IPR020019', NULL, 'Sialic acid O-acyltransferase NeuD-like', 'Sia_OAcTrfase_NeuD-like', 4, NULL),
(12321, NULL, 'IPR008484', NULL, 'Circovirus Orf6', 'Circovirus_Orf6', 4, NULL),
(12322, NULL, 'IPR012990', NULL, 'Sec23/Sec24 beta-sandwich', 'Sec23_24_beta_S', 3, NULL),
(12323, NULL, 'IPR010523', NULL, 'Activator of aromatic catabolism', 'XylR_N', 3, NULL),
(12324, NULL, 'IPR012996', NULL, 'Zinc finger, CHHC-type', 'Znf_CHHC', 3, NULL),
(12325, NULL, 'IPR013233', NULL, 'Glycosylphosphatidylinositol-mannosyltransferase I, PIG-X/PBN1', 'PIG-X/PBN1', 4, NULL),
(12326, NULL, 'IPR012074', NULL, 'GAF-ANTAR transcription anti-termination regulator, putative', 'GAF_ANTAR', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12327, NULL, 'IPR008754', NULL, 'Peptidase M43, pregnancy-associated plasma-A', 'Peptidase_M43', 3, NULL),
(12328, NULL, 'IPR024698', NULL, 'Capsular polysaccharide biosynthesis protein, Cps23fI-type, predicted', 'Caps_psacc_synth_Cps23fI-typ', 4, NULL),
(12329, NULL, 'IPR012954', NULL, 'BP28, C-terminal domain', 'BP28_C_dom', 3, NULL),
(12330, NULL, 'IPR011542', NULL, 'SUF system FeS cluster assembly, SufD', 'SUF_FeS_clus_asmbl_SufD', 4, NULL),
(12331, NULL, 'IPR012072', NULL, 'LytTR signal transduction protein, putative', 'Sigtransdc_LytTR', 4, NULL),
(12332, NULL, 'IPR008462', NULL, 'CsbD-like domain', 'CsbD', 3, NULL),
(12333, NULL, 'IPR010517', NULL, 'Phage tail tube protein, Siphoviridae', 'L_lac_phage_MSP', 4, NULL),
(12334, NULL, 'IPR012988', NULL, 'Ribosomal protein L30, N-terminal', 'Ribosomal_L30_N', 3, NULL),
(12335, NULL, 'IPR014528', NULL, 'Cyclic-di-AMP phosphodiesterase GdpP/PdeA', 'GdpP/PdeA', 4, NULL),
(12336, NULL, 'IPR013581', NULL, 'Plant PDR ABC transporter associated', 'PDR_assoc', 3, NULL),
(12337, NULL, 'IPR008778', NULL, 'Pirin, C-terminal domain', 'Pirin_C_dom', 3, NULL),
(12338, NULL, 'IPR013587', NULL, 'Nitrate/nitrite sensing protein', 'Nitrate/nitrite_sensing', 3, NULL),
(12339, NULL, 'IPR014367', NULL, 'Cytochrome c oxidase subunit VII, budding yeast', 'Cox7_yeast', 4, NULL),
(12340, NULL, 'IPR013228', NULL, 'PE-PPE, C-terminal', 'PE-PPE_C', 3, NULL),
(12341, NULL, 'IPR013221', NULL, 'Mur ligase, central', 'Mur_ligase_cen', 3, NULL),
(12342, NULL, 'IPR008785', NULL, 'Poxvirus A14, virion envelope', 'Poxvirus_A14', 4, NULL),
(12343, NULL, 'IPR013217', NULL, 'Methyltransferase type 12', 'Methyltransf_12', 3, NULL),
(12344, NULL, 'IPR016187', NULL, 'C-type lectin fold', 'CTDL_fold', 5, NULL),
(12345, NULL, 'IPR013647', NULL, 'Oligopeptidase F, N-terminal domain', 'OligopepF_N_dom', 3, NULL),
(12346, NULL, 'IPR013654', NULL, 'PAS fold-2', 'PAS_2', 3, NULL),
(12347, NULL, 'IPR011914', NULL, 'RfaE bifunctional protein, domain II', 'RfaE_dom_II', 3, NULL),
(12348, NULL, 'IPR012328', NULL, 'Chalcone/stilbene synthase, C-terminal', 'Chalcone/stilbene_synt_C', 3, NULL),
(12349, NULL, 'IPR008753', NULL, 'Peptidase M13, N-terminal domain', 'Peptidase_M13_N', 3, NULL),
(12350, NULL, 'IPR019986', NULL, 'DAK2 domain-containing protein YloV', 'DAK2_dom-cont_prot_YloV', 4, NULL),
(12351, NULL, 'IPR008730', NULL, 'Pheromone biosynthesis activating neuropeptide', 'PBAN', 4, NULL),
(12352, NULL, 'IPR011528', NULL, 'Nuclease-related domain, NERD', 'NERD', 3, NULL),
(12353, NULL, 'IPR017993', NULL, 'Atrophin-1', 'Atrophin-1', 4, NULL),
(12354, NULL, 'IPR010897', NULL, 'Sporulation stage II, protein P', 'Spore_II_P', 4, NULL),
(12355, NULL, 'IPR008467', NULL, 'Dynein 1 light intermediate chain', 'Dynein1_light_intermed_chain', 4, NULL),
(12356, NULL, 'IPR019998', NULL, 'Membrane insertase YidC', 'Membr_insert_YidC', 4, NULL),
(12357, NULL, 'IPR034018', NULL, 'Tumour necrosis factor receptor 18, N-terminal', 'TNFRSF18_N', 3, NULL),
(12358, NULL, 'IPR014545', NULL, 'Uncharacterised conserved protein UCP028415', 'UCP028415', 4, NULL),
(12359, NULL, 'IPR016152', NULL, 'Phosphotransferase/anion transporter', 'PTrfase/Anion_transptr', 5, NULL),
(12360, NULL, 'IPR011527', NULL, 'ABC transporter type 1, transmembrane domain', 'ABC1_TM_dom', 3, NULL),
(12361, NULL, 'IPR012078', NULL, 'Methane/phenol monooxygenase, hydroxylase component', 'MP_mOase_hydro', 4, NULL),
(12362, NULL, 'IPR014553', NULL, 'Predicted aminopeptidase', 'Aminopept', 4, NULL),
(12363, NULL, 'IPR016195', NULL, 'Polymerase/histidinol phosphatase-like', 'Pol/histidinol_Pase-like', 5, NULL),
(12364, NULL, 'IPR016155', NULL, 'Molybdopterin synthase/thiamin biosynthesis sulphur carrier, beta-grasp', 'Mopterin_synth/thiamin_S_b', 5, NULL),
(12365, NULL, 'IPR012270', NULL, 'CCR4-NOT complex, subunit 3/ 5', 'CCR4-NOT_su3/5', 4, NULL),
(12366, NULL, 'IPR019991', NULL, 'GTP-binding protein, ribosome biogenesis', 'GTP-bd_ribosome_bgen', 4, NULL),
(12367, NULL, 'IPR012969', NULL, 'Fibrinogen binding protein', 'Fibrinogen_BP', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12368, NULL, 'IPR024134', NULL, 'Superoxide dismutase (Cu/Zn) / superoxide dismutase copper chaperone', 'SOD_Cu/Zn_/chaperone', 4, NULL),
(12369, NULL, 'IPR034928', NULL, 'Matrin-3, RNA recognition motif 1', 'MATR3_RRM1', 3, NULL),
(12370, NULL, 'IPR020004', NULL, 'UDP-N-acetylglucosamine 2-epimerase,UDP-hydrolysing', 'UDP-GlcNAc_Epase', 4, NULL),
(12371, NULL, 'IPR034517', NULL, 'PARP-14, RNA recognition motif 2', 'PAR14_RRM2', 3, NULL),
(12372, NULL, 'IPR013580', NULL, 'Proto-chlorophyllide/chlorophyllide reductase, C-terminal', 'P-CP/CP_red_C', 3, NULL),
(12373, NULL, 'IPR012968', NULL, 'FerIin domain', 'FerIin_dom', 3, NULL),
(12374, NULL, 'IPR010518', NULL, 'Flagellar regulatory FleQ', 'FleQ', 3, NULL),
(12375, NULL, 'IPR011911', NULL, 'Glutaredoxin-like protein, YruB', 'GlrX_YruB', 4, NULL),
(12376, NULL, 'IPR034945', NULL, '2-aminobiphenyl-2,3-diol 1,2-dioxygenase, A subunit', 'CarBa', 4, NULL),
(12377, NULL, 'IPR024105', NULL, 'Tribbles homologue 1', 'TRB1', 4, NULL),
(12378, NULL, 'IPR011895', NULL, 'Pyruvate-flavodoxin oxidoreductase', 'Pyrv_flavodox_OxRed', 4, NULL),
(12379, NULL, 'IPR013579', NULL, 'FAST kinase-like protein, subdomain 2', 'FAST_2', 3, NULL),
(12380, NULL, 'IPR008781', NULL, 'Pneumovirinae attachment membrane glycoprotein G', 'Pneumo_att_G', 4, NULL),
(12381, NULL, 'IPR009725', NULL, 'Predicted 3-demethylubiquinone-9 3-methyltransferase', '3_dmu_93_MTrfase', 4, NULL),
(12382, NULL, 'IPR008494', NULL, 'Protein of unknown function DUF776', 'DUF776', 4, NULL),
(12383, NULL, 'IPR016162', NULL, 'Aldehyde dehydrogenase, N-terminal', 'Ald_DH_N', 5, NULL),
(12384, NULL, 'IPR008757', NULL, 'Peptidase M6-like, domain', 'Peptidase_M6-like_domain', 3, NULL),
(12385, NULL, 'IPR019978', NULL, 'Ribosomal protein S17, archaeal', 'Ribosomal_S17_archaeal', 4, NULL),
(12386, NULL, 'IPR020043', NULL, 'Deacetylase Atu3266-like', 'Deacetylase_Atu3266-like', 4, NULL),
(12387, NULL, 'IPR008719', NULL, 'Nitrous oxide reductase accessory protein NosL', 'N2O_reductase_NosL', 4, NULL),
(12388, NULL, 'IPR008463', NULL, 'Transcriptional regulator CtsR', 'CtsR', 4, NULL),
(12389, NULL, 'IPR019902', NULL, 'Violacein biosynthesis enzyme, VioE', 'Violacein_biosynth_enz_VioE', 4, NULL),
(12390, NULL, 'IPR034477', NULL, 'Serine/arginine-rich splicing factor 12', 'SRSF12', 4, NULL),
(12391, NULL, 'IPR014556', NULL, 'Uncharacterised conserved protein UCP029407', 'UCP029407', 4, NULL),
(12392, NULL, 'IPR024119', NULL, 'Transcription factor DEAF-1', 'TF_DEAF-1', 4, NULL),
(12393, NULL, 'IPR013661', NULL, 'Peptidase M9, collagenase, N-terminal domain', 'Peptidase_M9_N_dom', 3, NULL),
(12394, NULL, 'IPR016188', NULL, 'PurM-like, N-terminal domain', 'PurM-like_N', 3, NULL),
(12395, NULL, 'IPR012963', NULL, 'Protein of unknown function DUF1700', 'DUF1700', 4, NULL),
(12396, NULL, 'IPR008750', NULL, 'Staphopain peptidase C47', 'Peptidase_C47', 4, NULL),
(12397, NULL, 'IPR012312', NULL, 'Hemerythrin-like', 'Hemerythrin-like', 3, NULL),
(12398, NULL, 'IPR008507', NULL, 'Protein of unknown function DUF789', 'DUF789', 4, NULL),
(12399, NULL, 'IPR024743', NULL, 'Dynein heavy chain, coiled coil stalk', 'Dynein_HC_stalk', 3, NULL),
(12400, NULL, 'IPR008745', NULL, 'Domain of unknown function DUF1717', 'DUF1717', 3, NULL),
(12401, NULL, 'IPR014544', NULL, 'Uncharacterised conserved protein UCP028408', 'UCP028408', 4, NULL),
(12402, NULL, 'IPR019981', NULL, 'Ribosomal protein S11, bacterial-type', 'Ribosomal_S11_bac-type', 4, NULL),
(12403, NULL, 'IPR014527', NULL, 'Excinuclease GIY-YIG catalytic domain-containing uncharacterised conserved protein', 'UCP026568_excinuclease', 4, NULL),
(12404, NULL, 'IPR016153', NULL, 'Heat shock protein Hsp33, N-terminal', 'Heat_shock_Hsp33_N', 5, NULL),
(12405, NULL, 'IPR012674', NULL, 'Calycin', 'Calycin', 5, NULL),
(12406, NULL, 'IPR008471', NULL, 'MnmC-like methyltransferase', 'MnmC-like_methylTransf', 3, NULL),
(12407, NULL, 'IPR020020', NULL, 'Luciferase-type oxidoreductase', 'Luciferase-type_oxidoreductase', 4, NULL),
(12408, NULL, 'IPR013653', NULL, 'FR47-like', 'FR47', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12409, NULL, 'IPR012962', NULL, 'Peptidase M54, archaemetzincin', 'Pept_M54_archaemetzincn', 4, NULL),
(12410, NULL, 'IPR008508', NULL, 'Protein of unknown function DUF790, endonuclease-like', 'DUF790', 4, NULL),
(12411, NULL, 'IPR013652', NULL, 'Glycine N-acyltransferase, C-terminal', 'Glycine_N-acyltransferase_C', 3, NULL),
(12412, NULL, 'IPR008503', NULL, 'Putative ATP-dependent zinc protease', 'Put_Zn_protease', 3, NULL),
(12413, NULL, 'IPR009048', NULL, 'Alpha-macroglobulin, receptor-binding', 'A-macroglobulin_rcpt-bd', 3, NULL),
(12414, NULL, 'IPR016164', NULL, 'FAD-linked oxidase-like, C-terminal', 'FAD-linked_Oxase-like_C', 5, NULL),
(12415, NULL, 'IPR008485', NULL, 'JNK1/MAPK8-associated membrane protein', 'JAMP', 4, NULL),
(12416, NULL, 'IPR016189', NULL, 'Translation initiation factor IF2/IF5, N-terminal', 'Transl_init_fac_IF2/IF5_N', 5, NULL),
(12417, NULL, 'IPR008726', NULL, 'Poxvirus F8', 'Poxvirus_F8', 4, NULL),
(12418, NULL, 'IPR013657', NULL, 'UAA transporter', 'UAA', 4, NULL),
(12419, NULL, 'IPR013649', NULL, 'Integrin alpha-2', 'Integrin_alpha-2', 3, NULL),
(12420, NULL, 'IPR014529', NULL, 'Uncharacterised conserved protein UCP026631', 'UCP026631', 4, NULL),
(12421, NULL, 'IPR012967', NULL, 'Plant methyltransferase dimerisation', 'Plant_MeTrfase_dimerisation', 3, NULL),
(12422, NULL, 'IPR008498', NULL, 'Protein of unknown function DUF780, Caenorhabditis species', 'DUF780_CAE_spp', 4, NULL),
(12423, NULL, 'IPR018020', NULL, 'Oxo-4-hydroxy-4-carboxy-5-ureidoimidazoline decarboxylase', 'OHCU_decarboxylase', 3, NULL),
(12424, NULL, 'IPR012951', NULL, 'Berberine/berberine-like', 'BBE', 3, NULL),
(12425, NULL, 'IPR012977', NULL, 'Uncharacterised domain NUC130/133, N-terminal', 'Uncharacterised_NUC130/133_N', 3, NULL),
(12426, NULL, 'IPR008780', NULL, 'Plasmodium vivax Vir', 'Plasmodium_Vir', 4, NULL),
(12427, NULL, 'IPR008473', NULL, 'Putative 3TM holin, Phage holin 3', 'Phage_holin_3_7', 4, NULL),
(12428, NULL, 'IPR034473', NULL, 'RBM15, RNA recognition motif 3', 'RBM15_RRM3', 3, NULL),
(12429, NULL, 'IPR013589', NULL, 'Bacterial transglutaminase-like, N-terminal', 'Bac_transglu_N', 3, NULL),
(12430, NULL, 'IPR012069', NULL, 'Uncharacterised protein family, CYTH/CHAD/HD-like domain-containing', 'UPF_CYTH/CHAD/HD-like', 4, NULL),
(12431, NULL, 'IPR010526', NULL, 'Sodium ion transport-associated', 'Na_trans_assoc', 3, NULL),
(12432, NULL, 'IPR011303', NULL, 'Ion-translocating oxidoreductase complex Rnf, subunit D', 'RnfD', 4, NULL),
(12433, NULL, 'IPR008475', NULL, 'Bacterial phospholipase C, C-terminal domain', 'PLipase_C_C', 3, NULL),
(12434, NULL, 'IPR008779', NULL, 'Plasmodium histidine-rich', 'Plasmodium_HRP', 4, NULL),
(12435, NULL, 'IPR011899', NULL, 'Glutaredoxin, eukaryotic/virial', 'Glutaredoxin_euk/vir', 3, NULL),
(12436, NULL, 'IPR021133', NULL, 'HEAT, type 2', 'HEAT_type_2', 7, NULL),
(12437, NULL, 'IPR011898', NULL, '2-oxoacid:acceptor oxidoreductase, delta subunit, pyruvate/2-ketoisovalerate', 'PorD_KorD', 4, NULL),
(12438, NULL, 'IPR019906', NULL, 'Ribosomal protein L6, bacterial-type', 'Ribosomal_L6_bac-type', 4, NULL),
(12439, NULL, 'IPR013843', NULL, 'Ribosomal protein S4e, N-terminal', 'Ribosomal_S4e_N', 3, NULL),
(12440, NULL, 'IPR008334', NULL, '5''-Nucleotidase, C-terminal', '5''-Nucleotdase_C', 3, NULL),
(12441, NULL, 'IPR034933', NULL, 'Interferon-stimulated 20kDa exonuclease-like 2', 'ISG20L2', 4, NULL),
(12442, NULL, 'IPR012982', NULL, 'PADR1 domain', 'PADR1', 3, NULL),
(12443, NULL, 'IPR008761', NULL, 'Peptidase S37, tripeptidyl aminopeptidase', 'Peptidase_S37', 4, NULL),
(12444, NULL, 'IPR009717', NULL, 'Mo-dependent nitrogenase, C-terminal', 'Mo-dep_Nase_C', 3, NULL),
(12445, NULL, 'IPR013343', NULL, 'CRISPR-associated protein Cas4', 'CRISPR-assoc_prot_Cas4', 4, NULL),
(12446, NULL, 'IPR009724', NULL, 'TMEM70 family', 'TMEM70', 4, NULL),
(12447, NULL, 'IPR013594', NULL, 'Dynein heavy chain, tail', 'Dynein_heavy_tail', 3, NULL),
(12448, NULL, 'IPR012966', NULL, 'Anillin homology domain', 'AHD', 3, NULL),
(12449, NULL, 'IPR011908', NULL, 'Lipopolysaccharide heptosyltransferase I', 'LipoPS_heptosylTferase-I', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12450, NULL, 'IPR011553', NULL, 'Translocation protein Sec62, ascomycota', 'Sec62_asco', 4, NULL),
(12451, NULL, 'IPR020048', NULL, 'NADPH-dependent FMN reductase, SsuE', 'NADPH-dep_FMN_reduc_SsuE', 4, NULL),
(12452, NULL, 'IPR020066', NULL, 'Cortexin', 'Cortexin', 4, NULL),
(12453, NULL, 'IPR034632', NULL, 'Myelin expression factor 2', 'MYEF2', 4, NULL),
(12454, NULL, 'IPR009714', NULL, 'Resistin-like molecule  hormone family', 'RELM', 4, NULL),
(12455, NULL, 'IPR012980', NULL, 'Uncharacterised domain NUC202', 'Uncharacterised_NUC202', 3, NULL),
(12456, NULL, 'IPR009713', NULL, 'Uncharacterised protein family PsiA', 'Uncharacterised_PsiA', 4, NULL),
(12457, NULL, 'IPR013592', NULL, 'Maf transcription factor, N-terminal', 'Maf_TF_N', 3, NULL),
(12458, NULL, 'IPR013655', NULL, 'PAS fold-3', 'PAS_fold_3', 3, NULL),
(12459, NULL, 'IPR008502', NULL, 'Prolamin-like domain', 'Prolamin-like', 3, NULL),
(12460, NULL, 'IPR009723', NULL, 'Pop1, N-terminal', 'Pop1_N', 3, NULL),
(12461, NULL, 'IPR012994', NULL, 'Membrane bound YbgT-like', 'YbgT_YccB', 4, NULL),
(12462, NULL, 'IPR024229', NULL, 'Protein of unknown function DUF3781', 'DUF3781', 4, NULL),
(12463, NULL, 'IPR014541', NULL, 'Predicted amidinotransferase, FN0238 type', 'Amdntrnsf_FN0238', 4, NULL),
(12464, NULL, 'IPR035911', NULL, 'MurE/MurF, N-terminal', 'MurE/MurF_N', 5, NULL),
(12465, NULL, 'IPR017437', NULL, 'ATP-NAD kinase, PpnK-type, C-terminal', 'ATP-NAD_kinase_PpnK-typ_C', 5, NULL),
(12466, NULL, 'IPR016157', NULL, 'Cullin, conserved site', 'Cullin_CS', 2, NULL),
(12467, NULL, 'IPR008724', NULL, 'Orthopoxvirus C1', 'Orthopox_C1', 4, NULL),
(12468, NULL, 'IPR013588', NULL, 'MAP2/Tau projection', 'MAP2_projctn', 3, NULL),
(12469, NULL, 'IPR008470', NULL, 'Uncharacterised protein family Ycf33', 'Uncharacterised_Ycf33', 4, NULL),
(12470, NULL, 'IPR011915', NULL, 'Glutaredoxin-like protein, actinobacteria', 'GlrX_actino', 4, NULL),
(12471, NULL, 'IPR008454', NULL, 'Collagen-binding surface protein Cna-like, B-type domain', 'Collagen-bd_Cna-like_B-typ_dom', 3, NULL),
(12472, NULL, 'IPR016185', NULL, 'Pre-ATP-grasp domain superfamily', 'PreATP-grasp_dom_sf', 5, NULL),
(12473, NULL, 'IPR016163', NULL, 'Aldehyde dehydrogenase, C-terminal', 'Ald_DH_C', 5, NULL),
(12474, NULL, 'IPR008483', NULL, 'Protein of unknown function DUF764, Borrelia species', 'DUF764_BOR_spp', 4, NULL),
(12475, NULL, 'IPR012073', NULL, 'LytTR MHYT transcriptional regulator', 'LytTR_MHYT', 4, NULL),
(12476, NULL, 'IPR008777', NULL, 'Phytoreovirus Pns1011', 'Phytoreo_Pns', 4, NULL),
(12477, NULL, 'IPR014543', NULL, 'Uncharacterised conserved protein UCP028291', 'UCP028291', 4, NULL),
(12478, NULL, 'IPR016183', NULL, 'Leukocidin/Hemolysin toxin', 'Leukocidin/Hemolysin_toxin', 3, NULL),
(12479, NULL, 'IPR013584', NULL, 'RAP domain', 'RAP', 3, NULL),
(12480, NULL, 'IPR008504', NULL, 'ER membrane protein complex subunit 6', 'Emc6', 4, NULL),
(12481, NULL, 'IPR019977', NULL, 'Ribosomal protein S13, archaeal', 'Ribosomal_S13_archaeal', 4, NULL),
(12482, NULL, 'IPR016202', NULL, 'Deoxyribonuclease I', 'DNase_I', 4, NULL),
(12483, NULL, 'IPR013593', NULL, 'Pro-opiomelanocortin N-terminal', 'Melanocortin_N', 3, NULL),
(12484, NULL, 'IPR034516', NULL, 'hnRNP A3, RNA recognition motif 2', 'hnRNPA3_RRM2', 3, NULL),
(12485, NULL, 'IPR008505', NULL, 'Protein of unknown function DUF787', 'DUF787', 4, NULL),
(12486, NULL, 'IPR008727', NULL, 'PAAR motif', 'PAAR_motif', 7, NULL),
(12487, NULL, 'IPR009715', NULL, 'Regulator of RNA terminal phosphate cyclase', 'RtcR', 3, NULL),
(12488, NULL, 'IPR015904', NULL, 'Sulphide quinone-reductase', 'Sulphide_quinone_reductase', 4, NULL),
(12489, NULL, 'IPR034475', NULL, 'RBM15B, RNA recognition motif 1', 'RBM15B_RRM1', 3, NULL),
(12490, NULL, 'IPR008736', NULL, 'Papillomavirus E5A, alphapapillomavirus', 'Papilloma_E5A_alpha', 4, NULL),
(12491, NULL, 'IPR020065', NULL, 'Conjugal transfer protein TrbK', 'Conjugal_tfr_protein_TrbK', 4, NULL),
(12492, NULL, 'IPR008775', NULL, 'Phytanoyl-CoA dioxygenase', 'Phytyl_CoA_dOase', 4, NULL),
(12493, NULL, 'IPR008784', NULL, 'Podovirus DNA packaging protein', 'Podovirus_Gp16', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12494, NULL, 'IPR011905', NULL, 'Glutaredoxin-like, plant II', 'GlrX-like_pln_2', 4, NULL),
(12495, NULL, 'IPR016201', NULL, 'PSI domain', 'PSI', 3, NULL),
(12496, NULL, 'IPR014557', NULL, 'Uncharacterised conserved protein UCP029548, STAS-type', 'UCP029548_STAS-type', 4, NULL),
(12497, NULL, 'IPR008739', NULL, 'Peptidase C28, foot-and-mouth virus L-proteinase', 'Peptidase_C28', 3, NULL),
(12498, NULL, 'IPR014555', NULL, 'RecF-like', 'RecF-like', 4, NULL),
(12499, NULL, 'IPR009718', NULL, 'Rex DNA-binding, C-terminal domain', 'Rex_DNA-bd_C_dom', 3, NULL),
(12500, NULL, 'IPR016159', NULL, 'Cullin repeat-like-containing domain superfamily', 'Cullin_repeat-like_dom_sf', 5, NULL),
(12501, NULL, 'IPR009730', NULL, 'Micro-fibrillar-associated protein 1, C-terminal', 'MFAP1_C', 3, NULL),
(12502, NULL, 'IPR015253', NULL, 'Stn1, C-terminal', 'CST_STN1_C', 3, NULL),
(12503, NULL, 'IPR015817', NULL, 'Vitellinogen, open beta-sheet, subdomain 1', 'Vitellinogen_open_b-sht_sub1', 5, NULL),
(12504, NULL, 'IPR012504', NULL, 'Sporulation protein YabP', 'Spore_YabP', 4, NULL),
(12505, NULL, 'IPR012506', NULL, 'YhhN-like', 'YhhN', 4, NULL),
(12506, NULL, 'IPR016045', NULL, 'Tyrosine-protein kinase, non-receptor, TYK2, N-terminal', 'Tyr_kinase_non-rcpt_TYK2_N', 3, NULL),
(12507, NULL, 'IPR004448', NULL, 'Nitrate reductas, NapE, periplasmic', 'Nitrate_reductase_NapE', 4, NULL),
(12508, NULL, 'IPR015249', NULL, 'Biliverdin reductase, catalytic', 'Biliverdin_Rdtase_cat', 3, NULL),
(12509, NULL, 'IPR020085', NULL, 'DNA delivery protein, P32/P34', 'DNA_delivery_prot_P32/34', 4, NULL),
(12510, NULL, 'IPR012825', NULL, '5,6-dimethylbenzimidazole synthase BluB', 'BluB', 4, NULL),
(12511, NULL, 'IPR012355', NULL, 'NAD kinase 2, mitochondrial', 'NADK2_mit', 4, NULL),
(12512, NULL, 'IPR013244', NULL, 'Sec39 domain', 'Sec39_domain', 3, NULL),
(12513, NULL, 'IPR023555', NULL, 'Thiol-disulphide oxidoreductase ResA', 'Thiol-dS_OxRdtase_ResA', 4, NULL),
(12514, NULL, 'IPR015300', NULL, 'DNA-binding pseudobarrel domain superfamily', 'DNA-bd_pseudobarrel_sf', 5, NULL),
(12515, NULL, 'IPR012514', NULL, 'Formaecin', 'Formaecin', 4, NULL),
(12516, NULL, 'IPR011492', NULL, 'DEAD box, Flavivirus', 'DEAD_Flavivir', 3, NULL),
(12517, NULL, 'IPR014774', NULL, 'KaiC-like domain', 'KaiC-like_dom', 3, NULL),
(12518, NULL, 'IPR015290', NULL, 'Yeast killer toxin', 'Yeast-kill-tox', 4, NULL),
(12519, NULL, 'IPR034639', NULL, 'Pub1, RNA recognition motif 3', 'PUB1_RRM3', 3, NULL),
(12520, NULL, 'IPR009236', NULL, 'Chordopoxvirus A13L', 'Chordopox_A13L', 4, NULL),
(12521, NULL, 'IPR031317', NULL, 'Tom37, C-terminal domain', 'Tom37_C', 3, NULL),
(12522, NULL, 'IPR012822', NULL, 'Sucrose-phosphate synthase, glycosyltransferase domain', 'SucroseP_synth_GlycoTrfase_dom', 3, NULL),
(12523, NULL, 'IPR015238', NULL, 'Protein of unknown function DUF1940', 'DUF1940', 4, NULL),
(12524, NULL, 'IPR015294', NULL, 'Penicillin-binding protein 4, C-terminal domain', 'Pen-bd_prot4_C_dom', 3, NULL),
(12525, NULL, 'IPR014562', NULL, 'Uncharacterised conserved protein UCP030959, divergent TPR repeat-containing', 'UCP030959_TPR_rpt-cont', 4, NULL),
(12526, NULL, 'IPR012515', NULL, 'Pleurocidin', 'Antimicrobial12', 4, NULL),
(12527, NULL, 'IPR009226', NULL, 'Penaeidin', 'Penaeidin', 4, NULL),
(12528, NULL, 'IPR024279', NULL, 'Paramyxovirinae protein V, zinc-binding domain', 'Paramyx_V_Zn-bd', 3, NULL),
(12529, NULL, 'IPR009753', NULL, 'Protein of unknown function DUF1322', 'DUF1322', 4, NULL),
(12530, NULL, 'IPR011986', NULL, 'Extradiol ring-cleavage dioxygenase LigAB, LigA subunit', 'Xdiol_dOase_LigA', 3, NULL),
(12531, NULL, 'IPR013240', NULL, 'DNA-directed RNA polymerase I, subunit RPA34.5', 'DNA-dir_RNA_pol1_su_RPA34', 4, NULL),
(12532, NULL, 'IPR012819', NULL, 'Sucrose-phosphate synthase, plant', 'SPS_pln', 4, NULL),
(12533, NULL, 'IPR012497', NULL, 'Neurotoxin B-IV-like', 'Neurotoxin_B-IV', 4, NULL),
(12534, NULL, 'IPR012356', NULL, 'Uncharacterised conserved protein UCP018781, methanogenesis', 'UCP018781_methan', 4, NULL),
(12535, NULL, 'IPR012842', NULL, 'Type 3 secretion system stator protein SctL/SctL2', 'T3SS_SctL/SctL2', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12536, NULL, 'IPR023880', NULL, 'Benzylsuccinate synthase activating enzyme', 'Benzylsucc_Synthase_activating', 4, NULL),
(12537, NULL, 'IPR023553', NULL, 'Uncharacterised methyltransferase, YrrT', 'Uncharacterised_MeTfrase_YrrT', 4, NULL),
(12538, NULL, 'IPR009223', NULL, 'Adenomatous polyposis coli protein repeat', 'APC_rpt', 7, NULL),
(12539, NULL, 'IPR015264', NULL, 'Prolyl-tRNA synthetase, class II, C-terminal, archaeal-type', 'Pro-tRNA_synth_II_arc', 3, NULL),
(12540, NULL, 'IPR019738', NULL, 'Myelin P0 protein, conserved site', 'Myelin_P0_CS', 2, NULL),
(12541, NULL, 'IPR019739', NULL, 'CTF transcription factor/nuclear factor 1, conserved site', 'CTF/NFI_DNA-bd_CS', 2, NULL),
(12542, NULL, 'IPR008511', NULL, 'Protein ROH1-like', 'ROH1-like', 4, NULL),
(12543, NULL, 'IPR019736', NULL, 'Synapsin, phosphorylation site', 'Synapsin_P_site', 6, NULL),
(12544, NULL, 'IPR012491', NULL, 'Protein Red1/Rec10', 'Red1/Rec10', 4, NULL),
(12545, NULL, 'IPR031315', NULL, 'LNS2/PITP', 'LNS2/PITP', 3, NULL),
(12546, NULL, 'IPR012858', NULL, 'Dendritic cell-specific transmembrane protein-like', 'DC_STAMP-like', 3, NULL),
(12547, NULL, 'IPR012874', NULL, 'Protein of unknown function DUF1673, Methanosarcina species', 'DUF1673_METspp', 4, NULL),
(12548, NULL, 'IPR009739', NULL, 'Lysozyme inhibitor LprI, N-terminal', 'LprI_N', 3, NULL),
(12549, NULL, 'IPR035006', NULL, 'Ankyrin repeat and LEM domain-containing protein 2, LEM domain', 'LEM_ANKL2', 3, NULL),
(12550, NULL, 'IPR011488', NULL, 'Translation initiation factor 2, alpha subunit', 'TIF_2_asu', 4, NULL),
(12551, NULL, 'IPR015770', NULL, 'Bone morphogenetic protein receptor type-2', 'BMPR2', 4, NULL),
(12552, NULL, 'IPR009743', NULL, 'Hs1pro-1, C-terminal', 'Hs1pro-1_C', 3, NULL),
(12553, NULL, 'IPR009757', NULL, 'Circovirus 2, anti-apoptotic ORF4', 'Circovirus2_Orf4', 4, NULL),
(12554, NULL, 'IPR012821', NULL, 'Sucrose phosphate synthase, sucrose phosphatase-like domain', 'Sucrose_P_synth_Pase-like_dom', 3, NULL),
(12555, NULL, 'IPR009228', NULL, 'Capsid scaffolding protein GpO', 'Capsid_scaffold_GpO', 4, NULL),
(12556, NULL, 'IPR023676', NULL, 'Ribosomal protein S14, type Z, archaeal', 'Ribosomal_S14_type-Z_arc', 4, NULL),
(12557, NULL, 'IPR012536', NULL, 'Cytomegalovirus US glycoprotein', 'CMV_US', 4, NULL),
(12558, NULL, 'IPR034321', NULL, 'C-C Chemokine receptor type 1, eukaryote', 'Chemokine_CCR1_euk', 4, NULL),
(12559, NULL, 'IPR015239', NULL, 'Anthrax toxin lethal factor, central domain', 'Anthrax_LF_cen', 3, NULL),
(12560, NULL, 'IPR015260', NULL, 'Syntaxin 6, N-terminal', 'Syntaxin-6_N', 3, NULL),
(12561, NULL, 'IPR015782', NULL, 'Dual specificity testis-specific protein kinase 1', 'TESK1', 4, NULL),
(12562, NULL, 'IPR015245', NULL, 'Nuclear RNA export factor Tap, RNA-binding domain', 'Tap_RNA-bd', 3, NULL),
(12563, NULL, 'IPR023228', NULL, 'S-adenosyl-l-methionine hydroxide adenosyltransferase, N-terminal', 'SAM_OH_AdoTrfase_N', 5, NULL),
(12564, NULL, 'IPR011500', NULL, 'GPCR, family 3, nine cysteines domain', 'GPCR_3_9-Cys_dom', 3, NULL),
(12565, NULL, 'IPR015252', NULL, 'Breast cancer type 2 susceptibility protein, helical domain', 'BRCA2_hlx', 3, NULL),
(12566, NULL, 'IPR020113', NULL, 'Protein of unknown function DUF5439', 'DUF5439', 4, NULL),
(12567, NULL, 'IPR012831', NULL, 'Precorrin 3B synthase CobZ', 'CobZ', 4, NULL),
(12568, NULL, 'IPR014384', NULL, 'RNA-directed RNA polymerase, orthobunyavirus', 'RNA-dir_pol_orthobunyavirus', 4, NULL),
(12569, NULL, 'IPR013790', NULL, 'Dwarfin', 'Dwarfin', 4, NULL),
(12570, NULL, 'IPR023990', NULL, 'Butyryl-CoA:acetate CoA-transferase', 'Butryl-CoA_acetate_CoA_Tfrase', 4, NULL),
(12571, NULL, 'IPR009741', NULL, 'Protein EARLY FLOWERING 4 domain', 'EARLY_FLOWERING_4_dom', 3, NULL),
(12572, NULL, 'IPR009233', NULL, 'Competence pheromone ComX, Bacillus-type', 'Competence_ComX_Bacillus', 4, NULL),
(12573, NULL, 'IPR012854', NULL, 'Copper amine oxidase-like, N-terminal', 'Cu_amine_oxidase-like_N', 3, NULL),
(12574, NULL, 'IPR015256', NULL, 'Initiation factor eIF2 gamma, C-terminal', 'eIF2g_C', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12575, NULL, 'IPR012852', NULL, 'Calcium binding and coiled-coil domain-like', 'CALCOCO1-like', 3, NULL),
(12576, NULL, 'IPR012820', NULL, 'Sucrose synthase, plant/cyanobacteria', 'Sucrose_synthase_pln/cyn', 4, NULL),
(12577, NULL, 'IPR014031', NULL, 'Beta-ketoacyl synthase, C-terminal', 'Ketoacyl_synth_C', 3, NULL),
(12578, NULL, 'IPR011161', NULL, 'MHC class I-like antigen recognition-like', 'MHC_I-like_Ag-recog', 3, NULL),
(12579, NULL, 'IPR012872', NULL, 'Protein of unknown function DUF1670', 'DUF1670', 4, NULL),
(12580, NULL, 'IPR014383', NULL, 'RNA-directed RNA polymerase, phytoreovirus', 'RNA-dir_poll_phytoreovirus', 4, NULL),
(12581, NULL, 'IPR012863', NULL, 'Protein of unknown function DUF1636', 'DUF1636', 4, NULL),
(12582, NULL, 'IPR011506', NULL, 'Planctomycete extracellular', 'Planctomycete_extracellular', 3, NULL),
(12583, NULL, 'IPR013239', NULL, 'RNA polymerase I, subunit Rpa14, fungi', 'RNA_polI_Rpa14', 4, NULL),
(12584, NULL, 'IPR012354', NULL, 'Esterase/lipase', 'Esterase_lipase', 4, NULL),
(12585, NULL, 'IPR009768', NULL, 'Microtubule-associated protein 70', 'MAP70', 4, NULL),
(12586, NULL, 'IPR012805', NULL, 'Acetyl-CoA C-acyltransferase FadA', 'FadA', 4, NULL),
(12587, NULL, 'IPR012079', NULL, 'Bifunctional aldehyde-alcohol dehydrogenase', 'Bifunc_Ald-ADH', 4, NULL),
(12588, NULL, 'IPR020087', NULL, 'Protein of unknown function DUF5487', 'DUF5487', 4, NULL),
(12589, NULL, 'IPR015281', NULL, 'DNA beta-glucosyltransferase, bacteriophage', 'Phage_Bgt', 4, NULL),
(12590, NULL, 'IPR009758', NULL, 'Protein of unknown function DUF1326', 'DUF1326', 4, NULL),
(12591, NULL, 'IPR012859', NULL, 'Archaeal Type IV pilin, N-terminal', 'Pilin_N_archaeal', 3, NULL),
(12592, NULL, 'IPR024261', NULL, 'RNA binding protein She2', 'RNA-bd_She2', 3, NULL),
(12593, NULL, 'IPR009755', NULL, 'Regulator of MON1-CCZ1 complex, C-terminal', 'RMC1_C', 3, NULL),
(12594, NULL, 'IPR009230', NULL, 'ATP synthase protein 8, fungal type', 'ATP_synth_su8_fun', 4, NULL),
(12595, NULL, 'IPR011990', NULL, 'Tetratricopeptide-like helical domain superfamily', 'TPR-like_helical_dom_sf', 5, NULL),
(12596, NULL, 'IPR014382', NULL, 'DNA-directed DNA polymerase, family B, adenovirus', 'DNA-dir_DNA_pol_B_adenovir', 4, NULL),
(12597, NULL, 'IPR010906', NULL, 'Bacteriophage lambda, Nu1, terminase small subunit', 'Phage_lambda_Nu1_terminase-ssu', 4, NULL),
(12598, NULL, 'IPR009760', NULL, 'Protein of unknown function DUF1328', 'DUF1328', 4, NULL),
(12599, NULL, 'IPR008516', NULL, 'Na,K-Atpase Interacting protein', 'Na/K-Atpase_Interacting', 4, NULL),
(12600, NULL, 'IPR012309', NULL, 'DNA ligase, ATP-dependent, C-terminal', 'DNA_ligase_ATP-dep_C', 3, NULL),
(12601, NULL, 'IPR011522', NULL, 'Thiamin/hydroxymethyl pyrimidine-binding YkoF, putative', 'Thiamin/HMP-bd_put_YkoF', 3, NULL),
(12602, NULL, 'IPR023807', NULL, 'Peptide modification radical SAM enzyme', 'Peptide_mod_rSAM', 4, NULL),
(12603, NULL, 'IPR012818', NULL, 'Precorrin-6Y methyltransferase', 'CbiE', 3, NULL),
(12604, NULL, 'IPR011487', NULL, 'Protein of unknown function DUF1598', 'DUF1598', 4, NULL),
(12605, NULL, 'IPR012507', NULL, 'YibE/F-like', 'YibE_F', 4, NULL),
(12606, NULL, 'IPR012816', NULL, 'NADAR', 'NADAR', 3, NULL),
(12607, NULL, 'IPR012516', NULL, 'Halocidin', 'Antimicrobial13', 4, NULL),
(12608, NULL, 'IPR012368', NULL, 'Oxidoreductase molybdopterin-binding subunit, IorB-related', 'OxRdtase_Mopterin-bd_su_IorB', 4, NULL),
(12609, NULL, 'IPR011517', NULL, 'RNA polymerase sigma-70 ECF-like', 'RNA_pol_sigma70_ECF-like', 4, NULL),
(12610, NULL, 'IPR012875', NULL, 'Succinate dehydrogenase assembly factor 4', 'SDHF4', 4, NULL),
(12611, NULL, 'IPR009738', NULL, 'BAT2, N-terminal', 'BAT2_N', 3, NULL),
(12612, NULL, 'IPR014368', NULL, 'Cytochrome c oxidase, subunit VIIa, fungal', 'Cyt_c_oxidase_su7a_fun', 4, NULL),
(12613, NULL, 'IPR009733', NULL, 'Involucrin 2', 'Involucrin2', 3, NULL),
(12614, NULL, 'IPR024074', NULL, 'Argininosuccinate synthetase, catalytic/multimerisation domain body', 'AS_cat/multimer_dom_body', 5, NULL),
(12615, NULL, 'IPR015274', NULL, 'CD4, extracellular', 'CD4-extracel', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12616, NULL, 'IPR034418', NULL, 'Probable RNA-binding protein 19, RNA recognition motif 1', 'RMB19_RRM1', 3, NULL),
(12617, NULL, 'IPR024107', NULL, 'Tyrosine-tRNA ligase, bacterial-type, type 1', 'Tyr-tRNA-ligase_bac_1', 4, NULL),
(12618, NULL, 'IPR014560', NULL, 'Uncharacterised conserved protein UCP030333, DNA/RNA-binding Alba-related', 'UCP030333_Alba', 4, NULL),
(12619, NULL, 'IPR014739', NULL, 'Channel forming colicin, N-terminal domain superfamily', 'Channel_colicin_N_sf', 5, NULL),
(12620, NULL, 'IPR012490', NULL, 'PaRep2a', 'PaRep2a', 4, NULL),
(12621, NULL, 'IPR015796', NULL, 'Impact family, bacterial/archaeal', 'Impact_bac/arc', 4, NULL),
(12622, NULL, 'IPR034633', NULL, 'Ribonucleoprotein PTB-binding 1, RNA recognition motif 1', 'RAVER1_RRM1', 3, NULL),
(12623, NULL, 'IPR013840', NULL, 'NAD-dependent DNA ligase, N-terminal', 'DNAligase_N', 3, NULL),
(12624, NULL, 'IPR015247', NULL, 'Vitamin D binding protein, domain III', 'VitD-bind_III', 3, NULL),
(12625, NULL, 'IPR009752', NULL, 'Bacteriophage Mu, Gp36', 'Phage_Mu_Gp36', 4, NULL),
(12626, NULL, 'IPR009234', NULL, 'Adenomatous polyposis coli protein basic domain', 'APC_basic_dom', 3, NULL),
(12627, NULL, 'IPR012308', NULL, 'DNA ligase, ATP-dependent, N-terminal', 'DNA_ligase_ATP-dep_N', 3, NULL),
(12628, NULL, 'IPR011520', NULL, 'Vestigial familiy', 'Vg_fam', 4, NULL),
(12629, NULL, 'IPR014385', NULL, 'RNA-directed RNA polymerase, phlebovirus', 'RNA-dir_pol_phlebovirus', 4, NULL),
(12630, NULL, 'IPR015261', NULL, '4-alpha-glucanotransferase, C-terminal', '4-alpha-glucanotransf_C', 3, NULL),
(12631, NULL, 'IPR012505', NULL, 'YbbR-like', 'YbbR', 4, NULL),
(12632, NULL, 'IPR011494', NULL, 'TUP1-like enhancer of split', 'Hira', 3, NULL),
(12633, NULL, 'IPR012856', NULL, 'D-aminopeptidase, domain B', 'DAP_B_dom', 3, NULL),
(12634, NULL, 'IPR008513', NULL, 'tRNA(Met) cytidine acetate ligase', 'tRNA(Met)_cyd_acetate_ligase', 4, NULL),
(12635, NULL, 'IPR020112', NULL, 'Protein of unknown function DUF2883', 'DUF2883', 4, NULL),
(12636, NULL, 'IPR012499', NULL, 'Janus-atracotoxin', 'Toxin_16', 4, NULL),
(12637, NULL, 'IPR019961', NULL, 'Ribosomal protein S11, archaeal', 'Ribosomal_S11_archaeal', 4, NULL),
(12638, NULL, 'IPR024079', NULL, 'Metallopeptidase, catalytic domain superfamily', 'MetalloPept_cat_dom_sf', 5, NULL),
(12639, NULL, 'IPR011266', NULL, 'Fibrinogen-binding domain 2', 'Adhesin_Fg-bd_dom_2', 3, NULL),
(12640, NULL, 'IPR012492', NULL, 'Protein RED, C-terminal', 'RED_C', 3, NULL),
(12641, NULL, 'IPR009779', NULL, 'Translocon-associated protein subunit gamma', 'SSR3', 4, NULL),
(12642, NULL, 'IPR024259', NULL, 'Alkylmercury lyase, helix-turn-helix domain', 'MerB_HTH_dom', 3, NULL),
(12643, NULL, 'IPR020076', NULL, 'Protein of unknown function DUF2768', 'DUF2768', 4, NULL),
(12644, NULL, 'IPR012869', NULL, 'CopG-like ribbon-helix-helix domain', 'RHH_5', 3, NULL),
(12645, NULL, 'IPR012498', NULL, 'Alpha-A conotoxin PIVA-like', 'Toxin_14', 4, NULL),
(12646, NULL, 'IPR011515', NULL, 'Shugoshin, C-terminal', 'Shugoshin_C', 3, NULL),
(12647, NULL, 'IPR019745', NULL, 'Amyloidogenic glycoprotein, intracellular domain, conserved site', 'Amyloid_glyco_intracell_CS', 2, NULL),
(12648, NULL, 'IPR014853', NULL, 'Uncharacterised domain, cysteine-rich', 'Unchr_dom_Cys-rich', 3, NULL),
(12649, NULL, 'IPR012512', NULL, 'Albumin I', 'Albumin_I', 4, NULL),
(12650, NULL, 'IPR013036', NULL, 'Domain of unknown function DUF1587', 'DUF1587', 3, NULL),
(12651, NULL, 'IPR009745', NULL, 'Cysteine-rich, acidic integral membrane', 'CRAM_rpt', 7, NULL),
(12652, NULL, 'IPR012521', NULL, 'Frog antimicrobial peptide, brevinin-2/esculentin type', 'Antimicrobial_frog_2', 3, NULL),
(12653, NULL, 'IPR014758', NULL, 'Methionyl-tRNA synthetase', 'Met-tRNA_synth', 4, NULL),
(12654, NULL, 'IPR015262', NULL, 'tRNA(Ile)-lysidine synthase , substrate-binding domain', 'tRNA_Ile_lys_synt_subst-bd', 3, NULL),
(12655, NULL, 'IPR011987', NULL, 'ATPase, V1 complex, subunit H, C-terminal', 'ATPase_V1-cplx_hsu_C', 3, NULL),
(12656, NULL, 'IPR014771', NULL, 'Apoptosis, Bim N-terminal', 'Apoptosis_Bim_N', 3, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12657, NULL, 'IPR024278', NULL, 'DUF3823, N-terminal', 'DUF3823_N', 3, NULL),
(12658, NULL, 'IPR024260', NULL, 'Vacuolar segregation subunit 7', 'Vac7', 4, NULL),
(12659, NULL, 'IPR009231', NULL, 'Chloride channel CLIC-like', 'Chloride_chnl_CLIC-like', 4, NULL),
(12660, NULL, 'IPR012860', NULL, 'Arf3-interacting protein 1, N-terminal domain', 'Afi1_N', 3, NULL),
(12661, NULL, 'IPR011518', NULL, 'Transposase, Rhodopirellula-type', 'Transposase_36', 4, NULL),
(12662, NULL, 'IPR009776', NULL, 'Sporulation stage 0, protein M', 'Spore_0_M', 4, NULL),
(12663, NULL, 'IPR012085', NULL, 'Globin, nematode', 'Globin_nematode', 4, NULL),
(12664, NULL, 'IPR013235', NULL, 'PPP domain', 'PPP_dom', 3, NULL),
(12665, NULL, 'IPR015819', NULL, 'Lipid transport protein, beta-sheet shell', 'Lipid_transp_b-sht_shell', 5, NULL),
(12666, NULL, 'IPR012848', NULL, 'Aspartic peptidase, N-terminal', 'Aspartic_peptidase_N', 3, NULL),
(12667, NULL, 'IPR035007', NULL, 'Ankyrin repeat and LEM domain-containing protein 2', 'ANKLE2', 4, NULL),
(12668, NULL, 'IPR015240', NULL, 'tRNA pseudouridine synthase II, TruB, subfamily 1, C-terminal', 'tRNA_sdUridine_synth_fam1_C', 3, NULL),
(12669, NULL, 'IPR024707', NULL, 'Ferredoxin-thioredoxin reductase catalytic subunit, cyanobacteria-type', 'FTR_bsu_Cyanobacter', 4, NULL),
(12670, NULL, 'IPR019735', NULL, 'Synapsin, conserved site', 'Synapsin_CS', 2, NULL),
(12671, NULL, 'IPR011496', NULL, 'Beta-N-acetylglucosaminidase', 'Beta-N-acetylglucosaminidase', 4, NULL),
(12672, NULL, 'IPR014737', NULL, 'Transposase, Tn5-like, C-terminal', 'Transposase_Tn5-like_C', 5, NULL),
(12673, NULL, 'IPR011486', NULL, 'Putative beta-barrel porin-2, OmpL-like. bbp2', 'BBP2', 4, NULL),
(12674, NULL, 'IPR015292', NULL, 'Transcription regulator YbiH, C-terminal', 'Tscrpt_reg_YbiH_C', 3, NULL),
(12675, NULL, 'IPR015771', NULL, 'Anti-muellerian hormone receptor, type II', 'Anti-muellerian_hrmn_rcpt_II', 4, NULL),
(12676, NULL, 'IPR012357', NULL, 'Uncharacterised conserved protein UCP024484', 'UCP024484', 4, NULL),
(12677, NULL, 'IPR012503', NULL, 'WisP, N-terminal', 'WisP_N', 3, NULL),
(12678, NULL, 'IPR012838', NULL, 'Pyruvate formate-lyase 1 activating enzyme', 'PFL1_activating', 4, NULL),
(12679, NULL, 'IPR013237', NULL, 'Bacteriophage T7, Gp4, DNA primase/helicase, N-terminal', 'Phage_T7_Gp4_N', 3, NULL),
(12680, NULL, 'IPR023991', NULL, 'Bacteriocin, class IIb, lactobin A/cerein 7B family', 'Bacteriocin_IIb_lactobn/cerein', 4, NULL),
(12681, NULL, 'IPR020120', NULL, 'Plasmid pGKL2, Orf8', 'Plasmid_pGKL2_Orf8', 4, NULL),
(12682, NULL, 'IPR015931', NULL, 'Aconitase/3-isopropylmalate dehydratase large subunit, alpha/beta/alpha, subdomain 1/3', 'Acnase/IPM_dHydase_lsu_aba_1/3', 5, NULL),
(12683, NULL, 'IPR024077', NULL, 'Neurolysin/Thimet oligopeptidase, domain 2', 'Neurolysin/TOP_dom2', 5, NULL),
(12684, NULL, 'IPR009765', NULL, 'Pericardin-like repeat', 'Pericardin-like_rpt', 7, NULL),
(12685, NULL, 'IPR012488', NULL, 'Nodule-specific GRP-repeat', 'Nod_GRP', 7, NULL),
(12686, NULL, 'IPR015803', NULL, 'Cysteine-tRNA ligase', 'Cys-tRNA-ligase', 4, NULL),
(12687, NULL, 'IPR015849', NULL, 'Amyloidogenic glycoprotein, heparin-binding', 'Amyloid_glyco_heparin-bd', 3, NULL),
(12688, NULL, 'IPR015767', NULL, 'Rho GTPase activating protein 27', 'ARHGAP27', 4, NULL),
(12689, NULL, 'IPR009762', NULL, 'Circovirus 2, Orf10', 'Circovirus2_Orf10', 4, NULL),
(12690, NULL, 'IPR014374', NULL, 'Protein kinase, T7-type', 'Protein_kinase_T7-type', 4, NULL),
(12691, NULL, 'IPR024071', NULL, 'Protein of unknown function DUF917, C-terminal', 'DUF917_C', 5, NULL),
(12692, NULL, 'IPR012091', NULL, 'Peptidase M54, archaemetzincin, archaeal/bacterial', 'Pept_M54_archaemetzncn_arc/bac', 4, NULL),
(12693, NULL, 'IPR009729', NULL, 'Galactose-3-O-sulfotransferase', 'Gal-3-0_sulfotransfrase', 4, NULL),
(12694, NULL, 'IPR015865', NULL, 'Riboflavin kinase domain, bacterial/eukaryotic', 'Riboflavin_kinase_bac/euk', 3, NULL),
(12695, NULL, 'IPR020109', NULL, 'Holin, r1t-type', 'Holin_r1t', 4, NULL),
(12696, NULL, 'IPR020119', NULL, 'Pseudouridine synthase TruD, conserved site', 'PsdUridine_synth_TruD_CS', 2, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12697, NULL, 'IPR013020', NULL, 'ATP-dependent helicase Rad3/Chl1-like', 'Rad3/Chl1-like', 4, NULL),
(12698, NULL, 'IPR013131', NULL, 'Mannitol dehydrogenase, N-terminal', 'Mannitol_DH_N', 3, NULL),
(12699, NULL, 'IPR012871', NULL, 'Protein of unknown function DUF1677, Oryza sativa', 'DUF1668_ORYSA', 4, NULL),
(12700, NULL, 'IPR015255', NULL, 'Vitellinogen, open beta-sheet', 'Vitellinogen_open_b-sht', 3, NULL),
(12701, NULL, 'IPR012081', NULL, 'Alkyl hydroperoxide reductase subunit F', 'Alkyl_hydroperoxide_Rdtase_suF', 4, NULL),
(12702, NULL, 'IPR014030', NULL, 'Beta-ketoacyl synthase, N-terminal', 'Ketoacyl_synth_N', 3, NULL),
(12703, NULL, 'IPR011498', NULL, 'Kelch repeat type 2', 'Kelch_2', 7, NULL),
(12704, NULL, 'IPR012528', NULL, 'Ponericin L', 'Antimicrobial_9', 4, NULL),
(12705, NULL, 'IPR012865', NULL, 'Protein of unknown function DUF1642', 'DUF1642', 4, NULL),
(12706, NULL, 'IPR009736', NULL, 'Protein of unknown function DUF1307', 'DUF1307', 4, NULL),
(12707, NULL, 'IPR012364', NULL, 'Oligosaccharide lyase', 'Oligosacch_lyase', 4, NULL),
(12708, NULL, 'IPR012520', NULL, 'Frog antimicrobial peptide, brevinin-1 type', 'Antimicrobial_frog_1', 3, NULL),
(12709, NULL, 'IPR012840', NULL, 'Anaerobic ribonucleoside-triphosphate reductase activating protein', 'NrdG2', 4, NULL),
(12710, NULL, 'IPR011502', NULL, 'Nucleoporin Nup85-like', 'Nucleoporin_Nup85', 4, NULL),
(12711, NULL, 'IPR012083', NULL, 'Arylsulfatase', 'Arylsulfatase', 4, NULL),
(12712, NULL, 'IPR012867', NULL, 'Domain of unknown function DUF1648', 'DUF1648', 3, NULL),
(12713, NULL, 'IPR014371', NULL, 'Sterol O-acyltransferase, ACAT/DAG/ARE types', 'Oat_ACAT_DAG_ARE', 4, NULL),
(12714, NULL, 'IPR014381', NULL, 'DNA-directed RNA polymerase subunit Rpo5/Rpb5', 'Arch_Rpo5/euc_Rpb5', 4, NULL),
(12715, NULL, 'IPR012800', NULL, 'Catechol 1,2-dioxygenase, actinobacteria', 'Cchol_dOase_actb', 4, NULL),
(12716, NULL, 'IPR012811', NULL, 'Trehalose synthase/probable maltokinase, C-terminal domain', 'TreS_maltokin_C_dom', 3, NULL),
(12717, NULL, 'IPR011062', NULL, 'Contryphan, conserved site', 'Contryphan_CS', 2, NULL),
(12718, NULL, 'IPR035010', NULL, 'Dual specificity protein phosphatase PHS1', 'PHS1', 4, NULL),
(12719, NULL, 'IPR009774', NULL, 'Streptococcus phage 7201, Orf18', 'Phage_7201_Orf18', 4, NULL),
(12720, NULL, 'IPR015251', NULL, 'X-Prolyl dipeptidyl aminopeptidase PepX, N-terminal domain', 'PepX_N_dom', 3, NULL),
(12721, NULL, 'IPR011989', NULL, 'Armadillo-like helical', 'ARM-like', 5, NULL),
(12722, NULL, 'IPR024061', NULL, 'NDT80 DNA-binding domain', 'NDT80_DNA-bd_dom', 3, NULL),
(12723, NULL, 'IPR012532', NULL, 'BDHCT', 'BDHCT', 3, NULL),
(12724, NULL, 'IPR031318', NULL, 'OPI10 family', 'OPI10', 4, NULL),
(12725, NULL, 'IPR019783', NULL, 'Ribosome maturation protein Sdo1/SBDS, N-terminal', 'Ribosome_mat_Sdo1/SBDS_N', 3, NULL),
(12726, NULL, 'IPR012801', NULL, 'Catechol 1,2-dioxygenase, proteobacteria', 'Cchol_dOase_prob', 4, NULL),
(12727, NULL, 'IPR012495', NULL, 'TadE-like', 'TadE', 4, NULL),
(12728, NULL, 'IPR019958', NULL, 'Ribosomal protein S9, archaeal', 'Ribosomal_S9_archaeal', 4, NULL),
(12729, NULL, 'IPR015295', NULL, 'Carbohydrate binding module 27', 'Carb-bd_module_27', 3, NULL),
(12730, NULL, 'IPR012511', NULL, 'S-adenosyl-l-methionine decarboxylase leader peptide', 'AdoMetDC_leader', 4, NULL),
(12731, NULL, 'IPR020104', NULL, 'Protein of unknown function DUF5438', 'DUF5438', 4, NULL),
(12732, NULL, 'IPR011162', NULL, 'MHC classes I/II-like antigen recognition protein', 'MHC_I/II-like_Ag-recog', 5, NULL),
(12733, NULL, 'IPR012830', NULL, 'Citrate utilization protein B', 'Citrate_utilization_prot_B', 4, NULL),
(12734, NULL, 'IPR015816', NULL, 'Vitellinogen, beta-sheet N-terminal', 'Vitellinogen_b-sht_N', 5, NULL),
(12735, NULL, 'IPR015259', NULL, 'Methylene-tetrahydromethanopterin dehydrogenase, N-terminal', 'Methyl-teptahyd_DH_N', 3, NULL),
(12736, NULL, 'IPR023896', NULL, 'D-alanyl-lipoteichoic acid biosynthesis DltD, Firmicutes', 'LTA_DltD', 4, NULL),
(12737, NULL, 'IPR015792', NULL, 'Kinesin light chain repeat', 'Kinesin_light_repeat', 7, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12738, NULL, 'IPR015246', NULL, 'Formate dehydrogenase, transmembrane', 'Formate_DH_TM', 3, NULL),
(12739, NULL, 'IPR015278', NULL, 'Type-2 restriction enzyme BglII', 'BglII', 4, NULL),
(12740, NULL, 'IPR009761', NULL, 'Cytoplasmic repetitive antigen-like', 'CRA_rpt', 7, NULL),
(12741, NULL, 'IPR009232', NULL, 'EB-1 binding', 'EB1-bd', 3, NULL),
(12742, NULL, 'IPR014379', NULL, '6-phosphofructo-2-kinase Pfk27', 'Pfk27', 4, NULL),
(12743, NULL, 'IPR011489', NULL, 'EMI domain', 'EMI_domain', 3, NULL),
(12744, NULL, 'IPR012849', NULL, 'Abl-interactor, homeo-domain homologous domain', 'Abl-interactor_HHR_dom', 3, NULL),
(12745, NULL, 'IPR012361', NULL, 'Galactose-1-phosphate uridylyltransferase, short form, putative', 'GalT_short', 4, NULL),
(12746, NULL, 'IPR019741', NULL, 'Galactokinase, conserved site', 'Galactokinase_CS', 2, NULL),
(12747, NULL, 'IPR019740', NULL, 'Pyridoxamine 5''-phosphate oxidase, conserved site', 'Pyridox_Oxase_CS', 2, NULL),
(12748, NULL, 'IPR012804', NULL, 'Cobaltochelatase subunit, putative', 'Cob_chelat_sub_put', 4, NULL),
(12749, NULL, 'IPR020102', NULL, 'Uncharacterised protein YqgC-like', 'YqgC-like', 4, NULL),
(12750, NULL, 'IPR020101', NULL, 'Cytochrome b-c1 complex subunit 8, plants', 'Cyt_b-c1_8-plants', 4, NULL),
(12751, NULL, 'IPR014740', NULL, 'Channel forming colicin, central receptor recognition', 'Channel_colicin_cen', 3, NULL),
(12752, NULL, 'IPR012851', NULL, 'Spore coat protein CotF-like', 'Spore_coat_CotF-like', 4, NULL),
(12753, NULL, 'IPR009766', NULL, 'White spot syndrome virus (WSSV), Orf116/126, C-terminal', 'WSSV_Orf116/126_C', 3, NULL),
(12754, NULL, 'IPR011513', NULL, 'Non-structural maintenance of chromosomes element 1', 'Nse1', 4, NULL),
(12755, NULL, 'IPR011514', NULL, 'Secretin, N-terminal', 'Secretin_N_2', 3, NULL),
(12756, NULL, 'IPR008514', NULL, 'Type VI secretion system effector Hcp', 'T6SS_Hcp', 4, NULL),
(12757, NULL, 'IPR012493', NULL, 'Renin receptor-like', 'Renin_rcpt', 4, NULL),
(12758, NULL, 'IPR020122', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), Orf56', 'AcMNPV_Orf56', 4, NULL),
(12759, NULL, 'IPR020108', NULL, 'Spore coat protein CotD', 'Spore_coat_CotD', 4, NULL),
(12760, NULL, 'IPR015237', NULL, 'Alpha-amylase C-terminal, prokaryotic', 'Alpha-amylase_C_pro', 3, NULL),
(12761, NULL, 'IPR012814', NULL, 'Pyranose 2-oxidase', 'P2OX', 4, NULL),
(12762, NULL, 'IPR012861', NULL, 'Protein of unknown function DUF1634', 'DUF1634', 4, NULL),
(12763, NULL, 'IPR015272', NULL, 'Molybdopterin cofactor biosynthesis MoaD-related, C-terminal', 'Mopterin_CF_MoaD-rel_C', 3, NULL),
(12764, NULL, 'IPR024084', NULL, 'Isopropylmalate dehydrogenase-like domain', 'IsoPropMal-DH-like_dom', 3, NULL),
(12765, NULL, 'IPR015243', NULL, 'FimH, mannose-binding domain', 'FimH_man-bd', 3, NULL),
(12766, NULL, 'IPR012533', NULL, 'YcnI-like', 'YcnI-like', 3, NULL),
(12767, NULL, 'IPR012833', NULL, 'Ribonucleoside-triphosphate reductase, anaerobic', 'NrdD', 4, NULL),
(12768, NULL, 'IPR009734', NULL, 'Myoviridae, GpU', 'Myoviridae_GpU', 4, NULL),
(12769, NULL, 'IPR009770', NULL, 'Domain of unknown function DUF1338', 'DUF1338', 3, NULL),
(12770, NULL, 'IPR011508', NULL, 'RSD-2, N-terminal', 'RSD-2_N', 3, NULL),
(12771, NULL, 'IPR015268', NULL, 'Protein of unknown function DUF1948', 'DUF1948', 4, NULL),
(12772, NULL, 'IPR009229', NULL, 'Staphylococcal AgrD', 'AgrD', 4, NULL),
(12773, NULL, 'IPR011991', NULL, 'ArsR-like helix-turn-helix domain', 'ArsR-like_HTH', 3, NULL),
(12774, NULL, 'IPR012823', NULL, 'Flagellar export FliJ', 'Flagell_FliJ', 4, NULL),
(12775, NULL, 'IPR012524', NULL, 'Abaecin, antimicrobial peptide', 'Abaecin_antimicrobial_peptide', 4, NULL),
(12776, NULL, 'IPR014743', NULL, 'Chloride channel, core', 'Cl-channel_core', 5, NULL),
(12777, NULL, 'IPR012817', NULL, 'Chlorocatechol 1,2-dioxygenase', 'Chlorcchol_dOase', 4, NULL),
(12778, NULL, 'IPR015284', NULL, 'Signal recognition particle (SRP) receptor alpha subunit, N-terminal', 'SRX_dom', 3, NULL),
(12779, NULL, 'IPR009742', NULL, 'Curlin associated', 'Curlin_rpt', 7, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12780, NULL, 'IPR012873', NULL, 'Protein of unknown function DUF1672', 'DUF1672', 4, NULL),
(12781, NULL, 'IPR014387', NULL, 'CDP-diacylglycerol-inositol 3-phosphatidyltransferase, eukaryote', 'CDP_diag_ino_3_P_euk', 4, NULL),
(12782, NULL, 'IPR012522', NULL, 'Spider antimicrobial peptide', 'Antimicrobial_3', 4, NULL),
(12783, NULL, 'IPR034417', NULL, 'Probable RNA-binding protein 19, RNA recognition motif 2', 'RMB19_RRM2', 3, NULL),
(12784, NULL, 'IPR015267', NULL, 'Protein phosphatase 4 core regulatory subunit R2', 'PPP4R2', 4, NULL),
(12785, NULL, 'IPR012508', NULL, 'ATPase, A1 complex, epsilon subunit, archaeal', 'ATPase_A1-cplx_e-su', 4, NULL),
(12786, NULL, 'IPR009227', NULL, 'Zea mays MURB-like', 'Zea_mays_MuDR', 4, NULL),
(12787, NULL, 'IPR020100', NULL, 'Glucose-repressible protein Grg1', 'Glc-repressible_Grg1', 4, NULL),
(12788, NULL, 'IPR023809', NULL, 'Thiopeptide-type bacteriocin biosynthesis domain', 'Thiopep_bacteriocin_synth_dom', 3, NULL),
(12789, NULL, 'IPR015802', NULL, 'Copper amine oxidase, N3-terminal', 'Cu_amine_oxidase_N3', 3, NULL),
(12790, NULL, 'IPR012529', NULL, 'Attractin', 'Attractin', 4, NULL),
(12791, NULL, 'IPR015797', NULL, 'NUDIX hydrolase-like domain superfamily', 'NUDIX_hydrolase-like_dom_sf', 5, NULL),
(12792, NULL, 'IPR012806', NULL, 'Acetyl-CoA C-acyltransferase FadI', 'Ac-CoA_C-AcTrfase_FadI', 4, NULL),
(12793, NULL, 'IPR013243', NULL, 'SCA7 domain', 'SCA7_dom', 3, NULL),
(12794, NULL, 'IPR034319', NULL, 'ENA/VASP-like protein', 'ENA/VASP-like_protein', 4, NULL),
(12795, NULL, 'IPR023805', NULL, 'Uncharacterised protein family, spore photo-product lyase-related', 'Uncharacterised_Spl-rel', 4, NULL),
(12796, NULL, 'IPR012502', NULL, 'WAPL domain', 'WAPL_dom', 3, NULL),
(12797, NULL, 'IPR014757', NULL, 'Transcription regulator IclR, C-terminal', 'Tscrpt_reg_IclR_C', 3, NULL),
(12798, NULL, 'IPR012513', NULL, 'Metchnikowin', 'Mtk', 4, NULL),
(12799, NULL, 'IPR011483', NULL, 'Protein of unknown function DUF1593', 'DUF1593', 4, NULL),
(12800, NULL, 'IPR015273', NULL, 'Cysteinyl-tRNA synthetase, class Ia, DALR', 'Cys-tRNA-synt_Ia_DALR', 3, NULL),
(12801, NULL, 'IPR013241', NULL, 'RNase P, subunit Pop3', 'RNase_P_Pop3', 4, NULL),
(12802, NULL, 'IPR012353', NULL, 'Uncharacterised conserved protein UCP01524, polysaccharide biosynthesis aminopeptidase-like', 'UCP015244', 4, NULL),
(12803, NULL, 'IPR004432', NULL, 'Polyketide-type polyunsaturated fatty acid synthase, PfaA', 'Omega_3_polyunsat_FA_synth', 4, NULL),
(12804, NULL, 'IPR015257', NULL, 'Repressor of RNA polymerase III transcription  Maf1', 'Maf1', 4, NULL),
(12805, NULL, 'IPR010907', NULL, 'Calcium-mediated lectin', 'Ca-mediated_lectin', 3, NULL),
(12806, NULL, 'IPR015282', NULL, 'Staphylococcal superantigen-like OB-fold domain', 'SSL_OB', 3, NULL),
(12807, NULL, 'IPR012519', NULL, 'Lantibiotic, type A, Pep5-type', 'Lantibiotic_typ-A_Pep5', 4, NULL),
(12808, NULL, 'IPR009728', NULL, 'BAALC', 'BAALC', 4, NULL),
(12809, NULL, 'IPR010905', NULL, 'Glycosyl hydrolase, family 88', 'Glyco_hydro_88', 4, NULL),
(12810, NULL, 'IPR014775', NULL, 'L27 domain, C-terminal', 'L27_C', 3, NULL),
(12811, NULL, 'IPR014388', NULL, '3-oxoacid CoA-transferase', '3-oxoacid_CoA-transferase', 4, NULL),
(12812, NULL, 'IPR012535', NULL, 'Cell division protein Cdc14', 'Cell_div_Cdc14', 4, NULL),
(12813, NULL, 'IPR012810', NULL, 'Trehalose synthase/alpha-amylase, N-terminal', 'TreS/a-amylase_N', 3, NULL),
(12814, NULL, 'IPR012864', NULL, 'Cysteine oxygenase/2-aminoethanethiol dioxygenase', 'PCO/ADO', 4, NULL),
(12815, NULL, 'IPR009238', NULL, 'Chordopoxvirus A33R', 'Chordopox_A33R', 4, NULL),
(12816, NULL, 'IPR015250', NULL, 'MPT63-like', 'MPT63-like', 3, NULL),
(12817, NULL, 'IPR031313', NULL, 'SAPK-interacting protein 1, Pleckstrin-homology domain', 'Sin1_PH_dom', 3, NULL),
(12818, NULL, 'IPR018129', NULL, 'Phosphoenolpyruvate carboxylase, Lys active site', 'PEP_COase_Lys_AS', 0, NULL),
(12819, NULL, 'IPR012358', NULL, 'Endopolyphosphatase, Ppn1p-related', 'EndopolyPtase_N1', 4, NULL),
(12820, NULL, 'IPR012523', NULL, 'Ant antimicrobial peptide', 'Antimicrobial_4', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12821, NULL, 'IPR013238', NULL, 'RNA polymerase III, subunit Rpc25', 'RNA_pol_III_Rbc25', 3, NULL),
(12822, NULL, 'IPR013788', NULL, 'Hemocyanin/hexamerin', 'Hemocyanin/hexamerin', 4, NULL),
(12823, NULL, 'IPR024069', NULL, 'AF2212-like domain superfamily', 'AF2212-like_dom_sf', 5, NULL),
(12824, NULL, 'IPR012834', NULL, 'Flagellar basal-body rod FlgG', 'FlgG_G_neg', 4, NULL),
(12825, NULL, 'IPR015298', NULL, 'Bacteriophage T4, Gp8', 'Phage_T4_Gp8', 3, NULL),
(12826, NULL, 'IPR009235', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), Orf146', 'AcMNPV_Orf146', 4, NULL),
(12827, NULL, 'IPR011491', NULL, 'Flagellar hook protein FlgE', 'Falgellar_hook_FlgE', 3, NULL),
(12828, NULL, 'IPR009746', NULL, 'Antimicrobial peptide resistance/lipid A acylation PagP', 'Peptid-resist/lipidA_acyl_PagP', 4, NULL),
(12829, NULL, 'IPR011504', NULL, 'PSRT', 'PSRT', 3, NULL),
(12830, NULL, 'IPR012843', NULL, 'Type III secretion system YscD/HrpQ', 'T3SS_YscD/HrpQ', 4, NULL),
(12831, NULL, 'IPR012509', NULL, 'Neurotoxin 3, Anemonia', 'Neurotoxin_3_Anemonia', 3, NULL),
(12832, NULL, 'IPR012367', NULL, 'Uncharacterised conserved protein thioesterase', 'UCP_Testerase', 4, NULL),
(12833, NULL, 'IPR009737', NULL, 'Thioredoxin-like ferredoxin', 'Aim32/Apd1-like', 4, NULL),
(12834, NULL, 'IPR012365', NULL, 'Phosphoesterase, lmo2642-related', 'Pesteras_lmo2642', 4, NULL),
(12835, NULL, 'IPR008518', NULL, 'Mff/Tango-11', 'Mff/Tango-11', 4, NULL),
(12836, NULL, 'IPR012310', NULL, 'DNA ligase, ATP-dependent, central', 'DNA_ligase_ATP-dep_cent', 3, NULL),
(12837, NULL, 'IPR015291', NULL, 'Restriction endonuclease, type II, MspI', 'Restrct_endonuc_II_MspI', 4, NULL),
(12838, NULL, 'IPR009748', NULL, 'Orthopoxvirus C10L', 'Orthopox_C10L', 4, NULL),
(12839, NULL, 'IPR024090', NULL, 'Proline dehydrogenase PutA, domain I', 'PRODH_PutA_dom_I', 5, NULL),
(12840, NULL, 'IPR015285', NULL, 'RIO2 kinase winged helix domain, N-terminal', 'RIO2_wHTH_N', 3, NULL),
(12841, NULL, 'IPR014760', NULL, 'Serum albumin, N-terminal', 'Serum_albumin_N', 3, NULL),
(12842, NULL, 'IPR013983', NULL, 'Aldehyde ferredoxin oxidoreductase, N-terminal', 'Ald_Fedxn_OxRdtase_N', 3, NULL),
(12843, NULL, 'IPR012836', NULL, 'Flagellar basal-body rod FlgF', 'FlgF', 4, NULL),
(12844, NULL, 'IPR015297', NULL, 'Bacteriophage PRD1, P2, absorption protein', 'Phage_PRD1_P2', 4, NULL),
(12845, NULL, 'IPR011992', NULL, 'EF-hand domain pair', 'EF-hand-dom_pair', 5, NULL),
(12846, NULL, 'IPR015288', NULL, 'Protein of unknown function DUF1955', 'DUF1955', 4, NULL),
(12847, NULL, 'IPR012808', NULL, 'Conserved hypothetical protein CHP02453', 'CHP02453', 4, NULL),
(12848, NULL, 'IPR012837', NULL, 'Ribonucleoside-triphosphate reductase activating, anaerobic', 'NrdG', 4, NULL),
(12849, NULL, 'IPR015265', NULL, 'Bacterial purine repressor, N-terminal', 'PuR_N', 3, NULL),
(12850, NULL, 'IPR012832', NULL, 'Reductive dehalogenase', 'RDH', 4, NULL),
(12851, NULL, 'IPR024087', NULL, 'Creatininase-like superfamily', 'Creatininase-like_sf', 5, NULL),
(12852, NULL, 'IPR009744', NULL, 'VirC1', 'VirC1', 4, NULL),
(12853, NULL, 'IPR013147', NULL, 'CD47 transmembrane', 'CD47_TM', 3, NULL),
(12854, NULL, 'IPR014720', NULL, 'Double-stranded RNA-binding domain', 'dsRBD_dom', 3, NULL),
(12855, NULL, 'IPR014744', NULL, 'Nuclear receptor coactivator, CREB-bp-like, interlocking', 'Nuc_rcpt_coact_CREBbp', 3, NULL),
(12856, NULL, 'IPR011519', NULL, 'ASPIC/UnbV', 'UnbV_ASPIC', 3, NULL),
(12857, NULL, 'IPR015789', NULL, 'Twist-related', 'Twist-related', 4, NULL),
(12858, NULL, 'IPR012489', NULL, 'Nuclease A inhibitor-like', 'NucleaseA_inhib-like', 4, NULL),
(12859, NULL, 'IPR009225', NULL, 'Bacteriophage head completion protein GpL', 'Phage_head_completion_GpL', 4, NULL),
(12860, NULL, 'IPR012527', NULL, 'Uperin', 'Antimicrobial_8', 4, NULL),
(12861, NULL, 'IPR012530', NULL, 'B melanoma antigen-like', 'BAGE-like', 4, NULL),
(12862, NULL, 'IPR005853', NULL, 'Omega-agatoxin type II/III, conserved site', 'Omega-agatoxin_II/III_CS', 2, NULL),
(12863, NULL, 'IPR012500', NULL, 'Clostridium neurotoxin, translocation', 'Toxin_trans', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12864, NULL, 'IPR012835', NULL, 'Flagellar hook FlgE', 'FlgE_epsilon', 4, NULL),
(12865, NULL, 'IPR013839', NULL, 'NAD-dependent DNA ligase, adenylation', 'DNAligase_adenylation', 3, NULL),
(12866, NULL, 'IPR013838', NULL, 'Beta tubulin, autoregulation binding site', 'Beta-tubulin_BS', 1, NULL),
(12867, NULL, 'IPR019742', NULL, 'Alpha-2-macroglobulin, conserved site', 'MacrogloblnA2_CS', 2, NULL),
(12868, NULL, 'IPR011493', NULL, 'GLUG', 'GLUG', 3, NULL),
(12869, NULL, 'IPR015279', NULL, 'Malto-oligosyltrehalose synthase, C-terminal', 'Trehalose_TreY_C', 3, NULL),
(12870, NULL, 'IPR013033', NULL, 'Septum formation inhibitor MinC', 'MinC', 4, NULL),
(12871, NULL, 'IPR012803', NULL, 'Fatty acid oxidation complex, alpha subunit, mitochondrial', 'Fa_ox_alpha_mit', 4, NULL),
(12872, NULL, 'IPR012827', NULL, 'Hemerythrin, metal-binding domain', 'Hemerythrin_metal-bd', 3, NULL),
(12873, NULL, 'IPR015810', NULL, 'Photosynthetic reaction centre, H subunit, N-terminal', 'Photo_RC_H_N', 3, NULL),
(12874, NULL, 'IPR023808', NULL, 'Nitrile hydratase accessory protein, putative', 'Nitrile_Hydratase_acc_put', 4, NULL),
(12875, NULL, 'IPR009240', NULL, 'Adenomatous polyposis coli protein, 15 residue repeat', 'APC_15aa_rpt', 7, NULL),
(12876, NULL, 'IPR015254', NULL, 'N-glycosylase/DNA lyase-like', 'AGOG-like', 4, NULL),
(12877, NULL, 'IPR009241', NULL, 'Toxin HigB-like', 'HigB-like', 4, NULL),
(12878, NULL, 'IPR024060', NULL, 'Ureidoglycolate lyase domain superfamily', 'Ureidoglycolate_lyase_dom_sf', 5, NULL),
(12879, NULL, 'IPR014745', NULL, 'MHC class II, alpha/beta chain, N-terminal', 'MHC_II_a/b_N', 5, NULL),
(12880, NULL, 'IPR023897', NULL, 'Spore photoproduct lyase', 'Spore_PP_lysase', 4, NULL),
(12881, NULL, 'IPR014369', NULL, 'Glycine/Sarcosine N-methyltransferase', 'Gly/Sar_N_MeTrfase', 4, NULL),
(12882, NULL, 'IPR014375', NULL, 'Protein kinase C, alpha/beta/gamma types', 'Protein_kinase_C_a/b/g', 4, NULL),
(12883, NULL, 'IPR024093', NULL, 'Uncharacterised protein family MTH865', 'Uncharacterised_MTH865', 4, NULL),
(12884, NULL, 'IPR013502', NULL, 'Uncharacterised domain AF0941', 'Uncharacterised_AF0941', 3, NULL),
(12885, NULL, 'IPR009731', NULL, 'Replication P', 'Phage_lambda_P', 4, NULL),
(12886, NULL, 'IPR015277', NULL, 'Restriction endonuclease, type II, AvaI/BsoBI', 'Restrct_endonuc_II_AvaI/BsoBI', 4, NULL),
(12887, NULL, 'IPR013246', NULL, 'SAGA complex, Sgf11 subunit', 'SAGA_su_Sgf11', 4, NULL),
(12888, NULL, 'IPR008510', NULL, 'Protein of unknown function DUF792, Borrelia species', 'DUF792_BOR_spp', 4, NULL),
(12889, NULL, 'IPR015241', NULL, 'Transcription regulator MotA, C-terminal', 'MotA_Tscrpt_reg_C', 3, NULL),
(12890, NULL, 'IPR023806', NULL, 'Conserved hypothetical protein CHP03905', 'CHP03905', 4, NULL),
(12891, NULL, 'IPR020117', NULL, 'Uncharacterised protein family YncJ', 'Uncharacterised_YncJ', 4, NULL),
(12892, NULL, 'IPR020115', NULL, 'Anti-sigma-F factor Fin', 'Fin', 4, NULL),
(12893, NULL, 'IPR011988', NULL, 'MHC class II-associated invariant chain, trimerisation', 'MHC_II-assoc_invariant_trimer', 3, NULL),
(12894, NULL, 'IPR011142', NULL, 'Spider toxin CSTX, Knottin scaffold conserved site', 'Spider_toxin_CSTX_Knottin_CS', 2, NULL),
(12895, NULL, 'IPR015248', NULL, 'Ubiquinol-cytochrome c reductase 8kDa, N-terminal', 'Ubiqinol_cyt_c_Rdtase_N', 3, NULL),
(12896, NULL, 'IPR011501', NULL, 'Nucleolar complex-associated protein 3, N-terminal', 'Noc3_N', 3, NULL),
(12897, NULL, 'IPR012534', NULL, 'Bombolitin', 'Bombolitin', 4, NULL),
(12898, NULL, 'IPR012517', NULL, 'Lactocin 705', 'Antimicrobial14', 4, NULL),
(12899, NULL, 'IPR009778', NULL, 'Modulator of Rho-dependent transcription termination', 'ROF', 4, NULL),
(12900, NULL, 'IPR015299', NULL, 'Gamete antigen, Plasmodium species', 'Gamete_antigen_PLAspp', 4, NULL),
(12901, NULL, 'IPR015266', NULL, 'Domain of unknown function DUF1947', 'DUF1947', 3, NULL),
(12902, NULL, 'IPR011495', NULL, 'Signal transduction histidine kinase, subgroup 2, dimerisation and phosphoacceptor domain', 'Sig_transdc_His_kin_sub2_dim/P', 3, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12903, NULL, 'IPR012359', NULL, 'NTP pyrophosphohydrolase MazG-related, YpjD', 'MazG-related_YpjD', 4, NULL),
(12904, NULL, 'IPR012812', NULL, 'Mannosyl-3-phosphoglycerate synthase', 'Osmo_MPG_synth', 4, NULL),
(12905, NULL, 'IPR012090', NULL, 'Chromosome partition protein MukB', 'MukB', 4, NULL),
(12906, NULL, 'IPR015283', NULL, 'Monellin', 'Monellin', 4, NULL),
(12907, NULL, 'IPR015812', NULL, 'Integrin beta subunit', 'Integrin_bsu', 4, NULL),
(12908, NULL, 'IPR009224', NULL, 'SAMP', 'SAMP', 7, NULL),
(12909, NULL, 'IPR012807', NULL, 'Anti-sigma factor ChrR, putative', 'Anti-sigma_ChrR', 4, NULL),
(12910, NULL, 'IPR012853', NULL, 'Chloramphenicol phosphotransferase-like', 'CPT', 4, NULL),
(12911, NULL, 'IPR024073', NULL, 'Argininosuccinate synthetase mutimerisation domain, C-terminal tail', 'AS_multimer_C_tail', 5, NULL),
(12912, NULL, 'IPR012828', NULL, 'ATP-dependent 6-phosphofructokinase, prokaryotic', 'PFKA_ATP_prok', 4, NULL),
(12913, NULL, 'IPR020099', NULL, 'Protein of unknown function DUF5445', 'DUF5445', 4, NULL),
(12914, NULL, 'IPR012363', NULL, 'Propanediol utilisation/coumermycin biosynthesis, PduX-related', 'PduX', 4, NULL),
(12915, NULL, 'IPR012862', NULL, 'Protein of unknown function DUF1635', 'DUF1635', 4, NULL),
(12916, NULL, 'IPR014762', NULL, 'DNA mismatch repair, conserved site', 'DNA_mismatch_repair_CS', 2, NULL),
(12917, NULL, 'IPR019744', NULL, 'Amyloidogenic glycoprotein,  copper-binding domain conserved site', 'APP_CUBD_CS', 2, NULL),
(12918, NULL, 'IPR009767', NULL, 'DNA helicase, TraI type', 'DNA_helicase_TraI', 3, NULL),
(12919, NULL, 'IPR012829', NULL, 'Phosphofructokinase, mixed-substrate PFK group III', 'Phosphofructokinase_III', 4, NULL),
(12920, NULL, 'IPR012501', NULL, 'Vacuolar protein sorting-associated protein 54, C-terminal', 'Vps54_C', 3, NULL),
(12921, NULL, 'IPR012494', NULL, 'Reovirus minor core protein, Mu-2', 'Reovirus_Mu2', 4, NULL),
(12922, NULL, 'IPR012877', NULL, 'Uncharacterised  oxidoreductase Dhs-27', 'Dhs-27', 4, NULL),
(12923, NULL, 'IPR015270', NULL, 'Protein RDM1, plant', 'RDM1_plant', 4, NULL),
(12924, NULL, 'IPR015287', NULL, 'Colicin D immunity protein domain', 'Colicin_D_immunity_dom', 3, NULL),
(12925, NULL, 'IPR012369', NULL, 'Galactokinase, glycosyltransferase', 'Galk_glycosyltransferase', 4, NULL),
(12926, NULL, 'IPR009775', NULL, 'Envelope small membrane protein', 'GP2b', 4, NULL),
(12927, NULL, 'IPR015807', NULL, 'Histidine-tRNA ligase', 'His-tRNA-ligase', 4, NULL),
(12928, NULL, 'IPR011499', NULL, 'Lipid A biosynthesis, N-terminal', 'Lipid_A_biosynth_N', 3, NULL),
(12929, NULL, 'IPR011516', NULL, 'Shugoshin, N-terminal coiled-coil domain', 'Shugoshin_N', 3, NULL),
(12930, NULL, 'IPR014773', NULL, 'Virulence factor YopE, GAP domain', 'YopE_GAP_dom', 3, NULL),
(12931, NULL, 'IPR012815', NULL, 'Mannosyl-3-phosphoglycerate phosphatase', 'MPG_Pase', 4, NULL),
(12932, NULL, 'IPR019737', NULL, 'Homeobox engrailed-type, conserved site', 'Homoebox-engrailed_CS', 2, NULL),
(12933, NULL, 'IPR014735', NULL, 'Transposase, Tn5-like, N-terminal', 'Transposase_Tn5-like_N', 3, NULL),
(12934, NULL, 'IPR015286', NULL, 'Porin family, mycobacterial-type', 'Porin_fam_mycobact-type', 4, NULL),
(12935, NULL, 'IPR009239', NULL, 'Bacillus PapR', 'Bacillus_PapR', 4, NULL),
(12936, NULL, 'IPR012839', NULL, 'Organic radical enzyme activase', 'Organic_radical_activase', 4, NULL),
(12937, NULL, 'IPR009750', NULL, 'Protein of unknown function DUF1317', 'DUF1317', 4, NULL),
(12938, NULL, 'IPR015271', NULL, 'Protein of unknown function DUF1951', 'DUF1951', 4, NULL),
(12939, NULL, 'IPR012809', NULL, 'Cobalt ECF transporter T component CbiQ', 'ECF_CbiQ', 4, NULL),
(12940, NULL, 'IPR012526', NULL, 'Scorpion antimicrobial peptide', 'Antimicrobial_7', 4, NULL),
(12941, NULL, 'IPR009751', NULL, 'CryBP1', 'CryBP1', 4, NULL),
(12942, NULL, 'IPR015275', NULL, 'Actin-fragmin kinase, catalytic domain', 'Actin-fragmin_kin_cat_dom', 3, NULL),
(12943, NULL, 'IPR012496', NULL, 'TMC domain', 'TMC_dom', 3, NULL),
(12944, NULL, 'IPR009759', NULL, 'Bacteriophage ES18, Gp24', 'Phage_ES18_Gp24', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12945, NULL, 'IPR012802', NULL, 'Fatty oxidation complex, alpha subunit FadJ', 'FadJ', 4, NULL),
(12946, NULL, 'IPR015296', NULL, 'Chemokine-binding M3, viral', 'Chemokine-bd_M3_vir', 4, NULL),
(12947, NULL, 'IPR009772', NULL, 'Cell division cycle protein 123', 'CDC123', 4, NULL),
(12948, NULL, 'IPR015785', NULL, 'Mitogen-activated protein (MAP) kinase kinase kinase 10', 'MAP3K10', 4, NULL),
(12949, NULL, 'IPR024064', NULL, 'FdhE-like superfamily', 'FdhE-like_sf', 5, NULL),
(12950, NULL, 'IPR024086', NULL, 'Phosphoglucosamine mutase, archaeal type', 'GlmM_arc-type', 4, NULL),
(12951, NULL, 'IPR009773', NULL, 'Lactococcus phage 712, M3', 'Lactococcus_phage_712_M3', 4, NULL),
(12952, NULL, 'IPR009749', NULL, 'Protein of unknown function DUF1315', 'DUF1315', 4, NULL),
(12953, NULL, 'IPR015293', NULL, '1,4-alpha-glucan branching enzyme, C-terminal', 'BE_C', 3, NULL),
(12954, NULL, 'IPR012850', NULL, 'Alpha-amylase, C-terminal beta-sheet', 'A-amylase_bs_C', 3, NULL),
(12955, NULL, 'IPR015242', NULL, 'Mitochondrial resolvase Ydc2, catalytic', 'Ydc2_cat', 3, NULL),
(12956, NULL, 'IPR020121', NULL, 'Bacteriophage T7-like gene 6.5', 'Phage_T7-like_6.5', 4, NULL),
(12957, NULL, 'IPR019743', NULL, 'Involucrin, conserved site', 'Involucrin_CS', 2, NULL),
(12958, NULL, 'IPR020077', NULL, 'Protein of unknown function DUF5436', 'DUF5436', 4, NULL),
(12959, NULL, 'IPR009237', NULL, 'Herpesvirus US2/US3', 'Herpes_US2/US3', 4, NULL),
(12960, NULL, 'IPR012824', NULL, 'Cobalamin (vitamin B12) biosynthesis CobW', 'Cbl_biosynth_CobW', 4, NULL),
(12961, NULL, 'IPR011505', NULL, 'Peptidase M26, C-terminal domain', 'Peptidase_M26_C_dom', 3, NULL),
(12962, NULL, 'IPR011509', NULL, 'RtxA toxin', 'RtxA_toxin', 7, NULL),
(12963, NULL, 'IPR011521', NULL, 'YTV', 'YTV', 7, NULL),
(12964, NULL, 'IPR012089', NULL, 'tRNA-cytidine(32) 2-sulfurtransferase', 'tRNA_Cyd_32_2_STrfase', 4, NULL),
(12965, NULL, 'IPR015276', NULL, 'Cholecystokinin A receptor, N-terminal', 'CholecystokininA_recpt_N', 3, NULL),
(12966, NULL, 'IPR009732', NULL, 'Protein of unknown function DUF1304', 'DUF1304', 4, NULL),
(12967, NULL, 'IPR012866', NULL, 'Protein of unknown function DUF1644', 'DUF1644', 4, NULL),
(12968, NULL, 'IPR012826', NULL, 'Flagellar motor switch FliN', 'FliN', 4, NULL),
(12969, NULL, 'IPR035916', NULL, 'Fertilization protein superfamily', 'Fertil_protein_sf', 5, NULL),
(12970, NULL, 'IPR015800', NULL, 'Copper amine oxidase, N2-terminal', 'Cu_amine_oxidase_N2', 3, NULL),
(12971, NULL, 'IPR012080', NULL, 'Aspartate-semialdehyde dehydrogenase', 'Asp_semialdehyde_DH', 4, NULL),
(12972, NULL, 'IPR015289', NULL, 'Alpha-L-arabinofuranosidase B, catalytic', 'A-L-arabinofuranosidase_B_cat', 3, NULL),
(12973, NULL, 'IPR014376', NULL, 'Protein kinase C, delta/epsilon/eta/theta types', 'Prot_kin_PKC_delta', 4, NULL),
(12974, NULL, 'IPR009777', NULL, 'Cell division protein ZapD', 'ZapD', 4, NULL),
(12975, NULL, 'IPR011023', NULL, 'Nop2p', 'Nop2p', 3, NULL),
(12976, NULL, 'IPR012518', NULL, 'Ocellatin', 'Antimicrobial15', 3, NULL),
(12977, NULL, 'IPR008515', NULL, 'Ubiquitin-like, Pup', 'Ubiquitin-like_Pup', 4, NULL),
(12978, NULL, 'IPR015269', NULL, 'Uncharacterised domain UPF0029, Impact, C-terminal', 'UPF0029_Impact_C', 3, NULL),
(12979, NULL, 'IPR024080', NULL, 'Neurolysin/Thimet oligopeptidase, N-terminal', 'Neurolysin/TOP_N', 5, NULL),
(12980, NULL, 'IPR009764', NULL, 'Ovarian carcinoma immunoreactive antigen domain', 'OCIA_dom', 3, NULL),
(12981, NULL, 'IPR013236', NULL, 'M protein trans-acting positive regulator (MGA), PRD domain', 'Mga_PRD_dom', 3, NULL),
(12982, NULL, 'IPR012876', NULL, 'Protein of unknown function DUF1677, plant', 'DUF1677_pln', 4, NULL),
(12983, NULL, 'IPR024282', NULL, 'Domain of unknown function DUF3376', 'DUF3376', 3, NULL),
(12984, NULL, 'IPR012878', NULL, 'Beta-L-arabinofuranosidase, GH127', 'Glyco_hydro_127', 4, NULL),
(12985, NULL, 'IPR012510', NULL, 'Actin-binding, Xin repeat', 'Actin-binding_Xin_repeat', 7, NULL),
(12986, NULL, 'IPR034637', NULL, 'Negative elongation factor E, RNA recognition motif', 'NELFE_RRM', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(12987, NULL, 'IPR009771', NULL, 'Ribosome control protein 1', 'Ribosome_control_1', 3, NULL),
(12988, NULL, 'IPR008517', NULL, 'Protein of unknown function DUF799', 'DUF799', 4, NULL),
(12989, NULL, 'IPR015280', NULL, 'Rap1, DNA-binding domain', 'Rap1_DNA-bd', 3, NULL),
(12990, NULL, 'IPR011606', NULL, 'Branched-chain amino acid transport, permease', 'Brnchd-chn_aa_trnsp_permease', 4, NULL),
(12991, NULL, 'IPR015798', NULL, 'Copper amine oxidase, catalytic domain', 'Cu_amine_oxidase_C', 3, NULL),
(12992, NULL, 'IPR014390', NULL, 'Acid phosphatase, Aspergillus type', 'Acid_Pase_Asper', 4, NULL),
(12993, NULL, 'IPR005918', NULL, 'Conantokin, conserved site', 'Conantokin_CS', 2, NULL),
(12994, NULL, 'IPR031312', NULL, 'Sodium/sulphate symporter, conserved site', 'Na/sul_symport_CS', 2, NULL),
(12995, NULL, 'IPR009769', NULL, 'Protein ENHANCED DISEASE RESISTANCE 2, C-terminal', 'EDR2_C', 3, NULL),
(12996, NULL, 'IPR012870', NULL, 'Protein of unknown function DUF1666', 'DUF1666', 4, NULL),
(12997, NULL, 'IPR009754', NULL, 'Orthopoxvirus B11R', 'Orthopox_B11R', 4, NULL),
(12998, NULL, 'IPR012362', NULL, 'LytTR transmembrane transcriptional regulator, putative', 'LytTR_TM', 4, NULL),
(12999, NULL, 'IPR012487', NULL, 'Nairovirus M polyprotein-like', 'Nairovirus_M', 4, NULL),
(13000, NULL, 'IPR015258', NULL, 'Vitellinogen, beta-sheet shell', 'Vitellinogen_b-sht_shell', 3, NULL),
(13001, NULL, 'IPR008709', NULL, 'Neurochondrin', 'Neurochondrin', 4, NULL),
(13002, NULL, 'IPR013272', NULL, 'Vps72/YL1, C-terminal', 'Vps72/YL1_C', 3, NULL),
(13003, NULL, 'IPR013787', NULL, 'S100/CaBP-9k-type, calcium binding, subdomain', 'S100_Ca-bd_sub', 3, NULL),
(13004, NULL, 'IPR013527', NULL, 'YicC-like, N-terminal', 'YicC-like_N', 3, NULL),
(13005, NULL, 'IPR017852', NULL, 'GPI ethanolamine phosphate transferase 1, C-terminal', 'GPI_EtnP_transferase_1_C', 3, NULL),
(13006, NULL, 'IPR014873', NULL, 'Voltage-dependent calcium channel, alpha-1 subunit, IQ domain', 'VDCC_a1su_IQ', 3, NULL),
(13007, NULL, 'IPR024176', NULL, 'Citrate synthase, bacterial-type', 'Citrate_synthase_bac-typ', 4, NULL),
(13008, NULL, 'IPR012885', NULL, 'F-box associated domain, type 2', 'F-box-assoc_dom_typ2', 3, NULL),
(13009, NULL, 'IPR024699', NULL, 'Acetoin utilization protein AcuA', 'AcuA', 4, NULL),
(13010, NULL, 'IPR008565', NULL, 'Protein of unknown function DUF847', 'DUF847', 4, NULL),
(13011, NULL, 'IPR011320', NULL, 'Ribonuclease H1, N-terminal', 'RNase_H1_N', 3, NULL),
(13012, NULL, 'IPR024174', NULL, 'Hepatocyte growth factor/Macrophage stimulatory protein', 'HGF/MST1', 4, NULL),
(13013, NULL, 'IPR008528', NULL, 'Protein unc-13 homologue', 'unc-13_homologue', 4, NULL),
(13014, NULL, 'IPR011249', NULL, 'Metalloenzyme, LuxS/M16 peptidase-like', 'Metalloenz_LuxS/M16', 5, NULL),
(13015, NULL, 'IPR017975', NULL, 'Tubulin, conserved site', 'Tubulin_CS', 2, NULL),
(13016, NULL, 'IPR008708', NULL, 'TspB virulence factor', 'Neisseria_TspB', 4, NULL),
(13017, NULL, 'IPR034420', NULL, 'Probable RNA-binding protein 19, RNA recognition motif 4', 'RBM19_RRM4', 3, NULL),
(13018, NULL, 'IPR014874', NULL, 'Staphylocoagulase, N-terminal, subdomain 1', 'Staphylocoagulase_N', 3, NULL),
(13019, NULL, 'IPR012906', NULL, 'PaaX-like, N-terminal', 'PaaX-like_N', 3, NULL),
(13020, NULL, 'IPR011782', NULL, 'Peptidase S1C, Do', 'Pept_S1C_Do', 4, NULL),
(13021, NULL, 'IPR008664', NULL, 'LISCH7', 'LISCH7', 3, NULL),
(13022, NULL, 'IPR008526', NULL, 'Inner membrane protein YedI', 'YedI', 4, NULL),
(13023, NULL, 'IPR012188', NULL, 'NAD(P)-dependent malic enzyme', 'ME_PTA', 4, NULL),
(13024, NULL, 'IPR014882', NULL, 'Cathepsin C exclusion', 'CathepsinC_exc', 3, NULL),
(13025, NULL, 'IPR018000', NULL, 'Neurotransmitter-gated ion-channel, conserved site', 'Neurotransmitter_ion_chnl_CS', 2, NULL),
(13026, NULL, 'IPR014054', NULL, 'Bacteriophage regulatory protein, Rha family', 'Phage_regulatory_Rha', 4, NULL),
(13027, NULL, 'IPR012911', NULL, 'Protein serine/threonine phosphatase 2C, C-terminal', 'PP2C_C', 3, NULL),
(13028, NULL, 'IPR011811', NULL, 'Peptidase S51, cyanophycinase', 'Peptidase_S51_cyanophycinase', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13029, NULL, 'IPR008712', NULL, 'NinF', 'NinF', 4, NULL),
(13030, NULL, 'IPR018011', NULL, 'Carbohydrate sulfotransferase 8-10', 'Carb_sulfotrans_8-10', 4, NULL),
(13031, NULL, 'IPR012286', NULL, 'Tetrahaem cytochrome domain', 'Tetrahaem_cytochrome', 3, NULL),
(13032, NULL, 'IPR011812', NULL, 'Biosynthetic peptidoglycan transglycosylase', 'Pep_trsgly', 4, NULL),
(13033, NULL, 'IPR012890', NULL, 'Intron Large complex component GCFC2-like', 'GCFC2-like', 4, NULL),
(13034, NULL, 'IPR018002', NULL, 'Herpesvirus UL45', 'Herpes_UL45', 4, NULL),
(13035, NULL, 'IPR013258', NULL, 'Striatin, N-terminal', 'Striatin_N', 3, NULL),
(13036, NULL, 'IPR013984', NULL, 'Aldehyde ferredoxin oxidoreductase, domain 2', 'Ald_Fedxn_OxRdtase_dom2', 5, NULL),
(13037, NULL, 'IPR011985', NULL, '5-carboxymethyl-2-hydroxymuconate semialdehyde dehydrogenase', 'DH_HpaE', 4, NULL),
(13038, NULL, 'IPR034071', NULL, 'NF-kappaB-repression factor, R3H domain', 'R3H_NRF', 3, NULL),
(13039, NULL, 'IPR008700', NULL, 'RIN4, pathogenic type III effector avirulence factor Avr cleavage site', 'TypeIII_avirulence_cleave', 3, NULL),
(13040, NULL, 'IPR024169', NULL, 'Serine-pyruvate aminotransferase/2-aminoethylphosphonate-pyruvate transaminase', 'SP_NH2Trfase/AEP_transaminase', 4, NULL),
(13041, NULL, 'IPR013566', NULL, 'EF hand associated, type-1', 'EF_hand_assoc_1', 3, NULL),
(13042, NULL, 'IPR011980', NULL, 'Nickel ABC transporter, substrate-binding protein NikA', 'NikA_ABC_Ni-bd', 4, NULL),
(13043, NULL, 'IPR024108', NULL, 'Tyrosine-tRNA ligase, bacterial-type, type 2', 'Tyr-tRNA-ligase_bac_2', 4, NULL),
(13044, NULL, 'IPR014911', NULL, 'Type 4 secretion system, PilS, N-terminal', 'PilS_N', 3, NULL),
(13045, NULL, 'IPR012183', NULL, 'FAD synthetase with the MoaB/Mog domain', 'FAD_synth_MoaB/Mog-bd', 4, NULL),
(13046, NULL, 'IPR017980', NULL, 'Metallothionein, family 4, echinoidea/annelida', 'Metalthion_4_echinoid/annelid', 4, NULL),
(13047, NULL, 'IPR013537', NULL, 'Acetyl-CoA carboxylase, central domain', 'AcCoA_COase_cen', 3, NULL),
(13048, NULL, 'IPR008698', NULL, 'NADH dehydrogenase [ubiquinone] 1 beta subcomplex subunit 7, NDUB7', 'NDUB7', 4, NULL),
(13049, NULL, 'IPR011787', NULL, 'Sulphite reductase, ferredoxin dependent', 'SiR_ferredoxin-dep', 4, NULL),
(13050, NULL, 'IPR012886', NULL, 'Formiminotransferase, N-terminal subdomain', 'Formiminotransferase_N', 3, NULL),
(13051, NULL, 'IPR011809', NULL, 'Histidinol-phosphate phosphatase, putative, inositol monophosphatase', 'His_9_proposed', 4, NULL),
(13052, NULL, 'IPR008681', NULL, 'Negative regulator of genetic competence, MecA', 'Neg-reg_MecA', 4, NULL),
(13053, NULL, 'IPR008554', NULL, 'Glutaredoxin-like', 'Glutaredoxin-like', 4, NULL),
(13054, NULL, 'IPR017917', NULL, 'ABC transporter, arabinose import, ATP-binding protein, AraG', 'ABC_transptr_Ara_ATP-bd_AraG', 4, NULL),
(13055, NULL, 'IPR012915', NULL, 'Reovirus RNA-dependent RNA polymerase lambda 3', 'RdRP_5', 4, NULL),
(13056, NULL, 'IPR008685', NULL, 'Centromere protein Mis12', 'Centromere_Mis12', 4, NULL),
(13057, NULL, 'IPR013640', NULL, 'VPS4-associated protein 1', 'Vfa1', 4, NULL),
(13058, NULL, 'IPR009781', NULL, 'Protein of unknown function DUF1345', 'DUF1345', 4, NULL),
(13059, NULL, 'IPR012882', NULL, 'Putative redox protein Fmp46', 'Fmp46', 4, NULL),
(13060, NULL, 'IPR011806', NULL, 'Sulphite reductase, dissimilatory-type alpha subunit', 'DsrA', 4, NULL),
(13061, NULL, 'IPR016035', NULL, 'Acyl transferase/acyl hydrolase/lysophospholipase', 'Acyl_Trfase/lysoPLipase', 5, NULL),
(13062, NULL, 'IPR012094', NULL, 'tRNA(Ile)-lysidine synthase', 'tRNA_Ile_lys_synt', 4, NULL),
(13063, NULL, 'IPR012914', NULL, 'Purine catabolism PurC-like domain', 'PucR_dom', 3, NULL),
(13064, NULL, 'IPR014903', NULL, 'Protein of unknown function DUF1796', 'DUF1796', 4, NULL),
(13065, NULL, 'IPR017855', NULL, 'SMAD-like domain superfamily', 'SMAD-like_dom_sf', 5, NULL),
(13066, NULL, 'IPR008658', NULL, 'Kinesin-associated protein 3', 'KAP3', 4, NULL),
(13067, NULL, 'IPR015853', NULL, 'ABC transporter, ferric cation import, FbpC', 'ABC_transpr_FbpC', 3, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13068, NULL, 'IPR012901', NULL, 'Carnosine N-methyltransferase', 'CARME', 4, NULL),
(13069, NULL, 'IPR012182', NULL, 'Bifunctional molybdenum cofactor biosynthesis MobB/MoeA', 'MobB_MoeA', 4, NULL),
(13070, NULL, 'IPR011799', NULL, 'Chlorophyll synthase, ChlG', 'ChlG', 4, NULL),
(13071, NULL, 'IPR014856', NULL, 'RNA-free ribonuclease P', 'RNA_free_RNase_P', 4, NULL),
(13072, NULL, 'IPR015862', NULL, 'ABC transporter, galactose import, MglA', 'ABC_transpr_MglA', 4, NULL),
(13073, NULL, 'IPR008543', NULL, 'Uncharacterised protein family Ycf2', 'Uncharacterised_Ycf2', 4, NULL),
(13074, NULL, 'IPR024710', NULL, 'Tyramine--L-glutamate ligase', 'MfnD', 4, NULL),
(13075, NULL, 'IPR015855', NULL, 'ABC transporter, maltose/maltodextrin import, MalK-like', 'ABC_transpr_MalK-like', 3, NULL),
(13076, NULL, 'IPR012103', NULL, 'Peptidase S8A, bacillopeptidase F', 'Pept_S8A_Bpr', 4, NULL),
(13077, NULL, 'IPR008530', NULL, 'Coiled-coil domain-containing protein 22', 'CCDC22', 4, NULL),
(13078, NULL, 'IPR008570', NULL, 'ESCRT-II complex, Vps25 subunit', 'ESCRT-II_cplx_Vps25-sub', 4, NULL),
(13079, NULL, 'IPR017905', NULL, 'ERV/ALR sulfhydryl oxidase domain', 'ERV/ALR_sulphydryl_oxidase', 3, NULL),
(13080, NULL, 'IPR008651', NULL, 'Uncharacterised protein family HicB', 'Uncharacterised_HicB', 4, NULL),
(13081, NULL, 'IPR008677', NULL, 'MRVI1', 'MRVI1', 4, NULL),
(13082, NULL, 'IPR011795', NULL, 'Mercuric transport protein periplasmic component', 'MerP', 4, NULL),
(13083, NULL, 'IPR034423', NULL, 'Probable RNA-binding protein 19, RNA recognition motif 5', 'RBM19_RRM5', 3, NULL),
(13084, NULL, 'IPR008567', NULL, '3-keto-5-aminohexanoate cleavage enzyme', 'KCE_family', 4, NULL),
(13085, NULL, 'IPR014888', NULL, 'Structural accessory protein ORF7a, SARS-CoV-like', 'ORF7a_SARS-CoV-like', 4, NULL),
(13086, NULL, 'IPR013267', NULL, 'Hepatitis TT virus, Orf2a', 'Hepatitis_TTV_Orf2a', 4, NULL),
(13087, NULL, 'IPR012115', NULL, 'Bifunctional ribulose 5-phosphate reductase/CDP-ribitol pyrophosphorylase', 'CDP-ribitol_syn', 4, NULL),
(13088, NULL, 'IPR011805', NULL, 'Ribonuclease R', 'RNase_R', 4, NULL),
(13089, NULL, 'IPR014892', NULL, 'Replication protein A, C-terminal', 'RPA_C', 3, NULL),
(13090, NULL, 'IPR017847', NULL, 'Type VI secretion system, RhsGE-associated Vgr  family subset', 'T6SS_RhsGE_Vgr_subset', 4, NULL),
(13091, NULL, 'IPR014910', NULL, 'Putative monooxygenase YdhR', 'YdhR', 4, NULL),
(13092, NULL, 'IPR008540', NULL, 'BES1/BZR1 plant transcription factor, N-terminal', 'BES1_N', 3, NULL),
(13093, NULL, 'IPR011773', NULL, 'DNA-directed RNA polymerase, alpha subunit', 'DNA-dir_RpoA', 4, NULL),
(13094, NULL, 'IPR023226', NULL, 'Glycoside hydrolase, family 49, N-terminal domain', 'Glyco_hydro_49_N_dom', 3, NULL),
(13095, NULL, 'IPR014906', NULL, 'Pre-mRNA processing factor 4 (PRP4)-like', 'PRP4-like', 3, NULL),
(13096, NULL, 'IPR013538', NULL, 'Activator of Hsp90 ATPase homologue 1-like', 'Activator_of_Hsp90_ATPase', 4, NULL),
(13097, NULL, 'IPR008555', NULL, 'SIKE family', 'SIKE', 4, NULL),
(13098, NULL, 'IPR014857', NULL, 'Zinc finger, RING-like', 'Znf_RING-like', 3, NULL),
(13099, NULL, 'IPR012186', NULL, 'Adenine modification methylase, M.StsI-type', 'Ade-mod_methylase_MStsI', 4, NULL),
(13100, NULL, 'IPR008672', NULL, 'Spindle assembly checkpoint component Mad1', 'Mad1', 4, NULL),
(13101, NULL, 'IPR009784', NULL, 'Protein of unknown function DUF1349', 'DUF1349', 4, NULL),
(13102, NULL, 'IPR008670', NULL, 'Long-chain-fatty-acyl-CoA reductase, LuxC', 'CoA_reduct_LuxC', 4, NULL),
(13103, NULL, 'IPR034427', NULL, 'ESRP1, RNA recognition motif 1', 'ESRP1_RRM1', 3, NULL),
(13104, NULL, 'IPR013573', NULL, 'Transcription regulator YcdC, C-terminal', 'Tscrpt_reg_YcdC_C', 3, NULL),
(13105, NULL, 'IPR008711', NULL, 'Recombinase NinB', 'Recombinase_NinB', 4, NULL),
(13106, NULL, 'IPR014729', NULL, 'Rossmann-like alpha/beta/alpha sandwich fold', 'Rossmann-like_a/b/a_fold', 5, NULL),
(13107, NULL, 'IPR014914', NULL, 'RES domain', 'RES_dom', 3, NULL),
(13108, NULL, 'IPR011784', NULL, 'Sulphate adenylyltransferase, small subunit', 'SO4_adenylTrfase_ssu', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13109, NULL, 'IPR011979', NULL, 'Antitoxin Xre', 'Antitox_Xre', 4, NULL),
(13110, NULL, 'IPR013534', NULL, 'Starch synthase, catalytic domain', 'Starch_synth_cat_dom', 3, NULL),
(13111, NULL, 'IPR008558', NULL, 'Lagovirus RHDV, Vp2', 'Lagovirus_RHDV_Vp2', 4, NULL),
(13112, NULL, 'IPR024173', NULL, 'Phosphoesterase, MJ0037', 'Pesterase_MJ0037', 4, NULL),
(13113, NULL, 'IPR014890', NULL, 'c-SKI SMAD4-binding domain', 'c-SKI_SMAD4-bd_dom', 3, NULL),
(13114, NULL, 'IPR008716', NULL, 'Nodulation protein Z', 'NodZ', 4, NULL),
(13115, NULL, 'IPR014878', NULL, 'THAP4-like, heme-binding beta-barrel domain', 'THAP4-like_heme-bd', 3, NULL),
(13116, NULL, 'IPR008707', NULL, 'PilC beta-propeller domain', 'PilC_beta_prop_dom', 3, NULL),
(13117, NULL, 'IPR011776', NULL, 'Magnesium chelatase, ATPase subunit D', 'Mg_chelatase_ATPase-dsu', 4, NULL),
(13118, NULL, 'IPR011983', NULL, '4-hydroxyphenylacetate catabolism regulatory protein HpaA', 'HpaA_TReg', 4, NULL),
(13119, NULL, 'IPR012908', NULL, 'GPI inositol-deacylase PGAP1-like', 'PGAP1-like', 4, NULL),
(13120, NULL, 'IPR014854', NULL, 'Non-structural maintenance of chromosome element 4, C-terminal', 'Nse4_C', 3, NULL),
(13121, NULL, 'IPR008520', NULL, 'Domain of unknown function DUF802', 'DUF802', 3, NULL),
(13122, NULL, 'IPR012902', NULL, 'Prokaryotic N-terminal methylation site', 'N_methyl_site', 6, NULL),
(13123, NULL, 'IPR009787', NULL, 'Protein jagunal', 'Jagunal', 4, NULL),
(13124, NULL, 'IPR012903', NULL, 'Nif11 domain', 'Nif11', 3, NULL),
(13125, NULL, 'IPR017900', NULL, '4Fe-4S ferredoxin, iron-sulphur binding, conserved site', '4Fe4S_Fe_S_CS', 2, NULL),
(13126, NULL, 'IPR013558', NULL, 'CTNNB1 binding, N-teminal', 'CTNNB1-bd_N', 3, NULL),
(13127, NULL, 'IPR012883', NULL, 'ERp29, N-terminal', 'ERp29_N', 3, NULL),
(13128, NULL, 'IPR013569', NULL, 'Carlavirus coat', 'Carlavirus_coat_N', 3, NULL),
(13129, NULL, 'IPR008674', NULL, 'Chromosomal protein MC1', 'MC1', 3, NULL),
(13130, NULL, 'IPR013644', NULL, '1-deoxy-D-xylulose 5-phosphate reductoisomerase, C-terminal', 'DXP_reductoisomerase_C', 3, NULL),
(13131, NULL, 'IPR017896', NULL, '4Fe-4S ferredoxin-type, iron-sulphur binding domain', '4Fe4S_Fe-S-bd', 3, NULL),
(13132, NULL, 'IPR013531', NULL, 'Pro-opiomelanocortin/corticotropin, ACTH, central region', 'Mcrtin_ACTH_cent', 3, NULL),
(13133, NULL, 'IPR011978', NULL, 'Uncharacterised protein family UPF0149', 'UPF0149', 4, NULL),
(13134, NULL, 'IPR008535', NULL, 'Protein of unknown function DUF817', 'DUF817', 4, NULL),
(13135, NULL, 'IPR008713', NULL, 'Bacteriophage lambda NinG', 'Phage_lambda_NinG', 4, NULL),
(13136, NULL, 'IPR014855', NULL, 'Plant transcription factor NOZZLE', 'NOZZLE', 4, NULL),
(13137, NULL, 'IPR012112', NULL, 'DNA repair protein Rev1', 'REV1', 4, NULL),
(13138, NULL, 'IPR014885', NULL, 'VASP tetramerisation', 'VASP_tetra', 3, NULL),
(13139, NULL, 'IPR014862', NULL, 'TrwC relaxase', 'TrwC', 3, NULL),
(13140, NULL, 'IPR013643', NULL, 'Calicivirus coat protein C-terminal', 'Calicivirus_coat_C', 3, NULL),
(13141, NULL, 'IPR013261', NULL, 'Mitochondrial import inner membrane translocase subunit Tim21', 'Tim21', 4, NULL),
(13142, NULL, 'IPR008653', NULL, 'Immediate early response', 'IER', 4, NULL),
(13143, NULL, 'IPR013768', NULL, 'Intercellular adhesion molecule, N-terminal', 'ICAM_N', 3, NULL),
(13144, NULL, 'IPR017871', NULL, 'ABC transporter-like, conserved site', 'ABC_transporter-like_CS', 2, NULL),
(13145, NULL, 'IPR012892', NULL, 'Gp58-like', 'Gp58', 3, NULL),
(13146, NULL, 'IPR012116', NULL, 'Glycine/sarcosine/betaine reductase complex, protein C, alpha subunit', 'Gly_reductase_pC_asu', 4, NULL),
(13147, NULL, 'IPR008649', NULL, 'Herpesvirus UL82/UL83', 'Herpes_UL82/UL83', 4, NULL),
(13148, NULL, 'IPR008718', NULL, 'NolX', 'NolX', 4, NULL),
(13149, NULL, 'IPR014912', NULL, 'Selenoprotein F/M domain', 'Sep15_SelM_dom', 3, NULL),
(13150, NULL, 'IPR012184', NULL, 'Bifunctional molybdopterin binding protein /nucleotidyl transferase, putative', 'Bifunc_Mopterin-bd', 4, NULL),
(13151, NULL, 'IPR015859', NULL, 'ABC transporter, taurine import, TauB', 'ABC_transpr_TauB', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13152, NULL, 'IPR008686', NULL, 'RNA-dependent RNA polymerase, mitoviral', 'RNA_pol_mitovir', 4, NULL),
(13153, NULL, 'IPR034421', NULL, 'Probable RNA-binding protein 19, RNA recognition motif 6', 'RBM19_RRM6', 3, NULL),
(13154, NULL, 'IPR014918', NULL, 'Phage tail tube protein 3', 'Phage_tail_3', 4, NULL),
(13155, NULL, 'IPR011779', NULL, 'Sulphate adenylyltransferase, large subunit', 'SO4_adenylTrfase_lsu', 4, NULL),
(13156, NULL, 'IPR013252', NULL, 'Kinetochore-Ndc80 subunit Spc24', 'Ndc80_Spc24', 4, NULL),
(13157, NULL, 'IPR011803', NULL, 'Adenylylsulphate reductase, alpha subunit', 'AprA', 4, NULL),
(13158, NULL, 'IPR011813', NULL, 'Penicillin-binding protein 1B', 'PBP_1b', 4, NULL),
(13159, NULL, 'IPR012887', NULL, 'L-fucokinase', 'Fucokinase', 3, NULL),
(13160, NULL, 'IPR008656', NULL, 'Inositol-tetrakisphosphate 1-kinase', 'Inositol_tetrakis-P_1-kinase', 4, NULL),
(13161, NULL, 'IPR013550', NULL, 'RTX, C-terminal', 'RTX_C', 3, NULL),
(13162, NULL, 'IPR008566', NULL, 'Gammaherpesvirus protein of unknown function DUF848', 'DUF848', 4, NULL),
(13163, NULL, 'IPR014025', NULL, 'Glutaredoxin subgroup', 'Glutaredoxin_subgr', 3, NULL),
(13164, NULL, 'IPR024165', NULL, 'Aminoglycoside 3-phosphotransferase', 'Kan/Strep_kinase', 4, NULL),
(13165, NULL, 'IPR008560', NULL, 'Protein of unknown function DUF842, eukaryotic', 'DUF842_euk', 4, NULL),
(13166, NULL, 'IPR035013', NULL, 'YabN, N-terminal', 'YabN_N', 3, NULL),
(13167, NULL, 'IPR008521', NULL, 'Magnesium transporter NIPA', 'Mg_trans_NIPA', 4, NULL),
(13168, NULL, 'IPR012893', NULL, 'HipA-like, C-terminal', 'HipA-like_C', 3, NULL),
(13169, NULL, 'IPR008523', NULL, 'Protein of unknown function DUF805', 'DUF805', 4, NULL),
(13170, NULL, 'IPR014867', NULL, 'Spore coat protein CotH/Invasin CotH2/3/7', 'Spore_coat_CotH_CotH2/3/7', 4, NULL),
(13171, NULL, 'IPR013540', NULL, 'Chitinase A N-terminal', 'ChitinaseA_N', 3, NULL),
(13172, NULL, 'IPR011792', NULL, 'Glutamate--cysteine ligase, putative', 'GshA_cyano', 4, NULL),
(13173, NULL, 'IPR013271', NULL, 'WWamide peptide', 'WWamide_pept', 4, NULL),
(13174, NULL, 'IPR008538', NULL, 'Putative restriction endonuclease', 'Uma2', 3, NULL),
(13175, NULL, 'IPR014876', NULL, 'DEK, C-terminal', 'DEK_C', 3, NULL),
(13176, NULL, 'IPR008659', NULL, 'Yeast cell wall synthesis Kre9/Knh1, C-terminal', 'Kre9/Knh1_C', 3, NULL),
(13177, NULL, 'IPR013557', NULL, 'AntA/AntB antirepressor', 'AntA/B_antirep', 3, NULL),
(13178, NULL, 'IPR009786', NULL, 'Spot 14 family', 'Spot_14', 4, NULL),
(13179, NULL, 'IPR008710', NULL, 'Nicastrin', 'Nicastrin', 4, NULL),
(13180, NULL, 'IPR017985', NULL, 'DNA methylase, N-4 cytosine-specific, conserved site', 'MeTrfase_CN4_CS', 2, NULL),
(13181, NULL, 'IPR013551', NULL, 'Domain of unknown function DUF1732', 'DUF1732', 3, NULL),
(13182, NULL, 'IPR013544', NULL, 'Domain of unknown function DUF1725', 'DUF1725', 3, NULL),
(13183, NULL, 'IPR013793', NULL, 'Porin, Gram-negative type, conserved site', 'Porin_Gram-ve_CS', 2, NULL),
(13184, NULL, 'IPR014916', NULL, 'Kinase associated protein B', 'KapB', 4, NULL),
(13185, NULL, 'IPR024164', NULL, 'KinB-signalling pathway activation protein', 'KinB-signalling_activ', 4, NULL),
(13186, NULL, 'IPR017853', NULL, 'Glycoside hydrolase superfamily', 'Glycoside_hydrolase_SF', 5, NULL),
(13187, NULL, 'IPR017989', NULL, 'Ribosome-inactivating protein type 1/2', 'Ribosome_inactivat_1/2', 4, NULL),
(13188, NULL, 'IPR014872', NULL, 'Dicistrovirus, capsid-polyprotein, C-terminal', 'Dicistrovirus_capsid-polyPr_C', 3, NULL),
(13189, NULL, 'IPR012891', NULL, 'GCK', 'GCK', 3, NULL),
(13190, NULL, 'IPR014889', NULL, 'Transcription factor DP, C-terminal', 'Transc_factor_DP_C', 3, NULL),
(13191, NULL, 'IPR013546', NULL, 'PII-uridylyltransferase/Glutamine-synthetase adenylyltransferase', 'PII_UdlTrfase/GS_AdlTrfase', 3, NULL),
(13192, NULL, 'IPR034033', NULL, 'Serralysin-like metallopeptidase domain', 'Serralysin-like', 3, NULL),
(13193, NULL, 'IPR043704', NULL, 'Tail assembly protein GT', 'Tail_assembly_GT', 4, NULL),
(13194, NULL, 'IPR013532', NULL, 'Opiodes neuropeptide', 'Opioid_neuropept', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13195, NULL, 'IPR008650', NULL, 'Herpesvirus, helicase-primase complex component', 'Helicase-primas_cplx_Herpesvir', 3, NULL),
(13196, NULL, 'IPR008541', NULL, 'Protein of unknown function DUF823', 'DUF823', 7, NULL),
(13197, NULL, 'IPR008551', NULL, 'Transport and Golgi organisation protein 2', 'TANGO2', 4, NULL),
(13198, NULL, 'IPR012111', NULL, 'Hemolectin/hemocytin', 'Hml', 4, NULL),
(13199, NULL, 'IPR008550', NULL, 'Herpesvirus tegument protein BRRF2-like', 'Herpesvirus_BRRF2-like', 4, NULL),
(13200, NULL, 'IPR013265', NULL, 'TRI9, Fusarium species', 'TRI9_FUSspp', 4, NULL),
(13201, NULL, 'IPR008687', NULL, 'Bacterial mobilisation', 'MobC', 3, NULL),
(13202, NULL, 'IPR017870', NULL, 'FeS cluster insertion, C-terminal, conserved site', 'FeS_cluster_insertion_CS', 2, NULL),
(13203, NULL, 'IPR013809', NULL, 'ENTH  domain', 'ENTH', 3, NULL),
(13204, NULL, 'IPR014908', NULL, 'Nucleoporin, Nup133/Nup155-like, N-terminal', 'Nucleoporin_Nup133/Nup155_N', 3, NULL),
(13205, NULL, 'IPR014877', NULL, 'Exportin-1, C-terminal', 'XPO1_C_dom', 3, NULL),
(13206, NULL, 'IPR011802', NULL, 'Adenylylsulphate reductase, beta subunit', 'AprB', 4, NULL),
(13207, NULL, 'IPR014880', NULL, 'Sulphur oxidation protein SoxZ', 'SoxZ_dom', 3, NULL),
(13208, NULL, 'IPR011817', NULL, 'Uridylate kinase', 'Uridylate_kinase', 4, NULL),
(13209, NULL, 'IPR013555', NULL, 'Transient receptor ion channel domain', 'TRP_dom', 3, NULL),
(13210, NULL, 'IPR013543', NULL, 'Calcium/calmodulin-dependent protein kinase II, association-domain', 'Ca/CaM-dep_prot_kinase-assoc', 3, NULL),
(13211, NULL, 'IPR013556', NULL, 'Flagellar M-ring C-terminal', 'Flag_M-ring_C', 3, NULL),
(13212, NULL, 'IPR034424', NULL, 'GRSF-1, RNA recognition motif 2', 'GRSF-1_RRM2', 3, NULL),
(13213, NULL, 'IPR015864', NULL, 'FAD synthetase', 'FAD_synthase', 3, NULL),
(13214, NULL, 'IPR011818', NULL, 'Uridylate kinase, archaeal/spirochete, putative', 'Uridylate_kinase_arch/spir', 4, NULL),
(13215, NULL, 'IPR011815', NULL, 'Penicillin-binding protein 1C', 'PBP_1c', 4, NULL),
(13216, NULL, 'IPR034014', NULL, 'Pol III subunit C11, C-terminal zinc ribbon', 'Zn_ribbon_RPC11_C', 3, NULL),
(13217, NULL, 'IPR016036', NULL, 'Malonyl-CoA ACP transacylase, ACP-binding', 'Malonyl_transacylase_ACP-bd', 5, NULL),
(13218, NULL, 'IPR012910', NULL, 'TonB-dependent receptor, plug domain', 'Plug_dom', 3, NULL),
(13219, NULL, 'IPR012100', NULL, 'DNA-damage-repair/toleration protein, DRT102', 'DRT102', 4, NULL),
(13220, NULL, 'IPR008668', NULL, 'Virion infectivity factor, Lentivirus', 'Vir_infectivity_fact_Lentivir', 4, NULL),
(13221, NULL, 'IPR014859', NULL, 'Phage tail assembly chaperone', 'Phage_TAC_4', 4, NULL),
(13222, NULL, 'IPR012896', NULL, 'Integrin beta subunit, tail', 'Integrin_bsu_tail', 3, NULL),
(13223, NULL, 'IPR012110', NULL, 'Thiamine pyrophosphate (TPP)-dependent enzyme', 'TPP_enzyme', 4, NULL),
(13224, NULL, 'IPR016015', NULL, 'Clusterin, C-terminal', 'Clusterin_C', 3, NULL),
(13225, NULL, 'IPR014024', NULL, 'Auxin efflux carrier, plant type', 'Auxin_eff_plant', 4, NULL),
(13226, NULL, 'IPR014895', NULL, 'Alginate lyase 2', 'Alginate_lyase_2', 3, NULL),
(13227, NULL, 'IPR012884', NULL, 'Excisionase-like', 'Excisionase-like', 3, NULL),
(13228, NULL, 'IPR008706', NULL, 'Nanovirus component 8', 'Nanovirus_C8', 4, NULL),
(13229, NULL, 'IPR011804', NULL, 'Ribonuclease II', 'RNase_II', 4, NULL),
(13230, NULL, 'IPR008553', NULL, 'Domain of unknown function DUF835', 'DUF835', 3, NULL),
(13231, NULL, 'IPR008561', NULL, 'Protein Ac76, baculovirus', 'Ac76_baculovir', 4, NULL),
(13232, NULL, 'IPR008546', NULL, 'Domain of unknown function DUF828', 'DUF828', 3, NULL),
(13233, NULL, 'IPR008557', NULL, 'Protein of unknown function DUF839', 'DUF839', 4, NULL),
(13234, NULL, 'IPR018038', NULL, 'Ribosomal protein L30, conserved site', 'Ribosomal_L30_CS', 2, NULL),
(13235, NULL, 'IPR011780', NULL, 'D-serine ammonia-lyase', 'D_Ser_am_lyase', 4, NULL),
(13236, NULL, 'IPR034426', NULL, 'GRSF-1, RNA recognition motif 3', 'GRSF1_RRM3', 3, NULL),
(13237, NULL, 'IPR013552', NULL, 'Thioester domain', 'Thioester_dom', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13238, NULL, 'IPR011808', NULL, 'Sulphite reductase, dissimilatory-type beta subunit', 'DsrB', 4, NULL),
(13239, NULL, 'IPR008688', NULL, 'ATP synthase, F0 complex, subunit B/MI25', 'ATP_synth_Bsub_B/MI25', 4, NULL),
(13240, NULL, 'IPR018037', NULL, 'Nitrogen fixation protein FixH, Proteobacterial', 'FixH_proteobacterial', 4, NULL),
(13241, NULL, 'IPR014891', NULL, 'DWNN domain', 'DWNN_domain', 3, NULL),
(13242, NULL, 'IPR014897', NULL, 'PBCV-specific basic adaptor domain', 'PBCV_basic_adap', 3, NULL),
(13243, NULL, 'IPR012880', NULL, 'Gryzun, putative trafficking through Golgi', 'Gryzun', 3, NULL),
(13244, NULL, 'IPR008699', NULL, 'NADH dehydrogenase [ubiquinone] 1 beta subcomplex subunit 8', 'NDUFB8', 4, NULL),
(13245, NULL, 'IPR013257', NULL, 'Set2 Rpb1 interacting domain', 'SRI', 3, NULL),
(13246, NULL, 'IPR024713', NULL, 'Fructosamine deglycase FrlB', 'Fructosamine_deglycase_FrlB', 4, NULL),
(13247, NULL, 'IPR034878', NULL, 'Plant La-related protein, RNA recognition motif', 'La-rel_plant_RRM', 3, NULL),
(13248, NULL, 'IPR014915', NULL, 'Bacteriophage TLS, TfmB', 'Phage_TLS_TfmB', 4, NULL),
(13249, NULL, 'IPR011993', NULL, 'PH-like domain superfamily', 'PH-like_dom_sf', 5, NULL),
(13250, NULL, 'IPR017972', NULL, 'Cytochrome P450, conserved site', 'Cyt_P450_CS', 2, NULL),
(13251, NULL, 'IPR008559', NULL, 'Calcium load-activated calcium channel', 'TMCO1', 4, NULL),
(13252, NULL, 'IPR015856', NULL, 'ABC transporter, CbiO/EcfA subunit', 'ABC_transpr_CbiO/EcfA_su', 3, NULL),
(13253, NULL, 'IPR014870', NULL, 'Domain of unknown function DUF1793', 'DUF1793', 3, NULL),
(13254, NULL, 'IPR011778', NULL, 'Hydantoinase/dihydropyrimidinase', 'Hydantoinase/dihydroPyrase', 4, NULL),
(13255, NULL, 'IPR008648', NULL, 'Herpesvirus ICP27-like', 'ICP27-like', 4, NULL),
(13256, NULL, 'IPR013542', NULL, 'Epoxyqueuosine reductase QueG, DUF1730', 'QueG_DUF1730', 3, NULL),
(13257, NULL, 'IPR013560', NULL, 'Domain of unknown function DUF1722', 'DUF1722', 3, NULL),
(13258, NULL, 'IPR012899', NULL, 'LTXXQ motif family protein', 'LTXXQ', 4, NULL),
(13259, NULL, 'IPR013548', NULL, 'Plexin, cytoplasmic RasGAP domain', 'Plexin_cytoplasmic_RasGAP_dom', 3, NULL),
(13260, NULL, 'IPR011783', NULL, 'Peptidase S1C, DegS', 'Pept_S1C_DegS', 4, NULL),
(13261, NULL, 'IPR014898', NULL, 'Zinc finger, C2H2, LYAR-type', 'Znf_C2H2_LYAR', 3, NULL),
(13262, NULL, 'IPR013539', NULL, 'Adenylosuccinate lyase PurB, C-terminal', 'PurB_C', 3, NULL),
(13263, NULL, 'IPR009790', NULL, 'Protein of unknown function DUF1356, TMEM106', 'DUF1356_TMEM106', 4, NULL),
(13264, NULL, 'IPR013253', NULL, 'Spc7 kinetochore protein domain', 'Spc7_domain', 3, NULL),
(13265, NULL, 'IPR014858', NULL, 'BREX protein BrxB', 'BrxB', 4, NULL),
(13266, NULL, 'IPR014904', NULL, 'YkuJ-like', 'YkuJ-like', 4, NULL),
(13267, NULL, 'IPR012099', NULL, 'Midasin', 'Midasin', 4, NULL),
(13268, NULL, 'IPR013266', NULL, 'Tryptophyllin skin active peptide', 'Tryptophillin', 4, NULL),
(13269, NULL, 'IPR024709', NULL, 'Putative O-fucosyltransferase, plant', 'FucosylTrfase_pln', 4, NULL),
(13270, NULL, 'IPR013998', NULL, 'Nebulin-like', 'Nebulin-like', 4, NULL),
(13271, NULL, 'IPR018006', NULL, 'Flagellar FliJ, proteobacteria', 'Flag_FliJ_proteobac', 4, NULL),
(13272, NULL, 'IPR012907', NULL, 'Peptidase S11, D-Ala-D-Ala carboxypeptidase A, C-terminal', 'Peptidase_S11_C', 3, NULL),
(13273, NULL, 'IPR017854', NULL, 'Metallothionein domain superfamily', 'Metalthion_dom_sf', 5, NULL),
(13274, NULL, 'IPR017895', NULL, 'Helix-turn-helix, IS408/IS1162 transposase-type', 'HTH_IS408/IS1162_type', 3, NULL),
(13275, NULL, 'IPR013571', NULL, 'Transcription regulator QacR, C-terminal', 'Tscrpt_reg_QacR_C', 3, NULL),
(13276, NULL, 'IPR014919', NULL, 'XisH protein', 'XisH', 4, NULL),
(13277, NULL, 'IPR012092', NULL, '8-oxoguanine DNA glycosylase/AP lyase Ogg', 'DNA_glyclase/AP_lyase_Ogg', 4, NULL),
(13278, NULL, 'IPR008701', NULL, 'Necrosis inducing protein', 'NPP1', 4, NULL),
(13279, NULL, 'IPR013563', NULL, 'Oligopeptide/dipeptide ABC transporter, C-terminal', 'Oligopep_ABC_C', 3, NULL),
(13280, NULL, 'IPR013269', NULL, 'Herpesvirus UL2', 'Herpes_UL2', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13281, NULL, 'IPR011801', NULL, 'Cyanobacterial long protein repeat', 'Swm_rep_I_cyn', 7, NULL),
(13282, NULL, 'IPR008571', NULL, 'Helicase HerA-like', 'HerA-like', 4, NULL),
(13283, NULL, 'IPR008545', NULL, 'WEB family', 'Web', 4, NULL),
(13284, NULL, 'IPR034032', NULL, 'Bacterial MMP-like domain', 'Zn_MMP-like_bac', 3, NULL),
(13285, NULL, 'IPR013256', NULL, 'Chromatin SPT2', 'Chromatin_SPT2', 4, NULL),
(13286, NULL, 'IPR013642', NULL, 'Calcium-activated chloride channel, N-terminal', 'CLCA_N', 3, NULL),
(13287, NULL, 'IPR011785', NULL, 'Transcription regulator PpsR', 'Tscrpt_reg_PpsR-CrtJ', 4, NULL),
(13288, NULL, 'IPR013260', NULL, 'mRNA splicing factor SYF2', 'mRNA_splic_SYF2', 4, NULL),
(13289, NULL, 'IPR012909', NULL, 'PHA accumulation regulator DNA-binding, N-terminal', 'PHA_DNA-bd_N', 3, NULL),
(13290, NULL, 'IPR008657', NULL, 'Jumping translocation breakpoint', 'JTB', 4, NULL),
(13291, NULL, 'IPR013268', NULL, 'U3 snoRNA associated', 'U3_snoRNA_assoc', 4, NULL),
(13292, NULL, 'IPR011977', NULL, 'Peptidase M3B, oligoendopeptidase-related clade 3', 'Pept_M3B_clade3', 4, NULL),
(13293, NULL, 'IPR008544', NULL, 'Protein of unknown function DUF826', 'DUF826', 4, NULL),
(13294, NULL, 'IPR008534', NULL, 'Baculovirus protein of unknown function DUF816', 'DUF816', 4, NULL),
(13295, NULL, 'IPR012093', NULL, 'Pirin', 'Pirin', 4, NULL),
(13296, NULL, 'IPR011250', NULL, 'Outer membrane protein/outer membrane enzyme PagP,  beta-barrel', 'OMP/PagP_b-brl', 5, NULL),
(13297, NULL, 'IPR011790', NULL, 'ADP-specific phosphofructokinase, archaeal', 'ADP_PFK_arc', 4, NULL),
(13298, NULL, 'IPR034030', NULL, 'Salivary gland reprolysin domain', 'ZnMc_salivary_gland_MPs', 3, NULL),
(13299, NULL, 'IPR012879', NULL, 'PAT complex subunit CCDC47', 'CCDC47', 4, NULL),
(13300, NULL, 'IPR014887', NULL, 'HIF-1 alpha, transactivation domain, C-terminal', 'HIF-1_TAD_C', 3, NULL),
(13301, NULL, 'IPR014905', NULL, 'HIRAN domain', 'HIRAN', 3, NULL),
(13302, NULL, 'IPR013249', NULL, 'RNA polymerase sigma factor 70, region 4 type 2', 'RNA_pol_sigma70_r4_t2', 3, NULL),
(13303, NULL, 'IPR014883', NULL, 'VRR-NUC domain', 'VRR_NUC', 3, NULL),
(13304, NULL, 'IPR011976', NULL, 'Peptidase M3B, oligoendopeptidase-related', 'Pept_M3B_oligopep-rel', 4, NULL),
(13305, NULL, 'IPR011797', NULL, 'Mercuric resistence transcriptional repressor protein MerD', 'MerD', 4, NULL),
(13306, NULL, 'IPR015866', NULL, 'Serine-tRNA synthetase, type1, N-terminal', 'Ser-tRNA-synth_1_N', 3, NULL),
(13307, NULL, 'IPR008676', NULL, 'MRG', 'MRG', 4, NULL),
(13308, NULL, 'IPR008675', NULL, 'Mating factor alpha precursor, N-terminal', 'Mating_factor_alpha_N', 3, NULL),
(13309, NULL, 'IPR011793', NULL, 'Putative glutamate--cysteine ligase YbdK', 'YbdK', 4, NULL),
(13310, NULL, 'IPR011789', NULL, 'Cu(I)-responsive transcriptional regulator', 'CueR', 4, NULL),
(13311, NULL, 'IPR012900', NULL, 'G-box binding protein, multifunctional mosaic region', 'MFMR', 3, NULL),
(13312, NULL, 'IPR015860', NULL, 'ABC transporter, teichoic acids export TagH-like', 'ABC_transpr_TagH-like', 3, NULL),
(13313, NULL, 'IPR034667', NULL, 'Novel protein kinase C delta, catalytic domain', 'nPKC_delta', 3, NULL),
(13314, NULL, 'IPR008691', NULL, '19kDa lipoprotein antigen', 'LpqH', 4, NULL),
(13315, NULL, 'IPR013562', NULL, 'tRNA(Met) cytidine acetyltransferase TmcA, N-terminal', 'TmcA_N', 3, NULL),
(13316, NULL, 'IPR008661', NULL, 'L6 membrane', 'L6_membrane', 4, NULL),
(13317, NULL, 'IPR011775', NULL, 'Magnesium chelatase, ATPase subunit I', 'Mg_chelatase_ATPase-isu', 4, NULL),
(13318, NULL, 'IPR013985', NULL, 'Aldehyde ferredoxin oxidoreductase, domain 3', 'Ald_Fedxn_OxRdtase_dom3', 5, NULL),
(13319, NULL, 'IPR012290', NULL, 'Fibrinogen, alpha/beta/gamma chain, coiled coil domain', 'Fibrinogen_a/b/g_coil_dom', 3, NULL),
(13320, NULL, 'IPR011771', NULL, 'Magnesium-chelatase, subunit H', 'BchH', 4, NULL),
(13321, NULL, 'IPR011791', NULL, 'Cd(II)/Pb(II)-responsive transcriptional regulator', 'CadR-PbrR', 4, NULL),
(13322, NULL, 'IPR014900', NULL, 'Viral late gene transcription factor 3 , zinc ribbon', 'VLTF-3_Zn_ribbon', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13323, NULL, 'IPR008669', NULL, 'LSM-interacting domain', 'LSM_interact', 3, NULL),
(13324, NULL, 'IPR012905', NULL, 'PA-IL-like', 'PA-IL', 4, NULL),
(13325, NULL, 'IPR009785', NULL, 'Lactobacillus prophage Lj928, Orf309', 'Prophage_Lj928_Orf309', 4, NULL),
(13326, NULL, 'IPR008525', NULL, 'Protein of unknown function DUF807, Coxiella burnetii', 'DUF807_COXBU', 4, NULL),
(13327, NULL, 'IPR011807', NULL, 'Exosome complex component Rrp41', 'Rrp41', 4, NULL),
(13328, NULL, 'IPR009791', NULL, 'Protein of unknown function DUF1357', 'DUF1357', 4, NULL),
(13329, NULL, 'IPR013263', NULL, 'DNA topoisomerase I, zinc ribbon-like, bacterial-type', 'TopoI_Znr_bac', 3, NULL),
(13330, NULL, 'IPR017967', NULL, 'HMG box A DNA-binding domain, conserved site', 'HMG_boxA_CS', 2, NULL),
(13331, NULL, 'IPR008536', NULL, 'Protein of unknown function DUF818', 'DUF818', 4, NULL),
(13332, NULL, 'IPR017846', NULL, 'Nicotinate-nucleotide-dimethylbenzimidazole phosphoribosyltransferase, bacterial type', 'Nict_dMeBzImd_PRibTrfase_bact', 4, NULL),
(13333, NULL, 'IPR014861', NULL, 'Uncharacterised domain CNP1', 'Uncharacterised_CNP1', 3, NULL),
(13334, NULL, 'IPR014864', NULL, 'Transcription factor, NikR, nickel binding C-terminal', 'TF_NikR_Ni-bd_C', 3, NULL),
(13335, NULL, 'IPR014893', NULL, 'Ku, C-terminal', 'Ku_PK_bind', 3, NULL),
(13336, NULL, 'IPR011981', NULL, '3,4-dihydroxyphenylacetate 2,3-dioxygenase, Mn/Fe-type', 'DHPA_dOase_Mn/Fe', 4, NULL),
(13337, NULL, 'IPR014868', NULL, 'Cadherin prodomain', 'Cadherin_pro_dom', 3, NULL),
(13338, NULL, 'IPR008519', NULL, 'Tandem-repeating region of mucin, epiglycanin-like', 'Tandem-repeating_mucin', 3, NULL),
(13339, NULL, 'IPR024083', NULL, 'Fumarase/histidase, N-terminal', 'Fumarase/histidase_N', 5, NULL),
(13340, NULL, 'IPR012672', NULL, 'Type III secretion system YscX', 'T3SS_YscX', 4, NULL),
(13341, NULL, 'IPR011774', NULL, 'Geranylgeranyl reductase, plant/cyanobacteria', 'Geranylgeranyl_Rdtase_pln/cyn', 4, NULL),
(13342, NULL, 'IPR013535', NULL, 'PUL domain', 'PUL_dom', 3, NULL),
(13343, NULL, 'IPR013554', NULL, 'Ribonucleotide reductase N-terminal', 'RNR_N', 3, NULL),
(13344, NULL, 'IPR012671', NULL, 'Type III secretion system,  secretion protein E', 'T3SS_scE', 4, NULL),
(13345, NULL, 'IPR013561', NULL, 'Methanogenesis regulatory protein FilR1, middle domain', 'FilR1_middle_dom', 3, NULL),
(13346, NULL, 'IPR009780', NULL, 'Protein of unknown function DUF1344', 'DUF1344', 4, NULL),
(13347, NULL, 'IPR014894', NULL, 'Inner membrane lipoprotein DcrB/EagT6', 'DcrB/EagT6', 4, NULL),
(13348, NULL, 'IPR011794', NULL, 'Hg(II)-responsive transcriptional regulator', 'MerR', 4, NULL),
(13349, NULL, 'IPR011786', NULL, 'Sulphite reductase (NADPH) hemoprotein, beta subunit', 'CysI', 4, NULL),
(13350, NULL, 'IPR008524', NULL, 'Protein of unknown function DUF806', 'DUF806', 4, NULL),
(13351, NULL, 'IPR009792', NULL, 'Transmembrane protein 242', 'TMEM242', 4, NULL),
(13352, NULL, 'IPR012913', NULL, 'Protein OS9-like domain', 'OS9-like_dom', 3, NULL),
(13353, NULL, 'IPR013317', NULL, 'Chromosomal replication initiator protein DnaA', 'DnaA', 3, NULL),
(13354, NULL, 'IPR012198', NULL, 'cAMP-dependent protein kinase regulatory subunit', 'cAMP_dep_PK_reg_su', 4, NULL),
(13355, NULL, 'IPR014034', NULL, 'Ferritin, conserved site', 'Ferritin_CS', 2, NULL),
(13356, NULL, 'IPR008705', NULL, 'Nanos/Xcat2', 'Nanos/Xcar2', 4, NULL),
(13357, NULL, 'IPR008680', NULL, 'Mastadenovirus early E4 13kDa', 'M_adenovirusE4', 4, NULL),
(13358, NULL, 'IPR017968', NULL, 'Acylphosphatase, conserved site', 'Acylphosphatase_CS', 2, NULL),
(13359, NULL, 'IPR008665', NULL, 'LRV FeS4 cluster', 'LRV_FeS', 3, NULL),
(13360, NULL, 'IPR008527', NULL, 'Protein of unknown function DUF809', 'DUF809', 4, NULL),
(13361, NULL, 'IPR011798', NULL, 'Adenosine 5''-phosphosulphate reductase', 'APS_reductase', 4, NULL),
(13362, NULL, 'IPR013570', NULL, 'Transcription regulator YsiA, C-terminal', 'Tscrpt_reg_YsiA_C', 3, NULL),
(13363, NULL, 'IPR008660', NULL, 'Fibroin light chain', 'L-fibroin', 4, NULL),
(13364, NULL, 'IPR011800', NULL, 'Phosphoadenosine phosphosulphate reductase CysH', 'PAPS_reductase_CysH', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13365, NULL, 'IPR012098', NULL, 'SRP-independent targeting protein 3', 'SND3_fun', 4, NULL),
(13366, NULL, 'IPR008690', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit B', 'MtrB_MeTrfase', 4, NULL),
(13367, NULL, 'IPR012190', NULL, 'Uncharacterised conserved protein UCP036698, YpmA', 'UCP036698', 4, NULL),
(13368, NULL, 'IPR013262', NULL, 'Outer membrane protein, MIM1/TOM13, mitochondrial', 'OMP_MIM1/TOM13_mt', 4, NULL),
(13369, NULL, 'IPR014347', NULL, 'Tautomerase/MIF superfamily', 'Tautomerase/MIF_sf', 5, NULL),
(13370, NULL, 'IPR017918', NULL, 'Nitrogen regulatory protein PII, conserved site', 'N-reg_PII_CS', 2, NULL),
(13371, NULL, 'IPR012301', NULL, 'Malic enzyme, N-terminal domain', 'Malic_N_dom', 3, NULL),
(13372, NULL, 'IPR009788', NULL, 'GvpD gas vesicle', 'GvpD', 4, NULL),
(13373, NULL, 'IPR013251', NULL, 'DASH complex subunit Spc19', 'DASH_Spc19', 4, NULL),
(13374, NULL, 'IPR014884', NULL, 'ParB protein family, C-terminal', 'ParB_fam_C', 3, NULL),
(13375, NULL, 'IPR014917', NULL, 'Protein of unknown function DUF1800', 'DUF1800', 4, NULL),
(13376, NULL, 'IPR013564', NULL, 'Lipid II isoglutaminyl synthase (glutamine-hydrolyzing) subunit MurT, C-terminal', 'MurT_C', 3, NULL),
(13377, NULL, 'IPR008689', NULL, 'ATP synthase, F0 complex, subunit D, mitochondrial', 'ATP_synth_F0_dsu_mt', 4, NULL),
(13378, NULL, 'IPR011788', NULL, 'Zn(II)-responsive transcriptional regulator', 'ZntR', 4, NULL),
(13379, NULL, 'IPR013254', NULL, 'Sperm-activating peptide', 'Sperm_act_pept', 4, NULL),
(13380, NULL, 'IPR012102', NULL, 'Protoglobin', 'Protoglobin', 4, NULL),
(13381, NULL, 'IPR013248', NULL, 'Secretory component protein Psh3/Shr3', 'Psh3/Shr3', 4, NULL),
(13382, NULL, 'IPR015850', NULL, 'ABC transporter, phosphate import, PstB', 'ABC_transpr_PstB', 4, NULL),
(13383, NULL, 'IPR016040', NULL, 'NAD(P)-binding domain', 'NAD(P)-bd_dom', 3, NULL),
(13384, NULL, 'IPR035014', NULL, 'cGMP-dependent protein kinase, catalytic domain', 'STKc_cGK', 3, NULL),
(13385, NULL, 'IPR008563', NULL, 'Protein AC81, baculovirus', 'AcMNPV_AC81', 4, NULL),
(13386, NULL, 'IPR013264', NULL, 'DNA primase, catalytic core, N-terminal', 'DNA_primase_core_N', 3, NULL),
(13387, NULL, 'IPR014866', NULL, 'YfkB-like domain', 'YfkB', 3, NULL),
(13388, NULL, 'IPR008673', NULL, 'Microfibril-associated glycoprotein', 'MAGP', 4, NULL),
(13389, NULL, 'IPR017878', NULL, 'TB domain', 'TB_dom', 3, NULL),
(13390, NULL, 'IPR008532', NULL, 'NFACT, RNA-binding domain', 'NFACT_RNA-bd', 3, NULL),
(13391, NULL, 'IPR012888', NULL, 'L-fucose isomerase, N-terminal-1', 'Fucose_iso_N1', 3, NULL),
(13392, NULL, 'IPR008717', NULL, 'Noggin', 'Noggin', 4, NULL),
(13393, NULL, 'IPR012897', NULL, 'Potassium channel, voltage dependent, Kv1.4, tandem inactivation domain', 'K_chnl_volt-dep_Kv1.4_TID', 3, NULL),
(13394, NULL, 'IPR024170', NULL, 'Aminoglycoside N6-acetyltransferase', 'Aminoglycoside_N6-AcTrfrase', 4, NULL),
(13395, NULL, 'IPR013259', NULL, 'Sulfakinin', 'Sulfakinin', 4, NULL),
(13396, NULL, 'IPR012187', NULL, 'Disulphide bond formation protein  BdbC', 'Disulphide_bond_form_BdbC', 4, NULL),
(13397, NULL, 'IPR008662', NULL, 'Torsin-1A-interacting protein 1/2', 'TOIP1/2', 4, NULL),
(13398, NULL, 'IPR014896', NULL, 'NHR2-like', 'NHR2', 3, NULL),
(13399, NULL, 'IPR015854', NULL, 'ABC transporter, lipoprotein release, LolD', 'ABC_transpr_LolD', 4, NULL),
(13400, NULL, 'IPR024145', NULL, 'Histone deacetylase complex subunit SAP30/SAP30-like', 'His_deAcase_SAP30/SAP30L', 4, NULL),
(13401, NULL, 'IPR008547', NULL, 'Protein of unknown function DUF829, TMEM53', 'DUF829_TMEM53', 4, NULL),
(13402, NULL, 'IPR014869', NULL, 'Glycosyltransferase GT-D fold', 'GT-D', 3, NULL),
(13403, NULL, 'IPR012912', NULL, 'Plasmid pRiA4b, Orf3', 'Plasmid_pRiA4b_Orf3', 4, NULL),
(13404, NULL, 'IPR008552', NULL, 'Domain of unknown function DUF834', 'DUF834', 3, NULL),
(13405, NULL, 'IPR014023', NULL, 'Mononegavirales RNA-directed RNA polymerase catalytic domain', 'Mononeg_RNA_pol_cat', 3, NULL),
(13406, NULL, 'IPR012667', NULL, 'Cobalt transporter subunit CbtB, putative', 'CbtB_put', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13407, NULL, 'IPR024171', NULL, 'S-receptor-like serine/threonine-protein kinase', 'SRK-like_kinase', 4, NULL),
(13408, NULL, 'IPR013255', NULL, 'Chromosome segregation protein Spc25, C-terminal', 'Spc25_C', 3, NULL),
(13409, NULL, 'IPR013270', NULL, 'CD47 immunoglobulin-like', 'CD47_Vset', 3, NULL),
(13410, NULL, 'IPR013641', NULL, 'Protein KTI12/L-seryl-tRNA(Sec) kinase', 'KTI12/PSTK', 4, NULL),
(13411, NULL, 'IPR013337', NULL, 'CRISPR-associated protein Cas5, Tneap type', 'CRISPR-assoc_prot_Cas5_Tneap', 4, NULL),
(13412, NULL, 'IPR014875', NULL, 'Mor transcription activator', 'Mor_transcription_activator', 3, NULL),
(13413, NULL, 'IPR011984', NULL, '3,4-dihydroxyphenylacetate 2,3-dioxygenase', 'HPCD', 4, NULL),
(13414, NULL, 'IPR008692', NULL, 'Haemagglutinin, Mycoplasma', 'Hemogglutn_Mycoplasma', 3, NULL),
(13415, NULL, 'IPR017879', NULL, 'PotA, ATP-binding domain', 'PotA_ATP-bd', 3, NULL),
(13416, NULL, 'IPR024167', NULL, 'Cytochrome c4-like', 'Cytochrome_c4-like', 4, NULL),
(13417, NULL, 'IPR035012', NULL, 'Tensin-like, SH2 domain', 'Tensin-like_SH2', 3, NULL),
(13418, NULL, 'IPR014871', NULL, 'dUTPase/dCTP pyrophosphatase', 'dUTPase/dCTP_pyrophosphatase', 4, NULL),
(13419, NULL, 'IPR008533', NULL, 'Domain of unknown function DUF815', 'DUF815', 3, NULL),
(13420, NULL, 'IPR008537', NULL, 'Protein of unknown function DUF819', 'DUF819', 4, NULL),
(13421, NULL, 'IPR012670', NULL, 'Type III secretion system, YscI/HrpB', 'T3SS_YscI/HrpB', 4, NULL),
(13422, NULL, 'IPR017845', NULL, 'Chlorosome envelope protein H, CsmH', 'Chlorosome_envelope_CsmH', 7, NULL),
(13423, NULL, 'IPR034419', NULL, 'Probable RNA-binding protein 19, RNA recognition motif 3', 'RBM19_RRM3', 3, NULL),
(13424, NULL, 'IPR016039', NULL, 'Thiolase-like', 'Thiolase-like', 5, NULL),
(13425, NULL, 'IPR013568', NULL, 'SEFIR domain', 'SEFIR_dom', 3, NULL),
(13426, NULL, 'IPR013572', NULL, 'Transcription regulator MAATS, C-terminal', 'Tscrpt_reg_MAATS_C', 3, NULL),
(13427, NULL, 'IPR017897', NULL, 'Thrombospondin, type 3 repeat', 'Thrombospondin_3_rpt', 7, NULL),
(13428, NULL, 'IPR014886', NULL, 'La protein, xRRM domain', 'La_xRRM', 3, NULL),
(13429, NULL, 'IPR017977', NULL, 'Zona pellucida domain, conserved site', 'ZP_dom_CS', 2, NULL),
(13430, NULL, 'IPR034069', NULL, 'R3H domain, Cip2-type', 'R3H_Cip2', 3, NULL),
(13431, NULL, 'IPR014902', NULL, 'Lipoprotein GNA1870-related, C-terminal', 'Lipoprot_GNA1870-rel_C', 3, NULL),
(13432, NULL, 'IPR008562', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), C42', 'AcMNPV_C42', 4, NULL),
(13433, NULL, 'IPR012097', NULL, 'Opacity-associated protein B', 'OapB', 4, NULL),
(13434, NULL, 'IPR024168', NULL, 'Catalase, SrpA-type, predicted', 'Catalase_SrpA-type_pred', 4, NULL),
(13435, NULL, 'IPR009782', NULL, 'UAP56-interacting factor', 'FYTTD1', 4, NULL),
(13436, NULL, 'IPR013549', NULL, 'Domain of unknown function DUF1731', 'DUF1731', 3, NULL),
(13437, NULL, 'IPR009783', NULL, 'Protein of unknown function DUF1348', 'DUF1348', 4, NULL),
(13438, NULL, 'IPR013638', NULL, 'Fork-head N-terminal', 'Fork-head_N', 3, NULL),
(13439, NULL, 'IPR014913', NULL, 'Protein of unknown function DUF1798', 'DUF1798', 4, NULL),
(13440, NULL, 'IPR013559', NULL, 'YheO-like', 'YheO', 3, NULL),
(13441, NULL, 'IPR024172', NULL, 'Adenylyltransferase AadA/Aad9', 'AadA/Aad9', 4, NULL),
(13442, NULL, 'IPR008655', NULL, 'Helicobacter pylori IceA2', 'IceA2', 4, NULL),
(13443, NULL, 'IPR008703', NULL, 'Na(+)-translocating NADH-quinone reductase subunit A', 'NqrA', 4, NULL),
(13444, NULL, 'IPR008693', NULL, 'Transport accessory protein  MmpS', 'MmpS', 4, NULL),
(13445, NULL, 'IPR008652', NULL, 'Adenovirus type 2, E3A glycoprotein', 'Adenovirus_Type-2_E3A', 4, NULL),
(13446, NULL, 'IPR013536', NULL, 'WLM domain', 'WLM_dom', 3, NULL),
(13447, NULL, 'IPR014731', NULL, 'Electron transfer flavoprotein, alpha subunit, C-terminal', 'ETF_asu_C', 3, NULL),
(13448, NULL, 'IPR008542', NULL, 'Protein of unknown function DUF824', 'DUF824', 7, NULL),
(13449, NULL, 'IPR012104', NULL, 'PHO85 cyclin 1/2/9', 'PHO85_cyclin_1/2/9', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13450, NULL, 'IPR014881', NULL, 'Nin one binding (NOB1) Zn-ribbon-like', 'NOB1_Zn-bd', 3, NULL),
(13451, NULL, 'IPR012106', NULL, 'Protease, Mu phage/prophage I type', 'Phage_Mu_Gp1', 4, NULL),
(13452, NULL, 'IPR008569', NULL, 'Protein of unknown function DUF851', 'DUF851', 4, NULL),
(13453, NULL, 'IPR012673', NULL, 'Type III secretion system chaperone SycN', 'T3SS_SynN', 4, NULL),
(13454, NULL, 'IPR034875', NULL, 'TATA binding associated factor 15', 'TAF15', 4, NULL),
(13455, NULL, 'IPR012889', NULL, 'L-fucose isomerase, N-terminal-2', 'Fucose_isomerase_N2', 3, NULL),
(13456, NULL, 'IPR012096', NULL, 'ATPase, PP-loop, MJ1638-related', 'ATPase_PP-loop_MJ1638', 4, NULL),
(13457, NULL, 'IPR017974', NULL, 'Claudin, conserved site', 'Claudin_CS', 2, NULL),
(13458, NULL, 'IPR017988', NULL, 'Ribosome-inactivating protein conserved site', 'Ribosome_inactivat_prot_CS', 2, NULL),
(13459, NULL, 'IPR012669', NULL, 'Pectic acid lyase', 'Pectate_lyase', 4, NULL),
(13460, NULL, 'IPR014907', NULL, 'Virulence-protein E, N-terminal', 'VirE_N', 3, NULL),
(13461, NULL, 'IPR008663', NULL, 'Leukocyte cell-derived chemotaxin 2', 'LECT2', 4, NULL),
(13462, NULL, 'IPR034425', NULL, 'GRSF-1, RNA recognition motif 1', 'GRSF1_RRM1', 3, NULL),
(13463, NULL, 'IPR008564', NULL, 'Golgi apparatus membrane protein TVP23-like', 'TVP23-like', 4, NULL),
(13464, NULL, 'IPR012289', NULL, 'Lytic transglycosylase, superhelical linker', 'Lytic_TGlycosylase_superhlx_L', 3, NULL),
(13465, NULL, 'IPR013565', NULL, 'Fatty acid synthase beta subunit AflB /Fas1-like, central domain', 'Fas1/AflB-like_central', 3, NULL),
(13466, NULL, 'IPR034287', NULL, 'Ephrin type-A receptor 8, ligand binding domain', 'EphA8_rcpt_lig-bd', 3, NULL),
(13467, NULL, 'IPR012105', NULL, 'Sperm surface protein Sp17', 'Sp17', 4, NULL),
(13468, NULL, 'IPR011810', NULL, 'Cyanophycin synthetase', 'Cya_phycin_syn', 4, NULL),
(13469, NULL, 'IPR008715', NULL, 'SAM-dependent methyltransferase, NodS-like', 'SAM-MeTfrase_NodS-like', 4, NULL),
(13470, NULL, 'IPR012302', NULL, 'Malic enzyme, NAD-binding', 'Malic_NAD-bd', 3, NULL),
(13471, NULL, 'IPR017889', NULL, 'Avidin-like, conserved site', 'Avidin-like_CS', 2, NULL),
(13472, NULL, 'IPR012189', NULL, 'Peptidase M28E, aminopeptidase AP1', 'Pept_M28E_Ap1', 4, NULL),
(13473, NULL, 'IPR017901', NULL, 'C-CAP/cofactor C-like domain', 'C-CAP_CF_C-like', 3, NULL),
(13474, NULL, 'IPR012904', NULL, '8-oxoguanine DNA glycosylase, N-terminal', 'OGG_N', 3, NULL),
(13475, NULL, 'IPR013023', NULL, 'Ketol-acid reductoisomerase', 'KARI', 4, NULL),
(13476, NULL, 'IPR012668', NULL, 'Conserved hypothetical protein CHP02466', 'CHP02466', 4, NULL),
(13477, NULL, 'IPR008568', NULL, 'ER membrane protein complex subunit 3', 'EMC3', 4, NULL),
(13478, NULL, 'IPR015852', NULL, 'ABC transporter, molybdenum import, ModC', 'ABC_transpr_ModC', 4, NULL),
(13479, NULL, 'IPR011781', NULL, 'D-serine deaminase transcriptional activator', 'DsdC', 4, NULL),
(13480, NULL, 'IPR014901', NULL, '2-cysteine adaptor', '2-cysteine_adaptor', 3, NULL),
(13481, NULL, 'IPR008702', NULL, 'Nucleopolyhedrovirus P10', 'NPV_P10', 4, NULL),
(13482, NULL, 'IPR013637', NULL, 'Lysine-specific demethylase-like domain', 'Lys_sp_deMease-like_dom', 3, NULL),
(13483, NULL, 'IPR011178', NULL, 'Amyloidogenic glycoprotein, copper-binding', 'Amyloid_glyco_Cu-bd', 3, NULL),
(13484, NULL, 'IPR011982', NULL, '4-hydroxyphenylacetate 3-monooxygenase, reductase component', 'HPA_mOase_red', 4, NULL),
(13485, NULL, 'IPR013545', NULL, 'Type II secretion system protein GspG, C-terminal', 'T2SS_protein-GspG_C', 3, NULL),
(13486, NULL, 'IPR014879', NULL, 'Sporulation initiation factor Spo0A, C-terminal', 'Spo0A_C', 3, NULL),
(13487, NULL, 'IPR012108', NULL, 'ADP-ribosylarginine hydrolase', 'ADP-ribosylarg_hydro', 4, NULL),
(13488, NULL, 'IPR014920', NULL, 'Nuclear receptor coactivator, Ncoa-type, interlocking', 'Nuc_rcpt_coact_Ncoa-typ', 3, NULL),
(13489, NULL, 'IPR013547', NULL, 'Prolyl 4-hydroxylase alpha-subunit, N-terminal', 'Pro_4_hyd_alph_N', 3, NULL),
(13490, NULL, 'IPR011814', NULL, 'Malonyl-[acyl-carrier protein] O-methyltransferase BioC', 'BioC', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13491, NULL, 'IPR011777', NULL, 'Geranylgeranyl reductase family', 'Geranylgeranyl_Rdtase_fam', 4, NULL),
(13492, NULL, 'IPR008704', NULL, 'Zinc-binding loop region of homing endonuclease', 'Endonuclease_Zinc-binding_loop', 3, NULL),
(13493, NULL, 'IPR012881', NULL, 'Protein of unknown function DUF1685', 'DUF1685', 4, NULL),
(13494, NULL, 'IPR034068', NULL, 'Sperm-associated antigen 7, R3H domain', 'R3H_sperm-antigen', 3, NULL),
(13495, NULL, 'IPR012101', NULL, 'Biotinidase-like, eukaryotic', 'Biotinidase-like_euk', 4, NULL),
(13496, NULL, 'IPR024166', NULL, 'Ribosomal RNA assembly KRR1', 'rRNA_assembly_KRR1', 4, NULL),
(13497, NULL, 'IPR017911', NULL, 'MacB, ATP-binding domain', 'MacB_ATP-bd', 3, NULL),
(13498, NULL, 'IPR013567', NULL, 'EF hand associated, type-2', 'EF_hand_assoc_2', 3, NULL),
(13499, NULL, 'IPR011252', NULL, 'Fibrogen-binding domain 1', 'Fibrogen-bd_dom1', 5, NULL),
(13500, NULL, 'IPR014730', NULL, 'Electron transfer flavoprotein, alpha/beta-subunit, N-terminal', 'ETF_a/b_N', 3, NULL),
(13501, NULL, 'IPR013680', NULL, 'Voltage-dependent calcium channel, alpha-2/delta subunit, conserved region', 'VDCC_a2/dsu', 3, NULL),
(13502, NULL, 'IPR023186', NULL, 'Inosine/uridine-preferring nucleoside hydrolase', 'IUNH', 4, NULL),
(13503, NULL, 'IPR015324', NULL, 'Ribosomal protein Rsm22-like', 'Ribosomal_Rsm22-like', 4, NULL),
(13504, NULL, 'IPR024181', NULL, 'Chemotaxis response regulator CheV', 'Chemotax_regulator_CheV', 4, NULL),
(13505, NULL, 'IPR009262', NULL, 'Solute carrier family 35 member SLC35F1/F2/F6', 'SLC35_F1/F2/F6', 4, NULL),
(13506, NULL, 'IPR013691', NULL, 'C-methyltransferase', 'MeTrfase_14', 3, NULL),
(13507, NULL, 'IPR018040', NULL, 'Pectinesterase, Tyr active site', 'Pectinesterase_Tyr_AS', 0, NULL),
(13508, NULL, 'IPR009263', NULL, 'SERTA domain', 'SERTA_dom', 3, NULL),
(13509, NULL, 'IPR009306', NULL, 'Protein of unknown function DUF963', 'DUF963', 7, NULL),
(13510, NULL, 'IPR012428', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), Orf117', 'AcMNPV_Orf117', 4, NULL),
(13511, NULL, 'IPR009268', NULL, 'Reovirus P9-like', 'Reo_P9', 4, NULL),
(13512, NULL, 'IPR014077', NULL, 'Carboxysome shell vertex protein CsoS4B', 'CsoS4B', 4, NULL),
(13513, NULL, 'IPR015310', NULL, 'Activator of Hsp90 ATPase, N-terminal', 'AHSA1_N', 3, NULL),
(13514, NULL, 'IPR009271', NULL, 'Coagulation factor V, LSPD', 'Coagulation_factor_V_LSPD', 7, NULL),
(13515, NULL, 'IPR018159', NULL, 'Spectrin/alpha-actinin', 'Spectrin/alpha-actinin', 7, NULL),
(13516, NULL, 'IPR024483', NULL, 'Protein of unknown function DUF2700', 'DUF2700', 4, NULL),
(13517, NULL, 'IPR009302', NULL, 'Tail length tape measure', 'Tail_length_tape_measure', 3, NULL),
(13518, NULL, 'IPR018083', NULL, 'Sterol reductase, conserved site', 'Sterol_reductase_CS', 2, NULL),
(13519, NULL, 'IPR011435', NULL, 'Na(+), Li(+), K(+)/H(+) antiporter subunit A/B', 'UmpAB', 4, NULL),
(13520, NULL, 'IPR009296', NULL, 'Protein of unknown function DUF951', 'DUF951', 4, NULL),
(13521, NULL, 'IPR009814', NULL, 'Bacteriophage lambda, Xis (Q38267)', 'Phage_lambda_Xis_Q38267', 4, NULL),
(13522, NULL, 'IPR009813', NULL, 'Uncharacterised protein family YebG', 'Uncharacterised_YebG', 4, NULL),
(13523, NULL, 'IPR020158', NULL, 'Protein of unknown function DUF2756', 'DUF2756', 4, NULL),
(13524, NULL, 'IPR023141', NULL, 'Ammonia/methane monooxygenase, subunit B, hairpin domain superfamily', 'NH3_CH4_mOase_suB_hlx_hairpin', 5, NULL),
(13525, NULL, 'IPR009810', NULL, 'Late nodulin', 'Nodulin_late', 4, NULL),
(13526, NULL, 'IPR009835', NULL, 'Sortase B family', 'SrtB', 4, NULL),
(13527, NULL, 'IPR020164', NULL, 'Cytochrome c oxidase assembly protein COX16', 'Cyt_c_Oxase_assmbl_COX16', 4, NULL),
(13528, NULL, 'IPR011434', NULL, 'Domain of unknown function DUF1535', 'DUF1535', 3, NULL),
(13529, NULL, 'IPR012383', NULL, 'Uroporphyrin-III C-methyltransferase, plant', 'Uropor_MeTrfase_pln', 4, NULL),
(13530, NULL, 'IPR011453', NULL, 'Protein of unknown function DUF1559', 'DUF1559', 4, NULL),
(13531, NULL, 'IPR035935', NULL, 'TFB5-like superfamily', 'TFB5-like_sf', 5, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13532, NULL, 'IPR009264', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), Orf57', 'AcMNPV_Orf57', 4, NULL),
(13533, NULL, 'IPR009305', NULL, '2-hydroxy-palmitic acid dioxygenase Mpo1-like', 'Mpo1-like', 4, NULL),
(13534, NULL, 'IPR018099', NULL, 'Purine phosphorylase, family 2, conserved site', 'Purine_phosphorylase-2_CS', 2, NULL),
(13535, NULL, 'IPR015334', NULL, 'FokI,  cleavage domain', 'FokI_cleavage_dom', 3, NULL),
(13536, NULL, 'IPR012406', NULL, 'Urease accessory protein UreE', 'UreE', 4, NULL),
(13537, NULL, 'IPR018107', NULL, 'Sodium:dicarboxylate symporter, conserved site', 'Na-dicarboxylate_symporter_CS', 2, NULL),
(13538, NULL, 'IPR009822', NULL, 'YaeQ', 'YaeQ', 4, NULL),
(13539, NULL, 'IPR024177', NULL, 'Biotin synthase', 'Biotin_synthase', 4, NULL),
(13540, NULL, 'IPR009279', NULL, 'Protein of unknown function DUF935', 'DUF935', 4, NULL),
(13541, NULL, 'IPR014068', NULL, 'Azurin', 'Azurin', 4, NULL),
(13542, NULL, 'IPR024182', NULL, 'Vaccinia virus A55R', 'Vaccinia_A55R', 4, NULL),
(13543, NULL, 'IPR013689', NULL, 'ATP-dependent RNA helicase HrpB, C-terminal', 'RNA_helicase_ATP-dep_HrpB_C', 3, NULL),
(13544, NULL, 'IPR015320', NULL, 'DNA topoisomerase VI, subunit B, transducer', 'TopoVI_B_transducer', 3, NULL),
(13545, NULL, 'IPR009845', NULL, 'Protein of unknown function DUF1405', 'DUF1405', 4, NULL),
(13546, NULL, 'IPR024255', NULL, 'Spore germination GerPB', 'GerPB', 4, NULL),
(13547, NULL, 'IPR014110', NULL, 'Type-F conjugative transfer system pilin assembly protein TraF', 'TraF', 4, NULL),
(13548, NULL, 'IPR018098', NULL, 'Ribosomal S24e conserved site', 'Ribosomal_S24e_CS', 2, NULL),
(13549, NULL, 'IPR013672', NULL, 'Herpesvirus thymidine kinase, C-terminal', 'Herpes_TK_C', 3, NULL),
(13550, NULL, 'IPR009261', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), Orf78', 'AcMNPV_Orf78', 4, NULL),
(13551, NULL, 'IPR034434', NULL, 'Probable RNA-binding protein 46, RNA recognition motif 1', 'RBM46_RRM1', 3, NULL),
(13552, NULL, 'IPR009308', NULL, 'Rhamnose isomerase', 'Rhamnose_isomerase', 4, NULL),
(13553, NULL, 'IPR020135', NULL, 'Uncharacterised protein family RP854', 'Uncharacterised_RP854', 4, NULL),
(13554, NULL, 'IPR015330', NULL, 'DNA primase/polymerase, bifunctional, N-terminal', 'DNA_primase/pol_bifunc_N', 3, NULL),
(13555, NULL, 'IPR015321', NULL, 'Type I cytokine receptor, cytokine-binding domain', 'TypeI_recpt_CBD', 3, NULL),
(13556, NULL, 'IPR013685', NULL, 'POTRA domain, FtsQ-type', 'POTRA_FtsQ_type', 3, NULL),
(13557, NULL, 'IPR009820', NULL, 'Protein of unknown function DUF1390', 'DUF1390', 4, NULL),
(13558, NULL, 'IPR012372', NULL, 'Uncharacterised conserved protein UCP014405, metallopeptidase Zn-binding site', 'UCP014405_Zn-bd', 4, NULL),
(13559, NULL, 'IPR020156', NULL, 'Protein of unknown function DUF5490', 'DUF5490', 4, NULL),
(13560, NULL, 'IPR016093', NULL, 'MIR motif', 'MIR_motif', 3, NULL),
(13561, NULL, 'IPR012379', NULL, 'LytTR MHYE transcriptional regulator, putative', 'LytTR_MHYE', 4, NULL),
(13562, NULL, 'IPR009291', NULL, 'Vacuolar protein sorting-associated protein 62', 'Vps62', 4, NULL),
(13563, NULL, 'IPR009304', NULL, 'Herpesvirus Latent membrane 2', 'Herpes_LAMP2', 4, NULL),
(13564, NULL, 'IPR015302', NULL, 'Major coat protein, L-A virus', 'Major_coat_LA-virus', 3, NULL),
(13565, NULL, 'IPR009275', NULL, 'SepZ', 'SepZ', 4, NULL),
(13566, NULL, 'IPR018108', NULL, 'Mitochondrial substrate/solute carrier', 'Mitochondrial_sb/sol_carrier', 7, NULL),
(13567, NULL, 'IPR012291', NULL, 'CBM2, carbohydrate-binding domain superfamily', 'CBM2_carb-bd_dom_sf', 5, NULL),
(13568, NULL, 'IPR015355', NULL, 'Pertussis toxin, subunit S4', 'Pertussis_toxin_subS4', 4, NULL),
(13569, NULL, 'IPR012392', NULL, 'Very-long-chain 3-ketoacyl-CoA synthase', '3-ktacl-CoA_syn', 4, NULL),
(13570, NULL, 'IPR012394', NULL, 'Aldehyde dehydrogenase NAD(P)-dependent', 'Aldehyde_DH_NAD(P)', 4, NULL),
(13571, NULL, 'IPR020201', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), Orf52', 'AcMNPV_Orf52', 4, NULL),
(13572, NULL, 'IPR020170', NULL, 'Herpesvirus UL11, muromegalovirus/roseolovirus-type', 'Herpes_UL11_megaloV/roseoloV', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13573, NULL, 'IPR012432', NULL, 'Protein of unknown function DUF1627', 'DUF1627', 4, NULL),
(13574, NULL, 'IPR018097', NULL, 'EGF-like calcium-binding, conserved site', 'EGF_Ca-bd_CS', 2, NULL),
(13575, NULL, 'IPR009283', NULL, 'Apyrase', 'Apyrase', 4, NULL),
(13576, NULL, 'IPR024629', NULL, 'Mitochondrial homologous recombination protein 1', 'Mhr1', 4, NULL),
(13577, NULL, 'IPR018044', NULL, 'Peptidase S11, D-alanyl-D-alanine carboxypeptidase A', 'Peptidase_S11', 4, NULL),
(13578, NULL, 'IPR009824', NULL, 'Protein of unknown function DUF1392', 'DUF1392', 4, NULL),
(13579, NULL, 'IPR015360', NULL, 'XPC-binding domain', 'XPC-bd', 3, NULL),
(13580, NULL, 'IPR008579', NULL, '(S)-ureidoglycine aminohydrolase, cupin domain', 'UGlyAH_Cupin_dom', 3, NULL),
(13581, NULL, 'IPR012381', NULL, 'Ethanolamine/propanediol utilisation protein, EutP/PduV', 'EutP_PduV', 4, NULL),
(13582, NULL, 'IPR009248', NULL, 'SbmA/BacA-like', 'SbmA_BacA', 4, NULL),
(13583, NULL, 'IPR015331', NULL, 'P22 tailspike C-terminal domain', 'P22_tailspike_C', 3, NULL),
(13584, NULL, 'IPR015340', NULL, 'Alpha-amylase, domain C', 'A_amylase_C_dom', 3, NULL),
(13585, NULL, 'IPR014115', NULL, 'Type-F conjugative transfer system protein TrbI', 'TrbI_Ftype', 4, NULL),
(13586, NULL, 'IPR009289', NULL, 'Baculoviridae 8.2kDa', 'Baculo_8kDa', 4, NULL),
(13587, NULL, 'IPR018103', NULL, 'Translationally controlled tumour protein, conserved site', 'Translation_control_tumour_CS', 2, NULL),
(13588, NULL, 'IPR034169', NULL, 'NifX-like domain', 'NifX-like', 3, NULL),
(13589, NULL, 'IPR009295', NULL, 'S. aureus uracil DNA glycosylase inhibitor', 'SAUGI', 4, NULL),
(13590, NULL, 'IPR024228', NULL, 'Regulatory protein NPR, central domain', 'NPR_central_dom', 3, NULL),
(13591, NULL, 'IPR009259', NULL, 'Drosophila roughex', 'Roughex', 4, NULL),
(13592, NULL, 'IPR013024', NULL, 'Gamma-glutamyl cyclotransferase-like', 'GGCT-like', 3, NULL),
(13593, NULL, 'IPR035901', NULL, 'GIY-YIG endonuclease superfamily', 'GIY-YIG_endonuc_sf', 5, NULL),
(13594, NULL, 'IPR012425', NULL, 'DmpG-like communication', 'DmpG_comm', 3, NULL),
(13595, NULL, 'IPR020159', NULL, 'Phage Tail fiber assembly helper gene product 57', 'Phage_Gp57', 4, NULL),
(13596, NULL, 'IPR013677', NULL, 'Nontoxic nonhaemagglutinin C-terminal', 'Nontoxic_nonhemagglutn_C', 3, NULL),
(13597, NULL, 'IPR018105', NULL, 'Translationally controlled tumour protein', 'Translational_control_tumour_p', 4, NULL),
(13598, NULL, 'IPR014057', NULL, 'Uncharacterized protein HI1420', 'HI1420', 4, NULL),
(13599, NULL, 'IPR015316', NULL, 'Ste50, sterile alpha motif', 'SAM_Ste50', 3, NULL),
(13600, NULL, 'IPR012389', NULL, 'Cyclin P/U', 'Cyclin_P/U', 4, NULL),
(13601, NULL, 'IPR009286', NULL, 'Inositol-pentakisphosphate 2-kinase', 'Ins_P5_2-kin', 4, NULL),
(13602, NULL, 'IPR009804', NULL, 'Sulfolobus islandicus filamentous virus, Orf14', 'SIFV_Orf14', 4, NULL),
(13603, NULL, 'IPR011425', NULL, 'Mediator of RNA polymerase II transcription subunit 9', 'Med9', 4, NULL),
(13604, NULL, 'IPR012409', NULL, 'Sirohaem synthase', 'Sirohaem_synth', 4, NULL),
(13605, NULL, 'IPR013517', NULL, 'FG-GAP repeat', 'FG-GAP', 7, NULL),
(13606, NULL, 'IPR014129', NULL, 'Conjugative transfer relaxase protein TraI', 'Conjug_relaxase_TraI', 4, NULL),
(13607, NULL, 'IPR014061', NULL, 'Lon-like protease BrxL-like', 'BrxL-like', 4, NULL),
(13608, NULL, 'IPR015325', NULL, 'Sucrose phosphorylase, C-terminal', 'Suc_Porlyase_C', 3, NULL),
(13609, NULL, 'IPR020182', NULL, 'Protein of unknown function DUF5460', 'DUF5460', 4, NULL),
(13610, NULL, 'IPR014060', NULL, 'Alkaline phosphatase-like protein PglZ', 'PglZ', 4, NULL),
(13611, NULL, 'IPR020183', NULL, 'Uncharacterised protein family RC0048', 'Uncharacterised_RC0048', 4, NULL),
(13612, NULL, 'IPR009827', NULL, 'Dicarboxylate carrier MatC N-terminal', 'MatC_N', 3, NULL),
(13613, NULL, 'IPR014062', NULL, 'Arsenate reductase, glutathione/glutaredoxin type', 'Arsenate_reductase_gluta', 4, NULL),
(13614, NULL, 'IPR012431', NULL, 'PD-(D/E)XK nuclease', 'PDDEXK_10', 4, NULL),
(13615, NULL, 'IPR018142', NULL, 'Somatostatin/Cortistatin, C-terminal', 'Somatostatin/Cortistatin_C', 3, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13616, NULL, 'IPR012382', NULL, 'Precorrin-2 C(20)-methyltransferase', 'CobI/CbiL', 4, NULL),
(13617, NULL, 'IPR015337', NULL, 'BCMA, TALL-1 binding', 'BCMA_Tall-1-bd', 3, NULL),
(13618, NULL, 'IPR014072', NULL, 'Archaeoflavoprotein AfpA', 'Archaeoflavo_AfpA', 4, NULL),
(13619, NULL, 'IPR018102', NULL, 'Ribosomal S11, conserved site', 'Ribosomal_S11_CS', 2, NULL),
(13620, NULL, 'IPR011437', NULL, 'Domain of unknown function DUF1540', 'DUF1540', 3, NULL),
(13621, NULL, 'IPR009842', NULL, 'Protein of unknown function DUF1402', 'DUF1402', 4, NULL),
(13622, NULL, 'IPR012429', NULL, 'Heparan-alpha-glucosaminide N-acetyltransferase, catalytic domain', 'HGSNAT_cat', 3, NULL),
(13623, NULL, 'IPR011447', NULL, 'Protein of unknown function DUF1552', 'DUF1552', 4, NULL),
(13624, NULL, 'IPR013671', NULL, 'Geminivirus AC4/5, conserved domain', 'Gemini_AC4/5_cons-dom', 3, NULL),
(13625, NULL, 'IPR014118', NULL, 'Type IV conjugative transfer system protein TraV', 'T4SS_TraV', 4, NULL),
(13626, NULL, 'IPR012397', NULL, 'Pullulan 6-glucanohydrolase', 'Pullulanase', 4, NULL),
(13627, NULL, 'IPR034838', NULL, 'Starch-binding domain-containing protein 1, CBM20 domain', 'CBM20_genethonin_1', 3, NULL),
(13628, NULL, 'IPR013697', NULL, 'DNA polymerase epsilon, catalytic subunit A, C-terminal', 'DNA_pol_e_suA_C', 3, NULL),
(13629, NULL, 'IPR015327', NULL, 'Smaug, PHAT analogous topology', 'PHAT_dom', 3, NULL),
(13630, NULL, 'IPR011440', NULL, 'Domain of unknown function DUF1543', 'DUF1543', 3, NULL),
(13631, NULL, 'IPR020171', NULL, 'Uncharacterised protein family RC0039', 'Uncharacterised_RC0039', 4, NULL),
(13632, NULL, 'IPR014111', NULL, 'Type IV conjugative transfer system protein TraF-like', 'T4SS_TraF-like', 4, NULL),
(13633, NULL, 'IPR014116', NULL, 'Cytochrome c oxidase cbb3 type, accessory protein FixG', 'Cyt_c_oxidase_cbb3_FixG', 4, NULL),
(13634, NULL, 'IPR024633', NULL, 'DnaA N-terminal domain', 'DnaA_N_dom', 3, NULL),
(13635, NULL, 'IPR024642', NULL, 'SUZ-C domain', 'SUZ-C', 3, NULL),
(13636, NULL, 'IPR012297', NULL, 'Restriction endonuclease EcoO109IR, catalytic domain superfamily', 'EcoO109IR_cat_dom_sf', 5, NULL),
(13637, NULL, 'IPR012433', NULL, 'Protein of unknown function DUF1629', 'DUF1629', 4, NULL),
(13638, NULL, 'IPR024294', NULL, 'Protein of unknown function DUF3810', 'DUF3810', 4, NULL),
(13639, NULL, 'IPR014055', NULL, 'CRISPR-associated protein, Csx11', 'CRISPR-assoc_prot_Csx11', 4, NULL),
(13640, NULL, 'IPR009846', NULL, 'Splicing factor 3B subunit 5/RDS3 complex subunit 10', 'SF3b5/RDS3-10', 4, NULL),
(13641, NULL, 'IPR009300', NULL, 'Transcription activator RinB', 'Transcription_activator_RinB', 4, NULL),
(13642, NULL, 'IPR009828', NULL, 'CYRIA/CYRIB, Rac1 binding domain', 'CYRIA/CYRIB_Rac1-bd', 3, NULL),
(13643, NULL, 'IPR015868', NULL, 'Glutaminase', 'Glutaminase', 4, NULL),
(13644, NULL, 'IPR017994', NULL, 'P-type trefoil, chordata', 'P_trefoil_chordata', 4, NULL),
(13645, NULL, 'IPR020155', NULL, 'Uncharacterised protein family YeiS', 'Uncharacterised_YeiS', 4, NULL),
(13646, NULL, 'IPR009832', NULL, 'Protein of unknown function DUF1397', 'DUF1397', 4, NULL),
(13647, NULL, 'IPR018080', NULL, 'Band 7/stomatin-like, conserved site', 'Band_7/stomatin-like_CS', 2, NULL),
(13648, NULL, 'IPR015341', NULL, 'Glycoside hydrolase family 38, central domain', 'Glyco_hydro_38_cen', 3, NULL),
(13649, NULL, 'IPR012427', NULL, 'Protein of unknown function DUF1622', 'DUF1622', 4, NULL),
(13650, NULL, 'IPR018089', NULL, 'Orotidine 5''-phosphate decarboxylase, active site', 'OMPdecase_AS', 0, NULL),
(13651, NULL, 'IPR018106', NULL, 'CAP, conserved site, N-terminal', 'CAP_CS_N', 2, NULL),
(13652, NULL, 'IPR013669', NULL, 'Coat protein, C-terminal, Carmoviral', 'Coat_prot_C_Carmovir', 3, NULL),
(13653, NULL, 'IPR015313', NULL, 'Protein Her-1', 'Her-1', 4, NULL),
(13654, NULL, 'IPR015304', NULL, 'ZinT domain', 'ZinT_dom', 3, NULL),
(13655, NULL, 'IPR018101', NULL, 'Translation elongation factor Ts, conserved site', 'Transl_elong_Ts_CS', 2, NULL),
(13656, NULL, 'IPR017995', NULL, 'Homeobox protein, antennapedia type', 'Homeobox_antennapedia', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13657, NULL, 'IPR014071', NULL, 'Copper transport repressor CopY/TcrY', 'Cu_transp_CopY/TcrY', 4, NULL),
(13658, NULL, 'IPR020169', NULL, 'Intrinsic membrane protein family, PufX', 'Intrinsic_membrane_PufX', 4, NULL),
(13659, NULL, 'IPR011436', NULL, 'Domain of unknown function DUF1539', 'DUF1539', 3, NULL),
(13660, NULL, 'IPR015343', NULL, 'Peroxisome biogenesis factor 1, N-terminal, alpha/beta', 'PEX-N_a/b', 3, NULL),
(13661, NULL, 'IPR009278', NULL, 'Herpesvirus US9', 'Herpes_US9', 4, NULL),
(13662, NULL, 'IPR011439', NULL, 'Domain of unknown function DUF1542', 'DUF1542', 3, NULL),
(13663, NULL, 'IPR009811', NULL, 'Protein of unknown function DUF1380', 'DUF1380', 4, NULL),
(13664, NULL, 'IPR012405', NULL, 'LytTR stand-alone protein', 'LyTR_stand-alone', 4, NULL),
(13665, NULL, 'IPR014123', NULL, 'Superoxide dismutase, Nickel-type', 'Superoxide_dismutase_Ni-type', 4, NULL),
(13666, NULL, 'IPR015820', NULL, 'Ty transposon capsid protein', 'TYA', 4, NULL),
(13667, NULL, 'IPR015350', NULL, 'Beta-trefoil DNA-binding domain', 'Beta-trefoil_DNA-bd_dom', 3, NULL),
(13668, NULL, 'IPR011460', NULL, 'Protein of unknown function DUF1566', 'DUF1566', 4, NULL),
(13669, NULL, 'IPR020130', NULL, 'Spanin, outer lipoprotein subunit, T7likevirus', 'O-spanin_T7likevirus', 4, NULL),
(13670, NULL, 'IPR024640', NULL, 'Toxin-antitoxin type 1 system, toxin component', 'Toxin-antitoxin_type_1_toxin', 4, NULL),
(13671, NULL, 'IPR009798', NULL, 'Wound-induced protein Wun1-like', 'Wun1-like', 4, NULL),
(13672, NULL, 'IPR024731', NULL, 'EGF domain', 'EGF_dom', 3, NULL),
(13673, NULL, 'IPR015314', NULL, 'Restriction endonuclease, type II, EcoRV', 'Restrct_endonuc_II_EcoRV', 4, NULL),
(13674, NULL, 'IPR009251', NULL, 'Alpha-2,3-sialyltransferase', 'A-2_3-sialyltransferase', 4, NULL),
(13675, NULL, 'IPR018082', NULL, 'AmbAllergen', 'AmbAllergen', 4, NULL),
(13676, NULL, 'IPR009837', NULL, 'Matrix extracellular phosphoglycoprotein', 'MEPE', 4, NULL),
(13677, NULL, 'IPR011429', NULL, 'Cytochrome C, Planctomycete-type', 'Cyt_c_Planctomycete-type', 3, NULL),
(13678, NULL, 'IPR014056', NULL, 'Addiction module killer protein, predicted', 'Addiction_killer_pred', 4, NULL),
(13679, NULL, 'IPR015317', NULL, 'Alpha-haemoglobin stabilising protein', 'A_Hb_stabilising_prot', 4, NULL),
(13680, NULL, 'IPR016092', NULL, 'FeS cluster insertion protein', 'FeS_cluster_insertion', 4, NULL),
(13681, NULL, 'IPR011543', NULL, 'Restriction endonuclease, type II, BglI', 'Restrct_endonuc_II_BglI', 3, NULL),
(13682, NULL, 'IPR014066', NULL, 'Arsenite oxidase, large subunit', 'Arsenite_oxidase_lsu', 4, NULL),
(13683, NULL, 'IPR011422', NULL, 'BRCA1-associated 2', 'BRAP2', 3, NULL),
(13684, NULL, 'IPR015358', NULL, 'Transcription regulator MerR, DNA binding', 'Tscrpt_reg_MerR_DNA-bd', 3, NULL),
(13685, NULL, 'IPR013686', NULL, 'Polypeptide-transport-associated, ShlB-type', 'Polypept-transport_assoc_ShlB', 3, NULL),
(13686, NULL, 'IPR009834', NULL, 'Ureide permease', 'Ureide_permease', 4, NULL),
(13687, NULL, 'IPR009266', NULL, 'Adenovirus E3', 'Adeno_E3', 4, NULL),
(13688, NULL, 'IPR034155', NULL, 'HRP1, RNA recognition motif 2', 'Hrp1_RRM2', 3, NULL),
(13689, NULL, 'IPR009793', NULL, 'Protein of unknown function DUF1361', 'DUF1361', 4, NULL),
(13690, NULL, 'IPR009799', NULL, 'EthD domain', 'EthD_dom', 3, NULL),
(13691, NULL, 'IPR018096', NULL, 'Interleukin-4/interleukin-13, conserved site', 'IL-4/IL-13_CS', 2, NULL),
(13692, NULL, 'IPR015332', NULL, 'Major allergen I polypeptide chain 2-like', 'CH2-like', 4, NULL),
(13693, NULL, 'IPR015867', NULL, 'Nitrogen regulatory protein PII/ATP phosphoribosyltransferase, C-terminal', 'N-reg_PII/ATP_PRibTrfase_C', 5, NULL),
(13694, NULL, 'IPR018104', NULL, 'Translation initiation factor 1A (eIF-1A), conserved site', 'TIF_eIF-1A_CS', 2, NULL),
(13695, NULL, 'IPR014074', NULL, 'Carboxysome shell carbonic anhydrase', 'Carboxysome_shell_carb_anhy', 4, NULL),
(13696, NULL, 'IPR009839', NULL, 'SseB protein N-terminal domain', 'SseB_N', 3, NULL),
(13697, NULL, 'IPR011450', NULL, 'Protein of unknown function DUF1556', 'DUF1556', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13698, NULL, 'IPR011329', NULL, 'Killer toxin Kp4/SMK', 'Killer_tox_Kp4/SMK', 5, NULL),
(13699, NULL, 'IPR024952', NULL, 'Lipoprotein LPP20-like', 'Lipo_LPP20-like', 4, NULL),
(13700, NULL, 'IPR009823', NULL, 'Herpesvirus SORF3', 'Herpes_SORF3', 4, NULL),
(13701, NULL, 'IPR008573', NULL, 'Baculovirus U-box/Ring-like', 'Baculovirus_U-box/Ring-like', 4, NULL),
(13702, NULL, 'IPR014122', NULL, 'Demethylmenaquinone methyltransferase', 'MenG_heptapren', 4, NULL),
(13703, NULL, 'IPR011446', NULL, 'Putative beta barrel porin-7', 'BBP7', 4, NULL),
(13704, NULL, 'IPR013666', NULL, 'Pleckstrin-like, plant', 'PH_pln', 3, NULL),
(13705, NULL, 'IPR014059', NULL, 'Conjugative relaxase, N-terminal', 'Conjug_relaxase_N', 3, NULL),
(13706, NULL, 'IPR009819', NULL, 'Pes-10', 'Pes-10', 4, NULL),
(13707, NULL, 'IPR020168', NULL, 'Uncharacterised protein family RP364', 'Uncharacterised_RP364', 4, NULL),
(13708, NULL, 'IPR009821', NULL, 'Protein of unknown function DUF1391', 'DUF1391', 4, NULL),
(13709, NULL, 'IPR015315', NULL, 'Protein of unknown function DUF1963', 'DUF1963', 4, NULL),
(13710, NULL, 'IPR011331', NULL, 'Ribosomal protein L37ae/L37e', 'Ribosomal_L37ae/L37e', 5, NULL),
(13711, NULL, 'IPR012421', NULL, 'WisP, C-terminal', 'WisP_C', 3, NULL),
(13712, NULL, 'IPR012404', NULL, 'Nucleotide-sugar transporter-related', 'UCP036436', 4, NULL),
(13713, NULL, 'IPR009282', NULL, 'Protein of unknown function DUF937', 'DUF937', 4, NULL),
(13714, NULL, 'IPR011466', NULL, 'Protein of unknown function DUF1572', 'DUF1572', 4, NULL),
(13715, NULL, 'IPR011856', NULL, 'tRNA endonuclease-like domain superfamily', 'tRNA_endonuc-like_dom_sf', 5, NULL),
(13716, NULL, 'IPR024291', NULL, 'Protein of unknown function DUF3829', 'DUF3829', 4, NULL),
(13717, NULL, 'IPR020132', NULL, 'Mycobacteriophage tail assembly protein 24/25', 'Gp24/Gp25', 4, NULL),
(13718, NULL, 'IPR020181', NULL, 'Ant venom allergen, Sol i 2', 'Ant_venom_allergen_Sol_i_2', 4, NULL),
(13719, NULL, 'IPR034047', NULL, 'Tumor necrosis factor receptor 19, N-terminal', 'TNFRSF19_N', 3, NULL),
(13720, NULL, 'IPR018060', NULL, 'DNA binding HTH domain, AraC-type', 'HTH_AraC', 3, NULL),
(13721, NULL, 'IPR013696', NULL, 'Domain of unknown function DUF1743', 'DUF1743', 3, NULL),
(13722, NULL, 'IPR009249', NULL, 'Ferredoxin-dependent bilin reductase', 'Ferredoxin-dep_bilin_Rdtase', 4, NULL),
(13723, NULL, 'IPR012393', NULL, 'Tricorn protease', 'Tricorn_protease', 4, NULL),
(13724, NULL, 'IPR034435', NULL, 'Probable RNA-binding protein 46, RNA recognition motif 2', 'RBM46_RRM2', 3, NULL),
(13725, NULL, 'IPR012430', NULL, 'Transmembrane protein 43 family', 'TMEM43_fam', 4, NULL),
(13726, NULL, 'IPR014070', NULL, 'Wolbachia palindromic element (WPE)', 'WPE_wolbac', 3, NULL),
(13727, NULL, 'IPR015359', NULL, 'Phosphoinositide-specific phospholipase C, EF-hand-like domain', 'PLC_EF-hand-like', 3, NULL),
(13728, NULL, 'IPR009258', NULL, 'Bacteriophage T4, Gp30.8', 'Phage_T4_Gp30.8', 4, NULL),
(13729, NULL, 'IPR012426', NULL, 'Uncharacterised protein family SepF-related, archaea', 'SeptF-rel_arc', 4, NULL),
(13730, NULL, 'IPR024638', NULL, 'CTD kinase subunit gamma Ctk3, N-terminal', 'Ctk3_N', 3, NULL),
(13731, NULL, 'IPR015322', NULL, 'Cyclin domain, herpesvirus', 'Cyclin_dom_herpesvir', 3, NULL),
(13732, NULL, 'IPR034290', NULL, 'Ephrin type-B receptor 4, ligand binding domain', 'EphB4_rcpt_lig-bd', 3, NULL),
(13733, NULL, 'IPR024227', NULL, 'Protein of unknown function DUF3795', 'DUF3795', 4, NULL),
(13734, NULL, 'IPR012390', NULL, 'Phosphoesterase SP1827', 'Pesterase_SP1827', 4, NULL),
(13735, NULL, 'IPR009285', NULL, 'Orthopoxvirus A26L/A30L', 'Orthopox_A30L/A26L', 4, NULL),
(13736, NULL, 'IPR015351', NULL, 'RBP-J/Cbf11/Cbf12, DNA binding', 'RBP-J/Cbf11/Cbf12_DNA-bd', 3, NULL),
(13737, NULL, 'IPR034053', NULL, 'Tumor necrosis factor receptor 5, N-terminal, teleost', 'TNFRSF5_N_teleost', 3, NULL),
(13738, NULL, 'IPR014069', NULL, 'Guanosine pentaphosphate synthetase I/polyribonucleotide nucleotidyltransferase', 'GPSI/PNP', 4, NULL),
(13739, NULL, 'IPR009844', NULL, 'Protein of unknown function DUF1404', 'DUF1404', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13740, NULL, 'IPR009294', NULL, 'Gamma-secretase subunit Aph-1', 'Aph-1', 4, NULL),
(13741, NULL, 'IPR014113', NULL, 'Type-F conjugative transfer system pilin assembly protein TrbC, subgroup', 'T4SS_TrbC_subgr', 4, NULL),
(13742, NULL, 'IPR012408', NULL, 'Acetaldehyde/propionaldehyde dehydrogenase, EutE/PduP-related', 'Acetald_propionald_DH-rel', 4, NULL),
(13743, NULL, 'IPR008580', NULL, 'PPPDE peptidase domain', 'PPPDE_dom', 3, NULL),
(13744, NULL, 'IPR011338', NULL, 'Restriction endonuclease, type II, BamHI/BglIII/BstY', 'BamHI/BglII/BstY', 5, NULL),
(13745, NULL, 'IPR011463', NULL, 'Protein of unknown function DUF1569', 'DUF1569', 4, NULL),
(13746, NULL, 'IPR014058', NULL, 'Pteridine reductase', 'Pteridine_reductase', 4, NULL),
(13747, NULL, 'IPR009806', NULL, 'Photosystem II PsbW, class 2', 'PSII_PsbW_class2', 4, NULL),
(13748, NULL, 'IPR015329', NULL, 'tRNA nucleotidyltransferase, substrate binding', 'tRNA_NucTransf2', 3, NULL),
(13749, NULL, 'IPR012206', NULL, 'Ferredoxin-like, FixX', 'Fd_FixX', 4, NULL),
(13750, NULL, 'IPR015365', NULL, 'Elongation factor P, C-terminal', 'Elong-fact-P_C', 3, NULL),
(13751, NULL, 'IPR035027', NULL, 'CSK-like, SH2 domain', 'Csk-like_SH2', 3, NULL),
(13752, NULL, 'IPR013665', NULL, 'Sfi1 spindle body', 'Sfi1_dom', 3, NULL),
(13753, NULL, 'IPR011417', NULL, 'AP180 N-terminal homology (ANTH) domain', 'ANTH_dom', 3, NULL),
(13754, NULL, 'IPR018088', NULL, 'Chalcone/stilbene synthase, active site', 'Chalcone/stilbene_synthase_AS', 0, NULL),
(13755, NULL, 'IPR024178', NULL, 'Estrogen receptor/oestrogen-related receptor', 'Est_rcpt/est-rel_rcp', 4, NULL),
(13756, NULL, 'IPR012399', NULL, 'Cyclin Y', 'Cyclin_Y', 4, NULL),
(13757, NULL, 'IPR018087', NULL, 'Glycoside hydrolase, family 5, conserved site', 'Glyco_hydro_5_CS', 2, NULL),
(13758, NULL, 'IPR017851', NULL, 'Photosystem II PsbV, cytochrome c-550 precursor', 'PSII_PsbV_cyt_c550', 4, NULL),
(13759, NULL, 'IPR020127', NULL, 'Colicin-E5 immunity protein', 'Colicin-E5_imm', 4, NULL),
(13760, NULL, 'IPR013670', NULL, 'EcoEI R protein C-terminal domain', 'EcoEI_R_C_dom', 3, NULL),
(13761, NULL, 'IPR018154', NULL, 'TLV/ENV coat polyprotein', 'TLV/ENV_coat_polyprotein', 4, NULL),
(13762, NULL, 'IPR023274', NULL, 'Aquaporin 1', 'Aquaporin_1', 4, NULL),
(13763, NULL, 'IPR014065', NULL, 'tRNA adenylyltransferase', 'tRNA_adenylyltransferase', 4, NULL),
(13764, NULL, 'IPR012292', NULL, 'Globin/Protoglobin', 'Globin/Proto', 5, NULL),
(13765, NULL, 'IPR012418', NULL, 'CAP160', 'CAP160', 7, NULL),
(13766, NULL, 'IPR016128', NULL, 'Pyosin/cloacin translocation domain', 'Pyosin/cloacin_T_dom', 3, NULL),
(13767, NULL, 'IPR013674', NULL, 'Luteovirus RNA polymerase P1-P2/replicase', 'Luteo_Rpol_P1-P2', 3, NULL),
(13768, NULL, 'IPR018056', NULL, 'Kringle, conserved site', 'Kringle_CS', 2, NULL),
(13769, NULL, 'IPR013681', NULL, 'Myelin transcription factor 1', 'Myelin_TF', 3, NULL),
(13770, NULL, 'IPR009809', NULL, 'Cell division protein ZapC', 'ZapC', 4, NULL),
(13771, NULL, 'IPR014119', NULL, 'Heptaprenyl diphosphate synthase component II', 'GerC3_HepT', 4, NULL),
(13772, NULL, 'IPR014078', NULL, 'Nucleoside triphosphatase YtkD', 'Nudix_YtkD', 4, NULL),
(13773, NULL, 'IPR018119', NULL, 'Strictosidine synthase, conserved region', 'Strictosidine_synth_cons-reg', 3, NULL),
(13774, NULL, 'IPR015347', NULL, 'STAT transcription factor homologue, coiled coil', 'STAT_TF_homologue_coiled-coil', 3, NULL),
(13775, NULL, 'IPR018155', NULL, 'Hyaluronidase', 'Hyaluronidase', 4, NULL),
(13776, NULL, 'IPR015328', NULL, 'Domain of unknown function DUF1965', 'DUF1965', 3, NULL),
(13777, NULL, 'IPR014121', NULL, 'Type-F conjugative transfer system mating-pair stabilisation protein TraN', 'TraN_Ftype', 4, NULL),
(13778, NULL, 'IPR012400', NULL, 'Long-chain-alcohol oxidase', 'Long_Oxdase', 4, NULL),
(13779, NULL, 'IPR012387', NULL, 'tRNA ligase Trl1, fungi', 'Trl1_fun', 4, NULL),
(13780, NULL, 'IPR008581', NULL, 'Protein of unknown function DUF863, plant', 'DUF863_pln', 4, NULL),
(13781, NULL, 'IPR011328', NULL, 'Salt-mediated killer toxin, alpha subunit', 'SMK_a', 5, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13782, NULL, 'IPR009253', NULL, 'Protein of unknown function DUF905', 'DUF905', 4, NULL),
(13783, NULL, 'IPR020133', NULL, 'Decidual protein, progesterone induced', 'DEPP', 4, NULL),
(13784, NULL, 'IPR011443', NULL, 'Domain of unknown function DUF1547', 'DUF1547', 3, NULL),
(13785, NULL, 'IPR015364', NULL, 'Rhamnogalacturonase B, N-terminal', 'RhgB_N', 3, NULL),
(13786, NULL, 'IPR013687', NULL, 'Disaggregatase-related', 'Disaggr-rel', 3, NULL),
(13787, NULL, 'IPR009843', NULL, 'Protein of unknown function DUF1403', 'DUF1403', 4, NULL),
(13788, NULL, 'IPR012422', NULL, 'Cytochrome c oxidase, subunit IV, bacterial aa3 type', 'Cyt_c_oxidase_su4_bac-aa3', 3, NULL),
(13789, NULL, 'IPR012371', NULL, 'Condensin-2 complex subunit D3', 'NCAPD3', 4, NULL),
(13790, NULL, 'IPR011431', NULL, 'Protein trafficking Pga2', 'Trafficking_Pga2', 4, NULL),
(13791, NULL, 'IPR020157', NULL, 'Uncharacterised protein family YqkC', 'Uncharacterised_YqkC', 4, NULL),
(13792, NULL, 'IPR014112', NULL, 'Type-F conjugative transfer system pilin chaperone TraQ', 'TraQ', 4, NULL),
(13793, NULL, 'IPR012424', NULL, 'Conjugative transposon, TraJ, C-terminal', 'Conjugative_transposon_TraJ_C', 3, NULL),
(13794, NULL, 'IPR011458', NULL, 'Protein of unknown function DUF1564', 'DUF1564', 4, NULL),
(13795, NULL, 'IPR009254', NULL, 'Laminin alpha, domain I', 'Laminin_aI', 3, NULL),
(13796, NULL, 'IPR009815', NULL, 'Baculovirus protein AC11', 'AcMNPV_AC11', 4, NULL),
(13797, NULL, 'IPR009795', NULL, 'Protein of unknown function DUF1363', 'DUF1363', 4, NULL),
(13798, NULL, 'IPR009801', NULL, 'Transmembrane protein 126', 'TMEM126', 4, NULL),
(13799, NULL, 'IPR020162', NULL, 'Cell cycle exit/neuronal differentiation protein 1', 'Cend1', 4, NULL),
(13800, NULL, 'IPR015870', NULL, 'UDP-3-O-acyl N-acetylglucosamine deacetylase, N-terminal', 'UDP-acyl_N-AcGlcN_deAcase_N', 5, NULL),
(13801, NULL, 'IPR013693', NULL, 'Sporulation stage II protein D, amidase enhancer LytB N-terminal', 'SpoIID/LytB_N', 3, NULL),
(13802, NULL, 'IPR009829', NULL, 'Spindle and kinetochore-associated protein 1', 'SKA1', 4, NULL),
(13803, NULL, 'IPR015326', NULL, 'Mycoplasma arthritidis-derived mitogen', 'M_arthritidis-der_mitogen', 4, NULL),
(13804, NULL, 'IPR009292', NULL, 'rRNA biogenesis protein RRP36', 'RRP36', 4, NULL),
(13805, NULL, 'IPR011428', NULL, 'Spore coat protein X/V', 'Spore_coat_X/V', 3, NULL),
(13806, NULL, 'IPR008574', NULL, 'Protein of unknown function DUF856, Caenorhabditis species', 'DUF856_CAE_spp', 4, NULL),
(13807, NULL, 'IPR015348', NULL, 'Clathrin, heavy chain, linker, core motif', 'Clathrin_H-chain_linker_core', 3, NULL),
(13808, NULL, 'IPR009818', NULL, 'Ataxin-2, C-terminal', 'Ataxin-2_C', 3, NULL),
(13809, NULL, 'IPR011333', NULL, 'SKP1/BTB/POZ domain superfamily', 'SKP1/BTB/POZ_sf', 5, NULL),
(13810, NULL, 'IPR018078', NULL, 'DNA-binding, RecF, conserved site', 'DNA-binding_RecF_CS', 2, NULL),
(13811, NULL, 'IPR014128', NULL, 'Type IV conjugative transfer system, coupling protein TraD', 'T4SS_TraD', 4, NULL),
(13812, NULL, 'IPR013675', NULL, 'Methyltransferase small, N-terminal', 'Mtase_sm_N', 3, NULL),
(13813, NULL, 'IPR013682', NULL, 'Baculovirus Vp91, capsid protein, N-terminal', 'BaculoV_Vp91_N', 3, NULL),
(13814, NULL, 'IPR015323', NULL, 'Flavocytochrome c sulphide dehydrogenase, flavin-binding', 'FlavoCytC_S_DH_flav-bd', 3, NULL),
(13815, NULL, 'IPR015361', NULL, 'Taq polymerase, thermostable, exonuclease region', 'Taq_pol_thermo_exonuc', 3, NULL),
(13816, NULL, 'IPR034012', NULL, 'Pol II subunit B9, C-terminal zinc ribbon', 'Zn_ribbon_RPB9_C', 3, NULL),
(13817, NULL, 'IPR011327', NULL, 'Killer toxin, SMK, beta subunit', 'Killer_tox_SMK_b', 3, NULL),
(13818, NULL, 'IPR009260', NULL, 'CRISPR-associated exonuclease Csa1', 'CRISPR-ass_Csa1', 4, NULL),
(13819, NULL, 'IPR015357', NULL, 'Erythronolide synthase, docking', 'Erythronolide_synth_docking', 3, NULL),
(13820, NULL, 'IPR011334', NULL, 'UDP-3-O-acyl N-acetylglucosamine deacetylase, C-terminal', 'UDP-acyl_GlcNac_deAcase_C', 5, NULL),
(13821, NULL, 'IPR012401', NULL, 'DNA-binding protein MutS2, archaea', 'DNA-bd_MutS2_arc', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13822, NULL, 'IPR012410', NULL, 'Nucleoside-diphosphate kinase-like NDK-H5', 'NDK_H5', 4, NULL),
(13823, NULL, 'IPR011459', NULL, 'Domain of unknown function DUF1565', 'DUF1565', 3, NULL),
(13824, NULL, 'IPR013688', NULL, 'GBS Bsp-like', 'GBS_Bsp-like', 7, NULL),
(13825, NULL, 'IPR020180', NULL, 'Uncharacterised protein family RP853', 'Uncharacterised_RP853', 4, NULL),
(13826, NULL, 'IPR034431', NULL, 'Epithelial splicing regulatory protein 2', 'ESRP2', 4, NULL),
(13827, NULL, 'IPR009816', NULL, 'Protein of unknown function DUF1387', 'DUF1387', 4, NULL),
(13828, NULL, 'IPR018123', NULL, 'WWE domain, subgroup', 'WWE-dom_subgr', 3, NULL),
(13829, NULL, 'IPR009247', NULL, 'Chordopoxvirus A35R', 'Chordopox_A35R', 4, NULL),
(13830, NULL, 'IPR020123', NULL, 'Protein of unknown function DUF5475', 'DUF5475', 4, NULL),
(13831, NULL, 'IPR015353', NULL, 'Rubisco LSMT, substrate-binding domain', 'Rubisco_LSMT_subst-bd', 3, NULL),
(13832, NULL, 'IPR034253', NULL, 'Carboxypeptidase B, carboxypeptidase domain', 'CPB_M14_CPD', 3, NULL),
(13833, NULL, 'IPR009280', NULL, 'Orthopoxvirus F14', 'Orthopox_F14', 4, NULL),
(13834, NULL, 'IPR015336', NULL, 'Tumour necrosis factor receptor 13C, TALL-1 binding domain', 'TNFR_13C_TALL-1-bd', 3, NULL),
(13835, NULL, 'IPR015354', NULL, 'DNA partition complex, ParG', 'DNA_partition_ParG', 4, NULL),
(13836, NULL, 'IPR013676', NULL, 'Nucleoside triphosphatase I, C-terminal', 'NPHI_C', 3, NULL),
(13837, NULL, 'IPR015335', NULL, 'F1 capsule antigen', 'Caf1', 4, NULL),
(13838, NULL, 'IPR012373', NULL, 'Fe(2+)-dicitrate sensor, transmembrane component', 'Ferrdict_sens_TM', 4, NULL),
(13839, NULL, 'IPR009807', NULL, 'Phytoreovirus outer capsid P8', 'Phytoreo_P8', 4, NULL),
(13840, NULL, 'IPR015342', NULL, 'Peroxisome biogenesis factor 1, N-terminal, psi beta-barrel fold', 'PEX-N_psi_beta-barrel', 3, NULL),
(13841, NULL, 'IPR015339', NULL, 'Immunomodulatory protein FIP-Fve, fungal', 'Immunomodulatory_FIP-Fve_fun', 4, NULL),
(13842, NULL, 'IPR011332', NULL, 'Zinc-binding ribosomal protein', 'Ribosomal_zn-bd', 5, NULL),
(13843, NULL, 'IPR015356', NULL, 'Pertussis toxin, subunit S5', 'Pertussis_toxin_subS5', 4, NULL),
(13844, NULL, 'IPR009838', NULL, 'Type IV conjugative transfer system, protein TraL', 'T4SS_TraL', 4, NULL),
(13845, NULL, 'IPR012415', NULL, 'Restriction endonuclease, type II, Cfr10I/Bse634I', 'Restrct_endonuc_II_Cfr10I', 4, NULL),
(13846, NULL, 'IPR009293', NULL, 'Uncharacterised protein family UPF0478', 'UPF0478', 4, NULL),
(13847, NULL, 'IPR009812', NULL, 'Protein of unknown function DUF1381', 'DUF1381', 4, NULL),
(13848, NULL, 'IPR012374', NULL, 'Co/Fe-chelatase, CbiX-related', 'CbiX-rel', 4, NULL),
(13849, NULL, 'IPR009805', NULL, 'Variable length PCR target', 'Variable_length_PCR_target', 7, NULL),
(13850, NULL, 'IPR014117', NULL, 'Type-IV secretion system protein TraC', 'TraC-F-type', 4, NULL),
(13851, NULL, 'IPR009796', NULL, 'Protein of unknown function DUF1366', 'DUF1366', 4, NULL),
(13852, NULL, 'IPR009269', NULL, 'NF-kappa-B-activating protein, C-terminal', 'NKAP_C', 3, NULL),
(13853, NULL, 'IPR011336', NULL, 'Restriction endonuclease, type II, EcoRI/MunI', 'Restrct_endonuc_II_EcoRI/MunI', 5, NULL),
(13854, NULL, 'IPR009808', NULL, 'Protein of unknown function, DUF1378', 'DUF1378', 4, NULL),
(13855, NULL, 'IPR012386', NULL, '2'',3''-cyclic-nucleotide 3''-phosphodiesterase', 'Cyclic-nucl_3Pdiesterase', 4, NULL),
(13856, NULL, 'IPR009299', NULL, 'Gammaherpesvirus capsid', 'Herpes_capsid', 4, NULL),
(13857, NULL, 'IPR015352', NULL, 'Hepsin, SRCR domain', 'Hepsin-SRCR_dom', 3, NULL),
(13858, NULL, 'IPR024631', NULL, 'Transcription factor p53, C-terminal, Drosophila', 'p53_C_Drosophila', 3, NULL),
(13859, NULL, 'IPR009287', NULL, 'Transcription initiation Spt4', 'Spt4', 4, NULL),
(13860, NULL, 'IPR015305', NULL, 'Protein of unknown function DUF1961', 'DUF1961', 4, NULL),
(13861, NULL, 'IPR009272', NULL, 'Protein of unknown function DUF929', 'DUF929', 4, NULL),
(13862, NULL, 'IPR014063', NULL, 'Arsenate resistance ArsH', 'Arsenate-R_ArsH', 4, NULL),
(13863, NULL, 'IPR011457', NULL, 'Protein of unknown function DUF1563', 'DUF1563', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13864, NULL, 'IPR024630', NULL, 'Stc1 domain', 'Stc1', 3, NULL),
(13865, NULL, 'IPR018062', NULL, 'HTH domain AraC-type, conserved site', 'HTH_AraC-typ_CS', 2, NULL),
(13866, NULL, 'IPR015362', NULL, 'WIBG, Mago-binding', 'WIBG_mago-bd', 3, NULL),
(13867, NULL, 'IPR014076', NULL, 'Carboxysome shell vertex protein CsoS4A', 'CsoS4A', 4, NULL),
(13868, NULL, 'IPR014075', NULL, 'SUF system FeS cluster assembly, SufR regulator, cyanobacteria', 'SUF_FeS_clus_asmb_SufR_cyano', 4, NULL),
(13869, NULL, 'IPR009297', NULL, 'Protein of unknown function DUF952', 'DUF952', 4, NULL),
(13870, NULL, 'IPR011330', NULL, 'Glycoside hydrolase/deacetylase, beta/alpha-barrel', 'Glyco_hydro/deAcase_b/a-brl', 5, NULL),
(13871, NULL, 'IPR020175', NULL, 'Herpesvirus glycoprotein L, rhadinovirus-type', 'Herpes_gL_rhadinovirus', 4, NULL),
(13872, NULL, 'IPR014125', NULL, 'Type-F conjugative transfer system pilin acetylase TraX', 'TraX_Ftype', 4, NULL),
(13873, NULL, 'IPR011324', NULL, 'Cytotoxic necrotizing factor-like, catalytic', 'Cytotoxic_necrot_fac-like_cat', 5, NULL),
(13874, NULL, 'IPR009273', NULL, 'Protein of unknown function DUF930', 'DUF930', 4, NULL),
(13875, NULL, 'IPR011322', NULL, 'Nitrogen regulatory PII-like, alpha/beta', 'N-reg_PII-like_a/b', 5, NULL),
(13876, NULL, 'IPR035934', NULL, 'Phage tail protein-like superfamily', 'Phage_tail_protein-like_sf', 5, NULL),
(13877, NULL, 'IPR012395', NULL, 'IGFBP-related, CNN', 'IGFBP_CNN', 4, NULL),
(13878, NULL, 'IPR013668', NULL, 'Ribonuclease R winged-helix domain', 'RNase_R_HTH_12', 3, NULL),
(13879, NULL, 'IPR009244', NULL, 'Mediator complex, subunit Med7', 'Mediatior_Med7', 4, NULL),
(13880, NULL, 'IPR008577', NULL, 'Putative viral structural protein (DUF859)', 'DUF859', 4, NULL),
(13881, NULL, 'IPR012417', NULL, 'Calmodulin-binding domain, plant', 'CaM-bd_dom_pln', 3, NULL),
(13882, NULL, 'IPR012420', NULL, 'Cbp4', 'Cbp4', 4, NULL),
(13883, NULL, 'IPR009252', NULL, 'Cell division protein ZapB', 'Cell_div_ZapB', 4, NULL),
(13884, NULL, 'IPR009246', NULL, 'Ethanolamine ammonia-lyase small subunit', 'EutC', 4, NULL),
(13885, NULL, 'IPR020202', NULL, 'Atracotoxin', 'Atracotoxin', 4, NULL),
(13886, NULL, 'IPR011430', NULL, 'Down-regulated-in-metastasis protein', 'DRIM', 3, NULL),
(13887, NULL, 'IPR014042', NULL, 'Glutathione synthase, alpha-helical', 'Glutathione_synthase_a-hlx', 5, NULL),
(13888, NULL, 'IPR009245', NULL, 'Herpesvirus UL22A', 'Cytomegalo_UL22A', 4, NULL),
(13889, NULL, 'IPR018121', NULL, 'Seven-in-absentia protein, TRAF-like domain', '7-in-absentia-prot_TRAF-dom', 3, NULL),
(13890, NULL, 'IPR009284', NULL, 'Cytomegalovirus TRL10', 'Cytomega_TRL10', 4, NULL),
(13891, NULL, 'IPR011427', NULL, 'Chlamydia polymorphic membrane, middle domain', 'Polymorphic_membr_middle', 3, NULL),
(13892, NULL, 'IPR009256', NULL, 'Protein of unknown function DUF910', 'DUF910', 4, NULL),
(13893, NULL, 'IPR014124', NULL, 'Peptidase S26A, superoxide dismutase maturation protease, nickel-type', 'Pept_S26A_Sod_Ni_maturase', 4, NULL),
(13894, NULL, 'IPR024183', NULL, 'RING finger protein Z, arenaviridae', 'RING_finger_Z_arenaviridae', 4, NULL),
(13895, NULL, 'IPR009265', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), Orf29', 'AcMNPV_Orf29', 4, NULL),
(13896, NULL, 'IPR023142', NULL, 'Microtubule-associated serine/threonine-protein kinase, pre-PK domain superfamily', 'MAST_pre-PK_dom_sf', 5, NULL),
(13897, NULL, 'IPR024289', NULL, 'Domain of unknown function DUF3828', 'DUF3828', 3, NULL),
(13898, NULL, 'IPR035906', NULL, 'MetI-like superfamily', 'MetI-like_sf', 5, NULL),
(13899, NULL, 'IPR024252', NULL, 'Protein of unknown function DUF2528', 'DUF2528', 4, NULL),
(13900, NULL, 'IPR012385', NULL, 'Prephenate dehydrogenase, fungal', 'Prephenate_DH_fun', 4, NULL),
(13901, NULL, 'IPR015333', NULL, 'Pollen allergen ole e 6', 'Pollen_allergen_ole-e-6', 4, NULL),
(13902, NULL, 'IPR024637', NULL, 'CTD kinase subunit gamma Ctk3, C-terminal', 'Ctk3_C', 3, NULL),
(13903, NULL, 'IPR011448', NULL, 'Domain of unknown function DUF1554', 'DUF1554', 3, NULL),
(13904, NULL, 'IPR011420', NULL, 'Nitrogen regulatory AreA, N-terminal', 'AreA_N', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13905, NULL, 'IPR011465', NULL, 'Protein of unknown function DUF1571', 'DUF1571', 4, NULL),
(13906, NULL, 'IPR024184', NULL, 'Uncharacterised conserved protein UCP005637', 'UCP005637', 4, NULL),
(13907, NULL, 'IPR024254', NULL, 'Protein of unknown function DUF2540', 'DUF2540', 4, NULL),
(13908, NULL, 'IPR011604', NULL, 'PD-(D/E)XK endonuclease-like domain superfamily', 'PDDEXK-like_dom_sf', 5, NULL),
(13909, NULL, 'IPR020144', NULL, 'Stage V sporulation protein AB', 'SpoVAB', 4, NULL),
(13910, NULL, 'IPR014067', NULL, 'Arsenite oxidase, small subunit', 'Arsenite_oxidase_ssu', 4, NULL),
(13911, NULL, 'IPR018086', NULL, 'NADH:ubiquinone oxidoreductase, subunit 1, conserved site', 'NADH_UbQ_OxRdtase_su1_CS', 2, NULL),
(13912, NULL, 'IPR015307', NULL, 'Restriction endonuclease, type II, HincII', 'Restrct_endonuc_II_HincII', 4, NULL),
(13913, NULL, 'IPR012423', NULL, 'Chromatin modification-related protein Eaf7/MRGBP', 'Eaf7/MRGBP', 4, NULL),
(13914, NULL, 'IPR014127', NULL, 'Conserved hypothetical protein CHP02757', 'CHP02757', 4, NULL),
(13915, NULL, 'IPR009826', NULL, 'DNA circulation, N-terminal', 'DNA_circ_N', 3, NULL),
(13916, NULL, 'IPR011337', NULL, 'DNA mismatch repair MutH/Restriction endonuclease, type II', 'DNA_rep_MutH/RE_typeII', 3, NULL),
(13917, NULL, 'IPR015345', NULL, 'Cytokinin dehydrogenase 1, FAD/cytokinin binding domain', 'Cytokinin_DH_FAD/cytokin-bd', 3, NULL),
(13918, NULL, 'IPR012391', NULL, 'Serine/threonine protein phosphatase, BSU1', 'Ser/Thr_prot_Pase_BSU1', 4, NULL),
(13919, NULL, 'IPR013087', NULL, 'Zinc finger C2H2-type', 'Znf_C2H2_type', 3, NULL),
(13920, NULL, 'IPR009797', NULL, 'Protein of unknown function DUF1367', 'DUF1367', 4, NULL),
(13921, NULL, 'IPR009257', NULL, 'Chordopoxvirus A30L', 'Chordopox_A30L', 4, NULL),
(13922, NULL, 'IPR024180', NULL, 'Bifunctional tetrapyrrole methylase/MazG NTP pyrophosphohydrolase, predicted', 'Tetrapyrrole_Mease/MazG_pred', 4, NULL),
(13923, NULL, 'IPR009836', NULL, 'Glycine-rich domain-containing protein-like', 'GRDP-like', 4, NULL),
(13924, NULL, 'IPR018143', NULL, 'Folate receptor-like', 'Folate_rcpt-like', 3, NULL),
(13925, NULL, 'IPR014064', NULL, 'Arsenate reductase ArsC', 'Arsenate_reductase_ArsC', 4, NULL),
(13926, NULL, 'IPR024636', NULL, 'Histone lysine methyltransferase SET associated', 'SET_assoc', 3, NULL),
(13927, NULL, 'IPR011464', NULL, 'Domain of unknown function DUF1570', 'DUF1570', 3, NULL),
(13928, NULL, 'IPR011442', NULL, 'TAF6, C-terminal HEAT repeat domain', 'TAF6_C', 3, NULL),
(13929, NULL, 'IPR011421', NULL, 'BCNT-C domain', 'BCNT-C', 3, NULL),
(13930, NULL, 'IPR013679', NULL, 'Sucrose-phosphatase, C-terminal', 'SPP_C', 3, NULL),
(13931, NULL, 'IPR014126', NULL, 'Type-F conjugative transfer system secretin TraK', 'TraK_Ftype', 4, NULL),
(13932, NULL, 'IPR011335', NULL, 'Restriction endonuclease  type II-like', 'Restrct_endonuc-II-like', 5, NULL),
(13933, NULL, 'IPR015318', NULL, 'Zinc finger, GAGA-binding factor', 'Znf_GAGA-bd_fac', 3, NULL),
(13934, NULL, 'IPR009833', NULL, 'Uncharacterised protein DUF1398', 'DUF1398', 4, NULL),
(13935, NULL, 'IPR011444', NULL, 'Domain of unknown function DUF1549', 'DUF1549', 3, NULL),
(13936, NULL, 'IPR034156', NULL, 'HRP1, RNA recognition motif 1', 'Hrp1_RRM1', 3, NULL),
(13937, NULL, 'IPR018076', NULL, 'Type II secretion system protein GspF domain', 'T2SS_GspF_dom', 3, NULL),
(13938, NULL, 'IPR009267', NULL, 'Putative nucleotidyltransferase', 'NTP_transf_6', 4, NULL),
(13939, NULL, 'IPR018109', NULL, 'Folylpolyglutamate synthetase, conserved site', 'Folylpolyglutamate_synth_CS', 2, NULL),
(13940, NULL, 'IPR013678', NULL, 'Ribonucleotide reductase class II vitamin B12-dependent, N-terminal domain', 'RNR_2_N', 3, NULL),
(13941, NULL, 'IPR015308', NULL, 'Bubble protein', 'Bubble', 4, NULL),
(13942, NULL, 'IPR034839', NULL, 'Glycerophosphocholine phosphodiesterase GPCPD1, CBM20 domain', 'CBM20_GPCPD1', 3, NULL),
(13943, NULL, 'IPR013673', NULL, 'Potassium channel, inwardly rectifying, Kir, N-terminal', 'K_chnl_inward-rec_Kir_N', 3, NULL),
(13944, NULL, 'IPR011432', NULL, 'Domain of unknown function DUF1533', 'DUF1533', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13945, NULL, 'IPR015306', NULL, 'Restriction endonuclease, type II, PvuII', 'Restrct_endonuc_II_PvuII', 4, NULL),
(13946, NULL, 'IPR009274', NULL, 'Host-nuclease inhibitor Gam', 'Gam', 4, NULL),
(13947, NULL, 'IPR013695', NULL, 'Wall-associated receptor kinase', 'WAK', 3, NULL),
(13948, NULL, 'IPR008576', NULL, 'Alpha-N-methyltransferase NTM1', 'MeTrfase_NTM1', 4, NULL),
(13949, NULL, 'IPR012295', NULL, 'TBP domain superfamily', 'TBP_dom_sf', 5, NULL),
(13950, NULL, 'IPR012416', NULL, 'CALMODULIN-BINDING PROTEIN60', 'CBP60', 4, NULL),
(13951, NULL, 'IPR012398', NULL, 'PRIB5', 'PRIB5', 4, NULL),
(13952, NULL, 'IPR009830', NULL, 'LppX/LprAFG lipoprotein family', 'LppX/LprAFG', 4, NULL),
(13953, NULL, 'IPR024290', NULL, 'Schizont-infected cell agglutination, extracellular alpha domain', 'SICA_extracell_a', 3, NULL),
(13954, NULL, 'IPR015309', NULL, 'Transcriptional repressor TraM', 'Tscrpt_rep_TraM', 4, NULL),
(13955, NULL, 'IPR015344', NULL, 'Vibrio cholerae neuraminidase, lectin-like domain', 'VCNA_lectin-like_dom', 3, NULL),
(13956, NULL, 'IPR015303', NULL, 'Fimbrial adhesin F17-AG, lectin domain', 'Fimbrial_adhesin_lectin_dom', 3, NULL),
(13957, NULL, 'IPR015346', NULL, 'DNA topoisomerase I, N-terminal, viral', 'TopoI_N_vir', 3, NULL),
(13958, NULL, 'IPR012388', NULL, 'CDK5 and ABL1 enzyme substrate 1/2', 'CABLES1/2', 4, NULL),
(13959, NULL, 'IPR011438', NULL, 'Domain of unknown function DUF1541', 'DUF1541', 3, NULL),
(13960, NULL, 'IPR023183', NULL, 'Serine protease, chymotrypsin-like serine protease, C-terminal', 'Chymotrypsin-like_C', 5, NULL),
(13961, NULL, 'IPR018079', NULL, 'Ribosomal protein S4, conserved site', 'Ribosomal_S4_CS', 2, NULL),
(13962, NULL, 'IPR009841', NULL, 'VirC2', 'VirC2', 4, NULL),
(13963, NULL, 'IPR020134', NULL, 'Bacteriophage T7-like, protein 6.7', 'Phage_T7-like_6.7', 4, NULL),
(13964, NULL, 'IPR009825', NULL, 'ECF transporter, substrate-specific component-like', 'ECF_substrate-spec-like', 4, NULL),
(13965, NULL, 'IPR012413', NULL, 'BA14k family', 'BA14K', 4, NULL),
(13966, NULL, 'IPR009303', NULL, 'Protein of unknown function DUF960', 'DUF960', 4, NULL),
(13967, NULL, 'IPR015311', NULL, 'DNA fragmentation factor 40, C-terminal', 'DFF40_C', 3, NULL),
(13968, NULL, 'IPR034171', NULL, 'Peroxisomal acyl-coenzyme A oxidase', 'ACO', 4, NULL),
(13969, NULL, 'IPR011426', NULL, 'CamS sex pheromone cAM373', 'CamS', 4, NULL),
(13970, NULL, 'IPR018085', NULL, 'Uracil-DNA glycosylase, active site', 'Ura-DNA_Glyclase_AS', 0, NULL),
(13971, NULL, 'IPR018077', NULL, 'Glycoside hydrolase, family 25 subgroup', 'Glyco_hydro_fam25_subgr', 4, NULL),
(13972, NULL, 'IPR012414', NULL, 'BDS potassium channel toxin', 'BDS_K_chnl_tox', 4, NULL),
(13973, NULL, 'IPR011455', NULL, 'Protein of unknown function DUF1561', 'DUF1561', 4, NULL),
(13974, NULL, 'IPR015319', NULL, 'Interleukin-4 receptor alpha, N-terminal', 'IL-4_rcpt-alpha_N', 3, NULL),
(13975, NULL, 'IPR013692', NULL, 'UDP-glucose 4-epimerase CapD, C-terminal domain', 'CapD_C', 3, NULL),
(13976, NULL, 'IPR014073', NULL, 'Archaeal dihydromethanopterin reductase', 'DmrX', 4, NULL),
(13977, NULL, 'IPR009803', NULL, 'Protein of unknown function DUF1373', 'DUF1373', 4, NULL),
(13978, NULL, 'IPR009290', NULL, 'Radial spoke 3', 'Radial_spoke_3', 4, NULL),
(13979, NULL, 'IPR009800', NULL, 'Coiled-coil alpha-helical rod protein 1', 'HCR', 4, NULL),
(13980, NULL, 'IPR013683', NULL, 'Vaccinia virus D10,  N-terminal', 'Vaccinia_D10_N', 3, NULL),
(13981, NULL, 'IPR018110', NULL, 'Mandelate racemase/muconate lactonizing enzyme, conserved site', 'Mandel_Rmase/mucon_lact_enz_CS', 2, NULL),
(13982, NULL, 'IPR009270', NULL, 'Domain of unknown function DUF927', 'DUF927', 3, NULL),
(13983, NULL, 'IPR013694', NULL, 'VIT domain', 'VIT', 3, NULL),
(13984, NULL, 'IPR012296', NULL, 'Nuclease, putative, TT1808', 'Nuclease_put_TT1808', 5, NULL),
(13985, NULL, 'IPR009307', NULL, 'Bacterial microcompartment shell protein EutS/Propanediol utilization protein PduU', 'EutS/PduU', 4, NULL),
(13986, NULL, 'IPR012375', NULL, 'Glutamate synthase large subunit domain 1 stand-alone protein', 'Glu_synth_lsu_1', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(13987, NULL, 'IPR015338', NULL, 'Glycosyl transferase 64 domain', 'GT64', 3, NULL),
(13988, NULL, 'IPR009794', NULL, 'Protein of unknown function DUF1362', 'DUF1362', 4, NULL),
(13989, NULL, 'IPR011419', NULL, 'ATP12, ATP synthase F1-assembly protein', 'ATP12_ATP_synth-F1-assembly', 4, NULL),
(13990, NULL, 'IPR011323', NULL, 'Mss4/translationally controlled tumour-associated TCTP', 'Mss4/transl-control_tumour', 5, NULL),
(13991, NULL, 'IPR014114', NULL, 'Type-F conjugative transfer system protein TraW', 'TraW', 4, NULL),
(13992, NULL, 'IPR018114', NULL, 'Serine proteases, trypsin family, histidine active site', 'TRYPSIN_HIS', 0, NULL),
(13993, NULL, 'IPR015349', NULL, 'GTP-binding protein OBG, C-terminal', 'OCT_dom', 3, NULL),
(13994, NULL, 'IPR012300', NULL, 'Peptidase M6, InhA', 'Pept_M6_InhA', 4, NULL),
(13995, NULL, 'IPR015312', NULL, 'Inner layer core protein VP3, Phytoreovirus', 'Innr_layr_core_VP3_Phytoreovir', 4, NULL),
(13996, NULL, 'IPR009288', NULL, 'Gamma-glutamylcyclotransferase, AIG2-like domain', 'AIG2-like_dom', 3, NULL),
(13997, NULL, 'IPR023271', NULL, 'Aquaporin-like', 'Aquaporin-like', 5, NULL),
(13998, NULL, 'IPR012419', NULL, 'Cas1p 10 TM acyl transferase domain', 'Cas1_AcylTrans_dom', 3, NULL),
(13999, NULL, 'IPR009242', NULL, 'Protein of unknown function DUF896', 'DUF896', 4, NULL),
(14000, NULL, 'IPR009281', NULL, 'Transmembrane protein 176A/B', 'TMEM176A/TMEM176B', 4, NULL),
(14001, NULL, 'IPR012218', NULL, 'Cytochrome c, Bacillus subtilis c550-related', 'Cyt_c_BACSU-c550-rel', 4, NULL),
(14002, NULL, 'IPR014984', NULL, 'HopJ type III effector protein', 'HopJ', 4, NULL),
(14003, NULL, 'IPR015387', NULL, 'LuxQ, periplasmic domain', 'LuxQ-periplasm_dom', 3, NULL),
(14004, NULL, 'IPR013719', NULL, 'Domain of unknown function DUF1747', 'DUF1747', 3, NULL),
(14005, NULL, 'IPR015406', NULL, 'Domain of unknown function DUF1983', 'DUF1983', 3, NULL),
(14006, NULL, 'IPR015390', NULL, 'Rabaptin, GTPase-Rab5 binding domain', 'Rabaptin_Rab5-bd_dom', 3, NULL),
(14007, NULL, 'IPR008585', NULL, 'Poly-gamma-glutamate hydrolase', 'Gamma_PGA_hydro', 4, NULL),
(14008, NULL, 'IPR014151', NULL, 'DNA helicase, AddA type', 'DNA_helicase_AddA', 4, NULL),
(14009, NULL, 'IPR008633', NULL, 'Protein GvpH', 'GvpH', 4, NULL),
(14010, NULL, 'IPR014922', NULL, 'Domain of unknown function DUF1801', 'DUF1801', 3, NULL),
(14011, NULL, 'IPR015385', NULL, 'Bacteriophage P22, Gp8, scaffold', 'Phage_P22_Gp8_scaffold', 4, NULL),
(14012, NULL, 'IPR035065', NULL, 'Serine/threonine-protein kinase PAK2', 'PAK2', 4, NULL),
(14013, NULL, 'IPR008639', NULL, 'Gas vesicle protein GvpC, halobacteria', 'Gas-vesicle_GvpC_halobac', 4, NULL),
(14014, NULL, 'IPR024198', NULL, 'Uncharacterised conserved protein, UCP033642', 'UCP033642', 4, NULL),
(14015, NULL, 'IPR008801', NULL, 'Rapid ALkalinization Factor', 'RALF', 4, NULL),
(14016, NULL, 'IPR008857', NULL, 'Thyrotropin-releasing hormone', 'TRH', 4, NULL),
(14017, NULL, 'IPR008586', NULL, 'Protein of unknown function DUF868, plant', 'DUF868_pln', 4, NULL),
(14018, NULL, 'IPR011830', NULL, 'Isopropylmalate/citramalate/homocitrate synthase', 'LEU1_arch', 3, NULL),
(14019, NULL, 'IPR014100', NULL, 'GTP-binding protein Obg/CgtA', 'GTP-bd_Obg/CgtA', 4, NULL),
(14020, NULL, 'IPR013934', NULL, 'Small-subunit processome, Utp13', 'SSU_processome_Utp13', 3, NULL),
(14021, NULL, 'IPR011836', NULL, 'Conserved hypothetical protein CHP02099', 'CHP02099', 4, NULL),
(14022, NULL, 'IPR014145', NULL, 'DNA ligase D, polymerase domain', 'LigD_pol_dom', 3, NULL),
(14023, NULL, 'IPR014966', NULL, 'FRG domain', 'FRG-dom', 3, NULL),
(14024, NULL, 'IPR014094', NULL, 'Penicillin-binding protein activator LpoB', 'LpoB', 4, NULL),
(14025, NULL, 'IPR014144', NULL, 'DNA ligase D, 3''-phosphoesterase domain', 'LigD_PE_domain', 3, NULL),
(14026, NULL, 'IPR014099', NULL, 'Spore coat protein GerQ', 'Spore_coat_GerQ', 4, NULL),
(14027, NULL, 'IPR014082', NULL, 'CRISPR-associated protein, Cas02710', 'CRISPR-assoc_prot_Cas02710', 4, NULL),
(14028, NULL, 'IPR015386', NULL, 'MHC class II-associated invariant chain/CLIP, MHC II-interacting', 'MHC_II-assoc_invar/CLIP_MHC-bd', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14029, NULL, 'IPR024195', NULL, 'NUDIX hydrolase, YfcD, predicted', 'NUDIX_hydrolase_YfcD_pred', 4, NULL),
(14030, NULL, 'IPR009848', NULL, 'Protein of unknown function DUF1408', 'DUF1408', 4, NULL),
(14031, NULL, 'IPR013715', NULL, 'Domain of unknown function DUF1746', 'DUF1746', 3, NULL),
(14032, NULL, 'IPR013939', NULL, 'Regulatory subunit Dfp1/Him1, central region', 'Regulatory_Dfp1/Him1', 3, NULL),
(14033, NULL, 'IPR011478', NULL, 'Domain of unknown function DUF1585', 'DUF1585', 3, NULL),
(14034, NULL, 'IPR011848', NULL, 'Phosphopantothenate--cysteine ligase', 'CoaB_strep', 4, NULL),
(14035, NULL, 'IPR012226', NULL, 'Diguanylate cyclase/phosphodiesterase', 'Diguanyl_cyclase/Pdiesterase', 4, NULL),
(14036, NULL, 'IPR035937', NULL, 'MutM-like, N-terminal', 'MutM-like_N-ter', 5, NULL),
(14037, NULL, 'IPR014143', NULL, 'DNA ligase D', 'NHEJ_ligase_prk', 3, NULL),
(14038, NULL, 'IPR008833', NULL, 'Surfeit locus protein 2', 'Surf2', 4, NULL),
(14039, NULL, 'IPR008851', NULL, 'Transcription initiation factor IIF, alpha subunit', 'TFIIF-alpha', 4, NULL),
(14040, NULL, 'IPR014960', NULL, 'Domain of unknown function DUF1828', 'DUF1828', 3, NULL),
(14041, NULL, 'IPR008612', NULL, 'Mating pheromone, Euplotes octocarinatus', 'Mating_pheromone_EUPOC', 4, NULL),
(14042, NULL, 'IPR014957', NULL, 'IDEAL domain', 'IDEAL_dom', 3, NULL),
(14043, NULL, 'IPR015396', NULL, 'Acyl-CoA dehydrogenase, C-terminal, bacterial type', 'DUF1974', 3, NULL),
(14044, NULL, 'IPR011831', NULL, 'Glucose-1-phosphate adenylyltransferase', 'ADP-Glc_PPase', 4, NULL),
(14045, NULL, 'IPR014968', NULL, 'XisI protein', 'XisI', 4, NULL),
(14046, NULL, 'IPR014954', NULL, 'Protein of unknown function DUF1825', 'DUF1825', 4, NULL),
(14047, NULL, 'IPR014135', NULL, 'Conjugal transfer protein TraG-like', 'Ti-typ_conjug_TS_TraG-like', 4, NULL),
(14048, NULL, 'IPR008808', NULL, 'Powdery mildew resistance protein, RPW8 domain', 'Powdery_mildew-R_dom', 3, NULL),
(14049, NULL, 'IPR011845', NULL, 'Coenzyme PQQ biosynthesis protein C', 'PqqC', 4, NULL),
(14050, NULL, 'IPR012223', NULL, 'Thioesterase type II, NRPS/PKS/S-FAS', 'TEII', 4, NULL),
(14051, NULL, 'IPR015399', NULL, 'Domain of unknown function DUF1977, DnaJ-like', 'DUF1977_DnaJ-like', 3, NULL),
(14052, NULL, 'IPR008850', NULL, 'TEP1, N-terminal', 'TEP1_N', 7, NULL),
(14053, NULL, 'IPR014087', NULL, '1-carboxybiuret hydrolase, AtzE subunit', 'Carboxybiuret_hydro_AtzE', 4, NULL),
(14054, NULL, 'IPR013701', NULL, 'DEAD/H associated', 'DEAD/DEAH_assoc', 3, NULL),
(14055, NULL, 'IPR014938', NULL, 'Protein of unknown function DUF1811', 'DUF1811', 4, NULL),
(14056, NULL, 'IPR008832', NULL, 'Signal recognition particle, SRP9 subunit', 'Signal_recog_particle_SRP9', 4, NULL),
(14057, NULL, 'IPR024203', NULL, '5-deoxy-glucuronate isomerase, IolB', 'Deoxy-glucuronate_isom_IolB', 4, NULL),
(14058, NULL, 'IPR009856', NULL, 'Light regulated Lir1', 'Lir1', 4, NULL),
(14059, NULL, 'IPR014150', NULL, 'Conjugal transfer, TrbL', 'Conjugal_tfr_TrbL', 4, NULL),
(14060, NULL, 'IPR012122', NULL, 'ATPase, PP-loop, MJ1016-related', 'ATPase_PP-loop_MJ1016', 4, NULL),
(14061, NULL, 'IPR014956', NULL, 'Putative ParB-like nuclease', 'ParBc_2', 4, NULL),
(14062, NULL, 'IPR011859', NULL, 'Dihydrodipicolinate reductase, plant-type', 'Dihydrodipicolinate_Rdtase_pln', 4, NULL),
(14063, NULL, 'IPR011873', NULL, 'Conserved hypothetical protein CHP02147', 'CHP02147', 4, NULL),
(14064, NULL, 'IPR011476', NULL, 'Protein of unknown function DUF1582', 'DUF1582', 4, NULL),
(14065, NULL, 'IPR012233', NULL, 'Protein kinase C', 'PKC', 4, NULL),
(14066, NULL, 'IPR013725', NULL, 'DNA replication factor RFC1, C-terminal', 'DNA_replication_fac_RFC1_C', 3, NULL),
(14067, NULL, 'IPR013712', NULL, 'Mitochondrial Myo2 receptor-related protein 1', 'MMR1', 4, NULL),
(14068, NULL, 'IPR011860', NULL, 'Ribose 5-phosphate isomerase B, Actinobacteria-type', 'Rib-5-P_Isoase_Actino', 4, NULL),
(14069, NULL, 'IPR011468', NULL, 'Protein of unknown function DUF1574', 'DUF1574', 4, NULL),
(14070, NULL, 'IPR014164', NULL, 'TonB-system energizer ExbB type-1', 'TonB_ExbB_1', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14071, NULL, 'IPR013332', NULL, 'Ketopantoate reductase, N-terminal domain', 'KPR_N', 3, NULL),
(14072, NULL, 'IPR008590', NULL, 'Transmembrane protein 230/134', 'TMEM_230/134', 4, NULL),
(14073, NULL, 'IPR013030', NULL, 'DNA topoisomerase I, DNA binding, N-terminal domain 2', 'DNA_topo_DNA_db_N_dom2', 5, NULL),
(14074, NULL, 'IPR015388', NULL, 'FCP1-like phosphatase, C-terminal', 'FCP1_C', 3, NULL),
(14075, NULL, 'IPR015401', NULL, 'Transposase, MuDR, N-terminal', 'Transposase_MuDR_N', 3, NULL),
(14076, NULL, 'IPR008813', NULL, 'Plasmid replication protein, RepL', 'Plasmid_replication_RepL', 3, NULL),
(14077, NULL, 'IPR011861', NULL, 'Transaldolase, Staphylococcus-type', 'Transald_staph-type', 4, NULL),
(14078, NULL, 'IPR008835', NULL, 'Sclerostin/Sclerostin domain-containing protein 1', 'Sclerostin/SOSTDC1', 4, NULL),
(14079, NULL, 'IPR011821', NULL, 'O-succinylhomoserine (thiol)-lyase', 'O_succ_thio_ly', 4, NULL),
(14080, NULL, 'IPR015367', NULL, 'Transcription factor CEP-1, DNA-binding domain', 'Trans_fact_CEP1_DNA-bd', 3, NULL),
(14081, NULL, 'IPR011833', NULL, 'Glycogen/starch/alpha-glucan phosphorylase', 'Glycg_phsphrylas', 4, NULL),
(14082, NULL, 'IPR013921', NULL, 'Mediator complex, subunit Med20', 'Mediator_Med20', 4, NULL),
(14083, NULL, 'IPR014921', NULL, 'EsaB', 'EsaB', 4, NULL),
(14084, NULL, 'IPR013035', NULL, 'Phosphoenolpyruvate carboxykinase, C-terminal', 'PEP_carboxykinase_C', 5, NULL),
(14085, NULL, 'IPR014967', NULL, 'Uncharacterised protein family, YugN-like', 'Uncharacterised_YugN-like', 4, NULL),
(14086, NULL, 'IPR014939', NULL, 'CDT1 Geminin-binding domain-like', 'CDT1_Gemini-bd-like', 3, NULL),
(14087, NULL, 'IPR012136', NULL, 'NADP transhydrogenase, beta subunit', 'NADH_DH_b', 4, NULL),
(14088, NULL, 'IPR008592', NULL, 'Protein of unknown function DUF874', 'DUF874', 4, NULL),
(14089, NULL, 'IPR013927', NULL, 'Transcription factor Opi1', 'TF_Opi1', 4, NULL),
(14090, NULL, 'IPR008589', NULL, '6-phospho-N-acetylmuramidase', 'MupG', 4, NULL),
(14091, NULL, 'IPR008603', NULL, 'Dynactin subunit 4', 'DCTN4', 4, NULL),
(14092, NULL, 'IPR008810', NULL, 'Rhodococcus equi virulence-associated protein', 'R_equi_Vir', 4, NULL),
(14093, NULL, 'IPR024186', NULL, 'Signal transduction response regulator, heterocyst pattern formation, PatA', 'Sig_transdc_resp-reg_PatA', 4, NULL),
(14094, NULL, 'IPR014981', NULL, 'Flagellin D3', 'Flagellin_D3', 3, NULL),
(14095, NULL, 'IPR008595', NULL, 'Sensor DegS', 'DegS', 3, NULL),
(14096, NULL, 'IPR008636', NULL, 'Hook, C-terminal', 'Hook_C', 3, NULL),
(14097, NULL, 'IPR013021', NULL, 'Myo-inositol-1-phosphate synthase, GAPDH-like', 'Myo-inos-1-P_Synthase_GAPDH', 3, NULL),
(14098, NULL, 'IPR008795', NULL, 'Prominin', 'Prominin', 4, NULL),
(14099, NULL, 'IPR008618', NULL, 'Protein S10', 'S10', 4, NULL),
(14100, NULL, 'IPR014109', NULL, 'Type-F conjugative transfer system pilin assembly thiol-disulphide isomerase TrbB', 'Thiol-disulphide_isomerase_rbB', 4, NULL),
(14101, NULL, 'IPR015410', NULL, 'Domain of unknown function DUF1985', 'DUF1985', 3, NULL),
(14102, NULL, 'IPR013705', NULL, 'Sterol methyltransferase C-terminal', 'Sterol_MeTrfase_C', 3, NULL),
(14103, NULL, 'IPR013928', NULL, 'Alkali metal cation/H+ antiporter Nha1, C-terminal', 'Cation/H_antiporter_C', 3, NULL),
(14104, NULL, 'IPR015393', NULL, 'Domain of unknown function DUF1972', 'DUF1972', 3, NULL),
(14105, NULL, 'IPR013923', NULL, 'Autophagy-related protein 16 domain', 'Autophagy-rel_prot_16_dom', 3, NULL),
(14106, NULL, 'IPR014738', NULL, 'Citrate transporter', 'Citrate_transporter', 4, NULL),
(14107, NULL, 'IPR008823', NULL, 'RuvB C-terminal winged helix domain', 'RuvB_C', 3, NULL),
(14108, NULL, 'IPR014134', NULL, 'Cryptochrome, plant', 'Cryptochrome_pln', 4, NULL),
(14109, NULL, 'IPR008816', NULL, 'Glycine zipper 2TM domain', 'Gly_zipper_2TM_dom', 3, NULL),
(14110, NULL, 'IPR015395', NULL, 'C-myb, C-terminal', 'C-myb_C', 3, NULL),
(14111, NULL, 'IPR014942', NULL, 'Nucleotidyl transferase AbiEii toxin, Type IV TA system', 'AbiEii', 4, NULL),
(14112, NULL, 'IPR014973', NULL, 'Protein of unknown function DUF1835', 'DUF1835', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14113, NULL, 'IPR008608', NULL, 'Ectropic viral integration site 2A protein', 'Ectropic_vir_integratn_site_2A', 4, NULL),
(14114, NULL, 'IPR013929', NULL, 'RNA polymerase II-associated protein 1, C-terminal', 'RNA_pol_II_AP1_C', 3, NULL),
(14115, NULL, 'IPR014098', NULL, 'Phenylphosphate carboxylase, delta subunit', 'Phenyl_P_COase_d', 4, NULL),
(14116, NULL, 'IPR011877', NULL, 'Ribokinase', 'D_ribokin', 4, NULL),
(14117, NULL, 'IPR014157', NULL, 'Nickel ABC transporter, permease subunit NikC', 'Nickel_NikC', 4, NULL),
(14118, NULL, 'IPR008849', NULL, 'Synaphin', 'Synaphin', 4, NULL),
(14119, NULL, 'IPR014158', NULL, 'Type IV secretion system, VirB5', 'T4SS_VirB5', 4, NULL),
(14120, NULL, 'IPR014953', NULL, 'Protein of unknown function DUF1824', 'DUF1824', 4, NULL),
(14121, NULL, 'IPR008841', NULL, 'Siphovirus-type tail component', 'Siphovirus-type_tail', 4, NULL),
(14122, NULL, 'IPR011869', NULL, 'tRNA/tmRNA (uracil-C(5))-methyltransferase, TrmA', 'TrmA_MeTrfase', 4, NULL),
(14123, NULL, 'IPR013930', NULL, 'RNA polymerase II-associated protein 1, N-terminal', 'RNA_pol_II_AP1_N', 3, NULL),
(14124, NULL, 'IPR011835', NULL, 'Bacterial/plant glycogen synthase', 'GS/SS', 4, NULL),
(14125, NULL, 'IPR014138', NULL, 'Nickel import ATP-binding protein NikD', 'Nickel_NikD', 4, NULL),
(14126, NULL, 'IPR013034', NULL, 'DNA topoisomerase I, DNA binding, N-terminal domain 1', 'DNA_topo_DNA_db_N_dom1', 5, NULL),
(14127, NULL, 'IPR008632', NULL, 'Nematode fatty acid retinoid binding', 'Gp-FAR-1', 4, NULL),
(14128, NULL, 'IPR012120', NULL, 'Fucose-1-phosphate guanylyltransferase', 'Fucose-1-phosphate_GuaTrfase', 4, NULL),
(14129, NULL, 'IPR008863', NULL, 'Toxic anion resistance', 'Toxic_anion-R_TelA', 4, NULL),
(14130, NULL, 'IPR013726', NULL, 'Protein of unknown function DUF1748, fungi', 'DUF1748_fun', 4, NULL),
(14131, NULL, 'IPR012134', NULL, 'Glutamate-5-semialdehyde dehydrogenase', 'Glu-5-SA_DH', 4, NULL),
(14132, NULL, 'IPR014951', NULL, 'Protein of unknown function DUF1822', 'DUF1822', 4, NULL),
(14133, NULL, 'IPR012211', NULL, 'Insulin-like growth factor binding protein 3', 'IGFBP-3', 4, NULL),
(14134, NULL, 'IPR008790', NULL, 'Poxvirus serine/threonine kinase', 'Poxvirus_ser/thr_kinase', 4, NULL),
(14135, NULL, 'IPR008794', NULL, 'Proline racemase family', 'Pro_racemase_fam', 4, NULL),
(14136, NULL, 'IPR008806', NULL, 'RNA polymerase III Rpc82, C -terminal', 'RNA_pol_III_Rpc82_C', 3, NULL),
(14137, NULL, 'IPR012234', NULL, 'Tyrosine-protein kinase, non-receptor SYK/ZAP-70', 'Tyr_kinase_non-rcpt_SYK/ZAP70', 4, NULL),
(14138, NULL, 'IPR014085', NULL, 'Allophanate hydrolase', 'Allophanate_hydrolase', 3, NULL),
(14139, NULL, 'IPR009855', NULL, 'Baculovirus late expression factor 10', 'Baculo_LEF-10', 4, NULL),
(14140, NULL, 'IPR034414', NULL, 'Dead end protein 1, RNA recognition motif 1', 'DND1_RRM1', 3, NULL),
(14141, NULL, 'IPR024190', NULL, 'Methenyltetrahydromethanopterin dehydrogenase, Hmd-type', 'METHMP_Hmd', 4, NULL),
(14142, NULL, 'IPR014927', NULL, 'Putative peptidoglycan binding', 'PG-bd_2', 3, NULL),
(14143, NULL, 'IPR011834', NULL, 'Alpha-glucan phosphorylase', 'Agluc_phsphrylas', 4, NULL),
(14144, NULL, 'IPR024187', NULL, 'Signal transduction response regulator, citrate/malate metabolism', 'Sig_transdc_resp-reg_cit/mal', 4, NULL),
(14145, NULL, 'IPR014962', NULL, 'YolD-like protein', 'YolD', 4, NULL),
(14146, NULL, 'IPR015371', NULL, 'Endonuclease VIII-like 1, DNA binding', 'Endonuclease-VIII_DNA-bd', 3, NULL),
(14147, NULL, 'IPR009853', NULL, 'Protein of unknown function DUF1412', 'DUF1412', 4, NULL),
(14148, NULL, 'IPR013041', NULL, 'Clathrin adaptor, appendage, Ig-like subdomain superfamily', 'Clathrin_app_Ig-like_sf', 5, NULL),
(14149, NULL, 'IPR014741', NULL, 'Adaptor protein Cbl, EF hand-like', 'Adaptor_Cbl_EF_hand-like', 3, NULL),
(14150, NULL, 'IPR014139', NULL, 'Peptidase S26C, conjugative transfer signal peptidase TraF', 'Peptidase_S26C_TraF', 4, NULL),
(14151, NULL, 'IPR013936', NULL, 'Chloroquine-resistance transporter-like', 'CRT-like', 4, NULL),
(14152, NULL, 'IPR013926', NULL, 'CGI121/TPRKB', 'CGI121/TPRKB', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14153, NULL, 'IPR015376', NULL, 'Zinc ribbon, NADH pyrophosphatase', 'Znr_NADH_PPase', 3, NULL),
(14154, NULL, 'IPR015392', NULL, 'Domain of unknown function DUF1971', 'DUF1971', 3, NULL),
(14155, NULL, 'IPR014959', NULL, 'Protein of unknown function DUF1827', 'DUF1827', 4, NULL),
(14156, NULL, 'IPR014976', NULL, 'Cap4 SAVED domain', 'Cap4_SAVED', 4, NULL),
(14157, NULL, 'IPR008800', NULL, 'PufQ cytochrome subunit', 'PufQ_cyt-su', 4, NULL),
(14158, NULL, 'IPR013333', NULL, 'Ryanodine receptor', 'Ryan_recept', 4, NULL),
(14159, NULL, 'IPR008855', NULL, 'Translocon-associated', 'TRAP-delta', 4, NULL),
(14160, NULL, 'IPR014936', NULL, 'Axin beta-catenin binding', 'Axin_b-cat-bd', 3, NULL),
(14161, NULL, 'IPR014969', NULL, 'DNA sulphur modification protein DndE', 'DNA_S_DndE', 4, NULL),
(14162, NULL, 'IPR011843', NULL, 'Coenzyme PQQ biosynthesis protein E, bacteria', 'PQQ_synth_PqqE_bac', 4, NULL),
(14163, NULL, 'IPR022307', NULL, 'DEAD/DEAH-box helicase, putative, actinobacteria', 'Helicase_put_actinobac', 4, NULL),
(14164, NULL, 'IPR008861', NULL, 'Phage Tail Protein X-like', 'GpX-like', 4, NULL),
(14165, NULL, 'IPR014947', NULL, 'Protein of unknown function DUF1818', 'DUF1818', 4, NULL),
(14166, NULL, 'IPR014156', NULL, 'Nickel ABC transporter, permease subunit NikB', 'Nickel_NikB', 4, NULL),
(14167, NULL, 'IPR035938', NULL, 'Hemerythrin-like superfamily', 'Hemerythrin-like_sf', 5, NULL),
(14168, NULL, 'IPR015400', NULL, 'Domain of unknown function DUF1978, IncA', 'DUF1978_IncA', 3, NULL),
(14169, NULL, 'IPR008611', NULL, 'Protein EaeB', 'EaeB', 4, NULL),
(14170, NULL, 'IPR008834', NULL, 'Salmonella plasmid virulence SpvD', 'Sal_SpvD', 4, NULL),
(14171, NULL, 'IPR011875', NULL, 'Alpha-maltose-1-phosphate synthase', 'M1P_synthase', 4, NULL),
(14172, NULL, 'IPR013820', NULL, 'ATP phosphoribosyltransferase, catalytic domain', 'ATP_PRibTrfase_cat', 3, NULL),
(14173, NULL, 'IPR015389', NULL, 'POU, class 2, associating factor 1', 'PD-C2-AF1', 4, NULL),
(14174, NULL, 'IPR034269', NULL, 'At5g42320-like, carboxypeptidase domain', 'At5g42320_M14_CPD', 3, NULL),
(14175, NULL, 'IPR008614', NULL, 'Acidic fibroblast growth factor intracellular-binding protein', 'FIBP', 4, NULL),
(14176, NULL, 'IPR014096', NULL, 'Phenylphosphate carboxylase, beta subunit', 'Phenyl_P_COase_b', 4, NULL),
(14177, NULL, 'IPR013704', NULL, 'Uncharacterised protein family UPF0313, N-terminal', 'UPF0313_N', 3, NULL),
(14178, NULL, 'IPR024240', NULL, 'Alpha-N-acetylglucosaminidase, N-terminal', 'NAGLU_N', 3, NULL),
(14179, NULL, 'IPR011852', NULL, 'TRAP transporter solute receptor, TAXI family', 'TRAP_TAXI', 4, NULL),
(14180, NULL, 'IPR014093', NULL, 'Thiamine kinase', 'Thiamine_kinase', 4, NULL),
(14181, NULL, 'IPR024192', NULL, 'Fosfomycin resistance kinase, FomA-type', 'Fosfomycin_R_FomA-type', 4, NULL),
(14182, NULL, 'IPR013717', NULL, 'PIG-P', 'PIG-P', 3, NULL),
(14183, NULL, 'IPR008805', NULL, 'RIB43A', 'RIB43A', 4, NULL),
(14184, NULL, 'IPR015791', NULL, 'Antimicrobial/protein inhibitor, gamma-crystallin-like', 'Antimic/Inh_G_crystallin-like', 5, NULL),
(14185, NULL, 'IPR015383', NULL, 'Cortexillin, coiled coil', 'Cortexillin-I_coiled-coil', 3, NULL),
(14186, NULL, 'IPR014972', NULL, 'Bacteriophage Mu, Gp37', 'Phage_Mu_Gp37', 4, NULL),
(14187, NULL, 'IPR014152', NULL, 'DNA helicase subunit AddA', 'DNA_helicase_suAddA', 4, NULL),
(14188, NULL, 'IPR014161', NULL, 'Tol-Pal system, TolA', 'Tol-Pal_TolA', 4, NULL),
(14189, NULL, 'IPR011854', NULL, 'Carbamoyl dehydratase HypE', 'HypE', 4, NULL),
(14190, NULL, 'IPR011863', NULL, 'Phosphoserine phosphatase/homoserine phosphotransferase bifunctional protein', 'HSK-PSP', 4, NULL),
(14191, NULL, 'IPR011832', NULL, 'Glucose-1-phosphate adenylyltransferase, GlgD subunit', 'GlgDAde_trans', 4, NULL),
(14192, NULL, 'IPR011824', NULL, 'Hydrolyase LeuD/DmdB, bacterial', 'LeuD/DmdB_bac', 4, NULL),
(14193, NULL, 'IPR008825', NULL, 'S-antigen', 'S-antigen', 3, NULL),
(14194, NULL, 'IPR013932', NULL, 'TATA-binding protein interacting (TIP20)', 'TATA-bd_TIP120', 3, NULL),
(14195, NULL, 'IPR014079', NULL, 'Phosphate butyryltransferase', 'Phosphate_butyryltransferase', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14196, NULL, 'IPR014089', NULL, 'Acetate-CoA ligase [ADP-forming], alpha domain', 'AcCoA-synth-alpha', 3, NULL),
(14197, NULL, 'IPR022305', NULL, 'Sortase system response regulator', 'Response_regulator', 4, NULL),
(14198, NULL, 'IPR013937', NULL, 'Sorting nexin, C-terminal', 'Sorting_nexin_C', 3, NULL),
(14199, NULL, 'IPR015391', NULL, 'SurA N-terminal', 'SurA_N', 3, NULL),
(14200, NULL, 'IPR013706', NULL, '3''5''-cyclic nucleotide phosphodiesterase N-terminal', 'PDEase_N', 3, NULL),
(14201, NULL, 'IPR008796', NULL, 'Photosystem I reaction centre subunit N, chloroplastic', 'PSAN', 4, NULL),
(14202, NULL, 'IPR008848', NULL, 'Plasmid regulator, Sulfolobaceae', 'Plasmid_regulator_arc', 4, NULL),
(14203, NULL, 'IPR024199', NULL, 'Uncharacterised conserved protein, DsbB-like', 'Uncharacterised_DsbB', 4, NULL),
(14204, NULL, 'IPR012130', NULL, 'Photoactive yellow-protein', 'PYP', 4, NULL),
(14205, NULL, 'IPR008593', NULL, 'DNA N-6-adenine-methyltransferase', 'Dam_MeTrfase', 4, NULL),
(14206, NULL, 'IPR014986', NULL, 'Clostridium phage phiCD119, XkdN', 'Phage_phiCD119_XkdN', 4, NULL),
(14207, NULL, 'IPR013698', NULL, 'Squalene epoxidase', 'Squalene_epoxidase', 3, NULL),
(14208, NULL, 'IPR012220', NULL, 'Glutamate synthase, eukaryotic', 'Glu_synth_euk', 4, NULL),
(14209, NULL, 'IPR015404', NULL, 'Sorting nexin Vps5-like, C-terminal', 'Vps5_C', 3, NULL),
(14210, NULL, 'IPR011862', NULL, 'Phosphate binding protein', 'Phos-bd', 4, NULL),
(14211, NULL, 'IPR034159', NULL, 'SF3B4, RNA recognition motif 2', 'SF3B4_RRM2', 3, NULL),
(14212, NULL, 'IPR024189', NULL, 'ANTAR transcription anti-termination regulator', 'ANTAR_transcrpt_antiterm_reg', 4, NULL),
(14213, NULL, 'IPR008587', NULL, 'Filament-like plant protein', 'FPP_plant', 4, NULL),
(14214, NULL, 'IPR008791', NULL, 'Orthopoxvirus interleukin 18 binding', 'Orthopox_IL18-bd', 4, NULL),
(14215, NULL, 'IPR014944', NULL, 'Toxin SymE-like', 'Toxin_SymE-like', 3, NULL),
(14216, NULL, 'IPR013918', NULL, 'Nucleotide exchange factor Fes1', 'Nucleotide_exch_fac_Fes1', 3, NULL),
(14217, NULL, 'IPR013710', NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-acetyltransferase, N-terminal', 'DapH_N', 3, NULL),
(14218, NULL, 'IPR008630', NULL, 'Glycosyltransferase 34', 'Glyco_trans_34', 4, NULL),
(14219, NULL, 'IPR014106', NULL, 'Phosphoribosylaminoimidazole-succinocarboxamide synthase, Vibrio-type', 'SAICAR_synthase_Vibrio-typ', 4, NULL),
(14220, NULL, 'IPR035902', NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase catalytic domain superfamily', 'Nuc_phospho_transferase', 5, NULL),
(14221, NULL, 'IPR014925', NULL, 'Uncharacterised domain CGGC-dom', 'Uncharacterised_CGGC-dom', 3, NULL),
(14222, NULL, 'IPR015405', NULL, 'NADH-quinone oxidoreductase, chain G, C-terminal', 'NuoG_C', 3, NULL),
(14223, NULL, 'IPR011867', NULL, 'Molybdate ABC transporter, permease protein', 'ModB_ABC', 4, NULL),
(14224, NULL, 'IPR013721', NULL, 'STAG', 'STAG', 3, NULL),
(14225, NULL, 'IPR011823', NULL, '3-isopropylmalate dehydratase, large subunit, bacteria', 'IsopropMal_deHydtase_lsu_bac', 4, NULL),
(14226, NULL, 'IPR014983', NULL, 'GAD-related', 'GAD-rel', 3, NULL),
(14227, NULL, 'IPR008858', NULL, 'TROVE domain', 'TROVE_dom', 3, NULL),
(14228, NULL, 'IPR008625', NULL, 'GAGE family', 'GAGE_fam', 4, NULL),
(14229, NULL, 'IPR015872', NULL, 'Transcription initiation factor IIA, gamma subunit, N-terminal', 'TFIIA_gsu_N', 3, NULL),
(14230, NULL, 'IPR011865', NULL, 'Sulphate ABC transporter, permease protein CysT', 'CysT_permease', 4, NULL),
(14231, NULL, 'IPR011847', NULL, 'Phosphopantothenoylcysteine decarboxylase', 'CoaC_strep', 4, NULL),
(14232, NULL, 'IPR008599', NULL, 'Putative sugar diacid recognition', 'Diacid_rec', 3, NULL),
(14233, NULL, 'IPR013700', NULL, 'Aflatoxin regulatory protein', 'AflR', 3, NULL),
(14234, NULL, 'IPR008838', NULL, 'Variable surface protein, Brachyspira', 'Variable_surface_protein_TREHY', 4, NULL),
(14235, NULL, 'IPR008814', NULL, 'Dolichyl-diphosphooligosaccharide--protein glycosyltransferase subunit Swp1', 'Swp1', 4, NULL),
(14236, NULL, 'IPR014103', NULL, 'Zeta-carotene desaturase', 'Zeta_caro_desat', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14237, NULL, 'IPR024194', NULL, 'Alginate O-acetyltransferase AlgI/D-alanyl transfer protein DltB', 'Ac/AlaTfrase_AlgI/DltB', 4, NULL),
(14238, NULL, 'IPR008609', NULL, 'Ebola nucleoprotein', 'Ebola_NP', 4, NULL),
(14239, NULL, 'IPR011838', NULL, 'Pullulanase, extracellular', 'Pullulan_Gpos', 3, NULL),
(14240, NULL, 'IPR014924', NULL, 'Protein of unknown function DUF1803', 'DUF1803', 4, NULL),
(14241, NULL, 'IPR024253', NULL, 'Phosducin, thioredoxin-like domain', 'Phosducin_thioredoxin-like_dom', 3, NULL),
(14242, NULL, 'IPR014083', NULL, 'Cation/acetate symporter ActP', 'Cation/Ac_symporter_ActP', 4, NULL),
(14243, NULL, 'IPR011872', NULL, 'Homocitrate synthase, fungi/archaea', 'Homocitrate_synth_fun/arc', 4, NULL),
(14244, NULL, 'IPR011842', NULL, 'Coenzyme PQQ biosynthesis protein B', 'PQQ_synth_PqqB', 4, NULL),
(14245, NULL, 'IPR024204', NULL, 'Cytochrome P450, cholesterol 7-alpha-monooxygenase-type', 'Cyt_P450_CYP7A1-type', 4, NULL),
(14246, NULL, 'IPR008860', NULL, 'Taeniidae antigen', 'Taeniidae_ag', 4, NULL),
(14247, NULL, 'IPR014148', NULL, 'P-type conjugative transfer protein VirB9', 'VirB9', 4, NULL),
(14248, NULL, 'IPR008591', NULL, 'GINS complex subunit Sld5', 'GINS_Sld5', 4, NULL),
(14249, NULL, 'IPR008845', NULL, 'Sporozoite P67 surface antigen', 'Sporozoite_P67', 4, NULL),
(14250, NULL, 'IPR011825', NULL, '23S rRNA (uracil(747)-C(5))-methyltransferase RlmC', '23SrRNA_MeTrfase_RlmC', 4, NULL),
(14251, NULL, 'IPR008588', NULL, 'Protein of unknown function DUF870, Caenorhabditis species', 'DUF870_CAE_spp', 4, NULL),
(14252, NULL, 'IPR009847', NULL, 'SNURF family', 'SNURF', 4, NULL),
(14253, NULL, 'IPR014985', NULL, 'WbqC-like protein family', 'WbqC', 4, NULL),
(14254, NULL, 'IPR011844', NULL, 'Coenzyme PQQ biosynthesis protein PqqF', 'PQQ_synth_PqqF', 4, NULL),
(14255, NULL, 'IPR014136', NULL, 'Ti-type conjugative transfer relaxase TraA', 'TraA_Ti', 4, NULL),
(14256, NULL, 'IPR013917', NULL, 'tRNA wybutosine-synthesis', 'tRNA_wybutosine-synth', 3, NULL),
(14257, NULL, 'IPR015378', NULL, 'Transposase-like, Mu, C-terminal', 'Transposase-like_Mu_C', 3, NULL),
(14258, NULL, 'IPR013707', NULL, 'Tombusvirus p33', 'Tombusvirus_p33', 3, NULL),
(14259, NULL, 'IPR011868', NULL, 'Molybdate ABC transporter, ATP-binding protein', 'ModC_ABC_ATP-bd', 4, NULL),
(14260, NULL, 'IPR008597', NULL, 'Invertebrate-type lysozyme', 'Invert_lysozyme', 4, NULL),
(14261, NULL, 'IPR008619', NULL, 'Filamentous haemagglutinin repeat', 'Filamentous_hemagglutn_rpt', 7, NULL),
(14262, NULL, 'IPR014753', NULL, 'Arrestin, N-terminal', 'Arrestin_N', 5, NULL),
(14263, NULL, 'IPR015377', NULL, 'Fumarylacetoacetase, N-terminal', 'Fumarylacetoacetase_N', 3, NULL),
(14264, NULL, 'IPR008862', NULL, 'T-complex 11', 'Tcp11', 4, NULL),
(14265, NULL, 'IPR011471', NULL, 'Protein of unknown function DUF1577', 'DUF1577', 4, NULL),
(14266, NULL, 'IPR014977', NULL, 'WRC domain', 'WRC_dom', 3, NULL),
(14267, NULL, 'IPR012127', NULL, 'Cytochrome c prime', 'Cyt_c_prime', 4, NULL),
(14268, NULL, 'IPR014958', NULL, 'DGC', 'DGC', 4, NULL),
(14269, NULL, 'IPR013924', NULL, 'Ribonuclease H2, subunit C', 'RNase_H2_suC', 4, NULL),
(14270, NULL, 'IPR034055', NULL, 'Tumor necrosis factor receptor 6, N-terminal, teleost', 'TNFRSF6_N_teleost', 3, NULL),
(14271, NULL, 'IPR011822', NULL, 'Cobalamin-dependent methionine synthase', 'MetH', 4, NULL),
(14272, NULL, 'IPR024196', NULL, '[NiFe]-hydrogenase-3-type complex Eha, EhaR', 'NiFe_hyd_3_EhaR', 4, NULL),
(14273, NULL, 'IPR015411', NULL, 'Replication factor Mcm10, C-terminal', 'Rep_factor_Mcm10_C', 3, NULL),
(14274, NULL, 'IPR011826', NULL, 'Homoaconitase/3-isopropylmalate dehydratase, large subunit, prokaryotic', 'HAcnase/IPMdehydase_lsu_prok', 4, NULL),
(14275, NULL, 'IPR014165', NULL, '4-carboxy-4-hydroxy-2-oxoadipate aldolase/oxaloacetate decarboxylase', 'LigK_PcmE', 4, NULL),
(14276, NULL, 'IPR008847', NULL, 'Suppressor of forked', 'Suf', 3, NULL),
(14277, NULL, 'IPR008803', NULL, 'RHD3/Sey1', 'RHD3/Sey1', 4, NULL),
(14278, NULL, 'IPR011475', NULL, 'Domain of unknown function DUF1583', 'DUF1583', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14279, NULL, 'IPR008846', NULL, 'Phenol-soluble modulin beta protein', 'PSMbeta', 4, NULL),
(14280, NULL, 'IPR008626', NULL, 'Mediator complex, subunit Med15, fungi', 'Mediator_Med15_fun', 4, NULL),
(14281, NULL, 'IPR008820', NULL, 'Rubella membrane glycoprotein E1', 'Rubella_E1', 4, NULL),
(14282, NULL, 'IPR008802', NULL, 'Rubber elongation factor', 'REF', 4, NULL),
(14283, NULL, 'IPR014980', NULL, 'Dopa 4,5-dioxygenase', 'DOPA_dioxygen', 4, NULL),
(14284, NULL, 'IPR014104', NULL, 'Myxoxanthophyll biosynthesis, C-3'',4'' desaturase CrtD', 'Myxoxanthophyll_desat_CrtD', 4, NULL),
(14285, NULL, 'IPR014142', NULL, 'P-type conjugative transfer protein TrbG', 'TrbG_Ti', 4, NULL),
(14286, NULL, 'IPR014932', NULL, 'Doublesex dimerisation', 'DSX_dimer', 3, NULL),
(14287, NULL, 'IPR008831', NULL, 'Mediator complex, subunit Med31', 'Mediator_Med31', 4, NULL),
(14288, NULL, 'IPR011855', NULL, 'Phage major tail protein TP901-1', 'Phgtail_TP901_1', 4, NULL),
(14289, NULL, 'IPR011850', NULL, 'Type II secretion system protein  GspF', 'T2SS_GspF', 4, NULL),
(14290, NULL, 'IPR014940', NULL, 'BAAT/Acyl-CoA thioester hydrolase C-terminal', 'BAAT_C', 3, NULL),
(14291, NULL, 'IPR014133', NULL, 'Cryptochrome DASH', 'Cry_DASH', 4, NULL),
(14292, NULL, 'IPR008812', NULL, 'GTP-binding nuclear protein Ran-related', 'Ran_GTP-bd-rel', 4, NULL),
(14293, NULL, 'IPR014923', NULL, 'Protein of unknown function DUF1802', 'DUF1802', 4, NULL),
(14294, NULL, 'IPR008627', NULL, 'GETHR pentapeptide repeat', 'GETHR_repeat', 7, NULL),
(14295, NULL, 'IPR014952', NULL, 'Protein of unknown function DUF1823', 'DUF1823', 4, NULL),
(14296, NULL, 'IPR015379', NULL, 'Tectiviridae, minor capsid', 'Tecti-min-caps', 4, NULL),
(14297, NULL, 'IPR014147', NULL, 'Type IV conjugative transfer protein TrbJ', 'T4SS_TrbJ', 4, NULL),
(14298, NULL, 'IPR024201', NULL, 'Calcineurin-like phosphoesterase', 'Calcineurin-like_Pesterase', 4, NULL),
(14299, NULL, 'IPR008798', NULL, 'Avirulence B/C', 'Avirulence_B/C', 4, NULL),
(14300, NULL, 'IPR015382', NULL, 'KCNMB2, ball/chain domain', 'KCNMB2_ball_chain_dom', 3, NULL),
(14301, NULL, 'IPR008826', NULL, 'Selenium-binding protein', 'Se-bd', 4, NULL),
(14302, NULL, 'IPR011819', NULL, 'Pyrococcus aspartate kinase subunit, putative', 'AspKin_pair', 4, NULL),
(14303, NULL, 'IPR014974', NULL, 'Domain of unknown function DUF1833', 'DUF1833', 4, NULL),
(14304, NULL, 'IPR014090', NULL, 'Siderophore transporter, RhtX/FptX family', 'Siderophore_transpt_RhtX/FptX', 4, NULL),
(14305, NULL, 'IPR012210', NULL, 'Insulin-like growth factor binding protein 2', 'IGFBP-2', 4, NULL),
(14306, NULL, 'IPR014929', NULL, 'E2 binding', 'E2-binding', 3, NULL),
(14307, NULL, 'IPR014107', NULL, 'Cytochrome c oxidase cbb3-type, CcoQ', 'Cyt_c_oxidase_cbb3_CcoQ', 4, NULL),
(14308, NULL, 'IPR024193', NULL, 'Ku80', 'Ku80', 4, NULL),
(14309, NULL, 'IPR034158', NULL, 'SF3B4, RNA recognition motif 1', 'SF3B4_RRM1', 3, NULL),
(14310, NULL, 'IPR014928', NULL, 'Serine rich protein interaction domain', 'Serine_rich_dom', 3, NULL),
(14311, NULL, 'IPR008859', NULL, 'Thrombospondin, C-terminal', 'Thrombospondin_C', 3, NULL),
(14312, NULL, 'IPR011846', NULL, 'Cyd operon protein YbgE', 'Cyd_oper_YbgE', 4, NULL),
(14313, NULL, 'IPR012142', NULL, 'Tryptophan 2-monooxygenase', 'Trp_2-mOase', 4, NULL),
(14314, NULL, 'IPR014084', NULL, 'Urea carboxylase', 'Urea_COase', 4, NULL),
(14315, NULL, 'IPR009851', NULL, 'Modifier of rudimentary, Modr', 'Mod_r', 3, NULL),
(14316, NULL, 'IPR014941', NULL, 'Fimbrium subunit FimB/Mfa2/Mfa3', 'FimB/Mfa2/Mfa3', 4, NULL),
(14317, NULL, 'IPR012132', NULL, 'Glucose-methanol-choline oxidoreductase', 'GMC_OxRdtase', 4, NULL),
(14318, NULL, 'IPR014091', NULL, 'Transcriptional repressor poly-beta-hydroxybutyrate-responsive', 'Tscrpt_rep_PHB_PhaQ', 4, NULL),
(14319, NULL, 'IPR008596', NULL, 'Accessory protein p30II', 'P30II', 4, NULL),
(14320, NULL, 'IPR008853', NULL, 'TMEM9/TMEM9B', 'TMEM9/TMEM9B', 4, NULL),
(14321, NULL, 'IPR014160', NULL, 'Nickel-responsive transcriptional regulator NikR, proteobacteria', 'Nickel_NikR_proteobac', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14322, NULL, 'IPR014948', NULL, 'BrxA', 'BrxA', 4, NULL),
(14323, NULL, 'IPR008854', NULL, 'TPMT family', 'TPMT', 4, NULL),
(14324, NULL, 'IPR012137', NULL, 'Nitrate reductase NADH dependent', 'Nitr_rd_NADH', 4, NULL),
(14325, NULL, 'IPR014965', NULL, 'Putative amino acid metabolism', 'Amino_acid_metab_prot_put', 4, NULL),
(14326, NULL, 'IPR008638', NULL, 'Filamentous haemagglutinin, N-terminal', 'Filamn_hemagglutn_N', 3, NULL),
(14327, NULL, 'IPR008827', NULL, 'Synaptonemal complex protein 1', 'SYCP1', 4, NULL),
(14328, NULL, 'IPR011851', NULL, 'Sodium/proline symporter', 'Na/Pro_symporter', 4, NULL),
(14329, NULL, 'IPR008601', NULL, 'Cell-cell adhesion', 'Dicty_CAD', 4, NULL),
(14330, NULL, 'IPR013713', NULL, 'Exportin-2, central domain', 'XPO2_central', 3, NULL),
(14331, NULL, 'IPR008604', NULL, 'Microtubule-associated protein 7 family', 'MAP7_fam', 4, NULL),
(14332, NULL, 'IPR015374', NULL, 'Chs5p-Arf1p binding', 'ChAPs', 4, NULL),
(14333, NULL, 'IPR012224', NULL, 'Peptidase S1A, coagulation factor VII/IX/X/C/Z', 'Pept_S1A_FX', 4, NULL),
(14334, NULL, 'IPR015402', NULL, 'Protein of unknown function DUF1980', 'DUF1980', 4, NULL),
(14335, NULL, 'IPR009852', NULL, 'T-complex protein 10, C-terminal domain', 'Tcp10_C_dom', 3, NULL),
(14336, NULL, 'IPR013702', NULL, 'FIST domain, N-terminal', 'FIST_domain_N', 3, NULL),
(14337, NULL, 'IPR014097', NULL, 'Phenylphosphate carboxylase, gamma subunit', 'Phenyl_P_COase_g', 4, NULL),
(14338, NULL, 'IPR015373', NULL, 'Interferon/interleukin receptor domain', 'Interferon/interleukin_rcp_dom', 3, NULL),
(14339, NULL, 'IPR011820', NULL, 'L-threonine dehydratase biosynthetic IlvA', 'IlvA', 4, NULL),
(14340, NULL, 'IPR013040', NULL, 'Coatomer, gamma subunit, appendage, Ig-like subdomain', 'Coatomer_gsu_app_Ig-like_dom', 3, NULL),
(14341, NULL, 'IPR015366', NULL, 'Peptidase S53, activation domain', 'S53_propep', 3, NULL),
(14342, NULL, 'IPR009850', NULL, 'Domain of unknown function DUF1411', 'DUF1411', 3, NULL),
(14343, NULL, 'IPR014926', NULL, 'Bacteriophage D3112, Orf24', 'Phage_D3112_Orf24', 4, NULL),
(14344, NULL, 'IPR009854', NULL, 'Orthoreovirus membrane fusion p10', 'Orthoreo_P10', 4, NULL),
(14345, NULL, 'IPR024200', NULL, 'Chondroitin sulfate ABC endolyase', 'Chondroitinase_ABC_I', 4, NULL),
(14346, NULL, 'IPR014961', NULL, 'Domain of unknown function DUF1829', 'DUF1829', 3, NULL),
(14347, NULL, 'IPR011876', NULL, 'Isopentenyl-diphosphate delta-isomerase, type 1', 'IsopentenylPP_isomerase_typ1', 4, NULL),
(14348, NULL, 'IPR014092', NULL, 'Pyruvate oxidase', 'Pyruvate_oxidase', 4, NULL),
(14349, NULL, 'IPR014933', NULL, 'Alpha C protein, N-terminal', 'AlphaC_N', 3, NULL),
(14350, NULL, 'IPR013922', NULL, 'Cyclin PHO80-like', 'Cyclin_PHO80-like', 4, NULL),
(14351, NULL, 'IPR012131', NULL, 'Histidinol dehydrogenase', 'Hstdl_DH', 4, NULL),
(14352, NULL, 'IPR014162', NULL, 'Cell division coordinator CpoB, C-terminal', 'CpoB_C', 3, NULL),
(14353, NULL, 'IPR008811', NULL, 'Glycosyl hydrolases 36', 'Glycosyl_hydrolases_36', 4, NULL),
(14354, NULL, 'IPR012235', NULL, '3-isopropylmalate dehydratase, fused small/large subunit', '3-IsopropMal_deHydtase_ssu/lsu', 4, NULL),
(14355, NULL, 'IPR014081', NULL, 'Branched-chain phosphotransacylase', 'Brnchd-chn_Ptransacetylase', 4, NULL),
(14356, NULL, 'IPR014935', NULL, 'Nuclear receptor coactivator, receptor-binding domain', 'SRC/p160_LXXLL', 3, NULL),
(14357, NULL, 'IPR008792', NULL, 'Coenzyme PQQ synthesis protein D', 'PQQD', 4, NULL),
(14358, NULL, 'IPR013711', NULL, 'Runx, C-terminal  domain', 'RunxI_C_dom', 3, NULL),
(14359, NULL, 'IPR014934', NULL, 'Protein of unknown function DUF1806', 'DUF1806', 4, NULL),
(14360, NULL, 'IPR015375', NULL, 'NADH pyrophosphatase-like, N-terminal', 'NADH_PPase-like_N', 3, NULL),
(14361, NULL, 'IPR008637', NULL, 'HR-like lesion-inducer', 'HR_lesion', 4, NULL),
(14362, NULL, 'IPR034165', NULL, 'FeMo cofactor biosynthesis protein NifB, C-terminal', 'NifB_C', 3, NULL),
(14363, NULL, 'IPR008824', NULL, 'RuvB-like P-loop domain', 'RuvB-like_N', 3, NULL),
(14364, NULL, 'IPR008615', NULL, 'FNIP', 'FNIP', 7, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14365, NULL, 'IPR013724', NULL, 'GIT, Spa2 homology (SHD) domain', 'GIT_SHD', 3, NULL),
(14366, NULL, 'IPR011870', NULL, 'Lysine biosynthesis enzyme LysX', 'LysX_arch', 4, NULL),
(14367, NULL, 'IPR014978', NULL, 'Glutamine-Leucine-Glutamine, QLQ', 'Gln-Leu-Gln_QLQ', 3, NULL),
(14368, NULL, 'IPR011470', NULL, 'Protein of unknown function DUF1576', 'DUF1576', 4, NULL),
(14369, NULL, 'IPR014154', NULL, 'GTP-sensing transcriptional pleiotropic repressor CodY', 'CodY', 4, NULL),
(14370, NULL, 'IPR014088', NULL, 'C-20 methyltransferase CrtF-related', 'C20_MeTrfase_CrtF', 4, NULL),
(14371, NULL, 'IPR014137', NULL, 'Nickel import ATP-binding protein NikE', 'Nickel_NikE', 4, NULL),
(14372, NULL, 'IPR024197', NULL, 'Uncharacterised conserved protein UCP030802', 'UCP030802', 4, NULL),
(14373, NULL, 'IPR015408', NULL, 'Zinc finger, Mcm10/DnaG-type', 'Znf_Mcm10/DnaG', 3, NULL),
(14374, NULL, 'IPR012121', NULL, 'ATPase, PP-loop, MJ1599-related', 'ATPase_PP-loop_MJ1599', 4, NULL),
(14375, NULL, 'IPR011828', NULL, 'Isopropylmalate/isohomocitrate dehydrogenase', 'LEU3_arc', 4, NULL),
(14376, NULL, 'IPR011853', NULL, 'TRAP C4-dicarboxylate transport system permease, fused DctM-DctQ', 'TRAP_DctM-Dct_fused', 4, NULL),
(14377, NULL, 'IPR008613', NULL, 'Excalibur calcium-binding domain', 'Excalibur_Ca-bd_domain', 3, NULL),
(14378, NULL, 'IPR008843', NULL, 'Entomopoxvirus spheroidin', 'Spheroidin', 4, NULL),
(14379, NULL, 'IPR011841', NULL, 'Type III secretion system, needle protein', 'T3SS_needle_YscF', 4, NULL),
(14380, NULL, 'IPR024188', NULL, 'Glutamate synthase large subunit-like protein', 'GltB', 4, NULL),
(14381, NULL, 'IPR015871', NULL, 'Transcription initiation factor IIA, gamma subunit, C-terminal', 'TFIIA_gsu_C', 3, NULL),
(14382, NULL, 'IPR013718', NULL, 'COQ9', 'COQ9', 3, NULL),
(14383, NULL, 'IPR014937', NULL, 'Protein of unknown function DUF1810', 'DUF1810', 4, NULL),
(14384, NULL, 'IPR014931', NULL, 'Protein of unknown function DUF1805', 'DUF1805', 4, NULL),
(14385, NULL, 'IPR014108', NULL, 'Cytochrome c oxidase caa3 type assembly factor CtaG', 'Caa3-assmbl_CtaG', 4, NULL),
(14386, NULL, 'IPR014153', NULL, 'Double-strand break repair protein AddB', 'Ds_break_AddB', 4, NULL),
(14387, NULL, 'IPR013709', NULL, '2-isopropylmalate synthase LeuA, allosteric (dimerisation) domain', '2-isopropylmalate_synth_dimer', 3, NULL),
(14388, NULL, 'IPR008807', NULL, 'ROS/MUCR transcriptional regulator', 'ROS_MUCR', 4, NULL),
(14389, NULL, 'IPR011840', NULL, 'Pullulanase, type I', 'PulA_typeI', 3, NULL),
(14390, NULL, 'IPR008598', NULL, 'Drought induced 19 protein type, zinc-binding domain', 'Di19_Zn-bd', 3, NULL),
(14391, NULL, 'IPR013699', NULL, 'Signal recognition particle, SRP72 subunit, RNA-binding', 'Signal_recog_part_SRP72_RNA-bd', 3, NULL),
(14392, NULL, 'IPR008594', NULL, 'Scavenger mRNA decapping enzyme DcpS/DCS2', 'DcpS/DCS2', 4, NULL),
(14393, NULL, 'IPR014146', NULL, 'DNA ligase D, ligase domain', 'LigD_ligase_dom', 3, NULL),
(14394, NULL, 'IPR014964', NULL, 'Protein of unknown function DUF1830', 'DUF1830', 4, NULL),
(14395, NULL, 'IPR012213', NULL, 'Insulin-like growth factor binding protein 5', 'IGFBP-5', 4, NULL),
(14396, NULL, 'IPR011871', NULL, 'Fibrobacter succinogenes major paralogous domain', 'Fib_succ_major', 3, NULL),
(14397, NULL, 'IPR008620', NULL, 'Nitrogen fixation protein FixH', 'FixH', 4, NULL),
(14398, NULL, 'IPR014946', NULL, 'Protein chlororespiratory reduction 6', 'CRR6', 4, NULL),
(14399, NULL, 'IPR014163', NULL, 'Tol-Pal system, TolQ', 'Tol-Pal_TolQ', 4, NULL),
(14400, NULL, 'IPR009849', NULL, 'Domain of unknown function DUF1410', 'DUF1410', 3, NULL),
(14401, NULL, 'IPR012128', NULL, 'Phycobilisome, alpha/beta subunit', 'Phycobilisome_asu/bsu', 4, NULL),
(14402, NULL, 'IPR014095', NULL, 'Phenylphosphate carboxylase, alpha subunit', 'Phenyl_P_COase_a', 4, NULL),
(14403, NULL, 'IPR014132', NULL, 'Sporulation polysaccharide deacetylase PdaB-like', 'PdaB-like', 4, NULL),
(14404, NULL, 'IPR014159', NULL, 'Protocatechuate 4,5-dioxygenase, alpha subunit', 'PCA_LigA', 4, NULL),
(14405, NULL, 'IPR011858', NULL, 'His6-like, eukaryotic-type', 'His6-like_euk', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14406, NULL, 'IPR008584', NULL, 'CXXC motif containing zinc binding protein, eukaryotic', 'CXXC_Zn-binding_euk', 4, NULL),
(14407, NULL, 'IPR008840', NULL, 'Siphovirus Gp157', 'Sipho_Gp157', 4, NULL),
(14408, NULL, 'IPR008797', NULL, 'Oxygen-evolving enhancer protein 3', 'PSII_PsbQ', 4, NULL),
(14409, NULL, 'IPR014752', NULL, 'Arrestin-like, C-terminal', 'Arrestin-like_C', 5, NULL),
(14410, NULL, 'IPR014945', NULL, 'Protein of unknown function DUF1816', 'DUF1816', 4, NULL),
(14411, NULL, 'IPR013037', NULL, 'Clathrin adaptor, beta-adaptin, appendage, Ig-like subdomain', 'Clathrin_b-adaptin_app_Ig-like', 5, NULL),
(14412, NULL, 'IPR014149', NULL, 'Conjugative transfer, TrbB', 'Conjug-transfer_TrbB', 4, NULL),
(14413, NULL, 'IPR008610', NULL, 'Eukaryotic rRNA processing', 'Ebp2', 4, NULL),
(14414, NULL, 'IPR008634', NULL, 'Gas vesicle protein GvpO', 'Gas-vesicle_GvpO', 4, NULL),
(14415, NULL, 'IPR008839', NULL, 'Mitochondrial distribution and morphology family 33, fungi', 'MDM33_fungi', 4, NULL),
(14416, NULL, 'IPR013933', NULL, 'Chromatin-remodelling complex, RSC SWI/SNF subunit Rsc7/Swp82', 'CRC_Rsc7/Swp82', 4, NULL),
(14417, NULL, 'IPR008635', NULL, 'Trimeric autotransporter adhesin YadA-like, stalk domain', 'Coiled_stalk_dom', 3, NULL),
(14418, NULL, 'IPR008640', NULL, 'Trimeric autotransporter adhesin YadA-like, head domain', 'Adhesin_Head_dom', 3, NULL),
(14419, NULL, 'IPR014971', NULL, 'KGK', 'KGK', 4, NULL),
(14420, NULL, 'IPR013714', NULL, 'Golgi apparatus membrane protein TVP15', 'Golgi_TVP15', 4, NULL),
(14421, NULL, 'IPR015384', NULL, 'TACI, cysteine-rich domain', 'TACI_Cys-rich-dom', 3, NULL),
(14422, NULL, 'IPR008844', NULL, 'Spore germination GerAC', 'Spore_GerAC', 4, NULL),
(14423, NULL, 'IPR008822', NULL, 'Holliday junction resolvase RusA-like', 'Endonuclease_RusA-like', 4, NULL),
(14424, NULL, 'IPR024191', NULL, 'Peptidase M61', 'Peptidase_M61', 4, NULL),
(14425, NULL, 'IPR008836', NULL, 'Semenogelin', 'Semenogelin', 4, NULL),
(14426, NULL, 'IPR013716', NULL, 'Adenylate cyclase G-alpha binding', 'Adenylate_cyclase_G-a-bd', 3, NULL),
(14427, NULL, 'IPR014086', NULL, 'Cyanuric acid hydrolase/Barbiturase', 'AtzD/Barbiturase', 4, NULL),
(14428, NULL, 'IPR035936', NULL, 'BB2672 superfamily', 'BB2672', 5, NULL),
(14429, NULL, 'IPR035073', NULL, 'At2g17340, three-helix bundle domain', 'At2g17340_3_helix_bundle', 5, NULL),
(14430, NULL, 'IPR014943', NULL, 'Protein of unknown function DUF1815', 'DUF1815', 4, NULL),
(14431, NULL, 'IPR012129', NULL, 'Phytochrome A/B/C/D/E', 'Phytochrome_A-E', 4, NULL),
(14432, NULL, 'IPR014131', NULL, 'Chlamydia phage, Vp3, scaffold', 'Chlamydia_phage_Vp3', 4, NULL),
(14433, NULL, 'IPR008605', NULL, 'Extracellular matrix protein 1', 'ECM1', 4, NULL),
(14434, NULL, 'IPR008829', NULL, 'SepSecS/SepCysS family', 'SepSecS/SepCysS', 4, NULL),
(14435, NULL, 'IPR012227', NULL, 'TNF receptor-associated factor TRAF, metazoa', 'TNF_rcpt-assoc_TRAF_met', 4, NULL),
(14436, NULL, 'IPR014975', NULL, 'Protein of unknown function DUF1836', 'DUF1836', 4, NULL),
(14437, NULL, 'IPR012138', NULL, 'Hydroxylamine oxidase', 'HAO', 4, NULL),
(14438, NULL, 'IPR008819', NULL, 'Rubella capsid', 'Rubella_Capsid', 4, NULL),
(14439, NULL, 'IPR014955', NULL, 'Protein of unknown function DUF1826', 'DUF1826', 4, NULL),
(14440, NULL, 'IPR011866', NULL, 'Sulphate ABC transporter, permease protein CysW', 'CysW_permease', 4, NULL),
(14441, NULL, 'IPR015370', NULL, 'T-cell receptor alpha chain, constant domain', 'TCR_alpha_C', 3, NULL),
(14442, NULL, 'IPR013708', NULL, 'Shikimate dehydrogenase substrate binding, N-terminal', 'Shikimate_DH-bd_N', 3, NULL),
(14443, NULL, 'IPR011829', NULL, 'Tartrate dehydrogenase', 'TTC_DH', 4, NULL),
(14444, NULL, 'IPR008622', NULL, 'Flagellar protein FliT', 'FliT', 4, NULL),
(14445, NULL, 'IPR008621', NULL, 'Cbb3-type cytochrome oxidase component', 'Cbb3-typ_cyt_oxidase_comp', 4, NULL),
(14446, NULL, 'IPR008631', NULL, 'Glycogen synthase', 'Glycogen_synth', 4, NULL),
(14447, NULL, 'IPR015369', NULL, 'Follistatin/Osteonectin EGF domain', 'Follistatin/Osteonectin_EGF', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14448, NULL, 'IPR034415', NULL, 'CsdA, RNA recognition motif', 'CsdA_RRM', 3, NULL),
(14449, NULL, 'IPR013941', NULL, 'Protein Zds1, C-terminal', 'ZDS1_C', 3, NULL),
(14450, NULL, 'IPR014930', NULL, 'Myotonic dystrophy protein kinase, coiled coil', 'Myotonic_dystrophy_kinase_coil', 3, NULL),
(14451, NULL, 'IPR015368', NULL, 'Ubiquitin-conjugating enzyme, C-terminal fungi', 'UBA_C_fun', 3, NULL),
(14452, NULL, 'IPR008856', NULL, 'Translocon-associated protein subunit beta', 'TRAP_beta', 4, NULL),
(14453, NULL, 'IPR014982', NULL, 'GSCFA', 'GSCFA', 3, NULL),
(14454, NULL, 'IPR013940', NULL, 'Meiosis specific protein Spo22/ZIP4/TEX11', 'Spo22/ZIP4/TEX11', 4, NULL),
(14455, NULL, 'IPR015409', NULL, 'D-lactate dehydrogenase, membrane binding, C-terminal', 'Lactate_DH_C', 3, NULL),
(14456, NULL, 'IPR014140', NULL, 'DNA helicase subunit AddB', 'DNA_helicase_suAddB', 4, NULL),
(14457, NULL, 'IPR008818', NULL, 'Rotavirus major outer capsid VP7', 'Rotavirus_VP7', 4, NULL),
(14458, NULL, 'IPR014742', NULL, 'Adaptor protein Cbl, SH2-like domain', 'Adaptor_Cbl_SH2-like', 3, NULL),
(14459, NULL, 'IPR011839', NULL, 'Alpha-1,6-glucosidases, pullulanase-type', 'Pullul_strch', 3, NULL),
(14460, NULL, 'IPR014101', NULL, 'Prolycopene isomerase', 'CrtISO', 4, NULL),
(14461, NULL, 'IPR013919', NULL, 'Peroxisome membrane protein, Pex16', 'Pex16', 4, NULL),
(14462, NULL, 'IPR011474', NULL, 'Protein of unknown function DUF1580', 'DUF1580', 4, NULL),
(14463, NULL, 'IPR014102', NULL, 'Phytoene desaturase', 'Phytoene_desaturase', 4, NULL),
(14464, NULL, 'IPR012133', NULL, 'Alpha-hydroxy acid dehydrogenase, FMN-dependent', 'Alpha-hydoxy_acid_DH_FMN', 4, NULL),
(14465, NULL, 'IPR012135', NULL, 'Dihydroorotate dehydrogenase, class 1/ 2', 'Dihydroorotate_DH_1_2', 4, NULL),
(14466, NULL, 'IPR011467', NULL, 'Protein of unknown function DUF1573', 'DUF1573', 4, NULL),
(14467, NULL, 'IPR008789', NULL, 'Poxvirus intermediate transcription factor', 'Poxvirus_intermed-TF', 4, NULL),
(14468, NULL, 'IPR011849', NULL, 'Sodium/pantothenate symporter', 'Na/pantothenate_symporter', 4, NULL),
(14469, NULL, 'IPR008617', NULL, 'Uncharacterised protein family, YcgJ', 'Uncharacterised_YcgJ', 4, NULL),
(14470, NULL, 'IPR013931', NULL, 'Svf1-like, N-terminal', 'Svf1-like_N', 3, NULL),
(14471, NULL, 'IPR014155', NULL, 'Type IV secretion system protein VirB11', 'VirB11', 4, NULL),
(14472, NULL, 'IPR015397', NULL, 'Glycosyl transferase 1, domain A', 'Glyco_trans_A_1', 3, NULL),
(14473, NULL, 'IPR011864', NULL, 'Phosphate ABC transporter, permease protein PstC', 'Phosphate_PstC', 4, NULL),
(14474, NULL, 'IPR008821', NULL, 'Rubella membrane glycoprotein E2', 'Rubella_E2', 3, NULL),
(14475, NULL, 'IPR008606', NULL, 'Eukaryotic translation initiation factor 4E binding', 'EIF4EBP', 4, NULL),
(14476, NULL, 'IPR014105', NULL, 'Carotenoid/retinoid oxidoreductase', 'Carotenoid/retinoid_OxRdtase', 4, NULL),
(14477, NULL, 'IPR015407', NULL, 'Phytochelatin synthase, C-terminal', 'Phytochelatin_synthase_C', 3, NULL),
(14478, NULL, 'IPR008828', NULL, 'TORC2 component Sin1/Avo1', 'Sin1/Avo1', 4, NULL),
(14479, NULL, 'IPR008629', NULL, 'GUN4-like', 'GUN4-like', 3, NULL),
(14480, NULL, 'IPR015381', NULL, 'XLF, N-terminal', 'XLF_N', 3, NULL),
(14481, NULL, 'IPR014963', NULL, 'Uncharacterised domain UPF0302, N-terminal', 'UPF0302_N', 3, NULL),
(14482, NULL, 'IPR034274', NULL, 'ENP1, carboxypeptidase domain', 'ENP1_M14_CPD', 3, NULL),
(14483, NULL, 'IPR015403', NULL, 'Sec7, C-terminal', 'Sec7_C', 3, NULL),
(14484, NULL, 'IPR035075', NULL, 'PRMT5 arginine-N-methyltransferase', 'PRMT5', 3, NULL),
(14485, NULL, 'IPR011473', NULL, 'Protein of unknown function DUF1579', 'DUF1579', 4, NULL),
(14486, NULL, 'IPR008628', NULL, 'Golgi phosphoprotein 3-like', 'GPP34-like', 4, NULL),
(14487, NULL, 'IPR011874', NULL, 'Fibro-slime', 'Fibro_Slime', 3, NULL),
(14488, NULL, 'IPR013920', NULL, 'Protein of unknown function DUF1774, fungi', 'DUF1774_fun', 4, NULL),
(14489, NULL, 'IPR013938', NULL, '3''5''-cyclic nucleotide phosphodiesterase PDE8', 'PDEase_PDE8', 3, NULL),
(14490, NULL, 'IPR008799', NULL, 'Pseudomonas avirulence D', 'Pseudomon_AvrD', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14491, NULL, 'IPR008837', NULL, 'Serendipity locus alpha', 'Serendipity_A', 4, NULL),
(14492, NULL, 'IPR013935', NULL, 'TRAPP II complex, Trs120', 'TRAPP_II_complex_Trs120', 4, NULL),
(14493, NULL, 'IPR011837', NULL, 'Glycogen debranching enzyme, GlgX type', 'Glycogen_debranch_GlgX', 4, NULL),
(14494, NULL, 'IPR011827', NULL, 'Hydrolyase LeuD/HacB/DmdB', 'LeuD_type2/HacB/DmdB', 4, NULL),
(14495, NULL, 'IPR008602', NULL, 'Duffy-antigen binding', 'Duffy-antigen-binding', 4, NULL),
(14496, NULL, 'IPR013703', NULL, 'Peptidase S49, N-terminal proteobacteria', 'Peptidase_S49_N_proteobac', 3, NULL),
(14497, NULL, 'IPR014949', NULL, 'Protein of unknown function DUF1820', 'DUF1820', 4, NULL),
(14498, NULL, 'IPR014141', NULL, 'DNA helicase subunit RexB', 'DNA_helicase_suRexB', 4, NULL),
(14499, NULL, 'IPR015875', NULL, 'IMP dehydrogenase / GMP reductase, conserved site', 'IMP_DH/GMP_Rdtase_CS', 2, NULL),
(14500, NULL, 'IPR014080', NULL, 'L-lactate oxidase', 'L_lactate_ox', 4, NULL),
(14501, NULL, 'IPR010534', NULL, 'Bacteriophage 933W, GpQ', 'Phage_933W_GpQ', 4, NULL),
(14502, NULL, 'IPR022953', NULL, 'ATP-dependent 6-phosphofructokinase', 'ATP_PFK', 4, NULL),
(14503, NULL, 'IPR010543', NULL, 'Domain of unknown function DUF1117', 'DUF1117', 3, NULL),
(14504, NULL, 'IPR022928', NULL, 'RNA 2''-phosphotransferase KptA, putative', 'RNA_2''-PTrans_KptA', 4, NULL),
(14505, NULL, 'IPR011363', NULL, 'Dorsal-related immunity factor Dif', 'Dif', 4, NULL),
(14506, NULL, 'IPR011480', NULL, 'Protein of unknown function DUF1589', 'DUF1589', 4, NULL),
(14507, NULL, 'IPR011391', NULL, 'Acetoin catabolism kinase AcoX', 'AcoX_kinase', 4, NULL),
(14508, NULL, 'IPR009339', NULL, 'Protein of unknown function DUF998', 'DUF998', 4, NULL),
(14509, NULL, 'IPR011381', NULL, 'Histone H3-K9 methyltransferase', 'Histone_H3-K9_MeTrfase', 4, NULL),
(14510, NULL, 'IPR018943', NULL, 'Oligosaccaryltransferase', 'Oligosaccaryltransferase', 4, NULL),
(14511, NULL, 'IPR009874', NULL, 'Protein of unknown function DUF1428', 'DUF1428', 4, NULL),
(14512, NULL, 'IPR020918', NULL, 'Peptide chain release factor aRF1', 'Peptide_chain-rel_aRF1', 4, NULL),
(14513, NULL, 'IPR020964', NULL, 'Acyl-CoA dehydrogenase, C-terminal', 'Acyl-CoA_dehydrogenase_C', 3, NULL),
(14514, NULL, 'IPR035360', NULL, 'Protein of unknown function DUF5420', 'DUF5420', 4, NULL),
(14515, NULL, 'IPR012442', NULL, 'Protein of unknown function DUF1645, plant', 'DUF1645_plant', 4, NULL),
(14516, NULL, 'IPR022955', NULL, 'GMP synthase', 'GMP_synthase', 4, NULL),
(14517, NULL, 'IPR009329', NULL, 'Protein of unknown function DUF987', 'DUF987', 4, NULL),
(14518, NULL, 'IPR023810', NULL, 'Conserved hypothetical protein CHP03894', 'CHP03894', 4, NULL),
(14519, NULL, 'IPR012454', NULL, 'Protein of unknown function DUF1659', 'DUF1659', 4, NULL),
(14520, NULL, 'IPR020939', NULL, 'Ribosomal protein L34, conserved site', 'Ribosomal_L34_CS', 2, NULL),
(14521, NULL, 'IPR010536', NULL, 'Repulsive guidance molecule, N-terminal', 'RGM_N', 3, NULL),
(14522, NULL, 'IPR022969', NULL, 'Chloride channel YfeO', 'Chloride_channel_YfeO', 4, NULL),
(14523, NULL, 'IPR024763', NULL, 'Vacuolar protein sorting protein 11, C-terminal', 'VPS11_C', 3, NULL),
(14524, NULL, 'IPR020936', NULL, 'tRNA uridine(34) hydroxylase', 'TrhO', 4, NULL),
(14525, NULL, 'IPR022970', NULL, 'Nucleoside triphosphate hydrolase-related', 'NTP_hydrolase-rel', 4, NULL),
(14526, NULL, 'IPR020923', NULL, 'DNA ligase B', 'DNA_ligase_B', 4, NULL),
(14527, NULL, 'IPR020981', NULL, 'Monopolin complex subunit Csm1/Pcs1, C-terminal', '-Csm1/Pcs1_C', 3, NULL),
(14528, NULL, 'IPR009890', NULL, 'Etoposide-induced 2.4', 'EI24', 4, NULL),
(14529, NULL, 'IPR020350', NULL, 'Chemokine-like protein TAFA', 'Chemokine-like_TAFA', 4, NULL),
(14530, NULL, 'IPR009917', NULL, 'SRA1/Sec31', 'SRA1/Sec31', 3, NULL),
(14531, NULL, 'IPR022781', NULL, 'Flagellar biosynthesis protein, FliO', 'Flagellar_biosynth_FliO', 4, NULL),
(14532, NULL, 'IPR009862', NULL, 'Protein of unknown function DUF1419', 'DUF1419', 4, NULL),
(14533, NULL, 'IPR011346', NULL, 'High-molecular-weight cytochrome c', 'Cyt_cc3', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14534, NULL, 'IPR020811', NULL, 'Enolase, N-terminal', 'Enolase_N', 3, NULL),
(14535, NULL, 'IPR022533', NULL, 'Cox20', 'Cox20', 4, NULL),
(14536, NULL, 'IPR009353', NULL, 'Orthopoxvirus N1', 'Orthopox_N1', 4, NULL),
(14537, NULL, 'IPR020557', NULL, 'Fumarate lyase, conserved site', 'Fumarate_lyase_CS', 2, NULL),
(14538, NULL, 'IPR024905', NULL, 'Sec-independent protein translocase protein TatE', 'TatE', 4, NULL),
(14539, NULL, 'IPR022847', NULL, 'Translation elongation factor IF5A, archaeal', 'Transl_elong_IF5A_arc', 4, NULL),
(14540, NULL, 'IPR009368', NULL, 'Protein of unknown function DUF1024', 'DUF1024', 4, NULL),
(14541, NULL, 'IPR009097', NULL, 'Cyclic phosphodiesterase', 'Cyclic_Pdiesterase', 5, NULL),
(14542, NULL, 'IPR011390', NULL, 'Insulin-like growth factor binding protein-related protein (IGFBP-rP), MAC25', 'IGFBP_rP_mac25', 4, NULL),
(14543, NULL, 'IPR010547', NULL, 'Plant specific mitochondrial import receptor subunit TOM20', 'TOM20_imprt_rcpt', 4, NULL),
(14544, NULL, 'IPR009351', NULL, 'Protein of unknown function DUF1006', 'DUF1006', 4, NULL),
(14545, NULL, 'IPR020539', NULL, 'Ribonuclease P, conserved site', 'RNase_P_CS', 2, NULL),
(14546, NULL, 'IPR020957', NULL, 'Tachystatin B', 'Tachystatin_B', 4, NULL),
(14547, NULL, 'IPR022535', NULL, 'Golgi pH regulator, conserved domain', 'Golgi_pH-regulator_cons_dom', 3, NULL),
(14548, NULL, 'IPR009325', NULL, 'Protein of unknown function DUF983', 'DUF983', 4, NULL),
(14549, NULL, 'IPR009369', NULL, 'Actinobacillus actinomycetemcomitans leukotoxin activator LktC', 'LktC', 4, NULL),
(14550, NULL, 'IPR018543', NULL, 'Adhesion protein FadA', 'Adhesion_FadA', 4, NULL),
(14551, NULL, 'IPR008642', NULL, 'Herpesvirus BLRF2', 'Herpes_BLRF2', 4, NULL),
(14552, NULL, 'IPR022555', NULL, 'Protein of unknown function, DUF2577', 'DUF2577', 4, NULL),
(14553, NULL, 'IPR022921', NULL, 'Methionine synthase MetE, archaeal', 'MetE_arc', 4, NULL),
(14554, NULL, 'IPR009896', NULL, 'Cytadhesin P30/P32', 'Cytadhesin_P30/P32', 4, NULL),
(14555, NULL, 'IPR020351', NULL, 'Phage tail assemb.y chaperone protein, TAC', 'Phage_TAC_9', 4, NULL),
(14556, NULL, 'IPR022698', NULL, 'Protein of unknown function DUF3505', 'DUF3505', 4, NULL),
(14557, NULL, 'IPR009881', NULL, 'Protein of unknown function DUF1433', 'DUF1433', 4, NULL),
(14558, NULL, 'IPR020538', NULL, 'Hydrogenase nickel incorporation protein HypA/HybF, conserved site', 'Hydgase_Ni_incorp_HypA/HybF_CS', 2, NULL),
(14559, NULL, 'IPR024934', NULL, 'Rubredoxin-like domain', 'Rubredoxin-like_dom', 3, NULL),
(14560, NULL, 'IPR020972', NULL, 'Dermonecrotic/RTX toxin, membrane localization domain', 'Dermonecrotic/RTX_toxin_MLD', 3, NULL),
(14561, NULL, 'IPR012437', NULL, 'Domain of unknown function DUF1638', 'DUF1638', 3, NULL),
(14562, NULL, 'IPR020958', NULL, 'Domain of unknown function DUF3686', 'DUF3686', 3, NULL),
(14563, NULL, 'IPR009316', NULL, 'COG complex component, COG2', 'COG2', 4, NULL),
(14564, NULL, 'IPR023268', NULL, 'RNA (C5-cytosine) methyltransferase, putative Rsm-related, plant', 'RCMT_RsmB-rel_pln', 4, NULL),
(14565, NULL, 'IPR022923', NULL, 'tRNA (guanine(26)-N(2))-dimethyltransferase, archaeal and bacterial', 'TRM1_arc_bac', 4, NULL),
(14566, NULL, 'IPR009337', NULL, 'Protein of unknown function DUF995', 'DUF995', 4, NULL),
(14567, NULL, 'IPR020921', NULL, 'Erythronate-4-phosphate dehydrogenase', 'Erythronate-4-P_DHase', 4, NULL),
(14568, NULL, 'IPR020809', NULL, 'Enolase, conserved site', 'Enolase_CS', 2, NULL),
(14569, NULL, 'IPR022722', NULL, 'Non-structural protein ORF8, betacoronavirus', 'ORF8_betacoronavirus', 4, NULL),
(14570, NULL, 'IPR022963', NULL, 'Galactokinase, bacterial', 'Galactokinase_bac', 4, NULL),
(14571, NULL, 'IPR034995', NULL, 'SRSF9, RNA recognition motif 2', 'SRSF9_RRM2', 3, NULL),
(14572, NULL, 'IPR009360', NULL, 'Pre-mRNA-splicing factor Isy1', 'Isy1', 4, NULL),
(14573, NULL, 'IPR022787', NULL, 'D-proline reductase (dithiol), PrdB protein', 'D_pro_red_PrdB', 4, NULL),
(14574, NULL, 'IPR012469', NULL, 'Protein of unknown function DUF1688', 'DUF1688', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14575, NULL, 'IPR010542', NULL, 'Vertebrate heat shock transcription factor, C-terminal domain', 'Vert_HSTF_C', 3, NULL),
(14576, NULL, 'IPR020239', NULL, 'Protein of unknown function DUF5511', 'DUF5511', 4, NULL),
(14577, NULL, 'IPR022692', NULL, 'Geminivirus AL1 replication-associated protein, central domain', 'Gemini_AL1_REP_central', 3, NULL),
(14578, NULL, 'IPR023813', NULL, 'Conserved hypothetical protein CHP03987', 'CHP03987', 4, NULL),
(14579, NULL, 'IPR022801', NULL, 'Ribosomal protein S4/S9', 'Ribosomal_S4/S9', 4, NULL),
(14580, NULL, 'IPR009869', NULL, 'Nematode resistance protein-like HSPRO1, N-terminal', 'HSPRO1_N', 3, NULL),
(14581, NULL, 'IPR010533', NULL, 'Vertebrate interleukin-3 regulated transcription factor', 'Vert_IL3-reg_TF', 3, NULL),
(14582, NULL, 'IPR009908', NULL, 'Methylamine utilisation protein, MauE', 'Methylamine_util_MauE', 3, NULL),
(14583, NULL, 'IPR009311', NULL, 'Interferon alpha-inducible protein IFI6/IFI27-like', 'IFI6/IFI27-like', 4, NULL),
(14584, NULL, 'IPR009875', NULL, 'PilZ domain', 'PilZ_domain', 3, NULL),
(14585, NULL, 'IPR009867', NULL, 'Protein of unknown function DUF1422', 'DUF1422', 4, NULL),
(14586, NULL, 'IPR011383', NULL, 'N-lysine methyltransferase SETD6', 'N-lys_methylase_SETD6', 4, NULL),
(14587, NULL, 'IPR018051', NULL, 'Surfactant-associated polypeptide, palmitoylation site', 'SP-C_palmitoylation_site', 6, NULL),
(14588, NULL, 'IPR023762', NULL, 'CDP-diacylglycerol--glycerol-3-phosphate 3-phosphatidyltransferase, bacterial', 'PGP_synthase_bac', 4, NULL),
(14589, NULL, 'IPR035386', NULL, 'Arm, DNA-binding domain', 'Arm-DNA-bind_5', 3, NULL),
(14590, NULL, 'IPR020988', NULL, 'Peptidase U32, collagenase', 'Pept_U32_collagenase', 3, NULL),
(14591, NULL, 'IPR022452', NULL, 'Antitoxin MqsA', 'MqsA', 4, NULL),
(14592, NULL, 'IPR020905', NULL, 'NAD(P)H-quinone oxidoreductase subunit O', 'NdhO', 4, NULL),
(14593, NULL, 'IPR012451', NULL, 'Protein of unknown function DUF1656', 'DUF1656', 4, NULL),
(14594, NULL, 'IPR022783', NULL, 'GCF, C-terminal', 'GCFC_dom', 3, NULL),
(14595, NULL, 'IPR020990', NULL, 'Carboxysome assembly protein', 'CSOS2', 4, NULL),
(14596, NULL, 'IPR024918', NULL, '3''-5'' ssDNA/RNA exonuclease TatD', 'Exonuc_TatD', 4, NULL),
(14597, NULL, 'IPR020948', NULL, 'Phosphate-starvation-induced PsiE-like', 'P_starv_induced_PsiE-like', 4, NULL),
(14598, NULL, 'IPR009872', NULL, 'Protein of unknown function DUF1427', 'DUF1427', 4, NULL),
(14599, NULL, 'IPR009319', NULL, 'Bacteriophage A118, Gp4, minor capsid', 'Phage_A118_Gp4', 4, NULL),
(14600, NULL, 'IPR011388', NULL, 'Sphingolipid delta4-desaturase', 'DES1/DES2', 4, NULL),
(14601, NULL, 'IPR022688', NULL, 'Replication-associated protein G2P, C-terminal', 'G2P_C', 3, NULL),
(14602, NULL, 'IPR023775', NULL, 'Bifunctional protein Aas', 'Aas', 4, NULL),
(14603, NULL, 'IPR009318', NULL, 'Gustatory receptor', 'Gustatory_rcpt', 4, NULL),
(14604, NULL, 'IPR018531', NULL, 'Protein of unknown function DUF1993', 'DUF1993', 4, NULL),
(14605, NULL, 'IPR020944', NULL, 'Nodulation protein S, NodS', 'NodS', 4, NULL),
(14606, NULL, 'IPR022604', NULL, 'Protein of unknown function DUF2955', 'DUF2955', 4, NULL),
(14607, NULL, 'IPR009910', NULL, 'Protein of unknown function DUF1450', 'DUF1450', 4, NULL),
(14608, NULL, 'IPR022973', NULL, 'Ribosomal protein L10', 'Ribosomal_L10', 4, NULL),
(14609, NULL, 'IPR024271', NULL, 'Protein of unknown function DUF3782', 'DUF3782', 4, NULL),
(14610, NULL, 'IPR022957', NULL, 'Uncharacterised protein family UPF0299', 'Uncharacterised_UPF0299', 4, NULL),
(14611, NULL, 'IPR009857', NULL, 'Uncharacterised protein family UPF0352', 'UPF0352', 4, NULL),
(14612, NULL, 'IPR009860', NULL, 'Hyaluronidase, bacterial', 'Hyaluronidase_bac', 4, NULL),
(14613, NULL, 'IPR023704', NULL, 'Glucan biosynthesis protein G', 'MdoG_OpgG', 4, NULL),
(14614, NULL, 'IPR022607', NULL, 'Baseplate wedge protein gp53, bacteriophage T4', 'Phage_T4_Gp53_baseplate_wedge', 4, NULL),
(14615, NULL, 'IPR009893', NULL, 'Nucleopolyhedrovirus capsid P80/P87', 'Nucleo_P80/P87', 4, NULL),
(14616, NULL, 'IPR023814', NULL, 'Conserved hypothetical protein CHP03982', 'CHP03982', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14617, NULL, 'IPR022954', NULL, 'Uncharacterised protein family UPF0148', 'UPF0148', 4, NULL),
(14618, NULL, 'IPR022556', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), Orf5', 'AcMNPV_Orf5', 4, NULL),
(14619, NULL, 'IPR034991', NULL, 'RNA-binding protein 5, RNA recognition motif 1', 'RBM5_RRM1', 3, NULL),
(14620, NULL, 'IPR022958', NULL, 'Uncharacterised protein family UPF0294', 'UPF0294', 4, NULL),
(14621, NULL, 'IPR012334', NULL, 'Pectin lyase fold', 'Pectin_lyas_fold', 5, NULL),
(14622, NULL, 'IPR022724', NULL, 'RNA methyltransferase, SpoU/TrmH type, C-terminal', 'rRNA_MeTrfase_SpoU_C', 3, NULL),
(14623, NULL, 'IPR018046', NULL, 'Pili assembly chaperone, conserved site', 'Pili_assmbl_chaperone_CS', 2, NULL),
(14624, NULL, 'IPR034382', NULL, '3,6-anhydro-alpha-L-galactonate cycloisomerase', 'AHGA_cycloisomerase', 4, NULL),
(14625, NULL, 'IPR022885', NULL, 'NAD(P)H-quinone oxidoreductase subunit D/H', 'NDH1_su_D/H', 4, NULL),
(14626, NULL, 'IPR018537', NULL, 'Peptidoglycan binding domain', 'Peptidoglycan-bd_3', 3, NULL),
(14627, NULL, 'IPR009363', NULL, 'Bacteriophage Mu, Gp16', 'Phage_Mu_Gp16', 4, NULL),
(14628, NULL, 'IPR018490', NULL, 'Cyclic nucleotide-binding-like', 'cNMP-bd-like', 5, NULL),
(14629, NULL, 'IPR022926', NULL, 'NH(3)-dependent NAD(+) synthetase', 'NH(3)-dep_NAD(+)_synth', 4, NULL),
(14630, NULL, 'IPR024824', NULL, 'Growth arrest and DNA damage-inducible protein GADD45', 'GADD45', 4, NULL),
(14631, NULL, 'IPR020962', NULL, 'Bacteriophage phiX174, GpK', 'Phage_phiX174_GpK', 4, NULL),
(14632, NULL, 'IPR009871', NULL, 'Movement and RNA silencing protein', 'MP', 4, NULL),
(14633, NULL, 'IPR011360', NULL, 'Complement B/C2', 'Compl_C2_B', 4, NULL),
(14634, NULL, 'IPR024909', NULL, 'Cysteinyl-tRNA synthetase/mycothiol ligase', 'Cys-tRNA/MSH_ligase', 4, NULL),
(14635, NULL, 'IPR035361', NULL, 'Honey bee toxin', 'Bee_toxin', 4, NULL),
(14636, NULL, 'IPR018534', NULL, 'Tetracycline regulation of excision, RteC', 'Tet_reg_excision_RteC', 4, NULL),
(14637, NULL, 'IPR020906', NULL, 'Double-stranded DNA-binding Cren7', 'dsDNA-bd_Cren7', 4, NULL),
(14638, NULL, 'IPR022956', NULL, 'Beta-hexosaminidase, bacterial', 'Beta_hexosaminidase_bac', 4, NULL),
(14639, NULL, 'IPR018540', NULL, 'Aspartyl-phosphate phosphatase Spo0E-like', 'Spo0E-like', 4, NULL),
(14640, NULL, 'IPR022558', NULL, 'Protein of unknown function DUF2654', 'DUF2654', 4, NULL),
(14641, NULL, 'IPR012439', NULL, 'Mitochondrial calcium uniporter regulator 1', 'MCUR1', 4, NULL),
(14642, NULL, 'IPR011364', NULL, 'Breast cancer type 1 susceptibility protein (BRCA1)', 'BRCA1', 4, NULL),
(14643, NULL, 'IPR022933', NULL, 'Uncharacterised protein family UPF0353', 'UPF0353', 4, NULL),
(14644, NULL, 'IPR012436', NULL, 'Protein of unknown function DUF1633', 'DUF1633', 4, NULL),
(14645, NULL, 'IPR009328', NULL, 'Protein of unknown function DUF986', 'DUF986', 4, NULL),
(14646, NULL, 'IPR035946', NULL, 'YML108W-like superfamily', 'YML108W-like_sf', 5, NULL),
(14647, NULL, 'IPR009883', NULL, 'Inner membrane protein YgfX', 'YgfX', 4, NULL),
(14648, NULL, 'IPR012460', NULL, 'Protein of unknown function DUF1667', 'DUF1667', 4, NULL),
(14649, NULL, 'IPR022815', NULL, 'Protease inhibitor I38', 'Prot_inh_I38', 4, NULL),
(14650, NULL, 'IPR018536', NULL, 'Chromophore lyase CpcS/CpeS', 'CpcS/CpeS', 4, NULL),
(14651, NULL, 'IPR022971', NULL, '5''-deoxynucleotidase YfbR', 'YfbR', 4, NULL),
(14652, NULL, 'IPR022554', NULL, 'Respiratory growth induced protein 1', 'RGI1', 4, NULL),
(14653, NULL, 'IPR018048', NULL, 'CXC chemokine, conserved site', 'Chemokine_CXC_CS', 2, NULL),
(14654, NULL, 'IPR009365', NULL, 'Nucleopolyhedrovirus LEF-12', 'Nucleo_LEF-12', 4, NULL),
(14655, NULL, 'IPR020608', NULL, 'RNA polymerase, subunit H/Rpb5, conserved site', 'RNA_pol_subH/Rpb5_CS', 2, NULL),
(14656, NULL, 'IPR009903', NULL, 'Per os infectivity factor AC110', 'AcMNPV_AC110', 4, NULL),
(14657, NULL, 'IPR023815', NULL, 'CRISPR-associated protein A791736', 'CRISPR-assoc_A791736', 4, NULL),
(14658, NULL, 'IPR011385', NULL, 'Putative site-specific recombinase Gcr', 'Site-sp_rcmbase', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14659, NULL, 'IPR020931', NULL, 'Decarboxylase MfnA, archaea', 'MfnA', 4, NULL),
(14660, NULL, 'IPR012459', NULL, 'Ribosomal RNA-processing protein 15', 'Rrp15', 4, NULL),
(14661, NULL, 'IPR009902', NULL, 'Protein of unknown function DUF1442', 'DUF1442', 4, NULL),
(14662, NULL, 'IPR020752', NULL, 'Glutamate-tRNA synthetase, class I, anticodon-binding domain, subdomain 1', 'Glu-tRNA-synth_I_codon-bd_sub1', 5, NULL),
(14663, NULL, 'IPR024913', NULL, 'tRNA(Ile2) 2-agmatinylcytidine synthetase TiaS', 'tRNA_Ile2__agm2C_synt', 4, NULL),
(14664, NULL, 'IPR009866', NULL, 'NADH:ubiquinone oxidoreductase, subunit NDUFB4', 'NADH_UbQ_OxRdtase_NDUFB4_su', 4, NULL),
(14665, NULL, 'IPR022553', NULL, 'Protein of unknown function DUF2645', 'DUF2645', 4, NULL),
(14666, NULL, 'IPR009367', NULL, 'Mitochondrial fission protein ELM1-like', 'Elm1-like', 4, NULL),
(14667, NULL, 'IPR023739', NULL, '3-phenylpropionate/cinnamic acid dioxygenase, ferredoxin subunit', 'HcaC', 4, NULL),
(14668, NULL, 'IPR009884', NULL, 'Benyvirus 14kDa', 'Benyvirus_14kDa', 4, NULL),
(14669, NULL, 'IPR009315', NULL, 'Phosphate-starvation-induced PsiE', 'P_starv_induced_PsiE', 4, NULL),
(14670, NULL, 'IPR022887', NULL, 'Cell division suppressor protein, YneA', 'Cell_div_suppressor_YneA', 4, NULL),
(14671, NULL, 'IPR009878', NULL, 'Phlebovirus glycoprotein G2, fusion domain', 'Phlebovirus_G2_fusion', 3, NULL),
(14672, NULL, 'IPR020942', NULL, 'Class III cytochrome C', 'Cyt_c_III_dom', 3, NULL),
(14673, NULL, 'IPR035993', NULL, 'Notch-like domain superfamily', 'Notch-like_dom_sf', 5, NULL),
(14674, NULL, 'IPR010546', NULL, 'Protein of unknown function DUF1120', 'DUF1120', 4, NULL),
(14675, NULL, 'IPR023684', NULL, 'Tyrosine-tRNA ligase, type 3', 'Tyr-tRNA-ligase_3', 4, NULL),
(14676, NULL, 'IPR023678', NULL, 'Tyrosine-tRNA ligase, type 4', 'Tyr-tRNA-ligase_4', 4, NULL),
(14677, NULL, 'IPR022925', NULL, 'NADH pyrophosphatase NudC', 'NADH_pyroPase_NudC', 4, NULL),
(14678, NULL, 'IPR024129', NULL, 'Sphingomyelin phosphodiesterase 4', 'Sphingomy_SMPD4', 4, NULL),
(14679, NULL, 'IPR035387', NULL, 'Protein of unknown function DUF5406', 'DUF5406', 4, NULL),
(14680, NULL, 'IPR010545', NULL, 'Signal-peptide peptidase, presenilin aspartyl protease', 'SPP', 4, NULL),
(14681, NULL, 'IPR009880', NULL, 'Glyoxal oxidase, N-terminal', 'Glyoxal_oxidase_N', 3, NULL),
(14682, NULL, 'IPR020910', NULL, 'Uncharacterised protein family UPF0370', 'UPF0370', 4, NULL),
(14683, NULL, 'IPR017956', NULL, 'AT hook, DNA-binding motif', 'AT_hook_DNA-bd_motif', 2, NULL),
(14684, NULL, 'IPR020979', NULL, 'Uncharacterised protein family A0KLC6', 'Uncharacterised_A0KLC6', 4, NULL),
(14685, NULL, 'IPR012332', NULL, 'Autotransporter, pectate lyase C-like domain superfamily', 'Autotransporter_pectin_lyase_C', 5, NULL),
(14686, NULL, 'IPR009335', NULL, 'Type III secretion system HrpE /V-type ATP synthase subunit E', 'T3SS_HrpE/ATPase_suE', 4, NULL),
(14687, NULL, 'IPR010532', NULL, 'Sulfocyanin', 'SoxE', 4, NULL),
(14688, NULL, 'IPR009349', NULL, 'Zinc finger, C2HC5-type', 'Znf_C2HC5', 3, NULL),
(14689, NULL, 'IPR009312', NULL, 'Minor tail protein U-like', 'Phage_lambda_GpU-like', 4, NULL),
(14690, NULL, 'IPR009348', NULL, 'Nitrogen permease regulator 2', 'NPR2', 4, NULL),
(14691, NULL, 'IPR022792', NULL, 'Type II secretion system protein GspN', 'T2SS_protein-GspN', 4, NULL),
(14692, NULL, 'IPR010539', NULL, 'Protein of unknown function UCP009160', 'UCP009160', 4, NULL),
(14693, NULL, 'IPR022941', NULL, 'Signal recognition particle, SRP54 subunit', 'SRP54', 4, NULL),
(14694, NULL, 'IPR018049', NULL, 'Interleukin-7/Interleukin-9, conserved site', 'IL-7/IL-9_CS', 2, NULL),
(14695, NULL, 'IPR009364', NULL, 'Putative bacterial toxin YdaT', 'YdaT_toxin', 3, NULL),
(14696, NULL, 'IPR035388', NULL, 'Swarming motility protein SwrA', 'SwrA', 4, NULL),
(14697, NULL, 'IPR012434', NULL, 'Protein of unknown function DUF1631', 'DUF1631', 4, NULL),
(14698, NULL, 'IPR022737', NULL, 'RNA polymerase recycling, bacterial, C-terminal', 'RapA_C', 3, NULL),
(14699, NULL, 'IPR020993', NULL, 'Centromere protein Cenp-K', 'Centromere_CenpK', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14700, NULL, 'IPR020912', NULL, 'Uncharacterised protein family UPF0295', 'UPF0295', 4, NULL),
(14701, NULL, 'IPR022939', NULL, 'Nitrobindin, bacteria/plant', 'Nb(III)_bact/plant', 4, NULL),
(14702, NULL, 'IPR009900', NULL, 'Apopolysialoglycoprotein', 'PSGP', 7, NULL),
(14703, NULL, 'IPR012449', NULL, 'Bacteriophage F116, Orf28', 'Phage_F116_Orf28', 4, NULL),
(14704, NULL, 'IPR022930', NULL, 'Protein of unknown function UPF0316', 'UPF0316', 4, NULL),
(14705, NULL, 'IPR022944', NULL, 'ATPase, V1 complex, subunit F, bacterial/archaeal', 'ATPase_V1-cplx_fsu_bac/arc', 4, NULL),
(14706, NULL, 'IPR009377', NULL, 'Ethanolamine ammonia-lyase reactivase EutA', 'EutA', 4, NULL),
(14707, NULL, 'IPR024759', NULL, 'UvrB, YAD/RRR-motif-containing domain', 'UvrB_YAD/RRR_dom', 3, NULL),
(14708, NULL, 'IPR009357', NULL, 'Solute carrier family 52, riboflavin transporter', 'Riboflavin_transptr', 4, NULL),
(14709, NULL, 'IPR024929', NULL, 'Nucleolar GTP-binding protein 2', 'NOG2', 4, NULL),
(14710, NULL, 'IPR020840', NULL, 'Extracellular matrix-binding protein ebh, GA module', 'Extracell_matrix-bd_GA', 3, NULL),
(14711, NULL, 'IPR022893', NULL, 'Shikimate dehydrogenase family', 'Shikimate_DH_fam', 4, NULL),
(14712, NULL, 'IPR020930', NULL, 'Ribosomal protein L5, bacterial-type', 'Ribosomal_L5_bac-type', 4, NULL),
(14713, NULL, 'IPR022932', NULL, 'Putative phosphoesterase YjcG', 'YjcG', 4, NULL),
(14714, NULL, 'IPR020978', NULL, 'Cryptochrome C-terminal', 'Cryptochrome_C', 3, NULL),
(14715, NULL, 'IPR022735', NULL, 'bMERB domain', 'bMERB_dom', 3, NULL),
(14716, NULL, 'IPR022972', NULL, 'Uncharacterised protein family UPF0292', 'UPF0292', 4, NULL),
(14717, NULL, 'IPR009912', NULL, 'Zinc-ribbon containing domain', 'DUF1451', 4, NULL),
(14718, NULL, 'IPR023744', NULL, '3-phenylpropionate/cinnamic acid dioxygenase, ferredoxin--NAD(+) reductase subunit', 'HcaD', 4, NULL),
(14719, NULL, 'IPR022952', NULL, 'Archease, archaea', 'Archease_arc', 4, NULL),
(14720, NULL, 'IPR012441', NULL, 'Protein of unknown function DUF1643', 'DUF1643', 4, NULL),
(14721, NULL, 'IPR009362', NULL, 'YhcG PDDEXK nuclease domain', 'YhcG_C', 3, NULL),
(14722, NULL, 'IPR009876', NULL, 'Outer membrane adhesin OpcA', 'OM_adhesin_OpcA', 4, NULL),
(14723, NULL, 'IPR024914', NULL, 'tRNA(Met) cytidine acetyltransferase TmcA', 'tRNA_acetyltr_TmcA', 4, NULL),
(14724, NULL, 'IPR034485', NULL, 'Anaerobic Cys-type sulfatase-maturating enzyme', 'Anaerobic_Cys-type_sulfatase-m', 4, NULL),
(14725, NULL, 'IPR022690', NULL, 'Geminivirus AL1 replication-associated protein, catalytic domain', 'Gemini_AL1_REP_cat-dom', 3, NULL),
(14726, NULL, 'IPR020935', NULL, 'Phosphodiesterase YfcE, conserved site', 'PdiEstase_YfcE_CS', 2, NULL),
(14727, NULL, 'IPR023269', NULL, 'RNA (C5-cytosine) methyltransferase, subfamily 9', 'RCMT_subfamily_9', 4, NULL),
(14728, NULL, 'IPR020915', NULL, 'Uncharacterised protein family UPF0311', 'UPF0311', 4, NULL),
(14729, NULL, 'IPR022790', NULL, 'Glycosyl hydrolase family 26 domain', 'GH26_dom', 3, NULL),
(14730, NULL, 'IPR022876', NULL, 'Redox-sensing transcriptional repressor Rex', 'Tscrpt_rep_Rex', 4, NULL),
(14731, NULL, 'IPR012447', NULL, 'Protein of unknown function DUF1651', 'DUF1651', 4, NULL),
(14732, NULL, 'IPR009373', NULL, 'Circovirus 2, Orf5', 'Circovirus2_Orf5', 4, NULL),
(14733, NULL, 'IPR023688', NULL, 'Cell division protein ZapA, firmicutes', 'Cell_div_ZapA_firmicutes', 4, NULL),
(14734, NULL, 'IPR020914', NULL, 'Uncharacterised protein family UPF0442', 'UPF0442', 4, NULL),
(14735, NULL, 'IPR020949', NULL, 'Prion, copper binding octapeptide repeat', 'Prion_copper_b_octapeptide', 7, NULL),
(14736, NULL, 'IPR018542', NULL, 'Protein 9b, Betacoronavirus', 'Protein_9b_Betacoronavirus', 4, NULL),
(14737, NULL, 'IPR009347', NULL, 'Rice tungro bacilliform virus P46', 'RTBV_P46', 4, NULL),
(14738, NULL, 'IPR019841', NULL, 'Osteopontin, conserved site', 'Osteopontin_CS', 2, NULL),
(14739, NULL, 'IPR009326', NULL, 'Protein of unknown function DUF984', 'DUF984', 4, NULL),
(14740, NULL, 'IPR020971', NULL, 'ATP synthase, F1 beta subunit', 'ATP_synth_F1_beta_su', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14741, NULL, 'IPR022975', NULL, 'Pyrimidine-specific ribonucleoside hydrolase RihA', 'Pyrim_hydro_RihA', 4, NULL),
(14742, NULL, 'IPR034964', NULL, 'Lumazine synthase', 'LS', 4, NULL),
(14743, NULL, 'IPR009333', NULL, 'Protein of unknown function DUF992', 'DUF992', 4, NULL),
(14744, NULL, 'IPR009889', NULL, 'Dentin matrix 1', 'DMP1', 4, NULL),
(14745, NULL, 'IPR009907', NULL, 'RNA polymerase epsilon subunit', 'RpoY', 4, NULL),
(14746, NULL, 'IPR012475', NULL, 'Fucose-specific lectin', 'Fungal_lectin', 4, NULL),
(14747, NULL, 'IPR020974', NULL, 'CGT/MARTX, cysteine protease (CPD) domain', 'CPD_dom', 3, NULL),
(14748, NULL, 'IPR022897', NULL, 'HTH-type transcription regulator MntR', 'HTH_tscrpt_reg_MntR', 4, NULL),
(14749, NULL, 'IPR012331', NULL, 'Clathrin, heavy chain, linker', 'Clathrin_H-chain_linker', 5, NULL),
(14750, NULL, 'IPR010537', NULL, 'Avian adenovirus fibre, N-terminal', 'Avian_adenovirus_fibre_N', 3, NULL),
(14751, NULL, 'IPR011356', NULL, 'Peptidase M17, leucine aminopeptidase/peptidase B', 'Leucine_aapep/pepB', 4, NULL),
(14752, NULL, 'IPR018491', NULL, 'SLC12A transporter, C-terminal', 'SLC12_C', 3, NULL),
(14753, NULL, 'IPR009372', NULL, 'Poxvirus virion membrane protein A14.5', 'Poxvirus_A14.5', 4, NULL),
(14754, NULL, 'IPR035394', NULL, 'Glycosyl hydrolase family 59, central domain', 'Glyco_hydro_59_dom', 3, NULL),
(14755, NULL, 'IPR024917', NULL, 'Propionate kinase', 'Propionate_kinase', 4, NULL),
(14756, NULL, 'IPR012468', NULL, 'Protein of unknown function DUF1686', 'DUF1686', 4, NULL),
(14757, NULL, 'IPR009314', NULL, 'Coronavirus nonstructural NS1', 'Corona_NS1', 4, NULL),
(14758, NULL, 'IPR034993', NULL, 'RNA-binding protein 5, RNA recognition motif 2', 'RBM5_RRM2', 3, NULL),
(14759, NULL, 'IPR020941', NULL, 'Suppressor of fused-like domain', 'SUFU-like_domain', 3, NULL),
(14760, NULL, 'IPR020554', NULL, 'Uncharacterised protein family UPF0021, conserved site', 'UPF0021_CS', 2, NULL),
(14761, NULL, 'IPR040441', NULL, 'Cilia- and flagella-associated protein 20/CFAP20DC', 'CFA20/CFAP20DC', 4, NULL),
(14762, NULL, 'IPR020843', NULL, 'Polyketide synthase, enoylreductase domain', 'PKS_ER', 3, NULL),
(14763, NULL, 'IPR022929', NULL, 'Putative manganese efflux pump MntP', 'Put_MntP', 4, NULL),
(14764, NULL, 'IPR022728', NULL, 'Period circadian-like, C-terminal', 'Period_circadian-like_C', 3, NULL),
(14765, NULL, 'IPR022914', NULL, 'Protein of unknown function UPF0397', 'UPF0397', 4, NULL),
(14766, NULL, 'IPR022937', NULL, 'Mevalonate kinase, archaeal', 'Mevalonate_kinase_arc', 4, NULL),
(14767, NULL, 'IPR009332', NULL, 'Mediator of RNA polymerase II transcription subunit 22', 'Med22', 4, NULL),
(14768, NULL, 'IPR020983', NULL, 'Basic leucine-zipper, C-terminal', 'Basic_leucine-zipper_C', 3, NULL),
(14769, NULL, 'IPR012446', NULL, 'Calcium release-activated calcium channel protein', 'CRAC_channel', 4, NULL),
(14770, NULL, 'IPR020911', NULL, 'Uncharacterised protein family UPF0325', 'UPF0325', 4, NULL),
(14771, NULL, 'IPR020956', NULL, 'Transcription factor Aft1, osmotic stress domain', 'TF_Aft1_OSM', 3, NULL),
(14772, NULL, 'IPR020920', NULL, 'L-lactate dehydrogenase, bacterial', 'LldD', 4, NULL),
(14773, NULL, 'IPR009913', NULL, 'TraP', 'TraP', 4, NULL),
(14774, NULL, 'IPR009870', NULL, 'Putative replication protein DUF1424', 'DUF1424', 4, NULL),
(14775, NULL, 'IPR022831', NULL, 'Multidrug resistance protein MdtB', 'Multidrug-R_MdtB', 4, NULL),
(14776, NULL, 'IPR018539', NULL, 'SUN domain-containing protein 1', 'SUN1', 4, NULL),
(14777, NULL, 'IPR012464', NULL, 'Protein of unknown function DUF1676', 'DUF1676', 4, NULL),
(14778, NULL, 'IPR022976', NULL, 'Non-specific ribonucleoside hydrolase RihC', 'Nucleosid_hydro_RihC_nonspecif', 4, NULL),
(14779, NULL, 'IPR022951', NULL, 'Uncharacterised protein family UPF0309', 'UPF0309', 4, NULL),
(14780, NULL, 'IPR018050', NULL, 'Phosphomannose isomerase, type I, conserved site', 'Pmannose_isomerase-type1_CS', 2, NULL),
(14781, NULL, 'IPR022803', NULL, 'Ribosomal protein L5 domain superfamily', 'Ribosomal_L5_dom_sf', 5, NULL),
(14782, NULL, 'IPR011379', NULL, 'NTP Pyrophosphohydrolase MazG-related, GP37', 'MazG-related_GP37', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14783, NULL, 'IPR018535', NULL, 'Domain of unknown function DUF1996', 'DUF1996', 3, NULL),
(14784, NULL, 'IPR035400', NULL, 'Urocanase, N-terminal domain', 'Urocanase_N', 3, NULL),
(14785, NULL, 'IPR020976', NULL, 'Antimicrobial peptide, lci', 'Antimicrobial_lci', 4, NULL),
(14786, NULL, 'IPR012466', NULL, 'NECAP, PHear domain', 'NECAP_PHear', 3, NULL),
(14787, NULL, 'IPR020913', NULL, 'Uncharacterised protein family UPF0323', 'UPF0323', 4, NULL),
(14788, NULL, 'IPR010530', NULL, 'NADH-ubiquinone reductase complex 1 MLRQ subunit', 'B12D', 4, NULL),
(14789, NULL, 'IPR009309', NULL, 'IreB regulatory phosphoprotein', 'IreB', 4, NULL),
(14790, NULL, 'IPR022451', NULL, 'Conserved hypothetical protein CHP03829, YokU', 'CHP03829_YokU', 4, NULL),
(14791, NULL, 'IPR023707', NULL, 'Outer membrane protein assembly factor BamA', 'OM_assembly_BamA', 4, NULL),
(14792, NULL, 'IPR012450', NULL, 'Bacteriophage bIL310, Orf15', 'Phage_bIL310_Orf15', 4, NULL),
(14793, NULL, 'IPR012455', NULL, 'Protein of unknown function DUF1660', 'DUF1660', 4, NULL),
(14794, NULL, 'IPR013342', NULL, 'Mandelate racemase/muconate lactonizing enzyme, C-terminal', 'Mandelate_racemase_C', 3, NULL),
(14795, NULL, 'IPR011375', NULL, 'MfnE family', 'MfnE', 4, NULL),
(14796, NULL, 'IPR022934', NULL, 'Manganese-dependent inorganic pyrophosphatase, probable', 'Mn-dep_inorganic_PyrPase', 4, NULL),
(14797, NULL, 'IPR011367', NULL, 'Haemoglobin, polymeric', 'Haemoglobin_polymeric', 4, NULL),
(14798, NULL, 'IPR009346', NULL, 'GRIM-19', 'GRIM-19', 4, NULL),
(14799, NULL, 'IPR012458', NULL, 'Domain of unknown function DUF1664', 'DUF1664', 3, NULL),
(14800, NULL, 'IPR022529', NULL, 'Protein of unknown function DUF3530', 'DUF3530', 4, NULL),
(14801, NULL, 'IPR010540', NULL, 'Putative ABC-transporter type IV CmpB/TMEM229', 'CmpB_TMEM229', 4, NULL),
(14802, NULL, 'IPR022950', NULL, 'Homogentisate 1,2-dioxygenase, bacterial', 'Homogentis_dOase_bac', 4, NULL),
(14803, NULL, 'IPR009338', NULL, 'Protein of unknown function  Orf51', 'Orf51', 4, NULL),
(14804, NULL, 'IPR020751', NULL, 'Aminoacyl-tRNA synthetase, class I, anticodon-binding domain, subdomain 2', 'aa-tRNA-synth_I_codon-bd_sub2', 5, NULL),
(14805, NULL, 'IPR012473', NULL, 'Fibritin C-terminal', 'Fibritin_C', 3, NULL),
(14806, NULL, 'IPR022376', NULL, 'PQQ-dependent catabolism-associated CXXCW motif', 'PQQ_CXXCW', 4, NULL),
(14807, NULL, 'IPR022967', NULL, 'RNA-binding domain, S1', 'S1_dom', 3, NULL),
(14808, NULL, 'IPR023299', NULL, 'P-type ATPase, cytoplasmic domain N', 'ATPase_P-typ_cyto_dom_N', 5, NULL),
(14809, NULL, 'IPR012467', NULL, 'Protein of unknown function DUF1684', 'DUF1684', 4, NULL),
(14810, NULL, 'IPR018053', NULL, 'Glycoside hydrolase, family 32, active site', 'Glyco_hydro_32_AS', 0, NULL),
(14811, NULL, 'IPR022804', NULL, 'Ribosomal protein L5, archaeal', 'Ribosomal_L5_arc', 4, NULL),
(14812, NULL, 'IPR009911', NULL, 'Fibroin P25', 'Fibroin_P25', 4, NULL),
(14813, NULL, 'IPR022786', NULL, 'Geminin/Multicilin', 'Geminin/Multicilin', 4, NULL),
(14814, NULL, 'IPR020559', NULL, 'Phosphoribosylglycinamide synthetase, conserved site', 'PRibGlycinamide_synth_CS', 2, NULL),
(14815, NULL, 'IPR022927', NULL, 'RNA pyrophosphohydrolase RppH', 'RppH', 4, NULL),
(14816, NULL, 'IPR010531', NULL, 'Zinc finger protein NOA36', 'NOA36', 4, NULL),
(14817, NULL, 'IPR034996', NULL, 'HuR, RNA recognition motif 2', 'HuR_RRM2', 3, NULL),
(14818, NULL, 'IPR009361', NULL, 'RZZ complex, subunit Zw10', 'RZZ-complex_Zw10', 4, NULL),
(14819, NULL, 'IPR012444', NULL, 'Protein of unknown function DUF1647', 'DUF1647', 4, NULL),
(14820, NULL, 'IPR022916', NULL, 'Protein of unknown function UPF0349', 'UPF0349', 4, NULL),
(14821, NULL, 'IPR022948', NULL, 'Chitooligosaccharide deacetylase ChbG-like, bacteria', 'COD_ChbG_bac', 4, NULL),
(14822, NULL, 'IPR012472', NULL, 'MDM10-complementing protein 1, transmembrane domain', 'MCP1_TM', 3, NULL),
(14823, NULL, 'IPR020841', NULL, 'Polyketide synthase, beta-ketoacyl synthase domain', 'PKS_Beta-ketoAc_synthase_dom', 3, NULL),
(14824, NULL, 'IPR009323', NULL, 'Protein of unknown function DUF979', 'DUF979', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14825, NULL, 'IPR009356', NULL, 'NADH dehydrogenase subunit 4L', 'NAD_DH_su4L', 4, NULL),
(14826, NULL, 'IPR009330', NULL, 'Lipopolysaccharide core heptose(II) kinase', 'LipoPS_heptP_kinase', 4, NULL),
(14827, NULL, 'IPR023295', NULL, 'Hyaluronate lyase, beta-sheet domain superfamily', 'Hyaluronate_lyase_beta_dom_sf', 5, NULL),
(14828, NULL, 'IPR034027', NULL, 'Reprolysin domain, adamalysin-type', 'Reprolysin_adamalysin', 3, NULL),
(14829, NULL, 'IPR024875', NULL, 'Protein Lines', 'Protein_Lines', 4, NULL),
(14830, NULL, 'IPR023267', NULL, 'RNA (C5-cytosine) methyltransferase', 'RCMT', 4, NULL),
(14831, NULL, 'IPR022726', NULL, 'CXC chemokine receptor 4 N-terminal domain', 'Chemokine_CXCR4_N_dom', 3, NULL),
(14832, NULL, 'IPR009873', NULL, 'Phytoreovirus S7', 'Phytoreo_S7', 4, NULL),
(14833, NULL, 'IPR016016', NULL, 'Clusterin', 'Clusterin', 4, NULL),
(14834, NULL, 'IPR009858', NULL, 'Protein of unknown function DUF1415', 'DUF1415', 4, NULL),
(14835, NULL, 'IPR010538', NULL, 'Di-haem oxidoreductase, putative peroxidase', 'DHOR', 4, NULL),
(14836, NULL, 'IPR012462', NULL, 'Peptidase C78, ubiquitin fold modifier-specific peptidase 1/ 2', 'Peptidase_C78_UfSP1/2', 4, NULL),
(14837, NULL, 'IPR009313', NULL, 'Baculovirus 11kDa', 'Baculo_11_kDa', 4, NULL),
(14838, NULL, 'IPR020961', NULL, 'Domain of unknown function DUF3642, lipoprotein', 'DUF3642_lipo', 3, NULL),
(14839, NULL, 'IPR012448', NULL, 'Protein of unknown function DUF1652', 'DUF1652', 4, NULL),
(14840, NULL, 'IPR009344', NULL, 'Borna disease virus G', 'BDV_G', 4, NULL),
(14841, NULL, 'IPR010548', NULL, 'BNIP3', 'BNIP3', 4, NULL),
(14842, NULL, 'IPR008647', NULL, 'Envelope glycoprotein N domain', 'GN_domain', 3, NULL),
(14843, NULL, 'IPR020922', NULL, 'dITP/XTP pyrophosphatase', 'dITP/XTP_pyrophosphatase', 4, NULL),
(14844, NULL, 'IPR020789', NULL, 'RNA polymerases, subunit N, zinc binding site', 'RNA_pol_suN_Zn-BS', 1, NULL),
(14845, NULL, 'IPR022802', NULL, 'Ribosomal protein S4, archaeal', 'Ribosomal_S4_arc', 4, NULL),
(14846, NULL, 'IPR022968', NULL, '16S/18S rRNA aminocarboxypropyltransferase Tsr3', 'Tsr3-like', 4, NULL),
(14847, NULL, 'IPR035396', NULL, 'Alpha-L-rhamnosidase, six-hairpin glycosidase domain', 'Bac_rhamnosid6H', 3, NULL),
(14848, NULL, 'IPR009891', NULL, 'Tapetum specific TAP35/TAP44', 'TAP35_44', 4, NULL),
(14849, NULL, 'IPR012443', NULL, 'Protein of unknown function DUF1646', 'DUF1646', 4, NULL),
(14850, NULL, 'IPR020926', NULL, 'Ribosomal protein L15e, archaeal', 'Ribosomal_L15e_arc', 4, NULL),
(14851, NULL, 'IPR012476', NULL, 'mRNA export factor GLE1-like', 'GLE1', 4, NULL),
(14852, NULL, 'IPR020940', NULL, 'Thymidylate synthase, active site', 'Thymidylate_synthase_AS', 0, NULL),
(14853, NULL, 'IPR018538', NULL, 'Helicase HerA, barrel domain', 'HerA_barrel_dom', 3, NULL),
(14854, NULL, 'IPR012470', NULL, 'PDR1 up-regulated protein 1-like', 'Pup1-like', 4, NULL),
(14855, NULL, 'IPR022606', NULL, 'Domain of unknown function DUF2914', 'DUF2914', 3, NULL),
(14856, NULL, 'IPR020810', NULL, 'Enolase, C-terminal TIM barrel domain', 'Enolase_C', 3, NULL),
(14857, NULL, 'IPR009898', NULL, 'Protein of unknown function DUF1440', 'DUF1440', 4, NULL),
(14858, NULL, 'IPR022701', NULL, 'Glycosyltransferase family 1, N-terminal', 'GlycosylTrfase_1_N', 3, NULL),
(14859, NULL, 'IPR009310', NULL, 'BphX-like', 'BphX', 4, NULL),
(14860, NULL, 'IPR020975', NULL, 'UvsW.1 domain', 'UvsW.1_dom', 3, NULL),
(14861, NULL, 'IPR018533', NULL, 'Forkhead box protein, C-terminal', 'Forkhead_box_C', 3, NULL),
(14862, NULL, 'IPR009899', NULL, 'Antirestriction', 'ArdA', 4, NULL),
(14863, NULL, 'IPR012457', NULL, 'Domain of unknown function DUF1663', 'DUF1663', 3, NULL),
(14864, NULL, 'IPR012435', NULL, 'TMEM144', 'TMEM144', 4, NULL),
(14865, NULL, 'IPR010549', NULL, 'African swine fever virus, IAP-like p27, C-terminal', 'ASFV_p27_C', 3, NULL),
(14866, NULL, 'IPR012463', NULL, 'Ethylene-responsive binding factor-associated repression', 'Ninja_motif', 3, NULL),
(14867, NULL, 'IPR009861', NULL, 'Hematopoietic cell signal transducer', 'HCST', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14868, NULL, 'IPR009906', NULL, 'D-glutamate cyclase', 'D-Glu_cyclase', 4, NULL),
(14869, NULL, 'IPR024911', NULL, 'DNA gyrase inhibitor GyrI', 'DNA_gyrase_inhibitor_GyrI', 4, NULL),
(14870, NULL, 'IPR009885', NULL, 'Protein of unknown function DUF1435', 'DUF1435', 4, NULL),
(14871, NULL, 'IPR020558', NULL, 'Dihydroxy-acid/6-phosphogluconate dehydratase, conserved site', 'DiOHA_6PGluconate_deHydtase_CS', 2, NULL),
(14872, NULL, 'IPR022977', NULL, 'Pyrimidine-specific ribonucleoside hydrolase RihB', 'Pyrim_hydro_RihB', 4, NULL),
(14873, NULL, 'IPR020925', NULL, 'Ribosomal protein L15e, conserved site', 'Ribosomal_L15e_CS', 2, NULL),
(14874, NULL, 'IPR020818', NULL, 'GroES chaperonin family', 'Chaperonin_GroES', 4, NULL),
(14875, NULL, 'IPR009868', NULL, 'VirE2', 'VirE2', 4, NULL),
(14876, NULL, 'IPR009317', NULL, 'ChaB', 'ChaB', 4, NULL),
(14877, NULL, 'IPR009343', NULL, 'Protein of unknown function DUF1002', 'DUF1002', 4, NULL),
(14878, NULL, 'IPR009345', NULL, 'BMP and activin membrane-bound inhibitor', 'BAMBI', 4, NULL),
(14879, NULL, 'IPR009370', NULL, 'YutD-like', 'YutD-like', 4, NULL),
(14880, NULL, 'IPR022978', NULL, 'Monofunctional glycosyl transferase', 'Monofunct_glyco_trans', 4, NULL),
(14881, NULL, 'IPR022559', NULL, 'Protein SUP-1-like', 'SUP-1-like', 4, NULL),
(14882, NULL, 'IPR009864', NULL, 'Rhoptry-associated protein 1, plasmodium', 'RAP1_Plasmodium', 4, NULL),
(14883, NULL, 'IPR009371', NULL, 'Type III secretion protein HrpF', 'T3SS_HrpF', 4, NULL),
(14884, NULL, 'IPR023701', NULL, '4-hydroxy-2-oxo-heptane-1,7-dioate aldolase, Enterobacteriales', 'HKHD_aldolase_ent', 4, NULL),
(14885, NULL, 'IPR018541', NULL, 'FtsK gamma domain', 'Ftsk_gamma', 3, NULL),
(14886, NULL, 'IPR009887', NULL, 'Progressive ankylosis', 'ANKH', 4, NULL),
(14887, NULL, 'IPR022813', NULL, 'Protein-export membrane protein SecD/SecF, archaeal and bacterial', 'SecD/SecF_arch_bac', 4, NULL),
(14888, NULL, 'IPR012456', NULL, 'Protein of unknown function DUF1661', 'DUF1661', 4, NULL),
(14889, NULL, 'IPR012440', NULL, 'Protein of unknown function DUF1641', 'DUF1641', 4, NULL),
(14890, NULL, 'IPR020562', NULL, 'Phosphoribosylglycinamide synthetase, N-terminal', 'PRibGlycinamide_synth_N', 3, NULL),
(14891, NULL, 'IPR022453', NULL, 'Zinc finger, MqsA-type', 'Znf_MqsA-type', 3, NULL),
(14892, NULL, 'IPR012471', NULL, 'Protein of unknown function DUF1690', 'DUF1690', 4, NULL),
(14893, NULL, 'IPR009324', NULL, 'Protein of unknown function DUF981', 'DUF981', 4, NULL),
(14894, NULL, 'IPR018047', NULL, 'Ammonium transporter, conserved site', 'Ammonium_transpt_CS', 2, NULL),
(14895, NULL, 'IPR009914', NULL, 'Dolichol phosphate-mannose biosynthesis regulatory', 'DPM2', 4, NULL),
(14896, NULL, 'IPR016017', NULL, 'GDNF/GAS1', 'GDNF/GAS1', 3, NULL),
(14897, NULL, 'IPR022935', NULL, 'ATP-dependent Clp protease adaptor protein ClpS', 'ClpS', 4, NULL),
(14898, NULL, 'IPR022895', NULL, 'Flap endonuclease Xni', 'Xni', 4, NULL),
(14899, NULL, 'IPR023812', NULL, 'Conserved hypothetical protein CHP04002', 'CHP04002', 4, NULL),
(14900, NULL, 'IPR010535', NULL, 'Protein of unknown function DUF1110', 'DUF1110', 4, NULL),
(14901, NULL, 'IPR024919', NULL, 'ECF transporter transmembrane protein EcfT', 'EcfT', 4, NULL),
(14902, NULL, 'IPR009342', NULL, 'Putative carbohydrate binding domain', 'Carb-bd_put_dom', 3, NULL),
(14903, NULL, 'IPR009327', NULL, 'Cupin domain of unknown function DUF985', 'Cupin_DUF985', 3, NULL),
(14904, NULL, 'IPR018187', NULL, 'Asp/Glu racemase, active site 1', 'Asp/Glu_racemase_AS_1', 0, NULL),
(14905, NULL, 'IPR023686', NULL, 'GMP synthase (glutamine-hydrolyzing) subunit A', 'GMP_synthase_A', 4, NULL),
(14906, NULL, 'IPR009915', NULL, 'NnrU domain', 'NnrU_dom', 3, NULL),
(14907, NULL, 'IPR012461', NULL, 'FAM83, N-terminal', 'FAM83_N', 3, NULL),
(14908, NULL, 'IPR009897', NULL, 'Orthoreovirus P17', 'Orthoreo_P17', 4, NULL),
(14909, NULL, 'IPR023753', NULL, 'FAD/NAD(P)-binding domain', 'FAD/NAD-binding_dom', 3, NULL),
(14910, NULL, 'IPR020966', NULL, 'Aluminum-activated malate transporter', 'ALMT', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14911, NULL, 'IPR022946', NULL, 'Uncharacterised protein family UPF0313', 'UPF0313', 4, NULL),
(14912, NULL, 'IPR018530', NULL, 'SiaC family regulatory phosphoprotein', 'SiaC', 3, NULL),
(14913, NULL, 'IPR008645', NULL, 'Roseolovirus glycoprotein U47', 'Roseolovirus_U47', 4, NULL),
(14914, NULL, 'IPR020969', NULL, 'Ankyrin-G binding site', 'Ankyrin-G_BS', 1, NULL),
(14915, NULL, 'IPR022686', NULL, 'Replication-associated protein G2P, N-terminal', 'G2P_N', 3, NULL),
(14916, NULL, 'IPR009909', NULL, 'Nmi/IFP 35 domain', 'Nmi/IFP35_dom', 3, NULL),
(14917, NULL, 'IPR018186', NULL, 'Transcription factor, T-box, conserved site', 'TF_T-box_CS', 2, NULL),
(14918, NULL, 'IPR020541', NULL, 'Chorismate synthase, conserved site', 'Chorismate_synthase_CS', 2, NULL),
(14919, NULL, 'IPR020967', NULL, 'Borrelia attachment ligand, p66', 'Borrelia_attachment_p66', 4, NULL),
(14920, NULL, 'IPR008644', NULL, 'Human herpesvirus U15', 'Herpes_U15', 4, NULL),
(14921, NULL, 'IPR011348', NULL, '17beta-dehydrogenase', '17beta_DH', 4, NULL),
(14922, NULL, 'IPR022947', NULL, 'Ribosomal protein L18e, archaea', 'Ribosomal_L18e_arc', 4, NULL),
(14923, NULL, 'IPR020954', NULL, 'Rickettsia surface antigen, 120kDa', 'Rickettsia_antigen_120kDa', 4, NULL),
(14924, NULL, 'IPR023270', NULL, 'tRNA (C5-cytosine) methyltransferase, NCL1', 'RCMT_NCL1', 4, NULL),
(14925, NULL, 'IPR022936', NULL, 'Uncharacterised protein family UPF0194, membrane protein YbhG', 'UPF0194_membrane_YbhG', 4, NULL),
(14926, NULL, 'IPR009376', NULL, 'Protein of unknown function DUF1031', 'DUF1031', 4, NULL),
(14927, NULL, 'IPR012465', NULL, 'Protein of unknown function DUF1678', 'DUF1678', 4, NULL),
(14928, NULL, 'IPR022845', NULL, 'Ribosomal protein S27ae', 'Ribosomal_S27ae', 4, NULL),
(14929, NULL, 'IPR020924', NULL, 'Ribosomal protein S6e, archaeal', 'Ribosomal_S6e_arc', 4, NULL),
(14930, NULL, 'IPR020950', NULL, 'Protein 21-like 2', 'Mab21-l2', 4, NULL),
(14931, NULL, 'IPR024920', NULL, 'Dihydroorotate dehydrogenase, class 1', 'Dihydroorotate_DH_1', 4, NULL),
(14932, NULL, 'IPR020908', NULL, 'Uncharacterised protein family UPF0738', 'UPF0738', 4, NULL),
(14933, NULL, 'IPR022832', NULL, 'Probable 4-amino-4-deoxy-L-arabinose-phosphoundecaprenol flippase subunit ArnF', 'Flippase_ArnF', 4, NULL),
(14934, NULL, 'IPR009859', NULL, 'Protein of unknown function, Gam-like', 'Gam-like', 4, NULL),
(14935, NULL, 'IPR020604', NULL, 'CTF transcription factor/nuclear factor 1, DNA-binding domain', 'CTF/NFI_DNA-bd-dom', 3, NULL),
(14936, NULL, 'IPR020909', NULL, 'UPF0736', 'UPF0736', 4, NULL),
(14937, NULL, 'IPR020984', NULL, 'Cell cycle regulatory protein Speedy', 'Speedy', 4, NULL),
(14938, NULL, 'IPR009321', NULL, 'Protein of unknown function DUF973', 'DUF973', 4, NULL),
(14939, NULL, 'IPR035398', NULL, 'Alpha-L-rhamnosidase C-terminal domain', 'Bac_rhamnosid_C', 3, NULL),
(14940, NULL, 'IPR020937', NULL, 'SecA conserved site', 'SecA_CS', 2, NULL),
(14941, NULL, 'IPR009901', NULL, 'Bacteriophage VT1-Sakai, H0025', 'Phage_VT1-Sakai_H0025', 4, NULL),
(14942, NULL, 'IPR011387', NULL, 'Translation initiation factor 2A', 'TIF2A', 4, NULL),
(14943, NULL, 'IPR035389', NULL, 'Protein of unknown function DUF5411', 'DUF5411', 4, NULL),
(14944, NULL, 'IPR012438', NULL, 'Protein of unknown function DUF1639', 'DUF1639', 4, NULL),
(14945, NULL, 'IPR012474', NULL, 'Frigida-like', 'Frigida', 4, NULL),
(14946, NULL, 'IPR022842', NULL, 'DNA-directed RNA polymerase subunit Rpo3', 'RNAP_Rpo3', 4, NULL),
(14947, NULL, 'IPR020560', NULL, 'Phosphoribosylglycinamide synthetase, C-domain', 'PRibGlycinamide_synth_C-dom', 3, NULL),
(14948, NULL, 'IPR009905', NULL, '2-vinyl bacteriochlorophyllide hydratase', 'BCHF', 4, NULL),
(14949, NULL, 'IPR011365', NULL, 'Cytokine IL-3/IL-5/GM-CSF receptor common beta chain', 'IL3_rcpt_beta', 4, NULL),
(14950, NULL, 'IPR020813', NULL, 'Fibrillarin, conserved site', 'Fibrillarin_CS', 2, NULL),
(14951, NULL, 'IPR023298', NULL, 'P-type ATPase, transmembrane domain superfamily', 'ATPase_P-typ_TM_dom_sf', 5, NULL),
(14952, NULL, 'IPR009374', NULL, 'Eukaryotic translation initiation factor 3 subunit K', 'eIF3k', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14953, NULL, 'IPR009340', NULL, 'Protein of unknown function DUF999', 'DUF999', 4, NULL),
(14954, NULL, 'IPR018544', NULL, 'KICSTOR subunit 2', 'KICS_2', 4, NULL),
(14955, NULL, 'IPR023253', NULL, 'FPRL1/chemotaxis inhibitory protein', 'FLIPR/CHIPS', 4, NULL),
(14956, NULL, 'IPR022931', NULL, 'Sulfur carrier protein TusA', 'Sulphur_carrier_TusA', 4, NULL),
(14957, NULL, 'IPR009879', NULL, 'Phlebovirus nonstructural NS-M', 'Phlebovirus_NSM', 3, NULL),
(14958, NULL, 'IPR022605', NULL, 'Protein of unknown function DUF2920', 'DUF2920', 4, NULL),
(14959, NULL, 'IPR024826', NULL, 'DNA polymerase delta/II small subunit family', 'DNA_pol_delta/II_ssu', 4, NULL),
(14960, NULL, 'IPR009895', NULL, 'Protein of unknown function DUF1438', 'DUF1438', 4, NULL),
(14961, NULL, 'IPR023584', NULL, 'Ribosome recycling factor domain', 'Ribosome_recyc_fac_dom', 3, NULL),
(14962, NULL, 'IPR023811', NULL, 'Conserved hypothetical protein CHP04076', 'CHP04076', 4, NULL),
(14963, NULL, 'IPR009894', NULL, 'Exported', 'EppA_BapA', 4, NULL),
(14964, NULL, 'IPR009320', NULL, 'Antitoxin CbeA', 'Antitoxin_CbeA', 4, NULL),
(14965, NULL, 'IPR022962', NULL, 'Soluble pyridine nucleotide transhydrogenase', 'STH', 4, NULL),
(14966, NULL, 'IPR020607', NULL, 'DNA primase DnaG, archaea', 'Primase_DnaG_arc', 4, NULL),
(14967, NULL, 'IPR020561', NULL, 'Phosphoribosylglycinamide synthetase, ATP-grasp (A) domain', 'PRibGlycinamid_synth_ATP-grasp', 3, NULL),
(14968, NULL, 'IPR009888', NULL, 'Immunity protein CdiI, Proteobacteria type', 'CdiI_Proteobact', 4, NULL),
(14969, NULL, 'IPR020992', NULL, 'Tail specific protease, C-terminal', 'Tail_Prtase_C', 3, NULL),
(14970, NULL, 'IPR009334', NULL, 'Protein of unknown function DUF993', 'DUF993', 4, NULL),
(14971, NULL, 'IPR020919', NULL, 'Ribosomal protein S8e, archaeal', 'Ribosomal_protein_S8e_arc', 4, NULL),
(14972, NULL, 'IPR034999', NULL, 'HuB, RNA recognition motif 2', 'HuB_RRM2', 3, NULL),
(14973, NULL, 'IPR035106', NULL, 'Spastin, chordate', 'Spastin_chordate', 4, NULL),
(14974, NULL, 'IPR012452', NULL, 'Protein of unknown function DUF1657', 'DUF1657', 4, NULL),
(14975, NULL, 'IPR009354', NULL, 'Usg-like', 'Usg', 4, NULL),
(14976, NULL, 'IPR018189', NULL, 'Phosphoglucose isomerase, conserved site', 'Phosphoglucose_isomerase_CS', 2, NULL),
(14977, NULL, 'IPR034028', NULL, 'Fungal reprolysin domain', 'ZnMc_ADAM_fungal', 3, NULL),
(14978, NULL, 'IPR018188', NULL, 'Ribonuclease T2, His active site 1', 'RNase_T2_His_AS_1', 0, NULL),
(14979, NULL, 'IPR022398', NULL, 'Peptidase S8, subtilisin, His-active site', 'Peptidase_S8_His-AS', 0, NULL),
(14980, NULL, 'IPR009366', NULL, 'Protein Veg', 'Protein_Veg', 4, NULL),
(14981, NULL, 'IPR020929', NULL, 'Ribosomal protein L5, conserved site', 'Ribosomal_L5_CS', 2, NULL),
(14982, NULL, 'IPR009331', NULL, 'Oligogalacturonate-specific porin', 'Oligogalacturonate-sp_porin', 4, NULL),
(14983, NULL, 'IPR009359', NULL, 'Phenylacetic acid degradation B', 'PaaB', 4, NULL),
(14984, NULL, 'IPR010541', NULL, 'Domain of unknown function DUF1115', 'DUF1115', 3, NULL),
(14985, NULL, 'IPR009904', NULL, 'Insulin-induced gene 1 protein', 'INSIG-1', 4, NULL),
(14986, NULL, 'IPR022694', NULL, '3-hydroxyacyl-CoA dehydrogenase', '3-OHacyl-CoA_DH', 4, NULL),
(14987, NULL, 'IPR009882', NULL, 'Gypsy', 'Gypsy', 4, NULL),
(14988, NULL, 'IPR009355', NULL, 'Toluene-4-monooxygenase system B', 'Toluene_mOase_B', 4, NULL),
(14989, NULL, 'IPR035391', NULL, 'Arylsulfotransferase, N-terminal domain', 'Arylsulfotran_N', 3, NULL),
(14990, NULL, 'IPR009865', NULL, 'Proacrosin binding sp32', 'Proacrosin-bd', 4, NULL),
(14991, NULL, 'IPR034992', NULL, 'RNA-binding protein 10, RNA recognition motif 2', 'RBM10_RRM2', 3, NULL),
(14992, NULL, 'IPR009863', NULL, 'Type III secretion protein, LcrG', 'T3SS_LcrG_PcrG', 4, NULL),
(14993, NULL, 'IPR011386', NULL, 'Putative ATP-NAD kinase', 'Put_ATP-NAD_kin', 4, NULL),
(14994, NULL, 'IPR022938', NULL, 'Signal recognition particle, SRP19 subunit, archaeal-type', 'SRP19_arc-type', 4, NULL),
(14995, NULL, 'IPR012445', NULL, 'Autophagy-related protein 101', 'ATG101', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(14996, NULL, 'IPR009350', NULL, 'Minor tail T', 'Phage_tail_T', 3, NULL),
(14997, NULL, 'IPR022700', NULL, 'Proteinase, regulatory CLIP domain', 'CLIP', 3, NULL),
(14998, NULL, 'IPR023763', NULL, 'DNA integrity scanning protein, DisA', 'DNA_integrity_scanning_protein', 4, NULL),
(14999, NULL, 'IPR022699', NULL, 'Stonin-2, N-terminal', 'Stonin2_N', 3, NULL),
(15000, NULL, 'IPR020907', NULL, 'PhoP/PhoQ regulator MgrB', 'MgrB', 4, NULL),
(15001, NULL, 'IPR035225', NULL, 'Protein of unknown function DUF5338', 'DUF5338', 4, NULL),
(15002, NULL, 'IPR021019', NULL, 'Mediator complex, subunit Med30, metazoa', 'Mediator_Med30_met', 4, NULL),
(15003, NULL, 'IPR018545', NULL, 'Btz domain', 'Btz_dom', 3, NULL),
(15004, NULL, 'IPR021029', NULL, 'DNA polymerase III, tau subunit, domain V', 'DNA_pol_III_tau_dom-5', 3, NULL),
(15005, NULL, 'IPR023012', NULL, 'Probable glycine dehydrogenase (decarboxylating) subunit 2', 'GcvPB', 4, NULL),
(15006, NULL, 'IPR019328', NULL, 'GPI-GlcNAc transferase complex, PIG-H component, conserved domain', 'GPI-GlcNAc_Trfase_PIG-H_dom', 3, NULL),
(15007, NULL, 'IPR016793', NULL, 'Uncharacterised conserved protein UCP021591', 'UCP021591', 4, NULL),
(15008, NULL, 'IPR019915', NULL, 'Transcription regulator, pyrimidine utilisation, RutR', 'Tscrpt_reg_pyr_util_RutR', 4, NULL),
(15009, NULL, 'IPR021030', NULL, 'Protein of unknown function DUF3731', 'DUF3731', 4, NULL),
(15010, NULL, 'IPR017203', NULL, 'Signal transduction histidine kinase, NreB', 'Sig_transdc_His_kinase_NreB', 4, NULL),
(15011, NULL, 'IPR018960', NULL, 'Domain of unknown function DUF1990', 'DUF1990', 3, NULL),
(15012, NULL, 'IPR023007', NULL, 'Uncharacterised protein family UPF0232, actinobacteria', 'UPF0232_actinobac', 4, NULL),
(15013, NULL, 'IPR021137', NULL, 'Ribosomal protein L35', 'Ribosomal_L35', 4, NULL),
(15014, NULL, 'IPR019335', NULL, 'Conserved oligomeric Golgi complex subunit 7', 'COG7', 4, NULL),
(15015, NULL, 'IPR018913', NULL, 'BppU, N-terminal', 'BppU_N', 3, NULL),
(15016, NULL, 'IPR017527', NULL, 'Nitrosocyanin', 'Nitrosocyanin', 4, NULL),
(15017, NULL, 'IPR023079', NULL, 'Sedoheptulose-1,7-bisphosphatase', 'SBPase', 4, NULL),
(15018, NULL, 'IPR018513', NULL, 'Cellulose synthase BcsB, bacterial', 'Cell_synthase_bac', 4, NULL),
(15019, NULL, 'IPR017536', NULL, 'Glutamine synthetase, type III', 'Glutamine_synthetase_typeIII', 4, NULL),
(15020, NULL, 'IPR016804', NULL, 'Uncharacterised protein family UPF0114, plant', 'UPF0114_pln', 4, NULL),
(15021, NULL, 'IPR021094', NULL, 'NPR1/NIM1-like, C-terminal', 'NPR1/NIM1-like_C', 3, NULL),
(15022, NULL, 'IPR022348', NULL, 'G protein-coupled receptor 162', 'GPR162', 4, NULL),
(15023, NULL, 'IPR023035', NULL, 'Ribosomal protein S9, bacterial/plastid', 'Ribosomal_S9_bac/plastid', 4, NULL),
(15024, NULL, 'IPR019857', NULL, 'CRISPR-associated protein Cas1, YPEST subtype', 'CRISPR-assoc_Cas1_YPEST-subtyp', 4, NULL),
(15025, NULL, 'IPR021135', NULL, 'Phosphoenolpyruvate carboxylase', 'PEP_COase', 4, NULL),
(15026, NULL, 'IPR016784', NULL, 'Uncharacterised protein UCP021288 with ACT domain', 'UCP021288_ACT', 4, NULL),
(15027, NULL, 'IPR017537', NULL, 'Peptidase M42, hydrolase', 'Peptidase_M42_hydrolase', 4, NULL),
(15028, NULL, 'IPR018973', NULL, 'MrfA-like Zn-binding domain', 'MZB', 3, NULL),
(15029, NULL, 'IPR016796', NULL, 'Uncharacterised conserved protein UCP021774', 'UCP021774', 4, NULL),
(15030, NULL, 'IPR021006', NULL, 'HDA1 complex subunit 2/3', 'Hda2/3', 4, NULL),
(15031, NULL, 'IPR018932', NULL, 'Salivary thrombin inhibitor anophelin, mosquito', 'Thrombin_inhibitor_anophelin', 4, NULL),
(15032, NULL, 'IPR022992', NULL, 'Uncharacterised protein family UPF0213, GIY-YIG endonuclease', 'UPF0213_GIY-YIG_endonuc', 4, NULL),
(15033, NULL, 'IPR019891', NULL, 'Bacteriocin, streptolysin S, precursor', 'Bacteriocin_streptolysin_S_pre', 4, NULL),
(15034, NULL, 'IPR024000', NULL, 'Conserved hypothetical protein CHP04046, FMN-dependent', 'CHP04046_FMN-dependent', 4, NULL),
(15035, NULL, 'IPR020934', NULL, 'Ribosomal protein S19 conserved site', 'Ribosomal_S19_CS', 2, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15036, NULL, 'IPR018966', NULL, 'VTC domain', 'VTC_domain', 3, NULL),
(15037, NULL, 'IPR017553', NULL, '3-hexulose-6-phosphate synthase', '3-hexulose-6-phosphate_synth', 3, NULL),
(15038, NULL, 'IPR021084', NULL, 'Het-s prion-forming domain', 'Het-s_prion_dom', 3, NULL),
(15039, NULL, 'IPR019306', NULL, 'Transmembrane protein 231', 'TMEM231', 4, NULL),
(15040, NULL, 'IPR019314', NULL, 'BLOC-1-related complex subunit 6', 'BORCS6', 4, NULL),
(15041, NULL, 'IPR023068', NULL, 'CCA-adding enzyme, firmicutes', 'CCA-adding_enz_firmicutes', 4, NULL),
(15042, NULL, 'IPR021065', NULL, 'Fertility inhibition protein FinO, N-terminal', 'Fertility_inhibition_FinO_N', 3, NULL),
(15043, NULL, 'IPR018553', NULL, 'Protein of unknown function DUF2009', 'DUF2009', 4, NULL),
(15044, NULL, 'IPR023031', NULL, 'Orotate phosphoribosyltransferase', 'OPRT', 4, NULL),
(15045, NULL, 'IPR018920', NULL, 'ESAT-6 secretion machinery protein EssA/YueC', 'EssA/YueC', 4, NULL),
(15046, NULL, 'IPR034153', NULL, 'RBM44, RNA recognition motif', 'RBM44_RRM', 3, NULL),
(15047, NULL, 'IPR020998', NULL, 'Mediator of RNA polymerase II transcription subunit 3', 'Med3', 4, NULL),
(15048, NULL, 'IPR021072', NULL, 'Melanoma associated antigen, N-terminal', 'MAGE_N', 3, NULL),
(15049, NULL, 'IPR019847', NULL, 'Gliding motility associated protein GldN', 'Gliding_motility_assoc_GldN', 4, NULL),
(15050, NULL, 'IPR035469', NULL, 'Dynamin-binding protein', 'DNMBP', 4, NULL),
(15051, NULL, 'IPR021130', NULL, 'Phosphoribosyl-ATP pyrophosphohydrolase-like', 'PRib-ATP_PPHydrolase-like', 4, NULL),
(15052, NULL, 'IPR022999', NULL, 'Transaldolase type 3B, putative', 'Transaldolase_3B', 4, NULL),
(15053, NULL, 'IPR018918', NULL, 'Protein of unknown function DUF2483', 'DUF2483', 4, NULL),
(15054, NULL, 'IPR017547', NULL, 'CRISPR type IV/AFERR-associated protein Csf3', 'CRISPR-assoc_prot_Csf3', 4, NULL),
(15055, NULL, 'IPR016783', NULL, 'Biofilm formation YmcA', 'Biofilm_formation_YmcA', 4, NULL),
(15056, NULL, 'IPR035462', NULL, 'Eps8, SH3 domain', 'Eps8_SH3', 3, NULL),
(15057, NULL, 'IPR021126', NULL, 'Interferon gamma receptor, poxvirus/mammal', 'Interferon_gamma_pox/mammal', 3, NULL),
(15058, NULL, 'IPR017540', NULL, 'Exosortase 1', 'Exosortase-1', 4, NULL),
(15059, NULL, 'IPR021035', NULL, 'Glycoprotein 60, Cryptosporidium spp', 'Glycop-60_Cryptosporidium', 3, NULL),
(15060, NULL, 'IPR022310', NULL, 'NAD/GMP synthase', 'NAD/GMP_synthase', 3, NULL),
(15061, NULL, 'IPR017522', NULL, 'Sugar transferase, PEP-CTERM, Stp2', 'Sugar_tfrase_PEP-CTERM_Stp2', 4, NULL),
(15062, NULL, 'IPR019888', NULL, 'Transcription regulator AsnC-like', 'Tscrpt_reg_AsnC-like', 4, NULL),
(15063, NULL, 'IPR017533', NULL, 'Halocyanin,  copper-binding domain', 'Halocyanin', 3, NULL),
(15064, NULL, 'IPR017543', NULL, '6-pyruvoyl tetrahydropterin synthase, predicted, bacteria', '6-PTP_synth_prd_bac', 4, NULL),
(15065, NULL, 'IPR019330', NULL, 'LRP chaperone MESD', 'MESD', 4, NULL),
(15066, NULL, 'IPR021073', NULL, 'Murid herpesvirus 1, M157', 'MuHV-1_M157', 4, NULL),
(15067, NULL, 'IPR017524', NULL, 'Small acid-soluble spore protein, thioredoxin-like', 'SASP_thioredoxin-like', 4, NULL),
(15068, NULL, 'IPR017560', NULL, 'Cytochrome c-type biogenesis protein CcmI', 'Cyt_c_biogenesis_CcmI', 3, NULL),
(15069, NULL, 'IPR035459', NULL, 'Bzz1, SH3 domain 1', 'Bzz1_SH3_1', 3, NULL),
(15070, NULL, 'IPR017538', NULL, 'Peptidase M42, glutamyl aminopeptidase', 'Pept_M42_glutamyl_aminopept', 4, NULL),
(15071, NULL, 'IPR021011', NULL, 'DNA replication regulator, HobA', 'HobA', 4, NULL),
(15072, NULL, 'IPR019318', NULL, 'Guanine nucleotide exchange factor, Ric8', 'Gua_nucleotide_exch_fac_Ric8', 4, NULL),
(15073, NULL, 'IPR023030', NULL, 'Bifunctional protein HldE', 'Bifunc_HldE', 4, NULL),
(15074, NULL, 'IPR019989', NULL, 'CRISPR-associated protein Cas8a1/Csx13, Myxan subtype, N-terminal', 'CRISPR-assoc_Csx13_N', 3, NULL),
(15075, NULL, 'IPR021066', NULL, 'Proteinase inhibitor I83, AmFPI-1', 'Prot_inhib_I83_AmFPI-1', 4, NULL),
(15076, NULL, 'IPR016798', NULL, 'Uncharacterised conserved protein UCP021980, OB-fold', 'UCP021980_OB-fold', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15077, NULL, 'IPR022374', NULL, 'Energy-dependent translational throttle protein EttA', 'EttA', 4, NULL),
(15078, NULL, 'IPR016805', NULL, 'Intermembrane space protein MIX23, fungal', 'MIX23_fungal', 4, NULL),
(15079, NULL, 'IPR019321', NULL, 'Nucleoporin Nup88', 'Nucleoporin_Nup88', 4, NULL),
(15080, NULL, 'IPR016797', NULL, 'Uncharacterised conserved protein UCP021898', 'UCP021898', 4, NULL),
(15081, NULL, 'IPR023060', NULL, 'Membrane insertase YidC/YidC1/YidC2, Firmicutes', 'YidC/YidC1/YidC2_Firmicutes', 4, NULL),
(15082, NULL, 'IPR018975', NULL, 'Pseudomurein-binding repeat', 'Pseudomurein-binding_repeat', 7, NULL),
(15083, NULL, 'IPR021051', NULL, 'Herpes simplex virus, VP16, C-terminal', 'HSV_VP16_C', 3, NULL),
(15084, NULL, 'IPR020995', NULL, 'Chlorosome envelope protein C', 'Chlorosome_envelope_CsmC', 4, NULL),
(15085, NULL, 'IPR021136', NULL, 'Flagellar hook-length control protein-like, C-terminal', 'Flagellar_hook_control-like_C', 3, NULL),
(15086, NULL, 'IPR019926', NULL, 'Ribosomal protein L3, conserved site', 'Ribosomal_L3_CS', 2, NULL),
(15087, NULL, 'IPR016773', NULL, 'Ferric uptake regulator, CjrA, predicted', 'Fe3_uptake_reg_CjrA_prd', 4, NULL),
(15088, NULL, 'IPR018504', NULL, 'RTX N-terminal', 'RTX_N', 3, NULL),
(15089, NULL, 'IPR019332', NULL, 'Organic solute carrier protein 1', 'OSCP1', 4, NULL),
(15090, NULL, 'IPR017539', NULL, 'Exosortase 1 system-associated amidotransferase 1', 'Exosortase-1_amidotfase', 4, NULL),
(15091, NULL, 'IPR021005', NULL, 'Zinc finger, CGNR', 'Znf_CGNR', 3, NULL),
(15092, NULL, 'IPR023026', NULL, 'Tryptophan synthase beta chain/beta chain-like', 'Trp_synth_beta/beta-like', 4, NULL),
(15093, NULL, 'IPR016816', NULL, 'Surface antigen p22', 'SAG2', 4, NULL),
(15094, NULL, 'IPR019327', NULL, 'Protein of unknown function DUF2373', 'DUF2373', 4, NULL),
(15095, NULL, 'IPR023017', NULL, 'Transport protein YbjL, putative', 'Transp_YbjL_put', 4, NULL),
(15096, NULL, 'IPR021132', NULL, 'Ribosomal protein L18e, conserved site', 'Ribosomal_L18e_CS', 2, NULL),
(15097, NULL, 'IPR018958', NULL, 'Knr4/Smi1-like domain', 'Knr4/Smi1-like_dom', 3, NULL),
(15098, NULL, 'IPR016812', NULL, 'Protein phosphatase methylesterase, eukaryotic', 'PPase_methylesterase_euk', 4, NULL),
(15099, NULL, 'IPR016810', NULL, 'DNA repair protein Rad59', 'Rad59', 4, NULL),
(15100, NULL, 'IPR018961', NULL, 'DnaJ homologue, subfamily C, member 28, conserved domain', 'DnaJ_homolog_subfam-C_membr-28', 3, NULL),
(15101, NULL, 'IPR035217', NULL, 'Protein of unknown function DUF5453', 'DUF5453', 4, NULL),
(15102, NULL, 'IPR016815', NULL, 'Rhoptry protein, Rop2-like', 'Rhoptry_Rop2-like', 4, NULL),
(15103, NULL, 'IPR035221', NULL, 'Protein of unknown function DUF5451', 'DUF5451', 4, NULL),
(15104, NULL, 'IPR019922', NULL, 'Luciferase-like, F420-dependent oxidoreductase, MSMEG4141, predicted', 'Lucif-like_OxRdatse_MSMEG_4141', 4, NULL),
(15105, NULL, 'IPR035900', NULL, 'Colicin E immunity protein superfamily', 'Colicin_E_sf', 5, NULL),
(15106, NULL, 'IPR019913', NULL, 'Pyrimidine utilisation protein RutD', 'Pyrimidine_utilisation_RutD', 4, NULL),
(15107, NULL, 'IPR019319', NULL, 'Plasminogen receptor (KT)', 'Plg-R(KT)', 4, NULL),
(15108, NULL, 'IPR020991', NULL, 'Head-to-tail connector protein, podovirus-type', 'Connector_podovirus', 4, NULL),
(15109, NULL, 'IPR022371', NULL, 'Exopolyphosphatase', 'Exopolyphosphatase', 3, NULL),
(15110, NULL, 'IPR017519', NULL, 'Conserved hypothetical protein CHP03085', 'CHP03085', 4, NULL),
(15111, NULL, 'IPR021070', NULL, 'Killing trait, RebB', 'Killing_trait_RebB', 4, NULL),
(15112, NULL, 'IPR019334', NULL, 'Transmembrane protein 170', 'Transmembrane_pr_170', 4, NULL),
(15113, NULL, 'IPR018515', NULL, 'Tuberin-type domain', 'Tuberin-type_domain', 3, NULL),
(15114, NULL, 'IPR023013', NULL, 'N-acetyl-gamma-glutamyl-phosphate reductase, active site', 'AGPR_AS', 0, NULL),
(15115, NULL, 'IPR019896', NULL, 'Polysaccharide pyruvyl transferase, CsaB', 'Polysacch_pyruvyl_Trfase_CsaB', 4, NULL),
(15116, NULL, 'IPR023008', NULL, 'Uncharacterized MFS-type transporter YhhS-like', 'MFS_YhhS-like', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15117, NULL, 'IPR019305', NULL, 'Uncharacterised protein family Smp', 'Uncharacterised_Smp', 4, NULL),
(15118, NULL, 'IPR035215', NULL, 'Protein of of unknown function DUF5454', 'DUF5454', 4, NULL),
(15119, NULL, 'IPR016808', NULL, 'Mitochondrial morphogenesis protein Sld7', 'Sld7', 4, NULL),
(15120, NULL, 'IPR019329', NULL, 'NADH:ubiquinone oxidoreductase, ESSS subunit', 'NADH_UbQ_OxRdtase_ESSS_su', 4, NULL),
(15121, NULL, 'IPR017544', NULL, 'Exosortase 2', 'Exosortase-2', 4, NULL),
(15122, NULL, 'IPR023117', NULL, 'PA1123-like domain', 'PA1123-like_domain', 3, NULL),
(15123, NULL, 'IPR035465', NULL, 'Rho GTPase-activating protein 9, SH3 domain', 'ARHGAP9_SH3', 3, NULL),
(15124, NULL, 'IPR018980', NULL, 'FERM, C-terminal PH-like domain', 'FERM_PH-like_C', 3, NULL),
(15125, NULL, 'IPR021009', NULL, 'Motility repressor MogR, DNA-binding domain', 'MogR_DNA-bd', 3, NULL),
(15126, NULL, 'IPR023118', NULL, 'YqaI domain superfamily', 'YqaI_dom_sf', 5, NULL),
(15127, NULL, 'IPR017549', NULL, 'Acanthamoeba polyphaga mimivirus, L690', 'APMV_L690', 3, NULL),
(15128, NULL, 'IPR022896', NULL, 'Triosephosphate isomerase, bacterial/eukaryotic', 'TrioseP_Isoase_bac/euk', 4, NULL),
(15129, NULL, 'IPR019331', NULL, 'FAM192A/Fyv6, N-terminal', 'FAM192A/Fyv6_N', 3, NULL),
(15130, NULL, 'IPR023059', NULL, 'Foldase protein PrsA', 'Foldase_PrsA', 4, NULL),
(15131, NULL, 'IPR021053', NULL, 'Dispersed gene family protein 1, C-terminal', 'Dispersed_gene_fam_prot1_C', 3, NULL),
(15132, NULL, 'IPR024021', NULL, '[FeFe]-hydrogenase maturation HydE, radical SAM', 'FeFe-hyd_HydE_rSAM', 4, NULL),
(15133, NULL, 'IPR018910', NULL, 'Lipoprotein LpqB, beta-propeller domain, C-terminal', 'Lipoprotein_LpqB_C', 3, NULL),
(15134, NULL, 'IPR017531', NULL, 'Hydrolase, ortholog 1, exosortase system type 1 associated', 'Hydrolase-1_PEP', 4, NULL),
(15135, NULL, 'IPR021052', NULL, 'Holliday junction recognition protein, HJURP', 'HJURP', 3, NULL),
(15136, NULL, 'IPR021048', NULL, 'Intracellular growth locus C protein', 'Intracellular_growth_locus_C', 4, NULL),
(15137, NULL, 'IPR016780', NULL, 'Uncharacterised conserved protein UCP020893', 'UCP020893', 4, NULL),
(15138, NULL, 'IPR021074', NULL, 'Formate dehydrogenase, delta subunit', 'Formate_DH_dsu', 4, NULL),
(15139, NULL, 'IPR019308', NULL, 'Transmembrane protein 214', 'TMEM214', 4, NULL),
(15140, NULL, 'IPR018551', NULL, 'Domain of unknown function DUF2007', 'DUF2007', 3, NULL),
(15141, NULL, 'IPR019313', NULL, 'Mediator complex, subunit Med17', 'Mediator_Med17', 4, NULL),
(15142, NULL, 'IPR023076', NULL, 'Hydroxymethylglutaryl-CoA reductase, class I/II, conserved site', 'HMG_CoA_Rdtase_CS', 2, NULL),
(15143, NULL, 'IPR034002', NULL, 'Tumour necrosis factor receptor 8, N-terminal', 'TNFRSF8_N', 3, NULL),
(15144, NULL, 'IPR019851', NULL, 'CRISPR-associated protein Cas1, ECOLI subtype', 'CRISPR-assoc_Cas1_ECOLI', 4, NULL),
(15145, NULL, 'IPR035231', NULL, 'Protein of unknown function DUF5346', 'DUF5346', 4, NULL),
(15146, NULL, 'IPR019787', NULL, 'Zinc finger, PHD-finger', 'Znf_PHD-finger', 3, NULL),
(15147, NULL, 'IPR022981', NULL, 'Ribosomal protein L10e, archaea', 'Ribosomal_L10e_arc', 4, NULL),
(15148, NULL, 'IPR021017', NULL, 'Mediator complex, subunit Med2, fungi', 'Mediator_Med2_fun', 4, NULL),
(15149, NULL, 'IPR022816', NULL, 'Condensin complex subunit 2/barren', 'Condensin_barren_su2', 4, NULL),
(15150, NULL, 'IPR019959', NULL, 'T1SS-143 repeat-containing domain', 'T1SS-143_rpt-cont_dom', 3, NULL),
(15151, NULL, 'IPR018928', NULL, 'Generative cell specific-1/HAP2 domain', 'HAP2/GCS1_dom', 3, NULL),
(15152, NULL, 'IPR019928', NULL, 'Ribosomal protein L3, archaeal', 'Ribosomal_L3_arc', 4, NULL),
(15153, NULL, 'IPR021140', NULL, 'Alkaline proteinase inhibitor/ Outer membrane lipoprotein Omp19', 'Inh/Omp19', 3, NULL),
(15154, NULL, 'IPR017559', NULL, 'Alkyl hydroperoxide reductase subunit C', 'AhpC', 4, NULL),
(15155, NULL, 'IPR023072', NULL, 'Acetyltransferase, YpeA', 'Acetyltransferase_YpeA', 4, NULL),
(15156, NULL, 'IPR023050', NULL, 'Bifunctional protein PyrR', 'PyrR', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15157, NULL, 'IPR016790', NULL, 'Thiol ester hydratase, Rv0216, predicted', 'Thiol_ester_hydratase_Rv0216', 4, NULL),
(15158, NULL, 'IPR024935', NULL, 'Rubredoxin domain', 'Rubredoxin_dom', 3, NULL),
(15159, NULL, 'IPR021045', NULL, 'Influenza A proapoptotic protein PB1-F2', 'Flu_proapoptotic_PB1-F2', 4, NULL),
(15160, NULL, 'IPR016806', NULL, 'COP9 signalosome complex, subunit 9, fungi', 'Csn9_fungi', 4, NULL),
(15161, NULL, 'IPR019916', NULL, 'Ureidoacrylate amidohydrolase RutB', 'RutB', 4, NULL),
(15162, NULL, 'IPR021043', NULL, 'MKI67 FHA domain-interacting nucleolar phosphoprotein, FHA Ki67 binding', 'NIFK_FHA_Ki67-binding', 3, NULL),
(15163, NULL, 'IPR021124', NULL, 'CRISPR-associated protein, Cas5', 'CRISPR-assoc_prot_Cas5', 4, NULL),
(15164, NULL, 'IPR021061', NULL, 'Mitochondrial division protein 1', 'Mt_division_protein_1', 4, NULL),
(15165, NULL, 'IPR019894', NULL, 'Patatin-related protein', 'Patatin-related_protein', 3, NULL),
(15166, NULL, 'IPR017545', NULL, 'CRISPR-associated protein, Csf1 family', 'CRISPR-assoc_prot_Csf1', 4, NULL),
(15167, NULL, 'IPR018927', NULL, 'Toxin co-regulated pilus biosynthesis protein Q, C-terminal', 'Pilus_synth_Q_C', 3, NULL),
(15168, NULL, 'IPR018971', NULL, 'Protein of unknown function DUF1997', 'DUF1997', 4, NULL),
(15169, NULL, 'IPR021013', NULL, 'ATPase, vacuolar ER assembly factor, Vma12', 'ATPase_Vma12', 4, NULL),
(15170, NULL, 'IPR023061', NULL, 'Selenophosphate synthetase, class I', 'SelD_I', 4, NULL),
(15171, NULL, 'IPR019887', NULL, 'Transcription regulator AsnC/Lrp, ligand binding domain', 'Tscrpt_reg_AsnC/Lrp_C', 3, NULL),
(15172, NULL, 'IPR020989', NULL, 'Histone-arginine methyltransferase CARM1, N-terminal', 'Histone-Arg_MeTrfase_N', 3, NULL),
(15173, NULL, 'IPR022982', NULL, 'DNA double-strand break repair Rad50 ATPase, archaeal type', 'Rad50_ATPase_archaeal', 4, NULL),
(15174, NULL, 'IPR016788', NULL, 'Membrane protein YqfB', 'YqfB', 4, NULL),
(15175, NULL, 'IPR021090', NULL, 'SAM/SH3 domain-containing', 'rSAM/SH3_domain-containing', 4, NULL),
(15176, NULL, 'IPR016791', NULL, 'Rubromycin-type polyketide biosynthesis protein, GrhN/RubW, predicted', 'Polyketide_synth_GrhN/RubW_prd', 4, NULL),
(15177, NULL, 'IPR021007', NULL, 'Complementary sex determiner, C-terminal', 'Sex_determ_C', 3, NULL),
(15178, NULL, 'IPR023029', NULL, 'Ribosomal protein S15P', 'Ribosomal_S15P', 4, NULL),
(15179, NULL, 'IPR021077', NULL, 'Bacteriophage phi-Lf, Orf112', 'Phage_phi-Lf_Orf112', 4, NULL),
(15180, NULL, 'IPR021054', NULL, 'Cell wall mannoprotein 1', 'Cell_wall_mannoprotein_1', 4, NULL),
(15181, NULL, 'IPR018972', NULL, 'Sas10 C-terminal domain', 'Sas10_C_dom', 3, NULL),
(15182, NULL, 'IPR018200', NULL, 'Ubiquitin specific protease, conserved site', 'USP_CS', 2, NULL),
(15183, NULL, 'IPR016825', NULL, 'Flagella-related protein F', 'Flagellin-rel_FlaF', 4, NULL),
(15184, NULL, 'IPR023067', NULL, 'DNA protection during starvation protein, gammaproteobacteria', 'Dps_gammaproteobac', 4, NULL),
(15185, NULL, 'IPR016803', NULL, 'RGS1-HXK1-interacting protein 1', 'RHIP1', 4, NULL),
(15186, NULL, 'IPR023628', NULL, 'Recombination protein RecR, C4-type zinc finger', 'Rcmb_RecR_C4-type_Zn', 3, NULL),
(15187, NULL, 'IPR023010', NULL, 'Probable glycine dehydrogenase (decarboxylating) subunit 1', 'GcvPA', 4, NULL),
(15188, NULL, 'IPR023043', NULL, 'NAD(P)H-quinone oxidoreductase subunit 3, bacterial/plastid', 'NAD(P)H_OxRDtase_bac/plastid', 4, NULL),
(15189, NULL, 'IPR021004', NULL, 'Dispersed gene family protein 1, domain 4', 'Dispersed_gene_fam_prot1_dom4', 3, NULL),
(15190, NULL, 'IPR016794', NULL, 'Uncharacterised conserved protein UCP21603, acetyltransferase-like', 'UCP21603_acetyltransf', 4, NULL),
(15191, NULL, 'IPR021139', NULL, 'NYN domain, MARF1-type', 'NYN_MARF1', 3, NULL),
(15192, NULL, 'IPR018962', NULL, 'Domain of unknown function DUF1995', 'DUF1995', 3, NULL),
(15193, NULL, 'IPR019898', NULL, 'Putative aminoacrylate peracid reductase RutC', 'RutC', 4, NULL),
(15194, NULL, 'IPR021010', NULL, 'Cytosolic motility protein', 'Cytosolic_motility_protein', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15195, NULL, 'IPR017204', NULL, 'Signal transduction histidine kinase, STH3221, predicted', 'Sig_transdc_His_kin_STH3221', 4, NULL),
(15196, NULL, 'IPR017525', NULL, 'Small, acid-soluble spore protein I', 'SspI', 4, NULL),
(15197, NULL, 'IPR017548', NULL, 'CRISPR-associated DEAD/DEAH-box helicase Csf4', 'CRISPR-assoc_helicase_Csf4', 4, NULL),
(15198, NULL, 'IPR022988', NULL, 'Nickel-responsive transcriptional regulator NikR', 'Ni_resp_reg_NikR', 4, NULL),
(15199, NULL, 'IPR018546', NULL, 'Protein of unknown function DUF2004', 'DUF2004', 4, NULL),
(15200, NULL, 'IPR021046', NULL, 'Cold-shock protein, DEAD box A, C-terminal', 'Cold-shock_DEAD_Abox_C', 3, NULL),
(15201, NULL, 'IPR021059', NULL, 'DnaJ-related protein, N-terminal', 'DnaJ-related_N', 3, NULL),
(15202, NULL, 'IPR021125', NULL, 'Protein of unknown function DUF2127', 'DUF2127', 4, NULL),
(15203, NULL, 'IPR021068', NULL, 'HTH DNA binding domain', 'HTH_DNA-bd', 3, NULL),
(15204, NULL, 'IPR016818', NULL, 'Nitric oxide synthase-interacting protein', 'NOSIP', 4, NULL),
(15205, NULL, 'IPR023053', NULL, 'Ribosomal protein S14, type Z', 'Ribosomal_S14_Z', 4, NULL),
(15206, NULL, 'IPR019312', NULL, 'CCR4-NOT transcription complex subunit 11', 'CNOT11', 4, NULL),
(15207, NULL, 'IPR018550', NULL, 'Lipid A 3-O-deacylase-related', 'Lipid-A_deacylase-rel', 4, NULL),
(15208, NULL, 'IPR035113', NULL, 'Protein 14, SARS-like', 'Protein_14_SARS-like', 4, NULL),
(15209, NULL, 'IPR017529', NULL, 'Acyl-CoA ligase (AMP-forming), exosortase system type 1 associated', 'AcylCoA_ligase_PEP_1', 4, NULL),
(15210, NULL, 'IPR021049', NULL, 'Bacteriophage T4, Gp40, head assembly', 'Phage_T4_Gp40', 4, NULL),
(15211, NULL, 'IPR019918', NULL, 'Pyrimidine permease RutG, predicted', 'Pyrimidine_permease_RutG_pred', 4, NULL),
(15212, NULL, 'IPR021067', NULL, 'Glycosyltransferase, GlcNAc', 'Glycosyltransferase', 4, NULL),
(15213, NULL, 'IPR016824', NULL, 'Tfp pilus assembly protein FimT', 'Tfp-pilus_assembly_FimT', 4, NULL),
(15214, NULL, 'IPR035460', NULL, 'FCHSD, SH3 domain 1', 'FCHSD_SH3_1', 3, NULL),
(15215, NULL, 'IPR023002', NULL, 'Glycerol-1-phosphate dehydrogenase, archaea', 'G1P_dehydrogenase_arc', 4, NULL),
(15216, NULL, 'IPR018957', NULL, 'Zinc finger, C3HC4 RING-type', 'Znf_C3HC4_RING-type', 3, NULL),
(15217, NULL, 'IPR016785', NULL, 'ComG operon protein 4', 'ComGD', 4, NULL),
(15218, NULL, 'IPR023024', NULL, 'dNTP triphosphohydrolase, type 3', 'dNTPase_3', 4, NULL),
(15219, NULL, 'IPR035468', NULL, 'SH3D21, SH3 domain', 'SH3D21_SH3', 3, NULL),
(15220, NULL, 'IPR016777', NULL, 'Uncharacterised conserved protein UCP020772', 'UCP020772', 4, NULL),
(15221, NULL, 'IPR022372', NULL, 'Accessory secretory system protein Asp1', 'Accessory_SS_Asp1', 4, NULL),
(15222, NULL, 'IPR021023', NULL, 'Herpesvirus UL132', 'Herpes_132', 4, NULL),
(15223, NULL, 'IPR023048', NULL, 'NADH:quinone oxidoreductase, FMN-dependent', 'NADH:quinone_OxRdtase_FMN_depd', 4, NULL),
(15224, NULL, 'IPR035114', NULL, 'Gene product 67', 'GP67', 4, NULL),
(15225, NULL, 'IPR019920', NULL, 'F420-binding domain, putative', 'F420-binding_dom_put', 3, NULL),
(15226, NULL, 'IPR019315', NULL, 'Multiple myeloma tumor-associated protein 2-like, N-terminal', 'MMTA2_N', 3, NULL),
(15227, NULL, 'IPR022997', NULL, 'NADH-quinone oxidoreductase chain 4', 'NADH_Q_OxRdtase_chain4', 4, NULL),
(15228, NULL, 'IPR023011', NULL, 'ATP synthase, F0 complex, subunit A, active site', 'ATP_synth_F0_asu_AS', 0, NULL),
(15229, NULL, 'IPR021018', NULL, 'Mediator complex, subunit Med29, metazoa', 'Mediator_Med29_met', 4, NULL),
(15230, NULL, 'IPR021089', NULL, 'Bacteriocin, lactococcin-G', 'Bacteriocin_lactococcin-G', 4, NULL),
(15231, NULL, 'IPR021021', NULL, 'Fibronectin-binding repeat, SSURE', 'Fibronectin-binding_SSURE', 7, NULL),
(15232, NULL, 'IPR021038', NULL, 'Herpesvirus UL130, cytomegalovirus', 'Herpes_UL130_cytomegalovirus', 4, NULL),
(15233, NULL, 'IPR016775', NULL, 'Nodulation, NolB', 'Nodulation_NolB', 4, NULL),
(15234, NULL, 'IPR023009', NULL, 'Tyrosine recombinase XerC/XerD', 'Tyrosine_recombinase_XerC/XerD', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15235, NULL, 'IPR018912', NULL, 'Protein of unknown function DUF2478', 'DUF2478', 4, NULL),
(15236, NULL, 'IPR023063', NULL, 'FeS cluster insertion protein ErpA', 'FeS_cluster_insertion_RrpA', 4, NULL),
(15237, NULL, 'IPR019956', NULL, 'Ubiquitin domain', 'Ubiquitin_dom', 3, NULL),
(15238, NULL, 'IPR022347', NULL, 'G protein-coupled receptor 153/162', 'GCR_153/162', 4, NULL),
(15239, NULL, 'IPR023042', NULL, 'Peptidase M17, leucine aminopeptidase', 'Peptidase_M17_leu_NH2_pept', 4, NULL),
(15240, NULL, 'IPR021091', NULL, 'Mercury ion transport, MerF', 'Mercury_ion_transport_MerF', 4, NULL),
(15241, NULL, 'IPR021087', NULL, 'Uncharacterised protein family PixA/AidA', 'Uncharacterised_PixA/AidA', 4, NULL),
(15242, NULL, 'IPR018931', NULL, 'Domain of unknown function DUF2520', 'DUF2520', 3, NULL),
(15243, NULL, 'IPR021039', NULL, 'Iron-sulphur binding protein LdpA, C-terminal', 'Fe-S-bd_prot_LdpA_C', 3, NULL),
(15244, NULL, 'IPR019324', NULL, 'M-phase phosphoprotein 6', 'MPP6', 4, NULL),
(15245, NULL, 'IPR023005', NULL, 'Nucleoside diphosphate kinase, active site', 'Nucleoside_diP_kinase_AS', 0, NULL),
(15246, NULL, 'IPR018552', NULL, 'Centromere protein X', 'CENP-X', 4, NULL),
(15247, NULL, 'IPR016786', NULL, 'Uncharacterised protein YdeI, bacterial', 'YdeI_bac', 4, NULL),
(15248, NULL, 'IPR022991', NULL, 'Ribosomal protein L30e, conserved site', 'Ribosomal_L30e_CS', 2, NULL),
(15249, NULL, 'IPR021001', NULL, 'Spidroin, C-terminal', 'Spidroin_C', 3, NULL),
(15250, NULL, 'IPR018924', NULL, 'Protein of unknown function DUF2486', 'DUF2486', 4, NULL),
(15251, NULL, 'IPR018963', NULL, 'Mycobacteriophage D29, Gp19', 'Mycophage_D29_Gp19', 4, NULL),
(15252, NULL, 'IPR019836', NULL, 'Verru/Chthon cassette protein D', 'Verru/Chthon_D', 4, NULL),
(15253, NULL, 'IPR016782', NULL, 'Uncharacterised conserved protein UCP022271', 'UCP022271', 4, NULL),
(15254, NULL, 'IPR019323', NULL, 'Active zone protein ELKS', 'ELKS/CAST', 4, NULL),
(15255, NULL, 'IPR023003', NULL, 'Glycerol-1-phosphate dehydrogenase, bacteria', 'G1P_dehydrogenase_bac', 4, NULL),
(15256, NULL, 'IPR021047', NULL, 'Mannosyltransferase 1, CMT1', 'Mannosyltransferase_CMT1', 4, NULL),
(15257, NULL, 'IPR023025', NULL, 'Serine/threonine transporter SstT', 'Ser_Thr_transp_SstT', 4, NULL),
(15258, NULL, 'IPR019858', NULL, 'CRISPR-associated protein Cas1, HMARI/TNEAP subtype', 'CRISPR-assoc_Cas1_HMARI/TNEAP', 4, NULL),
(15259, NULL, 'IPR021102', NULL, 'Peptide-N4-(N-acetyl-beta-glucosaminyl)asparagine amidase A', 'PNGase_A', 4, NULL),
(15260, NULL, 'IPR023081', NULL, 'Cell division protein FtsB', 'Cell_div_FtsB', 4, NULL),
(15261, NULL, 'IPR018968', NULL, 'Phasin', 'Phasin', 3, NULL),
(15262, NULL, 'IPR035467', NULL, 'Putative ATP-dependent RNA helicase YLR419W-like, UBA domain', 'YLR419W-like_UBA', 3, NULL),
(15263, NULL, 'IPR017546', NULL, 'CRISPR type IV/AFERR-associated protein Csf2', 'CRISPR-assoc_prot_Csf2', 4, NULL),
(15264, NULL, 'IPR017557', NULL, 'Phosphoribosyl-dephospho-CoA transferase', 'Holo-ACP_synthase', 4, NULL),
(15265, NULL, 'IPR021058', NULL, 'Porin OmpL1', 'Porin_OmpL1', 4, NULL),
(15266, NULL, 'IPR017201', NULL, 'Uncharacterised conserved protein UCP037429', 'UCP037429', 4, NULL),
(15267, NULL, 'IPR017523', NULL, 'Conserved hypothetical protein CHP03089', 'CHP03089', 4, NULL),
(15268, NULL, 'IPR017554', NULL, 'Malonate decarboxylase, McdH subunit', 'Malonate_deCOase_MdcHsu', 4, NULL),
(15269, NULL, 'IPR016787', NULL, 'Uncharacterised conserved protein UCP021328', 'UCP021328', 4, NULL),
(15270, NULL, 'IPR019893', NULL, 'PQQ-dependent dehydrogenase, s-GDH family', 'PQQ-dependent_DH_s-GDH', 4, NULL),
(15271, NULL, 'IPR023057', NULL, 'Bifunctional glutamine synthetase adenylyltransferase/adenylyl-removing enzyme', 'GlnE', 4, NULL),
(15272, NULL, 'IPR022671', NULL, 'Ribosomal protein L2, conserved site', 'Ribosomal_L2_CS', 2, NULL),
(15273, NULL, 'IPR018194', NULL, 'Nickel-dependent hydrogenase, large subunit, nickel binding site', 'Ni-dep_hyd_lsu_Ni_BS', 1, NULL),
(15274, NULL, 'IPR021044', NULL, 'Herpesvirus Glycoprotein B, antigenic domain, N-terminal', 'Glycoprot_B_antigenic_N', 3, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15275, NULL, 'IPR021086', NULL, 'Accessory protein p12I', 'p12I', 4, NULL),
(15276, NULL, 'IPR017550', NULL, 'Formylmethanofuran dehydrogenase subunit C', 'Formylmethanofuran_DH_suC', 3, NULL),
(15277, NULL, 'IPR023016', NULL, 'HisA/PriA, bacterial-type', 'Isoase_HisA-like_bact', 4, NULL),
(15278, NULL, 'IPR016789', NULL, 'Uncharacterised conserved protein UCP021389', 'UCP021389', 4, NULL),
(15279, NULL, 'IPR021096', NULL, 'Vibrio phage VSK, Orf152', 'Vibrio_phage_VSK_Orf152', 4, NULL),
(15280, NULL, 'IPR021110', NULL, 'DNA replication/checkpoint protein', 'DNA_rep_checkpnt_protein', 4, NULL),
(15281, NULL, 'IPR021111', NULL, 'Hexameric tyrosine-coordinated heme protein (HTHP)', 'Hexamer_Tyr-coord_heme_pr_HTHP', 4, NULL),
(15282, NULL, 'IPR023018', NULL, 'Transport protein YidE, putative', 'Transpt_YidE_put', 4, NULL),
(15283, NULL, 'IPR021056', NULL, 'Mitochondrial import inner membrane translocase subunit Tim54', 'Mt_import_IM_translocase_Tim54', 4, NULL),
(15284, NULL, 'IPR016814', NULL, 'Profilin, apicomplexa', 'Profilin_apicomplexa', 4, NULL),
(15285, NULL, 'IPR035222', NULL, 'Non-structural protein NS3', 'NS3', 4, NULL),
(15286, NULL, 'IPR021075', NULL, 'Bocavirus non-capsid protein, NP1', 'Bocavirus_NP1', 4, NULL),
(15287, NULL, 'IPR021050', NULL, 'Cytochrome c oxidase subunit IV, actinobacteria', 'Cyt_c_oxidase_su4_actinobac', 4, NULL),
(15288, NULL, 'IPR019786', NULL, 'Zinc finger, PHD-type, conserved site', 'Zinc_finger_PHD-type_CS', 2, NULL),
(15289, NULL, 'IPR021076', NULL, 'Parvovirus non-structural protein 1, N-terminal', 'Parvovirus_NS1_N', 3, NULL),
(15290, NULL, 'IPR017532', NULL, 'Hydrolase, ortholog 2, exosortase system type 1 associated', 'Hydrolase-2_PEP', 4, NULL),
(15291, NULL, 'IPR023071', NULL, 'Transcriptional regulator, SlyA', 'Tscrpt_reg_SlyA', 4, NULL),
(15292, NULL, 'IPR019780', NULL, 'Germin, manganese binding site', 'Germin_Mn-BS', 1, NULL),
(15293, NULL, 'IPR023051', NULL, 'Potassium uptake protein, low affinity, Kup', 'K+_uptake_low_affin', 4, NULL),
(15294, NULL, 'IPR023064', NULL, 'D-ribose pyranase', 'D-ribose_pyranase', 4, NULL),
(15295, NULL, 'IPR017518', NULL, 'Conserved hypothetical protein CHP03084', 'CHP03084', 4, NULL),
(15296, NULL, 'IPR021016', NULL, 'Beta-1,3-xylanase', 'Beta-xylanase', 4, NULL),
(15297, NULL, 'IPR021062', NULL, 'Putative aromatic acid exporter, C-terminal', 'ArAE_1_C', 3, NULL),
(15298, NULL, 'IPR021032', NULL, 'Duffy-antigen binding, N-terminal', 'Duffy-antigen-binding_N', 3, NULL),
(15299, NULL, 'IPR019311', NULL, 'Protein of unknown function DUF2362', 'DUF2362', 4, NULL),
(15300, NULL, 'IPR018979', NULL, 'FERM, N-terminal', 'FERM_N', 3, NULL),
(15301, NULL, 'IPR022585', NULL, 'TraD coupling protein, N-terminal', 'TraD_N', 3, NULL),
(15302, NULL, 'IPR023082', NULL, 'Homeo-prospero domain', 'Homeo_prospero_dom', 3, NULL),
(15303, NULL, 'IPR021112', NULL, 'Lantibiotic streptin immunity protein', 'Lantibiotic_streptin_immunity', 3, NULL),
(15304, NULL, 'IPR019950', NULL, 'M protein-type anchor domain', 'M_anchor', 3, NULL),
(15305, NULL, 'IPR024014', NULL, 'FMNH(2)-dependent dimethylsulfone monooxygenase SfnG', 'DMSO2_SphG', 4, NULL),
(15306, NULL, 'IPR016772', NULL, 'Uncharacterised conserved protein UCP020408', 'UCP020408', 4, NULL),
(15307, NULL, 'IPR021099', NULL, 'Plant organelle RNA recognition domain', 'PORR_domain', 3, NULL),
(15308, NULL, 'IPR018974', NULL, 'Tex-like protein, N-terminal', 'Tex-like_N', 3, NULL),
(15309, NULL, 'IPR022987', NULL, 'Uncharacterised protein family UPF0227', 'UPF0227', 4, NULL),
(15310, NULL, 'IPR021063', NULL, 'NF-kappa-B essential modulator NEMO, N-terminal', 'NEMO_N', 3, NULL),
(15311, NULL, 'IPR021008', NULL, 'Protein of unknown function DUF3687', 'DUF3687', 4, NULL),
(15312, NULL, 'IPR018916', NULL, 'Protein of unknown function DUF2481', 'DUF2481', 4, NULL),
(15313, NULL, 'IPR023627', NULL, 'Recombination protein RecR', 'Rcmb_RecR', 5, NULL),
(15314, NULL, 'IPR024766', NULL, 'Zinc finger, RING-H2-type', 'Znf_RING_H2', 3, NULL),
(15315, NULL, 'IPR021093', NULL, 'NADH-quinone oxidoreductase, subunit15', 'NADH_quinone_OxRdtase_su15', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15316, NULL, 'IPR019333', NULL, 'Integrator complex subunit 3, N-terminal', 'INTS3_N', 3, NULL),
(15317, NULL, 'IPR017517', NULL, 'Conserved hypothetical protein CHP03083, actinobacterial-type', 'CHP03083_actinobac', 4, NULL),
(15318, NULL, 'IPR018548', NULL, 'Spike (S) protein S1 subunit, receptor-binding domain, betacoronavirus', 'Spike_S1_RBD_bCoV', 3, NULL),
(15319, NULL, 'IPR021109', NULL, 'Aspartic peptidase domain superfamily', 'Peptidase_aspartic_dom_sf', 5, NULL),
(15320, NULL, 'IPR019925', NULL, 'DNA repair protein, predicted', 'DNA_repair_protein_predicted', 4, NULL),
(15321, NULL, 'IPR019320', NULL, 'BLOC-1-related complex subunit 8', 'BORCS8', 4, NULL),
(15322, NULL, 'IPR022998', NULL, 'Thiamine phosphate synthase/TenI', 'ThiamineP_synth_TenI', 3, NULL),
(15323, NULL, 'IPR018969', NULL, 'Xylulose 5-phosphate/Fructose 6-phosphate phosphoketolase, C-terminal', 'Xul5P/Fru6P_PKetolase_C', 3, NULL),
(15324, NULL, 'IPR016792', NULL, 'Uncharacterised conserved protein UCP021573', 'UCP021573', 4, NULL),
(15325, NULL, 'IPR021057', NULL, 'Trypanosome invariant surface glycoprotein', 'Trypano_invariant_glycop', 4, NULL),
(15326, NULL, 'IPR021003', NULL, 'Cytomegalovirus glycoprotein N, N-terminal', 'Cytomegalovirus_glycopN_N', 3, NULL),
(15327, NULL, 'IPR016811', NULL, 'Origin recognition complex, subunit 6, fungi', 'ORC6_fun', 4, NULL),
(15328, NULL, 'IPR016776', NULL, '3-hydroxylacyl-(acyl carrier protein) dehydratase, predicted', 'Hydroxyacyl-ACP_deHydtase_prd', 4, NULL),
(15329, NULL, 'IPR019889', NULL, 'DNA helicase, DnaB-like, phage', 'DNA_helicase_DnaB-like_phg', 4, NULL),
(15330, NULL, 'IPR023000', NULL, 'Shikimate kinase, conserved site', 'Shikimate_kinase_CS', 2, NULL),
(15331, NULL, 'IPR022990', NULL, 'Uncharacterised protein family UPF0115', 'UPF0115', 4, NULL),
(15332, NULL, 'IPR019960', NULL, 'Type I secretion C-terminal target domain, VC_A0849 subclass', 'T1SS_VCA0849', 3, NULL),
(15333, NULL, 'IPR017541', NULL, 'Exosortase family protein XrtG', 'Exosort-XrtG', 4, NULL),
(15334, NULL, 'IPR035212', NULL, 'Matrix/matrix long, N-terminal', 'Mx/ML_C', 3, NULL),
(15335, NULL, 'IPR017521', NULL, 'Sugar transferase, PEP-CTERM, Stp1', 'Sugar_tfrase_PEP-CTERM_Stp1', 4, NULL),
(15336, NULL, 'IPR018915', NULL, 'Bacteriophage A118, Gp45', 'Phage_A118_Gp45', 4, NULL),
(15337, NULL, 'IPR023036', NULL, 'Ribosomal protein S14, bacterial/plastid', 'Ribosomal_S14_bac/plastid', 4, NULL),
(15338, NULL, 'IPR016781', NULL, 'Anti-sigma regulatory factor, PmgA, predicted', 'Anti-sigma_regulat_PmgA_prd', 4, NULL),
(15339, NULL, 'IPR023052', NULL, 'Cell division protein SepF', 'Cell_div_SepF', 4, NULL),
(15340, NULL, 'IPR017552', NULL, '3-hexulose-6-phosphate isomerase', 'PHI/rmpB', 4, NULL),
(15341, NULL, 'IPR021100', NULL, 'N-glycosylation protein EOS1', 'N-glycosylation_EOS1', 4, NULL),
(15342, NULL, 'IPR035228', NULL, 'Protein of unknown function DUF5340', 'DUF5340', 4, NULL),
(15343, NULL, 'IPR021033', NULL, 'Extracellular fibrinogen binding protein, C-terminal', 'Extracellular_fibrinogen-bd_C', 3, NULL),
(15344, NULL, 'IPR018929', NULL, 'Domain of unknown function DUF2510', 'DUF2510', 3, NULL),
(15345, NULL, 'IPR023058', NULL, 'Peptidyl-prolyl cis-trans isomerase, PpiC-type, conserved site', 'PPIase_PpiC_CS', 2, NULL),
(15346, NULL, 'IPR018919', NULL, 'Protein of unknown function DUF2484', 'DUF2484', 4, NULL),
(15347, NULL, 'IPR023023', NULL, 'dNTP triphosphohydrolase, type 2', 'dNTPase_2', 4, NULL),
(15348, NULL, 'IPR018965', NULL, 'Ubiquitin-activating enzyme E1, C-terminal', 'Ub-activating_enz_E1_C', 3, NULL),
(15349, NULL, 'IPR018914', NULL, 'Protein of unknown function DUF2480', 'DUF2480', 4, NULL),
(15350, NULL, 'IPR016823', NULL, 'Sulfur oxidation c-type cytochrome SoxX, type II', 'Thiosulf_SoxX_II', 4, NULL),
(15351, NULL, 'IPR021040', NULL, 'LRRC8, pannexin-like TM region', 'LRRC8_Pannexin-like', 3, NULL),
(15352, NULL, 'IPR022984', NULL, 'M18 family aminopeptidase 2, putative', 'M18_aminopeptidase_2', 4, NULL),
(15353, NULL, 'IPR021036', NULL, 'Ribosomal protein S35, mitochondrial', 'Ribosomal_S35_mit', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15354, NULL, 'IPR019890', NULL, 'Bacteriocin, heterocycloanthracin/sonorensin family', 'Bacteriocin/sonorensin', 4, NULL),
(15355, NULL, 'IPR019302', NULL, 'Nucleotide-binding protein, predicted, TIR-like domain', 'TIR-like_dom', 3, NULL),
(15356, NULL, 'IPR023006', NULL, 'Uncharacterised protein family UPF0225', 'UPF0225', 4, NULL),
(15357, NULL, 'IPR016801', NULL, 'Uncharacterised conserved protein UCP022207', 'UCP022207', 4, NULL),
(15358, NULL, 'IPR023049', NULL, 'Glucose-1-phosphate adenylyltransferase GlgC, bacterial', 'GlgC_bac', 4, NULL),
(15359, NULL, 'IPR023065', NULL, 'Uncharacterised protein family ApaG', 'Uncharacterised_ApaG', 4, NULL),
(15360, NULL, 'IPR023961', NULL, 'Nitric oxide reductase FlRd-NAD(+) reductase', 'NO_rdtase_NorW', 4, NULL),
(15361, NULL, 'IPR017535', NULL, 'Asparagine synthase family amidotransferase', 'Asparagine_synth', 4, NULL),
(15362, NULL, 'IPR021055', NULL, 'Type-IV b secretion system, inner-membrane complex component', 'T4BSS_IcmL/DotI', 4, NULL),
(15363, NULL, 'IPR019303', NULL, 'vWA found in TerF C terminus', 'vWA_TerF_C', 3, NULL),
(15364, NULL, 'IPR017520', NULL, 'Conserved hypothetical protein CHP03086', 'CHP03086', 4, NULL),
(15365, NULL, 'IPR035463', NULL, 'Peroxin 13', 'Pex13', 4, NULL),
(15366, NULL, 'IPR017555', NULL, 'Triphosphoribosyl-dephospho-CoA synthase', 'TriPribosyl-deP-CoA_syn', 4, NULL),
(15367, NULL, 'IPR023070', NULL, 'DnaA initiator-associating protein', 'DiaA', 4, NULL),
(15368, NULL, 'IPR019927', NULL, 'Ribosomal protein L3, bacterial/organelle-type', 'Ribosomal_L3_bac/org-type', 4, NULL),
(15369, NULL, 'IPR016827', NULL, 'Transcriptional adaptor 2', 'Ada2/TADA2', 4, NULL),
(15370, NULL, 'IPR022996', NULL, 'Uncharacterised protein family UPF0310', 'UPF0310', 4, NULL),
(15371, NULL, 'IPR023055', NULL, 'Putative competence-damage inducible protein, Archaea', 'CinA_Arc', 4, NULL),
(15372, NULL, 'IPR017534', NULL, 'GNAT-acetyltransferase', 'GNAT-acetyltransferase', 4, NULL),
(15373, NULL, 'IPR018944', NULL, 'DNA polymerase lambda, fingers domain', 'DNA_pol_lambd_fingers_domain', 3, NULL),
(15374, NULL, 'IPR017551', NULL, 'Triphosphoribosyl-dephospho-CoA synthase CitG', 'TriPribosyl-deP-CoA_syn_CitG', 4, NULL),
(15375, NULL, 'IPR016819', NULL, 'Ribonuclease P/MRP protein subunit Pop5', 'RNase_P/MRP_POP5', 4, NULL),
(15376, NULL, 'IPR018950', NULL, 'Disulphide bond isomerase, DsbC/G, N-terminal', 'DiS-bond_isomerase_DsbC/G_N', 3, NULL),
(15377, NULL, 'IPR021060', NULL, 'Merozoite surface antigen', 'Merozoite_surface_antigen', 4, NULL),
(15378, NULL, 'IPR016795', NULL, 'Uncharacterised conserved protein UCP021697, membrane', 'UCP021697', 4, NULL),
(15379, NULL, 'IPR022891', NULL, 'Triosephosphate isomerase, archaeal', 'Triosephosphate_isomerase_arc', 4, NULL),
(15380, NULL, 'IPR019919', NULL, 'Luciferase-like, F420-dependent oxidoreductase, MSMEG2256, predicted', 'Lucif-like_OxRdtase_MSMEG_2256', 4, NULL),
(15381, NULL, 'IPR018948', NULL, 'GTP-binding protein TrmE, N-terminal', 'GTP-bd_TrmE_N', 3, NULL),
(15382, NULL, 'IPR022983', NULL, 'M18 family aminopeptidase 1, putative', 'M18_aminopeptidase_1', 4, NULL),
(15383, NULL, 'IPR019855', NULL, 'CRISPR-associated protein Cas1, NMENI subtype', 'CRISPR-assoc_Cas1_NMENI', 4, NULL),
(15384, NULL, 'IPR019885', NULL, 'Transcription regulator HTH, AsnC-type, conserved site', 'Tscrpt_reg_HTH_AsnC-type_CS', 2, NULL),
(15385, NULL, 'IPR022980', NULL, 'Photosystem I, reaction centre subunit XI', 'PSI_suXI', 4, NULL),
(15386, NULL, 'IPR020997', NULL, 'Ataxin-1, N-terminal', 'Ataxin-1_N', 3, NULL),
(15387, NULL, 'IPR022985', NULL, 'Sulfate transporter CysZ', 'Sulfate_CysZ', 4, NULL),
(15388, NULL, 'IPR024019', NULL, 'Conserved hypothetical protein CHP04096', 'CHP04096', 4, NULL),
(15389, NULL, 'IPR016778', NULL, 'Competence protein ComB', 'Competence_ComB', 4, NULL),
(15390, NULL, 'IPR018911', NULL, 'Bacterial spore germination, immunoglobulin-like domain', 'Gmad2_Ig-like_dom', 3, NULL),
(15391, NULL, 'IPR019325', NULL, 'NEDD4/Bsd2', 'NEDD4/Bsd2', 4, NULL),
(15392, NULL, 'IPR023001', NULL, 'Fructose-6-phosphate aldolase', 'F6P_aldolase', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15393, NULL, 'IPR034152', NULL, 'SLIRP, RNA recognition motif', 'SLIRP_RRM', 3, NULL),
(15394, NULL, 'IPR018978', NULL, 'Ribosome maturation protein Sdo1/SBDS, C-terminal', 'Ribosome_mat_Sdo1/SBDS_C', 3, NULL),
(15395, NULL, 'IPR016817', NULL, 'Mannose-P-dolichol utilization defect 1 protein', 'MannP-dilichol_defect-1', 4, NULL),
(15396, NULL, 'IPR018195', NULL, 'Transferrin family, iron binding site', 'Transferrin_Fe_BS', 1, NULL),
(15397, NULL, 'IPR024832', NULL, 'Synaptonemal complex protein 2', 'SYCP2', 4, NULL),
(15398, NULL, 'IPR017202', NULL, 'Sensor histidine kinase LiaS/VraS', 'LiaS/VraS', 4, NULL),
(15399, NULL, 'IPR019300', NULL, 'CO dehydrogenase accessory protein CooT', 'CooT', 4, NULL),
(15400, NULL, 'IPR023073', NULL, 'DNA polymerase, error-prone', 'DNA_pol_error_prone', 4, NULL),
(15401, NULL, 'IPR018514', NULL, 'Rabaptin coiled-coil domain', 'Rabaptin_coiled-coil', 3, NULL),
(15402, NULL, 'IPR017526', NULL, 'Small acid-soluble spore protein, SspL', 'SASP_SspL', 4, NULL),
(15403, NULL, 'IPR023028', NULL, 'Mannitol-1-phosphate 5-dehydrogenase', 'Mannitol_1_phos_5_DH', 4, NULL),
(15404, NULL, 'IPR021131', NULL, 'Ribosomal protein L18e/L15P', 'Ribosomal_L18e/L15P', 3, NULL),
(15405, NULL, 'IPR017542', NULL, 'Putative glycosyltransferase, exosortase G-associated', 'Glycosyltfrase_exosort_G_assoc', 4, NULL),
(15406, NULL, 'IPR023066', NULL, 'Quinolinate synthase A, type 2', 'Quinolinate_synth_type2', 4, NULL),
(15407, NULL, 'IPR021071', NULL, 'Low molecular weight S layer protein, N-terminal', 'Low_molc_weight_S-layer_N', 3, NULL),
(15408, NULL, 'IPR019322', NULL, 'Mitochondrial import inner membrane translocase subunit Tim29', 'TIMM29', 4, NULL),
(15409, NULL, 'IPR023080', NULL, 'D-amino acid dehydrogenase DadA', 'DadA', 4, NULL),
(15410, NULL, 'IPR019310', NULL, 'rRNA-processing protein Efg1', 'Efg1', 4, NULL),
(15411, NULL, 'IPR016821', NULL, 'G0/G1 switch protein 2', 'G0S2', 4, NULL),
(15412, NULL, 'IPR019914', NULL, 'Pyrimidine monooxygenase RutA', 'Pyrimidine_monooxygenase_RutA', 4, NULL),
(15413, NULL, 'IPR018923', NULL, 'Phage tail assembly chaperone protein Gp14', 'Phage_TAC_8', 4, NULL),
(15414, NULL, 'IPR019992', NULL, 'Mycoides cluster lipoprotein, LppA/p72', 'Mycoides_lipoprot_LppA/p72', 4, NULL),
(15415, NULL, 'IPR018937', NULL, 'Membrane magnesium transporter', 'MMgT', 4, NULL),
(15416, NULL, 'IPR021134', NULL, 'Bestrophin/UPF0187', 'Bestrophin/UPF0187', 4, NULL),
(15417, NULL, 'IPR017200', NULL, 'Coenzyme PQQ synthesis protein E-like', 'PqqE-like', 4, NULL),
(15418, NULL, 'IPR019317', NULL, 'Brain protein I3', 'Brain_I3', 4, NULL),
(15419, NULL, 'IPR034291', NULL, 'Thiamine phosphate synthase', 'TMP_synthase', 4, NULL),
(15420, NULL, 'IPR021064', NULL, 'Estrogen receptor beta, N-terminal', 'Estrogen_rcpt_beta_N', 3, NULL),
(15421, NULL, 'IPR035219', NULL, 'Protein of unknown function DUF5452', 'DUF5452', 4, NULL),
(15422, NULL, 'IPR021037', NULL, 'Stomoxyn', 'Stomoxyn', 4, NULL),
(15423, NULL, 'IPR019921', NULL, 'Luciferase-like, F420-dependent oxidoreductase, Rv2161c, predicted', 'Lucif-like_OxRdtase_Rv2161c', 3, NULL),
(15424, NULL, 'IPR021014', NULL, 'SidE, PDE domain', 'SidE_PDE', 3, NULL),
(15425, NULL, 'IPR019309', NULL, 'WASH complex subunit 3', 'WASHC3', 4, NULL),
(15426, NULL, 'IPR017516', NULL, 'AbrB duplication', 'AbrB_dup', 3, NULL),
(15427, NULL, 'IPR019923', NULL, 'Luciferase-like, F420-dependent oxidoreductase, MSMEG2516, predicted', 'Lucif-like_OxRdtase_MSMEG_2516', 4, NULL),
(15428, NULL, 'IPR021095', NULL, 'Protein of unknown function DUF3734', 'DUF3734', 4, NULL),
(15429, NULL, 'IPR018926', NULL, 'Gp23', 'Gp23', 4, NULL),
(15430, NULL, 'IPR024771', NULL, 'SUZ domain', 'SUZ', 3, NULL),
(15431, NULL, 'IPR021002', NULL, 'Replication protein 1a, necrotic phentoype-determining domain', '1a_necrotic_phenotyp-det_dom', 3, NULL),
(15432, NULL, 'IPR017199', NULL, 'Uncharacterised conserved protein UCP037409, membrane transporter, MTH672', 'UCP037409_transporter', 4, NULL),
(15433, NULL, 'IPR016813', NULL, 'NADH dehydrogenase [ubiquinone] (complex I), 21kDa subunit, fungi', 'NADH_Ub_cplx-1_21kDa_fun', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15434, NULL, 'IPR022899', NULL, 'Deoxyhypusine synthase, putative, archaeal', 'Deoxyhypus_synthase_arc', 4, NULL),
(15435, NULL, 'IPR021088', NULL, 'Osteocrin', 'Osteocrin', 4, NULL),
(15436, NULL, 'IPR021101', NULL, 'Optomotor-blind protein, N-terminal', 'Optomoror-blind_N', 3, NULL),
(15437, NULL, 'IPR018922', NULL, 'NAD(P)H-quinone oxidoreductase subunit M', 'NdhM', 4, NULL),
(15438, NULL, 'IPR016779', NULL, 'Radical SAM enzyme, MSMEG0568', 'rSAM_MSMEG0568', 4, NULL),
(15439, NULL, 'IPR019957', NULL, 'ABC transporter, high-affinity heme uptake system protein IsdE', 'ABC_transptr_haem-bd_IsdE', 4, NULL),
(15440, NULL, 'IPR021108', NULL, 'Restriction endonuclease, type II, BpuJI, N-terminal', 'Restrct_endonuc_II_BpuJI_N', 3, NULL),
(15441, NULL, 'IPR023027', NULL, 'Mannitol dehydrogenase, conserved site', 'Mannitol_DH_CS', 2, NULL),
(15442, NULL, 'IPR035115', NULL, 'Protein of unknown function DUF5514', 'DUF5514', 4, NULL),
(15443, NULL, 'IPR023062', NULL, 'NADH dehydrogenase, subunit CD', 'NADH_DH_suCD', 4, NULL),
(15444, NULL, 'IPR035224', NULL, 'TcfC, Usher-like barrel domain', 'Usher_TcfC', 3, NULL),
(15445, NULL, 'IPR023074', NULL, 'Hydroxymethylglutaryl-CoA reductase, class I/II, catalytic domain superfamily', 'HMG_CoA_Rdtase_cat_sf', 5, NULL),
(15446, NULL, 'IPR019895', NULL, 'Putative bacteriocin export ABC transporter,  lactococcin 972 group', 'L_ocin_972_ABC', 4, NULL),
(15447, NULL, 'IPR021022', NULL, 'Human herpes virus-8, glycoprotein K1', 'HHSV-8_K1', 3, NULL),
(15448, NULL, 'IPR023069', NULL, 'Chaperone TorD', 'Chaperone_TorD', 4, NULL),
(15449, NULL, 'IPR019892', NULL, 'Thiazole/oxazole-forming peptide maturase, SagC family component', 'Cyclo_dehy_ocin', 4, NULL),
(15450, NULL, 'IPR018930', NULL, 'Late embryogenesis abundant protein, LEA-18', 'LEA-18', 4, NULL),
(15451, NULL, 'IPR021098', NULL, 'Bacteriophage P22, Gp10, DNA-stabilising', 'Phage_P22_Gp10', 4, NULL),
(15452, NULL, 'IPR016799', NULL, 'Uncharacterised conserved protein UCP022062', 'UCP022062', 4, NULL),
(15453, NULL, 'IPR016828', NULL, 'Alpha-L-arabinofuranosidase', 'Alpha-L-arabinofuranosidase', 4, NULL),
(15454, NULL, 'IPR018501', NULL, 'DDT domain', 'DDT_dom', 3, NULL),
(15455, NULL, 'IPR023014', NULL, 'Fructose-bisphosphate aldolase class I, Gram-positive bacteria-type', 'FBA_I_Gram+-type', 4, NULL),
(15456, NULL, 'IPR021041', NULL, 'Major surface glycoprotein 2, C-terminal', 'Maj_surf_glycoprot_2_C', 3, NULL),
(15457, NULL, 'IPR021138', NULL, '60S ribosomal protein L18a/ L20, eukaryotes', 'Ribosomal_L18a/L20_eukaryotes', 4, NULL),
(15458, NULL, 'IPR023045', NULL, 'Molybdenum cofactor biosynthesis C', 'Mo_CF_biosynth-C', 4, NULL),
(15459, NULL, 'IPR023019', NULL, 'Histidine biosynthesis bifunctional protein HisIE', 'His_synth_HisIE', 4, NULL),
(15460, NULL, 'IPR021012', NULL, 'Down syndrome cell adhesion molecule, C-terminal', 'Dscam_C', 3, NULL),
(15461, NULL, 'IPR019316', NULL, 'G8 domain', 'G8_domain', 3, NULL),
(15462, NULL, 'IPR016807', NULL, 'Anaphase-promoting complex subunit Mnd2', 'Mnd2', 4, NULL),
(15463, NULL, 'IPR019954', NULL, 'Ubiquitin conserved site', 'Ubiquitin_CS', 2, NULL),
(15464, NULL, 'IPR019301', NULL, 'Flagellar protein FlgJ, N-terminal', 'Flagellar_prot_FlgJ_N', 3, NULL),
(15465, NULL, 'IPR021069', NULL, 'ImpA, C-terminal', 'ImpA_C', 3, NULL),
(15466, NULL, 'IPR016800', NULL, 'Uncharacterised conserved protein UCP022080', 'UCP022080', 4, NULL),
(15467, NULL, 'IPR019924', NULL, 'ABC transporter, urea permease protein UrtB, archaeal', 'ABC_UrtB_arc', 4, NULL),
(15468, NULL, 'IPR023054', NULL, 'Sporulation regulator WhiA, C-terminal', 'Sporulation_regulator_WhiA_C', 3, NULL),
(15469, NULL, 'IPR018925', NULL, 'Phage terminase small subunit', 'Phage_terminase_ssu', 4, NULL),
(15470, NULL, 'IPR023032', NULL, 'tRNA 5-methylaminomethyl-2-thiouridine biosynthesis bifunctional protein MnmC', 'tRNA_MAMT_biosynth_bifunc_MnmC', 4, NULL),
(15471, NULL, 'IPR023034', NULL, 'Peptidyl-prolyl isomerase SurA', 'PPIase_SurA', 4, NULL),
(15472, NULL, 'IPR017558', NULL, 'Malonate decarboxylase, carboxybiotin decarboxylase subunit, Na+ transporting', 'Malonate_biotin', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15473, NULL, 'IPR017528', NULL, 'Conserved hypothetical protein CHP03097, O-antigen ligase-related', 'CHP03097O-antigen_lig-rel', 4, NULL),
(15474, NULL, 'IPR022986', NULL, 'Uncharacterised protein family UPF0237, ACT-type', 'UPF0237_ACT', 4, NULL),
(15475, NULL, 'IPR018976', NULL, 'Imelysin-like domain', 'Imelysin-like', 3, NULL),
(15476, NULL, 'IPR021015', NULL, 'Duffy-antigen binding, C-terminal', 'Duffy-antigen-binding_C', 3, NULL),
(15477, NULL, 'IPR018547', NULL, 'AbiEi antitoxin C-terminal domain', 'AbiEi_C', 3, NULL),
(15478, NULL, 'IPR018977', NULL, 'NurA domain', 'NurA_domain', 3, NULL),
(15479, NULL, 'IPR021034', NULL, 'Domain of unknown function DUF3672', 'DUF3672', 3, NULL),
(15480, NULL, 'IPR022626', NULL, 'Protein of unknown function DUF2740', 'DUF2740', 4, NULL),
(15481, NULL, 'IPR021119', NULL, 'Poxvirus F1/C10', 'Poxvirus_F1/C10', 4, NULL),
(15482, NULL, 'IPR023047', NULL, 'Probable cyclic pyranopterin monophosphate synthase accessory protein, archaea', 'Mo_CF_biosynth-C_arc', 4, NULL),
(15483, NULL, 'IPR019897', NULL, 'RidA, conserved site', 'RidA_CS', 2, NULL),
(15484, NULL, 'IPR018511', NULL, 'Hemolysin-type calcium-binding conserved site', 'Hemolysin-typ_Ca-bd_CS', 2, NULL),
(15485, NULL, 'IPR019326', NULL, 'Protein NDNF', 'NDNF', 4, NULL),
(15486, NULL, 'IPR022890', NULL, 'Ferredoxin--NADP reductase, type 2', 'Fd--NADP_Rdtase_type_2', 4, NULL),
(15487, NULL, 'IPR023033', NULL, 'Alanine-tRNA ligase, eukaryota/bacteria', 'Ala_tRNA_ligase_euk/bac', 4, NULL),
(15488, NULL, 'IPR018959', NULL, 'Domain of unknown function DUF1989', 'DUF1989', 3, NULL),
(15489, NULL, 'IPR016820', NULL, 'Mediator complex, subunit Med6, metazoa/plant', 'Mediator_Med6_met/pln', 4, NULL),
(15490, NULL, 'IPR019307', NULL, 'RNA-binding protein AU-1/Ribonuclease E/G', 'RNA-bd_AU-1/RNase_E/G', 4, NULL),
(15491, NULL, 'IPR018970', NULL, 'Xylulose 5-phosphate/Fructose 6-phosphate phosphoketolase, N-terminal', 'Xul5P/Fru6P_PKetolase_N', 3, NULL),
(15492, NULL, 'IPR018967', NULL, 'Iron-binding zinc finger, CDGSH type', 'FeS-contain_CDGSH-typ', 3, NULL),
(15493, NULL, 'IPR017556', NULL, 'Biotin-independent malonate decarboxylase, beta subunit', 'Malonate_beta', 4, NULL),
(15494, NULL, 'IPR016802', NULL, 'Uncharacterised conserved protein UCP022260', 'UCP022260', 4, NULL),
(15495, NULL, 'IPR018917', NULL, 'Protein of unknown function DUF2482', 'DUF2482', 4, NULL),
(15496, NULL, 'IPR021097', NULL, 'CPH domain', 'CPH_domain', 3, NULL),
(15497, NULL, 'IPR018964', NULL, 'Bacteriophage phiJL001, Gp84, C-terminal', 'Phage_phiJL001_Gp84_C', 3, NULL),
(15498, NULL, 'IPR021042', NULL, 'Herpesvirus UL139, cytomegalovirus', 'Herpes_UL139_cytomegalovirus', 4, NULL),
(15499, NULL, 'IPR019856', NULL, 'CRISPR-associated protein Cas1, DVULG subtype', 'CRISPR-assoc_Cas1_DVULG', 4, NULL),
(15500, NULL, 'IPR017530', NULL, 'Pyridoxal-dependent decarboxylase, exosortase system type 1 associated', 'DCO2ase_PEP1', 4, NULL),
(15501, NULL, 'IPR022318', NULL, 'Tumour necrosis factor receptor 18', 'TNFR_18', 4, NULL),
(15502, NULL, 'IPR021162', NULL, 'Histone H3-K79 methyltransferase, fungi', 'Dot1', 4, NULL),
(15503, NULL, 'IPR022325', NULL, 'Tumour necrosis factor receptor 16', 'TNFR_16', 4, NULL),
(15504, NULL, 'IPR018580', NULL, 'Uncharacterised protein family YfhO', 'Uncharacterised_YfhO', 4, NULL),
(15505, NULL, 'IPR017563', NULL, 'Cytochrome c nitrate reductase biogenesis protein NrfE', 'CytC_NO3Rdtase_biogenesis_NrfE', 4, NULL),
(15506, NULL, 'IPR017220', NULL, 'Sulphite reductase, assimilatory', 'Sulphite_reductase_assimil', 4, NULL),
(15507, NULL, 'IPR018570', NULL, 'Phytotoxin, PcF', 'Phytotoxin_PcF', 3, NULL),
(15508, NULL, 'IPR019346', NULL, '39S ribosomal protein L42, mitochondrial', 'MRPL42', 4, NULL),
(15509, NULL, 'IPR019837', NULL, 'Conserved hypothetical protein CHP02597', 'CHP02597', 4, NULL),
(15510, NULL, 'IPR023243', NULL, 'FAM25', 'FAM25', 4, NULL),
(15511, NULL, 'IPR019389', NULL, 'Selenoprotein T', 'Selenoprotein_T', 4, NULL),
(15512, NULL, 'IPR023197', NULL, 'Bacteriophage T4, Gp59, helicase assembly protein domain superfamily', 'Phage_T4_Gp59_dom_sf', 5, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15513, NULL, 'IPR022331', NULL, 'Neurogenic locus Notch 3', 'Notch_3', 4, NULL),
(15514, NULL, 'IPR017251', NULL, 'Apoptotic protease-activating factor 1', 'Apaf-1', 4, NULL),
(15515, NULL, 'IPR018569', NULL, 'Saf-pilin pilus formation protein', 'Saf-pilin_pilus_formation', 3, NULL),
(15516, NULL, 'IPR023087', NULL, 'Flagellar motor switch protein FliG, C-terminal', 'Flg_Motor_Flig_C', 3, NULL),
(15517, NULL, 'IPR018562', NULL, 'ARS binding protein 2', 'ARS-binding_2', 4, NULL),
(15518, NULL, 'IPR022320', NULL, 'Tumour necrosis factor receptor 17', 'TNFR_17', 4, NULL),
(15519, NULL, 'IPR016451', NULL, 'Intermediate filament, ifa/ifb', 'Intermed_filament_ifa/ifb', 4, NULL),
(15520, NULL, 'IPR017234', NULL, 'RNA-directed RNA polymerase, rhabdovirus', 'RNA-dir_pol_rhabdovirus', 4, NULL),
(15521, NULL, 'IPR021172', NULL, 'Uncharacterised conserved protein, RNA methylase-related', 'UCP006607_RNA_methylase-rel', 4, NULL),
(15522, NULL, 'IPR016482', NULL, 'Protein transport protein SecG/Sec61-beta/Sbh', 'SecG/Sec61-beta/Sbh', 4, NULL),
(15523, NULL, 'IPR019388', NULL, 'Fat storage-inducing transmembrane protein', 'FIT', 4, NULL),
(15524, NULL, 'IPR021171', NULL, 'Core histone macro-H2A', 'Core_histone_macro-H2A', 4, NULL),
(15525, NULL, 'IPR023324', NULL, 'BH2638-like superfamily', 'BH2638-like_sf', 5, NULL),
(15526, NULL, 'IPR023198', NULL, 'Phosphoglycolate phosphatase-like, domain 2', 'PGP-like_dom2', 5, NULL),
(15527, NULL, 'IPR023332', NULL, 'Proteasome alpha-type subunit', 'Proteasome_alpha-type', 4, NULL),
(15528, NULL, 'IPR019848', NULL, 'CRISPR-associated protein, Csx14', 'CRISPR-assoc_prot_Csx14', 4, NULL),
(15529, NULL, 'IPR020960', NULL, 'Amdovirus non-structural protein', 'Amdovirus_NS', 4, NULL),
(15530, NULL, 'IPR035311', NULL, 'Cystine knot toxin', 'Cys_Knot_tox', 4, NULL),
(15531, NULL, 'IPR023291', NULL, 'Af2093, N-terminal', 'Af2093-N', 5, NULL),
(15532, NULL, 'IPR022300', NULL, 'Polyphosphate:nucleotide phosphotransferase, PPK2', 'PPK2-rel_1', 4, NULL),
(15533, NULL, 'IPR024003', NULL, 'Putative luciferase-like monooxygenase, KPN01858', 'Luciferase-like_KPN01858', 4, NULL),
(15534, NULL, 'IPR035470', NULL, 'Amphiphysin I, SH3 domain', 'Amphiphysin_I_SH3', 3, NULL),
(15535, NULL, 'IPR023100', NULL, 'D-aminoacylase, insert domain superfamily', 'D-aminoacylase_insert_dom_sf', 5, NULL),
(15536, NULL, 'IPR019970', NULL, 'Ribosomal protein L4, archaea', 'Ribosomall_L4-archaea', 4, NULL),
(15537, NULL, 'IPR023154', NULL, 'Jann4075-like superfamily', 'Jann4075-like_sf', 5, NULL),
(15538, NULL, 'IPR019376', NULL, 'Myeloid leukemia factor', 'Myeloid_leukemia_factor', 4, NULL),
(15539, NULL, 'IPR017569', NULL, 'Enoyl-(acyl-carrier-protein) reductase II, putative', 'Enoyl_ACP_red-II_put', 4, NULL),
(15540, NULL, 'IPR019840', NULL, 'Verru/Chthon cassette protein A', 'Verru/Chthon_A', 4, NULL),
(15541, NULL, 'IPR023091', NULL, 'Metalloprotease catalytic domain superfamily, predicted', 'MetalPrtase_cat_dom_sf_prd', 5, NULL),
(15542, NULL, 'IPR017210', NULL, 'Actin patch protein 1', 'APP1', 4, NULL),
(15543, NULL, 'IPR021190', NULL, 'Peptidase M10A', 'Pept_M10A', 4, NULL),
(15544, NULL, 'IPR017226', NULL, 'Betaine-homocysteine S-methyltransferase, BHMT', 'Betaine-hCys_S-MeTrfase_BHMT', 4, NULL),
(15545, NULL, 'IPR018573', NULL, 'Restriction endonuclease, type II, AlwI', 'Restrct_endonuc_II_AlwI', 4, NULL),
(15546, NULL, 'IPR022321', NULL, 'Insulin-like growth factor-binding protein family 1-6, chordata', 'IGFBP_1-6_chordata', 4, NULL),
(15547, NULL, 'IPR022315', NULL, 'F420-dependent oxidoreductase-predicted, CPS4043', 'F420_OxRdatse_CPS4043_pred', 4, NULL),
(15548, NULL, 'IPR019971', NULL, 'Ribosomal protein L14P, archaeal', 'Ribosomal_L14P_arc', 4, NULL),
(15549, NULL, 'IPR022313', NULL, 'Phenylalanine/histidine ammonia-lyases, active site', 'Phe/His_NH3-lyase_AS', 0, NULL),
(15550, NULL, 'IPR018578', NULL, 'Restriction endonuclease, type II, BstXI', 'Restrct_endonuc_II_BstXI', 4, NULL),
(15551, NULL, 'IPR018992', NULL, 'Thrombin light chain', 'Thrombin_light_chain', 3, NULL),
(15552, NULL, 'IPR023334', NULL, 'REKLES domain', 'REKLES_domain', 3, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15553, NULL, 'IPR017222', NULL, 'NIF3-like protein 1, animal', 'NIF3L1_animal', 4, NULL),
(15554, NULL, 'IPR021149', NULL, 'Oligosaccharyl transferase complex, subunit OST3/OST6', 'OligosaccharylTrfase_OST3/OST6', 4, NULL),
(15555, NULL, 'IPR022326', NULL, 'Insulin-like growth factor-binding protein 6', 'IGFBP-6', 4, NULL),
(15556, NULL, 'IPR019968', NULL, 'Urea ABC transporter, substrate-binding protein', 'Urea_ABC_transptr_substrate-bd', 4, NULL),
(15557, NULL, 'IPR034403', NULL, 'Srp1, RNA recognition motif', 'Srp1p_RRM', 3, NULL),
(15558, NULL, 'IPR017230', NULL, 'Rab geranylgeranyltransferase complex component A', 'Mrs6', 4, NULL),
(15559, NULL, 'IPR022276', NULL, 'Conjugative transposon, TraK', 'Conjug_transposon_TraK', 4, NULL),
(15560, NULL, 'IPR022339', NULL, 'MHC class II-associated invariant chain', 'MHC_II-assoc_invar_chain', 4, NULL),
(15561, NULL, 'IPR019365', NULL, 'TVP18/Calcium channel flower', 'TVP18/Ca-channel_flower', 4, NULL),
(15562, NULL, 'IPR021165', NULL, 'Saposin, chordata', 'Saposin_chordata', 4, NULL),
(15563, NULL, 'IPR023343', NULL, 'Penicillin amidase type, domain 1', 'Penicillin_amidase_dom1', 5, NULL),
(15564, NULL, 'IPR019361', NULL, 'Histone PARylation factor 1', 'HPF1', 4, NULL),
(15565, NULL, 'IPR021193', NULL, 'BPI fold-containing family B member 1', 'Bpifb1', 4, NULL),
(15566, NULL, 'IPR016438', NULL, 'ATP-dependent RNA helicase Ski2-like', 'Ski2-like', 4, NULL),
(15567, NULL, 'IPR019838', NULL, 'Verru/Chthon cassette protein B', 'Verru/Chthon_B', 4, NULL),
(15568, NULL, 'IPR022335', NULL, 'G protein-coupled receptor 153', 'GPR153', 4, NULL),
(15569, NULL, 'IPR022336', NULL, 'Neurogenic locus Notch 2', 'Notch_2', 4, NULL),
(15570, NULL, 'IPR018582', NULL, 'Envelope glycoprotein, lentivirus', 'Envelope_glycop_lentivirus', 4, NULL),
(15571, NULL, 'IPR035269', NULL, '26S Proteasome non-ATPase regulatory subunit 9', 'PSMD9', 4, NULL),
(15572, NULL, 'IPR016468', NULL, 'CCAAT/enhancer-binding protein, chordates', 'C/EBP_chordates', 4, NULL),
(15573, NULL, 'IPR016471', NULL, 'Nicotinamide phosphoribosyl transferase', 'Nicotinamide_PRibTrfase', 4, NULL),
(15574, NULL, 'IPR019962', NULL, 'Conserved hypothetical protein CHP03663', 'CHP03663', 4, NULL),
(15575, NULL, 'IPR022302', NULL, 'Phosphoesterase, putative', 'Phosphoesterase_putative', 4, NULL),
(15576, NULL, 'IPR023237', NULL, 'Ubiquitin thioesterase otulin', 'Otulin', 4, NULL),
(15577, NULL, 'IPR018599', NULL, 'Protein of unknown function DUF2026', 'DUF2026', 4, NULL),
(15578, NULL, 'IPR016479', NULL, 'tRNA/rRNA methyltransferase, YfiF, predicted', 'YfiF_prd', 4, NULL),
(15579, NULL, 'IPR022317', NULL, 'Tumour necrosis factor receptor 13B', 'TNFR_13B', 4, NULL),
(15580, NULL, 'IPR022277', NULL, 'Conserved hypothetical protein CHP02171, Fibrobacter succinogenes', 'CHP02171_FIBSS', 4, NULL),
(15581, NULL, 'IPR020045', NULL, 'DNA polymerase I-like, H3TH domain', 'DNA_polI_H3TH', 3, NULL),
(15582, NULL, 'IPR021210', NULL, 'Exosporium BclB, C-terminal', 'Exosporium_BclB', 3, NULL),
(15583, NULL, 'IPR023341', NULL, 'MABP domain', 'MABP', 3, NULL),
(15584, NULL, 'IPR034406', NULL, 'RBMS3, RNA recognition motif  2', 'RBMS3_RRM2', 3, NULL),
(15585, NULL, 'IPR019392', NULL, 'Mitoguardin', 'Miga', 4, NULL),
(15586, NULL, 'IPR016487', NULL, 'Sm-like protein Lsm6/SmF', 'Lsm6/sSmF', 4, NULL),
(15587, NULL, 'IPR017236', NULL, 'Glycine/sarcosine/betaine reductase, component C, beta', 'Gly/sarc/bet/_Rdtase_C_bsu', 4, NULL),
(15588, NULL, 'IPR021187', NULL, 'Band 4.1 protein, chordates', 'Band_41_protein_chordates', 4, NULL),
(15589, NULL, 'IPR023278', NULL, 'Ethylene insensitive 3-like protein, DNA-binding domain superfamily', 'Ethylene_insens-like_DNA-bd', 5, NULL),
(15590, NULL, 'IPR018601', NULL, 'Sulfolobus spindle-shape virus 1 F-112 protein-like', 'SSV1_F112-like', 4, NULL),
(15591, NULL, 'IPR035313', NULL, 'Transferrin-binding protein B, N-lobe handle', 'TbpB_N-lobe', 3, NULL),
(15592, NULL, 'IPR017249', NULL, 'Activator of apoptosis harakiri', 'Apoptosis_activator_harakiri', 4, NULL),
(15593, NULL, 'IPR017238', NULL, 'Squamosa promoter-binding protein', 'SBP_fam', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15594, NULL, 'IPR017212', NULL, 'Clathrin heavy chain linker domain-containing protein 1', 'CLHC1', 4, NULL),
(15595, NULL, 'IPR023240', NULL, 'FAM175 family, BRISC complex, Abro1 subunit', 'FAM175_BRISC_cplx_Abro1_su', 4, NULL),
(15596, NULL, 'IPR035473', NULL, 'CASK, SH3 domain', 'CASK_SH3', 3, NULL),
(15597, NULL, 'IPR017232', NULL, 'Nitrogen regulation protein NtrY', 'NtrY', 4, NULL),
(15598, NULL, 'IPR022299', NULL, 'Transcription regulator, NtcA', 'Tscrpt_reg_NtcA', 4, NULL),
(15599, NULL, 'IPR016472', NULL, 'Transcription regulator, MJ0621, predicted', 'Tscrpt_reg_MJ0621_prd', 4, NULL),
(15600, NULL, 'IPR018563', NULL, 'Protein of unknown function DUF2018', 'DUF2018', 4, NULL),
(15601, NULL, 'IPR016444', NULL, 'Synaptobrevin/Vesicle-associated membrane protein', 'Synaptobrevin/VAMP', 4, NULL),
(15602, NULL, 'IPR021152', NULL, 'Herpesvirus UL31', 'Herpes_UL31', 4, NULL),
(15603, NULL, 'IPR034892', NULL, 'NADPH oxidase regulator NoxR, PB1 domain', 'PB1_NoxR', 3, NULL),
(15604, NULL, 'IPR034673', NULL, 'Maternal embryonic leucine zipper kinase, catalytic domain', 'MELK', 3, NULL),
(15605, NULL, 'IPR017207', NULL, 'Mitochondrial translation factor Atp22', 'Atp22', 4, NULL),
(15606, NULL, 'IPR018585', NULL, 'Metaviral G glycoprotein', 'Metaviral_G_glycop', 3, NULL),
(15607, NULL, 'IPR035303', NULL, 'Protein of unknown function DUF5364', 'DUF5364', 4, NULL),
(15608, NULL, 'IPR018592', NULL, 'Protein of unknown function DUF2024', 'DUF2024', 4, NULL),
(15609, NULL, 'IPR022303', NULL, 'Conjugative transfer ATPase', 'Conjug_Trfer_ATPase', 4, NULL),
(15610, NULL, 'IPR035307', NULL, 'Beta-defensin 136/42', 'DEFB136/42', 4, NULL),
(15611, NULL, 'IPR019336', NULL, 'Intimal thickness related receptor, IRP', 'Intimal_thickness-rel_rcpt', 3, NULL),
(15612, NULL, 'IPR023367', NULL, 'Peptidase M42, domain 2', 'Peptidase_M42_dom2', 5, NULL),
(15613, NULL, 'IPR023145', NULL, 'YfbU, helix-hairpin domain superfamily', 'YfbU_helix-hairpin_sf', 5, NULL),
(15614, NULL, 'IPR034736', NULL, 'Zinc finger C2H2 AKAP95-type', 'ZF_C2H2_AKAP95', 3, NULL),
(15615, NULL, 'IPR018602', NULL, 'Gp37/putative cytoplasmic protein STM4215', 'Gp37/STM4215', 4, NULL),
(15616, NULL, 'IPR017231', NULL, 'Small GTPase Tem1/Spg1', 'Small_GTPase_Tem1/Spg1', 4, NULL),
(15617, NULL, 'IPR017258', NULL, 'Chloroquine resistance transporter', 'Transprt_Chloroquine', 4, NULL),
(15618, NULL, 'IPR020953', NULL, 'Acyl-CoA dehydrogenase, N-terminal, bacteria', 'Acyl-CoA_DH_N_bac', 3, NULL),
(15619, NULL, 'IPR019391', NULL, 'Storkhead-box protein, winged-helix domain', 'Storkhead-box_winged-helix', 3, NULL),
(15620, NULL, 'IPR021207', NULL, 'Integrating conjugative element protein, PFL4705', 'Integr_conj_element_PFL4705', 4, NULL),
(15621, NULL, 'IPR019367', NULL, 'PDZ-binding protein, CRIPT', 'PDZ-binding_CRIPT', 4, NULL),
(15622, NULL, 'IPR019839', NULL, 'Verru/Chthon cassette protein C', 'Verru/Chthon_C', 4, NULL),
(15623, NULL, 'IPR023249', NULL, 'FAM153', 'FAM153', 4, NULL),
(15624, NULL, 'IPR022260', NULL, 'Integrating conjugative element protein PilL, PFGI-1', 'Integr_conj_element_PilL', 3, NULL),
(15625, NULL, 'IPR023368', NULL, 'Uncharacterised protein family UPF0066, conserved site', 'UPF0066_cons_site', 2, NULL),
(15626, NULL, 'IPR023146', NULL, 'YfbU, alpha-helical bundle domain superfamily', 'YfbU_alpha-helical_sf', 5, NULL),
(15627, NULL, 'IPR019964', NULL, 'KH domain protein, archaea', 'KH_domain_protein_archaea', 4, NULL),
(15628, NULL, 'IPR016481', NULL, 'Transcription factor TFE, archaea', 'TF_E_archaea', 4, NULL),
(15629, NULL, 'IPR019378', NULL, 'GDP-fucose protein O-fucosyltransferase', 'GDP-Fuc_O-FucTrfase', 4, NULL),
(15630, NULL, 'IPR016473', NULL, 'Deoxycytidylate deaminase', 'dCMP_deaminase', 4, NULL),
(15631, NULL, 'IPR016463', NULL, 'Electron transport complex, RnfB/RsxB, Proteobacteria', 'RnfB/RsxB_Proteobac', 4, NULL),
(15632, NULL, 'IPR019362', NULL, 'Methylmalonic aciduria and homocystinuria type D protein', 'MMADHC', 4, NULL),
(15633, NULL, 'IPR019356', NULL, 'Protein of unknown function DUF2181', 'DUF2181', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15634, NULL, 'IPR023340', NULL, 'UMA domain', 'UMA', 3, NULL),
(15635, NULL, 'IPR034737', NULL, 'Translationally controlled tumour protein (TCTP) domain', 'TCTP', 3, NULL),
(15636, NULL, 'IPR023238', NULL, 'FAM175 family', 'FAM175', 4, NULL),
(15637, NULL, 'IPR023338', NULL, 'Arterivirus NSP4 peptidase domain', 'Arterivirus_NSP4_peptidase', 3, NULL),
(15638, NULL, 'IPR017246', NULL, 'Snapin', 'Snapin', 4, NULL),
(15639, NULL, 'IPR016460', NULL, 'Coatomer beta subunit (COPB1)', 'COPB1', 4, NULL),
(15640, NULL, 'IPR017233', NULL, 'WD repeat protein 35', 'WDR35', 4, NULL),
(15641, NULL, 'IPR017245', NULL, 'BLOC-1 complex, subunit 3', 'BLOC-1_complex_su-3', 4, NULL),
(15642, NULL, 'IPR016434', NULL, 'Ribonuclease P protein subunit Rnp2, archaea', 'Rnp2_archaea', 4, NULL),
(15643, NULL, 'IPR023143', NULL, 'Mycolic acid cyclopropane synthase-like domain superfamily', 'Cyclopro_synthase-like_dom_sf', 5, NULL),
(15644, NULL, 'IPR016437', NULL, 'MCT-1/Tma20', 'MCT-1/Tma20', 4, NULL),
(15645, NULL, 'IPR022304', NULL, 'Integrating conjugative element, PFGI-1, ParB', 'ICE_PFGI_1_ParB', 3, NULL),
(15646, NULL, 'IPR023167', NULL, 'Yap1 redox domain superfamily', 'Yap1_redox_dom_sf', 5, NULL),
(15647, NULL, 'IPR019965', NULL, 'PPOX class F420-dependent enzyme, family Rv2061, putative', 'PPOX_F420-dep_Rv2061_put', 4, NULL),
(15648, NULL, 'IPR017239', NULL, 'Mitogen-activated protein (MAP) kinase kinase kinase Ste11, Cryptococcus', 'Ste11_Cryptococcus', 4, NULL),
(15649, NULL, 'IPR034655', NULL, 'Alginate biosynthesis protein AlgX, N-terminal', 'AlgX_N', 3, NULL),
(15650, NULL, 'IPR020968', NULL, 'Bacteriocin class II, aureocin-like', 'Bacteriocin_II_aureocin-like', 4, NULL),
(15651, NULL, 'IPR018589', NULL, 'Pheromone response, PrgU-like domain', 'Pheromone_resp_PrgU-like', 3, NULL),
(15652, NULL, 'IPR018555', NULL, 'Protein of unknown function DUF2011', 'DUF2011', 4, NULL),
(15653, NULL, 'IPR016456', NULL, 'Predicted cobalamin-independent methionine synthase, catalytic subunit', 'Met_Synthase_cat', 4, NULL),
(15654, NULL, 'IPR016447', NULL, 'Translocation associated membrane protein', 'Translocation_assoc_membrane', 4, NULL),
(15655, NULL, 'IPR017242', NULL, 'BLOC-1 complex, pallidin subunit', 'BLOC-1_pallidin', 4, NULL),
(15656, NULL, 'IPR022333', NULL, 'Tumour necrosis factor receptor 19-like', 'TNFR_19-like', 4, NULL),
(15657, NULL, 'IPR019966', NULL, 'F420-dependent enzyme, PPOX class, family Rv3369, probable', 'F420-dep_enz_PPOX_Rv3369', 4, NULL),
(15658, NULL, 'IPR023090', NULL, 'UPF0702, alpha/beta domain superfamily', 'UPF0702_alpha/beta_dom_sf', 5, NULL),
(15659, NULL, 'IPR035475', NULL, 'MPP1, SH3 domain', 'MPP1_SH3', 3, NULL),
(15660, NULL, 'IPR016466', NULL, 'Uncharacterised protein family UPF0288, methanogenesis', 'UPF0288_methan', 4, NULL),
(15661, NULL, 'IPR024835', NULL, 'Synaptonemal complex protein 2-like', 'SYCP2-like', 4, NULL),
(15662, NULL, 'IPR017566', NULL, 'NrfD', 'NrfD', 4, NULL),
(15663, NULL, 'IPR022271', NULL, 'Lipocalin, ApoD type', 'Lipocalin_ApoD', 4, NULL),
(15664, NULL, 'IPR019345', NULL, 'ARMET, C-terminal', 'ARMET_C', 3, NULL),
(15665, NULL, 'IPR023336', NULL, 'RAG nonamer-binding domain', 'RAG_nonamer-bd_dom', 3, NULL),
(15666, NULL, 'IPR019375', NULL, 'Ribosomal protein S28, mitochondrial', 'Ribosomal_S28_mit', 4, NULL),
(15667, NULL, 'IPR017221', NULL, 'GTP cyclohydrolase 1 type 2//Nif3, bacteria', 'GTP_cyclohydrolase_I_bac', 4, NULL),
(15668, NULL, 'IPR022294', NULL, 'Lantibiotic protection ABC transporter permease subunit, MutG family', 'ABC-transptr_permeasesu', 4, NULL),
(15669, NULL, 'IPR023339', NULL, 'CVC domain', 'CVC', 3, NULL),
(15670, NULL, 'IPR019374', NULL, 'Ribosomal protein S22, mitochondrial', 'Ribosomal_S22_mit', 4, NULL),
(15671, NULL, 'IPR019820', NULL, 'Sec-independent periplasmic protein translocase, conserved site', 'Sec-indep_translocase_CS', 2, NULL),
(15672, NULL, 'IPR022263', NULL, 'KxYKxGKxW signal peptide', 'KxYKxGKxW', 2, NULL),
(15673, NULL, 'IPR017235', NULL, 'RNA-directed RNA polymerase L, filovirus', 'RNA-dir_pol_L_filovirus', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15674, NULL, 'IPR021143', NULL, 'Pyrimidine dimer DNA glycosylase, endonuclease V type', 'Pyr-dimer_DNAGlyclase_EndonucV', 4, NULL),
(15675, NULL, 'IPR017214', NULL, 'Cytochrome b561 and DOMON domain-containing protein', 'UCP037471', 4, NULL),
(15676, NULL, 'IPR018019', NULL, 'Luteovirus Orf2 putative replicase 1', 'Luteovirus_Orf2', 4, NULL),
(15677, NULL, 'IPR021148', NULL, 'Polysaccharide biosynthesis domain', 'Polysacc_synth_dom', 3, NULL),
(15678, NULL, 'IPR021153', NULL, 'Heat-inducible transcription repressor HrcA, C-terminal', 'HrcA_C', 3, NULL),
(15679, NULL, 'IPR022259', NULL, 'Accessory Sec system protein Asp3', 'Acessory_Sec_prot_Asp3', 4, NULL),
(15680, NULL, 'IPR016436', NULL, 'Uncharacterised conserved protein UCP005063, CBS-type', 'UCP005063_CBS', 4, NULL),
(15681, NULL, 'IPR019819', NULL, 'Carboxylesterase type B, conserved site', 'Carboxylesterase_B_CS', 2, NULL),
(15682, NULL, 'IPR022850', NULL, 'UDP-4-amino-4-deoxy-L-arabinose-oxoglutarate aminotransferase, ArnB', 'ArnB_NH2Trfase', 4, NULL),
(15683, NULL, 'IPR018292', NULL, 'A-kinase anchor 110kDa, C-terminal', 'AKAP_110_C', 3, NULL),
(15684, NULL, 'IPR023152', NULL, 'Ras GTPase-activating protein, conserved site', 'RasGAP_CS', 2, NULL),
(15685, NULL, 'IPR016435', NULL, 'Diphthamide synthesis DPH1/DPH2', 'DPH1/DPH2', 4, NULL),
(15686, NULL, 'IPR023235', NULL, 'FAM105', 'FAM105', 4, NULL),
(15687, NULL, 'IPR018579', NULL, 'Restriction endonuclease, type II, LlaJI', 'Restrct_endonuc_II_LlaJI', 4, NULL),
(15688, NULL, 'IPR016488', NULL, 'NADH dehydrogenase [ubiquinone] (complex I), alpha subcomplex, subunit 6', 'NADH_Ub_cplx-1_asu_su-6', 4, NULL),
(15689, NULL, 'IPR019363', NULL, 'Lipid droplet-associated hydrolase', 'LDAH', 4, NULL),
(15690, NULL, 'IPR023083', NULL, 'Glycerol-3-phosphate O-acyltransferase, alpha helical bundle, N-terminal', 'G3P_O-acylTrfase_N', 3, NULL),
(15691, NULL, 'IPR016462', NULL, 'Molybdate-dependent transcriptional regulator ModE', 'ModE', 4, NULL),
(15692, NULL, 'IPR018561', NULL, 'Domain of unknown function DUF2017', 'DUF2017', 3, NULL),
(15693, NULL, 'IPR019344', NULL, 'Mitochondrial F1-F0 ATP synthase subunit F, predicted', 'F1F0-ATPsyn_F_prd', 4, NULL),
(15694, NULL, 'IPR021191', NULL, 'Restriction endonuclease, type II, DpnII', 'Restrct_endonuc_II_DpnII', 4, NULL),
(15695, NULL, 'IPR018584', NULL, 'Glycosyltransferase family 87', 'GT87', 4, NULL),
(15696, NULL, 'IPR016480', NULL, 'Glucose translocase, bactoprenol-linked', 'Glc_translocase_bactprenl-link', 4, NULL),
(15697, NULL, 'IPR019348', NULL, 'Uncharacterised domain KLRAQ/TTKRSYEDQ, C-terminal', 'KLRAQ/TTKRSYEDQ_C', 3, NULL),
(15698, NULL, 'IPR035471', NULL, 'Amphiphysin 2, SH3 domain', 'Amphiphysin-2_SH3', 3, NULL),
(15699, NULL, 'IPR017213', NULL, 'Peptidase S54, rhomboid, metazoan', 'Peptidase_S54_rhomboid_met', 4, NULL),
(15700, NULL, 'IPR017218', NULL, 'BLOC-2 complex, Hps6 subunit', 'BLOC-2_complex_Hps6_subunit', 4, NULL),
(15701, NULL, 'IPR017562', NULL, 'Cytochrome c-type biogenesis protein CcsA', 'Cyt_c_biogenesis_CcsA', 4, NULL),
(15702, NULL, 'IPR023230', NULL, 'Glycoside hydrolase, family 2, conserved site', 'Glyco_hydro_2_CS', 2, NULL),
(15703, NULL, 'IPR022316', NULL, 'Tumour necrosis factor receptor 12', 'TNFR_12', 4, NULL),
(15704, NULL, 'IPR016445', NULL, 'Lipase Rog1', 'Rog1_fam', 4, NULL),
(15705, NULL, 'IPR023246', NULL, 'Autism susceptibility gene 2 protein', 'AUTS2', 4, NULL),
(15706, NULL, 'IPR023205', NULL, 'Thiol:disulphide interchange protein DsbA/DsbL', 'DsbA/DsbL', 4, NULL),
(15707, NULL, 'IPR021163', NULL, 'Ferredoxin-NADP+ reductase, adrenodoxin-type', 'Ferredox_Rdtase_adrenod', 4, NULL),
(15708, NULL, 'IPR020046', NULL, '5''-3'' exonuclease, alpha-helical arch, N-terminal', '5-3_exonucl_a-hlix_arch_N', 3, NULL),
(15709, NULL, 'IPR016453', NULL, 'Coatomer beta'' subunit (COPB2)', 'COPB2', 4, NULL),
(15710, NULL, 'IPR018982', NULL, 'RQC domain', 'RQC_domain', 3, NULL),
(15711, NULL, 'IPR017216', NULL, 'Hermansky-Pudlak syndrome 3 protein', 'HPS3', 4, NULL),
(15712, NULL, 'IPR035347', NULL, 'Chemokine-like protein U83', 'Putative_chemo_U83', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15713, NULL, 'IPR021180', NULL, 'Protein lysine methyltranseferase, predicted', 'Protein_Lys_MeTrfase_predicted', 4, NULL),
(15714, NULL, 'IPR022284', NULL, 'Glycerol-3-phosphate O-acyltransferase/Dihydroxyacetone phosphate acyltransferase', 'GPAT/DHAPAT', 4, NULL),
(15715, NULL, 'IPR019377', NULL, 'NADH-ubiquinone oxidoreductase, subunit 10', 'NADH_UbQ_OxRdtase_su10', 4, NULL),
(15716, NULL, 'IPR023173', NULL, 'NADPH-cytochrome p450 reductase, FAD-binding, alpha-helical domain superfamily', 'NADPH_Cyt_P450_Rdtase_alpha', 5, NULL),
(15717, NULL, 'IPR019368', NULL, 'Ribosomal protein S23/S29, mitochondrial', 'Ribosomal_S23/S29_mit', 4, NULL),
(15718, NULL, 'IPR024840', NULL, 'GREB1-like', 'GREB1-like', 4, NULL),
(15719, NULL, 'IPR021168', NULL, 'Bifunctional polymyxin resistance protein, ArnA', 'Bifun_polymyxin_resist_ArnA', 4, NULL),
(15720, NULL, 'IPR022283', NULL, 'ParB-related, ThiF-related cassette, protein F', 'PRTRC_protein-F', 4, NULL),
(15721, NULL, 'IPR035234', NULL, 'IgGFc-binding protein, N-terminal', 'IgGFc-bd_N', 3, NULL),
(15722, NULL, 'IPR018988', NULL, 'Protein of unknown function DUF2000', 'DUF2000', 4, NULL),
(15723, NULL, 'IPR022268', NULL, 'Conserved hypothetical protein CHP03809', 'CHP03809', 4, NULL),
(15724, NULL, 'IPR022264', NULL, 'Microcyclamide/patellamide bacteriocin family, leader peptide', 'Microcy/ptell_bactrcn_lead_pep', 3, NULL),
(15725, NULL, 'IPR034409', NULL, 'U1 small nuclear ribonucleoprotein A, RNA recognition motif  2', 'U1A_RRM2', 3, NULL),
(15726, NULL, 'IPR018989', NULL, 'Phage tail tube protein', 'DUF2001', 4, NULL),
(15727, NULL, 'IPR021181', NULL, 'Mitochondrial Rho GTPase', 'Miro', 4, NULL),
(15728, NULL, 'IPR022289', NULL, 'ParB-related, ThiF-related cassette, protein C', 'PRTRC_protein-C', 3, NULL),
(15729, NULL, 'IPR018597', NULL, 'Bacteriophage Tuc2009, YjcQ', 'Phage_Tuc2009_YjcQ', 4, NULL),
(15730, NULL, 'IPR018588', NULL, 'Dihaem cytochrome c', 'Dihaem_cytochrome-c', 4, NULL),
(15731, NULL, 'IPR021147', NULL, 'Protein of unknown function DUF697', 'DUF697', 4, NULL),
(15732, NULL, 'IPR024940', NULL, 'Transcription factor TCF/LEF', 'TCF/LEF', 4, NULL),
(15733, NULL, 'IPR021203', NULL, 'Muellerian-inhibiting factor', 'Muellerian-inhibiting_factor', 4, NULL),
(15734, NULL, 'IPR021145', NULL, 'Portal protein', 'Portal_protein', 4, NULL),
(15735, NULL, 'IPR023333', NULL, 'Proteasome B-type subunit', 'Proteasome_suB-type', 4, NULL),
(15736, NULL, 'IPR017253', NULL, 'Transcription factor SRY', 'SRY', 4, NULL),
(15737, NULL, 'IPR023372', NULL, 'Restriction endonuclease, type II, EcoRII, N-terminal', 'Rest_endonuc_II_EcoRII_N', 3, NULL),
(15738, NULL, 'IPR022258', NULL, 'Flagellar operon protein YvyF', 'Flagellar_operon_YvyF', 4, NULL),
(15739, NULL, 'IPR018981', NULL, 'Outer membrane porin G', 'Outer_membrane_porin_G', 4, NULL),
(15740, NULL, 'IPR023236', NULL, 'Inactive ubiquitin thioesterase OTULINL', 'OTULINL', 4, NULL),
(15741, NULL, 'IPR023337', NULL, 'c-Kit-binding domain', 'KBD', 3, NULL),
(15742, NULL, 'IPR019379', NULL, 'Gamma-secretase aspartyl protease complex, presenilin enhancer-2 subunit', 'Gamma_Secretase_Asp_P_PEN2', 4, NULL),
(15743, NULL, 'IPR019341', NULL, 'Alpha/gamma-adaptin-binding protein p34', 'Alpha/Gamma-adaptin-bd_p34', 4, NULL),
(15744, NULL, 'IPR016478', NULL, 'GTPase, MTG1', 'GTPase_MTG1', 4, NULL),
(15745, NULL, 'IPR017224', NULL, 'Opine oxidase, subunit A/hydrogen cyanide synthase, subunit B', 'Opine_Oxase_asu/HCN_bsu', 4, NULL),
(15746, NULL, 'IPR023248', NULL, 'Cattle cerebrum and skeletal muscle-specific protein 1', 'CCSMST1', 4, NULL),
(15747, NULL, 'IPR018583', NULL, 'Cotton leaf-curl disease, DNA-betaC1', 'CLCuD_DNA-betaC1', 3, NULL),
(15748, NULL, 'IPR023376', NULL, 'YqcC-like domain', 'YqcC-like_dom', 3, NULL),
(15749, NULL, 'IPR022312', NULL, 'DNA polymerase family X', 'DNA_pol_X', 4, NULL),
(15750, NULL, 'IPR023165', NULL, 'rRNA adenine dimethylase-like, C-terminal', 'rRNA_Ade_diMease-like_C', 5, NULL),
(15751, NULL, 'IPR016440', NULL, 'Rubredoxin-oxygen oxidoreductase', 'Rubredoxin-O_OxRdtase', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15752, NULL, 'IPR022324', NULL, 'Bacilysin exporter BacE, putative', 'Bacilysin_exporter_BacE_put', 4, NULL),
(15753, NULL, 'IPR019352', NULL, 'SREBP regulating gene protein', 'SPRING1', 4, NULL),
(15754, NULL, 'IPR034401', NULL, 'Protein mono-ADP-ribosyltransferase PARP15', 'PARP15', 4, NULL),
(15755, NULL, 'IPR022301', NULL, 'Integral membrane protein YjbE', 'Integral_membrane_YjbE', 4, NULL),
(15756, NULL, 'IPR021156', NULL, 'Transcription elongation factor A-like/Brain expressed X-linked', 'TF_A-like/BEX', 4, NULL),
(15757, NULL, 'IPR016457', NULL, 'Formylmethanofuran dehydrogenase, subunit B', 'Formylmethanofuran_DH_bsu', 4, NULL),
(15758, NULL, 'IPR018576', NULL, 'Restriction endonuclease, type II, Pab1', 'Restrct_endonuc_II_Pab1', 3, NULL),
(15759, NULL, 'IPR019382', NULL, 'Translation initiation factor 3 complex subunit L', 'eIF3l', 4, NULL),
(15760, NULL, 'IPR022278', NULL, 'Phosphoserine aminotransferase', 'Pser_aminoTfrase', 4, NULL),
(15761, NULL, 'IPR019355', NULL, 'Cell cycle regulator Mat89Bb', 'Cell_cycle_regulator_Mat89Bb', 4, NULL),
(15762, NULL, 'IPR023232', NULL, 'Glycoside hydrolase, family 2, active site', 'Glyco_hydro_2_AS', 0, NULL),
(15763, NULL, 'IPR023151', NULL, 'PEP-utilising enzyme, conserved site', 'PEP_util_CS', 2, NULL),
(15764, NULL, 'IPR019354', NULL, 'Smg8/Smg9', 'Smg8/Smg9', 4, NULL),
(15765, NULL, 'IPR023294', NULL, 'Tachylectin 2', 'Tachylectin2', 3, NULL),
(15766, NULL, 'IPR016469', NULL, 'Carbohydrate sulfotransferase', 'Carbohydrate_sulfotransferase', 4, NULL),
(15767, NULL, 'IPR022332', NULL, 'Tumour necrosis factor receptor 14', 'TNFR_14', 4, NULL),
(15768, NULL, 'IPR018984', NULL, 'Histidine kinase, N-terminal', 'Histidine_kinase_N', 3, NULL),
(15769, NULL, 'IPR018568', NULL, 'Domain of unknown function DUF2019', 'DUF2019', 3, NULL),
(15770, NULL, 'IPR034404', NULL, 'MSSP-1, RNA recognition motif 1', 'MSSP1_RRM1', 3, NULL),
(15771, NULL, 'IPR018581', NULL, 'Type III secretion system, pilus formation, HrpA', 'T3SS_pilus_HrpA', 4, NULL),
(15772, NULL, 'IPR016477', NULL, 'Fructosamine/Ketosamine-3-kinase', 'Fructo-/Ketosamine-3-kinase', 4, NULL),
(15773, NULL, 'IPR016452', NULL, 'Fatty acid synthase beta subunit AflB /Fas1-like, fungi', 'Fas1/AflB-like', 4, NULL),
(15774, NULL, 'IPR018598', NULL, 'Domain of unknown function DUF2027', 'DUF2027', 3, NULL),
(15775, NULL, 'IPR018600', NULL, 'Bacillus phage SPbeta, YonK', 'Phage_SP-beta_YonK', 3, NULL),
(15776, NULL, 'IPR018577', NULL, 'Restriction endonuclease, type II, Bpu10I', 'Restrct_endonuc_II_Bpu10I', 4, NULL),
(15777, NULL, 'IPR017225', NULL, 'Cell shape-determining protein MreD, predicted', 'Cell_shape_determin_MreD_prd', 4, NULL),
(15778, NULL, 'IPR022288', NULL, 'VPDSG-CTERM protein sorting domain', 'VPDSG_CTERM', 3, NULL),
(15779, NULL, 'IPR022322', NULL, 'Insulin-like growth factor-binding protein 1', 'IGFBP1', 4, NULL),
(15780, NULL, 'IPR018554', NULL, 'Frequency clock protein', 'FRQ', 4, NULL),
(15781, NULL, 'IPR035346', NULL, 'Protein of unknown function NinD', 'NinD', 4, NULL),
(15782, NULL, 'IPR016449', NULL, 'Potassium channel, inwardly rectifying, Kir', 'K_chnl_inward-rec_Kir', 4, NULL),
(15783, NULL, 'IPR017208', NULL, 'Uncharacterised conserved protein UCP037442, alpha/beta hydrolase, RSp0795', 'UCP037442_abhydr', 4, NULL),
(15784, NULL, 'IPR022848', NULL, 'Small heat shock protein IbpB', 'HSP20_IbpB', 4, NULL),
(15785, NULL, 'IPR023159', NULL, 'SO1590-like superfamily', 'SO1590-like_sf', 5, NULL),
(15786, NULL, 'IPR018983', NULL, 'U3 small nucleolar RNA-associated protein 15, C-terminal', 'U3_snoRNA-assocProt_15_C', 3, NULL),
(15787, NULL, 'IPR023088', NULL, '3''5''-cyclic nucleotide phosphodiesterase', 'PDEase', 4, NULL),
(15788, NULL, 'IPR018604', NULL, 'Regulatory protein YycH-like', 'YycI-like', 3, NULL),
(15789, NULL, 'IPR019340', NULL, 'Histone acetyltransferases subunit 3', 'Histone_AcTrfase_su3', 4, NULL),
(15790, NULL, 'IPR018990', NULL, 'Proteinase inhibitor I42, chagasin', 'Prot_inh_I42_chagasin', 3, NULL),
(15791, NULL, 'IPR016439', NULL, 'Sphingosine N-acyltransferase Lag1/Lac1-like', 'Lag1/Lac1-like', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15792, NULL, 'IPR023370', NULL, 'TrmO-like, N-terminal domain', 'TrmO-like_N', 3, NULL),
(15793, NULL, 'IPR019963', NULL, 'Futalosine hydrolase', 'FL_hydrolase_MqnB', 4, NULL),
(15794, NULL, 'IPR023296', NULL, 'Glycosyl hydrolase, five-bladed beta-propellor domain superfamily', 'Glyco_hydro_beta-prop_sf', 5, NULL),
(15795, NULL, 'IPR023323', NULL, 'Tex-like domain superfamily', 'Tex-like_dom_sf', 5, NULL),
(15796, NULL, 'IPR018565', NULL, 'Kinetochore subunit Nkp2/Cnl2', 'Nkp2/Cnl2', 4, NULL),
(15797, NULL, 'IPR019972', NULL, 'Ribosomal protein L14P,  conserved site', 'Ribosomal_L14P_CS', 2, NULL),
(15798, NULL, 'IPR035477', NULL, 'SH3PXD2B, SH3 domain 1', 'SH3PXD2B_SH3_1', 3, NULL),
(15799, NULL, 'IPR017250', NULL, 'Histone deacetylase complex, SAP18 subunit', 'Hist_deAcase_cplx_SAP18', 4, NULL),
(15800, NULL, 'IPR022311', NULL, 'Uncharacterised conserved protein UCP005047, YshC', 'UCP005047_YshC', 4, NULL),
(15801, NULL, 'IPR016446', NULL, 'Flavin oxidoreductase Frp family', 'Flavin_OxRdtase_Frp', 4, NULL),
(15802, NULL, 'IPR017223', NULL, 'Predicted hydrolase of the HAD superfamily, SPs0319-type', 'HAD_SPs0319-typ', 4, NULL),
(15803, NULL, 'IPR021188', NULL, 'N6 adenine-specific DNA methyltransferase, TaqI class', 'N6_DNA_MeTrfase_TaqI', 4, NULL),
(15804, NULL, 'IPR022261', NULL, 'Ribosomal natural product, two-chain TOMM family', 'RNP_Burkhold', 4, NULL),
(15805, NULL, 'IPR022274', NULL, 'Peptidase aspartic, AF0612', 'Peptidase_asp_AF0612', 4, NULL),
(15806, NULL, 'IPR023175', NULL, 'Vta1/Callose synthase, N-terminal domain superfamily', 'Vta1/CALS_N_sf', 5, NULL),
(15807, NULL, 'IPR016461', NULL, 'O-methyltransferase COMT-type', 'COMT-like', 4, NULL),
(15808, NULL, 'IPR022270', NULL, 'Beta-carotene 15,15''-monooxygenase, Brp/Blh family', 'Blh_monoox', 4, NULL),
(15809, NULL, 'IPR017248', NULL, 'HS1-associating protein X-1', 'HAX-1', 4, NULL),
(15810, NULL, 'IPR023247', NULL, 'Dynein-f, intermediate chain IC97/Dnai7-like', 'IC97/Dnai7-like', 4, NULL),
(15811, NULL, 'IPR017206', NULL, 'Signal transduction histidine kinase, hybrid-type, BC3207, predicted', 'Sig_transdc_His_kin_hyb_BC3207', 4, NULL),
(15812, NULL, 'IPR018567', NULL, 'Domain of unknown function DUF2020', 'DUF2020', 3, NULL),
(15813, NULL, 'IPR023286', NULL, 'ABATE domain superfamily', 'ABATE_dom_sf', 5, NULL),
(15814, NULL, 'IPR016441', NULL, 'TEL2-interacting protein 1', 'Tti1', 4, NULL),
(15815, NULL, 'IPR023162', NULL, 'Apc36109-like domain superfamily', 'Apc36109-like_dom_sf', 5, NULL),
(15816, NULL, 'IPR034954', NULL, 'Regulator of G-protein signalling 13', 'RGS13', 4, NULL),
(15817, NULL, 'IPR016486', NULL, 'Uncharacterised conserved protein UCP006591,  MJ1004 type', 'UCP006591_CBS', 4, NULL),
(15818, NULL, 'IPR019369', NULL, 'Protein-lysine N-methyltransferase Efm5/EEF1AKMT1', 'Efm5/EEF1AKMT1', 4, NULL),
(15819, NULL, 'IPR023166', NULL, 'HI0933-like insert domain superfamily', 'HI0933-like_dom_sf', 5, NULL),
(15820, NULL, 'IPR022281', NULL, 'ATP-dependent protease, HslV subunit', 'ATP-dep_Prtase_HsIV_su', 4, NULL),
(15821, NULL, 'IPR019338', NULL, 'Ribosomal protein L35, mitochondrial', 'Ribosomal-L35_mit', 4, NULL),
(15822, NULL, 'IPR023245', NULL, 'FAM138', 'FAM138', 4, NULL),
(15823, NULL, 'IPR019384', NULL, 'FHF complex subunit HOOK interacting protein', 'FHIP', 4, NULL),
(15824, NULL, 'IPR017237', NULL, 'rRNA (guanine-N2-)-methyltransferase, RsmD', 'rRNA_m2G-MeTrfase_RsmD', 4, NULL),
(15825, NULL, 'IPR017240', NULL, 'Mitogen-activated protein (MAP) kinase kinase kinase Ssk2/Ssk22', 'MAPKKK_Ssk2/Ssk22', 4, NULL),
(15826, NULL, 'IPR022337', NULL, 'Inositol monophosphatase SuhB-like', 'Inositol_monophosphatase_SuhB', 4, NULL),
(15827, NULL, 'IPR021194', NULL, 'Uncharacterised protein family, dehydrogenase DR0790 type, predicted', 'Uncharacterised_DHase_DR0790', 4, NULL),
(15828, NULL, 'IPR019372', NULL, 'Lipoma HMGIC fusion partner-like protein', 'LHFPL', 4, NULL),
(15829, NULL, 'IPR017567', NULL, 'Cytochrome c nitrite reductase, Fe-S protein', 'Cyt_c_NO2Rdtase_NrfC', 4, NULL),
(15830, NULL, 'IPR017252', NULL, 'Dynein regulator LIS1', 'Dynein_regulator_LIS1', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15831, NULL, 'IPR035312', NULL, 'Satellite RNA 48kDa protein', 'SatRNA_48', 4, NULL),
(15832, NULL, 'IPR023210', NULL, 'NADP-dependent oxidoreductase domain', 'NADP_OxRdtase_dom', 3, NULL),
(15833, NULL, 'IPR023093', NULL, 'ScpA-like, C-terminal', 'ScpA-like_C', 5, NULL),
(15834, NULL, 'IPR023153', NULL, 'PSPTO4464-like domain superfamily', 'PSPTO4464-like_dom_sf', 5, NULL),
(15835, NULL, 'IPR021169', NULL, 'Histone H3-K79 methyltransferase, metazoa', 'DOT1L/grappa', 4, NULL),
(15836, NULL, 'IPR023101', NULL, 'AF1862-like domain superfamily', 'AF1862-like_dom_sf', 5, NULL),
(15837, NULL, 'IPR023373', NULL, 'YmcC-like superfamily', 'YmcC_sf', 5, NULL),
(15838, NULL, 'IPR023374', NULL, 'AttH-like domain superfamily', 'AttH-like_dom_sf', 5, NULL),
(15839, NULL, 'IPR016442', NULL, 'tRNA-splicing endonuclease, archaeal short subfamily', 'tRNA_splic_arch_short', 4, NULL),
(15840, NULL, 'IPR020053', NULL, 'Ribosome-binding factor A, conserved site', 'Ribosome-bd_factorA_CS', 2, NULL),
(15841, NULL, 'IPR019974', NULL, 'XPG conserved site', 'XPG_CS', 2, NULL),
(15842, NULL, 'IPR022267', NULL, 'Accessory Sec system protein Asp2', 'Asp2', 4, NULL),
(15843, NULL, 'IPR034657', NULL, 'Alginate O-acetyltranferase AlgJ', 'AlgJ', 3, NULL),
(15844, NULL, 'IPR019969', NULL, 'DNA-directed RNA polymerase subunit Rpo2', 'RNAP_Rpo2', 4, NULL),
(15845, NULL, 'IPR019357', NULL, 'Short coiled-coil protein', 'SCOC', 4, NULL),
(15846, NULL, 'IPR017211', NULL, 'Uncharacterised conserved protein UCP037465, zinc finger protein, AF1427', 'UCP037465_Znf', 4, NULL),
(15847, NULL, 'IPR021170', NULL, 'DnaJ homologue subfamily C member 10', 'ERdj5', 4, NULL),
(15848, NULL, 'IPR019834', NULL, 'Glycoside hydrolase, family 8, conserved site', 'Glyco_hydro_8_CS', 2, NULL),
(15849, NULL, 'IPR018594', NULL, 'Domain of unknown function DUF2023', 'DUF2023', 3, NULL),
(15850, NULL, 'IPR019370', NULL, 'E2F-associated phosphoprotein', 'E2F-assoc_phosphoprotein', 4, NULL),
(15851, NULL, 'IPR019350', NULL, 'RNA polymerase I-specific transcription initiation factor RRN6-like', 'RNA_pol_I-sp_TIF_RRN6-like', 4, NULL),
(15852, NULL, 'IPR019381', NULL, 'Phosphofurin acidic cluster sorting protein 1', 'Phosphofurin_acidic_CS-1', 4, NULL),
(15853, NULL, 'IPR017561', NULL, 'Alkyl hydroperoxide reductase F subunit homogue, putative', 'AhpF_homologue_put', 4, NULL),
(15854, NULL, 'IPR019349', NULL, 'Ribosomal protein S24/S35, mitochondrial, conserved domain', 'Ribosomal_S24/S35_mit', 3, NULL),
(15855, NULL, 'IPR023282', NULL, 'Hydroxymethylglutaryl-CoA reductase, N-terminal', 'HMG_CoA_Rdtase_N', 5, NULL),
(15856, NULL, 'IPR035236', NULL, 'RNA chaperone ProQ, C-terminal', 'ProQ_C', 3, NULL),
(15857, NULL, 'IPR021167', NULL, 'Uncharacterised conserved protein, UCP027887, phosphatidlglycerophosphatase-related', 'UCP027887_Ptd-glyceroPase-rel', 4, NULL),
(15858, NULL, 'IPR019967', NULL, 'F420-dependent enzyme, PPOX class, family Rv0121, probable', 'F420-dep_enz_PPOX_Rv0121', 4, NULL),
(15859, NULL, 'IPR023330', NULL, 'Rhabdovirus nucleocapsid, N-terminal', 'Rhabdovirus_ncapsid_N', 5, NULL),
(15860, NULL, 'IPR018560', NULL, 'Domain of unknown function DUF2016', 'DUF2016', 3, NULL),
(15861, NULL, 'IPR034407', NULL, 'U1 small nuclear ribonucleoprotein A, RNA recognition motif  1', 'U1A_RRM1', 3, NULL),
(15862, NULL, 'IPR022262', NULL, 'Lipoprotein, putative', 'Lipoprot_put', 4, NULL),
(15863, NULL, 'IPR023099', NULL, 'Glycoside hydrolase, family 46, N-terminal', 'Glyco_hydro_46_N', 5, NULL),
(15864, NULL, 'IPR018556', NULL, 'SPIN90/Ldb17, leucine-rich domain', 'SPIN90/Ldb17_LRD', 3, NULL),
(15865, NULL, 'IPR022280', NULL, 'ParB-related, ThiF-related cassette, protein B', 'PRTRC_protein-B', 4, NULL),
(15866, NULL, 'IPR020977', NULL, 'Beta-casein-like', 'Beta-casein-like', 4, NULL),
(15867, NULL, 'IPR019383', NULL, 'Golgin subfamily A member 7/ERF4', 'Golgin_A_7/ERF4', 3, NULL),
(15868, NULL, 'IPR020052', NULL, 'Ribosomal protein L31e, conserved site', 'Ribosomal_L31e_CS', 2, NULL),
(15869, NULL, 'IPR034953', NULL, 'Regulator of G-protein signalling 4, RGS domain', 'RGS_RGS4', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15870, NULL, 'IPR022265', NULL, 'Conserved hypothetical protein CHP03790', 'CHP03790', 4, NULL),
(15871, NULL, 'IPR023084', NULL, 'Proteinase inhibitor I11, ecotin, gammaproteobacteria', 'Prot_inh_ecotin_gammaproteobac', 4, NULL),
(15872, NULL, 'IPR019337', NULL, 'Telomere length regulation protein, conserved domain', 'Telomere_length_regulation_dom', 3, NULL),
(15873, NULL, 'IPR017254', NULL, 'Lipoprotein, LppL', 'Lipoprotein_LppL', 4, NULL),
(15874, NULL, 'IPR022293', NULL, 'Integrating conjugative element protein, PFL4693', 'Integrating-conj_element', 4, NULL),
(15875, NULL, 'IPR019387', NULL, 'Uncharacterised domain SAYSvFN', 'Uncharacterised_SAYSvFN', 3, NULL),
(15876, NULL, 'IPR022328', NULL, 'Tumour necrosis factor receptor 7', 'TNFR_7', 4, NULL),
(15877, NULL, 'IPR022338', NULL, 'Tumour necrosis factor receptor 13C', 'TNFR_13C', 4, NULL),
(15878, NULL, 'IPR021146', NULL, 'Phage gp6-like head-tail connector protein', 'Phafe_gp6_head-tail', 4, NULL),
(15879, NULL, 'IPR022340', NULL, 'G protein-coupled receptor GCR1 putative', 'GPCR_GCR1_put', 4, NULL),
(15880, NULL, 'IPR034734', NULL, 'Zinc finger C2HC RNF-type', 'ZF_C2HC_RNF', 3, NULL),
(15881, NULL, 'IPR017243', NULL, 'Biogenesis of lysosome-related organelles complex 1 subunit 5', 'Bloc1s5', 4, NULL),
(15882, NULL, 'IPR017568', NULL, '3-oxoacyl-[acyl-carrier-protein] synthase 2', '3-oxoacyl-ACP_synth-2', 4, NULL),
(15883, NULL, 'IPR017209', NULL, 'Alpha/beta hydrolase, predicted', 'Abhydr', 4, NULL),
(15884, NULL, 'IPR018575', NULL, 'Restriction endonuclease, type II, Eco29kI', 'Restrct_endonuc_II_Eco29kI', 4, NULL),
(15885, NULL, 'IPR016450', NULL, 'Uncharacterised conserved protein UCP005522', 'UCP005522', 4, NULL),
(15886, NULL, 'IPR019339', NULL, 'CBF1-interacting co-repressor CIR, N-terminal domain', 'CIR_N_dom', 3, NULL),
(15887, NULL, 'IPR016489', NULL, 'Uncharacterised conserved protein UCP006685', 'UCP006685', 4, NULL),
(15888, NULL, 'IPR023293', NULL, 'Deoxyguanosinetriphosphate triphosphohydrolase, central domain superfamily', 'dGTP_triP_hydro_central_sf', 5, NULL),
(15889, NULL, 'IPR017256', NULL, 'Methane monooxygenase component D', 'MmoD', 4, NULL),
(15890, NULL, 'IPR020965', NULL, 'Aromatic prenyltransferase, CloQ-type', 'Prenyltransferase_CloQ', 4, NULL),
(15891, NULL, 'IPR017255', NULL, 'Acetyltransferase, GNAT, predicted', 'AcTrfase_GNAT_prd', 4, NULL),
(15892, NULL, 'IPR021192', NULL, 'Uncharacterised conserved protein UCP031578, VanZ/RDD-type', 'UCP031578_Vanz/RDD', 4, NULL),
(15893, NULL, 'IPR022269', NULL, 'Conserved hypothetical protein CHP03806, HNE0200 family', 'CHP03806_HNE0200', 3, NULL),
(15894, NULL, 'IPR019380', NULL, 'Casein kinase substrate, phosphoprotein PP28', 'Casein_kinase_sb_PP28', 3, NULL),
(15895, NULL, 'IPR017564', NULL, 'Cytochrome c nitrite reductase, pentahaem subunit', 'Cyt_c_NO2Rdtase_pentahaem-su', 4, NULL),
(15896, NULL, 'IPR023239', NULL, 'FAM175 family, BRCA1-A complex, Abraxas 1 subunit', 'FAM175_Abraxas1', 4, NULL),
(15897, NULL, 'IPR017257', NULL, 'Spore germination protein GerPD, predicted', 'Spore_germination_GerPD_prd', 4, NULL),
(15898, NULL, 'IPR017247', NULL, 'UBX domain-containing protein 8', 'UBXN8', 4, NULL),
(15899, NULL, 'IPR022323', NULL, 'Tumour necrosis factor receptor 11', 'TNFR_11', 4, NULL),
(15900, NULL, 'IPR019975', NULL, 'Transcription termination factor CPSF1, archaea', 'aCPSF1', 4, NULL),
(15901, NULL, 'IPR024005', NULL, 'Colanic acid biosynthesis, acetyltransferase, WcaF', 'Colanic_acid_synth_WcaF', 4, NULL),
(15902, NULL, 'IPR016464', NULL, 'NADH dehydrogenase [ubiquinone] (complex I), alpha subcomplex, subunit 2', 'NADH_Ub_cplx-1_asu_su-2', 4, NULL),
(15903, NULL, 'IPR021150', NULL, 'Ubiquinol-cytochrome c chaperone/UPF0174', 'Ubiq_cyt_c_chap/UPF0174', 4, NULL),
(15904, NULL, 'IPR022329', NULL, 'Tumour necrosis factor receptor 25', 'TNFR_25', 4, NULL),
(15905, NULL, 'IPR022266', NULL, 'Integrating conjugative element protein, PFL4697-type', 'Integr_conj_elem_PFL4697-type', 4, NULL),
(15906, NULL, 'IPR017227', NULL, 'Nucleoside-triphosphatase, alveolata', 'NTPase_alveloata', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15907, NULL, 'IPR018590', NULL, 'Uncharacterised domain YvfG', 'Uncharacterised_YvfG', 3, NULL),
(15908, NULL, 'IPR023331', NULL, 'Rhabdovirus nucleocapsid, C-terminal', 'Rhabdovirus_ncapsid_C', 5, NULL),
(15909, NULL, 'IPR034735', NULL, 'NEMO, Zinc finger', 'NEMO_ZF', 3, NULL),
(15910, NULL, 'IPR023206', NULL, 'Bifunctional cytochrome P450/NADPH--cytochrome P450 reductase', 'Bifunctional_P450_P450_red', 4, NULL),
(15911, NULL, 'IPR017215', NULL, '5-methyltetrahydrofolate-homocysteine S-methyltransferase, bacterial', 'MetH_bac', 4, NULL),
(15912, NULL, 'IPR021164', NULL, 'Tyrosine hydroxylase, conserved site', 'Tyrosine_hydroxylase_CS', 2, NULL),
(15913, NULL, 'IPR019342', NULL, 'NADH:ubiquinone oxidoreductase, iron-sulphur subunit 5', 'NADH_UbQ_OxRdtase_FeS-su5', 4, NULL),
(15914, NULL, 'IPR022327', NULL, 'Insulin-like growth factor-binding protein 4', 'IGFBP-4', 4, NULL),
(15915, NULL, 'IPR017229', NULL, 'Multidomain scavenger receptor-like protein PxSR', 'Scavenger_rcpt_PxSR', 4, NULL),
(15916, NULL, 'IPR023157', NULL, 'AGR-C-984p-like superfamily', 'AGR-C-984p-like_sf', 5, NULL),
(15917, NULL, 'IPR034021', NULL, 'Tumour necrosis factor receptor 5, N-terminal', 'TNFRSF5_N', 3, NULL),
(15918, NULL, 'IPR022334', NULL, 'Insulin-like growth factor II', 'IGF2', 4, NULL),
(15919, NULL, 'IPR016484', NULL, 'GTP-binding protein EngA', 'GTP-bd_EngA', 4, NULL),
(15920, NULL, 'IPR022330', NULL, 'Tumour necrosis factor receptor 21', 'TNFR_21', 4, NULL),
(15921, NULL, 'IPR020970', NULL, 'Bacteriocin class IIc', 'Bacteriocin_IIc', 4, NULL),
(15922, NULL, 'IPR022273', NULL, 'ParB-related, ThiF-related cassette, protein E', 'PRTRC_protein-E', 3, NULL),
(15923, NULL, 'IPR019359', NULL, 'CCDC85 family', 'CCDC85', 4, NULL),
(15924, NULL, 'IPR018572', NULL, 'Protein of unknown function YopT', 'YopT', 3, NULL),
(15925, NULL, 'IPR017219', NULL, 'Peptidoglycan GlcNAc deacetylase', 'Peptidoglycan_deacetylase', 4, NULL),
(15926, NULL, 'IPR023302', NULL, 'Peptidase S9A, N-terminal domain', 'Pept_S9A_N', 3, NULL),
(15927, NULL, 'IPR017241', NULL, 'Toll-like receptor', 'Toll-like_receptor', 4, NULL),
(15928, NULL, 'IPR018586', NULL, 'Brinker DNA-binding domain', 'Brinker_DNA-bd', 3, NULL),
(15929, NULL, 'IPR023085', NULL, 'UDP-N-acetyl-D-mannosaminuronic acid transferase', 'UDP-ManNAcA_Trfase_WecG', 4, NULL),
(15930, NULL, 'IPR018564', NULL, 'DNA replication checkpoint mediator, MRC1 domain', 'Repl_chkpnt_MRC1_dom', 3, NULL),
(15931, NULL, 'IPR022295', NULL, 'Ribosomal protein L12, archaea', 'Ribosomal_L12_arc', 4, NULL),
(15932, NULL, 'IPR022272', NULL, 'Lipocalin family conserved site', 'Lipocalin_CS', 2, NULL),
(15933, NULL, 'IPR018987', NULL, 'Protein of unknown function DUF1999', 'DUF1999', 4, NULL),
(15934, NULL, 'IPR019373', NULL, 'Ribosomal protein L51, mitochondrial', 'Ribosomal_L51_mit', 4, NULL),
(15935, NULL, 'IPR021157', NULL, 'Cytochrome c1, transmembrane anchor, C-terminal', 'Cyt_c1_TM_anchor_C', 5, NULL),
(15936, NULL, 'IPR023244', NULL, 'Brefeldin A-sensitivity protein 4', 'Brefeldin_A-sensitivity_4', 4, NULL),
(15937, NULL, 'IPR019385', NULL, 'Phosphorylated adapter RNA export protein, RNA-binding domain', 'PHAX_RNA-binding_domain', 3, NULL),
(15938, NULL, 'IPR035345', NULL, 'Viral Protein E7', 'E7R', 3, NULL),
(15939, NULL, 'IPR016467', NULL, 'DNA recombination and repair protein, RecA-like', 'DNA_recomb/repair_RecA-like', 4, NULL),
(15940, NULL, 'IPR019371', NULL, 'Uncharacterised domain KxDL', 'Uncharacterised_KxDL', 3, NULL),
(15941, NULL, 'IPR035105', NULL, 'Deoxycytidylate deaminase domain', 'Deoxycytidylate_deaminase_dom', 3, NULL),
(15942, NULL, 'IPR035316', NULL, 'Transferrin-binding protein B, C-lobe handle domain', 'TbpB_C-lobe', 3, NULL),
(15943, NULL, 'IPR023208', NULL, 'NADPH-cytochrome P450 reductase', 'P450R', 4, NULL),
(15944, NULL, 'IPR022290', NULL, 'Conserved hypothetical protein CHP03858, luciferase-like monooxygenase, putative', 'CHP03858_lucif-like_mOase_put', 4, NULL),
(15945, NULL, 'IPR023209', NULL, 'D-amino-acid oxidase', 'DAO', 4, NULL),
(15946, NULL, 'IPR035094', NULL, 'Histidine N-alpha-methyltransferase', 'EgtD', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15947, NULL, 'IPR018605', NULL, 'Sororin protein', 'Sororin', 4, NULL),
(15948, NULL, 'IPR023089', NULL, 'YozE SAM-like domain', 'YozE_SAM-like', 3, NULL),
(15949, NULL, 'IPR018593', NULL, 'tRNA-splicing endonuclease subunit Sen15', 'tRNA-endonuc_su_Sen15', 3, NULL),
(15950, NULL, 'IPR023375', NULL, 'Acetoacetate decarboxylase domain superfamily', 'ADC_dom_sf', 5, NULL),
(15951, NULL, 'IPR022319', NULL, 'Tumour necrosis factor receptor 27', 'TNFR_27', 4, NULL),
(15952, NULL, 'IPR023241', NULL, 'FAM175 family, plant', 'FAM175_plant', 4, NULL),
(15953, NULL, 'IPR018557', NULL, 'THO complex subunit Thp2', 'THO_cplx_su_Thp2', 4, NULL),
(15954, NULL, 'IPR017244', NULL, 'Ribosomal RNA large subunit methyltransferase K/L', '23SrRNA_methyltr_KL', 4, NULL),
(15955, NULL, 'IPR016470', NULL, 'Phycobilisome linker protein', 'Phycobilisome', 4, NULL),
(15956, NULL, 'IPR021195', NULL, 'Ubiquinol cytochrome c reductase, cytochrome c1 subunit, predicted', 'Ubol_Cyt_c_Rdtase_Cyt_c_su_prd', 4, NULL),
(15957, NULL, 'IPR019364', NULL, 'Mediator complex, subunit Med8, fungi/metazoa', 'Mediatior_Med8_fun/met', 4, NULL),
(15958, NULL, 'IPR016443', NULL, 'RNA 3''-terminal phosphate cyclase type 2', 'RNA3''_term_phos_cyc_type_2', 4, NULL),
(15959, NULL, 'IPR019358', NULL, 'NEMP family', 'NEMP_fam', 4, NULL),
(15960, NULL, 'IPR019973', NULL, 'Flap structure-specific endonuclease, archaea', 'Flap_structure-sp_endonuc_arc', 4, NULL),
(15961, NULL, 'IPR022296', NULL, 'Proteasome, alpha subunit, bacterial', 'Proteasome_asu_bac', 4, NULL),
(15962, NULL, 'IPR023155', NULL, 'Cytochrome c-552/4', 'Cyt_c-552/4', 3, NULL),
(15963, NULL, 'IPR017259', NULL, 'Uncharacterised conserved protein UCP037672', 'UCP037672', 4, NULL),
(15964, NULL, 'IPR021144', NULL, 'Uncharacterised protein family UPF0597', 'UPF0597', 4, NULL),
(15965, NULL, 'IPR022279', NULL, 'Pup--protein ligase', 'Pup_ligase', 4, NULL),
(15966, NULL, 'IPR019347', NULL, 'Axonemal dynein light chain', 'Axonemal_dynein_light_chain', 4, NULL),
(15967, NULL, 'IPR019351', NULL, 'Protein of unknown function DUF2039', 'DUF2039', 4, NULL),
(15968, NULL, 'IPR022308', NULL, 'Synaptic vesicle protein SV2', 'SV2', 4, NULL),
(15969, NULL, 'IPR018566', NULL, '4-Methylmuconolactone methyl-isomerase', 'MeMu_Me-Isoase', 3, NULL),
(15970, NULL, 'IPR023288', NULL, 'Pa2218-like domain superfamily', 'Pa2218-like_dom_sf', 5, NULL),
(15971, NULL, 'IPR019366', NULL, 'Clusterin-associated protein-1', 'Clusterin-associated_protein-1', 4, NULL),
(15972, NULL, 'IPR023144', NULL, 'Phenylalanine ammonia-lyase, shielding domain superfamily', 'Phe_NH3-lyase_shielding_dom_sf', 5, NULL),
(15973, NULL, 'IPR018457', NULL, 'LacY/RafB permease family, conserved site', 'LacY/RafB_perm_fam_CS', 2, NULL),
(15974, NULL, 'IPR018587', NULL, 'White spot syndrome virus (WSSV), Orf116/126, N-terminal', 'WSSV_Orf116/126_N', 3, NULL),
(15975, NULL, 'IPR021151', NULL, 'GINS subunit, domain A', 'GINS_A', 3, NULL),
(15976, NULL, 'IPR016458', NULL, 'Uncharacterised conserved protein UCP005648, calcium-binding', 'UCP005648_Ca-bd', 4, NULL),
(15977, NULL, 'IPR035401', NULL, 'Urocanase, C-terminal domain', 'Urocanase_C', 3, NULL),
(15978, NULL, 'IPR018571', NULL, 'Membrane anchor Opy2, N-terminal', 'Membrane_anchor_Opy2_N', 3, NULL),
(15979, NULL, 'IPR022314', NULL, 'Tyrosine 2,3-aminomutase, putative', 'Tyr_aminomutase', 4, NULL),
(15980, NULL, 'IPR022275', NULL, 'NHPM bacteriocin system secretion protein, HylD', 'NHPM_bacteriocin_SS_HylD', 4, NULL),
(15981, NULL, 'IPR018591', NULL, 'YorP protein', 'YorP', 4, NULL),
(15982, NULL, 'IPR016454', NULL, 'Cysteine desulfurase', 'Cysteine_dSase', 4, NULL),
(15983, NULL, 'IPR020951', NULL, 'Mitochondrial import receptor subunit Tom22, fungi', 'Tom22_fungi', 4, NULL),
(15984, NULL, 'IPR018559', NULL, 'Protein of unknown function DUF2015', 'DUF2015', 4, NULL),
(15985, NULL, 'IPR023086', NULL, 'Phosphoglycerate mutase, GpmB, probable', 'Phosphoglycerate_mutase_GpmB', 4, NULL),
(15986, NULL, 'IPR016455', NULL, 'Xyloglucan endotransglucosylase/hydrolase', 'XTH', 4, NULL),
(15987, NULL, 'IPR022292', NULL, 'Conserved hypothetical protein CHP03843', 'CHP03843', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(15988, NULL, 'IPR035232', NULL, 'Protein of unknown function DUF5347', 'DUF5347', 4, NULL),
(15989, NULL, 'IPR016475', NULL, 'Phosphate acetyltransferase, bacteria', 'P-Actrans_bac', 4, NULL),
(15990, NULL, 'IPR023184', NULL, 'Ubiquinol-cytochrome C reductase hinge domain', 'Ubol_cytC_Rdtase_hinge_dom', 3, NULL),
(15991, NULL, 'IPR016476', NULL, 'SH3 domain protein', 'SH3_dom_pro', 4, NULL),
(15992, NULL, 'IPR019343', NULL, 'Uncharacterised domain KLRAQ/TTKRSYEDQ, N-terminal', 'Unchr_KLRAQ/TTKRSYEDQ_N', 3, NULL),
(15993, NULL, 'IPR018574', NULL, 'Structure-specific endonuclease subunit Slx4', 'Structure-sp_endonuc_su_Slx4', 4, NULL),
(15994, NULL, 'IPR017205', NULL, 'Signal transduction histidine kinase, ChrS', 'Sig_transdc_His_kinase_ChrS', 4, NULL),
(15995, NULL, 'IPR035304', NULL, 'Acyl homoserine lactone synthase', 'AHL_synthase', 4, NULL),
(15996, NULL, 'IPR023342', NULL, 'APO domain', 'APO_dom', 3, NULL),
(15997, NULL, 'IPR034802', NULL, 'NADPH-dependent butanol dehydrogenase', 'NADPH_BDH', 4, NULL),
(15998, NULL, 'IPR022291', NULL, 'Bacteriocin biosynthesis, cyclodehydratase domain', 'Bacteriocin_synth_cyclodeHase', 3, NULL),
(15999, NULL, 'IPR017565', NULL, 'Formate-dependent nitrite reductase complex, subunit NrfF', 'For-dep_Cytc_NO2Rdtase_NrfF', 3, NULL),
(16000, NULL, 'IPR016483', NULL, 'Uncharacterised conserved protein UCP006404, peptidase M50/CBS', 'UCP006404_Pept_M50_CBS', 4, NULL),
(16001, NULL, 'IPR019017', NULL, 'Signal transduction histidine kinase RcsC, alpha-beta loop, C-terminal', 'Sig_transdc_His_kin_a/b-loop_C', 3, NULL),
(16002, NULL, 'IPR022441', NULL, 'Parallel beta-helix repeat-2', 'Para_beta_helix_rpt-2', 7, NULL),
(16003, NULL, 'IPR016863', NULL, 'dTDP-4-amino-4,6-dideoxy-D-glucose ammonia-lyase', 'DesII', 4, NULL),
(16004, NULL, 'IPR017260', NULL, 'Uncharacterised conserved protein UCP037673', 'UCP037673', 4, NULL),
(16005, NULL, 'IPR017574', NULL, 'CRISPR-associated protein Csc2', 'CRISPR-assoc_prot_Csc2', 4, NULL),
(16006, NULL, 'IPR022403', NULL, 'Alcohol ABC transporter, permease protein', 'Alc_ABC_transptr_permease', 4, NULL),
(16007, NULL, 'IPR023388', NULL, 'Bacteriocin class IIa domain superfamily', 'Bacteriocin_IIa_dom_sf', 5, NULL),
(16008, NULL, 'IPR016514', NULL, 'Fimbrial protein EcpA', 'EcpA', 4, NULL),
(16009, NULL, 'IPR016866', NULL, 'Uncharacterised conserved protein UCP028069', 'UCP028069', 4, NULL),
(16010, NULL, 'IPR016545', NULL, 'Uncharacterised conserved protein UCP009120, proteasome-type protease, Sll0069', 'UCP009120_prtse', 4, NULL),
(16011, NULL, 'IPR020054', NULL, 'Proteinase inhibitor I16, Streptomyces subtilisin-type inhibitor, conserved site', 'Prot_inh_SSI_I16_CS', 2, NULL),
(16012, NULL, 'IPR017588', NULL, 'Uric acid permease UacT-like', 'UacT-like', 4, NULL),
(16013, NULL, 'IPR016840', NULL, 'Glycoside hydrolase, family 43, endo-1, 5-alpha-L-arabinosidase', 'Glyco_hydro_43_endo_a_Ara-ase', 4, NULL),
(16014, NULL, 'IPR017271', NULL, 'Transcription regulator HTH, MJ1545, predicted', 'Tscrpt_reg_HTH_MJ1545_prd', 4, NULL),
(16015, NULL, 'IPR019012', NULL, 'RNA cap guanine-N2 methyltransferase', 'RNA_cap_Gua-N2-MeTrfase', 4, NULL),
(16016, NULL, 'IPR022470', NULL, '6-pyruvoyl tetrahydropterin synthase, cysteine active site', 'PTPS_Cys_AS', 0, NULL),
(16017, NULL, 'IPR020080', NULL, 'Outer membrane adhesin/peptidase omptin', 'OM_adhesin/peptidase_omptin', 5, NULL),
(16018, NULL, 'IPR016841', NULL, 'Transcription regulator DksA-related, predicted', 'Tscrpt_reg_DksA-rel_prd', 4, NULL),
(16019, NULL, 'IPR017601', NULL, 'DGQHR-containing domain', 'DGQHR-contain_dom', 3, NULL),
(16020, NULL, 'IPR023458', NULL, 'Methionine-tRNA ligase, type 1', 'Met-tRNA_ligase_1', 4, NULL),
(16021, NULL, 'IPR019016', NULL, 'CRISPR system endoribonuclease Csx1-like', 'Csx1-like', 4, NULL),
(16022, NULL, 'IPR023445', NULL, 'Arginine exporter protein ArgO, enterobacteria', 'Arg_export_ArgO_enterobac', 4, NULL),
(16023, NULL, 'IPR022464', NULL, 'Streptococcal pilin isopeptide linker', 'Strep_pil_isopept_link', 3, NULL),
(16024, NULL, 'IPR022466', NULL, 'Enriched in aromatic and glycine residues box', 'EAGR_box', 3, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16025, NULL, 'IPR022393', NULL, 'Conjugative transposon, TraJ', 'Conjugative_transposon_TraJ', 4, NULL),
(16026, NULL, 'IPR016833', NULL, 'Putative sodium bile acid cotransporter', 'Put_Na-Bile_cotransptr', 4, NULL),
(16027, NULL, 'IPR018614', NULL, 'Keratinocyte-associated protein 2', 'KRTCAP2', 4, NULL),
(16028, NULL, 'IPR023408', NULL, 'Mechanosensitive ion channel MscS domain superfamily', 'MscS_dom_sf', 5, NULL),
(16029, NULL, 'IPR016517', NULL, 'Peptidase M11, autolysin', 'Peptidase_M11_autolysin', 4, NULL),
(16030, NULL, 'IPR023401', NULL, 'Ornithine cyclodeaminase, N-terminal', 'ODC_N', 5, NULL),
(16031, NULL, 'IPR016502', NULL, 'Type II secretion system (T2SS) pilotin, S protein', 'T2SSS_2', 4, NULL),
(16032, NULL, 'IPR017619', NULL, '2-hydroxycyclohexanecarboxyl-CoA dehydrogenase', 'OH-benzo_CoA_DH_BadH', 4, NULL),
(16033, NULL, 'IPR017281', NULL, 'Myeloid differentiation primary response protein MyD88', 'Myelin_different_resp_MyD88', 4, NULL),
(16034, NULL, 'IPR034693', NULL, 'Diadenylate cyclase CdaS', 'CdaS', 4, NULL),
(16035, NULL, 'IPR016845', NULL, 'Uncharacterised conserved protein UCP026633, TfuA-like, mycobacteria', 'UCP026633_TfuA-like', 4, NULL),
(16036, NULL, 'IPR020083', NULL, 'Ribosomal protein L39e, conserved site', 'Ribosomal_L39_CS', 2, NULL),
(16037, NULL, 'IPR023410', NULL, '14-3-3 domain', '14-3-3_domain', 3, NULL),
(16038, NULL, 'IPR016515', NULL, 'Uncharacterised conserved protein UCP007407, Abi protease-like', 'UCP007407_Abi-like', 4, NULL),
(16039, NULL, 'IPR022467', NULL, 'ABC transporter, ATP-binding subunit, PQQ-dependent alcohol dehydrogenase system', 'ABC_transprt_ATP-bd_su_PQQ', 4, NULL),
(16040, NULL, 'IPR017615', NULL, 'Xanthine dehydrogenase, accessory protein PucB', 'Xanthine_dehydrogenase_PucB', 4, NULL),
(16041, NULL, 'IPR023475', NULL, 'Probable cobalt-precorrin-6B C(15)-methyltransferase (decarboxylating) CbiT', 'CbiT', 4, NULL),
(16042, NULL, 'IPR023411', NULL, 'Ribonuclease A, active site', 'RNaseA_AS', 0, NULL),
(16043, NULL, 'IPR035060', NULL, 'Serine/threonine kinase 25, catalytic domain', 'STK_STK25', 3, NULL),
(16044, NULL, 'IPR017605', NULL, 'Benzoyl-CoA reductase, bzd-type, Q subunit', 'Benzoyl-CoA_Rdtase_bzd_qsu', 4, NULL),
(16045, NULL, 'IPR017618', NULL, 'Dicarboxylate-CoA ligase PimA', 'Dicarboxylate-CoA_ligase_PimA', 4, NULL),
(16046, NULL, 'IPR016533', NULL, 'Wound-induced protein 1/12, subgroup', 'Wound-induced_1/12_sub', 4, NULL),
(16047, NULL, 'IPR016849', NULL, 'Histone acetyltransferase Rtt109', 'Rtt109', 4, NULL),
(16048, NULL, 'IPR024843', NULL, 'Dapper', 'Dapper', 4, NULL),
(16049, NULL, 'IPR018606', NULL, 'Argonaute-binding protein 1', 'Arb1', 4, NULL),
(16050, NULL, 'IPR016851', NULL, 'Kinetochore-associated protein Nnf1', 'Nnf1', 4, NULL),
(16051, NULL, 'IPR020057', NULL, 'Ribosomal protein L25, beta domain', 'Ribosomal_L25_b-dom', 3, NULL),
(16052, NULL, 'IPR022442', NULL, 'Parallel beta-helix repeat-containing domain', 'B-helix_rpt-cont_dom', 3, NULL),
(16053, NULL, 'IPR019004', NULL, 'Uncharacterised protein YqeY/Aim41', 'YqeY/Aim41', 4, NULL),
(16054, NULL, 'IPR022596', NULL, 'G protein-coupled receptor GPR1, C-terminal', 'GPR1_C', 3, NULL),
(16055, NULL, 'IPR016523', NULL, 'Calcipressin-like protein', 'Rcn1_fungi', 4, NULL),
(16056, NULL, 'IPR023415', NULL, 'Low-density lipoprotein (LDL) receptor class A, conserved site', 'LDLR_class-A_CS', 2, NULL),
(16057, NULL, 'IPR022964', NULL, 'Translation initiation factor 2, alpha subunit, archaeal', 'TIF2_asu_arc', 4, NULL),
(16058, NULL, 'IPR016867', NULL, 'Glycine cleavage system transcriptional repressor', 'GcvR', 4, NULL),
(16059, NULL, 'IPR017580', NULL, '2-oxo-4-hydroxy-4-carboxy-5-ureidoimidazoline decarboxylase, type 1', 'OHCU_decarboxylase-1', 3, NULL),
(16060, NULL, 'IPR022354', NULL, 'Pheromone-binding protein Gp-9', 'Pheromone-bd_protein_Gp-9', 4, NULL),
(16061, NULL, 'IPR023455', NULL, 'Dihydroorotate dehydrogenase electron transfer subunit', 'Dihydroorotate_DHASE_ETsu', 4, NULL),
(16062, NULL, 'IPR019010', NULL, 'Eukaryotic translation initiation factor 3 subunit E, N-terminal', 'eIF3e_N', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16063, NULL, 'IPR017582', NULL, 'tRNA 2-selenouridine synthase', 'SelU', 4, NULL),
(16064, NULL, 'IPR022417', NULL, 'Porphobilinogen deaminase, N-terminal', 'Porphobilin_deaminase_N', 3, NULL),
(16065, NULL, 'IPR020084', NULL, 'NUDIX hydrolase, conserved site', 'NUDIX_hydrolase_CS', 2, NULL),
(16066, NULL, 'IPR016838', NULL, 'Uncharacterised conserved protein UCP026449', 'UCP026449', 4, NULL),
(16067, NULL, 'IPR019037', NULL, 'Restriction endonuclease, type II, Bsp6I', 'Restrct_endonuc_II_Bsp6I', 4, NULL),
(16068, NULL, 'IPR018619', NULL, 'Hyccin', 'Hyccin', 4, NULL),
(16069, NULL, 'IPR023463', NULL, 'Electron transfer flavoprotein, FixA subunit', 'FixA', 4, NULL),
(16070, NULL, 'IPR020055', NULL, 'Ribosomal protein L25, short-form', 'Ribosomal_L25_short', 4, NULL),
(16071, NULL, 'IPR016490', NULL, 'Transcriptional regulator, HTH, AF0396-type', 'Tscrpt_reg_HTH_AF0396-typ3', 4, NULL),
(16072, NULL, 'IPR023384', NULL, 'Bacteriocin, class IIa, conserved site', 'Bacteriocin_IIa_CS', 2, NULL),
(16073, NULL, 'IPR016858', NULL, 'Class V SAM-dependent methyltransferases', 'Hist_H4-K20_MeTrfase', 4, NULL),
(16074, NULL, 'IPR022438', NULL, 'Rickettsia palindromic element RPE5', 'RPE5', 3, NULL),
(16075, NULL, 'IPR021020', NULL, 'Adhesin, Dr family, signal peptide', 'Adhesin_Dr_signal_peptide', 6, NULL),
(16076, NULL, 'IPR023383', NULL, 'Ferredoxin, chloroplast transit peptide', 'Ferredoxin_transit_pept', 3, NULL),
(16077, NULL, 'IPR017459', NULL, 'Glycosyl transferase family 3, N-terminal domain', 'Glycosyl_Trfase_fam3_N_dom', 3, NULL),
(16078, NULL, 'IPR023454', NULL, 'Ribosomal protein S2, archaeal', 'Ribosomal_S2_arc', 4, NULL),
(16079, NULL, 'IPR018994', NULL, 'Protein of unknown function DUF2002', 'DUF2002', 4, NULL),
(16080, NULL, 'IPR024007', NULL, '[FeFe]-hydrogenase maturation HydG, radical SAM', 'FeFe-hyd_mat_HydG', 4, NULL),
(16081, NULL, 'IPR018633', NULL, 'Domain of unknown function DUF2357', 'DUF2357', 3, NULL),
(16082, NULL, 'IPR017606', NULL, '4-hydroxybenzoyl-CoA reductase, gamma subunit', '4hydrxbenzoyl-CoA_Rdtase_gsu', 4, NULL),
(16083, NULL, 'IPR019005', NULL, 'Vacuolar R-SNARE Nyv1, longin domain', 'Vacuolar_R-SNAR_Nyv1_longi_dom', 3, NULL),
(16084, NULL, 'IPR022421', NULL, 'Relaxin', 'Relaxin', 4, NULL),
(16085, NULL, 'IPR018632', NULL, 'C-terminal AAA-associated domain', 'AAA-associated_dom_C', 4, NULL),
(16086, NULL, 'IPR023594', NULL, 'Haloalkane dehalogenase, subfamily 2', 'Haloalkane_dehalogenase_2', 4, NULL),
(16087, NULL, 'IPR024844', NULL, 'Dact3', 'Dact3', 4, NULL),
(16088, NULL, 'IPR022384', NULL, 'Formiminotransferase catalytic domain superfamily', 'FormiminoTrfase_cat_dom_sf', 5, NULL),
(16089, NULL, 'IPR022473', NULL, 'ABC transporter, Choline, ATP-binding subunit', 'ABC_trnsptr_Choline_ATP-bd', 4, NULL),
(16090, NULL, 'IPR023468', NULL, 'Riboflavin kinase', 'Riboflavin_kinase', 4, NULL),
(16091, NULL, 'IPR017589', NULL, 'CRISPR associated protein Csc3', 'CRISPR-assoc_prot_Csc3', 4, NULL),
(16092, NULL, 'IPR016498', NULL, 'Protein YzcX', 'YzcX', 4, NULL),
(16093, NULL, 'IPR019002', NULL, 'Ribosome biogenesis protein Nop16', 'Ribosome_biogenesis_Nop16', 4, NULL),
(16094, NULL, 'IPR019015', NULL, 'HIRA B motif', 'HIRA_B_motif', 2, NULL),
(16095, NULL, 'IPR016511', NULL, 'Uncharacterised conserved protein UCP007248', 'UCP007248', 4, NULL),
(16096, NULL, 'IPR019020', NULL, 'Cytochrome c-552/DMSO reductase-like, haem-binding domain', 'Cyt-c552/DMSO_Rdtase_haem-bd', 3, NULL),
(16097, NULL, 'IPR022457', NULL, 'Aspartate-alanine antiporter', 'Asp_Ala_antiprt', 4, NULL),
(16098, NULL, 'IPR021031', NULL, 'Hyphally-regulated cell wall protein, N-terminal', 'Hyphal-reg_cell_wall_N', 3, NULL),
(16099, NULL, 'IPR023407', NULL, 'Ribosomal protein S27, zinc-binding domain superfamily', 'Ribosomal_S27_Zn-bd_dom_sf', 5, NULL),
(16100, NULL, 'IPR020959', NULL, 'Arabinofuranosyltransferase AftA, C-terminal', 'ArabinofuranosylTrfase_AftA_C', 3, NULL),
(16101, NULL, 'IPR019018', NULL, 'Rab-binding domain FIP-RBD', 'Rab-bd_FIP-RBD', 3, NULL),
(16102, NULL, 'IPR017608', NULL, '4-hydroxybenzoyl-CoA reductase, beta subunit', '4hydrxbenzoyl-CoA_Rdtase_bsu', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16103, NULL, 'IPR022392', NULL, 'Anchored repeat-type ABC transporter, permease subunit', 'Anch_rpt-typ_ABC_trnsprt_perm', 4, NULL),
(16104, NULL, 'IPR016830', NULL, 'Ubiquinone biosynthesis accessory factor UbiT', 'UbiT', 4, NULL),
(16105, NULL, 'IPR023447', NULL, 'Formylmethanofuran: tetrahydromethanopterin formyltransferase Ftr, ferredoxin-like superfamily', 'ForMFR_H4MPT_ForTrfase_fd-like', 5, NULL),
(16106, NULL, 'IPR022463', NULL, 'Fructose 1-phosphate kinase', '1-PFruKinase', 4, NULL),
(16107, NULL, 'IPR018995', NULL, 'RNA synthesis protein NSP10, coronavirus', 'RNA_synth_NSP10_CoV', 3, NULL),
(16108, NULL, 'IPR018626', NULL, 'Protein LCHN/Anr2', 'LCHN/Anr2', 4, NULL),
(16109, NULL, 'IPR035249', NULL, 'Protein of unknown function DUF5441', 'DUF5441', 4, NULL),
(16110, NULL, 'IPR016500', NULL, 'Uncharacterised conserved protein UCP006993', 'UCP006993', 4, NULL),
(16111, NULL, 'IPR034345', NULL, 'Gtt2-like, N-terminal', 'Gtt2-like_N', 3, NULL),
(16112, NULL, 'IPR022454', NULL, 'Conserved hypothetical protein CHP03883, F420 biosynthesis associated', 'CHP03883_F420-assoc', 4, NULL),
(16113, NULL, 'IPR022851', NULL, 'Translation factor SUI1 homolog, archaea', 'SUI1_arc', 4, NULL),
(16114, NULL, 'IPR022476', NULL, 'Sporulation protein YabP/YqfC', 'Spore_YabP/YqfC', 4, NULL),
(16115, NULL, 'IPR024303', NULL, 'Natural killer cell receptor 2B4, immunoglobulin domain', 'NK_rcpt_2B4_Ig_dom', 3, NULL),
(16116, NULL, 'IPR023420', NULL, 'Tyrosine-protein kinase SYK/ZAP-70, inter-SH2 domain superfamily', 'Kinase_SYK/ZAP-70_inter-SH2_sf', 5, NULL),
(16117, NULL, 'IPR018620', NULL, 'Ubiquitin 3 binding protein But2, C-terminal', 'Ubiquitin3-bd_protein_But2_C', 3, NULL),
(16118, NULL, 'IPR034908', NULL, 'Sorting nexin-19', 'SNX19', 4, NULL),
(16119, NULL, 'IPR018617', NULL, 'Ima1, N-terminal domain', 'Ima1_N', 3, NULL),
(16120, NULL, 'IPR016508', NULL, 'Uncharacterised conserved protein UCP007103', 'UCP007103', 4, NULL),
(16121, NULL, 'IPR022373', NULL, 'KaiC domain-containing protein', 'KaiC_containing', 4, NULL),
(16122, NULL, 'IPR022415', NULL, 'ATP:guanido phosphotransferase active site', 'ATP-guanido_PTrfase_AS', 0, NULL),
(16123, NULL, 'IPR023461', NULL, 'Electron transfer flavoprotein FixB subunit', 'FixB', 4, NULL),
(16124, NULL, 'IPR019029', NULL, 'Type III secretion system, PrgH/EprH-like', 'T3SS_PrgH/EprH-like', 4, NULL),
(16125, NULL, 'IPR022425', NULL, 'Flagellar export ATPase FliI, clade 2', 'FliI_clade2', 4, NULL),
(16126, NULL, 'IPR020082', NULL, 'S-adenosyl-L-homocysteine hydrolase, conserved site', 'S-Ado-L-homoCys_hydrolase_CS', 2, NULL),
(16127, NULL, 'IPR018999', NULL, 'RNA helicase UPF1, Cys/His rich zinc-binding domain', 'UPF1_CH/ZBD', 3, NULL),
(16128, NULL, 'IPR022390', NULL, '4-hydroxybenzoate decarboxylase subunit C', 'HBDC', 4, NULL),
(16129, NULL, 'IPR017274', NULL, 'Putative N-acetyltransferase YlbP', 'YlbP', 4, NULL),
(16130, NULL, 'IPR022378', NULL, 'F420-dependent oxidoreductase-predicted, MSMEG2249', 'F420_OxRdatse_MSMEG2249_pred', 4, NULL),
(16131, NULL, 'IPR023464', NULL, 'DNA-directed RNA polymerase subunit Rpo12', 'Rpo12', 4, NULL),
(16132, NULL, 'IPR022426', NULL, 'Flagellum-specific ATP synthase FliI, clade 3', 'FliI_clade3', 4, NULL),
(16133, NULL, 'IPR016491', NULL, 'Septin', 'Septin', 4, NULL),
(16134, NULL, 'IPR017268', NULL, 'Tax1-binding protein 3', 'Tax1-binding_p3', 4, NULL),
(16135, NULL, 'IPR022359', NULL, 'Aminoglycoside phosphotransferase, bacteria', 'Aminoglycoside_PTrfase_bact', 3, NULL),
(16136, NULL, 'IPR019023', NULL, 'Lamin-B receptor of TUDOR domain', 'Lamin-B_rcpt_of_tudor', 3, NULL),
(16137, NULL, 'IPR016873', NULL, 'Capsular polysaccharide biosynthesis protein, BcbE, predicted', 'Caps_polysacc_synth_BcbE_prd', 4, NULL),
(16138, NULL, 'IPR022433', NULL, 'Lipid kinase YegS', 'Lip_kinase_YegS', 4, NULL),
(16139, NULL, 'IPR017599', NULL, 'DNA sulphur modification protein DndD', 'DNA_S_DndD', 4, NULL),
(16140, NULL, 'IPR016829', NULL, 'Spodoptera frugiperda nuclear polyhedrosis virus (SfNPV), sf27', 'SfNPV_sf27', 4, NULL),
(16141, NULL, 'IPR019024', NULL, 'Ribonuclease H2 subunit B, wHTH domain', 'RNase_H2_suB_wHTH', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16142, NULL, 'IPR022455', NULL, 'Methanol oxidation system protein MoxJ', 'Methanol_oxidation_MoxJ', 4, NULL),
(16143, NULL, 'IPR022355', NULL, 'Neurogenic locus Notch 4', 'Notch_4', 4, NULL),
(16144, NULL, 'IPR016850', NULL, 'Transcription initiation factor Rrn11, budding yeast', 'TIF_Rrn11_budding_yeast', 4, NULL),
(16145, NULL, 'IPR022427', NULL, 'Uncharacterised protein MJ0570, ATP-binding', 'MJ0570_ATP-bd', 4, NULL),
(16146, NULL, 'IPR019009', NULL, 'Signal recognition particle receptor, beta subunit', 'SRP_receptor_beta_su', 4, NULL),
(16147, NULL, 'IPR020982', NULL, 'Bacteriophage T4, GpT, holin', 'Phage_T4_GpT_holin', 4, NULL),
(16148, NULL, 'IPR035404', NULL, 'Domain of unknown function DUF5405', 'DUF5405', 3, NULL),
(16149, NULL, 'IPR016839', NULL, 'Signal transduction diguanylate cyclase, CHASE2 sensor domain-containing, predicted', 'Sig_transdc_diG_cyclase_prd', 4, NULL),
(16150, NULL, 'IPR023400', NULL, 'DNA recombination and repair protein RecA, C-terminal', 'RecA_C', 5, NULL),
(16151, NULL, 'IPR019014', NULL, 'Multivesicular body sorting factor 12', 'Mvb12', 3, NULL),
(16152, NULL, 'IPR017590', NULL, 'Ureidoglycolate dehydrogenase', 'Ureidoglycolate_dehydrogenase', 4, NULL),
(16153, NULL, 'IPR022471', NULL, 'Cysteine desulphurase, catalytic subunit, CsdA', 'Cys_desulphurase_CdsA', 4, NULL),
(16154, NULL, 'IPR016530', NULL, 'Mediator of RNA polymerase II transcription subunit 22, Saccharomycetes', 'Med22_Saccharomyce', 4, NULL),
(16155, NULL, 'IPR018634', NULL, 'Chromate resistance exported protein', 'Chromate_resist', 4, NULL),
(16156, NULL, 'IPR016856', NULL, 'NADPH-dependent 7-cyano-7-deazaguanine reductase, QueF type 1', 'QueF_type1', 4, NULL),
(16157, NULL, 'IPR022370', NULL, 'Phosphosulpholactate synthase', 'Arch_ComA', 4, NULL),
(16158, NULL, 'IPR023403', NULL, 'Uncharacterised protein MG237, N-terminal', 'Uncharacterised_MG237_N', 5, NULL),
(16159, NULL, 'IPR018622', NULL, 'DNA damage checkpoint protein, Lcd1', 'DNA_damage_chkpnt_Lcd1', 4, NULL),
(16160, NULL, 'IPR023431', NULL, 'Photosystem II PsbX, type 1 subfamily', 'PSII_PsbX_type_1_subfam', 4, NULL),
(16161, NULL, 'IPR020059', NULL, 'Glutamyl/glutaminyl-tRNA synthetase, class Ib, anti-codon binding domain', 'Glu/Gln-tRNA-synth_Ib_codon-bd', 3, NULL),
(16162, NULL, 'IPR023406', NULL, 'DNA topoisomerase, type IA, active site', 'Topo_IA_AS', 0, NULL),
(16163, NULL, 'IPR016532', NULL, 'Mediator of RNA polymerase II transcription subunit 20', 'Med20', 4, NULL),
(16164, NULL, 'IPR024006', NULL, 'Conserved hypothetical protein CHP04089', 'CHP04089', 4, NULL),
(16165, NULL, 'IPR022389', NULL, 'ParB-related, ThiF-related cassette, protein D', 'PRTRC_protein-D', 4, NULL),
(16166, NULL, 'IPR020973', NULL, 'Packaging enzyme P4', 'Packaging_enz_P4', 4, NULL),
(16167, NULL, 'IPR020980', NULL, 'Menbrane protein HflK, N-terminal', 'Membrane_HflK_N', 3, NULL),
(16168, NULL, 'IPR019008', NULL, 'ER membrane protein complex subunit 7, beta-sandwich domain', 'EMC7_beta_sandwich', 3, NULL),
(16169, NULL, 'IPR016837', NULL, 'Uncharacterised protein family Ycf55, cyanobacteria', 'Uncharacterised_Ycf55_cyanobac', 4, NULL),
(16170, NULL, 'IPR022458', NULL, 'Conjugative coupling factor TraG/TraD', 'Conjugative_coupling_TraG/TraD', 4, NULL),
(16171, NULL, 'IPR023470', NULL, 'Riboflavin kinase, archaeal', 'Riboflavin_kinase_archaeal', 4, NULL),
(16172, NULL, 'IPR017591', NULL, 'Allantoate amidohydrolase', 'Allantoate_amidohydrolase', 4, NULL),
(16173, NULL, 'IPR016513', NULL, 'Uncharacterised conserved protein UCP007319', 'UCP007319', 4, NULL),
(16174, NULL, 'IPR022465', NULL, 'Terminal organelle assembly protein TopJ', 'Termin_org_TopJ', 4, NULL),
(16175, NULL, 'IPR024024', NULL, 'D-alanyl transfer protein DltB', 'DltB', 4, NULL),
(16176, NULL, 'IPR017609', NULL, 'Xanthine dehydrogenase D subunit', 'Xanthine_dehydrogenase_dsu', 4, NULL),
(16177, NULL, 'IPR022459', NULL, 'Lysine-2,3-aminomutase', 'Lysine_aminomutase', 4, NULL),
(16178, NULL, 'IPR023442', NULL, 'Ribosomal protein L24e, conserved site', 'Ribosomal_L24e_CS', 2, NULL),
(16179, NULL, 'IPR017570', NULL, 'Formate-dependent cytochrome c nitrite reductase, c552 subunit', 'Cyt_c_NO2Rdtase_formate-dep', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16180, NULL, 'IPR017620', NULL, 'Cyclohexanecarboxyl-CoA dehydrogenase', 'Cyc-hxne_CoA_dehydrogenase', 4, NULL),
(16181, NULL, 'IPR023391', NULL, 'Protein translocase SecE domain superfamily', 'Prot_translocase_SecE_dom_sf', 5, NULL),
(16182, NULL, 'IPR017597', NULL, 'Pyruvate dehydrogenase (acetyl-transferring) E1 component, alpha subunit, subgroup y', 'Pyrv_DH_E1_asu_subgrp-y', 4, NULL),
(16183, NULL, 'IPR022344', NULL, 'Gene transfer agent, major tail protein', 'GTA_major-tail', 4, NULL),
(16184, NULL, 'IPR022435', NULL, 'Surface-anchored repeat, actinobacteria', 'Surface-anchored_actinobac', 7, NULL),
(16185, NULL, 'IPR017595', NULL, '2-oxo-4-hydroxy-4-carboxy-5-ureidoimidazoline decarboxylase, type 2', 'OHCU_decarboxylase-2', 3, NULL),
(16186, NULL, 'IPR035479', NULL, 'SH3PXD2B, SH3 domain 3', 'SH3PXD2B_SH3_3', 3, NULL),
(16187, NULL, 'IPR016854', NULL, 'Apoptosis regulator, Ced-4', 'Apop_reg_Ced-4', 4, NULL),
(16188, NULL, 'IPR016865', NULL, 'Inner membrane protein RclC', 'RclC', 4, NULL),
(16189, NULL, 'IPR024779', NULL, '2OGFeDO, oxygenase domain', '2OGFeDO_noxygenase_dom', 3, NULL),
(16190, NULL, 'IPR016546', NULL, 'Maltodextrose utilization protein MalA', 'Maltodextrose_util_MalA', 4, NULL),
(16191, NULL, 'IPR023444', NULL, 'L-rhamnonate dehydratase', 'L-Rhamnon_dehydrat', 4, NULL),
(16192, NULL, 'IPR024936', NULL, 'Cyclophilin-type peptidyl-prolyl cis-trans isomerase', 'Cyclophilin-type_PPIase', 4, NULL),
(16193, NULL, 'IPR016847', NULL, 'Mannose-6-phosphate isomerase, Firmicutes, long form, predicted', 'Man6P_Isoase_Firm_lng_prd', 4, NULL),
(16194, NULL, 'IPR017273', NULL, 'Probable cell wall amidase LytH', 'LytH', 4, NULL),
(16195, NULL, 'IPR023381', NULL, 'YP001051499.1-like domain superfamily', 'YP001051499.1-like_dom_sf', 5, NULL),
(16196, NULL, 'IPR018630', NULL, 'RZZ complex, subunit Zwilch', 'Zwilch', 4, NULL),
(16197, NULL, 'IPR022401', NULL, 'Cysteate synthase', 'Cysteate_synthase', 4, NULL),
(16198, NULL, 'IPR020955', NULL, 'Uncharacterised protein family Atu4866', 'Uncharacterised_Atu4866', 4, NULL),
(16199, NULL, 'IPR023378', NULL, 'YheA/YmcA-like domain superfamily', 'YheA/YmcA-like_dom_sf', 5, NULL),
(16200, NULL, 'IPR022383', NULL, 'Lactate/malate dehydrogenase, C-terminal', 'Lactate/malate_DH_C', 3, NULL),
(16201, NULL, 'IPR016537', NULL, 'Uncharacterised conserved protein UCP008159,', 'UCP008159_ABC', 4, NULL),
(16202, NULL, 'IPR023397', NULL, 'S-adenosyl-L-methionine-dependent methyltransferase, MraW, recognition domain superfamily', 'SAM-dep_MeTrfase_MraW_recog', 5, NULL),
(16203, NULL, 'IPR023424', NULL, 'Oxaloacetate decarboxylase, gamma chain', 'OadG', 4, NULL),
(16204, NULL, 'IPR017581', NULL, 'N-ATPase, AtpR subunit-like', 'AtpR-like', 4, NULL),
(16205, NULL, 'IPR016528', NULL, 'Vacuolar protein sorting-associated protein 11', 'VPS11', 4, NULL),
(16206, NULL, 'IPR022382', NULL, 'Mycoplasma peptidase DUF31', 'Mycoplasma_peptidase_DUF31', 3, NULL),
(16207, NULL, 'IPR016510', NULL, 'Protease, ASVF polyprotein processing', 'Protease_ASVF_polyprot-process', 4, NULL),
(16208, NULL, 'IPR022436', NULL, 'Rickettsia palindromic element RPE2', 'RPE2', 3, NULL),
(16209, NULL, 'IPR023438', NULL, 'Ribosomal protein L24e', 'Ribosomal_L24e', 4, NULL),
(16210, NULL, 'IPR017577', NULL, 'Alpha-ribazole phosphatase, CobZ', 'Ribazole_CobZ', 4, NULL),
(16211, NULL, 'IPR022391', NULL, 'Integrating conjugative element relaxase, PFGI-1 class', 'ICE_relaxase_PFGI-1', 3, NULL),
(16212, NULL, 'IPR018613', NULL, 'Ccdc97-like', 'Ccdc97-like', 4, NULL),
(16213, NULL, 'IPR023402', NULL, 'Uncharacterised protein MG237, central domain', 'Uncharacterised_MG237_central', 5, NULL),
(16214, NULL, 'IPR017267', NULL, 'Cytochrome c oxidase subunit VIIa-related, mitochondrial', 'Cyt_c_oxidase_su7a-rel_mt', 4, NULL),
(16215, NULL, 'IPR022400', NULL, 'Adhesin P1', 'Adhesin_P1', 4, NULL),
(16216, NULL, 'IPR019006', NULL, 'Sterol regulatory element-binding protein 1, C-terminal', 'Sre1_C', 3, NULL),
(16217, NULL, 'IPR022388', NULL, 'Conserved hypothetical protein CHP03808', 'CHP03808', 4, NULL),
(16218, NULL, 'IPR022379', NULL, '11-S seed storage protein, conserved site', '11S_seedstore_CS', 2, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16219, NULL, 'IPR018624', NULL, 'Translocation protein Sec66', 'Sec66', 4, NULL),
(16220, NULL, 'IPR023596', NULL, 'Peptidase PrsW, archaeal/bacterial', 'Peptidase_PrsW_arch/bac', 4, NULL),
(16221, NULL, 'IPR022424', NULL, 'Translation initiation factor 2, gamma subunit', 'TIF2_gsu', 4, NULL),
(16222, NULL, 'IPR022429', NULL, 'Alanine-tRNA ligase, archaea', 'Ala-tRNA_lgiase_arc', 4, NULL),
(16223, NULL, 'IPR023452', NULL, 'L-carnitine CoA-transferase CaiB', 'CoA-Trfase_CaiB', 4, NULL),
(16224, NULL, 'IPR016522', NULL, 'Ribosomal protein S22, mitochondrial, budding yeast', 'Ribosome_S22_mit_bud', 4, NULL),
(16225, NULL, 'IPR018998', NULL, 'EndoU ribonuclease, C-terminal', 'EndoU_C', 3, NULL),
(16226, NULL, 'IPR022418', NULL, 'Porphobilinogen deaminase, C-terminal', 'Porphobilinogen_deaminase_C', 3, NULL),
(16227, NULL, 'IPR023453', NULL, 'Methionine repressor MetJ domain superfamily', 'Met_repressor_MetJ_dom_sf', 5, NULL),
(16228, NULL, 'IPR024022', NULL, 'Transcription regulator HTH, surface antigen', 'Tscrpt_reg_HTH_surface_antigen', 4, NULL),
(16229, NULL, 'IPR016497', NULL, 'Herpesvirus UL5', 'Herpes_UL5', 4, NULL),
(16230, NULL, 'IPR016506', NULL, 'Competence protein D, Pasteurellaceae', 'ComD_Pasteurellaceae', 4, NULL),
(16231, NULL, 'IPR017283', NULL, 'Protein/nucleic acid deglycase HchA', 'HchA', 4, NULL),
(16232, NULL, 'IPR017262', NULL, 'Salivary gland allergen Aed3', 'Salivary_gland_allergen_Aed3', 4, NULL),
(16233, NULL, 'IPR016534', NULL, 'Vacuolar protein sorting-associated protein 16', 'VPS16', 4, NULL),
(16234, NULL, 'IPR017279', NULL, 'Toll-interleukin 1 receptor domain-containing adaptor protein, Tirap', 'Tol-interleuk_rcpt_adapt_Tirap', 4, NULL),
(16235, NULL, 'IPR017614', NULL, '6-hydroxycyclohex-1-ene-1-carbonyl-CoA dehydrogenase', 'Dearomat_deydrogenase', 4, NULL),
(16236, NULL, 'IPR023393', NULL, 'START-like domain superfamily', 'START-like_dom_sf', 5, NULL),
(16237, NULL, 'IPR023471', NULL, 'Cytochrome c oxidase assembly protein CtaG/Cox11, domain superfamily', 'CtaG/Cox11_dom_sf', 5, NULL),
(16238, NULL, 'IPR023465', NULL, 'Riboflavin kinase domain superfamily', 'Riboflavin_kinase_dom_sf', 5, NULL),
(16239, NULL, 'IPR023436', NULL, 'D-tagatose-bisphosphate aldolase, class II, non-catalytic subunit GatZ', 'TagBP_ald_GatZ', 4, NULL),
(16240, NULL, 'IPR017622', NULL, 'Transcription regulator, P21/BotR , Clostridium toxin-associated', 'Tscrpt_reg_p21/BotR', 4, NULL),
(16241, NULL, 'IPR035062', NULL, 'Kic1p-like serine/threonine kinase, catalytic domain', 'STK_Kic1p-like', 3, NULL),
(16242, NULL, 'IPR018609', NULL, 'Bud13', 'Bud13', 4, NULL),
(16243, NULL, 'IPR034347', NULL, 'Glutathione S-transferases Phi, C-terminal', 'GST_Phi_C', 3, NULL),
(16244, NULL, 'IPR022395', NULL, 'Conserved hypothetical protein CHP03773, ABC transporter-like', 'CHP03773_ABC_transptr-like', 4, NULL),
(16245, NULL, 'IPR022377', NULL, 'Small hydrophilic plant seed protein, conserved site', 'Sm_Hydphi_plant_seed_CS', 2, NULL),
(16246, NULL, 'IPR023467', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit H/Methyltransferase Mtx, subunit H', 'MeTrfase_MtrH/MtxH', 4, NULL),
(16247, NULL, 'IPR016878', NULL, 'Uncharacterised conserved protein UCP028288', 'UCP028288', 4, NULL),
(16248, NULL, 'IPR034186', NULL, 'Pin4-like, RNA recognition motif', 'PIN4-like_RRM', 3, NULL),
(16249, NULL, 'IPR016544', NULL, 'N-glycosylase/DNA lyase', 'AGOG', 4, NULL),
(16250, NULL, 'IPR016876', NULL, 'Uncharacterised conserved protein UCP028234', 'UCP028234', 4, NULL),
(16251, NULL, 'IPR016542', NULL, 'Phosphatidylinositol N-acetylglucosaminyltransferase, GPI19/PIG-P subunit', 'PIG-P_GPI19', 4, NULL),
(16252, NULL, 'IPR016835', NULL, 'Uncharacterised conserved protein UCP026317, WGR', 'UCP026317_WGR', 4, NULL),
(16253, NULL, 'IPR023399', NULL, 'Baseplate-like, two-layer sandwich fold', 'Baseplate-like_2-layer_sand', 5, NULL),
(16254, NULL, 'IPR034249', NULL, 'MyD88, death domain', 'MyD88_Death', 3, NULL),
(16255, NULL, 'IPR018628', NULL, 'Cytochrome c oxidase assembly factor 3, mitochondrial, coiled-coil domain', 'Coa3_cc', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16256, NULL, 'IPR022448', NULL, 'Quinoprotein dehydrogenase-associated', 'Quinoprotein_dehydrogenase', 4, NULL),
(16257, NULL, 'IPR019013', NULL, 'Vacuolar ATPase assembly integral membrane protein Vma21', 'Vma21', 4, NULL),
(16258, NULL, 'IPR018607', NULL, 'Chromosome transmission fidelity protein 8', 'Ctf8', 4, NULL),
(16259, NULL, 'IPR022350', NULL, 'Insulin-like growth factor', 'Insulin-like_growth_factor', 4, NULL),
(16260, NULL, 'IPR020061', NULL, 'Glutamine-tRNA ligase, alpha-bundle domain superfamily', 'Glu_tRNA_lig_a-bdl', 5, NULL),
(16261, NULL, 'IPR017571', NULL, 'Cytochrome c nitrite reductase, small subunit', 'NrfH', 4, NULL),
(16262, NULL, 'IPR022434', NULL, 'ABC transporter, LPXTG-anchor lipoprotein, actinobacteria', 'ABC_LPXTG_lipo_actinobac', 4, NULL),
(16263, NULL, 'IPR016834', NULL, 'Uncharacterised conserved protein UCP026306', 'UCP026306', 4, NULL),
(16264, NULL, 'IPR035239', NULL, 'Cypovirus polyhedrin', 'CPV_Polyhedrin', 4, NULL),
(16265, NULL, 'IPR021028', NULL, 'Homotrimeric ring hydroxylase, catalytic domain', 'Homotrim_ring_OHase_catalytic', 3, NULL),
(16266, NULL, 'IPR016516', NULL, 'Uncharacterised conserved protein UCP07580', 'UCP07580', 4, NULL),
(16267, NULL, 'IPR024304', NULL, 'Natural killer cell receptor 2B4', 'NK_rcpt_2B4', 4, NULL),
(16268, NULL, 'IPR017596', NULL, 'Pyruvate dehydrogenase E1 component subunit alpha/BCKADH E1-alpha', 'PdhA/BkdA', 4, NULL),
(16269, NULL, 'IPR022402', NULL, 'F420-dependent oxidoreductase-predicted, MSMEG3544', 'F420_OxRdatse_MSMEG3544_pred', 4, NULL),
(16270, NULL, 'IPR016842', NULL, 'Protein of unknown function UCP026546, HtH-CBS', 'UCP026546_HTH-CBS', 4, NULL),
(16271, NULL, 'IPR018612', NULL, 'Nuclear speckle splicing regulatory protein 1, N-terminal', 'NSRP1_N', 3, NULL),
(16272, NULL, 'IPR019041', NULL, 'SSXRD motif', 'SSXRD_motif', 2, NULL),
(16273, NULL, 'IPR022456', NULL, 'PQQ-dependent catabolism-associated beta-propeller protein', 'PQQ_b_propeller', 4, NULL),
(16274, NULL, 'IPR023426', NULL, 'Flap endonuclease 1', 'Flap_endonuc', 4, NULL),
(16275, NULL, 'IPR024012', NULL, 'DNA phosphorothioation system restriction enzyme, putative', 'Dnd_restrict_put', 4, NULL),
(16276, NULL, 'IPR022385', NULL, 'Rhs repeat-associated core', 'Rhs_assc_core', 3, NULL),
(16277, NULL, 'IPR016836', NULL, 'Long-chain fatty acyl-ACP reductase, aldehyde-forming', 'AcACP_reductase', 4, NULL),
(16278, NULL, 'IPR022345', NULL, 'Bacteriophage 69, Orf23, major tail protein', 'Phage_69_Orf23_MTP', 4, NULL),
(16279, NULL, 'IPR020090', NULL, 'Pleiotrophin/Midkine, C-terminal domain', 'PTN/MK_C_dom', 3, NULL),
(16280, NULL, 'IPR016524', NULL, 'Ubiquitin-like-conjugating enzyme Atg10', 'Atg10', 4, NULL),
(16281, NULL, 'IPR017266', NULL, 'Cyclin-dependent kinase 2-associated protein 1/2', 'DOC_1/2', 4, NULL),
(16282, NULL, 'IPR017578', NULL, 'Alpha-ribazole phosphatase, CobC', 'Ribazole_CobC', 4, NULL),
(16283, NULL, 'IPR022437', NULL, 'Rickettsia palindromic element RPE3', 'RPE3', 3, NULL),
(16284, NULL, 'IPR016846', NULL, 'Predicted ion channel, cNMP-binding', 'cNMP-bd_ion_channel', 4, NULL),
(16285, NULL, 'IPR022966', NULL, 'Ribonuclease II/R, conserved site', 'RNase_II/R_CS', 2, NULL),
(16286, NULL, 'IPR018635', NULL, 'Uncharacterised protein family UPF0319', 'UPF0319', 4, NULL),
(16287, NULL, 'IPR016509', NULL, 'Factor-induced gene 1 protein', 'Fig1', 4, NULL),
(16288, NULL, 'IPR017587', NULL, 'Putative selenium-dependent hydroxylase accessory protein YqeC', 'YqeC', 4, NULL),
(16289, NULL, 'IPR023434', NULL, 'Argininosuccinate synthase, type 1 subfamily', 'Arginosuc_synth_type_1_subfam', 4, NULL),
(16290, NULL, 'IPR023437', NULL, 'Argininosuccinate synthase, type 2 subfamily', 'Arg_succ_synth_type2_subfam', 4, NULL),
(16291, NULL, 'IPR017278', NULL, 'TIR domain-containing adapter molecule 1', 'TICAM1', 4, NULL),
(16292, NULL, 'IPR020985', NULL, 'Cell surface protein Shp, haem-binding domain', 'Cell_surface_Shp_haem-bd', 3, NULL),
(16293, NULL, 'IPR022474', NULL, 'Thiopurine S-methyltransferase, Se/Te detoxification', 'Thiopur_S-MeTfrase_Se/Te_detox', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16294, NULL, 'IPR016505', NULL, 'Type III secretion system YopQ', 'T3SS_YopQ', 4, NULL),
(16295, NULL, 'IPR017265', NULL, 'rRNA-processing protein Fyv7, fungi', 'Fyv7_fungi', 4, NULL),
(16296, NULL, 'IPR022439', NULL, 'Rickettsia palindromic element RPE4', 'RPE4', 3, NULL),
(16297, NULL, 'IPR017576', NULL, 'CRISPR-associated protein Csc1', 'CRISPR-assoc_prot_Csc1', 4, NULL),
(16298, NULL, 'IPR017263', NULL, 'Uncharacterised conserved protein UCP037692', 'UCP037692', 4, NULL),
(16299, NULL, 'IPR023459', NULL, 'Transcription elongation factor GreA/GreB family', 'Tscrpt_elong_fac_GreA/B_fam', 4, NULL),
(16300, NULL, 'IPR020952', NULL, 'Antitermination protein N, arginine-rich motif', 'Antiterm_prot_N_Arg-rich', 4, NULL),
(16301, NULL, 'IPR016853', NULL, 'S-adenosyl-L-methionine binding protein, YMR209C, predicted', 'S-AdoMet-bd_YMR209C_prd', 4, NULL),
(16302, NULL, 'IPR016871', NULL, 'MSHA biogenesis protein, MshI', 'MSHA_biogenesis_MshI', 4, NULL),
(16303, NULL, 'IPR022341', NULL, 'Insulin-like growth factor I', 'IGF-I', 4, NULL),
(16304, NULL, 'IPR017276', NULL, 'Synthesis of cytochrome c oxidase, Sco1/Sco2', 'Synth_of_cyt-c-oxidase_Sco1/2', 4, NULL),
(16305, NULL, 'IPR023409', NULL, '14-3-3 protein, conserved site', '14-3-3_CS', 2, NULL),
(16306, NULL, 'IPR021026', NULL, 'Filamentous haemagglutinin family outer membrane protein, domain of unknown function DUF3739', 'Filamn_hemagglutn_DUF3739', 3, NULL),
(16307, NULL, 'IPR016875', NULL, 'Uncharacterised conserved protein UCP028200', 'UCP028200', 4, NULL),
(16308, NULL, 'IPR018611', NULL, 'E3 UFM1-protein ligase 1', 'Ufl1', 4, NULL),
(16309, NULL, 'IPR022419', NULL, 'Porphobilinogen deaminase, dipyrromethane cofactor binding site', 'Porphobilin_deaminase_cofac_BS', 1, NULL),
(16310, NULL, 'IPR034343', NULL, 'Uncharacterized GST-like protein YibF', 'YibF', 4, NULL),
(16311, NULL, 'IPR016857', NULL, 'Uncharacterised conserved protein UCP027682, CUB, vWA', 'UCP027682_CUB_vWA', 4, NULL),
(16312, NULL, 'IPR016862', NULL, 'Uncharacterised conserved protein UCP027936', 'UCP027936', 4, NULL),
(16313, NULL, 'IPR016543', NULL, 'Mitochondria fission 1 protein', 'Fis1', 4, NULL),
(16314, NULL, 'IPR017604', NULL, 'Benzoyl-CoA reductase, bzd-type, O subunit', 'Benzoyl-CoA_Rdtase_bzd_osu', 4, NULL),
(16315, NULL, 'IPR016848', NULL, 'Ribonuclease P/MRP subunit Rpp29', 'RNase_P/MRP_Rpp29-subunit', 4, NULL),
(16316, NULL, 'IPR017277', NULL, 'Putative antitoxin VapB45-like', 'VapB45-like', 4, NULL),
(16317, NULL, 'IPR017584', NULL, 'Pyridine nucleotide-disulphide oxidoreductase family protein, N-terminal', 'Pyridine_nucleo_diS_OxRdtase_N', 3, NULL),
(16318, NULL, 'IPR017269', NULL, 'Biopolymer transport ExbB-like protein 1', 'Biopolymer_transpt_ExbB-like_1', 4, NULL),
(16319, NULL, 'IPR023416', NULL, 'Transthyretin/hydroxyisourate hydrolase domain', 'Transthyretin/HIU_hydrolase_d', 3, NULL),
(16320, NULL, 'IPR022420', NULL, 'Circadian clock protein, KaiC, archaea', 'Circ_KaiC_arc', 4, NULL),
(16321, NULL, 'IPR022362', NULL, 'Neurogenic locus Notch 1', 'Notch_1', 4, NULL),
(16322, NULL, 'IPR022380', NULL, 'Glutamyl-Q tRNA(Asp) synthetase', 'Glu-Q_TRNA(Asp)_Synthase', 4, NULL),
(16323, NULL, 'IPR022399', NULL, 'Helicase/secretion neighbourhood ATPase', 'HlxAse/secretion_ATPase', 4, NULL),
(16324, NULL, 'IPR023394', NULL, 'Sec7, C-terminal domain superfamily', 'Sec7_C_sf', 5, NULL),
(16325, NULL, 'IPR017572', NULL, 'Cytochrome b558/566, subunit A', 'Cyt_b558/566_suA', 4, NULL),
(16326, NULL, 'IPR017575', NULL, 'CRISPR-associated helicase, CYANO-type', 'CRISPR-assoc_helicase_CYANO', 4, NULL),
(16327, NULL, 'IPR023473', NULL, 'AMMECR1', 'AMMECR1', 4, NULL),
(16328, NULL, 'IPR017613', NULL, '6-oxocyclohex-1-ene-1-carbonyl-CoA hydrolase', 'Dearomat_hydrolase', 4, NULL),
(16329, NULL, 'IPR020089', NULL, 'Pleiotrophin/Midkine, N-terminal domain', 'PTN/MK_N_dom', 3, NULL),
(16330, NULL, 'IPR016541', NULL, 'Uncharacterised conserved protein UCP008505', 'UCP008505', 4, NULL),
(16331, NULL, 'IPR016872', NULL, 'Uncharacterised conserved protein UCP028160', 'UCP028160', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16332, NULL, 'IPR023428', NULL, 'Photosystem II PsbX, type 2 subfamily', 'PSII_PsbX_type_2_subfam', 4, NULL),
(16333, NULL, 'IPR018631', NULL, 'AAA-ATPase-like domain', 'AAA-ATPase-like_dom', 3, NULL),
(16334, NULL, 'IPR018608', NULL, 'Gti1/Pac2 family', 'Gti1/Pac2', 4, NULL),
(16335, NULL, 'IPR020091', NULL, 'Pleiotrophin/Midkine disulphide-rich domain superfamily', 'PTN/MK_diS_sf', 5, NULL),
(16336, NULL, 'IPR016860', NULL, 'Cerberus', 'Cerberus', 4, NULL),
(16337, NULL, 'IPR017573', NULL, 'Cytochrome b558/566, subunit B', 'Cyt_b558/566_suB', 4, NULL),
(16338, NULL, 'IPR020081', NULL, 'SsrA-binding protein, conserved site', 'SsrA-bd_prot_CS', 2, NULL),
(16339, NULL, 'IPR023392', NULL, 'Mitochondrial outer membrane translocase complex, Tom20 domain superfamily', 'Tom20_dom_sf', 5, NULL),
(16340, NULL, 'IPR019035', NULL, 'Mediator complex, subunit Med12', 'Mediator_Med12', 3, NULL),
(16341, NULL, 'IPR017600', NULL, 'Alpha-ketoglutarate dehydrogenase', 'Alpha-ketoglut_DH', 4, NULL),
(16342, NULL, 'IPR022397', NULL, 'Tyrosine decarboxylase, bacteria', 'Tyrosine_deCO2ase_bac', 4, NULL),
(16343, NULL, 'IPR022469', NULL, '6-pyruvoyl tetrahydropterin synthase, histidine active site', 'PTPS_His_AS', 0, NULL),
(16344, NULL, 'IPR023425', NULL, 'Galactose-1-phosphate uridyl transferase, class II, conserved site', 'GalP_uridyl_Trfase_II_CS', 2, NULL),
(16345, NULL, 'IPR023472', NULL, 'Uncharacterised protein family MJ0810', 'Uncharacterised_MJ0810', 4, NULL),
(16346, NULL, 'IPR017282', NULL, 'Histone deposition protein Asf1', 'Hist_deposition_Asf1', 4, NULL),
(16347, NULL, 'IPR019036', NULL, 'Restriction endonuclease, type II, ApaLI', 'Restrct_endonuc_II_ApaLI', 4, NULL),
(16348, NULL, 'IPR019026', NULL, 'Peptidase M64, IgA', 'Peptidase_M64_IgA', 4, NULL),
(16349, NULL, 'IPR022472', NULL, 'VPLPA-CTERM protein sorting domain', 'VPLPA-CTERM', 3, NULL),
(16350, NULL, 'IPR024008', NULL, 'Conserved hypothetical protein CHP04090', 'CHP04090', 4, NULL),
(16351, NULL, 'IPR018615', NULL, 'Ribosomal protein L55, mitochondrial', 'Ribosomal_L55_mit', 4, NULL),
(16352, NULL, 'IPR017586', NULL, 'Rieske iron-sulphur protein SoxL2', 'Rieske_Fe-S_SoxL2', 4, NULL),
(16353, NULL, 'IPR016518', NULL, 'Alpha-L-fucosidase', 'Alpha-L-fucosidase', 4, NULL),
(16354, NULL, 'IPR016494', NULL, '5''-3'' exoribonuclease 1', '5_3_exoribonuclease_1', 4, NULL),
(16355, NULL, 'IPR022342', NULL, 'Tumour necrosis factor receptor 19', 'TNFR_19', 4, NULL),
(16356, NULL, 'IPR034905', NULL, 'Sorting nexin-25', 'SNX25', 4, NULL),
(16357, NULL, 'IPR019027', NULL, 'Pilus biogenesis CpaD-related', 'Pilus_biogenesis_CpaD-related', 4, NULL),
(16358, NULL, 'IPR023432', NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit beta, archaeal', 'CO_DH/Ac-CoA_synth_bsu_arc', 4, NULL),
(16359, NULL, 'IPR020963', NULL, 'Arabinofuranosyltransferase AftA, N-terminal', 'ArabinofuranosylTrfase_AftA_N', 3, NULL),
(16360, NULL, 'IPR023390', NULL, 'Bacteriophage M13, G8P, capsid domain superfamily', 'Phage_M13_G8P_capsid_dom_sf', 5, NULL),
(16361, NULL, 'IPR016832', NULL, 'Uncharacterised conserved protein UCP025926, globin-related', 'UCP025926_globin-rel', 4, NULL),
(16362, NULL, 'IPR022343', NULL, 'GCR1-cAMP receptor', 'GCR1-cAMP_receptor', 4, NULL),
(16363, NULL, 'IPR022394', NULL, 'Methylamine utilisation protein, MauG', 'Methylamine_utilis_MauG', 4, NULL),
(16364, NULL, 'IPR016870', NULL, 'Uncharacterised conserved protein UCP028137, membrane', 'UCP028137', 4, NULL),
(16365, NULL, 'IPR022430', NULL, 'Conserved hypothetical protein CHP03684', 'CHP03684', 4, NULL),
(16366, NULL, 'IPR019021', NULL, 'E3 ubiquitin-protein ligase substrate receptor Mms22', 'Mms22', 4, NULL),
(16367, NULL, 'IPR016540', NULL, 'Uncharacterised conserved protein UCP008459', 'UCP008459', 4, NULL),
(16368, NULL, 'IPR018629', NULL, 'XK-related protein', 'XK-rel', 4, NULL),
(16369, NULL, 'IPR022387', NULL, 'Carbohydrate ABC transporter substrate-binding, CPR0540', 'Bind_CPR0540', 4, NULL),
(16370, NULL, 'IPR018610', NULL, 'UV-stimulated scaffold protein A', 'UVSSA', 4, NULL),
(16371, NULL, 'IPR022413', NULL, 'ATP:guanido phosphotransferase, N-terminal', 'ATP-guanido_PTrfase_N', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16372, NULL, 'IPR020094', NULL, 'Pseudouridine synthase TruA/RsuA/RluB/E/F, N-terminal', 'TruA/RsuA/RluB/E/F_N', 5, NULL),
(16373, NULL, 'IPR017621', NULL, 'Cyclohexanecarboxylate-CoA ligase', 'Cyclohxane-COOH-CoA_Ligase', 4, NULL),
(16374, NULL, 'IPR018993', NULL, 'FGFR1 oncogene partner (FOP), N-terminal dimerisation domain', 'FOP_dimerisation-dom_N', 3, NULL),
(16375, NULL, 'IPR016501', NULL, 'Uncharacterised conserved protein UCP007004', 'UCP007004', 4, NULL),
(16376, NULL, 'IPR016869', NULL, 'Uncharacterised conserved protein UCP028135, HipA-like', 'UCP028135_HipA-like', 4, NULL),
(16377, NULL, 'IPR023451', NULL, 'Thymidylate synthase/dCMP hydroxymethylase domain', 'Thymidate_synth/dCMP_Mease_dom', 3, NULL),
(16378, NULL, 'IPR017611', NULL, 'Xanthine dehydrogenase E subunit', 'Xanthine_dehydrogenase_esu', 4, NULL),
(16379, NULL, 'IPR022414', NULL, 'ATP:guanido phosphotransferase, catalytic domain', 'ATP-guanido_PTrfase_cat', 3, NULL),
(16380, NULL, 'IPR016843', NULL, 'S-adenosyl-L-methionine dependent adenine methyltransferase, bacteria, predicted', 'S-AdoMet-dep_Ade-MeTrfase_prd', 4, NULL),
(16381, NULL, 'IPR016855', NULL, 'Endoplasmic reticulum resident protein 29', 'ERp29', 4, NULL),
(16382, NULL, 'IPR017616', NULL, 'Pimeloyl-CoA dehydrogenase, small subunit', 'Pimeloyl_CoA_dehydrogenase_ssu', 4, NULL),
(16383, NULL, 'IPR016877', NULL, 'Uncharacterised conserved protein UCP028235', 'UCP028235', 4, NULL),
(16384, NULL, 'IPR016880', NULL, 'ABC-type oligopeptide transport system, solute-binding component, Mycoplasmataceae, predicted', 'ABC_oligopep_solut-bd_myco_prd', 4, NULL),
(16385, NULL, 'IPR018996', NULL, 'Man1/Src1, C-terminal', 'MSC', 3, NULL),
(16386, NULL, 'IPR020058', NULL, 'Glutamyl/glutaminyl-tRNA synthetase, class Ib, catalytic domain', 'Glu/Gln-tRNA-synth_Ib_cat-dom', 3, NULL),
(16387, NULL, 'IPR023379', NULL, 'BART domain', 'BART_dom', 3, NULL),
(16388, NULL, 'IPR024015', NULL, 'Pyridoxamine 5''-phosphate oxidase, probable FMN-dependent, Alr4036 family', 'Pyridox_Oxase_FMN-dep_Alr4036', 4, NULL),
(16389, NULL, 'IPR019019', NULL, 'H-type lectin domain', 'H-type_lectin_domain', 3, NULL),
(16390, NULL, 'IPR019028', NULL, 'Carbohydrate binding domain CBM49', 'CBM_49', 3, NULL),
(16391, NULL, 'IPR023446', NULL, 'Carnitine operon protein CaiE', 'CaiE', 4, NULL),
(16392, NULL, 'IPR016831', NULL, 'Uncharacterised conserved protein UCP025725, kinase-related', 'UCP025725_kinase-rel', 4, NULL),
(16393, NULL, 'IPR016507', NULL, 'Uncharacterised conserved protein UCP007061', 'UCP007061', 4, NULL),
(16394, NULL, 'IPR019025', NULL, 'Cordon-bleu, ubiquitin-like domain', 'Cordon-bleu_ubiquitin_domain', 3, NULL),
(16395, NULL, 'IPR016859', NULL, 'Uncharacterised conserved protein UCP207779', 'UCP207779', 4, NULL),
(16396, NULL, 'IPR023419', NULL, 'Transthyretin, conserved site', 'Transthyretin_CS', 2, NULL),
(16397, NULL, 'IPR023395', NULL, 'Mitochondrial carrier domain superfamily', 'Mt_carrier_dom_sf', 5, NULL),
(16398, NULL, 'IPR016864', NULL, 'Uncharacterised conserved protein UCP028035', 'UCP028035', 4, NULL),
(16399, NULL, 'IPR016499', NULL, 'Nucleic acid binding protein, Rv2694c, predicted', 'NucleicA-bd_Rv2694c_prd', 4, NULL),
(16400, NULL, 'IPR019003', NULL, 'APC membrane recruitment protein', 'AMER', 4, NULL),
(16401, NULL, 'IPR023430', NULL, 'Peptidase HybD-like domain superfamily', 'Pept_HybD-like_dom_sf', 5, NULL),
(16402, NULL, 'IPR020095', NULL, 'Pseudouridine synthase I, TruA, C-terminal', 'PsdUridine_synth_TruA_C', 5, NULL),
(16403, NULL, 'IPR016539', NULL, 'Uncharacterised conserved protein UCP008315', 'UCP008315', 4, NULL),
(16404, NULL, 'IPR023405', NULL, 'DNA topoisomerase, type IA, core domain', 'Topo_IA_core_domain', 5, NULL),
(16405, NULL, 'IPR016531', NULL, 'RNA polymerase I-specific transcription initiation factor Rrn6', 'Rrn6', 4, NULL),
(16406, NULL, 'IPR022443', NULL, 'KaiC-related', 'KaiC-rel', 4, NULL),
(16407, NULL, 'IPR022462', NULL, 'Lysine-2,3-aminomutase-like', 'EpmB', 4, NULL),
(16408, NULL, 'IPR017270', NULL, 'Putative MotA/TolQ/ExbB family protein', 'MotA/TolQ/ExbB-rel', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16409, NULL, 'IPR022422', NULL, 'Protein import receptor MAS20, metazoan', 'MAS20_rcpt_metazoan', 4, NULL),
(16410, NULL, 'IPR022431', NULL, 'Cyclic dehypoxanthine futalosine synthase', 'Cyclic_DHFL_synthase_mqnC', 4, NULL),
(16411, NULL, 'IPR023435', NULL, 'D-tagatose-bisphosphate aldolase, class II, non-catalytic subunit KbaZ', 'TagBP_ald_KbaZ', 4, NULL),
(16412, NULL, 'IPR017593', NULL, 'Allantoinase', 'Allantoinase', 4, NULL),
(16413, NULL, 'IPR023474', NULL, 'Exosome complex component Rrp4', 'Rrp4', 4, NULL),
(16414, NULL, 'IPR022416', NULL, 'Prion/Doppel protein, beta-ribbon domain', 'Prion/Doppel_prot_b-ribbon_dom', 3, NULL),
(16415, NULL, 'IPR019007', NULL, 'WW domain binding protein 11', 'WW_dom-bd_prot_11', 4, NULL),
(16416, NULL, 'IPR018627', NULL, 'Elongator complex protein 6', 'ELP6', 4, NULL),
(16417, NULL, 'IPR020056', NULL, 'Ribosomal protein L25/Gln-tRNA synthetase, N-terminal', 'Rbsml_L25/Gln-tRNA_synth_N', 5, NULL),
(16418, NULL, 'IPR018616', NULL, 'Protein GUCD1', 'GUCD1', 4, NULL),
(16419, NULL, 'IPR019034', NULL, 'Uncharacterised protein family UPF0390', 'UPF0390', 4, NULL),
(16420, NULL, 'IPR023460', NULL, 'Ribosomal protein L7Ae, putative', 'Ribosomal_L7Ae_putative', 4, NULL),
(16421, NULL, 'IPR016844', NULL, 'Uncharacterised conserved protein UCP026610', 'UCP026610', 4, NULL),
(16422, NULL, 'IPR019038', NULL, 'DNA polymerase delta subunit 3', 'POLD3', 4, NULL),
(16423, NULL, 'IPR022361', NULL, 'Tumour necrosis factor receptor 11A', 'TNFR_11A', 4, NULL),
(16424, NULL, 'IPR016535', NULL, 'RFamide neuropeptide, ACEP-1', 'RFamide_neuropeptide_ACEP-1', 4, NULL),
(16425, NULL, 'IPR017264', NULL, 'Ribosomal protein MRP10, mitochondrial', 'Ribosomal_MRP10_mt', 4, NULL),
(16426, NULL, 'IPR022477', NULL, 'Sporulation protein YqfC', 'Spore_YqfC', 4, NULL),
(16427, NULL, 'IPR022818', NULL, 'Photosystem I Ycf3, assembly', 'PSI_Ycf3_assembly', 4, NULL),
(16428, NULL, 'IPR023398', NULL, 'Translation Initiation factor eIF- 4e-like', 'TIF_eIF4e-like', 5, NULL),
(16429, NULL, 'IPR022468', NULL, 'Phosphonatase-like hydrolase', 'PhnX-like', 4, NULL),
(16430, NULL, 'IPR023427', NULL, 'Acetyl-CoA decarbonylase/synthase complex, gamma subunit, archaea', 'AcylCoA_decarb/synth_gsu_arc', 4, NULL),
(16431, NULL, 'IPR019011', NULL, 'Cryptic/Cripto, CFC domain', 'Cryptic/Cripto_CFC-dom', 3, NULL),
(16432, NULL, 'IPR022432', NULL, 'Aminodeoxyfutalosine synthase', 'MqnE', 4, NULL),
(16433, NULL, 'IPR022386', NULL, 'Carbohydrate ABC transporter, N-acetylglucosamine/diacetylchitobiose-binding protein', 'Chitin_NgcE', 4, NULL),
(16434, NULL, 'IPR023439', NULL, 'Malonate decarboxylase/citrate lyase acyl carrier protein', 'Mal_deCO2ase/Cit_lyase_ACP', 4, NULL),
(16435, NULL, 'IPR022410', NULL, 'ABC transporter, permease F420-0', 'ABC_transptr_permease_F420-0', 4, NULL),
(16436, NULL, 'IPR016512', NULL, 'Uncharacterised protein family, inner membrane YidI', 'Uncharacterised_IM_YidI', 4, NULL),
(16437, NULL, 'IPR023457', NULL, 'Methionine-tRNA synthetase, type 2', 'Met-tRNA_synth_2', 4, NULL),
(16438, NULL, 'IPR024896', NULL, 'Propionate kinase PduW', 'Propionate_kinase_PduW', 4, NULL),
(16439, NULL, 'IPR023477', NULL, 'Adenylate kinase AdkA', 'Adenylate_kinase_AdkA', 4, NULL),
(16440, NULL, 'IPR023456', NULL, 'Crotonobetaine/carnitine-CoA ligase CaiC', 'CaiC', 4, NULL),
(16441, NULL, 'IPR017261', NULL, 'DNA mismatch repair protein MutS/MSH', 'DNA_mismatch_repair_MutS/MSH', 4, NULL),
(16442, NULL, 'IPR017592', NULL, 'Pilus assembly, Flp-type CpaB', 'Pilus_assmbl_Flp-typ_CpaB', 4, NULL),
(16443, NULL, 'IPR016527', NULL, 'Origin recognition complex subunit 4', 'ORC4', 4, NULL),
(16444, NULL, 'IPR016874', NULL, 'Methyltransferase TcmP-like', 'TcmP-like', 4, NULL),
(16445, NULL, 'IPR023404', NULL, 'Radical SAM, alpha/beta horseshoe', 'rSAM_horseshoe', 5, NULL),
(16446, NULL, 'IPR016520', NULL, 'Uncharacterised conserved protein UCP007778', 'UCP007778', 4, NULL),
(16447, NULL, 'IPR020986', NULL, 'Chemotaxis inhibitory protein', 'CHIPS', 4, NULL),
(16448, NULL, 'IPR022411', NULL, 'C-type cytochrome, methanol metabolism-related', 'C-typ_cyt_methanol_metab-rel', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16449, NULL, 'IPR016496', NULL, 'GTPase HflX', 'GTPase_HflX', 4, NULL),
(16450, NULL, 'IPR022440', NULL, 'Conserved hypothetical protein CHP03788', 'CHP03788', 4, NULL),
(16451, NULL, 'IPR034250', NULL, 'Ssp2, RNA recognition motif', 'Ssp2_RRM', 3, NULL),
(16452, NULL, 'IPR016879', NULL, 'Uncharacterised conserved protein UCP028299', 'UCP028299', 4, NULL),
(16453, NULL, 'IPR020092', NULL, 'Pleiotrophin/Midkine heparin-binding growth factor, conserved site', 'PTN_MK_heparin-bd_GF_CS', 2, NULL),
(16454, NULL, 'IPR016493', NULL, 'Spore coat protein CotF', 'Spore_coat_CotF', 4, NULL),
(16455, NULL, 'IPR023450', NULL, 'Crotonobetainyl-CoA reductase CaiA', 'CaiA', 4, NULL),
(16456, NULL, 'IPR017612', NULL, 'Xanthine dehydrogenase C subunit', 'Xanthine_dehydrogenase_csu', 4, NULL),
(16457, NULL, 'IPR022461', NULL, 'Arginine/ornithine antiporter', 'Arg/Orn_antiprt', 4, NULL),
(16458, NULL, 'IPR024928', NULL, 'E3 ubiquitin-protein ligase, SMURF1 type', 'E3_ub_ligase_SMURF1', 4, NULL),
(16459, NULL, 'IPR034812', NULL, 'Psi-factor producing oxygenase, N-terminal heme peroxidase domain', 'Ppo_N', 3, NULL),
(16460, NULL, 'IPR017275', NULL, 'Transcription factor FapR', 'Transcription_factor_FapR', 4, NULL),
(16461, NULL, 'IPR016868', NULL, 'Bacteriophage B3, Orf5', 'Phage_B3_Orf5', 4, NULL),
(16462, NULL, 'IPR016521', NULL, 'RNA-processing, Lsm12', 'RNA-processing_Lsm12', 4, NULL),
(16463, NULL, 'IPR035241', NULL, 'Protein of unknown function DUF5442', 'DUF5442', 4, NULL),
(16464, NULL, 'IPR019039', NULL, 'T4 RNA ligase 1, N-terminal', 'RNA_ligase_T4-Rnl1_N', 3, NULL),
(16465, NULL, 'IPR023380', NULL, 'DsbB-like superfamily', 'DsbB-like_sf', 5, NULL),
(16466, NULL, 'IPR017607', NULL, '4-hydroxybenzoyl-CoA reductase, alpha subunit', '4hydrxbenzoyl-CoA_Rdtase_asu', 4, NULL),
(16467, NULL, 'IPR018625', NULL, 'Protein Pet100', 'Pet100', 4, NULL),
(16468, NULL, 'IPR021025', NULL, 'Fanconi Anaemia group E protein, C-terminal', 'Fanconi_anaemia_gr_E_prot_C', 3, NULL),
(16469, NULL, 'IPR017583', NULL, 'Tagatose/fructose phosphokinase', 'Tagatose/fructose_Pkinase', 4, NULL),
(16470, NULL, 'IPR020079', NULL, 'Peptidase A26, omptin, conserved site', 'Peptidase_A26_CS', 2, NULL),
(16471, NULL, 'IPR023476', NULL, 'Peptidyl-tRNA hydrolase II domain superfamily', 'Pep_tRNA_hydro_II_dom_sf', 5, NULL),
(16472, NULL, 'IPR017610', NULL, 'tRNA U-34 5-methylaminomethyl-2-thiouridine biosynthesis protein MnmC, C-terminal', 'tRNA_S-uridine_synth_MnmC_C', 3, NULL),
(16473, NULL, 'IPR024927', NULL, 'Purple acid phosphatase', 'Acid_PPase', 4, NULL),
(16474, NULL, 'IPR017585', NULL, 'Flagella basal body P-ring formation protein FlgA, C-terminal', 'Flag_basal_body_FlgA_C', 3, NULL),
(16475, NULL, 'IPR018621', NULL, 'Autophagy-related protein 31', 'Atg31', 4, NULL),
(16476, NULL, 'IPR022396', NULL, 'ParB-related, ThiF-related cassette, ParB', 'PRTRC_ParB', 4, NULL),
(16477, NULL, 'IPR023421', NULL, 'Axin interactor, dorsalization-associated protein, N-terminal', 'AIDA_N', 3, NULL),
(16478, NULL, 'IPR034346', NULL, 'Gtt2-like, C-terminal', 'Gtt2-like_C', 3, NULL),
(16479, NULL, 'IPR022357', NULL, 'Major intrinsic protein, conserved site', 'MIP_CS', 2, NULL),
(16480, NULL, 'IPR016852', NULL, 'SET domain methyltransferase', 'SET_MeTrfase', 4, NULL),
(16481, NULL, 'IPR023449', NULL, 'L-carnitine/gamma-butyrobetaine antiporter CaiT', 'BCCT_transptr_CaiT', 4, NULL),
(16482, NULL, 'IPR016495', NULL, 'p53 negative regulator Mdm2/Mdm4', 'p53_neg-reg_MDM_2/4', 4, NULL),
(16483, NULL, 'IPR022428', NULL, 'Diphthamide synthesis Dph2, archaea', 'Dph2_arc', 4, NULL),
(16484, NULL, 'IPR023418', NULL, 'Transthyretin, thyroxine binding site', 'Thyroxine_BS', 1, NULL),
(16485, NULL, 'IPR017598', NULL, 'Sulphur transferase DndC, putative', 'SulphurTrfase_DndC_put', 4, NULL),
(16486, NULL, 'IPR035478', NULL, 'SH3PXD2B, SH3 domain 2', 'SH3PXD2B_SH3_2', 3, NULL),
(16487, NULL, 'IPR017603', NULL, 'Benzoyl-CoA reductase, bzd-type, N subunit', 'Benzoyl-CoA_Rdtase_bzd_nsu', 4, NULL),
(16488, NULL, 'IPR018618', NULL, 'Vacuolar import/degradation protein Vid24', 'Vacuolar_import/degrad_Vid24', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16489, NULL, 'IPR022460', NULL, 'Conserved hyptotheical flavoprotein, PP4765', 'Flavoprotein_PP4765', 4, NULL),
(16490, NULL, 'IPR016861', NULL, 'Mitochondrial transcription factor TFB2', 'TFB2M', 4, NULL),
(16491, NULL, 'IPR022475', NULL, 'Uncharacterised protein family UPF0273, KaiC-like', 'UPF0273_KaiC-like', 4, NULL),
(16492, NULL, 'IPR035402', NULL, 'Domain of unknown function DUF1611-N, Rossmann-like domain', 'DUF1611-N', 3, NULL),
(16493, NULL, 'IPR016538', NULL, 'Uncharacterised conserved protein UCP008292', 'UCP008292', 4, NULL),
(16494, NULL, 'IPR018636', NULL, 'Protein of unknown function DUF2058', 'DUF2058', 4, NULL),
(16495, NULL, 'IPR018997', NULL, 'PUB domain', 'PUB_domain', 3, NULL),
(16496, NULL, 'IPR016504', NULL, 'Outer membrane protein YaiO', 'YaiO', 4, NULL),
(16497, NULL, 'IPR017602', NULL, 'Cyclohexa-1,5-dienecarbonyl-CoA hydratase', 'Dienoyl_CoA_hydratase', 4, NULL),
(16498, NULL, 'IPR017617', NULL, 'Pimeloyl-CoA dehydrogenase, large subunit', 'Pimeloyl_CoA_dehydrogenase_lsu', 4, NULL),
(16499, NULL, 'IPR021027', NULL, 'Transposase, putative, helix-turn-helix domain', 'Transposase_put_HTH', 3, NULL),
(16500, NULL, 'IPR023412', NULL, 'Ribonuclease A-domain', 'RNaseA_domain', 3, NULL),
(16501, NULL, 'IPR018027', NULL, 'Asn/Gln amidotransferase', 'Asn/Gln_amidotransferase', 3, NULL),
(16502, NULL, 'IPR018646', NULL, 'Membrane protein of 12 TMs', '12TM_1', 4, NULL),
(16503, NULL, 'IPR018347', NULL, 'Putative carbonic anhydrase-like protein 2', 'CAH2', 4, NULL),
(16504, NULL, 'IPR017291', NULL, 'Sulfofructosephosphate aldolase, YihT', 'SFP_aldolase_YihT', 4, NULL),
(16505, NULL, 'IPR022621', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), Orf72', 'AcMNPV_Orf72', 4, NULL),
(16506, NULL, 'IPR019421', NULL, '7TM GPCR, serpentine receptor class d (Srd)', '7TM_GPCR_serpentine_rcpt_Srd', 4, NULL),
(16507, NULL, 'IPR021196', NULL, 'PdxT/SNO family, conserved site', 'PdxT/SNO_CS', 2, NULL),
(16508, NULL, 'IPR022487', NULL, 'L-aspartate dehydrogenase, archaeal', 'Asp_DH_arc', 4, NULL),
(16509, NULL, 'IPR022549', NULL, 'Domain of unknown function DUF3627', 'DUF3627', 3, NULL),
(16510, NULL, 'IPR018642', NULL, 'Protein of unknown function DUF2066', 'DUF2066', 4, NULL),
(16511, NULL, 'IPR018663', NULL, 'Protein of unknown function DUF2101, membrane', 'DUF2101_membrane', 4, NULL),
(16512, NULL, 'IPR022614', NULL, 'Herpesvirus UL96 family', 'Herpesvirus_UL96', 4, NULL),
(16513, NULL, 'IPR023489', NULL, 'Haloalkane dehalogenase, subfamily 1', 'Haloalkane_dehalogenase_1', 4, NULL),
(16514, NULL, 'IPR035480', NULL, 'SH3PXD2B, SH3 domain 4', 'SH3PXD2B_SH3_4', 3, NULL),
(16515, NULL, 'IPR023660', NULL, 'Protein arginine kinase', 'Arg_Kinase', 4, NULL),
(16516, NULL, 'IPR022617', NULL, 'Rad60/SUMO-like domain', 'Rad60/SUMO-like_dom', 3, NULL),
(16517, NULL, 'IPR017294', NULL, 'Peptidase S8A, subtilisin-related protease, kinetoplastidia', 'Subtilisin-like_kinetoplast', 4, NULL),
(16518, NULL, 'IPR022534', NULL, 'Protein of unknown function DUF2563', 'DUF2563', 4, NULL),
(16519, NULL, 'IPR017643', NULL, 'Hydroxypyruvate isomerase', 'Hydroxypyruvate_isomerase', 4, NULL),
(16520, NULL, 'IPR017287', NULL, 'Retinal rod rhodopsin-sensitive cGMP 3'', 5''-cyclic phosphodiesterase, delta subunit', 'Rhodop-sen_GMP-Pdiesterase_dsu', 4, NULL),
(16521, NULL, 'IPR021206', NULL, 'MprA protease C-terminal rhombosortase-interaction domain', 'MprA_tail', 3, NULL),
(16522, NULL, 'IPR022572', NULL, 'DNA replication/recombination mediator RecO, N-terminal', 'DNA_rep/recomb_RecO_N', 3, NULL),
(16523, NULL, 'IPR023158', NULL, 'YerB-like superfamily', 'YerB-like_sf', 5, NULL),
(16524, NULL, 'IPR018645', NULL, 'Zn-ribbon containing protein', 'DUF2072', 4, NULL),
(16525, NULL, 'IPR023561', NULL, 'Carbonic anhydrase, alpha-class', 'Carbonic_anhydrase_a-class', 4, NULL),
(16526, NULL, 'IPR023780', NULL, 'Chromo domain', 'Chromo_domain', 3, NULL),
(16527, NULL, 'IPR035493', NULL, 'FNBP1L, SH3 domain', 'FNBP1L_SH3', 3, NULL),
(16528, NULL, 'IPR017645', NULL, 'DNA phosphorothioation-dependent restriction protein DptG', 'Dnd_assoc_1', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16529, NULL, 'IPR022583', NULL, 'Microcystin synthetase, domain of unknown function', 'Microcystin_synth_DUF', 3, NULL),
(16530, NULL, 'IPR022516', NULL, 'Nif11-like leader peptide', 'CHP03798_Ocin', 3, NULL),
(16531, NULL, 'IPR018294', NULL, '4-diphosphocytidyl-2C-methyl-D-erythritol synthase, conserved site', 'ISPD_synthase_CS', 2, NULL),
(16532, NULL, 'IPR017317', NULL, 'Peptidase S8A, subtilisin-related, bacteroidetes-2', 'Pept_S8_subtilisin_bacteroid-2', 4, NULL),
(16533, NULL, 'IPR018178', NULL, 'Putative SWEET transporter, Insecta', 'SWEET_insect', 4, NULL),
(16534, NULL, 'IPR023484', NULL, 'Transcription initiation factor TFIIB, archaea', 'TFIIB_arc', 4, NULL),
(16535, NULL, 'IPR023504', NULL, 'Bacteriohemerythrin-like protein', 'Bacteriohemerythrin-like', 4, NULL),
(16536, NULL, 'IPR035495', NULL, 'Caskin-1, SH3 domain', 'Caskin1_SH3', 3, NULL),
(16537, NULL, 'IPR019403', NULL, 'Mediator complex, subunit Med19, metazoa', 'Mediator_Med19_met', 4, NULL),
(16538, NULL, 'IPR017316', NULL, 'Peptidase S8A, subtilisin-related, cyanobacteria-2', 'Pept_S8A_subtilisin_cyanobac-2', 4, NULL),
(16539, NULL, 'IPR019070', NULL, 'Type II restriction endonuclease SinI', 'Restrct_endonuc_II_SinI', 4, NULL),
(16540, NULL, 'IPR023492', NULL, 'L-ribulose-5-phosphate 3-epimerase, Enterobacteriaceae', 'L-Ru-5P_3-Epase_Enterobacteria', 4, NULL),
(16541, NULL, 'IPR023658', NULL, '15,16-dihydrobiliverdin:ferredoxin oxidoreductase', 'DiHydbiliverdin_OxRdtase', 4, NULL),
(16542, NULL, 'IPR022965', NULL, 'ATP-dependent DNA helicase Hel308', 'Helicase_Hel308', 4, NULL),
(16543, NULL, 'IPR019049', NULL, 'Nucleoporin protein Ndc1-Nup', 'Nucleoporin_prot_Ndc1/Nup', 4, NULL),
(16544, NULL, 'IPR022540', NULL, 'Protein of unknown function DUF2556', 'DUF2556', 4, NULL),
(16545, NULL, 'IPR022552', NULL, 'Uncharacterised protein family Ycf55', 'UPF_Ycf55', 4, NULL),
(16546, NULL, 'IPR023508', NULL, 'Acetyl esterase', 'Acetyl_esterase', 4, NULL),
(16547, NULL, 'IPR023614', NULL, 'Porin domain superfamily', 'Porin_dom_sf', 5, NULL),
(16548, NULL, 'IPR022618', NULL, 'Defensin-like protein 20-27', 'Defensin-like_20-27', 4, NULL),
(16549, NULL, 'IPR020149', NULL, 'Uncharacterised protein family C02F5.10', 'Uncharacterised_C02F5.10', 4, NULL),
(16550, NULL, 'IPR022570', NULL, 'Betacoronavirus, lineage A, NSP1', 'B-CoV_A_NSP1', 4, NULL),
(16551, NULL, 'IPR018022', NULL, 'IPP transferase', 'IPT', 4, NULL),
(16552, NULL, 'IPR018639', NULL, 'Domain of unknown function DUF2062', 'DUF2062', 3, NULL),
(16553, NULL, 'IPR020150', NULL, 'Type IV conjugative transfer system protein TrbE', 'T4SS_TrbE', 4, NULL),
(16554, NULL, 'IPR018640', NULL, 'Putative DNA-binding domain, bacteria', 'DUF2063', 3, NULL),
(16555, NULL, 'IPR022600', NULL, 'Frog virus 3, Orf82R', 'Frog_virus-3_Orf82R', 4, NULL),
(16556, NULL, 'IPR021199', NULL, 'Cytadherence high molecular weight protein 1 N-terminal', 'Cytadherence_HMW-1_N', 3, NULL),
(16557, NULL, 'IPR021078', NULL, 'Membrane-integrating protein Mistic', 'Membrane-integrating_Mistic', 4, NULL),
(16558, NULL, 'IPR017306', NULL, 'Peptidase S8A, fervidolysin-like', 'Peptidase_S8A_fervidolysi-like', 4, NULL),
(16559, NULL, 'IPR019404', NULL, 'Mediator complex, subunit Med11', 'Mediator_Med11', 4, NULL),
(16560, NULL, 'IPR018644', NULL, 'Protein of unknown function DUF2071', 'DUF2071', 4, NULL),
(16561, NULL, 'IPR017635', NULL, 'Benzoyl-CoA oxygenase, B subunit', 'Benzoyl_CoA_Oase_BoxB_bsu', 4, NULL),
(16562, NULL, 'IPR023603', NULL, 'Threonine aldolase', 'Threonine_aldolase', 4, NULL),
(16563, NULL, 'IPR021080', NULL, 'Minor capsid protein', 'Minor_capsid_protein', 4, NULL),
(16564, NULL, 'IPR019420', NULL, '7TM GPCR, serpentine receptor class bc (Srbc)', '7TM_GPCR_serpentine_rcpt_Srbc', 4, NULL),
(16565, NULL, 'IPR020945', NULL, 'DMSO/Nitrate reductase chaperone', 'DMSO/NO3_reduct_chaperone', 4, NULL),
(16566, NULL, 'IPR022488', NULL, 'Polyphosphate kinase-2-related', 'PPK2-related', 3, NULL),
(16567, NULL, 'IPR035491', NULL, 'ARHGAP12, SH3 domain', 'ARHGAP12_SH3', 3, NULL),
(16568, NULL, 'IPR019067', NULL, 'Restriction endonuclease, type II, MamI', 'Restrct_endonuc_II_MamI', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16569, NULL, 'IPR023601', NULL, 'Golgi SNAP receptor complex, subunit 1', 'Golgi_SNAP_su1', 4, NULL),
(16570, NULL, 'IPR023769', NULL, 'Nucleoid occlusion factor SlmA', 'NO_SlmA', 4, NULL),
(16571, NULL, 'IPR022603', NULL, 'Domain of unknown function DUF3152', 'DUF3152', 3, NULL),
(16572, NULL, 'IPR022551', NULL, 'Protein of unknown function DUF2847', 'DUF2847', 4, NULL),
(16573, NULL, 'IPR023486', NULL, 'Transcription factor TFIIB, conserved site', 'TFIIB_CS', 2, NULL),
(16574, NULL, 'IPR023096', NULL, 'Phosphoglucose isomerase, C-terminal', 'G6P_Isomerase_C', 5, NULL),
(16575, NULL, 'IPR018035', NULL, 'Flagellar assembly protein FliH/Type III secretion system HrpE', 'Flagellar_FliH/T3SS_HrpE', 3, NULL),
(16576, NULL, 'IPR017302', NULL, 'Neuronal migration protein doublecortin, chordata', 'Doublecortin_chordata', 4, NULL),
(16577, NULL, 'IPR022597', NULL, 'Endoribonuclease antitoxin GhoS', 'GhoS', 4, NULL),
(16578, NULL, 'IPR023765', NULL, 'Solute-binding protein family 5, conserved site', 'SBP_5_CS', 2, NULL),
(16579, NULL, 'IPR022639', NULL, 'Translocated intimin receptor, C-terminal', 'Transloc_intimin_rcpt_C', 3, NULL),
(16580, NULL, 'IPR018662', NULL, 'Protein of unknown function DUF2095', 'DUF2095', 4, NULL),
(16581, NULL, 'IPR017300', NULL, 'Na(+)/H(+) exchange regulatory cofactor NHERF-1/2', 'NHERF-1/NHERF-2', 4, NULL),
(16582, NULL, 'IPR018954', NULL, 'Beta-galactosidase, domain 2', 'Betagal_dom2', 3, NULL),
(16583, NULL, 'IPR018297', NULL, 'Adenylyl cyclase class-4/guanylyl cyclase, conserved site', 'A/G_cyclase_CS', 2, NULL),
(16584, NULL, 'IPR017293', NULL, 'N-acetylmuramoyl-L-alanine amidase, YrvJ, predicted', 'N-acetylmuramoyl-L-ala_amidase', 4, NULL),
(16585, NULL, 'IPR023668', NULL, 'Altronate oxidoreductase', 'Altronate_OxRdtase', 4, NULL),
(16586, NULL, 'IPR023488', NULL, 'HTH-type transcriptional regulator Hpr', 'HTH_tscrpt_reg_Hpr', 4, NULL),
(16587, NULL, 'IPR023576', NULL, 'UbiE/COQ5 methyltransferase, conserved site', 'UbiE/COQ5_MeTrFase_CS', 2, NULL),
(16588, NULL, 'IPR023520', NULL, 'UV-endonuclease UvdE, bacterial', 'UvdE_bac', 4, NULL),
(16589, NULL, 'IPR022590', NULL, 'Peroxisome proliferator-activated receptor gamma, N-terminal', 'PPARgamma_N', 3, NULL),
(16590, NULL, 'IPR018316', NULL, 'Tubulin/FtsZ, 2-layer sandwich domain', 'Tubulin/FtsZ_2-layer-sand-dom', 3, NULL),
(16591, NULL, 'IPR019045', NULL, 'Restriction endonuclease, type II, TdeIII', 'Restrct_endonuc_II_TdeIII', 4, NULL),
(16592, NULL, 'IPR022496', NULL, 'tRNA threonylcarbamoyl adenosine modification protein TsaB', 'T6A_TsaB', 4, NULL),
(16593, NULL, 'IPR022542', NULL, 'Focadhesin/RST, DUF3730', 'FOCAD/RST1_DUF3730', 3, NULL),
(16594, NULL, 'IPR019413', NULL, 'DSC E3 ubiquitin ligase complex subunit 3, ubiquitin-like domain', 'Dsc3_ub-like_dom', 3, NULL),
(16595, NULL, 'IPR019050', NULL, 'FDF domain', 'FDF_dom', 3, NULL),
(16596, NULL, 'IPR023509', NULL, 'D-aminoacyl-tRNA deacylase-like superfamily', 'DTD-like_sf', 5, NULL),
(16597, NULL, 'IPR023649', NULL, 'Deoxyribose-phosphate aldolase type II', 'DeoC_typeII', 4, NULL),
(16598, NULL, 'IPR019411', NULL, 'MMM1 domain', 'MMM1_dom', 3, NULL),
(16599, NULL, 'IPR019082', NULL, 'Neurogenic mastermind-like, N-terminal', 'Neuroggenic_mastermind-like_N', 3, NULL),
(16600, NULL, 'IPR018643', NULL, 'Protein of unknown function DUF2069, membrane', 'DUF2069_membrane', 4, NULL),
(16601, NULL, 'IPR017298', NULL, 'Transcriptional regulator Ure2', 'Ure2', 4, NULL),
(16602, NULL, 'IPR022629', NULL, 'S-adenosylmethionine synthetase, central domain', 'S-AdoMet_synt_central', 3, NULL),
(16603, NULL, 'IPR022495', NULL, 'Serine/threonine-protein kinase Bud32', 'Bud32', 4, NULL),
(16604, NULL, 'IPR023216', NULL, 'Transcription regulator SKI/SnoN', 'Tscrpt_reg_SKI_SnoN', 4, NULL),
(16605, NULL, 'IPR022507', NULL, 'Metallophosphoesterase, RPA4764', 'Metallophosphoesterase_RPA4764', 4, NULL),
(16606, NULL, 'IPR019058', NULL, 'Restriction endonuclease, type II, HaeII', 'Restrct_endonuc_II_HaeII', 4, NULL),
(16607, NULL, 'IPR023122', NULL, 'NE1680-like superfamily', 'NE1680-like_sf', 5, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16608, NULL, 'IPR023499', NULL, 'L-ribulose-5-phosphate 4-epimerase UlaF', 'UlaF', 4, NULL),
(16609, NULL, 'IPR035492', NULL, 'FNBP1, SH3 domain', 'FNBP1_SH3', 3, NULL),
(16610, NULL, 'IPR019044', NULL, 'Restriction endonuclease, type II, HindVP', 'Restrct_endonuc_II_HindVP', 4, NULL),
(16611, NULL, 'IPR019866', NULL, 'Gliding motility-associated lipoprotein GldK', 'Glid_motil-assoc_lipo_GldK', 4, NULL),
(16612, NULL, 'IPR022499', NULL, 'ParB-related, ThiF-related cassette, protein A', 'PRTRC_protein-A', 4, NULL),
(16613, NULL, 'IPR022536', NULL, 'ESX-1 secretion-associated protein EspC', 'EspC', 4, NULL),
(16614, NULL, 'IPR023779', NULL, 'Chromo domain, conserved site', 'Chromodomain_CS', 2, NULL),
(16615, NULL, 'IPR023671', NULL, 'ATPase RavA', 'ATPase_RavA', 4, NULL),
(16616, NULL, 'IPR023784', NULL, '2-oxoglutarate dehydrogenase E1 component, bacterial', '2oxoglutarate_DH_E1_bac', 4, NULL),
(16617, NULL, 'IPR022479', NULL, 'Coenzyme PQQ synthesis D, bacteria', 'PqqD_bac', 4, NULL),
(16618, NULL, 'IPR022620', NULL, 'Protein of unknown function DUF2666', 'DUF2666', 4, NULL),
(16619, NULL, 'IPR022520', NULL, 'Putative glutamate/gamma-aminobutyrate antiporter', 'Glu/GABA_antiporter_put', 4, NULL),
(16620, NULL, 'IPR035489', NULL, 'MYO15B, SH3 domain', 'MYO15B_SH3', 3, NULL),
(16621, NULL, 'IPR017315', NULL, 'Peptidase S8A, subtilisin-related, proteobacteria-2', 'Pep_S8A_subtilisin_pbac-2', 4, NULL),
(16622, NULL, 'IPR022615', NULL, 'Na(+)-translocating NADH-quinone reductase subunit A, C-terminal domain', 'NqrA_C_domain', 3, NULL),
(16623, NULL, 'IPR022497', NULL, 'ABC transporter, urea permease, UrtC', 'ABC_trnspt_urea_permease_UrtC', 4, NULL),
(16624, NULL, 'IPR022601', NULL, 'Protein of unknown function DUF3160', 'DUF3160', 4, NULL),
(16625, NULL, 'IPR023502', NULL, 'G/U mismatch-specific DNA glycosylase MUG, bacterial', 'MUG_bact', 4, NULL),
(16626, NULL, 'IPR023609', NULL, 'Transcription regulator HTH, RhaS', 'Tscrpt_reg_HTH_RhaS', 4, NULL),
(16627, NULL, 'IPR023593', NULL, '2-keto-3-deoxy-L-rhamnonate aldolase', 'KDR_aldolase', 4, NULL),
(16628, NULL, 'IPR019417', NULL, 'Domain of unknown function DUF2415', 'DUF2415', 3, NULL),
(16629, NULL, 'IPR022630', NULL, 'S-adenosylmethionine synthetase, C-terminal', 'S-AdoMet_synt_C', 3, NULL),
(16630, NULL, 'IPR022593', NULL, '2-oxoisovalerate dehydrogenase, E1 alpha subunit, N-terminal domain', 'Oxoisoval_DH_suAlpha_N_dom', 3, NULL),
(16631, NULL, 'IPR019407', NULL, 'Cytoplasmic tRNA 2-thiolation protein 2', 'CTU2', 4, NULL),
(16632, NULL, 'IPR023527', NULL, 'Adaptive-response sensory-kinase SasA', 'Kinase_SasA', 4, NULL),
(16633, NULL, 'IPR017634', NULL, 'Benzoyl-CoA oxygenase/reductase, BoxA protein', 'Benzoyl_CoA_Oase_BoxA', 4, NULL),
(16634, NULL, 'IPR017319', NULL, 'Subtilisin-like serine protease TK1689-type', 'Subtilisin_TK1689', 4, NULL),
(16635, NULL, 'IPR022544', NULL, 'Bacteriophage P22, Orf80', 'Phage_P22_Orf80', 4, NULL),
(16636, NULL, 'IPR023515', NULL, 'Quinolinate synthase A, type 3', 'Quinolinate_synth_A_type3', 4, NULL),
(16637, NULL, 'IPR022498', NULL, 'Tungstate ABC transporter, substrate-binding protein WtpA', 'ABC_trnspt_W-bd_WtpA', 4, NULL),
(16638, NULL, 'IPR019861', NULL, 'Type IX secretion system membrane protein, PorP/SprF family', 'PorP/SprF_Bacteroidetes', 4, NULL),
(16639, NULL, 'IPR022591', NULL, 'Transcription initiation factor TFIID subunit 1, domain of unknown function', 'TFIID_sub1_DUF3591', 3, NULL),
(16640, NULL, 'IPR022508', NULL, 'ABC transporter, anchored repeat-type, ATP-binding subunit', 'ABC_trspt_anch-rpt_ATP-bd', 4, NULL),
(16641, NULL, 'IPR022622', NULL, 'Domain of unknown function DUF3492', 'DUF3492', 3, NULL),
(16642, NULL, 'IPR018179', NULL, 'Bidirectional sugar transporter SWEET10-like', 'SWEET10-like', 4, NULL),
(16643, NULL, 'IPR022484', NULL, 'PEP-CTERM/exosortase system-associated acyltransferase, predicted', 'PEP-CTERM/exosrtase_acylTfrase', 4, NULL),
(16644, NULL, 'IPR023677', NULL, 'UbiD decarboxylyase, bacteria', 'UbiD_bacteria', 4, NULL),
(16645, NULL, 'IPR023501', NULL, 'Proteasome-activating nucleotidase PAN', 'Nucleotidase_PAN', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16646, NULL, 'IPR019423', NULL, '7TM GPCR, serpentine receptor class j (Srj)', '7TM_GPCR_serpentine_rcpt_Srj', 4, NULL),
(16647, NULL, 'IPR035994', NULL, 'Nucleoside phosphorylase superfamily', 'Nucleoside_phosphorylase_sf', 5, NULL),
(16648, NULL, 'IPR019864', NULL, 'Gliding motility-associated ABC transporter ATP-binding subunit GldA', 'Motility-assoc_ABC_GldA', 4, NULL),
(16649, NULL, 'IPR022500', NULL, 'ParB-related, ThiF-related cassette, ThiF', 'PRTRC_ThiF', 4, NULL),
(16650, NULL, 'IPR023657', NULL, 'Ribosomal protein L40e, archaeal', 'Ribosomal_L40e_arc', 4, NULL),
(16651, NULL, 'IPR031330', NULL, 'Glycoside hydrolase 35, catalytic domain', 'Gly_Hdrlase_35_cat', 3, NULL),
(16652, NULL, 'IPR017313', NULL, 'Peptidase S8A, subtilisin-related, Moth-2364-type', 'Moth2364', 4, NULL),
(16653, NULL, 'IPR023730', NULL, 'HTH-type transcriptional repressor NanR', 'Tscrpt_reg_NanR', 4, NULL),
(16654, NULL, 'IPR023767', NULL, 'Transcriptional regulator SgrR', 'Tscrpt_reg_SgrR', 4, NULL),
(16655, NULL, 'IPR018653', NULL, 'Domain of unknown function DUF2083,transcriptional regulator', 'DUF2083_trans_reg', 3, NULL),
(16656, NULL, 'IPR018955', NULL, 'Branched-chain alpha-ketoacid dehydrogenase kinase/Pyruvate dehydrogenase kinase, N-terminal', 'BCDHK/PDK_N', 3, NULL),
(16657, NULL, 'IPR018658', NULL, 'Protein of unknown function DUF2089', 'DUF2089', 4, NULL),
(16658, NULL, 'IPR023651', NULL, 'Ribosomal protein L14e', 'Ribosomal_L14e', 4, NULL),
(16659, NULL, 'IPR017644', NULL, 'Cysteine desulfurase DndA', 'Cysteine_desulfurase_DndA', 4, NULL),
(16660, NULL, 'IPR021079', NULL, 'Methanol-cobalamin methyltransferase, B subunit', 'MeOH-cob_MeTrfase_bsu', 4, NULL),
(16661, NULL, 'IPR023663', NULL, 'NADPH dehydrogenase, bacteria', 'NADPH_DH_bac', 4, NULL),
(16662, NULL, 'IPR019408', NULL, '7TM GPCR, serpentine receptor class ab (Srab)', '7TM_GPCR_serpentine_rcpt_Srab', 4, NULL),
(16663, NULL, 'IPR019399', NULL, 'Parkin co-regulated protein', 'Parkin_co-regulated_protein', 4, NULL),
(16664, NULL, 'IPR019060', NULL, 'Domain of unknown function DUF2382', 'DUF2382', 3, NULL),
(16665, NULL, 'IPR022519', NULL, 'Gloeobacter/Verrucomicrobia repeat', 'Gloeo/Verruco_rpt', 7, NULL),
(16666, NULL, 'IPR021201', NULL, 'Leader peptide, exosporium', 'Leader_pep_exosporium', 3, NULL),
(16667, NULL, 'IPR022509', NULL, 'Conjugation system ATPase, TraG', 'Conjugation_ATPase_TraG', 4, NULL),
(16668, NULL, 'IPR018953', NULL, 'AMP nucleoside phosphorylase, N-terminal', 'AMP_nucleoside_Pase_N', 3, NULL),
(16669, NULL, 'IPR017289', NULL, 'SH2 protein 1A', 'SH2_prot_1A', 4, NULL),
(16670, NULL, 'IPR023733', NULL, 'Pyrophosphatase PpaX', 'Pyrophosphatase_Ppax', 4, NULL),
(16671, NULL, 'IPR019419', NULL, 'Altered inheritance of mitochondria protein 19', 'AIM19', 4, NULL),
(16672, NULL, 'IPR022518', NULL, 'Aspartate 4-decarboxylase', 'Aspartate_4-decarboxylase', 4, NULL),
(16673, NULL, 'IPR022503', NULL, 'Conjugative coupling factor TraG/TraD, PFGI-1', 'Conj_coupling_TraG/TraD_PFGI-1', 4, NULL),
(16674, NULL, 'IPR022611', NULL, 'Bacteriophage T7, gene 5.5', 'Phage_T7_5.5', 4, NULL),
(16675, NULL, 'IPR023507', NULL, 'Serine/threonine protein kinase PknD', 'Ser/Thr_kinase_PknD', 4, NULL),
(16676, NULL, 'IPR023540', NULL, 'Phosphopantetheine adenylyltransferase, archaea', 'PPAT_arch', 4, NULL),
(16677, NULL, 'IPR021202', NULL, 'Apoptosis inhibitor Rv3654c-like', 'Rv3654c-like', 4, NULL),
(16678, NULL, 'IPR023639', NULL, 'DNA primase small subunit PriS', 'DNA_primase_ssu_PriS', 4, NULL),
(16679, NULL, 'IPR019063', NULL, 'Restriction endonuclease, type II, LlaMI', 'Restrct_endonuc_II_LlaMI', 4, NULL),
(16680, NULL, 'IPR023778', NULL, 'Amino acid/peptide transporter family, dipeptide/tripeptide permease B', 'AA/pep_transptr_DtpB', 4, NULL),
(16681, NULL, 'IPR022563', NULL, 'Domain of unknown function DUF3463', 'DUF3463', 3, NULL),
(16682, NULL, 'IPR022489', NULL, 'Polyphosphate:AMP phosphotransferase', 'PolyP_AMP_Tfrase', 4, NULL),
(16683, NULL, 'IPR034410', NULL, 'Heterogeneous nuclear ribonucleoprotein R, RNA recognition motif 1', 'hnRNPR_RRM1', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16684, NULL, 'IPR018667', NULL, 'Domain of unknown function DUF2126', 'DUF2126', 3, NULL),
(16685, NULL, 'IPR017318', NULL, 'Peptidase S8A, subtilisin-related, campylobacter', 'Pept_S8A_subtilisin_campylobac', 4, NULL),
(16686, NULL, 'IPR019069', NULL, 'Restriction endonuclease, type II, ScaI', 'Restrct_endonuc_II_ScaI', 4, NULL),
(16687, NULL, 'IPR022513', NULL, 'NHLP leader peptide domain', 'TOMM_pelo', 3, NULL),
(16688, NULL, 'IPR023611', NULL, 'Ribosomal protein S23/S25, mitochondrial', 'Ribosomal_S23/S25_mit', 3, NULL),
(16689, NULL, 'IPR023599', NULL, 'Membrane-associated protein TcaA', 'Mem_prot_TcaA', 4, NULL),
(16690, NULL, 'IPR018655', NULL, 'Protein of unknown function DUF2086', 'DUF2086', 4, NULL),
(16691, NULL, 'IPR017292', NULL, 'Peptidase S8A, Vpr', 'Peptidase_S8A_Vpr', 4, NULL),
(16692, NULL, 'IPR019074', NULL, 'Spore cortex biosynthesis protein, YabQ-like', 'YabQ-like', 4, NULL),
(16693, NULL, 'IPR022483', NULL, 'Peptidase T1A, proteasome beta-subunit, actinobacteria', 'Pept_T1A_Psome_suB_actinobac', 4, NULL),
(16694, NULL, 'IPR035486', NULL, 'Rho GTPase-activating protein 10', 'GRAF2', 4, NULL),
(16695, NULL, 'IPR021083', NULL, 'Nuclear abundant poly(A) RNA-binding protein Nab2, N-terminal', 'Nab2_N', 3, NULL),
(16696, NULL, 'IPR022532', NULL, 'Domain of unknown function DUF3696, C-terminal', 'DUF3696', 3, NULL),
(16697, NULL, 'IPR017310', NULL, 'Peptidase S8A, subtilisin-related, clostridia', 'Pept_S8A_subtilisin_clostridia', 4, NULL),
(16698, NULL, 'IPR017297', NULL, 'Peptidase S8A, DPH-A', 'Peptidase_S8A_DPH-A', 4, NULL),
(16699, NULL, 'IPR019068', NULL, 'Restriction endonuclease, type II, MjaI', 'Restrct_endonuc_II_MjaI', 4, NULL),
(16700, NULL, 'IPR019863', NULL, 'Gliding-associated putative ABC transporter substrate-binding GldG', 'Motility-assoc_ABC-rel_GldG', 4, NULL),
(16701, NULL, 'IPR023713', NULL, 'Endonuclease VIII', 'Endonuclease-VIII', 4, NULL),
(16702, NULL, 'IPR018637', NULL, 'Domain of unknown function DUF2059', 'DUF2059', 3, NULL),
(16703, NULL, 'IPR019410', NULL, 'Lysine methyltransferase', 'Methyltransf_16', 4, NULL),
(16704, NULL, 'IPR035497', NULL, 'Caskin1/2, SAM repeat 1', 'Caskin1/2_SAM_1', 3, NULL),
(16705, NULL, 'IPR021204', NULL, 'Integrating conjugative element protein, PFL4711', 'Integr_conj_element_PFL4711', 4, NULL),
(16706, NULL, 'IPR017633', NULL, 'Benzoyl-CoA-dihydrodiol lyase', 'Benz-CoA_dihydrodiol_lyase', 4, NULL),
(16707, NULL, 'IPR022560', NULL, 'Domain of unknown function DUF3473', 'DUF3473', 3, NULL),
(16708, NULL, 'IPR023597', NULL, 'Flagellar regulator Flk', 'Flagellar_regulator_Flk', 4, NULL),
(16709, NULL, 'IPR035494', NULL, 'FNBP1L, F-BAR domain', 'FNBP1L_F-BAR', 3, NULL),
(16710, NULL, 'IPR023479', NULL, 'Pyridoxine/pyridoxal/pyridoxamine kinase', 'PdxK', 4, NULL),
(16711, NULL, 'IPR035487', NULL, 'Unconventional myosin-XV', 'MYO15A', 4, NULL),
(16712, NULL, 'IPR022545', NULL, 'Human herpesvirus, UL121', 'HHV_UL121', 4, NULL),
(16713, NULL, 'IPR022564', NULL, 'Protein of unknown function DUF2678', 'DUF2678', 4, NULL),
(16714, NULL, 'IPR019424', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srsx', '7TM_GPCR_Srsx', 4, NULL),
(16715, NULL, 'IPR019422', NULL, '7TM GPCR, serpentine receptor class h (Srh)', '7TM_GPCR_serpentine_rcpt_Srh', 4, NULL),
(16716, NULL, 'IPR017284', NULL, 'Tautomerase PptA', 'Tautomerase_PptA', 4, NULL),
(16717, NULL, 'IPR017628', NULL, '2-hydroxymuconic semialdehyde dehydrogenase', 'OHmuconic_semiald_DH', 4, NULL),
(16718, NULL, 'IPR022627', NULL, 'Domain of unknown function DUF3502', 'DUF3502', 3, NULL),
(16719, NULL, 'IPR023783', NULL, 'Cation efflux pump FieF', 'Cation_efflux_FieF', 4, NULL),
(16720, NULL, 'IPR023761', NULL, 'Transcriptional repressor HTH, NsrR', 'Tscrpt_rep_HTH_NsrR', 4, NULL),
(16721, NULL, 'IPR017632', NULL, '2-oxopent-4-enoate hydratase', '2-oxopent-4-enoate_hydratase', 4, NULL),
(16722, NULL, 'IPR022478', NULL, 'ABC transporter, substrate-binding protein, PQQ-dependent alcohol dehydrogenase system', 'ABC_transptr_sub-bd_PQQ', 4, NULL),
(16723, NULL, 'IPR034429', NULL, 'Feruloyl esterase C', 'FaeC', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16724, NULL, 'IPR022480', NULL, 'F420-dependent oxidoreductase, MSMEG2906', 'F420_MSMEG2906', 4, NULL),
(16725, NULL, 'IPR022631', NULL, 'S-adenosylmethionine synthetase, conserved site', 'ADOMET_SYNTHASE_CS', 2, NULL),
(16726, NULL, 'IPR022575', NULL, 'Neurogenic differentiation factor, domain of unknown function', 'Neurogenic_DUF', 3, NULL),
(16727, NULL, 'IPR034430', NULL, 'Protein PSY', 'PSY', 4, NULL),
(16728, NULL, 'IPR019414', NULL, 'RNA polymerase II assembly factor Rtp1, C-terminal domain 2', 'Rtp1_C2', 3, NULL),
(16729, NULL, 'IPR023513', NULL, 'Quinolinate synthase A, type 1', 'Quinolinate_synth_A_type1', 4, NULL),
(16730, NULL, 'IPR018303', NULL, 'P-type ATPase, phosphorylation site', 'ATPase_P-typ_P_site', 6, NULL),
(16731, NULL, 'IPR023322', NULL, 'Outer surface lipoprotein domain superfamily', 'OM_lipoprot_dom_sf', 5, NULL),
(16732, NULL, 'IPR022541', NULL, 'Protein of unknown function DUF2559', 'DUF2559', 4, NULL),
(16733, NULL, 'IPR017627', NULL, '(S)-ureidoglycine aminohydrolase', 'UGHY', 4, NULL),
(16734, NULL, 'IPR034432', NULL, 'Nucleoporin nup60', 'Nup60', 4, NULL),
(16735, NULL, 'IPR023646', NULL, 'Primosomal replication protein PriB', 'Prisomal_replication_PriB', 4, NULL),
(16736, NULL, 'IPR018036', NULL, 'Protein of unknown function DUF429, subgroup', 'DUF429_subgr', 4, NULL),
(16737, NULL, 'IPR022548', NULL, 'Domain of unknown function DUF2846', 'DUF2846', 3, NULL),
(16738, NULL, 'IPR019084', NULL, 'Stm1-like, N-terminal', 'Stm1-like_N', 3, NULL),
(16739, NULL, 'IPR022633', NULL, 'Translocated intimin receptor, N-terminal', 'Transloc_intimin_rcpt_N', 3, NULL),
(16740, NULL, 'IPR023781', NULL, 'Nucleoside triphosphatase NudI', 'Nucleoside_triphosphatase_NudI', 4, NULL),
(16741, NULL, 'IPR022538', NULL, 'Protein of unknown function DUF2570', 'DUF2570', 4, NULL),
(16742, NULL, 'IPR018317', NULL, 'Queuosine biosynthesis protein QueC', 'QueC', 4, NULL),
(16743, NULL, 'IPR017308', NULL, 'Peptidase S8A, subtilisin-related, bacteroidetes', 'Pept_S8_subtilisin_bacteroid', 4, NULL),
(16744, NULL, 'IPR022493', NULL, 'Integral membrane YkoY', 'CHP03716_TM_YkoY', 4, NULL),
(16745, NULL, 'IPR022586', NULL, 'Swinepox virus, C51', 'Swinepox_virus_C51', 4, NULL),
(16746, NULL, 'IPR019089', NULL, 'CRISPR-associated protein, GSU0054', 'Cas_GSU0054', 4, NULL),
(16747, NULL, 'IPR023771', NULL, 'Cell division protein ZapA, eubacteria', 'Cell_div_ZapA_eubact', 4, NULL),
(16748, NULL, 'IPR018295', NULL, 'FLAP/GST2/LTC4S, conserved site', 'FLAP/GST2/LTC4S_CS', 2, NULL),
(16749, NULL, 'IPR023585', NULL, 'Isoleucine-tRNA ligase, type 1', 'Ile-tRNA-ligase_type1', 4, NULL),
(16750, NULL, 'IPR017309', NULL, 'Peptidase S8A, subtilisin-related, proteobacteria', 'Pept_S8A_subtilisin_proteobac', 4, NULL),
(16751, NULL, 'IPR017314', NULL, 'Peptidase S8A, subtilisin-like peptidase 1, plasmodium', 'Pept_S8A_PfSUB_1', 4, NULL),
(16752, NULL, 'IPR017299', NULL, 'DNA fragmentation factor 45', 'DFF45', 4, NULL),
(16753, NULL, 'IPR023605', NULL, 'Lipoprotein NlpI', 'Lipoprotein_NlpI', 4, NULL),
(16754, NULL, 'IPR019076', NULL, 'Sporulation lipoprotein YhcN/YlaJ-like', 'Spore_lipoprot_YhcN/YlaJ-like', 4, NULL),
(16755, NULL, 'IPR022526', NULL, 'F420-dependent oxidoreductase, Rv3093c', 'F420_Rv3093c', 4, NULL),
(16756, NULL, 'IPR023690', NULL, 'Cytoskeleton protein RodZ', 'RodZ', 4, NULL),
(16757, NULL, 'IPR018298', NULL, 'Adrenodoxin, iron-sulphur binding site', 'Adrenodoxin_Fe-S_BS', 1, NULL),
(16758, NULL, 'IPR019087', NULL, 'Mediator of RNA polymerase II transcription subunit 15', 'Med15', 4, NULL),
(16759, NULL, 'IPR022599', NULL, 'Bacteriophage MS2, lysis protein', 'Phage_MS2_lysis', 4, NULL),
(16760, NULL, 'IPR018656', NULL, 'Domain of unknown function DUF2087', 'DUF2087', 3, NULL),
(16761, NULL, 'IPR021085', NULL, 'AvrE-family Type-III effector protein', 'AvrE_T3Es', 4, NULL),
(16762, NULL, 'IPR022594', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), 30.6kDa', 'AcMNPV_30.6kDa', 4, NULL),
(16763, NULL, 'IPR023525', NULL, 'Ureidoglycolate lyase, bacterial', 'Ureidogly_lyase_bac', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16764, NULL, 'IPR019046', NULL, 'Restriction endonuclease, type II, NgoPII', 'Restrct_endonuc_II_NgoPII', 4, NULL),
(16765, NULL, 'IPR018652', NULL, 'Protein of unknown function DUF2082, nucleic-acid-binding, Zn-ribbon', 'DUF2082_NA-bd_Znr', 4, NULL),
(16766, NULL, 'IPR018301', NULL, 'Aromatic amino acid hydroxylase, iron/copper binding site', 'ArAA_hydroxylase_Fe/CU_BS', 1, NULL),
(16767, NULL, 'IPR019056', NULL, 'Phage tail assembly chaperone protein, TAC6', 'Phage_TAC_6', 4, NULL),
(16768, NULL, 'IPR035958', NULL, 'SecB-like superfamily', 'SecB-like_sf', 5, NULL),
(16769, NULL, 'IPR023550', NULL, 'PKHD-type hydroxylase', 'PKHD_hydroxylase', 4, NULL),
(16770, NULL, 'IPR023123', NULL, 'Tubulin, C-terminal', 'Tubulin_C', 5, NULL),
(16771, NULL, 'IPR019865', NULL, 'Gliding motility-associated lipoprotein GldJ', 'Glid_motil-assoc_lipo_GldJ', 4, NULL),
(16772, NULL, 'IPR018448', NULL, 'Twin-arginine translocation protein TatB', 'TatB', 4, NULL),
(16773, NULL, 'IPR019052', NULL, 'Domain of unknown function DUF2383', 'DUF2383', 3, NULL),
(16774, NULL, 'IPR022494', NULL, 'Sulfopyruvate decarboxylase, beta subunit', 'Sulfopyruvate_deCO2ase_bsu', 3, NULL),
(16775, NULL, 'IPR023758', NULL, 'tRNA-modifying protein YgfZ', 'tRNA-modifying_YgfZ', 4, NULL),
(16776, NULL, 'IPR019043', NULL, 'Restriction endonuclease, type II, HindIII', 'Restrct_endonuc_II_HindIII', 4, NULL),
(16777, NULL, 'IPR023785', NULL, 'Regulator of RNA polymerase sigma(70) subunit, Rsd', 'Sigma70_reg_Rsd', 4, NULL),
(16778, NULL, 'IPR023511', NULL, 'Plastocyanin, cyanobacteria', 'Plastocyanin_cyanobac', 4, NULL),
(16779, NULL, 'IPR019080', NULL, 'YqaJ viral recombinase', 'YqaJ_viral_recombinase', 3, NULL),
(16780, NULL, 'IPR019412', NULL, 'Inclusion body clearance protein Iml2/Tetratricopeptide repeat protein 39', 'Iml2/TPR_39', 4, NULL),
(16781, NULL, 'IPR023604', NULL, 'Uncharacterised protein family SanA', 'Uncharacterised_SanA', 4, NULL),
(16782, NULL, 'IPR019071', NULL, 'Restriction endonuclease, type II, XcyI', 'Restrct_endonuc_II_XcyI', 4, NULL),
(16783, NULL, 'IPR018648', NULL, 'Protein of unknown function DUF2076', 'DUF2076', 4, NULL),
(16784, NULL, 'IPR022515', NULL, 'NHPM bacteriocin system ABC transporter, ATP-binding protein', 'NHPM_micro_ABC2', 4, NULL),
(16785, NULL, 'IPR017303', NULL, 'Mitochondrial import inner membrane translocase subunit Tim44', 'Tim44', 4, NULL),
(16786, NULL, 'IPR022565', NULL, 'Protein of unknown function DUF2608', 'DUF2608', 4, NULL),
(16787, NULL, 'IPR019059', NULL, 'Restriction endonuclease, type II, HaeIII', 'Restrct_endonuc_II_HaeIII', 4, NULL),
(16788, NULL, 'IPR022574', NULL, 'Protein of unknown function DUF2623', 'DUF2623', 4, NULL),
(16789, NULL, 'IPR023768', NULL, 'Transcriptional regulator HTH-type, MalT', 'Tscrpt_reg_HTH_MalT', 4, NULL),
(16790, NULL, 'IPR023655', NULL, 'Cytochrome c6', 'Cyt_C6', 4, NULL),
(16791, NULL, 'IPR017295', NULL, 'Peptidase S8A, subtilisin-related, cyanobacteria-1', 'Pept_S8A_subtilisin_cyanobac-1', 4, NULL),
(16792, NULL, 'IPR019083', NULL, 'IGR protein motif', 'IGR_protein_motif', 3, NULL),
(16793, NULL, 'IPR023652', NULL, 'Sirohydrochlorin cobaltochelatase', 'SiroHydchlorin_Cochelatase', 4, NULL),
(16794, NULL, 'IPR023537', NULL, 'Deoxyuridine triphosphate nucleotidohydrolase, archaeal', 'dUTPase_archaeal', 4, NULL),
(16795, NULL, 'IPR018657', NULL, 'LarA-like, N-terminal', 'LarA-like_N', 3, NULL),
(16796, NULL, 'IPR023136', NULL, 'Api92-like domain superfamily', 'Api92-like_dom_sf', 5, NULL),
(16797, NULL, 'IPR017305', NULL, 'Leupaxin/Paxillin/TGFB1I1', 'Tgfb1i1/Leupaxin/TGFB1I1', 4, NULL),
(16798, NULL, 'IPR019862', NULL, 'Gliding motility-associated protein GldE', 'Motility-assoc_prot_GldE', 4, NULL),
(16799, NULL, 'IPR023503', NULL, 'Ribosome biogenesis methyltransferase NEP1, archaea', 'Ribosome_NEP1_arc', 4, NULL),
(16800, NULL, 'IPR023795', NULL, 'Serpin, conserved site', 'Serpin_CS', 2, NULL),
(16801, NULL, 'IPR018660', NULL, 'C-type lysozyme inhibitor', 'MliC', 3, NULL),
(16802, NULL, 'IPR018016', NULL, 'Nucleoside phosphorylase, conserved site', 'Nucleoside_phosphorylase_CS', 2, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16803, NULL, 'IPR019395', NULL, 'Transmembrane protein 161A/B', 'Transmembrane_161A/B', 4, NULL),
(16804, NULL, 'IPR023712', NULL, '3-phenylpropionate/cinnamic acid dioxygenase, beta subunit', 'HcaF', 4, NULL),
(16805, NULL, 'IPR023505', NULL, 'N-acetyl-D-glucosamine kinase', 'N-acetyl-D-glucosamine_kinase', 4, NULL),
(16806, NULL, 'IPR021197', NULL, 'Cross-wall-targeting lipoprotein motif', 'Cross-wall-target_lipo_motif', 2, NULL),
(16807, NULL, 'IPR019425', NULL, '7TM GPCR, serpentine receptor class t (Srt)', '7TM_GPCR_serpentine_rcpt_Srt', 4, NULL),
(16808, NULL, 'IPR023705', NULL, 'Nucleoid occlusion protein', 'Nucleoid_occlusion_protein', 4, NULL),
(16809, NULL, 'IPR022492', NULL, 'Phosphomutase MSMEG4193, putative', 'Phosphomutase_MSMEG4193_put', 4, NULL),
(16810, NULL, 'IPR023493', NULL, 'N-methyl-L-tryptophan oxidase MTOX', 'Me_Trp_Oxase_MTOX', 4, NULL),
(16811, NULL, 'IPR023500', NULL, 'Zinc transporter ZitB', 'Zn_transptr_ZitB', 4, NULL),
(16812, NULL, 'IPR019860', NULL, 'Gliding motility-associated ABC transporter permease protein GldF', 'Motility-assoc_ABC_perm_GldF', 4, NULL),
(16813, NULL, 'IPR017311', NULL, 'Peptidase S8A, subtilisin-related, Sama-2696-type', 'Sama-2696', 4, NULL),
(16814, NULL, 'IPR018641', NULL, 'Transferase 1, rSAM/selenodomain-associated', 'Trfase_1_rSAM/selenodom_assoc', 4, NULL),
(16815, NULL, 'IPR022569', NULL, 'Ferredoxin, C-terminal', 'Fd_C', 3, NULL),
(16816, NULL, 'IPR023607', NULL, 'Exodeoxyribonuclease I', 'Exodeoxyribonuclease_I', 4, NULL),
(16817, NULL, 'IPR021205', NULL, 'Lantibiotic ABC transporter permease subunit, SpaE/MutE', 'Lantibiotic_perm_SpaE/MutE', 4, NULL),
(16818, NULL, 'IPR018052', NULL, 'Aldose 1-epimerase, conserved site', 'Ald1_epimerase_CS', 2, NULL),
(16819, NULL, 'IPR022566', NULL, 'Protein of unknown function DUF2613', 'DUF2613', 4, NULL),
(16820, NULL, 'IPR022576', NULL, 'Protein of unknown function DUF2633', 'DUF2633', 4, NULL),
(16821, NULL, 'IPR035499', NULL, 'Caskin2, SH3 domain', 'Caskin2_SH3', 3, NULL),
(16822, NULL, 'IPR019079', NULL, 'Capsule synthesis protein, CapA', 'Capsule_synth_CapA', 3, NULL),
(16823, NULL, 'IPR017648', NULL, '5-keto-4-deoxy-D-glucarate aldolase', 'GarL', 4, NULL),
(16824, NULL, 'IPR023506', NULL, 'Trans-aconitate 2-methyltransferase', 'Trans-aconitate_MeTrfase', 4, NULL),
(16825, NULL, 'IPR018446', NULL, 'Corticotropin-releasing factor conserved site', 'Corticotropin-releasing_fac_CS', 2, NULL),
(16826, NULL, 'IPR021081', NULL, 'Nepovirus subgroup A, polyprotein', 'Nepovirus_subgr_A_polyprotein', 3, NULL),
(16827, NULL, 'IPR019048', NULL, 'Immunodominant surface protein, Ehrlichia tandem repeat-containing', 'Immunodom_prot_Ehrlichia_rpt', 4, NULL),
(16828, NULL, 'IPR022562', NULL, 'Protein of unknown function DUF3466', 'DUF3466', 4, NULL),
(16829, NULL, 'IPR022528', NULL, '6-phosphogluconolactonase, YbhE-type', '6-phosphogluconolactonase_YbhE', 4, NULL),
(16830, NULL, 'IPR017623', NULL, '2-ketocyclohexanecarboxyl-CoA hydrolase', 'Keto-benzo_CoA_Hydrolase', 4, NULL),
(16831, NULL, 'IPR017304', NULL, 'Cytoplasmic protein NCK', 'NCK', 4, NULL),
(16832, NULL, 'IPR022531', NULL, 'Domain of unknown function DUF3770', 'DUF3770', 3, NULL),
(16833, NULL, 'IPR022568', NULL, 'Protein of unknown function DUF2824', 'DUF2824', 4, NULL),
(16834, NULL, 'IPR023514', NULL, 'Glyoxylate/hydroxypyruvate reductase A, Enterobacterales', 'GhrA_Enterobacterales', 4, NULL),
(16835, NULL, 'IPR022504', NULL, 'Exosortase, archaea', 'Exosortase_arc', 4, NULL),
(16836, NULL, 'IPR017626', NULL, '2,3-dihydroxybiphenyl 1,2-dioxygenase', 'DiOHbiphenyl_dOase', 4, NULL),
(16837, NULL, 'IPR019051', NULL, 'Trp biosynthesis associated, transmembrane protein, Oprn/Chp', 'Trp_biosyn_TM_oprn/chp', 4, NULL),
(16838, NULL, 'IPR020147', NULL, 'Bacteriophage T7-like, gene 1.2', 'Phage_T7-like_1.2', 4, NULL),
(16839, NULL, 'IPR017638', NULL, 'Anthranilate 1,2-dioxygenase, large subunit', 'Anthranilate_1-2-diOase_lsu', 4, NULL),
(16840, NULL, 'IPR022582', NULL, 'Transcription factor, T-box, region of unknown function', 'TBX', 3, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16841, NULL, 'IPR022490', NULL, 'Protein translocase subunit SecA2', 'SecA2', 4, NULL),
(16842, NULL, 'IPR022512', NULL, 'Conserved hypothetical protein CHP03792', 'CHP03792', 4, NULL),
(16843, NULL, 'IPR019397', NULL, 'Uncharacterised protein family TMEM39', 'Uncharacterised_TMEM39', 4, NULL),
(16844, NULL, 'IPR019064', NULL, 'Type-2 restriction enzyme NlaIV', 'Restrct_endonuc_II_NlaIV', 4, NULL),
(16845, NULL, 'IPR023351', NULL, 'YppE-like superfamily', 'YppE-like_sf', 5, NULL),
(16846, NULL, 'IPR017625', NULL, 'PuuE allantoinase/chitin deacetylase 1', 'PuuE/SpCDA1', 3, NULL),
(16847, NULL, 'IPR023664', NULL, 'Murein transglycosylase-C', 'Murein_transglycosylaseC', 4, NULL),
(16848, NULL, 'IPR023498', NULL, 'Zinc transporter ZupT', 'Zn_transptr_ZupT', 4, NULL),
(16849, NULL, 'IPR022543', NULL, 'Protein of unknown function DUF2572', 'DUF2572', 4, NULL),
(16850, NULL, 'IPR022573', NULL, 'Protein of unknown function DUF2887', 'DUF2887', 4, NULL),
(16851, NULL, 'IPR023748', NULL, 'Replication factor C small subunit, archaeal', 'Rep_factor-C_ssu_arc', 4, NULL),
(16852, NULL, 'IPR023552', NULL, 'Hut operon regulatory protein HutP, bacillales', 'Regulatory_HutP_bacillales', 4, NULL),
(16853, NULL, 'IPR023776', NULL, 'Anti-adapter protein, IraD', 'Anti-adapt_IraD', 4, NULL),
(16854, NULL, 'IPR019393', NULL, 'WASH complex, subunit strumpellin', 'WASH_strumpellin', 4, NULL),
(16855, NULL, 'IPR035407', NULL, 'Protein of unknown function DUF5399', 'DUF5399', 4, NULL),
(16856, NULL, 'IPR023318', NULL, 'Ubiquitin activating enzyme, alpha domain superfamily', 'Ub_act_enz_dom_a_sf', 5, NULL),
(16857, NULL, 'IPR019042', NULL, 'Restriction endonuclease, type II, CfrBI', 'Restrct_endonuc_II_CfrBI', 4, NULL),
(16858, NULL, 'IPR022579', NULL, 'Neuropilin, C-terminal', 'Neuropilin_C', 3, NULL),
(16859, NULL, 'IPR019402', NULL, 'Frag1/DRAM/Sfk1', 'Frag1/DRAM/Sfk1', 4, NULL),
(16860, NULL, 'IPR022521', NULL, 'Conserved hypothetical protein CHP03815, CpaE-like', 'CHP03815_CpaE-like', 4, NULL),
(16861, NULL, 'IPR022623', NULL, 'Glycosyl transferase family 4 domain', 'Glyco_trans_4_3', 3, NULL),
(16862, NULL, 'IPR022486', NULL, 'Polyphosphate kinase 2, PA0141', 'PPK2_PA0141', 4, NULL),
(16863, NULL, 'IPR019416', NULL, 'Nuclear cap-binding protein subunit 3', 'NCBP3', 4, NULL),
(16864, NULL, 'IPR022522', NULL, 'Flagellar motor stator, MotA', 'Flagellar_motor_stator_MotA', 4, NULL),
(16865, NULL, 'IPR022510', NULL, 'Sortase system, histidine kinase', 'Sortase_His-kinase', 4, NULL),
(16866, NULL, 'IPR023600', NULL, 'Folylpolyglutamate synthase, eukaryota', 'Folylpolyglutamate_synth_euk', 4, NULL),
(16867, NULL, 'IPR022523', NULL, 'Flagellar regulator, FliZ', 'Flagellar_regulator_FliZ', 4, NULL),
(16868, NULL, 'IPR018638', NULL, 'Domain of unknown function DUF2061, membrane', 'DUF2061_membrane', 3, NULL),
(16869, NULL, 'IPR023495', NULL, 'Sugar efflux transporter, putative', 'Sugar_effux_transptr_put', 4, NULL),
(16870, NULL, 'IPR022578', NULL, 'Flagellin, domain of unknown function', 'Flagellin_DUF', 3, NULL),
(16871, NULL, 'IPR022481', NULL, 'Ribosomal protein L7Ae, archaea', 'Ribosomal_L7Ae_arc', 4, NULL),
(16872, NULL, 'IPR018649', NULL, 'SHOCT domain', 'SHOCT', 3, NULL),
(16873, NULL, 'IPR035995', NULL, 'Bowman-Birk type proteinase inhibitor', 'Bowman-Birk_prot_inh', 5, NULL),
(16874, NULL, 'IPR019401', NULL, 'Zinc finger, CHCC-type', 'Znf_CHCC', 3, NULL),
(16875, NULL, 'IPR019062', NULL, 'Restriction endonuclease, type II, HpaII', 'Restrct_endonuc_II_HpaII', 4, NULL),
(16876, NULL, 'IPR017637', NULL, 'Putative 2-aminoethylphosphonate binding protein, ABC transporter', 'AminoethylPonate_ABC-bd', 4, NULL),
(16877, NULL, 'IPR035409', NULL, 'Seminal vesicle secretory protein 4/5/6', 'Svs4/5/6', 4, NULL),
(16878, NULL, 'IPR019057', NULL, 'Restriction endonuclease, type II, Eco47II', 'Restrct_endonuc_II_Eco47II', 4, NULL),
(16879, NULL, 'IPR019065', NULL, 'Restriction endonuclease, type II, NgoFVII', 'Res_endonuc_III_NgoFVII', 4, NULL),
(16880, NULL, 'IPR019406', NULL, 'Aprataxin and PNK-like factor, PBZ domain', 'APLF_PBZ', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16881, NULL, 'IPR022577', NULL, 'Tubulin-specific chaperone D, C-terminal', 'Tubulin_specific_chaperoneD_C', 3, NULL),
(16882, NULL, 'IPR019409', NULL, 'FMP27, domain of unknown function DUF2405', 'FMP27_DUF2405', 3, NULL),
(16883, NULL, 'IPR023121', NULL, 'ApoC-II domain superfamily', 'ApoC-II_dom_sf', 5, NULL),
(16884, NULL, 'IPR018951', NULL, 'Fumarase C, C-terminal', 'Fumarase_C_C', 3, NULL),
(16885, NULL, 'IPR019054', NULL, 'Restriction endonuclease, type II, AccI', 'Restrct_endonuc_II_AccI', 4, NULL),
(16886, NULL, 'IPR022547', NULL, 'ATPase, RavA, C-terminal', 'ATPase_RavA_C', 3, NULL),
(16887, NULL, 'IPR018299', NULL, 'Alkaline phosphatase, active site', 'Alkaline_phosphatase_AS', 0, NULL),
(16888, NULL, 'IPR017636', NULL, '2-aminoethylphosphonate ABC transporter system, permease protein PhnU', 'AminoethylPonate_ABC_perm-PhnU', 4, NULL),
(16889, NULL, 'IPR017288', NULL, 'Bcl-2-like protein 11', 'Bcl-2-like_11', 4, NULL),
(16890, NULL, 'IPR017630', NULL, '4-oxalocrotonate decarboxylase', '4-oxalocrotonate_decarboxylase', 4, NULL),
(16891, NULL, 'IPR022514', NULL, 'NHPM bacteriocin system ABC transporter, peptidase/ATP-binding protein', 'NHPM_micro_ABC1', 4, NULL),
(16892, NULL, 'IPR022595', NULL, 'Protein of unknown function DUF2815', 'DUF2815', 4, NULL),
(16893, NULL, 'IPR018661', NULL, 'Protein of unknown function DUF2093', 'DUF2093', 4, NULL),
(16894, NULL, 'IPR018647', NULL, 'Schlafen group 3-like, DNA/RNA helicase domain', 'SLFN_3-like_DNA/RNA_helicase', 3, NULL),
(16895, NULL, 'IPR023703', NULL, 'Membrane-bound lytic murein transglycosylase F', 'MltF', 4, NULL),
(16896, NULL, 'IPR023497', NULL, 'Acid shock protein', 'Acid_shock', 4, NULL),
(16897, NULL, 'IPR019415', NULL, 'FMP27, SW domain', 'FMP27_SW_dom', 3, NULL),
(16898, NULL, 'IPR022501', NULL, 'Gallidermin ABC transporter, ATP-binding subunit', 'ABC_Gallidermin_ATP-bd', 4, NULL),
(16899, NULL, 'IPR022539', NULL, 'Protein of unknown function DUF3724, picornavirus', 'DUF3724', 2, NULL),
(16900, NULL, 'IPR019859', NULL, 'Gliding motility-associated protein GldM', 'Motility-assoc_prot_GldM', 4, NULL),
(16901, NULL, 'IPR018293', NULL, '43kDa postsynaptic, conserved site', 'Postsynaptic_CS', 2, NULL),
(16902, NULL, 'IPR023667', NULL, 'NAD-dependent malic enzyme, proteobacteria', 'NAD_malic_enz_proteobac', 4, NULL),
(16903, NULL, 'IPR022638', NULL, 'Translocated intimin receptor', 'Transloc_intimin_rcpt', 4, NULL),
(16904, NULL, 'IPR021158', NULL, 'Peptidase M10A, cysteine switch, zinc binding site', 'Pept_M10A_Zn_BS', 1, NULL),
(16905, NULL, 'IPR023124', NULL, 'DUF3239 domain superfamily', 'DUF3239_dom_sf', 5, NULL),
(16906, NULL, 'IPR022588', NULL, 'Protein of unknown function DUF2659', 'DUF2659', 4, NULL),
(16907, NULL, 'IPR022589', NULL, 'Protein of unknown function DUF2660', 'DUF2660', 4, NULL),
(16908, NULL, 'IPR018952', NULL, '2''-5''-oligoadenylate synthetase 1, domain 2/C-terminal', '2-5-oligoAdlate_synth_1_dom2/C', 3, NULL),
(16909, NULL, 'IPR024848', NULL, 'Dact1', 'Dact1', 4, NULL),
(16910, NULL, 'IPR022527', NULL, 'Sucrose phosphorylase', 'Sucrose_phospho', 4, NULL),
(16911, NULL, 'IPR022525', NULL, 'Beta-lysine N-acetyltransferase', 'GNAT_AblB', 4, NULL),
(16912, NULL, 'IPR023572', NULL, 'Archease domain', 'Archease_dom', 3, NULL),
(16913, NULL, 'IPR017642', NULL, 'DNA sulphur modification protein DndB', 'DNA_S_mod_DndB', 4, NULL),
(16914, NULL, 'IPR018650', NULL, 'Sulfolobus virus STSV1, Orf64', 'STSV1_Orf64', 4, NULL),
(16915, NULL, 'IPR019396', NULL, 'Transmembrane Fragile-X-F-associated protein', 'TM_Fragile-X-F-assoc', 4, NULL),
(16916, NULL, 'IPR017641', NULL, 'Benzoate 1,2-dioxygenase, small subunit', 'Benzo_1-2-diOase_ssu', 4, NULL),
(16917, NULL, 'IPR018666', NULL, 'Protein of unknown function DUF2125', 'DUF2125', 4, NULL),
(16918, NULL, 'IPR023642', NULL, 'DNA primase large subunit PriL', 'DNA_primase_lsu_PriL', 4, NULL),
(16919, NULL, 'IPR020148', NULL, 'Protein of unknown function DUF5477', 'DUF5477', 4, NULL),
(16920, NULL, 'IPR022612', NULL, 'Long-chain fatty aldehyde decarbonylase', 'Ald_deCOase', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16921, NULL, 'IPR018665', NULL, 'Protein of unknown function DUF2122, RecB-family nuclease-related', 'DUF2122_RecB-nuclease-rel', 4, NULL),
(16922, NULL, 'IPR023715', NULL, 'Trehalase, cytoplasmic', 'Cyt_trehalase', 4, NULL),
(16923, NULL, 'IPR023616', NULL, 'Cytochrome c oxidase-like, subunit I domain', 'Cyt_c_oxase-like_su1_dom', 3, NULL),
(16924, NULL, 'IPR019405', NULL, 'Lactonase, 7-bladed beta propeller', 'Lactonase_7-beta_prop', 4, NULL),
(16925, NULL, 'IPR034876', NULL, 'Partitioning defective protein 6', 'Par6', 4, NULL),
(16926, NULL, 'IPR023644', NULL, 'Nitrous-oxide reductase', 'NO_Rdtase', 4, NULL),
(16927, NULL, 'IPR023163', NULL, 'SMc04008-like domain', 'SMc04008-like_domain', 3, NULL),
(16928, NULL, 'IPR022537', NULL, 'TRSP domain', 'TRSP_dom', 3, NULL),
(16929, NULL, 'IPR017640', NULL, 'Anthranilate 1,2-dioxygenase, small subunit', 'Anthranilate_1-2-diOase_ssu', 4, NULL),
(16930, NULL, 'IPR023608', NULL, 'Protein-glutamine gamma-glutamyltransferase, animal', 'Transglutaminase_animal', 4, NULL),
(16931, NULL, 'IPR022616', NULL, 'Glycosyl hydrolase, family 4, C-terminal', 'Glyco_hydro_4_C', 3, NULL),
(16932, NULL, 'IPR023685', NULL, 'Pyridoxal kinase PdxY', 'Pyridoxal_kinase_PdxY', 4, NULL),
(16933, NULL, 'IPR023638', NULL, 'Ribosomal protein L19/L19e conserved site', 'Ribosomal_L19/L19e_CS', 2, NULL),
(16934, NULL, 'IPR023797', NULL, 'RNA 3''-terminal phosphate cyclase domain', 'RNA3''_phos_cyclase_dom', 3, NULL),
(16935, NULL, 'IPR022505', NULL, 'Exosortase, cyanobacteria', 'Exosortase_cyanobac', 4, NULL),
(16936, NULL, 'IPR023764', NULL, 'Transcriptional repressor HTH, FabR', 'Tscrpt_reg_HTH_FabR', 4, NULL),
(16937, NULL, 'IPR023796', NULL, 'Serpin domain', 'Serpin_dom', 3, NULL),
(16938, NULL, 'IPR023319', NULL, 'Tex-like protein, HTH domain superfamily', 'Tex-like_HTH_dom_sf', 5, NULL),
(16939, NULL, 'IPR033999', NULL, 'Fas receptor, N-terminal', 'TNFRSF6_N', 3, NULL),
(16940, NULL, 'IPR017290', NULL, 'Ribonuclease H, Bacteroides-type', 'RNase_H_bac', 4, NULL),
(16941, NULL, 'IPR023491', NULL, 'Acyl carrier protein phosphodiesterase, gammaproteobacteria', 'ACP_phosphodiesterase_gpbac', 4, NULL),
(16942, NULL, 'IPR022511', NULL, 'Proteobacterial sortase system peptidoglycan-associated protein', 'PdsO', 4, NULL),
(16943, NULL, 'IPR023523', NULL, 'Histidine decarboxylase, bacteria', 'Hist_deCOase_bac', 4, NULL),
(16944, NULL, 'IPR022557', NULL, 'Domain of unknown function DUF3480', 'DUF3480', 3, NULL),
(16945, NULL, 'IPR023610', NULL, 'Phosphatidylinositol-4-phosphate 5-kinase', 'PInositol-4-P-5-kinase', 4, NULL),
(16946, NULL, 'IPR017312', NULL, 'Peptidase S8A, subtilisin-related, Alteromonadales', 'Subtilisin_Alteromonadales', 4, NULL),
(16947, NULL, 'IPR021200', NULL, 'Conserved hypothetical integral membrane protein', 'CHIM_prot', 4, NULL),
(16948, NULL, 'IPR017647', NULL, 'DNA phosphorothioation-dependent restriction protein DptF', 'Dnd_assoc_3', 4, NULL),
(16949, NULL, 'IPR023592', NULL, 'D-galactonate dehydratase', 'Galactonate_deHydtase', 4, NULL),
(16950, NULL, 'IPR022878', NULL, 'V-type ATP synthase catalytic alpha chain', 'V-ATPase_asu', 4, NULL),
(16951, NULL, 'IPR023490', NULL, 'HTH-type transcriptional regulator ArgP, Gammaproteobacteria', 'ArgP_Gammaproteobact', 4, NULL),
(16952, NULL, 'IPR019400', NULL, 'Peptidase C65, otubain', 'Peptidase_C65_otubain', 4, NULL),
(16953, NULL, 'IPR022571', NULL, 'Magnesium chelatase, subunit H, N-terminal', 'Mg_chelatase_H_N', 3, NULL),
(16954, NULL, 'IPR018296', NULL, 'Acid phosphatase, class A, bacterial, conserved site', 'Acid_Pase_classA_bac_CS', 2, NULL),
(16955, NULL, 'IPR019088', NULL, 'Conserved hypothetical protein CHP02186-related, transmembrane', 'CHP02186-rel_TM', 4, NULL),
(16956, NULL, 'IPR022524', NULL, 'Flagellar assembly FliH, Bacilli', 'FliH_Bacilli', 4, NULL),
(16957, NULL, 'IPR022506', NULL, 'Metallophosphoesterase, PPA1498', 'Metallophosphoesterase_PPA1498', 4, NULL),
(16958, NULL, 'IPR022581', NULL, 'Spt5 transcription elongation factor, N-terminal', 'Spt5_N', 3, NULL),
(16959, NULL, 'IPR035498', NULL, 'Caskin1/2, SAM repeat 2', 'Caskin1/2_SAM_2', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16960, NULL, 'IPR022580', NULL, 'Protein of unknown function DUF2639', 'DUF2639', 4, NULL),
(16961, NULL, 'IPR017624', NULL, 'Catechol 2,3 dioxygenase', 'Catechol_2-3_dOase', 4, NULL),
(16962, NULL, 'IPR022517', NULL, 'Aspartate 1-decarboxylase, pyridoxal-dependent', 'Asp_decarboxylase_pyridox', 4, NULL),
(16963, NULL, 'IPR018028', NULL, 'Catalase, mono-functional, haem-containing', 'Catalase', 4, NULL),
(16964, NULL, 'IPR018654', NULL, 'Putative toxin of bacterial toxin-antitoxin pair', 'YjhX_toxin', 4, NULL),
(16965, NULL, 'IPR017646', NULL, 'DNA phosphorothioation-dependent restriction protein DptH', 'Dnd_assoc_2', 4, NULL),
(16966, NULL, 'IPR022546', NULL, 'Uncharacterised protein family Ycf68', 'Uncharacterised_Ycf68', 4, NULL),
(16967, NULL, 'IPR017639', NULL, 'Benzoate 1,2-dioxygenase, large subunit', 'Benzo_1-2-diOase_lsu', 4, NULL),
(16968, NULL, 'IPR034694', NULL, 'Ribosome hibernation promoting factor, long/plastid', 'HPF_long/plastid', 4, NULL),
(16969, NULL, 'IPR022550', NULL, 'Nucleotidyltransferase 8', 'NTP_transf_8', 4, NULL),
(16970, NULL, 'IPR022628', NULL, 'S-adenosylmethionine synthetase, N-terminal', 'S-AdoMet_synt_N', 3, NULL),
(16971, NULL, 'IPR021198', NULL, 'Pyridoxamine 5''-phosphate oxidase, plant', 'Pyridox_Oxase_pln', 4, NULL),
(16972, NULL, 'IPR022625', NULL, 'Type-1 restriction enzyme R protein, C-terminal', 'TypeI_RM_Rsu_C', 3, NULL),
(16973, NULL, 'IPR022598', NULL, 'Long-chain fatty acyl-CoA thioesterase FcoT-like', 'FcoT_ThioEstase', 4, NULL),
(16974, NULL, 'IPR019072', NULL, 'Restriction endonuclease, type II, XamI', 'Restrct_endonuc_II_XamI', 4, NULL),
(16975, NULL, 'IPR017631', NULL, 'Salicylate 1-monooxygenase', 'Salicylate_mOase', 4, NULL),
(16976, NULL, 'IPR023777', NULL, 'Amino acid/peptide transporter family, dipeptide permease D', 'AA/pep_transptr_DtpD', 4, NULL),
(16977, NULL, 'IPR019394', NULL, 'Testis-specific protein TEX28/transmembrane and coiled-coil domains protein', 'TEX28/TMCC', 4, NULL),
(16978, NULL, 'IPR022482', NULL, 'Proteasome ATPase', 'Proteasome_ATPase', 4, NULL),
(16979, NULL, 'IPR022584', NULL, 'Protein of unknown function DUF2937', 'DUF2937', 4, NULL),
(16980, NULL, 'IPR018659', NULL, 'Protein of unknown function DUF2090', 'DUF2090', 3, NULL),
(16981, NULL, 'IPR019066', NULL, 'Restriction endonuclease, type II, SacI', 'Restrct_endonuc_II_SacI', 4, NULL),
(16982, NULL, 'IPR023631', NULL, 'Amidase signature domain', 'Amidase_dom', 3, NULL),
(16983, NULL, 'IPR023643', NULL, '3-phenylpropionate-dihydrodiol/cinnamic acid-dihydrodiol dehydrogenase HcaB', 'Dihydrodiol_DH_HcaB', 4, NULL),
(16984, NULL, 'IPR017285', NULL, 'Cyclin, herpesvirus', 'Cyclin_herpesvir', 4, NULL),
(16985, NULL, 'IPR022502', NULL, 'Sulfopyruvate decarboxylase, alpha subunit', 'Sulfopyruvate_deCO2ase_alpha', 3, NULL),
(16986, NULL, 'IPR023530', NULL, 'Cytochrome b6, PetB', 'Cyt_B6_PetB', 4, NULL),
(16987, NULL, 'IPR018300', NULL, 'Aminotransferase, class IV, conserved site', 'Aminotrans_IV_CS', 2, NULL),
(16988, NULL, 'IPR019081', NULL, 'Uncharacterised protein family UPF0328', 'UPF0328', 4, NULL),
(16989, NULL, 'IPR018180', NULL, 'Sugar transporter SWEET1a', 'SWEET1a', 4, NULL),
(16990, NULL, 'IPR022485', NULL, '2-succinyl-6-hydroxy-2,4-cyclohexadiene-1-carboxylate synthase', 'SHCHC_synthase_MenH', 4, NULL),
(16991, NULL, 'IPR017296', NULL, 'Peptidase S8A, SAM-P45', 'Peptidase_S8A_SAM-P45', 4, NULL),
(16992, NULL, 'IPR022853', NULL, 'Flotillin-like protein FloA', 'FloA', 4, NULL),
(16993, NULL, 'IPR034411', NULL, 'Heterogeneous nuclear ribonucleoprotein R, RNA recognition motif 2', 'hnRNPR_RRM2', 3, NULL),
(16994, NULL, 'IPR022567', NULL, 'Glycosyl hydrolase, C-terminal (DUF3459)', 'DUF3459', 3, NULL),
(16995, NULL, 'IPR017629', NULL, '4-hydroxy-2-oxovalerate aldolase', '4OH_2_O-val_aldolase', 4, NULL),
(16996, NULL, 'IPR019398', NULL, 'Pre-rRNA-processing protein TSR2', 'Pre-rRNA_process_TSR2', 4, NULL),
(16997, NULL, 'IPR022592', NULL, 'Nucleolar protein 19', 'Nucleolar_19', 4, NULL),
(16998, NULL, 'IPR018664', NULL, 'Protein of unknown function DUF2103, metal-binding', 'DUF2103_metal-binding', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(16999, NULL, 'IPR019073', NULL, 'Restriction endonuclease, type II, TaqI', 'Restrct_endonuc_II_TaqI', 4, NULL),
(17000, NULL, 'IPR022602', NULL, 'Protein of unknown function DUF2813', 'DUF2813', 4, NULL),
(17001, NULL, 'IPR017661', NULL, '2-aminoethylphosphonate ABC transport system, membrane component PhnV', 'AminoethylPonate_ABC_PhnV', 4, NULL),
(17002, NULL, 'IPR022656', NULL, 'XPA, C-terminal', 'XPA_C', 3, NULL),
(17003, NULL, 'IPR016921', NULL, 'Uncharacterised conserved protein UCP029502', 'UCP029502', 4, NULL),
(17004, NULL, 'IPR022753', NULL, 'Type IV pilus biogenesis PilP', 'T4SS_pilus_biogen_PilP', 4, NULL),
(17005, NULL, 'IPR023480', NULL, 'Uncharacterised protein family UPF0312/YceI', 'UPF0312/YceI', 4, NULL),
(17006, NULL, 'IPR023845', NULL, 'Domain of unknown function DUF3817, transmembrane', 'DUF3817_TM', 3, NULL),
(17007, NULL, 'IPR023844', NULL, 'CRISPR-associated protein Cas1, MYXAN subtype', 'CRISPR-assoc_Cas1_MYXAN', 4, NULL),
(17008, NULL, 'IPR017666', NULL, '2-aminoethylphosphonate ABC transport system, ATP-binding component PhnT2', 'AminoethylPonate_ABC_PhnT2', 4, NULL),
(17009, NULL, 'IPR023787', NULL, 'Type III secretion system flagellar brake protein YcgR', 'T3SS_YcgR', 4, NULL),
(17010, NULL, 'IPR016211', NULL, 'Glutamate/phenylalanine/leucine/valine dehydrogenase, bacterial/archaeal', 'Glu/Phe/Leu/Val_DH_bac/arc', 4, NULL),
(17011, NULL, 'IPR022839', NULL, 'Undecaprenyl phosphate-alpha-4-amino-4-deoxy-L-arabinose arabinosyl transferase', 'ArnT_tfrase', 4, NULL),
(17012, NULL, 'IPR023743', NULL, 'Aquaporin Z', 'Aquaporin_Z', 4, NULL),
(17013, NULL, 'IPR023831', NULL, 'C-terminal-processing peptidase S41A, putative', 'Pept_41A_put', 4, NULL),
(17014, NULL, 'IPR016898', NULL, 'Polyphosphate phosphotransferase', 'Polyphosphate_phosphotransfera', 4, NULL),
(17015, NULL, 'IPR018671', NULL, 'Protein of unknown function DUF2138', 'DUF2138', 4, NULL),
(17016, NULL, 'IPR018219', NULL, 'Thiol peroxidase conserved site', 'Tpx_CS', 2, NULL),
(17017, NULL, 'IPR018682', NULL, 'Protein of unknown function DUF2167, membrane', 'DUF2167_membr', 4, NULL),
(17018, NULL, 'IPR023521', NULL, 'Translation release factor  pelota, archaea', 'Pelota_arc', 4, NULL),
(17019, NULL, 'IPR022856', NULL, 'Ribosomal protein L21e, archaeal', 'Ribosomal_L21e_arc', 4, NULL),
(17020, NULL, 'IPR023724', NULL, 'Glucan biosynthesis, MdoD', 'Glucan_biosyn_MdoD', 4, NULL),
(17021, NULL, 'IPR018676', NULL, 'Protein of unknown function DUF2149', 'DUF2149', 4, NULL),
(17022, NULL, 'IPR022747', NULL, 'Salmonella outer protein D', 'SopD', 4, NULL),
(17023, NULL, 'IPR024626', NULL, 'Kri1-like, C-terminal', 'Kri1-like_C', 3, NULL),
(17024, NULL, 'IPR022647', NULL, 'Recombinase Flp protein, N-terminal', 'Recombinase_Flp_N', 3, NULL),
(17025, NULL, 'IPR016246', NULL, 'Tyrosine-protein kinase, insulin-like receptor', 'Tyr_kinase_insulin-like_rcpt', 4, NULL),
(17026, NULL, 'IPR023869', NULL, 'tRNA adenosine deaminase-associated protein, putative', 'tRNA_Adeno_NH3ase_assoc_put', 4, NULL),
(17027, NULL, 'IPR016893', NULL, 'Protein of unknown function UCP028589', 'UCP028589', 4, NULL),
(17028, NULL, 'IPR016241', NULL, 'Nitrogen network kinase 1', 'Nnk1', 4, NULL),
(17029, NULL, 'IPR016885', NULL, 'Uncharacterised conserved protein UCP028445', 'UCP028445', 4, NULL),
(17030, NULL, 'IPR022859', NULL, 'Alginate lyase', 'Alginate_lyase', 4, NULL),
(17031, NULL, 'IPR020005', NULL, 'Flagellar export ATPase FliI, clade 1', 'FliI_clade1', 4, NULL),
(17032, NULL, 'IPR016900', NULL, 'Alpha-2-glucosyltransferase Alg10', 'Alg10', 4, NULL),
(17033, NULL, 'IPR017334', NULL, 'Eukaryotic translation initiation factor 3 subunit G', 'eIF3_g', 4, NULL),
(17034, NULL, 'IPR023538', NULL, 'Ribonuclease P protein subunit RNP1', 'RNP1', 4, NULL),
(17035, NULL, 'IPR022754', NULL, 'DNA polymerase III, gamma subunit, domain III', 'DNA_pol_III_gamma-3', 3, NULL),
(17036, NULL, 'IPR022750', NULL, 'Interferon regulatory factor 2-binding protein 1 & 2, zinc finger', 'Interferon_reg_fac2-bd1_2_Znf', 3, NULL),
(17037, NULL, 'IPR016913', NULL, 'Uncharacterised conserved protein UCP029215', 'UCP029215', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17038, NULL, 'IPR016894', NULL, 'Uncharacterised conserved protein UCP028609', 'UCP028609', 4, NULL),
(17039, NULL, 'IPR017669', NULL, 'Methyl coenzyme M reductase system, component A2', 'Me_Coenz_M_Rdtase_A2', 4, NULL),
(17040, NULL, 'IPR022715', NULL, 'Protein of unknown function DUF2671', 'DUF2671', 4, NULL),
(17041, NULL, 'IPR016922', NULL, 'Uncharacterised conserved protein UCP029505', 'UCP029505', 4, NULL),
(17042, NULL, 'IPR022775', NULL, 'AP complex, mu/sigma subunit', 'AP_mu_sigma_su', 3, NULL),
(17043, NULL, 'IPR017333', NULL, 'Uncharacterised conserved protein UCP037948, zinc finger MYND-type', 'UCP037948_Znf-MYND', 4, NULL),
(17044, NULL, 'IPR023577', NULL, 'CYTH domain', 'CYTH_domain', 3, NULL),
(17045, NULL, 'IPR016912', NULL, 'Bacteriophage P2, GpU', 'Phage_P2_GpU', 4, NULL),
(17046, NULL, 'IPR017672', NULL, 'Radical SAM methyltransferase MA_4551-like', 'MA_4551-like', 4, NULL),
(17047, NULL, 'IPR020006', NULL, 'Flagellar biosynthesis protein FlhF', 'FlhF', 4, NULL),
(17048, NULL, 'IPR017665', NULL, 'Guanylate kinase', 'Guanylate_kinase', 4, NULL),
(17049, NULL, 'IPR019999', NULL, 'Anthranilate synthase component I-like', 'Anth_synth_I-like', 4, NULL),
(17050, NULL, 'IPR018672', NULL, 'Protein of unknown function DUF2140', 'DUF2140', 4, NULL),
(17051, NULL, 'IPR022718', NULL, 'Protein of unknown function DUF2672', 'DUF2672', 4, NULL),
(17052, NULL, 'IPR016229', NULL, 'Thiamine-phosphate synthase, cyanobacterial/bacterial', 'TMP_synthase_cyanobac_bac', 4, NULL),
(17053, NULL, 'IPR016917', NULL, 'Uncharacterised conserved protein UCP029393', 'UCP029393', 4, NULL),
(17054, NULL, 'IPR017322', NULL, 'Receptor-interacting serine/threonine-protein kinase 2', 'Rcpt-int_Ser/Thr_kinase-2', 4, NULL),
(17055, NULL, 'IPR022679', NULL, 'Methyl-coenzyme M reductase, beta subunit, C-terminal', 'Me_CoM_Rdtase_bsu_C', 3, NULL),
(17056, NULL, 'IPR016208', NULL, 'Aldehyde oxidase/xanthine dehydrogenase', 'Ald_Oxase/xanthine_DH', 4, NULL),
(17057, NULL, 'IPR019878', NULL, 'Succinyldiaminopimelate transaminase, DapC, beta/gammaproteobacteria', 'DapC_beta/gammaproteobac', 4, NULL),
(17058, NULL, 'IPR034510', NULL, 'SECp43, RNA recognition motif 2', 'SECp43_RRM2', 3, NULL),
(17059, NULL, 'IPR022745', NULL, 'Eukaryotic translation initiation factor 4G1, eIF4E-binding domain', 'eIF4G1_eIF4E-bd', 3, NULL),
(17060, NULL, 'IPR019867', NULL, 'Gliding motility-associated lipoprotein GldK, short form', 'Glid_motil-assoc_GldK_short', 4, NULL),
(17061, NULL, 'IPR016901', NULL, 'Anaphase-promoting complex subunit APC10/Doc1', 'APC10/Doc1', 4, NULL),
(17062, NULL, 'IPR021183', NULL, 'N-terminal acetyltransferase A, auxiliary subunit', 'NatA_aux_su', 4, NULL),
(17063, NULL, 'IPR023840', NULL, 'Type VII secretion system Rv3446c', 'T7SS_Rv3446c', 4, NULL),
(17064, NULL, 'IPR016216', NULL, 'Monophenol monooxygenase, fungi', 'Monophenol_mOase_fun', 4, NULL),
(17065, NULL, 'IPR016905', NULL, 'Glycyl radical enzyme, HI0521, predicted', 'Glycyl_radical_HI0521_prd', 4, NULL),
(17066, NULL, 'IPR023852', NULL, 'Metalloproteinase lipoprotein, BF0631', 'Metalloproteinase_lipop_BF0631', 4, NULL),
(17067, NULL, 'IPR016884', NULL, 'Uncharacterised conserved protein UCP028438', 'UCP028438', 4, NULL),
(17068, NULL, 'IPR018683', NULL, 'Domain of unknown function DUF2169', 'DUF2169', 3, NULL),
(17069, NULL, 'IPR017652', NULL, 'Acetyl/Succinylornithine transaminase family, bacteria', 'Ac/SucOrn_transaminase_bac', 4, NULL),
(17070, NULL, 'IPR022663', NULL, 'Dihydrodipicolinate reductase, C-terminal', 'DapB_C', 3, NULL),
(17071, NULL, 'IPR020010', NULL, 'Conserved hypothetical protein CHP03503', 'CHP03503', 4, NULL),
(17072, NULL, 'IPR022660', NULL, 'Domain of unknown function DUF1581', 'DUF1581', 3, NULL),
(17073, NULL, 'IPR019871', NULL, 'Diaminopropionate ammonia-lyase, subgroup', 'DiNH2propionate_NH3-lyase_sub', 4, NULL),
(17074, NULL, 'IPR023836', NULL, 'EccCa-like, Actinobacteria', 'EccCa-like_Actinobacteria', 4, NULL),
(17075, NULL, 'IPR022906', NULL, 'Uncharacterised protein family UPF0127', 'UPF0127', 4, NULL),
(17076, NULL, 'IPR017659', NULL, 'Formyl-CoA:oxalate CoA-transferase', 'Formyl_CoA_transfer', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17077, NULL, 'IPR022881', NULL, 'Ribosomal RNA large subunit methyltransferase, Cfr', 'rRNA_lsu_MeTfrase_Cfr', 4, NULL),
(17078, NULL, 'IPR023846', NULL, 'Conserved hypothetical protein CHP04042, MSMEG0570', 'CHP04042_MSMEG0570', 4, NULL),
(17079, NULL, 'IPR022680', NULL, 'Methyl-coenzyme M reductase, beta subunit, N-terminal', 'Me_CoM_Rdtase_bsu_N', 3, NULL),
(17080, NULL, 'IPR016242', NULL, 'Serine/threonine-protein kinase Mps1', 'Mps1', 4, NULL),
(17081, NULL, 'IPR017331', NULL, 'Peptidoglycan recognition protein, PGRP-S', 'Peptidoglycan_recognition', 4, NULL),
(17082, NULL, 'IPR022866', NULL, 'Heat shock protein HspQ', 'HspQ', 4, NULL),
(17083, NULL, 'IPR022903', NULL, 'Glycine cleavage system T protein, bacteria', 'GCS_T_bac', 4, NULL),
(17084, NULL, 'IPR019996', NULL, 'Salicylate synthase', 'Salicylate_synthase', 4, NULL),
(17085, NULL, 'IPR023842', NULL, 'Bacillithiol biosynthesis deacetylase, BshB1', 'Bacillithiol_biosynth_BshB1', 4, NULL),
(17086, NULL, 'IPR016887', NULL, 'Uncharacterised conserved protein UCP028470, steroid isomerase-related', 'UCP028470_steroid_isom-rel', 4, NULL),
(17087, NULL, 'IPR023679', NULL, 'Uncharacterised protein family UPF0761, bacterial', 'UPF0761_bac', 4, NULL),
(17088, NULL, 'IPR034040', NULL, 'Tumor necrosis factor receptor 11A, N-terminal', 'TNFRSF11A_N', 3, NULL),
(17089, NULL, 'IPR023533', NULL, 'Ribosomal protein S6--L-glutamate ligase RimK', 'RimK', 4, NULL),
(17090, NULL, 'IPR016207', NULL, 'Ketol-acid reductoisomerase, fungi', 'KetolA_reductoisomerase_fun', 4, NULL),
(17091, NULL, 'IPR018674', NULL, 'Protein of unknown function DUF2142, membrane', 'DUF2142_membrane', 4, NULL),
(17092, NULL, 'IPR021116', NULL, 'Calcitonin/adrenomedullin', 'Calcitonin/adrenomedullin', 4, NULL),
(17093, NULL, 'IPR022857', NULL, 'Undecaprenyl-phosphate 4-deoxy-4-formamido-L-arabinose transferase', 'ArnC_tfrase', 4, NULL),
(17094, NULL, 'IPR023482', NULL, 'Uncharacterised protein family Ves', 'Uncharacterised_Ves', 4, NULL),
(17095, NULL, 'IPR018687', NULL, 'Protein of unknown function DUF2177, membrane', 'DUF2177_membr', 4, NULL),
(17096, NULL, 'IPR022710', NULL, 'Metallothionein domain, yeast', 'Metalthion_dom_yeast', 3, NULL),
(17097, NULL, 'IPR022644', NULL, 'Orn/DAP/Arg decarboxylase 2, N-terminal', 'De-COase2_N', 3, NULL),
(17098, NULL, 'IPR023512', NULL, 'Deaminase MtaD/DadD', 'Deaminase_MtaD/DadD', 4, NULL),
(17099, NULL, 'IPR016907', NULL, 'Uncharacterised conserved protein UCP029033, periplasmic protein', 'UCP029033', 4, NULL),
(17100, NULL, 'IPR017323', NULL, 'Lysyl endopeptidase', 'Lysyl_endo-pept', 4, NULL),
(17101, NULL, 'IPR022720', NULL, 'Gliding motility-associated protein GldM, N-terminal', 'Motility-assoc_prot_GldM_N', 3, NULL),
(17102, NULL, 'IPR016890', NULL, 'Uncharacterised conserved protein UCP028520', 'UCP028520', 4, NULL),
(17103, NULL, 'IPR022642', NULL, 'MCP methyltransferase, CheR-type, SAM-binding domain, C-terminal', 'CheR_C', 3, NULL),
(17104, NULL, 'IPR016891', NULL, 'Protein of unknown function DUF2321', 'DUF2321', 4, NULL),
(17105, NULL, 'IPR023526', NULL, 'Sulphur relay, TusB', 'Sulphur_relay_TusB', 4, NULL),
(17106, NULL, 'IPR022793', NULL, 'RNA polymerase I-specific transcription initiation factor Rrn10', 'Rrn10', 4, NULL),
(17107, NULL, 'IPR022889', NULL, 'DNA-binding protein, archaeal', 'DNA_bind_arc', 4, NULL),
(17108, NULL, 'IPR021185', NULL, 'Tumour necrosis factor family protein, CD30 ligand type', 'TNF_CD30_ligand_type', 4, NULL),
(17109, NULL, 'IPR019995', NULL, 'Cellulose biosynthesis, BcsF/YhjT', 'Cellulose_BcsF/YhjT', 4, NULL),
(17110, NULL, 'IPR016213', NULL, 'Polyphenol oxidase', 'Polyphenol_oxidase', 4, NULL),
(17111, NULL, 'IPR022752', NULL, 'Signal transducer and activation of transcription 1, TAZ2 binding domain, C-terminal', 'STAT1_TAZ2-bd_C', 3, NULL),
(17112, NULL, 'IPR019872', NULL, 'O-phosphoseryl-tRNA(Sec) selenium transferase', 'Sec-tRNA_Se_transferase', 4, NULL),
(17113, NULL, 'IPR018677', NULL, 'Domain of unknown function DUF2157', 'DUF2157', 3, NULL),
(17114, NULL, 'IPR022641', NULL, 'Chemotaxis receptor methyltransferase CheR, N-terminal', 'CheR_N', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17115, NULL, 'IPR017649', NULL, 'Succinylglutamate-semialdehyde dehydrogenase', 'SuccinylGlu_semiald_DH_AstD', 4, NULL),
(17116, NULL, 'IPR022739', NULL, 'Polyphenol oxidase, central domain', 'Polyphenol_oxidase_cen', 3, NULL),
(17117, NULL, 'IPR022861', NULL, 'Glutamine-tRNA ligase, bacterial', 'Gln_tRNA_ligase_bac', 4, NULL),
(17118, NULL, 'IPR035120', NULL, 'Protein of unknown function DUF5509', 'DUF5509', 4, NULL),
(17119, NULL, 'IPR022825', NULL, 'Lactate utilization protein B', 'LutB', 4, NULL),
(17120, NULL, 'IPR034671', NULL, 'Hormonally up-regulated neu tumour-associated kinase, catalytic domain', 'Hunk', 3, NULL),
(17121, NULL, 'IPR018673', NULL, 'Protein of unknown function DUF2141', 'DUF2141', 4, NULL),
(17122, NULL, 'IPR020008', NULL, 'GlyGly-CTERM domain', 'GlyGly_CTERM', 3, NULL),
(17123, NULL, 'IPR022687', NULL, 'DTXR-type HTH domain', 'HTH_DTXR', 3, NULL),
(17124, NULL, 'IPR023850', NULL, 'Peptide chaperone MftB', 'MftB', 4, NULL),
(17125, NULL, 'IPR022821', NULL, 'Transcription regulator HTH, MurR', 'Tscrpt_reg_HTH_MurR', 4, NULL),
(17126, NULL, 'IPR016915', NULL, 'Uncharacterised conserved protein UCP029342', 'UCP029342', 4, NULL),
(17127, NULL, 'IPR022844', NULL, 'Glycogen debranching enzyme, bacterial', 'Glycogen_debranch_bac', 4, NULL),
(17128, NULL, 'IPR022655', NULL, 'Domain of unknown function DUF1553', 'DUF1553', 3, NULL),
(17129, NULL, 'IPR023524', NULL, 'Uncharacterised protein family SprT-like', 'Uncharacterised_SprT-like', 4, NULL),
(17130, NULL, 'IPR035122', NULL, 'Uncharacterized protein B277', 'B277', 4, NULL),
(17131, NULL, 'IPR016239', NULL, 'Ribosomal protein S6 kinase II', 'Ribosomal_S6_kinase_II', 4, NULL),
(17132, NULL, 'IPR016897', NULL, 'S-phase kinase-associated protein 1', 'SKP1', 4, NULL),
(17133, NULL, 'IPR016903', NULL, 'Nucleolar complex-associated protein 3', 'Nucleolar_cplx-assoc_3', 4, NULL),
(17134, NULL, 'IPR018686', NULL, 'Protein of unknown function DUF2175', 'DUF2175', 4, NULL),
(17135, NULL, 'IPR016212', NULL, 'Methyl coenzyme M reductase, alpha subunit', 'Me_CoM_Rdtase_asu', 4, NULL),
(17136, NULL, 'IPR023843', NULL, 'CRISPR-associated protein Cas1, cyanobacteria-type', 'CRISPR-assoc_Cas1_cyanobact', 4, NULL),
(17137, NULL, 'IPR016238', NULL, 'Ribosomal protein S6 kinase', 'Ribosomal_S6_kinase', 4, NULL),
(17138, NULL, 'IPR021118', NULL, 'Calcitonin', 'Calcitonin', 4, NULL),
(17139, NULL, 'IPR022812', NULL, 'Dynamin', 'Dynamin', 4, NULL),
(17140, NULL, 'IPR022827', NULL, 'Phycoerythrobilin:ferredoxin oxidoreductase', 'Phycoerythrobilin_Fdx_Rdtase', 4, NULL),
(17141, NULL, 'IPR034507', NULL, 'RBM14, RNA recognition motif 2', 'RBM14_RRM2', 3, NULL),
(17142, NULL, 'IPR016234', NULL, 'Serine/threonine-protein kinase, Sbk1', 'Ser/Thr_kinase_Sbk1', 4, NULL),
(17143, NULL, 'IPR034197', NULL, 'Cucumisin-like catalytic domain', 'Peptidases_S8_3', 3, NULL),
(17144, NULL, 'IPR022657', NULL, 'Orn/DAP/Arg decarboxylase 2, conserved site', 'De-COase2_CS', 2, NULL),
(17145, NULL, 'IPR016250', NULL, 'Tyrosine-protein kinase, Fes/Fps type', 'Tyr-prot_kinase_Fes/Fps', 4, NULL),
(17146, NULL, 'IPR017343', NULL, 'Uncharacterised conserved protein UCP037987', 'UCP037987', 4, NULL),
(17147, NULL, 'IPR023532', NULL, 'H/ACA ribonucleoprotein complex subunit Nop10 , archaeal-type', 'Nop10_arc-typ', 4, NULL),
(17148, NULL, 'IPR022898', NULL, 'Ribonuclease HII', 'RNase_HII', 4, NULL),
(17149, NULL, 'IPR022702', NULL, 'DNA (cytosine-5)-methyltransferase 1, replication foci domain', 'Cytosine_MeTrfase1_RFD', 3, NULL),
(17150, NULL, 'IPR016219', NULL, 'Phosphatidylethanolamine N-methyltransferase, fungi', 'Phosphatid-EA_MeTrfase_fun', 4, NULL),
(17151, NULL, 'IPR022648', NULL, 'Proliferating cell nuclear antigen, PCNA, N-terminal', 'Pr_cel_nuc_antig_N', 3, NULL),
(17152, NULL, 'IPR022703', NULL, 'Domain of unknown function DUF3533', 'DUF3533', 3, NULL),
(17153, NULL, 'IPR022841', NULL, '5-dehydro-2-deoxygluconokinase, Firmicutes', 'DKG_kinase_firmi', 4, NULL),
(17154, NULL, 'IPR035057', NULL, 'SH2B1, SH2 domain', 'SH2B1_SH2', 3, NULL),
(17155, NULL, 'IPR020003', NULL, 'ATPase, alpha/beta subunit, nucleotide-binding domain, active site', 'ATPase_a/bsu_AS', 0, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17156, NULL, 'IPR023749', NULL, 'Co-chaperone DjlA', 'DjlA', 4, NULL),
(17157, NULL, 'IPR023894', NULL, 'Sporulation delaying protein SdpB', 'Sporulation_SdpB', 4, NULL),
(17158, NULL, 'IPR016252', NULL, 'Serine/threonine-protein kinase SpkB', 'Ser/Thr_kinase_SpkB', 4, NULL),
(17159, NULL, 'IPR023586', NULL, 'Isoleucine-tRNA ligase, type 2', 'Ile-tRNA-ligase_type2', 4, NULL),
(17160, NULL, 'IPR016925', NULL, 'Uncharacterised conserved protein UCP029570', 'UCP029570', 4, NULL),
(17161, NULL, 'IPR022846', NULL, 'Xaa-Pro dipeptidase', 'X_Pro_dipept', 4, NULL),
(17162, NULL, 'IPR022708', NULL, 'Serine/threonine-protein kinase, C-terminal', 'Ser/Thr_kinase_C', 3, NULL),
(17163, NULL, 'IPR023653', NULL, 'Acetoacetate decarboxylase, bacterial', 'Acetoacetate_decarboxylase_bac', 4, NULL),
(17164, NULL, 'IPR035412', NULL, 'Phage terminase large subunit, N-terminal', 'Terminase_L_N', 3, NULL),
(17165, NULL, 'IPR017326', NULL, 'Peptidase S1A, polyserase-2', 'Pept_S1A_polyserase-2', 4, NULL),
(17166, NULL, 'IPR022852', NULL, 'Carnitinyl-CoA dehydratase', 'Carnitinyl_CoA_dehydratase', 4, NULL),
(17167, NULL, 'IPR034962', NULL, 'Paxillin-like protein 1', 'Pxl1', 4, NULL),
(17168, NULL, 'IPR017320', NULL, 'Histone deacetylase class II, eukaryotic', 'Histone_deAcase_II_euk', 4, NULL),
(17169, NULL, 'IPR016908', NULL, 'Uncharacterised conserved protein UCP029037', 'UCP029037', 4, NULL),
(17170, NULL, 'IPR022872', NULL, 'Quinate/Shikimate dehydrogenase', 'Quinate/Shikimate_DH', 4, NULL),
(17171, NULL, 'IPR023534', NULL, 'Rof/RNase P-like', 'Rof/RNase_P-like', 5, NULL),
(17172, NULL, 'IPR022883', NULL, '4-amino-4-deoxy-L-arabinose-phosphoundecaprenol flippase, subunit ArnE', 'Flippase_ArnE', 4, NULL),
(17173, NULL, 'IPR016919', NULL, 'Uncharacterised conserved protein UCP029416, tyrosine-protein phosphatase, Mlr4629', 'UCP029416_PTP', 4, NULL),
(17174, NULL, 'IPR023481', NULL, 'Uncharacterised protein family ViaA', 'Uncharacterised_ViaA', 4, NULL),
(17175, NULL, 'IPR035413', NULL, 'Phage terminase large subunit, C-terminal', 'Terminase_L_C', 3, NULL),
(17176, NULL, 'IPR023634', NULL, 'Reovirus, outer capsid sigma-3 domain superfamily', 'Reovirus_capsid_sigma-3_dom_sf', 5, NULL),
(17177, NULL, 'IPR034976', NULL, 'Somatolactin', 'Somatolactin', 4, NULL),
(17178, NULL, 'IPR022732', NULL, 'Peptidase S54, GlpG peptidase, N-terminal', 'Peptidase_S54_GlpG_N', 3, NULL),
(17179, NULL, 'IPR022819', NULL, 'Poxvirus Bcl-2-like', 'Poxvirus_Bcl-2-like', 4, NULL),
(17180, NULL, 'IPR022778', NULL, 'CDKN3 domain', 'CDKN3', 3, NULL),
(17181, NULL, 'IPR023851', NULL, 'Transcriptional regulator, TetR-type', 'Tscrpt_reg_TetR-type', 4, NULL),
(17182, NULL, 'IPR023382', NULL, 'Adenine nucleotide alpha hydrolase-like domains', 'Adenine_a_hdrlase_dom', 5, NULL),
(17183, NULL, 'IPR017328', NULL, 'Sirtuin, class I', 'Sirtuin_class_I', 4, NULL),
(17184, NULL, 'IPR023483', NULL, 'Uncharacterised protein family SprT', 'Uncharacterised_SprT', 4, NULL),
(17185, NULL, 'IPR017327', NULL, 'Peptidase S1A, TMPRSS13', 'Peptidase_S1A_TMPRSS13', 4, NULL),
(17186, NULL, 'IPR022797', NULL, 'Type III secretion system regulator LcrR/Chaperone CesD2', 'LcrR/CesD2', 4, NULL),
(17187, NULL, 'IPR016247', NULL, 'Tyrosine-protein kinase, receptor ROR', 'Tyr_kinase_rcpt_ROR', 4, NULL),
(17188, NULL, 'IPR023536', NULL, 'Coenzyme A disulphide reductase, staphyolococci', 'CoA_disulphide_reductase_staph', 4, NULL),
(17189, NULL, 'IPR022780', NULL, 'Dynein family light intermediate chain', 'Dynein_light_int_chain', 4, NULL),
(17190, NULL, 'IPR016215', NULL, 'Nitrilotriacetate monooxygenase component A/pristinamycin IIA synthase subunit A', 'NTA_MOA', 4, NULL),
(17191, NULL, 'IPR016895', NULL, 'Uncharacterised conserved protein UCP028680', 'UCP028680', 4, NULL),
(17192, NULL, 'IPR017335', NULL, 'E3 ubiquitin-protein ligase RNF8', 'RNF8', 4, NULL),
(17193, NULL, 'IPR019876', NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase, gammaproteobacteria', 'DapD_gammaproteobac', 4, NULL),
(17194, NULL, 'IPR034879', NULL, 'Mitogen-activated protein kinase kinase kinase 2/3, PB1 domain', 'PB1_MEKK2/3', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17195, NULL, 'IPR018218', NULL, 'Scorpion long chain toxin', 'Scorpion_toxinL', 4, NULL),
(17196, NULL, 'IPR022748', NULL, 'NADH dehydrogenase subunit 2, N-terminal', 'NADH_DH_su2_N', 3, NULL),
(17197, NULL, 'IPR016882', NULL, 'Uncharacterised protein family UPF0374', 'UPF0374', 4, NULL),
(17198, NULL, 'IPR022864', NULL, 'DnaA regulatory inactivator Hda, Enterobacteriaceae', 'Hda_Enterobact', 4, NULL),
(17199, NULL, 'IPR023387', NULL, 'DUF1653-like domain', 'DUF1653-like_dom', 3, NULL),
(17200, NULL, 'IPR023494', NULL, 'Cytochrome c biogenesis protein Ccs1/CcsB/ResB', 'Cyt_c_bgen_Ccs1/CcsB/ResB', 4, NULL),
(17201, NULL, 'IPR023543', NULL, 'rRNA small subunit methyltransferase C', 'rRNA_ssu_MeTfrase_C', 4, NULL),
(17202, NULL, 'IPR016206', NULL, 'Ketol-acid reductoisomerase, plant', 'KetolA_reductoisomerase_plant', 4, NULL),
(17203, NULL, 'IPR022902', NULL, 'N-acetyltransferase Eis', 'NAcTrfase_Eis', 4, NULL),
(17204, NULL, 'IPR023519', NULL, 'Glyoxylate reductase GyaR', 'Glyoxylate_reductase_GyaR', 4, NULL),
(17205, NULL, 'IPR017667', NULL, 'Putative methanogenesis marker protein 1', 'Methan_mark_1', 4, NULL),
(17206, NULL, 'IPR022828', NULL, 'Thiazole biosynthetic enzyme, prokaryotic', 'Thi4_prok', 4, NULL),
(17207, NULL, 'IPR016214', NULL, 'NAD-reducing hydrogenase, HoxS gamma subunit', 'NAD-red_Hydgase_HoxS_gsu', 4, NULL),
(17208, NULL, 'IPR022691', NULL, 'Transcription elongation factor, GreA/GreB, N-terminal', 'Tscrpt_elong_fac_GreA/B_N', 3, NULL),
(17209, NULL, 'IPR016899', NULL, 'mRNA cap guanine-N7 methyltransferase, eukaryotes', 'mRNA_G-N7_MeTrfase_euk', 4, NULL),
(17210, NULL, 'IPR022697', NULL, 'Homoserine dehydrogenase lacking ACT domain', 'HDH_short', 4, NULL),
(17211, NULL, 'IPR018684', NULL, 'Protein of unknown function DUF2171', 'DUF2171', 4, NULL),
(17212, NULL, 'IPR022678', NULL, 'Myristoyl-CoA:protein N-myristoyltransferase, conserved site', 'MyristoylCoA_TrFase_CS', 2, NULL),
(17213, NULL, 'IPR023548', NULL, 'Probable Brix domain-containing ribosomal biogenesis protein', 'Brix_dom_Rbsml_bgen_prot', 4, NULL),
(17214, NULL, 'IPR023531', NULL, 'Preprotein translocase subunit SecG', 'Preprot_translocase_SecG', 4, NULL),
(17215, NULL, 'IPR022909', NULL, '50S ribosomal protein L10, archaea', '50S_L10_arch', 4, NULL),
(17216, NULL, 'IPR022871', NULL, 'Para-hydroxybenzoic acid efflux pump, subunit AaeA', 'PHBA_efflux_pump_AaeA', 4, NULL),
(17217, NULL, 'IPR017336', NULL, 'Snurportin-1', 'Snurportin-1', 4, NULL),
(17218, NULL, 'IPR019870', NULL, 'Selenium metabolism protein YedF', 'Se_metab_YedF', 4, NULL),
(17219, NULL, 'IPR022756', NULL, 'Signal transducer and activation of transcription 2, C-terminal', 'STAT2_C', 3, NULL),
(17220, NULL, 'IPR022665', NULL, 'Methylaspartate ammonia-lyase, N-terminal', 'MeAsp_NH4-lyase_N', 3, NULL),
(17221, NULL, 'IPR022651', NULL, 'S-layer protein, C-terminal', 'S_layer_C', 3, NULL),
(17222, NULL, 'IPR019875', NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase, actinobacteria', 'DapD_actinobacteria', 4, NULL),
(17223, NULL, 'IPR034877', NULL, 'Protein kinase C, PB1 domain', 'PB1_aPKC', 3, NULL),
(17224, NULL, 'IPR022822', NULL, 'Lactate utilization protein A', 'LutA', 4, NULL),
(17225, NULL, 'IPR022757', NULL, 'Glucose signalling factor 2', 'Gsf2', 4, NULL),
(17226, NULL, 'IPR022867', NULL, 'Protein-methionine-sulfoxide reductase subunit MsrP', 'MsrP', 4, NULL),
(17227, NULL, 'IPR022653', NULL, 'Orn/DAP/Arg decarboxylase 2, pyridoxal-phosphate binding site', 'De-COase2_pyr-phos_BS', 1, NULL),
(17228, NULL, 'IPR023729', NULL, 'K(+)/H(+) antiporter NhaP2', 'NhaP2', 4, NULL),
(17229, NULL, 'IPR016223', NULL, 'DNA alpha-glucosyltransferase', 'DNA_alpha-glucosyltransferase', 4, NULL),
(17230, NULL, 'IPR017656', NULL, 'Putative phosphonoacetaldehyde dehydrogenase', 'Put_phosphonoacetaldehyde_DH', 4, NULL),
(17231, NULL, 'IPR023517', NULL, 'Amino acid/peptide transporter family, dipeptide and tripeptide permease A', 'AA/pep_transptr_DtpA', 4, NULL),
(17232, NULL, 'IPR022901', NULL, 'snRNP Sm-like, putative, archaea', 'snRNP_Sm-like_arc', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17233, NULL, 'IPR022727', NULL, 'Pupal cuticle protein C1', 'Cuticle_C1', 4, NULL),
(17234, NULL, 'IPR022805', NULL, 'Phosphoenolpyruvate carboxylase, bacterial/plant-type', 'PEP_COase_bac/pln-type', 4, NULL),
(17235, NULL, 'IPR022742', NULL, 'Serine aminopeptidase, S33', 'Hydrolase_4', 3, NULL),
(17236, NULL, 'IPR017671', NULL, 'Putative methanogenesis marker domain 9', 'Methan_mark_9', 3, NULL),
(17237, NULL, 'IPR023528', NULL, 'Major facilitator superfamily transporter, TsgA', 'MFS_TsgA', 4, NULL),
(17238, NULL, 'IPR022776', NULL, 'TRM13/UPF0224 family, U11-48K-like CHHC zinc finger domain', 'TRM13/UPF0224_CHHC_Znf_dom', 3, NULL),
(17239, NULL, 'IPR017657', NULL, 'L-lysine 6-transaminase', 'L-lysine_6-transaminase', 4, NULL),
(17240, NULL, 'IPR023546', NULL, 'Methylated-DNA--protein-cysteine methyltransferase', 'MGMT', 4, NULL),
(17241, NULL, 'IPR016235', NULL, 'Tyrosine/threonine-protein kinase, Cdc2 inhibitor', 'Tyr/Thr_kinase_Cdc2_inhib', 4, NULL),
(17242, NULL, 'IPR022721', NULL, 'Protein of unknown function DUF3561', 'DUF3561', 4, NULL),
(17243, NULL, 'IPR022820', NULL, 'Uncharacterised protein family UPF0758, YicR subfamily', 'UPF0758_YicR', 4, NULL),
(17244, NULL, 'IPR023138', NULL, 'NMB0513-like superfamily', 'NMB0513-like_sf', 5, NULL),
(17245, NULL, 'IPR023539', NULL, 'Ribonuclease P, protein component 3, archaeal', 'RNase_P_comp-3_arc', 4, NULL),
(17246, NULL, 'IPR022719', NULL, 'Gliding motility-associated protein GldM, C-terminal', 'Motility-assoc_prot_GldM_C', 3, NULL),
(17247, NULL, 'IPR022711', NULL, 'Ribonuclease Y, N-terminal', 'RNase_Y_N', 3, NULL),
(17248, NULL, 'IPR018680', NULL, 'Protein of unknown function DUF2164', 'DUF2164', 4, NULL),
(17249, NULL, 'IPR022714', NULL, 'Protein of unknown function DUF2670', 'DUF2670', 4, NULL),
(17250, NULL, 'IPR023137', NULL, 'BrxA superfamily', 'BrxA_sf', 5, NULL),
(17251, NULL, 'IPR022746', NULL, 'Cathelicidin, antimicrobial peptide, C-terminal', 'Cathlecidin_C', 3, NULL),
(17252, NULL, 'IPR021184', NULL, 'Tumour necrosis factor, conserved site', 'TNF_CS', 2, NULL),
(17253, NULL, 'IPR022674', NULL, 'Glucose-6-phosphate dehydrogenase, NAD-binding', 'G6P_DH_NAD-bd', 3, NULL),
(17254, NULL, 'IPR019873', NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-acetyltransferase, DapH', 'DapH', 4, NULL),
(17255, NULL, 'IPR022744', NULL, 'Methyltransferase domain, putative', 'MeTrfase_dom_put', 3, NULL),
(17256, NULL, 'IPR022730', NULL, 'DAZ associated protein 2', 'DAZ_assoc-2', 4, NULL),
(17257, NULL, 'IPR016931', NULL, 'Uncharacterised conserved protein UCP029658, TPR', 'UCP029658_TPR', 4, NULL),
(17258, NULL, 'IPR022643', NULL, 'Orn/DAP/Arg decarboxylase 2, C-terminal', 'De-COase2_C', 3, NULL),
(17259, NULL, 'IPR035121', NULL, 'Uncharacterized protein US30', 'US30', 4, NULL),
(17260, NULL, 'IPR022863', NULL, 'Ribosomal protein S12, archaea', 'Ribosomal_S12_arc', 4, NULL),
(17261, NULL, 'IPR022794', NULL, 'Bul1, C-terminal', 'Bul1_C', 3, NULL),
(17262, NULL, 'IPR022666', NULL, 'Ribosomal Proteins L2, RNA binding domain', 'Rbsml_prot_L2_RNA-bd_dom', 3, NULL),
(17263, NULL, 'IPR035059', NULL, 'SH2B3, SH2 domain', 'SH2B3_SH2', 3, NULL),
(17264, NULL, 'IPR022823', NULL, 'Lactate utilization protein C', 'LutC', 4, NULL),
(17265, NULL, 'IPR022758', NULL, 'ATP-dependent helicase Sgs1', 'Helicase_Sgs1', 3, NULL),
(17266, NULL, 'IPR016896', NULL, 'Protein of unknown function DUF2860', 'DUF2860', 4, NULL),
(17267, NULL, 'IPR022706', NULL, 'Antifungal protein', 'Antifungal_prot', 4, NULL),
(17268, NULL, 'IPR016910', NULL, 'Uncharacterised conserved protein UCP029195, PTS-EIIA 2', 'UCP029195_PTS_EIIA2', 4, NULL),
(17269, NULL, 'IPR016883', NULL, 'Uncharacterised conserved protein UCP028431', 'UCP028431', 4, NULL),
(17270, NULL, 'IPR022830', NULL, 'Indigoidine synthase A-like', 'Indigdn_synthA-like', 5, NULL),
(17271, NULL, 'IPR022716', NULL, 'Gcn1, N-terminal', 'Gcn1_N', 3, NULL),
(17272, NULL, 'IPR016230', NULL, 'Serine-protein kinase, PrkA', 'Ser_kinase_PrkA', 4, NULL),
(17273, NULL, 'IPR022734', NULL, 'Apolipoprotein M', 'ApoM', 4, NULL),
(17274, NULL, 'IPR016930', NULL, 'Uncharacterised conserved protein UCP029644, LysM, PA4035', 'UCP029644', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17275, NULL, 'IPR022669', NULL, 'Ribosomal protein L2, C-terminal', 'Ribosomal_L2_C', 3, NULL),
(17276, NULL, 'IPR023496', NULL, 'Deoxyhypusine synthase-like', 'Deoxyhypusine_synthase-like', 4, NULL),
(17277, NULL, 'IPR022870', NULL, 'Phycocyanobilin:ferredoxin oxidoreductase', 'Ferredoxin_bilin_OxRdtase', 4, NULL),
(17278, NULL, 'IPR022877', NULL, 'Protein of unknown funcion UPF0173', 'UPF0173', 4, NULL),
(17279, NULL, 'IPR016236', NULL, 'Serine/threonine-protein kinase PknK, predicted', 'Ser/Thr_kinase_PknK_prd', 4, NULL),
(17280, NULL, 'IPR023830', NULL, 'Peptidase S8A, PatG', 'Peptidase_S8A_PatG', 4, NULL),
(17281, NULL, 'IPR022829', NULL, '1,4-dihydroxy-2-naphthoyl-CoA hydrolase', 'DHNA_CoA_hydrolase', 4, NULL),
(17282, NULL, 'IPR023139', NULL, 'PBDC1-like domain superfamily', 'PBDC1-like_dom_sf', 5, NULL),
(17283, NULL, 'IPR024627', NULL, 'V(D)J recombination-activating protein 1', 'RAG1', 4, NULL),
(17284, NULL, 'IPR023098', NULL, 'L-serine kinase SerK/SbnI, C-terminal', 'SerK/SbnI_C', 5, NULL),
(17285, NULL, 'IPR016231', NULL, 'Mitogen-activated protein (MAP) kinase kinase kinase, MLK1-4', 'MLK1-4', 4, NULL),
(17286, NULL, 'IPR022646', NULL, 'Protein-export membrane protein SecD/SecF/SecDF, conserved site', 'SecD/SecF_CS', 2, NULL),
(17287, NULL, 'IPR023542', NULL, 'rRNA large subunit methyltransferase I', 'rRNA_lsu_MeTfrase_I', 4, NULL),
(17288, NULL, 'IPR020011', NULL, 'Motility protein FimV, C-terminal', 'Motility_prot_FimV_C', 3, NULL),
(17289, NULL, 'IPR022911', NULL, 'Phenylalanine-tRNA ligase alpha chain 1, bacterial', 'Phe_tRNA_ligase_alpha1_bac', 4, NULL),
(17290, NULL, 'IPR023874', NULL, 'DNA modification/repair radical SAM protein, putative', 'DNA_rSAM_put', 4, NULL),
(17291, NULL, 'IPR020000', NULL, 'Bacteriophage P2, LysB', 'Phage_P2_LysB', 4, NULL),
(17292, NULL, 'IPR022704', NULL, 'Protein of unknown function DUF2746', 'DUF2746', 4, NULL),
(17293, NULL, 'IPR016909', NULL, 'Ribosomal RNA large subunit methyltransferase F', 'rRNA_lsu_MeTfrase_F', 4, NULL),
(17294, NULL, 'IPR017651', NULL, 'Arginine/ornithine succinyltransferase, alpha subunit', 'Arg/Orn_succinylTfrase_asu', 4, NULL),
(17295, NULL, 'IPR023535', NULL, 'Threonylcarbamoyl-AMP synthase', 'TC-AMP_synthase', 4, NULL),
(17296, NULL, 'IPR023793', NULL, '2-keto-4-pentenoate hydratase', 'Keto_pentenoate-hydratase', 4, NULL),
(17297, NULL, 'IPR019880', NULL, '4-dedimethylamino-4-oxo-anhydrotetracycline transaminase OxyQ', 'OxyQ', 4, NULL),
(17298, NULL, 'IPR017325', NULL, 'RNA binding protein Fox-1', 'RNA-bd_Fox-1', 4, NULL),
(17299, NULL, 'IPR023834', NULL, 'Type VII secretion system peptidase S8A, mycosin', 'T7SS_pept_S8A_mycosin', 4, NULL),
(17300, NULL, 'IPR016926', NULL, 'Uncharacterised conserved protein UCP029594', 'UCP029594', 4, NULL),
(17301, NULL, 'IPR019994', NULL, 'Conserved hypothetical protein CHP03492', 'CHP03492', 4, NULL),
(17302, NULL, 'IPR019877', NULL, 'Succinyldiaminopimelate transaminase, DapC', 'DapC', 4, NULL),
(17303, NULL, 'IPR022800', NULL, 'Spt4/RpoE2 zinc finger', 'Spt4/RpoE2_Znf', 3, NULL),
(17304, NULL, 'IPR016249', NULL, 'Tyrosine-protein kinase, Ret receptor', 'Tyr_kinase_Ret_rcpt', 4, NULL),
(17305, NULL, 'IPR023833', NULL, 'Signal peptide, camelysin', 'Signal_peptide_camelysin', 3, NULL),
(17306, NULL, 'IPR017339', NULL, 'Trans-activator protein BZLF1, human herpesvirus 4', 'Trans-activator_BZLF1_HHV-4', 4, NULL),
(17307, NULL, 'IPR017341', NULL, 'Membrane cofactor protein CD46', 'CD46', 4, NULL),
(17308, NULL, 'IPR016933', NULL, 'Pentapeptide repeat-containing uncharacterised conserved protein UCP029688', 'UCP029688_pentapep', 4, NULL),
(17309, NULL, 'IPR016256', NULL, 'Serine/threonine-protein kinase Rad53', 'Ser/Thr_kinase_Rad53', 4, NULL),
(17310, NULL, 'IPR016254', NULL, 'Serine/threonine-protein kinase, asfivirus', 'Ser/Thr_kinase_asfivir', 4, NULL),
(17311, NULL, 'IPR019874', NULL, 'Protein-(glutamine-N5) methyltransferase, release factor-specific', 'Release_fac_Glu-N5_MeTfrase', 4, NULL),
(17312, NULL, 'IPR022650', NULL, 'S-layer protein, N-terminal', 'S_layer_N', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17313, NULL, 'IPR022675', NULL, 'Glucose-6-phosphate dehydrogenase, C-terminal', 'G6P_DH_C', 3, NULL),
(17314, NULL, 'IPR023632', NULL, 'ATP synthase, F1 complex, gamma subunit conserved site', 'ATP_synth_F1_gsu_CS', 2, NULL),
(17315, NULL, 'IPR016889', NULL, 'Uncharacterised conserved protein UCP028503', 'UCP028503', 4, NULL),
(17316, NULL, 'IPR016918', NULL, 'Uncharacterised conserved protein UCP029394', 'UCP029394', 4, NULL),
(17317, NULL, 'IPR022709', NULL, 'Protein SCAI', 'SCAI', 4, NULL),
(17318, NULL, 'IPR023838', NULL, 'Type VII secretion system EsaA', 'T7SS_EsaA', 3, NULL),
(17319, NULL, 'IPR023551', NULL, 'Iron-sulfur cluster repair protein ScdA', 'ScdA', 4, NULL),
(17320, NULL, 'IPR023385', NULL, 'YopX-like, C-terminal', 'YopX-like_C', 5, NULL),
(17321, NULL, 'IPR017329', NULL, 'Peptidase S1A, HAT/DESC1', 'Pept_S1A_HAT/DESC1', 4, NULL),
(17322, NULL, 'IPR023389', NULL, 'DOPA-like superfamily', 'DOPA-like_sf', 5, NULL),
(17323, NULL, 'IPR017654', NULL, 'Galactarate dehydratase GarD-like', 'GarD-like', 4, NULL),
(17324, NULL, 'IPR023510', NULL, 'Methylmalonate-semialdehyde dehydrogenase, Gram-positive bacteria', 'MSDH_GmP_bac', 4, NULL),
(17325, NULL, 'IPR019869', NULL, 'Gliding motility-associated, peptidyl-prolyl isomerase, GldI', 'Motility-assoc_PPIase_GldI', 4, NULL),
(17326, NULL, 'IPR022784', NULL, 'Ribosome biogenesis protein Alb1', 'Ribosome_bgen_Alb1', 4, NULL),
(17327, NULL, 'IPR023849', NULL, 'Uncharacterised domain CHP03934, TQXA', 'CHP03934_TQXA', 3, NULL),
(17328, NULL, 'IPR022741', NULL, 'Bacteriophage B103, Gp8,  head fibre', 'Phage_B103_Gp8', 4, NULL),
(17329, NULL, 'IPR022664', NULL, 'Dihydrodipicolinate reductase, conserved site', 'DapB_N_CS', 2, NULL),
(17330, NULL, 'IPR023791', NULL, '2-hydroxy-6-oxononadienedioate/2-hydroxy-6-oxononatrienedioate hydrolase', 'MhpC_alpha/beta_hydrolase', 4, NULL),
(17331, NULL, 'IPR022676', NULL, 'Myristoyl-CoA:protein N-myristoyltransferase, N-terminal', 'MyristoylCoA_TrFase_N', 3, NULL),
(17332, NULL, 'IPR022637', NULL, 'DNA polymerase III, beta sliding clamp, central', 'DNA_polIII_beta_cen', 3, NULL),
(17333, NULL, 'IPR023872', NULL, 'Poly-beta-1,6-N-acetyl-D-glucosamine N-deacetylase', 'PNAG_deacetylase', 4, NULL),
(17334, NULL, 'IPR035061', NULL, 'Shark-like, N-terminal SH2 domain', 'Shark-like_SH2_N', 3, NULL),
(17335, NULL, 'IPR018492', NULL, 'Ribosomal protein L7Ae/L8/Nhp2 family', 'Ribosomal_L7Ae/L8/Nhp2', 4, NULL),
(17336, NULL, 'IPR023529', NULL, 'RNA chaperone ProQ', 'ProQ', 4, NULL),
(17337, NULL, 'IPR023591', NULL, 'Ribosomal protein S2, flavodoxin-like domain superfamily', 'Ribosomal_S2_flav_dom_sf', 5, NULL),
(17338, NULL, 'IPR023545', NULL, 'rRNA small subunit methyltransferase F', 'rRNA_ssu_MeTfrase_F', 4, NULL),
(17339, NULL, 'IPR023789', NULL, '2,3-dihydroxyphenylpropionate/2,3-dihydroxicinnamic acid 1,2-dioxygenase', 'DHPP/DHXA_dioxygenase', 4, NULL),
(17340, NULL, 'IPR022736', NULL, 'Non-structural protein NS6, betacoronavirus', 'NS6_bCoV', 4, NULL),
(17341, NULL, 'IPR022791', NULL, 'Lysylphosphatidylglycerol synthetase/glycosyltransferase AglD', 'L-PG_synthase/AglD', 4, NULL),
(17342, NULL, 'IPR022649', NULL, 'Proliferating cell nuclear antigen, PCNA, C-terminal', 'Pr_cel_nuc_antig_C', 3, NULL),
(17343, NULL, 'IPR022908', NULL, 'tRNA(Phe) 7-((3-amino-3-carboxypropyl)-4-demethylwyosine(37)-N(4))-methyltransferase', 'Taw3', 4, NULL),
(17344, NULL, 'IPR022658', NULL, 'XPA, conserved site', 'XPA_CS', 2, NULL),
(17345, NULL, 'IPR022712', NULL, 'Beta-Casp domain', 'Beta_Casp', 3, NULL),
(17346, NULL, 'IPR017660', NULL, 'Oxalyl-CoA decarboxylase', 'Oxalyl-CoA_decarboxylase', 4, NULL),
(17347, NULL, 'IPR022363', NULL, 'Bacteriophage TP901-1, major tail protein', 'Phage_TP901-1_major-tail', 4, NULL),
(17348, NULL, 'IPR022782', NULL, 'Actin interacting protein 3-like, C-terminal', 'AIP3-like_C', 3, NULL),
(17349, NULL, 'IPR022880', NULL, 'DNA polymerase IV', 'DNApol_IV', 4, NULL),
(17350, NULL, 'IPR022855', NULL, 'Multidrug resistance protein MdtH', 'Multidrug-R_MdtH', 4, NULL),
(17351, NULL, 'IPR016248', NULL, 'Fibroblast growth factor receptor family', 'FGF_rcpt_fam', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17352, NULL, 'IPR022713', NULL, 'Proteinase inhibitor I67, bromein', 'Prot_inhib_I67_bromein', 3, NULL),
(17353, NULL, 'IPR016892', NULL, 'Uncharacterised conserved protein UCP028583', 'UCP028583', 4, NULL),
(17354, NULL, 'IPR016888', NULL, 'Uncharacterised conserved protein UCP028498', 'UCP028498', 4, NULL),
(17355, NULL, 'IPR017337', NULL, 'Zinc finger Ran-binding domain-containing protein 2', 'ZRANB2', 4, NULL),
(17356, NULL, 'IPR022740', NULL, 'Polyphenol oxidase, C-terminal', 'Polyphenol_oxidase_C', 3, NULL),
(17357, NULL, 'IPR017662', NULL, '2-aminoethylphosphonate ABC transport system, ATP-binding component PhnT', 'AminoethylPonate_ABC_PhnT', 4, NULL),
(17358, NULL, 'IPR019881', NULL, 'Diaminopimelate aminotransferase, DapL, Desulfovibrio-type', 'DAP-NH2Trfase_DapL_Desulfo', 4, NULL),
(17359, NULL, 'IPR022695', NULL, 'Histidinol dehydrogenase, monofunctional', 'Histidinol_DH_monofunct', 4, NULL),
(17360, NULL, 'IPR023867', NULL, 'Anaerobic sulphatase maturase, radical SAM', 'Sulphatase_maturase_rSAM', 4, NULL),
(17361, NULL, 'IPR022865', NULL, 'DNA ligase, ATP-dependent, bacterial/archaeal', 'DNA_ligae_ATP-dep_bac/arc', 4, NULL),
(17362, NULL, 'IPR023841', NULL, 'Bacillithiol biosynthesis deacetylase BshB2', 'BshB2', 4, NULL),
(17363, NULL, 'IPR022613', NULL, 'Calmodulin-regulated spectrin-associated protein, CH domain', 'CAMSAP_CH', 3, NULL),
(17364, NULL, 'IPR023140', NULL, 'Domain of unknown function DUF357', 'DUF357', 3, NULL),
(17365, NULL, 'IPR021117', NULL, 'Calcitonin-like', 'Calcitonin-like', 4, NULL),
(17366, NULL, 'IPR016224', NULL, 'Ecdysteroid UDP-glucosyltransferase', 'Ecdysteroid_UDP-Glc_Trfase', 4, NULL),
(17367, NULL, 'IPR018679', NULL, 'Putative PD-(D/E)XK phosphodiesterase (DUF2161)', 'DUF2161', 4, NULL),
(17368, NULL, 'IPR022755', NULL, 'Zinc finger, double-stranded RNA binding', 'Znf_C2H2_jaz', 3, NULL),
(17369, NULL, 'IPR016233', NULL, 'Homeobox protein Pitx/unc30', 'Homeobox_Pitx/unc30', 4, NULL),
(17370, NULL, 'IPR017655', NULL, '5-dehydro-4-deoxyglucarate dehydratase', 'Dehydro-deoxyglucarate_dehyd', 4, NULL),
(17371, NULL, 'IPR022725', NULL, 'Restriction endonuclease, type II, MunI', 'Restrct_endonuc_II_MunI', 4, NULL),
(17372, NULL, 'IPR022652', NULL, 'Zinc finger, XPA-type, conserved site', 'Znf_XPA_CS', 2, NULL),
(17373, NULL, 'IPR016929', NULL, 'Uncharacterised conserved protein UCP029636', 'UCP029636', 4, NULL),
(17374, NULL, 'IPR016916', NULL, 'Uncharacterised conserved protein UCP029389, subtilisin-related', 'UCP029389_subtilisin-related', 4, NULL),
(17375, NULL, 'IPR022684', NULL, 'Peptidase C2, calpain family', 'Calpain_cysteine_protease', 4, NULL),
(17376, NULL, 'IPR022858', NULL, 'Metallothiol transferase FosB', 'Metallothiol_Trafse_FosB', 4, NULL),
(17377, NULL, 'IPR022749', NULL, 'N6 adenine-specific DNA methyltransferase, N-terminal domain', 'D12N6_MeTrfase_N', 3, NULL),
(17378, NULL, 'IPR022672', NULL, 'Hexokinase, N-terminal', 'Hexokinase_N', 3, NULL),
(17379, NULL, 'IPR022798', NULL, 'Cellulose synthase subunit D, bacterial', 'Cellsynth_D_bac', 4, NULL),
(17380, NULL, 'IPR023602', NULL, 'Riboflavin kinase domain, CTP-dependent', 'Riboflavin_kinase_CTP-dep', 3, NULL),
(17381, NULL, 'IPR022879', NULL, 'V-type ATP synthase regulatory subunit B/beta', 'V-ATPase_su_B/beta', 4, NULL),
(17382, NULL, 'IPR018688', NULL, 'Protein of unknown function DUF2182, transmembrane, metal-binding', 'DUF2182_TM_metal-bd', 4, NULL),
(17383, NULL, 'IPR016881', NULL, 'Uncharacterised conserved protein UCP028340', 'UCP028340', 4, NULL),
(17384, NULL, 'IPR017340', NULL, 'U1 small nuclear ribonucleoprotein C', 'U1_snRNP-C', 4, NULL),
(17385, NULL, 'IPR023738', NULL, 'Maltoporin', 'Maltoporin', 4, NULL),
(17386, NULL, 'IPR016209', NULL, 'Protochlorophyllide reductase, ChlB, light independent', 'Protochlorophyllide_Rdtase', 4, NULL),
(17387, NULL, 'IPR016927', NULL, 'Lectin, sugar-binding', 'Lectin_sugar-bd', 4, NULL),
(17388, NULL, 'IPR034975', NULL, 'Somatotropin', 'Somatotropin', 4, NULL),
(17389, NULL, 'IPR023723', NULL, 'Glucan biosynthesis protein C', 'Glucans_biosynth_C', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17390, NULL, 'IPR016914', NULL, 'tRNA (cytidine/uridine-2''-O-)-methyltransferase', 'tRNA_cyt/urid_MeTfrase', 4, NULL),
(17391, NULL, 'IPR017342', NULL, 'S-adenosyl-L-methionine dependent methionine synthase, predicted', 'S-AdoMet-dep_Met_synth_prd', 4, NULL),
(17392, NULL, 'IPR022738', NULL, 'Adenylylsulphate reductase, beta subunit, C-terminal', 'AprB_C', 3, NULL),
(17393, NULL, 'IPR021182', NULL, 'Protein SOSEKI, magnoliopsida', 'SOK_magnoliopsida', 4, NULL),
(17394, NULL, 'IPR022673', NULL, 'Hexokinase, C-terminal', 'Hexokinase_C', 3, NULL),
(17395, NULL, 'IPR023847', NULL, 'Conserved hypothetical protein CHP04044, MSMEG0572', 'CHP04044_MSMEG0572', 4, NULL),
(17396, NULL, 'IPR018668', NULL, 'DNA-binding protein VF530-like', 'DNA-binding_VF530-like', 4, NULL),
(17397, NULL, 'IPR022826', NULL, '3-deoxy-D-manno-octulosonic acid kinase', 'KDO_kinase', 4, NULL),
(17398, NULL, 'IPR022717', NULL, 'Antimicrobial peptide tachystatin A', 'Antimicrobial_tachystatin_A', 4, NULL),
(17399, NULL, 'IPR022667', NULL, 'Formylmethanofuran: tetrahydromethanopterin formyltransferase Ftr, N-terminal', 'ForMFR_H4MPT_ForTrfase_N', 3, NULL),
(17400, NULL, 'IPR023547', NULL, 'Digeranylgeranylglyceryl phosphate synthase', 'DGGGP_synth', 4, NULL),
(17401, NULL, 'IPR035971', NULL, 'Cellulose-binding domain superfamily', 'CBD_sf', 5, NULL),
(17402, NULL, 'IPR022892', NULL, 'Ribonuclease HI', 'RNaseHI', 4, NULL),
(17403, NULL, 'IPR023702', NULL, 'D-cysteine desulphhydrase, bacterial', 'D_Cys_desulphydr_bac', 4, NULL),
(17404, NULL, 'IPR023747', NULL, 'Xanthine-guanine phosphoribosyltransferase', 'Xanthine_Guanine_PRibTrfase', 4, NULL),
(17405, NULL, 'IPR019868', NULL, 'Gliding motility-associated lipoprotein GldJ-short', 'Glid_motil-assoc_GldJ-short', 4, NULL),
(17406, NULL, 'IPR018678', NULL, 'Protein of unknown function DUF2160, transmembrane', 'DUF2160_TM', 4, NULL),
(17407, NULL, 'IPR022683', NULL, 'Peptidase C2, calpain, domain III', 'Calpain_III', 3, NULL),
(17408, NULL, 'IPR016251', NULL, 'Tyrosine-protein kinase, non-receptor Jak/Tyk2', 'Tyr_kinase_non-rcpt_Jak/Tyk2', 4, NULL),
(17409, NULL, 'IPR022751', NULL, 'Alpha-mannosyltransferase', 'Alpha_mannosyltransferase', 4, NULL),
(17410, NULL, 'IPR023720', NULL, 'Trehalase, periplasmic', 'Trehalase_periplasmic', 4, NULL),
(17411, NULL, 'IPR016902', NULL, 'Vacuolar protein sorting-associated protein 41', 'VPS41', 4, NULL),
(17412, NULL, 'IPR022636', NULL, 'S-adenosylmethionine synthetase superfamily', 'S-AdoMet_synthetase_sfam', 5, NULL),
(17413, NULL, 'IPR022640', NULL, 'Cysteine and tyrosine-rich protein 1', 'CYYR1', 4, NULL),
(17414, NULL, 'IPR017330', NULL, 'Sperm-associated antigen 7', 'SPAG7', 4, NULL),
(17415, NULL, 'IPR018681', NULL, 'Protein of unknown function DUF2165, transmembrane', 'DUF2165_transmembrane', 4, NULL),
(17416, NULL, 'IPR016225', NULL, 'NAD--protein ADP-ribosyltransferase Alt-like', 'Phage_T4_Alt-like', 4, NULL),
(17417, NULL, 'IPR023839', NULL, 'Firmicutes EssC, C-terminal', 'Firmicutes_EssC_C', 3, NULL),
(17418, NULL, 'IPR017664', NULL, '2-aminoethylphosphonate ABC transport system, permease protein, putative', 'AminoethylPonate_ABC_perm-1', 4, NULL),
(17419, NULL, 'IPR016244', NULL, 'Tyrosine-protein kinase, HGF/MSP receptor', 'Tyr_kinase_HGF/MSP_rcpt', 4, NULL),
(17420, NULL, 'IPR017653', NULL, 'Glucarate dehydratase', 'Glucarate_dehydratase', 4, NULL),
(17421, NULL, 'IPR022634', NULL, 'DNA polymerase III, beta sliding clamp, N-terminal', 'DNA_polIII_beta_N', 3, NULL),
(17422, NULL, 'IPR017658', NULL, 'Conserved hypothetical protein CHP03252, HhH-GPD', 'CHP03252_HhH-GPD', 4, NULL),
(17423, NULL, 'IPR022682', NULL, 'Peptidase C2, calpain, large subunit, domain III', 'Calpain_domain_III', 3, NULL),
(17424, NULL, 'IPR022843', NULL, 'Formamidase', 'Formamidase', 4, NULL),
(17425, NULL, 'IPR022770', NULL, 'Ferric iron reductase FhuF domain', 'FhuF_domain', 3, NULL),
(17426, NULL, 'IPR022905', NULL, 'DNA-directed RNA polymerase subunit Rpo11', 'Rpo11', 4, NULL),
(17427, NULL, 'IPR022369', NULL, 'Integral membrane protein TerC, riboswitch-linked', 'Integral_membrane_TerC_rswitch', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17428, NULL, 'IPR022659', NULL, 'Proliferating cell nuclear antigen, PCNA, conserved site', 'Pr_cel_nuc_antig_CS', 2, NULL),
(17429, NULL, 'IPR023485', NULL, 'Phosphotyrosine protein phosphatase I', 'Ptyr_pPase', 3, NULL),
(17430, NULL, 'IPR016245', NULL, 'Tyrosine protein kinase, EGF/ERB/XmrK receptor', 'Tyr_kinase_EGF/ERB/XmrK_rcpt', 4, NULL),
(17431, NULL, 'IPR022367', NULL, '2-oxoacid:acceptor oxidoreductase, alpha subunit', '2-oxoacid/accept_OxRdtase_asu', 4, NULL),
(17432, NULL, 'IPR016934', NULL, 'Uncharacterised conserved protein UCP029691', 'UCP029691', 4, NULL),
(17433, NULL, 'IPR034509', NULL, 'Pub1, RNA recognition motif 1', 'PUB1_RRM1', 3, NULL),
(17434, NULL, 'IPR020009', NULL, 'Extracellular lipase, Pla-1/cef family', 'Extracell_lipase_Pla-1/cef_e', 4, NULL),
(17435, NULL, 'IPR023725', NULL, 'Glucan biosynthesis glucosyltransferase H', 'Glucans_biosynth_gluTrFase_H', 4, NULL),
(17436, NULL, 'IPR017668', NULL, 'Putative methanogenesis marker protein 2', 'Methan_mark_2', 4, NULL),
(17437, NULL, 'IPR023835', NULL, 'Type VII secretion system AAA-ATPase, EccA', 'T7SS_EccA', 4, NULL),
(17438, NULL, 'IPR023873', NULL, '[FeFe]-hydrogenase H-cluster maturation GTPase HydF', 'FeFe-hyd_GTPase_HydF', 4, NULL),
(17439, NULL, 'IPR035058', NULL, 'SH2B2, SH2 domain', 'SH2B2_SH2', 3, NULL),
(17440, NULL, 'IPR022796', NULL, 'Chlorophyll A-B binding protein', 'Chloroa_b-bind', 4, NULL),
(17441, NULL, 'IPR018449', NULL, 'NIL domain', 'NIL_domain', 3, NULL),
(17442, NULL, 'IPR022733', NULL, 'DPUP/SUD, C-terminal, betacoronavirus', 'DPUP_SUD_C_bCoV', 3, NULL),
(17443, NULL, 'IPR022854', NULL, 'PyrE-like', 'PyrE-like', 4, NULL),
(17444, NULL, 'IPR022635', NULL, 'DNA polymerase III, beta sliding clamp, C-terminal', 'DNA_polIII_beta_C', 3, NULL),
(17445, NULL, 'IPR022587', NULL, 'Myotubularin-related 12-like C-terminal domain', 'MTMR12-like_C', 3, NULL),
(17446, NULL, 'IPR023522', NULL, 'Chromosome-anchoring protein RacA', 'Chrosome_anchoring_RacA', 4, NULL),
(17447, NULL, 'IPR017321', NULL, 'Histone deacetylase class II, yeast', 'Hist_deAcase_II_yeast', 4, NULL),
(17448, NULL, 'IPR016218', NULL, 'Acetyl-CoA decarbonylase/synthase complex, gamma subunit', 'AcylCoA_decarb/synth_gsu', 4, NULL),
(17449, NULL, 'IPR016240', NULL, 'Serine/threonine-protein kinase YKL116C, predicted', 'Ser/Thr_kin_YKL116c_prd', 4, NULL),
(17450, NULL, 'IPR016217', NULL, 'Nitrogen fixation, NifU', 'N_fixation_NifU', 4, NULL),
(17451, NULL, 'IPR023794', NULL, 'Inositol 2-dehydrogenase/D-chiro-inositol 3-dehydrogenase', 'MI/DCI_dehydrogenase', 4, NULL),
(17452, NULL, 'IPR016237', NULL, 'Serine/threonine-protein kinase, Ulk1/Ulk2', 'Ser/Thr_kin_STPK_Ulk-1/2', 4, NULL),
(17453, NULL, 'IPR023837', NULL, 'EccCb-like, Actinobacteria', 'EccCb-like_Actinobacteria', 4, NULL),
(17454, NULL, 'IPR023606', NULL, 'CoA-transferase family III domain 1 superfamily', 'CoA-Trfase_III_dom_1_sf', 5, NULL),
(17455, NULL, 'IPR035123', NULL, 'Viral unique long protein 16', 'UL16', 4, NULL),
(17456, NULL, 'IPR023516', NULL, 'tRNA-splicing endonuclease, archaeal long subfamily', 'tRNA_splic_arch_long', 4, NULL),
(17457, NULL, 'IPR016920', NULL, 'Uncharacterised conserved protein UCP029477', 'UCP029477', 4, NULL),
(17458, NULL, 'IPR016204', NULL, 'Homoserine dehydrogenase', 'HDH', 4, NULL),
(17459, NULL, 'IPR016923', NULL, 'Uncharacterised conserved protein UCP029509, membrane', 'UCP029509', 4, NULL),
(17460, NULL, 'IPR016222', NULL, 'Glycerol-3-phosphate O-acyltransferase, chloroplast', 'G3P_O-acylTrfase_chlp', 4, NULL),
(17461, NULL, 'IPR016227', NULL, 'Dihydropteroate synthase, predicted', 'Dihydropteroate_synthase_prd', 4, NULL),
(17462, NULL, 'IPR022723', NULL, 'RDM domain, Ret finger protein-like', 'RDM_domain_RFPL', 3, NULL),
(17463, NULL, 'IPR022840', NULL, 'GTP cyclohydrolase MptA', 'GTP_cyclohydrolase_MptA', 4, NULL),
(17464, NULL, 'IPR035124', NULL, 'Protein of unknown function DUF5508', 'DUF5508', 4, NULL),
(17465, NULL, 'IPR023541', NULL, 'rRNA small subunit methyltransferase B, enterobacteriaceae', 'rRNA_ssu_MeTfrase_B_ent', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17466, NULL, 'IPR016220', NULL, 'Methylphosphotriester-DNA alkyltransferase, AdaA', 'Me-P-triester_DNA_alkyl-Trfase', 4, NULL),
(17467, NULL, 'IPR022689', NULL, 'Iron dependent repressor', 'Iron_dep_repressor', 4, NULL),
(17468, NULL, 'IPR016255', NULL, 'eIF-2-alpha kinase Gcn2', 'Gcn2', 4, NULL),
(17469, NULL, 'IPR023544', NULL, 'ABC transporter, vitamin B12-binding protein', 'ABC_transptr_vit_B12-bd', 4, NULL),
(17470, NULL, 'IPR023870', NULL, 'Poly-beta-1,6 N-acetyl-D-glucosamine export porin PgaA', 'PGA_export_porin_PgaA', 4, NULL),
(17471, NULL, 'IPR016210', NULL, 'NAD-dependent glutamate dehydrogenase, eukaryotes', 'NAD-GDH_euk', 4, NULL),
(17472, NULL, 'IPR022894', NULL, 'Oligoribonuclease', 'Oligoribonuclease', 4, NULL),
(17473, NULL, 'IPR022731', NULL, 'Dermaseptin', 'Dermaseptin', 3, NULL),
(17474, NULL, 'IPR018669', NULL, 'Toxin-antitoxin system,  toxin component,  HigB, putative', 'Toxin_HigB_put', 4, NULL),
(17475, NULL, 'IPR016932', NULL, 'Uncharacterised conserved protein UCP029669', 'UCP029669', 4, NULL),
(17476, NULL, 'IPR016221', NULL, 'Bifunctional regulatory protein Ada', 'Bifunct_regulatory_prot_Ada', 4, NULL),
(17477, NULL, 'IPR023848', NULL, 'TasA anchoring/assembly protein', 'TasA', 4, NULL),
(17478, NULL, 'IPR018685', NULL, 'Protein of unknown function DUF2173', 'DUF2173', 4, NULL),
(17479, NULL, 'IPR017670', NULL, 'Phosphonate degradation operon associated HDIG domain protein', 'Phosphonate_degrad_HDIG', 4, NULL),
(17480, NULL, 'IPR017324', NULL, 'Transmembrane protease serine 9', 'Tmprss9', 4, NULL),
(17481, NULL, 'IPR016886', NULL, 'Predicted glycerophosphotransferase UCP028458', 'UCP028458_glyceroPtfrase', 4, NULL),
(17482, NULL, 'IPR022707', NULL, 'Mot1, central domain', 'Mot1_central_dom', 3, NULL),
(17483, NULL, 'IPR017650', NULL, 'Arginine N-succinyltransferase', 'Arginine_N-succinylTrfase', 4, NULL),
(17484, NULL, 'IPR022907', NULL, 'VapC family', 'VapC_family', 4, NULL),
(17485, NULL, 'IPR017663', NULL, 'ABC transport system, 1-aminoethylphosphonate-binding protein, putative', 'ABC_PhnS2_put', 4, NULL),
(17486, NULL, 'IPR022849', NULL, 'Peptidase S12, YfeW/YbbE-like', 'Pept_S12_YfeW/YbbE-like', 4, NULL),
(17487, NULL, 'IPR022882', NULL, 'tRNA1(Val) (adenine(37)-N6)-methyltransferase', 'tRNA_adenine-N6_MeTrfase', 4, NULL),
(17488, NULL, 'IPR022759', NULL, 'Antirestriction protein Ral', 'Antirestriction_protein_Ral', 4, NULL),
(17489, NULL, 'IPR022662', NULL, 'Methylaspartate ammonia-lyase, C-terminal', 'MeAsp_NH4-lyase_C', 3, NULL),
(17490, NULL, 'IPR023875', NULL, 'DNA metabolism protein, putative', 'DNA_metab_put', 4, NULL),
(17491, NULL, 'IPR016205', NULL, 'Glycerol dehydrogenase', 'Glycerol_DH', 4, NULL),
(17492, NULL, 'IPR016924', NULL, 'Uncharacterised conserved protein UCP029543', 'UCP029543', 4, NULL),
(17493, NULL, 'IPR022677', NULL, 'Myristoyl-CoA:protein N-myristoyltransferase, C-terminal', 'MyristoylCoA_TrFase_C', 3, NULL),
(17494, NULL, 'IPR016257', NULL, 'Ephrin receptor type-A /type-B', 'Tyr_kinase_ephrin_rcpt', 4, NULL),
(17495, NULL, 'IPR023745', NULL, 'MSF-type transporter, YcaD', 'MFS_YcaD', 4, NULL),
(17496, NULL, 'IPR023549', NULL, 'Subtilisin inhibitor', 'Subtilisin_inhibitor', 3, NULL),
(17497, NULL, 'IPR022645', NULL, 'Protein-export membrane protein SecD/SecF, bacterial', 'SecD/SecF_bac', 4, NULL),
(17498, NULL, 'IPR022910', NULL, 'Thiol:disulphide interchange protein DsbD', 'Thiol_diS_interchange_DbsD', 4, NULL),
(17499, NULL, 'IPR035250', NULL, 'Metapneumovirus small hydrophobic protein', 'Metap_SH', 4, NULL),
(17500, NULL, 'IPR016928', NULL, 'Uncharacterised conserved protein UCP029611', 'UCP029611', 4, NULL),
(17501, NULL, 'IPR013836', NULL, 'CD34/Podocalyxin', 'CD34/Podocalyxin', 4, NULL),
(17502, NULL, 'IPR019481', NULL, 'Transcription factor TFIIIC, triple barrel domain', 'TFIIIC_triple_barrel', 3, NULL),
(17503, NULL, 'IPR021291', NULL, 'Protein of unknown function DUF2862', 'DUF2862', 4, NULL),
(17504, NULL, 'IPR023800', NULL, 'Cucumovirus coat protein, chain A', 'Cucumovirus_coat_A', 3, NULL),
(17505, NULL, 'IPR022919', NULL, 'Peptidase M48, protease HtpX, putative', 'Pept_M48_protease_HtpX', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17506, NULL, 'IPR021285', NULL, 'Transcription regulator, HycA', 'Tscrpt_reg_HycA', 4, NULL),
(17507, NULL, 'IPR023887', NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit', 'QH-AmDH_asu', 4, NULL),
(17508, NULL, 'IPR019774', NULL, 'Aromatic amino acid hydroxylase, C-terminal', 'Aromatic-AA_hydroxylase_C', 3, NULL),
(17509, NULL, 'IPR018700', NULL, 'Protein of unknown function DUF2204', 'DUF2204', 4, NULL),
(17510, NULL, 'IPR021314', NULL, 'Protein of unknown function DUF2911', 'DUF2911', 4, NULL),
(17511, NULL, 'IPR019828', NULL, 'Lysyl oxidase, conserved site', 'Lysyl_oxidase_CS', 2, NULL),
(17512, NULL, 'IPR021317', NULL, 'Protein of unknown function DUF2917', 'DUF2917', 4, NULL),
(17513, NULL, 'IPR013213', NULL, 'Mastoparan', 'Mastoparan', 4, NULL),
(17514, NULL, 'IPR019108', NULL, 'Cytochrome c oxidase caa3-type, assembly factor CtaG-related', 'Caa3_assmbl_CtaG-rel', 4, NULL),
(17515, NULL, 'IPR021322', NULL, 'Protein of unknown function DUF2924', 'DUF2924', 4, NULL),
(17516, NULL, 'IPR035483', NULL, 'GRAF, BAR domain', 'GRAF_BAR', 3, NULL),
(17517, NULL, 'IPR022917', NULL, 'Phenylalanine-tRNA ligase alpha subunit,  bacterial/archaeal', 'Phe_tRNA_ligase_alpha_bac/arc', 4, NULL),
(17518, NULL, 'IPR019773', NULL, 'Tyrosine 3-monooxygenase-like', 'Tyrosine_3-monooxygenase-like', 4, NULL),
(17519, NULL, 'IPR021274', NULL, 'Protein of unknown function DUF2853', 'DUF2853', 4, NULL),
(17520, NULL, 'IPR021323', NULL, 'Protein of unknown function DUF2927', 'DUF2927', 4, NULL),
(17521, NULL, 'IPR021248', NULL, 'Protein of unknown function DUF2787', 'DUF2787', 4, NULL),
(17522, NULL, 'IPR019775', NULL, 'WD40 repeat, conserved site', 'WD40_repeat_CS', 2, NULL),
(17523, NULL, 'IPR019807', NULL, 'Hexokinase, binding site', 'Hexokinase_BS', 1, NULL),
(17524, NULL, 'IPR021310', NULL, 'Plant viral coat protein nucleocapsid', 'Nucleocap_ssRNA', 4, NULL),
(17525, NULL, 'IPR021228', NULL, 'BREX system ATP-binding protein BrxD', 'BrxD', 4, NULL),
(17526, NULL, 'IPR013893', NULL, 'Ribonuclease P protein subunit Rpp40', 'RNase_P_Rpp40', 4, NULL),
(17527, NULL, 'IPR013187', NULL, 'F-box associated domain, type 3', 'F-box-assoc_dom_typ3', 3, NULL),
(17528, NULL, 'IPR034900', NULL, 'LARP5, RNA recognition motif', 'LARP5_RRM', 3, NULL),
(17529, NULL, 'IPR015615', NULL, 'Transforming growth factor-beta-related', 'TGF-beta-rel', 4, NULL),
(17530, NULL, 'IPR020015', NULL, 'Decaheme cytochrome, c-type, DmsE', 'Decahaem_cyt-c_DmsE', 4, NULL),
(17531, NULL, 'IPR017696', NULL, 'Molybdenum cofactor cytidylyltransferase', 'Mo_hydrolase_YgfJ', 4, NULL),
(17532, NULL, 'IPR013203', NULL, 'Leader peptide, Arg-2/CPA1', 'Leader_Arg2_CPA1', 4, NULL),
(17533, NULL, 'IPR035481', NULL, 'GRAF, SH3 domain', 'GRAF_SH3', 3, NULL),
(17534, NULL, 'IPR017443', NULL, 'Ribulose bisphosphate carboxylase, large subunit, ferrodoxin-like N-terminal', 'RuBisCO_lsu_fd_N', 3, NULL),
(17535, NULL, 'IPR021230', NULL, 'Protein of unknown function DUF2810', 'DUF2810', 4, NULL),
(17536, NULL, 'IPR019135', NULL, 'Polycomb protein, VEFS-Box', 'Polycomb_protein_VEFS-Box', 3, NULL),
(17537, NULL, 'IPR019790', NULL, 'Xylulose 5-phosphate/Fructose 6-phosphate phosphoketolase, conserved site', 'Xul5P/Fru6P_PKetolase_CS', 2, NULL),
(17538, NULL, 'IPR017682', NULL, 'Coenzyme F420 hydrogenase, subunit alpha', 'Coenz_F420_hydrogenase_asu', 4, NULL),
(17539, NULL, 'IPR017365', NULL, 'Protein lin-7', 'LIN7', 4, NULL),
(17540, NULL, 'IPR019131', NULL, 'Cortactin-binding protein-2, N-terminal', 'Cortactin-binding_p2_N', 3, NULL),
(17541, NULL, 'IPR017362', NULL, 'DNA-binding, RFXANK', 'DNA-bd_RFXANK', 4, NULL),
(17542, NULL, 'IPR021265', NULL, 'Protein of unknown function DUF2842', 'DUF2842', 4, NULL),
(17543, NULL, 'IPR019474', NULL, 'Ubiquitin conjugation factor E4, core', 'Ub_conjug_fac_E4_core', 3, NULL),
(17544, NULL, 'IPR018326', NULL, 'Rad4 beta-hairpin domain 1', 'Rad4_beta-hairpin_dom1', 3, NULL),
(17545, NULL, 'IPR019793', NULL, 'Peroxidases heam-ligand binding site', 'Peroxidases_heam-ligand_BS', 1, NULL),
(17546, NULL, 'IPR013214', NULL, 'Mastoparan peptide', 'Mastoparan_peptide', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17547, NULL, 'IPR024853', NULL, 'Dact2', 'Dact2', 4, NULL),
(17548, NULL, 'IPR018696', NULL, 'Protein of unknown function DUF2195', 'DUF2195', 4, NULL),
(17549, NULL, 'IPR019097', NULL, 'Mg296 protein', 'Mg296_protein', 3, NULL),
(17550, NULL, 'IPR015613', NULL, 'Metalloproteinase inhibitor 2', 'TIMP2', 4, NULL),
(17551, NULL, 'IPR021284', NULL, 'Protein of unknown function DUF2750', 'DUF2750', 4, NULL),
(17552, NULL, 'IPR017691', NULL, 'ATP synthase subunit beta, bacterial and archaeal', 'Alt_ATPase_F1_bsu', 4, NULL),
(17553, NULL, 'IPR035252', NULL, 'Gene product 44', 'Gp44', 4, NULL),
(17554, NULL, 'IPR019808', NULL, 'Histidine triad, conserved site', 'Histidine_triad_CS', 2, NULL),
(17555, NULL, 'IPR021235', NULL, 'Protein of unknown function DUF2637', 'DUF2637', 4, NULL),
(17556, NULL, 'IPR019799', NULL, 'Glycoside hydrolase family 22 domain', 'Glyco_hydro_22_CS', 3, NULL),
(17557, NULL, 'IPR034546', NULL, 'Protein PAIR1', 'PAIR1', 4, NULL),
(17558, NULL, 'IPR013181', NULL, 'Protein of unknown function DUF1719', 'DUF1719', 4, NULL),
(17559, NULL, 'IPR024717', NULL, 'Denitrification system component NapC/NirT/NrfH', 'NapC/NirT/NrfH', 4, NULL),
(17560, NULL, 'IPR019446', NULL, '25S rRNA (uridine-N(3))-methyltransferase BMT5-like', 'BMT5-like', 3, NULL),
(17561, NULL, 'IPR019093', NULL, 'YpkA, Rac1-binding domain', 'Rac1-binding_domain', 3, NULL),
(17562, NULL, 'IPR013881', NULL, 'Pre-mRNA-splicing factor 3', 'Pre-mRNA_splic_Prp3', 3, NULL),
(17563, NULL, 'IPR024209', NULL, 'Protein of unknown function DUF3787', 'DUF3787', 4, NULL),
(17564, NULL, 'IPR018693', NULL, 'Protein of unknown function DUF2192', 'DUF2192', 4, NULL),
(17565, NULL, 'IPR019456', NULL, 'Pyruvate-flavodoxin oxidoreductase, EKR domain', 'Pyrv-flavodox_OxRtase_EKR', 3, NULL),
(17566, NULL, 'IPR017689', NULL, 'Outer membrane protein assembly factor BamD', 'BamD', 4, NULL),
(17567, NULL, 'IPR019821', NULL, 'Kinesin motor domain, conserved site', 'Kinesin_motor_CS', 2, NULL),
(17568, NULL, 'IPR020012', NULL, 'Motility protein FimV, N-terminal', 'Motility_prot_FimV_N', 3, NULL),
(17569, NULL, 'IPR013175', NULL, 'INO80 complex, subunit Ies4', 'INO80_su_Ies4', 4, NULL),
(17570, NULL, 'IPR019427', NULL, '7TM GPCR, serpentine receptor class w (Srw)', '7TM_GPCR_serpentine_rcpt_Srw', 4, NULL),
(17571, NULL, 'IPR019114', NULL, 'Chaperone lipoprotein, PulS/OutS-like', 'Chap_lipoprot_PulS/OutS-like', 4, NULL),
(17572, NULL, 'IPR019130', NULL, 'Macoilin', 'Macoilin', 4, NULL),
(17573, NULL, 'IPR035092', NULL, 'EV matrix protein, C-terminal', 'EV_matrix_protein_C', 5, NULL),
(17574, NULL, 'IPR017354', NULL, 'Vasodilator-stimulated phosphoprotein/ENA/VASP-like', 'VASP/EVL', 4, NULL),
(17575, NULL, 'IPR019109', NULL, 'Protein of unknown function DUF4870', 'DUF4870', 4, NULL),
(17576, NULL, 'IPR013177', NULL, 'Mitochondrial mRNA-processing protein COX24, C-terminal', 'COX24_C', 3, NULL),
(17577, NULL, 'IPR021302', NULL, 'Protein of unknown function DUF2780, VcgC/VcgE', 'DUF2780_VcgC/VcgE', 4, NULL),
(17578, NULL, 'IPR021216', NULL, 'Protein of unknown function DUF2722', 'DUF2722', 4, NULL),
(17579, NULL, 'IPR019823', NULL, 'Large-conductance mechanosensitive channel, conserved site', 'Mechanosensitive_channel_CS', 2, NULL),
(17580, NULL, 'IPR019824', NULL, 'Leghaemoglobin, iron-binding site', 'Leghaemoglobin_Fe_BS', 1, NULL),
(17581, NULL, 'IPR021311', NULL, 'Rev protein of equine infectious anaemia virus', 'EIAV_Rev', 4, NULL),
(17582, NULL, 'IPR034543', NULL, 'Long chronological lifespan protein 2', 'LCL2', 4, NULL),
(17583, NULL, 'IPR021250', NULL, 'Protein of unknown function DUF2789', 'DUF2789', 4, NULL),
(17584, NULL, 'IPR019815', NULL, 'Translation initiation factor 3, C-terminal', 'Translation_initiation_fac_3_C', 3, NULL),
(17585, NULL, 'IPR013190', NULL, 'Glycosyl hydrolase family 98, C-terminal', 'GH98_C', 3, NULL),
(17586, NULL, 'IPR013185', NULL, 'Translation elongation factor, KOW-like', 'Transl_elong_KOW-like', 3, NULL),
(17587, NULL, 'IPR023275', NULL, 'Aquaporin 3', 'Aquaporin_3', 4, NULL),
(17588, NULL, 'IPR018327', NULL, 'Rad4 beta-hairpin domain 2', 'BHD_2', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17589, NULL, 'IPR035485', NULL, 'GRAF2, SH3 domain', 'GRAF2_SH3', 3, NULL),
(17590, NULL, 'IPR019469', NULL, 'Protein of unknown function DUF2443', 'DUF2443', 4, NULL),
(17591, NULL, 'IPR019993', NULL, 'RecB family nuclease, TM0106, putative', 'RecB_nuclease_TM0106_put', 4, NULL),
(17592, NULL, 'IPR021288', NULL, 'Sporulated oocyst TA4 antigen', 'Surface_antigen', 4, NULL),
(17593, NULL, 'IPR021269', NULL, 'Protein of unknown function DUF2848', 'DUF2848', 4, NULL),
(17594, NULL, 'IPR017678', NULL, 'CoB--CoM heterodisulphide reductase, subunit B', 'CoB/CoM_hetero-S_Rdtase_bsu', 4, NULL),
(17595, NULL, 'IPR019462', NULL, 'DNA-directed RNA polymerase, beta subunit, external 1 domain', 'DNA-dir_RNA_pol_bsu_external_1', 3, NULL),
(17596, NULL, 'IPR018699', NULL, 'Protein of unknown function DUF2203', 'DUF2203', 4, NULL),
(17597, NULL, 'IPR021282', NULL, 'Dispersed gene family protein 1, domain 5', 'Dispersed_gene_fam_prot1_dom5', 3, NULL),
(17598, NULL, 'IPR019805', NULL, 'Heat shock protein Hsp90, conserved site', 'Heat_shock_protein_90_CS', 2, NULL),
(17599, NULL, 'IPR024744', NULL, 'Putative cyclic diguanylate phosphodiesterase, CSS motif-containing domain', 'CSS-motif_dom', 3, NULL),
(17600, NULL, 'IPR019121', NULL, 'CRISPR-associated protein, CXXC-CXXC domain', 'CRISPR-assoc_CXXC-CXXC_dom', 3, NULL),
(17601, NULL, 'IPR023200', NULL, 'Ribosome modulation factor domain superfamily', 'RMF_sf', 5, NULL),
(17602, NULL, 'IPR021287', NULL, 'Trans-sialidase, conserved site', 'Trans-sialidase_CS', 2, NULL),
(17603, NULL, 'IPR021271', NULL, 'Protein of unknown function DUF2850', 'DUF2850', 4, NULL),
(17604, NULL, 'IPR021325', NULL, 'Cofactor assembly of complex C subunit B, CCB2/CCB4', 'CCB2/CCB4', 4, NULL),
(17605, NULL, 'IPR013889', NULL, 'Karyogamy protein, KAR9', 'Karyogamy_KAR9', 4, NULL),
(17606, NULL, 'IPR019797', NULL, 'Glutamate 5-kinase, conserved site', 'Glutamate_5-kinase_CS', 2, NULL),
(17607, NULL, 'IPR021219', NULL, 'Protein of unknown function DUF2703', 'DUF2703', 4, NULL),
(17608, NULL, 'IPR019455', NULL, 'Acetolactate synthase, small subunit, C-terminal', 'Acetolactate_synth_ssu_C', 3, NULL),
(17609, NULL, 'IPR034549', NULL, 'Sperm acrosome membrane-associated protein 6', 'SPACA6', 4, NULL),
(17610, NULL, 'IPR023164', NULL, 'YqgQ-like superfamily', 'YqgQ-like_sf', 5, NULL),
(17611, NULL, 'IPR015608', NULL, 'Putative ribosomal protein L7/L12, plants', 'Put_Ribosomal_L7/L12_plants', 4, NULL),
(17612, NULL, 'IPR023883', NULL, 'Conserved hypothetical protein CHP03980,  redox-disulphide', 'CHP03980_redox-disulphide', 4, NULL),
(17613, NULL, 'IPR013191', NULL, 'Glycosyl hydrolase family 98, central domain', 'GH98_central', 3, NULL),
(17614, NULL, 'IPR019442', NULL, 'THADA/TRM732, DUF2428', 'THADA/TRM732_DUF2428', 3, NULL),
(17615, NULL, 'IPR017358', NULL, 'Ras-related small G protein, RGK family', 'RGK', 4, NULL),
(17616, NULL, 'IPR019809', NULL, 'Histone H4, conserved site', 'Histone_H4_CS', 2, NULL),
(17617, NULL, 'IPR022920', NULL, 'Disulphide bond formation protein DsbB', 'Disulphide_bond_form_DsbB', 4, NULL),
(17618, NULL, 'IPR023202', NULL, 'YejL-like superfamily', 'YejL_sf', 5, NULL),
(17619, NULL, 'IPR017364', NULL, 'Gem-associated protein 2', 'GEMIN2', 4, NULL),
(17620, NULL, 'IPR023858', NULL, '5,10-methenyltetrahydromethanopterin hydrogenase cofactor biosynthesis protein HmdB', 'RSAM_HmdB', 4, NULL),
(17621, NULL, 'IPR019827', NULL, 'Leukemia inhibitory factor /oncostatin, conserved site', 'Leukemia_IF/oncostatin_CS', 2, NULL),
(17622, NULL, 'IPR021273', NULL, 'Protein of unknown function DUF2852', 'DUF2852', 4, NULL),
(17623, NULL, 'IPR016037', NULL, '3-dehydroquinate synthase AroB', 'DHQ_synth_AroB', 3, NULL),
(17624, NULL, 'IPR018720', NULL, 'Domain of unknown function DUF2249', 'DUF2249', 3, NULL),
(17625, NULL, 'IPR019468', NULL, 'Adenylosuccinate lyase C-terminal', 'AdenyloSucc_lyase_C', 3, NULL),
(17626, NULL, 'IPR034764', NULL, 'Nucleoside transporter ENT1/ENT2', 'ENT1/ENT2', 4, NULL),
(17627, NULL, 'IPR017690', NULL, 'Outer membrane insertion C-terminal signal, omp85 target', 'OM_insertion_C_omp85_target', 2, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17628, NULL, 'IPR021261', NULL, 'Glycerophosphocholine acyltransferase 1', 'GPCAT', 4, NULL),
(17629, NULL, 'IPR023877', NULL, 'Pyrrolysyl-tRNA ligase, C-terminal', 'Pyrrolysyl-tRNA_ligase_C', 3, NULL),
(17630, NULL, 'IPR013210', NULL, 'Leucine-rich repeat-containing N-terminal, plant-type', 'LRR_N_plant-typ', 3, NULL),
(17631, NULL, 'IPR013189', NULL, 'Glycosyl hydrolase family 32, C-terminal', 'Glyco_hydro_32_C', 3, NULL),
(17632, NULL, 'IPR019437', NULL, 'Shelterin complex subunit TPP1/Est3', 'TPP1/Est3', 3, NULL),
(17633, NULL, 'IPR019467', NULL, 'Histone acetyl transferase HAT1 N-terminal', 'Hat1_N', 3, NULL),
(17634, NULL, 'IPR018716', NULL, 'Protein of unknown function DUF2240', 'DUF2240', 4, NULL),
(17635, NULL, 'IPR019095', NULL, 'Mediator complex, subunit Med18', 'Mediator_Med18', 4, NULL),
(17636, NULL, 'IPR018451', NULL, 'NAF/FISL domain', 'NAF/FISL_domain', 3, NULL),
(17637, NULL, 'IPR021268', NULL, 'Protein of unknown function DUF2845', 'DUF2845', 4, NULL),
(17638, NULL, 'IPR027266', NULL, 'GTP-binding protein TrmE/Aminomethyltransferase GcvT, domain 1', 'TrmE/GcvT_dom1', 5, NULL),
(17639, NULL, 'IPR021221', NULL, 'Bacteriophage 186, Fil', 'Phage_186_Fil', 4, NULL),
(17640, NULL, 'IPR018724', NULL, '2OG-Fe dioxygenase', '2OG-Fe_dioxygenase', 4, NULL),
(17641, NULL, 'IPR021225', NULL, 'Protein of unknown function DUF2778', 'DUF2778', 4, NULL),
(17642, NULL, 'IPR021290', NULL, 'Protein of unknown function DUF2861', 'DUF2861', 4, NULL),
(17643, NULL, 'IPR018503', NULL, 'Tetraspanin, conserved site', 'Tetraspanin_CS', 2, NULL),
(17644, NULL, 'IPR017359', NULL, 'Uncharacterised conserved protein UCP038021, RWD', 'UCP038021_RWD', 4, NULL),
(17645, NULL, 'IPR021212', NULL, 'Domain of unknown function DUF2760', 'DUF2760', 3, NULL),
(17646, NULL, 'IPR017857', NULL, 'Coagulation factor-like, Gla domain superfamily', 'Coagulation_fac-like_Gla_dom', 5, NULL),
(17647, NULL, 'IPR019141', NULL, 'Protein of unknown function DUF2045', 'DUF2045', 4, NULL),
(17648, NULL, 'IPR017679', NULL, 'Coenzyme F420 hydrogenase subunit beta, archaea', 'FrhB_archaea', 4, NULL),
(17649, NULL, 'IPR019432', NULL, 'Acyltransferase MbtK/IucB-like, conserved domain', 'Acyltransferase_MbtK/IucB-like', 3, NULL),
(17650, NULL, 'IPR015630', NULL, 'Latrophilin-3', 'Latrophilin-3', 4, NULL),
(17651, NULL, 'IPR021324', NULL, 'Protein of unknown function DUF2929', 'DUF2929', 4, NULL),
(17652, NULL, 'IPR027267', NULL, 'AH/BAR domain superfamily', 'AH/BAR_dom_sf', 5, NULL),
(17653, NULL, 'IPR024210', NULL, 'Protein of unknown function DUF3785', 'DUF3785', 4, NULL),
(17654, NULL, 'IPR017692', NULL, 'Alternate ATP synthase, F0complex, subunit A', 'Alt_ATP_synth_F0_Asu', 4, NULL),
(17655, NULL, 'IPR019825', NULL, 'Legume lectin, beta chain, Mn/Ca-binding site', 'Lectin_legB_Mn/Ca_BS', 1, NULL),
(17656, NULL, 'IPR021232', NULL, 'Protein of unknown function DUF2735', 'DUF2735', 4, NULL),
(17657, NULL, 'IPR019102', NULL, 'HMG box transcription factor BBX, domain of unknown function DUF2028', 'TF_HMG_box_BBX_DUF2028', 3, NULL),
(17658, NULL, 'IPR017695', NULL, 'Selenium-dependent molybdenum hydroxylase system protein, YqeB family', 'Se-dep_Mo_hydrolase_YqeB', 3, NULL),
(17659, NULL, 'IPR013174', NULL, 'Dolichol-phosphate mannosyltransferase subunit 3', 'DPM3', 4, NULL),
(17660, NULL, 'IPR019791', NULL, 'Haem peroxidase, animal-type', 'Haem_peroxidase_animal', 4, NULL),
(17661, NULL, 'IPR023801', NULL, 'Histone deacetylase domain', 'His_deacetylse_dom', 3, NULL),
(17662, NULL, 'IPR013184', NULL, 'Lactococcus phage c2, E2', 'Lactococcus_phage_c2_E2', 4, NULL),
(17663, NULL, 'IPR021258', NULL, 'Protein of unknown function DUF2816', 'DUF2816', 4, NULL),
(17664, NULL, 'IPR017352', NULL, 'Methyl-CpG-binding domain protein 4', 'MBD4', 4, NULL),
(17665, NULL, 'IPR021299', NULL, 'Protein of unknown function DUF2871', 'DUF2871', 4, NULL),
(17666, NULL, 'IPR013885', NULL, 'Protein of unknown function DUF1764, eukaryotic', 'DUF1764_euk', 4, NULL),
(17667, NULL, 'IPR021321', NULL, 'Protein of unknown function DUF2922', 'DUF2922', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17668, NULL, 'IPR034903', NULL, 'LARP4, RNA recognition motif', 'LARP4_RRM', 3, NULL),
(17669, NULL, 'IPR023799', NULL, 'Ribosome-binding factor A domain superfamily', 'RbfA_dom_sf', 5, NULL),
(17670, NULL, 'IPR019443', NULL, 'FMP27,  C-terminal', 'FMP27_C', 3, NULL),
(17671, NULL, 'IPR013892', NULL, 'Cytochrome c oxidase biogenesis protein Cmc1-like', 'Cyt_c_biogenesis_Cmc1-like', 4, NULL),
(17672, NULL, 'IPR018723', NULL, 'Protein of unknown function DUF2254, membrane', 'DUF2254_membrane', 4, NULL),
(17673, NULL, 'IPR019098', NULL, 'Histone chaperone domain CHZ', 'Histone_chaperone_domain_CHZ', 3, NULL),
(17674, NULL, 'IPR021296', NULL, 'Protein of unknown function DUF2868', 'DUF2868', 4, NULL),
(17675, NULL, 'IPR021333', NULL, 'Protein of unknown function DUF2946', 'DUF2946', 4, NULL),
(17676, NULL, 'IPR021315', NULL, 'Glycolipid exporter Gap/Sap', 'Gap/Sap', 4, NULL),
(17677, NULL, 'IPR021238', NULL, 'Protein of unknown function DUF2620', 'DUF2620', 4, NULL),
(17678, NULL, 'IPR021223', NULL, 'Abortive phage resistance protein AbiGi', 'AbiGi', 4, NULL),
(17679, NULL, 'IPR013878', NULL, 'Mo25-like', 'Mo25', 4, NULL),
(17680, NULL, 'IPR018708', NULL, 'Protein of unknown function DUF2225', 'DUF2225', 4, NULL),
(17681, NULL, 'IPR019438', NULL, 'Queuosine salvage protein family', 'Q_salvage', 4, NULL),
(17682, NULL, 'IPR017684', NULL, 'Phosphonopyruvate decarboxylase', 'Phosphono-pyrv_decarboxylase', 4, NULL),
(17683, NULL, 'IPR019106', NULL, 'Type-F conjugative transfer system pilin assembly protein TrbC', 'T4SS_TrbC', 4, NULL),
(17684, NULL, 'IPR023589', NULL, 'Processive diacylglycerol beta-glucosyltransferase', 'Pro_diacylglycrl_glcsylTrfase', 4, NULL),
(17685, NULL, 'IPR034545', NULL, 'Meiosis-specific kinetochore protein', 'Meikin', 4, NULL),
(17686, NULL, 'IPR013201', NULL, 'Cathepsin propeptide inhibitor domain (I29)', 'Prot_inhib_I29', 3, NULL),
(17687, NULL, 'IPR019127', NULL, 'Exosortase', 'Exosortase', 4, NULL),
(17688, NULL, 'IPR021254', NULL, 'Protein of unknown function DUF2806', 'DUF2806', 4, NULL),
(17689, NULL, 'IPR013894', NULL, 'RecQ mediated genome instability protein, N-terminal', 'RMI1_N', 3, NULL),
(17690, NULL, 'IPR018323', NULL, 'Outer membrane lipoprotein carrier protein LolA, Proteobacteria', 'OM_lipoprot_carrier_LolA_Pbac', 4, NULL),
(17691, NULL, 'IPR021244', NULL, 'Protein of unknown function DUF2802', 'DUF2802', 4, NULL),
(17692, NULL, 'IPR013178', NULL, 'Histone acetyltransferase Rtt109/CBP', 'Histone_AcTrfase_Rtt109/CBP', 4, NULL),
(17693, NULL, 'IPR021304', NULL, 'Adenovirus L4-33K/L4-22K', 'Adeno_L4-33K/L4-22K', 4, NULL),
(17694, NULL, 'IPR018705', NULL, 'Domain of unknown function DUF2134, membrane', 'DUF2134_membrane', 3, NULL),
(17695, NULL, 'IPR013180', NULL, 'Beta-catenin-like protein 1, N-terminal', 'CTNNBL1_N', 3, NULL),
(17696, NULL, 'IPR019117', NULL, 'CRISPR-associated protein, Cmr3', 'CRISPR-assoc_protein_Cmr3', 4, NULL),
(17697, NULL, 'IPR019471', NULL, 'Interferon regulatory factor-3', 'Interferon_reg_factor-3', 3, NULL),
(17698, NULL, 'IPR019140', NULL, 'Mini-chromosome maintenance complex-binding protein', 'MCM_complex-bd', 4, NULL),
(17699, NULL, 'IPR023277', NULL, 'Aquaporin 8', 'Aquaporin_8', 4, NULL),
(17700, NULL, 'IPR013196', NULL, 'Helix-turn-helix, type 11', 'HTH_11', 3, NULL),
(17701, NULL, 'IPR018712', NULL, 'Domain of unknown function DUF2235', 'DUF2235', 3, NULL),
(17702, NULL, 'IPR021242', NULL, 'Protein of unknown function DUF2799', 'DUF2799', 4, NULL),
(17703, NULL, 'IPR017363', NULL, 'Cdc42 effector protein 2', 'Cdc42_effector_prot_2', 4, NULL),
(17704, NULL, 'IPR021213', NULL, 'Protein of unknown function DUF2567', 'DUF2567', 4, NULL),
(17705, NULL, 'IPR017344', NULL, 'Uncharacterised conserved protein UCP037988,TerD, trypsin', 'UCP037988', 4, NULL),
(17706, NULL, 'IPR017367', NULL, 'Peptidase M12A, nematode astacin 7/8,  Caenorhabditis', 'Caenorhab_nas-7/8', 4, NULL),
(17707, NULL, 'IPR017356', NULL, 'Chimaerin', 'CHN1/CHN2', 4, NULL),
(17708, NULL, 'IPR017361', NULL, 'Bifunctional phosphatidylinositol trisphosphate phosphatase/dual specificity phosphatase PTEN', 'Bifunc_PIno_P3_Pase/Pase_PTEN', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17709, NULL, 'IPR021241', NULL, 'Peptidoglycan-binding protein, CsiV', 'CsiV', 4, NULL),
(17710, NULL, 'IPR018701', NULL, 'Protein of unknown function DUF2206, membrane', 'DUF2206_membrane', 4, NULL),
(17711, NULL, 'IPR021262', NULL, 'Protein of unknown function DUF2839', 'DUF2839', 4, NULL),
(17712, NULL, 'IPR021252', NULL, 'Protein of unknown function DUF2794', 'DUF2794', 4, NULL),
(17713, NULL, 'IPR021313', NULL, 'Protein of unknown function DUF2909', 'DUF2909', 4, NULL),
(17714, NULL, 'IPR013183', NULL, 'DASH complex subunit Hsk3-like', 'Hsk3-like', 4, NULL),
(17715, NULL, 'IPR019103', NULL, 'Aspartic peptidase, DDI1-type', 'Peptidase_aspartic_DDI1-type', 3, NULL),
(17716, NULL, 'IPR019447', NULL, 'DNA/RNA-binding protein Kin17, WH-like domain', 'DNA/RNA-bd_Kin17_WH-like_dom', 3, NULL),
(17717, NULL, 'IPR019096', NULL, 'YopX protein', 'YopX_protein', 3, NULL),
(17718, NULL, 'IPR021280', NULL, 'Protein of unknown function DUF2723', 'DUF2723', 4, NULL),
(17719, NULL, 'IPR013198', NULL, 'GTP-sensing helix-turn-helix, CodY, C-terminal', 'GTP_sensing_HTH_CodY_C', 3, NULL),
(17720, NULL, 'IPR020013', NULL, 'Flagellar hook-basal body protein, FlgE/F/G', 'Flagellar_FlgE/F/G', 4, NULL),
(17721, NULL, 'IPR021312', NULL, 'Protein of unknown function DUF2889', 'DUF2889', 4, NULL),
(17722, NULL, 'IPR022924', NULL, 'Cardiolipin synthase', 'Cardiolipin_synthase', 4, NULL),
(17723, NULL, 'IPR021234', NULL, 'Protein of unknown function DUF2827', 'DUF2827', 4, NULL),
(17724, NULL, 'IPR019137', NULL, 'Nck-associated protein 1', 'Nck-associated_protein-1', 4, NULL),
(17725, NULL, 'IPR019798', NULL, 'Serine hydroxymethyltransferase, pyridoxal phosphate binding site', 'Ser_HO-MeTrfase_PLP_BS', 1, NULL),
(17726, NULL, 'IPR015611', NULL, 'Metalloproteinase inhibitor 1', 'TIMP1', 4, NULL),
(17727, NULL, 'IPR017371', NULL, 'Tumour necrosis factor receptor 11B', 'TNFR_11B', 4, NULL),
(17728, NULL, 'IPR024715', NULL, 'Coagulation factor 5/8-like', 'Factor_5/8-like', 4, NULL),
(17729, NULL, 'IPR018324', NULL, 'Checkpoint protein Rad17/Rad24, fungi/metazoa', 'Rad17/Rad24_fun/met', 4, NULL),
(17730, NULL, 'IPR019453', NULL, 'Vacuolar sorting protein 39/Transforming growth factor beta receptor-associated domain 2', 'VPS39/TGF_beta_rcpt-assoc_2', 3, NULL),
(17731, NULL, 'IPR018695', NULL, 'Protein of unknown function DUF2194', 'DUF2194', 4, NULL),
(17732, NULL, 'IPR017687', NULL, 'Outer membrane protein assembly factor BamB', 'BamB', 4, NULL),
(17733, NULL, 'IPR034629', NULL, 'Pentatricopeptide repeat-containing protein 2, mitochondrial', 'PTCD2', 4, NULL),
(17734, NULL, 'IPR019430', NULL, '7TM GPCR, serpentine receptor class x  (Srx)', '7TM_GPCR_serpentine_rcpt_Srx', 3, NULL),
(17735, NULL, 'IPR021297', NULL, 'YlqD protein', 'YlqD', 4, NULL),
(17736, NULL, 'IPR018710', NULL, 'Protein of unknown function DUF2232', 'DUF2232', 4, NULL),
(17737, NULL, 'IPR021328', NULL, 'Protein of unknown function DUF2935', 'DUF2935', 4, NULL),
(17738, NULL, 'IPR017348', NULL, 'Serine/threonine-protein kinase pim-1/2/3', 'PIM1/2/3', 4, NULL),
(17739, NULL, 'IPR022913', NULL, 'Multidrug resistance protein MdtK', 'Multidrug-R_MdtK', 4, NULL),
(17740, NULL, 'IPR019826', NULL, 'Carboxylesterase type B, active site', 'Carboxylesterase_B_AS', 0, NULL),
(17741, NULL, 'IPR021293', NULL, 'Protein of unknown function DUF2865', 'DUF2865', 4, NULL),
(17742, NULL, 'IPR013883', NULL, 'Transcription factor Iwr1 domain', 'TF_Iwr1_dom', 3, NULL),
(17743, NULL, 'IPR018721', NULL, 'Protein of unknown function DUF2252', 'DUF2252', 4, NULL),
(17744, NULL, 'IPR019451', NULL, 'RNA polymerase II assembly factor Rtp1, C-terminal', 'Rtp1_C1', 3, NULL),
(17745, NULL, 'IPR018715', NULL, 'Protein of unknown function DUF2239', 'DUF2239', 4, NULL),
(17746, NULL, 'IPR019470', NULL, 'Ubiquitinol-cytochrome C reductase, Fe-S subunit, TAT signal', 'Ubiq_cytC_Rdtase_Fe-S_su_TAT', 3, NULL),
(17747, NULL, 'IPR017366', NULL, 'Histone lysine-specific demethylase', 'Hist_Lys-spec_deMease', 4, NULL),
(17748, NULL, 'IPR013886', NULL, 'PI31 proteasome regulator, C-terminal', 'PI31_Prot_C', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17749, NULL, 'IPR023829', NULL, 'Poly-beta-1,6-N-acetyl-D-glucosamine biosynthesis protein PgaD', 'PGA_PgaD', 4, NULL),
(17750, NULL, 'IPR019810', NULL, 'Citrate synthase active site', 'Citrate_synthase_AS', 0, NULL),
(17751, NULL, 'IPR017349', NULL, 'Tumour necrosis factor receptor 3', 'TNFR_3_LTBR', 4, NULL),
(17752, NULL, 'IPR018725', NULL, 'Protein of unknown function DUF2259, secreted', 'DUF2259_secreted', 4, NULL),
(17753, NULL, 'IPR019429', NULL, '7TM GPCR, serpentine chemoreceptor class i (Sri)', '7TM_GPCR_serpentine_rcpt_Sri', 4, NULL),
(17754, NULL, 'IPR018692', NULL, 'Predicted integral membrane protein DUF2189', 'DUF2189', 4, NULL),
(17755, NULL, 'IPR017375', NULL, 'Peroxisome assembly protein 12', 'PEX12', 4, NULL),
(17756, NULL, 'IPR021279', NULL, 'Protein of unknown function DUF2721', 'DUF2721', 4, NULL),
(17757, NULL, 'IPR021224', NULL, 'Protein of unknown function DUF2690', 'DUF2690', 4, NULL),
(17758, NULL, 'IPR019129', NULL, 'Folate-sensitive fragile site protein Fra10Ac1', 'Folate-sensitive_fs_Fra10Ac1', 4, NULL),
(17759, NULL, 'IPR019458', NULL, 'Telomerase activating protein Est1, N-terminal', 'Est1_N', 3, NULL),
(17760, NULL, 'IPR021236', NULL, 'Uncharacterised protein family YfdX', 'Uncharacterised_YfdX', 4, NULL),
(17761, NULL, 'IPR021267', NULL, 'Protein of unknown function DUF2844', 'DUF2844', 4, NULL),
(17762, NULL, 'IPR015616', NULL, 'Growth/differentiation factor 8', 'GDF_8', 4, NULL),
(17763, NULL, 'IPR019136', NULL, 'Transcription factor IIIC subunit 5, HTH domain', 'TF_IIIC_su-5_HTH', 3, NULL),
(17764, NULL, 'IPR013880', NULL, 'Yos1-like', 'Yos1', 4, NULL),
(17765, NULL, 'IPR017360', NULL, 'Anthrax toxin receptor', 'Anthrax_toxin_rcpt', 4, NULL),
(17766, NULL, 'IPR013186', NULL, 'Early nodulin 40', 'ENOD40', 4, NULL),
(17767, NULL, 'IPR021326', NULL, 'Protein of unknown function DUF2931', 'DUF2931', 4, NULL),
(17768, NULL, 'IPR023860', NULL, '[FeFe]-hydrogenase system regulator TM1266', 'FeFe-hyd_TM1266', 4, NULL),
(17769, NULL, 'IPR019794', NULL, 'Peroxidase, active site', 'Peroxidases_AS', 0, NULL),
(17770, NULL, 'IPR018702', NULL, 'Protein of unknown function DUF2207, membrane', 'DUF2207_membrane', 4, NULL),
(17771, NULL, 'IPR019480', NULL, 'Dihydroorotate dehydrogenase, electron transfer subunit, iron-sulphur cluster binding domain', 'Dihydroorotate_DH_Fe-S-bd', 3, NULL),
(17772, NULL, 'IPR021316', NULL, 'Protein of unknown function DUF2913', 'DUF2913', 4, NULL),
(17773, NULL, 'IPR021243', NULL, 'Protein of unknown function DUF2804', 'DUF2804', 4, NULL),
(17774, NULL, 'IPR021257', NULL, 'Protein of unknown function DUF2809', 'DUF2809', 4, NULL),
(17775, NULL, 'IPR021217', NULL, 'Spiroplasma phage 1-C74, Orf10', 'Phage_1-C74_Orf10', 4, NULL),
(17776, NULL, 'IPR019473', NULL, 'Transcription factor TFIID, subunit 8, C-terminal', 'TFIID_su8_C', 3, NULL),
(17777, NULL, 'IPR021218', NULL, 'Protein of unknown function DUF2784', 'DUF2784', 4, NULL),
(17778, NULL, 'IPR021300', NULL, 'Integrating conjugative element protein, PFL4695', 'Integr_conj_element_PFL4695', 4, NULL),
(17779, NULL, 'IPR020014', NULL, 'Decahaem cytochrome, c-type, OmcA/MtrC', 'Decahaem_cyt-c_OmcA/MtrC', 4, NULL),
(17780, NULL, 'IPR015612', NULL, 'Metalloproteinase inhibitor 3', 'TIMP3', 4, NULL),
(17781, NULL, 'IPR021289', NULL, 'Recombination, repair and ssDNA binding protein UvsY', 'UvsY', 4, NULL),
(17782, NULL, 'IPR019134', NULL, 'Cactin, C-terminal', 'Cactin_C', 3, NULL),
(17783, NULL, 'IPR013204', NULL, 'Leader peptide, Erm', 'Leader_Erm', 4, NULL),
(17784, NULL, 'IPR019813', NULL, 'Translation initiation factor 3, conserved site', 'Translation_initiation_fac3_CS', 2, NULL),
(17785, NULL, 'IPR019448', NULL, 'NT-type C2 domain', 'NT-C2', 3, NULL),
(17786, NULL, 'IPR019111', NULL, 'Plasmodium RESA, N-terminal', 'PRESA_N', 3, NULL),
(17787, NULL, 'IPR034628', NULL, 'Maltose excess protein 1', 'MEX1/MEX1-like', 4, NULL),
(17788, NULL, 'IPR018285', NULL, 'Methionyl-tRNA synthetase, N-terminal heteromerisation domain', 'Met-tRNA-synth_N', 3, NULL),
(17789, NULL, 'IPR019099', NULL, 'Uncharacterised protein family PGPGW, transmembrane', 'Uncharacterised_PGPGW_TM', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17790, NULL, 'IPR018691', NULL, 'Protein of unknown function DUF2188', 'DUF2188', 4, NULL),
(17791, NULL, 'IPR017369', NULL, 'SPAN protein/blastula protease 10', 'SPAN/blastula_protease_10', 4, NULL),
(17792, NULL, 'IPR013879', NULL, 'Protein of unknown function DUF1761', 'DUF1761', 4, NULL),
(17793, NULL, 'IPR018455', NULL, 'Phosphotransferase system, sorbose subfamily IIB component, subgroup', 'PTS_IIB_sorbose-sp_subgr', 4, NULL),
(17794, NULL, 'IPR019771', NULL, 'F-actin capping protein, beta subunit, conserved site', 'F-actin_capping_bsu_CS', 2, NULL),
(17795, NULL, 'IPR023878', NULL, 'Pyrrolysyl-tRNA ligase, N-terminal', 'Pyrrolysyl-tRNA_ligase_N', 3, NULL),
(17796, NULL, 'IPR018714', NULL, 'Protein of unknown function DUF2237', 'DUF2237', 4, NULL),
(17797, NULL, 'IPR021319', NULL, 'Protein of unknown function DUF2921', 'DUF2921', 4, NULL),
(17798, NULL, 'IPR019811', NULL, 'Homoserine dehydrogenase, conserved site', 'HDH_CS', 2, NULL),
(17799, NULL, 'IPR019795', NULL, 'Globin, bacterial-like, conserved site', 'Globin_bac-like_CS', 2, NULL),
(17800, NULL, 'IPR018706', NULL, 'Protein of unknown function DUF2214, membrane', 'DUF2214_membrane', 4, NULL),
(17801, NULL, 'IPR021220', NULL, 'Protein of unknown function DUF2686', 'DUF2686', 4, NULL),
(17802, NULL, 'IPR023885', NULL, '4Fe4S-binding SPASM domain', '4Fe4S-binding_SPASM_dom', 3, NULL),
(17803, NULL, 'IPR013205', NULL, 'Leader peptide, tryptophan-operon', 'Leader_Trp_op', 4, NULL),
(17804, NULL, 'IPR021327', NULL, 'Protein of unknown function DUF2934', 'DUF2934', 4, NULL),
(17805, NULL, 'IPR021303', NULL, 'Uncharacterised protein family, inner membrane, YbhQ', 'Uncharacterised_YbhQ', 4, NULL),
(17806, NULL, 'IPR018694', NULL, 'Protein of unknown function DUF2193', 'DUF2193', 4, NULL),
(17807, NULL, 'IPR021277', NULL, 'Protein of unknown function DUF2610', 'DUF2610', 4, NULL),
(17808, NULL, 'IPR021233', NULL, 'Protein of unknown function DUF2783', 'DUF2783', 4, NULL),
(17809, NULL, 'IPR019477', NULL, 'Rhodopsin, N-terminal', 'Rhodopsin_N', 3, NULL),
(17810, NULL, 'IPR019452', NULL, 'Vacuolar sorting protein 39/Transforming growth factor beta receptor-associated domain 1', 'VPS39/TGF_beta_rcpt-assoc_1', 3, NULL),
(17811, NULL, 'IPR019460', NULL, 'Autophagy-related protein 11, C-terminal', 'Atg11_C', 3, NULL),
(17812, NULL, 'IPR017697', NULL, 'Selenium-dependent xanthine dehydrogenase', 'Xdh', 4, NULL),
(17813, NULL, 'IPR022918', NULL, 'Phenylalanine-tRNA ligase beta chain 2, archaeal type', 'Phe_tRNA_ligase_beta2_arc', 4, NULL),
(17814, NULL, 'IPR019449', NULL, 'FMP27, WPPW  domain', 'FMP27_WPPW_dom', 3, NULL),
(17815, NULL, 'IPR017372', NULL, 'Glial cell line-derived neurotrophic factor receptor, alpha 1/2', 'Glial_neurotroph_fac_rcpt_a1/2', 4, NULL),
(17816, NULL, 'IPR015618', NULL, 'Transforming growth factor beta-3', 'TGFB3', 4, NULL),
(17817, NULL, 'IPR021263', NULL, 'Protein of unknown function DUF2840', 'DUF2840', 4, NULL),
(17818, NULL, 'IPR021272', NULL, 'Protein of unknown function DUF2851', 'DUF2851', 4, NULL),
(17819, NULL, 'IPR013888', NULL, 'Ribonuclease P, Rpm2, mitochondrial', 'RNase_P_Rpm2_mt', 4, NULL),
(17820, NULL, 'IPR019133', NULL, 'Mitochondrial inner membrane protein Mitofilin', 'Mt-IM_prot_Mitofilin', 4, NULL),
(17821, NULL, 'IPR019806', NULL, 'Heat-stable enterotoxin, conserved site', 'Heat-stable_enterotox_CS', 2, NULL),
(17822, NULL, 'IPR019440', NULL, 'Chromatid cohesion factor MAU2', 'MAU2', 4, NULL),
(17823, NULL, 'IPR023309', NULL, 'Endoglucanase F, domain 2', 'Endo-1-4-beta-glucanase_dom2', 5, NULL),
(17824, NULL, 'IPR018709', NULL, 'CoA enzyme activase, domain of unknown function DUF2229', 'CoA_activase_DUF2229', 3, NULL),
(17825, NULL, 'IPR019476', NULL, 'Type IV secretion system coupling protein TraD, DNA-binding domain', 'T4SS_TraD_DNA-bd', 3, NULL),
(17826, NULL, 'IPR019092', NULL, 'CRISPR-assoc protein, NE0113/Csx13', 'CRISPR-assoc_prot_NE0113/Csx12', 4, NULL),
(17827, NULL, 'IPR018698', NULL, 'VWA-like domain', 'VWA-like_dom', 3, NULL),
(17828, NULL, 'IPR017694', NULL, 'Phosphonate metabolism protein, transferase hexapeptide repeat family', 'Phosphonate_tfrase_rpt', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17829, NULL, 'IPR021278', NULL, 'ATP synthase subunit K', 'ATP19', 4, NULL),
(17830, NULL, 'IPR019110', NULL, 'Uncharacterised protein family, RAQPRD', 'Uncharacterised_RAQPRD', 4, NULL),
(17831, NULL, 'IPR013195', NULL, 'Hepatitis B virus, capsid N-terminal', 'Hepatitis_B_virus_capsid_N', 3, NULL),
(17832, NULL, 'IPR019818', NULL, 'Isocitrate/isopropylmalate dehydrogenase, conserved site', 'IsoCit/isopropylmalate_DH_CS', 2, NULL),
(17833, NULL, 'IPR017374', NULL, 'Fringe', 'Fringe', 4, NULL),
(17834, NULL, 'IPR021259', NULL, 'Protein of unknown function DUF2817', 'DUF2817', 4, NULL),
(17835, NULL, 'IPR019475', NULL, 'DNA primase, DnaB-helicase binding domain', 'DNA_primase_DnaB-bd', 3, NULL),
(17836, NULL, 'IPR024890', NULL, '(R)-citramalate synthase CimA', 'Citramalate_synthase_CimA', 4, NULL),
(17837, NULL, 'IPR013199', NULL, 'M protein trans-acting positive regulator (MGA) HTH domain', 'HTH_Mga_DNA-bd_dom', 3, NULL),
(17838, NULL, 'IPR017680', NULL, 'CoB--CoM heterodisulphide reductase, subunit C', 'CoB/CoM_hetero-S_Rdtase_csu', 4, NULL),
(17839, NULL, 'IPR021226', NULL, 'Protein of unknown function DUF2744', 'DUF2744', 4, NULL),
(17840, NULL, 'IPR021308', NULL, 'Group 4 capsule polysaccharide formation lipoprotein GfcB', 'GfcB', 4, NULL),
(17841, NULL, 'IPR017353', NULL, 'Methyl-CpG binding protein MeCP2', 'Me_CpG-bd_MeCP2', 4, NULL),
(17842, NULL, 'IPR017357', NULL, 'Telomeric repeat-binding factor 1/2', 'TERF1/2', 4, NULL),
(17843, NULL, 'IPR021276', NULL, 'Protein of unknown function DUF2855', 'DUF2855', 4, NULL),
(17844, NULL, 'IPR019094', NULL, 'Bacteriophage SP-beta, YorD', 'Phage_SP-beta_YorD', 3, NULL),
(17845, NULL, 'IPR021247', NULL, 'Protein of unknown function DUF2785', 'DUF2785', 4, NULL),
(17846, NULL, 'IPR013188', NULL, 'Influenza matrix M1, C-terminal', 'Flu_matrix_M1_C', 3, NULL),
(17847, NULL, 'IPR019465', NULL, 'Conserved oligomeric Golgi complex subunit 5', 'Cog5', 4, NULL),
(17848, NULL, 'IPR015626', NULL, 'Villin-like protein', 'Villin-like', 4, NULL),
(17849, NULL, 'IPR021239', NULL, 'Protein of unknown function DUF2625', 'DUF2625', 4, NULL),
(17850, NULL, 'IPR019812', NULL, 'Hydrogenase assembly chaperone, conserved site', 'Hydgase_assmbl_chp_CS', 2, NULL),
(17851, NULL, 'IPR017674', NULL, 'Putative methanogenesis marker protein 11', 'Methan_mark_11', 4, NULL),
(17852, NULL, 'IPR015614', NULL, 'Metalloproteinase inhibitor 4', 'TIMP4', 4, NULL),
(17853, NULL, 'IPR013182', NULL, 'Domain of unknown function DUF1720', 'DUF1720', 3, NULL),
(17854, NULL, 'IPR021275', NULL, 'Protein of unknown function DUF2854', 'DUF2854', 4, NULL),
(17855, NULL, 'IPR021332', NULL, 'Protein of unknown function DUF2944', 'DUF2944', 4, NULL),
(17856, NULL, 'IPR023798', NULL, 'Ribosomal protein S7 domain', 'Ribosomal_S7_dom', 3, NULL),
(17857, NULL, 'IPR019802', NULL, 'Glycoside hydrolase, family 4, conserved site', 'GlycHydrolase_4_CS', 2, NULL),
(17858, NULL, 'IPR021211', NULL, 'Sorting assembly machinery 35kDa subunit', 'SAM35', 4, NULL),
(17859, NULL, 'IPR019772', NULL, 'Ferrochelatase, active site', 'Ferrochelatase_AS', 0, NULL),
(17860, NULL, 'IPR013209', NULL, 'Lipin/Ned1/Smp2 (LNS2)', 'LNS2', 3, NULL),
(17861, NULL, 'IPR019431', NULL, 'Protein of unknown function DUF2417', 'DUF2417', 4, NULL),
(17862, NULL, 'IPR019426', NULL, '7TM GPCR, serpentine receptor class v (Srv)', '7TM_GPCR_serpentine_rcpt_Srv', 4, NULL),
(17863, NULL, 'IPR034626', NULL, 'Outer envelope pore protein 24', 'OEP24', 4, NULL),
(17864, NULL, 'IPR021331', NULL, 'Hypervirulence associated protein, TUDOR domain', 'Hva1_TUDOR', 3, NULL),
(17865, NULL, 'IPR018697', NULL, 'Protein of unknown function DUF2199', 'DUF2199', 4, NULL),
(17866, NULL, 'IPR021286', NULL, 'Baculovirus, protein E26', 'Baculovirus_E26', 4, NULL),
(17867, NULL, 'IPR019441', NULL, 'FMP27, GFWDK domain', 'FMP27_GFWDK_dom', 3, NULL),
(17868, NULL, 'IPR018707', NULL, 'Protein of unknown function DUF2219', 'DUF2219', 4, NULL),
(17869, NULL, 'IPR019445', NULL, 'Uncharacterised protein family UPF0321', 'UPF0321', 4, NULL),
(17870, NULL, 'IPR023193', NULL, '3-phosphoshikimate 1-carboxyvinyltransferase, conserved site', 'EPSP_synthase_CS', 2, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17871, NULL, 'IPR021270', NULL, 'Protein of unknown function DUF2849', 'DUF2849', 4, NULL),
(17872, NULL, 'IPR024893', NULL, 'ATP phosphoribosyltransferase HisG, short form', 'ATP_PRibTrfase_HisG_short', 4, NULL),
(17873, NULL, 'IPR013212', NULL, 'Mad3/Bub1 homology region 1', 'Mad3/Bub1_I', 3, NULL),
(17874, NULL, 'IPR021264', NULL, 'Protein of unknown function DUF2841', 'DUF2841', 4, NULL),
(17875, NULL, 'IPR013877', NULL, 'YAP-binding/ALF4/Glomulin', 'YAP-bd/ALF4/Glomulin', 4, NULL),
(17876, NULL, 'IPR021246', NULL, 'Protein of unknown function DUF2797', 'DUF2797', 4, NULL),
(17877, NULL, 'IPR013206', NULL, 'Leucophaea maderae tachykinin-related peptide', 'Lem_TRP', 4, NULL),
(17878, NULL, 'IPR021295', NULL, 'Protein of unknown function DUF2867', 'DUF2867', 4, NULL),
(17879, NULL, 'IPR018325', NULL, 'Rad4/PNGase transglutaminase-like fold', 'Rad4/PNGase_transGLS-fold', 3, NULL),
(17880, NULL, 'IPR021255', NULL, 'Putative auto-transporter adhesin, head GIN domain', 'DUF2807', 3, NULL),
(17881, NULL, 'IPR018711', NULL, 'Phosphodiester glycosidase', 'NAGPA', 3, NULL),
(17882, NULL, 'IPR017685', NULL, 'HTH-type transcriptional regulator ArgP', 'ArgP', 4, NULL),
(17883, NULL, 'IPR021309', NULL, 'Protein of unknown function DUF2892', 'DUF2892', 4, NULL),
(17884, NULL, 'IPR019128', NULL, 'Sister chromatid cohesion protein Dcc1', 'Dcc1', 4, NULL),
(17885, NULL, 'IPR017677', NULL, 'Putative methanogenesis marker 16 metalloprotein', 'Methan_mark_16', 4, NULL),
(17886, NULL, 'IPR021330', NULL, 'Protein of unknown function DUF2939', 'DUF2939', 4, NULL),
(17887, NULL, 'IPR019829', NULL, 'Macrophage migration inhibitory factor, conserved site', 'Macrophage_inhib_fac_CS', 2, NULL),
(17888, NULL, 'IPR017675', NULL, 'Ni-sirohydrochlorin a,c-diamide reductive cyclase complex, component CfbD', 'CfbD', 4, NULL),
(17889, NULL, 'IPR023832', NULL, 'Histidine triad protein', 'His_triad_protein', 4, NULL),
(17890, NULL, 'IPR018713', NULL, 'ER-bound oxygenase mpaB/mpaB''/Rubber oxygenase, catalytic domain', 'MPAB/Lcp_cat_dom', 3, NULL),
(17891, NULL, 'IPR021245', NULL, 'Protein of unknown function DUF2790', 'DUF2790', 4, NULL),
(17892, NULL, 'IPR019433', NULL, 'GPI-Mannosyltransferase II co-activator, Pga1', 'GPI_ManTrfase_II_coact_Pga1', 4, NULL),
(17893, NULL, 'IPR019831', NULL, 'Manganese/iron superoxide dismutase, N-terminal', 'Mn/Fe_SOD_N', 3, NULL),
(17894, NULL, 'IPR018718', NULL, 'Protein of unknown function DUF2242', 'DUF2242', 4, NULL),
(17895, NULL, 'IPR023201', NULL, 'SecY domain superfamily', 'SecY_dom_sf', 5, NULL),
(17896, NULL, 'IPR019436', NULL, 'Steryl acetyl hydrolase 1-like', 'Say1-like', 4, NULL),
(17897, NULL, 'IPR013192', NULL, 'NS5A domain 1a', 'NS5A_1a', 3, NULL),
(17898, NULL, 'IPR019803', NULL, 'Glypican, conserved site', 'Glypican_CS', 2, NULL),
(17899, NULL, 'IPR021231', NULL, 'Protein of unknown function DUF2811', 'DUF2811', 4, NULL),
(17900, NULL, 'IPR019792', NULL, 'Gonadoliberin', 'Gonadoliberin', 4, NULL),
(17901, NULL, 'IPR013882', NULL, 'DNA endonuclease activator Ctp1, C-terminal', 'Ctp1_C', 3, NULL),
(17902, NULL, 'IPR021222', NULL, 'Protein of unknown function DUF2714', 'DUF2714', 4, NULL),
(17903, NULL, 'IPR034906', NULL, 'Calcipressin-1, RNA recognition motif', 'RCAN1_RRM', 3, NULL),
(17904, NULL, 'IPR023276', NULL, 'Aquaporin 5', 'Aquaporin_5', 4, NULL),
(17905, NULL, 'IPR021305', NULL, 'Protein of unknown function DUF2880', 'DUF2880', 4, NULL),
(17906, NULL, 'IPR013887', NULL, 'Uncharacterised protein family UPF0592', 'UPF0592', 4, NULL),
(17907, NULL, 'IPR017693', NULL, 'Phosphonate metabolism protein PhnP', 'Phosphonate_metab_PhnP', 4, NULL),
(17908, NULL, 'IPR013193', NULL, 'Hepatitis C virus non-structural 5a, 1B domain', 'HCV_NS5a_1B_dom', 3, NULL),
(17909, NULL, 'IPR019459', NULL, 'GRIP-related Arf-binding domain', 'GRAB', 3, NULL),
(17910, NULL, 'IPR017351', NULL, 'LIM and senescent cell antigen-like-containing domain protein 1-like', 'PINCH_1-like', 4, NULL),
(17911, NULL, 'IPR021298', NULL, 'Cilia- and flagella-associated protein 298', 'CFAP298', 4, NULL),
(17912, NULL, 'IPR035277', NULL, 'MalF, N-terminal', 'MalF_N', 5, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17913, NULL, 'IPR019464', NULL, 'RNA polymerase II elongation factor ELL, N-terminal', 'ELL_N', 3, NULL),
(17914, NULL, 'IPR021266', NULL, 'Kdo hydroxylase', 'Kdo_hydroxlase', 4, NULL),
(17915, NULL, 'IPR019814', NULL, 'Translation initiation factor 3, N-terminal', 'Translation_initiation_fac_3_N', 3, NULL),
(17916, NULL, 'IPR023939', NULL, 'Cysteine desulfuration protein SufE', 'Cysteine_desulfuration_SufE', 4, NULL),
(17917, NULL, 'IPR024891', NULL, 'Antiholin-like protein LrgB', 'Antiholin-like_LrgB', 4, NULL),
(17918, NULL, 'IPR017346', NULL, 'UBX domain-containing protein 2/7', 'UBX_7/2', 4, NULL),
(17919, NULL, 'IPR019439', NULL, 'FMP27, N-terminal', 'FMP27_N', 3, NULL),
(17920, NULL, 'IPR019984', NULL, '30S ribosomal protein S17', 'Ribosomal_S17', 4, NULL),
(17921, NULL, 'IPR019138', NULL, 'De-etiolated protein 1, Det1', 'De-etiolated_protein_1_Det1', 4, NULL),
(17922, NULL, 'IPR018704', NULL, 'Tetratricopeptide repeat-like domain', 'TPR_21', 3, NULL),
(17923, NULL, 'IPR019804', NULL, 'Ras guanine-nucleotide exchange factor, conserved site', 'Ras_G-nucl-exch_fac_CS', 2, NULL),
(17924, NULL, 'IPR021256', NULL, 'Protein of unknown function DUF2808', 'DUF2808', 4, NULL),
(17925, NULL, 'IPR021249', NULL, 'Protein of unknown function DUF2788', 'DUF2788', 4, NULL),
(17926, NULL, 'IPR019466', NULL, 'Matrilin, coiled-coil trimerisation domain', 'Matrilin_coiled-coil_trimer', 3, NULL),
(17927, NULL, 'IPR017368', NULL, 'Peptidase M12A, nematode astacin 9/10/11', 'Peptidase_M12A_astacin-9/10/11', 4, NULL),
(17928, NULL, 'IPR021253', NULL, 'Protein of unknown function DUF2796', 'DUF2796', 4, NULL),
(17929, NULL, 'IPR021292', NULL, 'Protein of unknown function DUF2863', 'DUF2863', 4, NULL),
(17930, NULL, 'IPR021318', NULL, 'Protein of unknown function DUF2919', 'DUF2919', 4, NULL),
(17931, NULL, 'IPR035011', NULL, 'CRISPR-associated endonuclease/helicase Cas3', 'Cas3', 4, NULL),
(17932, NULL, 'IPR013176', NULL, 'Vacuolar fusion protein Ccz1', 'Ccz1', 4, NULL),
(17933, NULL, 'IPR021294', NULL, 'Protein of unknown function DUF2866', 'DUF2866', 4, NULL),
(17934, NULL, 'IPR017673', NULL, 'Putative radical SAM enzyme, CHP03279 family', 'CHP03279_fam', 4, NULL),
(17935, NULL, 'IPR024892', NULL, 'Putative phenylalanine aminotransferase', 'Pat', 4, NULL),
(17936, NULL, 'IPR017373', NULL, 'Sodium-dependent phosphate transport protein 4 , predicted', 'Na-dep_P-transpt_4_prd', 4, NULL),
(17937, NULL, 'IPR019457', NULL, 'Uncharacterised domain YojJ, N-terminal', 'Uncharacterised_YojJ_N', 3, NULL),
(17938, NULL, 'IPR021320', NULL, 'Protein of unknown function DUF2905', 'DUF2905', 4, NULL),
(17939, NULL, 'IPR023863', NULL, 'Archaeal radical SAM protein, PTO1314 family', 'rSAM_PTO1314', 4, NULL),
(17940, NULL, 'IPR017370', NULL, 'Hatching enzyme, Uvs2', 'Hatching_enzyme_Uvs2', 4, NULL),
(17941, NULL, 'IPR021307', NULL, 'Protein of unknown function DUF2884', 'DUF2884', 4, NULL),
(17942, NULL, 'IPR013194', NULL, 'Histone deacetylase interacting domain', 'HDAC_interact_dom', 3, NULL),
(17943, NULL, 'IPR023862', NULL, 'Conserved hypothetical protein CHP03960, radical SAM', 'CHP03960_rSAM', 4, NULL),
(17944, NULL, 'IPR015623', NULL, 'Actin-related protein 3', 'Arp3', 4, NULL),
(17945, NULL, 'IPR021334', NULL, 'Protein of unknown function DUF2947', 'DUF2947', 4, NULL),
(17946, NULL, 'IPR021329', NULL, 'Protein of unknown function DUF2938', 'DUF2938', 4, NULL),
(17947, NULL, 'IPR017345', NULL, 'Peptidase S1A, Tysnd1', 'Pept_S1A_Tysnd1', 4, NULL),
(17948, NULL, 'IPR017355', NULL, 'Tumour necrosis factor ligand 10/11', 'TNF_ligand_10/11', 4, NULL),
(17949, NULL, 'IPR017681', NULL, 'Coenzyme F420 hydrogenase, subunit gamma', 'Coenz_F420_hydrogenase_gsu', 4, NULL),
(17950, NULL, 'IPR021237', NULL, 'Leader peptide SpeFL', 'SpeFL', 4, NULL),
(17951, NULL, 'IPR018717', NULL, 'Domain of unknown function DUF2241', 'DUF2241', 3, NULL),
(17952, NULL, 'IPR023938', NULL, 'HMP-PP phosphatase', 'HMP-PP_phosphatase', 4, NULL),
(17953, NULL, 'IPR019796', NULL, 'Glucose-6-phosphate dehydrogenase, active site', 'G6P_DH_AS', 0, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17954, NULL, 'IPR023803', NULL, 'Ribosomal protein S16 domain superfamily', 'Ribosomal_S16_dom_sf', 5, NULL),
(17955, NULL, 'IPR017347', NULL, 'Heterogeneous nuclear ribonucleoprotein C', 'hnRNP_C', 4, NULL),
(17956, NULL, 'IPR021214', NULL, 'Protein of unknown function DUF2568', 'DUF2568', 4, NULL),
(17957, NULL, 'IPR013211', NULL, 'LVIVD', 'LVIVD', 7, NULL),
(17958, NULL, 'IPR015617', NULL, 'Growth differentiation factor-9', 'Growth_differentiation_fac-9', 4, NULL),
(17959, NULL, 'IPR034627', NULL, 'Increased recombination centres protein 6', 'Irc6', 4, NULL),
(17960, NULL, 'IPR013202', NULL, 'Kinin peptide', 'Kinin_peptide', 4, NULL),
(17961, NULL, 'IPR013207', NULL, 'LGFP', 'LGFP', 7, NULL),
(17962, NULL, 'IPR019428', NULL, '7TM GPCR, serpentine receptor class r (Str)', '7TM_GPCR_serpentine_rcpt_Str', 4, NULL),
(17963, NULL, 'IPR021229', NULL, 'Protein of unknown function DUF2800', 'DUF2800', 4, NULL),
(17964, NULL, 'IPR019454', NULL, 'Putative cell-wall binding lipoprotein YkyA-like', 'Lipoprot_YkyA-like', 4, NULL),
(17965, NULL, 'IPR024740', NULL, 'Hen1, N-terminal', 'Hen1_N', 3, NULL),
(17966, NULL, 'IPR021240', NULL, 'Protein of unknown function DUF2776', 'DUF2776', 4, NULL),
(17967, NULL, 'IPR018689', NULL, 'Domain of unknown function DUF2185', 'DUF2185', 3, NULL),
(17968, NULL, 'IPR021251', NULL, 'Protein of unknown function DUF2793', 'DUF2793', 4, NULL),
(17969, NULL, 'IPR021281', NULL, 'Small nuclear RNA activating complex subunit 2', 'SNAPC2', 4, NULL),
(17970, NULL, 'IPR021306', NULL, 'Protein of unknown function DUF2878', 'DUF2878', 4, NULL),
(17971, NULL, 'IPR019800', NULL, 'Glycoside hydrolase, family 3, active site', 'Glyco_hydro_3_AS', 0, NULL),
(17972, NULL, 'IPR018719', NULL, 'Protein of unknown function DUF2243, membrane', 'DUF2243_membrane', 4, NULL),
(17973, NULL, 'IPR023936', NULL, 'Probable malonic semialdehyde reductase RutE-like', 'RutE-like', 4, NULL),
(17974, NULL, 'IPR019817', NULL, 'Interferon regulatory factor, conserved site', 'Interferon_reg_fac_CS', 2, NULL),
(17975, NULL, 'IPR019801', NULL, 'Glycoside hydrolase, family 35, conserved site', 'Glyco_hydro_35_CS', 2, NULL),
(17976, NULL, 'IPR019985', NULL, 'Ribosomal protein L23', 'Ribosomal_L23', 4, NULL),
(17977, NULL, 'IPR019434', NULL, 'Uncharacterised protein family UPF0642', 'UPF0642', 4, NULL),
(17978, NULL, 'IPR034677', NULL, 'Protein Kinase B beta, catalytic domain', 'Akt2', 3, NULL),
(17979, NULL, 'IPR019435', NULL, 'Velum formation protein 1-like', 'Vel1-like', 4, NULL),
(17980, NULL, 'IPR034122', NULL, 'Retropepsin-like domain, bacterial', 'Retropepsin-like_bacterial', 3, NULL),
(17981, NULL, 'IPR015628', NULL, 'Supervillin', 'SV/p205', 4, NULL),
(17982, NULL, 'IPR021260', NULL, 'Lipid II flippase Amj', 'Amj', 4, NULL),
(17983, NULL, 'IPR013890', NULL, 'Transcriptional repressor Tup1, N-terminal', 'Tscrpt_rep_Tup1_N', 3, NULL),
(17984, NULL, 'IPR019830', NULL, 'Malate synthase, conserved site', 'Malate_synthase_CS', 2, NULL),
(17985, NULL, 'IPR015621', NULL, 'Interleukin-1 receptor family', 'IL-1_rcpt_fam', 4, NULL),
(17986, NULL, 'IPR021301', NULL, 'Domain of unknown functionDUF2779', 'DUF2779', 3, NULL),
(17987, NULL, 'IPR019479', NULL, 'Peroxiredoxin, C-terminal', 'Peroxiredoxin_C', 3, NULL),
(17988, NULL, 'IPR017676', NULL, 'Putative methanogenesis marker protein 15', 'Methan_mark_15', 4, NULL),
(17989, NULL, 'IPR013842', NULL, 'GTP-binding protein LepA, C-terminal', 'LepA_CTD', 3, NULL),
(17990, NULL, 'IPR035962', NULL, 'Rop-like superfamily', 'Rop-like_sf', 5, NULL),
(17991, NULL, 'IPR022915', NULL, 'Peroxiredoxin, TDXH subfamily', 'Peroxiredoxin_TDXH', 4, NULL),
(17992, NULL, 'IPR021283', NULL, 'Protein of unknown function DUF2612', 'DUF2612', 4, NULL),
(17993, NULL, 'IPR021215', NULL, 'Protein of unknown function DUF2752', 'DUF2752', 4, NULL),
(17994, NULL, 'IPR018690', NULL, 'Protein of unknown function DUF2187', 'DUF2187', 4, NULL),
(17995, NULL, 'IPR023311', NULL, 'Methuselah ectodomain, domain 2', 'Methusela_ecto_dom_2', 5, NULL),
(17996, NULL, 'IPR019478', NULL, 'Sirohaem synthase, dimerisation domain', 'Sirohaem_synthase_dimer_dom', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(17997, NULL, 'IPR019139', NULL, 'Leucine-rich repeat flightless-interacting protein 1/2', 'LRRFIP1/2', 4, NULL),
(17998, NULL, 'IPR017686', NULL, 'Phage/plasmid-like protein', 'Phg/plasmid-like_prot', 4, NULL),
(17999, NULL, 'IPR013197', NULL, 'RNA polymerase III subunit RPC82-related, helix-turn-helix', 'RNA_pol_III_RPC82-rel_HTH', 3, NULL),
(18000, NULL, 'IPR019789', NULL, 'Xylulose 5-phosphate/Fructose 6-phosphate phosphoketolase, thiamine diphosphate binding site', 'Xul5P/Fru6P_PKetolase_ThDP_BS', 1, NULL),
(18001, NULL, 'IPR014710', NULL, 'RmlC-like jelly roll fold', 'RmlC-like_jellyroll', 5, NULL),
(18002, NULL, 'IPR015639', NULL, 'Ninjurin1', 'Ninjurin1', 4, NULL),
(18003, NULL, 'IPR021415', NULL, 'Protein of unknown function DUF3055', 'DUF3055', 4, NULL),
(18004, NULL, 'IPR021439', NULL, 'Protein of unknown function DUF3088', 'DUF3088', 4, NULL),
(18005, NULL, 'IPR035502', NULL, 'BR140-related, PWWD domain', 'BR140-rel_PWWD', 3, NULL),
(18006, NULL, 'IPR020062', NULL, 'Nuclear transition protein 1, conserved site', 'Nuclear_transition_prot1_CS', 2, NULL),
(18007, NULL, 'IPR018162', NULL, 'Alanine-tRNA ligase, class IIc, anti-codon-binding domain superfamily', 'Ala-tRNA-ligase_IIc_anticod-bd', 5, NULL),
(18008, NULL, 'IPR015671', NULL, 'GLTSCR protein, conserved region', 'GSCR1_dom', 3, NULL),
(18009, NULL, 'IPR016572', NULL, 'Uncharacterised conserved protein UCP010611', 'UCP010611', 4, NULL),
(18010, NULL, 'IPR023889', NULL, 'TOMM system kinase/cyclase fusion protein', 'TOMM_kin_cyc', 4, NULL),
(18011, NULL, 'IPR020186', NULL, 'Meiosis-expressed gene 1 protein', 'Meiosis-expressed_gene_1', 4, NULL),
(18012, NULL, 'IPR017399', NULL, 'WD repeat protein DCAF11/LEC14B', 'DCAF11/LEC14B', 4, NULL),
(18013, NULL, 'IPR021406', NULL, 'Mediator complex, subunit Med25, NR box', 'Mediator_Med25_NR-box', 3, NULL),
(18014, NULL, 'IPR015644', NULL, 'Peptidase C1A, cathepsin K', 'Peptidase_C1A_cathepsin-K', 4, NULL),
(18015, NULL, 'IPR016548', NULL, 'Uncharacterised conserved protein UCP009180', 'UCP009180', 4, NULL),
(18016, NULL, 'IPR015670', NULL, 'Protein phosphatase 1 regulatory subunit 1B', 'DARPP-32', 4, NULL),
(18017, NULL, 'IPR016987', NULL, 'Uncharacterised conserved protein UCP023238', 'UCP023238', 4, NULL),
(18018, NULL, 'IPR020063', NULL, 'Bordetella pertussis toxin B, subunit 2/3, C-terminal', 'ToxinB_su2/3_C_BORPE', 3, NULL),
(18019, NULL, 'IPR019945', NULL, 'F420-dependent glucose-6-phosphate dehydrogenase-related', 'F420_G6P_DH-rel', 4, NULL),
(18020, NULL, 'IPR013828', NULL, 'Haemagglutinin, HA1 chain, alpha/beta domain superfamily', 'Hemagglutn_HA1_a/b_dom_sf', 5, NULL),
(18021, NULL, 'IPR017390', NULL, 'Ubiquitinyl hydrolase, UCH37 type', 'Ubiquitinyl_hydrolase_UCH37', 4, NULL),
(18022, NULL, 'IPR013908', NULL, 'DNA repair Nbs1, C-terminal', 'DNA-repair_Nbs1_C', 3, NULL),
(18023, NULL, 'IPR016963', NULL, 'Glycoporin RafY', 'Glycoporin_RafY', 4, NULL),
(18024, NULL, 'IPR021365', NULL, 'Protein of unknown function DUF2891', 'DUF2891', 4, NULL),
(18025, NULL, 'IPR021449', NULL, 'Protein of unknown function DUF3099', 'DUF3099', 4, NULL),
(18026, NULL, 'IPR021363', NULL, 'Protein of unknown function DUF2835', 'DUF2835', 4, NULL),
(18027, NULL, 'IPR017709', NULL, 'Alternate ATP synthase, F1 complex, subunit gamma', 'Alt_ATP_synth_F1_gsu', 4, NULL),
(18028, NULL, 'IPR021375', NULL, 'Protein of unknown function DUF2997', 'DUF2997', 4, NULL),
(18029, NULL, 'IPR016559', NULL, 'Uncharacterised conserved protein UCP009597', 'UCP009597', 4, NULL),
(18030, NULL, 'IPR013833', NULL, 'Cytochrome c oxidase, subunit III, 4-helical bundle', 'Cyt_c_oxidase_su3_a-hlx', 5, NULL),
(18031, NULL, 'IPR021383', NULL, 'Protein of unknown function DUF3015', 'DUF3015', 4, NULL),
(18032, NULL, 'IPR021372', NULL, 'Protein of unknown function DUF2989', 'DUF2989', 4, NULL),
(18033, NULL, 'IPR017720', NULL, 'Coenzyme F390 synthetase', 'Coenzyme_F390_Synthase', 4, NULL),
(18034, NULL, 'IPR020024', NULL, 'L-seryl-tRNA(Sec) kinase, archaea', 'L-seryl-tRNA_Sec_kinase_arc', 4, NULL),
(18035, NULL, 'IPR013915', NULL, 'Pre-mRNA-splicing factor 19', 'Pre-mRNA_splic_Prp19', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18036, NULL, 'IPR021355', NULL, 'Bacteriophage Syn9, Gp224', 'Phage_Syn9_Gp224', 4, NULL),
(18037, NULL, 'IPR013896', NULL, 'Carbon catabolite-derepressing protein kinase, ubiquitin-associated domain', 'SNF1_UBA', 3, NULL),
(18038, NULL, 'IPR020031', NULL, 'CRISPR-associated protein Cas5p', 'CRISPR-assoc_Cas5p', 4, NULL),
(18039, NULL, 'IPR017712', NULL, 'Ribulose bisphosphate carboxylase, type III', 'RuBisCO_III', 4, NULL),
(18040, NULL, 'IPR019952', NULL, 'F420-dependent oxidoreductase-predicted, Rv1855c', 'F420_OxRdatse_Rv1855c_pred', 4, NULL),
(18041, NULL, 'IPR017699', NULL, 'Molybdenum-binding protein YgfN/XdhD', 'Mo-bd_YgfN/XdhD', 4, NULL),
(18042, NULL, 'IPR016947', NULL, 'Uncharacterised phage-associated protein UCP030140', 'UCP030140', 4, NULL),
(18043, NULL, 'IPR021387', NULL, 'Protein of unknown function DUF3023', 'DUF3023', 4, NULL),
(18044, NULL, 'IPR016985', NULL, 'Uncharacterised conserved protein UCP031890, Tim44-related', 'UCP031890_Tim44-rel', 4, NULL),
(18045, NULL, 'IPR016976', NULL, 'Uncharacterised conserved protein UCP031601', 'UCP031601', 4, NULL),
(18046, NULL, 'IPR016600', NULL, 'Uncharacterised conserved protein UCP012611', 'UCP012611', 4, NULL),
(18047, NULL, 'IPR019843', NULL, 'DNA polymerase family X, binding site', 'DNA_pol-X_BS', 1, NULL),
(18048, NULL, 'IPR021388', NULL, 'Bacteriophage 933W, L0084', 'Phage_933W_L0084', 4, NULL),
(18049, NULL, 'IPR035421', NULL, 'Terminase, large subunit gp17-like, C-terminal', 'Terminase_6C', 3, NULL),
(18050, NULL, 'IPR017714', NULL, 'Methylthioribulose-1-phosphate dehydratase', 'MethylthioRu-1-P_deHdtase_MtnB', 4, NULL),
(18051, NULL, 'IPR015676', NULL, 'Tob1/2', 'Tob1/2', 4, NULL),
(18052, NULL, 'IPR032480', NULL, 'Domain of unknown function DUF5057', 'DUF5057', 3, NULL),
(18053, NULL, 'IPR016956', NULL, 'Inner membrane protein YdjM', 'YdjM', 4, NULL),
(18054, NULL, 'IPR021378', NULL, 'Protein of unknown function DUF3010', 'DUF3010', 4, NULL),
(18055, NULL, 'IPR020038', NULL, 'Circular bacteriocin', 'Circ_bacteriocin', 4, NULL),
(18056, NULL, 'IPR017705', NULL, 'Ribonuclease Y', 'Ribonuclease_Y', 4, NULL),
(18057, NULL, 'IPR021417', NULL, 'Protein of unknown function DUF3060', 'DUF3060', 4, NULL),
(18058, NULL, 'IPR035213', NULL, 'Protein of unknown function DUF5321', 'DUF5321', 4, NULL),
(18059, NULL, 'IPR017378', NULL, 'Torsin 1/2', 'Torsin_1/2', 4, NULL),
(18060, NULL, 'IPR021348', NULL, 'Domiain of unknown function DUF2963', 'DUF2963', 3, NULL),
(18061, NULL, 'IPR021398', NULL, 'Protein of unknown function DUF3037', 'DUF3037', 4, NULL),
(18062, NULL, 'IPR032479', NULL, 'Protein of unknown function DUF5058', 'DUF5058', 4, NULL),
(18063, NULL, 'IPR021410', NULL, 'The fantastic four family', 'FAF', 4, NULL),
(18064, NULL, 'IPR015660', NULL, 'Achaete-scute transcription factor-related', 'MASH1/Ascl1a-like', 4, NULL),
(18065, NULL, 'IPR020049', NULL, 'Protein of unknown function DUF2184', 'DUF2184', 4, NULL),
(18066, NULL, 'IPR019935', NULL, 'Conserved hypothetical protein CHP03546', 'CHP03546', 4, NULL),
(18067, NULL, 'IPR035508', NULL, 'STAC1', 'STAC1', 4, NULL),
(18068, NULL, 'IPR015641', NULL, 'Fasciculation and elongation protein zeta 2', 'FEZ_2', 4, NULL),
(18069, NULL, 'IPR020205', NULL, 'Uncharacterised protein family, YwnF, transmembrane', 'Uncharacterised_YwnF_TM', 4, NULL),
(18070, NULL, 'IPR021351', NULL, 'Protein of unknown function DUF2969', 'DUF2969', 4, NULL),
(18071, NULL, 'IPR021405', NULL, 'Bacteriophage T4, Gp30.1', 'Phage_T4_Gp30.1', 4, NULL),
(18072, NULL, 'IPR016948', NULL, 'Uncharacterised conserved protein UCP030175', 'UCP030175', 4, NULL),
(18073, NULL, 'IPR015659', NULL, 'Proline oxidase family', 'Proline_oxidase', 4, NULL),
(18074, NULL, 'IPR021423', NULL, 'Protein of unknown function DUF3070', 'DUF3070', 4, NULL),
(18075, NULL, 'IPR020017', NULL, 'XapX domain', 'XapX_domain', 3, NULL),
(18076, NULL, 'IPR017380', NULL, 'Histone acetyltransferase type B, catalytic subunit', 'Hist_AcTrfase_B-typ_cat-su', 4, NULL),
(18077, NULL, 'IPR020044', NULL, 'PRD domain protein, EF0829/AHA3910', 'PRD_EF0829/AHA3910', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18078, NULL, 'IPR015632', NULL, 'T-cell surface antigen CD2', 'CD2', 4, NULL),
(18079, NULL, 'IPR021432', NULL, 'Protein of unknown function DUF3081', 'DUF3081', 4, NULL),
(18080, NULL, 'IPR016969', NULL, 'Uncharacterised conserved protein UCP031088, alpha/beta hydrolase, At1g15070', 'UCP031088_abhydr', 4, NULL),
(18081, NULL, 'IPR017387', NULL, 'Testis-specific TEX28', 'Testis-specific_TEX28', 4, NULL),
(18082, NULL, 'IPR021420', NULL, 'Protein of unknown function DUF3067', 'DUF3067', 4, NULL),
(18083, NULL, 'IPR024232', NULL, 'Stage III sporulation protein AH-like', 'SpoIIIAH', 4, NULL),
(18084, NULL, 'IPR016980', NULL, 'S-adenosyl-L-methionine dependent methyltransferase, Alr7345, predicted', 'S-AdoMet-dep_MeTrfase_Alr7345', 4, NULL),
(18085, NULL, 'IPR016192', NULL, 'APOBEC/CMP deaminase, zinc-binding', 'APOBEC/CMP_deaminase_Zn-bd', 1, NULL),
(18086, NULL, 'IPR019951', NULL, 'F420-dependent oxidoreductase-predicted, Rv3520c', 'F420_OxRdatse_Rv3520c_pred', 4, NULL),
(18087, NULL, 'IPR021345', NULL, 'Protein of unknown function DUF2961', 'DUF2961', 4, NULL),
(18088, NULL, 'IPR017707', NULL, 'Alternate ATP synthase, F0 complex, subunit b', 'Alt_ATP_synth_F0_bsu', 4, NULL),
(18089, NULL, 'IPR017381', NULL, 'Leukocyte cell-derived chemotaxin 2, chordata', 'LECT2_chordata', 4, NULL),
(18090, NULL, 'IPR021354', NULL, 'Protein of unknown function DUF2975', 'DUF2975', 4, NULL),
(18091, NULL, 'IPR020204', NULL, 'Uncharacterised protein family, YxaJ', 'Uncharacterised_YxaJ', 4, NULL),
(18092, NULL, 'IPR016554', NULL, 'Runt-related transcription factor RUNX', 'TF_Runt-rel_RUNX', 4, NULL),
(18093, NULL, 'IPR013913', NULL, 'Nucleoporin Nup153, N-terminal', 'Nup153_N', 3, NULL),
(18094, NULL, 'IPR013851', NULL, 'Transcription factor Otx, C-terminal', 'Otx_TF_C', 3, NULL),
(18095, NULL, 'IPR016570', NULL, 'Uncharacterised conserved protein UCP010361, membrane', 'UCP010361', 4, NULL),
(18096, NULL, 'IPR032483', NULL, 'Protein of unknown function DUF5053', 'DUF5053', 4, NULL),
(18097, NULL, 'IPR019946', NULL, '5,10-methylenetetrahydromethanopterin reductase', 'MeH4methanopterin_reductase', 4, NULL),
(18098, NULL, 'IPR013824', NULL, 'DNA topoisomerase, type IA, central region, subdomain 1', 'Topo_IA_cen_sub1', 5, NULL),
(18099, NULL, 'IPR016580', NULL, 'Cell cycle checkpoint, Hus1', 'Cell_cycle_HUS1', 4, NULL),
(18100, NULL, 'IPR011234', NULL, 'Fumarylacetoacetase-like, C-terminal', 'Fumarylacetoacetase-like_C', 3, NULL),
(18101, NULL, 'IPR013830', NULL, 'SGNH hydrolase-type esterase domain', 'SGNH_hydro', 3, NULL),
(18102, NULL, 'IPR023895', NULL, 'Thiazolylpeptide-type bacteriocin precursor', 'Thiopep_bacteriocin_prcur', 4, NULL),
(18103, NULL, 'IPR021452', NULL, 'Protein of unknown function DUF3103', 'DUF3103', 4, NULL),
(18104, NULL, 'IPR019944', NULL, 'F420-dependent glucose-6-phosphate dehydrogenase', 'F420-dep_G6P_DH', 4, NULL),
(18105, NULL, 'IPR021401', NULL, 'Protein of unknown function DUF3040', 'DUF3040', 4, NULL),
(18106, NULL, 'IPR017404', NULL, 'Ladinin 1', 'Ladinin_1', 4, NULL),
(18107, NULL, 'IPR013900', NULL, 'Ribonucleotide reductase inhibitor', 'RNR_inhibitor', 4, NULL),
(18108, NULL, 'IPR016958', NULL, 'Uncharacterised conserved protein UCP030798', 'UCP030798', 4, NULL),
(18109, NULL, 'IPR016972', NULL, 'Uncharacterised conserved protein UCP031279', 'UCP031279', 4, NULL),
(18110, NULL, 'IPR017718', NULL, '2-hydroxy-3-keto-5-methylthiopentenyl-1-phosphate phosphatase', 'HAD-SF_hydro_IB_MtnX', 4, NULL),
(18111, NULL, 'IPR016585', NULL, 'Glycine/sarcosine/betaine reductase, component B, fused alpha/beta', 'Gly/sarc/bet_Rdtase_B_asu/bsu', 4, NULL),
(18112, NULL, 'IPR021435', NULL, 'Protein of unknown function DUF3084', 'DUF3084', 4, NULL),
(18113, NULL, 'IPR016562', NULL, 'Proteasome assembly chaperone 2, eukaryotic', 'Proteasome_assmbl_chp_2_euk', 4, NULL),
(18114, NULL, 'IPR015649', NULL, 'Schwannomin interacting protein 1, C-terminal', 'SCHIP_1_C', 3, NULL),
(18115, NULL, 'IPR016942', NULL, 'Uncharacterised conserved protein UCP030042', 'UCP030042', 4, NULL),
(18116, NULL, 'IPR016971', NULL, 'Uncharacterised conserved protein UCP031277', 'UCP031277', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18117, NULL, 'IPR016574', NULL, 'Nicalin', 'Nicalin', 4, NULL),
(18118, NULL, 'IPR019932', NULL, 'Conserved hypothetical protein CHP03543', 'CHP03543', 4, NULL),
(18119, NULL, 'IPR023902', NULL, 'Sporulation delaying protein SdpA', 'Sporulation_SdpA', 4, NULL),
(18120, NULL, 'IPR021337', NULL, 'Protein of unknown function DUF2951', 'DUF2951', 4, NULL),
(18121, NULL, 'IPR016935', NULL, 'Opine metallophore dehydrogenase', 'Opine_metallophore_DH', 4, NULL),
(18122, NULL, 'IPR018727', NULL, 'Protein of unknown function DUF2267', 'DUF2267', 4, NULL),
(18123, NULL, 'IPR035510', NULL, 'Rho GTPase-activating protein 33', 'ARHGAP33', 4, NULL),
(18124, NULL, 'IPR021436', NULL, 'Protein of unknown function DUF3085', 'DUF3085', 4, NULL),
(18125, NULL, 'IPR016557', NULL, 'Cyclic 2, 3-diphospoglycerate synthetase', 'Cyc_diphosphoglycerate_synth', 4, NULL),
(18126, NULL, 'IPR016988', NULL, 'Uncharacterised conserved protein UCP032086', 'UCP032086', 4, NULL),
(18127, NULL, 'IPR017400', NULL, 'Eukaryotic elongation factor 2 kinase', 'eEF-2K', 4, NULL),
(18128, NULL, 'IPR017716', NULL, 'S-adenosylmethionine decarboxylase proenzyme', 'S-AdoMet_deCOase_pro-enz', 4, NULL),
(18129, NULL, 'IPR017706', NULL, 'Peptidase M20/DapE, YgeY', 'Peptidase_M20/DapE_YgeY', 4, NULL),
(18130, NULL, 'IPR035268', NULL, '26S Proteasome non-ATPase regulatory subunit 6', 'PSMD6', 4, NULL),
(18131, NULL, 'IPR017702', NULL, 'Putative carbamoyltransferase YgeW', 'Carbamoyltransferase_YgeW', 4, NULL),
(18132, NULL, 'IPR021456', NULL, 'Protein of unknown function DUF3107', 'DUF3107', 4, NULL),
(18133, NULL, 'IPR020051', NULL, 'SagB-type dehydrogenase domain', 'SagB-type_dehydrogenase', 3, NULL),
(18134, NULL, 'IPR035509', NULL, 'Stac2, SH3 domain', 'Stac2_SH3', 3, NULL),
(18135, NULL, 'IPR016059', NULL, 'DNA ligase, ATP-dependent, conserved site', 'DNA_ligase_ATP-dep_CS', 2, NULL),
(18136, NULL, 'IPR020042', NULL, 'Protein of unknown function DUF4311', 'DUF4311', 4, NULL),
(18137, NULL, 'IPR021431', NULL, 'Protein of unknown function DUF3080', 'DUF3080', 4, NULL),
(18138, NULL, 'IPR032477', NULL, 'Beta-1,3-glucanase, N-terminal', 'Glyco_hydro_64_N', 3, NULL),
(18139, NULL, 'IPR016575', NULL, 'Bardet-Biedl syndrome 7 protein', 'Bardet-Biedl_syndrome_7_prot', 4, NULL),
(18140, NULL, 'IPR016029', NULL, 'Inner layer core protein VP3, Reovirus', 'Inner_layer_core_VP3_Reovir', 5, NULL),
(18141, NULL, 'IPR017385', NULL, 'ATPase, V0 complex, subunit e1/e2, metazoa', 'ATPase_V0-cplx_e1/e2_su_met', 4, NULL),
(18142, NULL, 'IPR016598', NULL, 'Uncharacterised conserved protein UCP012467', 'UCP012467', 4, NULL),
(18143, NULL, 'IPR032478', NULL, 'Staufen, C-terminal', 'Staufen_C', 3, NULL),
(18144, NULL, 'IPR035414', NULL, 'Peptidase M1, alanyl aminopeptidase, Ig-like fold', 'Peptidase_M1_pepN_Ig-like', 3, NULL),
(18145, NULL, 'IPR015658', NULL, 'Endothelin-2', 'ET-2', 4, NULL),
(18146, NULL, 'IPR016591', NULL, 'Suppressor of fused, eukaryotic', 'Suppressor_of_fused_euk', 4, NULL),
(18147, NULL, 'IPR013903', NULL, 'Meiotic expression up-regulated protein', 'Meiotic_expression', 4, NULL),
(18148, NULL, 'IPR017719', NULL, 'Indolepyruvate ferredoxin oxidoreductase, beta subunit', 'Indolepyruvate_Fd_OxRdtase_bsu', 4, NULL),
(18149, NULL, 'IPR019882', NULL, 'Conserved hypothetical protein CHP03643', 'CHP03643', 4, NULL),
(18150, NULL, 'IPR019911', NULL, 'Alkanesulphonate monooxygenase, FMN-dependent', 'Alkanesulphonate_mOase_FMN-dep', 4, NULL),
(18151, NULL, 'IPR014008', NULL, 'Cobalamin biosynthesis, precorrin-6Y methyltransferase, CbiT subunit', 'Cbl_synth_MTase_CbiT', 4, NULL),
(18152, NULL, 'IPR021407', NULL, 'Protein of unknown function DUF2544', 'DUF2544', 4, NULL),
(18153, NULL, 'IPR021411', NULL, 'Sugarcane yellow leaf virus (SCYLV), Orf0', 'SCYLV_Orf0', 4, NULL),
(18154, NULL, 'IPR019854', NULL, 'Gliding motility-associated protein, GldC', 'Motility-assoc_prot_GldC', 4, NULL),
(18155, NULL, 'IPR015890', NULL, 'Chorismate-utilising enzyme, C-terminal', 'Chorismate_C', 3, NULL),
(18156, NULL, 'IPR023871', NULL, 'Mycofactocin precursor peptide peptidase', 'MftE', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18157, NULL, 'IPR016560', NULL, 'T-cell leukemia translocation-altered gene protein', 'TCTA', 4, NULL),
(18158, NULL, 'IPR021349', NULL, 'Protein of unknown function DUF2967', 'DUF2967', 4, NULL),
(18159, NULL, 'IPR016961', NULL, 'Diacylglycerol kinase, plant', 'Diacylglycerol_kinase_pln', 4, NULL),
(18160, NULL, 'IPR016974', NULL, 'Uncharacterised phage-associated protein', 'Uncharacterised_phage-assoc', 4, NULL),
(18161, NULL, 'IPR016563', NULL, 'Nuclear protein localization protein 4', 'Npl4', 4, NULL),
(18162, NULL, 'IPR021409', NULL, 'Protein of unknown function DUF3047', 'DUF3047', 4, NULL),
(18163, NULL, 'IPR021382', NULL, 'Protein of unknown function DUF3014', 'DUF3014', 4, NULL),
(18164, NULL, 'IPR020032', NULL, 'CRISPR-associated protein Csp1', 'CRISPR-assoc_Csp1', 4, NULL),
(18165, NULL, 'IPR019953', NULL, 'Organic hydroperoxide resistance protein famiy', 'OHR', 4, NULL),
(18166, NULL, 'IPR016952', NULL, 'Small heat shock protein, predicted, plant', 'Small_heat_shock_prot_prd_pln', 4, NULL),
(18167, NULL, 'IPR021381', NULL, 'Protein of unknown function DUF3011', 'DUF3011', 4, NULL),
(18168, NULL, 'IPR019917', NULL, 'FMN reductase (NADH) RutF', 'RutF', 4, NULL),
(18169, NULL, 'IPR015654', NULL, 'Mandelate racemase', 'Mandelate_racemase', 4, NULL),
(18170, NULL, 'IPR016587', NULL, 'DNA damage checkpoint control protein Rad17', 'Rad17', 4, NULL),
(18171, NULL, 'IPR021343', NULL, 'Protein of unknown function DUF2960', 'DUF2960', 4, NULL),
(18172, NULL, 'IPR021457', NULL, 'Protein of unknown function DUF3108', 'DUF3108', 4, NULL),
(18173, NULL, 'IPR017394', NULL, 'LOB domain-containing protein 18/20', 'LOB_18/20', 4, NULL),
(18174, NULL, 'IPR016940', NULL, 'ComG operon protein C', 'ComGC', 4, NULL),
(18175, NULL, 'IPR013826', NULL, 'DNA topoisomerase, type IA, central region, subdomain 3', 'Topo_IA_cen_sub3', 5, NULL),
(18176, NULL, 'IPR021386', NULL, 'SPP41, DUF3020', 'SPP41_DUF3020', 3, NULL),
(18177, NULL, 'IPR013904', NULL, 'Transcriptional regulatory protein RXT2, N-terminal', 'RXT2_N', 3, NULL),
(18178, NULL, 'IPR021367', NULL, 'Protein of unknown function DUF2982', 'DUF2982', 4, NULL),
(18179, NULL, 'IPR020021', NULL, 'Glycosyl amidation-associated protein, WbuZ', 'Glycosyl_amidation-assoc_WbuZ', 4, NULL),
(18180, NULL, 'IPR021434', NULL, 'Protein of unknown function DUF3082', 'DUF3082', 4, NULL),
(18181, NULL, 'IPR015685', NULL, 'Aquaporin 9', 'Aquaporin_9', 4, NULL),
(18182, NULL, 'IPR016965', NULL, 'Phosphatase PHOSPHO-type', 'Pase_PHOSPHO-typ', 4, NULL),
(18183, NULL, 'IPR021384', NULL, 'Mediator complex, subunit Med21', 'Mediator_Med21', 4, NULL),
(18184, NULL, 'IPR016589', NULL, 'tRNA-splicing endonuclease, SEN2 subunit', 'tRNA_splic_SEN2', 4, NULL),
(18185, NULL, 'IPR019912', NULL, 'FMN reductase, MsuE-like', 'FMN_Rdtase_MsuE-like', 4, NULL),
(18186, NULL, 'IPR023900', NULL, 'Nitrile hydratase alpha subunit /Thiocyanate hydrolase gamma subunit', 'CN_Hdrtase_asu/SCN_Hdrlase_gsu', 4, NULL),
(18187, NULL, 'IPR016547', NULL, 'Uncharacterised conserved protein UCP009158', 'UCP009158', 4, NULL),
(18188, NULL, 'IPR021082', NULL, 'Protein GAPT', 'Protein_GAPT', 4, NULL),
(18189, NULL, 'IPR035511', NULL, 'SH3YL1, SH3 domain', 'SH3YL1_SH3', 3, NULL),
(18190, NULL, 'IPR016594', NULL, 'Bacteriophage T4, inh', 'Phage_T4_inh', 4, NULL),
(18191, NULL, 'IPR016571', NULL, 'Spore coat assembly protein CotJB', 'Spore_coat_assembly_CotJB', 4, NULL),
(18192, NULL, 'IPR021342', NULL, 'Protein of unknown function DUF2959', 'DUF2959', 4, NULL),
(18193, NULL, 'IPR035422', NULL, 'Alginate O-acetyl transferase AlgF', 'AlgF', 4, NULL),
(18194, NULL, 'IPR019853', NULL, 'Gliding motility-associated lipoprotein, GldB', 'Motility-assoc_lipoprot_GldB', 4, NULL),
(18195, NULL, 'IPR016975', NULL, 'Cell wall-active antibiotic response protein', 'Cell_wall-act_antibiotic_resp', 4, NULL),
(18196, NULL, 'IPR019850', NULL, 'Gliding motility-associated lipoprotein, GldD', 'Motility-assoc_lipoprot_GldD', 4, NULL),
(18197, NULL, 'IPR021414', NULL, 'Protein of unknown function DUF3054', 'DUF3054', 4, NULL),
(18198, NULL, 'IPR035263', NULL, '26S proteasome regulatory subunit 10B', 'PSMC6', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18199, NULL, 'IPR016593', NULL, 'Adenovirus 41, E3-31.6kDa', 'Adenovirus-41_E3-31.6kDa', 4, NULL),
(18200, NULL, 'IPR021394', NULL, 'Mediator complex, subunit Med25, PTOV domain', 'Med25_PTOV', 3, NULL),
(18201, NULL, 'IPR034981', NULL, 'EfeO/Algp7, imelysin-like domain', 'Imelysin-like_EfeO/Algp7', 3, NULL),
(18202, NULL, 'IPR015669', NULL, 'Endothelial protein C receptor', 'Endothetial_C_recpt', 4, NULL),
(18203, NULL, 'IPR035973', NULL, 'Cytochrome c oxidase subunit III-like superfamily', 'Cyt_c_oxidase_su3-like_sf', 5, NULL),
(18204, NULL, 'IPR021427', NULL, 'Protein of unknown function DUF3077', 'DUF3077', 4, NULL),
(18205, NULL, 'IPR021391', NULL, 'Protein of unknown function DUF3027', 'DUF3027', 4, NULL),
(18206, NULL, 'IPR023905', NULL, 'Acetyldiaminopimelate deacetylase', 'AcetylDAP_deacetylase', 4, NULL),
(18207, NULL, 'IPR021446', NULL, 'Protein of unknown function DUF3096', 'DUF3096', 4, NULL),
(18208, NULL, 'IPR023906', NULL, 'Radical SAM target protein, putative', 'rSAM_target_put', 4, NULL),
(18209, NULL, 'IPR016949', NULL, 'Uncharacterised conserved protein UCP030210', 'UCP030210', 4, NULL),
(18210, NULL, 'IPR016564', NULL, 'Uncharacterised conserved protein UCP010056', 'UCP010056', 4, NULL),
(18211, NULL, 'IPR015679', NULL, 'Phospholipase D family', 'PLipase_D_fam', 4, NULL),
(18212, NULL, 'IPR021393', NULL, 'Protein of unknown function DUF3034', 'DUF3034', 4, NULL),
(18213, NULL, 'IPR016586', NULL, 'Mitochondrial transcription factor Mtf1', 'Mtf1', 4, NULL),
(18214, NULL, 'IPR017386', NULL, 'Transcription factor SOX-12/11/4', 'SOX-12/11/4', 4, NULL),
(18215, NULL, 'IPR021440', NULL, 'Protein of unknown function DUF3089', 'DUF3089', 4, NULL),
(18216, NULL, 'IPR021441', NULL, 'Protein of unknown function DUF3090', 'DUF3090', 4, NULL),
(18217, NULL, 'IPR023928', NULL, 'Conserved hypothetical protein CHP03979', 'CHP03979', 4, NULL),
(18218, NULL, 'IPR016581', NULL, 'CRISPR-associated protein Cas7, subtype I-B/Tneap, bacterial', 'Cas7/Cst2/DevR_bac', 4, NULL),
(18219, NULL, 'IPR023903', NULL, 'Cyclised secreted peptide', 'Cyclised_pep', 4, NULL),
(18220, NULL, 'IPR019936', NULL, 'Mutatrotase, YjhT-like', 'Mutatrotase_YjhT-like', 4, NULL),
(18221, NULL, 'IPR020037', NULL, 'Protein of unknown function DUF4312', 'DUF4312', 4, NULL),
(18222, NULL, 'IPR019949', NULL, 'Luciferase family oxidoreductase, group 1', 'Luciferase_OxRdatse_group-1', 4, NULL),
(18223, NULL, 'IPR015656', NULL, 'Microtubule associated protein 1A', 'MAP1A', 4, NULL),
(18224, NULL, 'IPR019939', NULL, 'CofG family', 'CofG_family', 4, NULL),
(18225, NULL, 'IPR016596', NULL, 'Protein of unknown function UCP012335', 'UCP012335', 4, NULL),
(18226, NULL, 'IPR021335', NULL, 'Protein of unknown function DUF2948', 'DUF2948', 4, NULL),
(18227, NULL, 'IPR021444', NULL, 'Protein of unknown function DUF3094', 'DUF3094', 4, NULL),
(18228, NULL, 'IPR035507', NULL, 'Unconventional myosin-Ie/If, SH3 domain', 'Ie/If_SH3', 3, NULL),
(18229, NULL, 'IPR016939', NULL, 'Mitochondrial ribosomal protein S25', 'Mt__Rbsml_prot_S25', 4, NULL),
(18230, NULL, 'IPR023888', NULL, 'Antimicrobial peptide, SdpC family', 'Antimicrobial_SdpC', 4, NULL),
(18231, NULL, 'IPR032476', NULL, 'Carnitine O-palmitoyltransferase, N-terminal', 'CPT_N', 3, NULL),
(18232, NULL, 'IPR021340', NULL, 'Protein of unknown function DUF2957', 'DUF2957', 4, NULL),
(18233, NULL, 'IPR020022', NULL, 'N-acetyl sugar amidotransferase', 'N-acetyl_sugar_amidoTrfase', 4, NULL),
(18234, NULL, 'IPR019942', NULL, 'LL-diaminopimelate aminotransferase/aminotransferase ALD1', 'DapL/ALD1', 4, NULL),
(18235, NULL, 'IPR016561', NULL, 'Dynein light chain roadblock-type 1/2', 'DYNLRB1/2', 4, NULL),
(18236, NULL, 'IPR018729', NULL, 'Protein of unknown function DUF2269, transmembrane', 'DUF2269_transmembrane', 4, NULL),
(18237, NULL, 'IPR021364', NULL, 'Protein of unknown function DUF2857', 'DUF2857', 4, NULL),
(18238, NULL, 'IPR035256', NULL, '26S Proteasome regulatory subunit 6B', 'PSMC4', 4, NULL),
(18239, NULL, 'IPR015667', NULL, 'Telethonin', 'Telethonin', 4, NULL),
(18240, NULL, 'IPR019937', NULL, 'Cyclically-permuted mutarotase family', 'Cycl-permuted_mutarotase', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18241, NULL, 'IPR034569', NULL, 'Photosynthetic NDH subunit of subcomplex B 5, chloroplastic', 'PNSB5', 4, NULL),
(18242, NULL, 'IPR019884', NULL, 'YtoQ family protein', 'YtoQ_family_protein', 4, NULL),
(18243, NULL, 'IPR019943', NULL, 'Coenzyme F420 biosynthesis protein FbiB, C-terminal', 'F420_FbiB_C', 3, NULL),
(18244, NULL, 'IPR016569', NULL, 'Methyltransferase, trithorax', 'MeTrfase_trithorax', 4, NULL),
(18245, NULL, 'IPR017396', NULL, 'WRKY transcription factor, group IIc', 'TF_WRKY_IIc', 4, NULL),
(18246, NULL, 'IPR021392', NULL, 'Focadhesin', 'Focadhesin', 4, NULL),
(18247, NULL, 'IPR021353', NULL, 'Protein of unknown function DUF2972', 'DUF2972', 4, NULL),
(18248, NULL, 'IPR016573', NULL, 'Meiosis-specific protein Hop1', 'Hop1', 4, NULL),
(18249, NULL, 'IPR015635', NULL, 'Transcription factor E2F6', 'Transcription_factor_E2F6', 4, NULL),
(18250, NULL, 'IPR019938', NULL, 'YcaO domain protein', 'YcaO_dom_prot', 4, NULL),
(18251, NULL, 'IPR023317', NULL, 'Peptidase S1A, plasmin', 'Pept_S1A_plasmin', 4, NULL),
(18252, NULL, 'IPR020034', NULL, 'Conserved hypothetical protein CHP03577, EF0830/AHA3911', 'CHP03577_EF0830/AHA3911', 4, NULL),
(18253, NULL, 'IPR017704', NULL, 'Putative selenium-binding protein YdfZ', 'Se-bd_putative_YdfZ', 4, NULL),
(18254, NULL, 'IPR019947', NULL, 'DNA photolyase class 1, 8-HDF type', 'Photolyase_8HDF', 4, NULL),
(18255, NULL, 'IPR019833', NULL, 'Manganese/iron superoxide dismutase, binding site', 'Mn/Fe_SOD_BS', 1, NULL),
(18256, NULL, 'IPR017384', NULL, 'NADH dehydrogenase [ubiquinone] (complex I), alpha subcomplex subunit 1', 'NADH_Ub_cplx-1_asu_su-1', 4, NULL),
(18257, NULL, 'IPR021377', NULL, 'Protein of unknown function DUF3006', 'DUF3006', 4, NULL),
(18258, NULL, 'IPR017710', NULL, 'Alternate ATP synthase, F1 complex, subunit alpha', 'Alt_ATP_synth_F1_asu', 4, NULL),
(18259, NULL, 'IPR016577', NULL, 'Adenylate cyclase, type 10', 'Adenylate_cyclase_typ10', 4, NULL),
(18260, NULL, 'IPR032481', NULL, 'Protein of unknown function DUF5055', 'DUF5055', 4, NULL),
(18261, NULL, 'IPR021454', NULL, 'Protein of unknown function DUF3105', 'DUF3105', 4, NULL),
(18262, NULL, 'IPR011222', NULL, 'Double-stranded DNA virus, group I, capsid', 'dsDNA_vir_gr_I_capsid', 5, NULL),
(18263, NULL, 'IPR017713', NULL, 'AMP phosphorylase', 'AMP_phosphorylase', 4, NULL),
(18264, NULL, 'IPR016986', NULL, 'Uncharacterised conserved protein UCP031982, alpha/beta hydrolase, XabL', 'UCP031982_abhydr', 4, NULL),
(18265, NULL, 'IPR021339', NULL, 'Protein of unknown function DUF2956', 'DUF2956', 4, NULL),
(18266, NULL, 'IPR020195', NULL, 'SWR1 chromatin-remodelling complex, subunit Swc7', 'SWR1_Swc7', 4, NULL),
(18267, NULL, 'IPR016983', NULL, 'Uncharacterised conserved protein UCP031804', 'UCP031804', 4, NULL),
(18268, NULL, 'IPR017383', NULL, 'Actin-related protein 2/3 complex subunit 1', 'ARPC1', 4, NULL),
(18269, NULL, 'IPR017698', NULL, 'Probable selenate reductase, FAD-binding subunit', 'Se_Rdtase_FAD-bd_su', 4, NULL),
(18270, NULL, 'IPR017393', NULL, 'Chromatin-remodeling complex component Sfh1/SNF5', 'Sfh1/SNF5', 4, NULL),
(18271, NULL, 'IPR015666', NULL, 'Sarcoplasmic reticulum histidine-rich calcium-binding protein', 'HRC', 4, NULL),
(18272, NULL, 'IPR016551', NULL, 'NADH dehydrogenase [ubiquinone] 1 beta subcomplex subunit 8, metazoa', 'Ndufb8_metazoa', 4, NULL),
(18273, NULL, 'IPR032465', NULL, '2-amino-3-carboxymuconate-6-semialdehyde decarboxylase', 'ACMSD', 4, NULL),
(18274, NULL, 'IPR015653', NULL, 'Intercellular adhesion molecule 2', 'ICAM2', 4, NULL),
(18275, NULL, 'IPR015677', NULL, 'Tob1', 'Tob1', 4, NULL),
(18276, NULL, 'IPR016978', NULL, 'Putative competence-induced protein Ccs4', 'Competence-induced_Ccs4', 4, NULL),
(18277, NULL, 'IPR019933', NULL, 'DivIVA domain', 'DivIVA_domain', 3, NULL),
(18278, NULL, 'IPR016941', NULL, 'Uncharacterised conserved protein UCP029962', 'UCP029962', 4, NULL),
(18279, NULL, 'IPR019852', NULL, 'Gliding motility-associated protein, GldL', 'Motility-assoc_prot_GldL', 4, NULL),
(18280, NULL, 'IPR016584', NULL, 'Methyltransferase VrtF-like', 'MeTrfase_VrtF', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18281, NULL, 'IPR017379', NULL, 'PDZ domain-containing protein GIPC1/2/3', 'GIPC1/2/3', 4, NULL),
(18282, NULL, 'IPR021422', NULL, 'Protein of unknown function DUF3069', 'DUF3069', 4, NULL),
(18283, NULL, 'IPR020028', NULL, 'L-seryl-tRNA(Sec)kinase, eukaryote', 'L-seryl-tRNA_Sec_kinase_euk', 4, NULL),
(18284, NULL, 'IPR021395', NULL, 'Protein of unknown function DUF3035', 'DUF3035', 4, NULL),
(18285, NULL, 'IPR020184', NULL, 'Keratin-associated protein 7', 'KRTAP7', 4, NULL),
(18286, NULL, 'IPR016944', NULL, 'Uncharacterised conserved protein UCP030066', 'UCP030066', 4, NULL),
(18287, NULL, 'IPR021408', NULL, 'Protein of unknown function DUF3046', 'DUF3046', 4, NULL),
(18288, NULL, 'IPR015648', NULL, 'Transcription factor DP', 'Transcrpt_fac_DP', 4, NULL),
(18289, NULL, 'IPR019931', NULL, 'LPXTG cell wall anchor domain', 'LPXTG_anchor', 3, NULL),
(18290, NULL, 'IPR021358', NULL, 'Protein of unknown function DUF2977', 'DUF2977', 4, NULL),
(18291, NULL, 'IPR016601', NULL, 'Uncharacterised conserved protein UCP012637', 'UCP012637', 4, NULL),
(18292, NULL, 'IPR013910', NULL, 'Transcription factor PAP1', 'TF_PAP1', 3, NULL),
(18293, NULL, 'IPR016954', NULL, 'Uncharacterised protein family, Vng0742h', 'Uncharacterised_Vng0742h', 4, NULL),
(18294, NULL, 'IPR016957', NULL, 'Uncharacterised conserved protein UCP030791', 'UCP030791', 4, NULL),
(18295, NULL, 'IPR015642', NULL, 'Fasciculation and elongation protein zeta 1', 'FEZ_1', 4, NULL),
(18296, NULL, 'IPR021400', NULL, 'Protein of unknown function DUF3039', 'DUF3039', 4, NULL),
(18297, NULL, 'IPR017721', NULL, 'Indolepyruvate oxidoreductase subunit IorA', 'IorA', 4, NULL),
(18298, NULL, 'IPR021404', NULL, 'Bacteriophage T4, Gp24.3', 'Phage_T4_Gp24.3', 4, NULL),
(18299, NULL, 'IPR015672', NULL, 'The Golgi pH regulator/GPCR-type G protein', 'GPHR/GTG', 4, NULL),
(18300, NULL, 'IPR021425', NULL, 'Protein of unknown function DUF3072', 'DUF3072', 4, NULL),
(18301, NULL, 'IPR017701', NULL, 'Putative selenate reductase YgfK', 'Se_rdtase_YgfK', 4, NULL),
(18302, NULL, 'IPR021437', NULL, 'Protein of unknown function DUF3086', 'DUF3086', 4, NULL),
(18303, NULL, 'IPR016567', NULL, 'Cysteine-rich protein, furovirus', 'Cys-rich_furovirus', 4, NULL),
(18304, NULL, 'IPR013911', NULL, 'i-AAA protease complex subunit Mgr1', 'i-AAA_Mgr1', 4, NULL),
(18305, NULL, 'IPR035254', NULL, '26S Proteasome regulatory subunit 6A', 'PSMC3', 4, NULL),
(18306, NULL, 'IPR020033', NULL, 'Pyridoxal phosphate-dependent transferase, archaea', 'PyrdxlP-dep_transferase_arc', 4, NULL),
(18307, NULL, 'IPR017717', NULL, '2,3-diketo-5-methylthiopentyl-1-phosphate enolase', 'Diketo-Methiopentyl-P_enolase', 4, NULL),
(18308, NULL, 'IPR035267', NULL, '26S proteasome non-ATPase regulatory subunit 3', 'PSMD3', 4, NULL),
(18309, NULL, 'IPR016938', NULL, 'Uncharacterised protein family UPF0317', 'UPF0317', 4, NULL),
(18310, NULL, 'IPR015686', NULL, 'Aquaporin 7', 'Aquaporin_7', 4, NULL),
(18311, NULL, 'IPR021370', NULL, 'Protein of unknown function DUF2987', 'DUF2987', 4, NULL),
(18312, NULL, 'IPR013909', NULL, 'Nuclear-interacting partner of ALK/Rsm1-like', 'NIPA/Rsm1', 3, NULL),
(18313, NULL, 'IPR035972', NULL, 'Gamma-carboxyglutamic acid-rich (GLA) domain superfamily', 'GLA-like_dom_SF', 5, NULL),
(18314, NULL, 'IPR032485', NULL, 'Domain of unknown function DUF5050', 'DUF5050', 3, NULL),
(18315, NULL, 'IPR020040', NULL, 'Ribosomal protein L6, alpha-beta domain', 'Ribosomal_L6_a/b-dom', 3, NULL),
(18316, NULL, 'IPR019929', NULL, 'Iron-regulated surface determinant protein IsdB', 'Iron-reg_IsdB', 4, NULL),
(18317, NULL, 'IPR034307', NULL, 'BPI fold-containing family A member 1', 'BPIFA1', 4, NULL),
(18318, NULL, 'IPR013895', NULL, 'Chromatin structure-remodeling complex protein Rsc14', 'Rsc14', 4, NULL),
(18319, NULL, 'IPR020029', NULL, 'CRISPR-associated protein Csp2', 'CRISPR-assoc_Csp2', 4, NULL),
(18320, NULL, 'IPR019910', NULL, 'Luciferase-like, F420-dependent oxidoreductase, MSMEG4879, predicted', 'Lucif-like_OxRdtase_MSMEG_4879', 4, NULL),
(18321, NULL, 'IPR015675', NULL, 'Secretin precursor', 'Prosecretin', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18322, NULL, 'IPR021373', NULL, 'Protein of unknown function DUF2993', 'DUF2993', 4, NULL),
(18323, NULL, 'IPR035261', NULL, '26S proteasome regulatory subunit 8', 'PSMC5', 4, NULL),
(18324, NULL, 'IPR021357', NULL, 'Protein of unknown function DUF2782', 'DUF2782', 4, NULL),
(18325, NULL, 'IPR016964', NULL, 'Sigma intracellular receptor 2', 'Sigma2_recept', 4, NULL),
(18326, NULL, 'IPR019905', NULL, 'Peroxiredoxin OsmC-like protein, Firmicutes', 'OsmC-like_firmicutes', 4, NULL),
(18327, NULL, 'IPR016950', NULL, 'Mannosyltransferase, MA4085, predicted', 'Manno-Trfase_MA4085_prd', 4, NULL),
(18328, NULL, 'IPR015652', NULL, 'Retinoblastoma-related protein', 'RBR', 4, NULL),
(18329, NULL, 'IPR021380', NULL, 'Protein of unknown function DUF3013', 'DUF3013', 4, NULL),
(18330, NULL, 'IPR032484', NULL, 'Protein of unknown function DUF5052', 'DUF5052', 4, NULL),
(18331, NULL, 'IPR015668', NULL, 'B Cell Lymphoma 9', 'Bcl-9/Bcl-9l', 4, NULL),
(18332, NULL, 'IPR016553', NULL, 'Protein tyrosine phosphatase receptor type C-associated protein', 'PTPRCAP', 4, NULL),
(18333, NULL, 'IPR015646', NULL, 'Nuclear factor of activated T-cells 5', 'NFAT5', 4, NULL),
(18334, NULL, 'IPR017715', NULL, 'Putative aminophosphonate oxidoreductase', 'NH2-phosphonate_OxRdtase', 4, NULL),
(18335, NULL, 'IPR019844', NULL, 'Cold-shock (CSD) domain', 'CSD_1', 3, NULL),
(18336, NULL, 'IPR013899', NULL, 'Domain of unknown function DUF1771', 'DUF1771', 3, NULL),
(18337, NULL, 'IPR021424', NULL, 'Porin PorA', 'PorA', 4, NULL),
(18338, NULL, 'IPR034570', NULL, 'Photosynthetic NDH subunit of subcomplex B 4, chloroplastic', 'PNSB4', 4, NULL),
(18339, NULL, 'IPR021385', NULL, 'Protein of unknown function DUF3017', 'DUF3017', 4, NULL),
(18340, NULL, 'IPR035420', NULL, 'Spt6, SH2 domain', 'Spt6_SH2', 3, NULL),
(18341, NULL, 'IPR020018', NULL, 'Gliding motility-associated lipoprotein, GldH', 'Motility-assoc_lipoprot_GldH', 4, NULL),
(18342, NULL, 'IPR013825', NULL, 'DNA topoisomerase, type IA, central region, subdomain 2', 'Topo_IA_cen_sub2', 5, NULL),
(18343, NULL, 'IPR015633', NULL, 'E2F Family', 'E2F', 4, NULL),
(18344, NULL, 'IPR015662', NULL, 'Promotilin', 'Promotilin', 4, NULL),
(18345, NULL, 'IPR021402', NULL, 'Protein of unknown function DUF3042', 'DUF3042', 4, NULL),
(18346, NULL, 'IPR016550', NULL, 'Guanidinoacetate N-methyltransferase', 'GuanidinoAc_N-MeTrfase', 4, NULL),
(18347, NULL, 'IPR020016', NULL, 'Decahaem-associated outer membrane protein, MtrB/PioB', 'Decahaem-assoc_OM_MtrB/PioB', 4, NULL),
(18348, NULL, 'IPR015655', NULL, 'Protein phosphatase 2C family', 'PP2C', 4, NULL),
(18349, NULL, 'IPR016578', NULL, 'SODIUM POTASSIUM ROOT DEFECTIVE 2/3', 'NAKR2/3', 4, NULL),
(18350, NULL, 'IPR016595', NULL, 'Surface-adhesin protein E, Pasteurellaceae', 'Adhesin_E_Pasteurellaceae', 4, NULL),
(18351, NULL, 'IPR021359', NULL, 'Protein of unknown function DUF2812', 'DUF2812', 4, NULL),
(18352, NULL, 'IPR021442', NULL, 'Protein of unknown function DUF3091', 'DUF3091', 4, NULL),
(18353, NULL, 'IPR016979', NULL, 'Protein of unknown function DUF2129', 'DUF2129', 4, NULL),
(18354, NULL, 'IPR016602', NULL, 'Uncharacterised conserved protein UCP012666', 'UCP012666', 4, NULL),
(18355, NULL, 'IPR021451', NULL, 'Protein of unknown function DUF3102', 'DUF3102', 4, NULL),
(18356, NULL, 'IPR021443', NULL, 'Protein of unknown function DUF3093', 'DUF3093', 4, NULL),
(18357, NULL, 'IPR016583', NULL, 'Uncharacterised conserved protein UCP011452, HNH endonuclease domain-type', 'UCP011452_HNH_endonucl', 4, NULL),
(18358, NULL, 'IPR016592', NULL, 'Nibrin', 'Nibrin_met', 4, NULL),
(18359, NULL, 'IPR013897', NULL, 'Protein of unknown function DUF1769', 'DUF1769', 4, NULL),
(18360, NULL, 'IPR021430', NULL, 'Protein of unknown function DUF3079', 'DUF3079', 4, NULL),
(18361, NULL, 'IPR023868', NULL, '7-carboxy-7-deazaguanine synthase, Clostridial form', '7-CO-7-deazaGua_synth_put_Clo', 4, NULL),
(18362, NULL, 'IPR020189', NULL, 'Translation elongation factor, IF5A C-terminal', 'Transl_elong_IF5A_C', 3, NULL),
(18363, NULL, 'IPR016959', NULL, 'Uncharacterised conserved protein UCP030811', 'UCP030811', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18364, NULL, 'IPR021428', NULL, 'Protein of unknown function DUF3078', 'DUF3078', 4, NULL),
(18365, NULL, 'IPR016984', NULL, 'Uncharacterised conserved protein UCP031853', 'UCP031853', 4, NULL),
(18366, NULL, 'IPR017395', NULL, 'Chlorophyllase', 'Chlorophyllase', 4, NULL),
(18367, NULL, 'IPR016566', NULL, 'Uncharacterised conserved protein UCP010219', 'UCP010219', 4, NULL),
(18368, NULL, 'IPR021447', NULL, 'Protein of unknown function DUF3097', 'DUF3097', 4, NULL),
(18369, NULL, 'IPR021350', NULL, 'Protein of unknown function DUF2968', 'DUF2968', 4, NULL),
(18370, NULL, 'IPR019845', NULL, 'Squalene/phytoene synthase, conserved site', 'Squalene/phytoene_synthase_CS', 2, NULL),
(18371, NULL, 'IPR021413', NULL, 'Protein of unknown function DUF3053', 'DUF3053', 4, NULL),
(18372, NULL, 'IPR035501', NULL, 'NP60, PWWP domain', 'NP60_PWWP', 3, NULL),
(18373, NULL, 'IPR013912', NULL, 'Adenylate cyclase-associated CAP, C-terminal', 'Adenylate_cyclase-assoc_CAP_C', 3, NULL),
(18374, NULL, 'IPR016951', NULL, 'Haem oxygenase (decyclizing), plant', 'Haem_Oase_decyc_pln', 4, NULL),
(18375, NULL, 'IPR035211', NULL, 'Protein of unknown function DUF5325', 'DUF5325', 4, NULL),
(18376, NULL, 'IPR021399', NULL, 'Protein of unknown function DUF3038', 'DUF3038', 4, NULL),
(18377, NULL, 'IPR021379', NULL, 'Protein of unknown function DUF3012', 'DUF3012', 4, NULL),
(18378, NULL, 'IPR017708', NULL, 'Alternate ATP synthase, F0 complex, subunit C, bacterial/archaeal', 'Alt_ATP_synth_F0_Csu', 4, NULL),
(18379, NULL, 'IPR016945', NULL, 'Uncharacterised conserved protein UCP030092', 'UCP030092', 4, NULL),
(18380, NULL, 'IPR021338', NULL, 'Protein of unknown function DUF2953', 'DUF2953', 4, NULL),
(18381, NULL, 'IPR021344', NULL, 'Protein of unknown function DUF2970', 'DUF2970', 4, NULL),
(18382, NULL, 'IPR016599', NULL, 'Uncharacterised conserved protein UCP012569', 'UCP012569', 4, NULL),
(18383, NULL, 'IPR016588', NULL, 'Replication factor A protein 3, Saccharomycetes', 'Rfp3_Saccharomycetes', 4, NULL),
(18384, NULL, 'IPR017403', NULL, 'Podocalyxin', 'PODXL', 4, NULL),
(18385, NULL, 'IPR021418', NULL, 'THO complex, subunitTHOC2, C-terminal', 'THO_THOC2_C', 3, NULL),
(18386, NULL, 'IPR013906', NULL, 'Eukaryotic translation initiation factor 3 subunit J', 'eIF3j', 4, NULL),
(18387, NULL, 'IPR016955', NULL, 'Autotransporter, YhjY, predicted', 'Autotranspt_YhjY_prd', 4, NULL),
(18388, NULL, 'IPR013914', NULL, 'Rad9-like Rad53-binding domain, fungi', 'Rad9_Rad53-bd_dom_fun', 3, NULL),
(18389, NULL, 'IPR016579', NULL, 'Synaptogyrin', 'Synaptogyrin', 4, NULL),
(18390, NULL, 'IPR020190', NULL, 'Procorazonin', 'Procorazonin', 4, NULL),
(18391, NULL, 'IPR015647', NULL, 'Nuclear factor of activated T-cells 1', 'NFAT1', 4, NULL),
(18392, NULL, 'IPR013799', NULL, 'STAT transcription factor, protein interaction', 'STAT_TF_prot_interaction', 3, NULL),
(18393, NULL, 'IPR021397', NULL, 'Mediator complex, subunit Med25, synapsin 1', 'Mediator_Med25_SD1', 3, NULL),
(18394, NULL, 'IPR013905', NULL, 'Lethal giant larvae (Lgl)-like, C-terminal domain', 'Lgl_C_dom', 3, NULL),
(18395, NULL, 'IPR019832', NULL, 'Manganese/iron superoxide dismutase, C-terminal', 'Mn/Fe_SOD_C', 3, NULL),
(18396, NULL, 'IPR016977', NULL, 'Competence operon G, ComGF', 'Competence_ComGF', 4, NULL),
(18397, NULL, 'IPR018728', NULL, 'Domain of unknown function DUF2268', 'DUF2268', 3, NULL),
(18398, NULL, 'IPR020151', NULL, 'Protein of unknown function DUF5478', 'DUF5478', 4, NULL),
(18399, NULL, 'IPR015678', NULL, 'Tob2', 'Tob2', 4, NULL),
(18400, NULL, 'IPR017377', NULL, 'Herpesvirus US8A', 'Herpes_US8A', 4, NULL),
(18401, NULL, 'IPR021346', NULL, 'Translation machinery-associated protein 16', 'Tma16', 4, NULL),
(18402, NULL, 'IPR013898', NULL, 'Mitophagy receptor Atg43', 'Atg43', 4, NULL),
(18403, NULL, 'IPR035424', NULL, 'Antitoxin of toxin-antitoxin, RelE/RelB, TA system', 'Antitoxin_RelB', 4, NULL),
(18404, NULL, 'IPR016582', NULL, 'D-(-)-3-hydroxybutyrate oligomer hydrolase, putative', 'OHBut_olig_hydro_put', 4, NULL),
(18405, NULL, 'IPR021374', NULL, 'Protein of unknown function DUF2996', 'DUF2996', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18406, NULL, 'IPR015680', NULL, 'Glutamate-Gated Chloride Channel', 'Glu_Cl_Channel', 4, NULL),
(18407, NULL, 'IPR015699', NULL, 'DNA-directed RNA pol I, largest subunit', 'DNA-dir_RNA_pol1_lsu', 4, NULL),
(18408, NULL, 'IPR016555', NULL, 'Phospholipase D, eukaryotic type', 'PLipase_D_euk', 4, NULL),
(18409, NULL, 'IPR017703', NULL, 'YgfZ/GcvT conserved site', 'YgfZ/GcvT_CS', 2, NULL),
(18410, NULL, 'IPR021455', NULL, 'Protein of unknown function DUF3106', 'DUF3106', 4, NULL),
(18411, NULL, 'IPR021336', NULL, 'Protein of unknown function DUF2949', 'DUF2949', 4, NULL),
(18412, NULL, 'IPR021352', NULL, 'Protein of unknown function DUF2971', 'DUF2971', 4, NULL),
(18413, NULL, 'IPR015664', NULL, 'P53-induced protein', 'P53_induced', 4, NULL),
(18414, NULL, 'IPR015673', NULL, 'Enamelin', 'Enamelin', 4, NULL),
(18415, NULL, 'IPR017402', NULL, 'Proteorhodopsin', 'Proteorhodopsin', 4, NULL),
(18416, NULL, 'IPR016936', NULL, 'Uncharacterised conserved protein UCP029693', 'UCP029693', 4, NULL),
(18417, NULL, 'IPR022961', NULL, 'Glycine-tRNA ligase, bacterial', 'Gly_tRNA_ligase_bac', 4, NULL),
(18418, NULL, 'IPR017389', NULL, 'Nucleoporin, NUP53', 'Nucleoporin_NUP53', 4, NULL),
(18419, NULL, 'IPR021347', NULL, 'Protein of unknown function DUF2964', 'DUF2964', 4, NULL),
(18420, NULL, 'IPR019930', NULL, 'Iron-regulated surface determinant protein H', 'IsdH', 4, NULL),
(18421, NULL, 'IPR019904', NULL, 'Peroxiredoxin OsmC', 'Peroxiredoxin_OsmC', 4, NULL),
(18422, NULL, 'IPR016565', NULL, 'Proteasome assembly chaperone 1', 'Proteasome_assmbl_chp_1', 4, NULL),
(18423, NULL, 'IPR013902', NULL, 'Domain of unknown function DUF1773', 'DUF1773', 3, NULL),
(18424, NULL, 'IPR021448', NULL, 'Protein of unknown function DUF3098', 'DUF3098', 4, NULL),
(18425, NULL, 'IPR016968', NULL, 'Uncharacterised conserved protein UCP031074', 'UCP031074', 4, NULL),
(18426, NULL, 'IPR016962', NULL, 'Dehydrase, ECs4332, predicted', 'Dehydrase_ECs4332_prd', 4, NULL),
(18427, NULL, 'IPR023904', NULL, 'Peptide radical SAM maturase , YydG', 'Pep_rSAM_mat_YydG', 4, NULL),
(18428, NULL, 'IPR017711', NULL, 'Cis-2,3-dihydrobiphenyl-2,3-diol dehydrogenase', 'BphB_TodD', 4, NULL),
(18429, NULL, 'IPR019883', NULL, 'Lactoylglutathione lyase', 'Lactoylglutathione_lyase', 4, NULL),
(18430, NULL, 'IPR021412', NULL, 'Protein of unknown function DUF3052', 'DUF3052', 4, NULL),
(18431, NULL, 'IPR017401', NULL, 'Protein phosphatase 1 regulatory subunit 12A/B/C', 'MYPT1/MYPT2/Mbs85', 4, NULL),
(18432, NULL, 'IPR022960', NULL, 'Glycine-tRNA ligase, archaeal', 'Gly_tRNA_ligase_arc', 4, NULL),
(18433, NULL, 'IPR016558', NULL, 'DNA primase, large subunit, eukaryotic', 'DNA_primase_lsu_euk', 4, NULL),
(18434, NULL, 'IPR017392', NULL, 'AP2/ERF transcription factor ERF/PTI6', 'AP2/ERF-transcript_factor', 4, NULL),
(18435, NULL, 'IPR016953', NULL, 'Uncharacterised conserved protein UCP030365', 'UCP030365', 4, NULL),
(18436, NULL, 'IPR019941', NULL, 'Transcription regulator LuxR, chaperone HchA-associated', 'Tscrpt_reg_LuxR_HchA-assoc', 4, NULL),
(18437, NULL, 'IPR021453', NULL, 'Protein of unknown function DUF3104', 'DUF3104', 4, NULL),
(18438, NULL, 'IPR015665', NULL, 'Sclerostin', 'SOST', 4, NULL),
(18439, NULL, 'IPR015661', NULL, 'Mitotic spindle checkpoint protein Bub1/Mad3', 'Bub1/Mad3', 4, NULL),
(18440, NULL, 'IPR021361', NULL, 'Protein of unknown function DUF2829', 'DUF2829', 4, NULL),
(18441, NULL, 'IPR021445', NULL, 'Protein of unknown function DUF3095', 'DUF3095', 4, NULL),
(18442, NULL, 'IPR015688', NULL, 'Elongation Factor 3', 'Elongation_fac_3', 4, NULL),
(18443, NULL, 'IPR021376', NULL, 'Protein of unknown function DUF2999', 'DUF2999', 4, NULL),
(18444, NULL, 'IPR023892', NULL, 'Cyclic nucleotide-binding domain protein', 'cNMP-bd', 4, NULL),
(18445, NULL, 'IPR015674', NULL, 'Gastrin releasing peptide', 'Gastrin-RP', 4, NULL),
(18446, NULL, 'IPR016937', NULL, 'Uncharacterised conserved protein UCP029727', 'UCP029727', 4, NULL),
(18447, NULL, 'IPR019835', NULL, 'SWIB domain', 'SWIB_domain', 3, NULL),
(18448, NULL, 'IPR021369', NULL, 'Protein of unknown function DUF2985', 'DUF2985', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18449, NULL, 'IPR035418', NULL, 'Transcription regulator HTH, AraC- type, ligand binding domain-like', 'AraC-bd_2', 3, NULL),
(18450, NULL, 'IPR016568', NULL, 'Sulphur oxidation, SoxY', 'Sulphur_oxidation_SoxY', 4, NULL),
(18451, NULL, 'IPR021421', NULL, 'Protein of unknown function DUF3071', 'DUF3071', 4, NULL),
(18452, NULL, 'IPR017376', NULL, 'Herpesvirus UL49A', 'Herpes_UL49A', 4, NULL),
(18453, NULL, 'IPR035503', NULL, 'IOC4-like, PWWP domain', 'IOC4-like_PWWP', 3, NULL),
(18454, NULL, 'IPR019934', NULL, 'Conserved hypothetical protein CHP03545', 'CHP03545', 4, NULL),
(18455, NULL, 'IPR032482', NULL, 'Protein of unknown function DUF5054', 'DUF5054', 4, NULL),
(18456, NULL, 'IPR016943', NULL, 'Uncharacterised conserved protein UCP030050, HTH transcriptional regulator, BH1869', 'UCP030050_HTH', 4, NULL),
(18457, NULL, 'IPR020196', NULL, 'Uncharacterised protein family YqgB', 'Uncharacterised_YqgB', 4, NULL),
(18458, NULL, 'IPR021450', NULL, 'Protein of unknown function DUF3100', 'DUF3100', 4, NULL),
(18459, NULL, 'IPR023901', NULL, 'Thiocyanate hydrolase, gamma subunit', 'Thiocyan_Hydrolase_gsu', 4, NULL),
(18460, NULL, 'IPR021419', NULL, 'Mediator of RNA polymerase II transcription subunit 25, von Willebrand factor type A domain', 'Mediator_Med25_VWA', 3, NULL),
(18461, NULL, 'IPR019886', NULL, 'Sodium symporter small subunit, predicted', 'Na_symporter_ssu_prd', 3, NULL),
(18462, NULL, 'IPR013907', NULL, 'Sds3-like', 'Sds3', 4, NULL),
(18463, NULL, 'IPR016970', NULL, 'Uncharacterised conserved protein UCP031143', 'UCP031143', 4, NULL),
(18464, NULL, 'IPR017700', NULL, 'Putative aminohydrolase SsnA', 'Aminohydrolase_SsnA', 4, NULL),
(18465, NULL, 'IPR015657', NULL, 'Aminobutyraldehyde dehydrogenase', 'Aminobutyraldehyde_DH', 4, NULL),
(18466, NULL, 'IPR021429', NULL, 'Mediator complex, subunit Med24,', 'Mediator_Med24', 4, NULL),
(18467, NULL, 'IPR035504', NULL, 'MUM1-like, PWWP domain', 'MUM1-like_PWWP', 3, NULL),
(18468, NULL, 'IPR021366', NULL, 'Protein of unknown function DUF2981', 'DUF2981', 4, NULL),
(18469, NULL, 'IPR016981', NULL, 'Transcription regulator, AraC, predicted', 'Tscrpt_reg_031684_prd', 4, NULL),
(18470, NULL, 'IPR021403', NULL, 'Protein of unknown function DUF3043', 'DUF3043', 4, NULL),
(18471, NULL, 'IPR021362', NULL, 'Protein of unknown function DUF2834', 'DUF2834', 4, NULL),
(18472, NULL, 'IPR021426', NULL, 'Protein of unknown function DUF3073', 'DUF3073', 4, NULL),
(18473, NULL, 'IPR016193', NULL, 'Cytidine deaminase-like', 'Cytidine_deaminase-like', 5, NULL),
(18474, NULL, 'IPR016549', NULL, 'Uncharacterised conserved protein UCP009193', 'UCP009193', 4, NULL),
(18475, NULL, 'IPR021389', NULL, 'Protein of unknown function DUF3022', 'DUF3022', 4, NULL),
(18476, NULL, 'IPR025994', NULL, 'BRCA1, serine-rich domain', 'BRCA1_serine_dom', 3, NULL),
(18477, NULL, 'IPR035266', NULL, '26S Proteasome non-ATPase regulatory subunit 1', 'PSMD1', 4, NULL),
(18478, NULL, 'IPR020203', NULL, 'Membrane protein YneK', 'YneK', 4, NULL),
(18479, NULL, 'IPR016960', NULL, 'Protein kinase YegI-like', 'YegI-like', 4, NULL),
(18480, NULL, 'IPR016576', NULL, 'Ribosomal protein 63, mitochondrial', 'Ribosomal_MRP63_mit', 4, NULL),
(18481, NULL, 'IPR021416', NULL, 'Protein of unknown function DUF3048, N-terminal', 'DUF3048_N', 3, NULL),
(18482, NULL, 'IPR021356', NULL, 'Integrating conjugative element protein PFL4702', 'Integr_conj_element_PFL4702', 4, NULL),
(18483, NULL, 'IPR019940', NULL, 'CofH family', 'CofH_family', 4, NULL),
(18484, NULL, 'IPR016946', NULL, 'Uncharacterised conserved protein UCP030125', 'UCP030125', 4, NULL),
(18485, NULL, 'IPR015637', NULL, 'Uracil DNA glycosylase family 2', 'MUG/TDG', 4, NULL),
(18486, NULL, 'IPR016973', NULL, 'Integral membrane protein SYS1', 'Integral_membrane_SYS1', 4, NULL),
(18487, NULL, 'IPR021341', NULL, 'Protein of unknown function DUF2958', 'DUF2958', 4, NULL),
(18488, NULL, 'IPR021390', NULL, 'Protein of unknown function DUF3025', 'DUF3025', 4, NULL),
(18489, NULL, 'IPR013834', NULL, 'Bacteriophage, G3P, N2-domain superfamily', 'Phage_G3P_N2_sf', 5, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18490, NULL, 'IPR023886', NULL, 'Quinohemoprotein amine dehydrogenase, gamma subunit maturation protein', 'QH-AmDH_gsu_maturation', 4, NULL),
(18491, NULL, 'IPR016597', NULL, 'Uncharacterised conserved protein UCP012359', 'UCP012359', 4, NULL),
(18492, NULL, 'IPR025995', NULL, 'RNA binding activity-knot of a chromodomain', 'Tudor-knot', 3, NULL),
(18493, NULL, 'IPR021438', NULL, 'Protein of unknown function DUF3087', 'DUF3087', 4, NULL),
(18494, NULL, 'IPR016982', NULL, 'Probable magnetosome protein Mms48', 'Mms48', 4, NULL),
(18495, NULL, 'IPR020185', NULL, 'Spore morphogenesis/germination protein YwcE', 'Spore_morphogenesis_YwcE', 4, NULL),
(18496, NULL, 'IPR016590', NULL, 'Rhamnogalacturonase B', 'Rhamnogalacturonase_B', 4, NULL),
(18497, NULL, 'IPR021368', NULL, 'Type VII secretion system protein EccE', 'T7SS_EccE', 4, NULL),
(18498, NULL, 'IPR019879', NULL, 'Ammonium transporter, marine subtype', 'Ammonium_transptr_marine', 4, NULL),
(18499, NULL, 'IPR016966', NULL, 'Thiamin pyrophosphokinase, eukaryotic', 'Thiamin_pyrophosphokinase_euk', 4, NULL),
(18500, NULL, 'IPR021433', NULL, 'Protein of unknown function DUF3083', 'DUF3083', 4, NULL),
(18501, NULL, 'IPR021564', NULL, 'Protein of unknown function DUF3203', 'DUF3203', 4, NULL),
(18502, NULL, 'IPR014719', NULL, 'Ribosomal protein L7/L12, C-terminal/adaptor protein ClpS-like', 'Ribosomal_L7/12_C/ClpS-like', 5, NULL),
(18503, NULL, 'IPR023194', NULL, 'Eukaryotic translation initiation factor 3-like domain superfamily', 'eIF3-like_dom_sf', 5, NULL),
(18504, NULL, 'IPR019160', NULL, 'Exocyst complex component Sec3, C-terminal', 'Sec3_C', 3, NULL),
(18505, NULL, 'IPR035339', NULL, 'Protein of unknown function DUF5426', 'DUF5426', 4, NULL),
(18506, NULL, 'IPR019498', NULL, 'MENTAL domain', 'MENTAL', 3, NULL),
(18507, NULL, 'IPR019153', NULL, 'DDRGK domain containing protein', 'DDRGK_dom-contain', 4, NULL),
(18508, NULL, 'IPR013351', NULL, 'Type III secretion system effector delivery regulator TyeA-related', 'T3SS_TyeA-rel', 3, NULL),
(18509, NULL, 'IPR018766', NULL, 'Zinicin-like metallopeptidase type 2', 'Zinicin_2', 4, NULL),
(18510, NULL, 'IPR021515', NULL, 'Protein of unknown function DUF3177', 'DUF3177', 4, NULL),
(18511, NULL, 'IPR032676', NULL, 'Putative L,D-transpeptidase tautomerase', 'YkuD_2', 4, NULL),
(18512, NULL, 'IPR017919', NULL, 'Transcription factor TFE/TFIIEalpha HTH domain', 'TFIIE/TFIIEa_HTH', 3, NULL),
(18513, NULL, 'IPR021502', NULL, 'Protein of unknown function DUF3158', 'DUF3158', 4, NULL),
(18514, NULL, 'IPR017861', NULL, 'Kae1/TsaD family', 'KAE1/TsaD', 4, NULL),
(18515, NULL, 'IPR020126', NULL, 'Protein of unknown function DUF2732', 'DUF2732', 4, NULL),
(18516, NULL, 'IPR018772', NULL, 'Transcription activator HlyU', 'Transcription_activator_HlyU', 4, NULL),
(18517, NULL, 'IPR013364', NULL, 'ATPase, plasmid transfer, TraJ', 'ATPase_plasmid-transfer_TraJ', 4, NULL),
(18518, NULL, 'IPR021477', NULL, 'Type VII secretion effector, SACOL2603 family', 'TVIIS_effector_SACOL2603_fam', 4, NULL),
(18519, NULL, 'IPR013369', NULL, 'Type II secretion system protein GspE', 'T2SS_GspE', 4, NULL),
(18520, NULL, 'IPR019509', NULL, 'Carboxypeptidase inhibitor I68', 'Carboxypeptidase_inhibitor_I68', 4, NULL),
(18521, NULL, 'IPR017415', NULL, 'Putative RNA polymerase II transcriptional coactivator KELP', 'KELP', 4, NULL),
(18522, NULL, 'IPR018767', NULL, 'Brl1/Brr6 domain', 'Brl1/Brr6_dom', 3, NULL),
(18523, NULL, 'IPR017409', NULL, 'Pyruvate Pi dikinase regulator, chloroplast', 'Pyrv_Pi_dikinase_reg_chlpt', 4, NULL),
(18524, NULL, 'IPR018734', NULL, 'Domain of unknown function DUF2275', 'DUF2275', 3, NULL),
(18525, NULL, 'IPR017915', NULL, 'Colipase, conserved site', 'Colipase_CS', 2, NULL),
(18526, NULL, 'IPR017738', NULL, 'Type VI secretion system-associated, VCA0118', 'T6SS-assoc_VCA0118', 4, NULL),
(18527, NULL, 'IPR014029', NULL, 'NADH:ubiquinone oxidoreductase, 49kDa subunit, conserved site', 'NADH_UbQ_OxRdtase_49kDa_CS', 2, NULL),
(18528, NULL, 'IPR021544', NULL, 'Vanadium-binding protein 2', 'Vanabin-2', 4, NULL),
(18529, NULL, 'IPR018739', NULL, 'Domain of unknown function DUF2281', 'DUF2281', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18530, NULL, 'IPR021553', NULL, 'Protein of unknwon function DUF3008', 'DUF3008', 4, NULL),
(18531, NULL, 'IPR034200', NULL, 'RDM1, RNA recognition motif', 'RDM1_RRM', 3, NULL),
(18532, NULL, 'IPR019182', NULL, 'Cytochrome b-c1 complex subunit 10, fungi', 'Cytochrome_b-c1_su10_fun', 4, NULL),
(18533, NULL, 'IPR017456', NULL, 'CTP synthase, N-terminal', 'CTP_synthase_N', 3, NULL),
(18534, NULL, 'IPR019170', NULL, 'Meckelin', 'Meckelin', 4, NULL),
(18535, NULL, 'IPR021559', NULL, 'Protein of unknown function DUF3019', 'DUF3019', 4, NULL),
(18536, NULL, 'IPR018429', NULL, 'Carbonic anhydrase 9', 'CA9', 4, NULL),
(18537, NULL, 'IPR021524', NULL, 'Protein of unknown function DUF3188', 'DUF3188', 4, NULL),
(18538, NULL, 'IPR035340', NULL, 'Protein of unknown function DUF5425', 'DUF5425', 4, NULL),
(18539, NULL, 'IPR018754', NULL, 'Domain of unknown function DUF2285', 'DUF2285', 3, NULL),
(18540, NULL, 'IPR019522', NULL, 'Phosphoinositide 3-kinase regulatory subunit 5/6', 'PIK3R5/6', 4, NULL),
(18541, NULL, 'IPR017419', NULL, 'Mitogen-activated protein kinase kinase kinase 12/13', 'MAP3K12_MAP3K13', 4, NULL),
(18542, NULL, 'IPR019143', NULL, 'JNK/Rab-associated protein-1, N-terminal', 'JNK/Rab-associated_protein-1_N', 3, NULL),
(18543, NULL, 'IPR018774', NULL, 'Bacteriophage Mu, GpT', 'Phage_Mu_GpT', 3, NULL),
(18544, NULL, 'IPR021497', NULL, 'Holin of 3TMs, for gene-transfer release', 'GTA_holin_3TM', 4, NULL),
(18545, NULL, 'IPR013095', NULL, 'Type III secretion system chaperone', 'T3SS_chaperone', 4, NULL),
(18546, NULL, 'IPR013013', NULL, 'Phosphotransferase system, EIIC component, type 1', 'PTS_EIIC_1', 3, NULL),
(18547, NULL, 'IPR013097', NULL, 'Stress responsive alpha-beta barrel', 'Dabb', 3, NULL),
(18548, NULL, 'IPR017937', NULL, 'Thioredoxin, conserved site', 'Thioredoxin_CS', 2, NULL),
(18549, NULL, 'IPR017435', NULL, 'ESCRT-1 complex, Vps37, fungi', 'ESCRT-1_cplx_Vps37_fungi', 4, NULL),
(18550, NULL, 'IPR018733', NULL, 'Protein of unknown function DUF2274', 'DUF2274', 4, NULL),
(18551, NULL, 'IPR013096', NULL, 'Cupin 2, conserved barrel', 'Cupin_2', 3, NULL),
(18552, NULL, 'IPR018738', NULL, 'Protein of unknown function DUF2280', 'DUF2280', 4, NULL),
(18553, NULL, 'IPR021546', NULL, 'Pilot protein MxiM', 'MxiM', 4, NULL),
(18554, NULL, 'IPR021531', NULL, 'Protein of unknown function DUF2875', 'DUF2875', 4, NULL),
(18555, NULL, 'IPR018431', NULL, 'Carbonic anhydrase, CA14', 'Carbonic_anhydrase_CA14', 4, NULL),
(18556, NULL, 'IPR021528', NULL, 'Phagosome trafficking protein DotA', 'DotA', 4, NULL),
(18557, NULL, 'IPR018730', NULL, 'Protein of unknown function DUF2273', 'DUF2273', 4, NULL),
(18558, NULL, 'IPR017423', NULL, 'tRNA (adenine(58)-N(1))-methyltransferase non-catalytic subunit TRM6', 'TRM6', 4, NULL),
(18559, NULL, 'IPR019503', NULL, 'Peptidase M66 domain', 'Peptidase_M66_dom', 3, NULL),
(18560, NULL, 'IPR034227', NULL, 'Ubiquinol oxidase subunit 2, cupredoxin domain', 'CuRO_UO_II', 3, NULL),
(18561, NULL, 'IPR017408', NULL, 'Arginine N-methyltransferase 2', 'Arginine_N-MeTrfase_2', 4, NULL),
(18562, NULL, 'IPR017873', NULL, 'Cysteine-rich Golgi apparatus protein 1 repeat, eukaryote', 'Cys-rich_GLG1_repeat_euk', 7, NULL),
(18563, NULL, 'IPR019177', NULL, 'Golgin subfamily A member 5', 'Golgin_subfamily_A_member_5', 4, NULL),
(18564, NULL, 'IPR019525', NULL, 'Nuclear respiratory factor 1, NLS/DNA-binding, dimerisation domain', 'Nrf1_NLS/DNA-bd_dimer', 3, NULL),
(18565, NULL, 'IPR018748', NULL, 'Domain of unknown function DUF2300, secreted', 'DUF2300_secreted', 3, NULL),
(18566, NULL, 'IPR013106', NULL, 'Immunoglobulin V-set domain', 'Ig_V-set', 3, NULL),
(18567, NULL, 'IPR033985', NULL, 'SusD-like, N-terminal', 'SusD-like_N', 3, NULL),
(18568, NULL, 'IPR017410', NULL, 'Mitochondrial outer membrane transport complex protein, metaxin', 'Metaxin', 4, NULL),
(18569, NULL, 'IPR013121', NULL, 'Ferric reductase, NAD binding domain', 'Fe_red_NAD-bd_6', 3, NULL),
(18570, NULL, 'IPR035975', NULL, 'E2/EBNA1, C-terminal', 'E2/EBNA1_C_sf', 5, NULL),
(18571, NULL, 'IPR017432', NULL, 'Distrobrevin', 'Distrobrevin', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18572, NULL, 'IPR021566', NULL, 'Prion-like protein Doppel', 'Doppel', 4, NULL),
(18573, NULL, 'IPR018763', NULL, 'Protein of unknown function DUF2334', 'DUF2334', 4, NULL),
(18574, NULL, 'IPR017927', NULL, 'FAD-binding domain, ferredoxin reductase-type', 'FAD-bd_FR_type', 3, NULL),
(18575, NULL, 'IPR019523', NULL, 'Protein phosphatase 1, regulatory subunit 15A/B, C-terminal', 'Prot_Pase1_reg-su15A/B_C', 3, NULL),
(18576, NULL, 'IPR017452', NULL, 'GPCR, rhodopsin-like, 7TM', 'GPCR_Rhodpsn_7TM', 3, NULL),
(18577, NULL, 'IPR021481', NULL, 'Protein of unknown function DUF3134', 'DUF3134', 4, NULL),
(18578, NULL, 'IPR021532', NULL, 'Structural accessory protein ORF7b, betacoronavirus', 'NS7B_bCoV', 4, NULL),
(18579, NULL, 'IPR013104', NULL, 'Clostridium neurotoxin, receptor-binding C-terminal', 'Toxin_rcpt-bd_C', 3, NULL),
(18580, NULL, 'IPR019519', NULL, 'Elongator complex protein 5', 'Elp5', 4, NULL),
(18581, NULL, 'IPR013122', NULL, 'Polycystin cation channel, PKD1/PKD2', 'PKD1_2_channel', 3, NULL),
(18582, NULL, 'IPR018428', NULL, 'Carbonic anhydrase, CA-VI', 'Carbonic_anhydrase_CA6', 4, NULL),
(18583, NULL, 'IPR013108', NULL, 'Amidohydrolase 3', 'Amidohydro_3', 3, NULL),
(18584, NULL, 'IPR034248', NULL, 'Carboxypeptidase A, carboxypeptidase domain', 'CPA_M14_CPD', 3, NULL),
(18585, NULL, 'IPR019517', NULL, 'Integrin binding protein, ICAP-1', 'Integrin-bd_ICAP-1', 4, NULL),
(18586, NULL, 'IPR019485', NULL, 'V(D)J recombination-activating protein 1, Zinc finger', 'RAG1_Znf', 3, NULL),
(18587, NULL, 'IPR017417', NULL, 'Protein phosphatase 1, regulatory subunit 16A/B', 'Pase-1_reg_su_16AB', 4, NULL),
(18588, NULL, 'IPR021569', NULL, 'TUG ubiquitin-like domain', 'TUG-UBL1', 3, NULL),
(18589, NULL, 'IPR019526', NULL, 'Nuclear respiratory factor-1, activation binding domain', 'Nrf1_activation-bd', 3, NULL),
(18590, NULL, 'IPR021550', NULL, 'Protein of unknown function DUF2897', 'DUF2897', 4, NULL),
(18591, NULL, 'IPR019183', NULL, 'N-acetyltransferase B complex, non-catalytic subunit', 'N-acetylTrfase_B_cplx_non-cat', 4, NULL),
(18592, NULL, 'IPR017914', NULL, 'Colipase, C-terminal', 'Colipase_C', 3, NULL),
(18593, NULL, 'IPR014721', NULL, 'Ribosomal protein S5 domain 2-type fold, subgroup', 'Ribosomal_S5_D2-typ_fold_subgr', 5, NULL),
(18594, NULL, 'IPR013005', NULL, '50S ribosomal protein uL4', 'Ribosomal_uL4/L1e', 4, NULL),
(18595, NULL, 'IPR019165', NULL, 'Peptidase M76, ATP23', 'Peptidase_M76_ATP23', 4, NULL),
(18596, NULL, 'IPR013103', NULL, 'Reverse transcriptase, RNA-dependent DNA polymerase', 'RVT_2', 3, NULL),
(18597, NULL, 'IPR023912', NULL, 'Putative glycyl-radical enzyme activating enzyme YjjW', 'YjjW_bact', 4, NULL),
(18598, NULL, 'IPR023945', NULL, 'N-acetylmannosamine kinase, bacterial', 'ManNAc_kinase_bac', 4, NULL),
(18599, NULL, 'IPR021487', NULL, 'Protein of unknown function DUF3140', 'DUF3140', 4, NULL),
(18600, NULL, 'IPR021536', NULL, 'DNA ligase IV domain', 'DNA_ligase_IV_dom', 3, NULL),
(18601, NULL, 'IPR013012', NULL, 'Phosphotransferase system, EIIB component, type 3', 'PTS_EIIB_3', 3, NULL),
(18602, NULL, 'IPR021571', NULL, 'Protein of unknown function DUF3206', 'DUF3206', 4, NULL),
(18603, NULL, 'IPR018750', NULL, 'Protein of unknown function DUF2306, membrane', 'DUF2306_membrane', 4, NULL),
(18604, NULL, 'IPR017740', NULL, 'Type VI secretion system protein TssA-like', 'TssA-like', 4, NULL),
(18605, NULL, 'IPR023996', NULL, 'TonB-dependent outer membrane protein, SusC/RagA', 'TonB-dep_OMP_SusC/RagA', 4, NULL),
(18606, NULL, 'IPR013094', NULL, 'Alpha/beta hydrolase fold-3', 'AB_hydrolase_3', 3, NULL),
(18607, NULL, 'IPR021522', NULL, 'Copper transporter MctB', 'MctB', 4, NULL),
(18608, NULL, 'IPR013124', NULL, 'Gap junction alpha-1 protein (Cx43), C-terminal', 'Connexin43_C', 3, NULL),
(18609, NULL, 'IPR021470', NULL, 'Protein of unknown function DUF3123', 'DUF3123', 4, NULL),
(18610, NULL, 'IPR021576', NULL, 'Protein of unknown function DUF3208', 'DUF3208', 4, NULL),
(18611, NULL, 'IPR035974', NULL, 'Rap/Ran-GAP superfamily', 'Rap/Ran-GAP_sf', 5, NULL),
(18612, NULL, 'IPR014717', NULL, 'Translation elongation factor EF1B/ribosomal protein S6', 'Transl_elong_EF1B/ribosomal_S6', 5, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18613, NULL, 'IPR019516', NULL, 'Glomulin/ALF4', 'Glomulin/ALF4', 4, NULL),
(18614, NULL, 'IPR013099', NULL, 'Potassium channel domain', 'K_chnl_dom', 3, NULL),
(18615, NULL, 'IPR034203', NULL, 'RBM45, RNA recognition motif 1', 'RBM45_RRM1', 3, NULL),
(18616, NULL, 'IPR019184', NULL, 'Uncharacterised protein family, transmembrane-17', 'Uncharacterised_TM-17', 4, NULL),
(18617, NULL, 'IPR021552', NULL, 'Putative, 10TM heavy-metal exporter', 'ArsP_2', 4, NULL),
(18618, NULL, 'IPR019515', NULL, 'Vacuolar protein sorting-associated protein 54, N-terminal', 'VPS54_N', 3, NULL),
(18619, NULL, 'IPR020070', NULL, 'Ribosomal protein L9, N-terminal', 'Ribosomal_L9_N', 3, NULL),
(18620, NULL, 'IPR019168', NULL, 'Nuclear envelope phosphatase-regulatory subunit 1', 'NEP1-R1', 4, NULL),
(18621, NULL, 'IPR019178', NULL, 'Phosphatidylinositol 4,5-bisphosphate 4-phosphatase', 'PtdIns-P2-Ptase', 4, NULL),
(18622, NULL, 'IPR018437', NULL, 'Carbonic anhydrase VB, mitochondria', 'CA-VB_mt', 4, NULL),
(18623, NULL, 'IPR035331', NULL, 'Clostridial binary toxin B/anthrax toxin PA, domain 3', 'Binary_toxB_3', 3, NULL),
(18624, NULL, 'IPR017455', NULL, 'Zinc finger, FYVE-related', 'Znf_FYVE-rel', 3, NULL),
(18625, NULL, 'IPR019164', NULL, 'Transmembrane protein 147', 'TMEM147', 4, NULL),
(18626, NULL, 'IPR020067', NULL, 'Frizzled domain', 'Frizzled_dom', 3, NULL),
(18627, NULL, 'IPR019142', NULL, 'Dymeclin', 'Dymeclin', 4, NULL),
(18628, NULL, 'IPR017737', NULL, 'Type VI secretion system protein TssE1-like', 'TssE1-like', 4, NULL),
(18629, NULL, 'IPR023258', NULL, 'Placentin', 'Placentin', 4, NULL),
(18630, NULL, 'IPR023203', NULL, 'TTHA0068-like superfamily', 'TTHA0068_sf', 5, NULL),
(18631, NULL, 'IPR021563', NULL, 'Rab interacting lysosomal protein, dimerization domain', 'RILP_dimer', 3, NULL),
(18632, NULL, 'IPR013347', NULL, 'Tetrahydromethanopterin S-methyltransferase, F subunit', 'MeTrfase_F_su', 3, NULL),
(18633, NULL, 'IPR013359', NULL, 'Pilus formation type IVB, outer membrane PilN', 'Pilus_4B_PilN', 4, NULL),
(18634, NULL, 'IPR019171', NULL, 'Intermembrane space protein MIX23', 'MIX23', 4, NULL),
(18635, NULL, 'IPR018430', NULL, 'Carbonic anhydrase, CA-XII', 'Carbonic_anhydrase_CA12', 4, NULL),
(18636, NULL, 'IPR018013', NULL, 'Nucleoside-specific channel-forming protein, Tsx-like', 'Channel_Tsx-like', 4, NULL),
(18637, NULL, 'IPR020103', NULL, 'Pseudouridine synthase, catalytic domain superfamily', 'PsdUridine_synth_cat_dom_sf', 5, NULL),
(18638, NULL, 'IPR019497', NULL, 'Sorting nexin protein, WASP-binding domain', 'Sorting_nexin_WASP-bd-dom', 3, NULL),
(18639, NULL, 'IPR023995', NULL, 'Oxygen-independent coproporphyrinogen-III oxidase-like protein HemZ', 'HemZ', 4, NULL),
(18640, NULL, 'IPR013109', NULL, 'Bifunctional lysine-specific demethylase and histidyl-hydroxylase NO66', 'NO66', 4, NULL),
(18641, NULL, 'IPR034664', NULL, 'Classical protein kinase C beta, catalytic domain', 'cPKC-beta', 3, NULL),
(18642, NULL, 'IPR019149', NULL, 'Alpha/beta hydrolase domain-containing protein 18', 'ABHD18', 4, NULL),
(18643, NULL, 'IPR021512', NULL, 'Protein of unknown function DUF3173', 'DUF3173', 4, NULL),
(18644, NULL, 'IPR013120', NULL, 'Fatty acyl-coenzyme A reductase, NAD-binding domain', 'Far_NAD-bd', 3, NULL),
(18645, NULL, 'IPR021539', NULL, 'Bacteriocin subtilosin A', 'Subtilosin_A', 4, NULL),
(18646, NULL, 'IPR019147', NULL, 'Suppressor of white apricot, N-terminal domain', 'SWAP_N_domain', 3, NULL),
(18647, NULL, 'IPR021527', NULL, 'Protein of unknown function DUF2795', 'DUF2795', 4, NULL),
(18648, NULL, 'IPR021485', NULL, 'Protein of unknown function DUF3138', 'DUF3138', 4, NULL),
(18649, NULL, 'IPR021534', NULL, 'Protein of unknown function DUF3192', 'DUF3192', 4, NULL),
(18650, NULL, 'IPR023999', NULL, 'Formate transporter FocA, putative', 'Formate_transptr_FocA_put', 4, NULL),
(18651, NULL, 'IPR021492', NULL, 'Protein of unknown function DUF3146', 'DUF3146', 4, NULL),
(18652, NULL, 'IPR021561', NULL, 'Transcriptional regulator, AbiEi 3 antitoxin, Type IV TA system', 'AbiEi_3', 4, NULL),
(18653, NULL, 'IPR019499', NULL, 'Valyl-tRNA synthetase,  tRNA-binding arm', 'Val-tRNA_synth_tRNA-bd', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18654, NULL, 'IPR021104', NULL, 'KfrA, N-terminal DNA-binding domain', 'KfrA_DNA-bd_N', 3, NULL),
(18655, NULL, 'IPR017436', NULL, 'Cripto-related protein 3', 'Cripto-rel_3', 4, NULL),
(18656, NULL, 'IPR019193', NULL, 'Ubiquitin-conjugating enzyme E2-binding protein', 'UBQ-conj_enz_E2-bd_prot', 4, NULL),
(18657, NULL, 'IPR019190', NULL, 'Exonuclease V', 'EXOV', 4, NULL),
(18658, NULL, 'IPR021490', NULL, 'Protein of unknown function DUF3144', 'DUF3144', 4, NULL),
(18659, NULL, 'IPR021495', NULL, 'Protein of unknown function DUF3148', 'DUF3148', 4, NULL),
(18660, NULL, 'IPR013365', NULL, 'Dot/Icm secretion system IcmQ', 'Dot_Icm_IcmQ', 4, NULL),
(18661, NULL, 'IPR021567', NULL, 'Lens epithelium-derived growth factor, integrase-binding domain', 'LEDGF_IBD', 3, NULL),
(18662, NULL, 'IPR017726', NULL, 'Fe/S biogenesis protein NfuA', 'Fe/S_biogenesis_protein_NfuA', 4, NULL),
(18663, NULL, 'IPR021545', NULL, 'Type III secretion system filament chaperone CesA', 'CesA', 4, NULL),
(18664, NULL, 'IPR021501', NULL, 'Protein of unknown function DUF3157', 'DUF3157', 4, NULL),
(18665, NULL, 'IPR018735', NULL, 'Protein of unknown function DUF2277', 'DUF2277', 4, NULL),
(18666, NULL, 'IPR020125', NULL, 'Protein of unknown function DUF5488', 'DUF5488', 4, NULL),
(18667, NULL, 'IPR021558', NULL, 'Antitoxin MazE-like', 'MazE-like', 4, NULL),
(18668, NULL, 'IPR019511', NULL, 'A-kinase anchor protein 7, RI-RII subunit-binding domain', 'AKAP7_RI-RII-bd_dom', 3, NULL),
(18669, NULL, 'IPR019167', NULL, 'mRNA decay factor PAT1 domain', 'PAT1_dom', 3, NULL),
(18670, NULL, 'IPR019196', NULL, 'ABC-type uncharacterised transport system', 'ABC_transp_unknown', 3, NULL),
(18671, NULL, 'IPR023566', NULL, 'Peptidyl-prolyl cis-trans isomerase Fpr3/Fpr4-like', 'PPIase_Fpr3/Fpr4-like', 4, NULL),
(18672, NULL, 'IPR021483', NULL, 'Protein of unknown function DUF3136', 'DUF3136', 4, NULL),
(18673, NULL, 'IPR019191', NULL, 'Essential protein Yae1, N-terminal', 'Essential_protein_Yae1_N', 3, NULL),
(18674, NULL, 'IPR021542', NULL, 'Tn7 transposition regulator TnsC', 'Tn7_TnsC', 4, NULL),
(18675, NULL, 'IPR019195', NULL, 'ABC transporter, ATPase, putative', 'ABC_ATPase_put', 4, NULL),
(18676, NULL, 'IPR017440', NULL, 'ATP-citrate lyase/succinyl-CoA ligase, active site', 'Cit_synth/succinyl-CoA_lig_AS', 0, NULL),
(18677, NULL, 'IPR019179', NULL, 'Coiled-coil domain-containing protein 149-A', 'Coiled-coil_dom-contain_pr_149', 4, NULL),
(18678, NULL, 'IPR014722', NULL, 'Ribosomal protein L2, domain 2', 'Rib_L2_dom2', 5, NULL),
(18679, NULL, 'IPR017433', NULL, 'Dystrophin-related protein 2', 'Dystrophin-related_2', 4, NULL),
(18680, NULL, 'IPR013362', NULL, 'Pilus modification type IV, PilV', 'Pilus_4_PilV', 4, NULL),
(18681, NULL, 'IPR034780', NULL, 'SAFB-like transcription modulator', 'SLTM', 4, NULL),
(18682, NULL, 'IPR018746', NULL, 'Protein of unknown function DUF2298', 'DUF2298', 4, NULL),
(18683, NULL, 'IPR018743', NULL, 'Protein of unknown function DUF2292', 'DUF2292', 4, NULL),
(18684, NULL, 'IPR013116', NULL, 'Ketol-acid reductoisomerase, N-terminal', 'KARI_N', 3, NULL),
(18685, NULL, 'IPR035330', NULL, 'Rotavirus VP4, membrane interaction domain', 'Rota_VP4_MID', 3, NULL),
(18686, NULL, 'IPR017451', NULL, 'F-box associated interaction domain', 'F-box-assoc_interact_dom', 3, NULL),
(18687, NULL, 'IPR023920', NULL, 'ABC transporter, substrate-binding protein, KPN01854', 'ABC_transptr_sub-bd_KPN01854', 4, NULL),
(18688, NULL, 'IPR021562', NULL, 'Protein of unknown function DUF3007', 'DUF3007', 4, NULL),
(18689, NULL, 'IPR021508', NULL, 'Tail completion protein', 'Gp17-like', 4, NULL),
(18690, NULL, 'IPR019181', NULL, 'Anticodon-binding domain', 'Anticodon-binding_dom', 3, NULL),
(18691, NULL, 'IPR034201', NULL, 'RNPS1, RNA recognition motif', 'RNPS1_RRM', 3, NULL),
(18692, NULL, 'IPR013126', NULL, 'Heat shock protein 70 family', 'Hsp_70_fam', 4, NULL),
(18693, NULL, 'IPR013354', NULL, 'Type III secretion system needle length determinant, C-terminal domain', 'T3SS_YscP_C', 3, NULL),
(18694, NULL, 'IPR021496', NULL, 'Protein of unknown function DUF3150', 'DUF3150', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18695, NULL, 'IPR035915', NULL, 'Plakin repeat superfamily', 'Plakin_repeat_sf', 5, NULL),
(18696, NULL, 'IPR019489', NULL, 'Clp ATPase, C-terminal', 'Clp_ATPase_C', 3, NULL),
(18697, NULL, 'IPR034239', NULL, 'Metallocarboxypeptidase Z, carboxypeptidase domain', 'M14_CPZ_CPD', 3, NULL),
(18698, NULL, 'IPR018441', NULL, 'Carbonic anhydrase, CA3', 'Carbonic_anhydrase_CA3', 4, NULL),
(18699, NULL, 'IPR013112', NULL, 'FAD-binding 8', 'FAD-bd_8', 3, NULL),
(18700, NULL, 'IPR021479', NULL, '30K viral movement protein, C-terminal', '30K_MP_C', 3, NULL),
(18701, NULL, 'IPR014053', NULL, 'Formylmethanofuran: tetrahydromethanopterin formyltransferase Ftr', 'ForMFR_H4MPT_ForTrfase', 4, NULL),
(18702, NULL, 'IPR018753', NULL, 'Azospirillum phage Cd, Gp10', 'Azospirillum_phage_Cd_Gp10', 4, NULL),
(18703, NULL, 'IPR019174', NULL, 'NADH dehydrogenase 1, beta subcomplex, subunit 6', 'NADH_DH_b-subcmplx_su6', 4, NULL),
(18704, NULL, 'IPR013111', NULL, 'EGF-like domain, extracellular', 'EGF_extracell', 3, NULL),
(18705, NULL, 'IPR021473', NULL, 'Protein of unknown function DUF3126', 'DUF3126', 4, NULL),
(18706, NULL, 'IPR013372', NULL, 'Ethanolamine utilization, putative', 'Eut_put', 4, NULL),
(18707, NULL, 'IPR034666', NULL, 'Arp2/3 complex subunit 2/4', 'ARPC2/4', 5, NULL),
(18708, NULL, 'IPR019185', NULL, 'Integral membrane protein SYS1-related', 'Integral_membrane_SYS1-rel', 4, NULL),
(18709, NULL, 'IPR017874', NULL, 'CRIC domain', 'CRIC_domain', 3, NULL),
(18710, NULL, 'IPR019492', NULL, 'Cyclo-malto-dextrinase, C-terminal', 'Cyclo-malto-dextrinase_C', 3, NULL),
(18711, NULL, 'IPR013100', NULL, 'Limonene-1,2-epoxide hydrolase', 'LEH', 3, NULL),
(18712, NULL, 'IPR013810', NULL, 'Ribosomal protein S5, N-terminal', 'Ribosomal_S5_N', 3, NULL),
(18713, NULL, 'IPR018758', NULL, 'Membrane iron-sulfur containing protein FtrD-like', 'FtrD-like', 3, NULL),
(18714, NULL, 'IPR019482', NULL, 'Interleukin-12 beta, central domain', 'IL-12_beta_cen-dom', 3, NULL),
(18715, NULL, 'IPR019151', NULL, 'Proteasome assembly chaperone 2', 'Proteasome_assmbl_chaperone_2', 4, NULL),
(18716, NULL, 'IPR021560', NULL, 'Protein of unknown function DUF3021', 'DUF3021', 4, NULL),
(18717, NULL, 'IPR014705', NULL, 'Synaptotagmin-17', 'SYT17', 4, NULL),
(18718, NULL, 'IPR021489', NULL, 'Protein of unknown function DUF3143', 'DUF3143', 4, NULL),
(18719, NULL, 'IPR017426', NULL, 'Nuclear receptor coactivator', 'Nuclear_rcpt_coactivator', 4, NULL),
(18720, NULL, 'IPR035214', NULL, 'Protein of unknown function DUF5324', 'DUF5324', 4, NULL),
(18721, NULL, 'IPR023923', NULL, 'Alkylhydroperoxidase domain-containing  protein, Avi7169', 'AhpD_Avi7169', 4, NULL),
(18722, NULL, 'IPR013118', NULL, 'Mannitol dehydrogenase, C-terminal', 'Mannitol_DH_C', 3, NULL),
(18723, NULL, 'IPR017865', NULL, 'F-actin capping protein, alpha subunit, conserved site', 'F-actin_cap_asu_CS', 2, NULL),
(18724, NULL, 'IPR019508', NULL, 'Proteinase inhibitor I48, clitocypin', 'Prot_inh_I48_clitocypin', 4, NULL),
(18725, NULL, 'IPR021461', NULL, 'Protein of unknown function DUF3113', 'DUF3113', 4, NULL),
(18726, NULL, 'IPR023910', NULL, 'Colanic acid biosynthesis, glycosyl transferase, WcaI', 'Colanic_acid_synth_WcaI', 4, NULL),
(18727, NULL, 'IPR013115', NULL, 'Histidine biosynthesis HisG, C-terminal', 'HisG_C', 3, NULL),
(18728, NULL, 'IPR021480', NULL, 'Probable zinc-ribbon domain, plant', 'Zinc_ribbon_12', 3, NULL),
(18729, NULL, 'IPR013010', NULL, 'Zinc finger, SIAH-type', 'Znf_SIAH', 3, NULL),
(18730, NULL, 'IPR017731', NULL, 'Type VI secretion system  protein TssM1-like', 'TssM1-like', 4, NULL),
(18731, NULL, 'IPR013346', NULL, 'Ribonucleotide reductase, class I , alpha subunit', 'NrdE_NrdA', 3, NULL),
(18732, NULL, 'IPR018765', NULL, 'Domain of unknown function DUF2341', 'DUF2341', 3, NULL),
(18733, NULL, 'IPR018769', NULL, 'Domain of unknown function DUF2345, Vgr C-terminal', 'DUF2345_Vgr_C', 3, NULL),
(18734, NULL, 'IPR035344', NULL, 'Phage gene product 52', 'Gp52', 4, NULL),
(18735, NULL, 'IPR019520', NULL, 'Ribosomal protein S23, mitochondrial', 'Ribosomal_S23', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18736, NULL, 'IPR017449', NULL, 'Prolyl-tRNA synthetase, class II', 'Pro-tRNA_synth_II', 5, NULL),
(18737, NULL, 'IPR021499', NULL, 'Protein of unknown function DUF3153', 'DUF3153', 4, NULL),
(18738, NULL, 'IPR023998', NULL, 'Siderophore ferric iron reductase, AHA1954 family', 'Sidero_Fe_redtase_AHA1954', 4, NULL),
(18739, NULL, 'IPR013101', NULL, 'Leucine-rich repeat 2', 'Leu-rich_rpt_2', 7, NULL),
(18740, NULL, 'IPR021511', NULL, 'Protein of unknown function DUF3172', 'DUF3172', 4, NULL),
(18741, NULL, 'IPR021506', NULL, 'Protein of unknown function DUF3165', 'DUF3165', 4, NULL),
(18742, NULL, 'IPR023992', NULL, 'Pre-heme d1 synthase NirJ', 'HemeD1_Synth_NirJ', 4, NULL),
(18743, NULL, 'IPR017454', NULL, 'Neuromodulin (GAP-43), C-terminal', 'Neuromodulin_C', 3, NULL),
(18744, NULL, 'IPR021459', NULL, 'Glycosyl hydrolases related to GH101 family, GHL1-GHL3', 'GH101-related', 4, NULL),
(18745, NULL, 'IPR019169', NULL, 'Transmembrane protein 26', 'Transmembrane_26', 4, NULL),
(18746, NULL, 'IPR021471', NULL, 'Protein of unknown function DUF3124', 'DUF3124', 4, NULL),
(18747, NULL, 'IPR018757', NULL, 'Protein of unknown function DUF2316', 'DUF2316', 4, NULL),
(18748, NULL, 'IPR017866', NULL, 'Succinyl-CoA synthetase, beta subunit, conserved site', 'Succ-CoA_synthase_bsu_CS', 2, NULL),
(18749, NULL, 'IPR017932', NULL, 'Glutamine amidotransferase type 2 domain', 'GATase_2_dom', 3, NULL),
(18750, NULL, 'IPR014716', NULL, 'Fibrinogen, alpha/beta/gamma chain, C-terminal globular, subdomain 1', 'Fibrinogen_a/b/g_C_1', 5, NULL),
(18751, NULL, 'IPR017733', NULL, 'Type VI secretion system peptidoglycan-associated domain', 'OmpA/MotB_dom', 3, NULL),
(18752, NULL, 'IPR021574', NULL, 'Sialyltransferase PMO188', 'PM0188', 4, NULL),
(18753, NULL, 'IPR035343', NULL, 'Phage protein Gp68', 'Gp68', 4, NULL),
(18754, NULL, 'IPR017913', NULL, 'Colipase, N-terminal', 'Colipase_N', 3, NULL),
(18755, NULL, 'IPR012948', NULL, 'AARP2CN', 'AARP2CN', 3, NULL),
(18756, NULL, 'IPR017730', NULL, 'Chaperonin ClpB', 'Chaperonin_ClpB', 4, NULL),
(18757, NULL, 'IPR019144', NULL, 'Membralin', 'Membralin', 4, NULL),
(18758, NULL, 'IPR021573', NULL, 'Leader peptide, picornavirus', 'Leader_pept_picornaV', 4, NULL),
(18759, NULL, 'IPR021486', NULL, 'Protein of unknown function DUF3139', 'DUF3139', 4, NULL),
(18760, NULL, 'IPR013356', NULL, 'Type II secretion system protein GspD', 'T2SS_GspD', 4, NULL),
(18761, NULL, 'IPR019198', NULL, 'Beta propeller domain-containing family', 'Beta_propeller_containing', 4, NULL),
(18762, NULL, 'IPR018760', NULL, 'Protein of unknown function DUF2326', 'DUF2326', 3, NULL),
(18763, NULL, 'IPR017453', NULL, 'Glycine cleavage system H-protein, subgroup', 'GCV_H_sub', 4, NULL),
(18764, NULL, 'IPR021458', NULL, 'Protein of unknown function DUF3109', 'DUF3109', 4, NULL),
(18765, NULL, 'IPR013102', NULL, 'Pyrimidine nucleoside phosphorylase, C-terminal', 'PYNP_C', 3, NULL),
(18766, NULL, 'IPR019159', NULL, 'CCDC93, coiled-coil domain', 'CCDC93_CC', 3, NULL),
(18767, NULL, 'IPR017420', NULL, '6,7-dimethyl-8-ribityllumazine synthase, chloroplast', 'DMRL_synthase_chloroplast', 4, NULL),
(18768, NULL, 'IPR021518', NULL, 'Protein of unknown function DUF3181', 'DUF3181', 4, NULL),
(18769, NULL, 'IPR018759', NULL, 'Putative beta-barrel porin 2', 'BBP2_2', 4, NULL),
(18770, NULL, 'IPR013370', NULL, 'Muconate/chloromuconate cycloisomerase', 'Chloromuconate_cycloisomerase', 4, NULL),
(18771, NULL, 'IPR019846', NULL, 'Nerve growth factor conserved site', 'Nerve_growth_factor_CS', 2, NULL),
(18772, NULL, 'IPR013098', NULL, 'Immunoglobulin I-set', 'Ig_I-set', 3, NULL),
(18773, NULL, 'IPR019505', NULL, 'Peptidase U40', 'Peptidase_U40', 4, NULL),
(18774, NULL, 'IPR021520', NULL, 'Stealth protein CR2, conserved region 2', 'Stealth_CR2', 3, NULL),
(18775, NULL, 'IPR019152', NULL, 'Protein of unknown function DUF2046', 'DUF2046', 4, NULL),
(18776, NULL, 'IPR021577', NULL, 'Protein of unknown function DUF3209', 'DUF3209', 4, NULL),
(18777, NULL, 'IPR018771', NULL, 'PocR domain', 'PocR_dom', 3, NULL),
(18778, NULL, 'IPR019510', NULL, 'Protein kinase A anchor protein, nuclear localisation signal domain', 'Kinase-A_anchor_nucl_local_sig', 3, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18779, NULL, 'IPR017880', NULL, 'KilA, N-terminal', 'KilA_N', 3, NULL),
(18780, NULL, 'IPR019192', NULL, 'Ribosomal protein L28/L40, mitochondrial', 'Ribosomal_L28/L40_mit', 4, NULL),
(18781, NULL, 'IPR019172', NULL, 'Osteopetrosis-associated transmembrane protein 1 precursor', 'Osteopetrosis-assoc_TM_1', 4, NULL),
(18782, NULL, 'IPR017736', NULL, 'Glycoside hydrolase, family 1, beta-glucosidase', 'Glyco_hydro_1_beta-glucosidase', 4, NULL),
(18783, NULL, 'IPR023909', NULL, 'F420-dependent oxidoreductase, NP1902A', 'F420_NP1902A', 4, NULL),
(18784, NULL, 'IPR020128', NULL, 'Secapin', 'Secapin', 4, NULL),
(18785, NULL, 'IPR013358', NULL, 'Pilus biogenesis, MshL', 'Pilus_biogenesis_MshL', 4, NULL),
(18786, NULL, 'IPR017724', NULL, 'Aminoethylphosphonate utilisation-associated transcription regulator, LysR-type', 'Tscrpt_reg_LysR', 4, NULL),
(18787, NULL, 'IPR018740', NULL, 'Protein of unknown function DUF2282, integral membrane', 'DUF2282_membr', 4, NULL),
(18788, NULL, 'IPR013349', NULL, 'Type III secretion system effector YopR', 'T3SS_YopR', 4, NULL),
(18789, NULL, 'IPR018737', NULL, 'Protein LIN52', 'DREAM_LIN52', 4, NULL),
(18790, NULL, 'IPR013350', NULL, 'Ribonucleotide reductase alpha chain', 'RNR_alpha', 4, NULL),
(18791, NULL, 'IPR017725', NULL, 'Phosphonate utilization associated transmembrane protein, putative', 'Phosphonate_util-assoc_TM_put', 4, NULL),
(18792, NULL, 'IPR019500', NULL, 'Peptidase S46', 'Pep_S46', 4, NULL),
(18793, NULL, 'IPR021464', NULL, 'Protein of unknown function DUF3116', 'DUF3116', 4, NULL),
(18794, NULL, 'IPR021469', NULL, 'Protein of unknown function DUF3122', 'DUF3122', 4, NULL),
(18795, NULL, 'IPR021543', NULL, 'Programmed cell death activator EGL-1', 'EGL-1', 4, NULL),
(18796, NULL, 'IPR021482', NULL, 'Protein of unknown function DUF3135', 'DUF3135', 4, NULL),
(18797, NULL, 'IPR013368', NULL, 'TrpR homologue YerC/YecD', 'YecD_YerC', 4, NULL),
(18798, NULL, 'IPR020138', NULL, 'Uncharacterised protein family YqzF', 'Uncharacterised_YqzF', 4, NULL),
(18799, NULL, 'IPR021493', NULL, 'Protein of unknown function DUF3147', 'DUF3147', 4, NULL),
(18800, NULL, 'IPR021540', NULL, 'Protein of unknown function DUF3195', 'DUF3195', 4, NULL),
(18801, NULL, 'IPR017848', NULL, 'RNA polymerase sigma factor, RpoD-like, cyanobacteria', 'RNA_pol_sigma_RpoD_cyanobac', 4, NULL),
(18802, NULL, 'IPR021488', NULL, 'Protein of unknown function DUF3142', 'DUF3142', 4, NULL),
(18803, NULL, 'IPR013014', NULL, 'Phosphotransferase system, EIIC component, type 2', 'PTS_EIIC_2', 3, NULL),
(18804, NULL, 'IPR019506', NULL, 'Peptidase inhibitor, PinA', 'Pept-inhibitor_PinA', 4, NULL),
(18805, NULL, 'IPR013366', NULL, 'Ethanolamine utilisation EutJ', 'EutJ', 4, NULL),
(18806, NULL, 'IPR021498', NULL, 'Protein of unknown function DUF3155', 'DUF3155', 4, NULL),
(18807, NULL, 'IPR019176', NULL, 'Cytochrome B561-related', 'Cytochrome_B561-rel', 4, NULL),
(18808, NULL, 'IPR013353', NULL, 'Type III secretion system chaperone YscB', 'T3SS_YscB', 4, NULL),
(18809, NULL, 'IPR017926', NULL, 'Glutamine amidotransferase', 'GATASE', 3, NULL),
(18810, NULL, 'IPR023356', NULL, 'Leucyl-tRNA synthetase, domain 3', 'Leu-tRNA-synth_dom3', 3, NULL),
(18811, NULL, 'IPR021475', NULL, 'Protein of unknown function DUF3128', 'DUF3128', 4, NULL),
(18812, NULL, 'IPR014718', NULL, 'Glycoside hydrolase-type carbohydrate-binding', 'GH-type_carb-bd', 5, NULL),
(18813, NULL, 'IPR035342', NULL, 'Phage gene product 45.2', 'Gp45.2', 4, NULL),
(18814, NULL, 'IPR023192', NULL, 'TGS-like domain superfamily', 'TGS-like_dom_sf', 5, NULL),
(18815, NULL, 'IPR021474', NULL, 'Protein of unknown function DUF3127', 'DUF3127', 4, NULL),
(18816, NULL, 'IPR019487', NULL, 'RAM signalling pathway, SOG2', 'RAM_signalling_pathway_SOG2', 4, NULL),
(18817, NULL, 'IPR017406', NULL, 'Serine/threonine-protein kinase Rio3', 'Ser/Thr_kinase_Rio3', 4, NULL),
(18818, NULL, 'IPR013113', NULL, 'FAD-binding 9, siderophore-interacting', 'FAD-bd_9_SIP', 3, NULL),
(18819, NULL, 'IPR017431', NULL, 'Interferon regulatory factor-1/2', 'IRF1/IRF2', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18820, NULL, 'IPR013979', NULL, 'Translation initiation factor, beta propellor-like domain', 'TIF_beta_prop-like', 3, NULL),
(18821, NULL, 'IPR017425', NULL, 'Mitogen-activated protein (MAP) kinase kinase kinase 14', 'MAPKKK14', 4, NULL),
(18822, NULL, 'IPR021547', NULL, 'Protein of unknown function DUF2826', 'DUF2826', 4, NULL),
(18823, NULL, 'IPR021105', NULL, 'Potassium channel, voltage dependent, Kv3, inactivation domain', 'K_chnl_volt-dep_Kv3_ID', 3, NULL),
(18824, NULL, 'IPR019496', NULL, 'Nuclear fragile X mental retardation-interacting protein 1, conserved domain', 'NUFIP1_cons_dom', 3, NULL),
(18825, NULL, 'IPR034644', NULL, 'Proteasome subunit alpha2', 'Proteasome_subunit_alpha2', 4, NULL),
(18826, NULL, 'IPR019501', NULL, 'Peptidase M30, hyicolysin', 'Peptidase_M30_hyicolysin', 4, NULL),
(18827, NULL, 'IPR019163', NULL, 'THO complex, subunit 5', 'THO_Thoc5', 4, NULL),
(18828, NULL, 'IPR017411', NULL, 'Mitochondrial outer membrane translocase complex, subunit Tom22, plant', 'Tom22_pln', 4, NULL),
(18829, NULL, 'IPR023908', NULL, 'xxxLxxG heptad repeat', 'xxxLxxG_rpt', 7, NULL),
(18830, NULL, 'IPR017424', NULL, 'Mitogen-activated protein (MAP) kinase kinase kinase 8', 'MAPKKK8', 4, NULL),
(18831, NULL, 'IPR018770', NULL, '5-bromo-4-chloroindolyl phosphate hydrolysis protein', 'ChloroindolylP_hydrolase', 4, NULL),
(18832, NULL, 'IPR013348', NULL, 'Type III secretion system YscG', 'T3SS_YscG', 4, NULL),
(18833, NULL, 'IPR019155', NULL, 'CLEC16A/TT9, N-terminal', 'CLEC16A/TT9_N', 3, NULL),
(18834, NULL, 'IPR019173', NULL, 'NADH:ubiquinone oxidoreductase, NDUFB5/SGDH subunit', 'NADH_UbQ_OxRdtase_B5_su', 4, NULL),
(18835, NULL, 'IPR021106', NULL, 'Protein Ste5, Fus3-binding domain', 'Ste5_Fus3-bd_dom', 3, NULL),
(18836, NULL, 'IPR021513', NULL, 'Ralstonia phage RSL1, Orf186', 'Phage_RSL1_Orf186', 4, NULL),
(18837, NULL, 'IPR021565', NULL, 'Rabenosyn, Rab binding domain', 'Rbsn_Rab-bd', 3, NULL),
(18838, NULL, 'IPR018775', NULL, 'RNA repair pathway DNA polymerase beta', 'RlaP', 4, NULL),
(18839, NULL, 'IPR017407', NULL, 'Serine/threonine-protein kinase Rio1', 'Ser/Thr_kinase_Rio1', 4, NULL),
(18840, NULL, 'IPR013006', NULL, 'Antimicrobial peptide, C6 type, conserved site', 'Antimicrobial_C6_CS', 2, NULL),
(18841, NULL, 'IPR021519', NULL, 'Protein of unknown function DUF3182', 'DUF3182', 4, NULL),
(18842, NULL, 'IPR034571', NULL, 'Protein APEM9', 'APEM9', 4, NULL),
(18843, NULL, 'IPR018752', NULL, 'Probable inorganic carbon transporter subunit DabA', 'DabA', 4, NULL),
(18844, NULL, 'IPR021155', NULL, 'Poxvirus E2/O1', 'Poxvirus_E2/O1', 4, NULL),
(18845, NULL, 'IPR021466', NULL, 'Putative rhamnosyl transferase', 'Put_rhamnosyl_transferase', 4, NULL),
(18846, NULL, 'IPR021525', NULL, 'Protein of unknown function DUF3189', 'DUF3189', 4, NULL),
(18847, NULL, 'IPR013335', NULL, 'Trp repressor, bacterial', 'Trp_repress_bac', 4, NULL),
(18848, NULL, 'IPR017414', NULL, 'LOB domain-containing protein', 'LOBD', 4, NULL),
(18849, NULL, 'IPR034779', NULL, 'Deleted in azoospermia-like', 'DAZL', 4, NULL),
(18850, NULL, 'IPR017739', NULL, 'Type VI secretion system-associated, VCA0119', 'T6SS-assoc_VCA0119', 4, NULL),
(18851, NULL, 'IPR021549', NULL, 'Protein of unknown function DUF2894', 'DUF2894', 4, NULL),
(18852, NULL, 'IPR019502', NULL, 'Peptidase S68, pidd', 'Peptidase_S68_pidd', 4, NULL),
(18853, NULL, 'IPR023915', NULL, 'UDP-GlcNAc diphosphorylase/GlcNAc-1-P N-acetyltransferase, GlmU, archaeal-type', 'Bifunctiontional_GlmU_arc-type', 4, NULL),
(18854, NULL, 'IPR017727', NULL, '2-hydroxy-6-oxo-6-phenylhexa-2,4-dienoate hydrolase, BphD', 'HOPD_hydrolase_BphD', 4, NULL),
(18855, NULL, 'IPR024745', NULL, 'Glycoside hydrolase, family 44', 'Glyco_hydro_44', 3, NULL),
(18856, NULL, 'IPR021533', NULL, 'Putative beta-lactamase-inhibitor-like, PepSY-like', 'PepSY-like', 3, NULL),
(18857, NULL, 'IPR019512', NULL, 'Protein phosphatase 1, regulatory subunit 15B, N-terminal', 'Prot_Pase1_reg-su15B_N', 3, NULL),
(18858, NULL, 'IPR021551', NULL, 'Protein of unknown function DUF3005', 'DUF3005', 4, NULL),
(18859, NULL, 'IPR017862', NULL, 'SKI-interacting protein, SKIP', 'SKI-int_prot_SKIP', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18860, NULL, 'IPR023256', NULL, 'FPRL1 inhibitory protein', 'FLIPR', 4, NULL),
(18861, NULL, 'IPR019513', NULL, 'Centromere protein Cenp-F, leucine-rich repeat-containing domain', 'Centromere_CenpF_leu-rich_rpt', 3, NULL),
(18862, NULL, 'IPR021526', NULL, 'Vitelline envelope, lysin receptor', 'Vitelline_env_lysin-recpt', 4, NULL),
(18863, NULL, 'IPR013011', NULL, 'Phosphotransferase system, EIIB component, type 2', 'PTS_EIIB_2', 3, NULL),
(18864, NULL, 'IPR017734', NULL, 'Type VI secretion system, lipoprotein SciN', 'T6SS_SciN', 4, NULL),
(18865, NULL, 'IPR023259', NULL, 'Dexamethasone-induced protein', 'Dexamethasone-induced', 4, NULL),
(18866, NULL, 'IPR013016', NULL, 'Peptidase C16, coronavirus', 'Peptidase_C16_CoV', 3, NULL),
(18867, NULL, 'IPR013355', NULL, 'Type IV pilus secretin PilQ', 'Pilus_4_PilQ', 4, NULL),
(18868, NULL, 'IPR021575', NULL, 'RNA silencing suppressor P21, C-terminal', 'Suppressor_P21_C', 3, NULL),
(18869, NULL, 'IPR013360', NULL, 'Pilus biogenesis/stability type IV, PilW', 'Pilus_4_PilW', 4, NULL),
(18870, NULL, 'IPR013367', NULL, 'Flagellar, putative', 'Flagellar_put', 4, NULL),
(18871, NULL, 'IPR021521', NULL, 'Protein of unknown function DUF3185', 'DUF3185', 4, NULL),
(18872, NULL, 'IPR021460', NULL, 'Protein of unknown function DUF3112', 'DUF3112', 4, NULL),
(18873, NULL, 'IPR018755', NULL, 'Bacteriophage Mu-like, Gp48', 'Phage_Mu_Gp48', 4, NULL),
(18874, NULL, 'IPR021509', NULL, 'Protein of unknown function DUF3169', 'DUF3169', 4, NULL),
(18875, NULL, 'IPR017405', NULL, 'Citron Rho-interacting kinase', 'Citron_Rho-interacting_kinase', 4, NULL),
(18876, NULL, 'IPR017864', NULL, 'Arrestin, conserved site', 'Arrestin_CS', 2, NULL),
(18877, NULL, 'IPR017429', NULL, 'Suppressor of fused, bacterial', 'Suppressor_of_fused_bac', 4, NULL),
(18878, NULL, 'IPR017416', NULL, 'Chaperonin Cpn20', 'Cpn20', 4, NULL),
(18879, NULL, 'IPR023916', NULL, 'Colanic acid biosynthesis, glycosyl transferase, WcaC', 'Colanic_acid_synth_WcaC', 4, NULL),
(18880, NULL, 'IPR021530', NULL, 'Protein of unknown function DUF2877', 'DUF2877', 4, NULL),
(18881, NULL, 'IPR013117', NULL, 'Intimin, C-terminal', 'Intimin_C', 3, NULL),
(18882, NULL, 'IPR021494', NULL, 'Protein of unknown function DUF3149', 'DUF3149', 4, NULL),
(18883, NULL, 'IPR023321', NULL, 'PINIT domain', 'PINIT', 3, NULL),
(18884, NULL, 'IPR017741', NULL, 'FAD-dependent oxidoreductase, HpnW', 'FAD-dependent_OxRdtase_HpnW', 4, NULL),
(18885, NULL, 'IPR023355', NULL, 'Myotoxin/Anemone neurotoxin domain superfamily', 'Myo_ane_neurotoxin_sf', 5, NULL),
(18886, NULL, 'IPR019186', NULL, 'Nucleolar protein 12', 'Nucleolar_protein_12', 4, NULL),
(18887, NULL, 'IPR017439', NULL, 'Amidohydrolase', 'Amidohydrolase', 4, NULL),
(18888, NULL, 'IPR021535', NULL, 'Tetrabrachion', 'Tetrabrachion', 4, NULL),
(18889, NULL, 'IPR021570', NULL, 'LamB-type porin N-terminal domain', 'LamB-type_porin_N_dom', 3, NULL),
(18890, NULL, 'IPR019490', NULL, 'Bifunctional glucose-6-phosphate/mannose-6-phosphate isomerase, C-terminal', 'Glu6P/Mann6P_isomerase_C', 3, NULL),
(18891, NULL, 'IPR021514', NULL, 'Protein of unknown function DUF3176', 'DUF3176', 4, NULL),
(18892, NULL, 'IPR018773', NULL, 'Methyltransferase regulatory domain, predicted', 'MeTrfase_reg_dom_prd', 3, NULL),
(18893, NULL, 'IPR017413', NULL, 'Transcription factor  GTE1', 'GTE1', 4, NULL),
(18894, NULL, 'IPR019507', NULL, 'Protease A inhibitor IA3', 'Pai3', 4, NULL),
(18895, NULL, 'IPR013107', NULL, 'Acyl-CoA dehydrogenase, C-terminal domain', 'Acyl-CoA_DH_C_dom', 3, NULL),
(18896, NULL, 'IPR021468', NULL, 'Protein of unknown function DUF3120', 'DUF3120', 4, NULL),
(18897, NULL, 'IPR035341', NULL, 'Gene product 63', 'Gp63', 4, NULL),
(18898, NULL, 'IPR018732', NULL, 'Dpy-19/Dpy-19-like', 'Dpy-19/Dpy-19-like', 4, NULL),
(18899, NULL, 'IPR017729', NULL, 'AAA+ ATPase ClpV1', 'ATPase_T6SS_ClpV1', 4, NULL),
(18900, NULL, 'IPR023921', NULL, 'Alcohol dehydrogenase, zinc-type, actinomycetes', 'ADH_Zn_actinomycetes', 4, NULL),
(18901, NULL, 'IPR023257', NULL, 'Liver X receptor', 'Liver_X_rcpt', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18902, NULL, 'IPR035426', NULL, 'Gemin2/Brr1', 'Gemin2/Brr1', 4, NULL),
(18903, NULL, 'IPR035218', NULL, 'Protein of unknown function DUF5327', 'DUF5327', 4, NULL),
(18904, NULL, 'IPR017422', NULL, 'WD repeat protein 55', 'WDR55', 4, NULL),
(18905, NULL, 'IPR018426', NULL, 'Carbonic anhydrase, CA15', 'Carbonic_anhydrase_CA15', 4, NULL),
(18906, NULL, 'IPR013345', NULL, 'Ribonucleoside-triphosphate reductase, adenosylcobalamin-dependent', 'RTP_Rdtase_AdoCbl-dep', 4, NULL),
(18907, NULL, 'IPR019150', NULL, 'Vesicle transport protein, Use1', 'Vesicle_transport_protein_Use1', 4, NULL),
(18908, NULL, 'IPR019180', NULL, 'Oxidoreductase-like, N-terminal', 'Oxidoreductase-like_N', 3, NULL),
(18909, NULL, 'IPR021463', NULL, 'Putative SAM-dependent methyltransferase', 'Methyltransf_34', 4, NULL),
(18910, NULL, 'IPR021467', NULL, 'Protein of unknown function DUF3119', 'DUF3119', 4, NULL),
(18911, NULL, 'IPR018768', NULL, 'Domain of unknown function DUF2344', 'DUF2344', 3, NULL),
(18912, NULL, 'IPR018741', NULL, 'Protein of unknown function DUF2288', 'DUF2288', 4, NULL),
(18913, NULL, 'IPR021548', NULL, 'Protein of unknown function DUF2895', 'DUF2895', 4, NULL),
(18914, NULL, 'IPR018756', NULL, 'Domain of unknown function DUF2314', 'DUF2314', 3, NULL),
(18915, NULL, 'IPR023191', NULL, 'Deoxynucleotide monophosphate kinase, N-terminal', 'DNMP_kinase_N', 5, NULL),
(18916, NULL, 'IPR018742', NULL, 'Protein of unknown function DUF2290', 'DUF2290', 4, NULL),
(18917, NULL, 'IPR021503', NULL, 'Protein of unknown function DUF3110', 'DUF3110', 4, NULL),
(18918, NULL, 'IPR023913', NULL, 'Mycofactocin maturase MftC', 'MftC', 4, NULL),
(18919, NULL, 'IPR019188', NULL, 'snRNA-activating protein complex subunit 1', 'SNAPC1', 4, NULL),
(18920, NULL, 'IPR013352', NULL, 'Iron hydrogenase, subset', 'Fe_hydrogenase_subset', 3, NULL),
(18921, NULL, 'IPR021556', NULL, 'Protein of unknown function DUF2950', 'DUF2950', 4, NULL),
(18922, NULL, 'IPR017428', NULL, 'Interleukin-1 receptor-associated kinase 4', 'IRAK4', 4, NULL),
(18923, NULL, 'IPR013114', NULL, 'Beta-hydroxydecanoyl thiol ester dehydrase, FabA/FabZ', 'FabA_FabZ', 4, NULL),
(18924, NULL, 'IPR019504', NULL, 'Peptidase U49, Lit peptidase', 'Peptidase_U49_Lit_pept', 4, NULL),
(18925, NULL, 'IPR019494', NULL, 'FIST, C-domain', 'FIST_C', 3, NULL),
(18926, NULL, 'IPR018442', NULL, 'Carbonic anhydrase, CA1', 'Carbonic_anhydrase_CA1', 4, NULL),
(18927, NULL, 'IPR021529', NULL, 'Protein of unknown function DUF2798', 'DUF2798', 4, NULL),
(18928, NULL, 'IPR013123', NULL, 'RNA 2-O ribose methyltransferase, substrate binding', 'SpoU_subst-bd', 3, NULL),
(18929, NULL, 'IPR032674', NULL, 'LRR-containing bacterial E3 ligase, N-terminal', 'LRR_E3_ligase_N', 3, NULL),
(18930, NULL, 'IPR019189', NULL, 'Ribosomal protein L27/L41, mitochondrial', 'Ribosomal_L27/L41_mit', 4, NULL),
(18931, NULL, 'IPR017732', NULL, 'Type IV / VI secretion system, DotU', 'T4/T6SS_DotU', 3, NULL),
(18932, NULL, 'IPR021568', NULL, 'Ribonuclease III,  archaeal', 'Ribonuclease_III_archaeal', 4, NULL),
(18933, NULL, 'IPR021462', NULL, 'Protein of unknown function DUF3114', 'DUF3114', 4, NULL),
(18934, NULL, 'IPR019514', NULL, 'Syndetin, C-terminal', 'Syndetin_C', 3, NULL),
(18935, NULL, 'IPR017735', NULL, 'Type VI secretion system, FHA domain-containing protein', 'T6SS_FHA', 4, NULL),
(18936, NULL, 'IPR019145', NULL, 'Mediator complex, subunit Med10', 'Mediator_Med10', 4, NULL),
(18937, NULL, 'IPR021555', NULL, 'Protein of unknown function DUF3000', 'DUF3000', 4, NULL),
(18938, NULL, 'IPR019495', NULL, 'Exosome complex component CSL4, C-terminal', 'EXOSC1_C', 3, NULL),
(18939, NULL, 'IPR019166', NULL, 'MICOS complex subunit MIC26/MIC27', 'MIC26/MIC27', 4, NULL),
(18940, NULL, 'IPR021476', NULL, 'Egh16-like virulence factor', 'Egh16-like', 4, NULL),
(18941, NULL, 'IPR017448', NULL, 'SRCR-like domain', 'SRCR-like_dom', 3, NULL),
(18942, NULL, 'IPR018747', NULL, 'Protein of unknown function DUF2299', 'DUF2299', 4, NULL),
(18943, NULL, 'IPR021557', NULL, 'Protein of unknown function DUF3016', 'DUF3016', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18944, NULL, 'IPR013361', NULL, 'Pilus biogenesis CpaD', 'Pilus_CpaD', 4, NULL),
(18945, NULL, 'IPR019194', NULL, 'Transcription elongation factor  Eaf, N-terminal', 'Tscrpt_elong_fac_Eaf_N', 3, NULL),
(18946, NULL, 'IPR021516', NULL, 'Protein of unknown function DUF3179', 'DUF3179', 4, NULL),
(18947, NULL, 'IPR019486', NULL, 'Argonaute hook domain', 'Argonaute_hook_dom', 3, NULL),
(18948, NULL, 'IPR021465', NULL, 'Protein of unknown function DUF3117', 'DUF3117', 4, NULL),
(18949, NULL, 'IPR020069', NULL, 'Ribosomal protein L9, C-terminal', 'Ribosomal_L9_C', 3, NULL),
(18950, NULL, 'IPR018745', NULL, 'Na+-translocating membrane potential-generating system MpsC', 'MpsC', 3, NULL),
(18951, NULL, 'IPR017881', NULL, 'Nitrite reductase (NADH) small subunit', 'NirD', 4, NULL),
(18952, NULL, 'IPR021107', NULL, 'Restriction endonuclease, type II, HinP1I', 'Restrct_endonuc_II_HinP1I', 4, NULL),
(18953, NULL, 'IPR018764', NULL, 'Anti-sigma K factor RskA', 'Anti-sigma_K_RskA', 4, NULL),
(18954, NULL, 'IPR017434', NULL, 'Protein phosphatase 1 regulatory subunit 3B/C/D, metazoa', 'Pase-1_reg-su_3B/C/D_met', 4, NULL),
(18955, NULL, 'IPR013344', NULL, 'Ribonucleotide reductase, adenosylcobalamin-dependent', 'RNR_NrdJ/NrdZ', 4, NULL),
(18956, NULL, 'IPR023917', NULL, 'UDP-GlcNAc diphosphorylase/GlcNAc-1-P N-acetyltransferase, GlmU, bacterial-type', 'Bifunctiontional_GlmU_bac-type', 4, NULL),
(18957, NULL, 'IPR017722', NULL, 'Phosphonate utilization transcriptional regulator PhnR', 'Tscrpt_reg_PhnR', 4, NULL),
(18958, NULL, 'IPR013105', NULL, 'Tetratricopeptide repeat 2', 'TPR_2', 7, NULL),
(18959, NULL, 'IPR032677', NULL, 'GTP cyclohydrolase II', 'GTP_cyclohydro_II', 3, NULL),
(18960, NULL, 'IPR021505', NULL, 'Bacteriophage B3, Orf6', 'Phage_B3_Orf6', 4, NULL),
(18961, NULL, 'IPR032678', NULL, 'tRNA synthetases class I, catalytic domain', 'tRNA-synt_1_cat_dom', 3, NULL),
(18962, NULL, 'IPR018731', NULL, 'Autophagy-related protein 13, N-terminal', 'Atg13_N', 3, NULL),
(18963, NULL, 'IPR019488', NULL, 'Nuclear pore RNA shuttling protein Mtr2', 'Nucl_pore_RNA_shuttling_Mtr2', 4, NULL),
(18964, NULL, 'IPR019518', NULL, 'DNA endonuclease Ctp1, N-terminal', 'CtIP_N', 3, NULL),
(18965, NULL, 'IPR021517', NULL, 'Protein of unknown function DUF3180', 'DUF3180', 4, NULL),
(18966, NULL, 'IPR017742', NULL, '7-carboxy-7-deazaguanine synthase', 'Deazaguanine_synth', 4, NULL),
(18967, NULL, 'IPR021538', NULL, 'Syntaxin-5, N-terminal, Sly1p-binding domain', 'Syntaxin-5_N', 3, NULL),
(18968, NULL, 'IPR013363', NULL, 'Dot/Icm secretion system ATPase DotB', 'Dot_Icm_DotB', 4, NULL),
(18969, NULL, 'IPR018762', NULL, 'Histidine phosphotransferase ChpT, C-terminal', 'ChpT_C', 3, NULL),
(18970, NULL, 'IPR021491', NULL, 'Protein of unknown function DUF3145', 'DUF3145', 4, NULL),
(18971, NULL, 'IPR019493', NULL, 'Bacteriocin, class IIb, lactacin-related', 'Bacteriocin_IIb_lactacin-rel', 4, NULL),
(18972, NULL, 'IPR032675', NULL, 'Leucine-rich repeat domain superfamily', 'LRR_dom_sf', 5, NULL),
(18973, NULL, 'IPR019148', NULL, 'Nuclear protein DGCR14/ESS-2', 'Nuclear_protein_DGCR14_ESS-2', 4, NULL),
(18974, NULL, 'IPR019162', NULL, 'Fanconi anemia complex, subunit FancL, WD-repeat containing domain', 'FancL_WD-rpt_cont_dom', 3, NULL),
(18975, NULL, 'IPR024657', NULL, 'COMPASS complex Set1 subunit, N-SET domain', 'COMPASS_Set1_N-SET', 3, NULL),
(18976, NULL, 'IPR019156', NULL, 'Ataxin-10 domain', 'Ataxin-10_domain', 3, NULL),
(18977, NULL, 'IPR021484', NULL, 'Protein of unknown function DUF3137', 'DUF3137', 4, NULL),
(18978, NULL, 'IPR021478', NULL, 'Protein of unknown function DUF3131', 'DUF3131', 4, NULL),
(18979, NULL, 'IPR023997', NULL, 'TonB-dependent outer membrane protein SusC/RagA, conserved site', 'TonB-dep_OMP_SusC/RagA_CS', 2, NULL),
(18980, NULL, 'IPR021523', NULL, 'Protein of unknown function DUF3187', 'DUF3187', 4, NULL),
(18981, NULL, 'IPR013015', NULL, 'Laminin IV type B', 'Laminin_IV_B', 3, NULL),
(18982, NULL, 'IPR034968', NULL, 'Reelin', 'Reelin', 4, NULL),
(18983, NULL, 'IPR019197', NULL, 'Biotin-protein ligase, N-terminal', 'Biotin-prot_ligase_N', 3, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(18984, NULL, 'IPR020097', NULL, 'Pseudouridine synthase I, TruA, alpha/beta domain', 'PsdUridine_synth_TruA_a/b_dom', 3, NULL),
(18985, NULL, 'IPR017910', NULL, 'Zinc finger, large T-antigen D1-type', 'Znf_lg_T-Ag_D1-typ', 3, NULL),
(18986, NULL, 'IPR023907', NULL, 'Non-F420 flavinoid oxidoreductase', 'Non-F420_Flavin_OxRdtase', 4, NULL),
(18987, NULL, 'IPR013855', NULL, 'Cdc37, N-terminal domain', 'Cdc37_N_dom', 3, NULL),
(18988, NULL, 'IPR021537', NULL, 'Hypoxia-inducible factor, alpha subunit', 'HIF_alpha_subunit', 4, NULL),
(18989, NULL, 'IPR023994', NULL, '[NiFe]-hydrogenase assembly, chaperone, HybE', 'NiFe-hyd_HybE', 4, NULL),
(18990, NULL, 'IPR019491', NULL, 'Lipoate protein ligase, C-terminal', 'Lipoate_protein_ligase_C', 3, NULL),
(18991, NULL, 'IPR018736', NULL, 'Protein of unknown function DUF2279, periplasmic lipoprotein', 'DUF2279_periplasmic_lipo', 4, NULL),
(18992, NULL, 'IPR023993', NULL, 'S-adenosyl-L-methionine-dependent tRNA 4-demethylwyosine synthase,  archaea', 'TYW1_archaea', 4, NULL),
(18993, NULL, 'IPR017421', NULL, 'Mitogen-activated protein (MAP) kinase kinase kinase 7', 'MAPKKK7', 4, NULL),
(18994, NULL, 'IPR013357', NULL, 'Acetaldehyde dehydrogenase, acetylating', 'Acetaldehyde_DH_acetylating', 4, NULL),
(18995, NULL, 'IPR021500', NULL, 'Protein of unknown function DUF3156', 'DUF3156', 4, NULL),
(18996, NULL, 'IPR018744', NULL, 'Domain of unknown function DUF2293', 'DUF2293', 3, NULL),
(18997, NULL, 'IPR019154', NULL, 'Arb2 domain', 'Arb2_domain', 3, NULL),
(18998, NULL, 'IPR021103', NULL, 'Argonaute PAZ domain, archaea', 'PAZ_arc', 3, NULL),
(18999, NULL, 'IPR019175', NULL, 'Prp31 C-terminal', 'Prp31_C', 3, NULL),
(19000, NULL, 'IPR017723', NULL, 'Transcription regulator, 2-aminoethylphosphonate utilisation-associated', 'Tscrpt_reg_AEP_util-assoc', 4, NULL),
(19001, NULL, 'IPR018122', NULL, 'Fork head domain conserved site1', 'TF_fork_head_CS_1', 2, NULL),
(19002, NULL, 'IPR024068', NULL, 'Rotavirus NSP2, N-terminal', 'Rotavirus_NSP2_N', 5, NULL),
(19003, NULL, 'IPR019538', NULL, '26S proteasome non-ATPase regulatory subunit 5', 'PSMD5', 4, NULL),
(19004, NULL, 'IPR021683', NULL, 'Putative zincin peptidase', 'DUF3267', 4, NULL),
(19005, NULL, 'IPR024749', NULL, 'Putative collagen-binding domain', 'Collagen-bd_put', 3, NULL),
(19006, NULL, 'IPR021590', NULL, 'Non-structural protein NSP1, betacoronavirus', 'NSP1_bCoV', 3, NULL),
(19007, NULL, 'IPR018779', NULL, 'Single-stranded-DNA-specific exonuclease RecJ, C-terminal', 'RecJ_C', 3, NULL),
(19008, NULL, 'IPR017754', NULL, 'Agmatine deiminase', 'Agmatine_deiminase', 4, NULL),
(19009, NULL, 'IPR018796', NULL, 'Cytochrome c oxidase assembly factor 8', 'COA8', 4, NULL),
(19010, NULL, 'IPR017756', NULL, 'Transmembrane Gly-Cys-Arg, conserved site', 'TM_Gly-Cys-Arg_CS', 2, NULL),
(19011, NULL, 'IPR017982', NULL, 'Defensin, insect', 'Defensin_insect', 4, NULL),
(19012, NULL, 'IPR018131', NULL, 'Restriction endonuclease, type II, EcoRI, Proteobacteria', 'Restrct_endonuc_II_EcoRI_Pbac', 4, NULL),
(19013, NULL, 'IPR018777', NULL, 'Replication initiator protein A', 'Replication_initiator_prot_A', 4, NULL),
(19014, NULL, 'IPR017001', NULL, 'Peptidase S53, physarolisin II, archaeal-type', 'Pept_S53_physarolisin-II_arc', 4, NULL),
(19015, NULL, 'IPR020213', NULL, 'Toxin coregulated pilus biosynthesis protein TcpS', 'Toxin-coreg_pilus_synth_TcpS', 4, NULL),
(19016, NULL, 'IPR035168', NULL, 'Protein of unknown function DUF5317', 'DUF5317', 4, NULL),
(19017, NULL, 'IPR020464', NULL, 'LanC-like protein, eukaryotic', 'LanC-like_prot_euk', 4, NULL),
(19018, NULL, 'IPR017996', NULL, 'Major royal jelly protein/protein yellow', 'Royal_jelly/protein_yellow', 4, NULL),
(19019, NULL, 'IPR019535', NULL, 'Little elongation complex subunit 2 , C-terminal', 'ICE2_C', 3, NULL),
(19020, NULL, 'IPR017036', NULL, 'Uncharacterised conserved protein UCP035040, CBS-type', 'UCP035040_CBS', 4, NULL),
(19021, NULL, 'IPR019201', NULL, 'Protein of unknown function DUF2065', 'DUF2065', 4, NULL),
(19022, NULL, 'IPR021582', NULL, 'Altered inheritance of mitochondria protein 21', 'Aim21', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19023, NULL, 'IPR017978', NULL, 'GPCR family 3, C-terminal', 'GPCR_3_C', 3, NULL),
(19024, NULL, 'IPR020423', NULL, 'Interleukin-10, conserved site', 'IL-10_CS', 2, NULL),
(19025, NULL, 'IPR017746', NULL, 'Cellulose synthase operon protein BcsQ', 'Cellulose_synthase_operon_BcsQ', 4, NULL),
(19026, NULL, 'IPR017790', NULL, 'Penicillin-binding protein 2', 'Penicillin-binding_protein_2', 4, NULL),
(19027, NULL, 'IPR019544', NULL, 'Tetratricopeptide, SHNi-TPR domain', 'Tetratricopeptide_SHNi-TPR_dom', 3, NULL),
(19028, NULL, 'IPR019238', NULL, 'Transcriptional regulator, AbiEi 2 antitoxin, Type IV TA system', 'AbiEi_2', 4, NULL),
(19029, NULL, 'IPR021601', NULL, 'Phosphatidylinositol 4-kinase, Pik1, fungi', 'Phosphatidylino_kinase_fungi', 4, NULL),
(19030, NULL, 'IPR034683', NULL, 'Cytidylyltransferase IspD/TarI', 'IspD/TarI', 4, NULL),
(19031, NULL, 'IPR034647', NULL, 'Proteasome subunit alpha4', 'Proteasome_subunit_alpha4', 4, NULL),
(19032, NULL, 'IPR016999', NULL, 'L-serine kinase SbnI-like', 'SbnI-like', 4, NULL),
(19033, NULL, 'IPR017751', NULL, 'Glycerol-3-phosphate dehydrogenase, NAD-dependent, eukaryotic', 'G3P_DH_NAD-dep_euk', 4, NULL),
(19034, NULL, 'IPR017793', NULL, 'ABC transporter, urea utilisation-associated, substrate-binding protein', 'ABC_transptr_urea-assoc_sub-bd', 4, NULL),
(19035, NULL, 'IPR021688', NULL, 'Protein of unknown function DUF3270', 'DUF3270', 4, NULL),
(19036, NULL, 'IPR021635', NULL, 'Proteinaceous host-selective toxin ToxA', 'Toxin_ToxA', 4, NULL),
(19037, NULL, 'IPR019200', NULL, 'ATP adenylyltransferase, C-terminal', 'ATP_adenylylTrfase_C', 3, NULL),
(19038, NULL, 'IPR020139', NULL, 'Protein of unknown function DUF2642', 'DUF2642', 4, NULL),
(19039, NULL, 'IPR018788', NULL, 'Proteasome assembly chaperone 3', 'Proteasome_assmbl_chp_3', 4, NULL),
(19040, NULL, 'IPR034988', NULL, 'DAZ/BOULE, RNA recognition motif', 'DAZ_BOULE_RRM', 3, NULL),
(19041, NULL, 'IPR017012', NULL, 'Uncharacterised conserved protein UCP032899, lipoprotein', 'UCP032899', 4, NULL),
(19042, NULL, 'IPR017860', NULL, 'Peptidase M22, conserved site', 'Peptidase_M22_CS', 2, NULL),
(19043, NULL, 'IPR018506', NULL, 'Cytochrome b5, heme-binding site', 'Cyt_B5_heme-BS', 1, NULL),
(19044, NULL, 'IPR017020', NULL, 'Uncharacterised conserved protein UCP033725', 'UCP033725', 4, NULL),
(19045, NULL, 'IPR021120', NULL, 'KduI/IolB isomerase', 'KduI/IolB_isomerase', 4, NULL),
(19046, NULL, 'IPR019527', NULL, 'RZZ complex, subunit KNTC1/ROD, C-terminal', 'RZZ-complex_KNTC1/ROD_C', 3, NULL),
(19047, NULL, 'IPR017035', NULL, 'Uncharacterised conserved protein UCP035009, HsdR, All3000-type', 'UCP035009_HsdR_All3000-type', 4, NULL),
(19048, NULL, 'IPR019541', NULL, 'Trappin protein transglutaminase-binding repeat', 'Trappin_transglut-bd_rpt', 7, NULL),
(19049, NULL, 'IPR034788', NULL, 'Protein couch potato, RNA recognition motif', 'Cpo_RRM', 3, NULL),
(19050, NULL, 'IPR020215', NULL, 'EbsA-like', 'EbsA-like', 4, NULL),
(19051, NULL, 'IPR021675', NULL, 'Protein of unknown function DUF3261', 'DUF3261', 4, NULL),
(19052, NULL, 'IPR017803', NULL, 'Conserved hypothetical protein CHP03437, C-terminal, Solibacter usitatus', 'CHP03437_C_SOLUE', 3, NULL),
(19053, NULL, 'IPR020420', NULL, 'Atypical dual specificity phosphatase, subfamily B', 'Atypical_DUSP_subfamB', 4, NULL),
(19054, NULL, 'IPR020555', NULL, '2-C-methyl-D-erythritol 2,4-cyclodiphosphate synthase, conserved site', 'MECDP_synthase_CS', 2, NULL),
(19055, NULL, 'IPR017791', NULL, 'Urea carboxylase-associated protein 1', 'Urea_carboxylase-assoc_1', 4, NULL),
(19056, NULL, 'IPR021589', NULL, 'Spindle pole body-associated protein cut12', 'Cut12', 3, NULL),
(19057, NULL, 'IPR021672', NULL, 'Protein of unknown function DUF3258', 'DUF3258', 4, NULL),
(19058, NULL, 'IPR017023', NULL, 'Uncharacterised conserved protein UCP034039', 'UCP034039', 4, NULL),
(19059, NULL, 'IPR017946', NULL, 'PLC-like phosphodiesterase, TIM beta/alpha-barrel domain superfamily', 'PLC-like_Pdiesterase_TIM-brl', 5, NULL),
(19060, NULL, 'IPR024760', NULL, 'Helix-turn-helix, conjugative transposon-like', 'HTH_dom_conjug_TS-like', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19061, NULL, 'IPR021698', NULL, 'Protein of unknown function DUF2380', 'DUF3280', 4, NULL),
(19062, NULL, 'IPR018509', NULL, 'Dehydroquinase, class II, conserved site', 'DHquinase_II_CS', 2, NULL),
(19063, NULL, 'IPR034983', NULL, 'hnRPLL, RNA recognition motif 3', 'hnRPLL_RRM3', 3, NULL),
(19064, NULL, 'IPR035976', NULL, 'Sushi/SCR/CCP superfamily', 'Sushi/SCR/CCP_sf', 5, NULL),
(19065, NULL, 'IPR017006', NULL, 'Uncharacterised conserved protein UCP032756', 'UCP032756', 4, NULL),
(19066, NULL, 'IPR018126', NULL, 'Small acid-soluble spore protein, alpha/beta-type, conserved site', 'SASP_alpha/beta-type_CS', 2, NULL),
(19067, NULL, 'IPR021660', NULL, 'Protein of unknown function DUF3253', 'DUF3253', 4, NULL),
(19068, NULL, 'IPR019241', NULL, 'Protein of unknown function DUF2197', 'DUF2197', 4, NULL),
(19069, NULL, 'IPR021674', NULL, 'Bacteriophage T4, Gp14, neck protein', 'Phage_T4_Gp14_neck-protein', 4, NULL),
(19070, NULL, 'IPR018793', NULL, 'Cytochrome c oxidase assembly protein PET191', 'Cyt_c_oxidase_assmbl_Pet191', 4, NULL),
(19071, NULL, 'IPR017758', NULL, 'Coenzyme A disulphide reductase', 'CoA_disulphide_reductase', 4, NULL),
(19072, NULL, 'IPR018510', NULL, 'Diaminopimelate epimerase, active site', 'DAP_epimerase_AS', 0, NULL),
(19073, NULL, 'IPR024096', NULL, 'NO signalling/Golgi transport ligand-binding domain superfamily', 'NO_sig/Golgi_transp_ligand-bd', 5, NULL),
(19074, NULL, 'IPR021638', NULL, 'Protein of unknown function DUF3244', 'DUF3244', 4, NULL),
(19075, NULL, 'IPR017782', NULL, 'Hydroxyacylglutathione hydrolase', 'Hydroxyacylglutathione_Hdrlase', 4, NULL),
(19076, NULL, 'IPR017775', NULL, 'Alcohol dehydrogenase, iron-type,  phosphonate metabolism-associated', 'ADH_Fe_phosphonate-assoc', 4, NULL),
(19077, NULL, 'IPR024761', NULL, 'Transcription factor IIIC, 90kDa subunit, N-terminal', 'TFIIIC_delta_N', 3, NULL),
(19078, NULL, 'IPR017969', NULL, 'Heavy-metal-associated, conserved site', 'Heavy-metal-associated_CS', 2, NULL),
(19079, NULL, 'IPR021654', NULL, 'Histone-lysine N-methyltransferase EZH1/EZH2', 'EZH1/EZH2', 4, NULL),
(19080, NULL, 'IPR035166', NULL, 'Protein of unknown function DUF5336', 'DUF5336', 4, NULL),
(19081, NULL, 'IPR018523', NULL, 'Isocitrate lyase/phosphorylmutase, conserved site', 'Isocitrate_lyase_ph_CS', 2, NULL),
(19082, NULL, 'IPR017984', NULL, 'Chromo domain subgroup', 'Chromo_dom_subgr', 3, NULL),
(19083, NULL, 'IPR020568', NULL, 'Ribosomal protein S5 domain 2-type fold', 'Ribosomal_S5_D2-typ_fold', 5, NULL),
(19084, NULL, 'IPR019212', NULL, 'Protein of unknown function DUF2105, membrane', 'DUF2105_membrane', 4, NULL),
(19085, NULL, 'IPR017796', NULL, 'Tryptophan dimethylallyltransferase', 'Trp_dimethylallylTrfase', 4, NULL),
(19086, NULL, 'IPR034714', NULL, 'N-acetylglucosaminyldiphosphoundecaprenol N-acetyl-beta-D-mannosaminyltransferase', 'TagA_TarA', 4, NULL),
(19087, NULL, 'IPR035163', NULL, 'Protochlamydia outer membrane protein', 'Pom', 3, NULL),
(19088, NULL, 'IPR019530', NULL, 'Intra-flagellar transport protein 57', 'Intra-flagellar_transport_57', 4, NULL),
(19089, NULL, 'IPR021684', NULL, 'WW domain-binding protein 1-like', 'WBP1-like', 4, NULL),
(19090, NULL, 'IPR020536', NULL, 'Thil, AANH domain', 'ThiI_AANH', 3, NULL),
(19091, NULL, 'IPR021618', NULL, 'Protein of unknown function DUF3232', 'DUF3232', 4, NULL),
(19092, NULL, 'IPR021695', NULL, 'Bacteriophage KPP10, Structural protein ORF10', 'Phage_KPP10_Orf10', 4, NULL),
(19093, NULL, 'IPR020209', NULL, 'Cas6b, C-terminal domain', 'Cas6b_C', 3, NULL),
(19094, NULL, 'IPR024075', NULL, 'DNA-directed RNA polymerase, helix hairpin domain superfamily', 'DNA-dir_RNA_pol_helix_hairp_sf', 5, NULL),
(19095, NULL, 'IPR024078', NULL, 'Putative deacetylase LmbE-like domain superfamily', 'LmbE-like_dom_sf', 5, NULL),
(19096, NULL, 'IPR016990', NULL, 'Uncharacterised conserved protein UCP032162, transmembrane', 'UCP032162_TM', 4, NULL),
(19097, NULL, 'IPR021583', NULL, 'Protein of unknown function DUF3213', 'DUF3213', 4, NULL),
(19098, NULL, 'IPR024035', NULL, 'GNAT N-acetyltransferase, putative', 'GNAT_putative', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19099, NULL, 'IPR023314', NULL, '5-Dehydro-2-deoxygluconokinase-like superfamily', 'Myo_inos_IolC-like_sf', 5, NULL),
(19100, NULL, 'IPR018795', NULL, 'Uncharacterized protein KIAA2013-like', 'K2013-like', 4, NULL),
(19101, NULL, 'IPR017779', NULL, 'ABC transporter, urea permease protein UrtB, bacterial-type', 'ABC_UrtB_bac', 4, NULL),
(19102, NULL, 'IPR020828', NULL, 'Glyceraldehyde 3-phosphate dehydrogenase, NAD(P) binding domain', 'GlycerAld_3-P_DH_NAD(P)-bd', 3, NULL),
(19103, NULL, 'IPR035223', NULL, 'Protein of unknown function DUF5335', 'DUF5335', 4, NULL),
(19104, NULL, 'IPR018797', NULL, 'FAM98', 'FAM98', 4, NULL),
(19105, NULL, 'IPR034982', NULL, 'Iron-regulated protein A, imelysin-like domain', 'Imelysin-like_IrpA', 3, NULL),
(19106, NULL, 'IPR020574', NULL, 'Ribosomal protein S9, conserved site', 'Ribosomal_S9_CS', 2, NULL),
(19107, NULL, 'IPR021597', NULL, 'Protein of unknown function DUF3220', 'DUF3220', 4, NULL),
(19108, NULL, 'IPR021667', NULL, 'REDY-like protein HapK', 'HapK', 4, NULL),
(19109, NULL, 'IPR018526', NULL, 'Glycoside hydrolase, family 29, conserved site', 'Glyco_hydro_29_CS', 2, NULL),
(19110, NULL, 'IPR017780', NULL, 'ABC transporter, urea, ATP-binding protein, UrtE', 'ABC_transptr_urea_ATP-bd_UrtE', 4, NULL),
(19111, NULL, 'IPR017983', NULL, 'GPCR, family 2, secretin-like, conserved site', 'GPCR_2_secretin-like_CS', 2, NULL),
(19112, NULL, 'IPR017764', NULL, 'Indole-3-pyruvate decarboxylase, Enterobacteriaceae', 'IPDC_Enterobacteriaceae', 4, NULL),
(19113, NULL, 'IPR034985', NULL, 'hnRPLL, RNA recognition motif 1', 'hnRPLL_RRM1', 3, NULL),
(19114, NULL, 'IPR017745', NULL, 'Cellulose biosynthesis protein BcsE', 'BcsE', 4, NULL),
(19115, NULL, 'IPR021613', NULL, 'Protein-tyrosine phosphatase receptor IA-2 ectodomain', 'Receptor_IA-2_dom', 3, NULL),
(19116, NULL, 'IPR021693', NULL, 'Protein of unknown function DUF3275', 'DUF3275', 4, NULL),
(19117, NULL, 'IPR016993', NULL, 'Predicted glycerophosphotransferase, SA2157 type', 'SA2157_glycerophostrnsf', 4, NULL),
(19118, NULL, 'IPR020827', NULL, 'Asparaginase/glutaminase, active site 1', 'Asparaginase/glutaminase_AS1', 0, NULL),
(19119, NULL, 'IPR021679', NULL, 'Toxin endonuclease, YhaV', 'Toxin_endonuclease_YhaV', 4, NULL),
(19120, NULL, 'IPR018191', NULL, '4-oxalocrotonate tautomerase, Pseudomonas-type', 'Tautomerase_Pseudo-typ', 4, NULL),
(19121, NULL, 'IPR018064', NULL, 'Metallothionein, vertebrate, metal binding site', 'Metalthion_vert_metal_BS', 1, NULL),
(19122, NULL, 'IPR024966', NULL, 'Primase helical domain', 'Primase_helical_domain', 3, NULL),
(19123, NULL, 'IPR017749', NULL, 'Gamma-aminobutyraldehyde dehydrogenase', 'PatD', 4, NULL),
(19124, NULL, 'IPR020141', NULL, 'Herpesvirus UL41A', 'Herpesvirus_UL41A', 4, NULL),
(19125, NULL, 'IPR021650', NULL, 'Protein of unknown function DUF3248', 'DUF3248', 4, NULL),
(19126, NULL, 'IPR019531', NULL, 'Peroxisomal membrane protein 4', 'Pmp4', 4, NULL),
(19127, NULL, 'IPR024034', NULL, 'ATPase, F1/V1 complex, beta/alpha subunit, C-terminal', 'ATPase_F1/V1_b/a_C', 5, NULL),
(19128, NULL, 'IPR034646', NULL, 'ADCK3-like domain', 'ADCK3_dom', 3, NULL),
(19129, NULL, 'IPR018074', NULL, 'Ubiquitin-activating enzyme E1, conserved site', 'UBQ-activ_enz_E1_CS', 2, NULL),
(19130, NULL, 'IPR018800', NULL, 'Proline-rich protein PRCC', 'PRCC', 4, NULL),
(19131, NULL, 'IPR019536', NULL, 'Usher syndrome type-1C protein-binding protein 1, PDZ domain', 'USH1C-bd_PDZ_domain', 3, NULL),
(19132, NULL, 'IPR021634', NULL, 'Protein of unknown function DUF3240', 'DUF3240', 4, NULL),
(19133, NULL, 'IPR021671', NULL, 'PD(D/E)XK endonuclease', 'PD(D/E)XK_Endonuc', 3, NULL),
(19134, NULL, 'IPR020206', NULL, 'Uncharacterised protein family, VP2110', 'Uncharacterised_VP2110', 4, NULL),
(19135, NULL, 'IPR019230', NULL, 'tRNA (guanine-N(1)-)-methyltransferase, C-terminal', 'RNA_MeTrfase_C_dom', 3, NULL),
(19136, NULL, 'IPR020221', NULL, 'Protein of unknown function DUF5505', 'DUF5505', 4, NULL),
(19137, NULL, 'IPR019552', NULL, 'Histidine-rich calcium-binding', 'Hist_rich_Ca-bd', 7, NULL),
(19138, NULL, 'IPR018054', NULL, 'Chromogranin, conserved site', 'Chromogranin_CS', 2, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19139, NULL, 'IPR017798', NULL, 'D-xylonate dehydratase YjhG/YagF', 'Dehydratase_YjhG/YagF', 4, NULL),
(19140, NULL, 'IPR019533', NULL, 'Peptidase S26', 'Peptidase_S26', 3, NULL),
(19141, NULL, 'IPR018291', NULL, '5 transmembrane protein, Schizosaccharomyces pombe', '5TM-prot_SCHPO', 4, NULL),
(19142, NULL, 'IPR020408', NULL, 'Nerve growth factor-like', 'Nerve_growth_factor-like', 4, NULL),
(19143, NULL, 'IPR017760', NULL, 'L-ascorbate oxidase, plants', 'L-ascorbate_oxidase_pln', 4, NULL),
(19144, NULL, 'IPR018801', NULL, 'E3 ubiquitin-protein ligase TM129', 'TM129', 4, NULL),
(19145, NULL, 'IPR021664', NULL, 'Protein of unknown function DUF3255', 'DUF3255', 4, NULL),
(19146, NULL, 'IPR018527', NULL, 'Rubredoxin, iron-binding site', 'Rubredoxin_Fe_BS', 1, NULL),
(19147, NULL, 'IPR017019', NULL, 'Predicted DNA replication protein, bacterial', 'DNA_replication_prd_bac', 4, NULL),
(19148, NULL, 'IPR021655', NULL, 'Putative metal-binding motif', 'Put_metal-bd', 7, NULL),
(19149, NULL, 'IPR018802', NULL, 'Latarcin precursor', 'Latarcin_precursor', 4, NULL),
(19150, NULL, 'IPR018508', NULL, '3-dehydroquinate dehydratase, active site', '3-dehydroquinate_DH_AS', 0, NULL),
(19151, NULL, 'IPR019236', NULL, 'Phosphatidate phosphatase APP1, catalytic domain', 'APP1_cat', 3, NULL),
(19152, NULL, 'IPR017997', NULL, 'Vinculin', 'Vinculin', 4, NULL),
(19153, NULL, 'IPR034986', NULL, 'hnRPLL, RNA recognition motif 2', 'hnRPLL_RRM2', 3, NULL),
(19154, NULL, 'IPR024747', NULL, 'Pyridoxamine 5''-phosphate oxidase-related', 'Pyridox_Oxase-rel', 4, NULL),
(19155, NULL, 'IPR020829', NULL, 'Glyceraldehyde 3-phosphate dehydrogenase, catalytic domain', 'GlycerAld_3-P_DH_cat', 3, NULL),
(19156, NULL, 'IPR021642', NULL, 'Protein of unknown function DUF3246', 'DUF3246', 4, NULL),
(19157, NULL, 'IPR018073', NULL, 'Proteinase inhibitor I25, cystatin, conserved site', 'Prot_inh_cystat_CS', 2, NULL),
(19158, NULL, 'IPR024067', NULL, 'Methylmalonyl-CoA mutase small subunit, N-terminal', 'Me-malonyl-CoA_mutase_sm_su_N', 5, NULL),
(19159, NULL, 'IPR020569', NULL, 'Uncharacterised protein family UPF0029, Impact, conserved site', 'UPF0029_Impact_CS', 2, NULL),
(19160, NULL, 'IPR017003', NULL, 'Uncharacterised conserved protein UCP032675', 'UCP032675', 4, NULL),
(19161, NULL, 'IPR021624', NULL, 'Single-strand annealing weakened protein 1', 'Saw1', 4, NULL),
(19162, NULL, 'IPR021640', NULL, 'Mediator complex, subunit Med28', 'Mediator_Med28', 4, NULL),
(19163, NULL, 'IPR017039', NULL, 'Virulence factor BrkB', 'Virul_fac_BrkB', 4, NULL),
(19164, NULL, 'IPR018781', NULL, 'Transmembrane protein TPRA1/CAND2/CAND8', 'TPRA1/CAND2/CAND8', 4, NULL),
(19165, NULL, 'IPR017979', NULL, 'GPCR, family 3, conserved site', 'GPCR_3_CS', 2, NULL),
(19166, NULL, 'IPR021661', NULL, 'TRF2-interacting telomeric protein/Rap1, C-terminal', 'Rap1_C', 3, NULL),
(19167, NULL, 'IPR017773', NULL, 'Cysteine desulfurase NifS, proteobacteria', 'Cys_deSase_NifS_proteobacteria', 4, NULL),
(19168, NULL, 'IPR017748', NULL, 'T6S-associated protein TagF', 'TagF', 4, NULL),
(19169, NULL, 'IPR018799', NULL, 'TRAF3-interacting protein 1', 'TRAF3IP1', 4, NULL),
(19170, NULL, 'IPR021694', NULL, 'Protein of unknown function DUF3276', 'DUF3276', 4, NULL),
(19171, NULL, 'IPR018792', NULL, 'Nuclear protein 1-like', 'NUPR1-like', 4, NULL),
(19172, NULL, 'IPR021676', NULL, 'Protein of unknown function DUF3262', 'DUF3262', 4, NULL),
(19173, NULL, 'IPR017774', NULL, 'Bicupin, oxalate decarboxylase/oxidase', 'Bicupin_oxalate_deCO2ase/Oxase', 4, NULL),
(19174, NULL, 'IPR016996', NULL, 'Uncharacterised conserved protein UCP032441', 'UCP032441', 4, NULL),
(19175, NULL, 'IPR019528', NULL, 'Pericentrin/AKAP-450 centrosomal targeting domain', 'PACT_domain', 3, NULL),
(19176, NULL, 'IPR035429', NULL, 'Nitrile-specifier protein 1/2/3', 'NSP1/2/3', 4, NULL),
(19177, NULL, 'IPR021700', NULL, 'Protein of unknown function DUF3283', 'DUF3283', 4, NULL),
(19178, NULL, 'IPR017789', NULL, 'Frataxin', 'Frataxin', 4, NULL),
(19179, NULL, 'IPR021696', NULL, 'Protein of unknown function DUF3279', 'DUF3279', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19180, NULL, 'IPR020208', NULL, 'Protein of unknown function DUF2712', 'DUF2712', 4, NULL),
(19181, NULL, 'IPR017772', NULL, 'Cysteine desulfurase NifS, bacterial/archaeal', 'Cys_deSase_NifS_bac/arc', 4, NULL),
(19182, NULL, 'IPR017776', NULL, 'FeS assembly SUF system protein SufT, putative', 'FeS_assembly_SufT_put', 4, NULL),
(19183, NULL, 'IPR021649', NULL, 'Protein of unknown function DUF3247', 'DUF3247', 4, NULL),
(19184, NULL, 'IPR021659', NULL, 'NADH dehydrogenase-like complex, subunit S', 'NdhS', 4, NULL),
(19185, NULL, 'IPR024746', NULL, 'Glycosyl hydrolase family 100', 'Glyco_hydro_100', 4, NULL),
(19186, NULL, 'IPR017005', NULL, 'Uncharacterised conserved protein UCP032748', 'UCP032748', 4, NULL),
(19187, NULL, 'IPR019208', NULL, 'Protein of unknown function DUF2097', 'DUF2097', 4, NULL),
(19188, NULL, 'IPR021626', NULL, 'Plasmodium falciparum UIS3 membrane protein', 'PfUIS3', 4, NULL),
(19189, NULL, 'IPR017792', NULL, 'Urea carboxylase-associated protein 2', 'Urea_carboxylase-assoc_2', 4, NULL),
(19190, NULL, 'IPR018787', NULL, 'Protein of unknown function DUF2371, TMEM200', 'DUF2371_TMEM200', 4, NULL),
(19191, NULL, 'IPR017800', NULL, 'Acidobacterial duplicated orphan permease', 'ADOP', 4, NULL),
(19192, NULL, 'IPR018075', NULL, 'Ubiquitin-activating enzyme E1', 'UBQ-activ_enz_E1', 4, NULL),
(19193, NULL, 'IPR024036', NULL, 'tRNA-dihydrouridine synthase, putative, C-terminal', 'tRNA-dHydroUridine_Synthase_C', 5, NULL),
(19194, NULL, 'IPR017750', NULL, 'ATPase, type I secretion system', 'ATPase_T1SS', 4, NULL),
(19195, NULL, 'IPR018804', NULL, 'Luciferase catalytic domain', 'Luciferase_cat', 3, NULL),
(19196, NULL, 'IPR017025', NULL, 'Cancer-associated antigen RCAS1', 'Cancer-assoc_antigen_RCAS1', 4, NULL),
(19197, NULL, 'IPR019548', NULL, 'CTF transcription factor/nuclear factor 1, N-terminal', 'CTF/NFI_DNA-bd_N', 3, NULL),
(19198, NULL, 'IPR020830', NULL, 'Glyceraldehyde 3-phosphate dehydrogenase, active site', 'GlycerAld_3-P_DH_AS', 0, NULL),
(19199, NULL, 'IPR017801', NULL, 'Soil-associated protein DUF3738', 'DUF3738', 4, NULL),
(19200, NULL, 'IPR020442', NULL, 'Interleukin-20', 'IL-20', 4, NULL),
(19201, NULL, 'IPR018116', NULL, 'Somatotropin hormone, conserved site', 'Somatotropin_CS', 2, NULL),
(19202, NULL, 'IPR035104', NULL, 'Ribosomal protein S1-like', 'Ribosomal_protein_S1-like', 4, NULL),
(19203, NULL, 'IPR020566', NULL, 'Histidine biosynthesis bifunctional protein HisB', 'His_synth_bifunc_HisB', 4, NULL),
(19204, NULL, 'IPR021691', NULL, 'Protein of unknown function DUF3273', 'DUF3273', 4, NULL),
(19205, NULL, 'IPR017795', NULL, 'Aromatic prenyltransferase, DMATS-type', 'Aro_prenylTrfase_DMATS', 4, NULL),
(19206, NULL, 'IPR017013', NULL, 'Archaeal Cdc45', 'Arc_Cdc45', 4, NULL),
(19207, NULL, 'IPR035428', NULL, 'Fanconi anemia group F protein', 'FANCF', 4, NULL),
(19208, NULL, 'IPR018786', NULL, 'Protein of unknown function DUF2343', 'DUF2343', 4, NULL),
(19209, NULL, 'IPR021643', NULL, 'Mediator complex, subunit Med13, N-terminal', 'Mediator_Med13_N', 3, NULL),
(19210, NULL, 'IPR017777', NULL, 'Urea ABC transporter, substrate-binding protein UrtA-like', 'ABC_urea-bd_UrtA', 4, NULL),
(19211, NULL, 'IPR018803', NULL, 'Ish1/Msc1-like', 'Ish1/Msc1-like', 7, NULL),
(19212, NULL, 'IPR019224', NULL, 'Protein of unknown function DUF2148', 'DUF2148', 3, NULL),
(19213, NULL, 'IPR019537', NULL, 'Transmembrane protein 65', 'TMEM65', 4, NULL),
(19214, NULL, 'IPR020140', NULL, 'Uncharacterised protein family YusG', 'Uncharacterised_YusG', 4, NULL),
(19215, NULL, 'IPR021610', NULL, 'Protein of unknown function DUF3228', 'DUF3228', 4, NULL),
(19216, NULL, 'IPR017021', NULL, 'Uncharacterised conserved protein UCP033763', 'UCP033763', 4, NULL),
(19217, NULL, 'IPR021593', NULL, 'Protein of unknown function DUF3218', 'DUF3218', 4, NULL),
(19218, NULL, 'IPR017783', NULL, 'Choline ABC transporter, substrate-binding protein', 'ABC_choline_sub-bd', 4, NULL),
(19219, NULL, 'IPR021611', NULL, 'Spindle pole body component Spc42', 'Spc42', 4, NULL),
(19220, NULL, 'IPR017753', NULL, 'Glycerol-3-phosphate dehydrogenase, GlpC subunit', 'G3P_DH_GlpC_su', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19221, NULL, 'IPR016992', NULL, 'Uncharacterised conserved protein UCP032209', 'UCP032209', 4, NULL),
(19222, NULL, 'IPR021587', NULL, 'Transcription activator LAG-3', 'Transcription_activator_LAG-3', 4, NULL),
(19223, NULL, 'IPR021656', NULL, 'RPGR-interacting protein 1, first C2 domain', 'C2-C2_1', 3, NULL),
(19224, NULL, 'IPR017004', NULL, 'Uncharacterised conserved protein UCP032676, PqqC', 'UCP032676_PqqC', 4, NULL),
(19225, NULL, 'IPR019199', NULL, 'Virulence-associated protein D / CRISPR associated protein Cas2', 'Virulence_VapD/CRISPR_Cas2', 4, NULL),
(19226, NULL, 'IPR024041', NULL, 'Ammonium transporter AmtB-like domain', 'NH4_transpt_AmtB-like_dom', 3, NULL),
(19227, NULL, 'IPR021579', NULL, 'Protein of unknown function DUF3212', 'DUF3212', 4, NULL),
(19228, NULL, 'IPR021636', NULL, 'Protein of unknown function DUF3242', 'DUF3242', 4, NULL),
(19229, NULL, 'IPR019204', NULL, 'Domain of unknown function DUF2070, membrane', 'DUF2070_membrane', 3, NULL),
(19230, NULL, 'IPR016998', NULL, 'HTH-type transcriptional regulator Rot', 'Rot', 4, NULL),
(19231, NULL, 'IPR017766', NULL, 'Sphingomyelinase C/phospholipase C', 'Sphingomyelinase/PLipase_C', 4, NULL),
(19232, NULL, 'IPR017799', NULL, 'Transcription regulator PadR, acidobacterial-type', 'Tscrpt_reg_PadR_acidobac-type', 4, NULL),
(19233, NULL, 'IPR021658', NULL, 'Domain of unknown function DUF3251', 'DUF3251', 3, NULL),
(19234, NULL, 'IPR021599', NULL, 'Protein of unknown function DUF3222', 'DUF3222', 4, NULL),
(19235, NULL, 'IPR017765', NULL, 'Indole-3-pyruvate decarboxylase', 'IPDC', 4, NULL),
(19236, NULL, 'IPR018033', NULL, 'D-aminoacyl-tRNA deacylase, archaea', 'Deacylase_DtdA_archaea', 4, NULL),
(19237, NULL, 'IPR021619', NULL, 'Mig-6 domain', 'Mig-6', 3, NULL),
(19238, NULL, 'IPR020867', NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase, conserved site', 'THF_DH/CycHdrlase_CS', 2, NULL),
(19239, NULL, 'IPR018124', NULL, 'Calreticulin/calnexin, conserved site', 'Calret/calnex_CS', 2, NULL),
(19240, NULL, 'IPR018003', NULL, 'Insecticidal toxin complex/plasmid virulence protein', 'Insecticidal_toxin/plasmid_vir', 4, NULL),
(19241, NULL, 'IPR018120', NULL, 'Glycoside hydrolase family 1, active site', 'Glyco_hydro_1_AS', 0, NULL),
(19242, NULL, 'IPR017762', NULL, 'Multicopper oxidase, fungi', 'Multicopper_oxidase_fun', 4, NULL),
(19243, NULL, 'IPR020411', NULL, 'Tumour necrosis factor receptor 1B', 'TNFR_1B', 4, NULL),
(19244, NULL, 'IPR021673', NULL, 'RIG-I-like receptor, C-terminal regulatory domain', 'RLR_CTR', 3, NULL),
(19245, NULL, 'IPR021586', NULL, 'Transcription regulator TrmB, C-terminal', 'Tscrpt_reg_TrmB_C', 3, NULL),
(19246, NULL, 'IPR017009', NULL, 'Uncharacterised conserved protein UCP032840', 'UCP032840', 4, NULL),
(19247, NULL, 'IPR024066', NULL, 'RGS, subdomain 1/3', 'RGS_subdom1/3', 5, NULL),
(19248, NULL, 'IPR019226', NULL, 'Protein of unknown function DUF2158', 'DUF2158', 4, NULL),
(19249, NULL, 'IPR017010', NULL, 'Uncharacterised conserved protein UCP032862, iron-sulphur-binding domain-type, SSO0018', 'UCP032862_Fe-S-type', 4, NULL),
(19250, NULL, 'IPR021670', NULL, 'Protein of unknown function DUF3256', 'DUF3256', 4, NULL),
(19251, NULL, 'IPR019547', NULL, 'Lipid desaturase domain', 'Lipid_desat', 3, NULL),
(19252, NULL, 'IPR017743', NULL, 'Alcohol dehydrogenase, phosphonate catabolism-associated, putative', 'ADH_phosphonate_catab-assoc', 4, NULL),
(19253, NULL, 'IPR035056', NULL, 'MST4, kinase domain', 'STK_MST4', 3, NULL),
(19254, NULL, 'IPR034782', NULL, 'Scaffold attachment factor B2', 'SAFB2', 4, NULL),
(19255, NULL, 'IPR017011', NULL, 'Uncharacterised conserved protein UCP032888', 'UCP032888', 4, NULL),
(19256, NULL, 'IPR021609', NULL, 'Nitrosopumilus output domain 5', 'NitrOD5', 3, NULL),
(19257, NULL, 'IPR017022', NULL, 'Uncharacterised conserved protein UCP033860', 'UCP033860', 4, NULL),
(19258, NULL, 'IPR021629', NULL, 'Mediator complex, subunit Med23', 'Mediator_Med23', 4, NULL),
(19259, NULL, 'IPR021641', NULL, 'Protein of unknown function DUF3245', 'DUF3245', 4, NULL),
(19260, NULL, 'IPR021678', NULL, 'Protein of unknown function DUF3263', 'DUF3263', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19261, NULL, 'IPR019228', NULL, 'Bacteriophage phiJL001, Gp84, N-terminal', 'Phage_phiJL001_Gp84_N', 3, NULL),
(19262, NULL, 'IPR017797', NULL, 'Phosphonate ABC transporter, substrate-binding protein', 'Phosphnate-bd', 4, NULL),
(19263, NULL, 'IPR017031', NULL, 'Predicted S-adenosyl-L-methionine dependent methyltransferase, YjhP-type', 'Pre_MeTrfase_YjhP', 4, NULL),
(19264, NULL, 'IPR017757', NULL, 'Transcriptional repressor BetI', 'Tscrpt_rep_BetI', 4, NULL),
(19265, NULL, 'IPR021668', NULL, 'Telomere-length maintenance and DNA damage repair', 'TAN', 3, NULL),
(19266, NULL, 'IPR017990', NULL, 'Connexin, conserved site', 'Connexin_CS', 2, NULL),
(19267, NULL, 'IPR019225', NULL, 'Protein of unknown function DUF2155', 'DUF2155', 4, NULL),
(19268, NULL, 'IPR017038', NULL, 'Uncharacterised conserved protein UCP035609, HNH endonuclease-type', 'UCP035609_HNH_endonucl', 4, NULL),
(19269, NULL, 'IPR020421', NULL, 'Interleukin-19', 'IL-19', 4, NULL),
(19270, NULL, 'IPR018807', NULL, 'Cell wall protein YJL171C/Tos1, N-terminal', 'YJL171C/Tos1_N', 3, NULL),
(19271, NULL, 'IPR018043', NULL, 'Sodium:galactoside symporter, conserved site', 'Na/Gal_symport_CS', 2, NULL),
(19272, NULL, 'IPR017032', NULL, 'Vi polysaccharide biosynthesis protein TviA', 'TviA', 4, NULL),
(19273, NULL, 'IPR024044', NULL, 'NifT/FixU barrel-like domain superfamily', 'NifT/FixU_barrel-like_dom_sf', 5, NULL),
(19274, NULL, 'IPR024033', NULL, 'Uncharacterised domain superfamily, YlbE', 'Uncharacterised_dom_sf_YlbE', 5, NULL),
(19275, NULL, 'IPR021657', NULL, 'Immunoglobulin-binding protein Sbi, domain IV', 'IgG-binding_Sbi_dom_IV', 3, NULL),
(19276, NULL, 'IPR020565', NULL, 'Imidazoleglycerol-phosphate dehydratase, conserved site', 'ImidazoleglycerP_deHydtase_CS', 2, NULL),
(19277, NULL, 'IPR021687', NULL, 'Protein of unknown function DUF3269', 'DUF3269', 4, NULL),
(19278, NULL, 'IPR034675', NULL, 'Protein kinase B gamma, catalytic domain', 'Akt3', 3, NULL),
(19279, NULL, 'IPR021677', NULL, 'Protein of unknown function DUF2986', 'DUF2986', 4, NULL),
(19280, NULL, 'IPR016995', NULL, 'Uncharacterised phage-associated protein  UCP032436', 'UCP032436', 4, NULL),
(19281, NULL, 'IPR017007', NULL, 'Uncharacterised conserved protein UCP032762', 'UCP032762', 4, NULL),
(19282, NULL, 'IPR017040', NULL, 'Uncharacterised conserved protein UCP035918 , rubrerythrin/DUF125-related', 'UCP035918_rubreryth/DUF125', 4, NULL),
(19283, NULL, 'IPR035912', NULL, 'Enhancer of rudimentary superfamily', 'EHR_sf', 5, NULL),
(19284, NULL, 'IPR017771', NULL, 'Cyanamide hydratase', 'Cyanamide_hydratase_HD', 4, NULL),
(19285, NULL, 'IPR021647', NULL, 'Copper binding periplasmic protein CusF', 'CusF_Ec', 4, NULL),
(19286, NULL, 'IPR017000', NULL, 'Membrane-anchored ubiquitin-fold protein', 'MUB', 4, NULL),
(19287, NULL, 'IPR018790', NULL, 'Protein of unknown function DUF2358', 'DUF2358', 4, NULL),
(19288, NULL, 'IPR020210', NULL, 'Uncharacterised protein family, YpbF, transmembrane', 'Uncharacterised_YpbF_TM', 4, NULL),
(19289, NULL, 'IPR019217', NULL, 'Protein of unknown function DUF2118', 'DUF2118', 4, NULL),
(19290, NULL, 'IPR017015', NULL, 'Uncharacterised conserved protein UCP033367, VanZ, Bll3170', 'UCP033367_VanZ', 4, NULL),
(19291, NULL, 'IPR017781', NULL, 'ABC transporter, urea, ATP-binding protein, UrtD', 'ABC_transptr_urea_ATP-bd_UrtD', 4, NULL),
(19292, NULL, 'IPR035077', NULL, 'Phosphoenolpyruvate carboxykinase, C-terminal P-loop domain', 'PEP_carboxykinase_GTP_C', 3, NULL),
(19293, NULL, 'IPR019215', NULL, 'Protein of unknown function DUF2115', 'DUF2115', 4, NULL),
(19294, NULL, 'IPR035427', NULL, 'Tim10-like domain superfamily', 'Tim10-like_dom_sf', 5, NULL),
(19295, NULL, 'IPR020575', NULL, 'Heat shock protein Hsp90, N-terminal', 'Hsp90_N', 3, NULL),
(19296, NULL, 'IPR018151', NULL, 'Transcription elongation factor, GreA/GreB, conserved site', 'TF_GreA/GreB_CS', 2, NULL),
(19297, NULL, 'IPR021666', NULL, 'Troponin I residues 1-32', 'Troponin-I_N', 4, NULL),
(19298, NULL, 'IPR021653', NULL, 'CCR4-associated factor 4', 'Caf4', 4, NULL),
(19299, NULL, 'IPR024097', NULL, 'Basic helix-loop-helix leucine zipper transcription factor', 'bHLH_ZIP_TF', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19300, NULL, 'IPR035220', NULL, 'Protein of unknown function DUF5330', 'DUF5330', 4, NULL),
(19301, NULL, 'IPR017804', NULL, 'Methyltransferase EgtD-like', 'MeTrfase_EgtD-like', 4, NULL),
(19302, NULL, 'IPR017030', NULL, 'Virulence effector, SrfC', 'Vir_effector_SfrC', 4, NULL),
(19303, NULL, 'IPR019205', NULL, 'Protein of unknown function DUF2080, transposon-encoded', 'DUF2080_transposon-encoded', 4, NULL),
(19304, NULL, 'IPR017037', NULL, 'Uncharacterised conserved protein UCP035261', 'UCP035261', 4, NULL),
(19305, NULL, 'IPR020432', NULL, 'Neurotrophin-4', 'Neurotrophin-4', 4, NULL),
(19306, NULL, 'IPR017778', NULL, 'ABC transporter, urea, permease protein, UrtC', 'ABC_transptr_urea_perm_UrtC', 4, NULL),
(19307, NULL, 'IPR019542', NULL, 'Enhancer of polycomb-like, N-terminal', 'Enhancer_polycomb-like_N', 3, NULL),
(19308, NULL, 'IPR021620', NULL, 'Erythrocyte binding antigen 175, C-terminal', 'EBA-175_C', 3, NULL),
(19309, NULL, 'IPR018066', NULL, 'Tubby, C-terminal, conserved site', 'Tubby_C_CS', 2, NULL),
(19310, NULL, 'IPR021697', NULL, 'Protein of unknown function DUF3278', 'DUF3278', 4, NULL),
(19311, NULL, 'IPR034672', NULL, 'Salt-Inducible kinase, catalytic domain', 'SIK', 3, NULL),
(19312, NULL, 'IPR018782', NULL, 'Essential MCU regulator, mitochondrial', 'MCU_reg', 4, NULL),
(19313, NULL, 'IPR019220', NULL, 'Domain of unknown function DUF2135', 'DUF2135', 3, NULL),
(19314, NULL, 'IPR034787', NULL, 'RBPMS2, RNA recognition motif', 'RBPMS2_RRM', 3, NULL),
(19315, NULL, 'IPR018042', NULL, 'Aspartate kinase, conserved site', 'Aspartate_kinase_CS', 2, NULL),
(19316, NULL, 'IPR019546', NULL, 'Twin-arginine translocation pathway, signal sequence, bacterial/archaeal', 'TAT_signal_bac_arc', 2, NULL),
(19317, NULL, 'IPR021692', NULL, 'Protein of unknown function DUF3274', 'DUF3274', 4, NULL),
(19318, NULL, 'IPR018289', NULL, 'MULE transposase domain', 'MULE_transposase_dom', 3, NULL),
(19319, NULL, 'IPR017755', NULL, 'N-carbamoylputrescine amidase', 'N-carbamoylputrescine_amidase', 4, NULL),
(19320, NULL, 'IPR017014', NULL, 'Fimbrial-like protein YadC', 'Fimbrial-like_YadC', 4, NULL),
(19321, NULL, 'IPR021621', NULL, 'Solitary outer membrane autotransporter beta-barrel domain', 'Omp_AT', 3, NULL),
(19322, NULL, 'IPR018805', NULL, 'Cell wall protein YJL171C/Tos1, C-terminal', 'YJL171C/Tos1_C', 3, NULL),
(19323, NULL, 'IPR021632', NULL, 'Protein of unknown function DUF3239', 'DUF3239', 4, NULL),
(19324, NULL, 'IPR020567', NULL, 'Nodulation protein A, NodA, conserved site', 'Nodulation_prot_NodA_CS', 2, NULL),
(19325, NULL, 'IPR018039', NULL, 'Intermediate filament protein, conserved site', 'IF_conserved', 2, NULL),
(19326, NULL, 'IPR016994', NULL, 'Uncharacterised conserved protein UCP032370, VraC', 'UCP032370_VraC', 4, NULL),
(19327, NULL, 'IPR021682', NULL, 'Protein of unknown function DUF2933', 'DUF2933', 4, NULL),
(19328, NULL, 'IPR021584', NULL, 'Thylakoid soluble phosphoprotein TSP9', 'TSP9', 4, NULL),
(19329, NULL, 'IPR021607', NULL, 'Protein of unknown function DUF3224', 'DUF3224', 4, NULL),
(19330, NULL, 'IPR018290', NULL, 'MULE transposase, N-terminal all-beta domain', 'MULE_transposase_N', 3, NULL),
(19331, NULL, 'IPR017970', NULL, 'Homeobox, conserved site', 'Homeobox_CS', 2, NULL),
(19332, NULL, 'IPR018117', NULL, 'DNA methylase, C-5 cytosine-specific, active site', 'C5_DNA_meth_AS', 0, NULL),
(19333, NULL, 'IPR023315', NULL, 'SynGAP C2 domain, N-terminal', 'SynGAP_C2_N', 5, NULL),
(19334, NULL, 'IPR021648', NULL, 'Vacuolar protein sorting protein 36, GLUE domain', 'GLUE_dom', 3, NULL),
(19335, NULL, 'IPR017784', NULL, 'ABC transporter, choline, permease protein', 'ABC_transptr_choline_permease', 4, NULL),
(19336, NULL, 'IPR017768', NULL, 'Acid phosphatase, AcpA', 'AcpA', 4, NULL),
(19337, NULL, 'IPR024965', NULL, 'Putative integrase', 'Putative_integrase', 4, NULL),
(19338, NULL, 'IPR017461', NULL, 'Conserved hypothetical domain CHP03009, planctomycetes', 'CHP03009_planctomycetes', 3, NULL),
(19339, NULL, 'IPR018141', NULL, 'Nitrile hydratase, alpha subunit', 'Nitrile_hydratase_asu', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19340, NULL, 'IPR018776', NULL, 'Membrane protein, 6-pyruvoyl-tetrahydropterin synthase-related domain', 'Membrane_prot_PTPS-rel_domain', 3, NULL),
(19341, NULL, 'IPR024082', NULL, 'Proline dehydrogenase PutA, domain II', 'PRODH_PutA_dom_II', 3, NULL),
(19342, NULL, 'IPR017786', NULL, 'Transcription factor, choline sulphate-utilisation, putative', 'TF_choline_sulphate-util_put', 4, NULL),
(19343, NULL, 'IPR021662', NULL, 'Nuclear factor hnRNPA1', 'HnRNPA1', 4, NULL),
(19344, NULL, 'IPR024042', NULL, 'TM1646-like domain superfamily', 'TM1646-like_dom_sf', 5, NULL),
(19345, NULL, 'IPR019218', NULL, 'Protein of unknown function DUF2119', 'DUF2119', 4, NULL),
(19346, NULL, 'IPR021663', NULL, 'T-cell surface glycoprotein CD3 zeta subunit/High affinity IgE receptor gamma subunit', 'CD3_zeta/IgE_Fc_rcpt_gamma', 4, NULL),
(19347, NULL, 'IPR020556', NULL, 'Amidase, conserved site', 'Amidase_CS', 2, NULL),
(19348, NULL, 'IPR021645', NULL, 'Shal-type voltage-gated potassium channels, N-terminal', 'Shal-type_N', 3, NULL),
(19349, NULL, 'IPR017744', NULL, 'Cellulose biosynthesis protein BcsG', 'BcsG', 4, NULL),
(19350, NULL, 'IPR035169', NULL, 'Protein of unknown function DUF5318', 'DUF5318', 4, NULL),
(19351, NULL, 'IPR017027', NULL, 'Uncharacterised conserved protein UCP034405', 'UCP034405', 4, NULL),
(19352, NULL, 'IPR023358', NULL, 'Peptidase M18, domain 2', 'Peptidase_M18_dom2', 5, NULL),
(19353, NULL, 'IPR021685', NULL, 'Major surface protein 1a (MSP1a)', 'MSP1a', 4, NULL),
(19354, NULL, 'IPR021603', NULL, 'Selenium-binding protein, archaea', 'SeBP_arc', 4, NULL),
(19355, NULL, 'IPR021622', NULL, 'Afadin/alpha-actinin-binding', 'Afadin/alpha-actinin-bd', 4, NULL),
(19356, NULL, 'IPR021681', NULL, 'Protein of unknown function DUF3265', 'DUF3265', 4, NULL),
(19357, NULL, 'IPR021612', NULL, 'Staphylococcal complement inhibitor SCIN', 'SCIN', 4, NULL),
(19358, NULL, 'IPR017017', NULL, 'Uncharacterised conserved protein UCP033622, transglutaminase-like, CPE1922', 'UCP033622_transglutaminase', 4, NULL),
(19359, NULL, 'IPR021591', NULL, 'Protein of unknown function DUF3215', 'DUF3215', 4, NULL),
(19360, NULL, 'IPR017029', NULL, 'Putative phage head morphogenesis protein', 'Phage_head_put', 4, NULL),
(19361, NULL, 'IPR021605', NULL, 'Subunit of cleavage factor IA Pcf11, N-terminal', 'CFIA_Pcf11_N', 3, NULL),
(19362, NULL, 'IPR020142', NULL, 'Protein of unknown function DUF5489', 'DUF5489', 4, NULL),
(19363, NULL, 'IPR024857', NULL, 'Cappuccino', 'Cappuccino', 4, NULL),
(19364, NULL, 'IPR017752', NULL, 'Glycerol-3-phosphate dehydrogenase, GlpA subunit', 'G3P_DH_GlpA_su', 4, NULL),
(19365, NULL, 'IPR017938', NULL, 'Riboflavin synthase-like beta-barrel', 'Riboflavin_synthase-like_b-brl', 5, NULL),
(19366, NULL, 'IPR020212', NULL, 'ESX secretion system protein YueC', 'YueC', 4, NULL),
(19367, NULL, 'IPR021596', NULL, 'Protein of unknown function DUF3219', 'DUF3219', 4, NULL),
(19368, NULL, 'IPR019239', NULL, 'Bacterial antitoxin of type II TA system, VapB', 'VapB_antitoxin', 4, NULL),
(19369, NULL, 'IPR021669', NULL, 'Glycosylphosphatidylinositol-anchored merozoite surface protein', 'Antigen_Bd37', 4, NULL),
(19370, NULL, 'IPR017942', NULL, 'Lipid-binding serum glycoprotein, N-terminal', 'Lipid-bd_serum_glycop_N', 3, NULL),
(19371, NULL, 'IPR034781', NULL, 'Scaffold attachment factor B1', 'SAFB1', 4, NULL),
(19372, NULL, 'IPR035167', NULL, 'Protein of unknown function DUF5316', 'DUF5316', 4, NULL),
(19373, NULL, 'IPR021600', NULL, 'Transcription factor TFIIE alpha subunit, C-terminal', 'TFIIE_asu_C', 3, NULL),
(19374, NULL, 'IPR021627', NULL, 'Mediator complex, subunit Med27', 'Mediator_Med27', 4, NULL),
(19375, NULL, 'IPR017767', NULL, 'Bacterial phospholipase C, phosphocholine-specific', 'Bact_PC-PLC', 4, NULL),
(19376, NULL, 'IPR018778', NULL, 'Type VII secretion system EssB', 'T7SS_EssB', 4, NULL),
(19377, NULL, 'IPR018794', NULL, 'Uncharacterised protein family UPF0538', 'UPF0538', 4, NULL),
(19378, NULL, 'IPR024076', NULL, 'Rotavirus NSP2, C-terminal', 'Rotavirus_NSP2_C', 5, NULL),
(19379, NULL, 'IPR019532', NULL, 'Nuclear RNA-splicing-associated protein, SR-25', 'Nucl_RNA-splicing_assoc_SR-25', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19380, NULL, 'IPR019207', NULL, 'Protein of unknown function DUF2092, periplasmic', 'DUF2092', 4, NULL),
(19381, NULL, 'IPR024756', NULL, 'Protocatechuate 3,4-dioxygenase beta subunit, N-terminal', 'PCDO_beta_N', 3, NULL),
(19382, NULL, 'IPR018808', NULL, 'Muniscin C-terminal', 'Muniscin_C', 3, NULL),
(19383, NULL, 'IPR017026', NULL, 'Inducible mutagenesis protein A', 'ImuA', 4, NULL),
(19384, NULL, 'IPR021615', NULL, 'Outer membrane protein Omp28', 'Omp28', 4, NULL),
(19385, NULL, 'IPR018798', NULL, 'Multivesicular body subunit 12', 'MVB12A/B', 4, NULL),
(19386, NULL, 'IPR018061', NULL, 'Retropepsins', 'Retropepsins', 3, NULL),
(19387, NULL, 'IPR017788', NULL, 'DnaA regulatory inactivator Hda', 'Hda', 4, NULL),
(19388, NULL, 'IPR024753', NULL, 'Regulatory protein AriR', 'AriR', 4, NULL),
(19389, NULL, 'IPR024758', NULL, 'Inheritance of peroxisomes protein 1', 'Inp1', 4, NULL),
(19390, NULL, 'IPR024764', NULL, 'Transcription factor IIIC, putative zinc-finger', 'TFIIIC_Znf', 3, NULL),
(19391, NULL, 'IPR020216', NULL, 'Uncharacterised protein family, YncE', 'Uncharacterised_YncE', 4, NULL),
(19392, NULL, 'IPR023573', NULL, 'Ribosomal protein 50S-L18Ae/60S-L20/60S-L18A', 'Ribosomal_L18a//L18Ae/LX', 3, NULL),
(19393, NULL, 'IPR018791', NULL, 'UV radiation resistance protein/autophagy-related protein 14', 'UV_resistance/autophagy_Atg14', 4, NULL),
(19394, NULL, 'IPR019545', NULL, 'DM13 domain', 'DM13_domain', 3, NULL),
(19395, NULL, 'IPR020422', NULL, 'Dual specificity protein phosphatase domain', 'TYR_PHOSPHATASE_DUAL_dom', 3, NULL),
(19396, NULL, 'IPR021686', NULL, 'Protein of unkown function DUF3268', 'DUF3268', 4, NULL),
(19397, NULL, 'IPR024854', NULL, 'Kinectin', 'Kinectin', 4, NULL),
(19398, NULL, 'IPR018780', NULL, 'BLOC-1-related complex subunit 5', 'TBORCS5', 4, NULL),
(19399, NULL, 'IPR018152', NULL, 'Superoxide dismutase, copper/zinc, binding site', 'SOD_Cu/Zn_BS', 1, NULL),
(19400, NULL, 'IPR021617', NULL, 'Protein of unknown function DUF3231', 'DUF3231', 4, NULL),
(19401, NULL, 'IPR020563', NULL, 'Crossover junction endodeoxyribonuclease RuvC, magnesium-binding site', 'X-over_junc_endoDNase_Mg_BS', 1, NULL),
(19402, NULL, 'IPR017028', NULL, 'Uncharacterised conserved protein UCP034456', 'UCP034456', 4, NULL),
(19403, NULL, 'IPR020405', NULL, 'Atypical dual specificity phosphatase, subfamily A', 'Atypical_DUSP_subfamA', 4, NULL),
(19404, NULL, 'IPR024101', NULL, 'Transcription factor EC', 'TFEC', 4, NULL),
(19405, NULL, 'IPR024765', NULL, 'TOBE-like domain', 'TOBE-like', 3, NULL),
(19406, NULL, 'IPR019223', NULL, 'Domain of unknown function DUF2147', 'DUF2147', 3, NULL),
(19407, NULL, 'IPR021628', NULL, 'Protein of unknown function DUF3234', 'DUF3234', 4, NULL),
(19408, NULL, 'IPR018783', NULL, 'Transcription factor, enhancer of yellow 2', 'TF_ENY2', 4, NULL),
(19409, NULL, 'IPR019213', NULL, 'Protein of unknown function DUF2108, membrane', 'DUF2108_membrane', 4, NULL),
(19410, NULL, 'IPR021699', NULL, 'Protein of unknown function DUF3281', 'DUF3281', 4, NULL),
(19411, NULL, 'IPR021578', NULL, 'Protein of unknown function DUF3211', 'DUF3211', 4, NULL),
(19412, NULL, 'IPR020465', NULL, 'Tumour necrosis factor receptor 10', 'TNFR_10', 4, NULL),
(19413, NULL, 'IPR017998', NULL, 'Chaperone tailless complex polypeptide 1 (TCP-1)', 'Chaperone_TCP-1', 4, NULL),
(19414, NULL, 'IPR020461', NULL, 'High affinity nerve growth factor receptor NTRK1', 'NTRK1', 4, NULL),
(19415, NULL, 'IPR019529', NULL, 'SNARE-complex protein Syntaxin-18, N-terminal', 'Syntaxin-18_N', 3, NULL),
(19416, NULL, 'IPR018030', NULL, 'Fimbrial membrane usher, conserved site', 'Fimbrial_membr_usher_CS', 2, NULL),
(19417, NULL, 'IPR018785', NULL, 'Cysteine-rich domain, DPF-motif', 'Cys-rich_DPF', 3, NULL),
(19418, NULL, 'IPR019216', NULL, 'Protein of unknown function DUF2116, Zn-ribbon', 'DUF2116_Zn-ribbon', 4, NULL),
(19419, NULL, 'IPR021595', NULL, 'Thermoplasma acidophilum protein TA0956', 'TA0956', 4, NULL),
(19420, NULL, 'IPR019219', NULL, 'Protein of unknown function DUF2130', 'DUF2130', 4, NULL),
(19421, NULL, 'IPR018067', NULL, 'Protein phosphatase 2A regulatory subunit PR55, conserved site', 'PP2A_PR55_CS', 2, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19422, NULL, 'IPR017747', NULL, 'Putrescine aminotransferase', 'Putrescine_aminotransferase', 4, NULL),
(19423, NULL, 'IPR035165', NULL, 'Protein of unknown function DUF5319', 'DUF5319', 4, NULL),
(19424, NULL, 'IPR016989', NULL, 'ATP synthase protein I, alphaproteobacterial', 'Atp1_alphaprobac', 4, NULL),
(19425, NULL, 'IPR019235', NULL, 'Protein of unknown function DUF2178, transmembrane', 'DUF2178_TM', 4, NULL),
(19426, NULL, 'IPR034721', NULL, 'Bacterial renalase', 'Bac_renal', 4, NULL),
(19427, NULL, 'IPR021630', NULL, 'Resuscitation-promoting factor Rpf1, C-terminal', 'Rpf1_C', 3, NULL),
(19428, NULL, 'IPR021625', NULL, 'PI31 proteasome regulator,  N-terminal', 'PI31_Prot_N', 3, NULL),
(19429, NULL, 'IPR024100', NULL, 'Transcription factor E3', 'TFE3', 4, NULL),
(19430, NULL, 'IPR017770', NULL, 'RNA 3''-terminal phosphate cyclase type 1', 'RNA3''_term_phos_cyc_type_1', 4, NULL),
(19431, NULL, 'IPR019209', NULL, 'Protein of unknown function DUF2098', 'DUF2098', 4, NULL),
(19432, NULL, 'IPR017018', NULL, 'Uncharacterised conserved protein UCP033634', 'UCP033634', 4, NULL),
(19433, NULL, 'IPR021623', NULL, 'Lamina-associated polypeptide 2 alpha, C-terminal', 'LAP2alpha_C', 3, NULL),
(19434, NULL, 'IPR021631', NULL, 'Protein of unknown function DUF3238', 'DUF3238', 4, NULL),
(19435, NULL, 'IPR021639', NULL, 'DNA polymerase catalytic subunit Pol, C-terminal', 'DNAPolymera_Pol_C', 3, NULL),
(19436, NULL, 'IPR019202', NULL, 'Protein of unknown function DUF2067', 'DUF2067', 4, NULL),
(19437, NULL, 'IPR021614', NULL, 'Protein transport protein SEC31', 'Sec31', 4, NULL),
(19438, NULL, 'IPR020443', NULL, 'Interleukin-10/19/20/22/24/26 family', 'IL-10/19/20/22/24/26_fam', 4, NULL),
(19439, NULL, 'IPR017787', NULL, 'NIF system FeS cluster assembly, NifU-like', 'NIF_FeS_clus_asmbl_NifU-like', 4, NULL),
(19440, NULL, 'IPR021598', NULL, 'Protein of unknown function DUF3221', 'DUF3221', 4, NULL),
(19441, NULL, 'IPR024072', NULL, 'Dihydrofolate reductase-like domain superfamily', 'DHFR-like_dom_sf', 5, NULL),
(19442, NULL, 'IPR019206', NULL, 'Protein of unknown function DUF2085, transmembrane', 'DUF2085_TM', 4, NULL),
(19443, NULL, 'IPR019534', NULL, 'Protein of unknown function DUF2452', 'DUF2452', 4, NULL),
(19444, NULL, 'IPR021637', NULL, 'Protein of unknown function DUF3243', 'DUF3243', 4, NULL),
(19445, NULL, 'IPR017034', NULL, 'Abortive infection system protein AbiD/AbiF', 'Abi_system_AbiD/AbiF', 4, NULL),
(19446, NULL, 'IPR019214', NULL, 'Protein of unknown function DUF2109, membrane', 'DUF2109_membrane', 4, NULL),
(19447, NULL, 'IPR034689', NULL, 'Endolysin T7 type', 'Endolysin_T7_type', 4, NULL),
(19448, NULL, 'IPR016991', NULL, 'Protein of unknown function UCP032178', 'UCP032178', 4, NULL),
(19449, NULL, 'IPR024862', NULL, 'Transient receptor potential cation channel subfamily V', 'TRPV', 4, NULL),
(19450, NULL, 'IPR021651', NULL, 'Scaffold protein Ste5, Fus3-binding domain', 'Ste5_Fus-binding', 3, NULL),
(19451, NULL, 'IPR017987', NULL, 'Wilm''s tumour protein', 'Wilms_tumour', 4, NULL),
(19452, NULL, 'IPR020413', NULL, 'Tumour necrosis factor receptor 9', 'TNFR_9', 4, NULL),
(19453, NULL, 'IPR021604', NULL, 'Copper resistance protein K', 'CopK', 4, NULL),
(19454, NULL, 'IPR019240', NULL, 'Protein of unknown function DUF2196', 'DUF2196', 4, NULL),
(19455, NULL, 'IPR018784', NULL, 'Learning associated protein 18-like', 'LAPS18-like', 4, NULL),
(19456, NULL, 'IPR021585', NULL, 'Ta0938', 'Ta0938', 4, NULL),
(19457, NULL, 'IPR017785', NULL, 'Choline-sulfatase', 'Choline-sulfatase', 4, NULL),
(19458, NULL, 'IPR021690', NULL, 'Protein of unknown function DUF3272', 'DUF3272', 4, NULL),
(19459, NULL, 'IPR020437', NULL, 'Nerve growth factor, beta subunit, mammalian', 'Nerve_growth_factor_bsu_mml', 4, NULL),
(19460, NULL, 'IPR023574', NULL, 'Ribosomal protein L4 domain superfamily', 'Ribosomal_L4_dom_sf', 5, NULL),
(19461, NULL, 'IPR017024', NULL, 'Uncharacterised conserved protein UCP034217', 'UCP034217', 4, NULL),
(19462, NULL, 'IPR034784', NULL, 'PDIP3, RNA recognition motif', 'PDIP3_RRM', 3, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19463, NULL, 'IPR017460', NULL, 'Conserved hypothetical domain CHP03000, planctomycetes', 'CHP03000_planctomycetes', 3, NULL),
(19464, NULL, 'IPR017761', NULL, 'Laccase', 'Laccase', 4, NULL),
(19465, NULL, 'IPR018034', NULL, 'KRR1 interacting protein 1', 'Kri1', 4, NULL),
(19466, NULL, 'IPR024098', NULL, 'Transcription factor EB', 'TFEB', 4, NULL),
(19467, NULL, 'IPR020458', NULL, 'Zinc finger, DksA/TraR C4-type conserved site', 'Znf_DskA_TraR_CS', 2, NULL),
(19468, NULL, 'IPR019231', NULL, 'Protein of unknown function DUF2170', 'DUF2170', 4, NULL),
(19469, NULL, 'IPR017794', NULL, 'Urea carboxylase-associated, permease', 'Urea_CO2ase-assoc_permease', 4, NULL),
(19470, NULL, 'IPR017763', NULL, 'Cysteine desulfurase, sulphur acceptor subunit CsdE', 'Cysteine_desulfurase_CsdE', 4, NULL),
(19471, NULL, 'IPR019543', NULL, 'Beta-amyloid precursor protein C-terminal', 'APP_amyloid_C', 3, NULL),
(19472, NULL, 'IPR017008', NULL, 'Uncharacterised conserved protein UCP032817', 'UCP032817', 4, NULL),
(19473, NULL, 'IPR017769', NULL, 'Phospholipase C accessory protein PlcR', 'PLipase_C_acessory_PlcR', 4, NULL),
(19474, NULL, 'IPR018045', NULL, 'Sulphate anion transporter, conserved site', 'S04_transporter_CS', 2, NULL),
(19475, NULL, 'IPR024045', NULL, 'NusG, domain 2', 'NusG_dom2', 3, NULL),
(19476, NULL, 'IPR020462', NULL, 'Interleukin-11B, fish', 'IL-11B_fish', 4, NULL),
(19477, NULL, 'IPR018789', NULL, 'Flocculin 11 domain', 'Flo11', 3, NULL),
(19478, NULL, 'IPR019549', NULL, 'Homeobox engrailed, C-terminal', 'Homeobox-engrailed_C-terminal', 3, NULL),
(19479, NULL, 'IPR019211', NULL, 'Energy-converting hydrogenase subunit EhaL', 'EhaL', 4, NULL),
(19480, NULL, 'IPR017002', NULL, 'Glycoside hydrolase, family 57, Saci1162, predicted', 'Glyco_hydro_57_Saci1162_prd', 4, NULL),
(19481, NULL, 'IPR021689', NULL, 'Protein of unknown function DUF3271', 'DUF3271', 4, NULL),
(19482, NULL, 'IPR020439', NULL, 'Interleukin-15', 'IL-15', 4, NULL),
(19483, NULL, 'IPR021646', NULL, 'Sir1, ORC-binding domain', 'Sir1_ORC-binding', 3, NULL),
(19484, NULL, 'IPR019539', NULL, 'Galactokinase, N-terminal  domain', 'GalKase_N', 3, NULL),
(19485, NULL, 'IPR034987', NULL, 'hnRPLL, RNA recognition motif 4', 'hnRPLL_RRM4', 3, NULL),
(19486, NULL, 'IPR021580', NULL, 'Restriction endonuclease, type II SfiI', 'Restrct_endonuc_II_SfiI', 4, NULL),
(19487, NULL, 'IPR020214', NULL, 'Cytomegalovirus UL124', 'Cytomega_UL124', 4, NULL),
(19488, NULL, 'IPR016997', NULL, 'Uncharacterised conserved protein UCP032442', 'UCP032442', 4, NULL),
(19489, NULL, 'IPR017016', NULL, 'Uncharacterised conserved protein UCP033595', 'UCP033595', 4, NULL),
(19490, NULL, 'IPR020207', NULL, 'Metastasis-suppressor KiSS-1', 'Metastasis-suppressor_KiSS-1', 4, NULL),
(19491, NULL, 'IPR017033', NULL, 'Type III secretion system apparatus protein SsaM', 'T3SS_SsaM', 4, NULL),
(19492, NULL, 'IPR017802', NULL, 'VWFA-related, acidobacterial-type', 'VWFA-rel_acidobac-type', 4, NULL),
(19493, NULL, 'IPR021608', NULL, 'Melampsora lini avirulence protein AvrL567', 'AvrL567', 4, NULL),
(19494, NULL, 'IPR018004', NULL, 'KilA, N-terminal/APSES-type HTH, DNA-binding', 'KilA_N/APSES_HTH', 3, NULL),
(19495, NULL, 'IPR019540', NULL, 'Phosphatidylinositol-glycan biosynthesis class S protein', 'PtdIno-glycan_biosynth_class_S', 4, NULL),
(19496, NULL, 'IPR021665', NULL, 'Mediator complex, subunit Med16', 'Mediator_Med16', 4, NULL),
(19497, NULL, 'IPR034688', NULL, 'Lysis inhibition accessory protein rIII', 'Linr3', 4, NULL),
(19498, NULL, 'IPR034990', NULL, 'hnRNPM, RNA recognition motif 3', 'hnRNPM_RRM3', 3, NULL),
(19499, NULL, 'IPR018507', NULL, 'Cytochrome c oxidase, subunit VIa, conserved site', 'Cyt_c_oxidase_su6a_CS', 2, NULL),
(19500, NULL, 'IPR021633', NULL, 'Antagonist of EGFR signalling, Argos', 'Argos', 4, NULL),
(19501, NULL, 'IPR016608', NULL, 'PR domain zinc finger protein 1', 'PRDM1', 4, NULL),
(19502, NULL, 'IPR016313', NULL, 'Disks large 1-like', 'DLG1-like', 4, NULL),
(19503, NULL, 'IPR034790', NULL, 'RBM20, RNA recognition motif', 'RBM20_RRM', 3, NULL),
(19504, NULL, 'IPR035157', NULL, 'Protein of unknown function DUF5395', 'DUF5395', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19505, NULL, 'IPR020394', NULL, 'Uncharacterised protein family, FAM23-like, transmembrane', 'Uncharacterised_FAM23-like_TM', 4, NULL),
(19506, NULL, 'IPR020787', NULL, 'Ribonuclease HII, archaea', 'RNase_HII_arc', 4, NULL),
(19507, NULL, 'IPR020731', NULL, 'Apoptosis regulator, Bcl-2, BH4 motif, conserved site', 'Bcl2_BH4_motif_CS', 2, NULL),
(19508, NULL, 'IPR016311', NULL, 'Transforming protein C-ets', 'Transform_prot_C-ets', 4, NULL),
(19509, NULL, 'IPR019553', NULL, 'Spider toxin CSTX, Knottin scaffold', 'Spider_toxin_CSTX_knottin', 4, NULL),
(19510, NULL, 'IPR016301', NULL, 'Phosphoribosylaminoimidazole carboxylase, fungi/plant', 'Ade2_fungi/plant', 4, NULL),
(19511, NULL, 'IPR018203', NULL, 'GDP dissociation inhibitor', 'GDP_dissociation_inhibitor', 4, NULL),
(19512, NULL, 'IPR017079', NULL, 'Zeaxanthin epoxidase', 'Zeaxanthin_epoxidase', 4, NULL),
(19513, NULL, 'IPR035446', NULL, 'S-locus-specific glycoprotein/EP1', 'SLSG/EP1', 4, NULL),
(19514, NULL, 'IPR016307', NULL, 'Protease inhibitor with pacifastin repeats', 'Prtase-inh_pacifastin', 4, NULL),
(19515, NULL, 'IPR020621', NULL, 'ATP phosphoribosyltransferase HisG, long form', 'ATP_PRibTrfase_HisG_long', 4, NULL),
(19516, NULL, 'IPR016283', NULL, 'Glycoside hydrolase, family 19', 'Glyco_hydro_19', 4, NULL),
(19517, NULL, 'IPR021177', NULL, 'Serum albumin/Alpha-fetoprotein/Afamin', 'Serum_albumin/AFP/Afamin', 4, NULL),
(19518, NULL, 'IPR021811', NULL, 'Protein of unknown function DUF3389', 'DUF3389', 4, NULL),
(19519, NULL, 'IPR016606', NULL, 'Uncharacterised conserved protein UCP012943', 'UCP012943', 4, NULL),
(19520, NULL, 'IPR034810', NULL, 'Coagulation factor XIII A chain', 'Factor_XIII_A', 4, NULL),
(19521, NULL, 'IPR016292', NULL, 'Epoxide hydrolase', 'Epoxide_hydrolase', 4, NULL),
(19522, NULL, 'IPR018207', NULL, 'Haem oxygenase conserved site', 'Haem_oxygenase_CS', 2, NULL),
(19523, NULL, 'IPR020282', NULL, 'Arginine vasopressin-induced protein 1/transcriptional and immune response regulator', 'Avpi1/C8orf4_dom', 3, NULL),
(19524, NULL, 'IPR016308', NULL, 'Proteinase inhibitor A/B', 'Prot_inh_API-A/B', 4, NULL),
(19525, NULL, 'IPR017083', NULL, 'RNA editing complex, nuclease subunit MP42', 'RNA_edit_cplx_Nase-su_MP42', 4, NULL),
(19526, NULL, 'IPR019571', NULL, 'Involucrin, N-terminal', 'Involucrin_N', 3, NULL),
(19527, NULL, 'IPR035959', NULL, 'RutC-like superfamily', 'RutC-like_sf', 5, NULL),
(19528, NULL, 'IPR017821', NULL, 'Succinate CoA transferase', 'Succinate_CoA_transferase', 4, NULL),
(19529, NULL, 'IPR035913', NULL, 'RPB5-like RNA polymerase subunit superfamily', 'RPB5-like_sf', 5, NULL),
(19530, NULL, 'IPR020453', NULL, 'Interleukin-22', 'IL-22', 4, NULL),
(19531, NULL, 'IPR020627', NULL, 'Uncharacterised protein family UPF0109', 'UPF0109', 4, NULL),
(19532, NULL, 'IPR021710', NULL, 'Protein of unknown function DUF3293', 'DUF3293', 4, NULL),
(19533, NULL, 'IPR016656', NULL, 'Transcription initiation factor TFIIE, beta subunit', 'TFIIE-bsu', 4, NULL),
(19534, NULL, 'IPR017078', NULL, 'Uncharacterised conserved protein UCP036978, histidinol phosphatase-related hydrolase, SCO0789', 'UCP036978_PHPhdr', 4, NULL),
(19535, NULL, 'IPR023362', NULL, 'PH-BEACH domain', 'PH-BEACH_dom', 3, NULL),
(19536, NULL, 'IPR021772', NULL, 'WDR48/Bun107', 'WDR48/Bun107', 4, NULL),
(19537, NULL, 'IPR021745', NULL, 'Cobalamin biosynthesis central region', 'CbiG_mid', 3, NULL),
(19538, NULL, 'IPR021706', NULL, 'Protein of unknown function DUF2990', 'DUF2990', 4, NULL),
(19539, NULL, 'IPR021805', NULL, 'Peptidase M10A, matrix metallopeptidase, C-terminal', 'Pept_M10A_metallopeptidase_C', 3, NULL),
(19540, NULL, 'IPR016304', NULL, 'Peptidyl-prolyl cis-trans isomerase E', 'PPIE', 4, NULL),
(19541, NULL, 'IPR021179', NULL, 'Mercury(II) reductase', 'Mercury_reductase_MerA', 4, NULL),
(19542, NULL, 'IPR035431', NULL, 'Hermansky-Pudlak syndrome 5 protein', 'HPS5', 4, NULL),
(19543, NULL, 'IPR035160', NULL, 'Protein of unknown function DUF5334', 'DUF5334', 4, NULL),
(19544, NULL, 'IPR016647', NULL, 'Probable ribonuclease VapC, Thermococci', 'VapV_Thermo', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19545, NULL, 'IPR034115', NULL, 'Peptidyl-Lys metallopeptidase catalytic domain', 'M35_peptidyl-Lys', 3, NULL),
(19546, NULL, 'IPR016300', NULL, 'Arsenical pump ATPase, ArsA/GET3', 'ATPase_ArsA/GET3', 4, NULL),
(19547, NULL, 'IPR018260', NULL, 'Ribosomal protein L22/L17, conserved site', 'Ribosomal_L22/L17_CS', 2, NULL),
(19548, NULL, 'IPR021749', NULL, 'Type II secretory pathway pseudopilin', 'PulG', 4, NULL),
(19549, NULL, 'IPR016616', NULL, 'Bardet-Biedl syndrome 2 protein', 'Bardet-Biedl_syndrome_2_prot', 4, NULL),
(19550, NULL, 'IPR034733', NULL, 'Acetyl-CoA carboxylase', 'AcCoA_carboxyl', 3, NULL),
(19551, NULL, 'IPR035016', NULL, 'Protein kinase PknD, NHL repeat domain', 'NHL_PKND', 3, NULL),
(19552, NULL, 'IPR021762', NULL, 'Protein of unknown function DUF3325', 'DUF3325', 4, NULL),
(19553, NULL, 'IPR020339', NULL, 'Uncharacterised protein family C20orf85', 'Uncharacterised_C20orf85', 4, NULL),
(19554, NULL, 'IPR016630', NULL, 'Uncharacterised conserved protein UCP015278', 'UCP015278', 4, NULL),
(19555, NULL, 'IPR021739', NULL, 'SaV-like', 'SaV-like', 4, NULL),
(19556, NULL, 'IPR020317', NULL, 'Uncharacterised protein family YjbD', 'Uncharacterised_YjbD', 4, NULL),
(19557, NULL, 'IPR016634', NULL, 'WYL domain protein, s026 type', 'WYL_dom_s026', 4, NULL),
(19558, NULL, 'IPR021767', NULL, 'Transposon Tn21 modulator protein', 'TnpM', 4, NULL),
(19559, NULL, 'IPR016649', NULL, 'Glial cell line-derived neurotrophic factor', 'GDNF', 4, NULL),
(19560, NULL, 'IPR017057', NULL, 'Ent-kaurene synthase, fungal', 'Ent-kaurene_synthase_fun', 4, NULL),
(19561, NULL, 'IPR020457', NULL, 'Zinc finger, B-box, chordata', 'Znf_B-box_chordata', 3, NULL),
(19562, NULL, 'IPR021760', NULL, 'Replication protein-C C-terminal', 'RP-C_C', 3, NULL),
(19563, NULL, 'IPR035161', NULL, 'Protein of unknown function DUF5332', 'DUF5332', 4, NULL),
(19564, NULL, 'IPR020403', NULL, 'Equine arteritis virus envelope glycoprotein 5', 'EAV_Gp5', 4, NULL),
(19565, NULL, 'IPR020519', NULL, 'Divergent protein kinase domain 2A/B', 'DIPK2A/B', 4, NULL),
(19566, NULL, 'IPR020881', NULL, 'Phosphoglycerol transferase I', 'Phosphoglycerol_transferase_I', 4, NULL),
(19567, NULL, 'IPR016655', NULL, 'Prefoldin subunit 3', 'PFD3', 4, NULL),
(19568, NULL, 'IPR016605', NULL, 'High-affinity nitrate transporter', 'Transptr_NO3_Nar2', 4, NULL),
(19569, NULL, 'IPR016636', NULL, '3-oxo-5-alpha-steroid 4-dehydrogenase', '3-oxo-5-alpha-steroid_4-DH', 4, NULL),
(19570, NULL, 'IPR018253', NULL, 'DnaJ domain, conserved site', 'DnaJ_domain_CS', 2, NULL),
(19571, NULL, 'IPR017054', NULL, 'Propanediol utilization protein, PduS, predicted', 'Propanediol_utiliz_PduS_prd', 4, NULL),
(19572, NULL, 'IPR021736', NULL, 'Protein of unknown function DUF3305', 'DUF3305', 4, NULL),
(19573, NULL, 'IPR018071', NULL, 'Omega-atracotoxin, conserved site', 'Omega-atracotox_CS', 2, NULL),
(19574, NULL, 'IPR017812', NULL, 'Mycothiol ligase MshC', 'Mycothiol_ligase_MshC', 4, NULL),
(19575, NULL, 'IPR016609', NULL, 'Uncharacterised  protein Opy1', 'Opy1', 4, NULL),
(19576, NULL, 'IPR021803', NULL, 'Protein of unknown function DUF3373', 'DUF3373', 4, NULL),
(19577, NULL, 'IPR016632', NULL, 'Conserved oligomeric Golgi complex subunit 8, Metazoal and Viridiplantae', 'COG8_Metazoal_Plant', 4, NULL),
(19578, NULL, 'IPR018262', NULL, 'Ribosomal protein L27e, conserved site', 'Ribosomal_L27e_CS', 2, NULL),
(19579, NULL, 'IPR016298', NULL, 'Histidine biosynthesis trifunctional-protein', 'Histidine_synth_trifunct', 4, NULL),
(19580, NULL, 'IPR020902', NULL, 'Actin/actin-like conserved site', 'Actin/actin-like_CS', 2, NULL),
(19581, NULL, 'IPR017806', NULL, 'Ergothioneine biosynthesis protein EgtB', 'EgtB', 4, NULL),
(19582, NULL, 'IPR016642', NULL, '26S proteasome regulatory complex, non-ATPase subcomplex, Rpn2/Psmd1 subunit', '26S_Psome_Rpn2', 4, NULL),
(19583, NULL, 'IPR035009', NULL, 'SR140, RNA recognition motif', 'SR140_RRM', 3, NULL),
(19584, NULL, 'IPR021761', NULL, 'UDP-glucuronate decarboxylase N-terminal', 'UXS1_N', 3, NULL),
(19585, NULL, 'IPR017045', NULL, 'Maltose phosphorylase/glycosyl hydrolase/vacuolar acid trehalase', 'Malt_Pase/Glycosyl_Hdrlase', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19586, NULL, 'IPR016624', NULL, 'Uncharacterised conserved protein UCP014753', 'UCP014753', 4, NULL),
(19587, NULL, 'IPR018259', NULL, 'Ribosomal protein L21e, conserved site', 'Ribosomal_L21e_CS', 2, NULL),
(19588, NULL, 'IPR016280', NULL, 'Phosphatidylinositol-4, 5-bisphosphate phosphodiesterase beta', 'PLC-beta', 4, NULL),
(19589, NULL, 'IPR021727', NULL, 'Protein of unknown function DUF3299', 'DUF3299', 4, NULL),
(19590, NULL, 'IPR021765', NULL, 'Mycotoxin biosynthesis protein UstYa-like', 'UstYa-like', 4, NULL),
(19591, NULL, 'IPR020280', NULL, 'Microcin V bacteriocin', 'MccV', 4, NULL),
(19592, NULL, 'IPR016628', NULL, 'ATPase, SAG2001, predicted', 'ATPase_SAG2001_prd', 4, NULL),
(19593, NULL, 'IPR021806', NULL, 'Protein of unknown function DUF3379', 'DUF3379', 4, NULL),
(19594, NULL, 'IPR016619', NULL, 'Uncharacterised conserved protein UCP014439, ACT', 'UCP014439_ACT', 4, NULL),
(19595, NULL, 'IPR016657', NULL, 'Phosphoacetylglucosamine mutase', 'PAGM', 4, NULL),
(19596, NULL, 'IPR016633', NULL, 'Protein-arginine rhamnosyltransferase EarP', 'EarP', 4, NULL),
(19597, NULL, 'IPR020726', NULL, 'Apoptosis regulator, Bcl-2, BH2 motif, conserved site', 'Bcl2_BH2_motif_CS', 2, NULL),
(19598, NULL, 'IPR021746', NULL, 'DIPSY domain', 'DIPSY', 3, NULL),
(19599, NULL, 'IPR021729', NULL, 'Domain of unknown function DUF3298', 'DUF3298', 3, NULL),
(19600, NULL, 'IPR017072', NULL, 'Transcription elongation factor Spt6', 'TF_Spt6', 4, NULL),
(19601, NULL, 'IPR020271', NULL, 'Uncharacterised protein family, MJ1172', 'Uncharacterised_MJ1172', 4, NULL),
(19602, NULL, 'IPR020875', NULL, '3-phenylpropionate/cinnamic acid dioxygenase, alpha subunit', 'HcaE', 4, NULL),
(19603, NULL, 'IPR016268', NULL, 'RNA-directed RNA polymerase, hantavirus', 'RNA-dir_pol_hantavirus', 4, NULL),
(19604, NULL, 'IPR021176', NULL, 'Competence-induced protein CoiA', 'Competence-induced_CoiA', 4, NULL),
(19605, NULL, 'IPR020880', NULL, 'Protein of unknown function UPF0741', 'UPF0741', 4, NULL),
(19606, NULL, 'IPR020518', NULL, 'Transcription regulator PrtN', 'Tscrpt_reg_PrtN', 4, NULL),
(19607, NULL, 'IPR021702', NULL, 'Protein of unknown function DUF3285', 'DUF3285', 4, NULL),
(19608, NULL, 'IPR017048', NULL, 'Fibulin-1', 'Fibulin-1', 4, NULL),
(19609, NULL, 'IPR021770', NULL, 'Protein of unknown function DUF3335', 'DUF3335', 4, NULL),
(19610, NULL, 'IPR017814', NULL, 'Mycothiol biosynthesis protein, MshA', 'Mycothiol_biosynthesis_MshA', 4, NULL),
(19611, NULL, 'IPR021732', NULL, 'Protein of unknown function DUF3301', 'DUF3301', 4, NULL),
(19612, NULL, 'IPR021813', NULL, 'Protein of unknown function DUF3392', 'DUF3392', 4, NULL),
(19613, NULL, 'IPR017044', NULL, 'Uncharacterised conserved protein UCP036238', 'UCP036238', 4, NULL),
(19614, NULL, 'IPR016621', NULL, 'Uncharacterised conserved protein UCP014543', 'UCP014543', 4, NULL),
(19615, NULL, 'IPR035139', NULL, 'Bacillus competence protein S', 'ComS', 4, NULL),
(19616, NULL, 'IPR021705', NULL, 'Protein of unknown function DUF3288', 'DUF3288', 4, NULL),
(19617, NULL, 'IPR016270', NULL, 'CDP-alcohol phosphatidyltransferase class-II family', 'PGS1', 4, NULL),
(19618, NULL, 'IPR020392', NULL, 'Pancreatic hormone-like, conserved site', 'Pancreatic_hormone-like_CS', 2, NULL),
(19619, NULL, 'IPR021768', NULL, 'Protein of unknown function DUF3332', 'DUF3332', 4, NULL),
(19620, NULL, 'IPR018255', NULL, 'Ribosomal protein L10e, conserved site', 'Ribosomal_L10e_CS', 2, NULL),
(19621, NULL, 'IPR016302', NULL, 'Anthranilate synthase component 2', 'Anthranilate_synth_II', 4, NULL),
(19622, NULL, 'IPR020252', NULL, 'Protein of unknown function DUF5446', 'DUF5446', 4, NULL),
(19623, NULL, 'IPR020367', NULL, 'Host transcription inhibitor Alc', 'Host_transcript_inhib_Alc', 4, NULL),
(19624, NULL, 'IPR018263', NULL, 'Ribosomal protein L32e, conserved site', 'Ribosomal_L32e_CS', 2, NULL),
(19625, NULL, 'IPR021800', NULL, 'Domain of unknown function DUF3369', 'DUF3369', 3, NULL),
(19626, NULL, 'IPR021775', NULL, 'Protein of unknown function DUF3339', 'DUF3339', 4, NULL),
(19627, NULL, 'IPR021719', NULL, 'Proteinase inhibitor I78', 'Prot_inh_I78', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19628, NULL, 'IPR021769', NULL, 'Protein of unknown function DUF3331', 'DUF3331', 4, NULL),
(19629, NULL, 'IPR018252', NULL, 'Annexin repeat, conserved site', 'Annexin_repeat_CS', 2, NULL),
(19630, NULL, 'IPR021717', NULL, 'Nucleoporin Nup120/160', 'Nucleoporin_Nup160', 4, NULL),
(19631, NULL, 'IPR020513', NULL, 'Uncharacterised protein family, inner membrane YaiY', 'Uncharacterised_IM_YaiY', 4, NULL),
(19632, NULL, 'IPR017080', NULL, 'Uncharacterised conserved protein UCP036990, CBS, BON', 'UCP036990_CBS_BON', 4, NULL),
(19633, NULL, 'IPR016622', NULL, 'Bacteriophage SP-beta, YorJ', 'Phage_SP-beta_YorJ', 4, NULL),
(19634, NULL, 'IPR017069', NULL, 'Maltodextrin glucosidase', 'MalZ', 4, NULL),
(19635, NULL, 'IPR020362', NULL, 'Tail accessory factor GP4', 'Tail_accessory_Gp4', 4, NULL),
(19636, NULL, 'IPR019564', NULL, 'Mitochondrial outer membrane transport complex Sam37/metaxin, N-terminal domain', 'Sam37/metaxin_N', 3, NULL),
(19637, NULL, 'IPR020400', NULL, 'Cecropin, insect', 'Cecropin_insect', 4, NULL),
(19638, NULL, 'IPR021738', NULL, 'Protein of unknown function DUF3309', 'DUF3309', 4, NULL),
(19639, NULL, 'IPR017047', NULL, 'Teratocarcinoma-derived growth factor Cripto', 'Cripto_growth_factor', 4, NULL),
(19640, NULL, 'IPR017071', NULL, 'Transcription elongation factor Spt5, eukaryote', 'TF_Spt5_eukaryote', 4, NULL),
(19641, NULL, 'IPR021743', NULL, 'Keratin-associated protein, type6/8/16/19/20/21', 'KRTAP_type6/8/16/19/20/21', 4, NULL),
(19642, NULL, 'IPR018072', NULL, 'Conotoxin, alpha-type, conserved site', 'Conotoxin_a-typ_CS', 2, NULL),
(19643, NULL, 'IPR035158', NULL, 'Protein of unknown function DUF5396', 'DUF5396', 4, NULL),
(19644, NULL, 'IPR020347', NULL, 'Ribonucleases P/MRP protein subunit Pop8', 'Pop8', 4, NULL),
(19645, NULL, 'IPR020312', NULL, 'Protein of unknown function DUF5497', 'DUF5497', 4, NULL),
(19646, NULL, 'IPR021785', NULL, 'Domain of unknown function DUF3350', 'DUF3350', 3, NULL),
(19647, NULL, 'IPR034724', NULL, 'Chromodomain-helicase-DNA-binding protein 8', 'CHD8', 4, NULL),
(19648, NULL, 'IPR016288', NULL, '1, 4-beta cellobiohydrolase', 'Beta_cellobiohydrolase', 4, NULL),
(19649, NULL, 'IPR021795', NULL, 'Protein of unknown function DUF3363', 'DUF3363', 4, NULL),
(19650, NULL, 'IPR020831', NULL, 'Glyceraldehyde/Erythrose phosphate dehydrogenase family', 'GlycerAld/Erythrose_P_DH', 4, NULL),
(19651, NULL, 'IPR016275', NULL, 'Glucose-6-phosphatase', 'Glucose-6-phosphatase', 4, NULL),
(19652, NULL, 'IPR016259', NULL, 'Hygromycin-B kinase', 'Hygromycin-B_Kinase', 4, NULL),
(19653, NULL, 'IPR021758', NULL, 'Baculoviridae late expression factor 5, C-terminal', 'Baculo_LEF5_C', 3, NULL),
(19654, NULL, 'IPR016637', NULL, 'Neurogenic differentiation factor NeuroD', 'TF_bHLH_NeuroD', 4, NULL),
(19655, NULL, 'IPR016651', NULL, 'Leucine carboxyl methyltransferase 1', 'PPM1', 4, NULL),
(19656, NULL, 'IPR021791', NULL, 'Phage tail tube protein, GTA-gp10', 'Phage_TAC_11', 4, NULL),
(19657, NULL, 'IPR016273', NULL, 'Erythromycin esterase, proteobacteria', 'Emycin_Estase_proteobac', 4, NULL),
(19658, NULL, 'IPR016315', NULL, 'Protohaem IX farnesyltransferase, mitochondria', 'Protohaem_IX_farnesylTrfase_mt', 4, NULL),
(19659, NULL, 'IPR018057', NULL, 'Deoxyribonuclease I, active site', 'Deoxyribonuclease-1_AS', 0, NULL),
(19660, NULL, 'IPR017085', NULL, 'RNA editing complex, structural subunit MP81', 'RNA_edit_cplx_Nase-su_MP81', 4, NULL),
(19661, NULL, 'IPR021802', NULL, 'MiT/TFE transcription factors, C-terminal', 'MiT/TFE_C', 3, NULL),
(19662, NULL, 'IPR016652', NULL, 'Ubiquitinyl hydrolase', 'Ubiquitinyl_hydrolase', 4, NULL),
(19663, NULL, 'IPR021733', NULL, 'Protein of unknown function DUF3304', 'DUF3304', 4, NULL),
(19664, NULL, 'IPR021807', NULL, 'High-affinity branched-chain amino acid transport system permease, LivHM, N-terminal', 'LivHM_N', 3, NULL),
(19665, NULL, 'IPR016613', NULL, 'Increased recombination centres protein 19', 'Irc19', 4, NULL),
(19666, NULL, 'IPR016284', NULL, 'Bacteriophage PRD1, P15, lysozyme', 'Phage_PRD1_P15_lysozyme', 4, NULL),
(19667, NULL, 'IPR020260', NULL, 'Uncharacterised protein family YueH', 'Uncharacterised_YueH', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19668, NULL, 'IPR017089', NULL, 'Splicing factor 3B, subunit 5', 'Splicing_factor_3B_subunit_5', 4, NULL),
(19669, NULL, 'IPR021752', NULL, 'Transcription initiation factor Rrn7, Zinc-finger', 'TF_Rrn7_Zf', 3, NULL),
(19670, NULL, 'IPR018204', NULL, 'Tryptophan synthase, alpha chain, active site', 'Trp_synthase_alpha_AS', 0, NULL),
(19671, NULL, 'IPR020251', NULL, 'Uncharacterised protein family, YmjA', 'Uncharacterised_YmjA', 4, NULL),
(19672, NULL, 'IPR017087', NULL, 'Uncharacterised conserved protein UCP037004', 'UCP037004', 4, NULL),
(19673, NULL, 'IPR020311', NULL, 'Uncharacterised protein family, Rv0898c', 'Uncharacterised_Rv0898c', 4, NULL),
(19674, NULL, 'IPR020893', NULL, 'Cytochrome c oxidase, subunit Vb, zinc binding site', 'Cyt_c_oxidase_su5b_Zn_BS', 1, NULL),
(19675, NULL, 'IPR020475', NULL, 'Endothelin', 'Endothelin', 4, NULL),
(19676, NULL, 'IPR021725', NULL, 'Pathogenicity locus', 'Cdd1', 4, NULL),
(19677, NULL, 'IPR021801', NULL, 'Protein of unknown function DUF3370', 'DUF3370', 4, NULL),
(19678, NULL, 'IPR020323', NULL, 'Protein of unknown function DUF2716', 'DUF2716', 4, NULL),
(19679, NULL, 'IPR016635', NULL, 'Adaptor protein complex, sigma subunit', 'AP_complex_ssu', 4, NULL),
(19680, NULL, 'IPR020387', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV), Orf112', 'AcMNPV_Orf112', 4, NULL),
(19681, NULL, 'IPR021808', NULL, 'Protein of unknown function DUF3383', 'DUF3383', 4, NULL),
(19682, NULL, 'IPR034860', NULL, 'Secreted frizzled-related protein 5', 'SFRP-5', 4, NULL),
(19683, NULL, 'IPR020275', NULL, 'Family of unknown function DUF5592', 'DUF5592', 4, NULL),
(19684, NULL, 'IPR034909', NULL, 'Neutrophil cytosol factor 1, PX domain', 'PX_p47phox', 3, NULL),
(19685, NULL, 'IPR020448', NULL, 'Maltose fermentation regulatory protein, DNA-binding domain', 'Maltose_ferment_reg_DNA-bd', 3, NULL),
(19686, NULL, 'IPR020633', NULL, 'Thymidine kinase, conserved site', 'Thymidine_kinase_CS', 2, NULL),
(19687, NULL, 'IPR034885', NULL, 'Neutrophil cytosol factor 2, PB1 domain', 'PB1_P67', 3, NULL),
(19688, NULL, 'IPR034195', NULL, 'Mrn1, RNA recognition motif 1', 'Mrn1_RRM1', 3, NULL),
(19689, NULL, 'IPR017816', NULL, 'S-(hydroxymethyl)mycothiol dehydrogenase', 'MycoS_dep_FDH', 4, NULL),
(19690, NULL, 'IPR016620', NULL, 'CRISPR system ring nuclease SSO1393', 'SSO1393', 4, NULL),
(19691, NULL, 'IPR021774', NULL, 'Domain of unknown function DUF3338', 'DUF3338', 3, NULL),
(19692, NULL, 'IPR016612', NULL, 'Mediator complex, subunit Med6, fungi', 'Mediator_Med6_fun', 4, NULL),
(19693, NULL, 'IPR017077', NULL, 'Uncharacterised protein family Ycf55, algae', 'Uncharacterised_Ycf55_algae', 4, NULL),
(19694, NULL, 'IPR020249', NULL, 'Protein of unknown function DUF5492', 'DUF5492', 4, NULL),
(19695, NULL, 'IPR016650', NULL, 'Eukaryotic translation initiation factor 3 subunit E', 'eIF3e', 4, NULL),
(19696, NULL, 'IPR017075', NULL, 'mRNA capping enzyme, alpha subunit', 'mRNA_cap_enzyme_alpha', 4, NULL),
(19697, NULL, 'IPR016289', NULL, 'Endo-beta-N-acetylglucosaminidase', 'Endo-Fsp', 4, NULL),
(19698, NULL, 'IPR017073', NULL, 'Ubiquitin binding protein, Hrs/VPS27', 'Ubi-bd_Hrs_VPS27', 4, NULL),
(19699, NULL, 'IPR021798', NULL, 'Alpha-(1->3)-arabinofuranosyltransferase', 'AftD', 4, NULL),
(19700, NULL, 'IPR016272', NULL, 'Lipase, LIPH-type', 'Lipase_LIPH', 4, NULL),
(19701, NULL, 'IPR017055', NULL, 'Signal transduction histidine kinase, DctB (C4-dicarboxylate transport system regulator)', 'Sig_transdc_His_kinase_DctB', 4, NULL),
(19702, NULL, 'IPR020890', NULL, 'Transcription regulator HTH, HdfR', 'Tscrpt_reg_HTH_HdfR', 4, NULL),
(19703, NULL, 'IPR017810', NULL, 'Mycothiol biosynthesis protein, MshB', 'Mycothiol_biosynthesis_MshB', 4, NULL),
(19704, NULL, 'IPR021709', NULL, 'Protein of unknown function DUF3292', 'DUF3292', 4, NULL),
(19705, NULL, 'IPR018254', NULL, 'Ribosomal protein L29, conserved site', 'Ribosomal_L29_CS', 2, NULL),
(19706, NULL, 'IPR017041', NULL, 'Uncharacterised conserved protein UCP036054', 'UCP036054', 4, NULL),
(19707, NULL, 'IPR016287', NULL, 'Beta-agarase', 'Beta_agarase', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19708, NULL, 'IPR020877', NULL, 'Interleukin-1 conserved site', 'IL-1_CS', 2, NULL),
(19709, NULL, 'IPR020270', NULL, 'Uncharacterised protein family, plasmid pXO2-34', 'Plasmid_pXO2-34', 4, NULL),
(19710, NULL, 'IPR020230', NULL, 'Transcription regulator MotB', 'Tscrpt_reg_MotB', 4, NULL),
(19711, NULL, 'IPR018264', NULL, 'Ribosomal protein L33, conserved site', 'Ribosomal_L33_CS', 2, NULL),
(19712, NULL, 'IPR020278', NULL, 'Uncharacterized protein YqaH-like', 'YqaH-like', 4, NULL),
(19713, NULL, 'IPR021754', NULL, 'Protein of unknown function DUF3320', 'DUF3320', 4, NULL),
(19714, NULL, 'IPR021747', NULL, 'Protein of unknown function DUF3313', 'DUF3313', 4, NULL),
(19715, NULL, 'IPR021759', NULL, 'Domain of unknown function DUF3324, C-terminal', 'DUF3324_C', 3, NULL),
(19716, NULL, 'IPR018261', NULL, 'Ribosomal protein L27, conserved site', 'Ribosomal_L27_CS', 2, NULL),
(19717, NULL, 'IPR020471', NULL, 'Aldo-keto reductase', 'AKR', 4, NULL),
(19718, NULL, 'IPR017046', NULL, 'Prenylcysteine oxidase', 'Prenylcysteine_Oxase', 4, NULL),
(19719, NULL, 'IPR023366', NULL, 'ATP synthase subunit alpha, N-terminal domain-like superfamily', 'ATP_synth_asu-like_sf', 5, NULL),
(19720, NULL, 'IPR020231', NULL, 'Uncharacterised protein family, YfgI', 'Uncharacterised_YfgI', 4, NULL),
(19721, NULL, 'IPR023352', NULL, 'Membrane associated eicosanoid/glutathione metabolism-like domain superfamily', 'MAPEG-like_dom_sf', 5, NULL),
(19722, NULL, 'IPR016629', NULL, 'RNA polymerase I, subunit A (TATA-binding protein-associated factor)', 'RNA_pol_I_TAF1A/TAFI48', 4, NULL),
(19723, NULL, 'IPR021174', NULL, 'Uncharacterised conserved protein UCP037139', 'UCP037139', 4, NULL),
(19724, NULL, 'IPR021753', NULL, 'Protein of unknown function DUF3319', 'DUF3319', 4, NULL),
(19725, NULL, 'IPR016262', NULL, 'RNA polymerase sigma factor, SigB/C/D/F, plastid', 'RNA_pol_sigma_SigB/C/D/F', 4, NULL),
(19726, NULL, 'IPR021784', NULL, 'Protein of unknown function DUF3349', 'DUF3349', 4, NULL),
(19727, NULL, 'IPR020526', NULL, 'Ribosomal protein L6, chloroplast', 'Ribosomal_L6_chp', 4, NULL),
(19728, NULL, 'IPR017820', NULL, 'Sulphoacetaldehyde acetyltransferase', 'Sulphoacetald_Actrfrase', 4, NULL),
(19729, NULL, 'IPR016276', NULL, 'Non-receptor tyrosine-protein phosphatase 22', 'PTPN22', 4, NULL),
(19730, NULL, 'IPR016271', NULL, 'CDP-diacylglycerol--serine O-phosphatidyltransferase, fungal', 'CDP-diaglyc--ser_O-PTrfase_fun', 4, NULL),
(19731, NULL, 'IPR016310', NULL, 'Transcription factor GAMYB-like', 'GAMYB-like', 4, NULL),
(19732, NULL, 'IPR017813', NULL, 'Mycothiol acetyltransferase', 'Mycothiol_AcTrfase', 4, NULL),
(19733, NULL, 'IPR021815', NULL, 'Protein of unknown function DUF3396', 'DUF3396', 4, NULL),
(19734, NULL, 'IPR017093', NULL, 'Molecular chaperone regulator BAG-1', 'BAG-1', 4, NULL),
(19735, NULL, 'IPR020248', NULL, 'Protein of unknown function Y03I', 'Y03I', 4, NULL),
(19736, NULL, 'IPR017088', NULL, 'Wax synthase, Magnoliopsida', 'Wax_synthase_Magnoliopsida', 4, NULL),
(19737, NULL, 'IPR020348', NULL, 'Uncharacterised protein family YvaD', 'Uncharacterised_YvaD', 4, NULL),
(19738, NULL, 'IPR020262', NULL, 'Uncharacterised protein family YecJ', 'Uncharacterised_YecJ', 4, NULL),
(19739, NULL, 'IPR017066', NULL, 'E3 ubiquitin-protein ligase BOI-like', 'E3ligase_BOI-like', 4, NULL),
(19740, NULL, 'IPR016631', NULL, 'Regulatory, RpfE', 'Regulatory_RpfE', 4, NULL),
(19741, NULL, 'IPR017092', NULL, 'Peptidase S54, rhomboid-like, Rom4/Rom5, apicomplexa', 'Pept_S54_Rhomboid-like_Rom4/5', 4, NULL),
(19742, NULL, 'IPR016610', NULL, 'Exonuclease V, Saccharomyces', 'Exo5', 4, NULL),
(19743, NULL, 'IPR021737', NULL, 'Bacteriophage phiKZ, Orf197', 'Phage_phiKZ_Orf197', 4, NULL),
(19744, NULL, 'IPR020314', NULL, 'Uncharacterised protein family YpzA', 'Uncharacterised_YpzA', 4, NULL),
(19745, NULL, 'IPR021707', NULL, 'Protein of unknown function DUF3290', 'DUF3290', 4, NULL),
(19746, NULL, 'IPR020258', NULL, 'Uncharacterised protein family YbeF', 'Uncharacterised_YbeF', 4, NULL),
(19747, NULL, 'IPR021724', NULL, 'Protein of unknown function DUF3297', 'DUF3297', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19748, NULL, 'IPR020493', NULL, 'Uncharacterised protein family HI0310', 'Uncharacterised_HI0310', 4, NULL),
(19749, NULL, 'IPR021779', NULL, 'Protein of unknown function DUF3344', 'DUF3344', 4, NULL),
(19750, NULL, 'IPR018256', NULL, 'Ribosomal protein L13e, conserved site', 'Ribosomal_L13e_CS', 2, NULL),
(19751, NULL, 'IPR021782', NULL, 'Protein of unknown function DUF3347', 'DUF3347', 3, NULL),
(19752, NULL, 'IPR019568', NULL, 'Rapsyn, myristoylation/linker region, N-terminal', 'Rapsyn_myristoylation/link_N', 3, NULL),
(19753, NULL, 'IPR021741', NULL, 'Protein of unknown function DUF3311', 'DUF3311', 4, NULL),
(19754, NULL, 'IPR017067', NULL, 'Ribonuclease H1, eukaryote', 'RNase_H1_euk', 4, NULL),
(19755, NULL, 'IPR035991', NULL, 'Casein kinase II subunit beta-like', 'Casein_kinase_II_beta-like', 5, NULL),
(19756, NULL, 'IPR016659', NULL, 'Transcription factor II-I', 'TF_II-I', 4, NULL),
(19757, NULL, 'IPR021744', NULL, 'Cobalamin synthesis G, N-terminal', 'CbiG_N', 3, NULL),
(19758, NULL, 'IPR021771', NULL, 'Triacylglycerol lipase, N-terminal', 'Triacylglycerol_lipase_N', 3, NULL),
(19759, NULL, 'IPR017052', NULL, 'Atrial natriuretic peptide-converting enzyme corin', 'Corin', 4, NULL),
(19760, NULL, 'IPR020233', NULL, 'GSE/EGO complex subunit Slm4', 'Slm4', 4, NULL),
(19761, NULL, 'IPR021764', NULL, 'Enterochelin esterase, N-terminal', 'Enterochelin_esterase_N', 3, NULL),
(19762, NULL, 'IPR021804', NULL, 'Protein of unknown function DUF3375', 'DUF3375', 4, NULL),
(19763, NULL, 'IPR017817', NULL, 'Mycothione reductase', 'Mycothione_reductase', 4, NULL),
(19764, NULL, 'IPR020878', NULL, 'Ribulose bisphosphate carboxylase, large chain, active site', 'RuBisCo_large_chain_AS', 0, NULL),
(19765, NULL, 'IPR021712', NULL, 'Uncharacterised domain UPF0506', 'UPF0506', 3, NULL),
(19766, NULL, 'IPR018258', NULL, 'Ribosomal protein L21, conserved site', 'Ribosomal_L21_CS', 2, NULL),
(19767, NULL, 'IPR021812', NULL, 'Protein of unknown function DUF3391', 'DUF3391', 3, NULL),
(19768, NULL, 'IPR018265', NULL, 'Ribosomal protein L35, conserved site', 'Ribosomal_L35_CS', 2, NULL),
(19769, NULL, 'IPR020349', NULL, 'Uncharacterised protein family 14.7kDa', 'Uncharacterised_14.7kDa', 4, NULL),
(19770, NULL, 'IPR021730', NULL, 'Dicarboxylate transport', 'DctA-YdbH', 3, NULL),
(19771, NULL, 'IPR034703', NULL, 'Proton/glutamate-aspartate symporter GltP', 'GltP', 4, NULL),
(19772, NULL, 'IPR018070', NULL, 'Neuromedin U, amidation site', 'Neuromedin-U_amidation-site', 6, NULL),
(19773, NULL, 'IPR016654', NULL, 'U6 snRNA-associated Sm-like protein LSm2', 'U6_snRNA_Lsm2', 4, NULL),
(19774, NULL, 'IPR020460', NULL, 'Zinc finger, DksA/TraR C4-type, bacteria', 'Znf_C4-type_bac', 3, NULL),
(19775, NULL, 'IPR020255', NULL, 'Minor curli fiber component A', 'CsgA', 4, NULL),
(19776, NULL, 'IPR020226', NULL, 'Avian adenovirus Orf17', 'Avian_adenovirus_Orf17', 4, NULL),
(19777, NULL, 'IPR017818', NULL, 'Plasmid partitioning protein, RepA', 'Plasmid_partition_RepA', 4, NULL),
(19778, NULL, 'IPR021742', NULL, 'Suppressor of RNA silencing P21-like, N-terminal', 'RSS_P20_N', 3, NULL),
(19779, NULL, 'IPR017081', NULL, 'Ribosomal protein S24, mitochondrial', 'Ribosomal_S24_mit', 4, NULL),
(19780, NULL, 'IPR020573', NULL, 'UDP-3-O-[3-hydroxymyristoyl] glucosamine N-acyltransferase, non-repeat region', 'UDP_GlcNAc_AcTrfase_non-rep', 3, NULL),
(19781, NULL, 'IPR016286', NULL, 'Alpha-L-fucosidase, metazoa-type', 'FUC_metazoa-typ', 4, NULL),
(19782, NULL, 'IPR016639', NULL, 'Glutathione S-transferase Omega/GSH', 'GST_Omega/GSH', 4, NULL),
(19783, NULL, 'IPR023195', NULL, 'Nicotinate-nucleotide-dimethylbenzimidazole phosphoribosyltransferase, N-terminal', 'Nict_dMeBzImd_PRibTrfase_N', 5, NULL),
(19784, NULL, 'IPR018193', NULL, 'Glycerate kinase, flavodoxin-like fold', 'Glyc_kinase_flavodox-like_fold', 5, NULL),
(19785, NULL, 'IPR020254', NULL, 'Protein of unknown function DUF2626', 'DUF2626', 4, NULL),
(19786, NULL, 'IPR017043', NULL, 'Type I restriction-modification system, specificity subunit, predicted', 'HsdS_prd', 4, NULL),
(19787, NULL, 'IPR021735', NULL, 'Protein of unknown function DUF3306', 'DUF3306', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19788, NULL, 'IPR019562', NULL, 'Micronemal adhesive repeat, sialic-acid binding', 'Micronemal-adhesive-rpt_sia-bd', 7, NULL),
(19789, NULL, 'IPR016614', NULL, 'Mitochondrial holo-[acyl-carrier-protein] synthase Ppt2', 'PPTase_2', 4, NULL),
(19790, NULL, 'IPR021173', NULL, 'Bifunctional dolichyl pyrophosphate glc1man9glcnac2 alpha-1,3-glucosyltransferase/endonuclease V', 'C08H9.3-like', 4, NULL),
(19791, NULL, 'IPR017050', NULL, 'Metallopeptidase, nematode', 'Metallopeptidase_nem', 4, NULL),
(19792, NULL, 'IPR016615', NULL, 'Ubiquitin thioesterase Otubain', 'Otubain', 4, NULL),
(19793, NULL, 'IPR021726', NULL, 'THO complex, subunitTHOC2, N-terminal', 'THO_THOC2_N', 3, NULL),
(19794, NULL, 'IPR017090', NULL, 'Serine/threonine-protein kinase, SIK1/2', 'Ser/Thr_kinase_SIK1/2', 4, NULL),
(19795, NULL, 'IPR019561', NULL, 'Translocon Sec61/SecY, plug domain', 'Translocon_Sec61/SecY_plug_dom', 3, NULL),
(19796, NULL, 'IPR021766', NULL, 'Phosphate regulon sensor protein PhoR', 'PhoR', 4, NULL),
(19797, NULL, 'IPR019554', NULL, 'Soluble ligand binding domain', 'Soluble_ligand-bd', 3, NULL),
(19798, NULL, 'IPR020470', NULL, 'Interleukin-13', 'IL-13', 4, NULL),
(19799, NULL, 'IPR021793', NULL, 'Major outer membrane lipoprotein Oprl', 'Oprl', 4, NULL),
(19800, NULL, 'IPR021122', NULL, 'RNA ligase domain, REL/Rln2', 'RNA_ligase_dom_REL/Rnl2', 3, NULL),
(19801, NULL, 'IPR035155', NULL, 'Protein of unknown function DUF5393', 'DUF5393', 4, NULL),
(19802, NULL, 'IPR021781', NULL, 'Protein of unknown function DUF3346', 'DUF3346', 4, NULL),
(19803, NULL, 'IPR016278', NULL, 'Dual specificity protein phosphatase 12', 'DUSP12', 4, NULL),
(19804, NULL, 'IPR023353', NULL, 'LemA-like domain superfamily', 'LemA-like_dom_sf', 5, NULL),
(19805, NULL, 'IPR024660', NULL, 'UNC-45/Cro1/She4, central domain', 'UCS_central_dom', 3, NULL),
(19806, NULL, 'IPR016607', NULL, 'Protein SCAI, metazoan/viridiplantae', 'SCAI_metazoan/Viridiplantae', 4, NULL),
(19807, NULL, 'IPR017064', NULL, 'Acid sphingomyelinase-like phosphodiesterase, predicted', 'ASM-like_Pdiesterase_prd', 4, NULL),
(19808, NULL, 'IPR034874', NULL, 'Partitioning defective 6 homologue gamma', 'PAR-6_G', 4, NULL),
(19809, NULL, 'IPR034035', NULL, 'Astacin-like metallopeptidase domain', 'Astacin-like_dom', 3, NULL),
(19810, NULL, 'IPR017056', NULL, 'Phosphoesterase, HI0762, predicted', 'P-Estase_HI0762_prd', 4, NULL),
(19811, NULL, 'IPR019557', NULL, 'Aminotransferase-like, plant mobile domain', 'AminoTfrase-like_pln_mobile', 3, NULL),
(19812, NULL, 'IPR021701', NULL, 'Protein of unknown function DUF3284', 'DUF3284', 4, NULL),
(19813, NULL, 'IPR021715', NULL, 'Pre-mRNA-splicing factor SLU7 domain', 'Slu7_dom', 3, NULL),
(19814, NULL, 'IPR020516', NULL, 'Uncharacterised protein family YxcD', 'Uncharacterised_YxcD', 4, NULL),
(19815, NULL, 'IPR020613', NULL, 'Thiolase, conserved site', 'Thiolase_CS', 2, NULL),
(19816, NULL, 'IPR020253', NULL, 'Torovirus, nucleocapsid protein', 'Torovirus_nucleocapsid', 4, NULL),
(19817, NULL, 'IPR021777', NULL, 'SANT and BTB domain regulator of CSR, BTB domain', 'SANBR_BTB', 3, NULL),
(19818, NULL, 'IPR016279', NULL, 'Phosphatidylinositol-4, 5-bisphosphate phosphodiesterase gamma', 'PLC-gamma', 4, NULL),
(19819, NULL, 'IPR035433', NULL, 'NFU1-like', 'NFU1-like', 4, NULL),
(19820, NULL, 'IPR021720', NULL, 'Malectin domain', 'Malectin_dom', 3, NULL),
(19821, NULL, 'IPR023312', NULL, 'Putative nitroreductase, C-terminal, bacterial', 'Put_nitroreductase_C_bac', 5, NULL),
(19822, NULL, 'IPR020578', NULL, 'Aminotransferase class-V, pyridoxal-phosphate binding site', 'Aminotrans_V_PyrdxlP_BS', 1, NULL),
(19823, NULL, 'IPR017068', NULL, 'Protein disulphide-isomerase A4', 'Protein_diS-isomerase_A4', 4, NULL),
(19824, NULL, 'IPR035445', NULL, 'GYF-like domain superfamily', 'GYF-like_dom_sf', 5, NULL),
(19825, NULL, 'IPR021757', NULL, 'Ribosomal protein L46, N-terminal', 'Ribosomal_L46_N', 3, NULL),
(19826, NULL, 'IPR021776', NULL, 'Protein of unknown function DUF3341', 'DUF3341', 4, NULL),
(19827, NULL, 'IPR017805', NULL, 'SAM-dependent methyltransferase, EasF-type, putative', 'SAM_MeTrfase_EasF-type_put', 3, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19828, NULL, 'IPR021778', NULL, 'Putative Se/S carrier protein-like', 'Se/S_carrier-like', 3, NULL),
(19829, NULL, 'IPR020313', NULL, 'Double-stranded DNA-binding protein', 'Double-stranded_DNA-bd', 4, NULL),
(19830, NULL, 'IPR020806', NULL, 'Polyketide synthase, phosphopantetheine-binding domain', 'PKS_PP-bd', 3, NULL),
(19831, NULL, 'IPR021708', NULL, 'Domain of unknown function DUF3291', 'DUF3291', 3, NULL),
(19832, NULL, 'IPR016618', NULL, 'Uncharacterised conserved protein UCP014422', 'UCP014422', 4, NULL),
(19833, NULL, 'IPR018266', NULL, 'Ribosomal protein L35Ae, conserved site', 'Ribosomal_L35Ae_CS', 2, NULL),
(19834, NULL, 'IPR016306', NULL, 'DNA ligase, ATP-dependent, bacteriophage T3-type', 'DNA_ligase_ATP-dep_T3', 4, NULL),
(19835, NULL, 'IPR021797', NULL, 'Virulence factor membrane-bound polymerase, C-terminal', 'Wzy_C_2', 3, NULL),
(19836, NULL, 'IPR021740', NULL, 'Velvet factor', 'Velvet', 4, NULL),
(19837, NULL, 'IPR020244', NULL, 'Rotavirus B, non-structural protein 5', 'Rotavirus_B_NSP5', 4, NULL),
(19838, NULL, 'IPR016258', NULL, 'Multiphosphoryl transfer protein FruB', 'FruB', 4, NULL),
(19839, NULL, 'IPR016285', NULL, 'Haemagglutinin-neuraminidase', 'Hemagglutn-neuramid', 4, NULL),
(19840, NULL, 'IPR016626', NULL, 'Uncharacterised conserved protein UCP014897, archaea', 'UCP014897_arc', 4, NULL),
(19841, NULL, 'IPR017086', NULL, 'RNA editing complex, structural subunit MP63', 'RNA_edit_cplx_Nase-su_MP63', 4, NULL),
(19842, NULL, 'IPR016266', NULL, 'DNA polymerase epsilon, subunit B', 'POLE2', 4, NULL),
(19843, NULL, 'IPR023951', NULL, 'L-ascorbate-6-phosphate lactonase UlaG', 'L-ascorbate_6P_UlaG', 4, NULL),
(19844, NULL, 'IPR020629', NULL, 'Formamidopyrimidine-DNA glycosylase', 'Formamido-pyr_DNA_Glyclase', 4, NULL),
(19845, NULL, 'IPR017070', NULL, 'Uncharacterised conserved protein UCP036920, phosphoglycerate mutase, plant X4/Y4', 'UCP036920_PGAM-like_plant', 4, NULL),
(19846, NULL, 'IPR020476', NULL, 'NUDIX hydrolase', 'Nudix_hydrolase', 3, NULL),
(19847, NULL, 'IPR017809', NULL, 'Glutamate--cysteine ligase EgtA, Actinobacteria', 'EgtA_Actinobacteria', 4, NULL),
(19848, NULL, 'IPR020277', NULL, 'Protein of unknown function DUF2624', 'DUF2624', 4, NULL),
(19849, NULL, 'IPR021751', NULL, 'Protein of unknown function DUF3318', 'DUF3318', 4, NULL),
(19850, NULL, 'IPR016305', NULL, 'Mannose-6-phosphate isomerase', 'Mannose-6-P_Isomerase', 4, NULL),
(19851, NULL, 'IPR016611', NULL, 'Mitochondrial intermembrane space cysteine motif-containing protein Mix14', 'Mix14', 4, NULL),
(19852, NULL, 'IPR020466', NULL, 'Interleukin-15, mammal', 'IL-15_mml', 4, NULL),
(19853, NULL, 'IPR020272', NULL, 'Uncharacterized protein C-84-like', 'C-84-like', 4, NULL),
(19854, NULL, 'IPR017053', NULL, 'Response regulator  B-type, plant', 'Response_reg_B-typ_pln', 4, NULL),
(19855, NULL, 'IPR035960', NULL, 'Secretoglobin superfamily', 'Secretoglobin_sf', 5, NULL),
(19856, NULL, 'IPR021175', NULL, 'Bifunctional inorganic polyphosphate/ATP-NAD kinase, predicted', 'Bifunctional_PpnK_predicted', 4, NULL),
(19857, NULL, 'IPR021731', NULL, 'AMIN domain', 'AMIN_dom', 3, NULL),
(19858, NULL, 'IPR016627', NULL, 'Uncharacterised conserved protein UCP015013', 'UCP015013', 4, NULL),
(19859, NULL, 'IPR020274', NULL, 'Uncharacterised protein family HI1496', 'Uncharacterised_HI1496', 4, NULL),
(19860, NULL, 'IPR021794', NULL, 'Protein of unknown function DUF3360', 'DUF3360', 4, NULL),
(19861, NULL, 'IPR020469', NULL, 'Cytochrome P450, CYP2 family', 'Cyt_P450_CYP2_fam', 4, NULL),
(19862, NULL, 'IPR020891', NULL, 'Uncharacterised protein family UPF0758, conserved site', 'UPF0758_CS', 2, NULL),
(19863, NULL, 'IPR019570', NULL, 'Gap junction protein, cysteine-rich domain', 'Connexin_CCC', 3, NULL),
(19864, NULL, 'IPR021780', NULL, 'Nuclear/hormone receptor activator site AF-1', 'Nuc_recep-AF1', 3, NULL),
(19865, NULL, 'IPR021787', NULL, 'Protein of unknown function DUF3352', 'DUF3352', 4, NULL),
(19866, NULL, 'IPR018267', NULL, 'Ribosomal protein L37e, conserved site', 'Ribosomal_L37e_CS', 2, NULL),
(19867, NULL, 'IPR017807', NULL, 'Urea transporter, bacteria', 'Urea_transporter_bac', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19868, NULL, 'IPR016299', NULL, 'Riboflavin biosynthesis protein RibBA', 'Riboflavin_synth_RibBA', 4, NULL),
(19869, NULL, 'IPR020617', NULL, 'Thiolase, C-terminal', 'Thiolase_C', 3, NULL),
(19870, NULL, 'IPR021788', NULL, 'Protein CHAPERONE-LIKE PROTEIN OF POR1-like', 'CPP1-like', 4, NULL),
(19871, NULL, 'IPR016653', NULL, 'tRNA (guanine(9)-N(1))-methyltransferase TRM10/TRM10A', 'TRM10/TRM10A', 4, NULL),
(19872, NULL, 'IPR021763', NULL, 'Protein of unknown function DUF3326', 'DUF3326', 4, NULL),
(19873, NULL, 'IPR016269', NULL, 'RNA-directed RNA polymerase, paramyxovirus', 'RNA-dir_pol_paramyxovirus', 4, NULL),
(19874, NULL, 'IPR020615', NULL, 'Thiolase, acyl-enzyme intermediate active site', 'Thiolase_acyl_enz_int_AS', 0, NULL),
(19875, NULL, 'IPR020717', NULL, 'Apoptosis regulator, Bcl-2, BH1 motif, conserved site', 'Bcl2_BH1_motif_CS', 2, NULL),
(19876, NULL, 'IPR016281', NULL, 'Crossover junction endodeoxyribonuclease, RusA', 'Endonuclease_RusA', 4, NULL),
(19877, NULL, 'IPR035015', NULL, 'Methylene tetrahydromethanopterin dehydrogenase, NADP-binding domain', 'NAD-bd_H4MPT_DH', 3, NULL),
(19878, NULL, 'IPR016604', NULL, 'Uncharacterised conserved protein UCP012886', 'UCP012886', 4, NULL),
(19879, NULL, 'IPR020581', NULL, 'Glycine cleavage system P protein', 'GDC_P', 4, NULL),
(19880, NULL, 'IPR019563', NULL, 'Glycosyl-hydrolase 97, catalytic domain', 'GH97_catalytic', 3, NULL),
(19881, NULL, 'IPR017049', NULL, 'Low density lipoprotein receptor-related protein 5/6', 'LRP5/6', 4, NULL),
(19882, NULL, 'IPR018257', NULL, 'Ribosomal protein L19, conserved site', 'Ribosomal_L19_CS', 2, NULL),
(19883, NULL, 'IPR035990', NULL, 'Triosephosphate isomerase superfamily', 'TIM_sf', 5, NULL),
(19884, NULL, 'IPR016645', NULL, 'Uncharacterised conserved protein UCP016134', 'UCP016134', 4, NULL),
(19885, NULL, 'IPR017051', NULL, 'Peptidase S1A, matripase', 'Peptidase_S1A_matripase', 4, NULL),
(19886, NULL, 'IPR016638', NULL, 'Uncharacterised protein family UPF0376', 'UPF0376', 4, NULL),
(19887, NULL, 'IPR021750', NULL, 'Septation initiation Sid4-like', 'Sid4-like', 4, NULL),
(19888, NULL, 'IPR020404', NULL, 'Protein of unknown function DUF2713', 'DUF2713', 3, NULL),
(19889, NULL, 'IPR021714', NULL, 'Nucleolar pre-ribosomal-associated protein 1, N-terminal', 'Npa1_N', 3, NULL),
(19890, NULL, 'IPR020807', NULL, 'Polyketide synthase, dehydratase domain', 'PKS_dehydratase', 3, NULL),
(19891, NULL, 'IPR016282', NULL, 'Glycoside hydrolase, family 5, endoglucanase B', 'Glyco_hydro_5_endoGlcnase_B', 4, NULL),
(19892, NULL, 'IPR017059', NULL, '[NiFe]-hydrogenase-3-type complex Eha, membrane protein EhaH, predicted', 'NiFe-hyd_3_EhaH_prd', 4, NULL),
(19893, NULL, 'IPR020346', NULL, 'Uncharacterised protein family 15.3kDa', 'Uncharacterised_15.3kDa', 4, NULL),
(19894, NULL, 'IPR034036', NULL, 'Tolloid/BMP1 peptidase domain', 'ZnMP_TLD/BMP1', 3, NULL),
(19895, NULL, 'IPR018063', NULL, 'SAM-dependent methyltransferase RsmI, conserved site', 'SAM_MeTrfase_RsmI_CS', 2, NULL),
(19896, NULL, 'IPR021728', NULL, 'Protein of unknown function DUF3300', 'DUF3300', 4, NULL),
(19897, NULL, 'IPR023950', NULL, 'Flavohemoprotein', 'Hmp', 4, NULL),
(19898, NULL, 'IPR016314', NULL, 'Cell division protein Cdc6/18', 'Cdc6/18', 4, NULL),
(19899, NULL, 'IPR021814', NULL, 'Protein of unknown function DUF3394', 'DUF3394', 4, NULL),
(19900, NULL, 'IPR016643', NULL, '26S proteasome regulatory complex, non-ATPase subcomplex, Rpn1 subunit', '26S_Psome_Rpn1', 4, NULL),
(19901, NULL, 'IPR020529', NULL, 'Origin recognition complex, subunit 6, metazoa/plant', 'ORC6_met/pln', 4, NULL),
(19902, NULL, 'IPR023335', NULL, 'ATP12 orthogonal Bundle domain superfamily', 'ATP12_ortho_dom_sf', 5, NULL),
(19903, NULL, 'IPR021792', NULL, 'Beta-fructofuranosidase, N-terminal domain', 'Beta-fructofuranosidase_N', 3, NULL),
(19904, NULL, 'IPR017811', NULL, 'Mycothiol S-conjugate amidase Mca', 'Mca', 4, NULL),
(19905, NULL, 'IPR017074', NULL, 'mRNA capping enzyme, bifunctional', 'mRNA_cap_enz_bifunc', 4, NULL),
(19906, NULL, 'IPR017823', NULL, 'Bisanhydrobacterioruberin hydratase CruF', 'CruF', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19907, NULL, 'IPR018268', NULL, 'Ribosomal protein S10, conserved site', 'Ribosomal_S10_CS', 2, NULL),
(19908, NULL, 'IPR021799', NULL, 'Protein of unknown function DUF3368', 'DUF3368', 4, NULL),
(19909, NULL, 'IPR020468', NULL, 'Nisin biosynthesis protein, NisC', 'Nisin_biosynthesis_NisC', 4, NULL),
(19910, NULL, 'IPR020261', NULL, 'Protein of unknown function DUF5493', 'DUF5493', 4, NULL),
(19911, NULL, 'IPR021783', NULL, 'Protein of unknown function DUF3348', 'DUF3348', 4, NULL),
(19912, NULL, 'IPR020479', NULL, 'Homeobox domain, metazoa', 'Homeobox_metazoa', 3, NULL),
(19913, NULL, 'IPR017822', NULL, 'Carotene biosynthesis-associated membrane protein, type-1', 'Carotene_biosyn-assoc_mem-1', 4, NULL),
(19914, NULL, 'IPR019559', NULL, 'Cullin protein, neddylation domain', 'Cullin_neddylation_domain', 3, NULL),
(19915, NULL, 'IPR020427', NULL, 'Interleukin-11A, fish', 'IL-11A_fish', 4, NULL),
(19916, NULL, 'IPR021718', NULL, 'Pre-mRNA 3''-end-processing endonuclease polyadenylation factor C-term', 'CPSF73-100_C', 3, NULL),
(19917, NULL, 'IPR035430', NULL, 'Phosphoprotein P region PNT disordered', 'Paramyxo_PNT', 3, NULL),
(19918, NULL, 'IPR020455', NULL, 'BDNF/NT-3 growth factors receptor NTRK2', 'NTRK2', 4, NULL),
(19919, NULL, 'IPR023361', NULL, 'DUF1285, beta-roll domain superfamily', 'DUF1285_beta_roll_sf', 5, NULL),
(19920, NULL, 'IPR020401', NULL, 'mRNA transport factor GFD1', 'mRNA_transport_factor_GFD1', 4, NULL),
(19921, NULL, 'IPR017042', NULL, 'Uncharacterised conserved protein UCP036055', 'UCP036055', 4, NULL),
(19922, NULL, 'IPR017808', NULL, 'Ergothioneine biosynthesis protein EgtC', 'EgtC', 4, NULL),
(19923, NULL, 'IPR016641', NULL, 'Nascent polypeptide-associated complex subunit alpha', 'EGD2/NACA', 4, NULL),
(19924, NULL, 'IPR016267', NULL, 'UTP--glucose-1-phosphate uridylyltransferase', 'UDPGP_trans', 4, NULL),
(19925, NULL, 'IPR035512', NULL, 'Cas scaffolding protein family member 4', 'CASS4', 4, NULL),
(19926, NULL, 'IPR017815', NULL, 'Myo-inositol 1-phosphate synthase, actinobacteria', 'Myo-inos-1-P_Synthase_actino', 4, NULL),
(19927, NULL, 'IPR034857', NULL, 'TFG, PB1 domain', 'PB1_TFG', 3, NULL),
(19928, NULL, 'IPR021756', NULL, 'Transcription factor Aft1, HRR domain', 'TF_Aft1_HRR', 3, NULL),
(19929, NULL, 'IPR020872', NULL, '2-phosphoglycerate kinase', '2-phosphoglycerate_kinase', 4, NULL),
(19930, NULL, 'IPR021748', NULL, 'Protein of unknown function DUF3314', 'DUF3314', 4, NULL),
(19931, NULL, 'IPR021790', NULL, 'PTBP1, RNA recognition motif 2-like', 'PTBP1_RRM', 3, NULL),
(19932, NULL, 'IPR018163', NULL, 'Threonyl/alanyl tRNA synthetase, class II-like, putative editing domain superfamily', 'Thr/Ala-tRNA-synth_IIc_edit', 5, NULL),
(19933, NULL, 'IPR020527', NULL, 'Cytomegalovirus uncharacterized protein UL17', 'Cytomegalovir_UL17', 4, NULL),
(19934, NULL, 'IPR020595', NULL, 'MnmG-related, conserved site', 'MnmG-rel_CS', 2, NULL),
(19935, NULL, 'IPR020396', NULL, 'NADH:ubiquinone oxidoreductase, 30kDa subunit, conserved site', 'NADH_UbQ_OxRdtase_CS', 2, NULL),
(19936, NULL, 'IPR016274', NULL, 'Histidine acid phosphatase, eukaryotic', 'Histidine_acid_Pase_euk', 4, NULL),
(19937, NULL, 'IPR020227', NULL, 'Protein of unknown function DUF5507', 'DUF5507', 4, NULL),
(19938, NULL, 'IPR016646', NULL, 'Alpha-(1, 3)-fucosyltransferase/alpha-(1, 4)-fucosyltransferase, Helicobacter', 'Alpha-1_3/4-FUT_helico', 4, NULL),
(19939, NULL, 'IPR021773', NULL, 'Trafficking protein particle complex subunit 11', 'TPC11', 3, NULL),
(19940, NULL, 'IPR018149', NULL, 'Lysyl-tRNA synthetase, class II, C-terminal', 'Lys-tRNA-synth_II_C', 3, NULL),
(19941, NULL, 'IPR021796', NULL, 'Protein of unknown function DUF3365', 'DUF3365', 4, NULL),
(19942, NULL, 'IPR017076', NULL, 'Kremen', 'Kremen', 4, NULL),
(19943, NULL, 'IPR020728', NULL, 'Apoptosis regulator, Bcl-2, BH3 motif, conserved site', 'Bcl2_BH3_motif_CS', 2, NULL),
(19944, NULL, 'IPR017824', NULL, 'Aminodeoxychorismate lyase, class IV', 'Aminodeoxychorismate_lyase_IV', 4, NULL),
(19945, NULL, 'IPR017082', NULL, 'Ribosomal protein S23, mitochondrial, fungi', 'Ribosomal_S23_mit_fun', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19946, NULL, 'IPR034194', NULL, 'Mrn1, RNA recognition motif 2', 'Mrn1_RRM2', 3, NULL),
(19947, NULL, 'IPR020511', NULL, 'Uncharacterised protein family HI0941', 'Uncharacterised_HI0941', 4, NULL),
(19948, NULL, 'IPR016625', NULL, 'Uncharacterised conserved protein UCP014872, subtilisin-related', 'UCP014872_subtilisin-rel', 4, NULL),
(19949, NULL, 'IPR016648', NULL, 'Uncharacterised conserved protein UCP016175, prenyltransferase beta-subunit-related', 'UCP016175_prenyltrans-rel', 4, NULL),
(19950, NULL, 'IPR016290', NULL, 'S-adenosyl-L-methionine hydrolase', 'S-AdoMet_hydrolase', 4, NULL),
(19951, NULL, 'IPR017058', NULL, 'Major membrane immunogen, tpp15, predicted', 'Major_M_immunogen_Tpp15_prd', 4, NULL),
(19952, NULL, 'IPR021786', NULL, 'Pre-mRNA splicing factor component Cdc5p/Cef1, C-terminal', 'Cdc5p/Cef1_C', 3, NULL),
(19953, NULL, 'IPR023615', NULL, 'Cytochrome c oxidase, subunit I, copper-binding site', 'Cyt_c_Oxase_su1_BS', 1, NULL),
(19954, NULL, 'IPR019572', NULL, 'Ubiquitin-activating enzyme, SCCH domain', 'UBA_E1_SCCH', 3, NULL),
(19955, NULL, 'IPR021734', NULL, 'Protein of unknown function DUF3303', 'DUF3303', 4, NULL),
(19956, NULL, 'IPR035008', NULL, 'hnRNP-L, RNA recognition motif 2', 'hnRNPL_RRM2', 3, NULL),
(19957, NULL, 'IPR035914', NULL, 'Spermadhesin, CUB domain superfamily', 'Sperma_CUB_dom_sf', 5, NULL),
(19958, NULL, 'IPR016617', NULL, 'Uncharacterised conserved protein UCP013899, metal binding', 'UCP013899_metal-bd', 4, NULL),
(19959, NULL, 'IPR021789', NULL, 'KHA domain', 'KHA_dom', 3, NULL),
(19960, NULL, 'IPR018065', NULL, 'Ribosomal protein L34e, conserved site', 'Ribosomal_L34e_CS', 2, NULL),
(19961, NULL, 'IPR017094', NULL, 'Biliverdin reductase A', 'Biliverdin_Rdtase_A', 4, NULL),
(19962, NULL, 'IPR016294', NULL, 'Peptidase M10B', 'Pept_M10B', 4, NULL),
(19963, NULL, 'IPR018250', NULL, 'Neuregulin-1', 'NRG1', 4, NULL),
(19964, NULL, 'IPR023359', NULL, 'Dihydroorotate dehydrogenase A, chain A, domain 2', 'Dihydro_DH_chainA_dom2', 5, NULL),
(19965, NULL, 'IPR021721', NULL, 'Zinc finger, CCCH-type, TRM13', 'Znf_CCCH-type_TRM13', 3, NULL),
(19966, NULL, 'IPR020472', NULL, 'G-protein beta WD-40 repeat', 'G-protein_beta_WD-40_rep', 7, NULL),
(19967, NULL, 'IPR018091', NULL, 'Phosphoenolpyruvate carboxykinase, GTP-utilising, conserved site', 'PEP_carboxykin_GTP_CS', 2, NULL),
(19968, NULL, 'IPR019566', NULL, 'Myelin-PO, C-terminal', 'Myelin-PO_C', 3, NULL),
(19969, NULL, 'IPR020605', NULL, 'Octanoyltransferase, conserved site', 'Octanoyltransferase_CS', 2, NULL),
(19970, NULL, 'IPR021722', NULL, 'Uncharacterised domain YvbH-like, oligomerisation domain', 'UPF_YvbH_oligomer_dom', 3, NULL),
(19971, NULL, 'IPR021716', NULL, 'Thrombin inhibitor Madanin', 'Inhibitor_I53', 3, NULL),
(19972, NULL, 'IPR017084', NULL, 'RNA editing complex, subunit MP18', 'RNA_edit_cplx_su_MP18', 4, NULL),
(19973, NULL, 'IPR034910', NULL, 'LARP7, RNA recognition motif 2', 'LARP7_RRM2', 3, NULL),
(19974, NULL, 'IPR019560', NULL, 'Mitochondrial 18kDa protein', 'Mitochondrial_18_kDa_protein_', 4, NULL),
(19975, NULL, 'IPR016291', NULL, 'Isochorismatase', 'Isochorismatase', 4, NULL),
(19976, NULL, 'IPR034706', NULL, 'Cell division coordinator CpoB', 'CpoB', 4, NULL),
(19977, NULL, 'IPR021810', NULL, 'Protein of unknown function DUF3387', 'DUF3387', 4, NULL),
(19978, NULL, 'IPR021713', NULL, 'Folliculin', 'Folliculin', 4, NULL),
(19979, NULL, 'IPR016295', NULL, 'Proteasome subunit beta 4', 'Proteasome_beta4', 4, NULL),
(19980, NULL, 'IPR020269', NULL, 'Bacteriophage Mu, Gp25', 'Phage_Mu_Gp25', 4, NULL),
(19981, NULL, 'IPR016644', NULL, 'T-DNA border endonuclease virD2', 'VirD2', 4, NULL),
(19982, NULL, 'IPR016261', NULL, 'Folic acid synthesis protein FOL1', 'Folic_acid_synth', 4, NULL),
(19983, NULL, 'IPR020338', NULL, 'SMN complex, gem-associated protein 7', 'SMN_gemin7', 4, NULL),
(19984, NULL, 'IPR021809', NULL, 'Protein of unknown function DUF3386', 'DUF3386', 4, NULL),
(19985, NULL, 'IPR021755', NULL, 'Transcription factor Aft1, HRA domain', 'TF_Aft1_HRA', 3, NULL),
(19986, NULL, 'IPR020579', NULL, 'Exonuclease VII, large subunit, C-terminal', 'Exonuc_VII_lsu_C', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(19987, NULL, 'IPR020616', NULL, 'Thiolase, N-terminal', 'Thiolase_N', 3, NULL),
(19988, NULL, 'IPR021704', NULL, 'Protein of unknown function DUF3287', 'DUF3287', 4, NULL),
(19989, NULL, 'IPR017819', NULL, 'Plasmid partitioning protein, RepB', 'Plasmid_partition_RepB', 4, NULL),
(19990, NULL, 'IPR016277', NULL, 'Tyrosine-protein phosphatase 1', 'Ptp1', 4, NULL),
(19991, NULL, 'IPR018166', NULL, 'S-adenosylmethionine decarboxylase, conserved site', 'S-AdoMet_deCO2ase_CS', 2, NULL),
(19992, NULL, 'IPR016312', NULL, 'Transcription factor, GA-binding, alpha subunit', 'TF_GA-bd_asu', 4, NULL),
(19993, NULL, 'IPR021711', NULL, 'Protein of unknown function DUF3295', 'DUF3295', 4, NULL),
(19994, NULL, 'IPR020256', NULL, 'Spore coat protein CotJA', 'Spore_coat_CotJA', 4, NULL),
(19995, NULL, 'IPR016658', NULL, 'DNA primase LEF1', 'DNA_primase_LEF1', 4, NULL),
(19996, NULL, 'IPR017095', NULL, 'Saimiri transformation-associated protein', 'StpC', 4, NULL),
(19997, NULL, 'IPR034911', NULL, 'Polyadenylate-binding protein 2', 'PABP2', 4, NULL),
(19998, NULL, 'IPR020901', NULL, 'Proteinase inhibitor I2, Kunitz, conserved site', 'Prtase_inh_Kunz-CS', 2, NULL),
(19999, NULL, 'IPR024659', NULL, 'Major capsid protein Gp5', 'Phage_coat_Gp5', 4, NULL),
(20000, NULL, 'IPR018251', NULL, 'Crustacean neurohormone, conserved site', 'Crust_neurhormone_CS', 2, NULL),
(20001, NULL, 'IPR021115', NULL, 'Pyridoxal-phosphate binding site', 'Pyridoxal-P_BS', 1, NULL),
(20002, NULL, 'IPR021939', NULL, 'Kank N-terminal motif', 'KN_motif', 2, NULL),
(20003, NULL, 'IPR019674', NULL, 'Lipoprotein LpqN/LpqT-like', 'Lipoprotein_LpqN/LpqT-like', 4, NULL),
(20004, NULL, 'IPR021869', NULL, 'Ribonuclease Zc3h12a-like, NYN domain', 'RNase_Zc3h12_NYN', 3, NULL),
(20005, NULL, 'IPR020946', NULL, 'Flavin monooxygenase-like', 'Flavin_mOase-like', 4, NULL),
(20006, NULL, 'IPR034471', NULL, '7,8-dihydro-6-hydroxymethylpterin dimethylase', '7_8-dihydro-6-hydroxymethylpte', 4, NULL),
(20007, NULL, 'IPR018395', NULL, '2-keto-3-deoxygluconate permease, subgroup', '2keto-3dGluconate_permease_sub', 4, NULL),
(20008, NULL, 'IPR019605', NULL, 'Misato Segment II tubulin-like domain', 'Misato_II_tubulin-like', 3, NULL),
(20009, NULL, 'IPR024242', NULL, 'Non-classical export protein 1', 'NCE101', 4, NULL),
(20010, NULL, 'IPR021835', NULL, 'Protein of unknown function DUF3427', 'DUF3427', 4, NULL),
(20011, NULL, 'IPR021898', NULL, 'Protein of unknown function DUF3509', 'DUF3509', 4, NULL),
(20012, NULL, 'IPR035173', NULL, 'Sulphur globule protein', 'SGP', 4, NULL),
(20013, NULL, 'IPR021883', NULL, 'Protein LOW PSII ACCUMULATION 1-like', 'LPA1-like', 4, NULL),
(20014, NULL, 'IPR021907', NULL, 'Protein of unknown function DUF3519', 'DUF3519', 4, NULL),
(20015, NULL, 'IPR022768', NULL, 'Fascin domain', 'Fascin-domain', 3, NULL),
(20016, NULL, 'IPR018130', NULL, 'Ribosomal protein S2, conserved site', 'Ribosomal_S2_CS', 2, NULL),
(20017, NULL, 'IPR018832', NULL, 'Peptidase C25, gingipain, C-terminal', 'Pept_C25_gingipain_C', 3, NULL),
(20018, NULL, 'IPR023365', NULL, 'Sortase domain superfamily', 'Sortase_dom-sf', 5, NULL),
(20019, NULL, 'IPR021845', NULL, 'Protein of unknown function DUF3440', 'DUF3440', 4, NULL),
(20020, NULL, 'IPR023261', NULL, 'Autophagy-related protein 14', 'Autophagy-related_protein_14', 4, NULL),
(20021, NULL, 'IPR021889', NULL, 'Protein of unknown function DUF3500', 'DUF3500', 4, NULL),
(20022, NULL, 'IPR024258', NULL, 'Protein of unknown function DUF3798', 'DUF3798', 4, NULL),
(20023, NULL, 'IPR020894', NULL, 'Cadherin conserved site', 'Cadherin_CS', 2, NULL),
(20024, NULL, 'IPR018192', NULL, 'Ribosomal protein S5, N-terminal, conserved site', 'Ribosomal_S5_N_CS', 2, NULL),
(20025, NULL, 'IPR035187', NULL, 'Mitochondrial peculiar membrane protein 1', 'Mpm1', 4, NULL),
(20026, NULL, 'IPR034984', NULL, 'IPPA , imelysin-like domain', 'Imelysin-like_IPPA', 3, NULL),
(20027, NULL, 'IPR023263', NULL, 'Activity-regulated cytoskeleton-associated protein', 'Arc', 4, NULL),
(20028, NULL, 'IPR021916', NULL, 'Protein of unknown function DUF3527', 'DUF3527', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20029, NULL, 'IPR019258', NULL, 'Mediator complex, subunit Med4', 'Mediator_Med4', 4, NULL),
(20030, NULL, 'IPR019582', NULL, 'RNA recognition motif, spliceosomal PrP8', 'RRM_spliceosomal_PrP8', 3, NULL),
(20031, NULL, 'IPR021825', NULL, 'Protein RETICULATA-related', 'RETICULATA-related', 4, NULL),
(20032, NULL, 'IPR024286', NULL, 'Domain of unknown function DUF3700', 'DUF3700', 3, NULL),
(20033, NULL, 'IPR021928', NULL, 'Protein of unknown function DUF3541', 'DUF3541', 4, NULL),
(20034, NULL, 'IPR020497', NULL, 'Protein of unknown function DUF5440', 'DUF5440', 4, NULL),
(20035, NULL, 'IPR021854', NULL, 'WASH1, WAHD domain', 'WASH1_WAHD', 3, NULL),
(20036, NULL, 'IPR018198', NULL, 'ATP phosphoribosyltransferase, conserved site', 'ATP_PRibTrfase_CS', 2, NULL),
(20037, NULL, 'IPR021896', NULL, 'Transposase protein', 'Transposase_37', 4, NULL),
(20038, NULL, 'IPR021931', NULL, 'Protein kinase C-binding protein 1', 'ZMYND8', 4, NULL),
(20039, NULL, 'IPR034814', NULL, 'Urokinase-type plasminogen activator', 'Urokinase', 4, NULL),
(20040, NULL, 'IPR021853', NULL, 'Protein of unknown function DUF3460', 'DUF3460', 4, NULL),
(20041, NULL, 'IPR017836', NULL, 'Hopanoid biosynthesis associated protein HpnK', 'Hopanoid_biosynth-assoc_HpnK', 4, NULL),
(20042, NULL, 'IPR017839', NULL, 'DMSO reductase family, type II, iron-sulphur subunit', 'DMSO_Rdtase_II_Fe-S_su', 4, NULL),
(20043, NULL, 'IPR021839', NULL, 'Early growth response protein 1, C-terminal', 'EGR1_C', 7, NULL),
(20044, NULL, 'IPR019616', NULL, 'Ycf54 protein', 'Ycf54', 4, NULL),
(20045, NULL, 'IPR019264', NULL, 'Domain of unknown function DUF2179', 'DUF2179', 3, NULL),
(20046, NULL, 'IPR020635', NULL, 'Tyrosine-protein kinase, catalytic domain', 'Tyr_kinase_cat_dom', 3, NULL),
(20047, NULL, 'IPR019257', NULL, 'Histidine-specific methyltransferase, SAM-dependent', 'MeTrfase_dom', 3, NULL),
(20048, NULL, 'IPR020798', NULL, 'Ribosomal protein L16, conserved site', 'Ribosomal_L16_CS', 2, NULL),
(20049, NULL, 'IPR018278', NULL, 'Ribosomal protein S21, conserved site', 'Ribosomal_S21_CS', 2, NULL),
(20050, NULL, 'IPR018269', NULL, 'Ribosomal protein S13, conserved site', 'Ribosomal_S13_CS', 2, NULL),
(20051, NULL, 'IPR034474', NULL, 'Methyltransferase, class D', 'Methyltransferase_Class_D', 4, NULL),
(20052, NULL, 'IPR018277', NULL, 'Ribosomal protein S19e, conserved site', 'Ribosomal_S19e_CS', 2, NULL),
(20053, NULL, 'IPR020410', NULL, 'Interleukin-15, fish', 'IL-15_fish', 4, NULL),
(20054, NULL, 'IPR020393', NULL, 'Uncharacterised protein family YusU', 'Uncharacterised_YusU', 4, NULL),
(20055, NULL, 'IPR021851', NULL, 'Protein of unknown function DUF3455', 'DUF3455', 4, NULL),
(20056, NULL, 'IPR020496', NULL, 'Sigma-M inhibitor YhdK', 'YhdK', 4, NULL),
(20057, NULL, 'IPR018812', NULL, 'Swiss Army Knife RNA repair protein, HAD domain', 'SAK_HAD', 3, NULL),
(20058, NULL, 'IPR019620', NULL, 'Putative metal-binding protein', 'Metal-bd_prot_put', 4, NULL),
(20059, NULL, 'IPR021859', NULL, 'XRN2-binding (XTBD) domain', 'XTBD', 3, NULL),
(20060, NULL, 'IPR018820', NULL, 'Brefeldin A sensitivity protein-related, domain of unknown function DUF2421', 'BRE4-related_DUF2421', 3, NULL),
(20061, NULL, 'IPR018821', NULL, 'Domain of unknown function DUF294, putative nucleotidyltransferase substrate-binding', 'DUF294_put_nucleoTrafse_sb-bd', 3, NULL),
(20062, NULL, 'IPR020612', NULL, 'Methylthiotransferase, conserved site', 'Methylthiotransferase_CS', 2, NULL),
(20063, NULL, 'IPR021913', NULL, 'Protein of unknown function DUF3526', 'DUF3526', 4, NULL),
(20064, NULL, 'IPR024750', NULL, 'Calcium-transporting P-type ATPase, N-terminal autoinhibitory domain', 'Ca_ATPase_N_dom', 3, NULL),
(20065, NULL, 'IPR034246', NULL, 'Sulfocyanin, C-terminal', 'Sulfocyanin_C', 3, NULL),
(20066, NULL, 'IPR019613', NULL, 'Protein of unknown function DUF4198', 'DUF4198', 4, NULL),
(20067, NULL, 'IPR021914', NULL, 'Transcriptional factor DELLA, N-terminal', 'TF_DELLA_N', 3, NULL),
(20068, NULL, 'IPR019271', NULL, 'Protein of unknown function DUF2284, metal-binding', 'DUF2284_metal-binding', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20069, NULL, 'IPR016316', NULL, 'Thrombomodulin', 'CD141', 4, NULL),
(20070, NULL, 'IPR018271', NULL, 'Ribosomal protein S14, conserved site', 'Ribosomal_S14_CS', 2, NULL),
(20071, NULL, 'IPR021886', NULL, 'MgsA AAA+ ATPase C-terminal', 'MgsA_C', 3, NULL),
(20072, NULL, 'IPR035195', NULL, 'ERMES regulator 1', 'Emr1', 4, NULL),
(20073, NULL, 'IPR020428', NULL, 'Atypical dual-specificity phosphatase Siw14-like, plant and fungi', 'PFA-DSPs', 4, NULL),
(20074, NULL, 'IPR021852', NULL, 'Domain of unknown function DUF3456', 'DUF3456', 3, NULL),
(20075, NULL, 'IPR021922', NULL, 'Par3/HAL, N-terminal', 'Par3/HAL_N', 3, NULL),
(20076, NULL, 'IPR020373', NULL, 'Ribosomal protein S36, mitochondrial', 'Ribosomal_S36_mt', 4, NULL),
(20077, NULL, 'IPR018281', NULL, 'Ribosomal protein S3Ae, conserved site', 'Ribosomal_S3Ae_CS', 2, NULL),
(20078, NULL, 'IPR021846', NULL, 'NFACT protein, C-terminal', 'NFACT-C', 3, NULL),
(20079, NULL, 'IPR018273', NULL, 'Ribosomal protein S17e, conserved site', 'Ribosomal_S17e_CS', 2, NULL),
(20080, NULL, 'IPR019291', NULL, 'Host attachment protein', 'Host_attachment_protein', 4, NULL),
(20081, NULL, 'IPR021822', NULL, 'Protein of unknown function DUF3405', 'DUF3405', 4, NULL),
(20082, NULL, 'IPR019286', NULL, 'Protein of unknown function DUF2339, transmembrane', 'DUF2339_TM', 4, NULL),
(20083, NULL, 'IPR019591', NULL, 'Mrp/NBP35 ATP-binding protein', 'Mrp/NBP35_ATP-bd', 4, NULL),
(20084, NULL, 'IPR020412', NULL, 'Interleukin-11, mammalian', 'IL-11_mml', 4, NULL),
(20085, NULL, 'IPR019587', NULL, 'Polyketide cyclase/dehydrase', 'Polyketide_cyclase/dehydratase', 4, NULL),
(20086, NULL, 'IPR021849', NULL, 'Early growth response, N-terminal', 'EGR_N', 3, NULL),
(20087, NULL, 'IPR021884', NULL, 'Ice-binding protein', 'Ice-bd_prot', 4, NULL),
(20088, NULL, 'IPR021901', NULL, 'CAS family, C-terminal', 'CAS_C', 3, NULL),
(20089, NULL, 'IPR020503', NULL, 'Uncharacterised protein family Rv2561', 'Uncharacterised_Rv2561', 4, NULL),
(20090, NULL, 'IPR018302', NULL, 'Kinetochore protein Cenp-F/LEK1, Rb protein-binding domain', 'CenpF/LEK1_Rb-prot-bd', 3, NULL),
(20091, NULL, 'IPR019289', NULL, 'Bacteriophage tail protein Gp41, putative', 'Phage_tail_Gp41_put', 4, NULL),
(20092, NULL, 'IPR017843', NULL, 'DMSO reductase family, type II, chaperone', 'DMSO_Rdtase_II_chaperone', 4, NULL),
(20093, NULL, 'IPR023115', NULL, 'Translation initiation factor IF- 2, domain 3', 'TIF_IF2_dom3', 3, NULL),
(20094, NULL, 'IPR019580', NULL, 'Pre-mRNA-processing-splicing factor 8, U6-snRNA-binding', 'Prp8_U6-snRNA-bd', 3, NULL),
(20095, NULL, 'IPR018811', NULL, 'MIOREX complex component 11', 'Mrx11', 4, NULL),
(20096, NULL, 'IPR020622', NULL, 'Alanine racemase, pyridoxal-phosphate attachment site', 'Ala_racemase_pyridoxalP-BS', 1, NULL),
(20097, NULL, 'IPR019602', NULL, 'mRNA capping enzyme, large subunit, ATPase/guanylyltransferase, virus', 'mRNA_cap_ATPase/GuylTrfase_vir', 3, NULL),
(20098, NULL, 'IPR020625', NULL, 'Schiff base-forming aldolase, active site', 'Schiff_base-form_aldolases_AS', 0, NULL),
(20099, NULL, 'IPR020610', NULL, 'Thiolase, active site', 'Thiolase_AS', 0, NULL),
(20100, NULL, 'IPR021929', NULL, 'Late blight resistance protein R1', 'Late_blight_resistance_R1', 4, NULL),
(20101, NULL, 'IPR018201', NULL, 'Beta-ketoacyl synthase, active site', 'Ketoacyl_synth_AS', 0, NULL),
(20102, NULL, 'IPR021865', NULL, 'Peptidase G2, IMC autoproteolytic cleavage domain', 'Peptidase_G2', 3, NULL),
(20103, NULL, 'IPR035179', NULL, 'Protein of unknown function DUF5314', 'DUF5314', 4, NULL),
(20104, NULL, 'IPR020306', NULL, 'Mite allergen, group 5/21', 'Mite_allergen_group-5/21', 4, NULL),
(20105, NULL, 'IPR019678', NULL, 'Protein of unknown function DUF2555', 'DUF2555', 4, NULL),
(20106, NULL, 'IPR020501', NULL, 'Uncharacterised protein family AF1218', 'Uncharacterised_AF1218', 4, NULL),
(20107, NULL, 'IPR018850', NULL, 'Mitochondrial escape protein 2, C-terminal', 'Mt_escape_2_C', 3, NULL),
(20108, NULL, 'IPR020781', NULL, 'ATPase, OSCP/delta subunit, conserved site', 'ATPase_OSCP/d_CS', 2, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20109, NULL, 'IPR020534', NULL, 'Uncharacterised protein family YqxA', 'Uncharacterised_YqxA', 4, NULL),
(20110, NULL, 'IPR021903', NULL, 'Protein of unknown function DUF3515', 'DUF3515', 4, NULL),
(20111, NULL, 'IPR021927', NULL, 'Protein of unknown function DUF3540', 'DUF3540', 4, NULL),
(20112, NULL, 'IPR018282', NULL, 'Ribosomal protein S6e, conserved site', 'Ribosomal_S6e_CS', 2, NULL),
(20113, NULL, 'IPR021863', NULL, 'Fatty acid desaturase, N-terminal', 'FAS_N', 3, NULL),
(20114, NULL, 'IPR024264', NULL, 'Domain of unknown function DUF3786', 'DUF3786', 3, NULL),
(20115, NULL, 'IPR020509', NULL, 'Uncharacterised protein family YnzE', 'Uncharacterised_YnzE', 4, NULL),
(20116, NULL, 'IPR020325', NULL, 'Uncharacterised protein family 16.1kDa', 'Uncharacterised_16.1kDa', 4, NULL),
(20117, NULL, 'IPR024247', NULL, 'Protein of unknown function DUF2673', 'DUF2673', 4, NULL),
(20118, NULL, 'IPR019284', NULL, 'Xylella phage Xfas53, Orf42', 'Phage_Xfas53_Orf42', 4, NULL),
(20119, NULL, 'IPR020368', NULL, 'Uncharacterised protein family YbjM', 'Uncharacterised_YbjM', 4, NULL),
(20120, NULL, 'IPR021899', NULL, 'Protein of unknown function DUF3511', 'DUF3511', 4, NULL),
(20121, NULL, 'IPR020356', NULL, 'Poxvirus T3C', 'Poxvirus_T3C', 4, NULL),
(20122, NULL, 'IPR024234', NULL, 'Protein of unknown function DUF3801', 'DUF3801', 4, NULL),
(20123, NULL, 'IPR020320', NULL, 'Swinepox virus, C2', 'Swinepox_virus_C2', 4, NULL),
(20124, NULL, 'IPR018827', NULL, 'Uncharacterised domain YCR061W, C-terminal', 'Uncharacterised_YCR061W_C', 3, NULL),
(20125, NULL, 'IPR034196', NULL, 'CELF1/2, RNA recognition motif 1', 'CELF1/2_RRM1', 3, NULL),
(20126, NULL, 'IPR021893', NULL, 'Protein of unknown function DUF3504', 'DUF3504', 3, NULL),
(20127, NULL, 'IPR018279', NULL, 'Ribosomal protein S21e, conserved site', 'Ribosomal_S21e_CS', 2, NULL),
(20128, NULL, 'IPR018810', NULL, 'Uncharacterised protein family UPF0662', 'UPF0662', 4, NULL),
(20129, NULL, 'IPR021878', NULL, 'Protein-glutamine gamma-glutamyltransferase TgpA, N-terminal', 'TgpA_N', 3, NULL),
(20130, NULL, 'IPR034811', NULL, 'Tissue-type plasminogen activator', 'tPA', 4, NULL),
(20131, NULL, 'IPR017842', NULL, 'Hopanoid biosynthesis-associated membrane protein HpnM', 'Hopanoid_biosyn-assoc_HpnM', 4, NULL),
(20132, NULL, 'IPR020987', NULL, 'Centromere protein Cenp-M', 'Centromere_Cenp-M', 4, NULL),
(20133, NULL, 'IPR021829', NULL, 'Protein of unknown function DUF3419', 'DUF3419', 4, NULL),
(20134, NULL, 'IPR020406', NULL, 'Epidermin biosynthesis protein EpiC', 'Epidermin_biosynth_EpiC', 4, NULL),
(20135, NULL, 'IPR017826', NULL, '2,3-oxidosqualene cyclase', '2-3-oxidosqualene_cyclase', 4, NULL),
(20136, NULL, 'IPR024249', NULL, 'Protein of unknown function DUF2761', 'DUF2761', 4, NULL),
(20137, NULL, 'IPR020892', NULL, 'Cyclophilin-type peptidyl-prolyl cis-trans isomerase, conserved site', 'Cyclophilin-type_PPIase_CS', 2, NULL),
(20138, NULL, 'IPR020302', NULL, 'Uncharacterized YnfE-like', 'YnfE-like', 4, NULL),
(20139, NULL, 'IPR022764', NULL, 'Peptidase S54, rhomboid domain', 'Peptidase_S54_rhomboid_dom', 3, NULL),
(20140, NULL, 'IPR018825', NULL, 'Domain of unknown function DUF2427', 'DUF2427', 3, NULL),
(20141, NULL, 'IPR023262', NULL, 'Active regulator of SIRT1', 'AROS', 4, NULL),
(20142, NULL, 'IPR018815', NULL, 'Increased loss of mitochondrial DNA protein 1', 'Incr_loss_mito_DNA_1', 4, NULL),
(20143, NULL, 'IPR020904', NULL, 'Short-chain dehydrogenase/reductase, conserved site', 'Sc_DH/Rdtase_CS', 2, NULL),
(20144, NULL, 'IPR020445', NULL, 'Tumour necrosis factor receptor 4', 'TNFR_4', 4, NULL),
(20145, NULL, 'IPR024276', NULL, 'Crustacean cardioactive peptide', 'CCAP', 4, NULL),
(20146, NULL, 'IPR020631', NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase, NAD(P)-binding domain', 'THF_DH/CycHdrlase_NAD-bd_dom', 3, NULL),
(20147, NULL, 'IPR017835', NULL, 'Hopanoid biosynthesis associated glycosyltransferase, HpnI', 'Hopen-assoc_HpnI', 4, NULL),
(20148, NULL, 'IPR035191', NULL, 'K88 minor fimbrial subunit FaeF', 'FaeF', 4, NULL),
(20149, NULL, 'IPR018844', NULL, 'Nucleolar protein Dnt1-like, N-terminal', 'Dnt1-like_N', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20150, NULL, 'IPR019585', NULL, '26S proteasome regulatory subunit Rpn7/COP9 signalosome complex subunit 1', 'Rpn7/CSN1', 4, NULL),
(20151, NULL, 'IPR020849', NULL, 'Small GTPase, Ras-type', 'Small_GTPase_Ras-type', 4, NULL),
(20152, NULL, 'IPR019593', NULL, 'Spore coat protein Z/Y', 'Spore_coat_protein_Z/Y', 4, NULL),
(20153, NULL, 'IPR019604', NULL, 'Photosystem P840 reaction-centre, cytochrome c-551', 'Cytochrome-c551', 4, NULL),
(20154, NULL, 'IPR021826', NULL, 'Domain of unknown function DUF3412', 'DUF3412', 3, NULL),
(20155, NULL, 'IPR021843', NULL, 'Proteasome activator complex subunit 4 C-terminal domain', 'PSME4_C', 3, NULL),
(20156, NULL, 'IPR024263', NULL, 'Stn1, C-terminal, fungi', 'Stn1_C_fungi', 3, NULL),
(20157, NULL, 'IPR019262', NULL, 'Domain of unknown function DUF2272', 'DUF2272', 3, NULL),
(20158, NULL, 'IPR024299', NULL, 'NigD-like N-terminal OB domain', 'NigD-like_OB_dom', 3, NULL),
(20159, NULL, 'IPR018845', NULL, 'Initiator binding domain', 'Initiator-bd', 3, NULL),
(20160, NULL, 'IPR021834', NULL, 'Protein of unknown function DUF3426', 'DUF3426', 4, NULL),
(20161, NULL, 'IPR019778', NULL, 'Hydrophobin, conserved site', 'Hydrophobin_CS', 2, NULL),
(20162, NULL, 'IPR018843', NULL, 'U3 small nucleolar RNA-associated protein 8', 'Utp8', 4, NULL),
(20163, NULL, 'IPR018199', NULL, 'Ribosomal protein S4e, N-terminal, conserved site', 'Ribosomal_S4e_N_CS', 2, NULL),
(20164, NULL, 'IPR018840', NULL, 'Protein of unknown function DUF2441', 'DUF2441', 4, NULL),
(20165, NULL, 'IPR019590', NULL, 'Disks large homologue 1, N-terminal PEST domain', 'DLG1_PEST_dom', 3, NULL),
(20166, NULL, 'IPR024292', NULL, 'Nodavirus capsid', 'Nodavirus_capsid', 4, NULL),
(20167, NULL, 'IPR021890', NULL, 'Protein of unknown function DUF3501', 'DUF3501', 4, NULL),
(20168, NULL, 'IPR019672', NULL, 'Protein of unknown function DUF2627', 'DUF2527', 4, NULL),
(20169, NULL, 'IPR017825', NULL, 'Lycopene cyclase domain', 'Lycopene_cyclase_dom', 3, NULL),
(20170, NULL, 'IPR019619', NULL, 'Protein of unknown function DUF2490', 'DUF2490', 4, NULL),
(20171, NULL, 'IPR020504', NULL, 'Protein of unknown function DUF5500', 'DUF5500', 4, NULL),
(20172, NULL, 'IPR017840', NULL, 'DMSO reductase family, type II, molybdopterin subunit', 'DMSO_Rdtase_II_Mopterin_su', 4, NULL),
(20173, NULL, 'IPR024256', NULL, 'Domain of unknown function DUF3797', 'DUF3797', 3, NULL),
(20174, NULL, 'IPR020624', NULL, 'Schiff base-forming aldolase, conserved site', 'Schiff_base-form_aldolases_CS', 2, NULL),
(20175, NULL, 'IPR035183', NULL, 'Protein of unknown function DUF5304', 'DUF5304', 4, NULL),
(20176, NULL, 'IPR021904', NULL, 'Protein of unknown function DUF3516', 'DUF3516', 4, NULL),
(20177, NULL, 'IPR034242', NULL, 'Methylamine utilization protein MauL', 'MauL', 3, NULL),
(20178, NULL, 'IPR023578', NULL, 'Ras guanine nucleotide exchange factor domain superfamily', 'Ras_GEF_dom_sf', 5, NULL),
(20179, NULL, 'IPR024246', NULL, 'Protein of unknown function DUF2674', 'DUF2674', 4, NULL),
(20180, NULL, 'IPR021887', NULL, 'Domain of unknown function DUF3498', 'DUF3498', 3, NULL),
(20181, NULL, 'IPR017831', NULL, 'Hopanoid-associated phosphorylase HpnG', 'Hopanoid-assoc_phosphoryl_HpnG', 4, NULL),
(20182, NULL, 'IPR019618', NULL, 'Spore germination protein GerPA/GerPF', 'Spore_germination_GerPA', 4, NULL),
(20183, NULL, 'IPR024266', NULL, 'Domain of unknown function DUF3806', 'DUF3806', 3, NULL),
(20184, NULL, 'IPR035189', NULL, 'Std1/Mth1', 'Std1/Mth1', 4, NULL),
(20185, NULL, 'IPR021836', NULL, 'Protein of unknown function DUF3429', 'DUF3429', 4, NULL),
(20186, NULL, 'IPR019588', NULL, 'Metabotropic glutamate receptor, Homer-binding domain', 'Metabotropic_Glu_rcpt_Homer-bd', 3, NULL),
(20187, NULL, 'IPR020436', NULL, 'Somatomedin B, chordata', 'Somatomedin_B_chordata', 3, NULL),
(20188, NULL, 'IPR018283', NULL, 'Ribosomal protein S8e, conserved site', 'Ribosomal_S8e_CS', 2, NULL),
(20189, NULL, 'IPR021824', NULL, 'Capsid protein C, pestivirus', 'Capsid-C_pestivirus', 3, NULL),
(20190, NULL, 'IPR035194', NULL, 'Protein of unknown function DUF5461', 'DUF5461', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20191, NULL, 'IPR020761', NULL, 'Uncharacterised protein family UPF0114, bacteria', 'UPF0114_bac', 4, NULL),
(20192, NULL, 'IPR019266', NULL, '28S ribosomal protein S27, mitochondrial', 'MRPS27', 4, NULL),
(20193, NULL, 'IPR024239', NULL, 'Exopolysaccharide production repressor', 'SyrA', 4, NULL),
(20194, NULL, 'IPR018520', NULL, 'Di-trans-poly-cis-decaprenylcistransferase-like, conserved site', 'UPP_synth-like_CS', 2, NULL),
(20195, NULL, 'IPR017834', NULL, 'Hopanoid biosynthesis associated radical SAM protein HpnJ', 'Hopanoid_synth-assoc_rSAM_HpnJ', 4, NULL),
(20196, NULL, 'IPR019581', NULL, 'Pre-mRNA-processing-splicing factor 8, U5-snRNA-binding', 'Prp8_U5-snRNA-bd', 3, NULL),
(20197, NULL, 'IPR035131', NULL, 'Protein of unknown function DUF5502', 'DUF5502', 4, NULL),
(20198, NULL, 'IPR024297', NULL, 'Inorganic phosphate transporter chaperone Pho86', 'Pho86', 4, NULL),
(20199, NULL, 'IPR018517', NULL, 'tRNA-dihydrouridine synthase, conserved site', 'tRNA_hU_synthase_CS', 2, NULL),
(20200, NULL, 'IPR021832', NULL, 'Ankyrin repeat domain-containing protein 13', 'ANKRD13', 4, NULL),
(20201, NULL, 'IPR021932', NULL, 'Protein of unknown function DUF3545', 'DUF3545', 4, NULL),
(20202, NULL, 'IPR018835', NULL, 'RNA-binding domain, putative', 'RNA-binding_domain_put', 3, NULL),
(20203, NULL, 'IPR023866', NULL, '2,3-diaminopropionate biosynthesis protein SbnB', 'SbnB', 4, NULL),
(20204, NULL, 'IPR021941', NULL, 'Protein of unknown function DUF3556, transmembrane', 'DUF3556_TM', 4, NULL),
(20205, NULL, 'IPR019265', NULL, 'RNA transcription, translation and transport factor protein', 'RTRAF', 4, NULL),
(20206, NULL, 'IPR024244', NULL, 'Protein of unknown function DUF2537', 'DUF2537', 4, NULL),
(20207, NULL, 'IPR021910', NULL, 'NGX6/PGAP6/MYMK', 'NGX6/PGAP6/MYMK', 4, NULL),
(20208, NULL, 'IPR018849', NULL, 'Nucleolar 27S pre-rRNA processing, Urb2/Npa2, C-terminal', 'Urb2/Npa2_C', 3, NULL),
(20209, NULL, 'IPR018809', NULL, 'Protein of unknown function DUF2406', 'DUF2406', 4, NULL),
(20210, NULL, 'IPR024265', NULL, 'Protein of unknown function DUF3788', 'DUF3788', 4, NULL),
(20211, NULL, 'IPR021942', NULL, 'Protein of unknown function DUF3557', 'DUF3557', 4, NULL),
(20212, NULL, 'IPR021816', NULL, 'Dedicator of cytokinesis C/D, N-terminal', 'DOCK_C/D_N', 3, NULL),
(20213, NULL, 'IPR021868', NULL, 'Alpha-2-macroglobulin MG3 domain', 'Alpha_2_Macroglob_MG3', 3, NULL),
(20214, NULL, 'IPR019261', NULL, 'Domain of unknown function DUF2263', 'DUF2263', 3, NULL),
(20215, NULL, 'IPR019282', NULL, 'Glycoamylase-like, conserved domain', 'Glycoamylase-like_cons_dom', 3, NULL),
(20216, NULL, 'IPR035197', NULL, 'Protein of unknown function DUF5313', 'DUF5313', 4, NULL),
(20217, NULL, 'IPR021850', NULL, 'Symplekin/Pta1', 'Symplekin/Pta1', 4, NULL),
(20218, NULL, 'IPR018822', NULL, 'Uncharacterised protein family UPF0646', 'UPF0646', 4, NULL),
(20219, NULL, 'IPR019273', NULL, 'Lunapark domain', 'Lunapark_dom', 3, NULL),
(20220, NULL, 'IPR018818', NULL, 'Sin3 binding protein', 'Stb3', 4, NULL),
(20221, NULL, 'IPR021920', NULL, 'Protein of unknown function DUF3531', 'DUF3531', 4, NULL),
(20222, NULL, 'IPR020363', NULL, 'Uncharacterised protein family YbgS', 'Uncharacterised_YbgS', 4, NULL),
(20223, NULL, 'IPR021823', NULL, 'Protein of unknown function DUF3408', 'DUF3408', 4, NULL),
(20224, NULL, 'IPR020628', NULL, 'Formate-tetrahydrofolate ligase, FTHFS, conserved site', 'Formate_THF_ligase_CS', 2, NULL),
(20225, NULL, 'IPR018830', NULL, 'Protein of unknown function DUF2434', 'DUF2434', 4, NULL),
(20226, NULL, 'IPR021817', NULL, 'Protein of unknown function DUF3400', 'DUF3400', 4, NULL),
(20227, NULL, 'IPR021847', NULL, 'Protein of unknown function DUF3443', 'DUF3443', 4, NULL),
(20228, NULL, 'IPR035172', NULL, 'Protein of unknown function DUF5302', 'DUF5302', 4, NULL),
(20229, NULL, 'IPR019270', NULL, 'Protein of unknown function DUF2283', 'DUF2283', 4, NULL),
(20230, NULL, 'IPR019249', NULL, 'Protein of unknown function DUF2226', 'DUF2226', 4, NULL),
(20231, NULL, 'IPR018839', NULL, 'Cryptic loci regulator 2, C-terminal', 'Tscrpt-silencing_Clr2_C', 3, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20232, NULL, 'IPR019603', NULL, 'Mitochondrial outer membrane translocase complex, subunit Tom5', 'Tom5', 4, NULL),
(20233, NULL, 'IPR017841', NULL, 'Hopanoid biosynthesis associated RND transporter-like protein HpnN', 'Hopanoid_biosynth_HpnN', 4, NULL),
(20234, NULL, 'IPR021934', NULL, 'Sox, C-terminal', 'Sox_C', 3, NULL),
(20235, NULL, 'IPR021876', NULL, 'Retrograde transport protein Dsl1, C-terminal domain', 'Dsl1_C', 3, NULL),
(20236, NULL, 'IPR021882', NULL, 'Protein of unknown function DUF3491', 'DUF3491', 4, NULL),
(20237, NULL, 'IPR021879', NULL, 'Ribosomal S4P (gammaproteobacterial)', 'Ribosomal_S4Pg', 4, NULL),
(20238, NULL, 'IPR024251', NULL, 'Membrane protein, Torovirus', 'M_Torovirus', 4, NULL),
(20239, NULL, 'IPR019673', NULL, 'Spore germination protein GerPC', 'Spore_germination_GerPC', 4, NULL),
(20240, NULL, 'IPR019243', NULL, 'Domain of unknown function DUF2202', 'DUF2202', 3, NULL),
(20241, NULL, 'IPR018287', NULL, 'Hap4 transcription factor, heteromerisation domain', 'Hap4_TF_heteromerisation', 3, NULL),
(20242, NULL, 'IPR023260', NULL, 'Cysteine/serine-rich nuclear protein family', 'Cys/Ser-rich_nuc_prot', 4, NULL),
(20243, NULL, 'IPR035185', NULL, 'Protein of unknown function DUF5305', 'DUF5305', 4, NULL),
(20244, NULL, 'IPR019600', NULL, 'Hemin uptake protein HemP', 'Hemin_uptake_protein_HemP', 4, NULL),
(20245, NULL, 'IPR020379', NULL, 'Protein of unknown function DUF5448', 'DUF5448', 4, NULL),
(20246, NULL, 'IPR019777', NULL, 'Formate C-acetyltransferase glycine radical, conserved site', 'Form_AcTrfase_GR_CS', 2, NULL),
(20247, NULL, 'IPR019278', NULL, 'DICT domain', 'DICT_dom', 3, NULL),
(20248, NULL, 'IPR021892', NULL, 'RNA helicase NPH-II', 'NPH-II', 4, NULL),
(20249, NULL, 'IPR021919', NULL, 'Cofactor assembly of complex C subunit B, CCB1', 'CCB1', 4, NULL),
(20250, NULL, 'IPR020415', NULL, 'Interleukin-34', 'IL-34', 4, NULL),
(20251, NULL, 'IPR019776', NULL, 'Flagellar basal body rod protein, conserved site', 'Flagellar_basal_body_rod_CS', 2, NULL),
(20252, NULL, 'IPR020366', NULL, 'INO80 complex subunit Ies5', 'Ies5', 4, NULL),
(20253, NULL, 'IPR023204', NULL, 'SP1917 domain superfamily', 'SP1917_dom_sf', 5, NULL),
(20254, NULL, 'IPR018829', NULL, 'Domain of unknown function DUF2433', 'DUF2433', 3, NULL),
(20255, NULL, 'IPR019254', NULL, 'Protein of unknown function DUF2250', 'DUF2250', 4, NULL),
(20256, NULL, 'IPR020355', NULL, 'Uncharacterised protein family YhcU', 'Uncharacterised_YhcU', 4, NULL),
(20257, NULL, 'IPR023264', NULL, 'ABC transporter, acetoin utilisation, predicted permease Ytrc/YtrD', 'ABC_transptr_acetoin_YtrC/YtrD', 4, NULL),
(20258, NULL, 'IPR024026', NULL, '3''-RNA ribose 2''-O-methyltransferase, Hen1, bacterial', '3''-RNA_MeTfrase_Hen1_bac', 4, NULL),
(20259, NULL, 'IPR020425', NULL, 'Nerve growth factor, beta subunit', 'Nerve_growth_factor_bsu', 4, NULL),
(20260, NULL, 'IPR021828', NULL, 'Alpha-1,4-glucan:maltose-1-phosphate maltosyltransferase, domain N/S', 'GlgE_dom_N/S', 3, NULL),
(20261, NULL, 'IPR019283', NULL, 'Protein of unknown function DUF2330', 'DUF2330', 4, NULL),
(20262, NULL, 'IPR019583', NULL, 'PDZ-associated domain of NMDA receptors', 'PDZ_assoc', 3, NULL),
(20263, NULL, 'IPR019606', NULL, 'GerMN domain', 'GerMN', 3, NULL),
(20264, NULL, 'IPR019607', NULL, 'Putative zinc-finger domain', 'Putative_zinc-finger_domain', 3, NULL),
(20265, NULL, 'IPR017829', NULL, 'Hopanoid-associated sugar epimerase', 'Hopanoid-assoc_sugar_epimerase', 4, NULL),
(20266, NULL, 'IPR019276', NULL, 'Protein of unkown function DUF2303', 'DUF2303', 4, NULL),
(20267, NULL, 'IPR018834', NULL, 'DNA/RNA-binding domain, Est1-type', 'DNA/RNA-bd_Est1-type', 3, NULL),
(20268, NULL, 'IPR034466', NULL, 'Methyltransferase, class B', 'Methyltransferase_Class_B', 4, NULL),
(20269, NULL, 'IPR018854', NULL, 'Proteasome chaperone 3/4', 'Psome_chaperone_3/4', 4, NULL),
(20270, NULL, 'IPR020431', NULL, 'Neurotrophin-6', 'Neurotrophin-6', 4, NULL),
(20271, NULL, 'IPR021933', NULL, 'SERRATE/Ars2, N-terminal', 'SERRATE/Ars2_N', 3, NULL),
(20272, NULL, 'IPR024267', NULL, 'Domain of unknown function (DUF4878)', 'DUF4878', 3, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20273, NULL, 'IPR021819', NULL, 'Far11/STRP, C-terminal', 'Far11/STRP_C', 3, NULL),
(20274, NULL, 'IPR020359', NULL, 'Biofilm regulator BssR', 'Biofilm_regulator_BssR', 4, NULL),
(20275, NULL, 'IPR021856', NULL, 'Protein of unknown function DUF3465', 'DUF3465', 4, NULL),
(20276, NULL, 'IPR021923', NULL, 'Protein of unknown function DUF3536', 'DUF3536', 4, NULL),
(20277, NULL, 'IPR034333', NULL, 'Glutathione S-transferases, class Zeta , N-terminal', 'GST_Zeta_N', 3, NULL),
(20278, NULL, 'IPR020370', NULL, 'Protein of unknown function DUF5504', 'DUF5504', 4, NULL),
(20279, NULL, 'IPR023254', NULL, 'Aquaporin 6', 'Aquaporin_6', 4, NULL),
(20280, NULL, 'IPR021895', NULL, 'Bud3, N-terminal', 'Bud3_N', 3, NULL),
(20281, NULL, 'IPR018841', NULL, 'Protein of unknown function DUF2442', 'DUF2442', 4, NULL),
(20282, NULL, 'IPR021833', NULL, 'Protein of unknown function DUF3425', 'DUF3425', 4, NULL),
(20283, NULL, 'IPR034335', NULL, 'Prostaglandin E synthase 2, C-terminal', 'PGES2_C', 3, NULL),
(20284, NULL, 'IPR019675', NULL, 'Protein of unknown function DUF2550', 'DUF2550', 4, NULL),
(20285, NULL, 'IPR019268', NULL, 'Protein of unknown function DUF2278', 'DUF2278', 4, NULL),
(20286, NULL, 'IPR020377', NULL, 'Uncharacterised protein family LpqV', 'Uncharacterised_LpqV', 4, NULL),
(20287, NULL, 'IPR023364', NULL, 'Trans-sialidase, domain 3', 'Trans_sialidase_dom3', 5, NULL),
(20288, NULL, 'IPR019621', NULL, 'Protein of unknown function DUF2491', 'DUF2491', 4, NULL),
(20289, NULL, 'IPR035066', NULL, 'Serine/threonine-protein kinase PAK 6', 'PAK6', 4, NULL),
(20290, NULL, 'IPR024269', NULL, 'Protein of unknown function DUF3791', 'DUF3791', 4, NULL),
(20291, NULL, 'IPR020510', NULL, 'Poly-beta-1,6-N-acetyl-D-glucosamine synthesis protein IcaD', 'IcaD', 4, NULL),
(20292, NULL, 'IPR018852', NULL, 'Protein of unknown function DUF2456', 'DUF2456', 4, NULL),
(20293, NULL, 'IPR021940', NULL, 'Uncharacterised domain Wax2, C-terminal', 'Uncharacterised_Wax2_C', 3, NULL),
(20294, NULL, 'IPR020372', NULL, 'Competence operon G protein 7, ComGG', 'Competence_ComGG', 4, NULL),
(20295, NULL, 'IPR018819', NULL, 'Nur1/Mug154', 'Nur1/Mug154', 4, NULL),
(20296, NULL, 'IPR018816', NULL, 'Cactin, central domain', 'Cactin_central', 3, NULL),
(20297, NULL, 'IPR021113', NULL, 'Acyl-ACP-thioesterase, N-terminal', 'Acyl-ACP-thioesterase_N', 3, NULL),
(20298, NULL, 'IPR024751', NULL, 'Variant erythrocyte surface antigen-1', 'VESA1', 4, NULL),
(20299, NULL, 'IPR024298', NULL, 'Ancestral coatomer element 1, Sec16/Sec31', 'ACE1_Sec16_Sec31', 3, NULL),
(20300, NULL, 'IPR034023', NULL, 'Tumor necrosis factor receptor 6B, N-terminal', 'TNFRSF6B_N', 3, NULL),
(20301, NULL, 'IPR021917', NULL, 'Uncharacterised protein family, zinc metallopeptidase-like', 'Unchr_Zn-peptidase-like', 4, NULL),
(20302, NULL, 'IPR018846', NULL, 'Cleavage/polyadenylation specificity factor, A subunit, N-terminal', 'Cleavage/polyA-sp_fac_asu_N', 3, NULL),
(20303, NULL, 'IPR020360', NULL, 'Uncharacterised protein family alr2393', 'Uncharacterised_alr2393', 4, NULL),
(20304, NULL, 'IPR019574', NULL, 'NADH:ubiquinone oxidoreductase, subunit G, iron-sulphur binding', 'NADH_UbQ_OxRdtase_Gsu_4Fe4S-bd', 3, NULL),
(20305, NULL, 'IPR019779', NULL, 'Galactose-1-phosphate uridyl transferase, class I His-active site', 'GalP_UDPtransf1_His-AS', 0, NULL),
(20306, NULL, 'IPR020500', NULL, 'Bacteriophage P22, anti-RecBCD protein 2', 'Phage_P22_anti-RecBCD_p2', 4, NULL),
(20307, NULL, 'IPR019612', NULL, 'Minor capsid protein, putative', 'Minor_capsid_put', 4, NULL),
(20308, NULL, 'IPR020658', NULL, 'Serine/threonine-protein kinase Plk3', 'Ser/Thr_kinase_Plk3', 4, NULL),
(20309, NULL, 'IPR020353', NULL, 'mRNA interferase toxin YafO', 'Toxin_YafO', 4, NULL),
(20310, NULL, 'IPR019575', NULL, 'NADH-ubiquinone oxidoreductase 51kDa subunit, iron-sulphur binding domain', 'Nuop51_4Fe4S-bd', 3, NULL),
(20311, NULL, 'IPR035192', NULL, 'Nuclear pore complex protein NUP160', 'NUP160', 3, NULL),
(20312, NULL, 'IPR034762', NULL, 'Bacterial/eukaryotic lysine-tRNA ligase, class II', 'Lys-tRNA-ligase_II_bac/euk', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20313, NULL, 'IPR021862', NULL, 'Protein of unknown function DUF3472', 'DUF3472', 4, NULL),
(20314, NULL, 'IPR020821', NULL, 'Extracellular Endonuclease, subunit A', 'Extracellular_endonuc_su_A', 3, NULL),
(20315, NULL, 'IPR020378', NULL, 'Protein of unknown function DUF4186', 'DUF4186', 4, NULL),
(20316, NULL, 'IPR019601', NULL, 'Oxoglutarate/iron-dependent oxygenase, C-terminal degradation domain', 'Oxoglutarate/Fe-dep_Oase_C', 3, NULL),
(20317, NULL, 'IPR020390', NULL, 'Uncharacterised protein family YqhV', 'Uncharacterised_YqhV', 4, NULL),
(20318, NULL, 'IPR035196', NULL, 'Protein of unknown function DUF5312', 'DUF5312', 4, NULL),
(20319, NULL, 'IPR018304', NULL, 'Transcription regulator protein Rtt102', 'Rtt102', 4, NULL),
(20320, NULL, 'IPR020606', NULL, 'Ribosomal protein S7, conserved site', 'Ribosomal_S7_CS', 2, NULL),
(20321, NULL, 'IPR024894', NULL, 'Bifunctional pantoate ligase/cytidylate kinase', 'Pantoate_ligase/cytidylate_kin', 4, NULL),
(20322, NULL, 'IPR020386', NULL, 'Uncharacterised protein family YehE', 'Uncharacterised_YehE', 4, NULL),
(20323, NULL, 'IPR034334', NULL, 'Prostaglandin E synthase 2', 'PGES2', 4, NULL),
(20324, NULL, 'IPR018814', NULL, 'Protein of unknown function DUF5427', 'DUF5427', 4, NULL),
(20325, NULL, 'IPR021877', NULL, 'Protein of unknown function DUF3487', 'DUF3487', 4, NULL),
(20326, NULL, 'IPR019250', NULL, 'Protein of unknown function DUF2227, metal-binding', 'DUF2227_metal-bd', 4, NULL),
(20327, NULL, 'IPR017981', NULL, 'GPCR, family 2-like', 'GPCR_2-like', 3, NULL),
(20328, NULL, 'IPR021888', NULL, 'Protein of unknown function DUF3499', 'DUF3499', 4, NULL),
(20329, NULL, 'IPR020416', NULL, 'Tumour necrosis factor receptor 8', 'TNFR_8', 4, NULL),
(20330, NULL, 'IPR023196', NULL, 'Phosducin, N-terminal domain superfamily', 'Phosducin_N_dom_sf', 5, NULL),
(20331, NULL, 'IPR019608', NULL, 'Photosystem I P840 reaction centre protein PscD', 'PSI_P840_PscD', 4, NULL),
(20332, NULL, 'IPR018332', NULL, 'Antenna complex, alpha subunit', 'Antenna_alpha', 4, NULL),
(20333, NULL, 'IPR021873', NULL, 'Cell division protein FtsA, C-terminal', 'FtsA_C', 3, NULL),
(20334, NULL, 'IPR035979', NULL, 'RNA-binding domain superfamily', 'RBD_domain_sf', 5, NULL),
(20335, NULL, 'IPR035186', NULL, 'Protein of unknown function DUF5308', 'DUF5308', 4, NULL),
(20336, NULL, 'IPR035193', NULL, 'Beta defensin 50', 'Defb50', 4, NULL),
(20337, NULL, 'IPR021840', NULL, 'Protein of unknown function DUF3433', 'DUF3433', 4, NULL),
(20338, NULL, 'IPR019592', NULL, 'Protein of unknown function DUF2469', 'DUF2469', 4, NULL),
(20339, NULL, 'IPR021880', NULL, 'Protein of unknown function DUF3489', 'DUF3489', 4, NULL),
(20340, NULL, 'IPR018521', NULL, 'DNA topoisomerase I, active site', 'TopoI_AS', 0, NULL),
(20341, NULL, 'IPR021902', NULL, 'Protein of unknown function DUF3514', 'DUF3514', 4, NULL),
(20342, NULL, 'IPR020369', NULL, 'Mobilisation protein B', 'Mobilisation_protein_B', 4, NULL),
(20343, NULL, 'IPR021821', NULL, 'Protein of unknown function DUF3404', 'DUF3404', 4, NULL),
(20344, NULL, 'IPR021872', NULL, 'Protein of unknown function DUF3483', 'DUF3483', 4, NULL),
(20345, NULL, 'IPR020895', NULL, 'Frataxin conserved site', 'Frataxin_CS', 2, NULL),
(20346, NULL, 'IPR020303', NULL, 'Protein of unknown function DUF5495', 'DUF5495', 4, NULL),
(20347, NULL, 'IPR021848', NULL, 'Protein of unknown function DUF3445', 'DUF3445', 4, NULL),
(20348, NULL, 'IPR018848', NULL, 'WIYLD domain', 'WIYLD_domain', 3, NULL),
(20349, NULL, 'IPR021827', NULL, 'Nucleoporin Nup186/Nup192/Nup205', 'Nup186/Nup192/Nup205', 4, NULL),
(20350, NULL, 'IPR020626', NULL, 'L-aspartate dehydrogenase, prokaryotic', 'Asp_DH_prok', 4, NULL),
(20351, NULL, 'IPR021885', NULL, 'Domain of unknown function DUF3496', 'DUF3496', 3, NULL),
(20352, NULL, 'IPR018831', NULL, 'Uncharacterised protein family NKWYS', 'Uncharacterised_NKWYS', 4, NULL),
(20353, NULL, 'IPR017838', NULL, 'DMSO reductase family, type II, haem b-binding subunit', 'DMSO_Rdtase_II_haem_b-bd_su', 4, NULL),
(20354, NULL, 'IPR021881', NULL, 'NPK1-activating kinesin-like protein, C-terminal', 'NACK_C', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20355, NULL, 'IPR021938', NULL, 'Protein of unknown function DUF3553', 'DUF3553', 4, NULL),
(20356, NULL, 'IPR019610', NULL, 'Iron sulphur domain-containing, mitoNEET, N-terminal', 'FeS-contain_mitoNEET_N', 3, NULL),
(20357, NULL, 'IPR021838', NULL, 'Protein of unknown function DUF3431', 'DUF3431', 4, NULL),
(20358, NULL, 'IPR020343', NULL, 'Viral CC chemokine-like protein FPV060', 'Chemokine_CC_FPV060', 4, NULL),
(20359, NULL, 'IPR019247', NULL, 'Histidine kinase BarA, N-terminal', 'Histidine_kinase_BarA_N', 3, NULL),
(20360, NULL, 'IPR019292', NULL, '5-methylcytosine restriction system component', 'Restrct_system_McrC', 4, NULL),
(20361, NULL, 'IPR019595', NULL, 'Domain of unknown function DUF2470', 'DUF2470', 3, NULL),
(20362, NULL, 'IPR018280', NULL, 'Ribosomal protein S3, conserved site', 'Ribosomal_S3_CS', 2, NULL),
(20363, NULL, 'IPR021114', NULL, 'Porin PorB/PorC', 'Porin_PorB/PorC', 4, NULL),
(20364, NULL, 'IPR018305', NULL, 'Ribosomal protein L50, mitochondria', 'Ribosomal_L50_mt', 4, NULL),
(20365, NULL, 'IPR018828', NULL, 'Protein of unknown function DUF2034', 'DUF2034', 4, NULL),
(20366, NULL, 'IPR022765', NULL, 'Dna2/Cas4, domain of unknown function DUF83', 'Dna2/Cas4_DUF83', 3, NULL),
(20367, NULL, 'IPR019680', NULL, 'Mediator complex, subunit Med1', 'Mediator_Med1', 3, NULL),
(20368, NULL, 'IPR019251', NULL, 'Domain of unknown function DUF2231, transmembrane', 'DUF2231_TM', 3, NULL),
(20369, NULL, 'IPR017830', NULL, 'Hydroxysqualene dehydroxylase HpnE', 'SQase_HpnE', 4, NULL),
(20370, NULL, 'IPR020342', NULL, 'Bacteriophage T4, Gp16, DNA-packaging', 'Phage_T4_Gp16_DNA-pack', 4, NULL),
(20371, NULL, 'IPR021874', NULL, 'Bacteriophage Mu, Gp27', 'Phage_Mu_Gp27', 4, NULL),
(20372, NULL, 'IPR017832', NULL, 'Glycosyl transferase, family 2, hopene-associated, HpnB', 'Glyco_trans_2_hopen-assoc_HpnB', 4, NULL),
(20373, NULL, 'IPR020380', NULL, 'Uncharacterised protein family MJ1658', 'Uncharacterised_MJ1658', 4, NULL),
(20374, NULL, 'IPR018837', NULL, 'Transcription factor CRF1/IFH1', 'TF_CRF1/IFH1', 4, NULL),
(20375, NULL, 'IPR020357', NULL, 'Transcription regulator CaiF/GrlA', 'Tscrpt_reg_CaiF/GrlA', 4, NULL),
(20376, NULL, 'IPR021818', NULL, 'Signal-induced proliferation-associated 1-like protein, C-terminal', 'SIPA1L_C', 3, NULL),
(20377, NULL, 'IPR024237', NULL, 'VirE1', 'VirE1', 4, NULL),
(20378, NULL, 'IPR019253', NULL, 'Protein of unknown function DUF2244, transmembrane', 'DUF2244_TM', 4, NULL),
(20379, NULL, 'IPR018833', NULL, 'Domain of unknown function DUF2437', 'DUF2437', 3, NULL),
(20380, NULL, 'IPR017837', NULL, 'Plasmid replication initiator, RepA, IncFII type', 'Plasmid_rep_init_RepA_IncFII', 4, NULL),
(20381, NULL, 'IPR019598', NULL, 'Universal stress protein B', 'Universal_stress_protein_B', 4, NULL),
(20382, NULL, 'IPR019242', NULL, 'Protein of unknown function DUF2198', 'DUF2198', 4, NULL),
(20383, NULL, 'IPR017844', NULL, 'Cell division protein FtsZ, C-terminal extension', 'Cell_div_FtsZ_C', 3, NULL),
(20384, NULL, 'IPR021926', NULL, 'Protein of unknown function DUF3539', 'DUF3539', 4, NULL),
(20385, NULL, 'IPR017828', NULL, 'Squalene synthase HpnD-like', 'SQ_synth_HpnD-like', 4, NULL),
(20386, NULL, 'IPR021908', NULL, 'Protein of unknown function DUF3520', 'DUF3520', 4, NULL),
(20387, NULL, 'IPR019267', NULL, 'CRISPR-associated protein Cas6, C-terminal', 'CRISPR-assoc_Cas6_C', 3, NULL),
(20388, NULL, 'IPR021924', NULL, 'Protein of unknown function DUF3537', 'DUF3537', 4, NULL),
(20389, NULL, 'IPR019615', NULL, 'Protein of unknown function DUF2487', 'DUF2487', 4, NULL),
(20390, NULL, 'IPR021861', NULL, 'THO complex, subunit THOC1', 'THO_THOC1', 4, NULL),
(20391, NULL, 'IPR034059', NULL, 'Tumor necrosis factor receptor, N-terminal, viral', 'TNFRSF_N_viral', 3, NULL),
(20392, NULL, 'IPR020376', NULL, 'Uncharacterised protein family F46C5.1', 'Uncharacterised_F46C5.1', 4, NULL),
(20393, NULL, 'IPR021915', NULL, 'Tubuliform egg casing silk strands structural domain', 'RP1-2', 3, NULL),
(20394, NULL, 'IPR019277', NULL, 'Protein of unknown function DUF2304', 'DUF2304', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20395, NULL, 'IPR019293', NULL, 'Thiamine-phosphate synthase ThiN', 'ThiN', 4, NULL),
(20396, NULL, 'IPR018847', NULL, 'Monopolin complex, subunit Mam1', 'Monopolin_cplx_su_Mam1', 4, NULL),
(20397, NULL, 'IPR021867', NULL, 'S-adenosylmethionine-dependent methyltransferase Bmt2-like', 'Bmt2/SAMTOR', 4, NULL),
(20398, NULL, 'IPR021870', NULL, 'Major vault protein, shoulder domain', 'MVP_shoulder', 3, NULL),
(20399, NULL, 'IPR020447', NULL, 'Interleukin-9', 'IL-9', 4, NULL),
(20400, NULL, 'IPR021897', NULL, 'Cilia- and flagella-associated protein 206', 'FAP206', 4, NULL),
(20401, NULL, 'IPR018838', NULL, 'Domain of unknown function DUF2439', 'DUF2439', 3, NULL),
(20402, NULL, 'IPR017827', NULL, 'Hydroxysqualene synthase HpnC', 'HSQ_synthase_HpnC', 4, NULL),
(20403, NULL, 'IPR018525', NULL, 'Mini-chromosome maintenance, conserved site', 'MCM_CS', 2, NULL),
(20404, NULL, 'IPR021837', NULL, 'Counting factor-associated protein A/B/C', 'CfaA/B/C', 4, NULL),
(20405, NULL, 'IPR020450', NULL, 'Interleukin-16', 'IL-16', 4, NULL),
(20406, NULL, 'IPR020797', NULL, 'Cytidine deaminase, bacteria', 'Cytidine_deaminase_bacteria', 4, NULL),
(20407, NULL, 'IPR020266', NULL, 'Mitochondrial import receptor subunit Tom6', 'Tom6', 4, NULL),
(20408, NULL, 'IPR035132', NULL, 'Protein of unknown function DUF5501', 'DUF5501', 4, NULL),
(20409, NULL, 'IPR020850', NULL, 'GTPase effector domain', 'GED_dom', 3, NULL),
(20410, NULL, 'IPR019296', NULL, 'Uncharacterised protein family, nitrogen regulatory protein PII-related', 'Unchr_N-regulatory-PII-rel', 4, NULL),
(20411, NULL, 'IPR020676', NULL, 'Death-associated protein kinase 1', 'DAPK1', 4, NULL),
(20412, NULL, 'IPR021866', NULL, 'SpoIIAA-like', 'SpoIIAA-like', 4, NULL),
(20413, NULL, 'IPR019269', NULL, 'Biogenesis of lysosome-related organelles complex-1, subunit 2', 'BLOC1_su2', 4, NULL),
(20414, NULL, 'IPR020618', NULL, 'Adenylate kinase isoenzyme 6', 'Adenyl_kinase_AK6', 4, NULL),
(20415, NULL, 'IPR020508', NULL, 'SecA translation cis-regulator SecM, small type', 'SecM_small', 4, NULL),
(20416, NULL, 'IPR018836', NULL, 'Necrogenic protein Nec1', 'Necrogenic_Nec1', 4, NULL),
(20417, NULL, 'IPR024257', NULL, 'Protein of unknown function DUF3796', 'DUF3796', 4, NULL),
(20418, NULL, 'IPR020354', NULL, 'Competence, DNA-entry nuclease inhibitor, ComJ', 'Competence_nuclease_inhibitor', 4, NULL),
(20419, NULL, 'IPR019287', NULL, 'Holliday junction resolvase-related domain', 'Hday_junct_resolvase-rel_dom', 3, NULL),
(20420, NULL, 'IPR019260', NULL, 'Domain of unknown function DUF2262', 'DUF2262', 3, NULL),
(20421, NULL, 'IPR019288', NULL, 'Predicted 3''-5'' exonuclease, PolB-like', '3''-5''_exonuclease_PolB-like', 3, NULL),
(20422, NULL, 'IPR019597', NULL, 'Energy-converting hydrogenase B, subunit P', 'Energy-convert_hydgase-B_suP', 4, NULL),
(20423, NULL, 'IPR021857', NULL, 'Protein of unknown function DUF3467', 'DUF3467', 4, NULL),
(20424, NULL, 'IPR018522', NULL, 'DNA topoisomerase, type IIA, conserved site', 'TopoIIA_CS', 2, NULL),
(20425, NULL, 'IPR021944', NULL, 'Protein of unknown function DUF3560', 'DUF3560', 4, NULL),
(20426, NULL, 'IPR018823', NULL, 'Putative ER transporter, 6TM, N-terminal', 'ArAE_2_N', 3, NULL),
(20427, NULL, 'IPR023575', NULL, 'Ribosomal protein S19/S15, superfamily', 'Ribosomal_S19_S15_SF', 5, NULL),
(20428, NULL, 'IPR018136', NULL, 'Aconitase family, 4Fe-4S cluster binding site', 'Aconitase_4Fe-4S_BS', 1, NULL),
(20429, NULL, 'IPR021841', NULL, 'Vacuolar protein 14, C-terminal Fig4-binding domain', 'VAC14_Fig4p-bd', 3, NULL),
(20430, NULL, 'IPR021918', NULL, 'Domain of unknown function DUF3528, homeobox protein, eukaryotic', 'DUF3528', 3, NULL),
(20431, NULL, 'IPR034896', NULL, 'CBS domain-containing protein CBSCBSPB', 'CBSCBSPB', 4, NULL),
(20432, NULL, 'IPR020502', NULL, 'Late transcription unit B', 'LtuB', 4, NULL),
(20433, NULL, 'IPR021820', NULL, 'S-locus receptor kinase, C-terminal', 'S-locus_recpt_kinase_C', 3, NULL),
(20434, NULL, 'IPR020630', NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase, catalytic domain', 'THF_DH/CycHdrlase_cat_dom', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20435, NULL, 'IPR020507', NULL, 'Protein of unknown function DUF5517', 'DUF5517', 4, NULL),
(20436, NULL, 'IPR018275', NULL, 'Ribosomal protein S18, conserved site', 'Ribosomal_S18_CS', 2, NULL),
(20437, NULL, 'IPR021891', NULL, 'Telomerase ribonucleoprotein complex - RNA-binding domain', 'Telomerase_RBD', 3, NULL),
(20438, NULL, 'IPR021911', NULL, 'ATPase family AAA domain-containing protein 3, N-terminal', 'ATAD3_N', 3, NULL),
(20439, NULL, 'IPR021905', NULL, 'Domain of unknown function DUF3517', 'DUF3517', 3, NULL),
(20440, NULL, 'IPR019248', NULL, 'Glucodextranase-like, C-terminal', 'Glucodextran_C', 3, NULL),
(20441, NULL, 'IPR019617', NULL, 'Domain of unknown function DUF2489', 'DUF2489', 3, NULL),
(20442, NULL, 'IPR021935', NULL, 'Small G protein signalling modulator 1/2, Rab-binding domain', 'SGSM1/2_RBD', 3, NULL),
(20443, NULL, 'IPR019614', NULL, 'S-adenosylmethionine-dependent methyltransferase', 'SAM-dep_methyl-trfase', 3, NULL),
(20444, NULL, 'IPR019676', NULL, 'Domain of unknown function (DUF2529)', 'DUF2529', 3, NULL),
(20445, NULL, 'IPR019679', NULL, 'Regulatory phage protein Cox', 'Phage_P2_Cox', 4, NULL),
(20446, NULL, 'IPR021937', NULL, 'Protein of unknown function DUF3551', 'DUF3551', 4, NULL),
(20447, NULL, 'IPR020419', NULL, 'Tumour necrosis factor receptor 1A', 'TNFR_1A', 4, NULL),
(20448, NULL, 'IPR035176', NULL, 'Elicitor peptide', 'PEP', 4, NULL),
(20449, NULL, 'IPR021858', NULL, 'Fungal transcription factor', 'Fun_TF', 4, NULL),
(20450, NULL, 'IPR018391', NULL, 'Pyrrolo-quinoline quinone beta-propeller repeat', 'PQQ_beta_propeller_repeat', 7, NULL),
(20451, NULL, 'IPR019275', NULL, 'Protein of unknown function DUF2301', 'DUF2301', 4, NULL),
(20452, NULL, 'IPR020586', NULL, 'Photosystem I PsaA/PsaB, conserved site', 'PSI_PsaA/B_CS', 2, NULL),
(20453, NULL, 'IPR021830', NULL, 'Protein of unknown function DUF3422', 'DUF3422', 4, NULL),
(20454, NULL, 'IPR019285', NULL, 'Protein of unknown function DUF2336', 'DUF2336', 4, NULL),
(20455, NULL, 'IPR019579', NULL, 'Uncharacterised protein family UPF0564', 'UPF0564', 4, NULL),
(20456, NULL, 'IPR021912', NULL, 'Protein of unknown function DUF3525', 'DUF3525', 4, NULL),
(20457, NULL, 'IPR018396', NULL, 'Lysosomal-associated transmembrane protein, 4A/5', 'LAPTM_4A/5', 4, NULL),
(20458, NULL, 'IPR035175', NULL, 'Serine/threonine-protein kinase SMG1, N-terminal', 'SMG1_N', 3, NULL),
(20459, NULL, 'IPR024248', NULL, 'Protein of unknown function DUF2695', 'DUF2695', 4, NULL),
(20460, NULL, 'IPR021860', NULL, 'Peptidase S12, Pab87-related, C-terminal', 'Peptidase_S12_Pab87-rel_C', 3, NULL),
(20461, NULL, 'IPR021842', NULL, 'Protein of unknown function DUF3435', 'DUF3435', 4, NULL),
(20462, NULL, 'IPR021844', NULL, 'Integrating conjugative element protein, PFL4704', 'Integr_conj_element_PFL4704', 4, NULL),
(20463, NULL, 'IPR018851', NULL, 'Borealin, N-terminal', 'Borealin_N', 3, NULL),
(20464, NULL, 'IPR024245', NULL, 'Cell wall synthesis protein CwsA', 'CwsA', 4, NULL),
(20465, NULL, 'IPR019594', NULL, 'Ionotropic glutamate receptor, L-glutamate and glycine-binding domain', 'Glu/Gly-bd', 3, NULL),
(20466, NULL, 'IPR018328', NULL, 'Rad4 beta-hairpin domain 3', 'Rad4_beta-hairpin_dom3', 3, NULL),
(20467, NULL, 'IPR021930', NULL, 'Heparan sulphate-N-deacetylase', 'Heparan_SO4_deacetylase', 3, NULL),
(20468, NULL, 'IPR018842', NULL, 'YkuI, C-terminal', 'YkuI_C', 3, NULL),
(20469, NULL, 'IPR021925', NULL, 'Large proline-rich protein BAG6', 'BAG6', 3, NULL),
(20470, NULL, 'IPR034181', NULL, 'Pre-mRNA-splicing factor Cwc2, RNA recognition motif', 'Cwc2_RRM', 3, NULL),
(20471, NULL, 'IPR021900', NULL, 'Protein of unknown function DUF3512', 'DUF3512', 4, NULL),
(20472, NULL, 'IPR019596', NULL, 'Bacteriophage Mu, GpM, tail tube', 'Phage_Mu_GpM_tail_tub', 4, NULL),
(20473, NULL, 'IPR020611', NULL, 'Copper type II, ascorbate-dependent monooxygenase, histidine-cluster-1 conserved site', 'Cu2_ascorb_mOase_CS-1', 2, NULL),
(20474, NULL, 'IPR020308', NULL, 'Uncharacterised protein family, Ynq1', 'Uncharacterised_Ynq1', 4, NULL),
(20475, NULL, 'IPR021871', NULL, 'Protein of unknown function DUF3482', 'DUF3482', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20476, NULL, 'IPR024236', NULL, 'Serine/threonine-protein kinase 40', 'Ser/Thr_kinase_40', 4, NULL),
(20477, NULL, 'IPR021936', NULL, 'Protein of unknown function DUF3549', 'DUF3549', 4, NULL),
(20478, NULL, 'IPR035188', NULL, 'Histone-like protein p6', 'Histone-like_p6', 4, NULL),
(20479, NULL, 'IPR035170', NULL, 'Metastasis-associated protein MTA1, R1 domain', 'MTA1_R1', 3, NULL),
(20480, NULL, 'IPR021906', NULL, 'SWI/SNF-like complex subunit BAF250/Osa', 'BAF250/Osa', 4, NULL),
(20481, NULL, 'IPR020884', NULL, 'Glutathione-regulated potassium-efflux system protein KefB', 'K_H_efflux_KefB', 4, NULL),
(20482, NULL, 'IPR017833', NULL, 'Hopanoid biosynthesis associated radical SAM protein HpnH', 'Hopanoid_synth-assoc_rSAM_HpnH', 4, NULL),
(20483, NULL, 'IPR021831', NULL, 'ParD-like antitoxin of type II bacterial toxin-antitoxin system', 'ParD-like', 4, NULL),
(20484, NULL, 'IPR019609', NULL, 'Trypanosome variant surface glycoprotein, C-terminal', 'Variant_surf_glycoprt_trypan_C', 3, NULL),
(20485, NULL, 'IPR019290', NULL, 'Glycosyltransferase 2-like, prokaryotic type', 'GlycosylTrfase-like_prok', 3, NULL),
(20486, NULL, 'IPR020835', NULL, 'Catalase superfamily', 'Catalase_sf', 5, NULL),
(20487, NULL, 'IPR019576', NULL, 'Pyridoxine 5''-phosphate oxidase, dimerisation, C-terminal', 'Pyridoxamine_oxidase_dimer_C', 3, NULL),
(20488, NULL, 'IPR024250', NULL, 'Protein of unknown function DUF2711', 'DUF2711', 4, NULL),
(20489, NULL, 'IPR021864', NULL, 'Domain of unknown function DUF3475', 'DUF3475', 3, NULL),
(20490, NULL, 'IPR019294', NULL, 'Translational regulator Com', 'Translation_reg_Com', 4, NULL),
(20491, NULL, 'IPR020383', NULL, 'Potassium channel accessory subunit protein 4, MinK-related', 'K_chnl_acc_su_p4_MinK-rel', 4, NULL),
(20492, NULL, 'IPR018824', NULL, 'Conidiation-specific protein 6', 'Conidiation-specific_6', 4, NULL),
(20493, NULL, 'IPR018524', NULL, 'DNA/RNA non-specific endonuclease, active site', 'DNA/RNA_endonuclease_AS', 0, NULL),
(20494, NULL, 'IPR018853', NULL, 'Protein of unknown function DUF2457', 'DUF2457', 4, NULL),
(20495, NULL, 'IPR019577', NULL, 'SPARC/Testican, calcium-binding domain', 'SPARC/Testican_Ca-bd-dom', 3, NULL),
(20496, NULL, 'IPR021855', NULL, 'PAM68-like', 'PAM68-like', 4, NULL),
(20497, NULL, 'IPR020903', NULL, 'Epithelial sodium channel, conserved site', 'ENaC_CS', 2, NULL),
(20498, NULL, 'IPR021875', NULL, 'Retrograde transport protein Dsl1 N-terminal domain', 'Dsl1_N_dom', 3, NULL),
(20499, NULL, 'IPR019681', NULL, 'Protein of unknown function DUF2530', 'DUF2530', 4, NULL),
(20500, NULL, 'IPR018817', NULL, '7TM GPCR, serpentine receptor class z (Srz)', '7TM_GPCR_serpentine_rcpt_Srz', 4, NULL),
(20501, NULL, 'IPR020898', NULL, 'Synapsin, ATP-binding domain', 'Synapsin_ATP-bd_dom', 3, NULL),
(20502, NULL, 'IPR035453', NULL, 'SH3PXD2A, SH3 domain 4', 'SH3PXD2A_SH3_4', 3, NULL),
(20503, NULL, 'IPR022034', NULL, 'Fragile X-related 1 protein, C-terminal core', 'FXMRP1_C_core', 3, NULL),
(20504, NULL, 'IPR022018', NULL, 'ARF GTPase-activating protein GIT1, C-terminal', 'GIT1_C', 3, NULL),
(20505, NULL, 'IPR016699', NULL, 'Acid ceramidase-like', 'Acid_ceramidase-like', 4, NULL),
(20506, NULL, 'IPR021995', NULL, 'Protein of unknown function DUF3593', 'DUF3593', 4, NULL),
(20507, NULL, 'IPR021949', NULL, 'Domain of unknown function DUF3566. transmembrane', 'DUF3566_TM', 3, NULL),
(20508, NULL, 'IPR020838', NULL, 'DBINO domain', 'DBINO', 3, NULL),
(20509, NULL, 'IPR020861', NULL, 'Triosephosphate isomerase, active site', 'Triosephosphate_isomerase_AS', 0, NULL),
(20510, NULL, 'IPR021984', NULL, 'Plasmodium repeat', 'Plasmodium_rpt', 7, NULL),
(20511, NULL, 'IPR016365', NULL, 'Actobindin', 'Actobindin', 4, NULL),
(20512, NULL, 'IPR022019', NULL, 'Domain of unknown function DUF3600', 'DUF3600', 3, NULL),
(20513, NULL, 'IPR020601', NULL, '1-aminocyclopropane-1-carboxylate deaminase, bacterial', 'ACP_carboxylate_deaminase_bac', 4, NULL),
(20514, NULL, 'IPR017104', NULL, 'Adaptor protein complex AP-2, alpha subunit', 'AP2_complex_asu', 4, NULL),
(20515, NULL, 'IPR020438', NULL, 'Interleukin-11', 'IL-11', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20516, NULL, 'IPR020917', NULL, 'Primosomal protein 1', 'Primosomal_protein_1', 4, NULL),
(20517, NULL, 'IPR022041', NULL, 'Farnesoic acid O-methyl transferase', 'Methyltransf_FA', 3, NULL),
(20518, NULL, 'IPR021989', NULL, 'Mediator complex, subunit Med12, catenin-binding', 'Mediator_Med12_catenin-bd', 3, NULL),
(20519, NULL, 'IPR021983', NULL, 'PRP8 domain IV core', 'PRP8_domainIV', 3, NULL),
(20520, NULL, 'IPR018379', NULL, 'BEN domain', 'BEN_domain', 3, NULL),
(20521, NULL, 'IPR022016', NULL, 'Domain of unknown function DUF3597', 'DUF3597', 3, NULL),
(20522, NULL, 'IPR021986', NULL, 'Spherulation-specific family 4', 'Spherulin4', 4, NULL),
(20523, NULL, 'IPR016369', NULL, 'Flagellar filament outer layer protein FlaA, Spirochaetes', 'FlaA_Spirochaetes', 4, NULL),
(20524, NULL, 'IPR035024', NULL, 'PLC-gamma, N-terminal SH2 domain', 'PLC-gamma_N-SH2', 3, NULL),
(20525, NULL, 'IPR022033', NULL, 'RAVE complex protein Rav1 C-terminal', 'Rav1p_C', 3, NULL),
(20526, NULL, 'IPR034348', NULL, 'RLI, domain 1', 'RLI_dom_1', 3, NULL),
(20527, NULL, 'IPR022066', NULL, 'Histidine kinase PdtaS, GAF domain', 'PdtaS_GAF', 3, NULL),
(20528, NULL, 'IPR022092', NULL, 'TATA element modulatory factor 1 DNA binding', 'TMF_DNA-bd', 4, NULL),
(20529, NULL, 'IPR021967', NULL, 'Nuclear protein 96', 'Nup96', 3, NULL),
(20530, NULL, 'IPR016364', NULL, 'Surface antigen, Rickettsia type', 'Surface_antigen_Rickettsia', 4, NULL),
(20531, NULL, 'IPR017149', NULL, 'Glutathione degradosome, Dug2', 'GSH_degradosome_Dug2', 4, NULL),
(20532, NULL, 'IPR022074', NULL, 'Protein of unknown function DUF3626', 'DUF3626', 4, NULL),
(20533, NULL, 'IPR024302', NULL, 'SusD-like', 'SusD-like', 4, NULL),
(20534, NULL, 'IPR024222', NULL, 'CST complex subunit Ten1, fungal', 'Ten1_fungal', 4, NULL),
(20535, NULL, 'IPR035457', NULL, 'CRK, N-terminal SH3 domain', 'CRK_SH3_N', 3, NULL),
(20536, NULL, 'IPR020682', NULL, 'Obscurin', 'Obscurin', 4, NULL),
(20537, NULL, 'IPR022078', NULL, 'CD99 antigen-like protein 2', 'CD99L2', 4, NULL),
(20538, NULL, 'IPR021981', NULL, 'Domain of unknown function DUF3586', 'DUF3586', 3, NULL),
(20539, NULL, 'IPR022035', NULL, 'PCIF1, WW domain', 'PCIF1_WW', 3, NULL),
(20540, NULL, 'IPR034709', NULL, 'Ribitol-5-phosphate cytidylyltransferase', 'TarI', 4, NULL),
(20541, NULL, 'IPR016318', NULL, 'Transforming protein, StpA/StpB', 'Transforming_StpA/StpB', 4, NULL),
(20542, NULL, 'IPR020433', NULL, 'Venom nerve growth factor', 'Venom_nerve_growth_factor', 4, NULL),
(20543, NULL, 'IPR021953', NULL, 'Protein of unknown function DUF3570', 'DUF3570', 4, NULL),
(20544, NULL, 'IPR019693', NULL, 'Biofilm formation regulator YbaJ', 'Biofilm_formation_reg_YbaJ', 4, NULL),
(20545, NULL, 'IPR016673', NULL, 'Histamine N-methyltransferase-like', 'HHMT-like', 4, NULL),
(20546, NULL, 'IPR019701', NULL, 'Bacteriophage P22, NinX', 'Phage_P22_NinX', 4, NULL),
(20547, NULL, 'IPR021965', NULL, 'Plasminogen ligand, VEK-30', 'Plasminogen_ligand_VEK-30', 3, NULL),
(20548, NULL, 'IPR022097', NULL, 'Transcription factor SOX', 'SOX_fam', 4, NULL),
(20549, NULL, 'IPR016714', NULL, 'Mannan endo-1,4-beta-mannosidase B/E', 'MANB/E', 4, NULL),
(20550, NULL, 'IPR020683', NULL, 'Domain of unknown function DUF3447', 'DUF3447', 3, NULL),
(20551, NULL, 'IPR020837', NULL, 'Fibrinogen, conserved site', 'Fibrinogen_CS', 2, NULL),
(20552, NULL, 'IPR022053', NULL, 'Protein of unknown function DUF3613', 'DUF3613', 4, NULL),
(20553, NULL, 'IPR022065', NULL, 'Uncharacterised protein family, TMEM59', 'Uncharacterised_TMEM59', 4, NULL),
(20554, NULL, 'IPR016338', NULL, 'Phospholipase A2 inhibitor, alpha/gamma type', 'PLipase_A2-inh_a/b-type', 4, NULL),
(20555, NULL, 'IPR017145', NULL, 'Aminobenzoyl-glutamate utilization protein B', 'Aminobenzoyl-glu_utiliz_pB', 4, NULL),
(20556, NULL, 'IPR017131', NULL, 'Small ribonucleoprotein associated, SmB/SmN', 'snRNP-assoc_SmB/SmN', 4, NULL),
(20557, NULL, 'IPR017141', NULL, 'Peptidase M20, carboxypeptidase S', 'Pept_M20_carboxypep', 4, NULL),
(20558, NULL, 'IPR020823', NULL, 'Cell division protein FtsA', 'Cell_div_FtsA', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20559, NULL, 'IPR022056', NULL, 'CpG binding protein, C-terminal', 'CpG-bd_C', 3, NULL),
(20560, NULL, 'IPR019683', NULL, 'Sporulation inhibitor of replication protein SirA', 'SirA', 4, NULL),
(20561, NULL, 'IPR022044', NULL, 'Insecticide toxin TcdB middle/C-terminal', 'TcdB_toxin_mid/C', 3, NULL),
(20562, NULL, 'IPR022039', NULL, 'Post-transcriptional regulator MKT1, C-terminal', 'MKT1_C', 3, NULL),
(20563, NULL, 'IPR021997', NULL, 'Stage V sporulation protein AA', 'SporV_AA', 3, NULL),
(20564, NULL, 'IPR017109', NULL, 'Adaptor protein complex AP-4, epsilon subunit', 'AP4_complex_esu', 4, NULL),
(20565, NULL, 'IPR016358', NULL, 'Hemopexin', 'Hemopexin', 4, NULL),
(20566, NULL, 'IPR017126', NULL, 'PR-domain zinc finger protein PRDM12', 'Znf_PRDM12', 4, NULL),
(20567, NULL, 'IPR022085', NULL, 'Protein of unknown function DUF3632', 'DUF3632', 4, NULL),
(20568, NULL, 'IPR020444', NULL, 'Interleukin-24', 'IL-24', 4, NULL),
(20569, NULL, 'IPR022061', NULL, 'Protein of unknown function DUF3617', 'DUF3617', 4, NULL),
(20570, NULL, 'IPR022098', NULL, 'Protein of unknown function DUF3637', 'DUF3637', 4, NULL),
(20571, NULL, 'IPR021957', NULL, 'Protein of unknown function DUF3574', 'DUF3574', 4, NULL),
(20572, NULL, 'IPR020295', NULL, 'Protein of unknown function DUF2737', 'DUF2737', 4, NULL),
(20573, NULL, 'IPR016325', NULL, 'Mating-type protein ALPHA1, Saccharomycetales', 'ALPHA1_Saccharomycetales', 4, NULL),
(20574, NULL, 'IPR021976', NULL, 'N-acetylmuramoyl-l-alanine amidase, C-terminal domain', 'Amidase_C', 3, NULL),
(20575, NULL, 'IPR016678', NULL, 'Mono-ADP-ribosyltransferase C3/Edin', 'Mono-ADP_RibTrfase_C3/Edin', 4, NULL),
(20576, NULL, 'IPR022099', NULL, 'Protein of unknown function DUF3638', 'DUF3638', 4, NULL),
(20577, NULL, 'IPR018358', NULL, 'Disintegrin, conserved site', 'Disintegrin_CS', 2, NULL),
(20578, NULL, 'IPR021952', NULL, 'Protein of unknown function DUF3568', 'DUF3568', 4, NULL),
(20579, NULL, 'IPR021956', NULL, 'Protein of unknown function DUF3573', 'DUF3573', 4, NULL),
(20580, NULL, 'IPR017102', NULL, 'Uncharacterised conserved protein UCP037087', 'UCP037087', 4, NULL),
(20581, NULL, 'IPR022060', NULL, 'Protein of unknown function DUF3616', 'DUF3616', 4, NULL),
(20582, NULL, 'IPR022054', NULL, 'Protein of unknown function DUF3614', 'DUF3614', 4, NULL),
(20583, NULL, 'IPR019695', NULL, 'Bacterial proteasome activator', 'Proteasome_act', 4, NULL),
(20584, NULL, 'IPR016355', NULL, 'Nuclear hormone receptor family 5', 'NR5_fam', 4, NULL),
(20585, NULL, 'IPR020296', NULL, 'Sporulation protein Cse60', 'Spore_Cse60', 4, NULL),
(20586, NULL, 'IPR035898', NULL, 'TAZ domain superfamily', 'TAZ_dom_sf', 5, NULL),
(20587, NULL, 'IPR022104', NULL, 'Domain of unknown function DUF3644', 'DUF3644', 3, NULL),
(20588, NULL, 'IPR024221', NULL, 'Beta-lactamase-inhibitor protein BLIP domain superfamily', 'BLIP_dom_sf', 5, NULL),
(20589, NULL, 'IPR016700', NULL, '3-hydroxyanthranilate 3, 4-dioxygenase, metazoan', '3hydroanth_dOase_met', 4, NULL),
(20590, NULL, 'IPR017137', NULL, 'Arginine-tRNA-protein transferase 1, eukaryotic', 'Arg-tRNA-P_Trfase_1_euk', 4, NULL),
(20591, NULL, 'IPR021951', NULL, 'Protein of unknown function DUF3567', 'DUF3567', 4, NULL),
(20592, NULL, 'IPR035450', NULL, 'SH3PXD2A, SH3 domain 1', 'SH3PXD2A_SH3_1', 3, NULL),
(20593, NULL, 'IPR021971', NULL, 'Salivary protein of 15kDa inhibits CD4+ T cell activation', 'Salp15', 4, NULL),
(20594, NULL, 'IPR021996', NULL, 'Fibrinogen alpha C domain', 'Fibrinogen_aC', 3, NULL),
(20595, NULL, 'IPR018365', NULL, 'Cell cycle, FtsW / RodA / SpoVE, conserved site', 'Cell_cycle_FtsW-rel_CS', 2, NULL),
(20596, NULL, 'IPR022082', NULL, 'Noelin domain', 'Noelin_dom', 3, NULL),
(20597, NULL, 'IPR018356', NULL, 'Transcription regulator, HTH DeoR-type, conserved site', 'Tscrpt_reg_HTH_DeoR_CS', 2, NULL),
(20598, NULL, 'IPR018359', NULL, 'Bromodomain, conserved site', 'Bromodomain_CS', 2, NULL),
(20599, NULL, 'IPR021987', NULL, 'SLED domain', 'SLED', 3, NULL),
(20600, NULL, 'IPR017098', NULL, 'Uncharacterised conserved protein UCP037052', 'UCP037052', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20601, NULL, 'IPR035018', NULL, 'Spt6, SH2 domain, C terminus', 'Spt6_SH2_C', 3, NULL),
(20602, NULL, 'IPR034342', NULL, 'Stringent starvation protein A, C-terminal', 'SspA_C', 3, NULL),
(20603, NULL, 'IPR021945', NULL, 'Protein of unknown function DUF3562', 'DUF3562', 4, NULL),
(20604, NULL, 'IPR035102', NULL, 'Phosphomevalonate kinase', 'Phosphomevalonate_kinase', 4, NULL),
(20605, NULL, 'IPR022106', NULL, 'Paired box protein 7, C-terminal', 'Pax7_C', 3, NULL),
(20606, NULL, 'IPR017111', NULL, 'Histone-lysine N-methyltransferase Set1, fungi', 'Set1_fungi', 4, NULL),
(20607, NULL, 'IPR022059', NULL, 'Protein of unknown function DUF3615', 'DUF3615', 4, NULL),
(20608, NULL, 'IPR020899', NULL, 'Arginine repressor, C-terminal', 'Arg_repress_C', 3, NULL),
(20609, NULL, 'IPR022093', NULL, 'Protein of unknown function DUF3636', 'DUF3636', 4, NULL),
(20610, NULL, 'IPR018366', NULL, 'Carbohydrate-binding type-2, conserved site', 'CBM2_CS', 2, NULL),
(20611, NULL, 'IPR017144', NULL, 'Xaa-Arg dipeptidase', 'Xaa-Arg_dipeptidase', 4, NULL),
(20612, NULL, 'IPR016661', NULL, 'Prefoldin, subunit 4', 'PFDN4', 4, NULL),
(20613, NULL, 'IPR017122', NULL, 'Uncharacterised conserved protein UCP037158', 'UCP037158', 4, NULL),
(20614, NULL, 'IPR016672', NULL, 'Polyketide biosynthesis protein CurC, predicted', 'Polyketide_Synth_CurC_prd', 4, NULL),
(20615, NULL, 'IPR016367', NULL, 'Major outer membrane lipoprotein Lpp', 'MOM_Lpp', 4, NULL),
(20616, NULL, 'IPR017134', NULL, 'Ubiquitin-protein ligase E3A', 'UBE3A', 4, NULL),
(20617, NULL, 'IPR020839', NULL, 'Stromalin conservative domain', 'SCD', 3, NULL),
(20618, NULL, 'IPR024305', NULL, 'Single-stranded DNA binding protein DdrB-like', 'ssDNA-bd_DdrB-like', 4, NULL),
(20619, NULL, 'IPR020592', NULL, 'Ribosomal protein S16, conserved site', 'Ribosomal_S16_CS', 2, NULL),
(20620, NULL, 'IPR022083', NULL, 'KIF-1 binding protein', 'KBP', 4, NULL),
(20621, NULL, 'IPR022040', NULL, 'Post-transcriptional regulator MKT1, N-terminal', 'MKT1_N', 3, NULL),
(20622, NULL, 'IPR017123', NULL, 'Uncharacterised conserved protein UCP037159', 'UCP037159', 4, NULL),
(20623, NULL, 'IPR021968', NULL, 'Polyribonucleotide phosphorylase C-terminal', 'PNPase_C', 3, NULL),
(20624, NULL, 'IPR019694', NULL, 'Bacteriophage HP1, Orf23', 'Phage_HP1_Orf23', 4, NULL),
(20625, NULL, 'IPR023953', NULL, 'Heme oxygenase IsdG', 'IsdG', 4, NULL),
(20626, NULL, 'IPR022048', NULL, 'Envelope fusion protein-like', 'Envelope_fusion-like', 4, NULL),
(20627, NULL, 'IPR016335', NULL, 'Receptor-type tyrosine-protein phosphatase C', 'Ptprc', 4, NULL),
(20628, NULL, 'IPR020793', NULL, 'Origin recognition complex, subunit 1', 'ORC1', 4, NULL),
(20629, NULL, 'IPR034727', NULL, 'Kintoun', 'Kintoun', 4, NULL),
(20630, NULL, 'IPR020440', NULL, 'Interleukin-17, chordata', 'IL-17_chr', 4, NULL),
(20631, NULL, 'IPR022003', NULL, 'RST domain', 'RST', 3, NULL),
(20632, NULL, 'IPR019702', NULL, 'Multidrug efflux pump accessory protein AcrZ', 'AcrZ', 4, NULL),
(20633, NULL, 'IPR020897', NULL, 'Synapsin, pre-ATP-grasp domain', 'Synapsin_pre-ATP-grasp_dom', 3, NULL),
(20634, NULL, 'IPR022052', NULL, 'Histone-binding protein RBBP4, N-terminal', 'Histone-bd_RBBP4_N', 3, NULL),
(20635, NULL, 'IPR035454', NULL, 'SH3PXD2A, SH3 domain 5', 'SH3PXD2A_SH3_5', 3, NULL),
(20636, NULL, 'IPR022089', NULL, 'Tryptophan/threonine-rich plasmodium antigen, C-terminal', 'Plasmodium-antigen_C', 3, NULL),
(20637, NULL, 'IPR018389', NULL, 'TRAP transporter solute receptor DctP', 'DctP_fam', 4, NULL),
(20638, NULL, 'IPR024300', NULL, 'Domain of unknown function DUF3794', 'DUF3794', 3, NULL),
(20639, NULL, 'IPR020596', NULL, 'Ribosomal RNA adenine methylase transferase, conserved site', 'rRNA_Ade_Mease_Trfase_CS', 2, NULL),
(20640, NULL, 'IPR020766', NULL, 'Receptor-like tyrosine-protein kinase Kin-15/Old-1', 'Kin-15/Old-1', 4, NULL),
(20641, NULL, 'IPR016370', NULL, 'Photosystem I PsaG/PsaK, plant', 'PSI_PsaG/PsaK_pln', 4, NULL),
(20642, NULL, 'IPR035002', NULL, 'PTBP2, RNA recognition motif 1', 'PTBP2_RRM1', 3, NULL),
(20643, NULL, 'IPR021950', NULL, 'Transcription factor Spt20', 'Spt20', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20644, NULL, 'IPR016675', NULL, 'Uncharacterised conserved protein UCP016666', 'UCP016666', 4, NULL),
(20645, NULL, 'IPR022026', NULL, 'Methylene-tetrahydrofolate reductase C-terminal', 'MTHFR_C', 3, NULL),
(20646, NULL, 'IPR017130', NULL, 'Cholesteryl ester transfer', 'Cholesteryl_ester_transfer', 4, NULL),
(20647, NULL, 'IPR034944', NULL, '2-aminobiphenyl-2,3-diol-1,2-dioxygenase, beta subunit', 'CarBb', 4, NULL),
(20648, NULL, 'IPR016688', NULL, 'Mechanosensitive ion channel MscS-like, plants/fungi', 'MscS-like_plants/fungi', 4, NULL),
(20649, NULL, 'IPR023581', NULL, 'Platelet-derived growth factor, conserved site', 'PD_growth_factor_CS', 2, NULL),
(20650, NULL, 'IPR016681', NULL, 'Succinylglutamate desuccinylase', 'SuccinylGlu_desuccinylase', 4, NULL),
(20651, NULL, 'IPR021977', NULL, 'D domain of beta-TrCP', 'Beta-TrCP_D', 3, NULL),
(20652, NULL, 'IPR017100', NULL, 'Insulin-like peptide 6', 'Insulin-like_pep_6', 4, NULL),
(20653, NULL, 'IPR016377', NULL, 'Sucrose/Glucosylglycerate phosphorylase-related', 'Sucrose_GGa_phosphorylase-rel', 4, NULL),
(20654, NULL, 'IPR024205', NULL, 'Mst1 SARAH domain', 'Mst1_SARAH_domain', 3, NULL),
(20655, NULL, 'IPR017116', NULL, 'Signal transduction histidine kinase, PgtB', 'Sig_transdc_His_kinase_PgtB', 4, NULL),
(20656, NULL, 'IPR022091', NULL, 'TATA element modulatory factor 1, TATA binding', 'TMF_TATA-bd', 3, NULL),
(20657, NULL, 'IPR019685', NULL, 'Protein of unknown function DUF2534', 'DUF2534', 4, NULL),
(20658, NULL, 'IPR020598', NULL, 'Ribosomal RNA adenine methylase transferase, N-terminal', 'rRNA_Ade_methylase_Trfase_N', 3, NULL),
(20659, NULL, 'IPR024215', NULL, 'Protein of unknown function DUF3847', 'DUF3847', 4, NULL),
(20660, NULL, 'IPR018333', NULL, 'Squalene cyclase', 'Squalene_cyclase', 4, NULL),
(20661, NULL, 'IPR020684', NULL, 'Rho-associated protein kinase 1/2', 'ROCK1/ROCK2', 4, NULL),
(20662, NULL, 'IPR018383', NULL, 'Uncharacterised protein family UPF0324, prokaryote', 'UPF0324_pro', 4, NULL),
(20663, NULL, 'IPR024220', NULL, 'Protein of unknown function DUF3780', 'DUF3780', 4, NULL),
(20664, NULL, 'IPR016695', NULL, 'Purine 5''-nucleotidase', 'Pur_nucleotidase', 4, NULL),
(20665, NULL, 'IPR017119', NULL, 'SET domain containing methyltransferase Efm1/Rkm1', 'Efm1/Rkm1', 4, NULL),
(20666, NULL, 'IPR016319', NULL, 'Transforming growth factor-beta', 'TGF-beta', 4, NULL),
(20667, NULL, 'IPR022012', NULL, 'D212, catalytic domain', 'D212_cat_dom', 3, NULL),
(20668, NULL, 'IPR035456', NULL, 'SH3BP4, SH3 domain', 'SH3BP4_SH3', 3, NULL),
(20669, NULL, 'IPR022020', NULL, 'Domain of unknown function DUF3601', 'DUF3601', 3, NULL),
(20670, NULL, 'IPR021948', NULL, 'Protein of unknown function DUF3565', 'DUF3565', 4, NULL),
(20671, NULL, 'IPR016372', NULL, 'K88 fimbrial protein A', 'K88_fimbrial_pA', 4, NULL),
(20672, NULL, 'IPR020452', NULL, 'Subtilin biosynthesis protein SpaC', 'Subtilin_biosynthesis_SpaC', 4, NULL),
(20673, NULL, 'IPR034326', NULL, 'ROD1, RNA recognition motif 1', 'ROD1_RRM1', 3, NULL),
(20674, NULL, 'IPR022000', NULL, 'Min27-like integrase, DNA-binding domain', 'Min27-like_integrase_DNA_bind', 3, NULL),
(20675, NULL, 'IPR034943', NULL, '2-aminophenol 1,6-dioxygenase, beta subunit', '2A5CPDO_B', 4, NULL),
(20676, NULL, 'IPR016324', NULL, 'Thyroglobulin', 'Thyroglobulin', 4, NULL),
(20677, NULL, 'IPR021963', NULL, 'T cell CD4 receptor C-terminal region', 'Tcell_CD4_Cterm', 3, NULL),
(20678, NULL, 'IPR018360', NULL, 'Calcitonin, conserved site', 'Calcitonin_CS', 2, NULL),
(20679, NULL, 'IPR020859', NULL, 'Roc domain', 'ROC_dom', 3, NULL),
(20680, NULL, 'IPR019684', NULL, 'HofP protein', 'HofP', 4, NULL),
(20681, NULL, 'IPR022067', NULL, 'Homeobox protein Hox1A3 N-terminal', 'HoxA13_N', 3, NULL),
(20682, NULL, 'IPR022084', NULL, 'Transcription factor Elf, N-terminal', 'TF_Elf_N', 3, NULL),
(20683, NULL, 'IPR020779', NULL, 'dNTP triphosphohydrolase, type 1', 'dNTPase_1', 4, NULL),
(20684, NULL, 'IPR020288', NULL, 'Protein of unknown function DUF2634', 'DUF2634', 4, NULL),
(20685, NULL, 'IPR016692', NULL, 'Sulfiredoxin', 'Sulfiredoxin', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20686, NULL, 'IPR016663', NULL, 'Myelin-oligodendrocyte glycoprotein', 'Myelin-oligodendrocyte_glycop', 4, NULL),
(20687, NULL, 'IPR016679', NULL, 'Transcription factor, GATA, plant', 'TF_GATA_pln', 4, NULL),
(20688, NULL, 'IPR017110', NULL, 'Stonin', 'Stonin', 4, NULL),
(20689, NULL, 'IPR017136', NULL, 'Uncharacterised conserved protein UCP037205', 'UCP037205', 4, NULL),
(20690, NULL, 'IPR021946', NULL, 'Protein of unknown function DUF3563', 'DUF3563', 4, NULL),
(20691, NULL, 'IPR019697', NULL, 'Bacteriophage HP1, Orf28', 'Phage_HP1_Orf28', 4, NULL),
(20692, NULL, 'IPR019687', NULL, 'Protein of unknown function DUF2535', 'DUF2535', 4, NULL),
(20693, NULL, 'IPR018337', NULL, 'Cell wall/choline-binding repeat', 'Cell_wall/Cho-bd_repeat', 7, NULL),
(20694, NULL, 'IPR022102', NULL, 'Holliday junction regulator protein family C-terminal', 'HJURP_C', 3, NULL),
(20695, NULL, 'IPR021991', NULL, 'UHRF1, tandem tudor domain', 'TTD_dom', 3, NULL),
(20696, NULL, 'IPR017097', NULL, 'Bombyxin', 'Bombyxin', 4, NULL),
(20697, NULL, 'IPR016329', NULL, 'Neurotoxin, TxP-I', 'Neurotoxin_TxP-I', 4, NULL),
(20698, NULL, 'IPR021958', NULL, 'Protein of unknown function DUF3575', 'DUF3575', 4, NULL),
(20699, NULL, 'IPR016708', NULL, 'Aspartoacylase', 'Aspartoacylase', 4, NULL),
(20700, NULL, 'IPR022062', NULL, 'Protein of unknown function DUF3618', 'DUF3618', 4, NULL),
(20701, NULL, 'IPR017118', NULL, 'Peptidase S1A, matriptase-2', 'Pept_S1A_matriptase-2', 4, NULL),
(20702, NULL, 'IPR017103', NULL, 'Ionotropic glutamate receptor, plant', 'Iontropic_Glu_rcpt_pln', 4, NULL),
(20703, NULL, 'IPR018361', NULL, 'Caveolin, conserved site', 'Caveolin_CS', 2, NULL),
(20704, NULL, 'IPR017127', NULL, 'Ribosomal protein L3-specific, glutamine-N5-methyltransferase', 'Ribosome_L3_Gln-N5_MeTrfase', 4, NULL),
(20705, NULL, 'IPR020430', NULL, 'Brain-derived neurotrophic factor', 'Brain-der_neurotrophic_factor', 4, NULL),
(20706, NULL, 'IPR016347', NULL, 'Acyl-CoA-binding domain-containing protein 5', 'ACBD5', 4, NULL),
(20707, NULL, 'IPR017150', NULL, 'Peptidase M20, glutamate carboxypeptidase', 'Pept_M20_glutamate_carboxypep', 4, NULL),
(20708, NULL, 'IPR022086', NULL, 'Inner membrane complex protein', 'IMCp', 4, NULL),
(20709, NULL, 'IPR035452', NULL, 'SH3PXD2A, SH3 domain 2', 'SH3PXD2A_SH3_2', 3, NULL),
(20710, NULL, 'IPR022009', NULL, 'Restriction endonuclease, type II, NotI', 'Resctriction_endonuc_II_NotI', 3, NULL),
(20711, NULL, 'IPR018336', NULL, 'Ribonuclease PH, conserved site', 'RNase_PH_CS', 2, NULL),
(20712, NULL, 'IPR018382', NULL, 'DNA polymerase III, psi subunit, subgroup', 'DNA_pol_III_psi_subgr', 4, NULL),
(20713, NULL, 'IPR021966', NULL, 'Splicing factor SF3a60 binding domain', 'SF3a60_bindingd', 3, NULL),
(20714, NULL, 'IPR022030', NULL, 'Splicing factor 3A subunit 1, conserved domain', 'SF3A1_dom', 3, NULL),
(20715, NULL, 'IPR016353', NULL, 'Chordin', 'Chordin', 4, NULL),
(20716, NULL, 'IPR020542', NULL, 'Aspartate carbamoyltransferase regulatory subunit, C-terminal', 'Asp_carbamoyltrfase_reg_C', 3, NULL),
(20717, NULL, 'IPR019691', NULL, 'Protein of unknown function DUF2585', 'DUF2585', 4, NULL),
(20718, NULL, 'IPR023266', NULL, 'Aquaporin 11', 'Aquaporin_11', 4, NULL),
(20719, NULL, 'IPR016326', NULL, 'Mating factor alpha', 'Mating_factor_a', 4, NULL),
(20720, NULL, 'IPR020583', NULL, 'Inositol monophosphatase, metal-binding site', 'Inositol_monoP_metal-BS', 1, NULL),
(20721, NULL, 'IPR022051', NULL, 'Protein of unknown function DUF3611', 'DUF3611', 4, NULL),
(20722, NULL, 'IPR016703', NULL, 'Conjugal transfer, TraD, beta/gamma-type', 'Conjugal_tfr_TraD_b/g-type', 4, NULL),
(20723, NULL, 'IPR021990', NULL, 'Mediator complex, subunit Med12, LCEWAV-domain', 'Mediator_Med12_LCEWAV', 3, NULL),
(20724, NULL, 'IPR020593', NULL, 'Gamma-glutamyl phosphate reductase GPR, conserved site', 'G-glutamylP_reductase_CS', 2, NULL),
(20725, NULL, 'IPR022038', NULL, 'Ig-like domain, bacterial type', 'Ig-like_bact', 3, NULL),
(20726, NULL, 'IPR016702', NULL, 'Mitochondrial ATP synthase subunit g, animal', 'ATP_synth_su_G_mt_met', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20727, NULL, 'IPR020298', NULL, 'Kil protein, bacteriophage P22-type', 'Kil_phage_P22-type', 4, NULL),
(20728, NULL, 'IPR020435', NULL, 'Tumour necrosis factor receptor 5', 'TNFR_5', 4, NULL),
(20729, NULL, 'IPR021961', NULL, 'Protein of unknown function DUF3578', 'DUF3578', 4, NULL),
(20730, NULL, 'IPR020848', NULL, 'AP endonuclease 1, conserved site', 'AP_endonuclease_F1_CS', 2, NULL),
(20731, NULL, 'IPR020446', NULL, 'NT-3 growth factor receptor NTRK3', 'NTRK3', 4, NULL),
(20732, NULL, 'IPR018378', NULL, 'C-type lectin, conserved site', 'C-type_lectin_CS', 2, NULL),
(20733, NULL, 'IPR034710', NULL, 'Ribulose-5-phosphate reductase', 'TarJ', 4, NULL),
(20734, NULL, 'IPR020293', NULL, 'Accessory recombination function protein', 'Arf', 4, NULL),
(20735, NULL, 'IPR024219', NULL, 'Protein of unknown function DUF3809', 'DUF3809', 4, NULL),
(20736, NULL, 'IPR022070', NULL, 'Cytoplasmic activation/proliferation-associated protein-1 C term', 'Caprin-1_C', 3, NULL),
(20737, NULL, 'IPR017101', NULL, 'P-loop ATP/GTP binding protein, All4644, predicted', 'P-loop_ATP/GTP-bd_All4644_prd', 4, NULL),
(20738, NULL, 'IPR017142', NULL, 'Nitric oxide synthase, oxygenase subunit', 'Nitric_oxide_synthase_Oase-su', 4, NULL),
(20739, NULL, 'IPR017147', NULL, 'Tricalbin', 'Tricalbin', 4, NULL),
(20740, NULL, 'IPR016348', NULL, 'L-selectin', 'L-selectin', 4, NULL),
(20741, NULL, 'IPR020451', NULL, 'Interleukin-15, avian', 'IL-15_avian', 4, NULL),
(20742, NULL, 'IPR022028', NULL, 'Protein of unknown function DUF3604', 'DUF3604', 4, NULL),
(20743, NULL, 'IPR022105', NULL, 'Protein of unknown function DUF3645', 'DUF3645', 4, NULL),
(20744, NULL, 'IPR022036', NULL, 'Protein of unknown function DUF3605', 'DUF3605', 4, NULL),
(20745, NULL, 'IPR020599', NULL, 'Translation elongation factor P/YeiP', 'Transl_elong_fac_P/YeiP', 4, NULL),
(20746, NULL, 'IPR019698', NULL, 'Protein of unknown function DUF2583', 'DUF2583', 4, NULL),
(20747, NULL, 'IPR016668', NULL, 'NADH dehydrogenase [ubiquinone] iron-sulfur protein 6, mitochondrial', 'NDUFS6', 4, NULL),
(20748, NULL, 'IPR021985', NULL, 'RNA polymerase Rpo13 subunit HTH domain', 'RNA_pol_Rpo13', 3, NULL),
(20749, NULL, 'IPR022014', NULL, 'Sulfolobus virus, coat protein, C-terminal', 'Sulfobus_virus_coat_C', 3, NULL),
(20750, NULL, 'IPR022031', NULL, 'Telomere-associated protein Rif1, N-terminal', 'Rif1_N', 3, NULL),
(20751, NULL, 'IPR016694', NULL, 'Protein of unknown function UCP017292, zinc finger, CHY-type', 'UCP017292', 4, NULL),
(20752, NULL, 'IPR020796', NULL, 'Origin recognition complex, subunit 5', 'ORC5', 4, NULL),
(20753, NULL, 'IPR016342', NULL, 'AP-1/2/4 complex subunit beta', 'AP_complex_bsu_1_2_4', 4, NULL),
(20754, NULL, 'IPR016336', NULL, 'Receptor tyrosine-protein phosphatase, alpha/epsilon-type', 'Tyr_Pase_rcpt_a/e-type', 4, NULL),
(20755, NULL, 'IPR022043', NULL, 'Chromatin assembly factor 1 subunit A', 'CAF1A', 4, NULL),
(20756, NULL, 'IPR020864', NULL, 'Membrane attack complex component/perforin (MACPF) domain', 'MACPF', 3, NULL),
(20757, NULL, 'IPR022001', NULL, 'DNA polymerase III subunit tau, DnaB-binding domain IV', 'DNA_pol3_tau_IV', 3, NULL),
(20758, NULL, 'IPR022096', NULL, 'SBF1/SBF2 domain', 'SBF1/SBF2', 3, NULL),
(20759, NULL, 'IPR016710', NULL, 'Emp46/Emp47', 'Emp46/Emp47', 4, NULL),
(20760, NULL, 'IPR022381', NULL, 'Uncharacterised protein family MG067', 'Uncharacterised_MG067', 4, NULL),
(20761, NULL, 'IPR016685', NULL, 'RNA-induced silencing complex, nuclease component Tudor-SN', 'Silence_cplx_Nase-comp_TudorSN', 4, NULL),
(20762, NULL, 'IPR016368', NULL, 'Virulence-associated protein D', 'Virulence-assoc_VapD', 4, NULL),
(20763, NULL, 'IPR016327', NULL, 'Alpha-defensin', 'Alpha-defensin', 4, NULL),
(20764, NULL, 'IPR016704', NULL, 'Conjugal transfer, TrbD', 'Conjugal_tfr_TrbD', 4, NULL),
(20765, NULL, 'IPR035022', NULL, 'PI3K p85 subunit, N-terminal SH2 domain', 'PI3kinase_P85_nSH2', 3, NULL),
(20766, NULL, 'IPR020844', NULL, 'Circadian clock protein KaiA, N-terminal', 'Circadian_clock_KaiA_N', 3, NULL),
(20767, NULL, 'IPR016682', NULL, 'Flagella accessory protein D, predicted, archaeal', 'FlaD_prd_arc', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20768, NULL, 'IPR035447', NULL, 'DNA topoisomerase I, N-terminal', 'DNA_topo_I_N', 5, NULL),
(20769, NULL, 'IPR021970', NULL, 'Sequence-variable mosaic (SVM), signal sequence', 'SVM_signal', 3, NULL),
(20770, NULL, 'IPR020594', NULL, 'Ribosomal protein L9, bacteria/chloroplast', 'Ribosomal_L9_bac/chp', 4, NULL),
(20771, NULL, 'IPR020290', NULL, 'Gene product 88', 'Gp88', 4, NULL),
(20772, NULL, 'IPR035023', NULL, 'PLC-gamma, C-terminal SH2 domain', 'PLC-gamma_C-SH2', 3, NULL),
(20773, NULL, 'IPR019688', NULL, 'Protein of unknown function DUF2533', 'DUF2533', 4, NULL),
(20774, NULL, 'IPR016322', NULL, 'Frog skin active peptide family', 'FSAP', 4, NULL),
(20775, NULL, 'IPR016709', NULL, 'Uncharacterised protein family UPF0336', 'UPF0336', 4, NULL),
(20776, NULL, 'IPR020600', NULL, 'Inosine monophosphate cyclohydrolase-like', 'IMP_cyclohydrolase-like', 3, NULL),
(20777, NULL, 'IPR022095', NULL, 'Rickettsia outer membrane protein B', 'rOmpB', 4, NULL),
(20778, NULL, 'IPR024767', NULL, 'Pre-mRNA-splicing factor 38, C-terminal', 'PRP38_C', 3, NULL),
(20779, NULL, 'IPR017105', NULL, 'Adaptor protein complex AP-3, delta subunit', 'AP3_complex_dsu', 4, NULL),
(20780, NULL, 'IPR020847', NULL, 'AP endonuclease 1, binding site', 'AP_endonuclease_F1_BS', 1, NULL),
(20781, NULL, 'IPR016689', NULL, 'ESCRT-2 complex, Snf8', 'ESCRT-2_cplx_Snf8', 4, NULL),
(20782, NULL, 'IPR019692', NULL, 'Protein of unknown function DUF2581', 'DUF2581', 4, NULL),
(20783, NULL, 'IPR021960', NULL, 'Protein of unknown function DUF3577', 'DUF3577', 4, NULL),
(20784, NULL, 'IPR024217', NULL, 'Protein of unknown function DUF3813', 'DUF3813', 4, NULL),
(20785, NULL, 'IPR019682', NULL, 'Bacteriophage T7, Gp17.5, holin', 'Phage_T7_Gp17.5_holin', 4, NULL),
(20786, NULL, 'IPR020996', NULL, 'Type III secretion system, AvrPto', 'T3SS_AvrPto', 4, NULL),
(20787, NULL, 'IPR018370', NULL, 'Chaperonin Cpn60, conserved site', 'Chaperonin_Cpn60_CS', 2, NULL),
(20788, NULL, 'IPR034341', NULL, 'Stringent starvation protein A, N-terminal', 'SspA_N', 3, NULL),
(20789, NULL, 'IPR022103', NULL, 'Baculoviral IAP repeat-containing protein 6', 'BIRC6', 4, NULL),
(20790, NULL, 'IPR022068', NULL, 'Mamastrovirus p20 protein', 'Mamastrovirus_p20', 4, NULL),
(20791, NULL, 'IPR019690', NULL, 'Protein of unknown function DUF2569', 'DUF2569', 4, NULL),
(20792, NULL, 'IPR017148', NULL, 'Vacuolar protein sorting-associated protein 13, fungi', 'VPS13_fungi', 4, NULL),
(20793, NULL, 'IPR021955', NULL, 'Protein of unknown function DUF3572', 'DUF3572', 4, NULL),
(20794, NULL, 'IPR018387', NULL, 'Uncharacterised protein YcgA/YfcC', 'YcgA/YfcC', 4, NULL),
(20795, NULL, 'IPR022071', NULL, 'Rotavirus VP1 RNA-directed RNA polymerase, C-terminal', 'Rotavirus_VP1_C', 3, NULL),
(20796, NULL, 'IPR022015', NULL, 'Tuberculin-active protein', 'Tuberculin', 3, NULL),
(20797, NULL, 'IPR016375', NULL, 'Transcription factor GATA-4/5/6', 'TF_GATA_4/5/6', 4, NULL),
(20798, NULL, 'IPR022079', NULL, 'Protein of unknown function DUF3629', 'DUF3629', 4, NULL),
(20799, NULL, 'IPR022064', NULL, 'Protein of unknown function DUF3619', 'DUF3619', 4, NULL),
(20800, NULL, 'IPR017128', NULL, 'Catechol O-methyltransferase, eukaryotic', 'Catechol_O-MeTrfase_euk', 4, NULL),
(20801, NULL, 'IPR017107', NULL, 'Adaptor protein complex AP-1, gamma subunit', 'AP1_complex_gsu', 4, NULL),
(20802, NULL, 'IPR023957', NULL, 'Anaerobic nitric oxide reductase flavorubredoxin', 'Anaer_NO_rdtase_flvorubredoxin', 4, NULL),
(20803, NULL, 'IPR016351', NULL, 'Plasminogen-related', 'Plasminogen-rel', 4, NULL),
(20804, NULL, 'IPR016362', NULL, 'POU-domain transcription factor, class 3', 'TF_POU_3', 4, NULL),
(20805, NULL, 'IPR022023', NULL, 'U1 small nuclear ribonucleoprotein of 70kDa N-terminal', 'U1snRNP70_N', 3, NULL),
(20806, NULL, 'IPR021973', NULL, 'SprA-related family', 'SprA-related', 4, NULL),
(20807, NULL, 'IPR016376', NULL, 'Histone acetyltransferase GCN5/PCAF', 'GCN5/PCAF', 4, NULL),
(20808, NULL, 'IPR020382', NULL, 'Androgenic gland hormone', 'AGH', 4, NULL),
(20809, NULL, 'IPR024218', NULL, 'Protein of unknown function DUF3867', 'DUF3867', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20810, NULL, 'IPR022076', NULL, 'Limbin', 'Limbin', 4, NULL),
(20811, NULL, 'IPR035458', NULL, 'CRK, C-terminal SH3 domain', 'CRK_SH3_C', 3, NULL),
(20812, NULL, 'IPR020994', NULL, 'Uncharacterised protein family, calcium binding protein, CcbP', 'Uncharacterised_Ca-bd_CcbP', 4, NULL),
(20813, NULL, 'IPR021998', NULL, 'Alfin, N-terminal', 'Alfin_N', 3, NULL),
(20814, NULL, 'IPR022007', NULL, 'I-kappa-kinase-beta NEMO binding domain', 'IKKbetaNEMObind', 3, NULL),
(20815, NULL, 'IPR022072', NULL, 'Protein of unknown function DUF3624', 'DUF3624', 4, NULL),
(20816, NULL, 'IPR035449', NULL, 'SH3PXD2A, SH3 domain 3', 'SH3PXD2A_SH3_3', 3, NULL),
(20817, NULL, 'IPR019700', NULL, 'Anti-sigma-G factor Gin', 'Sigma-G_inhibitor_Gin', 4, NULL),
(20818, NULL, 'IPR017125', NULL, 'PR-domain zinc finger protein PRDM5-like', 'Znf_PRDM5-like', 4, NULL),
(20819, NULL, 'IPR035019', NULL, 'Spt6, SH2 domain, N terminus', 'Spt6_SH2_N', 3, NULL),
(20820, NULL, 'IPR021964', NULL, 'Colicin E5 ribonuclease domain', 'Colicin_E5_C', 3, NULL),
(20821, NULL, 'IPR022037', NULL, 'Protein of unknown function DUF3606', 'DUF3606', 4, NULL),
(20822, NULL, 'IPR016697', NULL, 'Aquaporin 11/12', 'Aquaporin_11/12', 4, NULL),
(20823, NULL, 'IPR022075', NULL, 'Symplekin  C-terminal', 'Symplekin_C', 3, NULL),
(20824, NULL, 'IPR020777', NULL, 'Growth factor receptor NTRK', 'NTRK', 4, NULL),
(20825, NULL, 'IPR017129', NULL, 'Bifunctional hydroxyisourate hydrolase/2-oxo-4-hydroxy-4-carboxy-5-ureidoimidazoline decarboxylase', 'HIU_hydrol/OHCU_decarb', 4, NULL),
(20826, NULL, 'IPR021954', NULL, 'Protein CHLORORESPIRATORY REDUCTION 7', 'CRR7', 4, NULL),
(20827, NULL, 'IPR021978', NULL, 'Protein of unknown function DUF3583', 'DUF3583', 4, NULL),
(20828, NULL, 'IPR022063', NULL, 'Complementary sex determination, N-terminal', 'Sex_determin_N', 3, NULL),
(20829, NULL, 'IPR022002', NULL, 'Domain of unknown function DUF35, rubredoxin-like zinc ribbon domain, N-terminal', 'DUF35_Znr_N', 3, NULL),
(20830, NULL, 'IPR022006', NULL, 'Chromosome passenger complex (CPC) protein INCENP N-terminal', 'INCENP_N', 3, NULL),
(20831, NULL, 'IPR016328', NULL, 'Beta/delta-agatoxin family', 'Beta/delta-agatoxin_fam', 4, NULL),
(20832, NULL, 'IPR022100', NULL, 'Minichromosome loss protein Mcl1, middle region', 'Mcl1_mid', 3, NULL),
(20833, NULL, 'IPR022005', NULL, 'Prohormone convertase enzyme', 'Proho_convert', 3, NULL),
(20834, NULL, 'IPR016665', NULL, 'SAS complex subunit SAS5/transcription initiation factor TFIID subunit 14', 'Sas5/TAF14', 4, NULL),
(20835, NULL, 'IPR018371', NULL, 'Chitin-binding, type 1, conserved site', 'Chitin-binding_1_CS', 2, NULL),
(20836, NULL, 'IPR035001', NULL, 'PTBP1, RNA recognition motif 3', 'PTBP1_RRM3', 3, NULL),
(20837, NULL, 'IPR016662', NULL, 'Acyl-CoA thioesterase, long chain', 'Acyl-CoA_thioEstase_long-chain', 4, NULL),
(20838, NULL, 'IPR016371', NULL, 'RNA polymerase sigma-H factor', 'RNA_pol_sigma-H_factor', 4, NULL),
(20839, NULL, 'IPR017106', NULL, 'Coatomer gamma subunit', 'Coatomer_gsu', 4, NULL),
(20840, NULL, 'IPR021962', NULL, 'Surface lipoprotein of Spirochaetales order', 'Lipl32', 3, NULL),
(20841, NULL, 'IPR017146', NULL, 'Type 2 lantibiotic biosynthesis protein LanM', 'Lanti_2_LanM', 4, NULL),
(20842, NULL, 'IPR022049', NULL, 'FAM69, protein-kinase domain', 'FAM69_kinase_dom', 3, NULL),
(20843, NULL, 'IPR016341', NULL, 'Clathrin, heavy chain', 'Clathrin_heavy_chain', 4, NULL),
(20844, NULL, 'IPR024216', NULL, 'Protein of unknown function DUF3851', 'DUF3851', 4, NULL),
(20845, NULL, 'IPR020285', NULL, 'Superinfection exclusion gene product 17', 'Gp17', 4, NULL),
(20846, NULL, 'IPR020287', NULL, 'Tail sheath protein, C-terminal domain', 'Tail_sheath_C', 3, NULL),
(20847, NULL, 'IPR016334', NULL, 'Protein-tyrosine phosphatase, receptor type R/non-receptor type 5', 'Tyr_Pase_rcpt_R/non-rcpt_5', 4, NULL),
(20848, NULL, 'IPR020545', NULL, 'Aspartate carbamoyltransferase regulatory subunit, N-terminal', 'Asp_carbamoyltransf_reg_N', 3, NULL),
(20849, NULL, 'IPR017114', NULL, 'C2H2-type Zinc finger protein,  YY1-like', 'YY1-like', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20850, NULL, 'IPR017117', NULL, 'Ribonuclease Nob1, eukaryote', 'Nob1_euk', 4, NULL),
(20851, NULL, 'IPR016667', NULL, 'Capsular polysaccharide synthesis, CpsB/CapC', 'Caps_polysacc_synth_CpsB/CapC', 4, NULL),
(20852, NULL, 'IPR020999', NULL, 'Chitin synthesis regulation, Congo red resistance, RCR protein', 'Chitin_synth_reg_RCR', 4, NULL),
(20853, NULL, 'IPR016331', NULL, 'Shiga-like toxin, subunit A', 'Shiga-like_toxin_subunit_A', 4, NULL),
(20854, NULL, 'IPR020591', NULL, 'Chromosomal replication control, initiator DnaA-like', 'Chromosome_initiator_DnaA-like', 4, NULL),
(20855, NULL, 'IPR022107', NULL, 'DNA polymerase III, subunit gamma/ tau, C-terminal', 'DNA_pol_III_gamma/tau_C', 3, NULL),
(20856, NULL, 'IPR017120', NULL, 'Bifunctional 3-hexulose-6-phosphate synthase/demethylmenaquinone methyltransferase, predicted', 'Bifunct_HPS/DMK_prd', 4, NULL),
(20857, NULL, 'IPR020775', NULL, 'Tyrosine-protein kinase, non-receptor Jak3', 'Tyr_kinase_non-rcpt_Jak3', 4, NULL),
(20858, NULL, 'IPR022080', NULL, 'Protein of unknown function DUF3630', 'DUF3630', 4, NULL),
(20859, NULL, 'IPR022073', NULL, 'Putative outer membrane core complex of type IVb secretion', 'T4BSS_DotH_IcmK', 4, NULL),
(20860, NULL, 'IPR022022', NULL, 'Immune evasion protein', 'M04gp34-like', 4, NULL),
(20861, NULL, 'IPR017143', NULL, 'Uncharacterised conserved protein UCP037225', 'UCP037225', 4, NULL),
(20862, NULL, 'IPR022027', NULL, 'Turkey astrovirus capsid protein', 'Astro_capsid_p', 4, NULL),
(20863, NULL, 'IPR016332', NULL, 'Alpha-1B-glycoprotein/leukocyte immunoglobulin-like receptor', 'A1B_glyco/leuk_Ig-like_rcpt', 4, NULL),
(20864, NULL, 'IPR016317', NULL, 'Pro-epidermal growth factor', 'Pro-epidermal_GF', 4, NULL),
(20865, NULL, 'IPR020667', NULL, 'DNA mismatch repair protein, MutL', 'DNA_mismatch_repair_MutL', 4, NULL),
(20866, NULL, 'IPR016683', NULL, 'Glycosyl transferase, family 28, RedA, predicted', 'Glyco_trans_28_RedA_prd', 4, NULL),
(20867, NULL, 'IPR018343', NULL, 'Carbonic anhydrase, CA4', 'Carbonic_anhydrase_CA4', 4, NULL),
(20868, NULL, 'IPR022088', NULL, 'Intraflagellar transport complex B protein 46', 'Intraflagellar_transp_cmplxB', 4, NULL),
(20869, NULL, 'IPR020467', NULL, 'Potassium channel, voltage dependent, Kv1.4', 'K_chnl_volt-dep_Kv1.4', 4, NULL),
(20870, NULL, 'IPR022057', NULL, 'Chitin synthase export chaperone', 'Chs7', 4, NULL),
(20871, NULL, 'IPR016339', NULL, 'Truncated hemoglobin, group 1', 'Hemoglobin_trunc_I', 4, NULL),
(20872, NULL, 'IPR022050', NULL, 'Thermostable hemolysin', 'T_hemolysin', 4, NULL),
(20873, NULL, 'IPR016361', NULL, 'Transcriptional enhancer factor, metazoa', 'TEF_metazoa', 4, NULL),
(20874, NULL, 'IPR035005', NULL, 'hnRNP-L, RNA recognition motif 1', 'hnRNPL_RRM1', 3, NULL),
(20875, NULL, 'IPR017115', NULL, 'Tellurite resistance, TerA', 'Tellurite_resistance_TerA', 4, NULL),
(20876, NULL, 'IPR016356', NULL, 'Seminal plasma protein, PDC-109-like', 'Seminal_plasma_PDC-109-like', 4, NULL),
(20877, NULL, 'IPR016674', NULL, 'Sphingomyelinase D/Phospholipase D', 'SMase_D/PLipase_D', 4, NULL),
(20878, NULL, 'IPR024225', NULL, 'Cyclic-AMP phosphodiesterase class-II, conserved site', 'cAMP-PdiesteraseII_CS', 2, NULL),
(20879, NULL, 'IPR016691', NULL, 'tRNA guanosine-2''-O-methyltransferase, TRM11', 'tRNA_mtfrase_TRM11', 4, NULL),
(20880, NULL, 'IPR022025', NULL, 'Putative amidoligase enzyme', 'Amidoligase_2', 4, NULL),
(20881, NULL, 'IPR022017', NULL, 'Domain of unknown function DUF3598', 'DUF3598', 3, NULL),
(20882, NULL, 'IPR022042', NULL, 'snRNA-activating protein complex, subunit 3', 'snRNA-activating_su3', 4, NULL),
(20883, NULL, 'IPR016690', NULL, 'tRNA-splicing endonuclease, SEN34 subunit', 'tRNA_splic_SEN34', 4, NULL),
(20884, NULL, 'IPR035448', NULL, 'Phosphoinositide 3-kinase, catalytic domain', 'PI3Kc', 3, NULL),
(20885, NULL, 'IPR016680', NULL, 'NADH dehydrogenase [ubiquinone] (complex I), alpha subcomplex, subunit 8', 'NDUFA8', 4, NULL),
(20886, NULL, 'IPR020889', NULL, 'LPS-assembly protein LptD', 'LipoPS_assembly_LptD', 4, NULL),
(20887, NULL, 'IPR016660', NULL, 'Kinase associated protein phosphatase', 'Kinase_assoc_Pase', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20888, NULL, 'IPR022047', NULL, 'Microcephalin-like', 'Microcephalin-like', 4, NULL),
(20889, NULL, 'IPR016345', NULL, 'Casein, beta', 'Casein_beta', 4, NULL),
(20890, NULL, 'IPR018376', NULL, 'Enoyl-CoA hydratase/isomerase, conserved site', 'Enoyl-CoA_hyd/isom_CS', 2, NULL),
(20891, NULL, 'IPR016669', NULL, 'Interferon alpha/beta receptor 1', 'Interferon_alpha/beta_rcpt-1', 4, NULL),
(20892, NULL, 'IPR021969', NULL, 'Protein of unknown function DUF3579', 'DUF3579', 4, NULL),
(20893, NULL, 'IPR020776', NULL, 'Tyrosine-protein kinase, non-receptor Jak1', 'Tyr_kinase_non-rcpt_Jak1', 4, NULL),
(20894, NULL, 'IPR035020', NULL, 'PI3K p85 subunit, C-terminal SH2 domain', 'PI3kinase_P85_cSH2', 3, NULL),
(20895, NULL, 'IPR017135', NULL, 'D-glutamate cyclase, mitochondrial', 'D-Glu_cyclase_mito', 4, NULL),
(20896, NULL, 'IPR017133', NULL, 'Pyoverdine chromophore biosynthesis protein PvcA', 'Pyoverdine_chromoph_PvcA', 4, NULL),
(20897, NULL, 'IPR022055', NULL, 'Protein of unknown function DUF3612', 'DUF3612', 4, NULL),
(20898, NULL, 'IPR035000', NULL, 'PTBP1,  RNA recognition motif 1', 'PTBP1_RRM1', 3, NULL),
(20899, NULL, 'IPR016696', NULL, 'TRAPP I complex, subunit 5', 'TRAPP-I_su5', 4, NULL),
(20900, NULL, 'IPR016357', NULL, 'Transferrin', 'Transferrin', 4, NULL),
(20901, NULL, 'IPR034676', NULL, 'Protein kinase B alpha, catalytic domain', 'Akt1', 3, NULL),
(20902, NULL, 'IPR016359', NULL, 'SPARC-like protein 1', 'SPARC-like_p1', 4, NULL),
(20903, NULL, 'IPR018372', NULL, 'Chloramphenicol acetyltransferase, active site', 'Chloramphenicol_AcTrfase_AS', 0, NULL),
(20904, NULL, 'IPR021972', NULL, 'Parvovirus non-structural protein 1, C-terminal', 'Parvovirus_NS1_C', 3, NULL),
(20905, NULL, 'IPR022081', NULL, 'Domain of unknown function DUF3631', 'DUF3631', 3, NULL),
(20906, NULL, 'IPR022013', NULL, 'Fungal calcium binding protein', 'CBP', 3, NULL),
(20907, NULL, 'IPR020653', NULL, 'Tryptophan-tRNA ligase, archaea', 'Tryptophan-tRNA-ligase_arc', 4, NULL),
(20908, NULL, 'IPR016671', NULL, 'Acyl-protein synthetase, LuxE, bacterial', 'LuxE_bac', 4, NULL),
(20909, NULL, 'IPR022087', NULL, 'Protein DA1-like domain', 'DA1-like_dom', 3, NULL),
(20910, NULL, 'IPR024214', NULL, 'Protein of unknown function DUF3843', 'DUF3843', 4, NULL),
(20911, NULL, 'IPR018369', NULL, 'Chaperonin GroES, conserved site', 'Chaprnonin_Cpn10_CS', 2, NULL),
(20912, NULL, 'IPR020863', NULL, 'Membrane attack complex component/perforin domain, conserved site', 'MACPF_CS', 2, NULL),
(20913, NULL, 'IPR016707', NULL, 'Conjugal transfer, TraB, rhizobiales', 'Conjugal_tfr_TraB_rhizob', 4, NULL),
(20914, NULL, 'IPR016337', NULL, 'Monocyte differentiation antigen CD14', 'Monocyte_diff_Ag_CD14', 4, NULL),
(20915, NULL, 'IPR022008', NULL, 'TSG101 and ALIX binding domain of CEP55', 'EABR', 3, NULL),
(20916, NULL, 'IPR035455', NULL, 'SH3 domain-binding protein 4', 'SH3BP4', 4, NULL),
(20917, NULL, 'IPR018385', NULL, 'C4-dicarboxylate anaerobic carrier-like', 'C4_dicarb_anaerob_car-like', 4, NULL),
(20918, NULL, 'IPR021992', NULL, 'Mannan-binding protein', 'MVL', 3, NULL),
(20919, NULL, 'IPR017124', NULL, 'PR-domain zinc finger protein PRDM4', 'PRDM4', 4, NULL),
(20920, NULL, 'IPR016670', NULL, 'DNA damage-inducible transcript 3', 'DNA_damage_induc_transcript_3', 4, NULL),
(20921, NULL, 'IPR020587', NULL, 'DNA recombination and repair protein RecA, monomer-monomer interface', 'RecA_monomer-monomer_interface', 3, NULL),
(20922, NULL, 'IPR016676', NULL, 'Phospholipid/glycerol acyltransferase, predicted', 'P_lipid/glycerol_AcTrfase_prd', 4, NULL),
(20923, NULL, 'IPR022045', NULL, 'Insecticide toxin TcdB middle/N-terminal', 'TcdB_toxin_mid/N', 3, NULL),
(20924, NULL, 'IPR017132', NULL, 'Sm-like protein Lsm7', 'Lsm7', 4, NULL),
(20925, NULL, 'IPR023580', NULL, 'RNA polymerase subunit RPB10', 'RNA_pol_su_RPB10', 5, NULL),
(20926, NULL, 'IPR017138', NULL, 'Aspartate/glutamate leucyltransferase', 'Asp_Glu_LeuTrfase', 4, NULL),
(20927, NULL, 'IPR018362', NULL, 'CCAAT-binding factor, conserved site', 'CCAAT-binding_factor_CS', 2, NULL),
(20928, NULL, 'IPR018363', NULL, 'CD59 antigen, conserved site', 'CD59_antigen_CS', 2, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20929, NULL, 'IPR016330', NULL, 'Neurotoxin 3, Actiniidae', 'Neurotoxin_3_Actiniidae', 4, NULL),
(20930, NULL, 'IPR017140', NULL, 'Uncharacterised conserved protein UCP037214', 'UCP037214', 4, NULL),
(20931, NULL, 'IPR021982', NULL, 'Repeat element protein, Ichnovirus', 'REEP_Ichnovirus', 4, NULL),
(20932, NULL, 'IPR020888', NULL, 'Ribulose bisphosphate carboxylase large subunit, type I', 'RuBisCO_lsuI', 4, NULL),
(20933, NULL, 'IPR016712', NULL, 'Mitochondrial ribosomal protein MRP51, fungi', 'Mt_Rbsml_MRP51_fun', 4, NULL),
(20934, NULL, 'IPR016677', NULL, 'Uncharacterised conserved protein UCP016817, ATP-dependent carboligase', 'UCP016817_carboligase', 4, NULL),
(20935, NULL, 'IPR019699', NULL, 'Protein of unknown function DUF2584', 'DUF2584', 4, NULL),
(20936, NULL, 'IPR016343', NULL, 'Spectrin, beta subunit', 'Spectrin_bsu', 4, NULL),
(20937, NULL, 'IPR020887', NULL, 'Uncharacterised protein family UPF0509', 'UPF0509', 4, NULL),
(20938, NULL, 'IPR020795', NULL, 'Origin recognition complex, subunit 3', 'ORC3', 4, NULL),
(20939, NULL, 'IPR017099', NULL, 'Uncharacterised conserved protein UCP037053', 'UCP037053', 4, NULL),
(20940, NULL, 'IPR022032', NULL, 'Myogenic determination factor 5', 'Myf5', 3, NULL),
(20941, NULL, 'IPR020672', NULL, 'Ribose-5-phosphate isomerase, type A, subgroup', 'Ribose5P_isomerase_typA_subgr', 4, NULL),
(20942, NULL, 'IPR020602', NULL, 'GTP cyclohydrolase I domain', 'GTP_CycHdrlase_I_dom', 3, NULL),
(20943, NULL, 'IPR018375', NULL, 'Coproporphyrinogen III oxidase, conserved site', 'Coprogen_oxidase_CS', 2, NULL),
(20944, NULL, 'IPR021980', NULL, 'Homeodomain containing protein PHTF1/2, N-terminal', 'PHTF1/2_N', 3, NULL),
(20945, NULL, 'IPR020900', NULL, 'Arginine repressor, DNA-binding domain', 'Arg_repress_DNA-bd', 3, NULL),
(20946, NULL, 'IPR016705', NULL, 'Photosynthesis system II assembly factor Ycf48/Hcf136', 'Ycf48/Hcf136', 4, NULL),
(20947, NULL, 'IPR016666', NULL, 'TGF beta-induced protein/periostin', 'TGFBI/POSTN', 4, NULL),
(20948, NULL, 'IPR017121', NULL, 'Nitrite reductase [NAD(P)H], large subunit', 'Nitrite_Rdtase_lsu', 4, NULL),
(20949, NULL, 'IPR016374', NULL, 'Transcription factor, GATA-2/3', 'TF_GATA-2/3', 4, NULL),
(20950, NULL, 'IPR021993', NULL, 'Putative metal-binding domain of cation transport ATPase', 'ATPase-cat-bd', 3, NULL),
(20951, NULL, 'IPR022024', NULL, 'Protein of unknown function DUF3602', 'DUF3602', 4, NULL),
(20952, NULL, 'IPR021979', NULL, 'Protein of unknown function DUF3584', 'DUF3584', 4, NULL),
(20953, NULL, 'IPR020916', NULL, 'Protein-glutamine gamma-glutamyltransferase, bacteria', 'Gln_gamma-glutamylTfrase_bac', 4, NULL),
(20954, NULL, 'IPR016684', NULL, 'Type III secretion system chaperone, YscY', 'T3SS_YscY', 4, NULL),
(20955, NULL, 'IPR016373', NULL, 'Opacity', 'Opacity', 4, NULL),
(20956, NULL, 'IPR022004', NULL, 'White spot syndrome virus structural envelope protein Vp28', 'WSSV_Vp28', 3, NULL),
(20957, NULL, 'IPR022029', NULL, 'Putative peptidoglycan binding domain', 'PG-bd_4', 3, NULL),
(20958, NULL, 'IPR016352', NULL, 'Small leucine-rich proteoglycan, class I, decorin/asporin/byglycan', 'SLRP_I_decor/aspor/byglycan', 4, NULL),
(20959, NULL, 'IPR016713', NULL, 'Poly(A) polymerase complex subunit Air1/2, budding yeast', 'Air1/2_Saccharomycetales', 4, NULL),
(20960, NULL, 'IPR024768', NULL, 'Meiosis regulator and mRNA stability factor 1', 'Marf1', 4, NULL),
(20961, NULL, 'IPR022090', NULL, 'Protein of unknown function DUF3634', 'DUF3634', 4, NULL),
(20962, NULL, 'IPR019686', NULL, 'Protein of unknown function DUF2536', 'DUF2536', 4, NULL),
(20963, NULL, 'IPR020845', NULL, 'AMP-binding, conserved site', 'AMP-binding_CS', 2, NULL),
(20964, NULL, 'IPR018368', NULL, 'ClpA/B, conserved site 1', 'ClpA/B_CS1', 2, NULL),
(20965, NULL, 'IPR022077', NULL, 'ATP-dependent RNA helicase RhlB', 'RhlB', 4, NULL),
(20966, NULL, 'IPR022101', NULL, 'GB virus C, polyprotein N-terminal', 'GB_virus-C_polyprotein_N', 3, NULL),
(20967, NULL, 'IPR022011', NULL, 'Nup358/RanBP2 E3 ligase domain', 'IR1-M', 3, NULL),
(20968, NULL, 'IPR020590', NULL, 'Guanylate kinase, conserved site', 'Guanylate_kinase_CS', 2, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(20969, NULL, 'IPR016711', NULL, 'Sds23', 'Ssd23', 4, NULL),
(20970, NULL, 'IPR016363', NULL, 'Legume lectin', 'L-lectin', 4, NULL),
(20971, NULL, 'IPR017139', NULL, 'Uncharacterised conserved protein UCP037213', 'UCP037213', 4, NULL),
(20972, NULL, 'IPR021994', NULL, 'Protein of unknown function DUF3592', 'DUF3592', 4, NULL),
(20973, NULL, 'IPR018384', NULL, 'DNA-binding protein Tfx, euryarchaeota', 'Tfx_DNA-bd_euryarc', 4, NULL),
(20974, NULL, 'IPR016346', NULL, 'Guanine nucleotide-binding protein, beta subunit', 'Guanine_nucleotide-bd_bsu', 4, NULL),
(20975, NULL, 'IPR019689', NULL, 'Toxin GhoT/OrtT', 'Toxin_GhoT/OrtT', 4, NULL),
(20976, NULL, 'IPR020399', NULL, 'T-cell receptor-associated transmembrane adapter 1', 'T-cell_rcpt-assoc_TM_adapter-1', 4, NULL),
(20977, NULL, 'IPR020584', NULL, 'DNA recombination/repair protein RecA, conserved site', 'DNA_recomb/repair_RecA_CS', 2, NULL),
(20978, NULL, 'IPR021974', NULL, 'Protein of unknown function DUF3581', 'DUF3581', 4, NULL),
(20979, NULL, 'IPR016340', NULL, 'Ribosomal protein L31, mitochondrial', 'Ribosomal_L31_mit', 4, NULL),
(20980, NULL, 'IPR017113', NULL, 'Antirestriction, ArdC', 'Antirestriction_ArdC', 4, NULL),
(20981, NULL, 'IPR018357', NULL, 'Hexapeptide transferase, conserved site', 'Hexapep_transf_CS', 2, NULL),
(20982, NULL, 'IPR021959', NULL, 'Protein of unknown function DUF3576', 'DUF3576', 4, NULL),
(20983, NULL, 'IPR016698', NULL, 'Numb/numb-like', 'Numb/numb-like', 4, NULL),
(20984, NULL, 'IPR020588', NULL, 'DNA recombination and repair protein RecA-like, ATP-binding domain', 'RecA_ATP-bd', 3, NULL),
(20985, NULL, 'IPR021947', NULL, 'Protein of unknown function DUF3564', 'DUF3564', 4, NULL),
(20986, NULL, 'IPR020603', NULL, 'MraZ domain', 'MraZ_dom', 3, NULL),
(20987, NULL, 'IPR017112', NULL, 'Homeobox protein HXA9/HXB9/HXC9', 'HXA9/HXB9/HXC9', 4, NULL),
(20988, NULL, 'IPR020454', NULL, 'Diacylglycerol/phorbol-ester binding', 'DAG/PE-bd', 3, NULL),
(20989, NULL, 'IPR035451', NULL, 'Ada-like domain superfamily', 'Ada-like_dom_sf', 5, NULL),
(20990, NULL, 'IPR022069', NULL, 'Protein of unknown function DUF3622', 'DUF3622', 4, NULL),
(20991, NULL, 'IPR021975', NULL, 'Rifampin ADP-ribosyltransferase', 'Rifampin_Arr', 3, NULL),
(20992, NULL, 'IPR016686', NULL, 'Ribosome biogenesis factor, NIP7', 'Ribosomal_synth_fac_NIP7', 4, NULL),
(20993, NULL, 'IPR017096', NULL, 'BTB-kelch protein', 'BTB-kelch_protein', 4, NULL),
(20994, NULL, 'IPR024301', NULL, 'Putative amidase domain', 'Amidase_6', 3, NULL),
(20995, NULL, 'IPR021988', NULL, 'Beta-mannosyltransferase', 'BMT1', 4, NULL),
(20996, NULL, 'IPR034948', NULL, 'Regulator of G-protein signalling 8', 'RGS8', 4, NULL),
(20997, NULL, 'IPR020456', NULL, 'Acylphosphatase', 'Acylphosphatase', 4, NULL),
(20998, NULL, 'IPR020459', NULL, 'AMP-binding', 'AMP-binding', 3, NULL),
(20999, NULL, 'IPR023265', NULL, 'Aquaporin 12', 'Aquaporin_12', 4, NULL),
(21000, NULL, 'IPR016706', NULL, 'Cleavage/polyadenylation specificity factor subunit 5', 'Cleav_polyA_spec_factor_su5', 4, NULL),
(21001, NULL, 'IPR020784', NULL, 'Ribosomal protein L11, N-terminal', 'Ribosomal_L11_N', 3, NULL),
(21002, NULL, 'IPR022309', NULL, 'Ribosomal protein S8e/ribosomal biogenesis NSA2', 'Ribosomal_S8e/biogenesis_NSA2', 4, NULL),
(21003, NULL, 'IPR035198', NULL, 'Protein of unknown function DUF5309', 'DUF5309', 4, NULL),
(21004, NULL, 'IPR019635', NULL, 'Protein of unknown function DUF2500', 'DUF2500', 4, NULL),
(21005, NULL, 'IPR022231', NULL, 'Protein of unknown function DUF3757', 'DUF3757', 4, NULL),
(21006, NULL, 'IPR020876', NULL, 'Tyrosine recombinase XerD-like', 'Tyrosine_recombinase_XerD-like', 4, NULL),
(21007, NULL, 'IPR019712', NULL, 'Tetraprenyl-beta-curcumene synthase YtpB-like', 'YtpB-like', 4, NULL),
(21008, NULL, 'IPR020246', NULL, 'Uncharacterised protein family SCO3924', 'Uncharacterised_SCO3924', 4, NULL),
(21009, NULL, 'IPR020871', NULL, 'Ribulose bisphosphate carboxylase large subunit, type II', 'RuBisCO_lsuII', 4, NULL),
(21010, NULL, 'IPR022244', NULL, 'Protein of unknown function DUF3769', 'DUF3769', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21011, NULL, 'IPR018855', NULL, 'Proteasome chaperone 1, fungi', 'Psome_chaperone_1_fun', 4, NULL),
(21012, NULL, 'IPR035270', NULL, 'Protein of unknown function DUF5433', 'DUF5433', 4, NULL),
(21013, NULL, 'IPR022120', NULL, 'Pestivirus nonstructural protein 2', 'NS2', 4, NULL),
(21014, NULL, 'IPR018145', NULL, 'CagE, TrbE, VirB component of type IV transporter system, central domain', 'CagE_TrbE_VirB_cntrl_dom', 3, NULL),
(21015, NULL, 'IPR019629', NULL, 'Uncharacterised protein family HI1736/YgjV', 'Uncharacterised_HI1736/YgjV', 4, NULL),
(21016, NULL, 'IPR022163', NULL, 'GTP cyclohydrolase N-terminal', 'GTP_CH_N', 3, NULL),
(21017, NULL, 'IPR022205', NULL, 'Protein of unknown function DUF3732', 'DUF3732', 4, NULL),
(21018, NULL, 'IPR035992', NULL, 'Ricin B-like lectins', 'Ricin_B-like_lectins', 5, NULL),
(21019, NULL, 'IPR022217', NULL, 'Protease inhibitor I10, marinostatin', 'Prot_inh_I10_marinostatin', 4, NULL),
(21020, NULL, 'IPR020833', NULL, 'Lipoxygenase, iron binding site', 'LipOase_Fe_BS', 1, NULL),
(21021, NULL, 'IPR035162', NULL, 'Protein of unknown function DUF5470', 'DUF5470', 4, NULL),
(21022, NULL, 'IPR022254', NULL, 'Protein of unknown function DUF3775', 'DUF3775', 4, NULL),
(21023, NULL, 'IPR022156', NULL, 'Uncharacterised protein YfbK, N-terminal', 'Uncharacterised_YfbK_N', 3, NULL),
(21024, NULL, 'IPR018859', NULL, 'BAR domain-containing family', 'BAR_dom-cont', 4, NULL),
(21025, NULL, 'IPR022183', NULL, 'Protein of unknown function DUF3710', 'DUF3710', 4, NULL),
(21026, NULL, 'IPR022131', NULL, 'Protein of unknown function DUF3664, surface protein', 'DUF3664', 4, NULL),
(21027, NULL, 'IPR020300', NULL, 'Protein of unknown function DUF2644', 'DUF2644', 4, NULL),
(21028, NULL, 'IPR020808', NULL, 'Bacterial microcompartments protein, conserved site', 'Bact_microcomp_CS', 2, NULL),
(21029, NULL, 'IPR020691', NULL, 'Ephrin type-A receptor 8', 'EphrinA_rcpt8', 4, NULL),
(21030, NULL, 'IPR018876', NULL, 'Bacteriophage P22, antirepressor protein, C-terminal', 'Phage_P22_antirepressor_C', 3, NULL),
(21031, NULL, 'IPR020546', NULL, 'ATP synthase, F1 complex, delta/epsilon subunit, N-terminal', 'ATP_synth_F1_dsu/esu_N', 3, NULL),
(21032, NULL, 'IPR019726', NULL, 'Protein of unknown function DUF2604', 'DUF2604', 4, NULL),
(21033, NULL, 'IPR020719', NULL, 'RNA 3''-terminal phosphate cyclase-like, conserved site', 'RNA3''_term_phos_cycl-like_CS', 2, NULL),
(21034, NULL, 'IPR019708', NULL, 'Bacteriophage HP1, Orf24', 'Phage_HP1_Orf24', 4, NULL),
(21035, NULL, 'IPR022188', NULL, 'Protein of unknown function DUF3715', 'DUF3715', 3, NULL),
(21036, NULL, 'IPR020250', NULL, 'Uncharacterised protein family, plasmid pXO2-72', 'Plasmid_pXO2-72', 4, NULL),
(21037, NULL, 'IPR022139', NULL, 'Protein of unknown function DUF3671', 'DUF3671', 4, NULL),
(21038, NULL, 'IPR018901', NULL, 'Spore coat protein CotE', 'Spore_coat_CotE', 4, NULL),
(21039, NULL, 'IPR022220', NULL, 'Hemolytic toxin, N-terminal', 'Hemolysin_N', 3, NULL),
(21040, NULL, 'IPR018878', NULL, 'ORF6C domain', 'ORF6C_dom', 3, NULL),
(21041, NULL, 'IPR018873', NULL, 'KilA-N, DNA-binding domain', 'KilA-N_DNA-bd_domain', 3, NULL),
(21042, NULL, 'IPR020834', NULL, 'Lipoxygenase, conserved site', 'LipOase_CS', 2, NULL),
(21043, NULL, 'IPR022406', NULL, 'Diphtheria toxin, catalytic domain', 'Diphtheria_toxin_catalytic_dom', 3, NULL),
(21044, NULL, 'IPR022130', NULL, 'Paired-box protein 2 C-terminal', 'Pax2_C', 3, NULL),
(21045, NULL, 'IPR035164', NULL, 'Cupiennin', 'Cupiennin', 4, NULL),
(21046, NULL, 'IPR019703', NULL, 'Protein of unknown function DUF2593', 'DUF2593', 4, NULL),
(21047, NULL, 'IPR020708', NULL, 'DNA-directed RNA polymerase, 14-18kDa subunit, conserved site', 'DNA-dir_RNA_polK_14-18kDa_CS', 2, NULL),
(21048, NULL, 'IPR022221', NULL, 'Type III restriction/modification enzyme methylation subunit', 'TypeIII_RM_meth', 3, NULL),
(21049, NULL, 'IPR022173', NULL, 'Protein of unknown function DUF3704', 'DUF3704', 4, NULL),
(21050, NULL, 'IPR020241', NULL, 'Ribonuclease P/MRP subunit Pop7, fungi', 'RNase_P/MRP_Pop7_fungi', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21051, NULL, 'IPR018875', NULL, 'Antirepressor protein ANT, N-terminal', 'Antirepressor_ANT_N', 3, NULL),
(21052, NULL, 'IPR022190', NULL, 'Protein of unknown function DUF3716', 'DUF3716', 4, NULL),
(21053, NULL, 'IPR019760', NULL, 'DNA-directed DNA polymerase, family A, conserved site', 'DNA-dir_DNA_pol_A_CS', 2, NULL),
(21054, NULL, 'IPR023347', NULL, 'Lysozyme domain superfamily', 'Lysozyme_dom_sf', 5, NULL),
(21055, NULL, 'IPR022125', NULL, 'U3 small nucleolar RNA-associated protein 10, N-terminal', 'U3snoRNP10_N', 3, NULL),
(21056, NULL, 'IPR035276', NULL, 'Feline immunodeficiency virus OrfA protein', 'FIV_OrfA', 4, NULL),
(21057, NULL, 'IPR017472', NULL, 'Undecaprenyl-phosphate galactose phosphotransferase, WbaP', 'Undecaprenyl-P_galact_Ptfrase', 4, NULL),
(21058, NULL, 'IPR022366', NULL, 'Pup deamidase', 'Pup_deamidase', 4, NULL),
(21059, NULL, 'IPR022144', NULL, 'Domain of unknown function DUF3676', 'DUF3676', 3, NULL),
(21060, NULL, 'IPR019713', NULL, 'Inner membrane protein YlaC', 'Memb_YlaC', 4, NULL),
(21061, NULL, 'IPR019724', NULL, 'Uncharacterised protein family UPF0763', 'UPF0763', 4, NULL),
(21062, NULL, 'IPR022116', NULL, 'Adhesin P1, N-terminal', 'P1_N', 3, NULL),
(21063, NULL, 'IPR018885', NULL, 'mRNA-binding domain', 'mRNA-bd_dom', 3, NULL),
(21064, NULL, 'IPR019728', NULL, 'Protein of unknown function DUF2605', 'DUF2605', 4, NULL),
(21065, NULL, 'IPR022138', NULL, 'Helicase SWF/SNF-related', 'Helicase_SWF/SNF-rel', 4, NULL),
(21066, NULL, 'IPR022228', NULL, 'Protein of unknown function DUF3755', 'DUF3755', 4, NULL),
(21067, NULL, 'IPR035273', NULL, 'Protein of unknown function DUF5431', 'DUF5431', 4, NULL),
(21068, NULL, 'IPR018863', NULL, 'Fragile site-associated protein, C-terminal', 'Fragile_site-assoc_C', 3, NULL),
(21069, NULL, 'IPR022176', NULL, 'Apolipoprotein B100 C-terminal', 'ApoB100_C', 3, NULL),
(21070, NULL, 'IPR022136', NULL, 'Domain of unknown function DUF3668', 'DUF3668', 3, NULL),
(21071, NULL, 'IPR019651', NULL, 'Glutamate dehydrogenase, NAD-specific', 'Glutamate_DH_NAD-spec', 4, NULL),
(21072, NULL, 'IPR022122', NULL, 'Protein FAM135', 'DUF3657', 4, NULL),
(21073, NULL, 'IPR022121', NULL, 'Peptidase M73, camelysin', 'Peptidase_M73_camelysin', 4, NULL),
(21074, NULL, 'IPR017466', NULL, 'ATPase, secretion system, PEP-CTERM, predicted', 'ATPase_secr-sys_PEP-CTERM_pred', 4, NULL),
(21075, NULL, 'IPR019716', NULL, 'Ribosomal protein L53, mitochondrial', 'Ribosomal_L53_mit', 4, NULL),
(21076, NULL, 'IPR022204', NULL, 'Prepilin peptidase dependent protein C', 'DUF3728', 4, NULL),
(21077, NULL, 'IPR024861', NULL, 'Donson', 'Donson', 4, NULL),
(21078, NULL, 'IPR017475', NULL, 'Exopolysaccharide biosynthesis polyprenyl glycosylphosphotransferase', 'EPS_sugar_tfrase', 4, NULL),
(21079, NULL, 'IPR019622', NULL, 'Rrn9 domain', 'Rrn9_dom', 3, NULL),
(21080, NULL, 'IPR020533', NULL, 'Developmental regulator, ULTRAPETALA', 'Developmental_reg_ULTRAPETALA', 4, NULL),
(21081, NULL, 'IPR022142', NULL, 'Protein of unknown function DUF3673', 'DUF3673', 4, NULL),
(21082, NULL, 'IPR022159', NULL, 'Tuftelin interacting protein, N-terminal domain', 'STIP/TFIP11_N', 3, NULL),
(21083, NULL, 'IPR022170', NULL, 'E3 Ubiquitin ligase MUL1-like', 'MUL1-like', 3, NULL),
(21084, NULL, 'IPR034130', NULL, 'RNA-binding protein Musashi homologue, RNA recognition motif 1', 'MSI_RRM1', 3, NULL),
(21085, NULL, 'IPR022255', NULL, 'Domain of unknown function DUF3776', 'DUF3776', 3, NULL),
(21086, NULL, 'IPR018890', NULL, 'Uncharacterised protein family FAM171', 'Uncharacterised_FAM171', 4, NULL),
(21087, NULL, 'IPR018861', NULL, 'Transmembrane protein 201, C-terminal', 'TMEM201_C', 3, NULL),
(21088, NULL, 'IPR019634', NULL, 'Uncharacterised protein family Ycf49', 'Uncharacterised_Ycf49', 4, NULL),
(21089, NULL, 'IPR022235', NULL, 'Protein of unknown function DUF3760', 'DUF3760', 4, NULL),
(21090, NULL, 'IPR022108', NULL, 'Protein of unknown function DUF3648', 'DUF3648', 4, NULL),
(21091, NULL, 'IPR020335', NULL, 'Bacteriophage T7, probable scaffold protein Gp13', 'Phage_T7_Gp13', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21092, NULL, 'IPR022182', NULL, 'ABC transporter phosphate permease PstC, N-terminal domain', 'PstC_N', 3, NULL),
(21093, NULL, 'IPR019764', NULL, 'Endothelin-like toxin, conserved site', 'Endothelin_toxin_CS', 2, NULL),
(21094, NULL, 'IPR018881', NULL, 'Mitochondrial protein C2orf69', 'C2orf69_mit', 4, NULL),
(21095, NULL, 'IPR020874', NULL, 'NAD(P)H-quinone oxidoreductase, subunit N', 'NAD(P)H-quinone_OxRdtase_su_N', 4, NULL),
(21096, NULL, 'IPR023105', NULL, 'YkvR-like superfamily', 'YkvR-like_sf', 5, NULL),
(21097, NULL, 'IPR020548', NULL, 'Fructose-1,6-bisphosphatase, active site', 'Fructose_bisphosphatase_AS', 0, NULL),
(21098, NULL, 'IPR020802', NULL, 'Polyketide synthase, thioesterase domain', 'PKS_thioesterase', 3, NULL),
(21099, NULL, 'IPR020815', NULL, 'Ribosomal protein S6, conserved site', 'Ribosomal_S6_CS', 2, NULL),
(21100, NULL, 'IPR022248', NULL, 'TNF receptor family, RELT', 'TNF_rcpt_RELT', 4, NULL),
(21101, NULL, 'IPR022298', NULL, 'Conjugative transposon, TraN', 'Conjug_transposon_TraN', 4, NULL),
(21102, NULL, 'IPR035359', NULL, 'Protein of unknown function DUF5421', 'DUF5421', 4, NULL),
(21103, NULL, 'IPR019767', NULL, 'Erythropoietin/thrombopoeitin, conserved site', 'EPO/TPO_CS', 2, NULL),
(21104, NULL, 'IPR019649', NULL, 'Protein of unknown function DUF2512', 'DUF2512', 4, NULL),
(21105, NULL, 'IPR022134', NULL, 'Protein of unknown function DUF3667', 'DUF3667', 4, NULL),
(21106, NULL, 'IPR034479', NULL, 'Alternative heme biosynthesis C (AhbC-like)', 'AhbC-like', 4, NULL),
(21107, NULL, 'IPR020856', NULL, 'Circadian clock protein KaiA, C-terminal', 'Circadian_clock_protein_KaiA_C', 3, NULL),
(21108, NULL, 'IPR020490', NULL, 'Uncharacterised protein family YaiZ', 'Uncharacterised_YaiZ', 4, NULL),
(21109, NULL, 'IPR022203', NULL, 'Protein of unknown function DUF3727', 'DUF3727', 4, NULL),
(21110, NULL, 'IPR017490', NULL, 'Photosystem II PsbV2, cytochrome', 'PSII_cyt_PsbV2', 4, NULL),
(21111, NULL, 'IPR019663', NULL, 'Uncharacterised protein YbfA', 'YbfA', 4, NULL),
(21112, NULL, 'IPR020484', NULL, 'Protein of unknown function DUF5503', 'DUF5503', 4, NULL),
(21113, NULL, 'IPR022137', NULL, 'Zinc finger protein, DUF3669 domain', 'Znf_prot_DUF3669', 3, NULL),
(21114, NULL, 'IPR022199', NULL, 'Protein of unknown function DUF3725', 'DUF3725', 4, NULL),
(21115, NULL, 'IPR023199', NULL, 'Copper chaperone GriE/MELC1 superfamily', 'GriE/MELC1_sf', 5, NULL),
(21116, NULL, 'IPR018879', NULL, 'MSV199 domain', 'MSV199_dom', 3, NULL),
(21117, NULL, 'IPR017943', NULL, 'Bactericidal permeability-increasing protein, alpha/beta domain superfamily', 'Bactericidal_perm-incr_a/b_dom', 5, NULL),
(21118, NULL, 'IPR019637', NULL, 'Protein of unknown function DUF2501', 'DUF2501', 4, NULL),
(21119, NULL, 'IPR020785', NULL, 'Ribosomal protein L11, conserved site', 'Ribosomal_L11_CS', 2, NULL),
(21120, NULL, 'IPR020803', NULL, 'Polyketide synthase, methyltransferase domain', 'PKS_MeTfrase', 3, NULL),
(21121, NULL, 'IPR022239', NULL, 'Protein of unknown function DUF3762', 'DUF3762', 4, NULL),
(21122, NULL, 'IPR017856', NULL, 'Integrase-like, N-terminal', 'Integrase-like_N', 5, NULL),
(21123, NULL, 'IPR020532', NULL, 'Cycloeucalenol cycloisomerase', 'Cycloeucalenol_cycloisomerase', 4, NULL),
(21124, NULL, 'IPR019667', NULL, 'Uncharacterised protein family YbaK', 'Uncharacterised_YbaK', 4, NULL),
(21125, NULL, 'IPR019707', NULL, 'Winged helix-turn-helix domain (DUF2582)', 'DUF2582', 4, NULL),
(21126, NULL, 'IPR018866', NULL, 'Zinc-finger domain of monoamine-oxidase A repressor R1', 'Znf-4CXXC_R1', 3, NULL),
(21127, NULL, 'IPR024661', NULL, 'DNA-directed RNA polymerase III, subunit Rpc31', 'RNA_pol_III_Rpc31', 4, NULL),
(21128, NULL, 'IPR022365', NULL, 'Clathrin, heavy chain, propeller repeat', 'Clathrin_H-chain_propeller_rpt', 7, NULL),
(21129, NULL, 'IPR018903', NULL, 'Proline-rich protein 23', 'PRR23', 4, NULL),
(21130, NULL, 'IPR017474', NULL, 'PEF-CTERM protein sorting domain', 'PEF_CTERM_arc', 3, NULL),
(21131, NULL, 'IPR017470', NULL, 'Transcription regulator EpsA', 'Tscrpt_reg_EpsA', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21132, NULL, 'IPR020883', NULL, 'Type I toxin-antitoxin system, SymE toxin', 'TypeI_TA_SymE', 4, NULL),
(21133, NULL, 'IPR018888', NULL, 'Uncharacterised protein family UPF0561', 'UPF0561', 4, NULL),
(21134, NULL, 'IPR019652', NULL, 'Protein of unknown function DUF2509', 'DUF2509', 4, NULL),
(21135, NULL, 'IPR019627', NULL, 'YspA, cpYpsA-related SLOG family', 'YAcAr', 4, NULL),
(21136, NULL, 'IPR020816', NULL, 'Histone-like DNA-binding protein, conserved site', 'Histone-like_DNA-bd_CS', 2, NULL),
(21137, NULL, 'IPR022175', NULL, 'BCAS3 domain', 'BCAS3', 3, NULL),
(21138, NULL, 'IPR018884', NULL, 'Glutamate [NMDA] receptor, epsilon subunit, C-terminal', 'NMDAR2_C', 3, NULL),
(21139, NULL, 'IPR022213', NULL, 'Protein of unknown function DUF3742', 'DUF3742', 4, NULL),
(21140, NULL, 'IPR018899', NULL, 'Conjugative transposon, TraO', 'Conjug_transposon_Tra0', 4, NULL),
(21141, NULL, 'IPR019727', NULL, 'ATP synthase, F0 complex, subunit F, mitochondria, fungi', 'ATP_synth_F0_fsu_mt_fun', 4, NULL),
(21142, NULL, 'IPR022141', NULL, 'Plasma membrane calcium transporting P-type ATPase, C-terminal', 'ATP_Ca_trans_C', 3, NULL),
(21143, NULL, 'IPR019650', NULL, 'Protein of unknown function DUF2513', 'DUF2513', 4, NULL),
(21144, NULL, 'IPR020549', NULL, 'Endoribonuclease YbeY, conserved site', 'YbeY_CS', 2, NULL),
(21145, NULL, 'IPR022168', NULL, 'Domain of unknown function DUF3699', 'DUF3699', 3, NULL),
(21146, NULL, 'IPR019761', NULL, 'DNA-directed RNA polymerase M, 15kDa subunit, conserved site', 'DNA-dir_RNA_pol-M_15_CS', 2, NULL),
(21147, NULL, 'IPR020885', NULL, 'Uncharacterised protein family UPF0367', 'UPF0367', 4, NULL),
(21148, NULL, 'IPR018902', NULL, 'Uncharacterised protein FAM166/UPF0605', 'FAM166/UPF0605', 4, NULL),
(21149, NULL, 'IPR017478', NULL, 'Polysaccharide export EpsE', 'Polysacc_export_EpsE', 4, NULL),
(21150, NULL, 'IPR020552', NULL, 'Inositol monophosphatase, lithium-sensitive', 'Inositol_monoPase_Li-sen', 4, NULL),
(21151, NULL, 'IPR018886', NULL, 'Uncharacterised domain UPF0547', 'UPF0547', 3, NULL),
(21152, NULL, 'IPR019644', NULL, 'Protein of unknown function DUF2508', 'DUF2508', 4, NULL),
(21153, NULL, 'IPR022195', NULL, 'Protein of unknown function DUF3720', 'DUF3720', 4, NULL),
(21154, NULL, 'IPR022257', NULL, '10TM putative phosphate transporter, extracellular tail', 'PHM7_ext', 3, NULL),
(21155, NULL, 'IPR020855', NULL, 'Ureohydrolase, manganese-binding site', 'Ureohydrolase_Mn_BS', 1, NULL),
(21156, NULL, 'IPR017499', NULL, 'Protein Thf1', 'Thf1', 4, NULL),
(21157, NULL, 'IPR022444', NULL, 'Cofactor-binding repeat, putative', 'Cofactor-bd_rpt', 7, NULL),
(21158, NULL, 'IPR019748', NULL, 'FERM central domain', 'FERM_central', 3, NULL),
(21159, NULL, 'IPR018862', NULL, 'Eukaryotic translation initiation factor 4E binding protein', 'eIF4E-T', 4, NULL),
(21160, NULL, 'IPR018146', NULL, 'Glyoxalase I, conserved site', 'Glyoxalase_1_CS', 2, NULL),
(21161, NULL, 'IPR022249', NULL, 'Domain of unknown function DUF3772', 'DUF3772', 3, NULL),
(21162, NULL, 'IPR019705', NULL, 'Protein of unknown function DUF2594', 'DUF2594', 4, NULL),
(21163, NULL, 'IPR017486', NULL, 'Photosystem II CP47 reaction centre protein', 'PSII_PsbB', 4, NULL),
(21164, NULL, 'IPR022202', NULL, 'Hepatitis E virus, hinge domain', 'Hepatitis-E_hinge', 3, NULL),
(21165, NULL, 'IPR019729', NULL, 'Gloverin-like protein', 'Gloverin-like_protein', 4, NULL),
(21166, NULL, 'IPR019646', NULL, 'Aminoglycoside-2''''-adenylyltransferase', 'Aminoglyc_AdlTrfase', 4, NULL),
(21167, NULL, 'IPR022164', NULL, 'Kinesin-like', 'Kinesin-like', 3, NULL),
(21168, NULL, 'IPR035284', NULL, 'Protein of unknown function DUF5428', 'DUF5428', 4, NULL),
(21169, NULL, 'IPR034263', NULL, 'Ephrin type-A receptor 2, ligand binding domain', 'EphA2_rcpt_lig-bd', 3, NULL),
(21170, NULL, 'IPR022118', NULL, 'Peptidase C70, AvrRpt2', 'Peptidase_C70_AvrRpt2', 4, NULL),
(21171, NULL, 'IPR022180', NULL, 'Vegetative insecticide protein 3', 'Vip3', 4, NULL),
(21172, NULL, 'IPR017495', NULL, 'Putative photosynthetic complex assembly protein', 'Photo_alph_chp1', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21173, NULL, 'IPR019717', NULL, 'Dextransucrase DSRB', 'Dextransucrase_DSRB', 4, NULL),
(21174, NULL, 'IPR022206', NULL, 'Firmicutes EssC, N-terminal', 'Firmicutes_EssC_N', 3, NULL),
(21175, NULL, 'IPR022408', NULL, 'Acyl-CoA-binding protein, ACBP, conserved site', 'Acyl-CoA-binding_prot_CS', 2, NULL),
(21176, NULL, 'IPR018134', NULL, 'Lysosome-associated membrane glycoprotein, conserved site', 'LAMP_CS', 2, NULL),
(21177, NULL, 'IPR020826', NULL, 'Transketolase binding site', 'Transketolase_BS', 1, NULL),
(21178, NULL, 'IPR022123', NULL, 'Protein of unknown function DUF3658', 'DUF3658', 4, NULL),
(21179, NULL, 'IPR019757', NULL, 'Peptidase S26A, signal peptidase I, lysine active site', 'Pept_S26A_signal_pept_1_Lys-AS', 0, NULL),
(21180, NULL, 'IPR023346', NULL, 'Lysozyme-like domain superfamily', 'Lysozyme-like_dom_sf', 5, NULL),
(21181, NULL, 'IPR022412', NULL, 'Quinolinate phosphoribosyl transferase, N-terminal', 'Quinolinate_PRibosylTrfase_N', 3, NULL),
(21182, NULL, 'IPR017500', NULL, 'Phage infection protein, YhgE, N-terminal', 'Phage_infect_YhgE_N', 3, NULL),
(21183, NULL, 'IPR022215', NULL, 'Thiamine pyrophosphokinase C-terminal', 'TPPK_C', 3, NULL),
(21184, NULL, 'IPR020310', NULL, 'Protein WFDC11', 'WFDC11', 4, NULL),
(21185, NULL, 'IPR022181', NULL, 'Bcl2-/adenovirus E1B 19kDa-interacting protein 2', 'Bcl2-/adenovirus-E1B', 4, NULL),
(21186, NULL, 'IPR018907', NULL, 'Spindle body associated protein, C-terminal domain', 'Spindle_body_associated_C_dom', 3, NULL),
(21187, NULL, 'IPR022210', NULL, 'Transcription activator GCR1-like domain', 'TF_GCR1-like', 3, NULL),
(21188, NULL, 'IPR020489', NULL, 'Uncharacterised protein family YejG', 'Uncharacterised_YejG', 4, NULL),
(21189, NULL, 'IPR020814', NULL, 'Ribosomal protein S6, plastid/chloroplast', 'Ribosomal_S6_plastid/chlpt', 4, NULL),
(21190, NULL, 'IPR020869', NULL, 'Exosome complex component Rrp42, archaea', 'Rrp42_archaea', 4, NULL),
(21191, NULL, 'IPR023292', NULL, 'NTP pyrophosphohydrolase-like domain superfamily', 'NTP_PyroPHydrolase-like_dom_sf', 5, NULL),
(21192, NULL, 'IPR022178', NULL, 'Protein of unknown function DUF3709', 'DUF3709', 4, NULL),
(21193, NULL, 'IPR023587', NULL, 'Metallothionein domain superfamily, vertebrate', 'Metalthion_dom_sf_vert', 5, NULL),
(21194, NULL, 'IPR020860', NULL, 'MIRO domain', 'MIRO_dom', 3, NULL),
(21195, NULL, 'IPR020805', NULL, 'Cell division protein FtsZ, conserved site', 'Cell_div_FtsZ_CS', 2, NULL),
(21196, NULL, 'IPR018868', NULL, 'Bcl2-associated agonist of cell death', 'BAD', 4, NULL),
(21197, NULL, 'IPR019714', NULL, '2-haloacid dehalogenase, DehI', '2-haloacid_dehalogenase_DehI', 4, NULL),
(21198, NULL, 'IPR017464', NULL, 'Sugar transferase, PEP-CTERM system associated', 'Sugar_tfrase_EpsB_2', 4, NULL),
(21199, NULL, 'IPR018882', NULL, 'Calmodulin-binding domain C0, NMDA receptor, NR1 subunit', 'CaM-bd_C0_NMDA_rcpt_NR1', 3, NULL),
(21200, NULL, 'IPR035285', NULL, 'Ctenitoxin', 'CNTX', 4, NULL),
(21201, NULL, 'IPR020870', NULL, 'Uncharacterised protein family UPF0387, membrane', 'UPF0387_membrane', 4, NULL),
(21202, NULL, 'IPR034504', NULL, 'RALYL, RNA recognition motif', 'RALYL_RRM', 3, NULL),
(21203, NULL, 'IPR018867', NULL, 'Cell division protein borealin', 'Cell_div_borealin', 4, NULL),
(21204, NULL, 'IPR022174', NULL, 'Nuclear coactivator', 'ARA70', 3, NULL),
(21205, NULL, 'IPR019658', NULL, 'Protein of unknown function DUF2515', 'DUF2515', 4, NULL),
(21206, NULL, 'IPR019661', NULL, 'Replication regulatory protein RepA2', 'RepA2', 4, NULL),
(21207, NULL, 'IPR020886', NULL, 'Putative HTH-type transcriptional regulator, archaea', 'Arc_TR_HTH', 4, NULL),
(21208, NULL, 'IPR022191', NULL, 'Protein of unknown function DUF3717', 'DUF3717', 4, NULL),
(21209, NULL, 'IPR022209', NULL, 'Pre-mRNA splicing factor', 'CWC25', 4, NULL),
(21210, NULL, 'IPR022405', NULL, 'Diphtheria toxin, translocation domain', 'Diphtheria_toxin_translocation', 3, NULL),
(21211, NULL, 'IPR018894', NULL, 'Protein of unknown function DUF2471', 'DUF2471', 4, NULL),
(21212, NULL, 'IPR018898', NULL, 'Plasmid conjugative transfer entry exclusion protein TraS', 'Eex_TraS', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21213, NULL, 'IPR020792', NULL, 'Sulphate adenylyltransferase, prokaryotic-type', 'SO4_adenylyltransferase_pro', 4, NULL),
(21214, NULL, 'IPR017477', NULL, 'PEP-CTERM, putative polysaccharide export protein', 'PEP-CTERM_polysacc_export', 4, NULL),
(21215, NULL, 'IPR022110', NULL, 'CASC1, C-terminal', 'CASC1_C', 3, NULL),
(21216, NULL, 'IPR018897', NULL, 'Plasmid conjugative transfer protein PilI', 'Plasmid_conjug_transfer_PilI', 4, NULL),
(21217, NULL, 'IPR019624', NULL, 'Herpesvirus UL40', 'Herpes_UL40', 4, NULL),
(21218, NULL, 'IPR022252', NULL, 'SOCS4/SOCS5 domain', 'SOCS4/SOCS5_dom', 3, NULL),
(21219, NULL, 'IPR018403', NULL, 'Silicon transporter, Cylindrotheca fusiformis', 'Silicon_transpt_CYLFU', 4, NULL),
(21220, NULL, 'IPR017465', NULL, 'Exopolysaccharide biosynthesis operon, EpsL, proteobacteria', 'EpsL_proteobac', 4, NULL),
(21221, NULL, 'IPR022160', NULL, 'Spiroplasma phage 1-C74, Orf1', 'Phage_1-C74_Orf1', 4, NULL),
(21222, NULL, 'IPR022158', NULL, 'Inositol phosphatase', 'Inositol_phosphatase', 3, NULL),
(21223, NULL, 'IPR019769', NULL, 'Translation elongation factor, IF5A, hypusine site', 'Trans_elong_IF5A_hypusine_site', 6, NULL),
(21224, NULL, 'IPR018865', NULL, 'Serine-threonine protein kinase 19', 'Ser/Thr_kinase_19', 4, NULL),
(21225, NULL, 'IPR018893', NULL, 'Type VIII secretion system, CsgF', 'T8SS_CsgF', 4, NULL),
(21226, NULL, 'IPR034284', NULL, 'Copper resistance protein, first cupredoxin domain', 'CuRO_1_CopA', 3, NULL),
(21227, NULL, 'IPR022127', NULL, 'Store-operated calcium entry regulator STIMATE/YPL162C', 'STIMATE/YPL162C', 4, NULL),
(21228, NULL, 'IPR022232', NULL, 'Peptidase S8A, tripeptidyl peptidase II, arthropoda', 'Peptidase_S8A_TPPII_art', 3, NULL),
(21229, NULL, 'IPR017497', NULL, 'Putative magnesium chelatase accessory protein', 'Mg-chelatase_BchO', 4, NULL),
(21230, NULL, 'IPR020857', NULL, 'Serum albumin, conserved site', 'Serum_albumin_CS', 2, NULL),
(21231, NULL, 'IPR019645', NULL, 'Uncharacterised protein family Ycf15', 'Uncharacterised_Ycf15', 4, NULL),
(21232, NULL, 'IPR017850', NULL, 'Alkaline-phosphatase-like, core domain superfamily', 'Alkaline_phosphatase_core_sf', 5, NULL),
(21233, NULL, 'IPR019655', NULL, 'Baculovirus occlusion-derived virus envelope, E18', 'Baculo_ODV-E18', 4, NULL),
(21234, NULL, 'IPR022285', NULL, 'Conserved hypothetical protein CHP03879, regulatory domain, putative', 'CHP03879_regulat_dom_put', 3, NULL),
(21235, NULL, 'IPR022161', NULL, 'DNA helicase IV, N-terminal domain', 'Helicase_IV_N', 3, NULL),
(21236, NULL, 'IPR022140', NULL, 'Kinesin-like KIF1-type', 'Kinesin-like_KIF1-typ', 3, NULL),
(21237, NULL, 'IPR035171', NULL, 'Aphid megourin', 'Megourin', 4, NULL),
(21238, NULL, 'IPR019731', NULL, 'Protein of unknown function DUF2607', 'DUF2607', 4, NULL),
(21239, NULL, 'IPR017492', NULL, 'Photosystem I PsaK, reaction centre', 'PSI_PsaK', 4, NULL),
(21240, NULL, 'IPR018402', NULL, 'Malonate/sodium symporter MadM subunit, N-terminal', 'Mal/Na_symporter_MadM_N', 3, NULL),
(21241, NULL, 'IPR018095', NULL, 'Thymidylate kinase, conserved site', 'Thymidylate_kin_CS', 2, NULL),
(21242, NULL, 'IPR019654', NULL, 'NAD(P)H-quinone oxidoreductase subunit L', 'NADH-quinone_OxRdatse_su_L', 4, NULL),
(21243, NULL, 'IPR020449', NULL, 'Transcription regulator HTH, AraC- type', 'Tscrpt_reg_HTH_AraC-type', 4, NULL),
(21244, NULL, 'IPR017468', NULL, 'Chain length determinant protein EpsF', 'Chain_len_reg_EpsF', 4, NULL),
(21245, NULL, 'IPR022243', NULL, 'Protein of unknown function DUF3768', 'DUF3768', 4, NULL),
(21246, NULL, 'IPR022404', NULL, 'Diphtheria toxin, receptor-binding domain', 'Diphtheria_toxin_rcpt-bd_dom', 3, NULL),
(21247, NULL, 'IPR020236', NULL, 'Uncharacterised protein family YebF', 'Uncharacterised_YebF', 4, NULL),
(21248, NULL, 'IPR019656', NULL, 'Uncharacterised protein family Ycf34', 'Uncharacterised_Ycf34', 4, NULL),
(21249, NULL, 'IPR020237', NULL, 'Viral RNA-directed RNA polymerase, C-terminal', 'Viral_RNA-dir_pol_C', 3, NULL),
(21250, NULL, 'IPR019630', NULL, 'Protein of unknown function DUF2496, YbaM-related', 'DUF2496_YbaM-rel', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21251, NULL, 'IPR023349', NULL, 'Ammonia monooxygenase/particulate methane monooxygenase, subunit C domain superfamily', 'NH3_CH4_mOase_C_sf', 5, NULL),
(21252, NULL, 'IPR034506', NULL, 'RBM14, RNA recognition motif 1', 'RBM14_RRM1', 3, NULL),
(21253, NULL, 'IPR020485', NULL, 'Stationary phase protein 4', 'Spg4', 4, NULL),
(21254, NULL, 'IPR018093', NULL, 'BCCT transporter, conserved site', 'BCCT_CS', 2, NULL),
(21255, NULL, 'IPR019664', NULL, 'Uncharacterised protein family Ycf51', 'Uncharacterised_Ycf51', 4, NULL),
(21256, NULL, 'IPR022132', NULL, 'Homeobox protein', 'Abdominal-A', 4, NULL),
(21257, NULL, 'IPR017496', NULL, 'Photosynthetic complex assembly protein 2, putative', 'Photo_alph_chp2', 4, NULL),
(21258, NULL, 'IPR022242', NULL, '87kDa Transposase', '87kDa_transposase', 4, NULL),
(21259, NULL, 'IPR019766', NULL, 'Signal peptidase I, all-beta subdomain', 'Sign_pep_all-beta_subdom', 5, NULL),
(21260, NULL, 'IPR019718', NULL, 'Protein of unknown function DUF2602', 'DUF2602', 4, NULL),
(21261, NULL, 'IPR017494', NULL, 'Photosystem I PsaG, plant', 'PSI_PsaG_pln', 4, NULL),
(21262, NULL, 'IPR022423', NULL, 'Neurohypophysial hormone, conserved site', 'Neurohypophysial_hormone_CS', 2, NULL),
(21263, NULL, 'IPR019732', NULL, 'Sigma-S stabilisation anti-adaptor protein', 'SigmaS_Anti-adapt_IraP', 4, NULL),
(21264, NULL, 'IPR034480', NULL, 'Heme carboxy lyase-like', 'Heme_carboxy_lyase-like', 4, NULL),
(21265, NULL, 'IPR024812', NULL, 'Tetratricopeptide repeat protein 24', 'TPR_24', 4, NULL),
(21266, NULL, 'IPR019653', NULL, 'T4 endoribonuclease RegB', 'T4_endoribonuclease_RegB', 4, NULL),
(21267, NULL, 'IPR022241', NULL, 'Rhomboid serine protease', 'Rhomboid_SP', 4, NULL),
(21268, NULL, 'IPR018895', NULL, 'Protein of unknown function DUF2474', 'DUF2474', 4, NULL),
(21269, NULL, 'IPR022240', NULL, 'Protein of unknown function DUF3764', 'DUF3764', 4, NULL),
(21270, NULL, 'IPR022185', NULL, 'Protein of unknown function DUF3712', 'DUF3712', 4, NULL),
(21271, NULL, 'IPR024769', NULL, 'TcdA/TcdB toxin, pore forming domain', 'TcdA/TcdB_pore_forming', 3, NULL),
(21272, NULL, 'IPR018857', NULL, 'TORC1 complex, subunit TCO89', 'TORC1_cplx_su_TCO89', 4, NULL),
(21273, NULL, 'IPR035271', NULL, 'Protein of unknown function DUF5432', 'DUF5432', 4, NULL),
(21274, NULL, 'IPR021159', NULL, 'Glycerate/sugar phosphate transporter, conserved site', 'Sugar-P_transporter_CS', 2, NULL),
(21275, NULL, 'IPR020547', NULL, 'ATP synthase delta/epsilon subunit, C-terminal domain', 'ATP_synth_F1_dsu/esu_C', 3, NULL),
(21276, NULL, 'IPR019715', NULL, 'Haemolysin XhlA', 'Haemolysin_XhlA', 4, NULL),
(21277, NULL, 'IPR022193', NULL, 'Protein of unknown function DUF3718', 'DUF3718', 4, NULL),
(21278, NULL, 'IPR019710', NULL, 'Protein of unknown function DUF4226', 'DUF4226', 4, NULL),
(21279, NULL, 'IPR018874', NULL, 'Bacteriophage Mx8, p63, C-terminal', 'Phage_Mx8_p63_C', 3, NULL),
(21280, NULL, 'IPR022224', NULL, 'Protein of unknown function DUF3750', 'DUF3750', 4, NULL),
(21281, NULL, 'IPR018856', NULL, 'CST complex subunit Stn1, N-terminal', 'Stn1_N', 3, NULL),
(21282, NULL, 'IPR034131', NULL, 'DAZ-associated protein 1, RNA recognition motif 2', 'DAZAP1_RRM2', 3, NULL),
(21283, NULL, 'IPR022346', NULL, 'General secretion pathway, GspH', 'T2SS_GspH', 3, NULL),
(21284, NULL, 'IPR022447', NULL, 'Lysine-2,3-aminomutase-related', 'Lys_aminomutase-rel', 4, NULL),
(21285, NULL, 'IPR020483', NULL, 'Uncharacterised protein family YgbA', 'Uncharacterised_YgbA', 4, NULL),
(21286, NULL, 'IPR022216', NULL, 'Putative ABC cobalt transporter', 'ABC_Co_transporter', 4, NULL),
(21287, NULL, 'IPR022153', NULL, 'Protein of unknown function DUF3683', 'DUF3683', 4, NULL),
(21288, NULL, 'IPR017151', NULL, '5''-3'' exoribonuclease type 2', 'Xrn2/3/4', 4, NULL),
(21289, NULL, 'IPR022129', NULL, 'Transcriptional repressor NocA-like', 'Tscrpt_rep_NocA-like', 4, NULL),
(21290, NULL, 'IPR022233', NULL, 'TRAPP II complex TRAPPC10, C-terminal', 'TRAPP_II_complex_TRAPPC10_C', 3, NULL),
(21291, NULL, 'IPR018877', NULL, 'Bacteriophage P22, Orf201, C-terminal', 'Phage_P22_Orf201_C', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21292, NULL, 'IPR035358', NULL, 'Protein of unknown function DUF5422', 'DUF5422', 4, NULL),
(21293, NULL, 'IPR020794', NULL, 'Aconitase X subunit 2, archaeal, putative', 'AcnX_sub2_archaea_put', 4, NULL),
(21294, NULL, 'IPR022250', NULL, 'Type IVb secretion, IcmS, effector-recruitment', 'T4bSS_IcmS', 4, NULL),
(21295, NULL, 'IPR019711', NULL, 'ATP synthase, F0 complex, subunit H', 'ATP_synth_F0_suH', 4, NULL),
(21296, NULL, 'IPR023588', NULL, 'Transcription regulator HTH, PurR', 'Tscrpt_reg_HTH_PurR', 4, NULL),
(21297, NULL, 'IPR019638', NULL, 'Protein of unknown function DUF2502', 'DUF2502', 4, NULL),
(21298, NULL, 'IPR022109', NULL, 'Protein of unknown function DUF3649', 'DUF3649', 4, NULL),
(21299, NULL, 'IPR023107', NULL, 'Atu2299-like domain superfamily', 'Atu2299-like_dom_sf', 5, NULL),
(21300, NULL, 'IPR024827', NULL, 'Uroplakin-3b-like 1/2', 'Uroplakin-3b-like_1/2', 4, NULL),
(21301, NULL, 'IPR022196', NULL, 'Protein of unknown function DUF3721', 'DUF3721', 4, NULL),
(21302, NULL, 'IPR022135', NULL, 'Distal-less-like homeobox protein, N-terminal domain', 'Distal-less_N', 3, NULL),
(21303, NULL, 'IPR022297', NULL, 'CRISPR-associated protein, CsaX', 'CRISPR-assoc_prot_CsaX', 4, NULL),
(21304, NULL, 'IPR022368', NULL, 'Putative thiazole-containing bacteriocin maturation protein', 'Thiazole_bacteriocin_mat_put', 4, NULL),
(21305, NULL, 'IPR019734', NULL, 'Tetratricopeptide repeat', 'TPR_repeat', 7, NULL),
(21306, NULL, 'IPR022353', NULL, 'Insulin, conserved site', 'Insulin_CS', 2, NULL),
(21307, NULL, 'IPR034207', NULL, 'RBM45, RNA recognition motif 3', 'RBM45_RRM3', 3, NULL),
(21308, NULL, 'IPR019642', NULL, 'Protein of unknown function DUF2507', 'DUF2507', 4, NULL),
(21309, NULL, 'IPR017479', NULL, 'Tyrosine-protein kinase, chain length determinant protein EpsG', 'Tyr_kinase_chain_length_EpsG', 4, NULL),
(21310, NULL, 'IPR022407', NULL, 'Oxidoreductase, molybdopterin binding site', 'OxRdtase_Mopterin_BS', 1, NULL),
(21311, NULL, 'IPR019722', NULL, 'Glucose-6-phosphate 1-dehydrogenase, bacterial', 'G6PD_bac', 4, NULL),
(21312, NULL, 'IPR019704', NULL, 'Flagellar assembly regulator FliX, class II', 'Flagellar_assmbl_FliX_class2', 4, NULL),
(21313, NULL, 'IPR034179', NULL, 'Long-chain specific acyl-CoA dehydrogenase', 'LCAD', 4, NULL),
(21314, NULL, 'IPR019666', NULL, 'Cell division activator CedA', 'Cell_div_activator_CedA', 4, NULL),
(21315, NULL, 'IPR020537', NULL, 'ATP synthase, F0 complex, subunit C, DCCD-binding site', 'ATP_synth_F0_csu_DDCD_BS', 1, NULL),
(21316, NULL, 'IPR024791', NULL, 'Cytochrome c oxidase subunit III', 'Cyt_c/ubiquinol_Oxase_su3', 4, NULL),
(21317, NULL, 'IPR022200', NULL, 'Herpesvirus glycoprotein L, C-terminal', 'Herpes_gL_C', 3, NULL),
(21318, NULL, 'IPR022223', NULL, 'Protein of unknown function DUF3748', 'DUF3748', 4, NULL),
(21319, NULL, 'IPR022251', NULL, 'Protein of unknown function wound-induced', 'DUF3774_wound-induced', 4, NULL),
(21320, NULL, 'IPR020240', NULL, 'Uncharacterised protein family UPF0412, YaaI', 'UPF0412_YaaI', 4, NULL),
(21321, NULL, 'IPR017930', NULL, 'Myb domain', 'Myb_dom', 3, NULL),
(21322, NULL, 'IPR034266', NULL, 'Ephrin type-A receptor 3, ligand binding domain', 'EphA3_rcpt_lig-bd', 3, NULL),
(21323, NULL, 'IPR020858', NULL, 'Serum albumin-like', 'Serum_albumin-like', 5, NULL),
(21324, NULL, 'IPR018887', NULL, 'Myeloid-derived growth factor', 'MYDGF', 4, NULL),
(21325, NULL, 'IPR017941', NULL, 'Rieske [2Fe-2S] iron-sulphur domain', 'Rieske_2Fe-2S', 3, NULL),
(21326, NULL, 'IPR019648', NULL, 'Protein of unknown function DUF2511', 'DUF2511', 4, NULL),
(21327, NULL, 'IPR022212', NULL, 'Domain of unknown function DUF3741', 'DUF3741', 3, NULL),
(21328, NULL, 'IPR018889', NULL, 'Arpin', 'Arpin', 4, NULL),
(21329, NULL, 'IPR017476', NULL, 'UDP-glucose/GDP-mannose dehydrogenase', 'UDP-Glc/GDP-Man', 4, NULL),
(21330, NULL, 'IPR017463', NULL, 'Sulphur relay, TusD/DsrE', 'Sulphur_relay_TusD/DsrE', 4, NULL),
(21331, NULL, 'IPR018880', NULL, 'Bacteriophage P4, Ash protein', 'Phage_P4_Ash', 4, NULL),
(21332, NULL, 'IPR018081', NULL, 'Anaphylatoxin, complement system', 'Anaphylatoxin_comp_syst', 5, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21333, NULL, 'IPR019633', NULL, 'Protein of unknown function DUF2498', 'DUF2498', 4, NULL),
(21334, NULL, 'IPR020825', NULL, 'Phenylalanyl-tRNA synthetase-like, B3/B4', 'Phe-tRNA_synthase-like_B3/B4', 5, NULL),
(21335, NULL, 'IPR022151', NULL, 'Sox developmental protein N-terminal', 'Sox_N', 3, NULL),
(21336, NULL, 'IPR019747', NULL, 'FERM conserved site', 'FERM_CS', 2, NULL),
(21337, NULL, 'IPR022286', NULL, 'ABC transporter, F420-0 import, ATP-binding protein, predicted', 'ABC_trnsptr_F420-0_ATP-bd_pred', 4, NULL),
(21338, NULL, 'IPR022148', NULL, 'CopG antitoxin', 'CopG_antitoxin', 4, NULL),
(21339, NULL, 'IPR020550', NULL, 'Inositol monophosphatase, conserved site', 'Inositol_monophosphatase_CS', 2, NULL),
(21340, NULL, 'IPR018883', NULL, 'Delta carbonic anhydrase', 'Delta_CA', 4, NULL),
(21341, NULL, 'IPR018094', NULL, 'Thymidylate kinase', 'Thymidylate_kinase', 4, NULL),
(21342, NULL, 'IPR022247', NULL, 'Casein kinase 1 gamma C-terminal', 'Casein_kinase-1_gamma_C', 3, NULL),
(21343, NULL, 'IPR022208', NULL, 'Protein of unknown function DUF3737', 'DUF3737', 4, NULL),
(21344, NULL, 'IPR022194', NULL, 'Protein of unknown function DUF3719', 'DUF3719', 3, NULL),
(21345, NULL, 'IPR022113', NULL, 'Transmembrane protein 131-like,  N-terminal', 'TMEM131-like_N', 3, NULL),
(21346, NULL, 'IPR024831', NULL, 'Uroplakin-3', 'Uroplakin-3', 4, NULL),
(21347, NULL, 'IPR017491', NULL, 'Photosystem I protein PsaC', 'PSI_PsaC', 4, NULL),
(21348, NULL, 'IPR022449', NULL, 'tRNA N6-adenosine threonylcarbamoyltransferase Kae1, archaea', 'Kae1_arc', 4, NULL),
(21349, NULL, 'IPR019749', NULL, 'Band 4.1 domain', 'Band_41_domain', 3, NULL),
(21350, NULL, 'IPR020852', NULL, 'Ribonucleotide reductase, class Ib, NrdI, bacterial', 'RNR_Ib_NrdI_bac', 4, NULL),
(21351, NULL, 'IPR018909', NULL, 'Endo-1,3(4)-beta-glucanase 1, carbohydrate binding', 'Eng1_septum', 3, NULL),
(21352, NULL, 'IPR022356', NULL, 'Interleukin-11, fish', 'IL-11_fish', 4, NULL),
(21353, NULL, 'IPR022166', NULL, 'UBAP2/protein lingerer', 'UBAP2/Lig', 4, NULL),
(21354, NULL, 'IPR017469', NULL, 'PEP-CTERM system-associated, FemAB-related', 'PEP-CTERM_FemAB-rel', 4, NULL),
(21355, NULL, 'IPR020783', NULL, 'Ribosomal protein L11, C-terminal', 'Ribosomal_L11_C', 3, NULL),
(21356, NULL, 'IPR019623', NULL, 'Protein Rot1', 'Rot1', 4, NULL),
(21357, NULL, 'IPR022227', NULL, 'Protein of unknown function DUF3754', 'DUF3754', 4, NULL),
(21358, NULL, 'IPR024830', NULL, 'Glucocorticoid modulatory element-binding protein 1/2', 'GMEB1/2', 4, NULL),
(21359, NULL, 'IPR017467', NULL, 'Conserved hypothetical protein CHP03016, PEP-CTERM', 'CHP03016_PEP-CTERM', 4, NULL),
(21360, NULL, 'IPR022219', NULL, 'Poxvirus I6, C-terminal', 'Poxvirus_I6_C', 3, NULL),
(21361, NULL, 'IPR035899', NULL, 'Dbl homology (DH) domain superfamily', 'DBL_dom_sf', 5, NULL),
(21362, NULL, 'IPR022234', NULL, 'Protein of unknown function DUF3759', 'DUF3759', 4, NULL),
(21363, NULL, 'IPR018891', NULL, 'Abortive bacteriophage infection, resistance', 'Abortive_phage_infection', 4, NULL),
(21364, NULL, 'IPR034503', NULL, 'SRSF9, RNA recognition motif  1', 'SRSF9_RRM1', 3, NULL),
(21365, NULL, 'IPR018084', NULL, 'Hok/gef cell toxic protein, conserved site', 'Hok/gef_toxin_CS', 2, NULL),
(21366, NULL, 'IPR022157', NULL, 'Dynein associated protein', 'Dynactin', 3, NULL),
(21367, NULL, 'IPR022114', NULL, 'Doublesex- and mab-3-related transcription factor  1-like', 'DMRT1-like', 4, NULL),
(21368, NULL, 'IPR022115', NULL, 'Protein of unknown function DUF3654', 'DUF3654', 4, NULL),
(21369, NULL, 'IPR019721', NULL, 'NADH-ubiquinone oxidoreductase, 21kDa subunit, N-terminal', 'NADH-UbQ_OxRdtase_su21_N', 3, NULL),
(21370, NULL, 'IPR022222', NULL, 'Protein of unknown function DUF3747', 'DUF3747', 4, NULL),
(21371, NULL, 'IPR035282', NULL, 'Protein of unknown function DUF5429', 'DUF5429', 4, NULL),
(21372, NULL, 'IPR022165', NULL, 'Polo kinase kinase', 'PKK', 4, NULL),
(21373, NULL, 'IPR022146', NULL, 'Protein of unknown function DUF3678', 'DUF3678', 4, NULL),
(21374, NULL, 'IPR022179', NULL, 'Protein of unknown function DUF3695', 'DUF3695', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21375, NULL, 'IPR022119', NULL, 'Peptidase C71, pseudomurein endo-isopeptidase Pei', 'Peptidase_C71', 4, NULL),
(21376, NULL, 'IPR034208', NULL, 'RBM45, RNA recognition motif 4', 'RBM45_RRM4', 3, NULL),
(21377, NULL, 'IPR022225', NULL, 'Phage tail fibre protein', 'Phage_tail_fibre', 4, NULL),
(21378, NULL, 'IPR022229', NULL, 'Peptidase S8A, tripeptidyl peptidase II', 'Peptidase_S8A_TPPII', 3, NULL),
(21379, NULL, 'IPR018871', NULL, 'GLEYA adhesin domain', 'GLEYA_adhesin_domain', 3, NULL),
(21380, NULL, 'IPR022189', NULL, 'Smoothelin', 'SMTN', 3, NULL),
(21381, NULL, 'IPR020868', NULL, 'Bifunctional enzyme Fae/Hps', 'Fae/Hps', 4, NULL),
(21382, NULL, 'IPR020799', NULL, 'A-kinase anchor 110kDa', 'AKAP_110', 4, NULL),
(21383, NULL, 'IPR022128', NULL, 'FhaA, N-terminal domain', 'FhaA_N', 3, NULL),
(21384, NULL, 'IPR022143', NULL, 'Protein of unknown function DUF3675', 'DUF3675', 4, NULL),
(21385, NULL, 'IPR017498', NULL, 'Photosystem I PsaO', 'PSI_PsaO', 4, NULL),
(21386, NULL, 'IPR024828', NULL, 'Uroplakin-3b', 'Uroplakin-3b', 4, NULL),
(21387, NULL, 'IPR022117', NULL, 'Severe acute respiratory syndrome coronavirus 3b protein', 'SARS_3b', 4, NULL),
(21388, NULL, 'IPR017488', NULL, 'Photosystem II Psb27, cyanobacteria', 'PSII_Psb27_cyano_bac', 4, NULL),
(21389, NULL, 'IPR022147', NULL, 'Glutamine synthetase type III N-terminal', 'GSIII_N', 3, NULL),
(21390, NULL, 'IPR023108', NULL, 'Domain of unknown function, DUF3216', 'DUF3216', 3, NULL),
(21391, NULL, 'IPR034180', NULL, 'Medium-chain specific acyl-CoA dehydrogenase', 'MCAD', 4, NULL),
(21392, NULL, 'IPR019755', NULL, 'Restriction endonuclease, type II, EcoRV, Proteobacteria', 'Restrct_endonuc_II_EcoRV_Pbac', 4, NULL),
(21393, NULL, 'IPR019725', NULL, 'Bacteriophage T4, P15K, RNA polymerase binding', 'Phage_T4_P15K_Rpol-bd', 4, NULL),
(21394, NULL, 'IPR019756', NULL, 'Peptidase S26A, signal peptidase I, serine active site', 'Pept_S26A_signal_pept_1_Ser-AS', 0, NULL),
(21395, NULL, 'IPR017483', NULL, 'Conserved hypothetical protein CHP03034', 'CHP03034', 4, NULL),
(21396, NULL, 'IPR023582', NULL, 'Impact family', 'Impact', 4, NULL),
(21397, NULL, 'IPR022152', NULL, 'Protein of unknown function DUF3682', 'DUF3682', 4, NULL),
(21398, NULL, 'IPR020234', NULL, 'Mite allergen, group-7', 'Mite_allergen_group-7', 4, NULL),
(21399, NULL, 'IPR019723', NULL, 'Uncharacterised protein, YfmQ', 'Uncharacterised_YfmQ', 4, NULL),
(21400, NULL, 'IPR022445', NULL, 'Sortase, proteobacterial type', 'Sortase_proteobact_type', 4, NULL),
(21401, NULL, 'IPR018904', NULL, 'Uncharacterised protein family UPF0574', 'UPF0574', 4, NULL),
(21402, NULL, 'IPR022184', NULL, 'Cucumber mosaic virus 1a protein C-terminal', 'CMV_1a_C', 3, NULL),
(21403, NULL, 'IPR018410', NULL, 'Na+/H+ exchanger, isoforms 3/5', 'Na/H_exchanger_3/5', 4, NULL),
(21404, NULL, 'IPR022236', NULL, 'Protein of unknown function DUF3761', 'DUF3761', 4, NULL),
(21405, NULL, 'IPR017462', NULL, 'Sulphur relay, TusC/DsrF', 'Sulphur_relay_TusC/DsrF', 4, NULL),
(21406, NULL, 'IPR020301', NULL, 'MIOREX complex component 7', 'Mrx7', 4, NULL),
(21407, NULL, 'IPR022238', NULL, '18S rRNA (guanine(1575)-N(7))-methyltransferase Bud23, C-terminal', 'Bud23_C', 3, NULL),
(21408, NULL, 'IPR019758', NULL, 'Peptidase S26A, signal peptidase I, conserved site', 'Pept_S26A_signal_pept_1_CS', 2, NULL),
(21409, NULL, 'IPR018870', NULL, 'Tti2 family', 'Tti2', 4, NULL),
(21410, NULL, 'IPR022246', NULL, 'Bacteriophage T7, Gp17, C-terminal', 'Phage_T7_Gp17_C', 3, NULL),
(21411, NULL, 'IPR018872', NULL, 'Zn-cluster domain', 'Zn-cluster-dom', 3, NULL),
(21412, NULL, 'IPR019647', NULL, 'PhoP regulatory network protein YrbL', 'PhoP_reg_network_YrbL', 4, NULL),
(21413, NULL, 'IPR019765', NULL, 'Ephrin, conserved site', 'Ephrin_CS', 2, NULL),
(21414, NULL, 'IPR017485', NULL, 'Tryptophan 2,3-dioxygenase, bacterial', 'Trp_2-3-dOase_bac', 4, NULL),
(21415, NULL, 'IPR022192', NULL, 'Mitochondrial degradasome RNA helicase subunit, C-terminal domain', 'SUV3_C', 3, NULL),
(21416, NULL, 'IPR024664', NULL, 'L-arabinose isomerase, C-terminal', 'Ara_Isoase_C', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21417, NULL, 'IPR019720', NULL, 'Plasmid stability protein, StbB', 'Plasmid_stability_protein_StbB', 4, NULL),
(21418, NULL, 'IPR019662', NULL, 'Protein of unknown function DUF2516', 'DUF2516', 4, NULL),
(21419, NULL, 'IPR022237', NULL, 'L-tryptophan decarboxylase PsiD-like', 'PsiD-like', 3, NULL),
(21420, NULL, 'IPR022162', NULL, 'Short transient receptor potential channel 4-associated protein', 'TRPC4AP', 4, NULL),
(21421, NULL, 'IPR022126', NULL, 'S-locus, receptor kinase', 'S-locus_recpt_kinase', 3, NULL),
(21422, NULL, 'IPR034134', NULL, 'DAZ-associated protein 1, RNA recognition motif 1', 'DAZAP1_RRM1', 3, NULL),
(21423, NULL, 'IPR019660', NULL, 'Putative sensory transduction regulator YbjN', 'Put_sensory_transdc_reg_YbjN', 4, NULL),
(21424, NULL, 'IPR022171', NULL, 'PPE family, C-terminal', 'PPE_C', 3, NULL),
(21425, NULL, 'IPR017482', NULL, 'Putative phage-type endonuclease', 'Phage_endonuclease_put', 3, NULL),
(21426, NULL, 'IPR022186', NULL, 'Protein of unknown function DUF3713', 'DUF3713', 4, NULL),
(21427, NULL, 'IPR020309', NULL, 'Uncharacterised protein family, CD034/YQF4', 'Uncharacterised_CD034/YQF4', 4, NULL),
(21428, NULL, 'IPR022230', NULL, 'Protein of unknown function DUF3756', 'DUF3756', 4, NULL),
(21429, NULL, 'IPR022155', NULL, 'Protein of unknown function DUF3684', 'DUF3684', 4, NULL),
(21430, NULL, 'IPR022218', NULL, 'ToxR activated gene A lipoprotein domain', 'TagA_dom', 3, NULL),
(21431, NULL, 'IPR023104', NULL, 'ITPase-like domain superfamily', 'ITPase-like_dom_sf', 5, NULL),
(21432, NULL, 'IPR020846', NULL, 'Major facilitator superfamily domain', 'MFS_dom', 3, NULL),
(21433, NULL, 'IPR022187', NULL, 'Conjugative transposon, TraM', 'Conjug_transposon_TraM', 4, NULL),
(21434, NULL, 'IPR017481', NULL, 'Conserved hypothetical protein CHP03032', 'CHP03032', 3, NULL),
(21435, NULL, 'IPR022198', NULL, 'Protein of unknown function DUF3723', 'DUF3723', 4, NULL),
(21436, NULL, 'IPR022169', NULL, 'Protein of unknown function DUF3701', 'DUF3701', 4, NULL),
(21437, NULL, 'IPR019763', NULL, 'Dynein light chain, type 1/2, conserved site', 'Dynein_light_1/2_CS', 2, NULL),
(21438, NULL, 'IPR018906', NULL, 'DNA integrity scanning, DisA, linker region', 'DNA_integrity_scan_DisA_link', 3, NULL),
(21439, NULL, 'IPR023110', NULL, 'PH1570-like domain', 'PH1570-like_domain', 3, NULL),
(21440, NULL, 'IPR020491', NULL, 'Biogenesis of lysosome-related organelles complex 1 subunit BLI1', 'BLI1', 4, NULL),
(21441, NULL, 'IPR022253', NULL, 'Ribosome recycling factor. bacterial', 'Ribosome_recyc_fac_bac', 4, NULL),
(21442, NULL, 'IPR022150', NULL, 'AKNA domain', 'AKNA_dom', 3, NULL),
(21443, NULL, 'IPR019730', NULL, 'Protein of unknown function DUF2606', 'DUF2606', 4, NULL),
(21444, NULL, 'IPR017484', NULL, 'Kynurenine formamidase, bacteria', 'Kynurenine_formamidase_bac', 4, NULL),
(21445, NULL, 'IPR019632', NULL, 'Protein of unknown function DUF2497', 'DUF2497', 4, NULL),
(21446, NULL, 'IPR022167', NULL, 'Protein of unknown function DUF3698', 'DUF3698', 4, NULL),
(21447, NULL, 'IPR019631', NULL, 'Myticin preproprotein', 'Myticin_preproprotein', 4, NULL),
(21448, NULL, 'IPR022352', NULL, 'Insulin family', 'Insulin_family', 4, NULL),
(21449, NULL, 'IPR018908', NULL, 'Putative transmembrane family 234', 'TMEM234', 4, NULL),
(21450, NULL, 'IPR022201', NULL, 'Protein of unknown function DUF3726', 'DUF3726', 4, NULL),
(21451, NULL, 'IPR020791', NULL, 'Leucine-tRNA ligase, archaeal', 'Leu-tRNA-lgase_arc', 4, NULL),
(21452, NULL, 'IPR017487', NULL, 'Photosystem II PsbQ, cyanobacteria', 'PSII_PsbQ_cyanobac', 4, NULL),
(21453, NULL, 'IPR019719', NULL, 'Protein of unknown function DUF2599', 'DUF2599', 4, NULL),
(21454, NULL, 'IPR017924', NULL, 'RNA-binding protein YhbY', 'RNA-binding_YhbY', 4, NULL),
(21455, NULL, 'IPR019659', NULL, 'Protein of unknown function DUF2514', 'DUF2514', 4, NULL),
(21456, NULL, 'IPR020693', NULL, 'Tyrosine-protein kinase, non-receptor Jak2', 'Tyr_kinase_non-rcpt_Jak2', 4, NULL),
(21457, NULL, 'IPR034206', NULL, 'RBM45, RNA recognition motif 2', 'RBM45_RRM2', 3, NULL),
(21458, NULL, 'IPR018860', NULL, 'Anaphase-promoting complex, subunit CDC26', 'APC_suCDC26', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21459, NULL, 'IPR034285', NULL, 'Laccase, second cupredoxin domain', 'CuRO_2_LCC', 3, NULL),
(21460, NULL, 'IPR022245', NULL, 'Rubivirus non-structural protein, C-terminal', 'Rubi_NSP_C', 3, NULL),
(21461, NULL, 'IPR018858', NULL, 'Protein of unknown function DUF2458', 'DUF2458', 4, NULL),
(21462, NULL, 'IPR022111', NULL, 'Rhodanase, C-terminal', 'Rhodanese_C', 3, NULL),
(21463, NULL, 'IPR024757', NULL, 'Cell division protein FtsZ, C-terminal', 'FtsZ_C', 3, NULL),
(21464, NULL, 'IPR019665', NULL, 'Putative oxidoreductase/dehydrogenase, Rossmann-like domain', 'OxRdtase/DH_put_Rossmann_dom', 3, NULL),
(21465, NULL, 'IPR023313', NULL, 'Ubiquitin-conjugating enzyme, active site', 'UBQ-conjugating_AS', 0, NULL),
(21466, NULL, 'IPR035989', NULL, 'DBP-like superfamily', 'DBP_sf', 5, NULL),
(21467, NULL, 'IPR022256', NULL, 'Domain of unknown function DUF3778', 'DUF3778', 3, NULL),
(21468, NULL, 'IPR020481', NULL, 'Intracellular proteinase inhibitor BsuPI', 'Intracell_prot_inh_BsuPI', 3, NULL),
(21469, NULL, 'IPR020257', NULL, 'Protein of unknown function DUF5512', 'DUF5512', 4, NULL),
(21470, NULL, 'IPR022287', NULL, 'ABC transporter, F420-0 import, periplasmic substrate-binding protein, predicted', 'ABC_trnsptr_F420-0_sub-bd_pred', 4, NULL),
(21471, NULL, 'IPR019657', NULL, 'Late competence development protein ComFB', 'ComFB', 4, NULL),
(21472, NULL, 'IPR017473', NULL, 'Undecaprenyl-phosphate glucose phosphotransferase, WcaJ', 'Undecaprenyl-P_gluc_Ptfrase', 4, NULL),
(21473, NULL, 'IPR018090', NULL, 'Pyrimidine-nucleoside phosphorylase, bacterial/eukaryotic', 'Pyrmidine_PPas_bac/euk', 4, NULL),
(21474, NULL, 'IPR019626', NULL, 'Stress-induced protein, KGG, repeat', 'Stress-induced_KGG_rpt', 7, NULL),
(21475, NULL, 'IPR019625', NULL, 'Biofilm-dependent modulation protein Bdm, putative', 'Biofilm-dep_modulation_Bdm_put', 4, NULL),
(21476, NULL, 'IPR018905', NULL, 'Alpha-galactosidase, NEW3 domain', 'A-galactase_NEW3', 3, NULL),
(21477, NULL, 'IPR022214', NULL, 'Mitotic-spindle organizing protein 1', 'MZT1', 4, NULL),
(21478, NULL, 'IPR018864', NULL, 'Nucleoporin Nup188, N-terminal', 'Nucleoporin_Nup188_N', 3, NULL),
(21479, NULL, 'IPR022446', NULL, 'Conserved hypothetical protein CHP03704, protein-(glutamine-N5) methyltransferase', 'CHP03704_MeTrfrase', 4, NULL),
(21480, NULL, 'IPR022409', NULL, 'PKD/Chitinase domain', 'PKD/Chitinase_dom', 3, NULL),
(21481, NULL, 'IPR020873', NULL, '3''-5'' exoribonuclease YhaM', '3''-5''_exoribonuclease_YhaM', 4, NULL),
(21482, NULL, 'IPR020265', NULL, 'Protein of unknown function DUF5513', 'DUF5513', 4, NULL),
(21483, NULL, 'IPR018892', NULL, 'Retro-transposon transporting motif', 'Retro-transposon_transp_CS', 2, NULL),
(21484, NULL, 'IPR022124', NULL, 'Protein of unknown function DUF3659', 'DUF3659', 4, NULL),
(21485, NULL, 'IPR020242', NULL, 'Conotoxin I2-superfamily', 'Conotoxin_I2-superfamily', 4, NULL),
(21486, NULL, 'IPR020879', NULL, 'N-acetylglucosamine-binding protein A', 'GlcNAc-bd_A', 4, NULL),
(21487, NULL, 'IPR018148', NULL, 'Methylglyoxal synthase, active site', 'Methylglyoxal_synth_AS', 0, NULL),
(21488, NULL, 'IPR022154', NULL, 'Trafficking kinesin-binding protein, C-terminal', 'TRAK1/2_C', 3, NULL),
(21489, NULL, 'IPR018900', NULL, 'Curli assembly protein CsgE', 'Curli_CsgE', 4, NULL),
(21490, NULL, 'IPR022133', NULL, 'Ribose-5-phosphate isomerase, C-terminal', 'Ribose_5_isomerase_C', 3, NULL),
(21491, NULL, 'IPR019733', NULL, 'Uncharacterised protein family YhfT', 'Uncharacterised_YhfT', 4, NULL),
(21492, NULL, 'IPR022172', NULL, 'Protein of unknown function DUF3703', 'DUF3703', 4, NULL),
(21493, NULL, 'IPR022211', NULL, 'Poly-beta-hydroxybutyrate polymerase N-terminal', 'PHBC_N', 3, NULL),
(21494, NULL, 'IPR022207', NULL, 'Genetic suppressor element-like', 'GSE-like', 3, NULL),
(21495, NULL, 'IPR022145', NULL, 'Domain of unknown function DUF3677', 'DUF3677', 3, NULL),
(21496, NULL, 'IPR019762', NULL, 'Dynamin, GTPase region, conserved site', 'Dynamin_GTPase_CS', 2, NULL),
(21497, NULL, 'IPR017493', NULL, 'Photosystem I reaction centre subunit PsaK, chloroplastic', 'PSAK', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21498, NULL, 'IPR022149', NULL, 'Protein of unknown function DUF3681', 'DUF3681', 4, NULL),
(21499, NULL, 'IPR019639', NULL, 'Protein of unknown function DUF2505', 'DUF2505', 4, NULL),
(21500, NULL, 'IPR022226', NULL, 'Domain of unknown function DUF3752', 'DUF3752', 3, NULL),
(21501, NULL, 'IPR017174', NULL, 'Transcription factor TFIIIB component B'''', fungi', 'Bdp1_fungi', 4, NULL),
(21502, NULL, 'IPR024897', NULL, 'Octanoyltransferase LipL', 'LipL', 4, NULL),
(21503, NULL, 'IPR016382', NULL, 'Pilus assembly, TraL', 'Pilus_assmbly_TraL', 4, NULL),
(21504, NULL, 'IPR029944', NULL, 'EH domain-binding protein 1', 'EHBP1', 4, NULL),
(21505, NULL, 'IPR025195', NULL, 'GTA TIM-barrel-like domain', 'GTA_TIM_dom', 3, NULL),
(21506, NULL, 'IPR017509', NULL, 'Putative peptide chain release factor H', 'Release_fac_PrfH', 4, NULL),
(21507, NULL, 'IPR034110', NULL, 'LSM domain containing 1', 'LSMD1', 3, NULL),
(21508, NULL, 'IPR029256', NULL, 'Helicase-associated putative binding domain', 'Heliccase-ass-bd', 3, NULL),
(21509, NULL, 'IPR017189', NULL, 'CTP:phosphocholine cytidylyltransferase', 'CTP-phospocholine_CTT', 4, NULL),
(21510, NULL, 'IPR018476', NULL, 'Glycerophosphoryl diester phosphodiesterase, membrane domain', 'GlyceroP-diester-Pdiesterase_M', 3, NULL),
(21511, NULL, 'IPR016422', NULL, 'Replication-associated protein RepA4', 'Rep_assoc_RepA4', 4, NULL),
(21512, NULL, 'IPR017175', NULL, 'Inhibin, alpha subunit', 'Inhibin_asu', 4, NULL),
(21513, NULL, 'IPR028149', NULL, 'Tantalus-like', 'Tantalus-like', 3, NULL),
(21514, NULL, 'IPR026246', NULL, 'Fibrous sheath-interacting protein 1', 'Fsip1', 4, NULL),
(21515, NULL, 'IPR034209', NULL, 'PUF60, RNA recognition motif 1', 'PUF60_RRM1', 3, NULL),
(21516, NULL, 'IPR027368', NULL, 'tRNA modification GTPase MnmE domain 2', 'MnmE_dom2', 5, NULL),
(21517, NULL, 'IPR024901', NULL, 'FAPy deformylase', 'FAPy_deformylase', 4, NULL),
(21518, NULL, 'IPR024930', NULL, 'Skp domain superfamily', 'Skp_dom_sf', 5, NULL),
(21519, NULL, 'IPR016387', NULL, 'Mobilization, MobA', 'Mobilization_MobA', 4, NULL),
(21520, NULL, 'IPR025377', NULL, 'Domain of unknown function DUF4367', 'DUF4367', 3, NULL),
(21521, NULL, 'IPR024461', NULL, 'Coiled-coil domain-containing protein 90-like', 'CCDC90-like', 4, NULL),
(21522, NULL, 'IPR026265', NULL, 'Lipopolysaccharide export system protein LptC', 'LptC', 4, NULL),
(21523, NULL, 'IPR034107', NULL, 'Lsm16, N-terminal', 'Lsm16_N', 3, NULL),
(21524, NULL, 'IPR028148', NULL, 'Immunity protein 74', 'Imm74', 4, NULL),
(21525, NULL, 'IPR025400', NULL, 'Domain of unknown function DUF4373', 'DUF4373', 3, NULL),
(21526, NULL, 'IPR029324', NULL, 'Mitochondrial apoptosis-inducing factor, C-terminal domain', 'AIF_C', 3, NULL),
(21527, NULL, 'IPR016395', NULL, 'Tegument protein  UL11,  simplexvirus-type', 'UL11_simplexvir-type', 4, NULL),
(21528, NULL, 'IPR024455', NULL, 'Phage capsid', 'Phage_capsid', 4, NULL),
(21529, NULL, 'IPR029170', NULL, 'FAM180 family', 'FAM180', 4, NULL),
(21530, NULL, 'IPR025186', NULL, 'Protein of unknown function DUF4119', 'DUF4119', 4, NULL),
(21531, NULL, 'IPR025380', NULL, 'Domain of unknown function DUF4369', 'DUF4369', 3, NULL),
(21532, NULL, 'IPR017165', NULL, 'Zinc finger FYVE domain-containing protein, endofin', 'Znf_FYVE_endofin', 4, NULL),
(21533, NULL, 'IPR026533', NULL, 'Non-canonical purine NTP phosphatase/PRRC1', 'NTPase/PRRC1', 3, NULL),
(21534, NULL, 'IPR030776', NULL, 'Regulator of G-protein signalling 14', 'RGS14', 4, NULL),
(21535, NULL, 'IPR024899', NULL, 'Nitrogen fixation-sustaining protein CowN', 'CowN', 4, NULL),
(21536, NULL, 'IPR016421', NULL, 'Transposition, TnsE', 'Transposition_TnsE', 4, NULL),
(21537, NULL, 'IPR018479', NULL, 'Monopolin complex subunit Lrs4/Mde4', 'Lrs4/Mde4', 4, NULL),
(21538, NULL, 'IPR016412', NULL, 'RNA polymerase inhibitor', 'RNA_pol_inhibitor', 4, NULL),
(21539, NULL, 'IPR026565', NULL, 'Putative pyruvate, phosphate dikinase regulatory protein', 'PPDK_reg', 4, NULL),
(21540, NULL, 'IPR026091', NULL, 'Hermansky-Pudlak syndrome 4 protein', 'HPS4', 4, NULL),
(21541, NULL, 'IPR025173', NULL, 'Protein of unknown function DUF3932', 'DUF3932', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21542, NULL, 'IPR016720', NULL, 'Phosphatidate cytidylyltransferase, eukaryota', 'PC_Trfase_euk', 4, NULL),
(21543, NULL, 'IPR016406', NULL, 'Cystovirus, RNA-directed RNA polymerase', 'Cystovir_RNA-dir_pol', 4, NULL),
(21544, NULL, 'IPR017156', NULL, 'Carboxysome assembly protein CcmM', 'CcmM', 4, NULL),
(21545, NULL, 'IPR025211', NULL, 'Toxin TisB, type I toxin-antitoxin system', 'TisB_toxin', 4, NULL),
(21546, NULL, 'IPR016750', NULL, 'Acetophenone carboxylase beta subunit/Acetone carboxylase gamma subunit', 'Aceto_COase_bsu/gsu', 4, NULL),
(21547, NULL, 'IPR018483', NULL, 'Carbohydrate kinase, FGGY, conserved site', 'Carb_kinase_FGGY_CS', 2, NULL),
(21548, NULL, 'IPR017192', NULL, 'Thiosulphate:quinone oxidoreductase, fused subunit DoxA/ DoxD', 'ThioSO4-Q_OxRdtase_DoxA/D', 4, NULL),
(21549, NULL, 'IPR026045', NULL, 'Ferric binding protein', 'Ferric-bd', 4, NULL),
(21550, NULL, 'IPR016725', NULL, 'Ogawa serotype, WbeT', 'Ogawa_serotype_WbeT', 4, NULL),
(21551, NULL, 'IPR027154', NULL, 'Hephaestin', 'HEPH', 4, NULL),
(21552, NULL, 'IPR029327', NULL, 'HAUS augmin-like complex subunit 4', 'HAUS4', 4, NULL),
(21553, NULL, 'IPR016384', NULL, 'Plasmid transfer regulator TraJ, R1 plasmid', 'TraJ_R1', 4, NULL),
(21554, NULL, 'IPR017178', NULL, '4-hydroxy-3-methylbut-2-en-1-yl diphosphate synthase, atypical', 'IspG_atypical', 4, NULL),
(21555, NULL, 'IPR030760', NULL, 'Monocarboxylate transporter 6', 'MCT6', 4, NULL),
(21556, NULL, 'IPR028181', NULL, 'SLP adapter and CSK-interacting membrane protein', 'SCIMP', 4, NULL),
(21557, NULL, 'IPR016766', NULL, 'Trichothecene biosynthesis transcription regulator TRI6', 'Tscrpt_reg_Tri6', 4, NULL),
(21558, NULL, 'IPR024932', NULL, 'Flavin transferase ApbE', 'ApbE', 4, NULL),
(21559, NULL, 'IPR024679', NULL, 'Pre-rRNA-processing protein Ipi1, N-terminal', 'Ipi1_N', 3, NULL),
(21560, NULL, 'IPR025397', NULL, 'Succinate dehydrogenase subunit 5, mitochondrial', 'SDH5', 4, NULL),
(21561, NULL, 'IPR026532', NULL, 'Ribosome biogenesis protein BRX1', 'BRX1', 4, NULL),
(21562, NULL, 'IPR016378', NULL, 'Transcription factor cyclic AMP-dependent, CRE-BP1-type', 'TF_CRE-BP1-typ', 4, NULL),
(21563, NULL, 'IPR029180', NULL, 'Myc target protein 1', 'Myc_target_1', 4, NULL),
(21564, NULL, 'IPR018475', NULL, 'Luciferase, helical bundle domain', 'Luciferase_hlx-bundle_domain', 3, NULL),
(21565, NULL, 'IPR016430', NULL, 'Cytadherence high molecular weight protein 2', 'Cytadherence_Hmw2', 4, NULL),
(21566, NULL, 'IPR028294', NULL, 'WAS/WASL-interacting protein family member 2', 'WIPF2', 4, NULL),
(21567, NULL, 'IPR031807', NULL, 'HicB-like antitoxin of toxin-antitoxin system', 'HicB-like', 3, NULL),
(21568, NULL, 'IPR026402', NULL, 'Chitooligosaccharide deacetylase NodB', 'Nodulat_NodB', 4, NULL),
(21569, NULL, 'IPR018470', NULL, 'Periplasmic metal-binding protein Tp34-type', 'Metal-bd_Tp34-typ', 4, NULL),
(21570, NULL, 'IPR016398', NULL, 'E3 ubiquitin-protein ligase p28', 'E3_ubiquitin-prot_ligase_p28', 4, NULL),
(21571, NULL, 'IPR026426', NULL, 'Radical SAM peptide maturase, FibroRumin system', 'rSAM_FibroRumin', 4, NULL),
(21572, NULL, 'IPR026390', NULL, 'NAD dependent epimerase/dehydratase, LLPSF_EDH_00030 family', 'EDH_00030', 4, NULL),
(21573, NULL, 'IPR026403', NULL, 'Putative lipoprotein, rSAM/lipoprotein system', 'Lipo_with_rSAM', 4, NULL),
(21574, NULL, 'IPR016391', NULL, 'Coatomer alpha subunit', 'Coatomer_asu', 4, NULL),
(21575, NULL, 'IPR016392', NULL, 'Large T antigen, polyomaviridae', 'Lg_T_Ag_polyomavir', 4, NULL),
(21576, NULL, 'IPR029253', NULL, 'Cytokine-like protein 1', 'CYTL1', 4, NULL),
(21577, NULL, 'IPR024912', NULL, 'Protein translocase subunit SecD, archaeal', 'SecD_arc', 4, NULL),
(21578, NULL, 'IPR018484', NULL, 'Carbohydrate kinase, FGGY, N-terminal', 'Carb_kinase_FGGY_N', 3, NULL),
(21579, NULL, 'IPR032021', NULL, 'Frog antimicrobial peptide, caerin-type, Litoria', 'Frog_Litoria', 4, NULL),
(21580, NULL, 'IPR029329', NULL, 'Domain of unknown function DUF4472', 'DUF4472', 3, NULL),
(21581, NULL, 'IPR016737', NULL, 'Uncharacterised conserved protein UCP018868', 'UCP018868', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21582, NULL, 'IPR026076', NULL, 'Late cornified envelope-like proline-rich protein 1', 'Lelp1', 4, NULL),
(21583, NULL, 'IPR017184', NULL, 'Serine/threonine-protein kinase Unc-51', 'Ser/Thr_kinase_Unc51', 4, NULL),
(21584, NULL, 'IPR019671', NULL, 'Protein of unknown function DUF2526', 'DUF2526', 4, NULL),
(21585, NULL, 'IPR026067', NULL, 'Dual specificity phosphatase 23', 'Dual_phosphatase_23', 4, NULL),
(21586, NULL, 'IPR024457', NULL, 'Putative integrase, N-terminal', 'Putative_integrase_N', 3, NULL),
(21587, NULL, 'IPR034212', NULL, 'PUF60, RNA recognition motif 3', 'PUF60_RRM3', 3, NULL),
(21588, NULL, 'IPR025373', NULL, 'Protein of unknown function DUF4363', 'DUF4363', 4, NULL),
(21589, NULL, 'IPR017176', NULL, 'Alpha-(1, 3)-fucosyltransferase, metazoan', 'Alpha-1_3-FUT_met', 4, NULL),
(21590, NULL, 'IPR016418', NULL, 'Uncharacterised conserved protein UCP004509, Rem', 'UCP004509_Rem', 4, NULL),
(21591, NULL, 'IPR016729', NULL, 'FADD', 'FADD', 4, NULL),
(21592, NULL, 'IPR016429', NULL, 'NAD biosynthesis/regulator protein NadR', 'NAD_NadR', 4, NULL),
(21593, NULL, 'IPR031806', NULL, 'Protein of unknown function DUF4744', 'DUF4744', 4, NULL),
(21594, NULL, 'IPR029345', NULL, 'Maltose transport system permease protein MalF, P2 domain', 'MalF_P2', 3, NULL),
(21595, NULL, 'IPR016716', NULL, 'Regulator of ribonuclease activity B', 'RraB', 4, NULL),
(21596, NULL, 'IPR029326', NULL, 'Sperm-specific antigen 2, C-terminal', 'SSFA2_C', 3, NULL),
(21597, NULL, 'IPR022450', NULL, 'tRNA N6-adenosine threonylcarbamoyltransferase, TsaD', 'TsaD', 4, NULL),
(21598, NULL, 'IPR034775', NULL, 'Splicing factor ELAV/Hu, RNA recognition motif 1', 'ELAV/Hu_RRM1', 3, NULL),
(21599, NULL, 'IPR026400', NULL, 'Bunyavirus nonstructural protein NSm', 'Bunya_nonstruc_pro_NSm', 3, NULL),
(21600, NULL, 'IPR026410', NULL, 'Oligosaccharyl transferase, archaeal', 'OlisacTrfase_arch', 4, NULL),
(21601, NULL, 'IPR018423', NULL, 'Carbonic anhydrase-related protein 10', 'CA10', 4, NULL),
(21602, NULL, 'IPR034109', NULL, 'Sm-like protein Lsm11, middle domain', 'Lsm11_M', 3, NULL),
(21603, NULL, 'IPR026415', NULL, 'UDP-N-acetylglucosamine 4,6-dehydratase/5-epimerase', 'FnlA', 4, NULL),
(21604, NULL, 'IPR017505', NULL, 'Sortase B signal domain, NPQTN class', 'Sortase_SrtB_sig_NPQTN', 3, NULL),
(21605, NULL, 'IPR025172', NULL, 'Protein of unknown function DUF3930', 'DUF3930', 4, NULL),
(21606, NULL, 'IPR025177', NULL, 'Cell division inhibitor MciZ', 'MciZ', 4, NULL),
(21607, NULL, 'IPR026073', NULL, 'Gametogenetin-binding protein 2', 'GGNBP2', 4, NULL),
(21608, NULL, 'IPR018460', NULL, 'Batten''s disease protein Cln3, subgroup', 'Battenin_disease_Cln3_subgr', 4, NULL),
(21609, NULL, 'IPR017166', NULL, 'Uncharacterised conserved protein UCP037290', 'UCP037290', 4, NULL),
(21610, NULL, 'IPR029187', NULL, 'Follicular dendritic cell secreted peptide', 'FDC-SP', 4, NULL),
(21611, NULL, 'IPR017180', NULL, 'Phosphotransferase system component IIBC, sugar-specific, predicted', 'PTS_IIBC_sugar_specific', 4, NULL),
(21612, NULL, 'IPR026433', NULL, 'EPS-associated transcriptional regulator, MarR family', 'MarR_EPS', 4, NULL),
(21613, NULL, 'IPR029176', NULL, 'Spermatogenesis-associated protein 24', 'SPATA24', 4, NULL),
(21614, NULL, 'IPR025376', NULL, 'Domain of unknown function DUF4366', 'DUF4366', 3, NULL),
(21615, NULL, 'IPR034217', NULL, 'SART3, RNA recognition motif 1', 'SART3_RRM1', 3, NULL),
(21616, NULL, 'IPR028378', NULL, 'Synaptotagmin-like protein 1', 'Sytl1', 4, NULL),
(21617, NULL, 'IPR029194', NULL, 'Lens epithelial cell protein LEP503', 'LEP503', 4, NULL),
(21618, NULL, 'IPR034215', NULL, 'RBM42, RNA recognition motif', 'RBM42_RRM', 3, NULL),
(21619, NULL, 'IPR016748', NULL, 'Transcription regulator, CopG/Arc/MetJ DNA-binding domain-containing, predicted', 'Tscrpt_reg_CopG_prd', 4, NULL),
(21620, NULL, 'IPR029166', NULL, 'Williams-Beuren syndrome chromosomal region 28 protein homologue', 'WBS28', 4, NULL),
(21621, NULL, 'IPR025171', NULL, 'Protein of unknown function DUF3929', 'DUF3929', 4, NULL),
(21622, NULL, 'IPR029413', NULL, 'Rhamnogalacturonan lyase, domain II', 'RG-lyase_II', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21623, NULL, 'IPR016744', NULL, 'Uncharacterised conserved protein UCP019072', 'UCP019072', 4, NULL),
(21624, NULL, 'IPR016388', NULL, 'Putative partitioning protein SopC', 'Put_partitioning_SopC', 4, NULL),
(21625, NULL, 'IPR016389', NULL, 'Exclusion-determining protein', 'Exclusion-determining_protein', 4, NULL),
(21626, NULL, 'IPR017182', NULL, 'Methyltransferase METTL16/PsiM', 'METTL16/PsiM', 4, NULL),
(21627, NULL, 'IPR026417', NULL, 'Geranylgeranylglyceryl phosphate synthase, Halobacteria', 'GGGPS_Halobacteria', 4, NULL),
(21628, NULL, 'IPR029185', NULL, 'CMT1A duplicated region transcript 4 protein', 'CDRT4', 4, NULL),
(21629, NULL, 'IPR026428', NULL, 'VPXXXP-CTERM protein sorting domain', 'VPxxxP_CTERM', 3, NULL),
(21630, NULL, 'IPR029802', NULL, 'cAMP-responsive element-binding protein 1', 'CREB1', 4, NULL),
(21631, NULL, 'IPR016719', NULL, 'Guided entry of tail-anchored proteins factor CAMLG', 'CAMLG', 4, NULL),
(21632, NULL, 'IPR016761', NULL, 'Uncharacterised conserved protein UCP019454, CBS', 'UCP019454_CBS', 4, NULL),
(21633, NULL, 'IPR029251', NULL, 'Fanconi anemia-associated protein of 100kDa', 'Faap100', 4, NULL),
(21634, NULL, 'IPR016386', NULL, 'Plasmid mobilisation, TrbF', 'Plasmid_mob_TrbF', 4, NULL),
(21635, NULL, 'IPR026377', NULL, 'Cell surface SprA', 'Cell_surface_SprA', 4, NULL),
(21636, NULL, 'IPR029831', NULL, 'Contactin-associated protein-like 2', 'Caspr2', 4, NULL),
(21637, NULL, 'IPR016425', NULL, '4-hydroxy-3-methylbut-2-en-1-yl diphosphate synthase, bacterial', 'IspG_bac', 4, NULL),
(21638, NULL, 'IPR018416', NULL, 'Na+/H+ exchanger 9', 'Na/H_exchanger_9', 4, NULL),
(21639, NULL, 'IPR026424', NULL, 'Modification target Cys-rich peptide, AC3_0185 family', 'Cxxx_AC3_0185', 4, NULL),
(21640, NULL, 'IPR034116', NULL, 'AGE domain', 'AGE_dom', 3, NULL),
(21641, NULL, 'IPR016755', NULL, 'Uncharacterised conserved protein UCP019302', 'UCP019302', 4, NULL),
(21642, NULL, 'IPR017190', NULL, 'Bifunctional CTP:phosphocholine cytidylyltransferase/choline kinase', 'Bifunc_CCT/choline_kinase', 4, NULL),
(21643, NULL, 'IPR016759', NULL, 'HTH-type transcriptional repressor RghR', 'RghR', 4, NULL),
(21644, NULL, 'IPR026416', NULL, 'Putative folate metabolism gamma-glutamate ligase', 'Fol_metab_g-glu_lig', 4, NULL),
(21645, NULL, 'IPR016746', NULL, 'Uncharacterised conserved protein UCP019078', 'UCP019078', 4, NULL),
(21646, NULL, 'IPR016753', NULL, 'Phage portal protein PBSX family, Firmicutes', 'PBSX_Firmicutes', 4, NULL),
(21647, NULL, 'IPR034148', NULL, 'NCBP2, RNA recognition motif', 'NCBP2_RRM', 3, NULL),
(21648, NULL, 'IPR029281', NULL, 'FAM194, C-terminal', 'FAM194_C', 3, NULL),
(21649, NULL, 'IPR025378', NULL, 'Domain of unknown function DUF4368', 'DUF4368', 3, NULL),
(21650, NULL, 'IPR029189', NULL, 'Thymic stromal lymphopoietin', 'TSLP', 4, NULL),
(21651, NULL, 'IPR024466', NULL, 'Conserved hypothetical protein CHP02679, N terminus', 'CHP02679_N', 3, NULL),
(21652, NULL, 'IPR024668', NULL, 'GA-binding protein alpha subunit, N-terminal', 'GABP_asu_N', 3, NULL),
(21653, NULL, 'IPR029429', NULL, 'Ciliary BBSome complex subunit 2, middle region', 'BBS2_Mid', 3, NULL),
(21654, NULL, 'IPR030757', NULL, 'Monocarboxylate transporter 1', 'MCT1', 4, NULL),
(21655, NULL, 'IPR028245', NULL, 'Eisosome component PIL1/LSP1', 'PIL1/LSP1', 4, NULL),
(21656, NULL, 'IPR029837', NULL, 'Bone morphogenetic protein 1', 'BMP-1', 4, NULL),
(21657, NULL, 'IPR016413', NULL, 'Bacteriophage T4, DenA, endonuclease II', 'Phage_T4_DenA_endoDNaseII', 4, NULL),
(21658, NULL, 'IPR017162', NULL, 'Uncharacterised conserved protein UCP037266', 'UCP037266', 4, NULL),
(21659, NULL, 'IPR026408', NULL, 'Natural product precursor, GG-Bacteroidales', 'GG_sam_targ_CFB', 3, NULL),
(21660, NULL, 'IPR016409', NULL, 'Bacteriophage T4, Gp55.2', 'Phage_T4_Gp55.2', 4, NULL),
(21661, NULL, 'IPR029273', NULL, 'Cdc42 effector', 'Cdc42_effect', 4, NULL),
(21662, NULL, 'IPR029285', NULL, 'CagY type 1 repeat', 'CagY_I', 7, NULL),
(21663, NULL, 'IPR017154', NULL, 'Uncharacterised conserved protein UCP037246', 'UCP037246', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21664, NULL, 'IPR016383', NULL, 'Plasmid transfer regulator TraJ', 'TraJ', 4, NULL),
(21665, NULL, 'IPR024902', NULL, 'FAD synthase RibL', 'FAD_synth_RibL', 4, NULL),
(21666, NULL, 'IPR028895', NULL, 'Cyclin-G2', 'CCNG2', 4, NULL),
(21667, NULL, 'IPR024456', NULL, 'Integrase catalytic domain, putative', 'Integrase_catalytic_putative', 3, NULL),
(21668, NULL, 'IPR029165', NULL, 'Spermatogenesis-associated serine-rich protein 1', 'SASRP1', 4, NULL),
(21669, NULL, 'IPR016724', NULL, 'Insulin-related peptide', 'Insulin-rel_pep', 4, NULL),
(21670, NULL, 'IPR029193', NULL, 'Testis-expressed sequence 12 protein', 'TEX12', 4, NULL),
(21671, NULL, 'IPR023590', NULL, 'Digeranylgeranylglycerophospholipid reductase', 'DGGGPL_reductase', 4, NULL),
(21672, NULL, 'IPR025374', NULL, 'Protein of unknown function DUF4364', 'DUF4364', 4, NULL),
(21673, NULL, 'IPR029427', NULL, 'Altered inheritance of mitochondria protein 23, mitochondrial', 'AIM23', 4, NULL),
(21674, NULL, 'IPR029801', NULL, 'cAMP-dependent transcription factor ATF-6 alpha', 'ATF6A', 4, NULL),
(21675, NULL, 'IPR029287', NULL, 'Retinoic acid early-inducible protein 1', 'RAE-1', 3, NULL),
(21676, NULL, 'IPR023113', NULL, 'Telomere-binding protein, beta subunit domain superfamily', 'TEBP_beta_dom_sf', 5, NULL),
(21677, NULL, 'IPR016411', NULL, 'Single-stranded DNA-binding protein, bacteriophage', 'SSB_phg', 4, NULL),
(21678, NULL, 'IPR024903', NULL, 'Putrescine carbamoyltransferase PtcA', 'PtcA', 4, NULL),
(21679, NULL, 'IPR029414', NULL, 'Tricorn protease, PDZ domain', 'Tricorn_PDZ', 3, NULL),
(21680, NULL, 'IPR029177', NULL, 'Interferon lambda', 'INF_lambda', 4, NULL),
(21681, NULL, 'IPR029431', NULL, 'Tumour protein p53-inducible nuclear protein', 'TP53INP', 4, NULL),
(21682, NULL, 'IPR025371', NULL, 'Domain of unknown function DUF4361', 'DUF4361', 3, NULL),
(21683, NULL, 'IPR017181', NULL, 'Signal transduction histidine kinase, CHASE2 sensor domain-containing, predicted', 'Sig_transdc_His_kin_CHASE2', 4, NULL),
(21684, NULL, 'IPR029411', NULL, 'Rhamnogalacturonan lyase, domain III', 'RG-lyase_III', 3, NULL),
(21685, NULL, 'IPR016765', NULL, 'Metal-dependent membrane protease, predicted', 'M_metal-dep_Prtase_arc_prd', 4, NULL),
(21686, NULL, 'IPR026574', NULL, 'Modulator protein MzrA', 'Modulator_MzrA', 4, NULL),
(21687, NULL, 'IPR018466', NULL, 'Yeast cell wall synthesis Kre9/Knh1-like, N-terminal', 'Kre9/Knh1-like_N', 3, NULL),
(21688, NULL, 'IPR018478', NULL, 'Sporulation  transcription regulator WhiA, N-terminal domain', 'Sporu_reg_WhiA_N_dom', 3, NULL),
(21689, NULL, 'IPR028246', NULL, 'Cation channel sperm-associated protein, subunit gamma', 'CATSPERG', 4, NULL),
(21690, NULL, 'IPR018488', NULL, 'Cyclic nucleotide-binding, conserved site', 'cNMP-bd_CS', 2, NULL),
(21691, NULL, 'IPR016410', NULL, 'Bacteriophage-associated immunity protein', 'Phage_imm', 4, NULL),
(21692, NULL, 'IPR028150', NULL, 'Lustrin, cysteine-rich repeated', 'Lustrin_cystein', 7, NULL),
(21693, NULL, 'IPR028896', NULL, 'Aminomethyltransferase-like', 'GCST/YgfZ/DmdA', 4, NULL),
(21694, NULL, 'IPR034147', NULL, 'RBM40, RNA recognition motif 1', 'RBM40_RRM1', 3, NULL),
(21695, NULL, 'IPR016751', NULL, 'Uncharacterised conserved protein UCP019236', 'UCP019236', 4, NULL),
(21696, NULL, 'IPR017506', NULL, 'Photosystem II S4', 'PSII_S4', 4, NULL),
(21697, NULL, 'IPR016715', NULL, 'Platelet-activating factor acetylhydrolase, eucaryote', 'PAF_acetylhydro_eucaryote', 4, NULL),
(21698, NULL, 'IPR024453', NULL, 'Permuted papain-like amidase enzyme, YaeF/YiiX, C92 family', 'Peptidase_C92', 4, NULL),
(21699, NULL, 'IPR016738', NULL, 'DNA double-strand break repair nuclease NurA-like', 'NurA-like', 4, NULL),
(21700, NULL, 'IPR017179', NULL, 'Spastin', 'Spastin', 4, NULL),
(21701, NULL, 'IPR025168', NULL, 'Protein of unknown function DUF3925', 'DUF3925', 4, NULL),
(21702, NULL, 'IPR024752', NULL, 'Myb/SANT-like domain', 'Myb/SANT-like_dom', 3, NULL),
(21703, NULL, 'IPR034219', NULL, 'ZCRB1, RNA recognition motif', 'ZCRB1_RRM', 3, NULL),
(21704, NULL, 'IPR026414', NULL, 'Exosortase F-associated protein', 'ExosoTase_F-assoc_pro', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21705, NULL, 'IPR017507', NULL, 'Transcription regulator, HipB-like', 'Tscrpt_reg_HipB-like', 4, NULL),
(21706, NULL, 'IPR034221', NULL, 'RBM34, RNA recognition motif 2', 'RBM34_RRM2', 3, NULL),
(21707, NULL, 'IPR025203', NULL, 'Putative quorum-sensing-regulated virulence factor, QSregVF', 'QSregVF', 4, NULL),
(21708, NULL, 'IPR030761', NULL, 'Monocarboxylate transporter 8', 'MCT8', 4, NULL),
(21709, NULL, 'IPR024464', NULL, 'Protein of unknown function DUF2391', 'DUF2391', 4, NULL),
(21710, NULL, 'IPR018477', NULL, 'Bicaudal-D protein', 'BICD', 4, NULL),
(21711, NULL, 'IPR025206', NULL, 'Protein of unknown function DUF4152', 'DUF4152', 3, NULL),
(21712, NULL, 'IPR017169', NULL, 'Anaphase-promoting complex subunit 4, metazoa', 'APC4_metazoa', 4, NULL),
(21713, NULL, 'IPR030209', NULL, 'Solute carrier family 10 member 5', 'SLC10A5', 4, NULL),
(21714, NULL, 'IPR016718', NULL, 'rRNA (guanine-N1-)-methyltransferase A, predicted', 'rRNA_m1G-MeTrfase_A_prd', 4, NULL),
(21715, NULL, 'IPR017171', NULL, 'Signal transduction histidine kinase, MctS', 'Sig_transdc_His_kinase_MctS', 4, NULL),
(21716, NULL, 'IPR030743', NULL, 'Cochlin', 'Cochlin', 4, NULL),
(21717, NULL, 'IPR028183', NULL, 'Uncharacterised protein family UPF0640', 'UPF0640', 4, NULL),
(21718, NULL, 'IPR024467', NULL, 'Antitoxin Xre/MbcA/ParS-like, toxin-binding domain', 'Xre/MbcA/ParS-like_toxin-bd', 3, NULL),
(21719, NULL, 'IPR018465', NULL, 'Centromere protein Scm3/HJURP', 'Scm3/HJURP', 4, NULL),
(21720, NULL, 'IPR031171', NULL, 'Lazarus 1', 'LAZ1', 4, NULL),
(21721, NULL, 'IPR024459', NULL, 'Protein of unknown function DUF1073', 'DUF1073', 4, NULL),
(21722, NULL, 'IPR018485', NULL, 'Carbohydrate kinase, FGGY, C-terminal', 'Carb_kinase_FGGY_C', 3, NULL),
(21723, NULL, 'IPR025398', NULL, 'Domain of unknown function DUF4371', 'DUF4371', 3, NULL),
(21724, NULL, 'IPR025773', NULL, 'Arterivirus papain-like cysteine protease beta (PCPbeta) domain', 'AV_PCPbeta', 3, NULL),
(21725, NULL, 'IPR017511', NULL, 'PQQ-dependent membrane bound dehydrogenase', 'PQQ_mDH', 4, NULL),
(21726, NULL, 'IPR025210', NULL, 'ATP25 mRNA stabilisation domain', 'ATP25_mRNA_stabil_dom', 3, NULL),
(21727, NULL, 'IPR016380', NULL, 'Signal transduction histidine kinase, nitrate/nitrite-sensing', 'Sig_transdc_His_kin_NarX/NarQ', 4, NULL),
(21728, NULL, 'IPR019669', NULL, 'Uncharacterised bacterial stress protein YodD', 'Uncharacterised_YodD', 4, NULL),
(21729, NULL, 'IPR030742', NULL, 'Protocadherin alpha-C1', 'PCDHAC1', 4, NULL),
(21730, NULL, 'IPR016726', NULL, 'Repressor protein C1', 'Repressor_C1', 4, NULL),
(21731, NULL, 'IPR028145', NULL, 'Synaptonemal complex central element protein 3', 'Synaptonemal_3', 4, NULL),
(21732, NULL, 'IPR025208', NULL, 'NFkB-p65-degrading zinc protease', 'Peptidase_M85', 4, NULL),
(21733, NULL, 'IPR017186', NULL, 'Lipase, autotransporter EstA', 'Lipase_autotranspt_EstA', 4, NULL),
(21734, NULL, 'IPR017164', NULL, 'Wee1-like protein kinase', 'Wee1-like_protein_kinase', 4, NULL),
(21735, NULL, 'IPR029186', NULL, 'Peroxisomal testis-specific protein 1', 'PXT1', 4, NULL),
(21736, NULL, 'IPR017502', NULL, 'Sortase B cell surface sorting signal', 'Sortase_SrtB_target', 3, NULL),
(21737, NULL, 'IPR017187', NULL, 'Ethylene-insensitive protein 2', 'EIN2', 4, NULL),
(21738, NULL, 'IPR024931', NULL, 'Importin subunit alpha', 'Importin_alpha', 4, NULL),
(21739, NULL, 'IPR016752', NULL, 'Uncharacterised conserved protein UCP019240, SpoVT/AbrB-related', 'UCP019240_SpoVT/AbrB-related', 4, NULL),
(21740, NULL, 'IPR029799', NULL, 'F-box only protein 11', 'FBX11/DRE-1', 4, NULL),
(21741, NULL, 'IPR024671', NULL, 'Autophagy-related protein 22-like', 'Atg22-like', 4, NULL),
(21742, NULL, 'IPR027363', NULL, 'Methylthioribose-1-phosphate isomerase, N-terminal', 'M1Pi_N', 5, NULL),
(21743, NULL, 'IPR016747', NULL, 'Phosphotransbutyrylase', 'Phosphotransbutyrylase', 4, NULL),
(21744, NULL, 'IPR026395', NULL, 'CshA domain', 'CshA_fibril', 3, NULL),
(21745, NULL, 'IPR026070', NULL, 'Tyrosine-protein phosphatase CDC14', 'CDC14', 4, NULL),
(21746, NULL, 'IPR029803', NULL, 'Protein ABSCISIC ACID-INSENSITIVE 5', 'ABI5', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21747, NULL, 'IPR034114', NULL, 'Ras-related protein Rab-23', 'Rab23', 4, NULL),
(21748, NULL, 'IPR024672', NULL, 'Agglutinin-like protein, N-terminal', 'Agglutinin-like_N', 3, NULL),
(21749, NULL, 'IPR017155', NULL, 'Histone-lysine N-methyltransferase, SET', 'Hist-Lys_N-MeTrfase_SET', 4, NULL),
(21750, NULL, 'IPR025375', NULL, 'Domain of unknown function DUF4365', 'DUF4365', 3, NULL),
(21751, NULL, 'IPR026421', NULL, 'Modified peptide precursor CbpA', 'Mod_peptide_prec_CbpA', 4, NULL),
(21752, NULL, 'IPR031804', NULL, 'Domain of unknown function DUF4743', 'DUF4743', 3, NULL),
(21753, NULL, 'IPR016760', NULL, 'Methenyltetrahydromethanopterin hydrogenase cofactor biosynthesis protein HmdC', 'MonoFe_hyd_HmdC', 4, NULL),
(21754, NULL, 'IPR024673', NULL, 'Octaheme c-type cytochrome', 'Octahem_Cyt_c', 4, NULL),
(21755, NULL, 'IPR025190', NULL, 'Protein of unknown function DUF4122', 'DUF4122', 4, NULL),
(21756, NULL, 'IPR029252', NULL, 'Regulator of cell cycle RGCC', 'RGCC', 4, NULL),
(21757, NULL, 'IPR024680', NULL, 'Ribulose-1,5-bisphosphate carboxylase small subunit, N-terminal', 'RuBisCO_ssu_N', 3, NULL),
(21758, NULL, 'IPR016756', NULL, 'Metal-dependent hydrolase, membrane-bound predicted', 'Metal-dep_Ohase_Mem-prd', 4, NULL),
(21759, NULL, 'IPR017185', NULL, 'Uncharacterised conserved protein UCP037373, transcriptional regulator, AF0674', 'UCP037373_trxn_reg', 4, NULL),
(21760, NULL, 'IPR016758', NULL, 'Glucose-6-phosphate isomerase, archaea/bacteria', 'G6P_isomerase_archaea/bacteria', 4, NULL),
(21761, NULL, 'IPR026196', NULL, 'Syntaphilin', 'Syntaphilin', 4, NULL),
(21762, NULL, 'IPR029192', NULL, 'Spermatogenesis-associated protein 25', 'SPATA25', 4, NULL),
(21763, NULL, 'IPR025401', NULL, 'Protein of unknown function DUF4374', 'DUF4374', 4, NULL),
(21764, NULL, 'IPR016424', NULL, 'Cytochrome B pre-mRNA-processing protein 2', 'Cbp2', 4, NULL),
(21765, NULL, 'IPR034218', NULL, 'SART3, RNA recognition motif 2', 'SART3_RRM2', 3, NULL),
(21766, NULL, 'IPR017167', NULL, 'Uncharacterised conserved protein UCP037291, glutaredoxin-related', 'UCP037291_glutaredoxin-rel', 4, NULL),
(21767, NULL, 'IPR016433', NULL, 'Small GTPase superfamily, predicted GTP-binding protein MJ1339', 'Small_GTPase_MJ1339', 4, NULL),
(21768, NULL, 'IPR016427', NULL, 'Uncharacterised conserved protein UCP004699, CBS/ParB-like', 'UCP004699_CBS/ParB', 4, NULL),
(21769, NULL, 'IPR025191', NULL, 'Protein of unknown function DUF4125', 'DUF4125', 4, NULL),
(21770, NULL, 'IPR024677', NULL, '4-HPA 3-monooxygenase large component/Pyoverdin chromophore biosynthetic protein', 'HpaB/PvcC', 4, NULL),
(21771, NULL, 'IPR017172', NULL, 'Lipopolysaccharide core heptose(I) kinase RfaP', 'Lsacc_core_hep_kinase_RfaP', 4, NULL),
(21772, NULL, 'IPR026405', NULL, 'Chlamydiae/Verrucomicrobia/Planctomycetes  small basic protein', 'Chlam/Ver/Plancto_rRNA', 4, NULL),
(21773, NULL, 'IPR017170', NULL, 'Lhr-like ATP-dependent RNA helicase, predicted', 'Lhr-like_ATP-dep_RNA_helic_prd', 4, NULL),
(21774, NULL, 'IPR016768', NULL, 'Uncharacterised conserved protein UCP019883, membrane', 'UCP019883', 4, NULL),
(21775, NULL, 'IPR016431', NULL, 'Pyruvate-formate lyase-activating enzyme, predicted', 'Pyrv-formate_lyase-activ_prd', 4, NULL),
(21776, NULL, 'IPR016717', NULL, 'Gip2/Pig2', 'Gip2/Pig2', 4, NULL),
(21777, NULL, 'IPR026392', NULL, 'Exosortase/Archaeosortase domain', 'Exo/Archaeosortase_dom', 3, NULL),
(21778, NULL, 'IPR030912', NULL, 'Arg-Lys translocation region protein phosphatase', 'RK_trnsloc_Pase', 4, NULL),
(21779, NULL, 'IPR025175', NULL, 'Protein of unknown function DUF3934', 'DUF3934', 4, NULL),
(21780, NULL, 'IPR026062', NULL, 'MAP3K12-binding inhibitory protein 1', 'MBIP', 4, NULL),
(21781, NULL, 'IPR026422', NULL, 'VPEID-CTERM protein sorting domain', 'VPEID-CTERM', 3, NULL),
(21782, NULL, 'IPR016379', NULL, 'Type III secretion system, low calcium response, chaperone LcrH/SycD, subgroup', 'T3SS_Ca_resp_chp_LcrH/SycD_sub', 4, NULL),
(21783, NULL, 'IPR025167', NULL, 'Fusion glycoprotein F0, Isavirus', 'Fusion_F0_Isavirus', 4, NULL),
(21784, NULL, 'IPR025170', NULL, 'Protein of unknown function DUF3928', 'DUF3928', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21785, NULL, 'IPR029555', NULL, 'Serine incorporator 5', 'Serinc5', 4, NULL),
(21786, NULL, 'IPR017177', NULL, 'Alpha-(1, 3)-fucosyltransferase/alpha-(1, 4)-fucosyltransferase, plant', 'Alpha-1_3/4-FUT_pln', 4, NULL),
(21787, NULL, 'IPR029554', NULL, 'Serine incorporator 2', 'SERINC2', 4, NULL),
(21788, NULL, 'IPR025189', NULL, 'Protein of unknown function DUF4121', 'DUF4121', 4, NULL),
(21789, NULL, 'IPR026071', NULL, 'Glycosyl hydrolase family 99', 'Glyco_Hydrolase_99', 4, NULL),
(21790, NULL, 'IPR030766', NULL, 'Monocarboxylate transporter 7', 'MCT7', 4, NULL),
(21791, NULL, 'IPR026413', NULL, 'CXXX repeat peptide modification system protein', 'CXXX_rpt_assoc', 4, NULL),
(21792, NULL, 'IPR016742', NULL, 'tRNA methyltransferase, archaea', 'tRNA_m1G_mtfrase_arc', 4, NULL),
(21793, NULL, 'IPR017160', NULL, 'Uncharacterised conserved protein UCP037256', 'UCP037256', 4, NULL),
(21794, NULL, 'IPR027287', NULL, 'Flavivirus glycoprotein E, immunoglobulin-like domain', 'Flavi_E_Ig-like', 3, NULL),
(21795, NULL, 'IPR016407', NULL, 'C-protein', 'C-protein', 4, NULL),
(21796, NULL, 'IPR017196', NULL, 'ECF transporter, predicted substrate-specific component UCP037395', 'ECF_substrate-spec_UCP037395', 4, NULL),
(21797, NULL, 'IPR030208', NULL, 'Solute carrier family 10 member 1', 'SLC10A1', 4, NULL),
(21798, NULL, 'IPR016732', NULL, 'Uncharacterised conserved protein UCP018688', 'UCP018688', 4, NULL),
(21799, NULL, 'IPR016416', NULL, 'Bacteriophage T4, Gp31, chaperonin-GroEL', 'Phage_T4_Gp31_GroEL', 4, NULL),
(21800, NULL, 'IPR026382', NULL, 'RNA endonuclease, cap-snatching', 'CapSnatchArena', 3, NULL),
(21801, NULL, 'IPR026385', NULL, 'Aminotransferase, LLPSF_NHT_00031 family', 'AminoTrfase_NHT_00031', 4, NULL),
(21802, NULL, 'IPR017501', NULL, 'Phage infection protein, YhgE, C-terminal', 'Phage_infect_YhgE_C', 3, NULL),
(21803, NULL, 'IPR026183', NULL, 'Taxilin family', 'Taxilin_fam', 4, NULL),
(21804, NULL, 'IPR017513', NULL, 'Conserved hypothetical protein CHP03076, glycine cleavage', 'CHP03076_Gly-cleavage', 4, NULL),
(21805, NULL, 'IPR026431', NULL, 'Methanobactin biosynthesis cassette protein MbnB', 'Methbact_MbnB', 4, NULL),
(21806, NULL, 'IPR027371', NULL, 'Mg296-like, C-terminal', 'Mg296-like_C', 5, NULL),
(21807, NULL, 'IPR029257', NULL, 'Rab3GAP regulatory subunit, C-terminal', 'RAB3GAP2_C', 3, NULL),
(21808, NULL, 'IPR017512', NULL, 'PQQ-dependent dehydrogenase, methanol/ethanol family', 'PQQ_MeOH/EtOH_DH', 4, NULL),
(21809, NULL, 'IPR031304', NULL, 'Transglycosylase SLT domain 2', 'SLT_2', 3, NULL),
(21810, NULL, 'IPR017183', NULL, 'Sigma54-dependent transcriptional activator, RtcR', 'Sigma54_dep_tscrpt_act_RtcR', 4, NULL),
(21811, NULL, 'IPR016769', NULL, 'Bacteriophage SP01, Orf1', 'Phage_SP01_Orf1', 4, NULL),
(21812, NULL, 'IPR016770', NULL, 'Nonstructural, NS2', 'Non-structural_NS2', 4, NULL),
(21813, NULL, 'IPR027359', NULL, 'Voltage-dependent channel domain superfamily', 'Volt_channel_dom_sf', 5, NULL),
(21814, NULL, 'IPR028243', NULL, 'Paramyxovirus structural protein P/V, N-terminal domain', 'Paramyxo_P/V_N', 3, NULL),
(21815, NULL, 'IPR029255', NULL, 'Ceroid-lipofuscinosis neuronal protein 6', 'CLN6', 4, NULL),
(21816, NULL, 'IPR017157', NULL, 'Arylacetamide deacetylase', 'Arylacetamide_deacetylase', 4, NULL),
(21817, NULL, 'IPR035929', NULL, 'CoaB-like superfamily', 'CoaB-like_sf', 5, NULL),
(21818, NULL, 'IPR029195', NULL, 'Host cell factor C1 regulator 1', 'HCFC1R1', 4, NULL),
(21819, NULL, 'IPR016405', NULL, 'Coat protein, Ilarvirus, predicted', 'Coat_Ilarvirus_prd', 4, NULL),
(21820, NULL, 'IPR025169', NULL, 'Protein of unknown function DUF3927', 'DUF3927', 4, NULL),
(21821, NULL, 'IPR016741', NULL, 'Uncharacterised conserved protein UCP018953', 'UCP018953', 4, NULL),
(21822, NULL, 'IPR024002', NULL, 'Formate/nitrite transporter, conserved site', 'For/NO2_transpt_CS', 2, NULL),
(21823, NULL, 'IPR029283', NULL, 'Calcium-dependent cell adhesion molecule 1, membrane-binding domain', 'Membrane-bd', 3, NULL),
(21824, NULL, 'IPR017508', NULL, 'HipA, N-terminal subdomain 1', 'HipA_N1', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21825, NULL, 'IPR024925', NULL, 'Malonyl CoA-acyl carrier protein transacylase', 'Malonyl_CoA-ACP_transAc', 4, NULL),
(21826, NULL, 'IPR016385', NULL, 'Conjugal transfer repressor TrbA', 'Conjugal_tfr_repressor_TrbA', 4, NULL),
(21827, NULL, 'IPR024678', NULL, 'Serine/threonine-protein kinase OSR1/WNK, CCT domain', 'Kinase_OSR1/WNK_CCT', 3, NULL),
(21828, NULL, 'IPR034112', NULL, 'Intraflagellar transport protein 27 homologue, eukaryotes', 'RabL4_euk', 4, NULL),
(21829, NULL, 'IPR016381', NULL, 'Signal transduction histidine kinase, DegS', 'Sig_transdc_His_kinase_DegS', 4, NULL),
(21830, NULL, 'IPR026081', NULL, 'Disrupted in schizophrenia 1', 'DISC1', 4, NULL),
(21831, NULL, 'IPR026077', NULL, 'Protamine-P3', 'PRMP3', 4, NULL),
(21832, NULL, 'IPR029325', NULL, 'ITPR-interacting domain', 'ITPR-bd', 3, NULL),
(21833, NULL, 'IPR016417', NULL, 'Spanin, inner membrane subunit, T7likevirus-type', 'I-spanin_T7likevirus', 4, NULL),
(21834, NULL, 'IPR029419', NULL, 'Argininosuccinate lyase, C-terminal', 'Arg_succ_lyase_C', 3, NULL),
(21835, NULL, 'IPR024004', NULL, 'Glycosyltransferase family 1, Daro2409 family', 'GlycosylTrfase_Daro2409', 4, NULL),
(21836, NULL, 'IPR031805', NULL, 'Piezo domain', 'Piezo_dom', 3, NULL),
(21837, NULL, 'IPR016393', NULL, 'Replication protein E1, papillomavirus', 'Rep_E1_papillomaV', 4, NULL),
(21838, NULL, 'IPR018486', NULL, 'Hemopexin, conserved site', 'Hemopexin_CS', 2, NULL),
(21839, NULL, 'IPR030762', NULL, 'Monocarboxylate transporter 10', 'MCT10', 4, NULL),
(21840, NULL, 'IPR017510', NULL, 'Release factor H-coupled RctB family protein', 'Release_fac_RtcB', 4, NULL),
(21841, NULL, 'IPR018467', NULL, 'CO/COL/TOC1, conserved site', 'CCT_CS', 2, NULL),
(21842, NULL, 'IPR028575', NULL, 'Neural retina-specific leucine zipper protein', 'Nrl', 4, NULL),
(21843, NULL, 'IPR028147', NULL, 'Neuropeptide-like protein', 'Neuropep-like', 4, NULL),
(21844, NULL, 'IPR018473', NULL, 'Hermes trasposase, DNA-binding domain', 'Hermes_transposase_DNA-db', 3, NULL),
(21845, NULL, 'IPR034150', NULL, 'SF3B6, RNA recognition motif', 'SF3B6_RRM', 3, NULL),
(21846, NULL, 'IPR029250', NULL, 'Protein of unknown function DUF4571', 'DUF4571', 4, NULL),
(21847, NULL, 'IPR029800', NULL, 'Dixin', 'Dixin', 4, NULL),
(21848, NULL, 'IPR016763', NULL, 'Vesicle-associated membrane-protein-associated protein', 'VAP', 4, NULL),
(21849, NULL, 'IPR025205', NULL, 'PilX/PilW C-terminal domain', 'PilX/PilW_C', 3, NULL),
(21850, NULL, 'IPR017515', NULL, 'Methylmalonyl-CoA epimerase', 'MeMalonyl-CoA_epimerase', 4, NULL),
(21851, NULL, 'IPR026198', NULL, 'Syntabulin', 'Syntabulin', 4, NULL),
(21852, NULL, 'IPR026534', NULL, 'Protein PRRC1', 'PRRC1', 4, NULL),
(21853, NULL, 'IPR018487', NULL, 'Hemopexin-like repeats', 'Hemopexin-like_repeat', 7, NULL),
(21854, NULL, 'IPR026432', NULL, 'Archaeosortase D', 'Archaeo_ArtD', 4, NULL),
(21855, NULL, 'IPR026411', NULL, 'Cyanosortase A-associated protein', 'Cyanosort_A_assoc', 4, NULL),
(21856, NULL, 'IPR016735', NULL, 'Uncharacterised protein family UPF0285, methanogenesis', 'UPF0285_methan', 4, NULL),
(21857, NULL, 'IPR026406', NULL, 'Verrucomicrobia /Planctomycetes-restricted protein', 'Ver/Plancto_CHP', 4, NULL),
(21858, NULL, 'IPR024898', NULL, 'Octanoyltransferase LipM', 'LipM', 4, NULL),
(21859, NULL, 'IPR024933', NULL, 'Septin and tuftelin interacting protein', 'STIP', 4, NULL),
(21860, NULL, 'IPR026404', NULL, 'Radical SAM enzyme, rSAM/lipoprotein system', 'rSAM_w_lipo', 4, NULL),
(21861, NULL, 'IPR029168', NULL, 'Meiotic recombination protein REC114-like', 'REC114L', 4, NULL),
(21862, NULL, 'IPR017514', NULL, 'Glycine cleavage system protein H-related, Chlamydia', 'GcvH_Chlamydia', 4, NULL),
(21863, NULL, 'IPR016731', NULL, 'Uncharacterised conserved protein UCP018649', 'UCP018649', 4, NULL),
(21864, NULL, 'IPR026420', NULL, 'Exosortase E/protease, VPEID-CTERM system', 'Exo_VPEID', 4, NULL),
(21865, NULL, 'IPR026064', NULL, 'Terminal deoxynucleotidyltransferase-interacting factor 1', 'TdIF1', 4, NULL),
(21866, NULL, 'IPR018459', NULL, 'RII binding domain', 'RII-bd_1', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21867, NULL, 'IPR016415', NULL, 'Bacteriophage T4, Gp68, prohead core', 'Phage_T4_Gp68', 4, NULL),
(21868, NULL, 'IPR017168', NULL, 'Glycoside hydrolase, family 16, CRH1, predicted', 'Glyco_hydro_16_CRH1_prd', 4, NULL),
(21869, NULL, 'IPR016428', NULL, 'NADPH-dependent 7-cyano-7-deazaguanine reductase, QueF type 2', 'QueF_type2', 4, NULL),
(21870, NULL, 'IPR024094', NULL, 'Cytochrome f large domain', 'Cyt_f_lg_dom', 3, NULL),
(21871, NULL, 'IPR016767', NULL, 'Uncharacterised conserved protein UCP019853', 'UCP019853', 4, NULL),
(21872, NULL, 'IPR018472', NULL, 'Growth arrest/ DNA-damage-inducible protein-interacting protein 1', 'Damage-induce-interacting_prot', 4, NULL),
(21873, NULL, 'IPR024460', NULL, 'Protamine-like', 'Protamine-like', 4, NULL),
(21874, NULL, 'IPR025185', NULL, 'Protein of unknown function DUF4120', 'DUF4120', 4, NULL),
(21875, NULL, 'IPR018445', NULL, 'Putative phosphate transport regulator', 'Put_Phosphate_transp_reg', 4, NULL),
(21876, NULL, 'IPR018474', NULL, 'Uncharacterised protein family YqaI', 'Uncharacterised_Yqai', 4, NULL),
(21877, NULL, 'IPR016402', NULL, 'Envelope glycoprotein precursor, Hantavirus', 'Envelope_glycoprot_Hantavirus', 4, NULL),
(21878, NULL, 'IPR024212', NULL, 'Domain of unknown function DUF3837', 'DUF3837', 3, NULL),
(21879, NULL, 'IPR030767', NULL, 'Monocarboxylate transporter 9', 'MCT9', 4, NULL),
(21880, NULL, 'IPR029342', NULL, 'ECSIT, C-terminal domain', 'ECIST_C', 3, NULL),
(21881, NULL, 'IPR029164', NULL, 'Phosphatidylinositol N-acetylglucosaminyltransferase subunit Y', 'PIG-Y', 4, NULL),
(21882, NULL, 'IPR026412', NULL, 'Radical SAM peptide maturase, CXXX-repeat target', 'rSAM_Cxxx_rpt', 4, NULL),
(21883, NULL, 'IPR025176', NULL, 'Protein of unknown function DUF3935', 'DUF3935', 4, NULL),
(21884, NULL, 'IPR029172', NULL, 'Putative testis-specific prion protein', 'PRNT', 4, NULL),
(21885, NULL, 'IPR028574', NULL, 'Transcription factor MafK', 'MafK', 4, NULL),
(21886, NULL, 'IPR029415', NULL, 'Protein Lines, C-terminal', 'Lines_C', 3, NULL),
(21887, NULL, 'IPR018469', NULL, 'Dual oxidase maturation factor', 'Dual_oxidase_maturation_fac', 4, NULL),
(21888, NULL, 'IPR026068', NULL, 'Dual specificity protein phosphatase CDC14A', 'Dual_Pase_CDC14A', 4, NULL),
(21889, NULL, 'IPR016733', NULL, 'Uncharacterised conserved protein UCP018747', 'UCP018747', 4, NULL),
(21890, NULL, 'IPR025372', NULL, 'Protein of unknown function DUF4362', 'DUF4362', 4, NULL),
(21891, NULL, 'IPR026074', NULL, 'Microtubule associated protein 1', 'MAP1', 4, NULL),
(21892, NULL, 'IPR034220', NULL, 'RBM34, RNA recognition motif 1', 'RBM34_RRM1', 3, NULL),
(21893, NULL, 'IPR017197', NULL, 'Bone morphogenetic protein 3/3B', 'BMP3/BMP3B', 4, NULL),
(21894, NULL, 'IPR024665', NULL, 'Thrombospondin/cartilage oligomeric matrix protein, coiled-coil domain', 'Thbs/COMP_coiled-coil', 3, NULL),
(21895, NULL, 'IPR017504', NULL, 'Conserved hypothetical protein CHP03067, planctomycetes', 'CHP03067_Planctomycetes', 3, NULL),
(21896, NULL, 'IPR025209', NULL, 'Domain of unknown function DUF4209', 'DUF4209', 3, NULL),
(21897, NULL, 'IPR016757', NULL, 'Uncharacterised conserved protein UCP019322', 'UCP019322', 4, NULL),
(21898, NULL, 'IPR016740', NULL, 'Uncharacterised conserved protein UCP018938', 'UCP018938', 4, NULL),
(21899, NULL, 'IPR016739', NULL, 'Uncharacterised conserved protein UCP018933', 'UCP018933', 4, NULL),
(21900, NULL, 'IPR026181', NULL, 'Transmembrane protein 40', 'TMEM40', 4, NULL),
(21901, NULL, 'IPR016736', NULL, 'Uncharacterised protein MJ1481, archaea', 'MJ1481_archaea', 4, NULL),
(21902, NULL, 'IPR016771', NULL, 'Fe-S oxidoreductase, radical SAM domain-containing, TM0948, predicted', 'Fe-S_OxRdtase_rSAM_TM0948_prd', 4, NULL),
(21903, NULL, 'IPR026427', NULL, 'Putative peptidyl-prolyl cis-trans isomerase, LIC12922 family', 'Put_pepPro_cis-trans_isomerase', 4, NULL),
(21904, NULL, 'IPR016745', NULL, 'Uncharacterised conserved protein UCP019075', 'UCP019075', 4, NULL),
(21905, NULL, 'IPR034211', NULL, 'PUF60, RNA recognition motif 2', 'PUF60_RRM2', 3, NULL),
(21906, NULL, 'IPR017163', NULL, 'Phosphatidylinositol-4-phosphate 5-kinase, plant', 'PIno-4-P-5_kinase_pln', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21907, NULL, 'IPR026191', NULL, 'Ligand-dependent nuclear receptor-interacting factor 1', 'LRIF1', 4, NULL),
(21908, NULL, 'IPR024465', NULL, 'Domain of unknown function DUF2399', 'DUF2399', 3, NULL),
(21909, NULL, 'IPR017173', NULL, 'Nuclear mRNA export protein Sac3', 'Sac3', 4, NULL),
(21910, NULL, 'IPR026389', NULL, 'Protein translocase subunit SecA, Actinobacteria-type', 'SecA_Actinobact_type', 4, NULL),
(21911, NULL, 'IPR030910', NULL, 'SLAP domain, Bacillus-type', 'SLAP_dom_Bacil', 3, NULL),
(21912, NULL, 'IPR016394', NULL, 'Human herpesvirus 5, HKLF1', 'HHV5_HKLF1', 4, NULL),
(21913, NULL, 'IPR028238', NULL, 'Bacterial toxin 46', 'Ntox46', 3, NULL),
(21914, NULL, 'IPR027362', NULL, 'DNA topoisomerase I, C-terminal', 'TopoI_C', 5, NULL),
(21915, NULL, 'IPR016432', NULL, 'Ribonuclease P subunit RNP4', 'RNP4', 4, NULL),
(21916, NULL, 'IPR028344', NULL, 'Toxin-antitoxin system, toxin component ParE1/4', 'ParE1/4', 4, NULL),
(21917, NULL, 'IPR016404', NULL, 'M polyprotein precursor, phlebovirus', 'M_polyprot_prcur_phlebovir', 4, NULL),
(21918, NULL, 'IPR026387', NULL, 'Outer membrane protein', 'OMP_w_GlyGly', 4, NULL),
(21919, NULL, 'IPR028295', NULL, 'WAS/WASL-interacting protein family member 1', 'WIP', 4, NULL),
(21920, NULL, 'IPR027145', NULL, 'Periodic tryptophan protein 2', 'PWP2', 4, NULL),
(21921, NULL, 'IPR016426', NULL, 'L-aspartate semialdehyde sulfurtransferase MA1821-like', 'MA1821-like', 4, NULL),
(21922, NULL, 'IPR026423', NULL, 'Peptide-modifying radical SAM enzyme CbpB', 'rSAM_cobopep', 4, NULL),
(21923, NULL, 'IPR016423', NULL, 'Resolvase, Rsv', 'Resolvase_Rsv', 4, NULL),
(21924, NULL, 'IPR017191', NULL, 'Junctophilin', 'Junctophilin', 4, NULL),
(21925, NULL, 'IPR016730', NULL, 'RNA-binding FAU-1', 'RNA-bd_FAU-1', 4, NULL),
(21926, NULL, 'IPR026407', NULL, 'Radical SAM peptide maturase, GG-Bacteroidales family', 'SAM_GG-Bacter', 4, NULL),
(21927, NULL, 'IPR016743', NULL, 'Nuclear factor interleukin-3-regulated protein', 'NFIL3/E4BP4', 4, NULL),
(21928, NULL, 'IPR028858', NULL, 'Cyclin E', 'Cyclin_E', 4, NULL),
(21929, NULL, 'IPR024211', NULL, 'Protein of unknown function DUF3841', 'DUF3841', 4, NULL),
(21930, NULL, 'IPR030764', NULL, 'Solute carrier organic anion transporter family member 1C1', 'OATP1C1', 4, NULL),
(21931, NULL, 'IPR024910', NULL, 'Trans-2-enoyl-CoA reductase catalytic domain, putative', 'Enoyl-CoA_Rdtase_cat_dom', 3, NULL),
(21932, NULL, 'IPR028373', NULL, 'Ski-related oncogene Sno', 'Ski-rel_Sno', 4, NULL),
(21933, NULL, 'IPR016420', NULL, 'Uncharacterised conserved protein UCP004546', 'UCP004546', 4, NULL),
(21934, NULL, 'IPR028202', NULL, 'Reductase, C-terminal', 'Reductase_C', 3, NULL),
(21935, NULL, 'IPR030759', NULL, 'Monocarboxylate transporter 3', 'MCT3', 4, NULL),
(21936, NULL, 'IPR025399', NULL, 'Domain of unknown function DUF4372', 'DUF4372', 3, NULL),
(21937, NULL, 'IPR016723', NULL, 'Transcription regulator, ArsR, predicted', 'Tscrpt_reg_ArsR_prd', 4, NULL),
(21938, NULL, 'IPR026394', NULL, 'Streptococcal surface-anchored protein repeat, S. criceti family', 'RPT_S_cricet', 7, NULL),
(21939, NULL, 'IPR019668', NULL, 'Uncharacterised protein family YtzC', 'Uncharacterised_YtzC', 4, NULL),
(21940, NULL, 'IPR017159', NULL, 'Gremlin-1/2', 'Gremlin-1/2', 4, NULL),
(21941, NULL, 'IPR029254', NULL, 'MORF4 family-associated protein 1', 'MRFAP1', 4, NULL),
(21942, NULL, 'IPR016408', NULL, 'Bacteriophage phi-29, Gp1', 'Phage_phi-29_Gp1', 4, NULL),
(21943, NULL, 'IPR026061', NULL, 'Stereocilin', 'Stereocilin', 4, NULL),
(21944, NULL, 'IPR026418', NULL, 'Pseudo-rSAM protein, GG-Bacteroidales system', 'Pseudo_rSAM', 4, NULL),
(21945, NULL, 'IPR029054', NULL, 'dUTPase-like', 'dUTPase-like', 3, NULL),
(21946, NULL, 'IPR029179', NULL, 'Mitochondrial import receptor subunit TOM5, metazoa', 'TOMM5_metazoa', 4, NULL),
(21947, NULL, 'IPR017153', NULL, 'Cytosolic nonspecific dipeptidase/DUG1', 'CNDP/DUG1', 4, NULL),
(21948, NULL, 'IPR016722', NULL, 'DNA polymerase alpha, subunit B', 'DNA_pol_alpha_bsu', 4, NULL),
(21949, NULL, 'IPR017195', NULL, 'ABC-type thiamin-related transport system, permease component 1, predicted', 'ABC_thiamin-permease_prd', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21950, NULL, 'IPR016764', NULL, 'Methyltransferase Mtx, subunit X', 'MeTrfase_MtxX_xsu', 4, NULL),
(21951, NULL, 'IPR026263', NULL, 'Alkaline phosphatase, prokaryotic', 'Alkaline_phosphatase_prok', 4, NULL),
(21952, NULL, 'IPR017503', NULL, 'Sortase B signal domain, QVPTGV class', 'Sortase_SrtB_sig_QVPTGV', 3, NULL),
(21953, NULL, 'IPR017158', NULL, 'Transcription regulator, CBS domain-containing, predicted', 'Tscrpt-reg_CBS-contain_prd', 4, NULL),
(21954, NULL, 'IPR026249', NULL, 'CASTOR family', 'CASTOR_fam', 4, NULL),
(21955, NULL, 'IPR029804', NULL, 'cAMP-responsive element-binding protein 3-like protein 2', 'BBF2H7', 4, NULL),
(21956, NULL, 'IPR024213', NULL, 'Protein of unknown function DUF3822', 'DUF3822', 4, NULL),
(21957, NULL, 'IPR019670', NULL, 'Protein of unkown function DUF2523', 'DUF2523', 4, NULL),
(21958, NULL, 'IPR017194', NULL, 'Transforming growth factor-beta receptor, type II', 'Transform_growth_fac-b_typ-2', 4, NULL),
(21959, NULL, 'IPR028182', NULL, 'BMP-2-inducible protein kinase, C-terminal', 'BMP2K_C', 3, NULL),
(21960, NULL, 'IPR016397', NULL, 'Serpin, predicted, poxvirus', 'Serpin_prd_poxvir', 4, NULL),
(21961, NULL, 'IPR028184', NULL, 'Transcription cofactor vestigial-like protein 4', 'VGLL4', 4, NULL),
(21962, NULL, 'IPR016400', NULL, 'Rev protein, Ovine/caprine lentivirus', 'Rev_lentivir', 4, NULL),
(21963, NULL, 'IPR026429', NULL, '3-methyl-2-indolic acid synthase', 'MIA_synthase', 4, NULL),
(21964, NULL, 'IPR026046', NULL, 'UbiA prenyltransferase domain containing protein 1', 'UBIAD1', 4, NULL),
(21965, NULL, 'IPR028859', NULL, 'Cyclin-J', 'Cyclin-J', 4, NULL),
(21966, NULL, 'IPR023112', NULL, 'Antifungal protein domain superfamily', 'Antifungal-protein_dom_sf', 5, NULL),
(21967, NULL, 'IPR024674', NULL, 'HpaB/PvcC/4-BUDH N-terminal', 'HpaB/PvcC/4-BUDH_N', 3, NULL),
(21968, NULL, 'IPR016399', NULL, 'Apoptosis regulator, M-T4, endoplasmic reticulum', 'Apoptosis_reg_M-T4_ER', 4, NULL),
(21969, NULL, 'IPR016762', NULL, 'Uncharacterised conserved protein UCP019464, methanogenesis', 'UCP019464_methan', 4, NULL),
(21970, NULL, 'IPR016419', NULL, 'Prepilin peptidase-dependent protein B, predicted', 'Prepilin_Pept-dep_B_prd', 4, NULL),
(21971, NULL, 'IPR025174', NULL, 'Protein of unknown function DUF3933', 'DUF3933', 4, NULL),
(21972, NULL, 'IPR028857', NULL, 'Cyclin-F, metazoan', 'CCNF_metazoan', 4, NULL),
(21973, NULL, 'IPR026245', NULL, 'Protein FRG2', 'FRG2', 4, NULL),
(21974, NULL, 'IPR016721', NULL, 'Bet3 family', 'Bet3', 4, NULL),
(21975, NULL, 'IPR026419', NULL, 'Glycosyltransferase, GG-Bacteroidales peptide system', 'Glyco_rSAM_CFB', 4, NULL),
(21976, NULL, 'IPR026072', NULL, 'Lck-interacting transmembrane adapter 1', 'Lime1', 4, NULL),
(21977, NULL, 'IPR026078', NULL, 'Skin-specific protein 32', 'Skin_specific_32', 4, NULL),
(21978, NULL, 'IPR026088', NULL, 'Niban-like', 'Niban-like', 4, NULL),
(21979, NULL, 'IPR029430', NULL, 'Ciliary BBSome complex subunit 2, N-terminal', 'BBS2_N', 3, NULL),
(21980, NULL, 'IPR026425', NULL, 'Cys-rich radical SAM target, FibroRumin family', 'FibroRuminTarg', 4, NULL),
(21981, NULL, 'IPR016727', NULL, 'ATPase, V0 complex, subunit d', 'ATPase_V0-cplx_dsu', 4, NULL),
(21982, NULL, 'IPR025402', NULL, 'Domain of unknown function DUF4375', 'DUF4375', 3, NULL),
(21983, NULL, 'IPR026409', NULL, 'Firmicu-CTERM domain', 'Firmicu_CTERM', 3, NULL),
(21984, NULL, 'IPR026430', NULL, 'Archaeosortase B', 'Archaeosortase_B', 4, NULL),
(21985, NULL, 'IPR028241', NULL, 'RAVE subunit 2/Rogdi', 'RAVE2/Rogdi', 4, NULL),
(21986, NULL, 'IPR030911', NULL, 'Accessory Sec system S-layer assembly protein', 'Sec_acc_SLAP', 4, NULL),
(21987, NULL, 'IPR025196', NULL, 'Domain of unknown function DUF4126', 'DUF4126', 3, NULL),
(21988, NULL, 'IPR016754', NULL, 'Uncharacterised conserved protein UCP019262', 'UCP019262', 4, NULL),
(21989, NULL, 'IPR023111', NULL, 'Titin-like domain superfamily', 'Titin-like_dom_sf', 5, NULL),
(21990, NULL, 'IPR029182', NULL, 'Mitochondrial import receptor subunit TOM6 homologue', 'TOMM6', 4, NULL),
(21991, NULL, 'IPR029183', NULL, 'C-X-C motif chemokine 17', 'CXCL17', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(21992, NULL, 'IPR030647', NULL, 'Septin 5', 'SEPT5', 4, NULL),
(21993, NULL, 'IPR018468', NULL, 'SFR1/Mei5 family', 'SFR1/Mei5', 4, NULL),
(21994, NULL, 'IPR018422', NULL, 'Cation/H+ exchanger, CPA1 family', 'Cation/H_exchanger_CPA1', 4, NULL),
(21995, NULL, 'IPR028248', NULL, 'Transmembrane protein 190', 'TMEM190', 4, NULL),
(21996, NULL, 'IPR028244', NULL, 'Putative type VI secretion system, Rhs element associated Vgr domain', 'T6SS_Rhs_Vgr_dom', 3, NULL),
(21997, NULL, 'IPR016728', NULL, 'Neuroblastoma suppressor of tumourigenicity 1', 'Neuroblast_suppress_tumour_1', 4, NULL),
(21998, NULL, 'IPR017198', NULL, 'DNA (cytosine-5)-methyltransferase 1-like', 'DNMT1-like', 4, NULL),
(21999, NULL, 'IPR029333', NULL, 'Ciliary BBSome complex subunit 2, C-terminal domain', 'BBS2_C', 3, NULL),
(22000, NULL, 'IPR028376', NULL, 'SKI family transcriptional corepressor 2', 'SKI_corepress_2', 4, NULL),
(22001, NULL, 'IPR024567', NULL, 'Ribonuclease HII/HIII domain', 'RNase_HII/HIII_dom', 3, NULL),
(22002, NULL, 'IPR029236', NULL, 'Protein of unknown function DUF4618', 'DUF4618', 4, NULL),
(22003, NULL, 'IPR032647', NULL, 'Max-like protein X', 'Mlx', 4, NULL),
(22004, NULL, 'IPR029263', NULL, 'Respiratory nitrate reductase beta, C-terminal', 'Nitr_red_bet_C', 3, NULL),
(22005, NULL, 'IPR026552', NULL, 'Frizzled-7', 'FZD7', 4, NULL),
(22006, NULL, 'IPR032471', NULL, 'GAIN domain, N-terminal', 'GAIN_dom_N', 3, NULL),
(22007, NULL, 'IPR029241', NULL, 'Testis-specific gene 13 protein', 'TSGA13', 4, NULL),
(22008, NULL, 'IPR030996', NULL, 'Exosortase O', 'Exosort_XrtO', 4, NULL),
(22009, NULL, 'IPR027411', NULL, 'Baseplate structural protein Gp9/Gp10 middle domain superfamily', 'Gp9/Gp10_mid_dom_sf', 5, NULL),
(22010, NULL, 'IPR027813', NULL, 'Protein of unknown function DUF4642', 'DUF4642', 4, NULL),
(22011, NULL, 'IPR025897', NULL, 'Antitoxin SpoIISB', 'Antitoxin_SpoIISB', 4, NULL),
(22012, NULL, 'IPR032399', NULL, 'RelB leucine zipper', 'RelB_leu_zip', 3, NULL),
(22013, NULL, 'IPR030991', NULL, 'Cytochrome c-550 PedF', 'c550_PedF', 4, NULL),
(22014, NULL, 'IPR025200', NULL, 'Polyphosphate kinase C-terminal domain 2', 'PPK_C_dom2', 3, NULL),
(22015, NULL, 'IPR027492', NULL, 'Dual-specificity RNA methyltransferase RlmN', 'RNA_MTrfase_RlmN', 4, NULL),
(22016, NULL, 'IPR028566', NULL, 'Telomere-associated protein  Rif1', 'Rif1', 4, NULL),
(22017, NULL, 'IPR027407', NULL, 'Manganese catalase, C-terminal', 'Mn_catalase_C', 5, NULL),
(22018, NULL, 'IPR024568', NULL, 'Ribonuclease HIII, N-terminal', 'RNase_HIII_N', 3, NULL),
(22019, NULL, 'IPR030810', NULL, 'Hercynine metabolism small protein', 'Small_EgtBD', 4, NULL),
(22020, NULL, 'IPR031783', NULL, 'Chromosome segregation in meiosis protein 2', 'Csm2', 4, NULL),
(22021, NULL, 'IPR027814', NULL, 'Protein of unknown function DUF4562', 'DUF4562', 4, NULL),
(22022, NULL, 'IPR032570', NULL, 'Splicing factor 1, helix-hairpin domain', 'SF1-HH', 3, NULL),
(22023, NULL, 'IPR027412', NULL, 'Baseplate structural protein Gp9 C-terminal domain superfamily', 'Gp9_C_dom_sf', 5, NULL),
(22024, NULL, 'IPR032567', NULL, 'LDOC1-related', 'LDOC1-rel', 4, NULL),
(22025, NULL, 'IPR032375', NULL, 'Cerebral cavernous malformations 2, harmonin-homology domain', 'CCM2_C', 3, NULL),
(22026, NULL, 'IPR028992', NULL, 'Hedgehog/Intein (Hint) domain', 'Hedgehog/Intein_dom', 3, NULL),
(22027, NULL, 'IPR032796', NULL, 'Polysulfide reductase', 'NrfD_2', 4, NULL),
(22028, NULL, 'IPR026722', NULL, 'Neuronal tyrosine-phosphorylated phosphoinositide-3-kinase adapter 1/2', 'NYAP1/NYAP2', 4, NULL),
(22029, NULL, 'IPR032472', NULL, 'Argonaute linker 2 domain', 'ArgoL2', 3, NULL),
(22030, NULL, 'IPR032797', NULL, 'Gamma-tubulin complex subunit Mod21', 'Mod21', 4, NULL),
(22031, NULL, 'IPR028467', NULL, 'DNA topoisomerase II-beta', 'Top2b', 4, NULL),
(22032, NULL, 'IPR030117', NULL, 'Chordin-like protein 2', 'Chordin-like_2', 4, NULL),
(22033, NULL, 'IPR032666', NULL, 'Basic helix-loop-helix neural transcription factor TAP-like', 'TAP-like', 4, NULL),
(22034, NULL, 'IPR027998', NULL, 'Respiration factor 1', 'Rsf1_fungi', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22035, NULL, 'IPR030195', NULL, 'Equilibrative nucleoside transporter 1', 'ENT1', 4, NULL),
(22036, NULL, 'IPR026543', NULL, 'Frizzled-6', 'FZD6', 4, NULL),
(22037, NULL, 'IPR028571', NULL, 'Transcription factor MafB', 'MafB', 4, NULL),
(22038, NULL, 'IPR030093', NULL, 'Melanoma-associated antigen 1', 'MAGEA1', 4, NULL),
(22039, NULL, 'IPR027089', NULL, 'Mitofusin-2', 'Mitofusin-2', 4, NULL),
(22040, NULL, 'IPR032653', NULL, 'Neurogenin-1', 'Ngn1', 4, NULL),
(22041, NULL, 'IPR030247', NULL, 'ATP-binding cassette sub-family C member 2', 'ABCC2', 4, NULL),
(22042, NULL, 'IPR026551', NULL, 'Frizzled-4', 'FZD4', 4, NULL),
(22043, NULL, 'IPR032584', NULL, 'Protein of unknown function DUF4913', 'DUF4913', 4, NULL),
(22044, NULL, 'IPR031279', NULL, 'Cellular retinoic acid-binding protein 1', 'CRABP1', 4, NULL),
(22045, NULL, 'IPR026566', NULL, 'Dolichol kinase', 'DOLK', 4, NULL),
(22046, NULL, 'IPR032568', NULL, 'Protein of unknown function DUF4926', 'DUF4926', 4, NULL),
(22047, NULL, 'IPR029982', NULL, 'Kaptin', 'Kptn', 4, NULL),
(22048, NULL, 'IPR027826', NULL, 'Domain of unknown function DUF4431', 'DUF4431', 3, NULL),
(22049, NULL, 'IPR032638', NULL, 'Putative bacterial porin', 'Porin_5', 4, NULL),
(22050, NULL, 'IPR030934', NULL, 'Intein C-terminal splicing region', 'Intein_C', 3, NULL),
(22051, NULL, 'IPR032740', NULL, 'SGNH hydrolase-type esterase, N-terminal', 'GxDLY', 3, NULL),
(22052, NULL, 'IPR032580', NULL, 'SatD family', 'SatD', 4, NULL),
(22053, NULL, 'IPR028029', NULL, 'Signal transducer CD24', 'CD24', 4, NULL),
(22054, NULL, 'IPR030988', NULL, 'Putative ATP-grasp target RiPP, Rhodococcus', 'GRASP_targ_2_Rhodococcus', 4, NULL),
(22055, NULL, 'IPR029020', NULL, 'Ammonium/urea transporter', 'Ammonium/urea_transptr', 5, NULL),
(22056, NULL, 'IPR030250', NULL, 'ATP-binding cassette sub-family C member 12', 'ABCC12', 4, NULL),
(22057, NULL, 'IPR028444', NULL, 'Armadillo repeat protein deleted in velo-cardio-facial syndrome', 'ARVCF', 4, NULL),
(22058, NULL, 'IPR025944', NULL, 'Sigma-54 interaction domain, conserved site', 'Sigma_54_int_dom_CS', 2, NULL),
(22059, NULL, 'IPR032506', NULL, 'Domain of unknown function DUF4976', 'DUF4976', 3, NULL),
(22060, NULL, 'IPR024972', NULL, 'HNS-dependent expression A', 'HdeA', 4, NULL),
(22061, NULL, 'IPR032826', NULL, 'Flagellin, H7-serospecific domain', 'FliC_H7', 3, NULL),
(22062, NULL, 'IPR032574', NULL, 'Protein of unknown function DUF4924', 'DUF4924', 4, NULL),
(22063, NULL, 'IPR030673', NULL, 'Pyrophosphatase, GppA/Ppx-type', 'PyroPPase_GppA_Ppx', 4, NULL),
(22064, NULL, 'IPR025898', NULL, 'Tc3 transposase, DNA binding domain', 'Tc3_transposase_DNA-bd_dom', 3, NULL),
(22065, NULL, 'IPR029856', NULL, 'Protein AMBP', 'AMBP', 4, NULL),
(22066, NULL, 'IPR028422', NULL, 'GREB1', 'GREB1', 4, NULL),
(22067, NULL, 'IPR028014', NULL, 'Transmembrane protein 255', 'TMEM255', 4, NULL),
(22068, NULL, 'IPR029563', NULL, 'Serine incorporator 4', 'Serinc4', 4, NULL),
(22069, NULL, 'IPR026668', NULL, 'Bcl-2-associated transcription factor 1', 'Bcl-2_assoc_TF1', 4, NULL),
(22070, NULL, 'IPR031162', NULL, 'CBP/p300-type histone acetyltransferase domain', 'CBP_P300_HAT', 3, NULL),
(22071, NULL, 'IPR027187', NULL, 'Toll-like receptor 6', 'TLR6', 4, NULL),
(22072, NULL, 'IPR029959', NULL, 'Root phototropism protein 3-like', 'NPH3-like', 4, NULL),
(22073, NULL, 'IPR026724', NULL, 'Neuronal tyrosine-phosphorylated phosphoinositide-3-kinase adapter 1', 'NYAP1', 4, NULL),
(22074, NULL, 'IPR029565', NULL, 'Spindlin-1', 'Spindlin-1', 4, NULL),
(22075, NULL, 'IPR032640', NULL, 'AMP-activated protein kinase, glycogen-binding domain', 'AMPK1_CBM', 3, NULL),
(22076, NULL, 'IPR026669', NULL, 'Arsenite methyltransferase-like', 'Arsenite_MeTrfase-like', 4, NULL),
(22077, NULL, 'IPR032577', NULL, 'Protein of unknown function DUF4920', 'DUF4920', 4, NULL),
(22078, NULL, 'IPR025198', NULL, 'Polyphosphate kinase N-terminal domain', 'PPK_N_dom', 3, NULL),
(22079, NULL, 'IPR028324', NULL, 'Serine/threonine-protein kinase CTR1', 'CTR1', 4, NULL),
(22080, NULL, 'IPR032569', NULL, 'Nucleophosmin, C-terminal', 'NPM1_C', 3, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22081, NULL, 'IPR026714', NULL, 'Small acidic protein', 'SMAP', 4, NULL),
(22082, NULL, 'IPR028990', NULL, 'GK1464-like', 'GK1464-like', 5, NULL),
(22083, NULL, 'IPR030349', NULL, 'Phospholipid-transporting ATPase IK', 'ATP8B3', 4, NULL),
(22084, NULL, 'IPR027818', NULL, 'Sperm acrosome-associated protein 9', 'SPACA9', 4, NULL),
(22085, NULL, 'IPR028346', NULL, 'HAUS augmin-like complex subunit 2', 'HAUS2', 4, NULL),
(22086, NULL, 'IPR029264', NULL, 'ARF7 effector protein, C-terminal', 'ARF7EP_C', 3, NULL),
(22087, NULL, 'IPR028174', NULL, 'Fibroblast growth factor receptor 1, catalytic domain', 'FGF_rcpt_1', 3, NULL),
(22088, NULL, 'IPR028551', NULL, 'Transcription factor MafG', 'MafG', 4, NULL),
(22089, NULL, 'IPR032645', NULL, 'Tumour protein p63', 'Tp63', 4, NULL),
(22090, NULL, 'IPR031645', NULL, 'Vacuolar protein sorting-associated protein 13, C-terminal', 'VPS13_C', 3, NULL),
(22091, NULL, 'IPR025900', NULL, 'Nuclear receptor repeat', 'Nuclear_receptor_repeat', 7, NULL),
(22092, NULL, 'IPR032475', NULL, 'Protealysin, N-terminal propeptide', 'Protealysin_N_PP', 3, NULL),
(22093, NULL, 'IPR030840', NULL, 'Cardiolipin synthase A', 'CL_synthase_A', 4, NULL),
(22094, NULL, 'IPR029238', NULL, 'Shadow of prion protein', 'Shadoo', 4, NULL),
(22095, NULL, 'IPR028768', NULL, 'Sushi repeat-containing protein SRPX2', 'SRPX2', 4, NULL),
(22096, NULL, 'IPR026293', NULL, 'Probable E3 ubiquitin-protein ligase makorin-2', 'Makorin_2', 4, NULL),
(22097, NULL, 'IPR028767', NULL, 'Ubiquitin carboxyl-terminal hydrolase 10', 'USP10', 4, NULL),
(22098, NULL, 'IPR030214', NULL, 'Neural Wiskott-Aldrich syndrome protein', 'N-WASP', 4, NULL),
(22099, NULL, 'IPR029261', NULL, 'Transposase IS204/IS1001/IS1096/IS1165, zinc-finger', 'Transposase_Znf', 3, NULL),
(22100, NULL, 'IPR030675', NULL, 'Lipid binding protein BPI/LBP', 'BPI/LBP', 4, NULL),
(22101, NULL, 'IPR032741', NULL, 'Protein Sls1', 'Sls1', 4, NULL),
(22102, NULL, 'IPR029259', NULL, 'Rapamycin-insensitive companion of mTOR, phosphorylation-site', 'RICTOR_phospho', 6, NULL),
(22103, NULL, 'IPR028195', NULL, 'Spermatid-specific manchette-related protein 1', 'SMRP1', 4, NULL),
(22104, NULL, 'IPR025204', NULL, 'Centromere subunit  L', 'CENP-L', 4, NULL),
(22105, NULL, 'IPR032644', NULL, 'Transcription factor HES-7', 'HES-7', 4, NULL),
(22106, NULL, 'IPR029564', NULL, 'Spindlin-2', 'SPIN-2', 4, NULL),
(22107, NULL, 'IPR029792', NULL, 'SBF transcription factor complex subunit Swi4', 'Swi4', 4, NULL),
(22108, NULL, 'IPR032834', NULL, 'Sensor histidine kinase NatK, C-terminal domain', 'NatK_C', 3, NULL),
(22109, NULL, 'IPR026294', NULL, 'Probable E3 ubiquitin-protein ligase makorin-3', 'Makorin_3', 4, NULL),
(22110, NULL, 'IPR032670', NULL, 'Roquin-2', 'RC3H2', 4, NULL),
(22111, NULL, 'IPR032641', NULL, 'Exonuclease 1', 'Exo1', 4, NULL),
(22112, NULL, 'IPR029557', NULL, 'Serine incorporator 1/3', 'Serinc1/3', 4, NULL),
(22113, NULL, 'IPR027822', NULL, 'Protein of unknown function DUF4641', 'DUF4641', 4, NULL),
(22114, NULL, 'IPR030807', NULL, 'Putative sugar O-methyltransferase', 'Methyltran_NanM', 4, NULL),
(22115, NULL, 'IPR026719', NULL, 'Glutamate-rich protein 1', 'ERICH1', 4, NULL),
(22116, NULL, 'IPR028019', NULL, 'Protein of unknown function DUF4508', 'DUF4508', 4, NULL),
(22117, NULL, 'IPR029703', NULL, 'DNA polymerase epsilon catalytic subunit', 'POL2', 4, NULL),
(22118, NULL, 'IPR030084', NULL, 'Melanoma-associated antigen B2', 'MAGEB2', 4, NULL),
(22119, NULL, 'IPR026717', NULL, 'Spermatogenesis-associated protein 3', 'SPATA3', 4, NULL),
(22120, NULL, 'IPR030492', NULL, 'Rel homology domain, conserved site', 'RHD_CS', 2, NULL),
(22121, NULL, 'IPR030382', NULL, 'SAM-dependent methyltransferase TRM5/TYW2-type', 'MeTrfase_TRM5/TYW2', 3, NULL),
(22122, NULL, 'IPR027414', NULL, 'Glycosyl hydrolase family 95, N-terminal domain', 'GH95_N_dom', 3, NULL),
(22123, NULL, 'IPR026550', NULL, 'Frizzled-1/2', 'FZD1/2', 4, NULL),
(22124, NULL, 'IPR027708', NULL, 'Troponin T, fast skeletal muscle', 'Tnnt3', 4, NULL),
(22125, NULL, 'IPR031244', NULL, 'Unconventional myosin-XVIIIa', 'MYO18A', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22126, NULL, 'IPR026735', NULL, 'Coiled-coil domain-containing protein 68', 'Ccdc68', 4, NULL),
(22127, NULL, 'IPR026570', NULL, 'Coiled-coil domain-containing protein 86', 'CCDC86', 4, NULL),
(22128, NULL, 'IPR026727', NULL, 'SRC kinase signalling inhibitor 1', 'Srcin1', 4, NULL),
(22129, NULL, 'IPR028772', NULL, 'Aurora kinase B', 'AURKB', 4, NULL),
(22130, NULL, 'IPR030751', NULL, 'Matrilin-1', 'Matrilin-1', 4, NULL),
(22131, NULL, 'IPR030499', NULL, 'Purine-rich element-binding protein beta', 'PURbeta', 4, NULL),
(22132, NULL, 'IPR026720', NULL, 'Cilia- and flagella-associated protein 91', 'CFAP91', 4, NULL),
(22133, NULL, 'IPR028443', NULL, 'Plakophilin-4', 'Plakophilin-4', 4, NULL),
(22134, NULL, 'IPR032787', NULL, 'Prokaryotic E2 family D', 'Prok-E2_D', 4, NULL),
(22135, NULL, 'IPR028432', NULL, 'Plakophilin-1', 'Plakophilin-1', 4, NULL),
(22136, NULL, 'IPR032579', NULL, 'Domain of unknown function DUF4918', 'DUF4918', 3, NULL),
(22137, NULL, 'IPR029701', NULL, 'Neurensin-2', 'Nrsn2', 4, NULL),
(22138, NULL, 'IPR032553', NULL, 'UCP032676, C2H2 type zinc-finger domain', 'UCP032676_Znf-C2H2', 3, NULL),
(22139, NULL, 'IPR026542', NULL, 'Dishevelled Dsh', 'Dsh', 4, NULL),
(22140, NULL, 'IPR032571', NULL, 'KHDRBS, Qua1 domain', 'Qua1_dom', 3, NULL),
(22141, NULL, 'IPR026558', NULL, 'Secreted frizzled-related protein 2', 'SFRP2', 4, NULL),
(22142, NULL, 'IPR028333', NULL, 'Ribosomal protein S17, archaeal/eukaryotic', 'Ribosomal_S17_arc-typ', 4, NULL),
(22143, NULL, 'IPR030990', NULL, 'Putative rSAM-modified RiPP, XyeA family', 'RiPP_XyeA', 4, NULL),
(22144, NULL, 'IPR028435', NULL, 'Plakophilin/Delta catenin', 'Plakophilin/d_Catenin', 4, NULL),
(22145, NULL, 'IPR027190', NULL, 'Toll-like receptor 1', 'TLR1', 4, NULL),
(22146, NULL, 'IPR026082', NULL, 'ABC transporter A', 'ABCA', 4, NULL),
(22147, NULL, 'IPR030993', NULL, 'Violacein biosynthesis protein  VioB', 'VioB', 4, NULL),
(22148, NULL, 'IPR032673', NULL, 'DNA photolyase class 2, conserved site', 'DNA_photolyase_2_CS', 2, NULL),
(22149, NULL, 'IPR032783', NULL, 'AraC-type transcription regulator, ligand-binding domain', 'AraC_lig', 3, NULL),
(22150, NULL, 'IPR031706', NULL, 'Odontogenesis associated phosphoprotein', 'ODAPH', 4, NULL),
(22151, NULL, 'IPR032739', NULL, 'MRN complex-interacting protein', 'MRNIP', 4, NULL),
(22152, NULL, 'IPR026716', NULL, 'PABIR1/2/3', 'PBIR1/2/3', 4, NULL),
(22153, NULL, 'IPR029980', NULL, 'LIM and calponin homology domains-containing protein 1', 'LIMCH1', 4, NULL),
(22154, NULL, 'IPR029234', NULL, 'Testis-expressed protein 33', 'TEX33', 4, NULL),
(22155, NULL, 'IPR031281', NULL, 'Cellular retinoic acid-binding protein 2', 'CRABP2', 4, NULL),
(22156, NULL, 'IPR029239', NULL, 'Cilia- and flagella-associated protein 418', 'CFAP418', 4, NULL),
(22157, NULL, 'IPR032789', NULL, 'Pilus formation protein, N-terminal', 'T2SS-T3SS_pil_N', 3, NULL),
(22158, NULL, 'IPR024554', NULL, 'Domain of unknown function DUF3818, PX-associated', 'DUF3818_PX-associated', 3, NULL),
(22159, NULL, 'IPR032662', NULL, 'Class E basic helix-loop-helix protein 23', 'Bhlhe23', 4, NULL),
(22160, NULL, 'IPR030997', NULL, 'SoxY-related AACIE arm protein', 'SoxY_para_1', 4, NULL),
(22161, NULL, 'IPR032575', NULL, 'Lipocalin-like domain (DUF4923)', 'DUF4923', 3, NULL),
(22162, NULL, 'IPR032703', NULL, 'CppA, C-terminal', 'CppA_C', 3, NULL),
(22163, NULL, 'IPR031368', NULL, 'Spermatid maturation protein 1, N-terminal', 'SPEM1_N', 3, NULL),
(22164, NULL, 'IPR031784', NULL, 'Krueppel-like factor 1, transactivation domain 2', 'EKLF_TAD2', 3, NULL),
(22165, NULL, 'IPR032800', NULL, 'ML-like domain', 'TRP_N', 3, NULL),
(22166, NULL, 'IPR032559', NULL, 'Protein of unknown function DUF4933', 'DUF4933', 4, NULL),
(22167, NULL, 'IPR024559', NULL, 'Protein of unknown function DUF3846', 'DUF3846', 4, NULL),
(22168, NULL, 'IPR032654', NULL, 'Class E basic helix-loop-helix protein 22', 'Bhlhe22', 4, NULL),
(22169, NULL, 'IPR029888', NULL, 'Charged multivesicular body protein 1a', 'CHMP1A', 4, NULL),
(22170, NULL, 'IPR032587', NULL, 'Protein of unknown function DUF4911', 'DUF4911', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22171, NULL, 'IPR029793', NULL, 'MBF transcription factor complex subunit  Mbp1/Res1/Res2', 'Mbp1/Res1/Res2', 4, NULL),
(22172, NULL, 'IPR031708', NULL, 'Protein of unknown function DUF4722', 'DUF4722', 4, NULL),
(22173, NULL, 'IPR027831', NULL, 'Domain of unknown function DUF4485', 'DUF4485', 3, NULL),
(22174, NULL, 'IPR029987', NULL, 'Phosphatase and actin regulator 1', 'Phactr1', 4, NULL),
(22175, NULL, 'IPR030812', NULL, 'Hercynine metabolism protein', 'Cyano_EgtBD', 4, NULL),
(22176, NULL, 'IPR026709', NULL, 'Myb/SANT-like DNA-binding domain-containing protein 3', 'Msantd3', 4, NULL),
(22177, NULL, 'IPR032806', NULL, 'H repeat-associated protein, N-terminal', 'YbfD_N', 3, NULL),
(22178, NULL, 'IPR032702', NULL, 'CppA, N-terminal', 'CppA_N', 3, NULL),
(22179, NULL, 'IPR032557', NULL, 'PIN domain (DUF4935)', 'DUF4935', 3, NULL),
(22180, NULL, 'IPR029945', NULL, 'EH domain-containing protein 2', 'EHD2', 4, NULL),
(22181, NULL, 'IPR030196', NULL, 'Multidrug resistance protein MdtN', 'MdtN', 4, NULL),
(22182, NULL, 'IPR030127', NULL, 'I-BAR domain containing protein MTSS1/MTSS2', 'MTSS1/MTSS2', 4, NULL),
(22183, NULL, 'IPR030192', NULL, 'Miniconductance mechanosensitive channel YbdG', 'YbdG', 4, NULL),
(22184, NULL, 'IPR030083', NULL, 'Melanoma-associated antigen D1', 'MAGED1', 4, NULL),
(22185, NULL, 'IPR032634', NULL, 'Gef2/Nod1 domain', 'Gef2/Nod1_dom', 3, NULL),
(22186, NULL, 'IPR028419', NULL, 'Adenylyl cyclase-associated protein CAP, fungal type', 'CAP_fungal_type', 4, NULL),
(22187, NULL, 'IPR028878', NULL, 'Ribonuclease E', 'RNase_E', 4, NULL),
(22188, NULL, 'IPR032474', NULL, 'Protein argonaute, N-terminal', 'Argonaute_N', 3, NULL),
(22189, NULL, 'IPR032572', NULL, 'Nuclear migration protein nudC', 'NuDC', 3, NULL),
(22190, NULL, 'IPR030085', NULL, 'Melanoma-associated antigen B5', 'MAGEB5', 4, NULL),
(22191, NULL, 'IPR032646', NULL, 'Tumour protein p73', 'Tp73', 4, NULL),
(22192, NULL, 'IPR030270', NULL, 'Voltage-dependent anion-selective channel protein 1', 'VDAC1', 4, NULL),
(22193, NULL, 'IPR032556', NULL, 'Protein of unknown function DUF4936', 'DUF4936', 4, NULL),
(22194, NULL, 'IPR032558', NULL, 'Domain of unknown function DUF4934', 'DUF4934', 3, NULL),
(22195, NULL, 'IPR026736', NULL, 'Protein virilizer', 'Virilizer', 4, NULL),
(22196, NULL, 'IPR028015', NULL, 'CCDC84-like', 'CCDC84-like', 4, NULL),
(22197, NULL, 'IPR030755', NULL, 'von Willebrand factor A domain-containing protein 2', 'VWA2', 4, NULL),
(22198, NULL, 'IPR028763', NULL, 'Kinesin-like protein KIF12', 'Kif12', 4, NULL),
(22199, NULL, 'IPR026569', NULL, 'Ribosomal protein L28/L24', 'Ribo_L28/L24', 4, NULL),
(22200, NULL, 'IPR026556', NULL, 'Secreted frizzled-related protein 3', 'SFRP3', 4, NULL),
(22201, NULL, 'IPR031331', NULL, 'Neutral/alkaline non-lysosomal ceramidase, C-terminal', 'NEUT/ALK_ceramidase_C', 3, NULL),
(22202, NULL, 'IPR030091', NULL, 'Melanoma-associated antigen D4', 'MAGED4', 4, NULL),
(22203, NULL, 'IPR031365', NULL, 'Protein of unknown function with motif GDWWSH', 'GDWWSH', 4, NULL),
(22204, NULL, 'IPR027096', NULL, 'Sodium channel subunit beta-3', 'Na_channel_b3', 4, NULL),
(22205, NULL, 'IPR029270', NULL, 'Limb expression 1', 'LIX1', 4, NULL),
(22206, NULL, 'IPR029886', NULL, 'ORM1-like protein 2', 'ORML2', 4, NULL),
(22207, NULL, 'IPR028010', NULL, 'Gamma-secretase-activating protein, C-terminal domain', 'GSAP_C_dom', 3, NULL),
(22208, NULL, 'IPR028463', NULL, 'DBH-like monooxygenase protein 1', 'MOXD1', 4, NULL),
(22209, NULL, 'IPR027824', NULL, 'Domain of unknown function DUF4469 with IG-like fold', 'DUF4469', 3, NULL),
(22210, NULL, 'IPR030126', NULL, 'I-BAR domain containing protein Pinkbar', 'Pinkbar', 4, NULL),
(22211, NULL, 'IPR030992', NULL, 'Microcompartment protein PduM', 'PduM', 4, NULL),
(22212, NULL, 'IPR027392', NULL, 'Transcription factor zinc-finger', 'TF_Znf', 3, NULL),
(22213, NULL, 'IPR032628', NULL, 'Adenylate cyclase, N-terminal', 'AC_N', 3, NULL),
(22214, NULL, 'IPR030096', NULL, 'Melanoma-associated antigen 9', 'MAGEA9', 4, NULL),
(22215, NULL, 'IPR026553', NULL, 'Frizzled-3, vertebrates', 'FZD3_vertebrates', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22216, NULL, 'IPR032795', NULL, 'DUF3741-associated sequence motif', 'DUF3741-assoc', 3, NULL),
(22217, NULL, 'IPR034768', NULL, 'WhiB-like  iron-sulfur binding domain', '4FE4S_WBL', 3, NULL),
(22218, NULL, 'IPR027828', NULL, 'Protein of unknown function DUF4465', 'DUF4465', 4, NULL),
(22219, NULL, 'IPR032811', NULL, 'Putative conjugal transfer protein TraF-related', 'Put_conjugal_transfer', 4, NULL),
(22220, NULL, 'IPR024564', NULL, 'Nitrogenase molybdenum-iron protein beta chain, N-terminal', 'Nase_Mo-Fe_CF_bsu_N', 3, NULL),
(22221, NULL, 'IPR024574', NULL, 'ELMO, armadillo-like helical domain', 'ELMO_ARM', 3, NULL),
(22222, NULL, 'IPR032582', NULL, 'Protein of unknown function DUF4916', 'DUF4916', 4, NULL),
(22223, NULL, 'IPR030998', NULL, 'Thiosulfohydrolase SoxB', 'Thiosulf_SoxB', 4, NULL),
(22224, NULL, 'IPR029951', NULL, 'EH domain-containing protein 1/3', 'EHD1/EHD3', 4, NULL),
(22225, NULL, 'IPR030782', NULL, 'Olfactory receptor 2A2', 'OR2A2', 4, NULL),
(22226, NULL, 'IPR030213', NULL, 'Phosphoinositide phosphatase SAC2, plants', 'SAC2_plant', 4, NULL),
(22227, NULL, 'IPR028761', NULL, 'Protein disabled', 'Dab', 4, NULL),
(22228, NULL, 'IPR030098', NULL, 'Melanoma-associated antigen 4/5P', 'MAGEA4/MAGEA5P', 4, NULL),
(22229, NULL, 'IPR030740', NULL, 'Protocadherin alpha-1', 'PCDHA1', 4, NULL),
(22230, NULL, 'IPR027252', NULL, 'Iodothyronine deiodinase I/III', 'Iodothyronine_deiodinase_I/III', 4, NULL),
(22231, NULL, 'IPR024576', NULL, 'Ribosomal RNA methyltransferase Spb1, domain of unknown function DUF3381', 'rRNA_MeTfrase_Spb1_DUF3381', 3, NULL),
(22232, NULL, 'IPR030995', NULL, 'Thiosulfate oxidation carrier complex protein SoxZ', 'SoxZ', 4, NULL),
(22233, NULL, 'IPR032836', NULL, 'DsrE2-like family', 'DsrE2-like', 4, NULL),
(22234, NULL, 'IPR030193', NULL, 'Equilibrative nucleoside transporter 3', 'ENT3', 4, NULL),
(22235, NULL, 'IPR032831', NULL, 'Prokaryotic lipoprotein-attachment site', 'LPAM_2', 2, NULL),
(22236, NULL, 'IPR032701', NULL, 'Prokaryotic E2 family B domain', 'Prok-E2_B_dom', 3, NULL),
(22237, NULL, 'IPR031322', NULL, 'Shikimate kinase/gluconokinase', 'Shikimate/glucono_kinase', 4, NULL),
(22238, NULL, 'IPR026728', NULL, 'UHRF1-binding protein 1-like', 'UHRF1BP1-like', 4, NULL),
(22239, NULL, 'IPR024570', NULL, 'Murein transglycosylase-C, N-terminal', 'Murein_transglycosylaseC_N', 3, NULL),
(22240, NULL, 'IPR025202', NULL, 'Phospholipase D-like domain', 'PLD-like_dom', 3, NULL),
(22241, NULL, 'IPR027094', NULL, 'Mitofusin family', 'Mitofusin_fam', 4, NULL),
(22242, NULL, 'IPR026737', NULL, 'Golgin subfamily A member 6-like', 'GOLGA6L', 4, NULL),
(22243, NULL, 'IPR032704', NULL, 'Protein Cms1', 'Cms1', 4, NULL),
(22244, NULL, 'IPR024560', NULL, 'Uncharacterised protein family UPF0313, C-terminal', 'UPF0313_C', 3, NULL),
(22245, NULL, 'IPR032378', NULL, 'ZC3H15/TMA46 family, C-terminal', 'ZC3H15/TMA46_C', 3, NULL),
(22246, NULL, 'IPR032492', NULL, 'Domain of unknown function DUF5045', 'DUF5045', 3, NULL),
(22247, NULL, 'IPR027713', NULL, 'Protein Ssh4, Saccharomycetales', 'Ssh4_Saccharomycetales', 4, NULL),
(22248, NULL, 'IPR026721', NULL, 'Transmembrane protein 18', 'TMEM18', 4, NULL),
(22249, NULL, 'IPR028415', NULL, 'Adenylyl cyclase-associated protein CAP1', 'CAP1', 4, NULL),
(22250, NULL, 'IPR028191', NULL, 'WASH complex subunit 4, N-terminal', 'WASH-4_N', 3, NULL),
(22251, NULL, 'IPR027395', NULL, 'Winged helix DNA-binding domain', 'WH_DNA-bd_dom', 3, NULL),
(22252, NULL, 'IPR031099', NULL, 'BRCA1-associated', 'BRCA1-associated', 4, NULL),
(22253, NULL, 'IPR030986', NULL, 'Abortive infection protein, AbiA family', 'AbiA', 4, NULL),
(22254, NULL, 'IPR032793', NULL, 'Type II restriction endonuclease EcoO109IR', 'RE_EcoO109IR', 3, NULL),
(22255, NULL, 'IPR026708', NULL, 'Centrosome and spindle pole associated protein 1', 'CSPP1', 4, NULL),
(22256, NULL, 'IPR032554', NULL, 'Protein of unknown function DUF4938', 'DUF4938', 4, NULL),
(22257, NULL, 'IPR032657', NULL, 'Oligodendrocyte transcription factor 1', 'Olig1', 4, NULL),
(22258, NULL, 'IPR030987', NULL, 'Abortive infection protein, AbiV family', 'AbiV', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22259, NULL, 'IPR024573', NULL, 'Domain of unknown function DUF3333', 'DUF3333', 3, NULL),
(22260, NULL, 'IPR028478', NULL, 'Eyes absent homologue 4', 'EYA4', 4, NULL),
(22261, NULL, 'IPR032825', NULL, 'FRAS1-related extracellular matrix protein 1', 'FREM1', 4, NULL),
(22262, NULL, 'IPR030989', NULL, 'Radical SAM/SPASM domain peptide maturase, XyeB family', 'rSAM_XyeB', 4, NULL),
(22263, NULL, 'IPR028986', NULL, 'AF2331-like domain', 'AF2331-like_dom', 3, NULL),
(22264, NULL, 'IPR029235', NULL, 'Protein of unknown function DUF4619', 'DUF4619', 4, NULL),
(22265, NULL, 'IPR032576', NULL, 'Domain of unknown function DUF4921', 'DUF4921', 3, NULL),
(22266, NULL, 'IPR027231', NULL, 'Semaphorin', 'Semaphorin', 4, NULL),
(22267, NULL, 'IPR030273', NULL, 'SUN domain-containing protein 5', 'SUN5', 4, NULL),
(22268, NULL, 'IPR029245', NULL, 'Protein of unknown function DUF4528', 'DUF4528', 4, NULL),
(22269, NULL, 'IPR029024', NULL, 'TerB-like', 'TerB-like', 5, NULL),
(22270, NULL, 'IPR032565', NULL, 'Domain of unknown function DUF4927', 'DUF4927', 3, NULL),
(22271, NULL, 'IPR030838', NULL, '30S ribosomal protein S3Ae', '30S_S3Ae', 4, NULL),
(22272, NULL, 'IPR031240', NULL, 'Latrophilin-2', 'Latrophilin-2', 4, NULL),
(22273, NULL, 'IPR028189', NULL, 'Nitrate reductase, alpha subunit, N-terminal', 'Nitr_red_alph_N', 3, NULL),
(22274, NULL, 'IPR025885', NULL, 'PapC, N-terminal domain', 'PapC_N', 3, NULL),
(22275, NULL, 'IPR026667', NULL, 'Thyroid hormone receptor-associated protein 3', 'THRAP3', 4, NULL),
(22276, NULL, 'IPR032668', NULL, 'Spermatogenesis- and oogenesis-specific basic helix-loop-helix-containing protein 1', 'SOHLH1', 4, NULL),
(22277, NULL, 'IPR030110', NULL, 'Otogelin-like protein', 'Otogl', 4, NULL),
(22278, NULL, 'IPR032705', NULL, 'Origin recognition complex subunit 4, C-terminal', 'ORC4_C', 3, NULL),
(22279, NULL, 'IPR026715', NULL, 'Speriolin', 'SPATC1', 4, NULL),
(22280, NULL, 'IPR026732', NULL, 'Centrosomal protein of 135kDa', 'Cep135', 4, NULL),
(22281, NULL, 'IPR032810', NULL, 'CCA-adding enzyme, C-terminal', 'CCA-adding_enz_C', 3, NULL),
(22282, NULL, 'IPR032573', NULL, 'Protein of unknown function DUF4925', 'DUF4925', 4, NULL),
(22283, NULL, 'IPR028424', NULL, 'Hypermethylated in cancer 1 protein', 'HIC1', 4, NULL),
(22284, NULL, 'IPR029013', NULL, 'HP0062-like domain superfamily', 'HP0062-like_sf', 5, NULL),
(22285, NULL, 'IPR032791', NULL, 'Uncharacterised protein YhfZ, C-terminal domain', 'YhfZ_C', 3, NULL),
(22286, NULL, 'IPR027726', NULL, 'E3 ubiquitin-protein ligase Trim36', 'Trim36', 4, NULL),
(22287, NULL, 'IPR032837', NULL, 'Glycerol-1-phosphate dehydrogenase', 'G1PDH', 4, NULL),
(22288, NULL, 'IPR031366', NULL, 'Protein of unknown function DUF4663', 'DUF4663', 4, NULL),
(22289, NULL, 'IPR024552', NULL, 'Domain of Unknown Function DUF3856', 'DUF3856', 3, NULL),
(22290, NULL, 'IPR028185', NULL, 'Immunity protein 70', 'Imm70', 4, NULL),
(22291, NULL, 'IPR028989', NULL, 'Ribosome maturation factor RimP, N-terminal', 'RimP_N', 3, NULL),
(22292, NULL, 'IPR026079', NULL, 'Cerebellar degeneration-related protein 2', 'CDR2', 4, NULL),
(22293, NULL, 'IPR030105', NULL, 'Otogelin', 'Otogelin', 4, NULL),
(22294, NULL, 'IPR025922', NULL, 'Minor type IV pilin, PilX-like', 'Pilin_PilX-like', 4, NULL),
(22295, NULL, 'IPR028765', NULL, 'IQ calmodulin-binding motif-containing protein 1', 'IQCB1', 4, NULL),
(22296, NULL, 'IPR030696', NULL, 'Band 4.1-like protein 4A', 'Band4.1-like4A', 4, NULL),
(22297, NULL, 'IPR027816', NULL, 'Membrane-anchored junction protein', 'MAJIN', 4, NULL),
(22298, NULL, 'IPR032663', NULL, 'Protein atonal homologue 7', 'Atoh7', 4, NULL),
(22299, NULL, 'IPR030189', NULL, 'Ureide permease, plant', 'UPS_plant', 4, NULL),
(22300, NULL, 'IPR032639', NULL, 'Tex protein, YqgF-like domain', 'Tex_YqgF', 3, NULL),
(22301, NULL, 'IPR030994', NULL, 'Diol dehydratase reactivase ATPase-like domain', 'DDR_dom', 3, NULL),
(22302, NULL, 'IPR032658', NULL, 'Oligodendrocyte transcription factor 2', 'Olig2', 4, NULL),
(22303, NULL, 'IPR031065', NULL, 'Zinc metalloproteinase nas-28', 'Nas-28', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22304, NULL, 'IPR027717', NULL, 'Girdin', 'Girdin', 4, NULL),
(22305, NULL, 'IPR032745', NULL, 'G protein-regulated inducer of neurite outgrowth, C-terminal', 'GRIN_C', 3, NULL),
(22306, NULL, 'IPR028179', NULL, 'Tight junction-associated protein 1', 'Tjap1', 4, NULL),
(22307, NULL, 'IPR030097', NULL, 'Melanoma-associated antigen 3/6', 'MAGEA3/MAGEA6', 4, NULL),
(22308, NULL, 'IPR030498', NULL, 'Sarcolemmal membrane-associated protein', 'SLMAP', 4, NULL),
(22309, NULL, 'IPR031710', NULL, 'Protein of unknown function DUF4723', 'DUF4723', 4, NULL),
(22310, NULL, 'IPR024556', NULL, 'Protein of unknown function DUF3599', 'DUF3599', 4, NULL),
(22311, NULL, 'IPR031700', NULL, 'Loricrin', 'Loricrin', 4, NULL),
(22312, NULL, 'IPR026725', NULL, 'Sickle tail protein', 'Skt', 4, NULL),
(22313, NULL, 'IPR026549', NULL, 'Frizzled-10', 'FZD10', 4, NULL),
(22314, NULL, 'IPR030272', NULL, 'SUN domain-containing protein 2', 'SUN2', 4, NULL),
(22315, NULL, 'IPR032832', NULL, 'E3 ubiquitin-protein ligase synoviolin/Hrd1', 'E3_lig_synoviolin/Hrd1', 4, NULL),
(22316, NULL, 'IPR030747', NULL, 'Matrilin-2', 'Matrilin-2', 4, NULL),
(22317, NULL, 'IPR032643', NULL, 'Transcription factor SOX-2', 'SOX-2', 4, NULL),
(22318, NULL, 'IPR026572', NULL, 'Transmembrane protein 267', 'TMEM267', 4, NULL),
(22319, NULL, 'IPR027185', NULL, 'Toll-like receptor 2', 'TLR2', 4, NULL),
(22320, NULL, 'IPR027778', NULL, 'Zinc finger protein 174', 'Zfp174', 4, NULL),
(22321, NULL, 'IPR032583', NULL, 'Protein of unknown function DUF4914', 'DUF4914', 4, NULL),
(22322, NULL, 'IPR029938', NULL, 'Xanthine permease XanQ', 'XanQ', 4, NULL),
(22323, NULL, 'IPR032400', NULL, 'RelB transactivation domain', 'RelB_transact', 3, NULL),
(22324, NULL, 'IPR032830', NULL, 'Helicase XPB/Ssl2, N-terminal domain', 'XPB/Ssl2_N', 3, NULL),
(22325, NULL, 'IPR032690', NULL, 'CDP-archaeol synthase', 'CarS', 4, NULL),
(22326, NULL, 'IPR032397', NULL, 'Rel homology dimerisation domain', 'RHD_dimer', 3, NULL),
(22327, NULL, 'IPR028025', NULL, 'FAM229 protein', 'FAM229', 4, NULL),
(22328, NULL, 'IPR029953', NULL, 'Peroxisomal membrane protein Pex32', 'Pex32', 4, NULL),
(22329, NULL, 'IPR030128', NULL, 'I-BAR domain containing protein IRSp53', 'IRSp53', 4, NULL),
(22330, NULL, 'IPR024555', NULL, 'PX-associated domain', 'PX-associated', 3, NULL),
(22331, NULL, 'IPR027728', NULL, 'Topless family', 'Topless_fam', 4, NULL),
(22332, NULL, 'IPR032586', NULL, 'Tagaturonate/fructuronate epimerase', 'UxaE', 4, NULL),
(22333, NULL, 'IPR031649', NULL, 'Voltage-dependent L-type calcium channel, IQ-associated domain', 'GPHH_dom', 3, NULL),
(22334, NULL, 'IPR032805', NULL, 'Wax synthase domain', 'Wax_synthase_dom', 3, NULL),
(22335, NULL, 'IPR029242', NULL, 'Protein melan-A', 'MLANA', 4, NULL),
(22336, NULL, 'IPR029958', NULL, 'Root phototropism protein 2', 'RPT2', 4, NULL),
(22337, NULL, 'IPR028881', NULL, 'PAN2 domain', 'PAN2_dom', 3, NULL),
(22338, NULL, 'IPR028417', NULL, 'CAP, conserved site, C-terminal', 'CAP_CS_C', 2, NULL),
(22339, NULL, 'IPR026731', NULL, 'C1GALT1-specific chaperone 1', 'C1GALT1C1', 4, NULL),
(22340, NULL, 'IPR029027', NULL, 'Single alpha-helix domain superfamily', 'Single_a-helix_sf', 5, NULL),
(22341, NULL, 'IPR032781', NULL, 'ABC-transporter extension domain', 'ABC_tran_Xtn', 3, NULL),
(22342, NULL, 'IPR027812', NULL, 'Protein of unknown function DUF4653', 'DUF4653', 4, NULL),
(22343, NULL, 'IPR025925', NULL, 'PPC89 centrosome localisation domain', 'PPC89_CLD', 3, NULL),
(22344, NULL, 'IPR029262', NULL, 'DNA-directed RNA polymerase, N-terminal', 'RPOL_N', 3, NULL),
(22345, NULL, 'IPR030593', NULL, 'C-C motif chemokine 21', 'CCL21', 4, NULL),
(22346, NULL, 'IPR027829', NULL, 'Protein of unknown function DUF4625', 'DUF4625', 4, NULL),
(22347, NULL, 'IPR026568', NULL, 'NEDD4-binding protein 2-like 2', 'NEDD4-bind_pro_2-like_2', 4, NULL),
(22348, NULL, 'IPR032560', NULL, 'Protein of unknown function DUF4932', 'DUF4932', 4, NULL),
(22349, NULL, 'IPR032661', NULL, 'Protein atonal homologue 1', 'ATOH1', 4, NULL),
(22350, NULL, 'IPR027727', NULL, 'Midline-1', 'MID1', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22351, NULL, 'IPR028412', NULL, 'Ras-related protein Ral', 'Ral', 4, NULL),
(22352, NULL, 'IPR030590', NULL, 'Myotubularin-related protein 4', 'MTMR4', 4, NULL),
(22353, NULL, 'IPR032809', NULL, 'Putative HupE/UreJ protein', 'Put_HupE_UreJ', 4, NULL),
(22354, NULL, 'IPR032633', NULL, 'ThiJ/PfpI family-like', 'ThiJ-like', 4, NULL),
(22355, NULL, 'IPR032402', NULL, 'Putative adherens-junction anchoring domain', 'AbLIM_anchor', 3, NULL),
(22356, NULL, 'IPR028460', NULL, 'Tyramine beta-hydroxylase/Dopamine beta-hydroxylase', 'Tbh/DBH', 4, NULL),
(22357, NULL, 'IPR026711', NULL, 'Protein male-specific lethal-1', 'Msl-1', 4, NULL),
(22358, NULL, 'IPR028038', NULL, 'TM140 protein family', 'TM140', 4, NULL),
(22359, NULL, 'IPR025899', NULL, 'Phosphatase RapC/F inhibitor, PhrC/F', 'PhrC_PhrF', 4, NULL),
(22360, NULL, 'IPR025663', NULL, 'A-kinase anchor protein 28kDa', 'AKAP_28', 4, NULL),
(22361, NULL, 'IPR032394', NULL, 'Anoctamin, dimerisation domain', 'Anoct_dimer', 3, NULL),
(22362, NULL, 'IPR029952', NULL, 'EH domain-containing protein 4', 'EHD4', 4, NULL),
(22363, NULL, 'IPR032744', NULL, 'Insulin growth factor-like family', 'IGFL', 4, NULL),
(22364, NULL, 'IPR030232', NULL, 'Sodium/potassium/calcium exchanger 4', 'SLC24A4', 4, NULL),
(22365, NULL, 'IPR032585', NULL, 'Protein of unknown function DUF4912', 'DUF4912', 4, NULL),
(22366, NULL, 'IPR028418', NULL, 'Adenylyl cyclase-associated protein CAP2', 'CAP2', 4, NULL),
(22367, NULL, 'IPR032563', NULL, 'DAMP1, SANT/Myb-like domain', 'DAMP1_SANT-like', 3, NULL),
(22368, NULL, 'IPR032707', NULL, 'MYCBP-associated protein', 'MYCBPAP', 4, NULL),
(22369, NULL, 'IPR025882', NULL, 'Toxin Fst', 'Toxin_Fst', 4, NULL),
(22370, NULL, 'IPR030099', NULL, 'Melanoma-associated antigen 11', 'MAGEA11', 4, NULL),
(22371, NULL, 'IPR032807', NULL, 'Tyrosine kinase, G-rich domain', 'GNVR', 3, NULL),
(22372, NULL, 'IPR032659', NULL, 'Oligodendrocyte transcription factor 3', 'Olig3', 4, NULL),
(22373, NULL, 'IPR032377', NULL, 'STAR protein, homodimerisation region', 'STAR_dimer', 3, NULL),
(22374, NULL, 'IPR032642', NULL, 'DNA mismatch repair protein Msh2', 'Msh2', 4, NULL),
(22375, NULL, 'IPR030808', NULL, 'Putative glycosyltransferase CHP04372', 'Glycosyl_04372', 3, NULL),
(22376, NULL, 'IPR032828', NULL, 'tRNA nucleotidyltransferase/poly(A) polymerase, RNA and SrmB- binding domain', 'PolyA_RNA-bd', 3, NULL),
(22377, NULL, 'IPR032526', NULL, 'Domain of unknown function DUF4960', 'DUF4960', 3, NULL),
(22378, NULL, 'IPR032706', NULL, 'Transcription elongation factor Spt6, helix-hairpin-helix motif', 'Spt6_HHH', 3, NULL),
(22379, NULL, 'IPR030741', NULL, 'Protocadherin beta-7', 'PCDHB7', 4, NULL),
(22380, NULL, 'IPR032819', NULL, 'tRNA pseudouridylate synthase B, C-terminal', 'TruB_C', 3, NULL),
(22381, NULL, 'IPR030770', NULL, 'Signal-induced proliferation-associated 1-like protein 1', 'SIPA1L1', 4, NULL),
(22382, NULL, 'IPR031333', NULL, 'Daxx, N-terminal Rassf1C-interacting domain', 'Daxx_N', 3, NULL),
(22383, NULL, 'IPR029260', NULL, 'Dual specificity/tyrosine protein phosphatase, N-terminal', 'DSPn', 3, NULL),
(22384, NULL, 'IPR030346', NULL, 'Phospholipid-transporting ATPase IC', 'ATP8B1', 4, NULL),
(22385, NULL, 'IPR031367', NULL, 'Coiled-coil domain-containing protein 24', 'CCDC24', 4, NULL),
(22386, NULL, 'IPR030781', NULL, 'Olfactory receptor 2L13', 'OR2L13', 4, NULL),
(22387, NULL, 'IPR028988', NULL, 'Hemolytic lectin CEL-III, C-terminal domain superfamily', 'CEL-III_C_sf', 5, NULL),
(22388, NULL, 'IPR032561', NULL, 'Protein of unknown function DUF4930', 'DUF4930', 4, NULL),
(22389, NULL, 'IPR024557', NULL, 'CCR4-NOT transcription complex subunit 1, domain 4', 'CNOT1_dom_4', 3, NULL),
(22390, NULL, 'IPR028434', NULL, 'Plakophilin-3', 'Plakophilin-3', 4, NULL),
(22391, NULL, 'IPR025943', NULL, 'Sigma-54 interaction domain, ATP-binding site 2', 'Sigma_54_int_dom_ATP-bd_2', 1, NULL),
(22392, NULL, 'IPR032637', NULL, 'Putative phage holin-like', 'Phage_holin-like', 4, NULL),
(22393, NULL, 'IPR029269', NULL, 'Putative treble-clef, zinc-finger domain', 'Zf-tcix', 3, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22394, NULL, 'IPR028464', NULL, 'DBH-like monooxygenase protein 2', 'Moxd2', 4, NULL),
(22395, NULL, 'IPR024569', NULL, '4Fe-4S binding protein, C-terminal', '4Fe-4S-bd_C', 3, NULL),
(22396, NULL, 'IPR028588', NULL, 'Thiol:disulfide interchange protein DsbL', 'DsbL', 4, NULL),
(22397, NULL, 'IPR027710', NULL, 'Enkurin domain-containing protein 1', 'ENKD1', 4, NULL),
(22398, NULL, 'IPR030491', NULL, 'TATA-box binding protein, conserved site', 'TBP_CS', 2, NULL),
(22399, NULL, 'IPR032817', NULL, 'Mon2, C-terminal', 'Mon2_C', 3, NULL),
(22400, NULL, 'IPR032566', NULL, 'Aprataxin, C2HE/C2H2/C2HC zinc finger', 'Znf-C2HE', 3, NULL),
(22401, NULL, 'IPR030809', NULL, 'EgtB-related enzyme signature domain', 'EgtB_signatur', 3, NULL),
(22402, NULL, 'IPR026734', NULL, 'Leucine zipper protein 1', 'Luzp1', 4, NULL),
(22403, NULL, 'IPR027823', NULL, 'Domain of unknown function DUF4468 with TBP-like fold', 'DUF4468', 3, NULL),
(22404, NULL, 'IPR034067', NULL, 'Serine protease KerA-like, domain', 'Serine_protease_KerA-like_dom', 3, NULL),
(22405, NULL, 'IPR029976', NULL, 'Transgelin', 'TAGLN', 4, NULL),
(22406, NULL, 'IPR024572', NULL, 'Nickel/cobalt homeostasis protein RcnB', 'RcnB', 4, NULL),
(22407, NULL, 'IPR028764', NULL, 'Kelch repeat and BTB domain-containing protein 8', 'KBTBD8', 4, NULL),
(22408, NULL, 'IPR032555', NULL, 'Domain of unknown function DUF4937', 'DUF4937', 3, NULL),
(22409, NULL, 'IPR027179', NULL, 'Mature-T-Cell Proliferation I type', 'MTCP1', 4, NULL),
(22410, NULL, 'IPR027098', NULL, 'Sodium channel subunit beta-1/beta-3', 'Na_channel_b1/b3', 4, NULL),
(22411, NULL, 'IPR030180', NULL, 'Lipopolysaccharide-binding protein', 'LBP', 4, NULL),
(22412, NULL, 'IPR030191', NULL, 'Cytosine permease', 'CodB', 4, NULL),
(22413, NULL, 'IPR032491', NULL, 'Domain of unknown function DUF5046', 'DUF5046', 3, NULL),
(22414, NULL, 'IPR025207', NULL, 'Kinetochore Sim4 complex subunit  Fta4', 'Sim4_Fta4', 4, NULL),
(22415, NULL, 'IPR029231', NULL, 'Fimbrillin-like', 'Mfa-like_2', 4, NULL),
(22416, NULL, 'IPR030475', NULL, 'Ribonucleotide reductase small subunit, acitve site', 'RNR_small_AS', 0, NULL),
(22417, NULL, 'IPR024571', NULL, 'ERAP1-like C-terminal domain', 'ERAP1-like_C_dom', 3, NULL),
(22418, NULL, 'IPR028573', NULL, 'Transcription factor Maf', 'Maf/V-MAF', 4, NULL),
(22419, NULL, 'IPR026544', NULL, 'Smoothened', 'SMO', 4, NULL),
(22420, NULL, 'IPR028991', NULL, 'D-lysine 5,6-aminomutase beta subunit KamE, N-terminal', 'KamE_N', 3, NULL),
(22421, NULL, 'IPR032669', NULL, 'Spermatogenesis- and oogenesis-specific basic helix-loop-helix-containing protein 2', 'SOHLH2', 4, NULL),
(22422, NULL, 'IPR027711', NULL, 'Rmd5', 'Rmd5', 4, NULL),
(22423, NULL, 'IPR032821', NULL, 'Polyketide synthase, C-terminal extension', 'PKS_assoc', 3, NULL),
(22424, NULL, 'IPR028249', NULL, 'Fibroblast growth factor 8', 'FGF8', 4, NULL),
(22425, NULL, 'IPR032632', NULL, 'Peptidase M16, middle/third domain', 'Peptidase_M16_M', 3, NULL),
(22426, NULL, 'IPR032660', NULL, 'Protein atonal homologue 8', 'ATOH8', 4, NULL),
(22427, NULL, 'IPR031652', NULL, 'Phosphoribosylformylglycinamidine subunit PurL, C-terminal', 'PurL_C', 3, NULL),
(22428, NULL, 'IPR027820', NULL, 'Pyrimidine/purine nucleotide 5''-monophosphate nucleosidase YgdH, N-terminal', 'YgdH_N', 3, NULL),
(22429, NULL, 'IPR032629', NULL, 'Mon2, dimerisation and cyclophilin-binding domain', 'DCB_dom', 3, NULL),
(22430, NULL, 'IPR032562', NULL, 'Protein of unknown function DUF4929', 'DUF4929', 4, NULL),
(22431, NULL, 'IPR032798', NULL, 'Endoglucanase Z, cellulose-binding domain', 'CBM_5_12_2', 3, NULL),
(22432, NULL, 'IPR028210', NULL, 'Fibroblast growth factor 1', 'FGF1', 4, NULL),
(22433, NULL, 'IPR030187', NULL, 'Sodium-hydrogen exchanger SLC9B1', 'SLC9B1', 4, NULL),
(22434, NULL, 'IPR027714', NULL, 'Protein Fyv10/E3 ubiquitin-protein transferase MAEA', 'Fyv10/MAEA', 4, NULL),
(22435, NULL, 'IPR032630', NULL, 'P-type ATPase, C-terminal', 'P_typ_ATPase_c', 3, NULL),
(22436, NULL, 'IPR024561', NULL, 'Alpha-1,6-glucosidases, pullulanase-type, C-terminal', 'Pullul_strch_C', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22437, NULL, 'IPR028399', NULL, 'CLIP-associating protein 1', 'CLASP_1', 4, NULL),
(22438, NULL, 'IPR025886', NULL, 'Phloem protein 2-like', 'PP2-like', 4, NULL),
(22439, NULL, 'IPR028187', NULL, 'STAT6, C-terminal', 'STAT6_C', 3, NULL),
(22440, NULL, 'IPR028877', NULL, '50S ribosomal protein L18Ae/60S ribosomal protein L20 and L18a', '50S_L18Ae/Ribosomal_L18a/L20', 4, NULL),
(22441, NULL, 'IPR032551', NULL, 'HTH-type transcriptional repressor, C-terminal', 'BscR_C', 3, NULL),
(22442, NULL, 'IPR031321', NULL, 'Uncharacterised conserved protein UCP012641, putative zinc-binding metallo-peptidase', 'UCP012641', 4, NULL),
(22443, NULL, 'IPR030493', NULL, 'Protein Shroom', 'Shroom', 4, NULL),
(22444, NULL, 'IPR027719', NULL, 'Protein Daple', 'Daple', 4, NULL),
(22445, NULL, 'IPR032813', NULL, 'Putative Na+/H+ antiporter, N-terminal', 'Na_H_antiport_N', 3, NULL),
(22446, NULL, 'IPR030779', NULL, 'Olfactory receptor 10G4/10G9', '10G4/10G9', 4, NULL),
(22447, NULL, 'IPR030373', NULL, 'Polyamine biosynthesis domain, conserved site', 'PABS_CS', 2, NULL),
(22448, NULL, 'IPR026713', NULL, 'CRACD-like', 'CRACD-like', 4, NULL),
(22449, NULL, 'IPR028401', NULL, 'TOG array regulator of axonemal microtubules protein 1', 'Crescerin-1', 4, NULL),
(22450, NULL, 'IPR032473', NULL, 'Protein argonaute, Mid domain', 'Argonaute_Mid_dom', 3, NULL),
(22451, NULL, 'IPR028039', NULL, 'Coiled-coil domain containing protein 32', 'CCDC32', 4, NULL),
(22452, NULL, 'IPR030550', NULL, 'Torsin-1B', 'Torsin-1B', 4, NULL),
(22453, NULL, 'IPR032743', NULL, 'FAM47 family', 'FAM47', 4, NULL),
(22454, NULL, 'IPR032631', NULL, 'P-type ATPase, N-terminal', 'P-type_ATPase_N', 3, NULL),
(22455, NULL, 'IPR032552', NULL, 'Acin1, RNSP1-SAP18 binding (RSB) motif', 'RSB_motif', 2, NULL),
(22456, NULL, 'IPR029984', NULL, 'Phosphatase and actin regulator 4', 'Phactr4', 4, NULL),
(22457, NULL, 'IPR028301', NULL, 'Serine proteases, V8 family, histidine active site', 'V8_his_AS', 0, NULL),
(22458, NULL, 'IPR028247', NULL, 'Fibroblast growth factor 7', 'FGF7', 4, NULL),
(22459, NULL, 'IPR032648', NULL, 'MLX-interacting protein', 'MLXIP', 4, NULL),
(22460, NULL, 'IPR032578', NULL, 'Protein of unknown function DUF4919', 'DUF4919', 4, NULL),
(22461, NULL, 'IPR032742', NULL, 'INO80 complex subunit 3', 'Iec3', 4, NULL),
(22462, NULL, 'IPR032815', NULL, 'Peptidase S8, pro-domain', 'S8_pro-domain', 3, NULL),
(22463, NULL, 'IPR026733', NULL, 'Rootletin', 'Rootletin', 4, NULL),
(22464, NULL, 'IPR028186', NULL, 'Transmembrane protein 191B/C', 'TMEM191B/C', 4, NULL),
(22465, NULL, 'IPR032564', NULL, 'Protein of unknown function DUF4928', 'DUF4928', 4, NULL),
(22466, NULL, 'IPR030175', NULL, 'Vitamin B6 transporter Tpn1', 'Tpn1', 4, NULL),
(22467, NULL, 'IPR031248', NULL, 'E3 ubiquitin-protein ligase RNF213', 'RNF213', 4, NULL),
(22468, NULL, 'IPR028479', NULL, 'Eyes absent homologue 3', 'EYA3', 4, NULL),
(22469, NULL, 'IPR028771', NULL, 'Lipoma-preferred partner', 'LPP', 4, NULL),
(22470, NULL, 'IPR030772', NULL, 'Rho GTPase-activating protein 6', 'RhoGAP6', 4, NULL),
(22471, NULL, 'IPR028985', NULL, 'Bacillus phage protein-like', 'Bacillus_phage_prot-like', 5, NULL),
(22472, NULL, 'IPR026723', NULL, 'Neuronal tyrosine-phosphorylated phosphoinositide-3-kinase adapter 2', 'NYAP2', 4, NULL),
(22473, NULL, 'IPR030587', NULL, 'Myotubularin-related protein 1', 'MTMR1', 4, NULL),
(22474, NULL, 'IPR029978', NULL, 'LIM domain only protein 7', 'LMO-7', 4, NULL),
(22475, NULL, 'IPR031646', NULL, 'Vacuolar protein sorting-associated protein 13, second N-terminal domain', 'VPS13_N2', 3, NULL),
(22476, NULL, 'IPR030999', NULL, 'Sulfur oxidation c-type cytochrome SoxX', 'Thiosulf_SoxX', 4, NULL),
(22477, NULL, 'IPR030236', NULL, 'Sodium/potassium/calcium exchanger 2', 'SLC24A2', 4, NULL),
(22478, NULL, 'IPR028439', NULL, 'Catenin delta-1', 'Catenin_d1', 4, NULL),
(22479, NULL, 'IPR026298', NULL, 'Bcl-2 family', 'Bcl-2_fam', 4, NULL),
(22480, NULL, 'IPR029559', NULL, 'Membrane protein Tms1-like', 'Tms1-like', 4, NULL),
(22481, NULL, 'IPR026718', NULL, 'Leucine zipper protein 2', 'Luzp2', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22482, NULL, 'IPR029955', NULL, 'Abnormal spindle-like microcephaly-associated protein', 'ASPM', 4, NULL),
(22483, NULL, 'IPR028623', NULL, 'HNS-dependent expression B', 'HdeB', 4, NULL),
(22484, NULL, 'IPR030500', NULL, 'Purine-rich element-binding protein alpha', 'PURalpha', 4, NULL),
(22485, NULL, 'IPR030494', NULL, 'Shroom3', 'Shrm3', 4, NULL),
(22486, NULL, 'IPR026571', NULL, 'Transmembrane protein 186', 'Tmem186', 4, NULL),
(22487, NULL, 'IPR029014', NULL, '[NiFe]-hydrogenase, large subunit', 'NiFe-Hase_large', 5, NULL),
(22488, NULL, 'IPR030190', NULL, 'Macrolide export protein MacA', 'MacA', 4, NULL),
(22489, NULL, 'IPR028242', NULL, 'Fibroblast growth factor 6', 'FGF6', 4, NULL),
(22490, NULL, 'IPR032649', NULL, 'Neurogenic differentiation factor 2', 'Neurod2', 4, NULL),
(22491, NULL, 'IPR032652', NULL, 'Neurogenic differentiation factor 1', 'Neurod1', 4, NULL),
(22492, NULL, 'IPR030251', NULL, 'ATP-binding cassette subfamily C member 11', 'ABCC11', 4, NULL),
(22493, NULL, 'IPR030384', NULL, 'SAM-dependent methyltransferase SMT-type', 'MeTrfase_SMT', 3, NULL),
(22494, NULL, 'IPR028431', NULL, 'NADP-reducing hydrogenase subunit HndA', 'NADP_DH_HndA', 4, NULL),
(22495, NULL, 'IPR029973', NULL, 'Transgelin-3', 'TAGLN3', 4, NULL),
(22496, NULL, 'IPR029974', NULL, 'Calponin-2', 'CNN2', 4, NULL),
(22497, NULL, 'IPR028190', NULL, 'Novel toxin 21', 'Ntox21', 3, NULL),
(22498, NULL, 'IPR032636', NULL, 'Pilus assembly protein, E-set like domain', 'Pilus_assem_E-set-like_dom', 3, NULL),
(22499, NULL, 'IPR032581', NULL, 'Protein of unknown function DUF4917', 'DUF4917', 4, NULL),
(22500, NULL, 'IPR030082', NULL, 'Neprilysin-21', 'Nep-21', 4, NULL),
(22501, NULL, 'IPR025334', NULL, 'Domain of unknown function (DUF4240', 'DUF4240', 3, NULL),
(22502, NULL, 'IPR024350', NULL, 'Hepatitus C virus, NS5a, C-terminal', 'HCV_NS5a_C', 3, NULL),
(22503, NULL, 'IPR030597', NULL, 'Kelch-like protein 15', 'KLHL15', 4, NULL),
(22504, NULL, 'IPR030886', NULL, 'Lipoprotein, tandem type', 'Lepto_lipo', 4, NULL),
(22505, NULL, 'IPR024398', NULL, 'Poxvirus poly(A) polymerase, catalytic subunit, N-terminal', 'Poxvirus_polyA_pol_cat_N', 3, NULL),
(22506, NULL, 'IPR024687', NULL, 'MMS19, C-terminal', 'MMS19_C', 3, NULL),
(22507, NULL, 'IPR030118', NULL, 'Receptor-type tyrosine-protein kinase FLT3', 'FLT3', 4, NULL),
(22508, NULL, 'IPR030844', NULL, 'PAN2-PAN3 deadenylation complex subunit PAN3', 'PAN3', 4, NULL),
(22509, NULL, 'IPR031287', NULL, 'Anoctamin-1', 'Anoctamin-1', 4, NULL),
(22510, NULL, 'IPR030011', NULL, 'Scarecrow-like protein 1', 'Scarecrow-like_1', 4, NULL),
(22511, NULL, 'IPR030394', NULL, 'HflX-type guanine nucleotide-binding (G) domain', 'G_HFLX_dom', 3, NULL),
(22512, NULL, 'IPR032757', NULL, 'Domain of unknown function DUF4683', 'DUF4683', 3, NULL),
(22513, NULL, 'IPR024610', NULL, 'Inhibitor of growth protein, N-terminal histone-binding', 'ING_N_histone-binding', 3, NULL),
(22514, NULL, 'IPR024348', NULL, 'Peptidase C62, gill-associated virus', 'Pept_C62_gill-assoc_virus', 4, NULL),
(22515, NULL, 'IPR030496', NULL, 'Transcription factor RelB', 'RelB', 4, NULL),
(22516, NULL, 'IPR032496', NULL, 'Hemolysin, beta-prism lectin', 'Hemolysin_beta-prism_lec', 3, NULL),
(22517, NULL, 'IPR030796', NULL, 'Islet cell autoantigen 1', 'ICA1', 4, NULL),
(22518, NULL, 'IPR024360', NULL, 'Herpesvirus UL11 homologue', 'Herpesvirus_UL11_homo', 4, NULL),
(22519, NULL, 'IPR026832', NULL, 'Asteroid', 'Asteroid', 4, NULL),
(22520, NULL, 'IPR032843', NULL, 'Cleavage inducing molecular chaperone, Jiv', 'Jiv', 3, NULL),
(22521, NULL, 'IPR030107', NULL, 'Xin actin-binding repeat-containing protein 2', 'XIRP2', 4, NULL),
(22522, NULL, 'IPR032486', NULL, 'JNK-interacting protein, leucine zipper II', 'JIP_LZII', 3, NULL),
(22523, NULL, 'IPR025333', NULL, 'Protein of unknown function DUF4239', 'DUF4239', 4, NULL),
(22524, NULL, 'IPR024410', NULL, 'Phage tail assembly chaperone protein, TAC', 'Phage_TAC_12', 4, NULL),
(22525, NULL, 'IPR024984', NULL, 'Protein of unknown function DUF3888', 'DUF3888', 4, NULL),
(22526, NULL, 'IPR031812', NULL, 'Protein C', 'C_Hendra', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22527, NULL, 'IPR024874', NULL, 'Transcription factor Maf family', 'Transcription_factor_Maf_fam', 4, NULL),
(22528, NULL, 'IPR025101', NULL, 'Protein of unknown function DUF4012', 'DUF4012', 4, NULL),
(22529, NULL, 'IPR031866', NULL, 'Domain of unknown function DUF4758', 'DUF4758', 3, NULL),
(22530, NULL, 'IPR025341', NULL, 'Protein of unknown function DUF4247', 'DUF4247', 4, NULL),
(22531, NULL, 'IPR025225', NULL, 'Protein of unknown function DUF3956', 'DUF3956', 4, NULL),
(22532, NULL, 'IPR028131', NULL, 'Tubulinyl-Tyr carboxypeptidase', 'VASH1', 4, NULL),
(22533, NULL, 'IPR030345', NULL, 'Solute carrier family 12 member 9', 'SLC12A9', 4, NULL),
(22534, NULL, 'IPR028381', NULL, '1-phosphatidylinositol 4,5-bisphosphate phosphodiesterase gamma-2', 'PLC-gamma2', 4, NULL),
(22535, NULL, 'IPR028382', NULL, 'Inactive phospholipase C-like protein 2', 'PLCL2', 4, NULL),
(22536, NULL, 'IPR029818', NULL, 'Basic leucine zipper transcriptional factor ATF-like 3', 'p21SNFT', 4, NULL),
(22537, NULL, 'IPR032763', NULL, 'Resistance to inhibitors of cholinesterase protein 3, N-terminal', 'RIC3_N', 3, NULL),
(22538, NULL, 'IPR024987', NULL, 'Protein of unknown function DUF3889', 'DUF3889', 4, NULL),
(22539, NULL, 'IPR031811', NULL, 'AlgX/AlgJ, SGNH hydrolase-like domain', 'ALGX/ALGJ_SGNH-like', 3, NULL),
(22540, NULL, 'IPR024688', NULL, 'Maltose/galactoside acetyltransferase', 'Mac_dom', 3, NULL),
(22541, NULL, 'IPR025324', NULL, 'Protein of unknown function DUF4230', 'DUF4230', 4, NULL),
(22542, NULL, 'IPR030847', NULL, 'Mitochondrial glycine transporter Hem25/SLC25A38', 'Hem25/SLC25A38', 4, NULL),
(22543, NULL, 'IPR029789', NULL, 'Protein TRANSPARENT TESTA 1-like', 'TT1-like', 4, NULL),
(22544, NULL, 'IPR029515', NULL, 'LAR-interacting protein, Liprin', 'Liprin', 4, NULL),
(22545, NULL, 'IPR025313', NULL, 'Domain of unknown function DUF4217', 'DUF4217', 3, NULL),
(22546, NULL, 'IPR031283', NULL, 'Amphoterin-induced protein', 'AMIGO', 4, NULL),
(22547, NULL, 'IPR024411', NULL, 'Minor capsid protein, bacteriophage', 'Minor_capsid_phage', 4, NULL),
(22548, NULL, 'IPR025331', NULL, 'Tuberculosis necrotizing toxin', 'TNT', 3, NULL),
(22549, NULL, 'IPR032152', NULL, 'Domain of unknown function DUF4989', 'DUF4989', 3, NULL),
(22550, NULL, 'IPR029617', NULL, 'Lid2 complex component Snt2', 'Snt2', 4, NULL),
(22551, NULL, 'IPR024976', NULL, 'Domain of unknown function DUF3885', 'DUF3885', 3, NULL),
(22552, NULL, 'IPR031962', NULL, 'Domain of unknown function DUF4781', 'DUF4781', 3, NULL),
(22553, NULL, 'IPR028118', NULL, 'Chibby family', 'Chibby_fam', 4, NULL),
(22554, NULL, 'IPR031816', NULL, 'Protein of unknown function DUF5073', 'DUF5073', 4, NULL),
(22555, NULL, 'IPR031902', NULL, 'Telomeric repeat-binding factor 2, Rap1-binding domain', 'TERF2_RBM', 3, NULL),
(22556, NULL, 'IPR030108', NULL, 'Actin patches distal protein 1-like', 'Apd1-like', 4, NULL),
(22557, NULL, 'IPR032762', NULL, 'Putative polysaccharide deacetylase', 'Polysacc_deac_3', 4, NULL),
(22558, NULL, 'IPR027827', NULL, 'Protein of unknown function DUF4523', 'DUF4523', 4, NULL),
(22559, NULL, 'IPR032512', NULL, 'Domain of unknown function DUF4969', 'DUF4969', 3, NULL),
(22560, NULL, 'IPR029819', NULL, 'Jun dimerization protein 2', 'JDP2', 4, NULL),
(22561, NULL, 'IPR031819', NULL, 'Read-through domain', 'Read-through_dom', 3, NULL),
(22562, NULL, 'IPR028143', NULL, 'GET complex subunit Get2/sif1', 'Get2/sif1', 4, NULL),
(22563, NULL, 'IPR030793', NULL, 'Arfaptin-1', 'Arfaptin-1', 4, NULL),
(22564, NULL, 'IPR028126', NULL, 'Spexin', 'Spexin', 4, NULL),
(22565, NULL, 'IPR024809', NULL, 'Protein mab-21-like 4', 'MAB21L4', 4, NULL),
(22566, NULL, 'IPR032790', NULL, 'Glycogen debranching enzyme, C-terminal', 'GDE_C', 3, NULL),
(22567, NULL, 'IPR024418', NULL, 'Protein of unknown function DUF3862', 'DUF3862', 4, NULL),
(22568, NULL, 'IPR031844', NULL, 'Voltage-gated hydrogen channel 1, C-terminal membrane-localisation domain', 'VGPC1_C', 3, NULL),
(22569, NULL, 'IPR031910', NULL, 'Germinal-centre associated nuclear protein, CID domain', 'GANP_CID_dom', 3, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22570, NULL, 'IPR029867', NULL, 'StAR-related lipid transfer protein 3, C-terminal', 'STARD3_MLN64_C', 3, NULL),
(22571, NULL, 'IPR028342', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit H', 'MtrH', 4, NULL),
(22572, NULL, 'IPR031957', NULL, 'Domain of unknown function DUF4777', 'DUF4777', 3, NULL),
(22573, NULL, 'IPR032497', NULL, 'Uncharacterised protein YmgD', 'YmgD', 4, NULL),
(22574, NULL, 'IPR032251', NULL, 'Protein of unknown function DUF4826', 'DUF4826', 4, NULL),
(22575, NULL, 'IPR032155', NULL, 'Domain of unknown function DUF4992', 'DUF4992', 3, NULL),
(22576, NULL, 'IPR025954', NULL, 'DBC1/CARP1 catalytically inactive NUDIX hydrolase domain', 'DBC1/CARP1_inactive_NUDIX_dom', 3, NULL),
(22577, NULL, 'IPR025066', NULL, 'Coiled-coil domain-containing protein 174-like', 'CCDC174-like', 4, NULL),
(22578, NULL, 'IPR032845', NULL, 'U11/U12 small nuclear ribonucleoprotein 48kDa protein', 'Snrnp48', 4, NULL),
(22579, NULL, 'IPR031838', NULL, 'Fe-S cluster assembly protein Dre2, N-terminal', 'Dre2_N', 3, NULL),
(22580, NULL, 'IPR026838', NULL, 'Endospore coat-associated protein YheC/D', 'YheC/D', 4, NULL),
(22581, NULL, 'IPR032755', NULL, 'Translin-associated factor X-interacting protein 1, N-terminal', 'TSNAXIP1_N', 3, NULL),
(22582, NULL, 'IPR024978', NULL, 'Homeodomain, phBC6A51-type', 'Homeodomain_phBC6A51-type', 3, NULL),
(22583, NULL, 'IPR028119', NULL, 'Snapin/Pallidin/Snn1', 'Snapin/Pallidin/Snn1', 4, NULL),
(22584, NULL, 'IPR029612', NULL, 'tRNA wybutosine-synthesizing protein 5', 'TYW5', 4, NULL),
(22585, NULL, 'IPR032748', NULL, 'Phosphoprotein associated with glycosphingolipid-enriched microdomains 1', 'PAG', 4, NULL),
(22586, NULL, 'IPR032136', NULL, 'Neutrophil cytosol factor 1, C-terminal', 'NECFESHC', 3, NULL),
(22587, NULL, 'IPR024992', NULL, 'Protein of unknown function DUF3891', 'DUF3891', 4, NULL),
(22588, NULL, 'IPR031829', NULL, 'Effector protein NleF', 'NleF', 4, NULL),
(22589, NULL, 'IPR027819', NULL, 'Guanine nucleotide exchange C9orf72', 'C9orf72', 4, NULL),
(22590, NULL, 'IPR025321', NULL, 'Protein of unknown function DUF4227', 'DUF4227', 4, NULL),
(22591, NULL, 'IPR030424', NULL, 'Membrane-spanning 4-domains subfamily A member 8', 'MS4A8', 4, NULL),
(22592, NULL, 'IPR031110', NULL, 'Jasmonic acid-amido synthetase JAR1', 'JAR1', 4, NULL),
(22593, NULL, 'IPR032159', NULL, 'Domain of unknown function DUF4995', 'DUF4995', 3, NULL),
(22594, NULL, 'IPR025330', NULL, 'Domain of unknown function DUF4236', 'DUF4236', 3, NULL),
(22595, NULL, 'IPR031108', NULL, 'FeS assembly protein IscA, plant/cyanobacteria type', 'ISCA_plant_cyanobact', 4, NULL),
(22596, NULL, 'IPR024811', NULL, 'Polycomb protein ASX/ASX-like', 'ASX/ASX-like', 4, NULL),
(22597, NULL, 'IPR030109', NULL, 'Kinesin-like protein KIN-14', 'KIN-14', 4, NULL),
(22598, NULL, 'IPR031786', NULL, 'Krueppel-like factor 1, transactivation domain 1', 'EKLF_TAD1', 3, NULL),
(22599, NULL, 'IPR028215', NULL, 'Refilin family', 'Refilin', 4, NULL),
(22600, NULL, 'IPR024376', NULL, 'Phlebovirus, non structural protein', 'RVFV_non-structural', 4, NULL),
(22601, NULL, 'IPR030695', NULL, 'Protein NDRG4', 'NDRG4', 4, NULL),
(22602, NULL, 'IPR025067', NULL, 'Protein of unknown function DUF4079', 'DUF4079', 4, NULL),
(22603, NULL, 'IPR028128', NULL, 'Vasculin family', 'Vasculin_fam', 4, NULL),
(22604, NULL, 'IPR031820', NULL, 'CRISPR-associated protein Csn2 subfamily St', 'Cas_St_Csn2', 4, NULL),
(22605, NULL, 'IPR024374', NULL, 'Bacteriophage phi-29 scaffolding protein Gp7', 'Phage_phi-29_Gp7', 4, NULL),
(22606, NULL, 'IPR030802', NULL, 'ABC transporter permease MalE', 'Permease_MalE', 4, NULL),
(22607, NULL, 'IPR025103', NULL, 'Uncharacterized ATP-dependent helicase MG140', 'DUF4011', 4, NULL),
(22608, NULL, 'IPR024414', NULL, 'Uncharacterised protein family PrgI', 'Uncharacterised_PrgI', 4, NULL),
(22609, NULL, 'IPR025322', NULL, 'PADRE domain', 'PADRE_dom', 4, NULL),
(22610, NULL, 'IPR025328', NULL, 'Domain of unknown function DUF4234', 'DUF4234', 3, NULL),
(22611, NULL, 'IPR030849', NULL, 'Ubiquitin carboxyl-terminal hydrolase 16', 'UBP16', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22612, NULL, 'IPR025339', NULL, 'Protein of unknown function DUF4245', 'DUF4245', 4, NULL),
(22613, NULL, 'IPR028919', NULL, 'Viral movement protein', 'Viral_movement', 4, NULL),
(22614, NULL, 'IPR026688', NULL, 'WASP homologue-associated protein with actin, membranes and microtubules', 'WHAMM', 4, NULL),
(22615, NULL, 'IPR029630', NULL, 'Venom acid phosphatase Acph-1', 'Api_m_3', 4, NULL),
(22616, NULL, 'IPR030888', NULL, 'Putative ccm operon protein', 'Put_ccm', 4, NULL),
(22617, NULL, 'IPR032764', NULL, 'Tankyrase 1-binding protein, C-terminal', 'Tankyrase-bd_C', 3, NULL),
(22618, NULL, 'IPR029510', NULL, 'Aldehyde dehydrogenase, glutamic acid active site', 'Ald_DH_CS_GLU', 2, NULL),
(22619, NULL, 'IPR029616', NULL, 'Protein winged eye', 'Wge', 4, NULL),
(22620, NULL, 'IPR024969', NULL, 'Rpn11/EIF3F, C-terminal', 'Rpn11/EIF3F_C', 3, NULL),
(22621, NULL, 'IPR027013', NULL, 'Caskin-1/2', 'Caskin-1/2', 4, NULL),
(22622, NULL, 'IPR025327', NULL, 'Protein of unknown function DUF4233', 'DUF4233', 4, NULL),
(22623, NULL, 'IPR030697', NULL, 'Ras-related protein Rab29/Rab38/Rab32', 'Rab29/Rab38/Rab32', 4, NULL),
(22624, NULL, 'IPR032794', NULL, 'Protein Lines, N-terminal', 'LINES_N', 3, NULL),
(22625, NULL, 'IPR025138', NULL, 'Domain of unknown function DUF4072', 'DUF4072', 3, NULL),
(22626, NULL, 'IPR027825', NULL, 'Protein of unknown function DUF4522', 'DUF4522', 4, NULL),
(22627, NULL, 'IPR029621', NULL, 'Cat eye syndrome critical region protein 5', 'CECR5', 4, NULL),
(22628, NULL, 'IPR026797', NULL, 'HAUS augmin-like complex subunit 6', 'HAUS_6', 4, NULL),
(22629, NULL, 'IPR031327', NULL, 'Mini-chromosome maintenance protein', 'MCM', 4, NULL),
(22630, NULL, 'IPR028211', NULL, 'Pre-mRNA-splicing factor Ntr2', 'Ntr2', 4, NULL),
(22631, NULL, 'IPR032771', NULL, 'Protein of unknown function DUF4527', 'DUF4527', 4, NULL),
(22632, NULL, 'IPR030015', NULL, 'Scarecrow-like protein 29/nodulation signalling pathway 1', 'SCL29/NSP1', 4, NULL),
(22633, NULL, 'IPR032511', NULL, 'Protein of unknown function DUF4971', 'DUF4971', 4, NULL),
(22634, NULL, 'IPR025142', NULL, 'Domain of unknown function DUF4073', 'DUF4073', 3, NULL),
(22635, NULL, 'IPR025325', NULL, 'Protein of unknown function DUF4231', 'DUF4231', 4, NULL),
(22636, NULL, 'IPR029889', NULL, 'Ectonucleotide pyrophosphatase/phosphodiesterase family member 6', 'ENPP6', 4, NULL),
(22637, NULL, 'IPR031817', NULL, 'DotD protein', 'DotD', 4, NULL),
(22638, NULL, 'IPR028129', NULL, 'Consortin, C-terminal domain', 'Consortin_C', 3, NULL),
(22639, NULL, 'IPR030599', NULL, 'Kelch-like protein 7', 'KLHL7', 4, NULL),
(22640, NULL, 'IPR025340', NULL, 'Protein of unknown function DUF4246', 'DUF4246', 4, NULL),
(22641, NULL, 'IPR031865', NULL, 'Domain of unknown function DUF4757', 'DUF4757', 3, NULL),
(22642, NULL, 'IPR024345', NULL, 'DNA maturase, bacteriophage T7-like', 'DNA_matur_Phage_T7-like', 4, NULL),
(22643, NULL, 'IPR024957', NULL, 'Cep57 centrosome microtubule-binding domain', 'Cep57_MT-bd_dom', 3, NULL),
(22644, NULL, 'IPR025311', NULL, 'Domain of unknown function DUF4166', 'DUF4166', 3, NULL),
(22645, NULL, 'IPR026824', NULL, 'EGF-containing fibulin-like extracellular matrix protein 2', 'Efemp2', 4, NULL),
(22646, NULL, 'IPR030843', NULL, 'PAN2-PAN3 deadenylation complex catalytic subunit PAN2', 'PAN2', 4, NULL),
(22647, NULL, 'IPR031288', NULL, 'Anoctamin-2', 'Anoctamin-2', 4, NULL),
(22648, NULL, 'IPR031790', NULL, 'Nitric oxide synthase-interacting protein, zinc-finger', 'Znf-NOSIP', 3, NULL),
(22649, NULL, 'IPR032786', NULL, 'Nsp2, transmembrane domain', 'NSP2_TM_arteriviridae', 3, NULL),
(22650, NULL, 'IPR024608', NULL, 'Smad anchor for receptor activation, Smad-binding domain', 'SARA_Smad-bd', 3, NULL),
(22651, NULL, 'IPR030427', NULL, 'Membrane-spanning 4-domains subfamily A member 6A-E', 'MS4A6A-E', 4, NULL),
(22652, NULL, 'IPR028216', NULL, 'DDB1- and CUL4-associated factor 16', 'DCAF16', 4, NULL),
(22653, NULL, 'IPR024980', NULL, 'Protein of unknown function DUF3886', 'DUF3886', 4, NULL),
(22654, NULL, 'IPR027836', NULL, 'Protein of unknown function DUF4529', 'DUF4529', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22655, NULL, 'IPR028144', NULL, 'Cysteine-rich transmembrane CYSTM domain', 'CYSTM_dom', 3, NULL),
(22656, NULL, 'IPR025136', NULL, 'MAP3K, TRAFs-binding domain', 'MAP3K_TRAF-bd', 3, NULL),
(22657, NULL, 'IPR034003', NULL, 'ATP-binding cassette transporter, PDR-like subfamily G, domain 2', 'ABCG_PDR_2', 3, NULL),
(22658, NULL, 'IPR024846', NULL, 'Tuftelin', 'Tuftelin', 4, NULL),
(22659, NULL, 'IPR030115', NULL, 'Actin filament-associated protein 1-like 2', 'AFAP1L2', 4, NULL),
(22660, NULL, 'IPR030426', NULL, 'Membrane-spanning 4-domains subfamily A member 5', 'MS4A5', 4, NULL),
(22661, NULL, 'IPR030640', NULL, 'Galectin-7', 'Galectin_7', 4, NULL),
(22662, NULL, 'IPR024405', NULL, 'Prophage protein BhlA/UviB', 'Phage_BhlA/UviB', 4, NULL),
(22663, NULL, 'IPR032160', NULL, 'Domain of unknown function DUF4996', 'DUF4996', 3, NULL),
(22664, NULL, 'IPR031835', NULL, 'Antiactivator protein ExsD', 'ExsD', 4, NULL),
(22665, NULL, 'IPR032495', NULL, 'Phage tail tube protein, lambda-like', 'Phage_TTP_11', 4, NULL),
(22666, NULL, 'IPR030848', NULL, 'Elongation factor G, chloroplastic', 'EF_G_plantC', 4, NULL),
(22667, NULL, 'IPR032761', NULL, 'Plasmodium falciparum erythrocyte membrane protein 1, N-terminal', 'PfEMP1_N', 3, NULL),
(22668, NULL, 'IPR025039', NULL, 'Protein of unknown function DUF3947', 'DUF3947', 4, NULL),
(22669, NULL, 'IPR024349', NULL, 'Human herpesvirus 5 RL5A/RL6', 'HHV5_RL5A/RL6', 4, NULL),
(22670, NULL, 'IPR027024', NULL, 'ABC-type uncharacterised transport system, substrate-binding component, TM0202 type', 'UCP027386_ABC_sbc_TM0202', 4, NULL),
(22671, NULL, 'IPR025335', NULL, 'Protein of unknown function DUF4241', 'DUF4241', 4, NULL),
(22672, NULL, 'IPR025128', NULL, 'Poxvirus B22R protein C-terminal domain', 'Poxvirus_B22R_C_dom', 3, NULL),
(22673, NULL, 'IPR028927', NULL, 'Mannose-6-phosphate receptor', 'Man-6-P_rcpt', 4, NULL),
(22674, NULL, 'IPR032767', NULL, 'Ascaris metallocarboxypeptidase inhibitor', 'ACI44', 4, NULL),
(22675, NULL, 'IPR025951', NULL, 'GXWXG domain', 'GXWXG_dom', 3, NULL),
(22676, NULL, 'IPR025137', NULL, 'Bacteriophage N4 adsorption protein A, C-terminal', 'NfrA_C', 3, NULL),
(22677, NULL, 'IPR024390', NULL, 'RNA polymerase, 132kDa subunit, poxvirus-type', 'RNA_pol_132_poxvirus', 4, NULL),
(22678, NULL, 'IPR024849', NULL, 'Shootin-1', 'Shootin-1', 4, NULL),
(22679, NULL, 'IPR032803', NULL, 'PLD-like domain', 'PLDc_3', 3, NULL),
(22680, NULL, 'IPR024855', NULL, 'UNC79', 'UNC79', 4, NULL),
(22681, NULL, 'IPR031785', NULL, 'Krueppel-like factor 1', 'KLF1', 4, NULL),
(22682, NULL, 'IPR024346', NULL, 'Tegument protein, herpes virus, N-terminal domain', 'Tegument_herpes_virus_N', 3, NULL),
(22683, NULL, 'IPR026830', NULL, 'ALK tyrosine kinase receptor', 'ALK', 4, NULL),
(22684, NULL, 'IPR032816', NULL, 'SNARE associated Golgi protein', 'SNARE_assoc', 4, NULL),
(22685, NULL, 'IPR024397', NULL, 'Poxvirus poly(A) polymerase, catalytic subunit, C-terminal', 'Poxvirus_polyA_pol_cat_C', 3, NULL),
(22686, NULL, 'IPR024408', NULL, 'N-acetylmuramidase', 'Muramidase', 3, NULL),
(22687, NULL, 'IPR024421', NULL, 'Bacteriophage P22, Mnt', 'Phage_P22_Mnt', 4, NULL),
(22688, NULL, 'IPR032199', NULL, 'Recq-mediated genome instability protein 1, C-terminal OB-fold domain', 'RMI1_C', 3, NULL),
(22689, NULL, 'IPR032840', NULL, 'CFAP91 domain', 'CFAP91_dom', 3, NULL),
(22690, NULL, 'IPR025953', NULL, 'Putative coat protein YlbD', 'YlbD_coat', 4, NULL),
(22691, NULL, 'IPR031792', NULL, 'Surface antigen, GAG-binding domain', 'GAG_BD', 3, NULL),
(22692, NULL, 'IPR031537', NULL, 'Protein of unknown function DUF5092', 'DUF5092', 4, NULL),
(22693, NULL, 'IPR024352', NULL, 'RNA-dependent RNA polymerase L methyltransferase domain, paramyxovirus', 'L_methyltrans_paramyxo', 3, NULL),
(22694, NULL, 'IPR031912', NULL, 'Sharpin, PH domain', 'Sharpin_PH', 3, NULL),
(22695, NULL, 'IPR032487', NULL, 'Polyprotein allergen, nematode', 'ABA-1_nematode', 3, NULL),
(22696, NULL, 'IPR025098', NULL, 'Protein of unknown function DUF4013', 'DUF4013', 4, NULL),
(22697, NULL, 'IPR030851', NULL, 'Ribosome-releasing factor 2, mitochondrial', 'EFG2', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22698, NULL, 'IPR024829', NULL, 'Radiation-inducible immediate-early gene IEX-1', 'IEX-1', 4, NULL),
(22699, NULL, 'IPR029820', NULL, 'Basic leucine zipper transcriptional factor ATF-like', 'BATF', 4, NULL),
(22700, NULL, 'IPR028365', NULL, 'Proteasome-interacting protein Cic1, fungi', 'Cic1_fungi', 4, NULL),
(22701, NULL, 'IPR032838', NULL, 'VWA-Hint protein, Vwaint domain', 'Vwaint_dom', 3, NULL),
(22702, NULL, 'IPR024378', NULL, 'RNA-directed RNA polymerase, hantavirus, N-terminal', 'RNA-dir_pol_N_hantavirus', 3, NULL),
(22703, NULL, 'IPR024406', NULL, 'Phage tail assembly chaperone TAC-10', 'TAC-10', 4, NULL),
(22704, NULL, 'IPR032792', NULL, 'Glycogen debranching enzyme, glucanotransferase domain', 'AGL_glucanoTrfase', 3, NULL),
(22705, NULL, 'IPR026820', NULL, 'Iminophenyl-pyruvate dimer synthase', 'VioB/RebD_dom', 3, NULL),
(22706, NULL, 'IPR032782', NULL, 'Jag, N-terminal', 'Jag_N', 3, NULL),
(22707, NULL, 'IPR025952', NULL, 'R3H-associated N-terminal domain', 'R3H-assoc_dom', 3, NULL),
(22708, NULL, 'IPR030398', NULL, 'DG-type SEA domain', 'SEA_DG_dom', 3, NULL),
(22709, NULL, 'IPR028769', NULL, 'Lymphoid enhancer-binding factor 1', 'LEF1', 4, NULL),
(22710, NULL, 'IPR032252', NULL, 'Protein of unknown function DUF4827', 'DUF4827', 4, NULL),
(22711, NULL, 'IPR024347', NULL, 'GB virus, envelope protein', 'GB_virus_envelope', 3, NULL),
(22712, NULL, 'IPR024412', NULL, 'Lsr2', 'Lsr2', 4, NULL),
(22713, NULL, 'IPR024377', NULL, 'RNA-binding protein, B2', 'RNA-bd_B2', 4, NULL),
(22714, NULL, 'IPR025314', NULL, 'Domain of unknown function DUF4219', 'DUF4219', 3, NULL),
(22715, NULL, 'IPR027834', NULL, 'Pre-T-cell antigen receptor', 'PTCRA', 4, NULL),
(22716, NULL, 'IPR031890', NULL, 'F-box only protein 30/40', 'Fbxo30/Fbxo40', 4, NULL),
(22717, NULL, 'IPR026842', NULL, 'Glycoprotein-N-acetylgalactosamine 3-beta-galactosyltransferase 1', 'C1GALT1', 4, NULL),
(22718, NULL, 'IPR024977', NULL, 'Anaphase-promoting complex subunit 4, WD40 domain', 'Apc4_WD40_dom', 3, NULL),
(22719, NULL, 'IPR024358', NULL, 'Non-structural protein NSP3, N-terminal, betacoronavirus', 'NSP3_N_bCoV', 3, NULL),
(22720, NULL, 'IPR024798', NULL, 'Inositol 1,4,5-trisphosphate receptor-interacting protein-like 2', 'IP3R-int-like_2', 4, NULL),
(22721, NULL, 'IPR024387', NULL, 'Peptidase C3G, Picornavirus', 'Pept_C3G_Picornavir', 3, NULL),
(22722, NULL, 'IPR024818', NULL, 'ASX-like protein 3', 'ASXL3', 4, NULL),
(22723, NULL, 'IPR025315', NULL, 'Domain of unknown function DUF4220', 'DUF4220', 3, NULL),
(22724, NULL, 'IPR031818', NULL, 'Protein Hri1', 'Hri1', 4, NULL),
(22725, NULL, 'IPR024822', NULL, 'Coilin', 'Coilin', 4, NULL),
(22726, NULL, 'IPR032500', NULL, 'Spike glycoprotein S1, N-terminal domain, betacoronavirus-like', 'bCoV_S1_N', 3, NULL),
(22727, NULL, 'IPR030671', NULL, 'Protein transport Sec61-beta/Sbh', 'Sec61-beta/Sbh', 4, NULL),
(22728, NULL, 'IPR024806', NULL, 'Transmembrane protein 102', 'TMEM102', 4, NULL),
(22729, NULL, 'IPR028923', NULL, 'SAICAR synthetase/ADE2, N-terminal', 'SAICAR_synt/ADE2_N', 3, NULL),
(22730, NULL, 'IPR032776', NULL, 'CECR6/TMEM121 family', 'CECR6/TMEM121', 4, NULL),
(22731, NULL, 'IPR026835', NULL, 'UPF0720 protein YqcG', 'YqcG', 4, NULL),
(22732, NULL, 'IPR032749', NULL, 'Frog antimicrobial peptide Nigrocin', 'Nigrocin', 4, NULL),
(22733, NULL, 'IPR028130', NULL, 'Dermcidin', 'Dermcidin', 4, NULL),
(22734, NULL, 'IPR031815', NULL, 'Protein of unknown function DUF5074', 'DUF5074', 4, NULL),
(22735, NULL, 'IPR032514', NULL, 'Domain of unknown function DUF4965', 'DUF4965', 3, NULL),
(22736, NULL, 'IPR029846', NULL, 'Protein yellow', 'Yellow', 4, NULL),
(22737, NULL, 'IPR030850', NULL, 'Exosome complex component Csl4, archaea', 'Exosome_Csl4_arc', 4, NULL),
(22738, NULL, 'IPR026792', NULL, 'Cornulin', 'Cornulin', 4, NULL),
(22739, NULL, 'IPR024988', NULL, 'Domain of unknown function DUF3890', 'DUF3890', 3, NULL),
(22740, NULL, 'IPR025318', NULL, 'Protein of unknown function DUF4223', 'DUF4223', 4, NULL),
(22741, NULL, 'IPR031907', NULL, 'Germinal-centre associated nuclear protein, MCM3AP domain', 'MCM3AP_GANP', 3, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22742, NULL, 'IPR028341', NULL, 'Complement factor B', 'Complement_B', 4, NULL),
(22743, NULL, 'IPR025105', NULL, 'Domain of unknown function DUF4010', 'DUF4010', 3, NULL),
(22744, NULL, 'IPR024979', NULL, 'Protein of unknown function DUF3884', 'DUF3884', 4, NULL),
(22745, NULL, 'IPR030891', NULL, 'HaoA-associated protein HaoB', 'HaoB_nitrify', 4, NULL),
(22746, NULL, 'IPR031159', NULL, 'Helper-component proteinase (HC-Pro) cysteine protease (CPD) domain', 'HC_PRO_CPD_dom', 3, NULL),
(22747, NULL, 'IPR029790', NULL, 'EFG1/Phd1/StuA family', 'EFG1/Phd1/StuA', 4, NULL),
(22748, NULL, 'IPR030495', NULL, 'Transcription factor RelA (p65)', 'RelA', 4, NULL),
(22749, NULL, 'IPR024394', NULL, 'RNA polymerase, 30kDa subunit, chordopox-type, N-terminal', 'RNA_pol_30_chordopoxvir-type_N', 3, NULL),
(22750, NULL, 'IPR030275', NULL, 'Multidrug resistance protein 3', 'MDR3', 4, NULL),
(22751, NULL, 'IPR028127', NULL, 'Ripply family', 'Ripply_fam', 4, NULL),
(22752, NULL, 'IPR025133', NULL, 'Poxvirus B22R protein N-terminal domain', 'Poxvirus_B22R_N_dom', 3, NULL),
(22753, NULL, 'IPR030845', NULL, 'Regulator of telomere elongation helicase 1', 'RTEL1', 4, NULL),
(22754, NULL, 'IPR032163', NULL, 'Domain of unknown function DUF4999', 'DUF4999', 3, NULL),
(22755, NULL, 'IPR032751', NULL, 'Protein fuseless', 'Fuseless', 4, NULL),
(22756, NULL, 'IPR025092', NULL, 'Glycosyl hydrolase family 66', 'Glyco_hydro_66', 4, NULL),
(22757, NULL, 'IPR026841', NULL, 'Inositolphosphotransferase Aur1/Ipt1', 'Aur1/Ipt1', 3, NULL),
(22758, NULL, 'IPR026801', NULL, 'Transmembrane protein 160', 'TMEM160', 4, NULL),
(22759, NULL, 'IPR031959', NULL, 'Protein of unknown function DUF4779', 'DUF4779', 4, NULL),
(22760, NULL, 'IPR031789', NULL, 'NBD94 domain', 'NBD94', 3, NULL),
(22761, NULL, 'IPR033991', NULL, 'Selectin, C-type lectin-like domain', 'Selectin_CTLD', 3, NULL),
(22762, NULL, 'IPR025096', NULL, 'Protein of unknown function DUF4014', 'DUF4014', 4, NULL),
(22763, NULL, 'IPR025110', NULL, 'AMP-binding enzyme, C-terminal domain', 'AMP-bd_C', 3, NULL),
(22764, NULL, 'IPR024808', NULL, 'Inositol 1,4,5-trisphosphate receptor-interacting protein-like 1', 'IP3R-int-like_1', 4, NULL),
(22765, NULL, 'IPR032769', NULL, 'Nck-associated protein 5, C-terminal', 'NCKAP5_C', 3, NULL),
(22766, NULL, 'IPR029866', NULL, 'Steroidogenic acute regulatory protein', 'StAR', 4, NULL),
(22767, NULL, 'IPR025326', NULL, 'Protein of unknown function DUF4232', 'DUF4232', 4, NULL),
(22768, NULL, 'IPR030395', NULL, 'Glycerophosphodiester phosphodiesterase domain', 'GP_PDE_dom', 3, NULL),
(22769, NULL, 'IPR029632', NULL, 'Zygote defective protein 9', 'Zyg-9', 4, NULL),
(22770, NULL, 'IPR030076', NULL, 'Glia maturation factor gamma', 'GMFG', 4, NULL),
(22771, NULL, 'IPR030013', NULL, 'Scarecrow-like protein 8', 'Scarecrow-like_8', 4, NULL),
(22772, NULL, 'IPR029704', NULL, 'STEEP-like', 'STEEP-like', 4, NULL),
(22773, NULL, 'IPR024389', NULL, 'Baseplate tail-tube protein gp48, T4-like virus', 'Gp48_T4-like', 4, NULL),
(22774, NULL, 'IPR024868', NULL, 'Four-jointed box protein 1/four-jointed protein', 'FJX1/FJ', 4, NULL),
(22775, NULL, 'IPR031289', NULL, 'Anoctamin-8', 'Anoctamin-8', 4, NULL),
(22776, NULL, 'IPR028214', NULL, 'Testis-specific serine kinase substrate', 'TSKS', 4, NULL),
(22777, NULL, 'IPR026790', NULL, 'Sentan', 'Sentan', 4, NULL),
(22778, NULL, 'IPR024375', NULL, 'Non-structural protein NSP3, SUD-M domain, betacoronavirus', 'NSP3_bCoV', 3, NULL),
(22779, NULL, 'IPR032839', NULL, 'Rab3-GAP regulatory subunit, N-terminal', 'RAB3GAP_N', 3, NULL),
(22780, NULL, 'IPR031822', NULL, 'Fiber protein 1, C-terminal', 'AdHead_fibreRBD', 3, NULL),
(22781, NULL, 'IPR024967', NULL, 'DNA-binding domain, IS481-type', 'DNA-bd_IS481-type', 3, NULL),
(22782, NULL, 'IPR030113', NULL, 'Actin-filament associated protein', 'AFAP', 4, NULL),
(22783, NULL, 'IPR024424', NULL, 'Replicative helicase inhibitor G39P, N-terminal', 'G39P_N', 3, NULL),
(22784, NULL, 'IPR032507', NULL, 'Domain of unknown function DUF4975', 'DUF4975', 3, NULL),
(22785, NULL, 'IPR032505', NULL, 'Non-structural protein NSP4, C-terminal, coronavirus', 'NSP4_C_CoV', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22786, NULL, 'IPR024343', NULL, 'Capsid protein VP4, dicistrovirus', 'VP4_dicistrovir', 3, NULL),
(22787, NULL, 'IPR032509', NULL, 'Domain of unknown function DUF4973', 'DUF4973', 3, NULL),
(22788, NULL, 'IPR025316', NULL, 'Protein of unknown function DUF4221', 'DUF4221', 4, NULL),
(22789, NULL, 'IPR032841', NULL, 'Arterivirus polyprotein, nsp2, non-essential region', 'NSP2_assoc', 3, NULL),
(22790, NULL, 'IPR032248', NULL, 'Protein of unknown function DUF4823', 'DUF4823', 4, NULL),
(22791, NULL, 'IPR031906', NULL, 'Regulator of Ty1 transposition protein 107, BRCT domain', 'RTT107_BRCT_6', 3, NULL),
(22792, NULL, 'IPR030017', NULL, 'Scarecrow-like protein 18', 'Scarecrow-like_18', 4, NULL),
(22793, NULL, 'IPR025786', NULL, 'Mononegavirus L protein 2-O-ribose methyltransferase', 'Mononega_L_MeTrfase', 3, NULL),
(22794, NULL, 'IPR032788', NULL, 'Glycogen debranching enzyme, central domain', 'AGL_central', 3, NULL),
(22795, NULL, 'IPR032758', NULL, 'Antitoxin MqsA/HigA-2', 'MqsA/HigA-2', 4, NULL),
(22796, NULL, 'IPR025323', NULL, 'Protein of unknown function DUF4229', 'DUF4229', 4, NULL),
(22797, NULL, 'IPR024833', NULL, 'Regulated endocrine-specific protein 18', 'RESP18', 4, NULL),
(22798, NULL, 'IPR032747', NULL, 'Nuclear fragile X mental retardation-interacting protein 2', 'NUFIP2', 4, NULL),
(22799, NULL, 'IPR034073', NULL, 'Subtilisin DY-like, domain', 'Subtilisin_DY-like_dom', 3, NULL),
(22800, NULL, 'IPR032760', NULL, 'Bacterial toxin 6', 'Ntox6', 4, NULL),
(22801, NULL, 'IPR031788', NULL, 'CS6 fimbrial subunit A/B', 'CssA/B', 4, NULL),
(22802, NULL, 'IPR032784', NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase, middle domain', 'THDPS_M', 3, NULL),
(22803, NULL, 'IPR030457', NULL, 'ELO family, conserved site', 'ELO_CS', 2, NULL),
(22804, NULL, 'IPR032154', NULL, 'Coatomer subunit gamma, C-terminal', 'Coatomer_g_Cpla', 3, NULL),
(22805, NULL, 'IPR026823', NULL, 'Complement Clr-like EGF domain', 'cEGF', 3, NULL),
(22806, NULL, 'IPR024797', NULL, 'Inositol 1,4,5-trisphosphate receptor-interacting protein', 'IP3R-int', 4, NULL),
(22807, NULL, 'IPR024413', NULL, 'Bacteriophage phiKZ, Orf92, internal head', 'Phage_phiKZ_Orf92_int-head', 4, NULL),
(22808, NULL, 'IPR024817', NULL, 'ASX-like protein 2', 'ASXL2', 4, NULL),
(22809, NULL, 'IPR026825', NULL, 'Vacuole morphology and inheritance protein 14', 'Vac14', 4, NULL),
(22810, NULL, 'IPR034075', NULL, 'Glr3161-like, domain', 'Glr3161-like_dom', 3, NULL),
(22811, NULL, 'IPR032494', NULL, 'Lambda phage tail tube protein', 'Phage_TTP_12', 4, NULL),
(22812, NULL, 'IPR024344', NULL, 'Mycothiol-dependent maleylpyruvate isomerase, metal-binding domain', 'MDMPI_metal-binding', 3, NULL),
(22813, NULL, 'IPR031831', NULL, 'cGMP-dependent protein kinase, N-terminal coiled-coil domain', 'PKcGMP_CC', 3, NULL),
(22814, NULL, 'IPR032508', NULL, 'Protein FecR, C-terminal', 'FecR_C', 3, NULL),
(22815, NULL, 'IPR030116', NULL, 'Formin-binding protein 1-like', 'FNBP1L', 4, NULL),
(22816, NULL, 'IPR024401', NULL, 'WYL domain containing protein', 'WYL_prot', 4, NULL),
(22817, NULL, 'IPR024836', NULL, 'Janus kinase and microtubule-interacting protein', 'JAKMIP', 4, NULL),
(22818, NULL, 'IPR031958', NULL, 'Protein of unknown function DUF4778', 'DUF4778', 4, NULL),
(22819, NULL, 'IPR031328', NULL, 'Ephrin', 'Ephrin', 4, NULL),
(22820, NULL, 'IPR024596', NULL, 'DNA-directed RNA polymerase subunit beta/EpuA', 'RNApol_su_b/EpuA', 4, NULL),
(22821, NULL, 'IPR032158', NULL, 'Domain of unknown function DUF4994', 'DUF4994', 3, NULL),
(22822, NULL, 'IPR032153', NULL, 'Domain of unknown function DUF4990', 'DUF4990', 3, NULL),
(22823, NULL, 'IPR032754', NULL, 'Leucine-rich repeat-containing protein 37, N-terminal', 'LRRC37_N', 3, NULL),
(22824, NULL, 'IPR028208', NULL, 'Effector protein NleD-like', 'Effector_pro_NleD-like', 4, NULL),
(22825, NULL, 'IPR031160', NULL, 'F-BAR domain', 'F_BAR', 3, NULL),
(22826, NULL, 'IPR032774', NULL, 'WG containing repeat', 'WG_beta_rep', 7, NULL),
(22827, NULL, 'IPR032778', NULL, 'Growth factor receptor domain 4', 'GF_recep_IV', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22828, NULL, 'IPR024842', NULL, 'Triple repetitive-sequence of QXXK/R protein', 'TRIQK', 4, NULL),
(22829, NULL, 'IPR032196', NULL, 'Fragile X-related mental retardation protein, C-terminal region 2', 'FXMR_C2', 3, NULL),
(22830, NULL, 'IPR025345', NULL, 'Protein of unknown function DUF4249', 'DUF4249', 4, NULL),
(22831, NULL, 'IPR032770', NULL, 'Domain of unknown function DUF4537', 'DUF4537', 3, NULL),
(22832, NULL, 'IPR024351', NULL, 'Tegument protein UL11, Herpesvirus', 'Tegument_UL11_Herpesvir', 4, NULL),
(22833, NULL, 'IPR026806', NULL, 'Protein CDV3', 'CDV3', 4, NULL),
(22834, NULL, 'IPR025338', NULL, 'Protein of unknown function DUF4244', 'DUF4244', 4, NULL),
(22835, NULL, 'IPR031864', NULL, 'Protein of unknown function DUF4756', 'DUF4756', 4, NULL),
(22836, NULL, 'IPR025113', NULL, 'TRL-like protein family', 'TRL-like', 4, NULL),
(22837, NULL, 'IPR027837', NULL, 'Kinocilin protein', 'Kinocilin', 4, NULL),
(22838, NULL, 'IPR031290', NULL, 'Anoctamin-9', 'Anoctamin-9', 4, NULL),
(22839, NULL, 'IPR031911', NULL, 'Pesticin immunity protein', 'Pim', 4, NULL),
(22840, NULL, 'IPR024815', NULL, 'ASX-like protein 1', 'ASXL1', 4, NULL),
(22841, NULL, 'IPR025040', NULL, 'Protein of unknown function DUF3984', 'DUF3984', 4, NULL),
(22842, NULL, 'IPR025121', NULL, 'GTPase HflX, N-terminal', 'GTPase_HflX_N', 3, NULL),
(22843, NULL, 'IPR030274', NULL, 'SUN domain-containing protein 3', 'SUN3', 4, NULL),
(22844, NULL, 'IPR024814', NULL, 'Polycomb protein ASX', 'Polycomb_ASX', 4, NULL),
(22845, NULL, 'IPR029520', NULL, 'Nucleoredoxin-like protein 1', 'RdCVF', 4, NULL),
(22846, NULL, 'IPR031539', NULL, 'Protein of unknown function DUF5090', 'DUF5090', 4, NULL),
(22847, NULL, 'IPR028203', NULL, 'Photosynthesis system II assembly factor Ycf48/Hcf136-like domain', 'PSII_CF48-like_dom', 3, NULL),
(22848, NULL, 'IPR025212', NULL, 'Centromere protein Q', 'CAD_CENP-Q', 4, NULL),
(22849, NULL, 'IPR031109', NULL, 'Ring finger and CHY zinc finger domain-containing protein, plant', 'Rinc_finger_CHY_Zinc_plant', 4, NULL),
(22850, NULL, 'IPR031285', NULL, 'Amphoterin-induced protein 3', 'AMIGO3', 4, NULL),
(22851, NULL, 'IPR024900', NULL, 'O-acetyl-ADP-ribose deacetylase', 'O-Ac-ADP-ribose_deAcase', 4, NULL),
(22852, NULL, 'IPR028146', NULL, 'Glucosidase II beta subunit, N-terminal', 'PRKCSH_N', 3, NULL),
(22853, NULL, 'IPR027830', NULL, 'Domain of unknown function DUF4524', 'DUF4524', 3, NULL),
(22854, NULL, 'IPR032765', NULL, 'Testis expressed sequence 15 domain', 'TEX15_dom', 3, NULL),
(22855, NULL, 'IPR032499', NULL, 'Bacteriophage CI repressor, C-terminal', 'Phage_CI_C', 3, NULL),
(22856, NULL, 'IPR031961', NULL, 'Domain of unknown function DUF4780', 'DUF4780', 3, NULL),
(22857, NULL, 'IPR027835', NULL, 'Transmembrane protein 174', 'TMEM174', 4, NULL),
(22858, NULL, 'IPR032513', NULL, 'Alpha-glucosidase, N-terminal', 'AGL_N', 3, NULL),
(22859, NULL, 'IPR026802', NULL, 'Odontogenic ameloblast-associated protein', 'Odam', 4, NULL),
(22860, NULL, 'IPR030885', NULL, 'Putative large structural protein', 'Lepto_longest', 4, NULL),
(22861, NULL, 'IPR025217', NULL, 'Domain of unknown function DUF3944', 'DUF3944', 3, NULL),
(22862, NULL, 'IPR031840', NULL, 'Protein male-specific lethal-1, dimerisation domain', 'MSL1_dimer', 3, NULL),
(22863, NULL, 'IPR030841', NULL, 'Endonuclease III-like protein 1', 'NTH1', 4, NULL),
(22864, NULL, 'IPR024409', NULL, 'Protein of unknown function DUF3833', 'DUF3833', 4, NULL),
(22865, NULL, 'IPR030497', NULL, 'Nuclear factor NF-kappa-B, p100 subunit', 'NFkB_p100', 4, NULL),
(22866, NULL, 'IPR025312', NULL, 'Domain of unknown function DUF4216', 'DUF4216', 3, NULL),
(22867, NULL, 'IPR029513', NULL, 'Transferrin receptor protein 1', 'TfR', 4, NULL),
(22868, NULL, 'IPR031339', NULL, 'Domain of unknown function DUF4942', 'DUF4942', 3, NULL),
(22869, NULL, 'IPR025069', NULL, 'Cleavage and polyadenylation specificity factor 2, C-terminal', 'Cpsf2_C', 3, NULL),
(22870, NULL, 'IPR031867', NULL, 'MiT/TFE transcription factors, N-terminal', 'MiT/TFE_N', 3, NULL),
(22871, NULL, 'IPR028140', NULL, 'Protein TraM', 'TraM', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22872, NULL, 'IPR027817', NULL, 'Costars domain', 'Costars_dom', 3, NULL),
(22873, NULL, 'IPR027841', NULL, 'Interleukin-17 receptor C/E, N-terminal', 'IL-17_rcpt_C/E_N', 3, NULL),
(22874, NULL, 'IPR031823', NULL, 'TRAP transporter T-component', 'TatT', 4, NULL),
(22875, NULL, 'IPR025222', NULL, 'Protein of unknown function DUF3945', 'DUF3945', 3, NULL),
(22876, NULL, 'IPR024379', NULL, 'Waikavirus, capsid protein 1', 'Waikavirus_capsid-1', 4, NULL),
(22877, NULL, 'IPR024864', NULL, 'Nucleoporin Nup54/Nup57/Nup44', 'Nup54/Nup57/Nup44', 4, NULL),
(22878, NULL, 'IPR032249', NULL, 'Protein of unknown function DUF4824', 'DUF4824', 4, NULL),
(22879, NULL, 'IPR026085', NULL, 'Activating transcription factor 7-interacting protein', 'ATF7-int', 4, NULL),
(22880, NULL, 'IPR032801', NULL, 'Peroxiredoxin-like 2A/B/C', 'PXL2A/B/C', 4, NULL),
(22881, NULL, 'IPR024689', NULL, 'Proteasome beta subunit, C-terminal', 'Proteasome_bsu_C', 3, NULL),
(22882, NULL, 'IPR032750', NULL, 'Transposon Tn7 transposition protein TnsD, C-termianl', 'TnsD_C', 3, NULL),
(22883, NULL, 'IPR024342', NULL, 'Bacteriophage baseplate structural protein Gp28', 'Phage_T4_Gp28', 4, NULL),
(22884, NULL, 'IPR029848', NULL, 'Sodium-dependent phosphate transport protein 2A', 'Na/Pi_transpt_2A', 4, NULL),
(22885, NULL, 'IPR031863', NULL, 'Protein of unknown function DUF4755', 'DUF4755', 4, NULL),
(22886, NULL, 'IPR030106', NULL, 'Proline-serine-threonine phosphatase-interacting protein 2', 'PSTPIP2', 4, NULL),
(22887, NULL, 'IPR031971', NULL, 'Unconventional myosin-X, coiled coil domain', 'MYO10_CC', 3, NULL),
(22888, NULL, 'IPR032752', NULL, 'DC-UbP/UBTD2, N-terminal domain', 'DC-UbP/UBTD2_N', 3, NULL),
(22889, NULL, 'IPR024867', NULL, 'Nuclear factor related to kappa-B-binding protein', 'NFRKB', 4, NULL),
(22890, NULL, 'IPR025332', NULL, 'Protein of unknown function DUF4238', 'DUF4238', 4, NULL),
(22891, NULL, 'IPR030112', NULL, 'Actin filament-associated protein 1-like 1', 'AFAP1L1', 4, NULL),
(22892, NULL, 'IPR031836', NULL, 'Late-transcription coactivator', 'Trans_coact', 4, NULL),
(22893, NULL, 'IPR029518', NULL, 'Lysine-specific demethylase 6B', 'KDM6B', 4, NULL),
(22894, NULL, 'IPR024364', NULL, 'Baseplate hub assembly protein, bacteriophage T4-like', 'Baseplate_phage_T4-like', 4, NULL),
(22895, NULL, 'IPR025337', NULL, 'Questin oxidase-like', 'Questin_oxidase-like', 4, NULL),
(22896, NULL, 'IPR032510', NULL, 'Protein of unknown function DUF4972', 'DUF4972', 4, NULL),
(22897, NULL, 'IPR031443', NULL, 'Mitochondrial biogenesis regulation protein 1', 'Mbr1', 4, NULL),
(22898, NULL, 'IPR024422', NULL, 'Protein of unknown function, OB-fold-containing', 'Protein_unknown_function_OB', 4, NULL),
(22899, NULL, 'IPR029614', NULL, 'Cat eye syndrome critical region protein 2', 'CECR2', 4, NULL),
(22900, NULL, 'IPR024810', NULL, 'Mab-21 domain', 'Mab-21_dom', 3, NULL),
(22901, NULL, 'IPR024825', NULL, 'Uroplakin-3a', 'Uroplakin-3a', 4, NULL),
(22902, NULL, 'IPR025320', NULL, 'Protein of unknown function DUF4225', 'DUF4225', 4, NULL),
(22903, NULL, 'IPR031791', NULL, 'Avirulence protein ATR13', 'ATR13', 4, NULL),
(22904, NULL, 'IPR024399', NULL, 'Protein of unknown function DUF2628', 'DUF2628', 4, NULL),
(22905, NULL, 'IPR032488', NULL, 'Protein of unknown function DUF5049', 'DUF5049', 4, NULL),
(22906, NULL, 'IPR030895', NULL, 'T5SS/PEP-CTERM-associated repeat', 'T5SS_PEPC_rpt', 7, NULL),
(22907, NULL, 'IPR025310', NULL, 'Protein of unknown function DUF4164', 'DUF4164', 4, NULL),
(22908, NULL, 'IPR028364', NULL, 'Ribosomal protein L1/ribosomal biogenesis protein', 'Ribosomal_L1/biogenesis', 4, NULL),
(22909, NULL, 'IPR028141', NULL, 'Transcriptional regulator', 'Transcriptional_reg_dom', 3, NULL),
(22910, NULL, 'IPR032759', NULL, 'Bacterial toxin 5', 'Ntox5', 4, NULL),
(22911, NULL, 'IPR032498', NULL, 'PI3K regulatory subunit p85-related , inter-SH2 domain', 'PI3K_P85_iSH2', 3, NULL),
(22912, NULL, 'IPR031839', NULL, 'Protein of unknown function DUF5070', 'DUF5070', 4, NULL),
(22913, NULL, 'IPR028343', NULL, 'Fructose-1,6-bisphosphatase', 'FBPtase', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22914, NULL, 'IPR024362', NULL, 'Protein of unknown function DUF2685', 'DUF2685', 4, NULL),
(22915, NULL, 'IPR025317', NULL, 'Protein of unknown function DUF4222', 'DUF4222', 4, NULL),
(22916, NULL, 'IPR026794', NULL, 'Uncharacterised protein family UPF0687', 'UPF0687', 4, NULL),
(22917, NULL, 'IPR025213', NULL, 'Kinetochore Sim4 complex subunit Fta2', 'Sim4_Fta2', 4, NULL),
(22918, NULL, 'IPR031837', NULL, 'Domain of unknown function DUF5071', 'DUF5071', 3, NULL),
(22919, NULL, 'IPR025342', NULL, 'Protein of unknown function DUF4248', 'DUF4248', 4, NULL),
(22920, NULL, 'IPR024845', NULL, 'Nance-Horan syndrome protein family', 'NHS_fam', 4, NULL),
(22921, NULL, 'IPR032780', NULL, 'DNA polymerase III subunit delta, C-terminal', 'DNA_pol3_delt_C', 3, NULL),
(22922, NULL, 'IPR030594', NULL, 'Kelch-like protein 17/20', 'KLHL17/KLHL20', 4, NULL),
(22923, NULL, 'IPR025112', NULL, 'Putative carbohydrate metabolism domain', 'PCMD', 3, NULL),
(22924, NULL, 'IPR031284', NULL, 'Amphoterin-induced protein 1', 'AMIGO1', 4, NULL),
(22925, NULL, 'IPR026789', NULL, 'Coiled-coil domain-containing protein 160', 'Ccdc160', 4, NULL),
(22926, NULL, 'IPR032799', NULL, 'Xylanase inhibitor, C-terminal', 'TAXi_C', 3, NULL),
(22927, NULL, 'IPR026829', NULL, 'Protein Mon2-like', 'Mon2-like', 4, NULL),
(22928, NULL, 'IPR029610', NULL, 'Peroxidasin-like protein', 'PXDNL', 4, NULL),
(22929, NULL, 'IPR031540', NULL, 'Protein of unknown function DUF5088', 'DUF5088', 4, NULL),
(22930, NULL, 'IPR031841', NULL, 'DL-endopeptidase inhibitor IseA', 'Endopep_inhib', 4, NULL),
(22931, NULL, 'IPR028124', NULL, 'Small acidic protein-like domain', 'SMAP_dom', 3, NULL),
(22932, NULL, 'IPR032746', NULL, 'Treslin, N-terminal', 'Treslin_N', 3, NULL),
(22933, NULL, 'IPR029514', NULL, 'Aminopeptidase Y', 'Ape3', 4, NULL),
(22934, NULL, 'IPR024981', NULL, 'Domain of unknown function DUF3887', 'DUF3887', 3, NULL),
(22935, NULL, 'IPR032812', NULL, 'SbsA, Ig-like domain', 'SbsA_Ig', 3, NULL),
(22936, NULL, 'IPR032773', NULL, 'Protein MGARP, N-terminal', 'MGARP_N', 3, NULL),
(22937, NULL, 'IPR025214', NULL, 'Centromere protein U', 'CENP-U', 4, NULL),
(22938, NULL, 'IPR032802', NULL, 'Peroxiredoxin-like 2A', 'PRXL2A', 4, NULL),
(22939, NULL, 'IPR032156', NULL, 'Domain of unknown function DUF4993', 'DUF4993', 3, NULL),
(22940, NULL, 'IPR032785', NULL, 'Replicase polyprotein 1ab, peptidase C33-associated domain', 'Pdase_C33_assoc', 3, NULL),
(22941, NULL, 'IPR030693', NULL, 'Protein NDRG1', 'NDRG1', 4, NULL),
(22942, NULL, 'IPR024354', NULL, 'Hepatitis A virus, protein VP1-2A', 'Hepatitis_A_VP1-2A', 4, NULL),
(22943, NULL, 'IPR031909', NULL, 'Alginate biosynthesis sensor protein KinB, sensor domain', 'KinB_sensor_dom', 3, NULL),
(22944, NULL, 'IPR030104', NULL, 'Actin-binding protein IPP', 'IPP', 4, NULL),
(22945, NULL, 'IPR034074', NULL, 'Y4bN, peptidase domain', 'Y4bN_pept_dom', 3, NULL),
(22946, NULL, 'IPR026834', NULL, 'LHH', 'LHH', 3, NULL),
(22947, NULL, 'IPR026822', NULL, 'Spp2/MOS2, G-patch domain', 'Spp2/MOS2_G-patch', 3, NULL),
(22948, NULL, 'IPR031825', NULL, 'RXLR phytopathogen effector protein', 'RXLR', 4, NULL),
(22949, NULL, 'IPR032501', NULL, 'Proteasomal ATPase OB C-terminal domain', 'Prot_ATP_ID_OB', 3, NULL),
(22950, NULL, 'IPR026083', NULL, 'FAM47C/D protein', 'FAM47C/D', 4, NULL),
(22951, NULL, 'IPR025700', NULL, 'L-lysine 6-monooxygenase/L-ornithine 5-monooxygenase', 'Lys/Orn_oxygenase', 4, NULL),
(22952, NULL, 'IPR028762', NULL, 'Ski family transcriptional corepressor 1', 'SKOR1', 4, NULL),
(22953, NULL, 'IPR029609', NULL, 'Myeloperoxidase', 'MPO', 4, NULL),
(22954, NULL, 'IPR024975', NULL, 'Protein NO VEIN, C-terminal', 'NOV_C', 3, NULL),
(22955, NULL, 'IPR032756', NULL, 'Domain of unknown function DUF4685', 'DUF4685', 3, NULL),
(22956, NULL, 'IPR028207', NULL, 'DNA polymerase beta, palm domain', 'DNA_pol_B_palm_palm', 3, NULL),
(22957, NULL, 'IPR032493', NULL, 'Phage tail tube protein family', 'Phage_TTP_13', 4, NULL),
(22958, NULL, 'IPR027811', NULL, 'CRISPR-associated protein  Cas8a1/Csx13, Myxan subtype, C-terminal', 'CRISPR-assoc_Csx13_C', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(22959, NULL, 'IPR032426', NULL, 'SUMO-activating enzyme subunit 2, C-terminal domain', 'UBA2_C', 3, NULL),
(22960, NULL, 'IPR031963', NULL, 'Histone deacetylase complex subunit SAP130, C-terminal domain', 'SAP130_C', 3, NULL),
(22961, NULL, 'IPR030596', NULL, 'Kelch-like protein 24', 'KLHL24', 4, NULL),
(22962, NULL, 'IPR024407', NULL, 'Protein 3a, betacoronavirus', 'Protein_3a_bCoV', 4, NULL),
(22963, NULL, 'IPR029626', NULL, 'Allergin-1', 'Allergin-1', 4, NULL),
(22964, NULL, 'IPR030456', NULL, 'Fork head domain conserved site 2', 'TF_fork_head_CS_2', 2, NULL),
(22965, NULL, 'IPR027833', NULL, 'Domain of unknown function DUF4525', 'DUF4525', 4, NULL),
(22966, NULL, 'IPR030887', NULL, 'YaiO family, OMP domain', 'OMP_YaiO_dom', 3, NULL),
(22967, NULL, 'IPR032842', NULL, 'Gametocyte-specific factor 1-like', 'GTSF1L', 4, NULL),
(22968, NULL, 'IPR024373', NULL, 'Bacteriophage T4, IpI', 'Phage_T4_IpI', 4, NULL),
(22969, NULL, 'IPR032766', NULL, 'Fission yeast  Sec3, C-terminal', 'Sec3_C_2', 3, NULL),
(22970, NULL, 'IPR024869', NULL, 'FAM20', 'FAM20', 4, NULL),
(22971, NULL, 'IPR026795', NULL, 'Shiftless antiviral inhibitor of ribosomal frameshifting', 'SHFL', 4, NULL),
(22972, NULL, 'IPR028380', NULL, '1-phosphatidylinositol 4,5-bisphosphate phosphodiesterase gamma-1', 'PLC-gamma1', 4, NULL),
(22973, NULL, 'IPR030641', NULL, 'Grifin', 'Grifin', 4, NULL),
(22974, NULL, 'IPR032250', NULL, 'Domain of unknown function DUF4825', 'DUF4825', 3, NULL),
(22975, NULL, 'IPR025336', NULL, 'Protein of unknown function DUF4242', 'DUF4242', 4, NULL),
(22976, NULL, 'IPR032502', NULL, 'Protein of unknown function DUF4979', 'DUF4979', 4, NULL),
(22977, NULL, 'IPR029519', NULL, 'Nucleoredoxin-like protein 2', 'RdCVF2', 4, NULL),
(22978, NULL, 'IPR032779', NULL, 'Flagellar motor switch protein FliG, middle domain', 'FliG_M', 3, NULL),
(22979, NULL, 'IPR025329', NULL, 'Protein of unknown function DUF4235', 'DUF4235', 4, NULL),
(22980, NULL, 'IPR024400', NULL, 'Protein of unknown function DUF2635', 'DUF2635', 4, NULL),
(22981, NULL, 'IPR024402', NULL, 'Domain of unknown function DUF2726', 'DUF2726', 3, NULL),
(22982, NULL, 'IPR032772', NULL, 'Poly-beta-1,6-N-acetyl-D-glucosamine N-deacetylase PgaB, C-terminal', 'PGA_deacetylase_PgaB_C', 3, NULL),
(22983, NULL, 'IPR027815', NULL, '10TM putative phosphate transporter, cytosolic domain', 'PHM7_cyt', 3, NULL),
(22984, NULL, 'IPR030846', NULL, 'DNA primase DnaG, bacteria', 'DnaG_bac', 4, NULL),
(22985, NULL, 'IPR032768', NULL, 'G2 and S phase-expressed protein 1, N-terminal', 'GTSE1_N', 3, NULL),
(22986, NULL, 'IPR030750', NULL, 'Ral guanine nucleotide dissociation stimulator-like 3', 'RGL3', 4, NULL),
(22987, NULL, 'IPR030343', NULL, 'Solute carrier family 12 member 8', 'SLC12A8', 4, NULL),
(22988, NULL, 'IPR024858', NULL, 'Golgin subfamily A', 'Golgin_A', 4, NULL),
(22989, NULL, 'IPR025319', NULL, 'Domain of unknown function DUF4224', 'DUF4224', 3, NULL),
(22990, NULL, 'IPR027006', NULL, 'Synaptotagmin-like protein 2', 'SYTL2', 4, NULL),
(22991, NULL, 'IPR028366', NULL, 'Phosphate transport system protein PhoU', 'P_transport_PhoU', 4, NULL),
(22992, NULL, 'IPR032504', NULL, 'Domain of unknown function DUF4978', 'DUF4978', 3, NULL),
(22993, NULL, 'IPR027821', NULL, 'Shieldin complex subunit 1', 'SHLD1', 4, NULL),
(22994, NULL, 'IPR032777', NULL, 'Domain of unknown function DUF4515', 'DUF4515', 3, NULL),
(22995, NULL, 'IPR028132', NULL, 'Tubulinyl-Tyr carboxypeptidase 1', 'Vasohibin-1', 4, NULL),
(22996, NULL, 'IPR030425', NULL, 'Membrane-spanning 4-domains subfamily A member 4A', 'MS4A_4A', 4, NULL),
(22997, NULL, 'IPR031908', NULL, 'Germinal-centre associated nuclear protein, nucleoporin homology domain', 'NupH_GANP', 3, NULL),
(22998, NULL, 'IPR024419', NULL, 'Protein of unknown function YvrJ', 'YvrJ', 4, NULL),
(22999, NULL, 'IPR032149', NULL, 'Domain of unknown function DUF4988', 'DUF4988', 3, NULL),
(23000, NULL, 'IPR032503', NULL, 'FAD dependent oxidoreductase, central domain', 'FAO_M', 3, NULL),
(23001, NULL, 'IPR026383', NULL, 'Seadornavirus VP4 protein', 'Seadorna_VP4', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23002, NULL, 'IPR034232', NULL, 'Carboxypeptidase E, carboxypeptidase domain', 'M14_CPE_CPD', 3, NULL),
(23003, NULL, 'IPR025181', NULL, 'Protein of unknown function DUF4108', 'DUF4108', 4, NULL),
(23004, NULL, 'IPR028720', NULL, 'Protein HEG', 'HEG', 4, NULL),
(23005, NULL, 'IPR031511', NULL, 'Domain of unknown function DUF5097', 'DUF5097', 3, NULL),
(23006, NULL, 'IPR025425', NULL, 'Tox-PAAR-like domain', 'Tox_PAAR-like', 3, NULL),
(23007, NULL, 'IPR032359', NULL, 'Protein of unknown function DUF4868', 'DUF4868', 4, NULL),
(23008, NULL, 'IPR024474', NULL, 'Transposase IS66, zinc-finger binding domain of', 'Znf_dom_IS66', 3, NULL),
(23009, NULL, 'IPR025438', NULL, 'Domain of unknown function DUF4180', 'DUF4180', 3, NULL),
(23010, NULL, 'IPR031669', NULL, 'Fibronectin type III domain, fungi', 'Fn3_2', 3, NULL),
(23011, NULL, 'IPR026121', NULL, 'Helicase Sen1', 'Sen1', 4, NULL),
(23012, NULL, 'IPR031992', NULL, 'Domain of unknown function DUF4788', 'DUF4788', 3, NULL),
(23013, NULL, 'IPR025974', NULL, 'Mif2/CENP-C cupin domain', 'Mif2/CENP-C_cupin', 3, NULL),
(23014, NULL, 'IPR027586', NULL, 'Putative radical SAM/SPASM metalloenzyme maturase', 'rSAM_metal_mat', 4, NULL),
(23015, NULL, 'IPR025363', NULL, 'Protein of unknown function DUF4267', 'DUF4267', 4, NULL),
(23016, NULL, 'IPR025043', NULL, 'Domain of unknown function DUF3981', 'DUF3981', 3, NULL),
(23017, NULL, 'IPR025366', NULL, 'Protein of unknown function DUF4270', 'DUF4270', 4, NULL),
(23018, NULL, 'IPR026393', NULL, 'Modification target Cys-rich repeat', 'tSAM_targ_Cxxx_rpt', 7, NULL),
(23019, NULL, 'IPR025197', NULL, 'Domain of unknown function DUF4116', 'DUF4116', 3, NULL),
(23020, NULL, 'IPR027124', NULL, 'SWR1-complex protein 5/Craniofacial development protein 1/2', 'Swc5/CFDP1/2', 4, NULL),
(23021, NULL, 'IPR027579', NULL, 'Surface protein repeat SSSPR-51', 'SSSPR51_Rpt', 7, NULL),
(23022, NULL, 'IPR025909', NULL, 'Phosphoprotein P soyouz module', 'Soyouz_module', 3, NULL),
(23023, NULL, 'IPR024863', NULL, 'Transient receptor potential cation channel subfamily V member 1', 'TRPV1', 4, NULL),
(23024, NULL, 'IPR025351', NULL, 'Pvc16, N-terminal', 'Pvc16_N', 3, NULL),
(23025, NULL, 'IPR026295', NULL, 'Coiled-coil domain-containing protein 81', 'Coiled-coil_dom_cont_p_81', 4, NULL),
(23026, NULL, 'IPR026817', NULL, 'Guanine nucleotide exchange factor Ect2', 'Ect2', 4, NULL),
(23027, NULL, 'IPR028639', NULL, 'Inhibitor of growth protein 2', 'ING2', 4, NULL),
(23028, NULL, 'IPR031680', NULL, 'Heparin-sulfate lyase, N-terminal', 'Hepar_II_III_N', 3, NULL),
(23029, NULL, 'IPR027108', NULL, 'Pre-mRNA-processing factor 6/Prp1/STA1', 'Prp6/Prp1/STA1', 4, NULL),
(23030, NULL, 'IPR029736', NULL, 'Endothelin-converting enzyme-like 1', 'ECEL1', 4, NULL),
(23031, NULL, 'IPR028583', NULL, '4-O-beta-D-mannosyl-D-glucose phosphorylase', 'Man_Glc_phosphorylase', 4, NULL),
(23032, NULL, 'IPR032126', NULL, 'LydA-like holin', 'LydA_holin', 4, NULL),
(23033, NULL, 'IPR025815', NULL, 'Cytochrome c lysine N-methyltransferase 1', 'Ctm1', 4, NULL),
(23034, NULL, 'IPR032326', NULL, 'Protein of unknown function DUF4853', 'DUF4853', 4, NULL),
(23035, NULL, 'IPR025591', NULL, 'RloB-like protein', 'RloB', 4, NULL),
(23036, NULL, 'IPR025444', NULL, 'Monooxygenase af470-like', 'Monooxy_af470', 4, NULL),
(23037, NULL, 'IPR031509', NULL, 'Putative double-strand recombination repair protein-like', 'Mei5-like', 4, NULL),
(23038, NULL, 'IPR025201', NULL, 'Sensor protein KdpD, transmembrane domain', 'KdpD_TM', 3, NULL),
(23039, NULL, 'IPR026612', NULL, 'Receptor for retinol uptake STRA6', 'STRA6', 4, NULL),
(23040, NULL, 'IPR030443', NULL, 'Dynein axonemal heavy chain 9-like', 'DNAH9-like', 4, NULL),
(23041, NULL, 'IPR027502', NULL, 'Inosine triphosphate pyrophosphatase', 'ITPase', 4, NULL),
(23042, NULL, 'IPR024448', NULL, 'Xylosyltransferase, C-terminal', 'XylT_C', 3, NULL),
(23043, NULL, 'IPR030317', NULL, 'Sulfate transporter 3.4', 'Sul_transp_3.4', 4, NULL),
(23044, NULL, 'IPR025799', NULL, 'Protein arginine N-methyltransferase', 'Arg_MeTrfase', 4, NULL),
(23045, NULL, 'IPR025391', NULL, 'Domain of unknown function DUF4123', 'DUF4123', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23046, NULL, 'IPR025406', NULL, 'Domain of unknown function DUF4132', 'DUF4132', 3, NULL),
(23047, NULL, 'IPR028227', NULL, 'Uncharacterised protein family UPF0449', 'UPF0449', 4, NULL),
(23048, NULL, 'IPR025403', NULL, 'Domain of unknown function DUF4129', 'DUF4129', 3, NULL),
(23049, NULL, 'IPR034093', NULL, 'Ketohexokinase', 'KHK', 4, NULL),
(23050, NULL, 'IPR029735', NULL, 'Membrane metallo-endopeptidase-like 1', 'MMEL1', 4, NULL),
(23051, NULL, 'IPR031515', NULL, 'Protein of unknown function DUF5095', 'DUF5095', 4, NULL),
(23052, NULL, 'IPR025045', NULL, 'Protein of unknown function DUF3979', 'DUF3979', 4, NULL),
(23053, NULL, 'IPR025753', NULL, 'AAA-type ATPase, N-terminal domain', 'AAA_N_dom', 3, NULL),
(23054, NULL, 'IPR025794', NULL, 'Histone H3-K9 methyltransferase, plant', 'H3-K9-MeTrfase_plant', 4, NULL),
(23055, NULL, 'IPR024443', NULL, 'Domain of unknown function DUF3197', 'DUF3197', 3, NULL),
(23056, NULL, 'IPR025594', NULL, 'YebO-like protein', 'YebO', 4, NULL),
(23057, NULL, 'IPR028251', NULL, 'Fibroblast growth factor 9', 'FGF9', 4, NULL),
(23058, NULL, 'IPR025452', NULL, 'Domain of unknown function DUF4218', 'DUF4218', 3, NULL),
(23059, NULL, 'IPR025420', NULL, 'Domain of unknown function DUF4143', 'DUF4143', 3, NULL),
(23060, NULL, 'IPR030303', NULL, 'Solute carrier family 26 member 8 (testis anion transporter 1)', 'SLC26A8', 4, NULL),
(23061, NULL, 'IPR025599', NULL, 'YjcZ-like protein', 'YjcZ', 4, NULL),
(23062, NULL, 'IPR025346', NULL, 'Protein of unknown function DUF4250', 'DUF4250', 4, NULL),
(23063, NULL, 'IPR025352', NULL, 'Protein of unknown function DUF4256', 'DUF4256', 4, NULL),
(23064, NULL, 'IPR025907', NULL, 'Phostensin/Taperin PP1-binding domain', 'Phostensin/Taperin_PP1-bd_dom', 3, NULL),
(23065, NULL, 'IPR030047', NULL, 'Alpha E-catenin/Alpha T-catenin', 'CTNNA1/CTNNA3', 4, NULL),
(23066, NULL, 'IPR026623', NULL, 'Mucin-like protein 3', 'MUCL3', 4, NULL),
(23067, NULL, 'IPR026379', NULL, 'Seadornavirus VP3 protein', 'Seadorna_VP3', 4, NULL),
(23068, NULL, 'IPR025789', NULL, 'Histone-lysine N-methyltransferase DOT1 domain', 'DOT1_dom', 3, NULL),
(23069, NULL, 'IPR025442', NULL, 'Domain of unknown function DUF4185', 'DUF4185', 3, NULL),
(23070, NULL, 'IPR025429', NULL, 'Domain of unknown function DUF4165', 'DUF4165', 3, NULL),
(23071, NULL, 'IPR025179', NULL, 'Protein of unknown function DUF4106', 'DUF4106', 4, NULL),
(23072, NULL, 'IPR025041', NULL, 'Protein of unknown function DUF3983', 'DUF3983', 4, NULL),
(23073, NULL, 'IPR031519', NULL, 'Domain of unknown function DUF5094', 'DUF5094', 3, NULL),
(23074, NULL, 'IPR025187', NULL, 'Protein of unknown function DUF4112', 'DUF4112', 4, NULL),
(23075, NULL, 'IPR025347', NULL, 'Protein of unknown function DUF4251', 'DUF4251', 4, NULL),
(23076, NULL, 'IPR025910', NULL, 'Plant viral polyprotein P1, serine peptidase domain', 'P1_Ser_Pept_dom', 3, NULL),
(23077, NULL, 'IPR024366', NULL, 'Alpha-ketoglutarate-dependent dioxygenase FTO, C-terminal', 'FTO_C', 3, NULL),
(23078, NULL, 'IPR026624', NULL, 'Cat eye syndrome critical region protein 6', 'CECR6', 4, NULL),
(23079, NULL, 'IPR025194', NULL, 'Domain of unknown function DUF4115', 'DUF4115', 3, NULL),
(23080, NULL, 'IPR026815', NULL, 'Cytoplasmic dynein 2 heavy chain 1', 'DYNC2H1', 4, NULL),
(23081, NULL, 'IPR024482', NULL, 'Domain of unknown function DUF3855', 'DUF3855', 3, NULL),
(23082, NULL, 'IPR031655', NULL, 'FokI, D3 domain', 'FokI_D3', 3, NULL),
(23083, NULL, 'IPR028697', NULL, 'Matrix metalloproteinase-16', 'MMP16', 4, NULL),
(23084, NULL, 'IPR030151', NULL, 'K(+)/H(+) antiporter NhaP', 'NhaP', 4, NULL),
(23085, NULL, 'IPR030150', NULL, 'TonB-dependent siderophore receptor ViuA', 'ViuA', 4, NULL),
(23086, NULL, 'IPR034187', NULL, 'PoSI-like peptidase domain', 'Peptidases_S8_5', 3, NULL),
(23087, NULL, 'IPR025735', NULL, 'RHIM domain', 'RHIM_dom', 3, NULL),
(23088, NULL, 'IPR025971', NULL, 'LppP/LprE lipoprotein', 'LppP/LprE', 4, NULL),
(23089, NULL, 'IPR031498', NULL, 'Bromodomain associated protein-like', 'Bromo_TP-like', 4, NULL),
(23090, NULL, 'IPR024991', NULL, 'Anaphase-promoting complex subunit 11, RING-H2 finger', 'RING-H2_APC11', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23091, NULL, 'IPR026935', NULL, 'Butirosin biosynthesis protein H, N-terminal', 'BtrH_N', 3, NULL),
(23092, NULL, 'IPR027264', NULL, 'Protein kinase C, theta', 'PKC_theta', 4, NULL),
(23093, NULL, 'IPR032017', NULL, 'FAM76 protein', 'FAM76', 4, NULL),
(23094, NULL, 'IPR031513', NULL, 'Spore wall protein', 'MICSWaP', 4, NULL),
(23095, NULL, 'IPR026944', NULL, 'Sialidase-3', 'Sialidase-3', 4, NULL),
(23096, NULL, 'IPR026941', NULL, 'F-box only protein 31', 'FBXO31', 4, NULL),
(23097, NULL, 'IPR025972', NULL, 'Beta-galactosidase, domain 3', 'BetaGal_dom3', 3, NULL),
(23098, NULL, 'IPR032128', NULL, 'Pyocin R2, holin', 'Pyocin_R2_holin', 4, NULL),
(23099, NULL, 'IPR025788', NULL, 'Histone-lysine N-methyltransferase, Set2, fungi', 'Set2_fungi', 4, NULL),
(23100, NULL, 'IPR024312', NULL, 'TACC protein, fungi', 'TACC_fungi', 4, NULL),
(23101, NULL, 'IPR025755', NULL, '60S ribosomal protein L4, C-terminal domain', 'Ribos_L4_C_dom', 3, NULL),
(23102, NULL, 'IPR028721', NULL, 'Myocardin', 'MYOCD', 4, NULL),
(23103, NULL, 'IPR025455', NULL, 'Protein of unknown function DUF4276', 'DUF4276', 4, NULL),
(23104, NULL, 'IPR028290', NULL, 'WASH1', 'WASH1', 4, NULL),
(23105, NULL, 'IPR031914', NULL, 'XACb0070, ribbon-helix-helix domain', 'XACb0070_RHH_dom', 3, NULL),
(23106, NULL, 'IPR034157', NULL, 'DNA topoisomerase 2, TOPRIM domain', 'TOPRIM_TopoII', 3, NULL),
(23107, NULL, 'IPR031585', NULL, 'Putative OmpA-OmpF-like porin family', 'OmpA_OmpF-like', 4, NULL),
(23108, NULL, 'IPR026378', NULL, 'Seadornavirus VP11 protein', 'Seadorna_VP11', 4, NULL),
(23109, NULL, 'IPR027111', NULL, 'Mitochondrial import inner membrane translocase subunit Tim50', 'Tim50', 4, NULL),
(23110, NULL, 'IPR031758', NULL, 'Putative substrate of the Dot/Icm secretion system', 'SoDot-IcmSS', 4, NULL),
(23111, NULL, 'IPR025046', NULL, 'Domain of unknown function DUF3960', 'DUF3960', 3, NULL),
(23112, NULL, 'IPR025410', NULL, 'Lantibiotic biosynthesis protein, dehydration domain', 'Lant_dehyd', 3, NULL),
(23113, NULL, 'IPR028659', NULL, 'Secretoglobin family 1C member 1/2', 'Secretoglobin_1C1/2', 4, NULL),
(23114, NULL, 'IPR025745', NULL, 'Restriction system protein Mrr-like N-terminal domain', 'Mrr-like_N_dom', 3, NULL),
(23115, NULL, 'IPR031523', NULL, 'Putative acetyl-transferase', 'Acetyltransf_15', 4, NULL),
(23116, NULL, 'IPR028198', NULL, 'Surfactant-associated protein 2', 'SFTA2', 4, NULL),
(23117, NULL, 'IPR031814', NULL, 'ALG11 mannosyltransferase, N-terminal', 'ALG11_N', 3, NULL),
(23118, NULL, 'IPR031533', NULL, 'Protein of unknown function DUF5093', 'DUF5093', 4, NULL),
(23119, NULL, 'IPR030148', NULL, 'Catecholate siderophore receptor Fiu', 'Fiu', 4, NULL),
(23120, NULL, 'IPR025358', NULL, 'Protein of unknown function DUF4262', 'DUF4262', 4, NULL),
(23121, NULL, 'IPR027113', NULL, 'Transcription factor NFYB/HAP3', 'Transc_fact_NFYB/HAP3', 4, NULL),
(23122, NULL, 'IPR032124', NULL, 'Bacteriophage F116-like holin', 'Phage_F116_holin', 4, NULL),
(23123, NULL, 'IPR027197', NULL, 'Solute carrier family 43 member 3', 'SLC43A3', 4, NULL),
(23124, NULL, 'IPR024985', NULL, 'Invertebrate innate immunity transcript family', 'Innate_immun', 4, NULL),
(23125, NULL, 'IPR031488', NULL, 'WD repeat protein mio, zinc-ribbon like domain', 'Zn_ribbon_mio', 3, NULL),
(23126, NULL, 'IPR027290', NULL, 'Platelet-derived growth factor receptor alpha', 'PDGFRA', 4, NULL),
(23127, NULL, 'IPR031676', NULL, 'Protein of unknown function DUF5083', 'DUF5083', 4, NULL),
(23128, NULL, 'IPR032121', NULL, 'Mycobacterial phage holin', 'Myco_phage_holin', 4, NULL),
(23129, NULL, 'IPR025395', NULL, 'Protein of unknown function DUF4128', 'DUF4128', 4, NULL),
(23130, NULL, 'IPR034091', NULL, 'BTBD9, BACK-like domain', 'BTBD9_BACK-like_dom', 3, NULL),
(23131, NULL, 'IPR031759', NULL, 'Effector protein HopAB, BAK1-binding domain', 'HopAB_BAK-bd', 3, NULL),
(23132, NULL, 'IPR026401', NULL, 'CXXX repeat peptide maturase', 'CXXX_matur', 3, NULL),
(23133, NULL, 'IPR031663', NULL, 'Phosphogluconate dehydrogenase (decarboxylating) , C-terminal', 'PGDH_C', 3, NULL),
(23134, NULL, 'IPR024479', NULL, 'Protein of unknown function DUF3866', 'DUF3866', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23135, NULL, 'IPR031497', NULL, 'Microsporidial 8TM transmembrane domain', '8TM_micro', 3, NULL),
(23136, NULL, 'IPR025586', NULL, 'PcfJ-like protein', 'PcfJ', 4, NULL),
(23137, NULL, 'IPR029979', NULL, 'Xylan O-acetyltransferase 1', 'XOAT1', 4, NULL),
(23138, NULL, 'IPR029737', NULL, 'Kell blood group glycoprotein', 'KEL', 4, NULL),
(23139, NULL, 'IPR031745', NULL, 'Vps53, C-terminal', 'Vps53_C', 3, NULL),
(23140, NULL, 'IPR028708', NULL, '72kDa type IV collagenase', '72kDa_collagenase', 4, NULL),
(23141, NULL, 'IPR031579', NULL, 'Rough colony protein B', 'RcpB', 4, NULL),
(23142, NULL, 'IPR030149', NULL, 'TonB-dependent siderophore receptor FcuA/FatA', 'FcuA/FatA', 4, NULL),
(23143, NULL, 'IPR027176', NULL, 'Toll-like receptor 5', 'TLR5', 4, NULL),
(23144, NULL, 'IPR026122', NULL, 'Helicase MOV-10', 'MOV-10', 4, NULL),
(23145, NULL, 'IPR031660', NULL, 'C-terminal associated domain of TOPRIM', 'TOPRIM_C', 3, NULL),
(23146, NULL, 'IPR025441', NULL, 'Protein of unknown function DUF4181', 'DUF4181', 4, NULL),
(23147, NULL, 'IPR026800', NULL, 'Dedicator of cytokinesis 3', 'DOCK3', 4, NULL),
(23148, NULL, 'IPR025383', NULL, 'MbhD-like, transmembrane domain', 'MbhD-like_TM', 3, NULL),
(23149, NULL, 'IPR030268', NULL, 'Nesprin-4', 'SYNE4', 4, NULL),
(23150, NULL, 'IPR025188', NULL, 'Domain of unknown function DUF4113', 'DUF4113', 3, NULL),
(23151, NULL, 'IPR026388', NULL, 'Seadornavirus double-stranded RNA-binding protein', 'Seadorna_dsRNA-bnd', 4, NULL),
(23152, NULL, 'IPR024333', NULL, 'Mating-type protein A-alpha/beta 1, N-terminal', 'Mating-type_A-alpha/beta_1_N', 3, NULL),
(23153, NULL, 'IPR024872', NULL, 'HEXIM', 'HEXIM', 4, NULL),
(23154, NULL, 'IPR025390', NULL, 'DSC E3 ubiquitin ligase complex subunit 3, C-terminal', 'Dsc3_C', 3, NULL),
(23155, NULL, 'IPR024865', NULL, 'Transient receptor potential channel, vanilloid 2', 'TRPV2_channel', 4, NULL),
(23156, NULL, 'IPR026617', NULL, 'Transmembrane and coiled-coil domain-containing protein 2/5', 'SMCO2/5', 4, NULL),
(23157, NULL, 'IPR024994', NULL, 'Protein of unknown function DUF3896', 'DUF3896', 4, NULL),
(23158, NULL, 'IPR026622', NULL, 'Matrix-remodeling-associated protein 7', 'Mxra7', 4, NULL),
(23159, NULL, 'IPR025457', NULL, 'Domain of unknown function DUF4277', 'DUF4277', 3, NULL),
(23160, NULL, 'IPR024435', NULL, 'Histidyl tRNA synthetase-related domain', 'HisRS-related_dom', 3, NULL),
(23161, NULL, 'IPR025768', NULL, 'TFG box', 'TFG_box', 3, NULL),
(23162, NULL, 'IPR026296', NULL, 'CXC chemokine 16', 'CXCL16', 4, NULL),
(23163, NULL, 'IPR031664', NULL, 'Protein of unknown function DUF5085', 'DUF5085', 4, NULL),
(23164, NULL, 'IPR031760', NULL, 'Centromere DNA-binding protein complex CBF3 subunit B, C-terminal', 'Cep3_C', 3, NULL),
(23165, NULL, 'IPR025903', NULL, 'Phostensin/Taperin N-terminal domain', 'Phostensin/Taperin_N_dom', 3, NULL),
(23166, NULL, 'IPR031522', NULL, 'Putative Mad3/Bub1 like region 1 protein', 'Mad3_Bub1_I_2', 4, NULL),
(23167, NULL, 'IPR031504', NULL, 'Putative DMAP1-like', 'DMAP1-like', 4, NULL),
(23168, NULL, 'IPR025359', NULL, 'Protein of unknown function DUF4263', 'DUF4263', 4, NULL),
(23169, NULL, 'IPR026816', NULL, 'Flavodoxin domain', 'Flavodoxin_dom', 3, NULL),
(23170, NULL, 'IPR034170', NULL, 'Retropepsin-like catalytic domain', 'Retropepsin-like_cat_dom', 3, NULL),
(23171, NULL, 'IPR031581', NULL, 'Mannosyl phosphorylinositol ceramide synthase regulatory protein Csg2', 'Csg2', 4, NULL),
(23172, NULL, 'IPR027797', NULL, 'Pre-toxin TG domain', 'PT-TG_dom', 3, NULL),
(23173, NULL, 'IPR031493', NULL, 'Zinc-ribbon 15', 'Zinc_ribbon_15', 3, NULL),
(23174, NULL, 'IPR026619', NULL, 'Centrosomal protein of 95kDa', 'CEP95', 4, NULL),
(23175, NULL, 'IPR027127', NULL, 'Actin-related protein 10', 'Arp10', 4, NULL),
(23176, NULL, 'IPR026380', NULL, 'Seadornavirus VP8 protein', 'Seadorna_VP8', 4, NULL),
(23177, NULL, 'IPR028712', NULL, 'Synapsin-2/3', 'SYN2/3', 4, NULL),
(23178, NULL, 'IPR026810', NULL, 'Teashirt homologue 3', 'Tshz3', 4, NULL),
(23179, NULL, 'IPR028194', NULL, 'Coiled-coil domain-containing protein 167', 'CCDC-167', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23180, NULL, 'IPR028734', NULL, 'LIM domain-containing protein 1', 'LIMD1', 4, NULL),
(23181, NULL, 'IPR031662', NULL, 'GTP binding protein, second domain', 'GTP-binding_2', 3, NULL),
(23182, NULL, 'IPR031673', NULL, 'Chitin biosynthesis protein Chs5, N-terminal', 'Chs5_N', 3, NULL),
(23183, NULL, 'IPR032360', NULL, 'Protein of unknown function DUF4869', 'DUF4869', 4, NULL),
(23184, NULL, 'IPR024476', NULL, 'Protein of unknown function DUF3861', 'DUF3861', 4, NULL),
(23185, NULL, 'IPR027798', NULL, 'Ubiquitin Mut7-C domain', 'Ub_Mut7C', 3, NULL),
(23186, NULL, 'IPR028254', NULL, 'Fibroblast growth factor 12', 'FGF12', 4, NULL),
(23187, NULL, 'IPR032329', NULL, 'Protein of unknown function DUF4855', 'DUF4855', 4, NULL),
(23188, NULL, 'IPR025182', NULL, 'RNA polymerase-binding protein RbpA', 'RNApol-bd_RbpA', 4, NULL),
(23189, NULL, 'IPR031813', NULL, 'Domain of unknown function DUF4745', 'DUF4745', 3, NULL),
(23190, NULL, 'IPR031743', NULL, 'Small outer capsid protein', 'Soc', 4, NULL),
(23191, NULL, 'IPR027585', NULL, 'Pantocin A family RiPP precursor', 'Pantocin_A_RiPP_pre', 4, NULL),
(23192, NULL, 'IPR025343', NULL, 'Protein of unknown function DUF4099', 'DUF4099', 4, NULL),
(23193, NULL, 'IPR027438', NULL, 'Ecotin, C-terminal', 'Ecotin_C', 5, NULL),
(23194, NULL, 'IPR027799', NULL, 'Replication termination factor 2, RING-finger', 'Rtf2_RING-finger', 3, NULL),
(23195, NULL, 'IPR032441', NULL, 'Putative virion membrane protein', 'SP24', 4, NULL),
(23196, NULL, 'IPR027100', NULL, 'Mitochondrial import inner membrane translocase subunit Tim10', 'Tim10', 4, NULL),
(23197, NULL, 'IPR031740', NULL, 'Cell division control protein 4, dimerisation domain', 'Cdc4_D', 3, NULL),
(23198, NULL, 'IPR031994', NULL, 'Janus kinase and microtubule-interacting protein, C-terminal domain', 'JAKMIP_C', 3, NULL),
(23199, NULL, 'IPR028880', NULL, 'ATP-dependent DNA helicase Rrm3', 'Rrm3', 4, NULL),
(23200, NULL, 'IPR028705', NULL, 'Stromelysin-3', 'Stromelysin-3', 4, NULL),
(23201, NULL, 'IPR026805', NULL, 'GW182, middle domain', 'GW182_M_dom', 3, NULL),
(23202, NULL, 'IPR028196', NULL, 'Keratinocyte differentiation-associated protein', 'KRTDAP', 4, NULL),
(23203, NULL, 'IPR024463', NULL, 'Transposase TnpC, homeodomain', 'Transposase_TnpC_homeodom', 3, NULL),
(23204, NULL, 'IPR025199', NULL, 'DNA translocase FtsK, 4TM region', 'FtsK_4TM', 3, NULL),
(23205, NULL, 'IPR026951', NULL, 'Peptidyl-prolyl cis-trans isomerase like 2, U-box domain', 'PPIL2_U-box_dom', 3, NULL),
(23206, NULL, 'IPR026614', NULL, 'Angiopoietin-like protein 8', 'ANGPTL8', 4, NULL),
(23207, NULL, 'IPR027104', NULL, 'U4/U6 small nuclear ribonucleoprotein Prp3', 'Prp3', 4, NULL),
(23208, NULL, 'IPR031749', NULL, 'Cell division control protein 13, N-terminal', 'Cdc13_N', 3, NULL),
(23209, NULL, 'IPR028879', NULL, 'NADPH-dependent diflavin oxidoreductase 1', 'NDOR1', 4, NULL),
(23210, NULL, 'IPR025193', NULL, 'Domain of unknown function DUF4114', 'DUF4114', 3, NULL),
(23211, NULL, 'IPR028651', NULL, 'ING family', 'ING_fam', 4, NULL),
(23212, NULL, 'IPR027338', NULL, 'Mas-related G protein-coupled receptor X1/X2', 'MRGPCRX1/MRGPCRX2', 4, NULL),
(23213, NULL, 'IPR025368', NULL, 'Protein of unknown function DUF4272', 'DUF4272', 4, NULL),
(23214, NULL, 'IPR024876', NULL, 'HEXIM2', 'HEXIM2', 4, NULL),
(23215, NULL, 'IPR025364', NULL, 'Domain of unknown function DUF4268', 'DUF4268', 3, NULL),
(23216, NULL, 'IPR025751', NULL, 'RsbT co-antagonist protein RsbRD, N-terminal domain', 'RsbRD_N_dom', 3, NULL),
(23217, NULL, 'IPR031502', NULL, 'Putative zinc-finger ribonucleoprotein', 'Zf_ribonucleo', 4, NULL),
(23218, NULL, 'IPR026807', NULL, 'Protein tiptop/teashirt', 'Tio/Tsh', 4, NULL),
(23219, NULL, 'IPR030052', NULL, 'VE-cadherin', 'CDH5', 4, NULL),
(23220, NULL, 'IPR031599', NULL, 'Putative ATP-binding cassette', 'ABC_tran_2', 4, NULL),
(23221, NULL, 'IPR028224', NULL, 'Otospiralin', 'Otospiralin', 4, NULL),
(23222, NULL, 'IPR034182', NULL, 'Kexin/furin catalytic domain', 'Kexin/furin', 3, NULL),
(23223, NULL, 'IPR028213', NULL, 'PTIP-associated protein 1', 'PA1', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23224, NULL, 'IPR032362', NULL, 'Ferlin, C-terminal domain', 'Ferlin_C', 3, NULL),
(23225, NULL, 'IPR025408', NULL, 'Protein of unknown function DUF4134', 'DUF4134', 3, NULL),
(23226, NULL, 'IPR031737', NULL, 'Condensin-2 complex subunit H2, C-terminal', 'CNDH2_C', 3, NULL),
(23227, NULL, 'IPR025812', NULL, 'tRNA methyltransferase 10 homologue C', 'TRM10C', 4, NULL),
(23228, NULL, 'IPR025356', NULL, 'Protein of unknown function DUF4260', 'DUF4260', 4, NULL),
(23229, NULL, 'IPR026808', NULL, 'Teashirt  homologue 1', 'Tshz1', 4, NULL),
(23230, NULL, 'IPR030079', NULL, 'Phosphoglucan phosphatase DSP4', 'DSP4', 4, NULL),
(23231, NULL, 'IPR032056', NULL, 'Protein of unknown function DUF4798', 'DUF4798', 4, NULL),
(23232, NULL, 'IPR025603', NULL, 'YebF/Colicin-M immunity protein', 'YebF/ColM_immunity', 4, NULL),
(23233, NULL, 'IPR029567', NULL, 'Spindlin-3', 'Spindlin-3', 4, NULL),
(23234, NULL, 'IPR025350', NULL, 'Protein of unknown function DUF4254', 'DUF4254', 4, NULL),
(23235, NULL, 'IPR024983', NULL, 'CHAT domain', 'CHAT_dom', 3, NULL),
(23236, NULL, 'IPR025178', NULL, 'Domain of unknown function DUF4105', 'DUF4105', 3, NULL),
(23237, NULL, 'IPR025749', NULL, 'Sphingomyelin synthase-like domain', 'Sphingomyelin_synth-like_dom', 3, NULL),
(23238, NULL, 'IPR024365', NULL, 'Protein of unknown function DUF3839', 'DUF3839', 4, NULL),
(23239, NULL, 'IPR025355', NULL, 'Protein of unknown function DUF4259', 'DUF4259', 4, NULL),
(23240, NULL, 'IPR031586', NULL, 'Haemoglobin-haptoglobin utilisation, porphyrin transporter', 'HpuA', 4, NULL),
(23241, NULL, 'IPR028658', NULL, 'Alpha-sarcoglycan', 'Alpha-SG', 4, NULL),
(23242, NULL, 'IPR031666', NULL, 'Protein of unknown function DUF5084', 'DUF5084', 4, NULL),
(23243, NULL, 'IPR026610', NULL, '3''-RNA ribose 2''-O-methyltransferase, Hen1', 'Hen1', 4, NULL),
(23244, NULL, 'IPR027105', NULL, 'U4/U6 small nuclear ribonucleoprotein Prp31', 'Prp31', 4, NULL),
(23245, NULL, 'IPR027132', NULL, 'Structural maintenance of chromosomes protein 6', 'SMC6', 4, NULL),
(23246, NULL, 'IPR034117', NULL, 'Cysteine-rich secretory protein, SCP domain', 'SCP_CRISP', 3, NULL),
(23247, NULL, 'IPR031578', NULL, 'Na+ channel auxiliary subunit TipE', 'TipE', 4, NULL),
(23248, NULL, 'IPR032050', NULL, 'Domain of unknown function DUF4797', 'DUF4797', 3, NULL),
(23249, NULL, 'IPR031494', NULL, 'Putative beta-lactamase-like family', 'Beta_lactamase3', 4, NULL),
(23250, NULL, 'IPR030046', NULL, 'Alpha N-catenin', 'CTNNA2', 4, NULL),
(23251, NULL, 'IPR025820', NULL, 'Methyltransferase NNMT/PNMT/TEMT, conserved site', 'NNMT/PNMT/TEMT_CS', 2, NULL),
(23252, NULL, 'IPR030054', NULL, 'Actin-related protein 6', 'Arp6', 4, NULL),
(23253, NULL, 'IPR029823', NULL, 'Transcription factor JunD', 'JunD', 4, NULL),
(23254, NULL, 'IPR025459', NULL, 'Protein of unknown function DUF4279', 'DUF4279', 4, NULL),
(23255, NULL, 'IPR031512', NULL, 'Domain of unknown function DUF5096', 'DUF5096', 3, NULL),
(23256, NULL, 'IPR027131', NULL, 'Structural maintenance of chromosomes protein 5', 'SMC5', 4, NULL),
(23257, NULL, 'IPR025454', NULL, 'Protein of unknown function DUF4275', 'DUF4275', 4, NULL),
(23258, NULL, 'IPR026621', NULL, 'Immortalization up-regulated protein', 'IMUP', 4, NULL),
(23259, NULL, 'IPR030316', NULL, 'Sulfate transporter 3.5', 'Suf_transp_3.5', 4, NULL),
(23260, NULL, 'IPR031821', NULL, 'SOSS complex subunit C', 'SOSSC', 4, NULL),
(23261, NULL, 'IPR031584', NULL, 'Putative ABC exporter', 'Put_ABC_export', 4, NULL),
(23262, NULL, 'IPR032323', NULL, 'Protein of unknown function DUF4851', 'DUF4851', 4, NULL),
(23263, NULL, 'IPR025044', NULL, 'Domain of unknown function DUF3980', 'DUF3980', 3, NULL),
(23264, NULL, 'IPR029495', NULL, 'NACHT-associated domain', 'NACHT-assoc', 3, NULL),
(23265, NULL, 'IPR025365', NULL, 'Protein of unknown function DUF4269', 'DUF4269', 4, NULL),
(23266, NULL, 'IPR025404', NULL, 'Domain of unknown function DUF4130', 'DUF4130', 3, NULL),
(23267, NULL, 'IPR025445', NULL, 'Protein of unknown function DUF4191', 'DUF4191', 4, NULL),
(23268, NULL, 'IPR024481', NULL, 'Helicase Sen1, N-terminal', 'Helicase_Sen1_N', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23269, NULL, 'IPR030223', NULL, 'Protein dispatched', 'Dispatched', 4, NULL),
(23270, NULL, 'IPR025433', NULL, 'Domain of unknown function DUF4168', 'DUF4168', 3, NULL),
(23271, NULL, 'IPR031596', NULL, 'Putative methionine and alanine importer, small subunit', 'MaAIMP_sms', 4, NULL),
(23272, NULL, 'IPR024444', NULL, 'Protein of unknown function DUF2706', 'DUF2706', 4, NULL),
(23273, NULL, 'IPR024990', NULL, 'Anaphase-promoting complex subunit 1', 'Apc1', 4, NULL),
(23274, NULL, 'IPR030267', NULL, 'Nesprin-3', 'SYNE3', 4, NULL),
(23275, NULL, 'IPR027102', NULL, 'Mitochondrial import inner membrane translocase subunit Tim12', 'Tim12', 4, NULL),
(23276, NULL, 'IPR031656', NULL, 'Alpha-glycerophosphate oxidase, C-terminal', 'DAO_C', 3, NULL),
(23277, NULL, 'IPR027175', NULL, 'Toll-like receptor 8', 'TLR8', 4, NULL),
(23278, NULL, 'IPR031824', NULL, 'E3 ubiquitin-protein ligase RNF220, middle domain', 'RNF220_mid', 3, NULL),
(23279, NULL, 'IPR031915', NULL, 'Cryptic loci regulator 2, N-terminal', 'Clr2_N', 3, NULL),
(23280, NULL, 'IPR025385', NULL, 'Domain of unknown function DUF4092', 'DUF4092', 3, NULL),
(23281, NULL, 'IPR025407', NULL, 'Protein of unknown function DUF4133', 'DUF4133', 4, NULL),
(23282, NULL, 'IPR025362', NULL, 'Domain of unknown function DUF4266', 'DUF4266', 3, NULL),
(23283, NULL, 'IPR031763', NULL, 'Dinitrogenase iron-molybdenum cofactor, N-terminal', 'NafY_N', 3, NULL),
(23284, NULL, 'IPR025427', NULL, 'Protein of unknown function DUF4160', 'DUF4160', 4, NULL),
(23285, NULL, 'IPR031507', NULL, 'Polar tube protein 2', 'PTP2', 4, NULL),
(23286, NULL, 'IPR032357', NULL, 'Protein of unknown function DUF4866', 'DUF4866', 4, NULL),
(23287, NULL, 'IPR028709', NULL, 'Neutrophil collagenase', 'MMP8', 4, NULL),
(23288, NULL, 'IPR027499', NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit F, mitochondrial', 'GatF', 4, NULL),
(23289, NULL, 'IPR028731', NULL, 'Poly [ADP-ribose] polymerase tankyrase-1', 'TANK1', 4, NULL),
(23290, NULL, 'IPR033997', NULL, 'Tumour necrosis factor receptor 3, N-terminal', 'TNFRSF3_N', 3, NULL),
(23291, NULL, 'IPR034176', NULL, 'Peptidase MprA-like catalytic domain', 'Peptidases_S8_13', 3, NULL),
(23292, NULL, 'IPR032361', NULL, 'von Willebrand factor, VWA N-terminal domain', 'VWA_N2', 3, NULL),
(23293, NULL, 'IPR025349', NULL, 'Domain of unknown function DUF4253', 'DUF4253', 3, NULL),
(23294, NULL, 'IPR031755', NULL, 'Peptidase inhibitor I66', 'Inhibitor_I66', 4, NULL),
(23295, NULL, 'IPR025430', NULL, 'Domain of unknown function DUF4167', 'DUF4167', 3, NULL),
(23296, NULL, 'IPR026791', NULL, 'Dedicator of cytokinesis', 'DOCK', 4, NULL),
(23297, NULL, 'IPR025756', NULL, 'MYB-CC type transcription factor, LHEQLE-containing domain', 'Myb_CC_LHEQLE', 3, NULL),
(23298, NULL, 'IPR031753', NULL, 'Stomagen', 'Stomagen', 4, NULL),
(23299, NULL, 'IPR030051', NULL, 'N-cadherin', 'CDH2', 4, NULL),
(23300, NULL, 'IPR028515', NULL, 'Stomatin', 'Stomatin', 4, NULL),
(23301, NULL, 'IPR025361', NULL, 'Protein of unknown function DUF4265', 'DUF4265', 4, NULL),
(23302, NULL, 'IPR027256', NULL, 'P-type ATPase, subfamily IB', 'P-typ_ATPase_IB', 4, NULL),
(23303, NULL, 'IPR031527', NULL, 'Protein of unknown function DUF5091', 'DUF5091', 4, NULL),
(23304, NULL, 'IPR025394', NULL, 'Protein of unknown function DUF4127', 'DUF4127', 4, NULL),
(23305, NULL, 'IPR031752', NULL, 'Herpes viral adaptor, REF-binding domain', 'HHV-1_REF-bd', 3, NULL),
(23306, NULL, 'IPR025742', NULL, 'Cleavage stimulation factor subunit 2, hinge domain', 'CSTF2_hinge', 3, NULL),
(23307, NULL, 'IPR026953', NULL, 'Callose synthase', 'CALS', 4, NULL),
(23308, NULL, 'IPR025787', NULL, 'Histone-lysine N-methyltransferase, SET2, plant', 'Hist-Lys_N-MeTrfase_SET2_plant', 4, NULL),
(23309, NULL, 'IPR030862', NULL, 'L-2-hydroxyglutarate dehydrogenase', 'L2HG_DH', 4, NULL),
(23310, NULL, 'IPR025047', NULL, 'Protein of unknown function DUF3986', 'DUF3986', 4, NULL),
(23311, NULL, 'IPR025447', NULL, 'Protein of unknown function DUF4192', 'DUF4192', 4, NULL),
(23312, NULL, 'IPR025042', NULL, 'Protein of unknown function DUF3982', 'DUF3982', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23313, NULL, 'IPR031654', NULL, 'Major capsid protein, N-terminal', 'Capsid_N', 3, NULL),
(23314, NULL, 'IPR031682', NULL, 'Type VII secretion system protein EsaE', 'EsaE', 4, NULL),
(23315, NULL, 'IPR026616', NULL, 'Testis-expressed sequence 15 protein', 'TEX15', 4, NULL),
(23316, NULL, 'IPR026811', NULL, 'Cip1-interacting zinc finger protein', 'CIZ1', 4, NULL),
(23317, NULL, 'IPR024989', NULL, 'Major facilitator superfamily associated domain', 'MFS_assoc_dom', 3, NULL),
(23318, NULL, 'IPR031582', NULL, 'Putative tight adherence pilin protein F', 'TadF', 4, NULL),
(23319, NULL, 'IPR024480', NULL, 'Domain of unknown function DUF3868', 'DUF3868', 3, NULL),
(23320, NULL, 'IPR025596', NULL, 'YedD-like protein', 'YedD', 4, NULL),
(23321, NULL, 'IPR028226', NULL, 'Protein LIN37', 'LIN37', 4, NULL),
(23322, NULL, 'IPR030265', NULL, 'Centrosomal protein 68', 'CEP68', 4, NULL),
(23323, NULL, 'IPR025436', NULL, 'Domain of unknown function DUF4179', 'DUF4179', 3, NULL),
(23324, NULL, 'IPR031595', NULL, 'Protein-only RNase P, C-terminal', 'PRORP_C', 3, NULL),
(23325, NULL, 'IPR025600', NULL, 'YccJ-like protein', 'YccJ', 4, NULL),
(23326, NULL, 'IPR029975', NULL, 'Xyloglucan O-acetyltransferase 2', 'XGOAT2', 4, NULL),
(23327, NULL, 'IPR028253', NULL, 'Fibroblast growth factor 11', 'FGF11', 4, NULL),
(23328, NULL, 'IPR026662', NULL, 'NADH-quinone oxidoreductase subunit CD', 'NDH-1_subunit_CD', 4, NULL),
(23329, NULL, 'IPR029494', NULL, 'ssDNA thymidine ADP-ribosyltransferase, DarT', 'DarT', 3, NULL),
(23330, NULL, 'IPR031913', NULL, 'Spidroin, N-terminal', 'Spidroin_N', 3, NULL),
(23331, NULL, 'IPR024367', NULL, 'Alpha-ketoglutarate-dependent dioxygenase FTO, catalytic domain', 'FTO_cat_dom', 3, NULL),
(23332, NULL, 'IPR026814', NULL, 'RalBP1-associated Eps domain-containing protein 1', 'Reps1', 4, NULL),
(23333, NULL, 'IPR031686', NULL, 'ATPsynthase alpha/beta subunit, N-terminal extension', 'ATP-synth_a_Xtn', 3, NULL),
(23334, NULL, 'IPR028581', NULL, 'Deoxyribose-phosphate aldolase type I', 'DeoC_typeI', 4, NULL),
(23335, NULL, 'IPR027796', NULL, 'OTT_1508-like deaminase', 'OTT_1508_deam-like', 4, NULL),
(23336, NULL, 'IPR025183', NULL, 'Domain of unknown function DUF4110', 'DUF4110', 3, NULL),
(23337, NULL, 'IPR025344', NULL, 'ARC6, IMS domain', 'ARC6-like_IMS', 3, NULL),
(23338, NULL, 'IPR024311', NULL, 'Lipocalin-like domain', 'Lipocalin-like', 3, NULL),
(23339, NULL, 'IPR025816', NULL, 'RrmJ-type ribose 2-O-methyltransferase domain', 'RrmJ-type_MeTrfase', 3, NULL),
(23340, NULL, 'IPR028252', NULL, 'Fibroblast growth factor 10', 'FGF10', 4, NULL),
(23341, NULL, 'IPR026113', NULL, 'Methyltransferase-like', 'MeTrfase', 4, NULL),
(23342, NULL, 'IPR024440', NULL, 'Colicin D, C-terminal', 'ColicinD_C', 3, NULL),
(23343, NULL, 'IPR027110', NULL, 'Pyruvate dehydrogenase E1 component subunit beta', 'PDHB', 4, NULL),
(23344, NULL, 'IPR024368', NULL, 'Zinc binding protein Ecl1/2/3', 'Ecl1/2/3', 4, NULL),
(23345, NULL, 'IPR025743', NULL, 'IcmF-related, N-terminal domain', 'IcmF-related_N_dom', 3, NULL),
(23346, NULL, 'IPR031119', NULL, 'STAR-domain RNA-binding protein GLD1-like', 'GLD1-like', 4, NULL),
(23347, NULL, 'IPR028192', NULL, 'Bcl-2-modifying factor', 'BMF', 4, NULL),
(23348, NULL, 'IPR026955', NULL, 'Biorientation of chromosomes in cell division protein 1-like', 'Bod1-like', 4, NULL),
(23349, NULL, 'IPR026618', NULL, 'M-phase-specific PLK1-interacting protein-like,  vertebrate', 'MPLKIP-like_vertebrate', 4, NULL),
(23350, NULL, 'IPR026254', NULL, 'E3 ubiquitin-protein ligase RNF31-like', 'RNF31-like', 4, NULL),
(23351, NULL, 'IPR026799', NULL, 'Dedicator of cytokinesis protein 2', 'DOCK_2', 4, NULL),
(23352, NULL, 'IPR032055', NULL, 'Transmembrane protein 72', 'TMEM72', 4, NULL),
(23353, NULL, 'IPR027795', NULL, 'CASTOR,  ACT domain', 'CASTOR_ACT_dom', 3, NULL),
(23354, NULL, 'IPR032118', NULL, 'Bacteriophage holin HP1 family', 'Phage_holin_HP1', 4, NULL),
(23355, NULL, 'IPR025746', NULL, 'Type 4 fimbrial biogenesis protein PilX, N-terminal domain', 'PilX_N_dom', 3, NULL),
(23356, NULL, 'IPR031657', NULL, 'Replication protein A, OB domain', 'REPA_OB_2', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23357, NULL, 'IPR026945', NULL, 'Sialidase-2', 'Sialidase-2', 4, NULL),
(23358, NULL, 'IPR027578', NULL, 'Proline-rich tail region repeat', 'ProTail_Rpt', 7, NULL),
(23359, NULL, 'IPR030045', NULL, 'Alpha-catulin 1', 'CTNNAL1', 4, NULL),
(23360, NULL, 'IPR028233', NULL, 'Cilia BBSome complex subunit 10', 'BBIP10', 4, NULL),
(23361, NULL, 'IPR030154', NULL, 'Voltage-dependent calcium channel, T-type, alpha-1G subunit', 'VDCC_T_a1G', 4, NULL),
(23362, NULL, 'IPR032127', NULL, 'LydA-holin antagonist LydB', 'LydB', 4, NULL),
(23363, NULL, 'IPR031495', NULL, 'Protein of unknown function DUF5100', 'DUF5100', 4, NULL),
(23364, NULL, 'IPR028230', NULL, 'Trimeric autotransporter adhesin, tryptophan-ring motif', 'TAA-Trp-ring', 3, NULL),
(23365, NULL, 'IPR024986', NULL, 'Sister chromatid cohesion C-terminal domain', 'Nipped-B_C', 3, NULL),
(23366, NULL, 'IPR029734', NULL, 'Endothelin-converting enzyme 1', 'ECE1', 4, NULL),
(23367, NULL, 'IPR031514', NULL, 'Aberrant zinc-finger domain', 'Zf-C2H2_aberr', 3, NULL),
(23368, NULL, 'IPR031918', NULL, 'Herpesvirus membrane glycoprotein UL141', 'UL141', 4, NULL),
(23369, NULL, 'IPR028714', NULL, 'Synaptophysin', 'SYP', 4, NULL),
(23370, NULL, 'IPR027336', NULL, 'Mas-related G protein-coupled receptor G', 'MRGPCRG', 4, NULL),
(23371, NULL, 'IPR027201', NULL, 'Large neutral amino acids transporter small subunit 4', 'LAT4', 4, NULL),
(23372, NULL, 'IPR030049', NULL, 'Cadherin-1', 'CDH1', 4, NULL),
(23373, NULL, 'IPR026672', NULL, 'Mesothelin-like protein', 'Mesothelin-like_protein', 4, NULL),
(23374, NULL, 'IPR025392', NULL, 'Domain of unknown function DUF4124', 'DUF4124', 3, NULL),
(23375, NULL, 'IPR031681', NULL, 'Domain of unknown function DUF5082', 'DUF5082', 3, NULL),
(23376, NULL, 'IPR025353', NULL, 'Protein of unknown function DUF4257)', 'DUF4257', 4, NULL),
(23377, NULL, 'IPR031503', NULL, 'Protein of unknown function DUF5099', 'DUF5099', 4, NULL),
(23378, NULL, 'IPR025419', NULL, 'Domain of unknown function DUF4142', 'DUF4142', 3, NULL),
(23379, NULL, 'IPR031757', NULL, 'Glycosyltransferase family 88', 'Glyco_transf_88', 4, NULL),
(23380, NULL, 'IPR028717', NULL, 'Vesicle-associated membrane protein 2', 'VAMP2', 4, NULL),
(23381, NULL, 'IPR029977', NULL, 'Protein trichome birefringence-like 8-9', 'TBL8-9', 4, NULL),
(23382, NULL, 'IPR028730', NULL, 'Zinc finger FYVE domain-containing protein 26', 'ZFYVE26', 4, NULL),
(23383, NULL, 'IPR026297', NULL, 'FMRFamide-related peptide/Growth hormone-releasing peptide', 'FMRFamide-related/fGRP', 4, NULL),
(23384, NULL, 'IPR027582', NULL, 'Amanitin/phalloidin toxin', 'Amanitin/phalloidin', 4, NULL),
(23385, NULL, 'IPR026946', NULL, 'Sialidase-4', 'Sialidase-4', 4, NULL),
(23386, NULL, 'IPR025309', NULL, 'KTSC domain', 'KTSC_dom', 3, NULL),
(23387, NULL, 'IPR025405', NULL, 'Domain of unknown function DUF4131', 'DUF4131', 3, NULL),
(23388, NULL, 'IPR032333', NULL, 'Protein of unknown function DUF4857', 'DUF4857', 4, NULL),
(23389, NULL, 'IPR031588', NULL, 'Collectrin domain', 'Collectrin_dom', 3, NULL),
(23390, NULL, 'IPR025790', NULL, 'Suv4-20 family, animal', 'Suv4-20_animal', 4, NULL),
(23391, NULL, 'IPR025180', NULL, 'Protein of unknown function DUF4107', 'DUF4107', 4, NULL),
(23392, NULL, 'IPR031739', NULL, 'Condensin-2 complex subunit H2', 'Ncaph2', 4, NULL),
(23393, NULL, 'IPR032019', NULL, 'Frog antimicrobial peptide, ranacyclin-type, Ranidae', 'Frog_antimicrobial_Ranidae', 4, NULL),
(23394, NULL, 'IPR026381', NULL, 'RNA-directed RNA polymerase', 'Seadorna_RNAP', 4, NULL),
(23395, NULL, 'IPR030266', NULL, 'Nesprin-2', 'SYNE2', 4, NULL),
(23396, NULL, 'IPR028643', NULL, 'Inhibitor of growth protein 1', 'ING1', 4, NULL),
(23397, NULL, 'IPR032322', NULL, 'Protein of unknown function DUF4850', 'DUF4850', 4, NULL),
(23398, NULL, 'IPR025775', NULL, 'Birnavirus VP4 protease domain', 'Birna_VP4_Prtase_dom', 3, NULL),
(23399, NULL, 'IPR032327', NULL, 'Protein of unknown function DUF4854', 'DUF4854', 4, NULL),
(23400, NULL, 'IPR025748', NULL, 'PrcB C-terminal domain', 'PrcB_C_dom', 3, NULL),
(23401, NULL, 'IPR025458', NULL, 'Protein of unknown function DUF4278', 'DUF4278', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23402, NULL, 'IPR026660', NULL, 'Phosphoribosyl-AMP cyclohydrolase', 'PRA-CH', 4, NULL),
(23403, NULL, 'IPR031993', NULL, 'Domain of unknown function DUF4789', 'DUF4789', 3, NULL),
(23404, NULL, 'IPR026963', NULL, 'Aprataxin-like', 'Aprataxin-like', 4, NULL),
(23405, NULL, 'IPR034185', NULL, 'Site-1 peptidase catalytic domain', 'Site-1_peptidase_cat_dom', 3, NULL),
(23406, NULL, 'IPR028626', NULL, 'Ribosomal protein S28e conserved site', 'Ribosomal_S28e_CS', 2, NULL),
(23407, NULL, 'IPR028229', NULL, 'Integrase repeat unit', 'Integrase_rpt', 7, NULL),
(23408, NULL, 'IPR029825', NULL, 'cAMP-dependent transcription factor ATF1', 'ATF1', 4, NULL),
(23409, NULL, 'IPR027109', NULL, 'SWR1-complex protein 4/DNA methyltransferase 1-associated protein 1', 'Swc4/Dmap1', 4, NULL),
(23410, NULL, 'IPR026937', NULL, 'Strawberry notch, helicase C domain', 'SBNO_Helicase_C_dom', 3, NULL),
(23411, NULL, 'IPR028288', NULL, 'SCAR/WAVE family', 'SCAR/WAVE_fam', 4, NULL),
(23412, NULL, 'IPR028728', NULL, 'Sperm-associated antigen 5', 'Astrin', 4, NULL),
(23413, NULL, 'IPR028212', NULL, 'Hypothetical glycosyl hydrolase 6', 'GHL6', 4, NULL),
(23414, NULL, 'IPR024995', NULL, 'Protein of unknown function DUF3895', 'DUF3895', 4, NULL),
(23415, NULL, 'IPR025449', NULL, 'Protein of unknown function DUF4194', 'DUF4194', 4, NULL),
(23416, NULL, 'IPR032320', NULL, 'Protein of unknown function DUF4849, putative glycoside hydrolase family 18', 'GH18_DUF4849', 4, NULL),
(23417, NULL, 'IPR028630', NULL, 'RNA polymerase sigma factor RpoD', 'Sigma70_RpoD', 4, NULL),
(23418, NULL, 'IPR025354', NULL, 'Protein of unknown function DUF4258', 'DUF4258', 4, NULL),
(23419, NULL, 'IPR028519', NULL, 'Stomatin-like protein 3', 'SLP3', 4, NULL),
(23420, NULL, 'IPR027436', NULL, 'Protein kinase C, delta', 'PKC_delta', 4, NULL),
(23421, NULL, 'IPR028584', NULL, 'Cellobiose 2-epimerase', 'Cellobiose_2_epim', 4, NULL),
(23422, NULL, 'IPR030865', NULL, 'Lipopolysaccharide assembly protein B', 'LapB', 4, NULL),
(23423, NULL, 'IPR026620', NULL, 'Transmembrane protein 177', 'TMEM177', 4, NULL),
(23424, NULL, 'IPR031594', NULL, 'Putative iron/lead transporter', 'OFeT_1', 4, NULL),
(23425, NULL, 'IPR026010', NULL, 'Nucleoporin NSP1/NUP62', 'NSP1/NUP62', 4, NULL),
(23426, NULL, 'IPR024477', NULL, 'Protein of unknown function DUF3865, CADD-like', 'DUF3865_CADD-like', 4, NULL),
(23427, NULL, 'IPR025451', NULL, 'Domain of unknown function DUF4211', 'DUF4211', 3, NULL),
(23428, NULL, 'IPR031658', NULL, 'Cyclin, C-terminal domain 2', 'Cyclin_C_2', 3, NULL),
(23429, NULL, 'IPR025975', NULL, 'Polysaccharide lyase', 'Polysacc_lyase', 4, NULL),
(23430, NULL, 'IPR029822', NULL, 'Transcription factor JunB', 'JunB', 4, NULL),
(23431, NULL, 'IPR025805', NULL, 'Histone-lysine N-methyltransferase Smyd3', 'Hist-Lys_N-MeTrfase_Smyd3', 4, NULL),
(23432, NULL, 'IPR030445', NULL, 'Histone H3-K79 methyltransferase', 'H3-K79_meTrfase', 4, NULL),
(23433, NULL, 'IPR028193', NULL, 'Testis-expressed sequence 13 protein family', 'TEX13', 4, NULL),
(23434, NULL, 'IPR025977', NULL, 'Nuclear condensin complex subunit 3, C-terminal domain', 'Cnd3_C', 3, NULL),
(23435, NULL, 'IPR025461', NULL, 'ABA DEFICIENT 4-like', 'ABA4-like', 4, NULL),
(23436, NULL, 'IPR027437', NULL, '30s ribosomal protein S13, C-terminal', '30s_Rbsml_prot_S13_C', 5, NULL),
(23437, NULL, 'IPR030306', NULL, 'Solute carrier family 26 member 9', 'SLC26A9', 4, NULL),
(23438, NULL, 'IPR031675', NULL, 'Serine-threonine protein phosphatase, N-terminal', 'STPPase_N', 3, NULL),
(23439, NULL, 'IPR031583', NULL, 'PelD, GGDEF domain', 'PelD_GGDEF', 3, NULL),
(23440, NULL, 'IPR031593', NULL, 'Putative general bacterial porin', 'Porin_7', 4, NULL),
(23441, NULL, 'IPR034163', NULL, 'Aspergillopepsin-like catalytic domain', 'Aspergillopepsin-like_cat_dom', 3, NULL),
(23442, NULL, 'IPR026796', NULL, 'Dedicator of cytokinesis 9', 'DOCK9', 4, NULL),
(23443, NULL, 'IPR031505', NULL, 'Protein of unknown function DUF5098', 'DUF5098', 4, NULL),
(23444, NULL, 'IPR027116', NULL, 'Negative cofactor 2 complex subunit alpha/DNA polymerase epsilon subunit C', 'Bur6/Dpb3', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23445, NULL, 'IPR025423', NULL, 'Domain of unknown function DUF4149', 'DUF4149', 3, NULL),
(23446, NULL, 'IPR032057', NULL, 'Protein of unknown function DUF4799', 'DUF4799', 4, NULL),
(23447, NULL, 'IPR032331', NULL, 'Protein of unknown function DUF4856', 'DUF4856', 4, NULL),
(23448, NULL, 'IPR028228', NULL, 'Immunity protein 53', 'Imm53', 4, NULL),
(23449, NULL, 'IPR025369', NULL, 'Domain of unknown function DUF4274', 'DUF4274', 3, NULL),
(23450, NULL, 'IPR025388', NULL, 'Alginate export domain', 'Alginate_export_dom', 3, NULL),
(23451, NULL, 'IPR026939', NULL, 'ZNF706/At2g23090 superfamily', 'ZNF706/At2g23090_sf', 5, NULL),
(23452, NULL, 'IPR027207', NULL, 'Spermatogenesis-associated protein 6', 'Spata6', 4, NULL),
(23453, NULL, 'IPR030174', NULL, 'LIM domain-binding protein 2', 'LDB2', 4, NULL),
(23454, NULL, 'IPR031916', NULL, 'DNA ligase 3, BRCT domain', 'LIG3_BRCT', 3, NULL),
(23455, NULL, 'IPR026391', NULL, 'CRISPR-associated protein GSU0052/csb3, Dpsyc system', 'Cas_GSU0052', 4, NULL),
(23456, NULL, 'IPR032053', NULL, 'Mitochondrial 28S ribosomal protein S34', 'MRP-S34', 4, NULL),
(23457, NULL, 'IPR026300', NULL, 'CWF11 family', 'CWF11_fam', 4, NULL),
(23458, NULL, 'IPR024866', NULL, 'Transient receptor potential channel, vanilloid 3', 'TRPV3_channel', 4, NULL),
(23459, NULL, 'IPR025411', NULL, 'Domain of unknown function DUF4136', 'DUF4136', 3, NULL),
(23460, NULL, 'IPR024473', NULL, 'Transposase, IS4, N-terminal', 'Transposases_IS4_N', 3, NULL),
(23461, NULL, 'IPR026597', NULL, 'Hypoxanthine/guanine phosphoribosyltransferase-like', 'HGPRTase-like', 4, NULL),
(23462, NULL, 'IPR026609', NULL, 'Opalin', 'Opalin', 4, NULL),
(23463, NULL, 'IPR034092', NULL, 'PHO1, SPX domain', 'PHO1_SPX', 3, NULL),
(23464, NULL, 'IPR030269', NULL, 'Plectin', 'Plectin', 4, NULL),
(23465, NULL, 'IPR034133', NULL, 'Chemokine CC, DCCL motif-cointaining domain', 'Chemokine_CC_DCCL', 3, NULL),
(23466, NULL, 'IPR025588', NULL, 'YcxB-like protein', 'YcxB', 3, NULL),
(23467, NULL, 'IPR025184', NULL, 'Domain of unknown function DUF4111', 'DUF4111', 3, NULL),
(23468, NULL, 'IPR025421', NULL, 'Protein of unknown function DUF4148', 'DUF4148', 4, NULL),
(23469, NULL, 'IPR031489', NULL, 'D,L-carboxypeptidase, peptidase domain', 'Peptidase_M99', 3, NULL),
(23470, NULL, 'IPR031986', NULL, 'Serine protease gd, N-terminal domain', 'GD_N', 3, NULL),
(23471, NULL, 'IPR024993', NULL, 'Protein of unknown function DUF3894', 'DUF3894', 4, NULL),
(23472, NULL, 'IPR031590', NULL, 'Pre-mRNA-splicing factor Prp9, N-terminal', 'PRP9_N', 3, NULL),
(23473, NULL, 'IPR028727', NULL, 'Chromodomain-helicase-DNA-binding protein 5', 'CHD5', 4, NULL),
(23474, NULL, 'IPR025774', NULL, 'SAM-dependent methyltransferase gTMT-type', 'MTs_g-TMT', 4, NULL),
(23475, NULL, 'IPR025348', NULL, 'Protein of unknown function DUF4252', 'DUF4252', 4, NULL),
(23476, NULL, 'IPR024548', NULL, 'Copper type II ascorbate-dependent monooxygenase, C-terminal', 'Cu2_monoox_C', 3, NULL),
(23477, NULL, 'IPR030095', NULL, 'Melanoma-associated antigen 8', 'MAGEA8', 4, NULL),
(23478, NULL, 'IPR024307', NULL, 'YmaF', 'YmaF', 4, NULL),
(23479, NULL, 'IPR028713', NULL, 'Synapsin-1', 'SYN1', 4, NULL),
(23480, NULL, 'IPR026327', NULL, 'Methyl-coenzyme M reductase, protein C-like', 'Me_CoM_Rdtase_prot-C-like', 4, NULL),
(23481, NULL, 'IPR025367', NULL, 'Protein of unknown function DUF4271', 'DUF4271', 4, NULL),
(23482, NULL, 'IPR029954', NULL, 'Solute carrier family 23 member 1', 'SLC23A1', 4, NULL),
(23483, NULL, 'IPR026253', NULL, 'Methionine import ATP-binding protein MetN', 'ABC_MetN', 4, NULL),
(23484, NULL, 'IPR031492', NULL, 'Protein of unknown function DUF5101', 'DUF5101', 4, NULL),
(23485, NULL, 'IPR028882', NULL, 'Succinate dehydrogenase assembly factor 2, mitochondrial', 'SDHAF2', 4, NULL),
(23486, NULL, 'IPR026118', NULL, 'Calcium-binding and spermatid-specific protein 1', 'Ca-bd_spermatid', 4, NULL),
(23487, NULL, 'IPR026376', NULL, 'Putative radical SAM-modified peptide', 'rSAM_modified_put', 4, NULL),
(23488, NULL, 'IPR025460', NULL, 'Protein of unknown function DUF4280', 'DUF4280', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23489, NULL, 'IPR025357', NULL, 'Domain of unknown function DUF4261', 'DUF4261', 3, NULL),
(23490, NULL, 'IPR031580', NULL, 'Pilus assembly protein TadZ, N-terminal', 'TadZ_N', 3, NULL),
(23491, NULL, 'IPR028707', NULL, 'Matrilysin', 'Matrilysin', 4, NULL),
(23492, NULL, 'IPR032325', NULL, 'Protein of unknown function DUF4852', 'DUF4852', 4, NULL),
(23493, NULL, 'IPR028231', NULL, 'Transcription elongation factor Spt6, YqgF domain', 'Spt6_YqgF', 3, NULL),
(23494, NULL, 'IPR025415', NULL, 'Protein of unknown function DUF4141', 'DUF4141', 4, NULL),
(23495, NULL, 'IPR027794', NULL, 'tRNase Z endonuclease', 'tRNase_Z_dom', 3, NULL),
(23496, NULL, 'IPR026384', NULL, 'Seadornavirus VP2 protein', 'Seadorna_VP2', 4, NULL),
(23497, NULL, 'IPR025757', NULL, 'Ternary complex factor MIP1, leucine-zipper', 'MIP1_Leuzipper', 3, NULL),
(23498, NULL, 'IPR034164', NULL, 'Pepsin-like domain', 'Pepsin-like_dom', 3, NULL),
(23499, NULL, 'IPR032358', NULL, 'Protein of unknown function DUF4867', 'DUF4867', 4, NULL),
(23500, NULL, 'IPR025796', NULL, 'Histone-lysine N-methyltransferase SETDB1', 'Hist-Lys_N-MeTrfase_SETDB1', 4, NULL),
(23501, NULL, 'IPR025275', NULL, 'Putative glycosyl hydrolase domain DUF4015', 'DUF4015', 3, NULL),
(23502, NULL, 'IPR028321', NULL, 'Shugoshin 1', 'Sgo1', 4, NULL),
(23503, NULL, 'IPR025139', NULL, 'Domain of unknown function DUF4062', 'DUF4062', 3, NULL),
(23504, NULL, 'IPR032091', NULL, 'Maltogenic Amylase, C-terminal', 'Malt_amylase_C', 3, NULL),
(23505, NULL, 'IPR031139', NULL, 'RPGRIP1 family', 'RPGRIP1_fam', 4, NULL),
(23506, NULL, 'IPR028085', NULL, 'Folliculin-interacting protein, middle domain', 'FNIP_mid_dom', 3, NULL),
(23507, NULL, 'IPR025072', NULL, 'Fur-regulated basic protein A', 'Fur_reg_FbpA', 4, NULL),
(23508, NULL, 'IPR025558', NULL, 'Domain of unknown function DUF4283', 'DUF4283', 3, NULL),
(23509, NULL, 'IPR030920', NULL, 'Sporulation killing factor system integral membrane protein SkfF', 'SkfF', 4, NULL),
(23510, NULL, 'IPR026054', NULL, 'Nuclear pore complex protein', 'Nucleoporin', 4, NULL),
(23511, NULL, 'IPR026279', NULL, 'Sigma-E factor negative regulatory protein RseA', 'RseA', 4, NULL),
(23512, NULL, 'IPR027464', NULL, 'Ornithine decarboxylase, N-terminal', 'Ornithine_deCO2ase_N', 5, NULL),
(23513, NULL, 'IPR028331', NULL, 'ATP-dependent RNA helicase CHL1/DDX11', 'CHL1/DDX11', 4, NULL),
(23514, NULL, 'IPR030363', NULL, 'Phospholipid-transporting ATPase IG', 'ATP11C', 4, NULL),
(23515, NULL, 'IPR028263', NULL, 'Flagellar motor switch protein FliG, N-terminal domain', 'FliG_N', 3, NULL),
(23516, NULL, 'IPR027566', NULL, 'Putrescine transporter PotE', 'Symport/antiport_PotE', 4, NULL),
(23517, NULL, 'IPR028083', NULL, 'Spt6 acidic, N-terminal domain', 'Spt6_acidic_N_dom', 3, NULL),
(23518, NULL, 'IPR025095', NULL, 'Protein of unknown function DUF4022', 'DUF4022', 4, NULL),
(23519, NULL, 'IPR025697', NULL, 'CLU domain', 'CLU_dom', 3, NULL),
(23520, NULL, 'IPR025784', NULL, 'Protein N-terminal and lysine N-methyltransferase EFM7', 'EFM7', 4, NULL),
(23521, NULL, 'IPR030048', NULL, 'Survival protein SurE', 'SurE', 4, NULL),
(23522, NULL, 'IPR025570', NULL, 'Protein of unknown function DUF4337', 'DUF4337', 4, NULL),
(23523, NULL, 'IPR030204', NULL, 'Solute carrier family 10 member 4', 'SLC10A4', 4, NULL),
(23524, NULL, 'IPR025048', NULL, 'Protein of unknown function DUF3987)', 'DUF3987', 4, NULL),
(23525, NULL, 'IPR032873', NULL, 'Probable tRNA methyltransferase 9-like protein', 'Trm9', 4, NULL),
(23526, NULL, 'IPR031967', NULL, 'PhoR, single Cache-like domain', 'PhoR_single_Cache-like_dom', 3, NULL),
(23527, NULL, 'IPR032103', NULL, 'Sodium/hydrogen exchanger, regulatory region', 'NHE_CaM-bd', 3, NULL),
(23528, NULL, 'IPR031988', NULL, 'DNA primase DnaG, C-terminal helicase-binding domain', 'DnaG_HBD', 3, NULL),
(23529, NULL, 'IPR031485', NULL, 'Cellulose biosynthesis protein BcsS', 'CBP_BcsS', 4, NULL),
(23530, NULL, 'IPR026033', NULL, 'Azaguanine-like transporters, bacteria and archaea type', 'Azg-like_bact_archaea', 4, NULL),
(23531, NULL, 'IPR025256', NULL, 'Domain of unknown function DUF4203', 'DUF4203', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23532, NULL, 'IPR028236', NULL, 'Ciliogenesis and planar polarity effector 1', 'CPLANE1', 4, NULL),
(23533, NULL, 'IPR030804', NULL, 'Bardet-Biedl syndrome 5 protein/sex-determination protein fem-3', 'BBS5/fem-3', 4, NULL),
(23534, NULL, 'IPR025696', NULL, 'rRNA-processing arch domain', 'rRNA_proc-arch_dom', 3, NULL),
(23535, NULL, 'IPR028078', NULL, 'AP2-coincident, C-terminal domain', 'ACDC', 3, NULL),
(23536, NULL, 'IPR025065', NULL, 'Protein of unknown function DUF4006', 'DUF4006', 4, NULL),
(23537, NULL, 'IPR027626', NULL, 'Pseudo-rSAM protein/SPASM domain protein', 'Pseudo_SAM_Halo', 4, NULL),
(23538, NULL, 'IPR032868', NULL, 'Alpha-ketoglutarate-dependent dioxygenase FTO', 'FTO', 4, NULL),
(23539, NULL, 'IPR026150', NULL, 'Enkurin', 'Enkur', 4, NULL),
(23540, NULL, 'IPR030869', NULL, '1,4-dihydroxy-6-naphtoate synthase', 'MqnD', 4, NULL),
(23541, NULL, 'IPR025806', NULL, 'Probable methyltransferase TARBP1', 'Prob_MeTrfase_TARBP1', 4, NULL),
(23542, NULL, 'IPR026282', NULL, 'DNA-binding protein, MJ1563 type', 'MJ1563', 4, NULL),
(23543, NULL, 'IPR028679', NULL, 'Lipid phosphate phosphatase-related protein type 2', 'LPPR2', 4, NULL),
(23544, NULL, 'IPR028073', NULL, 'PTHB1, N-terminal domain', 'PHTB1_N_dom', 3, NULL),
(23545, NULL, 'IPR030868', NULL, 'Chorismate dehydratase', 'MqnA', 4, NULL),
(23546, NULL, 'IPR031477', NULL, 'E domain', 'SasG_E', 3, NULL),
(23547, NULL, 'IPR025082', NULL, 'Protein of unknown function DUF3964', 'DUF3964', 4, NULL),
(23548, NULL, 'IPR025246', NULL, 'Transposase IS30-like HTH domain', 'IS30-like_HTH', 3, NULL),
(23549, NULL, 'IPR025080', NULL, 'Protein of unknown function DUF3959', 'DUF3959', 4, NULL),
(23550, NULL, 'IPR025286', NULL, 'MOFRL-associated domain', 'MOFRL_assoc_dom', 3, NULL),
(23551, NULL, 'IPR032459', NULL, 'Putative oxidoreductase, C-terminal', 'Oxidoreduct_C', 3, NULL),
(23552, NULL, 'IPR028084', NULL, 'Folliculin-interacting protein, N-terminal domain', 'FNIP_N_dom', 3, NULL),
(23553, NULL, 'IPR031297', NULL, 'DNA damage-binding protein 1', 'DDB1', 4, NULL),
(23554, NULL, 'IPR025260', NULL, 'Domain of unknown function DUF4208', 'DUF4208', 3, NULL),
(23555, NULL, 'IPR030357', NULL, 'Phospholipid-transporting ATPase VA', 'ATP10A', 4, NULL),
(23556, NULL, 'IPR025291', NULL, 'Protein of unknown function DUF4153', 'DUF4153', 4, NULL),
(23557, NULL, 'IPR025035', NULL, 'Protein of unknown function DUF3922', 'DUF3922', 4, NULL),
(23558, NULL, 'IPR024393', NULL, 'Mechanosensitive ion channel MscS, porin domain', 'MscS_porin', 3, NULL),
(23559, NULL, 'IPR026281', NULL, 'HTH-type transcriptional regulator RamB', 'HTH_RamB', 4, NULL),
(23560, NULL, 'IPR025143', NULL, 'Protein of unknown function DUF4083', 'DUF4083', 4, NULL),
(23561, NULL, 'IPR025562', NULL, 'Type VI secretion system (T6SS), amidase effector protein 4', 'Tae4', 4, NULL),
(23562, NULL, 'IPR025126', NULL, 'Protein of unknown function DUF4052', 'DUF4052', 4, NULL),
(23563, NULL, 'IPR031965', NULL, 'Starch-binding module 26', 'CBM26', 3, NULL),
(23564, NULL, 'IPR028139', NULL, 'Humanin family', 'Humanin', 4, NULL),
(23565, NULL, 'IPR031480', NULL, 'Cellulose-complementing protein', 'CcpAX', 4, NULL),
(23566, NULL, 'IPR032456', NULL, 'CAAX prenyl protease 1, N-terminal', 'Peptidase_M48_N', 3, NULL),
(23567, NULL, 'IPR026586', NULL, 'Type 2 tetrahydrodipicolinate N-succinyltransferase family', 'Type2_DapD', 4, NULL),
(23568, NULL, 'IPR025079', NULL, 'Domain of unknown function DUF3943', 'DUF3943', 3, NULL),
(23569, NULL, 'IPR028689', NULL, 'Synaptotagmin-5', 'SYT5', 4, NULL),
(23570, NULL, 'IPR025053', NULL, 'Protein of unknown function DUF3985', 'DUF3985', 4, NULL),
(23571, NULL, 'IPR031948', NULL, 'Periplasmic lysozyme inhibitor, I-type', 'PliI', 4, NULL),
(23572, NULL, 'IPR027589', NULL, 'Choice-of-anchor B domain', 'Choice_anch_B', 3, NULL),
(23573, NULL, 'IPR026152', NULL, 'Specifically androgen-regulated gene protein', 'SARG', 4, NULL),
(23574, NULL, 'IPR027604', NULL, 'Tungsten cofactor oxidoreducase radical SAM maturase', 'W_rSAM_matur', 4, NULL),
(23575, NULL, 'IPR028072', NULL, 'Domain of unknown function DUF4466', 'DUF4466', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23576, NULL, 'IPR025117', NULL, 'Domain of unknown function DUF4037', 'DUF4037', 3, NULL),
(23577, NULL, 'IPR025565', NULL, 'Domain of unknown function DUF4328', 'DUF4328', 3, NULL),
(23578, NULL, 'IPR025071', NULL, 'Protein of unknown function DUF3939', 'DUF3939', 4, NULL),
(23579, NULL, 'IPR027618', NULL, 'Beta propeller repeat, Msarc-type', 'Beta_prop_Msarc', 7, NULL),
(23580, NULL, 'IPR031452', NULL, 'Protein Kre1', 'Kre1', 4, NULL),
(23581, NULL, 'IPR030624', NULL, 'Dihydropyrimidinase-related protein 1', 'CRMP1', 4, NULL),
(23582, NULL, 'IPR025257', NULL, 'Deubiquitinating enzyme MINDY-3/4, conserved domain', 'MINDY-3/4_CD', 3, NULL),
(23583, NULL, 'IPR025031', NULL, 'Protein of unknown function DUF3919', 'DUF3919', 4, NULL),
(23584, NULL, 'IPR025062', NULL, 'Protein of unknown function DUF4003', 'DUF4003', 4, NULL),
(23585, NULL, 'IPR024926', NULL, 'Nucleolar GTP-binding protein 1', 'NOG1', 4, NULL),
(23586, NULL, 'IPR027594', NULL, 'Methanogenesis multiheme c-type cytochrome', 'Methanoheme_cyt', 4, NULL),
(23587, NULL, 'IPR026031', NULL, 'Cytochrome c-type biogenesis protein CcmB, bacteria', 'Cyt_c_CcmB_bac', 4, NULL),
(23588, NULL, 'IPR025068', NULL, 'Protein of unknown function DUF3937', 'DUF3937', 4, NULL),
(23589, NULL, 'IPR027631', NULL, '[FeFe] hydrogenase, group B1/B3', 'FeFe_hydrog_B1', 4, NULL),
(23590, NULL, 'IPR025242', NULL, 'Protein of unknown function DUF4193', 'DUF4193', 4, NULL),
(23591, NULL, 'IPR028674', NULL, 'Lipid phosphate phosphohydrolase 2', 'LPP2', 4, NULL),
(23592, NULL, 'IPR025237', NULL, 'Domain of unknown function DUF4183', 'DUF4183', 3, NULL),
(23593, NULL, 'IPR031131', NULL, 'Warthog protein 3/5', 'Warthog_3/5', 4, NULL),
(23594, NULL, 'IPR025070', NULL, 'Protein of unknown function DUF3938', 'DUF3938', 4, NULL),
(23595, NULL, 'IPR028662', NULL, 'Sorting nexin-8/Mvp1', 'SNX8/Mvp1', 4, NULL),
(23596, NULL, 'IPR030353', NULL, 'Cell cycle control protein 50C', 'TMEM30C', 4, NULL),
(23597, NULL, 'IPR025135', NULL, 'Protein of unknown function DUF4060', 'DUF4060', 4, NULL),
(23598, NULL, 'IPR025253', NULL, 'Type I toxin-antitoxin system, toxin Ldr', 'Toxin_Ldr', 4, NULL),
(23599, NULL, 'IPR031991', NULL, 'DNA repair protein Rev1, C-terminal', 'Rev1_C', 3, NULL),
(23600, NULL, 'IPR027226', NULL, 'E3 SUMO-protein ligase PIAS3', 'PIAS3', 4, NULL),
(23601, NULL, 'IPR034051', NULL, 'Tripeptidyl-peptidase II domain', 'TPP_II_domain', 3, NULL),
(23602, NULL, 'IPR026153', NULL, 'Treslin', 'Treslin', 4, NULL),
(23603, NULL, 'IPR025078', NULL, 'Protein of unknown function DUF3931', 'DUF3931', 4, NULL),
(23604, NULL, 'IPR031055', NULL, 'Protein rough sheath 2 /ASYMMETRIC LEAVES1', 'RS2/Asn1', 4, NULL),
(23605, NULL, 'IPR025149', NULL, 'Protein of unknown function DUF4090', 'DUF4090', 4, NULL),
(23606, NULL, 'IPR025148', NULL, '1-carboxybiuret hydrolase subunit AtzG-like', 'AtzG-like', 4, NULL),
(23607, NULL, 'IPR027227', NULL, 'E3 SUMO-protein ligase PIAS1', 'PIAS1', 4, NULL),
(23608, NULL, 'IPR030356', NULL, 'Probable phospholipid-transporting ATPase IIA', 'ATP9A', 4, NULL),
(23609, NULL, 'IPR028673', NULL, 'Syntaxin-16', 'STX16', 4, NULL),
(23610, NULL, 'IPR028667', NULL, 'Sorting nexin-27', 'SNX27', 4, NULL),
(23611, NULL, 'IPR029981', NULL, 'PMR5', 'PMR5', 4, NULL),
(23612, NULL, 'IPR031476', NULL, 'Protein of unknown function DUF4686', 'DUF4686', 4, NULL),
(23613, NULL, 'IPR027230', NULL, 'SUMO-conjugating enzyme Ubc9', 'Ubc9', 4, NULL),
(23614, NULL, 'IPR025699', NULL, 'ABC-2 membrane transporter-like', 'ABC2_memb-like', 4, NULL),
(23615, NULL, 'IPR032001', NULL, 'SAWADEE domain', 'SAWADEE_dom', 3, NULL),
(23616, NULL, 'IPR031964', NULL, 'Caspase recruitment domain', 'CARD_dom', 3, NULL),
(23617, NULL, 'IPR025124', NULL, 'Domain of unknown function DUF4050', 'DUF4050', 3, NULL),
(23618, NULL, 'IPR025792', NULL, 'tRNA (guanine(37)-N(1))-methyltransferase, eukaryotic', 'tRNA_Gua_MeTrfase_euk', 4, NULL),
(23619, NULL, 'IPR031059', NULL, 'High mobility group protein HMGA, plant', 'HMGA_plant', 4, NULL),
(23620, NULL, 'IPR025024', NULL, 'Protein of unknown function DUF3913', 'DUF3913', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23621, NULL, 'IPR032889', NULL, 'Gamma-glutamyl-hercynylcysteine sulfoxide hydrolase, Actinobacteria', 'EgtC_Actinobacteria', 4, NULL),
(23622, NULL, 'IPR026138', NULL, 'Ceroid-lipofuscinosis neuronal protein 5', 'CLN5', 4, NULL),
(23623, NULL, 'IPR025244', NULL, 'Coiled-coil domain-containing protein 82', 'CCDC82', 3, NULL),
(23624, NULL, 'IPR030129', NULL, 'Tropomodulin-4', 'TMOD4', 4, NULL),
(23625, NULL, 'IPR034085', NULL, 'TOG domain', 'TOG', 3, NULL),
(23626, NULL, 'IPR024997', NULL, 'Protein of unknown function DUF3892', 'DUF3892', 4, NULL),
(23627, NULL, 'IPR028691', NULL, 'Synaptotagmin-9', 'SYT9', 4, NULL),
(23628, NULL, 'IPR026309', NULL, 'Bcl-2-related ovarian killer protein', 'BOK', 4, NULL),
(23629, NULL, 'IPR028111', NULL, 'Melanocortin-2 receptor accessory protein family', 'MRAP', 4, NULL),
(23630, NULL, 'IPR028089', NULL, 'Domain of unknown function DUF4455', 'DUF4455', 3, NULL),
(23631, NULL, 'IPR030163', NULL, 'Molybdate-anion transporter, animal type', 'MFSD5', 4, NULL),
(23632, NULL, 'IPR025020', NULL, 'Protein of unknown function DUF3908', 'DUF3908', 4, NULL),
(23633, NULL, 'IPR027625', NULL, 'Putative 4-mercaptohistidine N1-methyltranferase, OvoA C-terminal domain', 'OvoA_Cterm', 3, NULL),
(23634, NULL, 'IPR027614', NULL, 'Predicted outer membrane protein, Leptospiraceae', 'OMP_Lepto', 4, NULL),
(23635, NULL, 'IPR025131', NULL, 'Domain of unknown function DUF4057', 'DUF4057', 3, NULL),
(23636, NULL, 'IPR031474', NULL, 'Protein phosphatase 1 regulatory subunit 26, N-terminal domain', 'PPP1R26_N', 3, NULL),
(23637, NULL, 'IPR025107', NULL, 'Protein of unknown function DUF4029', 'DUF4029', 4, NULL),
(23638, NULL, 'IPR026163', NULL, 'Nck-associated protein 5-like', 'Nckap5l', 4, NULL),
(23639, NULL, 'IPR026292', NULL, 'Leucine-rich repeat-containing protein 14', 'LRRC14', 4, NULL),
(23640, NULL, 'IPR026283', NULL, 'Beta-galactosidase 1-like', 'B-gal_1-like', 4, NULL),
(23641, NULL, 'IPR025081', NULL, 'Domain of unknown function DUF3961', 'DUF3961', 3, NULL),
(23642, NULL, 'IPR025252', NULL, 'Domain of unknown function DUF4200', 'DUF4200', 3, NULL),
(23643, NULL, 'IPR028518', NULL, 'Protein kinase C and casein kinase substrate in neurons protein 1', 'PACSIN1', 4, NULL),
(23644, NULL, 'IPR034132', NULL, 'Retropepsin Saci-like domain', 'RP_Saci-like', 3, NULL),
(23645, NULL, 'IPR025236', NULL, 'SR1 protein', 'SR1P', 4, NULL),
(23646, NULL, 'IPR028267', NULL, 'Rapamycin-insensitive companion of mTOR, N-terminal domain', 'Pianissimo_N', 3, NULL),
(23647, NULL, 'IPR025258', NULL, 'Putative zinc-RING and/or ribbon', 'Zf-RING_9', 3, NULL),
(23648, NULL, 'IPR029770', NULL, 'AMP deaminase 1', 'AMPD1', 4, NULL),
(23649, NULL, 'IPR025238', NULL, 'Protein of unknown function DUF4184', 'DUF4184', 4, NULL),
(23650, NULL, 'IPR030359', NULL, 'Phospholipid-transporting ATPase VB', 'ATP10B', 4, NULL),
(23651, NULL, 'IPR025294', NULL, 'Protein of unknown function DUF4156', 'DUF4156', 4, NULL),
(23652, NULL, 'IPR032108', NULL, 'CLIP1, zinc knuckle', 'CLIP1_ZNF', 3, NULL),
(23653, NULL, 'IPR027629', NULL, 'Putative protein phosphatase DevT-like', 'DevT-like', 4, NULL),
(23654, NULL, 'IPR031450', NULL, 'Orthopoxvirus B3 protein', 'B3R', 4, NULL),
(23655, NULL, 'IPR031479', NULL, 'Protein SLX4IP', 'SLX4IP', 4, NULL),
(23656, NULL, 'IPR032848', NULL, 'Sex-determining transformer protein 2', 'Ce-Tra-2', 4, NULL),
(23657, NULL, 'IPR027624', NULL, 'Thiazole/oxazole-forming peptide maturase, SagD family component', 'TOMM_cyclo_SagD', 4, NULL),
(23658, NULL, 'IPR025731', NULL, 'YecR-like lipoprotein', 'YecR-like', 4, NULL),
(23659, NULL, 'IPR025245', NULL, 'Protein of unknown function DUF4197', 'DUF4197', 4, NULL),
(23660, NULL, 'IPR025088', NULL, 'Protein of unknown function DUF3970', 'DUF3970', 4, NULL),
(23661, NULL, 'IPR032671', NULL, 'Roquin-1', 'RC3H1', 4, NULL),
(23662, NULL, 'IPR028235', NULL, 'Dynein assembly factor 3, C-terminal domain', 'DNAAF3_C', 3, NULL),
(23663, NULL, 'IPR025023', NULL, 'Protein of unknown function DUF3912', 'DUF3912', 4, NULL),
(23664, NULL, 'IPR031475', NULL, 'Four-carbon acid sugar kinase, nucleotide binding domain', 'NBD_C', 3, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23665, NULL, 'IPR025279', NULL, 'Stress response protein NST1', 'NST1', 4, NULL),
(23666, NULL, 'IPR028091', NULL, 'FAM91, N-terminal domain', 'FAM91_N_dom', 3, NULL),
(23667, NULL, 'IPR027570', NULL, 'GeoRSP system radical SAM/SPASM protein', 'GeoRSP_rSAM', 4, NULL),
(23668, NULL, 'IPR024380', NULL, 'Domain of unknown function DUF3848', 'DUF3848', 3, NULL),
(23669, NULL, 'IPR031996', NULL, 'NVL2, nucleolin binding domain', 'NVL2_nucleolin-bd', 3, NULL),
(23670, NULL, 'IPR025569', NULL, 'Protein of unknown function DUF4335', 'DUF4335', 4, NULL),
(23671, NULL, 'IPR025964', NULL, 'GGGtGRT protein', 'GGGtGRT', 4, NULL),
(23672, NULL, 'IPR025234', NULL, 'Protein of unknown function DUF4177', 'DUF4177', 4, NULL),
(23673, NULL, 'IPR026147', NULL, 'Rab3GAP catalytic subunit, conserved domain', 'Rab3GAP1_conserved', 3, NULL),
(23674, NULL, 'IPR025255', NULL, 'Protein of unknown function DUF4202', 'DUF4202', 4, NULL),
(23675, NULL, 'IPR025108', NULL, 'Protein of unknown function DUF4030', 'DUF4030', 4, NULL),
(23676, NULL, 'IPR025302', NULL, 'Domain of unknown function DUF4162', 'DUF4162', 3, NULL),
(23677, NULL, 'IPR024999', NULL, 'Protein of unknown function DUF3905', 'DUF3905', 4, NULL),
(23678, NULL, 'IPR031939', NULL, 'Surface-adhesin protein E-like', 'Adhesin_E-like', 4, NULL),
(23679, NULL, 'IPR025557', NULL, 'Protein of unknown function DUF4282', 'DUF4282', 4, NULL),
(23680, NULL, 'IPR025063', NULL, 'Protein of unknown function DUF4004', 'DUF4004', 4, NULL),
(23681, NULL, 'IPR025097', NULL, 'Protein of unknown function DUF4023', 'DUF4023', 4, NULL),
(23682, NULL, 'IPR025102', NULL, 'Protein of unknown function DUF4026', 'DUF4026', 4, NULL),
(23683, NULL, 'IPR025021', NULL, 'Protein of unknown function DUF3910', 'DUF3910', 4, NULL),
(23684, NULL, 'IPR026273', NULL, 'Low specificity L-threonine aldolase', 'Low_specificity_L-TA', 4, NULL),
(23685, NULL, 'IPR025259', NULL, 'Coiled-coil domain-containing protein 34/181', 'CCDC34/181', 3, NULL),
(23686, NULL, 'IPR026266', NULL, 'L-arabinose-binding periplasmic protein', 'AraF', 4, NULL),
(23687, NULL, 'IPR025277', NULL, 'Putative glycohydrolase domain DUF4038', 'DUF4038', 3, NULL),
(23688, NULL, 'IPR025284', NULL, 'Protein of unknown function DUF4144', 'DUF4144', 4, NULL),
(23689, NULL, 'IPR025111', NULL, 'Domain of unknown function DUF4032', 'DUF4032', 3, NULL),
(23690, NULL, 'IPR030132', NULL, 'Leiomodin-2', 'LMOD2', 4, NULL),
(23691, NULL, 'IPR028694', NULL, 'Synaptotagmin-like protein 4', 'SYTL4', 4, NULL),
(23692, NULL, 'IPR028107', NULL, 'Spatacsin, C-terminal domain', 'Spatacsin_C_dom', 3, NULL),
(23693, NULL, 'IPR028690', NULL, 'Synaptotagmin-16', 'SYT16', 4, NULL),
(23694, NULL, 'IPR025118', NULL, 'Domain of unknown function DUF4045', 'DUF4045', 3, NULL),
(23695, NULL, 'IPR028675', NULL, 'Lipid phosphate phosphohydrolase 3', 'LPP3', 4, NULL),
(23696, NULL, 'IPR026160', NULL, 'Resistance to inhibitors of cholinesterase protein 3', 'Ric3', 4, NULL),
(23697, NULL, 'IPR032846', NULL, 'Protein accelerated cell death 6', 'ACD6', 4, NULL),
(23698, NULL, 'IPR025228', NULL, 'Domain of unknown function DUF4171', 'DUF4171', 3, NULL),
(23699, NULL, 'IPR025262', NULL, 'Quorum-sensing regulator protein G', 'QseG', 4, NULL),
(23700, NULL, 'IPR028237', NULL, 'Proline-rich protein 15', 'PRR15', 4, NULL),
(23701, NULL, 'IPR025734', NULL, 'EspG family', 'EspG', 4, NULL),
(23702, NULL, 'IPR027503', NULL, 'Lon protease homologue, chloroplastic/mitochondrial', 'Lonm_euk', 4, NULL),
(23703, NULL, 'IPR030629', NULL, 'Protein piccolo', 'Piccolo', 4, NULL),
(23704, NULL, 'IPR025304', NULL, 'ALIX V-shaped domain', 'ALIX_V_dom', 3, NULL),
(23705, NULL, 'IPR027501', NULL, 'Lon protease homologue 2, peroxisomal', 'Lonp2_euk', 4, NULL),
(23706, NULL, 'IPR031970', NULL, 'Anillin, N-terminal domain', 'Anillin_N', 3, NULL),
(23707, NULL, 'IPR028088', NULL, 'Helix-turn-helix DNA-binding domain of Spt6', 'Spt6_HTH_DNA-bd_dom', 3, NULL),
(23708, NULL, 'IPR032177', NULL, 'Fragile X-related 1 protein, C-terminal region 3', 'FXR_C3', 3, NULL),
(23709, NULL, 'IPR028670', NULL, 'Lipid phosphate phosphohydrolase 1', 'LPP1', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23710, NULL, 'IPR027296', NULL, 'DNA fragmentation factor 45kDa, C-terminal', 'DFF-C', 5, NULL),
(23711, NULL, 'IPR026271', NULL, 'PRAME family', 'PRAME_family', 4, NULL),
(23712, NULL, 'IPR031394', NULL, 'Musculoskeletal embryonic nuclear protein 1', 'MUSTN1', 4, NULL),
(23713, NULL, 'IPR028661', NULL, 'Vacuolar protein sorting-associated protein 29', 'Vps29', 4, NULL),
(23714, NULL, 'IPR025729', NULL, 'MsyB protein', 'MsyB', 4, NULL),
(23715, NULL, 'IPR031061', NULL, 'High mobility group protein HMGB, plant', 'HMGB_plant', 4, NULL),
(23716, NULL, 'IPR025554', NULL, 'Domain of unknown function DUF4140', 'DUF4140', 3, NULL),
(23717, NULL, 'IPR026268', NULL, 'Protein RseC', 'RseC', 4, NULL),
(23718, NULL, 'IPR025958', NULL, 'SID1 transmembrane family', 'SID1_TM_fam', 4, NULL),
(23719, NULL, 'IPR031056', NULL, 'BRAHMA (BRM) ATPase', 'BRM', 4, NULL),
(23720, NULL, 'IPR028669', NULL, 'Syntaxin 1', 'STX1', 4, NULL),
(23721, NULL, 'IPR025776', NULL, 'Histone-lysine N-methyltransferase SUVR4/SUVR1/SUVR2', 'SUVR4/1/2', 4, NULL),
(23722, NULL, 'IPR031987', NULL, 'Trypanosoma glutamic acid/alanine-rich protein', 'GARP', 3, NULL),
(23723, NULL, 'IPR025226', NULL, 'Protein of unknown function DUF4170', 'DUF4170', 4, NULL),
(23724, NULL, 'IPR025150', NULL, 'Domain of unknown function DUF4091', 'DUF4091', 3, NULL),
(23725, NULL, 'IPR027593', NULL, 'Aromatic cluster surface protein', 'Aro_clust', 4, NULL),
(23726, NULL, 'IPR025566', NULL, 'Protein of unknown function DUF4331', 'DUF4331', 4, NULL),
(23727, NULL, 'IPR027616', NULL, 'CRISPR-associated protein Cas4, PREFRAN subtype', 'Cas4_PREFRAN', 4, NULL),
(23728, NULL, 'IPR024388', NULL, 'Ribosomal protein L20, mitochondrial', 'Ribosomal_L20_mt', 4, NULL),
(23729, NULL, 'IPR028157', NULL, 'PELOTA RNA-binding domain', 'PELOTA_dom', 3, NULL),
(23730, NULL, 'IPR025732', NULL, 'MarB protein', 'MarB', 4, NULL),
(23731, NULL, 'IPR025280', NULL, 'Domain of unknown function DUF4041', 'DUF4041', 3, NULL),
(23732, NULL, 'IPR024382', NULL, 'Domain of unknown function DUF3844', 'DUF3844', 3, NULL),
(23733, NULL, 'IPR028261', NULL, 'Dihydroprymidine dehydrogenase domain II', 'DPD_II', 3, NULL),
(23734, NULL, 'IPR026146', NULL, '28S ribosomal protein S24, mitochondrial', 'MRPS24', 4, NULL),
(23735, NULL, 'IPR025091', NULL, 'Protein of unknown function DUF4019', 'DUF4019', 4, NULL),
(23736, NULL, 'IPR025057', NULL, 'Domain of unknown function DUF3994', 'DUF3994', 3, NULL),
(23737, NULL, 'IPR027500', NULL, '40S ribosomal protein S1/3, eukaryotes', 'Ribosomal_S1/3_euk', 4, NULL),
(23738, NULL, 'IPR025563', NULL, 'Protein of unknown function DUF4286', 'DUF4286', 4, NULL),
(23739, NULL, 'IPR025698', NULL, '2TM domain', '2TM_dom', 3, NULL),
(23740, NULL, 'IPR031995', NULL, 'Inositol polyphosphate 5-phosphatase, clathrin binding domain', 'OCRL_clath-bd', 3, NULL),
(23741, NULL, 'IPR024996', NULL, 'pPIWI_RE, RNaseH domain', 'RNaseH_pPIWI_RE', 3, NULL),
(23742, NULL, 'IPR025728', NULL, 'YsaB-like lipoprotein', 'YsaB-like', 4, NULL),
(23743, NULL, 'IPR025085', NULL, 'pPIWI_RE module, N-terminal domain', 'pPIWI_RE_X', 3, NULL),
(23744, NULL, 'IPR030360', NULL, 'Phospholipid-transporting ATPase VD', 'ATP10D', 4, NULL),
(23745, NULL, 'IPR025001', NULL, 'Protein of unknown function DUF3902', 'DUF3902', 4, NULL),
(23746, NULL, 'IPR025146', NULL, 'Protein of unknown function DUF4088', 'DUF4088', 4, NULL),
(23747, NULL, 'IPR025296', NULL, 'Domain of unknown function DUF4158', 'DUF4158', 3, NULL),
(23748, NULL, 'IPR031999', NULL, 'Pathogenicity island protein gp6, Staphylococcus', 'SAPIS-gp6', 4, NULL),
(23749, NULL, 'IPR028103', NULL, 'Spatacsin', 'Spatacsin', 4, NULL),
(23750, NULL, 'IPR028666', NULL, 'Sorting nexin-17', 'SNX17', 4, NULL),
(23751, NULL, 'IPR028676', NULL, 'Syntaxin-17', 'STX17', 4, NULL),
(23752, NULL, 'IPR031938', NULL, 'Protein inscuteable homologue, LGN-binding domain', 'INSC_LBD', 3, NULL),
(23753, NULL, 'IPR025073', NULL, 'Protein of unknown function DUF3909', 'DUF3909', 4, NULL),
(23754, NULL, 'IPR032879', NULL, 'FixG, C-terminal immunoglobulin-like domain', 'FixG_C', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23755, NULL, 'IPR031484', NULL, 'Cellulose biosynthesis protein BcsO', 'CBP_BcsO', 4, NULL),
(23756, NULL, 'IPR027612', NULL, 'Putative methyltransferase, LIC12133 family', 'Put_MTase_LIC12133', 4, NULL),
(23757, NULL, 'IPR030130', NULL, 'Tropomodulin-2', 'TMOD2', 4, NULL),
(23758, NULL, 'IPR025285', NULL, 'Domain of unknown function DUF4145', 'DUF4145', 3, NULL),
(23759, NULL, 'IPR027949', NULL, 'Petal formation-expressed', 'Chloroplast_duf', 4, NULL),
(23760, NULL, 'IPR026145', NULL, 'Interleukin-33', 'IL-33', 4, NULL),
(23761, NULL, 'IPR031064', NULL, 'Basic helix-loop-helix (bHLH) transcription factors BEE-like, plant', 'bHLH_BEE-like_plant', 4, NULL),
(23762, NULL, 'IPR025026', NULL, 'Protein of unknown function DUF3915', 'DUF3915', 4, NULL),
(23763, NULL, 'IPR028684', NULL, 'Phospholipid phosphatase-related protein type 4', 'PLPPR4', 4, NULL),
(23764, NULL, 'IPR032101', NULL, 'Axin-1/2, tankyrase-binding domain', 'Axin_TNKS-bd', 3, NULL),
(23765, NULL, 'IPR025564', NULL, 'Cyanobacterial aminoacyl-tRNA synthetase, CAAD domain', 'CAAD_dom', 3, NULL),
(23766, NULL, 'IPR027567', NULL, 'Exosortase XrtM', 'Exosort_XrtM', 4, NULL),
(23767, NULL, 'IPR025038', NULL, 'Protein of unknown function DUF3924', 'DUF3924', 4, NULL),
(23768, NULL, 'IPR025084', NULL, 'Protein of unknown function DUF3966', 'DUF3966', 4, NULL),
(23769, NULL, 'IPR025100', NULL, 'Protein of unknown function DUF4025', 'DUF4025', 4, NULL),
(23770, NULL, 'IPR032000', NULL, 'Albumin I chain a', 'Albumin_I_a', 3, NULL),
(23771, NULL, 'IPR032881', NULL, 'Oberon, PHD finger domain', 'Oberon_PHD', 3, NULL),
(23772, NULL, 'IPR027571', NULL, 'GeoRSP system SPASM domain protein', 'GeoRSP_SPASM', 4, NULL),
(23773, NULL, 'IPR025033', NULL, 'Protein of unknown function DUF3920', 'DUF3920', 4, NULL),
(23774, NULL, 'IPR031966', NULL, 'PHD finger protein 12, MRG binding domain', 'PHF12_MRG-bd', 3, NULL),
(23775, NULL, 'IPR025036', NULL, 'Protein of unknown function DUF3921', 'DUF3921', 4, NULL),
(23776, NULL, 'IPR025884', NULL, 'Methyl-CpG binding protein 2/3, C-terminal domain', 'MeCpG-bd_2/3_C_dom', 3, NULL),
(23777, NULL, 'IPR031481', NULL, 'Fucosyltransferase, N-terminal', 'Glyco_tran_10_N', 3, NULL),
(23778, NULL, 'IPR031919', NULL, 'Alpha-L-fucosidase, C-terminal', 'Fucosidase_C', 3, NULL),
(23779, NULL, 'IPR025054', NULL, 'Domain of unknown function DUF3991', 'DUF3991', 3, NULL),
(23780, NULL, 'IPR028076', NULL, 'Staphopain proregion', 'Staphopain_pro', 3, NULL),
(23781, NULL, 'IPR026284', NULL, 'Alpha-2-macroglobulin, bacteria', 'A2-macglob_dom_prot_bac', 4, NULL),
(23782, NULL, 'IPR025004', NULL, 'Transcriptional regulatory protein SenN/SenS', 'SenN/SenS', 4, NULL),
(23783, NULL, 'IPR028097', NULL, 'FAM91, C-terminal domain', 'FAM91_C_dom', 3, NULL),
(23784, NULL, 'IPR024534', NULL, 'Domain of unknown function DUF2220', 'DUF2220', 3, NULL),
(23785, NULL, 'IPR025122', NULL, 'Domain of unknown function DUF4048', 'DUF4048', 3, NULL),
(23786, NULL, 'IPR025803', NULL, 'Putrescine N-methyltransferase', 'Putrescine_N-MeTfrase', 4, NULL),
(23787, NULL, 'IPR032808', NULL, 'DoxX family', 'DoxX', 4, NULL),
(23788, NULL, 'IPR027505', NULL, 'Probable bifunctional methylthioribulose-1-phosphate dehydratase/enolase-phosphatase E1', 'MtnB_viridiplantae', 4, NULL),
(23789, NULL, 'IPR030631', NULL, 'Regulating synaptic membrane exocytosis protein 2', 'RIM2', 4, NULL),
(23790, NULL, 'IPR027224', NULL, 'E3 SUMO-protein ligase PIAS4', 'PIAS4', 4, NULL),
(23791, NULL, 'IPR028692', NULL, 'Synaptotagmin-13', 'SYT13', 4, NULL),
(23792, NULL, 'IPR027467', NULL, 'Molybdopterin oxidoreductase, molybdopterin cofactor binding site', 'MopterinOxRdtase_cofactor_BS', 1, NULL),
(23793, NULL, 'IPR025297', NULL, 'Domain of unknown function DUF4159', 'DUF4159', 3, NULL),
(23794, NULL, 'IPR028521', NULL, 'Protein kinase C and casein kinase substrate in neurons protein 2', 'PACSIN2', 4, NULL),
(23795, NULL, 'IPR029983', NULL, 'Protein trichome birefringence-like 17/18', 'TBL17(YLS7)/TBL18', 4, NULL),
(23796, NULL, 'IPR028077', NULL, 'Ubiquitin/SUMO-activating enzyme ubiquitin-like domain', 'UAE_UbL_dom', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23797, NULL, 'IPR028074', NULL, 'PTHB1, C-terminal domain', 'PHTB1_C_dom', 3, NULL),
(23798, NULL, 'IPR025012', NULL, 'Domain of unknown function DUF3898', 'DUF3898', 3, NULL),
(23799, NULL, 'IPR035939', NULL, 'FGD1, N-terminal PH domain', 'FGD1_PH1', 3, NULL),
(23800, NULL, 'IPR026270', NULL, 'Signal recognition particle, SRP72 subunit', 'SRP72', 4, NULL),
(23801, NULL, 'IPR027568', NULL, 'Ornithine decarboxylase SpeF', 'ODC_inducible', 4, NULL),
(23802, NULL, 'IPR025227', NULL, 'Protein of unknown function DUF4169', 'DUF4169', 4, NULL),
(23803, NULL, 'IPR025006', NULL, 'Protein of unknown function DUF3900', 'DUF3900', 4, NULL),
(23804, NULL, 'IPR025130', NULL, 'Protein of unknown function DUF4056', 'DUF4056', 4, NULL),
(23805, NULL, 'IPR032094', NULL, 'Meso-diaminopimelate D-dehydrogenase, C-terminal', 'Meso-DAP_DH_C', 3, NULL),
(23806, NULL, 'IPR030133', NULL, 'Tropomodulin-3', 'TMOD3', 4, NULL),
(23807, NULL, 'IPR032095', NULL, 'Saccharopine dehydrogenase-like, C-terminal', 'Sacchrp_dh-like_C', 3, NULL),
(23808, NULL, 'IPR028683', NULL, 'Synaptotagmin-4', 'SYT4', 4, NULL),
(23809, NULL, 'IPR028264', NULL, 'Immunity protein 15', 'Imm15', 4, NULL),
(23810, NULL, 'IPR025064', NULL, 'Domain of unknown function DUF4005', 'DUF4005', 3, NULL),
(23811, NULL, 'IPR027633', NULL, 'Putative heme D1 biosynthesis radical SAM protein NirJ2', 'rSAM_NirJ2', 4, NULL),
(23812, NULL, 'IPR026288', NULL, 'Submaxillary gland androgen-regulated protein like', 'SMR-like', 4, NULL),
(23813, NULL, 'IPR025052', NULL, 'Domain of unknown function DUF3967', 'DUF3967', 3, NULL),
(23814, NULL, 'IPR025283', NULL, 'Domain of unknown function DUF4042', 'DUF4042', 3, NULL),
(23815, NULL, 'IPR027617', NULL, 'CRISPR-associated endonuclease Cas1, PREFRAN subtype', 'Cas1_PREFRAN', 4, NULL),
(23816, NULL, 'IPR025141', NULL, 'Domain of unknown function DUF4082', 'DUF4082', 3, NULL),
(23817, NULL, 'IPR028687', NULL, 'Matrix metalloproteinase-23', 'MMP23', 4, NULL),
(23818, NULL, 'IPR025568', NULL, 'Domain of unknown function DUF4334', 'DUF4334', 3, NULL),
(23819, NULL, 'IPR028668', NULL, 'Phospholipid phosphatase 4/5', 'PLPP4/5', 4, NULL),
(23820, NULL, 'IPR025778', NULL, 'Histone-lysine N-methyltransferase, plant', 'Hist-Lys_N-MeTrfase_plant', 4, NULL),
(23821, NULL, 'IPR032847', NULL, 'Pre-mRNA-processing factor 17', 'PRPF17', 4, NULL),
(23822, NULL, 'IPR024383', NULL, 'Domain of unknown function DUF3849', 'DUF3849', 3, NULL),
(23823, NULL, 'IPR025269', NULL, 'Phage integrase SAM-like domain', 'SAM-like_dom', 3, NULL),
(23824, NULL, 'IPR026259', NULL, 'Di-c-type haem protein, MauG/cytochrome c peroxidase', 'MauG/Cytc_peroxidase', 4, NULL),
(23825, NULL, 'IPR025087', NULL, 'Domain of unknown function DUF3965', 'DUF3965', 3, NULL),
(23826, NULL, 'IPR025727', NULL, 'YbfN-like lipoprotein', 'YbfN-like', 4, NULL),
(23827, NULL, 'IPR027344', NULL, 'Mas-related G protein-coupled receptor X4', 'MRGPCRX4', 4, NULL),
(23828, NULL, 'IPR030657', NULL, 'Telomeric repeat-binding factor 2', 'TERF2', 4, NULL),
(23829, NULL, 'IPR025231', NULL, 'Domain of unknown function DUF4173', 'DUF4173', 3, NULL),
(23830, NULL, 'IPR028685', NULL, 'Phospholipid phosphatase-related protein type 3', 'LPPR3', 4, NULL),
(23831, NULL, 'IPR025055', NULL, 'Endospore appendages', 'Enas', 4, NULL),
(23832, NULL, 'IPR026148', NULL, 'Mitochondrial antiviral-signalling protein, metazoan', 'Mt_antiviral_sig_pro_met', 4, NULL),
(23833, NULL, 'IPR025129', NULL, 'Domain of unknown function DUF4055', 'DUF4055', 3, NULL),
(23834, NULL, 'IPR031998', NULL, 'Protein of unknown function DUF5065', 'DUF5065', 4, NULL),
(23835, NULL, 'IPR025251', NULL, 'Domain of unknown function DUF4213', 'DUF4213', 3, NULL),
(23836, NULL, 'IPR025029', NULL, 'Protein of unknown function DUF3918', 'DUF3918', 4, NULL),
(23837, NULL, 'IPR031482', NULL, 'Cellulose biosynthesis protein BcsN', 'CBP_BcsN', 4, NULL),
(23838, NULL, 'IPR024998', NULL, 'Protein of unknown function DUF3906', 'DUF3906', 4, NULL),
(23839, NULL, 'IPR030005', NULL, 'Scarecrow-like protein 13', 'Scarecrow-like_13', 4, NULL),
(23840, NULL, 'IPR031974', NULL, 'Programmed cell death protein 7', 'PDCD7', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23841, NULL, 'IPR031972', NULL, 'Cysteine/serine-rich nuclear protein, N-terminal domain', 'CSRNP_N', 3, NULL),
(23842, NULL, 'IPR030505', NULL, 'Proto-oncogene c-Rel', 'c-Rel', 4, NULL),
(23843, NULL, 'IPR027622', NULL, 'Radical SAM/SPASM domain-containing Clo7bot peptide maturase', 'rSAM_Clo7bot', 4, NULL),
(23844, NULL, 'IPR025060', NULL, 'Protein of unknown function DUF3999', 'DUF3999', 4, NULL),
(23845, NULL, 'IPR025243', NULL, 'Domain of unknown function DUF4195', 'DUF4195', 3, NULL),
(23846, NULL, 'IPR025293', NULL, 'YfiR/HmsC-like', 'YfiR/HmsC-like', 4, NULL),
(23847, NULL, 'IPR032093', NULL, 'Phospholipase D, N-terminal', 'PhoD_N', 3, NULL),
(23848, NULL, 'IPR028688', NULL, 'Matrix metalloproteinase-9', 'MMP9', 4, NULL),
(23849, NULL, 'IPR030503', NULL, 'Nuclear factor NF-kappa-B, p105 subunit', 'NF-kB_p105', 4, NULL),
(23850, NULL, 'IPR025094', NULL, 'Protein of unknown function DUF4021', 'DUF4021', 4, NULL),
(23851, NULL, 'IPR025134', NULL, 'Protein of unknown function DUF4059', 'DUF4059', 4, NULL),
(23852, NULL, 'IPR026032', NULL, 'Probable 3-phenylpropionic acid transporter', 'HcaT', 4, NULL),
(23853, NULL, 'IPR025058', NULL, 'Protein of unknown function DUF3995', 'DUF3995', 4, NULL),
(23854, NULL, 'IPR031951', NULL, 'Interleukin 17 receptor D, N-terminal', 'IL17R_D_N', 3, NULL),
(23855, NULL, 'IPR031968', NULL, 'VASt domain', 'VASt', 3, NULL),
(23856, NULL, 'IPR028075', NULL, 'Domain of unknown function with cystatin-like fold DUF4467', 'DUF4467', 3, NULL),
(23857, NULL, 'IPR031973', NULL, 'Deltamethrin resistance protein prag01', 'Deltameth_res_prag01', 3, NULL),
(23858, NULL, 'IPR025077', NULL, 'Protein of unknown function DUF3941', 'DUF3941', 4, NULL),
(23859, NULL, 'IPR030219', NULL, 'Growth factor receptor-bound protein 2', 'Grb2', 4, NULL),
(23860, NULL, 'IPR027233', NULL, 'Protein phosphatase Slingshot homologue 1', 'SSH1', 4, NULL),
(23861, NULL, 'IPR025724', NULL, 'GAG-pre-integrase domain', 'GAG-pre-integrase_dom', 3, NULL),
(23862, NULL, 'IPR025114', NULL, 'Beta-carotene isomerase D27-like, C-terminal', 'D27-like_C', 3, NULL),
(23863, NULL, 'IPR027636', NULL, 'Glucan-binding repeat', 'Glucan-bd_rpt', 7, NULL),
(23864, NULL, 'IPR025140', NULL, 'Putative 2/3 transmembrane domain holin', 'Holin_2-3', 4, NULL),
(23865, NULL, 'IPR030355', NULL, 'Probable phospholipid-transporting ATPase IIB', 'ATP9B', 4, NULL),
(23866, NULL, 'IPR025099', NULL, 'Protein of unknown function DUF4024', 'DUF4024', 4, NULL),
(23867, NULL, 'IPR025800', NULL, 'Calmodulin-lysine N-methyltransferase', 'CaM-Lys-N-MeTrfase', 4, NULL),
(23868, NULL, 'IPR025144', NULL, 'Protein of unknown function DUF4085', 'DUF4085', 4, NULL),
(23869, NULL, 'IPR025232', NULL, 'Domain of unknown function DUF4174', 'DUF4174', 3, NULL),
(23870, NULL, 'IPR025061', NULL, 'Diedel', 'Diedel', 4, NULL),
(23871, NULL, 'IPR030222', NULL, 'Epidermal growth factor receptor kinase substrate 8', 'EPS8', 4, NULL),
(23872, NULL, 'IPR025123', NULL, 'Domain of unknown function DUF4049', 'DUF4049', 3, NULL),
(23873, NULL, 'IPR031478', NULL, 'Spermatogenesis-associated protein 1, C-terminal domain', 'SPATA1_C', 3, NULL),
(23874, NULL, 'IPR031944', NULL, 'Ribosome biogenesis GTPase RsgA, N-terminal', 'RsgA_N', 3, NULL),
(23875, NULL, 'IPR026291', NULL, 'G patch domain-containing protein 2', 'Gpatch2', 4, NULL),
(23876, NULL, 'IPR025303', NULL, 'Deacetylase PdaC', 'PdaC', 3, NULL),
(23877, NULL, 'IPR025116', NULL, 'Protein of unknown function DUF4035', 'DUF4035', 4, NULL),
(23878, NULL, 'IPR025804', NULL, 'Poxvirus/kinetoplastid-type cap-specific nucleoside 2-O-methyltransferase', 'Pox/kineto_cap_MeTfrase', 4, NULL),
(23879, NULL, 'IPR025730', NULL, 'Biofilm regulator BssS', 'Biofilm_BssS', 4, NULL),
(23880, NULL, 'IPR025299', NULL, 'CstA, C-terminal domain', 'CstA_C', 3, NULL),
(23881, NULL, 'IPR028678', NULL, 'Lipid phosphate phosphatase-related protein type 1', 'LPPR1', 4, NULL),
(23882, NULL, 'IPR025127', NULL, 'Protein of unknown function DUF4054', 'DUF4054', 4, NULL),
(23883, NULL, 'IPR030220', NULL, 'Activated CDC42 kinase 1', 'Ack1', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23884, NULL, 'IPR024531', NULL, 'Erythronate-4-phosphate dehydrogenase, dimerisation domain', 'Erythronate-4-P_DHase_dimer', 3, NULL),
(23885, NULL, 'IPR028671', NULL, 'Syntaxin-2', 'STX2', 4, NULL),
(23886, NULL, 'IPR027569', NULL, 'GeoRSP system PqqD family protein', 'Geo_PqqD_fam', 4, NULL),
(23887, NULL, 'IPR025282', NULL, 'Domain of unknown function DUF4214', 'DUF4214', 3, NULL),
(23888, NULL, 'IPR031997', NULL, 'Myoviridae tail sheath stabiliser', 'T4-gp15_tss', 4, NULL),
(23889, NULL, 'IPR031989', NULL, 'Domain of unknown function DUF5067', 'DUF5067', 3, NULL),
(23890, NULL, 'IPR025145', NULL, 'Protein of unknown function DUF4087', 'DUF4087', 4, NULL),
(23891, NULL, 'IPR028086', NULL, 'Folliculin-interacting protein, C-terminal domain', 'FNIP_C_dom', 3, NULL),
(23892, NULL, 'IPR025152', NULL, 'Domain of unknown function DUF4084', 'DUF4084', 3, NULL),
(23893, NULL, 'IPR028257', NULL, 'Centrosomal protein of 126kDa', 'CEP126', 4, NULL),
(23894, NULL, 'IPR025083', NULL, 'Protein of unknown function DUF3969', 'DUF3969', 4, NULL),
(23895, NULL, 'IPR025076', NULL, 'Protein of unknown function DUF3926', 'DUF3926', 4, NULL),
(23896, NULL, 'IPR030159', NULL, 'Autoinducer 2 ABC transporter, substrate-binding protein LsrB', 'LsrB', 4, NULL),
(23897, NULL, 'IPR027424', NULL, 'Glucose Oxidase, domain 2', 'Glucose_Oxidase_domain_2', 5, NULL),
(23898, NULL, 'IPR030627', NULL, 'Protein bassoon', 'Bsn', 4, NULL),
(23899, NULL, 'IPR026275', NULL, 'Glyoxalase/dioxygenase/EhpR', 'Glyoxalase/dOase/EhpR', 4, NULL),
(23900, NULL, 'IPR025104', NULL, 'Protein of unknown function DUF4027', 'DUF4027', 4, NULL),
(23901, NULL, 'IPR025075', NULL, 'Protein of unknown function DUF3916', 'DUF3916', 4, NULL),
(23902, NULL, 'IPR025726', NULL, 'E3 ubiquitin ligase SopA-like central domain', 'SopA-like_central', 3, NULL),
(23903, NULL, 'IPR032890', NULL, 'Hercynine oxygenase, Actinobacteria', 'EgtB_Actinobacteria', 4, NULL),
(23904, NULL, 'IPR028680', NULL, 'Phospholipid phosphatase-related protein type 5', 'LPPR5', 4, NULL),
(23905, NULL, 'IPR025120', NULL, 'Domain of unknown function DUF4047', 'DUF4047', 3, NULL),
(23906, NULL, 'IPR025725', NULL, 'E3 ubiquitin-protein ligase SopA-like, catalytic domain', 'SopA-like_cat', 3, NULL),
(23907, NULL, 'IPR025037', NULL, 'Protein of unknown function DUF3923', 'DUF3923', 4, NULL),
(23908, NULL, 'IPR025779', NULL, 'Methionine S-methyltransferase', 'Met_S-MeTrfase', 4, NULL),
(23909, NULL, 'IPR032852', NULL, 'DNA oxidative demethylase ALKBH2', 'ALKBH2', 4, NULL),
(23910, NULL, 'IPR025027', NULL, 'Protein of unknown function DUF3917', 'DUF3917', 4, NULL),
(23911, NULL, 'IPR025287', NULL, 'Wall-associated receptor kinase, galacturonan-binding domain', 'WAK_GUB', 3, NULL),
(23912, NULL, 'IPR031920', NULL, 'Partner and localiser of BRCA2, WD40 domain', 'PALB2_WD40', 3, NULL),
(23913, NULL, 'IPR026162', NULL, 'Myb/SANT-like DNA-binding domain-containing protein 4', 'MSANTD4', 4, NULL),
(23914, NULL, 'IPR025229', NULL, 'YniB-like protein', 'YniB-like', 4, NULL),
(23915, NULL, 'IPR028268', NULL, 'Pianissimo family', 'Pianissimo_fam', 4, NULL),
(23916, NULL, 'IPR028677', NULL, 'Synaptotagmin-10', 'SYT10', 4, NULL),
(23917, NULL, 'IPR030625', NULL, 'ERC protein 2', 'ERC2', 4, NULL),
(23918, NULL, 'IPR031953', NULL, 'mRNA-decapping enzyme, C-terminal', 'mRNA_decap_C', 3, NULL),
(23919, NULL, 'IPR030362', NULL, 'Phospholipid-transporting ATPase IF', 'ATP11B', 4, NULL),
(23920, NULL, 'IPR024385', NULL, 'Domain of unknown function DUF3854', 'DUF3854', 3, NULL),
(23921, NULL, 'IPR025025', NULL, 'Protein of unknown function DUF3914', 'DUF3914', 4, NULL),
(23922, NULL, 'IPR027228', NULL, 'E3 SUMO-protein ligase PIAS2', 'PIAS2', 4, NULL),
(23923, NULL, 'IPR034129', NULL, 'Cathepsin D-like catalytic domain', 'Cathepsin_D-like', 3, NULL),
(23924, NULL, 'IPR025090', NULL, 'Protein of unknown function DUF4017', 'DUF4017', 4, NULL),
(23925, NULL, 'IPR025265', NULL, 'WPP domain', 'WPP_dom', 3, NULL),
(23926, NULL, 'IPR025059', NULL, 'Protein of unknown function DUF3997', 'DUF3997', 4, NULL),
(23927, NULL, 'IPR032109', NULL, 'Bacterial Ig-like domain (group 3)', 'Big_3_5', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23928, NULL, 'IPR031946', NULL, 'KIAA1045, RING finger', 'KIAA1045_Zf_RING', 3, NULL),
(23929, NULL, 'IPR025007', NULL, 'Domain of unknown function DUF3899', 'DUF3899', 3, NULL),
(23930, NULL, 'IPR025235', NULL, 'Domain of unknown function DUF4178', 'DUF4178', 3, NULL),
(23931, NULL, 'IPR027950', NULL, 'Protein of unknown function DUF4576', 'DUF4576', 4, NULL),
(23932, NULL, 'IPR030921', NULL, 'LPS export ABC transporter, ATP-binding protein LptB', 'LPS_export_LptB', 4, NULL),
(23933, NULL, 'IPR030170', NULL, 'Potassium voltage-gated channel subfamily H member 1', 'EAG1', 4, NULL),
(23934, NULL, 'IPR025109', NULL, 'Domain of unknown function DUF4031', 'DUF4031', 3, NULL),
(23935, NULL, 'IPR025295', NULL, 'Domain of unknown function DUF4157', 'DUF4157', 3, NULL),
(23936, NULL, 'IPR030006', NULL, 'Transcriptional factor DELLA', 'TF_DELLA', 4, NULL),
(23937, NULL, 'IPR025250', NULL, 'Protein of unknown function DUF4199', 'DUF4199', 4, NULL),
(23938, NULL, 'IPR027948', NULL, 'Protein of unknown function (DUF4436)', 'DUF4436', 4, NULL),
(23939, NULL, 'IPR025254', NULL, 'Domain of unknown function DUF4201', 'DUF4201', 3, NULL),
(23940, NULL, 'IPR025733', NULL, 'Iron/zinc purple acid phosphatase-like C-terminal domain', 'Purple_acid_PPase_C_dom', 3, NULL),
(23941, NULL, 'IPR025056', NULL, 'Protein of unknown function DUF3993', 'DUF3993', 4, NULL),
(23942, NULL, 'IPR026159', NULL, 'Cerebral cavernous malformations 2', 'Malcavernin', 4, NULL),
(23943, NULL, 'IPR028682', NULL, 'Synaptotagmin-3', 'SYT3', 4, NULL),
(23944, NULL, 'IPR028080', NULL, 'Domain of unknown function DUF4454', 'DUF4454', 3, NULL),
(23945, NULL, 'IPR028079', NULL, 'Zc3h12a-like Ribonuclease NYN domain', 'RNase_Zc3h12a_2', 3, NULL),
(23946, NULL, 'IPR032458', NULL, 'Histone H2A conserved site', 'Histone_H2A_CS', 2, NULL),
(23947, NULL, 'IPR025835', NULL, 'Thiopurine S-methyltransferase', 'Thiopurine_S-MeTrfase', 4, NULL),
(23948, NULL, 'IPR030131', NULL, 'Leiomodin-3', 'LMOD3', 4, NULL),
(23949, NULL, 'IPR032455', NULL, 'Cadherin, cytoplasmic C-terminal domain', 'Cadherin_C', 3, NULL),
(23950, NULL, 'IPR026156', NULL, 'Folliculin-interacting protein family', 'FNIP_fam', 4, NULL),
(23951, NULL, 'IPR034161', NULL, 'Pepsin-like domain, plant', 'Pepsin-like_plant', 3, NULL),
(23952, NULL, 'IPR025022', NULL, 'Protein of unknown function DUF3911', 'DUF3911', 4, NULL),
(23953, NULL, 'IPR026157', NULL, 'Leucine zipper transcription factor-like protein 1', 'LZTFL1', 4, NULL),
(23954, NULL, 'IPR027613', NULL, 'Surface carbohydrate biosynthesis protein, LIC13510 family', 'O_ant_LIC13510', 4, NULL),
(23955, NULL, 'IPR026304', NULL, 'Apoptosis regulator BAX', 'BAX', 4, NULL),
(23956, NULL, 'IPR025230', NULL, 'Domain of unknown function DUF4172', 'DUF4172', 3, NULL),
(23957, NULL, 'IPR028071', NULL, 'Macro-like domain', 'Macro-like_dom', 3, NULL),
(23958, NULL, 'IPR025261', NULL, 'Domain of unknown function DUF4210', 'DUF4210', 3, NULL),
(23959, NULL, 'IPR027623', NULL, 'AmmeMemoRadiSam system protein A', 'AmmeMemoSam_A', 4, NULL),
(23960, NULL, 'IPR027574', NULL, 'Thiaminase II', 'Thiaminase_II', 4, NULL),
(23961, NULL, 'IPR025132', NULL, 'Protein of unknown function DUF4058', 'DUF4058', 4, NULL),
(23962, NULL, 'IPR026057', NULL, 'PC-Esterase', 'PC-Esterase', 4, NULL),
(23963, NULL, 'IPR025000', NULL, 'Protein of unknown function DUF3903', 'DUF3903', 4, NULL),
(23964, NULL, 'IPR026142', NULL, 'Protein phosphatase 1 regulatory subunit 36', 'Pro_pase_1_reg_su_36', 4, NULL),
(23965, NULL, 'IPR025239', NULL, 'Domain of unknown function DUF4187', 'DUF4187', 3, NULL),
(23966, NULL, 'IPR025883', NULL, 'Cadherin-like beta sandwich domain', 'Cadherin-like_b_sandwich', 3, NULL),
(23967, NULL, 'IPR029771', NULL, 'AMP deaminase 3', 'AMPD3', 4, NULL),
(23968, NULL, 'IPR025074', NULL, 'Protein of unknown function DUF3942', 'DUF3942', 4, NULL),
(23969, NULL, 'IPR025013', NULL, 'Protein of unknown function DUF3907', 'DUF3907', 4, NULL),
(23970, NULL, 'IPR025049', NULL, 'Fimbrillin-like 1', 'Mfa-like_1', 4, NULL),
(23971, NULL, 'IPR026140', NULL, '28S ribosomal protein S26', 'MRPS26', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(23972, NULL, 'IPR025567', NULL, 'Domain of unknown function DUF4332', 'DUF4332', 3, NULL),
(23973, NULL, 'IPR032880', NULL, 'Calcium permeable stress-gated cation channel 1, N-terminal transmembrane domain', 'Csc1_N', 3, NULL),
(23974, NULL, 'IPR025848', NULL, 'N6-adenosine-methyltransferase MT-A70-like', 'MT-A70', 4, NULL),
(23975, NULL, 'IPR027432', NULL, 'Deoxyguanosinetriphosphate triphosphohydrolase, C-terminal', 'dGTP_triphosphohydrolase_C', 5, NULL),
(23976, NULL, 'IPR031483', NULL, 'AP-1 complex-associated regulatory protein', 'AP1AR', 4, NULL),
(23977, NULL, 'IPR030147', NULL, 'Sodium-dependent phosphate transporter NptA-like', 'NptA-like', 4, NULL),
(23978, NULL, 'IPR025807', NULL, 'Adrift-type ribose 2-O-methyltransferase domain', 'Adrift-typ_MeTrfase', 3, NULL),
(23979, NULL, 'IPR030203', NULL, 'Solute carrier family 10 member 6', 'SLC10A6', 4, NULL),
(23980, NULL, 'IPR025051', NULL, 'Protein of unknown function DUF3990', 'DUF3990', 4, NULL),
(23981, NULL, 'IPR026308', NULL, 'Apoptosis regulator BAK', 'BAK', 4, NULL),
(23982, NULL, 'IPR025241', NULL, 'Domain of unknown function DUF4190', 'DUF4190', 3, NULL),
(23983, NULL, 'IPR028258', NULL, 'Exocyst complex component Sec3, PIP2-binding N-terminal domain', 'Sec3-PIP2_bind', 3, NULL),
(23984, NULL, 'IPR025233', NULL, 'Protein of unknown function DUF4176', 'DUF4176', 4, NULL),
(23985, NULL, 'IPR028672', NULL, 'Syntaxin-11', 'STX11', 4, NULL),
(23986, NULL, 'IPR025119', NULL, 'Domain of unknown function DUF4046', 'DUF4046', 3, NULL),
(23987, NULL, 'IPR025093', NULL, 'Domain of unknown function DUF4020', 'DUF4020', 3, NULL),
(23988, NULL, 'IPR025089', NULL, 'Protein of unknown function DUF4018', 'DUF4018', 4, NULL),
(23989, NULL, 'IPR027615', NULL, 'Putative TOMM peptide', 'TOMM_nitrile_2', 4, NULL),
(23990, NULL, 'IPR027620', NULL, 'CRISPR-associated endonuclease Cas12a', 'Cas12a', 4, NULL),
(23991, NULL, 'IPR031990', NULL, 'Protein of unknown function DUF5066', 'DUF5066', 4, NULL),
(23992, NULL, 'IPR025795', NULL, 'tRNA (uracil-5-)-methyltransferase', 'tRNA_(uracil-5-)_MeTrfase', 4, NULL),
(23993, NULL, 'IPR027572', NULL, 'Putative folate metabolism protein, CADD family', 'Fol-rel_CADD', 4, NULL),
(23994, NULL, 'IPR025106', NULL, 'Protein of unknown function DUF4028', 'DUF4028', 4, NULL),
(23995, NULL, 'IPR025560', NULL, 'Immunity protein 22', 'Imm22', 4, NULL),
(23996, NULL, 'IPR025777', NULL, 'GMP synthetase ATP pyrophosphatase domain', 'GMPS_ATP_PPase_dom', 3, NULL),
(23997, NULL, 'IPR028265', NULL, 'TTDN1/Protein SICKLE', 'TTDN1/SICKLE', 4, NULL),
(23998, NULL, 'IPR025115', NULL, 'Domain of unknown function DUF4034', 'DUF4034', 3, NULL),
(23999, NULL, 'IPR025050', NULL, 'Protein of unknown function DUF3989', 'DUF3989', 4, NULL),
(24000, NULL, 'IPR025240', NULL, 'Domain of unknown function DUF4189', 'DUF4189', 3, NULL),
(24001, NULL, 'IPR029019', NULL, 'Beta-hexosaminidase, eukaryotic type, N-terminal', 'HEX_eukaryotic_N', 3, NULL),
(24002, NULL, 'IPR026487', NULL, 'Sporadically distributed protein CHP04141', 'CHP04141', 4, NULL),
(24003, NULL, 'IPR030028', NULL, 'Scarecrow-like protein 26/nodulation signalling pathway 2', 'SCL26/NSP2', 4, NULL),
(24004, NULL, 'IPR029486', NULL, 'Glycosyl-hydrolase 97, N-terminal domain', 'GH97_N', 3, NULL),
(24005, NULL, 'IPR027758', NULL, 'Zinc finger protein 131', 'Zfp131', 4, NULL),
(24006, NULL, 'IPR032851', NULL, 'Transcription factor GLI3', 'GLI3', 4, NULL),
(24007, NULL, 'IPR029392', NULL, 'AP-5 complex subunit sigma-1', 'AP-5_subunit_s1', 4, NULL),
(24008, NULL, 'IPR032383', NULL, 'Protein of unknown function DUF4875', 'DUF4875', 4, NULL),
(24009, NULL, 'IPR026489', NULL, 'CXC domain', 'CXC_dom', 3, NULL),
(24010, NULL, 'IPR030027', NULL, 'SCL28-like', 'Scarecrow-like_28', 4, NULL),
(24011, NULL, 'IPR027565', NULL, 'Cupin fold metalloprotein, WbuC family', 'Cupin_WbuC', 4, NULL),
(24012, NULL, 'IPR029405', NULL, 'APCDD1 domain', 'APCDD1_dom', 3, NULL),
(24013, NULL, 'IPR027906', NULL, 'Protein of unknown function DUF4567', 'DUF4567', 4, NULL),
(24014, NULL, 'IPR026647', NULL, 'Protein TESPA1', 'TESPA1', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24015, NULL, 'IPR025914', NULL, 'Stage V sporulation protein AE', 'SpoVAE', 4, NULL),
(24016, NULL, 'IPR032247', NULL, 'Domain of unknown function DUF4822', 'DUF4822', 3, NULL),
(24017, NULL, 'IPR030438', NULL, 'Liprin-alpha-1', 'PPFIA1', 4, NULL),
(24018, NULL, 'IPR029352', NULL, 'Photoreceptor cilium actin regulator', 'PCARE', 4, NULL),
(24019, NULL, 'IPR026627', NULL, 'NADH dehydrogenase [ubiquinone] 1 beta subcomplex subunit 2, animal type', 'NDUFB2_animal', 4, NULL),
(24020, NULL, 'IPR026652', NULL, 'Centrosomal protein of 128kDa', 'CEP128', 4, NULL),
(24021, NULL, 'IPR026036', NULL, 'PucC protein', 'PucC', 4, NULL),
(24022, NULL, 'IPR025919', NULL, 'Stimulus-sensing domain', 'Stimulus_sens_dom', 3, NULL),
(24023, NULL, 'IPR032059', NULL, 'Mucin-like domain', 'Mucin-like', 3, NULL),
(24024, NULL, 'IPR026515', NULL, 'ARL14 effector protein', 'ARL14EP', 4, NULL),
(24025, NULL, 'IPR026500', NULL, 'Dendrin', 'Dendrin', 4, NULL),
(24026, NULL, 'IPR030555', NULL, 'Huntingtin-interacting protein 1-related protein', 'HIP1R', 4, NULL),
(24027, NULL, 'IPR029225', NULL, 'Nse4/EID protein, Nse3/MAGE-binding domain', 'Nse4_Nse3-bd', 3, NULL),
(24028, NULL, 'IPR028313', NULL, 'Transcription factor DP1', 'DP-1', 4, NULL),
(24029, NULL, 'IPR026362', NULL, 'DEXH box helicase, DNA ligase-associated', 'DEXH_lig_assoc', 4, NULL),
(24030, NULL, 'IPR030435', NULL, 'Liprin-beta-2', 'PPFIBP2', 4, NULL),
(24031, NULL, 'IPR028760', NULL, 'Ski oncogene', 'Ski', 4, NULL),
(24032, NULL, 'IPR028825', NULL, 'Sideroflexin-4', 'SFXN4', 4, NULL),
(24033, NULL, 'IPR032026', NULL, 'Adenylate cyclase regulatory domain', 'Ad_Cy_reg', 3, NULL),
(24034, NULL, 'IPR028532', NULL, 'Formin-binding protein 1', 'FNBP1/FBP17', 4, NULL),
(24035, NULL, 'IPR027770', NULL, 'Zinc finger protein PLAGL1', 'PLAGL1', 4, NULL),
(24036, NULL, 'IPR026353', NULL, 'Hypoxanthine-DNA glycosylase', 'Hypoxan-DNA_Glyclase', 4, NULL),
(24037, NULL, 'IPR027911', NULL, 'Domain of unknown function DUF4604', 'DUF4604', 3, NULL),
(24038, NULL, 'IPR029017', NULL, 'Enolase-like, N-terminal', 'Enolase-like_N', 5, NULL),
(24039, NULL, 'IPR030439', NULL, 'Liprin-alpha-4', 'PPFIA4', 4, NULL),
(24040, NULL, 'IPR028716', NULL, 'Matrix metalloproteinase-20', 'MMP20', 4, NULL),
(24041, NULL, 'IPR028827', NULL, 'Bridging integrator 2', 'BIN2', 4, NULL),
(24042, NULL, 'IPR026438', NULL, 'Geranylgeranylglyceryl phosphate synthase, archaea', 'GGGP_synthase_archaea', 4, NULL),
(24043, NULL, 'IPR030312', NULL, 'Interleukin-1 receptor-associated kinase 1-binding protein 1', 'IRAK1BP1', 4, NULL),
(24044, NULL, 'IPR026269', NULL, 'Tat proofreading chaperone DmsD-type', 'DmsD-type', 4, NULL),
(24045, NULL, 'IPR029462', NULL, 'Regulator of nucleoside diphosphate kinase, N-terminal domain', 'Rnk_N', 3, NULL),
(24046, NULL, 'IPR027584', NULL, 'Entry exclusion lipoprotein TrbK', 'TrbK_RP4', 4, NULL),
(24047, NULL, 'IPR026371', NULL, 'PGF-CTERM archaeal protein-sorting signal', 'PGF_CTERM', 3, NULL),
(24048, NULL, 'IPR027632', NULL, 'Type 2 lantibiotic, SP_1948 family', 'Lant_SP_1948', 4, NULL),
(24049, NULL, 'IPR027564', NULL, 'Hopanoid C-3 methylase HpnR', 'HpnR_B12_rSAM', 4, NULL),
(24050, NULL, 'IPR026520', NULL, 'THAP domain-containing protein 3', 'THAP3', 4, NULL),
(24051, NULL, 'IPR030709', NULL, 'Protocadherin-17', 'Protocadherin-17', 4, NULL),
(24052, NULL, 'IPR028309', NULL, 'Retinoblastoma protein family', 'RB_fam', 4, NULL),
(24053, NULL, 'IPR032003', NULL, 'Ribosome-associated complex head domain', 'RAC_head', 3, NULL),
(24054, NULL, 'IPR026516', NULL, 'THAP domain-containing protein 1', 'THAP1', 4, NULL),
(24055, NULL, 'IPR025924', NULL, 'YHYH domain', 'YHYH_dom', 3, NULL),
(24056, NULL, 'IPR028702', NULL, 'Synaptotagmin-like protein 5', 'Slp5', 4, NULL),
(24057, NULL, 'IPR029611', NULL, 'Deuterosome assembly protein 1', 'Deup1', 4, NULL),
(24058, NULL, 'IPR027767', NULL, 'Zinc finger protein 496', 'Zfp496', 4, NULL),
(24059, NULL, 'IPR026158', NULL, 'Apolipoprotein B receptor', 'ApolipoprotB_rcpt', 4, NULL),
(24060, NULL, 'IPR028222', NULL, 'AP-5 complex subunit zeta-1', 'AP5Z1', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24061, NULL, 'IPR026642', NULL, 'Glucocorticoid-induced transcript 1/FAM117', 'Glcci1/FAM117', 4, NULL),
(24062, NULL, 'IPR032417', NULL, 'T3SS negative regulator GrlR', 'GrlR', 4, NULL),
(24063, NULL, 'IPR026513', NULL, 'Regulator of G-protein signalling 9-binding protein', 'RGS9BP', 4, NULL),
(24064, NULL, 'IPR026497', NULL, 'SPASM domain peptide maturase, GRASP-with-SPASM system', 'GRASP-with-SPASM', 4, NULL),
(24065, NULL, 'IPR030258', NULL, 'Multidrug resistance protein 1', 'MDR1', 4, NULL),
(24066, NULL, 'IPR028656', NULL, 'Sorting nexin-7', 'SNX7', 4, NULL),
(24067, NULL, 'IPR030467', NULL, 'Protein CFAP20DC', 'CFAP20DC', 4, NULL),
(24068, NULL, 'IPR028530', NULL, 'Protein vav1', 'Vav1', 4, NULL),
(24069, NULL, 'IPR025908', NULL, 'Sensor N-terminal transmembrane domain', 'Sensor_TM1', 3, NULL),
(24070, NULL, 'IPR026983', NULL, 'Dynein heavy chain', 'DHC_fam', 4, NULL),
(24071, NULL, 'IPR030446', NULL, 'Spermatid perinuclear RNA-binding protein', 'STRBP', 4, NULL),
(24072, NULL, 'IPR032301', NULL, 'Protein of unknown function DUF4844', 'DUF4844', 4, NULL),
(24073, NULL, 'IPR029625', NULL, 'Protein FAM169', 'FAM169', 4, NULL),
(24074, NULL, 'IPR030480', NULL, 'Natriuretic peptide, conserved site', 'Natr_peptide_CS', 2, NULL),
(24075, NULL, 'IPR025609', NULL, 'Lsm14-like, N-terminal', 'Lsm14-like_N', 3, NULL),
(24076, NULL, 'IPR026002', NULL, 'L-2-amino-thiazoline-4-carboxylic acid hydrolase', 'ATC_hydrolase', 4, NULL),
(24077, NULL, 'IPR027573', NULL, 'Methyltransferase, FxLD system', 'Methyltran_FxLD', 4, NULL),
(24078, NULL, 'IPR027768', NULL, 'Zinc finger protein 446', 'Zfp446', 4, NULL),
(24079, NULL, 'IPR028699', NULL, 'Synaptotagmin-11', 'SYT11', 4, NULL),
(24080, NULL, 'IPR029391', NULL, 'COP9 signalosome complex, subunit 9, metazoa', 'CSN9_metazoa', 4, NULL),
(24081, NULL, 'IPR027921', NULL, 'NOP protein chaperone 1', 'NOPCHAP1', 4, NULL),
(24082, NULL, 'IPR032033', NULL, 'Cytochrome P460', 'Cytochrome_P460', 3, NULL),
(24083, NULL, 'IPR026664', NULL, 'Stereocilin-related', 'Stereocilin-rel', 4, NULL),
(24084, NULL, 'IPR028809', NULL, 'Voltage gated sodium channel, alpha-10 subunit', 'Na_channel_a10su', 4, NULL),
(24085, NULL, 'IPR026504', NULL, 'Meiosis-specific nuclear structural protein 1', 'MNS1', 4, NULL),
(24086, NULL, 'IPR027621', NULL, 'Putative 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', 'rSAM_QueE_gams', 4, NULL),
(24087, NULL, 'IPR032035', NULL, 'Folliculin, DENN domain', 'Folliculin_DENN', 3, NULL),
(24088, NULL, 'IPR030212', NULL, 'Concentrative nucleoside transporter CNT1/CNT2', 'CNT1/CNT2', 4, NULL),
(24089, NULL, 'IPR028037', NULL, 'Antitoxin Rv0909/MT0933', 'Antitoxin_Rv0909/MT0933', 4, NULL),
(24090, NULL, 'IPR024356', NULL, 'Protein of unknown function DUF3873', 'DUF3873', 4, NULL),
(24091, NULL, 'IPR026505', NULL, 'Solute carrier family 35 member F3/F4', 'Solute_c_fam_35_mem_F3/F4', 4, NULL),
(24092, NULL, 'IPR026332', NULL, 'Anaerobilin synthase HutW', 'HutW', 4, NULL),
(24093, NULL, 'IPR029246', NULL, 'Protein TALPID3', 'TALPID3', 4, NULL),
(24094, NULL, 'IPR026493', NULL, 'Cys-rich peptide', 'Cys-rich_pep', 4, NULL),
(24095, NULL, 'IPR026446', NULL, 'ATP-grasp ribosomal peptide maturase, MvdC family', 'ATP_grasp_MvdC', 4, NULL),
(24096, NULL, 'IPR026482', NULL, 'Nif11-class peptide radical SAM maturase 3', 'rSAM_nif11_3', 4, NULL),
(24097, NULL, 'IPR025938', NULL, 'RRXRR domain', 'RRXRR_dom', 3, NULL),
(24098, NULL, 'IPR025935', NULL, 'Bacteriophage abortive infection AbiH', 'AbiH', 4, NULL),
(24099, NULL, 'IPR032415', NULL, 'TRPM, tetramerisation domain', 'TRPM_tetra', 3, NULL),
(24100, NULL, 'IPR027903', NULL, 'Protein of unknown function DUF4566', 'DUF4566', 4, NULL),
(24101, NULL, 'IPR025985', NULL, 'YnbE-like lipoprotein', 'YnbE-like', 4, NULL),
(24102, NULL, 'IPR029620', NULL, 'Protein FAM81B', 'FAM81B', 4, NULL),
(24103, NULL, 'IPR030447', NULL, 'Krueppel-like factor 12', 'KLF12', 4, NULL),
(24104, NULL, 'IPR026509', NULL, 'Transmembrane protein 183', 'TMEM183', 4, NULL),
(24105, NULL, 'IPR028020', NULL, 'ASX, DEUBAD domain', 'ASX_DEUBAD_dom', 3, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24106, NULL, 'IPR030412', NULL, 'Phosphatidylinositol-binding clathrin assembly protein', 'PICALM', 4, NULL),
(24107, NULL, 'IPR026633', NULL, 'Nuclear ubiquitous casein and cyclin-dependent kinase substrate 1', 'NUCKS1', 4, NULL),
(24108, NULL, 'IPR028535', NULL, 'Nostrin', 'Nostrin', 4, NULL),
(24109, NULL, 'IPR027912', NULL, 'Cilia- and flagella-associated protein 54', 'CFAP54', 4, NULL),
(24110, NULL, 'IPR031325', NULL, 'RHS repeat', 'RHS_repeat', 7, NULL),
(24111, NULL, 'IPR024939', NULL, 'Calcium-activated potassium channel Slo-1', 'Ca-act_K_channel_Slo-1', 4, NULL),
(24112, NULL, 'IPR026985', NULL, 'Fanconi anemia-associated protein of 24kDa', 'FAAP24', 4, NULL),
(24113, NULL, 'IPR028315', NULL, 'Transcription factor TFDP3', 'TFDP3', 4, NULL),
(24114, NULL, 'IPR024580', NULL, 'Dishevelled C-terminal', 'Dishevelled_C-dom', 3, NULL),
(24115, NULL, 'IPR026986', NULL, 'Kinesin-like protein KIF22  (Kid)', 'KIF22', 4, NULL),
(24116, NULL, 'IPR032030', NULL, 'YscD, cytoplasmic domain', 'YscD_cytoplasmic_dom', 3, NULL),
(24117, NULL, 'IPR026485', NULL, 'Archaeosortase family protein ArtE', 'Archaeo_ArtE', 4, NULL),
(24118, NULL, 'IPR029629', NULL, 'Serine-rich coiled-coil domain-containing protein 2', 'CCSER2', 4, NULL),
(24119, NULL, 'IPR026644', NULL, 'Centrosomal protein of 170kDa', 'CEP170', 4, NULL),
(24120, NULL, 'IPR029467', NULL, 'Cytochrome c7-like', 'Cyt_c7-like', 3, NULL),
(24121, NULL, 'IPR028221', NULL, 'Junctional protein associated with coronary artery disease', 'JCAD', 4, NULL),
(24122, NULL, 'IPR027517', NULL, 'Deoxyhypusine hydroxylase', 'Deoxyhypusine_hydroxylase', 4, NULL),
(24123, NULL, 'IPR029481', NULL, 'ABC-transporter, N-terminal domain', 'ABC_trans_N', 3, NULL),
(24124, NULL, 'IPR027901', NULL, 'Protein of unknown function DUF4541', 'DUF4541', 4, NULL),
(24125, NULL, 'IPR028437', NULL, 'Transcription factor GATA-6', 'TF_GATA_6', 4, NULL),
(24126, NULL, 'IPR028534', NULL, 'Hematopoietic lineage cell-specific protein', 'HS1', 4, NULL),
(24127, NULL, 'IPR024792', NULL, 'Rho GDP-dissociation inhibitor domain superfamily', 'RhoGDI_dom_sf', 5, NULL),
(24128, NULL, 'IPR030595', NULL, 'C-C motif chemokine 5', 'CCL5', 4, NULL),
(24129, NULL, 'IPR025608', NULL, 'TcpE family', 'TcpE', 4, NULL),
(24130, NULL, 'IPR026519', NULL, 'THAP domain-containing protein 7', 'THAP7', 4, NULL),
(24131, NULL, 'IPR027764', NULL, 'Zinc finger protein 18', 'Zfp18', 4, NULL),
(24132, NULL, 'IPR030442', NULL, 'Liprin-alpha', 'Syd-2', 4, NULL),
(24133, NULL, 'IPR026626', NULL, 'NADH dehydrogenase [ubiquinone] 1 alpha subcomplex subunit 3', 'NDUFA3', 4, NULL),
(24134, NULL, 'IPR029477', NULL, 'Diacylglycerol kinase type I, N-terminal', 'DAG_kinase_typeI_N', 3, NULL),
(24135, NULL, 'IPR035941', NULL, 'FGD1-4, C-terminal PH domain', 'FGD1-4_PH2', 3, NULL),
(24136, NULL, 'IPR029002', NULL, 'Phospholipase C/D', 'PLPC/GPLD1', 3, NULL),
(24137, NULL, 'IPR030466', NULL, 'WD repeat-containing protein 90', 'WDR90', 4, NULL),
(24138, NULL, 'IPR026512', NULL, 'RGS7BP/RGS9BP family', 'RGS7BP/RGS9BP', 4, NULL),
(24139, NULL, 'IPR027914', NULL, 'Domain of unknown function DUF4456', 'DUF4456', 3, NULL),
(24140, NULL, 'IPR028744', NULL, 'Cation channel sperm-associated protein 4', 'CatSper4', 4, NULL),
(24141, NULL, 'IPR032005', NULL, 'Tyrosyl-tRNA synthetase, C-terminal', 'TyrRSs_C', 3, NULL),
(24142, NULL, 'IPR032027', NULL, 'Synphilin-1, alpha-Synuclein-binding domain', 'SNCAIP_SNCA-bd', 3, NULL),
(24143, NULL, 'IPR027627', NULL, 'Putative glycosyltransferase', 'Glycosyltransferase_put', 4, NULL),
(24144, NULL, 'IPR025970', NULL, 'SusE outer membrane protein', 'SusE', 3, NULL),
(24145, NULL, 'IPR030440', NULL, 'Liprin-alpha-3', 'PPFIA3', 4, NULL),
(24146, NULL, 'IPR029353', NULL, 'Neuronal tyrosine-phosphorylated phosphoinositide-3-kinase adapter, C-terminal domain', 'NYAP_C', 3, NULL),
(24147, NULL, 'IPR027915', NULL, 'Protein of unknown function DUF4452', 'DUF4452', 4, NULL),
(24148, NULL, 'IPR029395', NULL, 'Protein of unknown function DUF4514', 'DUF4514', 4, NULL),
(24149, NULL, 'IPR026999', NULL, 'Alpha-s1 casein', 'Alpha-s1_casein', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24150, NULL, 'IPR025856', NULL, 'HeH/LEM domain', 'HeH/LEM_domain', 3, NULL),
(24151, NULL, 'IPR026655', NULL, 'Spermatid-associated protein', 'SPERT', 4, NULL),
(24152, NULL, 'IPR028704', NULL, 'Synaptotagmin-like protein 3', 'SYTL3', 4, NULL),
(24153, NULL, 'IPR027030', NULL, 'DNA polymerase subunit gamma-2, mitochondrial', 'POLG2', 4, NULL),
(24154, NULL, 'IPR027907', NULL, 'Domain of unknown function DUF4596', 'DUF4596', 3, NULL),
(24155, NULL, 'IPR028311', NULL, 'Myb-related protein B', 'MYBL2', 4, NULL),
(24156, NULL, 'IPR028308', NULL, 'Retinoblastoma-like protein 2', 'RB2', 4, NULL),
(24157, NULL, 'IPR028218', NULL, 'JAB-like toxin 1', 'Toxin-JAB1', 4, NULL),
(24158, NULL, 'IPR030711', NULL, 'Protocadherin-8', 'Protocadherin-8', 4, NULL),
(24159, NULL, 'IPR027514', NULL, 'Methylthioribulose-1-phosphate dehydratase, eukaryotes', 'Salvage_MtnB_euk', 4, NULL),
(24160, NULL, 'IPR025926', NULL, 'PDZ-like domain', 'PDZ-like_dom', 3, NULL),
(24161, NULL, 'IPR026507', NULL, 'Uncharacterised protein family UPF0691', 'UPF0691', 4, NULL),
(24162, NULL, 'IPR026641', NULL, 'Protein FAM117B', 'FAM117B', 4, NULL),
(24163, NULL, 'IPR029355', NULL, 'Proline-rich protein 19', 'Pro-rich_19', 4, NULL),
(24164, NULL, 'IPR027635', NULL, 'Type 2 lantibiotic, leader peptide domain', 'Lantibiotic2_lead_pep_dom', 3, NULL),
(24165, NULL, 'IPR025606', NULL, 'NLPC/P60, N-terminal domain', 'NLPC/P60_N_dom', 3, NULL),
(24166, NULL, 'IPR028698', NULL, 'Rabphilin-3A', 'RPH3A', 4, NULL),
(24167, NULL, 'IPR025766', NULL, 'ADD domain', 'ADD', 3, NULL),
(24168, NULL, 'IPR024579', NULL, 'Bcl-2-interacting killer', 'Bcl2-int_killer', 4, NULL),
(24169, NULL, 'IPR025902', NULL, 'LssY-like C-terminal domain', 'LssY-like-C_dom', 3, NULL),
(24170, NULL, 'IPR027587', NULL, 'Conjugative transfer region protein TrbK', 'TrbK', 4, NULL),
(24171, NULL, 'IPR029773', NULL, 'Melanotransferrin', 'MTF', 4, NULL),
(24172, NULL, 'IPR028335', NULL, 'G protein-coupled receptor 18 orphan', 'GPR18', 4, NULL),
(24173, NULL, 'IPR029491', NULL, 'Helicase Helix-turn-helix domain', 'Helicase_HTH', 3, NULL),
(24174, NULL, 'IPR030032', NULL, 'Protein Orai-3', 'Orai-3', 4, NULL),
(24175, NULL, 'IPR027433', NULL, 'Lipoxygenase, domain 3', 'Lipoxygenase_dom_3', 5, NULL),
(24176, NULL, 'IPR030410', NULL, 'Protein strawberry notch homologue 2', 'SBNO2', 4, NULL),
(24177, NULL, 'IPR029627', NULL, 'Serine-rich coiled-coil domain-containing protein', 'CCSER', 4, NULL),
(24178, NULL, 'IPR032299', NULL, 'Protein of unknown function DUF4843', 'DUF4843', 4, NULL),
(24179, NULL, 'IPR025857', NULL, 'MacB-like periplasmic core domain', 'MacB_PCD', 3, NULL),
(24180, NULL, 'IPR026144', NULL, 'Neuritin family', 'Neuritin_fam', 4, NULL),
(24181, NULL, 'IPR025927', NULL, 'Potential DNA-binding domain', 'Potential_DNA-bd', 3, NULL),
(24182, NULL, 'IPR030598', NULL, 'C-C motif chemokine 22', 'CCL22', 4, NULL),
(24183, NULL, 'IPR026442', NULL, 'IPTL-CTERM protein sorting domain', 'IPTL_CTERM', 3, NULL),
(24184, NULL, 'IPR025934', NULL, 'NudC N-terminal domain', 'NudC_N_dom', 3, NULL),
(24185, NULL, 'IPR032858', NULL, 'Cbb3-type cytochrome c oxidase subunit CcoP, N-terminal', 'CcoP_N', 3, NULL),
(24186, NULL, 'IPR029483', NULL, 'Glycosyl-hydrolase 97, C-terminal oligomerisation domain', 'GH97_C', 3, NULL),
(24187, NULL, 'IPR026495', NULL, 'PIP-CTERM protein sorting domain', 'PIP_CTERM', 3, NULL),
(24188, NULL, 'IPR028306', NULL, 'Protein ALWAYS EARLY, plant', 'ALY_plant', 4, NULL),
(24189, NULL, 'IPR027010', NULL, 'Teashirt homologue 2', 'Tshz2', 4, NULL),
(24190, NULL, 'IPR028009', NULL, 'N-acetyltransferase ESCO, acetyl-transferase domain', 'ESCO_Acetyltransf_dom', 3, NULL),
(24191, NULL, 'IPR029351', NULL, 'GAD domain', 'GAD_dom', 3, NULL),
(24192, NULL, 'IPR024371', NULL, 'Acetyl-coenzyme A transporter 1-like', 'AcetylCoA_trans_1-like', 4, NULL),
(24193, NULL, 'IPR026172', NULL, 'Gamma-secretase-activating protein family', 'GSAP_fam', 4, NULL),
(24194, NULL, 'IPR029772', NULL, 'Tectonin beta-propeller repeat-containing protein 2', 'TECPR2', 4, NULL),
(24195, NULL, 'IPR029618', NULL, 'Coiled-coil domain-containing protein 172', 'CCDC172', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24196, NULL, 'IPR028746', NULL, 'Cation channel sperm-associated protein 1', 'CatSper1', 4, NULL),
(24197, NULL, 'IPR030122', NULL, 'F-BAR domain only protein 2', 'FCHo2', 4, NULL),
(24198, NULL, 'IPR028711', NULL, 'Collagenase 3', 'Collagenase_3', 4, NULL),
(24199, NULL, 'IPR027600', NULL, 'HprK-related kinase A', 'HprK-rel_A', 4, NULL),
(24200, NULL, 'IPR028217', NULL, 'Ribosome-assembly protein 3, C-terminal', 'Rsa3_C', 3, NULL),
(24201, NULL, 'IPR027292', NULL, 'DNA nucleotidylexotransferase (TdT)', 'TdT', 4, NULL),
(24202, NULL, 'IPR027597', NULL, 'HprK-related kinase B', 'HprK-rel_B', 4, NULL),
(24203, NULL, 'IPR029742', NULL, 'Inactive ribonuclease-like protein 10', 'RNASE10', 4, NULL),
(24204, NULL, 'IPR026590', NULL, 'Sirtuin family, catalytic core domain', 'Ssirtuin_cat_dom', 3, NULL),
(24205, NULL, 'IPR028759', NULL, 'Cyclin-Q', 'Cyclin-Q', 4, NULL),
(24206, NULL, 'IPR032855', NULL, 'Arterivirus polyprotein, nsp2, immunogenic region', 'NSP2-B_epitope', 3, NULL),
(24207, NULL, 'IPR032412', NULL, 'Myosin VI, cargo binding domain', 'Myosin-VI_CBD', 3, NULL),
(24208, NULL, 'IPR026004', NULL, 'Septum formation-related domain', 'Septum_form', 3, NULL),
(24209, NULL, 'IPR029511', NULL, 'Dehydrogenase/reductase SDR member 4-like', 'DHRS4-like', 4, NULL),
(24210, NULL, 'IPR029865', NULL, 'Dyslexia-associated protein KIAA0319-like', 'KIAA0319-like', 4, NULL),
(24211, NULL, 'IPR028440', NULL, 'Transcription factor TRPS1', 'TRPS1', 4, NULL),
(24212, NULL, 'IPR028872', NULL, 'Contactin-associated protein 1', 'Caspr1', 4, NULL),
(24213, NULL, 'IPR026481', NULL, 'CCGSCS motif protein', 'CCGSCS', 4, NULL),
(24214, NULL, 'IPR028755', NULL, 'Tissue alpha-L-fucosidase', 'FUCA1', 4, NULL),
(24215, NULL, 'IPR028334', NULL, 'G protein-coupled receptor 55 orphan', 'GPR55', 4, NULL),
(24216, NULL, 'IPR026351', NULL, 'Radical SAM/Cys-rich domain protein', 'rSAM_SeCys', 4, NULL),
(24217, NULL, 'IPR027908', NULL, 'Protein of unknown function DUF4640', 'DUF4640', 4, NULL),
(24218, NULL, 'IPR025761', NULL, 'FFD box', 'FFD_box', 3, NULL),
(24219, NULL, 'IPR032297', NULL, 'Torus domain', 'Torus', 3, NULL),
(24220, NULL, 'IPR026663', NULL, 'Otoancorin', 'Otoancorin', 4, NULL),
(24221, NULL, 'IPR032245', NULL, 'RecQ-mediated genome instability protein 2', 'RMI2', 4, NULL),
(24222, NULL, 'IPR027520', NULL, 'Structure-specific endonuclease subunit Slx1', 'Slx1', 4, NULL),
(24223, NULL, 'IPR030409', NULL, 'Regulator of G-protein signalling 1', 'RGS1', 4, NULL),
(24224, NULL, 'IPR028874', NULL, 'Contactin-associated protein-like 5', 'Caspr5', 4, NULL),
(24225, NULL, 'IPR025911', NULL, 'ToxN/AbiQ toxin', 'ToxN/AbiQ_toxin', 4, NULL),
(24226, NULL, 'IPR027765', NULL, 'Zinc finger protein PLAG1/PLAGL2', 'PLAG1/PLAGL2', 4, NULL),
(24227, NULL, 'IPR032024', NULL, 'Protein of unknown function DUF5064', 'DUF5064', 4, NULL),
(24228, NULL, 'IPR028654', NULL, 'Sorting nexin-5', 'SNX5', 4, NULL),
(24229, NULL, 'IPR034251', NULL, 'Ephrin type-A receptor 1, ligand binding domain', 'EphA1_rcpt_lig-bd', 3, NULL),
(24230, NULL, 'IPR029403', NULL, 'RESP18 domain', 'RESP18_dom', 3, NULL),
(24231, NULL, 'IPR027759', NULL, 'Trihelix transcription factor GT3', 'Trihelix_TF_GT3', 4, NULL),
(24232, NULL, 'IPR030816', NULL, 'Conserved hypothetical protein CHP04376', 'CHP04376', 4, NULL),
(24233, NULL, 'IPR032387', NULL, 'Acetyl-coenzyme A synthetase, N-terminal domain', 'ACAS_N', 3, NULL),
(24234, NULL, 'IPR030434', NULL, 'Cleft lip and palate transmembrane protein 1-like protein', 'CLPTM1L', 4, NULL),
(24235, NULL, 'IPR027910', NULL, 'YdiL domain superfamily', 'YdiL_sf', 5, NULL),
(24236, NULL, 'IPR030471', NULL, 'Rhotekin', 'RTKN', 4, NULL),
(24237, NULL, 'IPR032862', NULL, 'Alpha-ketoglutarate-dependent dioxygenase alkB homologue 6', 'ALKBH6', 4, NULL),
(24238, NULL, 'IPR024566', NULL, 'Colicin, receptor domain', 'Colicin_R_dom', 3, NULL),
(24239, NULL, 'IPR026164', NULL, 'Integrator complex subunit 10', 'Int_cplx_su10', 4, NULL),
(24240, NULL, 'IPR026000', NULL, 'Anaphase-promoting complex subunit 5 domain', 'Apc5_dom', 3, NULL),
(24241, NULL, 'IPR027920', NULL, 'Domain of unknown function DUF4453', 'DUF4453', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24242, NULL, 'IPR028002', NULL, 'Myb/SANT-like DNA-binding domain 5', 'Myb_DNA-bind_5', 3, NULL),
(24243, NULL, 'IPR026499', NULL, 'Peptide S-glycosyltransferase, SunS family', 'S_glycosyl_SunS', 4, NULL),
(24244, NULL, 'IPR027913', NULL, 'Protein of unknown function DUF4473', 'DUF4473', 4, NULL),
(24245, NULL, 'IPR026488', NULL, 'Exosortase C, VPDSG-CTERM-specific', 'Exosort_VPDSG', 4, NULL),
(24246, NULL, 'IPR030648', NULL, 'Galectin-10', 'Galectin_10', 4, NULL),
(24247, NULL, 'IPR026502', NULL, 'Histone RNA stem-loop-binding protein SLBP1/SLBP2', 'SLBP1/SLBP2', 4, NULL),
(24248, NULL, 'IPR025615', NULL, 'TILa domain', 'TILa_dom', 3, NULL),
(24249, NULL, 'IPR024353', NULL, 'Protein of unknown function DUF3871', 'DUF3871', 4, NULL),
(24250, NULL, 'IPR026448', NULL, 'Methyltransferase, ATP-grasp peptide maturase system', 'Methyltr_grasp', 4, NULL),
(24251, NULL, 'IPR027511', NULL, 'Enolase-phosphatase E1, eukaryotes', 'ENOPH1_eukaryotes', 4, NULL),
(24252, NULL, 'IPR028638', NULL, 'Inhibitor of growth protein 4/5', 'ING4/ING5', 4, NULL),
(24253, NULL, 'IPR026052', NULL, 'DNA-binding protein inhibitor', 'DNA-bd_prot-inh', 4, NULL),
(24254, NULL, 'IPR030315', NULL, 'Plant low affinity sulfate transporter', 'Low_suf_transp', 4, NULL),
(24255, NULL, 'IPR026374', NULL, 'PEP-CTERM protein sorting domain, cyanobacterial subclass', 'Cyano_PEP', 3, NULL),
(24256, NULL, 'IPR025928', NULL, 'Flocculin type 3 repeat', 'Flocculin_t3_rpt', 7, NULL),
(24257, NULL, 'IPR032859', NULL, 'GTPase Der, C-terminal KH-domain-like', 'KH_dom-like', 3, NULL),
(24258, NULL, 'IPR025762', NULL, 'DFDF domain', 'DFDF', 3, NULL),
(24259, NULL, 'IPR029400', NULL, 'TERF1-interacting nuclear factor 2, N-terminal domain', 'TINF2_N', 3, NULL),
(24260, NULL, 'IPR029619', NULL, 'Protein FAM81', 'FAM81', 4, NULL),
(24261, NULL, 'IPR026975', NULL, 'Dynein heavy chain 1, axonemal', 'DNAH1', 4, NULL),
(24262, NULL, 'IPR032422', NULL, 'Huntingtin-interacting protein 1, clathrin-binding domain', 'HIP1_clath-bd', 3, NULL),
(24263, NULL, 'IPR027919', NULL, 'Protein of unknown function DUF4568', 'DUF4568', 4, NULL),
(24264, NULL, 'IPR032302', NULL, 'THO complex subunit 2, N-terminal domain', 'THOC2_N', 3, NULL),
(24265, NULL, 'IPR027575', NULL, 'FxLD family lantipeptide', 'LD_lanti_pre', 4, NULL),
(24266, NULL, 'IPR026596', NULL, 'Bifunctional enzyme IspD/IspF', 'IspD/F', 4, NULL),
(24267, NULL, 'IPR028005', NULL, 'N-acetyltransferase ESCO, zinc-finger', 'AcTrfase_ESCO_Znf_dom', 3, NULL),
(24268, NULL, 'IPR027509', NULL, 'Adenylosuccinate synthetase isozyme 1, chordates', 'AdSS_1_vert', 4, NULL),
(24269, NULL, 'IPR024796', NULL, 'T4 endonuclease V', 'T4_endonuc_V', 5, NULL),
(24270, NULL, 'IPR026444', NULL, 'Secretion system C-terminal sorting domain', 'Secre_tail', 3, NULL),
(24271, NULL, 'IPR028873', NULL, 'Contactin-associated protein-like 3', 'CASPR3', 4, NULL),
(24272, NULL, 'IPR027902', NULL, 'Protein of unknown function DUF4487', 'DUF4487', 4, NULL),
(24273, NULL, 'IPR029474', NULL, 'Haem-oxygenase-associated, N-terminal helices', 'HOASN', 3, NULL),
(24274, NULL, 'IPR026649', NULL, 'Nuclear receptor-interacting protein 1', 'NRIP1', 4, NULL),
(24275, NULL, 'IPR026788', NULL, 'Transmembrane protein 141', 'Tmem141', 4, NULL),
(24276, NULL, 'IPR026333', NULL, 'ATP-dependent DNA ligase, PP_1105 family', 'ATP_dep_DNA_lig_pp_1105_fam', 4, NULL),
(24277, NULL, 'IPR026494', NULL, 'Ribonucleoside-diphosphate reductase subunit beta', 'RNR_NrdF-like', 4, NULL),
(24278, NULL, 'IPR030511', NULL, 'Tetratricopeptide repeat protein 26', 'TTC26', 4, NULL),
(24279, NULL, 'IPR027521', NULL, 'U6 snRNA phosphodiesterase Usb1', 'Usb1', 4, NULL),
(24280, NULL, 'IPR030519', NULL, 'UDP-glucuronate:xylan alpha-glucuronosyltransferase', 'GUX', 4, NULL),
(24281, NULL, 'IPR028860', NULL, 'Cyclin-G1', 'CCNG1', 4, NULL),
(24282, NULL, 'IPR028751', NULL, 'Cation channel sperm-associated protein subunit delta/epsilon', 'CATSPERD/E', 4, NULL),
(24283, NULL, 'IPR028483', NULL, 'Sodium/hydrogen exchanger 10', 'N/H_exchanger_10', 4, NULL),
(24284, NULL, 'IPR026454', NULL, 'Rhombotarget A', 'Rhombotarget_A', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24285, NULL, 'IPR029479', NULL, 'Nitroreductase', 'Nitroreductase', 3, NULL),
(24286, NULL, 'IPR029497', NULL, 'Type 4 fimbrial biogenesis protein PilY2', 'Fimbrial_PilY2', 4, NULL),
(24287, NULL, 'IPR032025', NULL, 'Protein of unknown function DUF5063', 'DUF5063', 4, NULL),
(24288, NULL, 'IPR026369', NULL, 'CxxC-20-CxxC protein', 'CxxC_20_CxxC', 4, NULL),
(24289, NULL, 'IPR026591', NULL, 'Sirtuin, catalytic core small domain superfamily', 'Sirtuin_cat_small_dom_sf', 5, NULL),
(24290, NULL, 'IPR026456', NULL, 'Glycosyltransferase AglJ', 'GCTrfase_AglJ', 4, NULL),
(24291, NULL, 'IPR032856', NULL, 'Putative glycogen debranching enzyme, N-terminal', 'GDE_N_bis', 3, NULL),
(24292, NULL, 'IPR025764', NULL, 'Fetuin-B-type cystatin domain', 'Cystatin_Fetuin_B', 3, NULL),
(24293, NULL, 'IPR026521', NULL, 'THAP domain-containing protein 2', 'THAP2', 4, NULL),
(24294, NULL, 'IPR027760', NULL, 'Zinc finger protein 518A', 'ZNF518A', 4, NULL),
(24295, NULL, 'IPR029509', NULL, 'Heat shock 70kDa protein 12B', 'HSPA12B', 4, NULL),
(24296, NULL, 'IPR026458', NULL, 'Major cell surface glycoprotein', 'Major_cell_surface_glycoprot', 4, NULL),
(24297, NULL, 'IPR026155', NULL, 'Apelin', 'Apelin', 4, NULL),
(24298, NULL, 'IPR030554', NULL, 'Huntingtin-interacting protein 1', 'HIP1', 4, NULL),
(24299, NULL, 'IPR027628', NULL, 'Conjugal transfer/type IV secretion protein DotA/TraY', 'DotA_TraY', 4, NULL),
(24300, NULL, 'IPR025969', NULL, 'Abscisic acid G-protein coupled receptor-like domain', 'ABA_GPCR_dom', 3, NULL),
(24301, NULL, 'IPR030444', NULL, 'Liprin-beta', 'Liprin-beta', 4, NULL),
(24302, NULL, 'IPR029460', NULL, 'DNA polymerase, helix-hairpin-helix motif', 'DNAPol_HHH', 3, NULL),
(24303, NULL, 'IPR032414', NULL, 'Matrix protein, Bornaviridae', 'BDV_M', 4, NULL),
(24304, NULL, 'IPR027031', NULL, 'Glycyl-tRNA synthetase/DNA polymerase subunit gamma-2', 'Gly-tRNA_synthase/POLG2', 4, NULL),
(24305, NULL, 'IPR026001', NULL, 'Abortive infection protein-like, C-terminal domain', 'Abi-like_C', 3, NULL),
(24306, NULL, 'IPR028021', NULL, 'Katanin p80 subunit, C-terminal', 'Katanin_C-terminal', 3, NULL),
(24307, NULL, 'IPR028657', NULL, 'Sorting nexin-6', 'SNX6', 4, NULL),
(24308, NULL, 'IPR029393', NULL, 'Tumour suppressor candidate 2', 'FUS1', 4, NULL),
(24309, NULL, 'IPR032036', NULL, 'Protein of unknown function DUF5062', 'DUF5062', 4, NULL),
(24310, NULL, 'IPR028701', NULL, 'Synaptotagmin-6', 'SYT6', 4, NULL),
(24311, NULL, 'IPR030252', NULL, 'SLIT-ROBO Rho GTPase-activating protein 2', 'srGAP2', 4, NULL),
(24312, NULL, 'IPR025918', NULL, 'YIEGIA protein', 'YIEGIA', 4, NULL),
(24313, NULL, 'IPR030309', NULL, 'Fatty acid transport protein 6', 'FATP6', 4, NULL),
(24314, NULL, 'IPR030314', NULL, 'Plant high affinity sulfate transporter', 'High_sul_transp', 4, NULL),
(24315, NULL, 'IPR024372', NULL, 'Proteasome component Ecm29', 'Ecm29', 4, NULL),
(24316, NULL, 'IPR027576', NULL, 'Choice-of-anchor C domain', 'Choice_anch_C_dom', 3, NULL),
(24317, NULL, 'IPR026529', NULL, 'Paraneoplastic antigen Ma3', 'PNMA3', 4, NULL),
(24318, NULL, 'IPR029016', NULL, 'GAF-like domain superfamily', 'GAF-like_dom_sf', 5, NULL),
(24319, NULL, 'IPR025723', NULL, 'Anion-transporting ATPase-like domain', 'Anion-transp_ATPase-like_dom', 3, NULL),
(24320, NULL, 'IPR028526', NULL, 'Cytoplasmic protein NCK1', 'NCK1', 4, NULL),
(24321, NULL, 'IPR025920', NULL, 'Bacterial virulence factor lipase, N-terminal domain', 'Lipase_bact_N', 3, NULL),
(24322, NULL, 'IPR025605', NULL, 'OST-HTH/LOTUS domain', 'OST-HTH/LOTUS_dom', 3, NULL),
(24323, NULL, 'IPR030437', NULL, 'Liprin-beta-1', 'PPFIBP1', 4, NULL),
(24324, NULL, 'IPR025905', NULL, 'NVEALA protein', 'NVEALA', 4, NULL),
(24325, NULL, 'IPR026645', NULL, 'Dermatopontin family', 'Dermatopontin_fam', 4, NULL),
(24326, NULL, 'IPR028336', NULL, 'Glucose-dependent insulinotropic receptor', 'GPR119', 4, NULL),
(24327, NULL, 'IPR026336', NULL, 'Metallophosphoesterase, DNA ligase-associated', 'P_estr_lig_assc', 4, NULL),
(24328, NULL, 'IPR026484', NULL, 'Cys-Xaa-Xaa-Xaa repeat radical SAM target protein', 'Syntroph_Cxxx', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24329, NULL, 'IPR028523', NULL, 'Protein kinase C and casein kinase substrate in neurons protein 3', 'PACSIN3', 4, NULL),
(24330, NULL, 'IPR029240', NULL, 'MMS19, N-terminal', 'MMS19_N', 3, NULL),
(24331, NULL, 'IPR027599', NULL, 'PqqD family protein, HPr-rel-A system', 'PqqD-rel_X', 4, NULL),
(24332, NULL, 'IPR026628', NULL, 'PDZK1-interacting protein 1', 'PDZK-int_prot1', 4, NULL),
(24333, NULL, 'IPR028312', NULL, 'Transcription factor E2F4', 'E2F4', 4, NULL),
(24334, NULL, 'IPR028997', NULL, 'PA2201-like, N-terminal', 'PA2201-like_N', 5, NULL),
(24335, NULL, 'IPR026452', NULL, 'Surface glycoprotein signal peptide', 'Surf_glycop_sig_pep', 3, NULL),
(24336, NULL, 'IPR026459', NULL, 'Ribonucleotide reductase, class 1b, subunit NrdE', 'RNR_1b_NrdE', 4, NULL),
(24337, NULL, 'IPR026638', NULL, 'Nuclear receptor coactivator 6', 'NCOA6', 4, NULL),
(24338, NULL, 'IPR026439', NULL, 'ATP-grasp ribosomal peptide maturase, MvdD family', 'ATP_grasp_rbs_pep_matu_MvdD', 4, NULL),
(24339, NULL, 'IPR029461', NULL, 'Metallophosphoesterase, TT1561-like', 'TT1561-like', 3, NULL),
(24340, NULL, 'IPR028998', NULL, 'Ribosome maturation factor RimP, C-terminal', 'RimP_C', 3, NULL),
(24341, NULL, 'IPR025720', NULL, 'ECF transporter, Riboflavin transporter RibU', 'RibU', 4, NULL),
(24342, NULL, 'IPR032425', NULL, 'Talin, N-terminal F0 domain', 'FERM_f0', 3, NULL),
(24343, NULL, 'IPR024355', NULL, 'Protein of unknown function DUF3872', 'DUF3872', 4, NULL),
(24344, NULL, 'IPR027598', NULL, 'Amphi-Trp domain', 'Amphi-Trp_dom', 3, NULL),
(24345, NULL, 'IPR030441', NULL, 'Liprin-alpha-2', 'PPFIA2', 4, NULL),
(24346, NULL, 'IPR026648', NULL, 'Protein ITPRID2', 'ITPRID2', 4, NULL),
(24347, NULL, 'IPR026170', NULL, 'N-lysine methyltransferase FAM173A/B', 'FAM173A/B', 4, NULL),
(24348, NULL, 'IPR032385', NULL, 'T-box transcription factor-associated', 'T-box_assoc', 3, NULL),
(24349, NULL, 'IPR026161', NULL, 'FAM178 family', 'FAM178', 4, NULL),
(24350, NULL, 'IPR028993', NULL, 'RecG, N-terminal antiparallel four helix bundle', 'RecG_N', 3, NULL),
(24351, NULL, 'IPR028219', NULL, 'Spermatogenesis-associated protein 19, mitochondrial', 'SPATA19', 4, NULL),
(24352, NULL, 'IPR026525', NULL, 'Paraneoplastic antigen Ma2', 'PNMA2', 4, NULL),
(24353, NULL, 'IPR026441', NULL, 'Exosortase H, IPTLxxWG-CTERM-specific', 'Exosort_XrtH', 4, NULL),
(24354, NULL, 'IPR029615', NULL, 'ER membrane protein complex subunit 10', 'Emc10', 4, NULL),
(24355, NULL, 'IPR026445', NULL, 'Alkylhydroperoxidase/carboxymuconolactone decarboxylase family', 'AlkhydPrxdase/COmuclacdeCOase', 4, NULL),
(24356, NULL, 'IPR028812', NULL, 'Voltage gated sodium channel, alpha-7 subunit', 'Na_channel_a7su', 4, NULL),
(24357, NULL, 'IPR026632', NULL, 'RAD51-associated protein 1', 'RAD51-assoc_prot_1', 4, NULL),
(24358, NULL, 'IPR028307', NULL, 'Lin-54 family', 'Lin-54_fam', 4, NULL),
(24359, NULL, 'IPR026365', NULL, 'Phage-associated protein, BcepMu gp16 family', 'BcepMu_gp16', 4, NULL),
(24360, NULL, 'IPR026141', NULL, 'Cancer susceptibility candidate 4', 'CASC4', 4, NULL),
(24361, NULL, 'IPR026491', NULL, 'Exosortase D, VPLPA-CTERM-specific', 'ExosortD_VPLPA', 4, NULL),
(24362, NULL, 'IPR029018', NULL, 'Beta-hexosaminidase-like, domain 2', 'Hex-like_dom2', 5, NULL),
(24363, NULL, 'IPR026443', NULL, 'Rhombotail lipoprotein', 'Rhombo_lipo', 4, NULL),
(24364, NULL, 'IPR030468', NULL, 'NEDD8-activating enzyme E1 catalytic subunit', 'Uba3', 4, NULL),
(24365, NULL, 'IPR026449', NULL, 'ATP-grasp ribosomal peptide maturase, SAV-5884 family', 'GRASP_SAV_5884', 4, NULL),
(24366, NULL, 'IPR026453', NULL, 'PGF-pre-PGF domain', 'PGF_pre_PGF', 3, NULL),
(24367, NULL, 'IPR030121', NULL, 'F-BAR domain only protein 1', 'FCHo1', 4, NULL),
(24368, NULL, 'IPR027592', NULL, 'ATP-grasp enzyme, GAK system', 'ATP-grasp_GAK', 4, NULL),
(24369, NULL, 'IPR026368', NULL, 'SWIM/SEC-C metal-binding motif protein, PBPRA1643 family', 'SWIM_PBPRA1643', 4, NULL),
(24370, NULL, 'IPR029623', NULL, 'Soluble lamin-associated protein of 75kDa', 'FAM169A', 4, NULL),
(24371, NULL, 'IPR026034', NULL, 'Cell shape-determining protein MreD, proteobacterial type', 'MreD_proteobac', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24372, NULL, 'IPR026611', NULL, 'Serine/threonine-protein kinase MRCK alpha', 'Ser/Thr_kinase_MRCK_alpha', 4, NULL),
(24373, NULL, 'IPR030556', NULL, 'Dynamin-1-like protein', 'DNM1L', 4, NULL),
(24374, NULL, 'IPR024794', NULL, 'Ribosomal protein L15e core domain superfamily', 'Rbsml_L15e_core_dom_sf', 5, NULL),
(24375, NULL, 'IPR032295', NULL, 'Domain of unknown function DUF4842', 'DUF4842', 3, NULL),
(24376, NULL, 'IPR032850', NULL, 'Zinc finger protein GLI1', 'GLI1', 4, NULL),
(24377, NULL, 'IPR028822', NULL, 'Nuclear receptor coactivator 2', 'NCOA2', 4, NULL),
(24378, NULL, 'IPR028634', NULL, 'Clavesin-1', 'Clavesin-1', 4, NULL),
(24379, NULL, 'IPR029743', NULL, 'Ribonuclease 11', 'RNASE11', 4, NULL),
(24380, NULL, 'IPR027905', NULL, 'Protein of unknown function DUF4572', 'DUF4572', 4, NULL),
(24381, NULL, 'IPR028653', NULL, 'Sorting nexin-2', 'SNX2', 4, NULL),
(24382, NULL, 'IPR026501', NULL, 'Limbin/Ellis-van Creveld protein', 'Limbin/Ellis-van_Creveld', 4, NULL),
(24383, NULL, 'IPR027588', NULL, 'XXXCH domain family', 'XXXCH_dom_fam', 4, NULL),
(24384, NULL, 'IPR035924', NULL, 'FlaG-like superfamily', 'FlaG-like_sf', 5, NULL),
(24385, NULL, 'IPR026506', NULL, 'GDP-L-galactose/GDP-D-glucose phosphorylase', 'GDPGP', 4, NULL),
(24386, NULL, 'IPR029622', NULL, 'Protein FAM81A', 'FAM81A', 4, NULL),
(24387, NULL, 'IPR028484', NULL, 'P2X receptor E', 'P2X_receptor_E', 4, NULL),
(24388, NULL, 'IPR028524', NULL, 'Cytoplasmic protein NCK2', 'NCK2', 4, NULL),
(24389, NULL, 'IPR032023', NULL, 'GCC2, Rab binding domain', 'GCC2_Rab_bind', 3, NULL),
(24390, NULL, 'IPR026457', NULL, 'CSLREA domain', 'CSLREA_Nterm', 3, NULL),
(24391, NULL, 'IPR025987', NULL, 'GW domain', 'GW_dom', 3, NULL),
(24392, NULL, 'IPR028310', NULL, 'Retinoblastoma-like protein 1', 'RBL1', 4, NULL),
(24393, NULL, 'IPR027523', NULL, 'CLU domain containing protein', 'CLU_prot', 4, NULL),
(24394, NULL, 'IPR029463', NULL, 'Lysine-specific metallo-endopeptidase', 'Lys_MEP', 3, NULL),
(24395, NULL, 'IPR025904', NULL, 'Tubulin-like', 'Tubulin-like', 4, NULL),
(24396, NULL, 'IPR032020', NULL, 'CAG pathogenicity island protein 13', 'CagS', 4, NULL),
(24397, NULL, 'IPR026440', NULL, 'DNA phosphorothioation-associated DGQHR protein 1', 'DNA_PRithio_assoc_DGOHR_pro_1', 4, NULL),
(24398, NULL, 'IPR026165', NULL, 'Cytoskeleton-associated protein 2 family', 'CKAP2_fam', 4, NULL),
(24399, NULL, 'IPR026451', NULL, 'Class III signal peptide protein, archaeosortase D/PIP-CTERM system', 'ClassIII_w_PIP', 4, NULL),
(24400, NULL, 'IPR026587', NULL, 'Sirtuin, class II', 'Sirtuin_class_II', 4, NULL),
(24401, NULL, 'IPR026486', NULL, 'Uncharacterised protein AF_0576', 'CHP_AF_0576', 4, NULL),
(24402, NULL, 'IPR030817', NULL, '3,5/4-Trihydroxycyclohexa-1,2-dione hydrolase', 'Myo_inos_IolD', 4, NULL),
(24403, NULL, 'IPR026595', NULL, 'Domain of unknown function, CHP04279', 'CHP04279', 3, NULL),
(24404, NULL, 'IPR026341', NULL, 'Gliding motility-associated, C-terminal domain', 'Bac_Flav_CTERM', 3, NULL),
(24405, NULL, 'IPR026774', NULL, '2''-5''-oligoadenylate synthase', '2-5A_synthase', 4, NULL),
(24406, NULL, 'IPR025604', NULL, 'Actin cytoskeleton-regulatory complex protein End3', 'End3', 4, NULL),
(24407, NULL, 'IPR032635', NULL, 'Surface antigen domain', 'Anti_2', 3, NULL),
(24408, NULL, 'IPR029459', NULL, 'Elongation factor Tu-type domain', 'EFTU-type', 3, NULL),
(24409, NULL, 'IPR025760', NULL, 'Fetuin-A-type cystatin domain', 'Cystatin_Fetuin_A', 3, NULL),
(24410, NULL, 'IPR028828', NULL, 'Kinesin-like protein KIF20B', 'KIF20B', 4, NULL),
(24411, NULL, 'IPR025915', NULL, 'Phage protein (N4 Gp49/phage Sf6 gene 66) family', 'Phage_gp49_66', 4, NULL),
(24412, NULL, 'IPR029492', NULL, 'Domain of unknown function DUF4435', 'DUF4435', 3, NULL),
(24413, NULL, 'IPR030034', NULL, 'Protein Orai-2', 'Orai-2', 4, NULL),
(24414, NULL, 'IPR026455', NULL, 'ATP-GRASP peptide maturase, grasp-with-spasm system', 'GRASP_w_spasm', 4, NULL),
(24415, NULL, 'IPR029478', NULL, 'Putative nitroreductase TM1586', 'TM1586_NiRdase', 3, NULL),
(24416, NULL, 'IPR024793', NULL, 'Thrombin inhibitor hirudin', 'Hirudin', 5, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24417, NULL, 'IPR032037', NULL, 'Methylmalonic aciduria and homocystinuria type C family', 'MMACHC', 4, NULL),
(24418, NULL, 'IPR026523', NULL, 'Paraneoplastic antigen Ma', 'PNMA', 4, NULL),
(24419, NULL, 'IPR030310', NULL, 'Medium/long-chain-fatty-acid--CoA ligase FadD17/FadD6-like', 'FadD17/FadD6-like', 4, NULL),
(24420, NULL, 'IPR029396', NULL, 'Tuberoinfundibular peptide of 39 residues', 'TIP39', 4, NULL),
(24421, NULL, 'IPR026530', NULL, 'Phosphoenolpyruvate synthase regulatory protein', 'PSRP', 4, NULL),
(24422, NULL, 'IPR027619', NULL, 'Putative C-S lyase', 'C_S_lyase_PatB', 4, NULL),
(24423, NULL, 'IPR026527', NULL, 'Paraneoplastic antigen-like protein 5', 'PNMA5', 4, NULL),
(24424, NULL, 'IPR026637', NULL, 'YIP1 family member 3', 'YIPF3', 4, NULL),
(24425, NULL, 'IPR026345', NULL, 'Adhesin isopeptide-forming adherence domain', 'Adh_isopep-form_adh_dom', 3, NULL),
(24426, NULL, 'IPR028803', NULL, 'Voltage gated sodium channel, alpha-9 subunit', 'SCN9A', 4, NULL),
(24427, NULL, 'IPR026139', NULL, 'GOLM1/CASC4 family', 'GOLM1/CASC4', 4, NULL),
(24428, NULL, 'IPR025901', NULL, 'Kinesin-associated microtubule-binding domain', 'Kinesin-assoc_MT-bd_dom', 3, NULL),
(24429, NULL, 'IPR028570', NULL, 'Rho GDP/GTP exchange factor Kalirin/TRIO', 'Kalirin/TRIO', 4, NULL),
(24430, NULL, 'IPR026522', NULL, 'THAP domain-containing protein 8', 'THAP8', 4, NULL),
(24431, NULL, 'IPR026980', NULL, 'Dynein heavy chain 6/14, axonemal', 'DNAH6/14', 4, NULL),
(24432, NULL, 'IPR026511', NULL, 'Parathyroid hormone-responsive B1', 'PTHB1', 4, NULL),
(24433, NULL, 'IPR025991', NULL, 'Chemoreceptor zinc-binding domain', 'Chemoreceptor_zinc-bind_dom', 3, NULL),
(24434, NULL, 'IPR028995', NULL, 'Glycoside hydrolase families 57/38, central domain superfamily', 'Glyco_hydro_57/38_cen_sf', 5, NULL),
(24435, NULL, 'IPR030465', NULL, 'Centrosomal protein of 131kDa', 'CEP131', 4, NULL),
(24436, NULL, 'IPR029628', NULL, 'Serine-rich coiled-coil domain-containing protein 1', 'CCSER1', 4, NULL),
(24437, NULL, 'IPR032246', NULL, 'ACTH-associated domain', 'ACTH_assoc', 3, NULL),
(24438, NULL, 'IPR026998', NULL, 'Calpastatin', 'Calpastatin', 4, NULL),
(24439, NULL, 'IPR028696', NULL, 'Synaptotagmin-14', 'SYT14', 4, NULL),
(24440, NULL, 'IPR030469', NULL, 'Rhotekin-2', 'RTKN2', 4, NULL),
(24441, NULL, 'IPR030433', NULL, 'Pappalysin-1', 'PAPPA', 4, NULL),
(24442, NULL, 'IPR026256', NULL, 'Transcriptional regulator, TfoX/Sxy-type', 'TfoX_Sxy', 4, NULL),
(24443, NULL, 'IPR025912', NULL, 'Regulatory protein YrvL', 'YrvL', 4, NULL),
(24444, NULL, 'IPR030260', NULL, 'ATP-binding cassette subfamily B member 10-like', 'ABCB10-like', 4, NULL),
(24445, NULL, 'IPR026984', NULL, 'Leukocyte tyrosine kinase receptor', 'LTK', 4, NULL),
(24446, NULL, 'IPR026151', NULL, 'Maspardin', 'Maspardin', 4, NULL),
(24447, NULL, 'IPR027917', NULL, 'Small integral membrane protein 20', 'SMIM20', 4, NULL),
(24448, NULL, 'IPR027904', NULL, 'Domain of unknown function DUF4587', 'DUF4587', 3, NULL),
(24449, NULL, 'IPR025906', NULL, 'Putative motility protein', 'YjfB_motility', 4, NULL),
(24450, NULL, 'IPR026646', NULL, 'G protein-regulated inducer of neurite outgrowth', 'GPRIN2-like/GPRIN3', 4, NULL),
(24451, NULL, 'IPR026643', NULL, 'CAMPATH-1 antigen  (CD52)', 'CAMPATH-1', 4, NULL),
(24452, NULL, 'IPR026447', NULL, 'B12-binding domain/radical SAM domain protein, Ta0216 family', 'B12_SAM_Ta0216', 4, NULL),
(24453, NULL, 'IPR024754', NULL, 'DNA polymerase III PolC-like, N-terminal domain II', 'DNA_PolC-like_N_II', 3, NULL),
(24454, NULL, 'IPR030708', NULL, 'Ras-specific guanine nucleotide-releasing factor RalGPS1/2', 'RalGPS1/2', 4, NULL),
(24455, NULL, 'IPR025930', NULL, 'NETI protein', 'NETI', 4, NULL),
(24456, NULL, 'IPR026492', NULL, 'Cyanoexosortase B', 'Cyanoexo_CrtB', 4, NULL),
(24457, NULL, 'IPR026003', NULL, 'HEAT repeat associated with sister chromatid cohesion protein', 'Cohesin_HEAT', 7, NULL),
(24458, NULL, 'IPR032002', NULL, 'Immunity factor for SPN', 'IFS', 4, NULL),
(24459, NULL, 'IPR032419', NULL, 'NF-kappa-B essential modulator NEMO, CC2-LZ domain', 'CC2-LZ_dom', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24460, NULL, 'IPR030125', NULL, 'SPIN90/Ldb17', 'SPIN90/Ldb17', 4, NULL),
(24461, NULL, 'IPR029487', NULL, 'Novel E3 ligase domain', 'NEL_dom', 3, NULL),
(24462, NULL, 'IPR032029', NULL, 'ADAM17, membrane-proximal domain', 'ADAM17_MPD', 3, NULL),
(24463, NULL, 'IPR025917', NULL, 'Putative membrane protein YuiB', 'YuiB', 4, NULL),
(24464, NULL, 'IPR026528', NULL, 'Paraneoplastic antigen Ma1', 'PNMA1', 4, NULL),
(24465, NULL, 'IPR025916', NULL, 'Cold-inducible protein YdjO', 'YdjO', 4, NULL),
(24466, NULL, 'IPR026360', NULL, 'Putative exonuclease, DNA ligase-associated', 'Xnuc_lig_assoc', 4, NULL),
(24467, NULL, 'IPR029490', NULL, 'Cytochrome c-550 domain', 'Cytochrom_C550', 3, NULL),
(24468, NULL, 'IPR026483', NULL, 'CRISPR-associated protein Csx17, subtype Dpsyc', 'Cas_Csx17', 4, NULL),
(24469, NULL, 'IPR025913', NULL, 'Cep57 centrosome localisation domain', 'Cep57_CLD', 3, NULL),
(24470, NULL, 'IPR027519', NULL, 'Kynurenine formamidase, vertebrates/fungi-type', 'KFase_ver/fungi-typ', 4, NULL),
(24471, NULL, 'IPR032022', NULL, 'KRIT, N-terminal NPxY motif-rich region', 'NUDIX', 3, NULL),
(24472, NULL, 'IPR026508', NULL, 'Transmembrane protein 164', 'TMEM164', 4, NULL),
(24473, NULL, 'IPR026498', NULL, 'Grasp-with-spasm leader A domain', 'Grasp_w_spasm_A', 3, NULL),
(24474, NULL, 'IPR026510', NULL, 'Peroxisomal membrane protein 11C, metazoa', 'PEX11C_met', 4, NULL),
(24475, NULL, 'IPR026450', NULL, 'MAST domain', 'MAST_dom', 3, NULL),
(24476, NULL, 'IPR032424', NULL, 'Putative NADH-ubiquinone oxidoreductase chain E', 'NADH-UOR_E', 4, NULL),
(24477, NULL, 'IPR025758', NULL, 'Fic/DOC N-terminal', 'Fic/DOC_N', 3, NULL),
(24478, NULL, 'IPR028747', NULL, 'Cation channel sperm-associated protein 2', 'CatSper2', 4, NULL),
(24479, NULL, 'IPR029624', NULL, 'Protein FAM169B', 'FAM169B', 4, NULL),
(24480, NULL, 'IPR027909', NULL, 'Protein of unknown function DUF4447', 'DUF4447', 4, NULL),
(24481, NULL, 'IPR028316', NULL, 'Transcription factor E2F5', 'E2F5', 4, NULL),
(24482, NULL, 'IPR028636', NULL, 'Clavesin-2', 'Clavesin-2', 4, NULL),
(24483, NULL, 'IPR028748', NULL, 'Cation channel sperm-associated protein subunit beta', 'CATSPERB', 4, NULL),
(24484, NULL, 'IPR026366', NULL, 'Putative selenium metabolism protein, YedE family', 'Seleno_YedE', 4, NULL),
(24485, NULL, 'IPR029498', NULL, 'Prion-inhibition and propagation, HeLo domain', 'HeLo_dom', 3, NULL),
(24486, NULL, 'IPR026496', NULL, 'Putative ATP-grasp target RiPP', 'GRASP_targ', 3, NULL),
(24487, NULL, 'IPR027591', NULL, 'CofD-related protein, GAK system', 'CofD-rel_GAK', 4, NULL),
(24488, NULL, 'IPR032028', NULL, 'Cleavage stimulation factor subunit 1, dimerisation domain', 'CSTF1_dimer', 3, NULL),
(24489, NULL, 'IPR024739', NULL, 'Protein tyrosine phosphatase, receptor type, N-terminal', 'PTP_recept_N', 3, NULL),
(24490, NULL, 'IPR030479', NULL, 'Syndecan, conserved site', 'Syndecan_CS', 2, NULL),
(24491, NULL, 'IPR029613', NULL, 'Coiled-coil domain-containing protein 18/Cytoskeletal protein Sojo', 'Ccdc18/Sojo', 4, NULL),
(24492, NULL, 'IPR025937', NULL, 'PDGLE domain', 'PDGLE_dom', 3, NULL),
(24493, NULL, 'IPR032031', NULL, 'Zinc finger FYVE domain-containing protein 21, C-terminal', 'ZFYVE21_C', 3, NULL),
(24494, NULL, 'IPR032032', NULL, 'Type VI secretion system (T6SS), amidase immunity protein', 'Tai4', 4, NULL),
(24495, NULL, 'IPR024575', NULL, 'Cloacin colicin family', 'Cloacin_colicin_fam', 4, NULL),
(24496, NULL, 'IPR027757', NULL, 'RE1-silencing transcription factor', 'REST', 4, NULL),
(24497, NULL, 'IPR026143', NULL, 'Golgi membrane protein 1', 'GOLM1', 4, NULL),
(24498, NULL, 'IPR026650', NULL, 'Nuclear mitotic apparatus protein 1', 'NUMA1', 4, NULL),
(24499, NULL, 'IPR026437', NULL, 'Putative peptide modification target', 'CxxCx5CxxC_targ', 4, NULL),
(24500, NULL, 'IPR032034', NULL, 'Yop protein translocation protein D, periplasmic domain', 'YscD_ppl', 3, NULL),
(24501, NULL, 'IPR031744', NULL, 'Small integral membrane protein 1', 'SMIM1', 4, NULL),
(24502, NULL, 'IPR029672', NULL, 'FAM199X family', 'FAM199X_fam', 4, NULL),
(24503, NULL, 'IPR031118', NULL, 'Adagio-like protein 2', 'Adagio-like_2', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24504, NULL, 'IPR027193', NULL, 'Nucleolar complex protein 4', 'Noc4', 4, NULL),
(24505, NULL, 'IPR029332', NULL, 'PEHE domain', 'PEHE_dom', 3, NULL),
(24506, NULL, 'IPR029420', NULL, 'MDM2-binding protein, central domain', 'MTBP_central', 3, NULL),
(24507, NULL, 'IPR028724', NULL, 'Matrix metalloproteinase-19', 'MMP19', 4, NULL),
(24508, NULL, 'IPR029950', NULL, 'Adenine/guanine permease AZG2', 'AZG2', 4, NULL),
(24509, NULL, 'IPR027468', NULL, 'Alpha-dystroglycan domain 2', 'Alpha-dystroglycan_domain_2', 5, NULL),
(24510, NULL, 'IPR029412', NULL, 'Centrosomal protein of 19kDa', 'CEP19', 4, NULL),
(24511, NULL, 'IPR027736', NULL, 'Heat shock factor protein 5', 'HSF5', 4, NULL),
(24512, NULL, 'IPR026325', NULL, 'Protein of unknown function DUF932', 'DUF932', 4, NULL),
(24513, NULL, 'IPR028589', NULL, 'AdoMet-dependent rRNA methyltransferase Spb1-like', 'Spb1-like', 4, NULL),
(24514, NULL, 'IPR027802', NULL, 'Multi-ubiquitin domain', 'Multi-ubiquitin_dom', 3, NULL),
(24515, NULL, 'IPR027988', NULL, 'Transcription factor  BREVIS RADIX, N-terminal domain', 'BRX_N', 3, NULL),
(24516, NULL, 'IPR030694', NULL, 'Band 4.1-like protein 5', 'Band4.1-like5', 4, NULL),
(24517, NULL, 'IPR035947', NULL, 'MG354-like superfamily', 'MG354-like_sf', 5, NULL),
(24518, NULL, 'IPR028934', NULL, 'Vacuolar protein sorting protein 26 related', 'Vps26-related', 4, NULL),
(24519, NULL, 'IPR028850', NULL, 'Mucin-16', 'MUC16', 4, NULL),
(24520, NULL, 'IPR027722', NULL, 'Flocculation suppression protein', 'Sfl1', 4, NULL),
(24521, NULL, 'IPR030831', NULL, 'Quinoprotein dehydrogenase-associated SoxYZ-like carrier', 'Fuse-rel_SoxYZ', 4, NULL),
(24522, NULL, 'IPR029328', NULL, 'Spindle pole component Bbp1, N-terminal', 'Bbp1_N', 3, NULL),
(24523, NULL, 'IPR034267', NULL, 'Ascorbate oxidase, third cupredoxin domain', 'CuRO_3_AAO', 3, NULL),
(24524, NULL, 'IPR028939', NULL, 'Pyrroline-5-carboxylate reductase, catalytic, N-terminal', 'P5C_Rdtase_cat_N', 3, NULL),
(24525, NULL, 'IPR032909', NULL, 'WD repeat domain phosphoinositide-interacting protein 1', 'WIPI1', 4, NULL),
(24526, NULL, 'IPR025490', NULL, 'RNA-binding protein, HP1423 type', 'RNAbp_HP1423', 4, NULL),
(24527, NULL, 'IPR032090', NULL, 'Peptide chain release factor 3, C-terminal', 'RF3_C', 3, NULL),
(24528, NULL, 'IPR025545', NULL, 'YozD-like protein', 'YozD', 4, NULL),
(24529, NULL, 'IPR032894', NULL, 'dTDP-4-amino-4,6-dideoxygalactose transaminase WecE', 'WecE', 4, NULL),
(24530, NULL, 'IPR027992', NULL, 'Possible tRNA binding domain', 'tRNA_bind_dom', 3, NULL),
(24531, NULL, 'IPR028726', NULL, 'Matrix metalloproteinase-17', 'MMP17', 4, NULL),
(24532, NULL, 'IPR025192', NULL, 'Succinate dehydogenase/fumarate reductase N-terminal', 'Succ_DH/fum_Rdtase_N', 3, NULL),
(24533, NULL, 'IPR028325', NULL, 'Voltage-gated potassium channel', 'VG_K_chnl', 4, NULL),
(24534, NULL, 'IPR030182', NULL, 'Purine permease, plant', 'PUP_plant', 4, NULL),
(24535, NULL, 'IPR030700', NULL, 'N-end rule aminoacyl transferase', 'N-end_Aminoacyl_Trfase', 4, NULL),
(24536, NULL, 'IPR030516', NULL, 'Protein SFI1 homologue', 'SFI1', 4, NULL),
(24537, NULL, 'IPR030876', NULL, '3-sulfolactaldehyde reductase', 'SLA_reductase', 4, NULL),
(24538, NULL, 'IPR031741', NULL, 'Serine-rich and transmembrane domain-containing protein', 'SERTM', 4, NULL),
(24539, NULL, 'IPR028849', NULL, 'Breast cancer anti-estrogen resistance protein 3', 'BCAR3', 4, NULL),
(24540, NULL, 'IPR029337', NULL, 'Inhibitory synaptic factor 2', 'INSYN2', 4, NULL),
(24541, NULL, 'IPR025547', NULL, 'YtzH-like protein', 'YtzH', 4, NULL),
(24542, NULL, 'IPR031233', NULL, 'Olfactomedin-like protein 2B', 'OLFML2B', 4, NULL),
(24543, NULL, 'IPR031197', NULL, 'Na(+)/H(+) exchange regulatory cofactor NHERF-2', 'NHERF-2', 4, NULL),
(24544, NULL, 'IPR032106', NULL, '2-oxoglutarate dehydrogenase E1 component, N-terminal domain', '2-oxogl_dehyd_N', 3, NULL),
(24545, NULL, 'IPR031204', NULL, 'Signal-induced proliferation-associated 1-like protein 3', 'SIPA1L3', 4, NULL),
(24546, NULL, 'IPR027526', NULL, 'Lipoyl synthase, chloroplastic', 'Lipoyl_synth_chlpt', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24547, NULL, 'IPR031202', NULL, 'PHD finger protein 1', 'PHF1', 4, NULL),
(24548, NULL, 'IPR024417', NULL, 'Neuronal protein 3.1', 'Neuronal_3.1', 4, NULL),
(24549, NULL, 'IPR028863', NULL, 'Cyclin-T1', 'CCNT1', 4, NULL),
(24550, NULL, 'IPR029739', NULL, 'Probable inactive ribonuclease-like protein 13', 'RNASE13', 4, NULL),
(24551, NULL, 'IPR028299', NULL, 'ClpA/B, conserved site 2', 'ClpA/B_CS2', 2, NULL),
(24552, NULL, 'IPR029037', NULL, 'YfgJ-like', 'YfgJ-like', 5, NULL),
(24553, NULL, 'IPR032902', NULL, 'Phenolic acid decarboxylase subunit C', 'BsdC', 4, NULL),
(24554, NULL, 'IPR024416', NULL, 'Protein of unknown function DUF2738', 'DUF2738', 4, NULL),
(24555, NULL, 'IPR030024', NULL, 'Neuroligin-3', 'NLGN3', 4, NULL),
(24556, NULL, 'IPR029451', NULL, 'Rapamycin-insensitive companion of mTOR, middle domain', 'RICTOR_M', 3, NULL),
(24557, NULL, 'IPR030685', NULL, 'Serotransferrin, mammalian', 'Serotransferrin_mammal', 4, NULL),
(24558, NULL, 'IPR030825', NULL, 'Integral membrane protein', 'Integral_membrane', 4, NULL),
(24559, NULL, 'IPR031229', NULL, 'Olfactomedin-like protein 1', 'OLFML1', 4, NULL),
(24560, NULL, 'IPR028031', NULL, 'Domain of unknown function DUF4460', 'DUF4460', 3, NULL),
(24561, NULL, 'IPR028028', NULL, 'Protein of unknown function DUF4450', 'DUF4450', 4, NULL),
(24562, NULL, 'IPR032893', NULL, 'Galactarate dehydratase (L-threo-forming) GarD, Enterobacteriaceae', 'GarD_Enterobacteriaceae', 4, NULL),
(24563, NULL, 'IPR031231', NULL, 'Olfactomedin-like protein 2A', 'OLFML2A', 4, NULL),
(24564, NULL, 'IPR028165', NULL, 'TMEM125 protein family', 'TMEM125', 4, NULL),
(24565, NULL, 'IPR027093', NULL, 'EAF family', 'EAF_fam', 4, NULL),
(24566, NULL, 'IPR028004', NULL, 'Protein of unknown function DUF4643', 'DUF4643', 4, NULL),
(24567, NULL, 'IPR025574', NULL, 'Nucleoporin FG repeat', 'Nucleoporin_FG_rpt', 7, NULL),
(24568, NULL, 'IPR025939', NULL, 'Axin interactor dorsalization-associated protein, C-terminal', 'Aida_C', 3, NULL),
(24569, NULL, 'IPR030381', NULL, 'Dynamin-type guanine nucleotide-binding (G) domain', 'G_DYNAMIN_dom', 3, NULL),
(24570, NULL, 'IPR030935', NULL, 'Phage portal protein PBSX family, Proteobacteria', 'PBSX_Proteobac', 4, NULL),
(24571, NULL, 'IPR027445', NULL, 'Hypoxia-inducible factor 1-alpha inhibitor', 'FIH-1', 4, NULL),
(24572, NULL, 'IPR031286', NULL, 'Amphoterin-induced protein 2', 'AMIGO2', 4, NULL),
(24573, NULL, 'IPR029038', NULL, 'Methionyl-tRNA synthetase, Zn-domain', 'MetRS_Zn', 5, NULL),
(24574, NULL, 'IPR032186', NULL, 'Domain of unknown function DUF5018', 'DUF5018', 3, NULL),
(24575, NULL, 'IPR028729', NULL, 'Matrix metalloproteinase-15', 'MMP15', 4, NULL),
(24576, NULL, 'IPR029817', NULL, 'Platelet-derived growth factor C', 'PDGF-C', 4, NULL),
(24577, NULL, 'IPR029991', NULL, 'Phosphatase and actin regulator 2', 'Phactr2', 4, NULL),
(24578, NULL, 'IPR030470', NULL, 'UbiA prenyltransferase conserved site', 'UbiA_prenylTrfase_CS', 2, NULL),
(24579, NULL, 'IPR030857', NULL, 'Lipid A biosynthesis palmitoleoyltransferase, LpxP', 'Lipid_A_LpxP', 4, NULL),
(24580, NULL, 'IPR030642', NULL, 'Nephrocystin-1, SH3 domain', 'NPHP1_SH3', 3, NULL),
(24581, NULL, 'IPR031572', NULL, 'Domain of unknown function DUF4705', 'DUF4705', 3, NULL),
(24582, NULL, 'IPR025946', NULL, 'CABIT domain', 'CABIT_dom', 3, NULL),
(24583, NULL, 'IPR030171', NULL, 'Potassium voltage-gated channel subfamily H member 5', 'EAG2', 4, NULL),
(24584, NULL, 'IPR032060', NULL, 'MGA, conserved domain', 'MGA_dom', 3, NULL),
(24585, NULL, 'IPR030834', NULL, 'Polyketide synthase-associated domain', 'PKS_assoc_dom', 3, NULL),
(24586, NULL, 'IPR028027', NULL, 'Protein of unknown function DUF4542', 'DUF4542', 4, NULL),
(24587, NULL, 'IPR030656', NULL, 'Delta-aminolevulinic acid dehydratase, active site', 'ALAD_AS', 0, NULL),
(24588, NULL, 'IPR030172', NULL, 'Potassium voltage-gated channel subfamily H member 6', 'KCNH6', 4, NULL),
(24589, NULL, 'IPR024359', NULL, 'Peroxisome assembly protein 22', 'Peroxin-22', 4, NULL),
(24590, NULL, 'IPR025945', NULL, 'DHHW protein', 'DHHW', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24591, NULL, 'IPR032190', NULL, 'Niemann-Pick C1, N-terminal', 'NPC1_N', 3, NULL),
(24592, NULL, 'IPR032192', NULL, 'GUN4, N-terminal ARM-like repeat domain', 'GUN4_N', 3, NULL),
(24593, NULL, 'IPR032257', NULL, 'Domain of unknown function DUF4830', 'DUF4830', 3, NULL),
(24594, NULL, 'IPR028001', NULL, 'Protein of unknown function DUF4601', 'DUF4601', 4, NULL),
(24595, NULL, 'IPR025702', NULL, 'Haem-containing dehydratase', 'Haem-containing_dehydratase', 4, NULL),
(24596, NULL, 'IPR029336', NULL, 'Protein of unknown function DUF4594', 'DUF4594', 4, NULL),
(24597, NULL, 'IPR032064', NULL, 'Protein of unknown function DUF4805', 'DUF4805', 4, NULL),
(24598, NULL, 'IPR032892', NULL, 'UDP-N-acetylglucosamine 2-epimerase WecB', 'WecB', 4, NULL),
(24599, NULL, 'IPR031746', NULL, 'Protein of unknown function DUF4732', 'DUF4732', 4, NULL),
(24600, NULL, 'IPR030375', NULL, 'Poxvirus cap-specific nucleoside 2-O-methyltransferase', 'Poxvir_cap_MeTfrase', 4, NULL),
(24601, NULL, 'IPR031587', NULL, 'Lung adenoma susceptibility protein 2', 'LAS2', 4, NULL),
(24602, NULL, 'IPR030676', NULL, 'Citrate carrier CitT-related', 'CitT-rel', 4, NULL),
(24603, NULL, 'IPR031299', NULL, 'ADP-dependent glucose/glucosamine kinase, archaeal', 'GlkA', 4, NULL),
(24604, NULL, 'IPR029740', NULL, 'Probable inactive ribonuclease-like protein 12', 'RNASE12', 4, NULL),
(24605, NULL, 'IPR025659', NULL, 'Tubby-like, C-terminal', 'Tubby-like_C', 5, NULL),
(24606, NULL, 'IPR028024', NULL, 'Transmembrane protein 251', 'TMEM251', 4, NULL),
(24607, NULL, 'IPR029741', NULL, 'Inactive ribonuclease-like protein 9', 'RNASE9', 4, NULL),
(24608, NULL, 'IPR032895', NULL, 'ECA polysaccharide chain length modulation protein WzzE', 'WzzE', 4, NULL),
(24609, NULL, 'IPR024403', NULL, 'Dihydroorotase-like, bacterial', 'DHOase-like_bac', 4, NULL),
(24610, NULL, 'IPR030918', NULL, 'Polyketide product template domain', 'PT_fungal_PKS', 3, NULL),
(24611, NULL, 'IPR027136', NULL, 'TNF receptor-associated factor 1', 'TRAF1', 4, NULL),
(24612, NULL, 'IPR030836', NULL, 'Putative ABC transporter periplasmic binding protein PhnD-like', 'ABC_peri_PhnD-like', 4, NULL),
(24613, NULL, 'IPR027221', NULL, 'CXC chemokine 11', 'CXCL11', 4, NULL),
(24614, NULL, 'IPR030686', NULL, 'Cytochrome P450 8B1', 'Cytochrome_CYP8B1', 4, NULL),
(24615, NULL, 'IPR031767', NULL, 'Inhibitor of glucose uptake transporter SgrT', 'SgrT', 4, NULL),
(24616, NULL, 'IPR030644', NULL, 'Septin 6', 'SEPT6', 4, NULL),
(24617, NULL, 'IPR029423', NULL, 'LRRC37A/B like protein 1, C-terminal', 'LRRC37AB_C', 3, NULL),
(24618, NULL, 'IPR027200', NULL, 'Adaptin medium chain homologue Apm2', 'Apm2', 4, NULL),
(24619, NULL, 'IPR029842', NULL, 'Cyclin-dependent kinase inhibitor 1C', 'CDKN1C', 4, NULL),
(24620, NULL, 'IPR028018', NULL, 'Protein of unknown function DUF4646', 'DUF4646', 4, NULL),
(24621, NULL, 'IPR025546', NULL, 'YqzH-like protein', 'YqzH', 4, NULL),
(24622, NULL, 'IPR028861', NULL, 'Cyclin-I2', 'CCNI2', 4, NULL),
(24623, NULL, 'IPR029841', NULL, 'Cyclin-dependent kinase inhibitor 1', 'CDKN1A', 4, NULL),
(24624, NULL, 'IPR030874', NULL, 'Cardiolipin synthase, Firmicutes-type', 'Cardiolipin_synth_Firmi', 4, NULL),
(24625, NULL, 'IPR029700', NULL, 'Geminin coiled-coil domain-containing protein 1', 'GEMC1', 4, NULL),
(24626, NULL, 'IPR027994', NULL, 'WxL domain', 'WxL_dom', 3, NULL),
(24627, NULL, 'IPR030842', NULL, 'Transcription termination/antitermination protein NusA, bacterial', 'NusA_bac', 4, NULL),
(24628, NULL, 'IPR027340', NULL, 'Coronin 1B', 'Coro1b', 4, NULL),
(24629, NULL, 'IPR024357', NULL, 'Argonaut, glycine-rich domain', 'Argonaut_Gly-rich', 3, NULL),
(24630, NULL, 'IPR026049', NULL, 'Uncharacterised protein C2orf42', 'C2orf42', 4, NULL),
(24631, NULL, 'IPR029343', NULL, 'Coiled-coil domain-containing protein 14', 'CCDC14', 4, NULL),
(24632, NULL, 'IPR032182', NULL, 'Domain of unknown function DUF5014', 'DUF5014', 3, NULL),
(24633, NULL, 'IPR028197', NULL, 'Syntaphilin/Syntabulin', 'Syntaphilin/Syntabulin', 4, NULL),
(24634, NULL, 'IPR030715', NULL, 'Engulfment and cell motility protein 1', 'ELMO1', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24635, NULL, 'IPR029340', NULL, 'Protein FAM222', 'FAM222', 4, NULL),
(24636, NULL, 'IPR025499', NULL, 'Pectin degradation protein KdgF', 'KdgF', 4, NULL),
(24637, NULL, 'IPR030646', NULL, 'Septin 8', 'SEPT8', 4, NULL),
(24638, NULL, 'IPR029670', NULL, 'UPF0524 family', 'UPF0524_fam', 4, NULL),
(24639, NULL, 'IPR031566', NULL, 'Putative citrate transporter', 'CitMHS_2', 4, NULL),
(24640, NULL, 'IPR028163', NULL, 'HAUS augmin-like complex subunit 6, N-terminal', 'HAUS_6_N', 3, NULL),
(24641, NULL, 'IPR029452', NULL, 'Rapamycin-insensitive companion of mTOR, domain 5', 'RICTOR_V', 3, NULL),
(24642, NULL, 'IPR031198', NULL, 'Syndecan, invertebrate', 'Syndecan_inverte', 4, NULL),
(24643, NULL, 'IPR031589', NULL, 'Protein FAM35A, C-terminal domain', 'FAM35A_C', 3, NULL),
(24644, NULL, 'IPR027791', NULL, 'Galactosyltransferase, C-terminal', 'Galactosyl_T_C', 3, NULL),
(24645, NULL, 'IPR030016', NULL, 'Villin-like protein quail', 'Quail', 4, NULL),
(24646, NULL, 'IPR028167', NULL, 'Hermansky-Pudlak syndrome 3, central region', 'HPS3_central_dom', 3, NULL),
(24647, NULL, 'IPR029349', NULL, 'Domain of unknown function DUF4443', 'DUF4443', 3, NULL),
(24648, NULL, 'IPR029512', NULL, 'Coiled-coil domain-containing protein 154', 'CCDC154', 4, NULL),
(24649, NULL, 'IPR028888', NULL, 'Molybdopterin synthase catalytic subunit, eukaryotes', 'MOCS2B_euk', 4, NULL),
(24650, NULL, 'IPR028162', NULL, 'Siroheme biosynthesis protein Met8, C-terminal', 'Met8_C', 3, NULL),
(24651, NULL, 'IPR030829', NULL, 'Quinoprotein relay system zinc metallohydrolase 2', 'SoxH-rel_PQQ_2', 3, NULL),
(24652, NULL, 'IPR027961', NULL, 'Protein of unknown function DUF4442', 'DUF4442', 4, NULL),
(24653, NULL, 'IPR031298', NULL, 'Protein Bop', 'Bop', 4, NULL),
(24654, NULL, 'IPR030383', NULL, 'Very large inducible GTPASE (VLIG)-type guanine nucleotide-binding (G) domain', 'G_VLIG_dom', 3, NULL),
(24655, NULL, 'IPR031113', NULL, 'Zinc finger protein JAGGED-like', 'JAGGED-like', 4, NULL),
(24656, NULL, 'IPR028852', NULL, 'A-kinase anchor protein 13', 'AKAP13', 4, NULL),
(24657, NULL, 'IPR031761', NULL, 'Folded gastrulation, N-terminal domain', 'FOG_N', 3, NULL),
(24658, NULL, 'IPR030814', NULL, 'Small integral membrane protein', 'Mollicut_2TM', 4, NULL),
(24659, NULL, 'IPR029341', NULL, 'FAM21/CAPZIP domain', 'FAM21/CAPZIP', 3, NULL),
(24660, NULL, 'IPR031747', NULL, 'Transmembrane protein 232', 'TMEM232', 4, NULL),
(24661, NULL, 'IPR030818', NULL, 'Selenouridine synthase, SelU N-terminal-like subunit', 'Arch_SelU_Nterm', 4, NULL),
(24662, NULL, 'IPR030858', NULL, 'Mid-cell-anchored protein Z', 'MapZ', 4, NULL),
(24663, NULL, 'IPR031234', NULL, 'Latrophilin-1', 'Latrophilin-1', 4, NULL),
(24664, NULL, 'IPR032896', NULL, 'Lipid III flippase WzxE, Proteobacteria', 'WzxE_Proteobacteria', 4, NULL),
(24665, NULL, 'IPR032256', NULL, 'Domain of unknown function DUF4829', 'DUF4829', 3, NULL),
(24666, NULL, 'IPR026583', NULL, 'Glucose 1-dehydrogenase, archaea', 'Glc_1-DH_arc', 4, NULL),
(24667, NULL, 'IPR031445', NULL, 'Protein of unknown function DUF4672', 'DUF4672', 4, NULL),
(24668, NULL, 'IPR027544', NULL, 'Shikimate kinase 2', 'Shikimate_kinase_2', 4, NULL),
(24669, NULL, 'IPR032254', NULL, 'Protein of unknown function DUF4828', 'DUF4828', 4, NULL),
(24670, NULL, 'IPR029450', NULL, 'Apoptosis regulator M11', 'Apo_reg_M11', 4, NULL),
(24671, NULL, 'IPR030581', NULL, 'Myotubularin-related protein 6', 'MTMR6', 4, NULL),
(24672, NULL, 'IPR031078', NULL, 'Extracellular superoxide dismutase [Cu-Zn] C2/C3-like', 'SodC2/C3-like', 4, NULL),
(24673, NULL, 'IPR028593', NULL, 'Protein Spindly, chordates', 'SPDLY_chordates', 4, NULL),
(24674, NULL, 'IPR032179', NULL, 'Domain of unknown function DUF5011', 'DUF5011', 3, NULL),
(24675, NULL, 'IPR030916', NULL, 'ELWxxDGT repeat', 'ELWxxDGT_rpt', 7, NULL),
(24676, NULL, 'IPR024423', NULL, 'Protein of unknown function DUF3050', 'DUF3050', 4, NULL),
(24677, NULL, 'IPR028012', NULL, 'Transcription regulator Rua1, C-terminal', 'Rua1_C', 3, NULL),
(24678, NULL, 'IPR032061', NULL, 'Domain of unknown function DUF4802', 'DUF4802', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24679, NULL, 'IPR032172', NULL, 'Fragile X-related 1 protein, C-terminal region 1', 'FXR_C1', 3, NULL),
(24680, NULL, 'IPR031169', NULL, 'Mesoderm induction early response protein 1', 'MIER1', 4, NULL),
(24681, NULL, 'IPR025949', NULL, 'PapC-like, C-terminal domain', 'PapC-like_C', 3, NULL),
(24682, NULL, 'IPR030372', NULL, 'ABC-type organic anion transporter ABCA8', 'ABCA8', 4, NULL),
(24683, NULL, 'IPR032176', NULL, 'Domain of unknown function DUF5009', 'DUF5009', 3, NULL),
(24684, NULL, 'IPR031891', NULL, 'DNA-mimic protein DMP12', 'DMP12', 4, NULL),
(24685, NULL, 'IPR030872', NULL, 'Cardiolipin synthase B', 'Cardiolipin_synth_ClsB', 4, NULL),
(24686, NULL, 'IPR032969', NULL, 'Short-chain dehydrogenase/reductase 3', 'DHRS3', 4, NULL),
(24687, NULL, 'IPR030626', NULL, 'Dihydropyrimidinase-related protein 5', 'DRP5', 4, NULL),
(24688, NULL, 'IPR024425', NULL, 'Cell wall-active antibiotics response 4TMS YvqF', 'DUF2154', 3, NULL),
(24689, NULL, 'IPR030103', NULL, 'Melanoma-associated antigen 2', 'MAGEA2', 4, NULL),
(24690, NULL, 'IPR032953', NULL, 'Latherin', 'Latherin', 4, NULL),
(24691, NULL, 'IPR030870', NULL, 'Cell division protein ZapE', 'ZapE', 4, NULL),
(24692, NULL, 'IPR027535', NULL, 'Sulfate adenylyltransferase', 'Sulf_adenylyltr_euk', 4, NULL),
(24693, NULL, 'IPR030261', NULL, 'Chloride intracellular channel protein 3', 'CLIC-3', 4, NULL),
(24694, NULL, 'IPR031565', NULL, 'T-superfamily conotoxin', 'T-conotoxin', 4, NULL),
(24695, NULL, 'IPR032183', NULL, 'PKD-like family', 'PKD-like', 4, NULL),
(24696, NULL, 'IPR027540', NULL, 'Ubiquinone biosynthesis protein Coq4, eukaryotes', 'Coq4_euk', 4, NULL),
(24697, NULL, 'IPR027742', NULL, 'Protein hunchback', 'Hunchback', 4, NULL),
(24698, NULL, 'IPR028591', NULL, 'DIS3-like exonuclease 2', 'DIS3L2', 4, NULL),
(24699, NULL, 'IPR030205', NULL, 'Glutamate/aspartate transport system permease protein GltK/AatM', 'GltK/AatM', 4, NULL),
(24700, NULL, 'IPR030248', NULL, 'Sodium/potassium/calcium exchanger 3', 'SLC24A3', 4, NULL),
(24701, NULL, 'IPR029948', NULL, 'Nucleobase-ascorbate transporter 1/2', 'NAT1/2', 4, NULL),
(24702, NULL, 'IPR029338', NULL, 'Tumour suppressing sub-chromosomal transferable candidate 4', 'TSSC4', 4, NULL),
(24703, NULL, 'IPR030713', NULL, 'Engulfment and cell motility protein 2', 'ELMO2', 4, NULL),
(24704, NULL, 'IPR032964', NULL, 'Probable G-protein coupled receptor 179', 'GPR179', 4, NULL),
(24705, NULL, 'IPR030867', NULL, 'tRNA(Phe) (4-demethylwyosine(37)-C(7)) aminocarboxypropyltransferase', 'TYW2_archaea', 4, NULL),
(24706, NULL, 'IPR032967', NULL, 'Retinal homeobox protein Rx-like', 'Rx-like', 4, NULL),
(24707, NULL, 'IPR029331', NULL, 'Muscular LMNA-interacting protein', 'MLIP', 4, NULL),
(24708, NULL, 'IPR030579', NULL, 'Gigaxonin', 'KLHL16', 4, NULL),
(24709, NULL, 'IPR030023', NULL, 'Neuroligin-2', 'NLGN2', 4, NULL),
(24710, NULL, 'IPR034015', NULL, 'Aminopeptidase, leukotriene A4 hydrolase-like', 'M1_LTA4H', 4, NULL),
(24711, NULL, 'IPR028854', NULL, 'Rho GTPase-activating protein 7', 'DLC1', 4, NULL),
(24712, NULL, 'IPR030821', NULL, 'Synergist-CTERM protein sorting domain', 'Synergist_CTERM', 3, NULL),
(24713, NULL, 'IPR030025', NULL, 'Neuroligin 4', 'NLGN4', 4, NULL),
(24714, NULL, 'IPR029525', NULL, 'INO80 complex, subunit Ies6', 'INO80C/Ies6', 4, NULL),
(24715, NULL, 'IPR030183', NULL, 'S-type anion channel', 'SLAC/SLAH', 4, NULL),
(24716, NULL, 'IPR029034', NULL, 'Cystine-knot cytokine', 'Cystine-knot_cytokine', 5, NULL),
(24717, NULL, 'IPR028160', NULL, 'Ribosome biogenesis protein Slx9-like', 'Slx9-like', 4, NULL),
(24718, NULL, 'IPR030563', NULL, 'Kelch-like ECH-associated protein 1', 'KEAP1', 4, NULL),
(24719, NULL, 'IPR025658', NULL, 'Cyclophilin TM1367-like domain', 'Cyclophilin_TM1367', 3, NULL),
(24720, NULL, 'IPR029786', NULL, 'Microtubule-associated tumour suppressor 1', 'MTUS1', 4, NULL),
(24721, NULL, 'IPR030100', NULL, 'SWI/SNF complex subunit BRG1', 'BRG1', 4, NULL),
(24722, NULL, 'IPR029631', NULL, 'Centrosomal protein of 83kDa', 'Cep83', 4, NULL),
(24723, NULL, 'IPR028033', NULL, 'Domain of unknown function DUF4462', 'DUF4462', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24724, NULL, 'IPR025704', NULL, 'E3 ubiquitin ligase UBR4, C-terminal', 'E3_Ub_ligase_UBR4_C', 3, NULL),
(24725, NULL, 'IPR024392', NULL, 'Protein of unknown function DUF2688', 'DUF2688', 4, NULL),
(24726, NULL, 'IPR030758', NULL, 'von Willebrand factor A domain-containing protein 1', 'Vwa1', 4, NULL),
(24727, NULL, 'IPR024363', NULL, 'Protein of unknown function DUF3853', 'DUF3853', 4, NULL),
(24728, NULL, 'IPR030580', NULL, 'Myotubularin-related protein 11', 'MTMR11', 4, NULL),
(24729, NULL, 'IPR032185', NULL, 'Domain of unknown function DUF5017', 'DUF5017', 3, NULL),
(24730, NULL, 'IPR028158', NULL, 'RPA-interacting protein, N-terminal domain', 'RPA_interact_N_dom', 3, NULL),
(24731, NULL, 'IPR028159', NULL, 'RPA-interacting protein, C-terminal domain', 'RPA_interact_C_dom', 3, NULL),
(24732, NULL, 'IPR032871', NULL, 'AHH domain-containing protein', 'AHH_dom_containing', 4, NULL),
(24733, NULL, 'IPR031564', NULL, 'Putative Flagellin, Flp1-like domain', 'Flp1-like', 3, NULL),
(24734, NULL, 'IPR030144', NULL, 'Fascin-2', 'FSCN2', 4, NULL),
(24735, NULL, 'IPR028732', NULL, 'Matrix metalloproteinase-27', 'MMP27', 4, NULL),
(24736, NULL, 'IPR032870', NULL, 'Alpha-ketoglutarate-dependent dioxygenase alkB homologue 7', 'ALKBH7', 4, NULL),
(24737, NULL, 'IPR031643', NULL, 'Domain of unknown function DUF4708', 'DUF4708', 3, NULL),
(24738, NULL, 'IPR027548', NULL, 'Ribosomal protein S19e, archaeal', 'Ribosomal_S19e_archaeal', 4, NULL),
(24739, NULL, 'IPR028170', NULL, 'Protein KASH5', 'KASH5', 4, NULL),
(24740, NULL, 'IPR032194', NULL, 'CCR4-NOT transcription complex subunit 1, HEAT repeat', 'CNOT1_HEAT', 3, NULL),
(24741, NULL, 'IPR028156', NULL, 'RPA-interacting protein', 'RIP', 4, NULL),
(24742, NULL, 'IPR029347', NULL, 'Raptor, N-terminal CASPase-like domain', 'Raptor_N', 3, NULL),
(24743, NULL, 'IPR029523', NULL, 'INO80 complex, subunit Ies2', 'INO80B/Ies2', 4, NULL),
(24744, NULL, 'IPR029767', NULL, 'UDP-N-acetylglucosamine 2-epimerase WecB-like', 'WecB-like', 4, NULL),
(24745, NULL, 'IPR028864', NULL, 'Cyclin-O', 'Ccno', 4, NULL),
(24746, NULL, 'IPR032180', NULL, 'Domain of unknown function DUF5012', 'DUF5012', 3, NULL),
(24747, NULL, 'IPR029992', NULL, 'MKL/myocardin-like protein 1', 'MRTF-A', 4, NULL),
(24748, NULL, 'IPR024415', NULL, 'Fungus-induced protein', 'Fungus-induced', 4, NULL),
(24749, NULL, 'IPR028166', NULL, 'Bifunctional transglycosylase second domain', 'UB2H', 3, NULL),
(24750, NULL, 'IPR025544', NULL, 'YhzD-like protein', 'YhzD', 4, NULL),
(24751, NULL, 'IPR028034', NULL, 'CCDC81, HU domain 1', 'HU-CCDC81', 3, NULL),
(24752, NULL, 'IPR030815', NULL, 'Selenouridine synthase, SelU C-terminal-like subunit', 'Arch_SelU_Cterm', 4, NULL),
(24753, NULL, 'IPR029344', NULL, 'Histone RNA hairpin-binding protein, RNA-binding domain', 'SLBP_RNA_bind', 3, NULL),
(24754, NULL, 'IPR030584', NULL, 'Kelch-like protein 14', 'KLHL14', 4, NULL),
(24755, NULL, 'IPR032970', NULL, 'Retinol dehydrogenase 10', 'RDH10', 4, NULL),
(24756, NULL, 'IPR029839', NULL, 'Signal transducer and activator of transcription 4', 'STAT4', 4, NULL),
(24757, NULL, 'IPR024960', NULL, 'Phosphatidyl-N-methylethanolamine/Phosphatidylethanolamine N-methyltransferase', 'PEMT/MFAP', 4, NULL),
(24758, NULL, 'IPR028013', NULL, 'Protein of unknown function DUF4437', 'DUF4437', 4, NULL),
(24759, NULL, 'IPR027725', NULL, 'Heat shock transcription factor family', 'HSF_fam', 4, NULL),
(24760, NULL, 'IPR032854', NULL, 'Alkylated DNA repair protein alkB homologue 3', 'ALKBH3', 4, NULL),
(24761, NULL, 'IPR030101', NULL, 'SWI/SNF-related matrix-associated actin-dependent regulator of chromatin subfamily A-like protein 1', 'HARP(SMARCAL1)', 4, NULL),
(24762, NULL, 'IPR029775', NULL, 'Nephrocystin-4', 'NPHP4', 4, NULL),
(24763, NULL, 'IPR030308', NULL, 'Fatty acid transport protein 1', 'FATP1', 4, NULL),
(24764, NULL, 'IPR030917', NULL, 'Cyanoexosortase B-associated protein', 'Cyanoexo_CrtB_assoc', 4, NULL),
(24765, NULL, 'IPR027527', NULL, 'Lipoyl synthase, mitochondrial', 'Lipoyl_synth_mt', 4, NULL),
(24766, NULL, 'IPR028853', NULL, 'AT-rich interactive domain-containing protein 4B', 'ARID4B', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24767, NULL, 'IPR032187', NULL, 'Outer membrane protein SusF/SusE', 'SusF/SusE', 4, NULL),
(24768, NULL, 'IPR028862', NULL, 'Cyclin-T2', 'CCNT2', 4, NULL),
(24769, NULL, 'IPR027097', NULL, 'Mitotic spindle checkpoint protein Mad2', 'Mad2', 4, NULL),
(24770, NULL, 'IPR032063', NULL, 'Protein of unknown function DUF4804', 'DUF4804', 4, NULL),
(24771, NULL, 'IPR029709', NULL, 'Lipid droplet assembly factor 1', 'LDAF1', 4, NULL),
(24772, NULL, 'IPR027801', NULL, 'Centromere protein P', 'CENP-P', 4, NULL),
(24773, NULL, 'IPR032195', NULL, 'CCR4-NOT transcription complex subunit 1, HEAT repeat 1', 'CNOT1_HEAT_N', 3, NULL),
(24774, NULL, 'IPR028164', NULL, 'TMEM61 protein family', 'TMEM61', 4, NULL),
(24775, NULL, 'IPR028393', NULL, '1-phosphatidylinositol 4,5-bisphosphate phosphodiesterase eta-2', 'PLC-eta2', 4, NULL),
(24776, NULL, 'IPR031116', NULL, 'Protein BONZAI', 'BONZAI', 4, NULL),
(24777, NULL, 'IPR027730', NULL, 'Heat shock transcription factor, Y-linked', 'HSFY', 4, NULL),
(24778, NULL, 'IPR029527', NULL, 'Centrin-1', 'CETN1', 4, NULL),
(24779, NULL, 'IPR030086', NULL, 'Necdin', 'Necdin', 4, NULL),
(24780, NULL, 'IPR032184', NULL, 'Protein of unknown function DUF5016', 'DUF5016', 4, NULL),
(24781, NULL, 'IPR030582', NULL, 'Kelch-like protein 30', 'KLHL30', 4, NULL),
(24782, NULL, 'IPR032940', NULL, 'Calmodulin-regulated spectrin-associated protein', 'CAMSAP', 4, NULL),
(24783, NULL, 'IPR030832', NULL, 'Processed acidic surface protein', 'Acidic_LPXTA', 4, NULL),
(24784, NULL, 'IPR027803', NULL, 'Toxin/Nuclease, N-terminal', 'Toxin/Nuc_N', 3, NULL),
(24785, NULL, 'IPR028887', NULL, 'Molybdopterin synthase sulfur carrier subunit, eukaryote', 'MOCS2A_euk', 4, NULL),
(24786, NULL, 'IPR024384', NULL, 'Protein of unknown function DUF2742', 'DUF2742', 4, NULL),
(24787, NULL, 'IPR032189', NULL, 'DNA mismatch repair protein Mlh1, C-terminal', 'Mlh1_C', 3, NULL),
(24788, NULL, 'IPR030077', NULL, 'SNF1 protein kinase subunit beta-2/beta-3', 'SIP2/GAL83', 4, NULL),
(24789, NULL, 'IPR031117', NULL, 'HVA22-like protein', 'HVA22-like', 4, NULL),
(24790, NULL, 'IPR031361', NULL, 'Spindle pole body component Kre28', 'Kre28', 4, NULL),
(24791, NULL, 'IPR028587', NULL, 'Adenylate kinase 2', 'AK2', 4, NULL),
(24792, NULL, 'IPR031205', NULL, 'Protein phosphatase 1 regulatory subunit 12C', 'PPP1R12C', 4, NULL),
(24793, NULL, 'IPR028188', NULL, 'Type IV pilin PilA', 'Pilin_PilA', 4, NULL),
(24794, NULL, 'IPR029335', NULL, 'Phage-encoded virulence factor', 'PAGK', 4, NULL),
(24795, NULL, 'IPR030512', NULL, 'SH3 and PX domain-containing protein 2B', 'SH3PXD2B', 4, NULL),
(24796, NULL, 'IPR028592', NULL, 'Queuine tRNA-ribosyltransferase accessory subunit QTRTD1', 'QTRTD1', 4, NULL),
(24797, NULL, 'IPR032181', NULL, 'Domain of unknown function DUF5013', 'DUF5013', 3, NULL),
(24798, NULL, 'IPR031196', NULL, 'Sphingolipid delta(4)-desaturase DES1', 'DES1', 4, NULL),
(24799, NULL, 'IPR030482', NULL, 'p53 and DNA damage-regulated protein 1', 'PDRG1', 4, NULL),
(24800, NULL, 'IPR030146', NULL, 'Fascin-1', 'FSCN1', 4, NULL),
(24801, NULL, 'IPR031573', NULL, 'GPI-anchored cell wall protein repeat', 'Cell_wall_rpt', 7, NULL),
(24802, NULL, 'IPR030560', NULL, 'Fatty-acid amide hydrolase 1', 'FAAH', 4, NULL),
(24803, NULL, 'IPR029330', NULL, 'Spindle pole body component Bbp1, C-terminal', 'Bbp1_C', 3, NULL),
(24804, NULL, 'IPR027712', NULL, 'Heat shock factor protein 2', 'HSF2', 4, NULL),
(24805, NULL, 'IPR028007', NULL, 'Domain of unknown function DUF4459', 'DUF4459', 3, NULL),
(24806, NULL, 'IPR029708', NULL, 'SERTA domain-containing protein 4', 'SERTAD4', 4, NULL),
(24807, NULL, 'IPR031742', NULL, 'Protein of unknown function DUF4730', 'DUF4730', 4, NULL),
(24808, NULL, 'IPR032259', NULL, 'Enoyl-CoA hydratase/isomerase,  HIBYL-CoA-H type', 'HIBYL-CoA-H', 4, NULL),
(24809, NULL, 'IPR028030', NULL, 'Domain of unknown function DUF4592', 'DUF4592', 3, NULL),
(24810, NULL, 'IPR030824', NULL, 'Uncharacterised protein family CHP04562', 'CHP04562', 4, NULL),
(24811, NULL, 'IPR032173', NULL, 'Protein of unknown function DUF5007', 'DUF5007', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24812, NULL, 'IPR028590', NULL, 'tRNA (cytidine(32)/guanosine(34)-2-O)-methyltransferase, Trm7', 'RNA_methyltr_E_Trm7', 4, NULL),
(24813, NULL, 'IPR030856', NULL, 'Sensor histidine kinase RcsC', 'RcsC', 4, NULL),
(24814, NULL, 'IPR028586', NULL, 'Adenylate kinase 3/4, mitochondrial', 'AK3/Ak4_mitochondrial', 4, NULL),
(24815, NULL, 'IPR029990', NULL, 'Phosphatase and actin regulator 3', 'Phactr3', 4, NULL),
(24816, NULL, 'IPR027756', NULL, 'Ovo-like', 'Ovo-like', 4, NULL),
(24817, NULL, 'IPR029421', NULL, 'MDM2-binding protein, N-terminal domain', 'MTBP_N', 3, NULL),
(24818, NULL, 'IPR032263', NULL, 'ATP-citrate synthase, citrate-binding domain', 'Citrate-bd', 3, NULL),
(24819, NULL, 'IPR028155', NULL, 'RPA-interacting protein, central domain', 'RPA_interact_central', 3, NULL),
(24820, NULL, 'IPR030698', NULL, 'Band 4.1-like protein 4B', 'Band4.1-like4B', 4, NULL),
(24821, NULL, 'IPR031316', NULL, 'Anti-sigma-28 factor FlgM, C-terminal', 'FlgM_C', 3, NULL),
(24822, NULL, 'IPR031577', NULL, 'Doublesex- and mab-3-related transcription factor C1/C2, C-terminal', 'DMRT-C1/C2_C', 3, NULL),
(24823, NULL, 'IPR032174', NULL, 'Intron-binding protein aquarius, N-terminal', 'Aquarius_N', 3, NULL),
(24824, NULL, 'IPR025561', NULL, 'Kinase suppressor of RAS, SAM-like domain', 'KSR_SAM-like_dom', 4, NULL),
(24825, NULL, 'IPR030141', NULL, 'Actin-related protein 2/3 complex subunit 1B', 'ARC1B', 4, NULL),
(24826, NULL, 'IPR029843', NULL, 'Cyclin-dependent kinase inhibitor 1B', 'CDKN1B', 4, NULL),
(24827, NULL, 'IPR029946', NULL, 'Nucleobase-ascorbate transporter 12', 'NAT12', 4, NULL),
(24828, NULL, 'IPR030021', NULL, 'HMG-CoA lyase-like1', 'ER-cHL', 4, NULL),
(24829, NULL, 'IPR031650', NULL, 'Coiled-coil domain-containing protein 73', 'CCDC73', 4, NULL),
(24830, NULL, 'IPR025657', NULL, 'RadC-like JAB domain', 'RadC_JAB', 3, NULL),
(24831, NULL, 'IPR028040', NULL, 'Type 2 DNA topoisomerase 6 subunit B-like', 'TopoVIB-like', 4, NULL),
(24832, NULL, 'IPR031127', NULL, 'E3 ubiquitin ligase RBR family', 'E3_UB_ligase_RBR', 4, NULL),
(24833, NULL, 'IPR030140', NULL, 'Actin-related protein 2/3 complex subunit 1A', 'ARC1A', 4, NULL),
(24834, NULL, 'IPR026022', NULL, 'PhoU domain', 'PhoU_dom', 3, NULL),
(24835, NULL, 'IPR027536', NULL, 'Mitochondrial distribution and morphology protein 34', 'Mdm34', 4, NULL),
(24836, NULL, 'IPR024426', NULL, 'Protein of unknown function DUF2694', 'DUF2694', 4, NULL),
(24837, NULL, 'IPR024404', NULL, 'Lipid-binding, putative', 'Lipid-bd_put', 4, NULL),
(24838, NULL, 'IPR028032', NULL, 'Domain of unknown function DUF4503', 'DUF4503', 3, NULL),
(24839, NULL, 'IPR027546', NULL, 'Sirtuin, class III', 'Sirtuin_class_III', 4, NULL),
(24840, NULL, 'IPR029417', NULL, 'FAM227 Protein', 'FAM227', 4, NULL),
(24841, NULL, 'IPR028398', NULL, '1-phosphatidylinositol 4,5-bisphosphate phosphodiesterase epsilon-1', 'PLC-epsilon1', 4, NULL),
(24842, NULL, 'IPR027537', NULL, 'Maintenance of mitochondrial morphology protein 1', 'Mmm1', 4, NULL),
(24843, NULL, 'IPR024386', NULL, 'Protein of unknown function DUF2532', 'DUF2532', 4, NULL),
(24844, NULL, 'IPR030225', NULL, 'Sterol regulatory element-binding protein cleavage-activating protein', 'SCAP', 4, NULL),
(24845, NULL, 'IPR027273', NULL, 'Neocarzinostatin-like', 'Neocarzinostatin-like', 5, NULL),
(24846, NULL, 'IPR032943', NULL, 'Cyclic nucleotide-gated cation channel beta-3', 'CNG6', 4, NULL),
(24847, NULL, 'IPR029032', NULL, 'AhpD-like', 'AhpD-like', 5, NULL),
(24848, NULL, 'IPR031126', NULL, 'E3 ubiquitin-protein ligase ARIH2', 'Ariadne-2', 4, NULL),
(24849, NULL, 'IPR031648', NULL, 'Transmembrane protein 82', 'TMEM82', 4, NULL),
(24850, NULL, 'IPR028022', NULL, 'Protein of unknown function DUF4600', 'DUF4600', 4, NULL),
(24851, NULL, 'IPR024381', NULL, 'Protein of unknown function DUF2561', 'DUF2561', 4, NULL),
(24852, NULL, 'IPR028011', NULL, 'Domain of unknown function DUF4476', 'DUF4476', 3, NULL),
(24853, NULL, 'IPR024961', NULL, 'Type II secretion system protein GspC, N-terminal', 'T2SS_GspC_N', 3, NULL),
(24854, NULL, 'IPR031213', NULL, 'Myocilin', 'Myocilin', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24855, NULL, 'IPR031200', NULL, 'Na(+)/H(+) exchange regulatory cofactor NHERF-4', 'NHERF-4', 4, NULL),
(24856, NULL, 'IPR030139', NULL, 'Actin-related protein T1', 'Arp-T1', 4, NULL),
(24857, NULL, 'IPR030820', NULL, 'Outer membrane beta-barrel protein, Proteobacteria', 'OMP_myx_plus_Proteobacteria', 3, NULL),
(24858, NULL, 'IPR030628', NULL, 'Dihydropyrimidinase-related protein 3', 'DRP3', 4, NULL),
(24859, NULL, 'IPR032175', NULL, 'Domain of unknown function DUF5008', 'DUF5008', 3, NULL),
(24860, NULL, 'IPR030321', NULL, 'Solute carrier family 26 member 3 (DRA)', 'SLC26A3', 4, NULL),
(24861, NULL, 'IPR028886', NULL, 'Molybdenum cofactor sulfurase', 'MoCo_sulfurase', 4, NULL),
(24862, NULL, 'IPR028008', NULL, 'Protein of unknown function DUF4441', 'DUF4441', 4, NULL),
(24863, NULL, 'IPR031166', NULL, 'EngA-type guanine nucleotide-binding (G) domain', 'G_ENGA', 3, NULL),
(24864, NULL, 'IPR030073', NULL, 'SNF1 protein kinase subunit beta-1', 'Sip1', 4, NULL),
(24865, NULL, 'IPR028585', NULL, 'Adenylate kinase 4, mitochondrial', 'AK4_mitochondrial', 4, NULL),
(24866, NULL, 'IPR025541', NULL, 'Propanediol/glycerol dehydratase, medium subunit', 'Ppandiol/glycerol_DHydtase_msu', 4, NULL),
(24867, NULL, 'IPR026051', NULL, 'Chitobiosyldiphosphodolichol beta-mannosyltransferase ALG1-like', 'ALG1-like', 4, NULL),
(24868, NULL, 'IPR030184', NULL, 'WAT1-related protein', 'WAT1-related', 4, NULL),
(24869, NULL, 'IPR027222', NULL, 'Platelet factor 4', 'PF4', 4, NULL),
(24870, NULL, 'IPR031591', NULL, 'Coiled-coil domain-containing protein 106', 'CCDC106', 4, NULL),
(24871, NULL, 'IPR030659', NULL, 'SecY conserved site', 'SecY_CS', 2, NULL),
(24872, NULL, 'IPR032171', NULL, 'C-terminal of Roc (COR) domain', 'COR', 3, NULL),
(24873, NULL, 'IPR030854', NULL, 'Ribonuclease J, bacteria', 'RNase_J_bac', 4, NULL),
(24874, NULL, 'IPR027670', NULL, 'Exostosin-1', 'Exostosin-1', 4, NULL),
(24875, NULL, 'IPR028370', NULL, '60S ribosomal protein L22-like 1', 'RPL22L1', 4, NULL),
(24876, NULL, 'IPR029986', NULL, 'Protein trichome birefringence-like 37/38', 'TBL37/38', 4, NULL),
(24877, NULL, 'IPR032062', NULL, 'Protein of unknown function DUF4803', 'DUF4803', 4, NULL),
(24878, NULL, 'IPR031738', NULL, 'JMY/WHAMM, middle domain', 'JMY/WHAMM', 3, NULL),
(24879, NULL, 'IPR025948', NULL, 'HTH-like domain', 'HTH-like_dom', 3, NULL),
(24880, NULL, 'IPR031570', NULL, 'Neurobeachin/BDCP, DUF4704', 'NBEA/BDCP_DUF4704', 3, NULL),
(24881, NULL, 'IPR032939', NULL, 'Optineurin', 'Optineurin', 4, NULL),
(24882, NULL, 'IPR031575', NULL, 'E1A-binding protein p400, N-terminal', 'EP400_N', 3, NULL),
(24883, NULL, 'IPR030211', NULL, 'Concentrative nucleoside transporter CNT3', 'CNT3', 4, NULL),
(24884, NULL, 'IPR031178', NULL, 'Antizyme inhibitor 1', 'Azin1', 4, NULL),
(24885, NULL, 'IPR028582', NULL, 'Adenylate kinase isoenzyme 1', 'AK1', 4, NULL),
(24886, NULL, 'IPR030819', NULL, 'Outer membrane exchange protein TraA, N-terminal domain', 'Myxo_TraA_N', 3, NULL),
(24887, NULL, 'IPR028026', NULL, 'Domain of unknown function DUF4502', 'DUF4502', 3, NULL),
(24888, NULL, 'IPR030143', NULL, 'Fascin-3', 'FSCN3', 4, NULL),
(24889, NULL, 'IPR030200', NULL, 'Equilibrative nucleotide transporter 2', 'ENT2_plant', 4, NULL),
(24890, NULL, 'IPR032971', NULL, 'Cytochrome P450 1B1', 'CYP1B1', 4, NULL),
(24891, NULL, 'IPR030830', NULL, '5-Dehydro-2-deoxygluconokinase', 'Myo_inos_IolC', 4, NULL),
(24892, NULL, 'IPR032857', NULL, 'Alpha-ketoglutarate-dependent dioxygenase alkB homologue 4', 'ALKBH4', 4, NULL),
(24893, NULL, 'IPR029334', NULL, 'Protein phosphatase 1 binding domain', 'PP1-bd', 3, NULL),
(24894, NULL, 'IPR032111', NULL, 'Clostridium phage holin', 'Clostridium_phage_holin', 4, NULL),
(24895, NULL, 'IPR031644', NULL, 'E3 ubiquitin-protein ligase makorin 1, C-terminal', 'MKRN1_C', 3, NULL),
(24896, NULL, 'IPR027955', NULL, 'Protein of unknown function DUF4636', 'DUF4636', 4, NULL),
(24897, NULL, 'IPR028161', NULL, 'Siroheme biosynthesis protein Met8', 'Met8', 4, NULL),
(24898, NULL, 'IPR027188', NULL, 'Dynamin-2', 'DNM2', 4, NULL),
(24899, NULL, 'IPR030224', NULL, 'Sla2 family', 'Sla2_fam', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24900, NULL, 'IPR029988', NULL, 'Protein trichome birefringence-like 32/46', 'TBL32/TBL46', 4, NULL),
(24901, NULL, 'IPR028036', NULL, 'Domain of unknown function DUF4536', 'DUF4536', 3, NULL),
(24902, NULL, 'IPR028006', NULL, 'Protein of unknown function DUF4570', 'DUF4570', 4, NULL),
(24903, NULL, 'IPR029422', NULL, 'Coiled coil protein 74, C-terminal', 'CCDC74_C', 3, NULL),
(24904, NULL, 'IPR024361', NULL, 'Bacteroidetes-Associated Carbohydrate-binding Often N-terminal', 'BACON', 3, NULL),
(24905, NULL, 'IPR027095', NULL, 'Golgin-45', 'Golgin-45', 4, NULL),
(24906, NULL, 'IPR030264', NULL, 'Chloride intracellular channel protein 5', 'CLIC-5', 4, NULL),
(24907, NULL, 'IPR031724', NULL, 'Extended EGL-27 and MTA1 homology domain', 'EELM2', 3, NULL),
(24908, NULL, 'IPR028154', NULL, 'AMP-dependent ligase, C-terminal', 'AMP-dep_Lig_C', 3, NULL),
(24909, NULL, 'IPR027806', NULL, 'Harbinger transposase-derived nuclease domain', 'HARBI1_dom', 3, NULL),
(24910, NULL, 'IPR032965', NULL, 'Rhodopsin kinase GRK1', 'GRK1', 4, NULL),
(24911, NULL, 'IPR029348', NULL, 'Nucleotidyltransferase-like domain', 'NTF-like', 3, NULL),
(24912, NULL, 'IPR030022', NULL, 'Neuroligin-1', 'NLGN1', 4, NULL),
(24913, NULL, 'IPR028736', NULL, 'Matrix metalloproteinase-26', 'MMP26', 4, NULL),
(24914, NULL, 'IPR029416', NULL, 'Cilia- and flagella-associated protein 300', 'CFAP300', 4, NULL),
(24915, NULL, 'IPR027805', NULL, 'Transposase, Helix-turn-helix domain', 'Transposase_HTH_dom', 3, NULL),
(24916, NULL, 'IPR030458', NULL, 'Glycosyl hydrolases family 31, active site', 'Glyco_hydro_31_AS', 0, NULL),
(24917, NULL, 'IPR030586', NULL, 'Kelch repeat and BTB domain-containing protein 2', 'KBTBD2', 4, NULL),
(24918, NULL, 'IPR030922', NULL, 'LPS export ABC transporter permease LptF', 'LptF', 4, NULL),
(24919, NULL, 'IPR030645', NULL, 'Septin 9', 'SEPT9', 4, NULL),
(24920, NULL, 'IPR029840', NULL, 'Zinc finger protein Gfi-1/1b', 'GFI1/1B', 4, NULL),
(24921, NULL, 'IPR031726', NULL, 'Protein glycosylation ligase domain', 'PglL_A', 3, NULL),
(24922, NULL, 'IPR030717', NULL, 'Dedicator of cytokinesis protein 5', 'DOCK5', 4, NULL),
(24923, NULL, 'IPR028851', NULL, 'Periphilin-1', 'Pphln1', 4, NULL),
(24924, NULL, 'IPR031597', NULL, 'KELK-motif containing domain', 'KELK', 3, NULL),
(24925, NULL, 'IPR030453', NULL, 'Transcription factor Sp4', 'SP4', 4, NULL),
(24926, NULL, 'IPR031114', NULL, 'TERMINAL FLOWER 1-like', 'TFL1-like', 4, NULL),
(24927, NULL, 'IPR028594', NULL, 'Katanin p60 subunit A-like 1, chordates', 'Katnal1_chordates', 4, NULL),
(24928, NULL, 'IPR032610', NULL, 'Domain of unknown function DUF2172', 'DUF2172', 3, NULL),
(24929, NULL, 'IPR028723', NULL, 'Matrix metalloproteinase-24', 'MMP24', 4, NULL),
(24930, NULL, 'IPR024915', NULL, '23S rRNA (guanosine-2-O-)-methyltransferase RlmB', '23S_rRNA_MeTrfase_RlmB', 4, NULL),
(24931, NULL, 'IPR028153', NULL, 'Transmembrane protein C12orf23, UPF0444', 'UPF0444', 4, NULL),
(24932, NULL, 'IPR029705', NULL, 'VPS35 endosomal protein sorting factor-like', 'VPS35L', 4, NULL),
(24933, NULL, 'IPR028395', NULL, '1-phosphatidylinositol 4,5-bisphosphate phosphodiesterase zeta-1', 'PLC-zeta1', 4, NULL),
(24934, NULL, 'IPR031762', NULL, 'Protein of unknown function DUF4738', 'DUF4738', 4, NULL),
(24935, NULL, 'IPR032901', NULL, 'Probable UbiX-like flavin prenyltransferase', 'UbiX_pad_YclB', 4, NULL),
(24936, NULL, 'IPR029526', NULL, 'PiggyBac transposable element-derived protein', 'PGBD', 3, NULL),
(24937, NULL, 'IPR029418', NULL, 'MDN2-binding protein, C-terminal domain', 'MTBP_C', 3, NULL),
(24938, NULL, 'IPR027958', NULL, 'Domain of unknown function DUF4657', 'DUF4657', 3, NULL),
(24939, NULL, 'IPR027539', NULL, 'Mitochondrial distribution and morphology protein 10', 'Mdm10', 4, NULL),
(24940, NULL, 'IPR026326', NULL, 'Probable tRNA pseudouridine synthase B, archaeal', 'TruB_arch', 4, NULL),
(24941, NULL, 'IPR027952', NULL, 'Domain of unknown function DUF4632', 'DUF4632', 3, NULL),
(24942, NULL, 'IPR027675', NULL, 'Exostosin-like 1', 'Exostosin-like_1', 4, NULL),
(24943, NULL, 'IPR025532', NULL, 'Glucose-6-phosphate 1-epimerase', 'G6P_1-epimerase', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24944, NULL, 'IPR030826', NULL, '30S ribosomal protein', 'Ribo_THX', 4, NULL),
(24945, NULL, 'IPR031230', NULL, 'Olfactomedin-like protein 3', 'OLFML3', 4, NULL),
(24946, NULL, 'IPR030186', NULL, 'Protein AlcS/PatA', 'AlcS/PatA', 4, NULL),
(24947, NULL, 'IPR030459', NULL, 'Glycosyl hydrolases family 31, conserved site', 'Glyco_hydro_31_CS', 2, NULL),
(24948, NULL, 'IPR031165', NULL, 'Yjdj-type Gcn5-related N-acetyltransferase', 'GNAT_YJDJ', 3, NULL),
(24949, NULL, 'IPR031201', NULL, 'Syndecan-2', 'Syndecan-2', 4, NULL),
(24950, NULL, 'IPR031444', NULL, 'PCNA-associated factor, histone-like domain', 'PCNA-AF_dom', 3, NULL),
(24951, NULL, 'IPR030185', NULL, 'Malic acid transport protein', 'Mae1', 4, NULL),
(24952, NULL, 'IPR028003', NULL, 'Keratinocyte differentiation factor 1', 'KDF1', 4, NULL),
(24953, NULL, 'IPR029339', NULL, 'Protein FAM219', 'FAM219', 4, NULL),
(24954, NULL, 'IPR031167', NULL, 'OBG-type guanine nucleotide-binding (G) domain', 'G_OBG', 3, NULL),
(24955, NULL, 'IPR031764', NULL, 'Domain of unknown function DUF4739', 'DUF4739', 3, NULL),
(24956, NULL, 'IPR031748', NULL, 'Protein of unknown function DUF4733', 'DUF4733', 4, NULL),
(24957, NULL, 'IPR031446', NULL, 'Pericentriolar material 1 protein, C-terminal', 'PCM1_C', 3, NULL),
(24958, NULL, 'IPR029453', NULL, 'Rapamycin-insensitive companion of mTOR, domain 4', 'Rictor_IV', 3, NULL),
(24959, NULL, 'IPR032872', NULL, 'Wall-associated receptor kinase, C-terminal', 'WAK_assoc_C', 3, NULL),
(24960, NULL, 'IPR030181', NULL, 'Bactericidal permeability-increasing protein', 'BPI', 4, NULL),
(24961, NULL, 'IPR030871', NULL, 'Cardiolipin synthase C', 'Cardiolipin_synth_ClsC', 4, NULL),
(24962, NULL, 'IPR027138', NULL, 'TNF receptor-associated factor 4', 'TRAF4', 4, NULL),
(24963, NULL, 'IPR027729', NULL, 'Heat shock factor protein 3', 'HSF3', 4, NULL),
(24964, NULL, 'IPR027417', NULL, 'P-loop containing nucleoside triphosphate hydrolase', 'P-loop_NTPase', 5, NULL),
(24965, NULL, 'IPR027529', NULL, 'Adenylosuccinate synthetase isozyme 2, chordates', 'AdSS_2_vert', 4, NULL),
(24966, NULL, 'IPR025559', NULL, 'Enhanced intracellular survival protein domain', 'Eis_dom', 3, NULL),
(24967, NULL, 'IPR027133', NULL, 'TNF receptor-associated factor 2', 'TRAF2', 4, NULL),
(24968, NULL, 'IPR027939', NULL, 'NMT1/THI5 family', 'NMT1/THI5', 4, NULL),
(24969, NULL, 'IPR030371', NULL, 'ATP-binding cassette subfamily A member 12', 'ABCA12', 4, NULL),
(24970, NULL, 'IPR028000', NULL, 'Pma1 stabilization in the Golgi protein 1', 'Pma1', 4, NULL),
(24971, NULL, 'IPR032178', NULL, 'Domain of unknown function DUF5010', 'DUF5010', 3, NULL),
(24972, NULL, 'IPR031203', NULL, 'Signal-induced proliferation-associated 1-like protein 2', 'SIPA1L2', 4, NULL),
(24973, NULL, 'IPR032891', NULL, 'UDP-N-acetyl-D-mannosamine dehydrogenase WecC', 'WecC', 4, NULL),
(24974, NULL, 'IPR029503', NULL, 'Phosphotransferase system EIIB component, mannitol-specific', 'PTS_EIIB_mannitol', 3, NULL),
(24975, NULL, 'IPR031893', NULL, 'Phage tail assembly chaperone protein', 'Phage_tail_APC', 4, NULL),
(24976, NULL, 'IPR032941', NULL, 'Retinaldehyde-binding protein 1', 'RLBP1', 4, NULL),
(24977, NULL, 'IPR032191', NULL, 'CCR4-NOT transcription complex subunit 1, CAF1-binding domain', 'CNOT1_CAF1_bind', 3, NULL),
(24978, NULL, 'IPR030102', NULL, 'Melanoma-associated antigen 10', 'MAGEA10', 4, NULL),
(24979, NULL, 'IPR032193', NULL, 'CCR4-NOT transcription complex subunit 1, TTP binding domain', 'CNOT1_TTP_bind', 3, NULL),
(24980, NULL, 'IPR029985', NULL, 'Protein trichome birefringence-like 25/26', 'TBL25/26', 4, NULL),
(24981, NULL, 'IPR030835', NULL, 'Sulfite dehydrogenase SoxC', 'Sulfite_DH_SoxC', 4, NULL),
(24982, NULL, 'IPR030562', NULL, 'Ectoderm-neural cortex protein 1', 'ENC1', 4, NULL),
(24983, NULL, 'IPR024396', NULL, 'Conjugal transfer protein TrbD, putative', 'Conjug_TrbD_put', 4, NULL),
(24984, NULL, 'IPR030565', NULL, 'Kelch-like protein 25', 'KLHL25', 4, NULL),
(24985, NULL, 'IPR027673', NULL, 'Exostosin-2', 'Exostosin-2', 4, NULL),
(24986, NULL, 'IPR027995', NULL, 'Galactosyltransferase, N-terminal', 'Galactosyl_T_N', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(24987, NULL, 'IPR027718', NULL, 'Transcription factor Skn7', 'TF_Skn7', 4, NULL),
(24988, NULL, 'IPR030370', NULL, 'ATP-binding cassette subfamily A member 9', 'ABCA9', 4, NULL),
(24989, NULL, 'IPR028848', NULL, 'Breast cancer anti-estrogen resistance protein 1', 'BCAR1', 4, NULL),
(24990, NULL, 'IPR031568', NULL, 'Protein Pet117, mitochondrial', 'Pet117', 4, NULL),
(24991, NULL, 'IPR032926', NULL, 'Histone-lysine N-methyltransferase EZH1', 'EZH1', 4, NULL),
(24992, NULL, 'IPR028168', NULL, 'KASH5-like coiled-coil domain', 'KASH5_coiled-coil', 3, NULL),
(24993, NULL, 'IPR032968', NULL, 'Short-chain dehydrogenase/reductase family 9C member 7', 'SDR_9C7', 4, NULL),
(24994, NULL, 'IPR031563', NULL, 'Molybdate transporter 1/2', 'MOT1/MOT2', 4, NULL),
(24995, NULL, 'IPR030585', NULL, 'Kelch-like protein 36', 'KLHL36', 4, NULL),
(24996, NULL, 'IPR030822', NULL, 'MXAN_4361/MXAN_4362 family small protein', 'MXAN_4361/MXAN_4362', 4, NULL),
(24997, NULL, 'IPR029346', NULL, 'Ubiquitin carboxyl-terminal hydrolase, C-terminal', 'USP_C', 3, NULL),
(24998, NULL, 'IPR029774', NULL, 'Centriole, cilia and spindle-associated protein', 'CSAP', 4, NULL),
(24999, NULL, 'IPR029529', NULL, 'Transcription factor IIIB subunit Brf1', 'Brf1', 4, NULL),
(25000, NULL, 'IPR031199', NULL, 'Na(+)/H(+) exchange regulatory cofactor NHERF-1', 'NHERF-1', 4, NULL),
(25001, NULL, 'IPR031803', NULL, 'Bacterioopsin transcriptional activator, GAF and HTH associated domain', 'BAT_GAF/HTH-assoc', 3, NULL),
(25002, NULL, 'IPR028541', NULL, 'Chitinase-3-like protein 2', 'CHI3L2', 4, NULL),
(25003, NULL, 'IPR030923', NULL, 'LPS export ABC transporter permease LptG', 'LptG', 4, NULL),
(25004, NULL, 'IPR024370', NULL, 'PBP domain', 'PBP_domain', 3, NULL),
(25005, NULL, 'IPR031397', NULL, 'Male-specific protein scotti', 'Soti', 4, NULL),
(25006, NULL, 'IPR031982', NULL, 'Type IV pilus non-core minor pilin PilE-like', 'PilE-like', 4, NULL),
(25007, NULL, 'IPR028796', NULL, 'Tetratricopeptide repeat protein 8', 'BBS8', 4, NULL),
(25008, NULL, 'IPR027979', NULL, 'Protein of unknown function DUF4655', 'DUF4655', 4, NULL),
(25009, NULL, 'IPR029744', NULL, 'Spermatogenesis-associated protein 2', 'SPATA2', 4, NULL),
(25010, NULL, 'IPR028856', NULL, 'Cyclin I', 'Cyclin_I', 4, NULL),
(25011, NULL, 'IPR025850', NULL, 'SUKH-3 immunity protein', 'SUKH-3', 4, NULL),
(25012, NULL, 'IPR025828', NULL, 'Putative sensor domain', 'Put_sensor_dom', 3, NULL),
(25013, NULL, 'IPR027953', NULL, 'Domain of unknown function DUF4605', 'DUF4605', 3, NULL),
(25014, NULL, 'IPR032449', NULL, 'Keratin type II cytoskeletal 1, tail', 'Keratin_2_1_tail', 3, NULL),
(25015, NULL, 'IPR027180', NULL, 'Chromatin structure-remodeling complex subunit RSC1/RSC2/RSC4', 'RSC1/2/4', 4, NULL),
(25016, NULL, 'IPR029112', NULL, 'Bacterial toxin 27', 'Ntox27', 3, NULL),
(25017, NULL, 'IPR028610', NULL, 'Arylsulfate sulfotransferase AssT, Enterobacteria', 'AssT_Enterobac', 4, NULL),
(25018, NULL, 'IPR029108', NULL, 'Bacterial toxin 37', 'Ntox37', 3, NULL),
(25019, NULL, 'IPR031396', NULL, 'Multidrug resistance efflux pump SepA', 'SepA', 4, NULL),
(25020, NULL, 'IPR032258', NULL, '17kDa common-antigen outer membrane protein', 'DUF5061', 4, NULL),
(25021, NULL, 'IPR031978', NULL, 'Protein of unknown function DUF4784', 'DUF4784', 4, NULL),
(25022, NULL, 'IPR025831', NULL, 'ATP-dependent DNA helicase RecG, C-terminal domain', 'RecG_C', 3, NULL),
(25023, NULL, 'IPR027508', NULL, '7,8-dihydroneopterin aldolase, MptD', 'DHN_aldolase_MptD', 4, NULL),
(25024, NULL, 'IPR029010', NULL, 'ThuA-like domain', 'ThuA-like', 3, NULL),
(25025, NULL, 'IPR032014', NULL, 'Vibrio phage CTXphi pIII, N-terminal N1 domain', 'CTXphi_pIII-N1', 3, NULL),
(25026, NULL, 'IPR031403', NULL, 'Sbe2/Sbe22', 'Sbe2/Sbe22', 4, NULL),
(25027, NULL, 'IPR029718', NULL, 'WAP four-disulfide core domain protein 12', 'WFDC12', 4, NULL),
(25028, NULL, 'IPR032260', NULL, 'Domain of unknown function DUF5060', 'DUF5060', 3, NULL),
(25029, NULL, 'IPR025716', NULL, 'Post-transcriptional regulator', 'Post-transcriptional_regulator', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25030, NULL, 'IPR027954', NULL, 'Domain of unknown function DUF4430', 'DUF4430', 3, NULL),
(25031, NULL, 'IPR026745', NULL, 'Heterogeneous nuclear ribonucleoprotein U', 'hnRNP_U', 4, NULL),
(25032, NULL, 'IPR029109', NULL, 'Bacterial toxin 35', 'Ntox35', 3, NULL),
(25033, NULL, 'IPR031556', NULL, 'Sir4, SID domain', 'SIR4_SID', 3, NULL),
(25034, NULL, 'IPR025845', NULL, 'Thg1 C-terminal domain', 'Thg1_C_dom', 3, NULL),
(25035, NULL, 'IPR030792', NULL, 'Tubulin polymerisation-promoting protein family member 1', 'TPPP1', 4, NULL),
(25036, NULL, 'IPR032589', NULL, 'Domain of unknown function DUF4910', 'DUF4910', 3, NULL),
(25037, NULL, 'IPR032595', NULL, 'Protein of unknown function DUF4905', 'DUF4905', 4, NULL),
(25038, NULL, 'IPR027027', NULL, 'GOSR2/Membrin/Bos1', 'GOSR2/Membrin/Bos1', 4, NULL),
(25039, NULL, 'IPR031385', NULL, 'Small capsid protein, Herpesviridae', 'HV_small_capsid', 4, NULL),
(25040, NULL, 'IPR031415', NULL, 'Required for respiratory growth protein 8, mitochondrial', 'Rrg8', 4, NULL),
(25041, NULL, 'IPR030756', NULL, 'Monocarboxylate transporter 4', 'MCT4', 4, NULL),
(25042, NULL, 'IPR034270', NULL, 'Ephrin type-A receptor 4, ligand binding domain', 'EphA4_rcpt_lig-bd', 3, NULL),
(25043, NULL, 'IPR031550', NULL, 'Rad61, Wapl domain', 'Rad61_Wapl', 3, NULL),
(25044, NULL, 'IPR031543', NULL, 'Protein of unknown function DUF5087', 'DUF5087', 4, NULL),
(25045, NULL, 'IPR026749', NULL, 'Transmembrane protein 135', 'Tmem135', 4, NULL),
(25046, NULL, 'IPR031638', NULL, 'Melanoregulin', 'Melanoregulin', 4, NULL),
(25047, NULL, 'IPR025840', NULL, '7 transmembrane helices usually fused to an inactive transglutaminase', '7TM_transglut', 3, NULL),
(25048, NULL, 'IPR031560', NULL, 'Heavy-metal resistance protein CzcE', 'CzcE', 4, NULL),
(25049, NULL, 'IPR024391', NULL, 'LDB19, N-terminal', 'LDB19_N', 3, NULL),
(25050, NULL, 'IPR025770', NULL, 'Protein-S-isoprenylcysteine O-methyltransferase', 'PPMT_MeTrfase', 4, NULL),
(25051, NULL, 'IPR032135', NULL, 'Helix-turn-helix domain (DUF4817)', 'DUF4817', 3, NULL),
(25052, NULL, 'IPR026018', NULL, 'Ribosomal protein S7, archaeal', 'Ribosomal_S7_arc', 4, NULL),
(25053, NULL, 'IPR025830', NULL, 'DNA-binding domain, ovate family-like', 'DNA_bnd_dom_ovate', 3, NULL),
(25054, NULL, 'IPR029113', NULL, 'Bacterial toxin 25', 'Ntox25', 3, NULL),
(25055, NULL, 'IPR028043', NULL, 'ATPase PAAT-like', 'PAAT-like', 4, NULL),
(25056, NULL, 'IPR027365', NULL, 'GNAT acetyltransferase YdfB-like', 'GNAT_acetyltra_YdfB-like', 4, NULL),
(25057, NULL, 'IPR029726', NULL, 'WAP four-disulfide core domain protein 3', 'Wfdc3', 4, NULL),
(25058, NULL, 'IPR024578', NULL, 'Homez, homeobox domain', 'Homez_homeobox_dom', 3, NULL),
(25059, NULL, 'IPR025550', NULL, 'YycC-like protein', 'YycC', 4, NULL),
(25060, NULL, 'IPR030397', NULL, 'SEPARIN core domain', 'SEPARIN_core_dom', 3, NULL),
(25061, NULL, 'IPR025824', NULL, 'OB-fold nucleic acid binding domain', 'OB-fold_nuc-bd_dom', 3, NULL),
(25062, NULL, 'IPR028562', NULL, 'Transcription factor MafA', 'MafA', 4, NULL),
(25063, NULL, 'IPR025526', NULL, 'DsrC-like domain superfamily', 'DsrC-like_dom_sf', 5, NULL),
(25064, NULL, 'IPR027886', NULL, 'Protein of unknown function DUF4555', 'DUF4555', 4, NULL),
(25065, NULL, 'IPR026753', NULL, 'Nuclear apoptosis-inducing factor 1', 'NAIF1', 4, NULL),
(25066, NULL, 'IPR026704', NULL, 'Katanin-interacting protein', 'KATNIP', 4, NULL),
(25067, NULL, 'IPR034087', NULL, 'Cell wall/vacuolar inhibitor of fructosidase', 'C/VIF1', 4, NULL),
(25068, NULL, 'IPR026777', NULL, 'Plasma membrane fusion protein PRM1', 'PRM1', 4, NULL),
(25069, NULL, 'IPR030718', NULL, 'Protocadherin-15', 'Protocadherin-15', 4, NULL),
(25070, NULL, 'IPR027480', NULL, 'HIV-1 Nef protein, anchor domain superfamily', 'HIV-1_Nef_anchor_sf', 5, NULL),
(25071, NULL, 'IPR030415', NULL, 'Cytosolic arginine sensor for mTORC1 subunit 1', 'CASTOR1', 4, NULL),
(25072, NULL, 'IPR032454', NULL, 'Histone H2A, C-terminal domain', 'Histone_H2A_C', 3, NULL),
(25073, NULL, 'IPR027018', NULL, 'Hemolysin E', 'Hemolysin_E', 4, NULL),
(25074, NULL, 'IPR026762', NULL, 'Spindle and kinetochore-associated protein 2', 'Ska2', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25075, NULL, 'IPR031381', NULL, 'YtcA family', 'YtcA', 4, NULL),
(25076, NULL, 'IPR031567', NULL, 'Sin1, middle CRIM domain', 'CRIM_dom', 3, NULL),
(25077, NULL, 'IPR025783', NULL, 'Histone-lysine N-methyltransferase Set9, fungi', 'Set9_fungi', 4, NULL),
(25078, NULL, 'IPR030416', NULL, 'Tetratricopeptide repeat protein 39A', 'TTC39A', 4, NULL),
(25079, NULL, 'IPR024785', NULL, 'Transducer of regulated CREB activity, C-terminal', 'TORC_C', 3, NULL),
(25080, NULL, 'IPR032197', NULL, 'Ubiquitin-like modifier-activating enzyme Atg7, N-terminal', 'Atg7_N', 3, NULL),
(25081, NULL, 'IPR029121', NULL, 'Novel toxin 11', 'Ntox11', 3, NULL),
(25082, NULL, 'IPR027516', NULL, 'Eukaryotic translation initiation factor 3 subunit C', 'EIF3C', 4, NULL),
(25083, NULL, 'IPR025855', NULL, 'Plasmid replication-relaxation', 'Replic_Relax', 4, NULL),
(25084, NULL, 'IPR025664', NULL, 'Stage III sporulation protein AC/AD family', 'Spore_III_AC/AD', 4, NULL),
(25085, NULL, 'IPR026768', NULL, 'Protein FAM72', 'FAM72', 4, NULL),
(25086, NULL, 'IPR025501', NULL, 'ATP binding protein MinD/FleN', 'MinD_FleN', 4, NULL),
(25087, NULL, 'IPR027877', NULL, 'Small integral membrane protein 15', 'Smim15', 4, NULL),
(25088, NULL, 'IPR032012', NULL, 'Stomatal closure-related actin-binding protein, actin-binding domain', 'SCAB-ABD', 3, NULL),
(25089, NULL, 'IPR029115', NULL, 'Bacterial toxin 23', 'Ntox23', 3, NULL),
(25090, NULL, 'IPR025839', NULL, 'RimK-like ATPgrasp N-terminal domain', 'RLAN_dom', 3, NULL),
(25091, NULL, 'IPR030728', NULL, 'Protocadherin gamma-C3', 'PCDHGC3', 4, NULL),
(25092, NULL, 'IPR025549', NULL, 'YjzC-like protein', 'YjzC', 4, NULL),
(25093, NULL, 'IPR025551', NULL, 'Immunity protein WapI-like', 'WapI-like', 4, NULL),
(25094, NULL, 'IPR031546', NULL, 'Putative actin-like family', 'Actin_micro', 4, NULL),
(25095, NULL, 'IPR028240', NULL, 'Fibroblast growth factor 5', 'FGF5', 4, NULL),
(25096, NULL, 'IPR032593', NULL, 'Protein of unknown function DUF4907', 'DUF4907', 4, NULL),
(25097, NULL, 'IPR027356', NULL, 'NPH3 domain', 'NPH3_dom', 3, NULL),
(25098, NULL, 'IPR031449', NULL, 'Annexin-2 receptor', 'ANXA2R', 4, NULL),
(25099, NULL, 'IPR031976', NULL, 'Rhomboid protease, N-terminal', 'NRho', 3, NULL),
(25100, NULL, 'IPR026702', NULL, 'Coiled-coil domain-containing protein 83', 'CCDC83', 4, NULL),
(25101, NULL, 'IPR025502', NULL, 'TldD', 'TldD', 4, NULL),
(25102, NULL, 'IPR026697', NULL, 'Dynein axonemal assembly factor 6', 'DNAAF6', 4, NULL),
(25103, NULL, 'IPR029710', NULL, 'DNA ligase 4', 'LIG4', 4, NULL),
(25104, NULL, 'IPR031402', NULL, 'Protein LYRIC', 'LYRIC', 4, NULL),
(25105, NULL, 'IPR027008', NULL, 'Teashirt family', 'Teashirt_fam', 4, NULL),
(25106, NULL, 'IPR027352', NULL, 'Nonstructural protein 13, zinc-binding domain, coronavirus-like', 'NSP13_ZBD_CoV-like', 3, NULL),
(25107, NULL, 'IPR027963', NULL, 'Meiosis-specific coiled-coil domain-containing protein MEIOC', 'MEIOC', 4, NULL),
(25108, NULL, 'IPR027454', NULL, 'Histone-like protein H-NS, N-terminal', 'Histone_HNS_N', 5, NULL),
(25109, NULL, 'IPR028572', NULL, 'Adiponectin', 'Adiponectin', 4, NULL),
(25110, NULL, 'IPR028979', NULL, 'HPr(Ser) kinase/phosphorylase-like, N-terminal domain superfamily', 'Ser_kin/Pase_Hpr-like_N_sf', 5, NULL),
(25111, NULL, 'IPR029133', NULL, 'Overexpressed in colon carcinoma 1', 'OCC1', 4, NULL),
(25112, NULL, 'IPR026759', NULL, 'Putative monooxygenase p33MONOX', 'P33MONOX', 4, NULL),
(25113, NULL, 'IPR031554', NULL, 'Fibrous sheath-interacting protein 2, C-terminal', 'FSIP2_C', 3, NULL),
(25114, NULL, 'IPR029130', NULL, 'Acid ceramidase, N-terminal', 'Acid_ceramidase_N', 3, NULL),
(25115, NULL, 'IPR032291', NULL, 'Extracellular endo-alpha-(1->5)-L-arabinanase, C-terminal', 'Abn2_C', 3, NULL),
(25116, NULL, 'IPR032300', NULL, 'Cell surface antigen, C-terminal', 'Antigen_C', 3, NULL),
(25117, NULL, 'IPR027885', NULL, 'Uncharacterised protein family UPF0728', 'UPF0728', 4, NULL),
(25118, NULL, 'IPR025834', NULL, 'Topoisomerase I C-terminal domain', 'TopoI_C_dom', 3, NULL),
(25119, NULL, 'IPR027971', NULL, 'Elongin BC and Polycomb repressive complex 2-associated protein EPOP', 'EPOP', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25120, NULL, 'IPR027465', NULL, 'Proteinase inhibitor I35b (TIMP), C-terminal', 'TIMP_C', 5, NULL),
(25121, NULL, 'IPR024781', NULL, 'Merozoite surface protein, C-terminal', 'MSP_C', 3, NULL),
(25122, NULL, 'IPR025836', NULL, 'Zinc knuckle CX2CX4HX4C', 'Zn_knuckle_CX2CX4HX4C', 3, NULL),
(25123, NULL, 'IPR030634', NULL, 'Synemin', 'SYNM', 4, NULL),
(25124, NULL, 'IPR027354', NULL, 'YcgL domain', 'YcgL_dom', 3, NULL),
(25125, NULL, 'IPR031370', NULL, 'Altered inheritance of mitochondria protein 3', 'Aim3', 4, NULL),
(25126, NULL, 'IPR030752', NULL, 'Zinc finger protein 263', 'ZNF263', 4, NULL),
(25127, NULL, 'IPR025576', NULL, 'YwiC-like protein', 'YwiC', 4, NULL),
(25128, NULL, 'IPR028801', NULL, 'Two pore channel protein 1', 'TPC1_animal', 4, NULL),
(25129, NULL, 'IPR029110', NULL, 'Bacterial toxin 33', 'Ntox33', 3, NULL),
(25130, NULL, 'IPR031979', NULL, 'Protein of unknown function DUF4785', 'DUF4785', 4, NULL),
(25131, NULL, 'IPR031793', NULL, 'Integrin-alpha FG-GAP repeat-containing protein 2', 'KICSTOR_ITFG2', 4, NULL),
(25132, NULL, 'IPR032080', NULL, 'Protein of unknown function DUF4809', 'DUF4809', 4, NULL),
(25133, NULL, 'IPR028839', NULL, 'Fibrocystin', 'PKHD1', 4, NULL),
(25134, NULL, 'IPR025669', NULL, 'AAA domain', 'AAA_dom', 3, NULL),
(25135, NULL, 'IPR024786', NULL, 'CREB-regulated transcription coactivator', 'TORC', 4, NULL),
(25136, NULL, 'IPR029030', NULL, 'Caspase-like domain superfamily', 'Caspase-like_dom_sf', 5, NULL),
(25137, NULL, 'IPR031401', NULL, 'She1', 'She1', 4, NULL),
(25138, NULL, 'IPR028400', NULL, '1-phosphatidylinositol 4,5-bisphosphate phosphodiesterase beta-1', 'PLC-beta1', 4, NULL),
(25139, NULL, 'IPR024775', NULL, 'DinB-like domain', 'DinB-like', 3, NULL),
(25140, NULL, 'IPR029126', NULL, 'Restriction endonuclease BpuSI, N-terminal domain', 'BpuSI_N', 3, NULL),
(25141, NULL, 'IPR031409', NULL, 'Darcynin', 'Darcynin', 4, NULL),
(25142, NULL, 'IPR029036', NULL, 'Pyrroline-5-carboxylate reductase, dimerisation domain', 'P5CR_dimer', 3, NULL),
(25143, NULL, 'IPR028841', NULL, 'Pyrin', 'Pyrin', 4, NULL),
(25144, NULL, 'IPR029118', NULL, 'Novel toxin 16', 'Ntox16', 3, NULL),
(25145, NULL, 'IPR024772', NULL, 'TcdA/TcdB toxin, N-terminal helical domain', 'TcdA/TcdB_N', 3, NULL),
(25146, NULL, 'IPR025942', NULL, 'Stage VI sporulation protein F', 'SpoVIF', 4, NULL),
(25147, NULL, 'IPR025957', NULL, 'Cysteine-rich KTR', 'Cys_rich_KTR', 4, NULL),
(25148, NULL, 'IPR031557', NULL, 'N-CoR, GPS2-interacting domain', 'N-CoR_GPS2_interact', 3, NULL),
(25149, NULL, 'IPR029106', NULL, 'Bacterial toxin 43', 'Ntox43', 3, NULL),
(25150, NULL, 'IPR029154', NULL, '3-hydroxyisobutyrate dehydrogenase, NAD-binding domain', 'NADP-bd', 3, NULL),
(25151, NULL, 'IPR029746', NULL, 'Protein tamozhennic', 'Tamozhennic', 4, NULL),
(25152, NULL, 'IPR025959', NULL, 'Winged helix-turn helix domain', 'Winged_HTH_dom', 3, NULL),
(25153, NULL, 'IPR026700', NULL, 'Coiled-coil domain-containing protein 142', 'CCDC142', 4, NULL),
(25154, NULL, 'IPR027899', NULL, 'Domain of unknown function DUF4458', 'DUF4458', 3, NULL),
(25155, NULL, 'IPR025968', NULL, 'YwqJ-like deaminase', 'YwqJ_deaminase', 4, NULL),
(25156, NULL, 'IPR028499', NULL, 'Thrombospondin-1', 'Thrombospondin-1', 4, NULL),
(25157, NULL, 'IPR025854', NULL, 'Bd3614-like deaminase, N-terminal', 'NH3ase_Bd3614-like_N_dom', 3, NULL),
(25158, NULL, 'IPR026698', NULL, 'Uncharacterised protein C3orf38 (DUF4518)', 'UPF_C3orf38', 4, NULL),
(25159, NULL, 'IPR029989', NULL, 'Trichome birefringence/trichome birefringence-like 4', 'TBR/TBL4', 4, NULL),
(25160, NULL, 'IPR032264', NULL, 'Menaquinone biosynthesis protein MenD, middle domain', 'MenD_middle', 3, NULL),
(25161, NULL, 'IPR027962', NULL, 'Glutamate-rich protein 3', 'ERICH3', 4, NULL),
(25162, NULL, 'IPR035948', NULL, 'YwqG-like superfamily', 'YwqG-like_sf', 5, NULL),
(25163, NULL, 'IPR026750', NULL, 'Protein N-terminal asparagine amidohydrolase', 'NTAN1', 4, NULL),
(25164, NULL, 'IPR031984', NULL, 'Solute carrier family 3 member 2, N-terminal domain', 'SLC3A2_N', 3, NULL),
(25165, NULL, 'IPR025847', NULL, 'MEDS domain', 'MEDS_domain', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25166, NULL, 'IPR027373', NULL, 'Ribbon-helix-helix domain', 'RHH_dom', 3, NULL),
(25167, NULL, 'IPR031436', NULL, 'Transmembrane protein TMEM132, C-terminal', 'TMEM132_C', 3, NULL),
(25168, NULL, 'IPR027956', NULL, 'Protein of unknown function DUF4556', 'DUF4556', 4, NULL),
(25169, NULL, 'IPR027969', NULL, 'Small membrane A-kinase anchor protein', 'Small_membr_AKAP', 4, NULL),
(25170, NULL, 'IPR025666', NULL, 'Pyrrolo-quinoline quinone-like domain', 'PQQ-like_dom', 3, NULL),
(25171, NULL, 'IPR030358', NULL, 'K/Cl co-transporter 2', 'KCC2', 4, NULL),
(25172, NULL, 'IPR030518', NULL, 'Glucose N-acetyltransferase 1', 'GNT1', 4, NULL),
(25173, NULL, 'IPR032098', NULL, 'Acyltransferase, C-terminal domain', 'Acyltransf_C', 3, NULL),
(25174, NULL, 'IPR032072', NULL, 'Protein of unknown function DUF4807', 'DUF4807', 4, NULL),
(25175, NULL, 'IPR032524', NULL, 'ABC transporter Uup, C-terminal', 'ABC_tran_C', 3, NULL),
(25176, NULL, 'IPR030632', NULL, 'Rho guanine nucleotide exchange factor 10', 'ARHGEF10', 4, NULL),
(25177, NULL, 'IPR024784', NULL, 'Transducer of regulated CREB activity, middle domain', 'TORC_M', 3, NULL),
(25178, NULL, 'IPR032071', NULL, 'Domain of unknown function DUF4806', 'DUF4806', 3, NULL),
(25179, NULL, 'IPR025671', NULL, 'Protein of unknown function with HXXEE motif', 'HXXEE', 4, NULL),
(25180, NULL, 'IPR028829', NULL, 'Exo-beta-D-glucosaminidase', 'Exo-b-D-glucosamin', 4, NULL),
(25181, NULL, 'IPR032292', NULL, 'Cytoplasmic polyadenylation element-binding protein 1, N-terminal', 'CEBP1_N', 3, NULL),
(25182, NULL, 'IPR025852', NULL, 'Ataxin 2, SM domain', 'SM_dom_ATX', 3, NULL),
(25183, NULL, 'IPR027970', NULL, 'Domain of unknown function DUF4599', 'DUF4599', 3, NULL),
(25184, NULL, 'IPR027452', NULL, 'Hypoxia-inducible factor 1-alpha inhibitor, domain II', 'FIH-1_dom_II', 5, NULL),
(25185, NULL, 'IPR026775', NULL, 'Zygote arrest protein 1', 'Zar1', 4, NULL),
(25186, NULL, 'IPR027966', NULL, 'FANCD2 opposite strand protein', 'FANCD2OS', 4, NULL),
(25187, NULL, 'IPR031896', NULL, 'INPP5B, PH domain', 'INPP5B_PH_dom', 3, NULL),
(25188, NULL, 'IPR030633', NULL, 'Dihydropyrimidinase', 'Dihydropyrimidinase', 4, NULL),
(25189, NULL, 'IPR026706', NULL, 'Shugoshin 2', 'SGO2', 4, NULL),
(25190, NULL, 'IPR029146', NULL, 'CST complex subunit Ten1, animal and plant type', 'Ten1_animal_plant', 4, NULL),
(25191, NULL, 'IPR027036', NULL, 'Leucine-rich repeat protein SHOC2', 'SHOC2', 4, NULL),
(25192, NULL, 'IPR027360', NULL, 'AbrB-like transcriptional regulator', 'AbrB-like', 4, NULL),
(25193, NULL, 'IPR025623', NULL, 'YusW-like protein', 'YusW', 4, NULL),
(25194, NULL, 'IPR027375', NULL, 'DKNYY family', 'DKNYY', 4, NULL),
(25195, NULL, 'IPR025553', NULL, 'YppF-like protein', 'YppF', 4, NULL),
(25196, NULL, 'IPR028975', NULL, 'Diol dehydratase-reactivating factor,  alpha subunit, swiveling domain superfamily', 'DDRA_swiveling_dom_sf', 5, NULL),
(25197, NULL, 'IPR028830', NULL, 'DNA mismatch repair protein Mlh3', 'Mlh3', 4, NULL),
(25198, NULL, 'IPR029143', NULL, 'Protein of unknown function, YrpD', 'YrpD', 4, NULL),
(25199, NULL, 'IPR027377', NULL, 'Zinc-binding domain', 'Znf-3CxxC', 3, NULL),
(25200, NULL, 'IPR024956', NULL, 'tRNAHis guanylyltransferase catalytic domain', 'tRNAHis_GuaTrfase_cat', 3, NULL),
(25201, NULL, 'IPR025837', NULL, 'CFTR regulator domain', 'CFTR_reg_dom', 3, NULL),
(25202, NULL, 'IPR029140', NULL, 'Fimbrial subunit protein, C-terminal', 'FimA_C', 3, NULL),
(25203, NULL, 'IPR031545', NULL, 'Putative TPR-like repeat', 'SRP_TPR-like', 7, NULL),
(25204, NULL, 'IPR031898', NULL, 'Lytic exoenzyme, target recognition domain', 'ZoocinA_TRD', 3, NULL),
(25205, NULL, 'IPR031395', NULL, 'Protein Sop4', 'Sop4', 4, NULL),
(25206, NULL, 'IPR031404', NULL, 'Regulator of rDNA transcription 14', 'Rrt14', 4, NULL),
(25207, NULL, 'IPR024778', NULL, 'Putative cellulase', 'Put_cellulase', 4, NULL),
(25208, NULL, 'IPR031435', NULL, 'Transmembrane protein TMEM132, N-terminal', 'TMEM132_N', 3, NULL),
(25209, NULL, 'IPR030533', NULL, 'C2 calcium-dependent domain-containing protein 4C', 'C2CD4', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25210, NULL, 'IPR026766', NULL, 'Protein FAM133', 'Fam133', 4, NULL),
(25211, NULL, 'IPR030754', NULL, 'Zinc finger protein 551', 'ZNF551', 4, NULL),
(25212, NULL, 'IPR031447', NULL, 'Protein moonraker', 'MNR', 4, NULL),
(25213, NULL, 'IPR025624', NULL, 'PcfK-like protein', 'PcfK', 4, NULL),
(25214, NULL, 'IPR025483', NULL, 'Lipase, eukaryotic', 'Lipase_euk', 4, NULL),
(25215, NULL, 'IPR032086', NULL, 'Protein of unknown function DUF4813', 'DUF4813', 4, NULL),
(25216, NULL, 'IPR025622', NULL, 'YqzE-like protein', 'YqzE', 4, NULL),
(25217, NULL, 'IPR025843', NULL, 'Ribosomally synthesized peptide in Actinomycetes', 'Actino_peptide', 4, NULL),
(25218, NULL, 'IPR032591', NULL, 'Protein of unknown function DUF4908', 'DUF4908', 4, NULL),
(25219, NULL, 'IPR024623', NULL, 'Uncharacterised protein family YtxH', 'YtxH', 4, NULL),
(25220, NULL, 'IPR031729', NULL, 'Fanconi anaemia group A protein, N-terminal domain', 'Fanconi_A_N', 3, NULL),
(25221, NULL, 'IPR027960', NULL, 'Protein of unknown function DUF4519', 'DUF4519', 4, NULL),
(25222, NULL, 'IPR031734', NULL, 'Transcription activator MBF2', 'MBF2', 4, NULL),
(25223, NULL, 'IPR031801', NULL, 'Virilizer, N-terminal', 'VIR_N', 3, NULL),
(25224, NULL, 'IPR027891', NULL, 'Protein of unknown function DUF4645', 'DUF4645', 4, NULL),
(25225, NULL, 'IPR031413', NULL, 'Outer capsid protein VP7', 'Capsid_VP7', 4, NULL),
(25226, NULL, 'IPR029003', NULL, 'CENP-S/Mhf1', 'CENP-S/Mhf1', 4, NULL),
(25227, NULL, 'IPR025960', NULL, 'Reverse transcriptase, N-terminal domain', 'RVT_N', 3, NULL),
(25228, NULL, 'IPR025966', NULL, 'Oligopeptide transport permease C-like, N-terminal domain', 'OppC_N', 3, NULL),
(25229, NULL, 'IPR028823', NULL, 'Sodium leak channel non-selective protein', 'NALCN', 4, NULL),
(25230, NULL, 'IPR031382', NULL, 'Uncharacterised protein YjbT', 'YjbT', 4, NULL),
(25231, NULL, 'IPR032296', NULL, 'Cytoplasmic polyadenylation element-binding protein, ZZ domain', 'CEBP_ZZ', 3, NULL),
(25232, NULL, 'IPR024420', NULL, 'TRAPP III complex, Trs85', 'TRAPP_III_complex_Trs85', 4, NULL),
(25233, NULL, 'IPR028564', NULL, 'tRNA methyltransferase TRM10-type domain', 'MT_TRM10-typ', 3, NULL),
(25234, NULL, 'IPR025572', NULL, 'YgaB-like protein', 'YgaB', 4, NULL),
(25235, NULL, 'IPR027883', NULL, 'Protein of unknown function DUF4552', 'DUF4552', 4, NULL),
(25236, NULL, 'IPR024770', NULL, 'TcdA/TcdB toxin, catalytic glycosyltransferase domain', 'TcdA/TcdB_cat', 3, NULL),
(25237, NULL, 'IPR026767', NULL, 'Transmembrane protein 151', 'Tmem151', 4, NULL),
(25238, NULL, 'IPR027029', NULL, 'Intersectin-2', 'Intersectin-2', 4, NULL),
(25239, NULL, 'IPR029124', NULL, 'RNA-directed RNA polymerase L, N-terminal', 'L_protein_N', 3, NULL),
(25240, NULL, 'IPR032096', NULL, 'Domain of unknown function DUF4815', 'DUF4815', 3, NULL),
(25241, NULL, 'IPR028507', NULL, 'Thrombospondin-3', 'Thrombospondin-3', 4, NULL),
(25242, NULL, 'IPR026779', NULL, 'Calcium/calmodulin-dependent protein kinase II inhibitor', 'Camk2n', 4, NULL),
(25243, NULL, 'IPR031559', NULL, 'Serine/threonine-protein kinase SMG1', 'SMG1', 4, NULL),
(25244, NULL, 'IPR027012', NULL, 'Enkurin domain', 'Enkurin_dom', 3, NULL),
(25245, NULL, 'IPR027063', NULL, 'Carboxypeptidase N catalytic chain', 'CPN1', 4, NULL),
(25246, NULL, 'IPR028976', NULL, 'CheC-like superfamily', 'CheC-like_sf', 5, NULL),
(25247, NULL, 'IPR025759', NULL, 'tRNA guanosine-2''-O-methyltransferase, Trm3', 'Trm3', 4, NULL),
(25248, NULL, 'IPR025842', NULL, 'Ribosomally synthesized peptide in Bacteroidetes', 'Bacteroid_pep', 4, NULL),
(25249, NULL, 'IPR030786', NULL, 'Protein sprouty homologue 3', 'SPRY3', 4, NULL),
(25250, NULL, 'IPR024583', NULL, 'Voltage-gated Na+ ion channel, cytoplasmic domain', 'Na_trans_cytopl', 3, NULL),
(25251, NULL, 'IPR029134', NULL, 'Protein of unknown function DUF4647', 'DUF4647', 4, NULL),
(25252, NULL, 'IPR029033', NULL, 'Histidine phosphatase superfamily', 'His_PPase_superfam', 5, NULL),
(25253, NULL, 'IPR030725', NULL, 'Protocadherin gamma-A2/A3', 'PCDHGA2/A3', 4, NULL),
(25254, NULL, 'IPR026763', NULL, 'Transmembrane protein 182', 'TMEM182', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25255, NULL, 'IPR025849', NULL, 'AF2226-like SPOUT RNA methylase fused to THUMP', 'SPOUT_MTase_fused_to_THUMP', 4, NULL),
(25256, NULL, 'IPR025555', NULL, 'YppG-like protein', 'YppG', 4, NULL),
(25257, NULL, 'IPR031900', NULL, 'Lactococcus phage single-stranded DNA binding protein', 'Phage_SSB', 4, NULL),
(25258, NULL, 'IPR030540', NULL, 'Synaptotagmin-8', 'SYT8', 4, NULL),
(25259, NULL, 'IPR031398', NULL, 'SWI5-dependent HO expression protein 3', 'She3', 4, NULL),
(25260, NULL, 'IPR032009', NULL, 'Stomatal closure-related actin-binding protein, coiled-coil domain', 'SCAB_CC', 3, NULL),
(25261, NULL, 'IPR027900', NULL, 'Vexin domain', 'Vexin_dom', 3, NULL),
(25262, NULL, 'IPR027965', NULL, 'Protein of unknown function DUF4513', 'DUF4513', 4, NULL),
(25263, NULL, 'IPR026755', NULL, 'Protein FAM221A/B', 'Fam221a/b', 4, NULL),
(25264, NULL, 'IPR025542', NULL, 'YacH protein', 'YacH', 4, NULL),
(25265, NULL, 'IPR027350', NULL, 'Glycosyltransferase family 23 (GT23) domain', 'GT23_dom', 3, NULL),
(25266, NULL, 'IPR029745', NULL, 'Spermatogenesis-associated protein 2-like protein', 'SPATA2L', 4, NULL),
(25267, NULL, 'IPR027968', NULL, 'Jhy protein', 'JHY', 4, NULL),
(25268, NULL, 'IPR028044', NULL, 'Domain of unknown function DUF4444', 'DUF4444', 3, NULL),
(25269, NULL, 'IPR029135', NULL, 'Protein phosphatase 1 regulatory subunit 35, C-terminal', 'PPP1R35_C', 3, NULL),
(25270, NULL, 'IPR026703', NULL, 'Glutamate-rich protein 2', 'ERICH2', 4, NULL),
(25271, NULL, 'IPR030783', NULL, 'Protein sprouty homologue 1', 'SPRY1', 4, NULL),
(25272, NULL, 'IPR024789', NULL, 'Anaphase-promoting complex subunit 4', 'APC4', 4, NULL),
(25273, NULL, 'IPR025673', NULL, 'Protein of unknown function with PCYCGC motif', 'PCYCGC', 4, NULL),
(25274, NULL, 'IPR030008', NULL, 'Scarecrow-like protein 3', 'Scarecrow-like_3', 4, NULL),
(25275, NULL, 'IPR031895', NULL, 'RHH transcriptional regulator CopG', 'RHH_CopG', 4, NULL),
(25276, NULL, 'IPR031375', NULL, 'Penicillin-binding protein, N-terminal', 'PBP_N', 3, NULL),
(25277, NULL, 'IPR026769', NULL, 'MICOS complex subunit Mic13', 'Mic13', 4, NULL),
(25278, NULL, 'IPR025844', NULL, 'Ribosomally synthesized peptide in Herpetosiphon', 'Herpeto_peptide', 4, NULL),
(25279, NULL, 'IPR031412', NULL, 'Torovirinae spike protein', 'S_torovirinae', 4, NULL),
(25280, NULL, 'IPR030790', NULL, 'Protein sprouty homologue 4', 'SPRY4', 4, NULL),
(25281, NULL, 'IPR024550', NULL, 'TFIIEalpha/SarR/Rpc3 HTH domain', 'TFIIEa/SarR/Rpc3_HTH_dom', 3, NULL),
(25282, NULL, 'IPR032198', NULL, 'E2F transcription factor, CC-MB domain', 'E2F_CC-MB', 3, NULL),
(25283, NULL, 'IPR029116', NULL, 'Bacterial toxin 22', 'Ntox22', 3, NULL),
(25284, NULL, 'IPR026771', NULL, 'Transmembrane protein 218', 'Tmem218', 4, NULL),
(25285, NULL, 'IPR027980', NULL, 'RACo, C-terminal', 'RACo_C', 3, NULL),
(25286, NULL, 'IPR031374', NULL, 'Uncharacterised protein family UPF0715', 'UPF0715', 4, NULL),
(25287, NULL, 'IPR029107', NULL, 'Bacterial toxin 3', 'Ntox3', 3, NULL),
(25288, NULL, 'IPR029129', NULL, 'Chromatin assembly factor 1 subunit B, C-terminal domain', 'CAF1_p60_C', 3, NULL),
(25289, NULL, 'IPR028894', NULL, 'Reductive dehalogenase domain', 'RDH_dom', 3, NULL),
(25290, NULL, 'IPR029132', NULL, 'Choloylglycine hydrolase/NAAA C-terminal', 'CBAH/NAAA_C', 3, NULL),
(25291, NULL, 'IPR027028', NULL, 'Zinc finger homeobox protein 2', 'ZFHX2', 4, NULL),
(25292, NULL, 'IPR029012', NULL, 'Helix hairpin bin domain superfamily', 'Helix_hairpin_bin_sf', 5, NULL),
(25293, NULL, 'IPR032084', NULL, 'Domain of unknown function DUF4812', 'DUF4812', 3, NULL),
(25294, NULL, 'IPR029125', NULL, 'TBP-interacting protein, N-terminal', 'TIP_N', 3, NULL),
(25295, NULL, 'IPR031975', NULL, 'Type IV pilin-like putative secretion pathway protein G/H', 'Pilin_GH', 4, NULL),
(25296, NULL, 'IPR025627', NULL, 'YfzA-like protein', 'YfzA', 4, NULL),
(25297, NULL, 'IPR029035', NULL, 'DHS-like NAD/FAD-binding domain superfamily', 'DHS-like_NAD/FAD-binding_dom', 5, NULL),
(25298, NULL, 'IPR035953', NULL, 'Dextranase, N-terminal', 'Dextranase_N-ter', 5, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25299, NULL, 'IPR029122', NULL, 'Novel toxin 10', 'Ntox10', 3, NULL),
(25300, NULL, 'IPR028045', NULL, 'Homologous recombination OB-fold protein', 'HROB', 4, NULL),
(25301, NULL, 'IPR032083', NULL, 'Protein of unknown function DUF4811', 'DUF4811', 4, NULL),
(25302, NULL, 'IPR028836', NULL, 'Putative transmembrane ascorbate-dependent reductase CYB561 homologue', 'Cyt_b561-like', 4, NULL),
(25303, NULL, 'IPR032104', NULL, 'Spaetzle', 'Spaetzle', 3, NULL),
(25304, NULL, 'IPR024958', NULL, 'GRASP-type PDZ domain', 'GRASP_PDZ', 3, NULL),
(25305, NULL, 'IPR032255', NULL, 'Helical bimodular sensor domain', 'HBM', 3, NULL),
(25306, NULL, 'IPR029120', NULL, 'Novel toxin 14', 'Ntox14', 3, NULL),
(25307, NULL, 'IPR030777', NULL, 'PSTPIP1, SH3 domain', 'PSTPIP1_SH3', 3, NULL),
(25308, NULL, 'IPR027878', NULL, 'Protein of unknown function DUF4551', 'DUF4551', 4, NULL),
(25309, NULL, 'IPR032588', NULL, 'Putative GDSL-like Lipase/Acylhydrolase', 'Lipase_GDSL_lke', 4, NULL),
(25310, NULL, 'IPR032592', NULL, 'Non-structural protein NSP3, nucleic acid-binding domain, betacoronavirus', 'NSP3_NAB_bCoV', 3, NULL),
(25311, NULL, 'IPR025543', NULL, 'Dodecin-like', 'Dodecin-like', 5, NULL),
(25312, NULL, 'IPR027959', NULL, 'Domain of unknown function DUF4627', 'DUF4627', 3, NULL),
(25313, NULL, 'IPR026747', NULL, 'Nucleolar protein 4', 'NOL4', 4, NULL),
(25314, NULL, 'IPR030635', NULL, 'FYN-binding protein 1', 'FYB1', 4, NULL),
(25315, NULL, 'IPR028840', NULL, 'Cytoplasmic tyrosine-protein kinase BMX', 'BMX', 4, NULL),
(25316, NULL, 'IPR031794', NULL, 'Hyaluronan-mediated motility receptor, C-terminal', 'HMMR_C', 3, NULL),
(25317, NULL, 'IPR029137', NULL, 'Putative RNase-like toxin, toxin1', 'Ntox1', 3, NULL),
(25318, NULL, 'IPR028538', NULL, 'Chitinase-3-like protein 1', 'CHI3L1', 4, NULL),
(25319, NULL, 'IPR027435', NULL, 'Stannin superfamily', 'Stannin_sf', 5, NULL),
(25320, NULL, 'IPR032092', NULL, 'Type IV Pilus-assembly protein W', 'PilW', 4, NULL),
(25321, NULL, 'IPR026773', NULL, 'Trichoplein keratin filament-binding protein', 'TCHP', 4, NULL),
(25322, NULL, 'IPR031544', NULL, 'WD40-like domain containing protein', 'WD40-like', 4, NULL),
(25323, NULL, 'IPR025826', NULL, 'Cob(I)alamin adenosyltransferase N-terminal domain', 'Co_AT_N_dom', 3, NULL),
(25324, NULL, 'IPR027865', NULL, 'Domain of unknown function DUF4520', 'DUF4520', 3, NULL),
(25325, NULL, 'IPR027034', NULL, 'Methyltransferase OMS1-like', 'OMS1-like', 4, NULL),
(25326, NULL, 'IPR025940', NULL, 'Toxin SpoIISA, type II toxin-antitoxin system', 'SpoIISA_toxin', 4, NULL),
(25327, NULL, 'IPR025575', NULL, 'DpnD/PcfM-like protein', 'DpnD/PcfM', 4, NULL),
(25328, NULL, 'IPR028821', NULL, 'Voltage gated sodium channel, alpha-11 subunit', 'Na_channel_a11su', 4, NULL),
(25329, NULL, 'IPR029136', NULL, 'Nuclear protein MDM1', 'MDM1', 4, NULL),
(25330, NULL, 'IPR031552', NULL, 'Type II bacterial toxin-antitoxin system, ParE-like toxin', 'ParE-like_toxin', 4, NULL),
(25331, NULL, 'IPR028838', NULL, 'Plasma membrane ascorbate-dependent reductase CYBRD1', 'CYBRD1', 4, NULL),
(25332, NULL, 'IPR031799', NULL, 'C2H2-type zinc ribbon', 'Znf-C2H2_ribbon', 3, NULL),
(25333, NULL, 'IPR030639', NULL, 'E3 ubiquitin-protein ligase Praja-2', 'Praja-2', 4, NULL),
(25334, NULL, 'IPR027482', NULL, 'Sec1-like, domain 2', 'Sec1-like_dom2', 5, NULL),
(25335, NULL, 'IPR025540', NULL, 'Fluoroacetyl-CoA thioesterase', 'FlK', 4, NULL),
(25336, NULL, 'IPR026770', NULL, 'Ribonuclease kappa', 'RNase_K', 4, NULL),
(25337, NULL, 'IPR035956', NULL, 'RimP, N-terminal domain superfamily', 'RimP_N_sf', 5, NULL),
(25338, NULL, 'IPR025973', NULL, 'Cysteine-rich VLP domain', 'Cys_rich_VLP_dom', 3, NULL),
(25339, NULL, 'IPR026701', NULL, 'Coiled-coil domain-containing protein 180', 'CCDC180', 4, NULL),
(25340, NULL, 'IPR025827', NULL, 'Recombinase zinc beta ribbon domain', 'Zn_ribbon_recom_dom', 3, NULL),
(25341, NULL, 'IPR031376', NULL, 'Penicillin-binding protein, OB-like domain', 'PCB_OB', 3, NULL),
(25342, NULL, 'IPR027512', NULL, 'Eukaryotic translation initiation factor 3 subunit A', 'EIF3A', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25343, NULL, 'IPR025668', NULL, 'Transposase DDE domain', 'Tnp_DDE_dom', 3, NULL),
(25344, NULL, 'IPR029599', NULL, 'Eosinophil peroxidase', 'EPX/EPO', 4, NULL),
(25345, NULL, 'IPR029138', NULL, 'snRNA-activating protein complex subunit 5', 'SNAPC5', 4, NULL),
(25346, NULL, 'IPR031732', NULL, 'Protein of unknown function DUF4729', 'DUF4729', 4, NULL),
(25347, NULL, 'IPR031307', NULL, 'Ninja family', 'Ninja_fam', 4, NULL),
(25348, NULL, 'IPR029114', NULL, 'Bacterial toxin 24', 'Ntox24', 3, NULL),
(25349, NULL, 'IPR028513', NULL, 'Stomatin-1', 'Stomatin-1', 4, NULL),
(25350, NULL, 'IPR027957', NULL, 'Protein of unknown function DUF4634', 'DUF4634', 4, NULL),
(25351, NULL, 'IPR027510', NULL, '6-hydroxymethyl-7,8-dihydropterin pyrophosphokinase, MptE', 'HMPDK_MptE', 4, NULL),
(25352, NULL, 'IPR025963', NULL, 'FlgD Tudor-like domain', 'FLgD_Tudor', 3, NULL),
(25353, NULL, 'IPR026746', NULL, 'Nucleolar protein 4-like', 'NOL4L', 4, NULL),
(25354, NULL, 'IPR031802', NULL, 'FAM193, C-terminal', 'FAM193_C', 3, NULL),
(25355, NULL, 'IPR030726', NULL, 'Protocadherin alpha-C2', 'PCDHAC2', 4, NULL),
(25356, NULL, 'IPR030417', NULL, 'Membrane-spanning 4-domains subfamily A', 'MS4A', 4, NULL),
(25357, NULL, 'IPR024790', NULL, 'Anaphase-promoting complex subunit 4 long domain', 'APC4_long_dom', 3, NULL),
(25358, NULL, 'IPR031547', NULL, 'Protein of unknown function DUF5089', 'DUF5089', 4, NULL),
(25359, NULL, 'IPR027898', NULL, 'Domain of unknown function DUF4629', 'DUF4629', 3, NULL),
(25360, NULL, 'IPR024945', NULL, 'Spt5 C-terminal domain', 'Spt5_C_dom', 3, NULL),
(25361, NULL, 'IPR026681', NULL, 'Nicotinamide riboside kinase', 'NRK', 4, NULL),
(25362, NULL, 'IPR029288', NULL, 'Protein of unknown function DUF4607', 'DUF4607', 4, NULL),
(25363, NULL, 'IPR028797', NULL, 'PRKAA1, UBA-like autoinhibitory domain', 'PRKAA1_UBA', 3, NULL),
(25364, NULL, 'IPR027020', NULL, 'Protein YnjB', 'YnjB', 4, NULL),
(25365, NULL, 'IPR032594', NULL, 'Protein of unknown function DUF4906', 'DUF4906', 4, NULL),
(25366, NULL, 'IPR032262', NULL, 'Zinc-regulated secreted antivirulence protein, C-terminal', 'ZirS_C', 3, NULL),
(25367, NULL, 'IPR028994', NULL, 'Integrin alpha, N-terminal', 'Integrin_alpha_N', 5, NULL),
(25368, NULL, 'IPR025539', NULL, 'YdgH protein', 'YdgH', 4, NULL),
(25369, NULL, 'IPR034294', NULL, 'Aquaporin transporter', 'Aquaporin_transptr', 4, NULL),
(25370, NULL, 'IPR028232', NULL, 'Fibroblast growth factor 3', 'FGF3', 4, NULL),
(25371, NULL, 'IPR027972', NULL, 'Protein of unknown function DUF4489', 'DUF4489', 4, NULL),
(25372, NULL, 'IPR025771', NULL, 'Phosphoethanolamine N-methyltransferase', 'Phosphoethanolamine_N-MeTrfase', 4, NULL),
(25373, NULL, 'IPR027205', NULL, 'Plasminogen activator inhibitor 1 RNA-binding protein', 'SERBP1', 4, NULL),
(25374, NULL, 'IPR027351', NULL, '(+) RNA virus helicase core domain', '(+)RNA_virus_helicase_core_dom', 3, NULL),
(25375, NULL, 'IPR026695', NULL, 'Coiled-coil domain-containing protein 71/71L', 'Ccdc71/71L', 4, NULL),
(25376, NULL, 'IPR032253', NULL, 'Exocrine gland-secreted peptide Esp1/Esp22', 'Esp1/Esp22', 4, NULL),
(25377, NULL, 'IPR025712', NULL, 'Nucleoporin Nup54, alpha-helical domain', 'Nup54_alpha-helical_dom', 3, NULL),
(25378, NULL, 'IPR032443', NULL, 'RAWUL domain', 'RAWUL', 3, NULL),
(25379, NULL, 'IPR028837', NULL, 'Transmembrane ascorbate-dependent reductase CYB561', 'CYB561', 4, NULL),
(25380, NULL, 'IPR025548', NULL, 'YfkD-like protein', 'YfkD', 4, NULL),
(25381, NULL, 'IPR025832', NULL, 'GxGYxYP putative glycoside hydrolase, C-terminal', 'GxGYxYP_C', 3, NULL),
(25382, NULL, 'IPR024624', NULL, 'Pyridoxamine 5''-phosphate oxidase, Alr4036 family, FMN-binding domain', 'Pyridox_Oxase_Alr4036_FMN-bd', 3, NULL),
(25383, NULL, 'IPR029117', NULL, 'Novel toxin 17', 'Ntox17', 3, NULL),
(25384, NULL, 'IPR027358', NULL, 'Kininogen-type cystatin domain', 'Kininogen-type_cystatin_dom', 3, NULL),
(25385, NULL, 'IPR032134', NULL, 'Protein of unknown function DUF4816', 'DUF4816', 4, NULL),
(25386, NULL, 'IPR026699', NULL, 'Exosome complex RNA-binding protein 1/RRP40/RRP4', 'Exosome_RNA_bind1/RRP40/RRP4', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25387, NULL, 'IPR025841', NULL, 'Circularly permuted ATP-grasp type 2', 'CP_ATPgrasp_2', 4, NULL),
(25388, NULL, 'IPR025853', NULL, 'Bd3614-like deaminase', 'NH3ase_Bd3614-like', 4, NULL),
(25389, NULL, 'IPR027897', NULL, 'Protein of unknown function DUF4559', 'DUF4559', 4, NULL),
(25390, NULL, 'IPR027867', NULL, 'Spermatogenesis-associated protein 48', 'SPATA48', 4, NULL),
(25391, NULL, 'IPR027370', NULL, 'RING-type zinc-finger, LisH dimerisation motif', 'Znf-RING_LisH', 3, NULL),
(25392, NULL, 'IPR034016', NULL, 'Aminopeptidase N-type', 'M1_APN-typ', 4, NULL),
(25393, NULL, 'IPR025962', NULL, 'SdpI/YhfL protein family', 'SdpI/YhfL', 4, NULL),
(25394, NULL, 'IPR027173', NULL, 'Toll-like receptor 3', 'TLR3', 4, NULL),
(25395, NULL, 'IPR035918', NULL, 'Delta-endotoxin CytB-like superfamily', 'CytB_endotoxin-like_sf', 5, NULL),
(25396, NULL, 'IPR029289', NULL, 'Coordinator of PRMT5 and differentiation stimulator', 'COPR5', 4, NULL),
(25397, NULL, 'IPR030780', NULL, 'Protein sprouty homologue 2', 'SPRY2', 4, NULL),
(25398, NULL, 'IPR027889', NULL, 'Coiled-coil domain-containing glutamate-rich protein family 1', 'CCER1', 4, NULL),
(25399, NULL, 'IPR031983', NULL, 'Protein of unknown function DUF4786', 'DUF4786', 4, NULL),
(25400, NULL, 'IPR031548', NULL, 'Accessory secretory protein Asp5', 'Asp5', 4, NULL),
(25401, NULL, 'IPR032018', NULL, 'Putative lipoprotein, pathogenic bacteria', 'LppA/LppB/LprP', 4, NULL),
(25402, NULL, 'IPR025838', NULL, 'Inactive transglutaminase fused to 7 transmembrane helices', 'Transglut_i_TM', 3, NULL),
(25403, NULL, 'IPR027477', NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein, catalytic domain superfamily', 'Succ_DH/fumarate_Rdtase_cat_sf', 5, NULL),
(25404, NULL, 'IPR024788', NULL, 'Malectin-like domain', 'Malectin-like_Carb-bd_dom', 3, NULL),
(25405, NULL, 'IPR031977', NULL, 'Protein of unknown function DUF4783', 'DUF4783', 4, NULL),
(25406, NULL, 'IPR029127', NULL, 'MvaI/BcnI restriction endonuclease', 'MvaI_BcnI', 3, NULL),
(25407, NULL, 'IPR025829', NULL, 'Zinc knuckle CX2CX3GHX4C', 'Zn_knuckle_CX2CX3GHX4C', 3, NULL),
(25408, NULL, 'IPR025552', NULL, 'YkyB-like protein', 'YkyB', 4, NULL),
(25409, NULL, 'IPR031899', NULL, 'Baseplate protein Gp15', 'Baseplate_Gp15', 4, NULL),
(25410, NULL, 'IPR024783', NULL, 'Transducer of regulated CREB activity, N-terminal', 'TORC_N', 3, NULL),
(25411, NULL, 'IPR031541', NULL, 'HTH-like domain-containing protein, Microsporidia', 'HTH_micro', 4, NULL),
(25412, NULL, 'IPR025961', NULL, 'Heavy-metal resistance protein', 'Metal_resist', 4, NULL),
(25413, NULL, 'IPR025785', NULL, 'Actin-histidine N-methyltransferase SETD3', 'SETD3', 4, NULL),
(25414, NULL, 'IPR025625', NULL, 'YuzL-like protein', 'YuzL', 4, NULL),
(25415, NULL, 'IPR025626', NULL, 'YyzF-like protein', 'YyzF', 4, NULL),
(25416, NULL, 'IPR031558', NULL, 'Vacuolar protein-sorting-associated protein 36, NZF-N zinc-finger domain', 'Vps36-NZF-N', 3, NULL),
(25417, NULL, 'IPR026754', NULL, 'Pancreatic progenitor cell differentiation and proliferation factor', 'PPDPF', 4, NULL),
(25418, NULL, 'IPR028239', NULL, 'Fibroblast growth factor 4', 'FGF4', 4, NULL),
(25419, NULL, 'IPR027870', NULL, 'Protein of unknown function DUF4543', 'DUF4543', 4, NULL),
(25420, NULL, 'IPR026044', NULL, 'Membrane-bound lytic murein transglycosylase A', 'MltA', 4, NULL),
(25421, NULL, 'IPR030050', NULL, 'Taste receptor type 2 member 38', 'TAS2R38', 4, NULL),
(25422, NULL, 'IPR032073', NULL, 'Fibronectin type III domain-containing protein 5, C-terminal domain', 'FNDC5_C', 3, NULL),
(25423, NULL, 'IPR031329', NULL, 'Neutral/alkaline non-lysosomal ceramidase, N-terminal', 'NEUT/ALK_ceramidase_N', 3, NULL),
(25424, NULL, 'IPR024787', NULL, 'EcsC protein', 'EcsC', 4, NULL),
(25425, NULL, 'IPR026772', NULL, 'Fin bud initiation factor', 'Fibin', 4, NULL),
(25426, NULL, 'IPR029031', NULL, 'Gingipain, N-terminal superfamily', 'Gingipain_N_sf', 5, NULL),
(25427, NULL, 'IPR025823', NULL, 'tRNA (uracil-5-)-methyltransferase, metazoa', 'tRNA_(uracil-5-)_MeTrfase_met', 4, NULL),
(25428, NULL, 'IPR031432', NULL, 'MALE GAMETOPHYTE DEFECTIVE 1', 'MGP1', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25429, NULL, 'IPR029725', NULL, 'Protein WFDC9', 'WFDC9', 4, NULL),
(25430, NULL, 'IPR032298', NULL, 'EutK-Ctail domain', 'EutK_C', 3, NULL),
(25431, NULL, 'IPR025833', NULL, 'GDYXXLXY protein', 'GDYXXLXY', 4, NULL),
(25432, NULL, 'IPR029008', NULL, 'ER membrane protein complex subunit 6-like', 'EMC6-like', 4, NULL),
(25433, NULL, 'IPR029720', NULL, 'WAP four-disulfide core domain protein 13', 'WFDC13', 4, NULL),
(25434, NULL, 'IPR025505', NULL, 'FHIPEP conserved site', 'FHIPEP_CS', 2, NULL),
(25435, NULL, 'IPR028223', NULL, 'Fibroblast growth factor 2', 'FGF2', 4, NULL),
(25436, NULL, 'IPR030352', NULL, 'Cell cycle control protein 50B', 'TMEM30B', 4, NULL),
(25437, NULL, 'IPR024395', NULL, 'CLASP N-terminal domain', 'CLASP_N_dom', 3, NULL),
(25438, NULL, 'IPR031377', NULL, 'Inovirus G7P protein', 'Tail_VII', 4, NULL),
(25439, NULL, 'IPR032444', NULL, 'Keratin type II head', 'Keratin_2_head', 3, NULL),
(25440, NULL, 'IPR033980', NULL, 'Mannosyl-3-phosphoglycerate phosphatase, thermophiles', 'MPG_Pase_thermophiles', 4, NULL),
(25441, NULL, 'IPR025573', NULL, 'YwpF-like protein', 'YwpF', 4, NULL),
(25442, NULL, 'IPR027178', NULL, 'Monocarboxylate transporter 2', 'MCT2', 4, NULL),
(25443, NULL, 'IPR027977', NULL, 'Protein of unknown function DUF4621', 'DUF4621', 4, NULL),
(25444, NULL, 'IPR025851', NULL, 'SUKH-4 immunity protein', 'SUKH-4', 4, NULL),
(25445, NULL, 'IPR027876', NULL, 'Domain of unknown function DUF4550', 'DUF4550', 3, NULL),
(25446, NULL, 'IPR028978', NULL, 'Chorismate pyruvate-lyase/UbiC transcription regulator-associated domain superfamily', 'Chorismate_lyase_/UTRA_dom_sf', 5, NULL),
(25447, NULL, 'IPR029128', NULL, 'Restriction endonuclease ThaI', 'ThaI', 4, NULL),
(25448, NULL, 'IPR025571', NULL, 'YqfQ-like protein', 'YqfQ', 4, NULL),
(25449, NULL, 'IPR031981', NULL, 'Mitochondria-eating protein, C-terminal domain', 'MIEAP_C', 3, NULL),
(25450, NULL, 'IPR027974', NULL, 'Domain of unknown function DUF4470', 'DUF4470', 3, NULL),
(25451, NULL, 'IPR031555', NULL, 'DNA-directed RNA polymerase subunit Rpo8', 'RNA_pol_Rpo8', 4, NULL),
(25452, NULL, 'IPR031372', NULL, 'CAMSAP, spectrin and Ca2+/calmodulin-binding region', 'CAMSAP_CC1', 2, NULL),
(25453, NULL, 'IPR025763', NULL, 'tRNA (guanine-N-7) methyltransferase catalytic subunit Trm8, eukaryote', 'Trm8_euk', 4, NULL),
(25454, NULL, 'IPR031551', NULL, 'Accessory secretory protein Asp4', 'Asp4', 4, NULL),
(25455, NULL, 'IPR028996', NULL, 'Ganglioside GM2 activator', 'GM2-AP', 4, NULL),
(25456, NULL, 'IPR027372', NULL, 'Phytase-like domain', 'Phytase-like_dom', 3, NULL),
(25457, NULL, 'IPR025670', NULL, 'Fox-1 C-terminal domain', 'Fox-1_C_dom', 3, NULL),
(25458, NULL, 'IPR031414', NULL, '30S ribosomal protein Thx', 'Thx', 4, NULL),
(25459, NULL, 'IPR029721', NULL, 'WAP four-disulfide core domain protein 10A', 'WFDC10A', 4, NULL),
(25460, NULL, 'IPR025667', NULL, 'SprB repeat', 'SprB_repeat', 7, NULL),
(25461, NULL, 'IPR027419', NULL, 'CRISPR-associated protein Csx1, C-terminal', 'CRISPR-assoc_Csx1_C', 5, NULL),
(25462, NULL, 'IPR030637', NULL, 'Zinc finger protein 185', 'ZNF185', 4, NULL),
(25463, NULL, 'IPR031733', NULL, 'Dynein attachment factor, N-terminal', 'Dynein_attach_N', 3, NULL),
(25464, NULL, 'IPR025665', NULL, 'Outer membrane protein beta-barrel domain 2', 'OMP_b-brl_2', 3, NULL),
(25465, NULL, 'IPR027967', NULL, 'Protein of unknown function DUF4612', 'DUF4612', 4, NULL),
(25466, NULL, 'IPR024774', NULL, 'Pleckstrin homology domain, Mcp5-type', 'PH_dom-Mcp5-type', 3, NULL),
(25467, NULL, 'IPR032088', NULL, 'Starter unit:ACP transacylase', 'SAT', 3, NULL),
(25468, NULL, 'IPR025672', NULL, 'Sigma factor regulator C-terminal domain', 'Sigma_reg_C_dom', 3, NULL),
(25469, NULL, 'IPR031383', NULL, 'Uncharacterised protein ycf90', 'Ycf90', 4, NULL),
(25470, NULL, 'IPR027875', NULL, 'Protein of unknown function DUF4547', 'DUF4547', 4, NULL),
(25471, NULL, 'IPR025846', NULL, 'Trichome birefringence-like, N-terminal domain', 'TBL_N', 3, NULL),
(25472, NULL, 'IPR027033', NULL, 'Cytidine monophosphate-N-acetylneuraminic acid hydroxylase', 'Cnh', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25473, NULL, 'IPR027874', NULL, 'Testis-expressed sequence 35 protein', 'Tex35', 4, NULL),
(25474, NULL, 'IPR031553', NULL, 'Lysyl-tRNA synthetase, N-terminal transmembrane region', 'tRNA-synt_2_TM', 3, NULL),
(25475, NULL, 'IPR029727', NULL, 'Neprilysin', 'MME/CD10/NEP', 4, NULL),
(25476, NULL, 'IPR030729', NULL, 'Protocadherin beta-4', 'PCDHB4', 4, NULL),
(25477, NULL, 'IPR031561', NULL, 'Protein of unknown function DUF5086', 'DUF5086', 4, NULL),
(25478, NULL, 'IPR027951', NULL, 'Domain of unknown function DUF4477', 'DUF4477', 3, NULL),
(25479, NULL, 'IPR029145', NULL, 'Neuroblastoma-amplified sequence, N-terminal', 'NBAS_N', 3, NULL),
(25480, NULL, 'IPR032515', NULL, 'Domain of unknown function DUF4964', 'DUF4964', 3, NULL),
(25481, NULL, 'IPR027481', NULL, 'HIV-1 Nef protein, core domain superfamily', 'HIV-1_Nef_core_sf', 5, NULL),
(25482, NULL, 'IPR025780', NULL, 'Histone-lysine N-methyltransferase ATX', 'Hist-Lys_N-MeTrfase_ATX', 4, NULL),
(25483, NULL, 'IPR027367', NULL, 'YMGG-like Gly-zipper', 'Gly-zipper_YMGG', 3, NULL),
(25484, NULL, 'IPR031411', NULL, 'Two-component-system connector protein SafA', 'SafA', 4, NULL),
(25485, NULL, 'IPR026705', NULL, 'Hid-1/Ecm30', 'Hid-1/Ecm30', 4, NULL),
(25486, NULL, 'IPR029123', NULL, 'Splicing factor RBM39, linker', 'RBM39_linker', 3, NULL),
(25487, NULL, 'IPR029141', NULL, 'Major fimbrial subunit protein, N-terminal', 'FimA_N', 3, NULL),
(25488, NULL, 'IPR029111', NULL, 'Bacterial toxin 30', 'Ntox30', 3, NULL),
(25489, NULL, 'IPR031386', NULL, 'Unique cartilage matrix-associated protein', 'UCMA', 4, NULL),
(25490, NULL, 'IPR035949', NULL, 'SopE-like, GEF domain superfamily', 'SopE-like_GEF_dom_sf', 5, NULL),
(25491, NULL, 'IPR027007', NULL, 'C2 DOCK-type domain', 'C2_DOCK-type_domain', 3, NULL),
(25492, NULL, 'IPR024581', NULL, 'Tbk1/Ikki binding domain', 'TBD', 3, NULL),
(25493, NULL, 'IPR031384', NULL, 'Herpesvirus US34A protein family', 'HHV-5_US34A', 4, NULL),
(25494, NULL, 'IPR031437', NULL, 'Transmembrane protein family 132, middle domain', 'TMEM132_M', 3, NULL),
(25495, NULL, 'IPR026765', NULL, 'Transmembrane protein 163', 'Tmem163', 4, NULL),
(25496, NULL, 'IPR027032', NULL, 'Twinkle-like protein', 'Twinkle-like', 4, NULL),
(25497, NULL, 'IPR025577', NULL, 'FlxA-like protein', 'FlxA', 4, NULL),
(25498, NULL, 'IPR032590', NULL, 'Protein of unknown function DUF4909', 'DUF4909', 4, NULL),
(25499, NULL, 'IPR026756', NULL, 'Nucleolar and spindle-associated protein 1', 'NuSAP', 4, NULL),
(25500, NULL, 'IPR025965', NULL, 'FlgD Ig-like domain', 'FlgD_Ig', 3, NULL),
(25501, NULL, 'IPR032600', NULL, 'Sm-like domain', 'Sm-like_dom', 3, NULL),
(25502, NULL, 'IPR027434', NULL, 'Homing endonuclease', 'Homing_endonucl', 5, NULL),
(25503, NULL, 'IPR025655', NULL, 'Peroxisomal membrane protein 14', 'PEX14', 4, NULL),
(25504, NULL, 'IPR027398', NULL, 'SecD export protein N-terminal TM domain', 'SecD-TM', 3, NULL),
(25505, NULL, 'IPR030326', NULL, 'Cadherin-related family member 5', 'Mucdhl', 4, NULL),
(25506, NULL, 'IPR032900', NULL, 'PanD regulatory factor PanZ', 'PanZ', 4, NULL),
(25507, NULL, 'IPR034271', NULL, 'Ascorbate oxidase homologue, second cupredoxin domain', 'CuRO_2_AO-like', 3, NULL),
(25508, NULL, 'IPR024686', NULL, 'Adenylate cyclase class-I, conserved site', 'Adenylate_cyclase_1_CS', 2, NULL),
(25509, NULL, 'IPR025593', NULL, 'Growth arrest-specific protein 8 domain', 'GAS8_dom', 3, NULL),
(25510, NULL, 'IPR024540', NULL, 'Protein of unknown function DUF3879', 'DUF3879', 4, NULL),
(25511, NULL, 'IPR026065', NULL, 'SIN3-HDAC complex-associated factor', 'FAM60A', 4, NULL),
(25512, NULL, 'IPR030985', NULL, 'Putative peptide maturation system protein', 'PpiC-rel_mature', 4, NULL),
(25513, NULL, 'IPR028951', NULL, 'Immunity protein 64', 'Imm64', 4, NULL),
(25514, NULL, 'IPR032442', NULL, 'Cytoplasmic tRNA 2-thiolation protein 1, C-terminal', 'CTU1_C', 3, NULL),
(25515, NULL, 'IPR027315', NULL, 'Transmembrane protein 150A', 'TMEM150A', 4, NULL),
(25516, NULL, 'IPR032887', NULL, 'tRNA-dihydrouridine synthase B', 'DusB', 4, NULL),
(25517, NULL, 'IPR032447', NULL, 'Cyclin-A, N-terminal APC/C binding region', 'Cyclin-A_N', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25518, NULL, 'IPR030452', NULL, 'Transcription factor Sp3', 'SP3', 4, NULL),
(25519, NULL, 'IPR032217', NULL, 'Protein of unknown function DUF5036', 'DUF5036', 4, NULL),
(25520, NULL, 'IPR028469', NULL, 'Interleukin-8', 'Interleukin-8', 4, NULL),
(25521, NULL, 'IPR029299', NULL, 'ALMS motif', 'ALMS_motif', 3, NULL),
(25522, NULL, 'IPR030331', NULL, 'Solute carrier family 26 member 1', 'SLC26A1', 4, NULL),
(25523, NULL, 'IPR032903', NULL, 'UbiD-like decarboxylase/ferulic acid decarboxylase 1', 'UbiD/Fdc1', 4, NULL),
(25524, NULL, 'IPR029542', NULL, 'Calpain-9', 'CAPN9', 4, NULL),
(25525, NULL, 'IPR029759', NULL, 'Glutathione peroxidase active site', 'GPX_AS', 0, NULL),
(25526, NULL, 'IPR032605', NULL, 'Domain of unknown function DUF4896', 'DUF4896', 3, NULL),
(25527, NULL, 'IPR032913', NULL, 'Beclin-1', 'BECN1', 4, NULL),
(25528, NULL, 'IPR024490', NULL, 'Protein of unknown function DUF2759', 'DUF2759', 4, NULL),
(25529, NULL, 'IPR029723', NULL, 'Integral membrane protein GPR137', 'GPR137', 4, NULL),
(25530, NULL, 'IPR025689', NULL, 'Sporulation protein YtrH', 'Spore_YtrH', 4, NULL),
(25531, NULL, 'IPR024447', NULL, 'YXWGXW repeat', 'YXWGXW_rpt', 7, NULL),
(25532, NULL, 'IPR024340', NULL, 'Sec16, central conserved domain', 'Sec16_CCD', 3, NULL),
(25533, NULL, 'IPR024653', NULL, 'Peptidase, metallopeptidase M10/M27/M57', 'Peptidase_M10/M27/M57', 4, NULL),
(25534, NULL, 'IPR029722', NULL, 'Protein FAM193B', 'FAM193B', 4, NULL),
(25535, NULL, 'IPR027067', NULL, 'Integrin beta-5 subunit', 'Integrin_beta-5', 4, NULL),
(25536, NULL, 'IPR026135', NULL, 'Uncharacterised protein C6orf15', 'C6orf15', 4, NULL),
(25537, NULL, 'IPR025675', NULL, 'Immunity protein Imm5', 'Imm5', 4, NULL),
(25538, NULL, 'IPR032209', NULL, 'Protein of unknown function DUF5028', 'DUF5028', 4, NULL),
(25539, NULL, 'IPR031705', NULL, 'Glycosyl hydrolase family 36, C-terminal', 'Glyco_hydro_36_C', 3, NULL),
(25540, NULL, 'IPR024441', NULL, 'Mating-type protein, C-terminal domain', 'Homeodomain1_C', 3, NULL),
(25541, NULL, 'IPR024507', NULL, 'Protein of unknown function DUF3225', 'DUF3225', 4, NULL),
(25542, NULL, 'IPR032452', NULL, 'Sodium/calcium exchanger domain, C-terminal extension', 'Na_Ca_Ex_C-exten', 3, NULL),
(25543, NULL, 'IPR031707', NULL, 'Putative abortive phage resistance protein AbiGii toxin', 'AbiGii_2', 4, NULL),
(25544, NULL, 'IPR024326', NULL, 'Ribosomal RNA-processing protein 7, C-terminal domain', 'RRP7_C', 3, NULL),
(25545, NULL, 'IPR034041', NULL, 'STABLE peptidase domain', 'STABLE_peptidase', 3, NULL),
(25546, NULL, 'IPR028952', NULL, 'Immunity protein 63', 'Imm63', 3, NULL),
(25547, NULL, 'IPR028371', NULL, 'Hyaluronan synthase 2', 'HAS2', 4, NULL),
(25548, NULL, 'IPR029539', NULL, 'Calpain-2', 'CAPN2', 4, NULL),
(25549, NULL, 'IPR024528', NULL, 'Threonine/Serine exporter, ThrE', 'ThrE_2', 3, NULL),
(25550, NULL, 'IPR028948', NULL, 'Bacterial toxin 28', 'Ntox28', 3, NULL),
(25551, NULL, 'IPR026063', NULL, 'ATP synthase subunit s, mitochondrial', 'ATP5S/ATP5SL', 4, NULL),
(25552, NULL, 'IPR029055', NULL, 'Nucleophile aminohydrolases, N-terminal', 'Ntn_hydrolases_N', 5, NULL),
(25553, NULL, 'IPR029099', NULL, 'Ribose-phosphate pyrophosphokinase, N-terminal domain', 'Pribosyltran_N', 3, NULL),
(25554, NULL, 'IPR029317', NULL, 'KRBA1 family repeat', 'KRBA1_rpt', 7, NULL),
(25555, NULL, 'IPR031314', NULL, 'Deoxynucleoside kinase domain', 'DNK_dom', 3, NULL),
(25556, NULL, 'IPR029045', NULL, 'ClpP/crotonase-like domain superfamily', 'ClpP/crotonase-like_dom_sf', 5, NULL),
(25557, NULL, 'IPR025650', NULL, 'Alkyldihydroxyacetonephosphate synthase', 'Alkyl-DHAP_Synthase', 4, NULL),
(25558, NULL, 'IPR027319', NULL, 'Epsin-2, metazoa', 'Epsin-2_metazoa', 4, NULL),
(25559, NULL, 'IPR032599', NULL, 'Protein of unknown function DUF4901', 'DUF4901', 4, NULL),
(25560, NULL, 'IPR029668', NULL, 'Transmembrane protein 98', 'TMEM98', 4, NULL),
(25561, NULL, 'IPR029541', NULL, 'Serine/arginine-rich splicing factor 6', 'SRSF6', 4, NULL),
(25562, NULL, 'IPR032393', NULL, 'Stromal interaction molecule, Orai1-activating region', 'SOAR', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25563, NULL, 'IPR025887', NULL, 'Glycoside hydrolase family 31, N-terminal domain', 'Glyco_hydro_31_N_dom', 3, NULL),
(25564, NULL, 'IPR026206', NULL, 'HAUS augmin-like complex subunit 3', 'HAUS3', 4, NULL),
(25565, NULL, 'IPR031712', NULL, 'Domain of unknown function DUF5077', 'DUF5077', 3, NULL),
(25566, NULL, 'IPR024504', NULL, 'Uncharacterised membrane protein Ta0354, soluble domain', 'Unchr_Ta0354_soluble_domain', 3, NULL),
(25567, NULL, 'IPR028549', NULL, 'Decorin', 'Decorin', 4, NULL),
(25568, NULL, 'IPR027991', NULL, 'Domain of unknown function DUF4488', 'DUF4488', 3, NULL),
(25569, NULL, 'IPR034777', NULL, 'Nop12, RNA recognition motif 1', 'Nop12_RRM1', 3, NULL),
(25570, NULL, 'IPR025677', NULL, 'OST-HTH associated domain', 'OST-HTH-assoc_dom', 3, NULL),
(25571, NULL, 'IPR029095', NULL, 'NarX-like, N-terminal', 'NarX-like_N', 3, NULL),
(25572, NULL, 'IPR030979', NULL, 'Fluorothreonine transaldolase', 'F_threo_transal', 4, NULL),
(25573, NULL, 'IPR024449', NULL, 'Anti-sigma factor RsgI, N-terminal', 'Anti-sigma_RsgI_N', 3, NULL),
(25574, NULL, 'IPR027381', NULL, 'LytR/CpsA/Psr regulator, C-terminal domain', 'LytR/CpsA/Psr_C', 3, NULL),
(25575, NULL, 'IPR027990', NULL, 'Protein of unknown function DUF4633', 'DUF4633', 4, NULL),
(25576, NULL, 'IPR026828', NULL, 'Suppressor APC domain-containing protein 1/2', 'Suppressor_APCD_1/2', 4, NULL),
(25577, NULL, 'IPR030207', NULL, 'Solute carrier family 10 member 2', 'SLC10A2', 4, NULL),
(25578, NULL, 'IPR031857', NULL, 'Integrase SSV1, C-terminal', 'Integrase_SSV1_C', 3, NULL),
(25579, NULL, 'IPR032603', NULL, 'Protein of unknown function DUF4898', 'DUF4898', 4, NULL),
(25580, NULL, 'IPR024685', NULL, 'Adenylate cyclase class-I, N-terminal domain', 'Adenylate_cyclase_1_N', 3, NULL),
(25581, NULL, 'IPR030794', NULL, 'Tubulin polymerisation-promoting protein family member 2', 'TPPP2', 4, NULL),
(25582, NULL, 'IPR027387', NULL, 'Cytochrome b/b6-like domain superfamily', 'Cytb/b6-like_sf', 5, NULL),
(25583, NULL, 'IPR024336', NULL, 'tRNA-splicing endonuclease, subunit Sen54, N-terminal', 'tRNA_splic_suSen54_N', 3, NULL),
(25584, NULL, 'IPR027399', NULL, 'Alcohol dehydrogenase GroES-associated', 'ADH_N_assoc', 3, NULL),
(25585, NULL, 'IPR028956', NULL, 'Immunity protein 51', 'Imm51', 4, NULL),
(25586, NULL, 'IPR029290', NULL, 'TP53-target gene 5 protein', 'TP53TG5', 4, NULL),
(25587, NULL, 'IPR027385', NULL, 'Outer membrane protein beta-barrel domain', 'OMP_b-brl', 3, NULL),
(25588, NULL, 'IPR028958', NULL, 'Immunity protein 42', 'Imm42', 4, NULL),
(25589, NULL, 'IPR032389', NULL, 'Type II secretion system protein GspB', 'GspB', 4, NULL),
(25590, NULL, 'IPR024497', NULL, 'Protein of unknown function DUF2773', 'DUF2773', 4, NULL),
(25591, NULL, 'IPR028550', NULL, 'Beta-2-syntrophin', 'SNTB2', 4, NULL),
(25592, NULL, 'IPR025678', NULL, 'Immunity protein Imm3', 'Imm3', 4, NULL),
(25593, NULL, 'IPR029693', NULL, 'Transmembrane protein 35A', 'TMEM35A', 4, NULL),
(25594, NULL, 'IPR032369', NULL, 'Domain of unknown function DUF4872', 'DUF4872', 3, NULL),
(25595, NULL, 'IPR030769', NULL, 'Monocarboxylate transporter 11', 'MCT11', 4, NULL),
(25596, NULL, 'IPR032371', NULL, 'Domain of unknown function DUF4873', 'DUF4873', 3, NULL),
(25597, NULL, 'IPR029537', NULL, 'Arginine/serine-rich-splicing factor RSP31/31A', 'RSP31/31A', 4, NULL),
(25598, NULL, 'IPR027935', NULL, 'Protein dehydration-induced 19, C-terminal', 'Di19_C', 3, NULL),
(25599, NULL, 'IPR028374', NULL, 'FadR, C-terminal domain', 'FadR_C', 3, NULL),
(25600, NULL, 'IPR029534', NULL, 'Visinin-like protein 2', 'VILIP-2', 4, NULL),
(25601, NULL, 'IPR024488', NULL, 'Protein of unknown function DUF2777', 'DUF2777', 4, NULL),
(25602, NULL, 'IPR029524', NULL, 'Transcription factor GATA-1', 'GATA-1', 4, NULL),
(25603, NULL, 'IPR025653', NULL, 'Peroxisome biogenesis factor 1', 'Pex1', 4, NULL),
(25604, NULL, 'IPR025681', NULL, 'Phage phiEco32-like COOH-NH2 ligase-type 2', 'COOH-NH2_lig', 4, NULL),
(25605, NULL, 'IPR029699', NULL, 'Multicilin', 'Multicilin/Idas', 4, NULL),
(25606, NULL, 'IPR027936', NULL, 'Ephrin receptor, transmembrane domain', 'Eph_TM', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25607, NULL, 'IPR032904', NULL, '2-phytyl-1,4-naphtoquinone methyltransferase MenG', 'MenG', 4, NULL),
(25608, NULL, 'IPR024499', NULL, 'Mbeg1-like', 'Mbeg1-like', 4, NULL),
(25609, NULL, 'IPR027928', NULL, 'Vascular endothelial growth factor, heparin-binding domain', 'VEGF_C', 3, NULL),
(25610, NULL, 'IPR032877', NULL, 'Transposase IS204/IS1001/IS1096/IS1165, helix-turn-helix domain', 'Transposase_HTH', 3, NULL),
(25611, NULL, 'IPR024522', NULL, 'Protein of unknown function DUF3789', 'DUF3789', 4, NULL),
(25612, NULL, 'IPR031148', NULL, 'Plexin family', 'Plexin', 4, NULL),
(25613, NULL, 'IPR027070', NULL, 'Integrin beta-like protein 1', 'Integrin_b-like_p1', 4, NULL),
(25614, NULL, 'IPR024521', NULL, 'Domain of unknown function DUF3641', 'DUF3641', 3, NULL),
(25615, NULL, 'IPR028319', NULL, 'Apoptosis-stimulating of p53 protein 1', 'ASPP_1', 4, NULL),
(25616, NULL, 'IPR027916', NULL, 'Protein kinase-like domain, Apicomplexa', 'Kinase-like_dom_Apicomplexa', 3, NULL),
(25617, NULL, 'IPR026203', NULL, 'Intracellular hyaluronic acid binding protein', 'IHABP', 4, NULL),
(25618, NULL, 'IPR024324', NULL, 'Condensin complex subunit 1, N-terminal', 'Condensin_cplx_su1_N', 3, NULL),
(25619, NULL, 'IPR029667', NULL, 'Schlafen-like protein 1', 'SLFNL1', 4, NULL),
(25620, NULL, 'IPR031392', NULL, 'Spindle pole component 29', 'Spc29', 4, NULL),
(25621, NULL, 'IPR032395', NULL, 'Sf6-type phage tail needle knob', 'Phage_tail_NK', 3, NULL),
(25622, NULL, 'IPR024492', NULL, 'Protein of unknown function DUF2764', 'DUF2764', 4, NULL),
(25623, NULL, 'IPR030329', NULL, 'Solute carrier family 26 member 7', 'SLC26A7', 4, NULL),
(25624, NULL, 'IPR028944', NULL, 'PRTase ComF-like', 'PRTase_ComF-like', 4, NULL),
(25625, NULL, 'IPR029606', NULL, 'Protein FAM184B', 'FAM184B', 4, NULL),
(25626, NULL, 'IPR030019', NULL, 'Protein short-root', 'Short-root', 4, NULL),
(25627, NULL, 'IPR029605', NULL, 'FAM184 family', 'FAM184', 4, NULL),
(25628, NULL, 'IPR032210', NULL, 'Protein of unknown function DUF5029', 'DUF5029', 4, NULL),
(25629, NULL, 'IPR024654', NULL, 'Calcineurin-like phosphoesterase domain, lpxH-type', 'Calcineurin-like_PHP_lpxH', 3, NULL),
(25630, NULL, 'IPR032874', NULL, 'DDE domain', 'DDE_dom', 3, NULL),
(25631, NULL, 'IPR031211', NULL, 'Nestin', 'Nestin', 4, NULL),
(25632, NULL, 'IPR024514', NULL, 'Domain of unknown function DUF3388', 'DUF3388', 3, NULL),
(25633, NULL, 'IPR027330', NULL, 'TPX2 central domain', 'TPX2_central_dom', 3, NULL),
(25634, NULL, 'IPR024524', NULL, 'Protein of unknown function DUF3800', 'DUF3800', 4, NULL),
(25635, NULL, 'IPR031849', NULL, 'Domain of unknown function DUF5069', 'DUF5069', 3, NULL),
(25636, NULL, 'IPR025676', NULL, 'Clr5 domain', 'Clr5_dom', 3, NULL),
(25637, NULL, 'IPR024518', NULL, 'Domain of unknown function DUF3421', 'DUF3421', 3, NULL),
(25638, NULL, 'IPR032201', NULL, 'Transcription factor COE, helix-loop-helix domain', 'COE_HLH', 3, NULL),
(25639, NULL, 'IPR032907', NULL, 'Tubulin-like protein CetZ', 'CetZ', 4, NULL),
(25640, NULL, 'IPR025585', NULL, 'Photosystem II Pbs27', 'PSII_Pbs27', 4, NULL),
(25641, NULL, 'IPR024446', NULL, 'PXPV repeat', 'PXPV', 7, NULL),
(25642, NULL, 'IPR029715', NULL, 'Shieldin complex subunit 2', 'FAM35A', 4, NULL),
(25643, NULL, 'IPR030983', NULL, 'Bacterial microcompartment shell protein EutL', 'EutL', 4, NULL),
(25644, NULL, 'IPR025713', NULL, 'Motility protein B, N-terminal domain', 'MotB_N_dom', 3, NULL),
(25645, NULL, 'IPR029056', NULL, 'Ribokinase-like', 'Ribokinase-like', 5, NULL),
(25646, NULL, 'IPR027946', NULL, 'Oligogalacturonate lyase domain', 'Ogl_dom', 3, NULL),
(25647, NULL, 'IPR028943', NULL, 'EH signature domain', 'EH_Signature_dom', 3, NULL),
(25648, NULL, 'IPR027065', NULL, 'Lon protease', 'Lon_Prtase', 4, NULL),
(25649, NULL, 'IPR024542', NULL, 'Domain of unknown function DUF3880', 'DUF3880', 3, NULL),
(25650, NULL, 'IPR027945', NULL, 'SseB protein, C-terminal', 'SseB_C', 3, NULL),
(25651, NULL, 'IPR032906', NULL, 'Lipopolysaccharide assembly protein A', 'LapA', 4, NULL),
(25652, NULL, 'IPR024538', NULL, 'Protein of unknown function DUF3878', 'DUF3878', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25653, NULL, 'IPR031850', NULL, 'Fungal kinase associated-1 domain', 'Fungal_KA1_dom', 3, NULL),
(25654, NULL, 'IPR025683', NULL, 'Protein beta', 'Protein_beta', 4, NULL),
(25655, NULL, 'IPR025693', NULL, 'Glycine-zipper-containing OmpA-like membrane domain', 'Gly-zipper_OmpA-like_dom', 3, NULL),
(25656, NULL, 'IPR030924', NULL, 'Type II secretion system-associated lipoprotein', 'Spiro_T2SS_lipo', 4, NULL),
(25657, NULL, 'IPR032875', NULL, 'Succinyl-CoA synthetase-like, flavodoxin domain', 'Succ_CoA_lig_flav_dom', 3, NULL),
(25658, NULL, 'IPR024511', NULL, 'WD repeat-containing and planar cell polarity effector protein Fritz', 'Frtz', 4, NULL),
(25659, NULL, 'IPR024452', NULL, 'Protein of unknown function DUF3876', 'DUF3876', 4, NULL),
(25660, NULL, 'IPR025933', NULL, 'Beta-defensin', 'Beta_defensin', 3, NULL),
(25661, NULL, 'IPR027300', NULL, 'Agouti domain', 'Agouti_dom', 3, NULL),
(25662, NULL, 'IPR029758', NULL, 'Sulphite reductase [NADPH] flavoprotein, alpha chain, Proteobacteria', 'CysJ_Proteobact', 4, NULL),
(25663, NULL, 'IPR025602', NULL, 'BCP1 family', 'BCP1_family', 4, NULL),
(25664, NULL, 'IPR029318', NULL, 'Beclin-1, BH3 domain', 'BH3_dom', 3, NULL),
(25665, NULL, 'IPR028403', NULL, '1-phosphatidylinositol 4,5-bisphosphate phosphodiesterase beta-2', 'PLC-beta2', 4, NULL),
(25666, NULL, 'IPR031388', NULL, 'Topoisomerase I damage affected protein 11', 'Tda11', 4, NULL),
(25667, NULL, 'IPR028172', NULL, 'Intraflagellar transport protein 20', 'FT20', 4, NULL),
(25668, NULL, 'IPR032601', NULL, 'Protein of unknown function DUF4900', 'DUF4900', 4, NULL),
(25669, NULL, 'IPR027925', NULL, 'MCM N-terminal domain', 'MCM_N', 3, NULL),
(25670, NULL, 'IPR028318', NULL, 'Dual specificity tyrosine-phosphorylation-regulated kinase 1A/B', 'DYRK1A/B_MNB', 4, NULL),
(25671, NULL, 'IPR031768', NULL, 'Carbohydrate binding module, xylan-binding domain', 'CBM60_xylan-bd', 3, NULL),
(25672, NULL, 'IPR027986', NULL, 'T-cell activation inhibitor, mitochondrial', 'TCAIM', 4, NULL),
(25673, NULL, 'IPR024338', NULL, 'Stretch-activated cation channel Mid1/Calcium influx-promoting protein Ehs1', 'Mid1/Ehs1', 4, NULL),
(25674, NULL, 'IPR029607', NULL, 'Protein FAM184A', 'FAM184A', 4, NULL),
(25675, NULL, 'IPR027304', NULL, 'Trigger factor/SurA domain superfamily', 'Trigger_fact/SurA_dom_sf', 5, NULL),
(25676, NULL, 'IPR024501', NULL, 'Protein of unknown function DUF3141', 'DUF3141', 4, NULL),
(25677, NULL, 'IPR026059', NULL, 'Rab3GAP regulatory subunit', 'Rab3GAP2', 4, NULL),
(25678, NULL, 'IPR024512', NULL, 'Small subunit of serine palmitoyltransferase-like', 'Ser_palmitoyltrfase_ssu-like', 4, NULL),
(25679, NULL, 'IPR032214', NULL, 'Protein of unknown function DUF5033', 'DUF5033', 4, NULL),
(25680, NULL, 'IPR028547', NULL, 'Biglycan', 'Biglycan', 4, NULL),
(25681, NULL, 'IPR029522', NULL, 'Transcription factor GATA-2', 'GATA-2', 4, NULL),
(25682, NULL, 'IPR025888', NULL, 'Meiosis-specific protein MEI4', 'MEI4', 4, NULL),
(25683, NULL, 'IPR030716', NULL, 'Protocadherin-19', 'Protocadherin-19', 4, NULL),
(25684, NULL, 'IPR025703', NULL, 'Bifunctional protein PutA', 'Bifunct_PutA', 4, NULL),
(25685, NULL, 'IPR028855', NULL, 'Receptor-type tyrosine-protein phosphatase H', 'R-PTP-H', 4, NULL),
(25686, NULL, 'IPR029673', NULL, 'Transmembrane protein 179', 'TMEM179', 4, NULL),
(25687, NULL, 'IPR025929', NULL, 'Insulin-induced protein family', 'INSIG_fam', 4, NULL),
(25688, NULL, 'IPR029293', NULL, 'Rad9, Rad1, Hus1-interacting nuclear orphan protein 1', 'RHNO1', 4, NULL),
(25689, NULL, 'IPR032453', NULL, 'Homeobox protein PKNOX/Meis, N-terminal', 'PKNOX/Meis_N', 3, NULL),
(25690, NULL, 'IPR032390', NULL, 'Polynucleotide kinase-phosphatase, C-terminal', 'PNKP_C', 3, NULL),
(25691, NULL, 'IPR026130', NULL, 'Protein phosphatase 1 regulatory subunit 26', 'PPP1R26', 4, NULL),
(25692, NULL, 'IPR026092', NULL, 'Retinoic acid-induced protein 2/sine oculis-binding protein homologue', 'RAI2/SOBP', 4, NULL),
(25693, NULL, 'IPR028548', NULL, 'Asporin', 'Asporin', 4, NULL),
(25694, NULL, 'IPR025719', NULL, 'Myelin gene regulatory factor C-terminal domain 2', 'MYRF_C2', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25695, NULL, 'IPR031692', NULL, 'EH domain-containing protein, N-terminal', 'EHD_N', 3, NULL),
(25696, NULL, 'IPR024506', NULL, 'Protein of unknown function DUF3217', 'DUF3217', 4, NULL),
(25697, NULL, 'IPR024527', NULL, 'Eisosome protein 1', 'Eisosome1', 4, NULL),
(25698, NULL, 'IPR024329', NULL, 'Amyloidogenic glycoprotein, E2 domain', 'Amyloid_glyco_E2_domain', 3, NULL),
(25699, NULL, 'IPR028959', NULL, 'Immunity protein 41', 'Imm41', 4, NULL),
(25700, NULL, 'IPR032205', NULL, 'Protein of unknown function DUF5024', 'DUF5024', 4, NULL),
(25701, NULL, 'IPR030877', NULL, 'Sulfofructose kinase', 'SF_kinase', 4, NULL),
(25702, NULL, 'IPR024484', NULL, 'Protein of unknown function DUF2709', 'DUF2709', 4, NULL),
(25703, NULL, 'IPR024656', NULL, 'Ammonia monooxygenase, subunit A, archaeal', 'AmoA_arc', 4, NULL),
(25704, NULL, 'IPR027317', NULL, 'PGAP2-interacting protein', 'PGAP2IP', 4, NULL),
(25705, NULL, 'IPR024485', NULL, 'Protein of unknown function DUF2680', 'DUF2680', 4, NULL),
(25706, NULL, 'IPR027123', NULL, 'Platelet-derived growth factor D', 'PDGFD', 4, NULL),
(25707, NULL, 'IPR024489', NULL, 'Organ specific protein', 'Organ_specific_prot', 4, NULL),
(25708, NULL, 'IPR028950', NULL, 'Immunity protein 71', 'Imm71', 3, NULL),
(25709, NULL, 'IPR028889', NULL, 'Ubiquitin specific protease domain', 'USP_dom', 3, NULL),
(25710, NULL, 'IPR024513', NULL, 'Protein of unknown function DUF3334', 'DUF3334', 4, NULL),
(25711, NULL, 'IPR030873', NULL, 'Beta-barrel assembly-enhancing protease', 'Protease_BepA', 4, NULL),
(25712, NULL, 'IPR029101', NULL, 'Sigma factor regulator, N-terminal', 'Sigma_reg_N', 3, NULL),
(25713, NULL, 'IPR027310', NULL, 'Profilin conserved site', 'Profilin_CS', 2, NULL),
(25714, NULL, 'IPR028320', NULL, 'RelA-associated inhibitor', 'iASPP', 4, NULL),
(25715, NULL, 'IPR032354', NULL, 'FOXP, coiled-coil domain', 'FOXP-CC', 3, NULL),
(25716, NULL, 'IPR028890', NULL, 'Ubiquitin-specific peptidase-like, SUMO isopeptidase', 'Peptidase_C98', 3, NULL),
(25717, NULL, 'IPR032598', NULL, 'Protein of unknown function DUF4902', 'DUF4902', 4, NULL),
(25718, NULL, 'IPR032446', NULL, 'S phase cyclin A-associated protein in the endoplasmic reticulum, N-terminal', 'SCAPER_N', 3, NULL),
(25719, NULL, 'IPR032221', NULL, 'Protein of unknown function DUF5040', 'DUF5040', 4, NULL),
(25720, NULL, 'IPR029675', NULL, 'GPI-GalNAc transferase PGAP4', 'PGAP4', 4, NULL),
(25721, NULL, 'IPR029602', NULL, 'Intraflagellar transport protein 74', 'IFT74', 4, NULL),
(25722, NULL, 'IPR032898', NULL, 'Cell division protein DedD', 'DedD', 4, NULL),
(25723, NULL, 'IPR024510', NULL, 'Protein of unknown function DUF2589', 'DUF2589', 4, NULL),
(25724, NULL, 'IPR032876', NULL, 'Tip attachment protein J', 'J_dom', 3, NULL),
(25725, NULL, 'IPR024502', NULL, 'Protein of unknown function DUF3194', 'DUF3194', 4, NULL),
(25726, NULL, 'IPR032366', NULL, 'Protein of unknown function DUF4871', 'DUF4871', 4, NULL),
(25727, NULL, 'IPR024526', NULL, 'Protein of unknown function DUF3807', 'DUF3807', 4, NULL),
(25728, NULL, 'IPR031769', NULL, 'Actin-like protein 7A, N-terminal', 'ACTL7A_N', 3, NULL),
(25729, NULL, 'IPR027996', NULL, 'Tubulin epsilon and delta complex protein 1 domain', 'TEDC1_dom', 3, NULL),
(25730, NULL, 'IPR031689', NULL, 'Protein of unknown function DUF5080', 'DUF5080', 4, NULL),
(25731, NULL, 'IPR030980', NULL, 'Phosphate ABC transporter substrate-binding protein', 'PtsS_plasma', 4, NULL),
(25732, NULL, 'IPR028552', NULL, 'Alpha-1-syntrophin', 'SNTA1', 4, NULL),
(25733, NULL, 'IPR032220', NULL, 'Protein of unknown function DUF5039', 'DUF5039', 4, NULL),
(25734, NULL, 'IPR032350', NULL, 'Next to BRCA1, central domain', 'N_BRCA1_central', 3, NULL),
(25735, NULL, 'IPR024332', NULL, 'MOZART2 family', 'MOZART2', 4, NULL),
(25736, NULL, 'IPR030451', NULL, 'Transcription factor Sp2', 'SP2_TF', 4, NULL),
(25737, NULL, 'IPR025686', NULL, 'Glucosyl transferase II', 'Glucos_trans_II', 4, NULL),
(25738, NULL, 'IPR029300', NULL, 'CEP170, C-terminal', 'CEP170_C', 3, NULL),
(25739, NULL, 'IPR026205', NULL, 'Progesterone-induced-blocking factor 1', 'PIBF1', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25740, NULL, 'IPR027318', NULL, 'Epsin-3, metazoa', 'Epsin-3_metazoa', 4, NULL),
(25741, NULL, 'IPR029679', NULL, 'Schlafen family member 13', 'SLFN13', 4, NULL),
(25742, NULL, 'IPR027942', NULL, 'Sieve element occlusion, N-terminal', 'SEO_N', 3, NULL),
(25743, NULL, 'IPR024537', NULL, 'Domain of unknown function DUF3322', 'DUF3322', 3, NULL),
(25744, NULL, 'IPR029608', NULL, 'Centrosomal protein of 63kDa', 'Cep63', 4, NULL),
(25745, NULL, 'IPR029686', NULL, 'Enhancer of split M4 family', 'Malpha/m4/m2', 4, NULL),
(25746, NULL, 'IPR031719', NULL, 'Condensin II complex subunit H2, middle domain', 'H2_M', 3, NULL),
(25747, NULL, 'IPR032905', NULL, 'O-acetyltransferase WecH', 'WecH', 4, NULL),
(25748, NULL, 'IPR024520', NULL, 'Protein of unknown function DUF3558', 'DUF3558', 4, NULL),
(25749, NULL, 'IPR025709', NULL, 'Leucyl-tRNA synthetase, editing domain', 'Leu_tRNA-synth_edit', 3, NULL),
(25750, NULL, 'IPR030702', NULL, 'Ras-related protein Rab14', 'Rab14', 4, NULL),
(25751, NULL, 'IPR029309', NULL, 'Calcium-responsive transcription factor', 'CaRF', 4, NULL),
(25752, NULL, 'IPR029760', NULL, 'Glutathione peroxidase conserved site', 'GPX_CS', 2, NULL),
(25753, NULL, 'IPR027379', NULL, 'Cardiolipin synthase N-terminal', 'CLS_N', 3, NULL),
(25754, NULL, 'IPR027924', NULL, 'Phage-like element PBSX protein, XkdF', 'XkdF', 3, NULL),
(25755, NULL, 'IPR030714', NULL, 'Protocadherin-18', 'Protocadherin-18', 4, NULL),
(25756, NULL, 'IPR031693', NULL, 'Sin3, C-terminal', 'Sin3_C', 3, NULL),
(25757, NULL, 'IPR024516', NULL, 'Mammalian cell entry, C-terminal', 'Mce_C', 3, NULL),
(25758, NULL, 'IPR031770', NULL, 'Antibacterial factor-related peptide', 'Abf-1/2', 4, NULL),
(25759, NULL, 'IPR031180', NULL, 'Glypican-4', 'Glypican-4', 4, NULL),
(25760, NULL, 'IPR027989', NULL, 'Domain of unknown function DUF4461', 'DUF4461', 3, NULL),
(25761, NULL, 'IPR028546', NULL, 'Klotho', 'Klotho', 4, NULL),
(25762, NULL, 'IPR029711', NULL, 'HAUS augmin-like complex subunit 7-like', 'Haus7-like', 4, NULL),
(25763, NULL, 'IPR024442', NULL, 'Transposase, zinc-ribbon', 'Transposase_Zn_ribbon', 3, NULL),
(25764, NULL, 'IPR028909', NULL, 'Ribosomal protein L21-like', 'L21p-like', 4, NULL),
(25765, NULL, 'IPR029040', NULL, 'RNA polymerase subunit RPABC4/transcription elongation factor Spt4', 'RPABC4/Spt4', 5, NULL),
(25766, NULL, 'IPR028941', NULL, 'WHIM2 domain', 'WHIM2_dom', 3, NULL),
(25767, NULL, 'IPR025685', NULL, 'YoaP-like domain', 'YoaP-like_dom', 3, NULL),
(25768, NULL, 'IPR032899', NULL, 'Cell division protein DamX', 'DamX', 4, NULL),
(25769, NULL, 'IPR025941', NULL, 'Vacuolar protein sorting-associated protein 8, central domain', 'Vps8_central_dom', 3, NULL),
(25770, NULL, 'IPR024529', NULL, 'ECF transporter, substrate-specific component', 'ECF_trnsprt_substrate-spec', 4, NULL),
(25771, NULL, 'IPR028375', NULL, 'KA1 domain/Ssp2, C-terminal', 'KA1/Ssp2_C', 5, NULL),
(25772, NULL, 'IPR030978', NULL, 'Adenosyl-fluoride synthase', 'Fluorinase', 4, NULL),
(25773, NULL, 'IPR024684', NULL, 'Transcriptional activator PerC/bacteriophage SfV Orf40', 'Tscrpt_act_PerC/SfV_Orf40', 4, NULL),
(25774, NULL, 'IPR031136', NULL, 'Protein fantom (RPGRIP1L)', 'RPGRIP1L', 4, NULL),
(25775, NULL, 'IPR031852', NULL, 'Spindle pole body-associated protein Vik1/Cik1, microtubule binding domain', 'Vik1/Cik1_MT-bd', 3, NULL),
(25776, NULL, 'IPR024523', NULL, 'Protein of unknown function DUF3793', 'DUF3793', 4, NULL),
(25777, NULL, 'IPR026124', NULL, 'Sperm-associated antigen 8', 'Sperm-assoc_Ag8', 4, NULL),
(25778, NULL, 'IPR032215', NULL, 'Protein of unknown function DUF5034', 'DUF5034', 4, NULL),
(25779, NULL, 'IPR032888', NULL, 'Histidine N-alpha-methyltransferase, Actinobacteria-type', 'EgtD_Actinobacteria', 4, NULL),
(25780, NULL, 'IPR025601', NULL, 'ATP-binding sugar transporter-like protein', 'ATP-bd_sugar_transptr-like', 4, NULL),
(25781, NULL, 'IPR028942', NULL, 'WHIM1 domain', 'WHIM1_dom', 3, NULL),
(25782, NULL, 'IPR024319', NULL, 'ATPase expression protein 2, mitochondrial', 'ATPase_expression_mit', 4, NULL),
(25783, NULL, 'IPR028955', NULL, 'Immunity protein 57', 'Imm57', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25784, NULL, 'IPR029302', NULL, 'Intraflagellar transport protein 43', 'IFT43', 4, NULL),
(25785, NULL, 'IPR024445', NULL, 'ISXO2-like transposase domain', 'Tnp_ISXO2-like', 3, NULL),
(25786, NULL, 'IPR032207', NULL, 'Protein of unknown function DUF5026', 'DUF5026', 4, NULL),
(25787, NULL, 'IPR029052', NULL, 'Metallo-dependent phosphatase-like', 'Metallo-depent_PP-like', 5, NULL),
(25788, NULL, 'IPR029677', NULL, 'Schlafen family member 14', 'SLFN14', 4, NULL),
(25789, NULL, 'IPR032912', NULL, 'Beclin-2', 'BECN2', 4, NULL),
(25790, NULL, 'IPR028522', NULL, 'Protein Unc-1', 'Unc-1', 4, NULL),
(25791, NULL, 'IPR025679', NULL, 'Immunity protein Imm2', 'Imm2', 4, NULL),
(25792, NULL, 'IPR025687', NULL, 'C4-type zinc-finger of DNA polymerase delta', 'Znf-C4pol', 3, NULL),
(25793, NULL, 'IPR026436', NULL, 'Conserved hypothetical protein CHP04206', 'CHP04206', 4, NULL),
(25794, NULL, 'IPR027312', NULL, 'Sda1', 'Sda1', 4, NULL),
(25795, NULL, 'IPR028957', NULL, 'Immunity protein 50', 'Imm50', 4, NULL),
(25796, NULL, 'IPR026435', NULL, 'Cys-rich repeat, Myxococcales-type', 'Myxo_Cys_rpt', 7, NULL),
(25797, NULL, 'IPR032604', NULL, 'Protein of unknown function DUF4897', 'DUF4897', 4, NULL),
(25798, NULL, 'IPR029304', NULL, 'A-kinase anchor protein 2, C-terminal domain', 'AKAP2_C', 3, NULL),
(25799, NULL, 'IPR024515', NULL, 'Protein of unknown function DUF3397', 'DUF3397', 4, NULL),
(25800, NULL, 'IPR032910', NULL, 'WD repeat domain phosphoinositide-interacting protein 4', 'WIPI4', 4, NULL),
(25801, NULL, 'IPR029311', NULL, 'Coiled-coil domain-containing protein 50,  N-terminal', 'CCDC50_N', 3, NULL),
(25802, NULL, 'IPR024495', NULL, 'Protein of unknown function DUF2771', 'DUF2771', 4, NULL),
(25803, NULL, 'IPR024937', NULL, 'Domain X', 'Domain_X', 3, NULL),
(25804, NULL, 'IPR026090', NULL, 'Nuclear pore protein POM121', 'POM121', 4, NULL),
(25805, NULL, 'IPR025956', NULL, 'Cytoplasmic dynein 1 intermediate chain 1/2', 'DYNC1I1/DYNC1I2', 4, NULL),
(25806, NULL, 'IPR027944', NULL, 'Sieve element occlusion, C-terminal', 'SEO_C', 3, NULL),
(25807, NULL, 'IPR032219', NULL, 'Protein of unknown function DUF5038', 'DUF5038', 4, NULL),
(25808, NULL, 'IPR024682', NULL, 'Nuclear pore localisation protein Npl4, ubiquitin-like domain', 'Npl4_Ub-like_dom', 3, NULL),
(25809, NULL, 'IPR029296', NULL, 'Putative Bcl-2 like protein of testis', 'Bcl-2-like_put', 4, NULL),
(25810, NULL, 'IPR032212', NULL, 'Protein of unknown function DUF5031', 'DUF5031', 4, NULL),
(25811, NULL, 'IPR028528', NULL, 'Stomatin-4', 'Stomatin-4', 4, NULL),
(25812, NULL, 'IPR028949', NULL, 'Novel toxin 15', 'Ntox15', 3, NULL),
(25813, NULL, 'IPR029717', NULL, 'FAM193 family', 'FAM193', 4, NULL),
(25814, NULL, 'IPR032349', NULL, 'Protein of unknown function DUF4865', 'DUF4865', 4, NULL),
(25815, NULL, 'IPR025695', NULL, 'DoxX-like family', 'DoxX-like', 4, NULL),
(25816, NULL, 'IPR030875', NULL, 'Sulfoquinovose isomerase', 'SQ_isomerase', 4, NULL),
(25817, NULL, 'IPR026060', NULL, 'Associate of Myc 1', 'AMY1', 4, NULL),
(25818, NULL, 'IPR029669', NULL, 'Proton pump-interactor', 'PPI', 4, NULL),
(25819, NULL, 'IPR032602', NULL, 'Protein of unknown function DUF4899', 'DUF4899', 4, NULL),
(25820, NULL, 'IPR026831', NULL, 'Adenomatous polyposis coli protein', 'APC_dom', 5, NULL),
(25821, NULL, 'IPR033986', NULL, 'Clusterin, conserved site', 'Clusterin_CS', 2, NULL),
(25822, NULL, 'IPR025982', NULL, 'Superinfection exclusion protein B', 'SieB', 4, NULL),
(25823, NULL, 'IPR026058', NULL, 'LIPIN family', 'LIPIN', 4, NULL),
(25824, NULL, 'IPR032391', NULL, 'Invasin IpaB, N-terminal', 'SipB_N', 3, NULL),
(25825, NULL, 'IPR026712', NULL, 'Choline/Ethanolamine kinase', 'Cho/Etha_kinase', 4, NULL),
(25826, NULL, 'IPR029009', NULL, 'Allosteric substrate binding domain superfamily', 'ASB_dom_sf', 5, NULL),
(25827, NULL, 'IPR029043', NULL, 'Glycine cleavage T-protein/YgfZ, C-terminal', 'GcvT/YgfZ_C', 5, NULL),
(25828, NULL, 'IPR029671', NULL, 'Schlafen family member 5', 'Slfn5', 4, NULL),
(25829, NULL, 'IPR025983', NULL, 'Cysteine-rich CPCC domain', 'Cys_rich_CPCC', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25830, NULL, 'IPR032897', NULL, 'Dissimilatory sulfite reductase', 'Sulfite_reductase', 4, NULL),
(25831, NULL, 'IPR025717', NULL, 'Histone deacetylase complex subunit SAP30 zinc-finger', 'SAP30_zn-finger', 3, NULL),
(25832, NULL, 'IPR029307', NULL, 'INTS6/SAGE1/DDX26B/CT45, C-terminal', 'INT_SG_DDX_CT_C', 3, NULL),
(25833, NULL, 'IPR029684', NULL, 'Schlafen family', 'Schlafen', 4, NULL),
(25834, NULL, 'IPR031703', NULL, 'Lipin, middle domain', 'Lipin_mid', 3, NULL),
(25835, NULL, 'IPR029531', NULL, 'Calpain-3', 'CAPN3', 4, NULL),
(25836, NULL, 'IPR029316', NULL, 'Regulatory factor X-associated protein, RFXANK-binding domain', 'RFXAP_RFXANK-bd', 3, NULL),
(25837, NULL, 'IPR031723', NULL, 'Dimethlysulfonioproprionate lyase', 'DMSP_lyase', 4, NULL),
(25838, NULL, 'IPR026207', NULL, 'Interleukin-27 alpha', 'IL-27_alpha', 4, NULL),
(25839, NULL, 'IPR024500', NULL, 'Domain of unknown function DUF3074', 'DUF3074', 3, NULL),
(25840, NULL, 'IPR024451', NULL, 'TraG, N-terminal, Bacteroidetes', 'TraG_N_Bacteroidetes', 3, NULL),
(25841, NULL, 'IPR029719', NULL, 'Protein FAM193A', 'FAM193A', 4, NULL),
(25842, NULL, 'IPR028527', NULL, 'Stomatin-3', 'Stomatin-3', 4, NULL),
(25843, NULL, 'IPR024339', NULL, 'Protein of unknown function DUF3836', 'DUF3836', 4, NULL),
(25844, NULL, 'IPR032208', NULL, 'Protein of unknown function DUF5027', 'DUF5027', 4, NULL),
(25845, NULL, 'IPR025955', NULL, 'Type-IV secretion system protein TraC/Conjugative transfer ATPase', 'TraC/Conjuga_ATPase', 4, NULL),
(25846, NULL, 'IPR029697', NULL, 'Geminin', 'Geminin', 4, NULL),
(25847, NULL, 'IPR024486', NULL, 'Protein of unknown function DUF2617', 'DUF2617', 4, NULL),
(25848, NULL, 'IPR027389', NULL, 'Beta-1,4-mannosyltransferase Bre-3/Egh', 'B_mannosylTrfase_Bre-3/Egh', 4, NULL),
(25849, NULL, 'IPR029533', NULL, 'Visinin-like protein 1', 'VILIP-1', 4, NULL),
(25850, NULL, 'IPR030977', NULL, '7-carboxy-7-deazaguanine synthase, Cx14CxxC-type', 'QueE_Cx14CxxC', 4, NULL),
(25851, NULL, 'IPR032596', NULL, 'Domain of unknown function DUF4904', 'DUF4904', 3, NULL),
(25852, NULL, 'IPR031709', NULL, 'Putative phage abortive infection protein', 'PutAbiC', 4, NULL),
(25853, NULL, 'IPR025694', NULL, 'Mitochondrial splicing apparatus component MNE1', 'MNE1', 4, NULL),
(25854, NULL, 'IPR032203', NULL, 'Protein of unknown function (DUF5022)', 'DUF5022', 4, NULL),
(25855, NULL, 'IPR032211', NULL, 'Protein of unknown function DUF5030', 'DUF5030', 4, NULL),
(25856, NULL, 'IPR027396', NULL, 'DsrEFH-like', 'DsrEFH-like', 5, NULL),
(25857, NULL, 'IPR032204', NULL, 'Protein of unknown function DUF5023', 'DUF5023', 4, NULL),
(25858, NULL, 'IPR028544', NULL, 'Protein CASC3', 'CASC3', 4, NULL),
(25859, NULL, 'IPR028954', NULL, 'Immunity protein 59', 'Imm59', 4, NULL),
(25860, NULL, 'IPR024450', NULL, 'Domain of unknown function DUF3874', 'DUF3874', 3, NULL),
(25861, NULL, 'IPR032226', NULL, 'TNRC6, PABC binding domain', 'TNRC6_PABC-bd', 3, NULL),
(25862, NULL, 'IPR024509', NULL, 'Anti-lipopolysaccharide factor/Scygonadin', 'Anti-LPS_factor/Scygonadin', 4, NULL),
(25863, NULL, 'IPR029297', NULL, 'Spermatogenesis-associated protein 32', 'SPATA32', 4, NULL),
(25864, NULL, 'IPR024517', NULL, 'Glycogen phosphorylase, domain of unknown function DUF3417', 'Glycogen_phosphorylase_DUF3417', 3, NULL),
(25865, NULL, 'IPR027383', NULL, 'Putative zinc-finger', 'Znf_put', 3, NULL),
(25866, NULL, 'IPR029713', NULL, 'Transmembrane protein 168', 'TMEM168', 4, NULL),
(25867, NULL, 'IPR030984', NULL, 'Microcompartment protein PduB', 'PduB', 4, NULL),
(25868, NULL, 'IPR026086', NULL, 'Proline-rich protein', 'Pro-rich', 4, NULL),
(25869, NULL, 'IPR025889', NULL, 'General stress protein 17M-like domain', 'GSP17M-like_dom', 3, NULL),
(25870, NULL, 'IPR032396', NULL, 'Spindle assembly abnormal protein 6, N-terminal', 'SAS-6_N', 3, NULL),
(25871, NULL, 'IPR028406', NULL, '1-phosphatidylinositol 4,5-bisphosphate phosphodiesterase delta-3', 'PLC-delta3', 4, NULL),
(25872, NULL, 'IPR025680', NULL, 'Double-stranded DNA deaminase immunity protein DddI', 'DddI', 4, NULL),
(25873, NULL, 'IPR025932', NULL, 'Trypanosome variant surface glycoprotein, B-type, N-terminal domain', 'Trypano_VSG_B_N_dom', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25874, NULL, 'IPR029006', NULL, 'ADF-H/Gelsolin-like domain superfamily', 'ADF-H/Gelsolin-like_dom_sf', 5, NULL),
(25875, NULL, 'IPR026562', NULL, 'Probable transcriptional regulatory protein YeeN', 'Transcrip_reg_TACO1_YeeN', 4, NULL),
(25876, NULL, 'IPR030811', NULL, 'Quinoprotein relay system zinc metallohydrolase 1', 'SoxH-rel_PQQ_1', 4, NULL),
(25877, NULL, 'IPR024532', NULL, 'Protein of unknown function DUF3830', 'DUF3830', 4, NULL),
(25878, NULL, 'IPR025684', NULL, 'Gliding motility protein SprA N-terminal domain', 'SprA_N_dom', 3, NULL),
(25879, NULL, 'IPR027993', NULL, 'Protein of unknown function DUF4495', 'DUF4495', 4, NULL),
(25880, NULL, 'IPR024681', NULL, 'Ribulose bisphosphate carboxylase, small subunit', 'RuBisCO_ssu', 4, NULL),
(25881, NULL, 'IPR031846', NULL, 'Voltage-gated hydrogen channel 1', 'Hvcn1', 4, NULL),
(25882, NULL, 'IPR024949', NULL, 'Bet v I type allergen', 'Bet_v_I_allergen', 4, NULL),
(25883, NULL, 'IPR032908', NULL, 'Lipid A 1-diphosphate synthase', 'LpxT', 4, NULL),
(25884, NULL, 'IPR024539', NULL, 'Protein of unknown function DUF3877', 'DUF3877', 4, NULL),
(25885, NULL, 'IPR027461', NULL, 'LD-carboxypeptidase A, C-terminal domain superfamily', 'Carboxypeptidase_A_C_sf', 5, NULL),
(25886, NULL, 'IPR030981', NULL, 'SDR family mycofactocin-dependent oxidoreductase', 'SDR_subfam_2', 4, NULL),
(25887, NULL, 'IPR029600', NULL, 'Intraflagellar transport protein 81', 'IFT81', 4, NULL),
(25888, NULL, 'IPR032450', NULL, 'SMARCC, N-terminal', 'SMARCC_N', 3, NULL),
(25889, NULL, 'IPR024337', NULL, 'tRNA-splicing endonuclease, subunit Sen54', 'tRNA_splic_suSen54', 4, NULL),
(25890, NULL, 'IPR032451', NULL, 'SMARCC, C-terminal', 'SMARCC_C', 3, NULL),
(25891, NULL, 'IPR031766', NULL, 'Occluded RNA-recognition motif', 'RRM_occluded', 3, NULL),
(25892, NULL, 'IPR027391', NULL, 'rRNA small subunit methyltransferase F, RNA-binding PUA-like domain', 'Nol1_Nop2_Fmu_2', 3, NULL),
(25893, NULL, 'IPR026126', NULL, 'BRISC and BRCA1-A complex member 1', 'BABAM1', 4, NULL),
(25894, NULL, 'IPR032216', NULL, 'Protein of unknown function DUF5035', 'DUF5035', 4, NULL),
(25895, NULL, 'IPR029306', NULL, 'E3 ubiquitin-protein ligase Arkadia, N-terminal', 'RNF111_N', 3, NULL),
(25896, NULL, 'IPR028953', NULL, 'Immunity protein IFT-like', 'Imm_IFT-like', 4, NULL),
(25897, NULL, 'IPR024508', NULL, 'Protein of unknown function DUF3226', 'DUF3226', 4, NULL),
(25898, NULL, 'IPR025706', NULL, 'Endo-alpha-N-acetylgalactosaminidase', 'Endoa_GalNAc', 3, NULL),
(25899, NULL, 'IPR026069', NULL, 'Fuzzy protein', 'Fuzzy', 4, NULL),
(25900, NULL, 'IPR024487', NULL, 'Protein YhjR', 'YhjR', 4, NULL),
(25901, NULL, 'IPR032448', NULL, 'SMARCC, SWIRM-associated domain', 'SWIRM-assoc', 3, NULL),
(25902, NULL, 'IPR024533', NULL, 'Protein of unknown function DUF3834', 'DUF3834', 4, NULL),
(25903, NULL, 'IPR026089', NULL, 'Activating transcription factor 7-interacting protein 2', 'ATF7-int_2', 4, NULL),
(25904, NULL, 'IPR027934', NULL, 'Cellulose synthase, RING-type zinc finger', 'CES_Znf_RING', 3, NULL),
(25905, NULL, 'IPR029301', NULL, 'Sperm acrosome-associated protein 7', 'SPACA7', 4, NULL),
(25906, NULL, 'IPR032347', NULL, 'Protein of unknown function DUF4864', 'DUF4864', 4, NULL),
(25907, NULL, 'IPR029104', NULL, 'Retro-transcribing virus envelope glycoprotein', 'HERV-K_env', 3, NULL),
(25908, NULL, 'IPR032341', NULL, 'MITD1, C-terminal phospholipase D-like domain', 'MITD1_C', 3, NULL),
(25909, NULL, 'IPR029001', NULL, 'Inosine triphosphate pyrophosphatase-like', 'ITPase-like_fam', 5, NULL),
(25910, NULL, 'IPR032222', NULL, 'Protein of unknown function DUF5041', 'DUF5041', 4, NULL),
(25911, NULL, 'IPR032392', NULL, 'SATB, ubiquitin-like oligomerisation domain', 'ULD', 3, NULL),
(25912, NULL, 'IPR026087', NULL, 'Corneodesmosin', 'Corneodesmosin', 4, NULL),
(25913, NULL, 'IPR031334', NULL, 'Piezo non-specific cation channel, R-Ras-binding domain', 'Piezo_RRas-bd_dom', 3, NULL),
(25914, NULL, 'IPR032911', NULL, 'WD repeat domain phosphoinositide-interacting protein 2', 'WIPI2', 4, NULL),
(25915, NULL, 'IPR025718', NULL, 'Histone deacetylase complex subunit SAP30, Sin3 binding domain', 'SAP30_Sin3-bd', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25916, NULL, 'IPR025923', NULL, 'YodL-like', 'YodL-like', 4, NULL),
(25917, NULL, 'IPR024655', NULL, 'Uncharacterised protein family, glycosyl hydrolase catalytic domain', 'Unchr_glyco_hydro_catalytic', 3, NULL),
(25918, NULL, 'IPR025714', NULL, 'Methyltransferase domain', 'Methyltranfer_dom', 3, NULL),
(25919, NULL, 'IPR025652', NULL, 'Acyl-CoA thioesterase II domain', 'Acyl_CoA_thio_II_dom', 3, NULL),
(25920, NULL, 'IPR029044', NULL, 'Nucleotide-diphospho-sugar transferases', 'Nucleotide-diphossugar_trans', 5, NULL),
(25921, NULL, 'IPR031702', NULL, 'Protein of unknown function DUF5078', 'DUF5078', 4, NULL),
(25922, NULL, 'IPR025582', NULL, 'YARHG domain', 'YARHG_dom', 3, NULL),
(25923, NULL, 'IPR024519', NULL, 'Inverse autotransporter, beta-domain', 'IAT_beta', 3, NULL),
(25924, NULL, 'IPR029521', NULL, 'Transcription factor GATA-3', 'GATA-3', 4, NULL),
(25925, NULL, 'IPR029072', NULL, 'YebC-like', 'YebC-like', 5, NULL),
(25926, NULL, 'IPR024923', NULL, 'Peptidoglycan biosynthesis protein, SpoVB-type', 'PG_synth_SpoVB', 4, NULL),
(25927, NULL, 'IPR024309', NULL, 'Nuclear Testis  protein, N-terminal', 'NUT_N', 3, NULL),
(25928, NULL, 'IPR024530', NULL, 'Putative quorum-sensing-regulated virulence factor', 'QSregVF_b', 4, NULL),
(25929, NULL, 'IPR026066', NULL, 'Headcase protein', 'Headcase', 4, NULL),
(25930, NULL, 'IPR025921', NULL, 'HmuY protein', 'HmuY', 4, NULL),
(25931, NULL, 'IPR025690', NULL, 'Methyltransferase, putative', 'Methyltransf_put', 4, NULL),
(25932, NULL, 'IPR028317', NULL, 'Myb-related protein A', 'MYBL1', 4, NULL),
(25933, NULL, 'IPR030197', NULL, 'Equilibrative nucleoside transporter 2', 'ENT2', 4, NULL),
(25934, NULL, 'IPR025583', NULL, 'HMG-CoA reductase, N-terminal domain', 'HMG-CoA_N_dom', 3, NULL),
(25935, NULL, 'IPR032200', NULL, 'Transcription factor COE, DNA-binding domain', 'COE_DBD', 3, NULL),
(25936, NULL, 'IPR027071', NULL, 'Integrin beta-1 subunit', 'Integrin_beta-1', 4, NULL),
(25937, NULL, 'IPR026204', NULL, 'GRIP1-associated protein 1', 'GRIPAP1', 4, NULL),
(25938, NULL, 'IPR027923', NULL, 'Hydrophobic seed protein domain', 'Hydrophob_seed_dom', 3, NULL),
(25939, NULL, 'IPR025589', NULL, 'Topoisomerase C-terminal repeat', 'Toprim_C_rpt', 7, NULL),
(25940, NULL, 'IPR031391', NULL, 'Nucleolar protein Swm2', 'Swm2', 4, NULL),
(25941, NULL, 'IPR025981', NULL, 'Ribosomal RNA aminoglycoside-resistance methyltransferase', 'rRNA_MeTrfase', 4, NULL),
(25942, NULL, 'IPR031134', NULL, 'Retinitis pigmentosa GTPase regulator-interacting protein 1', 'RPGRIP1', 4, NULL),
(25943, NULL, 'IPR032672', NULL, 'TmcA/NAT10/Kre33', 'TmcA/NAT10/Kre33', 4, NULL),
(25944, NULL, 'IPR025688', NULL, 'PGDYG protein', 'PGDYG_prot', 4, NULL),
(25945, NULL, 'IPR025682', NULL, 'CpXC domain', 'CpXC_dom', 3, NULL),
(25946, NULL, 'IPR027926', NULL, 'Uncharacterised protein YqbF domain', 'YqbF', 3, NULL),
(25947, NULL, 'IPR028946', NULL, 'Bacterial toxin 44', 'Ntox44', 3, NULL),
(25948, NULL, 'IPR027997', NULL, 'Protein Largen/Inhibitory synaptic factor 1', 'Largen/INSYN1', 4, NULL),
(25949, NULL, 'IPR024503', NULL, 'Protein of unknown function DUF3196', 'DUF3196', 4, NULL),
(25950, NULL, 'IPR031717', NULL, 'Multifunctional 2-oxoglutarate metabolism enzyme, C-terminal', 'KGD_C', 3, NULL),
(25951, NULL, 'IPR025715', NULL, 'Chromatin target of PRMT1 protein, C-terminal', 'FoP_C', 3, NULL),
(25952, NULL, 'IPR027068', NULL, 'Integrin beta-3 subunit', 'Integrin_beta-3', 4, NULL),
(25953, NULL, 'IPR024541', NULL, 'Protein of unknown function DUF3881', 'DUF3881', 4, NULL),
(25954, NULL, 'IPR027073', NULL, '5''-3'' exoribonuclease', '5_3_exoribonuclease', 4, NULL),
(25955, NULL, 'IPR024525', NULL, 'Protein of unknown function DUF3804', 'DUF3804', 4, NULL),
(25956, NULL, 'IPR032445', NULL, 'Domain of unknown function DUF5059', 'DUF5059', 3, NULL),
(25957, NULL, 'IPR032202', NULL, 'Family of unknown function DUF5021', 'DUF5021', 4, NULL),
(25958, NULL, 'IPR024498', NULL, 'Domain of unknown function DUF2786', 'DUF2786', 3, NULL),
(25959, NULL, 'IPR024496', NULL, 'Spore germination protein GerPE', 'Spore_germ_GerPE', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(25960, NULL, 'IPR031765', NULL, 'Mdy2, Get4 binding domain', 'Mdy2_get4-bd', 3, NULL),
(25961, NULL, 'IPR024493', NULL, 'Fumarase D', 'FumD', 4, NULL),
(25962, NULL, 'IPR024505', NULL, 'Protein of unknown function DUF3201', 'DUF3201', 4, NULL),
(25963, NULL, 'IPR024535', NULL, 'Pectate lyase superfamily protein', 'Pectate_lyase_SF_prot', 3, NULL),
(25964, NULL, 'IPR028947', NULL, 'Bacterial toxin 34', 'Ntox34', 3, NULL),
(25965, NULL, 'IPR030795', NULL, 'Tubulin polymerisation-promoting protein family member 3', 'TPPP3', 4, NULL),
(25966, NULL, 'IPR029674', NULL, 'UPF0462 protein C4orf33', 'C4orf33', 4, NULL),
(25967, NULL, 'IPR032343', NULL, 'Methyl-CpG-binding domain protein 2/3, p55-binding region', 'MBD2/MBD3_p55-bd', 3, NULL),
(25968, NULL, 'IPR030018', NULL, 'Chitin-inducible gibberellin-responsive protein 2', 'CIGR2', 4, NULL),
(25969, NULL, 'IPR025931', NULL, 'TaqI-like C-terminal specificity domain', 'TaqI_C', 3, NULL),
(25970, NULL, 'IPR031701', NULL, 'Homeobox protein SIX1, N-terminal SD domain', 'SIX1_SD', 3, NULL),
(25971, NULL, 'IPR025692', NULL, 'Mechanosensitive ion channel inner membrane domain 1', 'MscS_IM_dom1', 3, NULL),
(25972, NULL, 'IPR029098', NULL, 'UDP N-acetylglucosamine O-acyltransferase, C-terminal', 'Acetyltransf_C', 3, NULL),
(25973, NULL, 'IPR029292', NULL, 'Methylated in normal thymocytes protein', 'MENT', 4, NULL),
(25974, NULL, 'IPR025711', NULL, 'PepSY domain', 'PepSY', 3, NULL),
(25975, NULL, 'IPR027329', NULL, 'TPX2, C-terminal', 'TPX2_C', 3, NULL),
(25976, NULL, 'IPR031308', NULL, 'Uncharacterised conserved protein UCP028777', 'UCP028777', 4, NULL),
(25977, NULL, 'IPR030925', NULL, 'Type II secretion system protein GspN, Leptospira-type', 'T2SS_GspN_Lepto', 4, NULL),
(25978, NULL, 'IPR031691', NULL, 'Lipoyl synthase, N-terminal', 'LIAS_N', 3, NULL),
(25979, NULL, 'IPR026818', NULL, 'Adenomatous polyposis coli (APC)  family', 'Apc_fam', 4, NULL),
(25980, NULL, 'IPR029724', NULL, 'Oxidative stress-induced growth inhibitor 1', 'OSGIN1', 4, NULL),
(25981, NULL, 'IPR029604', NULL, 'Transmembrane protein FAM155', 'FAM155', 4, NULL),
(25982, NULL, 'IPR031704', NULL, 'Glycosyl hydrolase family 36, N-terminal', 'Glyco_hydro_36_N', 3, NULL),
(25983, NULL, 'IPR032597', NULL, 'Protein of unknown function DUF4903', 'DUF4903', 4, NULL),
(25984, NULL, 'IPR024310', NULL, 'NUT family', 'NUT', 4, NULL),
(25985, NULL, 'IPR025691', NULL, 'GspL periplasmic domain', 'GspL_pp_dom', 3, NULL),
(25986, NULL, 'IPR030982', NULL, 'Electron transfer flavoprotein, mycofactocin-associated', 'Mft_EtfB', 4, NULL),
(25987, NULL, 'IPR024491', NULL, 'Selenoprotein SelK/SelG', 'Se_SelK/SelG', 4, NULL),
(25988, NULL, 'IPR032218', NULL, 'Protein of unknown function DUF5037', 'DUF5037', 4, NULL),
(25989, NULL, 'IPR030976', NULL, 'Putative modified peptide', 'Mod_pep_NH_fam', 4, NULL),
(25990, NULL, 'IPR032206', NULL, 'Protein of unknown function DUF5025', 'DUF5025', 4, NULL),
(25991, NULL, 'IPR032213', NULL, 'Protein of unknown function DUF5032', 'DUF5032', 4, NULL),
(25992, NULL, 'IPR026564', NULL, 'Transcriptional regulator TACO1-like, domain 3', 'Transcrip_reg_TACO1-like_dom3', 5, NULL),
(25993, NULL, 'IPR029070', NULL, 'Chitinase insertion domain superfamily', 'Chitinase_insertion_sf', 5, NULL),
(25994, NULL, 'IPR025701', NULL, 'Ubiquitin-conjugating enzyme, E2, family E', 'UBQ-conjugat_E2_E', 4, NULL),
(25995, NULL, 'IPR029506', NULL, 'Mitochondrial Rho GTPase 1', 'Miro-1', 4, NULL),
(25996, NULL, 'IPR029765', NULL, 'Diphosphomevalonate decarboxylase', 'Mev_diP_decarb', 4, NULL),
(25997, NULL, 'IPR031725', NULL, 'Acetylserotonin O-methyltransferase, dimerisation domain', 'ASMT_dimerisation', 3, NULL),
(25998, NULL, 'IPR024494', NULL, 'Protein of unknown function DUF2770', 'DUF2770', 4, NULL),
(25999, NULL, 'IPR025674', NULL, 'Immunity protein Imm6', 'Imm6', 4, NULL),
(26000, NULL, 'IPR031690', NULL, 'Protein of unknown function DUF5079', 'DUF5079', 4, NULL),
(26001, NULL, 'IPR028932', NULL, 'TerB-C domain', 'TerB-C', 3, NULL),
(26002, NULL, 'IPR029398', NULL, 'DNA polymerase beta, thumb domain', 'PolB_thumb', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26003, NULL, 'IPR031936', NULL, 'Domain of unknown function DUF4771', 'DUF4771', 3, NULL),
(26004, NULL, 'IPR030420', NULL, 'High affinity immunoglobulin epsilon receptor subunit beta', 'MS4A2', 4, NULL),
(26005, NULL, 'IPR025629', NULL, 'Protein of unknown function DUF4287', 'DUF4287', 4, NULL),
(26006, NULL, 'IPR024470', NULL, 'Protein of unknown function DUF2545', 'DUF2545', 4, NULL),
(26007, NULL, 'IPR029993', NULL, 'Plant galacturonosyltransferase GAUT', 'GAUT', 4, NULL),
(26008, NULL, 'IPR027518', NULL, 'Translation factor GUF1 homologue, organellar chromatophore', 'GUFP', 4, NULL),
(26009, NULL, 'IPR031182', NULL, 'Occludin/ELL domain-containing protein 1', 'Ocel1', 4, NULL),
(26010, NULL, 'IPR029633', NULL, 'Calcyphosin-like protein', 'CAPSL', 4, NULL),
(26011, NULL, 'IPR027640', NULL, 'Kinesin-like protein', 'Kinesin-like_fam', 4, NULL),
(26012, NULL, 'IPR028970', NULL, 'Protein of unknown function DUF4662', 'DUF4662', 4, NULL),
(26013, NULL, 'IPR027268', NULL, 'Peptidase M4/M1, CTD superfamily', 'Peptidase_M4/M1_CTD_sf', 5, NULL),
(26014, NULL, 'IPR031933', NULL, 'UPF0767 family', 'UPF0767', 4, NULL),
(26015, NULL, 'IPR024755', NULL, 'Circularly permutated YpsA SLOG', 'cpYpsA', 4, NULL),
(26016, NULL, 'IPR029388', NULL, 'Domain of unknown function DUF4650', 'DUF4650', 3, NULL),
(26017, NULL, 'IPR028910', NULL, 'Tox-PL-2 domain', 'Tox-PL-2_dom', 3, NULL),
(26018, NULL, 'IPR026339', NULL, 'Methylamine methyltransferase corrinoid protein reductive activase', 'Rama_corrin_act', 4, NULL),
(26019, NULL, 'IPR030521', NULL, 'SH2B adapter protein 1', 'SH2B1', 4, NULL),
(26020, NULL, 'IPR030473', NULL, 'Interleukin-6/GCSF/MGF, conserved site', 'IL6/GCSF/MGF_CS', 2, NULL),
(26021, NULL, 'IPR029065', NULL, 'Enolase C-terminal domain-like', 'Enolase_C-like', 3, NULL),
(26022, NULL, 'IPR027115', NULL, 'V-set and transmembrane domain-containing protein 2-like protein', 'VSTM2L', 4, NULL),
(26023, NULL, 'IPR030952', NULL, 'FemAB family protein', 'FemAB', 4, NULL),
(26024, NULL, 'IPR030956', NULL, 'Microcin B17-processing protein McbB', 'McbB', 4, NULL),
(26025, NULL, 'IPR029075', NULL, 'Immunity protein 48', 'Imm48', 4, NULL),
(26026, NULL, 'IPR029096', NULL, 'Developmental pluripotency-associated protein 3', 'Dppa3', 4, NULL),
(26027, NULL, 'IPR030461', NULL, 'Junction plakoglobin', 'Plakoglobin', 4, NULL),
(26028, NULL, 'IPR028081', NULL, 'Leucine-binding protein domain', 'Leu-bd', 3, NULL),
(26029, NULL, 'IPR030513', NULL, 'Dehydrin, conserved site', 'Dehydrin_CS', 2, NULL),
(26030, NULL, 'IPR030614', NULL, 'Serine/threonine-protein kinase Aurora-3', 'AUR3', 4, NULL),
(26031, NULL, 'IPR026285', NULL, 'TenA_E protein', 'TenA_E', 4, NULL),
(26032, NULL, 'IPR026373', NULL, 'Seadornavirus VP5/VP6 protein', 'VP5/VP6', 4, NULL),
(26033, NULL, 'IPR026858', NULL, 'Vezatin', 'Vezatin', 4, NULL),
(26034, NULL, 'IPR030591', NULL, 'Myotubularin-related protein 8', 'MTMR8', 4, NULL),
(26035, NULL, 'IPR028962', NULL, 'Immunity protein 10', 'Imm10', 4, NULL),
(26036, NULL, 'IPR027937', NULL, 'Photoreceptor disk component PRCD', 'PRCD', 4, NULL),
(26037, NULL, 'IPR026340', NULL, 'Thiazole biosynthesis domain', 'Thiazole_biosynth_dom', 3, NULL),
(26038, NULL, 'IPR027738', NULL, 'EB3', 'EB3', 4, NULL),
(26039, NULL, 'IPR027253', NULL, 'Transcriptional enhancer factor TEF-5 (TEAD3)', 'TEF-5', 4, NULL),
(26040, NULL, 'IPR029642', NULL, 'Calpain small subunit 1', 'CAPN4', 4, NULL),
(26041, NULL, 'IPR029093', NULL, 'Testis-expressed protein 19', 'TEX19', 4, NULL),
(26042, NULL, 'IPR029401', NULL, 'Nudix hydrolase, N-terminal', 'Nudix_N', 3, NULL),
(26043, NULL, 'IPR030418', NULL, 'B-lymphocyte antigen CD20', 'MS4A1', 4, NULL),
(26044, NULL, 'IPR029661', NULL, 'FAM76B', 'FAM76B', 4, NULL),
(26045, NULL, 'IPR029059', NULL, 'Alpha/beta hydrolase fold-5', 'AB_hydrolase_5', 3, NULL),
(26046, NULL, 'IPR027941', NULL, 'Placenta-specific protein 9', 'PLAC9', 4, NULL),
(26047, NULL, 'IPR028099', NULL, 'Protein of unknown function DUF4577', 'DUF4577', 4, NULL),
(26048, NULL, 'IPR029634', NULL, 'Calbindin', 'Calbindin', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26049, NULL, 'IPR027679', NULL, 'Actin-like protein 7A', 'ACTL7A', 4, NULL),
(26050, NULL, 'IPR026859', NULL, 'Myosin-binding domain', 'Myosin-bd', 3, NULL),
(26051, NULL, 'IPR030527', NULL, 'Disks large-associated protein 4', 'DLGAP4', 4, NULL),
(26052, NULL, 'IPR027112', NULL, 'Neuroplastin', 'Neuroplastin', 4, NULL),
(26053, NULL, 'IPR025649', NULL, 'Protein of unknown function DUF4360', 'DUF4360', 4, NULL),
(26054, NULL, 'IPR028579', NULL, 'Putative thymidine phosphorylase', 'Thym_Pase_Put', 4, NULL),
(26055, NULL, 'IPR029764', NULL, 'Leucine-rich repeat-containing protein 16A', 'CARMIL1', 4, NULL),
(26056, NULL, 'IPR030559', NULL, 'DNA polymerase zeta catalytic subunit', 'PolZ_Rev3', 4, NULL),
(26057, NULL, 'IPR027378', NULL, 'Cyclic nucleotide-regulated ion channel, N-terminal', 'Nucleotide_channel_N', 5, NULL),
(26058, NULL, 'IPR027473', NULL, 'L-asparaginase, C-terminal', 'L-asparaginase_C', 5, NULL),
(26059, NULL, 'IPR028915', NULL, 'Tox-HNH-HHH domain', 'Tox-HNH-HHH_dom', 3, NULL),
(26060, NULL, 'IPR027051', NULL, 'XdhC Rossmann domain', 'XdhC_Rossmann_dom', 3, NULL),
(26061, NULL, 'IPR030561', NULL, 'Myotubularin', 'Myotubularin', 4, NULL),
(26062, NULL, 'IPR024471', NULL, 'Protein of unknown function DUF2715', 'DUF2715', 4, NULL),
(26063, NULL, 'IPR029404', NULL, 'CDAN1-interacting nuclease 1', 'CDIN1', 4, NULL),
(26064, NULL, 'IPR028967', NULL, 'Immunity protein 65', 'Imm65', 4, NULL),
(26065, NULL, 'IPR027408', NULL, 'PNPase/RNase PH domain superfamily', 'PNPase/RNase_PH_dom_sf', 5, NULL),
(26066, NULL, 'IPR029078', NULL, 'Immunity protein 44', 'Imm44', 4, NULL),
(26067, NULL, 'IPR027691', NULL, 'Teneurin-3/4', 'Ten-3/4', 4, NULL),
(26068, NULL, 'IPR031855', NULL, 'Protein of unknown function DUF4751', 'DUF4751', 4, NULL),
(26069, NULL, 'IPR025630', NULL, 'Protein of unknown function DUF4288', 'DUF4288', 4, NULL),
(26070, NULL, 'IPR030155', NULL, 'Ferric/cupric reductase transmembrane component 7', 'FRE7', 4, NULL),
(26071, NULL, 'IPR028042', NULL, 'Protein of unknown function DUF4639', 'DUF4639', 4, NULL),
(26072, NULL, 'IPR030178', NULL, 'Transthyretin', 'Transthyretin', 4, NULL),
(26073, NULL, 'IPR026367', NULL, 'FxsC C-terminal domain', 'FxsC_C_dom', 3, NULL),
(26074, NULL, 'IPR029082', NULL, 'Immunity protein 35', 'Imm35', 3, NULL),
(26075, NULL, 'IPR030529', NULL, 'Amyloid beta A4 precursor protein-binding family A member 2', 'Apba2', 4, NULL),
(26076, NULL, 'IPR027255', NULL, 'Transcriptional enhancer factor TEF-3 (TEAD4)', 'TEF-3', 4, NULL),
(26077, NULL, 'IPR029060', NULL, 'PIN-like domain superfamily', 'PIN-like_dom_sf', 5, NULL),
(26078, NULL, 'IPR027938', NULL, 'Adipogenin', 'Adipogenin', 4, NULL),
(26079, NULL, 'IPR027272', NULL, 'Piezo family', 'Piezo', 4, NULL),
(26080, NULL, 'IPR028096', NULL, 'EfeO-type cupredoxin-like domain', 'EfeO_Cupredoxin', 3, NULL),
(26081, NULL, 'IPR027259', NULL, 'Predicted 3-demethylubiquinone-9 3-methyltransferase, bacterial', 'MTase_demethylubiq_bac', 4, NULL),
(26082, NULL, 'IPR029402', NULL, 'tRNA-guanine transglycosylase, patch-forming domain C2', 'TGT_C2', 3, NULL),
(26083, NULL, 'IPR027749', NULL, 'Tubulin--tyrosine ligase-like protein 12', 'TTLL12', 4, NULL),
(26084, NULL, 'IPR028916', NULL, 'Tox-GHH domain', 'Tox-GHH_dom', 3, NULL),
(26085, NULL, 'IPR026041', NULL, 'Glyoxalase ElbB', 'ElbB', 4, NULL),
(26086, NULL, 'IPR030682', NULL, 'Protein phosphatase 1 regulatory subunit 3B', 'PP1_3B', 4, NULL),
(26087, NULL, 'IPR027687', NULL, 'Shroom4', 'Shroom4', 4, NULL),
(26088, NULL, 'IPR029062', NULL, 'Class I glutamine amidotransferase-like', 'Class_I_gatase-like', 5, NULL),
(26089, NULL, 'IPR027057', NULL, 'CAAX prenyl protease 1', 'CAXX_Prtase_1', 4, NULL),
(26090, NULL, 'IPR029892', NULL, 'Profilin-1', 'PFN1', 4, NULL),
(26091, NULL, 'IPR030179', NULL, 'Phospholipid transfer protein', 'PLTP', 4, NULL),
(26092, NULL, 'IPR029089', NULL, 'Protein of unknown function DUF4660', 'DUF4660', 4, NULL),
(26093, NULL, 'IPR031500', NULL, 'Protein SNORC', 'SNORC', 4, NULL),
(26094, NULL, 'IPR028969', NULL, 'Immunity protein 52', 'Imm52', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26095, NULL, 'IPR025645', NULL, 'Domain of unknown function DUF4349', 'DUF4349', 4, NULL),
(26096, NULL, 'IPR029766', NULL, 'Capping protein, Arp2/3 and myosin-I linker protein 3', 'CARMIL3', 4, NULL),
(26097, NULL, 'IPR026541', NULL, 'MRG domain', 'MRG_dom', 3, NULL),
(26098, NULL, 'IPR028928', NULL, 'CC2D2A, N-terminal, C2 domain', 'CC2D2AN-C2', 3, NULL),
(26099, NULL, 'IPR029092', NULL, 'ZW10 interactor', 'Zwint-1', 4, NULL),
(26100, NULL, 'IPR028884', NULL, 'tRNA (guanine-N(7)-)-methyltransferase non-catalytic subunit', 'Trm82', 4, NULL),
(26101, NULL, 'IPR030029', NULL, 'Glutamate receptor-interacting protein 2', 'GRIP2', 4, NULL),
(26102, NULL, 'IPR031854', NULL, 'Putative membrane protein FidL-like', 'FidL-like', 4, NULL),
(26103, NULL, 'IPR030389', NULL, 'FeoB-type guanine nucleotide-binding (G) domain', 'G_FEOB_dom', 3, NULL),
(26104, NULL, 'IPR028968', NULL, 'Immunity protein 58', 'Imm58', 4, NULL),
(26105, NULL, 'IPR025631', NULL, 'Putative porin-10', 'Porin_10', 4, NULL),
(26106, NULL, 'IPR026015', NULL, 'F1F0 ATP synthase OSCP/delta subunit, N-terminal domain superfamily', 'ATP_synth_OSCP/delta_N_sf', 5, NULL),
(26107, NULL, 'IPR029081', NULL, 'Immunity protein 39', 'Imm39', 4, NULL),
(26108, NULL, 'IPR032523', NULL, 'Cytochrome c-type biogenesis protein CcmF, C-terminal', 'CcmF_C', 3, NULL),
(26109, NULL, 'IPR030526', NULL, 'Disks large-associated protein 3', 'DLGAP3', 4, NULL),
(26110, NULL, 'IPR029064', NULL, '50S ribosomal protein L30e-like', 'L30e-like', 5, NULL),
(26111, NULL, 'IPR030660', NULL, 'High-affinity branched-chain amino acid transport ATP-binding protein', 'ABC_branched_ATPase_LivF/BraG', 4, NULL),
(26112, NULL, 'IPR028917', NULL, 'Tox-GHH2 domain', 'Tox-GHH2_domain', 3, NULL),
(26113, NULL, 'IPR029763', NULL, 'F-actin-uncapping protein RLTPR', 'CARMIL2', 4, NULL),
(26114, NULL, 'IPR029077', NULL, 'Immunity protein 45', 'Imm45', 3, NULL),
(26115, NULL, 'IPR026039', NULL, 'Ancillary SecYEG translocon subunit YfgM', 'YfgM', 4, NULL),
(26116, NULL, 'IPR030960', NULL, '3-dehydroquinate synthase domain', 'DHQS/DOIS', 3, NULL),
(26117, NULL, 'IPR029922', NULL, 'Sla1', 'Sla1', 4, NULL),
(26118, NULL, 'IPR029655', NULL, 'Myosin light chain Mlc1/alkali', 'Mlc1', 4, NULL),
(26119, NULL, 'IPR029090', NULL, 'Protein of unknown function DUF4659', 'DUF4659', 4, NULL),
(26120, NULL, 'IPR035950', NULL, 'XkdW-like superfamily', 'XkdW-like_sf', 5, NULL),
(26121, NULL, 'IPR026097', NULL, 'S100P-binding protein', 'S100PBP', 4, NULL),
(26122, NULL, 'IPR029601', NULL, 'Transient receptor potential cation channel subfamily M member 7', 'TRPM7', 4, NULL),
(26123, NULL, 'IPR028900', NULL, 'Tox-SHH domain', 'Tox-SHH_dom', 3, NULL),
(26124, NULL, 'IPR027309', NULL, 'P2X purinoreceptor extracellular domain superfamily', 'P2X_extracellular_dom_sf', 5, NULL),
(26125, NULL, 'IPR028250', NULL, 'Thiol:disulfide interchange protein DsbD, N-terminal domain', 'DsbDN', 3, NULL),
(26126, NULL, 'IPR026357', NULL, 'Radical SAM/SPASM domain protein, GRRM system', 'rSAM/SPASM_prot_GRRM_system', 4, NULL),
(26127, NULL, 'IPR027666', NULL, 'Actin-related protein T2', 'ACTRT2', 4, NULL),
(26128, NULL, 'IPR026656', NULL, 'N-acetyltransferase ESCO1', 'AcTrfase_ESCO1', 4, NULL),
(26129, NULL, 'IPR026851', NULL, 'DNA replication ATP-dependent helicase/nuclease Dna2', 'Dna2', 4, NULL),
(26130, NULL, 'IPR027339', NULL, 'Coronin 2B', 'CORO2B', 4, NULL),
(26131, NULL, 'IPR025643', NULL, 'ATP-grasp domain, R2K clade family 3', 'R2K_3', 3, NULL),
(26132, NULL, 'IPR026255', NULL, 'NAD(P) transhydrogenase, alpha subunit', 'NADP_transhyd_a', 4, NULL),
(26133, NULL, 'IPR028110', NULL, 'Transmembrane protein 254', 'TMEM254', 4, NULL),
(26134, NULL, 'IPR024719', NULL, 'HpaB/PvcC/4-BUDH C-terminal', 'HpaB/PvcC/4-BUDH_C', 3, NULL),
(26135, NULL, 'IPR028899', NULL, 'Tox-URI2 domain', 'Tox-URI2_dom', 3, NULL),
(26136, NULL, 'IPR027170', NULL, 'Transcriptional activator HAP5 subunit', 'HAP5_su', 4, NULL),
(26137, NULL, 'IPR025639', NULL, 'Domain of unknown function DUF4338', 'DUF4338', 3, NULL),
(26138, NULL, 'IPR026334', NULL, 'FXSXX-COOH protein', 'FxSxx-COOH', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26139, NULL, 'IPR025740', NULL, 'FAM110', 'FAM110', 4, NULL),
(26140, NULL, 'IPR030026', NULL, 'Glutamate receptor-interacting protein 1', 'GRIP1', 4, NULL),
(26141, NULL, 'IPR026276', NULL, 'Baseplate protein GpP', 'Baseplate_GpP', 4, NULL),
(26142, NULL, 'IPR029105', NULL, 'Chromatin assembly factor 1 subunit p150, C-terminal', 'CAF1-p150_C2', 3, NULL),
(26143, NULL, 'IPR027683', NULL, 'Testin', 'Testin', 4, NULL),
(26144, NULL, 'IPR030522', NULL, 'SH2B adapter protein 3', 'SH2B3', 4, NULL),
(26145, NULL, 'IPR026274', NULL, 'tRNA wybutosine synthesizing protein 2', 'tRNA_wybutosine_synth_prot_2', 4, NULL),
(26146, NULL, 'IPR028966', NULL, 'Immunity protein 72', 'Imm72', 3, NULL),
(26147, NULL, 'IPR029083', NULL, 'Immunity protein 32', 'Imm32', 4, NULL),
(26148, NULL, 'IPR027403', NULL, 'Delta antigen, N-terminal', 'Delta_antigen_N', 5, NULL),
(26149, NULL, 'IPR031499', NULL, 'Protein of unknown function DUF4689', 'DUF4689', 4, NULL),
(26150, NULL, 'IPR026850', NULL, 'FANCL C-terminal domain', 'FANCL_C', 3, NULL),
(26151, NULL, 'IPR028113', NULL, 'Protein of unknown function DUF4624', 'DUF4624', 4, NULL),
(26152, NULL, 'IPR029645', NULL, 'Ras guanyl-releasing protein 3', 'RASGRP3', 4, NULL),
(26153, NULL, 'IPR027333', NULL, 'Coronin 1C', 'CORO1C', 4, NULL),
(26154, NULL, 'IPR025648', NULL, 'Protein of unknown function DUF4358', 'DUF4358', 4, NULL),
(26155, NULL, 'IPR029067', NULL, 'CDC48 domain 2-like superfamily', 'CDC48_domain_2-like_sf', 5, NULL),
(26156, NULL, 'IPR026849', NULL, 'Autophagy-related protein 2', 'ATG2', 4, NULL),
(26157, NULL, 'IPR025736', NULL, 'PucR C-terminal helix-turn-helix domain', 'PucR_C-HTH_dom', 3, NULL),
(26158, NULL, 'IPR027146', NULL, 'Neuropilin-1', 'NRP1', 4, NULL),
(26159, NULL, 'IPR027731', NULL, 'Microtubule-associated protein 1A/1B light chain 3C', 'MAP1A/MAP1B_LC3C', 4, NULL),
(26160, NULL, 'IPR026038', NULL, 'Putative phosphatidylglycerophosphatase', 'Put_PGPase', 4, NULL),
(26161, NULL, 'IPR026847', NULL, 'Vacuolar protein sorting-associated protein 13', 'VPS13', 4, NULL),
(26162, NULL, 'IPR030957', NULL, 'Putative sugar phosphate phospholyase (cyclising)', 'Put_AroB', 4, NULL),
(26163, NULL, 'IPR028961', NULL, 'Immunity protein 21', 'Imm21', 4, NULL),
(26164, NULL, 'IPR030963', NULL, '3-dehydroquinate synthase family', 'DHQ_synth_fam', 4, NULL),
(26165, NULL, 'IPR025634', NULL, 'Protein of unknown function DUF4292', 'DUF4292', 4, NULL),
(26166, NULL, 'IPR030954', NULL, 'Putative PLP-dependent aminotransferase', 'PLP_IMCC1989', 4, NULL),
(26167, NULL, 'IPR028105', NULL, 'Protein of unknown function DUF4651', 'DUF4651', 4, NULL),
(26168, NULL, 'IPR030292', NULL, 'Palmitoyltransferase ZDHHC9', 'ZDHHC9', 4, NULL),
(26169, NULL, 'IPR026100', NULL, 'Transmembrane protein 223', 'Tmem223', 4, NULL),
(26170, NULL, 'IPR026241', NULL, 'GLC7-interacting protein 4', 'GIP4', 4, NULL),
(26171, NULL, 'IPR028101', NULL, 'Protein of unknown function DUF4616', 'DUF4616', 4, NULL),
(26172, NULL, 'IPR029378', NULL, 'Type III secreted effector HopW1-1/HolPsyAE', 'T3SS_HopW1-1/HolPsyAE', 4, NULL),
(26173, NULL, 'IPR026096', NULL, 'Receptor-transporting protein', 'R-trans_p', 4, NULL),
(26174, NULL, 'IPR028098', NULL, 'Glycosyltransferase subfamily 4-like, N-terminal domain', 'Glyco_trans_4-like_N', 3, NULL),
(26175, NULL, 'IPR028041', NULL, 'WD repeat and coiled-coil-containing protein family', 'WDCP', 4, NULL),
(26176, NULL, 'IPR029603', NULL, 'Transient receptor potential cation channel subfamily M member 8', 'TRPM8', 4, NULL),
(26177, NULL, 'IPR030515', NULL, 'Galactinol synthase', 'GOLS', 4, NULL),
(26178, NULL, 'IPR027746', NULL, 'Probable tubulin-tyrosine ligase', 'TTL', 4, NULL),
(26179, NULL, 'IPR030460', NULL, 'Envoplakin', 'Envoplakin', 4, NULL),
(26180, NULL, 'IPR027476', NULL, 'D-aminopeptidase, N-terminal', 'DppA_N', 5, NULL),
(26181, NULL, 'IPR027681', NULL, 'I-BAR domain containing protein IRSp53/IRTKS/Pinkbar', 'IRSp53/IRTKS/Pinkbar', 4, NULL),
(26182, NULL, 'IPR027751', NULL, 'Probable tubulin polyglutamylase TTLL9', 'TTLL9', 4, NULL),
(26183, NULL, 'IPR029729', NULL, 'Uncharacterised protein F30B5.4', 'F30B5.4', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26184, NULL, 'IPR028930', NULL, 'Cancer/testis antigen 47', 'CT47', 4, NULL),
(26185, NULL, 'IPR028904', NULL, 'Tox-REase-5 domain', 'Tox-REase-5_dom', 3, NULL),
(26186, NULL, 'IPR027118', NULL, 'Matrix Gla protein', 'MGP', 4, NULL),
(26187, NULL, 'IPR034288', NULL, 'Laccase, first cupredoxin domain', 'CuRO_1_LCC', 3, NULL),
(26188, NULL, 'IPR030324', NULL, 'Solute carrier family 26 member 10', 'SLC26A10', 4, NULL),
(26189, NULL, 'IPR027251', NULL, 'Diacylglycerol O-acyltransferase 1', 'Diacylglycerol_acylTrfase1', 4, NULL),
(26190, NULL, 'IPR027754', NULL, 'Tubulin polyglutamylase TTLL6', 'TTLL6', 4, NULL),
(26191, NULL, 'IPR026846', NULL, 'E3 SUMO-protein ligase Nse2 (Mms21)', 'Nse2(Mms21)', 4, NULL),
(26192, NULL, 'IPR029409', NULL, 'Transmembrane protein 237', 'TMEM237', 4, NULL),
(26193, NULL, 'IPR025754', NULL, 'TRC8 N-terminal domain', 'TRC8_N_dom', 3, NULL),
(26194, NULL, 'IPR029085', NULL, 'Immunity protein 25', 'Imm25', 3, NULL),
(26195, NULL, 'IPR029063', NULL, 'S-adenosyl-L-methionine-dependent methyltransferase', 'SAM-dependent_MTases', 5, NULL),
(26196, NULL, 'IPR028902', NULL, 'Tox-REase-9 domain', 'Tox-REase-9_dom', 3, NULL),
(26197, NULL, 'IPR027522', NULL, 'Probable alanine--tRNA ligase, plants', 'Ala_tRNA_synth_plant', 4, NULL),
(26198, NULL, 'IPR024904', NULL, 'Ornithine carbamoyltransferase', 'OTCase_ArgI', 4, NULL),
(26199, NULL, 'IPR027103', NULL, 'Secreted Ly-6/uPAR-related protein 1', 'SLURP1', 4, NULL),
(26200, NULL, 'IPR029084', NULL, 'Immunity protein 30', 'Imm30', 3, NULL),
(26201, NULL, 'IPR029407', NULL, 'Kidney-associated antigen 1', 'KAAG1', 4, NULL),
(26202, NULL, 'IPR030156', NULL, 'Maltose/maltodextrin transport system permease protein MalF-like', 'MalF-like', 4, NULL),
(26203, NULL, 'IPR025632', NULL, 'Protein of unknown function DUF4290', 'DUF4290', 4, NULL),
(26204, NULL, 'IPR027474', NULL, 'L-asparaginase, N-terminal', 'L-asparaginase_N', 3, NULL),
(26205, NULL, 'IPR028897', NULL, 'Tox-HDC domain', 'Tox-HDC_dom', 4, NULL),
(26206, NULL, 'IPR030474', NULL, 'Interleukin-6/GCSF/MGF', 'IL-6/GCSF/MGF', 4, NULL),
(26207, NULL, 'IPR030613', NULL, 'Aurora kinase C', 'AURKC', 4, NULL),
(26208, NULL, 'IPR031934', NULL, 'Protein of unknown function DUF4769', 'DUF4769', 4, NULL),
(26209, NULL, 'IPR029664', NULL, 'Ninein', 'NIN', 4, NULL),
(26210, NULL, 'IPR026348', NULL, 'Putative globular PEP-CTERM protein', 'Glob_PEP-CTERM', 4, NULL),
(26211, NULL, 'IPR028468', NULL, 'Smc1, ATP-binding cassette domain', 'Smc1_ABC', 3, NULL),
(26212, NULL, 'IPR031092', NULL, 'Hereditary hemochromatosis protein', 'HFE', 4, NULL),
(26213, NULL, 'IPR027331', NULL, 'Coronin 7', 'CORO7', 4, NULL),
(26214, NULL, 'IPR026350', NULL, 'GxxExxY protein', 'GxxExxY', 4, NULL),
(26215, NULL, 'IPR030703', NULL, 'Histone deacetylase 5', 'Histone_deacetylase_5', 4, NULL),
(26216, NULL, 'IPR031184', NULL, 'RNA polymerase II elongation factor ELL', 'ELL', 4, NULL),
(26217, NULL, 'IPR026025', NULL, 'Fatty acid synthase alpha subunit, yeast', 'FAS_alpha_yeast', 4, NULL),
(26218, NULL, 'IPR030287', NULL, 'Fe(3+) ions import ATP-binding protein FbpC', 'FbpC', 4, NULL),
(26219, NULL, 'IPR029087', NULL, 'Immunity protein 17', 'Imm17', 4, NULL),
(26220, NULL, 'IPR030030', NULL, 'Scaffold protein salvador', 'Sav', 4, NULL),
(26221, NULL, 'IPR029069', NULL, 'HotDog domain superfamily', 'HotDog_dom_sf', 5, NULL),
(26222, NULL, 'IPR028965', NULL, 'Immunity protein 7', 'Imm7', 4, NULL),
(26223, NULL, 'IPR029094', NULL, 'Draxin', 'Draxin', 4, NULL),
(26224, NULL, 'IPR029660', NULL, 'FAM76A', 'FAM76A', 4, NULL),
(26225, NULL, 'IPR031095', NULL, 'Protein FLOWERING LOCUS T', 'FT', 4, NULL),
(26226, NULL, 'IPR025644', NULL, 'Putative metallopeptidase', 'DUF4344', 4, NULL),
(26227, NULL, 'IPR027922', NULL, 'Proline-rich acidic protein 1', 'PRAP', 4, NULL),
(26228, NULL, 'IPR026352', NULL, 'C(7)-type cytochrome triheme domain', 'Nanowire_3heme', 3, NULL),
(26229, NULL, 'IPR027984', NULL, 'TMEM95 family', 'TMEM95', 4, NULL),
(26230, NULL, 'IPR027659', NULL, 'Beta-sarcoglycan', 'Sgcb', 4, NULL),
(26231, NULL, 'IPR029100', NULL, 'Bacterial toxin 50', 'Ntox50', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26232, NULL, 'IPR029066', NULL, 'PLP-binding barrel', 'PLP-binding_barrel', 5, NULL),
(26233, NULL, 'IPR027326', NULL, 'Kinesin-like protein KIF20A', 'KIF20A', 4, NULL),
(26234, NULL, 'IPR027734', NULL, 'Dynein assembly factor 1, axonemal', 'DNAAF1', 4, NULL),
(26235, NULL, 'IPR028929', NULL, 'Mif2, N-terminal', 'Mif2_N', 3, NULL),
(26236, NULL, 'IPR025741', NULL, 'Centrosome-associated, FAM110, C-terminal domain', 'FAM110_C', 3, NULL),
(26237, NULL, 'IPR027685', NULL, 'Shroom family', 'Shroom_fam', 4, NULL),
(26238, NULL, 'IPR032522', NULL, 'Protein of unknown function DUF4961', 'DUF4961', 4, NULL),
(26239, NULL, 'IPR029068', NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 'Glyas_Bleomycin-R_OHBP_Dase', 5, NULL),
(26240, NULL, 'IPR028169', NULL, 'Raftlin family', 'Raftlin', 4, NULL),
(26241, NULL, 'IPR031191', NULL, 'Helicase with zinc finger domain 2', 'HELZ2', 4, NULL),
(26242, NULL, 'IPR027752', NULL, 'Protein polyglycylase TTLL10', 'TTLL10', 4, NULL),
(26243, NULL, 'IPR029088', NULL, 'Immunity protein 12', 'Imm12', 3, NULL),
(26244, NULL, 'IPR031506', NULL, 'Histidine-rich carboxyl terminus protein 1', 'HRCT1', 4, NULL),
(26245, NULL, 'IPR027446', NULL, 'Variant surface glycoprotein C-terminal domain superfamily', 'VSG_C_dom_sf', 5, NULL),
(26246, NULL, 'IPR029731', NULL, 'OKL38 family', 'OKL38_fam', 4, NULL),
(26247, NULL, 'IPR029074', NULL, 'Immunity protein 49', 'Imm49', 4, NULL),
(26248, NULL, 'IPR031935', NULL, 'Domain of unknown function DUF4770', 'DUF4770', 3, NULL),
(26249, NULL, 'IPR029762', NULL, 'Pyroglutamyl peptidase I, bacterial-type', 'PGP-I_bact-type', 4, NULL),
(26250, NULL, 'IPR027918', NULL, 'Hydrolethalus syndrome protein 1, C-terminal domain', 'HYLS1_C_dom', 3, NULL),
(26251, NULL, 'IPR027753', NULL, 'Tubulin monoglycylase TTLL3', 'TTLL3', 4, NULL),
(26252, NULL, 'IPR032520', NULL, 'MukB, hinge domain', 'MukB_hinge', 3, NULL),
(26253, NULL, 'IPR027741', NULL, 'Dynamin-1', 'DNM1', 4, NULL),
(26254, NULL, 'IPR030277', NULL, 'Voltage-dependent anion-selective channel protein 2', 'VDAC2', 4, NULL),
(26255, NULL, 'IPR031688', NULL, 'Voltage-gated calcium channel subunit alpha, C-terminal', 'CAC1F_C', 3, NULL),
(26256, NULL, 'IPR028926', NULL, 'CEP76, C2 domain', 'CEP76-C2', 3, NULL),
(26257, NULL, 'IPR029751', NULL, 'Ribosomal protein L25', 'Ribosomal_L25', 4, NULL),
(26258, NULL, 'IPR027323', NULL, 'Microtubule-associated protein 4', 'MAP4', 4, NULL),
(26259, NULL, 'IPR029424', NULL, 'MMS22-like, C-terminal', 'MMS22L_C', 3, NULL),
(26260, NULL, 'IPR029650', NULL, 'NADPH oxidase 1', 'NOX1', 4, NULL),
(26261, NULL, 'IPR028931', NULL, 'CENP-C, middle DNMT3B-binding domain', 'CENP-C_mid', 3, NULL),
(26262, NULL, 'IPR026854', NULL, 'Vacuolar protein sorting-associated protein 13-like, N-terminal domain', 'VPS13-like_N', 3, NULL),
(26263, NULL, 'IPR028108', NULL, 'Protein of unknown function DUF4505', 'DUF4505', 4, NULL),
(26264, NULL, 'IPR027513', NULL, 'RNA-splicing ligase RtcB homologue, eukaryotic', 'RtcB_euk', 4, NULL),
(26265, NULL, 'IPR027735', NULL, 'EB2, vertebrate', 'RP1/EB2_vertebrate', 4, NULL),
(26266, NULL, 'IPR025637', NULL, 'Domain of unknown function DUF4333', 'DUF4333', 3, NULL),
(26267, NULL, 'IPR029080', NULL, 'Immunity protein 40', 'Imm40', 3, NULL),
(26268, NULL, 'IPR027143', NULL, 'Neuropilin-2', 'Neuropilin-2', 4, NULL),
(26269, NULL, 'IPR029728', NULL, 'Oxidative stress-induced growth inhibitor 2', 'OSGIN2', 4, NULL),
(26270, NULL, 'IPR027410', NULL, 'TCP-1-like chaperonin intermediate domain superfamily', 'TCP-1-like_intermed_sf', 5, NULL),
(26271, NULL, 'IPR026848', NULL, 'E3 ubiquitin-protein ligase FANCL', 'Fancl', 4, NULL),
(26272, NULL, 'IPR027929', NULL, 'D-amino acid oxidase activator', 'DAOA', 4, NULL),
(26273, NULL, 'IPR031510', NULL, 'Leukemia-associated protein 7', 'DLEU7', 4, NULL),
(26274, NULL, 'IPR029643', NULL, 'Calpain-1', 'CAPN1', 4, NULL),
(26275, NULL, 'IPR026356', NULL, 'rSAM-associated Gly-rich repeat protein', 'Cyano_gly_rpt_prot', 4, NULL),
(26276, NULL, 'IPR027790', NULL, 'S-adenosylmethionine synthase', 'AdoMet_synthase_2_family', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26277, NULL, 'IPR026110', NULL, 'Lymphocyte antigen 6 complex locus protein G5c', 'LY6G5C', 4, NULL),
(26278, NULL, 'IPR026247', NULL, 'Endothelial cell-specific chemotaxis regulator', 'ECSCR', 4, NULL),
(26279, NULL, 'IPR031501', NULL, 'Amelotin', 'Amelotin', 4, NULL),
(26280, NULL, 'IPR029652', NULL, 'CCDC63 family', 'CCDC63_fam', 4, NULL),
(26281, NULL, 'IPR030525', NULL, 'Disks large-associated protein 2', 'DLGAP2', 4, NULL),
(26282, NULL, 'IPR027165', NULL, 'Condensin complex subunit 3', 'CND3', 4, NULL),
(26283, NULL, 'IPR026040', NULL, 'Hydroxypyruvate isomerase-like', 'HyI-like', 4, NULL),
(26284, NULL, 'IPR026250', NULL, 'Inositol 1,4,5-trisphosphate receptor-interacting protein family', 'ITPRIP_fam', 4, NULL),
(26285, NULL, 'IPR030158', NULL, 'Galactoside transport system permease protein MglC', 'MglC', 4, NULL),
(26286, NULL, 'IPR029893', NULL, 'Profilin-3', 'PFN3', 4, NULL),
(26287, NULL, 'IPR024469', NULL, 'Protein of unknown function DUF2538', 'DUF2538', 4, NULL),
(26288, NULL, 'IPR030666', NULL, 'tRNA isopentenyltransferase, eukaryotes', 'IPP_transferase_euk', 4, NULL),
(26289, NULL, 'IPR029091', NULL, 'Chromatin assembly factor 1 subunit p150, N-terminal', 'CAF1_p150_N', 3, NULL),
(26290, NULL, 'IPR029073', NULL, 'Protein of unknown function DUF4661', 'DUF4661', 4, NULL),
(26291, NULL, 'IPR025738', NULL, 'Aerotolerance-related protein BatD', 'BatD', 4, NULL),
(26292, NULL, 'IPR028171', NULL, 'Codanin-1, C-terminal domain', 'Codanin-1_C', 3, NULL),
(26293, NULL, 'IPR030662', NULL, 'Diphthine--ammonia ligase/Uncharacterised protein MJ0570', 'DPH6/MJ0570', 4, NULL),
(26294, NULL, 'IPR026289', NULL, 'Solute binding protein, TakP-like', 'SBP_TakP-like', 4, NULL),
(26295, NULL, 'IPR035919', NULL, 'EAL domain superfamily', 'EAL_sf', 5, NULL),
(26296, NULL, 'IPR026370', NULL, 'Tetrahymanol synthase', 'Tetrahymanol_synth', 3, NULL),
(26297, NULL, 'IPR028963', NULL, 'Immunity protein 9', 'Imm9', 4, NULL),
(26298, NULL, 'IPR027271', NULL, 'Acetolactate synthase/Transcription factor NikR, C-terminal', 'Acetolactate_synth/TF_NikR_C', 5, NULL),
(26299, NULL, 'IPR029646', NULL, 'Calretinin', 'CALB2', 4, NULL),
(26300, NULL, 'IPR027059', NULL, 'Coatomer delta subunit', 'Coatomer_dsu', 4, NULL),
(26301, NULL, 'IPR029057', NULL, 'Phosphoribosyltransferase-like', 'PRTase-like', 5, NULL),
(26302, NULL, 'IPR035951', NULL, 'TM1622-like superfamily', 'TM1622-like_sf', 5, NULL),
(26303, NULL, 'IPR029543', NULL, 'Calpain-8', 'CAPN8', 4, NULL),
(26304, NULL, 'IPR027660', NULL, 'Gamma-sarcoglycan', 'SGCG', 4, NULL),
(26305, NULL, 'IPR026346', NULL, 'SynChlorMet cassette radical SAM/SPASM protein ScmF', 'SCM_rSAM_ScmF', 4, NULL),
(26306, NULL, 'IPR028102', NULL, 'Protein of unknown function DUF4652', 'DUF4652', 4, NULL),
(26307, NULL, 'IPR029654', NULL, 'Respiratory burst oxidase homologue protein B', 'RBOHB', 4, NULL),
(26308, NULL, 'IPR027470', NULL, 'Cation efflux protein, cytoplasmic domain', 'Cation_efflux_CTD', 3, NULL),
(26309, NULL, 'IPR028901', NULL, 'Tox-SGS domain', 'Tox-SGS_dom', 3, NULL),
(26310, NULL, 'IPR027475', NULL, 'Asparaginase/glutaminase, active site 2', 'Asparaginase/glutaminase_AS2', 0, NULL),
(26311, NULL, 'IPR029076', NULL, 'Immunity protein 47', 'Imm47', 4, NULL),
(26312, NULL, 'IPR031937', NULL, 'PNN-interacting serine/arginine-rich protein', 'PNISR', 4, NULL),
(26313, NULL, 'IPR035917', NULL, 'YjbQ-like superfamily', 'YjbQ-like_sf', 5, NULL),
(26314, NULL, 'IPR030616', NULL, 'Aurora kinase', 'Aur', 4, NULL),
(26315, NULL, 'IPR028580', NULL, 'Mucin-2', 'MUC2', 4, NULL),
(26316, NULL, 'IPR026338', NULL, 'NDMA-dependent methanol dehydrogenase', 'NDMA_methanol_DH', 4, NULL),
(26317, NULL, 'IPR027249', NULL, 'DNA-directed DNA/RNA polymerase mu', 'DNA/RNApol_mu', 4, NULL),
(26318, NULL, 'IPR029891', NULL, 'Profilin-2', 'PFN2', 4, NULL),
(26319, NULL, 'IPR025640', NULL, 'GYF domain 2', 'GYF_2', 3, NULL),
(26320, NULL, 'IPR028920', NULL, 'Tox-ART-HYD1 domain', 'Tox-ART-HYD1_dom', 3, NULL),
(26321, NULL, 'IPR028925', NULL, 'Demeter, RRM-fold domain', 'RRM_DME', 3, NULL),
(26322, NULL, 'IPR029097', NULL, 'Bacterial toxin 8', 'Ntox8', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26323, NULL, 'IPR032518', NULL, 'Heparinase II, N-terminal', 'HepII_N', 3, NULL),
(26324, NULL, 'IPR030523', NULL, 'SH2B adapter protein', 'SH2B', 4, NULL),
(26325, NULL, 'IPR029658', NULL, 'Calcium-binding mitochondrial carrier protein Aralar2', 'Aralar2', 4, NULL),
(26326, NULL, 'IPR030153', NULL, 'Cation/H(+) exchanger CHX21/CHX23', 'CHX21/CHX23', 4, NULL),
(26327, NULL, 'IPR029399', NULL, 'TMEM192 family', 'TMEM192', 4, NULL),
(26328, NULL, 'IPR027444', NULL, 'Histone-like protein H-NS, C-terminal domain', 'H-NS_C_dom', 3, NULL),
(26329, NULL, 'IPR026354', NULL, 'Four helix bundle suffix domain', '4helix_suffix_dom', 3, NULL),
(26330, NULL, 'IPR029426', NULL, 'FAM86, N-terminal', 'FAM86_N', 3, NULL),
(26331, NULL, 'IPR028082', NULL, 'Periplasmic binding protein-like I', 'Peripla_BP_I', 5, NULL),
(26332, NULL, 'IPR026560', NULL, 'Secreted frizzled-related protein 4', 'SFRP4', 4, NULL),
(26333, NULL, 'IPR028918', NULL, 'Tox-ART-HYE1 domain', 'Tox-ART-HYE1_dom', 3, NULL),
(26334, NULL, 'IPR026237', NULL, 'Probable serine/threonine-protein kinase GDT family', 'STKINASEGDT', 4, NULL),
(26335, NULL, 'IPR030399', NULL, 'Pestivirus NS2, peptidase C74', 'NS2_C74', 3, NULL),
(26336, NULL, 'IPR026243', NULL, 'HAUS augmin-like complex subunit 1', 'HAUS1', 4, NULL),
(26337, NULL, 'IPR025641', NULL, 'Domain of unknown function DUF4340', 'DUF4340', 3, NULL),
(26338, NULL, 'IPR026343', NULL, 'SynChlorMet cassette protein ScmC', 'SCM_chp_ScmC', 4, NULL),
(26339, NULL, 'IPR027686', NULL, 'Shroom2', 'Shroom2', 4, NULL),
(26340, NULL, 'IPR026028', NULL, 'ATPase, V0 complex, subunit 116kDa, eukaryotic', 'V-type_ATPase_116kDa_su_euka', 4, NULL),
(26341, NULL, 'IPR027016', NULL, 'Uncharacterised protein with YceI domain', 'UCP029811', 4, NULL),
(26342, NULL, 'IPR026252', NULL, 'Aquaporin 10', 'Aquaporin_10', 4, NULL),
(26343, NULL, 'IPR027250', NULL, 'Phosphoglycerate kinase, euglenozoa', 'Pgk_euglenozoa', 4, NULL),
(26344, NULL, 'IPR027661', NULL, 'Delta-sarcoglycan', 'SGCD', 4, NULL),
(26345, NULL, 'IPR027260', NULL, 'Hyaluronidase-3', 'Hyaluronidase-3', 4, NULL),
(26346, NULL, 'IPR030955', NULL, 'CRISPR type III-associated protein, CHP04423 family', 'CHP04423', 4, NULL),
(26347, NULL, 'IPR028104', NULL, 'Protein of unknown function DUF4553', 'DUF4553', 4, NULL),
(26348, NULL, 'IPR028106', NULL, 'Protein of unknown function DUF4578', 'DUF4578', 4, NULL),
(26349, NULL, 'IPR026238', NULL, 'Protein INCA1', 'INCA1', 4, NULL),
(26350, NULL, 'IPR027471', NULL, 'YbeD-like domain superfamily', 'YbeD-like_sf', 5, NULL),
(26351, NULL, 'IPR031508', NULL, 'Transmembrane protein 108', 'TMEM108', 4, NULL),
(26352, NULL, 'IPR029653', NULL, 'NADPH oxidase 3', 'NOX3', 4, NULL),
(26353, NULL, 'IPR026106', NULL, 'Microtubule-associated protein 9', 'MAP9', 4, NULL),
(26354, NULL, 'IPR032521', NULL, 'Pestivirus envelope glycoprotein E2', 'Pestivirus_E2', 3, NULL),
(26355, NULL, 'IPR029903', NULL, 'RmlD-like substrate binding domain', 'RmlD-like-bd', 3, NULL),
(26356, NULL, 'IPR029406', NULL, 'Ewing''s tumour-associated antigen 1', 'ETAA1', 4, NULL),
(26357, NULL, 'IPR027639', NULL, 'ComB, archaeal', 'ComB_archaeal', 4, NULL),
(26358, NULL, 'IPR029061', NULL, 'Thiamin diphosphate-binding fold', 'THDP-binding', 5, NULL),
(26359, NULL, 'IPR026037', NULL, 'Phosphatidylglycerophosphatase A', 'PgpA', 4, NULL),
(26360, NULL, 'IPR028115', NULL, 'Domain of unknown function DUF4484', 'DUF4484', 3, NULL),
(26361, NULL, 'IPR025635', NULL, 'Protein of unknown function DUF4293', 'DUF4293', 4, NULL),
(26362, NULL, 'IPR029102', NULL, 'Bacterial toxin 4', 'Ntox4', 3, NULL),
(26363, NULL, 'IPR026653', NULL, 'Variably charged protein VCX/VCY1', 'VCX/VCY1', 4, NULL),
(26364, NULL, 'IPR030520', NULL, 'SH2B adapter protein 2', 'SH2B2', 4, NULL),
(26365, NULL, 'IPR029428', NULL, 'Mapk-regulated corepressor-interacting protein', 'MCRIP', 4, NULL),
(26366, NULL, 'IPR029103', NULL, 'Bacterial toxin 47', 'Ntox47', 3, NULL),
(26367, NULL, 'IPR026242', NULL, 'HAUS augmin-like complex subunit 2, metazoa', 'HAUS2_metazoa', 4, NULL),
(26368, NULL, 'IPR027428', NULL, 'TOM1-like protein 1', 'TOM1L1', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26369, NULL, 'IPR026344', NULL, 'SynChlorMet cassette radical SAM/SPASM protein ScmE', 'SCM_rSAM_ScmE', 4, NULL),
(26370, NULL, 'IPR026109', NULL, 'G kinase-anchoring protein 1', 'GKAP1', 4, NULL),
(26371, NULL, 'IPR030464', NULL, 'Lysosomal-trafficking regulator', 'LYST', 4, NULL),
(26372, NULL, 'IPR027549', NULL, 'Arginine decarboxylase proenzyme', 'ArgDC', 4, NULL),
(26373, NULL, 'IPR026278', NULL, 'Potassium/proton antiporter subunit KhtT', 'K(+)/H(+)_antiporter_KhtT', 4, NULL),
(26374, NULL, 'IPR027442', NULL, 'MAP kinase activated protein kinase, C-terminal', 'MAPKAPK_C', 5, NULL),
(26375, NULL, 'IPR030665', NULL, 'Circadian clock protein kinase KaiC', 'KaiC', 4, NULL),
(26376, NULL, 'IPR026559', NULL, 'Secreted frizzled-related protein 1', 'SFRP1', 4, NULL),
(26377, NULL, 'IPR034286', NULL, 'Cytosolic carboxypeptidase-like protein 5 catalytic domain', 'M14_AGBL5-like', 3, NULL),
(26378, NULL, 'IPR026337', NULL, 'HEXXH motif domain', 'Mod_HExxH', 3, NULL),
(26379, NULL, 'IPR029397', NULL, 'Tube, Death domain', 'Tube_Death', 3, NULL),
(26380, NULL, 'IPR030661', NULL, 'SUMO-activating enzyme subunit Uba2', 'Uba2', 4, NULL),
(26381, NULL, 'IPR025642', NULL, 'Domain of unknown function DUF4342', 'DUF4342', 3, NULL),
(26382, NULL, 'IPR029410', NULL, 'CAP-associated domain', 'CAP_assoc', 3, NULL),
(26383, NULL, 'IPR028898', NULL, 'Tox-WTIP domain', 'Tox-WTIP_dom', 3, NULL),
(26384, NULL, 'IPR025636', NULL, 'Protein of unknown function DUF4294', 'DUF4294', 4, NULL),
(26385, NULL, 'IPR027328', NULL, 'Microtubule-associated protein RP/EB', 'MAPRE', 4, NULL),
(26386, NULL, 'IPR030528', NULL, 'Syntenin-1', 'SDCBP', 4, NULL),
(26387, NULL, 'IPR029058', NULL, 'Alpha/Beta hydrolase fold', 'AB_hydrolase', 5, NULL),
(26388, NULL, 'IPR029039', NULL, 'Flavoprotein-like superfamily', 'Flavoprotein-like_sf', 5, NULL),
(26389, NULL, 'IPR028912', NULL, 'Tox-MPTase4 domain', 'Tox-MPTase4_dom', 3, NULL),
(26390, NULL, 'IPR026026', NULL, 'Histidine triad hydrolase, Hint-type', 'HIT_Hint', 4, NULL),
(26391, NULL, 'IPR028913', NULL, 'Tox-MPTase3 domain', 'Tox-MPTase3_dom', 3, NULL),
(26392, NULL, 'IPR031185', NULL, 'MAGUK p55 subfamily member 5-like', 'MPP5-like', 4, NULL),
(26393, NULL, 'IPR030290', NULL, 'Palmitoyltransferase ZDHHC13', 'ZDHHC13', 4, NULL),
(26394, NULL, 'IPR026364', NULL, 'Ax21 family', 'Ax21', 4, NULL),
(26395, NULL, 'IPR026236', NULL, 'Integrator complex subunit 2, metazoa', 'Int2_metazoa', 4, NULL),
(26396, NULL, 'IPR026845', NULL, 'Neurexophilin/NXPE', 'NXPH/NXPE', 4, NULL),
(26397, NULL, 'IPR030612', NULL, 'Dihydropyrimidinase-related protein 4', 'DRP4', 4, NULL),
(26398, NULL, 'IPR027748', NULL, 'Tubulin polyglutamylase TTLL4', 'TTLL-4', 4, NULL),
(26399, NULL, 'IPR025744', NULL, 'Ribosomally synthesised peptide in Streptomyces', 'Rbsml_synth_pep_Strp', 4, NULL),
(26400, NULL, 'IPR030951', NULL, 'Sec region non-globular protein', 'Sec_Non_Glob', 4, NULL),
(26401, NULL, 'IPR027409', NULL, 'GroEL-like apical domain superfamily', 'GroEL-like_apical_dom_sf', 5, NULL),
(26402, NULL, 'IPR027940', NULL, 'Kita-kyushu lung cancer antigen 1', 'KKLCAg1', 4, NULL),
(26403, NULL, 'IPR026136', NULL, 'RIPOR family member 3', 'RIPOR3', 4, NULL),
(26404, NULL, 'IPR030524', NULL, 'Disks large-associated protein 1', 'DLGAP1', 4, NULL),
(26405, NULL, 'IPR031094', NULL, 'Inositol 3-kinase', 'MIK', 4, NULL),
(26406, NULL, 'IPR029923', NULL, 'Drebrin-like protein', 'Dbnl', 4, NULL),
(26407, NULL, 'IPR027429', NULL, 'Target of Myb1-like 2', 'TOM1L2', 4, NULL),
(26408, NULL, 'IPR028116', NULL, 'Tautomerase, cis-CaaD-like', 'Cis-CaaD-like', 3, NULL),
(26409, NULL, 'IPR027114', NULL, 'Embigin', 'Embigin', 4, NULL),
(26410, NULL, 'IPR027335', NULL, 'Coronin 2A', 'CORO2A', 4, NULL),
(26411, NULL, 'IPR025647', NULL, 'Putative component of ''biosynthetic module''', 'YceG_bac', 3, NULL),
(26412, NULL, 'IPR031856', NULL, 'Putative bacterial antitoxin YdaS', 'YdaS_antitoxin', 4, NULL),
(26413, NULL, 'IPR028960', NULL, 'Immunity protein 27', 'Imm27', 4, NULL),
(26414, NULL, 'IPR029425', NULL, 'Protein MMS22-like, N-terminal', 'MMS22L_N', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26415, NULL, 'IPR026363', NULL, 'CxxC-x17-CxxC domain', 'CxxC-x17-CxxC_dom', 3, NULL),
(26416, NULL, 'IPR029079', NULL, 'Immunity protein 43', 'Imm43', 3, NULL),
(26417, NULL, 'IPR025747', NULL, 'ThiC-associated domain', 'ThiC-associated_dom', 3, NULL),
(26418, NULL, 'IPR026359', NULL, 'SasC/Mrp/FmtB intercellular aggregation domain', 'SasC_Mrp_aggreg_dom', 3, NULL),
(26419, NULL, 'IPR028173', NULL, 'Augurin', 'Augurin', 4, NULL),
(26420, NULL, 'IPR027943', NULL, 'FAM209 family', 'FAM209', 4, NULL),
(26421, NULL, 'IPR028609', NULL, 'Alanine dehydrogenase, archaeal-type', 'AlaDH_arch-typ', 4, NULL),
(26422, NULL, 'IPR028907', NULL, 'Tox-PLDMTX domain', 'Tox-PLDMTX_dom', 3, NULL),
(26423, NULL, 'IPR027682', NULL, 'I-BAR domain containing protein MTSS1', 'MTSS1', 4, NULL),
(26424, NULL, 'IPR027325', NULL, 'Kinesin-like protein KIFC3-like', 'KIFC3-like', 4, NULL),
(26425, NULL, 'IPR026361', NULL, 'Extracellular matrix-binding protein Ebh domain', 'Ebh_dom', 3, NULL),
(26426, NULL, 'IPR025638', NULL, 'Protein of unknown function DUF4336', 'DUF4336', 4, NULL),
(26427, NULL, 'IPR027413', NULL, 'GroEL-like equatorial domain superfamily', 'GROEL-like_equatorial_sf', 5, NULL),
(26428, NULL, 'IPR028908', NULL, 'Tox-PL domain', 'Tox-PL_dom', 3, NULL),
(26429, NULL, 'IPR025646', NULL, 'Domain of unknown function DUF4350', 'DUF4350', 3, NULL),
(26430, NULL, 'IPR028114', NULL, 'Protein of unknown function DUF4658', 'DUF4658', 4, NULL),
(26431, NULL, 'IPR030649', NULL, 'Galectin-12', 'Galectin_12', 4, NULL),
(26432, NULL, 'IPR027469', NULL, 'Cation efflux transmembrane domain superfamily', 'Cation_efflux_TMD_sf', 5, NULL),
(26433, NULL, 'IPR027987', NULL, 'Interleukin-31', 'IL-31', 4, NULL),
(26434, NULL, 'IPR028906', NULL, 'Tox-REase-2 domain', 'Tox-REase-2_dom', 3, NULL),
(26435, NULL, 'IPR030472', NULL, 'Tissue factor, conserved site', 'Tissue_Factor_CS', 2, NULL),
(26436, NULL, 'IPR026358', NULL, 'Substrate-binding orphan protein, GRRM family', 'Orph_peri_GRRM', 4, NULL),
(26437, NULL, 'IPR028905', NULL, 'Tox-REase-3 domain', 'Tox-REase-3_dom', 3, NULL),
(26438, NULL, 'IPR026027', NULL, 'Phosphatidylcholine synthase Pcs', 'PcS', 4, NULL),
(26439, NULL, 'IPR026349', NULL, 'Conserved hypothetical protein CHP04255', 'CHP04255', 4, NULL),
(26440, NULL, 'IPR026248', NULL, 'Protein Fyv8', 'Fyv8', 4, NULL),
(26441, NULL, 'IPR027985', NULL, 'Rab15 effector', 'Rab15_effector', 4, NULL),
(26442, NULL, 'IPR026021', NULL, 'Putative NAD(P)H nitroreductase YdjA-like', 'YdjA-like', 4, NULL),
(26443, NULL, 'IPR027668', NULL, 'Actin-related protein 8/Plant actin-related protein 9', 'Arp8/plant_Arp9', 4, NULL),
(26444, NULL, 'IPR028903', NULL, 'Tox-REase-7 domain', 'Tox-REase-7_dom', 3, NULL),
(26445, NULL, 'IPR030031', NULL, 'PDZ domain-containing protein MAGIX', 'MAGIX', 4, NULL),
(26446, NULL, 'IPR035920', NULL, 'YhbY-like superfamily', 'YhbY-like_sf', 5, NULL),
(26447, NULL, 'IPR032519', NULL, 'YbgF, trimerisation domain', 'YbgF_tri', 3, NULL),
(26448, NULL, 'IPR027750', NULL, 'Tubulin polyglutamylase TTLL1', 'TTLL1', 4, NULL),
(26449, NULL, 'IPR027107', NULL, 'Tuberin/Ral GTPase-activating protein subunit alpha', 'Tuberin/Ral-act_asu', 4, NULL),
(26450, NULL, 'IPR028914', NULL, 'Tox-MPTase2 domain', 'Tox-MPTase2_dom', 3, NULL),
(26451, NULL, 'IPR031853', NULL, 'Putative antitoxin YmcE', 'YmcE_antitoxin', 4, NULL),
(26452, NULL, 'IPR028911', NULL, 'Tox-MPTase5 domain', 'Tox-MPTase5_dom', 3, NULL),
(26453, NULL, 'IPR030419', NULL, 'Membrane-spanning 4-domains subfamily A member 3', 'MS4A3', 4, NULL),
(26454, NULL, 'IPR029394', NULL, 'AP-3 complex subunit beta 1, serine-rich domain', 'AP3B1_Ser', 3, NULL),
(26455, NULL, 'IPR027322', NULL, 'Microtubule-associated protein 1S', 'MAP1S', 4, NULL),
(26456, NULL, 'IPR024475', NULL, 'Type IV conjugative transfer protein TrbJ/K, C-terminal', 'TrbJ/K_C', 3, NULL),
(26457, NULL, 'IPR026342', NULL, 'SynChlorMet cassette protein ScmD', 'SCM_PqqD-rel', 4, NULL),
(26458, NULL, 'IPR027664', NULL, 'Actin-related protein 5', 'Arp5', 4, NULL),
(26459, NULL, 'IPR027101', NULL, 'CD59 glycoprotein', 'CD59_glyco', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26460, NULL, 'IPR026355', NULL, 'Oxalate/formate antiporter', 'Oxa/Form_antiport', 4, NULL),
(26461, NULL, 'IPR029390', NULL, 'AP-3 complex subunit beta, C-terminal domain', 'AP3B_C', 3, NULL),
(26462, NULL, 'IPR029086', NULL, 'Immunity protein 19', 'Imm19', 4, NULL),
(26463, NULL, 'IPR025752', NULL, 'High pH protein family', 'HPH_family', 4, NULL),
(26464, NULL, 'IPR030463', NULL, 'Stromal interaction molecule 1', 'STM1', 4, NULL),
(26465, NULL, 'IPR031858', NULL, 'Protein of unknown function DUF4752', 'DUF4752', 4, NULL),
(26466, NULL, 'IPR031192', NULL, 'DIS3-like exonuclease 1', 'DIS3L', 4, NULL),
(26467, NULL, 'IPR027337', NULL, 'Coronin 6', 'CORO6', 4, NULL),
(26468, NULL, 'IPR027947', NULL, 'TMEM240 family', 'TMEM240', 4, NULL),
(26469, NULL, 'IPR031410', NULL, 'Protein phosphatase 1 regulatory subunit 32', 'PPP1R32', 4, NULL),
(26470, NULL, 'IPR030042', NULL, 'Probable C-mannosyltransferase DPY19L2', 'DPY19L2', 4, NULL),
(26471, NULL, 'IPR028924', NULL, 'Permuted single zf-CXXC unit', 'Perm-CXXC', 3, NULL),
(26472, NULL, 'IPR029860', NULL, 'Tissue factor pathway inhibitor 2', 'TFPI2', 4, NULL),
(26473, NULL, 'IPR026856', NULL, 'Sialidase family', 'Sialidase_fam', 4, NULL),
(26474, NULL, 'IPR025739', NULL, 'Centrosome-associated, FAM110, N-terminal domain', 'FAM110_N', 3, NULL),
(26475, NULL, 'IPR026240', NULL, 'Immunogenic miracidial antigen 8I''', 'Miracidia_Ag_8I''', 4, NULL),
(26476, NULL, 'IPR025633', NULL, 'Protein of unknown function DUF4291', 'DUF4291', 4, NULL),
(26477, NULL, 'IPR026347', NULL, 'Mesaconyl-CoA isomerase', 'Mesacon_CoA_Isoase', 4, NULL),
(26478, NULL, 'IPR028964', NULL, 'Immunity protein 8', 'Imm8', 4, NULL),
(26479, NULL, 'IPR026024', NULL, 'Chemotaxis protein methyltransferase CheR', 'Chemotaxis_MeTrfase_CheR', 4, NULL),
(26480, NULL, 'IPR027478', NULL, 'Murein tetrapeptide carboxypeptidase, N-terminal', 'LdcA_N', 5, NULL),
(26481, NULL, 'IPR030291', NULL, 'Palmitoyltransferase ZDHHC8', 'ZDHHC8', 4, NULL),
(26482, NULL, 'IPR026335', NULL, 'Radical SAM/SPASM domain, FxsB family', 'SAM_SPASM_FxsB', 4, NULL),
(26483, NULL, 'IPR030514', NULL, 'Stathmin, conserved site', 'Stathmin_CS', 2, NULL),
(26484, NULL, 'IPR027056', NULL, 'Gluconate 2-dehydrogenase subunit 3', 'Gluconate_2DH_su3', 4, NULL),
(26485, NULL, 'IPR027739', NULL, 'EB1, Metazoa', 'EB1_Meta', 4, NULL),
(26486, NULL, 'IPR027689', NULL, 'Teneurin-2', 'Ten-2', 4, NULL),
(26487, NULL, 'IPR026272', NULL, 'Immunity protein SdpI', 'SdpI', 4, NULL),
(26488, NULL, 'IPR027261', NULL, 'Retinoic acid receptor responder protein 1', 'TAG1', 4, NULL),
(26489, NULL, 'IPR027680', NULL, 'Actin-like protein 7B', 'ACTL7B', 4, NULL),
(26490, NULL, 'IPR026286', NULL, 'Maleate isomerase/Arylmalonate decarboxylase', 'MaiA/AMDase', 4, NULL),
(26491, NULL, 'IPR028921', NULL, 'NTF2 fold domain', 'NTF2_fold_dom', 3, NULL),
(26492, NULL, 'IPR031093', NULL, 'Cyclin-D2-1, plant', 'Cyclin_D2-1_plant', 4, NULL),
(26493, NULL, 'IPR026104', NULL, 'Zinc finger C2HC domain-containing protein 1C', 'ZNF_C2HC_dom_1C', 4, NULL),
(26494, NULL, 'IPR034289', NULL, 'Laccase, third cupredoxin domain', 'CuRO_3_LCC', 3, NULL),
(26495, NULL, 'IPR027662', NULL, 'Zeta-sarcoglycan', 'Sgcz', 4, NULL),
(26496, NULL, 'IPR027684', NULL, 'Tubulin-specific chaperone C', 'TBCC', 4, NULL),
(26497, NULL, 'IPR025737', NULL, 'MetA-pathway of phenol degradation, putative', 'Phenol_MetA_deg_put', 4, NULL),
(26498, NULL, 'IPR030289', NULL, 'Palmitoyltransferase ZDHHC17', 'ZDHHC17', 4, NULL),
(26499, NULL, 'IPR027448', NULL, 'Short tail fibre protein, C-terminal', 'Short_tail_fibre_C', 3, NULL),
(26500, NULL, 'IPR027321', NULL, 'Microtubule-associated protein 1B', 'MAP1B', 4, NULL),
(26501, NULL, 'IPR029549', NULL, 'Transcription factor SOX-14', 'SOX-14', 4, NULL),
(26502, NULL, 'IPR031255', NULL, 'Vacuolar protein sorting-associated protein 4', 'VPS4', 4, NULL),
(26503, NULL, 'IPR031306', NULL, 'CcdC protein', 'CcdC', 4, NULL),
(26504, NULL, 'IPR031076', NULL, 'High mobility group protein HMGB1', 'HMGB1', 4, NULL),
(26505, NULL, 'IPR032334', NULL, 'Gram-positive pilin backbone subunit 2, Cna-B-like domain', 'GramPos_pilinBB', 3, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26506, NULL, 'IPR030609', NULL, 'Kelch-like protein 33', 'KLHL33', 4, NULL),
(26507, NULL, 'IPR032411', NULL, 'Flagellar FLiS export co-chaperone, HP1076', 'FliS_cochap', 4, NULL),
(26508, NULL, 'IPR032336', NULL, 'Pathogenicity island component CagD', 'CagD', 4, NULL),
(26509, NULL, 'IPR026630', NULL, 'EPM2A-interacting protein 1', 'EPM2A-int_1', 4, NULL),
(26510, NULL, 'IPR032408', NULL, 'Sensor histidine kinase RisS, periplasmic domain', 'RisS_PPD', 3, NULL),
(26511, NULL, 'IPR027773', NULL, 'Beta-adducin', 'ADD2', 4, NULL),
(26512, NULL, 'IPR030798', NULL, 'Arfaptin family', 'Arfaptin_fam', 4, NULL),
(26513, NULL, 'IPR032915', NULL, 'Cysteine protease ATG4C', 'ATG4C', 4, NULL),
(26514, NULL, 'IPR031008', NULL, 'Phenylalanine aminomutase (L-beta-phenylalanine forming)', 'Taxol_Phe_23mut', 4, NULL),
(26515, NULL, 'IPR031538', NULL, 'Tryptophan RNA-binding attenuator protein inhibitory protein', 'Anti-TRAP', 4, NULL),
(26516, NULL, 'IPR031188', NULL, 'Glypican-5', 'Glypican-5', 4, NULL),
(26517, NULL, 'IPR031086', NULL, 'Increased DNA methylation 1', 'IDM1', 4, NULL),
(26518, NULL, 'IPR032382', NULL, 'Alternaria alternata allergen 1', 'AltA1', 3, NULL),
(26519, NULL, 'IPR025872', NULL, 'RING finger family 2, prokaryotic', 'RING_finger_2_prok', 4, NULL),
(26520, NULL, 'IPR030477', NULL, 'Interleukin-2, conserved site', 'IL-2_CS', 2, NULL),
(26521, NULL, 'IPR030501', NULL, 'Purine-rich element-binding protein gamma', 'PURgamma', 4, NULL),
(26522, NULL, 'IPR028067', NULL, 'Interleukin-32', 'IL-32', 4, NULL),
(26523, NULL, 'IPR030908', NULL, 'Protein translocase subunit SecA 2, Bacillus anthracis-type', 'SecA2_Bac_anthr', 4, NULL),
(26524, NULL, 'IPR031097', NULL, 'Caveolin-1, invertebrates', 'Caveolin-1_inver', 4, NULL),
(26525, NULL, 'IPR031047', NULL, 'DNA helicase Ino80', 'Ino80', 4, NULL),
(26526, NULL, 'IPR028844', NULL, 'Angiopoietin-2', 'Ang-2', 4, NULL),
(26527, NULL, 'IPR032324', NULL, 'Clp1, N-terminal beta-sandwich domain', 'Clp1_N', 3, NULL),
(26528, NULL, 'IPR032869', NULL, 'WHH domain-containing protein', 'WHH_dom_containing', 4, NULL),
(26529, NULL, 'IPR031157', NULL, 'Tr-type G domain, conserved site', 'G_TR_CS', 2, NULL),
(26530, NULL, 'IPR027121', NULL, 'Vacuolar protein sorting-associated protein 33', 'VPS33', 4, NULL),
(26531, NULL, 'IPR030897', NULL, 'Choline trimethylamine-lyase', 'Choline_CutC', 4, NULL),
(26532, NULL, 'IPR032307', NULL, 'Putative PepSY TM-like protein', 'PepSY_TM-like_2', 4, NULL),
(26533, NULL, 'IPR032290', NULL, 'Protein of unknown function DUF4839', 'DUF4839', 4, NULL),
(26534, NULL, 'IPR032049', NULL, 'E3 ubiquitin-protein ligase Msl2, CXC domain', 'Msl2-CXC', 3, NULL),
(26535, NULL, 'IPR026055', NULL, 'Fatty acyl-CoA reductase', 'FAR', 4, NULL),
(26536, NULL, 'IPR026179', NULL, 'SLAIN motif-containing protein', 'Slain', 4, NULL),
(26537, NULL, 'IPR030396', NULL, 'Peptidase family S6 domain', 'Peptidase_S6_dom', 3, NULL),
(26538, NULL, 'IPR030973', NULL, 'Conserved hypothetical protein CHP04434', 'CHP04434', 4, NULL),
(26539, NULL, 'IPR030974', NULL, 'Restriction system-associated AAA family ATPase', 'Restrict_AAA', 4, NULL),
(26540, NULL, 'IPR031631', NULL, 'Glycosyl hydrolase family 63, N-terminal', 'Glyco_hydro_63N', 3, NULL),
(26541, NULL, 'IPR026634', NULL, 'Protein-tyrosine sulfotransferase', 'TPST', 4, NULL),
(26542, NULL, 'IPR026836', NULL, 'Adenomatous polyposis coli', 'APC', 4, NULL),
(26543, NULL, 'IPR030060', NULL, 'I-BAR domain containing protein IRTKS', 'IRTKS', 4, NULL),
(26544, NULL, 'IPR025876', NULL, 'Trafficking protein particle complex subunit 11, C-terminal', 'TRAPPC11_C', 3, NULL),
(26545, NULL, 'IPR031634', NULL, 'Protein kinase G, rubredoxin domain', 'PknG_rubred', 3, NULL),
(26546, NULL, 'IPR032942', NULL, 'BPI/LBP/Plunc family', 'BPI/LBP/Plunc', 4, NULL),
(26547, NULL, 'IPR032430', NULL, 'Proteasome activator Blm10, mid region', 'Blm10_mid', 3, NULL),
(26548, NULL, 'IPR032284', NULL, 'ATP-dependent DNA helicase RecQ, zinc-binding domain', 'RecQ_Zn-bd', 3, NULL),
(26549, NULL, 'IPR030564', NULL, 'Myotubularin family', 'Myotubularin_fam', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26550, NULL, 'IPR026187', NULL, 'Cell death regulator Aven', 'Aven', 4, NULL),
(26551, NULL, 'IPR032928', NULL, 'ETS translocation variant 1', 'ETS_V1', 4, NULL),
(26552, NULL, 'IPR029768', NULL, 'Fructose-bisphosphate aldolase class-I active site', 'Aldolase_I_AS', 2, NULL),
(26553, NULL, 'IPR030837', NULL, 'Putative variant cofactor biosynthesis B12-binding domain/radical SAM domain protein 1', 'B12_rSAM_cofa1', 4, NULL),
(26554, NULL, 'IPR029753', NULL, 'D-isomer specific 2-hydroxyacid dehydrogenase, NAD-binding domain conserved site', 'D-isomer_DH_CS', 2, NULL),
(26555, NULL, 'IPR030380', NULL, 'SAM-dependent methyltransferase DRM', 'SAM_MeTfrase_DRM', 3, NULL),
(26556, NULL, 'IPR029965', NULL, 'Protein trichome birefringence-like 6', 'TBL6', 4, NULL),
(26557, NULL, 'IPR026585', NULL, 'Alpha-1,4-glucan:maltose-1-phosphate maltosyltransferase', 'GlgE', 4, NULL),
(26558, NULL, 'IPR030965', NULL, 'Putative peptide maturation dehydrogenase', 'SagB-rel_DH_2', 4, NULL),
(26559, NULL, 'IPR026635', NULL, 'Protein-lysine N-methyltransferase Efm4/METTL10', 'Efm4/METTL10', 4, NULL),
(26560, NULL, 'IPR030652', NULL, 'Galectin-14', 'Galectin_14', 4, NULL),
(26561, NULL, 'IPR029504', NULL, 'Microcephalin, mammal', 'Microcephalin_mammal', 4, NULL),
(26562, NULL, 'IPR031105', NULL, 'Telomere repeat-binding protein, plant', 'TRP_plant', 4, NULL),
(26563, NULL, 'IPR032427', NULL, 'Phage P22-like portal protein', 'P22_portal', 4, NULL),
(26564, NULL, 'IPR027703', NULL, 'Alpha-internexin', 'Alpha-Inx', 4, NULL),
(26565, NULL, 'IPR027530', NULL, 'COP9 signalosome complex subunit 7B', 'Csn7B', 4, NULL),
(26566, NULL, 'IPR031310', NULL, 'Ribosomal protein L5, N-terminal', 'Ribosomal_L5_N', 3, NULL),
(26567, NULL, 'IPR029562', NULL, 'Retinoic acid receptor responder protein 2', 'Chemerin', 4, NULL),
(26568, NULL, 'IPR032311', NULL, 'Domain of unknown function DUF4982', 'DUF4982', 3, NULL),
(26569, NULL, 'IPR027973', NULL, 'Protein of unknown function DUF4602', 'DUF4602', 4, NULL),
(26570, NULL, 'IPR027707', NULL, 'Troponin T', 'TNNT', 4, NULL),
(26571, NULL, 'IPR032281', NULL, '40S ribosomal protein SA, C-terminal domain', '40S_SA_C', 3, NULL),
(26572, NULL, 'IPR032403', NULL, 'Exocyst component Exo84, C-terminal', 'Exo84_C', 3, NULL),
(26573, NULL, 'IPR031111', NULL, 'L-3-cyanoalanine synthase, mitochondrial', 'CAS', 4, NULL),
(26574, NULL, 'IPR030903', NULL, 'Cyclodipeptide synthase', 'CDPS', 4, NULL),
(26575, NULL, 'IPR032917', NULL, 'Tripartite motif-containing protein 5', 'TRIM5', 4, NULL),
(26576, NULL, 'IPR030546', NULL, 'Band 4.1-like protein 2', 'E41L2', 4, NULL),
(26577, NULL, 'IPR030944', NULL, 'Helix-rich protein', 'Mplasa_alph_rch', 4, NULL),
(26578, NULL, 'IPR030411', NULL, 'Nuclear body protein Sp140', 'Sp140', 4, NULL),
(26579, NULL, 'IPR032398', NULL, 'Infectious hypodermal and haematopoietic necrosis virus, capsid protein', 'IHHNV_capsid', 4, NULL),
(26580, NULL, 'IPR026175', NULL, 'Mirror-image polydactyly gene 1 protein', 'MIPOL1', 4, NULL),
(26581, NULL, 'IPR026188', NULL, 'Lebercilin-like', 'Lebercilin-like', 4, NULL),
(26582, NULL, 'IPR030892', NULL, 'DnaD family protein', 'DnaD_Mollicutes', 4, NULL),
(26583, NULL, 'IPR028510', NULL, 'Vinexin', 'Vinexin', 4, NULL),
(26584, NULL, 'IPR032309', NULL, 'Domain of unknown function DUF4983', 'DUF4983', 3, NULL),
(26585, NULL, 'IPR030904', NULL, 'Cytochrome P450, CypX', 'CypX', 4, NULL),
(26586, NULL, 'IPR027128', NULL, 'TNF receptor-associated factor 3', 'TRAF3', 4, NULL),
(26587, NULL, 'IPR032317', NULL, 'RND efflux pump, membrane fusion protein, barrel-sandwich domain', 'HlyD_D23', 3, NULL),
(26588, NULL, 'IPR027276', NULL, 'Transforming protein C-ets-2', 'Transform_prot_C-ets-2', 4, NULL),
(26589, NULL, 'IPR030608', NULL, 'Kelch-like protein 10, BTB/POZ domain', 'KLHL10_BTB/POZ', 3, NULL),
(26590, NULL, 'IPR026185', NULL, 'Epithelial-stromal interaction protein 1', 'EPSTI1', 4, NULL),
(26591, NULL, 'IPR028779', NULL, 'Microtubule-associated serine/threonine-protein kinase 2', 'MAST2', 4, NULL),
(26592, NULL, 'IPR027306', NULL, 'Actin-related protein 2', 'Arp2', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26593, NULL, 'IPR030530', NULL, 'Amyloid beta A4 precursor protein-binding family A member 1', 'Apba1', 4, NULL),
(26594, NULL, 'IPR030658', NULL, 'Macrophage colony-stimulating factor 1 receptor', 'CSF-1_receptor', 4, NULL),
(26595, NULL, 'IPR026180', NULL, 'KAT8 regulatory NSL complex subunit 1', 'NSL1', 4, NULL),
(26596, NULL, 'IPR027082', NULL, 'Protein Unc-13 homologue A', 'Unc13A', 4, NULL),
(26597, NULL, 'IPR027130', NULL, 'TNF receptor-associated factor 5', 'TRAF5', 4, NULL),
(26598, NULL, 'IPR030436', NULL, 'Juxtaposed with another zinc finger protein 1', 'JAZF1', 4, NULL),
(26599, NULL, 'IPR027313', NULL, 'G protein coupled receptor 152 orphan, predicted', 'GPR152_orphan_prd', 4, NULL),
(26600, NULL, 'IPR031640', NULL, 'Glucose dehydrogenase, C-terminal', 'Glu_dehyd_C', 3, NULL),
(26601, NULL, 'IPR027766', NULL, 'Alpha-adducin', 'ADD1', 4, NULL),
(26602, NULL, 'IPR030958', NULL, 'P450-derived glycosyltranferase activator', 'P450-rel_GT_act', 4, NULL),
(26603, NULL, 'IPR031150', NULL, 'BBP/SF1 family', 'BBP/SF1', 4, NULL),
(26604, NULL, 'IPR030724', NULL, 'ELMO domain-containing protein 2', 'ELMOD2', 4, NULL),
(26605, NULL, 'IPR031101', NULL, 'RNA polymerase-associated protein Ctr9', 'Ctr9', 4, NULL),
(26606, NULL, 'IPR030959', NULL, 'GWxTD domain', 'GWxTD_dom', 3, NULL),
(26607, NULL, 'IPR031491', NULL, 'FAAP20, FANCA interaction domain', 'FANCA_interact', 3, NULL),
(26608, NULL, 'IPR029544', NULL, 'Calpain-13', 'CANP13', 4, NULL),
(26609, NULL, 'IPR027788', NULL, 'Alpha/beta-hydrolase, N-terminal domain', 'Alpha/beta-hydrolase_N_dom', 3, NULL),
(26610, NULL, 'IPR027054', NULL, 'Mannosyltransferase ALG2', 'ALG2', 4, NULL),
(26611, NULL, 'IPR031260', NULL, 'Rho-related BTB domain-containing protein 3', 'RhoBTB3', 4, NULL),
(26612, NULL, 'IPR028304', NULL, 'Fibroblast growth factor 23', 'FGF23', 4, NULL),
(26613, NULL, 'IPR027931', NULL, 'Domain of unknown function DUF4595 with porin-like fold', 'DUF4595', 3, NULL),
(26614, NULL, 'IPR032418', NULL, 'Ubiquitin-activating enzyme E1, FCCH domain', 'E1_FCCH', 3, NULL),
(26615, NULL, 'IPR029964', NULL, 'Protein trichome berefringence-like 7', 'TBL7', 4, NULL),
(26616, NULL, 'IPR026017', NULL, 'Lumazine-binding domain', 'Lumazine-bd_dom', 3, NULL),
(26617, NULL, 'IPR030033', NULL, 'Membrane-associated guanylate kinase, WW and PDZ domain-containing protein 1', 'MAGI1', 4, NULL),
(26618, NULL, 'IPR032867', NULL, 'DYW domain', 'DYW_dom', 3, NULL),
(26619, NULL, 'IPR028047', NULL, 'Latrotoxin, C-terminal domain', 'Latrotoxin_C_dom', 3, NULL),
(26620, NULL, 'IPR030059', NULL, 'I-BAR domain containing protein MTSS2', 'MTSS2', 4, NULL),
(26621, NULL, 'IPR031636', NULL, 'Protein kinase G, tetratricopeptide repeat containing domain', 'PknG_TPR', 3, NULL),
(26622, NULL, 'IPR030939', NULL, 'Acido-empty-quinoprotein group A', 'Acido_non_PQQ', 4, NULL),
(26623, NULL, 'IPR030748', NULL, 'Ral guanine nucleotide dissociation stimulator-like 1', 'RGL1', 4, NULL),
(26624, NULL, 'IPR031155', NULL, 'Urea active transporter', 'DUR', 4, NULL),
(26625, NULL, 'IPR029558', NULL, 'Tumor protein p53-inducible nuclear protein 2', 'TP53INP2', 4, NULL),
(26626, NULL, 'IPR031073', NULL, 'High mobility group protein HMGN3', 'HMGN3', 4, NULL),
(26627, NULL, 'IPR031496', NULL, 'Protein of unknown function DUF4688', 'DUF4688', 4, NULL),
(26628, NULL, 'IPR032335', NULL, 'Sam68, tyrosine-rich domain', 'Sam68-YY', 3, NULL),
(26629, NULL, 'IPR032413', NULL, 'Atypical Arm repeat', 'Arm_3', 7, NULL),
(26630, NULL, 'IPR030334', NULL, 'Calcium-transporting ATPase type 2C member 2', 'ATP2C2', 4, NULL),
(26631, NULL, 'IPR032404', NULL, 'Two-component sensor protein CpxA, periplasmic domain', 'CpxA_peri', 3, NULL),
(26632, NULL, 'IPR032421', NULL, 'Protein O-mannosyl-transferase, C-terminal four TM domain', 'PMT_4TMC', 3, NULL),
(26633, NULL, 'IPR030036', NULL, 'Membrane-associated guanylate kinase, WW and PDZ domain-containing protein 2', 'MAGI2', 4, NULL),
(26634, NULL, 'IPR030893', NULL, 'MOLPALP family lipoprotein', 'Mollicu_LP', 4, NULL),
(26635, NULL, 'IPR028498', NULL, 'Cdc42-interacting protein 4', 'CIP4', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26636, NULL, 'IPR030889', NULL, 'Three transmembrane helix protein', '3TM_Mycoplasma', 4, NULL),
(26637, NULL, 'IPR030604', NULL, 'Kelch-like protein 31', 'KLHL31', 4, NULL),
(26638, NULL, 'IPR028303', NULL, 'Fibroblast growth factor 15/19', 'FGF15/FGF19', 4, NULL),
(26639, NULL, 'IPR026837', NULL, 'Adenomatous polyposis coli 2', 'APC2', 4, NULL),
(26640, NULL, 'IPR030898', NULL, 'Beta-methylarginine biosynthesis bifunctional aminotransferase', '3metArgNH2trans', 4, NULL),
(26641, NULL, 'IPR028511', NULL, 'E3 ubiquitin-protein ligase SH3RF2', 'SH3RF2', 4, NULL),
(26642, NULL, 'IPR032945', NULL, 'cGMP-gated cation channel alpha-1', 'CNGA1', 4, NULL),
(26643, NULL, 'IPR031635', NULL, 'Growth factor receptor NTRK, leucine rich repeat C-terminal', 'NTRK_LRRCT', 3, NULL),
(26644, NULL, 'IPR027611', NULL, 'Sporadic carbohydrate cluster 2-oxoglutarate-Fe(II) oxygenase', 'SpoChClust_oxygenase', 4, NULL),
(26645, NULL, 'IPR032433', NULL, 'Putative virion glycoprotein, N-terminal', 'DiSB-ORF2_chro', 3, NULL),
(26646, NULL, 'IPR031077', NULL, 'High mobility group protein HMGB3', 'HMGB3', 4, NULL),
(26647, NULL, 'IPR031243', NULL, 'Protein krueppel', 'Krueppel', 4, NULL),
(26648, NULL, 'IPR027772', NULL, 'Gamma-adducin', 'ADD3', 4, NULL),
(26649, NULL, 'IPR028847', NULL, 'Centromere protein W', 'CENP-W', 4, NULL),
(26650, NULL, 'IPR028052', NULL, 'Kinetochore assembly subunit CENP-C, N-terminal domain', 'CENP_C_N_dom', 3, NULL),
(26651, NULL, 'IPR025879', NULL, 'Pab87 octamerisation domain', 'Pab87_oct', 3, NULL),
(26652, NULL, 'IPR034299', NULL, 'Discoidin domain-containing receptor 1/2', 'DDR1/DDR2', 4, NULL),
(26653, NULL, 'IPR032820', NULL, 'Putative F0F1-ATPase subunit, Ca2+/Mg2+ transporter', 'ATPase_put', 4, NULL),
(26654, NULL, 'IPR032423', NULL, 'AAA C-terminal domain', 'AAA_assoc_2', 3, NULL),
(26655, NULL, 'IPR027787', NULL, 'Alpha/beta-hydrolase, catalytic domain', 'Alpha/beta-hydrolase_catalytic', 3, NULL),
(26656, NULL, 'IPR032916', NULL, 'Cysteine protease ATG4B, metazoa', 'ATG4B_met', 4, NULL),
(26657, NULL, 'IPR031098', NULL, 'Crustacean CHH/MIH/GIH neurohormone family', 'Crust_neurohorm', 4, NULL),
(26658, NULL, 'IPR028046', NULL, 'Immunity protein 75', 'Imm75', 4, NULL),
(26659, NULL, 'IPR028057', NULL, 'DrrA phosphatidylinositol 4-phosphate binding domain', 'DrrA_P4M', 3, NULL),
(26660, NULL, 'IPR029595', NULL, 'Dual oxidase 1/Duox', 'DUOX1/Duox', 4, NULL),
(26661, NULL, 'IPR031088', NULL, 'Putative serine/threonine-protein phosphatase 4 regulatory subunit 1-like', 'PPP4R1L', 4, NULL),
(26662, NULL, 'IPR026194', NULL, 'Prolactin-releasing peptide', 'PrRP', 4, NULL),
(26663, NULL, 'IPR030053', NULL, 'Taste receptor type 2 member 7', 'TAS2R7', 4, NULL),
(26664, NULL, 'IPR029899', NULL, 'Kinase non-catalytic C-lobe domain-containing protein 1', 'KNDC1', 4, NULL),
(26665, NULL, 'IPR031048', NULL, 'Somatic embryogenesis receptor kinase', 'SERK', 4, NULL),
(26666, NULL, 'IPR031221', NULL, 'Olfactomedin-4', 'Olfactomedin-4', 4, NULL),
(26667, NULL, 'IPR029432', NULL, 'Siphovirus Gp37-like protein', 'Sipho_Gp37', 4, NULL),
(26668, NULL, 'IPR031083', NULL, '3''-5'' RNA helicase YTHDC2-like', 'YTHDC2-like', 4, NULL),
(26669, NULL, 'IPR032516', NULL, 'Na+/H+ antiporter, budding yeast', 'Nha1', 4, NULL),
(26670, NULL, 'IPR027421', NULL, 'DNA polymerase lambda lyase domain superfamily', 'DNA_pol_lamdba_lyase_dom_sf', 5, NULL),
(26671, NULL, 'IPR026195', NULL, 'P-selectin glycoprotein ligand 1', 'PSGL-1', 4, NULL),
(26672, NULL, 'IPR028050', NULL, 'Toxin in Odyssella and Amoebophilus', 'Tox-ODYAM1', 4, NULL),
(26673, NULL, 'IPR032380', NULL, 'Polynucleotide kinase-phosphatase, ligase domain', 'PNKP_ligase_dom', 3, NULL),
(26674, NULL, 'IPR027052', NULL, 'Dehydrogenase/reductase SDR member 2', 'DHRS2', 4, NULL),
(26675, NULL, 'IPR030738', NULL, 'Rho guanine nucleotide exchange factor 25', 'ARHGEF25', 4, NULL),
(26676, NULL, 'IPR030340', NULL, 'Anion transporter SULP-6', 'SULP-6', 4, NULL),
(26677, NULL, 'IPR031618', NULL, 'Putative type IV secretory system protein', 'T4SS_TraI', 4, NULL),
(26678, NULL, 'IPR032434', NULL, 'Emaravirus P4 movement protein', 'Emaravirus_P4', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26679, NULL, 'IPR026200', NULL, 'TYRO protein tyrosine kinase-binding protein', 'Tyrobp', 4, NULL),
(26680, NULL, 'IPR028495', NULL, 'Protein S100-A15A', 'S100A15A', 4, NULL),
(26681, NULL, 'IPR029556', NULL, 'Tumor protein p53-inducible nuclear protein 1', 'TP53INP1', 4, NULL),
(26682, NULL, 'IPR031490', NULL, 'FAAP20, zinc finger UBZ2-type', 'UBZ2_FAAP20', 3, NULL),
(26683, NULL, 'IPR030336', NULL, 'Calcium-transporting ATPase type 2C member 1', 'ATP2C1', 4, NULL),
(26684, NULL, 'IPR030055', NULL, 'Taste receptor type 2 member 4', 'TAS2R4', 4, NULL),
(26685, NULL, 'IPR027525', NULL, 'Eukaryotic translation initiation factor 3 subunit I', 'eIF3i', 4, NULL),
(26686, NULL, 'IPR028503', NULL, 'Endophilin-B1', 'SH3GLB1', 4, NULL),
(26687, NULL, 'IPR032304', NULL, 'Subtilase, N-terminal', 'Peptidase_S8_N', 3, NULL),
(26688, NULL, 'IPR031090', NULL, 'Serine/threonine-protein phosphatase 2A subunit A, metazoa', 'PP2A_A_meta', 4, NULL),
(26689, NULL, 'IPR029904', NULL, 'Protein Spire2', 'Spire2', 4, NULL),
(26690, NULL, 'IPR029547', NULL, 'Transcription factor SOX-13', 'SOX-13', 4, NULL),
(26691, NULL, 'IPR031613', NULL, 'Pathogenicity locus protein HrpK', 'HrpK', 4, NULL),
(26692, NULL, 'IPR027053', NULL, 'Disintegrin and metalloproteinase domain-containing protein 10', 'ADAM_10', 4, NULL),
(26693, NULL, 'IPR031007', NULL, 'Phenylalanine aminomutase (D-beta-phenylalanine forming)', 'Phe_D_beta_mut', 4, NULL),
(26694, NULL, 'IPR029560', NULL, 'Centrosomal protein of 295kDa', 'CEP295', 4, NULL),
(26695, NULL, 'IPR030890', NULL, 'Substrate import-associated zinc metallohydrolase lipoprotein', 'LP_HExxH_w_TonB', 4, NULL),
(26696, NULL, 'IPR032833', NULL, 'FRAS1-related extracellular matrix protein 3', 'FREM3', 4, NULL),
(26697, NULL, 'IPR031000', NULL, 'Proline reductase cluster protein PrdD', 'D_pro_red_PrdD', 4, NULL),
(26698, NULL, 'IPR034300', NULL, 'NADP transhydrogenase beta-like domain', 'PNTB-like', 3, NULL),
(26699, NULL, 'IPR032884', NULL, 'NAD-dependent glucose-6-phosphate dehydrogenase, archaea', 'Glc6PDH_archaea', 4, NULL),
(26700, NULL, 'IPR031079', NULL, 'High mobility group protein HMG-I/HMG-Y, chordates', 'HMGA1_chordates', 4, NULL),
(26701, NULL, 'IPR026184', NULL, 'Placenta-expressed transcript 1', 'PLET1', 4, NULL),
(26702, NULL, 'IPR031003', NULL, 'Radical SAM P-methyltransferase, PhpK family', 'BcpD_PhpK_rSAM', 4, NULL),
(26703, NULL, 'IPR027528', NULL, 'Eukaryotic translation initiation factor 3 subunit M', 'eIF3m', 4, NULL),
(26704, NULL, 'IPR027495', NULL, 'Thiamine thiazole synthase', 'Sti35', 4, NULL),
(26705, NULL, 'IPR031001', NULL, 'Proline reductase-associated electron transfer protein PrdC', 'PR_assoc_PrdC', 4, NULL),
(26706, NULL, 'IPR030899', NULL, '2-ketoarginine methyltransferase', 'MrsA', 4, NULL),
(26707, NULL, 'IPR031062', NULL, 'Peptidase M12A,  nematode astacin 7', 'Peptidase_M12A_nas7', 4, NULL),
(26708, NULL, 'IPR030852', NULL, 'Outer membrane lipoprotein RcsF', 'RcsF', 4, NULL),
(26709, NULL, 'IPR027692', NULL, 'Neurofilament light polypeptide', 'NF-L', 4, NULL),
(26710, NULL, 'IPR030547', NULL, 'DNA repair protein XRCC2', 'XRCC2', 4, NULL),
(26711, NULL, 'IPR028775', NULL, 'Arf GTPase activating protein, ASAP3', 'ASAP3', 4, NULL),
(26712, NULL, 'IPR034083', NULL, 'DExH-box ATP-dependent RNA helicase, R3H domain', 'R3H_DEXH_helicase', 3, NULL),
(26713, NULL, 'IPR032405', NULL, 'Kinesin-associated', 'Kinesin_assoc', 3, NULL),
(26714, NULL, 'IPR030722', NULL, 'ELMO domain-containing protein 1', 'ELMOD1', 4, NULL),
(26715, NULL, 'IPR030606', NULL, 'Kelch-like protein 5, BTB/POZ domain', 'KLHL5_BTB/POZ', 3, NULL),
(26716, NULL, 'IPR030894', NULL, 'Fe-coproporphyrin III synthase AhbC, Proteobacteria type', 'Ahb_Proteobacteria', 4, NULL),
(26717, NULL, 'IPR030900', NULL, 'GMC family mycofactocin-associated oxidreductase', 'GMC_mycofac_OxRdtase', 4, NULL),
(26718, NULL, 'IPR029576', NULL, 'Prostaglandin G/H synthase 2', 'COX-2', 4, NULL),
(26719, NULL, 'IPR031860', NULL, 'Protein of unknown function DUF4754', 'DUF4754', 4, NULL),
(26720, NULL, 'IPR032882', NULL, 'SrkA/RdoA protein kinase', 'SrkA/RdoA', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26721, NULL, 'IPR030789', NULL, 'Olfactory receptor 2AG1', 'OR2AG1', 4, NULL),
(26722, NULL, 'IPR032386', NULL, 'Flagellar assembly protein T, middle domain', 'FlgT_M', 3, NULL),
(26723, NULL, 'IPR030376', NULL, 'Cap-specific mRNA (nucleoside-2-O-)-methyltransferase 1', 'Cap_mRNA_MeTrfase_1', 4, NULL),
(26724, NULL, 'IPR031100', NULL, 'LOG family', 'LOG_fam', 4, NULL),
(26725, NULL, 'IPR028056', NULL, 'Colicin M', 'Colicin_M', 4, NULL),
(26726, NULL, 'IPR031145', NULL, 'Invertebrate aquaporin-10', 'Invert_Aqp-10', 4, NULL),
(26727, NULL, 'IPR027422', NULL, 'ADP-ribosylation factor-binding protein GGA3', 'GGA3', 4, NULL),
(26728, NULL, 'IPR032287', NULL, 'Protein of unknown function DUF4838', 'DUF4838', 4, NULL),
(26729, NULL, 'IPR028501', NULL, 'Endophilin-A', 'Endophilin-A', 4, NULL),
(26730, NULL, 'IPR032865', NULL, 'Prokaryotic E2 family A', 'Prok-E2_A', 4, NULL),
(26731, NULL, 'IPR030745', NULL, 'Ras-specific guanine nucleotide-releasing factor 1', 'RasGRF1', 4, NULL),
(26732, NULL, 'IPR029961', NULL, 'BTB/POZ domain-containing protein NPY1', 'BTB/POZ_NPY1', 4, NULL),
(26733, NULL, 'IPR030198', NULL, 'Equilibrative nucleoside transporter 4', 'ENT4', 4, NULL),
(26734, NULL, 'IPR032866', NULL, 'Prokaryotic Ubiquitin', 'Prok_Ub', 4, NULL),
(26735, NULL, 'IPR031616', NULL, 'Small toxic protein BsrE-like', 'BsrE-like', 4, NULL),
(26736, NULL, 'IPR032420', NULL, 'Ubiquitin-activating enzyme E1, four-helix bundle', 'E1_4HB', 3, NULL),
(26737, NULL, 'IPR031046', NULL, 'Carnosine synthase 1', 'CARNS1', 4, NULL),
(26738, NULL, 'IPR026639', NULL, 'Glucocorticoid-induced transcript 1 protein', 'Glcci1', 4, NULL),
(26739, NULL, 'IPR027697', NULL, 'Neurofilament medium polypeptide', 'NF-M', 4, NULL),
(26740, NULL, 'IPR031149', NULL, 'KH domain containing protein, SPIN1', 'KH_prot_SPIN1', 4, NULL),
(26741, NULL, 'IPR031190', NULL, 'Syndecan-1', 'Syndecan-1', 4, NULL),
(26742, NULL, 'IPR032054', NULL, 'DNA replication factor Cdt1, C-terminal', 'Cdt1_C', 3, NULL),
(26743, NULL, 'IPR030061', NULL, 'Rho GTPase-activating protein 26', 'GRAF', 4, NULL),
(26744, NULL, 'IPR027700', NULL, 'Peripherin/Plasticin', 'PRPH/Plasticin', 4, NULL),
(26745, NULL, 'IPR028497', NULL, 'Protein S100-A5', 'S100-A5', 4, NULL),
(26746, NULL, 'IPR032384', NULL, 'Kinesin-like protein Kif23, Arf6-interacting domain', 'Kif23_Arf-bd', 3, NULL),
(26747, NULL, 'IPR030884', NULL, 'Uncharacterised protein family CHP04551', 'CHP04551', 4, NULL),
(26748, NULL, 'IPR031311', NULL, 'Chitin-binding type R&R consensus', 'CHIT_BIND_RR_consensus', 2, NULL),
(26749, NULL, 'IPR028493', NULL, 'Protein S100-A14', 'S100A14', 4, NULL),
(26750, NULL, 'IPR030950', NULL, 'Radical SAM family RiPP maturation amino acid epimerase', 'rSAM_PoyD', 4, NULL),
(26751, NULL, 'IPR026192', NULL, 'NADH-ubiquinone oxidoreductase 1 subunit C1', 'NDUFC1', 4, NULL),
(26752, NULL, 'IPR032860', NULL, 'RNA demethylase ALKBH5', 'ALKBH5', 4, NULL),
(26753, NULL, 'IPR032407', NULL, 'Haemophore, haem-binding', 'MHB', 3, NULL),
(26754, NULL, 'IPR031123', NULL, 'Innexin-11', 'Innexin-11', 4, NULL),
(26755, NULL, 'IPR029546', NULL, 'Astrocytic phosphoprotein PEA-15, death effector domain', 'PEA15_DED', 3, NULL),
(26756, NULL, 'IPR030902', NULL, 'Conserved hypothetical protein', 'CLB_0814_fam', 4, NULL),
(26757, NULL, 'IPR031004', NULL, 'Radical SAM/CxCxxxxC motif protein YfkAB', 'rSAM_YfkAB', 4, NULL),
(26758, NULL, 'IPR030972', NULL, 'UrcA family protein', 'UrcA_uranyl', 4, NULL),
(26759, NULL, 'IPR031641', NULL, 'Phthiocerol/phthiodiolone dimycocerosyl transferase, C-terminal', 'PapA_C', 3, NULL),
(26760, NULL, 'IPR027607', NULL, 'SEC10/PgrA surface exclusion domain', 'Surf_Exclu_SEC10/PgrA', 3, NULL),
(26761, NULL, 'IPR031115', NULL, 'Copine domain protein CPNA-1', 'Copine_CPNA-1', 4, NULL),
(26762, NULL, 'IPR026193', NULL, 'NADH-ubiquinone oxidoreductase flavoprotein 3', 'NDUFV3', 4, NULL),
(26763, NULL, 'IPR029960', NULL, 'BTB/POZ domain-containing protein NPY2', 'BTB/POZ_NPY2', 4, NULL),
(26764, NULL, 'IPR028933', NULL, 'Lebercilin domain', 'Lebercilin_dom', 3, NULL),
(26765, NULL, 'IPR030855', NULL, 'Bifunctional ligase/repressor BirA', 'Bifunct_BirA', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26766, NULL, 'IPR031601', NULL, 'Coiled-coil domain-containing protein 48', 'CCD48', 4, NULL),
(26767, NULL, 'IPR029561', NULL, '(E2-independent) E3 ubiquitin-conjugating enzyme FATS', 'FATS', 4, NULL),
(26768, NULL, 'IPR032294', NULL, 'Domain of unknown function DUF4841', 'DUF4841', 3, NULL),
(26769, NULL, 'IPR030947', NULL, 'Energy-coupling factor transporter ATP-binding protein EcfA1', 'EcfA_1', 4, NULL),
(26770, NULL, 'IPR032914', NULL, 'Vam6/VPS39/TRAP1 family', 'Vam6/VPS39/TRAP1', 4, NULL),
(26771, NULL, 'IPR030749', NULL, 'Ral guanine nucleotide dissociation stimulator-like 2', 'RGL2', 4, NULL),
(26772, NULL, 'IPR030936', NULL, 'Putative nonproteinogenic amino acid hydroxylase', 'Nonproteo_OH', 4, NULL),
(26773, NULL, 'IPR030907', NULL, 'Ferritin-like protein', 'Ferrit_encaps', 4, NULL),
(26774, NULL, 'IPR030946', NULL, 'Energy-coupling factor transporter ATP-binding protein EcfA2', 'EcfA2', 4, NULL),
(26775, NULL, 'IPR026843', NULL, 'Nuclease SbcCD subunit D, C-terminal domain', 'SbcD_C', 3, NULL),
(26776, NULL, 'IPR025881', NULL, 'Toxin Ibs', 'Toxin_Ibs', 4, NULL),
(26777, NULL, 'IPR030365', NULL, 'ATP-binding cassette subfamily A member 1', 'ABCA1', 4, NULL),
(26778, NULL, 'IPR028506', NULL, 'Sorbin and SH3 domain-containing protein', 'Sorbin_SH3', 4, NULL),
(26779, NULL, 'IPR026169', NULL, 'Mitochondria-eating protein', 'MIEAP', 4, NULL),
(26780, NULL, 'IPR031619', NULL, 'DNA transfer protein', 'Inj_translocase', 4, NULL),
(26781, NULL, 'IPR032388', NULL, 'Flagellar assembly protein T, C-terminal', 'FlgT_C', 3, NULL),
(26782, NULL, 'IPR030943', NULL, 'IgG-blocking protein M', 'M_MG281', 4, NULL),
(26783, NULL, 'IPR028778', NULL, 'Transcription factor 7-like 1', 'Tcf7l1', 4, NULL),
(26784, NULL, 'IPR027040', NULL, 'Proteasome subunit Rpn10', 'Proteasome_su_Rpn10', 4, NULL),
(26785, NULL, 'IPR030354', NULL, 'K/Cl co-transporter 4', 'KCC4', 4, NULL),
(26786, NULL, 'IPR027120', NULL, 'Smc2, ATP-binding cassette domain', 'Smc2_ABC', 3, NULL),
(26787, NULL, 'IPR030909', NULL, 'Encapsulated protein', 'Geobac_encap', 4, NULL),
(26788, NULL, 'IPR028049', NULL, 'NTF2 fold immunity protein', 'Imm-NTF2', 3, NULL),
(26789, NULL, 'IPR026202', NULL, 'Golgin subfamily B member 1', 'GOLGB1', 4, NULL),
(26790, NULL, 'IPR031602', NULL, 'Clock-interacting pacemaker', 'CIPC', 4, NULL),
(26791, NULL, 'IPR032947', NULL, 'Homeobox protein SIX6', 'SIX6', 4, NULL),
(26792, NULL, 'IPR029585', NULL, 'Peroxidase Pxd-like', 'Pxd-like', 4, NULL),
(26793, NULL, 'IPR031265', NULL, 'Transcription factor SOX-8', 'SOX-8', 4, NULL),
(26794, NULL, 'IPR026197', NULL, 'Secretogranin III', 'SCG3', 4, NULL),
(26795, NULL, 'IPR027531', NULL, 'Eukaryotic translation initiation factor 3 subunit F', 'eIF3f', 4, NULL),
(26796, NULL, 'IPR031187', NULL, 'Division abnormally delayed protein', 'Dally', 4, NULL),
(26797, NULL, 'IPR032330', NULL, 'Elongation factor G-binding protein, C-terminal treble-clef zinc-finger', 'EF-G-binding_C', 3, NULL),
(26798, NULL, 'IPR029962', NULL, 'Trichome birefringence-like family', 'TBL', 4, NULL),
(26799, NULL, 'IPR030064', NULL, 'Lysozyme-like protein 5', 'LYZL5', 4, NULL),
(26800, NULL, 'IPR027776', NULL, 'Sperm-associated antigen 4 protein', 'SPAG4/SUN4', 4, NULL),
(26801, NULL, 'IPR032929', NULL, 'ETS translocation variant 3', 'ETV3', 4, NULL),
(26802, NULL, 'IPR032936', NULL, 'Cell death activator CIDE-A', 'CIDE-A', 4, NULL),
(26803, NULL, 'IPR030707', NULL, 'Microtubule-associated protein 7', 'MAP7', 4, NULL),
(26804, NULL, 'IPR030731', NULL, 'ELMO domain-containing protein 3', 'ELMOD3', 4, NULL),
(26805, NULL, 'IPR030653', NULL, 'Galectin-13', 'Galectin_13', 4, NULL),
(26806, NULL, 'IPR030611', NULL, 'Aurora kinase A', 'AURKA', 3, NULL),
(26807, NULL, 'IPR030339', NULL, 'Anion transporter SULP-4/5', 'SULP-4/5', 4, NULL),
(26808, NULL, 'IPR030778', NULL, 'Olfactory receptor 2G3', 'OR2G3', 4, NULL),
(26809, NULL, 'IPR027702', NULL, 'Syncoilin', 'Syncoilin', 4, NULL),
(26810, NULL, 'IPR027978', NULL, 'Protein of unknown function DUF4644', 'DUF4644', 4, NULL),
(26811, NULL, 'IPR030797', NULL, 'Microtubule-associated protein 2', 'MAP2', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26812, NULL, 'IPR028446', NULL, 'Juxtamembrane domain-associated catenin', 'JAC-1', 4, NULL),
(26813, NULL, 'IPR026201', NULL, 'Centrosomal protein of 290kDa', 'Cep290', 4, NULL),
(26814, NULL, 'IPR032919', NULL, 'Rho guanine nucleotide exchange factor 11', 'PDZ-RhoGEF', 4, NULL),
(26815, NULL, 'IPR031124', NULL, 'Peptide transporter 3', 'Pept-3', 4, NULL),
(26816, NULL, 'IPR030531', NULL, 'Amyloid beta A4 precursor protein-binding family A member 3', 'Apba3', 4, NULL),
(26817, NULL, 'IPR031147', NULL, 'Double-stranded RNA-binding protein', 'DRB', 4, NULL),
(26818, NULL, 'IPR032835', NULL, 'Rho GTPase-activating protein, FF domain', 'RhoGAP-FF1', 3, NULL),
(26819, NULL, 'IPR026173', NULL, 'Sperm-associated antigen 17', 'SPAG17', 4, NULL),
(26820, NULL, 'IPR027307', NULL, 'WASH complex subunit 7', 'WASH7', 4, NULL),
(26821, NULL, 'IPR032528', NULL, 'Sigma 54 modulation/S30EA ribosomal protein, C-terminal', 'Ribosom_S30AE_C', 3, NULL),
(26822, NULL, 'IPR029907', NULL, 'Actin filament-associated protein 1', 'AFAP-110', 4, NULL),
(26823, NULL, 'IPR032047', NULL, 'Telomere resolvase ResT', 'Telomere_res', 4, NULL),
(26824, NULL, 'IPR032934', NULL, 'Folate receptor gamma', 'FR-gamma', 4, NULL),
(26825, NULL, 'IPR027761', NULL, 'NudC domain-containing protein 3', 'NUDCD3', 4, NULL),
(26826, NULL, 'IPR032319', NULL, 'Polyribonucleotide 5''-hydroxyl-kinase Clp1, P-loop domain', 'CLP1_P', 3, NULL),
(26827, NULL, 'IPR030941', NULL, 'Putative immunoglobulin-blocking virulence protein', 'Predic_Ig_block', 4, NULL),
(26828, NULL, 'IPR032293', NULL, 'Protein of unknown function DUF4840', 'DUF4840', 4, NULL),
(26829, NULL, 'IPR030949', NULL, 'ECF transporter S component, folate family', 'ECF_S_folate_fam', 4, NULL),
(26830, NULL, 'IPR029590', NULL, 'Chorion peroxidase', 'Pxt', 4, NULL),
(26831, NULL, 'IPR026182', NULL, 'Anaphase-promoting complex subunit 15', 'ANAPC15', 4, NULL),
(26832, NULL, 'IPR032656', NULL, 'Neurogenin-3', 'Ngn3', 4, NULL),
(26833, NULL, 'IPR027087', NULL, 'Protein Unc-13 homologue C', 'Unc13C', 4, NULL),
(26834, NULL, 'IPR029906', NULL, 'FERM and PDZ domain-containing protein 2', 'FRMPD2', 4, NULL),
(26835, NULL, 'IPR034149', NULL, 'DNA topoisomerase 1, TOPRIM domain', 'TOPRIM_TopoI', 3, NULL),
(26836, NULL, 'IPR027291', NULL, 'Glycoside hydrolase 38, N-terminal domain superfamily', 'Glyco_hydro_38_N_sf', 5, NULL),
(26837, NULL, 'IPR028845', NULL, 'Angiopoietin-4', 'Ang-4', 4, NULL),
(26838, NULL, 'IPR028883', NULL, 'tRNA-specific adenosine deaminase', 'tRNA_aden_deaminase', 4, NULL),
(26839, NULL, 'IPR027695', NULL, 'Keratin, type I cytoskeletal 18', 'Keratin-18', 4, NULL),
(26840, NULL, 'IPR031623', NULL, 'Archaeal histidine kinase, 4TM domain', 'HisKA_4TM', 3, NULL),
(26841, NULL, 'IPR030966', NULL, 'Putative peptide modification system cyclase', 'Mod_pep_cyc', 4, NULL),
(26842, NULL, 'IPR027606', NULL, 'Surface protein repeat Ser-Ala-175', 'SerAla_Lrha_rpt', 7, NULL),
(26843, NULL, 'IPR027975', NULL, 'TMEM71 protein family', 'TMEM71', 4, NULL),
(26844, NULL, 'IPR029548', NULL, 'Transcription factor SOX-9', 'SOX-9', 4, NULL),
(26845, NULL, 'IPR030788', NULL, 'Olfactory receptor 2AJ1', 'OR2AJ1', 4, NULL),
(26846, NULL, 'IPR030975', NULL, 'Putative 2OG-Fe(II) oxygenase', 'SpoChoClust_3', 4, NULL),
(26847, NULL, 'IPR030541', NULL, 'Rabphilin-1', 'RBF-1', 4, NULL),
(26848, NULL, 'IPR031087', NULL, 'Serine/threonine-protein phosphatase 4 regulatory subunit 1', 'PP4R1', 4, NULL),
(26849, NULL, 'IPR027701', NULL, 'Glial fibrillary acidic protein', 'GFAP', 4, NULL),
(26850, NULL, 'IPR032885', NULL, 'DNA double-strand break repair protein Mre11, archaea-type', 'Mre11_archaea-type', 4, NULL),
(26851, NULL, 'IPR030601', NULL, 'Kelch-like protein 35', 'KLHL35', 4, NULL),
(26852, NULL, 'IPR032823', NULL, 'Branched-chain amino acid ATP-binding cassette transporter, C-terminal', 'BCA_ABC_TP_C', 3, NULL),
(26853, NULL, 'IPR030400', NULL, 'Sedolisin domain', 'Sedolisin_dom', 3, NULL),
(26854, NULL, 'IPR026178', NULL, 'Junctional sarcoplasmic reticulum protein 1', 'JSRP1', 4, NULL),
(26855, NULL, 'IPR030035', NULL, 'Membrane-associated guanylate kinase, WW and PDZ domain-containing protein 3', 'MAGI3', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26856, NULL, 'IPR031226', NULL, 'Probable ubiquitin carboxyl-terminal hydrolase FAF-X', 'USP9X', 4, NULL),
(26857, NULL, 'IPR032935', NULL, 'Folate receptor alpha', 'FOLR1', 4, NULL),
(26858, NULL, 'IPR031223', NULL, 'Cullin-7', 'CUL7', 4, NULL),
(26859, NULL, 'IPR029589', NULL, 'Thyroid peroxidase', 'TPO', 4, NULL),
(26860, NULL, 'IPR032925', NULL, 'ETS domain-containing transcription factor ERF', 'ERF', 4, NULL),
(26861, NULL, 'IPR030953', NULL, 'Glycosyltransferase, activator-dependent family', 'Glycosyl_450act', 4, NULL),
(26862, NULL, 'IPR032048', NULL, 'Transglutaminase elicitor', 'TGase_elicitor', 4, NULL),
(26863, NULL, 'IPR029587', NULL, 'Lactoperoxidase', 'LPO', 4, NULL),
(26864, NULL, 'IPR030961', NULL, 'VPAMP-CTERM protein sorting domain', 'VPAMP_C', 4, NULL),
(26865, NULL, 'IPR027608', NULL, 'Spirochetes SPASM protein', 'Spiro_SPASM', 4, NULL),
(26866, NULL, 'IPR032305', NULL, 'GTP-binding protein, middle domain', 'GTP-bd_M', 3, NULL),
(26867, NULL, 'IPR031639', NULL, 'Annelid erythrocruorin linker subunit, C-terminal', 'Eryth_link_C', 3, NULL),
(26868, NULL, 'IPR028060', NULL, 'Big defensin domain', 'Defensin_big_dom', 3, NULL),
(26869, NULL, 'IPR032883', NULL, '6-phosphogluconate dehydrogenase, archaea', '6PGDH_archaea', 4, NULL),
(26870, NULL, 'IPR031264', NULL, 'Retinol-binding protein 1', 'CRBP1', 4, NULL),
(26871, NULL, 'IPR029963', NULL, 'Xyloglucan O-acetyltransferase 1', 'XGOAT1', 4, NULL),
(26872, NULL, 'IPR028843', NULL, 'Angiopoietin-1', 'Ang-1', 4, NULL),
(26873, NULL, 'IPR031629', NULL, 'Dipicolinate synthase subunit A, N-terminal', 'DpaA_N', 3, NULL),
(26874, NULL, 'IPR027605', NULL, 'Putative ornithine decarboxylase, Lactobacillus', 'Lacto_ODC_put', 4, NULL),
(26875, NULL, 'IPR030791', NULL, 'Rotatin', 'Rotatin', 4, NULL),
(26876, NULL, 'IPR027532', NULL, 'Mitochondrial distribution and morphology protein 12', 'Mdm12', 4, NULL),
(26877, NULL, 'IPR030744', NULL, 'Ras-specific guanine nucleotide-releasing factor 2', 'RasGRF2', 4, NULL),
(26878, NULL, 'IPR028496', NULL, 'Protein S100-A4', 'S100-A4', 4, NULL),
(26879, NULL, 'IPR030739', NULL, 'Rap guanine nucleotide exchange factor 2', 'RapGEF2', 4, NULL),
(26880, NULL, 'IPR027294', NULL, 'Neuropeptide S receptor', 'NPS_rcpt', 4, NULL),
(26881, NULL, 'IPR032944', NULL, 'Cyclic nucleotide-gated cation channel beta-1', 'CNGB1', 4, NULL),
(26882, NULL, 'IPR027976', NULL, 'TATA box-binding protein-associated factor 1D', 'TAF1D', 4, NULL),
(26883, NULL, 'IPR027430', NULL, 'Visual pigments (opsins) retinal binding site', 'Retinal_BS', 1, NULL),
(26884, NULL, 'IPR030896', NULL, 'AdoMet-dependent heme synthase AhbD', 'rSAM_AhbD_hemeb', 4, NULL),
(26885, NULL, 'IPR026174', NULL, 'Coiled-coil domain-containing protein 191', 'CC191', 4, NULL),
(26886, NULL, 'IPR032337', NULL, 'Cell-cycle alteration and expression-elevated protein in tumour', 'CREPT', 4, NULL),
(26887, NULL, 'IPR031621', NULL, 'Histidine kinase, N-terminal 7TM region', 'HisKA_7TM', 3, NULL),
(26888, NULL, 'IPR032303', NULL, 'YaiA protein', 'YaiA', 4, NULL),
(26889, NULL, 'IPR027932', NULL, 'Protein of unknown function DUF4606', 'DUF4606', 4, NULL),
(26890, NULL, 'IPR032282', NULL, 'Hydroxyacylglutathione hydrolase, C-terminal domain', 'HAGH_C', 3, NULL),
(26891, NULL, 'IPR030607', NULL, 'Kelch-like protein 40', 'KLHL40', 4, NULL),
(26892, NULL, 'IPR030610', NULL, 'Protein-tyrosine kinase 2-beta', 'PTK2B', 4, NULL),
(26893, NULL, 'IPR029550', NULL, 'Transcription factor SOX-3', 'SOX-3', 4, NULL),
(26894, NULL, 'IPR026190', NULL, 'Hypoxia-inducible lipid droplet-associated protein', 'Hipoxia_HILPDA', 4, NULL),
(26895, NULL, 'IPR029551', NULL, 'Transcription factor SOX-11', 'SOX-11', 4, NULL),
(26896, NULL, 'IPR028846', NULL, 'Recoverin family', 'Recoverin', 4, NULL),
(26897, NULL, 'IPR031224', NULL, 'Gliomedin', 'Gliomedin', 4, NULL),
(26898, NULL, 'IPR032332', NULL, 'Gram-positive pilin backbone subunit 3, Cna-B-like domain', 'GramPos_pilinD3', 3, NULL),
(26899, NULL, 'IPR030805', NULL, 'Oxidoreductase-SelD-related fusion protein', 'Oxidorec-SedlD_fusion', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26900, NULL, 'IPR030945', NULL, 'Putative energy coupling factor transporter S component', 'EcfS_MSC_0063', 4, NULL),
(26901, NULL, 'IPR027533', NULL, 'Very-long-chain 3-oxoacyl-CoA reductase, fungal', '3_ketoreductase_fungal', 4, NULL),
(26902, NULL, 'IPR027044', NULL, 'DNA helicase B', 'Helb', 4, NULL),
(26903, NULL, 'IPR032946', NULL, 'BPI fold-containing family A member 3', 'Bpifa3', 4, NULL),
(26904, NULL, 'IPR031158', NULL, 'Glycosyl hydrolases family 10, active site', 'GH10_AS', 0, NULL),
(26905, NULL, 'IPR026189', NULL, 'Cylicin', 'CYLC', 4, NULL),
(26906, NULL, 'IPR029580', NULL, 'Prostaglandin G/H synthase 1', 'COX-1', 4, NULL),
(26907, NULL, 'IPR027181', NULL, 'Toll-like receptor 9', 'TLR9', 4, NULL),
(26908, NULL, 'IPR028885', NULL, 'Adenylyltransferase and sulfurtransferase MOCS3/Uba4', 'MOCS3/Uba4', 4, NULL),
(26909, NULL, 'IPR030962', NULL, 'STREFT protein', 'Mycopla_NOT_gsn', 4, NULL),
(26910, NULL, 'IPR030853', NULL, '3-5 exoribonuclease, actinobacteria', '3_5_Exoribonuc_actinobac', 4, NULL),
(26911, NULL, 'IPR032052', NULL, 'CD3 gamma/delta subunit, Ig-like domain', 'Ig_4', 3, NULL),
(26912, NULL, 'IPR032410', NULL, 'Mitochondrial ABC-transporter, N-terminal five TM domain', 'MTABC_N', 3, NULL),
(26913, NULL, 'IPR032933', NULL, 'Brain mitochondrial carrier protein 1', 'SLC25A14', 4, NULL),
(26914, NULL, 'IPR032440', NULL, '40S ribosomal protein S11, N-terminal', 'Ribosomal_S11_N', 3, NULL),
(26915, NULL, 'IPR030576', NULL, 'Myotubularin-related protein 12', 'MTMR12', 4, NULL),
(26916, NULL, 'IPR027699', NULL, 'Vimentin', 'Vimentin', 4, NULL),
(26917, NULL, 'IPR032886', NULL, 'tRNA-dihydrouridine(16) synthase', 'DusC', 4, NULL),
(26918, NULL, 'IPR030906', NULL, 'Surface carbohydrate biosynthesis protein', 'Surf_polysacc', 3, NULL),
(26919, NULL, 'IPR032409', NULL, 'Rho guanine nucleotide exchange factor, coiled-coil domain', 'GEF_CC', 3, NULL),
(26920, NULL, 'IPR026186', NULL, 'Protein POF1B', 'POF1B', 4, NULL),
(26921, NULL, 'IPR027496', NULL, '1,2-dihydroxy-3-keto-5-methylthiopentene dioxygenase, eukaryotes', 'ARD_euk', 4, NULL),
(26922, NULL, 'IPR025873', NULL, 'Metal binding domain, predicted', 'Metal-bd_dom_prd', 3, NULL),
(26923, NULL, 'IPR032527', NULL, 'Domain of unknown function DUF4959', 'DUF4959', 3, NULL),
(26924, NULL, 'IPR031194', NULL, 'Syndecan-3', 'Syndecan-3', 4, NULL),
(26925, NULL, 'IPR030603', NULL, 'Kelch-like protein 18, BTB/POZ domain', 'KLHL18_BTB/POZ', 3, NULL),
(26926, NULL, 'IPR031614', NULL, 'Putative holin', 'Holin_9', 4, NULL),
(26927, NULL, 'IPR027182', NULL, 'Toll-like receptor 10', 'TLR10', 4, NULL),
(26928, NULL, 'IPR032406', NULL, 'Cyclic nucleotide-gated channel, C-terminal leucine zipper domain', 'CLZ_dom', 3, NULL),
(26929, NULL, 'IPR032927', NULL, 'Erbin', 'Erbin', 4, NULL),
(26930, NULL, 'IPR030687', NULL, 'Sterol O-acyltransferase, metazoa', 'Sterol_acyltranf_meta', 4, NULL),
(26931, NULL, 'IPR028062', NULL, 'Kidney androgen-regulated protein', 'KAR_prot', 4, NULL),
(26932, NULL, 'IPR032313', NULL, 'Domain of unknown function DUF4980', 'DUF4980', 3, NULL),
(26933, NULL, 'IPR032932', NULL, 'Neuronal acetylcholine receptor subunit beta-2', 'CHRNB2', 4, NULL),
(26934, NULL, 'IPR027777', NULL, 'Dynactin subunit 6', 'DCTN6', 4, NULL),
(26935, NULL, 'IPR031633', NULL, 'DNA replication complex GINS protein SLD5, C-terminal', 'SLD5_C', 3, NULL),
(26936, NULL, 'IPR032286', NULL, 'Protein of unknown function DUF4837', 'DUF4837', 4, NULL),
(26937, NULL, 'IPR026053', NULL, 'Hermansky-Pudlak syndrome 1 protein', 'HPS1', 4, NULL),
(26938, NULL, 'IPR032416', NULL, 'Peptidase M24, C-terminal domain', 'Peptidase_M24_C', 3, NULL),
(26939, NULL, 'IPR031161', NULL, 'Peptidase family M60 domain', 'Peptidase_M60_dom', 3, NULL),
(26940, NULL, 'IPR032818', NULL, 'DedA family', 'DedA', 4, NULL),
(26941, NULL, 'IPR030341', NULL, 'Anion transporter SULP-7', 'SULP-7', 4, NULL),
(26942, NULL, 'IPR032321', NULL, 'Centrosomal protein of 290kDa, coiled-coil region', 'Cep209_CC5', 3, NULL),
(26943, NULL, 'IPR030940', NULL, 'Uncharacterised protein MG279/MG280', 'MG279/MG280', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26944, NULL, 'IPR032328', NULL, 'Cation efflux system protein CusB, long alpha hairpin domain', 'HlyD_D4', 3, NULL),
(26945, NULL, 'IPR032312', NULL, 'Beta-galactosidase, domain 4', 'LacZ_4', 3, NULL),
(26946, NULL, 'IPR025880', NULL, 'Glycosyl hydrolase family 80, chitosanase', 'Glyco_hydro_80_chitosanase', 4, NULL),
(26947, NULL, 'IPR027930', NULL, 'Protein of unknown function DUF4609', 'DUF4609', 4, NULL),
(26948, NULL, 'IPR032930', NULL, 'Epidermal growth factor-like protein 6', 'Egfl6', 4, NULL),
(26949, NULL, 'IPR030737', NULL, 'IQ motif and SEC7 domain-containing protein 1', 'IQSEC1', 4, NULL),
(26950, NULL, 'IPR031084', NULL, 'OTU domain-containing protein 5', 'OTU5', 4, NULL),
(26951, NULL, 'IPR032655', NULL, 'Neurogenin-2', 'Ngn2', 4, NULL),
(26952, NULL, 'IPR028938', NULL, 'Remodeling and spacing factor 1-like', 'Rsf1-like', 4, NULL),
(26953, NULL, 'IPR027610', NULL, 'Sporadic carbohydrate cluster protein, LIC12192 family', 'SpoChClust', 4, NULL),
(26954, NULL, 'IPR032931', NULL, 'Very low-density lipoprotein receptor', 'VLDLR', 4, NULL),
(26955, NULL, 'IPR031006', NULL, 'Exosortase N', 'Exosort_XrtN', 4, NULL),
(26956, NULL, 'IPR034151', NULL, 'Bacterial DnaG primase, TOPRIM domain', 'TOPRIM_DnaG_bac', 3, NULL),
(26957, NULL, 'IPR030361', NULL, 'Phospholipid-transporting ATPase IH', 'ATP11A', 4, NULL),
(26958, NULL, 'IPR030605', NULL, 'Kelch-like protein 8', 'KLHL8', 4, NULL),
(26959, NULL, 'IPR030905', NULL, 'Choline TMA-lyase-activating enzyme', 'CutC_activ_rSAM', 4, NULL),
(26960, NULL, 'IPR026171', NULL, 'Fanconi anemia group I protein', 'FANCI', 4, NULL),
(26961, NULL, 'IPR027609', NULL, 'Putative 7-carboxy-7-deazaguanine synthase QueE, Proteobacteria', 'rSAM_QueE_Proteobac', 4, NULL),
(26962, NULL, 'IPR029752', NULL, 'D-isomer specific 2-hydroxyacid dehydrogenase, NAD-binding domain conserved site 1', 'D-isomer_DH_CS1', 2, NULL),
(26963, NULL, 'IPR026636', NULL, 'M-phase phosphoprotein 9', 'MPHOSPH9', 4, NULL),
(26964, NULL, 'IPR030942', NULL, 'IgG-blocking virulence domain', 'Mycoplas_M_dom', 3, NULL),
(26965, NULL, 'IPR032306', NULL, 'Phosphotransferase RcsD, RcsD-ABL domain', 'RcsD_ABL', 3, NULL),
(26966, NULL, 'IPR032918', NULL, 'E3 ubiquitin-protein ligase TRIM17', 'TRIM17', 4, NULL),
(26967, NULL, 'IPR027088', NULL, 'Mitofusin-1', 'Mitofusin-1', 4, NULL),
(26968, NULL, 'IPR032428', NULL, 'TrfB transcriptional repressor protein', 'TrfB', 3, NULL),
(26969, NULL, 'IPR030542', NULL, 'Tandem C2 domains nuclear protein', 'Tac2-N', 4, NULL),
(26970, NULL, 'IPR028063', NULL, 'Scrapie-responsive protein 1', 'SCRG1', 4, NULL),
(26971, NULL, 'IPR030476', NULL, 'Pentaxin, conserved site', 'Pentaxin_CS', 2, NULL),
(26972, NULL, 'IPR031002', NULL, 'D-proline reductase, PrdA proprotein', 'D_pro_red_PrdA', 4, NULL),
(26973, NULL, 'IPR032923', NULL, 'Kinesin-like protein KIF13A', 'KIF13A', 4, NULL),
(26974, NULL, 'IPR032864', NULL, 'Prokaryotic E2 family C', 'Prok-E2_C', 4, NULL),
(26975, NULL, 'IPR032920', NULL, 'Rab11 family-interacting protein 3', 'Rab11-FIP3', 4, NULL),
(26976, NULL, 'IPR032401', NULL, 'Enhancer of mRNA-decapping protein 4, WD40 repeat region', 'EDC4_WD40', 3, NULL),
(26977, NULL, 'IPR031089', NULL, 'Bi-functional UDP-rhamnose/UDP-galactose transporter', 'NST-KT_B', 4, NULL),
(26978, NULL, 'IPR031005', NULL, 'XrtN system VIT domain protein', 'Sorted_by_XrtN', 4, NULL),
(26979, NULL, 'IPR030937', NULL, 'Hemophore Rv0203', 'Hemophore_Rv0203', 4, NULL),
(26980, NULL, 'IPR029901', NULL, 'Protein Spire', 'Spire', 4, NULL),
(26981, NULL, 'IPR028777', NULL, 'Microtubule-associated serine/threonine-protein kinase 1', 'MAST1', 4, NULL),
(26982, NULL, 'IPR030901', NULL, 'Thiaminase-1', 'Thiaminase_BcmE', 4, NULL),
(26983, NULL, 'IPR031309', NULL, 'Ribosomal protein L5, C-terminal', 'Ribosomal_L5_C', 3, NULL),
(26984, NULL, 'IPR027705', NULL, 'Flotillin family', 'Flotillin_fam', 4, NULL),
(26985, NULL, 'IPR029545', NULL, 'Calpain-12', 'CAPN12', 4, NULL),
(26986, NULL, 'IPR032937', NULL, 'Folate receptor beta', 'FOLR2', 4, NULL),
(26987, NULL, 'IPR028940', NULL, 'Bromodomain adjacent to zinc finger domain protein 2A', 'TIP5', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(26988, NULL, 'IPR032861', NULL, 'Xylanase inhibitor, N-terminal', 'TAXi_N', 3, NULL),
(26989, NULL, 'IPR027524', NULL, 'Eukaryotic translation initiation factor 3 subunit H', 'eIF3h', 4, NULL),
(26990, NULL, 'IPR032429', NULL, 'Nibrin, second BRCT domain', 'Nibrin_BRCT2', 3, NULL),
(26991, NULL, 'IPR031104', NULL, 'Protein TRANSPARENT TESTA GLABRA 1', 'TTG1', 4, NULL),
(26992, NULL, 'IPR031600', NULL, 'Domain of unknown function DUF4706', 'DUF4706', 3, NULL),
(26993, NULL, 'IPR030948', NULL, 'MoCo/4Fe-4S cofactor protein extended Tat translocation domain', 'MoCo_extend_TAT_dom', 3, NULL),
(26994, NULL, 'IPR028502', NULL, 'E3 ubiquitin-protein ligase SH3RF3', 'SH3RF3', 4, NULL),
(26995, NULL, 'IPR029905', NULL, 'Protein Spire1', 'Spire1', 4, NULL),
(26996, NULL, 'IPR027039', NULL, 'Cartilage acidic protein 1', 'Crtac1', 4, NULL),
(26997, NULL, 'IPR030882', NULL, 'Putative DNA helicase Rad25, archaea', 'Helicase_Rad25_arc', 4, NULL),
(26998, NULL, 'IPR031617', NULL, 'Putative exopolysaccharide exporter', 'PelG', 4, NULL),
(26999, NULL, 'IPR028048', NULL, 'HNH/Endo VII superfamily nuclease toxins', 'Tox-HNH-EHHH', 3, NULL),
(27000, NULL, 'IPR030390', NULL, 'RNA methyltransferase TrmA, active site', 'MeTrfase_TrmA_AS', 0, NULL),
(27001, NULL, 'IPR031400', NULL, 'Gametogenetin', 'GGN', 4, NULL),
(27002, NULL, 'IPR031393', NULL, 'Lymphocyte transmembrane adapter 1', 'LAX', 4, NULL),
(27003, NULL, 'IPR029919', NULL, 'Protein flightless-1', 'FliI', 4, NULL),
(27004, NULL, 'IPR028411', NULL, 'Suppressor of cytokine signalling 1', 'SOCS1', 4, NULL),
(27005, NULL, 'IPR028456', NULL, 'Abl interactor 1', 'ABI1', 4, NULL),
(27006, NULL, 'IPR030405', NULL, 'Zinc finger protein GLIS3', 'GLIS3', 4, NULL),
(27007, NULL, 'IPR028606', NULL, 'Polyribonucleotide 5-hydroxyl-kinase Clp1', 'Clp1', 4, NULL),
(27008, NULL, 'IPR032983', NULL, 'Cell adhesion molecule-related/down-regulated by oncogenes', 'CDO', 4, NULL),
(27009, NULL, 'IPR025014', NULL, 'Protein of unknown function DUF3958', 'DUF3958', 4, NULL),
(27010, NULL, 'IPR026685', NULL, 'Heat shock 70kDa protein 12A', 'HSPA12A', 4, NULL),
(27011, NULL, 'IPR025005', NULL, 'Domain of unknown function DUF3974', 'DUF3974', 3, NULL),
(27012, NULL, 'IPR025875', NULL, 'Leucine rich repeat 4', 'Leu-rich_rpt_4', 7, NULL),
(27013, NULL, 'IPR025992', NULL, 'Haem-binding domain', 'Haem-bd', 3, NULL),
(27014, NULL, 'IPR031440', NULL, 'Protein of unknown function DUF4670', 'DUF4670', 4, NULL),
(27015, NULL, 'IPR032984', NULL, 'Hemicentin-2', 'Hemicentin-2', 4, NULL),
(27016, NULL, 'IPR029928', NULL, 'EH domain-binding protein 1-like protein 1', 'Ehbp1l1', 4, NULL),
(27017, NULL, 'IPR026095', NULL, 'Myb/SANT-like DNA-binding domain-containing protein', 'Myb/SANT-like_DNA-bd_dom_prot', 4, NULL),
(27018, NULL, 'IPR031905', NULL, 'Flotillin, C-terminal domain', 'Flotillin_C', 3, NULL),
(27019, NULL, 'IPR026598', NULL, 'GMP synthase subunit B', 'GMP_synthase_B', 4, NULL),
(27020, NULL, 'IPR031894', NULL, 'Abi component, intracellular sensor of Lambda phage RexA', 'RexA', 4, NULL),
(27021, NULL, 'IPR035952', NULL, 'Rhomboid-like superfamily', 'Rhomboid-like_sf', 5, NULL),
(27022, NULL, 'IPR028537', NULL, 'PDZ and LIM domain protein 1', 'PDLIM1', 4, NULL),
(27023, NULL, 'IPR030300', NULL, 'Signal recognition particle 43kDa protein', 'CPSRP43', 4, NULL),
(27024, NULL, 'IPR029447', NULL, 'Domain of unknown function DUF4439', 'DUF4439', 3, NULL),
(27025, NULL, 'IPR031183', NULL, 'Glypican-6', 'Glypican-6', 4, NULL),
(27026, NULL, 'IPR028135', NULL, 'Ubiquitin-like domain, USP-type', 'Ub_USP-typ', 3, NULL),
(27027, NULL, 'IPR031442', NULL, 'Protein NPAT, C-terminal domain', 'NPAT_C', 3, NULL),
(27028, NULL, 'IPR031399', NULL, 'Testis development-related protein', 'TDRP', 4, NULL),
(27029, NULL, 'IPR029639', NULL, 'Protein FAM78B', 'FAM78B', 4, NULL),
(27030, NULL, 'IPR028616', NULL, 'Regulator of RpoS', 'RssB', 4, NULL),
(27031, NULL, 'IPR026693', NULL, 'Zinc finger CCCH-type antiviral protein 1-like', 'Zc3hav1-like', 4, NULL),
(27032, NULL, 'IPR026477', NULL, 'XrtJ-associated TM-motif-TM protein', 'Targ_of_XrtJ', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27033, NULL, 'IPR031091', NULL, 'Caveolin-3', 'CAV-3', 4, NULL),
(27034, NULL, 'IPR031833', NULL, 'Protein of unknown function DUF4748', 'DUF4748', 4, NULL),
(27035, NULL, 'IPR030307', NULL, 'Solute carrier family 27 member 3', 'SLC27A3', 4, NULL),
(27036, NULL, 'IPR026659', NULL, 'G2 and S phase-expressed protein 1', 'GTSE1', 4, NULL),
(27037, NULL, 'IPR030967', NULL, 'dTDP-4-dehydro-6-deoxyglucose aminotransferase', 'PLP_DesI', 4, NULL),
(27038, NULL, 'IPR032982', NULL, 'Brother of CDO', 'BOC', 4, NULL),
(27039, NULL, 'IPR031607', NULL, 'Cag pathogenicity island, type IV secretory system', 'T4SS_CagC', 4, NULL),
(27040, NULL, 'IPR029048', NULL, 'Heat shock protein 70kD, C-terminal domain superfamily', 'HSP70_C_sf', 5, NULL),
(27041, NULL, 'IPR031716', NULL, 'Late cornified envelope protein 6A', 'LCE6A', 4, NULL),
(27042, NULL, 'IPR026475', NULL, 'Archaetidylserine synthase', 'Archaetidylserine_synthase', 4, NULL),
(27043, NULL, 'IPR026575', NULL, 'Cyclic nucleotide phosphodiesterase GpdQ/CpdA-like', 'GpdQ/CpdA-like', 4, NULL),
(27044, NULL, 'IPR025017', NULL, 'Protein of unknown function DUF3954', 'DUF3954', 4, NULL),
(27045, NULL, 'IPR027163', NULL, 'Interleukin-36 alpha', 'IL-36_alpha', 4, NULL),
(27046, NULL, 'IPR031270', NULL, 'Retinol-binding protein 5', 'CRBP-III', 4, NULL),
(27047, NULL, 'IPR031720', NULL, 'Protein of unknown function DUF4728', 'DUF4728', 4, NULL),
(27048, NULL, 'IPR025019', NULL, 'Domain of unknown function DUF3952', 'DUF3952', 3, NULL),
(27049, NULL, 'IPR026684', NULL, 'Lebercilin', 'Lebercilin', 4, NULL),
(27050, NULL, 'IPR030088', NULL, 'SWI/SNF complex subunit SMARCA2', 'SMARCA2', 4, NULL),
(27051, NULL, 'IPR030828', NULL, 'TyrR family, helix-turn-helix domain', 'HTH_TypR', 3, NULL),
(27052, NULL, 'IPR029687', NULL, 'Golgin Imh1', 'Imh1', 4, NULL),
(27053, NULL, 'IPR031721', NULL, 'Partial cleavage stimulation factor domain', 'Partial_CstF', 3, NULL),
(27054, NULL, 'IPR026474', NULL, 'Plantazolicin', 'Plantazolicin', 4, NULL),
(27055, NULL, 'IPR025009', NULL, 'Protein of unknown function DUF3977', 'DUF3977', 4, NULL),
(27056, NULL, 'IPR031210', NULL, 'Peptidyl-prolyl cis-trans isomerase FKBP5', 'FKBP5', 4, NULL),
(27057, NULL, 'IPR031256', NULL, 'Myelin P2 protein', 'Myelin_P2', 4, NULL),
(27058, NULL, 'IPR027172', NULL, 'Interleukin-36 beta', 'IL-36_beta', 4, NULL),
(27059, NULL, 'IPR032974', NULL, 'Polyprenol kinase family', 'Polypren_kinase', 4, NULL),
(27060, NULL, 'IPR027486', NULL, 'Ribosomal protein S10 domain', 'Ribosomal_S10_dom', 3, NULL),
(27061, NULL, 'IPR031486', NULL, 'Transmembrane protein 215', 'TMEM215', 4, NULL),
(27062, NULL, 'IPR026470', NULL, 'Flavivirus envelope glycoprotein E, Stem/Anchor domain', 'Flavi_E_Stem/Anchor_dom', 3, NULL),
(27063, NULL, 'IPR031531', NULL, 'Dynein axonemal assembly factor 8', 'DNAAF8', 4, NULL),
(27064, NULL, 'IPR026580', NULL, 'Cell division protein DivIB', 'DivIB', 4, NULL),
(27065, NULL, 'IPR031439', NULL, 'Proline-rich protein family 20', 'PRR20', 4, NULL),
(27066, NULL, 'IPR028138', NULL, 'Neuropeptide S', 'Neuropeptide_S', 4, NULL),
(27067, NULL, 'IPR030231', NULL, 'GPN-loop GTPase 2', 'Gpn2', 4, NULL),
(27068, NULL, 'IPR031371', NULL, 'Cell-membrane associated Mucin-15', 'Mucin-15', 4, NULL),
(27069, NULL, 'IPR030683', NULL, 'Protein phosphatase 1 regulatory subunit 3C', 'PP1_3C', 4, NULL),
(27070, NULL, 'IPR027493', NULL, 'Ribosomal protein L31 type B', 'Ribosomal_L31_B', 4, NULL),
(27071, NULL, 'IPR025874', NULL, 'Double zinc ribbon', 'DZR', 3, NULL),
(27072, NULL, 'IPR031153', NULL, 'Plexin domain-containing protein 1', 'PLXDC1', 4, NULL),
(27073, NULL, 'IPR031291', NULL, 'Anoctamin-10', 'Anoctamin-10', 4, NULL),
(27074, NULL, 'IPR032981', NULL, 'Protein-cysteine N-palmitoyltransferase HHAT', 'HHAT', 4, NULL),
(27075, NULL, 'IPR031164', NULL, 'SAM-binding methyltransferase MPBQ/MBSQ', 'SAM_MPBQ_MSBQ_MT', 3, NULL),
(27076, NULL, 'IPR026971', NULL, 'Condensin subunit 1/Condensin-2 complex subunit D3', 'CND1/NCAPD3', 4, NULL),
(27077, NULL, 'IPR028628', NULL, 'Sirtuin, class U', 'Sirtuin_class_U', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27078, NULL, 'IPR031687', NULL, 'ADP-ribosylation factor-like protein 17, C-terminal', 'ARL17_C', 3, NULL),
(27079, NULL, 'IPR031296', NULL, 'Anoctamin-7', 'Anoctamin-7', 4, NULL),
(27080, NULL, 'IPR029046', NULL, 'Lipoprotein localisation LolA/LolB/LppX', 'LolA/LolB/LppX', 5, NULL),
(27081, NULL, 'IPR031245', NULL, 'Dipeptidyl peptidase FAP', 'FAP-alpha', 4, NULL),
(27082, NULL, 'IPR029917', NULL, 'Macrophage-capping protein', 'CapG', 4, NULL),
(27083, NULL, 'IPR031379', NULL, 'CLLAC-motif containing domain', 'CLLAC', 3, NULL),
(27084, NULL, 'IPR031845', NULL, 'Bacterial toxin, RNase RnlA/LsoA, N-terminal repeated domain', 'RnlA_toxin_NRD', 3, NULL),
(27085, NULL, 'IPR028605', NULL, 'RISC-loading complex subunit TRBP2', 'TRBP2', 4, NULL),
(27086, NULL, 'IPR031143', NULL, 'Strigolactone esterase D14 family', 'D14_fam', 4, NULL),
(27087, NULL, 'IPR025868', NULL, 'Putative zinc ribbon domain', 'Zn_ribbon_dom_put', 3, NULL),
(27088, NULL, 'IPR028540', NULL, 'A-kinase anchor protein 12', 'AKAP12', 4, NULL),
(27089, NULL, 'IPR031532', NULL, 'Protein of unknown function DUF4702', 'DUF4702', 4, NULL),
(27090, NULL, 'IPR031678', NULL, 'Protein of unknown function DUF4715', 'DUF4715', 4, NULL),
(27091, NULL, 'IPR031851', NULL, 'Protein of unknown function DUF4750', 'DUF4750', 4, NULL),
(27092, NULL, 'IPR030281', NULL, 'Autoinducer 2 import ATP-binding protein LsrA', 'LsrA', 4, NULL),
(27093, NULL, 'IPR031369', NULL, 'Proline-rich protein 18', 'PRR18', 4, NULL),
(27094, NULL, 'IPR029967', NULL, 'Protein trichome birefringence-like 2', 'TBL2', 4, NULL),
(27095, NULL, 'IPR031525', NULL, 'Coiled-coil domain-containing protein 190', 'CC190', 4, NULL),
(27096, NULL, 'IPR031922', NULL, 'Pesticin, C-terminal', 'Pesticin_C', 3, NULL),
(27097, NULL, 'IPR028452', NULL, 'Pleckstrin homology domain-containing family O member 1', 'CKIP-1', 4, NULL),
(27098, NULL, 'IPR028617', NULL, 'RNA polymerase sigma factor FliA', 'Sigma70_FliA', 4, NULL),
(27099, NULL, 'IPR031627', NULL, 'PDZK1-interacting protein 1/SMIM24', 'PDZK1IP1/SMIM24', 4, NULL),
(27100, NULL, 'IPR027348', NULL, 'Neuropeptide B/W receptor 1', 'NPBW1', 4, NULL),
(27101, NULL, 'IPR029665', NULL, 'GDP-mannose transporter GONST3, plant', 'GONST3', 4, NULL),
(27102, NULL, 'IPR029995', NULL, 'Transcriptional regulators FlbD/FleR/FlgR', 'TR_FlbD/FleR/FlgR', 4, NULL),
(27103, NULL, 'IPR031156', NULL, 'Mesoderm induction early response protein 3', 'MIER3', 4, NULL),
(27104, NULL, 'IPR030827', NULL, 'Inositol 2-dehydrogenase', 'Myo_inos_IolG', 4, NULL),
(27105, NULL, 'IPR031736', NULL, 'Elongin A binding-protein 1', 'EloA-BP1', 3, NULL),
(27106, NULL, 'IPR031378', NULL, 'Small vasohibin-binding protein', 'SVBP', 4, NULL),
(27107, NULL, 'IPR026729', NULL, 'Stathmin-2', 'Stathmin-2', 4, NULL),
(27108, NULL, 'IPR030278', NULL, 'Bile salt export pump', 'BSEP', 4, NULL),
(27109, NULL, 'IPR028367', NULL, 'Cyclin C/cyclin-like subunit Ssn8', 'CyclinC/Ssn8', 4, NULL),
(27110, NULL, 'IPR028137', NULL, 'Syncollin', 'Syncollin', 4, NULL),
(27111, NULL, 'IPR031903', NULL, 'Domain of unknown function DUF4766', 'DUF4766', 3, NULL),
(27112, NULL, 'IPR030090', NULL, 'SWI/SNF complex subunit BAF60B', 'BAF60B', 4, NULL),
(27113, NULL, 'IPR031901', NULL, 'Unpaired protein', 'Unpaired', 4, NULL),
(27114, NULL, 'IPR026678', NULL, 'INO80 complex subunit E', 'INO80E', 4, NULL),
(27115, NULL, 'IPR027981', NULL, 'Protein of unknown function DUF4446', 'DUF4446', 4, NULL),
(27116, NULL, 'IPR031292', NULL, 'Anoctamin-3', 'Anoctamin-3', 4, NULL),
(27117, NULL, 'IPR026466', NULL, 'Fimbrial isopeptide formation D2 domain', 'Fim_isopep_form_D2_dom', 3, NULL),
(27118, NULL, 'IPR028121', NULL, 'TMEM213 family', 'TMEM213', 4, NULL),
(27119, NULL, 'IPR032979', NULL, 'Cytosolic endo-beta-N-acetylglucosaminidase', 'ENGase', 4, NULL),
(27120, NULL, 'IPR032952', NULL, 'Retina-specific copper amine oxidase', 'AOC2', 4, NULL),
(27121, NULL, 'IPR031373', NULL, 'Circadian-associated transcriptional repressor', 'Ciart', 4, NULL),
(27122, NULL, 'IPR029931', NULL, 'GAS2-like protein 1', 'GAS2L1', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27123, NULL, 'IPR026995', NULL, 'Astrotactin', 'Astrotactin', 4, NULL),
(27124, NULL, 'IPR030279', NULL, 'ATP-dependent permease Mdl2', 'Mdl2', 4, NULL),
(27125, NULL, 'IPR031212', NULL, 'Peptidyl-prolyl cis-trans isomerase FKBP4', 'FKBP4', 4, NULL),
(27126, NULL, 'IPR030237', NULL, 'Harmonin', 'Harmonin', 4, NULL),
(27127, NULL, 'IPR032986', NULL, 'Roundabout homologue 1', 'Robo1', 4, NULL),
(27128, NULL, 'IPR025997', NULL, 'Periplasmic binding protein', 'SBP_2_dom', 3, NULL),
(27129, NULL, 'IPR030968', NULL, 'Phr family, secreted RapG/RapK phosphatase inhibitor', 'Phr_RapG/K_inhib', 4, NULL),
(27130, NULL, 'IPR031227', NULL, 'E3 ubiquitin-protein ligase Praja-1', 'PJA1', 4, NULL),
(27131, NULL, 'IPR029921', NULL, 'Neurabin-2', 'NEB2', 4, NULL),
(27132, NULL, 'IPR030970', NULL, 'Probable phospholipid ABC transporter-binding protein MlaD', 'ABC_MlaD', 4, NULL),
(27133, NULL, 'IPR030404', NULL, 'Zinc finger and BTB domain-containing protein 40', 'ZBTB40', 4, NULL),
(27134, NULL, 'IPR031534', NULL, 'Protein of unknown function DUF4703', 'DUF4703', 4, NULL),
(27135, NULL, 'IPR031674', NULL, 'Protein of unknown function DUF4714', 'DUF4714', 4, NULL),
(27136, NULL, 'IPR033979', NULL, 'MINDY deubiquitinase domain', 'MINDY_domain', 3, NULL),
(27137, NULL, 'IPR032990', NULL, 'DNA damage-regulated autophagy modulator protein 2', 'DRAM2', 4, NULL),
(27138, NULL, 'IPR029144', NULL, 'Threonine synthase, N-terminal', 'Thr_synth_N', 3, NULL),
(27139, NULL, 'IPR031750', NULL, 'Domain of unknown function DUF4734', 'DUF4734', 3, NULL),
(27140, NULL, 'IPR029969', NULL, 'Protein trichome birefringence-like 16', 'TBL16', 4, NULL),
(27141, NULL, 'IPR027137', NULL, 'Translocation protein Sec63', 'Sec63', 4, NULL),
(27142, NULL, 'IPR032977', NULL, 'Protein unc-119 homologue A-like', 'UNC119_homologue_A', 4, NULL),
(27143, NULL, 'IPR026686', NULL, 'UPF0708 protein C6orf162', 'UPF0708', 4, NULL),
(27144, NULL, 'IPR029641', NULL, 'Anaphase-promoting complex subunit 16', 'APC16', 4, NULL),
(27145, NULL, 'IPR025034', NULL, 'Protein of unknown function DUF3948', 'DUF3948', 4, NULL),
(27146, NULL, 'IPR026105', NULL, 'BMP-2-inducible protein kinase', 'BMP-2-ind_kinase', 4, NULL),
(27147, NULL, 'IPR031711', NULL, 'Domain of unknown function DUF4724', 'DUF4724', 3, NULL),
(27148, NULL, 'IPR031782', NULL, 'LKB1 serine/threonine kinase interacting protein 1, N-terminal', 'LIP1_N', 3, NULL),
(27149, NULL, 'IPR029757', NULL, 'DNA-directed RNA polymerase subunit delta', 'RpoE', 4, NULL),
(27150, NULL, 'IPR031653', NULL, 'MAPK-interacting and spindle-stabilising protein', 'MISS', 4, NULL),
(27151, NULL, 'IPR030124', NULL, 'Mucin-6', 'MUC6', 4, NULL),
(27152, NULL, 'IPR035925', NULL, 'BSD domain superfamily', 'BSD_dom_sf', 5, NULL),
(27153, NULL, 'IPR026461', NULL, 'Transferase 2, rSAM/selenodomain-associated', 'Trfase_2_rSAM/seldom_assoc', 4, NULL),
(27154, NULL, 'IPR031303', NULL, 'DNA methylase, C-5 cytosine-specific,  conserved site', 'C5_meth_CS', 2, NULL),
(27155, NULL, 'IPR031465', NULL, 'Protein of unknown function DUF4681', 'DUF4681', 4, NULL),
(27156, NULL, 'IPR029636', NULL, 'Protein Csf1', 'Csf1', 4, NULL),
(27157, NULL, 'IPR032531', NULL, 'Protein of unknown function DUF4956', 'DUF4956', 4, NULL),
(27158, NULL, 'IPR029683', NULL, 'Structural maintenance of chromosomes protein 1A, metazoan', 'SMC1A_metazoan', 4, NULL),
(27159, NULL, 'IPR026465', NULL, 'Serine-rich repeat adhesion glycoprotein', 'Ser_adhes_glycop', 3, NULL),
(27160, NULL, 'IPR027171', NULL, 'Interleukin-36 receptor antagonist', 'IL-36RA', 4, NULL),
(27161, NULL, 'IPR031778', NULL, 'Sortilin, N-terminal', 'Sortilin_N', 3, NULL),
(27162, NULL, 'IPR030253', NULL, 'Chloride intracellular channel protein 2', 'CLIC-2', 4, NULL),
(27163, NULL, 'IPR031141', NULL, 'E3 SUMO-protein ligase SIZ1, plant', 'SIZ1_plant', 4, NULL),
(27164, NULL, 'IPR026469', NULL, 'Putative ABC transporter PGF-CTERM-modified substrate-binding protein', 'Peripla_PGF_1', 4, NULL),
(27165, NULL, 'IPR030679', NULL, 'ABC-type amino acid transport system, ATPase component, HisP-type', 'ABC_ATPase_HisP-typ', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27166, NULL, 'IPR029047', NULL, 'Heat shock protein 70kD, peptide-binding domain superfamily', 'HSP70_peptide-bd_sf', 5, NULL),
(27167, NULL, 'IPR031606', NULL, 'Potassium transporter Kch', 'Kch1/2', 4, NULL),
(27168, NULL, 'IPR027349', NULL, 'Neuropeptide B/W receptor 2', 'NPBW2', 4, NULL),
(27169, NULL, 'IPR031780', NULL, 'FAM65, N-terminal', 'FAM65_N', 3, NULL),
(27170, NULL, 'IPR031135', NULL, 'Peptidyl-prolyl cis-trans isomerase PASTICCINO1-like', 'PAS1-like', 4, NULL),
(27171, NULL, 'IPR026690', NULL, 'Receptor-transporting protein 4', 'RTP4', 4, NULL),
(27172, NULL, 'IPR032957', NULL, 'Diamine acetyltransferase 1', 'SAT1', 4, NULL),
(27173, NULL, 'IPR029676', NULL, 'Primary ciliary dyskinesia protein 1', 'Gm101', 4, NULL),
(27174, NULL, 'IPR026467', NULL, 'Ser/Gly rich, Cys  interspersed, C-terminal domain', 'Ser/Gly_Cys_C_dom', 3, NULL),
(27175, NULL, 'IPR025010', NULL, 'Protein of unknown function DUF3978', 'DUF3978', 4, NULL),
(27176, NULL, 'IPR030304', NULL, 'Fatty acid transport protein 4', 'FATP4', 4, NULL),
(27177, NULL, 'IPR027075', NULL, 'Cleavage and polyadenylation specificity factor subunit 2', 'CPSF2', 4, NULL),
(27178, NULL, 'IPR031319', NULL, 'Alpha-amylase, C-terminal domain', 'A-amylase_C', 3, NULL),
(27179, NULL, 'IPR026463', NULL, 'Chitooligosaccharide synthase NodC', 'Chitooligosach_Synthase_NodC', 4, NULL),
(27180, NULL, 'IPR031218', NULL, 'Interferon regulatory factor 2', 'IRF2', 4, NULL),
(27181, NULL, 'IPR025859', NULL, 'P-aminobenzoate N-oxygenase AurF', 'AurF', 4, NULL),
(27182, NULL, 'IPR026099', NULL, 'Outer dense fibre protein 2-related', 'Odf2-rel', 4, NULL),
(27183, NULL, 'IPR027078', NULL, 'Small nuclear ribonucleoprotein E', 'snRNP-E', 4, NULL),
(27184, NULL, 'IPR028328', NULL, 'Mas-related G protein-coupled receptor B8', 'MRGPCRB8', 4, NULL),
(27185, NULL, 'IPR026094', NULL, 'G protein pathway suppressor 2', 'GPS2', 4, NULL),
(27186, NULL, 'IPR029651', NULL, 'Ectopic P granules protein 5', 'EPG-5', 4, NULL),
(27187, NULL, 'IPR028457', NULL, 'ABI family', 'ABI', 4, NULL),
(27188, NULL, 'IPR026689', NULL, 'CXXC-type zinc finger protein 11', 'CXXC11', 4, NULL),
(27189, NULL, 'IPR030218', NULL, 'Nuclear RNA export factor 5', 'NXF5', 4, NULL),
(27190, NULL, 'IPR031604', NULL, '4Fe-4S ferredoxin iron-sulfur binding domain-containing protein, N-terminal', 'Ferredoxin_N', 3, NULL),
(27191, NULL, 'IPR025867', NULL, 'MnmE, helical domain', 'MnmE_helical', 3, NULL),
(27192, NULL, 'IPR028420', NULL, 'Suppressor of cytokine signalling 5', 'SOCS5', 4, NULL),
(27193, NULL, 'IPR027347', NULL, 'Formyl peptide receptor 3', 'Formyl_pep_3_rcpt', 4, NULL),
(27194, NULL, 'IPR031066', NULL, 'Basic helix-loop-helix (bHLH) transcription factors ALC-like, plant', 'bHLH_ALC-like_plant', 4, NULL),
(27195, NULL, 'IPR025030', NULL, 'Domain of unknown function DUF3950', 'DUF3950', 3, NULL),
(27196, NULL, 'IPR026111', NULL, 'Actin-binding Rho-activating protein', 'Abra', 4, NULL),
(27197, NULL, 'IPR031473', NULL, 'Protein of unknown function DUF4684', 'DUF4684', 4, NULL),
(27198, NULL, 'IPR032973', NULL, 'EGF-containing fibulin-like extracellular matrix protein 1', 'EFEMP1', 4, NULL),
(27199, NULL, 'IPR031651', NULL, 'Domain of unknown function DUF4709', 'DUF4709', 3, NULL),
(27200, NULL, 'IPR028618', NULL, 'ATP-dependent RNA helicase DeaD', 'DEAD_helicase_DeaD', 4, NULL),
(27201, NULL, 'IPR028123', NULL, 'TMEM210 family', 'TMEM210', 4, NULL),
(27202, NULL, 'IPR025858', NULL, 'Exopolysaccharide production protein YjbE', 'YjbE', 4, NULL),
(27203, NULL, 'IPR026468', NULL, 'Nitrous-oxide reductase, Sec-dependent', 'Nitrous_oxide_Rdtase_Sec-dep', 4, NULL),
(27204, NULL, 'IPR031272', NULL, 'Fatty acid-binding protein, intestinal', 'FABP2', 4, NULL),
(27205, NULL, 'IPR031677', NULL, 'Testis-expressed sequence 38 protein', 'TEX38', 4, NULL),
(27206, NULL, 'IPR028326', NULL, 'Tumor necrosis factor ligand superfamily member 6', 'FASL', 4, NULL),
(27207, NULL, 'IPR026460', NULL, 'Aldehyde dehydrogenase, Rv0768 family', 'Aldehyde_dehydrogenase_Rv0768', 4, NULL),
(27208, NULL, 'IPR031925', NULL, 'Tubulin-specific chaperone C, N-terminal', 'TBCC_N', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27209, NULL, 'IPR026682', NULL, 'Proline-rich AKT1 substrate 1 protein', 'AKT1S1', 4, NULL),
(27210, NULL, 'IPR031847', NULL, 'Domain of unknown function DUF4749', 'DUF4749', 3, NULL),
(27211, NULL, 'IPR025878', NULL, 'Acetyl-CoA dehydrogenase-like C-terminal domain', 'Acyl-CoA_dh-like_C_dom', 3, NULL),
(27212, NULL, 'IPR028455', NULL, 'ABI gene family member 3', 'ABI3', 4, NULL),
(27213, NULL, 'IPR032954', NULL, 'Transforming growth factor-beta-induced protein ig-h3', 'TGFBI', 4, NULL),
(27214, NULL, 'IPR032991', NULL, 'Contactin-2', 'Contactin-2', 4, NULL),
(27215, NULL, 'IPR026692', NULL, 'Receptor-transporting protein 1', 'RTP1', 4, NULL),
(27216, NULL, 'IPR031728', NULL, 'Beta-glucuronidase, C-terminal', 'GlcAase_C', 3, NULL),
(27217, NULL, 'IPR026968', NULL, '3-oxoadipate enol-lactonase 1/2', 'PcaD/CatD', 4, NULL),
(27218, NULL, 'IPR030167', NULL, 'LIM domain-binding protein 1', 'LDB1', 4, NULL),
(27219, NULL, 'IPR029691', NULL, 'Prostate and testis expressed protein 2', 'PATE2', 4, NULL),
(27220, NULL, 'IPR027472', NULL, 'Pput2613-like deaminase', 'Pput2613-NH3ase', 4, NULL),
(27221, NULL, 'IPR031832', NULL, 'Protein of unknown function DUF4747', 'DUF4747', 4, NULL),
(27222, NULL, 'IPR031843', NULL, 'Yuri gagarin', 'Yuri_gagarin', 4, NULL),
(27223, NULL, 'IPR026042', NULL, 'Stress response protein YjbJ', 'YjbJ', 4, NULL),
(27224, NULL, 'IPR031438', NULL, 'Mitochondrial coiled-coil domain protein 1', 'MCCD1', 4, NULL),
(27225, NULL, 'IPR032972', NULL, 'Visual pigment-like receptor peropsin', 'RRH', 4, NULL),
(27226, NULL, 'IPR030135', NULL, 'Tropomodulin-1', 'TMOD1', 4, NULL),
(27227, NULL, 'IPR027080', NULL, 'Protein Unc-13', 'Unc-13', 4, NULL),
(27228, NULL, 'IPR031390', NULL, 'Orofacial cleft 1 candidate gene 1 protein', 'OFCC1', 4, NULL),
(27229, NULL, 'IPR025011', NULL, 'Protein of unknown function DUF3963', 'DUF3963', 4, NULL),
(27230, NULL, 'IPR026322', NULL, 'Geopeptide radical SAM maturase, putative', 'Geopep_mat_rSAM', 4, NULL),
(27231, NULL, 'IPR029151', NULL, 'Periplasmic sensor-like domain superfamily', 'Sensor-like_sf', 5, NULL),
(27232, NULL, 'IPR029698', NULL, 'Neurensin-1', 'Nrsn1', 4, NULL),
(27233, NULL, 'IPR025988', NULL, 'YWFCY domain', 'YWFCY_dom', 3, NULL),
(27234, NULL, 'IPR026683', NULL, 'Serine/threonine-protein kinase TOR', 'TOR', 4, NULL),
(27235, NULL, 'IPR031529', NULL, 'Interactor of HORMAD1 protein 1', 'IHO1', 4, NULL),
(27236, NULL, 'IPR026323', NULL, 'Exosortase-related protein XrtF', 'Exosortase-related_prot_XrtF', 4, NULL),
(27237, NULL, 'IPR031714', NULL, 'Protein of unknown function DUF4726', 'DUF4726', 4, NULL),
(27238, NULL, 'IPR031848', NULL, 'PrlF antitoxin', 'PrlF_antitoxin', 4, NULL),
(27239, NULL, 'IPR025015', NULL, 'Protein of unknown function DUF3975', 'DUF3975', 4, NULL),
(27240, NULL, 'IPR029966', NULL, 'Protein trichome birefringence-like 12', 'TBL12', 4, NULL),
(27241, NULL, 'IPR029754', NULL, 'Urease nickel binding site', 'Urease_Ni-bd', 1, NULL),
(27242, NULL, 'IPR030136', NULL, 'Leiomodin-1', 'LMOD1', 4, NULL),
(27243, NULL, 'IPR030408', NULL, 'AT-rich interactive domain-containing protein 5B', 'ARID5B', 4, NULL),
(27244, NULL, 'IPR031216', NULL, 'Noelin-3', 'Noelin-3', 4, NULL),
(27245, NULL, 'IPR031610', NULL, 'Protein TIC110, chloroplastic', 'TIC110', 4, NULL),
(27246, NULL, 'IPR031451', NULL, 'mRNA interferase toxin MqsR', 'MqsR_toxin', 4, NULL),
(27247, NULL, 'IPR029663', NULL, 'GDP-fucose transporter 1, plant', 'GONST4', 4, NULL),
(27248, NULL, 'IPR029859', NULL, 'Protein giant', 'Giant', 4, NULL),
(27249, NULL, 'IPR026464', NULL, 'Nitrous oxide reductase family maturation protein NosD', 'NosD_copper_fam', 4, NULL),
(27250, NULL, 'IPR030669', NULL, 'Molybdenum storage protein subunit alpha/beta', 'MoSto_subunit_alpha/beta', 4, NULL),
(27251, NULL, 'IPR030094', NULL, 'SWI/SNF-like  complex subunit BAF250a', 'BAF250a', 4, NULL),
(27252, NULL, 'IPR026740', NULL, 'AP-3 complex subunit beta', 'AP3_beta', 4, NULL),
(27253, NULL, 'IPR031731', NULL, 'IMS import disulfide relay-system, CHCH-CHCH-like Cx9C', 'CX9C', 3, NULL),
(27254, NULL, 'IPR031464', NULL, 'Protein of unknown function DUF4680', 'DUF4680', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27255, NULL, 'IPR029148', NULL, 'FACT complex subunit Spt16, N-terminal lobe domain', 'FACT-Spt16_Nlobe', 3, NULL),
(27256, NULL, 'IPR030971', NULL, 'Aminoglycoside N(6'')-acetyltransferase, AacA4 type', 'N6_acetyl_AAC6', 4, NULL),
(27257, NULL, 'IPR025008', NULL, 'Domain of unknown function DUF3976', 'DUF3976', 3, NULL),
(27258, NULL, 'IPR031630', NULL, 'Coiled-coil domain-containing protein 117', 'CCDC117', 4, NULL),
(27259, NULL, 'IPR028450', NULL, 'Actin-binding LIM protein 2', 'ABLIM2', 4, NULL),
(27260, NULL, 'IPR026471', NULL, 'Zinc metalloproteinase 18-residue repeat', 'Zmp_18_rpt', 7, NULL),
(27261, NULL, 'IPR031683', NULL, 'Domain of unknown function DUF4716', 'DUF4716', 3, NULL),
(27262, NULL, 'IPR032955', NULL, 'Geranylgeranyl transferase type-2 subunit alpha', 'RabGGTase_alpha', 4, NULL),
(27263, NULL, 'IPR032951', NULL, 'BPI fold-containing family B member 3', 'BPIFB3', 4, NULL),
(27264, NULL, 'IPR031380', NULL, 'Six6 opposite strand transcript 1', 'SIX6OS1', 4, NULL),
(27265, NULL, 'IPR025871', NULL, 'Growth hormone-binding protein', 'GHBP', 3, NULL),
(27266, NULL, 'IPR030823', NULL, 'IolE/MocC family', 'IolE/MocC', 4, NULL),
(27267, NULL, 'IPR025866', NULL, 'Polymerase A arginine-rich C-terminal domain', 'PolyA_pol_arg_C_dom', 3, NULL),
(27268, NULL, 'IPR031222', NULL, 'Cullin-9', 'CUL9', 4, NULL),
(27269, NULL, 'IPR030667', NULL, 'NEDD8-activating enzyme E1 regulatory subunit APP-BP1', 'APP-BP1', 4, NULL),
(27270, NULL, 'IPR031684', NULL, 'Sperm-egg fusion protein LLCFC1', 'LLCFC1', 4, NULL),
(27271, NULL, 'IPR032948', NULL, 'BPI fold-containing family B member 6', 'BPIFB6', 4, NULL),
(27272, NULL, 'IPR031722', NULL, 'Coilin, N-terminal domain', 'Coilin_N', 3, NULL),
(27273, NULL, 'IPR028425', NULL, 'Cytokine-inducible SH2-containing protein', 'CIS', 4, NULL),
(27274, NULL, 'IPR026579', NULL, 'Cell division protein FtsQ', 'FtsQ', 4, NULL),
(27275, NULL, 'IPR031727', NULL, 'Galactose mutarotase, N-terminal barrel', 'Gal_mutarotase_N', 3, NULL),
(27276, NULL, 'IPR029681', NULL, 'Coiled-coil domain-containing protein 157', 'CCDC157', 4, NULL),
(27277, NULL, 'IPR031775', NULL, 'cGMP-dependent protein kinase, interacting domain', 'PRKG1_interact', 3, NULL),
(27278, NULL, 'IPR033008', NULL, 'COP9 signalosome complex subunit 1', 'CSN1', 4, NULL),
(27279, NULL, 'IPR026658', NULL, 'Proline/serine-rich coiled-coil protein 1', 'DDA3', 4, NULL),
(27280, NULL, 'IPR027140', NULL, 'Importin subunit beta-1, plants', 'KPNB1_plant', 4, NULL),
(27281, NULL, 'IPR029147', NULL, 'Cilia- and flagella-associated protein 77', 'CFAP77', 4, NULL),
(27282, NULL, 'IPR031715', NULL, 'Protein of unknown function DUF4727', 'DUF4727', 4, NULL),
(27283, NULL, 'IPR028627', NULL, 'Acylphosphatase, bacteria', 'Acylphosphatase_bac', 4, NULL),
(27284, NULL, 'IPR028608', NULL, 'Probable cytosolic iron-sulfur protein assembly protein, CIAO1/Cia1', 'CIAO1/Cia1', 4, NULL),
(27285, NULL, 'IPR025863', NULL, 'Choline sulfatase enzyme C-terminal domain', 'Choline_sulf_C_dom', 3, NULL),
(27286, NULL, 'IPR028423', NULL, 'Suppressor of cytokine signalling 7', 'SOCS7', 4, NULL),
(27287, NULL, 'IPR031826', NULL, 'IC97/Casc1, N-terminal', 'IC97/Casc1_N', 3, NULL),
(27288, NULL, 'IPR029568', NULL, 'Calcium homeostasis modulator protein 1', 'CALHM1', 4, NULL),
(27289, NULL, 'IPR026472', NULL, 'E3 CR1-alpha-1', 'E3_CR1-alpha-1', 3, NULL),
(27290, NULL, 'IPR029442', NULL, 'GyrI-like small molecule binding domain', 'GyrI-like', 3, NULL),
(27291, NULL, 'IPR031628', NULL, 'BCL-6 corepressor, non-ankyrin-repeat domain', 'BCOR', 3, NULL),
(27292, NULL, 'IPR032962', NULL, 'Acetyltransferase HPA2/HPA3', 'HPA2/HPA3', 4, NULL),
(27293, NULL, 'IPR025862', NULL, 'L-seryl-tRNA selenium transferase N-terminal domain', 'SelA_trans_N_dom', 3, NULL),
(27294, NULL, 'IPR031526', NULL, 'Protein of unknown function DUF4698', 'DUF4698', 4, NULL),
(27295, NULL, 'IPR027164', NULL, 'Interleukin-1 family member 10', 'IL-1_F10', 4, NULL),
(27296, NULL, 'IPR030681', NULL, 'Cholesterol 7-alpha-monooxygenase', 'Cholesterol_7a_monooxygenase', 4, NULL),
(27297, NULL, 'IPR025002', NULL, 'Domain of unknown function DUF3972', 'DUF3972', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27298, NULL, 'IPR031466', NULL, 'Migration and invasion-inhibitory protein', 'MIIP', 4, NULL),
(27299, NULL, 'IPR030210', NULL, 'Solute carrier family 10 member 3', 'SLC10A3', 4, NULL),
(27300, NULL, 'IPR025990', NULL, 'Cysteine-rich CPXCG protein', 'Cys_rich_CPXCG', 4, NULL),
(27301, NULL, 'IPR025750', NULL, 'DPF1-3, N-terminal domain', 'DPF1-3_N', 3, NULL),
(27302, NULL, 'IPR031808', NULL, 'JMY/WHAMM, N-terminal', 'JMY/WHAMM_N', 3, NULL),
(27303, NULL, 'IPR030235', NULL, 'Plastin-1', 'PLS1', 4, NULL),
(27304, NULL, 'IPR028352', NULL, 'Protozoan surface antigen, SAG1 family', 'Surface_antig_SAG1', 4, NULL),
(27305, NULL, 'IPR031828', NULL, 'Myofilin', 'Myofilin', 4, NULL),
(27306, NULL, 'IPR029051', NULL, 'Domain of unknown function DUF4352', 'DUF4352', 3, NULL),
(27307, NULL, 'IPR025996', NULL, 'Tetracyclin repressor-like, C-terminal domain (WHG)', 'TetR_C_WHG', 3, NULL),
(27308, NULL, 'IPR032949', NULL, 'Homeobox protein SIX3/SIX6', 'SIX3/SIX6', 4, NULL),
(27309, NULL, 'IPR031632', NULL, 'Small VCP/p97-interacting protein', 'SVIP', 4, NULL),
(27310, NULL, 'IPR026476', NULL, 'Sarcinarray family protein', 'Sarcinarray_fam', 4, NULL),
(27311, NULL, 'IPR032960', NULL, 'Tyramine N-feruloyltransferase', 'Tyra_N_feruloTrfase', 4, NULL),
(27312, NULL, 'IPR029441', NULL, 'Integron-associated effector binding protein', 'Cass2', 3, NULL),
(27313, NULL, 'IPR028458', NULL, 'Twinfilin', 'Twinfilin', 4, NULL),
(27314, NULL, 'IPR029970', NULL, 'Protein trichome birefringence-like 5', 'TBL5', 4, NULL),
(27315, NULL, 'IPR029448', NULL, 'Fanconi anaemia protein FANCD2', 'FANCD2', 4, NULL),
(27316, NULL, 'IPR026657', NULL, 'Proline/serine-rich coiled-coil protein 1/G2 and S phase-expressed protein 1', 'DDA3/GTSE-1', 4, NULL),
(27317, NULL, 'IPR029861', NULL, 'V-set and immunoglobulin domain-containing protein 1', 'VSIG1', 4, NULL),
(27318, NULL, 'IPR027983', NULL, 'Gonadotropin-releasing hormone II receptor', 'GphnRH_2_rcpt', 4, NULL),
(27319, NULL, 'IPR028449', NULL, 'Actin-binding LIM protein 3', 'ABLIM3', 4, NULL),
(27320, NULL, 'IPR031389', NULL, 'Ribosomal biogenesis factor', 'RBIS', 4, NULL),
(27321, NULL, 'IPR031730', NULL, 'Carbamoyltransferase, C-terminal', 'Carbam_trans_C', 3, NULL),
(27322, NULL, 'IPR031773', NULL, 'Protein of unknown function DUF4741', 'DUF4741', 4, NULL),
(27323, NULL, 'IPR025032', NULL, 'Protein of unknown function DUF3949', 'DUF3949', 4, NULL),
(27324, NULL, 'IPR028421', NULL, 'Suppressor of cytokine signalling 6', 'SOCS6', 4, NULL),
(27325, NULL, 'IPR032975', NULL, 'Interphotoreceptor matrix proteoglycan 2', 'IMPG2', 4, NULL),
(27326, NULL, 'IPR029666', NULL, 'GDP-fucose transporter', 'GDP-fucose_transp', 4, NULL),
(27327, NULL, 'IPR025722', NULL, 'Bacterial transcriptional repressor TetR', 'TetR', 4, NULL),
(27328, NULL, 'IPR028622', NULL, 'ATP-dependent RNA helicase RhlE', 'DEAD_helicase_RhlE', 4, NULL),
(27329, NULL, 'IPR031163', NULL, 'Filoviruses VP35 interferon inhibitory domain', 'VP35_IID', 3, NULL),
(27330, NULL, 'IPR032996', NULL, 'Ultraviolet-B receptor UVR8', 'UVR8', 4, NULL),
(27331, NULL, 'IPR026103', NULL, 'Harbinger transposase-derived nuclease, animal', 'HARBI1_animal', 4, NULL),
(27332, NULL, 'IPR031261', NULL, 'Fatty acid-binding protein 12', 'FABP12', 4, NULL),
(27333, NULL, 'IPR026679', NULL, 'Microtubule-associated protein 10, C-terminal', 'MAP10_C-term', 3, NULL),
(27334, NULL, 'IPR028621', NULL, 'ATP-dependent RNA helicase SrmB', 'DEAD_helicase_SrmB', 4, NULL),
(27335, NULL, 'IPR028625', NULL, 'Regulator of nucleoside diphosphate kinase', 'Rnk', 4, NULL),
(27336, NULL, 'IPR025016', NULL, 'Protein of unknown function DUF3955', 'DUF3955', 4, NULL),
(27337, NULL, 'IPR026490', NULL, 'mRNA cap 0/1 methyltransferase', 'mRNA_cap_0/1_MeTrfase', 3, NULL),
(27338, NULL, 'IPR032959', NULL, 'Thialysine N-epsilon-acetyltransferase', 'SAT2', 4, NULL),
(27339, NULL, 'IPR031215', NULL, 'Interferon regulatory factor 1', 'IRF1', 4, NULL),
(27340, NULL, 'IPR031611', NULL, 'Putative porin', 'Porin_6', 4, NULL),
(27341, NULL, 'IPR029932', NULL, 'GAS2-like protein 3', 'GAS2L3', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27342, NULL, 'IPR029053', NULL, 'Viral coat protein subunit', 'Viral_coat', 5, NULL),
(27343, NULL, 'IPR027345', NULL, 'Formyl peptide receptor 1/2', 'Formyl_pep_1/2_rcpt', 4, NULL),
(27344, NULL, 'IPR030276', NULL, 'Cadherin-related family member 2 -like', 'CDHR2-like', 4, NULL),
(27345, NULL, 'IPR026673', NULL, 'SPEC3/Stum', 'SPEC3/Stum', 4, NULL),
(27346, NULL, 'IPR031441', NULL, 'Break repair meiotic recombinase recruitment factor 1', 'Brme1', 4, NULL),
(27347, NULL, 'IPR031168', NULL, 'TrmE-type guanine nucleotide-binding domain', 'G_TrmE', 3, NULL),
(27348, NULL, 'IPR026480', NULL, 'Arginine N-methyltransferase 2-like domain', 'RMT2_dom', 3, NULL),
(27349, NULL, 'IPR028414', NULL, 'Suppressor of cytokine signalling 3', 'SOCS3', 4, NULL),
(27350, NULL, 'IPR031364', NULL, 'Germinal centre-associated lymphoma protein', 'GC_assoc_lym', 4, NULL),
(27351, NULL, 'IPR031609', NULL, 'Cyclodextrin porin CymA', 'CymA', 4, NULL),
(27352, NULL, 'IPR031528', NULL, 'Protein of unknown function DUF4699', 'DUF4699', 4, NULL),
(27353, NULL, 'IPR027488', NULL, 'Ribosomal protein S3, archaeal', 'Ribosomal_S3_arc', 4, NULL),
(27354, NULL, 'IPR025870', NULL, 'Glyoxalase-like domain', 'Glyoxalase-like_dom', 3, NULL),
(27355, NULL, 'IPR030089', NULL, 'SWI/SNF complex subunit BAF57', 'BAF57', 4, NULL),
(27356, NULL, 'IPR026671', NULL, 'Phostensin/Taperin', 'PPP1R18/Tprn', 4, NULL),
(27357, NULL, 'IPR030684', NULL, 'Lactotransferrin', 'Lactotransferrin', 4, NULL),
(27358, NULL, 'IPR030431', NULL, 'FAM189', 'FAM189', 4, NULL),
(27359, NULL, 'IPR029784', NULL, 'Iron regulatory protein 1', 'IRE-BP1', 4, NULL),
(27360, NULL, 'IPR030680', NULL, 'Bombyxin A', 'Bombyxin_A', 4, NULL),
(27361, NULL, 'IPR030233', NULL, 'Espin', 'Espn', 4, NULL),
(27362, NULL, 'IPR031809', NULL, 'Coiled-coil domain-containing protein 158', 'CCDC158', 4, NULL),
(27363, NULL, 'IPR026478', NULL, 'Exosortase J', 'Exosortase_J', 4, NULL),
(27364, NULL, 'IPR026479', NULL, 'Glycopeptide, sublancin family', 'Glycopep_SunS', 4, NULL),
(27365, NULL, 'IPR031679', NULL, 'TSSK6-activating co-chaperone protein', 'SSTK-IP', 4, NULL),
(27366, NULL, 'IPR030364', NULL, 'K/Cl co-transporter 3', 'KCC3', 4, NULL),
(27367, NULL, 'IPR027074', NULL, 'Integrator complex subunit 9', 'Integrator_9su', 4, NULL),
(27368, NULL, 'IPR030969', NULL, 'Tryptophan 2-C-methyltransferase', 'B12_rSAM_trp_MT', 4, NULL),
(27369, NULL, 'IPR028539', NULL, 'Tyrosine-protein kinase Fer', 'Fer', 4, NULL),
(27370, NULL, 'IPR031152', NULL, 'Plexin domain-containing protein', 'PLXDC', 4, NULL),
(27371, NULL, 'IPR025877', NULL, 'MobA-like NTP transferase', 'MobA-like_NTP_Trfase', 3, NULL),
(27372, NULL, 'IPR026674', NULL, 'Flagellum-associated coiled-coil domain-containing protein 1', 'FLACC1', 4, NULL),
(27373, NULL, 'IPR031186', NULL, 'Syntaxin-3', 'Stx3', 4, NULL),
(27374, NULL, 'IPR028629', NULL, 'CRISPR-associated endonuclease Cas9', 'Cas9', 4, NULL),
(27375, NULL, 'IPR030305', NULL, 'Fatty acid transport protein 2', 'FATP2', 4, NULL),
(27376, NULL, 'IPR031219', NULL, 'Noelin-2', 'Noelin-2', 4, NULL),
(27377, NULL, 'IPR027487', NULL, 'Mitochondrial ribosomal protein L48', 'Ribosomal_L48', 4, NULL),
(27378, NULL, 'IPR031259', NULL, 'Intracellular lipid binding protein', 'ILBP', 4, NULL),
(27379, NULL, 'IPR029050', NULL, 'Immunoprotective extracellular, immunoglobulin-like domain superfamily', 'Immunoprotect_excell_Ig-like', 5, NULL),
(27380, NULL, 'IPR030162', NULL, 'Voltage-dependent calcium channel, T-type, alpha-1I subunit', 'CACNA1I', 4, NULL),
(27381, NULL, 'IPR025984', NULL, 'dCTP pyrophosphatase 1', 'DCTPP', 4, NULL),
(27382, NULL, 'IPR031605', NULL, 'Putative OMPG-porin 1 family', 'Porin_OmpG_1_2', 4, NULL),
(27383, NULL, 'IPR032950', NULL, 'BPI fold-containing family C protein', 'BPIFC', 4, NULL),
(27384, NULL, 'IPR031453', NULL, 'Transmembrane protein 119', 'TMEM119', 4, NULL),
(27385, NULL, 'IPR025028', NULL, 'Protein of unknown function DUF3951', 'DUF3951', 4, NULL),
(27386, NULL, 'IPR025861', NULL, 'Cobalamin biosynthesis protein CobT VWA domain', 'CobT_VWA_dom', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27387, NULL, 'IPR030302', NULL, 'Fatty acid transport protein 5', 'FATP5', 4, NULL),
(27388, NULL, 'IPR027491', NULL, 'Ribosomal protein L31 type A', 'Ribosomal_L31_A', 4, NULL),
(27389, NULL, 'IPR028133', NULL, 'Dynamitin', 'Dynamitin', 4, NULL),
(27390, NULL, 'IPR031834', NULL, 'Antitoxin RnlB/LsoB', 'RnlB/LsoB_antitoxin', 4, NULL),
(27391, NULL, 'IPR031608', NULL, 'Putative cyclic bacteriocin', 'CclA_1', 4, NULL),
(27392, NULL, 'IPR028426', NULL, 'Huntingtin family', 'Huntingtin_fam', 4, NULL),
(27393, NULL, 'IPR028427', NULL, 'Peptide methionine sulfoxide reductase MsrB', 'Met_Sox_Rdtase_MsrB', 4, NULL),
(27394, NULL, 'IPR028614', NULL, 'GDP-L-fucose synthase/GDP-L-colitose synthase', 'GDP_fucose/colitose_synth', 4, NULL),
(27395, NULL, 'IPR030165', NULL, 'sn-Glycerol-3-phosphate transport system permease protein UgpE', 'UgpE', 4, NULL),
(27396, NULL, 'IPR031214', NULL, 'Ecotropic viral integration site 5 protein', 'Evi5', 4, NULL),
(27397, NULL, 'IPR030670', NULL, '60S acidic ribosomal protein P0', 'L10E_eukaryotes', 4, NULL),
(27398, NULL, 'IPR028448', NULL, 'Actin-binding LIM protein 1', 'ABLIM1', 4, NULL),
(27399, NULL, 'IPR032992', NULL, 'Guanylyl cyclase-activating protein 3', 'GUCA1C', 4, NULL),
(27400, NULL, 'IPR028613', NULL, 'GDP-mannose mannosyl hydrolase, Enterobacteria', 'GDPMH_Gmm', 4, NULL),
(27401, NULL, 'IPR030429', NULL, 'Sarcospan', 'Sarcospan', 4, NULL),
(27402, NULL, 'IPR031387', NULL, 'Spindle and centriole-associated protein 1', 'SPICE1', 4, NULL),
(27403, NULL, 'IPR028453', NULL, 'Allograft inflammatory factor 1-like', 'Aif1-like', 4, NULL),
(27404, NULL, 'IPR029149', NULL, 'Creatinase/Aminopeptidase P/Spt16, N-terminal', 'Creatin/AminoP/Spt16_NTD', 5, NULL),
(27405, NULL, 'IPR032989', NULL, 'Contactin-5', 'Contactin-5', 4, NULL),
(27406, NULL, 'IPR031713', NULL, 'G-protein coupled receptor ligand 15', 'GPR15L', 4, NULL),
(27407, NULL, 'IPR025999', NULL, 'Microspherule protein, N-terminal domain', 'MCRS_N', 3, NULL),
(27408, NULL, 'IPR031923', NULL, 'Helicobacter TNF-alpha-inducing protein', 'Tipalpha', 4, NULL),
(27409, NULL, 'IPR031209', NULL, 'Aryl-hydrocarbon-interacting protein-like 1', 'AIPL1', 4, NULL),
(27410, NULL, 'IPR026324', NULL, 'Haem oxygenase, HugZ', 'Haem_oxygenase_HugZ', 4, NULL),
(27411, NULL, 'IPR031217', NULL, 'Noelin', 'Noelin', 4, NULL),
(27412, NULL, 'IPR032958', NULL, 'Rod cGMP-specific 3'',5''-cyclic phosphodiesterase subunit alpha', 'PDE6A', 4, NULL),
(27413, NULL, 'IPR031612', NULL, 'Putative phage holin', 'Phage_holin_Dp1', 4, NULL),
(27414, NULL, 'IPR028619', NULL, 'ATP-dependent RNA helicase DbpA', 'DEAD_helicase_DbpA', 4, NULL),
(27415, NULL, 'IPR032530', NULL, 'Domain of unknown function DUF4957', 'DUF4957', 3, NULL),
(27416, NULL, 'IPR031220', NULL, 'XIAP-associated factor 1', 'XAF1', 4, NULL),
(27417, NULL, 'IPR031754', NULL, 'Protein of unknown function DUF4736', 'DUF4736', 4, NULL),
(27418, NULL, 'IPR027274', NULL, 'Protein kinase C, epsilon', 'PKC_epsilon', 4, NULL),
(27419, NULL, 'IPR029929', NULL, 'Growth arrest-specific protein 2', 'GAS2', 4, NULL),
(27420, NULL, 'IPR026043', NULL, 'Transcription repressor NadR', 'NadR', 4, NULL),
(27421, NULL, 'IPR032529', NULL, 'Protein of unknown function DUF4958', 'DUF4958', 4, NULL),
(27422, NULL, 'IPR026687', NULL, 'Coiled-coil domain-containing protein 181', 'CCDC181', 4, NULL),
(27423, NULL, 'IPR031897', NULL, 'DolP-mannose mannosyltransferase AglS', 'AglS', 4, NULL),
(27424, NULL, 'IPR029924', NULL, 'Destrin', 'Dstn', 4, NULL),
(27425, NULL, 'IPR031756', NULL, 'Beta-1,3-glucan-binding protein, N-terminal', 'BGBP_N', 3, NULL),
(27426, NULL, 'IPR031137', NULL, 'Growth-regulating factor', 'GRF', 4, NULL),
(27427, NULL, 'IPR031924', NULL, 'Glycosyl hydrolase family 115', 'GH115', 4, NULL),
(27428, NULL, 'IPR032961', NULL, 'POU domain, class 4, transcription factor 3', 'POU4F3', 4, NULL),
(27429, NULL, 'IPR028624', NULL, 'Transcription elongation factor GreA/GreB', 'Tscrpt_elong_fac_GreA/B', 4, NULL),
(27430, NULL, 'IPR025864', NULL, 'Type-F conjugative transfer system protein TraW N-terminal domain', 'TraW_N_dom', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27431, NULL, 'IPR028612', NULL, 'DNA topoisomerase I, type IA', 'Topoisom_1_IA', 4, NULL),
(27432, NULL, 'IPR029150', NULL, 'Double Cache domain 3', 'dCache_3', 3, NULL),
(27433, NULL, 'IPR031252', NULL, 'ATPase family AAA domain-containing protein 2', 'ANCCA', 4, NULL),
(27434, NULL, 'IPR026670', NULL, 'Gametogenetin-binding protein 1', 'GGNBP1', 4, NULL),
(27435, NULL, 'IPR026555', NULL, 'KAT8 regulatory NSL complex subunit 3/Testis-expressed sequence 30 protein', 'NSL3/Tex30', 4, NULL),
(27436, NULL, 'IPR031827', NULL, 'Domain of unknown function DUF4746', 'DUF4746', 3, NULL),
(27437, NULL, 'IPR028120', NULL, 'Apolipoprotein C-IV', 'APOC4', 4, NULL),
(27438, NULL, 'IPR025989', NULL, 'Virulence factor domain', 'Virulence_F_dom', 3, NULL),
(27439, NULL, 'IPR031685', NULL, 'Testis-expressed sequence 29 protein', 'TEX29', 4, NULL),
(27440, NULL, 'IPR031154', NULL, 'Plexin domain-containing protein 2', 'PLXDC2', 4, NULL),
(27441, NULL, 'IPR026677', NULL, 'Uncharacterised protein C9orf131', 'UPF_C9orf131', 4, NULL),
(27442, NULL, 'IPR031718', NULL, 'Deleted in esophageal cancer 1', 'DEC1', 4, NULL),
(27443, NULL, 'IPR031904', NULL, 'Cadherin, C-terminal catenin-binding domain', 'Cadherin_CBD', 3, NULL),
(27444, NULL, 'IPR029638', NULL, 'Protein FAM78', 'FAM78', 4, NULL),
(27445, NULL, 'IPR031751', NULL, 'Protein of unknown function DUF4735', 'DUF4735', 4, NULL),
(27446, NULL, 'IPR029000', NULL, 'Cyclophilin-like domain superfamily', 'Cyclophilin-like_dom_sf', 5, NULL),
(27447, NULL, 'IPR038720', NULL, 'YprB, ribonuclease H-like domain', 'YprB_RNase_H-like_dom', 3, NULL),
(27448, NULL, 'IPR032963', NULL, 'Glutamate--cysteine ligase regulatory subunit', 'Gclm', 4, NULL),
(27449, NULL, 'IPR031777', NULL, 'Sortilin, C-terminal', 'Sortilin_C', 3, NULL),
(27450, NULL, 'IPR031142', NULL, 'SPX domain-containing protein', 'SPX_prot', 4, NULL),
(27451, NULL, 'IPR031830', NULL, 'Uncharacterised protein YdiH', 'YdiH', 4, NULL),
(27452, NULL, 'IPR025003', NULL, 'Domain of unknown function DUF3973', 'DUF3973', 3, NULL),
(27453, NULL, 'IPR029927', NULL, 'Fibrocystin-L', 'PKHDL1', 4, NULL),
(27454, NULL, 'IPR032980', NULL, 'Protein-cysteine N-palmitoyltransferase HHAT-like protein', 'HHAT-like', 4, NULL),
(27455, NULL, 'IPR031530', NULL, 'UPF0688 family', 'UPF0688', 4, NULL),
(27456, NULL, 'IPR028416', NULL, 'Suppressor of cytokine signalling 4', 'SOCS4', 4, NULL),
(27457, NULL, 'IPR030137', NULL, 'Tropomodulin, invertebrate', 'TMOD_invertebrate', 4, NULL),
(27458, NULL, 'IPR030638', NULL, 'Galectin-8', 'Galectin_8', 4, NULL),
(27459, NULL, 'IPR025865', NULL, 'Cobaltochelatase subunit CobS N-terminal domain', 'CobS_N_dom', 3, NULL),
(27460, NULL, 'IPR032987', NULL, 'Roundabout homologue 3', 'Robo3', 4, NULL),
(27461, NULL, 'IPR028615', NULL, 'Maleate isomerase', 'Maleate_isomerase', 4, NULL),
(27462, NULL, 'IPR025018', NULL, 'Protein of unknown function DUF3953', 'DUF3953', 4, NULL),
(27463, NULL, 'IPR026576', NULL, 'Proofreading thioesterase EntH', 'Thioesterase_EntH', 4, NULL),
(27464, NULL, 'IPR026577', NULL, 'Replication modulator SeqA, C-terminal DNA-binding domain', 'SeqA_DNA-bd_C', 3, NULL),
(27465, NULL, 'IPR031181', NULL, 'Glypican-2', 'Glypican-2', 4, NULL),
(27466, NULL, 'IPR032976', NULL, 'YjeF N-terminal domain-containing protein NAXE-like', 'YJEFN_prot_NAXE-like', 4, NULL),
(27467, NULL, 'IPR032978', NULL, 'Zinc finger MYND domain-containing protein 19', 'ZMYND19', 4, NULL),
(27468, NULL, 'IPR025993', NULL, 'Ceramide glucosyltransferase', 'Ceramide_glucosylTrfase', 4, NULL),
(27469, NULL, 'IPR026694', NULL, 'Protein CUSTOS', 'CUSTOS', 4, NULL),
(27470, NULL, 'IPR028607', NULL, '2-deoxynucleoside 5-phosphate N-hydrolase 1, DNPH1', 'DNPH1', 4, NULL),
(27471, NULL, 'IPR031917', NULL, 'Pilus assembly protein, C-terminal domain', 'Pilus_assem_C', 3, NULL),
(27472, NULL, 'IPR031295', NULL, 'Anoctamin-6', 'Anoctamin-6', 4, NULL),
(27473, NULL, 'IPR031228', NULL, 'Stonin-2', 'STON2', 4, NULL),
(27474, NULL, 'IPR027141', NULL, 'Like-Sm (LSM) domain containing protein, LSm4/SmD1/SmD3', 'LSm4/Sm_D1/D3', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27475, NULL, 'IPR031208', NULL, 'AH receptor-interacting protein', 'AIP', 4, NULL),
(27476, NULL, 'IPR030087', NULL, 'SWI/SNF complex subunit SMARCC1', 'BAF155', 4, NULL),
(27477, NULL, 'IPR026691', NULL, 'Receptor-transporting protein 3', 'RTP3', 4, NULL),
(27478, NULL, 'IPR029439', NULL, 'Wzt, C-terminal', 'Wzt_C', 3, NULL),
(27479, NULL, 'IPR026473', NULL, 'Cyanobactin biosynthesis protein, PatB/AcyB/McaB family', 'PatB_AcyB_McaB', 4, NULL),
(27480, NULL, 'IPR026102', NULL, 'Protein BCAP', 'BCAP', 4, NULL),
(27481, NULL, 'IPR026680', NULL, 'Coiled-coil domain-containing protein 137', 'CCDC137', 4, NULL),
(27482, NULL, 'IPR029688', NULL, 'Interactor of constitutive active ROPs', 'ICR', 4, NULL),
(27483, NULL, 'IPR026739', NULL, 'AP complex subunit beta', 'AP_beta', 4, NULL),
(27484, NULL, 'IPR028611', NULL, 'Tat proofreading chaperone DmsD', 'DmsD_chaperone', 4, NULL),
(27485, NULL, 'IPR031487', NULL, 'Protein of unknown function DUF4687', 'DUF4687', 4, NULL),
(27486, NULL, 'IPR029696', NULL, 'Transmembrane protein 74', 'Tmem74', 4, NULL),
(27487, NULL, 'IPR031810', NULL, 'YjeJ-like', 'YjeJ-like', 4, NULL),
(27488, NULL, 'IPR031144', NULL, 'Two pore domain potassium channel, plant', 'TPK_plant', 4, NULL),
(27489, NULL, 'IPR029968', NULL, 'Protein trichome birefringence-like 13', 'TBL13', 4, NULL),
(27490, NULL, 'IPR025986', NULL, 'RNA-polymerase II-associated protein 3-like, C-terminal domain', 'RPAP3-like_C', 3, NULL),
(27491, NULL, 'IPR029695', NULL, 'Transmembrane protein 74-like', 'TMEM74-like', 4, NULL),
(27492, NULL, 'IPR031535', NULL, 'Proline-rich protein 22', 'PRR22', 4, NULL),
(27493, NULL, 'IPR031892', NULL, 'Abi component, membrane-anchored ion channel RexB', 'RexB', 4, NULL),
(27494, NULL, 'IPR029656', NULL, 'Arginine/serine-rich protein 1', 'RSRP1', 4, NULL),
(27495, NULL, 'IPR029640', NULL, 'Protein FAM78A', 'FAM78A', 4, NULL),
(27496, NULL, 'IPR025860', NULL, 'Major prion protein N-terminal domain', 'Prion_N_dom', 3, NULL),
(27497, NULL, 'IPR031771', NULL, 'CAAX box protein 1', 'CAAX_1', 4, NULL),
(27498, NULL, 'IPR028122', NULL, 'FAM24 family', 'FAM24', 4, NULL),
(27499, NULL, 'IPR026676', NULL, 'Synaptonemal complex central element protein 1', 'SYCE1', 4, NULL),
(27500, NULL, 'IPR030271', NULL, 'Voltage-dependent anion-selective channel protein 3', 'VDAC3', 4, NULL),
(27501, NULL, 'IPR031271', NULL, 'Calcipressin-1', 'RCAN1', 4, NULL),
(27502, NULL, 'IPR026954', NULL, 'PknH-like extracellular domain', 'PknH-like_Extracell', 3, NULL),
(27503, NULL, 'IPR030551', NULL, 'Torsin-4A', 'Torsin-4A', 4, NULL),
(27504, NULL, 'IPR031072', NULL, 'Syntrophin-1', 'Syntrophin-1', 4, NULL),
(27505, NULL, 'IPR028866', NULL, 'Amyloid-beta precursor protein', 'APP', 4, NULL),
(27506, NULL, 'IPR028340', NULL, 'E3 ubiquitin-protein ligase Mdm2', 'Mdm2', 4, NULL),
(27507, NULL, 'IPR030913', NULL, 'Twin-arginine translocation signal, Cys-rich four helix bundle protein', 'TAT_Cys_rich', 4, NULL),
(27508, NULL, 'IPR030246', NULL, 'Alpha-factor-transporting ATPase', 'Ste6/Hst6', 4, NULL),
(27509, NULL, 'IPR025223', NULL, 'S1-like RNA binding domain', 'S1-like_RNA-bd_dom', 3, NULL),
(27510, NULL, 'IPR031800', NULL, 'Cyclic di-GMP receptor, atypical PilZ domain', 'PilZ_atypical', 3, NULL),
(27511, NULL, 'IPR026741', NULL, 'Protein strawberry notch', 'SNO', 4, NULL),
(27512, NULL, 'IPR031460', NULL, 'Protein of unknown function DUF4678', 'DUF4678', 4, NULL),
(27513, NULL, 'IPR031175', NULL, 'RNA polymerase II elongation factor ELL3', 'ELL3', 4, NULL),
(27514, NULL, 'IPR025300', NULL, 'Beta-galactosidase jelly roll domain', 'BetaGal_jelly_roll_dom', 3, NULL),
(27515, NULL, 'IPR027390', NULL, 'Endoglucanase F, domain 3', 'Endoglucanase_F_dom3', 5, NULL),
(27516, NULL, 'IPR030038', NULL, 'C-mannosyltransferase Dpy-19', 'Dpy-19', 4, NULL),
(27517, NULL, 'IPR028818', NULL, 'Nuclear receptor coactivator 3', 'NCOA3', 4, NULL),
(27518, NULL, 'IPR029852', NULL, 'Sodium-dependent phosphate transport protein 2B', 'Na/Pi_transpt_2B', 4, NULL),
(27519, NULL, 'IPR026965', NULL, 'Neurofascin', 'NFASC', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27520, NULL, 'IPR031417', NULL, 'Mediator complex subunit 26, middle domain', 'Med26_Mid', 3, NULL),
(27521, NULL, 'IPR026748', NULL, 'Clarin', 'Clarin', 4, NULL),
(27522, NULL, 'IPR029808', NULL, 'cAMP-responsive element-binding protein 3', 'Luman', 4, NULL),
(27523, NULL, 'IPR031022', NULL, 'Enduracididine biosynthesis enzyme MppR', 'Endura_MppR', 4, NULL),
(27524, NULL, 'IPR030320', NULL, 'Plasma membrane calcium-transporting ATPase 1', 'ATP2B1', 4, NULL),
(27525, NULL, 'IPR029805', NULL, 'cAMP-responsive element-binding protein 3-like protein 1', 'OASIS', 4, NULL),
(27526, NULL, 'IPR026212', NULL, 'Centrosomal protein of 78kDa', 'Cep78', 4, NULL),
(27527, NULL, 'IPR026217', NULL, 'Ddc1', 'Ddc1', 4, NULL),
(27528, NULL, 'IPR027504', NULL, '40S ribosomal protein SA', '40S_ribosomal_SA', 4, NULL),
(27529, NULL, 'IPR026742', NULL, 'Centrosomal protein kizuna', 'Centrosomal_kizuma', 4, NULL),
(27530, NULL, 'IPR031052', NULL, 'FHY3/FAR1 family', 'FHY3/FAR1', 4, NULL),
(27531, NULL, 'IPR026957', NULL, 'CSC1-like protein 1', 'TMEM63A', 4, NULL),
(27532, NULL, 'IPR029119', NULL, 'MutY, C-terminal', 'MutY_C', 3, NULL),
(27533, NULL, 'IPR030720', NULL, 'Protocadherin-12', 'Protocadherin-12', 4, NULL),
(27534, NULL, 'IPR027853', NULL, 'Protein of unknown function DUF4492', 'DUF4492', 4, NULL),
(27535, NULL, 'IPR029156', NULL, 'CST complex subunit CTC1', 'CTC1', 4, NULL),
(27536, NULL, 'IPR031345', NULL, 'Protein of unknown function DUF5103', 'DUF5103', 4, NULL),
(27537, NULL, 'IPR030733', NULL, 'Protocadherin beta-15', 'PCDHB15', 4, NULL),
(27538, NULL, 'IPR030403', NULL, 'Disabled homologue 2-interacting protein', 'DAB2IP', 4, NULL),
(27539, NULL, 'IPR026208', NULL, 'Wolframin', 'Wolframin', 4, NULL),
(27540, NULL, 'IPR031626', NULL, 'Trafficking protein particle complex subunit 14', 'TRAPPC14', 4, NULL),
(27541, NULL, 'IPR034076', NULL, 'Transcriptional repressor NF-X1, R3H domain', 'R3H_NF-X1', 3, NULL),
(27542, NULL, 'IPR032611', NULL, 'Protein of unknown function DUF4891', 'DUF4891', 4, NULL),
(27543, NULL, 'IPR025264', NULL, 'Cag pathogenicity island protein Cag12', 'Cag12', 4, NULL),
(27544, NULL, 'IPR026123', NULL, 'SCL-interrupting locus protein', 'Sil', 4, NULL),
(27545, NULL, 'IPR029827', NULL, 'J domain-containing protein 1-like', 'JDP1-like', 4, NULL),
(27546, NULL, 'IPR029868', NULL, 'StAR-related lipid transfer protein 5', 'StARD5', 4, NULL),
(27547, NULL, 'IPR032538', NULL, 'Protein of unknown function DUF4951', 'DUF4951', 4, NULL),
(27548, NULL, 'IPR030588', NULL, 'Kelch-like protein 26', 'KLHL26', 4, NULL),
(27549, NULL, 'IPR032549', NULL, 'Domain of unknown function DUF4939', 'DUF4939', 3, NULL),
(27550, NULL, 'IPR030367', NULL, 'ATP-binding cassette subfamily A member 5', 'ABCA5', 4, NULL),
(27551, NULL, 'IPR031416', NULL, 'Mediator complex subunit 26, C-terminal domain', 'Med26_C', 3, NULL),
(27552, NULL, 'IPR024721', NULL, 'Snurportin-1, N-terminal', 'Snurportin-1_N', 3, NULL),
(27553, NULL, 'IPR030296', NULL, 'Probable ABC transporter ATP-binding protein MlaF/Mkl', 'MlaF/Mkl', 4, NULL),
(27554, NULL, 'IPR026219', NULL, 'Jagged/Serrate protein', 'Jagged/Serrate', 4, NULL),
(27555, NULL, 'IPR032548', NULL, 'Protein of unknown function DUF4940', 'DUF4940', 4, NULL),
(27556, NULL, 'IPR026989', NULL, 'Transposon-encoded protein TnpV', 'TnpV', 4, NULL),
(27557, NULL, 'IPR028051', NULL, 'Chemotaxis phosphatase CheX-like domain', 'CheX-like_dom', 3, NULL),
(27558, NULL, 'IPR031069', NULL, 'Calcium-dependent lipid-binding transcriptional regulator, plant', 'CLB_plant', 4, NULL),
(27559, NULL, 'IPR026320', NULL, 'Proline-rich protein 14', 'PRR14', 4, NULL),
(27560, NULL, 'IPR025273', NULL, 'Domain of unknown function DUF4064', 'DUF4064', 3, NULL),
(27561, NULL, 'IPR028819', NULL, 'Nuclear receptor coactivator 1', 'NCOA1', 4, NULL),
(27562, NULL, 'IPR030068', NULL, 'Actin-related protein T3', 'ARP-T3', 4, NULL),
(27563, NULL, 'IPR025158', NULL, 'Mg chelatase-related protein, C-terminal domain', 'Mg_chelat-rel_C', 3, NULL),
(27564, NULL, 'IPR025164', NULL, 'Putative adhesin', 'DUF4097', 3, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27565, NULL, 'IPR026114', NULL, 'Apolipoprotein F', 'APOF', 4, NULL),
(27566, NULL, 'IPR028802', NULL, 'Protein SMG8', 'SMG8', 4, NULL),
(27567, NULL, 'IPR031797', NULL, 'IGP family C-type lectin domain', 'DUF5075', 4, NULL),
(27568, NULL, 'IPR032543', NULL, 'Protein of unknown function DUF4946', 'DUF4946', 4, NULL),
(27569, NULL, 'IPR029862', NULL, 'Myelin protein zero-like protein 3', 'MPZL3', 4, NULL),
(27570, NULL, 'IPR030774', NULL, 'Histatin-3', 'Histatin-3', 4, NULL),
(27571, NULL, 'IPR030075', NULL, 'Actin-related protein 2/3 complex subunit 5-like protein', 'ARPC5L', 4, NULL),
(27572, NULL, 'IPR025219', NULL, 'PLAT/LH2 and C2-like Ca2+-binding lipoprotein', 'PLCC', 4, NULL),
(27573, NULL, 'IPR030430', NULL, 'Zinc finger protein GLIS1', 'GLIS1', 4, NULL),
(27574, NULL, 'IPR030730', NULL, 'Protocadherin beta-5/6/8', 'PCDHB5/6/8', 4, NULL),
(27575, NULL, 'IPR028353', NULL, 'Dihydroxyacetone phosphate acyltransferase', 'DHAPAT', 4, NULL),
(27576, NULL, 'IPR028604', NULL, 'Protein argonaute-4', 'AGO4', 4, NULL),
(27577, NULL, 'IPR032534', NULL, 'Domain of unknown function DUF4953', 'DUF4953', 3, NULL),
(27578, NULL, 'IPR031340', NULL, 'Ribosomal RNA small subunit methyltransferase F, first C-terminal domain', 'RsmF_methylt_CI', 3, NULL),
(27579, NULL, 'IPR027855', NULL, 'Domain of unknown function DUF4479', 'DUF4479', 3, NULL),
(27580, NULL, 'IPR025307', NULL, 'FIIND domain', 'FIIND_dom', 3, NULL),
(27581, NULL, 'IPR030199', NULL, 'Histidine transport system permease protein HisQ', 'HisQ', 4, NULL),
(27582, NULL, 'IPR026960', NULL, 'Reverse transcriptase zinc-binding domain', 'RVT-Znf', 3, NULL),
(27583, NULL, 'IPR030366', NULL, 'ATP-binding cassette subfamily A member 2', 'ABCA2', 4, NULL),
(27584, NULL, 'IPR031179', NULL, 'RNA polymerase II elongation factor ELL2', 'ELL2', 4, NULL),
(27585, NULL, 'IPR033983', NULL, 'Thiazole synthase ThiG', 'Thiazole_synthase_ThiG', 3, NULL),
(27586, NULL, 'IPR029794', NULL, 'Transcriptional repressor SCRATCH 1/2', 'SCRATCH1/2', 4, NULL),
(27587, NULL, 'IPR031273', NULL, 'Protein mono-ADP-ribosyltransferase PARP4', 'PARP4', 4, NULL),
(27588, NULL, 'IPR032541', NULL, 'Protein of unknown function DUF4948', 'DUF4948', 4, NULL),
(27589, NULL, 'IPR031280', NULL, 'Histone acetyltransferase KAT6A', 'KAT6A', 4, NULL),
(27590, NULL, 'IPR024922', NULL, 'Rubredoxin', 'Rubredoxin', 4, NULL),
(27591, NULL, 'IPR030322', NULL, 'Plasma membrane calcium-transporting ATPase 2', 'ATP2B2', 4, NULL),
(27592, NULL, 'IPR027081', NULL, 'CyclinH/Ccl1', 'CyclinH/Ccl1', 4, NULL),
(27593, NULL, 'IPR027079', NULL, 'TFIIH subunit Tfb1/GTF2H1', 'Tfb1/GTF2H1', 4, NULL),
(27594, NULL, 'IPR025271', NULL, 'Coiled-coil domain-containing protein 28', 'CCDC28', 4, NULL),
(27595, NULL, 'IPR030544', NULL, 'Clathrin interactor 1', 'CLINT1', 4, NULL),
(27596, NULL, 'IPR025151', NULL, 'ELYS-like domain', 'ELYS_dom', 3, NULL),
(27597, NULL, 'IPR031024', NULL, 'Lipoprotein LenA', 'Lipo_LenA_lepto', 4, NULL),
(27598, NULL, 'IPR032043', NULL, 'E3 ubiquitin-protein ligase Msl2, zinc RING finger', 'Msl2_Znf-RING', 3, NULL),
(27599, NULL, 'IPR031337', NULL, 'KDPG/KHG aldolase, active site 1', 'KDPG/KHG_AS_1', 0, NULL),
(27600, NULL, 'IPR028598', NULL, 'WD repeat BOP1/Erb1', 'BOP1/Erb1', 4, NULL),
(27601, NULL, 'IPR029458', NULL, 'Ras-binding domain of Byr2', 'Ras-bd_By2', 3, NULL),
(27602, NULL, 'IPR032004', NULL, 'Protein of unknown function DUF4790', 'DUF4790', 4, NULL),
(27603, NULL, 'IPR027384', NULL, 'Runx, central domain superfamily', 'Runx_central_dom_sf', 5, NULL),
(27604, NULL, 'IPR028603', NULL, 'Protein argonaute-3', 'AGO3', 4, NULL),
(27605, NULL, 'IPR024921', NULL, 'Protein-export membrane protein SecF, archaeal', 'SecF_arc', 4, NULL),
(27606, NULL, 'IPR027216', NULL, 'Prolargin', 'Prolargin', 4, NULL),
(27607, NULL, 'IPR026302', NULL, 'NEDD4-binding protein 2', 'NEDD4_b_p2', 4, NULL),
(27608, NULL, 'IPR031336', NULL, 'Cell division control protein 73, C-terminal', 'CDC73_C', 3, NULL),
(27609, NULL, 'IPR025289', NULL, 'Domain of unknown function DUF4081', 'DUF4081', 3, NULL),
(27610, NULL, 'IPR032533', NULL, 'Protein of unknown function DUF4954', 'DUF4954', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27611, NULL, 'IPR030239', NULL, 'ATP-binding cassette sub-family C member 6', 'ABCC6', 4, NULL),
(27612, NULL, 'IPR030295', NULL, 'Lysosomal thioesterase PPT2', 'PPT2', 4, NULL),
(27613, NULL, 'IPR029131', NULL, 'HAUS augmin-like complex subunit 5', 'HAUS5', 4, NULL),
(27614, NULL, 'IPR031016', NULL, 'Hydroxymethylcytosylglucuronate/cytosylglucuronate synthase', 'CGA_synthase', 4, NULL),
(27615, NULL, 'IPR024733', NULL, 'Alpha-N-acetylglucosaminidase, tim-barrel domain', 'NAGLU_tim-barrel', 3, NULL),
(27616, NULL, 'IPR026952', NULL, 'WVELL protein', 'WVELL', 4, NULL),
(27617, NULL, 'IPR029809', NULL, 'cAMP-dependent transcription factor ATF-6 beta', 'ATF6B', 4, NULL),
(27618, NULL, 'IPR029796', NULL, 'Metal regulatory transcription factor 1', 'Metal_TF1', 4, NULL),
(27619, NULL, 'IPR031015', NULL, 'Arginine 2,3-aminomutase', 'Arg_2_3_am_muta', 4, NULL),
(27620, NULL, 'IPR027023', NULL, 'Putative lipopolysaccharide kinase InaA', 'Put_LipoPS_kinase_InaA', 4, NULL),
(27621, NULL, 'IPR027084', NULL, 'Protein kinase Mps1 family', 'Prot_kin_Mps1_fam', 4, NULL),
(27622, NULL, 'IPR030552', NULL, 'Torsin-3A', 'Torsin-3A', 4, NULL),
(27623, NULL, 'IPR026307', NULL, 'Transmembrane protein 132', 'TMEM132', 4, NULL),
(27624, NULL, 'IPR028053', NULL, 'Membrane insertase YidC, N-terminal', 'Membr_insert_YidC_N', 3, NULL),
(27625, NULL, 'IPR030537', NULL, 'Synaptotagmin-12', 'SYT12', 4, NULL),
(27626, NULL, 'IPR031461', NULL, 'Protein of unknown function DUF4679', 'DUF4679', 4, NULL),
(27627, NULL, 'IPR026781', NULL, 'Proline-rich nuclear receptor coactivator 2', 'PNRC2', 4, NULL),
(27628, NULL, 'IPR025156', NULL, 'Ribonuclease M5, C-terminal domain', 'RNase_M5_C', 3, NULL),
(27629, NULL, 'IPR029920', NULL, 'Uridine-cytidine kinase 1', 'UCK-1', 4, NULL),
(27630, NULL, 'IPR031458', NULL, 'Protein of unknown function DUF4677', 'DUF4677', 4, NULL),
(27631, NULL, 'IPR028807', NULL, 'Cell adhesion molecule 4', 'Cadm4', 4, NULL),
(27632, NULL, 'IPR031053', NULL, 'Chromodomain-helicase-DNA-binding protein 1-like', 'ALC1', 4, NULL),
(27633, NULL, 'IPR031021', NULL, 'Enduracididine biosynthesis enzyme MppQ', 'Endura_MppQ', 4, NULL),
(27634, NULL, 'IPR029153', NULL, 'Chondroitin proteoglycan 4', 'CPG4', 3, NULL),
(27635, NULL, 'IPR032016', NULL, 'Protein of unknown function DUF4796', 'DUF4796', 4, NULL),
(27636, NULL, 'IPR027451', NULL, 'Arabinofuranosyltransferase, domain 1', 'EmbABC_dom1', 5, NULL),
(27637, NULL, 'IPR028596', NULL, 'Katanin p60 subunit A1', 'KATNA1', 4, NULL),
(27638, NULL, 'IPR025896', NULL, 'Spi protease inhibitor', 'Spi_Prtas-inh', 3, NULL),
(27639, NULL, 'IPR030393', NULL, 'EngB-type guanine nucleotide-binding (G) domain', 'G_ENGB_dom', 3, NULL),
(27640, NULL, 'IPR027868', NULL, 'Protein of unknown function DUF4630', 'DUF4630', 4, NULL),
(27641, NULL, 'IPR024924', NULL, '7-carboxy-7-deazaguanine synthase-like', '7-CO-7-deazaguanine_synth-like', 4, NULL),
(27642, NULL, 'IPR027439', NULL, 'Protective antigen, heptamerisation domain', 'PA_heptamer_dom', 3, NULL),
(27643, NULL, 'IPR030010', NULL, 'Villin-1-like, plant', 'Villin-1-like_plant', 4, NULL),
(27644, NULL, 'IPR027397', NULL, 'Catenin binding domain superfamily', 'Catenin-bd_sf', 5, NULL),
(27645, NULL, 'IPR031615', NULL, 'MYND-like zinc finger', 'Zfn-C6H2', 3, NULL),
(27646, NULL, 'IPR024723', NULL, 'Termicin', 'Termicin', 4, NULL),
(27647, NULL, 'IPR027862', NULL, 'Protein of unknown function DUF4534', 'DUF4534', 4, NULL),
(27648, NULL, 'IPR030119', NULL, 'SCO-spondin', 'SCO-spondin', 4, NULL),
(27649, NULL, 'IPR030914', NULL, 'Mobilome CxxCx(11)CxxC protein', 'Mob_CxxC_CxxC', 4, NULL),
(27650, NULL, 'IPR027871', NULL, 'Protein of unknown function DUF4603', 'DUF4603', 4, NULL),
(27651, NULL, 'IPR028601', NULL, 'Cytosolic Fe-S cluster assembly factor NUBP1/Nbp35', 'NUBP1/Nbp35', 4, NULL),
(27652, NULL, 'IPR032608', NULL, 'Protein of unknown function DUF4892', 'DUF4892', 4, NULL),
(27653, NULL, 'IPR030723', NULL, 'Protocadherin beta-1', 'PCDHB1', 4, NULL),
(27654, NULL, 'IPR027848', NULL, 'Protein of unknown function DUF4494', 'DUF4494', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27655, NULL, 'IPR025306', NULL, 'Probable zinc-binding domain', 'Zn-bnd_dom_prob', 3, NULL),
(27656, NULL, 'IPR031009', NULL, 'Three-Cys-motif partner protein', 'Tcm_partner', 4, NULL),
(27657, NULL, 'IPR031624', NULL, 'Coiled-coil domain-containing protein 168, N-terminal', 'CCDC168_N', 3, NULL),
(27658, NULL, 'IPR030298', NULL, 'Ubiquitin thioesterase OTUB1', 'OTUB1', 4, NULL),
(27659, NULL, 'IPR030216', NULL, 'Nuclear RNA export factor 3', 'NXF3', 4, NULL),
(27660, NULL, 'IPR031278', NULL, 'Homeobox protein SIX1', 'SIX1', 4, NULL),
(27661, NULL, 'IPR025159', NULL, 'Transcriptional regulator, AbiEi antitoxin', 'AbiEi_4', 4, NULL),
(27662, NULL, 'IPR028804', NULL, 'SSX family', 'SSX', 4, NULL),
(27663, NULL, 'IPR031929', NULL, 'Bacterial collagen-like protein, middle domain', 'CLP_mid', 3, NULL),
(27664, NULL, 'IPR025247', NULL, 'Adenine-specific methylase EcoRI', 'EcoRI_methylase', 4, NULL),
(27665, NULL, 'IPR026956', NULL, 'D-serine dehydratase-like domain', 'D-ser_dehydrat-like_dom', 3, NULL),
(27666, NULL, 'IPR026784', NULL, 'Constitutive coactivator of PPAR-gamma', 'Coact_PPARg', 4, NULL),
(27667, NULL, 'IPR029569', NULL, 'Calcium homeostasis modulator family', 'CALHM', 4, NULL),
(27668, NULL, 'IPR029994', NULL, 'Neurabin-1', 'Neurabin-1', 4, NULL),
(27669, NULL, 'IPR027394', NULL, 'Cytochrome-c3 hydrogenase, C-terminal', 'Cytochrome-c3_hydrogenase_C', 3, NULL),
(27670, NULL, 'IPR028813', NULL, 'Nucleobindin-2', 'NUCB2', 4, NULL),
(27671, NULL, 'IPR030787', NULL, 'Olfactory receptor 13D1', 'OR13D1', 4, NULL),
(27672, NULL, 'IPR026120', NULL, 'Transmembrane protein 11', 'TMEM11', 4, NULL),
(27673, NULL, 'IPR028597', NULL, 'Leucine zipper putative tumour suppressor 2', 'LZTS2', 4, NULL),
(27674, NULL, 'IPR027443', NULL, 'Isopenicillin N synthase-like superfamily', 'IPNS-like_sf', 5, NULL),
(27675, NULL, 'IPR032550', NULL, 'PBP-dependent ABC transporters TM subunit, N-terminal', 'TM_PBP2_N', 3, NULL),
(27676, NULL, 'IPR029832', NULL, 'Thyrotroph embryonic factor', 'TEF/VBP', 4, NULL),
(27677, NULL, 'IPR031947', NULL, 'Headcase, middle domain', 'Headcase_mid', 3, NULL),
(27678, NULL, 'IPR030785', NULL, 'Olfactory receptor 10G2', 'OR10G2', 4, NULL),
(27679, NULL, 'IPR031941', NULL, 'Domain of unknown function DUF4773', 'DUF4773', 3, NULL),
(27680, NULL, 'IPR029870', NULL, 'Myelin protein zero-like protein 1', 'MPZL1', 4, NULL),
(27681, NULL, 'IPR031012', NULL, 'Radical SAM mobile pair protein B', 'rSAM_mob_pairB', 4, NULL),
(27682, NULL, 'IPR029142', NULL, 'Small proline-rich protein 2', 'SPRR2', 4, NULL),
(27683, NULL, 'IPR034183', NULL, 'Isovaleryl-CoA dehydrogenase', 'IVD', 4, NULL),
(27684, NULL, 'IPR029871', NULL, 'Junctional adhesion molecule-like', 'JAML', 4, NULL),
(27685, NULL, 'IPR028473', NULL, 'Eyes absent homologue 2', 'EYA2', 4, NULL),
(27686, NULL, 'IPR030773', NULL, 'Histatin/statherin family', 'Histatin/statherin', 4, NULL),
(27687, NULL, 'IPR025893', NULL, 'Tocopherol cyclase', 'Tocopherol_cyclase', 4, NULL),
(27688, NULL, 'IPR031177', NULL, 'MARVEL domain-containing protein 2', 'MARVELD2', 4, NULL),
(27689, NULL, 'IPR028354', NULL, 'Glycerol-3-phosphate acyltransferase, PlsB', 'GPAT_PlsB', 4, NULL),
(27690, NULL, 'IPR027895', NULL, 'Protein of unknown function DUF4533', 'DUF4533', 4, NULL),
(27691, NULL, 'IPR031014', NULL, 'Cytosylglucuronate decarboxylase', 'rSAM_BlsE', 4, NULL),
(27692, NULL, 'IPR029972', NULL, 'Protein trichome birefringence-like 3', 'TBL3', 4, NULL),
(27693, NULL, 'IPR032545', NULL, 'Protein of unknown function DUF4944', 'DUF4944', 4, NULL),
(27694, NULL, 'IPR027849', NULL, 'Protein of unknown function DUF4434', 'DUF4434', 4, NULL),
(27695, NULL, 'IPR032536', NULL, 'Transmembrane protein 100', 'TMEM100', 4, NULL),
(27696, NULL, 'IPR026992', NULL, 'Non-haem dioxygenase N-terminal domain', 'DIOX_N', 3, NULL),
(27697, NULL, 'IPR025892', NULL, 'Developmental pluripotency-associated protein 2/4, central domain', 'Dppa2/4_central_dom', 3, NULL),
(27698, NULL, 'IPR025221', NULL, 'E1 N-terminal domain', 'E1-N_dom', 3, NULL),
(27699, NULL, 'IPR028806', NULL, 'RNA-binding protein 6', 'RBM6', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27700, NULL, 'IPR024732', NULL, 'Alpha-N-acetylglucosaminidase, C-terminal', 'NAGLU_C', 3, NULL),
(27701, NULL, 'IPR029787', NULL, 'Nucleotide cyclase', 'Nucleotide_cyclase', 5, NULL),
(27702, NULL, 'IPR030294', NULL, 'Palmitoyl-protein thioesterase 1', 'PPT1', 4, NULL),
(27703, NULL, 'IPR030432', NULL, 'Zinc finger protein GLIS2', 'Glis2', 4, NULL),
(27704, NULL, 'IPR026131', NULL, 'Mastermind-like domain-containing protein 1', 'MAMLD1', 4, NULL),
(27705, NULL, 'IPR026226', NULL, 'Chromatin modification-related protein EAF5', 'EAF5', 4, NULL),
(27706, NULL, 'IPR026222', NULL, 'Apolipoprotein D, vertebrates', 'ApoD_vertbrte', 4, NULL),
(27707, NULL, 'IPR025890', NULL, 'Abhydrolase, bacterial', 'Abhydrolase_bac', 4, NULL),
(27708, NULL, 'IPR026778', NULL, 'MLLT11 family', 'MLLT11_fam', 4, NULL),
(27709, NULL, 'IPR027450', NULL, 'Alpha-ketoglutarate-dependent dioxygenase AlkB-like', 'AlkB-like', 3, NULL),
(27710, NULL, 'IPR025894', NULL, 'Polycomb-like MTF2 factor 2, C-terminal domain', 'Mtf2_C_dom', 3, NULL),
(27711, NULL, 'IPR030169', NULL, 'Potassium/sodium hyperpolarization-activated cyclic nucleotide-gated channel 1', 'K/Na_HCN1', 4, NULL),
(27712, NULL, 'IPR032042', NULL, 'Protection of telomeres protein 1, ssDNA-binding domain', 'POT1PC', 3, NULL),
(27713, NULL, 'IPR025161', NULL, 'Putative transposase IS4/IS5 family', 'Put_IS4/IS5', 4, NULL),
(27714, NULL, 'IPR029836', NULL, 'cAMP-dependent transcription factor ATF-2', 'ATF2', 4, NULL),
(27715, NULL, 'IPR025305', NULL, 'UCH repeated domain', 'UCH_repeat_domain', 3, NULL),
(27716, NULL, 'IPR027851', NULL, 'Protein of unknown function DUF4628', 'DUF4628', 4, NULL),
(27717, NULL, 'IPR027215', NULL, 'Fibromodulin', 'Fibromodulin', 4, NULL),
(27718, NULL, 'IPR026757', NULL, 'Endosome-associated-trafficking regulator 1', 'ENTR1', 4, NULL),
(27719, NULL, 'IPR031250', NULL, 'Homeobox protein GBX-2', 'GBX-2', 4, NULL),
(27720, NULL, 'IPR025274', NULL, 'Domain of unknown function DUF4070', 'DUF4070', 3, NULL),
(27721, NULL, 'IPR025270', NULL, 'Protein of unknown function DUF4044', 'DUF4044', 4, NULL),
(27722, NULL, 'IPR026987', NULL, 'WD repeat-containing protein 18, C-terminal domain', 'Wdr18_C_dom', 3, NULL),
(27723, NULL, 'IPR031011', NULL, 'MarR family transcriptional regulator', 'Reg_MarR', 4, NULL),
(27724, NULL, 'IPR025298', NULL, 'Domain of unknown function DUF4094', 'DUF4094', 3, NULL),
(27725, NULL, 'IPR024943', NULL, 'Enhancer of polycomb protein', 'Enhancer_polycomb', 4, NULL),
(27726, NULL, 'IPR030368', NULL, 'ATP-binding cassette subfamily A member 6', 'ABCA6', 4, NULL),
(27727, NULL, 'IPR028816', NULL, 'Caprin', 'Caprin', 4, NULL),
(27728, NULL, 'IPR026209', NULL, 'Wolframin family', 'Wolframin_fam', 4, NULL),
(27729, NULL, 'IPR030164', NULL, 'Translocator protein', 'TSPO', 4, NULL),
(27730, NULL, 'IPR029829', NULL, 'Hepatic leukemia factor', 'HLF', 4, NULL),
(27731, NULL, 'IPR032008', NULL, 'Domain of unknown function DUF4792', 'DUF4792', 3, NULL),
(27732, NULL, 'IPR032606', NULL, 'Protein of unknown function DUF4895', 'DUF4895', 4, NULL),
(27733, NULL, 'IPR030532', NULL, 'Microphthalmia-associated transcription factor', 'MITF', 4, NULL),
(27734, NULL, 'IPR026117', NULL, 'Prostate apoptosis response 4', 'Par-4', 4, NULL),
(27735, NULL, 'IPR027388', NULL, 'Ku70, bridge and pillars domain superfamily', 'Ku70_bridge/pillars_dom_sf', 5, NULL),
(27736, NULL, 'IPR030538', NULL, 'Rab effector Noc2', 'Rab_effect_Noc2', 4, NULL),
(27737, NULL, 'IPR026225', NULL, 'Daughter-specific expression protein 2', 'DSE2', 4, NULL),
(27738, NULL, 'IPR027449', NULL, '5-keto-4-deoxyuronate isomerase, N-terminal', 'KduI_N', 5, NULL),
(27739, NULL, 'IPR030351', NULL, 'Cell cycle control protein 50A', 'TMEM30A', 4, NULL),
(27740, NULL, 'IPR027159', NULL, 'Nuclear cap-binding protein subunit 1', 'CBP80', 4, NULL),
(27741, NULL, 'IPR025292', NULL, 'Type III secretion system protein', 'T3SS_LEE_assoc', 4, NULL),
(27742, NULL, 'IPR030736', NULL, 'Protocadherin gamma-A1', 'PCDHGA1', 4, NULL),
(27743, NULL, 'IPR029454', NULL, 'ODR-4-like', 'ODR-4-like', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27744, NULL, 'IPR029869', NULL, 'Myelin protein P0', 'Myelin_P0', 4, NULL),
(27745, NULL, 'IPR031305', NULL, 'Casein alpha/beta, conserved site', 'Casein_CS', 2, NULL),
(27746, NULL, 'IPR031622', NULL, 'Sodium channel modifier 1, zinc-finger', 'Znf-SCNM1', 3, NULL),
(27747, NULL, 'IPR027881', NULL, 'Protein SOGA', 'SOGA', 4, NULL),
(27748, NULL, 'IPR025272', NULL, 'Domain of unknown function DUF4065', 'DUF4065', 3, NULL),
(27749, NULL, 'IPR031268', NULL, 'Transcription factor SOX-1', 'SOX-1', 4, NULL),
(27750, NULL, 'IPR025895', NULL, 'Lysine-2,3-aminomutase, C-terminal domain', 'LAM_C_dom', 3, NULL),
(27751, NULL, 'IPR027860', NULL, 'Domain of unknown function DUF4429', 'DUF4429', 3, NULL),
(27752, NULL, 'IPR026315', NULL, 'Out at first protein', 'Oaf', 4, NULL),
(27753, NULL, 'IPR026224', NULL, 'Protein DPCD', 'DPCD', 4, NULL),
(27754, NULL, 'IPR029456', NULL, 'Sialidase, N-terminal', 'Sialidase_N', 3, NULL),
(27755, NULL, 'IPR031050', NULL, 'MADS-box protein FBP24/AGL63/defh21-like', 'FBP24/AGL63/defh21-like', 4, NULL),
(27756, NULL, 'IPR031776', NULL, 'Splicing factor 3A subunit 3', 'SF3A3', 4, NULL),
(27757, NULL, 'IPR025166', NULL, 'Integrase, DNA-binding domain', 'Integrase_DNA_bind_dom', 3, NULL),
(27758, NULL, 'IPR027880', NULL, 'Protein of unknown function DUF4635', 'DUF4635', 4, NULL),
(27759, NULL, 'IPR030069', NULL, 'Phosphoinositide phosphatase SAC6', 'SAC6', 4, NULL),
(27760, NULL, 'IPR031025', NULL, 'LruC domain', 'LruC_dom', 3, NULL),
(27761, NULL, 'IPR025160', NULL, 'AATF leucine zipper-containing domain', 'AATF', 3, NULL),
(27762, NULL, 'IPR032539', NULL, 'Protein of unknown function DUF4950', 'DUF4950', 4, NULL),
(27763, NULL, 'IPR027864', NULL, 'Protein of unknown function DUF4597', 'DUF4597', 4, NULL),
(27764, NULL, 'IPR027479', NULL, 'Protein of unknown function DUF917, N-terminal', 'DUF917_N', 5, NULL),
(27765, NULL, 'IPR030553', NULL, 'Torsin-like protein', 'Torsin-like', 4, NULL),
(27766, NULL, 'IPR032609', NULL, 'Protein of unknown function DUF4893', 'DUF4893', 4, NULL),
(27767, NULL, 'IPR031795', NULL, 'Putative zinc-finger containing protein', 'Zf-HC3', 4, NULL),
(27768, NULL, 'IPR026314', NULL, 'YLP motif-containing protein 1', 'YLP_motif_con_p1', 4, NULL),
(27769, NULL, 'IPR030297', NULL, 'Ubiquitin carboxyl-terminal hydrolase L1', 'UCHL1', 4, NULL),
(27770, NULL, 'IPR030369', NULL, 'ATP-binding cassette subfamily A member 7', 'ABCA7', 4, NULL),
(27771, NULL, 'IPR028061', NULL, 'Fis1, C-terminal tetratricopeptide repeat', 'Fis1_TPR_C', 7, NULL),
(27772, NULL, 'IPR029139', NULL, 'NADPH-dependent 7-cyano-7-deazaguanine reductase, N-terminal', 'QueF_N', 3, NULL),
(27773, NULL, 'IPR025157', NULL, 'Hemagglutinin repeat', 'Hemagglutinin_rpt', 7, NULL),
(27774, NULL, 'IPR026115', NULL, 'Novel Amplified in Breast Cancer-1', 'NABC1', 4, NULL),
(27775, NULL, 'IPR032547', NULL, 'Protein of unknown function DUF4941', 'DUF4941', 4, NULL),
(27776, NULL, 'IPR029838', NULL, 'Interferon regulatory factor 5', 'IRF5', 4, NULL),
(27777, NULL, 'IPR026752', NULL, 'Cavin family', 'Cavin_fam', 4, NULL),
(27778, NULL, 'IPR030244', NULL, 'Oligomycin resistance ATP-dependent permease Yor1', 'Yor1', 4, NULL),
(27779, NULL, 'IPR032011', NULL, 'Domain of unknown function DUF4794', 'DUF4794', 3, NULL),
(27780, NULL, 'IPR031347', NULL, 'Protein AmpE', 'AmpE', 4, NULL),
(27781, NULL, 'IPR029971', NULL, 'Protein trichome birefringence-like 34', 'TBL34', 4, NULL),
(27782, NULL, 'IPR028602', NULL, 'Protein argonaute-2', 'AGO2', 4, NULL),
(27783, NULL, 'IPR032535', NULL, 'Oberon, coiled-coil region', 'Oberon_cc', 3, NULL),
(27784, NULL, 'IPR031772', NULL, 'Distal tube protein, N-terminal', 'Caud_tail_N', 3, NULL),
(27785, NULL, 'IPR025266', NULL, 'TerB, N-terminal', 'TerB_N', 3, NULL),
(27786, NULL, 'IPR030238', NULL, 'ATP-binding cassette sub-family C member 5', 'ABCC5', 4, NULL),
(27787, NULL, 'IPR030915', NULL, 'Sporulation killing factor system, radical SAM maturase SkfB', 'rSAM_SkfB', 4, NULL),
(27788, NULL, 'IPR030202', NULL, 'Glutamate/aspartate transport system permease protein GltJ/AatQ', 'GltJ/AatQ', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27789, NULL, 'IPR030217', NULL, 'Nuclear RNA export factor', 'NXF_fam', 4, NULL),
(27790, NULL, 'IPR031018', NULL, 'LipL41-expression chaperone Lep', 'Chaper_lep', 4, NULL),
(27791, NULL, 'IPR032041', NULL, 'Paf1 complex subunit Cdc73, N-terminal domain', 'Cdc73_N', 3, NULL),
(27792, NULL, 'IPR026133', NULL, 'Tastin', 'Tastin', 4, NULL),
(27793, NULL, 'IPR031926', NULL, 'Transmembrane protein 135, N-terminal domain', 'TMEM135_N', 3, NULL),
(27794, NULL, 'IPR025288', NULL, 'Domain of unknown function DUF4080', 'DUF4080', 3, NULL),
(27795, NULL, 'IPR029913', NULL, 'Ornithine decarboxylase antizyme 3', 'ODC-AZ_3', 4, NULL),
(27796, NULL, 'IPR027534', NULL, 'Ribosomal protein L12/P1/P2 family', 'Ribosomal_L12/P1/P2', 4, NULL),
(27797, NULL, 'IPR028798', NULL, 'Two pore channel protein 2', 'TPC2', 4, NULL),
(27798, NULL, 'IPR025891', NULL, 'Developmental pluripotency-associated protein 2/4, C-terminal domain', 'Dppa2/4_C_dom', 3, NULL),
(27799, NULL, 'IPR026319', NULL, 'Zinc finger C2HC domain-containing protein', 'ZC2HC1', 4, NULL),
(27800, NULL, 'IPR029152', NULL, 'Protein LKAAEAR1', 'LKAAEAR1', 4, NULL),
(27801, NULL, 'IPR030240', NULL, 'ATP-binding cassette sub-family C member 4', 'ABCC4', 4, NULL),
(27802, NULL, 'IPR025216', NULL, 'Domain of unknown function DUF4427', 'DUF4427', 3, NULL),
(27803, NULL, 'IPR030256', NULL, 'ATP-binding cassette subfamily G member 2', 'ABCG2', 4, NULL),
(27804, NULL, 'IPR026137', NULL, 'Leucine-rich repeat-containing  41', 'Leu_rpt_41', 4, NULL),
(27805, NULL, 'IPR025165', NULL, 'Protein of unknown function DUF4100', 'DUF4100', 4, NULL),
(27806, NULL, 'IPR025267', NULL, 'Protein of unknown function DUF4043', 'DUF4043', 4, NULL),
(27807, NULL, 'IPR034024', NULL, 'Tumor necrosis factor receptor 10, N-terminal', 'TNFRSF10_N', 3, NULL),
(27808, NULL, 'IPR024906', NULL, 'Enoyl reductase FAD binding domain', 'Eno_Rdtase_FAD-bd_dom', 3, NULL),
(27809, NULL, 'IPR027275', NULL, 'PRC-barrel domain', 'PRC-brl_dom', 3, NULL),
(27810, NULL, 'IPR031276', NULL, 'Liver basic fatty acid-binding protein', 'Lb-FABP', 4, NULL),
(27811, NULL, 'IPR032540', NULL, 'Protein of unknown function DUF4949', 'DUF4949', 4, NULL),
(27812, NULL, 'IPR031071', NULL, 'LRR receptor-like serine/threonine-protein kinase FEI1/2', 'FEI1/2', 4, NULL),
(27813, NULL, 'IPR031269', NULL, 'Protein SOX-15', 'SOX15', 4, NULL),
(27814, NULL, 'IPR030535', NULL, 'Double C2-like domain-containing protein alpha/beta', 'Doc2a/b', 4, NULL),
(27815, NULL, 'IPR031013', NULL, 'CGA synthase-related protein', 'CGA_synth-rel', 4, NULL),
(27816, NULL, 'IPR025154', NULL, 'Putative metallopeptidase domain', 'Put_metallopeptidase_dom', 3, NULL),
(27817, NULL, 'IPR026988', NULL, 'YaaC-like protein', 'YaaC-like', 4, NULL),
(27818, NULL, 'IPR029914', NULL, 'Ornithine decarboxylase antizyme 1', 'ODC-AZ_1', 4, NULL),
(27819, NULL, 'IPR029863', NULL, 'Myelin protein zero-like protein 2', 'MPZL2', 4, NULL),
(27820, NULL, 'IPR030041', NULL, 'Probable C-mannosyltransferase DPY19L1', 'DPY19L1', 4, NULL),
(27821, NULL, 'IPR028462', NULL, 'Desmoplakin', 'Desmoplakin', 4, NULL),
(27822, NULL, 'IPR026299', NULL, 'Mitochondrial 28S ribosomal protein S31', 'MRP-S31', 4, NULL),
(27823, NULL, 'IPR027861', NULL, 'Protein of unknown function DUF4579', 'DUF4579', 4, NULL),
(27824, NULL, 'IPR027888', NULL, 'Protein of unknown function DUF4501', 'DUF4501', 4, NULL),
(27825, NULL, 'IPR026776', NULL, 'Uncharacterised protein family UPF0729', 'UPF0729', 4, NULL),
(27826, NULL, 'IPR026961', NULL, 'PGG domain', 'PGG_dom', 3, NULL),
(27827, NULL, 'IPR029807', NULL, 'cAMP-responsive element-binding protein 3-like protein 4', 'CREB4', 4, NULL),
(27828, NULL, 'IPR030721', NULL, 'Cadherin-16', 'Cadherin-16', 4, NULL),
(27829, NULL, 'IPR031419', NULL, 'RAD51 interacting motif', 'RAD51_interact', 3, NULL),
(27830, NULL, 'IPR028058', NULL, 'Fis1, N-terminal tetratricopeptide repeat', 'Fis1_TPR_N', 7, NULL),
(27831, NULL, 'IPR028815', NULL, 'Protein LRATD2', 'LRATD2', 4, NULL),
(27832, NULL, 'IPR028810', NULL, 'Melanoma-associated antigen D2', 'MAGED2', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27833, NULL, 'IPR028811', NULL, 'Cell cycle and apoptosis regulator protein 2', 'CCAR2', 4, NULL),
(27834, NULL, 'IPR027863', NULL, 'Protein of unknown function DUF4623', 'DUF4623', 4, NULL),
(27835, NULL, 'IPR027873', NULL, 'Protein PAXX', 'PAXX', 4, NULL),
(27836, NULL, 'IPR027892', NULL, 'Maturin', 'Maturin', 4, NULL),
(27837, NULL, 'IPR030040', NULL, 'Probable C-mannosyltransferase DPY19L4', 'DPY19L4', 4, NULL),
(27838, NULL, 'IPR028471', NULL, 'Eyes absent homologue 1', 'Eyes_absent_h1', 4, NULL),
(27839, NULL, 'IPR029806', NULL, 'cAMP-responsive element-binding protein 3-like protein 3', 'CREBH', 4, NULL),
(27840, NULL, 'IPR026112', NULL, 'Amnionless', 'AMN', 4, NULL),
(27841, NULL, 'IPR024964', NULL, 'CTLH/CRA C-terminal to LisH motif domain', 'CTLH/CRA', 3, NULL),
(27842, NULL, 'IPR031931', NULL, 'Protein of unknown function DUF4768', 'DUF4768', 4, NULL),
(27843, NULL, 'IPR029830', NULL, 'D site-binding protein', 'DBP', 4, NULL),
(27844, NULL, 'IPR031779', NULL, 'Shu complex, component Psy3', 'Psy3', 4, NULL),
(27845, NULL, 'IPR031344', NULL, 'Protein of unknown function DUF5104', 'DUF5104', 4, NULL),
(27846, NULL, 'IPR027302', NULL, 'Glutamine synthetase, N-terminal conserved site', 'Gln_synth_N_conserv_site', 2, NULL),
(27847, NULL, 'IPR027858', NULL, 'Protein BRAWNIN', 'BRAWNIN', 4, NULL),
(27848, NULL, 'IPR030215', NULL, 'Concentrative nucleoside transporter, nematoda', 'CNT-like_nema', 4, NULL),
(27849, NULL, 'IPR031172', NULL, 'Serpin E3', 'Serpin_E3', 4, NULL),
(27850, NULL, 'IPR027086', NULL, 'Serine/threonine-protein kinase TOUSLED-like 2', 'TLK2', 4, NULL),
(27851, NULL, 'IPR030536', NULL, 'Double C2-like domain-containing protein gamma', 'Doc2g', 4, NULL),
(27852, NULL, 'IPR027872', NULL, 'Domain of unknown function DUF4428', 'DUF4428', 3, NULL),
(27853, NULL, 'IPR026128', NULL, 'Neurosecretory protein VGF', 'VGF', 4, NULL),
(27854, NULL, 'IPR031781', NULL, 'SF3A2 domain', 'SF3A2_dom', 3, NULL),
(27855, NULL, 'IPR026229', NULL, 'Vesicular, overexpressed in cancer, prosurvival protein 1', 'VOPP1', 4, NULL),
(27856, NULL, 'IPR031020', NULL, 'Enduracididine biosynthesis enzyme MppP', 'Endura_MppP', 4, NULL),
(27857, NULL, 'IPR029850', NULL, 'Sodium-dependent phosphate transport protein 2C', 'Na/Pi_transpt_2C', 4, NULL),
(27858, NULL, 'IPR027498', NULL, 'Ribosomal protein S2, eukaryotic', 'Ribosomal_S2_euk', 4, NULL),
(27859, NULL, 'IPR027288', NULL, 'Platelet-derived growth factor receptor beta', 'PGFRB', 4, NULL),
(27860, NULL, 'IPR030668', NULL, 'Spermidine/spermine synthase, eukaryotes', 'Spermi_synthase_euk', 4, NULL),
(27861, NULL, 'IPR031940', NULL, 'Domain of unknown function DUF4772', 'DUF4772', 3, NULL),
(27862, NULL, 'IPR032039', NULL, 'Alphacoronavirus nsp1', 'A-CoV_nsp1', 3, NULL),
(27863, NULL, 'IPR025153', NULL, 'Ead/Ea22-like protein', 'Ead_Ea22', 4, NULL),
(27864, NULL, 'IPR030318', NULL, 'Potassium-transporting ATPase alpha chain 2', 'Atp12a', 4, NULL),
(27865, NULL, 'IPR025610', NULL, 'Transcription factor MYC/MYB N-terminal', 'MYC/MYB_N', 3, NULL),
(27866, NULL, 'IPR032542', NULL, 'Protein of unknown function DUF4947', 'DUF4947', 4, NULL),
(27867, NULL, 'IPR026782', NULL, 'Protein FAM131', 'FAM131', 4, NULL),
(27868, NULL, 'IPR030254', NULL, 'ATP-binding cassette subfamily B member 9', 'ABCB9', 4, NULL),
(27869, NULL, 'IPR031348', NULL, 'Fungal N-terminal domain of STAND protein', 'Helo-like_N', 3, NULL),
(27870, NULL, 'IPR026962', NULL, 'Katanin p80 WD40 repeat-containing subunit B1', 'KTNB1', 4, NULL),
(27871, NULL, 'IPR031945', NULL, 'Protein of unknown function DUF4775', 'DUF4775', 4, NULL),
(27872, NULL, 'IPR026321', NULL, 'Coiled-coil domain-containing protein 134', 'Coiled-coil_dom_con_pro_134', 4, NULL),
(27873, NULL, 'IPR031173', NULL, 'Antizyme inhibitor 2', 'Azin2', 4, NULL),
(27874, NULL, 'IPR026316', NULL, 'KAT8 regulatory NSL complex subunit 2', 'NSL2', 4, NULL),
(27875, NULL, 'IPR028055', NULL, 'Membrane insertase YidC/Oxa1, C-terminal', 'Membr_insert_YidC/Oxa1_C', 3, NULL),
(27876, NULL, 'IPR027282', NULL, 'Two partner secretion pathway transporter', 'TPS', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27877, NULL, 'IPR031017', NULL, 'TAT-translocated F420-dependent dehydrogenase, FGD2 family', 'F420_FGD2', 4, NULL),
(27878, NULL, 'IPR031625', NULL, 'Sodium channel modifier 1, acidic C-terminal domain', 'SCNM1_acidic', 3, NULL),
(27879, NULL, 'IPR026785', NULL, 'Constitutive coactivator of PPAR-gamma-like protein 2', 'Coact_PPARg-like_2', 4, NULL),
(27880, NULL, 'IPR026990', NULL, 'Transposon-encoded protein TnpW', 'TnpW', 4, NULL),
(27881, NULL, 'IPR031774', NULL, 'SF3A3 domain', 'SF3A3_dom', 3, NULL),
(27882, NULL, 'IPR032007', NULL, 'Protein of unknown function DUF4791', 'DUF4791', 4, NULL),
(27883, NULL, 'IPR031457', NULL, 'Renal cancer differentiation gene 1 protein', 'RCDG1', 4, NULL),
(27884, NULL, 'IPR024968', NULL, 'Surface layer protein A domain', 'SlpA_dom', 3, NULL),
(27885, NULL, 'IPR029457', NULL, 'Hypothetical glycoside hydrolase 5', 'GHL5', 4, NULL),
(27886, NULL, 'IPR031019', NULL, 'Radical SAM/SPASM domain protein maturase', 'rSAM_vs_C_rich', 4, NULL),
(27887, NULL, 'IPR025218', NULL, 'Domain of unknown function DUF4426', 'DUF4426', 3, NULL),
(27888, NULL, 'IPR027211', NULL, 'Mimecan', 'Mimecan', 4, NULL),
(27889, NULL, 'IPR031335', NULL, 'Glycosyl hydrolase family 63, C-terminal', 'Glyco_hydro_63_C', 3, NULL),
(27890, NULL, 'IPR030012', NULL, 'Adseverin', 'Adseverin', 4, NULL),
(27891, NULL, 'IPR026116', NULL, 'Glycosyltransferase family 18', 'GlyclTrfase_18', 4, NULL),
(27892, NULL, 'IPR030734', NULL, 'Protocadherin beta-11/12', 'PCDHB11/12', 4, NULL),
(27893, NULL, 'IPR032006', NULL, 'Transmembrane inner ear expressed protein', 'TMIE', 4, NULL),
(27894, NULL, 'IPR027859', NULL, 'KATNIP domain', 'KATNIP_dom', 3, NULL),
(27895, NULL, 'IPR032038', NULL, 'Adenomatous polyposis coli, N-terminal dimerisation domain', 'APC_N', 3, NULL),
(27896, NULL, 'IPR031346', NULL, 'Uncharacterised protein DUF2154, N-terminal', 'DUF2154_N', 3, NULL),
(27897, NULL, 'IPR031267', NULL, 'Transcription factor SOX-12', 'SOX-12', 4, NULL),
(27898, NULL, 'IPR026306', NULL, 'RSBN1/Dpy-21', 'RSBN1/Dpy-21', 4, NULL),
(27899, NULL, 'IPR027882', NULL, 'Domain of unknown function DUF4482', 'DUF4482', 3, NULL),
(27900, NULL, 'IPR027393', NULL, 'Virus scaffolding protein, C-terminal', 'Virus_scaffolding_prot_C', 5, NULL),
(27901, NULL, 'IPR027217', NULL, 'Epiphycan', 'Epiphycan', 4, NULL),
(27902, NULL, 'IPR027890', NULL, 'Protein of unknown function DUF4491', 'DUF4491', 4, NULL),
(27903, NULL, 'IPR030735', NULL, 'Protocadherin beta-2', 'PCDHB2', 4, NULL),
(27904, NULL, 'IPR032013', NULL, 'Protein of unknown function DUF4795', 'DUF4795', 4, NULL),
(27905, NULL, 'IPR031010', NULL, 'Radical SAM mobile pair protein A', 'rSAM_mob_pairA', 4, NULL),
(27906, NULL, 'IPR030539', NULL, 'Synaptotagmin-15', 'SYT15', 4, NULL),
(27907, NULL, 'IPR030074', NULL, 'Actin-like protein 9', 'ACTL9', 4, NULL),
(27908, NULL, 'IPR028595', NULL, 'Methionine aminopeptidase, archaeal', 'MetAP_archaeal', 4, NULL),
(27909, NULL, 'IPR034154', NULL, 'Archaeal primase DnaG/twinkle, TOPRIM domain', 'TOPRIM_DnaG/twinkle', 3, NULL),
(27910, NULL, 'IPR029455', NULL, 'Hypothetical glycosyl hydrolase family 15', 'GHL15', 4, NULL),
(27911, NULL, 'IPR029833', NULL, 'Zinc finger and BTB domain-containing protein 22', 'ZBT22', 4, NULL),
(27912, NULL, 'IPR032040', NULL, 'ELYS, beta-propeller domain', 'ELYS-bb', 3, NULL),
(27913, NULL, 'IPR031343', NULL, 'Domain of unknown function DUF5105', 'DUF5105', 3, NULL),
(27914, NULL, 'IPR027263', NULL, 'Mast/stem cell growth factor receptor', 'SCGF_receptor', 4, NULL),
(27915, NULL, 'IPR031421', NULL, 'Protein of unknown function DUF4666', 'DUF4666', 4, NULL),
(27916, NULL, 'IPR028472', NULL, 'Eyes absent family', 'EYA_fam', 4, NULL),
(27917, NULL, 'IPR031176', NULL, 'ELL/occludin family', 'ELL/occludin', 4, NULL),
(27918, NULL, 'IPR027887', NULL, 'Protein of unknown function DUF4464', 'DUF4464', 4, NULL),
(27919, NULL, 'IPR027386', NULL, 'Ribosomal L15/L27a, N-terminal', 'Rbsml_prot_L15/27a_N', 5, NULL),
(27920, NULL, 'IPR025147', NULL, 'DNA packaging protein FI', 'Packaging_FI', 4, NULL),
(27921, NULL, 'IPR031023', NULL, '4-nitrotryptophan synthase', 'CYP450_TxtE', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27922, NULL, 'IPR025276', NULL, 'Protein of unknown function DUF4075', 'DUF4075', 4, NULL),
(27923, NULL, 'IPR027852', NULL, 'Steroid receptor-associated and regulated protein', 'C1ORF64', 4, NULL),
(27924, NULL, 'IPR031943', NULL, 'CARMIL, C-terminal domain', 'CARMIL_C', 3, NULL),
(27925, NULL, 'IPR027879', NULL, 'Protein of unknown function DUF4649', 'DUF4649', 4, NULL),
(27926, NULL, 'IPR030348', NULL, 'Probable phospholipid-transporting ATPase IM', 'ATP8B4', 4, NULL),
(27927, NULL, 'IPR027286', NULL, 'Prostacyclin synthase', 'PTGIS', 4, NULL),
(27928, NULL, 'IPR026780', NULL, 'Proline-rich nuclear receptor coactivator 1/2', 'PNRC1/2', 4, NULL),
(27929, NULL, 'IPR025263', NULL, 'Domain of unknown function DUF3971', 'DUF3971', 3, NULL),
(27930, NULL, 'IPR031665', NULL, 'UPF0730 family', 'UPF0730', 4, NULL),
(27931, NULL, 'IPR030347', NULL, 'Phospholipid-transporting ATPase ID', 'ATP8B2', 4, NULL),
(27932, NULL, 'IPR029916', NULL, 'Ornithine decarboxylase antizyme 2', 'ODC-AZ_2', 4, NULL),
(27933, NULL, 'IPR025607', NULL, 'Ribosomal protein L5 eukaryotic, C-terminal', 'Rbsml_L5e_C', 3, NULL),
(27934, NULL, 'IPR031620', NULL, 'DDB1- and CUL4-associated factor 17', 'DCAF17', 4, NULL),
(27935, NULL, 'IPR027893', NULL, 'EKC/KEOPS complex subunit GON7, metazoa', 'GON7_meta', 4, NULL),
(27936, NULL, 'IPR027285', NULL, 'Bombyxin B', 'Bombyxin_B', 4, NULL),
(27937, NULL, 'IPR025162', NULL, 'Recombination activating protein 2, PHD domain', 'RAG2_PHD', 3, NULL),
(27938, NULL, 'IPR030039', NULL, 'Probable C-mannosyltransferase DPY19L3', 'DPY19L3', 4, NULL),
(27939, NULL, 'IPR035926', NULL, 'NusB-like superfamily', 'NusB-like_sf', 5, NULL),
(27940, NULL, 'IPR027284', NULL, 'Hepatocyte growth factor', 'Hepatocyte_GF', 4, NULL),
(27941, NULL, 'IPR027894', NULL, 'Protein of unknown function DUF4620', 'DUF4620', 4, NULL),
(27942, NULL, 'IPR030589', NULL, 'Kelch repeat and BTB domain-containing protein 3', 'KBTBD3', 4, NULL),
(27943, NULL, 'IPR025155', NULL, 'WxxW domain', 'WxxW_domain', 3, NULL),
(27944, NULL, 'IPR030009', NULL, 'Villin-2, plant', 'Villin-2_plant', 4, NULL),
(27945, NULL, 'IPR030350', NULL, 'Phospholipid-transporting ATPase FetA', 'FetA', 4, NULL),
(27946, NULL, 'IPR027854', NULL, 'Short transmembrane mitochondrial protein 1', 'STMP1', 4, NULL),
(27947, NULL, 'IPR032544', NULL, 'Protein of unknown function DUF4945', 'DUF4945', 4, NULL),
(27948, NULL, 'IPR031342', NULL, 'Uncharacterized protein YGR053C', 'YGR053C', 4, NULL),
(27949, NULL, 'IPR031338', NULL, 'KDPG/KHG aldolase, active site 2', 'KDPG/KHG_AS_2', 0, NULL),
(27950, NULL, 'IPR032546', NULL, 'Protein of unknown function DUF4943', 'DUF4943', 4, NULL),
(27951, NULL, 'IPR031798', NULL, 'Alginate biosynthesis protein AlgX, C-terminal carbohydrate-binding module', 'AlgX_C', 3, NULL),
(27952, NULL, 'IPR027850', NULL, 'Protein of unknown function DUF4504', 'DUF4504', 4, NULL),
(27953, NULL, 'IPR027857', NULL, 'Protein SPO16 homolog', 'SCRE', 4, NULL),
(27954, NULL, 'IPR030712', NULL, 'Protocadherin-10', 'Protocadherin-10', 4, NULL),
(27955, NULL, 'IPR030765', NULL, 'Matrilin 3', 'Matrilin_3', 4, NULL),
(27956, NULL, 'IPR031253', NULL, 'Homeobox protein unplugged', 'Unplugged', 4, NULL),
(27957, NULL, 'IPR027441', NULL, 'Protective antigen domain 4', 'PA_dom4', 5, NULL),
(27958, NULL, 'IPR029155', NULL, 'SIPAR domain', 'SIPAR', 3, NULL),
(27959, NULL, 'IPR028600', NULL, 'Cytosolic Fe-S cluster assembly factor NUBP2/Cfd1, eukaryotes', 'NUBP2/Cfd1_eukaryotes', 4, NULL),
(27960, NULL, 'IPR031341', NULL, 'Ribosomal RNA small subunit methyltransferase F, N-terminal', 'Methyltr_RsmF_N', 3, NULL),
(27961, NULL, 'IPR031462', NULL, 'C2 calcium-dependent domain-containing protein 6', 'C2CD6', 4, NULL),
(27962, NULL, 'IPR030719', NULL, 'Engulfment and cell motility protein 3', 'ELMO3', 4, NULL),
(27963, NULL, 'IPR028869', NULL, 'GTP-binding protein Rad', 'RAD', 4, NULL),
(27964, NULL, 'IPR030299', NULL, 'Ubiquitin thioesterase OTUB2', 'OTUB2', 4, NULL),
(27965, NULL, 'IPR032607', NULL, 'Protein of unknown function DUF4894', 'DUF4894', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(27966, NULL, 'IPR026966', NULL, 'Neurofascin/L1/NrCAM, C-terminal domain', 'Neurofascin/L1/NrCAM_C', 3, NULL),
(27967, NULL, 'IPR025249', NULL, 'KH domain, NusA-like', 'KH_dom_NusA-like', 3, NULL),
(27968, NULL, 'IPR027896', NULL, 'Ubiquinol-cytochrome-c reductase complex assembly factor 3', 'UQCC3', 4, NULL),
(27969, NULL, 'IPR027497', NULL, 'Katanin p60 ATPase-containing subunit A-like 2', 'Katanin_p60_AL2', 4, NULL),
(27970, NULL, 'IPR028599', NULL, 'WD repeat WDR12/Ytm1', 'WDR12/Ytm1', 4, NULL),
(27971, NULL, 'IPR027025', NULL, 'Heterogeneous nuclear ribonucleoprotein U-like protein 1', 'hnRNP_U-like_1', 4, NULL),
(27972, NULL, 'IPR031942', NULL, 'Domain of unknown function DUF4774', 'DUF4774', 3, NULL),
(27973, NULL, 'IPR027869', NULL, 'TASL protein', 'TASL', 4, NULL),
(27974, NULL, 'IPR025224', NULL, 'Cell cycle and apoptosis regulator protein', 'CCAR1/CCAR2', 4, NULL),
(27975, NULL, 'IPR027283', NULL, 'Glutamate synthase large subunit-like protein, bacteria', 'YerD', 4, NULL),
(27976, NULL, 'IPR032537', NULL, 'Protein of unknown function DUF4952', 'DUF4952', 4, NULL),
(27977, NULL, 'IPR027866', NULL, 'Retroelement silencing factor 1', 'RESF1', 4, NULL),
(27978, NULL, 'IPR031796', NULL, 'Protein of unknown function DUF5076', 'DUF5076', 4, NULL),
(27979, NULL, 'IPR030664', NULL, 'FAD-dependent oxidoreductase SdhA/FrdA/AprA', 'SdhA/FrdA/AprA', 4, NULL),
(27980, NULL, 'IPR025248', NULL, 'Domain of unknown function DUF4007', 'DUF4007', 3, NULL),
(27981, NULL, 'IPR030919', NULL, 'Sporulation killing factor SkfA', 'RiPP_SkfA', 4, NULL),
(27982, NULL, 'IPR031275', NULL, 'Protein mono-ADP-ribosyltransferase PARP3', 'PARP3', 4, NULL),
(27983, NULL, 'IPR025278', NULL, 'Domain of unknown function DUF4077', 'DUF4077', 3, NULL),
(27984, NULL, 'IPR032532', NULL, 'Domain of unknown function DUF4955', 'DUF4955', 3, NULL),
(27985, NULL, 'IPR030072', NULL, 'Xin actin-binding repeat-containing protein 1/2', 'XIRP1/XIRP2', 4, NULL),
(27986, NULL, 'IPR027884', NULL, 'Domain of unknown function DUF4614', 'DUF4614', 3, NULL),
(27987, NULL, 'IPR027303', NULL, 'Glutamine synthetase, glycine-rich site', 'Gln_synth_gly_rich_site', 2, NULL),
(27988, NULL, 'IPR031927', NULL, 'Domain of unknown function DUF4767', 'DUF4767', 3, NULL),
(27989, NULL, 'IPR027856', NULL, 'Protein of unknown function DUF4573', 'DUF4573', 4, NULL),
(27990, NULL, 'IPR024727', NULL, 'Bacterial NAD-glutamate dehydrogenase, N-terminal', 'NAD_Glu_DH_bac_N', 3, NULL),
(27991, NULL, 'IPR028199', NULL, 'Mucin, catalytic, TM and cytoplasmic tail domain', 'Mucin_dom', 3, NULL),
(27992, NULL, 'IPR025614', NULL, 'Cell morphogenesis protein N-terminal', 'Cell_morpho_N', 3, NULL),
(27993, NULL, 'IPR026743', NULL, 'Sperm equatorial segment protein 1', 'Equatorial_segment', 4, NULL),
(27994, NULL, 'IPR025220', NULL, 'NFRKB winged helix-like domain', 'NFRKB_winged_dom', 3, NULL),
(27995, NULL, 'IPR032010', NULL, 'Domain of unknown function DUF4793', 'DUF4793', 3, NULL),
(27996, NULL, 'IPR032117', NULL, 'Caskin, C-terminal', 'Caskin_C', 3, NULL),
(27997, NULL, 'IPR026134', NULL, 'MyoD family inhibitor/MyoD family inhibitor domain-containing protein', 'MDFI/MDFIC', 4, NULL),
(27998, NULL, 'IPR025281', NULL, 'Domain of unknown function DUF4074', 'DUF4074', 3, NULL),
(27999, NULL, 'IPR026317', NULL, 'Protein C10', 'P_C10', 4, NULL),
(28000, NULL, 'IPR031251', NULL, 'Homeobox protein GBX-1', 'GBX-1', 4, NULL),
(28001, NULL, 'IPR032624', NULL, 'Protein of unknown function DUF4879', 'DUF4879', 4, NULL),
(28002, NULL, 'IPR025480', NULL, 'Protein of unknown function DUF4330', 'DUF4330', 4, NULL),
(28003, NULL, 'IPR032271', NULL, 'Domain of unknown function DUF4987', 'DUF4987', 3, NULL),
(28004, NULL, 'IPR025705', NULL, 'Beta-hexosaminidase', 'Beta_hexosaminidase_sua/sub', 4, NULL),
(28005, NULL, 'IPR025618', NULL, 'YtpI-like protein', 'YtpI', 4, NULL),
(28006, NULL, 'IPR028482', NULL, 'Protein S100-A11', 'S100A11', 4, NULL),
(28007, NULL, 'IPR028358', NULL, 'GDP-mannose 6-dehydrogenase', 'GDPman_DH', 4, NULL),
(28008, NULL, 'IPR029389', NULL, 'Izumo sperm-egg fusion protein', 'IZUMO', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28009, NULL, 'IPR025621', NULL, 'YoqO-like protein', 'YoqO', 4, NULL),
(28010, NULL, 'IPR025521', NULL, 'Neprosin activation peptide', 'Neprosin_propep', 3, NULL),
(28011, NULL, 'IPR032351', NULL, 'Putative mobile pathogenicity island', 'SAPI', 4, NULL),
(28012, NULL, 'IPR029376', NULL, 'Domain of unknown function DUF4549', 'DUF4549', 3, NULL),
(28013, NULL, 'IPR025515', NULL, 'Protein of unknown function DUF4403', 'DUF4403', 4, NULL),
(28014, NULL, 'IPR031037', NULL, 'Peptide O-prenyltransferase, LynF/TruF/PatF family', 'Preny_LynF_TruF', 4, NULL),
(28015, NULL, 'IPR025500', NULL, 'Protein of unknown function DUF4390', 'DUF4390', 4, NULL),
(28016, NULL, 'IPR032265', NULL, 'Protein of unknown function DUF4831', 'DUF4831', 4, NULL),
(28017, NULL, 'IPR027783', NULL, 'Bacterial Pleckstrin homology domain-related', 'Bacterial_PH-related', 3, NULL),
(28018, NULL, 'IPR028356', NULL, 'UDP-glucose 6-dehydrogenase, eukaryotic type', 'UDPglc_DH_euk', 4, NULL),
(28019, NULL, 'IPR029375', NULL, 'Protein of unknown function DUF4558', 'DUF4558', 4, NULL),
(28020, NULL, 'IPR032078', NULL, 'Multiple PDZ domain protein', 'MPDZ', 4, NULL),
(28021, NULL, 'IPR025431', NULL, 'YhdB-like protein', 'YhdB-like', 4, NULL),
(28022, NULL, 'IPR032731', NULL, 'Arabinosyltransferase, C-terminal', 'Arabino_trans_C', 3, NULL),
(28023, NULL, 'IPR032272', NULL, 'Protein of unknown function DUF4834', 'DUF4834', 4, NULL),
(28024, NULL, 'IPR032283', NULL, 'Domain of unknown function DUF4984', 'DUF4984', 3, NULL),
(28025, NULL, 'IPR028489', NULL, 'Protein S100-G', 'S100G', 4, NULL),
(28026, NULL, 'IPR029359', NULL, 'FAM181', 'FAM181', 4, NULL),
(28027, NULL, 'IPR026262', NULL, 'Antitoxin DinJ', 'DinJ', 4, NULL),
(28028, NULL, 'IPR026218', NULL, 'Heme transporter HRG', 'HRG', 4, NULL),
(28029, NULL, 'IPR031878', NULL, 'Commissureless', 'Commissureless', 4, NULL),
(28030, NULL, 'IPR031293', NULL, 'Anoctamin-4', 'Anoctamin-4', 4, NULL),
(28031, NULL, 'IPR032077', NULL, 'Adhesin JlpA, Campylobacter', 'JLPA', 4, NULL),
(28032, NULL, 'IPR025492', NULL, 'Protein of unknown function DUF4383', 'DUF4383', 4, NULL),
(28033, NULL, 'IPR032164', NULL, 'Domain of unknown function DUF5000', 'DUF5000', 3, NULL),
(28034, NULL, 'IPR025584', NULL, 'Carbohydrate-binding domain-containing protein Cthe_2159', 'Cthe_2159', 4, NULL),
(28035, NULL, 'IPR027281', NULL, 'Saccharopine dehydrogenase [NAD(+), L-lysine-forming]', 'Lys1', 4, NULL),
(28036, NULL, 'IPR028490', NULL, 'Protein S100-Z', 'S100Z', 4, NULL),
(28037, NULL, 'IPR030602', NULL, 'Ephrin type-A receptor 4, SAM domain', 'EphA4_SAM', 3, NULL),
(28038, NULL, 'IPR031239', NULL, 'ATP-binding cassette sub-family D member 2', 'ABCD2', 4, NULL),
(28039, NULL, 'IPR026536', NULL, 'Wnt-11 protein', 'Wnt-11', 4, NULL),
(28040, NULL, 'IPR031326', NULL, 'Piwi-like protein 1', 'PIWIL1', 4, NULL),
(28041, NULL, 'IPR032679', NULL, 'Sin1, N-terminal', 'Sin1_N', 3, NULL),
(28042, NULL, 'IPR032267', NULL, 'Domain of unknown function DUF4832', 'DUF4832', 3, NULL),
(28043, NULL, 'IPR027431', NULL, 'Protein kinase C, eta', 'PKC_eta', 4, NULL),
(28044, NULL, 'IPR025510', NULL, 'Domain of unknown function DUF4397', 'DUF4397', 3, NULL),
(28045, NULL, 'IPR025469', NULL, 'Protein of unknown function DUF4320', 'DUF4320', 4, NULL),
(28046, NULL, 'IPR032733', NULL, 'HAUS augmin-like complex subunit 3, N-terminal', 'HAUS3_N', 3, NULL),
(28047, NULL, 'IPR032435', NULL, 'Band 7, C-terminal extension', 'Band_7_C', 3, NULL),
(28048, NULL, 'IPR032278', NULL, 'Protein-glutamine deamidase Cif', 'Cif', 4, NULL),
(28049, NULL, 'IPR031039', NULL, 'Coenzyme gamma-F420-2:alpha-L-glutamate ligase', 'F420_CofF', 4, NULL),
(28050, NULL, 'IPR025595', NULL, 'Domain of unknown function DUF4346', 'DUF4346', 3, NULL),
(28051, NULL, 'IPR032352', NULL, 'Arf GTPase-activating protein GIT1/2, coiled-coil domain', 'GIT1/2_CC', 3, NULL),
(28052, NULL, 'IPR025612', NULL, 'YqjK-like protein', 'YqjK', 4, NULL),
(28053, NULL, 'IPR025611', NULL, 'YobH-like protein', 'YobH', 4, NULL),
(28054, NULL, 'IPR031044', NULL, 'Small Trp-rich protein', 'Small_Trp_rich', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28055, NULL, 'IPR031237', NULL, 'ATP-binding cassette sub-family D member 1', 'ALDP', 4, NULL),
(28056, NULL, 'IPR031672', NULL, 'FAM27D/FAM27E', 'FAM27D/FAM27E', 4, NULL),
(28057, NULL, 'IPR031030', NULL, 'Small lipoprotein, LA_3946 family', 'Lepto_Lipo_YY_C', 4, NULL),
(28058, NULL, 'IPR025487', NULL, 'Probable Zinc-ribbon domain', 'DUF4379', 3, NULL),
(28059, NULL, 'IPR032316', NULL, 'Protein of unknown function DUF4847', 'DUF4847', 4, NULL),
(28060, NULL, 'IPR028785', NULL, 'Transcription factor 7', 'Tcf7', 4, NULL),
(28061, NULL, 'IPR032348', NULL, 'E3 ubiquitin-protein ligase HECW1/2, N-terminal', 'HECW_N', 3, NULL),
(28062, NULL, 'IPR030672', NULL, 'Adenylate cyclase', 'Adcy', 4, NULL),
(28063, NULL, 'IPR028474', NULL, 'Protein S100-A8', 'S100A8', 4, NULL),
(28064, NULL, 'IPR027843', NULL, 'Domain of unknown function DUF4440', 'DUF4440', 3, NULL),
(28065, NULL, 'IPR029383', NULL, 'ADP-ribosylation factor-like protein 6-interacting protein 6', 'ARL6IP6', 4, NULL),
(28066, NULL, 'IPR025463', NULL, 'Domain of unknown function DUF4314', 'DUF4314', 3, NULL),
(28067, NULL, 'IPR032308', NULL, 'Jas TPL-binding domain', 'Jas', 3, NULL),
(28068, NULL, 'IPR027244', NULL, 'Vacuolar membrane-associated protein Iml1', 'IML1', 4, NULL),
(28069, NULL, 'IPR025508', NULL, 'Domain of unknown function DUF4395', 'DUF4395', 3, NULL),
(28070, NULL, 'IPR031694', NULL, 'Transmembrane protein 239', 'TMEM239', 4, NULL),
(28071, NULL, 'IPR029356', NULL, 'Family of FAM53', 'FAM53', 4, NULL),
(28072, NULL, 'IPR029360', NULL, 'Serine/arginine repetitive matrix protein, C-terminal', 'SRRM_C', 3, NULL),
(28073, NULL, 'IPR032145', NULL, 'Protein of unknown function DUF4818', 'DUF4818', 4, NULL),
(28074, NULL, 'IPR025579', NULL, 'Domain of unknown function DUF4357', 'DUF4357', 3, NULL),
(28075, NULL, 'IPR035921', NULL, 'F/V-ATP synthase subunit C superfamily', 'F/V-ATP_Csub_sf', 5, NULL),
(28076, NULL, 'IPR029368', NULL, 'Small integral membrane protein 19', 'SMIM19', 4, NULL),
(28077, NULL, 'IPR025466', NULL, 'Protein of unknown function DUF4317', 'DUF4317', 4, NULL),
(28078, NULL, 'IPR031698', NULL, 'Cysteine-rich C-terminal protein 1', 'NICE-1', 4, NULL),
(28079, NULL, 'IPR032147', NULL, 'Domain of unknown function DUF4819', 'DUF4819', 3, NULL),
(28080, NULL, 'IPR025519', NULL, 'Protein of unknown function DUF4407', 'DUF4407', 4, NULL),
(28081, NULL, 'IPR032167', NULL, 'Protein of unknown function DUF5003', 'DUF5003', 4, NULL),
(28082, NULL, 'IPR032732', NULL, 'Spermatogenesis-associated protein 6, N-terminal', 'SPATA6_N', 3, NULL),
(28083, NULL, 'IPR029493', NULL, 'RecD helicase-like helix-hairpin-helix domain', 'RecD-like_HHH', 3, NULL),
(28084, NULL, 'IPR034038', NULL, 'Meprin peptidase domain', 'ZnMP_meprin', 3, NULL),
(28085, NULL, 'IPR025721', NULL, 'Exosome complex component, N-terminal domain', 'Exosome_cplx_N_dom', 3, NULL),
(28086, NULL, 'IPR026540', NULL, 'Wnt inhibitor of Dorsal protein', 'WntD', 4, NULL),
(28087, NULL, 'IPR031043', NULL, 'Putative histamine N-monooxygenase', 'Histamin_N_OH', 4, NULL),
(28088, NULL, 'IPR027652', NULL, 'Pre-mRNA-processing-splicing factor 8', 'PRP8', 4, NULL),
(28089, NULL, 'IPR031667', NULL, 'Protein of unknown function DUF4710', 'DUF4710', 4, NULL),
(28090, NULL, 'IPR031699', NULL, 'Protein of unknown function DUF4720', 'DUF4720', 4, NULL),
(28091, NULL, 'IPR025468', NULL, 'Putative transposon-transfer assisting protein', 'TTRAP', 4, NULL),
(28092, NULL, 'IPR025414', NULL, 'YpzI-like protein', 'YpzI-like', 4, NULL),
(28093, NULL, 'IPR027654', NULL, 'Formin, protein diaphanous homologue 3', 'Formin_DIAPH3', 4, NULL),
(28094, NULL, 'IPR032067', NULL, 'FOXO protein, transactivation domain', 'FOXO-TAD', 3, NULL),
(28095, NULL, 'IPR026331', NULL, 'Integrating conjugative element protein PFL_4710', 'PFL_4710', 4, NULL),
(28096, NULL, 'IPR029363', NULL, 'Protein of unknown function DUF4575', 'DUF4575', 4, NULL),
(28097, NULL, 'IPR025578', NULL, 'Protein of unknown function DUF4359', 'DUF4359', 4, NULL),
(28098, NULL, 'IPR025496', NULL, 'Protein of unknown function DUF4387', 'DUF4387', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28099, NULL, 'IPR024970', NULL, 'Maelstrom domain', 'Maelstrom', 3, NULL),
(28100, NULL, 'IPR025495', NULL, 'Protein of unknown function DUF4386', 'DUF4386', 4, NULL),
(28101, NULL, 'IPR028488', NULL, 'Protein S100-A3', 'S100A3', 4, NULL),
(28102, NULL, 'IPR028787', NULL, 'Mannosylglycoprotein endo-beta-mannosidase', 'Endo-b-mannosidase', 4, NULL),
(28103, NULL, 'IPR027649', NULL, 'Inverted formin-2', 'Inf2', 4, NULL),
(28104, NULL, 'IPR028300', NULL, 'Holliday junction resolvase-related', 'Holliday_junct_resolvase-rel', 4, NULL),
(28105, NULL, 'IPR031932', NULL, 'Arterivirus nonstructural protein 7 alpha', 'Arteri_nsp7a', 4, NULL),
(28106, NULL, 'IPR025440', NULL, 'Protein of unknown function DUF4306', 'DUF4306', 4, NULL),
(28107, NULL, 'IPR026260', NULL, 'Threonine synthase, bacterial/archaeal', 'Thr_Synthase_bac/arc', 4, NULL),
(28108, NULL, 'IPR026535', NULL, 'Wnt-9b protein', 'WNT9B', 4, NULL),
(28109, NULL, 'IPR025409', NULL, 'Protein of unknown function DUF4303', 'DUF4303', 4, NULL),
(28110, NULL, 'IPR030058', NULL, 'Lysozyme-like protein 3', 'LYZL3', 4, NULL),
(28111, NULL, 'IPR025662', NULL, 'Sigma-54 interaction domain, ATP-binding site 1', 'Sigma_54_int_dom_ATP-bd_1', 1, NULL),
(28112, NULL, 'IPR030423', NULL, 'Membrane-spanning 4-domains subfamily A member 7', 'MS4A7', 4, NULL),
(28113, NULL, 'IPR031405', NULL, 'Nuclear receptor-interacting protein 1, repression domain 1', 'NRIP1_RD1', 3, NULL),
(28114, NULL, 'IPR030654', NULL, 'Sugar 1,4-lactone oxidase', 'Sugar_lactone_oxidase', 4, NULL),
(28115, NULL, 'IPR030615', NULL, 'Dihydropyrimidinase-related protein 2', 'DRP2', 4, NULL),
(28116, NULL, 'IPR030567', NULL, 'Myotubularin-related protein 13', 'MTMR13', 4, NULL),
(28117, NULL, 'IPR024543', NULL, 'Autophagy protein Atg19/Atg34, C-terminal', 'Atg19/Atg34_C', 3, NULL),
(28118, NULL, 'IPR032728', NULL, 'Bardet-Biedl syndrome 1, N-terminal', 'BBS1_N', 3, NULL),
(28119, NULL, 'IPR031985', NULL, 'Protein of unknown function DUF4787', 'DUF4787', 4, NULL),
(28120, NULL, 'IPR032170', NULL, 'Domain of unknown function DUF5006', 'DUF5006', 3, NULL),
(28121, NULL, 'IPR032275', NULL, 'Domain of unknown function DUF4986', 'DUF4986', 3, NULL),
(28122, NULL, 'IPR030801', NULL, 'Glutamate 2,3-aminomutase', 'Glu_2_3_NH3_mut', 4, NULL),
(28123, NULL, 'IPR025580', NULL, 'Protein of unknown function DUF4355', 'DUF4355', 4, NULL),
(28124, NULL, 'IPR031038', NULL, 'Chorismatase, FkbO/Hyg5 family', 'Chori_FkbO_Hyg5', 4, NULL),
(28125, NULL, 'IPR025413', NULL, 'YpzG-like protein', 'YpzG-like', 4, NULL),
(28126, NULL, 'IPR027655', NULL, 'Formin-like protein 3', 'Fmnl3', 4, NULL),
(28127, NULL, 'IPR031029', NULL, 'Cys-rich protein, LA_1312 family', 'Lepto_8Cys', 4, NULL),
(28128, NULL, 'IPR025522', NULL, 'Protein of unknown function DUF4410', 'DUF4410', 4, NULL),
(28129, NULL, 'IPR025660', NULL, 'Cysteine peptidase, histidine active site', 'Pept_his_AS', 0, NULL),
(28130, NULL, 'IPR028387', NULL, '1-phosphatidylinositol 4,5-bisphosphate phosphodiesterase delta-4', 'PLC-delta4', 4, NULL),
(28131, NULL, 'IPR032619', NULL, 'Protein of unknown function DUF4883', 'DUF4883', 4, NULL),
(28132, NULL, 'IPR032438', NULL, 'ERCC3/RAD25/XPB helicase, C-terminal domain', 'ERCC3_RAD25_C', 3, NULL),
(28133, NULL, 'IPR027235', NULL, 'Prefoldin subunit 2', 'PFD2', 4, NULL),
(28134, NULL, 'IPR027656', NULL, 'Formin-like protein 2', 'FMNL2', 4, NULL),
(28135, NULL, 'IPR026264', NULL, 'Type IV secretion system protein VirB8/PtlE', 'VirB8/PtlE', 4, NULL),
(28136, NULL, 'IPR025435', NULL, 'YfhD-like protein', 'YfhD-like', 4, NULL),
(28137, NULL, 'IPR031232', NULL, 'Stonin-1', 'Ston1', 4, NULL),
(28138, NULL, 'IPR025448', NULL, 'YmzC-like protein', 'YmzC-like', 4, NULL),
(28139, NULL, 'IPR030483', NULL, 'Non-histone protein 10', 'Nhp10', 4, NULL),
(28140, NULL, 'IPR032266', NULL, 'Putative cytidyltransferase-related, C-terminal region', 'HIGH_NTase1_ass', 3, NULL),
(28141, NULL, 'IPR027005', NULL, 'Glycosyltransferase 39-like', 'GlyclTrfase_39-like', 4, NULL),
(28142, NULL, 'IPR026210', NULL, 'Toxin Pg family', 'Toxin_Pg', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28143, NULL, 'IPR032129', NULL, 'Protein of unknown function DUF5056', 'DUF5056', 4, NULL),
(28144, NULL, 'IPR027845', NULL, 'Protein of unknown function DUF4548', 'DUF4548', 4, NULL),
(28145, NULL, 'IPR032157', NULL, 'Proteasome assembly chaperone 4', 'PAC4', 4, NULL),
(28146, NULL, 'IPR028095', NULL, 'Mso1, N-terminal domain', 'Mso1_N_dom', 3, NULL),
(28147, NULL, 'IPR025661', NULL, 'Cysteine peptidase, asparagine active site', 'Pept_asp_AS', 0, NULL),
(28148, NULL, 'IPR025481', NULL, 'Cell morphogenesis protein C-terminal', 'Cell_Morphogen_C', 3, NULL),
(28149, NULL, 'IPR025488', NULL, 'Protein of unknown function DUF4380', 'DUF4380', 4, NULL),
(28150, NULL, 'IPR029369', NULL, 'Domain of unknown function with conserved HDNR motif', 'HDNR', 3, NULL),
(28151, NULL, 'IPR025525', NULL, 'hAT-like transposase, RNase-H fold', 'hAT-like_transposase_RNase-H', 3, NULL),
(28152, NULL, 'IPR030677', NULL, 'Bifunctional NAD(P)H-hydrate repair enzyme Nnr', 'Nnr', 4, NULL),
(28153, NULL, 'IPR029361', NULL, 'Testis-expressed sequence 37 protein', 'TEX37', 4, NULL),
(28154, NULL, 'IPR032070', NULL, 'TNF receptor-associated factor, BIRC3 binding domain', 'TRAF_BIRC3-bd', 3, NULL),
(28155, NULL, 'IPR031671', NULL, 'Protein of unknown function DUF4713', 'DUF4713', 4, NULL),
(28156, NULL, 'IPR025462', NULL, 'Protein of unknown function DUF4313', 'DUF4313', 4, NULL),
(28157, NULL, 'IPR029373', NULL, 'FAM216', 'FAM216', 4, NULL),
(28158, NULL, 'IPR026231', NULL, 'Protein IBD2', 'IBD2', 4, NULL),
(28159, NULL, 'IPR032626', NULL, 'GxGYxYP putative glycoside hydrolase, N-terminal', 'GxGYxYP_N', 3, NULL),
(28160, NULL, 'IPR025474', NULL, 'Domain of unknown function DUF4325', 'DUF4325', 3, NULL),
(28161, NULL, 'IPR025426', NULL, 'Protein of unknown function DUF4305', 'DUF4305', 4, NULL),
(28162, NULL, 'IPR027238', NULL, 'RuvB-like', 'RuvB-like', 4, NULL),
(28163, NULL, 'IPR031027', NULL, 'Probable lipoprotein, LA_1396/MXAN_6521 family', 'Lipo_MXAN_6521', 4, NULL),
(28164, NULL, 'IPR028789', NULL, 'Baculoviral IAP repeat-containing protein 1', 'Naip', 4, NULL),
(28165, NULL, 'IPR031668', NULL, 'Protein of unknown function DUF4711', 'DUF4711', 4, NULL),
(28166, NULL, 'IPR025479', NULL, 'Domain of unknown function DUF4329', 'DUF4329', 3, NULL),
(28167, NULL, 'IPR032613', NULL, 'Protein of unknown function DUF4889', 'DUF4889', 4, NULL),
(28168, NULL, 'IPR025389', NULL, 'Protein of unknown function DUF4300', 'DUF4300', 4, NULL),
(28169, NULL, 'IPR025592', NULL, 'Domain of unknown function DUF4347', 'DUF4347', 3, NULL),
(28170, NULL, 'IPR032623', NULL, 'FecR, N-terminal', 'FecR_N', 3, NULL),
(28171, NULL, 'IPR032168', NULL, 'Protein of unknown function DUF5004', 'DUF5004', 4, NULL),
(28172, NULL, 'IPR027838', NULL, 'Domain of unknown function DUF4585', 'DUF4585', 3, NULL),
(28173, NULL, 'IPR025516', NULL, 'Protein of unknown function DUF4404', 'DUF4404', 4, NULL),
(28174, NULL, 'IPR028016', NULL, 'Hydroxycarboxylic acid receptor 1', 'HCAR1_rcpt', 4, NULL),
(28175, NULL, 'IPR032625', NULL, 'Peptidase M64, N-terminal', 'M64_N', 3, NULL),
(28176, NULL, 'IPR029362', NULL, 'Fusion protein IQCJ-SCHIP1, N-terminal', 'IQCJ-SCHIP1_N', 3, NULL),
(28177, NULL, 'IPR026584', NULL, 'Rad9', 'Rad9', 4, NULL),
(28178, NULL, 'IPR029570', NULL, 'Calcium homeostasis modulator protein 2', 'CALHM2', 4, NULL),
(28179, NULL, 'IPR029372', NULL, 'Voltage-dependent calcium channel gamma-like subunit', 'Tmem37', 4, NULL),
(28180, NULL, 'IPR025484', NULL, 'Domain of unknown function DUF4376', 'DUF4376', 3, NULL),
(28181, NULL, 'IPR032617', NULL, 'Protein of unknown function DUF4885', 'DUF4885', 4, NULL),
(28182, NULL, 'IPR029385', NULL, 'Speriolin, N-terminal', 'Speriolin_N', 3, NULL),
(28183, NULL, 'IPR025528', NULL, 'BrnA antitoxin of type II toxin-antitoxin system', 'BrnA_antitoxin', 4, NULL),
(28184, NULL, 'IPR028285', NULL, 'Fibroblast growth factor 16', 'FGF16', 4, NULL),
(28185, NULL, 'IPR030800', NULL, 'Lipid A Kdo2 1-phosphate O-methyltransferase', 'LmtA_Leptospira', 4, NULL),
(28186, NULL, 'IPR031542', NULL, 'Cation channel complex component UNC80, N-terminal', 'UNC80_N', 3, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28187, NULL, 'IPR032620', NULL, 'Protein of unknown function DUF4882', 'DUF4882', 4, NULL),
(28188, NULL, 'IPR032379', NULL, 'Domain of unknown function DUF4874', 'DUF4874', 3, NULL),
(28189, NULL, 'IPR029761', NULL, 'Pyroglutamyl peptidase I, metazoa', 'PGP-I_metazoa', 4, NULL),
(28190, NULL, 'IPR031034', NULL, 'Creatinine amidohydrolase', 'Creatininase', 4, NULL),
(28191, NULL, 'IPR032344', NULL, 'Protein of unknown function DUF4862', 'DUF4862', 4, NULL),
(28192, NULL, 'IPR025464', NULL, 'Protein of unknown function DUF4315', 'DUF4315', 4, NULL),
(28193, NULL, 'IPR025491', NULL, 'Domain of unknown function DUF4382', 'DUF4382', 3, NULL),
(28194, NULL, 'IPR027784', NULL, 'Structure-specific endonuclease subunit Slx4, ascomycetes', 'Slx4_ascomycetes', 4, NULL),
(28195, NULL, 'IPR032068', NULL, 'FOXO protein, KIX-binding domain', 'FOXO_KIX-bd', 3, NULL),
(28196, NULL, 'IPR026267', NULL, 'Inner membrane protein YgjV', 'YgjV', 4, NULL),
(28197, NULL, 'IPR027677', NULL, 'P2Y11 purinoceptor', 'P2Y11_rcpt', 4, NULL),
(28198, NULL, 'IPR032150', NULL, 'Protein of unknown function DUF4820', 'DUF4820', 4, NULL),
(28199, NULL, 'IPR025494', NULL, 'Protein of unknown function DUF4385', 'DUF4385', 4, NULL),
(28200, NULL, 'IPR032727', NULL, 'Flagellar C1a complex subunit C1a-32', 'CLAMP', 4, NULL),
(28201, NULL, 'IPR025428', NULL, 'Sporulation protein YhaL', 'Spore_YhaL', 4, NULL),
(28202, NULL, 'IPR031042', NULL, 'Glycosyltransferase domain', 'Glyco_TIGR04440', 3, NULL),
(28203, NULL, 'IPR028292', NULL, 'Fibroblast growth factor 21', 'FGF21', 4, NULL),
(28204, NULL, 'IPR027245', NULL, 'Signal peptidase Sec11', 'Sec11', 4, NULL),
(28205, NULL, 'IPR025518', NULL, 'Protein of unknown function DUF4406', 'DUF4406', 4, NULL),
(28206, NULL, 'IPR032734', NULL, 'DDB1- and CUL4-associated factor 15, WD40 repeat-containing domain', 'DCAF15_WD40', 3, NULL),
(28207, NULL, 'IPR031041', NULL, 'Surface carbohydrate biosynthesis protein, Leptospira', 'Lept_O_ant_chp1', 4, NULL),
(28208, NULL, 'IPR027676', NULL, 'P2Y purinoceptor 10, predicted', 'P2Y10_rcpt', 4, NULL),
(28209, NULL, 'IPR029379', NULL, 'FAM163', 'FAM163', 4, NULL),
(28210, NULL, 'IPR032364', NULL, 'Gram-positive pilin subunit D1, N-terminal', 'GramPos_pilinD1_N', 3, NULL),
(28211, NULL, 'IPR025513', NULL, 'Domain of unknown function DUF4401', 'DUF4401', 3, NULL),
(28212, NULL, 'IPR026537', NULL, 'Wnt-5b protein', 'Wnt5b', 4, NULL),
(28213, NULL, 'IPR031120', NULL, 'WD repeat HIR1', 'HIR1', 4, NULL),
(28214, NULL, 'IPR025707', NULL, 'Predicted DNA-binding protein with PD1-like DNA-binding motif', 'DNA_bp_PD1', 4, NULL),
(28215, NULL, 'IPR028392', NULL, '1-phosphatidylinositol 4,5-bisphosphate phosphodiesterase eta-1', 'PLC-eta1', 4, NULL),
(28216, NULL, 'IPR028092', NULL, 'Retinal degeneration protein 3', 'RD3', 4, NULL),
(28217, NULL, 'IPR031035', NULL, 'Cyanobactin cluster PatC/TenC/TruC protein', 'PatC_TenC_TruC', 3, NULL),
(28218, NULL, 'IPR031928', NULL, 'Anti-sigma-D factor RsdA, sigma factor binding region', 'RsdA_SigD-bd', 3, NULL),
(28219, NULL, 'IPR029357', NULL, 'Spermatogenesis-associated protein 7', 'SPATA7', 4, NULL),
(28220, NULL, 'IPR025467', NULL, 'Protein of unknown function DUF4318', 'DUF4318', 4, NULL),
(28221, NULL, 'IPR032151', NULL, 'Cilia- and flagella-associated protein 61, N-terminal domain', 'CFAP61_N', 3, NULL),
(28222, NULL, 'IPR026223', NULL, 'Hydroxyacyl-thioester dehydratase type 2', 'Htd2', 4, NULL),
(28223, NULL, 'IPR025537', NULL, 'Domain of unknown function DUF4423', 'DUF4423', 3, NULL),
(28224, NULL, 'IPR032651', NULL, 'Neurogenic differentiation factor 4', 'Neurod4', 4, NULL),
(28225, NULL, 'IPR027240', NULL, 'Calcium-binding protein CAB45', 'CAB45', 4, NULL),
(28226, NULL, 'IPR032432', NULL, 'Radical SAM, C-terminal extension', 'Radical_SAM_C', 3, NULL),
(28227, NULL, 'IPR026261', NULL, 'RanBP-type and C3HC4-type zinc finger-containing protein 1/SHARPIN', 'RBCK1/SHARPIN', 4, NULL),
(28228, NULL, 'IPR029377', NULL, 'TMEM220 protein', 'TMEM220', 4, NULL),
(28229, NULL, 'IPR025471', NULL, 'Domain of unknown function DUF4322', 'DUF4322', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28230, NULL, 'IPR032065', NULL, 'E3 ubiquitin-protein ligase RNF31, UBA-like domain', 'RNF31-UBA', 3, NULL),
(28231, NULL, 'IPR027353', NULL, 'NET domain', 'NET_dom', 3, NULL),
(28232, NULL, 'IPR031294', NULL, 'Anoctamin-5', 'Anoctamin-5', 4, NULL),
(28233, NULL, 'IPR025531', NULL, 'Protein of unknown function DUF4418', 'DUF4418', 4, NULL),
(28234, NULL, 'IPR032268', NULL, 'Capsid polyprotein VP90, C-terminal', 'VP90_C', 3, NULL),
(28235, NULL, 'IPR027847', NULL, 'Protein of unknown function DUF4545', 'DUF4545', 4, NULL),
(28236, NULL, 'IPR025439', NULL, 'Spore coat protein CotO', 'Spore_coat_CotO', 4, NULL),
(28237, NULL, 'IPR025456', NULL, 'Protein of unknown function DUF4310', 'DUF4310', 4, NULL),
(28238, NULL, 'IPR029364', NULL, 'ALK and LTK ligand FAM150', 'FAM150A/B', 4, NULL),
(28239, NULL, 'IPR032274', NULL, 'Protein of unknown function DUF4835', 'DUF4835', 4, NULL),
(28240, NULL, 'IPR025417', NULL, 'YrzO-like protein', 'YrzO-like', 4, NULL),
(28241, NULL, 'IPR030650', NULL, 'Galectin-16', 'Galectin-16', 4, NULL),
(28242, NULL, 'IPR031032', NULL, 'Putative immunity protein/bacteriocin', 'Gpos_C8-like', 4, NULL),
(28243, NULL, 'IPR032615', NULL, 'Protein of unknown function DUF4887', 'DUF4887', 4, NULL),
(28244, NULL, 'IPR031420', NULL, 'UPF0669 protein C6orf120', 'UPF0669', 4, NULL),
(28245, NULL, 'IPR025511', NULL, 'Domain of unknown function DUF4398', 'DUF4398', 3, NULL),
(28246, NULL, 'IPR032339', NULL, 'Domain of unknown function DUF4859', 'DUF4859', 3, NULL),
(28247, NULL, 'IPR029374', NULL, 'TMEM156 protein', 'TMEM156', 4, NULL),
(28248, NULL, 'IPR029573', NULL, 'Calcium homeostasis modulator protein 6', 'CALHM6', 4, NULL),
(28249, NULL, 'IPR025503', NULL, 'Protein of unknown function DUF4391', 'DUF4391', 4, NULL),
(28250, NULL, 'IPR027425', NULL, '5-Hydroxytryptamine 1E receptor', '5HT1E_rcpt', 4, NULL),
(28251, NULL, 'IPR025418', NULL, 'YrhC-like protein', 'YrhC-like', 4, NULL),
(28252, NULL, 'IPR025506', NULL, 'Protein of unknown function DUF4393', 'DUF4393', 4, NULL),
(28253, NULL, 'IPR030651', NULL, 'Galectin-related protein', 'Galectin-rel', 4, NULL),
(28254, NULL, 'IPR032143', NULL, 'BLOC-1-related complex subunit 7', 'BORCS7', 4, NULL),
(28255, NULL, 'IPR031320', NULL, 'GAGE', 'GAGE', 3, NULL),
(28256, NULL, 'IPR032736', NULL, 'Protein hinderin', 'Hinderin', 4, NULL),
(28257, NULL, 'IPR028355', NULL, 'Estrogen receptor beta/gamma', 'ER-beta/gamma', 4, NULL),
(28258, NULL, 'IPR026235', NULL, 'Inheritance of peroxisomes protein 2', 'INP2', 4, NULL),
(28259, NULL, 'IPR030866', NULL, 'Transcriptional regulatory protein RcsA', 'RcsA', 4, NULL),
(28260, NULL, 'IPR031121', NULL, 'KH domain containing protein RIK/BLOM7', 'RIK/BLOM7', 4, NULL),
(28261, NULL, 'IPR025465', NULL, 'Domain of unknown function DUF4316', 'DUF4316', 3, NULL),
(28262, NULL, 'IPR029756', NULL, 'MTH1187/YkoF-like', 'MTH1187/YkoF-like', 5, NULL),
(28263, NULL, 'IPR031026', NULL, '3-deoxy-D-manno-oct-2-ulosonate III transferase WaaZ', 'WaaZ_KDO_III', 4, NULL),
(28264, NULL, 'IPR024545', NULL, 'Mto2p-binding domain', 'Mto2p-binding', 3, NULL),
(28265, NULL, 'IPR032376', NULL, 'Dedicator of cytokinesis, N-terminal domain', 'DOCK_N', 3, NULL),
(28266, NULL, 'IPR025581', NULL, 'Protein of unknown function DUF4354', 'DUF4354', 4, NULL),
(28267, NULL, 'IPR028385', NULL, 'Hyaluronan synthase 1', 'HAS1', 4, NULL),
(28268, NULL, 'IPR029755', NULL, 'Iron regulatory protein 2', 'IRE-BP2', 4, NULL),
(28269, NULL, 'IPR024973', NULL, 'ESPR domain', 'ESPR', 3, NULL),
(28270, NULL, 'IPR026538', NULL, 'Wnt-5a protein', 'Wnt5a', 4, NULL),
(28271, NULL, 'IPR028296', NULL, 'Fibroblast growth factor 22', 'FGF22', 4, NULL),
(28272, NULL, 'IPR025437', NULL, 'YfhE-like protein', 'YfhE-like', 4, NULL),
(28273, NULL, 'IPR025476', NULL, 'Helitron helicase-like domain', 'Helitron_helicase-like', 3, NULL),
(28274, NULL, 'IPR027644', NULL, 'Protein diaphanous homologue 2', 'DIAPH2', 4, NULL),
(28275, NULL, 'IPR026213', NULL, 'DNA-directed RNA polymerase II subunit GRINL1', 'GRINL1', 4, NULL),
(28276, NULL, 'IPR032627', NULL, 'Protein of unknown function DUF4876', 'DUF4876', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28277, NULL, 'IPR026211', NULL, 'GIGANTEA', 'GIGANTEA', 4, NULL),
(28278, NULL, 'IPR032373', NULL, 'Centromere kinetochore component CENP-T, N-terminal domain', 'CENP-T_N', 3, NULL),
(28279, NULL, 'IPR031033', NULL, 'Halocin C8-like bacteriocin domain', 'Halocin_C8_dom', 3, NULL),
(28280, NULL, 'IPR032356', NULL, 'Interleukin-17 receptor, fibronectin-III-like domain 1', 'IL17R_fnIII_D1', 3, NULL),
(28281, NULL, 'IPR025453', NULL, 'Protein of unknown function DUF4309', 'DUF4309', 4, NULL),
(28282, NULL, 'IPR032735', NULL, 'Protein broad-minded', 'BROMI', 4, NULL),
(28283, NULL, 'IPR026019', NULL, 'Ribulose-phosphate 3-epimerase', 'Ribul_P_3_epim', 4, NULL),
(28284, NULL, 'IPR028565', NULL, 'Mu homology domain', 'MHD', 3, NULL),
(28285, NULL, 'IPR031549', NULL, 'Abnormal spindle-like microcephaly-associated protein, ASH domain', 'ASH', 3, NULL),
(28286, NULL, 'IPR031028', NULL, 'Small lipoprotein, LB_250 family', 'Lepto_4Cys', 4, NULL),
(28287, NULL, 'IPR027139', NULL, 'TNF receptor-associated factor 6', 'TRAF6', 4, NULL),
(28288, NULL, 'IPR025616', NULL, 'YpjP-like protein', 'YpjP', 4, NULL),
(28289, NULL, 'IPR025517', NULL, 'Domain of unknown function DUF4405', 'DUF4405', 3, NULL),
(28290, NULL, 'IPR032277', NULL, '40S ribosomal protein S4, C-terminal domain', '40S_S4_C', 3, NULL),
(28291, NULL, 'IPR025527', NULL, 'HUWE1/Rev1, ubiquitin binding region', 'HUWE1/Rev1_UBM', 7, NULL),
(28292, NULL, 'IPR025536', NULL, 'Domain of unknown function DUF4422', 'DUF4422', 3, NULL),
(28293, NULL, 'IPR031206', NULL, 'Protein Hothead-like', 'Hothead-like', 4, NULL),
(28294, NULL, 'IPR032069', NULL, 'Ubiquitin carboxyl-terminal hydrolase 37, pleckstrin homology-like domain', 'USP37-like_PH', 3, NULL),
(28295, NULL, 'IPR025475', NULL, 'Protein of unknown function DUF4326)', 'DUF4326', 4, NULL),
(28296, NULL, 'IPR029381', NULL, 'Cancer-associated gene protein 1', 'CAGE1', 4, NULL),
(28297, NULL, 'IPR029366', NULL, 'TMEM206 protein', 'TMEM206', 4, NULL),
(28298, NULL, 'IPR025446', NULL, 'Antirepressor AbbA', 'Antirep_AbbA', 4, NULL),
(28299, NULL, 'IPR026216', NULL, 'HDA1 complex subunit 3', 'HDA3', 4, NULL),
(28300, NULL, 'IPR025613', NULL, 'YlbE-like protein', 'YlbE', 4, NULL),
(28301, NULL, 'IPR025590', NULL, 'Protein of unknown function DUF4348', 'DUF4348', 4, NULL),
(28302, NULL, 'IPR025434', NULL, 'YesK-like protein', 'YesK-like', 4, NULL),
(28303, NULL, 'IPR025587', NULL, 'Domain of unknown function DUF4351', 'DUF4351', 3, NULL),
(28304, NULL, 'IPR025597', NULL, 'Protein of unknown function DUF4345', 'DUF4345', 4, NULL),
(28305, NULL, 'IPR025535', NULL, 'Protein of unknown function DUF4421', 'DUF4421', 4, NULL),
(28306, NULL, 'IPR027645', NULL, 'Formin-F/D', 'Formin_F/D', 4, NULL),
(28307, NULL, 'IPR032436', NULL, 'Nucleolar pre-ribosomal-associated protein 1, C-terminal domain', 'NopRA1_C', 3, NULL),
(28308, NULL, 'IPR027846', NULL, 'Cytochrome b-245 chaperone 1', 'Cybc1', 4, NULL),
(28309, NULL, 'IPR032699', NULL, 'Izumo protein, immunoglobulin domain', 'Izumo-Ig', 3, NULL),
(28310, NULL, 'IPR031695', NULL, 'Protein of unknown function DUF4718', 'DUF4718', 4, NULL),
(28311, NULL, 'IPR025619', NULL, 'YlzJ-like protein', 'YlzJ', 4, NULL),
(28312, NULL, 'IPR025512', NULL, 'Domain of unknown function DUF4399', 'DUF4399', 3, NULL),
(28313, NULL, 'IPR032066', NULL, 'DNA-packaging protein gp3', 'GP3_package', 4, NULL),
(28314, NULL, 'IPR028481', NULL, 'Protein S100-B', 'S100-B', 4, NULL),
(28315, NULL, 'IPR032439', NULL, 'Bloom syndrome protein, BDHCT-box associated domain', 'BDHCT_assoc', 3, NULL),
(28316, NULL, 'IPR030930', NULL, 'Adhesin of bacterial autotransporter system', 'AIDA', 7, NULL),
(28317, NULL, 'IPR028112', NULL, 'DNA polymerase III PolC-type, N-terminal domain I', 'DNA_PolC-type_N_I', 3, NULL),
(28318, NULL, 'IPR025533', NULL, 'Protein of unknown function DUF4419', 'DUF4419', 4, NULL),
(28319, NULL, 'IPR028017', NULL, 'Hydroxycarboxylic acid receptor 2/3', 'HCAR2/3_rcpt', 4, NULL),
(28320, NULL, 'IPR030487', NULL, 'DNA (cytosine-5)-methyltransferase 3A', 'DNMT3A', 4, NULL),
(28321, NULL, 'IPR029358', NULL, 'Protein of unknown function DUF4586', 'DUF4586', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28322, NULL, 'IPR025507', NULL, 'Domain of unknown function DUF4394', 'DUF4394', 3, NULL),
(28323, NULL, 'IPR028485', NULL, 'Protein S100-A16', 'S100-A16', 4, NULL),
(28324, NULL, 'IPR032314', NULL, 'Protein of unknown function DUF4845', 'DUF4845', 4, NULL),
(28325, NULL, 'IPR032700', NULL, 'Izumo sperm-egg fusion protein 1', 'IZUMO1', 4, NULL),
(28326, NULL, 'IPR025370', NULL, 'Transcriptional regulator SgrR, N-terminal HTH domain', 'SgrR_HTH_N', 3, NULL),
(28327, NULL, 'IPR030488', NULL, 'DNA (cytosine-5)-methyltransferase 3B, ADD domain', 'DNMT3B_ADD', 3, NULL),
(28328, NULL, 'IPR027234', NULL, 'Cofilin 1', 'Cofilin_1', 4, NULL),
(28329, NULL, 'IPR026214', NULL, 'HAUS augmin-like complex subunit 4, metazoa', 'HAUS4_met', 4, NULL),
(28330, NULL, 'IPR025379', NULL, 'Protein of unknown function DUF4295', 'DUF4295', 4, NULL),
(28331, NULL, 'IPR031876', NULL, 'Protein of unknown function DUF4760', 'DUF4760', 4, NULL),
(28332, NULL, 'IPR026258', NULL, 'Signal recognition particle subunit SRP68', 'SRP68', 4, NULL),
(28333, NULL, 'IPR030929', NULL, 'Glycosyltransferase Aah/TibC', 'Aah/TibC', 4, NULL),
(28334, NULL, 'IPR032074', NULL, 'Actin cross-linking domain', 'ACD_dom', 3, NULL),
(28335, NULL, 'IPR032726', NULL, 'ThiS-like ubiquitin domain', 'ThiS-like_dom', 3, NULL),
(28336, NULL, 'IPR030574', NULL, 'Myotubularin-related protein 5', 'MTMR5', 4, NULL),
(28337, NULL, 'IPR032621', NULL, 'Protein of unknown function DUF4881', 'DUF4881', 4, NULL),
(28338, NULL, 'IPR027653', NULL, 'Formin, protein diaphanous homologue 1', 'Formin_Diaph1', 4, NULL),
(28339, NULL, 'IPR031430', NULL, 'Outer spore wall protein 5', 'Osw5', 4, NULL),
(28340, NULL, 'IPR028090', NULL, 'JAB domain, prokaryotic', 'JAB_dom_prok', 3, NULL),
(28341, NULL, 'IPR028486', NULL, 'Protein S100-A1', 'S100-A1', 4, NULL),
(28342, NULL, 'IPR028834', NULL, 'Stathmin-4', 'Stathmin-4', 4, NULL),
(28343, NULL, 'IPR027657', NULL, 'Formin-like protein 1', 'FMNL1', 4, NULL),
(28344, NULL, 'IPR032342', NULL, 'Protein of unknown function DUF4861', 'DUF4861', 4, NULL),
(28345, NULL, 'IPR025620', NULL, 'YlaH-like protein', 'YlaH', 4, NULL),
(28346, NULL, 'IPR025497', NULL, 'Domain of unknown function DUF4388', 'DUF4388', 3, NULL),
(28347, NULL, 'IPR025432', NULL, 'YhfH-like protein', 'YhfH-like', 4, NULL),
(28348, NULL, 'IPR030674', NULL, 'Nudix hydrolase, AtNUDT22-type', 'Nudix_hydrolase_AtNUDT22', 4, NULL),
(28349, NULL, 'IPR025416', NULL, 'YqzM-like protein', 'YqzM', 4, NULL),
(28350, NULL, 'IPR028357', NULL, 'UDP-glucose 6-dehydrogenase, bacterial type', 'UDPglc_DH_bac', 4, NULL),
(28351, NULL, 'IPR032276', NULL, 'Protein of unknown function DUF4836', 'DUF4836', 4, NULL),
(28352, NULL, 'IPR028279', NULL, 'Fibroblast growth factor 13', 'FGF13', 4, NULL),
(28353, NULL, 'IPR025485', NULL, 'Domain of unknown function DUF4377', 'DUF4377', 3, NULL),
(28354, NULL, 'IPR032730', NULL, 'Transglycosylase PBP1b, N-terminal transmembrane domain', 'PBP1b_TM', 3, NULL),
(28355, NULL, 'IPR032270', NULL, 'AMPK, C-terminal adenylate sensor domain', 'AMPK_C', 3, NULL),
(28356, NULL, 'IPR029747', NULL, 'Epididymal secretory protein E3-alpha', 'EDDM3A', 4, NULL),
(28357, NULL, 'IPR025489', NULL, 'Protein of unknown function (DUF4381', 'DUF4381', 4, NULL),
(28358, NULL, 'IPR027844', NULL, 'Protein of unknown function DUF4507', 'DUF4507', 4, NULL),
(28359, NULL, 'IPR032346', NULL, 'Transcriptional repressor p66, coiled-coil MBD2-interaction domain', 'P66_CC', 3, NULL),
(28360, NULL, 'IPR028388', NULL, 'F-box only protein 3', 'FBXO3', 4, NULL),
(28361, NULL, 'IPR031874', NULL, 'Adult cuticle protein 1', 'Cuticle_Acp1', 4, NULL),
(28362, NULL, 'IPR025387', NULL, 'Protein of unknown function DUF4299', 'DUF4299', 4, NULL),
(28363, NULL, 'IPR032612', NULL, 'Protein of unknown function DUF4890', 'DUF4890', 4, NULL),
(28364, NULL, 'IPR025617', NULL, 'YqzL-like protein', 'YqzL', 4, NULL),
(28365, NULL, 'IPR029571', NULL, 'Calcium homeostasis modulator protein 3', 'CALHM3', 4, NULL),
(28366, NULL, 'IPR027839', NULL, 'Protein of unknown function DUF4432', 'DUF4432', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28367, NULL, 'IPR030422', NULL, 'Membrane-spanning 4-domains subfamily A member 12', 'MS4A12', 4, NULL),
(28368, NULL, 'IPR029384', NULL, 'Speriolin, C-terminal', 'Speriolin_C', 3, NULL),
(28369, NULL, 'IPR031031', NULL, 'Lantipeptide, SCO0268 family', 'Lanti_SCO0268', 4, NULL),
(28370, NULL, 'IPR032315', NULL, 'Protein of unknown function DUF4846', 'DUF4846', 4, NULL),
(28371, NULL, 'IPR025477', NULL, 'Protein of unknown function DUF4327', 'DUF4327', 4, NULL),
(28372, NULL, 'IPR032353', NULL, 'Ubiquitin-protein ligase E3A, N-terminal zinc-binding domain', 'AZUL', 3, NULL),
(28373, NULL, 'IPR026227', NULL, 'Hydrolethalus syndrome protein 1', 'HYLS1', 4, NULL),
(28374, NULL, 'IPR025708', NULL, 'Heat shock protein 15', 'HSP15', 4, NULL),
(28375, NULL, 'IPR024880', NULL, 'COPII coat assembly protein, Sec16', 'Sec16', 4, NULL),
(28376, NULL, 'IPR026582', NULL, 'Ellis-van Creveld protein', 'Evc', 4, NULL),
(28377, NULL, 'IPR024549', NULL, 'NADH-ubiquinone oxidoreductase, 21kDa subunit, C-terminal, fungi', 'NADH-UbQ_OxRdtase_su21_C_fun', 3, NULL),
(28378, NULL, 'IPR028087', NULL, 'Putative Flp pilus-assembly TadG-like, N-terminal', 'Tad_N', 3, NULL),
(28379, NULL, 'IPR025514', NULL, 'Protein of unknown function DUF4402', 'DUF4402', 4, NULL),
(28380, NULL, 'IPR031424', NULL, 'Protein quiver', 'QVR', 4, NULL),
(28381, NULL, 'IPR031408', NULL, 'Nuclear receptor-interacting protein 1, repression domain 4', 'NRIP1_RD4', 3, NULL),
(28382, NULL, 'IPR031040', NULL, 'Conserved hypothetical protein CHP04442', 'CHP04442', 4, NULL),
(28383, NULL, 'IPR032076', NULL, 'Tetratricopeptide repeat protein 5, OB fold domain', 'TTC5_OB', 3, NULL),
(28384, NULL, 'IPR032165', NULL, 'Ig-like domain', 'DUF5001', 3, NULL),
(28385, NULL, 'IPR028391', NULL, '1-phosphatidylinositol 4,5-bisphosphate phosphodiesterase delta-1', 'PLC-delta1', 4, NULL),
(28386, NULL, 'IPR024544', NULL, 'Domain of unknown function DUF3858', 'DUF3858', 3, NULL),
(28387, NULL, 'IPR029367', NULL, 'Small integral membrane protein 10', 'SMIM10', 4, NULL),
(28388, NULL, 'IPR028782', NULL, 'Protein pangolin-like', 'Pangolin-like', 4, NULL),
(28389, NULL, 'IPR032355', NULL, 'SATB, CUT1-like DNA-binding domain', 'CUTL', 3, NULL),
(28390, NULL, 'IPR025443', NULL, 'Protein of unknown function DUF4307', 'DUF4307', 4, NULL),
(28391, NULL, 'IPR032618', NULL, 'Protein of unknown function DUF4884', 'DUF4884', 4, NULL),
(28392, NULL, 'IPR032280', NULL, 'Domain of unknown function DUF4985', 'DUF4985', 3, NULL),
(28393, NULL, 'IPR030573', NULL, 'Myotubularin-related protein 10', 'MTMR10', 4, NULL),
(28394, NULL, 'IPR032381', NULL, 'Intracellular hyaluronan-binding protein 4, N-terminal domain', 'IHABP4_N', 3, NULL),
(28395, NULL, 'IPR029749', NULL, 'AMP deaminase 2', 'AMPD2', 4, NULL),
(28396, NULL, 'IPR028487', NULL, 'Protein S100-A13', 'S100A13', 4, NULL),
(28397, NULL, 'IPR032614', NULL, 'Protein of unknown function DUF4888', 'DUF4888', 4, NULL),
(28398, NULL, 'IPR029387', NULL, 'Organic solute transporter subunit beta', 'OSTbeta', 4, NULL),
(28399, NULL, 'IPR032737', NULL, 'Plasminogen-binding protein PgbA, C-terminal', 'PGBA_C', 3, NULL),
(28400, NULL, 'IPR029957', NULL, 'Solute carrier family 23 member 3', 'SLC23A3', 4, NULL),
(28401, NULL, 'IPR031433', NULL, 'Monopolar spindle protein 2', 'Mps2', 4, NULL),
(28402, NULL, 'IPR025530', NULL, 'Protein of unknown function DUF4417', 'DUF4417', 4, NULL),
(28403, NULL, 'IPR032075', NULL, 'Phosphoinositide phospholipase C, Ca2+-dependent', 'PI-PLC-C1', 4, NULL),
(28404, NULL, 'IPR031036', NULL, 'Prenylated cyclic peptide, anacyclamide/piricyclamide family', 'Pren_cyc_PirE', 4, NULL),
(28405, NULL, 'IPR032691', NULL, 'Guanine nucleotide exchange factor, N-terminal', 'Sec7_N', 3, NULL),
(28406, NULL, 'IPR032729', NULL, 'tRNA-guanine(15) transglycosylase, C1 domain', 'TGT_C1', 3, NULL),
(28407, NULL, 'IPR027239', NULL, 'Calumenin', 'Calumenin', 4, NULL),
(28408, NULL, 'IPR028287', NULL, 'Fibroblast growth factor 17', 'FGF17', 4, NULL),
(28409, NULL, 'IPR025412', NULL, 'Protein of unknown function DUF4304', 'DUF4304', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28410, NULL, 'IPR028094', NULL, 'Restriction of telomere capping protein 4, C-terminal', 'RTC4_C', 3, NULL),
(28411, NULL, 'IPR025493', NULL, 'Domain of unknown function DUF4384', 'DUF4384', 3, NULL),
(28412, NULL, 'IPR029354', NULL, 'Cylicin, N-terminal', 'Cylicin_N', 3, NULL),
(28413, NULL, 'IPR032269', NULL, 'Domain of unknown function DUF4833', 'DUF4833', 3, NULL),
(28414, NULL, 'IPR025524', NULL, 'Domain of unknown function DUF4412', 'DUF4412', 3, NULL),
(28415, NULL, 'IPR025393', NULL, 'Domain of unknown function DUF4301', 'DUF4301', 3, NULL),
(28416, NULL, 'IPR031332', NULL, 'Coproheme decarboxylase', 'CHDC', 4, NULL),
(28417, NULL, 'IPR027004', NULL, 'Dolichyl-phosphate-mannose-protein mannosyltransferase 1/5', 'PMT1/PTM5', 4, NULL),
(28418, NULL, 'IPR025710', NULL, 'L-cysteine S-thiosulfotransferase subunit SoxA', 'SoxA', 4, NULL),
(28419, NULL, 'IPR028835', NULL, 'Stathmin-3', 'Stathmin-3', 4, NULL),
(28420, NULL, 'IPR031418', NULL, 'RBPJ-interacting and tubulin-associated protein 1', 'RITA1', 4, NULL),
(28421, NULL, 'IPR025486', NULL, 'Domain of unknown function DUF4378', 'DUF4378', 3, NULL),
(28422, NULL, 'IPR027669', NULL, 'P2Y purinoceptor 8', 'P2Y8_rcpt', 4, NULL),
(28423, NULL, 'IPR030678', NULL, 'Peptide/nickel binding protein, MppA-type', 'Peptide/Ni-bd', 4, NULL),
(28424, NULL, 'IPR025422', NULL, 'Transcription factor TGA like domain', 'TGA_domain', 3, NULL),
(28425, NULL, 'IPR032273', NULL, 'Fragilysin, N-terminal', 'Fragilysin_N', 3, NULL),
(28426, NULL, 'IPR026215', NULL, 'HAUS complex subunit 5, metazoa', 'HAUS5_metazoa', 4, NULL),
(28427, NULL, 'IPR032724', NULL, 'Double-stranded DNA deaminase toxin A', 'DddA-like', 4, NULL),
(28428, NULL, 'IPR032310', NULL, 'Putative nuclear localisation signal', 'NINJA_B', 3, NULL),
(28429, NULL, 'IPR031406', NULL, 'Nuclear receptor-interacting protein 1, repression domain 2', 'NRIP1_RD2', 3, NULL),
(28430, NULL, 'IPR031697', NULL, 'Transmembrane and coiled-coil domain-containing protein 2', 'TMCCDC2', 4, NULL),
(28431, NULL, 'IPR028477', NULL, 'Protein S100-A7', 'S100A7', 4, NULL),
(28432, NULL, 'IPR024322', NULL, 'Protein of unknown function DUF2682', 'DUF2682', 4, NULL),
(28433, NULL, 'IPR032285', NULL, 'Calcineurin-like phosphoesterase, N-terminal', 'Metallophos_N', 3, NULL),
(28434, NULL, 'IPR031407', NULL, 'Nuclear receptor-interacting protein 1, repression domain 3', 'NRIP1_RD3', 4, NULL),
(28435, NULL, 'IPR025396', NULL, 'Protein of unknown function DUF4302', 'DUF4302', 4, NULL),
(28436, NULL, 'IPR030927', NULL, 'Type II secretion system protein GspM, XcpZ', 'T2SS_GspM_XcpZ', 4, NULL),
(28437, NULL, 'IPR031696', NULL, 'Protein of unknown function DUF4719', 'DUF4719', 4, NULL),
(28438, NULL, 'IPR032525', NULL, 'Peptidase family U32, C-terminal', 'Peptidase_U32_C', 3, NULL),
(28439, NULL, 'IPR027842', NULL, 'Domain of unknown function DUF4449', 'DUF4449', 3, NULL),
(28440, NULL, 'IPR029365', NULL, 'TMEM238 protein', 'TMEM238', 4, NULL),
(28441, NULL, 'IPR032680', NULL, 'SUN domain-containing protein 1, N-terminal', 'SUN1_N', 3, NULL),
(28442, NULL, 'IPR032616', NULL, 'Domain of unknown function DUF4886', 'DUF4886', 3, NULL),
(28443, NULL, 'IPR030484', NULL, 'Serine/threonine-protein kinase Rio2', 'Rio2', 3, NULL),
(28444, NULL, 'IPR027789', NULL, 'Syndecan/Neurexin domain', 'Syndecan/Neurexin_dom', 3, NULL),
(28445, NULL, 'IPR032338', NULL, 'Protein of unknown function DUF4858', 'DUF4858', 4, NULL),
(28446, NULL, 'IPR032650', NULL, 'Neurogenic differentiation factor 6', 'Neurod6', 4, NULL),
(28447, NULL, 'IPR030486', NULL, 'DNA (cytosine-5)-methyltransferase 3-like', 'DNMT3L', 4, NULL),
(28448, NULL, 'IPR026093', NULL, 'Protein MGARP', 'MGARP', 4, NULL),
(28449, NULL, 'IPR030572', NULL, 'Myotubularin-related protein 7', 'MTMR7', 4, NULL),
(28450, NULL, 'IPR025450', NULL, 'YndJ-like protein', 'YndJ-like', 4, NULL),
(28451, NULL, 'IPR029574', NULL, 'Calcium homeostasis modulator protein 4', 'CALHM4', 4, NULL),
(28452, NULL, 'IPR025538', NULL, 'Domain of unknown function DUF4424', 'DUF4424', 3, NULL),
(28453, NULL, 'IPR028386', NULL, 'Centromere protein C/Mif2/cnp3', 'CENP-C/Mif2/cnp3', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28454, NULL, 'IPR032723', NULL, 'Deaminase, LmjF36.5940-like', 'Deaminase_LmjF365940', 4, NULL),
(28455, NULL, 'IPR025424', NULL, 'YrhK domain', 'YrhK_domain', 3, NULL),
(28456, NULL, 'IPR025478', NULL, 'Circadian oscillating protein COP23', 'COP23', 4, NULL),
(28457, NULL, 'IPR025509', NULL, 'Domain of unknown function DUF4396', 'DUF4396', 3, NULL),
(28458, NULL, 'IPR025470', NULL, 'Protein of unknown function DUF4321', 'DUF4321', 4, NULL),
(28459, NULL, 'IPR032345', NULL, 'Protein of unknown function DUF4863', 'DUF4863', 4, NULL),
(28460, NULL, 'IPR031434', NULL, 'MgtA leader peptide', 'MGTL', 4, NULL),
(28461, NULL, 'IPR030928', NULL, 'CRISPR type MYXAN-associated protein Cmx8', 'MYXAN_cmx8', 4, NULL),
(28462, NULL, 'IPR029382', NULL, 'Lysosomal transcription factor, NCU-G1', 'NCU-G1', 4, NULL),
(28463, NULL, 'IPR031670', NULL, 'Protein of unknown function DUF4712', 'DUF4712', 4, NULL),
(28464, NULL, 'IPR032318', NULL, 'Protein of unknown function DUF4848', 'DUF4848', 4, NULL),
(28465, NULL, 'IPR029380', NULL, 'FAM124', 'FAM124', 4, NULL),
(28466, NULL, 'IPR029386', NULL, 'TMEM169 protein', 'TMEM169', 4, NULL),
(28467, NULL, 'IPR025382', NULL, 'CD-NTase associated protein 4, DNA endonuclease domain', 'Cap4_endonuclease_dom', 3, NULL),
(28468, NULL, 'IPR030257', NULL, 'Chloride intracellular channel protein 4/6', 'CLIC-4/6', 4, NULL),
(28469, NULL, 'IPR025384', NULL, 'Protein of unknown function DUF4298', 'DUF4298', 4, NULL),
(28470, NULL, 'IPR031431', NULL, 'Prostate androgen-regulated mucin-like protein 1', 'PARM1', 4, NULL),
(28471, NULL, 'IPR025534', NULL, 'Putative PD-(D/E)XK family member (DUF4420)', 'DUF4420', 4, NULL),
(28472, NULL, 'IPR031930', NULL, 'Two-component histidine kinase, sensor domain', 'HK_sensor', 3, NULL),
(28473, NULL, 'IPR025504', NULL, 'Domain of unknown function DUF4392', 'DUF4392', 3, NULL),
(28474, NULL, 'IPR027289', NULL, 'Oestrogen-related receptor', 'Oest-rel_rcp', 4, NULL),
(28475, NULL, 'IPR027840', NULL, 'Protein of unknown function DUF4493', 'DUF4493', 4, NULL),
(28476, NULL, 'IPR028876', NULL, 'Cubilin', 'Cubilin', 4, NULL),
(28477, NULL, 'IPR032340', NULL, 'Protein of unknown function DUF4860', 'DUF4860', 4, NULL),
(28478, NULL, 'IPR027694', NULL, 'Phakinin', 'Phakinin', 4, NULL),
(28479, NULL, 'IPR028289', NULL, 'Fibroblast growth factor 18', 'FGF18', 4, NULL),
(28480, NULL, 'IPR028476', NULL, 'Protein S100-A10', 'S100-A10', 4, NULL),
(28481, NULL, 'IPR028291', NULL, 'Fibroblast growth factor 20', 'FGF20', 4, NULL),
(28482, NULL, 'IPR032437', NULL, 'Bloom syndrome protein, N-terminal domain', 'BLM_N', 3, NULL),
(28483, NULL, 'IPR025381', NULL, 'Domain of unknown function DUF4296', 'DUF4296', 3, NULL),
(28484, NULL, 'IPR024974', NULL, 'Sde2, N-terminal ubiquitin domain', 'Sde2_N', 3, NULL),
(28485, NULL, 'IPR025498', NULL, 'Protein of unknown function DUF4389', 'DUF4389', 4, NULL),
(28486, NULL, 'IPR027278', NULL, '1-aminocyclopropane-1-carboxylate deaminase/D-cysteine desulfhydrase', 'ACCD_DCysDesulf', 4, NULL),
(28487, NULL, 'IPR029371', NULL, 'TMEM101 protein', 'TMEM101', 4, NULL),
(28488, NULL, 'IPR027647', NULL, 'FH1/FH2 domain-containing protein 1', 'FHOD1', 4, NULL),
(28489, NULL, 'IPR028875', NULL, 'Contactin-associated protein-like 4', 'CASPR4', 4, NULL),
(28490, NULL, 'IPR031429', NULL, 'Phenol-soluble modulin alpha peptide', 'PSM_alpha', 4, NULL),
(28491, NULL, 'IPR032169', NULL, 'Protein of unknown function DUF5005', 'DUF5005', 4, NULL),
(28492, NULL, 'IPR032622', NULL, 'UCP01524, winged helix-turn-helix domain', 'UCP01524_HTH', 3, NULL),
(28493, NULL, 'IPR029370', NULL, 'TMEM117 protein', 'TMEM117', 4, NULL),
(28494, NULL, 'IPR028284', NULL, 'Fibroblast growth factor 14', 'FGF14', 4, NULL),
(28495, NULL, 'IPR025529', NULL, 'Protein of unknown function DUF4416', 'DUF4416', 4, NULL),
(28496, NULL, 'IPR025520', NULL, 'Domain of unknown function DUF4408', 'DUF4408', 3, NULL),
(28497, NULL, 'IPR029572', NULL, 'Calcium homeostasis modulator protein 5', 'Calhm5', 4, NULL),
(28498, NULL, 'IPR032288', NULL, 'Calcineurin-like phosphoesterase, C-terminal', 'Metallophos_C', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28499, NULL, 'IPR027277', NULL, 'Nicotinate-nucleotide pyrophosphorylase/Putative pyrophosphorylase ModD', 'NadC/ModD', 4, NULL),
(28500, NULL, 'IPR034137', NULL, 'RecR, TOPRIM domain', 'TOPRIM_RecR', 3, NULL),
(28501, NULL, 'IPR026873', NULL, 'Geranylgeranyl transferase type-2 subunit beta', 'Ptb1', 4, NULL),
(28502, NULL, 'IPR026893', NULL, 'Tyrosine/serine-protein phosphatase IphP-type', 'Tyr/Ser_Pase_IphP-type', 4, NULL),
(28503, NULL, 'IPR024314', NULL, 'Suppressor of fused C-terminal', 'SUFU_C', 3, NULL),
(28504, NULL, 'IPR029855', NULL, 'cAMP-dependent transcription factor ATF-5', 'ATF5', 4, NULL),
(28505, NULL, 'IPR031426', NULL, 'Protein of unknown function DUF4667', 'DUF4667', 4, NULL),
(28506, NULL, 'IPR030879', NULL, 'Ribonuclease J, archaea', 'RNase_J_arc', 4, NULL),
(28507, NULL, 'IPR030568', NULL, 'Kelch-like protein 38', 'KLHL38', 4, NULL),
(28508, NULL, 'IPR034128', NULL, 'K02A2.6-like peptidase catalytic domain', 'K02A2.6-like', 3, NULL),
(28509, NULL, 'IPR027554', NULL, 'Methyltransferase, Rta_06860 family', 'Meth_Rta_06860', 4, NULL),
(28510, NULL, 'IPR024478', NULL, 'Chemotaxis methyl-accepting receptor HlyB-like, 4HB MCP domain', 'HlyB_4HB_MCP', 3, NULL),
(28511, NULL, 'IPR031861', NULL, 'Phage tail base-plate attachment protein ORF16', 'Caudo_ORF16', 4, NULL),
(28512, NULL, 'IPR034042', NULL, 'PARN, R3H domain', 'PARN_R3H', 3, NULL),
(28513, NULL, 'IPR024431', NULL, 'Insertion element IS1 protein InsA, helix-turn-helix domain', 'InsA_HTH_dom', 3, NULL),
(28514, NULL, 'IPR031877', NULL, 'Metal-binding protein SmbP', 'SmbP', 4, NULL),
(28515, NULL, 'IPR029023', NULL, 'Tensin-type phosphatase domain', 'Tensin_phosphatase', 3, NULL),
(28516, NULL, 'IPR029583', NULL, 'Transient receptor potential cation channel subfamily M member 3', 'TRPM3', 4, NULL),
(28517, NULL, 'IPR026876', NULL, 'Fn3 associated repeat', 'Fn3_assoc_repeat', 7, NULL),
(28518, NULL, 'IPR026604', NULL, 'Phosphatidylserine lipase ABHD16A', 'ABHD16A', 4, NULL),
(28519, NULL, 'IPR030507', NULL, 'Bem1/Scd2', 'Bem1/Scd2', 4, NULL),
(28520, NULL, 'IPR030570', NULL, 'Kelch-like protein 32', 'KLHL32', 4, NULL),
(28521, NULL, 'IPR028786', NULL, 'Bardet-Biedl syndrome 4 protein', 'BBS4', 4, NULL),
(28522, NULL, 'IPR028870', NULL, 'Procollagen C-endopeptidase enhancer 1', 'PCOLCE', 4, NULL),
(28523, NULL, 'IPR030000', NULL, 'Fer-1-like protein 6', 'FER1L6', 4, NULL),
(28524, NULL, 'IPR028999', NULL, 'Haemocyanin beta-sandwich  domain', 'Haemocyanin_beta-sandwich', 3, NULL),
(28525, NULL, 'IPR029308', NULL, 'FANCI solenoid 1 domain', 'FANCI_S1', 3, NULL),
(28526, NULL, 'IPR024330', NULL, 'Protein of unknown function DUF3852', 'DUF3852', 4, NULL),
(28527, NULL, 'IPR029211', NULL, 'Plasmodium falciparum erythrocyte membrane protein 1, acidic terminal segment', 'PfEMP1_ATS', 3, NULL),
(28528, NULL, 'IPR031521', NULL, 'Protein of unknown function DUF4695', 'DUF4695', 4, NULL),
(28529, NULL, 'IPR031642', NULL, 'VPS13, repeated coiled region', 'VPS13_mid_rpt', 3, NULL),
(28530, NULL, 'IPR024605', NULL, 'NAD(P) transhydrogenase, alpha subunit, C-terminal', 'NADP_transhyd_a_C', 3, NULL),
(28531, NULL, 'IPR026932', NULL, 'Myelin gene regulatory factor, ICA domain', 'MYRF_ICA', 3, NULL),
(28532, NULL, 'IPR028059', NULL, 'Putative flagellar system-associated repeat', 'SWM_rpt', 7, NULL),
(28533, NULL, 'IPR030227', NULL, 'Protein Nucling', 'UACA', 4, NULL),
(28534, NULL, 'IPR030280', NULL, 'Solute carrier family 26 member 2', 'SLC26A2', 4, NULL),
(28535, NULL, 'IPR024562', NULL, 'Uncharacterised protein family YqhG', 'YqhG', 4, NULL),
(28536, NULL, 'IPR027463', NULL, 'Multidrug efflux transporter AcrB TolC docking domain, DN/DC subdomains', 'AcrB_DN_DC_subdom', 5, NULL),
(28537, NULL, 'IPR029217', NULL, 'Sporulation-specific protein 71, N-terminal domain', 'Spo7_2_N', 3, NULL),
(28538, NULL, 'IPR026889', NULL, 'Transposase zinc-binding domain', 'Zn_Tnp', 3, NULL),
(28539, NULL, 'IPR024953', NULL, 'Polyphosphate kinase middle domain', 'PP_kinase_middle', 3, NULL),
(28540, NULL, 'IPR028394', NULL, 'CAP-Gly domain-containing linker protein 2', 'CLIP2', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28541, NULL, 'IPR030391', NULL, 'RNA methyltransferase TrmA, conserved site', 'MeTrfase_TrmA_CS', 2, NULL),
(28542, NULL, 'IPR031886', NULL, 'Domain of unknown function DUF4765', 'DUF4765', 3, NULL),
(28543, NULL, 'IPR028983', NULL, 'PA2201-like, C-terminal', 'PA2201-like_C', 5, NULL),
(28544, NULL, 'IPR029941', NULL, 'MICAL3', 'MICAL3', 4, NULL),
(28545, NULL, 'IPR029472', NULL, 'Retrotransposon Copia-like, N-terminal', 'Copia-like_N', 3, NULL),
(28546, NULL, 'IPR029282', NULL, 'Equatorin', 'Eqtn/Afaf', 4, NULL),
(28547, NULL, 'IPR028200', NULL, 'Immunity protein 31', 'Imm31', 4, NULL),
(28548, NULL, 'IPR029028', NULL, 'Alpha/beta knot methyltransferases', 'Alpha/beta_knot_MTases', 5, NULL),
(28549, NULL, 'IPR030388', NULL, 'Era-type guanine nucleotide-binding (G) domain', 'G_ERA_dom', 3, NULL),
(28550, NULL, 'IPR029174', NULL, 'Domain of unknown function DUF4637', 'DUF4637', 3, NULL),
(28551, NULL, 'IPR026866', NULL, 'Protein CR006, P-loop domain', 'CR006_AAA', 3, NULL),
(28552, NULL, 'IPR031949', NULL, 'Domain of unknown function DUF4776', 'DUF4776', 3, NULL),
(28553, NULL, 'IPR024616', NULL, 'Pherophorin', 'Pherophorin', 3, NULL),
(28554, NULL, 'IPR029473', NULL, 'Cell morphogenesis central region', 'MOR2-PAG1_mid', 3, NULL),
(28555, NULL, 'IPR029466', NULL, 'No apical meristem-associated, C-terminal domain', 'NAM-associated_C', 3, NULL),
(28556, NULL, 'IPR031574', NULL, 'Ly6/PLAUR domain-containing protein 6', 'LYPD6', 4, NULL),
(28557, NULL, 'IPR029597', NULL, 'Transient receptor potential cation channel subfamily M member 6', 'TRPM6', 4, NULL),
(28558, NULL, 'IPR029171', NULL, 'Protein of unknown function DUF4638', 'DUF4638', 4, NULL),
(28559, NULL, 'IPR027462', NULL, 'Z ring-associated protein D, C-terminal', 'ZapD_C', 5, NULL),
(28560, NULL, 'IPR027542', NULL, 'Arsenical pump ATPase, ArsA/GET3, eukaryotic', 'ATPase_ArsA/GET3_euk', 4, NULL),
(28561, NULL, 'IPR026878', NULL, 'Leucine-rich repeat-containing protein 4C', 'LRRC4C', 4, NULL),
(28562, NULL, 'IPR030056', NULL, 'Lysozyme C', 'Lysozyme_C', 4, NULL),
(28563, NULL, 'IPR026029', NULL, 'Muconolactone isomerase domain', 'MLI_dom', 3, NULL),
(28564, NULL, 'IPR028793', NULL, 'Angiopoietin-related protein 4', 'ANGPTL4', 4, NULL),
(28565, NULL, 'IPR029319', NULL, 'DNA ligase, OB-like domain', 'DNA_ligase_OB', 3, NULL),
(28566, NULL, 'IPR026871', NULL, 'Phospholipid-transporting P-type ATPase', 'PLip_transp_ATPase', 4, NULL),
(28567, NULL, 'IPR029278', NULL, 'Immunity protein 26', 'Imm26', 4, NULL),
(28568, NULL, 'IPR030578', NULL, 'Kelch-like protein 3', 'KLHL3', 4, NULL),
(28569, NULL, 'IPR025979', NULL, 'ChrR-like cupin domain', 'ChrR-like_cupin_dom', 3, NULL),
(28570, NULL, 'IPR029847', NULL, 'Endoplasmic reticulum membrane sensor NFE2L1', 'NFE2L1', 4, NULL),
(28571, NULL, 'IPR029475', NULL, 'Methane oxygenase PmoA', 'PmoA', 4, NULL),
(28572, NULL, 'IPR029191', NULL, 'Up-regulated during septation protein 1', 'Uds1', 3, NULL),
(28573, NULL, 'IPR028277', NULL, 'Lsm, C-terminal', 'Lsm_C', 3, NULL),
(28574, NULL, 'IPR026867', NULL, 'Adenylate kinase 7', 'AK7', 4, NULL),
(28575, NULL, 'IPR029210', NULL, 'Plasmodium falciparum erythrocyte membrane protein-1, N-terminal segment', 'PfEMP1_NTS', 3, NULL),
(28576, NULL, 'IPR029026', NULL, 'tRNA (guanine-N1-)-methyltransferase, N-terminal', 'tRNA_m1G_MTases_N', 5, NULL),
(28577, NULL, 'IPR028282', NULL, 'WASH complex subunit 7, central domain', 'WASH-7_central', 3, NULL),
(28578, NULL, 'IPR026581', NULL, 'T-complex protein 10 family', 'TCP10_fam', 4, NULL),
(28579, NULL, 'IPR028275', NULL, 'Clustered mitochondria protein, N-terminal', 'CLU_N', 3, NULL),
(28580, NULL, 'IPR029485', NULL, 'Cationic amino acid transporter, C-terminal', 'CAT_C', 3, NULL),
(28581, NULL, 'IPR026232', NULL, 'Mas-related G protein-coupled receptor D', 'MRGPCRD', 4, NULL),
(28582, NULL, 'IPR026907', NULL, 'Cyclin-D1-binding protein 1', 'CCNDBP1', 4, NULL),
(28583, NULL, 'IPR026578', NULL, 'L-carnitine dehydrogenase', 'L-carnitine_dehydrogenase', 4, NULL),
(28584, NULL, 'IPR026910', NULL, 'Shisa family', 'Shisa', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28585, NULL, 'IPR031868', NULL, 'Sliding-clamp-loader small subunit gp62', 'Phage_clamp_gp62', 4, NULL),
(28586, NULL, 'IPR031952', NULL, 'KH-like RNA-binding domain', 'MOEP19_KH-like', 3, NULL),
(28587, NULL, 'IPR026280', NULL, 'Tissue plasminogen activator', 'Tissue_plasm_act', 4, NULL),
(28588, NULL, 'IPR029998', NULL, 'Dysferlin', 'Dysferlin', 4, NULL),
(28589, NULL, 'IPR034162', NULL, 'Pepsin catalytic domain', 'Pepsin_A', 3, NULL),
(28590, NULL, 'IPR028065', NULL, 'Telomere repeats-binding bouquet formation protein 2', 'TERB2', 4, NULL),
(28591, NULL, 'IPR029274', NULL, 'Protein of unknown function DUF4615', 'DUF4615', 4, NULL),
(28592, NULL, 'IPR030230', NULL, 'GPN-loop GTPase 1', 'Gpn1/Npa3/XAB1', 4, NULL),
(28593, NULL, 'IPR024954', NULL, 'SSRP1 domain', 'SSRP1_dom', 3, NULL),
(28594, NULL, 'IPR024601', NULL, 'Peptidase M1, alanyl aminopeptidase, C-terminal', 'Peptidase_M1_pepN_C', 3, NULL),
(28595, NULL, 'IPR027262', NULL, 'Receptor tyrosine-protein phosphatase alpha', 'Tyr_Pase_rcpt_alpha', 4, NULL),
(28596, NULL, 'IPR024951', NULL, 'Sulphate adenylyltransferase catalytic domain', 'Sulfurylase_cat_dom', 3, NULL),
(28597, NULL, 'IPR029996', NULL, 'Otoferlin', 'Otoferlin', 4, NULL),
(28598, NULL, 'IPR028783', NULL, 'PRKAA2, UBA-like autoinhibitory domain', 'PRKAA2', 3, NULL),
(28599, NULL, 'IPR031459', NULL, 'Cytochrome c oxidase assembly factor 2', 'Coa2', 4, NULL),
(28600, NULL, 'IPR029471', NULL, 'HNH endonuclease 5', 'HNH_5', 3, NULL),
(28601, NULL, 'IPR031428', NULL, 'Linker for activation of T-cells family member 2', 'LAT2', 4, NULL),
(28602, NULL, 'IPR028441', NULL, '14kDa phosphohistidine phosphatase', 'PHPT1', 4, NULL),
(28603, NULL, 'IPR029267', NULL, 'FAM212 domain', 'FAM212', 3, NULL),
(28604, NULL, 'IPR029228', NULL, 'Alkyl sulfatase dimerisation domain', 'Alkyl_sulf_dimr', 3, NULL),
(28605, NULL, 'IPR027214', NULL, 'Cystatin', 'Cystatin', 4, NULL),
(28606, NULL, 'IPR029999', NULL, 'Myoferlin', 'Myoferlin', 4, NULL),
(28607, NULL, 'IPR028337', NULL, 'Thiamine transporter 2', 'ThTr-2', 4, NULL),
(28608, NULL, 'IPR024318', NULL, 'Negative regulator of Ofd1/Enhancer of translation termination 1', 'Nro1/ETT1', 4, NULL),
(28609, NULL, 'IPR026874', NULL, 'Glucosidase 2 subunit beta', 'Glucosidase_2_bsu', 4, NULL),
(28610, NULL, 'IPR028445', NULL, 'CD2-associated protein', 'CD2AP', 4, NULL),
(28611, NULL, 'IPR029816', NULL, 'c-Fos/v-Fos', 'c-Fos/v-Fos', 4, NULL),
(28612, NULL, 'IPR030490', NULL, 'Tissue inhibitor of metalloproteinase, conserved site', 'TIMP_CS', 2, NULL),
(28613, NULL, 'IPR027155', NULL, 'AP-3 complex subunit sigma', 'APS3', 4, NULL),
(28614, NULL, 'IPR030228', NULL, 'GPN-loop GTPase 3', 'Gpn3', 4, NULL),
(28615, NULL, 'IPR030323', NULL, 'Solute carrier family 26 member 6', 'SLC26A6', 4, NULL),
(28616, NULL, 'IPR029277', NULL, 'Single domain Von Willebrand factor type C domain', 'SVWC_dom', 3, NULL),
(28617, NULL, 'IPR030688', NULL, 'Methyltransferase MtrA/MtxA', 'MeTrfase_MtrA/MtxA', 4, NULL),
(28618, NULL, 'IPR028784', NULL, 'Bardet-Biedl syndrome 1 protein', 'BBS1', 4, NULL),
(28619, NULL, 'IPR028283', NULL, 'WASH complex subunit 7, C-terminal', 'WASH-7_C', 3, NULL),
(28620, NULL, 'IPR024335', NULL, 'Domain of unknown function DUF3864', 'DUF3864', 3, NULL),
(28621, NULL, 'IPR031427', NULL, 'Protein of unknown function DUF4668', 'DUF4668', 4, NULL),
(28622, NULL, 'IPR029305', NULL, 'FANCI solenoid 1 cap', 'FANCI_S1-cap', 3, NULL),
(28623, NULL, 'IPR035922', NULL, '3H domain superfamily', '3H_dom_sf', 5, NULL),
(28624, NULL, 'IPR028069', NULL, 'Transmembrane protein 89', 'TMEM89', 4, NULL),
(28625, NULL, 'IPR024432', NULL, 'Putative exodeoxyribonuclease 8, PDDEXK-like domain', 'Put_RecE_PDDEXK-like_dom', 3, NULL),
(28626, NULL, 'IPR027543', NULL, 'Lon protease, bacterial', 'Lon_bac', 4, NULL),
(28627, NULL, 'IPR028531', NULL, 'Dipeptidase 2/3', 'Dpep2/3', 4, NULL),
(28628, NULL, 'IPR028206', NULL, 'Psoriasis susceptibility 1 candidate 1', 'SEEK1', 4, NULL),
(28629, NULL, 'IPR027279', NULL, 'D-aminopeptidase/lipoprotein domain superfamily', 'D_amino_pept/lipop_sf', 5, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28630, NULL, 'IPR029310', NULL, 'FANCI helical domain 1', 'FANCI_HD1', 3, NULL),
(28631, NULL, 'IPR031950', NULL, '116kDa U5 small nuclear ribonucleoprotein component, N-terminal', 'EFTUD2_N', 3, NULL),
(28632, NULL, 'IPR024321', NULL, 'Protease  inhibitor, falstatin', 'Prot_Inh_falstatin', 4, NULL),
(28633, NULL, 'IPR029853', NULL, 'Transcription factor NF-E2, 45kDa subunit', 'NF-E2_p45', 4, NULL),
(28634, NULL, 'IPR027561', NULL, 'Thaumarchaeosortase', 'Thauma_sortase', 4, NULL),
(28635, NULL, 'IPR031862', NULL, 'Gap junction alpha-5 protein (Cx40), C-terminal', 'Cx40_C', 3, NULL),
(28636, NULL, 'IPR029041', NULL, 'FAD-linked oxidoreductase-like', 'FAD-linked_oxidoreductase-like', 5, NULL),
(28637, NULL, 'IPR028871', NULL, 'Blue (type 1) copper protein, binding site', 'BlueCu_1_BS', 1, NULL),
(28638, NULL, 'IPR029930', NULL, 'Uridine kinase-like protein, plant', 'UCKL_plant', 4, NULL),
(28639, NULL, 'IPR026882', NULL, 'Leucine-rich repeat-containing protein 4', 'Lrrc4', 4, NULL),
(28640, NULL, 'IPR031571', NULL, 'Flp pilus assembly protein RcpC/CpaB domain', 'RcpC_dom', 3, NULL),
(28641, NULL, 'IPR028433', NULL, 'Parvin', 'Parvin', 4, NULL),
(28642, NULL, 'IPR029294', NULL, 'Helically-extended SH3 domain', 'hSH3', 3, NULL),
(28643, NULL, 'IPR029501', NULL, 'Bacterial EndoU nuclease', 'EndoU_bac', 3, NULL),
(28644, NULL, 'IPR026881', NULL, 'WYL domain', 'WYL_dom', 3, NULL),
(28645, NULL, 'IPR029811', NULL, 'cAMP-dependent transcription factor ATF-4', 'ATF4', 4, NULL),
(28646, NULL, 'IPR026877', NULL, 'DXP reductoisomerase C-terminal domain', 'DXPR_C', 3, NULL),
(28647, NULL, 'IPR027355', NULL, 'Nonstructural protein 10, zinc-binding domain, arterivirus', 'NSP10_Av_ZBD', 3, NULL),
(28648, NULL, 'IPR027559', NULL, 'B12-binding domain/radical SAM domain protein, rhizo-twelve system', 'B12_rSAM_oligo', 4, NULL),
(28649, NULL, 'IPR027786', NULL, 'Nse4/EID family', 'Nse4/EID', 4, NULL),
(28650, NULL, 'IPR031467', NULL, 'ATPase expression protein 1', 'Aep1', 4, NULL),
(28651, NULL, 'IPR027541', NULL, 'Arsenical pump-driving ATPase', 'Ars_ATPase', 4, NULL),
(28652, NULL, 'IPR029298', NULL, 'RFX5, C-terminal', 'RFX5_C', 3, NULL),
(28653, NULL, 'IPR031884', NULL, 'Nucleotide exchange factor Sil1, fungi', 'Sil1_fungi', 4, NULL),
(28654, NULL, 'IPR029284', NULL, 'p53-regulated apoptosis-inducing protein 1', 'TP53AIP1', 4, NULL),
(28655, NULL, 'IPR026880', NULL, 'Toll-like receptor 7', 'TLR7', 4, NULL),
(28656, NULL, 'IPR026913', NULL, 'Probable methyltransferase-like protein 24', 'METTL24', 4, NULL),
(28657, NULL, 'IPR029939', NULL, 'MICAL2', 'MICAL2', 4, NULL),
(28658, NULL, 'IPR028345', NULL, 'Aminoglycoside 3-N-acetyltransferase-like', 'Antibiotic_NAT-like', 5, NULL),
(28659, NULL, 'IPR027157', NULL, 'Nuclear cap-binding protein subunit 2', 'NCBP2', 4, NULL),
(28660, NULL, 'IPR030378', NULL, 'Circularly permuted (CP)-type guanine nucleotide-binding (G) domain', 'G_CP_dom', 3, NULL),
(28661, NULL, 'IPR028794', NULL, 'Phosphatidate phosphatase LPIN1', 'LPIN1', 4, NULL),
(28662, NULL, 'IPR024619', NULL, 'Protein of unknown function DUF3860', 'DUF3860', 4, NULL),
(28663, NULL, 'IPR031425', NULL, 'NPR1/NH1-interacting protein', 'NPR1/NH1-interacting', 4, NULL),
(28664, NULL, 'IPR024598', NULL, 'Splicing factor SF3a60 /Prp9 subunit,  C-terminal', 'SF3a60/Prp9_C', 3, NULL),
(28665, NULL, 'IPR030245', NULL, 'Sodium/potassium/calcium exchanger 5', 'SLC24A5', 4, NULL),
(28666, NULL, 'IPR031882', NULL, 'Protein of unknown function DUF4762', 'DUF4762', 4, NULL),
(28667, NULL, 'IPR031471', NULL, 'Protein BptA', 'BptA', 4, NULL),
(28668, NULL, 'IPR026328', NULL, 'Formylmethanofuran dehydrogenase, subunit E', 'FmdE', 4, NULL),
(28669, NULL, 'IPR024434', NULL, 'TSCPD domain', 'TSCPD_dom', 3, NULL),
(28670, NULL, 'IPR028974', NULL, 'TSP type-3 repeat', 'TSP_type-3_rpt', 5, NULL),
(28671, NULL, 'IPR029219', NULL, 'UNC119-binding protein', 'UNC119-bd', 4, NULL),
(28672, NULL, 'IPR029997', NULL, 'Fer-1-like protein 5', 'Fer1L5', 4, NULL),
(28673, NULL, 'IPR026898', NULL, 'Intramembrane metalloprotease PrsW', 'PrsW', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28674, NULL, 'IPR024430', NULL, 'Endosialidase, C-terminal domain', 'Endosialidase_C_dom', 3, NULL),
(28675, NULL, 'IPR026899', NULL, '1,3-beta-glucan synthase subunit FKS1-like, domain-1', 'FKS1-like_dom1', 3, NULL),
(28676, NULL, 'IPR029279', NULL, 'FLYWCH-type zinc finger-containing protein, N-terminal', 'FLYWCH_N', 3, NULL),
(28677, NULL, 'IPR028280', NULL, 'Protein Njmu-R1', 'Njmu-R1', 4, NULL),
(28678, NULL, 'IPR031889', NULL, 'AIMP2, lysyl-tRNA synthetase binding domain', 'AIMP2_LysRS-bd', 3, NULL),
(28679, NULL, 'IPR030311', NULL, 'Sulfate transporter 3.1', 'Sul_transpt_3.1', 4, NULL),
(28680, NULL, 'IPR030506', NULL, 'Myosin tail region-interacting protein Mti1', 'Mti1', 4, NULL),
(28681, NULL, 'IPR029272', NULL, 'Coiled-coil domain-containing protein 7', 'CCDC7', 4, NULL),
(28682, NULL, 'IPR031870', NULL, 'ATF7-interacting protein , protein binding domain', 'ATF7IP_BD', 3, NULL),
(28683, NULL, 'IPR029464', NULL, 'Type I restriction enzyme R protein, N-terminal domain', 'HSDR_N', 3, NULL),
(28684, NULL, 'IPR029857', NULL, 'Basic leucine zipper transcriptional factor ATF-like 2', 'BATF2', 4, NULL),
(28685, NULL, 'IPR024604', NULL, 'Serine/threonine-protein kinase haspin, C-terminal', 'GSG2_C', 3, NULL),
(28686, NULL, 'IPR029025', NULL, 'Type III secretion system substrate exporter, C-terminal', 'T3SS_substrate_exporter_C', 5, NULL),
(28687, NULL, 'IPR026875', NULL, 'Phosphohydrolase-associated domain', 'PHydrolase_assoc_dom', 3, NULL),
(28688, NULL, 'IPR030057', NULL, 'Lysozyme-like protein 1/2', 'LYZL1/LYZL2', 4, NULL),
(28689, NULL, 'IPR027212', NULL, 'CCR4-NOT transcription complex subunit 8', 'Cnot8', 4, NULL),
(28690, NULL, 'IPR029810', NULL, 'ATF/CREB activator 1/2', 'Aca1/Aca2', 4, NULL),
(28691, NULL, 'IPR028428', NULL, 'Cytoskeleton-associated protein 4', 'Ckap4', 4, NULL),
(28692, NULL, 'IPR029897', NULL, 'Ectonucleotide pyrophosphatase/phosphodiesterase, nematoda', 'ENPP_nematoda', 4, NULL),
(28693, NULL, 'IPR029480', NULL, 'Transposase-associated domain', 'Transpos_assoc', 3, NULL),
(28694, NULL, 'IPR028066', NULL, 'Transmembrane protein 187', 'TMEM187', 4, NULL),
(28695, NULL, 'IPR030883', NULL, 'D-allose kinase', 'AlsK', 4, NULL),
(28696, NULL, 'IPR029577', NULL, 'Transient receptor potential cation channel subfamily M member 5', 'TRPM5', 4, NULL),
(28697, NULL, 'IPR030509', NULL, 'Casein kinase I', 'CK1', 4, NULL),
(28698, NULL, 'IPR026943', NULL, 'Ubinuclein-2', 'Ubinuclein-2', 4, NULL),
(28699, NULL, 'IPR027560', NULL, 'PEFG-CTERM domain', 'PEFG-CTERM', 3, NULL),
(28700, NULL, 'IPR029879', NULL, 'Bis(5''-adenosyl)-triphosphatase ENPP4', 'ENPP4', 4, NULL),
(28701, NULL, 'IPR027550', NULL, 'MSEP-CTERM protein', 'MSEP-CTERM', 4, NULL),
(28702, NULL, 'IPR026886', NULL, 'Autophagy-related protein 2, fungi/plants', 'ATG2_fungi/plants', 4, NULL),
(28703, NULL, 'IPR028438', NULL, 'Drebrin', 'Drebrin', 4, NULL),
(28704, NULL, 'IPR028276', NULL, 'Immunity protein 68', 'Imm68', 4, NULL),
(28705, NULL, 'IPR028868', NULL, 'Neuropilin and tolloid-like protein 2', 'NETO2', 4, NULL),
(28706, NULL, 'IPR029933', NULL, 'Uridine-cytidine kinase-like 1', 'UCKL1', 4, NULL),
(28707, NULL, 'IPR029314', NULL, 'FANCI solenoid 4 domain', 'FANCI_S4', 3, NULL),
(28708, NULL, 'IPR031872', NULL, 'Ndc10, domain 2', 'NDC10_II', 3, NULL),
(28709, NULL, 'IPR026902', NULL, 'RnfC Barrel sandwich hybrid domain', 'RnfC_N', 3, NULL),
(28710, NULL, 'IPR028536', NULL, 'Dipeptidase 1', 'Dpep1', 4, NULL),
(28711, NULL, 'IPR027152', NULL, 'Vesicle-trafficking protein Sec22a', 'Sec22a', 4, NULL),
(28712, NULL, 'IPR024429', NULL, 'Endosialidase, N-terminal extension domain', 'Endosialidase_N-extension', 3, NULL),
(28713, NULL, 'IPR028281', NULL, 'Siroheme synthase, central domain', 'Sirohaem_synthase_central', 3, NULL),
(28714, NULL, 'IPR029175', NULL, 'Exocyst complex component EXOC2/Sec5', 'EXOC2/Sec5', 4, NULL),
(28715, NULL, 'IPR029895', NULL, 'Ectonucleotide pyrophosphatase/phosphodiesterase family member 7', 'ENPP7', 4, NULL),
(28716, NULL, 'IPR028350', NULL, 'DNA replication protein DnaC/insertion sequence putative ATP-binding protein', 'DNAC/ATP-binding', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28717, NULL, 'IPR024325', NULL, 'Domain of unknown function DUF3835', 'DUF3835', 3, NULL),
(28718, NULL, 'IPR029890', NULL, 'Ectonucleotide pyrophosphatase/phosphodiesterase family member 1', 'ENPP1', 4, NULL),
(28719, NULL, 'IPR024315', NULL, 'Domain of unknown function DUF3805', 'DUF3805', 3, NULL),
(28720, NULL, 'IPR027552', NULL, 'CGP-CTERM domain', 'CGP_CTERM', 3, NULL),
(28721, NULL, 'IPR029216', NULL, 'Phytoplasma antigenic membrane protein', 'Phyto-Amp', 4, NULL),
(28722, NULL, 'IPR028389', NULL, 'Protection of telomeres protein 1', 'POT1', 4, NULL),
(28723, NULL, 'IPR031869', NULL, 'YscO-like protein', 'YscO-like', 4, NULL),
(28724, NULL, 'IPR031518', NULL, 'Protein of unknown function DUF4693', 'DUF4693', 4, NULL),
(28725, NULL, 'IPR034043', NULL, 'Tumor necrosis factor receptor 11B, N-terminal, teleost', 'TNFRSF11B_N_teleost', 3, NULL),
(28726, NULL, 'IPR029776', NULL, 'Transmembrane protein 179B', 'TMEM179B', 4, NULL),
(28727, NULL, 'IPR030428', NULL, 'Clathrin coat assembly protein AP180', 'AP180', 4, NULL),
(28728, NULL, 'IPR029321', NULL, 'Integrator complex subunit 2', 'INTS2', 4, NULL),
(28729, NULL, 'IPR031463', NULL, 'MICOS complex subunit Mic12', 'Mic12', 4, NULL),
(28730, NULL, 'IPR029470', NULL, 'PD-(D/E)XK nuclease superfamily  4', 'PDDEXK_4', 4, NULL),
(28731, NULL, 'IPR024615', NULL, 'CRISPR-associated protein Cmr2, N-terminal', 'CRISPR-assoc_Cmr2_N', 3, NULL),
(28732, NULL, 'IPR026928', NULL, 'FAX/IsoI-like', 'FAX/IsoI-like', 4, NULL),
(28733, NULL, 'IPR027219', NULL, 'Lumican', 'Lumican', 4, NULL),
(28734, NULL, 'IPR029226', NULL, 'Ecp2 effector protein', 'Ecp2', 3, NULL),
(28735, NULL, 'IPR028788', NULL, 'Cyclin-dependent kinase 6', 'CDK6', 4, NULL),
(28736, NULL, 'IPR030931', NULL, 'Group II intron reverse transcriptase/maturase', 'Group_II_RT_mat', 4, NULL),
(28737, NULL, 'IPR028792', NULL, 'Insulin receptor-related protein', 'INSRR', 4, NULL),
(28738, NULL, 'IPR027460', NULL, 'Aerobic respiration control sensor protein ArcB, transmembrane domain superfamily', 'ArcB_TM_sf', 5, NULL),
(28739, NULL, 'IPR029312', NULL, 'FANCI helical domain 2', 'FANCI_HD2', 3, NULL),
(28740, NULL, 'IPR027558', NULL, 'Prepilin-type processing-associated H-X9-DG domain', 'Pre_pil_HX9DG', 3, NULL),
(28741, NULL, 'IPR026885', NULL, 'Autophagy-related protein 2, CAD motif', 'ATG2_CAD_motif', 3, NULL),
(28742, NULL, 'IPR024613', NULL, 'Huntingtin, middle-repeat', 'Huntingtin_middle-repeat', 7, NULL),
(28743, NULL, 'IPR028790', NULL, 'McKusick-Kaufman/Bardet-Biedl syndromes putative chaperonin', 'MKKS', 4, NULL),
(28744, NULL, 'IPR030655', NULL, 'NifH/chlL conserved site', 'NifH/chlL_CS', 2, NULL),
(28745, NULL, 'IPR031472', NULL, 'MAT1-1-2/MatA-2/Smr1', 'MAT1-1-2/MatA-2/Smr1', 4, NULL),
(28746, NULL, 'IPR028410', NULL, 'Suppressor of cytokine signalling 2', 'SOCS2', 4, NULL),
(28747, NULL, 'IPR029224', NULL, 'Pilus-assembly complex, chaperone PapJ', 'PapJ', 4, NULL),
(28748, NULL, 'IPR029315', NULL, 'FANCI solenoid 2 domain', 'FANCI_S2', 3, NULL),
(28749, NULL, 'IPR028274', NULL, 'TerY-C metal binding domain', 'TerY-C', 3, NULL),
(28750, NULL, 'IPR026230', NULL, 'Mas-related G protein-coupled receptor E', 'MRGPCRE', 4, NULL),
(28751, NULL, 'IPR029851', NULL, 'Kelch-like protein 6', 'KLHL6', 4, NULL),
(28752, NULL, 'IPR031454', NULL, 'Viral matrix protein M', 'Viral_M', 4, NULL),
(28753, NULL, 'IPR026593', NULL, 'Protein translocase subunit SecY', 'SecY', 4, NULL),
(28754, NULL, 'IPR028780', NULL, 'Ankyrin repeat domain-containing protein 23', 'ANKRD23', 4, NULL),
(28755, NULL, 'IPR026883', NULL, 'Leucine-rich repeat-containing protein 4B', 'LRRC4B', 4, NULL),
(28756, NULL, 'IPR029212', NULL, 'Rho guanine nucleotide exchange factor 5/35, N-terminal', 'ARHGEF5/35_N', 3, NULL),
(28757, NULL, 'IPR029178', NULL, 'Extracellular mutant protein 11, C-terminal', 'Ecm11_C', 3, NULL),
(28758, NULL, 'IPR028397', NULL, 'CAP-Gly domain-containing linker protein 4', 'CLIP4', 4, NULL),
(28759, NULL, 'IPR026896', NULL, 'Transcription termination and cleavage factor, C-terminal domain', 'CSTF_C', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28760, NULL, 'IPR029230', NULL, 'Macin', 'Macin', 4, NULL),
(28761, NULL, 'IPR034039', NULL, 'Hatching enzyme, peptidase domain', 'ZnMP_hatching_enz', 3, NULL),
(28762, NULL, 'IPR028791', NULL, 'Calpain-10', 'CAPN10', 4, NULL),
(28763, NULL, 'IPR026588', NULL, 'Choice-of-anchor A domain', 'Choice_anch_A', 3, NULL),
(28764, NULL, 'IPR026228', NULL, 'Mas-related G protein-coupled receptor F', 'MRGPCRF', 4, NULL),
(28765, NULL, 'IPR026915', NULL, 'Usherin', 'USH2A', 4, NULL),
(28766, NULL, 'IPR030387', NULL, 'Bms1/Tsr1-type G domain', 'G_Bms1/Tsr1_dom', 3, NULL),
(28767, NULL, 'IPR026234', NULL, 'Mas-related G protein-coupled receptor family', 'MRGPCRFAMILY', 4, NULL),
(28768, NULL, 'IPR028278', NULL, 'Modulator of retrovirus infection', 'MRI', 4, NULL),
(28769, NULL, 'IPR027562', NULL, 'Histidine-histamine antiporter', 'His_histam_anti', 4, NULL),
(28770, NULL, 'IPR029313', NULL, 'FANCI solenoid 3 domain', 'FANCI_S3', 3, NULL),
(28771, NULL, 'IPR028339', NULL, 'Reduced folate transporter SLC19A1', 'SLC19A1', 4, NULL),
(28772, NULL, 'IPR027455', NULL, 'Spermine/spermidine acetyltransferase, N-terminal', 'Sper_AcTfrase_N', 5, NULL),
(28773, NULL, 'IPR029244', NULL, 'FAM69, N-terminal', 'FAM69_N', 3, NULL),
(28774, NULL, 'IPR028349', NULL, 'Protein PafC', 'PafC', 4, NULL),
(28775, NULL, 'IPR028064', NULL, 'Transmembrane protein 154', 'TMEM154', 4, NULL),
(28776, NULL, 'IPR028070', NULL, 'G6B family', 'G6B', 4, NULL),
(28777, NULL, 'IPR027213', NULL, 'Cystatin-9', 'CST9', 4, NULL),
(28778, NULL, 'IPR030243', NULL, 'Sodium/potassium/calcium exchanger NCKX30C-like', 'NCKX30C-like', 4, NULL),
(28779, NULL, 'IPR028338', NULL, 'Thiamine transporter 1', 'ThTr-1', 4, NULL),
(28780, NULL, 'IPR024587', NULL, 'Potassium channel, voltage dependent, Kv4, C-terminal', 'K_chnl_volt-dep_Kv4_C', 3, NULL),
(28781, NULL, 'IPR024316', NULL, 'Nuclear pore assembly and biogenesis protein, APQ12', 'APQ12', 4, NULL),
(28782, NULL, 'IPR026918', NULL, 'Pappalysin-2', 'PAPPA2', 4, NULL),
(28783, NULL, 'IPR024887', NULL, 'Ashwin', 'Ashwin', 4, NULL),
(28784, NULL, 'IPR030374', NULL, 'Polyamine biosynthesis  domain', 'PABS', 3, NULL),
(28785, NULL, 'IPR029275', NULL, 'Trimeric autotransporter adhesin, putative GIN domain', 'HiaBD2_put_GIN_domain', 3, NULL),
(28786, NULL, 'IPR029163', NULL, 'Histone deacetylase complex subunit SAP25', 'SAP25', 4, NULL),
(28787, NULL, 'IPR024468', NULL, 'Sec16, N-terminal', 'Sec16_N', 3, NULL),
(28788, NULL, 'IPR024602', NULL, 'Conserved oligomeric Golgi complex, subunit 2, N-terminal', 'COG_su2_N', 3, NULL),
(28789, NULL, 'IPR026287', NULL, 'Protein adenylyltransferase SoFic-like', 'SoFic-like', 4, NULL),
(28790, NULL, 'IPR024592', NULL, 'Variable lymphocyte receptor, C-terminal', 'Variable_lymphocyte_rcpt_C', 3, NULL),
(28791, NULL, 'IPR026330', NULL, 'Succinylornithine transaminase', 'SOAT', 4, NULL),
(28792, NULL, 'IPR029925', NULL, 'Uridine-cytidine kinase 2', 'UCK-2', 4, NULL),
(28793, NULL, 'IPR031469', NULL, 'Fungal death-pathway protein, SesB domain', 'SesB_dom', 4, NULL),
(28794, NULL, 'IPR030689', NULL, 'Cytochrome b', 'Cytochrome_b', 4, NULL),
(28795, NULL, 'IPR026869', NULL, 'Gamma-glutamyl-hercynylcysteine sulfoxide hydrolase EgtC-like', 'EgtC-like', 4, NULL),
(28796, NULL, 'IPR027021', NULL, 'Cyclic di-GMP binding protein, PA4608 type', 'C-di-GMP_BP_PA4608', 4, NULL),
(28797, NULL, 'IPR030932', NULL, 'Polysaccharide biosynthesis PFTS motif protein', 'PFTS_polysacc', 4, NULL),
(28798, NULL, 'IPR030004', NULL, 'Gelsolin', 'Gelsolin', 4, NULL),
(28799, NULL, 'IPR027553', NULL, 'Eight-cysteine-cluster domain', 'Heavy_Cys', 3, NULL),
(28800, NULL, 'IPR028054', NULL, 'Protein of unknown function DUF4481', 'DUF4481', 4, NULL),
(28801, NULL, 'IPR026936', NULL, 'Ubinuclein-1', 'Ubinuclein-1', 4, NULL),
(28802, NULL, 'IPR027551', NULL, 'Exosortase K', 'Exosort_XrtK', 4, NULL),
(28803, NULL, 'IPR030504', NULL, 'CAP-Gly domain-containing linker protein 3', 'CLIP3', 4, NULL),
(28804, NULL, 'IPR031455', NULL, 'Genetic interactor of prohibitin 5', 'Gep5', 4, NULL),
(28805, NULL, 'IPR030489', NULL, 'Transcription regulator Rrf2-type, conserved site', 'TR_Rrf2-type_CS', 2, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28806, NULL, 'IPR028430', NULL, 'Ubiquilin-1/2', 'Ubiquilin-1/2', 4, NULL),
(28807, NULL, 'IPR028209', NULL, 'LAMTOR1/MEH1', 'LAMTOR1/MEH1', 4, NULL),
(28808, NULL, 'IPR031517', NULL, 'RHEX-like', 'RHEX-like', 4, NULL),
(28809, NULL, 'IPR026605', NULL, 'Lysophosphatidylserine lipase ABHD12', 'ABHD12', 4, NULL),
(28810, NULL, 'IPR031885', NULL, 'Domain of unknown function DUF4764', 'DUF4764', 3, NULL),
(28811, NULL, 'IPR026901', NULL, 'DnaJ homolog subfamily B member 3', 'DNAJB3', 4, NULL),
(28812, NULL, 'IPR027545', NULL, 'Kynurenine 3-monooxygenase', 'Kynurenine_monooxygenase', 4, NULL),
(28813, NULL, 'IPR024600', NULL, 'Notch, C-terminal', 'Notch_C', 3, NULL),
(28814, NULL, 'IPR029229', NULL, 'Alkyl sulfatase, C-terminal', 'Alkyl_sulf_C', 3, NULL),
(28815, NULL, 'IPR026233', NULL, 'Mas-related G protein-coupled receptor A', 'MRGPCRA', 4, NULL),
(28816, NULL, 'IPR031516', NULL, 'Protein of unknown function DUF4691', 'DUF4691', 4, NULL),
(28817, NULL, 'IPR027248', NULL, 'Small nuclear ribonucleoprotein Sm D2', 'Sm_D2', 4, NULL),
(28818, NULL, 'IPR030259', NULL, 'Chloride intracellular channel protein 1', 'CLIC-1', 4, NULL),
(28819, NULL, 'IPR031879', NULL, 'Fanconi anemia group M protein,  MHF binding domain', 'FANCM-MHF-bd', 3, NULL),
(28820, NULL, 'IPR024558', NULL, 'ComZ', 'ComZ', 4, NULL),
(28821, NULL, 'IPR031883', NULL, 'Protein of unknown function DUF4763', 'DUF4763', 4, NULL),
(28822, NULL, 'IPR028781', NULL, 'Alstrom syndrome protein 1', 'ALMS1', 4, NULL),
(28823, NULL, 'IPR030282', NULL, 'Prestin', 'Prestin', 4, NULL),
(28824, NULL, 'IPR032372', NULL, 'Proteasome activator Blm10, N-terminal', 'Blm10_N', 3, NULL),
(28825, NULL, 'IPR029813', NULL, 'Protein FosB', 'FosB', 4, NULL),
(28826, NULL, 'IPR027641', NULL, 'Wiskott-Aldrich syndrome protein', 'WASP', 4, NULL),
(28827, NULL, 'IPR024551', NULL, 'Aspartate aminotransferase Ic', 'AspAT_Ic', 4, NULL),
(28828, NULL, 'IPR026524', NULL, 'Lymphocyte antigen 6 complex locus protein G6d/G6f', 'LY6G6d/LY6G6f', 4, NULL),
(28829, NULL, 'IPR026872', NULL, 'Protein farnesyltransferase subunit beta', 'FTB', 4, NULL),
(28830, NULL, 'IPR027405', NULL, 'YidB-like', 'YidB-like', 5, NULL),
(28831, NULL, 'IPR029779', NULL, 'Protein of unknown function DUF4674', 'DUF4674', 4, NULL),
(28832, NULL, 'IPR028351', NULL, 'Cyclolysin transport protein CyaE', 'CyaE', 4, NULL),
(28833, NULL, 'IPR029488', NULL, 'Hemingway/CFA97', 'Hmw/CFAP97', 4, NULL),
(28834, NULL, 'IPR029845', NULL, 'Nuclear factor erythroid 2-related factor 2', 'Nrf2', 4, NULL),
(28835, NULL, 'IPR031661', NULL, 'Bcl-2-binding component 3', 'Bbc3', 4, NULL),
(28836, NULL, 'IPR030577', NULL, 'Kelch-like protein 21', 'KLHL21', 4, NULL),
(28837, NULL, 'IPR024341', NULL, 'Protein of unknown function DUF2631', 'DUF2631', 4, NULL),
(28838, NULL, 'IPR026895', NULL, 'ER membrane protein complex subunit 1', 'EMC1', 4, NULL),
(28839, NULL, 'IPR026905', NULL, 'Protein ASX-like, PHD domain', 'ASX-like_PHD', 3, NULL),
(28840, NULL, 'IPR028492', NULL, 'Thrombospondin-5', 'TSP-5', 4, NULL),
(28841, NULL, 'IPR029500', NULL, 'NADPH-dependent 7-cyano-7-deazaguanine reductase QueF', 'QueF', 4, NULL),
(28842, NULL, 'IPR031659', NULL, 'Spermatogenesis-associated protein 9', 'SPATA9', 4, NULL),
(28843, NULL, 'IPR024589', NULL, 'Fungal ligninase, C-terminal', 'Ligninase_C', 3, NULL),
(28844, NULL, 'IPR027706', NULL, 'PGP phosphatase, mitochondrial/chloroplastic', 'PGP_Pase', 4, NULL),
(28845, NULL, 'IPR024331', NULL, 'Domain of unknown function DUF3859', 'DUF3859', 3, NULL),
(28846, NULL, 'IPR026891', NULL, 'Fibronectin type III-like domain', 'Fn3-like', 3, NULL),
(28847, NULL, 'IPR029291', NULL, 'DNA binding protein Tfx, C-terminal', 'Tfx_C', 3, NULL),
(28848, NULL, 'IPR027557', NULL, 'Archaeosortase ArtF', 'Archaeo_ArtF', 4, NULL),
(28849, NULL, 'IPR029249', NULL, 'Rotatin, N-terminal', 'Rotatin_N', 3, NULL),
(28850, NULL, 'IPR026030', NULL, 'Purine-cytosine permease Fcy2/21/22', 'Pur-cyt_permease_Fcy2/21/22', 4, NULL),
(28851, NULL, 'IPR030385', NULL, 'IRG-type guanine nucleotide-binding (G) domain', 'G_IRG_dom', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28852, NULL, 'IPR028068', NULL, 'Phosphoinositide-interacting protein', 'PIRT', 4, NULL),
(28853, NULL, 'IPR024599', NULL, 'Retinoblastoma-associated protein, N-terminal', 'RB_N', 3, NULL),
(28854, NULL, 'IPR026950', NULL, 'Capsule assembly protein Wzi', 'Caps_assemb_Wzi', 4, NULL),
(28855, NULL, 'IPR026890', NULL, 'Mononegavirales mRNA-capping domain V', 'Mononeg_mRNAcap', 3, NULL),
(28856, NULL, 'IPR029190', NULL, 'Ribosomal RNA-processing protein 14/surfeit locus protein 6, C-terminal domain', 'Rrp14/SURF6_C', 3, NULL),
(28857, NULL, 'IPR029322', NULL, 'Domain of unknown function DUF4474', 'DUF4474', 3, NULL),
(28858, NULL, 'IPR029465', NULL, 'TupA-like ATPgrasp protein', 'ATPgrasp_TupA', 4, NULL),
(28859, NULL, 'IPR024607', NULL, 'Sulfatase, conserved site', 'Sulfatase_CS', 2, NULL),
(28860, NULL, 'IPR024317', NULL, 'Dynein heavy chain, AAA module D4', 'Dynein_heavy_chain_D4_dom', 3, NULL),
(28861, NULL, 'IPR024320', NULL, 'Phosphatidylglycerol lysyltransferase, C-terminal', 'LPG_synthase_C', 3, NULL),
(28862, NULL, 'IPR029468', NULL, 'O-antigen polysaccharide polymerase Wzy', 'O-ag_pol_Wzy', 4, NULL),
(28863, NULL, 'IPR026916', NULL, 'Neurobeachin-like protein 2', 'NBEAL2', 4, NULL),
(28864, NULL, 'IPR029778', NULL, 'Centrosomal protein of 85kDa-like', 'CEP85L', 4, NULL),
(28865, NULL, 'IPR026900', NULL, 'Tetratricopeptide repeat protein 7A', 'Ttc7A', 4, NULL),
(28866, NULL, 'IPR030001', NULL, 'Fer-1-like protein 4', 'Fer1l4', 4, NULL),
(28867, NULL, 'IPR029280', NULL, 'Leukemia NUP98 fusion partner 1', 'LNP1', 4, NULL),
(28868, NULL, 'IPR030392', NULL, 'Intramolecular chaperone auto-processing domain', 'S74_ICA', 3, NULL),
(28869, NULL, 'IPR029854', NULL, 'Nuclear factor erythroid 2-related factor 3', 'NF2L3', 4, NULL),
(28870, NULL, 'IPR024603', NULL, 'COG complex component, COG2, C-terminal', 'COG_complex_COG2_C', 3, NULL),
(28871, NULL, 'IPR026933', NULL, 'Myelin gene regulatory factor', 'MRF', 4, NULL),
(28872, NULL, 'IPR024563', NULL, 'Uncharacterised protein family YqhR', 'YqhR', 4, NULL),
(28873, NULL, 'IPR029005', NULL, 'LIM-domain binding protein/SEUSS', 'LIM-bd/SEUSS', 4, NULL),
(28874, NULL, 'IPR026879', NULL, 'Leucine-rich repeat and fibronectin type-III domain-containing protein 5', 'Lrfn5', 4, NULL),
(28875, NULL, 'IPR026904', NULL, 'tRNA uridine 5-carboxymethylaminomethyl modification enzyme MnmG, C-terminal', 'MnmG_C', 3, NULL),
(28876, NULL, 'IPR029815', NULL, 'Fos-related antigen 1', 'Fra1', 4, NULL),
(28877, NULL, 'IPR029188', NULL, 'Ribosomal RNA-processing protein 14, N-terminal', 'Rrp14_N', 3, NULL),
(28878, NULL, 'IPR024586', NULL, 'DnaJ-like protein C11, C-terminal', 'DnaJ-like_C11_C', 3, NULL),
(28879, NULL, 'IPR031576', NULL, 'Flagellar motor switch protein FliN, N-terminal', 'FliN_N', 3, NULL),
(28880, NULL, 'IPR029222', NULL, 'Protein FAM104', 'FAM104', 4, NULL),
(28881, NULL, 'IPR024462', NULL, 'Glycosyl-hydrolase family 116, N-terminal', 'GH116_N', 3, NULL),
(28882, NULL, 'IPR029814', NULL, 'Fos-related antigen 2', 'Fra2', 4, NULL),
(28883, NULL, 'IPR029184', NULL, 'Something about silencing protein 4 domain', 'Sas4_dom', 3, NULL),
(28884, NULL, 'IPR026912', NULL, 'Adenine deaminase C-terminal domain', 'Adenine_deam_C', 3, NULL),
(28885, NULL, 'IPR030313', NULL, 'Sulfate transporter 3.3', 'Sul_transpt_3.3', 4, NULL),
(28886, NULL, 'IPR026607', NULL, 'DMRT family', 'DMRT', 4, NULL),
(28887, NULL, 'IPR031128', NULL, 'E3 ubiquitin-protein ligase RNF14', 'RNF14', 4, NULL),
(28888, NULL, 'IPR024328', NULL, 'Protein of unknown function DUF3845', 'DUF3845', 4, NULL),
(28889, NULL, 'IPR026220', NULL, 'HTLV-1 basic zipper factor', 'HTLV1ZIPPER', 4, NULL),
(28890, NULL, 'IPR024565', NULL, 'Orexigenic neuropeptide QRFP/P518', 'P518', 4, NULL),
(28891, NULL, 'IPR035923', NULL, 'TT1751-like domain superfamily', 'TT1751-like_sf', 5, NULL),
(28892, NULL, 'IPR029303', NULL, 'Polysaccharide biosynthesis protein, C-terminal domain', 'Polysacc_synt_C', 3, NULL),
(28893, NULL, 'IPR029071', NULL, 'Ubiquitin-like domain superfamily', 'Ubiquitin-like_domsf', 5, NULL),
(28894, NULL, 'IPR029943', NULL, 'Nucleobase-ascorbate transporter 3', 'NAT3', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28895, NULL, 'IPR029181', NULL, 'Barttin', 'Barttin', 4, NULL),
(28896, NULL, 'IPR027643', NULL, 'Formin-like family, plant', 'Formin-like_plant', 4, NULL),
(28897, NULL, 'IPR030880', NULL, 'DEAD-box ATP-dependent RNA helicase CshA', 'DEAD_helicase_CshA', 4, NULL),
(28898, NULL, 'IPR029320', NULL, 'Acyl-coenzyme A oxidase, N-terminal', 'Acyl-CoA_ox_N', 3, NULL),
(28899, NULL, 'IPR030575', NULL, 'Kelch-like protein 22', 'KLHL22', 4, NULL),
(28900, NULL, 'IPR031468', NULL, 'Synaptotagmin-like mitochondrial-lipid-binding domain', 'SMP_LBD', 3, NULL),
(28901, NULL, 'IPR032374', NULL, 'SGTA, homodimerisation domain', 'SGTA_dimer', 3, NULL),
(28902, NULL, 'IPR030285', NULL, 'Pendrin', 'Pendrin', 4, NULL),
(28903, NULL, 'IPR026888', NULL, 'Acetyl-CoA hydrolase/transferase C-terminal domain', 'AcetylCoA_hyd_C', 3, NULL),
(28904, NULL, 'IPR030933', NULL, 'HemN-related non-iron pseudo-SAM protein PsgB', 'Non_iron_rSAM', 4, NULL),
(28905, NULL, 'IPR032370', NULL, 'Flagellar assembly protein T, N-terminal', 'FlgT_N', 3, NULL),
(28906, NULL, 'IPR026906', NULL, 'BspA type Leucine rich repeat region', 'LRR_5', 7, NULL),
(28907, NULL, 'IPR030379', NULL, 'Septin-type guanine nucleotide-binding (G) domain', 'G_SEPTIN_dom', 3, NULL),
(28908, NULL, 'IPR029266', NULL, 'FAM217 family', 'FAM217', 4, NULL),
(28909, NULL, 'IPR031569', NULL, 'Apextrin, C-terminal domain', 'ApeC', 3, NULL),
(28910, NULL, 'IPR028563', NULL, 'MICAL-like protein', 'MICAL-L', 4, NULL),
(28911, NULL, 'IPR029812', NULL, 'cAMP-dependent transcription factor ATF-3', 'ATF3', 4, NULL),
(28912, NULL, 'IPR028204', NULL, 'Tricorn protease C1 domain', 'Tricorn_C1', 3, NULL),
(28913, NULL, 'IPR029785', NULL, 'Inhibitor of carbonic anhydrase', 'ICA', 4, NULL),
(28914, NULL, 'IPR025980', NULL, 'ATP-sulfurylase PUA-like domain', 'ATP-Sase_PUA-like_dom', 3, NULL),
(28915, NULL, 'IPR028893', NULL, 'Adenosine deaminase', 'A_deaminase', 4, NULL),
(28916, NULL, 'IPR026592', NULL, 'Outer membrane protein assembly factor BamE', 'BamE', 4, NULL),
(28917, NULL, 'IPR024609', NULL, 'Extracellular sulfatase, C-terminal', 'Extracellular_sulfatase_C', 3, NULL),
(28918, NULL, 'IPR024618', NULL, 'Domain of unknown function DUF3857', 'DUF3857', 3, NULL),
(28919, NULL, 'IPR030549', NULL, 'Torsin-1A', 'Torsin-1A', 4, NULL),
(28920, NULL, 'IPR024428', NULL, 'Endosialidase, beta propeller domain', 'Endosialidase_beta_prop', 3, NULL),
(28921, NULL, 'IPR030548', NULL, 'DNA repair protein RAD51 homologue 2', 'RAD51B', 4, NULL),
(28922, NULL, 'IPR029502', NULL, 'Ribosomally synthesized peptide', 'Ribosomal_synth', 4, NULL),
(28923, NULL, 'IPR029271', NULL, 'Psoriasis susceptibility 1 candidate gene 2 protein', 'SPR1', 4, NULL),
(28924, NULL, 'IPR024585', NULL, 'Domain of unknown function DUF3385,  target of rapamycin protein', 'DUF3385_TOR', 3, NULL),
(28925, NULL, 'IPR029286', NULL, 'Aurora kinase A and ninein interacting protein', 'AUNIP', 4, NULL),
(28926, NULL, 'IPR027785', NULL, 'UvrD-like helicase C-terminal domain', 'UvrD-like_helicase_C', 3, NULL),
(28927, NULL, 'IPR030386', NULL, 'GB1/RHD3-type guanine nucleotide-binding (G) domain', 'G_GB1_RHD3_dom', 3, NULL),
(28928, NULL, 'IPR029243', NULL, 'Lantibiotic alpha component', 'Lantibiotic_alpha', 4, NULL),
(28929, NULL, 'IPR029489', NULL, 'O-GlcNAc transferase, C-terminal', 'OGT/SEC/SPY_C', 3, NULL),
(28930, NULL, 'IPR027156', NULL, 'AP-2 complex subunit sigma', 'APS2', 4, NULL),
(28931, NULL, 'IPR029169', NULL, 'PEST proteolytic signal-containing nuclear protein', 'PCNP', 4, NULL),
(28932, NULL, 'IPR029881', NULL, 'Ectonucleotide pyrophosphatase/phosphodiesterase family member 2', 'ENPP2', 4, NULL),
(28933, NULL, 'IPR027555', NULL, 'tRNA (Mo5U34)-methyltransferase-like', 'Mo5U34_MeTrfas-like', 4, NULL),
(28934, NULL, 'IPR029777', NULL, 'Centrosomal protein of 85kDa', 'Cep85', 4, NULL),
(28935, NULL, 'IPR029588', NULL, 'Transient receptor potential cation channel subfamily M member 1', 'TRPM1', 4, NULL),
(28936, NULL, 'IPR030881', NULL, 'DEAD-box ATP-dependent RNA helicase CshB', 'CshB', 4, NULL),
(28937, NULL, 'IPR027017', NULL, 'Uncharacterised peptidase with NlpC/P60 domain, YkfC type', 'P60_peptidase_YkfC', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28938, NULL, 'IPR026870', NULL, 'Zinc-ribbon domain', 'Zinc_ribbon_dom', 3, NULL),
(28939, NULL, 'IPR026919', NULL, 'Adhesion G-protein coupled receptor V1', 'ADGRV1', 4, NULL),
(28940, NULL, 'IPR026864', NULL, 'SH3b2-type SH3 domain', 'SH3b2-type_SH3', 3, NULL),
(28941, NULL, 'IPR026947', NULL, 'Ubinuclein middle domain', 'UBN_middle_dom', 3, NULL),
(28942, NULL, 'IPR024942', NULL, 'Maturase MatK, N-terminal domain', 'Maturase_MatK_N', 3, NULL),
(28943, NULL, 'IPR029594', NULL, 'Transient receptor potential cation channel subfamily M member 2', 'TRPM2', 4, NULL),
(28944, NULL, 'IPR032367', NULL, 'Protein quaking, putative nuclear localisation signal', 'Quaking_NLS', 3, NULL),
(28945, NULL, 'IPR032365', NULL, 'BCL-6 corepressor, PCGF1 binding domain', 'PUFD', 3, NULL),
(28946, NULL, 'IPR024593', NULL, 'Domain of unknown function DUF3444', 'DUF3444', 3, NULL),
(28947, NULL, 'IPR028867', NULL, 'Neuropilin and tolloid-like protein 1', 'NETO1', 4, NULL),
(28948, NULL, 'IPR029173', NULL, 'Transmembrane protein family 171', 'TMEM171', 4, NULL),
(28949, NULL, 'IPR029499', NULL, 'ATP:cob(I)alamin adenosyltransferase, PduO-type', 'PduO-typ', 4, NULL),
(28950, NULL, 'IPR030007', NULL, 'Villin-1', 'Villin-1', 4, NULL),
(28951, NULL, 'IPR029265', NULL, 'Transmembrane protein 51', 'TMEM51', 4, NULL),
(28952, NULL, 'IPR031456', NULL, 'Cap-associated protein Caf20', 'Caf20', 4, NULL),
(28953, NULL, 'IPR029276', NULL, 'Plasminogen-binding protein  PgbA, N-terminal', 'PgbA_N', 3, NULL),
(28954, NULL, 'IPR032368', NULL, 'RPN13, DEUBAD domain', 'RPN13_DEUBAD', 3, NULL),
(28955, NULL, 'IPR024590', NULL, 'RNA helicase HrpA, C-terminal', 'HrpA_C', 3, NULL),
(28956, NULL, 'IPR024584', NULL, 'Tuberin, N-terminal', 'Tuberin_N', 3, NULL),
(28957, NULL, 'IPR026894', NULL, 'DNAJ-containing protein, X-domain', 'DnaJ_X', 3, NULL),
(28958, NULL, 'IPR026914', NULL, 'Calsyntenin', 'Calsyntenin', 4, NULL),
(28959, NULL, 'IPR035927', NULL, 'DUSP-like superfamily', 'DUSP-like_sf', 5, NULL),
(28960, NULL, 'IPR029581', NULL, 'Transient receptor potential cation channel subfamily M member 4', 'TRPM4', 4, NULL),
(28961, NULL, 'IPR029248', NULL, 'Transmembrane protein 107', 'TMEM107', 4, NULL),
(28962, NULL, 'IPR024606', NULL, 'Protein of unknown function DUF3827', 'DUF3827', 4, NULL),
(28963, NULL, 'IPR030775', NULL, 'Epsilon-sarcoglycan', 'SGCE', 4, NULL),
(28964, NULL, 'IPR029268', NULL, 'Small muscular protein Chisel', 'Chisel', 4, NULL),
(28965, NULL, 'IPR024427', NULL, 'Endosialidase, beta barrel domain', 'Endosialidase_beta_barrel', 3, NULL),
(28966, NULL, 'IPR031875', NULL, 'Recombination enhancement, RecA-dependent nuclease', 'RecA_dep_nuc', 4, NULL),
(28967, NULL, 'IPR024588', NULL, 'Inner membrane protein YejM, N-terminal', 'YejM_N', 3, NULL),
(28968, NULL, 'IPR030067', NULL, 'SNF1-related protein kinase regulatory subunit beta-3', 'KINB3', 4, NULL),
(28969, NULL, 'IPR028205', NULL, 'Late cornified envelope protein', 'LCE', 4, NULL),
(28970, NULL, 'IPR029476', NULL, 'Deoxyribonuclease NucA/NucB', 'DNase_NucA_NucB', 4, NULL),
(28971, NULL, 'IPR029021', NULL, 'Protein-tyrosine phosphatase-like', 'Prot-tyrosine_phosphatase-like', 5, NULL),
(28972, NULL, 'IPR027246', NULL, 'Eukaryotic porin/Tom40', 'Porin_Euk/Tom40', 4, NULL),
(28973, NULL, 'IPR031470', NULL, 'Centrosomal protein Cep63/Deup1, N-terminal', 'Cep63/Deup1_N', 3, NULL),
(28974, NULL, 'IPR028347', NULL, 'START domain-containing protein', 'START_dom_prot', 4, NULL),
(28975, NULL, 'IPR031423', NULL, 'Uncharacterised phosphatase SCO2771', 'Phosphatase_SCO2771', 4, NULL),
(28976, NULL, 'IPR027357', NULL, 'DOCKER domain', 'DOCKER_dom', 3, NULL),
(28977, NULL, 'IPR027538', NULL, 'Get 1, fungi', 'Get1_fungi', 4, NULL),
(28978, NULL, 'IPR027458', NULL, 'Pheromone alpha factor receptor, double transmembrane domain superfamily', 'STE2_TM1-TM2_sf', 5, NULL),
(28979, NULL, 'IPR031887', NULL, 'Serologically defined colon cancer antigen 8', 'SDCCAG8', 4, NULL),
(28980, NULL, 'IPR029237', NULL, 'Long chain scorpion toxin family', 'Long_scorpion_toxin', 4, NULL),
(28981, NULL, 'IPR031520', NULL, 'Protein of unknown function DUF4694', 'DUF4694', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(28982, NULL, 'IPR029004', NULL, 'Ribosomal L28e/Mak16', 'L28e/Mak16', 3, NULL),
(28983, NULL, 'IPR029167', NULL, 'Meiotically up-regulated gene 117 protein', 'Mug117', 4, NULL),
(28984, NULL, 'IPR029247', NULL, 'FAM168A/MANI', 'FAM168A/MANI', 4, NULL),
(28985, NULL, 'IPR027208', NULL, 'Spermatogenesis associated 6-like protein', 'SPATA6L', 4, NULL),
(28986, NULL, 'IPR029482', NULL, 'Putative peptidase domain, HRXXH', 'HRXXH', 3, NULL),
(28987, NULL, 'IPR031881', NULL, 'Protein of unknown function DUF4761', 'DUF4761', 4, NULL),
(28988, NULL, 'IPR029295', NULL, 'Snf2, ATP coupling domain', 'SnAC', 3, NULL),
(28989, NULL, 'IPR030502', NULL, 'Coactosin-like protein', 'CLP', 4, NULL),
(28990, NULL, 'IPR029323', NULL, 'Equine arteritis virus, non-structural protein 1', 'EAV_nsp1', 3, NULL),
(28991, NULL, 'IPR031524', NULL, 'Armadillo-like helical domain-containing protein 4', 'ARMH4', 4, NULL),
(28992, NULL, 'IPR030066', NULL, 'Putative phosphatase LSF1, chloroplastic', 'LSF1', 4, NULL),
(28993, NULL, 'IPR031888', NULL, 'Protein of unknown function DUF5068', 'DUF5068', 4, NULL),
(28994, NULL, 'IPR024334', NULL, 'Domain of unknown function DUF3863', 'DUF3863', 3, NULL),
(28995, NULL, 'IPR030571', NULL, 'Kelch-like protein 41', 'KLHL41', 4, NULL),
(28996, NULL, 'IPR026221', NULL, 'Mas-related G protein-coupled receptor H', 'MRGPCRH', 4, NULL),
(28997, NULL, 'IPR028892', NULL, 'Adenine deaminase type 2', 'ADE', 4, NULL),
(28998, NULL, 'IPR029227', NULL, 'Plant antimicrobial peptide', 'Plant_Antimicrobial', 3, NULL),
(28999, NULL, 'IPR026589', NULL, 'Cell division protein FtsP', 'FtsP', 4, NULL),
(29000, NULL, 'IPR027556', NULL, 'Heavy-Cys/GCP-CTERM domain protein', 'Heavy_Cys_GCP', 4, NULL),
(29001, NULL, 'IPR036186', NULL, 'Serpin superfamily', 'Serpin_sf', 5, NULL),
(29002, NULL, 'IPR039639', NULL, 'Protein IDA-like', 'IDA-like', 4, NULL),
(29003, NULL, 'IPR038217', NULL, 'MRG, C-terminal domain superfamily', 'MRG_C_sf', 5, NULL),
(29004, NULL, 'IPR037455', NULL, 'Aerobactin siderophore biosynthesis, IucA/IucC-like', 'LucA/IucC-like', 4, NULL),
(29005, NULL, 'IPR035589', NULL, 'Janus kinase 2, catalytic domain', 'PTKc_Jak2_rpt2', 3, NULL),
(29006, NULL, 'IPR039095', NULL, 'Transcription factor 19, PHD finger', 'TCF19_PHD', 3, NULL),
(29007, NULL, 'IPR040560', NULL, 'Synaptonemal complex protein 2, Spt16M-like domain', 'SYCP2_SLD', 3, NULL),
(29008, NULL, 'IPR039602', NULL, 'Transcriptional regulatory protein Rxt2', 'Rxt2', 4, NULL),
(29009, NULL, 'IPR028973', NULL, 'PhnB-like', 'PhnB-like', 3, NULL),
(29010, NULL, 'IPR036038', NULL, 'Aminotransferase-like, PLP-dependent enzymes', 'Aminotransferase-like', 5, NULL),
(29011, NULL, 'IPR038968', NULL, 'UPF0705 protein C11orf49', 'C11orf49', 4, NULL),
(29012, NULL, 'IPR038917', NULL, 'Malonyl-CoA decarboxylase', 'Malonyl_CoA_deC', 4, NULL),
(29013, NULL, 'IPR039607', NULL, 'VQ motif-containing protein 8/17/18/20/21/25', 'VQ_8/17/18/20/21/25', 4, NULL),
(29014, NULL, 'IPR039303', NULL, 'Coiled-coil domain-containing protein 50', 'CCDC50', 4, NULL),
(29015, NULL, 'IPR039578', NULL, 'Oncostatin-M', 'OSM', 4, NULL),
(29016, NULL, 'IPR038398', NULL, 'NAB co-repressor domain 2 superfamily', 'NCD2_sf', 5, NULL),
(29017, NULL, 'IPR038982', NULL, 'NrpR repressor', 'NrpR', 4, NULL),
(29018, NULL, 'IPR035397', NULL, 'Protein of unknown function DUF5414', 'DUF5414', 4, NULL),
(29019, NULL, 'IPR039619', NULL, 'Membrane-associated kinase regulator 2/5', 'MAKR2/5', 4, NULL),
(29020, NULL, 'IPR039610', NULL, 'VQ motif-containing protein 29', 'VQ29', 4, NULL),
(29021, NULL, 'IPR039669', NULL, 'TRAF family member-associated NF-kappa-B activator', 'TANK', 4, NULL),
(29022, NULL, 'IPR039727', NULL, 'SERRATE/Ars2', 'SE/Ars2', 4, NULL),
(29023, NULL, 'IPR037496', NULL, 'BEN domain-containing protein 6', 'BEND6', 4, NULL),
(29024, NULL, 'IPR039644', NULL, 'High osmolarity signalling protein Sho1', 'Sho1', 4, NULL),
(29025, NULL, 'IPR029444', NULL, 'Integrator complex subunit 5, C-terminal', 'INTS5_C', 3, NULL),
(29026, NULL, 'IPR028987', NULL, 'F-type ATP synthase subunit B-like, membrane domain superfamily', 'ATP_synth_B-like_membr_sf', 5, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29027, NULL, 'IPR028558', NULL, 'Unconventional myosin-IXa', 'MYO9A', 4, NULL),
(29028, NULL, 'IPR028971', NULL, 'NAD-glutamate dehydrogenase', 'NAD-GDH', 4, NULL),
(29029, NULL, 'IPR039016', NULL, 'Reversion-inducing cysteine-rich protein with Kazal motifs', 'RECK', 4, NULL),
(29030, NULL, 'IPR038400', NULL, 'Non-structural protein NSP3, SUD-M domain superfamily, betacoronavirus', 'NSP3_SUD-M_sf_bCoV', 5, NULL),
(29031, NULL, 'IPR038919', NULL, 'Stb2/Stb6', 'Stb2/Stb6', 4, NULL),
(29032, NULL, 'IPR037893', NULL, 'Calcyclin-binding Protein, CS domain', 'CS_CacyBP', 3, NULL),
(29033, NULL, 'IPR032713', NULL, 'Putative multidrug resistance efflux transporter', 'EmrE', 4, NULL),
(29034, NULL, 'IPR037232', NULL, 'NADH:ubiquinone oxidoreductase, 30kDa subunit superfamily', 'NADH_quin_OxRdtase_su_C/D-like', 5, NULL),
(29035, NULL, 'IPR032722', NULL, 'Deaminase, Xanthomonas XOO_2897-like', 'Deaminase_XOO_2897', 4, NULL),
(29036, NULL, 'IPR027563', NULL, 'Pyridoxal-phosphate-dependent protein EgtE', 'EgtE', 4, NULL),
(29037, NULL, 'IPR024886', NULL, 'Bone marrow stromal antigen 2', 'BST2', 4, NULL),
(29038, NULL, 'IPR039952', NULL, 'G-protein coupled receptor Aex-2', 'Aex-2', 4, NULL),
(29039, NULL, 'IPR032681', NULL, 'HlyD family secretion protein', 'HlyD_2', 4, NULL),
(29040, NULL, 'IPR029882', NULL, 'Rabaptin-5beta', 'Rabaptin-5beta', 4, NULL),
(29041, NULL, 'IPR032696', NULL, 'Squalene cyclase, C-terminal', 'SQ_cyclase_C', 3, NULL),
(29042, NULL, 'IPR037735', NULL, 'Cadmium-induced protein AS8-like', 'AS8-like', 4, NULL),
(29043, NULL, 'IPR029584', NULL, 'Coiled-coil domain-containing protein 166', 'CCDC166', 4, NULL),
(29044, NULL, 'IPR039625', NULL, 'Transmembrane protein 178A/B', 'T178A/B', 4, NULL),
(29045, NULL, 'IPR029937', NULL, 'MICAL1', 'MICAL1', 4, NULL),
(29046, NULL, 'IPR028631', NULL, 'Adrenocortical dysplasia protein', 'ACD', 4, NULL),
(29047, NULL, 'IPR024884', NULL, 'N-acyl-phosphatidylethanolamine-hydrolysing phospholipase D', 'NAPE-PLD', 4, NULL),
(29048, NULL, 'IPR028648', NULL, 'Vacuolar protein sorting-associated protein 5-like', 'Vps5-like', 4, NULL),
(29049, NULL, 'IPR034231', NULL, 'Ephrin type-B receptor 1, ligand binding domain', 'EphB1_rcpt_lig-bd', 3, NULL),
(29050, NULL, 'IPR028741', NULL, 'Serine/threonine-protein kinase LATS1', 'LATS1', 4, NULL),
(29051, NULL, 'IPR036635', NULL, 'UDP-N-acetylenolpyruvoylglucosamine reductase, C-terminal domain superfamily', 'MurB_C_sf', 5, NULL),
(29052, NULL, 'IPR037543', NULL, 'Prokaryotic ubiquitin-like protein UBact', 'UBact', 4, NULL),
(29053, NULL, 'IPR039601', NULL, 'RNA polymerase I-specific transcription initiation factor Rrn5', 'Rrn5', 4, NULL),
(29054, NULL, 'IPR040387', NULL, 'RPM1-interacting protein 4/NOI4', 'RIN4/NOI4', 4, NULL),
(29055, NULL, 'IPR037089', NULL, 'Methylene-tetrahydromethanopterin dehydrogenase, N-terminal domain superfamily', 'Methyl-teptahyd_DH_N_sf', 5, NULL),
(29056, NULL, 'IPR032682', NULL, 'Condensin complex subunit 1, C-terminal', 'Cnd1_C', 3, NULL),
(29057, NULL, 'IPR038224', NULL, 'SATB, ULD domain superfamily', 'SATB_ULD_sf', 5, NULL),
(29058, NULL, 'IPR039304', NULL, 'Dynein assembly factor 3, axonemal', 'DNAAF3', 4, NULL),
(29059, NULL, 'IPR033649', NULL, 'LigD polymerase domain, MtLigD-type', 'MtLigD_Pol-like', 3, NULL),
(29060, NULL, 'IPR034974', NULL, 'Synaptojanin-2', 'SYNJ2', 4, NULL),
(29061, NULL, 'IPR038388', NULL, 'RcsC, C-terminal domain superfamily', 'RcsC_C_sf', 5, NULL),
(29062, NULL, 'IPR037395', NULL, 'GSK3B-interacting protein', 'GSKIP', 4, NULL),
(29063, NULL, 'IPR033473', NULL, 'Protein FAM214/SPAC3H8.04, C-terminal', 'FAM214/SPAC3H8.04_C', 3, NULL),
(29064, NULL, 'IPR035683', NULL, 'Smoothened, transmembrane domain', 'SMO_7TM', 3, NULL),
(29065, NULL, 'IPR040555', NULL, 'Cas9, PI domain', 'Cas9_PI2', 3, NULL),
(29066, NULL, 'IPR039603', NULL, 'Protein Fyv4', 'Fyv4', 4, NULL),
(29067, NULL, 'IPR040556', NULL, 'Predicted pPIWI-associating nuclease', 'pP_pnuc_1', 3, NULL),
(29068, NULL, 'IPR028743', NULL, 'Insulin-like growth factor 2 mRNA-binding protein 2', 'IGF2BP2', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29069, NULL, 'IPR038396', NULL, 'SpoIIAA-like superfamily', 'SpoIIAA-like_sf', 5, NULL),
(29070, NULL, 'IPR027602', NULL, 'Poly-gamma-glutamate system protein', 'PGA_system', 4, NULL),
(29071, NULL, 'IPR036276', NULL, 'T4 RNase H, C-terminal', 'T4_RNaseH_C', 3, NULL),
(29072, NULL, 'IPR039681', NULL, 'Interleukin-18-binding protein', 'IL18BP', 4, NULL),
(29073, NULL, 'IPR035390', NULL, 'Thiol-activated cytolysin C-terminal', 'Thiol_cytolys_C', 3, NULL),
(29074, NULL, 'IPR033600', NULL, 'Ras association domain-containing protein 1', 'RASSF1', 4, NULL),
(29075, NULL, 'IPR040029', NULL, 'Uncharacterized protein C14orf28-like', 'C14orf28-like', 4, NULL),
(29076, NULL, 'IPR033899', NULL, 'CXC Chemokine domain', 'CXC_Chemokine_domain', 3, NULL),
(29077, NULL, 'IPR038926', NULL, 'Centrosomal protein of 55kDa', 'CEP55', 4, NULL),
(29078, NULL, 'IPR033594', NULL, 'DNA endonuclease RBBP8', 'RBBP8', 4, NULL),
(29079, NULL, 'IPR029214', NULL, 'FAM183 family', 'FAM183', 4, NULL),
(29080, NULL, 'IPR029157', NULL, 'Centrosomal CEP44 domain', 'CEP44_CC', 3, NULL),
(29081, NULL, 'IPR039611', NULL, 'VQ motif-containing protein 4/11/13/19/31/33', 'VQ_4/11/13/19/31/33', 4, NULL),
(29082, NULL, 'IPR032716', NULL, 'Biotin-dependent acetyl-/propionyl-coenzyme A carboxylase epsilon subunit', 'ACC_epsilon', 4, NULL),
(29083, NULL, 'IPR039655', NULL, 'HMG box-containing protein 1', 'HBP1', 4, NULL),
(29084, NULL, 'IPR039091', NULL, 'Aryl hydrocarbon receptor/Aryl hydrocarbon receptor repressor', 'AHR/AHRR', 4, NULL),
(29085, NULL, 'IPR039319', NULL, 'Protein EARLY FLOWERING 3-like', 'ELF3-like', 4, NULL),
(29086, NULL, 'IPR029875', NULL, 'Rho-associated protein kinase LET-502', 'LET-502', 4, NULL),
(29087, NULL, 'IPR037088', NULL, 'Vitellinogen, beta-sheet shell domain superfamily', 'Vitellinogen_b-sht_shell_sf', 5, NULL),
(29088, NULL, 'IPR039090', NULL, 'T-cell antigen CD7', 'CD7', 4, NULL),
(29089, NULL, 'IPR033180', NULL, 'Metacaspase type I, plant', 'Metacaspase_type_1_plant', 4, NULL),
(29090, NULL, 'IPR028269', NULL, 'AP-4 complex subunit epsilon-1, C-terminal', 'AP4E1_C', 3, NULL),
(29091, NULL, 'IPR039305', NULL, 'Protein PIN-LIKES 2/6', 'PILS2/6', 4, NULL),
(29092, NULL, 'IPR034324', NULL, 'Protein male abnormal 21-like 3', 'Mab-21-like_3', 4, NULL),
(29093, NULL, 'IPR039757', NULL, 'Eukaryotic translation initiation factor 2D', 'EIF2D', 4, NULL),
(29094, NULL, 'IPR036028', NULL, 'SH3-like domain superfamily', 'SH3-like_dom_sf', 5, NULL),
(29095, NULL, 'IPR032243', NULL, 'Protein of unknown function DUF5044', 'DUF5044', 4, NULL),
(29096, NULL, 'IPR029221', NULL, 'Penicillin-binding protein Tp47 domain A', 'PBP-Tp47_A', 3, NULL),
(29097, NULL, 'IPR036279', NULL, '5''-3'' exonuclease, C-terminal domain superfamily', '5-3_exonuclease_C_sf', 5, NULL),
(29098, NULL, 'IPR039651', NULL, 'Protein FixC-like', 'FixC-like', 4, NULL),
(29099, NULL, 'IPR039009', NULL, 'Capsid Gp10A/Gp10B', 'Capsid_Gp10A/Gp10B', 3, NULL),
(29100, NULL, 'IPR039648', NULL, 'Pyridine nucleotide-disulphide oxidoreductase, N-terminal', 'DHPH_N', 3, NULL),
(29101, NULL, 'IPR036993', NULL, 'ABL interactor 2', 'ABI2', 4, NULL),
(29102, NULL, 'IPR039632', NULL, 'Transmembrane protein 42', 'TMEM42', 4, NULL),
(29103, NULL, 'IPR039088', NULL, 'C-X-C motif chemokine 14', 'CXCL14', 4, NULL),
(29104, NULL, 'IPR040557', NULL, 'VIP1, N-terminal', 'VIP1_N', 3, NULL),
(29105, NULL, 'IPR039759', NULL, 'Eukaryotic translation initiation factor 2D, SUI1 domain', 'eIF2D_SUI1', 3, NULL),
(29106, NULL, 'IPR038254', NULL, 'DNA/RNA-binding protein KIN17, WH-like domain superfamily', 'KIN17_WH-like_sf', 5, NULL),
(29107, NULL, 'IPR039627', NULL, 'Mitochondrial escape protein 2', 'Yme2_C', 4, NULL),
(29108, NULL, 'IPR036034', NULL, 'PDZ superfamily', 'PDZ_sf', 5, NULL),
(29109, NULL, 'IPR040561', NULL, 'Large polyvalent protein associated domain 38', 'LPD38', 3, NULL),
(29110, NULL, 'IPR039386', NULL, 'Homoaconitase, swivel domain', 'Homoaconitase_swivel', 3, NULL),
(29111, NULL, 'IPR033019', NULL, 'Neural cell adhesion molecule 1', 'Ncam1', 4, NULL),
(29112, NULL, 'IPR037970', NULL, 'IRAK4, Death domain', 'IRAK4_Death', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29113, NULL, 'IPR037457', NULL, 'M28 Zn-Peptidase Glutaminyl Cyclase', 'M28_QC', 3, NULL),
(29114, NULL, 'IPR037470', NULL, 'Protein IVY1', 'IVY1', 4, NULL),
(29115, NULL, 'IPR029159', NULL, 'Casein Kinase 2 substrate', 'CK2S', 4, NULL),
(29116, NULL, 'IPR039650', NULL, 'H(2):CoB-CoM heterodisulfide,ferredoxin reductase subunit A-like', 'HdrA-like', 4, NULL),
(29117, NULL, 'IPR028753', NULL, 'Synaptopodin', 'Synpo', 4, NULL),
(29118, NULL, 'IPR038385', NULL, 'Threonylcarbamoyl-AMP synthase, C-terminal domain superfamily', 'Sua5/YwlC_C', 5, NULL),
(29119, NULL, 'IPR038640', NULL, 'Benzylsuccinate synthase gamma subunit superfamily', 'BssC_sf', 5, NULL),
(29120, NULL, 'IPR039544', NULL, 'Tim44-like', 'Tim44-like', 4, NULL),
(29121, NULL, 'IPR024881', NULL, 'T-cell immunomodulatory protein', 'Tip', 4, NULL),
(29122, NULL, 'IPR039569', NULL, 'N-terminal of MaoC-like dehydratase', 'MaoC-like_dehydrat_N', 3, NULL),
(29123, NULL, 'IPR036191', NULL, 'RRF superfamily', 'RRF_sf', 5, NULL),
(29124, NULL, 'IPR032718', NULL, 'PiggyBac transposable element-derived protein 4, C-terminal zinc-ribbon', 'PGBD4_C_Znf-ribbon', 3, NULL),
(29125, NULL, 'IPR029200', NULL, 'Transmembrane protein 247', 'TMEM247', 4, NULL),
(29126, NULL, 'IPR037525', NULL, 'Velvet domain', 'Velvet_dom', 3, NULL),
(29127, NULL, 'IPR037523', NULL, 'Vicinal oxygen chelate (VOC) domain', 'VOC', 3, NULL),
(29128, NULL, 'IPR039539', NULL, 'Ras GTPase-activating protein-binding protein', 'Ras_GTPase_bind_prot', 4, NULL),
(29129, NULL, 'IPR037977', NULL, 'Afadin, cargo binding domain', 'CBD_Afadin', 3, NULL),
(29130, NULL, 'IPR037734', NULL, 'Thylakoid lumenal 17.9kDa protein', 'Thylakoid_lumenal_17.9', 4, NULL),
(29131, NULL, 'IPR032697', NULL, 'Squalene cyclase, N-terminal', 'SQ_cyclase_N', 3, NULL),
(29132, NULL, 'IPR035961', NULL, 'Rhabdovirus nucleoprotein-like', 'Rhabdovirus_nucleoprotein-like', 5, NULL),
(29133, NULL, 'IPR034081', NULL, 'AAA domain-containing protein, R3H domain', 'R3H_AAA', 3, NULL),
(29134, NULL, 'IPR038631', NULL, 'Herpesvirus Glycoprotein B, PH-like domain 2 superfamily', 'Glycoprot_B_PH2_sf', 5, NULL),
(29135, NULL, 'IPR029874', NULL, 'Filamin-B', 'FLNB', 4, NULL),
(29136, NULL, 'IPR029591', NULL, 'SHC-transforming protein 2', 'SHC2', 4, NULL),
(29137, NULL, 'IPR038253', NULL, 'SRP68, N-terminal domain superfamily', 'SRP68_N_sf', 5, NULL),
(29138, NULL, 'IPR039612', NULL, 'VQ motif-containing protein 5/9/14', 'VQ_5/9/14', 4, NULL),
(29139, NULL, 'IPR034139', NULL, 'OLD protein-like, TOPRIM domain', 'TOPRIM_OLD', 3, NULL),
(29140, NULL, 'IPR035392', NULL, 'Protein of unknown function DUF5417', 'DUF5417', 4, NULL),
(29141, NULL, 'IPR032683', NULL, 'Malate dehydrogenase enzyme, N-terminal', 'Malate_DH', 3, NULL),
(29142, NULL, 'IPR029884', NULL, 'ORM1-like protein 1', 'ORML1', 4, NULL),
(29143, NULL, 'IPR032738', NULL, 'TBC1 domain family member 30, C-terminal', 'Tbc1d30_C', 3, NULL),
(29144, NULL, 'IPR032711', NULL, 'Ig-like SoxY domain', 'SoxY', 3, NULL),
(29145, NULL, 'IPR037505', NULL, 'pH-response regulator protein palC', 'pH-resp_palC', 4, NULL),
(29146, NULL, 'IPR038634', NULL, 'Alphacoronavirus nsp1 domain superfamily', 'A-CoV_nsp1_sf', 5, NULL),
(29147, NULL, 'IPR033476', NULL, 'ATG4.1 peptidase', 'ATG4_1', 4, NULL),
(29148, NULL, 'IPR038916', NULL, 'Protein FAM118', 'FAM118', 4, NULL),
(29149, NULL, 'IPR039798', NULL, 'Sulfhydryl oxidase', 'Sulfhydryl_oxidase', 4, NULL),
(29150, NULL, 'IPR032717', NULL, 'Mitochondrial splicing suppressor 51, zinc-finger', 'Mss51_Znf', 3, NULL),
(29151, NULL, 'IPR036638', NULL, 'Helix-loop-helix DNA-binding domain superfamily', 'HLH_DNA-bd_sf', 5, NULL),
(29152, NULL, 'IPR027484', NULL, 'Phosphatidylinositol-4-phosphate 5-kinase, N-terminal', 'PInositol-4-P-5-kinase_N', 5, NULL),
(29153, NULL, 'IPR039661', NULL, 'ELP3/YhcC', 'ELP3', 4, NULL),
(29154, NULL, 'IPR035652', NULL, 'RasGAP, SH3 domain', 'RasGAP_SH3', 3, NULL),
(29155, NULL, 'IPR039645', NULL, 'Coactosin', 'CoaA', 4, NULL),
(29156, NULL, 'IPR038920', NULL, 'BTB/POZ domain-containing protein', 'BTB/POZ_dom_prot', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29157, NULL, 'IPR029196', NULL, 'Protein of unknown function DUF4588', 'DUF4588', 4, NULL),
(29158, NULL, 'IPR036640', NULL, 'ABC transporter type 1, transmembrane domain superfamily', 'ABC1_TM_sf', 5, NULL),
(29159, NULL, 'IPR039635', NULL, 'Endoplasmic reticulum membrane-associated RNA degradation protein', 'ERMARD', 4, NULL),
(29160, NULL, 'IPR033897', NULL, 'MADS SRF-like', 'MADS_SRF-like', 3, NULL),
(29161, NULL, 'IPR028271', NULL, 'RNA guanine-N7 methyltransferase activating subunit', 'RAMAC', 4, NULL),
(29162, NULL, 'IPR039391', NULL, 'Phytocyanin', 'Phytocyanin', 4, NULL),
(29163, NULL, 'IPR029160', NULL, 'CCSMST1 family', 'CCSMST1_fam', 4, NULL),
(29164, NULL, 'IPR024885', NULL, 'Neuronatin', 'Neuronatin', 4, NULL),
(29165, NULL, 'IPR038516', NULL, 'AAR2, N-terminal domain superfamily', 'AAR2_N_sf', 5, NULL),
(29166, NULL, 'IPR028554', NULL, 'Ras GTPase-activating protein 1', 'p120-RasGAP', 4, NULL),
(29167, NULL, 'IPR033247', NULL, 'Transketolase family', 'Transketolase_fam', 4, NULL),
(29168, NULL, 'IPR039763', NULL, 'Protein-glutamate O-methyltransferase', 'ARMT1', 4, NULL),
(29169, NULL, 'IPR033926', NULL, 'NFkappaB IPT domain', 'IPT_NFkappaB', 3, NULL),
(29170, NULL, 'IPR038630', NULL, 'Ribosomal protein L24e/L24 superfamily', 'L24e/L24_sf', 5, NULL),
(29171, NULL, 'IPR037739', NULL, 'Uncharacterized protein C6orf141', 'C6orf141', 4, NULL),
(29172, NULL, 'IPR039363', NULL, 'Zinc finger protein 750', 'ZNF750', 4, NULL),
(29173, NULL, 'IPR028632', NULL, 'Alcohol dehydrogenase family, zinc-type, class-II subfamily', 'Zinc_ADH_II', 4, NULL),
(29174, NULL, 'IPR039653', NULL, 'Prenyltransferase', 'Prenyltransferase', 4, NULL),
(29175, NULL, 'IPR036069', NULL, 'GTP cyclohydrolase 1 type 2/Nif3 superfamily', 'GTP_cyclohydrolase_I/Nif3_sf', 5, NULL),
(29176, NULL, 'IPR039580', NULL, 'Transcriptional and immune response regulator', 'Tcim', 4, NULL),
(29177, NULL, 'IPR033391', NULL, 'Fructose-1-6-bisphosphatase class I, N-terminal', 'FBPase_N', 3, NULL),
(29178, NULL, 'IPR039300', NULL, 'Protein JASON', 'JASON', 4, NULL),
(29179, NULL, 'IPR039608', NULL, 'VQ motif-containing protein 1/10', 'VQ_1/10', 4, NULL),
(29180, NULL, 'IPR037533', NULL, 'Matrix protein 1', 'INFV_M1', 4, NULL),
(29181, NULL, 'IPR040022', NULL, 'Uncharacterized protein C9orf153-like', 'C9orf153-like', 4, NULL),
(29182, NULL, 'IPR032242', NULL, 'Protein of unknown function DUF5043', 'DUF5043', 4, NULL),
(29183, NULL, 'IPR027577', NULL, '5-histidylcysteine sulfoxide synthase', 'OvoA_Nterm', 4, NULL),
(29184, NULL, 'IPR034969', NULL, 'hnRNPH3, RNA recognition motif 3', 'hnRNPH3_RRM3', 3, NULL),
(29185, NULL, 'IPR037872', NULL, 'Rab3', 'Rab3', 4, NULL),
(29186, NULL, 'IPR039566', NULL, 'Conserved virulence factor B, S1 domain', 'CvfB_S1', 3, NULL),
(29187, NULL, 'IPR039321', NULL, 'Increased DNA methylation 2/3-like', 'IDM2/3-like', 4, NULL),
(29188, NULL, 'IPR039387', NULL, 'Protocatechuate 3,4-dioxygenase', '3_4-PCD', 4, NULL),
(29189, NULL, 'IPR038632', NULL, 'Zinc finger FYVE 21, C-terminal domain superfamily', 'ZFYVE21_C_sf', 5, NULL),
(29190, NULL, 'IPR034238', NULL, 'Ephrin type-B receptor 2, ligand binding domain', 'EphB2_rcpt_lig-bd', 3, NULL),
(29191, NULL, 'IPR032715', NULL, 'Nuclear receptor coactivator 6, putative nucleic acid-binding region', 'NCOA6_nucleic_acid-bd', 3, NULL),
(29192, NULL, 'IPR037465', NULL, 'Uncharacterized protein YlxR', 'YlxR', 4, NULL),
(29193, NULL, 'IPR027583', NULL, 'Radical SAM/SPASM domain protein, ACGX system', 'rSAM_ACGX', 4, NULL),
(29194, NULL, 'IPR027485', NULL, 'AMMECR1, N-terminal', 'AMMECR1_N', 5, NULL),
(29195, NULL, 'IPR033925', NULL, 'Rad51/DMC1/RadA', 'Rad51_DMC1_RadA', 3, NULL),
(29196, NULL, 'IPR035970', NULL, 'Ribosomal protein L19/L19e superfamily', '60S_ribosomal_L19/L19e_sf', 5, NULL),
(29197, NULL, 'IPR035093', NULL, 'Toxin-antitoxin system, RelE/ParE toxin domain superfamily', 'RelE/ParE_toxin_dom_sf', 5, NULL),
(29198, NULL, 'IPR038404', NULL, 'TRAP transporter solute receptor DctP superfamily', 'TRAP_DctP_sf', 5, NULL),
(29199, NULL, 'IPR029203', NULL, 'Protein of unknown function DUF4531', 'DUF4531', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29200, NULL, 'IPR036024', NULL, 'Somatomedin B-like domain superfamily', 'Somatomedin_B-like_dom_sf', 5, NULL),
(29201, NULL, 'IPR039313', NULL, 'Protein HEAT INTOLERANT 4', 'HIT4', 4, NULL),
(29202, NULL, 'IPR038227', NULL, 'PCGF Ub-like fold discriminator superfamily', 'PUFD_som_sf', 5, NULL),
(29203, NULL, 'IPR034972', NULL, 'Synaptojanin-1', 'SYNJ1', 4, NULL),
(29204, NULL, 'IPR039568', NULL, 'Peptidase MA-like', 'Peptidase_MA-like', 3, NULL),
(29205, NULL, 'IPR037975', NULL, 'Class XI myosin, cargo binding domain', 'MyosinXI_CBD', 3, NULL),
(29206, NULL, 'IPR039087', NULL, 'Deubiquitinating protein VCPIP1', 'VCPIP1', 4, NULL),
(29207, NULL, 'IPR039618', NULL, 'CLAVATA3/ESR (CLE)-related protein 9/10/11/12/13', 'CLE9/10/11/12/13', 4, NULL),
(29208, NULL, 'IPR039629', NULL, 'R3H domain-containing protein 4', 'R3HDM4', 4, NULL),
(29209, NULL, 'IPR039093', NULL, 'Protein XRP2', 'XRP2', 4, NULL),
(29210, NULL, 'IPR027596', NULL, 'AmmeMemoRadiSam system radical SAM enzyme', 'AmmeMemoSam_rS', 4, NULL),
(29211, NULL, 'IPR034079', NULL, 'Jag, R3H domain', 'R3H_Jag', 3, NULL),
(29212, NULL, 'IPR039620', NULL, 'BKI1/Probable membrane-associated kinase regulator 1/3/4', 'BKI1/MAKR1/3/4', 4, NULL),
(29213, NULL, 'IPR035656', NULL, 'Nostrin, SH3 domain', 'Nostrin_SH3', 3, NULL),
(29214, NULL, 'IPR037909', NULL, 'SNX19, PX domain', 'SNX19_PX', 3, NULL),
(29215, NULL, 'IPR039573', NULL, 'NS2A-like', 'NS2A-like', 3, NULL),
(29216, NULL, 'IPR039299', NULL, 'Protein SIEVE ELEMENT OCCLUSION', 'SEOA', 4, NULL),
(29217, NULL, 'IPR037907', NULL, 'Vps17, PX domain', 'Vps17_PX', 3, NULL),
(29218, NULL, 'IPR027601', NULL, 'Cys-rich peptide, Clo7bot family', 'Clo7Bot_mod_Cys', 4, NULL),
(29219, NULL, 'IPR032720', NULL, 'Cysteine-rich CWC', 'Cys_rich_CWC', 4, NULL),
(29220, NULL, 'IPR028635', NULL, 'Alcohol dehydrogenase family, zinc-type, class-IV subfamily', 'Zinc_ADH_IV', 4, NULL),
(29221, NULL, 'IPR024438', NULL, 'Staygreen protein', 'Staygreen', 3, NULL),
(29222, NULL, 'IPR038222', NULL, 'DHHA2 domain superfamily', 'DHHA2_dom_sf', 5, NULL),
(29223, NULL, 'IPR039624', NULL, 'Stress-induced protein KIN1/KIN2', 'KIN1/KIN2', 4, NULL),
(29224, NULL, 'IPR039311', NULL, 'FAM187A/B', 'FAM187A/B', 4, NULL),
(29225, NULL, 'IPR039614', NULL, 'Protein PLASTID MOVEMENT IMPAIRED 1-like', 'PMI1-like', 4, NULL),
(29226, NULL, 'IPR024882', NULL, 'Nucleoporin p58/p45', 'Nucleoporin_p58/p45', 4, NULL),
(29227, NULL, 'IPR039634', NULL, 'Bul1-like', 'Bul1-like', 4, NULL),
(29228, NULL, 'IPR032238', NULL, 'Putative ATP-synthase-associated protein', 'ATP-synth_Z', 4, NULL),
(29229, NULL, 'IPR040552', NULL, 'DNMT3, cysteine rich ADD domain', 'DNMT3_ADD', 3, NULL),
(29230, NULL, 'IPR038389', NULL, 'Proteasome assembly chaperone 2 superfamily', 'PSMG2_sf', 5, NULL),
(29231, NULL, 'IPR034970', NULL, 'hnRNPH3, RNA recognition motif 2', 'hnRNPH3_RRM2', 3, NULL),
(29232, NULL, 'IPR029205', NULL, 'Aftiphilin, clathrin-binding box', 'Clathrin-bd', 3, NULL),
(29233, NULL, 'IPR039561', NULL, 'Peptidase M15C', 'Peptidase_M15C', 3, NULL),
(29234, NULL, 'IPR033876', NULL, 'Secreted aspartic endopeptidase', 'SAP-like', 3, NULL),
(29235, NULL, 'IPR039567', NULL, 'Glycine zipper domain', 'Gly-zipper', 3, NULL),
(29236, NULL, 'IPR039570', NULL, 'AmiC, periplasmic binding domain', 'AmiC_PBP1', 3, NULL),
(29237, NULL, 'IPR039310', NULL, 'UBA-like domain-containing protein 1/2', 'UBALD1/2', 4, NULL),
(29238, NULL, 'IPR029436', NULL, 'Eukaryotic glycogen debranching enzyme, N-terminal domain', 'AGL_euk_N', 3, NULL),
(29239, NULL, 'IPR027153', NULL, 'Transcription factor SOX-6', 'SOX-6', 4, NULL),
(29240, NULL, 'IPR029434', NULL, 'Putative transcriptional regulator', 'Put_trans_reg', 4, NULL),
(29241, NULL, 'IPR029586', NULL, 'SHC-transforming protein 1', 'Shc1/ShcA', 4, NULL),
(29242, NULL, 'IPR038915', NULL, 'Proline-rich protein 29-like', 'PRR29-like', 4, NULL),
(29243, NULL, 'IPR037971', NULL, 'Ankyrin-3, death domain', 'Ank3_Death', 3, NULL),
(29244, NULL, 'IPR039606', NULL, 'Phytol/farnesol kinase', 'Phytol/farnesol_kinase', 4, NULL),
(29245, NULL, 'IPR039626', NULL, 'Nucleolar protein 7', 'NOL7', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29246, NULL, 'IPR040553', NULL, 'Toxoflavin-degrading enzyme', 'TxDE', 3, NULL),
(29247, NULL, 'IPR037091', NULL, 'Penicillin-binding protein 4, C-terminal domain superfamily', 'Pen-bd_prot4_C_dom_sf', 5, NULL),
(29248, NULL, 'IPR039316', NULL, 'CLAVATA3/ESR (CLE)-related protein 25/26', 'CLE25/26', 4, NULL),
(29249, NULL, 'IPR027603', NULL, 'Putative transferase, LIC12162 family', 'LIC12162', 4, NULL),
(29250, NULL, 'IPR039306', NULL, 'Myosin-binding protein', 'MYOB', 4, NULL),
(29251, NULL, 'IPR039799', NULL, 'Sulfhydryl oxidase ALR/ERV', 'ALR/ERV', 4, NULL),
(29252, NULL, 'IPR040549', NULL, 'Domain of unknown function DUF5613', 'DUF5613', 3, NULL),
(29253, NULL, 'IPR039524', NULL, 'GPI ethanolamine phosphate transferase 3', 'PIGO/GPI13', 4, NULL),
(29254, NULL, 'IPR039617', NULL, 'CLAVATA3/ESR (CLE)-related protein', 'CLAVATA3-CLE', 4, NULL),
(29255, NULL, 'IPR035539', NULL, 'Protein of unknown function DUF5387', 'DUF5387', 4, NULL),
(29256, NULL, 'IPR032694', NULL, 'Copper transport protein C/D', 'CopC/D', 4, NULL),
(29257, NULL, 'IPR029596', NULL, 'SHC-transforming protein 4', 'SHC4', 4, NULL),
(29258, NULL, 'IPR032708', NULL, 'Microcin J25-processing protein McjB, C-terminal', 'McjB_C', 3, NULL),
(29259, NULL, 'IPR036188', NULL, 'FAD/NAD(P)-binding domain superfamily', 'FAD/NAD-bd_sf', 5, NULL),
(29260, NULL, 'IPR028646', NULL, 'Sorting nexin-18', 'SNX18', 4, NULL),
(29261, NULL, 'IPR028740', NULL, 'LIM domain and actin-binding protein 1', 'EPLIN', 4, NULL),
(29262, NULL, 'IPR034160', NULL, 'DNA gyrase subunit B, TOPRIM domain', 'TOPRIM_GyrB', 3, NULL),
(29263, NULL, 'IPR040548', NULL, 'BepA, intracellular delivery domain', 'BepA_ID', 3, NULL),
(29264, NULL, 'IPR039616', NULL, 'CLAVATA3/ESR (CLE)-related protein 1/3/4', 'CLE1/3/4', 4, NULL),
(29265, NULL, 'IPR038014', NULL, 'Ino80 subunit 1', 'Ies1', 4, NULL),
(29266, NULL, 'IPR038383', NULL, 'CGT/MARTX, cysteine protease (CPD) domain superfamily', 'CPD_dom_sf', 5, NULL),
(29267, NULL, 'IPR036047', NULL, 'F-box-like domain superfamily', 'F-box-like_dom_sf', 5, NULL),
(29268, NULL, 'IPR032693', NULL, 'YtkA-like domain', 'YtkA-like_dom', 3, NULL),
(29269, NULL, 'IPR028745', NULL, 'A-kinase anchor protein 9/Pericentrin', 'AKAP9/Pericentrin', 4, NULL),
(29270, NULL, 'IPR029446', NULL, 'Coatomer beta subunit, appendage platform domain', 'COPB1_appendage_platform_dom', 3, NULL),
(29271, NULL, 'IPR027595', NULL, 'Conserved hypothetical protein CHP04338', 'CHP04338', 4, NULL),
(29272, NULL, 'IPR035969', NULL, 'Rab-GTPase-TBC domain superfamily', 'Rab-GTPase_TBC_sf', 5, NULL),
(29273, NULL, 'IPR037090', NULL, 'Glycoside hydrolase families 57, central domain', '57_glycoside_trans_central', 5, NULL),
(29274, NULL, 'IPR032460', NULL, 'Symplekin/Pta1, N-terminal', 'Symplekin/Pta1_N', 3, NULL),
(29275, NULL, 'IPR029582', NULL, 'Basal body-orientation factor 1', 'Bbof1', 4, NULL),
(29276, NULL, 'IPR039913', NULL, 'RNA polymerase II-associated protein RPAP1/Rba50', 'RPAP1/Rba50', 4, NULL),
(29277, NULL, 'IPR037534', NULL, 'Polymerase acidic protein', 'INFV_PA', 4, NULL),
(29278, NULL, 'IPR039307', NULL, 'GPI-anchored protein LORELEI-like', 'LORELEI-like', 4, NULL),
(29279, NULL, 'IPR024883', NULL, 'Neurensin', 'Neurensin', 4, NULL),
(29280, NULL, 'IPR029161', NULL, 'Spermatogenesis-associated protein 16', 'SPATA16', 4, NULL),
(29281, NULL, 'IPR039543', NULL, 'Lipid-binding protein POX18/UbiT/NSL-TP1', 'POX18/UbiT/NSL-TP1', 4, NULL),
(29282, NULL, 'IPR039060', NULL, 'Antitoxin HigA', 'Antitox_HigA', 4, NULL),
(29283, NULL, 'IPR039089', NULL, 'Immunoglobulin superfamily member 6', 'IGSF6', 4, NULL),
(29284, NULL, 'IPR029198', NULL, 'AJAP1/PANP, C-terminal', 'AJAP1_PANP_C', 3, NULL),
(29285, NULL, 'IPR032712', NULL, 'AsmA-like, C-terminal', 'AsmA_C', 3, NULL),
(29286, NULL, 'IPR033145', NULL, 'Cathepsin E', 'Cathepsin_E', 4, NULL),
(29287, NULL, 'IPR039302', NULL, 'Microtubule associated protein 10', 'MAP10', 4, NULL),
(29288, NULL, 'IPR037531', NULL, 'Protein P', 'HBV_DPOL', 4, NULL),
(29289, NULL, 'IPR028644', NULL, 'Sorting nexin-9', 'SNX9', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29290, NULL, 'IPR029208', NULL, 'Cytochrome c oxidase assembly protein COX14', 'COX14', 4, NULL),
(29291, NULL, 'IPR027580', NULL, 'EXLDI protein', 'EXLDI', 4, NULL),
(29292, NULL, 'IPR035954', NULL, 'MTH677-like superfamily', 'MTH677-like_sf', 5, NULL),
(29293, NULL, 'IPR037738', NULL, 'Protein Ecm13-like', 'Ecm13-like', 4, NULL),
(29294, NULL, 'IPR039663', NULL, 'AIP/AIPL1', 'AIP/AIPL1', 4, NULL),
(29295, NULL, 'IPR028633', NULL, 'Alcohol dehydrogenase 6', 'ADH6', 4, NULL),
(29296, NULL, 'IPR035588', NULL, 'Janus kinase 2, pseudokinase domain', 'PTK_Jak2_rpt1', 3, NULL),
(29297, NULL, 'IPR039385', NULL, 'NGN domain, eukaryotic', 'NGN_Euk', 3, NULL),
(29298, NULL, 'IPR038925', NULL, 'UV-B-induced protein At3g17800-like', 'At3g17800-like', 4, NULL),
(29299, NULL, 'IPR039621', NULL, 'Protein BIG GRAIN 1-like', 'BG1-like', 4, NULL),
(29300, NULL, 'IPR037983', NULL, 'Rasip1/Radil, cargo-binding domain', 'CBD_Rasip1/Radil', 3, NULL),
(29301, NULL, 'IPR039637', NULL, 'CCR4-NOT transcription complex subunit 7/8/Pop2', 'CNOT7/CNOT8/Pop2', 4, NULL),
(29302, NULL, 'IPR028273', NULL, 'Myocardial zonula adherens protein', 'Myozap', 4, NULL),
(29303, NULL, 'IPR029437', NULL, 'Hermansky-Pudlak syndrome 3 protein, N-terminal domain', 'HPS3_N', 3, NULL),
(29304, NULL, 'IPR037522', NULL, 'HD-GYP domain', 'HD_GYP_dom', 3, NULL),
(29305, NULL, 'IPR032239', NULL, 'CRISPR-associated endonuclease Cas9, bridge helix', 'Cas9-BH', 3, NULL),
(29306, NULL, 'IPR028260', NULL, 'FAM177 family', 'FAM177', 4, NULL),
(29307, NULL, 'IPR039662', NULL, 'Cohesin subunit Scc3/SA', 'Cohesin_Scc3/SA', 4, NULL),
(29308, NULL, 'IPR039667', NULL, 'Dolichyldiphosphatase, PAP2 domain', 'Dolichyldiphosphatase_PAP2', 3, NULL),
(29309, NULL, 'IPR039615', NULL, 'Protein PHYTOCHROME KINASE SUBSTRATE', 'PKS', 4, NULL),
(29310, NULL, 'IPR027022', NULL, 'ABC transporter permease protein, BceB-type', 'ABC_permease_BceB-typ', 4, NULL),
(29311, NULL, 'IPR039643', NULL, 'Dihydroxyacetone kinase phosphotransferase subunit DhaM', 'DhaM', 4, NULL),
(29312, NULL, 'IPR039664', NULL, 'GRB/APBB1IP', 'GRB/APBB1IP', 4, NULL),
(29313, NULL, 'IPR033874', NULL, 'Memapsin-like', 'Memapsin-like', 3, NULL),
(29314, NULL, 'IPR039646', NULL, 'Zinc finger HIT domain-containing protein 2', 'ZNHIT2', 4, NULL),
(29315, NULL, 'IPR032232', NULL, 'Caskin-1, CASK-interaction domain', 'Caskin1-CID', 3, NULL),
(29316, NULL, 'IPR028362', NULL, 'Alginate O-acetyltransferase AlgI', 'AlgI', 4, NULL),
(29317, NULL, 'IPR029440', NULL, 'Dynein regulatory complex protein 1, C-terminal', 'DRC1_C', 3, NULL),
(29318, NULL, 'IPR032689', NULL, 'TraD/TraG, TraM recognition site', 'TraG-D_C', 3, NULL),
(29319, NULL, 'IPR040019', NULL, 'Uncharacterized protein C27D6.3-like', 'C27D6.3-like', 4, NULL),
(29320, NULL, 'IPR040025', NULL, 'Zinc finger protein 622/Rei1/Reh1', 'Znf622/Rei1/Reh1', 4, NULL),
(29321, NULL, 'IPR028640', NULL, 'Centriolin', 'CEP110', 4, NULL),
(29322, NULL, 'IPR024437', NULL, 'Domain of unknown function DUF3825', 'DUF3825', 3, NULL),
(29323, NULL, 'IPR039640', NULL, 'Stomatal closure-related actin-binding protein', 'SCAB', 4, NULL),
(29324, NULL, 'IPR032237', NULL, 'CRISPR-associated endonuclease Cas9, PAM-interacting domain', 'Cas9_PI', 3, NULL),
(29325, NULL, 'IPR032686', NULL, 'Pyruvate ferredoxin oxidoreductase beta subunit, C-terminal', 'PFO_beta_C', 3, NULL),
(29326, NULL, 'IPR034977', NULL, 'CPEB-1, RNA recognition motif 1', 'CPEB1_RRM1', 3, NULL),
(29327, NULL, 'IPR040032', NULL, 'DENN domain-containing protein 1A/1B/1C', 'DENND1A/B/C', 4, NULL),
(29328, NULL, 'IPR029883', NULL, 'ORM1-like protein 3', 'ORML3', 4, NULL),
(29329, NULL, 'IPR028361', NULL, 'GPI-anchor transamidase', 'GPI_transamidase', 4, NULL),
(29330, NULL, 'IPR034052', NULL, 'Tumor necrosis factor receptor EDAR, N-terminal', 'EDAR_N', 3, NULL),
(29331, NULL, 'IPR036046', NULL, 'Acylphosphatase-like domain superfamily', 'Acylphosphatase-like_dom_sf', 5, NULL),
(29332, NULL, 'IPR032692', NULL, 'Integral membrane protein YccS, N-terminal', 'YccS_N', 3, NULL),
(29333, NULL, 'IPR039572', NULL, 'E3 ubiquitin-protein ligase RNF126', 'RNF126', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29334, NULL, 'IPR034082', NULL, 'Protein SQS1, R3H domain', 'R3H_G-patch', 3, NULL),
(29335, NULL, 'IPR040028', NULL, 'Intraflagellar transport-associated protein', 'IFTAP', 4, NULL),
(29336, NULL, 'IPR029206', NULL, 'Protein of unknown function DUF4532', 'DUF4532', 4, NULL),
(29337, NULL, 'IPR033875', NULL, 'Flagellum site-determining protein FlhG', 'FlhG', 3, NULL),
(29338, NULL, 'IPR039638', NULL, 'Mediator of RNA polymerase II transcription subunit 33A/B', 'MED33A/B', 4, NULL),
(29339, NULL, 'IPR029435', NULL, 'Protein TOPAZ1 domain', 'TOPAZ1_dom', 3, NULL),
(29340, NULL, 'IPR037471', NULL, 'Protein TIC56', 'TIC56', 4, NULL),
(29341, NULL, 'IPR039641', NULL, 'Low-molecular-weight cysteine-rich protein', 'LCR', 4, NULL),
(29342, NULL, 'IPR029578', NULL, 'Spindlin-4', 'Spindlin-4', 4, NULL),
(29343, NULL, 'IPR029445', NULL, 'Integrator complex subunit 5, N-terminal', 'INTS5_N', 3, NULL),
(29344, NULL, 'IPR033924', NULL, 'Alkanal monooxygenase', 'Alkanal_monooxygenase', 4, NULL),
(29345, NULL, 'IPR039308', NULL, 'Growth arrest-specific protein 8', 'GAS8', 4, NULL),
(29346, NULL, 'IPR028750', NULL, 'Centrosome-associated protein 350', 'CEP350', 4, NULL),
(29347, NULL, 'IPR039298', NULL, 'Acyl-coenzyme A thioesterase 13', 'ACOT13', 4, NULL),
(29348, NULL, 'IPR029880', NULL, 'Rabaptin-5', 'Rabaptin-5', 4, NULL),
(29349, NULL, 'IPR039125', NULL, 'GPCR family 2, glucagon-like peptide 2 receptor', 'GLP2R', 4, NULL),
(29350, NULL, 'IPR034965', NULL, 'Nocturnin, deadenylase domain', 'Deadenylase_nocturnin', 3, NULL),
(29351, NULL, 'IPR035653', NULL, 'Alpha-(1,6)-fucosyltransferase, SH3 domain', 'Fut8_SH3', 3, NULL),
(29352, NULL, 'IPR032687', NULL, 'HTH-type transcriptional regulator AraC-type, N-terminal', 'AraC-type_N', 3, NULL),
(29353, NULL, 'IPR032714', NULL, 'Zinc finger protein DZIP1, N-terminal', 'DZIP1_N', 3, NULL),
(29354, NULL, 'IPR028754', NULL, 'Serine/threonine-protein kinase PAK5', 'PAK5', 4, NULL),
(29355, NULL, 'IPR039630', NULL, 'Protein FAM149', 'FAM149', 4, NULL),
(29356, NULL, 'IPR028641', NULL, 'Protein RCC2', 'RCC2', 4, NULL),
(29357, NULL, 'IPR038233', NULL, 'Colicin D/E5 nuclease domain superfamily', 'Colicin_D/E5_nuclease', 5, NULL),
(29358, NULL, 'IPR039015', NULL, 'Endonuclease domain-containing 1 protein', 'ENDOD1', 4, NULL),
(29359, NULL, 'IPR029433', NULL, 'Protein of unknown function DUF4438', 'DUF4438', 4, NULL),
(29360, NULL, 'IPR033923', NULL, 'p21 activated kinase binding domain', 'PAK_BD', 3, NULL),
(29361, NULL, 'IPR039390', NULL, 'Hydroxyquinol/catechol  1,2-dioxygenase', '1_2-HQD/HQD', 4, NULL),
(29362, NULL, 'IPR028266', NULL, 'Tumor protein p53-inducible protein 11', 'TP53I11', 4, NULL),
(29363, NULL, 'IPR029197', NULL, 'Cytoskeleton-associated protein 2, C-terminal', 'CKAP2_C', 3, NULL),
(29364, NULL, 'IPR038393', NULL, 'L-fucose isomerase, domain 3 superfamily', 'Fuc_iso_dom3_sf', 5, NULL),
(29365, NULL, 'IPR033280', NULL, 'Membrane protein MLC1', 'Membrane_MLC1', 4, NULL),
(29366, NULL, 'IPR027590', NULL, 'PQQ system protein', 'PQQ_MSMEG_3727', 4, NULL),
(29367, NULL, 'IPR040559', NULL, 'tRNA nuclease CdiA, C-terminal', 'CdiA_C', 3, NULL),
(29368, NULL, 'IPR032698', NULL, 'Protein SirB1, N-terminal', 'SirB1_N', 3, NULL),
(29369, NULL, 'IPR040551', NULL, 'DNA dC->dU-editing enzyme APOBEC-3G', 'APOBEC3G', 4, NULL),
(29370, NULL, 'IPR040550', NULL, 'Prim-pol family 5', 'PPL5', 4, NULL),
(29371, NULL, 'IPR040023', NULL, 'WW domain-binding protein 4', 'WBP4', 4, NULL),
(29372, NULL, 'IPR024436', NULL, 'Domain of unknown function DUF3824', 'DUF3824', 3, NULL),
(29373, NULL, 'IPR040027', NULL, 'Uncharacterized protein C11orf91-like', 'C11orf91-like', 4, NULL),
(29374, NULL, 'IPR028660', NULL, 'Sorting nexin-1', 'SNX1', 4, NULL),
(29375, NULL, 'IPR038402', NULL, 'Restriction endonuclease, type II, PvuII superfamily', 'PvuII_sf', 5, NULL),
(29376, NULL, 'IPR028561', NULL, 'Unconventional myosin-XVIIIb', 'MYO18B', 4, NULL),
(29377, NULL, 'IPR039680', NULL, 'Pleckstrin homology domain-containing family B member 1/2', 'PLEKHB1/2', 4, NULL),
(29378, NULL, 'IPR028557', NULL, 'Unconventional myosin-IXb', 'MYO9B', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29379, NULL, 'IPR040547', NULL, 'Immunity protein CdiI', 'CdiI', 4, NULL),
(29380, NULL, 'IPR028742', NULL, 'Serine/threonine-protein kinase LATS2', 'LATS2', 4, NULL),
(29381, NULL, 'IPR039063', NULL, 'Riboflavin kinase, CTP-dependent', 'RibK_CTP-dep', 4, NULL),
(29382, NULL, 'IPR034966', NULL, 'CCR4-NOT transcription complex subunit 6', 'Cnot6', 3, NULL),
(29383, NULL, 'IPR039732', NULL, 'Ubiquitin-like modifier Hub1/Ubl5', 'Hub1/Ubl5', 4, NULL),
(29384, NULL, 'IPR036025', NULL, 'tRNA-splicing ligase RtcB-like superfamily', 'RtcB-like_sf', 5, NULL),
(29385, NULL, 'IPR033593', NULL, 'N-terminal RASSF family', 'N-RASSF', 4, NULL),
(29386, NULL, 'IPR039665', NULL, 'APBB1IP, PH domain', 'PH_APBB1IP', 3, NULL),
(29387, NULL, 'IPR029207', NULL, 'FAM198 family', 'FAM198', 4, NULL),
(29388, NULL, 'IPR039415', NULL, 'Ubiquitin-like protein FUBI', 'FUBI', 3, NULL),
(29389, NULL, 'IPR032721', NULL, 'Deaminases, BURPS668_1122 family', 'Toxin-deaminase', 4, NULL),
(29390, NULL, 'IPR036071', NULL, 'AMMECR1 domain superfamily', 'AMMECR1_dom_sf', 5, NULL),
(29391, NULL, 'IPR028749', NULL, 'Serine/threonine-protein kinase OSR1', 'Oxsr1', 4, NULL),
(29392, NULL, 'IPR036634', NULL, 'PRD domain superfamily', 'PRD_sf', 5, NULL),
(29393, NULL, 'IPR039682', NULL, 'Exocyst complex component Sec8/EXOC4', 'Sec8/EXOC4', 4, NULL),
(29394, NULL, 'IPR029209', NULL, 'DML1/Misato, tubulin domain', 'DML1/Misato_tubulin', 3, NULL),
(29395, NULL, 'IPR039314', NULL, 'Calvin cycle protein CP12-like', 'CP12-like', 4, NULL),
(29396, NULL, 'IPR029598', NULL, 'Centrosomal protein of 152kDa', 'Cep152', 4, NULL),
(29397, NULL, 'IPR035385', NULL, 'Herpesvirus U62/UL91, functional domain', 'U62/UL91', 3, NULL),
(29398, NULL, 'IPR039631', NULL, 'Leucine-rich repeat-containing protein 42', 'LRRC42', 4, NULL),
(29399, NULL, 'IPR039731', NULL, 'CAAX prenyl protease 2, eukaryotes', 'Rce1', 4, NULL),
(29400, NULL, 'IPR038392', NULL, 'L-fucose isomerase, domain 2 superfamily', 'Fucose_isomerase_dom2_sf', 5, NULL),
(29401, NULL, 'IPR028738', NULL, 'PH-interacting protein', 'PHIP', 4, NULL),
(29402, NULL, 'IPR039916', NULL, 'Exophilin-5', 'EXPH5', 4, NULL),
(29403, NULL, 'IPR040154', NULL, 'Biotinidase/VNN family', 'Biotinidase/VNN', 4, NULL),
(29404, NULL, 'IPR037544', NULL, 'Cyanide hydratase', 'CN_hydrolase', 4, NULL),
(29405, NULL, 'IPR029438', NULL, 'Hermansky-Pudlak syndrome 3 protein, C-terminal domain', 'HPS3_C', 3, NULL),
(29406, NULL, 'IPR039652', NULL, 'Coatomer subunit zeta', 'Coatomer_zeta', 4, NULL),
(29407, NULL, 'IPR028359', NULL, 'UDP-N-acetyl-D-mannosamine/glucosamine dehydrogenase', 'UDP_ManNAc/GlcNAc_DH', 4, NULL),
(29408, NULL, 'IPR039536', NULL, 'Transcriptional regulator TetR, C-terminal, Proteobacteria type', 'TetR_C_Proteobacteria', 3, NULL),
(29409, NULL, 'IPR032244', NULL, 'LapD/MoxY,  periplasmic domain', 'LapD_MoxY_N', 3, NULL),
(29410, NULL, 'IPR039760', NULL, 'MOFRL domain-containing protein', 'MOFRL_protein', 4, NULL),
(29411, NULL, 'IPR038391', NULL, 'L-fucose isomerase, domain 1 superfamily', 'Fucose_iso_dom1_sf', 5, NULL),
(29412, NULL, 'IPR039579', NULL, 'Arginine vasopressin-induced protein 1', 'AVPI1', 4, NULL),
(29413, NULL, 'IPR039636', NULL, 'CCR4-NOT transcription complex subunit 7', 'CNOT7', 4, NULL),
(29414, NULL, 'IPR038978', NULL, 'Protein MJ0935', 'MJ0935', 4, NULL),
(29415, NULL, 'IPR039309', NULL, 'Biopterin transporter family', 'BT1', 4, NULL),
(29416, NULL, 'IPR040020', NULL, 'Uncharacterized protein C13orf46-like', 'C13orf46-like', 4, NULL),
(29417, NULL, 'IPR036036', NULL, 'SOCS box-like domain superfamily', 'SOCS_box-like_dom_sf', 5, NULL),
(29418, NULL, 'IPR039509', NULL, 'SPATA31/FAM205', 'SPATA31/FAM205', 3, NULL),
(29419, NULL, 'IPR040562', NULL, 'Prim-pol 4', 'PPL4', 4, NULL),
(29420, NULL, 'IPR029158', NULL, 'Stimulator of interferon genes protein', 'STING', 4, NULL),
(29421, NULL, 'IPR039076', NULL, 'Cell division protein DivIC', 'DivIC', 4, NULL),
(29422, NULL, 'IPR039312', NULL, 'Protein LITTLE ZIPPER', 'ZPR', 4, NULL),
(29423, NULL, 'IPR040545', NULL, 'DICER-like, HTH domain', 'DICER_HTH', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29424, NULL, 'IPR028555', NULL, 'RasGAP-activating-like protein 1', 'RASAL1', 4, NULL),
(29425, NULL, 'IPR036070', NULL, 'Nop domain superfamily', 'Nop_dom_sf', 5, NULL),
(29426, NULL, 'IPR033873', NULL, 'CND41-like', 'CND41-like', 3, NULL),
(29427, NULL, 'IPR036184', NULL, 'IBP39, C-terminal domain superfamily', 'IBP39-like_C_sf', 5, NULL),
(29428, NULL, 'IPR039633', NULL, 'Plastid-lipid-associated protein', 'PAP', 4, NULL),
(29429, NULL, 'IPR032688', NULL, 'ABC-2 family transporter protein', 'ABC2_membrane_2', 4, NULL),
(29430, NULL, 'IPR038914', NULL, 'DDB1- and CUL4-associated factor 15', 'DCAF15', 4, NULL),
(29431, NULL, 'IPR039730', NULL, 'Jlp2/Ccd25', 'Jlp2/Ccd25', 4, NULL),
(29432, NULL, 'IPR029593', NULL, 'SHC-transforming protein 3', 'Shc3/ShcC/N-Shc', 4, NULL),
(29433, NULL, 'IPR035393', NULL, 'Protein of unknown function DUF5416', 'DUF5416', 4, NULL),
(29434, NULL, 'IPR039628', NULL, 'PILR alpha-associated neural protein', 'PIANP', 4, NULL),
(29435, NULL, 'IPR037240', NULL, 'ORC1-binding domain', 'ORC1-binding_dom', 5, NULL),
(29436, NULL, 'IPR029162', NULL, 'TRP-interacting helix, InaF motif', 'InaF-motif', 2, NULL),
(29437, NULL, 'IPR039777', NULL, 'Interferon-related developmental regulator', 'IFRD', 4, NULL),
(29438, NULL, 'IPR038929', NULL, 'Coiled-coil domain-containing protein 13', 'CCDC13', 4, NULL),
(29439, NULL, 'IPR033082', NULL, 'Death-inducer obliterator 1', 'DIDO1', 4, NULL),
(29440, NULL, 'IPR039577', NULL, 'E3 ubiquitin-protein ligase Rad18', 'Rad18', 4, NULL),
(29441, NULL, 'IPR034971', NULL, 'Synaptojanin-1, RNA recognition motif', 'SYNJ1_RRM', 3, NULL),
(29442, NULL, 'IPR039571', NULL, 'RNF126, RING finger, H2 subclass', 'RNF126_RING-H2', 3, NULL),
(29443, NULL, 'IPR039609', NULL, 'VQ motif-containing protein 15/22', 'VQ_15/22', 4, NULL),
(29444, NULL, 'IPR028255', NULL, 'Centromere protein T', 'CENP-T', 4, NULL),
(29445, NULL, 'IPR039666', NULL, 'Dolichyldiphosphatase 1', 'Dolpp1/Cax4', 4, NULL),
(29446, NULL, 'IPR036026', NULL, 'Seven-hairpin glycosidases', 'Seven-hairpin_glycosidases', 5, NULL),
(29447, NULL, 'IPR027581', NULL, 'ACGX-repeat peptide', 'Target_ACGX', 4, NULL),
(29448, NULL, 'IPR028945', NULL, 'Get1 family', 'Get1', 4, NULL),
(29449, NULL, 'IPR038922', NULL, 'Huntingtin-interacting protein K, UBA-like domain', 'HYPK_UBA', 3, NULL),
(29450, NULL, 'IPR039092', NULL, 'Aryl hydrocarbon receptor repressor', 'AHRR', 4, NULL),
(29451, NULL, 'IPR039622', NULL, 'Methyl-CpG-binding domain-containing protein 10/11', 'MBD10/11', 4, NULL),
(29452, NULL, 'IPR039613', NULL, 'Protein SPIRAL1-like', 'SPR1/2/3/4/5', 4, NULL),
(29453, NULL, 'IPR038635', NULL, 'CCR4-NOT complex subunit 2/3/5, N-terminal domain superfamily', 'CCR4-NOT_su2/3/5_N_sf', 5, NULL),
(29454, NULL, 'IPR037497', NULL, 'Protein PROTON GRADIENT REGULATION 5', 'PGR5', 4, NULL),
(29455, NULL, 'IPR029199', NULL, 'THRAP3/BCLAF1 family', 'THRAP3_BCLAF1', 4, NULL),
(29456, NULL, 'IPR033821', NULL, 'Nuclear receptor-interacting protein, peptidase domain', 'NRIP_C', 3, NULL),
(29457, NULL, 'IPR035395', NULL, 'Protein of unknown function DUF5415', 'DUF5415', 4, NULL),
(29458, NULL, 'IPR024439', NULL, 'RNHCP domain', 'RNHCP', 3, NULL),
(29459, NULL, 'IPR029201', NULL, 'Jiraiya', 'Jiraiya', 4, NULL),
(29460, NULL, 'IPR039733', NULL, 'Protein N-terminal glutamine amidohydrolase', 'NTAQ1', 4, NULL),
(29461, NULL, 'IPR034973', NULL, 'Synaptojanin-2, RNA recognition motif', 'SYNJ2_RRM', 3, NULL),
(29462, NULL, 'IPR028262', NULL, 'CST complex subunit CTC1, plant', 'CTC1_plant', 4, NULL),
(29463, NULL, 'IPR032240', NULL, 'CRISPR-associated endonuclease Cas9, REC lobe', 'Cas9_REC', 3, NULL),
(29464, NULL, 'IPR029204', NULL, 'CB1 cannabinoid receptor-interacting protein 1', 'CNRIP1', 4, NULL),
(29465, NULL, 'IPR037894', NULL, 'Dynein axonemal assembly factor 4, CS domain', 'CS_DYX1C1', 3, NULL),
(29466, NULL, 'IPR029218', NULL, 'Penicillin-binding protein Tp47, domain C', 'PBP-Tp47_dom_C', 3, NULL),
(29467, NULL, 'IPR036190', NULL, 'Urocanase superfamily', 'Urocanase_sf', 5, NULL),
(29468, NULL, 'IPR032695', NULL, 'Integrin domain superfamily', 'Integrin_dom_sf', 5, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29469, NULL, 'IPR040546', NULL, 'Rege-1, UBA-like domain', 'Rege-1_UBA-like', 3, NULL),
(29470, NULL, 'IPR029202', NULL, 'Protein of unknown function DUF4530', 'DUF4530', 4, NULL),
(29471, NULL, 'IPR029873', NULL, 'Sodium channel subunit beta-2', 'SCN2B', 4, NULL),
(29472, NULL, 'IPR040470', NULL, 'Vexin', 'Vexin', 4, NULL),
(29473, NULL, 'IPR028649', NULL, 'Sorting nexin-30', 'SNX30', 4, NULL),
(29474, NULL, 'IPR028259', NULL, 'AP2-like integrase, N-terminal domain', 'AP2-like_int_N', 3, NULL),
(29475, NULL, 'IPR029215', NULL, 'High mobility group box domain 5', 'HMG_box_5', 3, NULL),
(29476, NULL, 'IPR039918', NULL, 'Serine/threonine-protein phosphatase 4 regulatory subunit 4', 'PPP4R4', 4, NULL),
(29477, NULL, 'IPR038221', NULL, 'YidC, periplasmic domain superfamily', 'YidC_periplasmic_sf', 5, NULL),
(29478, NULL, 'IPR029213', NULL, 'Cell-cell fusogen EFF/AFF', 'Fusogen_EFF/AFF', 4, NULL),
(29479, NULL, 'IPR039562', NULL, 'Membrane fusion protein, biotin-lipoyl like domain', 'MFP_biotin_lipoyl_2', 3, NULL),
(29480, NULL, 'IPR032710', NULL, 'NTF2-like domain superfamily', 'NTF2-like_dom_sf', 5, NULL),
(29481, NULL, 'IPR029508', NULL, 'Coronin 1A', 'CORO1A', 4, NULL),
(29482, NULL, 'IPR036072', NULL, 'Class I myosin, motor domain', 'MYSc_Myo1', 3, NULL),
(29483, NULL, 'IPR039393', NULL, 'Rhizopine-oxygenase-like', 'Rhizopine-oxygenase-like', 4, NULL),
(29484, NULL, 'IPR032241', NULL, 'Protein of unknown function DUF5042', 'DUF5042', 4, NULL),
(29485, NULL, 'IPR028642', NULL, 'Sorting nexin-33', 'SNX33', 4, NULL),
(29486, NULL, 'IPR039301', NULL, 'Protein Sip5/DA2', 'Sip5/DA2', 4, NULL),
(29487, NULL, 'IPR039656', NULL, 'Synergin gamma', 'SYNRG', 4, NULL),
(29488, NULL, 'IPR038633', NULL, 'Proteasomal ubiquitin receptor Rpn13/ADRM1, Pru domain superfamily', 'Rpn13/ADRM1_Pru_sf', 5, NULL),
(29489, NULL, 'IPR033896', NULL, 'MADS MEF2-like', 'MADS_MEF2-like', 3, NULL),
(29490, NULL, 'IPR028363', NULL, 'DNA-directed RNA polymerase, subunit  RPB6', 'RPB6', 4, NULL),
(29491, NULL, 'IPR037736', NULL, 'Photosystem I assembly factor PSA3', 'PSA3', 4, NULL),
(29492, NULL, 'IPR033900', NULL, 'Porin domain, Gram-negative type', 'Gram_neg_porin_domain', 3, NULL),
(29493, NULL, 'IPR029220', NULL, 'Penicillin-binding protein Tp47, domain D', 'BP-Tp47_dom_D', 5, NULL),
(29494, NULL, 'IPR037524', NULL, 'PA14/GLEYA domain', 'PA14/GLEYA', 3, NULL),
(29495, NULL, 'IPR032719', NULL, 'Glycosyltransferase WbsX', 'WbsX', 4, NULL),
(29496, NULL, 'IPR029956', NULL, 'Solute carrier family 23 member 2', 'SlC23A2', 4, NULL),
(29497, NULL, 'IPR037439', NULL, '1,4-alpha-glucan-branching enzyme', 'Branching_enzy', 4, NULL),
(29498, NULL, 'IPR036627', NULL, 'CobW-like, C-terminal domain superfamily', 'CobW-likC_sf', 5, NULL),
(29499, NULL, 'IPR037737', NULL, 'Regulator of phospholipase D Srf1', 'Srf1', 4, NULL),
(29500, NULL, 'IPR038649', NULL, 'Exonuclease I, SH3-like domain superfamily', 'EXOI_SH3_sf', 5, NULL),
(29501, NULL, 'IPR039901', NULL, '3-deoxy-D-manno-octulosonic acid transferase', 'Kdotransferase', 4, NULL),
(29502, NULL, 'IPR033012', NULL, 'Netrin receptor DCC', 'DCC', 4, NULL),
(29503, NULL, 'IPR035382', NULL, 'Mating factor A1', 'MFA1', 4, NULL),
(29504, NULL, 'IPR040291', NULL, 'Uncharacterized transmembrane protein DDB_G0287341-like', 'DDB_G0287341-like', 4, NULL),
(29505, NULL, 'IPR040400', NULL, 'BAG family molecular chaperone regulator 5/6/7/8', 'BAG5/6/7/8', 4, NULL),
(29506, NULL, 'IPR040568', NULL, 'Large polyvalent protein-associated domain 16', 'LPD16', 3, NULL),
(29507, NULL, 'IPR039963', NULL, 'Uncharacterized 22kDa protein in aldolase locus', 'Unchar_22kDa', 4, NULL),
(29508, NULL, 'IPR040504', NULL, 'TFIIF, beta subunit, N-terminal', 'TFIIF_beta_N', 3, NULL),
(29509, NULL, 'IPR039863', NULL, 'Dickkopf-like protein', 'DKK-like', 4, NULL),
(29510, NULL, 'IPR040571', NULL, 'Mitochondrial membrane-anchored protein', 'MIX', 3, NULL),
(29511, NULL, 'IPR037028', NULL, 'Dr-adhesin superfamily', 'Dr_adhesin_sf', 5, NULL),
(29512, NULL, 'IPR037578', NULL, 'Von Willebrand factor', 'Von_Willebrand_factor', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29513, NULL, 'IPR037985', NULL, 'TOX high mobility group box family member 4', 'TOX4', 4, NULL),
(29514, NULL, 'IPR033369', NULL, 'Protein C19orf12 homologue', 'C19orf12', 4, NULL),
(29515, NULL, 'IPR037874', NULL, 'Cdc42', 'Cdc42', 4, NULL),
(29516, NULL, 'IPR040179', NULL, 'FERM domain-containing protein 6', 'FRMD6', 4, NULL),
(29517, NULL, 'IPR036774', NULL, 'ERV/ALR sulfhydryl oxidase domain superfamily', 'ERV/ALR_sulphydryl_oxid_sf', 5, NULL),
(29518, NULL, 'IPR037680', NULL, 'Protein RMD5 homologue A, degenerated RING finger', 'RMD5A_dRING', 3, NULL),
(29519, NULL, 'IPR035834', NULL, 'SH3 domain-containing protein 19, SH3 domain 1', 'Eve1_SH3_1', 3, NULL),
(29520, NULL, 'IPR040060', NULL, 'WPP domain-interacting tail-anchored protein 1', 'WIT1', 4, NULL),
(29521, NULL, 'IPR040042', NULL, '1,4-alpha-glucan branching enzyme MT3115-like', 'Branching_enz_MT3115-like', 4, NULL),
(29522, NULL, 'IPR035570', NULL, 'UPF0234, N-terminal', 'UPF0234_N', 5, NULL),
(29523, NULL, 'IPR040502', NULL, 'Galactose-binding domain-like', 'GalBD-like', 3, NULL),
(29524, NULL, 'IPR040968', NULL, 'MCSS domain', 'Ezh2_MCSS', 3, NULL),
(29525, NULL, 'IPR040577', NULL, 'Glutamine synthetase, C-terminal', 'Gln-synt_C', 3, NULL),
(29526, NULL, 'IPR037998', NULL, 'Maternal protein exuperantia', 'Exu', 4, NULL),
(29527, NULL, 'IPR040261', NULL, 'Protein FAM240', 'FAM240', 4, NULL),
(29528, NULL, 'IPR037993', NULL, 'NDPK7, second NDPk domain', 'NDPk7B', 3, NULL),
(29529, NULL, 'IPR040075', NULL, 'Glutathione S-transferase Theta, N-terminal', 'GST_N_Theta', 3, NULL),
(29530, NULL, 'IPR040661', NULL, 'Leucine zipper with capping helix domain', 'LZ3wCH', 3, NULL),
(29531, NULL, 'IPR039999', NULL, 'Cell growth-regulating nucleolar protein', 'LYAR', 4, NULL),
(29532, NULL, 'IPR040715', NULL, 'Kinetoplastid DICER, KptA ADP-ribosyltransferase domain', 'KptA_kDICER', 3, NULL),
(29533, NULL, 'IPR039888', NULL, 'Protein melted-like', 'Melted-like', 4, NULL),
(29534, NULL, 'IPR039683', NULL, 'Protein Lsm12-like', 'Lsm12-like', 4, NULL),
(29535, NULL, 'IPR037676', NULL, 'CD80, IgC-like domain', 'CD80_IgC', 3, NULL),
(29536, NULL, 'IPR040444', NULL, 'PCNA-associated factor', 'PCNA-AF', 4, NULL),
(29537, NULL, 'IPR040665', NULL, 'Tyrosine kinase receptor A, transmembrane domain', 'TrkA_TMD', 3, NULL),
(29538, NULL, 'IPR039840', NULL, 'N-alpha-acetyltransferase 80', 'NAA80', 4, NULL),
(29539, NULL, 'IPR033393', NULL, 'Nuclear receptor-binding factor 2, MIT domain', 'NRBF2_MIT', 3, NULL),
(29540, NULL, 'IPR040913', NULL, 'Htr2, transmembrane domain', 'Htr2', 3, NULL),
(29541, NULL, 'IPR035519', NULL, 'RIMS-binding protein 2', 'RIM-BP2', 4, NULL),
(29542, NULL, 'IPR037200', NULL, 'Pre-mRNA-splicing factor Isy1 superfamily', 'Isy1_sf', 5, NULL),
(29543, NULL, 'IPR039844', NULL, 'Nucleolar pre-ribosomal-associated protein 1', 'URB1', 4, NULL),
(29544, NULL, 'IPR040253', NULL, 'Nucleobindin-1', 'NUCB1', 4, NULL),
(29545, NULL, 'IPR038257', NULL, 'CRISPR-associated Cas3-type HD domain superfamily', 'CRISPR-assoc_Cas3_HD_sf', 5, NULL),
(29546, NULL, 'IPR040045', NULL, 'Cytoplasmic dynein 2 light intermediate chain 1', 'DYNC2LI1', 4, NULL),
(29547, NULL, 'IPR035731', NULL, 'TRIM46, PRY/SPRY domain', 'SPRY/PRY_TRIM46', 3, NULL),
(29548, NULL, 'IPR040496', NULL, 'Prokaryotic pPIWI_RE, MID domain', 'MID_pPIWI_RE', 3, NULL),
(29549, NULL, 'IPR035571', NULL, 'UPF0234-like, C-terminal', 'UPF0234-like_C', 5, NULL),
(29550, NULL, 'IPR040598', NULL, 'UPF0113, pre-PUA domain', 'UPF0113_N', 3, NULL),
(29551, NULL, 'IPR040573', NULL, 'Tail specific protease, N-terminal domain', 'TSP_N', 3, NULL),
(29552, NULL, 'IPR040721', NULL, 'Protein of unknown function DUF5520', 'DUF5520', 4, NULL),
(29553, NULL, 'IPR039864', NULL, 'Xylosyltransferase 1', 'Xylosyltrans', 4, NULL),
(29554, NULL, 'IPR039805', NULL, 'CUE domain-containing protein 2, CUE domain', 'CUE_CUED2', 3, NULL),
(29555, NULL, 'IPR033031', NULL, 'Scc2/Nipped-B family', 'Scc2/Nipped-B', 4, NULL),
(29556, NULL, 'IPR040929', NULL, 'Archaellum regulatory network B, C-terminal', 'ArnB_C', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29557, NULL, 'IPR033619', NULL, 'Ras association domain-containing protein 3', 'RASSF3', 4, NULL),
(29558, NULL, 'IPR033281', NULL, 'Testosterone 17-beta-dehydrogenase 3', 'HSD17B3', 4, NULL),
(29559, NULL, 'IPR037375', NULL, 'Tyrosine-protein kinase BAZ1B, bromodomain', 'BAZ1B_Bromo', 3, NULL),
(29560, NULL, 'IPR037688', NULL, 'Zinc finger B-box domain-containing protein', 'ZBBX', 4, NULL),
(29561, NULL, 'IPR040722', NULL, 'Hit1, C-terminal', 'Hit1_C', 3, NULL),
(29562, NULL, 'IPR033371', NULL, 'Arginine and glutamate-rich protein 1', 'ARGLU1', 4, NULL),
(29563, NULL, 'IPR040572', NULL, 'Thaumarchaeal output domain 1', 'TackOD1', 3, NULL),
(29564, NULL, 'IPR037031', NULL, 'Succinylarginine dihydrolase superfamily', 'AstB_sf', 5, NULL),
(29565, NULL, 'IPR036064', NULL, 'Class XVIII myosin, motor domain', 'MYSc_Myo18', 3, NULL),
(29566, NULL, 'IPR033202', NULL, 'N(G),N(G)-dimethylarginine dimethylaminohydrolase 2', 'DDAH2', 4, NULL),
(29567, NULL, 'IPR040000', NULL, 'Nucleolar protein 9', 'NOP9', 4, NULL),
(29568, NULL, 'IPR040114', NULL, 'Nuclear mRNA export protein Thp1-like', 'Thp1-like', 4, NULL),
(29569, NULL, 'IPR039772', NULL, 'RNA methyltransferase Bin3-like', 'Bin3-like', 4, NULL),
(29570, NULL, 'IPR040505', NULL, 'Family of unknown function DUF5537', 'DUF5537', 4, NULL),
(29571, NULL, 'IPR040254', NULL, 'Protein Ecm3-like', 'Ecm3-like', 4, NULL),
(29572, NULL, 'IPR039860', NULL, 'Protein rolling stone', 'Rost', 4, NULL),
(29573, NULL, 'IPR039800', NULL, 'Calcium uptake protein 1/2/3', 'MICU1/2/3', 4, NULL),
(29574, NULL, 'IPR033623', NULL, 'Ras association domain-containing protein 5', 'RASSF5', 4, NULL),
(29575, NULL, 'IPR035522', NULL, 'Sho1, SH3 domain', 'Sho1_SH3', 3, NULL),
(29576, NULL, 'IPR037384', NULL, 'Leucine-rich repeat-containing protein 20', 'LRRC20', 4, NULL),
(29577, NULL, 'IPR040608', NULL, 'Snf8/Vps36 family', 'Snf8/Vps36', 4, NULL),
(29578, NULL, 'IPR038024', NULL, 'SPy1572-like superfamily', 'SPy1572-like_sf', 5, NULL),
(29579, NULL, 'IPR033030', NULL, 'Cadherin-23', 'CDH23', 4, NULL),
(29580, NULL, 'IPR038520', NULL, 'Matrix protein superfamily', 'BDV_M_sf', 5, NULL),
(29581, NULL, 'IPR040131', NULL, 'MnmG, N-terminal domain', 'MnmG_N', 3, NULL),
(29582, NULL, 'IPR038259', NULL, 'Tmem141 superfamily', 'Tmem141_sf', 5, NULL),
(29583, NULL, 'IPR034635', NULL, 'Ribonucleoprotein PTB-binding 1', 'RAVER1', 4, NULL),
(29584, NULL, 'IPR040259', NULL, 'Mesogenin/MesP', 'Mesogenin/MesP', 4, NULL),
(29585, NULL, 'IPR040973', NULL, 'Inactive serine protease scarface, clip-domain', 'CLIP_SPH_Scar', 3, NULL),
(29586, NULL, 'IPR039324', NULL, 'Protein SHORT HYPOCOTYL IN WHITE LIGHT 1', 'SHW1', 4, NULL),
(29587, NULL, 'IPR040264', NULL, 'Uncharacterized protein T15H9.4-like', 'T15H9.4-like', 4, NULL),
(29588, NULL, 'IPR033908', NULL, 'R2-like ligand binding oxidase', 'R2LOX', 4, NULL),
(29589, NULL, 'IPR040265', NULL, 'Protein CHUP1-like', 'CHUP1-like', 4, NULL),
(29590, NULL, 'IPR040565', NULL, 'Benzylsuccinate synthase beta subunit', 'BssB_TutG', 3, NULL),
(29591, NULL, 'IPR040157', NULL, 'Max dimerization protein 1', 'MXD1', 4, NULL),
(29592, NULL, 'IPR040977', NULL, 'HP1451, C-terminal', 'HP1451_C', 3, NULL),
(29593, NULL, 'IPR039787', NULL, 'Poly(U)-specific endoribonuclease', 'ENDOU', 4, NULL),
(29594, NULL, 'IPR037386', NULL, 'Coiled-coil domain-containing protein 40', 'CCDC40', 4, NULL),
(29595, NULL, 'IPR035658', NULL, 'Conjugal transfer protein TrbF', 'TrbF', 3, NULL),
(29596, NULL, 'IPR034636', NULL, 'Ribonucleoprotein PTB-binding 2', 'RAVER2', 4, NULL),
(29597, NULL, 'IPR039883', NULL, 'Fcf2/DNTTIP2', 'Fcf2/DNTTIP2', 4, NULL),
(29598, NULL, 'IPR037306', NULL, 'TNF receptor-associated factor 1, MATH domain', 'TRAF1_MATH', 3, NULL),
(29599, NULL, 'IPR040177', NULL, 'Zinc transporter 9', 'SLC30A9', 4, NULL),
(29600, NULL, 'IPR040211', NULL, 'Small EDRK-rich factor 1/2', 'SERF1/2', 4, NULL),
(29601, NULL, 'IPR040296', NULL, 'Photosystem II 5kDa protein, chloroplastic', 'PSBT', 4, NULL),
(29602, NULL, 'IPR037308', NULL, 'TNF receptor-associated factor 5, MATH domain', 'TRAF5_MATH', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29603, NULL, 'IPR040132', NULL, 'TREX component Tex1/THOC3', 'Tex1/THOC3', 4, NULL),
(29604, NULL, 'IPR039251', NULL, 'Oxidoreductase-like domain-containing protein 1', 'OXLD1', 4, NULL),
(29605, NULL, 'IPR040917', NULL, 'RalF, C-terminal Sec-7 capping domain', 'RalF_SCD', 3, NULL),
(29606, NULL, 'IPR037372', NULL, 'Tripartite motif-containing protein 66', 'Trim66', 4, NULL),
(29607, NULL, 'IPR039790', NULL, 'CHORD domain containing protein', 'CHORD_protein', 4, NULL),
(29608, NULL, 'IPR040720', NULL, 'Glycosyl hydrolase family 81, C-terminal domain', 'GH81_C', 3, NULL),
(29609, NULL, 'IPR036557', NULL, 'Methanol dehydrogenase, beta subunit superfamily', 'Meth_DH_bsu_sf', 5, NULL),
(29610, NULL, 'IPR040268', NULL, 'Armadillo-like helical domain-containing protein 2', 'ARMH2', 4, NULL),
(29611, NULL, 'IPR040401', NULL, 'Coiled-coil domain-containing protein 162', 'CCDC162', 4, NULL),
(29612, NULL, 'IPR039843', NULL, 'KxDL motif-containing protein 1-like', 'KXD1-like', 4, NULL),
(29613, NULL, 'IPR037580', NULL, 'Fibrinogen beta chain', 'Fibrinogen_beta', 4, NULL),
(29614, NULL, 'IPR037359', NULL, 'Heparan sulfate sulfotransferase', 'NST/OST', 4, NULL),
(29615, NULL, 'IPR040915', NULL, 'GK1464-like domain', 'GK1464-like_dom', 3, NULL),
(29616, NULL, 'IPR040963', NULL, 'Magnetochrome domain', 'MCR', 3, NULL),
(29617, NULL, 'IPR040918', NULL, 'GatD, N-terminal', 'GatD_N', 3, NULL),
(29618, NULL, 'IPR033010', NULL, 'The WD repeat Cdc20/Fizzy family', 'Cdc20/Fizzy', 4, NULL),
(29619, NULL, 'IPR035506', NULL, 'Pollen allergen/Uncharacterized protein Os', 'Pollen_allergen/Os', 5, NULL),
(29620, NULL, 'IPR040251', NULL, 'Protein transport protein SEC31-like', 'SEC31-like', 4, NULL),
(29621, NULL, 'IPR035566', NULL, 'Ribosomal protein L20, C-terminal', 'Ribosomal_protein_L20_C', 5, NULL),
(29622, NULL, 'IPR033744', NULL, 'RBM8, RNA recognition motif', 'RRM_RBM8', 3, NULL),
(29623, NULL, 'IPR036100', NULL, 'S-adenosylmethionine:tRNA ribosyltransferase-isomerase,  QueA superfamily', 'QueA_sf', 5, NULL),
(29624, NULL, 'IPR039961', NULL, 'NADH-ubiquinone oxidoreductase 9.5kDa subunit', 'Nuo9.5', 4, NULL),
(29625, NULL, 'IPR040216', NULL, 'Cytotoxic T-lymphocyte protein 4/CD28', 'CTLA4/CD28', 4, NULL),
(29626, NULL, 'IPR040047', NULL, 'Syndetin', 'VPS50', 4, NULL),
(29627, NULL, 'IPR038263', NULL, 'Lytic exoenzyme, target recognition domain superfamily', 'Lytic_exo_TRD_sf', 5, NULL),
(29628, NULL, 'IPR040273', NULL, 'PAMP-induced secreted peptide 1', 'PIP1', 4, NULL),
(29629, NULL, 'IPR037374', NULL, 'BAZ2A/BAZ2B, bromodomain', 'BAZ2A/B_Bromo', 3, NULL),
(29630, NULL, 'IPR036758', NULL, 'At5g01610-like superfamily', 'At5g01610-like', 5, NULL),
(29631, NULL, 'IPR037373', NULL, 'Transcription intermediary factor 1-beta', 'KAP1', 4, NULL),
(29632, NULL, 'IPR037310', NULL, 'Rho-associated protein kinase 1, HR1', 'ROCK1_HR1', 3, NULL),
(29633, NULL, 'IPR038262', NULL, 'Nitrate reductase beta, C-terminal domain superfamily', 'Nitr_red_bet_C_sf', 5, NULL),
(29634, NULL, 'IPR040137', NULL, 'Terminal nucleotidyltransferase 4A', 'TENT4A', 4, NULL),
(29635, NULL, 'IPR036101', NULL, 'CarD-like/TRCF domain superfamily', 'CarD-like/TRCF_dom_sf', 5, NULL),
(29636, NULL, 'IPR037673', NULL, 'Large-conductance mechanosensitive channel/anditomin synthesis protein L', 'MSC/AndL', 4, NULL),
(29637, NULL, 'IPR035569', NULL, 'Antitoxin epsilon/PezA domain superfamily', 'Antitoxin_epsilon/PezA_dom_sf', 5, NULL),
(29638, NULL, 'IPR040981', NULL, 'Fatty acid synthase subunit PfaD, N-terminal', 'PfaD_N', 3, NULL),
(29639, NULL, 'IPR037481', NULL, 'Protein LacX', 'LacX', 4, NULL),
(29640, NULL, 'IPR040392', NULL, 'PKHA4-7, PH domain', 'PKHA4-7_PH', 3, NULL),
(29641, NULL, 'IPR040923', NULL, '4-hydroxyphenylacetate decarboxylase small gamma subunit, C-terminal', 'HpdC_C', 3, NULL),
(29642, NULL, 'IPR033394', NULL, 'Svf1-like, C-terminal', 'Svf1-like_C', 3, NULL),
(29643, NULL, 'IPR040165', NULL, 'Delta(24)-sterol reductase', 'Diminuto-like', 4, NULL),
(29644, NULL, 'IPR037579', NULL, 'Fibrinogen alpha chain', 'Fibrinogen_alpha', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29645, NULL, 'IPR040394', NULL, 'F-box only protein 25/32', 'FBX25/32', 4, NULL),
(29646, NULL, 'IPR035668', NULL, 'Amicyanin', 'Amicyanin', 4, NULL),
(29647, NULL, 'IPR040256', NULL, 'Uncharacterized protein At4g02000-like', 'At4g02000-like', 4, NULL),
(29648, NULL, 'IPR037029', NULL, 'Alliinase, N-terminal domain superfamily', 'Alliinase_N_sf', 5, NULL),
(29649, NULL, 'IPR037304', NULL, 'TRAF3, MATH domain', 'TRAF3_MATH', 3, NULL),
(29650, NULL, 'IPR034277', NULL, 'Ephrin type-A receptor 5, ligand binding domain', 'EphA5_rcpt_lig-bd', 3, NULL),
(29651, NULL, 'IPR038258', NULL, 'Peptidoglycan hydrolase Gp4 superfamily', 'Gp4_sf', 5, NULL),
(29652, NULL, 'IPR037369', NULL, 'Pleckstrin-2, DEP domain', 'PLEK2_DEP', 3, NULL),
(29653, NULL, 'IPR040115', NULL, 'Lunapark family', 'Lnp', 4, NULL),
(29654, NULL, 'IPR036387', NULL, 'Neurohypophysial hormone domain superfamily', 'Neurhyp_horm_dom_sf', 5, NULL),
(29655, NULL, 'IPR040348', NULL, 'Protein POLAR-like', 'POLAR-like', 4, NULL),
(29656, NULL, 'IPR040716', NULL, 'Outer-membrane lipoprotein Wza, C-terminal domain', 'Wza_C', 3, NULL),
(29657, NULL, 'IPR040110', NULL, 'PINK1, protein kinase domain', 'PINK1_STKc', 3, NULL),
(29658, NULL, 'IPR037488', NULL, 'Uncharacterized protein At2g33490-like', 'At2g33490-like', 4, NULL),
(29659, NULL, 'IPR040596', NULL, 'RNase II-type exonuclease, C-terminal S1 domain', 'RNase_II_C_S1', 3, NULL),
(29660, NULL, 'IPR040506', NULL, 'RACo linker region', 'RACo_linker', 3, NULL),
(29661, NULL, 'IPR037435', NULL, '14-3-3 protein sigma', '14-3-3_sigma', 4, NULL),
(29662, NULL, 'IPR039821', NULL, 'Protein PHYTOCHROME KINASE SUBSTRATE 1/2', 'PSK1/PSK2', 4, NULL),
(29663, NULL, 'IPR039132', NULL, 'Motilin receptor', 'MTLR', 4, NULL),
(29664, NULL, 'IPR040004', NULL, 'Single-pass membrane and coiled-coil domain-containing protein 3', 'SMCO3', 4, NULL),
(29665, NULL, 'IPR037305', NULL, 'TNF receptor-associated factor 2, MATH domain', 'TRAF2_MATH', 3, NULL),
(29666, NULL, 'IPR036010', NULL, '2Fe-2S ferredoxin-like superfamily', '2Fe-2S_ferredoxin-like_sf', 5, NULL),
(29667, NULL, 'IPR039841', NULL, 'Integrator complex subunit 14', 'INTS14', 4, NULL),
(29668, NULL, 'IPR040491', NULL, 'Domain of unknown function DUF5626', 'DUF5626', 3, NULL),
(29669, NULL, 'IPR039789', NULL, 'CYFIP-related Rac1 interactor', 'CYRI', 4, NULL),
(29670, NULL, 'IPR040136', NULL, 'Terminal nucleotidyltransferase 4B', 'TENT4B', 4, NULL),
(29671, NULL, 'IPR037875', NULL, 'Ribosome biogenesis protein Bms1, N-terminal', 'Bms1_N', 3, NULL),
(29672, NULL, 'IPR039996', NULL, 'Shieldin complex subunit 3', 'Shieldin_RINN1', 4, NULL),
(29673, NULL, 'IPR033370', NULL, 'Conserved oligomeric Golgi complex subunit 1', 'COG1', 4, NULL),
(29674, NULL, 'IPR033197', NULL, 'N(G),N(G)-dimethylarginine dimethylaminohydrolase 1', 'DDAH1', 4, NULL),
(29675, NULL, 'IPR035835', NULL, 'SH3 domain-containing protein 19, SH3 domain 3', 'Eve1_SH3_3', 3, NULL),
(29676, NULL, 'IPR039887', NULL, 'IQ domain-containing protein F', 'IQCF', 4, NULL),
(29677, NULL, 'IPR040166', NULL, 'Cytospin-A', 'CYTSA', 4, NULL),
(29678, NULL, 'IPR033191', NULL, 'Phosphatidylinositol 4,5-bisphosphate-binding protein Slm1/Slm2', 'Slm1/Slm2', 4, NULL),
(29679, NULL, 'IPR037437', NULL, 'Sorting nexin-13, PX domain', 'SNX13_PX', 3, NULL),
(29680, NULL, 'IPR037025', NULL, 'Photosystem II cytochrome b559, alpha subunit superfamily', 'PSII_cyt_b559_asu_sf', 5, NULL),
(29681, NULL, 'IPR040344', NULL, 'Uncharacterized protein At3g17950-like', 'At3g17950-like', 4, NULL),
(29682, NULL, 'IPR040350', NULL, 'Transmembrane protein 272', 'TMEM272', 4, NULL),
(29683, NULL, 'IPR035591', NULL, 'Phosphatidylinositol 3-kinase regulatory subunit alpha, SH3 domain', 'PI3K_p85alpha_SH3', 3, NULL),
(29684, NULL, 'IPR040664', NULL, 'AFL, C-terminal', 'AFL_C', 3, NULL),
(29685, NULL, 'IPR040113', NULL, 'Insulin-like 3', 'INSL3', 4, NULL),
(29686, NULL, 'IPR040036', NULL, 'Protein CYCLOPS', 'CYCLOPS', 4, NULL),
(29687, NULL, 'IPR040927', NULL, 'Monalysin, beta barrel Pore-forming domain', 'BB_PF', 3, NULL),
(29688, NULL, 'IPR033363', NULL, 'Interferon-inducible double-stranded RNA-dependent protein kinase activator A', 'PRKRA', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29689, NULL, 'IPR040922', NULL, 'MRPL25 domain', 'MRPL25_dom', 3, NULL),
(29690, NULL, 'IPR040965', NULL, 'Protein of unknown function DUF5559', 'DUF5559', 4, NULL),
(29691, NULL, 'IPR039249', NULL, 'G patch domain-containing protein 11', 'GPATCH11', 4, NULL),
(29692, NULL, 'IPR039729', NULL, 'DNA fragmentation factor 40', 'DFF40', 4, NULL),
(29693, NULL, 'IPR040507', NULL, 'Protein of unknown function DUF5540', 'DUF5540', 4, NULL),
(29694, NULL, 'IPR035836', NULL, 'ASAP1-like, SH3 domain', 'ASAP1-like_SH3', 3, NULL),
(29695, NULL, 'IPR040494', NULL, 'DNA topoisomerase VI, subunit B, C-terminal', 'Top6b_C', 3, NULL),
(29696, NULL, 'IPR040468', NULL, 'TRAF3-interacting protein 1, N-terminal', 'TRAF3IP1_N', 3, NULL),
(29697, NULL, 'IPR033464', NULL, 'CSN8/PSMD8/EIF3K', 'CSN8_PSD8_EIF3K', 3, NULL),
(29698, NULL, 'IPR040127', NULL, 'Uncharacterized protein C16orf45-like', 'C16orf45-like', 4, NULL),
(29699, NULL, 'IPR040575', NULL, 'Endo-alpha-N-acetylgalactosaminidase, N-terminal', 'GH101_N', 3, NULL),
(29700, NULL, 'IPR039917', NULL, 'Rho guanine nucleotide exchange factor 17', 'ARHGEF17', 4, NULL),
(29701, NULL, 'IPR040015', NULL, 'UBL3-like', 'UBL3-like', 4, NULL),
(29702, NULL, 'IPR033808', NULL, 'Burkholderia lethal factor 1', 'BPSL1549', 4, NULL),
(29703, NULL, 'IPR036767', NULL, 'ApaG domain superfamily', 'ApaG_sf', 5, NULL),
(29704, NULL, 'IPR040919', NULL, 'Asparaginase/glutaminase, C-terminal', 'Asparaginase_C', 3, NULL),
(29705, NULL, 'IPR033462', NULL, 'Cache 3/Cache 2 fusion domain', 'Cache_3-Cache_2', 3, NULL),
(29706, NULL, 'IPR040921', NULL, 'LD-carboxypeptidase, C-terminal', 'Peptidase_S66C', 3, NULL),
(29707, NULL, 'IPR036008', NULL, 'Aconitase, iron-sulfur domain', 'Aconitase_4Fe-4S_dom', 5, NULL),
(29708, NULL, 'IPR039801', NULL, 'Epidermal growth factor receptor kinase substrate 8-like', 'EPS8-like', 4, NULL),
(29709, NULL, 'IPR037681', NULL, 'Protein RMD5 homologue B, degenerated RING finger', 'RMD5B_dRING', 3, NULL),
(29710, NULL, 'IPR038532', NULL, 'NADH dehydrogenase ubiquinone Fe-S protein 4-like superfamily', 'NDUFS4-like_sf', 5, NULL),
(29711, NULL, 'IPR033360', NULL, 'T-lymphoma invasion and metastasis-inducing protein 1', 'Tiam1', 4, NULL),
(29712, NULL, 'IPR035671', NULL, 'DsbD gamma', 'DsbD_gamma', 3, NULL),
(29713, NULL, 'IPR037674', NULL, 'GPI ethanolamine phosphate transferase 2, N-terminal', 'PIG-G_N', 3, NULL),
(29714, NULL, 'IPR037994', NULL, 'Nucleoside diphosphate kinase 6', 'NDPk6', 4, NULL),
(29715, NULL, 'IPR040510', NULL, 'Astrotactin-2, C-terminal beta-hairpin domain', 'ASTN_2_hairpin', 3, NULL),
(29716, NULL, 'IPR033282', NULL, 'Steroid 17-alpha-hydroxylase/17,20 lyase', 'CYP17A1', 4, NULL),
(29717, NULL, 'IPR040271', NULL, 'Uncharacterized protein T19C3.2-like', 'T19C3.2-like', 4, NULL),
(29718, NULL, 'IPR040492', NULL, 'Galactofuranosyltransferase GlfT2, N-terminal', 'GlfT2_N', 3, NULL),
(29719, NULL, 'IPR033625', NULL, 'Ras association domain-containing protein 6', 'RASSF6', 4, NULL),
(29720, NULL, 'IPR039861', NULL, 'Interphotoreceptor matrix proteoglycan', 'IMPG', 4, NULL),
(29721, NULL, 'IPR037689', NULL, 'BAG family molecular chaperone regulator 2', 'BAG2', 4, NULL),
(29722, NULL, 'IPR040176', NULL, 'RING finger protein RNF121/RNF175', 'RNF121/RNF175', 4, NULL),
(29723, NULL, 'IPR037027', NULL, 'YqgF/RNase H-like domain superfamily', 'YqgF/RNaseH-like_dom_sf', 5, NULL),
(29724, NULL, 'IPR039322', NULL, 'MOM1', 'MOM1', 4, NULL),
(29725, NULL, 'IPR040605', NULL, 'Glycoside hydrolase family 2, domain 5', 'Glyco_hydro2_dom5', 3, NULL),
(29726, NULL, 'IPR040164', NULL, 'High mobility group nucleosome-binding domain-containing protein 5', 'HMGN5', 4, NULL),
(29727, NULL, 'IPR040065', NULL, 'Protein LZIC', 'LZIC', 4, NULL),
(29728, NULL, 'IPR039770', NULL, 'Ribosome biogenesis protein Rpf2', 'Rpf2', 4, NULL),
(29729, NULL, 'IPR039928', NULL, 'LNK family', 'LNK', 4, NULL),
(29730, NULL, 'IPR037677', NULL, 'CD86, IgV domain', 'CD86_IgV', 3, NULL),
(29731, NULL, 'IPR040035', NULL, 'Transmembrane protein 180', 'TMEM180', 4, NULL),
(29732, NULL, 'IPR040399', NULL, 'Transmembrane protein 35A/B', 'TMEM35A/B', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29733, NULL, 'IPR040267', NULL, 'F-box protein EID1-like', 'EID1-like', 4, NULL),
(29734, NULL, 'IPR039884', NULL, 'Coiled-coil domain-containing protein R3HC1/R3HCL', 'R3HC1/R3HCL', 4, NULL),
(29735, NULL, 'IPR038260', NULL, 'Vps53, C-terminal domain superfamily', 'Vps53_C_sf', 5, NULL),
(29736, NULL, 'IPR037201', NULL, 'Calcyclin-binding protein, N-terminal', 'CacyBP_N', 5, NULL),
(29737, NULL, 'IPR033868', NULL, 'Xylanase inhibitor I-like', 'Xylanase_inhibitor_I-like', 3, NULL),
(29738, NULL, 'IPR040156', NULL, 'Electron transfer flavoprotein-ubiquinone oxidoreductase', 'ETF-QO', 4, NULL),
(29739, NULL, 'IPR033869', NULL, 'Phytepsin', 'Phytepsin', 3, NULL),
(29740, NULL, 'IPR037371', NULL, 'Pleckstrin 1, DEP domain', 'PLEK1_DEP', 3, NULL),
(29741, NULL, 'IPR036094', NULL, 'Quinolinate synthetase A superfamily', 'NadA_sf', 5, NULL),
(29742, NULL, 'IPR040657', NULL, 'GshAB, ATP-grasp-like domain', 'GshAB_ATP-grasp', 3, NULL),
(29743, NULL, 'IPR040283', NULL, 'Transmembrane protein DDB_G0292058-like', 'DDB_G0292058-like', 4, NULL),
(29744, NULL, 'IPR040266', NULL, 'TMF-regulated nuclear protein 1', 'TRNP1', 4, NULL),
(29745, NULL, 'IPR039817', NULL, 'CLAVATA3/ESR (CLE)-related protein 1', 'CLE1', 4, NULL),
(29746, NULL, 'IPR039846', NULL, 'Zinc finger CCHC domain-containing protein 4', 'ZCCHC4', 4, NULL),
(29747, NULL, 'IPR039962', NULL, 'Uncharacterized protein ZC21.8', 'ZC21.8', 4, NULL),
(29748, NULL, 'IPR037313', NULL, 'Serine/threonine-protein kinase N, first HR1 domain', 'PKN_HR1_1', 3, NULL),
(29749, NULL, 'IPR037456', NULL, 'MA1715-like', 'MA1715-like', 4, NULL),
(29750, NULL, 'IPR040625', NULL, 'Restriction endonuclease, SH3 domain', 'SH3_17', 3, NULL),
(29751, NULL, 'IPR037377', NULL, 'Putative transcription factor GTE, bromodomain', 'GTE_bromo', 3, NULL),
(29752, NULL, 'IPR040263', NULL, 'PWWP domain-containing DNA repair factor 3A/B', 'PWP3A/B', 4, NULL),
(29753, NULL, 'IPR036019', NULL, 'Large-conductance mechanosensitive channel MscL', 'MscL_channel', 5, NULL),
(29754, NULL, 'IPR040170', NULL, 'Cytosolic acyl coenzyme A thioester hydrolase', 'Cytosol_ACT', 4, NULL),
(29755, NULL, 'IPR033734', NULL, 'Jacalin-like lectin domain, plant', 'Jacalin-like_lectin_dom_plant', 3, NULL),
(29756, NULL, 'IPR040007', NULL, 'THO complex subunit 2', 'Tho2', 4, NULL),
(29757, NULL, 'IPR040627', NULL, 'T3SS EscN ATPase, C-terminal', 'T3SS_ATPase_C', 3, NULL),
(29758, NULL, 'IPR035063', NULL, 'p21-activated kinase 3, catalytic domain', 'STK_PAK3', 3, NULL),
(29759, NULL, 'IPR037679', NULL, 'Anaphase-promoting complex subunit 5', 'Apc5', 4, NULL),
(29760, NULL, 'IPR037485', NULL, 'Peroxisome biogenesis protein 22', 'PEX22', 4, NULL),
(29761, NULL, 'IPR037353', NULL, 'Histone methyltransferase complex subunit ASH2', 'ASH2', 4, NULL),
(29762, NULL, 'IPR039250', NULL, 'CREBL2/REPTOR-BP', 'CREBL2/REPTOR-BP', 4, NULL),
(29763, NULL, 'IPR040971', NULL, 'Pleurotolysin B, C-terminal', 'PlyB_C', 3, NULL),
(29764, NULL, 'IPR039935', NULL, 'Uncharacterized protein YML079W-like', 'YML079W-like', 4, NULL),
(29765, NULL, 'IPR037307', NULL, 'TNF receptor-associated factor 4, MATH domain', 'TRAF4_MATH', 3, NULL),
(29766, NULL, 'IPR040185', NULL, 'Far11/STRP', 'Far11/STRP', 4, NULL),
(29767, NULL, 'IPR033841', NULL, 'Ubiquitin-specific peptidase 48', 'USP48', 3, NULL),
(29768, NULL, 'IPR039417', NULL, 'Papain-like cysteine endopeptidase', 'Peptidase_C1A_papain-like', 3, NULL),
(29769, NULL, 'IPR033262', NULL, 'CRM-domain containing factor CFM3', 'CFM3', 4, NULL),
(29770, NULL, 'IPR040181', NULL, 'Pleckstrin homology domain-containing family G member 5/7', 'PKHG5/7', 4, NULL),
(29771, NULL, 'IPR039788', NULL, 'Nucleolar protein 4 family', 'NOL4/NOL4L', 4, NULL),
(29772, NULL, 'IPR039847', NULL, 'RING finger protein 37', 'Ubox5', 4, NULL),
(29773, NULL, 'IPR040270', NULL, 'Microtubule-associated protein, Trypanosoma', 'Microtub-assoc_Trypanosoma', 4, NULL),
(29774, NULL, 'IPR037311', NULL, 'Rho-associated protein kinase 2, HR1 domain', 'ROCK2_HR1', 3, NULL),
(29775, NULL, 'IPR035727', NULL, 'TRIM36, PRY/SPRY domain', 'SPRY/PRY_TRIM36', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29776, NULL, 'IPR039792', NULL, 'N-acetylglucosamine-1-phosphotransferase subunit gamma', 'GNPTG', 4, NULL),
(29777, NULL, 'IPR037484', NULL, 'AmhX-like', 'AmhX-like', 4, NULL),
(29778, NULL, 'IPR040307', NULL, '50S ribosomal protein 5, chloroplastic', '50S_RP', 4, NULL),
(29779, NULL, 'IPR040290', NULL, 'Protein E6-like', 'Prot_E6-like', 4, NULL),
(29780, NULL, 'IPR039879', NULL, 'EF-hand calcium-binding domain-containing protein 10', 'EFC10', 4, NULL),
(29781, NULL, 'IPR037685', NULL, 'RNA polymerase RBP11', 'RBP11', 4, NULL),
(29782, NULL, 'IPR039804', NULL, 'Listerin, zinc finger, RING-type', 'RING-CH-C4HC3_LTN1', 3, NULL),
(29783, NULL, 'IPR040603', NULL, 'Fanconi-associated nuclease 1, SAP domain', 'FAN1_SAP', 3, NULL),
(29784, NULL, 'IPR040512', NULL, 'Large polyvalent-protein-associated domain 15', 'LPD15', 3, NULL),
(29785, NULL, 'IPR040975', NULL, 'RnaseLS-like HEPN', 'HEPN_RnaseLS', 4, NULL),
(29786, NULL, 'IPR037595', NULL, 'Reversibly glycosylated polypeptide family', 'RGP_fam', 4, NULL),
(29787, NULL, 'IPR034063', NULL, 'Fervidolysin domain', 'Fervidolysin_dom', 3, NULL),
(29788, NULL, 'IPR033886', NULL, 'Dihydroorotate dehydrogenase, class 1A', 'DHOD_1A', 4, NULL),
(29789, NULL, 'IPR040713', NULL, 'Domain of unknown function DUF5611', 'DUF5611', 3, NULL),
(29790, NULL, 'IPR039842', NULL, 'TBC1 domain family member 7', 'TBC1D7', 4, NULL),
(29791, NULL, 'IPR033330', NULL, 'Protein BTG1', 'BTG1', 4, NULL),
(29792, NULL, 'IPR040503', NULL, 'tRNA uridine(34) hydroxylase, N-terminal', 'TRHO_N', 3, NULL),
(29793, NULL, 'IPR039878', NULL, 'RNA-binding protein 33', 'RBM33', 4, NULL),
(29794, NULL, 'IPR036099', NULL, 'Cytochrome b6/f complex, subunit 5 superfamily', 'Cyt_6/f_cplx_su5_sf', 5, NULL),
(29795, NULL, 'IPR040594', NULL, 'Unkempt, zinc finger domain 1', 'Unkempt_Znf', 3, NULL),
(29796, NULL, 'IPR033195', NULL, 'Glycine/inosamine-phosphate amidinotransferase', 'AmidinoTrfase', 4, NULL),
(29797, NULL, 'IPR033840', NULL, 'Ubiquitin-specific peptidase 38', 'USP38', 3, NULL),
(29798, NULL, 'IPR037684', NULL, 'Guanylate-binding protein, C-terminal', 'GBP_C', 3, NULL),
(29799, NULL, 'IPR040576', NULL, 'Dynamin-like helical domain', 'DLP_helical', 3, NULL),
(29800, NULL, 'IPR040257', NULL, 'Trihelix transcription factor ASIL2', 'ASIL2', 4, NULL),
(29801, NULL, 'IPR037378', NULL, 'PIKfyve, DEP domain', 'PIKfyve_DEP', 3, NULL),
(29802, NULL, 'IPR035521', NULL, 'Fus1, SH3 domain', 'Fus1_SH3', 3, NULL),
(29803, NULL, 'IPR040493', NULL, 'Protein of unknown function DUF5518', 'DUF5518', 4, NULL),
(29804, NULL, 'IPR040663', NULL, 'DNA polymerase delta subunit, OB-fold domain', 'DNA_pol_D_N', 3, NULL),
(29805, NULL, 'IPR039818', NULL, 'CLAVATA3', 'CLAVATA3', 4, NULL),
(29806, NULL, 'IPR039845', NULL, 'PSME3-interacting protein', 'FAM192A', 4, NULL),
(29807, NULL, 'IPR035526', NULL, 'Obscurin, SH3 domain', 'Obscurin_SH3', 3, NULL),
(29808, NULL, 'IPR040714', NULL, 'RAP80, N-terminal', 'RAP80_UIM', 3, NULL),
(29809, NULL, 'IPR040509', NULL, 'CdiI, C-terminal', 'CdiI_C', 3, NULL),
(29810, NULL, 'IPR040662', NULL, 'Transcription factor Tfb2, C-terminal domain', 'Tfb2_C', 3, NULL),
(29811, NULL, 'IPR040979', NULL, 'Vid27, N-terminal', 'Vid27_N', 3, NULL),
(29812, NULL, 'IPR040928', NULL, 'Importin repeat', 'Importin_rep_5', 7, NULL),
(29813, NULL, 'IPR040133', NULL, 'Synphilin-1', 'SNCAIP', 4, NULL),
(29814, NULL, 'IPR034280', NULL, 'Ephrin type-A receptor 6, ligand binding domain', 'EphA6_rcpt_lig-bd', 3, NULL),
(29815, NULL, 'IPR040112', NULL, 'Developmental regulatory protein WetA', 'WetA', 4, NULL),
(29816, NULL, 'IPR040501', NULL, 'TFA2, Winged helix domain 2', 'TFA2_Winged_2', 3, NULL),
(29817, NULL, 'IPR037878', NULL, 'Sperm acrosome membrane-associated protein 1', 'SPACA1', 4, NULL),
(29818, NULL, 'IPR033392', NULL, 'Sox 7/17/18, central domain', 'Sox7/17/18_central', 3, NULL),
(29819, NULL, 'IPR040269', NULL, 'VAN3-binding protein', 'VAB', 4, NULL),
(29820, NULL, 'IPR039889', NULL, 'Coiled-coil domain-containing protein 33', 'CCD33', 4, NULL),
(29821, NULL, 'IPR036760', NULL, 'SspB-like superfamily', 'SspB-like_sf', 5, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29822, NULL, 'IPR040128', NULL, 'Uncharacterized protein T25E4.2-like', 'T25E4.2-like', 4, NULL),
(29823, NULL, 'IPR040175', NULL, 'Methylcytosine dioxygenase TET1/2/3', 'TET1/2/3', 4, NULL),
(29824, NULL, 'IPR040343', NULL, 'RNA 5''-triphosphatase Cet1/Ctl1', 'Cet1/Ctl1', 4, NULL),
(29825, NULL, 'IPR040698', NULL, 'Hydrazine synthase alpha subunit, middle domain', 'HZS_alpha_mid', 3, NULL),
(29826, NULL, 'IPR040579', NULL, 'Acetyltransferase (GNAT) domain', 'Acetyltransf_19', 3, NULL),
(29827, NULL, 'IPR038526', NULL, 'Ribosomal protein L22e superfamily', 'Ribosomal_L22e_sf', 5, NULL),
(29828, NULL, 'IPR040124', NULL, 'IQ domain-containing protein N', 'IQCN', 4, NULL),
(29829, NULL, 'IPR040701', NULL, 'Bacterial archaeo-eukaryotic release factor family 2', 'Bact_RF_family2', 4, NULL),
(29830, NULL, 'IPR040920', NULL, 'Arabinosyltransferas, concanavalin like domain', 'Arabino_trans_N', 3, NULL),
(29831, NULL, 'IPR040050', NULL, 'Zinc finger protein 830-like', 'ZNF830-like', 4, NULL),
(29832, NULL, 'IPR040049', NULL, '28S ribosomal protein S25, mitochondrial', 'MRPS25', 4, NULL),
(29833, NULL, 'IPR040601', NULL, 'tRNA methyltransferase 5, N-terminal', 'Trm5_N', 3, NULL),
(29834, NULL, 'IPR040570', NULL, 'L-amino acid ligase, C-terminal domain 2', 'LAL_C2', 3, NULL),
(29835, NULL, 'IPR039786', NULL, 'Protein EFR3', 'EFR3', 4, NULL),
(29836, NULL, 'IPR040467', NULL, 'CCDC66 domain', 'CCDC66_dom', 3, NULL),
(29837, NULL, 'IPR040346', NULL, 'GEX1/Brambleberry', 'GEX1/Brambleberry', 4, NULL),
(29838, NULL, 'IPR040498', NULL, 'PriA DNA helicase, Cys-rich region (CRR) domain', 'PriA_CRR', 3, NULL),
(29839, NULL, 'IPR040159', NULL, 'Suppressor of hairless-like', 'CLS_fam', 4, NULL),
(29840, NULL, 'IPR037482', NULL, 'ST1585, MBL-fold', 'ST1585_MBL-fold', 3, NULL),
(29841, NULL, 'IPR040926', NULL, 'Cellular tumor antigen p53, transactivation domain 2', 'p53_TAD2', 3, NULL),
(29842, NULL, 'IPR036102', NULL, 'OsmC/Ohr superfamily', 'OsmC/Ohrsf', 5, NULL),
(29843, NULL, 'IPR040569', NULL, 'Reverse gyrase, zinc finger', 'Znf_Rg', 3, NULL),
(29844, NULL, 'IPR033359', NULL, 'Taperin', 'TPRN', 4, NULL),
(29845, NULL, 'IPR040514', NULL, 'C4b-binding protein alpha, oligomerization domain', 'C4bp_oligo', 3, NULL),
(29846, NULL, 'IPR037489', NULL, 'DNA repair RAD52-like protein', 'RAD52-like', 4, NULL),
(29847, NULL, 'IPR040297', NULL, 'Multivesicular body subunit 12B', 'MVB12B', 4, NULL),
(29848, NULL, 'IPR039890', NULL, 'Cyclin N-terminal domain-containing protein 1', 'CNTD1', 4, NULL),
(29849, NULL, 'IPR038261', NULL, 'Golgi phosphoprotein 3-like domain superfamily', 'GPP34-like_sf', 5, NULL),
(29850, NULL, 'IPR040624', NULL, 'Halobacterial output domain 1', 'HalOD1', 3, NULL),
(29851, NULL, 'IPR040567', NULL, 'RctB, helix turn helix domain', 'RctB_HTH', 3, NULL),
(29852, NULL, 'IPR040409', NULL, 'Phytochelatin synthase', 'PCS-like', 4, NULL),
(29853, NULL, 'IPR033332', NULL, 'BTG family', 'BTG', 4, NULL),
(29854, NULL, 'IPR040395', NULL, 'Tetratricopeptide repeat protein 19', 'TTC19', 4, NULL),
(29855, NULL, 'IPR037865', NULL, 'Active breakpoint cluster region-related protein, PH domain', 'ABR_PH', 3, NULL),
(29856, NULL, 'IPR039958', NULL, 'RING1 and YY1-binding protein/YY1-associated factor 2', 'RYBP/YAF2', 4, NULL),
(29857, NULL, 'IPR040914', NULL, 'Repeat of uncharacterized protein PH0542', 'HEAT_UF', 7, NULL),
(29858, NULL, 'IPR035384', NULL, 'Uncharacterized protein YhdX-like', 'YhdX-like', 4, NULL),
(29859, NULL, 'IPR039253', NULL, 'Aprataxin and PNK-like factor', 'APLF', 4, NULL),
(29860, NULL, 'IPR037675', NULL, 'GPI ethanolamine phosphate transferase 3, N-terminal', 'PIG-O_N', 3, NULL),
(29861, NULL, 'IPR040924', NULL, 'P-loop Nucleotide Kinase1', 'Ploopntkinase1', 4, NULL),
(29862, NULL, 'IPR036098', NULL, 'Thymidylate synthase ThyX superfamily', 'Thymidylate_synthase_ThyX_sf', 5, NULL),
(29863, NULL, 'IPR039905', NULL, 'CD2 antigen cytoplasmic tail-binding protein 2/Lin1', 'CD2BP2/Lin1', 4, NULL),
(29864, NULL, 'IPR037581', NULL, 'Fibrinogen gamma chain', 'Fibrinogen_gamma', 4, NULL),
(29865, NULL, 'IPR040566', NULL, 'Interleukin-13 receptor subunit alpha-1, Ig-like domain', 'Il13Ra_Ig', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29866, NULL, 'IPR040002', NULL, 'U6 snRNA-associated Sm-like protein Lsm3', 'Sm-like_LSM3', 4, NULL),
(29867, NULL, 'IPR039886', NULL, 'BTBD10/KCTD20', 'BTBD10/KCTD20', 4, NULL),
(29868, NULL, 'IPR037030', NULL, 'Retinal cGMP phosphodiesterase, gamma subunit superfamily', 'PDE6_gamma_sf', 5, NULL),
(29869, NULL, 'IPR040111', NULL, 'Outer dynein arm-docking complex subunit 4', 'ODAD4', 4, NULL),
(29870, NULL, 'IPR040626', NULL, 'Cytosolic carboxypeptidase, N-terminal', 'Pepdidase_M14_N', 3, NULL),
(29871, NULL, 'IPR033622', NULL, 'Ras association domain-containing protein 4', 'RASSF4', 4, NULL),
(29872, NULL, 'IPR039885', NULL, 'BTBD10/KCTD20, BTB/POZ domain', 'BTBD10/KCTD20_BTB/POZ', 3, NULL),
(29873, NULL, 'IPR040712', NULL, 'Phosphofructokinase, N-terminal domain', 'Pfk_N', 3, NULL),
(29874, NULL, 'IPR039769', NULL, '18S rRNA (guanine(1575)-N(7))-methyltransferase Bud23-like', 'Bud23-like', 4, NULL),
(29875, NULL, 'IPR038530', NULL, '[NiFe]-hydrogenase assembly chaperone, HybE superfamily', 'NiFe-hyd_HybE_sf', 5, NULL),
(29876, NULL, 'IPR039413', NULL, 'RON, Sema domain', 'RON_Sema', 3, NULL),
(29877, NULL, 'IPR040189', NULL, 'Probable sugar phosphate/phosphate translocator', 'Probable_P_translocator', 4, NULL),
(29878, NULL, 'IPR037997', NULL, 'CTP-dependent diacylglycerol kinase 1-like', 'Dgk1-like', 4, NULL),
(29879, NULL, 'IPR033909', NULL, 'Ribonucleotide reductase small subunit', 'RNR_small', 4, NULL),
(29880, NULL, 'IPR037892', NULL, 'SNX14, RGS domain', 'SNX14_RGS', 3, NULL),
(29881, NULL, 'IPR036096', NULL, 'Ataxin, AXH domain superfamily', 'Ataxin_AXH_dom_sf', 5, NULL),
(29882, NULL, 'IPR040155', NULL, 'CEBPZ/Mak21-like', 'CEBPZ/Mak21-like', 4, NULL),
(29883, NULL, 'IPR037026', NULL, 'Vgr protein, OB-fold domain superfamily', 'Vgr_OB-fold_dom_sf', 5, NULL),
(29884, NULL, 'IPR038527', NULL, 'HupH, C-terminal domain superfamily', 'HupH_C_sf', 5, NULL),
(29885, NULL, 'IPR040702', NULL, 'Response regulator aspartate phosphatase, N-terminal', 'Rap_N', 3, NULL),
(29886, NULL, 'IPR039684', NULL, 'Fanconi anemia group G protein', 'FANCG', 4, NULL),
(29887, NULL, 'IPR037863', NULL, 'Rho GTPase-activating protein 6/36', 'RHOGAP6/36', 4, NULL),
(29888, NULL, 'IPR039919', NULL, 'Rho guanine nucleotide exchange factor 10/17', 'ARHGEF10/ARHGEF17', 4, NULL),
(29889, NULL, 'IPR037212', NULL, 'Mediator complex, subunit Med7/Med21-like', 'Med7/Med21-like', 5, NULL),
(29890, NULL, 'IPR039882', NULL, 'Zinc finger protein 414', 'ZN414', 4, NULL),
(29891, NULL, 'IPR040697', NULL, 'Pullulanase, N1 domain', 'PulA_N1', 3, NULL),
(29892, NULL, 'IPR040059', NULL, 'Pumilio homologue 3', 'PUM3', 4, NULL),
(29893, NULL, 'IPR040397', NULL, 'Suppressor of white apricot', 'SWAP', 4, NULL),
(29894, NULL, 'IPR040205', NULL, 'HIN-200 family', 'HIN-200', 4, NULL),
(29895, NULL, 'IPR036092', NULL, 'Small/middle T-antigen superfamily', 'Papo_T_antigensf', 5, NULL),
(29896, NULL, 'IPR040916', NULL, 'DD-reactivating factor swiveling domain', 'DDR_swiveling', 3, NULL),
(29897, NULL, 'IPR034283', NULL, 'Ephrin type-A receptor 7, ligand binding domain', 'EphA7_rcpt_lig-bd', 3, NULL),
(29898, NULL, 'IPR037483', NULL, 'YjjU-like', 'YjjU-like', 4, NULL),
(29899, NULL, 'IPR040578', NULL, 'UPF0242, C-terminal PAS-like domain', 'UPF0242_PAS', 3, NULL),
(29900, NULL, 'IPR040174', NULL, 'Renalase', 'RNLS', 4, NULL),
(29901, NULL, 'IPR040513', NULL, 'Mutator 2, fork head associated domain', 'MU2_FHA', 3, NULL),
(29902, NULL, 'IPR033618', NULL, 'Ras association domain-containing protein 2', 'RASSF2', 4, NULL),
(29903, NULL, 'IPR036097', NULL, 'Signal transduction histidine kinase, dimerisation/phosphoacceptor domain superfamily', 'HisK_dim/P_sf', 5, NULL),
(29904, NULL, 'IPR040014', NULL, 'Corepressor interacting with RBPJ 1', 'CIR1', 4, NULL),
(29905, NULL, 'IPR037383', NULL, 'Coiled-coil domain-containing protein 87', 'CCDC87', 4, NULL),
(29906, NULL, 'IPR040396', NULL, 'Polyadenylate-binding protein-interacting protein 2-like', 'PAIP2-like', 4, NULL),
(29907, NULL, 'IPR037368', NULL, 'Integral membrane protein GPR155, DEP domain', 'GPR155_DEP', 3, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29908, NULL, 'IPR039819', NULL, 'Protein PHYTOCHROME KINASE SUBSTRATE 3', 'PKS3', 4, NULL),
(29909, NULL, 'IPR039911', NULL, 'JNK-interacting protein 3/4', 'JIP3/JIP4', 4, NULL),
(29910, NULL, 'IPR039891', NULL, 'von Willebrand factor A domain-containing protein 8', 'VWA8', 4, NULL),
(29911, NULL, 'IPR036095', NULL, 'PTS system IIB component-like superfamily', 'PTS_EIIB-like_sf', 5, NULL),
(29912, NULL, 'IPR039008', NULL, 'Intermediate filament, rod domain', 'IF_rod_dom', 3, NULL),
(29913, NULL, 'IPR040413', NULL, 'Proline-rich protein 1/3', 'PRP1/PRP3', 4, NULL),
(29914, NULL, 'IPR038766', NULL, 'Membrane component of ABC transporter, predicted', 'Membrane_comp_ABC_pdt', 4, NULL),
(29915, NULL, 'IPR039862', NULL, 'N-terminal EF-hand calcium binding protein 1/2/3', 'NECAB1/2/3', 4, NULL),
(29916, NULL, 'IPR039859', NULL, 'Palmitoyltransferase ZDHHC16', 'ZDH16', 4, NULL),
(29917, NULL, 'IPR040508', NULL, 'AbiJ, N-terminal domain 5', 'AbiJ_NTD5', 3, NULL),
(29918, NULL, 'IPR040079', NULL, 'Glutathione Transferase family', 'Glutathione_S-Trfase', 4, NULL),
(29919, NULL, 'IPR034065', NULL, 'All0781-like, domain', 'All0781-like_dom', 3, NULL),
(29920, NULL, 'IPR040294', NULL, 'Nodulin-related protein 1/2', 'Nodulin-rel_1/2', 4, NULL),
(29921, NULL, 'IPR039920', NULL, 'DNA repair/transcription protein MET18/MMS19', 'MET18/MMS19', 4, NULL),
(29922, NULL, 'IPR040274', NULL, 'CLAVATA3/ESR (CLE)-related protein 27/43', 'CLE27/CLE43', 4, NULL),
(29923, NULL, 'IPR037309', NULL, 'TNF receptor-associated factor 6, MATH domain', 'TRAF6_MATH', 3, NULL),
(29924, NULL, 'IPR040930', NULL, 'AF-9, ANC1 homology domain', 'AF-9_AHD', 3, NULL),
(29925, NULL, 'IPR040117', NULL, 'GCSF/MGF', 'GCSF/MGF', 4, NULL),
(29926, NULL, 'IPR033534', NULL, 'Mucin-21', 'MUC21', 4, NULL),
(29927, NULL, 'IPR039926', NULL, 'Protein egg apparatus-1', 'Egg_app_1', 4, NULL),
(29928, NULL, 'IPR036020', NULL, 'WW domain superfamily', 'WW_dom_sf', 5, NULL),
(29929, NULL, 'IPR040393', NULL, 'Three-prime repair exonuclease 1/2', 'TREX1/2', 4, NULL),
(29930, NULL, 'IPR033199', NULL, 'Dimethylarginine dimethylaminohydrolase', 'DDAH', 4, NULL),
(29931, NULL, 'IPR039858', NULL, 'E3 ubiquitin-protein ligase KCMF1', 'KCMF1', 4, NULL),
(29932, NULL, 'IPR039411', NULL, 'Ribosomal biogenesis NSA2 family', 'NSA2_fam', 4, NULL),
(29933, NULL, 'IPR040228', NULL, 'Insulin-related peptide, invertebrates', 'Insulin-relat-peptide_inver', 4, NULL),
(29934, NULL, 'IPR040187', NULL, 'OCIA domain-containing protein 1/2', 'OCAD1/2', 4, NULL),
(29935, NULL, 'IPR033283', NULL, 'Cholesterol side-chain cleavage enzyme, mitochondrial', 'CYP11A1', 4, NULL),
(29936, NULL, 'IPR033888', NULL, 'Dihydroorotate dehydrogenase, class 1B', 'DHOD_1B', 4, NULL),
(29937, NULL, 'IPR037024', NULL, '[NiFe]-hydrogenase, small subunit, N-terminal domain superfamily', 'NiFe_Hase_small_N_sf', 5, NULL),
(29938, NULL, 'IPR040129', NULL, 'Protein lin-15B-like', 'Lin-15B-like', 4, NULL),
(29939, NULL, 'IPR034061', NULL, 'Autotransporter serine protease peptidase domain', 'Peptidases_S8_Autotransporter', 3, NULL),
(29940, NULL, 'IPR036013', NULL, 'Band 7/SPFH domain superfamily', 'Band_7/SPFH_dom_sf', 5, NULL),
(29941, NULL, 'IPR040282', NULL, 'Abnormal cell migration protein 18-like', 'Mig-18-like', 4, NULL),
(29942, NULL, 'IPR040213', NULL, 'GIR2-like', 'GIR2-like', 4, NULL),
(29943, NULL, 'IPR040134', NULL, '26S Proteasome non-ATPase regulatory subunit 12/COP9 signalosome complex subunit 4', 'PSMD12/CSN4', 4, NULL),
(29944, NULL, 'IPR033533', NULL, 'Proline-rich protein 27', 'PRR27', 4, NULL),
(29945, NULL, 'IPR037385', NULL, 'Methyl-CpG-binding domain protein 5/6', 'MBD5/MBD6', 4, NULL),
(29946, NULL, 'IPR039414', NULL, 'SMG1, PIKK catalytic domain', 'SMG1_PIKKc', 3, NULL),
(29947, NULL, 'IPR036093', NULL, 'NAC domain superfamily', 'NAC_dom_sf', 5, NULL),
(29948, NULL, 'IPR040077', NULL, 'Glutathione S-transferase Theta, C-terminal', 'GST_C_Theta', 3, NULL),
(29949, NULL, 'IPR038255', NULL, 'Phycobilisome linker domain superfamily', 'PBS_linker_sf', 5, NULL),
(29950, NULL, 'IPR038256', NULL, 'DNA polymerase alpha, zinc finger domain superfamily', 'Pol_alpha_znc_sf', 5, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29951, NULL, 'IPR040262', NULL, 'Uncharacterized protein At4g38062-like', 'At4g38062-like', 4, NULL),
(29952, NULL, 'IPR040006', NULL, 'Tankyrase 1-binding protein-like', 'TNKS1BP1-like', 4, NULL),
(29953, NULL, 'IPR033463', NULL, 'Single cache domain 3', 'sCache_3', 3, NULL),
(29954, NULL, 'IPR037174', NULL, 'Trimeric adhesin', 'Trimeric_adhesin', 5, NULL),
(29955, NULL, 'IPR038025', NULL, 'Antitoxin CbeA superfamily', 'CbeA_sf', 5, NULL),
(29956, NULL, 'IPR040700', NULL, 'ZNRF-3, ectodomain', 'ZNRF-3_ecto', 3, NULL),
(29957, NULL, 'IPR040003', NULL, 'Plastoglobular protein 18-like', 'PG18-like', 4, NULL),
(29958, NULL, 'IPR040511', NULL, 'Adenylyl/Guanylyl and SMODS, C-terminal sensor domain', 'AGS_C', 3, NULL),
(29959, NULL, 'IPR040178', NULL, 'E3 ubiquitin-protein ligase RNF220, RING finger', 'RNF220_RING', 3, NULL),
(29960, NULL, 'IPR040623', NULL, '26S proteasome regulatory subunit RPN2, C-terminal', 'RPN2_C', 3, NULL),
(29961, NULL, 'IPR040495', NULL, 'CCDC81-like prokaryotic HU domain 1', 'HU-CCDC81_bac_1', 3, NULL),
(29962, NULL, 'IPR037367', NULL, 'PREX2, DEP domain 1', 'Rex2_DEP_1', 3, NULL),
(29963, NULL, 'IPR037312', NULL, 'Protein kinase C-like, HR1 domain', 'PKC-like_HR1', 3, NULL),
(29964, NULL, 'IPR039914', NULL, 'Signal recognition particle SRP9', 'SRP9', 4, NULL),
(29965, NULL, 'IPR037436', NULL, 'Sorting nexin-14, PX domain', 'SNX14_PX', 3, NULL),
(29966, NULL, 'IPR040048', NULL, 'Zinc finger protein 277', 'ZNF277', 4, NULL),
(29967, NULL, 'IPR040398', NULL, 'CCR4-NOT transcription complex subunit 1', 'Not1', 4, NULL),
(29968, NULL, 'IPR040236', NULL, 'Transmembrane protein 198', 'TMEM198', 4, NULL),
(29969, NULL, 'IPR040628', NULL, 'Bacterial archaeo-eukaryotic release factor family 6', 'BaeRF_family6', 4, NULL),
(29970, NULL, 'IPR040335', NULL, 'Multivesicular body subunit 12A', 'MVB12A', 4, NULL),
(29971, NULL, 'IPR040051', NULL, 'Selenocysteine insertion sequence-binding protein 2', 'SECISBP2', 4, NULL),
(29972, NULL, 'IPR039813', NULL, 'Stromal cell-derived factor 1', 'CXCL12', 4, NULL),
(29973, NULL, 'IPR040925', NULL, 'Heparinase II, C-terminal', 'HepII_C', 3, NULL),
(29974, NULL, 'IPR039923', NULL, 'Protodermal factor 1', 'Protodermal_1', 4, NULL),
(29975, NULL, 'IPR039848', NULL, 'Ribosomal protein S24/S35, mitochondrial', 'Ribosomal_S24/S35', 4, NULL),
(29976, NULL, 'IPR040629', NULL, 'Phage spike trimer', 'Phage_spike', 3, NULL),
(29977, NULL, 'IPR037224', NULL, 'PapC, N-terminal domain superfamily', 'PapC_N_sf', 5, NULL),
(29978, NULL, 'IPR040497', NULL, 'Glucosyltransferase 24, catalytic domain', 'Glyco_transf_24', 3, NULL),
(29979, NULL, 'IPR040061', NULL, 'WPP domain-interacting tail-anchored protein 2', 'WIT2', 4, NULL),
(29980, NULL, 'IPR039933', NULL, 'Protein XRI1', 'XRI1', 4, NULL),
(29981, NULL, 'IPR033551', NULL, 'Dynein regulatory complex subunit 7', 'DRC7/lobo', 4, NULL),
(29982, NULL, 'IPR039881', NULL, 'mRNA (2''-O-methyladenosine-N(6)-)-methyltransferase PCIF1-like', 'PCIF1-like', 4, NULL),
(29983, NULL, 'IPR033866', NULL, 'Plasmepsin 5', 'Plasmepsin_5', 3, NULL),
(29984, NULL, 'IPR040126', NULL, 'Storkhead-box protein 1/2', 'STOX1/2', 4, NULL),
(29985, NULL, 'IPR040582', NULL, 'MalK, OB fold domain', 'OB_MalK', 3, NULL),
(29986, NULL, 'IPR040699', NULL, 'Xeroderma pigmentosum group B helicase, damage recognition domain', 'XPB_DRD', 3, NULL),
(29987, NULL, 'IPR035064', NULL, 'p21-activated kinase 2, catalytic domain', 'STK_PAK2', 3, NULL),
(29988, NULL, 'IPR040966', NULL, 'Metalloprotease StcE, C-terminal', 'StcE_C', 3, NULL),
(29989, NULL, 'IPR039880', NULL, 'Uncharacterized protein C17orf64-like', 'C17orf64-like', 4, NULL),
(29990, NULL, 'IPR037683', NULL, 'Rmd5, degenerated RING (dRING) finger', 'Rmd5_dRing', 3, NULL),
(29991, NULL, 'IPR039418', NULL, 'LexA-like', 'LexA-like', 3, NULL),
(29992, NULL, 'IPR038531', NULL, 'Neuraminyllactose-binding hemagglutinin superfamily', 'NeuraminylLac-bd_hemagglutn_sf', 5, NULL),
(29993, NULL, 'IPR040168', NULL, 'Not2/Not3/Not5', 'Not2/3/5', 4, NULL),
(29994, NULL, 'IPR036762', NULL, 'IscX-like superfamily', 'IscX-like_sf', 5, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(29995, NULL, 'IPR039810', NULL, 'CD166 antigen', 'CD166_antigen', 4, NULL),
(29996, NULL, 'IPR039794', NULL, 'Glucosidase II beta subunit-like', 'Gtb1-like', 4, NULL),
(29997, NULL, 'IPR040289', NULL, 'Microtubule binding protein 2C', 'MBP2C', 4, NULL),
(29998, NULL, 'IPR033535', NULL, 'Phosphatidylinositol N-acetylglucosaminyltransferase subunit Y, chordates', 'PIGY_chordates', 4, NULL),
(29999, NULL, 'IPR040125', NULL, 'Squalene monooxygenase', 'Squalene_monox', 4, NULL),
(30000, NULL, 'IPR039820', NULL, 'Protein PHYTOCHROME KINASE SUBSTRATE 4', 'PSK4', 4, NULL),
(30001, NULL, 'IPR033607', NULL, 'Repulsive guidance molecule A', 'RGMA', 4, NULL),
(30002, NULL, 'IPR037335', NULL, 'DEP domain-containing mTOR-interacting protein, DEP domain 1', 'DEPTOR_DEP_1', 3, NULL),
(30003, NULL, 'IPR038251', NULL, 'PdxB, dimerisation domain superfamily', 'PdxB_dimer_sf', 5, NULL),
(30004, NULL, 'IPR035746', NULL, 'Enhancer of filamentation 1, SH3 domain', 'NEDD9_SH3', 3, NULL),
(30005, NULL, 'IPR036320', NULL, 'Glycosyl transferase family 3, N-terminal domain superfamily', 'Glycosyl_Trfase_fam3_N_dom)sf', 5, NULL),
(30006, NULL, 'IPR040972', NULL, 'Alstrom syndrome repeat', 'ALMS_repeat', 7, NULL),
(30007, NULL, 'IPR037343', NULL, 'SOCS5, SOCS box domain', 'SOCS5_SOCS', 3, NULL),
(30008, NULL, 'IPR036017', NULL, 'TCB1D9/TCB1D9B, PH-GRAM domain 2', 'TCB1D9/TCB1D9B_PH-GRAM2', 3, NULL),
(30009, NULL, 'IPR036341', NULL, 'Her-1 superfamily', 'Her-1_sf', 5, NULL),
(30010, NULL, 'IPR035034', NULL, 'Grb14, SH2 domain', 'Grb14_SH2', 3, NULL),
(30011, NULL, 'IPR035726', NULL, 'Abl interactor 2, SH3 domain', 'Abi2_SH3', 3, NULL),
(30012, NULL, 'IPR040540', NULL, 'Ribonuclease III, N-terminal domain', 'RNase_3_N', 3, NULL),
(30013, NULL, 'IPR033571', NULL, 'NEDD4-binding protein 3', 'N4BP3', 4, NULL),
(30014, NULL, 'IPR035732', NULL, 'VAV2 protein, second SH3 domain', 'VAV2_SH3_2', 3, NULL),
(30015, NULL, 'IPR037128', NULL, 'Quinolinate phosphoribosyl transferase, N-terminal domain superfamily', 'Quinolinate_PRibosylTase_N_sf', 5, NULL),
(30016, NULL, 'IPR038010', NULL, 'YhfW, C-terminal Rieske domain', 'YhfW_C', 3, NULL),
(30017, NULL, 'IPR036016', NULL, 'TBC1D8, PH-GRAM domain 2', 'TBC1D8_PH-GRAM2', 3, NULL),
(30018, NULL, 'IPR033749', NULL, 'Polyprenyl synthetase, conserved site', 'Polyprenyl_synt_CS', 2, NULL),
(30019, NULL, 'IPR040487', NULL, 'Peptidase family M23, N-terminal', 'Peptidase_M23_N', 3, NULL),
(30020, NULL, 'IPR033035', NULL, 'Rho family-interacting cell polarization regulator 2', 'FAM65B', 4, NULL),
(30021, NULL, 'IPR037768', NULL, 'Copine, C2B domain', 'C2B_Copine', 3, NULL),
(30022, NULL, 'IPR035608', NULL, 'Vinexin, SH3 domain 2', 'Vinexin_SH3_2', 3, NULL),
(30023, NULL, 'IPR035643', NULL, 'GRB2, C-terminal SH3 domain', 'GRB2_C_SH3', 3, NULL),
(30024, NULL, 'IPR036617', NULL, 'Barrier-to-autointegration factor, BAF superfamily', 'BAF_sf', 5, NULL),
(30025, NULL, 'IPR039702', NULL, 'Farnesyl pyrophosphate synthase-like', 'FPS1-like', 4, NULL),
(30026, NULL, 'IPR039686', NULL, 'FANCM/Mph1-like', 'FANCM/Mph1-like', 4, NULL),
(30027, NULL, 'IPR036015', NULL, 'TBC1D8B, PH-GRAM domain 2', 'TBC1D8B_PH-GRAM2', 3, NULL),
(30028, NULL, 'IPR035997', NULL, 'MTMR4, PH-GRAM domain', 'MTMR4_PH-GRAM', 3, NULL),
(30029, NULL, 'IPR035514', NULL, 'SPIN90, SH3 domain', 'SPIN90_SH3', 3, NULL),
(30030, NULL, 'IPR039697', NULL, 'Iron-type alcohol dehydrogenase-like', 'Alcohol_dehydrogenase_Fe', 4, NULL),
(30031, NULL, 'IPR033493', NULL, 'Nuclear distribution protein nudE-like 1', 'NDEL1', 4, NULL),
(30032, NULL, 'IPR035741', NULL, 'Intersectin-2, fifth SH3 domain', 'Intersectin-2_SH3_5', 3, NULL),
(30033, NULL, 'IPR039252', NULL, 'Protein RALF-like 27', 'RALFL27', 4, NULL),
(30034, NULL, 'IPR036941', NULL, 'Receptor L-domain superfamily', 'Rcpt_L-dom_sf', 5, NULL),
(30035, NULL, 'IPR040695', NULL, 'EcpB, C-terminal', 'EcpB_C', 3, NULL),
(30036, NULL, 'IPR037779', NULL, 'SynGAP, PH domain', 'SynGAP_PH', 3, NULL),
(30037, NULL, 'IPR033270', NULL, 'VPRBP/DCAF1 family', 'VPRBP/DCAF1', 4, NULL),
(30038, NULL, 'IPR040691', NULL, 'PexRD2, WYL domain', 'PexRD2_WYL', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30039, NULL, 'IPR033027', NULL, 'Down syndrome cell adhesion molecule, metazoan', 'DSCAM_metazoan', 4, NULL),
(30040, NULL, 'IPR036945', NULL, 'Diacylglycerol kinase (DAGK) superfamily', 'DAGK_sf', 5, NULL),
(30041, NULL, 'IPR040357', NULL, 'Vma22/CCDC115', 'Vma22/CCDC115', 4, NULL),
(30042, NULL, 'IPR033164', NULL, 'Tubulointerstitial nephritis antigen', 'TINAG', 4, NULL),
(30043, NULL, 'IPR038540', NULL, 'Pathogenicity island protein gp6 superfamily', 'SAPIS-gp6_sf', 5, NULL),
(30044, NULL, 'IPR038248', NULL, 'Dicer dimerisation domain superfamily', 'Dicer_dimer_sf', 5, NULL),
(30045, NULL, 'IPR037143', NULL, '4''-phosphopantetheinyl transferase domain superfamily', '4-PPantetheinyl_Trfase_dom_sf', 5, NULL),
(30046, NULL, 'IPR039657', NULL, 'Dimethylallyltransferase', 'Dimethylallyltransferase', 4, NULL),
(30047, NULL, 'IPR038008', NULL, 'Jag, KH domain', 'Jag_KH', 3, NULL),
(30048, NULL, 'IPR038044', NULL, 'SWI/SNF complex subunit SMARCC2', 'SMARCC2', 4, NULL),
(30049, NULL, 'IPR040485', NULL, 'Exportin-1, repeat 3', 'XPO1_repeat_3', 7, NULL),
(30050, NULL, 'IPR040766', NULL, 'RapA, N-terminal Tudor-like domain 2', 'Tudor_2_RapA', 3, NULL),
(30051, NULL, 'IPR036610', NULL, 'PEBP-like superfamily', 'PEBP-like_sf', 5, NULL),
(30052, NULL, 'IPR040480', NULL, 'DnaT, DNA-binding domain', 'DnaT_DNA_bind', 3, NULL),
(30053, NULL, 'IPR036012', NULL, 'TBC1D8B, PH-GRAM domain 1', 'TBC1D8B_PH-GRAM1', 3, NULL),
(30054, NULL, 'IPR040354', NULL, 'Tectonic', 'Tectonic', 4, NULL),
(30055, NULL, 'IPR035743', NULL, 'PACSIN1/PACSIN2, SH3 domain', 'PACSIN1/PACSIN2_SH3', 3, NULL),
(30056, NULL, 'IPR040352', NULL, 'Transmembrane and ubiquitin-like domain-containing protein 1/2', 'TMUB1/2', 4, NULL),
(30057, NULL, 'IPR035641', NULL, 'GRB2, N-terminal SH3 domain', 'GRB2_N_SH3', 3, NULL),
(30058, NULL, 'IPR035736', NULL, 'Stac3, first SH3 domain', 'Stac3_SH3_1', 3, NULL),
(30059, NULL, 'IPR040689', NULL, 'SUVR5, C2H2-type Zinc finger, 3 repeats', 'SUVR5_Znf-C2H2_3rpt', 7, NULL),
(30060, NULL, 'IPR036745', NULL, 'DNA polymerase III-theta superfamily', 'PolIII_theta_sf', 5, NULL),
(30061, NULL, 'IPR040539', NULL, 'WRNIP1, ubiquitin-binding domain', 'Znf-WRNIP1_ubi', 3, NULL),
(30062, NULL, 'IPR035805', NULL, 'Tyrosine-protein kinase Frk, SH2 domain', 'SH2_Frk', 3, NULL),
(30063, NULL, 'IPR040682', NULL, 'HscB, tetracysteine metal binding motif', 'HscB_4_cys', 3, NULL),
(30064, NULL, 'IPR035612', NULL, 'SH3RF3, SH3 domain 3', 'SH3RF3_SH3_3', 3, NULL),
(30065, NULL, 'IPR040351', NULL, 'Guanine nucleotide exchange factor RAB3IL/RAB3IP/Sec2', 'RAB3IL/RAB3IP/Sec2', 4, NULL),
(30066, NULL, 'IPR039685', NULL, 'Fanconi anemia group E protein', 'FANCE', 4, NULL),
(30067, NULL, 'IPR035258', NULL, 'Protein of unknown function DUF5350', 'DUF5350', 4, NULL),
(30068, NULL, 'IPR037114', NULL, 'Rhodopsin, N-terminal domain superfamily', 'Rhodopsin_N_sf', 5, NULL),
(30069, NULL, 'IPR040326', NULL, 'HAP2/GCS1', 'HAP2/GCS1', 4, NULL),
(30070, NULL, 'IPR038549', NULL, 'SeBP-like superfamily', 'SeBP-like_sf', 5, NULL),
(30071, NULL, 'IPR036009', NULL, 'TBC1D8, PH-GRAM domain 1', 'TBC1D8_PH-GRAM1', 3, NULL),
(30072, NULL, 'IPR033690', NULL, 'Adenylate kinase, conserved site', 'Adenylat_kinase_CS', 2, NULL),
(30073, NULL, 'IPR039660', NULL, 'Ribosomal protein L14', 'Ribosomal_protein_L14', 4, NULL),
(30074, NULL, 'IPR040668', NULL, 'TraI, 2B/2B-like domain', 'TraI_2B', 3, NULL),
(30075, NULL, 'IPR033702', NULL, 'Polo-like kinase 1, catalytic domain', 'PLK1_cat', 3, NULL),
(30076, NULL, 'IPR035640', NULL, 'Endophilin B2, SH3 domain', 'Endophilin_B2_SH3', 3, NULL),
(30077, NULL, 'IPR033036', NULL, 'Doublecortin domain-containing protein 2', 'DCDC2', 4, NULL),
(30078, NULL, 'IPR040969', NULL, 'Insulin receptor, trans-membrane domain', 'Insulin_TMD', 3, NULL),
(30079, NULL, 'IPR040374', NULL, 'Protein BIC', 'BIC', 4, NULL),
(30080, NULL, 'IPR035246', NULL, 'Spermidine synthase, tetramerisation domain', 'Spermidine_synt_N', 3, NULL),
(30081, NULL, 'IPR039128', NULL, 'Activating signal cointegrator 1-like', 'TRIP4-like', 4, NULL),
(30082, NULL, 'IPR040355', NULL, 'Protein FAM220A', 'FAM220A', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30083, NULL, 'IPR036822', NULL, 'Copper homeostasis (CutC) domain superfamily', 'CutC_dom_sf', 5, NULL),
(30084, NULL, 'IPR036333', NULL, 'RNA synthesis protein NSP10 superfamily, coronavirus', 'NSP10_sf_CoV', 5, NULL),
(30085, NULL, 'IPR035730', NULL, 'VAV1 protein, first SH3 domain', 'VAV1_SH3_1', 3, NULL),
(30086, NULL, 'IPR038078', NULL, 'PhoU-like domain superfamily', 'PhoU-like_sf', 5, NULL),
(30087, NULL, 'IPR036939', NULL, 'Copper type II, ascorbate-dependent monooxygenase, N-terminal domain superfamily', 'Cu2_ascorb_mOase_N_sf', 5, NULL),
(30088, NULL, 'IPR037113', NULL, 'Histone acetyl transferase 1, N-terminal domain superfamily', 'Hat1_N_sf', 5, NULL),
(30089, NULL, 'IPR040632', NULL, 'Sulfotransferase, S. mansonii-type', 'Sulfotransfer_4', 4, NULL),
(30090, NULL, 'IPR040483', NULL, 'PatG domain', 'PatG_dom', 3, NULL),
(30091, NULL, 'IPR037126', NULL, 'PdaC/RsiV-like superfamily', 'PdaC/RsiV-like_sf', 5, NULL),
(30092, NULL, 'IPR040640', NULL, 'Myosin X, N-terminal SH3 domain', 'MyoX_N_SH3', 3, NULL),
(30093, NULL, 'IPR035253', NULL, 'Putative lipoprotein, bacteria', 'Lipoprotein_22_bac', 4, NULL),
(30094, NULL, 'IPR036839', NULL, '7,8-dihydroneopterin aldolase (MptD) superfamily', 'MptD_sf', 5, NULL),
(30095, NULL, 'IPR039704', NULL, 'Myogenic factor', 'Myogenic_factor', 4, NULL),
(30096, NULL, 'IPR040453', NULL, 'Mnd1, HTH domain', 'Mnd1_HTH', 3, NULL),
(30097, NULL, 'IPR038249', NULL, 'DNA polymerase III, tau subunit, domain V superfamily', 'PolIII_tau_V_sf', 5, NULL),
(30098, NULL, 'IPR036830', NULL, 'Polyphosphate kinase middle domain superfamily', 'PP_kinase_middle_dom_sf', 5, NULL),
(30099, NULL, 'IPR037140', NULL, 'von Hippel-Lindau disease tumour suppressor,  beta domain superfamily', 'VHL_beta_dom_sf', 5, NULL),
(30100, NULL, 'IPR035637', NULL, 'JIP2, SH3 domain', 'JIP2_SH3', 3, NULL),
(30101, NULL, 'IPR037129', NULL, 'XPA domain superfamily', 'XPA_sf', 5, NULL),
(30102, NULL, 'IPR033570', NULL, 'Sodium channel modifier 1', 'SCNM1', 4, NULL),
(30103, NULL, 'IPR036827', NULL, 'She2 domain superfamily', 'She2_dom_sf', 5, NULL),
(30104, NULL, 'IPR041028', NULL, 'Cdc13, OB4 dimerization domain', 'Cdc13_OB4_dimer', 3, NULL),
(30105, NULL, 'IPR040404', NULL, 'Phylloplanin-like', 'Phylloplanin-like', 4, NULL),
(30106, NULL, 'IPR036944', NULL, 'Peptidyl-prolyl cis-trans isomerase, FKBP-type, N-terminal domain superfamily', 'PPIase_FKBP_N_sf', 5, NULL),
(30107, NULL, 'IPR040587', NULL, '5-3 exonuclease XRN1, DCP1-binding motif', 'XRN1_DBM', 3, NULL),
(30108, NULL, 'IPR037341', NULL, 'Ankyrin repeat and SOCS box protein 18', 'ASB18', 4, NULL),
(30109, NULL, 'IPR040327', NULL, 'TLC domain-containing protein At5g14285-like', 'At5g14285-like', 4, NULL),
(30110, NULL, 'IPR040674', NULL, 'SET and RING associated domain', 'SRA', 3, NULL),
(30111, NULL, 'IPR040681', NULL, 'Cilia- and flagella-associated protein HOATZ-like', 'HOATZ-like', 4, NULL),
(30112, NULL, 'IPR035035', NULL, 'Growth factor receptor-bound protein 14', 'Grb14', 4, NULL),
(30113, NULL, 'IPR033351', NULL, 'Centrosomal protein POC5', 'POC5', 4, NULL),
(30114, NULL, 'IPR038589', NULL, 'Archaeal transcription elongation factor Spt4 superfamily', 'Spt4_dom_sf', 5, NULL),
(30115, NULL, 'IPR040537', NULL, 'Domain of unknown function DUF5612', 'DUF5612', 3, NULL),
(30116, NULL, 'IPR040679', NULL, 'PTX/LNS-Like (PLL) domain', 'PLL', 3, NULL),
(30117, NULL, 'IPR035808', NULL, 'Ribosomal protein L7, eukaryotic/archaeal', 'Ribosomal_L7_euk_arc', 3, NULL),
(30118, NULL, 'IPR037101', NULL, 'Photosystem I reaction centre subunit PsaK', 'PSI_PsaK_bact', 5, NULL),
(30119, NULL, 'IPR036014', NULL, 'TCB1D9/TCB1D9B, PH-GRAM domain 1', 'TCB1D9/TCB1D9B_PH-GRAM1', 3, NULL),
(30120, NULL, 'IPR039041', NULL, 'Nav/unc-53 family', 'Nav/unc-53', 4, NULL),
(30121, NULL, 'IPR035747', NULL, 'Embryonal Fyn-associated substrate, SH3 domain', 'EFS_SH3', 3, NULL),
(30122, NULL, 'IPR040538', NULL, 'Cch, helix turn helix domain', 'Cch_HTH', 3, NULL),
(30123, NULL, 'IPR039040', NULL, 'NAB family', 'NAB_fam', 4, NULL),
(30124, NULL, 'IPR035088', NULL, 'Protective antigen, Ca-binding domain', 'PA_Ca-bd', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30125, NULL, 'IPR038987', NULL, 'Molybdopterin biosynthesis protein MoeA-like', 'MoeA-like', 4, NULL),
(30126, NULL, 'IPR035703', NULL, 'SNX18, PX domain', 'SNX18_PX', 3, NULL),
(30127, NULL, 'IPR038019', NULL, 'Phosphoribosyl-AMP cyclohydrolase domain superfamily', 'PRib_AMP_CycHydrolase_sf', 5, NULL),
(30128, NULL, 'IPR035240', NULL, 'SprT-like, zinc ribbon domain', 'SprT_Zn_ribbon', 3, NULL),
(30129, NULL, 'IPR037342', NULL, 'SOCS4, SOCS box domain', 'SOCS4_SOCS', 3, NULL),
(30130, NULL, 'IPR039126', NULL, 'Gamma-glutamylaminecyclotransferase', 'GGACT', 4, NULL),
(30131, NULL, 'IPR035737', NULL, 'Intersectin-2, first SH3 domain', 'Intersectin-2_SH3_1', 3, NULL),
(30132, NULL, 'IPR034369', NULL, 'SCAF4, RNA recognition motif', 'SCAF4_RRM', 3, NULL),
(30133, NULL, 'IPR039694', NULL, 'WD repeat-containing protein 11', 'WDR11', 4, NULL),
(30134, NULL, 'IPR035260', NULL, 'Filaments in between nuclei protein-1', 'Fin1', 4, NULL),
(30135, NULL, 'IPR035689', NULL, 'Sodium/iodide cotransporter', 'SLC5A5', 4, NULL),
(30136, NULL, 'IPR033397', NULL, 'Metallo-carboxypeptidase, C-terminal domain', 'Metallo_peptidase_C', 3, NULL),
(30137, NULL, 'IPR039699', NULL, 'Ribosomal protein L7/L30', 'Ribosomal_L7/L30', 4, NULL),
(30138, NULL, 'IPR040451', NULL, 'Glycosyl hydrolase family 81, N-terminal', 'GH81_N', 3, NULL),
(30139, NULL, 'IPR036818', NULL, 'Axin interactor, dorsalization-associated protein, N-terminal domain superfamily', 'AIDA_N_sf', 5, NULL),
(30140, NULL, 'IPR040473', NULL, 'NusG, additional domain', 'NusG_add', 3, NULL),
(30141, NULL, 'IPR035998', NULL, 'MTMR6, PH-GRAM domain', 'MTMR6_PH-GRAM', 3, NULL),
(30142, NULL, 'IPR036416', NULL, 'Peptidyl-tRNA hydrolase superfamily', 'Pept_tRNA_hydro_sf', 5, NULL),
(30143, NULL, 'IPR036829', NULL, 'Hypothetical protein TM0875', 'TM0875', 5, NULL),
(30144, NULL, 'IPR040342', NULL, 'Uncharacterized protein C20orf194-like', 'C20orf194-like', 4, NULL),
(30145, NULL, 'IPR040484', NULL, 'LepB GAP domain, C-terminal subdomain', 'LepB_GAP_C', 3, NULL),
(30146, NULL, 'IPR040040', NULL, 'Autophagy-related protein 11', 'ATG11', 4, NULL),
(30147, NULL, 'IPR037336', NULL, 'DEP domain-containing mTOR-interacting protein, DEP domain 2', 'DEPTOR_DEP_2', 3, NULL),
(30148, NULL, 'IPR037494', NULL, 'Rubisco accumulation factor 1', 'RAF1', 4, NULL),
(30149, NULL, 'IPR040460', NULL, 'Gasdermin, pore forming domain', 'Gasdermin_pore', 3, NULL),
(30150, NULL, 'IPR036425', NULL, 'MoaB/Mog-like domain superfamily', 'MoaB/Mog-like_dom_sf', 5, NULL),
(30151, NULL, 'IPR035806', NULL, 'Beta-1,3-glucan recognition protein, C-terminal', 'GH16_GRP_C', 3, NULL),
(30152, NULL, 'IPR036331', NULL, 'Chagasin-like superfamily', 'Chagasin-like_sf', 5, NULL),
(30153, NULL, 'IPR036815', NULL, '14-3-3 domain superfamily', '14-3-3_dom_sf', 5, NULL),
(30154, NULL, 'IPR036337', NULL, 'Matrilin, coiled-coil domain superfamily', 'Matrilin_cc_sf', 5, NULL),
(30155, NULL, 'IPR037345', NULL, 'SOCS6, SOCS box domain', 'SOCS6_SOCS', 3, NULL),
(30156, NULL, 'IPR036828', NULL, 'TTHA1528-like superfamily', 'TTHA1528-like_sf', 5, NULL),
(30157, NULL, 'IPR040376', NULL, 'At4g28100-like', 'At4g28100-like', 4, NULL),
(30158, NULL, 'IPR037117', NULL, 'Dihydroorotate dehydrogenase, electron transfer subunit, Fe-S binding domain superfamily', 'Dihydroorotate_DH_ele_sf', 5, NULL),
(30159, NULL, 'IPR033755', NULL, 'PdxS/SNZ N-terminal domain', 'PdxS/SNZ_N', 3, NULL),
(30160, NULL, 'IPR039960', NULL, 'MDM10-complementing protein 1', 'MCP1', 4, NULL),
(30161, NULL, 'IPR040333', NULL, 'Catalase, clade 3', 'Catalase_3', 4, NULL),
(30162, NULL, 'IPR033223', NULL, 'TPA-induced transmembrane protein', 'TTMP', 4, NULL),
(30163, NULL, 'IPR035216', NULL, 'Proteasome subunit beta 7', 'Proteasome_beta7', 4, NULL),
(30164, NULL, 'IPR035243', NULL, 'TamA, POTRA domain 1', 'TamA_POTRA_Dom_1', 3, NULL),
(30165, NULL, 'IPR040329', NULL, 'Chemokine-like protein TAFA-5', 'TAFA-5', 4, NULL),
(30166, NULL, 'IPR036607', NULL, 'Glucosidase 2 subunit beta-like', 'PRKCSH', 3, NULL),
(30167, NULL, 'IPR040634', NULL, 'Arginine decarboxylase, helical bundle domain', 'Arg_decarb_HB', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30168, NULL, 'IPR040974', NULL, 'Purple acid phosphatase, Fn3-like domain', 'Fn3_PAP', 3, NULL),
(30169, NULL, 'IPR037567', NULL, 'Complement component C9', 'Complement_C9', 4, NULL),
(30170, NULL, 'IPR040667', NULL, 'Tyrosine-protein kinase receptor Ret, cadherin like domain 3', 'Ret_CLD3', 3, NULL),
(30171, NULL, 'IPR038543', NULL, 'Churchill superfamily', 'Churchill_sf', 5, NULL),
(30172, NULL, 'IPR040478', NULL, 'BDBT FKBP like, N-terminal', 'FKBP_N_2', 3, NULL),
(30173, NULL, 'IPR036820', NULL, 'Archease domain superfamily', 'Archease_dom_sf', 5, NULL),
(30174, NULL, 'IPR033395', NULL, 'Domain of unknown function DUF5106', 'DUF5106', 3, NULL),
(30175, NULL, 'IPR038009', NULL, 'GlmU, C-terminal LbH domain', 'GlmU_C_LbH', 3, NULL),
(30176, NULL, 'IPR039693', NULL, 'Rtr1/RPAP2', 'Rtr1/RPAP2', 4, NULL),
(30177, NULL, 'IPR040983', NULL, 'Bacterial archaeo-eukaryotic release factor family 5', 'Bact_RF_family5', 4, NULL),
(30178, NULL, 'IPR033466', NULL, 'Cornichon, conserved site', 'Cornichon_conserved', 2, NULL),
(30179, NULL, 'IPR040439', NULL, 'Protein FAM237', 'FAM237A/B', 4, NULL),
(30180, NULL, 'IPR038250', NULL, 'TGT, patch-forming C2 domain superfamily', 'TGT_C2_sf', 5, NULL),
(30181, NULL, 'IPR033928', NULL, 'Epidermal growth factor receptor kinase substrate, phosphotyrosine-binding domain', 'EPS8_PTB', 3, NULL),
(30182, NULL, 'IPR033557', NULL, 'Lymphocyte expansion molecule', 'LEXM', 4, NULL),
(30183, NULL, 'IPR038555', NULL, 'Zincin-like metallopeptidase superfamily', 'Zincin_1_sf', 5, NULL),
(30184, NULL, 'IPR036353', NULL, 'XPC-binding domain superfamily', 'XPC-bd_sf', 5, NULL),
(30185, NULL, 'IPR039687', NULL, 'Nephrocystin-1', 'NPHP1', 4, NULL),
(30186, NULL, 'IPR038013', NULL, 'ALG11 mannosyltransferase', 'ALG11', 4, NULL),
(30187, NULL, 'IPR040669', NULL, 'Agarase, CBM-like domain', 'Agarase_CBM', 3, NULL),
(30188, NULL, 'IPR035248', NULL, 'PRMT5, oligomerisation domain', 'PRMT5_C', 3, NULL),
(30189, NULL, 'IPR035745', NULL, 'BCAR1, SH3 domain', 'BCAR1_SH3', 3, NULL),
(30190, NULL, 'IPR040533', NULL, 'Four helical bundle domain', '4HB', 3, NULL),
(30191, NULL, 'IPR038042', NULL, 'Gp37-like domain superfamily', 'Gp37-like', 5, NULL),
(30192, NULL, 'IPR036748', NULL, 'MTH938-like superfamily', 'MTH938-like_sf', 5, NULL),
(30193, NULL, 'IPR036344', NULL, 'Fungal immunomodulatory protein FIP-Fve superfamily', 'FIP_sf', 5, NULL),
(30194, NULL, 'IPR033931', NULL, 'PDK1-type, PH domain', 'PDK1-typ_PH', 3, NULL),
(30195, NULL, 'IPR040696', NULL, 'Large polyvalent protein associated domain 23', 'LPD23', 3, NULL),
(30196, NULL, 'IPR039134', NULL, 'Single-strand selective monofunctional uracil DNA glycosylase', 'SMUG1', 4, NULL),
(30197, NULL, 'IPR036342', NULL, 'Superantigen MAM', 'MAM_sf', 5, NULL),
(30198, NULL, 'IPR036940', NULL, 'Phosphatidylinositol 3-/4-kinase, catalytic domain superfamily', 'PI3/4_kinase_cat_sf', 5, NULL),
(30199, NULL, 'IPR036324', NULL, 'Manganese/iron superoxide dismutase, N-terminal domain superfamily', 'Mn/Fe_SOD_N_sf', 5, NULL),
(30200, NULL, 'IPR033396', NULL, 'Domain of unknown function DUF5107', 'DUF5107', 4, NULL),
(30201, NULL, 'IPR036841', NULL, 'Vascular endothelial growth factor, heparin-binding domain superfamily', 'VEGF_C_sf', 5, NULL),
(30202, NULL, 'IPR038559', NULL, 'Clostridium phage phiCD119, XkdN superfamily', 'Phage_phiCD119_XkdN_sf', 5, NULL),
(30203, NULL, 'IPR040638', NULL, 'N-terminal PilZ-like domain', 'PilZN1', 3, NULL),
(30204, NULL, 'IPR036329', NULL, 'Aromatic amino acid monoxygenase, C-terminal domain superfamily', 'Aro-AA_hydroxylase_C_sf', 5, NULL),
(30205, NULL, 'IPR040637', NULL, '60S ribosomal protein L10P, insertion domain', 'RL10P_insert', 3, NULL),
(30206, NULL, 'IPR036348', NULL, 'WIBG, N-terminal domain superfamily', 'WIBG_N_sf', 5, NULL),
(30207, NULL, 'IPR037132', NULL, 'Protein N-terminal glutamine amidohydrolase, alpha beta roll superfamily', 'N_Gln_amidohydro_ab_roll_sf', 5, NULL),
(30208, NULL, 'IPR035725', NULL, 'Abl Interactor 1, SH3 domain', 'Abi1_SH3', 3, NULL),
(30209, NULL, 'IPR040381', NULL, 'Uncharacterized protein At4g14450-like', 'At4g14450-like', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30210, NULL, 'IPR033772', NULL, 'UPA domain', 'UPA', 3, NULL),
(30211, NULL, 'IPR037107', NULL, 'Putative outer membrane protein superfamily', 'Put_OMP_sf', 5, NULL),
(30212, NULL, 'IPR040666', NULL, 'Atg29, N-terminal', 'Atg29_N', 3, NULL),
(30213, NULL, 'IPR040475', NULL, 'Surface glycan-binding protein B, xyloglucan binding domain', 'SGBP_B_XBD', 3, NULL),
(30214, NULL, 'IPR037995', NULL, 'Histone acetyltransferase KAT5/Tip60', 'KAT5/Tip60', 4, NULL),
(30215, NULL, 'IPR036833', NULL, 'Beta-galactosidase, domain 3 superfamily', 'BetaGal_dom3_sf', 5, NULL),
(30216, NULL, 'IPR037566', NULL, 'Complement component C8 beta chain', 'Complement_C8_beta', 4, NULL),
(30217, NULL, 'IPR033133', NULL, 'Pumilio homology domain', 'PUM-HD', 3, NULL),
(30218, NULL, 'IPR037104', NULL, 'Annexin superfamily', 'Annexin_sf', 5, NULL),
(30219, NULL, 'IPR037136', NULL, 'RNA 3''-terminal phosphate cyclase domain superfamily', 'RNA3''_phos_cyclase_dom_sf', 5, NULL),
(30220, NULL, 'IPR033134', NULL, 'Asp/Glu racemase, active site 2', 'Asp/Glu_racemase_AS_2', 0, NULL),
(30221, NULL, 'IPR036325', NULL, 'Bacteriophage PRD1, P2, absorption protein superfamily', 'P2_sf', 5, NULL),
(30222, NULL, 'IPR036319', NULL, 'RDM1 superfamily', 'RDM1_sf', 5, NULL),
(30223, NULL, 'IPR036611', NULL, 'Trigger factor ribosome-binding domain superfamily', 'Trigger_fac_ribosome-bd_sf', 5, NULL),
(30224, NULL, 'IPR040970', NULL, 'CadC C-terminal domain 1', 'CadC_C1', 3, NULL),
(30225, NULL, 'IPR035735', NULL, 'Shank1, SH3 domain', 'Shank1_SH3', 3, NULL),
(30226, NULL, 'IPR037103', NULL, 'Tubulin/FtsZ-like, C-terminal domain', 'Tubulin/FtsZ-like_C', 5, NULL),
(30227, NULL, 'IPR035238', NULL, 'Protein of unknown function DUF5345', 'DUF5345', 4, NULL),
(30228, NULL, 'IPR033131', NULL, 'Pectinesterase, Asp active site', 'Pectinesterase_Asp_AS', 0, NULL),
(30229, NULL, 'IPR036322', NULL, 'WD40-repeat-containing domain superfamily', 'WD40_repeat_dom_sf', 5, NULL),
(30230, NULL, 'IPR036826', NULL, 'Cytochrome f large domain superfamily', 'Cyt_f_lg_dom_sf', 5, NULL),
(30231, NULL, 'IPR035738', NULL, 'Intersectin-2, second SH3 domain', 'Intersectin-2_SH3_2', 3, NULL),
(30232, NULL, 'IPR040542', NULL, 'HMW1 domain 2', 'HMW1_D2', 3, NULL),
(30233, NULL, 'IPR039133', NULL, 'E3 ubiquitin-protein ligase RNF25', 'RNF25', 4, NULL),
(30234, NULL, 'IPR039131', NULL, 'Complex I intermediate-associated protein 30, mitochondrial', 'NDUFAF1', 4, NULL),
(30235, NULL, 'IPR040402', NULL, 'DNA-directed RNA polymerase IV/V subunit 1, C-terminal', 'NRPD1_C', 3, NULL),
(30236, NULL, 'IPR033331', NULL, 'Transmembrane protein 127', 'TMEM127', 4, NULL),
(30237, NULL, 'IPR036330', NULL, 'Oligosaccharyltransferase subunit ost4p superfamily', 'Ost4p_sf', 5, NULL),
(30238, NULL, 'IPR037141', NULL, 'NDT80 DNA-binding domain superfamily', 'NDT80_DNA-bd_dom_sf', 5, NULL),
(30239, NULL, 'IPR036838', NULL, 'Ribosomal protein S10 domain superfamily', 'Ribosomal_S10_dom_sf', 5, NULL),
(30240, NULL, 'IPR033275', NULL, 'E3 ubiquitin-protein ligase MARCH-like', 'MARCH-like', 4, NULL),
(30241, NULL, 'IPR040683', NULL, 'Surface adhesin CshA, non-repetitive domain 2', 'CshA_NR2', 3, NULL),
(30242, NULL, 'IPR039378', NULL, 'Ribonuclease T2, prokaryotic', 'RNase_T2_prok', 4, NULL),
(30243, NULL, 'IPR033130', NULL, 'Ribonuclease T2, His active site 2', 'RNase_T2_His_AS_2', 0, NULL),
(30244, NULL, 'IPR039127', NULL, 'Multifunctional methyltransferase subunit Trm112', 'Trm112', 4, NULL),
(30245, NULL, 'IPR040672', NULL, 'Large polyvalent protein associated domain 34', 'LPD34', 3, NULL),
(30246, NULL, 'IPR035037', NULL, 'Grb10, SH2', 'Grb10_SH2', 3, NULL),
(30247, NULL, 'IPR040479', NULL, 'Protein masquerade, clip-domain', 'CLIP_SPH_mas', 3, NULL),
(30248, NULL, 'IPR036327', NULL, 'Bacteriophage T4, Gp8 superfamily', 'Gp8_sf', 5, NULL),
(30249, NULL, 'IPR036614', NULL, 'Holliday junction resolvase RusA-like superfamily', 'RusA-like_sf', 5, NULL),
(30250, NULL, 'IPR038043', NULL, 'SWI/SNF-related matrix-associated actin-dependent regulator of chromatin subfamily D member 3', 'SMARCD3', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30251, NULL, 'IPR036816', NULL, 'Ribonuclease A-like domain superfamily', 'RNaseA-like_dom_sf', 5, NULL),
(30252, NULL, 'IPR033399', NULL, 'Putative outer membrane lipoprotein-sorting protein', 'Put_LolA-like', 4, NULL),
(30253, NULL, 'IPR039692', NULL, 'Cilia- and flagella-associated protein 43', 'CFAP43', 4, NULL),
(30254, NULL, 'IPR036339', NULL, 'PUB-like domain superfamily', 'PUB-like_dom_sf', 5, NULL),
(30255, NULL, 'IPR037112', NULL, 'Pyruvate-flavodoxin oxidoreductase, EKR domain superfamily', 'Pyrv-flavodox_OxR_EKR_sf', 5, NULL),
(30256, NULL, 'IPR039100', NULL, 'Ribosome maturation protein Sdo1/SBDS-like', 'Sdo1/SBDS-like', 4, NULL),
(30257, NULL, 'IPR036741', NULL, 'TAFII-230 TBP-binding domain superfamily', 'TAFII-230_TBP-bd_sf', 5, NULL),
(30258, NULL, 'IPR037131', NULL, 'Homeo-prospero domain superfamily', 'Homeo_prospero_dom_sf', 5, NULL),
(30259, NULL, 'IPR037565', NULL, 'Complement component C8 alpha chain', 'Complement_C8_alpha', 4, NULL),
(30260, NULL, 'IPR037118', NULL, 'Valyl-tRNA synthetase, tRNA-binding arm superfamily', 'Val-tRNA_synth_C_sf', 5, NULL),
(30261, NULL, 'IPR038045', NULL, 'PHD finger protein 10', 'PHF10', 4, NULL),
(30262, NULL, 'IPR040038', NULL, 'TIPIN/Csm3/Swi3', 'TIPIN/Csm3/Swi3', 4, NULL),
(30263, NULL, 'IPR036332', NULL, 'L-A virus major coat protein superfamily', 'Major_coat_LA-virus_sf', 5, NULL),
(30264, NULL, 'IPR036824', NULL, 'Nucleoplasmin core domain superfamily', 'Nucleoplasmin_core_dom_sf', 5, NULL),
(30265, NULL, 'IPR034588', NULL, 'RBM12B, RNA recognition motif 2', 'RBM12B_RRM2', 3, NULL),
(30266, NULL, 'IPR035242', NULL, 'Protein of unknown function DUF5329', 'DUF5329', 4, NULL),
(30267, NULL, 'IPR034594', NULL, 'RBM12, RNA recognition motif 2', 'RBM12_RRM2', 3, NULL),
(30268, NULL, 'IPR036821', NULL, 'Peptide deformylase superfamily', 'Peptide_deformylase_sf', 5, NULL),
(30269, NULL, 'IPR036943', NULL, 'Fibronectin type II domain superfamily', 'FN_type2_sf', 5, NULL),
(30270, NULL, 'IPR037346', NULL, 'SOCS7, SOCS box domain', 'SOCS7_SOCS', 3, NULL),
(30271, NULL, 'IPR040302', NULL, 'Zinc finger SWIM domain-containing protein 3', 'ZSWIM3', 4, NULL),
(30272, NULL, 'IPR035515', NULL, 'RIMS-binding protein 3', 'Rimbp3', 4, NULL),
(30273, NULL, 'IPR040347', NULL, 'YAP1-binding protein 1/2', 'YBP1/2', 4, NULL),
(30274, NULL, 'IPR036938', NULL, 'Phosphatidic acid phosphatase type 2/haloperoxidase superfamily', 'P_Acid_Pase_2/haloperoxi_sf', 5, NULL),
(30275, NULL, 'IPR037340', NULL, 'SSB2, SOCS box domain', 'SSB2_SOCS', 3, NULL),
(30276, NULL, 'IPR039130', NULL, 'Inner centromere protein', 'INCENP', 4, NULL),
(30277, NULL, 'IPR037115', NULL, 'Sirohaem synthase, dimerisation domain superfamily', 'Sirohaem_synt_dimer_dom_sf', 5, NULL),
(30278, NULL, 'IPR033129', NULL, 'Phosphoenolpyruvate carboxylase, His active site', 'PEPCASE_His_AS', 0, NULL),
(30279, NULL, 'IPR040306', NULL, 'Os02g0753200-like', 'Os02g0753200-like', 4, NULL),
(30280, NULL, 'IPR035645', NULL, 'GRAP, N-terminal SH3 domain', 'GRAP_N_SH3', 3, NULL),
(30281, NULL, 'IPR039690', NULL, 'U11/U12 small nuclear ribonucleoprotein 25kDa protein', 'SNRNP25', 4, NULL),
(30282, NULL, 'IPR040452', NULL, 'Sugar fermentation stimulation protein, C-terminal', 'SfsA_C', 3, NULL),
(30283, NULL, 'IPR041025', NULL, 'Homing endonuclease associated repeat', 'HNH_repeat', 7, NULL),
(30284, NULL, 'IPR035032', NULL, 'Growth factor receptor-bound protein 7', 'Grb7', 4, NULL),
(30285, NULL, 'IPR037125', NULL, 'Lipoprotein YajI-like superfamily', 'YajI-like_sf', 5, NULL),
(30286, NULL, 'IPR034591', NULL, 'RBM12, RNA recognition motif 1', 'RBM12_RRM1', 3, NULL),
(30287, NULL, 'IPR036326', NULL, 'Spike receptor binding domain superfamily, coronavirus', 'Spike_rcpt-bd_sf_CoV', 5, NULL),
(30288, NULL, 'IPR038561', NULL, 'Sarcosine oxidase subunit delta superfamily', 'SoxD_sf', 5, NULL),
(30289, NULL, 'IPR035748', NULL, 'Tyrosine-protein kinase Lyn, SH3 domain', 'Lyn_SH3', 3, NULL),
(30290, NULL, 'IPR033119', NULL, 'Glycoside hydrolase family 11, active site 2', 'GH11_AS_2', 0, NULL),
(30291, NULL, 'IPR037121', NULL, 'Ribosomal protein L25, C-terminal', 'Ribosomal_L25_C', 5, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30292, NULL, 'IPR037123', NULL, 'Phosphoribosylglycinamide synthetase, C-domain superfamily', 'PRibGlycinamide_synth_C_sf', 5, NULL),
(30293, NULL, 'IPR036323', NULL, 'Chemokine-binding M3 superfamily', 'M3_sf_vir', 5, NULL),
(30294, NULL, 'IPR033685', NULL, 'DNA primase', 'HSV_PRIM', 4, NULL),
(30295, NULL, 'IPR035609', NULL, 'Vinexin, SH3 domain 1', 'Vinexin_SH3_1', 3, NULL),
(30296, NULL, 'IPR038007', NULL, 'RBP-Jkappa, IPT domain', 'RBP-Jkappa_IPT', 3, NULL),
(30297, NULL, 'IPR037108', NULL, 'TM1727-like, C-terminal domain superfamily', 'TM1727-like_C_sf', 5, NULL),
(30298, NULL, 'IPR039738', NULL, 'E3 ubiquitin-protein ligase SIRP1', 'SIRP1', 4, NULL),
(30299, NULL, 'IPR040764', NULL, 'Conserved virulence factor B-like, winged helix domain', 'CvfB_WH', 3, NULL),
(30300, NULL, 'IPR033929', NULL, 'Tensin, phosphotyrosine-binding domain', 'Tensin_PTB', 3, NULL),
(30301, NULL, 'IPR033132', NULL, 'Glycosyl hydrolases family 1, N-terminal conserved site', 'Glyco_hydro_1_N_CS', 2, NULL),
(30302, NULL, 'IPR036336', NULL, 'Transcriptional repressor TraM superfamily', 'Tscrpt_rep_TraM_sf', 5, NULL),
(30303, NULL, 'IPR033353', NULL, 'Protein FAM118A', 'FAM118A', 4, NULL),
(30304, NULL, 'IPR037110', NULL, 'Beta-galactosidase, domain 2 superfamily', 'Betagal_dom2_sf', 5, NULL),
(30305, NULL, 'IPR036328', NULL, 'C-type lysozyme inhibitor superfamily', 'MliC_sf', 5, NULL),
(30306, NULL, 'IPR036937', NULL, 'Fimbrial-type adhesion domain superfamily', 'Adhesion_dom_fimbrial_sf', 5, NULL),
(30307, NULL, 'IPR038551', NULL, 'Ribosomal protein S26e superfamily', 'Ribosomal_S26e_sf', 5, NULL),
(30308, NULL, 'IPR040384', NULL, 'Feeding circuit activating peptide precursor', 'FCAP', 4, NULL),
(30309, NULL, 'IPR035606', NULL, 'c-Cbl associated protein, SH3 domain', 'SORBS1_SH3', 3, NULL),
(30310, NULL, 'IPR040535', NULL, 'NLRC4, helical domain', 'NLRC4_HD', 3, NULL),
(30311, NULL, 'IPR040534', NULL, 'Calcium binding protein SSO6904', 'Ca_bind_SSO6904', 3, NULL),
(30312, NULL, 'IPR040405', NULL, 'Uncharacterized protein DDB_G0275255-like', 'DDB_G0275255-like', 4, NULL),
(30313, NULL, 'IPR036840', NULL, 'YqbF domain superfamily', 'YqbF_dom_sf', 5, NULL),
(30314, NULL, 'IPR036419', NULL, 'Ribosomal protein S3, C-terminal domain superfamily', 'Ribosomal_S3_C_sf', 5, NULL),
(30315, NULL, 'IPR035235', NULL, 'Protein of unknown function DUF5343', 'DUF5343', 4, NULL),
(30316, NULL, 'IPR040328', NULL, 'Uncharacterized protein DDB_G0279899-like', 'DDB_G0279899-like', 4, NULL),
(30317, NULL, 'IPR037495', NULL, 'CLAVATA3/ESR (CLE)-related protein 41/42/44', 'CLE41/42/44', 4, NULL),
(30318, NULL, 'IPR035257', NULL, 'Protein of unknown function DUF5349', 'DUF5349', 4, NULL),
(30319, NULL, 'IPR040541', NULL, 'Metanogen output domain 2', 'MetOD2', 3, NULL),
(30320, NULL, 'IPR033543', NULL, 'Bcl-2-like protein 15', 'BCL2L15', 4, NULL),
(30321, NULL, 'IPR033773', NULL, 'CBX family C-terminal motif', 'CBX7_C', 2, NULL),
(30322, NULL, 'IPR033398', NULL, 'Carboxypeptidase M99, beta-barrel domain', 'M99_beta-barrel', 3, NULL),
(30323, NULL, 'IPR040331', NULL, 'Protein Rdr1', 'Rdr1', 4, NULL),
(30324, NULL, 'IPR039037', NULL, 'Calcium homeostasis endoplasmic reticulum protein', 'CHERP', 4, NULL),
(30325, NULL, 'IPR038556', NULL, 'Tail assembly chaperone Gp13-like superfamily', 'TAC_Gp13-like_sf', 5, NULL),
(30326, NULL, 'IPR039180', NULL, 'Omega-hydroxyceramide transacylase PNPLA1', 'PNPLA1', 4, NULL),
(30327, NULL, 'IPR040636', NULL, 'PatG, C-terminal', 'PatG_C', 3, NULL),
(30328, NULL, 'IPR036044', NULL, 'Class XIV myosin, motor domain', 'MYSc_Myo14', 3, NULL),
(30329, NULL, 'IPR036415', NULL, 'Lamin tail domain superfamily', 'Lamin_tail_dom_sf', 5, NULL),
(30330, NULL, 'IPR039254', NULL, 'Protein Rds1', 'Rds1', 4, NULL),
(30331, NULL, 'IPR040445', NULL, 'Potassium channel, inwardly rectifying, transmembrane domain', 'Kir_TM', 3, NULL),
(30332, NULL, 'IPR036420', NULL, 'BRCT domain superfamily', 'BRCT_dom_sf', 5, NULL),
(30333, NULL, 'IPR036321', NULL, 'Hypothetical protein ST1625', 'ST1625', 5, NULL),
(30334, NULL, 'IPR035237', NULL, 'Protein of unknown function DUF5341', 'DUF5341', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30335, NULL, 'IPR040336', NULL, 'Uncharacterized GPI-anchored protein At1g61900-lke', 'At1g61900-like', 4, NULL),
(30336, NULL, 'IPR040412', NULL, 'Uncharacterized protein At1g65710-like', 'At1g65710-like', 4, NULL),
(30337, NULL, 'IPR037138', NULL, 'Histone deacetylase domain superfamily', 'His_deacetylse_dom_sf', 5, NULL),
(30338, NULL, 'IPR036003', NULL, 'MTMR7, PH-GRAM domain', 'MTMR7_PH-GRAM', 3, NULL),
(30339, NULL, 'IPR036823', NULL, 'Ribosomal protein S7 domain superfamily', 'Ribosomal_S7_dom_sf', 5, NULL),
(30340, NULL, 'IPR039688', NULL, 'STAC1/2/3', 'STAC1/2/3', 4, NULL),
(30341, NULL, 'IPR035638', NULL, 'JIP1, SH3 domain', 'JIP1_SH3', 3, NULL),
(30342, NULL, 'IPR036354', NULL, 'Proteinase inhibitor I13, potato inhibitor I superfamily', 'Prot_inh_pot1_sf', 5, NULL),
(30343, NULL, 'IPR040687', NULL, 'Protein of unknown function DUF5586', 'DUF5586', 4, NULL),
(30344, NULL, 'IPR040340', NULL, 'Chloroplast enhancing stress tolerance protein', 'CEST/Y3IP1', 4, NULL),
(30345, NULL, 'IPR040455', NULL, 'Atg6, BARA domain', 'Atg6_BARA', 3, NULL),
(30346, NULL, 'IPR033529', NULL, 'Mucin-7', 'MUC7', 4, NULL),
(30347, NULL, 'IPR040345', NULL, 'Mug56/Spo71', 'Mug56/Spo71', 4, NULL),
(30348, NULL, 'IPR040303', NULL, 'Zinc finger SWIM domain-containing protein 1', 'ZSWIM1', 4, NULL),
(30349, NULL, 'IPR039038', NULL, 'Aspartyl/asparaginyl beta-hydroxylase family', 'ASPH', 4, NULL),
(30350, NULL, 'IPR036936', NULL, 'CRIB domain superfamily', 'CRIB_dom_sf', 5, NULL),
(30351, NULL, 'IPR038546', NULL, 'Hen1, N-terminal domain superfamily', 'Hen1_N_sf', 5, NULL),
(30352, NULL, 'IPR036935', NULL, 'Ribosomal protein L9, N-terminal domain superfamily', 'Ribosomal_L9_N_sf', 5, NULL),
(30353, NULL, 'IPR040457', NULL, 'Gamma tubulin complex component, C-terminal', 'GCP_C', 3, NULL),
(30354, NULL, 'IPR040371', NULL, 'Regulator of MON1-CCZ1 complex', 'RMC1', 4, NULL),
(30355, NULL, 'IPR033273', NULL, 'RING domain containing protein BRIZ1/BRIZ2', 'BRIZ1/BRIZ2', 4, NULL),
(30356, NULL, 'IPR033224', NULL, 'Coiled-coil domain-containing protein 92', 'CCDC92', 4, NULL),
(30357, NULL, 'IPR035610', NULL, 'c-Cbl associated protein, SH3 domain 1', 'SORBS1_SH3_1', 3, NULL),
(30358, NULL, 'IPR036346', NULL, 'GTP-binding protein OBG, C-terminal domain superfamily', 'GTP-bd_prot_GTP1/OBG_C_sf', 5, NULL),
(30359, NULL, 'IPR035740', NULL, 'Intersectin-2, fourth SH3 domain', 'Intersectin-2_SH3_4', 3, NULL),
(30360, NULL, 'IPR039659', NULL, 'Transcription elongation factor SPT5', 'SPT5', 4, NULL),
(30361, NULL, 'IPR033372', NULL, 'TNFAIP3-interacting protein 1', 'TNIP1', 4, NULL),
(30362, NULL, 'IPR040976', NULL, 'Fungal-type protein kinase', 'Pkinase_fungal', 3, NULL),
(30363, NULL, 'IPR035031', NULL, 'Vav, SH2 domain, invertebrate', 'Vav_SH2_invertebrate', 3, NULL),
(30364, NULL, 'IPR039135', NULL, 'N-acetyltransferase 9-like', 'NAT9-like', 4, NULL),
(30365, NULL, 'IPR040459', NULL, 'MJ1316 RNA cyclic group end recognition domain', 'MJ1316', 3, NULL),
(30366, NULL, 'IPR038074', NULL, 'YfmB domain superfamily', 'YfmB_sf', 5, NULL),
(30367, NULL, 'IPR035086', NULL, 'Domain of unknown function DUF1611, P-loop', 'DUF1611_C', 3, NULL),
(30368, NULL, 'IPR036817', NULL, 'Transthyretin/hydroxyisourate hydrolase domain superfamily', 'Transthyretin/HIU_hydrolase_sf', 5, NULL),
(30369, NULL, 'IPR039377', NULL, 'Manganese catalase, ferritin-like di-iron-binding domain', 'Mn_catalase_dom', 3, NULL),
(30370, NULL, 'IPR037170', NULL, 'SNF1-related protein kinase regulatory subunit beta-1', 'KINB1', 4, NULL),
(30371, NULL, 'IPR035607', NULL, 'Vinexin, SH3 domain 3', 'Vinexin_SH3_3', 3, NULL),
(30372, NULL, 'IPR036417', NULL, 'Tobacco mosaic virus-like, coat protein superfamily', 'TMV-like_coat_sf', 5, NULL),
(30373, NULL, 'IPR033065', NULL, 'Forkhead box protein I1', 'Foxi1', 4, NULL),
(30374, NULL, 'IPR035036', NULL, 'Growth factor receptor-bound protein 10', 'Grb10', 4, NULL),
(30375, NULL, 'IPR040642', NULL, 'Histidine kinase receptor ArcB, transmembrane domain', 'HKR_ArcB_TM', 3, NULL),
(30376, NULL, 'IPR039689', NULL, 'B-cell differentiation antigen CD72-like', 'CD72-like', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30377, NULL, 'IPR036356', NULL, 'Endoplasmic reticulum resident protein 29, C-terminal domain superfamily', 'ERp29_C_sf', 5, NULL),
(30378, NULL, 'IPR039124', NULL, 'Fungal antigen PRA1-like', 'PRA1-like', 4, NULL),
(30379, NULL, 'IPR037137', NULL, 'Cucumovirus coat protein, subunit A superfamily', 'Cucumovirus_coat_Asu_sf', 5, NULL),
(30380, NULL, 'IPR037139', NULL, 'von Hippel-Lindau disease tumour suppressor, alpha domain superfamily', 'VHL_alpha_dom_sf', 5, NULL),
(30381, NULL, 'IPR039042', NULL, 'UDP-N-acetylglucosamine transferase subunit Alg13-like', 'Alg13-like', 4, NULL),
(30382, NULL, 'IPR035646', NULL, 'GRAP2, C-terminal SH3 domain', 'GRAP2_C_SH3', 3, NULL),
(30383, NULL, 'IPR035825', NULL, 'Alpha Spectrin, SH3 domain', 'Alpha_Spectrin_SH3', 3, NULL),
(30384, NULL, 'IPR035704', NULL, 'SNX8/Mvp1, PX domain', 'SNX8/Mvp1_PX', 3, NULL),
(30385, NULL, 'IPR036338', NULL, 'Activator of Hsp90 ATPase, Aha1', 'Aha1', 5, NULL),
(30386, NULL, 'IPR033689', NULL, 'NAD-dependent formate dehydrogenase', 'FDH_NAD-dep', 4, NULL),
(30387, NULL, 'IPR036837', NULL, 'Cation efflux protein, cytoplasmic domain superfamily', 'Cation_efflux_CTD_sf', 5, NULL),
(30388, NULL, 'IPR040967', NULL, 'Domain of unknown function DUF5595', 'DUF5595', 3, NULL),
(30389, NULL, 'IPR037564', NULL, 'Complement component C7', 'Complement_C7', 4, NULL),
(30390, NULL, 'IPR040476', NULL, 'RNase II/RNase R, cold shock domain', 'CSD2', 3, NULL),
(30391, NULL, 'IPR036835', NULL, 'Replication modulator SeqA, C-terminal DNA-binding domain superfamily', 'SeqA_DNA-bd_C_sf', 5, NULL),
(30392, NULL, 'IPR036842', NULL, 'AF2331-like superfamily', 'AF2331-like_sf', 5, NULL),
(30393, NULL, 'IPR039039', NULL, 'RAI1-like family', 'RAI1-like_fam', 4, NULL),
(30394, NULL, 'IPR036746', NULL, 'TT1725-like superfamily', 'TT1725-like_sf', 5, NULL),
(30395, NULL, 'IPR036814', NULL, 'YqcC-like superfamily', 'YqcC-like_sf', 5, NULL),
(30396, NULL, 'IPR033558', NULL, 'Intraflagellar transport protein 25', 'IFT25', 4, NULL),
(30397, NULL, 'IPR038587', NULL, 'Ribosomal protein L40e superfamily', 'L40e_sf', 5, NULL),
(30398, NULL, 'IPR037337', NULL, 'Dip2-like domain', 'Dip2-like_dom', 3, NULL),
(30399, NULL, 'IPR033329', NULL, 'Scavenger receptor class F member 1', 'SCARF1', 4, NULL),
(30400, NULL, 'IPR040472', NULL, 'Synaptic functional regulator FMRP, KH0 domain', 'FMRP_KH0', 3, NULL),
(30401, NULL, 'IPR035744', NULL, 'Cas scaffolding protein family member 4, SH3 domain', 'CASS4_SH3', 3, NULL),
(30402, NULL, 'IPR035729', NULL, 'VAV1 protein, second SH3 domain', 'VAV1_SH3_2', 3, NULL),
(30403, NULL, 'IPR036352', NULL, 'Sema domain superfamily', 'Semap_dom_sf', 5, NULL),
(30404, NULL, 'IPR040411', NULL, 'Uncharacterized protein At5g23160-like', 'At5g23160-like', 4, NULL),
(30405, NULL, 'IPR040675', NULL, 'E3 ubiquitin-protein ligase AMFR, Ube2g2-binding region', 'AMFR_Ube2g2-bd', 3, NULL),
(30406, NULL, 'IPR035251', NULL, 'ShlB, POTRA domain', 'ShlB_POTRA', 3, NULL),
(30407, NULL, 'IPR040673', NULL, 'CCDC81, HU domain 2', 'CCDC81_HU_dom_2', 3, NULL),
(30408, NULL, 'IPR037111', NULL, 'Thrombin light chain domain superfamily', 'Thrombin_light_chain_sf', 5, NULL),
(30409, NULL, 'IPR040474', NULL, 'Get5, C-terminal domain', 'Get5_C', 3, NULL),
(30410, NULL, 'IPR033646', NULL, 'CLU central domain', 'CLU-central', 3, NULL),
(30411, NULL, 'IPR037130', NULL, 'Copper metallothionein superfamily', 'Cup1_sf', 5, NULL),
(30412, NULL, 'IPR036616', NULL, 'Poly(ADP-ribose) polymerase, regulatory domain superfamily', 'Poly(ADP-ribose)pol_reg_dom_sf', 5, NULL),
(30413, NULL, 'IPR038252', NULL, 'Ubiquitin-activating enzyme E1, C-terminal domain superfamily', 'UBA_E1_C_sf', 5, NULL),
(30414, NULL, 'IPR037122', NULL, 'Pleiotrophin/Midkine, N-terminal domain superfamily', 'PTN/MK_N_dom_sf', 5, NULL),
(30415, NULL, 'IPR040978', NULL, 'Hypothetical protein TT1725', 'TT1725', 3, NULL),
(30416, NULL, 'IPR035611', NULL, 'c-Cbl associated protein, SH3 domain 2', 'SORBS1_SH3_2', 3, NULL),
(30417, NULL, 'IPR041030', NULL, 'SHIRT domain', 'SHIRT', 3, NULL),
(30418, NULL, 'IPR040685', NULL, 'Annexin-like domain', 'Annexin-like', 3, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30419, NULL, 'IPR035733', NULL, 'VAV2 protein, first SH3 domain', 'VAV2_SH3_1', 3, NULL),
(30420, NULL, 'IPR036418', NULL, 'Cytochrome c oxidase, subunit VIa superfamily', 'Cyt_c_oxidase_su6a_sf', 5, NULL),
(30421, NULL, 'IPR038539', NULL, 'Anti-lipopolysaccharide factor/Scygonadin superfamily', 'Anti-LPS_factor/Scygonadin_sf', 5, NULL),
(30422, NULL, 'IPR039376', NULL, 'Ferritin-like, di-iron-binding domain', 'Ferritin_CCC1_N', 3, NULL),
(30423, NULL, 'IPR039736', NULL, 'RNA-directed RNA polymerase L, C-terminal', 'L_poly_C', 3, NULL),
(30424, NULL, 'IPR040591', NULL, 'YlmH, putative RNA-binding domain', 'YlmH_RBD', 3, NULL),
(30425, NULL, 'IPR040723', NULL, 'Cytosolic phospholipases A2, C2-domain', 'cPLA2_C2', 3, NULL),
(30426, NULL, 'IPR033930', NULL, 'FAM43A/B, phosphotyrosine-binding domain', 'FAM43A/B_PTB', 3, NULL),
(30427, NULL, 'IPR040372', NULL, 'YaeB-like', 'YaeB-like', 4, NULL),
(30428, NULL, 'IPR036334', NULL, 'Bubble superfamily', 'Bubble_sf', 5, NULL),
(30429, NULL, 'IPR037781', NULL, 'SKAP family', 'SKAP_fam', 4, NULL),
(30430, NULL, 'IPR036825', NULL, 'MTH865-like superfamily', 'MTH865-like_sf', 5, NULL),
(30431, NULL, 'IPR038545', NULL, 'DBF-type zinc finger superfamily', 'Znf_DBF_sf', 5, NULL),
(30432, NULL, 'IPR039036', NULL, 'Granulin family', 'Granulin_fam', 4, NULL),
(30433, NULL, 'IPR040438', NULL, 'Protein HIDE1', 'HIDE1', 4, NULL),
(30434, NULL, 'IPR033932', NULL, 'YtcJ like', 'YtcJ-like', 4, NULL),
(30435, NULL, 'IPR033561', NULL, 'Fas-binding factor 1', 'FBF1', 4, NULL),
(30436, NULL, 'IPR040437', NULL, 'Uncharacterized protein F10E9.3-like', 'F10E9.3-like', 4, NULL),
(30437, NULL, 'IPR037102', NULL, 'Zinc finger, large T-antigen D1 domain superfamily', 'Znf_lg_T-Ag_D1_dom_sf', 5, NULL),
(30438, NULL, 'IPR036421', NULL, 'Iron dependent repressor, metal binding and dimerisation domain superfamily', 'Fe_dep_repressor_sf', 5, NULL),
(30439, NULL, 'IPR037124', NULL, 'GroES chaperonin superfamily', 'Chaperonin_GroES_sf', 5, NULL),
(30440, NULL, 'IPR036819', NULL, 'Subtilisin inhibitor-like superfamily', 'Subtilisin_inhibitor-like_sf', 5, NULL),
(30441, NULL, 'IPR036345', NULL, 'Exoribonuclease, PH domain 2 superfamily', 'ExoRNase_PH_dom2_sf', 5, NULL),
(30442, NULL, 'IPR035728', NULL, 'Rho guanine nucleotide exchange factor 9, SH3 domain', 'ARHGEF9_SH3', 3, NULL),
(30443, NULL, 'IPR033267', NULL, 'Tetraketide alpha-pyrone reductase 1', 'TKPR1', 4, NULL),
(30444, NULL, 'IPR036423', NULL, 'Superoxide dismutase-like, copper/zinc binding domain superfamily', 'SOD-like_Cu/Zn_dom_sf', 5, NULL),
(30445, NULL, 'IPR040964', NULL, 'OAA-family lectin sugar binding domain', 'SBD', 3, NULL),
(30446, NULL, 'IPR038006', NULL, 'Transcription factor COE, IPT domain', 'COE_IPT', 3, NULL),
(30447, NULL, 'IPR033034', NULL, 'NADH dehydrogenase [ubiquinone] 1 beta subcomplex subunit 9', 'NDUFB9', 4, NULL),
(30448, NULL, 'IPR033688', NULL, 'RNA cytidine acetyltransferase NAT10', 'NAT10', 4, NULL),
(30449, NULL, 'IPR040765', NULL, 'RapA, N-terminal Tudor like domain 1', 'Tudor_1_RapA', 3, NULL),
(30450, NULL, 'IPR040477', NULL, 'Lysine-specific demethylase 4, Tudor domain', 'KDM4_Tudor_2', 3, NULL),
(30451, NULL, 'IPR037135', NULL, 'DUF1653-like domain superfamily', 'DUF1653-like_dom_sf', 5, NULL),
(30452, NULL, 'IPR040403', NULL, 'DNA-directed RNA polymerase IV/V subunit 1, N-terminal', 'NRPD1_N', 3, NULL),
(30453, NULL, 'IPR037119', NULL, 'Haem oxygenase HugZ-like superfamily', 'Haem_oxidase_HugZ-like_sf', 5, NULL),
(30454, NULL, 'IPR040482', NULL, 'Trimeric autotransporter adhesin, Trp ring domain', 'Trp_ring', 3, NULL),
(30455, NULL, 'IPR038076', NULL, 'MgtE, N-terminal domain superfamily', 'MgtE_N_sf', 5, NULL),
(30456, NULL, 'IPR035087', NULL, 'MatP, N-terminal', 'MatP_N', 3, NULL),
(30457, NULL, 'IPR040349', NULL, 'Monopolin complex subunit Csm1/Pcs1', 'Csm1/Pcs1', 4, NULL),
(30458, NULL, 'IPR036042', NULL, 'Class XVI myosin, motor domain', 'MYSc_Myo16', 3, NULL),
(30459, NULL, 'IPR037120', NULL, 'Haem peroxidase domain superfamily, animal type', 'Haem_peroxidase_sf_animal', 5, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30460, NULL, 'IPR040688', NULL, 'SMODS and SLOG-associating 2TM effector domain 2', 'SLATT_2', 3, NULL),
(30461, NULL, 'IPR037392', NULL, 'YfmP, Helix-Turn-Helix DNA binding domain', 'YfmP_HTH', 3, NULL),
(30462, NULL, 'IPR033352', NULL, 'Protein FAM118B', 'FAM118B', 4, NULL),
(30463, NULL, 'IPR040338', NULL, 'Putative F-box protein At1g67623-like', 'At1g67623-like', 4, NULL),
(30464, NULL, 'IPR037109', NULL, 'AMP nucleoside phosphorylase, N-terminal domain superfamily', 'AMP_N_sf', 5, NULL),
(30465, NULL, 'IPR038590', NULL, 'YaeQ superfamily', 'YaeQ_sf', 5, NULL),
(30466, NULL, 'IPR035807', NULL, 'Pyruvate dehydrogenase E1 component, N-terminal', 'PDC_E1_N', 3, NULL),
(30467, NULL, 'IPR035636', NULL, 'ARHGEF37, SH3 domain 2', 'ARHGEF37_SH3_2', 3, NULL),
(30468, NULL, 'IPR040330', NULL, 'LYR motif-containing protein 1', 'LYRM1', 4, NULL),
(30469, NULL, 'IPR038020', NULL, 'MbtH-like domain superfamily', 'MbtH-like_sf', 5, NULL),
(30470, NULL, 'IPR040341', NULL, 'G patch domain-containing protein 3', 'GPATCH3', 4, NULL),
(30471, NULL, 'IPR033349', NULL, 'ATR-interacting protein', 'ATRIP', 4, NULL),
(30472, NULL, 'IPR035861', NULL, 'SOCS1, SH2 domain', 'SOCS1_SH2', 3, NULL),
(30473, NULL, 'IPR038553', NULL, 'Myoviridae tail sheath stabiliser superfamily', 'T4-gp15_tss_sf', 5, NULL),
(30474, NULL, 'IPR036834', NULL, 'Bcl-2-like superfamily', 'Bcl-2-like_sf', 5, NULL),
(30475, NULL, 'IPR035247', NULL, 'PRMT5, TIM barrel domain', 'PRMT5_TIM', 3, NULL),
(30476, NULL, 'IPR036004', NULL, 'MTMR10, PH-GRAM domain', 'MTMR10_PH-GRAM', 3, NULL),
(30477, NULL, 'IPR036424', NULL, 'Decaprenyl diphosphate synthase-like superfamily', 'UPP_synth-like_sf', 5, NULL),
(30478, NULL, 'IPR040378', NULL, 'Protein BREAKING OF ASYMMETRY IN THE STOMATAL LINEAGE', 'BASL', 4, NULL),
(30479, NULL, 'IPR035739', NULL, 'Intersectin-2, third SH3 domain', 'Intersectin-2_SH3_3', 3, NULL),
(30480, NULL, 'IPR036831', NULL, 'HNS-dependent expression A superfamily', 'HdeA_sf', 5, NULL),
(30481, NULL, 'IPR033542', NULL, 'Transmembrane protein 225', 'TMEM225', 4, NULL),
(30482, NULL, 'IPR035734', NULL, 'VAV3 protein, second SH3 domain', 'VAV3_SH3_2', 3, NULL),
(30483, NULL, 'IPR040339', NULL, 'Uncharacterized membrane protein At1g16860-like', 'At1g16860-like', 4, NULL),
(30484, NULL, 'IPR040486', NULL, 'Exoribonuclease 1, domain 3', 'Xrn1_D3', 3, NULL),
(30485, NULL, 'IPR039713', NULL, 'At2g23090-like', 'At2g23090-like', 4, NULL),
(30486, NULL, 'IPR039362', NULL, 'Autophagy-related protein 29 superfamily', 'ATG29_sf', 5, NULL),
(30487, NULL, 'IPR036832', NULL, 'Polyphosphate kinase N-terminal domain superfamily', 'PPK_N_dom_sf', 5, NULL),
(30488, NULL, 'IPR040305', NULL, 'At1g75730-like', 'At1g75730-like', 4, NULL),
(30489, NULL, 'IPR036349', NULL, 'Integrin beta tail domain superfamily', 'Integrin_bsu_tail_dom_sf', 5, NULL),
(30490, NULL, 'IPR036744', NULL, 'RAP domain superfamily', 'RAP_sf', 5, NULL),
(30491, NULL, 'IPR035255', NULL, 'Domain of unknown function DUF5348', 'DUF5348', 3, NULL),
(30492, NULL, 'IPR036343', NULL, 'Glutamyl-tRNA reductase, N-terminal domain superfamily', 'GluRdtase_N_sf', 5, NULL),
(30493, NULL, 'IPR037133', NULL, 'Tetrahydrodipicolinate-N-succinyltransferase, N-terminal domain superfamily', 'THP_succinylTrfase_N_sf', 5, NULL),
(30494, NULL, 'IPR036836', NULL, 'Agouti domain superfamily', 'Agouti_dom_sf', 5, NULL),
(30495, NULL, 'IPR036351', NULL, 'Ribosomal protein L32e superfamily', 'Ribosomal_L32e_sf', 5, NULL),
(30496, NULL, 'IPR036942', NULL, 'TonB-dependent receptor-like, beta-barrel domain superfamily', 'TonB_rcpt_b-brl_sf', 5, NULL),
(30497, NULL, 'IPR035648', NULL, 'srGAP1/2/3, SH3 domain', 'srGAP1/2/3_SH3', 3, NULL),
(30498, NULL, 'IPR040410', NULL, 'UPF0658 Golgi apparatus membrane protein', 'UPF0658_Golgi', 4, NULL),
(30499, NULL, 'IPR041026', NULL, 'HEPN like, Abia C-terminal domain', 'HEPN_AbiA_CTD', 3, NULL),
(30500, NULL, 'IPR039691', NULL, 'Zinc finger CCCH domain-containing protein A/B', 'ZC3H7A/B', 4, NULL),
(30501, NULL, 'IPR040737', NULL, 'Domain of unknown function DUF5638', 'DUF5638', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30502, NULL, 'IPR039712', NULL, 'Meiotic expression up-regulated protein 6', 'Meu6', 4, NULL),
(30503, NULL, 'IPR039707', NULL, 'Macrophage-expressed gene 1 protein', 'MPEG1', 4, NULL),
(30504, NULL, 'IPR034440', NULL, 'Putative RNA-binding protein 47, RNA recognition motif 2', 'RBM47_RRM2', 3, NULL),
(30505, NULL, 'IPR037012', NULL, 'NanQ anomerase/TabA/YiaL superfamily', 'NanQ/TabA/YiaL_sf', 5, NULL),
(30506, NULL, 'IPR040580', NULL, 'Domain of unknown function DUF5627', 'DUF5627', 3, NULL),
(30507, NULL, 'IPR040868', NULL, 'Histidine kinase DraK, N-terminal domain', 'DraK_HK_N', 3, NULL),
(30508, NULL, 'IPR040655', NULL, 'TIAM1, CC-Ex domain', 'TIAM1_CC-Ex', 3, NULL),
(30509, NULL, 'IPR037454', NULL, 'PACSIN1, F-BAR', 'PACSIN1_F-BAR', 3, NULL),
(30510, NULL, 'IPR040191', NULL, 'U3 small nucleolar RNA-associated protein 10', 'UTP10', 4, NULL),
(30511, NULL, 'IPR036968', NULL, 'Enolpyruvate transferase domain superfamily', 'Enolpyruvate_Tfrase_sf', 5, NULL),
(30512, NULL, 'IPR036855', NULL, 'Zinc finger, CCCH-type superfamily', 'Znf_CCCH_sf', 5, NULL),
(30513, NULL, 'IPR036441', NULL, 'Dehydroquinase, class II superfamily', 'DHquinase_II_sf', 5, NULL),
(30514, NULL, 'IPR034442', NULL, 'Putative RNA-binding protein 47', 'RBM47', 4, NULL),
(30515, NULL, 'IPR040656', NULL, 'Cas9, WED domain', 'Cas9_WED_dom', 3, NULL),
(30516, NULL, 'IPR035562', NULL, 'Nck1, SH3 domain 1', 'Nck1_SH3_1', 3, NULL),
(30517, NULL, 'IPR037695', NULL, 'IQ and ubiquitin-like domain-containing protein', 'IQUB', 4, NULL),
(30518, NULL, 'IPR040870', NULL, 'HEN1, double-stranded RNA binding domain 2', 'HEN1_dsRBD2', 3, NULL),
(30519, NULL, 'IPR036882', NULL, 'Alba-like domain superfamily', 'Alba-like_dom_sf', 5, NULL),
(30520, NULL, 'IPR035818', NULL, 'Dynamin-binding protein, second N-terminal SH3 domain', 'DNMBP_SH3_N2', 3, NULL),
(30521, NULL, 'IPR034460', NULL, 'Interferon-induced 35kDa protein', 'IFP35', 4, NULL),
(30522, NULL, 'IPR036677', NULL, 'EutN/Ccml superfamily', 'EutN_CcmL_sf', 5, NULL),
(30523, NULL, 'IPR035742', NULL, 'Fibronectin type III and SPRY containing 1, PRY/SPRY domain', 'SPRY/PRY_FSD1', 3, NULL),
(30524, NULL, 'IPR040641', NULL, 'E3 ubiquitin-protein ligase RNF31, PUB domain', 'RNF31_PUB', 3, NULL),
(30525, NULL, 'IPR040686', NULL, 'Phosphoribosylaminoimidazole carboxylase, C-terminal domain', 'PurK_C', 3, NULL),
(30526, NULL, 'IPR036619', NULL, 'NinB superfamily', 'NinB_sf', 5, NULL),
(30527, NULL, 'IPR040738', NULL, 'Large polyvalent protein associated domain 22', 'LPD22', 3, NULL),
(30528, NULL, 'IPR040694', NULL, 'UGGT, thioredoxin-like domain 2', 'UGGT_TRXL_2', 3, NULL),
(30529, NULL, 'IPR036997', NULL, 'Proteasome activator PA28, C-terminal domain superfamily', 'PA28_C_sf', 5, NULL),
(30530, NULL, 'IPR036683', NULL, 'CO dehydrogenase flavoprotein, C-terminal domain superfamily', 'CO_DH_flav_C_dom_sf', 5, NULL),
(30531, NULL, 'IPR040586', NULL, 'PheRS DNA binding domain 2', 'PheRS_DBD2', 3, NULL),
(30532, NULL, 'IPR036862', NULL, 'Integrase, C-terminal domain superfamily, retroviral', 'Integrase_C_dom_sf_retrovir', 5, NULL),
(30533, NULL, 'IPR033294', NULL, 'Erlin1/2', 'Erlin1/2', 4, NULL),
(30534, NULL, 'IPR033390', NULL, '3''-5'' exoribonuclease Rv2179c-like domain', 'Rv2179c-like', 3, NULL),
(30535, NULL, 'IPR036430', NULL, 'Ribonuclease T2-like superfamily', 'RNase_T2-like_sf', 5, NULL),
(30536, NULL, 'IPR036955', NULL, 'AP2/ERF domain superfamily', 'AP2/ERF_dom_sf', 5, NULL),
(30537, NULL, 'IPR035822', NULL, 'SH3RF2, third SH3 domain', 'SH3RF2_SH3_3', 3, NULL),
(30538, NULL, 'IPR040677', NULL, 'Large polyvalent protein-associated domain 7', 'LPD7', 3, NULL),
(30539, NULL, 'IPR039045', NULL, 'Schwannomin interacting protein 1', 'SCHIP_1', 4, NULL),
(30540, NULL, 'IPR037747', NULL, 'Dok-7, PH domain', 'Dok-7_PH', 3, NULL),
(30541, NULL, 'IPR040386', NULL, 'Transcriptional repressor p66', 'P66', 4, NULL),
(30542, NULL, 'IPR036620', NULL, 'Chromosomal protein MC1 superfamily', 'MC1_sf', 5, NULL),
(30543, NULL, 'IPR041037', NULL, 'Pallilysin beta barrel domain', 'Pallilysin', 3, NULL),
(30544, NULL, 'IPR035537', NULL, 'Disks large homologue 5, SH3 domain', 'DLG5_SH3', 3, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30545, NULL, 'IPR039809', NULL, 'Chemokine beta/gamma/delta', 'Chemokine_b/g/d', 4, NULL),
(30546, NULL, 'IPR037007', NULL, 'Epstein Barr virus nuclear antigen-1, DNA-binding domain superfamily', 'EBNA1_DNA-bd_sf', 5, NULL),
(30547, NULL, 'IPR036654', NULL, 'DNA polymerase III, psi subunit superfamily', 'DNA_pol_III_psi_sf', 5, NULL),
(30548, NULL, 'IPR036427', NULL, 'Bromodomain-like superfamily', 'Bromodomain-like_sf', 5, NULL),
(30549, NULL, 'IPR040574', NULL, 'V-type ATP synthase subunit I, N-terminal', 'V_ATPase_I_N', 3, NULL),
(30550, NULL, 'IPR035819', NULL, 'Dynamin-binding protein, third N-terminal SH3 domain', 'DNMBP_SH3_N3', 3, NULL),
(30551, NULL, 'IPR037017', NULL, 'Anthrax toxin, edema factor, central domain superfamily', 'Anthrax_toxin_edema_cen_sf', 5, NULL),
(30552, NULL, 'IPR036228', NULL, 'ATP synthase, F0 complex, subunit D superfamily, mitochondrial', 'ATP_synth_F0_dsu_sf_mt', 5, NULL),
(30553, NULL, 'IPR037021', NULL, 'RnfH superfamily', 'RnfH_sf', 5, NULL),
(30554, NULL, 'IPR039717', NULL, 'Protein Hgh1', 'Hgh1', 4, NULL),
(30555, NULL, 'IPR036954', NULL, 'Collagen IV, non-collagenous domain superfamily', 'Collagen_IV_NC_sf', 5, NULL),
(30556, NULL, 'IPR036888', NULL, 'DNA integrity scanning protein, DisA, N-terminal domain superfamily', 'DNA_integrity_DisA_N_sf', 5, NULL),
(30557, NULL, 'IPR040647', NULL, 'SPIN-DOC-like, zinc-finger', 'SPIN-DOC_Znf-C2H2', 3, NULL),
(30558, NULL, 'IPR036142', NULL, 'ENT domain-like superfamily', 'ENT_dom-like_sf', 5, NULL),
(30559, NULL, 'IPR039706', NULL, 'Major intrinsically disordered Notch2-binding receptor 1-like', 'MINAR1-like', 4, NULL),
(30560, NULL, 'IPR038717', NULL, 'Tc1-like transposase, DDE domain', 'Tc1-like_DDE_dom', 3, NULL),
(30561, NULL, 'IPR039166', NULL, '5''-AMP-activated protein kinase subunit gamma-1', 'AMPKG-1', 4, NULL),
(30562, NULL, 'IPR040768', NULL, 'Vid27, PH-like domain', 'Vid27_PH', 3, NULL),
(30563, NULL, 'IPR036437', NULL, 'Outer surface protein C-like superfamily', 'OspC-like_sf', 5, NULL),
(30564, NULL, 'IPR035564', NULL, 'Nck1, SH3 domain 2', 'Nck1_SH3_2', 3, NULL),
(30565, NULL, 'IPR037999', NULL, 'Alpha-2-macroglobulin RAP, domain 3', 'RAP_D3', 3, NULL),
(30566, NULL, 'IPR033501', NULL, 'Trinucleotide repeat-containing gene 6A protein', 'TNRC6A', 4, NULL),
(30567, NULL, 'IPR040643', NULL, 'Murine leukemia virus integrase, C-terminal', 'MLVIN_C', 3, NULL),
(30568, NULL, 'IPR040735', NULL, 'Protein of unknown function DUF5583', 'DUF5583', 4, NULL),
(30569, NULL, 'IPR036641', NULL, 'HPT domain superfamily', 'HPT_dom_sf', 5, NULL),
(30570, NULL, 'IPR033096', NULL, 'Zinc finger protein 638', 'ZNF638', 4, NULL),
(30571, NULL, 'IPR036633', NULL, 'Orn/Lys/Arg decarboxylase, C-terminal domain superfamily', 'Prn/Lys/Arg_de-COase_C_sf', 5, NULL),
(30572, NULL, 'IPR039160', NULL, '5''-AMP-activated protein kinase subunit beta', 'AMPKB', 4, NULL),
(30573, NULL, 'IPR034458', NULL, 'Terminal EAR1-like, RNA recognition motif 3', 'EAR1-like_RRM3', 3, NULL),
(30574, NULL, 'IPR040197', NULL, 'Zinc finger HIT domain-containing protein 3', 'ZNHIT3', 4, NULL),
(30575, NULL, 'IPR036869', NULL, 'Chaperone J-domain superfamily', 'J_dom_sf', 5, NULL),
(30576, NULL, 'IPR040734', NULL, 'Zyg-1, polo box domain 2', 'Zyg-1_PB2', 3, NULL),
(30577, NULL, 'IPR037452', NULL, 'Tyrosine-protein kinase Fer, F-BAR domain', 'Fer_F-BAR', 3, NULL),
(30578, NULL, 'IPR040618', NULL, 'Pre-nudix hydrolase domain', 'Pre-Nudix', 3, NULL),
(30579, NULL, 'IPR040649', NULL, 'Bacterial HORMA domain', 'Bact_HORMA', 3, NULL),
(30580, NULL, 'IPR036883', NULL, 'PDCD5-like superfamily', 'PDCD5-like_sf', 5, NULL),
(30581, NULL, 'IPR033974', NULL, 'Glycerol dehydratase activase', 'Glycerol_dehydratase_activase', 4, NULL),
(30582, NULL, 'IPR037010', NULL, 'Vitamin B12-dependent methionine synthase, activation domain superfamily', 'VitB12-dep_Met_synth_activ_sf', 5, NULL),
(30583, NULL, 'IPR039708', NULL, 'Probable membrane protein MT1774/Rv1733c-like', 'MT1774/Rv1733c-like', 4, NULL),
(30584, NULL, 'IPR036895', NULL, 'Uracil-DNA glycosylase-like domain superfamily', 'Uracil-DNA_glycosylase-like_sf', 5, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30585, NULL, 'IPR037694', NULL, 'Uncharacterized protein C17orf80', 'C17orf80', 4, NULL),
(30586, NULL, 'IPR037696', NULL, 'Coiled-coil domain-containing protein 77', 'CCDC77', 4, NULL),
(30587, NULL, 'IPR040871', NULL, 'HopA1 effector protein', 'HopA1', 4, NULL),
(30588, NULL, 'IPR039967', NULL, 'Uncharacterized protein MJ1020-like', 'MJ1020-like', 4, NULL),
(30589, NULL, 'IPR039478', NULL, 'Protein FAM184A/B, N-terminal', 'FAM184A/B_N', 3, NULL),
(30590, NULL, 'IPR033503', NULL, 'Protein Gawky', 'GW182', 4, NULL),
(30591, NULL, 'IPR037004', NULL, 'Exonuclease VII, small subunit superfamily', 'Exonuc_VII_ssu_sf', 5, NULL),
(30592, NULL, 'IPR040706', NULL, 'MYST, zinc finger domain', 'Zf-MYST', 3, NULL),
(30593, NULL, 'IPR035534', NULL, 'DBS, PH domain', 'DBS_PH', 3, NULL),
(30594, NULL, 'IPR039112', NULL, 'Phosphotyrosine interaction domain containing 1', 'PID1', 4, NULL),
(30595, NULL, 'IPR036999', NULL, 'Diol/glycerol dehydratase, large subunit superfamily', 'Diol/glycerol_deHase_lsu_sf', 5, NULL),
(30596, NULL, 'IPR041035', NULL, 'TbRIF5 SNase domain 1', 'RIF5_SNase_1', 3, NULL),
(30597, NULL, 'IPR040758', NULL, 'Release factor glutamine methyltransferase, N-terminal domain', 'PrmC_N', 3, NULL),
(30598, NULL, 'IPR039964', NULL, 'Uncharacterized protein KIAA0040-like', 'KIAA0040-like', 4, NULL),
(30599, NULL, 'IPR036871', NULL, 'PX domain superfamily', 'PX_dom_sf', 5, NULL),
(30600, NULL, 'IPR040660', NULL, 'N-formyltransferase dimerization C-terminal domain', 'N_formyltrans_C', 3, NULL),
(30601, NULL, 'IPR037008', NULL, 'Cytochrome bc1 complex subunit Rieske, transmembrane domain superfamily', 'bc1_Rieske_TM_sf', 5, NULL),
(30602, NULL, 'IPR037009', NULL, 'mRNA triphosphatase Cet1-like superfamily', 'mRNA_triPase_Cet1_sf', 5, NULL),
(30603, NULL, 'IPR036233', NULL, 'Efb, C-terminal domain superfamily', 'Efb_C_sf', 5, NULL),
(30604, NULL, 'IPR039111', NULL, 'Signal-transducing adaptor protein STAP1/STAP2', 'STAP1/STAP2', 4, NULL),
(30605, NULL, 'IPR040781', NULL, 'Rubisco accumulation factor 1, helix turn helix domain', 'Raf1_HTH', 3, NULL),
(30606, NULL, 'IPR035687', NULL, 'TRIM17, PRY/SPRY domain', 'TRIM17_PRY/SPRY', 3, NULL),
(30607, NULL, 'IPR035845', NULL, 'ShkD/ShkE, SH2 domain', 'ShkD/ShkE_SH2', 3, NULL),
(30608, NULL, 'IPR035408', NULL, 'Phage single-stranded DNA-binding protein', 'Phi29_Phage_SSB', 4, NULL),
(30609, NULL, 'IPR036881', NULL, 'Glycoside hydrolase family 3 C-terminal domain superfamily', 'Glyco_hydro_3_C_sf', 5, NULL),
(30610, NULL, 'IPR033093', NULL, 'Ataxin2', 'ATXN2', 4, NULL),
(30611, NULL, 'IPR040993', NULL, 'Histone chaperone Rtt106, N-terminal domain', 'Rtt106_N', 3, NULL),
(30612, NULL, 'IPR040869', NULL, 'Cyclic nucleotide phosphodiesterase, C-terminal domain', 'CNP_C', 3, NULL),
(30613, NULL, 'IPR036631', NULL, 'Methylated DNA-protein cysteine methyltransferase domain superfamily', 'MGMT_N_sf', 5, NULL),
(30614, NULL, 'IPR035853', NULL, 'Tyrosine-protein kinase Blk, SH2 domain', 'Blk_SH2', 3, NULL),
(30615, NULL, 'IPR035226', NULL, 'Protein of unknown function DUF5450', 'DUF5450', 4, NULL),
(30616, NULL, 'IPR033468', NULL, 'Metaxin, glutathione S-transferase domain', 'Metaxin_GST', 3, NULL),
(30617, NULL, 'IPR033504', NULL, 'Agglutinin-like protein', 'ALS', 4, NULL),
(30618, NULL, 'IPR036969', NULL, 'Citrate synthase superfamily', 'Citrate_synthase_sf', 5, NULL),
(30619, NULL, 'IPR040658', NULL, 'SipA, vinculin binding site', 'SipA_VBS', 2, NULL),
(30620, NULL, 'IPR033135', NULL, 'ClpP, histidine active site', 'ClpP_His_AS', 0, NULL),
(30621, NULL, 'IPR036231', NULL, 'Avirulence B/C superfamily', 'Avirulence_B/C_sf', 5, NULL),
(30622, NULL, 'IPR036388', NULL, 'Winged helix-like DNA-binding domain superfamily', 'WH-like_DNA-bd_sf', 5, NULL),
(30623, NULL, 'IPR039479', NULL, 'Single CXXC unit', 'Mono-CXXC', 3, NULL),
(30624, NULL, 'IPR034453', NULL, 'MEI2-like, RNA recognition motif 1', 'MEI2-like_RRM1', 3, NULL),
(30625, NULL, 'IPR039709', NULL, 'Putative antitoxin VapB3-like', 'VapB3-like', 4, NULL),
(30626, NULL, 'IPR033756', NULL, 'Flagellum site-determining protein YlxH/ Fe-S cluster assembling factor NBP35', 'YlxH/NBP35', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30627, NULL, 'IPR036879', NULL, 'Transcription factor, MADS-box superfamily', 'TF_MADSbox_sf', 5, NULL),
(30628, NULL, 'IPR036856', NULL, 'Aldehyde oxidase/xanthine dehydrogenase, a/b hammerhead superfamily', 'Ald_Oxase/Xan_DH_a/b_sf', 5, NULL),
(30629, NULL, 'IPR036866', NULL, 'Ribonuclease Z/Hydroxyacylglutathione hydrolase-like', 'RibonucZ/Hydroxyglut_hydro', 5, NULL),
(30630, NULL, 'IPR035816', NULL, 'SH3RF1/SH3RF3, fourth SH3 domain', 'SH3RF1/SH3RF3_SH3_4', 3, NULL),
(30631, NULL, 'IPR040429', NULL, 'Uncharacterized protein C11orf97-like', 'C11orf97-like', 4, NULL),
(30632, NULL, 'IPR036889', NULL, 'Monooxygenase component MmoB/DmpM superfamily', 'mOase_MmoB_DmpM_sf', 5, NULL),
(30633, NULL, 'IPR034445', NULL, 'Putative RNA-binding protein 47, RNA recognition motif 3', 'RBM47_RRM3', 3, NULL),
(30634, NULL, 'IPR035650', NULL, 'Tetracycline resistance protein, C-terminal', 'Tet_C', 3, NULL),
(30635, NULL, 'IPR033500', NULL, 'Trinucleotide repeat-containing gene 6B protein', 'TNRC6B', 4, NULL),
(30636, NULL, 'IPR034904', NULL, 'Fe-S cluster assembly domain superfamily', 'FSCA_dom_sf', 5, NULL),
(30637, NULL, 'IPR040736', NULL, 'Mex67, RNA recognition motif', 'Mex67_RRM', 3, NULL),
(30638, NULL, 'IPR036963', NULL, 'Tat domain superfamily', 'Tat_dom_sf', 5, NULL),
(30639, NULL, 'IPR035227', NULL, 'Protein HdcB', 'HdcB', 4, NULL),
(30640, NULL, 'IPR037692', NULL, 'Centrosomal protein of 70kDa', 'CEP70', 4, NULL),
(30641, NULL, 'IPR036201', NULL, 'Pacifastin domain superfamily', 'Pacifastin_dom_sf', 5, NULL),
(30642, NULL, 'IPR037956', NULL, 'RGS6, RGS domain', 'RGS6_RGS', 3, NULL),
(30643, NULL, 'IPR039966', NULL, 'Uncharacterized protein C553.12c', 'C553.12c', 4, NULL),
(30644, NULL, 'IPR037691', NULL, 'Uncharacterized protein C11orf98', 'C11orf98', 4, NULL),
(30645, NULL, 'IPR040564', NULL, 'CxC3 like cysteine cluster', 'CxC3-like', 3, NULL),
(30646, NULL, 'IPR034447', NULL, 'Serine/arginine-rich splicing factor 11', 'SRSF11', 4, NULL),
(30647, NULL, 'IPR039754', NULL, 'Pre-rRNA-processing protein Esf1', 'Esf1', 4, NULL),
(30648, NULL, 'IPR039044', NULL, 'tRNA:m(4)X modification enzyme Trm13', 'Trm13', 4, NULL),
(30649, NULL, 'IPR036897', NULL, 'Carbamoyl-phosphate synthetase, large subunit oligomerisation domain superfamily', 'CarbamoylP_synth_lsu_oligo_sf', 5, NULL),
(30650, NULL, 'IPR040763', NULL, 'Ribonucleotide reductase, alpha helical domain', 'RNR_alpha_hel', 3, NULL),
(30651, NULL, 'IPR037955', NULL, 'Inactive histone-lysine N-methyltransferase 2E', 'KMT2E', 4, NULL),
(30652, NULL, 'IPR041039', NULL, 'Yos9, dimerzation domain', 'Yos9_DD', 3, NULL),
(30653, NULL, 'IPR039965', NULL, 'Uncharacterized protein C3H7.08c', 'C3H7.08c', 4, NULL),
(30654, NULL, 'IPR036147', NULL, 'Anti sigma-E protein RseA, N-terminal domain superfamily', 'Anti-sigma_E_RseA_N_sf', 5, NULL),
(30655, NULL, 'IPR040645', NULL, 'Neurabin-1/2, PDZ domain', 'Neurabin-1/2_PDZ', 3, NULL),
(30656, NULL, 'IPR040786', NULL, 'RXLR phytopathogen effector protein, WY-domain', 'RXLR_WY', 3, NULL),
(30657, NULL, 'IPR033590', NULL, 'Protein phosphatase 1 regulatory subunit 35', 'PPP1R35', 4, NULL),
(30658, NULL, 'IPR040434', NULL, 'tRNA selenocysteine 1-associated protein 1', 'TSAP1', 4, NULL),
(30659, NULL, 'IPR036429', NULL, 'SpoA-like superfamily', 'SpoA-like_sf', 5, NULL),
(30660, NULL, 'IPR040733', NULL, 'Zyg-1, polo box domain 1', 'Zyg-1_PB1', 3, NULL),
(30661, NULL, 'IPR036242', NULL, 'Agglutinin domain superfamily', 'Agglutinin_dom_sf', 5, NULL),
(30662, NULL, 'IPR037957', NULL, 'GAS7, F-BAR domain', 'GAS7_F-BAR', 3, NULL),
(30663, NULL, 'IPR041002', NULL, 'RK-1-like defensin', 'Defensin_RK-1', 3, NULL),
(30664, NULL, 'IPR040788', NULL, 'MAE_28990/MAE_18760-like HEPN', 'HEPN_MAE_28990', 3, NULL),
(30665, NULL, 'IPR039117', NULL, 'RING finger protein 17', 'RNF17', 4, NULL),
(30666, NULL, 'IPR039714', NULL, 'Transmembrane protein 134', 'TMEM134', 4, NULL),
(30667, NULL, 'IPR039743', NULL, 'Endo-beta-1,6-galactanase', '6GAL', 4, NULL),
(30668, NULL, 'IPR036629', NULL, 'YjbJ superfamily', 'YjbJ_sf', 5, NULL),
(30669, NULL, 'IPR040639', NULL, 'Alpha-2-macroglobulin, MG1 domain', 'A2MG_MG1', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30670, NULL, 'IPR034463', NULL, 'Putative RNA-binding protein 43', 'RBM43', 4, NULL),
(30671, NULL, 'IPR036389', NULL, 'Ribonuclease III, endonuclease domain superfamily', 'RNase_III_sf', 5, NULL),
(30672, NULL, 'IPR038606', NULL, 'Takeout superfamily', 'To_sf', 5, NULL),
(30673, NULL, 'IPR036896', NULL, 'Avidin-like superfamily', 'Avidin-like_sf', 5, NULL),
(30674, NULL, 'IPR035659', NULL, 'Sucrose-phosphate synthase, C-terminal', 'SPS_C', 3, NULL),
(30675, NULL, 'IPR036245', NULL, 'Protozoan pheromone superfamily', 'Pheromone_protoz_sf', 5, NULL),
(30676, NULL, 'IPR040192', NULL, 'CUE domain-containing protein 1', 'CUEDC1', 4, NULL),
(30677, NULL, 'IPR036884', NULL, '[2Fe-2S]-binding domain superfamily', '2Fe-2S-bd_dom_sf', 5, NULL),
(30678, NULL, 'IPR037746', NULL, 'Protein Dok-7', 'Dok-7', 4, NULL),
(30679, NULL, 'IPR037690', NULL, 'Protein FAM204A', 'FAM204A', 4, NULL),
(30680, NULL, 'IPR040731', NULL, 'Metal-independent restriction enzyme BfiI, DNA binding domain', 'BfiI_DBD', 3, NULL),
(30681, NULL, 'IPR040757', NULL, 'Endoribonuclease Regnase 1/ZC3H12, C-terminal domain', 'Regnase_1/ZC3H12_C', 3, NULL),
(30682, NULL, 'IPR037693', NULL, 'Coiled-coil domain-containing protein 15', 'CCDC15', 4, NULL),
(30683, NULL, 'IPR040728', NULL, 'Domain of unknown function DUF5635', 'DUF5635', 3, NULL),
(30684, NULL, 'IPR040690', NULL, 'FtsX, extracellular domain', 'FtsX_ECD', 3, NULL),
(30685, NULL, 'IPR033701', NULL, 'First polo-box domain', 'POLO_box_1', 3, NULL),
(30686, NULL, 'IPR040380', NULL, 'HAKAI-like, RING finger, HC subclass', 'HAKAI-like_RING-HC', 3, NULL),
(30687, NULL, 'IPR040867', NULL, 'Domain of unknown function DUF5603', 'DUF5603', 3, NULL),
(30688, NULL, 'IPR036864', NULL, 'Zn(2)-C6 fungal-type DNA-binding domain superfamily', 'Zn2-C6_fun-type_DNA-bd_sf', 5, NULL),
(30689, NULL, 'IPR039969', NULL, 'Serpentine receptor class gamma-31', 'Srg-31', 4, NULL),
(30690, NULL, 'IPR037006', NULL, 'Histidine kinase  CheA-like, homodimeric domain superfamily', 'CheA-like_homodim_sf', 5, NULL),
(30691, NULL, 'IPR036426', NULL, 'Bulb-type lectin domain superfamily', 'Bulb-type_lectin_dom_sf', 5, NULL),
(30692, NULL, 'IPR039753', NULL, 'mRNA cap guanine-N7 methyltransferase', 'RG7MT1', 4, NULL),
(30693, NULL, 'IPR036461', NULL, 'Urease, beta subunit superfamily', 'Urease_betasu_sf', 5, NULL),
(30694, NULL, 'IPR036374', NULL, 'Oxidoreductase, molybdopterin-binding domain superfamily', 'OxRdtase_Mopterin-bd_sf', 5, NULL),
(30695, NULL, 'IPR037000', NULL, 'Ski-like, DNA-binding domain superfamily', 'Ski_DNA-bd_sf', 5, NULL),
(30696, NULL, 'IPR040653', NULL, 'Csd3, N-terminal', 'Csd3_N', 3, NULL),
(30697, NULL, 'IPR036971', NULL, '3''5''-cyclic nucleotide phosphodiesterase, catalytic domain superfamily', 'PDEase_catalytic_dom_sf', 5, NULL),
(30698, NULL, 'IPR036372', NULL, 'BEACH domain superfamily', 'BEACH_dom_sf', 5, NULL),
(30699, NULL, 'IPR033735', NULL, 'Gastricsin', 'Gastricsin', 4, NULL),
(30700, NULL, 'IPR036972', NULL, 'Cytochrome c oxidase, subunit Vb superfamily', 'Cyt_c_oxidase_su5b_sf', 5, NULL),
(30701, NULL, 'IPR036443', NULL, 'Zinc finger, RanBP2-type superfamily', 'Znf_RanBP2_sf', 5, NULL),
(30702, NULL, 'IPR037959', NULL, 'PICK1, BAR domain', 'PICK1_BAR', 3, NULL),
(30703, NULL, 'IPR038750', NULL, 'Uncharacterized protein YczE/YyaS-like', 'YczE/YyaS-like', 4, NULL),
(30704, NULL, 'IPR039208', NULL, 'C2 calcium-dependent domain-containing protein 4', 'C2_Ca-dependent_4', 4, NULL),
(30705, NULL, 'IPR036665', NULL, 'Phosphotransferase system, glucitol/sorbitol-specific IIA component superfamily', 'PTS_IIA_glucitol/sorbitol_sf', 5, NULL),
(30706, NULL, 'IPR036966', NULL, 'Carbohydrate-binding module 3 superfamily', 'CBM3_sf', 5, NULL),
(30707, NULL, 'IPR040708', NULL, 'Domain of of unknown function DUF5636', 'DUF5636', 3, NULL),
(30708, NULL, 'IPR036857', NULL, 'Thyroglobulin type-1 superfamily', 'Thyroglobulin_1_sf', 5, NULL),
(30709, NULL, 'IPR040652', NULL, 'Cry35Ab1 , HTH C-terminal domain', 'Cry35Ab1_HTH', 3, NULL),
(30710, NULL, 'IPR036649', NULL, 'Inorganic pyrophosphatase superfamily', 'Pyrophosphatase_sf', 5, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30711, NULL, 'IPR040729', NULL, 'Kazal-type serine protease inhibitor domain', 'Kazal_3', 3, NULL),
(30712, NULL, 'IPR039808', NULL, 'Cadherin', 'Cadherin', 4, NULL),
(30713, NULL, 'IPR035821', NULL, 'Sla1, third SH3 domain', 'Sla1_SH3_3', 3, NULL),
(30714, NULL, 'IPR036431', NULL, 'ARID DNA-binding domain superfamily', 'ARID_dom_sf', 5, NULL),
(30715, NULL, 'IPR036235', NULL, 'Ribosomal protein L7/L12, oligomerisation domain superfamily', 'Ribosomal_L7/L12_oligo_N_sf', 5, NULL),
(30716, NULL, 'IPR036859', NULL, 'CAP Gly-rich domain superfamily', 'CAP-Gly_dom_sf', 5, NULL),
(30717, NULL, 'IPR037250', NULL, 'NEAT domain superfamily', 'NEAT_dom_sf', 5, NULL),
(30718, NULL, 'IPR040931', NULL, 'Cadmium carbonic anhydrase repeat', 'CDCA', 7, NULL),
(30719, NULL, 'IPR040776', NULL, 'ThcOx helix turn helix domain', 'ThcOx_HTH', 3, NULL),
(30720, NULL, 'IPR037698', NULL, 'Ubiquinol-cytochrome-c reductase complex assembly factor 2', 'UQCC2', 4, NULL),
(30721, NULL, 'IPR036874', NULL, 'Carbonic anhydrase superfamily', 'Carbonic_anhydrase_sf', 5, NULL),
(30722, NULL, 'IPR040659', NULL, 'Phenylalanine--tRNA ligase beta subunit, B1 domain', 'PhetRS_B1', 3, NULL),
(30723, NULL, 'IPR039744', NULL, '40S ribosomal protein S29/30S ribosomal protein S14 type Z', '40S_S29/30S_S14z', 4, NULL),
(30724, NULL, 'IPR035547', NULL, 'Phospholipase B', 'Phospholipase_B', 3, NULL),
(30725, NULL, 'IPR037742', NULL, 'FGD4, N-terminal PH domain', 'FDG4_N_PH', 3, NULL),
(30726, NULL, 'IPR040782', NULL, 'KfrB domain', 'KfrB', 3, NULL),
(30727, NULL, 'IPR037784', NULL, 'Serine/threonine-protein kinase N, C2 domain', 'C2_PKN', 3, NULL),
(30728, NULL, 'IPR033291', NULL, 'Kinesin-like protein, plants', 'KINU_plant', 4, NULL),
(30729, NULL, 'IPR033696', NULL, 'Plk4, C-terminal polo-box domain', 'POLO_box_Plk4_C', 3, NULL),
(30730, NULL, 'IPR033297', NULL, 'Caveolae-associated protein 1', 'Cavin-1', 4, NULL),
(30731, NULL, 'IPR037896', NULL, 'SNX13, RGS domain', 'SNX13_RGS', 3, NULL),
(30732, NULL, 'IPR036994', NULL, 'Methyl-coenzyme M reductase, gamma subunit superfamily', 'Me_CoM_Rdtase_gsu_sf', 5, NULL),
(30733, NULL, 'IPR037022', NULL, 'Formyl transferase, C-terminal domain superfamily', 'Formyl_trans_C_sf', 5, NULL),
(30734, NULL, 'IPR035406', NULL, 'Protein of unknown function DUF5412', 'DUF5412', 4, NULL),
(30735, NULL, 'IPR033971', NULL, 'Avilamycin epimerase', 'Avilamycin_epimerase', 4, NULL),
(30736, NULL, 'IPR038612', NULL, 'YkfF-like domain superfamily', 'YkfF-like_sf', 5, NULL),
(30737, NULL, 'IPR035496', NULL, 'HDGF-related, PWWP domain', 'HDGF-rel_PWWP', 3, NULL),
(30738, NULL, 'IPR035628', NULL, 'TcpC, C-terminal', 'TcpC_C', 3, NULL),
(30739, NULL, 'IPR040375', NULL, 'Microprocessor complex subunit DGCR8', 'DGCR8', 4, NULL),
(30740, NULL, 'IPR040730', NULL, 'Hexapeptide repeat including loop', 'Hexapep_loop', 7, NULL),
(30741, NULL, 'IPR033694', NULL, 'Pyroglutamyl peptidase I, Cys active site', 'PGPEP1_Cys_AS', 0, NULL),
(30742, NULL, 'IPR033706', NULL, 'Methionine synthase, B12-binding domain', 'Met_synthase_B12-bd', 3, NULL),
(30743, NULL, 'IPR040742', NULL, 'Peptidoglycan hydrolase LytB, WW-like domain', 'LytB_WW-like', 3, NULL),
(30744, NULL, 'IPR040622', NULL, 'Integrin beta, epidermal growth factor-like domain 1', 'I-EGF_1', 3, NULL),
(30745, NULL, 'IPR036238', NULL, 'Transglutaminase, C-terminal domain superfamily', 'Transglutaminase_C_sf', 5, NULL),
(30746, NULL, 'IPR039500', NULL, 'EVA1 domain', 'EVA1_dom', 3, NULL),
(30747, NULL, 'IPR036428', NULL, 'Pterin 4 alpha carbinolamine dehydratase superfamily', 'PCD_sf', 5, NULL),
(30748, NULL, 'IPR037901', NULL, 'HCLS1-binding protein 3, PX domain', 'HS1BP3_PX', 3, NULL),
(30749, NULL, 'IPR036890', NULL, 'Histidine kinase/HSP90-like ATPase superfamily', 'HATPase_C_sf', 5, NULL),
(30750, NULL, 'IPR040651', NULL, 'Large polyvalent protein-associated domain 5', 'LPD5', 3, NULL),
(30751, NULL, 'IPR036645', NULL, 'Elafin-like superfamily', 'Elafin-like_sf', 5, NULL),
(30752, NULL, 'IPR036106', NULL, 'Class VII myosin, motor domain', 'MYSc_Myo7', 3, NULL),
(30753, NULL, 'IPR041031', NULL, 'RNF31, C-terminal', 'RNF31_C', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30754, NULL, 'IPR036959', NULL, 'Peptidase C12, ubiquitin carboxyl-terminal hydrolase superfamily', 'Peptidase_C12_UCH_sf', 5, NULL),
(30755, NULL, 'IPR036371', NULL, 'Thiamin pyrophosphokinase, thiamin-binding domain superfamily', 'TPK_B1-bd_sf', 5, NULL),
(30756, NULL, 'IPR039334', NULL, '26S proteasome non-ATPase regulatory subunit 10-like', 'PSMD10-like', 4, NULL),
(30757, NULL, 'IPR033975', NULL, 'Carbapenem intermediate methyltransferase, ThnP-like', 'ThnP-like', 4, NULL),
(30758, NULL, 'IPR037745', NULL, 'Small G protein signalling modulator 1/2, PH domain', 'SGSM1/2', 3, NULL),
(30759, NULL, 'IPR035229', NULL, 'Protein of unknown function DUF5447', 'DUF5447', 4, NULL),
(30760, NULL, 'IPR036393', NULL, 'Acetylglutamate kinase-like superfamily', 'AceGlu_kinase-like_sf', 5, NULL),
(30761, NULL, 'IPR035128', NULL, 'Viral unique short region 10', 'US10', 4, NULL),
(30762, NULL, 'IPR036150', NULL, 'Cytochrome b/b6, C-terminal domain superfamily', 'Cyt_b/b6_C_sf', 5, NULL),
(30763, NULL, 'IPR036340', NULL, 'MG296-like superfamily', 'MG296-like_sf', 5, NULL),
(30764, NULL, 'IPR035855', NULL, 'STAT3, SH2 domain', 'STAT3_SH2', 3, NULL),
(30765, NULL, 'IPR037480', NULL, 'YihR-like', 'YihR-like', 4, NULL),
(30766, NULL, 'IPR036868', NULL, 'TusA-like domain superfamily', 'TusA-like_sf', 5, NULL),
(30767, NULL, 'IPR040741', NULL, 'Alpha-glutamyl/putrescinyl thymine pyrophosphorylase clade 2', 'Alpha_GPT-Pplase2', 3, NULL),
(30768, NULL, 'IPR037003', NULL, 'Translocated intimin receptor, central domain superfamily', 'Tir_central_sf', 5, NULL),
(30769, NULL, 'IPR040631', NULL, 'Large polyvalent protein associated domain 30', 'LPD30', 3, NULL),
(30770, NULL, 'IPR040633', NULL, 'Galactose mutarotase-like fold domain', 'Gal_mutarotas_3', 3, NULL),
(30771, NULL, 'IPR036961', NULL, 'Kinesin motor domain superfamily', 'Kinesin_motor_dom_sf', 5, NULL),
(30772, NULL, 'IPR036872', NULL, 'CH domain superfamily', 'CH_dom_sf', 5, NULL),
(30773, NULL, 'IPR035602', NULL, 'MPP2, SH3 domain', 'MPP2_SH3', 3, NULL),
(30774, NULL, 'IPR039715', NULL, 'Zinc finger CCHC domain-containing protein 10', 'ZCCHC10', 4, NULL),
(30775, NULL, 'IPR040779', NULL, 'Protein of unknown function DUF5538', 'DUF5538', 4, NULL),
(30776, NULL, 'IPR036657', NULL, 'DNA-binding protein Tfx superfamily, archaea', 'Tfx_DNA-bd_sf_arc', 5, NULL),
(30777, NULL, 'IPR037011', NULL, 'Phycoerythrin-like alpha chain superfamily', 'Phycoerythr-like_a_sf', 5, NULL),
(30778, NULL, 'IPR037961', NULL, 'SH3PXD2, PX domain', 'SH3PXD2_PX', 3, NULL),
(30779, NULL, 'IPR035846', NULL, 'PTK6, SH2 domain', 'PTK6_SH2', 3, NULL),
(30780, NULL, 'IPR040581', NULL, 'SNTX, thioredoxin-like domain', 'Thioredoxin_11', 3, NULL),
(30781, NULL, 'IPR033499', NULL, 'Trinucleotide repeat-containing gene 6C protein', 'TNRC6C', 4, NULL),
(30782, NULL, 'IPR036956', NULL, 'Impact, N-terminal domain superfamily', 'Impact_N_sf', 5, NULL),
(30783, NULL, 'IPR037015', NULL, 'Aerolysin/Pertussis toxin (APT), N-terminal domain superfamily', 'APT_N_sf', 5, NULL),
(30784, NULL, 'IPR033324', NULL, 'Junction-mediating and -regulatory protein', 'Jmy', 4, NULL),
(30785, NULL, 'IPR040676', NULL, 'Domain of unknown function DUF5641', 'DUF5641', 3, NULL),
(30786, NULL, 'IPR036876', NULL, 'UVR domain superfamily', 'UVR_dom_sf', 5, NULL),
(30787, NULL, 'IPR040780', NULL, '6S proteasome subunit Rpn6, C-terminal helix domain', 'Rpn6_C_helix', 3, NULL),
(30788, NULL, 'IPR040383', NULL, 'E3 ubiquitin-protein ligase HAKAI/CBLL2', 'HAKAI/CBLL2', 4, NULL),
(30789, NULL, 'IPR034454', NULL, 'MEI2-like, RNA recognition motif 3', 'MEI2-like_RRM3', 3, NULL),
(30790, NULL, 'IPR035126', NULL, 'Secreted clade V protein', 'SCVP', 4, NULL),
(30791, NULL, 'IPR035403', NULL, 'Uncharacterized protein YmpT-like', 'YmpT-like', 4, NULL),
(30792, NULL, 'IPR039502', NULL, 'Protein eva-1 homologue B', 'EVA1B', 4, NULL),
(30793, NULL, 'IPR039741', NULL, 'UDP-sugar pyrophosphorylase', 'UDP-sugar_pyrophosphorylase', 4, NULL),
(30794, NULL, 'IPR039480', NULL, 'C-C bond lyase-like', 'C-C_Bond_Lyase-like', 4, NULL),
(30795, NULL, 'IPR039711', NULL, 'Protein GDF5OS, mitochondrial', 'GDF5OS', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30796, NULL, 'IPR037899', NULL, 'SNX25, PX domain', 'SNX25_PX', 3, NULL),
(30797, NULL, 'IPR035127', NULL, 'Uncharacterized strongylid L4 protein', 'SL4P', 4, NULL),
(30798, NULL, 'IPR040999', NULL, 'Maltokinase N-terminal cap domain', 'Mak_N_cap', 3, NULL),
(30799, NULL, 'IPR036996', NULL, 'Proteasome activator PA28, N-terminal domain superfamily', 'PA28_N_sf', 5, NULL),
(30800, NULL, 'IPR040466', NULL, 'NF-kappa-B-activating protein', 'NKAP', 4, NULL),
(30801, NULL, 'IPR036145', NULL, 'Septum formation inhibitor MinC, C-terminal domain superfamily', 'MinC_C_sf', 5, NULL),
(30802, NULL, 'IPR036875', NULL, 'Zinc finger, CCHC-type superfamily', 'Znf_CCHC_sf', 5, NULL),
(30803, NULL, 'IPR040703', NULL, 'Limiting CO2-inducible protein B/C, beta carbonyic anhydrase domain', 'LCIB/C_CA', 3, NULL),
(30804, NULL, 'IPR036199', NULL, 'Portal protein Gp10 superfamily', 'Gp10_sf', 5, NULL),
(30805, NULL, 'IPR036660', NULL, 'Fe-S hydro-lyase, tartrate dehydratase beta-type, catalytic domain superfamily', 'Fe-S_hydroAse_TtdB_cat_sf', 5, NULL),
(30806, NULL, 'IPR040195', NULL, 'CUE domain-containing protein 1, CUE domain', 'CUE_CUED1', 3, NULL),
(30807, NULL, 'IPR035651', NULL, 'BipA, domain V', 'BipA_V', 3, NULL),
(30808, NULL, 'IPR037013', NULL, 'Glutathione synthase, substrate-binding domain superfamily', 'GSH-S_sub-bd_sf', 5, NULL),
(30809, NULL, 'IPR040739', NULL, 'RlmM ferredoxin-like domain', 'RlmM_FDX', 3, NULL),
(30810, NULL, 'IPR036967', NULL, 'Ribosomal protein S11 superfamily', 'Ribosomal_S11_sf', 5, NULL),
(30811, NULL, 'IPR034459', NULL, 'RNA-binding protein FUS', 'FUS', 4, NULL),
(30812, NULL, 'IPR040756', NULL, 'Peptidase M61, N-terminal domain', 'Peptidase_M61_N', 3, NULL),
(30813, NULL, 'IPR036667', NULL, 'Phosphotransferase system, sorbose subfamily IIB component superfamily', 'PTS_IIB_sorbose-sp_sf', 5, NULL),
(30814, NULL, 'IPR037744', NULL, 'ARHGEF18, PH domain', 'ARHGEF18_PH', 3, NULL),
(30815, NULL, 'IPR036995', NULL, 'Methylpurine-DNA glycosylase superfamily', 'MPG_sf', 5, NULL),
(30816, NULL, 'IPR036858', NULL, 'Cyclin-dependent kinase, regulatory subunit superfamily', 'Cyclin-dep_kinase_reg-sub_sf', 5, NULL),
(30817, NULL, 'IPR037786', NULL, 'Tandem C2 domains nuclear protein, C2A domain', 'C2A_Tac2-N', 3, NULL),
(30818, NULL, 'IPR035563', NULL, 'Splicing factor 3A subunit 1, ubiquitin domain', 'SF3As1_ubi', 3, NULL),
(30819, NULL, 'IPR033927', NULL, 'WASP family, EVH1 domain', 'WASPfam_EVH1', 3, NULL),
(30820, NULL, 'IPR039499', NULL, 'Leucine rich adaptor protein 1/25', 'LURA1/LRA25', 4, NULL),
(30821, NULL, 'IPR036618', NULL, 'PtsI, HPr-binding domain superfamily', 'PtsI_HPr-bd_sf', 5, NULL),
(30822, NULL, 'IPR036880', NULL, 'Pancreatic trypsin inhibitor Kunitz domain superfamily', 'Kunitz_BPTI_sf', 5, NULL),
(30823, NULL, 'IPR037503', NULL, 'rRNA-processing protein Fcf1, PIN domain', 'Fcf1_PIN', 3, NULL),
(30824, NULL, 'IPR034659', NULL, 'Atypical protein kinase C, catalytic domain', 'Atypical_PKC', 3, NULL),
(30825, NULL, 'IPR036870', NULL, 'Ribosomal protein S18 superfamily', 'Ribosomal_S18_sf', 5, NULL),
(30826, NULL, 'IPR033961', NULL, 'Exocyst complex component Exo84', 'Exo84', 4, NULL),
(30827, NULL, 'IPR036143', NULL, 'Cytochrome b6-f complex, subunit 8 superfamily', 'Cytochr_b6-f_cplx_su8_sf', 5, NULL),
(30828, NULL, 'IPR035129', NULL, 'Viral unique short region 6', 'US6', 4, NULL),
(30829, NULL, 'IPR040630', NULL, 'Ubiquitous surface protein adhesin repeat', 'UspA1_rep', 7, NULL),
(30830, NULL, 'IPR035399', NULL, 'Protein of unknown function DUF5413', 'DUF5413', 4, NULL),
(30831, NULL, 'IPR036965', NULL, 'Terpene synthase, N-terminal domain superfamily', 'Terpene_synth_N_sf', 5, NULL),
(30832, NULL, 'IPR034451', NULL, 'Putative RNA-binding protein 27, RNA recognition motif', 'RBM27_RRM', 3, NULL),
(30833, NULL, 'IPR040435', NULL, 'Putative G-protein coupled receptor, Chromadorea', 'Put_GPCR_Chromadorea', 4, NULL),
(30834, NULL, 'IPR039116', NULL, 'Coiled-coil domain-containing protein 93', 'CCDC93', 4, NULL),
(30835, NULL, 'IPR036998', NULL, 'Porin, LamB-type superfamily', 'Porin_LamB_sf', 5, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30836, NULL, 'IPR035817', NULL, 'Dynamin-binding protein, first N-terminal SH3 domain', 'DNMBP_SH3_N1', 3, NULL),
(30837, NULL, 'IPR037001', NULL, 'Ammonia/particulate methane monooxygenase, subunit A superfamily', 'NH3/CH4_mOase_suA_sf', 5, NULL),
(30838, NULL, 'IPR036103', NULL, 'Class V myosin, motor domain', 'MYSc_Myo5', 3, NULL),
(30839, NULL, 'IPR036860', NULL, 'SH2 domain superfamily', 'SH2_dom_sf', 5, NULL),
(30840, NULL, 'IPR035684', NULL, 'Arginyl-tRNA synthetase, catalytic core domain', 'ArgRS_core', 3, NULL),
(30841, NULL, 'IPR040760', NULL, 'Protein of unknown function DUF5582', 'DUF5582', 4, NULL),
(30842, NULL, 'IPR037020', NULL, 'Hemocyanin, C-terminal domain superfamily', 'Hemocyanin_C_sf', 5, NULL),
(30843, NULL, 'IPR036873', NULL, 'Rhodanese-like domain superfamily', 'Rhodanese-like_dom_sf', 5, NULL),
(30844, NULL, 'IPR039114', NULL, 'PID1, PTB domain', 'PID1_PTB', 3, NULL),
(30845, NULL, 'IPR036957', NULL, 'Zinc finger, PARP-type superfamily', 'Znf_PARP_sf', 5, NULL),
(30846, NULL, 'IPR036152', NULL, 'Asparaginase/glutaminase-like superfamily', 'Asp/glu_Ase-like_sf', 5, NULL),
(30847, NULL, 'IPR036899', NULL, 'Ribosomal protein L13 superfamily', 'Ribosomal_L13_sf', 5, NULL),
(30848, NULL, 'IPR039137', NULL, '5''-AMP-activated protein kinase alpha 1 catalytic subunit, C-terminal', 'AMPKA1_C', 3, NULL),
(30849, NULL, 'IPR039110', NULL, 'KNL2-like', 'KNL2-like', 4, NULL),
(30850, NULL, 'IPR036894', NULL, 'Nucleoid-associated protein YbaB-like domain superfamily', 'YbaB-like_sf', 5, NULL),
(30851, NULL, 'IPR036898', NULL, 'RNA polymerase Rpb7-like, N-terminal domain superfamily', 'RNA_pol_Rpb7-like_N_sf', 5, NULL),
(30852, NULL, 'IPR040692', NULL, 'UGGT, thioredoxin-like domain 3', 'UGGT_TRXL_3', 3, NULL),
(30853, NULL, 'IPR036865', NULL, 'CRAL-TRIO lipid binding domain superfamily', 'CRAL-TRIO_dom_sf', 5, NULL),
(30854, NULL, 'IPR040778', NULL, 'CASTOR1, N-terminal', 'CASTOR1_N', 3, NULL),
(30855, NULL, 'IPR033292', NULL, 'Thy-1 membrane glycoprotein', 'THY1', 4, NULL),
(30856, NULL, 'IPR036624', NULL, 'Hcp1-like superfamily', 'Hcp1-lik_sf', 5, NULL),
(30857, NULL, 'IPR039214', NULL, 'Protein FAM3B', 'FAM3B', 4, NULL),
(30858, NULL, 'IPR040373', NULL, 'Transcription factor castor', 'CASZ1', 4, NULL),
(30859, NULL, 'IPR040644', NULL, 'Hydrogen maturase F, tetramerization domain', 'HydF_tetramer', 3, NULL),
(30860, NULL, 'IPR037856', NULL, 'Sdc1/DPY30', 'Sdc1/DPY30', 4, NULL),
(30861, NULL, 'IPR040740', NULL, 'MglB-2, periplasmic binding protein domain', 'MglB-2_Peripla_BP', 3, NULL),
(30862, NULL, 'IPR035535', NULL, 'Fungal myosin-I, SH3 domain', 'Fungal_myosin-I_SH3', 3, NULL),
(30863, NULL, 'IPR040704', NULL, 'HEPN, AbiU2-like', 'HEPN_AbiU2', 3, NULL),
(30864, NULL, 'IPR040431', NULL, 'Transmembrane protein 262', 'TM262', 4, NULL),
(30865, NULL, 'IPR036240', NULL, 'Gp9-like superfamily', 'Gp9-like_sf', 5, NULL),
(30866, NULL, 'IPR033602', NULL, 'Protein pitchfork', 'Pitchfork', 4, NULL),
(30867, NULL, 'IPR037019', NULL, 'Glycoside hydrolase family 7, catalytic domain superfamily', 'Glyco_hydro_7_sf', 5, NULL),
(30868, NULL, 'IPR036682', NULL, 'Insect odorant-binding protein A10/Ejaculatory bulb-specific protein 3 superfamily', 'OS_D_A10/PebIII_sf', 5, NULL),
(30869, NULL, 'IPR036886', NULL, 'Villin headpiece domain superfamily', 'Villin_headpiece_dom_sf', 5, NULL),
(30870, NULL, 'IPR035854', NULL, 'STAT2, SH2 domain', 'STAT2_SH2', 3, NULL),
(30871, NULL, 'IPR036148', NULL, 'MmgE/PrpD superfamily', 'MmgE/PrpD_sf', 5, NULL),
(30872, NULL, 'IPR040709', NULL, 'Importin 13, repeat 1', 'Importin_rep_1', 7, NULL),
(30873, NULL, 'IPR033937', NULL, 'Carbamoyl-phosphate synthase large chain, methylglyoxal synthase-like domain', 'MGS_CPS_CarB', 3, NULL),
(30874, NULL, 'IPR040693', NULL, 'UGGT, thioredoxin-like domain 1', 'UGGT_TRXL_1', 3, NULL),
(30875, NULL, 'IPR037447', NULL, '40S Ribosomal protein S10', 'Rps10', 4, NULL),
(30876, NULL, 'IPR039043', NULL, 'Zinc finger protein-like 1', 'ZFPL1', 4, NULL),
(30877, NULL, 'IPR036390', NULL, 'Winged helix DNA-binding domain superfamily', 'WH_DNA-bd_sf', 5, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30878, NULL, 'IPR040588', NULL, 'Argonaute, N domain', 'AGO_N', 3, NULL),
(30879, NULL, 'IPR035137', NULL, 'Discriminator of mRNA degradation', 'Dmd', 4, NULL),
(30880, NULL, 'IPR040646', NULL, 'Fanconi anemia core complex-associated protein 24, pseudonuclease domain', 'PND', 3, NULL),
(30881, NULL, 'IPR040711', NULL, 'Immunomodulating metalloprotease N-terminal domain', 'IMPa_N_2', 3, NULL),
(30882, NULL, 'IPR040430', NULL, 'Putative transcriptional regulator CudA-like', 'CudA-like', 4, NULL),
(30883, NULL, 'IPR037002', NULL, 'Microviridae F protein superfamily', 'Microviridae_protein_F_sf', 5, NULL),
(30884, NULL, 'IPR037005', NULL, 'S-ribosylhomocysteinase (LuxS) superfamily', 'LuxS_sf', 5, NULL),
(30885, NULL, 'IPR037699', NULL, 'Uncharacterized protein At5g65660-like', 'At5g65660-like', 4, NULL),
(30886, NULL, 'IPR036878', NULL, 'Glucose permease domain IIB', 'Glu_permease_IIB', 5, NULL),
(30887, NULL, 'IPR035532', NULL, 'DBS, SH3 domain', 'DBS_SH3', 3, NULL),
(30888, NULL, 'IPR036893', NULL, 'SBP domain superfamily', 'SBP_sf', 5, NULL),
(30889, NULL, 'IPR040670', NULL, 'Protein of unknown function DUF5556', 'DUF5556', 4, NULL),
(30890, NULL, 'IPR039501', NULL, 'Protein eva-1 homologue A', 'EVA1A', 4, NULL),
(30891, NULL, 'IPR040417', NULL, 'Glycine-rich cell wall structural protein 1/2', 'GRP1/2', 4, NULL),
(30892, NULL, 'IPR036964', NULL, 'Ras guanine-nucleotide exchange factor, catalytic domain superfamily', 'RASGEF_cat_dom_sf', 5, NULL),
(30893, NULL, 'IPR040648', NULL, 'HMG domain-containing protein 3, CxC4 like cysteine cluster', 'HMGXB3_CxC4', 3, NULL),
(30894, NULL, 'IPR036863', NULL, 'Photosystem II reaction centre protein H superfamily', 'PSII_PsbH_sf', 5, NULL),
(30895, NULL, 'IPR038602', NULL, 'Mite allergen, group-7 superfamily', 'Mite_allergen_7_sf', 5, NULL),
(30896, NULL, 'IPR036452', NULL, 'Ribonucleoside hydrolase-like', 'Ribo_hydro-like', 5, NULL),
(30897, NULL, 'IPR036867', NULL, 'R3H domain superfamily', 'R3H_dom_sf', 5, NULL),
(30898, NULL, 'IPR039946', NULL, 'Zinc finger protein 839', 'ZN839', 4, NULL),
(30899, NULL, 'IPR034907', NULL, 'Nucleoside diphosphate kinase-like domain', 'NDK-like_dom', 3, NULL),
(30900, NULL, 'IPR040707', NULL, 'Phosphoribosylformylglycinamidine synthase, N-terminal', 'FGAR-AT_N', 3, NULL),
(30901, NULL, 'IPR035603', NULL, 'MPP6, SH3 domain', 'MPP6_SH3', 3, NULL),
(30902, NULL, 'IPR040671', NULL, 'Pullulanase, N2 domain', 'Pullulanase_N2', 3, NULL),
(30903, NULL, 'IPR038749', NULL, 'GINS complex protein Sld5, alpha-helical domain', 'Sld5_GINS_A', 3, NULL),
(30904, NULL, 'IPR033708', NULL, 'Isoleucyl tRNA synthetase type 1, anticodon-binding domain', 'Anticodon_Ile_BEm', 3, NULL),
(30905, NULL, 'IPR035604', NULL, 'MPP3, SH3 domain', 'MPP3_SH3', 3, NULL),
(30906, NULL, 'IPR040612', NULL, 'ArsA, HSP20-like domain', 'ArsA_HSP20-like', 3, NULL),
(30907, NULL, 'IPR040635', NULL, 'D-ribitol-5-phosphate cytidylyltransferase, C-terminal', 'ISPD_C', 3, NULL),
(30908, NULL, 'IPR037992', NULL, 'TRAPP complex, Trs33 subunit', 'TRAPPC6/Trs33', 4, NULL),
(30909, NULL, 'IPR037772', NULL, 'Freud, C2 domain', 'C2_Freud', 3, NULL),
(30910, NULL, 'IPR039168', NULL, '5''-AMP-activated protein kinase subunit gamma-3', 'AMPKG-3', 4, NULL),
(30911, NULL, 'IPR033693', NULL, 'Pyroglutamyl peptidase I, Glu active site', 'PGPEP1_Glu_AS', 0, NULL),
(30912, NULL, 'IPR033094', NULL, 'RNA-binding protein 5', 'RBM5', 4, NULL),
(30913, NULL, 'IPR036239', NULL, 'Prenyltransferase-like superfamily', 'PrenylTrfase-like_sf', 5, NULL),
(30914, NULL, 'IPR036347', NULL, 'Erythronolide synthase, docking domain superfamily', 'DEBS_docking_sf', 5, NULL),
(30915, NULL, 'IPR036877', NULL, 'SUI1 domain superfamily', 'SUI1_dom_sf', 5, NULL),
(30916, NULL, 'IPR035136', NULL, 'Protein of unknown function DUF5486', 'DUF5486', 4, NULL),
(30917, NULL, 'IPR041006', NULL, 'Morc, S5 domain 2-like', 'Morc_S5', 3, NULL),
(30918, NULL, 'IPR033323', NULL, 'Testis-specific gene 10 protein', 'TSGA10', 4, NULL),
(30919, NULL, 'IPR037857', NULL, 'MTMR1, PH-GRAM', 'MTMR1_PH-GRAM', 3, NULL),
(30920, NULL, 'IPR036887', NULL, 'HTH APSES-type DNA-binding domain superfamily', 'HTH_APSES_sf', 5, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30921, NULL, 'IPR040684', NULL, 'Alpha-glutamyl/putrescinyl thymine pyrophosphorylase clade 1', 'Alpha_GPT-Pplase1', 3, NULL),
(30922, NULL, 'IPR039970', NULL, 'Transcription factor Grauzone', 'TF_Grauzone', 4, NULL),
(30923, NULL, 'IPR040759', NULL, 'Regulator of G-protein signalling, DHEX domain', 'RGS_DHEX', 3, NULL),
(30924, NULL, 'IPR039968', NULL, 'Uncharacterized protein YghO-like', 'YghO-like', 4, NULL),
(30925, NULL, 'IPR040650', NULL, 'Cell division control protein 13, OB2 domain', 'Cdc13_OB2', 3, NULL),
(30926, NULL, 'IPR041032', NULL, 'Protein of unknown function DUF5546', 'DUF5546', 4, NULL),
(30927, NULL, 'IPR037900', NULL, 'CISK, PX domain', 'CISK_PX', 3, NULL),
(30928, NULL, 'IPR035405', NULL, 'Gene product 70', 'GP70', 4, NULL),
(30929, NULL, 'IPR039750', NULL, 'Dynein regulatory complex protein', 'DRC1/DRC2', 4, NULL),
(30930, NULL, 'IPR036861', NULL, 'Endochitinase-like superfamily', 'Endochitinase-like_sf', 5, NULL),
(30931, NULL, 'IPR039710', NULL, 'CPX chromosomal region candidate gene 1 protein', 'CPXCR1', 4, NULL),
(30932, NULL, 'IPR041041', NULL, 'Protein of unknown function DUF5539', 'DUF5539', 4, NULL),
(30933, NULL, 'IPR036373', NULL, 'Ribosomal protein L17 superfamily', 'Ribosomal_L17_sf', 5, NULL),
(30934, NULL, 'IPR036672', NULL, 'TCL1/MTCP1 superfamily', 'TCL1_MTCP1_sf', 5, NULL),
(30935, NULL, 'IPR037743', NULL, 'FGD6, N-terminal PH domain', 'FGD6_N_PH', 3, NULL),
(30936, NULL, 'IPR039503', NULL, 'BARD1, Zinc finger, RING-type', 'BARD1_Znf-RING', 3, NULL),
(30937, NULL, 'IPR040994', NULL, 'SUN coiled coil domain 2', 'Sun_CC2', 3, NULL),
(30938, NULL, 'IPR039213', NULL, 'FAM90', 'FAM90', 4, NULL),
(30939, NULL, 'IPR039752', NULL, 'F-box only protein', 'F-box_only', 4, NULL),
(30940, NULL, 'IPR039747', NULL, 'DNA-directed RNA polymerases I, II, and III subunit RPABC4', 'RPABC4', 4, NULL),
(30941, NULL, 'IPR036652', NULL, 'YjeF N-terminal domain superfamily', 'YjeF_N_dom_sf', 5, NULL),
(30942, NULL, 'IPR035707', NULL, 'Complement C1r subcomponent', 'Complement_C1r', 4, NULL),
(30943, NULL, 'IPR036459', NULL, 'Viral capsid core domain supefamily, Hepatitis B virus', 'Viral_capsid_core_dom_sf_HBV', 5, NULL),
(30944, NULL, 'IPR036140', NULL, 'Profilin superfamily', 'PFN_sf', 5, NULL),
(30945, NULL, 'IPR037453', NULL, 'PACSIN2, F-BAR domain', 'PACSIN2_F-BAR', 3, NULL),
(30946, NULL, 'IPR036457', NULL, 'PPM-type phosphatase domain superfamily', 'PPM-type_dom_sf', 5, NULL),
(30947, NULL, 'IPR037741', NULL, 'Synaptotagmin 7, C2B domain', 'C2B_Synaptotagmin-7', 3, NULL),
(30948, NULL, 'IPR035125', NULL, 'Protein ORF45', 'ORF45', 4, NULL),
(30949, NULL, 'IPR037718', NULL, 'Mitochondrial processing peptidase subunit beta', 'MPP_beat', 4, NULL),
(30950, NULL, 'IPR036391', NULL, 'Thionin-like superfamily', 'Thionin-like_sf', 5, NULL),
(30951, NULL, 'IPR040678', NULL, 'AbrB, C-terminal', 'AbrB_C', 3, NULL),
(30952, NULL, 'IPR036892', NULL, 'L27 domain superfamily', 'L27_dom_sf', 5, NULL),
(30953, NULL, 'IPR037903', NULL, 'MONaKA, PX domain', 'MONaKA_PX', 3, NULL),
(30954, NULL, 'IPR039944', NULL, 'VSIG4, immunoglobulin variable (IgV)-like domain', 'VSIG4_IgV', 3, NULL),
(30955, NULL, 'IPR037785', NULL, 'C2CD5, C2 domain', 'C2_C2CD5', 3, NULL),
(30956, NULL, 'IPR040761', NULL, 'Tle cognate immunity protein 4, N-terminal domain', 'Tli4_N', 3, NULL),
(30957, NULL, 'IPR036637', NULL, 'Phosphohistidine domain superfamily', 'Phosphohistidine_dom_sf', 5, NULL),
(30958, NULL, 'IPR036433', NULL, 'Elongation factor EF1B gamma, C-terminal domain superfamily', 'EF1B_G_C_sf', 5, NULL),
(30959, NULL, 'IPR040198', NULL, 'Fido domain-containing protein', 'Fido_containing', 4, NULL),
(30960, NULL, 'IPR036369', NULL, 'High potential iron-sulphur protein superfamily', 'HIPIP_sf', 5, NULL),
(30961, NULL, 'IPR040777', NULL, 'Domain of unknown function DUF5591', 'DUF5591', 3, NULL),
(30962, NULL, 'IPR039947', NULL, 'Nuclear receptor coactivator 4', 'NCoA-4', 4, NULL),
(30963, NULL, 'IPR041050', NULL, 'Pilin A4', 'PilA4', 3, NULL),
(30964, NULL, 'IPR037904', NULL, 'Nischarin, PX domain', 'Nischarin_PX', 3, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(30965, NULL, 'IPR036202', NULL, 'DNA topoisomerase I, DNA binding, eukaryotic-type, N-terminal domain superfamily', 'TopoI_DNA-bd_euk_N_sf', 5, NULL),
(30966, NULL, 'IPR040727', NULL, 'Nicotinate phosphoribosyltransferase, N-terminal domain', 'NAPRTase_N', 3, NULL),
(30967, NULL, 'IPR033698', NULL, 'Plk4, second cryptic polo-box domain', 'POLO_box_Plk4_2', 3, NULL),
(30968, NULL, 'IPR037018', NULL, 'Glycoside hydrolase family 65, N-terminal domain superfamily', 'Glyco_hydro_65_N_sf', 5, NULL),
(30969, NULL, 'IPR035820', NULL, 'Dynamin-binding protein, first C-terminal SH3 domain', 'DNMBP_SH3_C1', 3, NULL),
(30970, NULL, 'IPR036139', NULL, 'Virulence-associated V antigen superfamily', 'Vir_assoc_V_ag_sf', 5, NULL),
(30971, NULL, 'IPR036445', NULL, 'GPCR family 2, extracellular hormone receptor domain superfamily', 'GPCR_2_extracell_dom_sf', 5, NULL),
(30972, NULL, 'IPR040767', NULL, 'Diphteria toxin repressor, SH3 domain', 'DtxR_SH3', 3, NULL),
(30973, NULL, 'IPR036436', NULL, 'Disintegrin domain superfamily', 'Disintegrin_dom_sf', 5, NULL),
(30974, NULL, 'IPR036900', NULL, 'Alpha-D-phosphohexomutase, C-terminal domain superfamily', 'A-D-PHexomutase_C_sf', 5, NULL),
(30975, NULL, 'IPR036200', NULL, 'Attachment protein G3P, N-terminal domain superfamily', 'Attachment_G3P_N_sf', 5, NULL),
(30976, NULL, 'IPR036662', NULL, 'Phosphotransferase system, mannose-type IIA component superfamily', 'PTS_EIIA_man-typ_sf', 5, NULL),
(30977, NULL, 'IPR036155', NULL, 'Cryptochrome/photolyase, N-terminal domain superfamily', 'Crypto/Photolyase_N_sf', 5, NULL),
(30978, NULL, 'IPR036146', NULL, 'Cyclotide superfamily', 'Cyclotide_sf', 5, NULL),
(30979, NULL, 'IPR039745', NULL, 'Vacuolar protein sorting-associated protein 54', 'Vps54', 4, NULL),
(30980, NULL, 'IPR033289', NULL, 'Sulfotransferase 1B1', 'SULT1B1', 4, NULL),
(30981, NULL, 'IPR040433', NULL, 'Spermatid nuclear transition protein', 'Spermatid_TP', 4, NULL),
(30982, NULL, 'IPR041043', NULL, 'Domain of unknown function DUF5622', 'DUF5622', 3, NULL),
(30983, NULL, 'IPR033497', NULL, 'Histone H2A deubiquitinase MYSM1', 'MYSM1', 4, NULL),
(30984, NULL, 'IPR035565', NULL, 'Nck1, SH3 domain 3', 'Nck1_SH3_3', 3, NULL),
(30985, NULL, 'IPR036458', NULL, 'Sodium:dicarboxylate symporter superfamily', 'Na:dicarbo_symporter_sf', 5, NULL),
(30986, NULL, 'IPR036960', NULL, 'T-box superfamily', 'T-box_sf', 5, NULL),
(30987, NULL, 'IPR036392', NULL, 'PLAT/LH2 domain superfamily', 'PLAT/LH2_dom_sf', 5, NULL),
(30988, NULL, 'IPR036885', NULL, 'SWIB/MDM2 domain superfamily', 'SWIB_MDM2_dom_sf', 5, NULL),
(30989, NULL, 'IPR035847', NULL, 'SH3BP2, SH2 domain', 'SH3BP2_SH2', 3, NULL),
(30990, NULL, 'IPR034464', NULL, 'PARP-10, RNA recognition motif 1 and 2', 'PAR10_RRM1_2', 3, NULL),
(30991, NULL, 'IPR040783', NULL, 'Actinobacteria/chloroflexi VLRF1 release factor', 'VLRF1', 3, NULL),
(30992, NULL, 'IPR040872', NULL, 'Fibrillin 1, unique N-terminal domain', 'Fibrillin_U_N', 3, NULL),
(30993, NULL, 'IPR040680', NULL, 'Domain of unknown function DUF5643', 'DUF5643', 3, NULL),
(30994, NULL, 'IPR036891', NULL, 'Signal recognition particle, SRP54 subunit, M-domain superfamily', 'Signal_recog_part_SRP54_M_sf', 5, NULL),
(30995, NULL, 'IPR033095', NULL, 'RNA-binding protein 10', 'RBM10', 4, NULL),
(30996, NULL, 'IPR037451', NULL, 'SLIT-ROBO Rho GTPase-activating protein 1, F-BAR domain', 'srGAP1_F-BAR', 3, NULL),
(30997, NULL, 'IPR036962', NULL, 'Glycoside hydrolase, family 3, N-terminal domain superfamily', 'Glyco_hydro_3_N_sf', 5, NULL),
(30998, NULL, 'IPR040654', NULL, 'LasR-specific antiactivator QslA chain E', 'QslA_E', 3, NULL),
(30999, NULL, 'IPR035138', NULL, 'Protein of unknown function DUF5485', 'DUF5485', 4, NULL),
(31000, NULL, 'IPR035230', NULL, 'Anti-sigma factor CnrY', 'CnrY', 4, NULL),
(31001, NULL, 'IPR041315', NULL, 'PlcR,  tetratricopeptide repeat', 'PlcR_TPR', 7, NULL),
(31002, NULL, 'IPR035809', NULL, 'Nicotinate phosphoribosyltransferase, archaeal-type', 'NAPRTase_arc-type', 4, NULL),
(31003, NULL, 'IPR040361', NULL, 'Tapetum determinant 1', 'TPD1', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31004, NULL, 'IPR040937', NULL, 'Argonaute, N-terminal', 'Ago_N_1', 3, NULL),
(31005, NULL, 'IPR040958', NULL, 'Secreted Novel AID/APOBEC-like Deaminase 1', 'SNAD1', 4, NULL),
(31006, NULL, 'IPR041226', NULL, 'Nitrososphaera output domain 2', 'NitrOD2', 3, NULL),
(31007, NULL, 'IPR041359', NULL, 'Metanogen output domain 1', 'MetOD1', 3, NULL),
(31008, NULL, 'IPR041363', NULL, 'LIM interaction domain', 'LID', 3, NULL),
(31009, NULL, 'IPR040415', NULL, 'SET domain-containing protein 9', 'SETD9', 4, NULL),
(31010, NULL, 'IPR037230', NULL, 'Non-structural protein NSP8 superfamily, coronavirus', 'NSP8_sf_CoV', 5, NULL),
(31011, NULL, 'IPR039938', NULL, 'Zinc finger protein 781', 'ZNF781', 4, NULL),
(31012, NULL, 'IPR039826', NULL, 'VQ motif-containing protein 11', 'VQ11', 4, NULL),
(31013, NULL, 'IPR040359', NULL, 'Protein glutamine dumper', 'GDU', 4, NULL),
(31014, NULL, 'IPR039833', NULL, 'VQ motif-containing protein 8, chloroplastic', 'VQ8', 4, NULL),
(31015, NULL, 'IPR036917', NULL, 'Orange carotenoid-binding protein, N-terminal domain superfamily', 'Orange_carotenoid-bd_N_sf', 5, NULL),
(31016, NULL, 'IPR036141', NULL, 'MukF, middle domain superfamily', 'MukF_M_sp', 5, NULL),
(31017, NULL, 'IPR040420', NULL, 'Uncharacterized protein At1g76660-like', 'At1g76660-like', 4, NULL),
(31018, NULL, 'IPR041181', NULL, 'DR2241 stabilising domain', 'DR2241_middle', 3, NULL),
(31019, NULL, 'IPR037225', NULL, 'NADH-ubiquinone oxidoreductase 51kDa subunit, FMN-binding domain superfamily', 'Nuo51_FMN-bd_sf', 5, NULL),
(31020, NULL, 'IPR040749', NULL, 'BRCC36, C-terminal helical domain', 'BRCC36_C', 3, NULL),
(31021, NULL, 'IPR041212', NULL, 'Vta1, C-terminal', 'Vta1_C', 3, NULL),
(31022, NULL, 'IPR037515', NULL, 'Ribose-phosphate pyrophosphokinase, bacterial-type', 'Rib-P_diPkinase_bac', 4, NULL),
(31023, NULL, 'IPR041108', NULL, 'Polyphosphate kinase, C-terminal domain 1', 'PP_kinase_C_1', 3, NULL),
(31024, NULL, 'IPR041110', NULL, 'Phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease 2', 'PBECR2', 3, NULL),
(31025, NULL, 'IPR039971', NULL, 'Pre-mRNA-splicing factor CWC24-like', 'CWC24-like', 4, NULL),
(31026, NULL, 'IPR041063', NULL, 'Glycoside Hydrolase 20C, C-terminal', 'Glyco_H_20C_C', 3, NULL),
(31027, NULL, 'IPR041116', NULL, 'SMODS and SLOG-associating 2TM effector domain 3', 'SLATT_3', 3, NULL),
(31028, NULL, 'IPR040822', NULL, 'Swi6, N-terminal', 'Swi6_N', 3, NULL),
(31029, NULL, 'IPR034828', NULL, 'Peroxidasin, vertebrate', 'Peroxidasin_vert', 4, NULL),
(31030, NULL, 'IPR041033', NULL, 'Prealbumin-like fold domain', 'Prealbumin-like', 3, NULL),
(31031, NULL, 'IPR036255', NULL, 'YgfB-like superfamily', 'YgfB-like_sf', 5, NULL),
(31032, NULL, 'IPR041131', NULL, 'Phage MuF, C-terminal domain', 'MuF_C', 3, NULL),
(31033, NULL, 'IPR040775', NULL, 'Tail spike TSP1/Gp66, N-terminal domain', 'Tail_spike_N', 3, NULL),
(31034, NULL, 'IPR037529', NULL, '[LysW]-aminoadipate/[LysW]-glutamate kinase', 'LysZ', 4, NULL),
(31035, NULL, 'IPR038739', NULL, 'Armadillo-type fold containing protein ARMC8/Vid28', 'ARMC8/Vid28', 4, NULL),
(31036, NULL, 'IPR038310', NULL, 'DUF1104 superfamily', 'DUF1104_sf', 5, NULL),
(31037, NULL, 'IPR037409', NULL, 'HTH-type transcriptional regulator XapR, PBP2 domain', 'XapR_PBP2', 3, NULL),
(31038, NULL, 'IPR039139', NULL, 'Coiled-coil domain-containing protein 170-like', 'CCDC170-like', 4, NULL),
(31039, NULL, 'IPR035085', NULL, 'Urocanase, Rossmann-like domain', 'Urocanase_Rossmann-like', 3, NULL),
(31040, NULL, 'IPR040804', NULL, 'Tetracyclin repressor-like, C-terminal domain 18', 'TetR_C_18', 3, NULL),
(31041, NULL, 'IPR033595', NULL, 'Matrix metalloproteinase-A', 'Zmp-1', 4, NULL),
(31042, NULL, 'IPR041308', NULL, 'Xer recombinase, N-terminal', 'Xer_N', 3, NULL),
(31043, NULL, 'IPR038052', NULL, 'Chaperonin-like RbcX superfamily', 'Chaperonin_RbcX_sf', 5, NULL),
(31044, NULL, 'IPR037948', NULL, 'Chromo domain-containing protein cec-4', 'Cec-4', 4, NULL),
(31045, NULL, 'IPR039492', NULL, 'Transmembrane protein 109', 'TMEM109', 4, NULL),
(31046, NULL, 'IPR040956', NULL, 'Lower baseplate protein, N-terminal', 'BppL_N', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31047, NULL, 'IPR041079', NULL, 'Neuraminidase-like domain', 'Neuraminidase-like', 3, NULL),
(31048, NULL, 'IPR035574', NULL, 'Tyrosine-protein kinase BTK, SH3 domain', 'BTK_SH3', 3, NULL),
(31049, NULL, 'IPR038885', NULL, 'Phospholipase B1, membrane-associated', 'PLB1', 4, NULL),
(31050, NULL, 'IPR038307', NULL, 'StbB superfamily', 'StbB_sf', 5, NULL),
(31051, NULL, 'IPR037474', NULL, 'Sca1 complex scaffold protein ScaA', 'ScaA', 4, NULL),
(31052, NULL, 'IPR036144', NULL, 'GTP cyclohydrolase II superfamily', 'RibA-like_sf', 5, NULL),
(31053, NULL, 'IPR041094', NULL, 'Brr2, N-terminal helicase PWI domain', 'Brr2_helicase_PWI', 3, NULL),
(31054, NULL, 'IPR041193', NULL, 'CysA, C-terminal regulatory domain', 'CysA_C', 3, NULL),
(31055, NULL, 'IPR039980', NULL, 'MAP kinase-activating death domain protein', 'MADD', 4, NULL),
(31056, NULL, 'IPR041258', NULL, 'Large polyvalent protein-associated domain 18', 'LPD18', 3, NULL),
(31057, NULL, 'IPR039829', NULL, 'VQ motif-containing protein 31', 'VQ31', 4, NULL),
(31058, NULL, 'IPR040989', NULL, 'Major vault protein repeat domain 3', 'Vault_3', 3, NULL),
(31059, NULL, 'IPR041206', NULL, 'HEPN/RES N-terminal domain 1', 'HEPN/RES_NTD1', 3, NULL),
(31060, NULL, 'IPR041184', NULL, 'T6 antigen, Ig-like domain', 'T6_Ig-like', 3, NULL),
(31061, NULL, 'IPR041248', NULL, 'YDG domain', 'YDG', 3, NULL),
(31062, NULL, 'IPR033114', NULL, 'Cas9-type HNH domain', 'HNH_CAS9', 3, NULL),
(31063, NULL, 'IPR037782', NULL, 'Transcriptional activator Spt7', 'Spt7', 4, NULL),
(31064, NULL, 'IPR040959', NULL, 'Cellulose-binding protein CttA, N-terminal', 'CttA_N', 3, NULL),
(31065, NULL, 'IPR041143', NULL, 'YgxA-like, helix-turn-helix domain', 'YgxA_HTH', 3, NULL),
(31066, NULL, 'IPR033760', NULL, 'Integrin beta N-terminal', 'Integrin_beta_N', 3, NULL),
(31067, NULL, 'IPR038309', NULL, 'Regulator of RNA polymerase sigma(70) subunit, Rsd/AlgQ superfamily', 'Rsd/AlgQ_sf', 5, NULL),
(31068, NULL, 'IPR033116', NULL, 'Serine proteases, trypsin family, serine active site', 'TRYPSIN_SER', 0, NULL),
(31069, NULL, 'IPR040463', NULL, 'BAP29/BAP31, transmembrane domain', 'BAP29/BAP31_N', 3, NULL),
(31070, NULL, 'IPR038319', NULL, 'CAS, serine rich four helix bundle domain superfamily', 'Serine_rich_sf', 5, NULL),
(31071, NULL, 'IPR040817', NULL, 'Leukemia inhibitory factor receptor, D2 domain', 'LIFR_D2', 3, NULL),
(31072, NULL, 'IPR040358', NULL, 'Uncharacterized protein At4g22758-like', 'At4g22758-like', 4, NULL),
(31073, NULL, 'IPR040717', NULL, 'P-loop nucleotide kinase 3', 'Ploop_nt_kinase3', 4, NULL),
(31074, NULL, 'IPR040960', NULL, 'Homeobox-cysteine loop-homeobox', 'HOCHOB', 3, NULL),
(31075, NULL, 'IPR036909', NULL, 'Cytochrome c-like domain superfamily', 'Cyt_c-like_dom_sf', 5, NULL),
(31076, NULL, 'IPR040719', NULL, 'Domain of unknown function DUF5597', 'DUF5597', 3, NULL),
(31077, NULL, 'IPR041240', NULL, 'Protein of unknown function DUF5541', 'DUF5541', 4, NULL),
(31078, NULL, 'IPR041249', NULL, 'DZIP3-like HEPN domain', 'HEPN_DZIP3', 3, NULL),
(31079, NULL, 'IPR041113', NULL, 'Heliorhodopsin', 'Heliorhodopsin', 4, NULL),
(31080, NULL, 'IPR041142', NULL, 'Nitrous oxide reductase, propeller repeat 2', 'NOS_propeller_2', 7, NULL),
(31081, NULL, 'IPR041182', NULL, 'Leptin receptor, immunoglobulin-like domain', 'LEP-R_IGD', 3, NULL),
(31082, NULL, 'IPR041162', NULL, 'Bacterial HORMA domain 1', 'Bact_HORMA_1', 3, NULL),
(31083, NULL, 'IPR040750', NULL, 'eIF3 subunit M, C-terminal helix domain', 'eIF3m_C_helix', 3, NULL),
(31084, NULL, 'IPR041284', NULL, 'Fungal defensin Copsin', 'Copsin', 3, NULL),
(31085, NULL, 'IPR035472', NULL, 'RpiR-like, SIS domain', 'RpiR-like_SIS', 3, NULL),
(31086, NULL, 'IPR036913', NULL, 'YegP-like superfamily', 'YegP-like_sf', 5, NULL),
(31087, NULL, 'IPR041054', NULL, 'Exosome complex exonuclease Rrp40, N-terminal', 'Rrp40_N', 3, NULL),
(31088, NULL, 'IPR041081', NULL, 'Protein of unknown function DUF5629', 'DUF5629', 4, NULL),
(31089, NULL, 'IPR041118', NULL, 'Rx, N-terminal', 'Rx_N', 3, NULL),
(31090, NULL, 'IPR040799', NULL, 'ComR, tetratricopeptide', 'ComR_TPR', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31091, NULL, 'IPR041209', NULL, 'Vesicle tethering protein p115, armadillo tether-repeat', 'P115_Arm_rpt', 7, NULL),
(31092, NULL, 'IPR041076', NULL, 'Domain of unknown function DUF5614', 'DUF5614', 3, NULL),
(31093, NULL, 'IPR036247', NULL, 'Neurotoxin 3 superfamily', 'Neurotoxin_3_sf', 5, NULL),
(31094, NULL, 'IPR041178', NULL, 'RPA43, OB domain', 'RPA43_OB', 3, NULL),
(31095, NULL, 'IPR041172', NULL, 'Esterase, Ig-like N-terminal', 'EstA_Ig-like_N', 3, NULL),
(31096, NULL, 'IPR041183', NULL, 'Cyclophilin-like', 'Cyclophilin-like', 3, NULL),
(31097, NULL, 'IPR036149', NULL, 'APC, N-terminal coiled-coil domain superfamily', 'APC_N_sf', 5, NULL),
(31098, NULL, 'IPR037805', NULL, 'Leukocyte surface antigen CD47, IgV', 'IgV_CD47', 3, NULL),
(31099, NULL, 'IPR038329', NULL, 'Thymic stromal lymphopoietin superfamily', 'TSLP_sf', 5, NULL),
(31100, NULL, 'IPR040086', NULL, 'Protein MJ0683-like', 'MJ0683-like', 4, NULL),
(31101, NULL, 'IPR041262', NULL, 'Spore germination GerD, central core domain', 'GerD_central', 3, NULL),
(31102, NULL, 'IPR041151', NULL, 'Replication initiator protein A, C-terminal domain', 'Bac_RepA_C', 3, NULL),
(31103, NULL, 'IPR041343', NULL, 'Polycomb repressive complex 2 subunit EZH1/EZH2, tri-helical domain', 'PRC2_HTH_1', 3, NULL),
(31104, NULL, 'IPR041218', NULL, 'Domain of unknown function DUF5606', 'DUF5606', 3, NULL),
(31105, NULL, 'IPR039497', NULL, 'CCDC144C-like, coiled-coil domain', 'CC144C-like_CC_dom', 3, NULL),
(31106, NULL, 'IPR041164', NULL, 'SLOG cluster4', 'LDcluster4', 4, NULL),
(31107, NULL, 'IPR040954', NULL, 'ZAP, zinc finger', 'Znf-CCCH_8', 3, NULL),
(31108, NULL, 'IPR041135', NULL, 'Nucleotide modification associated domain 3', 'Nmad3', 3, NULL),
(31109, NULL, 'IPR039825', NULL, 'VQ motif-containing protein 5/14', 'VQ5/14', 4, NULL),
(31110, NULL, 'IPR041295', NULL, 'MapZ, extracellular domain 1', 'MapZ_EC1', 3, NULL),
(31111, NULL, 'IPR033115', NULL, 'Beta-crystallin B3', 'CRYBB3', 4, NULL),
(31112, NULL, 'IPR041231', NULL, 'FlgA, N-terminal', 'FlgA_N', 3, NULL),
(31113, NULL, 'IPR035572', NULL, 'Tyrosine-protein kinase Tec, SH3 domain', 'Tec_SH3', 3, NULL),
(31114, NULL, 'IPR034119', NULL, 'PQQ-dependent type I alcohol dehydrogenase', 'ADHI', 4, NULL),
(31115, NULL, 'IPR040362', NULL, 'RAB11-binding protein RELCH', 'RELCH', 4, NULL),
(31116, NULL, 'IPR041106', NULL, 'Exoribonuclease Xrn1, D2/D3 domain', 'XRN1_D2_D3', 3, NULL),
(31117, NULL, 'IPR040816', NULL, 'STY4199-like HEPN domain', 'STY4199_HEPN_dom', 3, NULL),
(31118, NULL, 'IPR040906', NULL, 'Protein of unknown function DUF5535', 'DUF5535', 4, NULL),
(31119, NULL, 'IPR035579', NULL, 'Tyrosine-protein kinase TXK, SH3 domain', 'TXK_SH3', 3, NULL),
(31120, NULL, 'IPR040418', NULL, 'Protein crowded nuclei', 'CRWN', 4, NULL),
(31121, NULL, 'IPR033548', NULL, 'CD48 antigen', 'CD48', 4, NULL),
(31122, NULL, 'IPR041361', NULL, 'Nidovirus helicase, RING/Ubox like zinc-binding domain', 'Znf-RING_13', 3, NULL),
(31123, NULL, 'IPR040754', NULL, 'Pre ATP-grasp domain', 'PreAtp-grasp', 3, NULL),
(31124, NULL, 'IPR041169', NULL, 'Alpha helical domain', 'Alpha_helical', 3, NULL),
(31125, NULL, 'IPR041261', NULL, 'ATP-grasp domain, R2K clade family 2', 'R2K_2', 3, NULL),
(31126, NULL, 'IPR041160', NULL, 'SLOG cluster2', 'LD_cluster2', 4, NULL),
(31127, NULL, 'IPR040795', NULL, 'Non-structural protein 2, gammacoronavirus', 'NSP2_gammaCoV', 3, NULL),
(31128, NULL, 'IPR041126', NULL, 'Chlamydial protease/proteasome-like activity factor, PDZ domain', 'CPAF_PDZ', 3, NULL),
(31129, NULL, 'IPR037473', NULL, 'Rubber oxygenase Lcp-like', 'Lcp-like', 4, NULL),
(31130, NULL, 'IPR038884', NULL, 'Cilia- and flagella-associated protein 61', 'CFAP61', 4, NULL),
(31131, NULL, 'IPR041211', NULL, 'Protein of unknown function DUF5565', 'DUF5565', 4, NULL),
(31132, NULL, 'IPR037347', NULL, 'MJ0144, FMN-binding domain', 'MJ0144_FMN', 3, NULL),
(31133, NULL, 'IPR041225', NULL, 'Cas9, topo homolgy domain', 'Cas9_Topo', 3, NULL),
(31134, NULL, 'IPR038325', NULL, 'Interleukin-7 superfamily', 'IL7_sf', 5, NULL),
(31135, NULL, 'IPR040464', NULL, 'Inositol 1,3,4-trisphosphate 5/6-kinase, ATP-grasp domain', 'InsP(3)kin_ATP-grasp', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31136, NULL, 'IPR041223', NULL, 'ApeA, N-terminal domain 1', 'ApeA_NTD1', 3, NULL),
(31137, NULL, 'IPR041107', NULL, 'RimK, PreATP-grasp domain', 'Rimk_N', 3, NULL),
(31138, NULL, 'IPR037351', NULL, 'COMM domain-containing protein 1', 'Murr1', 4, NULL),
(31139, NULL, 'IPR039981', NULL, 'Activator of 90kDa heat shock protein ATPase-like', 'AHSA-like', 4, NULL),
(31140, NULL, 'IPR034947', NULL, 'Regulator of G-protein signalling 2', 'RGS2', 4, NULL),
(31141, NULL, 'IPR035545', NULL, 'Outer membrane lipoprotein virB7', 'VirB7', 4, NULL),
(31142, NULL, 'IPR041245', NULL, 'CARMIL, pleckstrin homology domain', 'CARMIL_PH', 3, NULL),
(31143, NULL, 'IPR037408', NULL, 'HTH-type transcriptional regulator cbl, PBP2 domain', 'Cbl_PBP2', 3, NULL),
(31144, NULL, 'IPR040751', NULL, 'S-layer protein SbsC, C-terminal domain', 'SbsC_C', 3, NULL),
(31145, NULL, 'IPR041075', NULL, 'NOD2, winged helix domain', 'NOD2_WH', 3, NULL),
(31146, NULL, 'IPR041283', NULL, 'Leucine-rich repeat unit', 'LRR_12', 7, NULL),
(31147, NULL, 'IPR041150', NULL, 'Chromodomain helicase DNA-binding domain', 'Cdh1_DBD', 3, NULL),
(31148, NULL, 'IPR040798', NULL, 'Rpn9, C-terminal helix', 'Rpn9_C', 3, NULL),
(31149, NULL, 'IPR041163', NULL, 'Ret, cadherin like domain 1', 'Ret_CLD1', 3, NULL),
(31150, NULL, 'IPR040992', NULL, 'Xrn1, D1 domain', 'XRN1_D1', 3, NULL),
(31151, NULL, 'IPR041056', NULL, 'Protein of unknown function DUF5585', 'DUF5585', 4, NULL),
(31152, NULL, 'IPR040985', NULL, 'Nup54, C-terminal interacting domain', 'Nup54_C', 3, NULL),
(31153, NULL, 'IPR040811', NULL, 'SMODS and SLOG-associating 2TM effector domain', 'SLATT_4', 3, NULL),
(31154, NULL, 'IPR037923', NULL, 'Transcription regulator HTH-like', 'HTH-like', 5, NULL),
(31155, NULL, 'IPR037950', NULL, 'Peptidoglycan deacetylase PgdA-like', 'PgdA-like', 4, NULL),
(31156, NULL, 'IPR041341', NULL, 'PSA endolysin, cell wall binding domain', 'PSA_CBD', 3, NULL),
(31157, NULL, 'IPR040755', NULL, 'Interleukin receptor mimic protein A', 'IrmA', 4, NULL),
(31158, NULL, 'IPR040988', NULL, 'Domain of unknown function DUF5618', 'DUF5618', 3, NULL),
(31159, NULL, 'IPR039822', NULL, 'Protein PLASTID MOVEMENT IMPAIRED 1-RELATED 1', 'PMIR1', 4, NULL),
(31160, NULL, 'IPR039495', NULL, 'TATA box-binding protein-associated factor RNA polymerase I subunit A-like', 'TAF1A-like', 4, NULL),
(31161, NULL, 'IPR041117', NULL, 'SoxA, A3 domain', 'SoxA_A3', 3, NULL),
(31162, NULL, 'IPR041158', NULL, 'Cue1, Ubc7p-binding domain', 'Cue1_U7BR', 3, NULL),
(31163, NULL, 'IPR033746', NULL, 'Glucosylglycerate phosphorylase', 'GGa_phosphorylase', 4, NULL),
(31164, NULL, 'IPR040772', NULL, 'C19orf47, SAM domain', 'C19orf47_SAM', 3, NULL),
(31165, NULL, 'IPR040815', NULL, 'Nas2, N-terminal', 'Nas2_N', 3, NULL),
(31166, NULL, 'IPR041224', NULL, 'Beta-porphyranase A, C-terminal', 'BPA_C', 3, NULL),
(31167, NULL, 'IPR040784', NULL, 'Glycogen debranching enzyme, C-terminal domain', 'GlgX_C', 3, NULL),
(31168, NULL, 'IPR038305', NULL, 'HeLo domain superfamily', 'HeLo_sf', 5, NULL),
(31169, NULL, 'IPR041055', NULL, 'Serine/Threonine/Tyrosine Kinase found in polyvalent protein', 'Kinase-PolyVal', 4, NULL),
(31170, NULL, 'IPR038328', NULL, 'Interleukin-34 superfamily', 'IL-34_sf', 5, NULL),
(31171, NULL, 'IPR040356', NULL, 'SPEAR family', 'SPEAR', 4, NULL),
(31172, NULL, 'IPR035811', NULL, 'Netrin-4, NTR domain', 'Netrin-4_NTR', 3, NULL),
(31173, NULL, 'IPR041149', NULL, 'Extracellular cadherin domain', 'EC_dom', 3, NULL),
(31174, NULL, 'IPR040787', NULL, 'Cas12a, REC1 domain', 'Cas12a_REC1', 3, NULL),
(31175, NULL, 'IPR033525', NULL, 'Aminopeptidase RNPEPL1', 'RNPEPL1', 4, NULL),
(31176, NULL, 'IPR038940', NULL, 'Noncompact myelin-associated protein', 'NCMAP', 4, NULL),
(31177, NULL, 'IPR041052', NULL, 'Proprotein convertase subtilisin/kexin type 9, C-terminal domain 2', 'PCSK9_C2', 3, NULL),
(31178, NULL, 'IPR033300', NULL, 'Caveolae-associated protein 3', 'CAVIN3', 4, NULL),
(31179, NULL, 'IPR037348', NULL, 'Trimethylamine dehydrogenase/Dimethylamine dehydrogenase, FMN-binding domain', 'TMADH/HD_FMN-bd', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31180, NULL, 'IPR041147', NULL, 'Glycosyl hydrolases family 38, C-terminal beta sandwich domain', 'GH38_C', 3, NULL),
(31181, NULL, 'IPR041146', NULL, 'IFT81, calponin homology domain', 'IFT81_CH', 3, NULL),
(31182, NULL, 'IPR041327', NULL, 'TIR- and PNP-associating SLOG family', 'TPALS', 4, NULL),
(31183, NULL, 'IPR037472', NULL, 'Methyl-CpG-binding domain-containing protein 8', 'MBD8', 4, NULL),
(31184, NULL, 'IPR041323', NULL, 'HEPN-like integron domain', 'HEPN-like_int', 3, NULL),
(31185, NULL, 'IPR038314', NULL, 'T6SS superfamily', 'T6SS_sf', 5, NULL),
(31186, NULL, 'IPR038315', NULL, 'FLiS export co-chaperone, HP1076 superfamily', 'FliS_cochap_sf', 5, NULL),
(31187, NULL, 'IPR041313', NULL, 'Domain of unknown function DUF5642', 'DUF5642', 3, NULL),
(31188, NULL, 'IPR040953', NULL, 'Domain of unknown function DUF5594', 'DUF5594', 3, NULL),
(31189, NULL, 'IPR041161', NULL, 'Tenascin, EGF-like domain', 'EGF_Tenascin', 3, NULL),
(31190, NULL, 'IPR039982', NULL, 'Ribosomal protein S30, mitochondrial', 'MRPS30', 4, NULL),
(31191, NULL, 'IPR034869', NULL, 'EWS, RNA recognition motif', 'EWS_RRM', 3, NULL),
(31192, NULL, 'IPR041066', NULL, 'C19orf38, Ig domain', 'C19orf38_Ig', 3, NULL),
(31193, NULL, 'IPR036154', NULL, 'Tp47, N-terminal domain superfamily', 'Tp47_N_sf', 5, NULL),
(31194, NULL, 'IPR038331', NULL, 'DisA, linker domain superfamily', 'DisA_sf', 5, NULL),
(31195, NULL, 'IPR036908', NULL, 'RlpA-like domain superfamily', 'RlpA-like_sf', 5, NULL),
(31196, NULL, 'IPR038316', NULL, 'DUF5062 superfamily', 'DUF5062_sf', 5, NULL),
(31197, NULL, 'IPR040773', NULL, '26S proteasome regulatory subunit Rpn6, N-terminal', 'Rpn6_N', 3, NULL),
(31198, NULL, 'IPR041137', NULL, 'Zinc transporter ZIP4, N-terminal', 'ZIP4_N', 3, NULL),
(31199, NULL, 'IPR035810', NULL, 'Phosphatidylethanolamine-binding protein, eukaryotic', 'PEBP_euk', 4, NULL),
(31200, NULL, 'IPR041093', NULL, 'DIS3-like exonuclease 2, C-terminal', 'Dis3l2_C', 3, NULL),
(31201, NULL, 'IPR041230', NULL, 'FbpC, C-terminal regulatory nucleotide binding domain', 'FbpC_C', 3, NULL),
(31202, NULL, 'IPR039979', NULL, 'Pre-mRNA-splicing factor 18', 'PRPF18', 4, NULL),
(31203, NULL, 'IPR034216', NULL, 'C5a peptidase-like domain', 'C5a_Peptidase', 3, NULL),
(31204, NULL, 'IPR040461', NULL, 'Homologous-pairing protein 2', 'Hop2', 4, NULL),
(31205, NULL, 'IPR036257', NULL, 'Cytochrome C oxidase subunit II, transmembrane domain superfamily', 'Cyt_c_oxidase_su2_TM_sf', 5, NULL),
(31206, NULL, 'IPR033538', NULL, 'Caspase recruitment domain-containing protein 11', 'CARD11', 4, NULL),
(31207, NULL, 'IPR041114', NULL, 'Nitrous oxide reductase, propeller repeat 1', 'Nos_propeller', 7, NULL),
(31208, NULL, 'IPR040802', NULL, 'Peptidoglycan GlcNAc deacetylase, N-terminal', 'PgdA_N', 3, NULL),
(31209, NULL, 'IPR041166', NULL, 'LapB,  rubredoxin metal binding domain', 'Rubredoxin_2', 3, NULL),
(31210, NULL, 'IPR041127', NULL, 'Chlorophyllase enzyme', 'Chlorophyllase2', 4, NULL),
(31211, NULL, 'IPR039494', NULL, 'Factor VIII intron 22 protein', 'F8A', 4, NULL),
(31212, NULL, 'IPR033298', NULL, 'Caveolae-associated protein 2', 'Cavin2', 4, NULL),
(31213, NULL, 'IPR033107', NULL, 'Eukaryotic translation initiation factor 4B', 'EIF-4B', 4, NULL),
(31214, NULL, 'IPR037228', NULL, 'PhtA domain superfamily', 'PhtA_dom_sf', 5, NULL),
(31215, NULL, 'IPR041306', NULL, 'NSD, Cys-His rich domain', 'C5HCH', 3, NULL),
(31216, NULL, 'IPR040908', NULL, 'Hydroquinone 1,2-dioxygenase large subunit, N-terminal', 'PnpCD_PnpD_N', 3, NULL),
(31217, NULL, 'IPR041235', NULL, 'Exportin-1, repeat 2', 'Exp1_repeat_2', 7, NULL),
(31218, NULL, 'IPR039144', NULL, 'Aveugle-like, SAM domain', 'Aveugle-like_SAM_dom', 3, NULL),
(31219, NULL, 'IPR033467', NULL, 'Tesmin/TSO1-like CXC domain', 'Tesmin/TSO1-like_CXC', 3, NULL),
(31220, NULL, 'IPR036910', NULL, 'High mobility group box domain superfamily', 'HMG_box_dom_sf', 5, NULL),
(31221, NULL, 'IPR041057', NULL, 'ZHX, C2H2 finger domain', 'ZHX_Znf_C2H2', 3, NULL),
(31222, NULL, 'IPR041111', NULL, 'Pullulanase, Ins domain', 'Pullulanase_Ins', 3, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31223, NULL, 'IPR035832', NULL, 'Jouberin, SH3 domain', 'AHI1_SH3', 3, NULL),
(31224, NULL, 'IPR041080', NULL, 'YcaO cyclodehydratase, C-terminal', 'YcaO_C', 3, NULL),
(31225, NULL, 'IPR040753', NULL, 'Domain of unknown function DUF5620', 'DUF5620', 3, NULL),
(31226, NULL, 'IPR038321', NULL, 'TmcA, C-terminal domain superfamily', 'TmcA_C_sf', 5, NULL),
(31227, NULL, 'IPR033674', NULL, 'Thioredoxin/glutathione peroxidase BtuE', 'BtuE', 4, NULL),
(31228, NULL, 'IPR041286', NULL, 'MBG domain, YGX type', 'MBG_2', 3, NULL),
(31229, NULL, 'IPR039496', NULL, 'CCDC92/74, coiled-coil domain', 'CCDC92/74_CC_dom', 3, NULL),
(31230, NULL, 'IPR041198', NULL, 'N-terminal extension of GAT domain', 'GGA_N-GAT', 3, NULL),
(31231, NULL, 'IPR041293', NULL, 'Serine-tRNA ligase type 2, tRNA-binding domain', 'SerS_tRNA-bd', 3, NULL),
(31232, NULL, 'IPR033333', NULL, 'Fanconi anemia group B protein', 'FANCB', 4, NULL),
(31233, NULL, 'IPR040955', NULL, 'Immune mapped protein 2, N-terminal', 'IMP2_N', 3, NULL),
(31234, NULL, 'IPR039490', NULL, 'Transmembrane protein 207', 'TMEM207', 4, NULL),
(31235, NULL, 'IPR038326', NULL, 'Interferon lambda superfamily', 'IFN-lambda_sf', 5, NULL),
(31236, NULL, 'IPR039834', NULL, 'VQ motif-containing protein 17/25', 'VQ17/VQ25', 4, NULL),
(31237, NULL, 'IPR037410', NULL, 'HTH-type transcriptional regulator BudR, PBP2 domain', 'BudR_PBP2', 3, NULL),
(31238, NULL, 'IPR039831', NULL, 'VQ motif-containing protein 22', 'VQ22', 4, NULL),
(31239, NULL, 'IPR040934', NULL, 'Mit1, C-terminal Zn finger 2', 'Znf-CCCH_6', 3, NULL),
(31240, NULL, 'IPR041091', NULL, 'RPGRIP1, C-terminal', 'RPGRIP1_C', 3, NULL),
(31241, NULL, 'IPR037357', NULL, 'COMM domain-containing protein 5', 'COMMD5', 4, NULL),
(31242, NULL, 'IPR033299', NULL, 'Caveolae-associated protein 4', 'Cavin4', 4, NULL),
(31243, NULL, 'IPR041128', NULL, 'Arginine decarboxylase, C-terminal helical', 'Arg_decarbox_C', 3, NULL),
(31244, NULL, 'IPR033761', NULL, 'Negative modulator of initiation of replication SeqA, N-terminal', 'SeqA_N', 3, NULL),
(31245, NULL, 'IPR041170', NULL, 'RING/Ubox-like zinc-binding domain', 'Znf-RING_14', 3, NULL),
(31246, NULL, 'IPR041053', NULL, 'Replicase polyprotein 1ab', 'Rep_1B', 3, NULL),
(31247, NULL, 'IPR041303', NULL, 'Phage spike trimer 2', 'Phage_spike_2', 7, NULL),
(31248, NULL, 'IPR041366', NULL, 'Pre-PUA domain', 'Pre-PUA', 3, NULL),
(31249, NULL, 'IPR040987', NULL, 'TraI, N-terminal subdomain', 'TraI_N', 3, NULL),
(31250, NULL, 'IPR041216', NULL, 'Yeast SAGA-associated factor 11, N-terminal domain', 'Sgf11_N', 3, NULL),
(31251, NULL, 'IPR037355', NULL, 'COMM domain-containing protein 3', 'COMMD3', 4, NULL),
(31252, NULL, 'IPR035464', NULL, 'AgaS, SIS domain', 'SIS_AgaS', 3, NULL),
(31253, NULL, 'IPR041364', NULL, 'Rubredoxin binding domain', 'Rbx-bd', 3, NULL),
(31254, NULL, 'IPR041157', NULL, 'Up-regulated in Daf-2', 'PUD1/2', 3, NULL),
(31255, NULL, 'IPR038306', NULL, 'CagS superfamily', 'CagS_sf', 5, NULL),
(31256, NULL, 'IPR038308', NULL, 'RFXAP, C-terminal domain superfamily', 'RFXAP_C_sf', 5, NULL),
(31257, NULL, 'IPR034826', NULL, 'Peroxidasin PXN-1, nematoda', 'Peroxidasin_PXN-1_nema', 4, NULL),
(31258, NULL, 'IPR040233', NULL, 'CCD97-like, C-terminal', 'CCD97-like_C', 3, NULL),
(31259, NULL, 'IPR037350', NULL, 'Lactate 2-monooxygenase, FMN-binding domain', 'LMO_FMN', 3, NULL),
(31260, NULL, 'IPR041185', NULL, 'IKBKB, scaffold dimerization domain', 'IKBKB_SDD', 3, NULL),
(31261, NULL, 'IPR041121', NULL, 'SDH, C-terminal', 'SDH_C', 3, NULL),
(31262, NULL, 'IPR033650', NULL, 'Mitochondrial ribosomal protein L46 NUDIX', 'MRP_L46_NUDIX', 3, NULL),
(31263, NULL, 'IPR041210', NULL, 'NLRC5, atypical caspase recruitment domain', 'NLRC5_atypical_Card', 3, NULL),
(31264, NULL, 'IPR041237', NULL, 'Adhesin BspA, variable domain', 'BspA_v', 3, NULL),
(31265, NULL, 'IPR040769', NULL, 'Phosphoinositide phosphatase insertion domain', 'PI_PP_I', 3, NULL),
(31266, NULL, 'IPR041084', NULL, 'Nicastrin, small lobe', 'Ncstrn_small', 3, NULL),
(31267, NULL, 'IPR041282', NULL, 'FYVE-type zinc finger', 'FYVE_2', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31268, NULL, 'IPR041153', NULL, 'Yeast longin domain', 'Longin_2', 3, NULL),
(31269, NULL, 'IPR040416', NULL, 'Transmembrane protein 181', 'TMEM181', 4, NULL),
(31270, NULL, 'IPR041156', NULL, 'Protein of unknown function DUF5533', 'DUF5533', 4, NULL),
(31271, NULL, 'IPR041175', NULL, 'VLRF1/Vms1', 'VLRF1/Vms1', 3, NULL),
(31272, NULL, 'IPR041167', NULL, 'SAVED-fused 2TM effector domain', 'Saf_2TM', 3, NULL),
(31273, NULL, 'IPR036396', NULL, 'Cytochrome P450 superfamily', 'Cyt_P450_sf', 5, NULL),
(31274, NULL, 'IPR041071', NULL, 'DAHP synthase ferredoxin-like domain', 'DAHP_snth_FXD', 3, NULL),
(31275, NULL, 'IPR041123', NULL, 'Chromosome region maintenance repeat', 'CRM1_repeat', 7, NULL),
(31276, NULL, 'IPR038318', NULL, 'KdpD, transmembrane domain superfamily', 'KdpD_sf', 5, NULL),
(31277, NULL, 'IPR041069', NULL, 'FeoB, cytosolic helical domain', 'FeoB_Cyto', 3, NULL),
(31278, NULL, 'IPR037908', NULL, 'Cytochrome b5 reductase 4, p23 domain', 'p23_NCB5OR', 3, NULL),
(31279, NULL, 'IPR037532', NULL, 'Peptidoglycan D,D-transpeptidase FtsI', 'FtsI_transpept', 4, NULL),
(31280, NULL, 'IPR041241', NULL, 'Thymine dioxygenase JBP1, DNA-binding domain', 'DB_JBP1', 3, NULL),
(31281, NULL, 'IPR034004', NULL, 'Pol I subunit A12, C-terminal zinc ribbon', 'Zn_ribbon_RPA12_C', 3, NULL),
(31282, NULL, 'IPR034926', NULL, 'Three prime repair exonuclease 2', 'TREX2', 4, NULL),
(31283, NULL, 'IPR033222', NULL, 'PLAC1 family', 'PLAC1_fam', 4, NULL),
(31284, NULL, 'IPR039802', NULL, 'Myotubularin-related protein 14', 'MTMR14', 4, NULL),
(31285, NULL, 'IPR033990', NULL, 'Collectin, C-type lectin-like domain', 'Collectin_CTLD', 3, NULL),
(31286, NULL, 'IPR040933', NULL, 'Photosystem II Psb31 protein', 'PSII_Pbs31', 3, NULL),
(31287, NULL, 'IPR041274', NULL, 'Isopullulanase beta-solenoid repeat', 'IPU_b_solenoid', 7, NULL),
(31288, NULL, 'IPR038029', NULL, 'GbiG N-terminal domain superfamily', 'GbiG_N_sf', 5, NULL),
(31289, NULL, 'IPR041095', NULL, 'Elongation Factor G, domain II', 'EFG_II', 3, NULL),
(31290, NULL, 'IPR039129', NULL, 'Growth hormone secretagogue receptor', '7tmA_GHSR', 4, NULL),
(31291, NULL, 'IPR041173', NULL, 'L-lysine epsilon oxidase, C-terminal', 'LodA_C', 3, NULL),
(31292, NULL, 'IPR041189', NULL, 'Transcription factor IIB, C-terminal module 1', 'TFIIB_C_1', 3, NULL),
(31293, NULL, 'IPR035484', NULL, 'Bifunctional phosphoglucose/phosphomannose isomerase, SIS domain 1', 'SIS_PGI/PMI_1', 3, NULL),
(31294, NULL, 'IPR040909', NULL, 'E3 ubiquitin-protein ligase CHFR, cysteine rich domain with multizinc binding', 'CHFR_Znf-CRD', 3, NULL),
(31295, NULL, 'IPR040905', NULL, 'Single-stranded DNA-binding protein, Pseudomonas', 'SS_DBP_Pseudomonas', 4, NULL),
(31296, NULL, 'IPR035706', NULL, 'Dynein heavy chain, ATP-binding dynein motor region', 'AAA_9', 3, NULL),
(31297, NULL, 'IPR033764', NULL, 'SD-repeat containing protein, B domain', 'Sdr_B', 3, NULL),
(31298, NULL, 'IPR041067', NULL, 'Vanadium chloroperoxidase, N-terminal', 'VCPO_N', 3, NULL),
(31299, NULL, 'IPR041125', NULL, '4-hydroxyphenylacetate decarboxylase small gamma subunit, N-terminal', '4HPAD_g_N', 3, NULL),
(31300, NULL, 'IPR036057', NULL, 'Class XV myosin, motor domain', 'MYSc_Myo15', 3, NULL),
(31301, NULL, 'IPR034922', NULL, 'RNA exonuclease 1-like, exonuclease domain', 'REX1-like_exo', 3, NULL),
(31302, NULL, 'IPR035546', NULL, 'Neutrophil cytosol factor 2, SH3 domain 1', 'p67phox_SH3_1', 3, NULL),
(31303, NULL, 'IPR033011', NULL, 'Protogenin', 'Protogenin', 4, NULL),
(31304, NULL, 'IPR039824', NULL, 'VQ motif-containing protein 9', 'VQ9', 4, NULL),
(31305, NULL, 'IPR037229', NULL, 'Ribosomal protein L35 superfamily', 'Ribosomal_L35_sf', 5, NULL),
(31306, NULL, 'IPR040465', NULL, 'CtsR, N-terminal HTH domain', 'CtsR_N', 3, NULL),
(31307, NULL, 'IPR038311', NULL, 'Herpesvirus glycoprotein L, N-terminal domain superfamily', 'Herpes_gL_N_sf', 5, NULL),
(31308, NULL, 'IPR033112', NULL, 'Phospholipase A2, aspartic acid active site', 'PLipase_A2_Asp_AS', 0, NULL),
(31309, NULL, 'IPR041197', NULL, 'SLOG cluster3 family', 'LD_cluster3', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31310, NULL, 'IPR041122', NULL, 'RecJ, OB domain', 'RecJ_OB', 3, NULL),
(31311, NULL, 'IPR035617', NULL, 'RBM6, OCRE domain', 'RBM6_OCRE', 3, NULL),
(31312, NULL, 'IPR040936', NULL, 'Large polyvalent protein associated domain 26', 'LPD26', 3, NULL),
(31313, NULL, 'IPR041253', NULL, 'Carbohydrate binding module 77', 'CBM77', 3, NULL),
(31314, NULL, 'IPR041177', NULL, 'Holliday junction resolvase Gen1, C-terminal domain', 'GEN1_C', 3, NULL),
(31315, NULL, 'IPR041195', NULL, 'Rnh202, triple barrel domain', 'Rnh202_N', 3, NULL),
(31316, NULL, 'IPR040774', NULL, 'Protein of unknown function DUF5580', 'DUF5580', 4, NULL),
(31317, NULL, 'IPR039084', NULL, 'cAMP-dependent protein kinase catalytic subunit gamma', 'PKA_C-gamma', 4, NULL),
(31318, NULL, 'IPR036253', NULL, 'Flavivirus glycoprotein, central and dimerisation domain superfamily', 'Glycoprot_cen/dimer_sf', 5, NULL),
(31319, NULL, 'IPR041077', NULL, 'MALT1 immunoglobulin-like domain', 'MALT1_Ig', 3, NULL),
(31320, NULL, 'IPR036912', NULL, 'Haem-binding HasA superfamily', 'HasA_haem-bd_sf', 5, NULL),
(31321, NULL, 'IPR033745', NULL, 'Mitochondria fission protein Fis1, cytosolic domain', 'Fis1_cytosol', 3, NULL),
(31322, NULL, 'IPR033885', NULL, 'Alkane/xylene monooxygenase', 'AlkB/XylM', 4, NULL),
(31323, NULL, 'IPR035482', NULL, 'Phosphoglucose isomerase, SIS domain 2', 'SIS_PGI_2', 3, NULL),
(31324, NULL, 'IPR040414', NULL, 'PAM2-containing protein CID1/CID2', 'CID1/CID2', 4, NULL),
(31325, NULL, 'IPR033242', NULL, 'Protein phosphatase 1 regulatory subunit 17', 'PPP1R17', 4, NULL),
(31326, NULL, 'IPR033759', NULL, 'Systemic RNA interference defective protein 5', 'Sid-5', 4, NULL),
(31327, NULL, 'IPR034870', NULL, 'TAF15/EWS/TLS family', 'TET_fam', 4, NULL),
(31328, NULL, 'IPR041144', NULL, 'Stomatal closure-related actin-binding protein, PH domain', 'SCAB-PH', 3, NULL),
(31329, NULL, 'IPR041244', NULL, 'Ribosomal L27 protein, C-terminal', 'Ribosomal_L27_C', 3, NULL),
(31330, NULL, 'IPR036394', NULL, 'Ribosomal protein L22/L17 superfamily', 'Ribosomal_L22/L17_sf', 5, NULL),
(31331, NULL, 'IPR035616', NULL, 'MvaT, DNA-binding domain', 'MvaT_DBD', 3, NULL),
(31332, NULL, 'IPR041060', NULL, 'RNA editing 3'' terminal uridylyl transferase 2 middle domain', 'Ret2_MD', 3, NULL),
(31333, NULL, 'IPR033573', NULL, 'Glycogen synthase kinase-3 beta', 'GSK3B', 4, NULL),
(31334, NULL, 'IPR041061', NULL, 'Dictyosteliid AID/APOBEC-like deaminase', 'DAAD', 4, NULL),
(31335, NULL, 'IPR037778', NULL, 'Protein kinase C-like, C2 domain', 'C2_fungal_PKC', 3, NULL),
(31336, NULL, 'IPR040990', NULL, 'Domain of unknown function DUF5600', 'DUF5600', 3, NULL),
(31337, NULL, 'IPR039491', NULL, 'Required for excision 1-B domain-containing protein', 'REX1-B', 4, NULL),
(31338, NULL, 'IPR033220', NULL, 'Placenta-specific protein 1', 'PLAC1', 4, NULL),
(31339, NULL, 'IPR041140', NULL, 'Defence against restriction A, N-terminal', 'DarA_N', 3, NULL),
(31340, NULL, 'IPR038320', NULL, 'KinB, N-terminal domain superfamily', 'KinB_N_sf', 5, NULL),
(31341, NULL, 'IPR041129', NULL, 'CdiI immunity protein', 'CdiI_2', 3, NULL),
(31342, NULL, 'IPR035618', NULL, 'RBM10, OCRE domain', 'RBM10_OCRE', 3, NULL),
(31343, NULL, 'IPR041145', NULL, 'Domain of unknown function DUF5619', 'DUF5619', 3, NULL),
(31344, NULL, 'IPR040084', NULL, 'GTPase Obg', 'GTPase_Obg', 4, NULL),
(31345, NULL, 'IPR037354', NULL, 'COMM domain-containing protein 2', 'Commd2', 4, NULL),
(31346, NULL, 'IPR041292', NULL, 'Histone methyltransferase, Tudor domain 2', 'Tudor_4', 3, NULL),
(31347, NULL, 'IPR041180', NULL, 'Nucleotide modification associated domain 2', 'Nmad2', 3, NULL),
(31348, NULL, 'IPR040771', NULL, 'Thiolase-like protein type 1, additional C-terminal domain', 'TLP1_add_C', 3, NULL),
(31349, NULL, 'IPR041078', NULL, 'Plavaka transposase', 'Plavaka', 4, NULL),
(31350, NULL, 'IPR038323', NULL, 'Putative aromatic acid exporter, C-terminal domain superfamily', 'ArAE_1_C_sf', 5, NULL),
(31351, NULL, 'IPR035474', NULL, 'KpsF-like, SIS domain', 'SIS_Kpsf', 3, NULL),
(31352, NULL, 'IPR041278', NULL, 'Chitinase W immunoglobulin-like domain', 'ChiW_Ig-like', 3, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31353, NULL, 'IPR041105', NULL, 'TAR DNA-binding protein 43, N-terminal', 'TDP43_N', 3, NULL),
(31354, NULL, 'IPR041154', NULL, 'Archaeal glycosylation protein B, peripheral domain', 'AglB_P1', 3, NULL),
(31355, NULL, 'IPR040986', NULL, 'Sulfhydryl oxidase, flavin adenine dinucleotide (FAD) binding domain', 'QSOX_FAD-bd_dom', 3, NULL),
(31356, NULL, 'IPR041058', NULL, 'Alpha-(1,3)-fucosyltransferase FucT, N-terminal', 'FucT_N', 3, NULL),
(31357, NULL, 'IPR034213', NULL, 'Vpr-like peptidase,  catalytic domain', 'S8_Vpr-like', 3, NULL),
(31358, NULL, 'IPR040793', NULL, 'CDH1/2, SANT-Helical linker 1', 'CDH1_2_SANT_HL1', 3, NULL),
(31359, NULL, 'IPR041064', NULL, 'Trehalose-6-phosphate phosphatase, helical bundle domain', 'T6PP_helical', 3, NULL),
(31360, NULL, 'IPR041208', NULL, 'SMODS-associating 2TM, beta-strand rich effector domain', 'S_2TMBeta', 3, NULL),
(31361, NULL, 'IPR040087', NULL, 'Protein MJ0021-like', 'MJ0021-like', 4, NULL),
(31362, NULL, 'IPR040814', NULL, 'Activity-regulated cytoskeleton-associated protein, C-terminal domain', 'Arc_C', 3, NULL),
(31363, NULL, 'IPR040785', NULL, 'Immune Mapped Protein 1-like, C-terminal domain', 'IMP1-like_C', 3, NULL),
(31364, NULL, 'IPR040805', NULL, 'EMP3/KAHRP, N-terminal', 'EMP3/KAHRP_N', 3, NULL),
(31365, NULL, 'IPR041252', NULL, 'RL domain', 'RL', 3, NULL),
(31366, NULL, 'IPR034118', NULL, 'Protein S100-A6', 'S-100A6', 4, NULL),
(31367, NULL, 'IPR035869', NULL, 'Ras and Rab interactor 3, SH2 domain', 'RIN3_SH2', 3, NULL),
(31368, NULL, 'IPR041213', NULL, 'Nitrosopumilus output domain 1', 'NitrOD1', 3, NULL),
(31369, NULL, 'IPR036623', NULL, 'Hemimethylated DNA-binding domain superfamily', 'Hemimethylated_DNA-bd_sf', 5, NULL),
(31370, NULL, 'IPR036153', NULL, 'Erythrocruorin linker subunit, C-terminal superfamily', 'Eryth_link_C_sf', 5, NULL),
(31371, NULL, 'IPR041074', NULL, 'Endo-beta-N-acetylglucosaminidase LytB, WW domain', 'LytB_WW', 3, NULL),
(31372, NULL, 'IPR041280', NULL, 'Bacterial Ig domain, transpeptidase-associated', 'Big_10', 3, NULL),
(31373, NULL, 'IPR041082', NULL, 'Suv3, C-terminal domain 1', 'Suv3_C_1', 3, NULL),
(31374, NULL, 'IPR038312', NULL, 'DUF5063 superfamily', 'DUF5063_sf', 5, NULL),
(31375, NULL, 'IPR041119', NULL, 'SMODS and SLOG-associating 2TM effector domain 6', 'SLATT_6', 3, NULL),
(31376, NULL, 'IPR040809', NULL, 'Large polyvalent protein associated domain 28', 'LPD28', 3, NULL),
(31377, NULL, 'IPR041222', NULL, 'Primosomal protein N'', 3'' DNA-binding domain', 'PriA_3primeBD', 3, NULL),
(31378, NULL, 'IPR041297', NULL, 'DNA repair protein Crb2, Tudor domain', 'Crb2_Tudor', 3, NULL),
(31379, NULL, 'IPR041124', NULL, 'Sensor histidine kinase (AbfS), sensor domain', 'AbfS_sensor', 3, NULL),
(31380, NULL, 'IPR033667', NULL, 'Nucleoside permease NupG', 'NupG', 4, NULL),
(31381, NULL, 'IPR040957', NULL, 'Anosmin-1, cysteine rich domain', 'Anosmin-1_Cys_box', 3, NULL),
(31382, NULL, 'IPR036248', NULL, 'Clostridium neurotoxin, translocation domain', 'Clostridium_toxin_transloc', 5, NULL),
(31383, NULL, 'IPR038738', NULL, 'Nedd8-like ubiquitin', 'Nedd8-like', 3, NULL),
(31384, NULL, 'IPR033858', NULL, '26S Proteasome non-ATPase regulatory subunit 7/8', 'MPN_RPN7_8', 4, NULL),
(31385, NULL, 'IPR039141', NULL, 'Triggering receptor expressed on myeloid cells 1', 'TREM1', 4, NULL),
(31386, NULL, 'IPR039493', NULL, 'TMEM248/TMEM219', 'TMEM248/TMEM219', 4, NULL),
(31387, NULL, 'IPR041356', NULL, 'PGM1 C-terminal domain', 'PGM1_C', 3, NULL),
(31388, NULL, 'IPR041215', NULL, 'FlgO domain', 'FlgO_dom', 3, NULL),
(31389, NULL, 'IPR041051', NULL, 'Proprotein convertase subtilisin/kexin type 9, C-terminal domain 3', 'PCSK9_C3', 3, NULL),
(31390, NULL, 'IPR040770', NULL, 'Rtt106, pleckstrin homology domain', 'Rtt106_PH', 3, NULL),
(31391, NULL, 'IPR040962', NULL, 'Tetratricopeptide-like repeat', 'TPR_22', 7, NULL),
(31392, NULL, 'IPR041152', NULL, 'Oligosaccharyltransferase, peripheral 2 domain', 'OST_P2', 3, NULL),
(31393, NULL, 'IPR039827', NULL, 'VQ motif-containing protein 4/13', 'VQ4/VQ13', 4, NULL),
(31394, NULL, 'IPR041190', NULL, 'Midasin AAA lid domain 5', 'Midasin_AAA_lid_5', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31395, NULL, 'IPR033547', NULL, 'Serpin H1', 'SERPINH1', 4, NULL),
(31396, NULL, 'IPR039348', NULL, 'Interleukin-1 receptor antagonist', 'IL1RA', 4, NULL),
(31397, NULL, 'IPR040821', NULL, 'Testis-specific protein LINC02914-like', 'LINC02914-like', 4, NULL),
(31398, NULL, 'IPR041207', NULL, 'NEDD8 ultimate buster 1, ubiquitin-like domain', 'NUB1_ubiquitin-like_dom', 3, NULL),
(31399, NULL, 'IPR041375', NULL, 'VapC45, PIN like domain', 'VapC45_PIN-like', 3, NULL),
(31400, NULL, 'IPR036915', NULL, 'Cyclin-like superfamily', 'Cyclin-like_sf', 5, NULL),
(31401, NULL, 'IPR041070', NULL, 'Jumonji, helical domain', 'JHD', 3, NULL),
(31402, NULL, 'IPR041302', NULL, 'Ribonuclease inhibitor, leucine rich repeat cap', 'LRR_RI_cap', 7, NULL),
(31403, NULL, 'IPR037801', NULL, 'ARHGEF12, PH domain', 'ARHGEF12_PH', 3, NULL),
(31404, NULL, 'IPR041168', NULL, 'L-Lysine epsilon oxidase, N-terminal', 'LodA_N', 3, NULL),
(31405, NULL, 'IPR041072', NULL, 'Fumarylacetoacetase N-terminal domain', 'FAA_hydro_N', 3, NULL),
(31406, NULL, 'IPR038317', NULL, 'Pf1176-like superfamily', 'Pf1176-like_sf', 5, NULL),
(31407, NULL, 'IPR041098', NULL, 'Rv2175c, C-terminal', 'Rv2175c_C', 3, NULL),
(31408, NULL, 'IPR040935', NULL, 'Subtilisin-like protease 2, prodomain', 'Pro_sub2', 3, NULL),
(31409, NULL, 'IPR034920', NULL, 'RNA exonuclease 4', 'Rex4', 4, NULL),
(31410, NULL, 'IPR035461', NULL, 'GmhA/DiaA', 'GmhA/DiaA', 4, NULL),
(31411, NULL, 'IPR041085', NULL, 'tRNA selenocysteine 1-associated protein 1, C-terminal', 'TSAP1_C', 3, NULL),
(31412, NULL, 'IPR040789', NULL, 'Large polyvalent protein-associated domain 11', 'LPD11', 3, NULL),
(31413, NULL, 'IPR041115', NULL, 'SMODS and SLOG-associating 2TM effector domain 5', 'SLATT_5', 3, NULL),
(31414, NULL, 'IPR037226', NULL, 'CAC2185-like superfamily', 'CAC2185-like_sf', 5, NULL),
(31415, NULL, 'IPR040904', NULL, 'Protein of unknown function DUF5557', 'DUF5557', 4, NULL),
(31416, NULL, 'IPR038322', NULL, 'Pex19, C-terminal domain superfamily', 'Pex19_C_sf', 5, NULL),
(31417, NULL, 'IPR035708', NULL, 'Complement C1s subcomponent', 'Complement_C1s_subcomponent', 4, NULL),
(31418, NULL, 'IPR040790', NULL, 'Kindlin-2, N-terminal', 'Kindlin_2_N', 3, NULL),
(31419, NULL, 'IPR040234', NULL, 'Glutaminyl-peptide cyclotransferase-like', 'QC/QCL', 4, NULL),
(31420, NULL, 'IPR040818', NULL, 'Tsi6', 'Tsi6', 3, NULL),
(31421, NULL, 'IPR039498', NULL, 'Uncharacterised nucleotidyltransferase', 'NTP_transf_5', 4, NULL),
(31422, NULL, 'IPR041276', NULL, 'Vacuolar ATPase subunit I, N-terminal proximal lobe', 'V_ATPase_prox', 3, NULL),
(31423, NULL, 'IPR041073', NULL, 'MobL relaxases', 'MobL', 4, NULL),
(31424, NULL, 'IPR036911', NULL, 'Beta-catenin-interacting ICAT superfamily', 'ICAT_sf', 5, NULL),
(31425, NULL, 'IPR037358', NULL, 'COMM domain-containing protein 7', 'COMMD7', 4, NULL),
(31426, NULL, 'IPR041102', NULL, 'UvrA, interaction domain', 'UvrA_inter', 3, NULL),
(31427, NULL, 'IPR037227', NULL, 'Endoribonuclease EndoU-like', 'EndoU-like', 5, NULL),
(31428, NULL, 'IPR041254', NULL, 'Proprotein convertase subtilisin/kexin type 9, C-terminal', 'PCSK9_C', 3, NULL),
(31429, NULL, 'IPR041301', NULL, 'Phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease 3', 'PBECR3', 3, NULL),
(31430, NULL, 'IPR038330', NULL, 'TspO/MBR-related superfamily', 'TspO/MBR-related_sf', 5, NULL),
(31431, NULL, 'IPR041171', NULL, 'SDR-like Ig domain', 'SDR_Ig', 3, NULL),
(31432, NULL, 'IPR041155', NULL, 'FERM F1 lobe ubiquitin-like domain', 'FERM_F1', 3, NULL),
(31433, NULL, 'IPR040907', NULL, 'IL-3 receptor alpha chain, N-terminal', 'IL3Ra_N', 3, NULL),
(31434, NULL, 'IPR037783', NULL, 'Transcription initiation factor TFIID subunit 5', 'Taf5', 4, NULL),
(31435, NULL, 'IPR033669', NULL, 'Fused isobutyryl-CoA mutase', 'IcmF', 4, NULL),
(31436, NULL, 'IPR041120', NULL, 'VapC9 PIN-like domain', 'PIN_9', 3, NULL),
(31437, NULL, 'IPR040807', NULL, 'Protein of unknown function DUF5522', 'DUF5522', 4, NULL),
(31438, NULL, 'IPR040752', NULL, 'DNA mismatch repair protein HSM3, C-terminal domain', 'HSM3_C', 3, NULL),
(31439, NULL, 'IPR039977', NULL, 'Histone-lysine N-methyltransferase Suv4-20/Set9', 'Suv4-20/Set9', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31440, NULL, 'IPR040419', NULL, 'DUF5568 family', 'DUF5568', 4, NULL),
(31441, NULL, 'IPR036395', NULL, 'Copper fist DNA-binding domain superfamily', 'Cu_fist_DNA-bd_dom_sf', 5, NULL),
(31442, NULL, 'IPR039892', NULL, 'Protein Spa2/Sph1', 'Spa2/Sph1', 4, NULL),
(31443, NULL, 'IPR041176', NULL, 'von Willebrand factor type A, C-terminal domain', 'VWA_3_C', 3, NULL),
(31444, NULL, 'IPR040820', NULL, 'Secreted Novel AID/APOBEC-like Deaminase 3', 'SNAD3', 4, NULL),
(31445, NULL, 'IPR039832', NULL, 'VQ motif-containing protein 20', 'VQ20', 4, NULL),
(31446, NULL, 'IPR038324', NULL, 'Rpb4/RPC9 superfamily', 'Rpb4/RPC9_sf', 5, NULL),
(31447, NULL, 'IPR039939', NULL, 'V-set and immunoglobulin domain-containing protein 4', 'VSIG4', 4, NULL),
(31448, NULL, 'IPR041059', NULL, 'Protein of of unknown function DUF5558', 'DUF5558', 4, NULL),
(31449, NULL, 'IPR040932', NULL, 'Csm4, C-terminal', 'Csm4_C', 3, NULL),
(31450, NULL, 'IPR036249', NULL, 'Thioredoxin-like superfamily', 'Thioredoxin-like_sf', 5, NULL),
(31451, NULL, 'IPR037803', NULL, 'Rho guanine nucleotide exchange factor 11, PH domain', 'PRG_PH', 3, NULL),
(31452, NULL, 'IPR033596', NULL, 'ADAM19 peptidase', 'ADAM19', 4, NULL),
(31453, NULL, 'IPR036914', NULL, 'Methylglyoxal synthase-like domain superfamily', 'MGS-like_dom_sf', 5, NULL),
(31454, NULL, 'IPR039142', NULL, 'NRF1/Ewg family', 'NRF1/Ewg', 4, NULL),
(31455, NULL, 'IPR033304', NULL, 'Deleted in lung and esophageal cancer protein 1', 'DLEC1', 4, NULL),
(31456, NULL, 'IPR041291', NULL, 'Histone methyltransferase, Tudor domain 1', 'TUDOR_5', 3, NULL),
(31457, NULL, 'IPR039830', NULL, 'Calmodulin-binding protein 25', 'CAMBP25', 4, NULL),
(31458, NULL, 'IPR041034', NULL, 'Phosphoinositide phosphatase, C-terminal', 'PI_PP_C', 3, NULL),
(31459, NULL, 'IPR038783', NULL, 'Fungal mitogen-activated protein (MAP) kinase Sty1/Hog1', 'MAPK_Sty1/Hog1', 4, NULL),
(31460, NULL, 'IPR039828', NULL, 'VQ motif-containing protein 33', 'VQ33', 4, NULL),
(31461, NULL, 'IPR040961', NULL, 'Cop9 signalosome subunit 5 C-terminal domain', 'CSN5_C', 3, NULL),
(31462, NULL, 'IPR036916', NULL, 'Sporulation inhibitor A superfamily', 'Sda_sf', 5, NULL),
(31463, NULL, 'IPR033583', NULL, 'BEN domain-containing protein 3', 'BEND3', 4, NULL),
(31464, NULL, 'IPR040982', NULL, 'DNA polymerase III alpha subunit finger domain', 'DNA_pol3_finger', 3, NULL),
(31465, NULL, 'IPR040797', NULL, 'Zmiz1, N-terminal tetratricopeptide repeat domain', 'Zmiz1_N', 3, NULL),
(31466, NULL, 'IPR041024', NULL, 'Mcm6, C-terminal winged-helix domain', 'Mcm6_C', 3, NULL),
(31467, NULL, 'IPR040085', NULL, 'Protein MJ0674-like', 'MJ0674-like', 4, NULL),
(31468, NULL, 'IPR041065', NULL, 'GCN5-related N-acetyltransferase-like domain', 'GNAT-like', 3, NULL),
(31469, NULL, 'IPR041100', NULL, 'T-Q ester bond containing domain', 'TQ', 3, NULL),
(31470, NULL, 'IPR041214', NULL, 'Dda helicase SH3 domain', 'SH3_14', 3, NULL),
(31471, NULL, 'IPR039983', NULL, 'Cholesterol 24-hydroxylase', 'CYP46A1', 4, NULL),
(31472, NULL, 'IPR033305', NULL, 'Hydrocephalus-inducing-like', 'Hydin-like', 4, NULL),
(31473, NULL, 'IPR040718', NULL, 'LnmK, N-terminal', 'LnmK_N_HDF', 3, NULL),
(31474, NULL, 'IPR041179', NULL, 'Centrosomal protein C10orf90, N-terminal', 'C10orf90_N', 3, NULL),
(31475, NULL, 'IPR035476', NULL, 'Phosphoglucose isomerase, SIS domain 1', 'SIS_PGI_1', 3, NULL),
(31476, NULL, 'IPR041141', NULL, 'Diiron non-heme beta-hydroxylase, N-terminal domain', 'CmlA_N', 3, NULL),
(31477, NULL, 'IPR033301', NULL, 'ADP-ribosylation factor-like protein 6-interacting protein 1', 'ARL6IP', 4, NULL),
(31478, NULL, 'IPR041256', NULL, 'CDI immunity protein', 'CdiI_4', 3, NULL),
(31479, NULL, 'IPR040910', NULL, 'Closterovirus 1a polyprotein, central region', 'Zemlya', 4, NULL),
(31480, NULL, 'IPR041165', NULL, 'Cas6, N-terminal domain, archaea', 'Cas6_N_arch', 3, NULL),
(31481, NULL, 'IPR040462', NULL, 'Protein EARLY FLOWERING 4', 'EARLY_FLOWERING_4', 4, NULL),
(31482, NULL, 'IPR039823', NULL, 'Protein PLASTID MOVEMENT IMPAIRED 1-RELATED 2', 'PMIR2', 4, NULL),
(31483, NULL, 'IPR038313', NULL, 'Herpesvirus glycoprotein L, rhadinovirus-type superfamily', 'Herpes_gL_rhadinovirus_sf', 5, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31484, NULL, 'IPR040819', NULL, 'Rolling Circle replication initiation protein, N-terminal', 'Rol_Rep_N', 3, NULL),
(31485, NULL, 'IPR039803', NULL, 'MTMR14, PH-GRAM domain', 'MTMR14_PH-GRAM', 3, NULL),
(31486, NULL, 'IPR033919', NULL, 'Transaldolase/Fructose-6-phosphate aldolase, archaeal/bacterial', 'TSA/FSA_arc/bac', 4, NULL),
(31487, NULL, 'IPR041234', NULL, 'Domain of unknown function DUF5617', 'DUF5617', 3, NULL),
(31488, NULL, 'IPR041221', NULL, 'Anaphase-promoting complex subunit 1, C-terminal', 'APC1_C', 3, NULL),
(31489, NULL, 'IPR035084', NULL, 'Nucleocapsid, C-terminal, Arenaviridae', 'Nucleocapsid_C_arenaviridae', 3, NULL),
(31490, NULL, 'IPR033113', NULL, 'Phospholipase A2, histidine active site', 'PLipase_A2_His_AS', 0, NULL),
(31491, NULL, 'IPR040984', NULL, 'Domain of unknown function DUF5640', 'DUF5640', 3, NULL),
(31492, NULL, 'IPR036622', NULL, 'Dioxygenase LigAB, LigA subunit superfamily', 'LigA_sf', 5, NULL),
(31493, NULL, 'IPR037356', NULL, 'COMM domain-containing protein 4', 'Commd4', 4, NULL),
(31494, NULL, 'IPR041186', NULL, 'Domain of unknown function DUF3823_C', 'DUF3823_C', 3, NULL),
(31495, NULL, 'IPR041174', NULL, 'Krr1, KH1 domain', 'KH_8', 3, NULL),
(31496, NULL, 'IPR041376', NULL, 'Integron Cassette Protein Hfx_Cass5', 'Hfx_Cass5', 3, NULL),
(31497, NULL, 'IPR041068', NULL, 'Methyltransferase, fungal type, helix-turn-helix domain', 'HTH_51', 3, NULL),
(31498, NULL, 'IPR041188', NULL, 'ARS-binding protein 1, N-terminal', 'HTH_ABP1_N', 3, NULL),
(31499, NULL, 'IPR040980', NULL, 'SWI2/SNF2 ATPase', 'SWI2_SNF2', 4, NULL),
(31500, NULL, 'IPR041196', NULL, 'Large polyvalent protein associated domain 37', 'LPD37', 3, NULL),
(31501, NULL, 'IPR033587', NULL, 'Meiosis 1 arrest protein', 'M1AP', 4, NULL),
(31502, NULL, 'IPR041398', NULL, 'DdrB-like domain', 'DdrB_dom', 3, NULL),
(31503, NULL, 'IPR037388', NULL, 'Kinetochore scaffold 1', 'Blinkin', 4, NULL),
(31504, NULL, 'IPR039839', NULL, 'Prolyl 3-hydroxylase 3', 'P3H3', 4, NULL),
(31505, NULL, 'IPR041194', NULL, 'GLD-3, KH5 domain', 'GLD-3_KH5', 3, NULL),
(31506, NULL, 'IPR034729', NULL, 'Zinc finger CCHC HIVEP-type', 'ZF_CCHC_HIVEP', 3, NULL),
(31507, NULL, 'IPR036465', NULL, 'von Willebrand factor A-like domain superfamily', 'vWFA_dom_sf', 5, NULL),
(31508, NULL, 'IPR036197', NULL, 'NarG-like superfamily', 'NarG-like_sf', 5, NULL),
(31509, NULL, 'IPR041217', NULL, 'Cas9 C-terminal domain', 'Cas9_C', 3, NULL),
(31510, NULL, 'IPR035112', NULL, 'Viral unique long protein 21a', 'UL21a', 4, NULL),
(31511, NULL, 'IPR036467', NULL, 'Lumazine/riboflavin synthase superfamily', 'LS/RS_sf', 5, NULL),
(31512, NULL, 'IPR041357', NULL, 'LegC3 N-terminal, Legionellaceae', 'LegC3_N_Legionellaceae', 3, NULL),
(31513, NULL, 'IPR037164', NULL, 'Satellite virus coat domain superfamily', 'Satellite_virus_coat_sf', 5, NULL),
(31514, NULL, 'IPR037947', NULL, 'Testis-expressed protein 10/pre-rRNA-processing protein Ipi1', 'TEX10/Ipi1', 4, NULL),
(31515, NULL, 'IPR034680', NULL, 'tRNA N6-adenosine threonylcarbamoyltransferase Kae1, archaea and eukaryote', 'Kae1_archaea_euk', 4, NULL),
(31516, NULL, 'IPR041290', NULL, 'Tle cognate immunity protein 4, C-terminal domain', 'Tli4_C', 3, NULL),
(31517, NULL, 'IPR037162', NULL, 'TRPM, tetramerisation domain superfamily', 'TRPM_tetra_sf', 5, NULL),
(31518, NULL, 'IPR041493', NULL, 'PRDM4, zinc knuckle motif', 'PRDM4_Znf_knuckle', 3, NULL),
(31519, NULL, 'IPR037154', NULL, 'YtpR-like superfamily', 'YtpR-like_sf', 5, NULL),
(31520, NULL, 'IPR039138', NULL, 'Ubiquitin thioesterase OTU1/2/3', 'OTU1_2_3', 4, NULL),
(31521, NULL, 'IPR033250', NULL, 'C-terminally encoded peptide', 'CEP', 4, NULL),
(31522, NULL, 'IPR041352', NULL, 'Major tropism determinant, N-terminal domain', 'Mtd_N', 3, NULL),
(31523, NULL, 'IPR038732', NULL, 'FAD-dependent urate hydroxylase HpyO, FAD/NAD(P)-binding domain', 'HpyO_NAD-binding', 3, NULL),
(31524, NULL, 'IPR037163', NULL, 'Spermidine synthase, tetramerisation domain superfamily', 'Spermidine_synt_N_sf', 5, NULL),
(31525, NULL, 'IPR041005', NULL, 'DNA polymerase II intein domain IV', 'PI-TkoII_IV', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31526, NULL, 'IPR033186', NULL, 'Helicase HerA-like C-terminal', 'HerA_C', 3, NULL),
(31527, NULL, 'IPR041482', NULL, 'LSDAT, prokaryote', 'LSDAT_prok', 3, NULL),
(31528, NULL, 'IPR037145', NULL, 'Smad anchor for receptor activation, Smad-binding domain superfamily', 'SARA_Smad-bd_sf', 5, NULL),
(31529, NULL, 'IPR041264', NULL, 'SidC, N-terminal', 'SidC_N', 3, NULL),
(31530, NULL, 'IPR037389', NULL, 'Outer dense fibre protein 1', 'ODFP', 4, NULL),
(31531, NULL, 'IPR041394', NULL, 'Cthe_2314-like HEPN', 'HEPN_Cthe2314', 3, NULL),
(31532, NULL, 'IPR040948', NULL, 'Protein of unknown function DUF5639', 'DUF5639', 3, NULL),
(31533, NULL, 'IPR037051', NULL, 'Four-carbon acid sugar kinase, N-terminal domain superfamily', '4-carb_acid_sugar_kinase_N_sf', 5, NULL),
(31534, NULL, 'IPR033188', NULL, 'Multimerin-1', 'MMRN1', 4, NULL),
(31535, NULL, 'IPR034515', NULL, 'Carbapenem intermediate methyltransferase, ThnL-like', 'ThnL-like', 4, NULL),
(31536, NULL, 'IPR033814', NULL, 'Carboxypeptidase N, N-terminal domain', 'M14_CPN', 3, NULL),
(31537, NULL, 'IPR041537', NULL, 'Protein of of unknown function DUF5547', 'DUF5547', 4, NULL),
(31538, NULL, 'IPR040997', NULL, 'IL-7Ralpha, fibronectin type III domain', 'FN3_7', 3, NULL),
(31539, NULL, 'IPR041480', NULL, 'Cysteine-rich interdomain region 1 gamma', 'CIDR1_gamma', 3, NULL),
(31540, NULL, 'IPR033805', NULL, 'CDI inhibitor, Bp1026b-like', 'CdiI_Bp1026b-like', 3, NULL),
(31541, NULL, 'IPR040122', NULL, 'Importin beta family', 'Importin_beta', 4, NULL),
(31542, NULL, 'IPR041379', NULL, 'Collagenase ColG, catalytic helper subdomain', 'ColG_subdomain', 3, NULL),
(31543, NULL, 'IPR041092', NULL, 'Phage-Barnase-EndoU-ColicinE5/D-RelE-like nuclease', 'PBECR1', 3, NULL),
(31544, NULL, 'IPR034726', NULL, 'Scavenger receptor class A member 5', 'SCARA5', 4, NULL),
(31545, NULL, 'IPR041501', NULL, 'Defence against restriction A, C-terminal', 'DarA_C', 3, NULL),
(31546, NULL, 'IPR033122', NULL, 'LETM1, ribosome-binding domain', 'LETM1_RBD', 3, NULL),
(31547, NULL, 'IPR041358', NULL, 'Rubisco accumulation factor 1, alpha helical domain', 'Raf1_N', 3, NULL),
(31548, NULL, 'IPR033101', NULL, 'RNA-binding protein 45', 'RBM45', 4, NULL),
(31549, NULL, 'IPR037052', NULL, 'Chemotaxis protein CheA, P2 response regulator-binding domain superfamily', 'CheA-like_P2_sf', 5, NULL),
(31550, NULL, 'IPR033804', NULL, 'Lmo2686-like', 'Lmo2686-like', 3, NULL),
(31551, NULL, 'IPR041369', NULL, 'TrmO, C-terminal', 'TrmO_C', 3, NULL),
(31552, NULL, 'IPR035842', NULL, 'Ras GTPase-activating protein 1, C-terminal SH2 domain', 'RasGAP_C_SH2', 3, NULL),
(31553, NULL, 'IPR033806', NULL, 'CDI toxin, Bp1026b-like', 'CDI_toxin_Bp1026b-like', 3, NULL),
(31554, NULL, 'IPR034007', NULL, 'C-type lectin-like domain, bacterial', 'CTLD_bac', 3, NULL),
(31555, NULL, 'IPR037146', NULL, 'Colicin/pyocin, DNase domain superfamily', 'Colicin/pyocin_DNase_dom_sf', 5, NULL),
(31556, NULL, 'IPR033801', NULL, 'CBM6/CBM35/CBM36-like 1', 'CBM6-CBM35-CBM36-like_1', 3, NULL),
(31557, NULL, 'IPR041083', NULL, 'AAA lid domain', 'AAA_lid_10', 3, NULL),
(31558, NULL, 'IPR036485', NULL, 'Glutamate synthase, alpha subunit, C-terminal domain superfamily', 'Glu_synth_asu_C_sf', 5, NULL),
(31559, NULL, 'IPR033633', NULL, 'Ras association domain-containing protein 9', 'RASSF9', 4, NULL),
(31560, NULL, 'IPR035796', NULL, 'Core histone macro-H2A, macro domain', 'Macro_H2A', 3, NULL),
(31561, NULL, 'IPR040940', NULL, 'DNA polymerase nu, pseudo-exo domain', 'DNA_pol_P_Exo', 3, NULL),
(31562, NULL, 'IPR034723', NULL, 'Succinate--CoA ligase [ADP-forming] subunit beta, mitochondrial', 'Succ_CoA_betaA_euk', 4, NULL),
(31563, NULL, 'IPR035840', NULL, 'Chimaerin, SH2 domain', 'Chimaerin_SH2', 3, NULL),
(31564, NULL, 'IPR040943', NULL, 'Protein of unknown function DUF5571', 'DUF5571', 4, NULL),
(31565, NULL, 'IPR033174', NULL, 'Caspase-14', 'Caspase-14', 4, NULL),
(31566, NULL, 'IPR037945', NULL, 'Sentrin-specific protease 3', 'SENP3', 4, NULL),
(31567, NULL, 'IPR033904', NULL, 'Trans-isoprenyl diphosphate synthases, head-to-head', 'Trans_IPPS_HH', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31568, NULL, 'IPR041087', NULL, 'TANK binding kinase 1, ubiquitin-like domain', 'TBK1_ULD', 3, NULL),
(31569, NULL, 'IPR033943', NULL, 'Ba3-like heme-copper oxidase subunit I', 'Ba3-like_Oxidase_I', 4, NULL),
(31570, NULL, 'IPR036058', NULL, 'Kazal domain superfamily', 'Kazal_dom_sf', 5, NULL),
(31571, NULL, 'IPR041204', NULL, 'RIG-I receptor, C-terminal', 'RIG-I_C', 3, NULL),
(31572, NULL, 'IPR034745', NULL, 'Deoxyuridine 5-triphosphate nucleotidohydrolase', 'HSV_DUT', 4, NULL),
(31573, NULL, 'IPR041374', NULL, 'Bacterial archaeo-eukaryotic release factor family 12', 'BaeRF_family12', 4, NULL),
(31574, NULL, 'IPR034829', NULL, 'DnaD-like domain superfamily', 'DnaD-like_sf', 5, NULL),
(31575, NULL, 'IPR033572', NULL, 'Zinc transporter 8', 'ZnT-8', 4, NULL),
(31576, NULL, 'IPR037035', NULL, 'Glycerate kinase-like, C-terminal domain superfamily', 'GK-like_C_sf', 5, NULL),
(31577, NULL, 'IPR036258', NULL, 'Apyrase superfamily', 'Apyrase_sf', 5, NULL),
(31578, NULL, 'IPR036470', NULL, 'Elicitin superfamily', 'Elicitin_sf', 5, NULL),
(31579, NULL, 'IPR034932', NULL, 'BRAP2, RNA recognition motif', 'BRAP2_RRM', 3, NULL),
(31580, NULL, 'IPR041011', NULL, 'ZBTB21, zinc finger domain', 'Znf_C2H2_6', 3, NULL),
(31581, NULL, 'IPR041377', NULL, 'Viral coat protein P2, N-terminal', 'P2_N', 3, NULL),
(31582, NULL, 'IPR037559', NULL, 'Proteasome subunit beta Pre3', 'Proteasome_beta_Pre3', 4, NULL),
(31583, NULL, 'IPR034008', NULL, 'TC14-like, C-type lectin-like domain', 'TC14-like_CTLD', 3, NULL),
(31584, NULL, 'IPR035871', NULL, 'Growth hormone-inducible transmembrane protein', 'GHITM', 3, NULL),
(31585, NULL, 'IPR040950', NULL, 'GPCR-Autoproteolysis-INducing (GAIN) subdomain A', 'GAIN_A', 3, NULL),
(31586, NULL, 'IPR041344', NULL, '30K viral movement protein, core domain', '30K_MP_core', 3, NULL),
(31587, NULL, 'IPR036402', NULL, 'Elongation factor Ts, dimerisation domain superfamily', 'EF-Ts_dimer_sf', 5, NULL),
(31588, NULL, 'IPR035841', NULL, 'Ras GTPase-activating protein 1, N-terminal SH2 domain', 'RasGAP_N_SH2', 3, NULL),
(31589, NULL, 'IPR040748', NULL, 'HP0268', 'HP0268', 3, NULL),
(31590, NULL, 'IPR041101', NULL, 'Transport inhibitor response 1 domain', 'Transp_inhibit', 3, NULL),
(31591, NULL, 'IPR034581', NULL, 'Protein PLASTID TRANSCRIPTIONALLY ACTIVE 12', 'PTAC12', 4, NULL),
(31592, NULL, 'IPR039381', NULL, 'Endopeptidase La, PDZ domain', 'La_PDZ', 3, NULL),
(31593, NULL, 'IPR041298', NULL, 'DNA polymerase eta, ubiquitin-binding zinc finger', 'UBZ3', 3, NULL),
(31594, NULL, 'IPR037157', NULL, 'UDP-N-acetylglucosamine O-acyltransferase, C-terminal domain superfamily', 'Acetyltransf_C_sf', 5, NULL),
(31595, NULL, 'IPR040806', NULL, 'SpuA, C-terminal', 'SpuA_C', 3, NULL),
(31596, NULL, 'IPR037054', NULL, 'Alpha-glucuronidase, C-terminal domain superfamily', 'A-glucoronidase_C_sf', 5, NULL),
(31597, NULL, 'IPR041089', NULL, 'SUB1 protease prodomain ProdP9', 'SUB1_ProdP9', 3, NULL),
(31598, NULL, 'IPR037387', NULL, 'Pentatricopeptide repeat domain-containing protein 3', 'PTCD3', 4, NULL),
(31599, NULL, 'IPR041355', NULL, 'Pre-SET CXC domain', 'Pre-SET_CXC', 3, NULL),
(31600, NULL, 'IPR039384', NULL, 'HINT family', 'HINT', 4, NULL),
(31601, NULL, 'IPR041351', NULL, 'Exo-beta-D-glucosaminidase, Ig-fold domain', 'Ig_GlcNase', 3, NULL),
(31602, NULL, 'IPR036696', NULL, 'YdfO-like superfamily', 'YdfO-like_sf', 5, NULL),
(31603, NULL, 'IPR034951', NULL, 'Regulator of G-protein signalling 3, RGS domain', 'RGS_RGS3', 3, NULL),
(31604, NULL, 'IPR033470', NULL, 'Uncharacterised protein, DhaK domain', 'UPF_DhaK', 3, NULL),
(31605, NULL, 'IPR041205', NULL, 'Copper resistance protein ScsC, N-terminal', 'ScsC_N', 3, NULL),
(31606, NULL, 'IPR041219', NULL, 'Phage tail lysozyme', 'Phage_lysozyme2', 3, NULL),
(31607, NULL, 'IPR033941', NULL, '3-Isopropylmalate dehydratase, catalytic domain', 'IPMI_cat', 3, NULL),
(31608, NULL, 'IPR033443', NULL, 'Pentacotripeptide-repeat region of PRORP', 'PPR_long', 3, NULL),
(31609, NULL, 'IPR037037', NULL, 'L-proline 3-hydroxylase, C-terminal domain superfamily', 'Pro_3_hydrox_C_sf', 5, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31610, NULL, 'IPR034678', NULL, 'DNA-directed RNA polymerase subunit RpoC1', 'RNApol_RpoC1', 4, NULL),
(31611, NULL, 'IPR033073', NULL, 'Fatty acid-binding protein 4', 'FABP4', 4, NULL),
(31612, NULL, 'IPR041383', NULL, 'RuvC endonuclease subdomain 3', 'RuvC_III', 3, NULL),
(31613, NULL, 'IPR033252', NULL, 'NONRESPONDING TO OXYLIPINS 2', 'NOXY2', 4, NULL),
(31614, NULL, 'IPR034938', NULL, '3-O-Methylgallate 3,4-dioxygenase', '3MGA_Dioxygenase', 4, NULL),
(31615, NULL, 'IPR041362', NULL, 'Plexin, TIG domain 2', 'TIG2_plexin', 3, NULL),
(31616, NULL, 'IPR033453', NULL, 'Glycosyl hydrolase family 30, TIM-barrel domain', 'Glyco_hydro_30_TIM-barrel', 3, NULL),
(31617, NULL, 'IPR036463', NULL, 'Urease, gamma subunit superfamily', 'Urease_gamma_sf', 5, NULL),
(31618, NULL, 'IPR041367', NULL, 'E3 ligase, CCCH-type zinc finger', 'Znf-CCCH_4', 3, NULL),
(31619, NULL, 'IPR041008', NULL, 'Domain of unknown function DUF5625', 'DUF5625', 3, NULL),
(31620, NULL, 'IPR041495', NULL, 'Mub B2-like domain', 'Mub_B2', 3, NULL),
(31621, NULL, 'IPR033803', NULL, 'CBM6/CBM35/CBM36-like 2', 'CBM6/CBM35/CBM36-like_2', 3, NULL),
(31622, NULL, 'IPR035334', NULL, 'Protein of unknown function DUF5390', 'DUF5390', 4, NULL),
(31623, NULL, 'IPR041396', NULL, 'Cysteine-rich protective antigen 6 bladed domain', 'CyRPA', 3, NULL),
(31624, NULL, 'IPR038959', NULL, 'Pre-mRNA-processing factor 19', 'Prp19', 4, NULL),
(31625, NULL, 'IPR041496', NULL, 'YitH, acetyltransferase (GNAT) domain', 'YitH_GNAT', 3, NULL),
(31626, NULL, 'IPR036643', NULL, 'DNA-directed RNA polymerase, insert domain superfamily', 'RNApol_insert_sf', 5, NULL),
(31627, NULL, 'IPR034259', NULL, 'Ascorbate oxidase, first cupredoxin domain', 'CuRO_1_AAO', 3, NULL),
(31628, NULL, 'IPR038971', NULL, 'Cyclin-dependent protein kinase inhibitor SMR11/SMR16', 'SMR11/SMR16', 4, NULL),
(31629, NULL, 'IPR033588', NULL, 'Cell cycle progression protein 1', 'CCPG1', 4, NULL),
(31630, NULL, 'IPR041263', NULL, 'Gasdermin, PUB domain', 'Gasdermin_PUB', 3, NULL),
(31631, NULL, 'IPR037148', NULL, '[NiFe]-hydrogenase, small subunit, C-terminal domain superfamily', 'NiFe-Hase_small_C_sf', 5, NULL),
(31632, NULL, 'IPR035691', NULL, 'RING finger protein 219, RING finger', 'RNF219_RING-HC', 3, NULL),
(31633, NULL, 'IPR037041', NULL, 'Trigger factor, C-terminal domain superfamily', 'Trigger_fac_C_sf', 5, NULL),
(31634, NULL, 'IPR041112', NULL, 'Nuf2, DHR10-like domain', 'Nuf2_DHR10-like', 3, NULL),
(31635, NULL, 'IPR037144', NULL, 'Peptidase M1, alanyl aminopeptidase, C-terminal domain superfamily', 'Peptidase_M1_pepN_C_sf', 5, NULL),
(31636, NULL, 'IPR036198', NULL, 'Ecotin superfamily', 'Ecotin_sf', 5, NULL),
(31637, NULL, 'IPR035931', NULL, 'YlxR-like superfamily', 'YlxR-like_sf', 5, NULL),
(31638, NULL, 'IPR041384', NULL, 'DNTTIP1, dimerisation domain', 'DNTTIP1_dimer', 3, NULL),
(31639, NULL, 'IPR038731', NULL, 'Glycosyltransferase RgtA/B/C/D-like', 'RgtA/B/C-like', 3, NULL),
(31640, NULL, 'IPR041370', NULL, 'Methyltransferase EEF1AKMT1/ZCCHC4', 'Mlase_EEF1AKMT1/ZCCHC4', 4, NULL),
(31641, NULL, 'IPR033196', NULL, 'Exosome complex component Rrp43', 'Rrp43', 4, NULL),
(31642, NULL, 'IPR033185', NULL, 'Rab GTPase-activating protein 1', 'RabGAP1', 4, NULL),
(31643, NULL, 'IPR037582', NULL, 'Eukaryotic translation initiation factor 4E-binding protein 1', 'EIF4EBP1', 4, NULL),
(31644, NULL, 'IPR033469', NULL, 'CYTH-like domain superfamily', 'CYTH-like_dom_sf', 5, NULL),
(31645, NULL, 'IPR033958', NULL, 'ADAM2 protein', 'ADAM2', 4, NULL),
(31646, NULL, 'IPR041040', NULL, '3-hydroxybutyryl-CoA dehydrogenase reduced Rossmann-fold domain', '3HCDH_RFF', 3, NULL),
(31647, NULL, 'IPR041387', NULL, 'FHOD1, N-terminal GTPase-binding domain', 'FHOD1_GBD_N', 3, NULL),
(31648, NULL, 'IPR041001', NULL, 'Phosphoglucose isomerase, N-terminal', 'PG_isomerase_N', 3, NULL),
(31649, NULL, 'IPR040944', NULL, 'Importin 13 repeat 2', 'Importin_rep_2', 7, NULL),
(31650, NULL, 'IPR041500', NULL, 'RecC, C-terminal', 'RecC_C', 3, NULL),
(31651, NULL, 'IPR041139', NULL, 'Major vault protein repeat domain', 'MVP_rep_dom', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31652, NULL, 'IPR041038', NULL, 'TarS beta-glycosyltransferase C-terminal domain 1', 'TarS_C1', 3, NULL),
(31653, NULL, 'IPR034930', NULL, 'Matrin-3, RNA recognition motif 2', 'MATR3_RRM2', 3, NULL),
(31654, NULL, 'IPR036314', NULL, 'Manganese/iron superoxide dismutase, C-terminal domain superfamily', 'SOD_C_sf', 5, NULL),
(31655, NULL, 'IPR033251', NULL, 'Protein NUCLEAR FUSION DEFECTIVE 6, mitochondrial', 'NFD6', 4, NULL),
(31656, NULL, 'IPR033265', NULL, 'Gem-associated protein 4', 'GEMIN4', 4, NULL),
(31657, NULL, 'IPR041018', NULL, 'Tse2 ADP-ribosyltransferase toxin', 'ADPRTs_Tse2', 3, NULL),
(31658, NULL, 'IPR033956', NULL, 'Translin', 'Translin', 4, NULL),
(31659, NULL, 'IPR033200', NULL, 'Trichohyalin', 'TCHH', 4, NULL),
(31660, NULL, 'IPR033184', NULL, 'Protein PRRC2', 'PRRC2', 4, NULL),
(31661, NULL, 'IPR037036', NULL, 'GMP phosphodiesterase, delta subunit superfamily', 'PDED_dom_sf', 5, NULL),
(31662, NULL, 'IPR035109', NULL, 'Ancylostoma-associated secreted protein related', 'ASPR', 4, NULL),
(31663, NULL, 'IPR036196', NULL, 'Phosphotyrosine protein phosphatase I superfamily', 'Ptyr_pPase_sf', 5, NULL),
(31664, NULL, 'IPR040812', NULL, 'RNA helicase UPF1, 1B domain', 'UPF1_1B_dom', 3, NULL),
(31665, NULL, 'IPR041403', NULL, 'DUF4458 domain-containing protein, leucine-rich repeat', 'DUF4458_prot_LRR', 7, NULL),
(31666, NULL, 'IPR041453', NULL, 'Suv3, N-terminal', 'Suv3_N', 3, NULL),
(31667, NULL, 'IPR041104', NULL, 'DNA processing protein A, sterile alpha motif domain', 'SAM_DrpA', 3, NULL),
(31668, NULL, 'IPR041016', NULL, 'Bdellovibrio beta-sandwich', 'BD_b_sandwich', 3, NULL),
(31669, NULL, 'IPR041267', NULL, 'NACHT, LRR and PYD domains-containing protein, helical domain HD2', 'NLRP_HD2', 3, NULL),
(31670, NULL, 'IPR040945', NULL, 'Domain of unknown function DUF5621', 'DUF5621', 3, NULL),
(31671, NULL, 'IPR034897', NULL, 'RBM4, RNA recognition motif 1', 'RBM4_RRM1', 3, NULL),
(31672, NULL, 'IPR033576', NULL, 'Cell division cycle-associated protein 7', 'CDCA7', 4, NULL),
(31673, NULL, 'IPR037558', NULL, 'Proteasome subunit beta 5', 'Proteasome_beta_5', 4, NULL),
(31674, NULL, 'IPR041348', NULL, 'VEGFR-2, Transmembrane domain', 'VEGFR-2_TMD', 3, NULL),
(31675, NULL, 'IPR036694', NULL, 'Dodecin-like superfamily', 'Dodecin-like_sf', 5, NULL),
(31676, NULL, 'IPR035091', NULL, 'Gap junction alpha-1 protein (Cx43), alpha helix domain superfamily', 'Alpha_helix_dom_sf', 5, NULL),
(31677, NULL, 'IPR037149', NULL, 'Protective antigen, heptamerisation domain superfamily', 'PA_heptamer_dom_sf', 5, NULL),
(31678, NULL, 'IPR035079', NULL, 'Floricaula/Leafy protein, SAM domain', 'LFY_SAM', 3, NULL),
(31679, NULL, 'IPR036252', NULL, 'Proteasome activator superfamily', 'Proteasome_activ_sf', 5, NULL),
(31680, NULL, 'IPR040813', NULL, 'Small RNA 2''-O-methyltransferase Hen1, La-motif C-terminal domain', 'Hen1_Lam_C', 3, NULL),
(31681, NULL, 'IPR040724', NULL, 'PheRS, DNA binding domain 1', 'PheRS_DBD1', 3, NULL),
(31682, NULL, 'IPR041289', NULL, 'Bacterial archaeo-eukaryotic release factor family 3', 'Bact_RF_family3', 4, NULL),
(31683, NULL, 'IPR041201', NULL, 'PTPRJ, transmembrane domain', 'PTPRJ_TM', 3, NULL),
(31684, NULL, 'IPR036480', NULL, 'Carbamoyl-phosphate synthase small subunit, N-terminal domain superfamily', 'CarbP_synth_ssu_N_sf', 5, NULL),
(31685, NULL, 'IPR033412', NULL, 'Pyruvate:ferredoxin oxidoreductase, core domain II', 'PFOR_II', 3, NULL),
(31686, NULL, 'IPR033660', NULL, 'Histone deacetylase 4/7', 'HDAC4/7', 4, NULL),
(31687, NULL, 'IPR041491', NULL, 'TRPM, SLOG domain', 'TRPM_SLOG', 3, NULL),
(31688, NULL, 'IPR041404', NULL, 'Protein of unknown function DUF5588', 'DUF5588', 4, NULL),
(31689, NULL, 'IPR037382', NULL, 'Remodelling complex subunit Rsc/polybromo', 'Rsc/polybromo', 4, NULL),
(31690, NULL, 'IPR037038', NULL, 'tRNA nuclease HepT-like superfamily', 'HepT-like_sf', 5, NULL),
(31691, NULL, 'IPR041014', NULL, 'CEL-III, C-terminal', 'CEL_III_C', 3, NULL),
(31692, NULL, 'IPR033631', NULL, 'Ras association domain-containing protein 7', 'RASSF7', 4, NULL),
(31693, NULL, 'IPR036646', NULL, 'BPG-independent phosphoglycerate mutase, domain B superfamily', 'PGAM_B_sf', 5, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31694, NULL, 'IPR037045', NULL, 'Peptidase S8 propeptide/proteinase inhibitor I9 superfamily', 'S8pro/Inhibitor_I9_sf', 5, NULL),
(31695, NULL, 'IPR041300', NULL, 'CxC7-like cysteine cluster associated with KDZ transposases', 'CxC7', 3, NULL),
(31696, NULL, 'IPR037043', NULL, 'Moricin domain superfamily', 'Moricin_sf', 5, NULL),
(31697, NULL, 'IPR036981', NULL, 'Sushi repeat-containing protein SRPX', 'SRPX', 4, NULL),
(31698, NULL, 'IPR033264', NULL, 'BZR family', 'BZR', 4, NULL),
(31699, NULL, 'IPR033017', NULL, 'Palladin, C-terminal immunoglobulin-like domain', 'Palladin_C', 3, NULL),
(31700, NULL, 'IPR041513', NULL, 'SAS-6 coiled-coil domain', 'SAS6_CC', 3, NULL),
(31701, NULL, 'IPR037047', NULL, 'PITH domain superfamily', 'PITH_dom_sf', 5, NULL),
(31702, NULL, 'IPR036692', NULL, 'Shew3726-like superfamily', 'Shew3726-like_sf', 5, NULL),
(31703, NULL, 'IPR041511', NULL, 'Putative DNA-binding domain', 'DBD_HTH', 3, NULL),
(31704, NULL, 'IPR041203', NULL, 'Bacterial Alpha-2-macroglobulin, MG5 domain', 'Bact_A2M_MG5', 3, NULL),
(31705, NULL, 'IPR041000', NULL, 'Gammaproteobacterial serine protease', 'Serine_protease', 4, NULL),
(31706, NULL, 'IPR033416', NULL, 'Periplasmic sensor domain CHASE7', 'CHASE7', 3, NULL),
(31707, NULL, 'IPR039383', NULL, 'FHIT family', 'FHIT', 4, NULL),
(31708, NULL, 'IPR033809', NULL, 'USP39', 'USP39', 4, NULL),
(31709, NULL, 'IPR041368', NULL, 'Dam-replacing protein, HTH domain', 'DRP_C', 3, NULL),
(31710, NULL, 'IPR041007', NULL, 'Copper(I)-binding protein CorA', 'Cu_bind_CorA', 3, NULL),
(31711, NULL, 'IPR036397', NULL, 'Ribonuclease H superfamily', 'RNaseH_sf', 5, NULL),
(31712, NULL, 'IPR041381', NULL, 'Jak1, pleckstrin homology-like domain', 'Jak1_PHL_dom', 3, NULL),
(31713, NULL, 'IPR041109', NULL, 'HMW1C N-terminal', 'HMW1C_N', 3, NULL),
(31714, NULL, 'IPR033959', NULL, 'ADAM4 protein', 'ADAM4', 4, NULL),
(31715, NULL, 'IPR034759', NULL, 'Peptidyl-tRNA hydrolase, archaea', 'Pept_tRNA_hydro_arch', 4, NULL),
(31716, NULL, 'IPR034931', NULL, 'ETP1, RNA recognition motif', 'ETP1_RRM', 3, NULL),
(31717, NULL, 'IPR039838', NULL, 'Prolyl 3-hydroxylase 2', 'P3H2', 4, NULL),
(31718, NULL, 'IPR033880', NULL, 'SPFH domain, YdjI-like', 'SPFH_YdjI', 3, NULL),
(31719, NULL, 'IPR041427', NULL, 'AbiJ-NTD3', 'AbiJ-NTD3', 3, NULL),
(31720, NULL, 'IPR033263', NULL, 'E3 ubiquitin-protein ligase RNF180', 'RNF180', 4, NULL),
(31721, NULL, 'IPR041088', NULL, 'Ribbon-helix-helix transcriptional regulator', 'RHH_8', 4, NULL),
(31722, NULL, 'IPR035335', NULL, 'Protein of unknown function DUF5397', 'DUF5397', 4, NULL),
(31723, NULL, 'IPR034585', NULL, 'Retinitis pigmentosa 9 protein', 'PAP-1', 4, NULL),
(31724, NULL, 'IPR041036', NULL, 'Glycoside hydrolase family 5, C-terminal domain', 'GH5_C', 3, NULL),
(31725, NULL, 'IPR041200', NULL, 'FKBP3, basic tilted helix bundle domain', 'FKBP3_BTHB', 3, NULL),
(31726, NULL, 'IPR033656', NULL, 'Histidyl-anticodon-binding', 'HisRS_anticodon', 3, NULL),
(31727, NULL, 'IPR035692', NULL, 'Integrin-linked protein kinase, pseudokinase domain', 'PK_ILK', 3, NULL),
(31728, NULL, 'IPR034732', NULL, 'Extended PHD (ePHD) domain', 'EPHD', 3, NULL),
(31729, NULL, 'IPR033879', NULL, 'Undecaprenyl-diphosphatase', 'UPP_Pase', 3, NULL),
(31730, NULL, 'IPR036261', NULL, 'Ectatomin superfamily', 'Ectatomin_sf', 5, NULL),
(31731, NULL, 'IPR041360', NULL, 'ZAP, helix turn helix N-terminal domain', 'ZAP_HTH', 3, NULL),
(31732, NULL, 'IPR041420', NULL, 'Phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease 4', 'PBECR4', 3, NULL),
(31733, NULL, 'IPR037151', NULL, 'Alpha-ketoglutarate-dependent dioxygenase AlkB-like superfamily', 'AlkB-like_sf', 5, NULL),
(31734, NULL, 'IPR041042', NULL, 'Hakai, C2H2 zinc finger domain', 'Znf_Hakai', 3, NULL),
(31735, NULL, 'IPR039032', NULL, 'Rim-like', 'Rim-like', 4, NULL),
(31736, NULL, 'IPR033977', NULL, 'Galactarate dehydratase 2', 'Galactarate_dehydratase_2', 4, NULL),
(31737, NULL, 'IPR041202', NULL, 'Bacterial archaeo-eukaryotic release factor family 10', 'BaeRF_family10', 4, NULL),
(31738, NULL, 'IPR037050', NULL, 'Domain of unknown function DUF1254 superfamily', 'DUF1254_sf', 5, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31739, NULL, 'IPR034728', NULL, 'Peptidase A3B domain', 'Peptidase_A3B', 3, NULL),
(31740, NULL, 'IPR037942', NULL, 'RuvB-like helicase 2', 'RUVBL2', 4, NULL),
(31741, NULL, 'IPR033944', NULL, 'Cytochrome c oxidase subunit I domain', 'Cyt_c_oxase_su1_dom', 3, NULL),
(31742, NULL, 'IPR041103', NULL, 'Glutamate--tRNA ligase, N-terminal domain', 'GluRS_N', 3, NULL),
(31743, NULL, 'IPR037046', NULL, 'DNA-3-methyladenine glycosylase AlkA, N-terminal domain superfamily', 'AlkA_N_sf', 5, NULL),
(31744, NULL, 'IPR037147', NULL, 'Ribosomal protein L28/L24 superfamily', 'Ribo_L28/L24_sf', 5, NULL),
(31745, NULL, 'IPR033802', NULL, 'Carbohydrate-binding protein CttA, X module', 'CttA_X', 3, NULL),
(31746, NULL, 'IPR040744', NULL, 'Npun R1517', 'Npun_R1517', 3, NULL),
(31747, NULL, 'IPR040353', NULL, 'FLC EXPRESSOR/FLX-like', 'FLX/FLX-like', 4, NULL),
(31748, NULL, 'IPR041003', NULL, 'EXOG, C-terminal', 'Exog_C', 3, NULL),
(31749, NULL, 'IPR040938', NULL, 'Legionella ubiquitin-specific protease A domain', 'LupA', 3, NULL),
(31750, NULL, 'IPR040810', NULL, 'Calcium-regulated actin-bundling protein, C-terminal', 'F_actin_bund_C', 3, NULL),
(31751, NULL, 'IPR033673', NULL, '3-hydroxy-5-phosphonooxypentane-2,4-dione thiolase', 'LsrF', 4, NULL),
(31752, NULL, 'IPR041350', NULL, 'Carbon monoxide dehydrogenase subunit alpha ,N-terminal', 'CODH_A_N', 3, NULL),
(31753, NULL, 'IPR035333', NULL, 'Protein of unknown function DUF5389', 'DUF5389', 4, NULL),
(31754, NULL, 'IPR041397', NULL, 'ThiD2', 'ThiD2', 3, NULL),
(31755, NULL, 'IPR034952', NULL, 'Regulator of G-protein signalling 4', 'RGS4', 4, NULL),
(31756, NULL, 'IPR041324', NULL, 'Antigen I/II, N-terminal', 'AgI/II_N', 3, NULL),
(31757, NULL, 'IPR033009', NULL, 'Contactin-6 like', 'Contactin-6-like', 4, NULL),
(31758, NULL, 'IPR034583', NULL, 'Protein EMBRYONIC FLOWER 1', 'EMF1', 4, NULL),
(31759, NULL, 'IPR037150', NULL, 'Histone-like protein H-NS, C-terminal domain superfamily', 'H-NS_C_dom_sf', 5, NULL),
(31760, NULL, 'IPR033699', NULL, 'Plk4, first cryptic polo-box domain', 'POLO_box_Plk4_1', 3, NULL),
(31761, NULL, 'IPR040942', NULL, 'Minimal CRISPR polymerase domain', 'Minimal_Cpol', 3, NULL),
(31762, NULL, 'IPR033589', NULL, 'Pre-B-cell leukemia transcription factor-interacting protein 1', 'PBXIP1', 4, NULL),
(31763, NULL, 'IPR037040', NULL, 'Cytotoxic necrotizing factor, Rho-activating domain superfamily', 'CNF_Rho-act_sf', 5, NULL),
(31764, NULL, 'IPR037159', NULL, 'DNA-directed RNA polymerase, N-terminal domain superfamily', 'RNA_POL_N_sf', 5, NULL),
(31765, NULL, 'IPR033807', NULL, 'Antirepressor CarS', 'CarS_antirepressor', 3, NULL),
(31766, NULL, 'IPR041490', NULL, 'HTH-type transcriptional repressor KstR2, C-terminal', 'KstR2_TetR_C', 3, NULL),
(31767, NULL, 'IPR039347', NULL, 'Sperm mitochondrial-associated cysteine-rich protein', 'SMCP', 4, NULL),
(31768, NULL, 'IPR036060', NULL, 'Zinc finger, C2H2C-type superfamily', 'Znf_C2H2C_sf', 5, NULL),
(31769, NULL, 'IPR036260', NULL, 'P40 nucleoprotein superfamily, Borna disease virus', 'P40_nucleoprot_sf_BD-vir', 5, NULL),
(31770, NULL, 'IPR035033', NULL, 'TRIM39, PRY/SPRY domain', 'PRY/SPRY_TRIM39', 3, NULL),
(31771, NULL, 'IPR041449', NULL, 'Phosphoserine phosphatase, N-terminal', 'SerB_N', 3, NULL),
(31772, NULL, 'IPR040745', NULL, 'Ankyrin, UPA domain', 'Ankyrin_UPA', 3, NULL),
(31773, NULL, 'IPR033578', NULL, 'Cell division cycle-associated 7-like protein', 'CDCA7L', 4, NULL),
(31774, NULL, 'IPR034505', NULL, 'Anaerobic coproporphyrinogen-III oxidase', 'Coproporphyrinogen-III_oxidase', 4, NULL),
(31775, NULL, 'IPR033248', NULL, 'Transketolase, C-terminal domain', 'Transketolase_C', 3, NULL),
(31776, NULL, 'IPR037168', NULL, 'Virulence factor YopE, GAP domain superfamily', 'YopE_GAP_dom_sf', 5, NULL),
(31777, NULL, 'IPR038730', NULL, 'Hydrogenase-4 component E-like', 'HyfE-like', 4, NULL),
(31778, NULL, 'IPR038166', NULL, 'Polyprotein cleavage domain PL2pro superfamily, coronavirus', 'NSP3_PL2pro_sf_CoV', 5, NULL),
(31779, NULL, 'IPR041378', NULL, 'SbsC C-terminal domain', 'S-layer_SbsC_C', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31780, NULL, 'IPR039837', NULL, 'Prolyl 3-hydroxylase 1', 'P3H1', 4, NULL),
(31781, NULL, 'IPR033555', NULL, 'TCF3 fusion partner', 'TFPT', 4, NULL),
(31782, NULL, 'IPR037221', NULL, 'H-type lectin domain superfamily', 'H-type_lectin_dom_sf', 5, NULL),
(31783, NULL, 'IPR033654', NULL, 'Sialidase, Influenza viruses A/B', 'Sialidase_Influenza_A/B', 3, NULL),
(31784, NULL, 'IPR041372', NULL, 'Cas3, C-terminal', 'Cas3_C', 3, NULL),
(31785, NULL, 'IPR041393', NULL, 'Sld3, N-terminal', 'Sld3_N', 3, NULL),
(31786, NULL, 'IPR041299', NULL, 'Chromatin remodeling factor Mit1, C-terminal Zn finger 1', 'Znf-CCCH_7', 3, NULL),
(31787, NULL, 'IPR037188', NULL, 'Ribosome maturation protein Sdo1/SBDS, central domain superfamily', 'Sdo1/SBDS_central_sf', 5, NULL),
(31788, NULL, 'IPR033810', NULL, 'Carboxypeptidase T', 'Carboxypeptidase_T', 3, NULL),
(31789, NULL, 'IPR041086', NULL, 'YAP binding domain', 'YBD', 3, NULL),
(31790, NULL, 'IPR035081', NULL, '(5-formylfuran-3-yl)methyl phosphate synthase, archaea', '4HFCP_synth_arc', 4, NULL),
(31791, NULL, 'IPR037049', NULL, 'Domain of unknown function DUF1214, C-terminal domain superfamily', 'DUF1214_C_sf', 5, NULL),
(31792, NULL, 'IPR040951', NULL, 'Interleukin-2 receptor subunit beta, N-terminal', 'IL2RB_N1', 3, NULL),
(31793, NULL, 'IPR035933', NULL, 'Hypothetical protein MTH1880', 'MTH1880', 5, NULL),
(31794, NULL, 'IPR035500', NULL, 'Nuclear hormone receptor-like domain superfamily', 'NHR-like_dom_sf', 5, NULL),
(31795, NULL, 'IPR037562', NULL, 'Complement C5', 'Complement_C5', 4, NULL),
(31796, NULL, 'IPR033194', NULL, 'Microfibrillar-associated protein 1', 'MFAP1', 4, NULL),
(31797, NULL, 'IPR040232', NULL, 'Protein Kreg-1', 'Kreg-1', 4, NULL),
(31798, NULL, 'IPR039346', NULL, 'Classical arabinogalactan protein 25/26', 'AGP25/26', 4, NULL),
(31799, NULL, 'IPR035337', NULL, 'Uncharacterized protein Ycf70-like', 'Ycf70-like', 4, NULL),
(31800, NULL, 'IPR037824', NULL, 'NdvB, GH94N domain 2', 'GH94N_2_NdvB', 3, NULL),
(31801, NULL, 'IPR033940', NULL, '3-isopropylmalate dehydratase, swivel domain', 'IPMI_Swivel', 3, NULL),
(31802, NULL, 'IPR041388', NULL, 'PNK, FHA domain', 'FHA_2', 3, NULL),
(31803, NULL, 'IPR033447', NULL, 'OSK domain', 'OSK', 3, NULL),
(31804, NULL, 'IPR041485', NULL, 'QsdR, TetR regulatory C-terminal domain', 'TetR_C_36', 3, NULL),
(31805, NULL, 'IPR033644', NULL, 'Ferrochelatase, C-terminal', 'Ferrochelatase_C', 3, NULL),
(31806, NULL, 'IPR041294', NULL, 'Ankyrin ubiquitin-binding domain', 'AnkUBD', 3, NULL),
(31807, NULL, 'IPR037053', NULL, 'Phage tail collar domain superfamily', 'Phage_tail_collar_dom_sf', 5, NULL),
(31808, NULL, 'IPR041402', NULL, 'Dextranase, beta solenoid repeat', 'B_solenoid_dext', 7, NULL),
(31809, NULL, 'IPR036477', NULL, 'Formyl transferase, N-terminal domain superfamily', 'Formyl_transf_N_sf', 5, NULL),
(31810, NULL, 'IPR038957', NULL, 'Hepsin', 'Hepsin', 4, NULL),
(31811, NULL, 'IPR041504', NULL, 'Adaptive response protein AidB, N-terminal', 'AidB_N', 3, NULL),
(31812, NULL, 'IPR041021', NULL, 'P-loop nucleotide kinase 2', 'Ploopntkinase2', 4, NULL),
(31813, NULL, 'IPR035111', NULL, 'Protein of unknown function DUF5516', 'DUF5516', 4, NULL),
(31814, NULL, 'IPR040385', NULL, 'Rab-like protein 6', 'RABL6', 4, NULL),
(31815, NULL, 'IPR037380', NULL, 'DALR anticodon-binding domain-containing protein 3', 'DALRD3', 4, NULL),
(31816, NULL, 'IPR041401', NULL, 'Domain of unknown function DUF5590', 'DUF5590', 3, NULL),
(31817, NULL, 'IPR041296', NULL, 'ISP3, C-terminal', 'ISP3_C', 3, NULL),
(31818, NULL, 'IPR039145', NULL, '39S ribosomal protein L40, mitochondrial', 'MRPL40', 4, NULL),
(31819, NULL, 'IPR035110', NULL, 'HCMV protein UL42', 'UL42', 4, NULL),
(31820, NULL, 'IPR037223', NULL, 'Protein 9b, SARS-CoV', 'Protein_9b_SARS', 5, NULL),
(31821, NULL, 'IPR041132', NULL, 'Domain of unknown function DUF5624', 'DUF5624', 3, NULL),
(31822, NULL, 'IPR038967', NULL, 'DSC E3 ubiquitin ligase complex subunit 4-like', 'Dsc4-like', 4, NULL),
(31823, NULL, 'IPR033213', NULL, 'Endoplasmic reticulum protein SC65', 'SC65', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31824, NULL, 'IPR041099', NULL, 'Fatty acid synthase subunit beta, N-terminal domain', 'FAS1_N', 3, NULL),
(31825, NULL, 'IPR041483', NULL, 'Tetracyclin repressor-like, C-terminal domain 34', 'TetR_C_34', 3, NULL),
(31826, NULL, 'IPR040379', NULL, 'WD repeat-containing protein 19/dyf-2', 'WDR19/dyf-2', 4, NULL),
(31827, NULL, 'IPR041389', NULL, 'Importin repeat 6', 'Importin_rep_6', 7, NULL),
(31828, NULL, 'IPR040949', NULL, 'HetR, C-terminal Hood domain', 'HetR_C', 3, NULL),
(31829, NULL, 'IPR037160', NULL, 'DNA polymerase, thumb domain superfamily', 'DNA_Pol_thumb_sf', 5, NULL),
(31830, NULL, 'IPR041320', NULL, 'CxC1-like cysteine cluster associated with KDZ transposases', 'CxC1', 3, NULL),
(31831, NULL, 'IPR033214', NULL, 'A-kinase-interacting protein 1', 'AKIP1', 4, NULL),
(31832, NULL, 'IPR039835', NULL, 'Developmental pluripotency-associated protein 2', 'Dppa2', 4, NULL),
(31833, NULL, 'IPR035584', NULL, 'Amidophosphoribosyltransferase, N-terminal', 'PurF_N', 3, NULL),
(31834, NULL, 'IPR033554', NULL, 'Centromere protein S', 'CENPS', 4, NULL),
(31835, NULL, 'IPR033198', NULL, 'Repetin', 'RPTN', 4, NULL),
(31836, NULL, 'IPR041380', NULL, 'Eis-like, acetyltransferase domain', 'Acetyltransf_17', 3, NULL),
(31837, NULL, 'IPR037039', NULL, 'Chorismate mutase, AroQ class superfamily, eukaryotic', 'CM_AroQ_sf_eucaryotic', 5, NULL),
(31838, NULL, 'IPR041136', NULL, 'Major vault protein repeat domain 4', 'Vault_4', 3, NULL),
(31839, NULL, 'IPR038064', NULL, 'Influenza A virus NS1, effector domain-like superfamily', 'NS1A_effect_dom-like_sf', 5, NULL),
(31840, NULL, 'IPR040743', NULL, 'DNA methylase N-terminal domain', 'DNA_meth_N', 3, NULL),
(31841, NULL, 'IPR037048', NULL, 'KorB, C-terminal domain superfamily', 'KorB_C_sf', 5, NULL),
(31842, NULL, 'IPR041395', NULL, 'HAMP N-terminal domain 3', 'HAMP_N3', 3, NULL),
(31843, NULL, 'IPR034722', NULL, 'Succinate--CoA ligase [GDP-forming] subunit beta, mitochondrial', 'Succ_CoA_betaG_euk', 4, NULL),
(31844, NULL, 'IPR036194', NULL, 'Flagellar transcriptional activator FlhD superfamily', 'FlhD_sf', 5, NULL),
(31845, NULL, 'IPR034898', NULL, 'RBM4, RNA recognition motif 2', 'RBM4_RRM2', 3, NULL),
(31846, NULL, 'IPR041441', NULL, 'Pih1, Ascomycota, CS domain', 'Pih1_CS_Ascomycota', 3, NULL),
(31847, NULL, 'IPR033871', NULL, 'Sm-like protein LSm5', 'LSm5', 3, NULL),
(31848, NULL, 'IPR036262', NULL, 'Resistin-like superfamily', 'Resistin-like_sf', 5, NULL),
(31849, NULL, 'IPR035870', NULL, 'Tyrosine-protein kinase TXK, SH2 domain', 'Txk_SH2', 3, NULL),
(31850, NULL, 'IPR036699', NULL, 'YehR-like superfamily', 'YehR-like_sf', 5, NULL),
(31851, NULL, 'IPR041342', NULL, 'DUF5010, C-terminal domain', 'DUF5010_C', 3, NULL),
(31852, NULL, 'IPR041385', NULL, '5''-3'' exoribonuclease 1, SH3-like domain', 'SH3_12', 3, NULL),
(31853, NULL, 'IPR041523', NULL, 'Roquin II', 'ROQ_II', 3, NULL),
(31854, NULL, 'IPR033811', NULL, 'Proteasome beta 3 subunit', 'Proteasome_beta_3', 4, NULL),
(31855, NULL, 'IPR041191', NULL, 'pPIWI_RE three-gene island domain Y', 'pPIWI_RE_Y', 3, NULL),
(31856, NULL, 'IPR041346', NULL, 'DR2241, 4Fe-4S iron-sulfur cluster binding domain', 'DR2241_Fer4', 3, NULL),
(31857, NULL, 'IPR038163', NULL, 'Drosophila transcription factor p53, C-terminal domain superfamily', 'Dro_p53_C_sf', 5, NULL),
(31858, NULL, 'IPR036059', NULL, 'Metalloprotease TldD/PmbA superfamily', 'TldD/PmbA_sf', 5, NULL),
(31859, NULL, 'IPR041268', NULL, 'CCDC81-like prokaryotic HU domain 2', 'HU-CCDC81_bac_2', 3, NULL),
(31860, NULL, 'IPR033843', NULL, 'Carboxypeptidase A6', 'CPAH', 3, NULL),
(31861, NULL, 'IPR033996', NULL, 'Tumor necrosis factor receptor 1B, N-terminal', 'TNFRSF1B_N', 3, NULL),
(31862, NULL, 'IPR038165', NULL, 'FlgT, C-terminal domain superfamily', 'FlgT_C_sf', 5, NULL),
(31863, NULL, 'IPR033442', NULL, 'tRNA(Met) cytidine acetyltransferase TmcA, tRNA-binding domain', 'TmcA_tRNA_bind', 3, NULL),
(31864, NULL, 'IPR041192', NULL, 'ZNF451, PIN-like domain', 'PIN_11', 3, NULL),
(31865, NULL, 'IPR034731', NULL, 'Zinc finger CCHC FOG-type', 'ZF_CCHC_FOG', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31866, NULL, 'IPR033076', NULL, 'CD36', 'CD36_chordates', 4, NULL),
(31867, NULL, 'IPR041090', NULL, 'Protein of unknown function DUF5578', 'DUF5578', 4, NULL),
(31868, NULL, 'IPR038016', NULL, 'ASAP1, SH3 domain', 'ASAP1_SH3', 3, NULL),
(31869, NULL, 'IPR040726', NULL, 'Halobacterial output domain 2', 'HalOD2', 3, NULL),
(31870, NULL, 'IPR040747', NULL, 'BILBO1, N-terminal domain', 'BILBO1_N', 3, NULL),
(31871, NULL, 'IPR037158', NULL, 'Threonine synthase, N-terminal domain superfamily', 'Thr_synth_N_sf', 5, NULL),
(31872, NULL, 'IPR034214', NULL, 'Ba3-like heme-copper oxidase subunit II, C-terminal', 'Ba3_CcO_II_C', 3, NULL),
(31873, NULL, 'IPR041265', NULL, 'Propionyl-coenzyme A carboxylase, BT domain', 'PCC_BT', 3, NULL),
(31874, NULL, 'IPR041004', NULL, 'Cell-traversal protein for ookinetes and sporozoites', 'CelTOS', 3, NULL),
(31875, NULL, 'IPR037042', NULL, 'Putative bacterial toxin YdaT superfamily', 'YdaT_toxin_sf', 5, NULL),
(31876, NULL, 'IPR040946', NULL, 'Endoglucanase B, carbohydrate binding domain', 'CBM46', 3, NULL),
(31877, NULL, 'IPR033738', NULL, 'Asparagine synthase, N-terminal domain', 'AsnB_N', 3, NULL),
(31878, NULL, 'IPR041486', NULL, 'Sir2/TIR-associating SLOG domain', 'STALD', 3, NULL),
(31879, NULL, 'IPR041391', NULL, 'Protein of unknown function DUF5570', 'DUF5570', 4, NULL),
(31880, NULL, 'IPR033976', NULL, 'Gentamicin-like N-methyltransferase', 'GntE-like', 4, NULL),
(31881, NULL, 'IPR033867', NULL, 'Ribosome assembly factor Mrt4', 'Mrt4', 4, NULL),
(31882, NULL, 'IPR034584', NULL, 'Testis, prostate and placenta-expressed protein', 'TEPP', 4, NULL),
(31883, NULL, 'IPR041349', NULL, 'Proline utilization A proline dehydrogenase N-terminal domain', 'PRODH', 3, NULL),
(31884, NULL, 'IPR039143', NULL, 'Glucosamine 6-phosphate N-acetyltransferase', 'GNPNAT1', 4, NULL),
(31885, NULL, 'IPR038164', NULL, 'Pab87 octamerisation domain superfamily', 'Pab87_oct_sf', 5, NULL),
(31886, NULL, 'IPR041423', NULL, 'DNA gyrase subunit B insert domain', 'GyrB_insert', 3, NULL),
(31887, NULL, 'IPR041422', NULL, 'Protein of unknown function DUF5545', 'DUF5545', 4, NULL),
(31888, NULL, 'IPR037167', NULL, 'D-Ala-D-Ala carboxypeptidase, C-terminal domain superfamily', 'Peptidase_S11_C_sf', 5, NULL),
(31889, NULL, 'IPR041266', NULL, 'EDS1, EP domain', 'EDS1_EP', 3, NULL),
(31890, NULL, 'IPR039836', NULL, 'Developmental pluripotency-associated protein 4', 'Dppa4', 4, NULL),
(31891, NULL, 'IPR041400', NULL, 'PARP16 N-terminal domain', 'PARP16_N', 3, NULL),
(31892, NULL, 'IPR033665', NULL, 'D-aminoacyl-tRNA deacylase DTD3', 'Deacylase_DTD3', 4, NULL),
(31893, NULL, 'IPR039136', NULL, 'NUFIP1-like', 'NUFIP1-like', 4, NULL),
(31894, NULL, 'IPR041382', NULL, 'Bacterial dipeptidyl-peptidase SH3 domain', 'SH3_16', 3, NULL),
(31895, NULL, 'IPR033942', NULL, 'Inositol monophosphatase', 'IMPase', 4, NULL),
(31896, NULL, 'IPR037152', NULL, 'L-asparaginase, N-terminal domain superfamily', 'L-asparaginase_N_sf', 5, NULL),
(31897, NULL, 'IPR037561', NULL, 'Complement factor D', 'Complement_factor_D', 4, NULL),
(31898, NULL, 'IPR041373', NULL, 'Reverse transcriptase, RNase H-like domain', 'RT_RNaseH', 3, NULL),
(31899, NULL, 'IPR033978', NULL, 'L-talarate/galactarate dehydratase', 'L-talarate_dehydratase', 4, NULL),
(31900, NULL, 'IPR036483', NULL, 'PWI domain superfamily', 'PWI_dom_sf', 5, NULL),
(31901, NULL, 'IPR036061', NULL, 'CheW-like domain superfamily', 'CheW-like_dom_sf', 5, NULL),
(31902, NULL, 'IPR040746', NULL, 'THO1_MOS11, C-terminal domain', 'THO1_MOS11_C', 3, NULL),
(31903, NULL, 'IPR034738', NULL, 'Inner tegument protein', 'HSV_ITP', 4, NULL),
(31904, NULL, 'IPR036250', NULL, 'Acyl-CoA dehydrogenase-like, C-terminal', 'AcylCo_DH-like_C', 5, NULL),
(31905, NULL, 'IPR040808', NULL, 'Protein of unknown function DUF5630', 'DUF5630', 4, NULL),
(31906, NULL, 'IPR033249', NULL, 'CLAVATA3/ESR (CLE)-related protein, plant', 'CLE_plant', 4, NULL),
(31907, NULL, 'IPR033243', NULL, 'Zinc finger protein JACKDAW-like', 'JKD-like', 4, NULL),
(31908, NULL, 'IPR036701', NULL, 'RraB-like superfamily', 'RraB-like_sf', 5, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31909, NULL, 'IPR033513', NULL, 'Next to BRCA1 gene 1 protein', 'NBR1', 4, NULL),
(31910, NULL, 'IPR039382', NULL, 'M61 glycyl-aminopeptidase, PDZ domain', 'M61_PDZ_dom', 3, NULL),
(31911, NULL, 'IPR037161', NULL, 'Semialdehyde dehydrogenase-like, C-terminal', 'Semialdehyde_DH-like_C', 5, NULL),
(31912, NULL, 'IPR033254', NULL, 'Fasciclin-like arabinogalactan protein', 'Plant_FLA', 4, NULL),
(31913, NULL, 'IPR041345', NULL, 'Reovirus sigma C capsid protein triple beta spiral', 'Reo_sigmaC_M', 3, NULL),
(31914, NULL, 'IPR038733', NULL, 'Predicted DNA-binding protein, ribbon-helix-helix domain', 'Predicted_DNA_bind_prot_RHH', 3, NULL),
(31915, NULL, 'IPR035812', NULL, 'Methylenetetrahydrofolate dehydrogenase, NAD-binding domain', 'm-THF_DH_NAD-bd', 3, NULL),
(31916, NULL, 'IPR033417', NULL, 'Periplasmic sensor domain CHASE8', 'CHASE8', 3, NULL),
(31917, NULL, 'IPR035038', NULL, 'Tripartite motif-containing protein 72', 'TRIM72', 4, NULL),
(31918, NULL, 'IPR041442', NULL, 'PIH1D1/2/3, CS-like domain', 'PIH1D1/2/3_CS-like', 3, NULL),
(31919, NULL, 'IPR041027', NULL, 'FtsK alpha domain', 'FtsK_alpha', 3, NULL),
(31920, NULL, 'IPR041013', NULL, 'Allene oxide cyclase barrel-like domain', 'AOC-like', 3, NULL),
(31921, NULL, 'IPR041451', NULL, 'RecD-like DNA helicase, SH3 domain', 'RecD-like_SH13', 3, NULL),
(31922, NULL, 'IPR041199', NULL, 'CarS, SH3 domain', 'CarS_SH3', 3, NULL),
(31923, NULL, 'IPR034000', NULL, 'Tumour necrosis factor receptor 7, N-terminal', 'TNFRSF7_N', 3, NULL),
(31924, NULL, 'IPR033415', NULL, 'C-terminal domain of two-partite extracellular sensor domain', 'CHASE6_C', 3, NULL),
(31925, NULL, 'IPR034136', NULL, 'Topoisomerase 6 subunit A/Spo11, TOPRIM domain', 'TOPRIM_Topo6A/Spo11', 3, NULL),
(31926, NULL, 'IPR033189', NULL, 'Vitamin K-dependent protein S', 'PROS1', 4, NULL),
(31927, NULL, 'IPR033813', NULL, 'Penicillin G acylase, C-terminal', 'PGA_C', 3, NULL),
(31928, NULL, 'IPR040947', NULL, 'Short myomegalin-like EB1 binding protein, N-terminal', 'SMYLE_N', 3, NULL),
(31929, NULL, 'IPR036698', NULL, 'TM1070-like superfamily', 'TM1070-like_sf', 5, NULL),
(31930, NULL, 'IPR036256', NULL, 'Mu1/VP4 superfamily', 'Mu1/VP4_sf', 5, NULL),
(31931, NULL, 'IPR037222', NULL, 'GatD, N-terminal superfamily', 'GatD_N_sf', 5, NULL),
(31932, NULL, 'IPR041134', NULL, 'Major vault protein repeat domain 2', 'Vault_2', 3, NULL),
(31933, NULL, 'IPR034720', NULL, 'Viral alkaline exonuclease', 'Viral_alk_exo', 4, NULL),
(31934, NULL, 'IPR033700', NULL, 'Serine/threonine-protein kinase Plk4', 'Plk4', 4, NULL),
(31935, NULL, 'IPR041371', NULL, 'Glycosyl hydrolase family 92 N-terminal domain', 'GH92_N', 3, NULL),
(31936, NULL, 'IPR034937', NULL, 'Protocatechuate 4,5-dioxygenase beta chain', 'PCA_45_Dioxygenase_B', 4, NULL),
(31937, NULL, 'IPR033413', NULL, 'Domain of unknown function DUF5117', 'DUF5117', 3, NULL),
(31938, NULL, 'IPR041365', NULL, 'Csp protease B, prodomain', 'CspB_prodomain', 3, NULL),
(31939, NULL, 'IPR040939', NULL, 'Vacuolar protein sorting 38', 'Vps38', 4, NULL),
(31940, NULL, 'IPR041220', NULL, 'Large polyvalent protein associated domain 24', 'LPD24', 3, NULL),
(31941, NULL, 'IPR033598', NULL, 'WW domain-binding protein 2', 'WBP2', 4, NULL),
(31942, NULL, 'IPR041392', NULL, 'Beta-galactosidase, beta-sandwich domain', 'GHD', 3, NULL),
(31943, NULL, 'IPR037165', NULL, 'Aldehyde oxidase/xanthine dehydrogenase, molybdopterin binding domain superfamily', 'AldOxase/xan_DH_Mopterin-bd_sf', 5, NULL),
(31944, NULL, 'IPR033444', NULL, 'Membrane-associated sensor MASE5', 'MASE5', 3, NULL),
(31945, NULL, 'IPR033461', NULL, 'Putative WW-binding domain and destruction box', 'WRNPLPNID', 3, NULL),
(31946, NULL, 'IPR035336', NULL, 'Protein of unknown function DUF5398', 'DUF5398', 4, NULL),
(31947, NULL, 'IPR037153', NULL, 'Pyrimidine/purine nucleotide 5''-monophosphate nucleosidase YgdH-like superfamily', 'YgdH-like_sf', 5, NULL),
(31948, NULL, 'IPR035587', NULL, 'DUS-like, FMN-binding domain', 'DUS-like_FMN-bd', 3, NULL),
(31949, NULL, 'IPR037381', NULL, 'E3 ubiquitin-protein ligase RFWD3', 'RFWD3', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31950, NULL, 'IPR033966', NULL, 'RuBisCO', 'RuBisCO', 4, NULL),
(31951, NULL, 'IPR041347', NULL, 'MftR, C-terminal', 'MftR_C', 3, NULL),
(31952, NULL, 'IPR033511', NULL, 'Rho guanine nucleotide exchange factor Cdc24/Scd1, PH domain', 'Cdc24/Scd1_PH_dom', 3, NULL),
(31953, NULL, 'IPR041484', NULL, 'TetR transcriptional regulator Rv1219c-like, C-terminal domain', 'TetR_C_25', 3, NULL),
(31954, NULL, 'IPR036254', NULL, 'Rab geranylgeranyltransferase, alpha subunit, insert-domain superfamily', 'RabGGT_asu_insert-dom_sf', 5, NULL),
(31955, NULL, 'IPR041354', NULL, '4''-phosphopantetheinyl transferase, N-terminal domain', '4PPT_N', 3, NULL),
(31956, NULL, 'IPR038964', NULL, 'Alpha-L-arabinofuranosidase B', 'ABFB', 4, NULL),
(31957, NULL, 'IPR033812', NULL, 'Proteasome subunit alpha5', 'Proteasome_alpha_type_5', 4, NULL),
(31958, NULL, 'IPR041509', NULL, 'Glycosyl hydrolases 38, beta-1 domain', 'GH38_beta-1', 3, NULL),
(31959, NULL, 'IPR037155', NULL, 'Staphopain proregion superfamily', 'Staphopain_pro_sf', 5, NULL),
(31960, NULL, 'IPR034757', NULL, 'Ornithine aminotransferase, bacterial type', 'Ornith_aminotrans_bact', 4, NULL),
(31961, NULL, 'IPR033545', NULL, 'Centrosomal protein of 89kDa', 'CEP89', 4, NULL),
(31962, NULL, 'IPR035332', NULL, 'Protein of unknown function DUF5386', 'DUF5386', 4, NULL),
(31963, NULL, 'IPR039345', NULL, 'Protein STPG4', 'STPG4', 4, NULL),
(31964, NULL, 'IPR033414', NULL, 'Periplasmic sensor domain', 'Sensor_dom', 3, NULL),
(31965, NULL, 'IPR041062', NULL, 'Csm1, subunit domain B', 'Csm1_B', 3, NULL),
(31966, NULL, 'IPR033446', NULL, 'Zinc finger domain-containing protein 24, zinc-binding domain', 'Zcchc24_Znf-3CxxC', 3, NULL),
(31967, NULL, 'IPR034514', NULL, 'Carbapenem intermediate methyltransferase ThnK-like', 'ThnK-like', 4, NULL),
(31968, NULL, 'IPR037034', NULL, 'RNA polymerase Rpb2, domain 2 superfamily', 'RNA_pol_Rpb2_2_sf', 5, NULL),
(31969, NULL, 'IPR039343', NULL, 'Protein NEOXANTHIN-DEFICIENT 1-like', 'NDX1-like', 4, NULL),
(31970, NULL, 'IPR033512', NULL, 'Protein TFG', 'TFG', 4, NULL),
(31971, NULL, 'IPR034258', NULL, 'Ascorbate oxidase, second cupredoxin domain', 'CuRO_2_AAO', 3, NULL),
(31972, NULL, 'IPR033190', NULL, 'Coagulation factor VII', 'F7', 4, NULL),
(31973, NULL, 'IPR033634', NULL, 'Ras association domain-containing protein 10', 'RASSF10', 4, NULL),
(31974, NULL, 'IPR041097', NULL, 'PKHD-type hydroxylase C-terminal domain', 'PKHD_C', 3, NULL),
(31975, NULL, 'IPR037033', NULL, 'DNA-directed RNA polymerase, subunit 2, hybrid-binding domain superfamily', 'DNA-dir_RNAP_su2_hyb_sf', 5, NULL),
(31976, NULL, 'IPR037379', NULL, 'WDR74/Nsa1', 'WDR74/Nsa1', 4, NULL),
(31977, NULL, 'IPR039031', NULL, 'Mucolipin', 'Mucolipin', 4, NULL),
(31978, NULL, 'IPR040998', NULL, 'Barnase-EndoU-ColicinE5/D-RelE like', 'PBECR5', 3, NULL),
(31979, NULL, 'IPR033632', NULL, 'Ras association domain-containing protein 8', 'RASSF8', 4, NULL),
(31980, NULL, 'IPR035585', NULL, 'Serine/arginine-rich splicing factor SRSF4-like, RNA recognition motif 1', 'RRM1_SRSF4-like', 3, NULL),
(31981, NULL, 'IPR041029', NULL, 'N-acetylglucosamine binding protein A domain 2', 'GbpA_2', 3, NULL),
(31982, NULL, 'IPR035930', NULL, 'FomD-like superfamily', 'FomD-like_sf', 5, NULL),
(31983, NULL, 'IPR039034', NULL, 'Inositol 3,4-bisphosphate 4-phosphatase', 'INPP4', 4, NULL),
(31984, NULL, 'IPR035932', NULL, 'HflD-like superfamily', 'HflD-like_sf', 5, NULL),
(31985, NULL, 'IPR041353', NULL, 'Flax-rust effector AvrM, N-terminal domain', 'AvrM_N', 3, NULL),
(31986, NULL, 'IPR033847', NULL, 'ATP-citrate lyase/succinyl-CoA ligase, conserved site', 'Citrt_syn/SCS-alpha_CS', 2, NULL),
(31987, NULL, 'IPR037156', NULL, 'Like-Sm ribonucleoprotein, C-terminal domain superfamily', 'Lsm_C_sf', 5, NULL),
(31988, NULL, 'IPR034519', NULL, 'UDP-N-acetyl-tunicamine-uracil synthase TunB-like', 'TunB-like', 4, NULL),
(31989, NULL, 'IPR033676', NULL, 'Autoinducer-2 kinase', 'AI-2_kinase', 4, NULL),
(31990, NULL, 'IPR034815', NULL, 'Alpha-dioxygenase', 'A_dioxygenase', 4, NULL),
(31991, NULL, 'IPR034508', NULL, 'Spectinomycin biosynthesis', 'Spectinomycin_biosynthesis', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(31992, NULL, 'IPR037169', NULL, 'Mitochondrial cytochrome c oxidase subunit VIc/VIIs superfamily', 'Cytochrome_c_oxidase_VIc_sf', 5, NULL),
(31993, NULL, 'IPR041340', NULL, 'PIK3AP1, Toll/interleukin-1 receptor domain', 'PIK3AP1_TIR', 3, NULL),
(31994, NULL, 'IPR039379', NULL, 'Protoglobin, globin sensor domain', 'Protoglobin_sensor_dom', 3, NULL),
(31995, NULL, 'IPR040941', NULL, 'Exuperantia, SAM-like domain', 'SAM_Exu', 3, NULL),
(31996, NULL, 'IPR041390', NULL, 'Focal adhesion kinase, N-terminal', 'FADK_N', 3, NULL),
(31997, NULL, 'IPR040725', NULL, 'PheRS, DNA binding domain 3', 'PheRS_DBD3', 3, NULL),
(31998, NULL, 'IPR040382', NULL, 'Nucleolar protein 10/Enp2', 'NOL10/Enp2', 4, NULL),
(31999, NULL, 'IPR035338', NULL, 'Protein KleA/KleC', 'KleA/KleC', 4, NULL),
(32000, NULL, 'IPR033597', NULL, 'Postacrosomal sheath WW domain-binding protein', 'WBP2NL', 4, NULL),
(32001, NULL, 'IPR041331', NULL, 'Bacterial alpha amylase, C-terminal domain', 'Bac_A_amyl_C', 3, NULL),
(32002, NULL, 'IPR034934', NULL, 'F-BAR and double SH3 domains protein 2', 'FCHSD2', 4, NULL),
(32003, NULL, 'IPR037808', NULL, 'Dedicator of cytokinesis C, C2 domain', 'C2_Dock-C', 3, NULL),
(32004, NULL, 'IPR037396', NULL, 'FMN hydroxy acid dehydrogenase domain', 'FMN_HAD', 3, NULL),
(32005, NULL, 'IPR041894', NULL, 'ProX-like, substrate-binding domain', 'PBP2_ProX-like', 3, NULL),
(32006, NULL, 'IPR038168', NULL, 'Transcription factor DP, C-terminal domain superfamily', 'TF_DP_C_sf', 5, NULL),
(32007, NULL, 'IPR037331', NULL, 'Ankyrin repeat and SOCS box protein 1, SOCS box domain', 'ASB1_SOCS', 3, NULL),
(32008, NULL, 'IPR036674', NULL, 'p53-like tetramerisation domain superfamily', 'p53_tetramer_sf', 5, NULL),
(32009, NULL, 'IPR041386', NULL, 'XIAP-associated factor 1, C-terminal', 'XAF1_C', 3, NULL),
(32010, NULL, 'IPR041576', NULL, 'Virulence factor Evf', 'Evf', 3, NULL),
(32011, NULL, 'IPR041906', NULL, 'Ribosomal S6 kinase, N-terminal catalytic domain', 'RSK_N', 3, NULL),
(32012, NULL, 'IPR037809', NULL, 'Dedicator of cytokinesis D, C2 domain', 'C2_Dock-D', 3, NULL),
(32013, NULL, 'IPR041597', NULL, 'L,D-transpeptidase C-terminal domain', 'Ldt_C', 3, NULL),
(32014, NULL, 'IPR038116', NULL, 'TrpR-like superfamily', 'TrpR-like_sf', 5, NULL),
(32015, NULL, 'IPR041044', NULL, 'Nuclear polyadenylated RNA-binding 2 protein, CCCH zinc finger 1', 'Nab2p_Zf1', 3, NULL),
(32016, NULL, 'IPR041890', NULL, 'Carbonic anhydrase VII', 'Alpha_CA_VII', 4, NULL),
(32017, NULL, 'IPR036236', NULL, 'Zinc finger C2H2 superfamily', 'Znf_C2H2_sf', 5, NULL),
(32018, NULL, 'IPR041623', NULL, 'NOG1, N-terminal helical domain', 'NOG1_N', 3, NULL),
(32019, NULL, 'IPR036554', NULL, 'GHMP kinase, C-terminal domain superfamily', 'GHMP_kinase_C_sf', 5, NULL),
(32020, NULL, 'IPR034665', NULL, 'Novel protein kinase C eta, catalytic domain', 'nPKC_eta', 3, NULL),
(32021, NULL, 'IPR041498', NULL, 'Bacterial Ig domain', 'Big_6', 3, NULL),
(32022, NULL, 'IPR041701', NULL, 'Methionine import ATP-binding protein MetN, ATP-binding domain', 'MetN_ABC', 3, NULL),
(32023, NULL, 'IPR041334', NULL, 'SAV2148-like HEPN domain', 'HEPN_SAV2148', 3, NULL),
(32024, NULL, 'IPR041257', NULL, 'Adenomatous polyposis coli (APC) repeat', 'APC_rep', 7, NULL),
(32025, NULL, 'IPR036684', NULL, 'Calcium-mediated lectin superfamily', 'Ca_lectin_sf', 5, NULL),
(32026, NULL, 'IPR041469', NULL, 'Subtilisin-like protease, fibronectin type-III domain', 'Subtilisin-like_FN3', 3, NULL),
(32027, NULL, 'IPR037073', NULL, 'Nuclear receptor coactivator, CREB-bp-like, interlocking domain superfamily', 'Nuc_rcpt_coact_CREBbp_sf', 5, NULL),
(32028, NULL, 'IPR038384', NULL, 'Formate dehydrogenase, C-terminal domain superfamily', 'Formate_DH_C_sf', 5, NULL),
(32029, NULL, 'IPR038030', NULL, 'Non-structural protein NSP1 superfamily, betacoronavirus', 'NSP1_sf_bCoV', 5, NULL),
(32030, NULL, 'IPR041529', NULL, 'Nicotinamide phosphoribosyltransferase, N-terminal domain', 'DUF5598', 3, NULL),
(32031, NULL, 'IPR041515', NULL, 'PPAF-2, Clip domain', 'PPAF-2_Clip', 3, NULL),
(32032, NULL, 'IPR038397', NULL, 'TBCC, N-terminal domain superfamily', 'TBCC_N_sf', 5, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32033, NULL, 'IPR041601', NULL, 'Fluorescence recovery protein', 'FRP', 4, NULL),
(32034, NULL, 'IPR038097', NULL, 'Ribosomal protein L36e domain superfamily', 'L36e_sf', 5, NULL),
(32035, NULL, 'IPR037939', NULL, 'Death domain-containing protein CRADD', 'CRADD', 4, NULL),
(32036, NULL, 'IPR041958', NULL, 'KMT2A, ePHD domain', 'KMT2A_ePHD', 3, NULL),
(32037, NULL, 'IPR038092', NULL, 'Phosphorylated adapter RNA export protein, RNA-binding domain superfamily', 'PHAX_RNA-binding_sf', 5, NULL),
(32038, NULL, 'IPR033179', NULL, 'Phosphatidylserine decarboxylase, prokaryotic type 2', 'PSD_type2_pro', 4, NULL),
(32039, NULL, 'IPR033014', NULL, 'Calcium-binding protein 4', 'CABP4', 4, NULL),
(32040, NULL, 'IPR041285', NULL, 'MID domain of medPIWI', 'MID_MedPIWI', 3, NULL),
(32041, NULL, 'IPR041540', NULL, 'Vms1-associating treble clef domain', 'VATC', 3, NULL),
(32042, NULL, 'IPR037835', NULL, 'SNX27, RA domain', 'SNX27_RA', 3, NULL),
(32043, NULL, 'IPR037063', NULL, 'Bacterial Pleckstrin homology domain superfamily', 'PHb_sf', 5, NULL),
(32044, NULL, 'IPR038568', NULL, 'Hepatitis C virus NS5A, 1B domain superfamily', 'HCV_NS5A_1B_sf', 5, NULL),
(32045, NULL, 'IPR035442', NULL, 'Ferredoxin--NADP reductase, plant and Cyanobacteria type', 'FNR_plant_Cyanobacteria', 4, NULL),
(32046, NULL, 'IPR037365', NULL, 'Slowmo/Ups family', 'Slowmo/Ups', 4, NULL),
(32047, NULL, 'IPR041277', NULL, 'MBG domain, Lactobacillales', 'MBG_Lactobacillales', 3, NULL),
(32048, NULL, 'IPR041543', NULL, 'Domain of unknown function DUF5644', 'DUF5644', 3, NULL),
(32049, NULL, 'IPR036241', NULL, 'NSFL1 cofactor p47, SEP domain superfamily', 'NSFL1C_SEP_dom_sf', 5, NULL),
(32050, NULL, 'IPR038190', NULL, 'Set2 Rpb1 interacting domain superfamily', 'SRI_sf', 5, NULL),
(32051, NULL, 'IPR041499', NULL, 'Transcription factor IIIC subunit Tfc1/Sfc1, triple barrel domain', 'Tfc1/Sfc1_N', 3, NULL),
(32052, NULL, 'IPR036671', NULL, 'DPH-type metal-binding domain superfamily', 'DHP_MB_sf', 5, NULL),
(32053, NULL, 'IPR037420', NULL, 'HTH-type transcriptional activator AmpR, PBP2', 'AmpR_PBP2', 3, NULL),
(32054, NULL, 'IPR038576', NULL, 'Methyltransferase putative zinc binding domain superfamily', 'Methyltransf_Zn-bd_dom_put_sf', 5, NULL),
(32055, NULL, 'IPR041531', NULL, 'Baseplate upper protein, immunoglobulin like domain', 'BppU_IgG', 3, NULL),
(32056, NULL, 'IPR041460', NULL, 'Molybdopterin oxidoreductase, N-terminal', 'Molybdopterin_N', 3, NULL),
(32057, NULL, 'IPR041270', NULL, 'Phage ABA sandwich domain', 'Phage_ABA_S', 3, NULL),
(32058, NULL, 'IPR041711', NULL, 'Methionyl-tRNA formyltransferase, N-terminal domain', 'Met-tRNA-FMT_N', 3, NULL),
(32059, NULL, 'IPR038178', NULL, 'Kringle superfamily', 'Kringle_sf', 5, NULL),
(32060, NULL, 'IPR038618', NULL, 'CTXphi pIII, N1 domain superfamily', 'CTXphi_pIII_N1_sf', 5, NULL),
(32061, NULL, 'IPR038565', NULL, 'Proteinase, regulatory CLIP domain superfamily', 'CLIP_sf', 5, NULL),
(32062, NULL, 'IPR038179', NULL, 'NigD-like, N-terminal domain superfamily', 'NigD-like_N_sf', 5, NULL),
(32063, NULL, 'IPR038095', NULL, 'Costars domain superfamily', 'Costars_sf', 5, NULL),
(32064, NULL, 'IPR033339', NULL, 'Microtubule-associated tumour suppressor candidate 2', 'MTUS2', 4, NULL),
(32065, NULL, 'IPR037234', NULL, 'ImmE5 superfamily', 'ImmE5_sf', 5, NULL),
(32066, NULL, 'IPR037836', NULL, 'SNX17, atypical FERM-like domain', 'SNX17_FERM-like_dom', 3, NULL),
(32067, NULL, 'IPR037064', NULL, 'Formiminotransferase, N-terminal subdomain superfamily', 'Formiminotransferase_N_sf', 5, NULL),
(32068, NULL, 'IPR033677', NULL, 'Elongation of very long chain fatty acids protein 5', 'ELOVL5', 4, NULL),
(32069, NULL, 'IPR036651', NULL, 'Glutamine synthetase, N-terminal domain superfamily', 'Gln_synt_N', 5, NULL),
(32070, NULL, 'IPR040369', NULL, 'LisH domain-containing protein ARMC9', 'ARMC9', 4, NULL),
(32071, NULL, 'IPR041247', NULL, 'Rad52 family', 'Rad52_fam', 4, NULL),
(32072, NULL, 'IPR041489', NULL, 'PDZ domain 6', 'PDZ_6', 3, NULL),
(32073, NULL, 'IPR035968', NULL, 'ATP synthase, F1 complex, gamma subunit superfamily', 'ATP_synth_F1_ATPase_gsu', 5, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32074, NULL, 'IPR037363', NULL, 'Sec13/Seh1 family', 'Sec13/Seh1_fam', 4, NULL),
(32075, NULL, 'IPR033177', NULL, 'Phosphatidylserine decarboxylase', 'PSD', 4, NULL),
(32076, NULL, 'IPR039297', NULL, 'Cytochrome c oxidase subunit VII', 'COX7a', 4, NULL),
(32077, NULL, 'IPR039295', NULL, 'Signaling mucin MSB2', 'MSB2', 4, NULL),
(32078, NULL, 'IPR041721', NULL, 'Lactate-binding periplasmic protein TTHA0766', 'TTHA0766', 4, NULL),
(32079, NULL, 'IPR041336', NULL, 'DNA mitochondrial polymerase, exonuclease domain', 'DNApol_Exo', 3, NULL),
(32080, NULL, 'IPR036680', NULL, 'Sporulation-like domain superfamily', 'SPOR-like_sf', 5, NULL),
(32081, NULL, 'IPR041512', NULL, 'APOBEC3H', 'APOBEC3H', 4, NULL),
(32082, NULL, 'IPR041437', NULL, 'Gylcosyl hydrolase 115 C-terminal domain', 'GH115_C', 3, NULL),
(32083, NULL, 'IPR038194', NULL, 'DUF3861 domain superfamily', 'DUF3861_sf', 5, NULL),
(32084, NULL, 'IPR041399', NULL, 'Large catalase, C-terminal domain', 'Catalase_large_C', 3, NULL),
(32085, NULL, 'IPR041435', NULL, 'Protein of unknown function DUF5552', 'DUF5552', 4, NULL),
(32086, NULL, 'IPR041933', NULL, 'BIRC2/BIRC3, UBA domain', 'BIRC2/BIRC3_UBA', 3, NULL),
(32087, NULL, 'IPR041525', NULL, 'Nicotinate/nicotinamide phosphoribosyltransferase', 'N/Namide_PRibTrfase', 3, NULL),
(32088, NULL, 'IPR033816', NULL, 'Eosinophil major basic protein, C-type lectin-like domain', 'EMBP_CTLD', 3, NULL),
(32089, NULL, 'IPR036023', NULL, 'Class IX myosin, motor domain', 'MYSc_Myo9', 3, NULL),
(32090, NULL, 'IPR036219', NULL, 'Translation elongation factor eEF-1beta-like superfamily', 'eEF-1beta-like_sf', 5, NULL),
(32091, NULL, 'IPR041281', NULL, 'CD180, leucine-rich repeat', 'LRR_11', 7, NULL),
(32092, NULL, 'IPR038936', NULL, 'Protein maintenance of PSII under high light 1', 'MPH1', 4, NULL),
(32093, NULL, 'IPR041045', NULL, 'Large polyvalent protein associated domain 25', 'LPD25', 3, NULL),
(32094, NULL, 'IPR038180', NULL, 'FlgT, N-terminal domain superfamily', 'FlgT_N_sf', 5, NULL),
(32095, NULL, 'IPR041458', NULL, 'Domain of unknown function DUF5593', 'DUF5593', 3, NULL),
(32096, NULL, 'IPR033165', NULL, 'Legumain beta', 'Legumain_beta', 4, NULL),
(32097, NULL, 'IPR037056', NULL, 'Ribonuclease H1, N-terminal domain superfamily', 'RNase_H1_N_sf', 5, NULL),
(32098, NULL, 'IPR041580', NULL, 'Telomerase reverse transcriptase, thumb DNA-binding domain', 'TERT_thumb', 3, NULL),
(32099, NULL, 'IPR033679', NULL, 'Elongation of very long chain fatty acids protein 3', 'ELOVL3', 4, NULL),
(32100, NULL, 'IPR036578', NULL, 'SMAD MH1 domain superfamily', 'SMAD_MH1_sf', 5, NULL),
(32101, NULL, 'IPR038120', NULL, 'RNA polymerase Rpb1, funnel domain superfamily', 'Rpb1_funnel_sf', 5, NULL),
(32102, NULL, 'IPR038621', NULL, 'Lactococcus phage SSB superfamily', 'Lacto_phage_SSB_sf', 5, NULL),
(32103, NULL, 'IPR036608', NULL, 'MTH777-like superfamily', 'MTH777-like_sf', 5, NULL),
(32104, NULL, 'IPR041926', NULL, 'UBAC1, UBA domain 1', 'UBA1_UBAC1', 3, NULL),
(32105, NULL, 'IPR034501', NULL, 'RBM11, RNA recognition motif', 'RBM11_RRM', 3, NULL),
(32106, NULL, 'IPR035964', NULL, 'I/LWEQ domain superfamily', 'I/LWEQ_dom_sf', 5, NULL),
(32107, NULL, 'IPR036063', NULL, 'Smr domain superfamily', 'Smr_dom_sf', 5, NULL),
(32108, NULL, 'IPR041785', NULL, 'FRMD4A/B, FERM domain C-lobe', 'FRMD4A/B_FERM_C', 3, NULL),
(32109, NULL, 'IPR041920', NULL, 'ROS/MUCR transcriptional regulator superfamily', 'ROS/MUCR_sf', 5, NULL),
(32110, NULL, 'IPR037069', NULL, 'Acyl-CoA dehydrogenase/oxidase, N-terminal domain superfamily', 'AcylCoA_DH/ox_N_sf', 5, NULL),
(32111, NULL, 'IPR037332', NULL, 'Ankyrin repeat and SOCS box protein 8, SOCS box domain', 'ASB8_SOCS', 3, NULL),
(32112, NULL, 'IPR041905', NULL, 'Ribosomal protein S6 kinase alpha-3, C-terminal catalytic domain', 'RPS6KA3_C', 3, NULL),
(32113, NULL, 'IPR041532', NULL, 'RlmI, PUA-like domain', 'RlmI_PUA-like', 3, NULL),
(32114, NULL, 'IPR041639', NULL, 'Large polyvalent protein-associated domain 39', 'LPD39', 3, NULL),
(32115, NULL, 'IPR041917', NULL, 'Trinucleotide repeat-containing gene 6C protein, UBA domain', 'TNR6C_UBA', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32116, NULL, 'IPR033355', NULL, 'Transmembrane protein 88', 'TMEM88', 4, NULL),
(32117, NULL, 'IPR037752', NULL, 'Extended synaptotagmin, C-terminal C2 domain', 'C2C_KIAA1228', 3, NULL),
(32118, NULL, 'IPR038584', NULL, 'Ribosomal protein L33 superfamily', 'L33_sf', 5, NULL),
(32119, NULL, 'IPR037814', NULL, 'Cellobionic acid phosphorylase, N-terminal', 'GH94N_CBAP', 3, NULL),
(32120, NULL, 'IPR033178', NULL, 'Phosphatidylserine decarboxylase, prokaryotic type 1', 'PSD_type1_pro', 4, NULL),
(32121, NULL, 'IPR034017', NULL, 'Cystinyl aminopeptidase', 'Cystinyl_aminopeptidase', 4, NULL),
(32122, NULL, 'IPR036065', NULL, 'BolA-like superfamily', 'BolA-like_sf', 5, NULL),
(32123, NULL, 'IPR041735', NULL, '4-hydroxyphenylpyruvate dioxygenase, C-terminal', '4OHPhenylPyrv_dOase_C', 3, NULL),
(32124, NULL, 'IPR041406', NULL, 'COP9 signalosome complex subunit 4, helix turn helix domain', 'CSN4_HTH', 3, NULL),
(32125, NULL, 'IPR037333', NULL, 'Ankyrin repeat and SOCS box protein 9/11, SOCS box domain', 'ASB9/11_SOCS', 3, NULL),
(32126, NULL, 'IPR038619', NULL, 'MraZ superfamily', 'MraZ_sf', 5, NULL),
(32127, NULL, 'IPR041271', NULL, 'Alpha-glutamyl/putrescinyl thymine pyrophosphorylase clade 3', 'AGPT-Pplase3', 3, NULL),
(32128, NULL, 'IPR041517', NULL, 'Protease Do-like, PDZ domain', 'DEGP_PDZ', 3, NULL),
(32129, NULL, 'IPR039171', NULL, 'Pre-mRNA-splicing factor Cwc2/Slt11', 'Cwc2/Slt11', 4, NULL),
(32130, NULL, 'IPR041474', NULL, 'HTH-type transcriptional repressor NicS, C-terminal', 'NicS_C', 3, NULL),
(32131, NULL, 'IPR039296', NULL, 'Predicted cytochrome c oxidase subunit VII', 'Predicted_CoxVII', 4, NULL),
(32132, NULL, 'IPR041904', NULL, 'Tryptophan 5-hydroxylase, catalytic domain', 'TrpOH_cat', 3, NULL),
(32133, NULL, 'IPR033336', NULL, 'Stabilizer of axonemal microtubules 1/2', 'SAXO1/2', 4, NULL),
(32134, NULL, 'IPR036244', NULL, 'TipA-like multidrug resistance regulator, antibiotic-recognition domain', 'TipA-like_antibiotic-bd', 5, NULL),
(32135, NULL, 'IPR037914', NULL, 'SpoVT-AbrB domain superfamily', 'SpoVT-AbrB_sf', 5, NULL),
(32136, NULL, 'IPR037295', NULL, 'Alpha-lytic protease prodomain', 'Alpha-lytic_protease_prodomain', 5, NULL),
(32137, NULL, 'IPR038234', NULL, 'Colicin E5 ribonuclease domain superfamily', 'Colicin_E5_C_sf', 5, NULL),
(32138, NULL, 'IPR041678', NULL, 'Tetracyclin repressor-like, C-terminal domain 16', 'TetR_C_16', 3, NULL),
(32139, NULL, 'IPR041649', NULL, 'Anti-sigma factor NepR', 'NepR', 3, NULL),
(32140, NULL, 'IPR041405', NULL, 'Type III R-M EcoP15I, C-terminal', 'T3RM_EcoP15I_C', 3, NULL),
(32141, NULL, 'IPR038198', NULL, 'MukF, C-terminal domain superfamily', 'MukF_C_sf', 5, NULL),
(32142, NULL, 'IPR041608', NULL, 'Embryo surrounding factor 1, brassicaceae', 'ESF1_brassicaceae', 3, NULL),
(32143, NULL, 'IPR036225', NULL, 'SRP/SRP receptor, N-terminal', 'SRP/SRP_N', 5, NULL),
(32144, NULL, 'IPR036553', NULL, 'RNA 3''-terminal phosphate cyclase, insert domain superfamily', 'RPTC_insert', 5, NULL),
(32145, NULL, 'IPR041637', NULL, 'Caprin-1 dimerization domain', 'Caprin-1_dimer', 3, NULL),
(32146, NULL, 'IPR041464', NULL, 'TubC, N-terminal docking domain', 'TubC_N', 3, NULL),
(32147, NULL, 'IPR038956', NULL, 'Late embryogenesis abundant protein, LEA_5 subgroup', 'LEA_5', 4, NULL),
(32148, NULL, 'IPR041590', NULL, 'O-phosphoserine--tRNA(Cys) ligase, C-terminal domain', 'SepRS_C', 3, NULL),
(32149, NULL, 'IPR037789', NULL, 'Rab11-family interacting protein class I', 'FIP_classI', 4, NULL),
(32150, NULL, 'IPR033354', NULL, 'Transmembrane protein 88A', 'TMEM88A', 4, NULL),
(32151, NULL, 'IPR033682', NULL, 'Palmitoyltransferase PFA4', 'PFA4', 4, NULL),
(32152, NULL, 'IPR038176', NULL, 'Fragilysin, N-terminal domain superfamily', 'Fragilysin_N_sf', 5, NULL),
(32153, NULL, 'IPR041310', NULL, 'TNF receptor-associated factor 6, zinc finger 2', 'TRAF6_Z2', 3, NULL),
(32154, NULL, 'IPR038934', NULL, 'Uncharacterized protein At5g64816-like', 'At5g64816-like', 4, NULL),
(32155, NULL, 'IPR041922', NULL, 'Rhomboid domain-containing protein 3', 'RHBDD3', 4, NULL),
(32156, NULL, 'IPR036582', NULL, 'Copper amine oxidase-like, N-terminal domain superfamily', 'Mao_N_sf', 5, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32157, NULL, 'IPR041725', NULL, 'Type I (cytosolic) L-asparaginase', 'L-asparaginase_I', 4, NULL),
(32158, NULL, 'IPR041438', NULL, 'Carbohydrate-binding module 64', 'CBM64', 3, NULL),
(32159, NULL, 'IPR033338', NULL, 'Spc105/Spc7', 'Spc105/Spc7', 4, NULL),
(32160, NULL, 'IPR041269', NULL, 'Sulfhydryl oxidase, Trx-like domain', 'QSOX_Trx1', 3, NULL),
(32161, NULL, 'IPR036655', NULL, 'Monomethylamine methyltransferase MtmB superfamily', 'MtmB_sf', 5, NULL),
(32162, NULL, 'IPR035411', NULL, 'Putative DNA-Binding protein G5P', 'Putative_G5P', 4, NULL),
(32163, NULL, 'IPR041535', NULL, 'Antitoxin VbhA', 'VbhA', 3, NULL),
(32164, NULL, 'IPR036208', NULL, 'VHL superfamily', 'VHL_sf', 5, NULL),
(32165, NULL, 'IPR036048', NULL, 'Chemokine interleukin-8-like superfamily', 'Interleukin_8-like_sf', 5, NULL),
(32166, NULL, 'IPR041916', NULL, 'Anti-sigma factor, zinc-finger domain superfamily', 'Anti_sigma_zinc_sf', 5, NULL),
(32167, NULL, 'IPR037067', NULL, 'Coatomer, gamma subunit, appendage domain superfamily', 'Coatomer_gsu_app_sf', 5, NULL),
(32168, NULL, 'IPR041434', NULL, 'Domain of unknown function DUF5637', 'DUF5637', 3, NULL),
(32169, NULL, 'IPR041912', NULL, 'Eukaryotic phenylalanine-4-hydroxylase, catalytic domain', 'Euk_PheOH_cat', 3, NULL),
(32170, NULL, 'IPR036068', NULL, 'Nicotinate phosphoribosyltransferase-like, C-terminal', 'Nicotinate_pribotase-like_C', 5, NULL),
(32171, NULL, 'IPR037334', NULL, 'Ankyrin repeat and SOCS box protein 13, SOCS box domain', 'ASB13_SOCS', 3, NULL),
(32172, NULL, 'IPR041251', NULL, 'SAGA-associated factor 73, zinc finger domain', 'Znf_C2H2_13', 3, NULL),
(32173, NULL, 'IPR041530', NULL, 'Oligosaccharyltransferase insert domain', 'OST_IS', 3, NULL),
(32174, NULL, 'IPR037788', NULL, 'Tandem C2 domains nuclear protein, C2B domain', 'C2B_Tac2-N', 3, NULL),
(32175, NULL, 'IPR036217', NULL, 'Methylated DNA-protein cysteine methyltransferase, DNA binding domain', 'MethylDNA_cys_MeTrfase_DNAb', 5, NULL),
(32176, NULL, 'IPR041889', NULL, 'Ecdysone receptor, ligand-binding domain', 'NR_LBD_EcR', 3, NULL),
(32177, NULL, 'IPR038209', NULL, 'CKK domain superfamily', 'CKK_dom_sf', 5, NULL),
(32178, NULL, 'IPR035965', NULL, 'PAS domain superfamily', 'PAS-like_dom_sf', 5, NULL),
(32179, NULL, 'IPR041273', NULL, 'Domain of unknown function DUF5596', 'DUF5596', 3, NULL),
(32180, NULL, 'IPR041863', NULL, 'DNA polymerase delta subunit 2, C-terminal domain', 'PolD2_C', 3, NULL),
(32181, NULL, 'IPR038109', NULL, 'DNA-binding recombinase domain superfamily', 'DNA_bind_recomb_sf', 5, NULL),
(32182, NULL, 'IPR036206', NULL, 'Thiamin phosphate synthase superfamily', 'ThiamineP_synth_sf', 5, NULL),
(32183, NULL, 'IPR033276', NULL, 'E3 ubiquitin-protein ligase BIG BROTHER', 'BB', 4, NULL),
(32184, NULL, 'IPR037294', NULL, 'ABC transporter, BtuC-like', 'ABC_BtuC-like', 5, NULL),
(32185, NULL, 'IPR041888', NULL, 'ZN598/Hel2, RING finger', 'RING-HC_ZNF598/Hel2', 3, NULL),
(32186, NULL, 'IPR037421', NULL, 'HTH-type transcriptional regulator ClcR, PBP2 domain', 'ClcR_PBP2', 3, NULL),
(32187, NULL, 'IPR033337', NULL, 'MT-associated protein TORTIFOLIA1/SPIRAL2-like', 'TORTIFOLIA1/SPIRAL2-like', 4, NULL),
(32188, NULL, 'IPR041305', NULL, 'Interleukin-4 inducing immunoglobulin-binding domain', 'IL4_i_Ig', 3, NULL),
(32189, NULL, 'IPR037811', NULL, 'Dedicator of cytokinesis B, C2 domain', 'C2_Dock-B', 3, NULL),
(32190, NULL, 'IPR041316', NULL, 'ISP1 C-terminal', 'ISP1_C', 3, NULL),
(32191, NULL, 'IPR041891', NULL, 'Carbonic anhydrase, prokaryotic-like', 'Alpha_CA_prokaryot-like', 4, NULL),
(32192, NULL, 'IPR041621', NULL, 'Pyruvate dehydrogenase E1 component, middle domain', 'PDH_E1_M', 3, NULL),
(32193, NULL, 'IPR041471', NULL, 'UvrB, interaction domain', 'UvrB_inter', 3, NULL),
(32194, NULL, 'IPR041536', NULL, 'N-acetylglucosamine-1-phosphotransferase subunit alpha/beta, regulatory domain', 'GNPTAB_reg', 3, NULL),
(32195, NULL, 'IPR038390', NULL, 'Metal-sensitive repressor, helix protomer superfamily', 'Metal_Tscrpt_repr_sf', 5, NULL),
(32196, NULL, 'IPR039774', NULL, 'Transcriptional regulatory protein Sin3-like', 'Sin3-like', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32197, NULL, 'IPR036679', NULL, 'FlgN-like superfamily', 'FlgN-like_sf', 5, NULL),
(32198, NULL, 'IPR038405', NULL, 'Cytochrome oxidase Caa3-type, subunit IV superfamily', 'Caa3-IV_sf', 5, NULL),
(32199, NULL, 'IPR033481', NULL, 'Cell fusion protein Dni1/Fig1', 'Dni1/Fig1', 4, NULL),
(32200, NULL, 'IPR038094', NULL, 'Desulfoferrodoxin, N-terminal domain superfamily', 'Desulfoferrodoxin_N_sf', 5, NULL),
(32201, NULL, 'IPR041559', NULL, 'DNA ligase, ATP-dependent, bacteriophage T7-type, C-terminal', 'DNA_ligase_ATP-dep_T7_C', 3, NULL),
(32202, NULL, 'IPR038403', NULL, 'Plasmodium falciparum UIS3, C-terminal domain superfamily', 'PfUIS3_sf', 5, NULL),
(32203, NULL, 'IPR038104', NULL, 'TRF2-interacting telomeric protein/Rap1, C-terminal domain superfamily', 'Rap1_C_sf', 5, NULL),
(32204, NULL, 'IPR040390', NULL, 'TIFY/JAZ family', 'TIFY/JAZ', 4, NULL),
(32205, NULL, 'IPR041492', NULL, 'Haloacid dehalogenase-like hydrolase', 'HAD_2', 4, NULL),
(32206, NULL, 'IPR041719', NULL, 'Ferritin, prokaryotic-type', 'Ferritin_prok', 4, NULL),
(32207, NULL, 'IPR034088', NULL, 'Pla a 1-like', 'Pla_a_1-like', 4, NULL),
(32208, NULL, 'IPR037289', NULL, 'Elongator complex protein 2', 'Elp2', 4, NULL),
(32209, NULL, 'IPR041538', NULL, 'ATPase RavA-like, AAA lid domain', 'RavA-like_AAA_lid', 3, NULL),
(32210, NULL, 'IPR041784', NULL, 'FAK1/PYK2, FERM domain C-lobe', 'FAK1/PYK2_FERM_C', 3, NULL),
(32211, NULL, 'IPR041712', NULL, 'Methanocaldococcus jannaschii dihydropteroate synthase-like, MBL-fold metallo hydrolase domain', 'DHPS-like_MBL-fold', 3, NULL),
(32212, NULL, 'IPR037062', NULL, 'Malic enzyme, N-terminal domain superfamily', 'Malic_N_dom_sf', 5, NULL),
(32213, NULL, 'IPR035860', NULL, 'Tyrosine-protein kinase JAK2, SH2 domain', 'JAK2_SH2', 3, NULL),
(32214, NULL, 'IPR041497', NULL, 'THUMP-like domain', 'Thump-like', 3, NULL),
(32215, NULL, 'IPR041723', NULL, 'CTP:phosphocholine cytidylyltransferase domain', 'CCT', 3, NULL),
(32216, NULL, 'IPR041542', NULL, 'Beta-xylosidase, C-terminal Concanavalin A-like domain', 'GH43_C2', 3, NULL),
(32217, NULL, 'IPR036216', NULL, 'Hypothetical protein UCP004604 superfamily', 'UCP004604_sf', 5, NULL),
(32218, NULL, 'IPR041911', NULL, 'TAB2/3, CUE domain', 'TAB2/3_CUE', 3, NULL),
(32219, NULL, 'IPR041470', NULL, 'Gamma tubulin complex component protein, N-terminal', 'GCP_N', 3, NULL),
(32220, NULL, 'IPR041681', NULL, 'Pleckstrin homology domain 9', 'PH_9', 3, NULL),
(32221, NULL, 'IPR041514', NULL, 'Proline utilization A, N-terminal', 'PutA_N', 3, NULL),
(32222, NULL, 'IPR041522', NULL, 'CdaR, GGDEF-like domain', 'CdaR_GGDEF', 3, NULL),
(32223, NULL, 'IPR037075', NULL, 'Formaldehyde-activating enzyme superfamily', 'HCHO-activating_enzyme_sf', 5, NULL),
(32224, NULL, 'IPR038173', NULL, 'Transcription factor COE, DNA-binding domain superfamily', 'COE_DBD_sf', 5, NULL),
(32225, NULL, 'IPR036666', NULL, 'HHA superfamily', 'HHA_sf', 5, NULL),
(32226, NULL, 'IPR041465', NULL, 'SfsA, N-terminal OB domain', 'SfsA_N', 3, NULL),
(32227, NULL, 'IPR038572', NULL, 'Stomagen, C-terminal domain superfamily', 'Stomagen_C_sf', 5, NULL),
(32228, NULL, 'IPR034500', NULL, 'RBM7, RNA recognition motif', 'RBM7_RRM', 3, NULL),
(32229, NULL, 'IPR038386', NULL, 'Beta-thymosin superfamily', 'Beta-thymosin_sf', 5, NULL),
(32230, NULL, 'IPR041519', NULL, 'RiboL-PSP-HEPN', 'HEPN_RiboL-PSP', 3, NULL),
(32231, NULL, 'IPR038096', NULL, 'TEA/ATTS domain superfamily', 'TEA/ATTS_sf', 5, NULL),
(32232, NULL, 'IPR037364', NULL, 'Protein transport protein Sec23', 'Sec23', 4, NULL),
(32233, NULL, 'IPR035074', NULL, 'EspA/CesA-like', 'EspA/CesA-like', 5, NULL),
(32234, NULL, 'IPR041919', NULL, 'Plasmid replication protein, C-terminal domain superfamily', 'Plasmid_rep_C_sf', 5, NULL),
(32235, NULL, 'IPR037422', NULL, 'HTH-type transcriptional regulator BlaA, PBP2 domain', 'BlaA_PBP2', 3, NULL),
(32236, NULL, 'IPR038377', NULL, 'Sodium/glucose symporter superfamily', 'Na/Glc_symporter_sf', 5, NULL),
(32237, NULL, 'IPR038620', NULL, 'YdcP-like superfamily', 'YdcP-like_sf', 5, NULL),
(32238, NULL, 'IPR041502', NULL, 'SMODS/Ubiquitin system-associated 2TM effector domain', 'SUa-2TM', 3, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32239, NULL, 'IPR041335', NULL, 'DNA mismatch repair protein HSM3, N-terminal domain', 'HSM3_N', 3, NULL),
(32240, NULL, 'IPR037070', NULL, 'Formiminotransferase, C-terminal subdomain superfamily', 'Formiminotransferase_C_sf', 5, NULL),
(32241, NULL, 'IPR037838', NULL, 'JAK2, FERM domain C-lobe', 'JAK2_FERM_C-lobe', 3, NULL),
(32242, NULL, 'IPR038394', NULL, 'TA0956 superfamily', 'TA0956_sf', 5, NULL),
(32243, NULL, 'IPR038174', NULL, 'Streptococcal pilin isopeptide linker superfamily', 'Strep_pil_link_sf', 5, NULL),
(32244, NULL, 'IPR034935', NULL, 'F-BAR and double SH3 domains protein 1', 'FCHSD1', 4, NULL),
(32245, NULL, 'IPR038100', NULL, 'NVL2, N-terminal domain superfamily', 'NLV2_N_sf', 5, NULL),
(32246, NULL, 'IPR041472', NULL, 'BL00235/CARNS1, N-terminal', 'BL00235/CARNS1_N', 3, NULL),
(32247, NULL, 'IPR041494', NULL, 'PIN-like domain', 'PIN7', 3, NULL),
(32248, NULL, 'IPR041653', NULL, 'Importin repeat 4', 'Importin_rep_4', 7, NULL),
(32249, NULL, 'IPR036658', NULL, 'CPI-17 superfamily', 'CPI-17_sf', 5, NULL),
(32250, NULL, 'IPR041338', NULL, 'OSBS, enolase-like N-terminal domain', 'OSBS_N', 3, NULL),
(32251, NULL, 'IPR038376', NULL, 'ATP synthase, alpha subunit, C-terminal domain superfamily', 'ATP_synth_asu_C_sf', 5, NULL),
(32252, NULL, 'IPR036668', NULL, 'Insect antifreeze protein superfamily', 'Antifreeze_sf', 5, NULL),
(32253, NULL, 'IPR041275', NULL, 'ESX-1 secretion-associated protein EspB, PE domain', 'EspB_PE', 3, NULL),
(32254, NULL, 'IPR041913', NULL, 'DNA polymerase delta subunit 3 superfamily', 'POLD3_sf', 5, NULL),
(32255, NULL, 'IPR041730', NULL, 'MJ0421-like THUMP domain', 'MJ0421-like_THUMP', 3, NULL),
(32256, NULL, 'IPR041761', NULL, 'SFRP5, cysteine-rich domain', 'SFRP5_CRD', 3, NULL),
(32257, NULL, 'IPR037423', NULL, 'HTH-type transcriptional regulator CysB, PBP2 domain', 'CysB_PBP2', 3, NULL),
(32258, NULL, 'IPR041457', NULL, 'CxC2-like cysteine cluster, KDZ transposase-associated', 'CxC2_KDZ-assoc', 3, NULL),
(32259, NULL, 'IPR038617', NULL, 'Rhabdovirus matrix protein superfamily', 'Rhabdovirus_M_sf', 5, NULL),
(32260, NULL, 'IPR041541', NULL, 'Glutaminase, EF-hand domain', 'Glutaminase_EF-hand', 3, NULL),
(32261, NULL, 'IPR035435', NULL, 'Diphthamide synthesis DHP1/DPH2, eukaryotes and archaea', 'DPH1/DPH2_euk_archaea', 4, NULL),
(32262, NULL, 'IPR038193', NULL, 'Mistic superfamily', 'Mistic_sf', 5, NULL),
(32263, NULL, 'IPR041655', NULL, 'Domain of unknown function DUF5607', 'DUF5607', 3, NULL),
(32264, NULL, 'IPR038378', NULL, 'Haemophore, haem-binding domain superfamily', 'MHB_sf', 5, NULL),
(32265, NULL, 'IPR041049', NULL, 'Domain of unknown function DUF5615', 'DUF5615', 3, NULL),
(32266, NULL, 'IPR033661', NULL, 'Phosphatidylserine decarboxylase, eukaryotic type 1', 'PSD_type1_euk', 4, NULL),
(32267, NULL, 'IPR041643', NULL, 'ZIC protein, zinc finger domain', 'Znf_ZIC', 3, NULL),
(32268, NULL, 'IPR041287', NULL, 'Protein of unknown function DUF5548', 'DUF5548', 4, NULL),
(32269, NULL, 'IPR035966', NULL, 'Phosphofructokinase superfamily', 'PKF_sf', 5, NULL),
(32270, NULL, 'IPR040363', NULL, 'Homeobox-containing protein 1', 'HMBOX1', 4, NULL),
(32271, NULL, 'IPR037074', NULL, 'Protein of unknown function DUF1780, putative endonuclease superfamily', 'DUF1780_sf', 5, NULL),
(32272, NULL, 'IPR038171', NULL, 'Peptidase M64, N-terminal domain superfamily', 'M64_N_sf', 5, NULL),
(32273, NULL, 'IPR037235', NULL, 'TRCF-like, C-terminal D7 domai', 'TRCF-like_C_D7', 5, NULL),
(32274, NULL, 'IPR037071', NULL, 'Amyloidogenic glycoprotein, amyloid-beta peptide superfamily', 'Amyloid_glyco_Abeta_sf', 5, NULL),
(32275, NULL, 'IPR041746', NULL, 'Lysine-sensitive aspartokinase catalytic domain', 'AK-LysC-like', 3, NULL),
(32276, NULL, 'IPR037059', NULL, 'Rel homology domain (RHD), DNA-binding domain superfamily', 'RHD_DNA_bind_dom_sf', 5, NULL),
(32277, NULL, 'IPR041765', NULL, 'Frizzled 4, cysteine-rich domain', 'FZ4_CRD', 3, NULL),
(32278, NULL, 'IPR036613', NULL, 'MHC class II-associated invariant chain, trimerisation domain superfamily', 'MHCII_invariant_trimer_sf', 5, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32279, NULL, 'IPR038207', NULL, 'DIX domain superfamily', 'DIX_dom_sf', 5, NULL),
(32280, NULL, 'IPR041606', NULL, 'Hydrogen maturase F dimerization domain', 'HydF_dimer', 3, NULL),
(32281, NULL, 'IPR038093', NULL, 'Ubiquitin carboxyl-terminal hydrolase 37, pleckstrin homology-like domain superfamily', 'USP37-like_PH_sf', 5, NULL),
(32282, NULL, 'IPR037413', NULL, 'Mucosal addressin cell adhesion molecule 1', 'MADCAM1', 4, NULL),
(32283, NULL, 'IPR036222', NULL, 'Adenylate cyclase-associated CAP, N-terminal  domain superfamily', 'CAP_N_sf', 5, NULL),
(32284, NULL, 'IPR041814', NULL, 'Type III secretion system virulence factor YopR, core domain', 'YopR_core', 5, NULL),
(32285, NULL, 'IPR041866', NULL, 'Protein disulfide-isomerase A4, TRX-like domain b', 'PDIA4_PDI_b', 3, NULL),
(32286, NULL, 'IPR041918', NULL, 'HUWE1, UBA domain', 'UBA_HUWE1', 3, NULL),
(32287, NULL, 'IPR037077', NULL, 'Nuclear receptor coactivator, Ncoa-type, interlocking domain superfamily', 'Nuc_rcpt_coact_Ncoa_int_sf', 5, NULL),
(32288, NULL, 'IPR036215', NULL, 'TM0957-like superfamily', 'TM0957-like_sf', 5, NULL),
(32289, NULL, 'IPR038379', NULL, 'SecE superfamily', 'SecE_sf', 5, NULL),
(32290, NULL, 'IPR041921', NULL, 'NADH-quinone oxidoreductase subunit E, N-terminal', 'NuoE_N', 5, NULL),
(32291, NULL, 'IPR041955', NULL, 'ATX3/4/5, ePHD domain', 'ATX3/4/5_ePHD', 3, NULL),
(32292, NULL, 'IPR038972', NULL, 'Inner membrane protein YiaA-like', 'YiaA-like', 4, NULL),
(32293, NULL, 'IPR041332', NULL, 'Pan3 pseudokinase domain', 'Pan3_PK', 3, NULL),
(32294, NULL, 'IPR038195', NULL, 'Apolipoprotein CIII superfamily', 'Apo_CIII_sf', 5, NULL),
(32295, NULL, 'IPR038210', NULL, 'Membrane insertase YidC, periplasmic domain', 'YidC_periplasmic', 3, NULL),
(32296, NULL, 'IPR041923', NULL, 'UBXN1, UBA domain', 'UBA_UBXN1', 3, NULL),
(32297, NULL, 'IPR041524', NULL, 'Glycoside hydrolase 131, catalytic N-terminal', 'GH131_N', 3, NULL),
(32298, NULL, 'IPR041466', NULL, 'Dynein heavy chain, AAA 5 extension domain', 'Dynein_AAA5_ext', 3, NULL),
(32299, NULL, 'IPR037061', NULL, 'Lytic transglycosylase, superhelical linker domain superfamily', 'Lytic_TGlycoase_superhlx_L_sf', 5, NULL),
(32300, NULL, 'IPR037424', NULL, 'Regulatory protein NocR, PBP2 domain', 'NocR_PBP2', 3, NULL),
(32301, NULL, 'IPR037292', NULL, 'Hypothetical protein D-63', 'D-63', 5, NULL),
(32302, NULL, 'IPR037055', NULL, 'MHC class I-like antigen recognition-like superfamily', 'MHC_I-like_Ag-recog_sf', 5, NULL),
(32303, NULL, 'IPR033865', NULL, 'Machado-Joseph disease protein', 'Ataxin-3', 4, NULL),
(32304, NULL, 'IPR041527', NULL, 'YhcG, N-terminal', 'YhcG_N', 3, NULL),
(32305, NULL, 'IPR036220', NULL, 'UDP-glucose/GDP-mannose dehydrogenase, C-terminal domain superfamily', 'UDP-Glc/GDP-Man_DH_C_sf', 5, NULL),
(32306, NULL, 'IPR040138', NULL, 'Mesoderm induction early response protein/metastasis-associated protein', 'MIER/MTA', 4, NULL),
(32307, NULL, 'IPR038175', NULL, 'CBM21 domain superfamily', 'CBM21_dom_sf', 5, NULL),
(32308, NULL, 'IPR034750', NULL, 'CULT domain', 'CULT', 3, NULL),
(32309, NULL, 'IPR041865', NULL, 'Protein disulfide-isomerase A5, N-terminal TRX-like b domain', 'PDIA5_N_PDI_b', 3, NULL),
(32310, NULL, 'IPR041747', NULL, 'Aspartokinase HOM3, catalytic domain', 'AK-Hom3', 3, NULL),
(32311, NULL, 'IPR041407', NULL, 'MazG, C-terminal', 'MazG_C', 3, NULL),
(32312, NULL, 'IPR036673', NULL, 'Cyanovirin-N superfamily', 'Cyanovirin-N_sf', 5, NULL),
(32313, NULL, 'IPR041307', NULL, 'Polysaccharide biosynthesis enzyme WcbI', 'WcbI', 3, NULL),
(32314, NULL, 'IPR041722', NULL, 'Alpha-keto acid binding periplasmic protein', 'TakP/all3028', 4, NULL),
(32315, NULL, 'IPR033678', NULL, 'Elongation of very long chain fatty acids protein 4', 'ELOVL4', 4, NULL),
(32316, NULL, 'IPR037804', NULL, 'SAGA-associated factor 73', 'SGF73', 4, NULL),
(32317, NULL, 'IPR036583', NULL, '23S rRNA-intervening sequence superfamily', '23S_rRNA_IVS_sf', 5, NULL),
(32318, NULL, 'IPR041596', NULL, 'RNA ligase Pab1020, C-terminal domain', 'Lig_Pab1020_C', 3, NULL),
(32319, NULL, 'IPR033616', NULL, 'Protein KIAA1109', 'KIAA1109', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32320, NULL, 'IPR041309', NULL, 'TANK-binding kinase 1, coiled-coil domain 1', 'TBK1_CCD1', 3, NULL),
(32321, NULL, 'IPR037083', NULL, 'Type-2 restriction enzyme NgoMIV superfamily', 'NgoMIV_sf', 5, NULL),
(32322, NULL, 'IPR041439', NULL, 'Domain of unknown function DUF5628', 'DUF5628', 3, NULL),
(32323, NULL, 'IPR038970', NULL, 'Polysaccharide lyase 8', 'Lyase_8', 4, NULL),
(32324, NULL, 'IPR041928', NULL, 'UBAC2, UBA domain', 'UBA_UBAC2', 3, NULL),
(32325, NULL, 'IPR041651', NULL, 'Domain of unknown function DUF5610', 'DUF5610', 3, NULL),
(32326, NULL, 'IPR039773', NULL, 'Molecular chaperone regulator BAG', 'BAG_chaperone_regulator', 4, NULL),
(32327, NULL, 'IPR038098', NULL, 'PHD finger protein 12, MRG binding domain superfamily', 'PHF12_MRG-bd_sf', 5, NULL),
(32328, NULL, 'IPR041728', NULL, 'GPAT/DHAPAT, acyltransferase domain', 'GPAT/DHAPAT_LPLAT', 3, NULL),
(32329, NULL, 'IPR041255', NULL, 'LpxI N-terminal domain', 'LpxI_N', 3, NULL),
(32330, NULL, 'IPR033356', NULL, 'Protein reprimo', 'Reprimo', 4, NULL),
(32331, NULL, 'IPR036237', NULL, 'Xylose isomerase-like superfamily', 'Xyl_isomerase-like_sf', 5, NULL),
(32332, NULL, 'IPR036062', NULL, 'Photosystem I PsaJ, reaction centre subunit IX superfamily', 'PSI_PsaJ_sf', 5, NULL),
(32333, NULL, 'IPR041645', NULL, 'ADAMTS, cysteine-rich domain 2', 'ADAMTS_CR_2', 3, NULL),
(32334, NULL, 'IPR037079', NULL, 'AF2212/PG0164-like superfamily', 'AF2212/PG0164-like_sf', 5, NULL),
(32335, NULL, 'IPR037839', NULL, 'PLEKHN1, PH domain', 'PLEKHN1_PH', 3, NULL),
(32336, NULL, 'IPR041518', NULL, 'Bacterial Glycosyl hydrolase family 3, C-terminal', 'Bac_GH3_C', 3, NULL),
(32337, NULL, 'IPR033599', NULL, 'RNA polymerase I transcription initiation factor TAF1B/Rrn7', 'TAF1B/Rrn7', 4, NULL),
(32338, NULL, 'IPR036223', NULL, 'Adenylate cyclase-associated CAP, C-terminal  superfamily', 'CAP_C_sf', 5, NULL),
(32339, NULL, 'IPR041503', NULL, 'AIMP2, thioredoxin-like domain', 'AIMP2_thioredoxin', 3, NULL),
(32340, NULL, 'IPR041440', NULL, 'HypF, Kae1-like domain', 'HypF_C', 3, NULL),
(32341, NULL, 'IPR041516', NULL, 'LACTB2, winged helix domain', 'LACTB2_WH', 3, NULL),
(32342, NULL, 'IPR037820', NULL, 'NdvB, GH94N domain 1', 'GH94N_NdvB', 3, NULL),
(32343, NULL, 'IPR033681', NULL, 'Elongation of very long chain fatty acids protein 1', 'ELOVL1', 4, NULL),
(32344, NULL, 'IPR037239', NULL, 'Oxysterol-binding protein superfamily', 'OSBP_sf', 5, NULL),
(32345, NULL, 'IPR037362', NULL, 'CAS family', 'CAS_fam', 4, NULL),
(32346, NULL, 'IPR033615', NULL, 'Protein EOLA1/EOLA2', 'EOLA1/EOLA2', 4, NULL),
(32347, NULL, 'IPR038191', NULL, 'YciN superfamily', 'YciN_sf', 5, NULL),
(32348, NULL, 'IPR041763', NULL, 'Corin, cysteine-rich domain 2', 'Corin_CRD_2', 3, NULL),
(32349, NULL, 'IPR036681', NULL, 'PgpA-like superfamily', 'PgpA-like_sf', 5, NULL),
(32350, NULL, 'IPR041279', NULL, 'Giardia dicer, N-terminal', 'Dicer_N', 3, NULL),
(32351, NULL, 'IPR041604', NULL, 'STAT, EF-hand fold domain', 'EF-hand_12', 3, NULL),
(32352, NULL, 'IPR041726', NULL, 'Acyl-CoA dehydrogenase family member 10/11, N-terminal', 'ACAD10_11_N', 3, NULL),
(32353, NULL, 'IPR033671', NULL, 'tRNA (guanosine(18)-2''-O)-methyltransferase', 'TrmH', 4, NULL),
(32354, NULL, 'IPR038265', NULL, 'PA2222-like domain superfamily', 'PA2222-like_sf', 5, NULL),
(32355, NULL, 'IPR041473', NULL, 'CtsR, C-terminal dimerization domain', 'CtsR_C', 3, NULL),
(32356, NULL, 'IPR036678', NULL, 'MutS, connector domain superfamily', 'MutS_con_dom_sf', 5, NULL),
(32357, NULL, 'IPR033668', NULL, 'Regulatory protein E2', 'Reg_prot_E2', 4, NULL),
(32358, NULL, 'IPR036234', NULL, 'Glucan-binding protein C/Surface antigen I/II, V-domain superfamily', 'SA_I/II_PAC_V_sf', 5, NULL),
(32359, NULL, 'IPR038199', NULL, 'DGK type I, N-terminal domain superfamily', 'DGK_typeI_N_sf', 5, NULL),
(32360, NULL, 'IPR033684', NULL, 'Protein-lysine N-methyltransferase', 'EFM6', 4, NULL),
(32361, NULL, 'IPR033334', NULL, 'Protein LONGIFOLIA 1/2', 'LNG1/2', 4, NULL),
(32362, NULL, 'IPR037944', NULL, 'Peroxiredoxin-5-like', 'PRX5-like', 4, NULL),
(32363, NULL, 'IPR038090', NULL, 'DNA replication factor Cdt1, C-terminal WH domain superfamily', 'Cdt1_C_WH_dom_sf', 5, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32364, NULL, 'IPR037057', NULL, 'DNA mismatch repair MutH/Restriction endonuclease, type II superfamily', 'DNA_rep_MutH/RE_typeII_sf', 5, NULL),
(32365, NULL, 'IPR039173', NULL, 'Pre-mRNA-splicing factor Cwc2', 'Cwc2', 4, NULL),
(32366, NULL, 'IPR041764', NULL, 'SFRP2, cysteine-rich domain', 'SFRP2_CRD', 3, NULL),
(32367, NULL, 'IPR038177', NULL, 'Inverse autotransporter, beta-domain superfamily', 'IAT_beta_sf', 5, NULL),
(32368, NULL, 'IPR041304', NULL, 'AbiTii', 'AbiTii', 3, NULL),
(32369, NULL, 'IPR041311', NULL, 'Large polyvalent protein associated domain 29', 'LPD29', 3, NULL),
(32370, NULL, 'IPR041948', NULL, 'RNA ligase 1/2, C-terminal domain superfamily', 'Rnl1/2_C_sf', 5, NULL),
(32371, NULL, 'IPR041046', NULL, 'JAK, FERM F2 lobe domain', 'FERM_F2', 3, NULL),
(32372, NULL, 'IPR037296', NULL, 'Staphostatin A/B', 'Staphostatin_A/B', 5, NULL),
(32373, NULL, 'IPR041609', NULL, 'Phosphoribosylformylglycinamidine synthase, linker domain', 'PurL_linker', 3, NULL),
(32374, NULL, 'IPR038099', NULL, 'BldD-like, C-terminal domain superfamily', 'BldD-like_C_sf', 5, NULL),
(32375, NULL, 'IPR041886', NULL, 'Protein C-ets-1, pointed domain', 'SAM_PNT-ETS-1', 3, NULL),
(32376, NULL, 'IPR041956', NULL, 'ATX1/2, ePHD domain', 'ATX1/2_ePHD', 3, NULL),
(32377, NULL, 'IPR034089', NULL, 'SPOP, C-terminal BACK domain', 'SPOP_C', 3, NULL),
(32378, NULL, 'IPR037940', NULL, 'MALT1, death domain', 'MALT1_Death', 3, NULL),
(32379, NULL, 'IPR038106', NULL, 'NFRKB winged helix-like domain superfamily', 'NFRKB_winged_sf', 5, NULL),
(32380, NULL, 'IPR041903', NULL, 'Tyrosine 3-monooxygenase, catalytic domain', 'Eu_TyrOH_cat', 3, NULL),
(32381, NULL, 'IPR035434', NULL, 'Glutamate--cysteine ligase, bacteria and plant', 'GCL_bact_plant', 4, NULL),
(32382, NULL, 'IPR037352', NULL, 'Polycomb protein EED', 'Polycomb_EED', 4, NULL),
(32383, NULL, 'IPR041720', NULL, 'Aldolase FbaB-like, archaeal-type', 'FbaB-like', 4, NULL),
(32384, NULL, 'IPR037418', NULL, 'HTH-type transcriptional regulator TrpI, PBP2', 'TrpI_PBP2', 3, NULL),
(32385, NULL, 'IPR041579', NULL, 'Pelovaterin', 'Pelovaterin', 3, NULL),
(32386, NULL, 'IPR041425', NULL, 'Complement C3/4/5, macroglobulin domain MG1', 'C3/4/5_MG1', 3, NULL),
(32387, NULL, 'IPR041272', NULL, 'N-acetyl-beta-D-glucosaminidase, N-terminal', 'GcnA_N', 3, NULL),
(32388, NULL, 'IPR038181', NULL, 'Novel toxin 21 superfamily', 'Ntox21_sf', 5, NULL),
(32389, NULL, 'IPR041574', NULL, 'Domain of unknown function DUF5608', 'DUF5608', 3, NULL),
(32390, NULL, 'IPR038172', NULL, 'Herpesvirus glycoprotein H, C-terminal domain superfamily', 'Herpes_glycoH_C_sf', 5, NULL),
(32391, NULL, 'IPR041910', NULL, 'Alpha-helical PorB/PorC', 'Alpha_h_PorB/PorC', 5, NULL),
(32392, NULL, 'IPR038167', NULL, 'SSRP1 domain superfamily', 'SSRP1_sf', 5, NULL),
(32393, NULL, 'IPR041462', NULL, 'Bacterial Alpha-2-macroglobulin, MG6 domain', 'Bact_A2M_MG6', 3, NULL),
(32394, NULL, 'IPR037802', NULL, 'SAGA-associated factor 29', 'SGF29', 4, NULL),
(32395, NULL, 'IPR034090', NULL, 'BPM, C-terminal', 'BPM_C', 3, NULL),
(32396, NULL, 'IPR037085', NULL, 'Cdc42 binding domain-like superfamily', 'Cdc42-bd-like_dom_sf', 5, NULL),
(32397, NULL, 'IPR037233', NULL, 'CcmK-like superfamily', 'CcmK-like_sf', 5, NULL),
(32398, NULL, 'IPR037211', NULL, 'Bacteriophage DNA replication protein Gp16.7 superfamily', 'Phage_DNA_replic_GP16.7_sf', 5, NULL),
(32399, NULL, 'IPR041762', NULL, 'Corin, cysteine-rich domain 1', 'Corin_CRD_1', 3, NULL),
(32400, NULL, 'IPR038401', NULL, 'Rev1, C-terminal domain superfamily', 'Rev1_C_sf', 5, NULL),
(32401, NULL, 'IPR041047', NULL, 'Large polyvalent protein-associated domain 1', 'LPD1', 3, NULL),
(32402, NULL, 'IPR036226', NULL, 'Lipoxigenase, C-terminal domain superfamily', 'LipOase_C_sf', 5, NULL),
(32403, NULL, 'IPR036656', NULL, 'Cytochrome b-c1 complex subunit 9 superfamily', 'QCR9_sf', 5, NULL),
(32404, NULL, 'IPR036214', NULL, 'Baseplate structural protein Gp11 superfamily', 'Gp11_sf', 5, NULL),
(32405, NULL, 'IPR041880', NULL, 'Ankyrin repeat and SAM domain-containing protein 1, SAM repeat 1', 'SAM_ANKS1_repeat1', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32406, NULL, 'IPR035967', NULL, 'SWAP/Surp superfamily', 'SWAP/Surp_sf', 5, NULL),
(32407, NULL, 'IPR041459', NULL, 'Polyvalent protein, metallopeptidase domain', 'MPTase-PolyVal', 3, NULL),
(32408, NULL, 'IPR041659', NULL, 'Aquifex aeolicus argonaute, PAZ domain', 'Paz_1', 3, NULL),
(32409, NULL, 'IPR041680', NULL, 'Pleckstrin homology domain 8', 'PH_8', 3, NULL),
(32410, NULL, 'IPR041625', NULL, 'Beta-mannosidase, Ig-fold domain', 'Beta-mannosidase_Ig', 3, NULL),
(32411, NULL, 'IPR041760', NULL, 'SFRP1, cysteine-rich domain', 'SFRP1_CRD', 3, NULL),
(32412, NULL, 'IPR038387', NULL, 'Bacteriochlorophyll c-binding superfamily', 'Bchl_C-bd_sf', 5, NULL),
(32413, NULL, 'IPR041745', NULL, 'Lysine-sensitive aspartokinase 3, N-terminal catalytic domain', 'AKiii-LysC-EC', 3, NULL),
(32414, NULL, 'IPR033680', NULL, 'Elongation of very long chain fatty acids protein 2', 'ELOVL2', 4, NULL),
(32415, NULL, 'IPR037084', NULL, 'Protein-glutamine gamma-glutamyltransferase superfamily', 'Transglut_prok_sf', 5, NULL),
(32416, NULL, 'IPR034502', NULL, 'Raly, RNA recognition motif', 'RALY_RRM', 3, NULL),
(32417, NULL, 'IPR033546', NULL, 'Zinc finger BED domain-containing protein 3', 'ZBED3', 4, NULL),
(32418, NULL, 'IPR037058', NULL, 'Flagellar hook protein FlgE superfamily', 'Falgellar_hook_FlgE_sf', 5, NULL),
(32419, NULL, 'IPR038088', NULL, 'DELLA, N-terminal domain superfamily', 'DELLA_N_sf', 5, NULL),
(32420, NULL, 'IPR041312', NULL, 'CHIP, N-terminal tetratricopeptide repeat domain', 'CHIP_TPR_N', 3, NULL),
(32421, NULL, 'IPR033375', NULL, 'CGG triplet repeat-binding protein 1', 'Cggbp1', 4, NULL),
(32422, NULL, 'IPR038237', NULL, 'Ribosomal protein S4e, central domain superfamily', 'Ribosomal_S4e_central_sf', 5, NULL),
(32423, NULL, 'IPR041534', NULL, 'PP2A regulatory subunit B'''', EF-hand domain', 'EF-hand_13', 3, NULL),
(32424, NULL, 'IPR041733', NULL, 'PAE1087-like, metallophosphatase domain', 'PAE1087_MPP', 3, NULL),
(32425, NULL, 'IPR037065', NULL, 'Potassium channel, voltage dependent, Kv1.4, tandem inactivation domain superfamily', 'K_chnl_volt-dep_Kv1.4_TID_sf', 5, NULL),
(32426, NULL, 'IPR037080', NULL, 'Capsid protein VP4 superfamily, Picornavirus', 'Capsid_VP4_sf_Picornavirus', 5, NULL),
(32427, NULL, 'IPR034891', NULL, 'Protein NLP, PB1 domain', 'PB1_NLP', 3, NULL),
(32428, NULL, 'IPR038091', NULL, 'UPF0302, N-terminal domain superfamily', 'UPF0302_N_sf', 5, NULL),
(32429, NULL, 'IPR033175', NULL, 'Phosphatidylserine decarboxylase, archaeal-type', 'PSD-A', 4, NULL),
(32430, NULL, 'IPR041551', NULL, 'BsaWI restriction endonuclease type 2', 'RE_BsaWI', 3, NULL),
(32431, NULL, 'IPR041487', NULL, 'HEPN/Toprim N-terminal domain 1', 'HEPN/Toprim-NTD1', 3, NULL),
(32432, NULL, 'IPR041339', NULL, 'Cell-surface Ig-like, bacterial', 'Ig-like_bac', 3, NULL),
(32433, NULL, 'IPR041927', NULL, 'UBAC1, UBA domain 2', 'UBA2_UBAC1', 3, NULL),
(32434, NULL, 'IPR041644', NULL, 'GNAT-like C-terminal domain', 'GNAT_C', 3, NULL),
(32435, NULL, 'IPR037291', NULL, 'Domain of unknown function DUF4139', 'DUF4139', 3, NULL),
(32436, NULL, 'IPR037081', NULL, 'Hypothetical protein TM1506', 'Hyp_TM1506', 5, NULL),
(32437, NULL, 'IPR036022', NULL, 'Plant myosin class VIII, motor domain', 'MYSc_Myo8', 3, NULL),
(32438, NULL, 'IPR035415', NULL, 'Protein of unknown function DUF5382', 'DUF5382', 4, NULL),
(32439, NULL, 'IPR041468', NULL, 'ParB/Spo0J, HTH domain', 'HTH_ParB/Spo0J', 3, NULL),
(32440, NULL, 'IPR037086', NULL, 'D-Lysine 5,6-aminomutase alpha subunit superfamily', 'Lys-AminoMut_asu_sf', 5, NULL),
(32441, NULL, 'IPR038580', NULL, 'Monellin, A chain superfamily', 'Monellin_A_sf', 5, NULL),
(32442, NULL, 'IPR041915', NULL, 'Tudor domain-containing protein 3, UBA domain', 'UBA_TDRD3', 3, NULL),
(32443, NULL, 'IPR041533', NULL, 'Bartonella effector protein, BID domain', 'Bep_BID', 3, NULL),
(32444, NULL, 'IPR033335', NULL, 'Microtubule-associated protein Jupiter', 'JUPITER', 4, NULL),
(32445, NULL, 'IPR041246', NULL, 'Bacterial alpha-2-macroglobulin MG10 domain', 'Bact_MG10', 3, NULL),
(32446, NULL, 'IPR038406', NULL, 'DUF3837 superfamily', 'DUF3837_sf', 5, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32447, NULL, 'IPR033815', NULL, 'Ubiquitin specific peptidase 1', 'USP1', 3, NULL),
(32448, NULL, 'IPR041550', NULL, 'Fatty acid synthase type I, helical', 'FASI_helical', 3, NULL),
(32449, NULL, 'IPR041605', NULL, '3''-5'' exonuclease C-terminal domain', 'Exo_C', 3, NULL),
(32450, NULL, 'IPR041481', NULL, 'COP9 signalosome complex subunit 7, helix I', 'CSN7_helixI', 3, NULL),
(32451, NULL, 'IPR041599', NULL, 'Phage protein Gp138 N-terminal domain', 'Gp138_N', 3, NULL),
(32452, NULL, 'IPR036585', NULL, 'Attractin superfamily', 'Attractin_sf', 5, NULL),
(32453, NULL, 'IPR040366', NULL, 'Nuclear polyadenylated RNA-binding protein Nab2/ZC3H14', 'Nab2/ZC3H14', 4, NULL),
(32454, NULL, 'IPR041626', NULL, 'Proteasomal ATPase, N-terminal OB domain', 'Prot_ATP_OB_N', 3, NULL),
(32455, NULL, 'IPR041337', NULL, 'Heterogeneous nuclear ribonucleoprotein Q acidic domain', 'hnRNP_Q_AcD', 3, NULL),
(32456, NULL, 'IPR038582', NULL, 'S27a-like superfamily', 'S27a-like_sf', 5, NULL),
(32457, NULL, 'IPR037082', NULL, 'Bacteriophage T4, Gp59, helicase assembly protein, C-terminal domain superfamily', 'Phage_T4_Gp59_C_sf', 5, NULL),
(32458, NULL, 'IPR038380', NULL, 'Ribosomal protein S21 superfamily', 'S21_sf', 5, NULL),
(32459, NULL, 'IPR041882', NULL, 'Ankyrin repeat and SAM domain-containing protein 1, SAM repeat 2', 'SAM_ANKS1_repeat2', 3, NULL),
(32460, NULL, 'IPR035963', NULL, 'FERM superfamily, second domain', 'FERM_2', 5, NULL),
(32461, NULL, 'IPR040389', NULL, 'Cyclin-dependent protein kinase inhibitor SMR', 'SMR', 4, NULL),
(32462, NULL, 'IPR041048', NULL, 'RuvB-like, AAA-lid domain', 'RuvB-like_C', 3, NULL),
(32463, NULL, 'IPR041736', NULL, '4-hydroxyphenylpyruvate dioxygenase, N-terminal', '4OHPhenylPyrv_dOase_N', 3, NULL),
(32464, NULL, 'IPR041632', NULL, 'Arsenite oxidase subunit AioA, 3Fe-4S cluster', 'AioA_3Fe-4S', 3, NULL),
(32465, NULL, 'IPR036653', NULL, 'CinA-like, C-terminal', 'CinA-like_C', 5, NULL),
(32466, NULL, 'IPR041587', NULL, 'Pesticidal crystal protein Cry, domain V', 'Cry_V', 3, NULL),
(32467, NULL, 'IPR037066', NULL, 'TonB-dependent receptor, plug domain superfamily', 'Plug_dom_sf', 5, NULL),
(32468, NULL, 'IPR033889', NULL, 'Type I lantibiotic biosynthesis cyclase', 'LanC', 4, NULL),
(32469, NULL, 'IPR041628', NULL, 'ChlI/MoxR, AAA lid domain', 'ChlI/MoxR_AAA_lid', 3, NULL),
(32470, NULL, 'IPR041766', NULL, 'PA3087-like', 'PA3087-like', 4, NULL),
(32471, NULL, 'IPR038569', NULL, 'Bacteriophage T4, IpI C-terminal domain superfamily', 'Phage_T4_IpI_C_sf', 5, NULL),
(32472, NULL, 'IPR041588', NULL, 'Integrase zinc-binding domain', 'Integrase_H2C2', 3, NULL),
(32473, NULL, 'IPR041732', NULL, 'Peptide chain release factor 3, GTP-binding domain', 'RF3_GTP-bd', 3, NULL),
(32474, NULL, 'IPR037941', NULL, 'Selenoprotein P', 'SeP', 4, NULL),
(32475, NULL, 'IPR035680', NULL, 'Hydroxyacylglutathione hydrolase, MBL domain', 'Clx_II_MBL', 3, NULL),
(32476, NULL, 'IPR038567', NULL, 'Transcription elongation factor 1 superfamily', 'T_Elf1_sf', 5, NULL),
(32477, NULL, 'IPR041907', NULL, 'NAC-alpha domain-containing protein 1, UBA-like domain', 'NACAD_UBA', 3, NULL),
(32478, NULL, 'IPR041658', NULL, 'Dynein heavy chain AAA lid domain', 'AAA_lid_11', 3, NULL),
(32479, NULL, 'IPR036230', NULL, '2-isopropylmalate synthase LeuA, allosteric (dimerisation) domain  superfamily', 'LeuA_allosteric_dom_sf', 5, NULL),
(32480, NULL, 'IPR037238', NULL, 'YbiA-like superfamily', 'YbiA-like_sf', 5, NULL),
(32481, NULL, 'IPR037078', NULL, 'NEDD8-activating enzyme E1 catalytic subunit, C-terminal', 'NEDD8-ac_enz1_catalyticsu_C', 5, NULL),
(32482, NULL, 'IPR040364', NULL, 'Tetratricopeptide repeat protein 21A/21B', 'TTC21A/TTC21B', 4, NULL),
(32483, NULL, 'IPR038192', NULL, 'Transcription termination and cleavage factor, C-terminal domain superfamily', 'CSTF_C_sf', 5, NULL),
(32484, NULL, 'IPR041467', NULL, 'HTH-type transcriptional repressor Sco4008, C-terminal', 'Sco4008_C', 3, NULL),
(32485, NULL, 'IPR036580', NULL, 'Phosphatase 2C, C-terminal domain superfamily', 'PP2C_C_sf', 5, NULL),
(32486, NULL, 'IPR041729', NULL, 'Formyltetrahydrofolate deformylase, C-terminal hydrolase domain', 'Formyl-FH4-Hydrolase_C', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32487, NULL, 'IPR036685', NULL, 'YehU-like superfamily', 'YehU-like_sf', 5, NULL),
(32488, NULL, 'IPR041433', NULL, '26S proteasome non-ATPase regulatory subunit RPN1, C-terminal', 'RPN1_C', 3, NULL),
(32489, NULL, 'IPR036676', NULL, 'PurM-like, C-terminal domain superfamily', 'PurM-like_C_sf', 5, NULL),
(32490, NULL, 'IPR041585', NULL, 'LepB GAP domain, N-terminal subdomain', 'LepB_GAP_N', 3, NULL),
(32491, NULL, 'IPR041250', NULL, 'ParA helix turn helix domain', 'HTH_54', 3, NULL),
(32492, NULL, 'IPR041937', NULL, 'SPRE, EVH1 domain', 'SPRE_EVH1', 3, NULL),
(32493, NULL, 'IPR035444', NULL, 'Fibroblast growth factor 15/19/21', 'FGF15/19/21', 4, NULL),
(32494, NULL, 'IPR037068', NULL, 'DNA primase, catalytic core, N-terminal domain superfamily', 'DNA_primase_core_N_sf', 5, NULL),
(32495, NULL, 'IPR038114', NULL, 'GPAT, N-terminal domain superfamily', 'GPAT_N_sf', 5, NULL),
(32496, NULL, 'IPR038935', NULL, 'Uncharacterized protein C5orf52', 'C5orf52', 4, NULL),
(32497, NULL, 'IPR041897', NULL, 'Integrator complex subunit 11, MBL-fold', 'INTS11-like_MBL-fold', 3, NULL),
(32498, NULL, 'IPR041526', NULL, 'DAPG hydrolase, PhiG domain', 'DAPG_hydrolase', 3, NULL),
(32499, NULL, 'IPR033675', NULL, 'Elongation of very long chain fatty acids protein 6', 'ELOVL6', 4, NULL),
(32500, NULL, 'IPR036243', NULL, 'Photosystem I PsaX superfamily', 'PSI_PsaX_sf', 5, NULL),
(32501, NULL, 'IPR041454', NULL, 'BsuBI/PstI restriction endonuclease, HTH domain', 'BsuBI/PstI_N', 3, NULL),
(32502, NULL, 'IPR041815', NULL, 'Rab35', 'Rab35', 4, NULL),
(32503, NULL, 'IPR039988', NULL, 'Microsomal triglyceride transfer protein large subunit', 'MTTP', 4, NULL),
(32504, NULL, 'IPR041970', NULL, 'Rup1, UBA domain', 'Rup1_UBA', 3, NULL),
(32505, NULL, 'IPR033798', NULL, 'Uncharacterised protein, LodA-like', 'LodA-like', 3, NULL),
(32506, NULL, 'IPR036982', NULL, 'Deoxyhypusine synthase superfamily', 'Deoxyhypusine_synthase_sf', 5, NULL),
(32507, NULL, 'IPR038113', NULL, 'MITD1, C-terminal phospholipase D-like domain superfamily', 'MITD1_C_sf', 5, NULL),
(32508, NULL, 'IPR036516', NULL, 'Translation repressor RegA superfamily', 'Transl_repress_RegA_sf', 5, NULL),
(32509, NULL, 'IPR036974', NULL, 'PUA domain superfamily', 'PUA_sf', 5, NULL),
(32510, NULL, 'IPR042062', NULL, 'Lipoxygenase, vertebrates, PLAT domain', 'PLAT_LOX_verte', 3, NULL),
(32511, NULL, 'IPR035757', NULL, 'Neutrophil cytosol factor 1, second SH3 domain', 'NCF1_SH3_2', 3, NULL),
(32512, NULL, 'IPR041839', NULL, 'ADP-ribosylation factor-like protein 6', 'Arl6', 4, NULL),
(32513, NULL, 'IPR041646', NULL, 'IcaR, C-terminal', 'IcaR_C', 3, NULL),
(32514, NULL, 'IPR033725', NULL, 'LIM1 prickle', 'LIM1_prickle', 3, NULL),
(32515, NULL, 'IPR038108', NULL, 'RPN13, DEUBAD domain superfamily', 'RPN13_DEUBAD_sf', 5, NULL),
(32516, NULL, 'IPR033318', NULL, 'Nectin-2', 'Nectin-2', 4, NULL),
(32517, NULL, 'IPR041584', NULL, 'Predicted pPIWI-associating nuclease, group 2', 'Put_pPIWI_pnuc_2', 3, NULL),
(32518, NULL, 'IPR039927', NULL, '39S ribosomal protein L43/54S ribosomal protein L51', 'MRPL43/MRPL51', 4, NULL),
(32519, NULL, 'IPR041445', NULL, 'RuvB, AAA lid domain', 'AAA_lid_4', 3, NULL),
(32520, NULL, 'IPR042044', NULL, 'EXOC6/PINT-1/Sec15/Tip20, C-terminal, domain 2', 'EXOC6PINT-1/Sec15/Tip20_C_dom2', 5, NULL),
(32521, NULL, 'IPR033778', NULL, 'Cuticle protein CPCFC', 'CPCFC', 3, NULL),
(32522, NULL, 'IPR033953', NULL, 'ADAM24 peptidase', 'ADAM24', 4, NULL),
(32523, NULL, 'IPR036002', NULL, 'Stathmin superfamily', 'Stathmin_sf', 5, NULL),
(32524, NULL, 'IPR041908', NULL, 'CtsR, C-terminal domain superfamily', 'CtsR_C_sf', 5, NULL),
(32525, NULL, 'IPR041901', NULL, 'Rpa43, N-terminal ribonucleoprotein (RNP) domain', 'RNAP_I_Rpa43_N', 3, NULL),
(32526, NULL, 'IPR041980', NULL, 'Spt5, KOW domain repeat 6', 'KOW_Spt5_6', 3, NULL),
(32527, NULL, 'IPR041887', NULL, 'Receptor-type tyrosine-protein phosphatase, carbonic anhydrase domain', 'Alpha_CARP_receptor-type', 3, NULL),
(32528, NULL, 'IPR041671', NULL, 'Csm1 N-terminal domain', 'Csm1_N', 3, NULL),
(32529, NULL, 'IPR035751', NULL, 'Tyrosine-protein kinase Yes, SH3 domain', 'Yes_SH3', 3, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32530, NULL, 'IPR042035', NULL, 'DEAH helicase, winged-helix domain', 'DEAH_win-hel_dom', 5, NULL),
(32531, NULL, 'IPR033015', NULL, 'Cilia- and flagella-associated protein 52', 'CFAP52', 4, NULL),
(32532, NULL, 'IPR041325', NULL, 'Protein glutaminase', 'Gln_deamidase_2', 3, NULL),
(32533, NULL, 'IPR038183', NULL, 'RICH domain superfamily', 'RICH_sf', 5, NULL),
(32534, NULL, 'IPR041826', NULL, 'Rab15', 'Rab15', 4, NULL),
(32535, NULL, 'IPR033381', NULL, 'Ubiquitin-specific peptidase 29', 'USP29', 4, NULL),
(32536, NULL, 'IPR041987', NULL, 'HERC2, zinc finger, ZZ-type', 'ZZ_HERC2', 3, NULL),
(32537, NULL, 'IPR041238', NULL, 'Rap1a immunity protein', 'Rap1a', 3, NULL),
(32538, NULL, 'IPR042087', NULL, 'DNA polymerase family B, thumb domain', 'DNA_pol_B_thumb', 5, NULL),
(32539, NULL, 'IPR035996', NULL, 'Tetrapyrrole methylase superfamily', '4pyrrol_Methylase_sf', 5, NULL),
(32540, NULL, 'IPR035553', NULL, 'Cytokinesis protein 3, SH3 domain', 'Cyk3_SH3', 3, NULL),
(32541, NULL, 'IPR037869', NULL, 'Spp1/CFP1', 'Spp1/CFP1', 4, NULL),
(32542, NULL, 'IPR038751', NULL, 'Integrator complex subunit 8', 'Int8', 4, NULL),
(32543, NULL, 'IPR040153', NULL, 'Respiratory supercomplex factor 2, mitochondrial', 'Rcf2', 4, NULL),
(32544, NULL, 'IPR041881', NULL, 'Coenzyme PQQ synthesis protein D superfamily', 'PqqD_sf', 5, NULL),
(32545, NULL, 'IPR033403', NULL, 'Domain of unknown function DUF5110', 'DUF5110', 3, NULL),
(32546, NULL, 'IPR034123', NULL, 'RBM6, RNA recognition motif 1', 'RBM6_RRM1', 3, NULL),
(32547, NULL, 'IPR036509', NULL, 'Peptide methionine sulphoxide reductase MsrA superfamily', 'Met_Sox_Rdtase_MsrA_sf', 5, NULL),
(32548, NULL, 'IPR041618', NULL, 'Polyketide synthase dimerisation element domain', 'PKS_DE', 3, NULL),
(32549, NULL, 'IPR041642', NULL, 'HTH-type transcriptional repressor KstR, C-terminal', 'KstR_C', 3, NULL),
(32550, NULL, 'IPR041840', NULL, 'Ras-related protein Rap2', 'Rap2', 4, NULL),
(32551, NULL, 'IPR036512', NULL, 'Photosystem II PsbZ superfamily', 'PSII_PsbZ_sf', 5, NULL),
(32552, NULL, 'IPR042032', NULL, 'Viral RNA-directed RNA polymerase, 4-helical domain', 'RNA-dir_pol_4-hel_dom', 5, NULL),
(32553, NULL, 'IPR033389', NULL, 'AUX/IAA domain', 'AUX/IAA_dom', 3, NULL),
(32554, NULL, 'IPR041505', NULL, 'Dis3-like cold-shock domain 2', 'Dis3_CSD2', 3, NULL),
(32555, NULL, 'IPR033704', NULL, 'dUTPase, trimeric', 'dUTPase_trimeric', 3, NULL),
(32556, NULL, 'IPR041744', NULL, 'Bifunctional delta 1-pyrroline-5-carboxylate synthetase, glutamate-5-kinase domain', 'G5K_ProBA', 3, NULL),
(32557, NULL, 'IPR033713', NULL, 'Phosphatase NudJ', 'NudJ', 4, NULL),
(32558, NULL, 'IPR038777', NULL, 'Uncharacterized protein At4g18490-like', 'At4g18490-like', 4, NULL),
(32559, NULL, 'IPR041743', NULL, 'Bifunctional aspartokinase/homoserine dehydrogenase, N-terminal catalytic domain', 'AK-HSDH_N', 3, NULL),
(32560, NULL, 'IPR039934', NULL, 'C2 domain-containing protein 2-like', 'C2CD2/C2CD2L', 4, NULL),
(32561, NULL, 'IPR041777', NULL, 'Frizzled 9, cysteine-rich domain', 'FZ9_CRD', 3, NULL),
(32562, NULL, 'IPR036018', NULL, 'Plant myosin, class XI, motor domain', 'MYSc_Myo11', 3, NULL),
(32563, NULL, 'IPR041567', NULL, 'COI1, F-box', 'COI1_F-box', 3, NULL),
(32564, NULL, 'IPR041896', NULL, 'Antirestriction protein ArdA, domain 2', 'ArdA_dom2', 5, NULL),
(32565, NULL, 'IPR041416', NULL, 'IL-1Ra-like, immunoglobulin domain', 'IL-1RAcP-like_ig', 3, NULL),
(32566, NULL, 'IPR038103', NULL, 'Cell division control protein 73, C-terminal domain superfamily', 'CDC73_C_sf', 5, NULL),
(32567, NULL, 'IPR040388', NULL, 'CXXC-type zinc finger protein CXXC4/CXXC5', 'CXXC4/CXXC5', 4, NULL),
(32568, NULL, 'IPR033752', NULL, 'MetA family', 'MetA_family', 4, NULL),
(32569, NULL, 'IPR041716', NULL, 'Uncharacterized cupredoxin-like protein, Cyanobacteria-type', 'Cupredoxin-like_Cyanobacteria', 3, NULL),
(32570, NULL, 'IPR041227', NULL, 'Mu-like prophage FluMu N-terminal domain', 'FluMu_N', 3, NULL),
(32571, NULL, 'IPR041773', NULL, 'Crescent, cysteine-rich domain', 'Crescent_CRD', 3, NULL),
(32572, NULL, 'IPR041672', NULL, 'Bap31/Bap29 cytoplasmic coiled-coil domain', 'Bap31/Bap29_C', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32573, NULL, 'IPR041575', NULL, 'NADH-rubredoxin oxidoreductase, C-terminal', 'Rubredoxin_C', 3, NULL),
(32574, NULL, 'IPR041997', NULL, 'Ribosomal Protein L6, KOW domain', 'KOW_RPL6', 3, NULL),
(32575, NULL, 'IPR033320', NULL, 'Nectin-4', 'Nectin-4', 4, NULL),
(32576, NULL, 'IPR037490', NULL, 'WPP domain-associated protein', 'WAP', 4, NULL),
(32577, NULL, 'IPR041232', NULL, 'Nucleoplasmin-like domain', 'NPL', 3, NULL),
(32578, NULL, 'IPR040323', NULL, 'EARP and GARP complex-interacting protein 1', 'EIPR1', 4, NULL),
(32579, NULL, 'IPR041260', NULL, 'Sld7 C-terminal domain', 'Sld7_C', 3, NULL),
(32580, NULL, 'IPR038200', NULL, 'GW domain superfamily', 'GW_dom_sf', 5, NULL),
(32581, NULL, 'IPR042016', NULL, 'Apulose kinase', 'Apulose_kinase', 4, NULL),
(32582, NULL, 'IPR041600', NULL, 'Effector immunity protein Tgi2PP', 'Tgi2PP', 3, NULL),
(32583, NULL, 'IPR041769', NULL, 'Frizzled 3, cysteine-rich domain', 'FZ3_CRD', 3, NULL),
(32584, NULL, 'IPR042041', NULL, 'Protein transport protein Tip20, domain A', 'Tip20p_domA', 5, NULL),
(32585, NULL, 'IPR034391', NULL, 'Cmo-like SPASM domain containing protein', 'Cmo-like_SPASM_containing', 4, NULL),
(32586, NULL, 'IPR033796', NULL, 'Putative lipoprotein BA_2398-like', 'BA_2398-like', 4, NULL),
(32587, NULL, 'IPR041988', NULL, 'Ribosomal protein L26/L24, KOW domain', 'KOW_RPL26/RPL24', 3, NULL),
(32588, NULL, 'IPR040141', NULL, 'ZPR1 family', 'ZPR1', 4, NULL),
(32589, NULL, 'IPR038196', NULL, 'Mediator complex subunit 25, PTOV domain superfamily', 'Med25_PTOV_sf', 5, NULL),
(32590, NULL, 'IPR033782', NULL, 'Domain of unknown function DUF5301', 'DUF5301', 4, NULL),
(32591, NULL, 'IPR041902', NULL, 'CtsR, N-terminal domain superfamily', 'CtsR_N_sf', 5, NULL),
(32592, NULL, 'IPR042051', NULL, 'ParM-like', 'ParM-like', 4, NULL),
(32593, NULL, 'IPR041770', NULL, 'Frizzled 6, cysteine-rich domain', 'FZ6_CRD', 3, NULL),
(32594, NULL, 'IPR041444', NULL, 'YhfZ, helix-turn-helix domain', 'HTH_41', 3, NULL),
(32595, NULL, 'IPR041834', NULL, 'Cdc1-like, metallophosphatase domain', 'MPP_Cdc1', 3, NULL),
(32596, NULL, 'IPR041869', NULL, 'Manganese-dependent ADP-ribose/CDP-alcohol diphosphatase', 'MPP_ADPRM', 3, NULL),
(32597, NULL, 'IPR034751', NULL, 'Yippee domain', 'Yippee', 3, NULL),
(32598, NULL, 'IPR041677', NULL, 'DNA2/NAM7 helicase, helicase domain', 'DNA2/NAM7_AAA_11', 3, NULL),
(32599, NULL, 'IPR041561', NULL, 'PglD, N-terminal', 'PglD_N', 3, NULL),
(32600, NULL, 'IPR042004', NULL, 'BRPF2, ePHD domain', 'BRPF2_ePHD', 3, NULL),
(32601, NULL, 'IPR041776', NULL, 'Frizzled 8, cysteine-rich domain', 'FZ8_CRD', 3, NULL),
(32602, NULL, 'IPR041321', NULL, 'Lpg0393, helical bundle domain', 'Lpg0393_HBD', 3, NULL),
(32603, NULL, 'IPR042053', NULL, 'HSPH1, nucleotide-binding domain', 'HSPH1_NBD', 3, NULL),
(32604, NULL, 'IPR039931', NULL, 'Protein FAM102-like', 'FAM102-like', 4, NULL),
(32605, NULL, 'IPR042060', NULL, 'Polycystin-1 like, PLAT/LH2 domain', 'PLAT_polycystin1', 3, NULL),
(32606, NULL, 'IPR037898', NULL, 'NudC family', 'NudC_fam', 4, NULL),
(32607, NULL, 'IPR041417', NULL, 'Probable aminopeptidase NPEPL1, N-terminal', 'NPEPL1_N', 3, NULL),
(32608, NULL, 'IPR033779', NULL, 'Domain of unknown function (DUF5300)', 'DUF5300', 4, NULL),
(32609, NULL, 'IPR038483', NULL, 'YcfL-like superfamily', 'YcfL-like_sf', 5, NULL),
(32610, NULL, 'IPR041824', NULL, 'Rab9', 'Rab9', 4, NULL),
(32611, NULL, 'IPR041772', NULL, 'Sizzled, cysteine-rich domain', 'Sizzled_CRD', 3, NULL),
(32612, NULL, 'IPR041696', NULL, 'Bacteroidetes PKD-like domain', 'PKD_3', 3, NULL),
(32613, NULL, 'IPR033404', NULL, 'Domain of unknown function DUF5111', 'DUF5111', 3, NULL),
(32614, NULL, 'IPR042036', NULL, 'Ribosomal RNA-processing protein 8, N-terminal domain', 'RRP8_N', 5, NULL),
(32615, NULL, 'IPR042046', NULL, 'Lepidopteran low molecular weight lipoprotein, N-terminal domain', 'Lipoprotein_11_N', 5, NULL),
(32616, NULL, 'IPR039720', NULL, 'Transmembrane protein 94', 'TMEM94', 4, NULL),
(32617, NULL, 'IPR041450', NULL, 'ToxB-like N-terminal, ascomycota', 'ToxB-like_N_ascomy', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32618, NULL, 'IPR038102', NULL, 'EYA domain superfamily', 'EYA_dom_sf', 5, NULL),
(32619, NULL, 'IPR033139', NULL, 'Peptidase family C14A, cysteine active site', 'Caspase_cys_AS', 0, NULL),
(32620, NULL, 'IPR041895', NULL, 'Antirestriction protein ArdA, domain 1', 'ArdA_dom1', 5, NULL),
(32621, NULL, 'IPR041409', NULL, 'Restriction endonuclease AspBHI, N-terminal', 'RE_AspBHI_N', 3, NULL),
(32622, NULL, 'IPR033775', NULL, 'Protein of unknown function (DUF5137)', 'DUF5137', 4, NULL),
(32623, NULL, 'IPR033016', NULL, 'Echinoderm microtubule-associated protein-like 2', 'EML2', 4, NULL),
(32624, NULL, 'IPR041749', NULL, 'NadR, nicotinamide/nicotinate mononucleotide adenylyltransferase domain', 'NMNAT_NadR', 3, NULL),
(32625, NULL, 'IPR033271', NULL, 'Protein SSUH2 homologue', 'SSUH2', 4, NULL),
(32626, NULL, 'IPR041578', NULL, 'PIN like domain, group 8', 'PIN_8', 3, NULL),
(32627, NULL, 'IPR041750', NULL, 'Bifunctional NMN adenylyltransferase/Nudix hydrolase, N-terminal NMNAT domain', 'NMNAT_Nudix', 3, NULL),
(32628, NULL, 'IPR039932', NULL, 'Serine protease inhibitor Kazal-type 4-like', 'Spink4-like', 4, NULL),
(32629, NULL, 'IPR041883', NULL, 'PilM protein, N-terminal domain', 'PilM_N-ter', 5, NULL),
(32630, NULL, 'IPR033890', NULL, 'GDP-mannose 3,5-epimerase', 'GDP-Man_epi', 3, NULL),
(32631, NULL, 'IPR042038', NULL, 'MukE, N-terminal domain', 'MukE_N', 5, NULL),
(32632, NULL, 'IPR042005', NULL, 'BRPF3, ePHD domain', 'BRPF3_ePHD', 3, NULL),
(32633, NULL, 'IPR041793', NULL, 'Myosin VII, FERM domain C-lobe, repeat 1', 'MyoVII_FERM_C1', 3, NULL),
(32634, NULL, 'IPR038963', NULL, 'Uncharacterized protein C17orf107', 'C17orf107', 4, NULL),
(32635, NULL, 'IPR039949', NULL, 'N-alpha-acetyltransferase 40', 'NAA40', 4, NULL),
(32636, NULL, 'IPR041989', NULL, 'TOPK, catalytic domain', 'PKc_TOPK', 3, NULL),
(32637, NULL, 'IPR041448', NULL, 'Tumor necrosis factor receptor member 16, transmembrane domain', 'TNFR16_TM', 3, NULL),
(32638, NULL, 'IPR038775', NULL, 'Testis-expressed protein 49', 'TEX49', 4, NULL),
(32639, NULL, 'IPR039924', NULL, 'Protein ICln/Lot5/Saf5', 'ICln/Lot5/Saf5', 4, NULL),
(32640, NULL, 'IPR033723', NULL, 'PET prickle', 'PET_prickle', 3, NULL),
(32641, NULL, 'IPR036973', NULL, 'Major capsid L1 (late) superfamily, Papillomavirus', 'Capsid_L1_sf_Papillomavir', 5, NULL),
(32642, NULL, 'IPR042031', NULL, 'SKA1 microtubule binding domain', 'SKA1-MBD', 5, NULL),
(32643, NULL, 'IPR042045', NULL, 'Exocyst complex component EXOC6/Sec15, C-terminal, domain 1', 'EXOC6/Sec15_C_dom1', 5, NULL),
(32644, NULL, 'IPR041774', NULL, 'LIN-17, cysteine-rich domain', 'LIN-17_CRD', 3, NULL),
(32645, NULL, 'IPR041443', NULL, 'ExoP, galactose-binding-like domain', 'Exop_C', 3, NULL),
(32646, NULL, 'IPR038780', NULL, 'Uncharacterized protein C4orf3', 'C4orf3', 4, NULL),
(32647, NULL, 'IPR041413', NULL, 'MmyB-like transcription regulator ligand binding', 'MLTR_LBD', 3, NULL),
(32648, NULL, 'IPR041322', NULL, 'Synaptonemal complex protein 2, armadillo-repeat-like domain', 'SYCP2_ARLD', 3, NULL),
(32649, NULL, 'IPR041974', NULL, 'Ubiquitin carrier protein 27, UBA domain', 'UBC27_UBA', 3, NULL),
(32650, NULL, 'IPR033319', NULL, 'Nectin-3', 'Nectin-3', 4, NULL),
(32651, NULL, 'IPR035760', NULL, 'Voltage-dependent L-type calcium channel subunit beta-3, SH3 domain', 'CACNB3_SH3', 3, NULL),
(32652, NULL, 'IPR033799', NULL, 'CDI toxin, EC869-like', 'CDI_EC869-like', 3, NULL),
(32653, NULL, 'IPR039997', NULL, 'Transcription factor E', 'TFE', 4, NULL),
(32654, NULL, 'IPR033640', NULL, 'Fatty acyl-CoA reductase, C-terminal', 'FAR_C', 3, NULL),
(32655, NULL, 'IPR035756', NULL, 'Neutrophil cytosol factor 1, first SH3 domain', 'NCF1_SH3_1', 3, NULL),
(32656, NULL, 'IPR039948', NULL, 'Elongin-C', 'ELC1', 4, NULL),
(32657, NULL, 'IPR041818', NULL, 'Rab39', 'Rab39', 4, NULL),
(32658, NULL, 'IPR041648', NULL, 'Rank, cysteine-rich repeat domain 2', 'RANK_CRD_2', 3, NULL),
(32659, NULL, 'IPR035749', NULL, 'Lck, SH3 domain', 'Lck_SH3', 3, NULL),
(32660, NULL, 'IPR038485', NULL, 'Protein Z, RING-type zinc finger superfamily', 'Z_RING-type_Znf_sf', 5, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32661, NULL, 'IPR041819', NULL, 'Rab4', 'Rab4', 4, NULL),
(32662, NULL, 'IPR033776', NULL, 'COMMD1 N-terminal domain', 'COMMD1_N', 3, NULL),
(32663, NULL, 'IPR041737', NULL, 'SoxW family', 'SoxW', 4, NULL),
(32664, NULL, 'IPR041697', NULL, 'Zinc-finger C2H2-type 11', 'Znf-C2H2_11', 3, NULL),
(32665, NULL, 'IPR041788', NULL, 'FARP1/FARP2/FRMD7, FERM domain C-lobe', 'FARP1/FARP2/FRMD7_FERM_C', 3, NULL),
(32666, NULL, 'IPR041717', NULL, 'FwdD/FmdC, molybdopterin dinucleotide-binding domain', 'FmdC/FwdD_MopB-bd', 3, NULL),
(32667, NULL, 'IPR041669', NULL, 'Tetracyclin repressor SlmA-like, C-terminal domain', 'TetR_C_15', 3, NULL),
(32668, NULL, 'IPR041698', NULL, 'Methyltransferase domain 25', 'Methyltransf_25', 3, NULL),
(32669, NULL, 'IPR036513', NULL, 'STAS domain superfamily', 'STAS_dom_sf', 5, NULL),
(32670, NULL, 'IPR041789', NULL, 'ERM family, FERM domain C-lobe', 'ERM_FERM_C', 3, NULL),
(32671, NULL, 'IPR041822', NULL, 'Rab33A/B', 'Rab33A/B', 4, NULL),
(32672, NULL, 'IPR038779', NULL, 'Coiled-coil domain-containing protein 107', 'CCDC107', 4, NULL),
(32673, NULL, 'IPR036517', NULL, 'FF domain superfamily', 'FF_domain_sf', 5, NULL),
(32674, NULL, 'IPR040322', NULL, '60kDa SS-A/Ro ribonucleoprotein', 'TROVE2', 4, NULL),
(32675, NULL, 'IPR041679', NULL, 'DNA2/NAM7 helicase-like, C-terminal', 'DNA2/NAM7-like_C', 3, NULL),
(32676, NULL, 'IPR041461', NULL, 'CdvA-like coiled-coil domain', 'CdvA_CC', 3, NULL),
(32677, NULL, 'IPR033648', NULL, 'AAR2, C-terminal', 'AAR2_C', 3, NULL),
(32678, NULL, 'IPR036615', NULL, 'Mur ligase, C-terminal domain superfamily', 'Mur_ligase_C_dom_sf', 5, NULL),
(32679, NULL, 'IPR041622', NULL, 'SMODS and SLOG-associating 2TM effector domain, fungi', 'SLATT_fungi', 3, NULL),
(32680, NULL, 'IPR038484', NULL, 'MucB/RseB, C-terminal domain superfamily', 'MucB/RseB_C_sf', 5, NULL),
(32681, NULL, 'IPR041751', NULL, 'PP2B, metallophosphatase domain', 'MPP_PP2B', 3, NULL),
(32682, NULL, 'IPR041874', NULL, 'Carbonic anhydrase, CA4/CA15', 'CA4/CA15', 4, NULL),
(32683, NULL, 'IPR036039', NULL, 'Influenza virus matrix protein M1', 'Flu_matrix_M1', 5, NULL),
(32684, NULL, 'IPR041781', NULL, 'FERM domain-containing protein 6, FERM domain C-lobe', 'FRMD6-FERM_C', 3, NULL),
(32685, NULL, 'IPR042021', NULL, 'Glycerol kinase-like, proteobacteria', 'GK-like_proteobact', 4, NULL),
(32686, NULL, 'IPR033638', NULL, 'WAP, Kazal, immunoglobulin, Kunitz and NTR domain-containing protein 1/2', 'WFIKKN1/2', 4, NULL),
(32687, NULL, 'IPR041641', NULL, 'CALCOCO1/2, zinc finger UBZ1-type', 'CALCOCO1/2_Zn_UBZ1', 3, NULL),
(32688, NULL, 'IPR041972', NULL, 'Transcription factor 20, ePHD domain', 'TCF-20_ePHD', 3, NULL),
(32689, NULL, 'IPR038185', NULL, 'MyTH4 domain superfamily', 'MyTH4_dom_sf', 5, NULL),
(32690, NULL, 'IPR042011', NULL, 'ATX3/4/5, PHD domain', 'ATX3/4/5_PHD', 3, NULL),
(32691, NULL, 'IPR041877', NULL, 'Carbonic anhydrase-related protein VIII', 'CARP_VIII', 4, NULL),
(32692, NULL, 'IPR036163', NULL, 'Heavy metal-associated domain superfamily', 'HMA_dom_sf', 5, NULL),
(32693, NULL, 'IPR041414', NULL, 'RACo, middle region', 'Raco_middle', 3, NULL),
(32694, NULL, 'IPR041848', NULL, 'Guanine nucleotide-binding protein subunit gamma, fungal', 'Ste18_fungal', 4, NULL),
(32695, NULL, 'IPR036005', NULL, 'Creatinase/aminopeptidase-like', 'Creatinase/aminopeptidase-like', 5, NULL),
(32696, NULL, 'IPR041829', NULL, 'SoxB, N-terminal metallophosphatase domain', 'SoxB_N', 3, NULL),
(32697, NULL, 'IPR041691', NULL, 'Atg6/beclin, coiled-coil domain', 'Atg6/beclin_CC', 3, NULL),
(32698, NULL, 'IPR035999', NULL, 'Sec7 domain superfamily', 'Sec7_dom_sf', 5, NULL),
(32699, NULL, 'IPR041562', NULL, 'MCM, AAA-lid domain', 'MCM_lid', 3, NULL),
(32700, NULL, 'IPR041627', NULL, 'CbbX, AAA lid domain', 'AAA_lid_6', 3, NULL),
(32701, NULL, 'IPR035755', NULL, 'RIMS-binding protein, third SH3 domain', 'RIM-BP_SH3_3', 3, NULL),
(32702, NULL, 'IPR042037', NULL, 'MukE, C-terminal domain', 'MukE_C', 5, NULL),
(32703, NULL, 'IPR041558', NULL, 'Mucin binding domain', 'MucBP_2', 3, NULL),
(32704, NULL, 'IPR040391', NULL, 'BEN domain-containing protein 5', 'BEND5', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32705, NULL, 'IPR036000', NULL, 'Class II myosin, Myh3, motor domain', 'MYSc_Myh3', 3, NULL),
(32706, NULL, 'IPR038112', NULL, 'Protein-tyrosine phosphatase receptor IA-2,  ectodomain superfamily', 'Receptor_IA-2_ectodomain_sf', 5, NULL),
(32707, NULL, 'IPR042075', NULL, 'KorB DNA-binding domain', 'KorB_DNA-db', 5, NULL),
(32708, NULL, 'IPR035265', NULL, 'Colicin-K immunity', 'Colicin-K_immunity', 4, NULL),
(32709, NULL, 'IPR041447', NULL, 'Mannosidase Ig/CBM-like domain', 'Mannosidase_ig', 3, NULL),
(32710, NULL, 'IPR033845', NULL, 'p-Aminobenzoyl-glutamate hydrolase subunit A', 'AbgA', 4, NULL),
(32711, NULL, 'IPR041914', NULL, 'ATP-dependent 6-phosphofructokinase, vertebrate-type', 'PFK_vert-type', 4, NULL),
(32712, NULL, 'IPR042042', NULL, 'Protein transport protein Tip20, domain B', 'Tip20p_domB', 5, NULL),
(32713, NULL, 'IPR036535', NULL, 'STAT transcription factor, N-terminal domain superfamily', 'STAT_N_sf', 5, NULL),
(32714, NULL, 'IPR036980', NULL, 'Ribonuclease P/MRP subunit  Rpp29 superfamily', 'RNase_P/MRP_Rpp29_sf', 5, NULL),
(32715, NULL, 'IPR041790', NULL, 'MYLIP, FERM domain C-lobe', 'MYLIP_FERM_C', 3, NULL),
(32716, NULL, 'IPR041779', NULL, 'FERM and PDZ domain-containing protein 1/3/4, FERM domain C-lobe', 'FRMPD1/3/4_FERM_C', 3, NULL),
(32717, NULL, 'IPR041591', NULL, 'OCRE domain', 'OCRE', 3, NULL),
(32718, NULL, 'IPR041564', NULL, 'Sld7, N-terminal', 'Sld7_N', 3, NULL),
(32719, NULL, 'IPR036532', NULL, 'AvrPto superfamily', 'AvrPto_sf', 5, NULL),
(32720, NULL, 'IPR035552', NULL, 'Mti1, SH3 domain', 'Mti1_SH3', 3, NULL),
(32721, NULL, 'IPR041796', NULL, 'Mre11 nuclease, N-terminal metallophosphatase domain', 'Mre11_N', 3, NULL),
(32722, NULL, 'IPR036167', NULL, 'tRNA intron endonuclease, catalytic domain-like superfamily', 'tRNA_intron_Endo_cat-like_sf', 5, NULL),
(32723, NULL, 'IPR035549', NULL, 'Bem1/Scd2, SH3 domain 2', 'Bem1/Scd2_SH3_2', 3, NULL),
(32724, NULL, 'IPR041838', NULL, 'ADP-ribosylation factor 6', 'Arf6', 4, NULL),
(32725, NULL, 'IPR042082', NULL, 'CST complex subunit Stn1, wHTH1 motif superfamily', 'CST_Stn1_wHTH1_sf', 5, NULL),
(32726, NULL, 'IPR041631', NULL, 'Alpha-dystroglycan N-terminal domain 2', 'Alpha_DG1_N2', 3, NULL),
(32727, NULL, 'IPR033272', NULL, 'Hemogen', 'Hemogen', 4, NULL),
(32728, NULL, 'IPR036505', NULL, 'N-acetylmuramoyl-L-alanine amidase/PGRP domain superfamily', 'Amidase/PGRP_sf', 5, NULL),
(32729, NULL, 'IPR041652', NULL, 'Domain of unknown function DUF5616', 'DUF5616', 3, NULL),
(32730, NULL, 'IPR038778', NULL, 'Mitoregulin', 'Mtln', 4, NULL),
(32731, NULL, 'IPR042018', NULL, 'Glycerol kinase, metazoa', 'GK1-3_metazoa', 4, NULL),
(32732, NULL, 'IPR041832', NULL, 'Synechococcus PhoA, N-terminal metallophosphatase domain', 'PhoA_N', 3, NULL),
(32733, NULL, 'IPR041228', NULL, 'Dynein heavy chain, C-terminal domain', 'Dynein_C', 3, NULL),
(32734, NULL, 'IPR035076', NULL, 'Snake toxin/toxin-like', 'Toxin/TOLIP', 3, NULL),
(32735, NULL, 'IPR039719', NULL, 'F-box only protein 28', 'FBXO28', 4, NULL),
(32736, NULL, 'IPR035759', NULL, 'Disks Large homologue 2, SH3 domain', 'DLG2_SH3', 3, NULL),
(32737, NULL, 'IPR038118', NULL, 'Bypass-of-forespore C, N-terminal domain superfamily', 'BOFC_N_sf', 5, NULL),
(32738, NULL, 'IPR041872', NULL, 'Methionyl-tRNA synthetase, anticodon-binding domain', 'Anticodon_Met', 3, NULL),
(32739, NULL, 'IPR033530', NULL, 'Extracellular glycoprotein lacritin', 'Lacritin', 4, NULL),
(32740, NULL, 'IPR041476', NULL, 'TRAF3-interacting protein 1, C-terminal domain', 'TRAF3IP1_C', 3, NULL),
(32741, NULL, 'IPR041964', NULL, 'KMT2D, ePHD2 domain', 'KMT2D_ePHD2', 3, NULL),
(32742, NULL, 'IPR041582', NULL, 'RimO, TRAM domain', 'RimO_TRAM', 3, NULL),
(32743, NULL, 'IPR033957', NULL, 'NAS-36 peptidase', 'NAS-36', 4, NULL),
(32744, NULL, 'IPR033367', NULL, 'BRI3-binding protein', 'BRI3BP', 4, NULL),
(32745, NULL, 'IPR040145', NULL, 'Integral membrane protein 2', 'ITM2', 4, NULL),
(32746, NULL, 'IPR042027', NULL, 'Sedoheptulokinase', 'SHK', 4, NULL),
(32747, NULL, 'IPR042086', NULL, 'Methyltransferase, alpha-helical capping domain', 'MeTrfase_capping', 5, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32748, NULL, 'IPR035550', NULL, 'Bem1/Scd2, PX domain', 'Bem1/Scd2_PX', 3, NULL),
(32749, NULL, 'IPR033581', NULL, 'Aminopeptidase N-like', 'APN-like', 4, NULL),
(32750, NULL, 'IPR033024', NULL, 'Neogenin', 'Neogenin', 4, NULL),
(32751, NULL, 'IPR037905', NULL, 'NudC domain-containing protein 3, p23 domain', 'p23_NUDCD3', 3, NULL),
(32752, NULL, 'IPR041791', NULL, 'Krev interaction trapped protein 1, FERM domain C-lobe', 'KRIT1_FERM_C', 3, NULL),
(32753, NULL, 'IPR039907', NULL, 'RNA-binding protein NOB1', 'NOB1', 4, NULL),
(32754, NULL, 'IPR037867', NULL, 'COMPASS component Swd2/WDR82', 'Swd2/WDR82', 4, NULL),
(32755, NULL, 'IPR042048', NULL, 'Heat shock 70kDa protein 13', 'HSPA13', 4, NULL),
(32756, NULL, 'IPR041555', NULL, 'Macroglobulin domain MG3', 'MG3', 3, NULL),
(32757, NULL, 'IPR042008', NULL, 'BRPF1, PHD domain', 'BRPF1_PHD', 3, NULL),
(32758, NULL, 'IPR042034', NULL, 'Host-nuclease inhibitor Gam superfamily', 'Gam_sf', 5, NULL),
(32759, NULL, 'IPR037720', NULL, 'Ferlin, second C2 domain', 'C2B_Ferlin', 3, NULL),
(32760, NULL, 'IPR034942', NULL, 'PhnC-like', 'PhnC-like', 4, NULL),
(32761, NULL, 'IPR041714', NULL, 'Vitamin K epoxide reductase, Actinobacteria-type', 'VKOR_Actinobacteria', 3, NULL),
(32762, NULL, 'IPR041552', NULL, 'UvrA DNA-binding domain', 'UvrA_DNA-bd', 3, NULL),
(32763, NULL, 'IPR041553', NULL, 'Nuclear pore complex protein Nup214, phenylalanine-glycine (FG) domain', 'Nup214_FG', 3, NULL),
(32764, NULL, 'IPR033857', NULL, 'Bacillopeptidase F, peptidase domain', 'Bacillopeptidase_F', 3, NULL),
(32765, NULL, 'IPR042066', NULL, 'Spt6, Death-like domain', 'Spt6_death-like', 5, NULL),
(32766, NULL, 'IPR041319', NULL, 'Protein of unknown function DUF5543', 'DUF5543', 4, NULL),
(32767, NULL, 'IPR033777', NULL, 'Viral cysteine endopeptidase C107', 'Peptidase_C107', 4, NULL),
(32768, NULL, 'IPR041982', NULL, 'Ribosomal protein S4, KOW domain', 'KOW_RPS4', 3, NULL),
(32769, NULL, 'IPR041630', NULL, 'Epithelial cell adhesion molecule N-terminal domain', 'EpCAM_N', 3, NULL),
(32770, NULL, 'IPR036001', NULL, 'Photosystem antenna protein-like superfamily', 'PS_II_antenna-like_sf', 5, NULL),
(32771, NULL, 'IPR041408', NULL, 'Hemolysin coregulated protein (Hcp) TssD', 'Hcp_Tssd', 4, NULL),
(32772, NULL, 'IPR041675', NULL, 'Pleckstrin homology domain 5', 'PH_5', 3, NULL),
(32773, NULL, 'IPR041692', NULL, 'HHH domain 9', 'HHH_9', 3, NULL),
(32774, NULL, 'IPR041634', NULL, 'Nuclear pore protein Nup188, C-terminal', 'Nup188_C', 3, NULL),
(32775, NULL, 'IPR033471', NULL, 'DIRP domain', 'DIRP', 3, NULL),
(32776, NULL, 'IPR038776', NULL, 'Uncharacterized protein C2orf80', 'C2orf80', 4, NULL),
(32777, NULL, 'IPR041326', NULL, 'Tk-SP N-propeptide domain', 'Tk-SP_N-pro', 3, NULL),
(32778, NULL, 'IPR041633', NULL, 'Polymerase beta, nucleotidyltransferase', 'Polbeta', 3, NULL),
(32779, NULL, 'IPR042091', NULL, 'Ska2, N-terminal', 'Ska2_N', 3, NULL),
(32780, NULL, 'IPR041993', NULL, 'G-patch domain and KOW motifs-containing protein, KOW 1', 'GPKOW_KOW1', 3, NULL),
(32781, NULL, 'IPR041581', NULL, 'Glyoxalase-like domain, group 6', 'Glyoxalase_6', 3, NULL),
(32782, NULL, 'IPR042057', NULL, 'Plant lipoxygenase, PLAT/LH2 domain', 'Lipoxy_PLAT/LH2', 3, NULL),
(32783, NULL, 'IPR041689', NULL, 'Gamma-aminobutyric acid type B receptor subunit 2, coiled-coil domain', 'GBR2_CC', 3, NULL),
(32784, NULL, 'IPR035750', NULL, 'Fyn/Yrk, SH3 domain', 'Fyn/Yrk_SH3', 3, NULL),
(32785, NULL, 'IPR041825', NULL, 'SA0022-like, N-terminal metallophosphatase domain', 'SA0022_N', 3, NULL),
(32786, NULL, 'IPR041718', NULL, 'IS607-like transposase, catalytic domain', 'IS607_transposase-like', 3, NULL),
(32787, NULL, 'IPR041638', NULL, 'Bacterial archaeo-eukaryotic release factor family 11', 'BaeRF_family11', 4, NULL),
(32788, NULL, 'IPR041629', NULL, 'Bacterial SCP orthologue', 'SCP_3', 3, NULL),
(32789, NULL, 'IPR041931', NULL, 'Bacterial DNA polymerase III alpha subunit, thumb domain', 'DNA_pol3_alpha_thumb_dom', 5, NULL),
(32790, NULL, 'IPR039922', NULL, 'GDP-fucose protein O-fucosyltransferase 1', 'POFUT1', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32791, NULL, 'IPR041569', NULL, 'AAA ATPase, AAA+ lid domain', 'AAA_lid_3', 3, NULL),
(32792, NULL, 'IPR040152', NULL, 'ATPase synthesis protein 25, mitochondrial', 'Atp25', 4, NULL),
(32793, NULL, 'IPR038958', NULL, 'Protein plastid transcriptionally active 7', 'PTAC7', 4, NULL),
(32794, NULL, 'IPR033253', NULL, 'Cilia- and flagella-associated protein 45', 'CFAP45', 4, NULL),
(32795, NULL, 'IPR042040', NULL, 'Protein transport protein Tip20, domain E', 'Tip20p_domE', 5, NULL),
(32796, NULL, 'IPR041847', NULL, 'Cytosolic phospholipase A2, C2 domain', 'C2_cPLA2', 3, NULL),
(32797, NULL, 'IPR041539', NULL, 'CxC5 like cysteine cluster associated with KDZ', 'CxC5', 3, NULL),
(32798, NULL, 'IPR036612', NULL, 'K Homology domain, type 1 superfamily', 'KH_dom_type_1_sf', 5, NULL),
(32799, NULL, 'IPR040324', NULL, 'WD repeat-containing protein WDR44/Dgr2', 'WDR44/Dgr2', 4, NULL),
(32800, NULL, 'IPR033724', NULL, 'PET testin', 'PET_testin', 3, NULL),
(32801, NULL, 'IPR041477', NULL, 'Domain of unknown function DUF5577', 'DUF5577', 3, NULL),
(32802, NULL, 'IPR033653', NULL, 'NTP pyrophosphohydrolase, DR2231-like', 'NTP-PPase_DR2231-like', 4, NULL),
(32803, NULL, 'IPR036510', NULL, 'Ribosomal protein S20 superfamily', 'Ribosomal_S20_sf', 5, NULL),
(32804, NULL, 'IPR039929', NULL, 'Cotranscriptional regulator FAM172A', 'FAM172A', 4, NULL),
(32805, NULL, 'IPR041586', NULL, 'PsrA, tetracyclin repressor-like, C-terminal domain', 'PsrA_TetR_C', 3, NULL),
(32806, NULL, 'IPR042049', NULL, 'Heat shock 70kDa protein 14, nucleotide-binding domain', 'HSPA14_NBD', 3, NULL),
(32807, NULL, 'IPR039912', NULL, 'Pre-rRNA-processing protein PNO1-like', 'PNO1-like', 4, NULL),
(32808, NULL, 'IPR041850', NULL, 'Nectin-1, second immunoglobulin (Ig) domain', 'Nectin-1_Ig2', 3, NULL),
(32809, NULL, 'IPR041415', NULL, 'BclA, C-terminal domain', 'BclA_C', 3, NULL),
(32810, NULL, 'IPR041317', NULL, 'RET cadherin-like domain 4', 'RET_CLD4', 3, NULL),
(32811, NULL, 'IPR033901', NULL, 'DNA-directed RNA polymerases I and III subunit AC40', 'RNAPI/III_AC40', 4, NULL),
(32812, NULL, 'IPR040144', NULL, 'Rap1 GTPase-GDP dissociation stimulator 1', 'RAP1GDS1', 4, NULL),
(32813, NULL, 'IPR042050', NULL, 'Endoplasmic reticulum chaperone BIP, nucleotide-binding domain', 'BIP_NBD', 3, NULL),
(32814, NULL, 'IPR041828', NULL, 'Rab24', 'Rab24', 4, NULL),
(32815, NULL, 'IPR036546', NULL, 'Mediator complex subunit 15, KIX domain', 'MED15_KIX', 3, NULL),
(32816, NULL, 'IPR038105', NULL, 'Kinesin-like protein Kif23, Arf6-interacting domain superfamily', 'Kif23_Arf-bd_sf', 5, NULL),
(32817, NULL, 'IPR036041', NULL, 'Ribosome-inactivating protein superfamily', 'Ribosome-inact_prot_sf', 5, NULL),
(32818, NULL, 'IPR041900', NULL, 'Collagen alpha-3(VI) chain, vWA domain', 'vWA_collagen_alpha3-VI-like', 3, NULL),
(32819, NULL, 'IPR041995', NULL, 'Kin17, KOW domain', 'KOW_KIN17', 3, NULL),
(32820, NULL, 'IPR042012', NULL, 'PHF7/G2E3, PHD domain', 'PHF7/G2E3_PHD', 3, NULL),
(32821, NULL, 'IPR033715', NULL, 'GDP-mannose mannosyl hydrolase', 'GDPMH', 4, NULL),
(32822, NULL, 'IPR041411', NULL, 'Linalool dehydratase/isomerase', 'Ldi', 3, NULL),
(32823, NULL, 'IPR041909', NULL, 'Sbi, C3 binding domain IV', 'Sbi_C3_db_domIV', 5, NULL),
(32824, NULL, 'IPR038115', NULL, 'Nucleocapsid, C-terminal superfamily', 'Nucleocapsid_C_sf', 5, NULL),
(32825, NULL, 'IPR041507', NULL, 'Peptidase C12, C-terminal domain', 'UCH_C', 3, NULL),
(32826, NULL, 'IPR041670', NULL, 'Zinc knuckle', 'Znf-CCHC_6', 3, NULL),
(32827, NULL, 'IPR041823', NULL, 'YHR202W-like, N-terminal metallophosphatase domain', 'YHR202W_N', 3, NULL),
(32828, NULL, 'IPR041619', NULL, 'Nicotinate phosphoribosyltransferase C-terminal domain', 'NAPRTase_C', 3, NULL),
(32829, NULL, 'IPR033388', NULL, 'SWI/SNF-like complex subunit BAF250, C-terminal', 'BAF250_C', 3, NULL),
(32830, NULL, 'IPR042068', NULL, 'Semaphorin-1A, sema domain', 'SEM1A_sema_dom', 3, NULL),
(32831, NULL, 'IPR042065', NULL, 'E3 ubiquitin-protein ligase ELL-like', 'E3_ELL-like', 5, NULL),
(32832, NULL, 'IPR041992', NULL, 'SMCT1, solute-binding domain', 'SLC5sbd_SMCT1', 3, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32833, NULL, 'IPR036162', NULL, 'Resolvase-like, N-terminal catalytic domain superfamily', 'Resolvase-like_N_sf', 5, NULL),
(32834, NULL, 'IPR041624', NULL, 'Rhamnogalacturonan I lyase beta-sheet domain', 'RGI_lyase', 3, NULL),
(32835, NULL, 'IPR033955', NULL, 'NAS-37 peptidase', 'NAS-37', 4, NULL),
(32836, NULL, 'IPR033402', NULL, 'Domain of unknown function DUF5109', 'DUF5109', 3, NULL),
(32837, NULL, 'IPR041573', NULL, 'Desmoplakin, spectrin-like domain', 'Desmoplakin_Spectrin-like', 3, NULL),
(32838, NULL, 'IPR036508', NULL, 'Chitin binding domain superfamily', 'Chitin-bd_dom_sf', 5, NULL),
(32839, NULL, 'IPR041991', NULL, 'Eukaryotic Ribosomal Protein L27, KOW domain', 'KOW_RPL27', 3, NULL),
(32840, NULL, 'IPR040325', NULL, 'RIMS-binding protein 1/2/3', 'RIMBP1/2/3', 4, NULL),
(32841, NULL, 'IPR038169', NULL, 'DC-UbP/UBTD2, N-terminal domain superfamily', 'DC-UbP/UBTD2_N_sf', 5, NULL),
(32842, NULL, 'IPR041236', NULL, 'Primosomal protein N, C-terminal domain', 'PriA_C', 3, NULL),
(32843, NULL, 'IPR041475', NULL, 'His-Me finger endonuclease, beta4-alpha2 domain', 'His_Me_b4a2', 3, NULL),
(32844, NULL, 'IPR041699', NULL, 'Lon protease, AAA domain', 'AAA_32', 3, NULL),
(32845, NULL, 'IPR042067', NULL, 'Sip3, PH domain', 'Sip3_PH', 3, NULL),
(32846, NULL, 'IPR039992', NULL, 'Selenoprotein F/M', 'Sep15_SelM', 4, NULL),
(32847, NULL, 'IPR041986', NULL, 'ZZEF1, zinc finger, ZZ-type', 'ZZEF1_ZZ', 3, NULL),
(32848, NULL, 'IPR041827', NULL, 'CpdB, N-terminal metallophosphatase domain', 'CpdB_N', 3, NULL),
(32849, NULL, 'IPR041682', NULL, 'AAA domain, group 14', 'AAA_14', 3, NULL),
(32850, NULL, 'IPR037459', NULL, 'Rhamnogalacturonan acetylesterase RhgT-like', 'RhgT-like', 4, NULL),
(32851, NULL, 'IPR033138', NULL, 'Multicopper oxidases, conserved site', 'Cu_oxidase_CS', 2, NULL),
(32852, NULL, 'IPR040151', NULL, 'Gfd2/YDR514C-like', 'Gfd2/YDR514C-like', 4, NULL),
(32853, NULL, 'IPR033795', NULL, 'Uncharacterised protein Clospo_01618-like', 'Clospo_01618-like', 3, NULL),
(32854, NULL, 'IPR041656', NULL, 'Tetratrico peptide repeat, group 5', 'TPR_5', 3, NULL),
(32855, NULL, 'IPR038110', NULL, 'Threonine dehydratase, ACT-like domain superfamily', 'TD_ACT-like_sf', 5, NULL),
(32856, NULL, 'IPR041647', NULL, 'Inward rectifier potassium channel, C-terminal', 'IRK_C', 3, NULL),
(32857, NULL, 'IPR042009', NULL, 'BRPF2, PHD domain', 'BRPF2_PHD', 3, NULL),
(32858, NULL, 'IPR033647', NULL, 'AAR2, N-terminal', 'Aar2_N', 3, NULL),
(32859, NULL, 'IPR041650', NULL, 'Swt1-like HEPN', 'HEPN_Swt1', 3, NULL),
(32860, NULL, 'IPR041674', NULL, 'Tetracyclin repressor SCO1712-like, C-terminal domain', 'TetR_C_22', 3, NULL),
(32861, NULL, 'IPR036977', NULL, 'DNA Primase, CHC2-type zinc finger', 'DNA_primase_Znf_CHC2', 5, NULL),
(32862, NULL, 'IPR033368', NULL, 'PWWP domain-containing DNA repair factor 3A', 'MUM1', 4, NULL),
(32863, NULL, 'IPR041654', NULL, 'Styrene monooxygenase StyA, putative substrate binding domain', 'StyA_sbd', 3, NULL),
(32864, NULL, 'IPR042052', NULL, 'HSPA4, nucleotide-binding domain', 'HSPA4_NBD', 3, NULL),
(32865, NULL, 'IPR036976', NULL, 'RimM, N-terminal domain superfamily', 'RimM_N_sf', 5, NULL),
(32866, NULL, 'IPR039951', NULL, 'Transmembrane protein TMEM114/TMEM235', 'TMEM114/TMEM235', 4, NULL),
(32867, NULL, 'IPR033823', NULL, 'Nucellin', 'Nucellin', 3, NULL),
(32868, NULL, 'IPR033118', NULL, 'EXPERA domain', 'EXPERA', 3, NULL),
(32869, NULL, 'IPR041693', NULL, 'Glycosyl-transferase family 4_5', 'Glyco_trans_4_5', 4, NULL),
(32870, NULL, 'IPR041985', NULL, 'Ribosomal protein L14, KOW motif', 'RPL14_KOW', 3, NULL),
(32871, NULL, 'IPR041233', NULL, 'Alpha galactosidase, C-terminal beta sandwich domain', 'Melibiase_C', 3, NULL),
(32872, NULL, 'IPR041868', NULL, 'Protein disulfide-isomerase A3, first redox inactive TRX-like domain b', 'PDIA3_PDI_b', 3, NULL),
(32873, NULL, 'IPR040139', NULL, 'Cell growth regulator with EF hand domain protein 1', 'CGREF1', 4, NULL),
(32874, NULL, 'IPR039994', NULL, 'JmjC domain-containing', 'JmjC_protein', 4, NULL),
(32875, NULL, 'IPR033902', NULL, 'Patatin-like phospholipase domain-containing protein 4', 'PNPLA4', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32876, NULL, 'IPR041565', NULL, 'Parkin, RING/Ubox like zinc-binding domain', 'Parkin_Znf-RING', 3, NULL),
(32877, NULL, 'IPR036165', NULL, 'YefM-like superfamily', 'YefM-like_sf', 5, NULL),
(32878, NULL, 'IPR042092', NULL, 'Pseudouridine synthase, RsuA/RluB/E/F, catalytic domain', 'PsdUridine_s_RsuA/RluB/E/F_cat', 5, NULL),
(32879, NULL, 'IPR040147', NULL, 'Membrane-anchored lipid-binding protein Ysp2/Lam4-like', 'Ysp2/Lam4-like', 4, NULL),
(32880, NULL, 'IPR041239', NULL, 'Domain of unknown function DUF5605', 'DUF5605', 3, NULL),
(32881, NULL, 'IPR033255', NULL, 'EP300-interacting inhibitor of differentiation 1', 'EID-1', 4, NULL),
(32882, NULL, 'IPR041849', NULL, 'Nectin-1, first immunoglobulin (Ig) domain', 'Nectin-1_Ig1', 3, NULL),
(32883, NULL, 'IPR041583', NULL, 'Tetracyclin repressor-like, C-terminal, group 31', 'TetR_C_31', 3, NULL),
(32884, NULL, 'IPR033828', NULL, 'CTP synthase GATase domain', 'GATase1_CTP_Synthase', 3, NULL),
(32885, NULL, 'IPR034752', NULL, 'Mis18 domain', 'Mis18', 3, NULL),
(32886, NULL, 'IPR035551', NULL, 'Boi1/2, SH3 domain', 'Boi1/2_SH3', 3, NULL),
(32887, NULL, 'IPR033652', NULL, 'LigD polymerase domain, type 3', 'LigD_Pol-like_3', 3, NULL),
(32888, NULL, 'IPR041589', NULL, 'Dynein heavy chain 3, AAA+ lid domain', 'DNAH3_AAA_lid_1', 3, NULL),
(32889, NULL, 'IPR033797', NULL, 'L-lysine epsilon-oxidase', 'LodA', 4, NULL),
(32890, NULL, 'IPR041842', NULL, 'Rho-related GTP-binding protein RhoN', 'RhoN', 4, NULL),
(32891, NULL, 'IPR041870', NULL, 'Endoplasmic reticulum resident protein 44, TRX-like domain b', 'ERp44_PDI_b', 3, NULL),
(32892, NULL, 'IPR033651', NULL, 'LigD polymerase domain, PaeLigD-type', 'PaeLigD_Pol-like', 3, NULL),
(32893, NULL, 'IPR041506', NULL, 'Domain of unknown function DUF5645', 'DUF5645', 3, NULL),
(32894, NULL, 'IPR041742', NULL, 'Sec24-like, trunk domain', 'Sec24-like_trunk_dom', 3, NULL),
(32895, NULL, 'IPR041884', NULL, 'PilM protein, C-terminal domain', 'PilM_C-ter', 5, NULL),
(32896, NULL, 'IPR036515', NULL, 'Transposase IS200-like superfamily', 'Transposase_17_sf', 5, NULL),
(32897, NULL, 'IPR041690', NULL, 'Cadherin-like domain', 'Cadherin_5', 3, NULL),
(32898, NULL, 'IPR041875', NULL, 'Syntaxin-8, SNARE domain', 'Syntaxin-8_SNARE', 3, NULL),
(32899, NULL, 'IPR041971', NULL, 'Gawky, UBA domain', 'Gawky_UBA', 3, NULL),
(32900, NULL, 'IPR041410', NULL, 'STATa immunoglobulin-like domain', 'STATa_Ig', 3, NULL),
(32901, NULL, 'IPR038961', NULL, 'Protein PEP-related development arrested 1', 'PRDA1', 4, NULL),
(32902, NULL, 'IPR041242', NULL, 'Putative HNHc nuclease', 'HNHc_6', 4, NULL),
(32903, NULL, 'IPR040150', NULL, 'RNA polymerase II nuclear localization protein Iwr1', 'Iwr1', 4, NULL),
(32904, NULL, 'IPR041636', NULL, 'Ribonuclease J, C-terminal', 'RNase_J_C', 3, NULL),
(32905, NULL, 'IPR041873', NULL, 'PARMER_03128-like, N-terminal', 'PARMER_03128_N', 3, NULL),
(32906, NULL, 'IPR041657', NULL, 'Helix-turn-helix domain, group 17', 'HTH_17', 3, NULL),
(32907, NULL, 'IPR041821', NULL, 'CG11883-like, N-terminal metallophosphatase domain', 'CG11883_N', 3, NULL),
(32908, NULL, 'IPR041452', NULL, 'APAF-1 helical domain', 'APAF1_C', 3, NULL),
(32909, NULL, 'IPR041771', NULL, 'Smoothened, cysteine-rich domain', 'SMO_CRD', 3, NULL),
(32910, NULL, 'IPR038170', NULL, 'NS5A domain 1a superfamily', 'NS5A_1a_sf', 5, NULL),
(32911, NULL, 'IPR042054', NULL, 'YegD-like', 'YegD-like', 4, NULL),
(32912, NULL, 'IPR041695', NULL, 'Glutathione S-transferase, C-terminal domain', 'GST_C_5', 3, NULL),
(32913, NULL, 'IPR039721', NULL, 'D-glucuronyl C5-epimerase', 'C5-epimerase', 4, NULL),
(32914, NULL, 'IPR037902', NULL, 'NudC domain-containing protein 2, p23 domain', 'p23_NUDCD2', 3, NULL),
(32915, NULL, 'IPR042076', NULL, 'Crisp-like domain', 'Crisp-like_dom', 5, NULL),
(32916, NULL, 'IPR040162', NULL, 'Microsomal glutathione S-transferase 1-like', 'MGST1-like', 4, NULL),
(32917, NULL, 'IPR041778', NULL, 'Frizzled 2, cysteine-rich domain', 'FZ2_CRD', 3, NULL),
(32918, NULL, 'IPR034941', NULL, 'PydA-like', 'PydA-like', 4, NULL),
(32919, NULL, 'IPR041640', NULL, 'Tyosinase, C-terminal', 'Tyosinase_C', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32920, NULL, 'IPR041871', NULL, 'TMEM62, metallophosphatase domain', 'MPP_TMEM62', 3, NULL),
(32921, NULL, 'IPR041831', NULL, 'Endonuclease YhcR, metallophosphatase domain', 'YhcR_MPP', 3, NULL),
(32922, NULL, 'IPR042010', NULL, 'ATX1/2, PHD domain', 'ATX1/2_PHD', 3, NULL),
(32923, NULL, 'IPR041577', NULL, 'Reverse transcriptase/retrotransposon-derived protein, RNase H-like domain', 'RT_RNaseH_2', 3, NULL),
(32924, NULL, 'IPR033269', NULL, 'Signaling threshold-regulating transmembrane adapter 1', 'Sit1', 4, NULL),
(32925, NULL, 'IPR038107', NULL, '3-deoxy-D-manno-octulosonic-acid transferase, N-terminal domain superfamily', 'Glycos_transf_N_sf', 5, NULL),
(32926, NULL, 'IPR039930', NULL, 'Ral GTPase-activating protein subunit beta', 'RALGAPB', 4, NULL),
(32927, NULL, 'IPR041893', NULL, 'Antirestriction protein ArdA, domain 3', 'ArdA_dom3', 5, NULL),
(32928, NULL, 'IPR041713', NULL, 'PTS system lactose-specific EIICB component, IIB domain', 'PTS_IIB', 3, NULL),
(32929, NULL, 'IPR039910', NULL, 'Surface antigen D15-like', 'D15-like', 4, NULL),
(32930, NULL, 'IPR041994', NULL, 'G-patch domain and KOW motifs-containing protein, KOW 2', 'GPKOW_KOW2', 3, NULL),
(32931, NULL, 'IPR041852', NULL, 'ARHGAP6/36, RhoGAP domain', 'ARHGAP6_RhoGAP', 3, NULL),
(32932, NULL, 'IPR041748', NULL, 'Aspartokinase catalytic domain, ectoine pathway', 'AK-Ectoine', 3, NULL),
(32933, NULL, 'IPR041775', NULL, 'Ror-like, cysteine-rich domain', 'Ror-like_CRD', 3, NULL),
(32934, NULL, 'IPR037877', NULL, 'Histone-lysine N-methyltransferase 2C', 'KMT2C', 4, NULL),
(32935, NULL, 'IPR035753', NULL, 'RIMS-binding protein, second SH3 domain', 'RIM-BP_SH3_2', 3, NULL),
(32936, NULL, 'IPR041243', NULL, 'STI1 domain', 'STI1', 3, NULL),
(32937, NULL, 'IPR042085', NULL, 'Alkaline phosphatase, crown domain', 'Ap_crown', 5, NULL),
(32938, NULL, 'IPR036979', NULL, 'Chorismate mutase domain superfamily', 'CM_dom_sf', 5, NULL),
(32939, NULL, 'IPR041229', NULL, 'Apea-like HEPN', 'HEPN_Apea', 3, NULL),
(32940, NULL, 'IPR041478', NULL, 'Tetracyclin repressor-like, C-terminal domain 27', 'TetR_C_27', 3, NULL),
(32941, NULL, 'IPR038186', NULL, 'CHAD domain superfamily', 'CHAD_dom_sf', 5, NULL),
(32942, NULL, 'IPR042088', NULL, 'Oligoendopeptidase F, C-terminal domain', 'OligoPept_F_C', 5, NULL),
(32943, NULL, 'IPR038117', NULL, 'Bypass of forespore C, C-terminal domain superfamily', 'BofC_C_sf', 5, NULL),
(32944, NULL, 'IPR041961', NULL, 'KMT2D, ePHD1 domain', 'KMT2D_ePHD1', 3, NULL),
(32945, NULL, 'IPR041418', NULL, 'SAM domain', 'SAM_3', 3, NULL),
(32946, NULL, 'IPR041412', NULL, 'Xrn1, helical domain', 'Xrn1_helical', 3, NULL),
(32947, NULL, 'IPR036975', NULL, 'Importin-alpha, importin-beta-binding domain superfamily', 'Importin-a_IBB_sf', 5, NULL),
(32948, NULL, 'IPR041510', NULL, 'Domain of unknown function DUF5523', 'DUF5523', 3, NULL),
(32949, NULL, 'IPR038966', NULL, 'Translation machinery-associated protein 17', 'TMA17', 4, NULL),
(32950, NULL, 'IPR036518', NULL, 'CobE/GbiG C-terminal domain superfamily', 'CobE/GbiG_C_sf', 5, NULL),
(32951, NULL, 'IPR036166', NULL, 'YxeA-like superfamily', 'YxeA-like_sf', 5, NULL),
(32952, NULL, 'IPR041879', NULL, 'YvgL-like, substrate binding domain', 'YvgL-like_PBP2', 3, NULL),
(32953, NULL, 'IPR033140', NULL, 'Lipase, GDXG, putative serine active site', 'Lipase_GDXG_put_SER_AS', 0, NULL),
(32954, NULL, 'IPR041667', NULL, 'Cupin-like domain 8', 'Cupin_8', 3, NULL),
(32955, NULL, 'IPR036609', NULL, 'LCCL domain superfamily', 'LCCL_sf', 5, NULL),
(32956, NULL, 'IPR039989', NULL, 'ADP-ribose pyrophosphatase, mitochondrial', 'NUDT9', 4, NULL),
(32957, NULL, 'IPR041635', NULL, 'Type ISP restriction-modification enzyme LLaBIII, C-terminal specificity domain', 'Type_ISP_LLaBIII_C', 3, NULL),
(32958, NULL, 'IPR041782', NULL, 'PTPN14/21, FERM domain C-lobe', 'PTPN14/21_FERM_C', 3, NULL),
(32959, NULL, 'IPR042043', NULL, 'Protein transport protein Tip20, domain C', 'Tip20p_domC', 5, NULL),
(32960, NULL, 'IPR036514', NULL, 'SGNH hydrolase superfamily', 'SGNH_hydro_sf', 5, NULL),
(32961, NULL, 'IPR039993', NULL, 'NADH dehydrogenase [ubiquinone] 1 beta subcomplex subunit 10', 'NDUFB10', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(32962, NULL, 'IPR036161', NULL, 'RPB6/omega subunit-like superfamily', 'RPB6/omega-like_sf', 5, NULL),
(32963, NULL, 'IPR035711', NULL, 'Complement C3-like', 'Complement_C3-like', 4, NULL),
(32964, NULL, 'IPR033819', NULL, 'Saccharopepsin', 'Saccharopepsin', 3, NULL),
(32965, NULL, 'IPR041668', NULL, 'Rh5 coiled-coil domain', 'Rh5_CC', 3, NULL),
(32966, NULL, 'IPR035548', NULL, 'Bem1/Scd2, SH3 domain 1', 'Bem1/Scd2_SH3_1', 3, NULL),
(32967, NULL, 'IPR041463', NULL, 'LidA long coiled-coil domain', 'LidA_long_CC', 3, NULL),
(32968, NULL, 'IPR041969', NULL, 'Vacuolar protein sorting-associated protein 13D, UBA domain', 'VP13D_UBA', 3, NULL),
(32969, NULL, 'IPR035758', NULL, 'NADPH oxidase organiser 1, second SH3 domain', 'NoxO1_SH3_2', 3, NULL),
(32970, NULL, 'IPR036531', NULL, 'Rabenosyn, Rab binding domain superfamily', 'Rbsn_Rab-bd_sf', 5, NULL),
(32971, NULL, 'IPR038187', NULL, 'NAC A/B domain superfamily', 'NAC_A/B_dom_sf', 5, NULL),
(32972, NULL, 'IPR041820', NULL, 'Rab30', 'Rab30', 4, NULL),
(32973, NULL, 'IPR038197', NULL, 'TbpB, C-lobe handle domain superfamily', 'TbpB_C-lobe_sf', 5, NULL),
(32974, NULL, 'IPR037393', NULL, 'Bud22/Serum response factor-binding protein 1', 'Bud22/SRFB1', 4, NULL),
(32975, NULL, 'IPR042047', NULL, 'Cell wall hydrolase SleB, domain 1', 'SleB_dom1', 5, NULL),
(32976, NULL, 'IPR041508', NULL, 'Toxin complex C-like repeat', 'TcC-like_repeat', 7, NULL),
(32977, NULL, 'IPR033611', NULL, 'Interleukin-1 receptor-associated kinase-like 2', 'IRAK2', 4, NULL),
(32978, NULL, 'IPR040149', NULL, 'TBC1 domain family member 24', 'TBC1D24', 4, NULL),
(32979, NULL, 'IPR033716', NULL, 'Nudix motif 17 domain', 'Nudt17_dom', 3, NULL),
(32980, NULL, 'IPR033898', NULL, 'DNA-directed RNA polymerases I and III subunit AC19', 'RNAP_AC19', 4, NULL),
(32981, NULL, 'IPR038184', NULL, 'CSTF1, dimerization domain superfamily', 'CSTF1_dimer_sf', 5, NULL),
(32982, NULL, 'IPR041318', NULL, 'pEK499_p136 HEPN domain', 'pEK499_p136', 3, NULL),
(32983, NULL, 'IPR036511', NULL, 'Queuine tRNA-ribosyltransferase-like', 'TGT-like_sf', 5, NULL),
(32984, NULL, 'IPR041556', NULL, 'Disulfide isomerase DsbG, N-terminal', 'DsbG_N', 3, NULL),
(32985, NULL, 'IPR042013', NULL, 'PHF7/G2E3, ePHD domain', 'PHF7/G2E3_ePHD', 3, NULL),
(32986, NULL, 'IPR041571', NULL, 'Protein of unknown function DUF5576', 'DUF5576', 4, NULL),
(32987, NULL, 'IPR041959', NULL, 'KMT2B, ePHD domain', 'KMT2B_ePHD', 3, NULL),
(32988, NULL, 'IPR038962', NULL, 'Transmembrane protein 158', 'TMEM158', 4, NULL),
(32989, NULL, 'IPR041572', NULL, 'Laterosporulin defensin-like peptide', 'Laterosporulin', 4, NULL),
(32990, NULL, 'IPR033401', NULL, 'Domain of unknown function DUF5108', 'DUF5108', 3, NULL),
(32991, NULL, 'IPR037721', NULL, 'Ferlin  family', 'Ferlin', 4, NULL),
(32992, NULL, 'IPR041694', NULL, 'Oxidoreductase, N-terminal domain', 'ADH_N_2', 3, NULL),
(32993, NULL, 'IPR042033', NULL, 'Big defensin, N-terminal domain', 'Defensin_big_N', 5, NULL),
(32994, NULL, 'IPR041715', NULL, 'Class II Histidinyl-tRNA synthetase (HisRS)-like catalytic core domain', 'HisRS-like_core', 3, NULL),
(32995, NULL, 'IPR040146', NULL, 'Centrosomal protein of 72kDa', 'CEP72', 4, NULL),
(32996, NULL, 'IPR041685', NULL, 'AAA domain, group 15', 'AAA_15', 3, NULL),
(32997, NULL, 'IPR041830', NULL, 'Rab12', 'Rab12', 4, NULL),
(32998, NULL, 'IPR041673', NULL, 'Tetracyclin repressor-like, C-terminal domain 23', 'TetR_C_23', 3, NULL),
(32999, NULL, 'IPR041841', NULL, 'Ras-related protein Rsr1', 'Rsr1', 4, NULL),
(33000, NULL, 'IPR041783', NULL, 'PTPN3/4, FERM domain C-lobe', 'PTPN3/4_FERM_C', 3, NULL),
(33001, NULL, 'IPR041946', NULL, 'GPR156, 7TM domain', 'GPR156_7TM', 3, NULL),
(33002, NULL, 'IPR041857', NULL, 'Rab effector Noc2, FYVE domain', 'Noc2_FYVE', 3, NULL),
(33003, NULL, 'IPR037895', NULL, 'NudC domain-containing protein 1', 'NUDCD1', 4, NULL),
(33004, NULL, 'IPR038815', NULL, 'IgA-inducing protein', 'IGIP', 4, NULL),
(33005, NULL, 'IPR035540', NULL, 'FYB, helically extended SH3 domain', 'FYB_hSH3', 3, NULL),
(33006, NULL, 'IPR036156', NULL, 'Beta-Galactosidase/glucuronidase domain superfamily', 'Beta-gal/glucu_dom_sf', 5, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33007, NULL, 'IPR041607', NULL, 'HU domain fused to wHTH, Ig, or Glycine-rich motif', 'HU-HIG', 3, NULL),
(33008, NULL, 'IPR042020', NULL, 'ING3, PHD domain', 'ING3_PHD', 3, NULL),
(33009, NULL, 'IPR035714', NULL, 'RAG1 importin-binding', 'RAG1_imp-bd', 3, NULL),
(33010, NULL, 'IPR033456', NULL, 'Protein of unknown function DUF5132', 'DUF5132', 4, NULL),
(33011, NULL, 'IPR041864', NULL, 'Metallophosphatase TT1561', 'MPP_Tt1561', 3, NULL),
(33012, NULL, 'IPR038842', NULL, 'BRD4-interacting chromatin-remodeling complex-associated protein', 'BICRA', 4, NULL),
(33013, NULL, 'IPR035764', NULL, 'Ryanodine receptor, SPRY domain 2', 'SPRY2_RyR', 3, NULL),
(33014, NULL, 'IPR041843', NULL, 'Rho-related GTP-binding protein RhoE', 'RhoE', 4, NULL),
(33015, NULL, 'IPR036951', NULL, 'Aromatic amino acid hydroxylase superfamily', 'ArAA_hydroxylase_sf', 5, NULL),
(33016, NULL, 'IPR040161', NULL, 'F-box A protein FB155/FB224', 'FB155/FB224', 4, NULL),
(33017, NULL, 'IPR038071', NULL, 'UROD/MetE-like superfamily', 'UROD/MetE-like_sf', 5, NULL),
(33018, NULL, 'IPR039368', NULL, 'Acetolactate synthase large subunit, TPP binding domain', 'AHAS_TPP', 3, NULL),
(33019, NULL, 'IPR034748', NULL, 'Exonuclease I, C-terminal alpha-helical domain', 'EXOI_C', 3, NULL),
(33020, NULL, 'IPR042029', NULL, 'L-ribulokinase-like', 'L-RBK-like', 4, NULL),
(33021, NULL, 'IPR042104', NULL, 'Polyketide synthase, dehydratase domain superfamily', 'PKS_dehydratase_sf', 5, NULL),
(33022, NULL, 'IPR037330', NULL, 'Ankyrin repeat and SOCS box protein 2, SOCS box domain', 'ASB2_SOCS', 3, NULL),
(33023, NULL, 'IPR038981', NULL, 'Polyadenylate-binding protein-interacting protein 5/6', 'CID5/CID6', 4, NULL),
(33024, NULL, 'IPR037284', NULL, 'SUF system FeS cluster assembly, SufBD superfamily', 'SUF_FeS_clus_asmbl_SufBD_sf', 5, NULL),
(33025, NULL, 'IPR036950', NULL, 'Penicillin binding protein transglycosylase domain', 'PBP_transglycosylase', 5, NULL),
(33026, NULL, 'IPR041846', NULL, 'Early nodulin-like protein domain', 'ENL_dom', 3, NULL),
(33027, NULL, 'IPR035367', NULL, 'Nrap protein, domain 2', 'Nrap_D2', 3, NULL),
(33028, NULL, 'IPR041899', NULL, 'MAGE homology domain, winged helix WH2 motif', 'MAGE_WH2', 5, NULL),
(33029, NULL, 'IPR041984', NULL, 'Rsc8/Ssr1/Ssr2, zinc finger, ZZ-type', 'Rsc8/Ssr1/Ssr2_ZZ', 3, NULL),
(33030, NULL, 'IPR039442', NULL, 'Mrr-like domain', 'Mrr-like_dom', 3, NULL),
(33031, NULL, 'IPR041663', NULL, 'DisA/LigA, helix-hairpin-helix motif', 'DisA/LigA_HHH', 3, NULL),
(33032, NULL, 'IPR041602', NULL, 'Quercetin 2,3-dioxygenase, C-terminal cupin domain', 'Quercetinase_C', 3, NULL),
(33033, NULL, 'IPR033495', NULL, 'Mitochondrial ribonuclease P catalytic subunit', 'MRPP3', 4, NULL),
(33034, NULL, 'IPR034771', NULL, 'Cleavage and polyadenylation specificity factor subunit 6-like', 'CPSF6-like', 4, NULL),
(33035, NULL, 'IPR038974', NULL, 'Protein Casparian strip integrity factor 1/2', 'CIF1/2', 4, NULL),
(33036, NULL, 'IPR033221', NULL, 'Tyrosine-protein kinase ABL1/transforming protein Abl', 'ABL1', 4, NULL),
(33037, NULL, 'IPR038833', NULL, 'Testis-expressed protein 50', 'TEX50', 4, NULL),
(33038, NULL, 'IPR037701', NULL, 'Nucleoporin Pom152', 'Pom152', 4, NULL),
(33039, NULL, 'IPR041859', NULL, 'Calsequestrin, N-terminal TRX-fold domain', 'Calsequestrin_N', 3, NULL),
(33040, NULL, 'IPR038878', NULL, 'E3 ubiquitin-protein ligase RNF186', 'RNF186', 4, NULL),
(33041, NULL, 'IPR041811', NULL, 'RAD23A/RAD23B, UBA1 domain', 'RAD23A/B_UBA1', 3, NULL),
(33042, NULL, 'IPR042089', NULL, 'Peptidase M13, domain 2', 'Peptidase_M13_dom_2', 5, NULL),
(33043, NULL, 'IPR033887', NULL, 'PTS system mannose/sorbose specific IIA subunit', 'PTS_IIA_man', 3, NULL),
(33044, NULL, 'IPR035365', NULL, 'Protein of unknown function DUF5407', 'DUF5407', 4, NULL),
(33045, NULL, 'IPR039452', NULL, 'Protein of unknown function DUF5403', 'DUF5403', 4, NULL),
(33046, NULL, 'IPR042025', NULL, 'KMT2A, PHD domain 2', 'KMT2A_PHD2', 3, NULL),
(33047, NULL, 'IPR041799', NULL, 'Toll-interacting protein, CUE domain', 'TOLIP_CUE', 3, NULL),
(33048, NULL, 'IPR033839', NULL, 'Lacticin 481 processing peptidase', 'Lacticin_481_peptidase', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33049, NULL, 'IPR041854', NULL, 'BFD-like [2Fe-2S]-binding domain superfamily', 'BFD-like_2Fe2S-bd_dom_sf', 5, NULL),
(33050, NULL, 'IPR037843', NULL, 'Kindlin/fermitin', 'Kindlin/fermitin', 4, NULL),
(33051, NULL, 'IPR037844', NULL, 'ASAP, PH domain', 'PH_ASAP', 3, NULL),
(33052, NULL, 'IPR041329', NULL, 'YubB, ferredoxin-like domain', 'YubB_C', 3, NULL),
(33053, NULL, 'IPR036952', NULL, 'Parvovirus coat protein VP1/VP2', 'VP1/VP2', 5, NULL),
(33054, NULL, 'IPR033934', NULL, 'Bacterial and archaeal 5-aminoimidazole-4-(N-succinylcarboxamide) ribonucleotide synthase', 'SAICAR_synt_PurC', 4, NULL),
(33055, NULL, 'IPR037771', NULL, 'WWC, C2 domain', 'C2_WWC', 3, NULL),
(33056, NULL, 'IPR037989', NULL, 'Yaf9', 'Yaf9', 4, NULL),
(33057, NULL, 'IPR038243', NULL, 'Spidroin, N-terminal domain superfamily', 'Spidroin_N_sf', 5, NULL),
(33058, NULL, 'IPR039003', NULL, 'Carnitine monooxygenase reductase subunit', 'Carnitine_monoox_B', 4, NULL),
(33059, NULL, 'IPR041603', NULL, 'YvdT, C-terminal', 'YvdT_C', 3, NULL),
(33060, NULL, 'IPR035678', NULL, 'srGAP4, SH3 domain', 'srGAP4_SH3', 3, NULL),
(33061, NULL, 'IPR033862', NULL, 'Putative metalloprotease, Jacalin-like lectin domain', 'Jacalin-like_metallopeptidase', 3, NULL),
(33062, NULL, 'IPR034701', NULL, 'Diadenylate cyclase CdaA', 'CdaA', 4, NULL),
(33063, NULL, 'IPR036632', NULL, 'Scaffold protein D superfamily', 'Scaffold_D_sf', 5, NULL),
(33064, NULL, 'IPR038992', NULL, 'Transmembrane protein 204', 'TMEM204', 4, NULL),
(33065, NULL, 'IPR042039', NULL, 'HscA chaperone, nucleotide-binding domain', 'HscA_NBD', 3, NULL),
(33066, NULL, 'IPR033121', NULL, 'Peptidase family A1 domain', 'PEPTIDASE_A1', 3, NULL),
(33067, NULL, 'IPR034778', NULL, 'Deleted in azoospermia protein 1-4', 'DAZ1-4', 4, NULL),
(33068, NULL, 'IPR038840', NULL, 'RWD domain-containing protein 3', 'RWDD3', 4, NULL),
(33069, NULL, 'IPR038706', NULL, 'Type VI secretion protein SciN-like superfamily', 'Type_VI_SciN-like_sf', 5, NULL),
(33070, NULL, 'IPR037450', NULL, 'Sulphur relay, TusC', 'Sulphur_relay_TusC', 4, NULL),
(33071, NULL, 'IPR039274', NULL, 'Flowering-promoting factor 1', 'FPF1', 4, NULL),
(33072, NULL, 'IPR034225', NULL, 'Nop13/Rnp24, RNA recognition motif 1', 'Nop13/Rnp24_RRM1', 3, NULL),
(33073, NULL, 'IPR041753', NULL, 'PP5, C-terminal metallophosphatase domain', 'PP5_C', 3, NULL),
(33074, NULL, 'IPR041962', NULL, 'BsuBI/PstI restriction endonuclease, N-terminal domain superfamily', 'BsuBI/PstI_N_sf', 5, NULL),
(33075, NULL, 'IPR036650', NULL, 'CAT RNA-binding domain superfamily', 'CAT_RNA-bd_dom_sf', 5, NULL),
(33076, NULL, 'IPR033059', NULL, 'Beta-crystallin B1', 'CRYBB1', 4, NULL),
(33077, NULL, 'IPR041966', NULL, 'LOTUS-like domain', 'LOTUS-like', 5, NULL),
(33078, NULL, 'IPR038980', NULL, 'Serine/threonine-protein kinase ATM, plant', 'ATM_plant', 4, NULL),
(33079, NULL, 'IPR041430', NULL, 'ATRX, ADD domain', 'ADD_ATRX', 3, NULL),
(33080, NULL, 'IPR037414', NULL, 'Transcriptional activator protein LysR, PBP2 domain', 'LysR_PBP2', 3, NULL),
(33081, NULL, 'IPR041977', NULL, 'Spt5, KOW domain repeat 4', 'KOW_Spt5_4', 3, NULL),
(33082, NULL, 'IPR042003', NULL, 'Sortase E', 'Sortase_E', 4, NULL),
(33083, NULL, 'IPR038757', NULL, 'Bombesin receptor-activated protein', 'BRAP', 4, NULL),
(33084, NULL, 'IPR034718', NULL, 'Endolytic peptidoglycan transglycosylase RlpA', 'RlpA', 4, NULL),
(33085, NULL, 'IPR033854', NULL, 'Signal peptide peptidase A', 'S49_SppA_1', 3, NULL),
(33086, NULL, 'IPR041845', NULL, 'Mavicyanin', 'Mavicyanin', 4, NULL),
(33087, NULL, 'IPR038160', NULL, '6-Cysteine (6-Cys) domain superfamily', '6_CYS_dom_sf', 5, NULL),
(33088, NULL, 'IPR034237', NULL, 'FOX1, RNA recognition motif', 'FOX1_RRM', 3, NULL),
(33089, NULL, 'IPR033740', NULL, 'Aminopeptidase P', 'Pept_M24B', 3, NULL),
(33090, NULL, 'IPR035149', NULL, 'Protein of unknown function DUF5479', 'DUF5479', 4, NULL),
(33091, NULL, 'IPR036157', NULL, 'dUTPase-like superfamily', 'dUTPase-like_sf', 5, NULL),
(33092, NULL, 'IPR039440', NULL, 'Domain of unknown function DUF3850', 'DUF3850', 3, NULL),
(33093, NULL, 'IPR038060', NULL, 'KICSTOR complex protein C12orf66-like, central domain superfamily', 'C12orf66-like_central_sf', 5, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33094, NULL, 'IPR041885', NULL, 'MAN1, winged-helix domain', 'MAN1_winged_helix_dom', 5, NULL),
(33095, NULL, 'IPR041978', NULL, 'Spt5, KOW domain repeat 5', 'KOW_Spt5_5', 3, NULL),
(33096, NULL, 'IPR033872', NULL, 'Non-specific lipid-transfer protein type 2', 'nsLTP2', 3, NULL),
(33097, NULL, 'IPR041973', NULL, 'Spt5, KOW domain repeat 1', 'KOW_Spt5_1', 3, NULL),
(33098, NULL, 'IPR041568', NULL, 'TcA receptor binding domain', 'TcA_RBD', 3, NULL),
(33099, NULL, 'IPR036639', NULL, 'Cytochrome c oxidase subunit IV superfamily', 'Cyt_c_oxidase_su4_sf', 5, NULL),
(33100, NULL, 'IPR039445', NULL, 'Transcriptional regulator DauR-like, HTH domain', 'DauR-like_HTH', 3, NULL),
(33101, NULL, 'IPR034381', NULL, 'Nudel', 'Nudel', 4, NULL),
(33102, NULL, 'IPR042100', NULL, 'Bordetella uptake gene, domain 1', 'Bug_dom1', 5, NULL),
(33103, NULL, 'IPR041705', NULL, 'VapC-like Sll0205 protein, PIN domain', 'PIN_Sll0205', 3, NULL),
(33104, NULL, 'IPR041710', NULL, 'HPS/KGPDC domain', 'HPS/KGPDC', 3, NULL),
(33105, NULL, 'IPR041965', NULL, 'Putative transposon-transfer assisting superfamily', 'TTRAP_sf', 5, NULL),
(33106, NULL, 'IPR038826', NULL, 'Coiled-coil domain-containing protein 178', 'CCDC178', 4, NULL),
(33107, NULL, 'IPR041595', NULL, 'Inorganic pyrophosphatase domain', 'Inorganic_Pase', 3, NULL),
(33108, NULL, 'IPR042096', NULL, 'Dihydroxy-acid dehydratase, C-terminal', 'Dihydro-acid_dehy_C', 5, NULL),
(33109, NULL, 'IPR036168', NULL, 'AP-2 complex subunit mu, C-terminal superfamily', 'AP2_Mu_C_sf', 5, NULL),
(33110, NULL, 'IPR033237', NULL, 'BMP/retinoic acid-inducible neural-specific protein', 'BRINP', 4, NULL),
(33111, NULL, 'IPR041328', NULL, 'ResE, histidine kinase sensor domain', 'HisK_sensor', 3, NULL),
(33112, NULL, 'IPR041688', NULL, 'Orotate phosphoribosyltransferase-like', 'PRTase_2', 3, NULL),
(33113, NULL, 'IPR041947', NULL, 'PHF13, PHD finger', 'PHD_PHF13', 3, NULL),
(33114, NULL, 'IPR035348', NULL, 'MoaF, C-terminal domain', 'MoaF_C', 3, NULL),
(33115, NULL, 'IPR034235', NULL, 'Nucleolin, RNA recognition motif 4', 'Nucleolin_RRM4', 3, NULL),
(33116, NULL, 'IPR042090', NULL, 'tRNA nucleotidyltransferase, domain 2', 'CCA_tRNA_nucleotrans_2', 5, NULL),
(33117, NULL, 'IPR037411', NULL, 'HTH-type transcriptional regulator AlsR, PBP2 domain', 'AlsR_PBP2', 3, NULL),
(33118, NULL, 'IPR034772', NULL, 'CPSF6/7 family', 'CPSF6/7', 4, NULL),
(33119, NULL, 'IPR034725', NULL, 'E3 ubiquitin-protein ligase RNF168', 'RNF168', 4, NULL),
(33120, NULL, 'IPR038851', NULL, 'Ras-related protein Rap1', 'Rap1', 4, NULL),
(33121, NULL, 'IPR036642', NULL, 'Cytochrome b-c1 complex subunit 8 superfamily', 'Cyt_bc1_su8_sf', 5, NULL),
(33122, NULL, 'IPR038977', NULL, 'Zinc finger protein 428', 'ZNF428', 4, NULL),
(33123, NULL, 'IPR033274', NULL, 'YY1-associated protein 1', 'YY1AP1', 4, NULL),
(33124, NULL, 'IPR037416', NULL, 'Nodulation protein D, PBP2', 'NodD_PBP2', 3, NULL),
(33125, NULL, 'IPR034462', NULL, 'Benzylsuccinate synthase activase', 'Benzylsuc_synthase_activase', 4, NULL),
(33126, NULL, 'IPR039371', NULL, 'LeuA, N-terminal catalytic TIM barrel domain', 'LeuA_N_DRE-TIM', 3, NULL),
(33127, NULL, 'IPR041951', NULL, 'STARD10, START domain', 'STARD10_START', 3, NULL),
(33128, NULL, 'IPR041934', NULL, 'NAD glycohydrolase, helical linker domain', 'NAD_glyco_helical_dom', 5, NULL),
(33129, NULL, 'IPR041734', NULL, 'N-Acetyl-L-glutamate kinase, fungal-type', 'NAGK-fArgBP', 3, NULL),
(33130, NULL, 'IPR034769', NULL, 'Cleavage and polyadenylation specificity factor subunit 6', 'CPSF6', 4, NULL),
(33131, NULL, 'IPR041615', NULL, 'Desmoplakin, SH3 domain', 'Desmoplakin_SH3', 3, NULL),
(33132, NULL, 'IPR041968', NULL, 'KMT2C, ePHD2', 'KMT2C_ePHD2', 3, NULL),
(33133, NULL, 'IPR033120', NULL, 'Hotdog acyl-CoA thioesterase (ACOT)-type domain', 'HOTDOG_ACOT', 3, NULL),
(33134, NULL, 'IPR041996', NULL, 'FAM83H, N-terminal phospholipase D-like domain', 'PLDc_FAM83H_N', 3, NULL),
(33135, NULL, 'IPR034234', NULL, 'Nucleolin, RNA recognition motif 3', 'Nucleolin_RRM3', 3, NULL),
(33136, NULL, 'IPR037608', NULL, 'Stromal interaction molecule', 'STIM', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33137, NULL, 'IPR035715', NULL, 'Metallothionein-like protein Crs5', 'Crs5', 4, NULL),
(33138, NULL, 'IPR041664', NULL, 'Orc1-like, AAA ATPase domain', 'AAA_16', 3, NULL),
(33139, NULL, 'IPR033577', NULL, 'Aminopeptidase O', 'AOPep', 4, NULL),
(33140, NULL, 'IPR041924', NULL, 'Formate dehydrogenase H, N-terminal', 'Formate_Dh-H_N', 3, NULL),
(33141, NULL, 'IPR041957', NULL, 'Nitrate reductase NapA-like, molybdopterin-binding domain', 'CT_Nitrate-R-NapA-like', 3, NULL),
(33142, NULL, 'IPR041419', NULL, 'TnsE, C-terminal', 'TnsE_C', 3, NULL),
(33143, NULL, 'IPR041560', NULL, 'Fxr1, tudor domain', 'Tudor_FRX1', 3, NULL),
(33144, NULL, 'IPR033520', NULL, 'Endoplasmic reticulum aninopeptidase 1', 'ERAP1', 4, NULL),
(33145, NULL, 'IPR034719', NULL, 'Inhibitor of hydrogen peroxide resistance', 'IprA', 4, NULL),
(33146, NULL, 'IPR034651', NULL, 'SRSF7, RNA recognition motif', 'SRSF7_RRM', 3, NULL),
(33147, NULL, 'IPR041741', NULL, 'Structural maintenance of chromosomes 3, ABC domain, eukaryotic', 'SMC3_ABC_euk', 3, NULL),
(33148, NULL, 'IPR041709', NULL, 'Elongation factor Tu (EF-Tu), GTP-binding domain', 'EF-Tu_GTP-bd', 3, NULL),
(33149, NULL, 'IPR035754', NULL, 'SPRY domain-containing SOCS box protein 3, SPRY domain', 'SPRY_SPSB3', 3, NULL),
(33150, NULL, 'IPR042001', NULL, 'Sortase F', 'Sortase_F', 4, NULL),
(33151, NULL, 'IPR034228', NULL, 'Nop6, RNA recognition motif', 'Nop6_RRM', 3, NULL),
(33152, NULL, 'IPR033373', NULL, 'Small kinetochore-associated protein', 'SKAP', 4, NULL),
(33153, NULL, 'IPR038817', NULL, 'Coiled-coil domain-containing protein 192', 'CCDC192', 4, NULL),
(33154, NULL, 'IPR041545', NULL, 'RABX5, catalytic core helical domain', 'DUF5601', 3, NULL),
(33155, NULL, 'IPR041426', NULL, 'Mos1 transposase, HTH domain', 'Mos1_HTH', 3, NULL),
(33156, NULL, 'IPR041686', NULL, 'Zinc-finger CCCH domain', 'Znf-CCCH_3', 3, NULL),
(33157, NULL, 'IPR034372', NULL, 'Serine/threonine-protein kinase Kist', 'UHMK1', 4, NULL),
(33158, NULL, 'IPR036625', NULL, 'E3-binding domain superfamily', 'E3-bd_dom_sf', 5, NULL),
(33159, NULL, 'IPR036948', NULL, 'Ribosomal protein L21 superfamily', 'Ribosomal_L21_sf', 5, NULL),
(33160, NULL, 'IPR038839', NULL, 'AT hook-containing protein attf-4-like', 'Attf-4-like', 4, NULL),
(33161, NULL, 'IPR039000', NULL, 'ATP-dependent DNA helicase DinG', 'DinG_proteobact', 4, NULL),
(33162, NULL, 'IPR041428', NULL, 'Syntrophin, split Pleckstrin homology (PH) domain', 'PHsplit_syntrophin', 3, NULL),
(33163, NULL, 'IPR038709', NULL, 'RNA polymerase sigma-54 factor, core-binding domain superfamily', 'RpoN_core-bd_sf', 5, NULL),
(33164, NULL, 'IPR039342', NULL, 'Protein TRIGALACTOSYLDIACYLGLYCEROL 2-like', 'TGD2-like', 4, NULL),
(33165, NULL, 'IPR041808', NULL, 'CUE domain-containing protein 3, CUE domain', 'Cue3_CUE', 3, NULL),
(33166, NULL, 'IPR041429', NULL, 'Inositol-tetrakisphosphate 1-kinase, N-terminal', 'ITPK1_N', 3, NULL),
(33167, NULL, 'IPR033295', NULL, 'Leucine zipper putative tumour suppressor 3', 'LZTS3', 4, NULL),
(33168, NULL, 'IPR041855', NULL, 'Lysin B, C-terminal linker domain', 'Lysin_B_C_ter', 5, NULL),
(33169, NULL, 'IPR038988', NULL, 'Something about silencing protein 4', 'Sas4', 4, NULL),
(33170, NULL, 'IPR041794', NULL, 'Myosin VII, FERM domain C-lobe, repeat 2', 'MyoVII_FERM_C2', 3, NULL),
(33171, NULL, 'IPR038566', NULL, 'Mediator complex, subunit Med6 superfamily', 'Mediator_Med6_sf', 5, NULL),
(33172, NULL, 'IPR034612', NULL, 'Kynurenine--oxoglutarate transaminase 3', 'KAT_III', 4, NULL),
(33173, NULL, 'IPR041780', NULL, 'PrpE-like, metallophosphatase domain', 'MPP_PrpE-like', 3, NULL),
(33174, NULL, 'IPR037826', NULL, 'TAF5L', 'TAF5L', 4, NULL),
(33175, NULL, 'IPR038990', NULL, 'LBH domain', 'LBH_dom', 3, NULL),
(33176, NULL, 'IPR039341', NULL, 'Cilia- and flagella-associated protein 99', 'CFAP99', 4, NULL),
(33177, NULL, 'IPR039325', NULL, 'Nodulin homeobox protein', 'NDX', 4, NULL),
(33178, NULL, 'IPR041544', NULL, 'MotY N-terminal domain', 'MotY_N', 3, NULL),
(33179, NULL, 'IPR039369', NULL, 'Galactoside O-acetyltransferase LacA-like', 'LacA-like', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33180, NULL, 'IPR035350', NULL, 'Protein of unknown function DUF5400', 'DUF5400', 4, NULL),
(33181, NULL, 'IPR036644', NULL, 'Ferredoxin thioredoxin reductase catalytic beta subunit superfamily', 'FTR_bsu_sf', 5, NULL),
(33182, NULL, 'IPR041807', NULL, 'Cue5/Don1, CUE domain', 'Cue5/Don1_CUE', 3, NULL),
(33183, NULL, 'IPR033058', NULL, 'Beta-crystallin B2', 'CRYBB2', 4, NULL),
(33184, NULL, 'IPR035752', NULL, 'TRIM1, PRY/SPRY domain', 'SPRY/PRY_TRIM1', 3, NULL),
(33185, NULL, 'IPR033655', NULL, 'RelA/SpoT, TGS domain', 'TGS_RelA/SpoT', 3, NULL),
(33186, NULL, 'IPR041598', NULL, 'Methionine--tRNA ligase, N-terminal', 'MARS_N', 3, NULL),
(33187, NULL, 'IPR033457', NULL, 'Protein of unknown function DUF5133', 'DUF5133', 4, NULL),
(33188, NULL, 'IPR038713', NULL, 'Terminase small subunit, N-terminal DNA-binding domain, HTH motif superfamily', 'Terminase_Gp1_N_sf', 5, NULL),
(33189, NULL, 'IPR035145', NULL, 'Protein of unknown function DUF5482', 'DUF5482', 4, NULL),
(33190, NULL, 'IPR041813', NULL, 'Alpha-2-macroglobulin, TED domain', 'A2M_TED', 3, NULL),
(33191, NULL, 'IPR034616', NULL, '2-oxoisovalerate dehydrogenase subunit alpha', 'BCKDH_E1-a', 4, NULL),
(33192, NULL, 'IPR041706', NULL, 'YchF, N-terminal', 'YchF_N', 3, NULL),
(33193, NULL, 'IPR041739', NULL, 'Glutamate-5-kinase domain', 'G5K_ProB', 3, NULL),
(33194, NULL, 'IPR041752', NULL, 'Cytochrome c oxidase assembly factor 3, mitochondrial', 'Coa3', 4, NULL),
(33195, NULL, 'IPR041862', NULL, 'Endoplasmic reticulum resident protein 44, TRX-like domain b''', 'ERp44_PDI_b''', 3, NULL),
(33196, NULL, 'IPR034380', NULL, 'Testisin', 'Testisin', 4, NULL),
(33197, NULL, 'IPR034653', NULL, 'SPF45, RNA recognition motif', 'SPF45_RRM', 3, NULL),
(33198, NULL, 'IPR039456', NULL, 'WDR59, modified RING finger, H2 subclass (C3H3C2-type)', 'WDR59_mRING-H2-C3H3C2', 3, NULL),
(33199, NULL, 'IPR034770', NULL, 'Cleavage and polyadenylation specificity factor subunit 7', 'CPSF7', 4, NULL),
(33200, NULL, 'IPR041952', NULL, 'STARD11, START domain', 'STARD11_START', 3, NULL),
(33201, NULL, 'IPR041976', NULL, 'Spt5, KOW domain repeat 3', 'KOW_Spt5_3', 3, NULL),
(33202, NULL, 'IPR033935', NULL, 'Ribosomal protein L19, eukaryotic', 'Ribosomal_L19_euka', 3, NULL),
(33203, NULL, 'IPR038986', NULL, 'Cryptic loci regulator 2', 'Clr2', 4, NULL),
(33204, NULL, 'IPR037830', NULL, 'ZZ-type zinc finger-containing protein 3', 'ZZZ3', 4, NULL),
(33205, NULL, 'IPR038824', NULL, 'Protein shortage in chiasmata 1-like', 'SHOC1-like', 4, NULL),
(33206, NULL, 'IPR038831', NULL, 'Small integral membrane protein 26', 'SMIM26', 4, NULL),
(33207, NULL, 'IPR033855', NULL, 'Bacteriophage protein C', 'Protein_C', 3, NULL),
(33208, NULL, 'IPR039441', NULL, 'AsmA-like C-terminal region', 'AsmA-like_C', 3, NULL),
(33209, NULL, 'IPR038143', NULL, 'NigD-like, C-terminal domain superfamily', 'NigD-like_C_dom_sf', 5, NULL),
(33210, NULL, 'IPR033878', NULL, 'Oxygen-insensitive NAD(P)H nitroreductase NfsB-like', 'NfsB-like', 3, NULL),
(33211, NULL, 'IPR038953', NULL, 'Putative C->U-editing enzyme APOBEC-4', 'APOBEC4', 4, NULL),
(33212, NULL, 'IPR038073', NULL, 'YkuJ-like superfamily', 'YkuJ-like_sf', 5, NULL),
(33213, NULL, 'IPR041844', NULL, 'Plantacyanin', 'Plantacyanin', 4, NULL),
(33214, NULL, 'IPR041479', NULL, 'TetR transcriptional regulator CgmR-like, C-terminal domain', 'TetR_CgmR_C', 3, NULL),
(33215, NULL, 'IPR042098', NULL, 'Taurine dioxygenase TauD-like superfamily', 'TauD-like_sf', 5, NULL),
(33216, NULL, 'IPR041800', NULL, 'Activating signal cointegrator 1 complex subunit 2, CUE domain', 'ASCC2_CUE', 3, NULL),
(33217, NULL, 'IPR039218', NULL, 'REM family', 'REM_fam', 4, NULL),
(33218, NULL, 'IPR038792', NULL, 'CFAP97 domain-containing protein 1/2', 'CFAP97D1/2', 4, NULL),
(33219, NULL, 'IPR042014', NULL, 'MTF2, PHD domain 1', 'MTF2_PHD1', 3, NULL),
(33220, NULL, 'IPR037610', NULL, 'Stromal interaction molecule 2, SAM domain', 'STIM2_SAM', 3, NULL),
(33221, NULL, 'IPR042028', NULL, 'CD63, extracellular domain', 'CD63_LEL', 3, NULL),
(33222, NULL, 'IPR033183', NULL, 'Neurofilament heavy polypeptide', 'NF-H', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33223, NULL, 'IPR038753', NULL, 'NF-kappa-B inhibitor-like protein 1', 'NFKBIL1', 4, NULL),
(33224, NULL, 'IPR041945', NULL, 'Putative dimethyl sulfoxide reductase catalytic subunit A, C-terminal', 'DmsA_C', 3, NULL),
(33225, NULL, 'IPR035366', NULL, 'Protein of unknown function DUF5408', 'DUF5408', 4, NULL),
(33226, NULL, 'IPR041740', NULL, 'Aspartokinase catalytic domain', 'AKii-LysC-BS', 3, NULL),
(33227, NULL, 'IPR038162', NULL, 'Ig-like SoxY domain superfamily', 'SoxY_sf', 5, NULL),
(33228, NULL, 'IPR036621', NULL, 'Anticodon-binding domain superfamily', 'Anticodon-bd_dom_sf', 5, NULL),
(33229, NULL, 'IPR038975', NULL, 'Thionin-like protein', 'THNL', 4, NULL),
(33230, NULL, 'IPR035352', NULL, 'TSX', 'TSX', 4, NULL),
(33231, NULL, 'IPR038879', NULL, 'Golgi-associated PDZ and coiled-coil motif-containing protein', 'GOPC', 4, NULL),
(33232, NULL, 'IPR041421', NULL, 'Ubl4, C-terminal TUGS domain', 'Ubl4_C_TUGS', 3, NULL),
(33233, NULL, 'IPR041932', NULL, 'Phenylacetyl-CoA:acceptor oxidoreductase, N-terminal', 'Phenylacetyl-CoA-OR_N', 3, NULL),
(33234, NULL, 'IPR037614', NULL, 'Kazrin', 'Kazrin', 4, NULL),
(33235, NULL, 'IPR041754', NULL, 'PP7, metallophosphatase domain', 'MPP_PP7', 3, NULL),
(33236, NULL, 'IPR037431', NULL, 'RNA exonuclease 4, DEDDh 3''-5'' exonuclease domain', 'REX4_DEDDh_dom', 3, NULL),
(33237, NULL, 'IPR037953', NULL, 'SbnI-like, N-terminal', 'SbnI-like_N', 3, NULL),
(33238, NULL, 'IPR035142', NULL, 'Cytomegalovirus UL20', 'UL20', 4, NULL),
(33239, NULL, 'IPR035356', NULL, 'Lacto-N-biose phosphorylase, C-terminal domain', 'LBP_C', 3, NULL),
(33240, NULL, 'IPR033192', NULL, 'Outer dynein arm-docking complex subunit 3', 'ODAD3', 4, NULL),
(33241, NULL, 'IPR041795', NULL, 'Myosin-XV, FERM domain C-lobe', 'MyoXV_FERM_C', 3, NULL),
(33242, NULL, 'IPR041703', NULL, 'Transcription termination factor Rho, ATP binding domain', 'Rho_factor_ATP-bd', 3, NULL),
(33243, NULL, 'IPR038754', NULL, 'Testis-expressed basic protein 1', 'TSBP1', 4, NULL),
(33244, NULL, 'IPR041610', NULL, 'ArlS, sensor domain', 'ArlS_N', 3, NULL),
(33245, NULL, 'IPR042102', NULL, 'RNA polymerase Rpb1, domain 3 superfamily', 'RNA_pol_Rpb1_3_sf', 5, NULL),
(33246, NULL, 'IPR033863', NULL, 'Scytalidoglutamic peptidase', 'Scytalidoglutamic_peptidase', 4, NULL),
(33247, NULL, 'IPR041954', NULL, 'Trimethylamine-N-oxide reductase-like, molybdopterin-binding domain', 'CT_DMSOR/BSOR/TMAOR', 3, NULL),
(33248, NULL, 'IPR041938', NULL, 'Histone-lysine N-methyltransferase, N-terminal domain', 'Hist-Lys_N-MTase_N', 5, NULL),
(33249, NULL, 'IPR037433', NULL, 'ISG20, DEDDh 3''-5'' exonuclease domain', 'ISG20_DEDDh', 3, NULL),
(33250, NULL, 'IPR039006', NULL, 'Rho GTPase-activating protein, pG2 domain', 'RhoGAP_pG2', 3, NULL),
(33251, NULL, 'IPR039276', NULL, 'Protein SAWADEE HOMEODOMAIN HOMOLOG 1/2', 'SHH1/2', 4, NULL),
(33252, NULL, 'IPR033531', NULL, 'Transcription factor MafF', 'MafF', 4, NULL),
(33253, NULL, 'IPR041810', NULL, 'Ubiquitin-binding protein Cue2, CUE domain 2', 'Cue2_CUE2', 3, NULL),
(33254, NULL, 'IPR038240', NULL, 'Stn1, C-terminal domain superfamily', 'Stn1_C_sf', 5, NULL),
(33255, NULL, 'IPR042095', NULL, 'Sulfatase-modifying factor enzyme superfamily', 'SUMF_sf', 5, NULL),
(33256, NULL, 'IPR038703', NULL, 'YebF/Cmi superfamily', 'YebF/Cmi_sf', 5, NULL),
(33257, NULL, 'IPR039998', NULL, 'Coiled-coil domain-containing protein 122', 'CCDC122', 4, NULL),
(33258, NULL, 'IPR036636', NULL, 'Cytochrome c oxidase subunit VIIc superfamily', 'COX7C/Cox8_sf', 5, NULL),
(33259, NULL, 'IPR038141', NULL, 'YutD-like superfamily', 'YutD-like_sf', 5, NULL),
(33260, NULL, 'IPR034747', NULL, 'Exonuclease I, SH3-like domain', 'EXOI_SH3', 3, NULL),
(33261, NULL, 'IPR041563', NULL, 'STT3 subunit PglB, C-terminal beta-barrel domain', 'STT3_PglB_C', 3, NULL),
(33262, NULL, 'IPR039446', NULL, 'Transcriptional regulator DauR-like', 'DauR-like', 4, NULL),
(33263, NULL, 'IPR042002', NULL, 'Sortase C', 'Sortase_C', 4, NULL),
(33264, NULL, 'IPR041967', NULL, 'KMT2C, ePHD1', 'KMT2C_ePHD1', 3, NULL),
(33265, NULL, 'IPR035148', NULL, 'Protein of unknown function DUF5480', 'DUF5480', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33266, NULL, 'IPR039453', NULL, 'Mitochondrial outer membrane protein OM14, C-terminal', 'OM14_C', 3, NULL),
(33267, NULL, 'IPR033052', NULL, 'Cmr1/WDR76', 'Cmr1/WDR76', 4, NULL),
(33268, NULL, 'IPR040160', NULL, 'Eukaryotic translation initiation factor 4E-binding protein Mextli', 'Mxt', 4, NULL),
(33269, NULL, 'IPR033238', NULL, 'B-cell lymphoma/leukemia 10/E10', 'BCL10/E10', 4, NULL),
(33270, NULL, 'IPR042099', NULL, 'ANL, N-terminal domain', 'ANL_N_sf', 5, NULL),
(33271, NULL, 'IPR033664', NULL, 'tRNA 5-carboxymethoxyuridine methyltransferase', 'Cmo5U_methylTrfase', 4, NULL),
(33272, NULL, 'IPR042019', NULL, 'ING2, PHD domain', 'ING2_PHD', 3, NULL),
(33273, NULL, 'IPR033362', NULL, 'SSNA1 family', 'SSNA1_fam', 4, NULL),
(33274, NULL, 'IPR037329', NULL, 'Ankyrin repeat and SOCS box protein 3, SOCS box domain', 'ASB3_SOCS', 3, NULL),
(33275, NULL, 'IPR038951', NULL, 'Outer envelope pore protein 37-like', 'OEP37-like', 4, NULL),
(33276, NULL, 'IPR038201', NULL, 'PrgU-like superfamily', 'PrgU-like_sf', 5, NULL),
(33277, NULL, 'IPR034229', NULL, 'eIF4H, RNA recognition motif', 'eIF4H_RRM', 3, NULL),
(33278, NULL, 'IPR038876', NULL, 'Ecto-NOX disulfide-thiol exchanger', 'ENOX', 4, NULL),
(33279, NULL, 'IPR042026', NULL, 'Peripherin, extracellular domain', 'Peripherin_LEL', 3, NULL),
(33280, NULL, 'IPR033361', NULL, 'Reticulophagy regulator 3', 'RETREG3', 4, NULL),
(33281, NULL, 'IPR041853', NULL, 'Plexin-C1, Sema domain', 'Plexin-C1_Sema', 3, NULL),
(33282, NULL, 'IPR041436', NULL, 'Bacterial CdiA-CT RNAse A domain', 'RNAse_A_bac', 3, NULL),
(33283, NULL, 'IPR036164', NULL, 'L21-like superfamily', 'L21-like_sf', 5, NULL),
(33284, NULL, 'IPR039444', NULL, 'SIR2-like domain', 'SIR2-like', 3, NULL),
(33285, NULL, 'IPR036630', NULL, 'Head decoration protein D superfamily', 'Head_decoration_D_sf', 5, NULL),
(33286, NULL, 'IPR039005', NULL, 'CSPG repeat', 'CSPG_rpt', 7, NULL),
(33287, NULL, 'IPR038075', NULL, 'RalF, C-terminal domain superfamily', 'RalF_C_sf', 5, NULL),
(33288, NULL, 'IPR038139', NULL, 'NlpE, C-terminal domain superfamily', 'NlpE_C_sf', 5, NULL),
(33289, NULL, 'IPR041758', NULL, 'Phosphatase BSL, C-terminal metallophosphatase domain', 'MPP_BSL_C', 3, NULL),
(33290, NULL, 'IPR041687', NULL, 'IprA, winged helix-turn-helix domain', 'HTH_46', 3, NULL),
(33291, NULL, 'IPR041702', NULL, 'Magnesium-chelatase BchD/ChlD, VWA domain', 'BchD/ChlD_VWA', 3, NULL),
(33292, NULL, 'IPR037327', NULL, 'Ankyrin repeat and SOCS box protein 6, SOCS box domain', 'ASB6_SOCS', 3, NULL),
(33293, NULL, 'IPR037326', NULL, 'Ankyrin repeat and SOCS box protein 7, SOCS box domain', 'ASB7_SOCS', 3, NULL),
(33294, NULL, 'IPR039454', NULL, 'Mitochondrial outer membrane protein OM14', 'OM14', 4, NULL),
(33295, NULL, 'IPR041833', NULL, 'Rab21', 'Rab21', 4, NULL),
(33296, NULL, 'IPR035369', NULL, 'Nrap protein, domain 4', 'Nrap_D4', 3, NULL),
(33297, NULL, 'IPR035362', NULL, 'Protein KleE', 'KleE', 4, NULL),
(33298, NULL, 'IPR038932', NULL, 'PCNA-interacting partner', 'PARPBP', 4, NULL),
(33299, NULL, 'IPR036259', NULL, 'MFS transporter superfamily', 'MFS_trans_sf', 5, NULL),
(33300, NULL, 'IPR038716', NULL, 'Ribosomal protein P1/P2, N-terminal domain', 'P1/P2_N_sf', 5, NULL),
(33301, NULL, 'IPR042101', NULL, 'Signal recognition particle SRP54, N-terminal domain superfamily', 'SRP54_N_sf', 5, NULL),
(33302, NULL, 'IPR033747', NULL, 'Class I PurE', 'PurE_ClassI', 3, NULL),
(33303, NULL, 'IPR041861', NULL, 'Nucleoredoxin, redox inactive TRX-like domain b''', 'NRX_PDI_b''', 3, NULL),
(33304, NULL, 'IPR038976', NULL, 'Protein snakeskin', 'Ssk', 4, NULL),
(33305, NULL, 'IPR041708', NULL, 'Pseudouridine synthase PUS1/ PUS2-like', 'PUS1/PUS2-like', 4, NULL),
(33306, NULL, 'IPR034330', NULL, 'Glutathione S-transferases, class Zeta , C-terminal', 'GST_Zeta_C', 3, NULL),
(33307, NULL, 'IPR041566', NULL, 'Alpha-mannosidase 2, C-terminal sub-domain', 'AManII_C', 3, NULL),
(33308, NULL, 'IPR036647', NULL, 'GTF2I-like repeat superfamily', 'GTF2I-like_rpt_sf', 5, NULL),
(33309, NULL, 'IPR034226', NULL, 'Nop13/Rnp24, RNA recognition motif 2', 'Nop13/Rnp24_RRM2', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33310, NULL, 'IPR037285', NULL, 'TM0693-like superfamily', 'TM0693-like_sf', 5, NULL),
(33311, NULL, 'IPR035762', NULL, 'Ryanodine receptor, SPRY domain 3', 'SPRY3_RyR', 3, NULL),
(33312, NULL, 'IPR038952', NULL, 'Protein TOPAZ1', 'TOPAZ1', 4, NULL),
(33313, NULL, 'IPR033628', NULL, 'Serine/threonine-protein kinase MARK3', 'MARK3', 4, NULL),
(33314, NULL, 'IPR037328', NULL, 'Ankyrin repeat and SOCS box protein 5, SOCS box domain', 'ASB5_SOCS', 3, NULL),
(33315, NULL, 'IPR039327', NULL, 'C2H2 finger domain transcription factor CON7-like', 'CON7-like', 4, NULL),
(33316, NULL, 'IPR038140', NULL, 'DotD superfamily', 'DotD_sf', 5, NULL),
(33317, NULL, 'IPR038969', NULL, 'Flap endonuclease', 'FEN', 4, NULL),
(33318, NULL, 'IPR038835', NULL, 'Giardin subunit beta-like', 'Giardin_beta-like', 4, NULL),
(33319, NULL, 'IPR033532', NULL, 'Arabinose metabolism transcriptional repressor, ligand-binding domain', 'AraR_ligand_bind_dom', 3, NULL),
(33320, NULL, 'IPR034370', NULL, 'SCAF8, RNA recognition motif', 'SCAF8_RRM', 3, NULL),
(33321, NULL, 'IPR041424', NULL, 'CinA, KH domain', 'CinA_KH', 3, NULL),
(33322, NULL, 'IPR038979', NULL, 'Pesticidal crystal protein', 'Pest_crys', 4, NULL),
(33323, NULL, 'IPR041801', NULL, 'NEDD4-binding protein 2, CUE domain', 'N4BP2_CUE', 3, NULL),
(33324, NULL, 'IPR034917', NULL, 'SH3 and PX domain-containing protein 2A', 'SH3PXD2A', 4, NULL),
(33325, NULL, 'IPR039265', NULL, 'Putative lipid-transfer protein DIR1-like', 'DIR1-like', 4, NULL),
(33326, NULL, 'IPR041661', NULL, 'ZN622/Rei1/Reh1, zinc finger C2H2-type', 'ZN622/Rei1/Reh1_Znf-C2H2', 3, NULL),
(33327, NULL, 'IPR041925', NULL, 'Formate dehydrogenase H, molybdopterin-binding domain', 'CT_Formate-Dh_H', 3, NULL),
(33328, NULL, 'IPR033215', NULL, 'Ryanodine receptor 1', 'RyR1', 4, NULL),
(33329, NULL, 'IPR034872', NULL, 'Partitioning defective 6 homologue alpha', 'PAR-6_a', 4, NULL),
(33330, NULL, 'IPR041787', NULL, 'Shewanella-like phosphatase, metallophosphatase domain', 'MPP_Shelphs', 3, NULL),
(33331, NULL, 'IPR041707', NULL, 'Pseudouridine synthase Pus3-like', 'Pus3-like', 4, NULL),
(33332, NULL, 'IPR038818', NULL, 'Mast cell-expressed membrane protein 1', 'MCEMP1', 4, NULL),
(33333, NULL, 'IPR037615', NULL, 'Kazrin, SAM domain repeat 2', 'Kazrin_SAM_rpt_2', 3, NULL),
(33334, NULL, 'IPR038070', NULL, 'Rv2632c-like superfamily', 'Rv2632c-like_sf', 5, NULL),
(33335, NULL, 'IPR039004', NULL, 'Carnitine monooxygenase oxygenase subunit', 'Carnitine_monoox_A', 4, NULL),
(33336, NULL, 'IPR041998', NULL, 'Histamine H3 receptor, 7TM', '7tmA_HRH3', 3, NULL),
(33337, NULL, 'IPR038985', NULL, 'At5g43822-like', 'At5g43822-like', 4, NULL),
(33338, NULL, 'IPR037700', NULL, 'Nucleoporin NUP88/NUP82', 'NUP88/NUP82', 4, NULL),
(33339, NULL, 'IPR041805', NULL, 'Acid sphingomyelinase/endopolyphosphatase, metallophosphatase domain', 'ASMase/PPN1_MPP', 3, NULL),
(33340, NULL, 'IPR034230', NULL, 'Nucleolin, RNA recognition motif 1', 'Nucleolin_RRM1', 3, NULL),
(33341, NULL, 'IPR037415', NULL, 'Octopine catabolism/uptake operon regulatory protein OccR, PBP2 domain', 'OccR_PBP2', 3, NULL),
(33342, NULL, 'IPR038903', NULL, 'Allergen Asp f 4', 'Allergen_Asp_f_4', 4, NULL),
(33343, NULL, 'IPR041858', NULL, 'Calsequestrin, middle TRX-fold domain', 'Calsequestrin_middle_dom', 3, NULL),
(33344, NULL, 'IPR033877', NULL, 'Nitroreductase Frm2/Hbn1-like', 'Frm2/Hbn1', 4, NULL),
(33345, NULL, 'IPR041898', NULL, 'MAGE homology domain, winged helix WH1 motif', 'MAGE_WH1', 5, NULL),
(33346, NULL, 'IPR042030', NULL, 'Chaperone protein HscC, nucleotide-binding domain', 'HscC_NBD', 3, NULL),
(33347, NULL, 'IPR033641', NULL, 'CRISPR-associated protein Cas1, type I-E', 'Cas1_I-E', 4, NULL),
(33348, NULL, 'IPR033960', NULL, 'Exocyst complex component EXOC5/Sec10', 'EXOC5/Sec10', 4, NULL),
(33349, NULL, 'IPR038983', NULL, 'C2 domain-containing protein 5', 'C2CD5', 4, NULL),
(33350, NULL, 'IPR035143', NULL, 'Protein of unknown function DUF5483', 'DUF5483', 4, NULL),
(33351, NULL, 'IPR037606', NULL, 'Diacylglycerol kinase delta, SAM domain', 'DGK-delta_SAM', 3, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33352, NULL, 'IPR042024', NULL, 'D-xylulose kinase', 'D-XK_euk', 4, NULL),
(33353, NULL, 'IPR038157', NULL, 'Ferrous iron transporter, core domain', 'FeoA_core_dom', 5, NULL),
(33354, NULL, 'IPR035349', NULL, 'Meiotic recombination protein Rec104', 'Rec104', 4, NULL),
(33355, NULL, 'IPR038877', NULL, 'Thrombospondin type-1 domain-containing protein 1', 'THSD1', 4, NULL),
(33356, NULL, 'IPR037954', NULL, 'Butyrophilin subfamily 3, PRY/SPRY domain', 'SPRY_PRY_BTN3', 3, NULL),
(33357, NULL, 'IPR041614', NULL, 'DprA, winged helix domain', 'DprA_WH', 3, NULL),
(33358, NULL, 'IPR039277', NULL, 'Transcription factor VOZ1/VOZ2', 'VOZ1/VOZ2', 4, NULL),
(33359, NULL, 'IPR036251', NULL, 'Arginine repressor, C-terminal domain superfamily', 'Arg_repress_C_sf', 5, NULL),
(33360, NULL, 'IPR037883', NULL, 'Knr4/Smi1-like domain superfamily', 'Knr4/Smi1-like_sf', 5, NULL),
(33361, NULL, 'IPR038954', NULL, 'Casein kinase II subunit alpha''-interacting protein', 'CSNKA2IP', 4, NULL),
(33362, NULL, 'IPR037800', NULL, 'Histone acetyltransferase GCN5', 'GCN5', 4, NULL),
(33363, NULL, 'IPR040163', NULL, 'RP1/RP1L1/DCX', 'RP1/RP1L1/DCX', 4, NULL),
(33364, NULL, 'IPR037417', NULL, 'HTH-type transcriptional regulator SyrM, PBP2 domain', 'SyrM_PBP2', 3, NULL),
(33365, NULL, 'IPR037611', NULL, 'Tumour protein p63, SAM domain', 'Tumor-p63_SAM', 3, NULL),
(33366, NULL, 'IPR041949', NULL, 'STARD7, START domain', 'START_STARD7', 3, NULL),
(33367, NULL, 'IPR034668', NULL, 'Novel protein kinase C theta, catalytic domain', 'nPKC_theta', 3, NULL),
(33368, NULL, 'IPR042017', NULL, 'PHF19, PHD domain 2', 'PHF19_PHD2', 3, NULL),
(33369, NULL, 'IPR037434', NULL, 'Fosfomycin resistance protein FosX', 'FosX', 4, NULL),
(33370, NULL, 'IPR039202', NULL, 'GSK-3-binding protein FRAT2', 'FRAT2', 4, NULL),
(33371, NULL, 'IPR034873', NULL, 'Partitioning defective 6 homologue beta', 'PAR-6B', 4, NULL),
(33372, NULL, 'IPR041803', NULL, 'RNA polymerase II degradation factor 1, CUE domain', 'DEF1_CUE', 3, NULL),
(33373, NULL, 'IPR034465', NULL, 'Pyruvate formate-lyase activase', 'Pyruvate_for-lyase_activase', 4, NULL),
(33374, NULL, 'IPR035675', NULL, 'STAM2, SH3 domain', 'STAM2_SH3', 3, NULL),
(33375, NULL, 'IPR033853', NULL, 'Archaeal protein PH0471, N-terminal', 'PH1510-N', 3, NULL),
(33376, NULL, 'IPR041616', NULL, 'Phenylalanyl tRNA synthetase beta chain, core domain', 'PheRS_beta_core', 3, NULL),
(33377, NULL, 'IPR041860', NULL, 'Calsequestrin, C-terminal TRX-fold domain', 'Calsequestrin_C', 3, NULL),
(33378, NULL, 'IPR036648', NULL, 'Nitrile hydratase alpha /Thiocyanate hydrolase gamma superfamily', 'CN_Hdrase_a/SCN_Hdrase_g_sf', 5, NULL),
(33379, NULL, 'IPR041983', NULL, 'ADA2-like, zinc finger, ZZ-type', 'ADA2-like_ZZ', 3, NULL),
(33380, NULL, 'IPR041546', NULL, 'ClpA/ClpB, AAA lid domain', 'ClpA/ClpB_AAA_lid', 3, NULL),
(33381, NULL, 'IPR035368', NULL, 'Nrap protein, domain 3', 'Nrap_D3', 3, NULL),
(33382, NULL, 'IPR041804', NULL, 'Vacuolar protein sorting-associated protein 9, CUE domain', 'Vps9_CUE', 3, NULL),
(33383, NULL, 'IPR035677', NULL, 'ASAP2, SH3 domain', 'ASAP2_SH3', 3, NULL),
(33384, NULL, 'IPR041549', NULL, 'Immunomodulating metalloprotease helical domain', 'IMPa_helical', 3, NULL),
(33385, NULL, 'IPR037607', NULL, 'Diacylglycerol kinase', 'DGK', 4, NULL),
(33386, NULL, 'IPR041620', NULL, 'CdiA, C-terminal tRNase domain', 'CdiA_C_tRNase', 3, NULL),
(33387, NULL, 'IPR038881', NULL, 'Yae1-like', 'Yae1-like', 4, NULL),
(33388, NULL, 'IPR033216', NULL, 'Cadherin-13', 'CDH13', 4, NULL),
(33389, NULL, 'IPR036947', NULL, 'POLO box domain superfamily', 'POLO_box_dom_sf', 5, NULL),
(33390, NULL, 'IPR039271', NULL, 'Kiwellin-like', 'Kiwellin-like', 4, NULL),
(33391, NULL, 'IPR041797', NULL, 'Myosin X, FERM domain C-lobe', 'MyoX_FERM_C', 3, NULL),
(33392, NULL, 'IPR034949', NULL, 'Regulator of G-protein signalling 8, RGS domain', 'RGS_RGS8', 3, NULL),
(33393, NULL, 'IPR039279', NULL, 'Polygalacturonase QRT3-like', 'QRT3-like', 4, NULL),
(33394, NULL, 'IPR041612', NULL, 'YfiR, C-terminal', 'YfiR_C', 3, NULL),
(33395, NULL, 'IPR038991', NULL, 'Caspase activity and apoptosis inhibitor 1', 'CAAP1', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33396, NULL, 'IPR041929', NULL, 'Tetrathionate reductase subunit A, N-terminal', 'Tetrathionate-R_A_N', 3, NULL),
(33397, NULL, 'IPR037613', NULL, 'Kazrin, SAM domain repeat 1', 'Kazrin_SAM_rpt_1', 3, NULL),
(33398, NULL, 'IPR041700', NULL, 'Outer membrane protein beta-barrel domain 3', 'OMP_b-brl_3', 3, NULL),
(33399, NULL, 'IPR038784', NULL, 'Mitogen-activated protein kinase 14', 'p38alpha', 4, NULL),
(33400, NULL, 'IPR034405', NULL, 'F420, menaquinone cofactor biosynthesis', 'F420', 4, NULL),
(33401, NULL, 'IPR037609', NULL, 'Stromal interaction molecule 1, SAM domain', 'STIM1_SAM', 3, NULL),
(33402, NULL, 'IPR033739', NULL, 'Peptidase M10A, catalytic domain', 'M10A_MMP', 3, NULL),
(33403, NULL, 'IPR034457', NULL, 'Organic radical-activating enzymes', 'Organic_radical-activating', 4, NULL),
(33404, NULL, 'IPR033526', NULL, 'Auxin efflux carrier component 2', 'PIN2', 4, NULL),
(33405, NULL, 'IPR034614', NULL, 'Kynurenine--oxoglutarate transaminase 1', 'KAT_I', 4, NULL),
(33406, NULL, 'IPR039447', NULL, 'Urease accessory protein UreH-like, transmembrane domain', 'UreH-like_TM_dom', 3, NULL),
(33407, NULL, 'IPR041981', NULL, 'ZZZ3, zinc finger, ZZ-type', 'ZZZ3_ZZ', 3, NULL),
(33408, NULL, 'IPR041547', NULL, 'C->U-editing enzyme APOBEC-1', 'APOBEC1', 4, NULL),
(33409, NULL, 'IPR041867', NULL, 'CPPED1, metallophosphatase domain', 'MPP_CSTP1', 3, NULL),
(33410, NULL, 'IPR041704', NULL, 'CFLE, GH18 catalytic domain', 'CFLE_GH18', 3, NULL),
(33411, NULL, 'IPR038142', NULL, 'Cytochrome P460 superfamily', 'Cytochrome_P460_sp', 5, NULL),
(33412, NULL, 'IPR041684', NULL, 'PHD/FYVE-zinc-finger like domain', 'Znf-PHD-like', 3, NULL),
(33413, NULL, 'IPR041738', NULL, 'Structural maintenance of chromosomes 4, ABC domain, eukaryotic', 'SMC4_ABC_euk', 3, NULL),
(33414, NULL, 'IPR033420', NULL, 'Gammaproteobacterial periplasmic sensor domain GAPES1', 'GAPES1', 3, NULL),
(33415, NULL, 'IPR041731', NULL, 'N-Acetyl-L-glutamate kinase, noncyclic', 'NAGK-NC', 4, NULL),
(33416, NULL, 'IPR038823', NULL, 'Mediator-associated protein 2, plant', 'MED2_plant', 4, NULL),
(33417, NULL, 'IPR037616', NULL, 'Kazrin, SAM domain repeat 3', 'Kazrin_SAM_rpt_3', 3, NULL),
(33418, NULL, 'IPR042097', NULL, 'Aminopeptidase N-like , N-terminal domain superfamliy', 'Aminopeptidase_N-like_N_sf', 5, NULL),
(33419, NULL, 'IPR035541', NULL, 'Neutrophil cytosol factor P40, SH3 domain', 'p40phox_SH3', 3, NULL),
(33420, NULL, 'IPR033825', NULL, 'FACT complex subunit Spt16, peptidase M24-like domain', 'Spt16_M24', 3, NULL),
(33421, NULL, 'IPR041953', NULL, 'YdeP, molybdopterin-binding oxidoreductase-like domain', 'YdeP_MopB', 3, NULL),
(33422, NULL, 'IPR033703', NULL, 'Picornavirus/Calicivirus coat protein', 'Rhv-like', 3, NULL),
(33423, NULL, 'IPR038245', NULL, 'MogR, DNA-binding domain superfamily', 'MogR_DNA-bd_sf', 5, NULL),
(33424, NULL, 'IPR041950', NULL, 'STARD2, START domain', 'STARD2_START', 3, NULL),
(33425, NULL, 'IPR036263', NULL, 'Chorismate mutase type II superfamily', 'Chorismate_II_sf', 5, NULL),
(33426, NULL, 'IPR041330', NULL, 'KN17, SH3-like C-terminal domain', 'KN17_SH3', 3, NULL),
(33427, NULL, 'IPR042094', NULL, 'Type II secretion system GspF domain superfamily', 'T2SS_GspF_sf', 5, NULL),
(33428, NULL, 'IPR034950', NULL, 'Regulator of G-protein signalling 18', 'RGS18', 4, NULL),
(33429, NULL, 'IPR035676', NULL, 'SH2 adaptor protein C, SH2 domain', 'SHC_SH2', 3, NULL),
(33430, NULL, 'IPR038820', NULL, 'Coiled-coil domain-containing protein 171', 'CCDC171', 4, NULL),
(33431, NULL, 'IPR041809', NULL, 'Ubiquitin-binding protein Cue2, CUE domain 1', 'Cue2_CUE1', 3, NULL),
(33432, NULL, 'IPR041812', NULL, 'Ubiquitin carboxyl-terminal hydrolase 5, UBA1 domain', 'UBP5_UBA1', 3, NULL),
(33433, NULL, 'IPR041930', NULL, 'Acetylene hydratase', 'Acetylene_hydratase', 3, NULL),
(33434, NULL, 'IPR035089', NULL, 'Tail sheath protein, subtilisin-like domain', 'Phage_sheath_subtilisin', 3, NULL),
(33435, NULL, 'IPR038989', NULL, 'Ubiquinone biosynthesis accessory factor UbiJ', 'UbiJ', 4, NULL),
(33436, NULL, 'IPR041802', NULL, 'YfcE-like, metallophosphatase domain', 'MPP_YfcE', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33437, NULL, 'IPR042063', NULL, 'Ubiquitin-activating enzyme E1, SCCH domain', 'Ubi_acti_E1_SCCH', 5, NULL),
(33438, NULL, 'IPR033418', NULL, 'Periplasmic sensor domain, extracellular', 'CHASE9', 3, NULL),
(33439, NULL, 'IPR041432', NULL, 'Ubiquitinyl hydrolase, variant UBP zinc finger', 'UBP13_Znf-UBP_var', 3, NULL),
(33440, NULL, 'IPR038965', NULL, 'Transposase InsF-like', 'InsF-like', 4, NULL),
(33441, NULL, 'IPR037612', NULL, 'Tumour protein p73, SAM domain', 'Tumour-p73_SAM', 3, NULL),
(33442, NULL, 'IPR042023', NULL, 'KMT2A, PHD domain 1', 'KMT2A_PHD1', 3, NULL),
(33443, NULL, 'IPR041798', NULL, 'Otoconin-90, phospholipase A2-like domain', 'Otoconin-90', 3, NULL),
(33444, NULL, 'IPR041975', NULL, 'Spt5, KOW domain repeat 2', 'KOW_Spt5_2', 3, NULL),
(33445, NULL, 'IPR037682', NULL, 'TonB, C-terminal', 'TonB_C', 3, NULL),
(33446, NULL, 'IPR034371', NULL, 'UHMK1, RNA recognition motif', 'UHMK1_RRM', 3, NULL),
(33447, NULL, 'IPR039455', NULL, 'EPIDERMAL PATTERNING FACTOR-like protein', 'EPFL', 4, NULL),
(33448, NULL, 'IPR035146', NULL, 'Protein of unknown function DUF5481', 'DUF5481', 4, NULL),
(33449, NULL, 'IPR036626', NULL, 'Head-to-tail joining protein W superfamily', 'GpW_sf', 5, NULL),
(33450, NULL, 'IPR037412', NULL, 'HTH-type transcriptional regulator IlvR, PBP2 domain', 'IlvR_PBP2', 3, NULL),
(33451, NULL, 'IPR038830', NULL, 'Coiled-coil domain-containing protein 186', 'CCDC186', 4, NULL),
(33452, NULL, 'IPR039002', NULL, 'Hydrogenase maturation factor HybF', 'HybF', 4, NULL),
(33453, NULL, 'IPR035363', NULL, 'Lacto-N-biose phosphorylase, central domain', 'LBP_M', 3, NULL),
(33454, NULL, 'IPR041936', NULL, 'HetR, N-terminal DNA-binding domain', 'HetR_DNA-bd_N', 5, NULL),
(33455, NULL, 'IPR041806', NULL, 'Polyadenylate-binding protein-interacting protein 5/6/7, CUE domain', 'CID5/6/7_CUE', 3, NULL),
(33456, NULL, 'IPR033741', NULL, 'Sequestosome-1, UBA domain', 'SQSTM_UBA', 3, NULL),
(33457, NULL, 'IPR039001', NULL, 'Peptidoglycan-associated lipoprotein', 'Pal', 4, NULL),
(33458, NULL, 'IPR042103', NULL, 'Serine-tRNA synthetase, type1, N-terminal domain superfamily', 'SerRS_1_N_sf', 5, NULL),
(33459, NULL, 'IPR033053', NULL, 'Histone transcription regulator 3/CABIN1', 'Hir3/CABIN1', 4, NULL),
(33460, NULL, 'IPR041935', NULL, 'HetR, flap domain', 'HetR_flap', 5, NULL),
(33461, NULL, 'IPR038821', NULL, 'CLE-related protein 45-like', 'CLE45-like', 4, NULL),
(33462, NULL, 'IPR042007', NULL, 'Sortase A', 'Sortase_A', 4, NULL),
(33463, NULL, 'IPR038752', NULL, 'IQ domain-containing protein H', 'IQCH', 4, NULL),
(33464, NULL, 'IPR041431', NULL, 'Mvd1, C-terminal', 'Mvd1_C', 3, NULL),
(33465, NULL, 'IPR035141', NULL, 'Protein of unknown function DUF5484', 'DUF5484', 4, NULL),
(33466, NULL, 'IPR033936', NULL, 'Ribosomal protein L19e, archaeal', 'Ribosomal_L19e_A', 3, NULL),
(33467, NULL, 'IPR041960', NULL, 'Geranylgeranyl transferase type-1 subunit beta', 'GGTase_I_beta', 4, NULL),
(33468, NULL, 'IPR033341', NULL, 'Spindle and kinetochore-associated protein 3', 'SKA3', 4, NULL),
(33469, NULL, 'IPR037829', NULL, 'Cysteine-rich protein 2-binding protein', 'KAT14', 4, NULL),
(33470, NULL, 'IPR037432', NULL, 'Exonuclease Mut-7, DEDDy 3''-5'' exonuclease domain', 'Mut-7_DEDDy_dom', 3, NULL),
(33471, NULL, 'IPR041878', NULL, 'Carbonic anhydrase-related protein X/XI', 'Alpha_CARP_X/XI', 4, NULL),
(33472, NULL, 'IPR041727', NULL, 'N-Acetyl-L-glutamate kinase, cyclic', 'NAGK-C', 4, NULL),
(33473, NULL, 'IPR041768', NULL, 'Tyrosine-protein phosphatase', 'RLPH', 4, NULL),
(33474, NULL, 'IPR034773', NULL, 'CPSF7, RNA recognition motif', 'CPSF7_RRM', 3, NULL),
(33475, NULL, 'IPR038933', NULL, 'Ovate protein family', 'Ovate', 4, NULL),
(33476, NULL, 'IPR042015', NULL, 'MTF2, PHD domain 2', 'MTF2_PHD2', 3, NULL),
(33477, NULL, 'IPR033458', NULL, 'Protein of unknown function DUF5134', 'DUF5134', 4, NULL),
(33478, NULL, 'IPR038573', NULL, 'Ribonuclease toxin BrnT superfamily', 'BrnT_sf', 5, NULL),
(33479, NULL, 'IPR033459', NULL, 'Spirocyclase AveC-like', 'AveC-like', 4, NULL),
(33480, NULL, 'IPR041611', NULL, 'SKICH domain', 'SKICH', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33481, NULL, 'IPR041617', NULL, 'MalT-like TPR region', 'TPR_MalT', 3, NULL),
(33482, NULL, 'IPR039266', NULL, 'Autonomous transposable element EN-1 mosaic protein', 'EN-1/SPM', 4, NULL),
(33483, NULL, 'IPR035761', NULL, 'Ryanodine receptor, SPRY domain 1', 'SPRY1_RyR', 3, NULL),
(33484, NULL, 'IPR038999', NULL, 'Capsid vertex protein', 'CAPSP', 4, NULL),
(33485, NULL, 'IPR035147', NULL, 'ECORI-T site protein ETM', 'ETM', 4, NULL),
(33486, NULL, 'IPR038144', NULL, 'Intracellular proteinase inhibitor', 'IPI', 5, NULL),
(33487, NULL, 'IPR037952', NULL, 'Sensor histidine kinase TorS, sensor domain', 'Sensor_TorS', 3, NULL),
(33488, NULL, 'IPR041662', NULL, 'SusD-like 2', 'SusD-like_2', 4, NULL),
(33489, NULL, 'IPR033419', NULL, 'Gammaproteobacterial periplasmic sensor domain GAPES3', 'GAPES3', 3, NULL),
(33490, NULL, 'IPR034233', NULL, 'Nucleolin, RNA recognition motif 2', 'Nucleolin_RRM2', 3, NULL),
(33491, NULL, 'IPR038161', NULL, 'VirB9/CagX/TrbG, C-terminal domain superfamily', 'VirB9/CagX/TrbG_C_sf', 5, NULL),
(33492, NULL, 'IPR040148', NULL, 'Fragile X mental retardation syndrome-related protein', 'FMR1', 4, NULL),
(33493, NULL, 'IPR041613', NULL, 'Peptidase S41, N-terminal', 'Pept_S41_N', 3, NULL),
(33494, NULL, 'IPR038973', NULL, 'DNA mismatch repair protein MutL/Mlh/Pms', 'MutL/Mlh/Pms', 4, NULL),
(33495, NULL, 'IPR041528', NULL, 'Cas6b N-terminal', 'Cas6b_N', 3, NULL),
(33496, NULL, 'IPR041792', NULL, 'Purple acid phosphatase, metallophosphatase domain', 'MPP_PAP', 3, NULL),
(33497, NULL, 'IPR041333', NULL, 'Peptidase M60, C-terminal', 'M60_C', 3, NULL),
(33498, NULL, 'IPR036628', NULL, 'Clp, N-terminal domain superfamily', 'Clp_N_dom_sf', 5, NULL),
(33499, NULL, 'IPR036946', NULL, 'Gamma-retroviral matrix domain superfamily', 'G_retro_matrix_sf', 5, NULL),
(33500, NULL, 'IPR033494', NULL, 'NUDE family', 'NUDE', 4, NULL),
(33501, NULL, 'IPR039751', NULL, 'Homocysteine-responsive endoplasmic reticulum-resident ubiquitin-like domain member 1 /2', 'HERPUD1/2', 4, NULL),
(33502, NULL, 'IPR039852', NULL, 'Cullin-associated NEDD8-dissociated protein 1/2', 'CAND1/CAND2', 4, NULL),
(33503, NULL, 'IPR038424', NULL, 'Histidine kinase PdtaS, GAF domain superfamily', 'H_kinase_PdtaS_GAF_sf', 5, NULL),
(33504, NULL, 'IPR035693', NULL, 'Tyrosine-protein kinase Fgr, SH2 domain', 'Fgr_SH2', 3, NULL),
(33505, NULL, 'IPR035697', NULL, 'DNA-directed RNA polymerase III subunit RPC1, N-terminal', 'RNAP_III_RPC1_N', 3, NULL),
(33506, NULL, 'IPR037714', NULL, 'MSK2, N-terminal catalytic domain', 'MSK2_N_dom', 3, NULL),
(33507, NULL, 'IPR036581', NULL, 'Cyanate lyase, C-terminal domain superfamily', 'Cyanate_lyase_C_sf', 5, NULL),
(33508, NULL, 'IPR039695', NULL, 'B-cell antigen receptor complex-associated protein alpha/beta chain', 'CD79a/CD79b', 4, NULL),
(33509, NULL, 'IPR037709', NULL, 'Serine/threonine-protein kinase Sgk3, catalytic domain', 'SGK3_dom', 3, NULL),
(33510, NULL, 'IPR040425', NULL, 'Uncharacterized protein C20orf141-like', 'C20orf141-like', 4, NULL),
(33511, NULL, 'IPR033563', NULL, 'Zymogen granule membrane protein 16', 'ZG16', 4, NULL),
(33512, NULL, 'IPR036487', NULL, 'Quinohemoprotein amine dehydrogenase, gamma subunit structural domain superfamily', 'QH-AmDH_gsu_sf', 5, NULL),
(33513, NULL, 'IPR036478', NULL, 'Exotoxin A, middle domain superfamily', 'Exotox-A_middle_dom_sf', 5, NULL),
(33514, NULL, 'IPR038415', NULL, 'Minor type IV pilin, PilX-like superfamily', 'Pilin_PilX-like_sf', 5, NULL),
(33515, NULL, 'IPR038431', NULL, 'Killer toxin SMK, beta subunit superfamily', 'Killer_tox_SMK_b_sf', 5, NULL),
(33516, NULL, 'IPR036291', NULL, 'NAD(P)-binding domain superfamily', 'NAD(P)-bd_dom_sf', 5, NULL),
(33517, NULL, 'IPR038300', NULL, 'SASP, alpha/beta-type superfamily', 'SASP_sf_alpha/beta', 5, NULL),
(33518, NULL, 'IPR036496', NULL, 'Cathepsin C, exclusion domain superfamily', 'CathepsinC_exc_dom_sf', 5, NULL),
(33519, NULL, 'IPR036466', NULL, 'Pollen allergen ole e 6 superfamily', 'Pollen_allergen_ole-e-6_sf', 5, NULL),
(33520, NULL, 'IPR039724', NULL, 'WD repeat-containing protein 91', 'WDR91', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33521, NULL, 'IPR038712', NULL, 'PixA-like superfamily', 'PixA-like_sf', 5, NULL),
(33522, NULL, 'IPR040016', NULL, 'Exportin-6', 'XPO6', 4, NULL),
(33523, NULL, 'IPR038089', NULL, 'Mediator of RNA polymerase II, subunit Med31 superfamily', 'Med31_sf', 5, NULL),
(33524, NULL, 'IPR040044', NULL, 'SRR1-like protein', 'SRR1L', 4, NULL),
(33525, NULL, 'IPR038204', NULL, 'Antibacterial factor-related peptide superfamily', 'Abf-1/2_sf', 5, NULL),
(33526, NULL, 'IPR037715', NULL, 'Mitochondrial-processing peptidase subunit alpha', 'PMPCA', 4, NULL),
(33527, NULL, 'IPR033137', NULL, 'Neuromodulin, phosphorylation site', 'Neuromodulin_P_site', 6, NULL),
(33528, NULL, 'IPR037967', NULL, 'RACK7, Bromo domain', 'RACK7_Bromo_dom', 3, NULL),
(33529, NULL, 'IPR039507', NULL, 'Phosphatidylinositol N-acetylglucosaminyltransferase  subunit PIG-A/GPI3', 'PIG-A/GPI3', 4, NULL),
(33530, NULL, 'IPR040046', NULL, 'Protein FAM228', 'FAM228', 4, NULL),
(33531, NULL, 'IPR036277', NULL, 'SMCs flexible hinge superfamily', 'SMC_hinge_sf', 5, NULL),
(33532, NULL, 'IPR040011', NULL, 'Mitochondrial brown fat uncoupling protein 1', 'UCP1', 4, NULL),
(33533, NULL, 'IPR038066', NULL, 'Spc24, Fungi, globular domain superfamily', 'Spc24_Fungi_globular_sf', 5, NULL),
(33534, NULL, 'IPR038296', NULL, 'Antitoxin ParD superfamily', 'ParD_sf', 5, NULL),
(33535, NULL, 'IPR039459', NULL, 'RepB-like DNA primase domain', 'RepB-like_DNA_primase_dom', 3, NULL),
(33536, NULL, 'IPR040320', NULL, 'Uncharacterized protein At4g37920-like', 'At4g37920-like', 4, NULL),
(33537, NULL, 'IPR033604', NULL, 'Type III endosome membrane protein TEMP', 'TEMP', 4, NULL),
(33538, NULL, 'IPR034979', NULL, 'UPF3B, RNA recognition motif-like domain', 'UPF3B_RRM-like', 3, NULL),
(33539, NULL, 'IPR033425', NULL, 'Membrane-associated sensor domain MASE3', 'MASE3', 3, NULL),
(33540, NULL, 'IPR039109', NULL, 'Ribosomal protein L30/YlxQ', 'L30/L30e/YlxQ', 4, NULL),
(33541, NULL, 'IPR035661', NULL, 'EMP46/EMP47, N-terminal lectin domain', 'EMP46/EMP47_N', 3, NULL),
(33542, NULL, 'IPR037792', NULL, 'Glucose sensor Rgt2/Snf3', 'Rgt2/Snf3', 4, NULL),
(33543, NULL, 'IPR038407', NULL, 'Vesicle transport v-SNARE, N-terminal domain superfamily', 'v-SNARE_N_sf', 5, NULL),
(33544, NULL, 'IPR033472', NULL, 'RecQ mediated genome instability protein, DUF1767', 'DUF1767', 3, NULL),
(33545, NULL, 'IPR036286', NULL, 'LexA/Signal peptidase-like superfamily', 'LexA/Signal_pep-like_sf', 5, NULL),
(33546, NULL, 'IPR036498', NULL, 'Scaffold protein Nfu/NifU, N-terminal domain superfamily', 'Nfu/NifU_N_sf', 5, NULL),
(33547, NULL, 'IPR040309', NULL, 'H/ACA ribonucleoprotein complex non-core subunit Naf1', 'Naf1', 4, NULL),
(33548, NULL, 'IPR038701', NULL, 'ToxA superfamily', 'ToxA_sf', 5, NULL),
(33549, NULL, 'IPR040321', NULL, 'Coiled-coil domain-containing protein SCD2-like', 'SCD2-like', 4, NULL),
(33550, NULL, 'IPR039463', NULL, 'Sip3/Lam1, BAR domain', 'Sip3/Lam1_BAR', 3, NULL),
(33551, NULL, 'IPR035721', NULL, 'SAM and SH3 domain-containing protein 3, SH3 domain', 'SASH3_SH3', 3, NULL),
(33552, NULL, 'IPR033239', NULL, 'Protein EVI2B', 'EVI2B', 4, NULL),
(33553, NULL, 'IPR033152', NULL, 'Hop-1 peptidase', 'Pept_Hop-1', 4, NULL),
(33554, NULL, 'IPR033905', NULL, 'Secretory peroxidase', 'Secretory_peroxidase', 3, NULL),
(33555, NULL, 'IPR038409', NULL, 'Ycf54-like superfamily', 'Ycf54-like_sf', 5, NULL),
(33556, NULL, 'IPR040031', NULL, 'Codanin-1', 'Codanin-1', 4, NULL),
(33557, NULL, 'IPR037651', NULL, 'SWR1-complex protein 3', 'Swc3', 4, NULL),
(33558, NULL, 'IPR033528', NULL, 'ERAP2 aminopeptidase', 'ERAP2', 4, NULL),
(33559, NULL, 'IPR040229', NULL, 'Uncharacterized membrane protein At3g27390-like', 'At3g27390-like', 4, NULL),
(33560, NULL, 'IPR038708', NULL, 'Gp34-like superfamily', 'Gp34-like_sf', 5, NULL),
(33561, NULL, 'IPR037712', NULL, 'Signal peptidase complex catalytic subunit SEC11A', 'SEC11A', 4, NULL),
(33562, NULL, 'IPR036571', NULL, '2-C-methyl-D-erythritol 2,4-cyclodiphosphate synthase superfamily', 'MECDP_synthase_sf', 5, NULL),
(33563, NULL, 'IPR040370', NULL, 'Coiled-coil domain-containing protein 74A/74B/92', 'CCDC74A/CCDC74B/CCDC92', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33564, NULL, 'IPR037644', NULL, 'Transcriptional activator MN1', 'MN1', 4, NULL),
(33565, NULL, 'IPR037708', NULL, 'Citron Rho-interacting kinase, catalytic domain', 'CRIK_dom', 3, NULL),
(33566, NULL, 'IPR038280', NULL, 'Telomere resolvase ResT superfamily', 'ResT_sf', 5, NULL),
(33567, NULL, 'IPR038302', NULL, 'Envelope glycoprotein M superfamily, flavivirus', 'Env_glycoprot_M_sf_flavivir', 5, NULL),
(33568, NULL, 'IPR040188', NULL, 'Ly6/PLAUR domain-containing protein 2', 'LYPD2', 4, NULL),
(33569, NULL, 'IPR034980', NULL, 'RNA-binding protein fusilli, RNA recognition motif 2', 'Fusilli_RRM2', 3, NULL),
(33570, NULL, 'IPR039548', NULL, 'JADE2, PHD domain', 'JADE2_PHD', 3, NULL),
(33571, NULL, 'IPR038707', NULL, 'Conjugal transfer protein TraQ superfamily', 'TraQ_sf', 5, NULL),
(33572, NULL, 'IPR035154', NULL, 'Protein of unknown function DUF5472', 'DUF5472', 4, NULL),
(33573, NULL, 'IPR038189', NULL, 'Cdc37, Hsp90-binding domain superfamily', 'Cdc37_Hsp90-bd_sf', 5, NULL),
(33574, NULL, 'IPR039700', NULL, 'Lymphocyte antigen 6G6e', 'Ly6g6e', 4, NULL),
(33575, NULL, 'IPR038829', NULL, 'Leukosialin', 'Leukosialin', 4, NULL),
(33576, NULL, 'IPR040222', NULL, 'ALOG  family', 'ALOG', 4, NULL),
(33577, NULL, 'IPR039462', NULL, 'Nucleoporin Nup159/Nup146, N-terminal', 'Nup159/Nup146_N', 3, NULL),
(33578, NULL, 'IPR039703', NULL, 'Protein N-terminal amidase', 'Nta1', 4, NULL),
(33579, NULL, 'IPR035798', NULL, 'Secretagogin, EF-hand domain', 'EFh_SCGN', 3, NULL),
(33580, NULL, 'IPR038425', NULL, 'GAT domain superfamily', 'GAT_sf', 5, NULL),
(33581, NULL, 'IPR038283', NULL, 'Channel forming colicin, C-terminal domain superfamily', 'Channel_colicin_C_sf', 5, NULL),
(33582, NULL, 'IPR040312', NULL, 'FLYWCH-type zinc finger-containing protein 1/2', 'FWCH1/FWCH2', 4, NULL),
(33583, NULL, 'IPR039797', NULL, 'Protein Pecanex', 'Pecanex', 4, NULL),
(33584, NULL, 'IPR037640', NULL, 'SMOC-2, extracellular calcium-binding domain', 'SMOC2_EC', 3, NULL),
(33585, NULL, 'IPR038202', NULL, 'Regulatory protein cro superfamily', 'Cro_sf', 5, NULL),
(33586, NULL, 'IPR038297', NULL, 'CcmH/CycL/Ccl2/NrfF domain superfamily', 'CcmH/CycL/NrfF/Ccl2_sf', 5, NULL),
(33587, NULL, 'IPR038449', NULL, 'SirA superfamily', 'SirA_sf', 5, NULL),
(33588, NULL, 'IPR040230', NULL, 'Protease TIKI1/2-like', 'TIKI1/2-like', 4, NULL),
(33589, NULL, 'IPR038444', NULL, 'DUF465 superfamily', 'DUF465_sf', 5, NULL),
(33590, NULL, 'IPR038900', NULL, 'Transmembrane channel-like protein', 'TMC', 4, NULL),
(33591, NULL, 'IPR037849', NULL, 'ADAP, PH domain 1', 'PH1_ADAP', 3, NULL),
(33592, NULL, 'IPR038277', NULL, 'UreF domain superfamily', 'UreF_sf', 5, NULL),
(33593, NULL, 'IPR037807', NULL, 'Protein AHC1', 'AHC1', 4, NULL),
(33594, NULL, 'IPR037966', NULL, 'Brd8, Bromo domain', 'Brd8_Bromo_dom', 3, NULL),
(33595, NULL, 'IPR038437', NULL, 'GINS complex, subunit Psf3 superfamily', 'GINS_Psf3_sf', 5, NULL),
(33596, NULL, 'IPR040066', NULL, 'WD repeat-containing protein 31', 'WDR31', 4, NULL),
(33597, NULL, 'IPR035423', NULL, 'M60-like domain, N-terminal', 'M60-like_N', 3, NULL),
(33598, NULL, 'IPR037917', NULL, 'Ypt35, PX domain', 'Ypt35_PX', 3, NULL),
(33599, NULL, 'IPR035290', NULL, 'Beta/Mu-diguetoxin-1', 'Beta/Mu-DGTX-Dc1', 4, NULL),
(33600, NULL, 'IPR033882', NULL, 'DNA damage inducible protein 1 ubiquitin-like domain', 'DDI1_N', 3, NULL),
(33601, NULL, 'IPR037653', NULL, 'Cytochrome B pre-mRNA-processing protein 6', 'Cbp6', 4, NULL),
(33602, NULL, 'IPR039740', NULL, 'CCR4-NOT transcription complex subunit 10', 'CNOT10', 4, NULL),
(33603, NULL, 'IPR040068', NULL, 'Oocyte-expressed protein', 'OOEP', 4, NULL),
(33604, NULL, 'IPR040226', NULL, 'THH1/TOM1/TOM3', 'THH1/TOM1/TOM3', 4, NULL),
(33605, NULL, 'IPR036489', NULL, 'YoaG superfamily', 'YoaG_sf', 5, NULL),
(33606, NULL, 'IPR038205', NULL, 'Protein inscuteable homologue, LGN-binding domain superfamily', 'INSC_LBD_sf', 5, NULL),
(33607, NULL, 'IPR033523', NULL, 'Serine/threonine-protein kinase/endoribonuclease IRE2', 'IRE2', 4, NULL),
(33608, NULL, 'IPR039528', NULL, 'DPM1-like', 'DPM1-like', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33609, NULL, 'IPR037650', NULL, '60S ribosomal subunit assembly/export protein Loc1', 'Loc1', 4, NULL),
(33610, NULL, 'IPR036572', NULL, 'Doublecortin domain superfamily', 'Doublecortin_dom_sf', 5, NULL),
(33611, NULL, 'IPR038147', NULL, 'Cox superfamily', 'Cox_sf', 5, NULL),
(33612, NULL, 'IPR035813', NULL, 'Secreted frizzled-related protein 3, NTR domain', 'NTR_Sfrp3', 3, NULL),
(33613, NULL, 'IPR036497', NULL, 'Glycolipid transfer protein superfamily', 'GLTP_sf', 5, NULL),
(33614, NULL, 'IPR039487', NULL, 'Dolichyl pyrophosphate Glc1Man9GlcNAc2 alpha-1,3-glucosyltransferase', 'ALG8', 4, NULL),
(33615, NULL, 'IPR035698', NULL, 'DNA-directed RNA polymerase III subunit RPC1, C-terminal', 'RNAP_III_Rpc1_C', 3, NULL),
(33616, NULL, 'IPR040043', NULL, 'UPF0692 protein', 'UPF0692', 4, NULL),
(33617, NULL, 'IPR040318', NULL, 'Isochorismatase domain-containing protein 2', 'ISOC2', 4, NULL),
(33618, NULL, 'IPR036302', NULL, 'Pyosin/cloacin translocation domain superfamily', 'Pyosin/cloacin_T_dom_sf', 5, NULL),
(33619, NULL, 'IPR038430', NULL, 'NADH:ubiquinone oxidoreductase, subunit 3 superfamily', 'NDAH_ubi_oxred_su3_sf', 5, NULL),
(33620, NULL, 'IPR033826', NULL, 'Isoaspartyl-dipeptidase', 'Isoaspartyl-dipeptidase', 4, NULL),
(33621, NULL, 'IPR036284', NULL, 'G-protein gamma-like domain superfamily', 'GGL_sf', 5, NULL),
(33622, NULL, 'IPR033527', NULL, 'N-myc-interactor', 'NMI', 4, NULL),
(33623, NULL, 'IPR033614', NULL, 'Ras association domain-containing protein 1-6', 'RASSF1-6', 4, NULL),
(33624, NULL, 'IPR037645', NULL, 'Keratinocyte-associated transmembrane protein 2', 'KCT2', 4, NULL),
(33625, NULL, 'IPR040240', NULL, 'Transcription initiation factor TFIID subunit 1', 'TAF1', 4, NULL),
(33626, NULL, 'IPR038447', NULL, 'PSRP-3/Ycf65 superfamily', 'PSRP-3/Ycf65_sf', 5, NULL),
(33627, NULL, 'IPR035722', NULL, 'SAM and SH3 domain-containing protein 3', 'SASH3', 4, NULL),
(33628, NULL, 'IPR033720', NULL, 'Elongation factor Tu, domain 2', 'EFTU_2', 3, NULL),
(33629, NULL, 'IPR037705', NULL, 'PI3K-C2-alpha, catalytic domain', 'PI3K-C2-alpha_dom', 3, NULL),
(33630, NULL, 'IPR033884', NULL, 'Calpain C2 domain', 'C2_Calpain', 3, NULL),
(33631, NULL, 'IPR036482', NULL, 'Hut operon regulatory protein HutP superfamily', 'Regulatory_HutP_sf', 5, NULL),
(33632, NULL, 'IPR034031', NULL, 'Tumor necrosis factor receptor 14/UL144, N-terminal', 'TNFRSF14/UL144_N', 3, NULL),
(33633, NULL, 'IPR037770', NULL, 'Cyclin-dependent kinase 7', 'CDK7', 4, NULL),
(33634, NULL, 'IPR036316', NULL, 'Pili assembly chaperone, C-terminal domain superfamily', 'Pili_assmbl_chap_C_dom_sf', 5, NULL),
(33635, NULL, 'IPR039167', NULL, 'Mitochondrial transcription rescue factor 1', 'MTRES1', 4, NULL),
(33636, NULL, 'IPR039546', NULL, 'Jade-1, PHD finger', 'Jade-1_PHD', 3, NULL),
(33637, NULL, 'IPR040078', NULL, 'CTD small RNA polymerase II polypeptide A phosphatase-like', 'RNA_Pol_CTD_Phosphatase', 4, NULL),
(33638, NULL, 'IPR036691', NULL, 'Endonuclease/exonuclease/phosphatase superfamily', 'Endo/exonu/phosph_ase_sf', 5, NULL),
(33639, NULL, 'IPR039104', NULL, '6-Phosphogluconolactonase', 'PGLS', 4, NULL),
(33640, NULL, 'IPR038825', NULL, 'Apical junction component', 'Apical_junction', 4, NULL),
(33641, NULL, 'IPR036690', NULL, 'Ferrodoxin-fold anticodon-binding domain superfamily', 'Fdx_antiC-bd_sf', 5, NULL),
(33642, NULL, 'IPR037913', NULL, 'Small heat shock protein IbpA/IbpB, ACD domain', 'ACD_IbpA/B', 3, NULL),
(33643, NULL, 'IPR037796', NULL, 'Transcription initiation factor TFIID subunit 6', 'TAF6', 4, NULL),
(33644, NULL, 'IPR040121', NULL, 'AP2-interacting clathrin-endocytosis protein', 'KIAA1107', 4, NULL),
(33645, NULL, 'IPR038442', NULL, 'Dsl1, N-terminal domain superfamily', 'Dsl1_N_sf', 5, NULL),
(33646, NULL, 'IPR036296', NULL, 'SKP1-like, dimerisation domain superfamily', 'SKP1-like_dim_sf', 5, NULL),
(33647, NULL, 'IPR040200', NULL, 'FAS1 domain-containing protein Mug57-like', 'Mug57-like', 4, NULL),
(33648, NULL, 'IPR036203', NULL, 'Poliovirus core protein 3a, soluble domain', 'P3A_soluble_dom', 5, NULL),
(33649, NULL, 'IPR039696', NULL, 'Microfibril-associated glycoprotein 3-like', 'MFAP3-like', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33650, NULL, 'IPR039508', NULL, 'Protein KASH5, EF-hand-like domain', 'KASH5_EF-hand-like_dom', 3, NULL),
(33651, NULL, 'IPR038955', NULL, 'Protein PriA', 'PriA_fungi', 4, NULL),
(33652, NULL, 'IPR038068', NULL, 'YcgL-like superfamily', 'YcgL-like_sf', 5, NULL),
(33653, NULL, 'IPR035716', NULL, 'Cortactin, SH3 domain', 'Cortactin_SH3', 3, NULL),
(33654, NULL, 'IPR033136', NULL, 'NAD-dependent DNA ligase, conserved site', 'DNA_ligase_CS', 2, NULL),
(33655, NULL, 'IPR038416', NULL, 'Sigma 54 modulation/S30EA ribosomal protein, C-terminal domain superfamily', 'Ribosom_S30AE_C_sf', 5, NULL),
(33656, NULL, 'IPR036471', NULL, 'Colicin D superfamily', 'Colicin_D_sf', 5, NULL),
(33657, NULL, 'IPR039549', NULL, 'JADE2, ePHD domain', 'JADE2_ePHD', 3, NULL),
(33658, NULL, 'IPR038286', NULL, 'Inositol polyphosphate kinase superfamily', 'IPK_sf', 5, NULL),
(33659, NULL, 'IPR038291', NULL, 'SAP30, C-terminal domain superfamily', 'SAP30_C_sf', 5, NULL),
(33660, NULL, 'IPR036688', NULL, 'MoeA, C-terminal, domain IV superfamily', 'MoeA_C_domain_IV_sf', 5, NULL),
(33661, NULL, 'IPR040026', NULL, 'Flagellar hook-associated protein 2', 'FliD', 4, NULL),
(33662, NULL, 'IPR039698', NULL, 'Polyprenol reductase', 'Dfg10/SRD5A3', 4, NULL),
(33663, NULL, 'IPR035681', NULL, 'ComA-like, MBL domain', 'ComA-like_MBL', 3, NULL),
(33664, NULL, 'IPR038281', NULL, 'RTP801-like, C-terminal domain superfamily', 'RTP801-like_C_sf', 5, NULL),
(33665, NULL, 'IPR040319', NULL, 'LSD1-like', 'LSD1-like', 4, NULL),
(33666, NULL, 'IPR038279', NULL, 'Ndc10, domain 2 superfamily', 'Ndc10_dom2_sf', 5, NULL),
(33667, NULL, 'IPR038452', NULL, 'Channel forming colicin, central receptor recognition domain superfamily', 'Channel_colicin_cen_sf', 5, NULL),
(33668, NULL, 'IPR036484', NULL, 'Protein-tyrosine phosphatase, YopH, N-terminal domain superfamily', 'ProtTyrPase_YopH_N_sf', 5, NULL),
(33669, NULL, 'IPR038435', NULL, 'Probable DNA packing protein, C-terminal domain superfamily', 'DNA_pack_C_sf', 5, NULL),
(33670, NULL, 'IPR038455', NULL, 'Mite allergen, group 5/21 superfamily', 'Mite_allergen_group-5/21_sf', 5, NULL),
(33671, NULL, 'IPR040313', NULL, 'Keratin-associated protein 6', 'KAP6', 4, NULL),
(33672, NULL, 'IPR035799', NULL, 'Calbindin-32, EF-hand domain', 'EFh_CBN', 3, NULL),
(33673, NULL, 'IPR038082', NULL, 'YopT domain superfamily', 'YopT_sf', 5, NULL),
(33674, NULL, 'IPR034385', NULL, 'Proteasome subunit beta type 11', 'Proteasome_beta11', 4, NULL),
(33675, NULL, 'IPR039169', NULL, 'Protein Abitram', 'Abitram', 4, NULL),
(33676, NULL, 'IPR035720', NULL, 'SAM and SH3 domain-containing protein 1, SH3 domain', 'SASH1_SH3', 3, NULL),
(33677, NULL, 'IPR037652', NULL, 'Mim2', 'Mim2', 4, NULL),
(33678, NULL, 'IPR038626', NULL, 'Rof-like superfamily', 'Rof-like_sf', 5, NULL),
(33679, NULL, 'IPR040426', NULL, 'Uncharacterized protein C05B5.4-like', 'C05B5.4-like', 4, NULL),
(33680, NULL, 'IPR037706', NULL, 'DNA-dependent protein kinase catalytic subunit, catalytic domain', 'DNA-PK_dom', 3, NULL),
(33681, NULL, 'IPR036570', NULL, 'HORMA domain superfamily', 'HORMA_dom_sf', 5, NULL),
(33682, NULL, 'IPR039856', NULL, 'ER membrane protein complex subunit 2-like', 'EMC2-like', 4, NULL),
(33683, NULL, 'IPR033792', NULL, 'Cellophane-induced protein 1', 'Cin1', 3, NULL),
(33684, NULL, 'IPR039030', NULL, 'Calmodulin', 'Calmodulin', 4, NULL),
(33685, NULL, 'IPR037798', NULL, 'Ubiquitin carboxyl-terminal hydrolase 8', 'UBP8', 4, NULL),
(33686, NULL, 'IPR040201', NULL, 'Protein Mrg3-like', 'Mrg3-like', 4, NULL),
(33687, NULL, 'IPR039725', NULL, 'Coiled-coil and C2 domain-containing protein 1', 'CC2D1A/B', 4, NULL),
(33688, NULL, 'IPR034902', NULL, 'Sorting nexin 4, PX domain', 'PX_SNX4', 3, NULL),
(33689, NULL, 'IPR036488', NULL, 'DUF1883-like superfamily', 'DUF1883-like_sf', 5, NULL),
(33690, NULL, 'IPR033603', NULL, 'Centrosomal protein of 44kDa', 'CEP44', 4, NULL),
(33691, NULL, 'IPR038419', NULL, 'Poxvirus poly(A) polymerase, nucleotidyltransferase domain superfamily', 'Pox_polyA_pol_nucTrfase_sf', 5, NULL),
(33692, NULL, 'IPR040017', NULL, 'Exportin-T', 'XPOT', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33693, NULL, 'IPR038411', NULL, 'PurL, C-terminal domain superfamily', 'PurL_C_sf', 5, NULL),
(33694, NULL, 'IPR038084', NULL, 'Haem degrading protein HbpS-like superfamily', 'HbpS-like_sf', 5, NULL),
(33695, NULL, 'IPR038448', NULL, 'Effector protein HopAB, E3 ubiquitin ligase domain superfamily', 'HopAB_E3_ubiquit_lig_sf', 5, NULL),
(33696, NULL, 'IPR038301', NULL, 'AraC-like superfamily', 'AraC-like_sf', 5, NULL),
(33697, NULL, 'IPR037569', NULL, 'Complement component C4-A', 'Complement_C4A', 4, NULL),
(33698, NULL, 'IPR038080', NULL, 'Kinase associated protein B superfamily', 'KapB_sf', 5, NULL),
(33699, NULL, 'IPR038408', NULL, 'Gnk2-homologous domain superfamily', 'GNK2_sf', 5, NULL),
(33700, NULL, 'IPR035417', NULL, 'FACT complex subunit POB3-like, N-terminal PH domain', 'POB3_N', 3, NULL),
(33701, NULL, 'IPR033236', NULL, 'Calmodulin regulator protein PCP4', 'PCP4', 4, NULL),
(33702, NULL, 'IPR034967', NULL, 'CCR4-NOT transcription complex subunit 6-like', 'Deadenylase_CCR4b', 3, NULL),
(33703, NULL, 'IPR033721', NULL, 'Prolyl-tRNA synthetase, catalytic domain', 'ProRS_core_arch_euk', 3, NULL),
(33704, NULL, 'IPR040024', NULL, 'Protein phosphatase 1 regulatory subunit 21', 'PPP1R21', 4, NULL),
(33705, NULL, 'IPR033044', NULL, 'Cullin-4B', 'CUL4B', 4, NULL),
(33706, NULL, 'IPR037568', NULL, 'Complement C2', 'Complement_C2', 4, NULL),
(33707, NULL, 'IPR037851', NULL, 'ADAP, PH domain 2', 'PH2_ADAP', 3, NULL),
(33708, NULL, 'IPR038646', NULL, 'Atu4866-like superfamily', 'Atu4866-like_sf', 5, NULL),
(33709, NULL, 'IPR038451', NULL, 'Arterivirus nsp7 alpha superfamily', 'Arteri_nsp7a_sf', 5, NULL),
(33710, NULL, 'IPR040067', NULL, 'WD repeat-containing protein 47', 'WDR47', 4, NULL),
(33711, NULL, 'IPR035516', NULL, 'DNA gyrase/topoisomerase IV, subunit A, C-terminal', 'Gyrase/topoIV_suA_C', 5, NULL),
(33712, NULL, 'IPR037508', NULL, 'Meiotically up-regulated protein Msb1/Mug8', 'Msb1/Mug8', 4, NULL),
(33713, NULL, 'IPR037554', NULL, 'Caspase-6', 'Caspase_6', 4, NULL),
(33714, NULL, 'IPR039748', NULL, 'DNA-directed RNA polymerase III subunit RPC3', 'RPC3', 4, NULL),
(33715, NULL, 'IPR039742', NULL, 'Protein Shq1', 'Shq1', 4, NULL),
(33716, NULL, 'IPR040021', NULL, 'Exportin-7', 'XPO7', 4, NULL),
(33717, NULL, 'IPR033277', NULL, 'GON-4-like protein', 'GON-4-like', 4, NULL),
(33718, NULL, 'IPR038910', NULL, 'Proline-rich protein Hua1-like', 'Hua1-like', 4, NULL),
(33719, NULL, 'IPR037513', NULL, 'NAD(P)H dehydrogenase (quinone), prokaryotic', 'NQO', 4, NULL),
(33720, NULL, 'IPR033774', NULL, 'Yaf2/RYBP C-terminal binding motif', 'YAF2_RYBP', 2, NULL),
(33721, NULL, 'IPR036472', NULL, 'Cholecystokinin A receptor, N-terminal domain superfamily', 'CholecystokininA_recpt_N_sf', 5, NULL),
(33722, NULL, 'IPR038456', NULL, 'Macin superfamily', 'Macin_sf', 5, NULL),
(33723, NULL, 'IPR036473', NULL, 'Molybdopterin cofactor biosynthesis MoaD-related, C-terminal domain superfamily', 'Mopterin_CF_MoaD-rel_C_sf', 5, NULL),
(33724, NULL, 'IPR035156', NULL, 'Protein of unknown function DUF5471', 'DUF5471', 4, NULL),
(33725, NULL, 'IPR040081', NULL, 'Chondrochloren A methyltransferase (CndI-like)', 'CndI-like', 4, NULL),
(33726, NULL, 'IPR033883', NULL, 'Calpain subdomain III', 'C2_III', 3, NULL),
(33727, NULL, 'IPR038289', NULL, 'DVA-1 superfamily', 'DVA-1_sf', 5, NULL),
(33728, NULL, 'IPR036298', NULL, 'Chalcone isomerase superfamily', 'Chalcone_isomerase_sf', 5, NULL),
(33729, NULL, 'IPR037964', NULL, 'Metastasis-associated protein MTA2', 'MTA2', 4, NULL),
(33730, NULL, 'IPR035686', NULL, 'Carbamoyl-phosphate synthase small subunit, GATase1 domain', 'CPSase_GATase1', 3, NULL),
(33731, NULL, 'IPR036468', NULL, 'AHSP superfamily', 'AHSP_sf', 5, NULL),
(33732, NULL, 'IPR034804', NULL, 'Fumarate reductase/succinate dehydrogenase, transmembrane subunit', 'SQR/QFR_C/D', 5, NULL),
(33733, NULL, 'IPR038203', NULL, 'Diapausin superfamily', 'Diapausin_sf', 5, NULL),
(33734, NULL, 'IPR038644', NULL, 'CopK superfamily', 'CopK_sf', 5, NULL),
(33735, NULL, 'IPR037916', NULL, 'SNX29, PX domain', 'SNX29_PX', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33736, NULL, 'IPR033358', NULL, 'Reticulophagy receptor 1', 'RETREG1', 4, NULL),
(33737, NULL, 'IPR033426', NULL, 'Domain of unknown function DUF5124', 'DUF5124', 3, NULL),
(33738, NULL, 'IPR038627', NULL, 'YebG-like superfamily', 'YebG-like_sf', 5, NULL),
(33739, NULL, 'IPR038822', NULL, 'Vertnin-like', 'Vertnin-like', 4, NULL),
(33740, NULL, 'IPR038785', NULL, 'Mitogen-activated protein kinase 13', 'p38delta', 4, NULL),
(33741, NULL, 'IPR036317', NULL, 'Cullin homology domain superfamily', 'Cullin_homology_sf', 5, NULL),
(33742, NULL, 'IPR038436', NULL, 'Effector protein NleG superfamily', 'Effector_NleG_sf', 5, NULL),
(33743, NULL, 'IPR037649', NULL, 'Uncharacterized protein C10orf62', 'C10orf62', 4, NULL),
(33744, NULL, 'IPR040225', NULL, 'Protein gravitropic in the light 1-like', 'GIL1-like', 4, NULL),
(33745, NULL, 'IPR038083', NULL, 'Non-structural protein NSP3A domain-like superfamily', 'NSP3A-like', 5, NULL),
(33746, NULL, 'IPR033357', NULL, 'Reprimo-like protein', 'Reprimo-like', 4, NULL),
(33747, NULL, 'IPR034901', NULL, 'Sorting Nexin 1, PX domain', 'PX_SNX1', 3, NULL),
(33748, NULL, 'IPR033620', NULL, 'Coiled-coil-helix-coiled-coil-helix domain-containing protein 1', 'CHCHD1', 4, NULL),
(33749, NULL, 'IPR036490', NULL, 'Hypothetical protein MTH538 superfamily', 'MTH538_sf', 5, NULL),
(33750, NULL, 'IPR037711', NULL, 'Microtubule-associated serine/threonine-protein kinase, catalytic domain', 'MAST', 3, NULL),
(33751, NULL, 'IPR038454', NULL, 'DnaA, N-terminal domain superfamily', 'DnaA_N_sf', 5, NULL),
(33752, NULL, 'IPR037366', NULL, 'BOULE/DAZ family', 'BOULE/DAZ', 4, NULL),
(33753, NULL, 'IPR033881', NULL, 'von Willebrand factor domain BatA-type', 'vWA_BatA_type', 3, NULL),
(33754, NULL, 'IPR039550', NULL, 'JADE3, PHD domain', 'JADE3_PHD', 3, NULL),
(33755, NULL, 'IPR039722', NULL, 'Nonsense-mediated mRNA decay protein 3', 'Upf3', 4, NULL),
(33756, NULL, 'IPR035826', NULL, 'TRIM34, PRY/SPRY domain', 'TRIM34_PRY/SPRY', 3, NULL),
(33757, NULL, 'IPR038638', NULL, 'RbpA superfamily', 'RbpA_sf', 5, NULL),
(33758, NULL, 'IPR037962', NULL, 'Neuralized', 'Neuralized', 4, NULL),
(33759, NULL, 'IPR038901', NULL, 'Hexosaminidase D-like', 'HEXDC-like', 4, NULL),
(33760, NULL, 'IPR033965', NULL, 'Competence Regulatory Protein ComQ', 'ComQ', 4, NULL),
(33761, NULL, 'IPR037960', NULL, 'Ret finger protein-like, SPRY/PRY domain', 'SPRY/PRY_RFPL', 3, NULL),
(33762, NULL, 'IPR036575', NULL, 'Transcription elongation factor S-II, central domain superfamily', 'TFIIS_cen_dom_sf', 5, NULL),
(33763, NULL, 'IPR040052', NULL, 'Splicing factor 45', 'RBM17', 4, NULL),
(33764, NULL, 'IPR033793', NULL, 'Cytochrome oxidase Caa3-type, subunit IV', 'Caa3-IV', 3, NULL),
(33765, NULL, 'IPR033423', NULL, 'Gammaproteobacterial periplasmic sensor domain GAPES4', 'GAPES4', 3, NULL),
(33766, NULL, 'IPR035717', NULL, 'Drebrin-like protein, SH3 domain', 'Drebrin-like_SH3', 3, NULL),
(33767, NULL, 'IPR038288', NULL, 'Peptidoglycan hydrolase Gp5 superfamily', 'Gp5_sf', 5, NULL),
(33768, NULL, 'IPR038274', NULL, 'Atg6/Beclin C-terminal domain superfamily', 'Atg6/Beclin_C_sf', 5, NULL),
(33769, NULL, 'IPR040206', NULL, 'Protein Zds1/2', 'Zds1/2', 4, NULL),
(33770, NULL, 'IPR038422', NULL, 'Cut8/Sts1 superfamily', 'Cut8/Sts1_sf', 5, NULL),
(33771, NULL, 'IPR038441', NULL, 'THAP-type zinc finger superfamily', 'THAP_Znf_sf', 5, NULL),
(33772, NULL, 'IPR036491', NULL, 'YugN-like superfamily', 'YugN-like_sf', 5, NULL),
(33773, NULL, 'IPR039866', NULL, 'Carboxypeptidase Q', 'CPQ', 4, NULL),
(33774, NULL, 'IPR038295', NULL, 'STAT1, C-terminal domain superfamily', 'STAT1_C_sf', 5, NULL),
(33775, NULL, 'IPR037703', NULL, 'PI3Kdelta, catalytic domain', 'PI3Kdelta_dom', 3, NULL),
(33776, NULL, 'IPR035719', NULL, 'Fungal actin-binding protein 1, first SH3 domain', 'Abp1_fungi_SH3_C1', 3, NULL),
(33777, NULL, 'IPR036486', NULL, 'Anti-Sigma Factor A superfamily', 'AsiA_sf', 5, NULL),
(33778, NULL, 'IPR039749', NULL, 'NEDD8 ultimate buster 1', 'NUB1', 4, NULL),
(33779, NULL, 'IPR038906', NULL, 'Tetratricopeptide repeat protein 36', 'TTC36', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33780, NULL, 'IPR035873', NULL, 'Phosphonoacetaldehyde reductase', 'PhpC', 4, NULL),
(33781, NULL, 'IPR040308', NULL, 'UPF0472 protein C16orf72-like', 'C16orf72-like', 4, NULL),
(33782, NULL, 'IPR037704', NULL, 'PI3Kalpha, catalytic domain', 'PI3Kalpha_dom', 3, NULL),
(33783, NULL, 'IPR037507', NULL, '54S ribosomal protein L25', 'MrpL25', 4, NULL),
(33784, NULL, 'IPR038188', NULL, 'TorS, sensor domain superfamily', 'TorS_sensor_sf', 5, NULL),
(33785, NULL, 'IPR040217', NULL, 'ACT domain-containing protein ACR1-12', 'ACR1-12', 4, NULL),
(33786, NULL, 'IPR033922', NULL, 'NAD(P) binding domain of glutamate dehydrogenase', 'NAD_bind_Glu_DH', 3, NULL),
(33787, NULL, 'IPR038292', NULL, 'YmfJ/YflH superfamily', 'YmfJ/YflH_sf', 5, NULL),
(33788, NULL, 'IPR036422', NULL, 'RuBisCO large subunit, N-terminal domain superfamily', 'RuBisCO_lsu_N_sf', 5, NULL),
(33789, NULL, 'IPR037707', NULL, 'PI3K-C2-gamma, catalytic domain', 'PI3K-C2-gamma_dom', 3, NULL),
(33790, NULL, 'IPR033621', NULL, 'TRAF-interacting protein with FHA domain-containing protein', 'TIFA', 4, NULL),
(33791, NULL, 'IPR036499', NULL, 'Non-structural protein NSP9 superfamily, coronavirus', 'NSP9_sf_CoV', 5, NULL),
(33792, NULL, 'IPR037918', NULL, 'SNX2, PX domain', 'SNX2_PX', 3, NULL),
(33793, NULL, 'IPR039764', NULL, 'RNA binding protein HABP4/SERBP1', 'HABP4/SERBP1', 4, NULL),
(33794, NULL, 'IPR037713', NULL, 'Signal peptidase complex subunit Spc1', 'Spc1', 4, NULL),
(33795, NULL, 'IPR038426', NULL, 'Vacuolar R-SNARE Nyv1, longin domain superfamily', 'Nyv1_longin_sf', 5, NULL),
(33796, NULL, 'IPR038704', NULL, 'YEATS superfamily', 'YEAST_sf', 5, NULL),
(33797, NULL, 'IPR036476', NULL, 'Talin, central domain superfamily', 'Talin_cent_sf', 5, NULL),
(33798, NULL, 'IPR038647', NULL, 'Cren7 superfamily', 'Cren7_sf', 5, NULL),
(33799, NULL, 'IPR036495', NULL, 'ORF7a superfamily, coronavirus', 'ORF7a_sf_CoV', 5, NULL),
(33800, NULL, 'IPR039504', NULL, '1-phosphatidylinositol 4,5-bisphosphate phosphodiesterase delta-3, EF hand domain', 'PLC-delta3_EF-hand', 3, NULL),
(33801, NULL, 'IPR038293', NULL, 'DUF1476 superfamily', 'DUF1476_sf', 5, NULL),
(33802, NULL, 'IPR040218', NULL, 'Probable RNA polymerase II nuclear localization protein SLC7A6OS', 'SLC7A6OS', 4, NULL),
(33803, NULL, 'IPR036475', NULL, 'Mitogen Ypm superfamily', 'Mitogen_Ypm_sf', 5, NULL),
(33804, NULL, 'IPR038905', NULL, 'Armadillo repeat-containing protein 2', 'ARMC2', 4, NULL),
(33805, NULL, 'IPR040069', NULL, 'Homeobox protein Rhox5', 'Rhox5', 4, NULL),
(33806, NULL, 'IPR036275', NULL, 'YdgH-like superfamily', 'YdgH-like_sf', 5, NULL),
(33807, NULL, 'IPR039796', NULL, 'MIP18 family', 'MIP18', 4, NULL),
(33808, NULL, 'IPR037643', NULL, 'HERV-H LTR-associating protein 1', 'HHLA1', 4, NULL),
(33809, NULL, 'IPR038085', NULL, 'RNase P subunit Pop5/Rpp14/Rnp2-like domain superfamily', 'Rnp2-like_sf', 5, NULL),
(33810, NULL, 'IPR038786', NULL, 'Mitogen-activated protein kinase 12', 'p38gamma', 4, NULL),
(33811, NULL, 'IPR034899', NULL, 'NADPH oxidase activator 1', 'NOXA1', 4, NULL),
(33812, NULL, 'IPR040009', NULL, 'Protein Mtf2/C5D6.12-like', 'Mtf2/C5D6.12-like', 4, NULL),
(33813, NULL, 'IPR036474', NULL, 'Transcription regulator MotA, C-terminal domain superfamily', 'MotA_Tscrpt_reg_C_sf', 5, NULL),
(33814, NULL, 'IPR040082', NULL, 'Gentamicin C-6'' methyltransferase (GenK-like)', 'GenK-like', 4, NULL),
(33815, NULL, 'IPR038628', NULL, 'XkdM-like superfamily', 'XkdM-like_sf', 5, NULL),
(33816, NULL, 'IPR036312', NULL, 'Bifunctional inhibitor/plant lipid transfer protein/seed storage helical domain superfamily', 'Bifun_inhib/LTP/seed_sf', 5, NULL),
(33817, NULL, 'IPR039723', NULL, 'Vps71/ZNHIT1', 'Vps71/ZNHIT1', 4, NULL),
(33818, NULL, 'IPR038710', NULL, 'Adenovirus Gp19K superfamily', 'Adenovirus_Gp19K_sf', 5, NULL),
(33819, NULL, 'IPR033790', NULL, 'Lectin Bc2l-C, N-terminal', 'Bc2l-C_N', 3, NULL),
(33820, NULL, 'IPR033921', NULL, 'DPS-like protein, ferritin-like diiron-binding domain', 'DPSL_diiron-bd_dom', 3, NULL),
(33821, NULL, 'IPR040018', NULL, 'Exportin-5', 'XPO5', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33822, NULL, 'IPR040424', NULL, 'SMN complex subunit Smn1', 'Smn1', 4, NULL),
(33823, NULL, 'IPR040070', NULL, 'Immunity-related GTPase family Q protein', 'IRGQ', 4, NULL),
(33824, NULL, 'IPR034871', NULL, 'Allene oxide cyclase superfamily', 'Allene_oxi_cyc_sf', 5, NULL),
(33825, NULL, 'IPR036464', NULL, 'Rubisco LSMT, substrate-binding domain superfamily', 'Rubisco_LSMT_subst-bd_sf', 5, NULL),
(33826, NULL, 'IPR037648', NULL, 'Protein PBMUCL2', 'PBMUCL2', 4, NULL),
(33827, NULL, 'IPR039457', NULL, 'Ly6/PLAUR domain-containing protein 6-like', 'LYPD6-like', 4, NULL),
(33828, NULL, 'IPR038414', NULL, 'Cbb3-type cytochrome c oxidase subunit CcoP, N-terminal domain superfamily', 'CcoP_N_sf', 5, NULL),
(33829, NULL, 'IPR040057', NULL, 'Spermatogenesis-defective protein 39', 'Spe-39', 4, NULL),
(33830, NULL, 'IPR036300', NULL, 'Mir domain superfamily', 'MIR_dom_sf', 5, NULL),
(33831, NULL, 'IPR035766', NULL, 'SPRY domain-containing protein 7', 'SPRYD7', 4, NULL),
(33832, NULL, 'IPR040220', NULL, 'Protein down-regulated in DIF1 11', 'DD11', 4, NULL),
(33833, NULL, 'IPR040314', NULL, 'Protein dopey', 'DOP1', 4, NULL),
(33834, NULL, 'IPR036123', NULL, 'Methane monooxygenase, gamma chain superfamily', 'Me_mOase_sf_g', 5, NULL),
(33835, NULL, 'IPR038304', NULL, 'YmgD domain superfamily', 'YmgD_sf', 5, NULL),
(33836, NULL, 'IPR040055', NULL, '28S ribosomal protein S10, mitochondrial', 'MRPS10', 4, NULL),
(33837, NULL, 'IPR033626', NULL, 'Class II PurE', 'PurE_classII', 3, NULL),
(33838, NULL, 'IPR040190', NULL, 'N-acetylmuramic acid 6-phosphate etherase/glucokinase regulatory protein', 'MURQ/GCKR', 4, NULL),
(33839, NULL, 'IPR040053', NULL, 'Josephin-1/2', 'JOSD1/2', 4, NULL),
(33840, NULL, 'IPR039857', NULL, 'Intraflagellar transport protein 122 homolog', 'Ift122', 4, NULL),
(33841, NULL, 'IPR039527', NULL, 'GPI ethanolamine phosphate transferase 2', 'PIGG/GPI7', 4, NULL),
(33842, NULL, 'IPR036462', NULL, 'Fumarylacetoacetase, N-terminal domain superfamily', 'Fumarylacetoacetase_N_sf', 5, NULL),
(33843, NULL, 'IPR039795', NULL, 'E3 ubiquitin-protein ligase listerin', 'LTN1/Rkr1', 4, NULL),
(33844, NULL, 'IPR036569', NULL, 'Sugar-phosphate isomerase, RpiB/LacA/LacB superfamily', 'RpiB_LacA_LacB_sf', 5, NULL),
(33845, NULL, 'IPR038453', NULL, 'DUF3220 superfamily', 'DUF3220_sf', 5, NULL),
(33846, NULL, 'IPR033719', NULL, 'N-acetylglutamate synthase, kinase-like domain', 'NAGS_kin', 3, NULL),
(33847, NULL, 'IPR036209', NULL, 'YwmB-like superfamily', 'YwmB-like_sf', 5, NULL),
(33848, NULL, 'IPR033435', NULL, 'Domain of unknown function DUF5129', 'DUF5129', 3, NULL),
(33849, NULL, 'IPR036573', NULL, 'Carbohydrate-binding module superfamily 5/12', 'CBM_sf_5/12', 5, NULL),
(33850, NULL, 'IPR039954', NULL, 'Protein of unknown function DUF5527', 'DUF5527', 4, NULL),
(33851, NULL, 'IPR038299', NULL, 'Alpha-glycerophosphate oxidase, C-terminal domain superfamily', 'DAO_C_sf', 5, NULL),
(33852, NULL, 'IPR038421', NULL, 'Sensor histidine kinase RisS, periplasmic domain superfamily', 'RisS_PPD_sf', 5, NULL),
(33853, NULL, 'IPR036207', NULL, 'B-form DNA mimic Ocr', 'B-form_Ocr', 5, NULL),
(33854, NULL, 'IPR035300', NULL, 'L1 transposable element, dsRBD-like domain', 'L1_dsRBD', 3, NULL),
(33855, NULL, 'IPR037654', NULL, 'Protein Big1', 'Big1', 4, NULL),
(33856, NULL, 'IPR037646', NULL, 'Proline and serine-rich protein 3', 'PROSER3', 4, NULL),
(33857, NULL, 'IPR035682', NULL, 'Phosphonate metabolism protein, MBL domain', 'PhnP_MBL', 3, NULL),
(33858, NULL, 'IPR037641', NULL, 'SPARC', 'SPARC', 4, NULL),
(33859, NULL, 'IPR033910', NULL, 'Glutamyl-tRNA synthetase', 'GluRS_core', 3, NULL),
(33860, NULL, 'IPR036502', NULL, 'Nickel-containing superoxide dismutase superfamily', 'NiSOD_sf', 5, NULL),
(33861, NULL, 'IPR038413', NULL, 'FTO, C-terminal domain superfamily', 'FTO_C_sf', 5, NULL),
(33862, NULL, 'IPR039746', NULL, 'FOG family', 'FOG', 4, NULL),
(33863, NULL, 'IPR038146', NULL, 'Bacteriophage 933W-like, putative excisionase superfamily', '933W_put_Xis_sf', 5, NULL),
(33864, NULL, 'IPR035153', NULL, 'Protein of unknown function DUF5473', 'DUF5473', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33865, NULL, 'IPR038908', NULL, 'Ret finger protein-like', 'RFPL', 4, NULL),
(33866, NULL, 'IPR033424', NULL, 'Membrane-associated sensor domain', 'MASE4', 3, NULL),
(33867, NULL, 'IPR033524', NULL, 'Leu/Phe/Val dehydrogenases active site', 'Glu/Leu/Phe/Val_DH_AS', 0, NULL),
(33868, NULL, 'IPR038287', NULL, 'Cse2 superfamily', 'Cse2_sf', 5, NULL),
(33869, NULL, 'IPR040203', NULL, 'DNA replication regulator Sld2', 'Sld2', 4, NULL),
(33870, NULL, 'IPR033791', NULL, 'Pesticin,  translocation and receptor binding domain', 'Pesticin_N_RB', 3, NULL),
(33871, NULL, 'IPR038282', NULL, 'Uncharacterized conserved protein DUF2267 superfamily', 'DUF2267_sf', 5, NULL),
(33872, NULL, 'IPR033663', NULL, 'Tripartite terminase subunit 3', 'HSV_TRM3', 4, NULL),
(33873, NULL, 'IPR038148', NULL, 'Transposon Tn1545/Tn916, excisionase', 'Tn1545/Tn916_Xis', 5, NULL),
(33874, NULL, 'IPR037965', NULL, 'Methyl-CpG-binding domain protein 3', 'MBD3', 4, NULL),
(33875, NULL, 'IPR038440', NULL, 'FimV, C-terminal domain superfamily', 'FimV_C_sf', 5, NULL),
(33876, NULL, 'IPR039739', NULL, 'RING-finger protein Mag2/Rnf10', 'Mag2/Rnf10', 4, NULL),
(33877, NULL, 'IPR039505', NULL, 'Dynein regulatory complex protein 1/2, N-terminal', 'DRC1/2_N', 3, NULL),
(33878, NULL, 'IPR033606', NULL, 'Hemojuvelin', 'Hemojuvelin', 4, NULL),
(33879, NULL, 'IPR037647', NULL, 'HIRA-interacting protein 3', 'HIRIP3', 4, NULL),
(33880, NULL, 'IPR038711', NULL, 'Leucine Rich repeat protein, N-terminal domain superfamily', 'LRR_N_sf', 5, NULL),
(33881, NULL, 'IPR033907', NULL, 'Endolysin/autolysin', 'Endolysin_autolysin', 3, NULL),
(33882, NULL, 'IPR036318', NULL, 'FAD-binding, type PCMH-like superfamily', 'FAD-bd_PCMH-like_sf', 5, NULL),
(33883, NULL, 'IPR038625', NULL, 'Rhodococcus equi virulence-associated superfamily', 'R_equi_Vir_sf', 5, NULL),
(33884, NULL, 'IPR035694', NULL, 'Coagulation factor IX', 'Coagulation_factor_IX', 4, NULL),
(33885, NULL, 'IPR039476', NULL, 'Pyridinium-3,5-biscarboxylic acid mononucleotide synthase', 'P2CMN_synthase_LarB', 4, NULL),
(33886, NULL, 'IPR040030', NULL, '54S ribosomal protein L15, mitochondrial', 'MRPL15', 4, NULL),
(33887, NULL, 'IPR037911', NULL, 'SNX16, PX domain', 'SNX16_PX', 3, NULL),
(33888, NULL, 'IPR036504', NULL, 'CGI121/TPRKB superfamily', 'CGI121/TPRKB_sf', 5, NULL),
(33889, NULL, 'IPR033043', NULL, 'FAS-associated factor 1-like, UBX domain', 'FAF1-like_UBX', 3, NULL),
(33890, NULL, 'IPR038429', NULL, 'PhoQ Sensor superfamily', 'PhoQ_Sensor_sf', 5, NULL),
(33891, NULL, 'IPR034386', NULL, '2-Deoxy-scyllo-inosamine dehydrogenase (BtrN-like)', 'BtrN-like', 4, NULL),
(33892, NULL, 'IPR038698', NULL, 'Tp47, domain C superfamily', 'PBP_Tp47_domC_sf', 5, NULL),
(33893, NULL, 'IPR040119', NULL, 'Uncharacterized protein C10orf67-like', 'C10orf67-like', 4, NULL),
(33894, NULL, 'IPR039464', NULL, 'Gag-Pol polyprotein, Zinc-finger like domain', 'Gag-pol_Znf-H3C2', 3, NULL),
(33895, NULL, 'IPR040235', NULL, 'Nicolin-1', 'Nicolin-1', 4, NULL),
(33896, NULL, 'IPR039791', NULL, 'Chorion-specific transcription factor GCM', 'GCM', 4, NULL),
(33897, NULL, 'IPR040118', NULL, 'Coiled-coil domain-containing protein 144A/B/C', 'C144A/B/C', 4, NULL),
(33898, NULL, 'IPR038674', NULL, 'CzcE superfamily', 'CzcE_sf', 5, NULL),
(33899, NULL, 'IPR038904', NULL, 'BRCA1-associated ATM activator 1', 'BRAT1', 4, NULL),
(33900, NULL, 'IPR038446', NULL, 'CEBP, ZZ domain superfamily', 'CEBP_ZZ_sf', 5, NULL),
(33901, NULL, 'IPR040423', NULL, 'Phosphoethanolamine transferase', 'PEA_transferase', 4, NULL),
(33902, NULL, 'IPR038548', NULL, 'Stage V sporulation protein AA, N-terminal domain superfamily', 'SporV_AA_N_sf', 5, NULL),
(33903, NULL, 'IPR039955', NULL, 'Signal peptidase complex-like protein DTM1', 'DTM1', 4, NULL),
(33904, NULL, 'IPR033437', NULL, 'Protein of unknown function DUF5130', 'DUF5130', 4, NULL),
(33905, NULL, 'IPR040109', NULL, 'Nocturnin', 'Nocturnin', 4, NULL),
(33906, NULL, 'IPR033465', NULL, 'SENP5 peptidase', 'SENP5', 4, NULL),
(33907, NULL, 'IPR040315', NULL, 'WD repeat-containing protein WDR46/Utp7', 'WDR46/Utp7', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33908, NULL, 'IPR033154', NULL, 'Plant signal peptide peptidase', 'AtSSP', 4, NULL),
(33909, NULL, 'IPR033605', NULL, 'ADAM15 peptidase', 'ADAM15', 4, NULL),
(33910, NULL, 'IPR036469', NULL, 'Gametocyte protein Pfg27 superfamily', 'Pfg27_sf', 5, NULL),
(33911, NULL, 'IPR038486', NULL, 'Fiber protein, C-terminal domain superfamily', 'Fiber_prot_C_sf', 5, NULL),
(33912, NULL, 'IPR037794', NULL, 'Transcription initiation factor TFIID subunit 12', 'TAF12', 4, NULL),
(33913, NULL, 'IPR040224', NULL, 'RAD52 motif-containing protein 1', 'RDM1', 4, NULL),
(33914, NULL, 'IPR038303', NULL, 'HNS-dependent expression A/B superfamily', 'HdeA/HdeB_sf', 5, NULL),
(33915, NULL, 'IPR036501', NULL, 'Inhibitor of vertebrate lysozyme superfamily', 'Inhibitor_vert_lysozyme_sf', 5, NULL),
(33916, NULL, 'IPR040221', NULL, 'CDCA7/CDA7L', 'CDCA7/CDA7L', 4, NULL),
(33917, NULL, 'IPR040054', NULL, '28S ribosomal protein S18b, mitochondrial', 'MRPS18B', 4, NULL),
(33918, NULL, 'IPR040194', NULL, 'Cwf19-like protein', 'Cwf19-like', 4, NULL),
(33919, NULL, 'IPR040250', NULL, 'Nucleobindin', 'Nucleobindin', 4, NULL),
(33920, NULL, 'IPR034384', NULL, 'Proteasome subunit beta type 2/10', 'Proteasome_beta2/10', 4, NULL),
(33921, NULL, 'IPR038428', NULL, 'Two-component histidine kinase, sensor domain superfamily', 'HK_sensor_dom_sf', 5, NULL),
(33922, NULL, 'IPR036574', NULL, 'Knottin, scorpion toxin-like superfamily', 'Scorpion_toxin-like_sf', 5, NULL),
(33923, NULL, 'IPR040005', NULL, 'Uncharacterized protein ZNRD1-AS1', 'ZNRD1-AS1', 4, NULL),
(33924, NULL, 'IPR040311', NULL, 'Coiled-coil domain-containing protein 3', 'CCDC3', 4, NULL),
(33925, NULL, 'IPR040034', NULL, 'Centromere protein H', 'CENP-H', 4, NULL),
(33926, NULL, 'IPR038636', NULL, 'Capsule assembly protein Wzi superfamily', 'Wzi_sf', 5, NULL),
(33927, NULL, 'IPR039853', NULL, 'Pinin', 'Pinin', 4, NULL),
(33928, NULL, 'IPR039458', NULL, 'FimA-like', 'FimA-like', 4, NULL),
(33929, NULL, 'IPR035827', NULL, 'TRIM22, PRY/SPRY domain', 'PRY/SPRY_TRIM22', 3, NULL),
(33930, NULL, 'IPR036567', NULL, 'Ribosome hibernation promotion factor-like', 'RHF-like', 5, NULL),
(33931, NULL, 'IPR038208', NULL, 'Sigma factor-binding protein Crl superfamily', 'Tscrpt_reg_Crl_sf', 5, NULL),
(33932, NULL, 'IPR040310', NULL, 'Uncharacterized protein DDB_G0292248-like', 'DDB_G0292248-like', 4, NULL),
(33933, NULL, 'IPR038705', NULL, 'YabP superfamily', 'YabP_sf', 5, NULL),
(33934, NULL, 'IPR039718', NULL, 'Ribonucleoside-diphosphate reductase large subunit', 'Rrm1', 4, NULL),
(33935, NULL, 'IPR035718', NULL, 'Fungal actin-binding protein 1, second SH3 domain', 'Abp1_fungi_SH3_C2', 3, NULL),
(33936, NULL, 'IPR036288', NULL, 'Aconitase B, HEAT-like domain superfamily', 'Aconitase_B_HEAT-like_dom_sf', 5, NULL),
(33937, NULL, 'IPR039793', NULL, 'Uroporphyrinogen-III synthase', 'UROS/Hem4', 4, NULL),
(33938, NULL, 'IPR033645', NULL, 'VirB9/CagX/TrbG, C-terminal', 'VirB9/CagX/TrbG_C', 3, NULL),
(33939, NULL, 'IPR036481', NULL, 'Bcr-Abl oncoprotein oligomerisation domain superfamily', 'Bcr-Abl_oncoprot_oligo_sf', 5, NULL),
(33940, NULL, 'IPR033428', NULL, 'Domain of unknown function DUF5118', 'DUF5118', 3, NULL),
(33941, NULL, 'IPR035828', NULL, 'TRIM6, PRY/SPRY domain', 'PRY/SPRY_TRIM6', 3, NULL),
(33942, NULL, 'IPR034978', NULL, 'Regulator of nonsense transcripts 3A', 'UPF3A', 4, NULL),
(33943, NULL, 'IPR035874', NULL, 'Iduronate-2-sulfatase', 'IDS', 4, NULL),
(33944, NULL, 'IPR037710', NULL, 'Signal peptidase complex catalytic subunit SEC11C', 'SEC11C', 4, NULL),
(33945, NULL, 'IPR037545', NULL, 'Tripartite DENN domain, FNIP1/2-type', 'DENN_FNIP1/2', 3, NULL),
(33946, NULL, 'IPR038432', NULL, 'PulS/OutS-like superfamily', 'PulS/OutS-like_sf', 5, NULL),
(33947, NULL, 'IPR040202', NULL, 'Nucleus export protein  Brl1/Brr6', 'Brl1/Brr6', 4, NULL),
(33948, NULL, 'IPR039190', NULL, 'Tetratricopeptide repeat protein 14', 'TTC14', 4, NULL),
(33949, NULL, 'IPR036577', NULL, 'Photosystem I PsaF, reaction centre subunit III superfamily', 'PSI_PsaF_sf', 5, NULL),
(33950, NULL, 'IPR038298', NULL, 'Daxx, N-terminal domain superfamily', 'Daxx_N_sf', 5, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33951, NULL, 'IPR038544', NULL, 'ACP, N-terminal domain superfamily', 'ACP_N_sf', 5, NULL),
(33952, NULL, 'IPR033753', NULL, 'Glycine cleavage system H-protein/Simiate', 'GCV_H/Fam206', 4, NULL),
(33953, NULL, 'IPR038700', NULL, 'Thiol-activated cytolysin, C-terminal domain superfamily', 'Thiol_cytolys_C_sf', 5, NULL),
(33954, NULL, 'IPR036507', NULL, 'Telomere repeat-binding factor, dimerisation domain superfamily', 'Telomere_rpt-bd_fac_dimer_sf', 5, NULL),
(33955, NULL, 'IPR036479', NULL, 'Heat-stable enterotoxin B superfamily', 'STb_sf', 5, NULL),
(33956, NULL, 'IPR038276', NULL, 'Floricaula/leafy, C-terminal domain superfamily', 'Floricaula/leafy_C_sf', 5, NULL),
(33957, NULL, 'IPR038450', NULL, 'Photosystem II Pbs27 superfamily', 'PSII_Pbs27_sf', 5, NULL),
(33958, NULL, 'IPR038714', NULL, 'YfeY-like superfamily', 'YfeY-like_sf', 5, NULL),
(33959, NULL, 'IPR039506', NULL, 'SpoOB, alpha-helical domain', 'SPOB_a', 3, NULL),
(33960, NULL, 'IPR039701', NULL, 'HCLS1-binding protein 3', 'HS1BP3', 4, NULL),
(33961, NULL, 'IPR040316', NULL, 'Integrator complex subunit 5', 'INTS5', 4, NULL),
(33962, NULL, 'IPR036579', NULL, 'Photosystem I, reaction centre subunit PsaD superfamily', 'PsaD_sf', 5, NULL),
(33963, NULL, 'IPR033153', NULL, 'SPE-4 peptidase', 'SPE-4', 4, NULL),
(33964, NULL, 'IPR033427', NULL, 'Domain of unknown function DUF5123', 'DUF5123', 3, NULL),
(33965, NULL, 'IPR033422', NULL, 'Gammaproteobacterial periplasmic sensor domain GAPES2', 'GAPES2', 3, NULL),
(33966, NULL, 'IPR038434', NULL, 'YARHG domain superfamily', 'YARHG_sf', 5, NULL),
(33967, NULL, 'IPR035724', NULL, '1-phosphatidylinositol 4,5-bisphosphate phosphodiesterase gamma-1, SH3 domain', 'PLCgamma1_SH3', 3, NULL),
(33968, NULL, 'IPR036122', NULL, 'SK, calmodulin-binding domain superfamily', 'CaM-bd_dom_sf', 5, NULL),
(33969, NULL, 'IPR035416', NULL, 'Protein of unknown function DUF5376', 'DUF5376', 4, NULL),
(33970, NULL, 'IPR038928', NULL, 'Protein LAZY1', 'LAZY1', 4, NULL),
(33971, NULL, 'IPR038650', NULL, 'PADR1 domain superfamily', 'PADR1_dom_sf', 5, NULL),
(33972, NULL, 'IPR040193', NULL, 'EF-hand domain-containing protein EFHC1/EFHC2/EFHB', 'EFHC1/EFHC2/EFHB', 4, NULL),
(33973, NULL, 'IPR040219', NULL, 'Uncharacterized protein KIAA1143-like', 'KIAA1143-like', 4, NULL),
(33974, NULL, 'IPR033438', NULL, 'Modulator of levamisole receptor-1', 'MOLO1', 4, NULL),
(33975, NULL, 'IPR033906', NULL, 'Lipase, N-terminal', 'Lipase_N', 3, NULL),
(33976, NULL, 'IPR038927', NULL, 'Uncharacterized protein C6orf163', 'C6orf163', 4, NULL),
(33977, NULL, 'IPR038827', NULL, 'Coiled-coil domain-containing protein 152', 'CCDC152', 4, NULL),
(33978, NULL, 'IPR036281', NULL, 'SinR repressor/SinI anti-repressor, dimerisation domain superfamily', 'SinR/SinI_dimer_dom_sf', 5, NULL),
(33979, NULL, 'IPR033211', NULL, 'Homeobox protein aristaless-like 3', 'ALX3', 4, NULL),
(33980, NULL, 'IPR036305', NULL, 'RGS domain superfamily', 'RGS_sf', 5, NULL),
(33981, NULL, 'IPR034383', NULL, 'Proteasome subunit beta type 9', 'Proteasome_beta9', 4, NULL),
(33982, NULL, 'IPR036492', NULL, 'Hypothetical protein YojF superfamily', 'YojF_sf', 5, NULL),
(33983, NULL, 'IPR035425', NULL, 'CENP-T/Histone H4, histone fold', 'CENP-T/H4_C', 3, NULL),
(33984, NULL, 'IPR036493', NULL, 'Hypothetical protein YunC superfamily', 'YunC_sf', 5, NULL),
(33985, NULL, 'IPR038902', NULL, 'Integrator complex subunit 1', 'INTS1', 4, NULL),
(33986, NULL, 'IPR037702', NULL, 'PI3Kbeta, catalytic domain', 'PI3Kbeta_dom', 3, NULL),
(33987, NULL, 'IPR035872', NULL, '2-epi-5-epi-valiolone synthase-like', 'EEVS-like', 4, NULL),
(33988, NULL, 'IPR038275', NULL, 'Nuf2, N-terminal domain superfamily', 'Nuf2_N_sf', 5, NULL),
(33989, NULL, 'IPR039705', NULL, 'Replication initiator 1', 'REPIN1', 4, NULL),
(33990, NULL, 'IPR036503', NULL, 'Aldehyde ferredoxin oxidoreductase, N-terminal domain superfamily', 'Ald_Fedxn_OxRdtase_N_sf', 5, NULL),
(33991, NULL, 'IPR037968', NULL, 'Protein polybromo-1, Bromodomain 5', 'PBRM1_BD5', 3, NULL),
(33992, NULL, 'IPR036576', NULL, 'WRKY domain superfamily', 'WRKY_dom_sf', 5, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(33993, NULL, 'IPR038145', NULL, 'EAGR domain superfamily', 'EAGR_sf', 5, NULL),
(33994, NULL, 'IPR036494', NULL, 'Ku, C-terminal domain superfamily', 'Ku_C_sf', 5, NULL),
(33995, NULL, 'IPR036083', NULL, 'Class III myosin, motor domain', 'MYSc_Myo3', 3, NULL),
(33996, NULL, 'IPR035723', NULL, '1-phosphatidylinositol 4,5-bisphosphate phosphodiesterase gamma-2, SH3 domain', 'PLCgamma2_SH3', 3, NULL),
(33997, NULL, 'IPR038671', NULL, 'Human cytomegalovirus, UL16 ectodomain', 'HCMV_UL16_sf', 5, NULL),
(33998, NULL, 'IPR038418', NULL, '6-pyruvoyl tetrahydropterin synthase/QueD superfamily', '6-PTP_synth/QueD_sf', 5, NULL),
(33999, NULL, 'IPR040120', NULL, 'Uncharacterized protein C19orf44-like', 'C19orf44-like', 4, NULL),
(34000, NULL, 'IPR039865', NULL, 'Serine/threonine-protein phosphatase 2A regulatory subunit B'''' subunit gamma', 'PPP2R3C', 4, NULL),
(34001, NULL, 'IPR041851', NULL, 'RecBCD enzyme subunit RecD, N-terminal domain', 'RecD_N', 5, NULL),
(34002, NULL, 'IPR033346', NULL, 'Peroxisomal fatty acid beta-oxidation multifunctional protein AIM1-like', 'AIM1-like', 4, NULL),
(34003, NULL, 'IPR036670', NULL, 'SecA, preprotein cross-linking domain superfamily', 'SecA_X-link_sf', 5, NULL),
(34004, NULL, 'IPR040489', NULL, 'Flax-rust effector AvrM-A', 'AvrM-A', 3, NULL),
(34005, NULL, 'IPR042073', NULL, 'TraM, DNA-binding domain', 'TraM_DNA-bd', 5, NULL),
(34006, NULL, 'IPR033256', NULL, 'EP300-interacting inhibitor of differentiation 2', 'EID-2', 4, NULL),
(34007, NULL, 'IPR037915', NULL, 'PHD finger protein 20', 'PHF20', 4, NULL),
(34008, NULL, 'IPR033315', NULL, 'Fanconi-associated nuclease 1-like', 'Fan1-like', 4, NULL),
(34009, NULL, 'IPR035280', NULL, 'Bacteriocin helveticin-J', 'Helveticin_J', 4, NULL),
(34010, NULL, 'IPR036454', NULL, 'Amyloidogenic glycoprotein, heparin-binding domain superfamily', 'Amyloid_glyco_heparin-bd_sf', 5, NULL),
(34011, NULL, 'IPR033556', NULL, 'Phospholipase A1-II', 'PLA', 4, NULL),
(34012, NULL, 'IPR035838', NULL, 'SYK/ZAP-70, N-terminal SH2 domain', 'SYK/ZAP-70_N_SH2', 3, NULL),
(34013, NULL, 'IPR037214', NULL, 'TROVE domain superfamily', 'TROVE_dom_sf', 5, NULL),
(34014, NULL, 'IPR039023', NULL, 'Succinate dehydrogenase membrane subunit SdhC, prokaryotes', 'SdhC_prok', 4, NULL),
(34015, NULL, 'IPR033836', NULL, 'Maspin, serpin domain', 'SERPINB5_serpin_dom', 3, NULL),
(34016, NULL, 'IPR035777', NULL, 'CD2-associated protein, third SH3 domain', 'CD2AP_SH3_3', 3, NULL),
(34017, NULL, 'IPR040101', NULL, 'RING finger protein 208', 'RNF208', 4, NULL),
(34018, NULL, 'IPR035867', NULL, 'Ras and Rab interactor 1, SH2 domain', 'RIN1_SH2', 3, NULL),
(34019, NULL, 'IPR035649', NULL, 'EFG, domain V', 'EFG_V', 3, NULL),
(34020, NULL, 'IPR042072', NULL, 'DsrC-like protein, C-terminal domain', 'DsrC-like_C', 5, NULL),
(34021, NULL, 'IPR033023', NULL, 'Glutaredoxin domain-containing cysteine-rich protein 2', 'GRXCR2', 4, NULL),
(34022, NULL, 'IPR035776', NULL, 'CD2-associated protein, second SH3 domain', 'CD2AP_SH_2', 3, NULL),
(34023, NULL, 'IPR038867', NULL, 'WW domain-containing adapter protein with coiled-coil', 'WAC', 4, NULL),
(34024, NULL, 'IPR033783', NULL, 'Tse2 immunity protein Tsi2', 'Tsi2', 4, NULL),
(34025, NULL, 'IPR035278', NULL, 'Protein of unknown function DUF5355', 'DUF5355', 4, NULL),
(34026, NULL, 'IPR033441', NULL, 'Chromosome partition protein MukF, C-terminal domain', 'MukF_C', 3, NULL),
(34027, NULL, 'IPR036306', NULL, 'ISWI, HAND domain superfamily', 'ISWI_HAND-dom_sf', 5, NULL),
(34028, NULL, 'IPR040247', NULL, 'Protein of unknown function DUF5524', 'DUF5524', 4, NULL),
(34029, NULL, 'IPR033259', NULL, 'EP300-interacting inhibitor of differentiation 2B', 'EID-3', 4, NULL),
(34030, NULL, 'IPR039975', NULL, 'Intraflagellar transport protein 52 homolog', 'IFT52', 4, NULL),
(34031, NULL, 'IPR040214', NULL, 'Uncharacterized protein KIAA2026', 'KIAA2026', 4, NULL),
(34032, NULL, 'IPR033835', NULL, 'Protein Z-dependent peptidase inhibitor, serpin domain', 'PZI_serpin_dom', 3, NULL),
(34033, NULL, 'IPR036453', NULL, 'Glutamyl tRNA-reductase dimerization domain superfamily', 'GluRdtase_dimer_dom_sf', 5, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34034, NULL, 'IPR035437', NULL, 'SNase-like, OB-fold superfamily', 'SNase_OB-fold_sf', 5, NULL),
(34035, NULL, 'IPR037862', NULL, 'PLC-beta, PH domain', 'PLC-beta_PH', 3, NULL),
(34036, NULL, 'IPR036399', NULL, 'Pesticidal crystal protein, central domain superfamily', 'Pest_cryst_cen_dom_sf', 5, NULL),
(34037, NULL, 'IPR036707', NULL, 'Cell division topological specificity factor MinE superfamily', 'MinE_sf', 5, NULL),
(34038, NULL, 'IPR040304', NULL, 'ATG8-interacting protein 1/2', 'ATG8-IP-1/2', 4, NULL),
(34039, NULL, 'IPR037192', NULL, 'ERO1-like superfamily', 'ERO1-like_sf', 5, NULL),
(34040, NULL, 'IPR033514', NULL, 'Yin7 peptidase', 'Yin7', 4, NULL),
(34041, NULL, 'IPR041999', NULL, 'Sortase D, type 1', 'Sortase_D_1', 4, NULL),
(34042, NULL, 'IPR036287', NULL, 'Rv1873-like superfamily', 'Rv1873-like_sf', 5, NULL),
(34043, NULL, 'IPR033343', NULL, 'PLASTID MOVEMENT IMPAIRED1', 'PMI1', 4, NULL),
(34044, NULL, 'IPR039959', NULL, 'Fimbrin/Plastin', 'Fimbrin/Plastin', 4, NULL),
(34045, NULL, 'IPR033575', NULL, 'DET1- and DDB1-associated protein 1', 'DDA1', 4, NULL),
(34046, NULL, 'IPR036852', NULL, 'Peptidase S8/S53 domain superfamily', 'Peptidase_S8/S53_dom_sf', 5, NULL),
(34047, NULL, 'IPR038870', NULL, 'Ubiquitin-associated protein 1', 'UBAP1', 4, NULL),
(34048, NULL, 'IPR040299', NULL, 'Protein FERTILITY RESTORER RF2-like', 'RF2K-like', 4, NULL),
(34049, NULL, 'IPR036309', NULL, 'T4 recombination endonuclease VII, dimerisation domain superfamily', 'T4_recomb_endonuclease_dim_sf', 5, NULL),
(34050, NULL, 'IPR033579', NULL, 'Transmembrane protein 128', 'TMEM128', 4, NULL),
(34051, NULL, 'IPR040611', NULL, 'Tetracyclin repressor C-terminal, Actinobacteria', 'TetR_C_35', 3, NULL),
(34052, NULL, 'IPR035443', NULL, 'Herpesvirus protease superfamily', 'Herpes_virus_sf', 5, NULL),
(34053, NULL, 'IPR033231', NULL, 'Secreted and transmembrane protein 1', 'SECTM1', 4, NULL),
(34054, NULL, 'IPR033705', NULL, 'Valyl tRNA synthetase, anticodon-binding domain', 'Anticodon_Ia_Val', 3, NULL),
(34055, NULL, 'IPR033288', NULL, 'Golgin subfamily A member 3', 'Golga3', 4, NULL),
(34056, NULL, 'IPR036283', NULL, 'NOB1 zinc finger-like superfamily', 'NOB1_Zf-like_sf', 5, NULL),
(34057, NULL, 'IPR037302', NULL, 'Protein Unc-13, C2B domain', 'Unc-13_C2B', 3, NULL),
(34058, NULL, 'IPR036847', NULL, 'Ribosome maturation factor RimP, C-terminal domain superfamily', 'RimP_C_sf', 5, NULL),
(34059, NULL, 'IPR036406', NULL, 'Oxygen-dependent coproporphyrinogen III oxidase superfamily', 'Coprogen_oxidase_aer_sf', 5, NULL),
(34060, NULL, 'IPR037476', NULL, 'PCH1', 'PCH1', 4, NULL),
(34061, NULL, 'IPR036451', NULL, 'Cobalamin adenosyltransferase-like superfamily', 'CblAdoTrfase-like_sf', 5, NULL),
(34062, NULL, 'IPR035283', NULL, 'Protein Fmp23', 'Fmp23', 4, NULL),
(34063, NULL, 'IPR039974', NULL, 'Pre-mRNA-splicing factor SLU7', 'Splicing_factor_SLU7', 4, NULL),
(34064, NULL, 'IPR038722', NULL, 'Ner, winged helix-turn-helix DNA-binding domain', 'Ner_HTH_dom', 3, NULL),
(34065, NULL, 'IPR040286', NULL, 'CRM domain-containing protein At3g25440-like', 'At3g25440-like', 4, NULL),
(34066, NULL, 'IPR040105', NULL, 'Pleckstrin homology domain-containing family H member 1', 'PKHH1', 4, NULL),
(34067, NULL, 'IPR040278', NULL, 'UPF0426 protein', 'UPF0426', 4, NULL),
(34068, NULL, 'IPR036273', NULL, 'CRAL/TRIO, N-terminal domain superfamily', 'CRAL/TRIO_N_dom_sf', 5, NULL),
(34069, NULL, 'IPR037906', NULL, 'Histone acetyltransferase KAT8', 'KAT8', 4, NULL),
(34070, NULL, 'IPR033246', NULL, 'DNA-binding protein BIN4', 'BIN4', 4, NULL),
(34071, NULL, 'IPR033788', NULL, 'Antitoxin VbhA-like', 'VbhA-like', 3, NULL),
(34072, NULL, 'IPR036564', NULL, 'AF0941-like superfamily', 'AF0941-like_sf', 5, NULL),
(34073, NULL, 'IPR040531', NULL, 'Domain of unknown function DUF5623', 'DUF5623', 3, NULL),
(34074, NULL, 'IPR036566', NULL, 'Pyrimidine nucleoside phosphorylase-like, C-terminal domain superfamily', 'PYNP-like_C_sf', 5, NULL),
(34075, NULL, 'IPR036408', NULL, 'Photosystem I PsaA/PsaB superfamily', 'PSI_PsaA/B_sf', 5, NULL),
(34076, NULL, 'IPR036310', NULL, 'Smp-1-like superfamily', 'Smp-1-like_sf', 5, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34077, NULL, 'IPR036991', NULL, 'Iron hydrogenase, small subunit superfamily', 'Fe_hydrogenase_ssu_sf', 5, NULL),
(34078, NULL, 'IPR036849', NULL, 'Enolase-like, C-terminal domain superfamily', 'Enolase-like_C_sf', 5, NULL),
(34079, NULL, 'IPR033891', NULL, 'Tetratricopeptide repeat protein 38', 'TTC38', 4, NULL),
(34080, NULL, 'IPR038702', NULL, 'Sodium/potassium-transporting ATPase subunit beta superfamily', 'Na/K_ATPase_sub_beta_sf', 5, NULL),
(34081, NULL, 'IPR036169', NULL, 'DXP reductoisomerase, C-terminal domain superfamily', 'DXPR_C_sf', 5, NULL),
(34082, NULL, 'IPR033474', NULL, 'Autophagin-2', 'ATG4A', 4, NULL),
(34083, NULL, 'IPR040088', NULL, 'Protein MJ0103-like', 'MJ0103-like', 4, NULL),
(34084, NULL, 'IPR040532', NULL, 'MapZ, extracellular C-terminal domain 2', 'MapZ_C2', 3, NULL),
(34085, NULL, 'IPR040104', NULL, 'Armadillo repeat-containing protein 6', 'ARMC6', 4, NULL),
(34086, NULL, 'IPR038947', NULL, 'At3g27210-like', 'At3g27210-like', 4, NULL),
(34087, NULL, 'IPR036304', NULL, 'Hypothetical protein MTH1184', 'MTH1184', 5, NULL),
(34088, NULL, 'IPR037475', NULL, 'Kinetochore protein Sos7', 'Sos7', 4, NULL),
(34089, NULL, 'IPR040528', NULL, 'Lectin-like domain', 'Lectin-like', 3, NULL),
(34090, NULL, 'IPR035536', NULL, 'Interleukin-1 receptor-associated kinase 1', 'IRAK1', 4, NULL),
(34091, NULL, 'IPR033245', NULL, 'Triphosphate tunnel metalloenzyme 3', 'TTM3', 4, NULL),
(34092, NULL, 'IPR033771', NULL, 'Rrp44-like cold shock domain', 'Rrp44_CSD1', 3, NULL),
(34093, NULL, 'IPR042074', NULL, 'Mycoplasma arthritidis-derived mitogen, C-terminal', 'M_arthritidis-der_mitogen_C', 5, NULL),
(34094, NULL, 'IPR036440', NULL, 'Peptidase C15, pyroglutamyl peptidase I-like superfamily', 'Peptidase_C15-like_sf', 5, NULL),
(34095, NULL, 'IPR040091', NULL, 'Leucine-rich repeat-containing protein 56', 'LRRC56', 4, NULL),
(34096, NULL, 'IPR041019', NULL, 'Plexin, TIG domain 1', 'TIG1_plexin', 3, NULL),
(34097, NULL, 'IPR033434', NULL, 'MucB/RseB, N-terminal', 'MucB/RseB_N', 3, NULL),
(34098, NULL, 'IPR036702', NULL, 'ComB-like superfamily', 'ComB-like_sf', 5, NULL),
(34099, NULL, 'IPR037189', NULL, 'HBS1-like protein, N-terminal domain superfamily', 'HBS1-like_N_sf', 5, NULL),
(34100, NULL, 'IPR038729', NULL, 'Rad50/SbcC-type AAA domain', 'Rad50/SbcC_AAA', 3, NULL),
(34101, NULL, 'IPR039260', NULL, 'Chondroitin proteoglycan 3', 'Cpg-3', 4, NULL),
(34102, NULL, 'IPR040242', NULL, 'Tumor protein p63-regulated gene 1-like', 'TPRG1-like', 4, NULL),
(34103, NULL, 'IPR035771', NULL, 'SH3 domain-containing kinase-binding protein 1, second SH3 domain', 'CIN85_SH3_2', 3, NULL),
(34104, NULL, 'IPR036404', NULL, 'Jacalin-like lectin domain superfamily', 'Jacalin-like_lectin_dom_sf', 5, NULL),
(34105, NULL, 'IPR037819', NULL, 'ARHGEF28, PH domain', 'ARHGEF28_PH', 3, NULL),
(34106, NULL, 'IPR040610', NULL, 'SNRNP25, ubiquitin-like domain', 'SNRNP25_ubiquitin', 3, NULL),
(34107, NULL, 'IPR037196', NULL, 'HSP90, C-terminal domain', 'HSP90_C', 5, NULL),
(34108, NULL, 'IPR040592', NULL, 'TbRIF5 SNase domain 2', 'RIF5_SNase_2', 3, NULL),
(34109, NULL, 'IPR039206', NULL, 'MORF/ORRM1/DAG-like', 'MORF/ORRM1/DAG-like', 4, NULL),
(34110, NULL, 'IPR036905', NULL, 'Olfactory receptor 1094', 'OR_1094', 4, NULL),
(34111, NULL, 'IPR035763', NULL, 'Disks Large homologue 3, SH3 domain', 'DLG3_SH3', 3, NULL),
(34112, NULL, 'IPR040249', NULL, 'Ricin B-like lectin EULS3-like', 'Ricin_B-like_lectin_EULS3-like', 4, NULL),
(34113, NULL, 'IPR037261', NULL, 'YonK superfamily', 'YonK_sf', 5, NULL),
(34114, NULL, 'IPR040604', NULL, 'Domain of unknown function DUF5632', 'DUF5632', 3, NULL),
(34115, NULL, 'IPR040204', NULL, 'E3 ubiquitin-protein ligase UBR7', 'UBR7', 4, NULL),
(34116, NULL, 'IPR033509', NULL, 'E3 ubiquitin-protein ligase RNF146', 'RNF146', 4, NULL),
(34117, NULL, 'IPR036663', NULL, 'Fumarylacetoacetase-like, C-terminal domain superfamily', 'Fumarylacetoacetase_C_sf', 5, NULL),
(34118, NULL, 'IPR040090', NULL, 'Thioredoxin domain-containing protein 16', 'TXNDC16', 4, NULL),
(34119, NULL, 'IPR037303', NULL, 'Synaptotagmin-like protein 4/5, C2A domain', 'SLP-4/5_C2A', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34120, NULL, 'IPR036311', NULL, 'Hypothetical protein Ta0289, C-terminal', 'Ta0289_C', 5, NULL),
(34121, NULL, 'IPR034009', NULL, 'Oligopeptidase F type 4', 'M3B_PepF_4', 4, NULL),
(34122, NULL, 'IPR035695', NULL, 'Endophilin-B1, BAR domain', 'SH3GLB1_BAR', 3, NULL),
(34123, NULL, 'IPR033022', NULL, 'Guanylyl cyclase-activating protein 1', 'GUCA1A', 4, NULL),
(34124, NULL, 'IPR035272', NULL, 'Protein of unknown function DUF5351', 'DUF5351', 4, NULL),
(34125, NULL, 'IPR033327', NULL, 'Scavenger receptor class F member 2', 'Scarf2', 4, NULL),
(34126, NULL, 'IPR036295', NULL, 'GlgS superfamily', 'GlgS_sf', 5, NULL),
(34127, NULL, 'IPR039902', NULL, 'Coiled-coil domain-containing protein CCDC148/CCDC112', 'CCDC148/CCDC112', 4, NULL),
(34128, NULL, 'IPR035440', NULL, 'Methyl-accepting chemotaxis protein, four helix bundle domain superfamily', '4HB_MCP_dom_sf', 5, NULL),
(34129, NULL, 'IPR035292', NULL, 'Protein of unknown function DUF5363', 'DUF5363', 4, NULL),
(34130, NULL, 'IPR035289', NULL, 'Protein of unknown function DUF5366', 'DUF5366', 4, NULL),
(34131, NULL, 'IPR036280', NULL, 'Multiheme cytochrome superfamily', 'Multihaem_cyt_sf', 5, NULL),
(34132, NULL, 'IPR033316', NULL, 'DNA endonuclease RBBP8-like', 'RBBP8-like', 4, NULL),
(34133, NULL, 'IPR033844', NULL, 'Asparaginase-like 1, metazoa', 'ASRGL1_meta', 4, NULL),
(34134, NULL, 'IPR040008', NULL, '39S ribosomal protein L46, mitochondrial', 'MRPL46', 4, NULL),
(34135, NULL, 'IPR037215', NULL, 'GUN4-like superfamily', 'GUN4-like_sf', 5, NULL),
(34136, NULL, 'IPR036704', NULL, 'Ribonuclease E inhibitor RraA/RraA-like superfamily', 'RraA/RraA-like_sf', 5, NULL),
(34137, NULL, 'IPR040288', NULL, 'PX domain-containing protein 1', 'PXDC1', 4, NULL),
(34138, NULL, 'IPR033559', NULL, 'Paired box protein Pax-4', 'Pax-4', 4, NULL),
(34139, NULL, 'IPR036358', NULL, 'Beta-trefoil domain superfamily', 'BTD_sf', 5, NULL),
(34140, NULL, 'IPR035274', NULL, 'Protein of unknown function DUF5352', 'DUF5352', 4, NULL),
(34141, NULL, 'IPR036271', NULL, 'Tetracyclin repressor-like, C-terminal domain superfamily', 'Tet_transcr_reg_TetR-rel_C_sf', 5, NULL),
(34142, NULL, 'IPR039229', NULL, 'Meteorin', 'Meteorin', 4, NULL),
(34143, NULL, 'IPR038725', NULL, 'General stress protein, FMN-binding split barrel domain', 'YdaG_split_barrel_FMN-bd', 3, NULL),
(34144, NULL, 'IPR036983', NULL, 'Mitochondrial biogenesis AIM24 superfamily', 'AIM24_sf', 5, NULL),
(34145, NULL, 'IPR036266', NULL, 'SecA, Wing/Scaffold superfamily', 'SecA_Wing/Scaffold_sf', 5, NULL),
(34146, NULL, 'IPR039900', NULL, 'Pat1-like', 'Pat1-like', 4, NULL),
(34147, NULL, 'IPR033506', NULL, 'Glycerophosphodiester phosphodiesterase Gde1', 'Gde1', 4, NULL),
(34148, NULL, 'IPR039020', NULL, 'Terpene cyclase PaxB-like', 'PaxB-like', 4, NULL),
(34149, NULL, 'IPR036124', NULL, 'Class X myosin, motor domain', 'MYSc_Myo10', 3, NULL),
(34150, NULL, 'IPR037832', NULL, 'Vav, PH domain', 'PH_Vav', 3, NULL),
(34151, NULL, 'IPR039903', NULL, 'E3 ubiquitin-protein ligase Zswim2', 'Zswim2', 4, NULL),
(34152, NULL, 'IPR038942', NULL, 'Transmembrane protein 52', 'TMEM52', 4, NULL),
(34153, NULL, 'IPR040427', NULL, 'Fl(2)d-associated complex component', 'Flacc', 4, NULL),
(34154, NULL, 'IPR037191', NULL, 'VPS9 domain superfamily', 'VPS9_dom_sf', 5, NULL),
(34155, NULL, 'IPR036289', NULL, 'Hypothetical protein YfhH', 'YfhH', 5, NULL),
(34156, NULL, 'IPR036700', NULL, 'Bacterial OB-fold superfamily', 'BOBF_sf', 5, NULL),
(34157, NULL, 'IPR035441', NULL, 'TFIIS/LEDGF domain superfamily', 'TFIIS/LEDGF_dom_sf', 5, NULL),
(34158, NULL, 'IPR033234', NULL, 'Purkinje cell protein 4-like protein 1', 'PCP4-like_1', 4, NULL),
(34159, NULL, 'IPR035439', NULL, 'UPF0145 domain superfamily', 'UPF0145_dom_sf', 5, NULL),
(34160, NULL, 'IPR040107', NULL, 'U4/U6.U5 small nuclear ribonucleoprotein component Snu23', 'Snu23', 4, NULL),
(34161, NULL, 'IPR039267', NULL, 'U7 snRNA-associated Sm-like protein Lsm11', 'Lsm11', 4, NULL),
(34162, NULL, 'IPR040446', NULL, 'Ribosomal RNA-processing protein 7', 'RRP7', 4, NULL),
(34163, NULL, 'IPR040529', NULL, 'Protein CROC-4', 'CROC-4', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34164, NULL, 'IPR036444', NULL, 'Phospholipase A2 domain superfamily', 'PLipase_A2_dom_sf', 5, NULL),
(34165, NULL, 'IPR036987', NULL, 'SRA-YDG superfamily', 'SRA-YDG_sf', 5, NULL),
(34166, NULL, 'IPR038868', NULL, 'BRCA1-A complex subunit RAP80', 'RAP80', 4, NULL),
(34167, NULL, 'IPR036984', NULL, 'NrpR domain superfamily', 'NrpR_dom_sf', 5, NULL),
(34168, NULL, 'IPR040516', NULL, 'Phosphoethanolamine N-methyltransferase 2, N-terminal', 'PMT2_N', 3, NULL),
(34169, NULL, 'IPR040169', NULL, 'SURP and G-patch domain-containing protein 1/2', 'SUGP1/2', 4, NULL),
(34170, NULL, 'IPR036661', NULL, 'Luciferase-like domain superfamily', 'Luciferase-like_sf', 5, NULL),
(34171, NULL, 'IPR040092', NULL, 'Transforming growth factor beta regulator 1', 'TBRG1', 4, NULL),
(34172, NULL, 'IPR038909', NULL, 'Protein effector of transcription', 'Effector_transcript', 4, NULL),
(34173, NULL, 'IPR036267', NULL, 'RuvA, C-terminal domain superfamily', 'RuvA_C_sf', 5, NULL),
(34174, NULL, 'IPR041816', NULL, 'Lariat debranching enzyme, N-terminal metallophosphatase domain', 'Dbr1_N', 3, NULL),
(34175, NULL, 'IPR036706', NULL, 'Vitelline membrane outer layer protein I (VOMI) superfamily', 'VOMI_sf', 5, NULL),
(34176, NULL, 'IPR040108', NULL, 'Laa1/Sip1/HEATR5', 'Laa1/Sip1/HEATR5', 4, NULL),
(34177, NULL, 'IPR041015', NULL, 'Toll-like receptor 3 trans-membrane domain', 'TLR3_TMD', 3, NULL),
(34178, NULL, 'IPR037300', NULL, 'Perforin-1, C2 domain', 'Perforin-1_C2', 3, NULL),
(34179, NULL, 'IPR037806', NULL, 'ARHGEF2, PH domain', 'ARHGEF2_PH', 3, NULL),
(34180, NULL, 'IPR040524', NULL, 'E3 ubiquitin-protein ligase HECW1, helical box domain', 'HECW1_helix', 3, NULL),
(34181, NULL, 'IPR036176', NULL, 'E2 domain superfamily', 'E2_sf', 5, NULL),
(34182, NULL, 'IPR033832', NULL, 'Pigment epithelium derived factor, serpin domain', 'PEDF_serpin_dom', 3, NULL),
(34183, NULL, 'IPR035865', NULL, 'SOCS6, SH2 domain', 'SOCS6_SH2', 3, NULL),
(34184, NULL, 'IPR037262', NULL, 'TTHC002-like', 'TTHC002-like', 5, NULL),
(34185, NULL, 'IPR036850', NULL, 'Nucleoside diphosphate kinase-like domain superfamily', 'NDK-like_dom_sf', 5, NULL),
(34186, NULL, 'IPR040093', NULL, 'Low-density lipoprotein receptor class A domain-containing protein 1', 'LRAD1', 4, NULL),
(34187, NULL, 'IPR042064', NULL, 'POLG2, C-terminal', 'POLG2_C', 3, NULL),
(34188, NULL, 'IPR033440', NULL, 'Chromosome partition protein MukF, middle domain', 'MukF_M', 3, NULL),
(34189, NULL, 'IPR035286', NULL, 'Protein of unknown function DUF5361', 'DUF5361', 4, NULL),
(34190, NULL, 'IPR036299', NULL, 'Polyketide synthase, docking domain superfmaily', 'Polyketide_synth_docking_sf', 5, NULL),
(34191, NULL, 'IPR035888', NULL, 'Myotubularin-related protein 3, PH-GRAM domain', 'MTMR3_PH-GRAM', 3, NULL),
(34192, NULL, 'IPR035775', NULL, 'CD2-associated protein, first SH3 domain', 'CD2AP_SH3_1', 3, NULL),
(34193, NULL, 'IPR034255', NULL, 'Ephrin-B ectodomain', 'Ephrin-B_Ecto', 3, NULL),
(34194, NULL, 'IPR036846', NULL, 'GM2-AP, lipid-recognition domain superfamily', 'GM2-AP_sf', 5, NULL),
(34195, NULL, 'IPR033987', NULL, 'Aggrecan/versican, C-type lectin-like domain', 'CSPG_CTLD', 3, NULL),
(34196, NULL, 'IPR033767', NULL, 'Tail tubular protein Gp11', 'Tail_Gp11', 4, NULL),
(34197, NULL, 'IPR036435', NULL, 'Leukocidin/porin MspA superfamily', 'Leukocidin/porin_MspA_sf', 5, NULL),
(34198, NULL, 'IPR038050', NULL, 'Neuronal acetylcholine receptor', 'Neuro_actylchol_rec', 5, NULL),
(34199, NULL, 'IPR040519', NULL, 'LepB, N-terminal', 'LepB_N', 3, NULL),
(34200, NULL, 'IPR040208', NULL, 'Heparan-alpha-glucosaminide N-acetyltransferase', 'HGSNAT', 4, NULL),
(34201, NULL, 'IPR040209', NULL, 'Protein BRANCHLESS TRICHOME', 'BLT', 4, NULL),
(34202, NULL, 'IPR038744', NULL, 'Hri1, N-terminal', 'Hri1_N', 3, NULL),
(34203, NULL, 'IPR042058', NULL, 'UNC5D, Death domain', 'UNC5D_Death', 3, NULL),
(34204, NULL, 'IPR037278', NULL, 'ARFGAP/RecO-like zinc finger', 'ARFGAP/RecO', 5, NULL),
(34205, NULL, 'IPR035866', NULL, 'SOCS7, SH2 domain', 'SOCS7_SH2', 3, NULL),
(34206, NULL, 'IPR040613', NULL, 'Nucleotide modification associated domain 4', 'Nmad4', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34207, NULL, 'IPR038944', NULL, 'Outer envelope membrane protein 7-like', 'OEP7-like', 4, NULL),
(34208, NULL, 'IPR040072', NULL, 'Methyltransferase (Class A)', 'Methyltransferase_A', 4, NULL),
(34209, NULL, 'IPR040517', NULL, 'Aminoglycoside adenyltransferase, C-terminal', 'AadA_C', 3, NULL),
(34210, NULL, 'IPR036442', NULL, 'ProQ/FinO domain superfamily', 'ProQ/FinO_sf', 5, NULL),
(34211, NULL, 'IPR033785', NULL, 'Pichia pastoris 6-phosphofructokinase, gamma subunit', 'PpPFK_gamma', 4, NULL),
(34212, NULL, 'IPR040094', NULL, 'Fatty acid-binding protein homologue 1/2/3/4', 'Lbp1-4', 4, NULL),
(34213, NULL, 'IPR036434', NULL, '1, 4-beta cellobiohydrolase superfamily', 'Beta_cellobiohydrolase_sf', 5, NULL),
(34214, NULL, 'IPR036988', NULL, 'Picornavirus coat protein VP4 superfamily', 'Pico_P1A_sf', 5, NULL),
(34215, NULL, 'IPR038943', NULL, 'PLD-regulated protein1-like', 'PLDrp1-like', 4, NULL),
(34216, NULL, 'IPR037816', NULL, 'DOK4/5/6, PH domain', 'DOK4/5/6_PH', 3, NULL),
(34217, NULL, 'IPR033768', NULL, 'Hydin adenylate kinase-like domain', 'Hydin_ADK', 3, NULL),
(34218, NULL, 'IPR042059', NULL, 'SUSD5, Link domain', 'SUSD5_Link_domain', 3, NULL),
(34219, NULL, 'IPR033787', NULL, 'ssDNA-binding protein ThermoDBP', 'ThermoDBP', 3, NULL),
(34220, NULL, 'IPR033290', NULL, 'Coiled-coil domain-containing protein 39', 'CCDC39', 4, NULL),
(34221, NULL, 'IPR035779', NULL, 'MLK1-3, SH3 domain', 'MLK1-3_SH3', 3, NULL),
(34222, NULL, 'IPR042079', NULL, 'ATP synthase, F1 beta subunit superfamily', 'ATP_synt_F1_beta_sf', 5, NULL),
(34223, NULL, 'IPR036854', NULL, 'Photosystem II protein D1/D2 superfamily', 'Photo_II_D1/D2_sf', 5, NULL),
(34224, NULL, 'IPR033560', NULL, 'Bile salt-activated lipase', 'BAL', 4, NULL),
(34225, NULL, 'IPR042055', NULL, 'CD9, extracellular domain', 'CD9_LEL', 3, NULL),
(34226, NULL, 'IPR037924', NULL, 'Pelle, death domain', 'Pelle_death', 3, NULL),
(34227, NULL, 'IPR033508', NULL, 'Aminopeptidase A', 'Aminopeptidase_A', 4, NULL),
(34228, NULL, 'IPR036568', NULL, 'Gamma-glutamyl cyclotransferase-like superfamily', 'GGCT-like_sf', 5, NULL),
(34229, NULL, 'IPR033021', NULL, 'Ventral anterior homeobox 2', 'Vax2', 4, NULL),
(34230, NULL, 'IPR033784', NULL, 'DrrA guanine nucleotide-exchange factor domain', 'DrrA_GEF', 3, NULL),
(34231, NULL, 'IPR040171', NULL, 'Usher syndrome type-1C protein-binding protein 1-like', 'USBP1-like', 4, NULL),
(34232, NULL, 'IPR041963', NULL, 'BsuBI/PstI restriction endonuclease, C-terminal domain superfamily', 'BsuBI/PstI_C_sf', 5, NULL),
(34233, NULL, 'IPR033659', NULL, 'Ferrochelatase, N-terminal', 'Ferrochelatase_N', 3, NULL),
(34234, NULL, 'IPR036703', NULL, 'MOB kinase activator superfamily', 'MOB_kinase_act_sf', 5, NULL),
(34235, NULL, 'IPR033770', NULL, 'Exosome complex exonuclease RRP44, S1 domain', 'RRP44_S1', 3, NULL),
(34236, NULL, 'IPR035279', NULL, 'Protein of unknown function DUF5358', 'DUF5358', 4, NULL),
(34237, NULL, 'IPR041017', NULL, 'DipZ, thioredoxin-like C-terminal domain', 'Thioredoxin_10', 3, NULL),
(34238, NULL, 'IPR040098', NULL, 'RING finger protein 24', 'RNF24', 4, NULL),
(34239, NULL, 'IPR036710', NULL, 'RNA polymerase Rpb5, N-terminal domain superfamily', 'RNA_pol_Rpb5_N_sf', 5, NULL),
(34240, NULL, 'IPR039103', NULL, 'Centrosomal protein Spd-2/CEP192', 'Spd-2/CEP192', 4, NULL),
(34241, NULL, 'IPR037927', NULL, 'Histone-lysine N-methyltransferase 2A', 'KMT2A', 4, NULL),
(34242, NULL, 'IPR041755', NULL, 'Archaeal Hef helicase/nuclease, insert domain', 'Hef_ID', 3, NULL),
(34243, NULL, 'IPR037171', NULL, 'NagB/RpiA transferase-like', 'NagB/RpiA_transferase-like', 5, NULL),
(34244, NULL, 'IPR033173', NULL, 'Translational activator Gcn1', 'Gcn1', 4, NULL),
(34245, NULL, 'IPR040520', NULL, 'Importin 13 repeat', 'Importin_rep_3', 7, NULL),
(34246, NULL, 'IPR037722', NULL, 'Ferlin, third C2 domain', 'C2C_Ferlin', 3, NULL),
(34247, NULL, 'IPR036669', NULL, 'Amyloidogenic glycoprotein, copper-binding domain superfamily', 'Amyloid_Cu-bd_sf', 5, NULL),
(34248, NULL, 'IPR037823', NULL, 'Myotubularin-related protein 13, PH-GRAM domain', 'MTMR13_PH-GRAM', 3, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34249, NULL, 'IPR036297', NULL, 'PG0816-like superfamily', 'PG0816-like_sf', 5, NULL),
(34250, NULL, 'IPR033762', NULL, 'MCM OB domain', 'MCM_OB', 3, NULL),
(34251, NULL, 'IPR039906', NULL, 'Nuclear anchorage protein 1-like', 'Anc-1-like', 4, NULL),
(34252, NULL, 'IPR042000', NULL, 'Sortase D, type 2', 'Sortase_D_2', 4, NULL),
(34253, NULL, 'IPR040039', NULL, 'Phosphatidylinositol-glycan biosynthesis class X protein', 'PIGX', 4, NULL),
(34254, NULL, 'IPR035288', NULL, 'Trans-membrane regulatory protein ToxS', 'ToxS', 4, NULL),
(34255, NULL, 'IPR040607', NULL, 'Actin-like protein, N-terminal', 'ALP_N', 3, NULL),
(34256, NULL, 'IPR033824', NULL, 'D-aminopeptidase DppA', 'DppA', 4, NULL),
(34257, NULL, 'IPR040279', NULL, 'Neuropeptide-like peptide 36', 'Nlp-36', 4, NULL),
(34258, NULL, 'IPR039264', NULL, 'Tellurite resistance protein TehA', 'TehA', 4, NULL),
(34259, NULL, 'IPR033608', NULL, 'Repulsive guidance molecule B', 'DRAGON', 4, NULL),
(34260, NULL, 'IPR036438', NULL, 'Insulin-like superfamily', 'Insulin-like_sf', 5, NULL),
(34261, NULL, 'IPR038939', NULL, 'Plastid division protein PDV1/PDV2', 'PDV1/PDV2', 4, NULL),
(34262, NULL, 'IPR040523', NULL, 'Siroheme decarboxylase , AsnC-like ligand binding domain', 'AsnC_trans_reg2', 3, NULL),
(34263, NULL, 'IPR037177', NULL, 'Dynein light chain superfamily', 'DLC_sf', 5, NULL),
(34264, NULL, 'IPR037873', NULL, 'BamE-like', 'BamE-like', 5, NULL),
(34265, NULL, 'IPR037912', NULL, 'Microspherule protein 1', 'MCRS1', 4, NULL),
(34266, NULL, 'IPR037810', NULL, 'PHLDB1/2/3, PH domain', 'PHLDB1/2/3_PH', 3, NULL),
(34267, NULL, 'IPR040606', NULL, 'Protein of unknown function DUF5549', 'DUF5549', 4, NULL),
(34268, NULL, 'IPR041757', NULL, 'Sulfate adenylyltransferase subunit CysN, GTP-binding domain', 'CysN_GTP-bd', 3, NULL),
(34269, NULL, 'IPR036712', NULL, 'Amb V Allergen superfamily', 'Amb_V_allergen_sf', 5, NULL),
(34270, NULL, 'IPR033834', NULL, 'Angiotensinogen, serpin domain', 'Angiotensinogen_serpin_dom', 3, NULL),
(34271, NULL, 'IPR036456', NULL, 'Polyribonucleotide nucleotidyltransferase, RNA-binding domain superfamily', 'PNPase_PH_RNA-bd_sf', 5, NULL),
(34272, NULL, 'IPR033212', NULL, 'Cartilage-associated protein', 'Crtap', 4, NULL),
(34273, NULL, 'IPR040227', NULL, 'Nibrin-related', 'Nibrin-rel', 4, NULL),
(34274, NULL, 'IPR033436', NULL, 'MucB/RseB, C-terminal', 'MucB/RseB_C', 3, NULL),
(34275, NULL, 'IPR037264', NULL, 'TFIID subunit TAF5, NTD2 domain superfamily', 'TFIID_NTD2_sf', 5, NULL),
(34276, NULL, 'IPR039257', NULL, 'B- and T-lymphocyte attenuator', 'BTLA', 4, NULL),
(34277, NULL, 'IPR036844', NULL, 'Hint domain superfamily', 'Hint_dom_sf', 5, NULL),
(34278, NULL, 'IPR036851', NULL, 'Chloroperoxidase-like superfamily', 'Chloroperoxidase-like_sf', 5, NULL),
(34279, NULL, 'IPR040525', NULL, 'UDP-glucose:glycoprotein glucosyltransferase, thioredoxin-like domain 4', 'UGGT_TRXL_4', 3, NULL),
(34280, NULL, 'IPR040210', NULL, 'Cep85/Cep85L', 'Cep85/Cep85L', 4, NULL),
(34281, NULL, 'IPR036845', NULL, 'RecG, N-terminal domain superfamily', 'RecG_N_sf', 5, NULL),
(34282, NULL, 'IPR035772', NULL, 'SH3 domain-containing kinase-binding protein 1, third SH3 domain', 'CIN85_SH3_3', 3, NULL),
(34283, NULL, 'IPR040223', NULL, 'PAR basic leucine zipper protein', 'PAR_bZIP', 4, NULL),
(34284, NULL, 'IPR040367', NULL, 'Protein zyg-11 homologue B', 'ZYG11B', 4, NULL),
(34285, NULL, 'IPR037943', NULL, 'Nitrate reductase alpha subunit-like, MopB domain', 'MopB_CT_Nitrate-R-NarG-like', 3, NULL),
(34286, NULL, 'IPR040530', NULL, 'Type VI secretion system TssR', 'T6SS_TssR', 4, NULL),
(34287, NULL, 'IPR035615', NULL, 'FiwA/Osa', 'FiwA/Osa', 4, NULL),
(34288, NULL, 'IPR033218', NULL, 'Oocyte-secreted protein 1/3/4', 'Oosp1/3/4', 4, NULL),
(34289, NULL, 'IPR040287', NULL, 'Repulsive guidance molecule', 'RGM', 4, NULL),
(34290, NULL, 'IPR033244', NULL, 'Mediator of RNA polymerase II transcription subunit 32', 'MED32', 4, NULL),
(34291, NULL, 'IPR040095', NULL, 'KRBA1', 'KRBA1', 4, NULL),
(34292, NULL, 'IPR042071', NULL, 'Phage late-transcription coactivator superfamily', 'Trans_coact_sf', 5, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34293, NULL, 'IPR037458', NULL, 'L-mandelate/L-lactate dehydrogenase, FMN-binding domain', 'L-MDH/L-LDH_FMN-bd', 3, NULL),
(34294, NULL, 'IPR035770', NULL, 'SH3 domain-containing kinase-binding protein 1, first SH3 domain', 'CIN85_SH3_1', 3, NULL),
(34295, NULL, 'IPR035864', NULL, 'SOCS4, SH2 domain', 'SOCS4_SH2', 3, NULL),
(34296, NULL, 'IPR037821', NULL, 'Syntaxin-binding protein 6, PH domain', 'STXBP6_PH', 3, NULL),
(34297, NULL, 'IPR035699', NULL, 'Dynein heavy chain, hydrolytic ATP-binding dynein motor region', 'AAA_6', 3, NULL),
(34298, NULL, 'IPR042080', NULL, 'RNA 2''-phosphotransferase, N-terminal domain', 'RNA_2''-PTrans_N', 5, NULL),
(34299, NULL, 'IPR033765', NULL, 'Restriction endonuclease BfiI C-terminal domain', 'BfiI_C', 3, NULL),
(34300, NULL, 'IPR040246', NULL, 'UPF0547 protein C16orf87-like', 'C16orf87-like', 4, NULL),
(34301, NULL, 'IPR040518', NULL, 'Chalcone isomerase, N-terminal', 'Chalcone_N', 3, NULL),
(34302, NULL, 'IPR038727', NULL, 'NadR/Ttd14, AAA domain', 'NadR/Ttd14_AAA_dom', 3, NULL),
(34303, NULL, 'IPR037172', NULL, 'Flavivirus capsid protein C superfamily', 'Flavi_capsidC_sf', 5, NULL),
(34304, NULL, 'IPR040597', NULL, 'Hemagglutinin component HA-70, C-terminal', 'HA70_C', 3, NULL),
(34305, NULL, 'IPR037812', NULL, 'PLEKHM3, PH domain 1', 'PLEKHM3_PH_1', 3, NULL),
(34306, NULL, 'IPR036282', NULL, 'Glutathione S-transferase, C-terminal domain superfamily', 'Glutathione-S-Trfase_C_sf', 5, NULL),
(34307, NULL, 'IPR040100', NULL, 'RING finger protein 208, HC type RING finger', 'RNF208_RING-HC', 3, NULL),
(34308, NULL, 'IPR041020', NULL, 'ARHGEF1-like, PH domain', 'PH_16', 3, NULL),
(34309, NULL, 'IPR036285', NULL, 'PRP4-like superfamily', 'PRP4-like_sf', 5, NULL),
(34310, NULL, 'IPR035765', NULL, 'Src kinase-associated phosphoprotein 1, SH3 domain', 'SKAP1_SH3', 3, NULL),
(34311, NULL, 'IPR038946', NULL, 'F-box only protein 47', 'FBXO47', 4, NULL),
(34312, NULL, 'IPR033892', NULL, 'Ferredoxin--NADP reductase, bacteria', 'FNR_bac', 4, NULL),
(34313, NULL, 'IPR033574', NULL, 'TNFAIP3-interacting protein 3', 'TNIP3', 4, NULL),
(34314, NULL, 'IPR039028', NULL, 'PDK/BCKDK protein kinase', 'BCKD/PDK', 4, NULL),
(34315, NULL, 'IPR040614', NULL, 'Integron cassette protein VCH_CASS1 chain', 'VCH_CASS14', 3, NULL),
(34316, NULL, 'IPR035863', NULL, 'SOCS3, SH2 domain', 'SOCS3_SH2', 3, NULL),
(34317, NULL, 'IPR036313', NULL, 'PepX, N-terminal domain superfamily', 'PepX_N_dom_sf', 5, NULL),
(34318, NULL, 'IPR038728', NULL, 'Uncharacterized membrane protein YkvI', 'YkvI', 4, NULL),
(34319, NULL, 'IPR040447', NULL, 'Rrp7, RRM-like N-terminal domain', 'RRM_Rrp7', 3, NULL),
(34320, NULL, 'IPR040365', NULL, 'EF-hand domain-containing protein D1/2', 'EFHD1/2', 4, NULL),
(34321, NULL, 'IPR033317', NULL, 'Transcription-associated protein 1', 'TRA1/TRRAP', 4, NULL),
(34322, NULL, 'IPR040089', NULL, 'RNF26, C3HC5-type zinc finger', 'RNF26_mRING-HC-C3HC5', 3, NULL),
(34323, NULL, 'IPR037828', NULL, 'N,N''-diacetylchitobiose phosphorylase, N-terminal', 'GH94N_ChBP', 3, NULL),
(34324, NULL, 'IPR039255', NULL, 'Large ribosomal RNA subunit accumulation protein YceD, bacteria', 'YceD_bac', 4, NULL),
(34325, NULL, 'IPR036294', NULL, 'Rbstp2229-like superfamily', 'Rbstp2229-like_sf', 5, NULL),
(34326, NULL, 'IPR036565', NULL, 'Mur-like, catalytic domain superfamily', 'Mur-like_cat_sf', 5, NULL),
(34327, NULL, 'IPR033505', NULL, 'USPL1 peptidase', 'USPL1', 4, NULL),
(34328, NULL, 'IPR036985', NULL, 'Transglutaminase-like superfamily', 'Transglutaminase-like_sf', 5, NULL),
(34329, NULL, 'IPR040241', NULL, 'Transient receptor potential channel Flc/Pkd2-like', 'TRP_Flc/Pkd2-like', 4, NULL),
(34330, NULL, 'IPR038938', NULL, 'Beta-carotene isomerase D27-like', 'D27-like', 4, NULL),
(34331, NULL, 'IPR042081', NULL, 'RNA 2''-phosphotransferase, C-terminal domain', 'RNA_2''-PTrans_C', 5, NULL),
(34332, NULL, 'IPR033328', NULL, 'Protein BTG2', 'BTG2', 4, NULL),
(34333, NULL, 'IPR037301', NULL, 'Toll-interacting protein, C2 domain', 'Tollip_C2', 3, NULL),
(34334, NULL, 'IPR041856', NULL, 'Glutamine-dependent NAD+ synthetase, C-terminal', 'NAD+_synth_C', 5, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34335, NULL, 'IPR036278', NULL, 'Sialidase superfamily', 'Sialidase_sf', 5, NULL),
(34336, NULL, 'IPR040301', NULL, 'Secretoglobin 3A', 'Secretoglobin_3A', 4, NULL),
(34337, NULL, 'IPR039101', NULL, 'Thioredoxin-related transmembrane protein 2', 'TMX2', 4, NULL),
(34338, NULL, 'IPR035296', NULL, 'Mating hormone A-factor 1/2', 'Mfa1/2', 4, NULL),
(34339, NULL, 'IPR038017', NULL, 'Rotavirus VP4, membrane interaction domain superfamily', 'Rota_VP4_MID_sf', 5, NULL),
(34340, NULL, 'IPR040096', NULL, 'RAB6A-GEF complex partner protein 1', 'Ric1', 4, NULL),
(34341, NULL, 'IPR036709', NULL, 'Autotransporter beta-domain superfamily', 'Autotransporte_beta_dom_sf', 5, NULL),
(34342, NULL, 'IPR040244', NULL, 'Protein enhanced disease resistance 4-like', 'EDR4-like', 4, NULL),
(34343, NULL, 'IPR041009', NULL, 'Protein of unknown function DUF5550', 'DUF5550', 4, NULL),
(34344, NULL, 'IPR036315', NULL, 'BRCA2 helical domain superfamily', 'BRCA2_hlx_sf', 5, NULL),
(34345, NULL, 'IPR036714', NULL, 'Flavinator of succinate dehydrogenase superfamily', 'SDH_sf', 5, NULL),
(34346, NULL, 'IPR035767', NULL, 'Dedicator of cytokinesis 3, SH3 domain', 'DOCK3_SH3', 3, NULL),
(34347, NULL, 'IPR039102', NULL, 'Protein FAM13', 'FAM13', 4, NULL),
(34348, NULL, 'IPR037831', NULL, 'SNX17/27/31', 'SNX17/27/31', 4, NULL),
(34349, NULL, 'IPR038948', NULL, 'Protein POLR1D, isoform 2-like', 'POLR1D-like', 4, NULL),
(34350, NULL, 'IPR038742', NULL, 'FRS2, PTB domain', 'FRS2_PTB', 3, NULL),
(34351, NULL, 'IPR036460', NULL, 'Copper amine oxidase, catalytic domain superfamily', 'Cu_amine_oxidase_C_sf', 5, NULL),
(34352, NULL, 'IPR040593', NULL, 'Spindle pole body component 110, C-terminal', 'Spc110_C', 3, NULL),
(34353, NULL, 'IPR036853', NULL, 'Ribosomal protein L14 superfamily', 'Ribosomal_L14_sf', 5, NULL),
(34354, NULL, 'IPR036705', NULL, 'ADP-ribosylation/Crystallin J1 superfamily', 'Ribosyl_crysJ1_sf', 5, NULL),
(34355, NULL, 'IPR036697', NULL, 'Hemocyanin, N-terminal domain superfamily', 'Hemocyanin_N_sf', 5, NULL),
(34356, NULL, 'IPR040277', NULL, 'Uncharacterized protein Os04g0629400-like', 'Os04g0629400-like', 4, NULL),
(34357, NULL, 'IPR040609', NULL, 'RNA ligase 2, C-terminal', 'Rnl2_C', 3, NULL),
(34358, NULL, 'IPR033562', NULL, 'Patatin-like phospholipase domain-containing protein', 'PLPL', 4, NULL),
(34359, NULL, 'IPR036265', NULL, 'HIT-like superfamily', 'HIT-like_sf', 5, NULL),
(34360, NULL, 'IPR040300', NULL, 'Uncharacterized protein At3g49055-like', 'At3g49055-like', 4, NULL),
(34361, NULL, 'IPR033162', NULL, 'Tubulin-folding cofactor D', 'TBCD', 4, NULL),
(34362, NULL, 'IPR037259', NULL, 'BRK domain superfamily', 'BRK_sf', 5, NULL),
(34363, NULL, 'IPR037279', NULL, 'Photosystem I PsaM, reaction centre superfamily', 'PSI_PsaM_sf', 5, NULL),
(34364, NULL, 'IPR037338', NULL, 'Aminopyrrolnitrin oxygenase PrnD, Rieske domain', 'PrnD_Rieske', 3, NULL),
(34365, NULL, 'IPR039019', NULL, 'Cation channel sperm-associated protein subunit zeta', 'CATSPERZ', 4, NULL),
(34366, NULL, 'IPR038743', NULL, 'YjgH-like', 'YjgH-like', 4, NULL),
(34367, NULL, 'IPR041759', NULL, 'SFRP3, cysteine-rich domain', 'SFRP3_CRD', 3, NULL),
(34368, NULL, 'IPR038026', NULL, 'MtlR-like superfamily', 'MtlR-like_sf', 5, NULL),
(34369, NULL, 'IPR036173', NULL, 'G39, N-terminal domain superfamily', 'G39-like_N_sf', 5, NULL),
(34370, NULL, 'IPR038723', NULL, 'ArnR1-like, winged helix-turn-helix domain', 'ArnR1-like_HTH', 3, NULL),
(34371, NULL, 'IPR033842', NULL, 'Carboxypeptidase M, N-terminal domain', 'CPM_N', 3, NULL),
(34372, NULL, 'IPR036363', NULL, 'Thiol-activated cytolysin, alpha-beta domain superfamily', 'Thiol_cytolysin_ab_sf', 5, NULL),
(34373, NULL, 'IPR040284', NULL, 'Protein FLOURY 1', 'FL1-like', 4, NULL),
(34374, NULL, 'IPR039972', NULL, 'Sarcoglycan gamma/delta/zeta', 'Sarcoglycan_gamma/delta/zeta', 4, NULL),
(34375, NULL, 'IPR040276', NULL, 'Uncharacterized protein At4g26450-like', 'At4g26450-like', 4, NULL),
(34376, NULL, 'IPR038724', NULL, 'Regulatory protein RepA', 'RepA', 4, NULL),
(34377, NULL, 'IPR033742', NULL, 'IQ motif and SEC7 domain-containing protein, PH domain', 'IQSEC_PH', 3, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34378, NULL, 'IPR037825', NULL, 'Cellobiose phosphorylase, N-terminal', 'GH94N_CBP', 3, NULL),
(34379, NULL, 'IPR033377', NULL, 'Protein FAM170B', 'FAM170B', 4, NULL),
(34380, NULL, 'IPR037827', NULL, 'SNX27, atypical FERM-like domain', 'SNX27_FERM-like_dom', 3, NULL),
(34381, NULL, 'IPR042070', NULL, 'PucR C-terminal helix-turn-helix domain superfamily', 'PucR_C-HTH_sf', 5, NULL),
(34382, NULL, 'IPR040448', NULL, 'PanZ, acetyltransferase (GNAT) domain', 'PanZ_GNAT', 3, NULL),
(34383, NULL, 'IPR033025', NULL, 'Transmembrane O-methyltransferase', 'TOMT', 4, NULL),
(34384, NULL, 'IPR036410', NULL, 'Heat shock protein DnaJ, cysteine-rich domain superfamily', 'HSP_DnaJ_Cys-rich_dom_sf', 5, NULL),
(34385, NULL, 'IPR037946', NULL, 'Tetrathionate reductase subunit A, MopB domain', 'MopB_CT_Tetrathionate', 3, NULL),
(34386, NULL, 'IPR041756', NULL, 'Peptidase M28, SGAP-like', 'M28_SGAP-like', 4, NULL),
(34387, NULL, 'IPR040522', NULL, 'Dipeptidyl peptidase 4, low complexity region', 'DPPIV_rep', 3, NULL),
(34388, NULL, 'IPR038746', NULL, 'Alpha-tubulin N-acetyltransferase', 'Atat', 4, NULL),
(34389, NULL, 'IPR039224', NULL, 'Meteorin-like', 'Meteorin-like', 4, NULL),
(34390, NULL, 'IPR033998', NULL, 'Fas receptor, death domain', 'TNFRSF6_death', 3, NULL),
(34391, NULL, 'IPR038941', NULL, 'At4g14100-like', 'At4g14100-like', 4, NULL),
(34392, NULL, 'IPR037926', NULL, 'CRADD, Death domain', 'CRADD_Death', 3, NULL),
(34393, NULL, 'IPR036695', NULL, 'Arginyl tRNA synthetase N-terminal domain superfamily', 'Arg-tRNA-synth_N_sf', 5, NULL),
(34394, NULL, 'IPR036037', NULL, 'Class XVII myosin, motor domain', 'MYSc_Myo17', 3, NULL),
(34395, NULL, 'IPR036264', NULL, 'Bacterial exopeptidase dimerisation domain', 'Bact_exopeptidase_dim_dom', 5, NULL),
(34396, NULL, 'IPR040368', NULL, 'Zyg eleven-related protein 1', 'Zer-1', 4, NULL),
(34397, NULL, 'IPR036292', NULL, 'Proline/betaine transporter ProP, C-terminal', 'ProP_C', 5, NULL),
(34398, NULL, 'IPR033507', NULL, 'Syg1 family', 'Syg1', 4, NULL),
(34399, NULL, 'IPR033439', NULL, 'Chromosome partition protein MukF, winged-helix domain', 'MukF_WHTH', 3, NULL),
(34400, NULL, 'IPR037876', NULL, 'Heat shock protein beta-1, ACD domain', 'ACD_HspB1', 3, NULL),
(34401, NULL, 'IPR033789', NULL, 'Gal11, coactivator domain', 'Gal11_coact', 3, NULL),
(34402, NULL, 'IPR036269', NULL, 'Rho termination factor, N-terminal domain superfamily', 'Rho_N_sf', 5, NULL),
(34403, NULL, 'IPR037833', NULL, 'SNX27, PX domain', 'SNX27_PX', 3, NULL),
(34404, NULL, 'IPR033683', NULL, 'Tyrosine recombinase XerH', 'XerH', 4, NULL),
(34405, NULL, 'IPR035291', NULL, 'Protein of unknown function DUF5354', 'DUF5354', 4, NULL),
(34406, NULL, 'IPR036401', NULL, 'Ribosomal protein S17e-like superfamily', 'RPS17e-like_sf', 5, NULL),
(34407, NULL, 'IPR036407', NULL, 'DM DNA-binding domain superfamily', 'DM_DNA-bd_sf', 5, NULL),
(34408, NULL, 'IPR042069', NULL, 'CLIC5, C-terminal GST domain', 'CLIC5_C_GST', 3, NULL),
(34409, NULL, 'IPR042056', NULL, 'E3 ubiquitin-protein ligase MIB1/2, zinc finger, ZZ-type', 'MIB1/2_ZZ', 3, NULL),
(34410, NULL, 'IPR035862', NULL, 'SOCS2, SH2 domain', 'SOCS2_SH2', 3, NULL),
(34411, NULL, 'IPR039106', NULL, 'Innate immunity activator protein', 'INAVA', 4, NULL),
(34412, NULL, 'IPR033670', NULL, 'Elongation of very long chain fatty acids protein 7', 'ELOVL7', 4, NULL),
(34413, NULL, 'IPR040599', NULL, 'Pilin PilJ, C-terminal', 'PilJ_C', 3, NULL),
(34414, NULL, 'IPR041012', NULL, 'Flap endonuclease GEN, chromatin organization modifier domain', 'GEN_chromo', 3, NULL),
(34415, NULL, 'IPR038791', NULL, 'Cilia- and flagella-associated protein 97', 'Cfap97/Hemingway', 4, NULL),
(34416, NULL, 'IPR033376', NULL, 'Protein FAM170A', 'FAM170A', 4, NULL),
(34417, NULL, 'IPR039908', NULL, 'Protein sepa-1', 'Sepa-1', 4, NULL),
(34418, NULL, 'IPR035595', NULL, 'UDP-glycosyltransferase family, conserved site', 'UDP_glycos_trans_CS', 3, NULL),
(34419, NULL, 'IPR039904', NULL, 'TPR and ankyrin repeat-containing protein 1', 'TRANK1', 4, NULL),
(34420, NULL, 'IPR037187', NULL, 'DksA, N-terminal domain superfamily', 'DnaK_N', 5, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34421, NULL, 'IPR036035', NULL, 'Class XIX myosin, motor domain', 'MYSc_Myo19', 3, NULL),
(34422, NULL, 'IPR036246', NULL, 'Cytochrome c oxidase polypeptide 2A, ba3 type', 'Cyt_c_oxidase_su2a_ba3', 5, NULL),
(34423, NULL, 'IPR033344', NULL, 'Protein CURVATURE THYLAKOID 1', 'CURT1', 4, NULL),
(34424, NULL, 'IPR039108', NULL, 'Coiled-coil domain-containing protein 120', 'CCDC120', 4, NULL),
(34425, NULL, 'IPR038745', NULL, 'AT4G37440-like', 'AT4G37440-like', 3, NULL),
(34426, NULL, 'IPR033219', NULL, 'Oocyte-secreted protein 2', 'Oosp2', 4, NULL),
(34427, NULL, 'IPR041836', NULL, 'Rab20', 'Rab20', 4, NULL),
(34428, NULL, 'IPR033347', NULL, 'Protein DEHYDRATION-INDUCED 19', 'DI19', 4, NULL),
(34429, NULL, 'IPR033769', NULL, 'KH domain, archaeal', 'KH_arc', 3, NULL),
(34430, NULL, 'IPR033260', NULL, 'Transcription factor LHW', 'LHW', 4, NULL),
(34431, NULL, 'IPR033786', NULL, 'Uncharacterized protein TTHB210-like', 'TTHB210-like', 3, NULL),
(34432, NULL, 'IPR037477', NULL, 'Protein disulfide-isomerase SCO2', 'SCO2', 4, NULL),
(34433, NULL, 'IPR036303', NULL, 'Cag-Z superfamily', 'Cag-Z_sf', 5, NULL),
(34434, NULL, 'IPR037190', NULL, 'LIS1, N-terminal', 'LIS1_N', 5, NULL),
(34435, NULL, 'IPR040442', NULL, 'Pyruvate kinase-like domain superfamily', 'Pyrv_Kinase-like_dom_sf', 5, NULL),
(34436, NULL, 'IPR036693', NULL, 'Transcription factor LuxR-like, autoinducer-binding domain superfamily', 'TF_LuxR_autoind-bd_dom_sf', 5, NULL),
(34437, NULL, 'IPR036990', NULL, 'Metallocarboxypeptidase-like, propeptide', 'M14A-like_propep', 5, NULL),
(34438, NULL, 'IPR041010', NULL, 'Acetyl-coA carboxylase zinc finger domain', 'Znf-ACC', 3, NULL),
(34439, NULL, 'IPR036843', NULL, 'D-lysine 5,6-aminomutase beta subunit KamE, N-terminal domain superfamily', 'KamE_N_sf', 5, NULL),
(34440, NULL, 'IPR036125', NULL, 'Class XXI myosin, motor domain', 'MYSc_Myo21', 3, NULL),
(34441, NULL, 'IPR040102', NULL, 'WD repeat-containing protein 41', 'WDR41', 4, NULL),
(34442, NULL, 'IPR039956', NULL, 'Plastin-2/3', 'PLS2/3', 4, NULL),
(34443, NULL, 'IPR036439', NULL, 'Dockerin domain superfamily', 'Dockerin_dom_sf', 5, NULL),
(34444, NULL, 'IPR041835', NULL, 'Rab-like protein 2', 'RabL2', 4, NULL),
(34445, NULL, 'IPR034045', NULL, 'CspA-like domain', 'Pep_S8_CspA-like', 3, NULL),
(34446, NULL, 'IPR038945', NULL, 'Methyl-CpG-binding domain-containing protein 13-like', 'MBD13-like', 4, NULL),
(34447, NULL, 'IPR033833', NULL, 'Alpha2-antiplasmin, serpin domain', 'Alpha2AP_serpin_dom', 3, NULL),
(34448, NULL, 'IPR035868', NULL, 'Ras and Rab interactor 2, SH2 domain', 'RIN2_SH2', 3, NULL),
(34449, NULL, 'IPR038950', NULL, 'BEN domain-containing protein 4', 'BEND4', 4, NULL),
(34450, NULL, 'IPR037822', NULL, 'STXBP6, SNARE domain', 'STXBP6_SNARE', 3, NULL),
(34451, NULL, 'IPR038937', NULL, 'Rop guanine nucleotide exchange factor', 'RopGEF', 4, NULL),
(34452, NULL, 'IPR040521', NULL, 'Kyakuja-Dileera-Zisupton transposase', 'KDZ', 4, NULL),
(34453, NULL, 'IPR036848', NULL, 'Haemocyanin C-terminal domain superfamily', 'Haemocyanin_C_sf', 5, NULL),
(34454, NULL, 'IPR033580', NULL, 'Nurim-like', 'Nurim-like', 4, NULL),
(34455, NULL, 'IPR036301', NULL, 'Necrosis inducing protein-1 superfamily', 'NIP1_sf', 5, NULL),
(34456, NULL, 'IPR036772', NULL, 'SRCR-like domain superfamily', 'SRCR-like_dom_sf', 5, NULL),
(34457, NULL, 'IPR041837', NULL, 'Rab27a/b', 'Rab27a/b', 4, NULL),
(34458, NULL, 'IPR035594', NULL, 'IRSp53, SH3 domain', 'Irsp53_SH3', 3, NULL),
(34459, NULL, 'IPR036029', NULL, 'Class XX myosin, motor domain', 'MYSc_Myo20', 3, NULL),
(34460, NULL, 'IPR037339', NULL, 'Cytidine monophosphate-N-acetylneuraminic acid hydroxylase, Rieske domain', 'CMP-Neu5Ac_hydroxylase_Rieske', 3, NULL),
(34461, NULL, 'IPR036773', NULL, 'TGF-beta binding (TB) domain superfamily', 'TB_dom_sf', 5, NULL),
(34462, NULL, 'IPR040041', NULL, 'Transmembrane protein 201', 'TMEM201', 4, NULL),
(34463, NULL, 'IPR038726', NULL, 'PD-(D/E)XK endonuclease-like domain, AddAB-type', 'PDDEXK_AddAB-type', 3, NULL),
(34464, NULL, 'IPR042061', NULL, 'Peregrin, ePHD domain', 'Peregrin_ePHD', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34465, NULL, 'IPR040595', NULL, 'EZH2, N-terminal domain', 'EZH2_N', 3, NULL),
(34466, NULL, 'IPR036274', NULL, 'HR1 repeat superfamily', 'HR1_rpt_sf', 5, NULL),
(34467, NULL, 'IPR033020', NULL, 'Ventral anterior homeobox 1', 'Vax1', 4, NULL),
(34468, NULL, 'IPR040526', NULL, 'Inulin fructotransferase, beta helix repeat', 'Beta_helix_2', 7, NULL),
(34469, NULL, 'IPR036986', NULL, 'RNA-binding S4 domain superfamily', 'S4_RNA-bd_sf', 5, NULL),
(34470, NULL, 'IPR040074', NULL, 'BssD/PflA/YjjW', 'BssD/PflA/YjjW', 4, NULL),
(34471, NULL, 'IPR035837', NULL, 'Tyrosine-protein kinase ABL, SH2 domain', 'ABL_SH2', 3, NULL),
(34472, NULL, 'IPR040443', NULL, 'PH_15 domain', 'PH_15', 3, NULL),
(34473, NULL, 'IPR042078', NULL, 'Lysine tRNA ligase, stem contact fold domain', 'Lys-tRNA-ligase_SC_fold', 5, NULL),
(34474, NULL, 'IPR035293', NULL, 'Vacuole-related protein 17', 'Vac17', 4, NULL),
(34475, NULL, 'IPR036171', NULL, 'Ta0354, soluble domain superfamily', 'Ta0354_soluble_sf', 5, NULL),
(34476, NULL, 'IPR036400', NULL, 'Cytochrome b5-like heme/steroid binding domain superfamily', 'Cyt_B5-like_heme/steroid_sf', 5, NULL),
(34477, NULL, 'IPR040099', NULL, 'Zinc finger ZZ-type and EF-hand domain-containing protein 1', 'ZZEF1', 4, NULL),
(34478, NULL, 'IPR040527', NULL, 'Porphyranase catalytic subdomain 1', 'Porphyrn_cat_1', 3, NULL),
(34479, NULL, 'IPR036398', NULL, 'Alpha carbonic anhydrase domain superfamily', 'CA_dom_sf', 5, NULL),
(34480, NULL, 'IPR033258', NULL, 'EP300-interacting inhibitor of differentiation', 'EID', 4, NULL),
(34481, NULL, 'IPR035769', NULL, 'Dedicator of cytokinesis 4, SH3 domain', 'DOCK4_SH3', 3, NULL),
(34482, NULL, 'IPR039241', NULL, 'Ribosomal RNA-processing protein Rrp9-like', 'Rrp9-like', 4, NULL),
(34483, NULL, 'IPR035839', NULL, 'SH2D4B, SH2 domain', 'SH2D4B_SH2', 3, NULL),
(34484, NULL, 'IPR035281', NULL, 'Protein of unknown function DUF5359', 'DUF5359', 4, NULL),
(34485, NULL, 'IPR040600', NULL, 'Agglutinin, C-terminal', 'Agglutinin_C', 3, NULL),
(34486, NULL, 'IPR036290', NULL, 'Phenylalanine zipper superfamily', 'Phe_ZIP_sf', 5, NULL),
(34487, NULL, 'IPR036409', NULL, 'Class II aldolase/adducin N-terminal domain superfamily', 'Aldolase_II/adducin_N_sf', 5, NULL),
(34488, NULL, 'IPR035275', NULL, 'Small integral membrane protein 3', 'Smim3', 4, NULL),
(34489, NULL, 'IPR033342', NULL, 'Beta-crystallin A4', 'CRYBA4', 4, NULL),
(34490, NULL, 'IPR038949', NULL, 'Coiled-coil domain-containing protein 105', 'CCDC105', 4, NULL),
(34491, NULL, 'IPR037286', NULL, 'Fibulin-2', 'Fibulin-2', 4, NULL),
(34492, NULL, 'IPR037749', NULL, 'Extended synaptotagmin, C2B domain', 'Ext_Synaptotagmin_C2B', 3, NULL),
(34493, NULL, 'IPR037216', NULL, 'DNA terminal protein Gp3 superfamily', 'DNA_terminal_Gp3_sf', 5, NULL),
(34494, NULL, 'IPR035287', NULL, 'Protein of unknown function DUF5362', 'DUF5362', 4, NULL),
(34495, NULL, 'IPR040097', NULL, 'Fatty acyl-AMP ligase /fatty acyl-coenzyme A (CoA) ligase', 'FAAL/FAAC', 4, NULL),
(34496, NULL, 'IPR040285', NULL, 'Prolyl-tRNA editing protein ProX/PRXD1', 'ProX/PRXD1', 4, NULL),
(34497, NULL, 'IPR040602', NULL, 'Cucumopine synthase, C-terminal helical bundle domain', 'Cucumopine_C', 3, NULL),
(34498, NULL, 'IPR036359', NULL, 'Thiol-activated cytolysin superfamily', 'Thiol_cytolysin_sf', 5, NULL),
(34499, NULL, 'IPR039022', NULL, 'Circadian clock protein KaiB-like', 'KaiB-like', 4, NULL),
(34500, NULL, 'IPR033026', NULL, 'Alpha-tectorin', 'TECTA', 4, NULL),
(34501, NULL, 'IPR035712', NULL, 'TRADD', 'TRADD', 4, NULL),
(34502, NULL, 'IPR038476', NULL, 'UvrC, RNAse H endonuclease domain superfamily', 'UvrC_RNase_H_dom_sf', 5, NULL),
(34503, NULL, 'IPR038122', NULL, 'PFU domain superfamily', 'PFU_sf', 5, NULL),
(34504, NULL, 'IPR038018', NULL, 'Uncharacterised protein HP_1531', 'HP_1531', 5, NULL),
(34505, NULL, 'IPR038034', NULL, 'Histone-lysine N-methyltransferase EHMT2', 'EHMT2', 4, NULL),
(34506, NULL, 'IPR038465', NULL, 'APS reductase, beta subunit, C-terminal domain superfamily', 'APS_reduc_Bsu_C_sf', 5, NULL),
(34507, NULL, 'IPR038127', NULL, 'Dinitrogenase iron-molybdenum cofactor, N-terminal domain superfamily', 'NafY_N_sf', 5, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34508, NULL, 'IPR037542', NULL, 'Adenovirus hexon protein', 'ADV_hexon', 4, NULL),
(34509, NULL, 'IPR037777', NULL, 'RASA4, PH domain', 'RASA4_PH', 3, NULL),
(34510, NULL, 'IPR038890', NULL, 'DBF4-type zinc finger-containing protein 2', 'ZDBF2', 4, NULL),
(34511, NULL, 'IPR036765', NULL, 'ZipA, C-terminal FtsZ-binding domain superfamily', 'ZipA_FtsZ-bd_C_sf', 5, NULL),
(34512, NULL, 'IPR035783', NULL, 'SPRY domain-containing protein 3, SPRY domain', 'SPRYD3_SPRY', 3, NULL),
(34513, NULL, 'IPR033838', NULL, 'Colicin V processing peptidase', 'CvaB_peptidase', 3, NULL),
(34514, NULL, 'IPR036727', NULL, 'Olfactory marker superfamily', 'Olfactory_marker_sf', 5, NULL),
(34515, NULL, 'IPR038811', NULL, 'CUB domain-containing protein 1', 'CDCP1', 4, NULL),
(34516, NULL, 'IPR040890', NULL, 'CopZ, zinc binding domain', 'Znf_CopZ', 3, NULL),
(34517, NULL, 'IPR033421', NULL, 'Rit1, DUSP-like domain', 'Rit1_DUSP-like', 3, NULL),
(34518, NULL, 'IPR036724', NULL, 'Cobalamin-binding domain superfamily', 'Cobalamin-bd_sf', 5, NULL),
(34519, NULL, 'IPR036726', NULL, 'GTP1/OBG domain superfamily', 'GTP1_OBG_dom_sf', 5, NULL),
(34520, NULL, 'IPR036755', NULL, 'SRS domain superfamily', 'SRS_dom_sf', 5, NULL),
(34521, NULL, 'IPR039876', NULL, '28kDa heat- and acid-stable phosphoprotein', 'HAP28', 4, NULL),
(34522, NULL, 'IPR033519', NULL, 'Protein BEARSKIN', 'BRN1/BRN2', 4, NULL),
(34523, NULL, 'IPR037887', NULL, 'p115RhoGEF, RGS domain', 'p115RhoGEF_RGS', 3, NULL),
(34524, NULL, 'IPR037757', NULL, 'COP9 Signalosome complex subunit 7A', 'COPS7A', 4, NULL),
(34525, NULL, 'IPR037848', NULL, 'GEM-like protein', 'GEM-like', 4, NULL),
(34526, NULL, 'IPR036753', NULL, 'Actin-related protein 2/3 complex subunit 3 superfamily', 'ARPC3_sf', 5, NULL),
(34527, NULL, 'IPR038597', NULL, 'GGGP/HepGP synthase superfamily', 'GGGP/HepGP_synthase_sf', 5, NULL),
(34528, NULL, 'IPR037444', NULL, 'Putative glycerol kinase 5, FGGY', 'GK5_FGGY', 4, NULL),
(34529, NULL, 'IPR037630', NULL, 'SASH1, SAM domain repeat 2', 'SASH1_SAM_repeat2', 3, NULL),
(34530, NULL, 'IPR033087', NULL, 'RNA-binding protein Nova-2', 'Nova-2', 4, NULL),
(34531, NULL, 'IPR037621', NULL, 'Liprin-alpha, SAM domain repeat 2', 'Liprin-alpha_SAM_rpt_2', 3, NULL),
(34532, NULL, 'IPR040824', NULL, 'Large polyvalent protein-associated domain 3', 'LPD3', 3, NULL),
(34533, NULL, 'IPR037974', NULL, 'BICC1, SAM domain', 'BICC1_SAM_dom', 3, NULL),
(34534, NULL, 'IPR037247', NULL, 'YvfG domain superfamily', 'YvfG_sf', 5, NULL),
(34535, NULL, 'IPR040830', NULL, 'Bacterial archaeo-eukaryotic release factor family 8', 'Bact_RF_family8', 4, NULL),
(34536, NULL, 'IPR036587', NULL, 'Nuclease A inhibitor-like superfamily', 'NucleaseA_inhib-like_sf', 5, NULL),
(34537, NULL, 'IPR038503', NULL, 'Stage III sporulation protein AH-like superfamily', 'SpoIIIAH_sf', 5, NULL),
(34538, NULL, 'IPR035859', NULL, 'STAT1, SH2 domain', 'STAT1_SH2', 3, NULL),
(34539, NULL, 'IPR040846', NULL, 'ORF 12 gene product, N-terminal', 'ORF_12_N', 3, NULL),
(34540, NULL, 'IPR038501', NULL, 'Spore germination GerAC, C-terminal domain  superfamily', 'Spore_GerAC_C_sf', 5, NULL),
(34541, NULL, 'IPR035843', NULL, 'DAPP1, SH2 domain', 'DAPP1_SH2', 3, NULL),
(34542, NULL, 'IPR038809', NULL, 'Vimentin-type intermediate filament-associated coiled-coil protein', 'VMAC', 4, NULL),
(34543, NULL, 'IPR036586', NULL, 'Neurotoxin B-IV-like superfamily', 'Neurotoxin_B-IV-like_sf', 5, NULL),
(34544, NULL, 'IPR037858', NULL, 'ARAP, RhoGAP domain', 'RhoGAP_ARAP', 3, NULL),
(34545, NULL, 'IPR037282', NULL, 'F-actin-capping protein subunit alpha/beta', 'CapZ_alpha/beta', 5, NULL),
(34546, NULL, 'IPR037775', NULL, 'C2CD3, C2 domain', 'C2_C2CD3', 3, NULL),
(34547, NULL, 'IPR035780', NULL, 'Ssh4-like, SPRY domain', 'SPRY_Ssh4-like', 3, NULL),
(34548, NULL, 'IPR037535', NULL, '[LysW]-L-2-aminoadipate/[LysW]-L-glutamate phosphate reductase', 'LysY', 4, NULL),
(34549, NULL, 'IPR038805', NULL, 'Transmembrane protein 139', 'TMEM139', 4, NULL),
(34550, NULL, 'IPR035135', NULL, 'Protein of unknown function DUF5496', 'DUF5496', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34551, NULL, 'IPR040874', NULL, 'Protein of of unknown function DUF5551', 'DUF5551', 4, NULL),
(34552, NULL, 'IPR040800', NULL, 'Methyltransferase MycE, N-terminal', 'MycE_N', 3, NULL),
(34553, NULL, 'IPR037634', NULL, 'Protein Smaug, SAM domain', 'Smaug_SAM', 3, NULL),
(34554, NULL, 'IPR037976', NULL, 'HERC2, APC10 domain', 'HERC2_APC10', 3, NULL),
(34555, NULL, 'IPR035782', NULL, 'Ran binding protein 9/10, SPRY domain', 'SPRY_RanBP9/10', 3, NULL),
(34556, NULL, 'IPR037797', NULL, 'FGD2, N-terminal PH domain', 'FGD2_PH1', 3, NULL),
(34557, NULL, 'IPR037623', NULL, 'SAMSN1, SAM domain', 'SAMSN1_SAM', 3, NULL),
(34558, NULL, 'IPR038459', NULL, 'tRNA methyltransferase TRM10-type domain superfamily', 'MT_TRM10-typ_sf', 5, NULL),
(34559, NULL, 'IPR036761', NULL, 'Lipid/polyisoprenoid-binding, YceI-like superfamily', 'TTHA0802/YceI-like_sf', 5, NULL),
(34560, NULL, 'IPR036722', NULL, 'CART, C-terminal domain superfamily', 'CART_C_sf', 5, NULL),
(34561, NULL, 'IPR039945', NULL, 'Lymphocyte antigen 86', 'LY86', 4, NULL),
(34562, NULL, 'IPR038586', NULL, 'Tctex-1-like superfamily', 'Tctex-1-like_sf', 5, NULL),
(34563, NULL, 'IPR038513', NULL, 'FAIM1 domain superfamily', 'FAIM1_dom_sf', 5, NULL),
(34564, NULL, 'IPR035078', NULL, 'Phosphoenolpyruvate carboxykinase, GTP-utilising, N-terminal', 'PEP_carboxykinase_GTP_N', 3, NULL),
(34565, NULL, 'IPR038462', NULL, 'YaiA-like superfamily', 'YaiA-like_sf', 5, NULL),
(34566, NULL, 'IPR038596', NULL, 'Janus superfamily', 'Janus_sf', 5, NULL),
(34567, NULL, 'IPR039867', NULL, 'Protein furry/Tao3/Mor2', 'Furry/Tao3/Mor2', 4, NULL),
(34568, NULL, 'IPR040895', NULL, 'Argonaute, PAZ domain', 'Ago_PAZ', 3, NULL),
(34569, NULL, 'IPR036719', NULL, 'Neurotransmitter-gated ion-channel transmembrane domain superfamily', 'Neuro-gated_channel_TM_sf', 5, NULL),
(34570, NULL, 'IPR033382', NULL, 'Ubiquitin-specific peptidase 24', 'USP24', 4, NULL),
(34571, NULL, 'IPR037787', NULL, 'OCRL1, PH domain', 'OCRL1_PH', 3, NULL),
(34572, NULL, 'IPR039815', NULL, 'Pleckstrin homology domain-containing family B member 2', 'PLEKHB2', 4, NULL),
(34573, NULL, 'IPR038077', NULL, 'Troponin domain superfamily', 'Troponin_sf', 5, NULL),
(34574, NULL, 'IPR037178', NULL, 'Colicin D, C-terminal domain superfamily', 'ColicinD_C_sf', 5, NULL),
(34575, NULL, 'IPR035984', NULL, 'Acyl-CoA binding protein superfamily', 'Acyl-CoA-binding_sf', 5, NULL),
(34576, NULL, 'IPR038843', NULL, 'Cell wall protein Sed1/Spi1', 'Sed1/Spi1', 4, NULL),
(34577, NULL, 'IPR038086', NULL, 'DUF2789 superfamily', 'DUF2789_sf', 5, NULL),
(34578, NULL, 'IPR036749', NULL, 'Expansin, cellulose-binding-like domain superfamily', 'Expansin_CBD_sf', 5, NULL),
(34579, NULL, 'IPR040238', NULL, 'Helix-loop-helix protein TAL-like', 'TAL-like', 4, NULL),
(34580, NULL, 'IPR033072', NULL, 'Nuclear pore glycoprotein p62, metazoa', 'NUP62_met', 4, NULL),
(34581, NULL, 'IPR033383', NULL, 'Ubiquitin-specific peptidase 51', 'USP51', 4, NULL),
(34582, NULL, 'IPR037243', NULL, 'Viral leader polypeptide zinc finger', 'Viral_lead_polypep_zc_finger', 5, NULL),
(34583, NULL, 'IPR038126', NULL, 'RAMP domain superfamily', 'RAMP_sf', 5, NULL),
(34584, NULL, 'IPR036903', NULL, 'Peptidase S59, nucleoporin superfamily', 'Peptidase_S59_sf', 5, NULL),
(34585, NULL, 'IPR033521', NULL, 'Clathrin interactor EPSIN 1', 'EPSIN1', 4, NULL),
(34586, NULL, 'IPR038593', NULL, 'RNA polymerase Rpb1, domain 7 superfamily', 'RNA_pol_Rpb1_7_sf', 5, NULL),
(34587, NULL, 'IPR035986', NULL, 'PKD domain superfamily', 'PKD_dom_sf', 5, NULL),
(34588, NULL, 'IPR038810', NULL, 'Centlein', 'CNTLN', 4, NULL),
(34589, NULL, 'IPR038888', NULL, 'Cilia- and flagella-associated protein 36', 'CFAP36', 4, NULL),
(34590, NULL, 'IPR040620', NULL, 'Protein of unknown function DUF5560', 'DUF5560', 4, NULL),
(34591, NULL, 'IPR037617', NULL, 'Liprin-beta, SAM domain repeat 1', 'Liprin-beta_SAM_rpt_1', 3, NULL),
(34592, NULL, 'IPR035582', NULL, 'Protein of unknown function DUF5418', 'DUF5418', 4, NULL),
(34593, NULL, 'IPR040792', NULL, 'Zap1, zinc finger 2', 'Zap1_Znf2', 3, NULL),
(34594, NULL, 'IPR038137', NULL, 'Excisionase-like superfamily', 'Excisionase-like_sf', 5, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34595, NULL, 'IPR038880', NULL, 'Uncharacterized protein MJ0871-like', 'MJ0871-like', 4, NULL),
(34596, NULL, 'IPR035784', NULL, 'Fbxo45, SPRY domain', 'SPRY_FBXO45', 3, NULL),
(34597, NULL, 'IPR035830', NULL, 'TRIM62, PRY/SPRY domain', 'PRY/SPRY_TRIM62', 3, NULL),
(34598, NULL, 'IPR040295', NULL, 'Protein root primordium defective 1-like', 'RPD1-like', 4, NULL),
(34599, NULL, 'IPR038883', NULL, 'Uncharacterized protein AN11006-like', 'AN11006-like', 4, NULL),
(34600, NULL, 'IPR040841', NULL, 'Protein of unknown function DUF5519', 'DUF5519', 4, NULL),
(34601, NULL, 'IPR040207', NULL, 'Ribonuclease P protein subunit Rpp25', 'Rpp25', 4, NULL),
(34602, NULL, 'IPR036742', NULL, 'ATP synthase, F1 complex, epsilon  subunit superfamily, mitochondrial', 'ATP_synth_F1_esu_sf_mt', 5, NULL),
(34603, NULL, 'IPR038552', NULL, 'Tim21 IMS domain superfamily', 'Tim21_IMS_sf', 5, NULL),
(34604, NULL, 'IPR038875', NULL, 'Phospholipase A2, conodipine-like', 'PLA2_conodipine-like', 4, NULL),
(34605, NULL, 'IPR038469', NULL, 'tRNAHis guanylyltransferase Thg1 superfamily', 'tRNAHis_GuaTrfase_Thg1_sf', 5, NULL),
(34606, NULL, 'IPR037853', NULL, 'Net1, PH domain', 'Net1_PH', 3, NULL),
(34607, NULL, 'IPR038858', NULL, 'Secretogranin-2', 'ScgII', 4, NULL),
(34608, NULL, 'IPR037639', NULL, 'SMOC-1, extracellular calcium-binding domain', 'SMOC1_EC', 3, NULL),
(34609, NULL, 'IPR036757', NULL, 'Transferrin receptor-like, dimerisation domain superfamily', 'TFR-like_dimer_dom_sf', 5, NULL),
(34610, NULL, 'IPR036721', NULL, 'Regulator of K+ conductance, C-terminal domain superfamily', 'RCK_C_sf', 5, NULL),
(34611, NULL, 'IPR036686', NULL, 'Hydrophobin superfamily', 'Hydrophobin_sf', 5, NULL),
(34612, NULL, 'IPR037881', NULL, 'RGS14, RGS domain', 'RGS14_RGS', 3, NULL),
(34613, NULL, 'IPR040835', NULL, 'Nucleotide modification associated domain 5', 'Nmad5', 3, NULL),
(34614, NULL, 'IPR036756', NULL, 'H/ACA ribonucleoprotein complex, subunit Nop10 superfamily', 'H/ACA_rnp_Nop10_sf', 5, NULL),
(34615, NULL, 'IPR037860', NULL, 'Chimaerin, RhoGAP domain', 'RhoGAP_chimaerin', 3, NULL),
(34616, NULL, 'IPR036735', NULL, 'NusG, N-terminal domain superfamily', 'NGN_dom_sf', 5, NULL),
(34617, NULL, 'IPR036734', NULL, 'Neurotransmitter-gated ion-channel ligand-binding domain superfamily', 'Neur_chan_lig-bd_sf', 5, NULL),
(34618, NULL, 'IPR036747', NULL, 'Histone chaperone ASF1-like superfamily', 'ASF1-like_sf', 5, NULL),
(34619, NULL, 'IPR035985', NULL, 'Ubiquitin-activating enzyme', 'Ubiquitin-activating_enz', 5, NULL),
(34620, NULL, 'IPR036715', NULL, 'Alpha-2,3-sialyltransferase superfamily', 'A-2_3-sialylTrfase_sf', 5, NULL),
(34621, NULL, 'IPR039875', NULL, 'Leukocyte receptor cluster member 1-like', 'LENG1-like', 4, NULL),
(34622, NULL, 'IPR038458', NULL, 'NADH-quinone oxidoreductase, subunit 15 superfamily', 'NADH_quinone_OxRdtase_su15_sf', 5, NULL),
(34623, NULL, 'IPR033849', NULL, 'Carboxypeptidase B2', 'CPB2', 3, NULL),
(34624, NULL, 'IPR038129', NULL, 'Nanos domain superfamily', 'Nanos_sf', 5, NULL),
(34625, NULL, 'IPR040889', NULL, 'RFX5, N-terminal', 'RFX5_N', 3, NULL),
(34626, NULL, 'IPR038793', NULL, 'Lysine-rich arabinogalactan protein 19', 'AGP19', 4, NULL),
(34627, NULL, 'IPR035829', NULL, 'TRIM4, PRY/SPRY domain', 'PRY/SPRY_TRIM4', 3, NULL),
(34628, NULL, 'IPR033516', NULL, 'CARD8/ASC/NALP1, CARD domain', 'CARD8/ASC/NALP1_CARD', 3, NULL),
(34629, NULL, 'IPR037753', NULL, 'COP9 signalosome complex subunit 3', 'CSN3', 4, NULL),
(34630, NULL, 'IPR034408', NULL, 'Sulphate/thiosulphate-binding site', 'Sulphate/thiosulphate_BS', 1, NULL),
(34631, NULL, 'IPR034260', NULL, 'Yme2, RNA recognition motif', 'Yme2_RRM', 3, NULL),
(34632, NULL, 'IPR038808', NULL, 'Protein modifier of SNC1 1-like', 'MOS1-like', 4, NULL),
(34633, NULL, 'IPR038837', NULL, 'tRNA ligase 1', 'tRNA_ligase_1', 4, NULL),
(34634, NULL, 'IPR037256', NULL, 'ASC domain superfamily', 'ASC_dom_sf', 5, NULL),
(34635, NULL, 'IPR040839', NULL, 'Macroglobulin domain MG4', 'MG4', 3, NULL),
(34636, NULL, 'IPR038803', NULL, 'Small integral membrane protein 33', 'SMIM33', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34637, NULL, 'IPR036901', NULL, 'Aspartate/ornithine carbamoyltransferase superfamily', 'Asp/Orn_carbamoylTrfase_sf', 5, NULL),
(34638, NULL, 'IPR040186', NULL, 'Citramalyl-CoA lyase', 'Citramalyl-CoA_lyase', 4, NULL),
(34639, NULL, 'IPR038765', NULL, 'Papain-like cysteine peptidase superfamily', 'Papain-like_cys_pep_sf', 5, NULL),
(34640, NULL, 'IPR038873', NULL, 'Uncharacterized protein CXorf66', 'CXorf66', 4, NULL),
(34641, NULL, 'IPR036689', NULL, 'ESAT-6-like superfamily', 'ESAT-6-like_sf', 5, NULL),
(34642, NULL, 'IPR040873', NULL, 'SopB, HTH domain', 'SoPB_HTH', 3, NULL),
(34643, NULL, 'IPR037325', NULL, 'Bromodomain adjacent to zinc finger domain protein 1A, bromodomain', 'Acf1_Bromo', 3, NULL),
(34644, NULL, 'IPR039873', NULL, 'Coiled-coil domain-containing protein 78', 'CCDC78', 4, NULL),
(34645, NULL, 'IPR033206', NULL, 'Paired box protein PAX1', 'PAX1', 4, NULL),
(34646, NULL, 'IPR034127', NULL, 'CX3C chemokine domain', 'Chemokine_CX3C', 3, NULL),
(34647, NULL, 'IPR040280', NULL, 'Protein FAM163B', 'FAM163B', 4, NULL),
(34648, NULL, 'IPR037620', NULL, 'Liprin-alpha, SAM domain repeat 1', 'Liprin-alpha_SAM_rpt_1', 3, NULL),
(34649, NULL, 'IPR033518', NULL, 'Protein SOMBRERO', 'SMB', 4, NULL),
(34650, NULL, 'IPR037014', NULL, 'Dedicator of cytokinesis 4', 'DOCK4', 4, NULL),
(34651, NULL, 'IPR038079', NULL, 'PA2021-like domain superfamily', 'PA2021-like_sf', 5, NULL),
(34652, NULL, 'IPR040248', NULL, 'Ribosome-binding protein 1', 'RRBP1', 4, NULL),
(34653, NULL, 'IPR035774', NULL, 'RING finger and SPRY domain-containing protein 1, SPRY domain', 'SPRY_RSPRY1', 3, NULL),
(34654, NULL, 'IPR040826', NULL, 'LA2681-like HEPN domain', 'HEPN_LA2681', 3, NULL),
(34655, NULL, 'IPR034997', NULL, 'Inner nuclear membrane protein Man1', 'Man1', 4, NULL),
(34656, NULL, 'IPR037246', NULL, 'Extracellular hemoglobin linker subunit, heterodimerisation domain', 'Extrac_hemoglob_link_heterodim', 5, NULL),
(34657, NULL, 'IPR038182', NULL, 'HMD, C-terminal domain superfamily', 'HMD_C_sf', 5, NULL),
(34658, NULL, 'IPR039893', NULL, 'Centrosomal protein of 120kDa-like', 'CEP120-like', 4, NULL),
(34659, NULL, 'IPR038294', NULL, 'SLBP, RNA-binding domain superfamily', 'SLBP_RNA_bind_sf', 5, NULL),
(34660, NULL, 'IPR040837', NULL, 'Bacterial archaeo-eukaryotic release factor family 7', 'Bact_RF_family7', 4, NULL),
(34661, NULL, 'IPR037987', NULL, 'Four and a half LIM domains protein 2/3/5', 'FHL2/3/5', 4, NULL),
(34662, NULL, 'IPR036732', NULL, 'Antifreeze-like/N-acetylneuraminic acid synthase C-terminal domain superfamily', 'AFP_Neu5c_C_sf', 5, NULL),
(34663, NULL, 'IPR035685', NULL, '4-hydroxy-2-oxovalerate aldolase, N-terminal catalytic TIM barrel domain', 'DRE_TIM_HOA', 3, NULL),
(34664, NULL, 'IPR040825', NULL, 'FKBP26, C-terminal', 'FKBP26_C', 3, NULL),
(34665, NULL, 'IPR038470', NULL, 'Cellulose synthase subunit D superfamily', 'Cellsynth_D_sf', 5, NULL),
(34666, NULL, 'IPR040897', NULL, 'Plasmodium host cell traversal SPECT1', 'SPECT1', 3, NULL),
(34667, NULL, 'IPR038132', NULL, 'Vps16, C-terminal domain superfamily', 'Vps16_C_sf', 5, NULL),
(34668, NULL, 'IPR037774', NULL, 'RASA3, PH domain', 'RASA3_PH', 3, NULL),
(34669, NULL, 'IPR038038', NULL, 'Lethal(3)malignant brain tumour-like protein 2', 'L3MBTL2', 4, NULL),
(34670, NULL, 'IPR033077', NULL, 'Ets DNA-binding protein pokkuri', 'Pokkuri', 4, NULL),
(34671, NULL, 'IPR035259', NULL, 'Protein of unknown function DUF5437', 'DUF5437', 4, NULL),
(34672, NULL, 'IPR035134', NULL, 'Protein of unknown function DUF5498', 'DUF5498', 4, NULL),
(34673, NULL, 'IPR039942', NULL, 'Somatomedin-B and thrombospondin type-1 domain-containing protein', 'SBSPO', 4, NULL),
(34674, NULL, 'IPR034496', NULL, 'TIAR, RNA recognition motif 3', 'TIAR_RRM3', 3, NULL),
(34675, NULL, 'IPR033201', NULL, 'Hornerin', 'HRNR', 4, NULL),
(34676, NULL, 'IPR034494', NULL, 'TIAR, RNA recognition motif 2', 'TIAR_RRM2', 3, NULL),
(34677, NULL, 'IPR040844', NULL, 'Phosphodiesterase 4 upstream conserved regions (UCR)', 'PDE4_UCR', 3, NULL),
(34678, NULL, 'IPR038768', NULL, 'Small aggregate formation protein', 'SmlA', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34679, NULL, 'IPR037443', NULL, 'Leucine rich adaptor protein 1', 'LURAP1', 4, NULL),
(34680, NULL, 'IPR038570', NULL, 'HicA superfamily', 'HicA_sf', 5, NULL),
(34681, NULL, 'IPR033385', NULL, 'Indian hedgehog protein', 'IHH', 4, NULL),
(34682, NULL, 'IPR038741', NULL, 'AP-5 complex subunit beta-1', 'AP5B1', 4, NULL),
(34683, NULL, 'IPR040803', NULL, 'Tyramine--L-glutamate ligase, pre ATP-grasp domain', 'MfnD_preATP-grasp', 3, NULL),
(34684, NULL, 'IPR039872', NULL, 'Uncharacterized protein KIAA0513', 'KIAA0513', 4, NULL),
(34685, NULL, 'IPR036766', NULL, 'Fe(II) trafficking protein YggX superfamily', 'Fe_traffick_prot_YggX_sf', 5, NULL),
(34686, NULL, 'IPR040886', NULL, 'TRIF, N-terminal', 'TRIF_N', 3, NULL),
(34687, NULL, 'IPR033449', NULL, 'Rit1, N-terminal domain', 'Rit1_N', 3, NULL),
(34688, NULL, 'IPR036743', NULL, 'Actin-related protein 2/3 complex subunit 5 superfamily', 'ARPC5_sf', 5, NULL),
(34689, NULL, 'IPR039940', NULL, 'F-box only protein 33', 'FBXO33', 4, NULL),
(34690, NULL, 'IPR038410', NULL, 'GxGYxYP putative glycoside hydrolase, C-terminal domain superfamily', 'GxGYxYP_C_sf', 5, NULL),
(34691, NULL, 'IPR038652', NULL, 'Circovirus capsid superfamily', 'Circovirus_capsid_sf', 5, NULL),
(34692, NULL, 'IPR038677', NULL, 'WIF domain superfamily', 'WIF_sf', 5, NULL),
(34693, NULL, 'IPR040836', NULL, 'SMODS-associated and fused to various effectors', 'SAVED', 3, NULL),
(34694, NULL, 'IPR040180', NULL, 'Neuregulin', 'Neuregulin', 4, NULL),
(34695, NULL, 'IPR038581', NULL, 'Ornithine decarboxylase antizyme superfamily', 'ODC_AZ_sf', 5, NULL),
(34696, NULL, 'IPR036687', NULL, 'DinI-like superfamily', 'DinI-like_sf', 5, NULL),
(34697, NULL, 'IPR038475', NULL, 'RecG, C-terminal domain superfamily', 'RecG_C_sf', 5, NULL),
(34698, NULL, 'IPR038871', NULL, 'UPF0653 protein C607.02c-like', 'C607.02c-like', 4, NULL),
(34699, NULL, 'IPR038133', NULL, 'Ribonuclease III superfamily, archaeal', 'Ribo_III_sf_archaeal', 5, NULL),
(34700, NULL, 'IPR040791', NULL, 'Protein of unknown function DUF5555', 'DUF5555', 4, NULL),
(34701, NULL, 'IPR038838', NULL, 'Telomerase RNA component interacting RNase', 'TRIR', 4, NULL),
(34702, NULL, 'IPR034254', NULL, 'DNAJC17, RNA recognition motif', 'DNAJC17_RRM', 3, NULL),
(34703, NULL, 'IPR038887', NULL, 'Dehydrodolichyl diphosphate synthase complex subunit Nus1', 'Nus1/NgBR', 4, NULL),
(34704, NULL, 'IPR038889', NULL, 'Shugoshin', 'Shugoshin', 4, NULL),
(34705, NULL, 'IPR037751', NULL, 'Dok1/2/3, PTB domain', 'Dok1/2/3_PTB', 3, NULL),
(34706, NULL, 'IPR037619', NULL, 'Liprin-beta, SAM domain repeat 3', 'Liprin-beta_SAM_rpt_3', 3, NULL),
(34707, NULL, 'IPR033037', NULL, 'Atypical chemokine receptor 2', 'Ackr2', 4, NULL),
(34708, NULL, 'IPR038474', NULL, 'Polyketide synthesis cyclase superfamily', 'Polyketide_synth_cyclase_sf', 5, NULL),
(34709, NULL, 'IPR039013', NULL, 'Inorganic triphosphatase YgiF', 'YgiF', 4, NULL),
(34710, NULL, 'IPR038510', NULL, 'Spt4 superfamily', 'Spt4_sf', 5, NULL),
(34711, NULL, 'IPR040010', NULL, 'Zinc finger protein 608/609', 'ZN608/ZN609', 4, NULL),
(34712, NULL, 'IPR035980', NULL, 'Ribosomal protein S6 superfamily', 'Ribosomal_S6_sf', 5, NULL),
(34713, NULL, 'IPR036764', NULL, 'Cysteine protease Prp superfamily', 'Peptidase_Prp_sf', 5, NULL),
(34714, NULL, 'IPR033085', NULL, 'Protein ERGIC-53', 'LMAN1', 4, NULL),
(34715, NULL, 'IPR038467', NULL, 'Peptide chain release factor 3, domain III superfamily', 'RF3_dom_3_sf', 5, NULL),
(34716, NULL, 'IPR037257', NULL, 'Type II secretion system protein GspE, N-terminal superfamily', 'T2SS_E_N_sf', 5, NULL),
(34717, NULL, 'IPR037249', NULL, 'TAFH/NHR1 domain superfamily', 'TAFH/NHR1_dom_sf', 5, NULL),
(34718, NULL, 'IPR036992', NULL, 'Contactin-1', 'Contactin-1', 4, NULL),
(34719, NULL, 'IPR035262', NULL, 'Protein of unknown function DUF5435', 'DUF5435', 4, NULL),
(34720, NULL, 'IPR037244', NULL, 'Thylakoid soluble phosphoprotein TSP9 superfamily', 'TSP9_sf', 5, NULL),
(34721, NULL, 'IPR033086', NULL, 'RNA-binding protein Nova-1', 'NOVA1', 4, NULL),
(34722, NULL, 'IPR038806', NULL, 'Spermatogenesis-associated protein 45', 'SPATA45', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34723, NULL, 'IPR035850', NULL, 'Tyrosine-protein kinase Lck, SH2 domain', 'Lck_SH2', 3, NULL),
(34724, NULL, 'IPR036763', NULL, 'Putative dsDNA mimic superfamily', 'Put_dsDNA_mimic_sf', 5, NULL),
(34725, NULL, 'IPR038461', NULL, 'Schlafen, AlbA_2 domain superfamily', 'Schlafen_AlbA_2_dom_sf', 5, NULL),
(34726, NULL, 'IPR038466', NULL, 'Peptidase S8, pro-domain superfamily', 'S8_pro-domain_sf', 5, NULL),
(34727, NULL, 'IPR033710', NULL, 'TATA-box binding protein, eukaryotic', 'TBP_eukaryotic', 4, NULL),
(34728, NULL, 'IPR037242', NULL, 'Vanadium-binding protein 2 superfamily', 'Vanabin-2_sf', 5, NULL),
(34729, NULL, 'IPR035857', NULL, 'STAT6, SH2 domain', 'STAT6_SH2', 3, NULL),
(34730, NULL, 'IPR035858', NULL, 'STAT5a/5b', 'STAT5a/5b', 4, NULL),
(34731, NULL, 'IPR037446', NULL, 'Histidine acid phosphatase, VIP1 family', 'His_Pase_VIP1', 4, NULL),
(34732, NULL, 'IPR037593', NULL, 'MIOS/Sea4', 'MIOS/Sea4', 4, NULL),
(34733, NULL, 'IPR040196', NULL, 'Zona pellucida sperm-binding protein 3', 'ZP3', 4, NULL),
(34734, NULL, 'IPR034525', NULL, 'PSF, RNA recognition motif 1', 'PSF_RRM1', 3, NULL),
(34735, NULL, 'IPR040834', NULL, 'Nicking enzyme C-terminal middle helical domain', 'NES_C_h', 3, NULL),
(34736, NULL, 'IPR038504', NULL, 'UL141-like superfamily', 'UL141-like_sf', 5, NULL),
(34737, NULL, 'IPR037984', NULL, 'SGIP1, mu-homology domain', 'SGIP1_MHD', 3, NULL),
(34738, NULL, 'IPR039874', NULL, 'Wings apart-like protein', 'WAPL', 4, NULL),
(34739, NULL, 'IPR037979', NULL, 'Serine/threonine-protein phosphatase PP1-alpha catalytic subunit', 'PPP1CA', 4, NULL),
(34740, NULL, 'IPR038891', NULL, 'Fibrous sheath-interacting protein 2', 'FSIP2', 4, NULL),
(34741, NULL, 'IPR039895', NULL, 'Protein cordon-bleu-like', 'COBL-like', 4, NULL),
(34742, NULL, 'IPR036729', NULL, 'TRADD, N-terminal domain superfamily', 'TRADD_N_sf', 5, NULL),
(34743, NULL, 'IPR038588', NULL, 'XS domain superfamily', 'XS_domain_sf', 5, NULL),
(34744, NULL, 'IPR034523', NULL, 'PSP1, RNA recognition motif 2', 'PSP1_RRM2', 3, NULL),
(34745, NULL, 'IPR035982', NULL, 'Photosystem I reaction centre subunit PsaK superfamily', 'PSI_centre_PsaK_sf', 5, NULL),
(34746, NULL, 'IPR037884', NULL, 'LARG, RGS domain', 'LARG_RGS', 3, NULL),
(34747, NULL, 'IPR038560', NULL, 'Beta-1,3-xylanase, CBM31 domain superfamily', 'Beta-xylanase_CBM31_sf', 5, NULL),
(34748, NULL, 'IPR038894', NULL, 'X-ray radiation resistance-associated protein 1', 'XRRA1', 4, NULL),
(34749, NULL, 'IPR039941', NULL, 'Tetratricopeptide repeat protein 30', 'TT30', 4, NULL),
(34750, NULL, 'IPR038423', NULL, 'Calcium-dependent cell adhesion molecule, C-terminal domain superfamily', 'CAD_C_sf', 5, NULL),
(34751, NULL, 'IPR034492', NULL, 'TIAR, RNA recognition motif 1', 'TIAR_RRM1', 3, NULL),
(34752, NULL, 'IPR040619', NULL, 'Cas9, alpha-helical lobe domain', 'Cas9_alpha-helical_lobe', 3, NULL),
(34753, NULL, 'IPR038035', NULL, 'Histone-lysine N-methyltransferase EHMT1', 'EHMT1', 4, NULL),
(34754, NULL, 'IPR038471', NULL, 'MecA, C-terminal domain superfamily', 'MecA_C_sf', 5, NULL),
(34755, NULL, 'IPR035773', NULL, 'Ring finger protein 123, SPRY domain', 'SPRY_RNF123', 3, NULL),
(34756, NULL, 'IPR036737', NULL, 'OmpA-like domain superfamily', 'OmpA-like_sf', 5, NULL),
(34757, NULL, 'IPR037925', NULL, 'Flagellar hook-basal body protein, FlgE/F/G-like', 'FlgE/F/G-like', 5, NULL),
(34758, NULL, 'IPR035264', NULL, 'Protein of unknown function DUF5434', 'DUF5434', 4, NULL),
(34759, NULL, 'IPR038796', NULL, 'At1g76070-like', 'At1g76070-like', 4, NULL),
(34760, NULL, 'IPR038807', NULL, 'Coiled-coil domain-containing protein 150', 'CCDC150', 4, NULL),
(34761, NULL, 'IPR036740', NULL, 'tRNA intron endonuclease, N-terminal domain superfamily', 'tRNA_intron_Endonuc_N_sf', 5, NULL),
(34762, NULL, 'IPR037978', NULL, 'TDRD7, third LOTUS domain', 'TDRD7_LOTUS_3', 3, NULL),
(34763, NULL, 'IPR035781', NULL, 'HECTD4, SPRY domain', 'SPRY_HECTD4', 3, NULL),
(34764, NULL, 'IPR037748', NULL, 'Dok-7, PTB domain', 'Dok-7_PTB', 3, NULL),
(34765, NULL, 'IPR034331', NULL, 'Uracil phosphoribosyltransferase, archaea', 'Upp_A', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34766, NULL, 'IPR037186', NULL, 'Minicollagen I, C-terminal domain', 'Minicollagen_I_C', 5, NULL),
(34767, NULL, 'IPR036718', NULL, 'Quinohemoprotein amine dehydrogenase alpha subunit, domain 2 superfamily', 'H-AmDH_asu_dom2_sf', 5, NULL),
(34768, NULL, 'IPR037754', NULL, 'COP9 signalosome complex subunit 4', 'CSN4', 4, NULL),
(34769, NULL, 'IPR037588', NULL, 'Target of rapamycin complex subunit LST8', 'MLST8', 4, NULL),
(34770, NULL, 'IPR033945', NULL, 'Cytochrome c oxidase subunit III domain', 'Cyt_c_oxase_su3_dom', 3, NULL),
(34771, NULL, 'IPR038037', NULL, 'Polycomb group RING finger protein 6', 'PCGF6', 4, NULL),
(34772, NULL, 'IPR040292', NULL, 'Uncharacterized protein C2orf78-like', 'C2orf78-like', 4, NULL),
(34773, NULL, 'IPR037317', NULL, 'Serine/threonine-protein kinase N1, second HR1 domain', 'PKN1_HR1_2', 3, NULL),
(34774, NULL, 'IPR037210', NULL, 'YoaC-like superfamily', 'YoaC-like_sf', 5, NULL),
(34775, NULL, 'IPR033450', NULL, 'NlpE, C-terminal OB domain', 'NlpE_C', 3, NULL),
(34776, NULL, 'IPR039816', NULL, 'Pleckstrin homology domain-containing family B member 1', 'PLEKHB1', 4, NULL),
(34777, NULL, 'IPR039915', NULL, 'TACC family', 'TACC', 4, NULL),
(34778, NULL, 'IPR038740', NULL, 'BioF2-like, acetyltransferase domain', 'BioF2-like_GNAT_dom', 3, NULL),
(34779, NULL, 'IPR038508', NULL, 'ArfGAP domain superfamily', 'ArfGAP_dom_sf', 5, NULL),
(34780, NULL, 'IPR033484', NULL, 'Retinal guanylyl cyclase 2', 'GUCY2F', 4, NULL),
(34781, NULL, 'IPR038579', NULL, 'Ribosomal protein S21e superfamily', 'Ribosomal_S21e_sf', 5, NULL),
(34782, NULL, 'IPR037258', NULL, 'PB2, C-terminal', 'PDB2_C', 5, NULL),
(34783, NULL, 'IPR037245', NULL, 'FIP-RBD, C-terminal domain superfamily', 'FIP-RBD_C_sf', 5, NULL),
(34784, NULL, 'IPR038804', NULL, 'Root meristem growth factor 1/2/3', 'RGF1/2/3', 4, NULL),
(34785, NULL, 'IPR038494', NULL, 'Imidazole glycerol phosphate dehydratase domain superfamily', 'IGPD_sf', 5, NULL),
(34786, NULL, 'IPR038852', NULL, 'Uncharacterized protein C16C6.04-like', 'C16C6.04-like', 4, NULL),
(34787, NULL, 'IPR038856', NULL, 'Death effector domain-containing protein', 'DEDD/DEDD2', 4, NULL),
(34788, NULL, 'IPR038695', NULL, 'Saro_0823-like superfamily', 'Saro_0823-like_sf', 5, NULL),
(34789, NULL, 'IPR035823', NULL, 'ARHGEF37, first C-terminal SH3 domain', 'ARHGEF37_SH3_C1', 3, NULL),
(34790, NULL, 'IPR040832', NULL, 'Domain of unknown function DUF5602', 'DUF5602', 3, NULL),
(34791, NULL, 'IPR036777', NULL, 'Nucleoside-specific channel-forming protein, Tsx-like superfamily', 'Channel_Tsx-like_sf', 5, NULL),
(34792, NULL, 'IPR038123', NULL, 'Non-structural protein NSP4, C-terminal superfamily, coronavirus', 'NSP4_C_sf_CoV', 5, NULL),
(34793, NULL, 'IPR038507', NULL, 'YcnI-like superfamily', 'YcnI-like_sf', 5, NULL),
(34794, NULL, 'IPR038047', NULL, 'Zinc finger protein DPF3', 'DPF3', 4, NULL),
(34795, NULL, 'IPR038564', NULL, 'Repressor of RNA polymerase III transcription Maf1 superfamily', 'Maf1_sf', 5, NULL),
(34796, NULL, 'IPR037855', NULL, 'Vacuolar protein sorting protein 36', 'Vps36', 4, NULL),
(34797, NULL, 'IPR038473', NULL, 'VirC2, C-terminal domain superfamily', 'VirC2_C_sf', 5, NULL),
(34798, NULL, 'IPR039921', NULL, 'Inscuteable', 'Inscuteable', 4, NULL),
(34799, NULL, 'IPR038794', NULL, 'Protein LIAT1', 'LIAT1', 4, NULL),
(34800, NULL, 'IPR037638', NULL, 'Serine/threonine-protein kinase greatwall, catalytic domain', 'MASTL_STKc', 3, NULL),
(34801, NULL, 'IPR038515', NULL, 'Two-component sensor protein CpxA, periplasmic domain superfamily', 'CpxA_peri_sf', 5, NULL),
(34802, NULL, 'IPR034257', NULL, 'Acinus, RNA recognition motif', 'Acinus_RRM', 3, NULL),
(34803, NULL, 'IPR040896', NULL, '26S proteasome regulatory subunit RPN5, C-terminal domain', 'RPN5_C', 3, NULL),
(34804, NULL, 'IPR034256', NULL, 'ALKBH8, RNA recognition motif', 'ALKBH8_RRM', 3, NULL),
(34805, NULL, 'IPR037179', NULL, 'Nucleocapsid protein, C-terminal', 'Nucleocapsid_C', 5, NULL),
(34806, NULL, 'IPR037635', NULL, 'VTS1, SAM domain', 'VTS1_SAM', 3, NULL),
(34807, NULL, 'IPR033817', NULL, 'MIG-17 peptidase', 'MIG-17', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34808, NULL, 'IPR040847', NULL, 'Mind bomb, SH3 repeat domain', 'SH3_15', 3, NULL),
(34809, NULL, 'IPR040894', NULL, '54S ribosomal protein L8, C-terminal', 'Mrpl_C', 3, NULL),
(34810, NULL, 'IPR038575', NULL, 'E6 superfamily', 'E6_sf', 5, NULL),
(34811, NULL, 'IPR038578', NULL, 'GT29-like superfamiliy', 'GT29-like_sf', 5, NULL),
(34812, NULL, 'IPR040239', NULL, 'Beta-lactamase HcpB-like', 'HcpB-like', 4, NULL),
(34813, NULL, 'IPR036754', NULL, 'YbaK/aminoacyl-tRNA synthetase-associated domain superfamily', 'YbaK/aa-tRNA-synt-asso_dom_sf', 5, NULL),
(34814, NULL, 'IPR038801', NULL, 'TATA box-binding protein-associated factor RNA polymerase I subunit C', 'TAF1C', 4, NULL),
(34815, NULL, 'IPR033209', NULL, 'ALX homeobox protein 1', 'ALX1', 4, NULL),
(34816, NULL, 'IPR038798', NULL, 'Coiled-coil domain-containing protein 138', 'CCDC138', 4, NULL),
(34817, NULL, 'IPR037891', NULL, 'Immunity protein Cdil-like superfamily', 'Cdil-like_sf', 5, NULL),
(34818, NULL, 'IPR038087', NULL, 'DNA-directed RNA polymerase subunit delta, N-terminal domain superfamily', 'RNAP_delta_N_dom_sf', 5, NULL),
(34819, NULL, 'IPR036384', NULL, 'Replication terminator Tus superfamily', 'Tus_sf', 5, NULL),
(34820, NULL, 'IPR035987', NULL, 'Ribosomal protein S8 superfamily', 'Ribosomal_S8_sf', 5, NULL),
(34821, NULL, 'IPR037618', NULL, 'Liprin-beta, SAM domain repeat 2', 'Liprin-beta_SAM_rpt_2', 3, NULL),
(34822, NULL, 'IPR039869', NULL, 'Ubiquitin domain-containing protein 1/2', 'UBTD1/2', 4, NULL),
(34823, NULL, 'IPR039894', NULL, 'tRNA pseudouridine synthase Pus10-like', 'Pus10-like', 4, NULL),
(34824, NULL, 'IPR037572', NULL, 'Complement C1q subcomponent subunit A', 'Complement_C1q_A', 4, NULL),
(34825, NULL, 'IPR040794', NULL, 'Carbohydrate esterase 2, N-terminal', 'CE2_N', 3, NULL),
(34826, NULL, 'IPR040796', NULL, 'CRISPR-associated endonuclease Cas9, beta-hairpin domain', 'Cas9_b_hairpin', 3, NULL),
(34827, NULL, 'IPR035581', NULL, 'Domain of unknown function DUF5465', 'DUF5465', 3, NULL),
(34828, NULL, 'IPR035543', NULL, 'Translation initiation factor eIF-2B subunit epsilon, N-terminal', 'eIF-2B_epsilon_N', 3, NULL),
(34829, NULL, 'IPR036904', NULL, 'Phycobilisome degradation protein NblA superfamily', 'NblA_sf', 5, NULL),
(34830, NULL, 'IPR035983', NULL, 'HECT, E3 ligase catalytic domain', 'Hect_E3_ubiquitin_ligase', 5, NULL),
(34831, NULL, 'IPR035856', NULL, 'STAT4, SH2 domain', 'STAT4_SH2', 3, NULL),
(34832, NULL, 'IPR040831', NULL, 'YdcK Beta solenoid repeat', 'B_solenoid_ydck_rpt', 7, NULL),
(34833, NULL, 'IPR037879', NULL, 'RGS10, RGS domain', 'RGS10_RGS', 3, NULL),
(34834, NULL, 'IPR040827', NULL, 'Arcadin 1', 'Arcadin_1', 3, NULL),
(34835, NULL, 'IPR038420', NULL, 'PapG, carbohydrate-binding domain superfamily', 'PapG_carbohydrate-bd_sf', 5, NULL),
(34836, NULL, 'IPR038583', NULL, 'L-arabinose isomerase, N-terminal domain superfamily', 'AraA_N_sf', 5, NULL),
(34837, NULL, 'IPR035824', NULL, 'Endophilin-A, SH3 domain', 'Endophilin_A_SH3', 3, NULL),
(34838, NULL, 'IPR033903', NULL, 'Patatin-like phospholipase domain-containing protein 2', 'PNPLA2', 3, NULL),
(34839, NULL, 'IPR037963', NULL, 'Apoptotic Protease-Activating Factor 1, CARD domain', 'APAF1_CARD_dom', 3, NULL),
(34840, NULL, 'IPR038797', NULL, 'Protein Flattop', 'Fltp', 4, NULL),
(34841, NULL, 'IPR040801', NULL, 'Ski2, N-terminal domain', 'Ski2_N', 3, NULL),
(34842, NULL, 'IPR033204', NULL, 'Paired box protein PAX9', 'PAX9', 4, NULL),
(34843, NULL, 'IPR037299', NULL, 'TRIM37, MATH domain', 'TRIM37_MATH', 3, NULL),
(34844, NULL, 'IPR037627', NULL, 'SASH1, SAM domain repeat 1', 'SASH1_SAM_repeat1', 3, NULL),
(34845, NULL, 'IPR038495', NULL, 'V-type ATPase subunit E, C-terminal domain superfamily', 'ATPase_E_C', 5, NULL),
(34846, NULL, 'IPR034998', NULL, 'Ankyrin repeat and LEM domain-containing protein 1', 'ANKLE1', 4, NULL),
(34847, NULL, 'IPR037552', NULL, 'Outer dense fibre protein 1, alpha crystallin domain', 'ODF1_ACD', 3, NULL),
(34848, NULL, 'IPR038460', NULL, 'Acetyl-CoA hydrolase/transferase, C-terminal domain superfamily', 'AcetylCoA_hyd_C_sf', 5, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34849, NULL, 'IPR038464', NULL, 'Ribosomal protein L38e superfamily', 'Ribosomal_L38e_sf', 5, NULL),
(34850, NULL, 'IPR038853', NULL, 'Small integral membrane protein 9', 'Smim9', 4, NULL),
(34851, NULL, 'IPR033658', NULL, 'Glutaredoxin, PICOT-like', 'GRX_PICOT-like', 3, NULL),
(34852, NULL, 'IPR038836', NULL, 'Mediator of RNA polymerase II transcription subunit 16', 'MED16', 4, NULL),
(34853, NULL, 'IPR038594', NULL, 'SepF-like superfamily', 'SepF-like_sf', 5, NULL),
(34854, NULL, 'IPR037889', NULL, 'Rho guanine nucleotide exchange factor 11, RGS domain', 'PDZRhoGEF_RGS', 3, NULL),
(34855, NULL, 'IPR038799', NULL, 'Protein LEKR1', 'LEKR1', 4, NULL),
(34856, NULL, 'IPR039871', NULL, 'Protein FAM8A1', 'FAM8A1', 4, NULL),
(34857, NULL, 'IPR035133', NULL, 'Protein of unknown function DUF5499', 'DUF5499', 4, NULL),
(34858, NULL, 'IPR033848', NULL, 'Carboxypeptidase D, carboxypeptidase-like domain 3', 'M14_CPD_III', 3, NULL),
(34859, NULL, 'IPR038518', NULL, 'Glycosyl hydrolase family 63, N-terminal domain superfamily', 'Glyco_hydro_63N_sf', 5, NULL),
(34860, NULL, 'IPR040845', NULL, 'Aminoarabinose transferase, C-terminal', 'Arnt_C', 3, NULL),
(34861, NULL, 'IPR033384', NULL, 'Ubiquitin-specific peptidase 40', 'USP40', 4, NULL),
(34862, NULL, 'IPR038874', NULL, 'Transmembrane protein 253', 'TMEM253', 4, NULL),
(34863, NULL, 'IPR037573', NULL, 'Complement C1q subcomponent B', 'Complement_C1qB', 4, NULL),
(34864, NULL, 'IPR040892', NULL, 'RPN1, N-terminal', 'RPN1_N', 3, NULL),
(34865, NULL, 'IPR035768', NULL, 'HERC1, SPRY domain', 'SPRY_HERC1', 3, NULL),
(34866, NULL, 'IPR038834', NULL, 'Coiled-coil domain-containing protein 175', 'CCDC175', 4, NULL),
(34867, NULL, 'IPR039735', NULL, 'Cysteine-rich hydrophobic domain-containing protein 1/2', 'CHIC1/2', 4, NULL),
(34868, NULL, 'IPR038651', NULL, 'Yeast killer toxin superfamily', 'Yeast_kill_tox_sf', 5, NULL),
(34869, NULL, 'IPR039937', NULL, 'Sorting nexin SNX20/SNX21', 'SNX20/SNX21', 4, NULL),
(34870, NULL, 'IPR040449', NULL, 'LD-carboxypeptidase, N-terminal', 'Peptidase_S66_N', 3, NULL),
(34871, NULL, 'IPR040843', NULL, 'Restriction enzyme adenine methylase associated', 'RAMA', 3, NULL),
(34872, NULL, 'IPR036902', NULL, 'Ta1353-like superfamily', 'Ta1353-like_sf', 5, NULL),
(34873, NULL, 'IPR040891', NULL, 'SAV_6107-like HEPN', 'HEPN_SAV_6107', 3, NULL),
(34874, NULL, 'IPR035848', NULL, 'SH3 domain-binding protein 2', 'SH3BP2', 4, NULL),
(34875, NULL, 'IPR036717', NULL, 'GFRP superfamily', 'GFRP_sf', 5, NULL),
(34876, NULL, 'IPR037773', NULL, 'RASA2, PH domain', 'RASA2_PH', 3, NULL),
(34877, NULL, 'IPR040898', NULL, 'CxC6 like cysteine cluster associated with KDZ', 'CxC6', 3, NULL),
(34878, NULL, 'IPR036751', NULL, 'Stage V sporulation protein G superfamily', 'SpoVG_sf', 5, NULL),
(34879, NULL, 'IPR040887', NULL, 'Aldos-2-ulose dehydratase/isomerase (AUDH), Cupin domain', 'AUDH_Cupin', 3, NULL),
(34880, NULL, 'IPR036725', NULL, 'Colicin E3-like ribonuclease domain superfamily', 'ColE3_ribonuclease_sf', 5, NULL),
(34881, NULL, 'IPR033517', NULL, 'DDX54/DBP10 family', 'DDX54/DBP10', 4, NULL),
(34882, NULL, 'IPR040823', NULL, 'Large polyvalent protein-associated domain 14', 'LPD14', 3, NULL),
(34883, NULL, 'IPR033837', NULL, 'Ubiquitinyl hydrolase-L5', 'UCH37', 3, NULL),
(34884, NULL, 'IPR037241', NULL, 'E2F-DP heterodimerization region', 'E2F-DP_heterodim', 5, NULL),
(34885, NULL, 'IPR033711', NULL, 'TATA-box binding protein, archaea', 'TBP_archaea', 4, NULL),
(34886, NULL, 'IPR037394', NULL, 'Protein TBATA-like', 'TBATA-like', 4, NULL),
(34887, NULL, 'IPR037589', NULL, 'DEP domain-containing mTOR-interacting protein', 'DEPTOR', 4, NULL),
(34888, NULL, 'IPR037255', NULL, 'NRDP1, C-terminal', 'NRDP1_C', 5, NULL),
(34889, NULL, 'IPR038124', NULL, 'Beta-retroviral matrix superfamily', 'B_retro_matrix_sf', 5, NULL),
(34890, NULL, 'IPR037181', NULL, 'Suppressor of fused, N-terminal', 'SUFU_N', 5, NULL),
(34891, NULL, 'IPR039737', NULL, 'Type I inositol 1,4,5-trisphosphate 5-phosphatase', 'INPP5A', 4, NULL),
(34892, NULL, 'IPR038417', NULL, 'Alpha-galactosidase, N-terminal domain superfamily', 'Alpga-gal_N_sf', 5, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34893, NULL, 'IPR038764', NULL, 'GNAT family N-acetyltransferase, predicted', 'GNAT_N_AcTrfase_prd', 4, NULL),
(34894, NULL, 'IPR040840', NULL, 'Tc toxin complex TcA, C-terminal TcB-binding domain', 'TcA_TcB_BD', 3, NULL),
(34895, NULL, 'IPR033293', NULL, 'Leucine zipper putative tumour suppressor 1', 'LZTS1', 4, NULL),
(34896, NULL, 'IPR037750', NULL, 'COP9 signalosome complex subunit 2', 'COPS2', 4, NULL),
(34897, NULL, 'IPR037847', NULL, 'GRAM domain-containing protein 4', 'GRAMDC4', 4, NULL),
(34898, NULL, 'IPR038563', NULL, 'Recombination endonuclease VII superfamily', 'Endonuclease_7_sf', 5, NULL),
(34899, NULL, 'IPR037793', NULL, 'OCRL1/INPP5B, INPP5c domain', 'OCRL1/INPP5B_INPP5c', 3, NULL),
(34900, NULL, 'IPR036728', NULL, 'Pheromone/general odorant binding protein superfamily', 'PBP_GOBP_sf', 5, NULL),
(34901, NULL, 'IPR037180', NULL, 'Hypothetical protein HI1480', 'HI1480', 5, NULL),
(34902, NULL, 'IPR037981', NULL, 'Serine/threonine-protein phosphatase PP1-gamma catalytic subunit', 'PPP1CC', 4, NULL),
(34903, NULL, 'IPR035713', NULL, 'Caspase-12', 'Caspase_12', 4, NULL),
(34904, NULL, 'IPR038678', NULL, 'Spondin, N-terminal domain superfamily', 'Spondin_N_sf', 5, NULL),
(34905, NULL, 'IPR039868', NULL, 'Armadillo-like helical domain-containing protein 3-like', 'ARMD3-like', 4, NULL),
(34906, NULL, 'IPR038892', NULL, 'Structural maintenance of chromosomes flexible hinge domain-containing protein 1', 'SMCHD1', 4, NULL),
(34907, NULL, 'IPR036386', NULL, 'HscB, C-terminal domain superfamily', 'HscB_C_sf', 5, NULL),
(34908, NULL, 'IPR038795', NULL, 'Mediator of RNA polymerase II transcription subunit 8, plant', 'MED8_plant', 4, NULL),
(34909, NULL, 'IPR038512', NULL, 'GpU-like superfamily', 'GpU-like_sf', 5, NULL),
(34910, NULL, 'IPR033482', NULL, 'BRCA2-interacting transcriptional repressor EMSY', 'EMSY', 4, NULL),
(34911, NULL, 'IPR038592', NULL, 'CheD-like superfamily', 'CheD-like_sf', 5, NULL),
(34912, NULL, 'IPR033939', NULL, 'Branched-chain aminotransferase', 'BCAT_family', 4, NULL),
(34913, NULL, 'IPR037982', NULL, 'TDRD5, second LOTUS domain', 'TDRD5_LOTUS_2', 3, NULL),
(34914, NULL, 'IPR035849', NULL, 'Fes/Fps/Fer, SH2 domain', 'Fes/Fps/Fer_SH2', 3, NULL),
(34915, NULL, 'IPR034526', NULL, 'PSF, NOPS domain', 'PSF_NOPS', 3, NULL),
(34916, NULL, 'IPR040436', NULL, 'Protein disconnected-like', 'Disconnected-like', 4, NULL),
(34917, NULL, 'IPR037845', NULL, 'GRAMDC4, PH-GRAM domain', 'GRAMDC4_PH-GRAM', 3, NULL),
(34918, NULL, 'IPR040450', NULL, 'TFIIF beta subunit, HTH domain', 'TFIIF_beta_HTH', 3, NULL),
(34919, NULL, 'IPR038039', NULL, 'YY1-associated factor 2', 'YAF2', 4, NULL),
(34920, NULL, 'IPR040172', NULL, 'Ataxin-1', 'ATXN1', 4, NULL),
(34921, NULL, 'IPR040893', NULL, 'RPA-related protein RADX', 'RADX', 4, NULL),
(34922, NULL, 'IPR037622', NULL, 'Liprin-alpha, SAM domain repeat 3', 'Liprin-alpha_SAM_rpt_3', 3, NULL),
(34923, NULL, 'IPR038493', NULL, 'Toxin MqsR superfamily', 'MqsR_sf', 5, NULL),
(34924, NULL, 'IPR035831', NULL, 'TRIM21, PRY/SPRY domain', 'PRY/SPRY_TRIM21', 3, NULL),
(34925, NULL, 'IPR035542', NULL, 'Cyclophilin-RNA interacting protein', 'CRIP', 4, NULL),
(34926, NULL, 'IPR038653', NULL, 'Putative carbohydrate metabolism domain superfamily', 'Put_CMD_sf', 5, NULL),
(34927, NULL, 'IPR033643', NULL, 'SH3YL1-like, SYLF domain', 'SYLF_SH3YL1-like', 3, NULL),
(34928, NULL, 'IPR037632', NULL, 'ZCCH14, SAM domain', 'ZCCH14_SAM', 3, NULL),
(34929, NULL, 'IPR037776', NULL, 'RASAL, RasGAP domain', 'RASAL_RasGAP', 3, NULL),
(34930, NULL, 'IPR036759', NULL, 'Thiamin pyrophosphokinase, catalytic domain superfamily', 'TPK_catalytic_sf', 5, NULL),
(34931, NULL, 'IPR038886', NULL, 'E3 ubiquitin-protein ligase complex, subunit SLX5/Rfp1', 'E3_SLX5/Rfp1', 4, NULL),
(34932, NULL, 'IPR040842', NULL, 'Sorting nexin-17/31, FERM domain', 'SNX17/31_FERM', 3, NULL),
(34933, NULL, 'IPR037445', NULL, 'Melanoma-associated antigen', 'MAGE', 4, NULL),
(34934, NULL, 'IPR040281', NULL, 'Protein FAM163A', 'FAM163A', 4, NULL),
(34935, NULL, 'IPR036720', NULL, 'Ran-GTPase activating protein 1, C-terminal domain superfamily', 'RanGAP1_C_sf', 5, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34936, NULL, 'IPR038882', NULL, 'Respiratory complex factor Rcf3', 'Rcf3', 4, NULL),
(34937, NULL, 'IPR037636', NULL, 'EPH-B4, SAM domain', 'EPH-B4_SAM', 3, NULL),
(34938, NULL, 'IPR038694', NULL, 'Superfamily of unknown function DUF427', 'DUF427_sf', 5, NULL),
(34939, NULL, 'IPR040243', NULL, 'Steroid receptor RNA activator 1', 'Steroid_recept_RNA_1', 4, NULL),
(34940, NULL, 'IPR034522', NULL, 'PSP1, RNA recognition motif 1', 'PSP1_RRM1', 3, NULL),
(34941, NULL, 'IPR040621', NULL, 'Avirulence Effector AvrLm4-7', 'AvrLm4-7', 3, NULL),
(34942, NULL, 'IPR039014', NULL, 'Protein myomixer', 'Myomixer', 4, NULL),
(34943, NULL, 'IPR040012', NULL, 'Cell surface glycoprotein CD200 receptor', 'CD200R', 4, NULL),
(34944, NULL, 'IPR037590', NULL, 'GATOR complex protein WDR24', 'WDR24', 4, NULL),
(34945, NULL, 'IPR040275', NULL, 'F-box domain containing protein At5g39450-like', 'At5g39450-like', 4, NULL),
(34946, NULL, 'IPR038498', NULL, 'OspF/SpvC superfamily', 'OspF/SpvC_sf', 5, NULL),
(34947, NULL, 'IPR038463', NULL, 'CedA-like superfamily', 'CedA-like_sf', 5, NULL),
(34948, NULL, 'IPR038872', NULL, 'Putative glutathione transferase 3', 'Put_GTT3', 4, NULL),
(34949, NULL, 'IPR039010', NULL, 'Synaptotagmin, SMP domain', 'Synaptotagmin_SMP', 3, NULL),
(34950, NULL, 'IPR040828', NULL, 'REase associating with pPIWI, RE domain', 'pPIWI_RE_REase', 3, NULL),
(34951, NULL, 'IPR040829', NULL, 'SMODS-associated NUDIX domain', 'Sa_NUDIX', 3, NULL),
(34952, NULL, 'IPR036775', NULL, 'DNA polymerase, Y-family, little finger domain superfamily', 'DNA_pol_Y-fam_lit_finger_sf', 5, NULL),
(34953, NULL, 'IPR033160', NULL, 'Cathepsin R', 'Cathepsin_R', 4, NULL),
(34954, NULL, 'IPR038571', NULL, 'Bifunctional carbon monoxide dehydrogenase/acetyl-coa synthase, domain 3 superfamily', 'CO_DH/Ac-CoA_synth_bsu_3_sf', 5, NULL),
(34955, NULL, 'IPR038692', NULL, 'Cthe_2751-like superfamily', 'Cthe_2751_sf', 5, NULL),
(34956, NULL, 'IPR040838', NULL, 'SabA, N-terminal extracellular adhesion domain', 'SabA_N_adhesion', 3, NULL),
(34957, NULL, 'IPR038841', NULL, 'Uncharacterized protein PF07_0086', 'PF07_0086', 4, NULL),
(34958, NULL, 'IPR039877', NULL, 'Transmembrane protein 131-like', 'TMEM131-like', 4, NULL),
(34959, NULL, 'IPR033850', NULL, 'Carboxypeptidase O', 'Carboxypeptidase_O', 3, NULL),
(34960, NULL, 'IPR035578', NULL, 'Styelin', 'Styelin', 4, NULL),
(34961, NULL, 'IPR038763', NULL, 'DHH phosphoesterase superfamily', 'DHH_sf', 5, NULL),
(34962, NULL, 'IPR033522', NULL, 'Receptor-type tyrosine-protein phosphatase-like N/N2', 'IA-2/IA-2_beta', 4, NULL),
(34963, NULL, 'IPR038769', NULL, 'Maintenance of telomere capping protein 4', 'MTC4', 4, NULL),
(34964, NULL, 'IPR038577', NULL, 'GT10-like, C-terminal domain superfamily', 'GT10-like_C_sf', 5, NULL),
(34965, NULL, 'IPR038055', NULL, 'Flaviviral glycoprotein E, dimerisation domain', 'Glycoprot_E_dimer_dom', 5, NULL),
(34966, NULL, 'IPR036381', NULL, 'Replication terminator Tus, domain 1', 'Tus_dom1', 5, NULL),
(34967, NULL, 'IPR038832', NULL, 'Cell division cycle-associated protein 3', 'CDCA3', 4, NULL),
(34968, NULL, 'IPR038027', NULL, 'YorP domain superfamily', 'YorP_sf', 5, NULL),
(34969, NULL, 'IPR038125', NULL, 'HTHP domain superfamily', 'HTHP_sf', 5, NULL),
(34970, NULL, 'IPR038591', NULL, 'NolW-like superfamily', 'NolW-like_sf', 5, NULL),
(34971, NULL, 'IPR033452', NULL, 'Glycosyl hydrolase family 30, beta sandwich domain', 'GH30_C', 3, NULL),
(34972, NULL, 'IPR036739', NULL, 'SLC41A/MgtE divalent cation transporters, integral membrane domain superfamily', 'SLC41_membr_dom_sf', 5, NULL),
(34973, NULL, 'IPR038747', NULL, 'Stannin', 'Stannin', 4, NULL),
(34974, NULL, 'IPR038654', NULL, 'PINIT domain superfamily', 'PINIT_sf', 5, NULL),
(34975, NULL, 'IPR035844', NULL, 'ShkA/ShkC, SH2 domain', 'ShkA/ShkC_SH2', 3, NULL),
(34976, NULL, 'IPR038246', NULL, 'Phi-29-like late genes activator superfamily', 'Phi-29-like_sf', 5, NULL),
(34977, NULL, 'IPR040833', NULL, 'Protein of unknown function DUF5631', 'DUF5631', 3, NULL),
(34978, NULL, 'IPR038595', NULL, 'LURP-one-related superfamily', 'LOR_sf', 5, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(34979, NULL, 'IPR038081', NULL, 'CalX-like domain superfamily', 'CalX-like_sf', 5, NULL),
(34980, NULL, 'IPR033167', NULL, 'Archaeal Nre', 'Nre', 4, NULL),
(34981, NULL, 'IPR039870', NULL, 'Cytochrome oxidase assembly factor 4-like', 'Coa4-like', 4, NULL),
(34982, NULL, 'IPR036716', NULL, 'Pesticidal crystal protein, N-terminal domain superfamily', 'Pest_crys_N_sf', 5, NULL),
(34983, NULL, 'IPR037880', NULL, 'RGS12, RGS domain', 'RGS12_RGS', 3, NULL),
(34984, NULL, 'IPR040293', NULL, 'Protein WHAT''S THIS FACTOR 1-like', 'WTF1-like', 4, NULL),
(34985, NULL, 'IPR038517', NULL, 'MxiM superfamily', 'MxiM_sf', 5, NULL),
(34986, NULL, 'IPR034520', NULL, 'SRSF1, RNA recognition motif  1', 'SRSF1_RRM1', 3, NULL),
(34987, NULL, 'IPR038046', NULL, 'Zinc finger protein neuro-d4', 'DPF1', 4, NULL),
(34988, NULL, 'IPR038412', NULL, 'Pepsin inhibitor-3 domain superfamily', 'Pepsin-I3_sf', 5, NULL),
(34989, NULL, 'IPR040888', NULL, 'PilN biogenesis protein dimerization domain', 'PilN_bio_d', 3, NULL),
(34990, NULL, 'IPR035778', NULL, 'Heterogeneous nuclear ribonucleoprotein U, SPRY domain', 'SPRY_hnRNP_U', 3, NULL),
(34991, NULL, 'IPR038800', NULL, 'Coiled-coil domain-containing protein 17', 'CCDC17', 4, NULL),
(34992, NULL, 'IPR038869', NULL, 'Defect at low temperature protein 1', 'DLT1', 4, NULL),
(34993, NULL, 'IPR038599', NULL, 'LAP1C-like, C-terminal domain superfamily', 'LAP1C-like_C_sf', 5, NULL),
(34994, NULL, 'IPR038134', NULL, 'YihD-like superfamily', 'YihD_sf', 5, NULL),
(34995, NULL, 'IPR040875', NULL, 'Trypsin inhibitor', 'Tryp_inh', 3, NULL),
(34996, NULL, 'IPR039943', NULL, 'Inducible T-cell costimulator', 'ICOS', 4, NULL),
(34997, NULL, 'IPR038656', NULL, 'Peptidase G1 superfamily', 'Peptidase_G1_sf', 5, NULL),
(34998, NULL, 'IPR036723', NULL, 'Alpha-catenin/vinculin-like superfamily', 'Alpha-catenin/vinculin-like_sf', 5, NULL),
(34999, NULL, 'IPR033687', NULL, 'Uncharacterised protein YodQ-like', 'YodQ-like', 4, NULL),
(35000, NULL, 'IPR033203', NULL, 'Homeobox protein aristaless-like 4', 'ALX4', 4, NULL),
(35001, NULL, 'IPR040857', NULL, 'VioE domain', 'VioE_dom', 3, NULL),
(35002, NULL, 'IPR037270', NULL, 'Photosystem II PsbK superfamily', 'PSII_PsbK_sf', 5, NULL),
(35003, NULL, 'IPR038370', NULL, 'ArcTGT, C1 domain superfamily', 'ArcTGT_C1_sf', 5, NULL),
(35004, NULL, 'IPR038072', NULL, 'GspK, central domain superfamily', 'GspK_central_sf', 5, NULL),
(35005, NULL, 'IPR037550', NULL, 'Sec23, C-terminal', 'Sec23_C', 3, NULL),
(35006, NULL, 'IPR038861', NULL, 'Activity-dependent neuroprotector homeobox protein', 'ADNP/ADNP2', 4, NULL),
(35007, NULL, 'IPR038719', NULL, 'Phycobilisome, alpha/beta subunit superfamily', 'Phycobilisome_asu/bsu_sf', 5, NULL),
(35008, NULL, 'IPR037868', NULL, 'Vacuolar protein sorting-associated protein 5, PX domain', 'PX_Vps5', 3, NULL),
(35009, NULL, 'IPR033431', NULL, 'Domain of unknown function DUF5126', 'DUF5126', 3, NULL),
(35010, NULL, 'IPR037920', NULL, 'Probable oxidoreductase YoaE, C-terminal', 'YoaE_C', 3, NULL),
(35011, NULL, 'IPR034795', NULL, 'PTBPH3, RNA recognition motif 1', 'PTBPH3_RRM1', 3, NULL),
(35012, NULL, 'IPR039163', NULL, 'ER membrane protein complex subunit 7', 'EMC7', 4, NULL),
(35013, NULL, 'IPR038605', NULL, 'Proteasome chaperone 1 superfamily', 'Pba1_sf', 5, NULL),
(35014, NULL, 'IPR037197', NULL, 'WWE domain superfamily', 'WWE_dom_sf', 5, NULL),
(35015, NULL, 'IPR035788', NULL, 'Rho guanine nucleotide exchange factor 6, SH3 domain', 'AlphaPIX_SH3', 3, NULL),
(35016, NULL, 'IPR033993', NULL, 'Tumor necrosis factor receptor 1A, N-terminal', 'TNFRSF1A_N', 3, NULL),
(35017, NULL, 'IPR036076', NULL, 'Fructose-1,6-bisphosphatase, class V superfamily', 'FBPase_V_sf', 5, NULL),
(35018, NULL, 'IPR040258', NULL, 'FACT complex subunit Spt16', 'Spt16', 4, NULL),
(35019, NULL, 'IPR037837', NULL, 'Kindlin/fermitin, PH domain', 'PH_Kindlin/fermitin', 3, NULL),
(35020, NULL, 'IPR038624', NULL, 'YedD-like superfamily', 'YedD-like_sf', 5, NULL),
(35021, NULL, 'IPR038269', NULL, 'SCAN domain superfamily', 'SCAN_sf', 5, NULL),
(35022, NULL, 'IPR038782', NULL, 'Uncharacterized protein C3orf22', 'C3orf22', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35023, NULL, 'IPR039181', NULL, 'EIG121-like', 'EIG121-like', 4, NULL),
(35024, NULL, 'IPR038056', NULL, 'YjbR-like superfamily', 'YjbR-like_sf', 5, NULL),
(35025, NULL, 'IPR036091', NULL, 'Propanediol/glycerol dehydratase, small subunit superfamily', 'Prodiol/glycerol_DeHase__sf_su', 5, NULL),
(35026, NULL, 'IPR037726', NULL, 'Ferlin, first C2 domain', 'C2A_Ferlin', 3, NULL),
(35027, NULL, 'IPR037716', NULL, 'Rhodopsin kinase, catalytic domain', 'GRK1_dom', 3, NULL),
(35028, NULL, 'IPR034808', NULL, 'Nop4, RNA recognition motif 3', 'Nop4p_RRM3', 3, NULL),
(35029, NULL, 'IPR037596', NULL, 'Protein Sec13', 'Sec13', 4, NULL),
(35030, NULL, 'IPR037657', NULL, 'UPF0600 protein C5orf51', 'C5orf51', 4, NULL),
(35031, NULL, 'IPR039162', NULL, 'Homeodomain-only protein', 'HOPX', 4, NULL),
(35032, NULL, 'IPR037759', NULL, 'Uncharacterized protein At4g29660-like', 'At4g29660-like', 4, NULL),
(35033, NULL, 'IPR037631', NULL, 'mRNA export factor Gle2/RAE1', 'Gle2/RAE1', 4, NULL),
(35034, NULL, 'IPR035669', NULL, 'GDSL lipase/esterase-like, plant', 'SGNH_plant_lipase-like', 4, NULL),
(35035, NULL, 'IPR033407', NULL, 'Domain of unknown function DUF5114', 'DUF5114', 3, NULL),
(35036, NULL, 'IPR035884', NULL, 'SH2D2A, SH2 domain', 'SH2D2A_SH2', 3, NULL),
(35037, NULL, 'IPR038457', NULL, '3-mercaptopyruvate sulfurtransferase, C-terminal domain superfamily', 'SulfurTase_C_sf', 5, NULL),
(35038, NULL, 'IPR038521', NULL, 'ThiC/Bza, core domain', 'ThiC/Bza_core_dom', 5, NULL),
(35039, NULL, 'IPR036170', NULL, 'Probable antitoxin YezG superfamily', 'Prob_YezG_sf', 5, NULL),
(35040, NULL, 'IPR037725', NULL, 'Ferlin, sixth C2 domain', 'C2F_Ferlin', 3, NULL),
(35041, NULL, 'IPR035639', NULL, 'CPSF2, metallo-hydrolase domain', 'CPSF2_MBL', 3, NULL),
(35042, NULL, 'IPR039256', NULL, 'Ketosteroid isomerase', 'Ketosteroid_isomerase', 4, NULL),
(35043, NULL, 'IPR034275', NULL, 'Ascorbate oxidase homologue, third cupredoxin domain', 'CuRO_3_AO-like', 3, NULL),
(35044, NULL, 'IPR038607', NULL, 'PhoD-like superfamily', 'PhoD-like_sf', 5, NULL),
(35045, NULL, 'IPR035318', NULL, 'Protein of unknown function DUF5377', 'DUF5377', 4, NULL),
(35046, NULL, 'IPR037402', NULL, 'HTH-type transcriptional regulator YidZ, PBP2 domain', 'YidZ_PBP2', 3, NULL),
(35047, NULL, 'IPR038930', NULL, 'Precursor of CEP13/CEP14', 'CEP13/CEP14', 4, NULL),
(35048, NULL, 'IPR033490', NULL, 'Leucine-rich PPR motif-containing protein', 'LRP130', 4, NULL),
(35049, NULL, 'IPR038373', NULL, 'Restriction endonuclease, type II, HindIII superfamily', 'Restrct_endonuc_II_HindIII_sf', 5, NULL),
(35050, NULL, 'IPR037268', NULL, 'Photosystem II PsbT superfamily', 'PSII_PsbT_sf', 5, NULL),
(35051, NULL, 'IPR038372', NULL, 'Influenza RNA-dependent RNA polymerase subunit PA, endonuclease domain', 'PA/PA-X_sf', 5, NULL),
(35052, NULL, 'IPR035351', NULL, 'Non-structural protein 11/12', 'Pns11/12', 4, NULL),
(35053, NULL, 'IPR040855', NULL, 'Origin recognition complex subunit 3, winged helix C-terminal', 'ORC_WH_C', 3, NULL),
(35054, NULL, 'IPR033870', NULL, 'FatB domain', 'FatB', 3, NULL),
(35055, NULL, 'IPR037405', NULL, 'HTH-type transcriptional regulator GbpR, PBP2 domain', 'GbpR_PBP2', 3, NULL),
(35056, NULL, 'IPR037724', NULL, 'Ferlin, fifth C2 domain', 'C2E_Ferlin', 3, NULL),
(35057, NULL, 'IPR038772', NULL, 'Sphingomyelin phosphodiesterase 2-like', 'SMPD2-like', 4, NULL),
(35058, NULL, 'IPR036021', NULL, 'Aldehyde ferredoxin oxidoreductase-like, C-terminal', 'Tungsten_al_ferr_oxy-like_C', 5, NULL),
(35059, NULL, 'IPR036078', NULL, 'Spo11/DNA topoisomerase VI subunit A superfamily', 'Spo11/TopoVI_A_sf', 5, NULL),
(35060, NULL, 'IPR037360', NULL, 'COMM domain-containing protein 9', 'COMMD9', 4, NULL),
(35061, NULL, 'IPR034794', NULL, 'PTBPH1/PTBPH2, RNA recognition motif 3', 'PTBPH1/PTBPH2_RRM3', 3, NULL),
(35062, NULL, 'IPR038337', NULL, 'Poxvirus poly(A) polymerase, catalytic subunit, N-terminal domain superfamily', 'Poxvirus_polyA_pol_cat_N_sf', 5, NULL),
(35063, NULL, 'IPR036931', NULL, 'Polyomavirus capsid protein VP1 superfamily', 'Polyomavir_VP1_sf', 5, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35064, NULL, 'IPR039061', NULL, 'MDN2-binding protein', 'MTBP', 4, NULL),
(35065, NULL, 'IPR037403', NULL, 'HTH-type transcriptional regulator CynR, PBP2 domain', 'CynR_PBP2', 3, NULL),
(35066, NULL, 'IPR038477', NULL, 'Arylsulfotransferase, N-terminal domain superfamily', 'ASST_N_sf', 5, NULL),
(35067, NULL, 'IPR037665', NULL, 'Nucleoporin peptidase S59-like', 'Nucleoporin_S59-like', 4, NULL),
(35068, NULL, 'IPR038482', NULL, 'Periplasmic metal-binding protein Tp34-type superfamily', 'Tp34-type_sf', 5, NULL),
(35069, NULL, 'IPR036411', NULL, 'TorD-like superfamily', 'TorD-like_sf', 5, NULL),
(35070, NULL, 'IPR038862', NULL, 'Chloroplast thylakoid lumenal protein MPH2', 'MPH2', 4, NULL),
(35071, NULL, 'IPR040862', NULL, 'Hemagglutinin I', 'HA1', 3, NULL),
(35072, NULL, 'IPR038128', NULL, 'Poly-gamma-glutamate hydrolase, zinc-binding motif superfamily', 'Gamma_PGA_hydro_sf', 5, NULL),
(35073, NULL, 'IPR037267', NULL, 'Photosystem II PsbJ superfamily', 'PSII_PsbJ_sf', 5, NULL),
(35074, NULL, 'IPR035308', NULL, 'Protein of unknown function DUF5368', 'DUF5368', 4, NULL),
(35075, NULL, 'IPR039182', NULL, 'Ribonucleases P/MRP protein subunit Pop1', 'Pop1', 4, NULL),
(35076, NULL, 'IPR037570', NULL, 'Mannose-binding protein C', 'Mannose-binding_protein_C', 4, NULL),
(35077, NULL, 'IPR037198', NULL, 'MutL, C-terminal domain superfamily', 'MutL_C_sf', 5, NULL),
(35078, NULL, 'IPR038663', NULL, 'Bacteriophage PRD1, P5 C-terminal domain superfamily', 'PRD1_P5_C_sf', 5, NULL),
(35079, NULL, 'IPR033727', NULL, 'LIM3 prickle', 'LIM3_prickle', 3, NULL),
(35080, NULL, 'IPR037624', NULL, 'Nuclear pore complex protein Nup133-like', 'Nup133-like', 4, NULL),
(35081, NULL, 'IPR039164', NULL, 'E3 ubiquitin-protein ligase UBR1-like', 'UBR1-like', 4, NULL),
(35082, NULL, 'IPR038369', NULL, 'Stage V sporulation AD superfamily', 'SpoVAD_sf', 5, NULL),
(35083, NULL, 'IPR037438', NULL, 'Talin-1/2, rod-segment', 'Talin1/2-RS', 3, NULL),
(35084, NULL, 'IPR037740', NULL, 'COP9 signalosome complex subunit 5', 'CSN5', 4, NULL),
(35085, NULL, 'IPR033171', NULL, 'Caspase-9', 'Caspase-9', 4, NULL),
(35086, NULL, 'IPR036921', NULL, 'PurM-like, N-terminal domain superfamily', 'PurM-like_N_sf', 5, NULL),
(35087, NULL, 'IPR035789', NULL, 'Rho guanine nucleotide exchange factor 7, SH3 domain', 'BetaPIX_SH3', 3, NULL),
(35088, NULL, 'IPR037769', NULL, 'Abr/Bcr', 'Abr/Bcr', 4, NULL),
(35089, NULL, 'IPR036073', NULL, 'Desulfoferrodoxin, ferrous iron-binding domain superfamily', 'Desulfoferrodoxin_Fe-bd_dom_sf', 5, NULL),
(35090, NULL, 'IPR035880', NULL, 'VAV2, SH2 domain', 'VAV2_SH2', 3, NULL),
(35091, NULL, 'IPR040458', NULL, 'Vacuolar import/degradation Vid27', 'Vid27', 4, NULL),
(35092, NULL, 'IPR033732', NULL, 'ATP synthase, F1 complex, alpha subunit nucleotide-binding domain', 'ATP_synth_F1_a', 3, NULL),
(35093, NULL, 'IPR036380', NULL, 'Isochorismatase-like superfamily', 'Isochorismatase-like_sf', 5, NULL),
(35094, NULL, 'IPR035882', NULL, 'Nck1, SH2 domain', 'Nck1_SH2', 3, NULL),
(35095, NULL, 'IPR035655', NULL, '116kDa U5 small nuclear ribonucleoprotein component, C-terminal', 'U5-116kDa_C', 3, NULL),
(35096, NULL, 'IPR033100', NULL, 'Exosome complex component RRP45', 'Rrp45', 4, NULL),
(35097, NULL, 'IPR038438', NULL, 'Alanyl aminopeptidase, Ig-like domain superfamily', 'PepN_Ig-like_sf', 5, NULL),
(35098, NULL, 'IPR037763', NULL, 'Transmembrane protein C1orf162', 'C1orf162', 4, NULL),
(35099, NULL, 'IPR037670', NULL, 'Uncharacterized protein C11orf87', 'C11orf87', 4, NULL),
(35100, NULL, 'IPR034245', NULL, 'Ephrin type-B receptor 3, ligand binding domain', 'EphB3_rcpt_lig-bd', 3, NULL),
(35101, NULL, 'IPR040863', NULL, 'Protein of unknown function DUF5554', 'DUF5554', 4, NULL),
(35102, NULL, 'IPR033378', NULL, 'Protein BRICK1', 'BRICK1', 4, NULL),
(35103, NULL, 'IPR036383', NULL, 'Thrombospondin type-1 (TSP1) repeat superfamily', 'TSP1_rpt_sf', 5, NULL),
(35104, NULL, 'IPR038816', NULL, 'Stationary phase protein 5', 'Stationary_phase_5', 4, NULL),
(35105, NULL, 'IPR038600', NULL, 'CRISPR-associated protein Csn2 superfamily', 'Csn2_sf', 5, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35106, NULL, 'IPR038273', NULL, 'Ndc80 domain superfamily', 'Ndc80_sf', 5, NULL),
(35107, NULL, 'IPR037571', NULL, 'Mannan-binding lectin-associated serine peptidase 2', 'MASP2', 4, NULL),
(35108, NULL, 'IPR037719', NULL, 'A-kinase anchor protein 10, PKA-binding (AKB) domain', 'AKAP10_AKB_dom', 3, NULL),
(35109, NULL, 'IPR033429', NULL, 'Domain of unknown function DUF5125', 'DUF5125', 3, NULL),
(35110, NULL, 'IPR035177', NULL, 'Type VI secretion system TssN', 'TssN', 4, NULL),
(35111, NULL, 'IPR038615', NULL, 'Pichia pastoris 6-phosphofructokinase, gamma subunit superfamily', 'PpPFK_gamma_sf', 5, NULL),
(35112, NULL, 'IPR035885', NULL, 'SH2D7, SH2 domain', 'SH2D7_SH2', 3, NULL),
(35113, NULL, 'IPR038063', NULL, 'L,D-transpeptidase catalytic domain-like', 'Transpep_catalytic_dom', 5, NULL),
(35114, NULL, 'IPR033491', NULL, 'Probable E3 ubiquitin-protein ligase MID2', 'MID2', 4, NULL),
(35115, NULL, 'IPR036379', NULL, 'Alpha-amylase inhibitor superfamily', 'A-amylase_inhib_sf', 5, NULL),
(35116, NULL, 'IPR039555', NULL, 'F plasmid transfer operon protein', 'TraF/TrbB', 4, NULL),
(35117, NULL, 'IPR036920', NULL, 'Ribosomal protein L10e/L16 superfamily', 'Ribosomal_L10e/L16_sf', 5, NULL),
(35118, NULL, 'IPR035590', NULL, 'FAM92, BAR domain', 'BAR_FAM92', 3, NULL),
(35119, NULL, 'IPR037762', NULL, 'Tricalbin, C2C domain', 'C2C_Tricalbin', 3, NULL),
(35120, NULL, 'IPR036926', NULL, 'Thymidylate synthase/dCMP hydroxymethylase superfamily', 'Thymidate_synth/dCMP_Mease_sf', 5, NULL),
(35121, NULL, 'IPR039523', NULL, 'Alpha-L-glutamate ligase-related protein, ATP-grasp domain', 'RimK-rel_E_lig_ATP-grasp', 3, NULL),
(35122, NULL, 'IPR035466', NULL, 'GlmS/AgaS, SIS domain 1', 'GlmS/AgaS_SIS', 3, NULL),
(35123, NULL, 'IPR037760', NULL, 'Small lysine-rich protein 1', 'SMKR1', 4, NULL),
(35124, NULL, 'IPR038069', NULL, 'Pelota/DOM34, N-terminal domain', 'Pelota/DOM34_N', 5, NULL),
(35125, NULL, 'IPR038054', NULL, 'L,D-transpeptidase central domain-like superfamily', 'LD_TPept-like_central_sf', 5, NULL),
(35126, NULL, 'IPR033109', NULL, 'RNA-binding protein EWS', 'EWSR1', 4, NULL),
(35127, NULL, 'IPR035957', NULL, 'Crustacean CHH/MIH/GIH neurohormone superfamily', 'Crust_neurohorm_sf', 5, NULL),
(35128, NULL, 'IPR040850', NULL, 'Knl1, C-terminal RWD domain', 'Knl1_RWD_C', 3, NULL),
(35129, NULL, 'IPR039165', NULL, 'CREB3 regulatory factor', 'CREBRF', 4, NULL),
(35130, NULL, 'IPR036043', NULL, 'Phosphoglycerate kinase superfamily', 'Phosphoglycerate_kinase_sf', 5, NULL),
(35131, NULL, 'IPR037527', NULL, 'Envelope glycoprotein Gp160', 'Gp160', 4, NULL),
(35132, NULL, 'IPR033406', NULL, 'Domain of unknown function DUF5113', 'DUF5113', 3, NULL),
(35133, NULL, 'IPR037629', NULL, 'Centrin 2', 'Centrin_2', 4, NULL),
(35134, NULL, 'IPR036599', NULL, 'DNA ligase, ATP-dependent, N-terminal domain superfamily', 'DNA_ligase_N_sf', 5, NULL),
(35135, NULL, 'IPR038136', NULL, 'CofD-like domain superfamily', 'CofD-like_dom_sf', 5, NULL),
(35136, NULL, 'IPR038336', NULL, 'NET domain superfamily', 'NET_sf', 5, NULL),
(35137, NULL, 'IPR036364', NULL, 'SEA domain superfamily', 'SEA_dom_sf', 5, NULL),
(35138, NULL, 'IPR036082', NULL, 'NSP3 superfamily', 'NSP3_sf', 5, NULL),
(35139, NULL, 'IPR033717', NULL, 'Undecaprenol kinase', 'UDPK', 4, NULL),
(35140, NULL, 'IPR033718', NULL, 'Diacylglycerol kinase, prokaryotic', 'DAGK_prok', 4, NULL),
(35141, NULL, 'IPR037274', NULL, 'Zinc finger, CHY-type superfamily', 'Znf_CHY_sf', 5, NULL),
(35142, NULL, 'IPR040848', NULL, 'Midasin, AAA lid domain 7', 'AAA_lid_7', 3, NULL),
(35143, NULL, 'IPR033729', NULL, 'Serine-tRNA ligase catalytic core domain', 'SerRS_core', 3, NULL),
(35144, NULL, 'IPR036602', NULL, 'tRNA wybutosine-synthesizing-like superfamily', 'tRNA_yW-synthesising-like_sf', 5, NULL),
(35145, NULL, 'IPR037266', NULL, 'Photosystem II PsbL superfamily', 'PSII_PsbL_sf', 5, NULL),
(35146, NULL, 'IPR040854', NULL, 'Protein of unknown function DUF5575', 'DUF5575', 4, NULL),
(35147, NULL, 'IPR033088', NULL, 'Poly(rC)-binding protein 4', 'PCBP4', 4, NULL),
(35148, NULL, 'IPR033859', NULL, 'COP9 signalosome subunit 6', 'MPN_CSN6', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35149, NULL, 'IPR035184', NULL, 'DNA replication protein 17', 'Phage_Gp17', 4, NULL),
(35150, NULL, 'IPR033686', NULL, 'Tyrosine recombinase XerA', 'XerA', 4, NULL),
(35151, NULL, 'IPR037949', NULL, 'Acetylene hydratase, MopB domain', 'MopB_CT_Acetylene-hydratase', 3, NULL),
(35152, NULL, 'IPR034796', NULL, 'PTBPH3, RNA recognition motif 2', 'PTBPH3_RRM2', 3, NULL),
(35153, NULL, 'IPR034046', NULL, 'Tumor necrosis factor receptor 16, N-terminal', 'TNFRSF16_N', 3, NULL),
(35154, NULL, 'IPR035700', NULL, 'Rsc1/Rsc2, bromodomain', 'Rsc1/Rsc2_Bromo', 3, NULL),
(35155, NULL, 'IPR038363', NULL, 'LepA, C-terminal domain superfamily', 'LepA_C_sf', 5, NULL),
(35156, NULL, 'IPR037658', NULL, 'Voltage-dependent calcium channel beta subunit-associated regulatory protein', 'CBARP', 4, NULL),
(35157, NULL, 'IPR037723', NULL, 'Ferlin, fourth C2 domain', 'C2D_Ferlin', 3, NULL),
(35158, NULL, 'IPR038340', NULL, 'MRP-L47 superfamily, mitochondrial', 'MRP-L47_sf', 5, NULL),
(35159, NULL, 'IPR035792', NULL, 'E3 ubiquitin-protein ligase SH3RF2, first SH3 domain', 'SH3RF2_SH3_1', 3, NULL),
(35160, NULL, 'IPR037536', NULL, 'Packaging protein 3', 'ADV_PKG3', 4, NULL),
(35161, NULL, 'IPR037661', NULL, 'Transmembrane protein 196', 'TMEM196', 4, NULL),
(35162, NULL, 'IPR040860', NULL, 'Gp37/Dip protein', 'Dip', 4, NULL),
(35163, NULL, 'IPR037766', NULL, 'Protein FAR-RED ELONGATED HYPOCOTYL 1', 'FHY1', 4, NULL),
(35164, NULL, 'IPR038342', NULL, 'Effector protein HopAB, BAK1-binding domain superfamily', 'HopAB_BAK-bd_sf', 5, NULL),
(35165, NULL, 'IPR034793', NULL, 'PTBPH1/PTBPH2, RNA recognition motif 2', 'PTBPH1/PTBPH2_RRM2', 3, NULL),
(35166, NULL, 'IPR039244', NULL, 'Galanin-like peptide', 'GALP', 4, NULL),
(35167, NULL, 'IPR036596', NULL, 'Bacterial aa3 type cytochrome c oxidase subunit IV superfamily', 'Cyt-C_aa3_sf', 5, NULL),
(35168, NULL, 'IPR033158', NULL, 'Cathepsin W', 'Cathepsin_W', 4, NULL),
(35169, NULL, 'IPR038367', NULL, 'PelD, GGDEF domain superfamily', 'PelD_GGDEF_sf', 5, NULL),
(35170, NULL, 'IPR037400', NULL, 'Malonate utilization transcriptional regulator, PBP2 domain', 'MdcR_PBP2', 3, NULL),
(35171, NULL, 'IPR040851', NULL, 'Centromere-binding protein ParB, C-terminal', 'ParB_C', 3, NULL),
(35172, NULL, 'IPR040865', NULL, 'Primase X', 'PriX', 3, NULL),
(35173, NULL, 'IPR040864', NULL, 'Protein of unknown function DUF5553', 'DUF5553', 4, NULL),
(35174, NULL, 'IPR035354', NULL, 'Protein of unknown function DUF5424', 'DUF5424', 4, NULL),
(35175, NULL, 'IPR036175', NULL, 'Sec23/Sec24 helical domain superfamily', 'Sec23/24_helical_dom_sf', 5, NULL),
(35176, NULL, 'IPR034806', NULL, 'Nop4, RNA recognition motif 2', 'Nop4_RRM2', 3, NULL),
(35177, NULL, 'IPR038334', NULL, 'NleF superfamily', 'NleF_sf', 5, NULL),
(35178, NULL, 'IPR037656', NULL, 'Family of unknown function DUF5525', 'DUF5525', 4, NULL),
(35179, NULL, 'IPR037314', NULL, 'Post-transcriptional regulator MKT1, H3TH domain', 'MKT1_H3TH', 3, NULL),
(35180, NULL, 'IPR038865', NULL, 'Protein FAM27', 'FAM27', 4, NULL),
(35181, NULL, 'IPR038346', NULL, 'DrrA, PI4P binding domain superfamily', 'DrrA_PI4P-bd_sf', 5, NULL),
(35182, NULL, 'IPR039027', NULL, 'Serine/threonine-protein kinase RAC alpha', 'RAC_alpha', 4, NULL),
(35183, NULL, 'IPR035533', NULL, 'Interleukin-1 receptor-associated kinase 1, death domain', 'Death_IRAK1', 3, NULL),
(35184, NULL, 'IPR038135', NULL, 'Methylthiotransferase, N-terminal domain superfamily', 'Methylthiotransferase_N_sf', 5, NULL),
(35185, NULL, 'IPR037972', NULL, 'RepB, N-terminal', 'RepB_N', 3, NULL),
(35186, NULL, 'IPR037551', NULL, 'DAZ, RNA recognition motif, vertebrates', 'DAZ_RRM_vert', 3, NULL),
(35187, NULL, 'IPR038715', NULL, 'RNA polymerase inhibitor superfamily', 'RNA_pol_inhibitor_sf', 5, NULL),
(35188, NULL, 'IPR033728', NULL, 'Threonine-tRNA ligase catalytic core domain', 'ThrRS_core', 3, NULL),
(35189, NULL, 'IPR038272', NULL, 'Bd37, core domain superfamily', 'Bd37_core_sf', 5, NULL),
(35190, NULL, 'IPR034686', NULL, 'Terpene cyclase-like 2', 'Terpene_cyclase-like_2', 4, NULL),
(35191, NULL, 'IPR037541', NULL, 'Uncharacterized MFS-type transporter YfcJ', 'MFS_YfcJ', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35192, NULL, 'IPR038375', NULL, 'Protein arginine methyltransferase NDUFAF7 superfamily', 'NDUFAF7_sf', 5, NULL),
(35193, NULL, 'IPR034687', NULL, 'Elongator complex protein 3-like', 'ELP3-like', 4, NULL),
(35194, NULL, 'IPR033730', NULL, 'Prokaryote proline-tRNA ligase core domain', 'ProRS_core_prok', 3, NULL),
(35195, NULL, 'IPR036079', NULL, 'V-type ATP synthase subunit c/d subunit superfamily', 'ATPase_su_c/d_sf', 5, NULL),
(35196, NULL, 'IPR038863', NULL, 'Putative NADH dehydrogenase [ubiquinone] 1 beta subcomplex subunit 8, mitochondrial', 'Put_Complex_I_su8', 4, NULL),
(35197, NULL, 'IPR033182', NULL, 'MICOS complex subunit MIC26/MIC27, animal', 'MIC26/MIC27_animal', 4, NULL),
(35198, NULL, 'IPR037662', NULL, 'Uncharacterized protein C1orf158', 'C1orf158', 4, NULL),
(35199, NULL, 'IPR040861', NULL, 'Large polyvalent protein-associated domain 13', 'LPD13', 3, NULL),
(35200, NULL, 'IPR036605', NULL, 'Mago nashi superfamily', 'Mago_nashi_sf', 5, NULL),
(35201, NULL, 'IPR037659', NULL, 'Small integral membrane protein 7', 'SMIM7', 4, NULL),
(35202, NULL, 'IPR038058', NULL, 'PhnH-like superfamily', 'PhnH-like_sp', 5, NULL),
(35203, NULL, 'IPR038344', NULL, 'EF-G binding protein, N-terminal domain superfamily', 'EF-G_N_sf', 5, NULL),
(35204, NULL, 'IPR039465', NULL, 'Interleukin-17 receptor-like', 'IL-17_rcpt-like', 4, NULL),
(35205, NULL, 'IPR033099', NULL, 'Interleukin enhancer-binding factor 3', 'ILF3/NF90', 4, NULL),
(35206, NULL, 'IPR036361', NULL, 'SAP domain superfamily', 'SAP_dom_sf', 5, NULL),
(35207, NULL, 'IPR039212', NULL, 'Putative ribosome-binding factor A, mitochondrial', 'RBFA_mitochondrial', 4, NULL),
(35208, NULL, 'IPR035152', NULL, 'GA-like domain', 'GA-like', 3, NULL),
(35209, NULL, 'IPR033126', NULL, 'Glycosyl hydrolases family 9, Asp/Glu active sites', 'Glyco_hydro_9_Asp/Glu_AS', 0, NULL),
(35210, NULL, 'IPR036172', NULL, 'Apolipoprotein A-II (ApoA-II) superfamily', 'ApoA-II_sf', 5, NULL),
(35211, NULL, 'IPR038931', NULL, 'Probable NAD(P)H dehydrogenase subunit CRR3, chloroplastic', 'CRR3', 4, NULL),
(35212, NULL, 'IPR040260', NULL, 'Replication factor A protein-like', 'RFA2-like', 4, NULL),
(35213, NULL, 'IPR033410', NULL, 'Protein of unknown function DUF5119', 'DUF5119', 4, NULL),
(35214, NULL, 'IPR038374', NULL, 'Restriction endonuclease ThaI superfamily', 'ThaI_sf', 5, NULL),
(35215, NULL, 'IPR035654', NULL, 'Elongation factor 4, domain IV', 'LepA_IV', 3, NULL),
(35216, NULL, 'IPR035795', NULL, 'E3 ubiquitin-protein ligase SH3RF1, second SH3 domain', 'SH3RF1_SH3_2', 3, NULL),
(35217, NULL, 'IPR033714', NULL, 'Phenylalanly tRNA synthetase, tRNA-binding-domain', 'tRNA_bind_bactPheRS', 3, NULL),
(35218, NULL, 'IPR037406', NULL, 'HTH-type transcriptional regulator MetR, PBP2 domain', 'MetR_PBP2', 3, NULL),
(35219, NULL, 'IPR038762', NULL, 'Antibiotic biosynthesis monooxygenase, predicted', 'ABM_predict', 4, NULL),
(35220, NULL, 'IPR037764', NULL, 'Protein CEBPZOS', 'CEBPZOS', 4, NULL),
(35221, NULL, 'IPR038896', NULL, 'E3 ubiquitin-protein ligase RNF170', 'RNF170', 4, NULL),
(35222, NULL, 'IPR039554', NULL, 'HigA2-like, helix-turn-helix domain', 'HigA2-like_HTH', 3, NULL),
(35223, NULL, 'IPR039178', NULL, 'Protein Lag2', 'Lag2', 4, NULL),
(35224, NULL, 'IPR038614', NULL, 'Glycerate kinase, N-terminal domain superfamily', 'GK_N_sf', 5, NULL),
(35225, NULL, 'IPR033207', NULL, 'Centriolar coiled-coil protein of 110kDa', 'CCP110', 4, NULL),
(35226, NULL, 'IPR033240', NULL, 'Protein MAL2', 'MAL2', 4, NULL),
(35227, NULL, 'IPR036362', NULL, 'Adenovirus DNA-binding, N-terminal domain superfamily', 'Adenovirus_DNA-bd_N_sf', 5, NULL),
(35228, NULL, 'IPR038479', NULL, 'Transthyretin-like superfamily', 'Transthyretin-like_sf', 5, NULL),
(35229, NULL, 'IPR039187', NULL, 'Strawberry notch, AAA domain', 'SNO_AAA', 3, NULL),
(35230, NULL, 'IPR038335', NULL, 'ACP, C-terminal domain superfamily', 'ACP_C_sf', 5, NULL),
(35231, NULL, 'IPR036375', NULL, 'Hemopexin-like domain superfamily', 'Hemopexin-like_dom_sf', 5, NULL),
(35232, NULL, 'IPR035529', NULL, 'Protein of unknown function DUF5401', 'DUF5401', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35233, NULL, 'IPR039148', NULL, '5''-AMP-activated protein kinase catalytic subunit alpha-2, C-terminal', 'AMPKA2_C', 3, NULL),
(35234, NULL, 'IPR033949', NULL, 'Cobyric acid synthase, glutamine amidotransferase type 1', 'CobQ_GATase1', 3, NULL),
(35235, NULL, 'IPR037271', NULL, 'Photosystem II PsbI superfamily', 'PSII_PsbI_sf', 5, NULL),
(35236, NULL, 'IPR039062', NULL, 'Spermatogenesis-associated protein 1', 'SPAT1', 4, NULL),
(35237, NULL, 'IPR037936', NULL, 'Netrin receptor UNC5', 'UNC5', 4, NULL),
(35238, NULL, 'IPR035178', NULL, 'Protein of unknown function DUF5466', 'DUF5466', 4, NULL),
(35239, NULL, 'IPR039079', NULL, 'Nucleoporin Nup49', 'Nup49', 4, NULL),
(35240, NULL, 'IPR038468', NULL, 'Transport accessory protein MmpS, C-terminal', 'MmpS_C', 5, NULL),
(35241, NULL, 'IPR033127', NULL, 'Ubiquitin-activating enzyme E1, Cys active site', 'UBQ-activ_enz_E1_Cys_AS', 0, NULL),
(35242, NULL, 'IPR035310', NULL, 'Galactose-inhibitable lectin 35kDa subunit', 'Gal_GalNac_35kDa', 4, NULL),
(35243, NULL, 'IPR037667', NULL, 'Protein FMC1 homologue', 'FMC1_homologue', 4, NULL),
(35244, NULL, 'IPR038529', NULL, 'FPRL1/chemotaxis inhibitory protein superfamily', 'FLIPR/CHIP_sf', 5, NULL),
(35245, NULL, 'IPR038789', NULL, 'Protein LOW PSII ACCUMULATION 2 like', 'LPA2-like', 4, NULL),
(35246, NULL, 'IPR036074', NULL, 'CbiD superfamily', 'CbiD_sf', 5, NULL),
(35247, NULL, 'IPR036922', NULL, 'Rieske [2Fe-2S] iron-sulphur domain superfamily', 'Rieske_2Fe-2S_sf', 5, NULL),
(35248, NULL, 'IPR038864', NULL, 'Protein heading date repressor 1', 'HDR1', 4, NULL),
(35249, NULL, 'IPR037930', NULL, 'Tom40', 'Tom40', 4, NULL),
(35250, NULL, 'IPR033946', NULL, 'Ubiquinol oxidase subunit III domain', 'Ubiquinol_oxase_su3_dom', 3, NULL),
(35251, NULL, 'IPR035151', NULL, 'Inhibitor of toxin/antitoxin system', 'TA_inhibitor', 4, NULL),
(35252, NULL, 'IPR036087', NULL, 'Nicotinate-nucleotide-dimethylbenzimidazole phosphoribosyltransferase-like superfamily', 'Nict_dMeBzImd_PRibTrfase_sf', 5, NULL),
(35253, NULL, 'IPR038338', NULL, 'PriB/PriC superfamily', 'PriB/PriC_sf', 5, NULL),
(35254, NULL, 'IPR035797', NULL, 'ARHGEF16/ARHGEF26, SH3 domain', 'ARHGEF16/ARHGEF26_SH3', 3, NULL),
(35255, NULL, 'IPR038787', NULL, 'Serine/arginine repetitive matrix protein 5', 'SRRM5', 4, NULL),
(35256, NULL, 'IPR037929', NULL, 'APPL1, BAR domain', 'APPL1_BAR', 3, NULL),
(35257, NULL, 'IPR035181', NULL, 'Protein of unknown function DUF5463', 'DUF5463', 4, NULL),
(35258, NULL, 'IPR038065', NULL, 'Tetrabrachion, parallel right-handed coiled coil domain', 'Tetrabrachion_parallel_CC', 5, NULL),
(35259, NULL, 'IPR039077', NULL, 'Synaptosomal-associated protein 25', 'SNAP-25', 4, NULL),
(35260, NULL, 'IPR037756', NULL, 'Tricalbin, C2D domain', 'C2D_Tricalbin', 3, NULL),
(35261, NULL, 'IPR037791', NULL, 'Ingression protein 1, C2 domain', 'C2_fungal_Inn1', 3, NULL),
(35262, NULL, 'IPR036385', NULL, 'Ribulose bisphosphate carboxylase, small subunit superfamily', 'RuBisCO_ssu_sf', 5, NULL),
(35263, NULL, 'IPR038897', NULL, 'Cyclic nucleotide-binding domain-containing protein 2', 'CNBD2', 4, NULL),
(35264, NULL, 'IPR040852', NULL, 'Cas12a, RuvC nuclease domain', 'RuvC_1', 3, NULL),
(35265, NULL, 'IPR036045', NULL, 'Sec1-like superfamily', 'Sec1-like_sf', 5, NULL),
(35266, NULL, 'IPR037597', NULL, 'Nucleoporin Seh1', 'Nucleoporin_Seh1', 4, NULL),
(35267, NULL, 'IPR036086', NULL, 'ParB/Sulfiredoxin superfamily', 'ParB/Sulfiredoxin_sf', 5, NULL),
(35268, NULL, 'IPR033181', NULL, 'MICOS subunit Mic26, fungi', 'Mic26_fungi', 4, NULL),
(35269, NULL, 'IPR037399', NULL, 'Prostaglandin reductase 2', 'PTGR2', 4, NULL),
(35270, NULL, 'IPR038343', NULL, 'DUF4951 superfamily', 'DUF4951_sf', 5, NULL),
(35271, NULL, 'IPR033948', NULL, 'Electron transfer flavoprotein, beta subunit, N-terminal', 'ETF_beta_N', 3, NULL),
(35272, NULL, 'IPR038345', NULL, 'Flavivirus envelope glycoprotein E, Stem/Anchor domain superfamily', 'Flavi_E_Stem/Anchor_dom_sf', 5, NULL),
(35273, NULL, 'IPR035180', NULL, 'Protein of unknown function DUF5464', 'DUF5464', 4, NULL),
(35274, NULL, 'IPR035787', NULL, 'E3 ubiquitin-protein ligase TRIM58, PRY/SPRY domain', 'SPRY/PRY_TRIM58', 3, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35275, NULL, 'IPR034792', NULL, 'PTBPH1/PTBPH2, RNA recognition motif 1', 'PTBPH1/PTBPH2_RRM1', 3, NULL),
(35276, NULL, 'IPR036178', NULL, 'Formimidoyltransferase-cyclodeaminase-like superfamily', 'Formintransfe-cycloase-like_sf', 5, NULL),
(35277, NULL, 'IPR033726', NULL, 'LIM2 prickle', 'LIM2_prickle', 3, NULL),
(35278, NULL, 'IPR037663', NULL, 'Modulator of smoothened protein', 'Mosmo', 4, NULL),
(35279, NULL, 'IPR034805', NULL, 'Nop4, RNA recognition motif 1', 'Nop4_RRM1', 3, NULL),
(35280, NULL, 'IPR038138', NULL, 'Phosphopantoate/pantothenate synthetase superfamily', 'PPS/PS_sf', 5, NULL),
(35281, NULL, 'IPR036918', NULL, 'Pyruvate kinase, C-terminal domain superfamily', 'Pyrv_Knase_C_sf', 5, NULL),
(35282, NULL, 'IPR039209', NULL, 'ORC ubiquitin ligase 1', 'OBI1', 4, NULL),
(35283, NULL, 'IPR038364', NULL, 'Urocanase, central domain superfamily', 'Urocanase_central_sf', 5, NULL),
(35284, NULL, 'IPR038267', NULL, 'Putative ECF-type sigma factor negative effector', 'ECF_sigma_eff', 5, NULL),
(35285, NULL, 'IPR037655', NULL, 'Uncharacterized protein C11orf53', 'C11orf53', 4, NULL),
(35286, NULL, 'IPR038341', NULL, 'DNA helicase UvsW superfamily', 'UvsW_sf', 5, NULL),
(35287, NULL, 'IPR034797', NULL, 'PTBPH3, RNA recognition motif 3', 'PTBPH3_RRM3', 3, NULL),
(35288, NULL, 'IPR036357', NULL, 'Photosystem I reaction centre subunit VIII superfamily', 'PSI_PsaI_sf', 5, NULL),
(35289, NULL, 'IPR033205', NULL, 'COP9 signalosome, subunit CSN8', 'COP9_CSN8', 4, NULL),
(35290, NULL, 'IPR037478', NULL, 'YwkD-like domain', 'YwkD-like_dom', 3, NULL),
(35291, NULL, 'IPR035528', NULL, 'Protein of unknown function DUF5388', 'DUF5388', 4, NULL),
(35292, NULL, 'IPR038788', NULL, 'Testis-expressed protein 46-like', 'TEX46-like', 4, NULL),
(35293, NULL, 'IPR034801', NULL, 'hnRNP A0, RNA recognition motif 1', 'hnRNPA0_RRM1', 3, NULL),
(35294, NULL, 'IPR038603', NULL, 'FCS-type zinc finger superfamily', 'Znf_FCS_sf', 5, NULL),
(35295, NULL, 'IPR038366', NULL, 'Zinc finger, ClpX C4-type superfamily', 'Znf_CppX_C4_sf', 5, NULL),
(35296, NULL, 'IPR039671', NULL, 'Protein THEMIS', 'THEMIS', 4, NULL),
(35297, NULL, 'IPR038623', NULL, 'Stimulator of interferon genes protein, C-terminal domain superfamily', 'STING_C_sf', 5, NULL),
(35298, NULL, 'IPR035791', NULL, 'TRIM27, PRY/SPRY domain', 'SPRY/PRY_TRIM27', 3, NULL),
(35299, NULL, 'IPR034803', NULL, 'hnRNP A1, RNA recognition motif 2', 'hnRNPA1_RRM2', 3, NULL),
(35300, NULL, 'IPR035887', NULL, 'CIS, SH2 domain', 'CIS_SH2', 3, NULL),
(35301, NULL, 'IPR033111', NULL, 'APOBEC1 complementation factor', 'A1CF', 4, NULL),
(35302, NULL, 'IPR034799', NULL, 'PTBP2, RNA recognition motif 3', 'PTBP2_RRM3', 3, NULL),
(35303, NULL, 'IPR036930', NULL, 'WGR domain superfamily', 'WGR_dom_sf', 5, NULL),
(35304, NULL, 'IPR038899', NULL, 'Methyltransferase-like protein 22', 'METTL22', 4, NULL),
(35305, NULL, 'IPR037237', NULL, 'IlvD/EDD, N-terminal domain', 'IlvD/EDD_N', 5, NULL),
(35306, NULL, 'IPR033492', NULL, 'Tripartite motif-containing protein 54/55', 'TRIM54/TRIM55', 4, NULL),
(35307, NULL, 'IPR037277', NULL, 'Granulin superfamily', 'Granulin_sf', 5, NULL),
(35308, NULL, 'IPR035530', NULL, 'Phage-like element PBSX protein XtrA', 'PBSX_XtrA', 4, NULL),
(35309, NULL, 'IPR038333', NULL, 'N6 adenine-specific DNA methyltransferase, N-terminal domain superfamily', 'D12N6_MeTrfase_N_sf', 5, NULL),
(35310, NULL, 'IPR033405', NULL, 'Domain of unknown function DUF5112', 'DUF5112', 3, NULL),
(35311, NULL, 'IPR034679', NULL, 'ATP synthase, F0 complex, subunit b''', 'ATP_synth_b''', 4, NULL),
(35312, NULL, 'IPR037272', NULL, 'Sodium:neurotransmitter symporter superfamily', 'SNS_sf', 5, NULL),
(35313, NULL, 'IPR038051', NULL, 'XRCC4-like, N-terminal domain superfamily', 'XRCC4-like_N_sf', 5, NULL),
(35314, NULL, 'IPR033314', NULL, 'Nectin-1', 'Nectin1', 4, NULL),
(35315, NULL, 'IPR037397', NULL, 'Reticulon-4-interacting protein 1', 'RTN4I1', 4, NULL),
(35316, NULL, 'IPR033489', NULL, 'E3 ubiquitin-protein ligase RBBP6 family', 'RBBP6', 4, NULL),
(35317, NULL, 'IPR040853', NULL, 'RapA2, cadherin-like domain', 'RapA2_cadherin-like', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35318, NULL, 'IPR035319', NULL, 'Protein of unknown function DUF5378', 'DUF5378', 4, NULL),
(35319, NULL, 'IPR033157', NULL, 'Cathepsin Z', 'CTSZ', 4, NULL),
(35320, NULL, 'IPR036604', NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurS-like superfamily', 'PurS-like_sf', 5, NULL),
(35321, NULL, 'IPR036593', NULL, 'CPE0013-like superfamily', 'CPE0013-like_sf', 5, NULL),
(35322, NULL, 'IPR037269', NULL, 'Photosystem II PsbM superfamily', 'PSII_PsbM_sf', 5, NULL),
(35323, NULL, 'IPR039245', NULL, 'Peroxisomal/glyoxysomal leader peptide-processing protease', 'TYSND1/DEG15', 4, NULL),
(35324, NULL, 'IPR037275', NULL, 'Zinc finger, CTCHY-type superfamily', 'Znf_CTCHY_sf', 5, NULL),
(35325, NULL, 'IPR034800', NULL, 'PTBP2, RNA recognition motif 4', 'PTBP2_RRM4', 3, NULL),
(35326, NULL, 'IPR038819', NULL, 'Basic immunoglobulin-like variable motif-containing protein', 'BIVM', 4, NULL),
(35327, NULL, 'IPR035531', NULL, 'GTP binding protein 1-like, GTP-binding domain', 'GTPBP1-like', 3, NULL),
(35328, NULL, 'IPR038773', NULL, 'Lymphocyte antigen 6 complex locus protein G5b', 'LY6G5B', 4, NULL),
(35329, NULL, 'IPR035793', NULL, 'GDAP2, macro domain', 'Macro_GDAP2', 3, NULL),
(35330, NULL, 'IPR038685', NULL, 'PAD, N-terminal domain superfamily', 'PAD_N_sf', 5, NULL),
(35331, NULL, 'IPR038859', NULL, 'DNA-binding protein RHL1', 'RHL1', 4, NULL),
(35332, NULL, 'IPR037755', NULL, 'Plc1, PH domain', 'Plc1_PH', 3, NULL),
(35333, NULL, 'IPR033860', NULL, 'Brcc36 isopeptidase', 'MPN_BRCC36', 4, NULL),
(35334, NULL, 'IPR039217', NULL, 'Lymphocyte antigen 96', 'LY96', 4, NULL),
(35335, NULL, 'IPR036929', NULL, 'Thiol:disulfide interchange protein DsbD, N-terminal domain superfamily', 'DsbDN_sf', 5, NULL),
(35336, NULL, 'IPR038844', NULL, 'Cilia- and flagella-associated protein 157', 'CFAP157', 4, NULL),
(35337, NULL, 'IPR037761', NULL, 'Tricalbin, C2A domain', 'C2A_Tricalbin', 3, NULL),
(35338, NULL, 'IPR036085', NULL, 'PAZ domain superfamily', 'PAZ_dom_sf', 5, NULL),
(35339, NULL, 'IPR037871', NULL, 'Phafin, PH domain', 'PH_Phafin', 3, NULL),
(35340, NULL, 'IPR037668', NULL, 'Uncharacterized protein C1orf100', 'C1orf100', 4, NULL),
(35341, NULL, 'IPR033110', NULL, 'ROD1, RNA recognition motif 4', 'PTBP3_RRM4', 3, NULL),
(35342, NULL, 'IPR037666', NULL, 'Coiled-coil domain-containing protein 43', 'CCDC43', 4, NULL),
(35343, NULL, 'IPR038756', NULL, 'CheY-P phosphatase CheX-like', 'CheX-like', 4, NULL),
(35344, NULL, 'IPR038131', NULL, 'Protein PsiB-like superfamily', 'PsiB-like_sf', 5, NULL),
(35345, NULL, 'IPR039604', NULL, 'Nuclear segregation protein Bfr1', 'Bfr1', 4, NULL),
(35346, NULL, 'IPR039179', NULL, 'PDZ domain-containing protein 9', 'PDZD9', 4, NULL),
(35347, NULL, 'IPR033408', NULL, 'Domain of unknown function DUF5115', 'DUF5115', 3, NULL),
(35348, NULL, 'IPR033763', NULL, 'Polycomb group protein, RNA binding region', 'SCML2_RBR', 3, NULL),
(35349, NULL, 'IPR039673', NULL, 'DNA-binding protein SATB1/SATB2', 'SATB1/SATB2', 4, NULL),
(35350, NULL, 'IPR036075', NULL, 'AF1104-like superfamily', 'AF1104-like_sf', 5, NULL),
(35351, NULL, 'IPR034848', NULL, 'Phosphoglucan water dikinase, CB20 domain', 'CBM20_water_dikinase', 3, NULL),
(35352, NULL, 'IPR038270', NULL, 'SopA-like, catalytic domain superfamily', 'SopA-like_catalytic_sf', 5, NULL),
(35353, NULL, 'IPR035785', NULL, 'TRIM75, PRY/SPRY domain', 'SPRY/PRY_TRIM75', 3, NULL),
(35354, NULL, 'IPR036084', NULL, 'Serine protease inhibitor-like superfamily', 'Ser_inhib-like_sf', 5, NULL),
(35355, NULL, 'IPR036382', NULL, 'Guanylin superfamily', 'Guanylin_sf', 5, NULL),
(35356, NULL, 'IPR039183', NULL, 'Coiled-coil domain-containing protein 66', 'CCD66', 4, NULL),
(35357, NULL, 'IPR039207', NULL, 'Multiple myeloma tumor-associated protein 2-like', 'MMTAG2-like', 4, NULL),
(35358, NULL, 'IPR033108', NULL, 'Protein jagged-1', 'Jag1', 4, NULL),
(35359, NULL, 'IPR039011', NULL, 'Insulin receptor substrate', 'IRS', 4, NULL),
(35360, NULL, 'IPR040859', NULL, 'Midline-1, COS domain', 'Midline-1_COS', 3, NULL),
(35361, NULL, 'IPR038339', NULL, 'MatP, N-terminal domain superfamily', 'MatP_N_sf', 5, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35362, NULL, 'IPR035642', NULL, 'MraZ, N-terminal', 'MraZ_N', 3, NULL),
(35363, NULL, 'IPR036927', NULL, 'Cytochrome c oxidase-like, subunit I  superfamily', 'Cyt_c_oxase-like_su1_sf', 5, NULL),
(35364, NULL, 'IPR033047', NULL, 'Dynamin-like 120kDa protein, mitochondrial', 'Opa1', 4, NULL),
(35365, NULL, 'IPR037516', NULL, 'Tripartite DENN domain', 'Tripartite_DENN', 3, NULL),
(35366, NULL, 'IPR037660', NULL, 'Coiled-coil domain-containing protein 51', 'CCDC51', 4, NULL),
(35367, NULL, 'IPR039522', NULL, 'RING finger family 1, prokaryotic', 'RING_finger_1_prok', 4, NULL),
(35368, NULL, 'IPR035800', NULL, 'Sla1, first SH3 domain', 'Sla1_SH3_1', 3, NULL),
(35369, NULL, 'IPR037758', NULL, 'Coiled-coil domain-containing protein 54', 'Ccdc54', 4, NULL),
(35370, NULL, 'IPR037315', NULL, 'Exonuclease-1, H3TH domain', 'EXO1_H3TH', 3, NULL),
(35371, NULL, 'IPR038604', NULL, 'Type III effector HopJ superfamily', 'HopJ_sf', 5, NULL),
(35372, NULL, 'IPR036177', NULL, 'Peptidase M55, D-aminopeptidase superfamily', 'Peptidase_M55_sf', 5, NULL),
(35373, NULL, 'IPR037637', NULL, 'Nuclear pore complex protein NUP98-NUP96', 'NUP98-NUP96', 4, NULL),
(35374, NULL, 'IPR038057', NULL, 'EV matrix domain superfamily', 'EV_matrix_sf', 5, NULL),
(35375, NULL, 'IPR033227', NULL, 'Calcium-dependent secretion activator', 'CAPS', 4, NULL),
(35376, NULL, 'IPR038368', NULL, 'Mastadenovirus E4/Orf3 superfamily', 'Mastadenovirus_E4/Orf3_sf', 5, NULL),
(35377, NULL, 'IPR036919', NULL, 'Ribosomal protein L30, ferredoxin-like fold domain superfamily', 'L30_ferredoxin-like_sf', 5, NULL),
(35378, NULL, 'IPR035315', NULL, 'Protein of unknown function DUF5372', 'DUF5372', 4, NULL),
(35379, NULL, 'IPR038519', NULL, 'Major capsid protein, C-terminal domain superfamily', 'MCP_C_sf', 5, NULL),
(35380, NULL, 'IPR038266', NULL, 'NapC/NirT cytochrome c superfamily', 'NapC/NirT_cytc_sf', 5, NULL),
(35381, NULL, 'IPR033947', NULL, 'Electron transfer flavoprotein, alpha subunit, N-terminal', 'ETF_alpha_N', 3, NULL),
(35382, NULL, 'IPR038781', NULL, 'Uncharacterized membrane protein C365.16-ike', 'C365.16-ike', 4, NULL),
(35383, NULL, 'IPR037795', NULL, 'E3 ubiquitin-protein ligase HECW, C2 domain', 'C2_HECW', 3, NULL),
(35384, NULL, 'IPR040849', NULL, 'MyBP-C, tri-helix bundle domain', 'MyBP-C_THB', 3, NULL),
(35385, NULL, 'IPR037236', NULL, 'STIV B116-like superfamily', 'STIV_B116-like_sf', 5, NULL),
(35386, NULL, 'IPR033090', NULL, 'Heterogeneous nuclear ribonucleoprotein K', 'hnRNP_K', 4, NULL),
(35387, NULL, 'IPR033852', NULL, 'Cytosolic aminopeptidase 1/4', 'CBPC1/4', 3, NULL),
(35388, NULL, 'IPR038365', NULL, 'EcoRII, C-terminal domain superfamily', 'EcoRII_C_sf', 5, NULL),
(35389, NULL, 'IPR037493', NULL, 'Exodeoxyribonuclease III-like', 'ExoIII-like', 4, NULL),
(35390, NULL, 'IPR036597', NULL, 'Fido-like domain superfamily', 'Fido-like_dom_sf', 5, NULL),
(35391, NULL, 'IPR035667', NULL, 'Plant RIN2/3, CUE domain', 'RIN3_plant_CUE', 3, NULL),
(35392, NULL, 'IPR034809', NULL, 'Nop4, RNA recognition motif 4', 'Nop4_RRM4', 3, NULL),
(35393, NULL, 'IPR040255', NULL, 'Non-specific endonuclease', 'Non-specific_endonuclease', 4, NULL),
(35394, NULL, 'IPR039069', NULL, 'Carbohydrate esterase 7 family', 'CE7', 4, NULL),
(35395, NULL, 'IPR035182', NULL, 'Protein of unknown function PsaF', 'PsaF', 4, NULL),
(35396, NULL, 'IPR038611', NULL, 'Rifampin ADP-ribosyltransferase superfamily', 'Arr_sf', 5, NULL),
(35397, NULL, 'IPR036174', NULL, 'Zinc finger, Sec23/Sec24-type superfamily', 'Znf_Sec23_Sec24_sf', 5, NULL),
(35398, NULL, 'IPR040856', NULL, 'Glucose ABC transporter, C-terminal', 'GlcV_C', 3, NULL),
(35399, NULL, 'IPR038371', NULL, 'Multi-copper polyphenol oxidoreductase superfamily', 'Cu_polyphenol_OxRdtase_sf', 5, NULL),
(35400, NULL, 'IPR033124', NULL, 'Serine carboxypeptidases, histidine active site', 'Ser_caboxypep_his_AS', 0, NULL),
(35401, NULL, 'IPR036080', NULL, 'F420-dependent methylenetetrahydromethanopterin dehydrogenase superfamily', 'MTD_sf', 5, NULL),
(35402, NULL, 'IPR033068', NULL, 'Centromere protein J', 'CENP-J', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35403, NULL, 'IPR037449', NULL, 'Formin-binding protein 1, F-BAR domain', 'FNBP1_F-BAR', 3, NULL),
(35404, NULL, 'IPR037265', NULL, 'Poly(A) polymerase catalytic subunit superfamily', 'PolyA_pol_cat_sf', 5, NULL),
(35405, NULL, 'IPR036924', NULL, 'Prion/Doppel beta-ribbon domain superfamily', 'Prion/Doppel_b-ribbon_dom_sf', 5, NULL),
(35406, NULL, 'IPR038683', NULL, 'Interleukin-17 receptor A/B, FnIII-like domain 1 superfamily', 'IL17RA/B_FnIII-like_1_sf', 5, NULL),
(35407, NULL, 'IPR033709', NULL, 'Isoleucyl tRNA synthetase type 2, anticodon-binding domain', 'Anticodon_Ile_ABEc', 3, NULL),
(35408, NULL, 'IPR034273', NULL, 'Ascorbate oxidase homologue, first cupredoxin domain', 'CuRO_1_AAO-like', 3, NULL),
(35409, NULL, 'IPR037316', NULL, 'Yen1, H3TH domain', 'Yen1_H3TH', 3, NULL),
(35410, NULL, 'IPR038610', NULL, 'FliK-like, C-terminal domain superfamily', 'FliK-like_C_sf', 5, NULL),
(35411, NULL, 'IPR039068', NULL, 'Pyrroloquinoline-quinone synthase-like', 'PqqC-like', 4, NULL),
(35412, NULL, 'IPR033411', NULL, 'Ribonuclease, PIN domain', 'Ribonuclease_PIN', 3, NULL),
(35413, NULL, 'IPR036606', NULL, 'EhaM-like superfamily', 'EhaM-like_sf', 5, NULL),
(35414, NULL, 'IPR035355', NULL, 'Protein of unknown function DUF5423', 'DUF5423', 4, NULL),
(35415, NULL, 'IPR038774', NULL, 'Centrosomal protein CEP162-like', 'CEP162-like', 4, NULL),
(35416, NULL, 'IPR037540', NULL, 'DNA-binding protein, Adenovirus', 'ADV_DNB2', 4, NULL),
(35417, NULL, 'IPR038601', NULL, 'MttB-like superfamily', 'MttB-like_sf', 5, NULL),
(35418, NULL, 'IPR033895', NULL, 'UDP-GlcNAc-dolichyl-phosphate GlcNAc phosphotransferase', 'GPT', 4, NULL),
(35419, NULL, 'IPR038445', NULL, 'Neutral ceramidase, C-terminal domain superfamily', 'NCDase_C_sf', 5, NULL),
(35420, NULL, 'IPR036081', NULL, 'Translin superfamily', 'Translin_sf', 5, NULL),
(35421, NULL, 'IPR037934', NULL, 'RIP1, Death domain', 'RIP1_Death', 3, NULL),
(35422, NULL, 'IPR035644', NULL, 'MraZ, C-terminal', 'MraZ_C', 3, NULL),
(35423, NULL, 'IPR035513', NULL, 'Invertase/pectin methylesterase inhibitor domain superfamily', 'Invertase/methylesterase_inhib', 5, NULL),
(35424, NULL, 'IPR038622', NULL, 'Cyclodipeptide synthase superfamily', 'CDPS_sf', 5, NULL),
(35425, NULL, 'IPR034791', NULL, 'RNA-binding protein 20', 'RBM20', 4, NULL),
(35426, NULL, 'IPR033374', NULL, 'NMDA receptor synaptonuclear signalling and neuronal migration factor', 'NSMF', 4, NULL),
(35427, NULL, 'IPR035364', NULL, 'Glycosyl hydrolase 101, beta-sandwich domain', 'Glyco_hyd_101_beta', 3, NULL),
(35428, NULL, 'IPR033064', NULL, 'Cell division cycle-associated protein 2', 'CDCA2', 4, NULL),
(35429, NULL, 'IPR037293', NULL, 'Galactose oxidase, central domain superfamily', 'Gal_Oxidase_central_sf', 5, NULL),
(35430, NULL, 'IPR033894', NULL, 'Heat shock protein beta-3', 'HSPB3', 3, NULL),
(35431, NULL, 'IPR035670', NULL, 'Plant AGD1/2/3/4, BAR domain', 'AGD1/2/3/4_BAR_plant', 3, NULL),
(35432, NULL, 'IPR039525', NULL, 'E3 ubiquitin-protein ligase RNF126-like, zinc-ribbon', 'RNF126-like_zinc-ribbon', 3, NULL),
(35433, NULL, 'IPR040456', NULL, 'Ribonuclease H2 subunit B', 'RNase_H2_suB', 4, NULL),
(35434, NULL, 'IPR038268', NULL, 'Ribbon-helix-helix domain superfamily', 'RHH_sf', 5, NULL),
(35435, NULL, 'IPR036594', NULL, 'Methionine synthase domain', 'Meth_synthase_dom', 5, NULL),
(35436, NULL, 'IPR033170', NULL, 'Caspase-8', 'Caspase-8', 4, NULL),
(35437, NULL, 'IPR036376', NULL, 'Ribulose bisphosphate carboxylase, large subunit, C-terminal domain superfamily', 'RuBisCO_lsu_C_sf', 5, NULL),
(35438, NULL, 'IPR035314', NULL, 'Protein of unknown function DUF5370', 'DUF5370', 4, NULL),
(35439, NULL, 'IPR033125', NULL, 'Deoxyribonuclease I, conservied site', 'DNASE_I_2', 2, NULL),
(35440, NULL, 'IPR033697', NULL, 'Ribonuclease T2, eukaryotic', 'Ribonuclease_T2_eukaryotic', 4, NULL),
(35441, NULL, 'IPR037518', NULL, 'MPN domain', 'MPN', 3, NULL),
(35442, NULL, 'IPR034798', NULL, 'Polypyrimidine tract-binding protein1/2/3, RNA recognition motif 2', 'PTBP1/2/3_RRM2', 3, NULL),
(35443, NULL, 'IPR037361', NULL, 'COMM domain-containing protein 10', 'COMMD10', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35444, NULL, 'IPR039064', NULL, 'Zinc finger protein 750-like, zinc finger', 'ZNF750_Znf', 3, NULL),
(35445, NULL, 'IPR038898', NULL, 'BRO1 domain-containing protein BROX', 'BROX', 4, NULL),
(35446, NULL, 'IPR039189', NULL, 'CTD phosphatase Fcp1', 'Fcp1', 4, NULL),
(35447, NULL, 'IPR038332', NULL, 'PPE superfamily', 'PPE_sf', 5, NULL),
(35448, NULL, 'IPR033128', NULL, 'Adenylosuccinate synthase,  active site', 'Adenylosuccin_syn_Lys_AS', 0, NULL),
(35449, NULL, 'IPR034336', NULL, 'Ganglioside-induced differentiation-associated protein 1', 'GDAP1', 4, NULL),
(35450, NULL, 'IPR036925', NULL, 'Translation initiation factor IF-2, domain 3 superfamily', 'TIF_IF2_dom3_sf', 5, NULL),
(35451, NULL, 'IPR035709', NULL, 'RutC family, YoaB-like', 'YoaB-like', 4, NULL),
(35452, NULL, 'IPR037928', NULL, 'ASAP1, BAR domain', 'ASAP1_BAR', 3, NULL),
(35453, NULL, 'IPR033432', NULL, 'Glycosyl hydrolase 36, catalytic domain', 'GH36_catalytic', 3, NULL),
(35454, NULL, 'IPR033433', NULL, 'Domain of unknown function DUF5127', 'DUF5127', 3, NULL),
(35455, NULL, 'IPR039215', NULL, 'RecQ-mediated genome instability protein 1', 'RMI1', 4, NULL),
(35456, NULL, 'IPR037951', NULL, 'YdeP-like, MopB domain', 'MopB_CT_YdeP', 3, NULL),
(35457, NULL, 'IPR038613', NULL, 'Peroxin 22, C-terminal domain superfamiliy', 'Peroxin-22_C_sf', 5, NULL),
(35458, NULL, 'IPR033430', NULL, 'Domain of unknown function DUF5121', 'DUF5121', 3, NULL),
(35459, NULL, 'IPR038347', NULL, 'TyeA superfamily', 'TyeA_sf', 5, NULL),
(35460, NULL, 'IPR035794', NULL, 'E3 ubiquitin-protein ligase SH3RF2, second SH3 domain', 'SH3RF2_SH3_2', 3, NULL),
(35461, NULL, 'IPR035353', NULL, 'Gene product 79', 'Gp79', 4, NULL),
(35462, NULL, 'IPR036928', NULL, 'Amidase signature (AS) superfamily', 'AS_sf', 5, NULL),
(35463, NULL, 'IPR038608', NULL, 'Csm1/Pcs1, C-terminal domain superfamily', 'Csm1/Pcs1_C_sf', 5, NULL),
(35464, NULL, 'IPR035786', NULL, 'TRIM60, PRY/SPRY domain', 'SPRY/PRY_TRIM60', 3, NULL),
(35465, NULL, 'IPR037664', NULL, 'BldD, C-terminal', 'BldD_C', 3, NULL),
(35466, NULL, 'IPR038790', NULL, 'Mediator of RNA polymerase II transcription subunit 9, plant', 'Med9_plant', 4, NULL),
(35467, NULL, 'IPR035647', NULL, 'EF-G domain III/V-like', 'EFG_III/V', 5, NULL),
(35468, NULL, 'IPR033365', NULL, 'Cilia- and flagella-associated protein 53', 'CFAP53', 4, NULL),
(35469, NULL, 'IPR035883', NULL, 'Nck2, SH2 domain', 'Nck2_SH2', 3, NULL),
(35470, NULL, 'IPR037404', NULL, 'HTH-type transcriptional activator IlvY, PBP2 domain', 'IlvY_PBP2', 3, NULL),
(35471, NULL, 'IPR040454', NULL, 'Transcription factor IIIC subunit  Tfc1/Sfc1', 'TF_IIIC_Tfc1/Sfc1', 4, NULL),
(35472, NULL, 'IPR035886', NULL, 'STAT5b, SH2 domain', 'STAT5b_SH2', 3, NULL),
(35473, NULL, 'IPR038721', NULL, 'Transposase IS701-like, DDE domain', 'IS701-like_DDE_dom', 3, NULL),
(35474, NULL, 'IPR038814', NULL, 'Altered inheritance of mitochondria protein 11', 'AIM11', 4, NULL),
(35475, NULL, 'IPR036378', NULL, 'FAS1 domain superfamily', 'FAS1_dom_sf', 5, NULL),
(35476, NULL, 'IPR038481', NULL, 'Melampsora avirulence protein AvrL567 superfamily', 'Melampsora_AvrL567_sf', 5, NULL),
(35477, NULL, 'IPR038813', NULL, 'Fertilization-influencing membrane protein', 'FIMP', 4, NULL),
(35478, NULL, 'IPR033326', NULL, 'E3 ubiquitin-protein ligase BAH1', 'BAH1', 4, NULL),
(35479, NULL, 'IPR033758', NULL, 'pGP3 C-terminal domain', 'pGP3_C', 3, NULL),
(35480, NULL, 'IPR035317', NULL, 'Protein of unknown function DUF5375', 'DUF5375', 4, NULL),
(35481, NULL, 'IPR035881', NULL, 'VAV3, SH2 domain', 'VAV3_SH2', 3, NULL),
(35482, NULL, 'IPR039243', NULL, 'Leucine-rich repeat-containing protein 25', 'LRRC25', 4, NULL),
(35483, NULL, 'IPR036600', NULL, 'Paired amphipathic helix superfamily', 'PAH_sf', 5, NULL),
(35484, NULL, 'IPR033672', NULL, '(4S)-4-hydroxy-5-phosphonooxypentane-2,3-dione isomerase', 'LsrG', 4, NULL),
(35485, NULL, 'IPR038480', NULL, 'YuaB-like superfamily', 'YuaB-like_sf', 5, NULL),
(35486, NULL, 'IPR038616', NULL, 'Phosphotransferase RcsD, RcsD-ABL domain superfamily', 'RcsD_ABL_sf', 5, NULL),
(35487, NULL, 'IPR034224', NULL, 'Carboxypeptidase D,  carboxypeptidase-like domain 2', 'M14_CPD_II', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35488, NULL, 'IPR038478', NULL, 'Fimbrillin subunit EcpA superfamily', 'Fimbrillin_EcpA_sf', 5, NULL),
(35489, NULL, 'IPR037626', NULL, 'Nucleoporin Nup37', 'NUP37', 4, NULL),
(35490, NULL, 'IPR035790', NULL, 'E3 ubiquitin-protein ligase TRIM38, PRY/SPRY domain', 'SPRY/PRY_TRIM38', 3, NULL),
(35491, NULL, 'IPR033712', NULL, 'Pumilio, RNA binding domain', 'Pumilio_RNA-bd', 3, NULL),
(35492, NULL, 'IPR033731', NULL, 'Glycyl-tRNA synthetase-like core domain', 'GlyRS-like_core', 3, NULL),
(35493, NULL, 'IPR039210', NULL, '2-oxoglutarate and iron-dependent oxygenase domain-containing protein 3', 'OGFOD3', 4, NULL),
(35494, NULL, 'IPR038609', NULL, 'HDA1 complex subunit 2/3  superfamily', 'HDA1_su2/3_sf', 5, NULL),
(35495, NULL, 'IPR037671', NULL, 'GPI ethanolamine phosphate transferase 1, N-terminal', 'PIGN_N', 3, NULL),
(35496, NULL, 'IPR039188', NULL, 'ATPase family AAA domain-containing protein 3', 'ATAD3', 4, NULL),
(35497, NULL, 'IPR034849', NULL, 'Maltogenic alpha-amylase, CBM20 domain', 'CBM20_novamyl', 3, NULL),
(35498, NULL, 'IPR039242', NULL, 'Mediator of RNA polymerase II transcription subunit 9, metazoan', 'MED9_metazoa', 4, NULL),
(35499, NULL, 'IPR040858', NULL, 'Rubisco accumulation factor 1, C-terminal', 'Raf1_C', 3, NULL),
(35500, NULL, 'IPR036377', NULL, 'Gp120 core superfamily', 'Gp120_core_sf', 5, NULL),
(35501, NULL, 'IPR035523', NULL, 'Collagen alpha-1(XVIII) chain, frizzled domain', 'Collagen_XVIII_Fz', 3, NULL),
(35502, NULL, 'IPR035679', NULL, 'Magnesium-dependent phosphatase-1, eukaryotic-type', 'MDP-1_euk', 4, NULL),
(35503, NULL, 'IPR039675', NULL, 'Cartilage intermediate layer protein 1/2', 'CILP1/CILP2', 4, NULL),
(35504, NULL, 'IPR038028', NULL, 'Nucleosome-remodeling factor subunit BPTF', 'BPTF', 4, NULL),
(35505, NULL, 'IPR037938', NULL, 'RuvB-like helicase 1', 'RUVBL1', 4, NULL),
(35506, NULL, 'IPR040911', NULL, 'Exostosin, GT47 domain', 'Exostosin_GT47', 3, NULL),
(35507, NULL, 'IPR040901', NULL, 'Leukemia inhibitory factor receptor, N-terminal', 'LIFR_N', 3, NULL),
(35508, NULL, 'IPR037549', NULL, 'Uncharacterized protein C19orf18', 'C19orf18', 4, NULL),
(35509, NULL, 'IPR039051', NULL, 'SE-cephalotoxin-like', 'SE-CTX-like', 4, NULL),
(35510, NULL, 'IPR036218', NULL, 'HIV integrase-binding domain superfamily', 'HIVI-bd_sf', 5, NULL),
(35511, NULL, 'IPR035674', NULL, 'ERdj5, C-terminal thioredoxin domain', 'ERdj5_TRX_C', 3, NULL),
(35512, NULL, 'IPR039259', NULL, 'Protein maelstrom', 'Protein_maelstrom', 4, NULL),
(35513, NULL, 'IPR037921', NULL, 'Male-specific lethal 3 homolog', 'MSL3', 4, NULL),
(35514, NULL, 'IPR039400', NULL, 'RagC/D', 'RagC/D', 4, NULL),
(35515, NULL, 'IPR036584', NULL, 'Flagellar protein FliS superfamily', 'FliS_sf', 5, NULL),
(35516, NULL, 'IPR037398', NULL, 'Glucan endo-1,3-beta-glucosidase', 'Glyco_hydro_64', 4, NULL),
(35517, NULL, 'IPR037322', NULL, 'EDEM3, PA domain', 'EDEM3_PA', 3, NULL),
(35518, NULL, 'IPR039424', NULL, 'Solute-binding protein family 5', 'SBP_5', 4, NULL),
(35519, NULL, 'IPR036113', NULL, 'Glu-tRNAGln amidotransferase superfamily, subunit C', 'Asp/Glu-ADT_sf_sub_c', 5, NULL),
(35520, NULL, 'IPR035702', NULL, 'Caspase-2', 'Caspase_2', 4, NULL),
(35521, NULL, 'IPR035815', NULL, 'Complement C3-like, NTR domain', 'NTR_complement_C3', 3, NULL),
(35522, NULL, 'IPR039765', NULL, 'Protein Yip5/YIPF1/YIPF2', 'Yip5/YIPF1/YIPF2', 4, NULL),
(35523, NULL, 'IPR039605', NULL, 'AT-hook motif nuclear-localized protein', 'AHL', 4, NULL),
(35524, NULL, 'IPR039356', NULL, '5''-deoxynucleotidase YfbR/HDDC2', 'YfbR/HDDC2', 4, NULL),
(35525, NULL, 'IPR039200', NULL, 'Ectodysplasin-A receptor-associated adapter protein', 'EDARADD', 4, NULL),
(35526, NULL, 'IPR039050', NULL, 'GATA zinc finger domain-containing protein 1', 'GATAD1', 4, NULL),
(35527, NULL, 'IPR039676', NULL, 'Acyloxyacyl hydrolase', 'AOAH', 4, NULL),
(35528, NULL, 'IPR036592', NULL, 'Photosystem I PsaL, reaction centre subunit XI superfamily', 'PSI_PsaL_sf', 5, NULL),
(35529, NULL, 'IPR040902', NULL, 'REase, AHJR-like', 'AHJR-like', 3, NULL),
(35530, NULL, 'IPR039056', NULL, 'CDC42 small effector protein', 'SPEC', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35531, NULL, 'IPR039066', NULL, 'Hepatocyte nuclear factor 1', 'HNF-1', 4, NULL),
(35532, NULL, 'IPR039431', NULL, 'Vta1/callose synthase, N-terminal', 'Vta1/CALS_N', 3, NULL),
(35533, NULL, 'IPR039185', NULL, '1-acylglycerol-3-phosphate O-acyltransferase PNPLA3', 'Pat_PNPLA3', 4, NULL),
(35534, NULL, 'IPR039292', NULL, 'Protein SICKLE', 'SICKLE', 4, NULL),
(35535, NULL, 'IPR036412', NULL, 'HAD-like superfamily', 'HAD-like_sf', 5, NULL),
(35536, NULL, 'IPR033081', NULL, 'Tenascin-X', 'TNX', 4, NULL),
(35537, NULL, 'IPR036588', NULL, 'Precorrin-8X methylmutase CobH/CbiC superfamily', 'CobH/CbiC_sf', 5, NULL),
(35538, NULL, 'IPR039221', NULL, 'Protein FAM3A', 'FAM3A', 4, NULL),
(35539, NULL, 'IPR033829', NULL, 'Antithrombin-III, serpin domain', 'Antithrombin_3_serpin_domain', 3, NULL),
(35540, NULL, 'IPR039360', NULL, 'Ras GTPase-activating protein', 'Ras_GTPase', 4, NULL),
(35541, NULL, 'IPR037442', NULL, 'Melanophilin, FYVE-related domain', 'Melanophilin_FYVE-rel_dom', 3, NULL),
(35542, NULL, 'IPR036053', NULL, 'PABC (PABP) domain', 'PABP-dom', 5, NULL),
(35543, NULL, 'IPR039285', NULL, 'Dehydrin HIRD11-like', 'HIRD11-like', 4, NULL),
(35544, NULL, 'IPR037095', NULL, 'RBP-J/Cbf11, DNA binding domain superfamily', 'RBP-J/Cbf11_DNA-bd_sf', 5, NULL),
(35545, NULL, 'IPR037441', NULL, 'Frizzled-5, CRD domain', 'FZ5_CRD', 3, NULL),
(35546, NULL, 'IPR039284', NULL, 'Coiled-coil domain-containing protein 159/163', 'CCDC159/163', 4, NULL),
(35547, NULL, 'IPR039080', NULL, 'Pituitary adenylate cyclase-activating polypeptide', 'PACAP', 4, NULL),
(35548, NULL, 'IPR038639', NULL, 'AlgX, C-terminal domain superfamily', 'AlgX_C_sf', 5, NULL),
(35549, NULL, 'IPR037548', NULL, 'Bouquet formation protein 4', 'Bqt4', 4, NULL),
(35550, NULL, 'IPR038158', NULL, 'H-NOX domain superfamily', 'H-NOX_domain_sf', 5, NULL),
(35551, NULL, 'IPR039586', NULL, 'Cilia- and flagella-associated protein 46', 'CFAP46', 4, NULL),
(35552, NULL, 'IPR039118', NULL, 'Menaquinone reductase, multiheme cytochrome c subunit', 'QrcA', 4, NULL),
(35553, NULL, 'IPR039053', NULL, 'Integrator complex subunit 12', 'Int12', 4, NULL),
(35554, NULL, 'IPR037517', NULL, 'Hepatitis delta antigen (HDAg) domain', 'HDAG_dom', 3, NULL),
(35555, NULL, 'IPR039074', NULL, 'GGGP/HepGP synthase group I', 'GGGP/HepGP_synthase_I', 4, NULL),
(35556, NULL, 'IPR033748', NULL, 'L-ribulose-5-phosphate 4-epimerase AraD', 'AraD_entero', 4, NULL),
(35557, NULL, 'IPR039119', NULL, 'ABT1/Esf2', 'ABT1/Esf2', 4, NULL),
(35558, NULL, 'IPR033695', NULL, 'Second polo-box domain', 'POLO_box_2', 3, NULL),
(35559, NULL, 'IPR036054', NULL, 'BTG-like domain superfamily', 'BTG-like_sf', 5, NULL),
(35560, NULL, 'IPR039434', NULL, 'Rift valley fever virus non structural protein-like', 'NSs-like', 4, NULL),
(35561, NULL, 'IPR038643', NULL, 'PliI superfamily', 'PliI_sf', 5, NULL),
(35562, NULL, 'IPR038358', NULL, 'VPS28, N-terminal domain superfamily', 'VPS28_N_sf', 5, NULL),
(35563, NULL, 'IPR039049', NULL, 'Elongin B', 'ELOB', 4, NULL),
(35564, NULL, 'IPR037464', NULL, 'Threonine aspartase 1', 'Taspase1', 4, NULL),
(35565, NULL, 'IPR039172', NULL, 'Protein parting dancers', 'PTD', 4, NULL),
(35566, NULL, 'IPR039361', NULL, 'Cyclin', 'Cyclin', 4, NULL),
(35567, NULL, 'IPR038153', NULL, 'dTDP-4-dehydro-6-deoxy-alpha-D-glucopyranose 2,3-dehydratase superfamily', 'EvaA-like_sf', 5, NULL),
(35568, NULL, 'IPR037205', NULL, 'ChaB superfamily', 'ChaB_sf', 5, NULL),
(35569, NULL, 'IPR039286', NULL, 'Exosporium protein C', 'CsxC', 4, NULL),
(35570, NULL, 'IPR039120', NULL, 'Ubiquitin domain-containing protein UBFD1', 'UBFD1', 4, NULL),
(35571, NULL, 'IPR038736', NULL, 'GDP-mannose transporter Vrg4-like', 'Vrg4-like', 4, NULL),
(35572, NULL, 'IPR039477', NULL, 'ILEI/PANDER domain', 'ILEI/PANDER_dom', 3, NULL),
(35573, NULL, 'IPR037840', NULL, 'Anillin, PH domain', 'PH_Anillin', 3, NULL),
(35574, NULL, 'IPR037958', NULL, 'Butyrophilin subfamily 1/2, SPRY/PRY domain', 'SPRY/PRY_BTN1/2', 3, NULL),
(35575, NULL, 'IPR038696', NULL, 'Invasion protein B superfamily', 'IalB_sf', 5, NULL),
(35576, NULL, 'IPR036563', NULL, 'Molybdopterin biosynthesis MoaE subunit superfamily', 'MoaE_sf', 5, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35577, NULL, 'IPR037922', NULL, 'E3 ubiquitin-protein ligase MSL2', 'MSL2', 4, NULL),
(35578, NULL, 'IPR037460', NULL, 'Streptomyces scabies esterase-like', 'SEST-like', 4, NULL),
(35579, NULL, 'IPR039059', NULL, 'Major vault protein', 'MVP', 4, NULL),
(35580, NULL, 'IPR039520', NULL, 'E3 ubiquitin-protein ligase CBL-B, RING finger, HC subclass', 'CBL-B_RING-HC', 3, NULL),
(35581, NULL, 'IPR039149', NULL, 'Zinc finger protein 800', 'ZNF800', 4, NULL),
(35582, NULL, 'IPR036052', NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzyme', 'Trypto_synt_PLP_dependent', 5, NULL),
(35583, NULL, 'IPR039123', NULL, 'Protein phosphatase 2C', 'PPTC7', 4, NULL),
(35584, NULL, 'IPR039081', NULL, 'Thrombospondin-5, coiled coil region', 'TSP-5_cc', 3, NULL),
(35585, NULL, 'IPR039122', NULL, 'Protein TMEPAI', 'TMEPAI', 4, NULL),
(35586, NULL, 'IPR038487', NULL, 'Mre11, capping domain', 'Mre11_capping_dom', 5, NULL),
(35587, NULL, 'IPR033061', NULL, 'Heterochromatin protein 1-binding protein 3', 'HP1BP3', 4, NULL),
(35588, NULL, 'IPR035833', NULL, 'SGSM3, SH3 domain', 'SGSM3_SH3', 3, NULL),
(35589, NULL, 'IPR037462', NULL, 'ERp19', 'ERp19', 4, NULL),
(35590, NULL, 'IPR039374', NULL, 'Siderophore-interacting protein', 'SIP_fam', 4, NULL),
(35591, NULL, 'IPR037097', NULL, 'Photosynthetic reaction centre, H subunit, N-terminal domain superfamily', 'Photo_RC_H_N_sf', 5, NULL),
(35592, NULL, 'IPR036050', NULL, 'E2 regulatory, transactivation domain', 'Regulatory_protein_E2_N', 5, NULL),
(35593, NULL, 'IPR037990', NULL, 'Myosin 5b, cargo-binding domain', 'Myo5b_CBD', 3, NULL),
(35594, NULL, 'IPR037094', NULL, 'Glycoside hydrolase family 38, central domain superfamily', 'Glyco_hydro_38_cen_sf', 5, NULL),
(35595, NULL, 'IPR039516', NULL, 'N-acetylglucosaminyl-phosphatidylinositol de-N-acetylase', 'GPI12', 4, NULL),
(35596, NULL, 'IPR038156', NULL, 'Phytochelatin synthase, N-terminal domain superfamily', 'PCS_N_sf', 5, NULL),
(35597, NULL, 'IPR033084', NULL, 'Urokinase plasminogen activator surface receptor', 'U-PAR', 4, NULL),
(35598, NULL, 'IPR036116', NULL, 'Fibronectin type III superfamily', 'FN3_sf', 5, NULL),
(35599, NULL, 'IPR039237', NULL, 'Lymphocyte antigen 6 complex locus protein G6c', 'LY6G6C', 4, NULL),
(35600, NULL, 'IPR038770', NULL, 'Sodium/solute  symporter  superfamily', 'Na+/solute_symporter_sf', 5, NULL),
(35601, NULL, 'IPR039222', NULL, 'Regulatory solute carrier protein family 1 member 1', 'RSC1A1', 4, NULL),
(35602, NULL, 'IPR037298', NULL, 'Cyclohexadienyl dehydratase PheC', 'PheC_PBP2', 3, NULL),
(35603, NULL, 'IPR040903', NULL, 'Retroviral integrase, C-terminal SH3 domain', 'SH3_11', 3, NULL),
(35604, NULL, 'IPR037882', NULL, 'Alpha-crystallin B chain, ACD domain', 'ACD_alphaB-crystallin', 3, NULL),
(35605, NULL, 'IPR039435', NULL, 'Diguanylate cyclase DosC, globin sensor domain', 'DosC_GS', 3, NULL),
(35606, NULL, 'IPR033486', NULL, 'DNA-binding protein RFX5', 'RFX5', 4, NULL),
(35607, NULL, 'IPR035877', NULL, 'STAP1, SH2 domain', 'STAP1_SH2', 3, NULL),
(35608, NULL, 'IPR036111', NULL, 'Malate/L-sulfolactate/L-lactate dehydrogenase-like superfamily', 'Mal/L-sulfo/L-lacto_DH-like_sf', 5, NULL),
(35609, NULL, 'IPR039177', NULL, 'Protein SMG9', 'SMG9', 4, NULL),
(35610, NULL, 'IPR035803', NULL, 'Sorting nexin Vps5, BAR domain', 'BAR_Vps5', 3, NULL),
(35611, NULL, 'IPR033743', NULL, 'Effector protein HopAB, Pto-binding domain', 'HopAB_PID', 3, NULL),
(35612, NULL, 'IPR039227', NULL, 'Guanine nucleotide-binding protein G(I)/G(S)/G(O) subunit gamma-13', 'GNG13', 4, NULL),
(35613, NULL, 'IPR037072', NULL, 'Sodium/hydrogen exchanger 9B2', 'SLC9B2', 4, NULL),
(35614, NULL, 'IPR033070', NULL, 'ETS-related transcription factor Elf-4', 'Elf4', 4, NULL),
(35615, NULL, 'IPR039282', NULL, 'Protein response to low sulfur', 'LSU', 4, NULL),
(35616, NULL, 'IPR039317', NULL, 'Protein time for coffee', 'TIC', 4, NULL),
(35617, NULL, 'IPR039146', NULL, 'G patch domain and ankyrin repeat-containing protein 1', 'GPANK1', 4, NULL),
(35618, NULL, 'IPR036521', NULL, 'Signal recognition particle, subunit SRP19-like superfamily', 'SRP19-like_sf', 5, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35619, NULL, 'IPR033348', NULL, 'Aryl hydrocarbon receptor', 'AHR', 4, NULL),
(35620, NULL, 'IPR039677', NULL, 'Ciliogenesis and planar polarity effector 2', 'RSG1', 4, NULL),
(35621, NULL, 'IPR035665', NULL, 'VcfQ, lectin domain', 'VcfQ_lectin', 3, NULL),
(35622, NULL, 'IPR039054', NULL, 'Int12, PHD finger', 'Int12_PHD', 3, NULL),
(35623, NULL, 'IPR037207', NULL, 'NADH-ubiquinone oxidoreductase 51kDa subunit, iron-sulphur binding domain superfamily', 'Nuop51_4Fe4S-bd_sf', 5, NULL),
(35624, NULL, 'IPR039228', NULL, 'SUZ domain-containing protein 1', 'SZRD1', 4, NULL),
(35625, NULL, 'IPR039097', NULL, 'Gastric triacylglycerol lipase', 'Gastric_lipase', 4, NULL),
(35626, NULL, 'IPR036590', NULL, 'SOS response associated peptidase-like', 'SRAP-like', 5, NULL),
(35627, NULL, 'IPR039018', NULL, 'Endonuclease VapC20', 'VapC20', 4, NULL),
(35628, NULL, 'IPR039542', NULL, 'Endoplasmic reticulum vesicle transporter, N-terminal', 'Erv_N', 3, NULL),
(35629, NULL, 'IPR040883', NULL, 'Fatty acid synthase, meander beta sheet domain', 'FAS_meander', 3, NULL),
(35630, NULL, 'IPR039518', NULL, 'WhiA, LAGLIDADG-like domain', 'WhiA_LAGLIDADG_dom', 3, NULL),
(35631, NULL, 'IPR033480', NULL, 'Single Cache domain 2', 'sCache_2', 3, NULL),
(35632, NULL, 'IPR040878', NULL, 'C17orf99, Ig domain', 'Ig_C17orf99', 3, NULL),
(35633, NULL, 'IPR039270', NULL, 'Zinc finger protein 469', 'ZNF469', 4, NULL),
(35634, NULL, 'IPR039272', NULL, 'CLEC16A/TT9', 'CLEC16A/TT9', 4, NULL),
(35635, NULL, 'IPR033041', NULL, 'Bestrophin-1', 'Best1', 4, NULL),
(35636, NULL, 'IPR033229', NULL, 'Apoptosis facilitator Bcl-2-like protein 14', 'BCL2L14', 4, NULL),
(35637, NULL, 'IPR035876', NULL, 'SH2D1A, SH2 domain', 'SH2D1A_SH2', 3, NULL),
(35638, NULL, 'IPR036117', NULL, 'DhaL domain superfamily', 'DhaL_dom_sf', 5, NULL),
(35639, NULL, 'IPR037321', NULL, 'KIN17-like protein', 'KIN17-like', 4, NULL),
(35640, NULL, 'IPR035804', NULL, 'Aspartokinase 3, N-terminal', 'AKIII_YclM_N', 3, NULL),
(35641, NULL, 'IPR035802', NULL, 'Tepsin, ENTH/VHS domain', 'ENTH/VHS_tepsin', 3, NULL),
(35642, NULL, 'IPR037817', NULL, 'Transcription initiation factor TFIID subunit 7', 'TAF7', 4, NULL),
(35643, NULL, 'IPR033952', NULL, 'Stimulator of interferon genes protein, C-terminal', 'STING_C', 3, NULL),
(35644, NULL, 'IPR033079', NULL, 'Tenascin-R', 'TNR', 4, NULL),
(35645, NULL, 'IPR040879', NULL, 'Spermatogenesis-associated protein 46-like', 'Spt46-like', 4, NULL),
(35646, NULL, 'IPR039067', NULL, 'Hepatocyte nuclear factor 4-alpha', 'HNF4A', 4, NULL),
(35647, NULL, 'IPR033257', NULL, 'N-acetyltransferase Eco1/Protein CHROMOSOME TRANSMISSION FIDELITY 7', 'Eco1/CTF7', 4, NULL),
(35648, NULL, 'IPR037193', NULL, 'GDNF receptor alpha', 'GDNF_alpha', 5, NULL),
(35649, NULL, 'IPR039240', NULL, 'Protein FAM3D', 'FAM3D', 4, NULL),
(35650, NULL, 'IPR038642', NULL, 'VioE superfamily', 'VioE_sf', 5, NULL),
(35651, NULL, 'IPR038354', NULL, 'VKOR domain superfamily', 'VKOR_sf', 5, NULL),
(35652, NULL, 'IPR037202', NULL, 'ESCRT assembly domain', 'ESCRT_assembly_dom', 5, NULL),
(35653, NULL, 'IPR038152', NULL, 'Carbamoyltransferase, C-terminal domain superfamily', 'Carbam_trans_C_sf', 5, NULL),
(35654, NULL, 'IPR035701', NULL, 'Caspase-10', 'Caspase_10', 4, NULL),
(35655, NULL, 'IPR039017', NULL, 'ATP synthase protein 8, mammals', 'ATP8_mammal', 4, NULL),
(35656, NULL, 'IPR039373', NULL, 'Glutamate carboxypeptidase 2-like', 'Peptidase_M28B', 4, NULL),
(35657, NULL, 'IPR039150', NULL, 'Transcription elongation factor, mitochondrial', 'TEFM', 4, NULL),
(35658, NULL, 'IPR040143', NULL, 'Inactive ubiquitin carboxyl-terminal hydrolase 53', 'USP53', 4, NULL),
(35659, NULL, 'IPR038995', NULL, 'Portal protein, Caudovirales', 'Portal_prot_Caudovirale', 4, NULL),
(35660, NULL, 'IPR039557', NULL, 'AHAS, ACT domain', 'AHAS_ACT', 3, NULL),
(35661, NULL, 'IPR037099', NULL, 'Fumarate reductase/succinate dehydrogenase flavoprotein-like, C-terminal domain superfamily', 'Fum_R/Succ_DH_flav-like_C_sf', 5, NULL),
(35662, NULL, 'IPR036121', NULL, 'ATPase, F1/V1/A1 complex, alpha/beta subunit, N-terminal domain superfamily', 'ATPase_F1/V1/A1_a/bsu_N_sf', 5, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35663, NULL, 'IPR036733', NULL, 'B transposition protein, C-terminal domain superfamily', 'B_transposit_C_sf', 5, NULL),
(35664, NULL, 'IPR039357', NULL, '3-oxo-5-alpha-steroid 4-dehydrogenase/very-long-chain enoyl-CoA reductase', 'SRD5A/TECR', 4, NULL),
(35665, NULL, 'IPR036730', NULL, 'Phage P22 tailspike-like, N-terminal domain superfamily', 'P22_tailspike_N_sf', 5, NULL),
(35666, NULL, 'IPR039289', NULL, 'Mitochondrial intermembrane space import and assembly protein 40', 'CHCHD4', 4, NULL),
(35667, NULL, 'IPR038355', NULL, 'Tumor necrosis factor alpha-induced protein 8-like superfamily', 'TNFAIP8_sf', 5, NULL),
(35668, NULL, 'IPR033479', NULL, 'Double Cache domain 1', 'dCache_1', 3, NULL),
(35669, NULL, 'IPR039204', NULL, 'Magnesium transporter MRS2-like', 'MRS2-like', 4, NULL),
(35670, NULL, 'IPR037093', NULL, 'Smaug, PHAT domain superfamily', 'PHAT_dom_sf', 5, NULL),
(35671, NULL, 'IPR037318', NULL, 'Hex1, S1 domain', 'Hex1_S1', 3, NULL),
(35672, NULL, 'IPR038993', NULL, 'Internal virion protein Gp15', 'Gp15', 4, NULL),
(35673, NULL, 'IPR039280', NULL, 'VASCULAR-RELATED UNKNOWN PROTEIN', 'VUP', 4, NULL),
(35674, NULL, 'IPR039288', NULL, 'Zinc finger protein SHOOT GRAVITROPISM 5-like', 'SGR5-like', 4, NULL),
(35675, NULL, 'IPR039488', NULL, 'Dolichyl pyrophosphate Man9GlcNAc2 alpha-1,3-glucosyltransferase', 'ALG6', 4, NULL),
(35676, NULL, 'IPR039275', NULL, 'PDZ domain-containing protein 8', 'PDZD8', 4, NULL),
(35677, NULL, 'IPR039278', NULL, 'NURS complex subunit red1', 'Red1', 4, NULL),
(35678, NULL, 'IPR037546', NULL, 'Transcription factor SAC51-like', 'SAC51-like', 4, NULL),
(35679, NULL, 'IPR039344', NULL, 'Metallo-beta-lactamase domain-containing protein 1', 'MBLAC1', 4, NULL),
(35680, NULL, 'IPR036270', NULL, 'UPF0358 superfamily', 'UPF0358_sf', 5, NULL),
(35681, NULL, 'IPR039559', NULL, 'Altered inheritance of mitochondria protein 6, PI-PLC-like catalytic domain', 'AIM6_PI-PLC-like_dom', 3, NULL),
(35682, NULL, 'IPR039157', NULL, 'RNA-binding protein 18, RNA recognition motif', 'RBM18_RRM', 3, NULL),
(35683, NULL, 'IPR040880', NULL, 'Domain of unknown function DUF5604', 'DUF5604', 3, NULL),
(35684, NULL, 'IPR039203', NULL, 'Disease resistance protein, RPW8-like', 'RPW8-like', 4, NULL),
(35685, NULL, 'IPR040140', NULL, 'Protein naked cuticle-like', 'Nkd-like', 4, NULL),
(35686, NULL, 'IPR039159', NULL, 'SAYSvFN domain-containing protein 1', 'SAYSD1', 4, NULL),
(35687, NULL, 'IPR033210', NULL, 'Phospholipase A and acyltransferase 4', 'PLAAT4', 4, NULL),
(35688, NULL, 'IPR039534', NULL, 'L-ornithine N5-acetyltransferase NATA1-like', 'NATA1-like', 4, NULL),
(35689, NULL, 'IPR039121', NULL, 'Acyl-coenzyme A diphosphatase NUDT19', 'NUDT19', 4, NULL),
(35690, NULL, 'IPR039196', NULL, 'ATP synthase assembly factor Fmc1, mitochondrial', 'Fmc1', 4, NULL),
(35691, NULL, 'IPR039184', NULL, 'Sterile alpha and TIR motif-containing protein 1', 'SARM1', 4, NULL),
(35692, NULL, 'IPR038846', NULL, 'DNA-directed RNA polymerase III subunit RPC9', 'RPC9', 4, NULL),
(35693, NULL, 'IPR039517', NULL, 'C6orf106, UBA-like domain', 'C6orf106_UBA-like', 3, NULL),
(35694, NULL, 'IPR039230', NULL, 'Mesenteric estrogen-dependent adipogenesis protein', 'MEDAG', 4, NULL),
(35695, NULL, 'IPR038718', NULL, 'SNF2-like, N-terminal domain superfamily', 'SNF2-like_sf', 5, NULL),
(35696, NULL, 'IPR036272', NULL, 'Methuselah, N-terminal domain superfamily', 'Methuselah_N_sf', 5, NULL),
(35697, NULL, 'IPR039199', NULL, 'FAM91', 'FAM91', 4, NULL),
(35698, NULL, 'IPR036049', NULL, 'Ribosomal protein L29/L35 superfamily', 'Ribosomal_L29/L35_sf', 5, NULL),
(35699, NULL, 'IPR038003', NULL, 'Alpha-2-macroglobulin receptor-associated protein', 'A2-macroglobuin_RAP', 4, NULL),
(35700, NULL, 'IPR039585', NULL, 'SERTA domain-containing protein 3', 'SERTAD3', 4, NULL),
(35701, NULL, 'IPR039428', NULL, 'NADH-ubiquinone oxidoreductase chain 4L/Mnh complex subunit C1-like', 'NUOK/Mnh_C1-like', 4, NULL),
(35702, NULL, 'IPR035605', NULL, 'CACNB2, SH3 domain', 'CACNB2_SH3', 3, NULL),
(35703, NULL, 'IPR037733', NULL, 'Extended synaptotagmin, C2A domain', 'Ext_Synaptotagmin_C2A', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35704, NULL, 'IPR038353', NULL, 'Decorin-binding superfamily', 'Decorin-db_sf', 5, NULL),
(35705, NULL, 'IPR037919', NULL, 'UDP-N-acetylglucosamine--peptide N-acetylglucosaminyltransferase 110kDa subunit', 'OGT', 4, NULL),
(35706, NULL, 'IPR038659', NULL, 'Alternative oxidase superfamily', 'AOX_sf', 5, NULL),
(35707, NULL, 'IPR039318', NULL, 'Protein O-mannose kinase', 'POMK', 4, NULL),
(35708, NULL, 'IPR036120', NULL, 'Staphylokinase/Streptokinase superfamily', 'SAK/SK_sf', 5, NULL),
(35709, NULL, 'IPR039672', NULL, 'Lactose permease-like', 'MFS_2', 4, NULL),
(35710, NULL, 'IPR033071', NULL, 'ETS homologous factor', 'EHF', 4, NULL),
(35711, NULL, 'IPR037448', NULL, 'Zwei Ig domain protein zig-8', 'Zig-8', 4, NULL),
(35712, NULL, 'IPR039262', NULL, 'DTW domain-containing protein DTWD2/YfiP', 'DTWD2/YfiP', 4, NULL),
(35713, NULL, 'IPR038662', NULL, 'F1F0 ATP synthase subunit C superfamily', 'ATP_synth_F0_csu_sf', 5, NULL),
(35714, NULL, 'IPR039226', NULL, 'Ski3/TTC37', 'Ski3/TTC37', 4, NULL),
(35715, NULL, 'IPR039545', NULL, 'Post-GPI attachment to proteins factor 2', 'PGAP2', 4, NULL),
(35716, NULL, 'IPR036056', NULL, 'Fibrinogen-like, C-terminal', 'Fibrinogen-like_C', 5, NULL),
(35717, NULL, 'IPR039399', NULL, 'Deltex, C-terminal domain superfamily', 'Deltex_C_sf', 5, NULL),
(35718, NULL, 'IPR039235', NULL, 'Tubulin polyglutamylase complex subunit 1', 'TPGS1', 4, NULL),
(35719, NULL, 'IPR039155', NULL, 'Malectin', 'MLEC', 4, NULL),
(35720, NULL, 'IPR038488', NULL, 'Integrase, DNA-binding domain superfamily', 'Integrase_DNA-bd_sf', 5, NULL),
(35721, NULL, 'IPR039026', NULL, 'Protein Kinase B, pleckstrin homology domain', 'PH_PKB', 3, NULL),
(35722, NULL, 'IPR039291', NULL, 'Late embryogenesis abundant protein At5g17165-like', 'At5g17165-like', 4, NULL),
(35723, NULL, 'IPR037988', NULL, 'Myosin 5a, cargo-binding domain', 'Myo5a_CBD', 3, NULL),
(35724, NULL, 'IPR037885', NULL, 'Heat shock protein beta-7, ACD domain', 'ACD_HspB7', 3, NULL),
(35725, NULL, 'IPR035383', NULL, 'Methylamine utilization protein MauJ', 'MauJ', 4, NULL),
(35726, NULL, 'IPR035525', NULL, 'NDPK7, first NDPk domain', 'NDPk7A', 3, NULL),
(35727, NULL, 'IPR037199', NULL, 'Phosphoprotein, C-terminal', 'PP_M1_C', 5, NULL),
(35728, NULL, 'IPR038735', NULL, 'MSMEG_1276-like, nucleoside triphosphate pyrophosphohydrolase domain', 'MSMEG_1276-like_NTP-PPase_dom', 3, NULL),
(35729, NULL, 'IPR039461', NULL, 'Peptidase family M49', 'Peptidase_M49', 4, NULL),
(35730, NULL, 'IPR033627', NULL, 'Serine/threonine-protein kinase MARK1', 'MARK1', 4, NULL),
(35731, NULL, 'IPR038489', NULL, 'Suppressor of fused, C-terminal domain superfamily', 'SUFU_C_sf', 5, NULL),
(35732, NULL, 'IPR039767', NULL, 'RalA-binding protein 1', 'RALBP1', 4, NULL),
(35733, NULL, 'IPR040881', NULL, 'Urease subunit beta-alpha, linker domain', 'Urease_linker', 3, NULL),
(35734, NULL, 'IPR039429', NULL, 'Serine hydroxymethyltransferase-like domain', 'SHMT-like_dom', 3, NULL),
(35735, NULL, 'IPR037933', NULL, 'Protein max', 'MAX', 4, NULL),
(35736, NULL, 'IPR038997', NULL, 'Major capsid protein, Myoviridae', 'CAPSID_Myoviridae', 4, NULL),
(35737, NULL, 'IPR040877', NULL, 'Carbohydrate binding module 65 domain 1', 'CBM65_1', 3, NULL),
(35738, NULL, 'IPR038472', NULL, 'DNA sulphur modification protein DndE superfamily', 'DndE_sf', 5, NULL),
(35739, NULL, 'IPR039423', NULL, 'TonB-dependent receptor-like', 'TonB-dep_rcpt', 4, NULL),
(35740, NULL, 'IPR035814', NULL, 'Procollagen C-endopeptidase enhancer, NTR domain', 'NTR_PCOLCE', 3, NULL),
(35741, NULL, 'IPR039584', NULL, 'Heat shock factor 2-binding protein', 'HSF2BP', 4, NULL),
(35742, NULL, 'IPR037213', NULL, 'RUN domain superfamily', 'Run_dom_sf', 5, NULL),
(35743, NULL, 'IPR036213', NULL, 'Calpain large subunit, domain III superfamily', 'Calpain_III_sf', 5, NULL),
(35744, NULL, 'IPR039098', NULL, 'TERF1-interacting nuclear factor 2', 'TINF2', 4, NULL),
(35745, NULL, 'IPR037935', NULL, 'MAX gene-associated protein', 'MAX_gene-associated_protein', 4, NULL),
(35746, NULL, 'IPR039375', NULL, 'Nodulation protein N-like', 'NodN-like', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35747, NULL, 'IPR038348', NULL, 'SLED domain superfamily', 'SLED_sf', 5, NULL),
(35748, NULL, 'IPR039449', NULL, 'Type VI secretion system TssO', 'TssO', 4, NULL),
(35749, NULL, 'IPR039670', NULL, 'Sterol transport protein NPC2-like', 'NPC2-like', 4, NULL),
(35750, NULL, 'IPR039225', NULL, 'AT-hook DNA-binding motif-containing protein 1', 'AHDC1', 4, NULL),
(35751, NULL, 'IPR033042', NULL, 'Arrestin-C', 'ARR3', 4, NULL),
(35752, NULL, 'IPR039768', NULL, 'Ribosomal export protein Nmd3', 'Nmd3', 4, NULL),
(35753, NULL, 'IPR038154', NULL, 'Arterivirus papain-like cysteine protease beta (PCPbeta) domain superfamily', 'AV_PCPbeta_sf', 5, NULL),
(35754, NULL, 'IPR039047', NULL, 'Phosphorylated adapter RNA export protein', 'PHAX', 4, NULL),
(35755, NULL, 'IPR039156', NULL, 'PHAF1/Protein broad-minded', 'PHAF1/BROMI', 4, NULL),
(35756, NULL, 'IPR038655', NULL, 'Ribosomal protein L27e superfamily', 'L27e_sf', 5, NULL),
(35757, NULL, 'IPR036589', NULL, 'Homocysteine-binding domain superfamily', 'HCY_dom_sf', 5, NULL),
(35758, NULL, 'IPR039261', NULL, 'Ferredoxin-NADP reductase (FNR), nucleotide-binding domain', 'FNR_nucleotide-bd', 5, NULL),
(35759, NULL, 'IPR037514', NULL, 'Ribose-phosphate pyrophosphokinase, archaea', 'Rib-P_diPkinase_arc', 4, NULL),
(35760, NULL, 'IPR039046', NULL, 'PDPK1 family', 'PDPK1', 4, NULL),
(35761, NULL, 'IPR039205', NULL, 'NADH dehydrogenase [ubiquinone] 1 alpha subcomplex subunit 11', 'NDUFA11', 4, NULL),
(35762, NULL, 'IPR038850', NULL, 'Endothelial cell-specific molecule 1', 'ESM1', 4, NULL),
(35763, NULL, 'IPR038005', NULL, 'Virus X resistance protein-like, coiled-coil domain', 'RX-like_CC', 3, NULL),
(35764, NULL, 'IPR037297', NULL, 'Probable ABC transporter arginine-binding protein ArtJ, PBP2 domain', 'ArtJ_PBP2', 3, NULL),
(35765, NULL, 'IPR039007', NULL, 'Rho GTPase-activating protein, pG1 domain', 'pG1', 3, NULL),
(35766, NULL, 'IPR039273', NULL, 'AP-4 complex accessory subunit Tepsin', 'TEPSIN', 4, NULL),
(35767, NULL, 'IPR036414', NULL, 'YaeB, N-terminal domain superfamily', 'YaeB_N_sf', 5, NULL),
(35768, NULL, 'IPR039174', NULL, 'Chondroitin sulfate ABC lyase', 'Chondroitin_ABC_lyase', 4, NULL),
(35769, NULL, 'IPR037520', NULL, 'Folliculin/SMCR8, longin domain', 'Folliculin/SMCR8_longin', 3, NULL),
(35770, NULL, 'IPR037100', NULL, 'Sporulation initiation phosphotransferase B, C-terminal domain superfamily', 'Spo0B_C_sf', 5, NULL),
(35771, NULL, 'IPR038352', NULL, 'Imelysin-like domain superfamily', 'Imelysin_sf', 5, NULL),
(35772, NULL, 'IPR040866', NULL, 'Type III secretion system ExsE', 'T3SS_ExsE', 3, NULL),
(35773, NULL, 'IPR033078', NULL, 'Tenascin-C', 'TNC', 4, NULL),
(35774, NULL, 'IPR039421', NULL, 'Type 1 protein exporter', 'Type_1_exporter', 4, NULL),
(35775, NULL, 'IPR039219', NULL, 'Protein FAM3C', 'FAM3C', 4, NULL),
(35776, NULL, 'IPR039239', NULL, 'Adherens junction-associated protein 1', 'AJAP1', 4, NULL),
(35777, NULL, 'IPR038637', NULL, 'NPCBM domain superfamily', 'NPCBM_sf', 5, NULL),
(35778, NULL, 'IPR038490', NULL, 'Gingipain propeptide superfamily', 'Gingipain_propep_sf', 5, NULL),
(35779, NULL, 'IPR040876', NULL, 'Lantibiotic immunity protein Spa1, C-terminal', 'Spa1_C', 3, NULL),
(35780, NULL, 'IPR039380', NULL, 'Toxin-ParB-like', 'Toxin-ParB-like', 3, NULL),
(35781, NULL, 'IPR036268', NULL, 'ZapD domain superfamily', 'ZapD_sf', 5, NULL),
(35782, NULL, 'IPR038759', NULL, 'HSPRO1/HSPRO2', 'HSPRO1/HSPRO2', 4, NULL),
(35783, NULL, 'IPR039323', NULL, 'Ankyrin repeat domain-containing protein 60', 'ANKRD60', 4, NULL),
(35784, NULL, 'IPR039448', NULL, 'Right handed beta helix domain', 'Beta_helix', 3, NULL),
(35785, NULL, 'IPR038350', NULL, 'Orai superfamily', 'Orai_sf', 5, NULL),
(35786, NULL, 'IPR036108', NULL, 'Tetrapyrrole biosynthesis, uroporphyrinogen III synthase superfamily', '4pyrrol_syn_uPrphyn_synt_sf', 5, NULL),
(35787, NULL, 'IPR037401', NULL, 'SnoaL-like domain', 'SnoaL-like', 3, NULL),
(35788, NULL, 'IPR037323', NULL, 'PRADC1-like protein, PA domain', 'PRADC1-like_PA', 3, NULL),
(35789, NULL, 'IPR040885', NULL, 'Synaptotagmin-like, mitochondrial and lipid-binding domain', 'SMP_C2CD2L', 3, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35790, NULL, 'IPR039432', NULL, 'SRP9 domain', 'SRP9_dom', 3, NULL),
(35791, NULL, 'IPR036118', NULL, 'UreE urease accessory, N-terminal domain superfamily', 'UreE_N_sf', 5, NULL),
(35792, NULL, 'IPR036212', NULL, 'Bromelain inhibitor VI superfamily', 'Bromein_sf', 5, NULL),
(35793, NULL, 'IPR038996', NULL, 'Internal virion protein Gp14', 'Gp14', 4, NULL),
(35794, NULL, 'IPR035666', NULL, 'Fungal multicopper oxidase, cupredoxin domain  3', 'MCO_CuRO_3', 3, NULL),
(35795, NULL, 'IPR039099', NULL, 'Pannexin', 'Pannexin', 4, NULL),
(35796, NULL, 'IPR037096', NULL, 'KCNMB2, ball/chain domain superfamily', 'KCNMB2_ball/chain_dom_sf', 5, NULL),
(35797, NULL, 'IPR037854', NULL, 'Host cell factor 1', 'HCF1', 4, NULL),
(35798, NULL, 'IPR035664', NULL, 'VIP36, lectin domain', 'VIP36_lectin', 3, NULL),
(35799, NULL, 'IPR039552', NULL, 'Transposase IS66, C-terminal', 'IS66_C', 3, NULL),
(35800, NULL, 'IPR040912', NULL, 'Repeat of unknown function DUF5633', 'DUF5633', 7, NULL),
(35801, NULL, 'IPR039451', NULL, 'Family of unknown function DUF5419', 'DUF5419', 4, NULL),
(35802, NULL, 'IPR035710', NULL, 'Archaeal gltB', 'Archaeal_gltB', 4, NULL),
(35803, NULL, 'IPR039396', NULL, 'Deltex, C-terminal', 'Deltex_C', 3, NULL),
(35804, NULL, 'IPR039195', NULL, 'Ankyrin repeat domain-containing protein 40', 'ANKRD40', 4, NULL),
(35805, NULL, 'IPR039436', NULL, 'Asteroid domain', 'Asteroid_dom', 3, NULL),
(35806, NULL, 'IPR036211', NULL, 'eIF4G, eIF4e-binding domain superfamily', 'eIF4G_eIF4E-bd_sf', 5, NULL),
(35807, NULL, 'IPR039073', NULL, 'Hexokinase-4, chordate', 'GCK_chordate', 4, NULL),
(35808, NULL, 'IPR035801', NULL, 'Protein-ADP-ribose hydrolase, macro domain', 'Macro_1', 3, NULL),
(35809, NULL, 'IPR036591', NULL, 'YggU-like superfamily', 'YggU-like_sf', 5, NULL),
(35810, NULL, 'IPR038641', NULL, 'Csa superfamily', 'Csa_sf', 5, NULL),
(35811, NULL, 'IPR039048', NULL, 'Mitochondrial mRNA pseudouridine synthase Trub2', 'Trub2', 4, NULL),
(35812, NULL, 'IPR039194', NULL, 'Ankyrin repeat and death domain-containing protein 1A', 'AKD1A', 4, NULL),
(35813, NULL, 'IPR038360', NULL, 'DUF4844 superfamily', 'DUF4844_sf', 5, NULL),
(35814, NULL, 'IPR039541', NULL, 'Metallophosphoesterase 1, metallophosphatase domain', 'MPP_MPPE1', 3, NULL),
(35815, NULL, 'IPR039540', NULL, 'UBL3-like, ubiquitin domain', 'UBL3-like_ubiquitin_dom', 3, NULL),
(35816, NULL, 'IPR037500', NULL, 'Protein MULTIPOLAR SPINDLE 1', 'Msp1', 4, NULL),
(35817, NULL, 'IPR039392', NULL, 'Gingipain, N-terminal', 'Gingipain_N', 3, NULL),
(35818, NULL, 'IPR037092', NULL, 'Flavocytochrome c sulphide dehydrogenase, flavin-binding domain superfamily', 'FlavoCytC_S_DH_flav-bd_sf', 5, NULL),
(35819, NULL, 'IPR038151', NULL, 'Small outer capsid protein superfamily', 'Soc_sf', 5, NULL),
(35820, NULL, 'IPR040882', NULL, 'Cas12a, nuclease domain', 'Cas12a_NUC', 3, NULL),
(35821, NULL, 'IPR039365', NULL, 'Transposase IS701-like', 'IS701-like', 4, NULL),
(35822, NULL, 'IPR036051', NULL, 'KRAB domain superfamily', 'KRAB_dom_sf', 5, NULL),
(35823, NULL, 'IPR036523', NULL, 'SurE-like phosphatase/nucleotidase superfamily', 'SurE-like_sf', 5, NULL),
(35824, NULL, 'IPR039281', NULL, 'Arabinogalactan protein 3/12/13/14/21', 'AGP3/12/13/14/21', 4, NULL),
(35825, NULL, 'IPR035377', NULL, 'Herpesvirus Glycoprotein B, PH-like domain 1', 'Glycoprot_B_PH1', 3, NULL),
(35826, NULL, 'IPR038737', NULL, 'Splicing factor 3B subunit 1-like', 'SF3b_su1-like', 4, NULL),
(35827, NULL, 'IPR039147', NULL, 'Ankyrin repeat and SOCS box protein 17', 'ASB17', 4, NULL),
(35828, NULL, 'IPR036562', NULL, 'Baculovirus p35 superfamily', 'Baculovirus_p35_sf', 5, NULL),
(35829, NULL, 'IPR037208', NULL, 'Aspartyl-phosphate phosphatase Spo0E-like superfamily', 'Spo0E-like_sf', 5, NULL),
(35830, NULL, 'IPR039420', NULL, 'Transcriptional regulatory protein WalR-like', 'WalR-like', 4, NULL),
(35831, NULL, 'IPR037732', NULL, 'Synaptotagmin 7, C2A domain', 'C2A_Synaptotagmin-7', 3, NULL),
(35832, NULL, 'IPR038734', NULL, 'Uncharacterized protein YhaN, AAA domain', 'YhaN_AAA', 3, NULL),
(35833, NULL, 'IPR036119', NULL, 'Nitric oxide synthase, N-terminal domain superfamily', 'NOS_N_sf', 5, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35834, NULL, 'IPR039538', NULL, 'BetI-type transcriptional repressor, C-terminal', 'BetI_C', 3, NULL),
(35835, NULL, 'IPR038848', NULL, 'Calcium-binding tyrosine phosphorylation-regulated protein', 'CABYR', 4, NULL),
(35836, NULL, 'IPR039201', NULL, 'PAK4-inhibitor inka', 'Inka', 4, NULL),
(35837, NULL, 'IPR038693', NULL, 'Phenylacetyl-CoA epoxidase, subunit B', 'PaaB_sf', 5, NULL),
(35838, NULL, 'IPR037176', NULL, 'Osmotin/thaumatin-like superfamily', 'Osmotin/thaumatin-like_sf', 5, NULL),
(35839, NULL, 'IPR038149', NULL, 'Scaffold protein B superfamily', 'Phage_B_sf', 5, NULL),
(35840, NULL, 'IPR039025', NULL, 'Acidic amino acid decarboxylase GADL1', 'GADL1', 4, NULL),
(35841, NULL, 'IPR039556', NULL, 'ICL/PEPM domain', 'ICL/PEPM', 3, NULL),
(35842, NULL, 'IPR039293', NULL, 'Transmembrane protein 81', 'TMEM81', 4, NULL),
(35843, NULL, 'IPR039248', NULL, 'Phosphatase RsbX', 'Ptase_RsbX', 4, NULL),
(35844, NULL, 'IPR033540', NULL, 'Mucosa-associated lymphoid tissue lymphoma translocation protein 1', 'MALT1', 4, NULL),
(35845, NULL, 'IPR037538', NULL, 'UTP--glucose-1-phosphate uridylyltransferase, cyanobacteria', 'CugP_cyano', 4, NULL),
(35846, NULL, 'IPR037537', NULL, '[LysW]-aminoadipate semialdehyde/glutamate semialdehyde transaminase', 'LysJ', 4, NULL),
(35847, NULL, 'IPR037931', NULL, 'Chromatin complexes subunit BAP18', 'BAP18', 4, NULL),
(35848, NULL, 'IPR038356', NULL, 'Tma16 superfamily', 'Tma16_sf', 5, NULL),
(35849, NULL, 'IPR038860', NULL, 'Uncharacterized protein ycf72', 'YCF72', 4, NULL),
(35850, NULL, 'IPR037195', NULL, 'Nucleocapsid protein, N-terminal', 'Nucleocapsid_N', 5, NULL),
(35851, NULL, 'IPR037850', NULL, 'Retinoblastoma-binding protein 5/Swd1', 'RBBP5/Swd1', 4, NULL),
(35852, NULL, 'IPR037463', NULL, 'Thioredoxin-related transmembrane protein 2, thioredoxin domain', 'TMX2_thioredoxin_dom', 3, NULL),
(35853, NULL, 'IPR039153', NULL, 'Fetal and adult testis-expressed transcript protein', 'FATE1', 4, NULL),
(35854, NULL, 'IPR033485', NULL, 'Protein EMSY-LIKE, plant', 'EMSY-LIKE_plant', 4, NULL),
(35855, NULL, 'IPR039238', NULL, 'Mitochondrial import inner membrane translocase subunit Tim8/13', 'Tim8/13', 4, NULL),
(35856, NULL, 'IPR036522', NULL, 'Molybdopterin cofactor biosynthesis C (MoaC) domain superfamily', 'MoaC_sf', 5, NULL),
(35857, NULL, 'IPR038155', NULL, 'Arterivirus papain-like cysteine protease alpha (PCPalpha) domain superfamily', 'AV_PCPalpha_sf', 5, NULL),
(35858, NULL, 'IPR038994', NULL, 'Internal virion protein Gp16', 'Gp16', 4, NULL),
(35859, NULL, 'IPR036731', NULL, 'Baculovirus telokin-like protein 20 superfamily', 'Tlp20_sf', 5, NULL),
(35860, NULL, 'IPR035852', NULL, 'Tyrosine-protein kinase Lyn, SH2 domain', 'Lyn_SH2', 3, NULL),
(35861, NULL, 'IPR039398', NULL, 'Deltex family', 'Deltex_fam', 4, NULL),
(35862, NULL, 'IPR037491', NULL, 'Low-temperature-induced 78kDa/65kDa', 'LTI78/LTI65', 4, NULL),
(35863, NULL, 'IPR039529', NULL, 'GPI inositol-deacylase', 'PGAP1/BST1', 4, NULL),
(35864, NULL, 'IPR038492', NULL, 'GBBH-like, N-terminal domain superfamily', 'GBBH-like_N_sf', 5, NULL),
(35865, NULL, 'IPR033830', NULL, 'Serpin H1, serpin domain', 'Serpin_H1_serpin_dom', 3, NULL),
(35866, NULL, 'IPR036561', NULL, 'Mitochondrial glycoprotein superfamily', 'MAM33_sf', 5, NULL),
(35867, NULL, 'IPR037194', NULL, 'NS2, N-terminal', 'NS2_N', 5, NULL),
(35868, NULL, 'IPR039460', NULL, 'STAGA complex 65 subunit gamma', 'SUPT7L', 4, NULL),
(35869, NULL, 'IPR038665', NULL, 'Voltage-dependent anion channel superfamily', 'Voltage-dep_anion_channel_sf', 5, NULL),
(35870, NULL, 'IPR039247', NULL, 'Jag protein', 'Jag', 4, NULL),
(35871, NULL, 'IPR036114', NULL, 'Class VI myosin, motor domain', 'MYSc_Myo6', 3, NULL),
(35872, NULL, 'IPR035879', NULL, 'VAV1, SH2 domain', 'VAV1_SH2', 3, NULL),
(35873, NULL, 'IPR037319', NULL, 'Rrp40, S1 domain', 'Rrp40_S1', 3, NULL),
(35874, NULL, 'IPR039355', NULL, 'Transcription factor GATA', 'Transcription_factor_GATA', 4, NULL),
(35875, NULL, 'IPR039246', NULL, 'Flagellar protein FlgA', 'Flagellar_FlgA', 4, NULL),
(35876, NULL, 'IPR038150', NULL, 'Protein CHLORORESPIRATORY REDUCTION 7-like superfamily', 'CRR7-like_sf', 5, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35877, NULL, 'IPR039326', NULL, 'Protein Patronus', 'Patronus', 4, NULL),
(35878, NULL, 'IPR039547', NULL, '60S ribosomal protein L19', 'RPL19', 4, NULL),
(35879, NULL, 'IPR033455', NULL, 'Transcriptional regulator AbiEi antitoxin, N-terminal domain', 'AbiEi_3_N', 3, NULL),
(35880, NULL, 'IPR038351', NULL, 'Malonyl-CoA decarboxylase, N-terminal domain superfamily', 'MCD_N_sf', 5, NULL),
(35881, NULL, 'IPR039433', NULL, 'Mff-like domain', 'Mff-like_dom', 3, NULL),
(35882, NULL, 'IPR037209', NULL, 'RNA-binding protein B2 superfamily', 'RNA-bd_B2_sf', 5, NULL),
(35883, NULL, 'IPR039483', NULL, 'Meiotic expression up-regulated protein 6, PH domain', 'Meu6_PH_dom', 3, NULL),
(35884, NULL, 'IPR035538', NULL, 'PPIL4-like, cyclophilin domain', 'Cyclophilin_PPIL4', 3, NULL),
(35885, NULL, 'IPR036413', NULL, 'YaeB-like superfamily', 'YaeB-like_sf', 5, NULL),
(35886, NULL, 'IPR039269', NULL, 'Ankyrin repeat and fibronectin type-III domain-containing protein 1', 'ANKFN1', 4, NULL),
(35887, NULL, 'IPR040184', NULL, 'Minichromosome maintenance protein 10', 'Mcm10', 4, NULL),
(35888, NULL, 'IPR033226', NULL, 'Coiled-coil domain-containing protein 74', 'CCDC74', 4, NULL),
(35889, NULL, 'IPR039533', NULL, 'Spermidine/spermine N(1)-acetyltransferase-like protein 1', 'Satl1', 4, NULL),
(35890, NULL, 'IPR039583', NULL, 'Transcription factor-like 5 protein', 'TCFL5', 4, NULL),
(35891, NULL, 'IPR039192', NULL, 'Glycogen synthase kinase 3, catalytic domain', 'STKc_GSK3', 3, NULL),
(35892, NULL, 'IPR033228', NULL, 'Protein SZT2', 'SZT2', 4, NULL),
(35893, NULL, 'IPR038491', NULL, 'Velvet domain superfamily', 'Velvet_dom_sf', 5, NULL),
(35894, NULL, 'IPR037813', NULL, 'Transcription initiation factor TFIID subunit 2', 'TAF2', 4, NULL),
(35895, NULL, 'IPR039283', NULL, 'Motile sperm domain-containing protein 1', 'MOSPD1', 4, NULL),
(35896, NULL, 'IPR037539', NULL, '4-hydroxythreonine-4-phosphate dehydrogenase, epsilonproteobacteria', 'PdxA_epsilonprot', 4, NULL),
(35897, NULL, 'IPR039370', NULL, 'Transcription factor BTF3', 'BTF3', 4, NULL),
(35898, NULL, 'IPR039397', NULL, 'RagA/B', 'RagA/B', 4, NULL),
(35899, NULL, 'IPR039430', NULL, 'Thymidylate kinase-like domain', 'Thymidylate_kin-like_dom', 3, NULL),
(35900, NULL, 'IPR040900', NULL, 'Spermine synthase, N-terminal', 'SpmSyn_N', 3, NULL),
(35901, NULL, 'IPR039033', NULL, 'Calmodulin-binding transcription activator 1', 'Camta1', 4, NULL),
(35902, NULL, 'IPR039519', NULL, 'YokE-like, PH domain', 'YokE-like_PH', 3, NULL),
(35903, NULL, 'IPR040884', NULL, 'SMODS and SLOG-associating 2TM effector domain 1', 'SLATT_1', 3, NULL),
(35904, NULL, 'IPR033060', NULL, 'Integrator complex subunit 7', 'INTS7', 4, NULL),
(35905, NULL, 'IPR037886', NULL, 'PAX-interacting protein 1', 'Paxip1', 4, NULL),
(35906, NULL, 'IPR036112', NULL, '(2R)-phospho-3-sulpholactate synthase, ComA superfamily', 'ComA_synth_sf', 5, NULL),
(35907, NULL, 'IPR039220', NULL, 'FAM3 family', 'FAM3', 4, NULL),
(35908, NULL, 'IPR036525', NULL, 'Tubulin/FtsZ, GTPase domain superfamily', 'Tubulin/FtsZ_GTPase_sf', 5, NULL),
(35909, NULL, 'IPR039158', NULL, 'Solute carrier family 25 member 46', 'SLC25A46', 4, NULL),
(35910, NULL, 'IPR033028', NULL, 'Whirlin', 'Whirlin', 4, NULL),
(35911, NULL, 'IPR040142', NULL, 'Inactive ubiquitin carboxyl-terminal hydrolase 54', 'USP54', 4, NULL),
(35912, NULL, 'IPR037324', NULL, 'Transferrin receptor protein 1/2, PA domain', 'TfR1/2_PA', 3, NULL),
(35913, NULL, 'IPR039223', NULL, 'Protein AATF/Bfr2', 'AATF/Bfr2', 4, NULL),
(35914, NULL, 'IPR037937', NULL, 'E3 ubiquitin-protein ligase RING2', 'RING2', 4, NULL),
(35915, NULL, 'IPR039678', NULL, 'Beta-catenin-like protein 1', 'CTNNBL1', 4, NULL),
(35916, NULL, 'IPR039486', NULL, 'Mug56/Spo71, PH domain', 'Mug56/Spo71_PH', 3, NULL),
(35917, NULL, 'IPR039193', NULL, '28S ribosomal protein S17, mitochondrial', 'S17mt', 4, NULL),
(35918, NULL, 'IPR045360', NULL, 'Domain of unknown function DUF5904', 'DUF5904', 3, NULL),
(35919, NULL, 'IPR039395', NULL, 'Peptidase C39-like A', 'Peptidase_C39-like_A', 3, NULL),
(35920, NULL, 'IPR039154', NULL, 'Serine/Threonine kinase LKB1, catalytic domain', 'LKB1_c', 3, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35921, NULL, 'IPR036736', NULL, 'ACP-like superfamily', 'ACP-like_sf', 5, NULL),
(35922, NULL, 'IPR033454', NULL, 'RecG, wedge domain', 'RecG_wedge', 3, NULL),
(35923, NULL, 'IPR033613', NULL, 'ADAMDEC1 peptidase', 'ADAMDEC1', 4, NULL),
(35924, NULL, 'IPR033083', NULL, 'Fibroleukin', 'Fgl2', 4, NULL),
(35925, NULL, 'IPR039231', NULL, 'Tubulin polyglutamylase complex subunit 2', 'TPGS2', 4, NULL),
(35926, NULL, 'IPR036055', NULL, 'LDL receptor-like superfamily', 'LDL_receptor-like_sf', 5, NULL),
(35927, NULL, 'IPR036224', NULL, 'GINS, helical bundle-like domain superfamily', 'GINS_bundle-like_dom_sf', 5, NULL),
(35928, NULL, 'IPR038357', NULL, 'KEN domain superfamily', 'KEN_sf', 5, NULL),
(35929, NULL, 'IPR037547', NULL, 'Protein SAMBA', 'SAMBA', 4, NULL),
(35930, NULL, 'IPR039197', NULL, 'Mrs1/Cce1', 'Mrs1/Cce1', 4, NULL),
(35931, NULL, 'IPR039482', NULL, 'Neuronal tyrosine-phosphorylated phosphoinositide-3-kinase adapter, N-terminal', 'NYAP_N', 3, NULL),
(35932, NULL, 'IPR037204', NULL, 'Non-structural protein NSP7 superfamily, coronavirus', 'NSP7_sf_CoV', 5, NULL),
(35933, NULL, 'IPR039426', NULL, 'Vitamin B12 transporter BtuB-like', 'BtuB-like', 4, NULL),
(35934, NULL, 'IPR039055', NULL, 'MCU family', 'MCU_fam', 4, NULL),
(35935, NULL, 'IPR036738', NULL, 'FKBP12-rapamycin binding domain superfamily', 'FRB_sf', 5, NULL),
(35936, NULL, 'IPR037175', NULL, 'Kynurenine formamidase superfamily', 'KFase_sf', 5, NULL),
(35937, NULL, 'IPR037890', NULL, 'Histone-lysine N-methyltransferase 2D', 'KMT2D', 4, NULL),
(35938, NULL, 'IPR039236', NULL, 'Gastrin', 'GAST', 4, NULL),
(35939, NULL, 'IPR040182', NULL, 'Autophagy-related protein 13', 'ATG13', 4, NULL),
(35940, NULL, 'IPR039425', NULL, 'RNA polymerase sigma-70 like', 'RNA_pol_sigma-70-like', 4, NULL),
(35941, NULL, 'IPR036227', NULL, 'Ribosomal L18e/L15P superfamily', 'L18e/L15P_sf', 5, NULL),
(35942, NULL, 'IPR036115', NULL, 'GCM domain superfamily', 'GCM_dom_sf', 5, NULL),
(35943, NULL, 'IPR039366', NULL, 'Type 3 secretion system pilotin', 'Pilotin', 4, NULL),
(35944, NULL, 'IPR038629', NULL, 'Type II heat-labile enterotoxin, B subunit superfamily', 'LT-IIB_sf', 5, NULL),
(35945, NULL, 'IPR033062', NULL, 'Major centromere autoantigen B', 'CENP-B', 4, NULL),
(35946, NULL, 'IPR038760', NULL, 'Photosystem II PsbY, plant', 'PsbY_plant', 4, NULL),
(35947, NULL, 'IPR039176', NULL, 'Osteocalcin', 'Osteocalcin', 4, NULL),
(35948, NULL, 'IPR038847', NULL, 'Granulysin-like', 'Granulysin-like', 4, NULL),
(35949, NULL, 'IPR039024', NULL, 'Restriction of telomere capping protein 4', 'RTC4', 4, NULL),
(35950, NULL, 'IPR038359', NULL, 'Connexin, N-terminal domain superfamily', 'Connexin_N_sf', 5, NULL),
(35951, NULL, 'IPR035381', NULL, 'Herpesvirus Glycoprotein B, PH-like domain 2', 'Glycoprot_B_PH2', 3, NULL),
(35952, NULL, 'IPR039315', NULL, 'Chemotaxis protein CheW', 'CheW', 4, NULL),
(35953, NULL, 'IPR037320', NULL, 'Nucleolar protein of 40kDa', 'pNO40', 4, NULL),
(35954, NULL, 'IPR039085', NULL, 'DDB1- and CUL4-associated factor 10', 'DCA10', 4, NULL),
(35955, NULL, 'IPR035505', NULL, 'ZMYND8/11, PWWP domain', 'ZMYND8/11_PWWP', 3, NULL),
(35956, NULL, 'IPR037986', NULL, 'Dilute domain-containing protein, fungi, CBD domain', 'Myo5p-like_CBD_DIL', 3, NULL),
(35957, NULL, 'IPR039258', NULL, 'Zinc finger protein 511', 'ZNF511', 4, NULL),
(35958, NULL, 'IPR039058', NULL, 'Yippee family', 'Yippee_fam', 4, NULL),
(35959, NULL, 'IPR035673', NULL, 'ERdj5, first thioredoxin domain', 'ERdj5_TRX_N', 3, NULL),
(35960, NULL, 'IPR035875', NULL, 'BMX, SH2 domain', 'BMX_SH2', 3, NULL),
(35961, NULL, 'IPR037407', NULL, 'MbtH-like protein', 'MLP_fam', 4, NULL),
(35962, NULL, 'IPR037461', NULL, 'CtCE2-like domain', 'CtCE2-like_dom', 3, NULL),
(35963, NULL, 'IPR039161', NULL, 'Uncharacterized protein C19orf47-like', 'C19orf47-like', 4, NULL),
(35964, NULL, 'IPR039263', NULL, 'GTP-binding protein 1', 'GTPB1', 4, NULL),
(35965, NULL, 'IPR039766', NULL, 'Vacuolar protein sorting-associated protein 53', 'Vps53', 4, NULL),
(35966, NULL, 'IPR039558', NULL, 'Prolyl 3,4-dihydroxylase TPA1/OFD1, N-terminal domain', 'TPA1/OFD1_N', 3, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(35967, NULL, 'IPR036519', NULL, 'Uncharacterised UPF0058 superfamily', 'UPF0058_sf', 5, NULL),
(35968, NULL, 'IPR039078', NULL, 'Gastric inhibitory polypeptide', 'GIP', 4, NULL),
(35969, NULL, 'IPR036107', NULL, 'Carbon storage regulator superfamily', 'CsrA_sf', 5, NULL),
(35970, NULL, 'IPR037528', NULL, 'Acetylglutamate kinase ArgB', 'ArgB', 4, NULL),
(35971, NULL, 'IPR037818', NULL, 'Transcription initiation factor TFIID subunit 8', 'TAF8', 4, NULL),
(35972, NULL, 'IPR039294', NULL, 'Probable RNA-binding protein EIF1AD', 'EIF1AD', 4, NULL),
(35973, NULL, 'IPR036559', NULL, 'Bacteriochlorophyll A superfamily', 'Chl_A_sf', 5, NULL),
(35974, NULL, 'IPR033040', NULL, 'Granzyme M', 'GZMM', 4, NULL),
(35975, NULL, 'IPR037521', NULL, 'Folliculin/SMCR8, tripartite DENN domain', 'FLCN/SMCR8_DENN', 3, NULL),
(35976, NULL, 'IPR040899', NULL, 'Fatty acid synthase subunit alpha, acyl carrier domain', 'Fas_alpha_ACP', 3, NULL),
(35977, NULL, 'IPR039674', NULL, 'CASP8-associated protein 2', 'FLASH', 4, NULL),
(35978, NULL, 'IPR039175', NULL, 'Mitochondrial import inner membrane translocase subunit TIM22', 'TIM22', 4, NULL),
(35979, NULL, 'IPR038349', NULL, 'Surface antigen, GAG-binding domain superfamily', 'GAG_BD_sf', 5, NULL),
(35980, NULL, 'IPR037932', NULL, 'Host cell factor 2', 'HCF2', 4, NULL),
(35981, NULL, 'IPR039151', NULL, 'Protein inturned', 'INTU', 4, NULL),
(35982, NULL, 'IPR038998', NULL, 'Highly immunogenic outer capsid protein', 'HOC', 4, NULL),
(35983, NULL, 'IPR036524', NULL, 'Frataxin/CyaY superfamily', 'Frataxin/CyaY_sf', 5, NULL),
(35984, NULL, 'IPR039350', NULL, 'Prospero homeodomain family', 'Prospero_homeodomain', 4, NULL),
(35985, NULL, 'IPR039072', NULL, 'ATP synthase protein I, Bacilli-type', 'ATP_synth_I_Bacilli', 4, NULL),
(35986, NULL, 'IPR039353', NULL, 'Transcription factor Adf-1', 'TF_Adf1', 4, NULL),
(35987, NULL, 'IPR036520', NULL, 'UPF0759 superfamily', 'UPF0759_sf', 5, NULL),
(35988, NULL, 'IPR035851', NULL, 'Tyrosine-protein kinase HCK, SH2 domain', 'HCK_SH2', 3, NULL),
(35989, NULL, 'IPR038849', NULL, 'ADP-ribosylation factor-like protein 2-binding protein', 'ARL2BP', 4, NULL),
(35990, NULL, 'IPR038001', NULL, 'Alpha-2-macroglobulin RAP, domain 2', 'RAP_D2', 3, NULL),
(35991, NULL, 'IPR039065', NULL, 'AcoX-like', 'AcoX-like', 4, NULL),
(35992, NULL, 'IPR038767', NULL, 'Transcriptional regulator containing an HTH domain fused to a Zn-ribbon, predicted', 'Transcriptional_reg_pdt', 4, NULL),
(35993, NULL, 'IPR039113', NULL, 'Autophagy-related protein 29', 'ATG29', 4, NULL),
(35994, NULL, 'IPR037991', NULL, 'Myosin 5c, cargo-binding domain', 'Myo5c_CBD', 3, NULL),
(35995, NULL, 'IPR037519', NULL, 'LITAF domain containing protein', 'LITAF_fam', 4, NULL),
(35996, NULL, 'IPR035878', NULL, 'STAP2, SH2 domain', 'STAP2_SH2', 3, NULL),
(35997, NULL, 'IPR033831', NULL, 'Heparin cofactor II, serpin domain', 'HCII_serpin_dom', 3, NULL),
(35998, NULL, 'IPR040183', NULL, 'THUMP domain-containing protein 1-like', 'THUMPD1-like', 4, NULL),
(35999, NULL, 'IPR037206', NULL, 'VPS28, C-terminal domain superfamily', 'VPS28_C_sf', 5, NULL),
(36000, NULL, 'IPR037203', NULL, 'Type III secretion, needle-protein-like superfamily', 'T3SS_needle-like_sf', 5, NULL),
(36001, NULL, 'IPR038002', NULL, 'Bromodomain-containing protein 8', 'BRD8', 4, NULL),
(36002, NULL, 'IPR039776', NULL, 'Sister chromatid cohesion protein Pds5', 'Pds5', 4, NULL),
(36003, NULL, 'IPR039394', NULL, 'Creatinase, C-terminal', 'Creatinase_C', 3, NULL),
(36004, NULL, 'IPR036367', NULL, 'Adenovirus DNA-binding, C-terminal domain superfamily', 'Ad_DBP_C_sf', 5, NULL),
(36005, NULL, 'IPR035555', NULL, 'MIA2, SH3 domain', 'MIA2_SH3', 3, NULL),
(36006, NULL, 'IPR036768', NULL, 'DNA polymerase III subunit chi superfamily', 'PolIII_chi_sf', 5, NULL),
(36007, NULL, 'IPR036795', NULL, 'Inosine monophosphate cyclohydrolase-like superfamily', 'IMP_cyclohydrolase-like_sf', 5, NULL),
(36008, NULL, 'IPR036801', NULL, 'Diphtheria toxin, translocation domain superfamily', 'Diphtheria_tox_transloc_sf', 5, NULL),
(36009, NULL, 'IPR035068', NULL, 'Metalloprotease TldD/PmbA, N-terminal', 'TldD/PmbA_N', 5, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36010, NULL, 'IPR038239', NULL, 'Clp1, N-terminal beta-sandwich domain superfamily', 'Clp1_N_sf', 5, NULL),
(36011, NULL, 'IPR035625', NULL, 'Tfc3, extended winged-helix domain', 'Tfc3_eWH', 3, NULL),
(36012, NULL, 'IPR038220', NULL, 'Phenol hydroxylase, C-terminal TRX-fold domain superfamily', 'PHOX_C_sf', 5, NULL),
(36013, NULL, 'IPR036798', NULL, 'EF2947-like superfamily', 'EF2947-like_sf', 5, NULL),
(36014, NULL, 'IPR033123', NULL, 'Glycosyl hydrolases family 11 (GH11) domain', 'GH11_dom', 3, NULL),
(36015, NULL, 'IPR038676', NULL, 'Photosystem II Psb28, class 1 superfamily', 'Psb28_c1_sf', 5, NULL),
(36016, NULL, 'IPR036136', NULL, 'Nitrite/Sulfite reductase ferredoxin-like domain superfamily', 'Nit/Sulf_reduc_fer-like_dom_sf', 5, NULL),
(36017, NULL, 'IPR038225', NULL, 'T6S-associated protein TagF superfamily', 'TagF_sf', 5, NULL),
(36018, NULL, 'IPR035573', NULL, 'Friend leukemia integration 1 transcription factor, pointed domain', 'SAM_PNT-FLI-1', 3, NULL),
(36019, NULL, 'IPR035558', NULL, 'SNX9, SH3 domain', 'SNX9_SH3', 3, NULL),
(36020, NULL, 'IPR035559', NULL, 'Nck2, SH3 domain 1', 'Nck2_SH3_1', 3, NULL),
(36021, NULL, 'IPR038658', NULL, 'Sporulation-specific cell division protein SsgB superfamily', 'SsgB_sf', 5, NULL),
(36022, NULL, 'IPR039349', NULL, 'Protein PLASTID REDOX INSENSITIVE 2', 'PRIN2', 4, NULL),
(36023, NULL, 'IPR036137', NULL, 'Focal adhesion kinase, targeting (FAT) domain superfamily', 'Focal_adhe_kin_target_dom_sf', 5, NULL),
(36024, NULL, 'IPR033856', NULL, 'Flavin-dependent tryptophan halogenase', 'Trp_halogen', 4, NULL),
(36025, NULL, 'IPR039471', NULL, 'Uncharacterized protein CXorf65-like', 'CXorf65-like', 4, NULL),
(36026, NULL, 'IPR038381', NULL, 'DNA replication regulator HobA superfamily', 'HobA_sf', 5, NULL),
(36027, NULL, 'IPR034837', NULL, 'IGF2BP1, RNA recognition motif 1', 'IGF2BP1_RRM1', 3, NULL),
(36028, NULL, 'IPR039475', NULL, 'FAM3C (ILEI) domain', 'ILEI_FAM3C', 3, NULL),
(36029, NULL, 'IPR036541', NULL, 'Phospholipase A1 superfamily', 'PLipase_A1_sf', 5, NULL),
(36030, NULL, 'IPR036805', NULL, 'Transcription elongation factor, GreA/GreB, N-terminal domain superfamily', 'Tscrpt_elong_fac_GreA/B_N_sf', 5, NULL),
(36031, NULL, 'IPR034866', NULL, 'Sequestosome-1, PB1 domain', 'PB1_p62', 3, NULL),
(36032, NULL, 'IPR033916', NULL, 'Npc2 like, ML domain', 'ML_Npc2-like', 3, NULL),
(36033, NULL, 'IPR039532', NULL, 'Transcriptional regulator TetR, C-terminal, Firmicutes type', 'TetR_C_Firmicutes', 3, NULL),
(36034, NULL, 'IPR035593', NULL, 'Pinkbar, SH3', 'Pinkbar_SH3', 3, NULL),
(36035, NULL, 'IPR036182', NULL, 'Copper chaperone PCuAC superfamily', 'PCuAC_sf', 5, NULL),
(36036, NULL, 'IPR033104', NULL, 'A-kinase anchor protein 1, mitochondrial', 'Akap1', 4, NULL),
(36037, NULL, 'IPR036782', NULL, 'NE0471-like, N-terminal', 'NE0471-like_N', 5, NULL),
(36038, NULL, 'IPR036808', NULL, 'PA1123-like superfamily', 'PA1123-like_sf', 5, NULL),
(36039, NULL, 'IPR036790', NULL, 'Frizzled cysteine-rich domain superfamily', 'Frizzled_dom_sf', 5, NULL),
(36040, NULL, 'IPR038542', NULL, 'Spidroin, C-terminal domain superfamily', 'Spidroin_C_sf', 5, NULL),
(36041, NULL, 'IPR036528', NULL, 'Cloacin immunity protein superfamily', 'Cloacn_immnty_sf', 5, NULL),
(36042, NULL, 'IPR042302', NULL, 'Ubiquitin-activating enzyme E1, FCCH domain superfamily', 'E1_FCCH_sf', 5, NULL),
(36043, NULL, 'IPR033541', NULL, 'Dermokine', 'Dermokine', 4, NULL),
(36044, NULL, 'IPR038669', NULL, 'TbpB, N-lobe handle domain superfamily', 'TbpB_N-lobe_sf', 5, NULL),
(36045, NULL, 'IPR037731', NULL, 'Meiosis-specific protein ASY3-like', 'ASY3-like', 4, NULL),
(36046, NULL, 'IPR036780', NULL, 'PG1857-like superfamily', 'PG1857-like_sf', 5, NULL),
(36047, NULL, 'IPR037501', NULL, 'Protein TPLATE', 'TPLATE', 4, NULL),
(36048, NULL, 'IPR039679', NULL, 'Nuclear receptor-binding factor 2', 'NRBF2', 4, NULL),
(36049, NULL, 'IPR035207', NULL, 'Protein of unknown function DUF5457', 'DUF5457', 4, NULL),
(36050, NULL, 'IPR038547', NULL, 'CBP/p300, atypical RING domain superfamily', 'RING_CBP-p300_sf', 5, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36051, NULL, 'IPR038231', NULL, 'MepB-like superfamily', 'MepB-like_sf', 5, NULL),
(36052, NULL, 'IPR039756', NULL, 'Type II phosphatidylinositol 4-kinase Lsb6/PI4K2', 'Lsb6/PI4K2', 4, NULL),
(36053, NULL, 'IPR036595', NULL, 'Alpha-macroglobulin, receptor-binding domain superfamily', 'A-macroglobulin_rcpt-bd_sf', 5, NULL),
(36054, NULL, 'IPR042238', NULL, 'DNA excision repair protein Rad28/ERCC8/Ckn1/ATCSA-1', 'Rad28/ERCC8/Ckn1/ATCSA-1', 4, NULL),
(36055, NULL, 'IPR036189', NULL, 'mRNA decapping protein 2, Box A domain superfamily', 'DCP2_BoxA_sf', 5, NULL),
(36056, NULL, 'IPR037479', NULL, 'Tautomerase, MSAD family', 'Tauto_MSAD', 4, NULL),
(36057, NULL, 'IPR038497', NULL, 'ATPase, V1 complex, subunit H, C-terminal domain superfamily', 'ATPase_V1-cplx_hsu_C_sf', 5, NULL),
(36058, NULL, 'IPR039995', NULL, 'Uncharacterized protein C6orf226-like', 'C6orf226-like', 4, NULL),
(36059, NULL, 'IPR033069', NULL, 'ETS-related transcription factor Elf-5', 'Elf5', 4, NULL),
(36060, NULL, 'IPR038648', NULL, 'PHR domain superfamily', 'PHR_sf', 5, NULL),
(36061, NULL, 'IPR034817', NULL, 'hnRNP-L, RNA recognition motif 4', 'hnRNPL_RRM4', 3, NULL),
(36062, NULL, 'IPR035067', NULL, 'V-type ATPase subunit C/d', 'V-type_ATPase_suC/d', 5, NULL),
(36063, NULL, 'IPR038921', NULL, 'Uncharacterized protein YOR389W-like', 'YOR389W-like', 4, NULL),
(36064, NULL, 'IPR039574', NULL, 'Opioid growth factor receptor', 'OGFr', 4, NULL),
(36065, NULL, 'IPR038690', NULL, 'NusG, domain 2 superfamily', 'NusG_2_sf', 5, NULL),
(36066, NULL, 'IPR036813', NULL, 'Tachylectin 2 superfamily', 'Tachylectin2_sf', 5, NULL),
(36067, NULL, 'IPR038533', NULL, 'UpxZ superfamily', 'UpxZ_sf', 5, NULL),
(36068, NULL, 'IPR039521', NULL, 'GPI mannosyltransferase 3', 'PIG-B/GPI10', 4, NULL),
(36069, NULL, 'IPR034704', NULL, 'L28p-like', 'L28p-like', 5, NULL),
(36070, NULL, 'IPR039581', NULL, 'Fibronectin type III domain-containing protein 11', 'FNDC11', 4, NULL),
(36071, NULL, 'IPR035622', NULL, 'ZOP1, OCRE domain', 'ZOP1_OCRE', 3, NULL),
(36072, NULL, 'IPR036192', NULL, 'Cell division protein ZapA-like superfamily', 'Cell_div_ZapA-like_sf', 5, NULL),
(36073, NULL, 'IPR036804', NULL, 'Chemotaxis receptor methyltransferase CheR, N-terminal domain superfamily', 'CheR_N_sf', 5, NULL),
(36074, NULL, 'IPR035520', NULL, 'High-affinity zinc uptake system protein ZnuA', 'ZnuA', 4, NULL),
(36075, NULL, 'IPR037603', NULL, 'SEC23-interacting protein, SAM domain', 'SEC23IP_SAM', 3, NULL),
(36076, NULL, 'IPR038041', NULL, 'SWI/SNF-related matrix-associated actin-dependent regulator of chromatin subfamily D member 1', 'SMARCD1', 4, NULL),
(36077, NULL, 'IPR037288', NULL, 'Fibulin-5', 'Fibulin-5', 4, NULL),
(36078, NULL, 'IPR033308', NULL, 'PGAP5/Cdc1/Ted1', 'PGAP5/Cdc1/Ted1', 4, NULL),
(36079, NULL, 'IPR036365', NULL, 'PGBD-like superfamily', 'PGBD-like_sf', 5, NULL),
(36080, NULL, 'IPR038219', NULL, 'Selenoprotein F/M, thioredoxin-like domain superfamily', 'Sep15/SelM_sf', 5, NULL),
(36081, NULL, 'IPR038664', NULL, 'H/ACA RNP complex subunit Gar1/Naf1, Cbf5-binding domain', 'Gar1/Naf1_Cbf5-bd_sf', 5, NULL),
(36082, NULL, 'IPR036788', NULL, 'Translation initiation factor 3 (IF-3), C-terminal domain superfamily', 'T_IF-3_C_sf', 5, NULL),
(36083, NULL, 'IPR042141', NULL, 'CARD11, CARD domain', 'CARD_CARD11', 3, NULL),
(36084, NULL, 'IPR039565', NULL, 'Outer membrane lipoprotein BamD-like', 'BamD-like', 3, NULL),
(36085, NULL, 'IPR035560', NULL, 'Nck2, SH3 domain 2', 'Nck2_SH3_2', 3, NULL),
(36086, NULL, 'IPR034669', NULL, 'Novel protein kinase C epsilon, catalytic domain', 'nPKC_epsilon', 3, NULL),
(36087, NULL, 'IPR039599', NULL, 'RNA-binding protein 48', 'RBM48', 4, NULL),
(36088, NULL, 'IPR036708', NULL, 'BipD-like superfamily', 'BipD-like_sf', 5, NULL),
(36089, NULL, 'IPR034868', NULL, 'Partitioning defective protein 6, PB1 domain', 'PB1_Par6', 3, NULL),
(36090, NULL, 'IPR037426', NULL, 'Sorting nexin-9, PX domain', 'SNX9_PX', 3, NULL),
(36091, NULL, 'IPR039575', NULL, 'Prolyl 3-hydroxylase', 'P3H', 4, NULL),
(36092, NULL, 'IPR035598', NULL, 'ZO-2, SH3 domain', 'ZO-2_SH3', 3, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36093, NULL, 'IPR035436', NULL, 'Dystrophin/utrophin', 'Dystrophin/utrophin', 4, NULL),
(36094, NULL, 'IPR039991', NULL, 'Protein shortage in chiasmata 1 ortholog', 'SHOC1', 4, NULL),
(36095, NULL, 'IPR039761', NULL, 'Ribosome biogenesis protein Bms1/Tsr1', 'Bms1/Tsr1', 4, NULL),
(36096, NULL, 'IPR036204', NULL, 'ATP synthase-coupling factor 6 superfamily, mitochondrial', 'ATP_synth_f6_sf_mt', 5, NULL),
(36097, NULL, 'IPR036544', NULL, 'Cytochrome b-c1 complex subunit 7 superfamily', 'QCR7_sf', 5, NULL),
(36098, NULL, 'IPR035561', NULL, 'Nck2, SH3 domain 3', 'Nck2_SH3_3', 3, NULL),
(36099, NULL, 'IPR033307', NULL, 'Protein Ted1', 'Ted1', 4, NULL),
(36100, NULL, 'IPR042145', NULL, 'RIG-I, CARD domain repeat 2', 'CARD_RIG-I_r2', 3, NULL),
(36101, NULL, 'IPR033105', NULL, 'Cleavage stimulation factor subunit 2', 'CSTF2', 4, NULL),
(36102, NULL, 'IPR038687', NULL, 'Apoptosis regulator, M-T4 superfamily', 'M-T4_sf', 5, NULL),
(36103, NULL, 'IPR038247', NULL, 'Jag, N-terminal domain superfamily', 'Jag_N_dom_sf', 5, NULL),
(36104, NULL, 'IPR035634', NULL, 'UBASH3A, SH3 domain', 'UBASH3A_SH3', 3, NULL),
(36105, NULL, 'IPR036803', NULL, 'Porphobilinogen deaminase, C-terminal domain superfamily', 'Porphobilinogen_deaminase_C_sf', 5, NULL),
(36106, NULL, 'IPR039560', NULL, 'Potyviral polyprotein protein 3', 'Potyvirid-P3', 3, NULL),
(36107, NULL, 'IPR038673', NULL, 'Carbohydrate-selective porin OprB superfamily', 'OprB_sf', 5, NULL),
(36108, NULL, 'IPR038528', NULL, 'TEL2, C-terminal domain superfamily', 'TEL2_C_sf', 5, NULL),
(36109, NULL, 'IPR038923', NULL, 'Centrobin', 'Centrobin', 4, NULL),
(36110, NULL, 'IPR039338', NULL, 'Cysteine and histidine-rich protein 1', 'CYHR1', 4, NULL),
(36111, NULL, 'IPR039437', NULL, 'Putative lumazine-binding', 'Put_lumazine-bd', 4, NULL),
(36112, NULL, 'IPR042297', NULL, 'Antirestriction domain superfamily', 'Antirestriction_sf', 5, NULL),
(36113, NULL, 'IPR036129', NULL, 'Glycerate kinase superfamily', 'Glycerate_kinase_sf', 5, NULL),
(36114, NULL, 'IPR038511', NULL, 'TAP42/TAP46-like superfamily', 'TAP42/TAP46-like_sf', 5, NULL),
(36115, NULL, 'IPR038645', NULL, 'TTC5, OB fold domain superfamily', 'TTC5_OB_sf', 5, NULL),
(36116, NULL, 'IPR036138', NULL, 'Penicillin-binding protein, dimerisation domain superfamily', 'PBP_dimer_sf', 5, NULL),
(36117, NULL, 'IPR037587', NULL, 'Ragulator complex protein LAMTOR2-like', 'LAMTOR2-like', 4, NULL),
(36118, NULL, 'IPR034844', NULL, 'IGF2BP3, RNA recognition motif 2', 'IGF2BP3_RRM2', 3, NULL),
(36119, NULL, 'IPR039564', NULL, 'Peptidase C39-like', 'Peptidase_C39-like', 3, NULL),
(36120, NULL, 'IPR039896', NULL, 'Protein Red-like', 'Red-like', 4, NULL),
(36121, NULL, 'IPR033536', NULL, 'Spermatogenesis-associated protein 22', 'Spata22', 4, NULL),
(36122, NULL, 'IPR034989', NULL, 'Emerin, LEM domain', 'LEM_emerin', 3, NULL),
(36123, NULL, 'IPR037601', NULL, 'ANKS4B, SAM domain', 'ANKS4B_SAM', 3, NULL),
(36124, NULL, 'IPR037427', NULL, 'Sorting nexin-33, BAR domain', 'SNX33_BAR', 3, NULL),
(36125, NULL, 'IPR039779', NULL, 'RFX-like DNA-binding protein', 'RFX-like', 4, NULL),
(36126, NULL, 'IPR038686', NULL, 'MIC1, C-terminal superfamily', 'MIC1_C_sf', 5, NULL),
(36127, NULL, 'IPR036794', NULL, 'ATP synthase delta/epsilon subunit, C-terminal domain superfamily', 'ATP_F1_dsu/esu_C_sf', 5, NULL),
(36128, NULL, 'IPR036907', NULL, '5''-Nucleotidase, C-terminal domain superfamily', '5''-Nucleotdase_C_sf', 5, NULL),
(36129, NULL, 'IPR039439', NULL, 'SH3b1 domain', 'SH3b1_dom', 3, NULL),
(36130, NULL, 'IPR038241', NULL, 'Endoribonuclease antitoxin GhoS superfamily', 'GhoS_sf', 5, NULL),
(36131, NULL, 'IPR042296', NULL, 'tRNA methyltransferase, Trm1, C-terminal', 'tRNA_met_Trm1_C', 5, NULL),
(36132, NULL, 'IPR035554', NULL, 'Otoraplin, SH3 domain', 'Otoraplin_SH3', 3, NULL),
(36133, NULL, 'IPR042494', NULL, 'E3 ubiquitin-protein ligase RNF103', 'RNF103', 4, NULL),
(36134, NULL, 'IPR036527', NULL, 'SCP2 sterol-binding domain superfamily', 'SCP2_sterol-bd_dom_sf', 5, NULL),
(36135, NULL, 'IPR033911', NULL, 'Methioninyl-tRNA synthetase core domain', 'MetRS_core', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36136, NULL, 'IPR036548', NULL, 'Cytochrome c oxidase, subunit 8 superfamily', 'Cyt_c_oxidase_su8_sf', 5, NULL),
(36137, NULL, 'IPR037598', NULL, 'TFCP2L1, SAM domain', 'TFCP2L1_SAM', 3, NULL),
(36138, NULL, 'IPR037251', NULL, 'WSSV envelope protein Vp28 superfamily', 'WSSV_Vp28_sf', 5, NULL),
(36139, NULL, 'IPR035583', NULL, 'Tyrosine-protein kinase ITK, SH3 domain', 'ITK_SH3', 3, NULL),
(36140, NULL, 'IPR036130', NULL, 'Pyridoxine 5''-phosphate synthase', 'Pyridoxine-5''_phos_synth', 5, NULL),
(36141, NULL, 'IPR039587', NULL, 'TMEM248/TMEM219 domain', 'TMEM248/TMEM219_dom', 3, NULL),
(36142, NULL, 'IPR039331', NULL, 'Purple acid phosphatase-like', 'PPA-like', 4, NULL),
(36143, NULL, 'IPR038522', NULL, 'Type IV / VI secretion system, DotU superfamily', 'T4/T6SS_DotU_sf', 5, NULL),
(36144, NULL, 'IPR038211', NULL, 'Ant venom allergen, Sol i 2/4 superfamily', 'Ant_venon_allerg_soli_2/4_sf', 5, NULL),
(36145, NULL, 'IPR033864', NULL, 'Deubiquitinating enzyme 14, UBA domain', 'UBA2_scUBP14-like', 3, NULL),
(36146, NULL, 'IPR039514', NULL, 'Endo-beta-1,6-galactanase-like', '6GAL-like', 3, NULL),
(36147, NULL, 'IPR039339', NULL, 'Inactive serine/threonine-protein kinase TEX14', 'Tex14', 4, NULL),
(36148, NULL, 'IPR038382', NULL, 'Ste5, Fus3-binding domain superfamily', 'Ste5_C_sf', 5, NULL),
(36149, NULL, 'IPR037728', NULL, 'Uncharacterized protein C21orf140-like', 'C21orf140-like', 4, NULL),
(36150, NULL, 'IPR039812', NULL, 'Vesicle-fusing ATPase', 'Vesicle-fus_ATPase', 4, NULL),
(36151, NULL, 'IPR038235', NULL, 'Respiratory growth induced protein 1 superfamily', 'RGI1_sf', 5, NULL),
(36152, NULL, 'IPR036781', NULL, 'Smr-associated-like superfamily', 'Smr_assoc-like_sf', 5, NULL),
(36153, NULL, 'IPR038538', NULL, 'MTERF superfamily, mitochondrial/chloroplastic', 'MTERF_sf', 5, NULL),
(36154, NULL, 'IPR038216', NULL, 'SATB, CUTL domain superfamily', 'SATB_CUTL_sf', 5, NULL),
(36155, NULL, 'IPR036183', NULL, 'YajQ-like superfamily', 'YajQ-like_sf', 5, NULL),
(36156, NULL, 'IPR038661', NULL, 'Ribosomal protein L35A superfamily', 'L35A_sf', 5, NULL),
(36157, NULL, 'IPR037468', NULL, 'ARGOS/ARL/OSR1', 'ARGOS/ARL/OSR1', 4, NULL),
(36158, NULL, 'IPR035597', NULL, 'ZO-1, SH3 domain', 'ZO-1_SH3', 3, NULL),
(36159, NULL, 'IPR039336', NULL, 'Midnolin', 'Midnolin', 4, NULL),
(36160, NULL, 'IPR039784', NULL, 'CUE domain-containing protein 2', 'CUEDC2', 4, NULL),
(36161, NULL, 'IPR034834', NULL, 'PGC-1-related coactivator, RNA recognition motif', 'PRC_RRM', 3, NULL),
(36162, NULL, 'IPR036809', NULL, 'AF1782-like superfamily', 'AF1782-like_sf', 5, NULL),
(36163, NULL, 'IPR035599', NULL, 'MPP7, SH3 domain', 'MPP7_SH3', 3, NULL),
(36164, NULL, 'IPR037217', NULL, 'Tryptophan/Indoleamine 2,3-dioxygenase-like', 'Trp/Indoleamine_2_3_dOase-like', 5, NULL),
(36165, NULL, 'IPR038670', NULL, 'HslJ-like superfamily', 'HslJ-like_sf', 5, NULL),
(36166, NULL, 'IPR035705', NULL, 'Proteasome subunit beta type 8', 'Proteasome_beta8', 4, NULL),
(36167, NULL, 'IPR037252', NULL, 'Mib/herc2 domain superfamily', 'Mib_Herc2_sf', 5, NULL),
(36168, NULL, 'IPR036787', NULL, 'Translation initiation factor 3 (IF-3), N-terminal domain superfamily', 'T_IF-3_N_sf', 5, NULL),
(36169, NULL, 'IPR036127', NULL, 'CcmE-like superfamily', 'CcmE-like_sf', 5, NULL),
(36170, NULL, 'IPR036104', NULL, 'Bifunctional nuclease superfamily', 'BFN_sf', 5, NULL),
(36171, NULL, 'IPR039590', NULL, 'Developmental pluripotency-associated protein 2/4', 'Dppa2/4', 4, NULL),
(36172, NULL, 'IPR039596', NULL, 'Growth arrest-specific protein 1', 'GAS1', 4, NULL),
(36173, NULL, 'IPR033630', NULL, 'Homeobox protein NKX-6.1', 'NKX-6.1', 4, NULL),
(36174, NULL, 'IPR038021', NULL, 'Putative hydro-lyase', 'Putative_hydro-lyase', 5, NULL),
(36175, NULL, 'IPR039352', NULL, 'Protein BEAN1', 'BEAN1', 4, NULL),
(36176, NULL, 'IPR036538', NULL, 'Alpha trans-inducing (Alpha-TIF) superfamily', 'Alpha_TIF_sf', 5, NULL),
(36177, NULL, 'IPR038242', NULL, 'CRISPR-Cas system, Cmr2 subunit, D1 domain, cysteine cluster', 'Cmr2_N', 5, NULL),
(36178, NULL, 'IPR039553', NULL, 'Prefoldin-like', 'Prefoldin-like', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36179, NULL, 'IPR033232', NULL, 'Serine/threonine-protein kinase MRCK beta', 'MRCK_beta', 4, NULL),
(36180, NULL, 'IPR039481', NULL, 'Exocyst complex component EXOC2/Sec5, N-terminal domain', 'EXOC2/Sec5_N_dom', 3, NULL),
(36181, NULL, 'IPR036126', NULL, 'Tubulin binding cofactor A superfamily', 'TBCA_sf', 5, NULL),
(36182, NULL, 'IPR037219', NULL, 'Peptidase M41-like', 'Peptidase_M41-like', 5, NULL),
(36183, NULL, 'IPR036601', NULL, 'CBM10 superfamily', 'CBM10_sf', 5, NULL),
(36184, NULL, 'IPR035556', NULL, 'FCHSD2, SH3 domain 2', 'FCHSD2_SH3_2', 3, NULL),
(36185, NULL, 'IPR036771', NULL, 'F0F1 ATP synthase delta/epsilon subunit, N-terminal', 'ATPsynth_dsu/esu_N', 5, NULL),
(36186, NULL, 'IPR033311', NULL, 'Ixr1/Abf2', 'Ixr1/Abf2', 4, NULL),
(36187, NULL, 'IPR042146', NULL, 'BinCARD, CARD domain', 'CARD_BinCARD', 3, NULL),
(36188, NULL, 'IPR039170', NULL, '5''-AMP-activated protein kinase subunit gamma-2', 'AMPKG-2', 4, NULL),
(36189, NULL, 'IPR037727', NULL, 'Uncharacterized protein KIAA0754', 'KIAA0754', 4, NULL),
(36190, NULL, 'IPR037502', NULL, 'CCG-binding protein 1', 'CBP1', 4, NULL),
(36191, NULL, 'IPR039551', NULL, 'Choline/carnitine acyltransferase domain', 'Cho/carn_acyl_trans', 3, NULL),
(36192, NULL, 'IPR033067', NULL, 'Forkhead box protein C1', 'FoxC1', 4, NULL),
(36193, NULL, 'IPR034827', NULL, 'TIA-1, RNA recognition motif 1', 'TIA-1_RRM1', 3, NULL),
(36194, NULL, 'IPR036128', NULL, 'Plus3-like superfamily', 'Plus3-like_sf', 5, NULL),
(36195, NULL, 'IPR039438', NULL, 'At2g23090-like, zinc-binding domain', 'At2g23090-like_Znf', 3, NULL),
(36196, NULL, 'IPR039510', NULL, 'Vint domain', 'Vint_dom', 3, NULL),
(36197, NULL, 'IPR038666', NULL, 'Bacteriophage SPP1, head-tail adaptor superfamily', 'SSP1_head-tail_sf', 5, NULL),
(36198, NULL, 'IPR038212', NULL, 'Transcription factor EnY2 superfamily', 'TF_EnY2_sf', 5, NULL),
(36199, NULL, 'IPR034842', NULL, 'IGF2BP1, RNA recognition motif 2', 'IGF2BP1_RRM2', 3, NULL),
(36200, NULL, 'IPR033636', NULL, 'Ankyrin repeat and SAM domain-containing protein 1B', 'ANKS1B', 4, NULL),
(36201, NULL, 'IPR037584', NULL, 'Eukaryotic translation initiation factor 4 gamma 1', 'EIF4G1', 4, NULL),
(36202, NULL, 'IPR036193', NULL, 'Adenylate kinase, active site lid domain superfamily', 'ADK_active_lid_dom_sf', 5, NULL),
(36203, NULL, 'IPR036195', NULL, 'Alpha-L-arabinofuranosidase B, arabinose-binding domain superfamily', 'AbfB_ABD_sf', 5, NULL),
(36204, NULL, 'IPR042144', NULL, 'IPS1, CARD domain', 'CARD_IPS1', 3, NULL),
(36205, NULL, 'IPR037428', NULL, 'Bridging integrator 3, BAR domain', 'Bin3_BAR', 3, NULL),
(36206, NULL, 'IPR038238', NULL, 'Clp1, C-terminal domain superfamily', 'Clp1_C_sf', 5, NULL),
(36207, NULL, 'IPR033151', NULL, 'Signal peptide peptidase-like 2a', 'SPPL2a', 4, NULL),
(36208, NULL, 'IPR038033', NULL, 'Chromobox protein homologue 3', 'CBX3', 4, NULL),
(36209, NULL, 'IPR038226', NULL, 'LMG 18311 protein-like superfamily', 'LMG18311-like_sf', 5, NULL),
(36210, NULL, 'IPR037767', NULL, 'Mug190-like, C2A domain', 'C2A_Mug190-like', 3, NULL),
(36211, NULL, 'IPR039984', NULL, 'Leucine-rich repeat-containing protein 73', 'LRRC73', 4, NULL),
(36212, NULL, 'IPR034994', NULL, 'LEM domain-containing protein 2', 'LEMD2', 4, NULL),
(36213, NULL, 'IPR038514', NULL, 'AAR2, C-terminal domain superfamily', 'AAR2_C_sf', 5, NULL),
(36214, NULL, 'IPR037604', NULL, 'Scm-like with four MBT domains protein 1/2, SAM domain', 'Scm-like-4MBT1/2_SAM', 3, NULL),
(36215, NULL, 'IPR039515', NULL, 'NOT4, modified RING finger, HC subclass (C4C4-type)', 'NOT4_mRING-HC-C4C4', 3, NULL),
(36216, NULL, 'IPR033306', NULL, 'Caveolin-2', 'CAV-2', 4, NULL),
(36217, NULL, 'IPR037425', NULL, 'Sorting nexin-9, BAR domain', 'SNX9_BAR', 3, NULL),
(36218, NULL, 'IPR036529', NULL, 'Coactivator CBP, KIX domain superfamily', 'KIX_dom_sf', 5, NULL),
(36219, NULL, 'IPR039591', NULL, 'AP-5 complex subunit mu-1', 'AP5M1', 4, NULL),
(36220, NULL, 'IPR034845', NULL, 'hnRNP A1, RNA recognition motif 1', 'hnRNPA1_RRM1', 3, NULL),
(36221, NULL, 'IPR035576', NULL, 'Type VI secretion system TssC', 'T6SS_TssC', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36222, NULL, 'IPR039535', NULL, 'Arylsulfotransferase-like', 'ASST-like', 4, NULL),
(36223, NULL, 'IPR034818', NULL, 'Dual oxidase 2', 'DUOX2', 4, NULL),
(36224, NULL, 'IPR036934', NULL, 'Retina and anterior neural fold homeobox protein 2', 'Homeobox_RAX2', 4, NULL),
(36225, NULL, 'IPR038681', NULL, 'Sf6-type phage tail needle knob superfamily', 'Phage_tail_NK_sf', 5, NULL),
(36226, NULL, 'IPR036542', NULL, 'Phosphotransferase system, lactose/cellobiose-type IIA subunit superfamily', 'PTS_IIA_lac/cel_sf', 5, NULL),
(36227, NULL, 'IPR037263', NULL, 'Phosphoprotein, central domain', 'Phosphoprotein_central', 5, NULL),
(36228, NULL, 'IPR037841', NULL, 'Histone-lysine N-methyltransferase SETD1A', 'SETD1A', 4, NULL),
(36229, NULL, 'IPR038550', NULL, 'GPCR, family 3, nine cysteines domain superfamily', 'GPCR_3_9-Cys_sf', 5, NULL),
(36230, NULL, 'IPR035977', NULL, 'Ribosomal protein L36 superfamily', 'Ribosomal_L36_sp', 5, NULL),
(36231, NULL, 'IPR039473', NULL, 'Cell surface hyaluronidase, PANDER-like domain', 'TMEM2_PANDER-like', 3, NULL),
(36232, NULL, 'IPR036792', NULL, 'Aspartate carbamoyltransferase regulatory subunit, C-terminal domain superfamily', 'Asp_carbatrfase_reg_C_sf', 5, NULL),
(36233, NULL, 'IPR036811', NULL, 'Ubiquinol-cytochrome C reductase hinge domain superfamily', 'Ubol_cytC_Rdtase_hinge_dom_sf', 5, NULL),
(36234, NULL, 'IPR038502', NULL, 'Peptidase M1, LTA-4 hydrolase/aminopeptidase, C-terminal domain superfamily', 'M1_LTA-4_hydro/amino_C_sf', 5, NULL),
(36235, NULL, 'IPR035631', NULL, 'Nebulette, SH3 domain', 'Nebulette_SH3', 3, NULL),
(36236, NULL, 'IPR042220', NULL, 'NLR family CARD domain-containing protein 4', 'NLRC4', 4, NULL),
(36237, NULL, 'IPR033537', NULL, 'Stimulated by retinoic acid gene 8 protein', 'Stra8', 4, NULL),
(36238, NULL, 'IPR034078', NULL, 'Transcription factor NFX1 family', 'NFX1_fam', 4, NULL),
(36239, NULL, 'IPR033029', NULL, 'Down syndrome cell adhesion molecule-like protein 1', 'DSCAML1', 4, NULL),
(36240, NULL, 'IPR038509', NULL, 'IFS superfamily', 'IFS_sf', 5, NULL),
(36241, NULL, 'IPR036543', NULL, 'Guanylate-binding protein, C-terminal domain superfamily', 'Guanylate-bd_C_sf', 5, NULL),
(36242, NULL, 'IPR036180', NULL, 'Gelsolin-like domain superfamily', 'Gelsolin-like_dom_sf', 5, NULL),
(36243, NULL, 'IPR037429', NULL, 'Rvs161/Hob3, BAR domain', 'Rvs161/Hob3_BAR', 3, NULL),
(36244, NULL, 'IPR038215', NULL, 'Transposase, Tn5-like, N-terminal domain superfamily', 'TN5-like_N_sf', 5, NULL),
(36245, NULL, 'IPR036953', NULL, 'Transcription elongation factor GreA/GreB, C-terminal domain superfamily', 'GreA/GreB_C_sf', 5, NULL),
(36246, NULL, 'IPR038214', NULL, 'WPP domain superfamily', 'WPP_sf', 5, NULL),
(36247, NULL, 'IPR034832', NULL, 'TIA-1, RNA recognition motif 3', 'TIA1_RRM3', 3, NULL),
(36248, NULL, 'IPR036533', NULL, 'BAG domain superfamily', 'BAG_dom_sf', 5, NULL),
(36249, NULL, 'IPR038523', NULL, 'AmiS/UreI transporter superfamily', 'AmiSUreI_transpt_sf', 5, NULL),
(36250, NULL, 'IPR034846', NULL, 'hnRNPAB, RNA recognition motif 1', 'hnRNPAB_RRM1', 3, NULL),
(36251, NULL, 'IPR036711', NULL, 'VSV matrix superfamily', 'VSV_matrix_sf', 5, NULL),
(36252, NULL, 'IPR037765', NULL, 'Tricalbin, C2B domain', 'C2B_Tricalbin', 3, NULL),
(36253, NULL, 'IPR038496', NULL, 'Rad61, Wapl domain superfamily', 'Rad61_Wapl_sf', 5, NULL),
(36254, NULL, 'IPR039925', NULL, 'RNF37, RING-Ubox', 'RNF37_RING-Ubox', 3, NULL),
(36255, NULL, 'IPR036810', NULL, 'SMc04008-like superfamily', 'SMc04008-like_sf', 5, NULL),
(36256, NULL, 'IPR034824', NULL, 'Peroxidasin, peroxidase domain', 'Peroxidasin_peroxidase', 3, NULL),
(36257, NULL, 'IPR036131', NULL, 'Tombusvirus P19 superfamily', 'VP19_sf', 5, NULL),
(36258, NULL, 'IPR036778', NULL, 'Oxo-4-hydroxy-4-carboxy-5-ureidoimidazoline decarboxylase superfamily', 'OHCU_decarboxylase_sf', 5, NULL),
(36259, NULL, 'IPR039987', NULL, 'PGR5-like protein 1', 'PGRL1', 4, NULL),
(36260, NULL, 'IPR035518', NULL, 'Dolichyl-phosphate beta-glucosyltransferase', 'DPG_synthase', 3, NULL),
(36261, NULL, 'IPR036187', NULL, 'DNA mismatch repair protein MutS, core domain superfamily', 'DNA_mismatch_repair_MutS_sf', 5, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36262, NULL, 'IPR036785', NULL, 'YkyA-like superfamily', 'YkyA-like_sf', 5, NULL),
(36263, NULL, 'IPR037586', NULL, 'GTP-binding protein Rheb', 'RHEB', 4, NULL),
(36264, NULL, 'IPR039329', NULL, 'Sialate O-acetylesterase', 'SIAE', 4, NULL),
(36265, NULL, 'IPR036105', NULL, 'Dinitrogenase iron-molybdenum cofactor biosynthesis superfamily', 'DiNase_FeMo-co_biosyn_sf', 5, NULL),
(36266, NULL, 'IPR038361', NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase, middle domain superfamily', 'THDPS_M_sf', 5, NULL),
(36267, NULL, 'IPR033321', NULL, 'OX-2 membrane glycoprotein', 'CD200', 4, NULL),
(36268, NULL, 'IPR037512', NULL, 'Phosphoglycolate phosphatase, prokaryotic', 'PGPase_prok', 4, NULL),
(36269, NULL, 'IPR038525', NULL, 'ATR13 superfamily', 'ATR13_sf', 5, NULL),
(36270, NULL, 'IPR039029', NULL, 'Serine/threonine-protein kinase RAC gamma-like', 'RAC_gamma-like', 4, NULL),
(36271, NULL, 'IPR039328', NULL, 'WD repeat-containing protein 89', 'WDR89', 4, NULL),
(36272, NULL, 'IPR038232', NULL, 'PknH-like extracellular domain superfamily', 'PknH-like_Extracell_sf', 5, NULL),
(36273, NULL, 'IPR042493', NULL, 'Bacterial type XPD DNA helicase, FeS cluster domain', 'XPD_DNA_FeS', 5, NULL),
(36274, NULL, 'IPR039589', NULL, 'TBCC domain-containing protein 1', 'TBCC1', 4, NULL),
(36275, NULL, 'IPR039485', NULL, 'Dol-P-Man:Man(7)GlcNAc(2)-PP-Dol alpha-1,6-mannosyltransferase', 'ALG12', 4, NULL),
(36276, NULL, 'IPR037509', NULL, 'Phosphomethylpyrimidine synthase', 'ThiC', 4, NULL),
(36277, NULL, 'IPR039412', NULL, 'Cathepsin C', 'CatC', 3, NULL),
(36278, NULL, 'IPR033629', NULL, 'Homeobox protein NKX-2.5', 'NKX-2.5', 4, NULL),
(36279, NULL, 'IPR038223', NULL, 'DNA-mimic protein DMP12 superfamily', 'DMP12_sf', 5, NULL),
(36280, NULL, 'IPR036526', NULL, 'Carbon-nitrogen hydrolase superfamily', 'C-N_Hydrolase_sf', 5, NULL),
(36281, NULL, 'IPR038499', NULL, 'BRO1 domain superfamily', 'BRO1_sf', 5, NULL),
(36282, NULL, 'IPR037391', NULL, 'Polyamine-modulated factor 1-binding protein 1', 'PMF1-bd', 4, NULL),
(36283, NULL, 'IPR035630', NULL, 'Lasp1, SH3 domain', 'Lasp1_SH3', 3, NULL),
(36284, NULL, 'IPR033913', NULL, 'MTH1175 domain', 'MTH1175_dom', 3, NULL),
(36285, NULL, 'IPR036806', NULL, 'YozE SAM-like superfamily', 'YozE_SAM-like_sf', 5, NULL),
(36286, NULL, 'IPR038362', NULL, 'VP9, N-terminal domain superfamily', 'VP9_N_sf', 5, NULL),
(36287, NULL, 'IPR035635', NULL, 'Ephexin-1, SH3 domain', 'Ephexin-1_SH3', 3, NULL),
(36288, NULL, 'IPR039771', NULL, 'Exosome complex component Csl4', 'Csl4', 4, NULL),
(36289, NULL, 'IPR034955', NULL, 'Regulator of G-protein signalling 5', 'RGS5', 4, NULL),
(36290, NULL, 'IPR035208', NULL, 'Protein of unknown function DUF5456', 'DUF5456', 4, NULL),
(36291, NULL, 'IPR039758', NULL, 'N-acetyl-D-glucosamine kinase NAGK-like', 'NAGK_prok_euk', 4, NULL),
(36292, NULL, 'IPR033102', NULL, 'Negative elongation factor E', 'NELFE', 4, NULL),
(36293, NULL, 'IPR039785', NULL, 'Deubiquitinating enzyme MINDY-3/4', 'MINY3/4', 4, NULL),
(36294, NULL, 'IPR035601', NULL, 'MPP5, SH3 domain', 'MPP5_SH3', 3, NULL),
(36295, NULL, 'IPR036552', NULL, 'Core-binding factor, beta subunit superfamily', 'CBF_bsu_sf', 5, NULL),
(36296, NULL, 'IPR036560', NULL, 'Methylamine/Aralkylamine dehydrogenase light chain superfamily', 'MADH/AADH_L_sf', 5, NULL),
(36297, NULL, 'IPR039594', NULL, 'F-box only protein 34/46', 'FBXO34/46', 4, NULL),
(36298, NULL, 'IPR037730', NULL, 'Mitochondrial inner membrane protease subunit 2', 'IMP2', 4, NULL),
(36299, NULL, 'IPR036134', NULL, 'Cryptochrome/DNA photolyase, FAD-binding domain-like superfamily', 'Crypto/Photolyase_FAD-like_sf', 5, NULL),
(36300, NULL, 'IPR039595', NULL, 'TE2IP/Rap1', 'TE2IP/Rap1', 4, NULL),
(36301, NULL, 'IPR039470', NULL, 'Nucleoside 2-deoxyribosyltransferase-like', 'Nuc_deoxyri_tr2', 4, NULL),
(36302, NULL, 'IPR033103', NULL, 'E3 ubiquitin-protein ligase DZIP3', 'DZIP3', 4, NULL),
(36303, NULL, 'IPR035210', NULL, 'Protein of unknown function DUF5455', 'DUF5455', 4, NULL),
(36304, NULL, 'IPR033539', NULL, 'Retroviral-like aspartic protease 1', 'Asprv1', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36305, NULL, 'IPR038213', NULL, 'IFI6/IFI27-like domain superfamily', 'IFI6/IFI27-like_sf', 5, NULL),
(36306, NULL, 'IPR038911', NULL, 'Sodium channel and clathrin linker 1', 'SCLT1', 4, NULL),
(36307, NULL, 'IPR036556', NULL, 'Protein-arginine deiminase, central domain superfamily', 'PAD_central_sf', 5, NULL),
(36308, NULL, 'IPR039489', NULL, 'Leucine-rich repeat-containing protein 19', 'LRRC19', 4, NULL),
(36309, NULL, 'IPR035069', NULL, 'TTHA1013/TTHA0281-like', 'TTHA1013/TTHA0281-like', 5, NULL),
(36310, NULL, 'IPR038011', NULL, 'Mortality factor 4-like protein 1', 'MRG15', 4, NULL),
(36311, NULL, 'IPR037605', NULL, 'Sfmbt, SAM domain', 'Sfmbt_SAM', 3, NULL),
(36312, NULL, 'IPR039513', NULL, 'PL-6 family', 'PL-6', 4, NULL),
(36313, NULL, 'IPR042526', NULL, 'Autophagy protein Atg5, helix rich domain', 'Atg5_HR', 5, NULL),
(36314, NULL, 'IPR033964', NULL, 'Aromatic prenyltransferase', 'Aro_prenylTrfase', 4, NULL),
(36315, NULL, 'IPR039320', NULL, 'RING finger protein 207', 'RNF207', 4, NULL),
(36316, NULL, 'IPR037600', NULL, 'Upstream-binding protein 1, SAM domain', 'Ubp1_SAM', 3, NULL),
(36317, NULL, 'IPR036797', NULL, 'Acyl-CoA dehydrogenase, C-terminal domain superfamily', 'Acyl-CoA_dehydrogenase_C_sf', 5, NULL),
(36318, NULL, 'IPR036786', NULL, 'Ribosome maturation protein SBDS, N-terminal domain superfamily', 'Ribosome_mat_SBDS_N_sf', 5, NULL),
(36319, NULL, 'IPR039597', NULL, 'Myosin phosphatase-RhoA interacting protein, PH domain', 'M-RIP_PH', 3, NULL),
(36320, NULL, 'IPR038557', NULL, 'RIG-I-like receptor, C-terminal domain superfamily', 'RLR_C_sf', 5, NULL),
(36321, NULL, 'IPR037486', NULL, 'G-protein-coupled receptor GPR139', 'GPR139', 4, NULL),
(36322, NULL, 'IPR036558', NULL, 'YqbG-like superfamily', 'YqbG-like_sf', 5, NULL),
(36323, NULL, 'IPR033609', NULL, 'E3 ubiquitin-protein ligase RNF152', 'RNF152', 4, NULL),
(36324, NULL, 'IPR038023', NULL, 'VASP tetramerisation domain superfamily', 'VASP_sf', 5, NULL),
(36325, NULL, 'IPR039728', NULL, 'Golgi apparatus protein 1', 'GLG1', 4, NULL),
(36326, NULL, 'IPR033917', NULL, 'ML domain, phosphatidylinositol/phosphatidylglycerol transfer protein', 'ML_PG-PI_TP', 3, NULL),
(36327, NULL, 'IPR039600', NULL, 'TANGO6/Rtp1', 'TANGO6/Rtp1', 4, NULL),
(36328, NULL, 'IPR039582', NULL, 'Thiamine-triphosphatase', 'THTPA', 4, NULL),
(36329, NULL, 'IPR038040', NULL, 'AT-rich interactive domain-containing protein 1B', 'ARID1B', 4, NULL),
(36330, NULL, 'IPR039897', NULL, 'BET1-like protein', 'BET1', 4, NULL),
(36331, NULL, 'IPR038244', NULL, 'Rhomboid protease, N-terminal domain superfamily', 'NRho_sf', 5, NULL),
(36332, NULL, 'IPR037430', NULL, 'Sorting nexin-4, BAR domain', 'SNX4_BAR', 3, NULL),
(36333, NULL, 'IPR038537', NULL, 'TRAP transporter T-component superfamily', 'TatT_sf', 5, NULL),
(36334, NULL, 'IPR039333', NULL, 'Partner of Y14 and mago', 'PYM1', 4, NULL),
(36335, NULL, 'IPR036537', NULL, 'Adaptor protein Cbl, N-terminal domain superfamily', 'Adaptor_Cbl_N_dom_sf', 5, NULL),
(36336, NULL, 'IPR035380', NULL, 'Late transcription unit A', 'LtuA', 4, NULL),
(36337, NULL, 'IPR039976', NULL, 'WPP domain-interacting tail-anchored protein', 'WIT1/WIT2', 4, NULL),
(36338, NULL, 'IPR035209', NULL, 'Floricaula/leafy, DNA-binding C-terminal domain', 'FLO/LFY_C', 3, NULL),
(36339, NULL, 'IPR036770', NULL, 'Ankyrin repeat-containing domain superfamily', 'Ankyrin_rpt-contain_sf', 5, NULL),
(36340, NULL, 'IPR039512', NULL, 'RCHY1, zinc-ribbon', 'RCHY1_zinc-ribbon', 3, NULL),
(36341, NULL, 'IPR037585', NULL, 'Eukaryotic translation initiation factor 4 gamma 3', 'EIF4G3', 4, NULL),
(36342, NULL, 'IPR037969', NULL, 'Transcriptional regulatory protein Sin3a', 'SIN3A', 4, NULL),
(36343, NULL, 'IPR033585', NULL, 'Coiled-coil domain-containing protein 153', 'CCDC153', 4, NULL),
(36344, NULL, 'IPR042142', NULL, 'CARD9, CARD domain', 'CARD_CARD9', 3, NULL),
(36345, NULL, 'IPR037218', NULL, 'PTPA superfamily', 'PTPA_sf', 5, NULL),
(36346, NULL, 'IPR033549', NULL, 'NFAT activation molecule 1', 'NFAM1', 4, NULL),
(36347, NULL, 'IPR036539', NULL, 'Cytochrome c oxidase, subunit VIIa superfamily', 'Cyt_c_oxidase_su7a_sf', 5, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36348, NULL, 'IPR034819', NULL, 'Cytoplasmic polyadenylation element-binding protein', 'CPEB', 4, NULL),
(36349, NULL, 'IPR035600', NULL, 'MPP4, SH3 domain', 'MPP4_SH3', 3, NULL),
(36350, NULL, 'IPR036713', NULL, 'TmoB-like superfamily', 'TmoB-like_sf', 5, NULL),
(36351, NULL, 'IPR038680', NULL, 'PAW domain superfamily', 'PAW_sf', 5, NULL),
(36352, NULL, 'IPR039351', NULL, 'Keratin-associated protein 8-1', 'KRTAP8-1', 4, NULL),
(36353, NULL, 'IPR038536', NULL, 'Alkyl/aryl-sulfatase, dimerisation domain superfamily', 'Alkyl/aryl-sulf_dimr_sf', 5, NULL),
(36354, NULL, 'IPR033056', NULL, 'POU domain, class 6, transcription factor 2', 'POU6F2', 4, NULL),
(36355, NULL, 'IPR038534', NULL, 'Rtr1/RPAP2 domain superfamily', 'Rtr1/RPAP2_sf', 5, NULL),
(36356, NULL, 'IPR035586', NULL, 'Phosphatidylinositol 3-kinase regulatory subunit beta, SH3 domain', 'PI3K_p85beta_SH3', 3, NULL),
(36357, NULL, 'IPR039330', NULL, 'Chromosome alignment-maintaining phosphoprotein 1', 'CAMP', 4, NULL),
(36358, NULL, 'IPR033310', NULL, 'Mms4/EME1/EME2', 'Mms4/EME1/EME2', 4, NULL),
(36359, NULL, 'IPR039474', NULL, 'Protein O-linked-mannose beta-1,2-N-acetylglucosaminyltransferase 1, PANDER-like domain', 'POMGNT1_PANDER-like', 3, NULL),
(36360, NULL, 'IPR033477', NULL, 'Cezanne-2 peptidase', 'Cezanne-2', 4, NULL),
(36361, NULL, 'IPR036812', NULL, 'NADP-dependent oxidoreductase domain superfamily', 'NADP_OxRdtase_dom_sf', 5, NULL),
(36362, NULL, 'IPR035632', NULL, 'UBASH3B, SH3 domain', 'UBASH3B_SH3', 3, NULL),
(36363, NULL, 'IPR033610', NULL, 'Interleukin-1 receptor-associated kinase 3', 'IRAK3', 4, NULL),
(36364, NULL, 'IPR034847', NULL, 'hnRNP DL, RNA recognition motif 1', 'hnRPDL_RRM1', 3, NULL),
(36365, NULL, 'IPR038682', NULL, 'YrpD-like superfamily', 'YrpD-like_sf', 5, NULL),
(36366, NULL, 'IPR037469', NULL, 'Putative actin-fragmin kinase', 'Put_AFK', 4, NULL),
(36367, NULL, 'IPR035596', NULL, 'Src-like-adapter, SH3 domain', 'SLAP_SH3', 3, NULL),
(36368, NULL, 'IPR042224', NULL, 'General transcription factor II-I repeat domain-containing protein 2', 'GTF2IRD2', 4, NULL),
(36369, NULL, 'IPR037231', NULL, 'NAP-like superfamily', 'NAP-like_sf', 5, NULL),
(36370, NULL, 'IPR038679', NULL, 'Signal transduction protein PmrD superfamily', 'PmrD_sf', 5, NULL),
(36371, NULL, 'IPR038012', NULL, 'Mortality factor 4-like protein 2', 'MRGX', 4, NULL),
(36372, NULL, 'IPR036784', NULL, 'Alpha-ketoacid/pyruvate dehydrogenase kinase, N-terminal domain superfamily', 'AK/P_DHK_N_sf', 5, NULL),
(36373, NULL, 'IPR035592', NULL, 'IRTKS, SH3 domain', 'IRTKS_SH3', 3, NULL),
(36374, NULL, 'IPR038218', NULL, 'YuzD-like superfamily', 'YuzD-like_sp', 5, NULL),
(36375, NULL, 'IPR033478', NULL, 'A20 peptidase', 'A20', 4, NULL),
(36376, NULL, 'IPR039468', NULL, 'WDR19, WD40 repeat', 'WDR19_WD40_rpt', 7, NULL),
(36377, NULL, 'IPR039781', NULL, 'Rad21/Rec8-like protein', 'Rad21/Rec8-like', 4, NULL),
(36378, NULL, 'IPR033312', NULL, 'DNA damage-binding protein 2', 'DDB2', 4, NULL),
(36379, NULL, 'IPR033584', NULL, 'Brain-enriched guanylate kinase-associated protein', 'BEGAIN', 4, NULL),
(36380, NULL, 'IPR033230', NULL, 'Prolactin receptor', 'PRLR', 4, NULL),
(36381, NULL, 'IPR034077', NULL, 'FKBP12-associated protein 1, R3H domain', 'R3H_FAP1', 3, NULL),
(36382, NULL, 'IPR038535', NULL, 'CCR4-NOT subunit 1, TTP binding domain superfamily', 'CNOT1_TTP_bind_sf', 5, NULL),
(36383, NULL, 'IPR036549', NULL, 'Cytochrome c oxidase, subunit VIb superfamily', 'Cyt_c_oxidase_su6B_sf', 5, NULL),
(36384, NULL, 'IPR037602', NULL, 'USH1G, SAM domain', 'USH1G_SAM', 3, NULL),
(36385, NULL, 'IPR042223', NULL, 'Homeobox protein SEBOX', 'SEBOX', 4, NULL),
(36386, NULL, 'IPR038004', NULL, 'Inhibitor of growth protein 3', 'ING3', 4, NULL),
(36387, NULL, 'IPR039511', NULL, 'RBM26-like, RNA recognition motif 2', 'RBM26-like_RRM2', 3, NULL),
(36388, NULL, 'IPR037555', NULL, 'Proteasome subunit alpha 3', 'Proteasome_alpha_3', 4, NULL),
(36389, NULL, 'IPR034823', NULL, 'CID8-like protein, RNA recognition motif 1', 'CID8-like_RRM1', 3, NULL),
(36390, NULL, 'IPR034833', NULL, 'PGC-1alpha, RNA recognition motif', 'PPARGC1A_RRM', 3, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36391, NULL, 'IPR036769', NULL, 'Ribosomal protein L11, C-terminal domain superfamily', 'Ribosomal_L11_C_sf', 5, NULL),
(36392, NULL, 'IPR034843', NULL, 'IGF2BP2, RNA recognition motif 1', 'IGF2BP2_RRM1', 3, NULL),
(36393, NULL, 'IPR035575', NULL, 'Friend leukemia integration 1 transcription factor', 'Fli-1', 4, NULL),
(36394, NULL, 'IPR039530', NULL, 'RNA-directed RNA polymerase L methyltransferase domain, rhabdovirus', 'L_methyltransferase_rhabdo', 3, NULL),
(36395, NULL, 'IPR036603', NULL, 'RNA polymerase, RBP11-like subunit', 'RBP11-like', 5, NULL),
(36396, NULL, 'IPR036185', NULL, 'DNA helicase, DnaB-like, N-terminal domain superfamily', 'DNA_heli_DnaB-like_N_sf', 5, NULL),
(36397, NULL, 'IPR038667', NULL, 'XkdH-like superfamily', 'XkdH-like_sf', 5, NULL),
(36398, NULL, 'IPR039782', NULL, 'Vacuolar protein sorting-associated protein 13B', 'VPS13B', 4, NULL),
(36399, NULL, 'IPR038558', NULL, 'SAS-6, N-terminal domain superfamily', 'SAS-6_N_sf', 5, NULL),
(36400, NULL, 'IPR034821', NULL, 'Dual oxidase, peroxidase domain', 'DUOX_peroxidase', 3, NULL),
(36401, NULL, 'IPR038130', NULL, 'Pleiotrophin/Midkine, C-terminal domain superfamily', 'PTN/MK_C_dom_sf', 5, NULL),
(36402, NULL, 'IPR038506', NULL, 'GLE1-like superfamily', 'GLE1-like_sf', 5, NULL),
(36403, NULL, 'IPR036368', NULL, 'Adenovirus DNA-binding, zinc binding domain superfamily', 'ADBP_zn-bd_sf', 5, NULL),
(36404, NULL, 'IPR037842', NULL, 'Histone-lysine N-methyltransferase SETD1B', 'SETD1B', 4, NULL),
(36405, NULL, 'IPR036598', NULL, 'GOLD domain superfamily', 'GOLD_dom_sf', 5, NULL),
(36406, NULL, 'IPR033074', NULL, 'ETS-related transcription factor Elf-3', 'Elf3', 4, NULL),
(36407, NULL, 'IPR042301', NULL, 'Glycosyl hydrolase 115 superfamily', 'GH115_sf', 5, NULL),
(36408, NULL, 'IPR035379', NULL, 'Uncharacterized protein YkpC-like', 'YkpC-like', 4, NULL),
(36409, NULL, 'IPR039576', NULL, 'Amyloid beta precursor protein binding family B member 1/2/3', 'APBB1/2/3', 4, NULL),
(36410, NULL, 'IPR039467', NULL, 'Transcription factor TFIIIB component B'''', Myb domain', 'TFIIIB_B''''_Myb', 3, NULL),
(36411, NULL, 'IPR039367', NULL, 'Initiation-specific alpha-1,6-mannosyltransferase Och1-like', 'Och1-like', 4, NULL),
(36412, NULL, 'IPR039563', NULL, 'Peptidase C39 single domain protein', 'Peptidase_C39_single_dom', 3, NULL),
(36413, NULL, 'IPR033544', NULL, 'Nuclear receptor subfamily 0 group B member 1/2', 'NR0B1/2', 4, NULL),
(36414, NULL, 'IPR036545', NULL, 'Cytochrome c oxidase, subunit Va/VI superfamily', 'Cyt_c_oxidase_su5A/6_sf', 5, NULL),
(36415, NULL, 'IPR038691', NULL, 'DNA-entry nuclease inhibitor, ComJ superfamily', 'ComJ_sf', 5, NULL),
(36416, NULL, 'IPR039057', NULL, 'Sporulation-specific protein 22', 'Spo22', 4, NULL),
(36417, NULL, 'IPR034956', NULL, 'Regulator of G-protein signalling 5, RGS domain', 'RGS_RGS5', 3, NULL),
(36418, NULL, 'IPR039778', NULL, 'Programmed cell death protein 4', 'PDCD4', 4, NULL),
(36419, NULL, 'IPR039198', NULL, 'Srl3/Whi5', 'Srl3/Whi5', 4, NULL),
(36420, NULL, 'IPR038689', NULL, 'Thermostable direct haemolysin superfamily', 'TDH_sf', 5, NULL),
(36421, NULL, 'IPR037504', NULL, '[PSI+] induction protein 2', 'PSI_induc_2', 4, NULL),
(36422, NULL, 'IPR036534', NULL, 'GAR domain superfamily', 'GAR_dom_sf', 5, NULL),
(36423, NULL, 'IPR036906', NULL, 'ATPase, V1 complex, subunit F superfamily', 'ATPase_V1_fsu_sf', 5, NULL),
(36424, NULL, 'IPR038660', NULL, 'OspE-like superfamily', 'OspE-like_sf', 5, NULL),
(36425, NULL, 'IPR033757', NULL, 'Pre-mRNA-splicing regulator WTAP', 'WTAP', 4, NULL),
(36426, NULL, 'IPR038668', NULL, 'Lipid-binding superfamily', 'Lipid-bd_sf', 5, NULL),
(36427, NULL, 'IPR038672', NULL, 'Chromophore lyase CpcT/CpeT superfamily', 'CpcT/CpeT_sf', 5, NULL),
(36428, NULL, 'IPR038688', NULL, 'Flavivirus polyprotein propeptide superfamily', 'Flavi_propep_sf', 5, NULL),
(36429, NULL, 'IPR034825', NULL, 'CID8-like protein, RNA recognition motif 2', 'CID8-like_RRM2', 3, NULL),
(36430, NULL, 'IPR033637', NULL, 'Ankyrin repeat and SAM domain-containing protein 1A', 'ANKS1A', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36431, NULL, 'IPR036555', NULL, 'NusA, N-terminal domain superfamily', 'NusA_N_sf', 5, NULL),
(36432, NULL, 'IPR036181', NULL, 'MIT domain superfamily', 'MIT_dom_sf', 5, NULL),
(36433, NULL, 'IPR036779', NULL, 'LysM domain superfamily', 'LysM_dom_sf', 5, NULL),
(36434, NULL, 'IPR035657', NULL, 'STAM1, SH3 domain', 'STAM1_SH3', 3, NULL),
(36435, NULL, 'IPR033235', NULL, 'Serine/threonine-protein kinase MRCK gamma', 'MRCK_gamma', 4, NULL),
(36436, NULL, 'IPR038236', NULL, 'GlpG peptidase, N-terminal domain superfamily', 'GlpG_N_sf', 5, NULL),
(36437, NULL, 'IPR035488', NULL, 'Fructosamine deglycase FrlB, SIS domain 1', 'FrlB_SIS', 3, NULL),
(36438, NULL, 'IPR035438', NULL, 'Zinc finger FYVE domain containing protein, SARA/endofin', 'SARA/endofin', 4, NULL),
(36439, NULL, 'IPR042143', NULL, 'BCL10, CARD domain', 'CARD_BCL10', 3, NULL),
(36440, NULL, 'IPR037487', NULL, 'GPR146', 'GPR146', 4, NULL),
(36441, NULL, 'IPR035629', NULL, 'Nebulin, SH3 domain', 'Nebulin_SH3', 3, NULL),
(36442, NULL, 'IPR039335', NULL, 'Sigma factor binding protein 1/2', 'SIB1/2', 4, NULL),
(36443, NULL, 'IPR042225', NULL, 'Negative cofactor 2 complex subunit beta', 'Ncb2', 4, NULL),
(36444, NULL, 'IPR039762', NULL, 'Nonsense-mediated mRNA decay protein Nmd2/UPF2', 'Nmd2/UPF2', 4, NULL),
(36445, NULL, 'IPR035623', NULL, 'SUA-like, OCRE domain', 'SUA-like_OCRE', 3, NULL),
(36446, NULL, 'IPR039340', NULL, 'Transcription factor Tfc4/TFIIIC-102/Sfc4', 'Tfc4/TFIIIC-102/Sfc4', 4, NULL),
(36447, NULL, 'IPR042140', NULL, 'CARD10, CARD domain', 'CARD_CARD10', 3, NULL),
(36448, NULL, 'IPR036551', NULL, 'Flavin prenyltransferase-like', 'Flavin_trans-like', 5, NULL),
(36449, NULL, 'IPR039986', NULL, 'Coiled-coil domain-containing protein 173', 'CCDC173', 4, NULL),
(36450, NULL, 'IPR033379', NULL, 'Histidine acid phosphatase active site', 'Acid_Pase_AS', 0, NULL),
(36451, NULL, 'IPR039780', NULL, 'CCR4-NOT transcription complex subunit 4', 'Mot2', 4, NULL),
(36452, NULL, 'IPR038031', NULL, 'Tp47 lipoprotein, middle and C-terminal domain', 'Tp47_mid_C_dom', 5, NULL),
(36453, NULL, 'IPR036540', NULL, 'Poxvirus chemokine inhibitor superfamily', 'Pox_vCCI-like_sf', 5, NULL),
(36454, NULL, 'IPR039775', NULL, 'Homeodomain containing protein PHTF1/2', 'PHTF1/2', 4, NULL),
(36455, NULL, 'IPR036133', NULL, 'EB1, C-terminal domain superfamily', 'EB1_C_sf', 5, NULL),
(36456, NULL, 'IPR039726', NULL, 'Pre-mRNA-processing factor Prp40', 'Prp40-like', 4, NULL),
(36457, NULL, 'IPR033106', NULL, 'G-rich sequence factor 1', 'GRSF1', 4, NULL),
(36458, NULL, 'IPR039592', NULL, 'F-box/LRR-repeat protein 8', 'Fbxl8', 4, NULL),
(36459, NULL, 'IPR035557', NULL, 'Sorting nexin-18, SH3 domain', 'SNX18_SH3', 3, NULL),
(36460, NULL, 'IPR037510', NULL, '4-hydroxythreonine-4-phosphate dehydrogenase', 'PdxA', 4, NULL),
(36461, NULL, 'IPR035490', NULL, 'GlmS/FrlB, SIS domain 2', 'GlmS/FrlB_SIS', 3, NULL),
(36462, NULL, 'IPR038657', NULL, 'Ribosomal protein L19 superfamily', 'L19_sf', 5, NULL),
(36463, NULL, 'IPR036793', NULL, 'Aspartate carbamoyltransferase regulatory subunit, N-terminal domain superfamily', 'Asp_carbatrfase_reg_N_sf', 5, NULL),
(36464, NULL, 'IPR033994', NULL, 'Tumor necrosis factor receptor 1A, death domain', 'TNFRSF1A_death', 3, NULL),
(36465, NULL, 'IPR036135', NULL, 'MoeA, N-terminal and linker domain superfamily', 'MoeA_linker/N_sf', 5, NULL),
(36466, NULL, 'IPR035378', NULL, 'Uncharacterized protein YrzK-like', 'YrzK-like', 4, NULL),
(36467, NULL, 'IPR039484', NULL, 'Alpha-1,2-mannosyltransferase ALG9-like', 'ALG9-like', 4, NULL),
(36468, NULL, 'IPR039598', NULL, 'HMG domain-containing protein 3', 'HMGXB3', 4, NULL),
(36469, NULL, 'IPR036958', NULL, 'Na+/H+ exchanger 4', 'NHX4', 4, NULL),
(36470, NULL, 'IPR035070', NULL, 'Streptogrisin prodomain', 'Streptogrisin_prodomain', 5, NULL),
(36471, NULL, 'IPR036791', NULL, 'Ribosomal protein L9, C-terminal domain superfamily', 'Ribosomal_L9_C_sf', 5, NULL),
(36472, NULL, 'IPR036802', NULL, 'ATP:guanido phosphotransferase, N-terminal domain superfamily', 'ATP-guanido_PTrfase_N_sf', 5, NULL),
(36473, NULL, 'IPR039332', NULL, 'Protein FAM186A', 'FAM186A', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36474, NULL, 'IPR038032', NULL, 'Capsid assembly scaffolding protein Gp7', 'Gp7', 5, NULL),
(36475, NULL, 'IPR036550', NULL, 'Peridinin-chlorophyll A binding superfamily', 'Peridinin-chlorophyll-bd_sf', 5, NULL),
(36476, NULL, 'IPR036796', NULL, 'Ribosomal protein L11/L12, N-terminal domain superfamily', 'Ribosomal_L11/L12_N_sf', 5, NULL),
(36477, NULL, 'IPR037729', NULL, 'Neuropeptide CCHamide 1/2', 'CCHa1/2', 4, NULL),
(36478, NULL, 'IPR038062', NULL, 'ScdA-like, N-terminal domain superfamily', 'ScdA-like_N_sf', 5, NULL),
(36479, NULL, 'IPR035626', NULL, 'N-acetylgalactosamine-6-sulfatase', 'GALNS', 4, NULL),
(36480, NULL, 'IPR039337', NULL, 'Protein GOLVEN 2', 'GLV2', 4, NULL),
(36481, NULL, 'IPR036179', NULL, 'Immunoglobulin-like domain superfamily', 'Ig-like_dom_sf', 5, NULL),
(36482, NULL, 'IPR038228', NULL, 'Syd superfamily', 'Syd_sf', 5, NULL),
(36483, NULL, 'IPR039755', NULL, 'TBC1 domain family member 23', 'TBC1D23', 4, NULL),
(36484, NULL, 'IPR036807', NULL, 'PH1570-like superfamily', 'PH1570-like_sf', 5, NULL),
(36485, NULL, 'IPR039899', NULL, 'BET1, SNARE domain', 'BET1_SNARE', 3, NULL),
(36486, NULL, 'IPR036789', NULL, 'Ribosomal protein L6, alpha-beta domain superfamily', 'Ribosomal_L6_a/b-dom_sf', 5, NULL),
(36487, NULL, 'IPR036366', NULL, 'PGBD superfamily', 'PGBDSf', 5, NULL),
(36488, NULL, 'IPR037599', NULL, 'Transcription factor CP2, SAM domain', 'TFCP2_SAM', 3, NULL),
(36489, NULL, 'IPR033309', NULL, 'Crossover junction endonuclease Mus81', 'Mus81', 4, NULL),
(36490, NULL, 'IPR039588', NULL, 'F-box only protein 4', 'FBXO4', 4, NULL),
(36491, NULL, 'IPR034816', NULL, 'hnRNP-L, RNA recognition motif 3', 'hnRNP-L_RRM3', 3, NULL),
(36492, NULL, 'IPR034830', NULL, 'TIA-1, RNA recognition motif 2', 'TIA1_RRM2', 3, NULL),
(36493, NULL, 'IPR036799', NULL, 'Diphtheria toxin, receptor-binding domain superfamily', 'Diphtheria_tox_rcpt-bd_dom_sf', 5, NULL),
(36494, NULL, 'IPR036132', NULL, 'Vacuolar ATP synthase subunit C superfamily', 'Vac_ATP_synth_c_sf', 5, NULL),
(36495, NULL, 'IPR038229', NULL, 'Pathogenicity island component CagD superfamily', 'CagD_sf', 5, NULL),
(36496, NULL, 'IPR038230', NULL, 'TBP-interacting protein, N-terminal superfamily', 'TIP_N_sf', 5, NULL),
(36497, NULL, 'IPR033954', NULL, 'Disulphide bond isomerase, DsbC/G', 'DiS-bond_Isoase_DsbC/G', 4, NULL),
(36498, NULL, 'IPR033567', NULL, 'ADP-ribosyl cyclase/cyclic ADP-ribose hydrolase 1', 'CD38', 4, NULL),
(36499, NULL, 'IPR035624', NULL, 'AGGF1, OCRE domain', 'AGGF1_OCRE', 3, NULL),
(36500, NULL, 'IPR038505', NULL, 'FANCF, C-terminal domain superfamily', 'FANCF_C_sf', 5, NULL),
(36501, NULL, 'IPR042994', NULL, 'R-spondin-3', 'RSPO3', 4, NULL),
(36502, NULL, 'IPR042861', NULL, 'Testis-expressed protein 11', 'TEX11', 4, NULL),
(36503, NULL, 'IPR045804', NULL, 'Domain of unknown function DUF5920', 'DUF5920', 3, NULL),
(36504, NULL, 'IPR042858', NULL, 'DnaJ homolog subfamily C member 8', 'DNAJC8', 4, NULL),
(36505, NULL, 'IPR044245', NULL, 'SprT-like domain-containing protein Spartan', 'Spartan', 4, NULL),
(36506, NULL, 'IPR045881', NULL, 'METABOLIC NETWORK MODULATOR 1-like', 'MNM1-like', 4, NULL),
(36507, NULL, 'IPR043859', NULL, 'Protein of unknown function DUF5821', 'DUF5821', 4, NULL),
(36508, NULL, 'IPR045653', NULL, 'Domain of unknown function DUF6396', 'DUF6396', 3, NULL),
(36509, NULL, 'IPR042996', NULL, 'Receptor-type tyrosine-protein phosphatase O', 'PTPRO', 4, NULL),
(36510, NULL, 'IPR043736', NULL, 'Domain of unknown function DUF5681', 'DUF5681', 3, NULL),
(36511, NULL, 'IPR045684', NULL, 'Protein of unknown function DUF6191', 'DUF6191', 4, NULL),
(36512, NULL, 'IPR043127', NULL, 'Sec1-like, domain 3a', 'Sec-1-like_dom3a', 5, NULL),
(36513, NULL, 'IPR043037', NULL, 'CFA/I fimbrial subunit E, adhesin domain', 'CfaE_adhesin', 5, NULL),
(36514, NULL, 'IPR043708', NULL, 'Repeat of unknown function DUF5648', 'DUF5648', 7, NULL),
(36515, NULL, 'IPR042475', NULL, 'V-set and immunoglobulin domain-containing protein 2', 'VSIG2', 4, NULL),
(36516, NULL, 'IPR042812', NULL, 'Sterile alpha motif domain-containing protein 3', 'SAMD3', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36517, NULL, 'IPR043739', NULL, 'Family of unknown function DUF5684', 'DUF5684', 4, NULL),
(36518, NULL, 'IPR043752', NULL, 'Family of unknown function DUF5697', 'DUF5697', 4, NULL),
(36519, NULL, 'IPR045505', NULL, 'Protein of unknown function DUF6486', 'DUF6486', 4, NULL),
(36520, NULL, 'IPR044339', NULL, 'Spike (S) protein S1 subunit, N-terminal domain, murine hepatitis virus-like', 'Spike_S1_NTD_MHV-like', 3, NULL),
(36521, NULL, 'IPR042542', NULL, 'Peptidase C53, pestivirus Npro, interaction domain', 'Peptidase_C53_interaction', 5, NULL),
(36522, NULL, 'IPR042863', NULL, 'Protein kish-B', 'Kish-B', 4, NULL),
(36523, NULL, 'IPR044513', NULL, 'BTB/POZ and TAZ domain-containing protein 1/2/3/4/5', 'BT1/2/3/4/5', 4, NULL),
(36524, NULL, 'IPR042153', NULL, 'VDR, DNA-binding domain', 'DBD_VDR', 3, NULL),
(36525, NULL, 'IPR044753', NULL, 'HELLS, N-terminal', 'HELLS_N', 3, NULL),
(36526, NULL, 'IPR044767', NULL, 'Phytochrome A/B/C/D/E-like, histidine-kinase-related domain', 'Phy_HATPase-like', 3, NULL),
(36527, NULL, 'IPR042999', NULL, 'Beta-catenin-interacting protein 1', 'CTNNBIP1', 4, NULL),
(36528, NULL, 'IPR043726', NULL, 'Domain of unknown function DUF5668', 'DUF5668', 3, NULL),
(36529, NULL, 'IPR043254', NULL, 'Heat shock protein beta-8', 'HSPB8', 4, NULL),
(36530, NULL, 'IPR044281', NULL, 'U3 snoRNP protein/Ribosome production factor 1', 'IMP4/RPF1', 4, NULL),
(36531, NULL, 'IPR044290', NULL, 'Arabinosyltransferase RRA1/2/3', 'RRA1/2/3', 4, NULL),
(36532, NULL, 'IPR042794', NULL, 'Neurite extension and migration factor', 'Nexmif', 4, NULL),
(36533, NULL, 'IPR044246', NULL, 'Zinc finger protein 3-like', 'ZFP3-like', 4, NULL),
(36534, NULL, 'IPR042241', NULL, 'Gamma-tubulin complex component, C-terminal domain superfamily', 'GCP_C_sf', 5, NULL),
(36535, NULL, 'IPR044805', NULL, 'Mediator of RNA polymerase II transcription subunit 26a/b-like', 'MD26A/B-like', 4, NULL),
(36536, NULL, 'IPR045009', NULL, 'CASP-like protein 5', 'CASPL-5', 4, NULL),
(36537, NULL, 'IPR042298', NULL, 'Proto-chlorophyllide reductase, C-terminal', 'P-CP_red_C', 5, NULL),
(36538, NULL, 'IPR042240', NULL, 'CHASE domain superfamily', 'CHASE_sf', 5, NULL),
(36539, NULL, 'IPR042452', NULL, 'ZPR1, zinc finger domain', 'ZPR1_Znf1/2', 5, NULL),
(36540, NULL, 'IPR045614', NULL, 'Protein of unknown function DUF6136', 'DUF6136', 4, NULL),
(36541, NULL, 'IPR044596', NULL, 'Phosphatidylglycerophosphatase and protein-tyrosine phosphatase 1-like', 'PTPMT1-like', 4, NULL),
(36542, NULL, 'IPR044471', NULL, 'TRBP2 , third double-stranded RNA binding domain', 'TRBP2_DSRM_3', 3, NULL),
(36543, NULL, 'IPR044597', NULL, 'Single myb histone 1-6', 'SMH1-6', 4, NULL),
(36544, NULL, 'IPR042887', NULL, 'Vesicle-associated membrane protein 4', 'VAMP4', 4, NULL),
(36545, NULL, 'IPR042150', NULL, 'CAAX prenyl protease 2, MmRce1-like', 'MmRce1-like', 4, NULL),
(36546, NULL, 'IPR045079', NULL, 'Oxoprolinase family', 'Oxoprolinase_fam', 4, NULL),
(36547, NULL, 'IPR043427', NULL, 'Lipoprotein YscJ/Flagellar M-ring protein', 'YscJ/FliF', 4, NULL),
(36548, NULL, 'IPR044341', NULL, 'Spike (S) protein S1 subunit, N-terminal domain, SARS-CoV-like', 'Spike_S1_N_SARS-CoV-like', 3, NULL),
(36549, NULL, 'IPR043856', NULL, 'Protein of unknown function DUF5818', 'DUF5818', 4, NULL),
(36550, NULL, 'IPR043967', NULL, 'Nuclear cap-binding complex subunit CBP30', 'CBP30', 4, NULL),
(36551, NULL, 'IPR045771', NULL, 'Protein of unknown function DUF6224', 'DUF6224', 4, NULL),
(36552, NULL, 'IPR043900', NULL, 'Protein of unknown function DUF5788', 'DUF5788', 4, NULL),
(36553, NULL, 'IPR046327', NULL, 'Homeobox protein Hox-A1/B1/D1', 'HXA1/B1/D1', 4, NULL),
(36554, NULL, 'IPR045816', NULL, 'Protein angel homolog 2, N-terminal', 'ANGEL2_N', 3, NULL),
(36555, NULL, 'IPR045346', NULL, 'Ermin', 'Ermin', 4, NULL),
(36556, NULL, 'IPR043448', NULL, 'Pleckstrin homology domain-containing family O member 1/2', 'PKHO1/2', 4, NULL),
(36557, NULL, 'IPR045617', NULL, 'Protein of unknown function DUF6445', 'DUF6445', 4, NULL),
(36558, NULL, 'IPR044108', NULL, 'DNA (cytosine-5)-methyltransferase 3A, ADD domain', 'ADD_DNMT3A', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36559, NULL, 'IPR043576', NULL, 'Predicted galactose-1-phosphate uridylyltransferase, Corynebacterium type', 'GalT_Corynebac', 4, NULL),
(36560, NULL, 'IPR044285', NULL, 'Periodic tryptophan protein 1', 'PWP1', 4, NULL),
(36561, NULL, 'IPR044897', NULL, 'Inositol polyphosphate 1-phosphatase, domain 1', 'INPP1_dom_1', 5, NULL),
(36562, NULL, 'IPR043426', NULL, 'Membrane-bound lytic murein transglycosylase B-like', 'MltB-like', 4, NULL),
(36563, NULL, 'IPR044755', NULL, 'SMARCA1, N-terminal', 'SMARCA1_N', 3, NULL),
(36564, NULL, 'IPR042797', NULL, 'Glutaredoxin domain-containing cysteine-rich protein 1', 'GRXCR1', 4, NULL),
(36565, NULL, 'IPR044947', NULL, 'Bacteriophage T4, Gp32, single-stranded DNA-binding superfamily', 'Phage_T4_Gp32_ssDNA-bd_sf', 5, NULL),
(36566, NULL, 'IPR045870', NULL, 'TryX and NRX, thioredoxin domain', 'TryX_NRX_thioredoxin_dom', 3, NULL),
(36567, NULL, 'IPR044340', NULL, 'Helicase Sen1, 1B domain', 'Helicase_Sen1_1B_dom', 3, NULL),
(36568, NULL, 'IPR042242', NULL, 'Recombination protein O, C-terminal', 'RecO_C', 5, NULL),
(36569, NULL, 'IPR042245', NULL, 'Tgt2/MlaC superfamily', 'Tgt2/MlaC_sf', 5, NULL),
(36570, NULL, 'IPR044110', NULL, 'RNF146, RING finger, HC subclass', 'RING-HC_RNF146', 3, NULL),
(36571, NULL, 'IPR044351', NULL, 'RNA-dependent RNA polymerase, SARS-CoV-like', 'RdRp_SARS-CoV-like', 3, NULL),
(36572, NULL, 'IPR045055', NULL, 'DNA2/NAM7-like helicase', 'DNA2/NAM7-like', 4, NULL),
(36573, NULL, 'IPR043211', NULL, 'TNF receptor-associated factor TRAF', 'TNF_rcpt-assoc_TRAF', 4, NULL),
(36574, NULL, 'IPR045183', NULL, 'F-box-like/WD repeat-containing protein Ebi-like', 'Ebi-like', 4, NULL),
(36575, NULL, 'IPR045655', NULL, 'Protein of unknown function DUF6394', 'DUF6394', 4, NULL),
(36576, NULL, 'IPR042429', NULL, 'Swi5-dependent recombination DNA repair protein 1 homolog', 'SFR1', 4, NULL),
(36577, NULL, 'IPR043577', NULL, 'Asparaginyl endopeptidase', 'AE', 4, NULL),
(36578, NULL, 'IPR042997', NULL, 'Four and a half LIM domains protein 1', 'Fhl1', 4, NULL),
(36579, NULL, 'IPR043154', NULL, 'Sec1-like, domain 1', 'Sec-1-like_dom1', 5, NULL),
(36580, NULL, 'IPR042413', NULL, 'Isthmin', 'ISM', 4, NULL),
(36581, NULL, 'IPR045240', NULL, 'Ribosomal protein L4, eukaryotic and archaeal type', 'Ribosomal_L4_euk/arch', 4, NULL),
(36582, NULL, 'IPR045619', NULL, 'Domain of unknown function DUF6443', 'DUF6443', 3, NULL),
(36583, NULL, 'IPR043116', NULL, 'Outer capsid protein VP9, N-terminal', 'VP9_N', 5, NULL),
(36584, NULL, 'IPR045010', NULL, 'Medium-chain dehydrogenase/reductase', 'MDR_fam', 4, NULL),
(36585, NULL, 'IPR043727', NULL, 'Family of unknown function DUF5670', 'DUF5670', 4, NULL),
(36586, NULL, 'IPR044771', NULL, 'UNC93-like protein 3, plant', 'UN933_plant', 4, NULL),
(36587, NULL, 'IPR045378', NULL, 'Apolipoprotein N-acyltransferase, N-terminal', 'LNT_N', 3, NULL),
(36588, NULL, 'IPR044473', NULL, 'Staufen 2, third double-stranded RNA binding domain', 'STAU2_DSRM_3', 3, NULL),
(36589, NULL, 'IPR045857', NULL, 'Oligo-1,6-glucosidase, domain 2', 'O16G_dom_2', 5, NULL),
(36590, NULL, 'IPR043886', NULL, 'Protein of unknown function DUF5846', 'DUF5846', 4, NULL),
(36591, NULL, 'IPR042451', NULL, 'ZPR1, A/B domain', 'ZPR1_A/B_dom', 5, NULL),
(36592, NULL, 'IPR042491', NULL, 'Vacuolar protein sorting-associated protein 35, C-terminal', 'Vps35_C', 5, NULL),
(36593, NULL, 'IPR042540', NULL, 'Viral matrix protein, N-terminal domain', 'Matrix_N', 5, NULL),
(36594, NULL, 'IPR045311', NULL, 'Long-chain fatty acid CoA synthetase, eukaryotic', 'LC-FACS_euk', 4, NULL),
(36595, NULL, 'IPR044769', NULL, '1-phosphatidylinositol-3-phosphate 5-kinase, PIPK catalytic domain', 'PIKfyve_PIPKc', 3, NULL),
(36596, NULL, 'IPR044350', NULL, 'RNA-dependent RNA polymerase, Middle East respiratory syndrome-related coronavirus', 'RdRp_MERS-CoV-like', 3, NULL),
(36597, NULL, 'IPR044377', NULL, 'Envelope small membrane protein, SARS-CoV-2-like', 'E_SARS-CoV-2', 4, NULL),
(36598, NULL, 'IPR042538', NULL, 'Nucleoporin, Nup155-like, C-terminal, subdomain 3', 'Nucleoporin_Nup155_C_3', 5, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36599, NULL, 'IPR045620', NULL, 'Protein of unknown function DUF6442', 'DUF6442', 4, NULL),
(36600, NULL, 'IPR044124', NULL, 'PIK3R1, inter-SH2 domain', 'ISH2_PIK3R1', 3, NULL),
(36601, NULL, 'IPR043507', NULL, 'Envelope small membrane protein, alphacoronavirus', 'E_protein_aCoV', 4, NULL),
(36602, NULL, 'IPR045603', NULL, 'QcrA subunit, N-terminal', 'QcrA_N', 3, NULL),
(36603, NULL, 'IPR044676', NULL, 'MYB-like transcription factor EOBI/EOBII-like, plant', 'EOBI/EOBII-like_plant', 4, NULL),
(36604, NULL, 'IPR044381', NULL, 'NSP3, DPUP domain, murine hepatitis virus-like', 'NSP3_DPUP_MHV', 3, NULL),
(36605, NULL, 'IPR045634', NULL, 'Protein of unknown function DUF6413', 'DUF6413', 4, NULL),
(36606, NULL, 'IPR044474', NULL, 'Staufen 2, fourth double-stranded RNA binding domain', 'STAU2_DSRM_4', 3, NULL),
(36607, NULL, 'IPR043861', NULL, 'Protein of unknown function DUF5823', 'DUF5823', 4, NULL),
(36608, NULL, 'IPR044401', NULL, 'NSP15, NendoU domain, coronavirus', 'NSP15_NendoU_CoV', 3, NULL),
(36609, NULL, 'IPR044353', NULL, 'NSP3, second ubiquitin-like (Ubl) domain, coronavirus', 'Nsp3_Ubl2_dom_CoV', 3, NULL),
(36610, NULL, 'IPR042998', NULL, 'Perilipin-1', 'PLIN1', 4, NULL),
(36611, NULL, 'IPR044714', NULL, 'BTB/POZ domain-containing protein AtSIBP1-like', 'AtSIBP1-like', 4, NULL),
(36612, NULL, 'IPR043542', NULL, 'Proline-rich transmembrane protein 4-like', 'Prrt4-like', 4, NULL),
(36613, NULL, 'IPR043090', NULL, 'Low molecular weight S layer protein, N-terminal, subdomain', 'Low_molc_weight_S-layer_N_sub', 5, NULL),
(36614, NULL, 'IPR045807', NULL, 'BMP and activin membrane-bound inhibitor, N-terminal domain', 'BAMBI_N', 3, NULL),
(36615, NULL, 'IPR043253', NULL, 'Neuromedin S', 'NmS', 4, NULL),
(36616, NULL, 'IPR045581', NULL, 'DNA-dependent protein kinase catalytic subunit, CC5', 'DNAPKcs_CC5', 3, NULL),
(36617, NULL, 'IPR042416', NULL, 'Oligosaccharyltransferase complex subunit OSTC', 'OSTC', 4, NULL),
(36618, NULL, 'IPR045742', NULL, 'LETM2, N-terminal', 'LETM2_N', 3, NULL),
(36619, NULL, 'IPR045762', NULL, 'ADNP, zinc finger domain', 'ADNP_Znf', 3, NULL),
(36620, NULL, 'IPR042864', NULL, 'Transmembrane protein 25', 'TMEM25', 4, NULL),
(36621, NULL, 'IPR044901', NULL, 'Malto-oligosyltrehalose trehalohydrolase, E-set domain superfamily', 'Trehalose_TreZ_E-set_sf', 5, NULL),
(36622, NULL, 'IPR042918', NULL, 'Pleckstrin homology domain-containing family G member 6', 'PLEKHG6', 4, NULL),
(36623, NULL, 'IPR044733', NULL, 'AP-1 complex subunit sigma', 'AP1_sigma', 4, NULL),
(36624, NULL, 'IPR045247', NULL, 'Oxidoreductase Oye-like', 'Oye-like', 4, NULL),
(36625, NULL, 'IPR045180', NULL, 'La domain containing protein', 'La_dom_prot', 4, NULL),
(36626, NULL, 'IPR044591', NULL, 'Microtubule-associated kinase-like protein RUNKEL', 'RUK', 4, NULL),
(36627, NULL, 'IPR042156', NULL, 'UNC5B, death domain', 'Death_UNC5B', 3, NULL),
(36628, NULL, 'IPR044282', NULL, 'Armadillo repeat protein ABAP1/ARIA', 'ABAP1/ARIA', 4, NULL),
(36629, NULL, 'IPR044905', NULL, 'Resuscitation-promoting factor Rpf1, C-terminal superfamily', 'Rpf1_C_sf', 5, NULL),
(36630, NULL, 'IPR044756', NULL, 'DHX15, DEXH-box helicase domain', 'DHX15_DEXHc', 3, NULL),
(36631, NULL, 'IPR043119', NULL, 'Rac1-binding domain, C-terminal', 'Rac1-bd_C', 5, NULL),
(36632, NULL, 'IPR043740', NULL, 'Family of unknown function DUF5685', 'DUF5685', 4, NULL),
(36633, NULL, 'IPR045812', NULL, 'DAHL domain', 'DAHL', 3, NULL),
(36634, NULL, 'IPR042426', NULL, 'Cysteine-rich DPF motif domain-containing protein 1', 'CDPF1', 4, NULL),
(36635, NULL, 'IPR045770', NULL, 'Protein of unknown function DUF6223', 'DUF6223', 4, NULL),
(36636, NULL, 'IPR044349', NULL, 'RNA-dependent RNA polymerase, bat coronavirus HKU9-like', 'RdRp_batCoV_HKU9-like', 3, NULL),
(36637, NULL, 'IPR043446', NULL, 'Neurabin-like family', 'Neurabin-like', 4, NULL),
(36638, NULL, 'IPR045808', NULL, 'FBXL5-like, hemerythrin-like domain', 'Hr_FBXL5', 3, NULL),
(36639, NULL, 'IPR045767', NULL, 'Protein of unknown function DUF6134', 'DUF6134', 4, NULL),
(36640, NULL, 'IPR044338', NULL, 'Spike (S) protein S1 subunit, N-terminal domain, HKU9-like', 'Spike_S1_N_batCoV-HKU9-like', 3, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36641, NULL, 'IPR043894', NULL, '6-phospho-N-acetylmuramidase, C-terminal', 'MupG_C', 3, NULL),
(36642, NULL, 'IPR045290', NULL, 'Holliday junction resolvase MOC1-like', 'MOC1-like', 4, NULL),
(36643, NULL, 'IPR043225', NULL, 'BTBD8, BACK domain', 'BACK_BTBD8', 3, NULL),
(36644, NULL, 'IPR043725', NULL, 'Domain of unknown function DUF5667', 'DUF5667', 3, NULL),
(36645, NULL, 'IPR044291', NULL, 'Zinc finger protein GIS/GIS2/ZFP8', 'GIS/GIS2/ZFP8', 4, NULL),
(36646, NULL, 'IPR044470', NULL, 'TRBP2 , second double-stranded RNA binding domain', 'TRBP2_DSRM_2', 3, NULL),
(36647, NULL, 'IPR045246', NULL, 'Argonaute-like, PIWI domain', 'Piwi_ago-like', 3, NULL),
(36648, NULL, 'IPR045852', NULL, 'Protein UNC80', 'UNC80', 3, NULL),
(36649, NULL, 'IPR042421', NULL, 'Protein C3orf33-like', 'C3orf33-like', 4, NULL),
(36650, NULL, 'IPR043366', NULL, 'HECTD4', 'HECTD4', 4, NULL),
(36651, NULL, 'IPR042917', NULL, 'Homeobox protein MIXL1', 'MIXL1', 4, NULL),
(36652, NULL, 'IPR045813', NULL, 'Cysteine-rich motor neuron 1 protein, C-terminal', 'CRIM1_C', 3, NULL),
(36653, NULL, 'IPR043709', NULL, 'Repeats of unknown function DUF5649', 'DUF5649', 7, NULL),
(36654, NULL, 'IPR045889', NULL, 'Methylesterase/Alpha-hydroxynitrile lyase', 'MES/HNL', 4, NULL),
(36655, NULL, 'IPR043706', NULL, 'Protein of unknown function DUF5646', 'DUF5646', 4, NULL),
(36656, NULL, 'IPR044760', NULL, 'Trafficking protein particle complex subunit 2-like', 'TRAPPC2L', 4, NULL),
(36657, NULL, 'IPR045765', NULL, 'Protein of unknown function DUF6133', 'DUF6133', 4, NULL),
(36658, NULL, 'IPR043408', NULL, 'IQ domain-containing protein K', 'IQCK', 4, NULL),
(36659, NULL, 'IPR045625', NULL, 'Protein of unknown function DUF6427', 'DUF6427', 4, NULL),
(36660, NULL, 'IPR044289', NULL, 'RING-H2 finger protein ATL67/ATL68/ATL70', 'ATL67/ATL68/ATL70', 4, NULL),
(36661, NULL, 'IPR045179', NULL, 'YgfZ/GcvT', 'YgfZ/GcvT', 4, NULL),
(36662, NULL, 'IPR043449', NULL, 'PHD finger protein 20-like', 'PHF20-like', 4, NULL),
(36663, NULL, 'IPR043872', NULL, 'Protein of unknown function DUF5832', 'DUF5832', 4, NULL),
(36664, NULL, 'IPR043711', NULL, 'Domain of unknown function DUF5651', 'DUF5651', 3, NULL),
(36665, NULL, 'IPR044598', NULL, 'Zinc finger CCHC-type and RNA-binding motif-containing protein 1', 'ZCRB1', 4, NULL),
(36666, NULL, 'IPR042810', NULL, 'BEN domain-containing protein 2', 'BEND2', 4, NULL),
(36667, NULL, 'IPR044475', NULL, 'Staufen 1, third double-stranded RNA binding domain', 'STAU1_DSRM_3', 3, NULL),
(36668, NULL, 'IPR043966', NULL, 'Nuclear cap-binding complex subunit CBP110', 'CBP110', 4, NULL),
(36669, NULL, 'IPR045031', NULL, 'Dihydropteroate synthase', 'DHP_synth', 4, NULL),
(36670, NULL, 'IPR045307', NULL, 'ADCK1-like domain', 'ADCK1_dom', 3, NULL),
(36671, NULL, 'IPR044244', NULL, 'Tetratricopeptide repeat protein TTC27/Emw1', 'TTC27/Emw1', 4, NULL),
(36672, NULL, 'IPR044352', NULL, 'Non-structural protein NSP3, SUD-C domain, bat CoV HKU9-like', 'Nsp3_SUD_C_HKU9_CoV', 3, NULL),
(36673, NULL, 'IPR044759', NULL, 'RF2-like transcription factor, bZIP domain', 'bZIP_RF2', 3, NULL),
(36674, NULL, 'IPR045806', NULL, 'BMP and activin membrane-bound inhibitor, C-terminal domain', 'BAMBI_C', 3, NULL),
(36675, NULL, 'IPR044481', NULL, 'Aldo-keto reductase family 1 member A1', 'AKR1A', 4, NULL),
(36676, NULL, 'IPR045604', NULL, 'Protein of unknown function DUF6453', 'DUF6453', 4, NULL),
(36677, NULL, 'IPR044804', NULL, 'AT1G29970-like', 'AT1G29970-like', 4, NULL),
(36678, NULL, 'IPR044511', NULL, 'ProlycopenC2 and GRAM domain-containing protein At1g03370/At5g50170-like', 'At1g03370/At5g50170-like', 4, NULL),
(36679, NULL, 'IPR044893', NULL, 'RNA polymerase Rpb1, clamp domain superfamily', 'RNA_pol_Rpb1_clamp_domain', 5, NULL),
(36680, NULL, 'IPR044487', NULL, 'Aldo-keto reductase family 2D', 'AKR2D', 4, NULL),
(36681, NULL, 'IPR043780', NULL, 'Domain of unknown function DUF5722', 'DUF5722', 3, NULL),
(36682, NULL, 'IPR045186', NULL, 'Indole-3-glycerol phosphate synthase', 'Indole-3-glycerol_P_synth', 4, NULL),
(36683, NULL, 'IPR044154', NULL, 'ADP-ribosylation factor-like protein 8A/8B', 'Arl8a/8b', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36684, NULL, 'IPR044824', NULL, 'Protein MAINTENANCE OF MERISTEMS-like', 'MAIN-like', 4, NULL),
(36685, NULL, 'IPR042420', NULL, 'Ankycorbin', 'RAI14', 4, NULL),
(36686, NULL, 'IPR044749', NULL, 'FANCM, DEAH-box helicase domain', 'FANCM_DEXDc', 3, NULL),
(36687, NULL, 'IPR044344', NULL, 'Nucleocapsid (N) protein, C-terminal domain, coronavirus', 'N_prot_C_CoV', 3, NULL),
(36688, NULL, 'IPR045090', NULL, 'Peptidase M3A/M3B', 'Pept_M3A_M3B', 4, NULL),
(36689, NULL, 'IPR044152', NULL, 'NADPH dehydrogenase YqjM-like', 'YqjM-like', 4, NULL),
(36690, NULL, 'IPR044782', NULL, 'Sialyltransferase-like protein 1/5', 'SIA1/STLP5', 4, NULL),
(36691, NULL, 'IPR042137', NULL, 'Vertebrate SNX3,  PX domain', 'PX_SNX3_Vert', 3, NULL),
(36692, NULL, 'IPR045296', NULL, 'ETFRF1,  LYR domain', 'Complex1_LYR_ETFRF1_LYRM5', 3, NULL),
(36693, NULL, 'IPR043868', NULL, 'Protein of unknown function DUF5828', 'DUF5828', 4, NULL),
(36694, NULL, 'IPR042450', NULL, 'Eukaryotic translation elongation factor 1 epsilon-1', 'EEF1E1', 4, NULL),
(36695, NULL, 'IPR043862', NULL, 'Domain of unknown function DUF5824', 'DUF5824', 3, NULL),
(36696, NULL, 'IPR043239', NULL, 'Small integral membrane protein 29', 'SMIM29', 4, NULL),
(36697, NULL, 'IPR045867', NULL, 'DNA-directed RNA polymerase, subunit beta-prime', 'DNA-dir_RpoC_beta_prime', 4, NULL),
(36698, NULL, 'IPR043863', NULL, 'Protein of unknown function DUF5825', 'DUF5825', 4, NULL),
(36699, NULL, 'IPR043450', NULL, 'Coiled-coil domain-containing protein 89-like', 'CCDC89-like', 4, NULL),
(36700, NULL, 'IPR043118', NULL, 'Restriction endonuclease, type II SfiI, domain 1', 'Restrct_endonuc_II_SfiI_dom1', 5, NULL),
(36701, NULL, 'IPR043318', NULL, 'Killer cell lectin-like receptor subfamily G member 2', 'KLRG2', 4, NULL),
(36702, NULL, 'IPR042786', NULL, 'PDZD7, Harmonin N-like domain', 'PDZD7_HN-like', 3, NULL),
(36703, NULL, 'IPR045863', NULL, 'CorA, transmembrane region', 'CorA_TM1_TM2', 5, NULL),
(36704, NULL, 'IPR043451', NULL, 'Myocardin-like', 'Myocardin-like', 4, NULL),
(36705, NULL, 'IPR043870', NULL, 'Protein of unknown function DUF5830', 'DUF5830', 4, NULL),
(36706, NULL, 'IPR043359', NULL, 'C2H2-type zinc-finger protein GLI-like', 'GLI-like', 4, NULL),
(36707, NULL, 'IPR042793', NULL, 'Zinc finger CCHC domain-containing protein 2', 'ZCCHC2', 4, NULL),
(36708, NULL, 'IPR044308', NULL, 'Non-structural protein 5, gammacoronavirus', 'NSP5_Mpro_GammaCoV', 3, NULL),
(36709, NULL, 'IPR045467', NULL, 'Protein of unknown function DUF6497', 'DUF6497', 4, NULL),
(36710, NULL, 'IPR043741', NULL, 'Family of unknown function DUF5686', 'DUF5686', 4, NULL),
(36711, NULL, 'IPR044595', NULL, 'F-box/kelch-repeat protein KMD1/2-like', 'KMD1/2-like', 4, NULL),
(36712, NULL, 'IPR045613', NULL, 'Protein of unknown function DUF6448', 'DUF6448', 4, NULL),
(36713, NULL, 'IPR043853', NULL, 'Protein of unknown function DUF5815', 'DUF5815', 4, NULL),
(36714, NULL, 'IPR045773', NULL, 'Protein of unknown function DUF6226', 'DUF6226', 4, NULL),
(36715, NULL, 'IPR045006', NULL, 'Magnesium-chelatase subunit ChlI-like', 'CHLI-like', 4, NULL),
(36716, NULL, 'IPR043860', NULL, 'Protein of unknown function DUF5822', 'DUF5822', 4, NULL),
(36717, NULL, 'IPR045810', NULL, 'eIF3h, C-terminal', 'eIF3h_C', 3, NULL),
(36718, NULL, 'IPR044638', NULL, 'Aldehyde dehydrogenase family 7 member A1-like', 'ALDH7A1-like', 4, NULL),
(36719, NULL, 'IPR043452', NULL, 'Plant bZIP transcription factors', 'BZIP46-like', 4, NULL),
(36720, NULL, 'IPR044476', NULL, 'Staufen 2, first double-stranded RNA binding domain', 'STAU2_DSRM_1', 3, NULL),
(36721, NULL, 'IPR042474', NULL, 'Cell surface A33 antigen', 'A33', 4, NULL),
(36722, NULL, 'IPR042735', NULL, 'FCHo1, F-BAR domain', 'FCHo1_F-BAR', 3, NULL),
(36723, NULL, 'IPR044509', NULL, 'CRIB domain-containing protein RIC2/4', 'RIC2/4', 4, NULL),
(36724, NULL, 'IPR043865', NULL, 'Protein of unknown function DUF5826', 'DUF5826', 4, NULL),
(36725, NULL, 'IPR044750', NULL, 'SRC2/BAP, C2 domain', 'C2_SRC2/BAP', 3, NULL),
(36726, NULL, 'IPR042419', NULL, 'Leucine-rich repeat-containing protein 31', 'LRC31', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36727, NULL, 'IPR045292', NULL, 'NDUFB9, LYR domain', 'Complex1_LYR_NDUFB9_LYRM3', 3, NULL),
(36728, NULL, 'IPR045293', NULL, 'LYRM2, LYR domain', 'Complex1_LYR_LYRM2', 3, NULL),
(36729, NULL, 'IPR042859', NULL, 'Nucleolar protein 11', 'NOL11', 4, NULL),
(36730, NULL, 'IPR043367', NULL, 'Phospholipase A1 PLIP1/2/3, chloroplastic', 'PLIP1/2/3', 4, NULL),
(36731, NULL, 'IPR042155', NULL, 'UNC5A, death domain', 'Death_UNC5A', 3, NULL),
(36732, NULL, 'IPR042226', NULL, 'eRF1, domain 2 superfamily', 'eFR1_2_sf', 5, NULL),
(36733, NULL, 'IPR043159', NULL, 'D-galactoside/L-rhamnose binding SUEL lectin domain superfamily', 'Lectin_gal-bd_sf', 5, NULL),
(36734, NULL, 'IPR043555', NULL, 'Sushi repeat-containing protein SRPX-like', 'SRPX-like', 4, NULL),
(36735, NULL, 'IPR042762', NULL, 'PKHF1, FYVE domain', 'PKHF1_FYVE', 3, NULL),
(36736, NULL, 'IPR045605', NULL, '3-ketosteroid-9-alpha-monooxygenase, oxygenase component-like, C-terminal domain', 'KshA-like_C', 3, NULL),
(36737, NULL, 'IPR044848', NULL, 'PHR1-like', 'PHR1-like', 4, NULL),
(36738, NULL, 'IPR043864', NULL, 'OMP85-like, membrane spanning beta barrel domain', 'Omp85-like_dom', 3, NULL),
(36739, NULL, 'IPR044257', NULL, 'Protein TRM32-like', 'TRM32-like', 4, NULL),
(36740, NULL, 'IPR043540', NULL, 'E3 ubiquitin-protein ligase RING1/RING2', 'RING1/RING2', 4, NULL),
(36741, NULL, 'IPR044940', NULL, 'Nitric oxide synthase,  domain 2 superfamily', 'NOS_dom_2', 5, NULL),
(36742, NULL, 'IPR045060', NULL, 'Phenylalanine-tRNA ligase, class IIc, beta subunit', 'Phe-tRNA-ligase_IIc_bsu', 4, NULL),
(36743, NULL, 'IPR042422', NULL, 'Coiled-coil domain-containing protein 103', 'CC103', 4, NULL),
(36744, NULL, 'IPR045862', NULL, 'Nucleotidyltransferase Trf4-like', 'Trf4-like', 4, NULL),
(36745, NULL, 'IPR042454', NULL, 'CXADR-like membrane protein', 'CLMP', 4, NULL),
(36746, NULL, 'IPR044945', NULL, 'FokI, recognition domain, subdomain 1 and 2', 'FokI_dom_1_2', 5, NULL),
(36747, NULL, 'IPR043102', NULL, 'Antiactivator protein ExsD, domain 2', 'ExsD_dom2', 5, NULL),
(36748, NULL, 'IPR042138', NULL, 'Fungal SNX3, PX domain', 'PX_Grd19_PX', 3, NULL),
(36749, NULL, 'IPR045615', NULL, 'Protein of unknown function DUF6447', 'DUF6447', 4, NULL),
(36750, NULL, 'IPR044902', NULL, 'Dinoflagellate luciferase repeat', 'Dino_Luciferase_rpt_sf', 5, NULL),
(36751, NULL, 'IPR044763', NULL, 'Ded1/Dbp1, DEAD-box helicase domain', 'Ded1/Dbp1_DEADc', 3, NULL),
(36752, NULL, 'IPR042418', NULL, 'Thioredoxin domain-containing protein 15', 'TXNDC15', 4, NULL),
(36753, NULL, 'IPR042567', NULL, 'Spindlin/spermiogenesis-specific domain superfamily', 'SPIN/Ssty_sf', 5, NULL),
(36754, NULL, 'IPR044677', NULL, 'Mitochondrial phosphate carrier protein Pic2/Mir1-like', 'Pic2/Mir1-like', 4, NULL),
(36755, NULL, 'IPR044589', NULL, 'GATA transcription factor 26/27', 'GATA26/27', 4, NULL),
(36756, NULL, 'IPR043578', NULL, 'Glutamate synthase large subunit-like protein, archaeal type', 'GltB_archl_type', 4, NULL),
(36757, NULL, 'IPR043072', NULL, 'Staphylcoagulase, N-terminal, subdomain 1', 'Staphylcoagulase_N_1', 5, NULL),
(36758, NULL, 'IPR043312', NULL, 'E3 ubiquitin ligase BIG BROTHER-like', 'AtBBR-like', 4, NULL),
(36759, NULL, 'IPR045872', NULL, 'ADP-ribosylation factor 1-5', 'Arf1-5-like', 4, NULL),
(36760, NULL, 'IPR043478', NULL, 'Non-structural protein NSP3, SUD-N (Mac2) domain superfamily, betacoronavirus', 'NSP3_SUD-N_sf_bCoV', 5, NULL),
(36761, NULL, 'IPR042800', NULL, 'MAP3K7 C-terminal-like protein', 'Map3k7cl', 4, NULL),
(36762, NULL, 'IPR045782', NULL, 'TrbL/VirB6 plasmid conjugal transfer like protein', 'TrbL_3', 4, NULL),
(36763, NULL, 'IPR043104', NULL, 'Putative mobile pathogenicity island, N-terminal domain', 'SAPI_N', 5, NULL),
(36764, NULL, 'IPR043151', NULL, 'Bromo adjacent homology (BAH) domain superfamily', 'BAH_sf', 5, NULL),
(36765, NULL, 'IPR042566', NULL, 'L1 transposable element, C-terminal domain', 'L1_C', 5, NULL),
(36766, NULL, 'IPR045861', NULL, 'CorA, cytoplasmic domain', 'CorA_cytoplasmic_dom', 5, NULL),
(36767, NULL, 'IPR044345', NULL, 'Nucleocapsid (N) protein, N-terminal domain,  coronavirus', 'N_prot_N_CoV', 3, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36768, NULL, 'IPR043246', NULL, 'C10orf82-like', 'C10orf82-like', 4, NULL),
(36769, NULL, 'IPR045768', NULL, 'Stage II sporulation protein E, N-terminal', 'SpoIIE_N', 3, NULL),
(36770, NULL, 'IPR042553', NULL, 'TSC22 domain family protein 4', 'TSC22D4', 4, NULL),
(36771, NULL, 'IPR045420', NULL, 'Domain of unknown function DUF5901', 'DUF5901', 3, NULL),
(36772, NULL, 'IPR043575', NULL, 'Macrophage stimulating protein', 'MSP_HGFL', 4, NULL),
(36773, NULL, 'IPR043120', NULL, 'Rac1-binding domain, N-terminal', 'Rac1-db_N', 5, NULL),
(36774, NULL, 'IPR045056', NULL, 'Nucleolar protein Nop56/Nop58', 'Nop56/Nop58', 4, NULL),
(36775, NULL, 'IPR044716', NULL, 'Transcriptional corepressor LEUNIG-like', 'LEUNIG-like', 4, NULL),
(36776, NULL, 'IPR042565', NULL, 'Type VII secretion system EssB, C-terminal', 'T7SS_EssB_C', 5, NULL),
(36777, NULL, 'IPR043714', NULL, 'Domain of unknown function DUF5655', 'DUF5655', 3, NULL),
(36778, NULL, 'IPR044472', NULL, 'STRBP, first double-stranded RNA binding domain', 'STRBP_DSRM_1', 3, NULL),
(36779, NULL, 'IPR044912', NULL, 'Epidermal growth factor receptor, juxtamembrane domain', 'Egfr_JX_dom', 5, NULL),
(36780, NULL, 'IPR045685', NULL, 'Protein of unknown function DUF6190', 'DUF6190', 4, NULL),
(36781, NULL, 'IPR043707', NULL, 'Protein of unknown function DUF5647', 'DUF5647', 4, NULL),
(36782, NULL, 'IPR043316', NULL, 'Cysteine and histidine-rich domain-containing protein RAR1', 'RAR1', 4, NULL),
(36783, NULL, 'IPR044802', NULL, 'Calmodulin calcium-dependent NAD kinase NADKc-like', 'NADKc-like', 4, NULL),
(36784, NULL, 'IPR044157', NULL, 'Basigin', 'Basigin', 4, NULL),
(36785, NULL, 'IPR044346', NULL, 'M matrix/glycoprotein, deltacoronavirus', 'M_deltaCoV', 4, NULL),
(36786, NULL, 'IPR045289', NULL, 'KIN14B-interacting protein At4g14310-like', 'At4g14310-like', 4, NULL),
(36787, NULL, 'IPR043089', NULL, 'Dot/Icm secretion system IcmQ, C-terminal', 'Dot_Icm_IcmQ_C', 5, NULL),
(36788, NULL, 'IPR045502', NULL, 'Protein of unknown function DUF6489', 'DUF6489', 4, NULL),
(36789, NULL, 'IPR045187', NULL, 'Cytochrome c/quinol oxidase subunit II', 'CcO_II', 4, NULL),
(36790, NULL, 'IPR044678', NULL, 'Cold-regulated protein 27/28', 'COR27/28', 4, NULL),
(36791, NULL, 'IPR045815', NULL, 'Neutrophin-3, N-terminal', 'NTF3_N', 3, NULL),
(36792, NULL, 'IPR043729', NULL, 'Domain of unknown function DUF5672', 'DUF5672', 3, NULL),
(36793, NULL, 'IPR045854', NULL, 'Nitrite and sulphite reductase 4Fe-4S domain-like superfamily', 'NO2/SO3_Rdtase_4Fe4S_sf', 5, NULL),
(36794, NULL, 'IPR042129', NULL, 'Mannose-binding protein A', 'Mannose-binding_protein_A', 4, NULL),
(36795, NULL, 'IPR043067', NULL, 'Calcium binding protein CcbP, beta-barrel domain', 'CcbP_b-brl', 5, NULL),
(36796, NULL, 'IPR045082', NULL, 'ATP synthase, F0 complex, subunit A, bacterial/chloroplast', 'ATP_syn_F0_a_bact/chloroplast', 4, NULL),
(36797, NULL, 'IPR044115', NULL, 'LIMD2,  LIM domain', 'LIM_LIMD2', 3, NULL),
(36798, NULL, 'IPR045622', NULL, 'Protein of unknown function DUF6441', 'DUF6441', 4, NULL),
(36799, NULL, 'IPR042415', NULL, 'Protein canopy homolog', 'CNPY', 4, NULL),
(36800, NULL, 'IPR044149', NULL, 'Nitrilase/Cyanide hydratase', 'Nitrilases_CHs', 4, NULL),
(36801, NULL, 'IPR044379', NULL, 'Envelope small membrane protein, MERS-CoV-like', 'E_MERS-CoV-like', 4, NULL),
(36802, NULL, 'IPR043425', NULL, 'NusG-like', 'NusG-like', 4, NULL),
(36803, NULL, 'IPR045291', NULL, 'LYRM9, LYR domain', 'Complex1_LYR_LYRM9', 3, NULL),
(36804, NULL, 'IPR044732', NULL, 'SMAP1-like, ArfGAP domain', 'ArfGAP_SMAP1-like', 3, NULL),
(36805, NULL, 'IPR044480', NULL, 'D-arabinose 1-dehydrogenase Ara2-like', 'Ara2-like', 4, NULL),
(36806, NULL, 'IPR043851', NULL, 'Protein of unknown function DUF5813', 'DUF5813', 4, NULL),
(36807, NULL, 'IPR044269', NULL, 'Terminase, large subunit SPP1-like', 'Terminase_large_su_SPP1-like', 4, NULL),
(36808, NULL, 'IPR044482', NULL, 'Aldo-keto reductase family 1 member C', 'AKR1C', 4, NULL),
(36809, NULL, 'IPR044469', NULL, 'TRBP2 , first double-stranded RNA binding domain', 'TRBP2_DSRM_1', 3, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36810, NULL, 'IPR044757', NULL, 'IAA-amino acid hydrolase ILR1-like', 'ILR1-like_Hyd', 4, NULL),
(36811, NULL, 'IPR045766', NULL, 'MCAfunc domain', 'MCAfunc', 3, NULL),
(36812, NULL, 'IPR042433', NULL, 'Allograft inflammatory factor 1', 'AIF1/AIF1L', 4, NULL),
(36813, NULL, 'IPR044770', NULL, 'Protein spinster-like', 'MFS_spinster-like', 4, NULL),
(36814, NULL, 'IPR045486', NULL, 'FtsH ternary system domain X7', 'fvmX7', 3, NULL),
(36815, NULL, 'IPR045616', NULL, 'Protein of unknown function DUF6446', 'DUF6446', 4, NULL),
(36816, NULL, 'IPR043712', NULL, 'Domain of unknown function DUF5652', 'DUF5652', 3, NULL),
(36817, NULL, 'IPR045294', NULL, 'LYRM1, LYR domain', 'Complex1_LYR_LYRM1', 3, NULL),
(36818, NULL, 'IPR044543', NULL, 'Uncharacterized cysteine-rich protein YhjQ-like', 'YHJQ-like', 4, NULL),
(36819, NULL, 'IPR044855', NULL, 'CoA-transferase family III domain 3 superfamily', 'CoA-Trfase_III_dom3_sf', 5, NULL),
(36820, NULL, 'IPR042244', NULL, 'HypD, domain 2', 'HypD_2_sf', 5, NULL),
(36821, NULL, 'IPR042243', NULL, 'HypD, domain 1', 'HypD_1', 5, NULL),
(36822, NULL, 'IPR046333', NULL, 'Homeobox protein Hox-A10/abdominal-B-like', 'HXA10/ABDB-like', 4, NULL),
(36823, NULL, 'IPR042239', NULL, 'Nop, C-terminal domain', 'Nop_C', 5, NULL),
(36824, NULL, 'IPR044768', NULL, 'DRIP1/2, RAWUL domain', 'DRIP-like_RAWUL', 3, NULL),
(36825, NULL, 'IPR042539', NULL, 'Viral matrix protein, C-terminal domain', 'Matrix_C', 5, NULL),
(36826, NULL, 'IPR044803', NULL, 'Serine/threonine-protein kinase STT7-like', 'STT7-like', 4, NULL),
(36827, NULL, 'IPR043363', NULL, 'Transcription factor DIVARICATA-like', 'DIVARICATA-like', 4, NULL),
(36828, NULL, 'IPR045803', NULL, 'Domain of unknown function DUF5921', 'DUF5921', 3, NULL),
(36829, NULL, 'IPR042425', NULL, 'Protein APCDD1', 'APCDD1', 4, NULL),
(36830, NULL, 'IPR042734', NULL, 'Rho-related GTP-binding protein RhoG', 'RhoG', 4, NULL),
(36831, NULL, 'IPR042427', NULL, 'Zinc finger FYVE domain-containing protein 1', 'ZFYV1', 4, NULL),
(36832, NULL, 'IPR043506', NULL, 'Envelope small membrane protein, betacoronavirus', 'E_protein_bCoV', 4, NULL),
(36833, NULL, 'IPR042541', NULL, 'BART domain superfamily', 'BART_sf', 5, NULL),
(36834, NULL, 'IPR045828', NULL, 'PKD-like domain, Bacteroidetes', 'PKD_Bacteroidetes', 3, NULL),
(36835, NULL, 'IPR043737', NULL, 'Family of unknown function DUF5682', 'DUF5682', 4, NULL),
(36836, NULL, 'IPR043887', NULL, 'Protein of unknown function DUF5845', 'DUF5845', 4, NULL),
(36837, NULL, 'IPR045081', NULL, 'Acidic leucine-rich nuclear phosphoprotein 32', 'AN32', 4, NULL),
(36838, NULL, 'IPR044765', NULL, 'DDX47/Rrp3, DEAD-box helicase domain', 'DDX47/Rrp3_DEADc', 3, NULL),
(36839, NULL, 'IPR044911', NULL, 'V-type ATP synthase c/d subunit, domain 3 superfamily', 'V-type_ATPase_su_c/d_dom_3', 5, NULL),
(36840, NULL, 'IPR044467', NULL, 'PRKRA, third double-stranded RNA binding domain', 'PRKRA_DSRM_3', 3, NULL),
(36841, NULL, 'IPR042568', NULL, 'Sulfhydryl oxidase, flavin adenine dinucleotide (FAD) binding domain superfamily', 'QSOX_FAD-bd_sf', 5, NULL),
(36842, NULL, 'IPR044764', NULL, 'DDX52/Rok1, DEAD-box helicase domain', 'DDX52/Rok1_DEADc', 3, NULL),
(36843, NULL, 'IPR045612', NULL, 'Domain of unknown function DUF5914', 'DUF5914', 3, NULL),
(36844, NULL, 'IPR044819', NULL, 'Triacylglycerol lipase OBL1-like', 'OBL-like', 4, NULL),
(36845, NULL, 'IPR043319', NULL, 'ASH1-like, PHD finger', 'PHD_ASH1L', 3, NULL),
(36846, NULL, 'IPR042449', NULL, 'Ubiquitin-activating enzyme E1, inactive adenylation domain, subdomain 1', 'Ub-E1_IAD_1', 5, NULL),
(36847, NULL, 'IPR044342', NULL, 'Orf10 protein, SARS-CoV-2', 'Orf10_SARS-CoV-2', 4, NULL),
(36848, NULL, 'IPR044617', NULL, 'Tetrachlorohydroquinone dehalogenase', 'TCHQD', 4, NULL),
(36849, NULL, 'IPR045288', NULL, 'Membrane protein At1g75140-like', 'At1g75140-like', 4, NULL),
(36850, NULL, 'IPR044354', NULL, 'RNA-dependent RNA polymerase, deltacoronavirus', 'RdRp_deltaCoV', 3, NULL),
(36851, NULL, 'IPR043477', NULL, 'Peptidase C30, domain 3, coronavirus', 'Peptidase_C30_dom3_CoV', 5, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36852, NULL, 'IPR042813', NULL, 'SAMD3, SAM domain', 'SAMD3_SAM', 3, NULL),
(36853, NULL, 'IPR042151', NULL, 'IRAK2, death domain', 'Death_IRAK2', 3, NULL),
(36854, NULL, 'IPR042862', NULL, 'RING finger protein 32', 'RNF32', 4, NULL),
(36855, NULL, 'IPR045814', NULL, 'Integrator complex subunit 14, C-terminal', 'IntS14_C', 3, NULL),
(36856, NULL, 'IPR044284', NULL, 'Regulatory protein NPR5/6', 'NPR5/6', 4, NULL),
(36857, NULL, 'IPR043750', NULL, 'Protein of unknown function DUF5695', 'DUF5695', 4, NULL),
(36858, NULL, 'IPR045885', NULL, 'N-acetylgalactosaminyltransferase', 'GalNAc-T', 3, NULL),
(36859, NULL, 'IPR043854', NULL, 'Protein of unknown function DUF5816', 'DUF5816', 4, NULL),
(36860, NULL, 'IPR045182', NULL, 'Protein JINGUBANG-like', 'JINGUBANG-like', 4, NULL),
(36861, NULL, 'IPR045623', NULL, 'LigXa-like, C-terminal domain', 'LigXa_C', 3, NULL),
(36862, NULL, 'IPR043121', NULL, 'Restriction endonuclease, type II, BglI superfamily', 'Restrct_endonuc_II_BglI_sf', 5, NULL),
(36863, NULL, 'IPR044675', NULL, 'E3 ubiquitin-protein ligase RING1-like', 'RING1-like', 4, NULL),
(36864, NULL, 'IPR044844', NULL, 'Trans-isoprenyl diphosphate synthases, eukaryotic-type', 'Trans_IPPS_euk-type', 4, NULL),
(36865, NULL, 'IPR045050', NULL, 'Synaptotagmin, plant', 'Synaptotagmin_plant', 4, NULL),
(36866, NULL, 'IPR043405', NULL, 'Chondromodulin/Tenomodulin', 'Chondromodulin/Tenomodulin', 4, NULL),
(36867, NULL, 'IPR042860', NULL, 'MICOS complex subunit MIC25', 'MIC25', 4, NULL),
(36868, NULL, 'IPR043265', NULL, 'Colorectal cancer-associated protein 2', 'COLCA2', 4, NULL),
(36869, NULL, 'IPR044754', NULL, 'Isw1/2, N-terminal', 'Isw1/2_DEXHc', 3, NULL),
(36870, NULL, 'IPR044680', NULL, 'Protein EXECUTER 1/2', 'EX1/2', 4, NULL),
(36871, NULL, 'IPR043738', NULL, 'Domain of unknown function DUF5683', 'DUF5683', 3, NULL),
(36872, NULL, 'IPR044907', NULL, 'Photosystem I reaction centre subunit N superfamily', 'PSAN_sf', 5, NULL),
(36873, NULL, 'IPR044679', NULL, 'PWWP domain containing protein PWWP2-like', 'PWWP2-like', 4, NULL),
(36874, NULL, 'IPR045670', NULL, 'Domain of unknown function DUF5916', 'DUF5916', 3, NULL),
(36875, NULL, 'IPR043850', NULL, 'Protein of unknown function DUF5812', 'DUF5812', 4, NULL),
(36876, NULL, 'IPR044674', NULL, 'ER degradation-enhancing alpha-mannosidase-like protein 1/2/3', 'EDEM1/2/3', 4, NULL),
(36877, NULL, 'IPR044734', NULL, 'G protein-coupled receptor 35, 7TM', '7tmA_GPR35', 3, NULL),
(36878, NULL, 'IPR042575', NULL, 'Ubiquitin-associated protein 1, C-terminal', 'UBAP1_C', 5, NULL),
(36879, NULL, 'IPR042759', NULL, 'Coiled-coil domain-containing protein 126', 'CCDC126', 4, NULL),
(36880, NULL, 'IPR043150', NULL, 'Phytochrome, PHY domain', 'Phytochrome_PHY', 5, NULL),
(36881, NULL, 'IPR044751', NULL, 'Ion transporter-like, CBS domain', 'Ion_transp-like_CBS', 3, NULL),
(36882, NULL, 'IPR044177', NULL, 'Reticulon-like protein B22/B23', 'RTNLB22/23', 4, NULL),
(36883, NULL, 'IPR043885', NULL, 'Protein of unknown function DUF5847', 'DUF5847', 4, NULL),
(36884, NULL, 'IPR044286', NULL, 'E3 ubiquitin-protein ligase SINA-like, plant', 'SINL_plant', 4, NULL),
(36885, NULL, 'IPR043899', NULL, 'Protein of unknown function DUF5789', 'DUF5789', 4, NULL),
(36886, NULL, 'IPR044283', NULL, 'Transcription factor FAMA/SPEECHLESS/MUTE', 'FAMA/SPEECHLESS/MUTE', 4, NULL),
(36887, NULL, 'IPR044701', NULL, 'Thioredoxin-like fold domain-containing protein MRL7/MRL7L', 'MRL7/MRL7L', 4, NULL),
(36888, NULL, 'IPR045633', NULL, 'Protein of unknown function DUF6414', 'DUF6414', 4, NULL),
(36889, NULL, 'IPR043123', NULL, 'Phage bIL170 RBP, head domain', 'Phage_bIL170_RBP_head', 5, NULL),
(36890, NULL, 'IPR042154', NULL, 'UNC5C, death domain', 'Death_UNC5C', 3, NULL),
(36891, NULL, 'IPR042920', NULL, 'Izumo sperm-egg fusion protein 2', 'IZUMO2', 4, NULL),
(36892, NULL, 'IPR042527', NULL, 'Autophagy protein Atg5, UblA domain', 'Atg5_UblA_dom', 5, NULL),
(36893, NULL, 'IPR044894', NULL, 'TubC, N-terminal docking domain superfamily', 'TubC_N_sf', 5, NULL),
(36894, NULL, 'IPR043476', NULL, 'Yro2-like,  7TM domain', 'Yro2-like_7TM', 3, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36895, NULL, 'IPR043749', NULL, 'Protein of unknown function DUF5694', 'DUF5694', 4, NULL),
(36896, NULL, 'IPR044109', NULL, 'cAMP-dependent protein kinase catalytic subunit', 'STKc_PKA', 4, NULL),
(36897, NULL, 'IPR044247', NULL, 'E3 ubiquitin-protein ligase SPL2-like', 'SPL2-like', 4, NULL),
(36898, NULL, 'IPR042108', NULL, 'GTPase HflX, N-terminal domain superfamily', 'GTPase_HflX_N_sf', 5, NULL),
(36899, NULL, 'IPR044799', NULL, 'NAC domain-containing protein SOG1-like', 'SOG1-like', 4, NULL),
(36900, NULL, 'IPR044888', NULL, 'Mediator complex, subunit Med7 superfmaily', 'Mediatior_Med7_sf', 5, NULL),
(36901, NULL, 'IPR044477', NULL, 'D-threo-aldose 1-dehydrogenase-like', 'FDH-like', 4, NULL),
(36902, NULL, 'IPR045811', NULL, 'MTP large subunit, lipid-binding domain', 'MTP_lip-bd', 3, NULL),
(36903, NULL, 'IPR042803', NULL, 'Transcription factor 19', 'TCF19', 4, NULL),
(36904, NULL, 'IPR043857', NULL, 'Protein of unknown function DUF5819', 'DUF5819', 4, NULL),
(36905, NULL, 'IPR044348', NULL, 'Nonstructural protein 10, 1B domain, arterivirus', 'NSP10_1B_Av', 3, NULL),
(36906, NULL, 'IPR044801', NULL, 'Filamin family', 'Filamin', 4, NULL),
(36907, NULL, 'IPR044465', NULL, 'PRKRA, first double-stranded RNA binding domain', 'PRKRA_DSRM_1', 3, NULL),
(36908, NULL, 'IPR045671', NULL, 'Nitrogen regulation protein NtrY-like, N-terminal domain', 'NtrY-like_N', 3, NULL),
(36909, NULL, 'IPR045468', NULL, 'Protein of unknown function DUF6496', 'DUF6496', 4, NULL),
(36910, NULL, 'IPR042886', NULL, 'Cystatin-F', 'Cystatin-F', 4, NULL),
(36911, NULL, 'IPR042770', NULL, 'RWD domain-containing protein 4', 'RWDD4', 4, NULL),
(36912, NULL, 'IPR043256', NULL, 'Polyferredoxin MvhB-like', 'MvhB-like', 4, NULL),
(36913, NULL, 'IPR043897', NULL, 'Protein of unknown function DUF5835', 'DUF5835', 4, NULL),
(36914, NULL, 'IPR042761', NULL, 'CDK15, catalytic domain', 'CDK15_STKc', 3, NULL),
(36915, NULL, 'IPR043557', NULL, 'Dermcidin/Lacritin', 'Dermcidin/Lacritin', 4, NULL),
(36916, NULL, 'IPR045609', NULL, 'Domain of unknown function DUF6451', 'DUF6451', 3, NULL),
(36917, NULL, 'IPR043858', NULL, 'Protein of unknown function DUF5820', 'DUF5820', 4, NULL),
(36918, NULL, 'IPR044746', NULL, 'ABC transporter C family, six-transmembrane helical domain 1', 'ABCC_6TM_D1', 3, NULL),
(36919, NULL, 'IPR044592', NULL, 'Putative E3 ubiquitin-protein ligase RING1a/b', 'RING1A/B', 4, NULL),
(36920, NULL, 'IPR043264', NULL, 'Ring-hydroxylating dioxygenase, large/alpha subunit AhdA1c-like, C-terminal', 'AhdA1c-like_alpha_C', 3, NULL),
(36921, NULL, 'IPR042919', NULL, 'Retrotransposon Gag-like protein 9', 'RTL9', 4, NULL),
(36922, NULL, 'IPR042125', NULL, 'Small integral membrane protein 11', 'SMIM11', 4, NULL),
(36923, NULL, 'IPR044336', NULL, 'SF1 helicase, zinc-binding domain, tornidovirus', 'SF1_Hel_ZBD_tv', 3, NULL),
(36924, NULL, 'IPR045809', NULL, 'MobI protein', 'MobI', 4, NULL),
(36925, NULL, 'IPR044908', NULL, 'Nitrosopumilus output domain 5-like superfamily', 'NitrOD5-like_sf', 5, NULL),
(36926, NULL, 'IPR042787', NULL, 'M3K14, catalytic domain', 'M3K14_STKc', 3, NULL),
(36927, NULL, 'IPR045606', NULL, 'Protein SET DOMAIN GROUP 2, C-terminal', 'SDG2_C', 3, NULL),
(36928, NULL, 'IPR043581', NULL, 'Axin-like', 'Axin-like', 4, NULL),
(36929, NULL, 'IPR042888', NULL, 'G-protein-signaling modulator 3', 'GPSM3', 4, NULL),
(36930, NULL, 'IPR043424', NULL, 'Protein BRANCHLESS TRICHOME-like', 'BLT-like', 4, NULL),
(36931, NULL, 'IPR044700', NULL, 'PIP2/PIPL1', 'PIP2/PIPL1', 4, NULL),
(36932, NULL, 'IPR045668', NULL, 'FHF complex subunit HOOK interacting protein, KELAA motif', 'FHIP_KELAA_motif', 2, NULL),
(36933, NULL, 'IPR043728', NULL, 'Domain of unknown function DUF5671', 'DUF5671', 3, NULL),
(36934, NULL, 'IPR043325', NULL, 'Alpha-Amylase Inhibitors (AAI), Lipid Transfer (LT) and Seed Storage (SS) Protein', 'LTSS', 4, NULL),
(36935, NULL, 'IPR045761', NULL, 'ODP domain', 'ODP_dom', 3, NULL),
(36936, NULL, 'IPR044287', NULL, 'Protein SUPPRESSOR OF GENE SILENCING 3', 'SGS3', 4, NULL),
(36937, NULL, 'IPR043751', NULL, 'Protein  of unknown function DUF5696', 'DUF5696', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36938, NULL, 'IPR045871', NULL, 'Histidine-containing phosphotransfer protein 1-5/Phosphorelay intermediate protein YPD1', 'AHP1-5/YPD1', 4, NULL),
(36939, NULL, 'IPR045608', NULL, 'Trypsin-co-occurring domain 2', 'Trypco2', 3, NULL),
(36940, NULL, 'IPR044766', NULL, 'NPSN/SNAP25-like, N-terminal SNARE domain', 'NPSN/SNAP25-like_N_SNARE_', 3, NULL),
(36941, NULL, 'IPR045909', NULL, 'Mitochondrial dynamics protein MID49/MID51', 'MID49/MID51', 4, NULL),
(36942, NULL, 'IPR044593', NULL, 'FCS-Like Zinc finger 8/MARD1', 'FLZ8/MARD1', 4, NULL),
(36943, NULL, 'IPR045184', NULL, 'WD40 repeat-containing protein SMU1', 'SMU1', 4, NULL),
(36944, NULL, 'IPR044762', NULL, 'DHX8/ Prp22, DEXH-box helicase domain', 'DHX8/Prp22_DEXHc', 3, NULL),
(36945, NULL, 'IPR044466', NULL, 'PRKRA, second double-stranded RNA binding domain', 'PRKRA_DSRM_2', 3, NULL),
(36946, NULL, 'IPR043710', NULL, 'Repeat of unknown function DUF5650', 'DUF5650', 7, NULL),
(36947, NULL, 'IPR042414', NULL, 'T-cell surface glycoprotein CD8 beta chain', 'CD8B', 4, NULL),
(36948, NULL, 'IPR045007', NULL, 'LAS seventeen-binding protein 5', 'LSB5', 4, NULL),
(36949, NULL, 'IPR045760', NULL, '2,4-diaminopentanoate dehydrogenase, C-terminal domain', 'DAP_DH_C', 3, NULL),
(36950, NULL, 'IPR045769', NULL, 'Delta and Notch-like epidermal growth factor-related receptor, C-terminal', 'DNER_C', 3, NULL),
(36951, NULL, 'IPR044337', NULL, 'Spike (S) protein S1 subunit, N-terminal domain, MERS-CoV-like', 'Spike_S1_N_MERS-CoV-like', 3, NULL),
(36952, NULL, 'IPR044943', NULL, 'Nitric oxide synthase, domain 1 superfamily', 'NOS_dom_1', 5, NULL),
(36953, NULL, 'IPR042712', NULL, 'E3 ubiquitin-protein ligase RNF149, RING finger, H2 subclass', 'RNF149_RING-H2', 3, NULL),
(36954, NULL, 'IPR045618', NULL, 'Domain of unknown function DUF6444', 'DUF6444', 3, NULL),
(36955, NULL, 'IPR045657', NULL, 'Protein of unknown function DUF6392', 'DUF6392', 4, NULL),
(36956, NULL, 'IPR042915', NULL, 'BTB/POZ domain-containing protein 18', 'BTBD18', 4, NULL),
(36957, NULL, 'IPR045245', NULL, 'Pre-mRNA 3'' end processing protein Pfs2-like', 'Pfs2-like', 4, NULL),
(36958, NULL, 'IPR044831', NULL, 'Heme-binding peroxidase Ccp1-like', 'Ccp1-like', 4, NULL),
(36959, NULL, 'IPR043101', NULL, 'Antiactivator protein ExsD, domain 1', 'ExsD_dom1', 5, NULL),
(36960, NULL, 'IPR042752', NULL, 'TRIM54, RING finger, HC subclass', 'TRIM54_RING-HC', 3, NULL),
(36961, NULL, 'IPR045772', NULL, 'Protein of unknown function DUF6225', 'DUF6225', 4, NULL),
(36962, NULL, 'IPR045611', NULL, 'Domain of unknown function DUF6449', 'DUF6449', 3, NULL),
(36963, NULL, 'IPR042788', NULL, 'Protein ANKUB1', 'ANKUB1', 4, NULL),
(36964, NULL, 'IPR042107', NULL, 'DNA-directed RNA polymerase, beta subunit, external 1 domain superfamily', 'DNA-dir_RNA_pol_bsu_ext_1_sf', 5, NULL),
(36965, NULL, 'IPR042453', NULL, 'WD repeat-containing protein 53', 'WDR53', 4, NULL),
(36966, NULL, 'IPR043888', NULL, 'Protein of unknown function DUF5844', 'DUF5844', 4, NULL),
(36967, NULL, 'IPR044889', NULL, 'TccP2/EspF(U)-like superfamily', 'TccP2/EspF(U)-like_sf', 5, NULL),
(36968, NULL, 'IPR042804', NULL, 'Probable G-protein coupled receptor 82', 'GPR82', 4, NULL),
(36969, NULL, 'IPR043000', NULL, 'Chromobox protein homolog 7', 'CBX7', 4, NULL),
(36970, NULL, 'IPR045610', NULL, 'Domain of unknown function DUF6450', 'DUF6450', 3, NULL),
(36971, NULL, 'IPR043187', NULL, 'Esterase CM06B1-like', 'CM06B1-like', 4, NULL),
(36972, NULL, 'IPR044820', NULL, 'ADP-ribosylation factor GTPase-activating protein AGD14-like', 'AGD14-like', 4, NULL),
(36973, NULL, 'IPR042837', NULL, 'Pentraxin-related protein PTX3', 'PTX3', 4, NULL),
(36974, NULL, 'IPR044800', NULL, 'B3 domain-containing transcription factor LEC2-like', 'LEC2-like', 4, NULL),
(36975, NULL, 'IPR045764', NULL, 'Protein of unknown function DUF6132', 'DUF6132', 4, NULL),
(36976, NULL, 'IPR044347', NULL, 'RNA-dependent RNA polymerase, coronavirus HKU1-like', 'RdRp_HCoV_HKU1-like', 3, NULL),
(36977, NULL, 'IPR045607', NULL, 'Protein of unknown function DUF6452', 'DUF6452', 4, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(36978, NULL, 'IPR044251', NULL, 'Chromo domain-containing protein LHP1', 'LHP1-like', 4, NULL),
(36979, NULL, 'IPR042916', NULL, 'C-type lectin domain family 12 member A/B', 'CLEC12A/B', 4, NULL),
(36980, NULL, 'IPR044107', NULL, 'ATM, catalytic domain', 'PIKKc_ATM', 3, NULL),
(36981, NULL, 'IPR043742', NULL, 'Family of unknown function DUF5687', 'DUF5687', 4, NULL),
(36982, NULL, 'IPR043871', NULL, 'Protein of unknown function DUF5831', 'DUF5831', 4, NULL),
(36983, NULL, 'IPR044899', NULL, 'Secreted effector protein SptP, N-terminal domain superfamily', 'SptP_N_sf', 5, NULL),
(36984, NULL, 'IPR044478', NULL, 'Pyridoxal 4-dehydrogenase-like', 'Pld1-like', 4, NULL),
(36985, NULL, 'IPR043556', NULL, 'StAR-related lipid transfer protein 5/6', 'StARD5/6', 4, NULL),
(36986, NULL, 'IPR044380', NULL, 'Spike (S) protein S1 subunit, receptor-binding domain, HEV', 'Spike_S1_RBD_HEV', 3, NULL),
(36987, NULL, 'IPR043852', NULL, 'Protein of unknown function DUF5814', 'DUF5814', 4, NULL),
(36988, NULL, 'IPR043086', NULL, 'EME1, nuclease domain, subdomain 1', 'EME1_nucdom_sub1', 5, NULL),
(36989, NULL, 'IPR045555', NULL, 'vWA-MoxR associated protein middle region 0', 'VMAP-M0', 3, NULL),
(36990, NULL, 'IPR044594', NULL, 'Heavy metal-associated isoprenylated plant protein 1/3/5/6', 'HIP01/3/5/6', 4, NULL),
(36991, NULL, 'IPR043901', NULL, 'Protein of unknown function DUF5787', 'DUF5787', 4, NULL),
(36992, NULL, 'IPR044479', NULL, 'L-galactose dehydrogenase-like', 'LGALDH-like', 4, NULL),
(36993, NULL, 'IPR045621', NULL, 'ABC transporter type 1, GsiC-like, N-terminal domain', 'BPD_transp_1_N', 3, NULL),
(36994, NULL, 'IPR045802', NULL, 'DnaJ homologue subfamily C, GRV2/DNAJC13, N-terminal domain', 'GRV2/DNAJC13_N', 3, NULL),
(36995, NULL, 'IPR043753', NULL, 'Protein of unknown function DUF5699', 'DUF5699', 4, NULL),
(36996, NULL, 'IPR044180', NULL, 'Peptidyl-prolyl cis-trans isomerase FKBP18-like', 'FKBP18-like', 4, NULL),
(36997, NULL, 'IPR043869', NULL, 'Protein of unknown function DUF5829', 'DUF5829', 4, NULL),
(36998, NULL, 'IPR044843', NULL, 'Trans-isoprenyl diphosphate synthases, bacterial-type', 'Trans_IPPS_bact-type', 4, NULL),
(36999, NULL, 'IPR045805', NULL, 'Protein NDNF, C-terminal', 'NDNF_C', 3, NULL),
(37000, NULL, 'IPR042492', NULL, 'Pituitary tumor-transforming gene 1 protein-interacting protein', 'PTTG1IP', 4, NULL),
(37001, NULL, 'IPR044694', NULL, 'Nuclear pore complex protein NUP214', 'NUP214', 4, NULL),
(37002, NULL, 'IPR045113', NULL, 'RNA polymerase subunit Rpb7-like', 'Rpb7-like', 4, NULL),
(37003, NULL, 'IPR044495', NULL, 'Aldo-keto reductase family 3D', 'AKR3D', 4, NULL),
(37004, NULL, 'IPR044524', NULL, 'Histidine biosynthesis, HisA-like', 'Isoase_HisA-like', 4, NULL),
(37005, NULL, 'IPR044219', NULL, 'Alkaline ceramidase, plant', 'ACER_plant', 4, NULL),
(37006, NULL, 'IPR045115', NULL, 'BolA-like protein 2', 'BOL2', 4, NULL),
(37007, NULL, 'IPR044020', NULL, 'Protein of unknown function DUF5676', 'DUF5676', 4, NULL),
(37008, NULL, 'IPR045254', NULL, 'Nit1/2, carbon-nitrogen hydrolase  domain', 'Nit1/2_C-N_Hydrolase', 3, NULL),
(37009, NULL, 'IPR042402', NULL, 'Epididymal secretory protein E3-alpha/beta', 'EDDM3A/EDDM3B', 4, NULL),
(37010, NULL, 'IPR043165', NULL, 'Pseudouridine synthase, TruD, insertion domain superfamily', 'TruD_insert_sf', 5, NULL),
(37011, NULL, 'IPR044609', NULL, 'Peptidyl-prolyl cis-trans isomerase FKBP2/11', 'FKBP2/11', 4, NULL),
(37012, NULL, 'IPR044688', NULL, 'Style cell-cycle inhibitor 1-like', 'SCI-1-like', 4, NULL),
(37013, NULL, 'IPR044259', NULL, 'Peptidyl-prolyl cis-trans isomerase CYP37-like', 'CYP37-like', 4, NULL),
(37014, NULL, 'IPR043175', NULL, 'F-actin-capping protein subunit beta, N-terminal domain', 'CAPZB_N', 5, NULL),
(37015, NULL, 'IPR045166', NULL, 'Pre-mRNA-splicing factor Spp2-like', 'Spp2-like', 4, NULL),
(37016, NULL, 'IPR045155', NULL, 'Beta-lactamase class A, catalytic domain', 'Beta-lactam_cat', 3, NULL),
(37017, NULL, 'IPR043875', NULL, 'Domain of unknown function DUF5857', 'DUF5857', 3, NULL),
(37018, NULL, 'IPR044229', NULL, 'NO-associated protein 1', 'NOA1', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37019, NULL, 'IPR045188', NULL, 'PH domain containing protein Boi1/Boi2-like', 'Boi1/Boi2-like', 4, NULL),
(37020, NULL, 'IPR044493', NULL, 'Polynucleotide kinase PNKP, C-terminal phosphatase domain', 'PNKP_C_HAD', 3, NULL),
(37021, NULL, 'IPR043169', NULL, 'Phosphomannomutase, cap domain', 'PMM_cap', 5, NULL),
(37022, NULL, 'IPR043867', NULL, 'Protein of unknown function DUF5827', 'DUF5827', 4, NULL),
(37023, NULL, 'IPR042106', NULL, 'NADH-ubiquinone/plastoquinone oxidoreductase chain 6, subunit NuoJ', 'Nuo/plastoQ_OxRdtase_6_NuoJ', 5, NULL),
(37024, NULL, 'IPR043374', NULL, 'GPCR-associated sorting protein', 'BHLHb9/GASP-1/GASP-2', 4, NULL),
(37025, NULL, 'IPR043662', NULL, 'NAD-protein ADP-ribosyltransferase ModB-like', 'ModB-like', 4, NULL),
(37026, NULL, 'IPR044202', NULL, 'LETM1/MDM38-like', 'LETM1/MDM38-like', 4, NULL),
(37027, NULL, 'IPR043963', NULL, 'Domain of unknown function DUF5751', 'DUF5751', 3, NULL),
(37028, NULL, 'IPR045479', NULL, 'FtsH ternary system vWA domain, fused N-terminal helical region', 'ivWA-helical_N', 3, NULL),
(37029, NULL, 'IPR043877', NULL, 'Domain of unknown function DUF5855', 'DUF5855', 3, NULL),
(37030, NULL, 'IPR042576', NULL, 'TRAF3-interacting protein 1, N-terminal domain superfamily', 'TRAF3IP1_N_sf', 5, NULL),
(37031, NULL, 'IPR043099', NULL, 'Thiamine-binding lipoprotein, domain I', 'CypI_dom_I', 5, NULL),
(37032, NULL, 'IPR042299', NULL, 'Ufd1-like, Nn domain', 'Ufd1-like_Nn', 5, NULL),
(37033, NULL, 'IPR043879', NULL, 'Domain of unknown function DUF5853', 'DUF5853', 3, NULL),
(37034, NULL, 'IPR043444', NULL, 'Protein  TESPA1-like', 'TESPA1-like', 4, NULL),
(37035, NULL, 'IPR043969', NULL, 'MAP3K, PH domain', 'MAP3K_PH', 3, NULL),
(37036, NULL, 'IPR044408', NULL, 'PRDM14, PR/SET domain', 'PRDM14_PR-SET', 3, NULL),
(37037, NULL, 'IPR044534', NULL, 'TPR repeat-containing thioredoxin TTL1-4', 'TTL1-4', 4, NULL),
(37038, NULL, 'IPR042423', NULL, 'PiggyBac transposable element-derived protein 5', 'PGBD5', 4, NULL),
(37039, NULL, 'IPR044208', NULL, 'Peptidyl-prolyl cis-trans isomerase FKBP19-like', 'FKBP19-like', 4, NULL),
(37040, NULL, 'IPR045104', NULL, 'Alfin', 'Alfin', 4, NULL),
(37041, NULL, 'IPR044489', NULL, 'Aldo-keto reductase family 3A', 'AKR3A', 4, NULL),
(37042, NULL, 'IPR045737', NULL, 'E3 ubiquitin-protein ligase RKP, N-terminal', 'RKP_N', 3, NULL),
(37043, NULL, 'IPR042266', NULL, 'PPPDE peptidase domain superfamily', 'PPPDE_sf', 5, NULL),
(37044, NULL, 'IPR042175', NULL, 'Cell/Rod shape-determining protein MreC, domain 2', 'Cell/Rod_MreC_2', 5, NULL),
(37045, NULL, 'IPR044410', NULL, 'PRDM16, PR/SET domain', 'PRDM16_PR-SET', 3, NULL),
(37046, NULL, 'IPR044702', NULL, 'Arabinogalactan protein 23/40', 'AGP23/40', 4, NULL),
(37047, NULL, 'IPR042293', NULL, 'AT-rich interactive domain-containing protein 4', 'ARID4', 4, NULL),
(37048, NULL, 'IPR042482', NULL, 'Kunitz-type protease inhibitor 1', 'Spint1', 4, NULL),
(37049, NULL, 'IPR044080', NULL, 'MDM2, modified RING finger, HC subclass', 'MDM2_mRING-HC-C2H2C4', 3, NULL),
(37050, NULL, 'IPR042292', NULL, 'ADP-ribosylation factor-like protein 15', 'ARL15', 4, NULL),
(37051, NULL, 'IPR042282', NULL, 'Inactive peptidyl-prolyl cis-trans isomerase FKBP6/shutdown', 'FKBP6/shu', 4, NULL),
(37052, NULL, 'IPR042574', NULL, 'Alpha-(1,3)-fucosyltransferase FucT, N-terminal domain superfamily', 'FucT_N_sf', 5, NULL),
(37053, NULL, 'IPR044194', NULL, 'Protein BLISTER', 'BLISTER', 4, NULL),
(37054, NULL, 'IPR044542', NULL, 'N-alpha-acetyltransferase 30-like', 'NAA30-like', 4, NULL),
(37055, NULL, 'IPR042162', NULL, 'Chaperone protein DnaJ 13', 'AtJ13', 4, NULL),
(37056, NULL, 'IPR044260', NULL, 'F-box protein SKIP8-like', 'SKIP8-like', 4, NULL),
(37057, NULL, 'IPR043828', NULL, 'Protein of unknown function DUF5805', 'DUF5805', 4, NULL),
(37058, NULL, 'IPR043193', NULL, 'Glyoxalase domain-containing protein 4', 'GLOD4', 4, NULL),
(37059, NULL, 'IPR043247', NULL, 'Coiled-coil domain-containing protein 183', 'CCDC183', 4, NULL),
(37060, NULL, 'IPR044231', NULL, 'E3 ubiquitin-protein ligase SP1-like', 'SP1/SPL1', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37061, NULL, 'IPR043178', NULL, 'Papain-like protease, thumb domain superfamily, coronavirus', 'PLpro_thumb_sf_CoV', 5, NULL),
(37062, NULL, 'IPR042801', NULL, 'Otoraplin', 'OTOR', 4, NULL),
(37063, NULL, 'IPR042781', NULL, 'Syntaxin 11, SNARE motif', 'Syntaxin11_SNARE', 3, NULL),
(37064, NULL, 'IPR045012', NULL, 'Protein NLP', 'NLP', 4, NULL),
(37065, NULL, 'IPR042352', NULL, 'EF-hand calcium-binding domain-containing protein 14', 'EFCAB14', 4, NULL),
(37066, NULL, 'IPR044788', NULL, 'Carbohydrate-binding X8 domain-containing protein, plant', 'X8_dom_prot', 4, NULL),
(37067, NULL, 'IPR044512', NULL, 'Dihydropyrimidine dehydrogenase', 'DPYD', 4, NULL),
(37068, NULL, 'IPR044443', NULL, '54S ribosomal protein L3, double-stranded RNA binding domain', 'MRPL3-like_DSRM', 3, NULL),
(37069, NULL, 'IPR043658', NULL, 'Protein of unknown function DUF5875', 'DUF5875', 4, NULL),
(37070, NULL, 'IPR042287', NULL, 'FhaA, N-terminal domain superfamily', 'FhaA_N_sf', 5, NULL),
(37071, NULL, 'IPR044210', NULL, 'Transcription facto Tfc3-like', 'Tfc3-like', 4, NULL),
(37072, NULL, 'IPR044173', NULL, 'CASP-like protein 1U', 'CASPL1U', 4, NULL),
(37073, NULL, 'IPR045202', NULL, 'CHIP/LubX , U box domain', 'CHIP/LubX_RING-Ubox', 3, NULL),
(37074, NULL, 'IPR042173', NULL, 'Ribonuclease J, domain 2', 'RNase_J_2', 5, NULL),
(37075, NULL, 'IPR044235', NULL, 'RING finger and transmembrane domain-containing protein 1/2', 'RNFT1/2', 4, NULL),
(37076, NULL, 'IPR044217', NULL, 'ATP-dependent Clp protease ATP-binding subunit CLPT1/2', 'CLPT1/2', 4, NULL),
(37077, NULL, 'IPR042473', NULL, 'V-type immunoglobulin domain-containing suppressor of T-cell activation', 'VISTA', 4, NULL),
(37078, NULL, 'IPR045731', NULL, 'Protein of unknown function DUF6085', 'DUF6085', 4, NULL),
(37079, NULL, 'IPR044293', NULL, 'Transcription factor PRE', 'PRE', 4, NULL),
(37080, NULL, 'IPR042784', NULL, 'TRIM10, RING-HC finger', 'TRIM10_RING-HC', 3, NULL),
(37081, NULL, 'IPR043179', NULL, 'Major vault protein repeat domain 2 superfamily', 'Vault_2_sf', 5, NULL),
(37082, NULL, 'IPR045718', NULL, 'Protein of unknown function DUF6072', 'DUF6072', 4, NULL),
(37083, NULL, 'IPR043379', NULL, 'Ankyrin and armadillo repeat-containing protein', 'ANKAR', 4, NULL),
(37084, NULL, 'IPR045774', NULL, 'Methylcrotonoyl-CoA carboxylase subunit alpha, BT domain', 'MCCA_BT_dom', 3, NULL),
(37085, NULL, 'IPR044685', NULL, 'Protein ACCUMULATION AND REPLICATION OF CHLOROPLASTS 6-like', 'ARC6-like', 4, NULL),
(37086, NULL, 'IPR043135', NULL, 'Ferric-uptake regulator, C-terminal domain', 'Fur_C', 5, NULL),
(37087, NULL, 'IPR043174', NULL, 'Non-structural protein NSP15, middle domain superfamily', 'NSP15_middle_sf', 5, NULL),
(37088, NULL, 'IPR045013', NULL, 'ACCUMULATION AND REPLICATION OF CHLOROPLASTS 3', 'ARC3', 4, NULL),
(37089, NULL, 'IPR044736', NULL, 'Ran-binding protein Vid30/RanBPM/SPLA, SPRY domain', 'Vid30/RanBPM/SPLA_SPRY', 3, NULL),
(37090, NULL, 'IPR043866', NULL, 'E3 ubiquitin-protein ligase TTC3/DZIP3 domain', 'TTC3/DZIP3_dom', 3, NULL),
(37091, NULL, 'IPR044279', NULL, 'Sorting nexin 2A/B', 'SNX2A/B', 4, NULL),
(37092, NULL, 'IPR043203', NULL, 'Voltage-gated cation channel calcium and sodium', 'VGCC_Ca_Na', 4, NULL),
(37093, NULL, 'IPR044588', NULL, 'PX domain-containing protein EREX-like', 'EREX-like', 4, NULL),
(37094, NULL, 'IPR042983', NULL, 'Extracellular tyrosine-protein kinase PKDCC', 'PKDCC', 4, NULL),
(37095, NULL, 'IPR043513', NULL, 'Centromere protein Cenp-F', 'Cenp-F', 4, NULL),
(37096, NULL, 'IPR045723', NULL, 'Protein of unknown function DUF6077', 'DUF6077', 4, NULL),
(37097, NULL, 'IPR043125', NULL, 'Vibrio cholerae toxin co-regulated pilus biosynthesis F, C-terminal', 'TcpF_C', 5, NULL),
(37098, NULL, 'IPR045039', NULL, 'Acetyltransferase NSI-like', 'NSI-like', 4, NULL),
(37099, NULL, 'IPR043614', NULL, 'Spike glycoprotein S2, coronavirus, C-terminal', 'Spike_S2_CoV_C', 3, NULL),
(37100, NULL, 'IPR045739', NULL, 'ACT domain pair', 'ACT_dom_pair', 3, NULL),
(37101, NULL, 'IPR045730', NULL, 'Protein of unknown function DUF6084', 'DUF6084', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37102, NULL, 'IPR043759', NULL, 'Domain of unknown function DUF5704', 'DUF5704', 3, NULL),
(37103, NULL, 'IPR043130', NULL, 'CDP-alcohol phosphatidyltransferase, transmembrane domain', 'CDP-OH_PTrfase_TM_dom', 5, NULL),
(37104, NULL, 'IPR044527', NULL, 'Nitrate/bicarbonate ABC transporter substrate-binding domain', 'NrtA/CpmA_ABC-bd_dom', 3, NULL),
(37105, NULL, 'IPR042987', NULL, 'Rho guanine nucleotide exchange factor 39', 'ARHGEF39', 4, NULL),
(37106, NULL, 'IPR045251', NULL, 'Vacuolar protein-sorting protein Bro1-like', 'BRO1-like', 4, NULL),
(37107, NULL, 'IPR042281', NULL, 'GpdQ, beta-strand dimerisation domain', 'GpdQ_beta-strand', 5, NULL),
(37108, NULL, 'IPR044796', NULL, 'Protein MLN51 homolog, plant', 'MLN51_plant', 4, NULL),
(37109, NULL, 'IPR043295', NULL, 'RNF4, RING finger, HC subclass', 'RING-HC_RNF4', 3, NULL),
(37110, NULL, 'IPR043188', NULL, 'Doublecortin domain-containing protein 1', 'DCDC1', 4, NULL),
(37111, NULL, 'IPR043891', NULL, 'SPARK domain', 'SPARK', 3, NULL),
(37112, NULL, 'IPR043194', NULL, 'Glyoxalase domain-containing protein 4, C-terminal', 'GLOD4_C', 3, NULL),
(37113, NULL, 'IPR043687', NULL, 'UDP-N-acetylmuramoyl-L-alanine--L-glutamate ligase MurD2', 'MurD2', 4, NULL),
(37114, NULL, 'IPR044218', NULL, 'Protein SWEETIE', 'SWEETIE', 4, NULL),
(37115, NULL, 'IPR042121', NULL, 'MutL, C-terminal domain, regulatory subdomain', 'MutL_C_regsub', 5, NULL),
(37116, NULL, 'IPR044243', NULL, 'Protein FLUORESCENT IN BLUE LIGHT', 'FLU', 4, NULL),
(37117, NULL, 'IPR042481', NULL, 'Coiled-coil domain-containing protein 57', 'CCDC57', 4, NULL),
(37118, NULL, 'IPR044215', NULL, 'Phosphatidylinositol N-acetylglucosaminyltransferase subunit H', 'PIG-H', 4, NULL),
(37119, NULL, 'IPR045249', NULL, 'Putative nuclease HARBI1-like', 'HARBI1-like', 4, NULL),
(37120, NULL, 'IPR045729', NULL, 'Protein of unknown function DUF6083', 'DUF6083', 4, NULL),
(37121, NULL, 'IPR043443', NULL, 'FYN-binding protein 1/2-like', 'FYB1/2-like', 4, NULL),
(37122, NULL, 'IPR043373', NULL, 'Ionotropic glutamate receptor, delta subfamily', 'IGluR_D', 4, NULL),
(37123, NULL, 'IPR043378', NULL, 'Paired mesoderm homeobox protein 1/2', 'PRRX1/2', 4, NULL),
(37124, NULL, 'IPR045174', NULL, 'Dof zinc finger protein', 'Dof', 4, NULL),
(37125, NULL, 'IPR042179', NULL, 'Multifunctional 2-oxoglutarate metabolism enzyme, C-terminal domain superfamily', 'KGD_C_sf', 5, NULL),
(37126, NULL, 'IPR044497', NULL, 'Aldo-keto reductase family 4A/B', 'AKR4A/B', 4, NULL),
(37127, NULL, 'IPR045189', NULL, 'E3 ubiquitin ligase UBR4-like', 'UBR4-like', 4, NULL),
(37128, NULL, 'IPR042985', NULL, 'Sushi domain-containing protein 4', 'SUSD4', 4, NULL),
(37129, NULL, 'IPR044407', NULL, 'PRDM13, PR/SET domain', 'PRDM13_PR/SET', 3, NULL),
(37130, NULL, 'IPR043189', NULL, 'Beta-1,4-glucuronyltransferase 1', 'B4GAT1', 4, NULL),
(37131, NULL, 'IPR043521', NULL, 'Tumor necrosis factor receptor 13C/17', 'TNFR_13C/17', 4, NULL),
(37132, NULL, 'IPR042316', NULL, 'IRK-interacting protein-like', 'IRKI-like', 4, NULL),
(37133, NULL, 'IPR043177', NULL, 'Papain-like protease, N-terminal domain superfamily, coronavirus', 'PLpro_N_sf_CoV', 5, NULL),
(37134, NULL, 'IPR044692', NULL, 'WPP domain-containing protein 1/2/3', 'WPP1/2/3', 4, NULL),
(37135, NULL, 'IPR044209', NULL, 'Protein MODIFIER OF SNC1 11', 'MOS11', 4, NULL),
(37136, NULL, 'IPR042277', NULL, 'Vacuolar protein sorting-associated protein IST1-like', 'IST1-like', 5, NULL),
(37137, NULL, 'IPR044510', NULL, 'CRIB domain-containing protein RIC1-like', 'RIC1-like', 4, NULL),
(37138, NULL, 'IPR043472', NULL, 'Macro domain-like', 'Macro_dom-like', 5, NULL),
(37139, NULL, 'IPR044687', NULL, 'Protein LOW PSII ACCUMULATION 3', 'LPA3', 4, NULL),
(37140, NULL, 'IPR042178', NULL, 'Serpin superfamily, domain 1', 'Serpin_sf_1', 5, NULL),
(37141, NULL, 'IPR044225', NULL, 'Ent-kaurene oxidase, chloroplastic', 'KO_chloroplastic', 4, NULL),
(37142, NULL, 'IPR044500', NULL, 'Aldo-keto reductase family 5G', 'AKR5G', 4, NULL),
(37143, NULL, 'IPR044156', NULL, 'Galectin-like', 'Galectin-like', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37144, NULL, 'IPR043185', NULL, 'Dnt1/Tof2/Net1', 'Dnt1/Tof2/Net1', 4, NULL),
(37145, NULL, 'IPR044689', NULL, 'Pectin methyltransferase CGR2/3', 'CGR2/3', 4, NULL),
(37146, NULL, 'IPR043971', NULL, 'FUZ/MON1/HPS1, second Longin domain', 'FUZ/MON1/HPS1_longin_2', 3, NULL),
(37147, NULL, 'IPR044216', NULL, 'Protein WVD2-like 7', 'WDL7', 4, NULL),
(37148, NULL, 'IPR043268', NULL, 'Protein unc-93 homolog B1', 'UNC93B1', 4, NULL),
(37149, NULL, 'IPR043902', NULL, 'Domain of unknown function DUF5786', 'DUF5786', 3, NULL),
(37150, NULL, 'IPR042288', NULL, 'Lecithin retinol acyltransferase', 'LRAT', 4, NULL),
(37151, NULL, 'IPR044569', NULL, 'Protein disulfide-isomerase A6-like', 'PDIA6-like', 4, NULL),
(37152, NULL, 'IPR042247', NULL, 'T-cell leukemia homeobox protein 1/2/3', 'TLX1/2/3', 4, NULL),
(37153, NULL, 'IPR042279', NULL, 'Peptidase M60, enhancin-like domain 3', 'Pep_M60_3', 5, NULL),
(37154, NULL, 'IPR045335', NULL, 'Cell division protein FtsQ, C-terminal', 'FtsQ_C_sf', 5, NULL),
(37155, NULL, 'IPR044490', NULL, 'Aldo-keto reductase family 3B', 'AKR3B', 4, NULL),
(37156, NULL, 'IPR043884', NULL, 'Domain of unknown function DUF5848', 'DUF5848', 3, NULL),
(37157, NULL, 'IPR044564', NULL, 'Voltage-gated sodium channel alpha subunit, inactivation gate', 'Na_chnl_inactivation_gate', 3, NULL),
(37158, NULL, 'IPR045329', NULL, 'Leucine zipper putative tumor suppressor', 'LZTS', 4, NULL),
(37159, NULL, 'IPR045223', NULL, 'Small (40S) ribosomal subunit Asc1/RACK1', 'Asc1/RACK1', 4, NULL),
(37160, NULL, 'IPR043069', NULL, 'Stc1 domain superfamily', 'Stc1_sf', 5, NULL),
(37161, NULL, 'IPR044684', NULL, 'Rhodanese-like domain-containing protein STR17/STR18/HARC1-like', 'STR17/STR18/HARC1-like', 4, NULL),
(37162, NULL, 'IPR044317', NULL, 'Nonstructural protein 14, deltacoronavirus', 'NSP14_deltaCoV', 3, NULL),
(37163, NULL, 'IPR043962', NULL, 'Protein of unknown function DUF5750', 'DUF5750', 4, NULL),
(37164, NULL, 'IPR045109', NULL, 'Histone demethylase JHDM2-like', 'JHDM2-like', 4, NULL),
(37165, NULL, 'IPR042286', NULL, 'S-adenosylmethionine decarboxylase, C-terminal', 'AdoMetDC_C', 5, NULL),
(37166, NULL, 'IPR042537', NULL, 'Nucleoporin, Nup155-like, C-terminal, subdomain 2', 'Nucleoporin_Nup155_C_2', 5, NULL),
(37167, NULL, 'IPR042123', NULL, 'Zip3/RNF212-like', 'Zip3/RNF212-like', 4, NULL),
(37168, NULL, 'IPR044191', NULL, 'Chalcone--flavonone isomerase 3-like', 'CHI3-like', 4, NULL),
(37169, NULL, 'IPR042982', NULL, 'Homeobox protein GBX-1/2', 'GBX-1/2', 4, NULL),
(37170, NULL, 'IPR043202', NULL, 'Band-7 stomatin-like', 'Band-7_stomatin-like', 4, NULL),
(37171, NULL, 'IPR043320', NULL, 'ASH1-like, Bromodomain', 'Bromo_ASH1L', 3, NULL),
(37172, NULL, 'IPR044642', NULL, 'U6 snRNA-associated Sm-like protein Lsm1/8', 'PTHR15588', 4, NULL),
(37173, NULL, 'IPR045080', NULL, 'XRCC1, first (central) BRCT domain', 'BRCT_XRCC1_rpt1', 3, NULL),
(37174, NULL, 'IPR044185', NULL, 'Peptidyl-prolyl cis-trans isomerase CYP26-2-like', 'CYP26-2-like', 4, NULL),
(37175, NULL, 'IPR043141', NULL, 'Ribosomal protein L10-like domain superfamily', 'Ribosomal_L10-like_sf', 5, NULL),
(37176, NULL, 'IPR042187', NULL, 'Flagellin, C-terminal domain, subdomain 2', 'Flagellin_C_sub2', 5, NULL),
(37177, NULL, 'IPR043638', NULL, 'DisA glycoprotein', 'DisA_glycoprotein', 4, NULL),
(37178, NULL, 'IPR043881', NULL, 'Protein of unknown function DUF5851', 'DUF5851', 4, NULL),
(37179, NULL, 'IPR042461', NULL, 'LapD/MoxY periplasmic domain, C-terminal', 'LapD_MoxY_peri_C', 5, NULL),
(37180, NULL, 'IPR042792', NULL, 'Myb/SANT-like DNA-binding domain-containing protein 2', 'MSANTD2', 4, NULL),
(37181, NULL, 'IPR044536', NULL, 'Peroxisomal targeting signal 2 receptor', 'PEX7', 4, NULL),
(37182, NULL, 'IPR045014', NULL, 'Transmembrane protein 41A/B', 'TM41A/B', 4, NULL),
(37183, NULL, 'IPR043968', NULL, 'SGNH domain', 'SGNH', 3, NULL),
(37184, NULL, 'IPR044587', NULL, 'Heat shock protein 21-like', 'HSP21-like', 4, NULL),
(37185, NULL, 'IPR044621', NULL, 'Protein NEDD1', 'NEDD1', 4, NULL),
(37186, NULL, 'IPR043147', NULL, 'Penicillin amidase type, A-knob', 'Penicillin_amidase_A-knob', 5, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37187, NULL, 'IPR044222', NULL, 'Aquaporin SIP1-1/2-like', 'SIP1-1/2-like', 4, NULL),
(37188, NULL, 'IPR042802', NULL, 'Ankyrin repeat domain-containing protein 22', 'ANR22', 4, NULL),
(37189, NULL, 'IPR043322', NULL, 'C-terminal binding protein', 'CtBP', 4, NULL),
(37190, NULL, 'IPR045228', NULL, 'Phosphatase Gpp1/Gpp2-like', 'Gpp1/Gpp2-like', 4, NULL),
(37191, NULL, 'IPR043520', NULL, 'SPT21/EFCAB3', 'SPT21/EFCAB3', 4, NULL),
(37192, NULL, 'IPR043170', NULL, 'Phosphotyrosyl phosphatase activator, C-terminal lid domain', 'PTPA_C_lid', 5, NULL),
(37193, NULL, 'IPR043173', NULL, 'Prp8 RNase domain IV, fingers region', 'Prp8_domainIV_fingers', 5, NULL),
(37194, NULL, 'IPR043317', NULL, 'Ubiquitin-like protein 4B', 'UBL4B', 4, NULL),
(37195, NULL, 'IPR044748', NULL, 'Trm3/ TARBP1, C-terminal', 'Trm3/TARBP1_C', 3, NULL),
(37196, NULL, 'IPR043204', NULL, 'Basigin-like', 'Basigin-like', 4, NULL),
(37197, NULL, 'IPR045112', NULL, 'Protein Peter Pan-like', 'PPAN-like', 4, NULL),
(37198, NULL, 'IPR044590', NULL, 'Probable calcium-binding protein CML48/49/50', 'CML48/49/50', 4, NULL),
(37199, NULL, 'IPR042993', NULL, 'R-spondin-2/4', 'RSPO2/4', 4, NULL),
(37200, NULL, 'IPR042190', NULL, 'Killer cell lectin-like receptor subfamily G member 1', 'KLRG1', 4, NULL),
(37201, NULL, 'IPR045250', NULL, 'Co-chaperone protein p23-like', 'p23-like', 4, NULL),
(37202, NULL, 'IPR042119', NULL, 'QueA, domain 2', 'QueA_dom2', 5, NULL),
(37203, NULL, 'IPR044309', NULL, 'Non-structural protein 5, alphacoronavirus', 'NSP5_Mpro_alphaCoV', 3, NULL),
(37204, NULL, 'IPR045110', NULL, 'XMAP215 family', 'XMAP215', 4, NULL),
(37205, NULL, 'IPR045478', NULL, 'Exportin-5, C-terminal domain', 'Exportin-5_C', 3, NULL),
(37206, NULL, 'IPR042283', NULL, 'GpdQ, catalytic alpha/beta sandwich domain', 'GpdQ_catalytic', 5, NULL),
(37207, NULL, 'IPR042732', NULL, 'WWOX, classical (c)-like SDR domain', 'WWOX_SDR_c-like', 3, NULL),
(37208, NULL, 'IPR043160', NULL, 'Dynein heavy chain, C-terminal domain, barrel region', 'Dynein_C_barrel', 5, NULL),
(37209, NULL, 'IPR042796', NULL, 'Chromobox protein homolog 2', 'CBX2', 4, NULL),
(37210, NULL, 'IPR044091', NULL, 'Nei, N-terminal', 'EcNei-like_N', 3, NULL),
(37211, NULL, 'IPR042122', NULL, 'Serine acetyltransferase, N-terminal domain superfamily', 'Ser_AcTrfase_N_sf', 5, NULL),
(37212, NULL, 'IPR042259', NULL, 'RACo, middle domain superfamily', 'Raco_middle_sf', 5, NULL),
(37213, NULL, 'IPR043678', NULL, 'Sulfopropanediol 3-dehydrogenase', 'Sulfopropanediol_dehydrog_HpsN', 4, NULL),
(37214, NULL, 'IPR045185', NULL, 'E3 ubiquitin-protein ligase PUB22/23/24-like', 'PUB22/23/24-like', 4, NULL),
(37215, NULL, 'IPR043168', NULL, 'DegV, C-terminal domain', 'DegV_C', 5, NULL),
(37216, NULL, 'IPR044212', NULL, 'Protein-tyrosine-phosphatase IBR5-like', 'IBR5-like', 4, NULL),
(37217, NULL, 'IPR044847', NULL, 'Transcription repressor KANADI', 'KAN_fam', 4, NULL),
(37218, NULL, 'IPR043892', NULL, 'Protein of unknown function DUF5841', 'DUF5841', 4, NULL),
(37219, NULL, 'IPR045199', NULL, 'ATPase family AAA domain-containing protein ATAD2-like', 'ATAD2-like', 4, NULL),
(37220, NULL, 'IPR043323', NULL, 'Peptidyl-prolyl cis-trans isomerase PIN4', 'PIN4', 4, NULL),
(37221, NULL, 'IPR045282', NULL, 'At4g08330-like', 'At4g08330-like', 4, NULL),
(37222, NULL, 'IPR045727', NULL, 'Protein of unknown function DUF6081', 'DUF6081', 4, NULL),
(37223, NULL, 'IPR044206', NULL, 'EG45-like domain containing protein, plant', 'EGC1/2', 4, NULL),
(37224, NULL, 'IPR043313', NULL, 'Leucine-rich melanocyte differentiation-associated protein', 'LRMDA', 4, NULL),
(37225, NULL, 'IPR043162', NULL, 'Dedicator of cytokinesis, C-terminal, lobe C', 'DOCK_C_lobe_C', 5, NULL),
(37226, NULL, 'IPR043504', NULL, 'Peptidase S1, PA clan, chymotrypsin-like fold', 'Peptidase_S1_PA_chymotrypsin', 5, NULL),
(37227, NULL, 'IPR043512', NULL, 'Mu2, C-terminal domain', 'Mu2_C', 3, NULL),
(37228, NULL, 'IPR042991', NULL, 'R-spondin-1', 'RSPO1', 4, NULL),
(37229, NULL, 'IPR045114', NULL, 'Csn12 family', 'Csn12-like', 4, NULL),
(37230, NULL, 'IPR045494', NULL, 'Domain of unknown function DUF6436', 'DUF6436', 3, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37231, NULL, 'IPR045175', NULL, 'Peptidase M28 family', 'M28_fam', 4, NULL),
(37232, NULL, 'IPR045897', NULL, 'Lipid binding protein BPI/LBP, plants', 'BPI/LBP_pln', 4, NULL),
(37233, NULL, 'IPR044078', NULL, 'Mot1, ATP-binding domain', 'Mot1_ATP-bd', 3, NULL),
(37234, NULL, 'IPR043447', NULL, 'CCDC120/INAVA', 'CCDC120/INAVA', 4, NULL),
(37235, NULL, 'IPR042265', NULL, 'Diphthamide synthesis DPH1/DPH2, domain 3', 'DPH1/DPH2_3', 5, NULL),
(37236, NULL, 'IPR045167', NULL, 'FMP27', 'FMP27', 4, NULL),
(37237, NULL, 'IPR043164', NULL, '50S ribosomal protein L10, insertion domain superfamily', 'RL10_insert_sf', 5, NULL),
(37238, NULL, 'IPR045899', NULL, 'Putative RING-H2 finger protein ATL71-like', 'ATL71-like', 4, NULL),
(37239, NULL, 'IPR045295', NULL, 'SDHAF1, LYR domain', 'Complex1_LYR_SDHAF1_LYRM8', 3, NULL),
(37240, NULL, 'IPR044226', NULL, 'Aquaporin SIP2-1-like', 'SIP2-1-like', 4, NULL),
(37241, NULL, 'IPR042262', NULL, 'Nitrile hydratase beta subunit, N-terminal', 'CN_hydtase_beta_C', 5, NULL),
(37242, NULL, 'IPR042183', NULL, 'MmgE/PrpD superfamily, domain 1', 'MmgE/PrpD_sf_1', 5, NULL),
(37243, NULL, 'IPR045048', NULL, 'F-box only protein 31/39', 'FBXO31/39', 4, NULL),
(37244, NULL, 'IPR042163', NULL, 'PHD finger protein 12', 'PHF12', 4, NULL),
(37245, NULL, 'IPR043756', NULL, 'Protein of unknown function DUF5702', 'DUF5702', 4, NULL),
(37246, NULL, 'IPR043699', NULL, 'tRNA (cytosine(72)-C(5))-methyltransferase', 'NSUN6', 4, NULL),
(37247, NULL, 'IPR044846', NULL, 'Glycoside hydrolase family 10', 'GH10', 4, NULL),
(37248, NULL, 'IPR044492', NULL, 'P-type ATPase, haloacid dehalogenase domain', 'P_typ_ATPase_HD_dom', 3, NULL),
(37249, NULL, 'IPR042191', NULL, 'GS homeobox 2', 'GSH2', 4, NULL),
(37250, NULL, 'IPR044207', NULL, 'F-box protein At5g39250-like', 'At5g39250-like', 4, NULL),
(37251, NULL, 'IPR045721', NULL, 'Protein of unknown function DUF6075', 'DUF6075', 4, NULL),
(37252, NULL, 'IPR042809', NULL, 'Rab GTPase-activating protein 1-like', 'RABGAP1L', 4, NULL),
(37253, NULL, 'IPR043615', NULL, 'Nonstructural protein 2, N-terminal domain, coronavirus', 'NSP2_N_CoV', 3, NULL),
(37254, NULL, 'IPR042544', NULL, 'S-adenosylmethionine synthetase, domain 3', 'AdoMet_synthase_3', 5, NULL),
(37255, NULL, 'IPR045733', NULL, 'Protein of unknown function DUF6087', 'DUF6087', 4, NULL),
(37256, NULL, 'IPR043889', NULL, 'Protein of unknown function DUF5843', 'DUF5843', 4, NULL),
(37257, NULL, 'IPR042278', NULL, 'Fimbrillin-like 1, N-terminal', 'Mfa-like_1_N', 5, NULL),
(37258, NULL, 'IPR045876', NULL, 'Pathogenesis-related homeodomain protein, PHD finger', 'PRHA-like_PHD-finger', 3, NULL),
(37259, NULL, 'IPR044715', NULL, 'WD repeat-containing protein 86-like', 'WDR86-like', 4, NULL),
(37260, NULL, 'IPR043689', NULL, 'UDP-N-acetyl-alpha-D-muramoyl-L-alanyl-L-glutamate epimerase MurL', 'MurL', 4, NULL),
(37261, NULL, 'IPR044409', NULL, 'PRDM15, PR/SET domain', 'PRDM15_PR-SET', 3, NULL),
(37262, NULL, 'IPR043895', NULL, 'Protein of unknown function DUF5839', 'DUF5839', 4, NULL),
(37263, NULL, 'IPR044230', NULL, 'General transcription factor 3C polypeptide 4', 'GTF3C4', 4, NULL),
(37264, NULL, 'IPR043133', NULL, 'GTP cyclohydrolase I, C-terminal/NADPH-dependent 7-cyano-7-deazaguanine reductase', 'GTP-CH-I_C/QueF', 5, NULL),
(37265, NULL, 'IPR043691', NULL, 'Murein peptide amidase A', 'MpaA', 4, NULL),
(37266, NULL, 'IPR043087', NULL, 'EME1, nuclease domain, subdomain 2', 'Eme1_nucdom_sub2', 5, NULL),
(37267, NULL, 'IPR044691', NULL, 'Thioredoxin DCC1', 'DCC1_Trx', 4, NULL),
(37268, NULL, 'IPR045738', NULL, 'Protein of unknown function DUF6088', 'DUF6088', 4, NULL),
(37269, NULL, 'IPR042264', NULL, 'Diphthamide synthesis DPH1/DPH2, domain 2', 'DPH1/DPH2_2', 5, NULL),
(37270, NULL, 'IPR044533', NULL, 'FCS-Like Zinc finger 1/2/3', 'FLZ1/2/3', 4, NULL),
(37271, NULL, 'IPR044170', NULL, 'Protein RICE SALT SENSITIVE 3-like', 'RSS3-like', 4, NULL),
(37272, NULL, 'IPR043134', NULL, 'GTP cyclohydrolase I, N-terminal domain', 'GTP-CH-I_N', 5, NULL),
(37273, NULL, 'IPR042791', NULL, 'CDK5 regulatory subunit-associated protein 2', 'CDK5RAP2', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37274, NULL, 'IPR045272', NULL, 'Receptor-like protein kinase ANXUR1-like', 'ANXUR1-like', 4, NULL),
(37275, NULL, 'IPR044411', NULL, 'PRDM3, PR/SET domain', 'PRDM3_PR-SET', 3, NULL),
(37276, NULL, 'IPR043184', NULL, 'Extracellular matrix protein 2', 'ECM2', 4, NULL),
(37277, NULL, 'IPR042351', NULL, 'Uncharacterized protein C3orf18-like', 'C3orf18-like', 4, NULL),
(37278, NULL, 'IPR043243', NULL, 'Small cell adhesion glycoprotein', 'SMAGP', 4, NULL),
(37279, NULL, 'IPR043855', NULL, 'Domain of unknown function DUF5817', 'DUF5817', 3, NULL),
(37280, NULL, 'IPR043326', NULL, 'Slitrk family', 'Slitrk', 4, NULL),
(37281, NULL, 'IPR044532', NULL, 'Protein BREVIS RADIX-like', 'BRX-like', 4, NULL),
(37282, NULL, 'IPR043646', NULL, 'Chroparavirus methyltransferase domain', 'Chropara_Vmeth_dom', 3, NULL),
(37283, NULL, 'IPR045133', NULL, 'Serine/threonine-protein kinase/endoribonuclease IRE1/2-like', 'IRE1/2-like', 4, NULL),
(37284, NULL, 'IPR042512', NULL, 'TLC domain-containing protein 5', 'TLCD5', 4, NULL),
(37285, NULL, 'IPR042272', NULL, 'ATP12, ATP synthase F1-assembly protein, N-terminal', 'ATP12_ATP_synth-F1-assembly_N', 5, NULL),
(37286, NULL, 'IPR042185', NULL, 'Serpin superfamily, domain 2', 'Serpin_sf_2', 5, NULL),
(37287, NULL, 'IPR045318', NULL, 'Histone-lysine N-methyltransferase EZH1/2-like', 'EZH1/2-like', 4, NULL),
(37288, NULL, 'IPR044376', NULL, 'Spike (S) protein S1 subunit, receptor-binding domain, MERS-CoV', 'Spike_S1_RBD_MERS-CoV', 3, NULL),
(37289, NULL, 'IPR043084', NULL, 'Gp27, baseplate hub, domain 4', 'Gp27_dom4', 5, NULL),
(37290, NULL, 'IPR042274', NULL, 'Regulatory protein YycH/YycI , domain 2', 'YycH/YycI_2', 5, NULL),
(37291, NULL, 'IPR043883', NULL, 'Protein of unknown function DUF5849', 'DUF5849', 4, NULL),
(37292, NULL, 'IPR044725', NULL, 'CBS domain-containing protein CBSX3, CBS domain', 'CBSX3_CBS_dom', 3, NULL),
(37293, NULL, 'IPR042320', NULL, 'Protein MMS22-like', 'MMS22-like', 4, NULL),
(37294, NULL, 'IPR043873', NULL, 'Domain of unknown function DUF5858', 'DUF5858', 3, NULL),
(37295, NULL, 'IPR045177', NULL, 'Factor of DNA methylation 1-5/IDN2', 'FDM1-5/IDN2', 4, NULL),
(37296, NULL, 'IPR043505', NULL, 'Nucleocapsid protein, betacoronavirus', 'NCAP_bCoV', 4, NULL),
(37297, NULL, 'IPR045168', NULL, 'YTH domain containing protein', 'YTH_prot', 4, NULL),
(37298, NULL, 'IPR044671', NULL, 'Metallothionein-like protein 3', 'MT3', 4, NULL),
(37299, NULL, 'IPR042315', NULL, 'RELT-like protein 1', 'RELL1', 4, NULL),
(37300, NULL, 'IPR043878', NULL, 'Protein of unknown function DUF5854', 'DUF5854', 4, NULL),
(37301, NULL, 'IPR043903', NULL, 'Protein of unknown function DUF5785', 'DUF5785', 4, NULL),
(37302, NULL, 'IPR043896', NULL, 'AbpIP induction peptide', 'AbpIP', 4, NULL),
(37303, NULL, 'IPR042276', NULL, 'F-actin-capping protein subunit alpha/beta, domain 2', 'CapZ_alpha/beta_2', 5, NULL),
(37304, NULL, 'IPR044178', NULL, 'Peptidyl-prolyl cis-trans isomerase CYP28-like', 'CYP28-like', 4, NULL),
(37305, NULL, 'IPR045907', NULL, 'E3 ubiquitin-protein ligase RNF43, Zinc finger, RING-type', 'RNF43_Znf_RING', 3, NULL),
(37306, NULL, 'IPR042161', NULL, 'Tetratricopeptide repeat protein 34', 'TTC34', 4, NULL),
(37307, NULL, 'IPR044224', NULL, 'Glycosyltransferase-like KOBITO 1', 'KOBITO1-like', 4, NULL),
(37308, NULL, 'IPR044081', NULL, 'Domain of unknown function DUF5776', 'DUF5776', 3, NULL),
(37309, NULL, 'IPR043198', NULL, 'Cyclin/Cyclin-like subunit Ssn8', 'Cyclin/Ssn8', 4, NULL),
(37310, NULL, 'IPR044537', NULL, 'Uncharacterized M50 metalloprotease, S2P-like', 'S2P-M50-like', 4, NULL),
(37311, NULL, 'IPR045173', NULL, 'DNA replication factor Cdt1', 'Cdt1', 4, NULL),
(37312, NULL, 'IPR043197', NULL, 'Plakin', 'Plakin', 4, NULL),
(37313, NULL, 'IPR043898', NULL, 'FANCL, UBC-like domain 2', 'FANCL_d2', 3, NULL),
(37314, NULL, 'IPR044310', NULL, 'mRNA-capping enzyme P5, phytoreovirus', 'P5_Phytoreov', 4, NULL),
(37315, NULL, 'IPR045477', NULL, 'FtsH ternary systems, vWA domain', 'ivWA', 3, NULL),
(37316, NULL, 'IPR044414', NULL, 'PRDM2, PR/SET domain', 'PRDM2_PR-SET', 3, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37317, NULL, 'IPR043180', NULL, 'Baseplate structural protein Gp11, C-terminal domain', 'Baseplate_struct_Gp11_C', 5, NULL),
(37318, NULL, 'IPR042417', NULL, 'Partner and localizer of BRCA2', 'PALB2', 4, NULL),
(37319, NULL, 'IPR044397', NULL, 'NendoU domain, porcine torovirus-like', 'NendoU_PToV-like', 3, NULL),
(37320, NULL, 'IPR042981', NULL, 'RING finger protein 11, RING-H2 finger', 'RNF11_RING-H2', 3, NULL),
(37321, NULL, 'IPR044439', NULL, 'EZH2, SET domain', 'EZH2_SET', 3, NULL),
(37322, NULL, 'IPR044539', NULL, 'Pachytene checkpoint protein 2-like', 'Pch2-like', 4, NULL),
(37323, NULL, 'IPR044402', NULL, 'PRDM8, PR/SET domain', 'PRDM8_PR/SET', 3, NULL),
(37324, NULL, 'IPR043132', NULL, 'Branched-chain-amino-acid aminotransferase-like, C-terminal', 'BCAT-like_C', 5, NULL),
(37325, NULL, 'IPR043195', NULL, 'Tetratricopeptide repeat protein 12', 'TTC12', 4, NULL),
(37326, NULL, 'IPR043250', NULL, 'Cystatin-9-like', 'CST9-like', 4, NULL),
(37327, NULL, 'IPR043375', NULL, 'Fibrous sheath CABYR-binding protein', 'FSCB', 4, NULL),
(37328, NULL, 'IPR042270', NULL, 'tRNA-dihydrouridine(16) synthase, C-terminal', 'DusC_C', 5, NULL),
(37329, NULL, 'IPR043238', NULL, 'Potassium voltage-gated channel subfamily KQT member 5', 'KCNQ5', 4, NULL),
(37330, NULL, 'IPR042184', NULL, 'YqeY/Aim41, N-terminal domain', 'YqeY/Aim41_N', 5, NULL),
(37331, NULL, 'IPR042261', NULL, 'Lsr2, dimerization domain', 'Lsr2_dimerization', 5, NULL),
(37332, NULL, 'IPR044138', NULL, 'Sulfate adenylyltransferase subunit CysN, Domain II', 'CysN_II', 3, NULL),
(37333, NULL, 'IPR045724', NULL, 'Protein of unknown function DUF6078', 'DUF6078', 4, NULL),
(37334, NULL, 'IPR044463', NULL, 'DUS2, double-stranded RNA binding domain', 'DUS2_DSRM', 3, NULL),
(37335, NULL, 'IPR043428', NULL, 'High-affinity branched-chain amino acid transport system permease protein LivM-like', 'LivM-like', 4, NULL),
(37336, NULL, 'IPR043266', NULL, 'Ring-hydroxylating dioxygenase, alpha subunit NdoB-like, C-terminal', 'RHO_NdoB-like_C', 3, NULL),
(37337, NULL, 'IPR042789', NULL, 'DOMON domain-containing protein FRRS1L', 'FRRS1L', 4, NULL),
(37338, NULL, 'IPR045011', NULL, 'Arogenate dehydrogenase 1/2', 'TYRAAT1/2', 4, NULL),
(37339, NULL, 'IPR044232', NULL, 'Plant UBX domain-containing protein 1', 'PUX1', 4, NULL),
(37340, NULL, 'IPR042355', NULL, 'IGF-like family receptor 1', 'IGFLR1', 4, NULL),
(37341, NULL, 'IPR042569', NULL, 'Ribosome-associated complex head domain superfamily', 'RAC_head_sf', 5, NULL),
(37342, NULL, 'IPR042186', NULL, 'Outer membrane usher protein FimD, plug domain', 'FimD_plug_dom', 5, NULL),
(37343, NULL, 'IPR042120', NULL, 'MutL, C-terminal domain, dimerisation subdomain', 'MutL_C_dimsub', 5, NULL),
(37344, NULL, 'IPR043539', NULL, 'Grb2-like', 'Grb2-like', 4, NULL),
(37345, NULL, 'IPR044772', NULL, 'Nitrate transporter', 'NO3_transporter', 4, NULL),
(37346, NULL, 'IPR043758', NULL, 'Protein of unknown function DUF5703', 'DUF5703', 4, NULL),
(37347, NULL, 'IPR043167', NULL, 'LpxI, C-terminal domain superfamily', 'LpxI_C_sf', 5, NULL),
(37348, NULL, 'IPR042747', NULL, 'IRAK3, death domain', 'IRAK3_death', 3, NULL),
(37349, NULL, 'IPR043876', NULL, 'Protein of unknown function DUF5856', 'DUF5856', 4, NULL),
(37350, NULL, 'IPR044488', NULL, 'Aldo-keto reductase family 2E', 'AKR2E', 4, NULL),
(37351, NULL, 'IPR042570', NULL, 'Replicase polyprotein, nucleic acid-binding domain superfamily', 'NAR_sf', 5, NULL),
(37352, NULL, 'IPR043972', NULL, 'FUZ/MON1/HPS1, first Longin domain', 'FUZ/MON1/HPS1_longin_1', 3, NULL),
(37353, NULL, 'IPR044662', NULL, 'Stress-response A/B barrel domain-containing protein HS1/DABB1-like', 'HS1/DABB1-like', 4, NULL),
(37354, NULL, 'IPR042289', NULL, 'Cytochrome c oxidase assembly factor 6 homolog', 'COA6', 4, NULL),
(37355, NULL, 'IPR043666', NULL, 'Flap endonuclease D15-like', 'FEN_D15-like', 4, NULL),
(37356, NULL, 'IPR044241', NULL, 'Thiol:disulfide interchange protein TxlA/HCF164', 'TxlA/HCF164', 4, NULL),
(37357, NULL, 'IPR042284', NULL, 'S-adenosylmethionine decarboxylase, N-terminal', 'AdoMetDC_N', 5, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37358, NULL, 'IPR043176', NULL, 'NlpE, N-terminal domain superfamily', 'NlpE_N_sf', 5, NULL),
(37359, NULL, 'IPR044254', NULL, 'BRCT domain-containing protein At4g02110-like', 'At4g02110-like', 4, NULL),
(37360, NULL, 'IPR044126', NULL, 'IF2a, S1-like domain', 'S1_IF2_alpha', 3, NULL),
(37361, NULL, 'IPR045178', NULL, 'Transcription regulator Fhl1/FHA1', 'Fhl1/FHA1', 4, NULL),
(37362, NULL, 'IPR044413', NULL, 'PRDM1, PR/SET domain', 'PRDM1_PR-SET', 3, NULL),
(37363, NULL, 'IPR043755', NULL, 'Protein of unknown function DUF5701', 'DUF5701', 4, NULL),
(37364, NULL, 'IPR042263', NULL, 'Diphthamide synthesis DPH1/DPH2, domain 1', 'DPH1/DPH2_1', 5, NULL),
(37365, NULL, 'IPR044064', NULL, 'Zinc finger ZBR-type domain', 'ZF_ZBR', 3, NULL),
(37366, NULL, 'IPR044234', NULL, 'Transmembrane protein 230', 'TMEM230', 4, NULL),
(37367, NULL, 'IPR043100', NULL, 'Extracytoplasmic thiamine-binding lipoprotein, domain II', 'CypI_dom_II', 5, NULL),
(37368, NULL, 'IPR045843', NULL, 'Transcription factor IND-like', 'IND-like', 4, NULL),
(37369, NULL, 'IPR045111', NULL, 'Vacuolar protein sorting-associated protein Vps41/Vps8', 'Vps41/Vps8', 4, NULL),
(37370, NULL, 'IPR044060', NULL, 'Bacterial repeat domain', 'Bacterial_rp_domain', 3, NULL),
(37371, NULL, 'IPR045860', NULL, 'Snake toxin-like superfamily', 'Snake_toxin-like_sf', 5, NULL),
(37372, NULL, 'IPR044530', NULL, 'Chaperone protein SicP', 'SicP', 4, NULL),
(37373, NULL, 'IPR045349', NULL, 'SLC41A divalent cation transporter', 'SLC41A1-3', 4, NULL),
(37374, NULL, 'IPR043874', NULL, 'Protein of unknown function DUF5834', 'DUF5834', 4, NULL),
(37375, NULL, 'IPR044851', NULL, 'Wax synthase', 'Wax_synthase', 4, NULL),
(37376, NULL, 'IPR044090', NULL, 'Nei2, N-terminal', 'Nei2_N', 3, NULL),
(37377, NULL, 'IPR045310', NULL, 'Oxalate--CoA ligase Pcs60-like', 'Pcs60-like', 4, NULL),
(37378, NULL, 'IPR042160', NULL, 'Homeobox-leucine zipper protein GLABRA2/ANL2/PDF2/ATML1-like', 'GLABRA2/ANL2/PDF2/ATML1-like', 4, NULL),
(37379, NULL, 'IPR043315', NULL, 'C-type lectin domain family 9 member A', 'CLEC9A', 4, NULL),
(37380, NULL, 'IPR043255', NULL, 'Urotensin-2B', 'U-IIB', 4, NULL),
(37381, NULL, 'IPR043661', NULL, 'Calmodulin-binding transcription activator 2', 'Camta2', 4, NULL),
(37382, NULL, 'IPR044690', NULL, 'Calcium sensing receptor, plant', 'CAS_plant', 4, NULL),
(37383, NULL, 'IPR043163', NULL, 'DsrC-like protein, N-terminal domain', 'DsrC-like_N', 5, NULL),
(37384, NULL, 'IPR043509', NULL, 'Brdt, bromodomain, repeat II', 'Bromo_Brdt_II', 3, NULL),
(37385, NULL, 'IPR045273', NULL, 'Receptor-like protein RLP23-like', 'RLP23-like', 4, NULL),
(37386, NULL, 'IPR043088', NULL, 'Surface-adhesin protein E', 'Adhesin_E', 5, NULL),
(37387, NULL, 'IPR043161', NULL, 'Dedicator of cytokinesis, C-terminal, lobe A', 'DOCK_C_lobe_A', 5, NULL),
(37388, NULL, 'IPR044599', NULL, 'CRS2-associated factor, plant', 'CAF1P_plant', 4, NULL),
(37389, NULL, 'IPR045108', NULL, 'Thioredoxin domain-containing protein 17-like', 'TXNDC17-like', 4, NULL),
(37390, NULL, 'IPR043923', NULL, 'Protein of unknown function DUF5774', 'DUF5774', 4, NULL),
(37391, NULL, 'IPR042268', NULL, 'Outer membrane protein assembly factor BamC, C-terminal', 'BamC_C', 5, NULL),
(37392, NULL, 'IPR045194', NULL, 'E3 ubiquitin-protein ligase MGRN1/RNF157-like', 'MGRN1/RNF157-like', 4, NULL),
(37393, NULL, 'IPR042782', NULL, 'Tetraspanin-32, extracellular domain', 'PHEMX_LEL', 3, NULL),
(37394, NULL, 'IPR045722', NULL, 'Protein of unknown function DUF6076', 'DUF6076', 4, NULL),
(37395, NULL, 'IPR043964', NULL, 'TraG, P-loop domain', 'P-loop_TraG', 3, NULL),
(37396, NULL, 'IPR044721', NULL, 'Glutamate gated chloride channel, transmembrane domain', 'GluCl_TM', 3, NULL),
(37397, NULL, 'IPR045190', NULL, 'Methylcrotonoyl-CoA carboxylase beta chain MCCB/AccD1-like', 'MCCB/AccD1-like', 4, NULL),
(37398, NULL, 'IPR044494', NULL, 'Aldo-keto reductase family 3C2/3', 'AKR3C2/3', 4, NULL),
(37399, NULL, 'IPR043257', NULL, 'Ring-hydroxylating dioxygenase large subunit  NdoB-related protein, N-terminal Rieske domain', 'Rieske_N', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37400, NULL, 'IPR044335', NULL, 'Accessory protein NS6, deltacoronavirus', 'NS6_deltaCoV', 3, NULL),
(37401, NULL, 'IPR044211', NULL, 'Pheophytinase, chloroplastic', 'PPH_chloroplastic', 4, NULL),
(37402, NULL, 'IPR042753', NULL, 'TRIM25, PRY/SPRY domain', 'TRIM25_SPRY_PRY', 3, NULL),
(37403, NULL, 'IPR043181', NULL, 'Tymovirus endopeptidase domain', 'TYMV_endopept_dom', 5, NULL),
(37404, NULL, 'IPR045728', NULL, 'Protein of unknown function DUF6082', 'DUF6082', 4, NULL),
(37405, NULL, 'IPR043880', NULL, 'Protein of unknown function DUF5852', 'DUF5852', 4, NULL),
(37406, NULL, 'IPR043171', NULL, 'Ap4A phosphorylase 1/2-like', 'Ap4A_phos1/2-like', 5, NULL),
(37407, NULL, 'IPR042572', NULL, 'Carnitine o-acyltransferase, N-terminal', 'Carn_acyl_trans_N', 5, NULL),
(37408, NULL, 'IPR045181', NULL, 'Heavy metal binding protein HIPP/ATX1-like', 'HIPP/ATX1-like', 4, NULL),
(37409, NULL, 'IPR044520', NULL, 'ADP-ribosylation factor GTPase-activating protein AGD5/15', 'ARF_GAP_AGD5/15', 4, NULL),
(37410, NULL, 'IPR044087', NULL, '2-hydroxychromene-2-carboxylate isomerase NahD-like', 'NahD-like', 4, NULL),
(37411, NULL, 'IPR044483', NULL, 'Aldo-keto reductase family 1 member D1', 'AKR1D1', 4, NULL),
(37412, NULL, 'IPR044523', NULL, 'RING domain-containing protein NIP1/2-like', 'NIP1/2-like', 4, NULL),
(37413, NULL, 'IPR043510', NULL, 'BZW1/2, W2 domain', 'W2_BZW1/2', 3, NULL),
(37414, NULL, 'IPR045734', NULL, 'Sorting nexin 8/Mvp1, BAR domain', 'Snx8_BAR_dom', 3, NULL),
(37415, NULL, 'IPR043361', NULL, 'DnaJ homolog subfamily C member 16, TRX domain', 'DNAJC16_TRX', 3, NULL),
(37416, NULL, 'IPR045735', NULL, 'Stage III sporulation protein AA, AAA+ ATPase domain', 'Spore_III_AA_AAA+_ATPase', 3, NULL),
(37417, NULL, 'IPR045900', NULL, 'Peroxisomal adenine nucleotide carrier 1/2', 'Peroxisomal_Ade_carrier', 4, NULL),
(37418, NULL, 'IPR044288', NULL, 'E3 ubiquitin-protein ligase ZNF598/Hel2', 'ZNF598/Hel2', 4, NULL),
(37419, NULL, 'IPR042815', NULL, 'Dynein regulatory complex protein 10', 'DRC10', 4, NULL),
(37420, NULL, 'IPR044067', NULL, 'Picornavirales 3C/3C-like protease domain', 'PCV_3C_PRO', 3, NULL),
(37421, NULL, 'IPR045720', NULL, 'Protein of unknown function DUF6074', 'DUF6074', 4, NULL),
(37422, NULL, 'IPR043680', NULL, 'Tape measure protein', 'GpH_LAMBDA', 4, NULL),
(37423, NULL, 'IPR044518', NULL, 'ADP-ribosylation factor GTPase-activating protein AGD11/12/13', 'ARF_GAP_AGD11/12/13', 4, NULL),
(37424, NULL, 'IPR044204', NULL, 'Protein IWS1 homolog 1/2', 'IWS1/2', 4, NULL),
(37425, NULL, 'IPR042172', NULL, 'Adenosylhomocysteinase-like superfamily', 'Adenosylhomocyst_ase-like_sf', 5, NULL),
(37426, NULL, 'IPR044522', NULL, 'CRC domain-containing protein TSO1-like', 'TSO1-like', 4, NULL),
(37427, NULL, 'IPR044528', NULL, 'Persulfide dioxygenase-like, MBL-fold metallo-hydrolase domain', 'POD-like_MBL-fold', 3, NULL),
(37428, NULL, 'IPR044187', NULL, 'Universal stress protein A-like protein, plant', 'At3g01520-like_plant', 4, NULL),
(37429, NULL, 'IPR044318', NULL, 'Non-structural protein 3c, bat coronavirus HKU5', 'ORF4b_HKU5-CoV', 4, NULL),
(37430, NULL, 'IPR045740', NULL, 'BTB/POZ domain-containing protein KCTD4, C-terminal', 'KCTD4_C', 3, NULL),
(37431, NULL, 'IPR045732', NULL, 'Protein of unknown function DUF6086', 'DUF6086', 4, NULL),
(37432, NULL, 'IPR044699', NULL, 'Membrane-associated kinase regulator 6', 'MAKR6', 4, NULL),
(37433, NULL, 'IPR045719', NULL, 'Protein of unknown function DUF6073', 'DUF6073', 4, NULL),
(37434, NULL, 'IPR044343', NULL, 'Nonstructural protein 13, 1B domain, coronavirus', 'NSP13_1B_dom_CoV', 3, NULL),
(37435, NULL, 'IPR045725', NULL, 'Protein of unknown function DUF6079', 'DUF6079', 4, NULL),
(37436, NULL, 'IPR042267', NULL, 'VTC domain superfamily', 'VTC_sf', 5, NULL),
(37437, NULL, 'IPR042988', NULL, 'Homeobox protein NOBOX', 'NOBOX', 4, NULL),
(37438, NULL, 'IPR044205', NULL, 'Calcium-binding protein KIC/PBP1/KRP1', 'KIC/PBP1/KRP1', 4, NULL),
(37439, NULL, 'IPR042294', NULL, 'Histone-lysine N-methyltransferase SETD2, animal', 'SETD2_animal', 4, NULL),
(37440, NULL, 'IPR044075', NULL, 'PRKCBP1, PHD finger', 'PRKCBP1_PHD', 3, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37441, NULL, 'IPR045895', NULL, 'Transcription factor bHLH91-like', 'bHLH91-like', 4, NULL),
(37442, NULL, 'IPR044526', NULL, 'Protein SODIUM POTASSIUM ROOT DEFECTIVE 1/2/3', 'NAKR1/2/3', 4, NULL),
(37443, NULL, 'IPR044491', NULL, 'Aldo-keto reductase family 3C1', 'AKR3C1', 4, NULL),
(37444, NULL, 'IPR043882', NULL, 'Protein of unknown function DUF5850', 'DUF5850', 4, NULL),
(37445, NULL, 'IPR042285', NULL, 'E3 ubiquitin-protein ligase RNF182', 'RNF182', 4, NULL),
(37446, NULL, 'IPR045192', NULL, 'Clathrin coat assembly protein AP180-like', 'AP180-like', 4, NULL),
(37447, NULL, 'IPR043070', NULL, 'Spidroin, repetitive domain', 'Spidroin_repeat', 5, NULL),
(37448, NULL, 'IPR044529', NULL, 'Sarcoplasmic/endoplasmic reticulum calcium ATPase regulator DWORF', 'DWORF', 4, NULL),
(37449, NULL, 'IPR043630', NULL, 'Sgo0707, N-terminal domain', 'Sgo0707_N1', 3, NULL),
(37450, NULL, 'IPR043654', NULL, 'Protein of unknown function DUF5879', 'DUF5879', 4, NULL),
(37451, NULL, 'IPR042280', NULL, '4F2 cell-surface antigen heavy chain', 'SLC3A2', 4, NULL),
(37452, NULL, 'IPR043358', NULL, 'Ras GTPase GNL1-like', 'GNL1-like', 4, NULL),
(37453, NULL, 'IPR043368', NULL, 'Peptidyl-prolyl cis-trans isomerase FKBP3', 'FKBP3', 4, NULL),
(37454, NULL, 'IPR043216', NULL, 'Phosphatidate (PA) phosphatase-related', 'PA_PP_rel', 4, NULL),
(37455, NULL, 'IPR044262', NULL, '(S)-8-amino-7-oxononanoate synthase BioU-like', 'BioU-like', 4, NULL),
(37456, NULL, 'IPR045726', NULL, 'Protein of unknown function DUF6080', 'DUF6080', 4, NULL),
(37457, NULL, 'IPR042986', NULL, 'Pleckstrin homology domain-containing family S member 1', 'PLEKHS1', 4, NULL),
(37458, NULL, 'IPR045894', NULL, 'At5g08430-like', 'At5g08430-like', 4, NULL),
(37459, NULL, 'IPR044221', NULL, 'Protein DYAD/AMEIOTIC 1', 'DYAD/AMEIOTIC1', 4, NULL),
(37460, NULL, 'IPR042269', NULL, 'Serine carboxypeptidase S28, SKS domain', 'Ser_carbopepase_S28_SKS', 5, NULL),
(37461, NULL, 'IPR042271', NULL, 'Zinicin-like metallopeptidase type 2, N-terminal', 'Zinicin_2_N', 5, NULL),
(37462, NULL, 'IPR042176', NULL, 'Pantoate-beta-alanine ligase, C-terminal domain', 'Pantoate_ligase_C', 5, NULL),
(37463, NULL, 'IPR044036', NULL, 'Protein of unknown function DUF5752', 'DUF5752', 4, NULL),
(37464, NULL, 'IPR045574', NULL, 'Astrotactin-1/2, EGF-like and Fn(III) domains', 'ASTN1_2_EGF_Fn', 3, NULL),
(37465, NULL, 'IPR042534', NULL, 'Sin3 associated polypeptide p18 superfamily', 'SAP18_sf', 5, NULL),
(37466, NULL, 'IPR044508', NULL, 'F-box protein At5g50450/At1g67340-like', 'At5g50450/At1g67340-like', 4, NULL),
(37467, NULL, 'IPR045134', NULL, 'UHRF1/2-like', 'UHRF1/2-like', 4, NULL),
(37468, NULL, 'IPR044603', NULL, 'Senescence-associated carboxylesterase 101-like', 'SAG101-like', 4, NULL),
(37469, NULL, 'IPR045575', NULL, 'Astrotactin-1/2, N-terminal', 'ASTN_1_2_N', 3, NULL),
(37470, NULL, 'IPR045049', NULL, 'Choline-phosphate cytidylyltransferase Pcy1-like', 'Pcy1-like', 4, NULL),
(37471, NULL, 'IPR044120', NULL, 'Nek8, catalytic domain', 'STKc_Nek8', 3, NULL),
(37472, NULL, 'IPR044496', NULL, 'Aldo-keto reductase family 3G', 'AKR3G', 4, NULL),
(37473, NULL, 'IPR044263', NULL, 'RNA ligase 2, viral', 'Rnl2_vir', 4, NULL),
(37474, NULL, 'IPR043684', NULL, 'Ribosome protection protein VmlR', 'VmlR', 4, NULL),
(37475, NULL, 'IPR042174', NULL, 'DNA-binding RecF, domain 2', 'RecF_2', 5, NULL),
(37476, NULL, 'IPR044198', NULL, 'Protein DEK', 'DEK', 4, NULL),
(37477, NULL, 'IPR042931', NULL, 'WAP four-disulfide core domain protein 8', 'WFDC8', 4, NULL),
(37478, NULL, 'IPR045308', NULL, 'UbiB domain, bacteria', 'UbiB_bact', 3, NULL),
(37479, NULL, 'IPR044086', NULL, 'Putative aldehyde dehydrogenase FUS7-like', 'FUS7-like', 3, NULL),
(37480, NULL, 'IPR045229', NULL, 'Thiamine pyrophosphate enzyme', 'TPP_enz', 4, NULL),
(37481, NULL, 'IPR045736', NULL, 'START-like domain', 'START_2', 3, NULL),
(37482, NULL, 'IPR043970', NULL, 'FUZ/MON1/HPS1, third Longin domain', 'FUZ/MON1/HPS1_longin_3', 3, NULL),
(37483, NULL, 'IPR044818', NULL, 'Transcription factor ILR3-like', 'ILR3-like', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37484, NULL, 'IPR045195', NULL, 'MGRN1/RNF157, modified RING finger, C3HC5-type', 'MGRN1/RNF157_mRING_C3HC5', 3, NULL),
(37485, NULL, 'IPR044238', NULL, 'Histone-lysine N-methyltransferase ASHR2-like', 'ASHR2-like', 4, NULL),
(37486, NULL, 'IPR043083', NULL, 'Gp27, baseplate hub, domain 3', 'Gp27_dom3', 5, NULL),
(37487, NULL, 'IPR043166', NULL, 'LarA-like, C-terminal domain', 'LarA-like_C', 5, NULL),
(37488, NULL, 'IPR043965', NULL, 'Nuclear cap-binding complex subunit CBP66', 'CBP66', 4, NULL),
(37489, NULL, 'IPR043124', NULL, 'DNA terminal protein Gp3, C-terminal', 'DNA_terminal_Gp3_C', 5, NULL),
(37490, NULL, 'IPR045362', NULL, 'Contractile injection system spike tip protein', 'CIS_spike_tip', 4, NULL),
(37491, NULL, 'IPR043429', NULL, 'ABC transporter membrane protein permease protein ArtM/GltK/GlnP/TcyL/YhdX-like', 'ArtM/GltK/GlnP/TcyL/YhdX-like', 4, NULL),
(37492, NULL, 'IPR042192', NULL, 'Glycophorin-C', 'Glycophorin-C', 4, NULL),
(37493, NULL, 'IPR042164', NULL, 'Solute carrier family 25 member 44', 'SLC25A44', 4, NULL),
(37494, NULL, 'IPR044852', NULL, 'WW domain-binding protein 2-like', 'WBP2-like', 4, NULL),
(37495, NULL, 'IPR043196', NULL, 'Leucine-rich repeat-containing protein 51', 'LRTOMT1', 4, NULL),
(37496, NULL, 'IPR044538', NULL, 'Vacuolar protein sorting-associated protein Vta1-like', 'Vta1-like', 4, NULL),
(37497, NULL, 'IPR044227', NULL, 'Protein TONSOKU', 'TONSOKU', 4, NULL),
(37498, NULL, 'IPR044237', NULL, 'Histone-lysine N-methyltransferase ATXR2-like', 'ATXR2-like', 4, NULL),
(37499, NULL, 'IPR042746', NULL, 'EPH-A6 , SAM domain', 'EPH-A6_SAM', 3, NULL),
(37500, NULL, 'IPR044572', NULL, 'Sodium channel subunit beta-4', 'Na_channel_b4', 4, NULL),
(37501, NULL, 'IPR044955', NULL, 'Cytochrome c biogenesis CcmF C-terminal-like mitochondrial protein', 'CCMFC', 4, NULL),
(37502, NULL, 'IPR044629', NULL, 'Glutathione S-transferase L1/2/3', 'GSTL1/2/3', 4, NULL),
(37503, NULL, 'IPR044823', NULL, 'Trihelix transcription factor ASIL1/2-like', 'ASIL1/2-like', 4, NULL),
(37504, NULL, 'IPR042845', NULL, 'Proto-oncogene c-Rel, RHD, N-terminal subdomain', 'RHD-n_c-Rel', 3, NULL),
(37505, NULL, 'IPR043920', NULL, 'Protein of unknown function DUF5757', 'DUF5757', 4, NULL),
(37506, NULL, 'IPR043136', NULL, 'B30.2/SPRY domain superfamily', 'B30.2/SPRY_sf', 5, NULL),
(37507, NULL, 'IPR042741', NULL, 'RING1 , RING finger, HC subclass', 'RING1_RING-HC', 3, NULL),
(37508, NULL, 'IPR044708', NULL, 'Constitutive expression of pathogenesis-related genes 5', 'CPR5', 4, NULL),
(37509, NULL, 'IPR043700', NULL, '3-dehydroshikimate dehydratase', 'DSD', 4, NULL),
(37510, NULL, 'IPR043145', NULL, 'Zinc finger, ZZ-type superfamily', 'Znf_ZZ_sf', 5, NULL),
(37511, NULL, 'IPR043143', NULL, 'Malate/L-sulfolactate/L-lactate dehydrogenase-like, NADPH binding domain', 'Mal/L-sulf/L-lact_DH-like_NADP', 5, NULL),
(37512, NULL, 'IPR042188', NULL, 'MmgE/PrpD superfamily, domain 2', 'MmgE/PrpD_sf_2', 5, NULL),
(37513, NULL, 'IPR043537', NULL, 'Tiam1/Tiam2/Protein still life', 'Tiam1/Tiam2/Sif', 4, NULL),
(37514, NULL, 'IPR044789', NULL, 'Putative alpha 1,4-glycosyltransferase, plant', 'Put_A1-4-GlycosylTfrase_plant', 4, NULL),
(37515, NULL, 'IPR044168', NULL, 'bZIP transcription factor RISBZ3/4/5', 'RISBZ3/4/5', 4, NULL),
(37516, NULL, 'IPR044783', NULL, 'Phytolongin', 'PHYL', 4, NULL),
(37517, NULL, 'IPR044455', NULL, 'ADAD1, double-stranded RNA binding domain', 'ADAD1_DSRM', 3, NULL),
(37518, NULL, 'IPR043924', NULL, 'Protein of unknown function DUF5775', 'DUF5775', 4, NULL),
(37519, NULL, 'IPR044850', NULL, 'Cysteine-rich and transmembrane domain-containing protein WIH1/2-like', 'WIH1/2-like', 4, NULL),
(37520, NULL, 'IPR044233', NULL, 'Peptidyl-prolyl cis-trans isomerase CYP23-like', 'CYP23-like', 4, NULL),
(37521, NULL, 'IPR045333', NULL, 'ARMET-like', 'ARMET-like', 4, NULL),
(37522, NULL, 'IPR044088', NULL, 'Glutathione S-transferase kappa', 'GSTK', 4, NULL),
(37523, NULL, 'IPR044987', NULL, 'Uncharacterized mitochondrial protein AtMg00030-like', 'AtMg00030-like', 4, NULL),
(37524, NULL, 'IPR042667', NULL, 'E3 ubiquitin-protein ligase TRIM63, RING finger, HC subclass', 'TRIM63_RING-HC', 3, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37525, NULL, 'IPR043149', NULL, 'CDP-glycerol glycerophosphotransferase, N-terminal domain', 'TagF_N', 5, NULL),
(37526, NULL, 'IPR042209', NULL, 'Hepatitis C virus non-structural protein NS2, N-terminal domain', 'HCV_NS2_N', 5, NULL),
(37527, NULL, 'IPR044093', NULL, 'Cyclin-dependent kinase 10, catalytic domain', 'STKc_CDK10', 3, NULL),
(37528, NULL, 'IPR044131', NULL, 'Dual specificity tyrosine-phosphorylation-regulated kinase 1A/1B, catalytic domain', 'PKc_DYR1A/1B', 3, NULL),
(37529, NULL, 'IPR042823', NULL, 'E3 ubiquitin-protein ligase Dma1/Dma2, RING finger, H2 subclass', 'Dma1/Dma2_RING-H2', 3, NULL),
(37530, NULL, 'IPR044693', NULL, 'Shugoshin, plant', 'SGO_plant', 4, NULL),
(37531, NULL, 'IPR042766', NULL, 'RSK3, C-terminal catalytic domain', 'RSK3_STKc', 3, NULL),
(37532, NULL, 'IPR043567', NULL, 'Synaptotagmin-like 1-5, C2B domain', 'SYTL1-5_C2B', 3, NULL),
(37533, NULL, 'IPR042197', NULL, 'Apoptotic protease-activating factors, helical domain', 'Apaf_helical', 5, NULL),
(37534, NULL, 'IPR044797', NULL, 'Uncharacterized protein At4g06598-like', 'At4g06598-like', 4, NULL),
(37535, NULL, 'IPR045425', NULL, 'Protein of unknown function DUF6508', 'DUF6508', 4, NULL),
(37536, NULL, 'IPR043690', NULL, 'N-acetyltransferase RimI', 'RimI', 4, NULL),
(37537, NULL, 'IPR042127', NULL, 'Transmembrane protein 45', 'TMEM45', 4, NULL),
(37538, NULL, 'IPR043142', NULL, 'PapC-like, C-terminal domain superfamily', 'PapC-like_C_sf', 5, NULL),
(37539, NULL, 'IPR044738', NULL, 'Autophagy-related protein 22', 'Atg22', 4, NULL),
(37540, NULL, 'IPR043138', NULL, 'Gamma-glutamyltranspeptidase, large subunit, C-terminal domain', 'GGT_lsub_C', 5, NULL),
(37541, NULL, 'IPR043954', NULL, 'Snu56-like U1 small nuclear ribonucleoprotein component', 'Snu56_snRNP', 4, NULL),
(37542, NULL, 'IPR043148', NULL, 'CDP-glycerol glycerophosphotransferase, C-terminal domain', 'TagF_C', 5, NULL),
(37543, NULL, 'IPR043701', NULL, 'Splicing factor Yju2', 'Yju2', 4, NULL),
(37544, NULL, 'IPR045357', NULL, 'Aminopeptidase N-like , N-terminal domain', 'Aminopeptidase_N-like_N', 3, NULL),
(37545, NULL, 'IPR044444', NULL, 'MRPL44, double-stranded RNA binding domain', 'MRPL44_DSRM', 3, NULL),
(37546, NULL, 'IPR042251', NULL, 'Ethanolamine ammonia-lyase light chain, C-terminal', 'EutC_C', 5, NULL),
(37547, NULL, 'IPR043769', NULL, 'Protein of unknown function DUF5715', 'DUF5715', 4, NULL),
(37548, NULL, 'IPR043697', NULL, 'N-acetyl-L-citrulline deacetylase ArgE''-like', 'ACDase_ArgE''-like', 4, NULL),
(37549, NULL, 'IPR044169', NULL, 'Protein PYRICULARIA ORYZAE RESISTANCE 21', 'PI21', 4, NULL),
(37550, NULL, 'IPR042820', NULL, 'Semaphorin-3A, sema domain', 'Sema3A_sema', 3, NULL),
(37551, NULL, 'IPR044713', NULL, 'DnaJ homolog subfamily A member 1/2-like', 'DNJA1/2-like', 4, NULL),
(37552, NULL, 'IPR044365', NULL, 'Non-structural protein 6, deltacoronavirus', 'NSP6_deltaCoV', 3, NULL),
(37553, NULL, 'IPR042843', NULL, 'DTX3L, RING-HC finger', 'TX3L_RING-HC', 3, NULL),
(37554, NULL, 'IPR042258', NULL, '2-keto-3-deoxy-galactonokinase, N-terminal', 'DGOK_N', 5, NULL),
(37555, NULL, 'IPR043952', NULL, 'Protein of unknown function DUF5783', 'DUF5783', 4, NULL),
(37556, NULL, 'IPR045359', NULL, 'Protein of unknown function DUF5903', 'DUF5903', 4, NULL),
(37557, NULL, 'IPR042214', NULL, 'Pseudouridine synthase, TruD, catalytic domain', 'TruD_catalytic', 5, NULL),
(37558, NULL, 'IPR044541', NULL, 'FAF1, UBA-like domain', 'FAF1_UBA', 3, NULL),
(37559, NULL, 'IPR044639', NULL, 'Cystathionine gamma-synthase 1/2', 'CGS1/2', 4, NULL),
(37560, NULL, 'IPR043186', NULL, 'Rhodanese-like domain-containing protein 14', 'Str14', 4, NULL),
(37561, NULL, 'IPR043908', NULL, 'Protein of unknown function DUF5769', 'DUF5769', 4, NULL),
(37562, NULL, 'IPR044723', NULL, 'AAI/SS protein, conserved domain', 'AAI_SS_dom', 3, NULL),
(37563, NULL, 'IPR043541', NULL, 'Synaptotagmin-14/14L/16', 'SYT14/14L/16', 4, NULL),
(37564, NULL, 'IPR044228', NULL, 'Fatty-acid-binding protein 1', 'FAP1', 4, NULL),
(37565, NULL, 'IPR044807', NULL, 'E3 ubiquitin protein ligase DRIP1-like', 'DRIP1-like', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37566, NULL, 'IPR043766', NULL, 'Protein of unknown function DUF5712', 'DUF5712', 4, NULL),
(37567, NULL, 'IPR043631', NULL, 'QPE repeat', 'QPE_rpt', 7, NULL),
(37568, NULL, 'IPR042199', NULL, 'Aspartokinase/Bifunctional aspartokinase/homoserine dehydrogenase, catalytic domain', 'AsparK_Bifunc_asparK/hSer_DH', 5, NULL),
(37569, NULL, 'IPR043610', NULL, 'Non-structural protein 6, coronavirus', 'NSP6_CoV', 3, NULL),
(37570, NULL, 'IPR042827', NULL, 'PLEKHM1, PH domain', 'PLEKHM1_PH', 3, NULL),
(37571, NULL, 'IPR043847', NULL, 'Domain of unknown function (DUF5862)', 'DUF5862', 3, NULL),
(37572, NULL, 'IPR043675', NULL, 'tRNA 5-hydroxyuridine methyltransferase', 'TrmR_methyltr', 4, NULL),
(37573, NULL, 'IPR045358', NULL, 'Ty3 transposon capsid-like protein', 'Ty3_capsid', 3, NULL),
(37574, NULL, 'IPR044779', NULL, 'SS18 family', 'SS18', 4, NULL),
(37575, NULL, 'IPR043597', NULL, 'Trichohyalin-plectin-homology domain', 'TPH_dom', 3, NULL),
(37576, NULL, 'IPR043240', NULL, 'Cysteine-rich and transmembrane domain-containing protein 1', 'CYSTM1', 4, NULL),
(37577, NULL, 'IPR044258', NULL, 'Heavy metal-associated isoprenylated plant protein 9-like', 'HIPP09-like', 4, NULL),
(37578, NULL, 'IPR044698', NULL, 'Vitamin K epoxide reductase-like VKOR/LOT1', 'VKOR/LTO1', 3, NULL),
(37579, NULL, 'IPR042616', NULL, 'Proline and serine-rich protein 1', 'PROSER1', 4, NULL),
(37580, NULL, 'IPR043693', NULL, 'Ubiquinone biosynthesis protein UbiV', 'UbiV', 4, NULL),
(37581, NULL, 'IPR043805', NULL, 'Uracil-DNA glycosylase inhibitor', 'Ugi', 4, NULL),
(37582, NULL, 'IPR044419', NULL, 'SMYD2, SET domain', 'SMYD2_SET', 3, NULL),
(37583, NULL, 'IPR042785', NULL, 'Tyrosine-protein kinase ITK/TSK, catalytic domain', 'ITK_PTKc', 3, NULL),
(37584, NULL, 'IPR042840', NULL, 'Lamin tail domain-containing protein 1', 'LMNTD1', 4, NULL),
(37585, NULL, 'IPR044515', NULL, 'Ankyrin repeat and BTB/POZ domain-containing protein 1-like', 'ABTB1', 4, NULL),
(37586, NULL, 'IPR042757', NULL, 'Endothelial cell-selective adhesion molecule', 'ESAM', 4, NULL),
(37587, NULL, 'IPR043593', NULL, 'Arf-GAP with SH3 domain, ANK repeat and PH domain-containing protein', 'ASAP', 4, NULL),
(37588, NULL, 'IPR044294', NULL, 'Lipase-like', 'Lipase-like', 4, NULL),
(37589, NULL, 'IPR043926', NULL, 'ABC transporter family G domain', 'ABCG_dom', 3, NULL),
(37590, NULL, 'IPR043651', NULL, 'KNL1 MELT repeat', 'KNL1_MELT_rep', 7, NULL),
(37591, NULL, 'IPR044082', NULL, 'SpaK/NisK-like, Histidine kinase-like ATPase domain', 'SpaK_NisK-like_HATPase', 3, NULL),
(37592, NULL, 'IPR042207', NULL, 'Glycoprotein VP7, domain 1', 'VP7_1', 5, NULL),
(37593, NULL, 'IPR044703', NULL, 'F-box/LRR-repeat protein 15', 'SLOMO', 4, NULL),
(37594, NULL, 'IPR045355', NULL, 'Poly(A) polymerase catalytic subunit', 'PolyA_pol_cat_su', 3, NULL),
(37595, NULL, 'IPR043077', NULL, 'Phage p2 ORF12', 'Phage_p2_ORF12', 5, NULL),
(37596, NULL, 'IPR044461', NULL, 'A1CF, double-stranded RNA binding domain', 'A1CF_DSRM', 3, NULL),
(37597, NULL, 'IPR044112', NULL, 'Sulfoquinovosidase YihQ-like', 'YihQ-like', 4, NULL),
(37598, NULL, 'IPR043607', NULL, 'Coronavirus spike glycoprotein S1, C-terminal', 'CoV_S1_C', 3, NULL),
(37599, NULL, 'IPR044730', NULL, 'Ribonuclease H-like domain, plant type', 'RNase_H-like_dom_plant', 3, NULL),
(37600, NULL, 'IPR043785', NULL, 'Domain of unknown function DUF5727', 'DUF5727', 3, NULL),
(37601, NULL, 'IPR043566', NULL, 'Rabphilin/DOC2/Noc2', 'Rabphilin/DOC2/Noc2', 4, NULL),
(37602, NULL, 'IPR043992', NULL, 'Transglycosylase SLT domain 3', 'SLT_3', 3, NULL),
(37603, NULL, 'IPR043062', NULL, 'Pneumovirus matrix, N-terminal', 'Pneu_matrix_N', 5, NULL),
(37604, NULL, 'IPR042798', NULL, 'EF-hand calcium-binding domain-containing protein 9', 'EFCAB9', 4, NULL),
(37605, NULL, 'IPR042510', NULL, 'Protein CIP2A', 'CIP2A', 4, NULL),
(37606, NULL, 'IPR042171', NULL, 'Acyl-CoA thioesterase, double hotdog domain', 'Acyl-CoA_hotdog', 5, NULL),
(37607, NULL, 'IPR043765', NULL, 'Protein of unknown function DUF5711', 'DUF5711', 4, NULL),
(37608, NULL, 'IPR044705', NULL, 'COFACTOR ASSEMBLY OF COMPLEX C SUBUNIT B CCB4', 'CCB4', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37609, NULL, 'IPR042217', NULL, 'Type IV secretion system, VirB10/TrbI', 'T4SS_VirB10/TrbI', 5, NULL),
(37610, NULL, 'IPR043907', NULL, 'Protein of unknown function DUF5770', 'DUF5770', 4, NULL),
(37611, NULL, 'IPR044096', NULL, 'Isoamylase 2, catalytic domain', 'AmyAc_plant_ISA2', 3, NULL),
(37612, NULL, 'IPR044264', NULL, 'Protoporphyrinogen IX dehydrogenase [quinone] HemG', 'HemG', 4, NULL),
(37613, NULL, 'IPR044239', NULL, 'Peptidyl-prolyl cis-trans isomerase FKBP20-2-like', 'FKBP20-2-like', 4, NULL),
(37614, NULL, 'IPR043461', NULL, 'UDP-2,3-diacylglucosamine hydrolase LpxH-like', 'LpxH-like', 4, NULL),
(37615, NULL, 'IPR044102', NULL, 'SHEP1/BCAR3/NSP1, SH2 domain', 'SH2_SHEP1/BCAR3/NSP1', 3, NULL),
(37616, NULL, 'IPR044437', NULL, 'SETD2/Set2, SET domain', 'SETD2/Set2_SET', 3, NULL),
(37617, NULL, 'IPR043760', NULL, 'Protein of unknown function DUF5706', 'DUF5706', 4, NULL),
(37618, NULL, 'IPR044186', NULL, 'WUSCHEL-related homeobox 4', 'WOX4', 4, NULL),
(37619, NULL, 'IPR043927', NULL, 'Protein of unknown function DUF5778', 'DUF5778', 4, NULL),
(37620, NULL, 'IPR042824', NULL, 'Semaphorin-7A, sema domain', 'Sema7A_sema', 3, NULL),
(37621, NULL, 'IPR042152', NULL, 'Uncharacterized protein Y4yA-like', 'Y4yA-like', 4, NULL),
(37622, NULL, 'IPR044521', NULL, 'Basic leucine zipper 8/43', 'AtbZIP8/43', 4, NULL),
(37623, NULL, 'IPR044436', NULL, 'SETD7, SET domain', 'SETD7_SET', 3, NULL),
(37624, NULL, 'IPR044704', NULL, '(S)-ureidoglycine aminohydrolase, N-terminal cupin domain', 'UGlyAH_cupin_N', 3, NULL),
(37625, NULL, 'IPR044686', NULL, 'Transcription repressor OFP17', 'OFP17', 4, NULL),
(37626, NULL, 'IPR045352', NULL, 'Protein of unknown function DUF6530', 'DUF6530', 4, NULL),
(37627, NULL, 'IPR043659', NULL, 'Domain of unknown function DUF5874', 'DUF5874', 3, NULL),
(37628, NULL, 'IPR042970', NULL, 'NUDT18, NUDIX hydrolase domain', 'NUDT18_NUDIX', 3, NULL),
(37629, NULL, 'IPR043790', NULL, 'Domain of unknown function DUF5732', 'DUF5732', 3, NULL),
(37630, NULL, 'IPR043928', NULL, 'DVNP family', 'DNVP', 4, NULL),
(37631, NULL, 'IPR044992', NULL, 'Glutamine amidotransferase domain containing protein ChyE-like', 'ChyE-like', 4, NULL),
(37632, NULL, 'IPR042833', NULL, 'BTB/POZ domain-containing protein 16', 'BTBD16', 4, NULL),
(37633, NULL, 'IPR044330', NULL, 'Nonstructural protein 15, N-terminal domain, alpha/beta-coronavirus', 'NSP15_alpha_betaCoV_N', 3, NULL),
(37634, NULL, 'IPR044462', NULL, 'RBM46, double-stranded RNA binding domain', 'RBM46_DSRM', 3, NULL),
(37635, NULL, 'IPR043639', NULL, 'AF4 interaction motif', 'AF4_int', 2, NULL),
(37636, NULL, 'IPR043677', NULL, 'D-allulose-6-phosphate 3-epimerase', 'AlluloseP_3_epimer_AlsE', 4, NULL),
(37637, NULL, 'IPR044160', NULL, 'Protein TRIGALACTOSYLDIACYLGLYCEROL 4-like', 'TGD4-like', 4, NULL),
(37638, NULL, 'IPR044786', NULL, 'YeaK', 'YeaK', 4, NULL),
(37639, NULL, 'IPR042838', NULL, 'Uncharacterized protein KIAA1958', 'KIAA1958', 4, NULL),
(37640, NULL, 'IPR043108', NULL, 'Her-1, C-terminal', 'Her-1_C', 5, NULL),
(37641, NULL, 'IPR044707', NULL, 'Egg cell-secreted protein 1.2/1.3/1.4', 'EC12/13/14', 4, NULL),
(37642, NULL, 'IPR043846', NULL, 'Protein of unknown function DUF5863', 'DUF5863', 4, NULL),
(37643, NULL, 'IPR042193', NULL, 'FHIPEP, domain 3', 'FHIPEP_3', 5, NULL),
(37644, NULL, 'IPR044065', NULL, 'Archaeal CBS protein, (ACP)-type metal binding domain', 'ACP_MB', 3, NULL),
(37645, NULL, 'IPR044130', NULL, 'Iron transport multicopper oxidase Fet3-like, the second Cupredoxin domain', 'CuRO_2_Fet3-like', 3, NULL),
(37646, NULL, 'IPR043387', NULL, 'Insulin-like INSL3/INSL4', 'INSL3/INSL4', 4, NULL),
(37647, NULL, 'IPR044709', NULL, 'Microtubule-binding protein TANGLED1', 'TAN1', 4, NULL),
(37648, NULL, 'IPR043471', NULL, 'Zinc finger BED domain-containing protein 2/3', 'ZBED2/3', 4, NULL),
(37649, NULL, 'IPR042211', NULL, 'CRISPR-associated endonuclease Cas1, N-terminal domain', 'CRISPR-assoc_Cas1_N', 5, NULL),
(37650, NULL, 'IPR044934', NULL, 'Peptidase C10, streptopain superfmaily', 'Streptopain_sf', 5, NULL),
(37651, NULL, 'IPR043841', NULL, 'Domain of unknown function DUF5867', 'DUF5867', 3, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37652, NULL, 'IPR044448', NULL, 'DND1, double-stranded RNA binding domain', 'DND1_DSRM', 3, NULL),
(37653, NULL, 'IPR044450', NULL, 'AtDRB-like, first double-stranded RNA binding domain, plant', 'AtDRB-like_DSRM_1', 3, NULL),
(37654, NULL, 'IPR044525', NULL, 'Digalactosyldiacylglycerol synthase 1/2', 'DGDG1/2', 4, NULL),
(37655, NULL, 'IPR044777', NULL, 'Solute carrier family 17 member 9-like', 'SLC17A9-like', 4, NULL),
(37656, NULL, 'IPR042742', NULL, 'Frizzled-7, cysteine-rich Wnt-binding domain', 'Frizzled-7_CRD', 3, NULL),
(37657, NULL, 'IPR044268', NULL, 'Phosphatidylinositol phosphate synthase PgsA1', 'PIP_synthase_PgsA1', 4, NULL),
(37658, NULL, 'IPR043804', NULL, 'Protein  of unknown function DUF5871', 'DUF5871', 4, NULL),
(37659, NULL, 'IPR042157', NULL, 'Hydroxyacid-oxoacid transhydrogenase', 'HOT', 4, NULL),
(37660, NULL, 'IPR044741', NULL, 'Non-specific lipid-transfer protein-like', 'NsLTP-like', 3, NULL),
(37661, NULL, 'IPR044773', NULL, 'DDX18/Has1, DEAD-box helicase domain', 'DDX18/Has1_DEADc', 3, NULL),
(37662, NULL, 'IPR044256', NULL, 'High chlorophyll fluorescence 244-like', 'HCF244-like', 4, NULL),
(37663, NULL, 'IPR043695', NULL, 'N-acetylornithine carbamoyltransferase ArgF''-like', 'ArgF''', 4, NULL),
(37664, NULL, 'IPR043914', NULL, 'Protein of unknown function DUF5763', 'DUF5763', 4, NULL),
(37665, NULL, 'IPR042196', NULL, 'FHIPEP, domain 4', 'FHIPEP_4', 5, NULL),
(37666, NULL, 'IPR043502', NULL, 'DNA/RNA polymerase superfamily', 'DNA/RNA_pol_sf', 5, NULL),
(37667, NULL, 'IPR042210', NULL, 'Glycoprotein VP7, domain 2', 'VP7_2', 5, NULL),
(37668, NULL, 'IPR042719', NULL, 'Plexin-D1, sema domain', 'Plexin-D1_Sema', 3, NULL),
(37669, NULL, 'IPR044519', NULL, 'ADP-ribosylation factor GTPase-activating protein AGD6/7', 'ARF_GAP_AGD6/7', 4, NULL),
(37670, NULL, 'IPR042973', NULL, 'RING finger protein 222', 'RNF222', 4, NULL),
(37671, NULL, 'IPR043763', NULL, 'Protein of unknown function DUF5709', 'DUF5709', 3, NULL),
(37672, NULL, 'IPR042834', NULL, 'Armadillo repeat-containing protein 12', 'Armc12', 4, NULL),
(37673, NULL, 'IPR043921', NULL, 'Protein of unknown function DUF5772', 'DUF5772', 4, NULL),
(37674, NULL, 'IPR044114', NULL, 'Bile acid receptor,  ligand binding domain', 'NR_LBD_NR1H4', 3, NULL),
(37675, NULL, 'IPR043609', NULL, 'NendoU domain, nidovirus', 'NendoU_nidovirus', 3, NULL),
(37676, NULL, 'IPR043137', NULL, 'Gamma-glutamyltranspeptidase, small subunit', 'GGT_ssub', 5, NULL),
(37677, NULL, 'IPR044441', NULL, 'Dicer, double-stranded RNA-binding domain', 'DICER_DSRM', 3, NULL),
(37678, NULL, 'IPR044367', NULL, 'Non-structural protein 6, betacoronavirus', 'NSP6_betaCoV', 3, NULL),
(37679, NULL, 'IPR043242', NULL, 'Proline-rich transmembrane protein 3', 'PRRT3', 4, NULL),
(37680, NULL, 'IPR043602', NULL, 'Cation efflux system protein CusB,  domain 1', 'CusB_dom_1', 3, NULL),
(37681, NULL, 'IPR045422', NULL, 'Protein of unknown function DUF6511', 'DUF6511', 4, NULL),
(37682, NULL, 'IPR044021', NULL, 'Glycosyl-4,4''-diaponeurosporenoate acyltransferase', 'CrtO', 4, NULL),
(37683, NULL, 'IPR044321', NULL, 'Non-structural protein 3c (NS3c), Middle East respiratory syndrome (MERS)-related CoV', 'ORF4b_MERS-CoV-like', 4, NULL),
(37684, NULL, 'IPR043129', NULL, 'ATPase, nucleotide binding domain', 'ATPase_NBD', 5, NULL),
(37685, NULL, 'IPR044776', NULL, 'Polyol transporter 1-6', 'PLT1-6', 4, NULL),
(37686, NULL, 'IPR044255', NULL, 'Protein Dr1 homolog', 'Dr1-like', 4, NULL),
(37687, NULL, 'IPR045015', NULL, 'C-terminal binding protein AN-like', 'AN-like', 4, NULL),
(37688, NULL, 'IPR044369', NULL, 'Non-structural protein 6, alphacoronavirus', 'NSP6_alphaCoV', 3, NULL),
(37689, NULL, 'IPR044737', NULL, 'TopBP1, first BRCT domain', 'TopBP1_BRCT_1', 3, NULL),
(37690, NULL, 'IPR044661', NULL, 'Mediator of RNA polymerase II transcription subunit 15a/b/c-like', 'MED15a/b/c-like', 4, NULL),
(37691, NULL, 'IPR043036', NULL, 'Phosphoprotein, C-terminal domain, viral', 'Phosphoprotein_C_viral', 5, NULL),
(37692, NULL, 'IPR043144', NULL, 'Malate/L-sulfolactate/L-lactate dehydrogenase-like, alpha-helical domain', 'Mal/L-sulf/L-lact_DH-like_ah', 5, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37693, NULL, 'IPR044270', NULL, 'Archaetidylinositol phosphate synthase', 'AIP_synthase', 4, NULL),
(37694, NULL, 'IPR044433', NULL, 'SETD5, SET domain', 'SETD5_SET', 3, NULL),
(37695, NULL, 'IPR044092', NULL, 'Serine/threonine-protein PRP4, catalytic domain', 'STKc_PRP4', 3, NULL),
(37696, NULL, 'IPR044815', NULL, 'Serine/threonine-protein kinase-like protein CCR3/CCR4', 'CCR3/4', 4, NULL),
(37697, NULL, 'IPR042253', NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase superfamily', 'Pglycerate_mutase_ApgM_sf', 5, NULL),
(37698, NULL, 'IPR043683', NULL, 'Flavin-dependent monooxygenase TetX', 'TetX_monooxygenase', 4, NULL),
(37699, NULL, 'IPR044416', NULL, 'PRDM6, PR/SET domain', 'PRDM6_PR-SET', 3, NULL),
(37700, NULL, 'IPR043796', NULL, 'ESX-1 secretion-associated protein EspA/EspE-like', 'ESX-1_EspA/EspE-like', 3, NULL),
(37701, NULL, 'IPR043935', NULL, 'SidE, mono-ADP-ribosyltransferase domain', 'SidE_mART', 3, NULL),
(37702, NULL, 'IPR042743', NULL, 'Serine/threonine-protein kinase 10, catalytic domain', 'STK10_STKc', 3, NULL),
(37703, NULL, 'IPR044059', NULL, 'Cns1/TTC4, wheel domain', 'Csn1/TTC4_wheel', 3, NULL),
(37704, NULL, 'IPR045054', NULL, 'Prolyl 4-hydroxylase', 'P4HA-like', 4, NULL),
(37705, NULL, 'IPR044485', NULL, 'Aldo-keto reductase family 2A', 'AKR2A1', 4, NULL),
(37706, NULL, 'IPR045196', NULL, 'Translation initiation factor IF2/IF5', 'IF2/IF5', 4, NULL),
(37707, NULL, 'IPR044878', NULL, 'UbiA prenyltransferase superfamily', 'UbiA_sf', 5, NULL),
(37708, NULL, 'IPR044740', NULL, 'Glucose-6-phosphate exchanger SLC37A1/ SLC37A2', 'SLC37A1_2', 4, NULL),
(37709, NULL, 'IPR042252', NULL, 'MtfA, N-terminal', 'MtfA_N', 5, NULL),
(37710, NULL, 'IPR043582', NULL, 'Calcium binding protein 1/2/4/5', 'CaBP1/2/4/5', 4, NULL),
(37711, NULL, 'IPR043105', NULL, 'Tenuivirus NS3', 'Tenui_NS3', 5, NULL),
(37712, NULL, 'IPR043226', NULL, 'Natural cytotoxicity triggering receptor 3', 'NCR3', 4, NULL),
(37713, NULL, 'IPR043909', NULL, 'Protein of unknown function DUF5768', 'DUF5768', 4, NULL),
(37714, NULL, 'IPR044099', NULL, 'mRNA decapping enzyme 2 ,  NUDIX hydrolase domain', 'Dcp2_NUDIX', 3, NULL),
(37715, NULL, 'IPR044123', NULL, 'Translation initiation factor eIF-2B subunit epsilon, W2 domain', 'W2_eIF2B_epsilon', 3, NULL),
(37716, NULL, 'IPR044273', NULL, 'Transcription factor PIF3-like', 'PIF3-like', 4, NULL),
(37717, NULL, 'IPR043912', NULL, 'Protein of unknown function DUF5765', 'DUF5765', 4, NULL),
(37718, NULL, 'IPR043698', NULL, 'Racemase Bsr/Lyr', 'Racemase_Bsr/Lyr', 4, NULL),
(37719, NULL, 'IPR045053', NULL, 'Mannan endo-1,4-beta-mannosidase-like', 'MAN-like', 4, NULL),
(37720, NULL, 'IPR042841', NULL, 'Splicing factor, arginine/serine-rich 19', 'SCAF1', 4, NULL),
(37721, NULL, 'IPR044876', NULL, 'HRDC domain superfamily', 'HRDC_dom_sf', 5, NULL),
(37722, NULL, 'IPR043652', NULL, 'Crescentin, coiled-coil domain', 'CreS_coiled-coil', 3, NULL),
(37723, NULL, 'IPR042842', NULL, 'CD226 antigen', 'CD226', 4, NULL),
(37724, NULL, 'IPR042832', NULL, 'PHLDA family', 'PHLA1/2/3', 4, NULL),
(37725, NULL, 'IPR042828', NULL, 'TRIM41, PRY/SPRY domain', 'TRIM41_SPRY_PRY', 3, NULL),
(37726, NULL, 'IPR044304', NULL, 'Iron-sulfur protein NUBPL-like', 'NUBPL-like', 4, NULL),
(37727, NULL, 'IPR044793', NULL, 'E3 ubiquitin-protein ligase SIS3', 'SIS3', 4, NULL),
(37728, NULL, 'IPR044774', NULL, 'Suv3, DEXQ-box helicase domain', 'Suv3_DEXQc', 3, NULL),
(37729, NULL, 'IPR043530', NULL, 'HLA class II histocompatibility antigen, gamma subunit', 'CD74_antigen', 4, NULL),
(37730, NULL, 'IPR042763', NULL, 'Serine/threonine-protein kinase 17B,  catalytic domain', 'ST17B_STKc', 3, NULL),
(37731, NULL, 'IPR044076', NULL, 'Ribosomal protein P2', 'Ribosomal_P2', 4, NULL),
(37732, NULL, 'IPR044434', NULL, 'KMT2E, SET domain', 'KMT2E_SET', 3, NULL),
(37733, NULL, 'IPR044717', NULL, 'Nicotinamidase 1', 'NIC1', 4, NULL),
(37734, NULL, 'IPR042836', NULL, 'Sialic acid-binding Ig-like lectin 15', 'SIG15', 4, NULL),
(37735, NULL, 'IPR043523', NULL, 'G protein-coupled receptor 176, rhodopsin-like, 7TM', 'GPCR_176_Rhodpsn_7TM', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37736, NULL, 'IPR043562', NULL, 'Retinal homeobox protein  RAX/RAX2', 'RAX/RAX2', 4, NULL),
(37737, NULL, 'IPR043587', NULL, 'Protein phosphatase Slingshot-like', 'Phosphatase_SSH-like', 4, NULL),
(37738, NULL, 'IPR044357', NULL, 'NSP3, first ubiquitin-like (Ubl) domain, coronavirus', 'NSP3_Ubl1_dom_CoV', 3, NULL),
(37739, NULL, 'IPR044159', NULL, 'IQ domain-containing protein IQM', 'IQM', 4, NULL),
(37740, NULL, 'IPR044129', NULL, 'Rho guanine nucleotide exchange factor 3, PH domain', 'PH_RhoGEF3_XPLN', 3, NULL),
(37741, NULL, 'IPR043839', NULL, 'PafC, HTH domain', 'PafC_HTH', 3, NULL),
(37742, NULL, 'IPR044644', NULL, 'Multi antimicrobial extrusion protein DinF-like', 'DinF-like', 4, NULL),
(37743, NULL, 'IPR043783', NULL, 'Domain of unknown function DUF5725', 'DUF5725', 3, NULL),
(37744, NULL, 'IPR044459', NULL, 'ADAR2, second double-stranded RNA binding domain', 'ADAR2_DSRM_2', 3, NULL),
(37745, NULL, 'IPR044122', NULL, 'UPF0261 domain', 'UPF0261_dom', 3, NULL),
(37746, NULL, 'IPR043533', NULL, 'Cyclic nucleotide-binding domain-containing protein 1/2', 'CNBD1/2', 4, NULL),
(37747, NULL, 'IPR043063', NULL, 'Agglutinin-like protein, N-terminal, N2 subdomain', 'Agglutinin-like_N_N2', 5, NULL),
(37748, NULL, 'IPR042693', NULL, 'ETS-related transcription factor Elf-3, pointed domain', 'Elf-3_PNT', 3, NULL),
(37749, NULL, 'IPR043770', NULL, 'Domain of unknown function DUF5716', 'DUF5716_C', 3, NULL),
(37750, NULL, 'IPR042839', NULL, 'Forkhead box protein M1', 'FOXM1', 4, NULL),
(37751, NULL, 'IPR043146', NULL, 'Penicillin amidase type, N-terminal domain, B-knob', 'Penicillin_amidase_N_B-knob', 5, NULL),
(37752, NULL, 'IPR045191', NULL, 'E3 ubiquitin-protein ligase MBR1/2-like', 'MBR1/2-like', 4, NULL),
(37753, NULL, 'IPR044415', NULL, 'PRDM5, PR/SET domain', 'PRDM5_PR-SET', 3, NULL),
(37754, NULL, 'IPR043774', NULL, 'Domain of unknown function DUF5717, C-terminal', 'DUF5717_C', 3, NULL),
(37755, NULL, 'IPR043702', NULL, 'Lipid II isoglutaminyl synthase (glutamine-hydrolyzing) subunit GatD', 'Lipid_II_synth_GatD', 4, NULL),
(37756, NULL, 'IPR043653', NULL, 'Domain of unknown function DUF5880', 'DUF5880', 3, NULL),
(37757, NULL, 'IPR043922', NULL, 'Protein of unknown function DUF5773', 'DUF5773', 4, NULL),
(37758, NULL, 'IPR044460', NULL, 'ADAR3, first double-stranded RNA binding domain', 'ADAR3_DSRM_1', 3, NULL),
(37759, NULL, 'IPR044866', NULL, 'HNF-1, dimerization domain', 'HNF_P1', 3, NULL),
(37760, NULL, 'IPR044568', NULL, 'Sodium channel subunit beta-1', 'Na_chnl_b1', 4, NULL),
(37761, NULL, 'IPR044456', NULL, 'ADAR1, first double-stranded RNA binding domain', 'ADAR1_DSRM_1', 3, NULL),
(37762, NULL, 'IPR043538', NULL, 'Xylosyltransferase', 'XYLT', 4, NULL),
(37763, NULL, 'IPR043905', NULL, 'Protein of unknown function DUF5771', 'DUF5771', 4, NULL),
(37764, NULL, 'IPR042771', NULL, 'TFIIIC subunit GTF3C6-like', 'GTF3C6-like', 4, NULL),
(37765, NULL, 'IPR043385', NULL, 'Granule associated Rac and RHOG effector protein 1', 'GARRE1', 4, NULL),
(37766, NULL, 'IPR043773', NULL, 'Protein of unknown function DUF5716', 'DUF5716', 4, NULL),
(37767, NULL, 'IPR044873', NULL, 'Spike glycoprotein S2, coronavirus, heptad repeat 1', 'Spike_S2_CoV_HR1', 3, NULL),
(37768, NULL, 'IPR043973', NULL, 'CCN, TSP1 domain', 'TSP1_CCN', 3, NULL),
(37769, NULL, 'IPR043503', NULL, 'Papain-like viral protease, palm and finger domains, coronavirus', 'PLpro_palm_finger_dom_CoV', 5, NULL),
(37770, NULL, 'IPR042977', NULL, 'Chaperone protein AtJ6-like', 'AtJ6-like', 4, NULL),
(37771, NULL, 'IPR044399', NULL, 'Myoglobin-like, M family globin domain', 'Mb-like_M', 3, NULL),
(37772, NULL, 'IPR045016', NULL, 'Na(+)/H(+) antiporter NhaD-like', 'NhaD-like', 4, NULL),
(37773, NULL, 'IPR042825', NULL, 'PLK2, catalytic domain', 'PLK2_STKc', 3, NULL),
(37774, NULL, 'IPR044577', NULL, 'Heavy metal-associated isoprenylated plant protein 4/7/8/17/18/19', 'HIPP4/7/8/17/18/19', 4, NULL),
(37775, NULL, 'IPR044424', NULL, 'KMT5B , SET domain', 'KMT5B_SET', 3, NULL),
(37776, NULL, 'IPR044430', NULL, 'SETD6, SET domain', 'SETD6_SET', 3, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37777, NULL, 'IPR043688', NULL, 'SAR-endolysin-like', 'SAR_endolysin-like', 4, NULL),
(37778, NULL, 'IPR043603', NULL, 'Phlebovirus glycoprotein G2, C-terminal domain', 'Phlebo_G2_C', 3, NULL),
(37779, NULL, 'IPR044100', NULL, 'Homer, EVH1 domain', 'Homer_EVH1', 3, NULL),
(37780, NULL, 'IPR044457', NULL, 'ADAR1, third double-stranded RNA binding domain', 'ADAR1_DSRM_3', 3, NULL),
(37781, NULL, 'IPR045197', NULL, 'Nuclear pore membrane glycoprotein 210-like', 'NUP210-like', 4, NULL),
(37782, NULL, 'IPR044412', NULL, 'PRDM17, PR/SET domain', 'PRDM17_PR-SET', 3, NULL),
(37783, NULL, 'IPR044145', NULL, 'Translation initiation factor IF-2, domain II', 'IF2_II', 3, NULL),
(37784, NULL, 'IPR043081', NULL, 'Apolipoprotein C-I domain superfamily', 'ApoC-1_sf', 5, NULL),
(37785, NULL, 'IPR043645', NULL, 'Peripherally associated ATOM36', 'pATOM36', 4, NULL),
(37786, NULL, 'IPR044697', NULL, '(S)-ureidoglycine aminohydrolase, C-terminal cupin domain', 'UGlyAH_cupin_C', 3, NULL),
(37787, NULL, 'IPR044127', NULL, 'Initiation factor eIF2 gamma, domain 2', 'eIF2g_dom_2', 3, NULL),
(37788, NULL, 'IPR042617', NULL, 'CST complex subunit CTC1-like', 'CTC1-like', 4, NULL),
(37789, NULL, 'IPR044104', NULL, 'Alfin1-like, PHD finger', 'PHD_AL_plant', 3, NULL),
(37790, NULL, 'IPR042831', NULL, '54S ribosomal protein L28, mitochondrial', 'YmL28', 4, NULL),
(37791, NULL, 'IPR042799', NULL, 'Talin rod domain-containing protein 1', 'TLNRD1', 4, NULL),
(37792, NULL, 'IPR044266', NULL, 'Phosphoserine phosphatase YsaA', 'PSP_YsaA', 4, NULL),
(37793, NULL, 'IPR043612', NULL, 'Coronavirus replicase NSP4, N-terminal', 'CoV_NSP4_N', 3, NULL),
(37794, NULL, 'IPR044813', NULL, 'Acyl carrier protein, chloroplastic', 'ACP_chloroplastic', 4, NULL),
(37795, NULL, 'IPR043791', NULL, 'Domain of unknown function DUF5733', 'DUF5733', 3, NULL),
(37796, NULL, 'IPR044095', NULL, 'ADCK2-like dom', 'ADCK2_dom', 3, NULL),
(37797, NULL, 'IPR044165', NULL, 'Dolichyl-diphosphooligosaccharide--protein glycosyltransferase subunit 4, plant', 'OST4_plant', 4, NULL),
(37798, NULL, 'IPR044328', NULL, 'Nonstructural protein 15, N-terminal, gammacoronavirus', 'NSP15_gammaCoV_N', 3, NULL),
(37799, NULL, 'IPR044358', NULL, 'RNA-dependent RNA polymerase, gammacoronavirus', 'RdRp_gammaCoV', 3, NULL),
(37800, NULL, 'IPR043679', NULL, '5-deoxyribose 1-phosphate isomerase', 'Deoxyribose1P_isomerase_DrdI', 4, NULL),
(37801, NULL, 'IPR044083', NULL, '(R)-stereoselective amidase RamA-like', 'RamA-like', 3, NULL),
(37802, NULL, 'IPR042790', NULL, 'Heat shock protein beta-8, alpha-crystallin domain (ACD)', 'HspB8_ACD', 3, NULL),
(37803, NULL, 'IPR045347', NULL, 'HIND motif', 'HIND', 2, NULL),
(37804, NULL, 'IPR044265', NULL, 'Terminase, large subunit BPP22-like', 'Terminase_large_su_BPP22', 4, NULL),
(37805, NULL, 'IPR043676', NULL, 'Glucosyltransferase 3', 'Gtf3', 4, NULL),
(37806, NULL, 'IPR043140', NULL, 'Ribosomal protein S14/S29', 'Ribosomal_S14/S29', 5, NULL),
(37807, NULL, 'IPR042201', NULL, 'Formin, FH2 domain superfamily', 'FH2_Formin_sf', 5, NULL),
(37808, NULL, 'IPR044712', NULL, 'NAD/FAD transporter SLC25A32-like', 'SLC25A32-like', 4, NULL),
(37809, NULL, 'IPR044163', NULL, 'Sanguinarine reductase SARED1-like', 'SARED1-like', 4, NULL),
(37810, NULL, 'IPR044044', NULL, 'Domain of unknown function DUF5679', 'DUF5679', 3, NULL),
(37811, NULL, 'IPR042821', NULL, 'Semaphorin-5A, sema domain', 'Sema5A_sema', 3, NULL),
(37812, NULL, 'IPR043592', NULL, 'Formin-like protein, animal', 'FMNL_animal', 4, NULL),
(37813, NULL, 'IPR043761', NULL, 'Protein of unknown function DUF5707', 'DUF5707', 4, NULL),
(37814, NULL, 'IPR043799', NULL, 'Domain of unknown function DUF5738', 'DUF5738', 3, NULL),
(37815, NULL, 'IPR042194', NULL, 'FHIPEP, domain 1', 'FHIPEP_1', 5, NULL),
(37816, NULL, 'IPR042213', NULL, 'Four-carbon acid sugar kinase, nucleotide binding domain superfamily', 'NBD_C_sf', 5, NULL),
(37817, NULL, 'IPR043588', NULL, 'Slingshot, N-terminal', 'SSH-N', 3, NULL),
(37818, NULL, 'IPR043692', NULL, 'Ubiquinone biosynthesis protein UbiU', 'UbiU', 4, NULL),
(37819, NULL, 'IPR044048', NULL, 'Bacterial Ig-like domain 12', 'Big_12', 3, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37820, NULL, 'IPR043681', NULL, 'Rqc2 homolog RqcH, archaeal', 'RqcH_archaeal', 4, NULL),
(37821, NULL, 'IPR044420', NULL, 'SMYD3, SET domain', 'SMYD3_SET', 3, NULL),
(37822, NULL, 'IPR044499', NULL, 'Aldo-keto reductase family 5A', 'AKR5A', 4, NULL),
(37823, NULL, 'IPR045193', NULL, 'Serine/threonine-protein kinase Fused-like', 'Fused-like', 4, NULL),
(37824, NULL, 'IPR044838', NULL, 'Probable metalloprotease EGY1-like', 'EGY1-like', 4, NULL),
(37825, NULL, 'IPR044938', NULL, 'Enhancer of mRNA-decapping protein 4, conserved C-terminal domain', 'EDC4_C', 5, NULL),
(37826, NULL, 'IPR044791', NULL, 'Beta-glucanase/XTH', 'Beta-glucanase/XTH', 4, NULL),
(37827, NULL, 'IPR043686', NULL, 'ATP-binding protein Uup', 'Uup', 4, NULL),
(37828, NULL, 'IPR044427', NULL, 'LegAS4-like, SET domain', 'LegAS4-like_SET', 3, NULL),
(37829, NULL, 'IPR042826', NULL, 'Plexin-A2, sema domain', 'Plexin-A2_sema', 3, NULL),
(37830, NULL, 'IPR044101', NULL, 'Retinoid-related orphan receptors, DNA-binding domain', 'NR_DBD_ROR', 3, NULL),
(37831, NULL, 'IPR043786', NULL, 'Domain of unknown function DUF5728', 'DUF5728', 3, NULL),
(37832, NULL, 'IPR043803', NULL, 'Domain of unknown function DUF5872', 'DUF5872', 3, NULL),
(37833, NULL, 'IPR043640', NULL, 'AF4/FMR2, C-terminal homology domain', 'AF4/FMR2_CHD', 3, NULL),
(37834, NULL, 'IPR043518', NULL, '2-5-oligoadenylate synthetase, N-terminal conserved site', '2-5OAS_N_CS', 2, NULL),
(37835, NULL, 'IPR043117', NULL, 'Restriction endonuclease, type II SfiI, domain 2', 'Restrct_endonuc_II_SfiI_dom2', 5, NULL),
(37836, NULL, 'IPR043916', NULL, 'Protein of unknown function DUF5761', 'DUF5761', 4, NULL),
(37837, NULL, 'IPR043937', NULL, 'Golgin subfamily A member 2, C-terminal binding motif', 'GM130_C', 2, NULL),
(37838, NULL, 'IPR044199', NULL, 'NAD(P)H-quinone oxidoreductase subunit U, chloroplastic', 'NdhU_chloroplastic', 4, NULL),
(37839, NULL, 'IPR044778', NULL, 'Sugar transport protein STP/MST-like, plant', 'MFS_STP/MST-like_plant', 4, NULL),
(37840, NULL, 'IPR043934', NULL, 'SidE, DUB domain', 'SidE_DUB', 3, NULL),
(37841, NULL, 'IPR044043', NULL, 'Vanillate O-demethylase oxygenase-like, C-terminal catalytic domain', 'VanA_C_cat', 3, NULL),
(37842, NULL, 'IPR044498', NULL, 'Aldo-keto reductase family 4C', 'AKR4C', 4, NULL),
(37843, NULL, 'IPR044950', NULL, 'Protein TRACHEARY ELEMENT DIFFERENTIATION-RELATED 6/7', 'TED6/7', 4, NULL),
(37844, NULL, 'IPR044586', NULL, 'E3 ubiquitin-protein ligase APD1/2/3/4', 'APD1/2/3/4', 4, NULL),
(37845, NULL, 'IPR044451', NULL, 'AtDRB-like, second double-stranded RNA binding domain, plant', 'AtDRB-like_DSRM_2', 3, NULL),
(37846, NULL, 'IPR042511', NULL, 'DNA replication regulator Sld3', 'Sld3', 4, NULL),
(37847, NULL, 'IPR043606', NULL, 'Coronavirus replicase NSP15, N-terminal oligomerisation', 'CoV_NSP15_N', 3, NULL),
(37848, NULL, 'IPR043647', NULL, 'Nodavirus methyltransferase domain', 'Noda_Vmethyltr_dom', 3, NULL),
(37849, NULL, 'IPR044426', NULL, 'Suv4-20, SET domain', 'Suv4-20_SET', 3, NULL),
(37850, NULL, 'IPR044628', NULL, 'Elongation factor 1-gamma, plant', 'EF-1-gamma_plant', 4, NULL),
(37851, NULL, 'IPR043579', NULL, 'Cutinase, aspartate and histidine active sites', 'CUTINASE_2', 2, NULL),
(37852, NULL, 'IPR043381', NULL, 'Solute carrier family 15 member 2', 'SLC15A2', 3, NULL),
(37853, NULL, 'IPR043798', NULL, 'Domain of unknown function DUF5737', 'DUF5737', 3, NULL),
(37854, NULL, 'IPR043703', NULL, 'Lipid II isoglutaminyl synthase (glutamine-hydrolyzing) subunit MurT', 'Lipid_II_synth_MurT', 4, NULL),
(37855, NULL, 'IPR044458', NULL, 'ADAR2, first double-stranded RNA binding domain', 'ADAR2_DSRM_1', 3, NULL),
(37856, NULL, 'IPR044785', NULL, 'Rho GTPase-activating protein 1-5', 'RopGAP1-5', 4, NULL),
(37857, NULL, 'IPR044445', NULL, 'DHX9, first double-stranded RNA binding domain', 'DHX9_DSRM_1', 3, NULL),
(37858, NULL, 'IPR043158', NULL, 'Wnt, C-terminal domain', 'Wnt_C', 5, NULL),
(37859, NULL, 'IPR043936', NULL, 'HOOK, N-terminal', 'HOOK_N', 3, NULL),
(37860, NULL, 'IPR044752', NULL, 'Exonuclease 1-like, PIN-like domain', 'PIN-like_EXO1', 3, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37861, NULL, 'IPR042814', NULL, 'MORN repeat-containing protein 5', 'Morn5', 4, NULL),
(37862, NULL, 'IPR043682', NULL, 'Rqc2 homolog RqcH, bacterial', 'RqcH_bacterial', 4, NULL),
(37863, NULL, 'IPR044835', NULL, 'Auxin response factor', 'ARF_plant', 4, NULL),
(37864, NULL, 'IPR044422', NULL, 'SMYD5, SET domain', 'SMYD5_SET', 3, NULL),
(37865, NULL, 'IPR045008', NULL, 'Acyl-coenzyme A oxidase 4-like', 'ACX4-like', 4, NULL),
(37866, NULL, 'IPR043580', NULL, 'Cutinase, serine active site', 'CUTINASE_1', 2, NULL),
(37867, NULL, 'IPR044267', NULL, 'Terminase, large subunit, gp17-like', 'Terminase_large_su_gp17-like', 4, NULL),
(37868, NULL, 'IPR043561', NULL, 'Transcription factor LHW-like', 'LHW-like', 4, NULL),
(37869, NULL, 'IPR042767', NULL, 'Serine/threonine-protein kinase Nek9, catalytic domain', 'Nek9_STKc', 3, NULL),
(37870, NULL, 'IPR043772', NULL, 'MBG domain', 'MBG_3', 3, NULL),
(37871, NULL, 'IPR044790', NULL, 'Mediator of RNA polymerase II transcription subunit 26c-like', 'MD26C-like', 4, NULL),
(37872, NULL, 'IPR044146', NULL, 'Tex, S1 domain', 'S1_Tex', 3, NULL),
(37873, NULL, 'IPR044695', NULL, '30S ribosomal protein S31, plant', 'RPS31_plant', 4, NULL),
(37874, NULL, 'IPR044484', NULL, 'Aldo-keto reductase family 1 member E2', 'AKR1E2', 4, NULL),
(37875, NULL, 'IPR044253', NULL, 'Thioredoxin-like 3-1/3-2', 'WCRKC1/2', 4, NULL),
(37876, NULL, 'IPR042969', NULL, 'Ubiquitin D', 'Ubiquitin_D', 4, NULL),
(37877, NULL, 'IPR043563', NULL, 'Nuclear body protein Sp110/Sp140/Sp140L', 'Sp110/Sp140/Sp140L', 4, NULL),
(37878, NULL, 'IPR044274', NULL, 'E3 ubiquitin-protein ligase RFI2', 'RFI2', 4, NULL),
(37879, NULL, 'IPR044863', NULL, 'Nidovirus  RdRp-associated nucleotidyl transferase (NiRAN) domain', 'NIRAN', 3, NULL),
(37880, NULL, 'IPR044812', NULL, 'LysM domain receptor kinase CERK1/LYK3-like', 'CERK1/LYK3-like', 4, NULL),
(37881, NULL, 'IPR044161', NULL, 'Sucrose-phosphate synthase', 'SPS', 4, NULL),
(37882, NULL, 'IPR044320', NULL, 'NSP11, N-terminal, arterivirus', 'NSP11_Av_N', 3, NULL),
(37883, NULL, 'IPR042208', NULL, 'D-serine dehydratase-like domain superfamily', 'D-ser_dehydrat-like_sf', 5, NULL),
(37884, NULL, 'IPR044141', NULL, 'AhpF, N-terminal domain, C-terminal TRX-fold subdomain', 'AhpF_NTD_C', 3, NULL),
(37885, NULL, 'IPR042615', NULL, 'DHX57, UBA domain', 'DHX57_UBA', 3, NULL),
(37886, NULL, 'IPR044297', NULL, 'Protein CELLULOSE SYNTHASE INTERACTIVE 1/2/3', 'CSI1/2/3', 4, NULL),
(37887, NULL, 'IPR042215', NULL, 'CarD-like, C-terminal domain', 'CarD-like_C', 5, NULL),
(37888, NULL, 'IPR043834', NULL, 'Response receiver domain', 'REC', 3, NULL),
(37889, NULL, 'IPR044432', NULL, 'Set10/Efm1, SET domain', 'Set10/Efm1_SET', 3, NULL),
(37890, NULL, 'IPR044837', NULL, 'B3 domain-containing protein REM16-like', 'REM16-like', 4, NULL),
(37891, NULL, 'IPR045423', NULL, 'Protein of unknown function DUF6510', 'DUF6510', 4, NULL),
(37892, NULL, 'IPR042158', NULL, 'PI-PLC X domain-containing protein 1/2/3', 'PLCXD1/2/3', 4, NULL),
(37893, NULL, 'IPR043938', NULL, 'Ligase-CoA domain', 'Ligase_CoA_dom', 3, NULL),
(37894, NULL, 'IPR044038', NULL, 'dATP/dGTP diphosphohydrolase, N-terminal', 'dATP/dGTP_diPOhydrolase_N', 3, NULL),
(37895, NULL, 'IPR042204', NULL, '2Fe-2S iron-sulfur cluster binding domain, N-terminal', '2Fe-2S-bd_N', 5, NULL),
(37896, NULL, 'IPR044331', NULL, 'Nonstructural protein 15, N-terminal, deltacoronavirus', 'NSP15_N_deltaCoV', 3, NULL),
(37897, NULL, 'IPR044718', NULL, 'E3 ubiquitin-protein ligase HOS1', 'HOS1', 4, NULL),
(37898, NULL, 'IPR043696', NULL, 'N-succinylornithine carbamoyltransferase ArgF''-like', 'ArgF''-like', 4, NULL),
(37899, NULL, 'IPR042216', NULL, 'MitoNEET, CDGSH iron-sulfur domain', 'MitoNEET_CISD', 5, NULL),
(37900, NULL, 'IPR044486', NULL, 'Aldo-keto reductase family 2B', 'AKR2B1', 4, NULL),
(37901, NULL, 'IPR045356', NULL, 'Protein of unknown function DUF5882', 'DUF5882', 4, NULL),
(37902, NULL, 'IPR043034', NULL, 'DNA polymerase alpha, subunit B, N-terminal domain superfamily', 'DNA_pol_alpha_B_N_sf', 5, NULL),
(37903, NULL, 'IPR043795', NULL, 'N-alpha-acetyl diaminobutyric acid deacetylase-like', 'N-alpha-Ac-DABA-like', 4, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37904, NULL, 'IPR043906', NULL, 'Gfo/Idh/MocA-like oxidoreductase, bacterial type, C-terminal', 'Gfo/Idh/MocA_OxRdtase_bact_C', 3, NULL),
(37905, NULL, 'IPR044454', NULL, 'ADAD2, double-stranded RNA binding domain', 'ADAD2_DSRM', 3, NULL),
(37906, NULL, 'IPR043269', NULL, 'Lateral signaling target protein 2, FYVE domain', 'FYVE_LST2', 3, NULL),
(37907, NULL, 'IPR044275', NULL, 'Cyclin-dependent kinase inhibitor, plant', 'KRP', 4, NULL),
(37908, NULL, 'IPR045348', NULL, 'CPSF complex subunit CPSF4-like', 'CPSF4/Yth1', 4, NULL),
(37909, NULL, 'IPR044710', NULL, 'PLASTID TRANSCRIPTIONALLY ACTIVE protein 6', 'PTAC6', 4, NULL),
(37910, NULL, 'IPR044425', NULL, 'KMT5C , SET domain', 'KMT5C_SET', 3, NULL),
(37911, NULL, 'IPR044121', NULL, 'Snu114, GTP-binding domain', 'Snu114_GTP-bd', 3, NULL),
(37912, NULL, 'IPR043929', NULL, 'Protein of unknown function DUF5755', 'DUF5755', 4, NULL),
(37913, NULL, 'IPR044079', NULL, 'TBCE, ubiquitin-like (Ubl) domain', 'Ubl_TBCE', 3, NULL),
(37914, NULL, 'IPR043784', NULL, 'Domain of unknown function DUF5726', 'DUF5726', 3, NULL),
(37915, NULL, 'IPR044726', NULL, 'ABC transporter C family, six-transmembrane helical domain 2', 'ABCC_6TM_D2', 3, NULL),
(37916, NULL, 'IPR044857', NULL, 'Type VII secretion system EccB, repeat 1 domain', 'T7SS_EccB_R1', 5, NULL),
(37917, NULL, 'IPR043915', NULL, 'Protein of unknown function DUF5762', 'DUF5762', 4, NULL),
(37918, NULL, 'IPR044103', NULL, 'LAS seventeen-binding protein 5 , GAT domain', 'GAT_LSB5', 3, NULL),
(37919, NULL, 'IPR044190', NULL, 'Protein THYLAKOID ASSEMBLY 8-like', 'THA8-like', 4, NULL),
(37920, NULL, 'IPR043360', NULL, 'PP2B', 'PP2B', 4, NULL),
(37921, NULL, 'IPR043245', NULL, 'Complement component C8 gamma chain', 'C8G', 4, NULL),
(37922, NULL, 'IPR045354', NULL, 'BURAN domain', 'BURAN', 3, NULL),
(37923, NULL, 'IPR044111', NULL, 'GGA3, GAT domain', 'GAT_GGA3', 3, NULL),
(37924, NULL, 'IPR043663', NULL, 'NAD-protein ADP-ribosyltransferase ModA-like', 'MODA-like', 4, NULL),
(37925, NULL, 'IPR043762', NULL, 'Family of unknown function DUF5708', 'DUF5708', 4, NULL),
(37926, NULL, 'IPR044418', NULL, 'SMYD1, SET domain', 'SMYD1_SET', 3, NULL),
(37927, NULL, 'IPR043842', NULL, 'Domain of unknown function DUF5866', 'DUF5866', 3, NULL),
(37928, NULL, 'IPR044452', NULL, 'EIF2AK2, first double-stranded RNA binding domain', 'EIF2AK2_DSRM_1', 3, NULL),
(37929, NULL, 'IPR043911', NULL, 'Protein of unknown function DUF5766', 'DUF5766', 4, NULL),
(37930, NULL, 'IPR044814', NULL, 'Terpene cyclases, class 1, plant', 'Terpene_cyclase_plant_C1', 4, NULL),
(37931, NULL, 'IPR043904', NULL, 'PhoD-like phosphatase', 'PhoD_2-like', 3, NULL),
(37932, NULL, 'IPR045351', NULL, 'Domain of unknown function DUF6531', 'DUF6531', 3, NULL),
(37933, NULL, 'IPR043840', NULL, 'Protein of unknown function DUF5868', 'DUF5868', 4, NULL),
(37934, NULL, 'IPR044144', NULL, 'UxaA/GarD, SAF domain', 'UxaA/GarD_SAF', 3, NULL),
(37935, NULL, 'IPR043787', NULL, 'Domain of unknown function DUF5729', 'DUF5729', 3, NULL),
(37936, NULL, 'IPR042755', NULL, 'E3 ubiquitin-protein ligase COP1', 'COP1', 4, NULL),
(37937, NULL, 'IPR044164', NULL, 'Chalcone--flavonone isomerase', 'CFI', 4, NULL),
(37938, NULL, 'IPR044720', NULL, 'Small zinc finger protein HVO_2753-like', 'HVO_2753-like', 4, NULL),
(37939, NULL, 'IPR044548', NULL, 'Uncharacterised protein AF_0060, NTP Pyrophosphohydrolase MazG-like domain', 'AF0060_NTP-PPase_MazG-like', 3, NULL),
(37940, NULL, 'IPR043673', NULL, 'Carbamoyl-phosphate synthase', 'CPSase_Archaea', 4, NULL),
(37941, NULL, 'IPR044200', NULL, 'Uncharacterized protein At5g03900-like', 'At5g03900-like', 4, NULL),
(37942, NULL, 'IPR042255', NULL, 'Ethanolamine ammonia-lyase light chain, N-terminal', 'EutC_N', 5, NULL),
(37943, NULL, 'IPR042835', NULL, 'Pleckstrin homology domain-containing family N member 1', 'PLEKHN1', 4, NULL),
(37944, NULL, 'IPR044428', NULL, 'SETD3, SET domain', 'SETD3_SET', 3, NULL),
(37945, NULL, 'IPR043156', NULL, 'Catalase, mono-functional, haem-containing, clade 2, helical domain', 'Catalase_clade2_helical', 5, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37946, NULL, 'IPR043844', NULL, 'Domain of unknown function DUF5865', 'DUF5865', 3, NULL),
(37947, NULL, 'IPR043554', NULL, 'SNF1-related protein kinase regulatory subunit beta', 'KINB', 4, NULL),
(37948, NULL, 'IPR044875', NULL, 'ToxT, HTH1 motif superfamily', 'ToxT_HTH1', 5, NULL),
(37949, NULL, 'IPR044808', NULL, 'Ethylene-responsive transcription factor', 'ERF_plant', 4, NULL),
(37950, NULL, 'IPR042257', NULL, '2-keto-3-deoxy-galactonokinase, C-terminal domain', 'DGOK_C', 5, NULL),
(37951, NULL, 'IPR042829', NULL, '3-keto-steroid reductase', 'HSD17B7/Erg27', 4, NULL),
(37952, NULL, 'IPR042206', NULL, 'CRISPR-associated endonuclease Cas1, C-terminal domain', 'CRISPR-assoc_Cas1_C', 5, NULL),
(37953, NULL, 'IPR044549', NULL, 'Transcription factor IBH1-like, bHLH domain', 'bHLH_AtIBH1-like', 3, NULL),
(37954, NULL, 'IPR042974', NULL, 'Junctional adhesion molecule C', 'JAM-C', 4, NULL),
(37955, NULL, 'IPR044213', NULL, 'Thylakoid lumenal 15kDa protein 1-like', 'At2g44920-like', 4, NULL),
(37956, NULL, 'IPR042822', NULL, 'Membrane Guanylate Cyclase receptor GC-C, pseudokinase domain', 'GC-C_PK', 3, NULL),
(37957, NULL, 'IPR043035', NULL, 'Growth arrest and DNA damage-inducible proteins-interacting protein 1 domain superfamily', 'Damage-induce-interact_sf', 5, NULL),
(37958, NULL, 'IPR042849', NULL, 'Rho guanine nucleotide exchange factor 33', 'ARHGEF33', 4, NULL),
(37959, NULL, 'IPR043128', NULL, 'Reverse transcriptase/Diguanylate cyclase domain', 'Rev_trsase/Diguanyl_cyclase', 5, NULL),
(37960, NULL, 'IPR043656', NULL, 'Protein of unknown function DUF5877', 'DUF5877', 4, NULL),
(37961, NULL, 'IPR044727', NULL, 'Kelch-like protein 42, BTB and C-terminal Kelch domain', 'KLHL42_BACK', 3, NULL),
(37962, NULL, 'IPR042205', NULL, 'Hepatitis C virus non-structural protein NS2, C-terminal domain', 'HCV_NS2_C', 5, NULL),
(37963, NULL, 'IPR044806', NULL, 'Protein WAVE-DAMPENED 2-like', 'WVD2/WDL1-3', 4, NULL),
(37964, NULL, 'IPR044935', NULL, 'Domain of unknown function DUF5086 superfamily', 'DUF5086_sf', 5, NULL),
(37965, NULL, 'IPR044094', NULL, 'AtsA-like, MBL-fold', 'AtsA-like_MBL-fold', 3, NULL),
(37966, NULL, 'IPR044143', NULL, 'Glycogen branching enzyme GlgB, N-terminal Early set domain', 'GlgB_N_E_set_prok', 3, NULL),
(37967, NULL, 'IPR042202', NULL, 'Duffy-antigen binding superfamily', 'Duffy-ag-bd_sf', 5, NULL),
(37968, NULL, 'IPR044037', NULL, 'FANCL, UBC-like domain 3', 'FANCL_d3', 3, NULL),
(37969, NULL, 'IPR043913', NULL, 'Protein of unknown function DUF5764', 'DUF5764', 4, NULL),
(37970, NULL, 'IPR042116', NULL, 'GTP-binding protein TypA/BipA, C-terminal', 'TypA/BipA_C', 5, NULL),
(37971, NULL, 'IPR044137', NULL, 'Aconitase A, swivel domain', 'AcnA_IRP_Swivel', 3, NULL),
(37972, NULL, 'IPR043601', NULL, 'R-spondin, Fu-CRD domain', 'Rspo_Fu-CRD_dom', 3, NULL),
(37973, NULL, 'IPR044854', NULL, 'Signal transduction protein PmrD', 'PmrD_dom', 3, NULL),
(37974, NULL, 'IPR043532', NULL, 'AP-2 complex subunit mu, N-terminal', 'AP2_Mu_N', 3, NULL),
(37975, NULL, 'IPR044660', NULL, 'Transcription factor IBH1-like', 'IBH1-like', 4, NULL),
(37976, NULL, 'IPR044729', NULL, 'CBS domain-containing protein, bacteria', 'CBS_bac', 3, NULL),
(37977, NULL, 'IPR043764', NULL, 'Domain of unknown function DUF5710', 'DUF5710', 3, NULL),
(37978, NULL, 'IPR042731', NULL, 'Sodium/myo-inositol cotransporter SMIT', 'SMIT', 4, NULL),
(37979, NULL, 'IPR042614', NULL, 'Ubiquitin-conjugating enzyme E2-22kDa (UbcD4) , UBA domain', 'UBCD4_UBA', 3, NULL),
(37980, NULL, 'IPR043919', NULL, 'Protein of unknown function DUF5758', 'DUF5758', 4, NULL),
(37981, NULL, 'IPR044312', NULL, 'MERS-CoV  ORF8b protein-like', 'merbe_CoV_ORF8b-like', 4, NULL),
(37982, NULL, 'IPR044744', NULL, 'ZNRF4 /RNF13/RNF167, PA domain', 'ZNRF4/RNF13/RNF167_PA', 3, NULL),
(37983, NULL, 'IPR042118', NULL, 'QueA, domain 1', 'QueA_dom1', 5, NULL),
(37984, NULL, 'IPR044810', NULL, 'WRKY transcription factor, plant', 'WRKY_plant', 4, NULL),
(37985, NULL, 'IPR044142', NULL, 'AhpF, N-terminal domain, N-terminal TRX-fold subdomain', 'AhpF_NTD_N', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(37986, NULL, 'IPR044739', NULL, 'NRT1/PTR family', 'NRT1/PTR', 4, NULL),
(37987, NULL, 'IPR043371', NULL, 'cAMP-specific 3'',5''-cyclic phosphodiesterase 4', 'PDE4', 4, NULL),
(37988, NULL, 'IPR042978', NULL, 'DnaJ homolog subfamily C member 24', 'DNAJC24', 4, NULL),
(37989, NULL, 'IPR042744', NULL, 'Plexin-A1, Sema domain', 'Plexin-A1_Sema', 3, NULL),
(37990, NULL, 'IPR044119', NULL, 'LigC-like, adenylation domain', 'Adenylation_LigC-like', 3, NULL),
(37991, NULL, 'IPR044431', NULL, 'RBCMT, SET domain', 'SET_RBCMT', 3, NULL),
(37992, NULL, 'IPR043953', NULL, 'Protein of unknown function DUF5784', 'DUF5784', 4, NULL),
(37993, NULL, 'IPR044056', NULL, 'Internalin I, Ig-like domain', 'InlI_Ig-like', 3, NULL),
(37994, NULL, 'IPR045350', NULL, 'Protein of unknown function DUF5968', 'DUF5968', 4, NULL),
(37995, NULL, 'IPR044392', NULL, 'ORF8, bat coronavirus Rf1-like', 'ORF8_Bat_SARS_CoV_Rf1-like', 4, NULL),
(37996, NULL, 'IPR043519', NULL, 'Nucleotidyltransferase superfamily', 'NT_sf', 5, NULL),
(37997, NULL, 'IPR044295', NULL, 'Transcription factor BIM1/2/3', 'BIM1/2/3', 4, NULL),
(37998, NULL, 'IPR044505', NULL, 'Glycogen debranching enzyme GlgX/isoamylase, N-terminal Early set domain', 'GlgX_Isoamylase_N_E_set', 3, NULL),
(37999, NULL, 'IPR042295', NULL, 'NarX-like, N-terminal domain superfamily', 'NarX-like_N_sf', 5, NULL),
(38000, NULL, 'IPR044719', NULL, 'Protein TIC 62-like', 'TIC62', 4, NULL),
(38001, NULL, 'IPR042870', NULL, 'DAPK3, catalytic domain', 'DAPK3_STKc', 3, NULL),
(38002, NULL, 'IPR043747', NULL, 'Protein of unknown function DUF5692', 'DUF5692', 4, NULL),
(38003, NULL, 'IPR042846', NULL, 'BTB/POZ domain-containing protein 19', 'BTBD19', 4, NULL),
(38004, NULL, 'IPR045070', NULL, 'Multidrug and toxic compound extrusion MepA-like', 'MATE_MepA-like', 4, NULL),
(38005, NULL, 'IPR045262', NULL, 'Sugar transport protein STP/Polyol transporter PLT, plant', 'STP/PLT_plant', 4, NULL),
(38006, NULL, 'IPR043039', NULL, 'TBC1 domain family member 7, domain 2', 'TBC1D7_dom2', 5, NULL),
(38007, NULL, 'IPR043941', NULL, 'EMC6-arch', 'EMC6-arch', 4, NULL),
(38008, NULL, 'IPR044988', NULL, 'ATP synthase, F0 complex, subunit MI25, plants', 'MI25_plants', 4, NULL),
(38009, NULL, 'IPR045391', NULL, 'Protein of unknown function DUF6520', 'DUF6520', 4, NULL),
(38010, NULL, 'IPR043984', NULL, 'Domain of unknown function DUF5742', 'DUF5742', 3, NULL),
(38011, NULL, 'IPR045398', NULL, 'Protein of unknown function DUF6515', 'DUF6515', 4, NULL),
(38012, NULL, 'IPR045427', NULL, 'MoxR domain', 'MoxR', 3, NULL),
(38013, NULL, 'IPR042485', NULL, 'Type VII secretion system EccB, repeat 3 domain', 'T7SS_EccB_R3', 5, NULL),
(38014, NULL, 'IPR045384', NULL, 'Protein of unknown function DUF6527', 'DUF6527', 4, NULL),
(38015, NULL, 'IPR042113', NULL, 'Phosphate acetyltransferase, domain 1', 'P_AcTrfase_dom1', 5, NULL),
(38016, NULL, 'IPR044957', NULL, 'Ribosomal protein L32p, bacterial type', 'Ribosomal_L32p_bact', 4, NULL),
(38017, NULL, 'IPR043993', NULL, 'Type IV secretion system pilin', 'T4SS_pilin', 4, NULL),
(38018, NULL, 'IPR045037', NULL, 'Phosducin-like', 'PhLP', 4, NULL),
(38019, NULL, 'IPR043096', NULL, 'Poxvirus mRNA capping enzyme, small subunit superfamily', 'Poxvirus_mRNA-cap_ssu_sf', 5, NULL),
(38020, NULL, 'IPR042311', NULL, 'Pestivirus envelope glycoprotein E2, domain D', 'Pestivirus_E2_D', 5, NULL),
(38021, NULL, 'IPR045386', NULL, 'Protein of unknown function DUF6525', 'DUF6525', 4, NULL),
(38022, NULL, 'IPR045287', NULL, 'Protein IN CHLOROPLAST ATPASE BIOGENESIS', 'PAB', 4, NULL),
(38023, NULL, 'IPR043594', NULL, 'HMG-CoA lyase', 'HMGL', 4, NULL),
(38024, NULL, 'IPR042745', NULL, 'RNase L, RNase domain', 'RNase-L_RNase', 3, NULL),
(38025, NULL, 'IPR044325', NULL, 'Nonstructural protein 15, middle domain, gammacoronavirus', 'NSP15_M_gammaCoV', 3, NULL),
(38026, NULL, 'IPR043053', NULL, 'Pre-hexon-linking protein IIIa, N-terminal', 'Hex_IIIa_N', 5, NULL),
(38027, NULL, 'IPR043939', NULL, 'Domain of unknown function DUF5780', 'DUF5780', 3, NULL),
(38028, NULL, 'IPR045084', NULL, 'Transcription factor AIB/MYC-like', 'AIB/MYC-like', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38029, NULL, 'IPR045286', NULL, 'F-box protein FBS1-like', 'FBS1-like', 4, NULL),
(38030, NULL, 'IPR042711', NULL, 'CD80, immunoglobulin variable domain', 'CD80_IgV', 3, NULL),
(38031, NULL, 'IPR042625', NULL, 'Junctional adhesion molecule B', 'JAM2', 4, NULL),
(38032, NULL, 'IPR045430', NULL, 'Effector-associated domain 1', 'EAD1', 3, NULL),
(38033, NULL, 'IPR042624', NULL, 'GRAM domain-containing protein 2A', 'RAMD2A', 4, NULL),
(38034, NULL, 'IPR043041', NULL, 'Phospholipase B-like, domain 2', 'PLipase_B-like_dom2', 5, NULL),
(38035, NULL, 'IPR045437', NULL, 'Effector-associated domain 8', 'EAD8', 3, NULL),
(38036, NULL, 'IPR043917', NULL, 'Domain of unknown function DUF5753', 'DUF5753', 3, NULL),
(38037, NULL, 'IPR042558', NULL, 'Glutaminyl-tRNA synthetase, class Ib, non-specific RNA-binding domain, N-terminal, subdomain 1', 'Gln-tRNA-synth_Ib_RNA-bd_N_1', 5, NULL),
(38038, NULL, 'IPR045085', NULL, 'DNA polymerase III, subunit gamma/tau, helical lid domain', 'HLD_clamp_pol_III_gamma_tau', 3, NULL),
(38039, NULL, 'IPR045022', NULL, '3-ketodihydrosphingosine reductase KDSR-like', 'KDSR-like', 4, NULL),
(38040, NULL, 'IPR043048', NULL, 'Birnavirus VP3, domain 1', 'Birna_VP3_dom1', 5, NULL),
(38041, NULL, 'IPR043816', NULL, 'Protein of unknown function DUF5798', 'DUF5798', 4, NULL),
(38042, NULL, 'IPR042979', NULL, 'von Willebrand factor C domain-containing protein 2-like', 'VWC2/VWC2L', 4, NULL),
(38043, NULL, 'IPR043508', NULL, 'Brdt, bromodomain, repeat I', 'Bromo_Brdt_I', 3, NULL),
(38044, NULL, 'IPR044113', NULL, 'DDX41, DEAD-box helicase domain', 'DEADc_DDX41', 3, NULL),
(38045, NULL, 'IPR043560', NULL, 'Zinc finger CCCH-type with G patch domain-containing protein', 'ZGPAT', 4, NULL),
(38046, NULL, 'IPR042109', NULL, 'Adenylosuccinate synthetase, domain 1', 'Adenylosuccinate_synth_dom1', 5, NULL),
(38047, NULL, 'IPR042779', NULL, 'MISP/MISP3', 'MISP/MISP3', 4, NULL),
(38048, NULL, 'IPR042710', NULL, 'Testis-specific serine/threonine-protein kinase 6, catalytic domain', 'TSSK6_STKc', 3, NULL),
(38049, NULL, 'IPR043573', NULL, 'Polyphosphoinositide phosphatase Fig4-like', 'Fig4-like', 4, NULL),
(38050, NULL, 'IPR045044', NULL, 'Elongation factor G1-like', 'EFG1-like', 4, NULL),
(38051, NULL, 'IPR042110', NULL, 'Adenylosuccinate synthetase, domain 2', 'Adenylosuccinate_synth_dom2', 5, NULL),
(38052, NULL, 'IPR045032', NULL, 'Pectin lyase family', 'PEL', 4, NULL),
(38053, NULL, 'IPR045028', NULL, 'Helicase superfamily 1/2, DinG/Rad3-like', 'DinG/Rad3-like', 4, NULL),
(38054, NULL, 'IPR042855', NULL, 'v-SNARE, coiled-coil homology domain', 'V_SNARE_CC', 3, NULL),
(38055, NULL, 'IPR045303', NULL, 'HMGB9-like, ARID/BRIGHT DNA binding domain', 'ARID_HMGB9-like', 3, NULL),
(38056, NULL, 'IPR042580', NULL, 'AIRE, PHD finger 2', 'AIRE_PHD2', 3, NULL),
(38057, NULL, 'IPR045098', NULL, 'Fyv10 family', 'Fyv10_fam', 4, NULL),
(38058, NULL, 'IPR044983', NULL, 'Photosynthetic NDH subunit of subcomplex B 1, chloroplastic', 'PNSB1', 4, NULL),
(38059, NULL, 'IPR045372', NULL, 'YidB-like protein', 'YidB', 4, NULL),
(38060, NULL, 'IPR043550', NULL, 'Histone-lysine N-methyltransferase EHMT1/EHMT2', 'EHMT1/EHMT2', 4, NULL),
(38061, NULL, 'IPR043918', NULL, 'Protein of unknown function DUF5760', 'DUF5760', 4, NULL),
(38062, NULL, 'IPR043045', NULL, 'PvsD/AcsD-like, palm domain, helix bundle', 'PvsD/AcsD-like_palm_helix', 5, NULL),
(38063, NULL, 'IPR043454', NULL, 'NPH3/RPT2-like family', 'NPH3/RPT2-like', 4, NULL),
(38064, NULL, 'IPR045417', NULL, 'Domain of unknown function DUF5898', 'DUF5898', 3, NULL),
(38065, NULL, 'IPR042884', NULL, 'Kelch repeat and BTB domain-containing protein 4', 'KBTBD4', 4, NULL),
(38066, NULL, 'IPR045436', NULL, 'Protein of unknown function DUF6507', 'DUF6507', 4, NULL),
(38067, NULL, 'IPR044984', NULL, 'SEED MATURATION PROTEIN 1', 'SMP1', 4, NULL),
(38068, NULL, 'IPR043715', NULL, 'Protein of unknown function DUF5656', 'DUF5656', 4, NULL),
(38069, NULL, 'IPR045029', NULL, 'Hydroxymethylpyrimidine kinase/phosphomethylpyrimidine kinase', 'HMP/HMP-P_kinase', 4, NULL),
(38070, NULL, 'IPR045026', NULL, 'L10-interacting MYB domain-containing protein', 'LIMYB', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38071, NULL, 'IPR043584', NULL, 'Zinc finger protein WIP', 'WIP1/2/3/4/5/6', 4, NULL),
(38072, NULL, 'IPR042656', NULL, 'E3 ubiquitin-protein ligase TRIM68, RING finger, HC subclass', 'TRIM68_RING-HC', 3, NULL),
(38073, NULL, 'IPR045020', NULL, '1-Cys peroxiredoxin', 'PRX_1cys', 4, NULL),
(38074, NULL, 'IPR043549', NULL, 'C2 calcium-dependent domain-containing protein 4C/4D', 'C2C4C/C2C4D', 4, NULL),
(38075, NULL, 'IPR043628', NULL, 'DAZ domain', 'DAZ_dom', 3, NULL),
(38076, NULL, 'IPR044845', NULL, 'Glycosyltransferase HPAT/SRGT1-like', 'HPAT/SRGT1-like', 4, NULL),
(38077, NULL, 'IPR043988', NULL, 'CCZ1/INTU, second Longin domain', 'CCZ1/INTU_longin_2', 3, NULL),
(38078, NULL, 'IPR045038', NULL, 'Protein AIG2-like', 'AIG2-like', 4, NULL),
(38079, NULL, 'IPR044049', NULL, 'EccD-like transmembrane domain', 'EccD_transm', 3, NULL),
(38080, NULL, 'IPR044982', NULL, 'O-FUCOSYLTRANSFERASE1-like', 'AtOFT1-like', 4, NULL),
(38081, NULL, 'IPR043720', NULL, 'Protein of unknown function DUF5661', 'DUF5661', 4, NULL),
(38082, NULL, 'IPR043073', NULL, 'Baseplate protein Gp16, domain D4', 'Gp16_domD4', 5, NULL),
(38083, NULL, 'IPR045024', NULL, 'Alternative NADH dehydrogenase', 'NDH-2', 4, NULL),
(38084, NULL, 'IPR042636', NULL, 'Ankyrin repeat domain-containing protein 11', 'ANKRD11', 4, NULL),
(38085, NULL, 'IPR045365', NULL, 'Protein of unknown function DUF5884', 'DUF5884', 4, NULL),
(38086, NULL, 'IPR043824', NULL, 'Domain of unknown function DUF5801', 'DUF5801', 3, NULL),
(38087, NULL, 'IPR045413', NULL, 'Domain of unknown function DUF5894', 'DUF5894', 3, NULL),
(38088, NULL, 'IPR043545', NULL, 'Glutamate receptor-interacting protein 1/2', 'GRIP1/2', 4, NULL),
(38089, NULL, 'IPR043734', NULL, 'Domain of unknown function DUF5678', 'DUF5678', 3, NULL),
(38090, NULL, 'IPR042778', NULL, 'Zinc finger CW-type PWWP domain protein ZCWPW1/ZCWPW2', 'ZCWPW1/ZCWPW2', 4, NULL),
(38091, NULL, 'IPR043529', NULL, 'Alpha-protein kinase 1', 'ALPK1', 4, NULL),
(38092, NULL, 'IPR043544', NULL, 'Sorting nexin-10/11', 'SNX10/11', 4, NULL),
(38093, NULL, 'IPR042702', NULL, 'Myosin-13, motor domain', 'Myh13_MYSc', 3, NULL),
(38094, NULL, 'IPR043775', NULL, 'Domain  of unknown function DUF5717, N-terminal', 'DUF5717_N', 3, NULL),
(38095, NULL, 'IPR043793', NULL, 'Domain of unknown function DUF5735', 'DUF5735', 3, NULL),
(38096, NULL, 'IPR045238', NULL, 'Tim23-like', 'Tim23-like', 4, NULL),
(38097, NULL, 'IPR044958', NULL, 'Ribosomal protein L32p, plant/cyanobacteria type', 'Ribosomal_L32p_plant/cyanobact', 4, NULL),
(38098, NULL, 'IPR043958', NULL, 'Ta1207 family', 'Ta1207', 4, NULL),
(38099, NULL, 'IPR042777', NULL, 'tRNA-splicing endonuclease subunit Sen15, fungi', 'Sen15_fungi', 4, NULL),
(38100, NULL, 'IPR044973', NULL, 'Senescence-associated protein AAF-like, chlorolplastic', 'AAF-like', 4, NULL),
(38101, NULL, 'IPR042947', NULL, 'FHL5, second LIM domain', 'FHL5_LIM2', 3, NULL),
(38102, NULL, 'IPR045414', NULL, 'Domain of unknown function DUF5895', 'DUF5895', 3, NULL),
(38103, NULL, 'IPR043777', NULL, 'Protein of unknown function DUF5719', 'DUF5719', 4, NULL),
(38104, NULL, 'IPR042619', NULL, 'Bardet-Biedl syndrome 10 protein', 'BBS10', 4, NULL),
(38105, NULL, 'IPR044502', NULL, 'Homogentisate solanesyltransferase  AtHST-like', 'AtHST-like', 4, NULL),
(38106, NULL, 'IPR045036', NULL, 'Spartin-like', 'Spartin-like', 4, NULL),
(38107, NULL, 'IPR045260', NULL, 'Guanine nucleotide-exchange factor Sec12-like', 'Sec12-like', 4, NULL),
(38108, NULL, 'IPR044035', NULL, 'Domain of unknown function DUF5698', 'DUF5698', 3, NULL),
(38109, NULL, 'IPR045059', NULL, '60S ribosomal protein L35', 'RL35', 4, NULL),
(38110, NULL, 'IPR043976', NULL, 'Golgin subfamily A, conserved domain', 'GOLGA_cons_dom', 3, NULL),
(38111, NULL, 'IPR042620', NULL, 'Putative methyltransferase NSUN7', 'NSUN7', 4, NULL),
(38112, NULL, 'IPR045097', NULL, 'Thymidylate synthase/dCMP hydroxymethylase', 'Thymidate_synth/dCMP_Mease', 4, NULL),
(38113, NULL, 'IPR042698', NULL, 'Interleukin-1 receptor-associated kinase 3, pseudokinase domain', 'IRAK3_PK', 3, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38114, NULL, 'IPR044061', NULL, 'Oxytoxin-type inhibitor cystine knot (ICK) domain', 'OXYTX_ICK', 3, NULL),
(38115, NULL, 'IPR045406', NULL, 'Domain of unknown function DUF6513', 'DUF6513', 3, NULL),
(38116, NULL, 'IPR045410', NULL, 'Zinc finger domain-containing protein', 'Zn_finger_prot', 4, NULL),
(38117, NULL, 'IPR043781', NULL, 'Domain of unknown function DUF5723', 'DUF5723', 3, NULL),
(38118, NULL, 'IPR042313', NULL, 'RELT-like protein 2', 'RELL2', 4, NULL),
(38119, NULL, 'IPR042942', NULL, 'Laforin', 'Laforin', 4, NULL),
(38120, NULL, 'IPR043608', NULL, 'Coronavirus replicase NSP15, middle domain', 'CoV_NSP15_M', 3, NULL),
(38121, NULL, 'IPR042857', NULL, 'Transmembrane protein 266', 'TMEM266', 4, NULL),
(38122, NULL, 'IPR044128', NULL, 'Initiation factor eIF2 gamma, GTP-binding domain', 'eIF2g_GTP-bd', 3, NULL),
(38123, NULL, 'IPR043812', NULL, 'Protein of unknown function DUF5794', 'DUF5794', 4, NULL),
(38124, NULL, 'IPR044077', NULL, 'Amylosucrase, catalytic domain', 'Amylosucrase', 3, NULL),
(38125, NULL, 'IPR043049', NULL, 'Birnavirus VP3, domain 2', 'Birna_VP3_dom2', 5, NULL),
(38126, NULL, 'IPR043827', NULL, 'Protein of unknown function DUF5804', 'DUF5804', 4, NULL),
(38127, NULL, 'IPR044825', NULL, 'Transcription activator GLK1/2-like', 'GLK1/2-like', 4, NULL),
(38128, NULL, 'IPR042548', NULL, 'Nucleocapsid protein, alphacoronavirus', 'NCAP_aCoV', 4, NULL),
(38129, NULL, 'IPR043733', NULL, 'Family of unknown function DUF5677', 'DUF5677', 4, NULL),
(38130, NULL, 'IPR043543', NULL, 'Pappalysin-1/2', 'PAPPA/PAPPA2', 4, NULL),
(38131, NULL, 'IPR042334', NULL, 'Putative ankyrin repeat domain-containing protein 31', 'ANKRD31', 4, NULL),
(38132, NULL, 'IPR044383', NULL, 'Non-structural protein 2, IBV-like', 'NSP2_IBV-like', 3, NULL),
(38133, NULL, 'IPR044034', NULL, 'Nascent polypeptide-associated complex subunit alpha-like, UBA domain', 'NAC-like_UBA', 3, NULL),
(38134, NULL, 'IPR043033', NULL, 'PvsD/AcsD-like, thumb domain, four stranded beta-sheet', 'PvsD/AcsD-like_thumb_beta', 5, NULL),
(38135, NULL, 'IPR042326', NULL, 'CTD kinase subunit gamma', 'Ctk3', 4, NULL),
(38136, NULL, 'IPR042563', NULL, 'Ribosomal protein S8e subdomain, eukaryotes', 'Ribosomal_protein_S8e_euk', 5, NULL),
(38137, NULL, 'IPR043800', NULL, 'Domain of unknown function DUF5739', 'DUF5739', 3, NULL),
(38138, NULL, 'IPR045139', NULL, 'Aladin', 'Aladin', 4, NULL),
(38139, NULL, 'IPR043032', NULL, 'PvsD/AcsD-like, thumb domain, helical bundle', 'PvsD/AcsD-like_thumb_helix', 5, NULL),
(38140, NULL, 'IPR043801', NULL, 'Domain of unknown function DUF5740', 'DUF5740', 3, NULL),
(38141, NULL, 'IPR042944', NULL, 'Collectrin', 'Collectrin', 4, NULL),
(38142, NULL, 'IPR042557', NULL, 'SCO4226, nickel-binding ferredoxin-like monomer', 'SCO4226', 5, NULL),
(38143, NULL, 'IPR043402', NULL, 'Homeobox expressed in ES cells 1', 'Hesx1', 4, NULL),
(38144, NULL, 'IPR042655', NULL, 'Leucine-rich repeat-containing protein 72', 'LRC72', 4, NULL),
(38145, NULL, 'IPR043813', NULL, 'Protein of unknown function DUF5795', 'DUF5795', 4, NULL),
(38146, NULL, 'IPR042934', NULL, 'B(0)AT2, solute-binding domain', 'B(0)AT2', 3, NULL),
(38147, NULL, 'IPR045023', NULL, 'Acyl-[acyl-carrier-protein] hydrolase FATA/B', 'FATA/B', 4, NULL),
(38148, NULL, 'IPR045040', NULL, 'PORR family', 'PORR_fam', 4, NULL),
(38149, NULL, 'IPR043845', NULL, 'Protein of unknown function DUF5864', 'DUF5864', 4, NULL),
(38150, NULL, 'IPR045106', NULL, 'Protein Kti12', 'Kti12', 4, NULL),
(38151, NULL, 'IPR043655', NULL, 'Domain of unknown function DUF5878', 'DUF5878', 3, NULL),
(38152, NULL, 'IPR042758', NULL, 'Immunoglobulin superfamily member 11', 'IGSF11', 4, NULL),
(38153, NULL, 'IPR042472', NULL, 'Matrix remodeling-associated protein 8', 'MXRA8', 4, NULL),
(38154, NULL, 'IPR044005', NULL, 'Double zinc ribbon domain', 'DZR_2', 3, NULL),
(38155, NULL, 'IPR042783', NULL, 'Synaptotagmin-l, FYVE-related domain', 'SYTL5_FYVE', 3, NULL),
(38156, NULL, 'IPR043743', NULL, 'Family of unknown function DUF5688', 'DUF5688', 4, NULL),
(38157, NULL, 'IPR045067', NULL, 'Wee1-like protein kinase, catalytic domain', 'PKc_Wee1-like', 3, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38158, NULL, 'IPR045077', NULL, 'Ribosomal protein L3, archaeal/eukaryotic type', 'L3_arc_euk', 4, NULL),
(38159, NULL, 'IPR043838', NULL, 'Adhesion G protein-coupled receptor B, N-terminal domain', 'AGRB_N', 3, NULL),
(38160, NULL, 'IPR043823', NULL, 'Protein of unknown function DUF5800', 'DUF5800', 4, NULL),
(38161, NULL, 'IPR042111', NULL, 'Adenylosuccinate synthetase, domain 3', 'Adenylosuccinate_synth_dom3', 5, NULL),
(38162, NULL, 'IPR042666', NULL, 'Serine/threonine-protein kinase Nek10, catalytic domain', 'Nek10_STKc', 3, NULL),
(38163, NULL, 'IPR043815', NULL, 'Protein of unknown function DUF5797', 'DUF5797', 4, NULL),
(38164, NULL, 'IPR043705', NULL, 'Plasmodium repeat of length 46', 'P_repeat_46', 7, NULL),
(38165, NULL, 'IPR042515', NULL, 'Non-structural protein NSP15,  N-terminal domain superfamily, coronavirus', 'NSP15_N_CoV', 5, NULL),
(38166, NULL, 'IPR042304', NULL, 'Alphavirus E2 glycoprotein, domain A', 'Alphavir_E2_A', 5, NULL),
(38167, NULL, 'IPR044041', NULL, 'Domain of unknown function DUF5743', 'DUF5743', 3, NULL),
(38168, NULL, 'IPR045345', NULL, 'Retroviral nucleocapsid Gag protein p24, C-terminal domain', 'Gag_p24_C', 3, NULL),
(38169, NULL, 'IPR043910', NULL, 'Protein of unknown function DUF5767', 'DUF5767', 4, NULL),
(38170, NULL, 'IPR045021', NULL, 'Protein PSK SIMULATOR', 'PSI1/2/3', 4, NULL),
(38171, NULL, 'IPR043744', NULL, 'Domain of unknown function DUF5689', 'DUF5689', 3, NULL),
(38172, NULL, 'IPR043442', NULL, 'PGC-1 and ERR-induced regulator in muscle protein 1', 'Perm1', 4, NULL),
(38173, NULL, 'IPR045394', NULL, 'Alpha/beta hydrolase domain', 'Abhydrolase_dom', 3, NULL),
(38174, NULL, 'IPR043961', NULL, 'Protein of unknown function DUF5749', 'DUF5749', 4, NULL),
(38175, NULL, 'IPR042626', NULL, 'THO complex subunit 6', 'THOC6', 4, NULL),
(38176, NULL, 'IPR042318', NULL, 'Consortin', 'Consortin', 4, NULL),
(38177, NULL, 'IPR043531', NULL, 'E3 SUMO-protein ligase CBX4', 'CBX4', 4, NULL),
(38178, NULL, 'IPR043674', NULL, 'Glucosamine kinase', 'GlcN_kinase', 4, NULL),
(38179, NULL, 'IPR042517', NULL, 'Beta-1,3-glucanase, N-terminal, subdomain 2', 'Glyco_hydro_64_N_2', 5, NULL),
(38180, NULL, 'IPR045035', NULL, 'Metal-nicotianamine transporter YSL-like', 'YSL-like', 4, NULL),
(38181, NULL, 'IPR045030', NULL, 'LysM and putative peptidoglycan-binding domain-containing protein 1-4', 'LYSM1-4', 4, NULL),
(38182, NULL, 'IPR042653', NULL, 'Leukocyte receptor cluster member 9', 'Leng9', 4, NULL),
(38183, NULL, 'IPR043441', NULL, 'Junction-associated protein Tjap1/BEGAIN', 'Tjap1/BEGAIN', 4, NULL),
(38184, NULL, 'IPR043629', NULL, 'Salyut domain', 'Salyut_dom', 3, NULL),
(38185, NULL, 'IPR043546', NULL, 'Vesicle-trafficking protein Sec22a/c', 'Sec22a/c', 4, NULL),
(38186, NULL, 'IPR042447', NULL, 'Anosmin-1', 'Anosmin-1', 4, NULL),
(38187, NULL, 'IPR042448', NULL, 'E3 ubiquitin-protein ligase CCNB1IP1', 'CCNB1IP1', 4, NULL),
(38188, NULL, 'IPR045043', NULL, 'Late embryogenesis abundant protein Lea14-like', 'Lea14-like', 4, NULL),
(38189, NULL, 'IPR043730', NULL, 'Domain of unknown function DUF5673', 'DUF5673', 3, NULL),
(38190, NULL, 'IPR045046', NULL, 'Vacuolar protein sorting-associated protein 9-like', 'Vps9-like', 4, NULL),
(38191, NULL, 'IPR042476', NULL, 'Amyloid protein-binding protein 2', 'APPBP2', 4, NULL),
(38192, NULL, 'IPR044098', NULL, 'STAMBP/STALP-like, MPN domain', 'STAMBP/STALP-like_MPN', 3, NULL),
(38193, NULL, 'IPR043407', NULL, 'Nkap domain containing  1', 'Nkap_D1', 4, NULL),
(38194, NULL, 'IPR043056', NULL, 'LuxQ periplasmic domain, N-terminal subdomain', 'LuxQ-periplasm_N', 5, NULL),
(38195, NULL, 'IPR042555', NULL, 'StAR-related lipid transfer protein 4', 'StarD4', 4, NULL),
(38196, NULL, 'IPR042552', NULL, 'Spike glycoprotein, Alphacoronavirus', 'ALPHA_CORONA_SPIKE', 4, NULL),
(38197, NULL, 'IPR043458', NULL, 'G-protein coupled receptor 158/179', 'GPR158/179', 4, NULL),
(38198, NULL, 'IPR045128', NULL, 'Proteasome inhibitor PI31-like', 'PI31-like', 4, NULL),
(38199, NULL, 'IPR045073', NULL, 'Glutathione S-transferase Omega/Tau-like', 'Omega/Tau-like', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38200, NULL, 'IPR042554', NULL, 'Sterile alpha motif domain-containing protein 15', 'SAMD15', 4, NULL),
(38201, NULL, 'IPR042560', NULL, 'Exocyst component Exo84, C-terminal, subdomain 2', 'Exo84_C_2', 5, NULL),
(38202, NULL, 'IPR045432', NULL, 'Effector-associated domain 5', 'EAD5', 3, NULL),
(38203, NULL, 'IPR042961', NULL, 'Spermatogenic leucine zipper protein 1', 'Spz1', 4, NULL),
(38204, NULL, 'IPR043657', NULL, 'Protein of unknown function DUF5876', 'DUF5876', 4, NULL),
(38205, NULL, 'IPR042317', NULL, 'F-box protein she-1-like', 'She-1-like', 4, NULL),
(38206, NULL, 'IPR045404', NULL, 'Major capsid protein 13-like', 'Gp13-like', 4, NULL),
(38207, NULL, 'IPR042468', NULL, 'Peptidase C65, otubain, subdomain 1', 'Peptidase_C65_otubain_sub1', 5, NULL),
(38208, NULL, 'IPR043060', NULL, 'Filoviruses VP35 interferon inhibitory domain, helical subdomain', 'VP35_IID_hlx', 5, NULL),
(38209, NULL, 'IPR044849', NULL, 'Ion channel CASTOR/POLLUX/SYM8-like', 'CASTOR/POLLUX/SYM8-like', 4, NULL),
(38210, NULL, 'IPR042321', NULL, 'Integral inner nuclear membrane protein ima1', 'Ima1', 4, NULL),
(38211, NULL, 'IPR042637', NULL, 'Ankyrin repeat domain-containing protein AN34A/B/C', 'AN34A/B/C', 4, NULL),
(38212, NULL, 'IPR042847', NULL, 'EF-hand calcium-binding domain-containing protein 12', 'EFC12', 4, NULL),
(38213, NULL, 'IPR043955', NULL, 'Domain of unknown function DUF5746', 'DUF5746', 3, NULL),
(38214, NULL, 'IPR043732', NULL, 'Domain of unknown function DUF5675', 'DUF5675', 3, NULL),
(38215, NULL, 'IPR043547', NULL, 'Mimecan/Epiphycan', 'Mimecan/Epiphycan', 4, NULL),
(38216, NULL, 'IPR043719', NULL, 'Domain of unknown function DUF5660', 'DUF5660', 3, NULL),
(38217, NULL, 'IPR042774', NULL, 'UBXN6, PUB domain', 'UBXN6_PUB', 3, NULL),
(38218, NULL, 'IPR044084', NULL, 'AvModA-like, substrate binding domain', 'AvModA-like_subst-bd', 3, NULL),
(38219, NULL, 'IPR044972', NULL, 'TATA-binding protein-associated factor Mot1', 'Mot1', 4, NULL),
(38220, NULL, 'IPR043810', NULL, 'Protein of unknown function DUF5792', 'DUF5792', 4, NULL),
(38221, NULL, 'IPR043849', NULL, 'Protein of unknown function DUF5859', 'DUF5859', 4, NULL),
(38222, NULL, 'IPR042704', NULL, 'Serine/threonine-protein kinase 17A, catalytic domain', 'DRAK1_STKc', 3, NULL),
(38223, NULL, 'IPR045045', NULL, 'Small heat shock protein RTM2-like', 'RTM2-like', 4, NULL),
(38224, NULL, 'IPR043126', NULL, 'Esp1, core domain', 'Esp1_core', 5, NULL),
(38225, NULL, 'IPR042599', NULL, 'Vertebrate ubiquitin-conjugating enzyme E2 K, UBA domain', 'UBE2K_UBA', 3, NULL),
(38226, NULL, 'IPR045405', NULL, 'Peptidase S80 family', 'Peptidase_S80', 4, NULL),
(38227, NULL, 'IPR044023', NULL, 'Ig-like domain CHU_C associated', 'Ig_7', 3, NULL),
(38228, NULL, 'IPR044384', NULL, 'Non-structural protein 2, MHV-like', 'NSP2_MHV-like', 3, NULL),
(38229, NULL, 'IPR043604', NULL, 'DUF883, N-terminal domain', 'DUF883_N', 3, NULL),
(38230, NULL, 'IPR043822', NULL, 'EsV-1-7 cysteine-rich motif', 'EsV_1_7_cys', 7, NULL),
(38231, NULL, 'IPR042856', NULL, 'Radial spoke protein 14', 'RSP14', 4, NULL),
(38232, NULL, 'IPR043789', NULL, 'Domain of unknown function DUF5731', 'DUF5731', 3, NULL),
(38233, NULL, 'IPR042621', NULL, 'Tetratricopeptide repeat protein TTC23/TTC23L', 'TTC23/TTC23L', 4, NULL),
(38234, NULL, 'IPR043718', NULL, 'Domain of unknown function DUF5659', 'DUF5659', 3, NULL),
(38235, NULL, 'IPR042573', NULL, 'GNAT acetyltransferase, N-terminal', 'GNAT_acetyltra_N', 5, NULL),
(38236, NULL, 'IPR042478', NULL, '72kDa inositol polyphosphate 5-phosphatase', 'INPP5E', 4, NULL),
(38237, NULL, 'IPR044550', NULL, 'Lipid III flippase WzxE', 'WzxE', 4, NULL),
(38238, NULL, 'IPR042319', NULL, 'Glycoprotein integral membrane protein 1', 'GINM1', 4, NULL),
(38239, NULL, 'IPR042984', NULL, 'Bardet-Biedl syndrome 12 protein', 'BBS12', 4, NULL),
(38240, NULL, 'IPR044031', NULL, 'TssC1, N-terminal', 'TssC1_N', 3, NULL),
(38241, NULL, 'IPR043660', NULL, 'Domain of unknown function DUF5873', 'DUF5873', 3, NULL),
(38242, NULL, 'IPR045103', NULL, 'E3 ubiquitin-protein ligase RNF5/RNF185-like', 'RNF5/RNF185-like', 4, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38243, NULL, 'IPR042850', NULL, 'Chromodomain-helicase-DNA-binding protein 9', 'CHD9', 4, NULL),
(38244, NULL, 'IPR042551', NULL, 'M matrix/glycoprotein, alphacoronavirus', 'ALPHA_CORONA_M', 4, NULL),
(38245, NULL, 'IPR042322', NULL, 'Protein Pbn1', 'Pbn1', 4, NULL),
(38246, NULL, 'IPR043596', NULL, 'CFAP53/TCHP', 'CFAP53/TCHP', 4, NULL),
(38247, NULL, 'IPR045396', NULL, 'Protein of unknown function DUF6517', 'DUF6517', 4, NULL),
(38248, NULL, 'IPR042581', NULL, 'VAMP5, SNARE motif', 'VAMP5_R-SNARE_', 3, NULL),
(38249, NULL, 'IPR045099', NULL, 'PITH domain-containing protein 1-like', 'PITH1-like', 4, NULL),
(38250, NULL, 'IPR045368', NULL, 'Protein of unknown function DUF5886', 'DUF5886', 4, NULL),
(38251, NULL, 'IPR043957', NULL, 'Vanin, C-terminal', 'Vanin_C', 3, NULL),
(38252, NULL, 'IPR045041', NULL, 'Pullulanase PULA-like', 'Pullulanase_PULA-like', 4, NULL),
(38253, NULL, 'IPR044953', NULL, 'BTB/POZ domain-containing protein At1g04390-like', 'At1g04390-like', 4, NULL),
(38254, NULL, 'IPR045390', NULL, 'Protein of unknown function DUF6521', 'DUF6521', 4, NULL),
(38255, NULL, 'IPR045387', NULL, 'Protein of unknown function DUF6524', 'DUF6524', 4, NULL),
(38256, NULL, 'IPR042989', NULL, 'Zinc finger MYND domain-containing protein 15', 'ZMY15', 4, NULL),
(38257, NULL, 'IPR042480', NULL, 'Protein dispatched homolog 3', 'DISP3', 4, NULL),
(38258, NULL, 'IPR043574', NULL, 'Caspase recruitment domain-containing protein 19', 'CARD19', 4, NULL),
(38259, NULL, 'IPR045408', NULL, 'Protein of unknown function DUF5890', 'DUF5890', 4, NULL),
(38260, NULL, 'IPR044062', NULL, 'LCN-type cysteine-stabilized alpha/beta (CS-alpha/beta) domain', 'LCN-type_CS_alpha_beta_dom', 3, NULL),
(38261, NULL, 'IPR043473', NULL, 'Spike glycoprotein S2 superfamily, coronavirus', 'S2_sf_CoV', 5, NULL),
(38262, NULL, 'IPR043745', NULL, 'Family of unknown function DUF5690', 'DUF5690', 4, NULL),
(38263, NULL, 'IPR045004', NULL, 'Enoyl-CoA hydratase/isomerase domain', 'ECH_dom', 3, NULL),
(38264, NULL, 'IPR042550', NULL, 'M matrix/glycoprotein, gammacoronavirus', 'GAMMA_CORONA_M', 4, NULL),
(38265, NULL, 'IPR044033', NULL, 'GpV, apex motif', 'GpV_apex', 2, NULL),
(38266, NULL, 'IPR042808', NULL, 'C-type lectin domain family 7 member A', 'CLEC7A', 4, NULL),
(38267, NULL, 'IPR043814', NULL, 'Protein of unknown function DUF5796', 'DUF5796', 4, NULL),
(38268, NULL, 'IPR042772', NULL, 'SH3 domain and tetratricopeptide repeat-containing protein  SH3TC1/SH3TC2', 'SH3TC1/SH3TC2', 4, NULL),
(38269, NULL, 'IPR045116', NULL, 'Polyribonucleotide 5-hydroxyl-kinase Clp1/Grc3', 'Clp1/Grc3', 4, NULL),
(38270, NULL, 'IPR044963', NULL, 'Succinate dehydrogenase subunit 4, mitochondrial', 'SDH4', 4, NULL),
(38271, NULL, 'IPR042633', NULL, 'Quinone oxidoreductase-like protein 1', 'CRYZL1', 4, NULL),
(38272, NULL, 'IPR043724', NULL, 'Domain of unknown function DUF5666', 'DUF5666', 3, NULL),
(38273, NULL, 'IPR043637', NULL, 'Spo16 protein', 'Spo16', 4, NULL),
(38274, NULL, 'IPR043768', NULL, 'Domain of unknown function DUF5714', 'DUF5714', 3, NULL),
(38275, NULL, 'IPR042547', NULL, 'Nucleocapsid protein, gammacoronavirus', 'NCAP_gCoV', 4, NULL),
(38276, NULL, 'IPR045395', NULL, 'ALTTAQ repeat', 'ALTTAQ_rpt', 7, NULL),
(38277, NULL, 'IPR042697', NULL, 'Nuclear receptor-binding protein 2, pseudokinase domain', 'NRBP2_PK', 3, NULL),
(38278, NULL, 'IPR042635', NULL, 'Scavenger receptor class F member SREC1/2', 'SREC1/2', 4, NULL),
(38279, NULL, 'IPR044063', NULL, 'Gid-type RING finger domain', 'ZF_RING_GID', 3, NULL),
(38280, NULL, 'IPR045261', NULL, 'MICRORCHIDIA ATPase family', 'MORC_ATPase', 4, NULL),
(38281, NULL, 'IPR042713', NULL, 'TIF1-beta, RING finger, HC subclass', 'TIF1beta_RING-HC', 3, NULL),
(38282, NULL, 'IPR042584', NULL, '14-3-3 theta', '14-3-3_theta', 4, NULL),
(38283, NULL, 'IPR044865', NULL, 'MRH domain', 'MRH_dom', 3, NULL),
(38284, NULL, 'IPR043757', NULL, 'Domain of unknown function DUF5703', 'DUF5703_N', 3, NULL),
(38285, NULL, 'IPR043641', NULL, 'PPE-PPW subfamily, C-terminal', 'PPE-PPW_C', 3, NULL),
(38286, NULL, 'IPR043821', NULL, 'Protein of unknown function DUF5799', 'DUF5799', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38287, NULL, 'IPR044980', NULL, 'NADH dehydrogenase [ubiquinone] 1 beta subcomplex subunit 2, plant/fungi', 'NDUFB2_plant/fungi', 4, NULL),
(38288, NULL, 'IPR044019', NULL, 'Cyanophycin synthase-like, N-terminal', 'Cyanophycin_syn_N', 3, NULL),
(38289, NULL, 'IPR044985', NULL, 'Large ribosomal RNA subunit accumulation protein YceD homologue 2, chloroplastic', 'YceD_plant', 4, NULL),
(38290, NULL, 'IPR045389', NULL, 'Protein of unknown function DUF6522', 'DUF6522', 4, NULL),
(38291, NULL, 'IPR045424', NULL, 'Protein of unknown function DUF6509', 'DUF6509', 4, NULL),
(38292, NULL, 'IPR043807', NULL, 'Domain of unknown function DUF5869', 'DUF5869', 3, NULL),
(38293, NULL, 'IPR044271', NULL, 'Terminase, large subunit gp19', 'Terminase_large_su_gp19', 4, NULL),
(38294, NULL, 'IPR043979', NULL, 'Domain of unknown function DUF5741', 'DUF5741', 3, NULL),
(38295, NULL, 'IPR043835', NULL, 'Protein of unknown function DUF5811', 'DUF5811', 4, NULL),
(38296, NULL, 'IPR044057', NULL, 'SnTox1, chitin binding-like domain', 'SnTox1_CBL', 3, NULL),
(38297, NULL, 'IPR045366', NULL, 'Protein of unknown function DUF5905', 'DUF5905', 4, NULL),
(38298, NULL, 'IPR042756', NULL, 'Protein sel-1 homolog 3', 'Sel-1L3', 4, NULL),
(38299, NULL, 'IPR044951', NULL, 'Kinetochore protein SPC24-like', 'SPC24-like', 4, NULL),
(38300, NULL, 'IPR042941', NULL, 'Kelch domain-containing protein 9', 'KLDC9', 4, NULL),
(38301, NULL, 'IPR043721', NULL, 'Family of unknown function DUF5662', 'DUF5662', 4, NULL),
(38302, NULL, 'IPR045397', NULL, 'Protein of unknown function DUF6516', 'DUF6516', 4, NULL),
(38303, NULL, 'IPR042518', NULL, 'Precorrin-2 dehydrogenase, C-terminal helical domain', 'SirC_C', 5, NULL),
(38304, NULL, 'IPR044976', NULL, 'FIPS3/FIPS5-like', 'FIPS3/FIPS5-like', 4, NULL),
(38305, NULL, 'IPR043044', NULL, 'TPA1/Ofd1, C-terminal', 'TPA1/Ofd1_C', 5, NULL),
(38306, NULL, 'IPR044970', NULL, 'COFACTOR ASSEMBLY OF COMPLEX C SUBUNIT B CCB2, chloroplastic', 'CCB2', 4, NULL),
(38307, NULL, 'IPR043806', NULL, 'Protein of unknown function DUF5870', 'DUF5870', 4, NULL),
(38308, NULL, 'IPR043809', NULL, 'Protein of unknown function DUF5791', 'DUF5791', 4, NULL),
(38309, NULL, 'IPR043043', NULL, 'DNA packaging protein FI, C-terminal beta-strand domain', 'Packaging_FI_C', 5, NULL),
(38310, NULL, 'IPR043047', NULL, 'Hri1, N-terminal domain superfamily', 'Hri1_N_sf', 5, NULL),
(38311, NULL, 'IPR042112', NULL, 'Phosphate acetyltransferase, domain 2', 'P_AcTrfase_dom2', 5, NULL),
(38312, NULL, 'IPR044046', NULL, 'E3 ubiquitin-protein ligase UBR-like, C-terminal', 'E3_ligase_UBR-like_C', 3, NULL),
(38313, NULL, 'IPR042462', NULL, 'Armadillo repeat-containing protein 7', 'ARMC7', 4, NULL),
(38314, NULL, 'IPR043244', NULL, 'Biorientation of chromosomes in cell division protein 1-like 1', 'BOD1L1', 4, NULL),
(38315, NULL, 'IPR043831', NULL, 'Domain of unknown function DUF5808', 'DUF5808', 3, NULL),
(38316, NULL, 'IPR044097', NULL, 'Alkyl/aryl-sulfatase Bds1/ SdsA1  , MBL-fold', 'Bds1/SdsA1_MBL-fold', 3, NULL),
(38317, NULL, 'IPR042700', NULL, 'Sodium-coupled monocarboxylate transporter 2, solute-binding domain', 'SMCT2_SLC5sbd', 3, NULL),
(38318, NULL, 'IPR044952', NULL, 'Protein SENSITIVE TO UV 2', 'SUV2', 4, NULL),
(38319, NULL, 'IPR045400', NULL, 'Wolframin, cysteine-rich domain', 'Wolframin_Cys-rich', 3, NULL),
(38320, NULL, 'IPR042333', NULL, 'Low-density lipoprotein receptor class A domain-containing protein 2', 'LDLRAD2', 4, NULL),
(38321, NULL, 'IPR042546', NULL, 'Outer capsid protein VP4', 'Rota_A_VP4', 4, NULL),
(38322, NULL, 'IPR045319', NULL, 'Potassium channel KAT/AKT', 'KAT/AKT', 4, NULL),
(38323, NULL, 'IPR042708', NULL, 'HSPA4L, nucleotide-binding domain', 'HSPA4L_NBD', 3, NULL),
(38324, NULL, 'IPR043534', NULL, 'Exo-beta-D-glucosaminidase/Endo-beta-mannosidase', 'EBDG/EBM', 4, NULL),
(38325, NULL, 'IPR043535', NULL, 'Tubulin epsilon and delta complex protein 1', 'TEDC1', 4, NULL),
(38326, NULL, 'IPR042465', NULL, 'Xyloside xylosyltransferase 1', 'XXLT1', 4, NULL),
(38327, NULL, 'IPR044975', NULL, 'ATP synthase protein YMF19', 'YMF19-like', 4, NULL);             
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38328, NULL, 'IPR045399', NULL, 'Trypanosoma Tc-38 (p38) protein', 'Tc-38', 3, NULL),
(38329, NULL, 'IPR045344', NULL, 'C-JID domain', 'C-JID', 3, NULL),
(38330, NULL, 'IPR044085', NULL, 'D-galactose-binding periplasmic protein MglB-like, PBP domain', 'MglB-like_PBP1', 3, NULL),
(38331, NULL, 'IPR042128', NULL, 'NuoE domain', 'NuoE_dom', 3, NULL),
(38332, NULL, 'IPR044032', NULL, 'TssC1, C-terminal', 'TssC1_C', 3, NULL),
(38333, NULL, 'IPR045373', NULL, 'Domain of unknown function DUF5889', 'DUF5889', 3, NULL),
(38334, NULL, 'IPR042305', NULL, 'Alphavirus E2 glycoprotein, domain B', 'Alphavir_E2_B', 5, NULL),
(38335, NULL, 'IPR045278', NULL, 'Intron splicing facilitator CRS1/CFM2/CFM3', 'CRS1/CFM2/CFM3', 4, NULL),
(38336, NULL, 'IPR042312', NULL, 'Uncharacterized protein F26C11.3-like', 'F26C11.3-like', 4, NULL),
(38337, NULL, 'IPR043723', NULL, 'Domain of unknown function DUF5665', 'DUF5665', 4, NULL),
(38338, NULL, 'IPR042940', NULL, 'Heat shock protein beta-9', 'HSPB9', 4, NULL),
(38339, NULL, 'IPR044155', NULL, 'Villin-3', 'Villin-3', 4, NULL),
(38340, NULL, 'IPR042652', NULL, 'CDK2-associated and cullin domain-containing protein 1', 'CACUL1', 4, NULL),
(38341, NULL, 'IPR042455', NULL, 'Dedicator of cytokinesis, N-terminal, subdomain 1', 'DOCK_N_sub1', 5, NULL),
(38342, NULL, 'IPR042124', NULL, 'Inactive phospholipase C-like protein 1', 'PLCL1', 4, NULL),
(38343, NULL, 'IPR042516', NULL, 'Pre-mRNA-processing-splicing factor 8, U5-snRNA-binding domain superfamily', 'Prp8_U5-snRNA-bd_sf', 5, NULL),
(38344, NULL, 'IPR042579', NULL, 'XIAP/BIRC8, UBA domain', 'XIAP/BIRC8_UBA', 3, NULL),
(38345, NULL, 'IPR044503', NULL, 'Aldo-keto reductase family 5C1', 'AKR5C1', 4, NULL),
(38346, NULL, 'IPR042971', NULL, 'Late embryogenesis abundant protein, SMP subgroup', 'LEA_SMP', 4, NULL),
(38347, NULL, 'IPR044841', NULL, 'Transcription factor LUX/BOA-like', 'LUX/BOA-like', 4, NULL),
(38348, NULL, 'IPR042805', NULL, 'Proline-rich protein 3', 'PRR3', 4, NULL),
(38349, NULL, 'IPR044974', NULL, 'Disease resistance protein, plants', 'Disease_R_plants', 4, NULL),
(38350, NULL, 'IPR045431', NULL, 'Effector-associated domain 2', 'EAD2', 3, NULL),
(38351, NULL, 'IPR043848', NULL, 'Domain of unknown function DUF5860', 'DUF5860', 3, NULL),
(38352, NULL, 'IPR045025', NULL, 'TPP-binding domain containing protein HACL1-like', 'HACL1-like', 4, NULL),
(38353, NULL, 'IPR045042', NULL, 'Mechanosensitive ion channel protein YnaI-like', 'YnaI-like', 4, NULL),
(38354, NULL, 'IPR043959', NULL, 'CRISPR system CMR subunit Cmr7 1', 'Cmr7A', 4, NULL),
(38355, NULL, 'IPR042701', NULL, 'B0AT3, solute-binding domain', 'B0AT3_SLC6sbd', 3, NULL),
(38356, NULL, 'IPR045418', NULL, 'Domain of unknown function DUF5899', 'DUF5899', 3, NULL),
(38357, NULL, 'IPR042582', NULL, 'Semaphorin-3D, Sema domain', 'Sema3D_Sema', 3, NULL),
(38358, NULL, 'IPR043611', NULL, 'Coronavirus replicase NSP3, C-terminal', 'CoV_NSP3_C', 3, NULL),
(38359, NULL, 'IPR043754', NULL, 'Putative zinc dependent peptidase DUF5700', 'DUF5700', 4, NULL),
(38360, NULL, 'IPR045392', NULL, 'Protein of unknown function DUF6519', 'DUF6519', 4, NULL),
(38361, NULL, 'IPR043837', NULL, 'Mtf2-like, C-terminal domain', 'Mtf2-like_C', 3, NULL),
(38362, NULL, 'IPR045383', NULL, 'Protein of unknown function DUF6528', 'DUF6528', 4, NULL),
(38363, NULL, 'IPR043470', NULL, 'Tight junction-associated protein 1 domain', 'Tjap1_dom', 3, NULL),
(38364, NULL, 'IPR042709', NULL, 'Testis-specific serine/threonine-protein kinase 3, catalytic domain', 'TSSK3_STKc', 3, NULL),
(38365, NULL, 'IPR045374', NULL, 'Cas5fv helical domain', 'Cas5fv_helical', 3, NULL),
(38366, NULL, 'IPR044860', NULL, 'Methuselah ectodomain, domain 1', 'Methusela_ecto_dom_1', 5, NULL),
(38367, NULL, 'IPR044501', NULL, 'Dehydrogenase, bacteria', 'BaDH-like', 4, NULL),
(38368, NULL, 'IPR043716', NULL, 'Family of unknown function DUF5657', 'DUF5657', 4, NULL),
(38369, NULL, 'IPR043731', NULL, 'Protein of unknown function DUF5674', 'DUF5674', 4, NULL),
(38370, NULL, 'IPR045158', NULL, 'K(+) efflux antiporter 4/5/6-like', 'KEA4/5/6-like', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38371, NULL, 'IPR042990', NULL, 'StAR-related lipid transfer protein 9', 'STARD9', 4, NULL),
(38372, NULL, 'IPR042866', NULL, 'Sushi domain-containing protein 6', 'SUSD6', 4, NULL),
(38373, NULL, 'IPR042868', NULL, 'Phytanoyl-CoA hydroxylase-interacting protein-like', 'PHYHIP/PHYHIPL', 4, NULL),
(38374, NULL, 'IPR043459', NULL, 'NFD6/NOXY2-like', 'NFD6/NOXY2-like', 4, NULL),
(38375, NULL, 'IPR043042', NULL, 'Phospholipase B-like, domain 3', 'PLipase_B-like_dom3', 5, NULL),
(38376, NULL, 'IPR044954', NULL, 'Ribosomal protein S3, mitochondrial, plant', 'RPS3_plant', 4, NULL),
(38377, NULL, 'IPR043460', NULL, 'MEDAG/TEX26', 'MEDAG/TEX26', 4, NULL),
(38378, NULL, 'IPR042733', NULL, 'WDFY1, FYVE domain', 'WDFY1_FYVE', 3, NULL),
(38379, NULL, 'IPR042583', NULL, 'MARCH10, RING-CH finger, C4HC3-type', 'MARCH10_RING_CH-C4HC3', 3, NULL),
(38380, NULL, 'IPR042651', NULL, 'Regulator of G-protein signaling 22', 'Rgs22', 4, NULL),
(38381, NULL, 'IPR044967', NULL, 'Protein PLASTID TRANSCRIPTIONALLY ACTIVE 10', 'PTAC10', 4, NULL),
(38382, NULL, 'IPR045017', NULL, 'Peroxisomal 2,4-dienoyl-CoA reductase [(3E)-enoyl-CoA-producing]', 'DECR2-like', 4, NULL),
(38383, NULL, 'IPR045154', NULL, 'Protein PCF11-like', 'PCF11-like', 4, NULL),
(38384, NULL, 'IPR042703', NULL, 'Serine/threonine-protein kinase PLK3, catalytic domain', 'PLK3_STKc', 3, NULL),
(38385, NULL, 'IPR045027', NULL, 'Homer family', 'Homer', 4, NULL),
(38386, NULL, 'IPR043453', NULL, 'Slm1, PH domain', 'Slm1_PH', 3, NULL),
(38387, NULL, 'IPR045393', NULL, 'Protein of unknown function DUF6518', 'DUF6518', 4, NULL),
(38388, NULL, 'IPR045370', NULL, 'Protein of unknown function DUF5888', 'DUF5888', 4, NULL),
(38389, NULL, 'IPR042869', NULL, 'Rho GTPase-activating protein 11', 'ARHGAP11A/B', 4, NULL),
(38390, NULL, 'IPR043022', NULL, 'Peptide-N-glycosidase F, N-terminal domain superfamily', 'PngaseF_N_sf', 5, NULL),
(38391, NULL, 'IPR042699', NULL, 'E3 ubiquitin-protein ligase TRIM58, RING finger, HC subclass', 'TRIM58_RING-HC', 3, NULL),
(38392, NULL, 'IPR045403', NULL, 'Helix-turn-helix domain, Firmicutes-type', 'HTH_59_Firmicutes_type', 3, NULL),
(38393, NULL, 'IPR045407', NULL, 'Protein of unknown function DUF6512', 'DUF6512', 4, NULL),
(38394, NULL, 'IPR043746', NULL, 'Family of unknown function DUF5691', 'DUF5691', 4, NULL),
(38395, NULL, 'IPR044070', NULL, 'Rubella virus (RUBV) nonstructural (NS) protease domain', 'RUBV_NS_PRO', 3, NULL),
(38396, NULL, 'IPR042950', NULL, 'KBTBD4, BACK domain', 'KBTBD4_BACK', 3, NULL),
(38397, NULL, 'IPR042618', NULL, 'Dynein regulatory complex protein 9', 'IQCG', 4, NULL),
(38398, NULL, 'IPR044968', NULL, 'Protein PUTATIVE RECOMBINATION INITIATION DEFECT 1', 'PRD1', 4, NULL),
(38399, NULL, 'IPR044360', NULL, 'M matrix/glycoprotein, bat coronavirus HKU9-like', 'M_batCoV_HKU9-like', 4, NULL),
(38400, NULL, 'IPR042885', NULL, 'Heavy metal-associated isoprenylated plant protein 47', 'HIP47', 4, NULL),
(38401, NULL, 'IPR042948', NULL, 'T-cell immunoglobulin and ITIM domain receptor', 'TIGIT', 4, NULL),
(38402, NULL, 'IPR043031', NULL, 'Viral ssDNA binding protein, head domain', 'Viral_ssDBP_head', 5, NULL),
(38403, NULL, 'IPR042949', NULL, 'KBTBD4, BTB/POZ domain', 'KBTBD4_BTB_POZ', 3, NULL),
(38404, NULL, 'IPR044969', NULL, 'Protein DOUBLE-STRAND BREAK FORMATION', 'DFO', 4, NULL),
(38405, NULL, 'IPR045367', NULL, 'Protein of unknown function DUF5885', 'DUF5885', 4, NULL),
(38406, NULL, 'IPR043811', NULL, 'Protein of unknown function DUF5793', 'DUF5793', 4, NULL),
(38407, NULL, 'IPR044650', NULL, 'Tetratricopeptide repeat protein SRFR1-like', 'SRFR1-like', 4, NULL),
(38408, NULL, 'IPR043989', NULL, 'CCZ1/INTU/HPS4, third Longin domain', 'CCZ1/INTU/HSP4_longin_3', 3, NULL),
(38409, NULL, 'IPR043038', NULL, 'Antitoxin VbhA domain superfamily', 'VbhA_sf', 5, NULL),
(38410, NULL, 'IPR043977', NULL, 'Protein of unknown function DUF5759', 'DUF5759', 4, NULL),
(38411, NULL, 'IPR043522', NULL, 'DNA damage-induced apoptosis suppressor protein', 'DDIAS', 4, NULL),
(38412, NULL, 'IPR043058', NULL, 'KRIT, N-terminal NPxY motif-rich domain superfamily', 'NUDIX_sf', 5, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38413, NULL, 'IPR042865', NULL, 'Aspartate-rich protein 1-like', 'DRICH1-like', 4, NULL),
(38414, NULL, 'IPR043792', NULL, 'Domain of unknown function (DUF5734)', 'DUF5734', 3, NULL),
(38415, NULL, 'IPR043832', NULL, 'Protein of unknown function DUF5809', 'DUF5809', 4, NULL),
(38416, NULL, 'IPR044106', NULL, 'Snx41 /Atg20, PX domain', 'PX_Snx41/Atg20', 3, NULL),
(38417, NULL, 'IPR045000', NULL, 'Tropinone reductase', 'TR', 4, NULL),
(38418, NULL, 'IPR043833', NULL, 'Protein of unknown function DUF5810', 'DUF5810', 4, NULL),
(38419, NULL, 'IPR043380', NULL, 'Germ cell-less protein-like', 'Gcl-like', 4, NULL),
(38420, NULL, 'IPR043046', NULL, 'Interleukin-17 receptor A/B, FnIII-like domain 2 superfamily', 'IL17RA/B_FnIII-like_2_sf', 5, NULL),
(38421, NULL, 'IPR045033', NULL, 'Protein PIN-LIKES 1/3/4/5/7', 'PILS1/3/4/5/7', 4, NULL),
(38422, NULL, 'IPR043605', NULL, 'DUF883, C-terminal domain', 'DUF883_C', 3, NULL),
(38423, NULL, 'IPR043830', NULL, 'Protein of unknown function DUF5807', 'DUF5807', 4, NULL),
(38424, NULL, 'IPR045051', NULL, 'Subtilisin-like protease', 'SBT', 4, NULL),
(38425, NULL, 'IPR044066', NULL, 'TRIAD supradomain', 'TRIAD_supradom', 3, NULL),
(38426, NULL, 'IPR043722', NULL, 'Protein of unknown function DUF5663', 'DUF5663', 4, NULL),
(38427, NULL, 'IPR043836', NULL, 'Dimerisation and histidine phosphotransfer (DHp) domain', 'DHp', 3, NULL),
(38428, NULL, 'IPR044641', NULL, 'Sm-like protein Lsm7/SmG', 'Lsm7/SmG-like', 4, NULL),
(38429, NULL, 'IPR042768', NULL, 'Homeobox protein MNX1/Ceh-12', 'MNX1/Ceh-12', 4, NULL),
(38430, NULL, 'IPR042627', NULL, 'F-box/WD repeat-containing protein 2', 'FBXW2', 4, NULL),
(38431, NULL, 'IPR043782', NULL, 'Domain of unknown function DUF5724', 'DUF5724', 3, NULL),
(38432, NULL, 'IPR044040', NULL, 'Domain of unknown function DUF5744', 'DUF5744', 3, NULL),
(38433, NULL, 'IPR043735', NULL, 'Domain of unknown function DUF5680', 'DUF5680', 3, NULL),
(38434, NULL, 'IPR043595', NULL, 'Feruloyl esterase B/C/D', 'FaeB/C/D', 4, NULL),
(38435, NULL, 'IPR043788', NULL, 'Domain of unknown function DUF5730', 'DUF5730', 3, NULL),
(38436, NULL, 'IPR042561', NULL, 'Exocyst component Exo84, C-terminal, subdomain 1', 'Exo84_C_1', 5, NULL),
(38437, NULL, 'IPR045401', NULL, 'GTPase-associated protein 1, middle domain', 'GAP1-M', 3, NULL),
(38438, NULL, 'IPR045419', NULL, 'Domain of unknown function DUF5900', 'DUF5900', 3, NULL),
(38439, NULL, 'IPR042650', NULL, 'ASZ1, SAM domain', 'Asz1_SAM', 3, NULL),
(38440, NULL, 'IPR042310', NULL, 'Pestivirus envelope glycoprotein E2, domain B', 'Pestivirus_E2_B', 5, NULL),
(38441, NULL, 'IPR045369', NULL, 'Protein of unknown function DUF5887', 'DUF5887', 4, NULL),
(38442, NULL, 'IPR042736', NULL, 'CAPN2, penta-EF hand, calcium binding motif', 'EFh_PEF_CAPN2', 3, NULL),
(38443, NULL, 'IPR044784', NULL, 'BTB/POZ domain containing protein At1g01640-like', 'At1g01640-like', 4, NULL),
(38444, NULL, 'IPR043829', NULL, 'Protein of unknown function DUF5806', 'DUF5806', 4, NULL),
(38445, NULL, 'IPR044966', NULL, 'Protein RESISTANCE TO PHYTOPHTHORA 1, chloroplastic', 'RPH1', 4, NULL),
(38446, NULL, 'IPR044089', NULL, 'Magnesium transporter Alr1-like', 'Alr1-like', 4, NULL),
(38447, NULL, 'IPR042306', NULL, 'Alphavirus E2 glycoprotein, domain C', 'Alphavir_E2_C', 5, NULL),
(38448, NULL, 'IPR042972', NULL, 'Insulinoma-associated protein 1/2', 'INSM1/2', 4, NULL),
(38449, NULL, 'IPR043794', NULL, 'Domain of unknown function DUF5736', 'DUF5736', 3, NULL),
(38450, NULL, 'IPR044440', NULL, 'Plant glutamate receptor, periplasmic ligand-binding domain', 'GABAb_receptor_plant_PBP1', 3, NULL),
(38451, NULL, 'IPR043717', NULL, 'Domain of unknown function DUF5658', 'DUF5658', 3, NULL),
(38452, NULL, 'IPR045433', NULL, 'Effector-associated domain 6', 'EAD6', 3, NULL),
(38453, NULL, 'IPR042484', NULL, 'Low-density lipoprotein receptor-related protein 11', 'LRP11', 4, NULL),
(38454, NULL, 'IPR042654', NULL, 'FYVE and coiled-coil domain-containing protein 1', 'FYCO1', 4, NULL),
(38455, NULL, 'IPR045121', NULL, 'Coenzyme A pyrophosphatase', 'CoAse', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38456, NULL, 'IPR044054', NULL, 'Rv0078B-like antitoxin', 'Rv0078B', 4, NULL),
(38457, NULL, 'IPR045415', NULL, 'Protein of unknown function DUF5896', 'DUF5896', 4, NULL),
(38458, NULL, 'IPR042303', NULL, 'Malonyl-CoA decarboxylase, C-terminal catalytic domain superfamily', 'Malonyl_CoA_deC_C_sf', 5, NULL),
(38459, NULL, 'IPR043931', NULL, 'Protein of unknown function DUF5779', 'DUF5779', 4, NULL),
(38460, NULL, 'IPR043767', NULL, 'Protein of unknown function DUF5713', 'DUF5713', 4, NULL),
(38461, NULL, 'IPR043713', NULL, 'Family of unknown function DUF5654', 'DUF5654', 4, NULL),
(38462, NULL, 'IPR044024', NULL, 'Atypical Rib domain', 'aRib', 3, NULL),
(38463, NULL, 'IPR045363', NULL, 'Ceramide kinase, C-terminal domain', 'CERK_C', 3, NULL),
(38464, NULL, 'IPR044965', NULL, 'Glycoside hydrolase family 17, plant', 'Glyco_hydro_17_plant', 4, NULL),
(38465, NULL, 'IPR043636', NULL, 'L1 transposable element, RRM domain', 'L1_RRM_dom', 3, NULL),
(38466, NULL, 'IPR044058', NULL, 'Uncharacterised lipoprotein', 'Lipoprotein_23', 4, NULL),
(38467, NULL, 'IPR044016', NULL, 'Bacterial Ig-like domain 13', 'Big_13', 3, NULL),
(38468, NULL, 'IPR045388', NULL, 'Protein HHL1-like', 'HHL1-like', 4, NULL),
(38469, NULL, 'IPR043748', NULL, 'Family of unknown function DUF5693', 'DUF5693', 4, NULL),
(38470, NULL, 'IPR044050', NULL, 'Protein of unknown function (DUF5837)', 'DUF5837', 4, NULL),
(38471, NULL, 'IPR043040', NULL, 'Phospholipase B-like, domain 1', 'PLipase_B-like_dom1', 5, NULL),
(38472, NULL, 'IPR045428', NULL, 'Effector Associated Constant Component 1', 'EACC1', 4, NULL),
(38473, NULL, 'IPR044276', NULL, 'Coiled-coil SMC6 And NSE5 INteracting (CANIN) domain', 'CANIN_dom', 3, NULL),
(38474, NULL, 'IPR044051', NULL, 'Prophage endopeptidase tail, N-terminal', 'Prophage_tail_N', 3, NULL),
(38475, NULL, 'IPR043384', NULL, 'Reticulophagy receptor 1/3', 'RETREG1/3', 4, NULL),
(38476, NULL, 'IPR042946', NULL, 'Carboxymethylenebutenolidase homolog', 'CMBL', 4, NULL),
(38477, NULL, 'IPR043960', NULL, 'Protein of unknown function DUF5748', 'DUF5748', 4, NULL),
(38478, NULL, 'IPR045100', NULL, 'TUTase nucleotidyltransferase domain', 'TUTase_dom', 3, NULL),
(38479, NULL, 'IPR043776', NULL, 'Protein  of unknown function DUF5718', 'DUF5718', 4, NULL),
(38480, NULL, 'IPR044388', NULL, 'Non-structural protein 2, MERS-CoV-like', 'NSP2_MERS-like', 3, NULL),
(38481, NULL, 'IPR045280', NULL, 'GATA transcription factor TIFY-like', 'TIFY-like', 4, NULL),
(38482, NULL, 'IPR043930', NULL, 'Protein of unknown function DUF5754', 'DUF5754', 4, NULL),
(38483, NULL, 'IPR042921', NULL, 'Cystatin-like 1', 'CSTL1', 4, NULL),
(38484, NULL, 'IPR044652', NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-like 1.1/1.2/1.3/1.4', 'LRK10L-1.1/1.2/1.3/1.4', 4, NULL),
(38485, NULL, 'IPR042332', NULL, 'DASH complex subunit Hsk3', 'Hsk3', 4, NULL),
(38486, NULL, 'IPR044798', NULL, 'Chromatin modification-related protein EAF1A/B', 'EAF1A/B', 4, NULL),
(38487, NULL, 'IPR045402', NULL, 'GTPase-associated protein 1, N-terminal domain type 2', 'GAP1-N2', 3, NULL),
(38488, NULL, 'IPR045381', NULL, 'Brassinosteroid receptor  BRI1, island domain', 'BRI1_island_dom', 3, NULL),
(38489, NULL, 'IPR043940', NULL, 'Protein of unknown function DUF5781', 'DUF5781', 4, NULL),
(38490, NULL, 'IPR044981', NULL, 'Lysine-rich arabinogalactan protein AGP9/17/18', 'AGP9/17/18', 4, NULL),
(38491, NULL, 'IPR045241', NULL, 'WD repeat Prp46/PLRG1-like', 'Prp46/PLRG1-like', 4, NULL),
(38492, NULL, 'IPR045353', NULL, 'LAIKA domain', 'LAIKA', 3, NULL),
(38493, NULL, 'IPR043808', NULL, 'Protein of unknown function DUF5790', 'DUF5790', 4, NULL),
(38494, NULL, 'IPR045034', NULL, 'O-acyltransferase WSD1-like', 'O-acyltransferase_WSD1-like', 4, NULL),
(38495, NULL, 'IPR042559', NULL, 'Glutaminyl-tRNA synthetase, class Ib, non-specific RNA-binding domain, N-terminal, subdomain 2', 'Gln-tRNA-synth_Ib_RNA-bd_N_2', 5, NULL),
(38496, NULL, 'IPR043987', NULL, 'CCZ1/INTU/HSP4, first Longin domain', 'CCZ1/INTU/HSP4_longin_1', 3, NULL),
(38497, NULL, 'IPR044039', NULL, 'Domain of unknown function DUF5745', 'DUF5745', 3, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38498, NULL, 'IPR045148', NULL, 'Transcription elongation regulator 1-like', 'TCRG1-like', 4, NULL),
(38499, NULL, 'IPR045426', NULL, 'ADYC domain', 'ADYC', 3, NULL),
(38500, NULL, 'IPR042945', NULL, 'LBH domain containing protein', 'LBH_dom_prot', 4, NULL),
(38501, NULL, 'IPR042773', NULL, 'Protease-associated domain-containing protein 1', 'PADC1', 4, NULL),
(38502, NULL, 'IPR043015', NULL, 'Arenavirus glycoprotein, zinc binding domain', 'Arena_glycoprot_zinc-bd', 5, NULL),
(38503, NULL, 'IPR044656', NULL, 'Heat shock protein HSP14.7/HSP23.5/HSP23.6-like', 'HSP14.7/HSP23.5/HSP23.6-like', 4, NULL),
(38504, NULL, 'IPR044334', NULL, 'Accessory protein NS7, porcine deltacoronavirus (PDCoV)', 'NS7_PDCoV', 3, NULL),
(38505, NULL, 'IPR045794', NULL, 'Trypsin-co-occurring domain 1', 'Trypco1', 3, NULL),
(38506, NULL, 'IPR043002', NULL, 'Spike glycoprotein, N-terminal domain superfamily', 'Spike_N_sf', 5, NULL),
(38507, NULL, 'IPR045821', NULL, 'Beta-1,3-galactosyltransferase 2, N-terminal', 'B3GT2_N', 3, NULL),
(38508, NULL, 'IPR045599', NULL, 'Domain of unknown function DUF6456', 'DUF6456', 3, NULL),
(38509, NULL, 'IPR045793', NULL, 'YetA-like protein', 'YetA', 4, NULL),
(38510, NULL, 'IPR044371', NULL, 'Non-structural protein 3, X-domain-like', 'Macro_X_NSP3-like', 3, NULL),
(38511, NULL, 'IPR042339', NULL, 'Lymphocyte antigen 6D', 'Ly6D', 4, NULL),
(38512, NULL, 'IPR045787', NULL, 'Mesoderm induction early response protein 1/3, C-terminal', 'MIER1/3_C', 3, NULL),
(38513, NULL, 'IPR045492', NULL, 'Domain of unknown function DUF6434', 'DUF6434', 3, NULL),
(38514, NULL, 'IPR045597', NULL, 'Domain of unknown function DUF6458', 'DUF6458', 3, NULL),
(38515, NULL, 'IPR044140', NULL, 'Proline--tRNA ligase, anticodon binding domain', 'ProRS_anticodon_short', 3, NULL),
(38516, NULL, 'IPR044389', NULL, 'Non-structural protein 2, SARS-CoV-like', 'NSP2_SARS-CoV-like', 3, NULL),
(38517, NULL, 'IPR044362', NULL, 'M matrix/glycoprotein, HCoV-like', 'M_HCoV-like', 4, NULL),
(38518, NULL, 'IPR044361', NULL, 'M matrix/glycoprotein,  SARS-CoV-like', 'M_SARS-like-CoV', 4, NULL),
(38519, NULL, 'IPR043017', NULL, 'WIYLD domain superfamily', 'WIYLD_dom_sf', 5, NULL),
(38520, NULL, 'IPR044625', NULL, 'Sterol methyltransferase SMT2/3-like', 'SMT2/3-like', 4, NULL),
(38521, NULL, 'IPR044616', NULL, 'WD repeat-containing protein RUP1/2', 'RUP1/2', 4, NULL),
(38522, NULL, 'IPR045328', NULL, 'Yeast cell wall synthesis Kre9/Knh1', 'Kre9/Knh1', 4, NULL),
(38523, NULL, 'IPR045717', NULL, 'Chordin-like protein 1/2', 'CHRDL1/2', 4, NULL),
(38524, NULL, 'IPR042233', NULL, 'Cell division protein ZapA, N-terminal', 'Cell_div_ZapA_N', 5, NULL),
(38525, NULL, 'IPR044623', NULL, 'ERAD-associated E3 ubiquitin-protein ligase component HRD3', 'HRD3', 4, NULL),
(38526, NULL, 'IPR043205', NULL, 'Cytochrome b561/Cytochrome b reductase 1-like', 'CYB561/CYBRD1-like', 4, NULL),
(38527, NULL, 'IPR044795', NULL, 'Pentatricopeptide repeat-containing protein THA8L-like', 'THA8L-like', 4, NULL),
(38528, NULL, 'IPR043111', NULL, 'JBP1, DNA-binding domain superfamily', 'DB_JBP1_sf', 5, NULL),
(38529, NULL, 'IPR044581', NULL, 'Two pore calcium channel protein 1, plant', 'TPC1_plant', 4, NULL),
(38530, NULL, 'IPR044613', NULL, 'NEDD8-specific protease 1/2-like', 'Nep1/2-like', 4, NULL),
(38531, NULL, 'IPR045458', NULL, 'Wolframin, Sel1-like repeat', 'Wolframin_Sel1-like_rpt', 7, NULL),
(38532, NULL, 'IPR045698', NULL, 'Rab3GAP catalytic subunit, C-terminal', 'Rab3GAP1_C', 3, NULL),
(38533, NULL, 'IPR045712', NULL, 'Protein of unknown function DUF6068', 'DUF6068', 4, NULL),
(38534, NULL, 'IPR045539', NULL, 'Tail virion protein G7P', 'Inovirus_G7P_2', 4, NULL),
(38535, NULL, 'IPR045795', NULL, 'Transglycosylase, SLT domain', 'SLT_4', 3, NULL),
(38536, NULL, 'IPR045232', NULL, 'Protein FAM234', 'FAM234', 4, NULL),
(38537, NULL, 'IPR044429', NULL, 'SETD4, SET domain', 'SETD4_SET', 3, NULL),
(38538, NULL, 'IPR045546', NULL, 'Exportin-T, C-terminal domain', 'Exportin-T_C', 3, NULL),
(38539, NULL, 'IPR042229', NULL, 'Listeria-Bacteroides repeat domain superfamily', 'Listeria/Bacterioides_rpt_sf', 5, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38540, NULL, 'IPR044614', NULL, 'Rhodanese-like domain-containing protein 10', 'STR10', 4, NULL),
(38541, NULL, 'IPR044323', NULL, 'Non-structural protein ORF5, MERS-CoV-like', 'MERS-CoV-like_ORF5', 4, NULL),
(38542, NULL, 'IPR045786', NULL, 'Rho GTPase-activating protein, pG1 and pG2 domain', 'RhoGAP_pG1_pG2', 3, NULL),
(38543, NULL, 'IPR045715', NULL, 'Protein of unknown function DUF6071', 'DUF6071', 4, NULL),
(38544, NULL, 'IPR045482', NULL, 'FtsH ternary system domain X2', 'fvmX2', 3, NULL),
(38545, NULL, 'IPR044655', NULL, 'BAG-associated GRAM protein 1-like', 'BAGP1-like', 4, NULL),
(38546, NULL, 'IPR045095', NULL, 'Ancient conserved domain protein family', 'ACDP', 4, NULL),
(38547, NULL, 'IPR045788', NULL, 'MobC-like protein', 'MobC_2', 4, NULL),
(38548, NULL, 'IPR045584', NULL, 'Pilin-like', 'Pilin-like', 5, NULL),
(38549, NULL, 'IPR045877', NULL, 'RNA-binding protein ZFP36-like', 'ZFP36-like', 4, NULL),
(38550, NULL, 'IPR044575', NULL, 'Beta-arabinofuranosyltransferase RAY1-like', 'RAY1-like', 4, NULL),
(38551, NULL, 'IPR044649', NULL, '2-methyl-6-phytyl-1,4-hydroquinone methyltransferase', 'MPBQ/MSBQ_MT', 4, NULL),
(38552, NULL, 'IPR044390', NULL, 'Structural accessory protein ORF7a, SARS-CoV-2-like', 'ORF7a_SARS-CoV-2-like', 4, NULL),
(38553, NULL, 'IPR045336', NULL, 'MmgE/PrpD, N-terminal', 'MmgE_PrpD_N', 3, NULL),
(38554, NULL, 'IPR042147', NULL, 'CASP9, CARD domain', 'CARD_CASP9', 3, NULL),
(38555, NULL, 'IPR043210', NULL, 'CD44 antigen-like', 'CD44_antigen-like', 4, NULL),
(38556, NULL, 'IPR042935', NULL, 'tRNA-specific adenosine deaminase 1', 'Tad1', 4, NULL),
(38557, NULL, 'IPR043113', NULL, 'LntA, helical domain', 'LntA_helix', 5, NULL),
(38558, NULL, 'IPR045846', NULL, 'DNA polymerase alpha catalytic subunit, catalytic domain', 'POLBc_alpha', 3, NULL),
(38559, NULL, 'IPR045741', NULL, 'Type IX secretion system protein PorV', 'PorV', 3, NULL),
(38560, NULL, 'IPR044405', NULL, 'PRDM11, PR/SET domain', 'PRDM11_PR/SET', 3, NULL),
(38561, NULL, 'IPR045651', NULL, 'Domain of unknown function DUF6398', 'DUF6398', 3, NULL),
(38562, NULL, 'IPR045484', NULL, 'FtsH ternary system domain X5', 'fvmX5', 3, NULL),
(38563, NULL, 'IPR045796', NULL, 'Failed axon connections homolog, N-terminal domain', 'FAXC_N', 3, NULL),
(38564, NULL, 'IPR043779', NULL, 'Protein of unknown function DUF5721', 'DUF5721', 4, NULL),
(38565, NULL, 'IPR044840', NULL, 'Nucleoporin Nup188', 'Nup188', 4, NULL),
(38566, NULL, 'IPR042338', NULL, 'Tumor necrosis factor ligand superfamily member 4', 'TNFSF4', 4, NULL),
(38567, NULL, 'IPR045682', NULL, 'Protein of unknown function DUF6193', 'DUF6193', 4, NULL),
(38568, NULL, 'IPR044366', NULL, 'Spike (S) protein S1 subunit, receptor-binding domain, SARS-CoV-2', 'Spike_S1_RBD_SARS-CoV-2', 3, NULL),
(38569, NULL, 'IPR045523', NULL, 'GTPase-associated system helical domain', 'GASH', 3, NULL),
(38570, NULL, 'IPR045752', NULL, 'Protein of unknown function DUF6180', 'DUF6180', 4, NULL),
(38571, NULL, 'IPR044611', NULL, 'Ubiquitin-protein ligase E3B/C', 'E3B/C', 4, NULL),
(38572, NULL, 'IPR045331', NULL, 'MITD1, N-terminal domain', 'MITD1_N', 3, NULL),
(38573, NULL, 'IPR045491', NULL, 'Protein of unknown function DUF6433', 'DUF6433', 4, NULL),
(38574, NULL, 'IPR045452', NULL, 'vWA-MoxR associated protein middle region 7', 'VMAP-M7', 3, NULL),
(38575, NULL, 'IPR044464', NULL, 'Staufen 2, second double-stranded RNA binding domain', 'STAU2_DSRM_2', 3, NULL),
(38576, NULL, 'IPR045841', NULL, 'E3 ubiquitin-protein ligase UBR4, N-terminal', 'E3_UBR4_N', 3, NULL),
(38577, NULL, 'IPR045520', NULL, 'Glycerol-3-phosphate acyltransferase-like, C-terminal domain', 'GPAT_C', 3, NULL),
(38578, NULL, 'IPR044567', NULL, 'SNF2 domain-containing protein CLSY/DRD1', 'CLSY/DRD1', 4, NULL),
(38579, NULL, 'IPR045748', NULL, 'DcaP outer membrane protein', 'DcaP', 4, NULL),
(38580, NULL, 'IPR045780', NULL, 'Protein of unknown function DUF6206', 'DUF6206', 4, NULL),
(38581, NULL, 'IPR045592', NULL, 'Protein of unknown function DUF6461', 'DUF6461', 4, NULL),
(38582, NULL, 'IPR044626', NULL, 'NADPH-dependent oxidoreductase AOR-like', 'AOR-like', 4, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38583, NULL, 'IPR045580', NULL, 'PIK3 catalytic subunit gamma, adaptor-binding domain', 'PIK3CG_ABD', 3, NULL),
(38584, NULL, 'IPR045321', NULL, 'Chitinase Cts1-like', 'Cts1-like', 3, NULL),
(38585, NULL, 'IPR045465', NULL, 'Domain of unknown function DUF6499', 'DUF6499', 3, NULL),
(38586, NULL, 'IPR045595', NULL, 'SUF system FeS cluster assembly, SufBD, N-terminal', 'SufBD_N', 3, NULL),
(38587, NULL, 'IPR044634', NULL, 'J-protein Zuotin/DnaJC2', 'Zuotin/DnaJC2', 4, NULL),
(38588, NULL, 'IPR042219', NULL, 'Dynein heavy chain AAA lid domain superfamily', 'AAA_lid_11_sf', 5, NULL),
(38589, NULL, 'IPR045678', NULL, 'Protein of unknown function DUF6198', 'DUF6198', 4, NULL),
(38590, NULL, 'IPR042577', NULL, 'EYA domain, metazoan', 'EYA_dom_metazoan', 3, NULL),
(38591, NULL, 'IPR045822', NULL, 'CO dehydrogenase/acetyl-CoA synthase complex beta subunit , C-terminal', 'ACS_CODH_B_C', 3, NULL),
(38592, NULL, 'IPR044618', NULL, 'NAD(P)H-quinone oxidoreductase subunit T-like', 'NdhT-like', 4, NULL),
(38593, NULL, 'IPR044933', NULL, 'Diaphanous, GTPase-binding domain superfamily', 'DIA_GBD_sf', 5, NULL),
(38594, NULL, 'IPR043008', NULL, 'Cyanuric acid hydrolase/Barbiturase, repeating unit A', 'AtzD/Barbiturase_RUA', 5, NULL),
(38595, NULL, 'IPR045442', NULL, 'Protein of unknown function DUF6505', 'DUF6505', 4, NULL),
(38596, NULL, 'IPR045689', NULL, 'S-layer protein Slr4', 'Slr4', 4, NULL),
(38597, NULL, 'IPR042943', NULL, 'Kunitz-type protease inhibitor 4', 'SPINT4', 4, NULL),
(38598, NULL, 'IPR045525', NULL, 'Domain of unknown function DUF6472', 'DUF6472', 3, NULL),
(38599, NULL, 'IPR042230', NULL, 'Copper binding periplasmic protein CusF superfamily', 'CusF_sf', 5, NULL),
(38600, NULL, 'IPR045749', NULL, 'Protein of unknown function DUF6090', 'DUF6090', 4, NULL),
(38601, NULL, 'IPR044612', NULL, 'ADP-ribosylation factor-like protein 2/3', 'ARL2/3', 4, NULL),
(38602, NULL, 'IPR044619', NULL, 'F-box protein At3g18720-like', 'At3g18720-like', 4, NULL),
(38603, NULL, 'IPR042314', NULL, 'Transmembrane protein 121', 'TMEM121', 4, NULL),
(38604, NULL, 'IPR044565', NULL, 'Vesicle-trafficking protein Sec22', 'Sec22', 4, NULL),
(38605, NULL, 'IPR043014', NULL, 'Nibrin, second BRCT domain superfamily', 'Nibrin_BRCT2_sf', 5, NULL),
(38606, NULL, 'IPR045279', NULL, 'Two-component response regulator ARR-like', 'ARR-like', 4, NULL),
(38607, NULL, 'IPR044658', NULL, 'Transcription factor bHLH92/bHLH041-like', 'bHLH92/bHLH041-like', 4, NULL),
(38608, NULL, 'IPR043613', NULL, 'Non-structural protein 2, C-terminal domain, coronavirus', 'CoV_NSP2_C', 3, NULL),
(38609, NULL, 'IPR044368', NULL, 'Non-structural protein 6, gammacoronavirus', 'NSP6_gammaCoV', 3, NULL),
(38610, NULL, 'IPR044630', NULL, 'WD-repeat protein SPA1/2/3/4', 'SPA1/2/3/4', 4, NULL),
(38611, NULL, 'IPR043065', NULL, 'Carboxysome shell carbonic anhydrase, N-terminal', 'Carboxysome_shell_carb_anhy_N', 5, NULL),
(38612, NULL, 'IPR045471', NULL, 'Protein of unknown function DUF6494', 'DUF6494', 4, NULL),
(38613, NULL, 'IPR044396', NULL, 'SF1 helicase, uncharacterized domain, ronidovirus-like', 'SF1_Hel_unc_rv-like', 3, NULL),
(38614, NULL, 'IPR045824', NULL, 'Type II secretion system protein TadB-like, N-terminal domain', 'T2SS_TadB-like_N', 3, NULL),
(38615, NULL, 'IPR045696', NULL, 'RING finger protein 37, N-terminal', 'Ubox5_N', 3, NULL),
(38616, NULL, 'IPR043007', NULL, 'Cyanuric acid hydrolase/Barbiturase, repeating unit C', 'AtzD/Barbiturase_RUC', 5, NULL),
(38617, NULL, 'IPR045642', NULL, 'Protein of unknown function DUF6406', 'DUF6406', 4, NULL),
(38618, NULL, 'IPR045566', NULL, 'Putative endonuclease SegE, GIY-YIG domain', 'SegE_GIY-YIG', 3, NULL),
(38619, NULL, 'IPR044646', NULL, 'Pentatricopeptide repeat-containing protein EMB1417-like', 'EMB1417-like', 4, NULL),
(38620, NULL, 'IPR045475', NULL, 'Inactive STAND domain', 'iSTAND', 3, NULL),
(38621, NULL, 'IPR044584', NULL, 'E3 ubiquitin-protein ligase KEG', 'KEG', 4, NULL),
(38622, NULL, 'IPR045217', NULL, 'Patatin-like phospholipase domain containing protein 8-like', 'PNPLA8-like', 3, NULL);           
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38623, NULL, 'IPR044627', NULL, 'Dehydroascorbate reductases DHAR1/2/3/4', 'DHAR1/2/3/4', 4, NULL),
(38624, NULL, 'IPR045497', NULL, 'Domain of unknown function DUF6438', 'DUF6438', 3, NULL),
(38625, NULL, 'IPR045746', NULL, 'Putative acyltransferase ACT14924-like, acyltransferase domain', 'ACT14924-like_Acyltransf_dom', 3, NULL),
(38626, NULL, 'IPR045267', NULL, 'Cyclin-dependent kinase 11/PITSLRE, catalytic domain', 'CDK11/PITSLRE_STKc', 3, NULL),
(38627, NULL, 'IPR043825', NULL, 'Protein of unknown function DUF5802', 'DUF5802', 4, NULL),
(38628, NULL, 'IPR043011', NULL, 'Bunyavirus nucleocapsid (N) , C-terminal domain', 'Bunya_nucleocap_C', 5, NULL),
(38629, NULL, 'IPR045576', NULL, 'DNA-directed RNA polymerase III subunit RPC5, C-terminal', 'RPC5_C', 3, NULL),
(38630, NULL, 'IPR045332', NULL, 'ARMET, N-terminal', 'ARMET_N', 3, NULL),
(38631, NULL, 'IPR045602', NULL, 'MARF1, first and second LOTUS domain', 'MARF1_LOTUS', 3, NULL),
(38632, NULL, 'IPR044651', NULL, 'Trehalose 6-phosphate  OTSB-like', 'OTSB-like', 4, NULL),
(38633, NULL, 'IPR045817', NULL, 'Dynamin-like GTPase OPA1, C-terminal', 'OPA1_C', 3, NULL),
(38634, NULL, 'IPR042848', NULL, 'Ribonuclease P protein subunit Rpp38', 'Rpp38', 4, NULL),
(38635, NULL, 'IPR044557', NULL, 'WUSCHEL-related homeobox 8/9-like', 'WOX8/9-like', 4, NULL),
(38636, NULL, 'IPR044794', NULL, '5''-adenylylsulfate reductase-like 5/7', 'APRL5/7', 4, NULL),
(38637, NULL, 'IPR045647', NULL, 'Protein of unknown function DUF6401', 'DUF6401', 4, NULL),
(38638, NULL, 'IPR045711', NULL, 'Protein of unknown function DUF6067', 'DUF6067', 4, NULL),
(38639, NULL, 'IPR045585', NULL, 'Diadenylate cyclase CdaA, N-terminal domain', 'CdaA_N', 3, NULL),
(38640, NULL, 'IPR043112', NULL, 'TBP-interacting protein, C-terminal', 'TIP_C', 5, NULL),
(38641, NULL, 'IPR045544', NULL, 'Ternary complex associated domain 9', 'TCAD9', 3, NULL),
(38642, NULL, 'IPR045601', NULL, 'Domain of unknown function DUF6455', 'DUF6455', 3, NULL),
(38643, NULL, 'IPR045567', NULL, 'CofH/MqnC-like, C-terminal domain', 'CofH/MnqC-like_C', 3, NULL),
(38644, NULL, 'IPR045643', NULL, 'Protein of unknown function DUF6405', 'DUF6405', 4, NULL),
(38645, NULL, 'IPR044417', NULL, 'PRDM7/PRDM9, PR/SET domain', 'PRDM7_9_PR-SET', 3, NULL),
(38646, NULL, 'IPR045845', NULL, 'Serine/threonine-protein kinase BSK', 'BSK', 4, NULL),
(38647, NULL, 'IPR044665', NULL, 'Cyclophilin-type peptidyl-prolyl cis-trans isomerase, E. coli cyclophilin A-like', 'E_coli_cyclophilin_A-like', 4, NULL),
(38648, NULL, 'IPR045645', NULL, 'Protein of unknown function DUF6403', 'DUF6403', 4, NULL),
(38649, NULL, 'IPR043004', NULL, 'MvaI/BcnI restriction endonuclease, catalytic domain', 'MvaI_BcnI_cat', 5, NULL),
(38650, NULL, 'IPR045487', NULL, 'YukD-like, N-terminal domain', 'fvmYukD-like_N', 3, NULL),
(38651, NULL, 'IPR045826', NULL, 'SpaA-like, prealbumin-like fold domain', 'SpaA-like', 3, NULL),
(38652, NULL, 'IPR045216', NULL, 'Casein Kinase 2, subunit alpha', 'CK2_alpha', 4, NULL),
(38653, NULL, 'IPR044000', NULL, 'Phage tail tube protein-like', 'Phage_tube_2', 4, NULL),
(38654, NULL, 'IPR044554', NULL, 'Anaphase-promoting complex subunit 2', 'APC2-like', 4, NULL),
(38655, NULL, 'IPR045219', NULL, STRINGDECODE('PKD\u2010 and KLD\u2010Associated Transmembrane'), 'PKAT', 4, NULL),
(38656, NULL, 'IPR045792', NULL, 'Domain of unknown function DUF6036', 'DUF6036', 3, NULL),
(38657, NULL, 'IPR043029', NULL, 'Catechol 1,2-dioxygenase multimerisation domain', '1_2-CTD_multi_dom', 5, NULL),
(38658, NULL, 'IPR044240', NULL, 'Rhodanese-like domain-containing protein STR4-like', 'STR4-like', 4, NULL),
(38659, NULL, 'IPR044372', NULL, 'Spike (S) protein S1 subunit, receptor-binding domain, HCoV-OC43-like', 'Spike_S1_RBD_HCoV-OC43-like', 3, NULL),
(38660, NULL, 'IPR045470', NULL, 'Protein of unknown function DUF6495', 'DUF6495', 4, NULL),
(38661, NULL, 'IPR045865', NULL, 'ACT-like domain', 'ACT-like_dom_sf', 5, NULL),
(38662, NULL, 'IPR044296', NULL, 'Heavy metal-associated isoprenylated plant protein 16/46/47', 'HIPP16/46/47', 4, NULL),
(38663, NULL, 'IPR045708', NULL, 'Protein of unknown function DUF6064', 'DUF6064', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38664, NULL, 'IPR042688', NULL, 'Lmx1a, first LIM domain', 'Lmx1a_LIM1', 3, NULL),
(38665, NULL, 'IPR044663', NULL, 'MACPF domain-containing protein CAD1/NSL1-like', 'CAD1/NSL1-like', 4, NULL),
(38666, NULL, 'IPR045230', NULL, 'Zinc finger protein MBS1/2-like', 'MBS1/2-like', 4, NULL),
(38667, NULL, 'IPR045529', NULL, 'Domain of unknown function DUF6469', 'DUF6469', 3, NULL),
(38668, NULL, 'IPR042695', NULL, 'ACAP3, BAR domain', 'ACAP3_BAR', 3, NULL),
(38669, NULL, 'IPR045535', NULL, 'Domain of unknown function DUF6430', 'DUF6430', 3, NULL),
(38670, NULL, 'IPR045836', NULL, 'Astrovirus VPg protein', 'Astro_VPg', 4, NULL),
(38671, NULL, 'IPR045662', NULL, 'Protein of unknown function DUF6388', 'DUF6388', 4, NULL),
(38672, NULL, 'IPR044574', NULL, 'ATPase ARIP4-like', 'ARIP4-like', 4, NULL),
(38673, NULL, 'IPR045641', NULL, 'Major membrane protein I-like, C-terminal', 'MmpI-like_C', 3, NULL),
(38674, NULL, 'IPR045596', NULL, 'Protein of unknown function DUF6459', 'DUF6459', 4, NULL),
(38675, NULL, 'IPR044449', NULL, 'Rnt1/Pac1, double-stranded RNA binding domain, fungi', 'Rnt1/Pac1_DSRM_fungi', 3, NULL),
(38676, NULL, 'IPR044556', NULL, 'Endonuclease II-like, GIY-YIG domain', 'EndoII-like_GIY-YIG', 3, NULL),
(38677, NULL, 'IPR043057', NULL, 'Erythrocyte binding antigen 175, C-terminal domain superfamily', 'EBA-175_C_sf', 5, NULL),
(38678, NULL, 'IPR044150', NULL, 'Histone deacetylase 11', 'HDAC_classIV', 3, NULL),
(38679, NULL, 'IPR045233', NULL, 'Mannose-1-phosphate guanyltransferase, N-terminal domain', 'GMPPB_N', 3, NULL),
(38680, NULL, 'IPR045681', NULL, 'Protein of unknown function DUF6201', 'DUF6201', 4, NULL),
(38681, NULL, 'IPR045706', NULL, 'Protein of unknown function DUF6062', 'DUF6062', 4, NULL),
(38682, NULL, 'IPR042714', NULL, 'Tau-tubulin kinase 1, catalytic domain', 'TTBK1_STKc', 3, NULL),
(38683, NULL, 'IPR044643', NULL, 'N-(5''-phosphoribosyl)anthranilate isomerase family', 'TrpF_fam', 4, NULL),
(38684, NULL, 'IPR043023', NULL, 'Major vault protein repeat domain superfamily', 'MVP_rep_sf', 5, NULL),
(38685, NULL, 'IPR044074', NULL, 'Formyltetrahydrofolate deformylase,  ACT domain', 'PurU_ACT', 3, NULL),
(38686, NULL, 'IPR045839', NULL, 'Mgp-operon protein 3, C-terminal domain', 'MGP3_C', 3, NULL),
(38687, NULL, 'IPR043565', NULL, 'PAX family', 'PAX_fam', 4, NULL),
(38688, NULL, 'IPR045679', NULL, 'Protein of unknown function DUF6199', 'DUF6199', 4, NULL),
(38689, NULL, 'IPR044332', NULL, 'Accessory protein NS7a, deltacoronavirus, HKU30-like', 'NS7a_deltaCoV_HKU30-like', 3, NULL),
(38690, NULL, 'IPR044148', NULL, 'Succinate-semialdehyde dehydrogenase GabD1-like', 'ALDH_GabD1-like', 3, NULL),
(38691, NULL, 'IPR045441', NULL, 'Protein of unknown function DUF6506', 'DUF6506', 4, NULL),
(38692, NULL, 'IPR045231', NULL, 'Protein Yip1/4-like', 'Yip1/4-like', 4, NULL),
(38693, NULL, 'IPR043107', NULL, 'Fimbrillin-like, C-terminal', 'Mfa-like_2_C', 5, NULL),
(38694, NULL, 'IPR044139', NULL, 'Sulfate adenylyltransferase subunit CysN, Domain III', 'CysN_NoDQ_III', 3, NULL),
(38695, NULL, 'IPR044722', NULL, 'SecA,  C-terminal helicase domain', 'SecA_SF2_C', 3, NULL),
(38696, NULL, 'IPR043016', NULL, 'IFT81, N-terminal domain superfamily', 'IFT81_N_sf', 5, NULL),
(38697, NULL, 'IPR042951', NULL, 'ADP-ribosylation factor-like protein 10', 'ARL10', 4, NULL),
(38698, NULL, 'IPR045659', NULL, 'LPS-assembly protein LptD, central domain', 'LptD_2', 3, NULL),
(38699, NULL, 'IPR045480', NULL, 'FtsH ternary system domain X1', 'fvmX1', 3, NULL),
(38700, NULL, 'IPR044563', NULL, 'Protein Sgt1-like', 'Sgt1-like', 4, NULL),
(38701, NULL, 'IPR045837', NULL, 'Bacterial toxin, RNase RnlA/LsoA, N-terminal', 'RnlA_toxin_N', 3, NULL),
(38702, NULL, 'IPR042139', NULL, 'Rho GTPase-activating protein 32, PX domain', 'PX_ARHGAP32', 3, NULL),
(38703, NULL, 'IPR045456', NULL, 'vWA-MoxR associated protein middle region 14', 'VMAP-M14', 3, NULL),
(38704, NULL, 'IPR044601', NULL, '3xHMG-box protein HMGB6/HMGB13', 'HMGB6/HMGB13', 4, NULL),
(38705, NULL, 'IPR042335', NULL, 'Ankyrin repeat domain-containing protein 53', 'ANKRD53', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38706, NULL, 'IPR045066', NULL, 'Beta carbonic anhydrases, cladeB', 'Beta_CA_cladeB', 4, NULL),
(38707, NULL, 'IPR044446', NULL, 'DHX9, second double-stranded RNA binding domain', 'DHX9_DSRM_2', 3, NULL),
(38708, NULL, 'IPR042564', NULL, 'CRISPR-associated endoribonuclease Cas6/Csy4, subtype I-F/YPEST superfamily', 'CRISPR-Cas6/Csy4_sf', 5, NULL),
(38709, NULL, 'IPR045835', NULL, 'Astrovirus transmembrane protein 1A', 'Astro_1A', 4, NULL),
(38710, NULL, 'IPR045464', NULL, 'F-box protein Hrt3/FBXO9, C-terminal', 'Hrt3/FBXO9_C', 3, NULL),
(38711, NULL, 'IPR045534', NULL, 'Protein of unknown function DUF6428', 'DUF6428', 4, NULL),
(38712, NULL, 'IPR043018', NULL, 'Poxvirus domain superfamily', 'Poxvirus_sf', 5, NULL),
(38713, NULL, 'IPR044363', NULL, 'M matrix/glycoprotein, MERS-like-CoV', 'M_MERS-like-CoV', 4, NULL),
(38714, NULL, 'IPR045833', NULL, 'Astrovirus p19 protein', 'Astro_p19', 4, NULL),
(38715, NULL, 'IPR043009', NULL, 'LOR/SDH bifunctional enzyme, conserved domain superfamily', 'LOR/SDH_bifunc_enz_cons_dom_sf', 5, NULL),
(38716, NULL, 'IPR045570', NULL, 'Metalloprotease TldD/E, central domain', 'Metalloprtase-TldD/E_cen_dom', 3, NULL),
(38717, NULL, 'IPR045692', NULL, 'Protein of unknown function DUF6057', 'DUF6057', 4, NULL),
(38718, NULL, 'IPR042937', NULL, 'Trichohyalin-like protein 1', 'TCHHL1', 4, NULL),
(38719, NULL, 'IPR045571', NULL, 'Repeat of unknown function DUF5907', 'DUF5907', 7, NULL),
(38720, NULL, 'IPR042706', NULL, 'Serine/threonine-protein kinase LATS1,  catalytic domain', 'LATS1_STKc', 3, NULL),
(38721, NULL, 'IPR043068', NULL, 'Uracil DNA glycosylase inhibitor superfamily', 'SAUGI_sf', 5, NULL),
(38722, NULL, 'IPR045058', NULL, 'GTPase GIMA/IAN/Toc', 'GIMA/IAN/Toc', 4, NULL),
(38723, NULL, 'IPR045687', NULL, 'GPI ethanolamine phosphate transferase 2, C-terminal', 'PIGG/GPI7_C', 3, NULL),
(38724, NULL, 'IPR044311', NULL, 'Accessory protein N2-like', 'N2-like_embe-CoV', 3, NULL),
(38725, NULL, 'IPR045455', NULL, 'Domain of unknown function DUF5906', 'DUF5906', 3, NULL),
(38726, NULL, 'IPR045485', NULL, 'FtsH ternary system domain X6', 'fvmX6', 3, NULL),
(38727, NULL, 'IPR045825', NULL, 'Lanthionine-containing peptide SapB precursor RamS', 'RamS', 4, NULL),
(38728, NULL, 'IPR045832', NULL, 'Cell cycle link protein Clink', 'Clink', 4, NULL),
(38729, NULL, 'IPR045313', NULL, 'Carbonyl reductase [NADPH] 1-like', 'CBR1-like', 4, NULL),
(38730, NULL, 'IPR045521', NULL, 'Domain of unknown function DUF6475', 'DUF6475', 3, NULL),
(38731, NULL, 'IPR043005', NULL, 'MvaI/BcnI restriction endonuclease, recognition domain', 'MvaI_BcnI_rec', 5, NULL),
(38732, NULL, 'IPR044633', NULL, 'Cleavage stimulation factor subunit 1-like', 'CstF1-like', 4, NULL),
(38733, NULL, 'IPR045530', NULL, 'Double-GTPase 1', 'DO-GTPase1', 3, NULL),
(38734, NULL, 'IPR045744', NULL, 'E3 ubiquitin-protein ligase RNF152, C-terminal', 'RNF152_C', 3, NULL),
(38735, NULL, 'IPR044666', NULL, 'Cyclophilin-type peptidyl-prolyl cis-trans isomerase, cyclophilin A-like', 'Cyclophilin_A-like', 4, NULL),
(38736, NULL, 'IPR044635', NULL, 'Ubiquitin carboxyl-terminal hydrolase 14-like', 'UBP14-like', 4, NULL),
(38737, NULL, 'IPR044558', NULL, 'WUSCHEL-related homeobox 11-like', 'WOX11-like', 4, NULL),
(38738, NULL, 'IPR044421', NULL, 'SMYD4, SET domain', 'SMYD4_SET', 3, NULL),
(38739, NULL, 'IPR045781', NULL, 'Saxitoxin biosynthesis operon protein SxtJ', 'SxtJ', 4, NULL),
(38740, NULL, 'IPR043006', NULL, 'Cyanuric acid hydrolase/Barbiturase, repeating unit B', 'AtzD/Barbiturase_RUB', 5, NULL),
(38741, NULL, 'IPR044647', NULL, 'Reticulon-like protein B17/18/21', 'RTNLB17/18/21', 4, NULL),
(38742, NULL, 'IPR045325', NULL, 'TMEM70/TMEM186/TMEM223 protein family', 'TMEM70/TMEM186/TMEM223', 4, NULL),
(38743, NULL, 'IPR044315', NULL, 'Nonstructural protein 14, betacoronavirus', 'NSP14_betaCoV', 3, NULL),
(38744, NULL, 'IPR044438', NULL, 'EZH1, SET domain', 'EZH1_SET', 3, NULL),
(38745, NULL, 'IPR045528', NULL, 'Double-GTPase 2', 'DO-GTPase2', 3, NULL),
(38746, NULL, 'IPR045214', NULL, 'Surfeit locus 1/4', 'Surf1/Surf4', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38747, NULL, 'IPR044333', NULL, 'Accessory protein NS7a, deltacoronavirus, avian coronavirus HKU16-like', 'NS7a_deltaCoV_HKU16-like', 3, NULL),
(38748, NULL, 'IPR044375', NULL, 'Spike (S) protein S1 subunit, receptor-binding domain, HKU1-like', 'Spike_S1_RBD_CoV_HKU1-like', 3, NULL),
(38749, NULL, 'IPR044604', NULL, 'FCS-Like Zinc finger 12/13/14', 'FLZ12/13/14', 4, NULL),
(38750, NULL, 'IPR045561', NULL, 'Neuromedin-U receptor 2, C-terminal domain', 'NMU-R2_C', 3, NULL),
(38751, NULL, 'IPR044622', NULL, 'WD repeat-containing protein PCN', 'PCN', 4, NULL),
(38752, NULL, 'IPR045451', NULL, 'vWA-MoxR associated protein middle region 5', 'VMAP-M5', 3, NULL),
(38753, NULL, 'IPR044314', NULL, 'NSP11, NendoU domain, arterivirus', 'NSP11_NendoU_Av', 3, NULL),
(38754, NULL, 'IPR044355', NULL, 'SF1 helicase, uncharacterised linker domain, tornidovirus', 'SF1_Hel_unc_tv', 3, NULL),
(38755, NULL, 'IPR045683', NULL, 'Protein of unknown function DUF6192', 'DUF6192', 4, NULL),
(38756, NULL, 'IPR045763', NULL, 'BTB/POZ domain-containing protein KCTD11/21, C-terminal domain', 'KCTD11/21_C', 3, NULL),
(38757, NULL, 'IPR044406', NULL, 'PRDM12, PR/SET domain', 'PRDM12_PR/SET', 3, NULL),
(38758, NULL, 'IPR045674', NULL, 'Protein of unknown function DUF6196', 'DUF6196', 4, NULL),
(38759, NULL, 'IPR045759', NULL, 'Ap4A phosphorylase 1/2, N-terminal domain', 'Ap4A_phos1/2_N', 3, NULL),
(38760, NULL, 'IPR045676', NULL, 'Protein of unknown function DUF6194', 'DUF6194', 4, NULL),
(38761, NULL, 'IPR045747', NULL, 'CRISPR-associated protein Cas6, N-terminal domain superfamily', 'CRISPR-assoc_prot_Cas6_N_sf', 5, NULL),
(38762, NULL, 'IPR045474', NULL, 'GEVED domain', 'GEVED', 3, NULL),
(38763, NULL, 'IPR044636', NULL, 'Transcription factor RADIALIS-like', 'RADIALIS-like', 4, NULL),
(38764, NULL, 'IPR044324', NULL, 'Nonstructural protein 15, middle domain, deltacoronavirus', 'NSP15_M_deltaCoV', 3, NULL),
(38765, NULL, 'IPR045840', NULL, 'Ariadne domain', 'Ariadne', 3, NULL),
(38766, NULL, 'IPR044668', NULL, 'Peptidase C26, gamma-glutamyl-gamma-aminobutyrate hydrolase PuuD-like', 'PuuD-like', 4, NULL),
(38767, NULL, 'IPR045440', NULL, 'vWA-MoxR associated protein middle region 1', 'VMAP-M1', 3, NULL),
(38768, NULL, 'IPR045635', NULL, 'Protein of unknown function DUF6412', 'DUF6412', 4, NULL),
(38769, NULL, 'IPR042336', NULL, 'Golgi integral membrane protein 4', 'GOLIM4', 4, NULL),
(38770, NULL, 'IPR045330', NULL, 'Probable methyltransferase Trm3/TARBP1', 'Trm3/TARBP1', 4, NULL),
(38771, NULL, 'IPR044370', NULL, 'Spike (S) protein S1 subunit, receptor-binding domain, SARS-CoV', 'Spike_S1_RBD_SARS-CoV', 3, NULL),
(38772, NULL, 'IPR045481', NULL, 'FtsH ternary system domain X3', 'fvmX3', 3, NULL),
(38773, NULL, 'IPR044400', NULL, 'Interferon regulatory factor 8', 'IRF8', 4, NULL),
(38774, NULL, 'IPR045472', NULL, 'Domain of unknown function DUF6493', 'DUF6493', 3, NULL),
(38775, NULL, 'IPR045627', NULL, 'F-box/LRR-repeat protein 18, LRR domain', 'FBXL18_LRR', 3, NULL),
(38776, NULL, 'IPR042623', NULL, 'Transmembrane protein 205', 'TMEM205', 4, NULL),
(38777, NULL, 'IPR044302', NULL, 'Costars family', 'Costars', 4, NULL),
(38778, NULL, 'IPR044615', NULL, 'Rhodanese-like domain-containing protein 9, chloroplastic', 'STR9', 4, NULL),
(38779, NULL, 'IPR045496', NULL, 'Domain of unknown function DUF64370', 'DUF6437', 3, NULL),
(38780, NULL, 'IPR045453', NULL, 'vWA-MoxR associated protein middle region 8', 'VMAP-M8', 3, NULL),
(38781, NULL, 'IPR043826', NULL, 'Protein of unknown function DUF5803', 'DUF5803', 4, NULL),
(38782, NULL, 'IPR045745', NULL, 'Helix-turn-helix domain, Actinobacteria-type', 'HTH_58_Actinobacteria-type', 3, NULL),
(38783, NULL, 'IPR044579', NULL, 'Transcription factor bHLH11/121', 'bHLH11/121', 4, NULL),
(38784, NULL, 'IPR044605', NULL, 'Pentatricopeptide repeat-containing protein At1g26460-like', 'At1g26460-like', 4, NULL),
(38785, NULL, 'IPR045875', NULL, 'Nuclear transport factor 2/Mtr2', 'NTF2/Mtr2', 4, NULL),
(38786, NULL, 'IPR044608', NULL, 'Ethanolamine-phosphate cytidylyltransferase', 'Ect1/PCYT2', 4, NULL);
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38787, NULL, 'IPR043115', NULL, 'D212, catalytic domain superfamily', 'D212_cat_dom_sf', 5, NULL),
(38788, NULL, 'IPR042177', NULL, 'Cell/Rod shape-determining protein MreC, domain 1', 'Cell/Rod_1', 5, NULL),
(38789, NULL, 'IPR043778', NULL, 'Domain of unknown function DUF5720', 'DUF5720', 3, NULL),
(38790, NULL, 'IPR045710', NULL, 'Protein of unknown function DUF6066', 'DUF6066', 4, NULL),
(38791, NULL, 'IPR044453', NULL, 'EIF2AK2, second double-stranded RNA binding domain', 'EIF2AK2_DSRM_2', 3, NULL),
(38792, NULL, 'IPR045784', NULL, 'Radical SAM domain-containing protein, N-terminal', 'Radical_SAM_N2', 3, NULL),
(38793, NULL, 'IPR044277', NULL, 'GBF-interacting protein 1', 'GIP1', 4, NULL),
(38794, NULL, 'IPR045385', NULL, 'Protein of unknown function DUF6526', 'DUF6526', 4, NULL),
(38795, NULL, 'IPR045593', NULL, 'Atg11, middle domain', 'Atg11_middle', 3, NULL),
(38796, NULL, 'IPR044573', NULL, 'ARIP4, DEXH-box helicase domain', 'ARIP4_DEXHc', 3, NULL),
(38797, NULL, 'IPR045489', NULL, 'Domain of unknown function DUF6429', 'DUF6429', 3, NULL),
(38798, NULL, 'IPR045209', NULL, 'rRNA biogenesis protein Rrp5', 'Rrp5', 4, NULL),
(38799, NULL, 'IPR043299', NULL, 'Protein LRATD1/ LRATD2', 'LRATD1_LRATD2', 4, NULL),
(38800, NULL, 'IPR045211', NULL, 'TFP11/STIP/Ntr1', 'TFP11/STIP/Ntr1', 4, NULL),
(38801, NULL, 'IPR044299', NULL, 'Zinc finger protein GIS3/ZFP5/ZFP6', 'GIS3/ZFP5/ZFP6', 4, NULL),
(38802, NULL, 'IPR045538', NULL, 'Contractile injection system tape measure protein', 'CIS_TMP', 4, NULL),
(38803, NULL, 'IPR045577', NULL, 'Sentrin-specific protease 3/5, conserved domain', 'SENP3_5_cons_dom', 3, NULL),
(38804, NULL, 'IPR045751', NULL, 'Protein of unknown function DUF6179', 'DUF6179', 4, NULL),
(38805, NULL, 'IPR045337', NULL, 'MmgE/PrpD, C-terminal', 'MmgE_PrpD_C', 3, NULL),
(38806, NULL, 'IPR045654', NULL, 'Protein of unknown function DUF6395', 'DUF6395', 4, NULL),
(38807, NULL, 'IPR045656', NULL, 'Protein of unknown function DUF6393', 'DUF6393', 4, NULL),
(38808, NULL, 'IPR045785', NULL, 'Dipeptidyl peptidase 8 /9 ,N-terminal', 'Dpp_8/9_N', 3, NULL),
(38809, NULL, 'IPR045542', NULL, 'Ternary complex associated domain 3', 'TCAD3', 3, NULL),
(38810, NULL, 'IPR043064', NULL, 'Long-chain fatty acyl-CoA thioesterase, Rv0098-like superfamily', 'FcoT_ThioEstase_Rv0098-like_sf', 5, NULL),
(38811, NULL, 'IPR045587', NULL, 'Fukutin, N-terminal', 'FKTN_N', 3, NULL),
(38812, NULL, 'IPR044610', NULL, 'Beta-glucuronosyltransferase GlcAT14A/B/C', 'GLCAT14A/B/C', 4, NULL),
(38813, NULL, 'IPR045594', NULL, 'Domain of unknown function DUF6460', 'DUF6460', 3, NULL),
(38814, NULL, 'IPR044648', NULL, 'DNAJ protein JJJ1 homolog, plant', 'JJJ1_plant', 4, NULL),
(38815, NULL, 'IPR044192', NULL, 'Thioredoxin-like protein CDSP32', 'CDSP32', 4, NULL),
(38816, NULL, 'IPR044862', NULL, 'Prolyl 4-hydroxylase alpha subunit, Fe(2+) 2OG dioxygenase domain', 'Pro_4_hyd_alph_FE2OG_OXY', 3, NULL),
(38817, NULL, 'IPR045483', NULL, 'FtsH ternary system domain X3-analog', 'fvmX3-analog', 3, NULL),
(38818, NULL, 'IPR044053', NULL, 'Hydroxylase/desaturase AsaB-like', 'AsaB-like', 4, NULL),
(38819, NULL, 'IPR045716', NULL, 'Chordin-like protein 1/2, C-terminal', 'CHRDL_1/2_C', 3, NULL),
(38820, NULL, 'IPR044560', NULL, 'Monooxygenase/2-heptyl-3-hydroxy-4(1H)-quinolone synthase', 'MO/PqsH', 4, NULL),
(38821, NULL, 'IPR044561', NULL, 'L-threonine ammonia-lyase, ACT domain', 'ACT_ThrD-II-like', 3, NULL),
(38822, NULL, 'IPR045847', NULL, 'Transcription factor AIG1-like', 'AIG1-like', 4, NULL),
(38823, NULL, 'IPR045490', NULL, 'Protein of unknown function DUF6432', 'DUF6432', 4, NULL),
(38824, NULL, 'IPR044559', NULL, 'WUSCHEL-related homeobox 13-like', 'WOX13-like', 4, NULL),
(38825, NULL, 'IPR045753', NULL, 'Protein of unknown function DUF6181', 'DUF6181', 4, NULL),
(38826, NULL, 'IPR045476', NULL, 'JAB-N domain', 'FvmJAB_N', 3, NULL),
(38827, NULL, 'IPR042231', NULL, 'Choline/Carnitine o-acyltransferase, domain 2', 'Cho/carn_acyl_trans_2', 5, NULL),
(38828, NULL, 'IPR044624', NULL, 'Tetratricopeptide-like repeat protein Mbb1-like', 'Mbb1-like', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38829, NULL, 'IPR045083', NULL, 'ATP synthase, F0 complex, subunit A, bacterial/mitochondria', 'ATP_synth_F0_asu_bact/mt', 4, NULL),
(38830, NULL, 'IPR045541', NULL, 'Ternary complex associated domain 2', 'TCAD2', 3, NULL),
(38831, NULL, 'IPR045709', NULL, 'Protein of unknown function DUF6065', 'DUF6065', 4, NULL),
(38832, NULL, 'IPR045849', NULL, 'Inositol polyphosphate 5-phosphatase, plant', 'IP5P_plant', 4, NULL),
(38833, NULL, 'IPR043020', NULL, 'GCM domain, large subdomain', 'GCM_large', 5, NULL),
(38834, NULL, 'IPR045268', NULL, 'LIM domain and actin-binding protein LIMA-like', 'LIMA-like', 4, NULL),
(38835, NULL, 'IPR045283', NULL, 'Cytokinin-induced F-Box protein AT3G44326-like', 'AT3G44326-like', 4, NULL),
(38836, NULL, 'IPR045818', NULL, 'Gamma-tubulin complex component 6, N-terminal', 'GCP6_N', 3, NULL),
(38837, NULL, 'IPR045586', NULL, 'Diadenylate cyclase DacZ, N-terminal domain', 'DacZ_N', 3, NULL),
(38838, NULL, 'IPR045518', NULL, '2EXR domain', '2EXR', 3, NULL),
(38839, NULL, 'IPR044316', NULL, 'Nonstructural protein 14, gammacoronavirus', 'NSP14_gammaCoV', 3, NULL),
(38840, NULL, 'IPR045697', NULL, 'Domain of unknown function DUF5919', 'DUF5919', 3, NULL),
(38841, NULL, 'IPR045572', NULL, 'Type III restriction enzyme, C-terminal endonuclease domain', 'RE_endonuc_C', 3, NULL),
(38842, NULL, 'IPR044659', NULL, 'Protein PELPK-like', 'PELPK-like', 4, NULL),
(38843, NULL, 'IPR045677', NULL, 'Protein of unknown function DUF6197', 'DUF6197', 4, NULL),
(38844, NULL, 'IPR045524', NULL, 'Domain of unknown function DUF6473', 'DUF6473', 3, NULL),
(38845, NULL, 'IPR044607', NULL, 'Transcription factor RKD-like', 'RKD-like', 4, NULL),
(38846, NULL, 'IPR044632', NULL, 'DnaJ homolog subfamily C member 25-like', 'DNAJC25-like', 4, NULL),
(38847, NULL, 'IPR044657', NULL, 'Pentatricopeptide repeat-containing protein NFD5-like', 'NFD5-like', 4, NULL),
(38848, NULL, 'IPR042795', NULL, 'WD repeat-containing protein 73', 'Wdr73', 4, NULL),
(38849, NULL, 'IPR045888', NULL, 'Endoplasmic reticulum vesicle transporter', 'Erv', 4, NULL),
(38850, NULL, 'IPR045569', NULL, 'Metalloprotease TldD/E, C-terminal domain', 'Metalloprtase-TldD/E_C', 3, NULL),
(38851, NULL, 'IPR045215', NULL, 'Pentatricopeptide repeat-containing protein, plant', 'PPR_prot_plant', 4, NULL),
(38852, NULL, 'IPR044669', NULL, 'UPF0187 family', 'UPF0187', 4, NULL),
(38853, NULL, 'IPR044374', NULL, 'Non-structural protein 3, SUD-N macrodomain, SARS-CoV', 'NSP3_SUD-N_SARS-CoV', 3, NULL),
(38854, NULL, 'IPR044435', NULL, 'Set3/4, SET domain', 'Set3/4_SET', 3, NULL),
(38855, NULL, 'IPR045694', NULL, 'Protein of unknown function DUF6058', 'DUF6058', 4, NULL),
(38856, NULL, 'IPR045562', NULL, 'ATP-dependent DNA helicase RecG, domain 3, C-terminal', 'RecG_dom3_C', 3, NULL),
(38857, NULL, 'IPR042236', NULL, 'Phosphoinositide 3-kinase, accessory (PIK) domain superfamily', 'PI3K_accessory_sf', 5, NULL),
(38858, NULL, 'IPR042634', NULL, 'Homeobox protein MOX-1/MOX-2', 'MOX-1/MOX-2', 4, NULL),
(38859, NULL, 'IPR045649', NULL, 'Protein of unknown function DUF6400', 'DUF6400', 4, NULL),
(38860, NULL, 'IPR045705', NULL, 'Protein of unknown function DUF6061', 'DUF6061', 4, NULL),
(38861, NULL, 'IPR045086', NULL, 'OBG-type GTPase', 'OBG_GTPase', 4, NULL),
(38862, NULL, 'IPR044507', NULL, 'D-alanine:D-alanyl carrier protein ligase-like', 'DltA-like', 4, NULL),
(38863, NULL, 'IPR044552', NULL, 'GDSL esterase/lipase GLIP1-5/GLL25', 'GLIP1-5/GLL25', 4, NULL),
(38864, NULL, 'IPR045588', NULL, 'Calsyntenin, C-terminal', 'CLSTN_C', 3, NULL),
(38865, NULL, 'IPR042696', NULL, 'Calcium/calmodulin-dependent protein kinase type 1B, catalytic domain', 'CaMKI_beta_STKc', 3, NULL),
(38866, NULL, 'IPR044134', NULL, 'Synaptotagmin-like protein 4 , FYVE-related domain', 'FYVE_Slp4', 3, NULL),
(38867, NULL, 'IPR044839', NULL, 'Protein NDR1-like', 'NDR1-like', 4, NULL),
(38868, NULL, 'IPR045557', NULL, 'Activity-regulated cytoskeleton-associated protein,  N-terminal domain', 'Arc_N', 3, NULL),
(38869, NULL, 'IPR043021', NULL, 'GCM, small domain', 'GCM_small', 5, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38870, NULL, 'IPR042340', NULL, 'High affinity immunoglobulin epsilon receptor subunit gamma', 'FCER1G', 4, NULL),
(38871, NULL, 'IPR044327', NULL, 'Nonstructural protein 15, middle domain, betacoronavirus', 'NSP15_M_betaCoV', 3, NULL),
(38872, NULL, 'IPR045269', NULL, 'Serine/threonine-protein kinase Atg1-like', 'Atg1-like', 4, NULL),
(38873, NULL, 'IPR044583', NULL, 'Protein ARABIDILLO 1/2', 'ARABIDILLO1/2', 4, NULL),
(38874, NULL, 'IPR043012', NULL, 'Bunyavirus nucleocapsid (N) , N-terminal domain', 'Bunya_nucleocap_N', 5, NULL),
(38875, NULL, 'IPR043400', NULL, 'RNF141, RING finger, HC subclass', 'RING-HC_RNF141', 3, NULL),
(38876, NULL, 'IPR043025', NULL, 'Dam replacing family, catalytic PD-(D/E)XK domain', 'DRP_PD-(D/E)XK_dom', 5, NULL),
(38877, NULL, 'IPR045646', NULL, 'Protein of unknown function DUF6402', 'DUF6402', 4, NULL),
(38878, NULL, 'IPR044578', NULL, 'Pentatricopeptide repeat-containing protein BIR6-like', 'BIR6-like', 4, NULL),
(38879, NULL, 'IPR042353', NULL, 'Probable G-protein coupled receptor 160', 'GPR160', 4, NULL),
(38880, NULL, 'IPR044842', NULL, 'RNA demethylase ALKBH9B/ALKBH10B-like', 'ALKBH9B/ALKBH10B-like', 4, NULL),
(38881, NULL, 'IPR044506', NULL, 'Dual-specificity phosphatase CDC14, C-terminal', 'CDC14_C', 3, NULL),
(38882, NULL, 'IPR043030', NULL, 'Beta-1,3-glucan-binding protein, N-terminal domain superfamily', 'BGBP_N_sf', 5, NULL),
(38883, NULL, 'IPR044135', NULL, 'Methionyl-tRNA formyltransferase, C-terminal domain', 'Met-tRNA-FMT_C', 3, NULL),
(38884, NULL, 'IPR044606', NULL, '5''-adenylylsulfate reductase-like 4/6', 'APRL4/6', 4, NULL),
(38885, NULL, 'IPR045779', NULL, 'Protein of unknown function DUF6205', 'DUF6205', 4, NULL),
(38886, NULL, 'IPR044672', NULL, 'Molybdopterin synthase sulfur carrier subunit', 'MOCS2A', 4, NULL),
(38887, NULL, 'IPR042694', NULL, 'Proline-serine-threonine phosphatase-interacting protein 2, F-BAR domain', 'PSTPIP2_F-BAR', 3, NULL),
(38888, NULL, 'IPR045473', NULL, 'Sphingomyelin phosphodiesterase, C-terminal domain', 'ASM_C', 3, NULL),
(38889, NULL, 'IPR044600', NULL, 'RING-H2 finger protein ATL1/ATL16', 'ATL1/ATL16', 4, NULL),
(38890, NULL, 'IPR045466', NULL, 'Protein of unknown function DUF6498', 'DUF6498', 4, NULL),
(38891, NULL, 'IPR044570', NULL, 'Histone-lysine N-methyltransferase Set1-like', 'Set1-like', 4, NULL),
(38892, NULL, 'IPR044356', NULL, 'RNA-dependent RNA polymerase, alphacoronavirus', 'RdRp_alphaCoV', 3, NULL),
(38893, NULL, 'IPR045688', NULL, 'Ets1, N-terminal flanking region of Ets domain', 'Ets1_N_flank', 3, NULL),
(38894, NULL, 'IPR043013', NULL, 'Zinc finger, TRAF-type, N-terminal', 'Znf_TRAF_N', 5, NULL),
(38895, NULL, 'IPR045488', NULL, 'FtsH ternary system-associated peptide', 'fvmRadSAM-pep', 4, NULL),
(38896, NULL, 'IPR045699', NULL, 'Galactofuranosyltransferase-2, C-terminal', 'GlfT2_C', 3, NULL),
(38897, NULL, 'IPR042228', NULL, 'Dynein heavy chain, linker, subdomain 3', 'Dynein_linker_3', 5, NULL),
(38898, NULL, 'IPR044664', NULL, 'Rhodanese-like domain-containing protein 11-like', 'STR11-like', 4, NULL),
(38899, NULL, 'IPR045198', NULL, 'Calcineurin B-like', 'CNBL1-10', 4, NULL),
(38900, NULL, 'IPR045628', NULL, 'Helicase Lhr-like, winged helix domain', 'Lhr_WH_dom', 3, NULL),
(38901, NULL, 'IPR045532', NULL, 'Protein of unknown function DUF6467', 'DUF6467', 4, NULL),
(38902, NULL, 'IPR045469', NULL, 'Nis1-like', 'Nis1', 4, NULL),
(38903, NULL, 'IPR044555', NULL, 'Protein WUSCHEL-like', 'WUSCHEL-like', 4, NULL),
(38904, NULL, 'IPR044313', NULL, 'Nonstructural protein 14, alphacoronavirus', 'NSP14_alphaCoV', 3, NULL),
(38905, NULL, 'IPR045531', NULL, 'Domain of unknown function DUF6468', 'DUF6468', 3, NULL),
(38906, NULL, 'IPR045673', NULL, 'Phenol-soluble modulin delta protein', 'PSM_delta', 4, NULL),
(38907, NULL, 'IPR044653', NULL, 'C2H2-type zinc-finger protein AZF1/2/3-like', 'AZF1/2/3-like', 4, NULL),
(38908, NULL, 'IPR043019', NULL, 'T3SS negative regulator GrlR domain superfamily', 'GrlR_sf', 5, NULL),
(38909, NULL, 'IPR043003', NULL, 'FANCL, UBC-like domain 3 superfamily', 'FANCL_d3_sf', 5, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38910, NULL, 'IPR044504', NULL, 'Aldo-keto reductase family 5C2', 'AKR5C2', 4, NULL),
(38911, NULL, 'IPR042222', NULL, 'Dynein heavy chain, domain 2, N-terminal', 'Dynein_2_N', 5, NULL),
(38912, NULL, 'IPR044562', NULL, 'Protein C2-DOMAIN ABA-RELATED', 'CAR1-11', 4, NULL),
(38913, NULL, 'IPR045563', NULL, 'Domain of unknown function DUF5909', 'DUF5909', 3, NULL),
(38914, NULL, 'IPR043024', NULL, 'Kinase associated-1 domain superfamily, fungal', 'KA1_sf_fungal', 5, NULL),
(38915, NULL, 'IPR044322', NULL, 'Nonstructural protein 15, middle domain, alpha/betacoronavirus', 'NSP15_M_alpha_beta_CoV', 3, NULL),
(38916, NULL, 'IPR044292', NULL, 'Regulatory protein NPR', 'NPR', 4, NULL),
(38917, NULL, 'IPR045693', NULL, 'NAD(P)H-quinone oxidoreductase subunit 2, N-terminal', 'Ndh2_N', 3, NULL),
(38918, NULL, 'IPR043548', NULL, '1-phosphatidylinositol-3phosphate-5-kinase', 'PIKfyve', 4, NULL),
(38919, NULL, 'IPR044136', NULL, 'Lysine-tRNA ligase, class II, N-terminal', 'Lys-tRNA-ligase_II_N', 3, NULL),
(38920, NULL, 'IPR045644', NULL, 'Protein of unknown function DUF6404', 'DUF6404', 4, NULL),
(38921, NULL, 'IPR044681', NULL, 'Calmodulin binding protein PICBP-like', 'PICBP-like', 4, NULL),
(38922, NULL, 'IPR045457', NULL, 'vWA-MoxR associated protein middle region 19', 'VMAP-M19', 3, NULL),
(38923, NULL, 'IPR045559', NULL, 'Ribbon-helix-helix protein, RHH domain', 'RHH_9', 3, NULL),
(38924, NULL, 'IPR043061', NULL, 'Filoviruses VP35 interferon inhibitory domain, beta-sheet subdomain', 'VP35_IID_b-sht', 5, NULL),
(38925, NULL, 'IPR045834', NULL, 'Csd3-like, second N-terminal domain', 'Csd3_N2', 3, NULL),
(38926, NULL, 'IPR045057', NULL, 'Gcn5-related N-acetyltransferase', 'Gcn5-rel_NAT', 4, NULL),
(38927, NULL, 'IPR045756', NULL, 'Protein of unknown function DUF6183', 'DUF6183', 4, NULL),
(38928, NULL, 'IPR042337', NULL, 'Genetic suppressor element 1', 'GSE1', 4, NULL),
(38929, NULL, 'IPR042930', NULL, 'Cystatin-11', 'CST11', 4, NULL),
(38930, NULL, 'IPR045703', NULL, 'POU domain, class 2, transcription factor 1, C-terminal', 'POU2F1_C', 3, NULL),
(38931, NULL, 'IPR045204', NULL, 'Laforin-like, dual specificity phosphatase domain', 'DSP_laforin-like', 3, NULL),
(38932, NULL, 'IPR044576', NULL, 'Receptor-like serine/threonine-protein kinase At4g25390-like', 'At4g25390-like', 4, NULL),
(38933, NULL, 'IPR045842', NULL, 'Protein furry, C-terminal', 'Fry_C', 3, NULL),
(38934, NULL, 'IPR044602', NULL, 'RING-H2 finger protein ATL10/ATL75-79', 'ATL10/ATL75-79', 4, NULL),
(38935, NULL, 'IPR044394', NULL, 'Structural accessory protein ORF7b, SARS-CoV-like', 'ORF7b_SARS-CoV-like', 4, NULL),
(38936, NULL, 'IPR044301', NULL, 'Pathogenesis-related protein-4', 'PR4', 4, NULL),
(38937, NULL, 'IPR045626', NULL, 'D-3-phosphoglycerate dehydrogenase, ASB domain', 'PGDH_ASB_dom', 3, NULL),
(38938, NULL, 'IPR045558', NULL, 'Protein of unknown function DUF6317', 'DUF6317', 4, NULL),
(38939, NULL, 'IPR045844', NULL, 'Ist3-like, RNA recognition motif', 'RRM_Ist3-like', 3, NULL),
(38940, NULL, 'IPR044620', NULL, 'DnaJ protein P58IPK-like', 'P58IPK-like', 4, NULL),
(38941, NULL, 'IPR044386', NULL, 'Non-structural protein 2, bat coronavirus HKU9-like', 'NSP2_HKU9-like', 3, NULL),
(38942, NULL, 'IPR045650', NULL, 'Protein of unknown function DUF6399', 'DUF6399', 4, NULL),
(38943, NULL, 'IPR044298', NULL, 'Adenine/Thymine-DNA glycosylase', 'MIG/MutY', 4, NULL),
(38944, NULL, 'IPR045461', NULL, 'Wolframin, OB-fold domain', 'Wolframin_OB_fold', 3, NULL),
(38945, NULL, 'IPR045750', NULL, 'Protein of unknown function DUF6178', 'DUF6178', 4, NULL),
(38946, NULL, 'IPR045695', NULL, 'Transmembrane protein 131-like, conserved domain', 'TMEM131-like_conserved', 3, NULL),
(38947, NULL, 'IPR044280', NULL, 'Transcriptional activator Hac1/HY5', 'Hac1/HY5', 4, NULL),
(38948, NULL, 'IPR045660', NULL, 'Protein of unknown function DUF6390', 'DUF6390', 4, NULL),
(38949, NULL, 'IPR044404', NULL, 'PRDM4, PR/SET domain', 'PRDM4_PR/SET', 3, NULL),
(38950, NULL, 'IPR044133', NULL, 'KMT2A, PHD domain 3', 'KMT2A_PHD3', 3, NULL),
(38951, NULL, 'IPR045754', NULL, 'Protein of unknown function DUF6182', 'DUF6182', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38952, NULL, 'IPR045819', NULL, 'Tetratricopeptide repeat protein 7, N-terminal', 'TTC7_N', 3, NULL),
(38953, NULL, 'IPR044926', NULL, 'RGS, subdomain 2', 'RGS_subdomain_2', 5, NULL),
(38954, NULL, 'IPR045661', NULL, 'Protein of unknown function DUF6389', 'DUF6389', 4, NULL),
(38955, NULL, 'IPR045848', NULL, 'YKT6, SNARE motif', 'R-SNARE_YKT6', 3, NULL),
(38956, NULL, 'IPR042936', NULL, 'Nuclear hormone receptor family member nhr-150', 'Nhr-150', 4, NULL),
(38957, NULL, 'IPR045652', NULL, 'Protein of unknown function DUF6397', 'DUF6397', 4, NULL),
(38958, NULL, 'IPR045838', NULL, 'DEPDC5 protein, C-terminal', 'DEPDC5_CTD', 3, NULL),
(38959, NULL, 'IPR044585', NULL, 'FCS-Like Zinc finger 10/11', 'FLZ10/11', 4, NULL),
(38960, NULL, 'IPR045527', NULL, 'Protein of unknown function DUF6470', 'DUF6470', 4, NULL),
(38961, NULL, 'IPR045658', NULL, 'FRAS1-related extracellular matrix protein, N-terminal domain', 'FRAS1-rel_N', 3, NULL),
(38962, NULL, 'IPR044364', NULL, 'Spike (S) protein S1 subunit, receptor-binding domain, MERS-CoV-like', 'Spike_S1_RBD_MERS-CoV-like', 3, NULL),
(38963, NULL, 'IPR045376', NULL, 'Glycosyltransferase Maf, N-terminal', 'Maf_N', 3, NULL),
(38964, NULL, 'IPR045454', NULL, 'vWA-MoxR associated protein middle region 9', 'VMAP-M9', 3, NULL),
(38965, NULL, 'IPR044303', NULL, 'Zinc finger protein ZAT1/4/9', 'ZAT1/4/9', 4, NULL),
(38966, NULL, 'IPR045213', NULL, 'Malic enzyme, NAD-binding domain, bacterial type', 'Malic_NAD-bd_bact_type', 3, NULL),
(38967, NULL, 'IPR045460', NULL, 'Wolframin, EF-hand domain', 'Wolframin_EF-hand', 3, NULL),
(38968, NULL, 'IPR043066', NULL, 'Carboxysome shell carbonic anhydrase, C-terminal', 'Carboxysome_shell_carb_anhy_C', 5, NULL),
(38969, NULL, 'IPR045883', NULL, 'Transmembrane protein At4g13530-like', 'At4g13530-like', 4, NULL),
(38970, NULL, 'IPR045543', NULL, 'Ternary complex associated domain 7', 'TCAD7', 3, NULL),
(38971, NULL, 'IPR045210', NULL, 'PUB protein, U-box domain, plant', 'RING-Ubox_PUB', 3, NULL),
(38972, NULL, 'IPR043001', NULL, 'Inositol-pentakisphosphate 2-kinase, N-terminal lobe', 'IP5_2-K_N_lobe', 5, NULL),
(38973, NULL, 'IPR044925', NULL, 'His-Me finger superfamily', 'His-Me_finger_sf', 5, NULL),
(38974, NULL, 'IPR044631', NULL, 'ETO1-like', 'ETO1-like', 4, NULL),
(38975, NULL, 'IPR045493', NULL, 'Protein of unknown function DUF6435', 'DUF6435', 4, NULL),
(38976, NULL, 'IPR044272', NULL, 'GATA transcription factor 18/19/20', 'GATA18/19/20', 4, NULL),
(38977, NULL, 'IPR043106', NULL, 'Rubella capsid domain superfamily', 'Rubella_Capsid_sf', 5, NULL),
(38978, NULL, 'IPR045200', NULL, 'E3 ubiquitin-protein ligase CHIP/LubX', 'CHIP/LubX', 4, NULL),
(38979, NULL, 'IPR045680', NULL, 'Protein of unknown function DUF6200', 'DUF6200', 4, NULL),
(38980, NULL, 'IPR045714', NULL, 'Protein of unknown function DUF6070', 'DUF6070', 4, NULL),
(38981, NULL, 'IPR045707', NULL, 'Protein of unknown function DUF6063', 'DUF6063', 4, NULL),
(38982, NULL, 'IPR044261', NULL, 'Pyruvate dehydrogenase [ubiquinone] PoxB-like', 'PoxB-like', 4, NULL),
(38983, NULL, 'IPR044645', NULL, 'Pentatricopeptide repeat-containing protein DG1/EMB2279-like', 'DG1/EMB2279-like', 4, NULL),
(38984, NULL, 'IPR045220', NULL, 'Oxidoreductase FRHB/FDHB/HCAR-like', 'FRHB/FDHB/HCAR-like', 4, NULL),
(38985, NULL, 'IPR045798', NULL, 'TrbL/VirB6 plasmid conjugal transfer like protein, Firmicutes', 'TrbL_Firmicutes', 4, NULL),
(38986, NULL, 'IPR042769', NULL, 'SPATA6 family', 'SPATA6_fam', 4, NULL),
(38987, NULL, 'IPR045887', NULL, 'Kelch repeat F-box protein SAGL1-like', 'SAGL1-like', 4, NULL),
(38988, NULL, 'IPR042235', NULL, 'Zona pellucida, ZP-C domain', 'ZP-C', 5, NULL),
(38989, NULL, 'IPR044326', NULL, 'NS7b protein, bat coronavirus HKU9-like', 'NS7b_batCoV-HKU9', 3, NULL),
(38990, NULL, 'IPR044553', NULL, 'ANCHR, B-box-type 1 zinc finger domain', 'Bbox1_ANCHR', 3, NULL),
(38991, NULL, 'IPR045675', NULL, 'Protein of unknown function DUF6195', 'DUF6195', 4, NULL),
(38992, NULL, 'IPR045536', NULL, 'Domain of unknown function DUF6431', 'DUF6431', 3, NULL),
(38993, NULL, 'IPR045218', NULL, 'Protein DA1-like', 'DA1-like', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(38994, NULL, 'IPR045221', NULL, 'Sphingomyelin synthase-like', 'Sphingomyelin_synth-like', 4, NULL),
(38995, NULL, 'IPR045827', NULL, 'Deubiquitinating protein VCPIP1, N-terminal', 'VCPIP1_N', 3, NULL),
(38996, NULL, 'IPR044278', NULL, 'Transcription factor BHLH95-like', 'BHLH95-like', 4, NULL),
(38997, NULL, 'IPR044566', NULL, 'Polyamine transporter RMV1-like', 'RMV1-like', 4, NULL),
(38998, NULL, 'IPR045755', NULL, 'Bacteriodetes cell division protein FtsL-like', 'FtsL-like', 4, NULL),
(38999, NULL, 'IPR044571', NULL, 'Phosphatidylinositol 4-kinase gamma 1-8', 'P4KG1-8', 4, NULL),
(39000, NULL, 'IPR044319', NULL, 'Non-structural protein 3c (NS3c), bat coronavirus HKU4-like', 'ORF4b_HKU4-CoV', 4, NULL),
(39001, NULL, 'IPR045949', NULL, 'Protein of unknown function DUF6369', 'DUF6369', 4, NULL),
(39002, NULL, 'IPR044924', NULL, 'HAD-superfamily hydrolase, subfamily IA, REG-2-like, capping domain superfamily', 'HAD-SF_hydro_IA_REG-2-like_cap', 5, NULL),
(39003, NULL, 'IPR046023', NULL, 'Protein of unknown function DUF5980', 'DUF5980', 4, NULL),
(39004, NULL, 'IPR046085', NULL, 'Protein of unknown function DUF6103', 'DUF6103', 4, NULL),
(39005, NULL, 'IPR043010', NULL, 'Phenol hydroxylase domain superfamily', 'Phenol_hydroxylase_sf', 5, NULL),
(39006, NULL, 'IPR046005', NULL, 'Protein of unknown function DUF5961', 'DUF5961', 4, NULL),
(39007, NULL, 'IPR045094', NULL, 'Nicotinamide/nicotinate mononucleotide adenylyltransferase, eukaryotic', 'NMNAT_euk', 4, NULL),
(39008, NULL, 'IPR044994', NULL, 'Tubulin-specific chaperone E', 'TBCE', 4, NULL),
(39009, NULL, 'IPR044903', NULL, 'Luciferase, helical bundle domain superfamily', 'Luciferase_hlx-bundle_dom_sf', 5, NULL),
(39010, NULL, 'IPR044378', NULL, 'Spike (S) protein S1 subunit, receptor-binding domain, HKU4-like', 'Spike_S1_RBD_HKU4-like', 3, NULL),
(39011, NULL, 'IPR045151', NULL, 'DDB1- and CUL4-associated factor 8-like', 'DCAF8', 4, NULL),
(39012, NULL, 'IPR044910', NULL, 'TM_1086, SG structure domain', 'TM_1086_SG_dom', 5, NULL),
(39013, NULL, 'IPR043377', NULL, 'Glutathione S-transferase T1/2/3', 'GSTT1/2/3', 4, NULL),
(39014, NULL, 'IPR046050', NULL, 'Protein of unknown function DUF6008', 'DUF6008', 4, NULL),
(39015, NULL, 'IPR045916', NULL, 'Domain of unknown function DUF5777', 'DUF5777', 3, NULL),
(39016, NULL, 'IPR042819', NULL, 'EphB1 , SAM domain', 'EphB1_SAM', 3, NULL),
(39017, NULL, 'IPR046068', NULL, 'Protein of unknown function DUF6026', 'DUF6026', 4, NULL),
(39018, NULL, 'IPR045974', NULL, 'Domain of unknown function DUF5930', 'DUF5930', 3, NULL),
(39019, NULL, 'IPR046015', NULL, 'Protein of unknown function DUF5972', 'DUF5972', 4, NULL),
(39020, NULL, 'IPR044832', NULL, 'DCD domain-containing protein NRP-like', 'NRP-like', 4, NULL),
(39021, NULL, 'IPR046033', NULL, 'Protein of unknown function DUF5991', 'DUF5991', 4, NULL),
(39022, NULL, 'IPR046099', NULL, 'Protein of unknown function DUF6035', 'DUF6035', 4, NULL),
(39023, NULL, 'IPR044904', NULL, '3,4-dihydroxyphenylacetate 2,3-dioxygenase, C-terminal domain superfamily', 'HPCD_C_sf', 5, NULL),
(39024, NULL, 'IPR042189', NULL, 'Sigma-70 factor, region 1.1 superfamily', 'RNA_pol_sigma_70_r1_1_sf', 5, NULL),
(39025, NULL, 'IPR044203', NULL, 'Two-on-two hemoglobin-3', 'GLB3-like', 4, NULL),
(39026, NULL, 'IPR045147', NULL, 'AT-rich interactive domain-containing protein 3', 'ARI3A/B/C', 4, NULL),
(39027, NULL, 'IPR043423', NULL, 'Esterase FrsA', 'FrsA', 4, NULL),
(39028, NULL, 'IPR044872', NULL, 'CcmK/CsoS1, bacterial microcompartment domain', 'CcmK/CsoS1_BMC', 3, NULL),
(39029, NULL, 'IPR046025', NULL, 'Protein of unknown function DUF5983', 'DUF5983', 4, NULL),
(39030, NULL, 'IPR044883', NULL, 'Hemolysin, pre-stem domain', 'Hemolysin_pre-stem_dom_sf', 5, NULL),
(39031, NULL, 'IPR045102', NULL, 'TPTE, protein tyrosine phosphatase-like catalytic domain', 'PTP_VSP_TPTE', 3, NULL),
(39032, NULL, 'IPR045924', NULL, 'Protein of unknown function DUF6343', 'DUF6343', 4, NULL),
(39033, NULL, 'IPR045149', NULL, 'Protein OS-9-like', 'OS-9-like', 4, NULL),
(39034, NULL, 'IPR046029', NULL, 'Protein of unknown function DUF5987', 'DUF5987', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39035, NULL, 'IPR044916', NULL, 'Short tail fibre protein, C-terminal superfamily', 'Short_tail_fibre_C_sf', 5, NULL),
(39036, NULL, 'IPR042543', NULL, 'S-adenosylmethionine synthetase, domain 2', 'AdoMet_synthase_2', 5, NULL),
(39037, NULL, 'IPR045961', NULL, 'Protein of unknown function DUF6381', 'DUF6381', 4, NULL),
(39038, NULL, 'IPR044932', NULL, 'Plasmodium falciparum erythrocyte membrane protein 1, acidic terminal segment superfamily', 'PfEMP1_ATS_sf', 5, NULL),
(39039, NULL, 'IPR045063', NULL, 'Dynamin, N-terminal', 'Dynamin_N', 3, NULL),
(39040, NULL, 'IPR045145', NULL, 'Chromatin assembly factor 1 subunit Cac2/CHAF1B/FAS2', 'PTHR15271', 4, NULL),
(39041, NULL, 'IPR044885', NULL, 'Plasmodium RESA, N-terminal helical domain superfamily', 'PRESA_N_sf', 5, NULL),
(39042, NULL, 'IPR046012', NULL, 'Protein of unknown function DUF5969', 'DUF5969', 4, NULL),
(39043, NULL, 'IPR045965', NULL, 'Domain of unknown function DUF6385', 'DUF6385', 3, NULL),
(39044, NULL, 'IPR045157', NULL, 'CagA, N-terminal', 'CagA_N', 3, NULL),
(39045, NULL, 'IPR045971', NULL, 'Domain of unknown function DUF5927', 'DUF5927', 3, NULL),
(39046, NULL, 'IPR046328', NULL, 'ETS family', 'ETS_fam', 4, NULL),
(39047, NULL, 'IPR044917', NULL, 'DNA-directed primase/polymerase protein', 'PRIMPOL', 4, NULL),
(39048, NULL, 'IPR045069', NULL, 'Multidrug and toxic compound extrusion family, eukaryotic', 'MATE_euk', 4, NULL),
(39049, NULL, 'IPR045963', NULL, 'Protein of unknown function DUF6383', 'DUF6383', 3, NULL),
(39050, NULL, 'IPR044834', NULL, 'Patellin', 'PATL', 4, NULL),
(39051, NULL, 'IPR044398', NULL, 'Globin-sensor domain', 'Globin-sensor_dom', 3, NULL),
(39052, NULL, 'IPR045130', NULL, 'GDP-fucose protein O-fucosyltransferase 2-like', 'OFUT2-like', 4, NULL),
(39053, NULL, 'IPR046045', NULL, 'Protein of unknown function DUF6003', 'DUF6003', 4, NULL),
(39054, NULL, 'IPR046064', NULL, 'Protein of unknown function DUF6022', 'DUF6022', 4, NULL),
(39055, NULL, 'IPR042345', NULL, 'BTB/POZ domain-containing protein 7', 'Btbd7', 4, NULL),
(39056, NULL, 'IPR044151', NULL, 'Alpha-ketoglutaric semialdehyde dehydrogenase', 'ALDH_KGSADH', 4, NULL),
(39057, NULL, 'IPR046071', NULL, 'Protein of unknown function DUF6030', 'DUF6030', 4, NULL),
(39058, NULL, 'IPR042720', NULL, 'Piccolo, FYVE-related domain 1', 'PCLO_FYVE1', 3, NULL),
(39059, NULL, 'IPR046010', NULL, 'Protein of unknown function DUF5966', 'DUF5966', 4, NULL),
(39060, NULL, 'IPR045989', NULL, 'Protein of unknown function DUF5945', 'DUF5945', 4, NULL),
(39061, NULL, 'IPR044999', NULL, 'Protein CbbY-like', 'CbbY-like', 4, NULL),
(39062, NULL, 'IPR043369', NULL, 'Melanoma-derived growth regulatory protein', 'MIA', 4, NULL),
(39063, NULL, 'IPR044514', NULL, 'Vernalization insensitive 3-like', 'VIN3-like', 4, NULL),
(39064, NULL, 'IPR044971', NULL, 'Stress enhanced protein 2, chloroplastic', 'SEP2', 4, NULL),
(39065, NULL, 'IPR045125', NULL, 'RNA polymerase II transcriptional coactivator Sub1/Tcp4-like', 'Sub1/Tcp4-like', 4, NULL),
(39066, NULL, 'IPR046077', NULL, 'Protein of unknown function DUF6095', 'DUF6095', 4, NULL),
(39067, NULL, 'IPR045905', NULL, 'Receptor-type tyrosine-protein phosphatase delta, PTPase domain, repeat 1', 'R-PTP-delta_cat', 3, NULL),
(39068, NULL, 'IPR042506', NULL, 'IQ domain-containing protein C', 'IQCC', 4, NULL),
(39069, NULL, 'IPR046056', NULL, 'Protein of unknown function DUF6014', 'DUF6014', 4, NULL),
(39070, NULL, 'IPR042354', NULL, 'F-box only protein 38', 'FBX38', 4, NULL),
(39071, NULL, 'IPR044949', NULL, 'Inner capsid protein lambda-1/ VP3', 'Lambda-1/VP3', 5, NULL),
(39072, NULL, 'IPR043376', NULL, 'Protein NPG1-like', 'NPG1-like', 4, NULL),
(39073, NULL, 'IPR044673', NULL, 'Protein DCL-like', 'DCL-like', 4, NULL),
(39074, NULL, 'IPR045159', NULL, 'WD repeat-containing protein DCAF7-like', 'DCAF7-like', 4, NULL),
(39075, NULL, 'IPR042308', NULL, 'Helper-component proteinase (HC-Pro) cysteine protease (CPD) domain superfamily', 'HC_PRO_CPD_sf', 5, NULL),
(39076, NULL, 'IPR042776', NULL, '54S ribosomal protein L44, mitochondrial', 'MRPL44', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39077, NULL, 'IPR044869', NULL, 'HNF-1, POU-specific (POUs) atypical domain', 'HNF-1_POU', 3, NULL),
(39078, NULL, 'IPR046049', NULL, 'Protein of unknown function DUF6007', 'DUF6007', 4, NULL),
(39079, NULL, 'IPR045205', NULL, 'Chromatin remodeling protein EBS/SHL-like', 'EBS/SHL-like', 4, NULL),
(39080, NULL, 'IPR042342', NULL, 'Tetratricopeptide repeat protein 22', 'TTC22', 4, NULL),
(39081, NULL, 'IPR046082', NULL, 'Protein of unknown function DUF6100', 'DUF6100', 4, NULL),
(39082, NULL, 'IPR042488', NULL, 'Rad4, beta-hairpin domain 3 superfamily', 'Rad4_BHD3_sf', 5, NULL),
(39083, NULL, 'IPR042405', NULL, 'Protrudin', 'Protrudin', 4, NULL),
(39084, NULL, 'IPR042487', NULL, 'RuvBL1/2, DNA/RNA binding domain', 'RuvBL1/2_DNA/RNA_bd_dom', 5, NULL),
(39085, NULL, 'IPR046048', NULL, 'Protein of unknown function DUF6006', 'DUF6006', 4, NULL),
(39086, NULL, 'IPR045957', NULL, 'Domain of unknown function DUF6377', 'DUF6377', 3, NULL),
(39087, NULL, 'IPR044833', NULL, 'Protein WVD2-like 4/5/6', 'WDL4/5/6', 4, NULL),
(39088, NULL, 'IPR046009', NULL, 'Protein of unknown function DUF5965', 'DUF5965', 4, NULL),
(39089, NULL, 'IPR044900', NULL, 'Photosystem II CP43 reaction centre protein superfamily', 'PSII_PsbC_sf', 5, NULL),
(39090, NULL, 'IPR045985', NULL, 'Domain of unknown function DUF5941', 'DUF5941', 3, NULL),
(39091, NULL, 'IPR045937', NULL, 'Protein of unknown function DUF6357', 'DUF6357', 4, NULL),
(39092, NULL, 'IPR045950', NULL, 'Protein of unknown function DUF6370', 'DUF6370', 4, NULL),
(39093, NULL, 'IPR042816', NULL, 'Nuclear speckle splicing regulatory protein 1', 'Nsrp1', 4, NULL),
(39094, NULL, 'IPR045962', NULL, 'Protein of unknown function DUF6382', 'DUF6382', 3, NULL),
(39095, NULL, 'IPR045990', NULL, 'Protein of unknown function DUF5946', 'DUF5946', 4, NULL),
(39096, NULL, 'IPR045005', NULL, 'BTB/POZ and MATH domain-containing protein 1-6', 'BPM1-6', 4, NULL),
(39097, NULL, 'IPR045062', NULL, 'Cytochrome c-type biogenesis protein CcsA/CcmC', 'Cyt_c_biogenesis_CcsA/CcmC', 4, NULL),
(39098, NULL, 'IPR044382', NULL, 'NSP3, SUD-C domain, MERS-CoV-like', 'NSP3_SUD_C_MERS-CoV', 3, NULL),
(39099, NULL, 'IPR045225', NULL, 'Uracil/uridine/allantoin permease', 'Uracil/uridine/allantoin_perm', 4, NULL),
(39100, NULL, 'IPR046030', NULL, 'Protein of unknown function DUF5988', 'DUF5988', 4, NULL),
(39101, NULL, 'IPR044775', NULL, 'Sugar transporter ERD6/Tret1-like', 'MFS_ERD6/Tret1-like', 4, NULL),
(39102, NULL, 'IPR042490', NULL, 'Acyl-CoA thioester hydrolase/BAAT, N-terminal', 'Thio_Ohase/BAAT_N', 5, NULL),
(39103, NULL, 'IPR045988', NULL, 'Protein of unknown function DUF5944', 'DUF5944', 4, NULL),
(39104, NULL, 'IPR045071', NULL, 'KH domain-containing BBP-like', 'BBP-like', 4, NULL),
(39105, NULL, 'IPR045977', NULL, 'Domain of unknown function DUF5933', 'DUF5933', 3, NULL),
(39106, NULL, 'IPR044153', NULL, 'Pae0151-like, PIN domain', 'PIN_Pae0151-like', 3, NULL),
(39107, NULL, 'IPR042716', NULL, 'E3 ubiquitin-protein ligase RNF114, RING finger, HC subclass', 'RNF114_RING-HC', 3, NULL),
(39108, NULL, 'IPR045206', NULL, 'Maestro heat-like repeat-containing protein', 'Maestro_heat-like_prot', 4, NULL),
(39109, NULL, 'IPR043114', NULL, 'T26-6p, C-terminal', 'T26-6p_C', 5, NULL),
(39110, NULL, 'IPR045003', NULL, 'Fasciclin-like arabinogalactan protein, group A', 'FLA_A', 4, NULL),
(39111, NULL, 'IPR042403', NULL, 'Spt21/Ams2', 'Spt21/Ams2', 4, NULL),
(39112, NULL, 'IPR045132', NULL, 'Ubiquitin conjugation factor E4', 'UBE4', 4, NULL),
(39113, NULL, 'IPR044927', NULL, 'Type VII secretion system protein  EssD-like', 'Endonuclea_NS_2', 3, NULL),
(39114, NULL, 'IPR042404', NULL, 'KATNB1-like protein 1', 'KATNBL1', 4, NULL),
(39115, NULL, 'IPR044881', NULL, 'RecQ-mediated genome instability protein 1, N-terminal, subdomain 1 superfamily', 'RMI1_N_2_sf', 5, NULL),
(39116, NULL, 'IPR046093', NULL, 'Protein of unknown function DUF6111', 'DUF6111', 4, NULL),
(39117, NULL, 'IPR045972', NULL, 'Domain of unknown function DUF5928', 'DUF5928', 3, NULL),
(39118, NULL, 'IPR044792', NULL, 'Protein TAR1', 'TAR1', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39119, NULL, 'IPR042344', NULL, 'Zinc finger CCHC domain-containing protein 14', 'ZCCHC14', 4, NULL),
(39120, NULL, 'IPR046028', NULL, 'Protein of unknown function DUF5986', 'DUF5986', 4, NULL),
(39121, NULL, 'IPR044978', NULL, 'DnaJ homologue subfamily C, GRV2/DNAJC13', 'GRV2/DNAJC13', 4, NULL),
(39122, NULL, 'IPR044670', NULL, 'SOB-five-Like (SOFL) family', 'SOFL', 4, NULL),
(39123, NULL, 'IPR044936', NULL, 'Alphavirus nsP2 protease domain superfamily', 'Alphavirus_nsp2pro_sf', 5, NULL),
(39124, NULL, 'IPR046044', NULL, 'Protein of unknown function DUF6002', 'DUF6002', 4, NULL),
(39125, NULL, 'IPR044920', NULL, 'tRNA uridine 5-carboxymethylaminomethyl modification enzyme, C-terminal subdomain', 'MnmG_C_subdom', 5, NULL),
(39126, NULL, 'IPR044997', NULL, 'F-box protein, plant', 'F-box_plant', 4, NULL),
(39127, NULL, 'IPR046034', NULL, 'Protein of unknown function DUF5992', 'DUF5992', 4, NULL),
(39128, NULL, 'IPR046091', NULL, 'Protein of unknown function DUF6109', 'DUF6109', 4, NULL),
(39129, NULL, 'IPR046092', NULL, 'Protein of unknown function DUF6110', 'DUF6110', 4, NULL),
(39130, NULL, 'IPR043365', NULL, 'NACHT domain- and WD repeat-containing protein 1', 'NWD1', 4, NULL),
(39131, NULL, 'IPR045933', NULL, 'Protein of unknown function DUF6353', 'DUF6353', 4, NULL),
(39132, NULL, 'IPR044937', NULL, 'Mu1 membrane penetration protein, domain III', 'Mu1_membr_pen_domIII', 5, NULL),
(39133, NULL, 'IPR044942', NULL, 'Adenovirus Pll, hexon, subdomain 2', 'Adenovirus_Pll_hexon_sub2', 5, NULL),
(39134, NULL, 'IPR045092', NULL, 'Exosome complex exonuclease Rrp6-like', 'Rrp6-like', 4, NULL),
(39135, NULL, 'IPR044300', NULL, 'Protein SENSITIVE TO PROTON RHIZOTOXICITY 1/2', 'STOP1/2', 4, NULL),
(39136, NULL, 'IPR042933', NULL, 'Ataxin-7-like protein 3B', 'ATXN7L3B', 4, NULL),
(39137, NULL, 'IPR045951', NULL, 'Domain of unknown function DUF6371', 'DUF6371', 3, NULL),
(39138, NULL, 'IPR042498', NULL, 'Rubella membrane glycoprotein E1, domain 2', 'Rubella_E1_2', 5, NULL),
(39139, NULL, 'IPR044986', NULL, 'Kinesin-like protein KIF15/KIN-12E', 'KIF15/KIN-12E', 4, NULL),
(39140, NULL, 'IPR044998', NULL, 'Timeless', 'Timeless', 4, NULL),
(39141, NULL, 'IPR046011', NULL, 'Protein of unknown function DUF5967', 'DUF5967', 4, NULL),
(39142, NULL, 'IPR044977', NULL, 'Homeobox-DDT domain protein RLT1/2/3', 'RLT1/2/3', 4, NULL),
(39143, NULL, 'IPR044913', NULL, 'P-type trefoil domain superfamily', 'P_trefoil_dom_sf', 5, NULL),
(39144, NULL, 'IPR042341', NULL, 'B-lymphocyte antigen CD19', 'CD19', 4, NULL),
(39145, NULL, 'IPR044193', NULL, 'Thioredoxin-like 3-3', 'TRL33', 4, NULL),
(39146, NULL, 'IPR045994', NULL, 'Protein of unknown function DUF5950', 'DUF5950', 4, NULL),
(39147, NULL, 'IPR045921', NULL, 'Protein of unknown function DUF6340', 'DUF6340', 4, NULL),
(39148, NULL, 'IPR046052', NULL, 'Protein of unknown function DUF6010', 'DUF6010', 4, NULL),
(39149, NULL, 'IPR046051', NULL, 'Protein of unknown function DUF6009', 'DUF6009', 4, NULL),
(39150, NULL, 'IPR044393', NULL, 'ORF8,  bat SARS coronavirus HKU3-1-like', 'ORF8_bat_SARS-CoV_HKU3-1-like', 4, NULL),
(39151, NULL, 'IPR045991', NULL, 'Protein of unknown function DUF5947', 'DUF5947', 4, NULL),
(39152, NULL, 'IPR045964', NULL, 'Protein of unknown function DUF6384', 'DUF6384', 4, NULL),
(39153, NULL, 'IPR045101', NULL, 'PTEN,  phosphatase domain', 'PTP_PTEN', 3, NULL),
(39154, NULL, 'IPR044162', NULL, 'Universal stress protein PHOS32/34', 'PHOS32/34', 4, NULL),
(39155, NULL, 'IPR044817', NULL, 'Squamosa promoter-binding-like protein', 'SPL', 4, NULL),
(39156, NULL, 'IPR045920', NULL, 'Protein of unknown function DUF6339', 'DUF6339', 4, NULL),
(39157, NULL, 'IPR045923', NULL, 'Protein of unknown function DUF6342', 'DUF6342', 4, NULL),
(39158, NULL, 'IPR045903', NULL, 'E3 ubiquitin-protein ligase ZNRF3, Zinc finger, RING-type', 'ZNRF3_Znf_RING', 3, NULL),
(39159, NULL, 'IPR042221', NULL, 'Leucyl/phenylalanyl-tRNA-protein transferase, N-terminal', 'Leu/Phe-tRNA_Trfase_N', 5, NULL),
(39160, NULL, 'IPR045088', NULL, 'Aminotransferase ALAT1/2-like', 'ALAT1/2-like', 4, NULL);            
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39161, NULL, 'IPR042381', NULL, 'T-cell surface protein tactile', 'CD96', 4, NULL),
(39162, NULL, 'IPR045892', NULL, 'Prolycopene isomerase-like', 'CrtISO-like', 4, NULL),
(39163, NULL, 'IPR045093', NULL, 'Cullin', 'Cullin', 4, NULL),
(39164, NULL, 'IPR045935', NULL, 'Protein of unknown function DUF6355', 'DUF6355', 4, NULL),
(39165, NULL, 'IPR046032', NULL, 'Protein of unknown function DUF5990', 'DUF5990', 4, NULL),
(39166, NULL, 'IPR044780', NULL, 'Heh2/Src1-like', 'Heh2/Src1', 4, NULL),
(39167, NULL, 'IPR045160', NULL, 'Autophagy-related protein 16', 'ATG16', 4, NULL),
(39168, NULL, 'IPR045156', NULL, 'Vacuolar protein 8', 'Vac8', 4, NULL),
(39169, NULL, 'IPR046031', NULL, 'Protein of unknown function DUF5989', 'DUF5989', 4, NULL),
(39170, NULL, 'IPR044864', NULL, 'Non-structural protein NSP3, SUD-N (Mac2) domain, betacoronavirus', 'NSP3_SUD-N_bCoV', 3, NULL),
(39171, NULL, 'IPR044867', NULL, 'DEUBAD  domain', 'DEUBAD_dom', 3, NULL),
(39172, NULL, 'IPR046018', NULL, 'Protein of unknown function DUF5975', 'DUF5975', 4, NULL),
(39173, NULL, 'IPR045902', NULL, 'SANBR-like', 'SANBR-like', 4, NULL),
(39174, NULL, 'IPR046008', NULL, 'Protein of unknown function DUF5964', 'DUF5964', 4, NULL),
(39175, NULL, 'IPR045928', NULL, 'Protein of unknown function DUF6347', 'DUF6347', 4, NULL),
(39176, NULL, 'IPR046069', NULL, 'Protein of unknown function DUF6027', 'DUF6027', 4, NULL),
(39177, NULL, 'IPR044991', NULL, 'Tetraspani, plant', 'TET_plant', 4, NULL),
(39178, NULL, 'IPR042383', NULL, 'Fibrinogen silencer-binding protein', 'FSBP', 4, NULL),
(39179, NULL, 'IPR044853', NULL, 'IrrE, HTH domain', 'G3DSA:1.10.10.1030', 5, NULL),
(39180, NULL, 'IPR045912', NULL, 'Forkhead box protein J2/3-like', 'FOXJ2/3-like', 4, NULL),
(39181, NULL, 'IPR045072', NULL, 'MKRN-like', 'MKRN-like', 4, NULL),
(39182, NULL, 'IPR045868', NULL, 'Zinc finger CCCH domain-containing protein 13/40', 'Znf_C3H13/40', 4, NULL),
(39183, NULL, 'IPR046024', NULL, 'Protein of unknown function DUF5982', 'DUF5982', 3, NULL),
(39184, NULL, 'IPR045119', NULL, 'SUN domain-containing protein 1-5', 'SUN1-5', 4, NULL),
(39185, NULL, 'IPR045120', NULL, 'SUN domain-containing Suco/Slp1-like', 'Suco/Slp1-like', 4, NULL),
(39186, NULL, 'IPR045954', NULL, 'Protein of unknown function DUF6374', 'DUF6374', 4, NULL),
(39187, NULL, 'IPR044307', NULL, 'Non-structural protein 5, deltacoronavirus', 'NSP5_Mpro_deltaCoV', 3, NULL),
(39188, NULL, 'IPR046057', NULL, 'Protein of unknown function DUF6015', 'DUF6015', 4, NULL),
(39189, NULL, 'IPR044923', NULL, 'PolC, middle finger subdomain superfamily', 'PolC_middle_finger_sf', 5, NULL),
(39190, NULL, 'IPR044711', NULL, 'Egg cell-secreted protein 1.1/1.5', 'EC11/15', 4, NULL),
(39191, NULL, 'IPR046006', NULL, 'Protein of unknown function DUF5962', 'DUF5962', 4, NULL),
(39192, NULL, 'IPR045993', NULL, 'Protein of unknown function DUF5949', 'DUF5949', 4, NULL),
(39193, NULL, 'IPR042357', NULL, 'WAP four-disulfide core domain protein 1', 'WFDC1', 4, NULL),
(39194, NULL, 'IPR045919', NULL, 'Protein of unknown function DUF6338', 'DUF6338', 4, NULL),
(39195, NULL, 'IPR045926', NULL, 'Protein of unknown function DUF6345', 'DUF6345', 4, NULL),
(39196, NULL, 'IPR042382', NULL, 'Chondroitin sulfate proteoglycan 5', 'CSPG5', 4, NULL),
(39197, NULL, 'IPR045945', NULL, 'Protein of unknown function DUF6365', 'DUF6365', 4, NULL),
(39198, NULL, 'IPR044882', NULL, 'Interferon regulatory factor 2-binding protein 1/2, C3HC4-type RING finger superfamily', 'I2BP1/2_C3HC4-RING_sf', 5, NULL),
(39199, NULL, 'IPR045065', NULL, 'Exportin-1/5', 'XPO1/5', 4, NULL),
(39200, NULL, 'IPR044929', NULL, 'DNA/RNA non-specific endonuclease superfamily', 'DNA/RNA_non-sp_Endonuclease_sf', 5, NULL),
(39201, NULL, 'IPR045952', NULL, 'Protein of unknown function DUF6372', 'DUF6372', 4, NULL),
(39202, NULL, 'IPR045987', NULL, 'Domain of unknown function DUF5943', 'DUF5943', 3, NULL),
(39203, NULL, 'IPR046073', NULL, 'Protein of unknown function DUF6032', 'DUF6032', 4, NULL),
(39204, NULL, 'IPR042817', NULL, 'Serine/threonine-protein kinase LMTK1, catalytic domain', 'LMTK1_c', 3, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39205, NULL, 'IPR045091', NULL, 'Mad2-like', 'Mad2-like', 4, NULL),
(39206, NULL, 'IPR046102', NULL, 'Protein of unknown function DUF6039', 'DUF6039', 4, NULL),
(39207, NULL, 'IPR045138', NULL, 'Methyl-CpG binding protein MeCP2/MBD4', 'MeCP2/MBD4', 4, NULL),
(39208, NULL, 'IPR045869', NULL, 'Bifunctional polymyxin resistance protein ArnA-like, extended (e) SDRs', 'Arna-like_SDR_e', 3, NULL),
(39209, NULL, 'IPR044827', NULL, 'G-box-binding factor-like', 'GBF-like', 4, NULL),
(39210, NULL, 'IPR045938', NULL, 'Protein of unknown function DUF6358', 'DUF6358', 4, NULL),
(39211, NULL, 'IPR046059', NULL, 'Domain of unknown function DUF6017', 'DUF6017', 3, NULL),
(39212, NULL, 'IPR044828', NULL, 'Stem-specific protein TSJT1-like', 'TSJT1-like', 4, NULL),
(39213, NULL, 'IPR044890', NULL, 'TMEM14 superfamily', 'TMEM14_sf', 5, NULL),
(39214, NULL, 'IPR046054', NULL, 'Protein of unknown function DUF6012', 'DUF6012', 4, NULL),
(39215, NULL, 'IPR046075', NULL, 'Protein of unknown function DUF6093', 'DUF6093', 4, NULL),
(39216, NULL, 'IPR045800', NULL, 'Heavy metal binding domain', 'HMBD', 3, NULL),
(39217, NULL, 'IPR046047', NULL, 'Protein of unknown function DUF6005', 'DUF6005', 4, NULL),
(39218, NULL, 'IPR042495', NULL, 'Platelet-derived growth factor receptor-like protein', 'PDGFRL', 4, NULL),
(39219, NULL, 'IPR043324', NULL, 'PKHG1/2/3, pleckstrin homology (PH) domain', 'PH_PLEKHG1_G2_G3', 3, NULL),
(39220, NULL, 'IPR045087', NULL, 'Multicopper oxidase', 'Cu-oxidase_fam', 4, NULL),
(39221, NULL, 'IPR044781', NULL, 'Pentatricopeptide repeat-containing protein At5g10690-like', 'At5g10690-like', 4, NULL),
(39222, NULL, 'IPR042622', NULL, 'Zinc finger protein 106', 'Znf106', 4, NULL),
(39223, NULL, 'IPR045001', NULL, 'Developmentally regulated GTP-binding protein', 'DRG', 4, NULL),
(39224, NULL, 'IPR045161', NULL, 'U3 small nucleolar RNA-associated protein 18', 'Utp18', 4, NULL),
(39225, NULL, 'IPR043098', NULL, 'Cysteine protease, VirA/EspG, N-terminal', 'Cys_protease_VirA/EspG_N', 5, NULL),
(39226, NULL, 'IPR044896', NULL, 'Hepatitis C virus core protein, chain A superfamily', 'HCV_core_chain_A', 5, NULL),
(39227, NULL, 'IPR045942', NULL, 'Domain of unknown function DUF6362', 'DUF6362', 3, NULL),
(39228, NULL, 'IPR045959', NULL, 'Domain of unknown function DUF6379', 'DUF6379', 3, NULL),
(39229, NULL, 'IPR045146', NULL, 'Splicing factor 3A subunit 1', 'SF3A1', 4, NULL),
(39230, NULL, 'IPR044176', NULL, 'Thioredoxin-like 4, chloroplastic', 'TRL4_chloroplastic', 4, NULL),
(39231, NULL, 'IPR045141', NULL, 'N-alpha-acetyltransferase 60-like', 'NAA60-like', 4, NULL),
(39232, NULL, 'IPR044830', NULL, 'Class III homeodomain-leucine zipper family', 'HD-Zip_III', 4, NULL),
(39233, NULL, 'IPR044922', NULL, 'DUF2063, N-terminal superfamily', 'DUF2063_N_sf', 5, NULL),
(39234, NULL, 'IPR044887', NULL, 'Putative substrate of the Dot/Icm secretion system superfamily', 'SoDot-IcmSS_sf', 5, NULL),
(39235, NULL, 'IPR046088', NULL, 'Protein of unknown function DUF6106', 'DUF6106', 4, NULL),
(39236, NULL, 'IPR044816', NULL, 'BURP domain-containing protein', 'BURP', 4, NULL),
(39237, NULL, 'IPR046037', NULL, 'Protein of unknown function DUF5995', 'DUF5995', 4, NULL),
(39238, NULL, 'IPR046095', NULL, 'Protein of unknown function DUF6113', 'DUF6113', 4, NULL),
(39239, NULL, 'IPR046002', NULL, 'Protein of unknown function DUF5958', 'DUF5958', 4, NULL),
(39240, NULL, 'IPR045983', NULL, 'Guanylate cyclase domain-containing protein, N-terminal', 'GUC-dom-containing_N', 3, NULL),
(39241, NULL, 'IPR045142', NULL, 'BCAS3-like', 'BCAS3-like', 4, NULL),
(39242, NULL, 'IPR042939', NULL, 'RUN and FYVE domain-containing protein 4', 'RUFY4', 4, NULL),
(39243, NULL, 'IPR046042', NULL, 'Protein of unknown function DUF6000', 'DUF6000', 4, NULL),
(39244, NULL, 'IPR044175', NULL, 'Pentatricopeptide repeat-containing protein At5g66631-like', 'At5g66631-like', 4, NULL),
(39245, NULL, 'IPR044728', NULL, 'ATP-dependent RNA helicase eIF4A, DEAD-box helicase domain', 'EIF4A_DEADc', 3, NULL),
(39246, NULL, 'IPR046081', NULL, 'Protein of unknown function DUF6099', 'DUF6099', 4, NULL);       
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39247, NULL, 'IPR046103', NULL, 'Protein of unknown function DUF6040', 'DUF6040', 4, NULL),
(39248, NULL, 'IPR044743', NULL, 'Ubiquitin-specific-processing protease 48, Ubl domain', 'Ubl_USP48', 3, NULL),
(39249, NULL, 'IPR045226', NULL, 'DSC E3 ubiquitin ligase complex subunit 3', 'Dsc3', 4, NULL),
(39250, NULL, 'IPR044580', NULL, '5''-Methylthioadenosine/S-adenosylhomocysteine nucleosidase', 'MTAN', 4, NULL),
(39251, NULL, 'IPR042486', NULL, 'Arabinosyltransferase, C-terminal, subdomain 2', 'Arabino_trans_C_2', 5, NULL),
(39252, NULL, 'IPR045997', NULL, 'Protein of unknown function DUF5953', 'DUF5953', 4, NULL),
(39253, NULL, 'IPR046060', NULL, 'Protein of unknown function DUF6018', 'DUF6018', 4, NULL),
(39254, NULL, 'IPR046020', NULL, 'Protein of unknown function DUF5977', 'DUF5977', 3, NULL),
(39255, NULL, 'IPR045150', NULL, 'Transmembrane reductase CYB561D1/2', 'CYB561D1/2', 4, NULL),
(39256, NULL, 'IPR044172', NULL, 'Transcription factor ILI2-like', 'ILI2-like', 4, NULL),
(39257, NULL, 'IPR045975', NULL, 'Domain of unknown function DUF5931', 'DUF5931', 3, NULL),
(39258, NULL, 'IPR045126', NULL, 'Trafficking protein particle complex subunit TRAPPC10/Trs130', 'TRAPPC10/Trs130', 4, NULL),
(39259, NULL, 'IPR046040', NULL, 'Protein of unknown function DUF5998', 'DUF5998', 4, NULL),
(39260, NULL, 'IPR046027', NULL, 'Protein of unknown function DUF5985', 'DUF5985', 4, NULL),
(39261, NULL, 'IPR045992', NULL, 'Protein of unknown function DUF5948', 'DUF5948', 4, NULL),
(39262, NULL, 'IPR045002', NULL, 'Delta(3,5)-Delta(2,4)-dienoyl-CoA isomerase Ech1-like', 'Ech1-like', 4, NULL),
(39263, NULL, 'IPR044993', NULL, 'Beta-D-xylosidase', 'BXL', 4, NULL),
(39264, NULL, 'IPR045968', NULL, 'Domain of unknown function DUF5924', 'DUF5924', 3, NULL),
(39265, NULL, 'IPR045932', NULL, 'Protein of unknown function DUF6352', 'DUF6352', 4, NULL),
(39266, NULL, 'IPR045096', NULL, 'Protein ENHANCED DISEASE RESISTANCE 2-like', 'EDR2-like', 4, NULL),
(39267, NULL, 'IPR044898', NULL, 'Cyclin-dependent kinase inhibitor domain superfamily', 'CDI_dom_sf', 5, NULL),
(39268, NULL, 'IPR046017', NULL, 'Protein of unknown function DUF5974', 'DUF5974', 4, NULL),
(39269, NULL, 'IPR046066', NULL, 'Protein of unknown function DUF6024', 'DUF6024', 4, NULL),
(39270, NULL, 'IPR044918', NULL, 'DUF3349, helical bundle', 'DUF3349_helical', 5, NULL),
(39271, NULL, 'IPR044132', NULL, 'Glutamine-binding periplasmic protein GlnH,  type 2 periplasmic binding protein fold', 'PBP2_GlnH', 3, NULL),
(39272, NULL, 'IPR045922', NULL, 'Protein of unknown function DUF6341', 'DUF6341', 4, NULL),
(39273, NULL, 'IPR045207', NULL, 'NUP50, Ran-binding domain', 'RanBD_NUP50_plant', 3, NULL),
(39274, NULL, 'IPR045929', NULL, 'Protein of unknown function DUF6348', 'DUF6348', 4, NULL),
(39275, NULL, 'IPR045076', NULL, 'DNA mismatch repair MutS family', 'MutS_family', 4, NULL),
(39276, NULL, 'IPR044941', NULL, 'Ethanolamine ammonia-lyase heavy chain, N-terminal domain', 'EutB_N_sf', 5, NULL),
(39277, NULL, 'IPR044886', NULL, 'Folliculin, DENN domain, C-terminal superfamily', 'FLCN_DENN_C_sf', 5, NULL),
(39278, NULL, 'IPR042379', NULL, 'Programmed cell death protein 1', 'PDCD1', 4, NULL),
(39279, NULL, 'IPR045143', NULL, 'Kinetochore protein Spc25', 'Spc25', 4, NULL),
(39280, NULL, 'IPR046083', NULL, 'Protein of unknown function DUF6101', 'DUF6101', 4, NULL),
(39281, NULL, 'IPR042717', NULL, 'Myosin light chain kinase 2, catalytic domain', 'MLCK2_STKc', 3, NULL),
(39282, NULL, 'IPR045089', NULL, 'Prenyltransferase subunit beta', 'PGGT1B-like', 4, NULL),
(39283, NULL, 'IPR045312', NULL, 'Phenylcoumaran benzylic ether reductase-like', 'PCBER-like', 3, NULL),
(39284, NULL, 'IPR044891', NULL, 'Histone chaperone Rtt106, N-terminal domain superfamily', 'Rtt106_N_sf', 5, NULL),
(39285, NULL, 'IPR046080', NULL, 'Protein of unknown function DUF6098', 'DUF6098', 4, NULL),
(39286, NULL, 'IPR044939', NULL, 'Ethanolamine ammonia-lyase heavy chain, domain 2', 'EutB_dom_2_sf', 5, NULL),
(39287, NULL, 'IPR046087', NULL, 'Protein of unknown function DUF6105', 'DUF6105', 4, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39288, NULL, 'IPR044809', NULL, 'F-box protein AUF1-like', 'AUF1-like', 4, NULL),
(39289, NULL, 'IPR042499', NULL, 'Rubella membrane glycoprotein E1, domain 3', 'Rubella_E1_3', 5, NULL),
(39290, NULL, 'IPR046070', NULL, 'Protein of unknown function DUF6029', 'DUF6029', 4, NULL),
(39291, NULL, 'IPR044861', NULL, 'Isopenicillin N synthase-like, Fe(2+) 2OG dioxygenase domain', 'IPNS-like_FE2OG_OXY', 3, NULL),
(39292, NULL, 'IPR046078', NULL, 'Protein of unknown function DUF6096', 'DUF6096', 4, NULL),
(39293, NULL, 'IPR043383', NULL, 'Reprimo family', 'Reprimo_fam', 4, NULL),
(39294, NULL, 'IPR045976', NULL, 'Domain of unknown function DUF5932', 'DUF5932', 3, NULL),
(39295, NULL, 'IPR042384', NULL, 'Neuromedin-U', 'NMU', 4, NULL),
(39296, NULL, 'IPR042503', NULL, 'E2 regulatory, transactivation domain, subdomain 1', 'Regulatory_protein_E2_N_1', 5, NULL),
(39297, NULL, 'IPR045018', NULL, 'Azaguanine-like transporters', 'Azg-like', 4, NULL),
(39298, NULL, 'IPR046043', NULL, 'Protein of unknown function DUF6001', 'DUF6001', 4, NULL),
(39299, NULL, 'IPR045973', NULL, 'Domain of unknown function DUF5929', 'DUF5929', 3, NULL),
(39300, NULL, 'IPR046013', NULL, 'Protein of unknown function DUF5970', 'DUF5970', 4, NULL),
(39301, NULL, 'IPR045940', NULL, 'Protein of unknown function DUF6360', 'DUF6360', 4, NULL),
(39302, NULL, 'IPR044909', NULL, 'TM_1086 superfamily', 'TM_1086_sf', 5, NULL),
(39303, NULL, 'IPR045075', NULL, 'Pre-mRNA-splicing factor Syf1-like', 'Syf1-like', 4, NULL),
(39304, NULL, 'IPR045947', NULL, 'Protein of unknown function DUF6367', 'DUF6367', 4, NULL),
(39305, NULL, 'IPR042509', NULL, 'Zinc finger CCHC domain-containing protein 3', 'ZCCHC3', 4, NULL),
(39306, NULL, 'IPR042307', NULL, 'Reeler domain superfamily', 'Reeler_sf', 5, NULL),
(39307, NULL, 'IPR045052', NULL, 'Copine', 'Copine', 4, NULL),
(39308, NULL, 'IPR045970', NULL, 'Protein of unknown function DUF5926', 'DUF5926', 3, NULL),
(39309, NULL, 'IPR046039', NULL, 'Protein of unknown function DUF5997', 'DUF5997', 4, NULL),
(39310, NULL, 'IPR046063', NULL, 'Protein of unknown function DUF6021', 'DUF6021', 4, NULL),
(39311, NULL, 'IPR042501', NULL, 'MukB, hinge domain superfamily', 'MukB_hinge_sf', 5, NULL),
(39312, NULL, 'IPR042432', NULL, 'Cytochrome c oxidase assembly factor 1, fungi', 'Coa1_fungi', 4, NULL),
(39313, NULL, 'IPR044956', NULL, 'Ankyrin repeat protein SKIP35', 'SKIP35', 4, NULL),
(39314, NULL, 'IPR042343', NULL, 'Protein BANP', 'BANP', 4, NULL),
(39315, NULL, 'IPR044248', NULL, 'Diphthamide biosynthesis protein 3/4-like', 'DPH3/4-like', 4, NULL),
(39316, NULL, 'IPR042938', NULL, 'Phosphatidylinositol transfer protein Sfh5', 'Sfh5', 4, NULL),
(39317, NULL, 'IPR044884', NULL, 'Mitochondrial ribosomal protein L55 superfamily', 'Ribosomal_L55_sf', 5, NULL),
(39318, NULL, 'IPR044683', NULL, 'LAZY family', 'LAZY', 4, NULL),
(39319, NULL, 'IPR045893', NULL, 'FREE1', 'FREE1', 4, NULL),
(39320, NULL, 'IPR046055', NULL, 'Protein of unknown function DUF6013', 'DUF6013', 4, NULL),
(39321, NULL, 'IPR045123', NULL, 'N6-adenosine-methyltransferase non-catalytic subunit METTL14-like', 'METTL14-like', 4, NULL),
(39322, NULL, 'IPR046062', NULL, 'Protein of unknown function DUF6020', 'DUF6020', 4, NULL),
(39323, NULL, 'IPR042723', NULL, 'RNF135, PRY/SPRY domain', 'RNF135_SPRY_PRY_dom', 3, NULL),
(39324, NULL, 'IPR045918', NULL, 'Protein of unknown function DUF6337', 'DUF6337', 4, NULL),
(39325, NULL, 'IPR045999', NULL, 'Protein of unknown function DUF5955', 'DUF5955', 4, NULL),
(39326, NULL, 'IPR046000', NULL, 'Protein of unknown function DUF5956', 'DUF5956', 4, NULL),
(39327, NULL, 'IPR045064', NULL, 'Reticulon-like protein, plant', 'Reticulon-like_plant', 4, NULL),
(39328, NULL, 'IPR045936', NULL, 'Protein of unknown function DUF6356', 'DUF6356', 4, NULL),
(39329, NULL, 'IPR042477', NULL, 'HMG domain-containing protein 4', 'HMGXB4', 4, NULL),
(39330, NULL, 'IPR042398', NULL, 'Bcl-2-like protein 13', 'BCL2L13', 4, NULL),
(39331, NULL, 'IPR046097', NULL, 'Protein of unknown function DUF6033', 'DUF6033', 4, NULL),
(39332, NULL, 'IPR044201', NULL, 'Divinyl reductase-like', 'DVR-like', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39333, NULL, 'IPR045944', NULL, 'Protein of unknown function DUF6364', 'DUF6364', 4, NULL),
(39334, NULL, 'IPR045131', NULL, 'CDGSH iron-sulfur domain-containing protein 1/2', 'CISD1/2', 4, NULL),
(39335, NULL, 'IPR042721', NULL, 'Transposase A from transposon Tn554, C-terminal catalytic domain', 'INT_tnpA_C_Tn554', 3, NULL),
(39336, NULL, 'IPR045074', NULL, 'Glutathione S-transferases Tau, C-terminal alpha helical domain, plant', 'GST_C_Tau', 3, NULL),
(39337, NULL, 'IPR044696', NULL, 'WPP domain-interacting protein 1/2/3', 'WIP1/2/3', 4, NULL),
(39338, NULL, 'IPR045879', NULL, 'Cytochrome b561, DM13 and DOMON domain-containing protein At5g54830', 'B561A', 4, NULL),
(39339, NULL, 'IPR044516', NULL, 'UDP-glucuronic acid decarboxylase', 'UXS', 4, NULL),
(39340, NULL, 'IPR044944', NULL, 'Nitric oxide synthase, domain 3 superfamily', 'NOS_dom_3', 5, NULL),
(39341, NULL, 'IPR045978', NULL, 'TraC, central domain', 'TRAC_dom', 3, NULL),
(39342, NULL, 'IPR045984', NULL, 'Domain of unknown function DUF5940', 'DUF5940', 3, NULL),
(39343, NULL, 'IPR044821', NULL, 'Putative nucleotide-diphospho-sugar transferase At1g28695/At4g15970-like', 'At1g28695/At4g15970-like', 4, NULL),
(39344, NULL, 'IPR044182', NULL, 'Thioredoxin-like protein CITRX, chloroplastic', 'CITRX', 4, NULL),
(39345, NULL, 'IPR045995', NULL, 'Protein of unknown function DUF5951', 'DUF5951', 4, NULL),
(39346, NULL, 'IPR042500', NULL, 'Rubella membrane glycoprotein E1, domain 1', 'Rubella_E1_1', 5, NULL),
(39347, NULL, 'IPR042715', NULL, 'Rhophilin-1, BRO1 domain', 'Rhophilin-1_BRO1', 3, NULL),
(39348, NULL, 'IPR044706', NULL, 'AUGMIN subunit 5, plant', 'AUG5_plant', 4, NULL),
(39349, NULL, 'IPR046058', NULL, 'Cupin fold metalloprotein WbuC, N-terminal domain', 'Cupin_WbuC_N', 3, NULL),
(39350, NULL, 'IPR044385', NULL, 'Nonstructural protein 2, HCoV-229E-like', 'NSP2_HCoV-229E-like', 3, NULL),
(39351, NULL, 'IPR042358', NULL, 'Filensin', 'BFSP1', 4, NULL),
(39352, NULL, 'IPR045129', NULL, 'E3 ubiquitin-protein ligase RNF123/RSPRY1-like', 'RNF123/RSPRY1-like', 4, NULL),
(39353, NULL, 'IPR044517', NULL, 'Protein PHOX1-4', 'PHOX1-4', 4, NULL),
(39354, NULL, 'IPR045955', NULL, 'Protein of unknown function DUF6375', 'DUF6375', 4, NULL),
(39355, NULL, 'IPR045122', NULL, 'Calcium permeable stress-gated cation channel 1-like', 'Csc1-like', 4, NULL),
(39356, NULL, 'IPR046035', NULL, 'Protein of unknown function DUF5993', 'DUF5993', 4, NULL),
(39357, NULL, 'IPR045925', NULL, 'Protein of unknown function DUF6344', 'DUF6344', 4, NULL),
(39358, NULL, 'IPR045948', NULL, 'Protein of unknown function DUF6368', 'DUF6368', 4, NULL),
(39359, NULL, 'IPR043110', NULL, 'Cystovirus, RNA-directed RNA polymerase, N-terminal', 'Cystovir_RNA-dir_pol_N', 5, NULL),
(39360, NULL, 'IPR042718', NULL, 'Serine/threonine-protein kinase MRCK beta, catalytic domain', 'MRCKB_STKc', 3, NULL),
(39361, NULL, 'IPR042431', NULL, 'DENN domain-containing protein 10', 'FAM45', 4, NULL),
(39362, NULL, 'IPR045136', NULL, 'Isoamyl acetate-hydrolyzing esterase Iah1-like', 'Iah1-like', 4, NULL),
(39363, NULL, 'IPR044946', NULL, 'Type I restriction modification DNA specificity domain superfamily', 'Restrct_endonuc_typeI_TRD_sf', 5, NULL),
(39364, NULL, 'IPR044236', NULL, 'Glycerophosphodiester phosphodiesterase GDPD4', 'GDPD4', 4, NULL),
(39365, NULL, 'IPR045137', NULL, 'RNA-binding protein 26/27', 'RBM26/27', 4, NULL),
(39366, NULL, 'IPR046086', NULL, 'Protein of unknown function DUF6104', 'DUF6104', 4, NULL),
(39367, NULL, 'IPR046100', NULL, 'Protein of unknown function DUF6037', 'DUF6037', 4, NULL),
(39368, NULL, 'IPR044117', NULL, 'Lig-like, OB-fold domain', 'OBF_LigC-like', 3, NULL),
(39369, NULL, 'IPR045956', NULL, 'Protein of unknown function DUF6376', 'DUF6376', 4, NULL),
(39370, NULL, 'IPR046016', NULL, 'Protein of unknown function DUF5973', 'DUF5973', 4, NULL),
(39371, NULL, 'IPR044196', NULL, 'Uncharacterized protein At5g19025-like', 'At5g19025-like', 4, NULL),
(39372, NULL, 'IPR045153', NULL, 'Est1/Ebs1-like', 'Est1/Ebs1-like', 4, NULL),
(39373, NULL, 'IPR045105', NULL, 'Med25/PTOV1', 'Med25/PTOV1', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39374, NULL, 'IPR044654', NULL, 'Fasciclin-like arabinogalactan protein 15/16/17/18', 'FLA15/16/17/18', 4, NULL),
(39375, NULL, 'IPR042115', NULL, 'Primosomal protein N'', 3'' DNA-binding domain superfamily', 'PriA_3primeBD_sf', 5, NULL),
(39376, NULL, 'IPR045874', NULL, 'Probable receptor-like serine/threonine-protein kinase LRK10-like', 'LRK10-like', 4, NULL),
(39377, NULL, 'IPR042349', NULL, 'Uncharacterized protein C9orf40-like', 'C9orf40-like', 4, NULL),
(39378, NULL, 'IPR045967', NULL, 'Domain of unknown function DUF5923', 'DUF5923', 3, NULL),
(39379, NULL, 'IPR045980', NULL, 'Domain of unknown function DUF5936', 'DUF5936', 3, NULL),
(39380, NULL, 'IPR046004', NULL, 'Protein of unknown function DUF5960', 'DUF5960', 4, NULL),
(39381, NULL, 'IPR045144', NULL, 'Transcription initiation factor TFIID component TAF4', 'TAF4', 4, NULL),
(39382, NULL, 'IPR045068', NULL, 'BTB/POZ domain-containing adapter for CUL3-mediated RhoA degradation protein 1/2/3', 'BACURD1-3', 4, NULL),
(39383, NULL, 'IPR046076', NULL, 'Domain of unknown function DUF6094', 'DUF6094', 3, NULL),
(39384, NULL, 'IPR045982', NULL, 'Domain of unknown function DUF5938', 'DUF5938', 3, NULL),
(39385, NULL, 'IPR044868', NULL, 'Rpn13/ADRM1, Pru domain', 'Rpn13/ADRM1_Pru', 3, NULL),
(39386, NULL, 'IPR046026', NULL, 'Protein of unknown function DUF5984', 'DUF5984', 4, NULL),
(39387, NULL, 'IPR046084', NULL, 'Protein of unknown function DUF6102', 'DUF6102', 4, NULL),
(39388, NULL, 'IPR044787', NULL, 'Myb family transcription factor HRS1-like', 'HRS1-like', 4, NULL),
(39389, NULL, 'IPR046041', NULL, 'Protein of unknown function DUF5999', 'DUF5999', 4, NULL),
(39390, NULL, 'IPR044996', NULL, 'Coenzyme Q-binding protein COQ10-like', 'COQ10-like', 4, NULL),
(39391, NULL, 'IPR045851', NULL, 'AMP-binding enzyme, C-terminal domain superfamily', 'AMP-bd_C_sf', 5, NULL),
(39392, NULL, 'IPR044068', NULL, 'Core-binding (CB) domain', 'CB', 3, NULL),
(39393, NULL, 'IPR045203', NULL, 'RAN GTPase-activating protein 1/2', 'RanGAP1/2', 4, NULL),
(39394, NULL, 'IPR046067', NULL, 'Protein of unknown function DUF6025', 'DUF6025', 4, NULL),
(39395, NULL, 'IPR044871', NULL, 'Structural accessory protein ORF7a, SARS-CoV-like, X4e domain', 'ORF7a_SARS-CoV-like_X4e', 3, NULL),
(39396, NULL, 'IPR045943', NULL, 'Domain of unknown function DUF6363', 'DUF6363', 3, NULL),
(39397, NULL, 'IPR044836', NULL, 'TOM1-like protein, plant', 'TOL_plant', 4, NULL),
(39398, NULL, 'IPR044914', NULL, 'Endosialidase, C-terminal domain superfamily', 'Endosialidase_C_dom_sf', 5, NULL),
(39399, NULL, 'IPR046001', NULL, 'Protein of unknown function DUF5957', 'DUF5957', 4, NULL),
(39400, NULL, 'IPR046101', NULL, 'Protein of unknown function DUF6038', 'DUF6038', 4, NULL),
(39401, NULL, 'IPR045891', NULL, 'Zinc transporter ZIP9', 'ZIP9', 4, NULL),
(39402, NULL, 'IPR045019', NULL, 'Beta-carotene hydroxylase-like', 'BETA-OHASE-like', 4, NULL),
(39403, NULL, 'IPR046098', NULL, 'Protein of unknown function DUF6034', 'DUF6034', 4, NULL),
(39404, NULL, 'IPR046094', NULL, 'Protein of unknown function DUF6112', 'DUF6112', 4, NULL),
(39405, NULL, 'IPR042371', NULL, 'Z-binding domain', 'Z_dom', 3, NULL),
(39406, NULL, 'IPR045118', NULL, 'F-box only protein FBXO9/FBXO48', 'FBXO9/FBXO48', 4, NULL),
(39407, NULL, 'IPR045152', NULL, 'Enhancer of mRNA-decapping protein 4-like', 'EDC4-like', 4, NULL),
(39408, NULL, 'IPR046036', NULL, 'Protein of unknown function DUF5994', 'DUF5994', 4, NULL),
(39409, NULL, 'IPR044874', NULL, 'Spike glycoprotein S2, coronavirus, heptad repeat 2', 'Spike_S2_CoV_HR2', 3, NULL),
(39410, NULL, 'IPR045222', NULL, 'DNA-directed RNA polymerase II subunit Rpb4-like', 'Rpb4-like', 4, NULL),
(39411, NULL, 'IPR045958', NULL, 'Domain of unknown function DUF6378', 'DUF6378', 3, NULL),
(39412, NULL, 'IPR042380', NULL, 'Tumor necrosis factor ligand superfamily member 18', 'TNFSF18', 4, NULL),
(39413, NULL, 'IPR044906', NULL, 'Nitrate reductase, alpha subunit, N-terminal domain superfamily', 'Nitr_red_alph_N_sf', 5, NULL),
(39414, NULL, 'IPR045931', NULL, 'Protein of unknown function DUF6350', 'DUF6350', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39415, NULL, 'IPR045853', NULL, 'Peptide chain release factor class I superfamily', 'Pep_chain_release_fac_I_sf', 5, NULL),
(39416, NULL, 'IPR042722', NULL, 'RelA-associated inhibitor, SH3 domain', 'SH3_iASPP', 3, NULL),
(39417, NULL, 'IPR044811', NULL, 'DNA glycosylase, plant', 'DME/ROS1', 4, NULL),
(39418, NULL, 'IPR044962', NULL, 'CLV3/ESR signal peptide family', 'CLV3/ESR', 4, NULL),
(39419, NULL, 'IPR045227', NULL, 'WD repeat-containing protein WDR18/Ipi3/RID3', 'WDR18/Ipi3/RID3', 4, NULL),
(39420, NULL, 'IPR044870', NULL, 'Bacterial microcompartment (BMC) circularly permuted domain', 'BMC_CP', 3, NULL),
(39421, NULL, 'IPR045939', NULL, 'Endonuclease YhcR, N-terminal domain', 'YhcR_N', 3, NULL),
(39422, NULL, 'IPR046003', NULL, 'Protein of unknown function DUF5959', 'DUF5959', 4, NULL),
(39423, NULL, 'IPR046061', NULL, 'Protein of unknown function DUF6019', 'DUF6019', 4, NULL),
(39424, NULL, 'IPR046021', NULL, 'Protein of unknown function DUF5978', 'DUF5978', 3, NULL),
(39425, NULL, 'IPR045917', NULL, 'Outer capsid protein VP3-like', 'VP3-like', 4, NULL),
(39426, NULL, 'IPR045930', NULL, 'Protein of unknown function DUF6349', 'DUF6349', 4, NULL),
(39427, NULL, 'IPR045969', NULL, 'Domain of unknown function DUF5925', 'DUF5925', 3, NULL),
(39428, NULL, 'IPR045996', NULL, 'Protein of unknown function DUF5952', 'DUF5952', 4, NULL),
(39429, NULL, 'IPR044859', NULL, 'Allene oxide cyclase/Dirigent protein', 'Allene_oxi_cyc_Dirigent', 5, NULL),
(39430, NULL, 'IPR044928', NULL, 'Secreted effector protein SifA, C-terminal domain superfamily', 'SifA_C_sf', 5, NULL),
(39431, NULL, 'IPR045998', NULL, 'Protein of unknown function DUF5954', 'DUF5954', 4, NULL),
(39432, NULL, 'IPR044995', NULL, 'Thiocyanate methyltransferase/thiol methyltransferase', 'TMT/HOL', 4, NULL),
(39433, NULL, 'IPR046022', NULL, 'Domain of unknown function DUF5979', 'DUF5979', 3, NULL),
(39434, NULL, 'IPR046104', NULL, 'Protein of unknown function DUF6041', 'DUF6041', 4, NULL),
(39435, NULL, 'IPR045986', NULL, 'Domain of unknown function DUF5942', 'DUF5942', 3, NULL),
(39436, NULL, 'IPR045107', NULL, 'SAC3/GANP/THP3', 'SAC3/GANP/THP3', 4, NULL),
(39437, NULL, 'IPR044959', NULL, 'Classical arabinogalactan protein', 'AGP', 4, NULL),
(39438, NULL, 'IPR045117', NULL, 'Ataxin2-like', 'ATXN2-like', 4, NULL),
(39439, NULL, 'IPR043401', NULL, 'Glial cell line-derived neurotrophic factor family', 'GDNF_fam', 4, NULL),
(39440, NULL, 'IPR044069', NULL, 'Zinc finger C4H2-type', 'ZF_C4H2', 3, NULL),
(39441, NULL, 'IPR045078', NULL, 'Sulfurtransferase TST/MPST-like', 'TST/MPST-like', 4, NULL),
(39442, NULL, 'IPR044822', NULL, 'Myb/SANT-like DNA-binding domain 4', 'Myb_DNA-bind_4', 3, NULL),
(39443, NULL, 'IPR044895', NULL, 'Kinetochore null protein 2, Myb-like DNA-binding domain superfamily', 'Knl-2_Myb-like_DNA-bd_sf', 5, NULL),
(39444, NULL, 'IPR045314', NULL, 'G-box binding factor 1-like, bZIP domain, plant', 'bZIP_plant_GBF1', 3, NULL),
(39445, NULL, 'IPR042350', NULL, 'All-trans retinoic acid-induced differentiation factor', 'ATRAID', 4, NULL),
(39446, NULL, 'IPR045127', NULL, 'Transcription initiation factor TFIID subunit 11-like', 'TAF11-like', 4, NULL),
(39447, NULL, 'IPR042765', NULL, 'TRIM42, RING-HC finger', 'TRIM42_RING-HC', 3, NULL),
(39448, NULL, 'IPR045124', NULL, 'Protein suppressor of sable-like', 'Su(sable)-like', 4, NULL),
(39449, NULL, 'IPR044880', NULL, 'NCX, central ion-binding domain superfamily', 'NCX_ion-bd_dom_sf', 5, NULL),
(39450, NULL, 'IPR044731', NULL, 'Butanol dehydrogenase-like', 'BDH-like', 4, NULL),
(39451, NULL, 'IPR044892', NULL, 'Ribosomal protein L3, domain 3, archaeal type superfamily', 'Ribosomal_L3_dom_3_arc_sf', 5, NULL),
(39452, NULL, 'IPR046089', NULL, 'Protein of unknown function DUF6107', 'DUF6107', 4, NULL),
(39453, NULL, 'IPR044989', NULL, 'Protein TILLER ANGLE CONTROL 1', 'TAC1', 4, NULL),
(39454, NULL, 'IPR045061', NULL, 'Tubulin-like protein  FtsZ/CetZ', 'FtsZ/CetZ', 4, NULL),
(39455, NULL, 'IPR044961', NULL, 'Tetratricopeptide repeat protein POLLENLESS 3/SULFUR DEFICIENCY-INDUCED 1', 'MS5/SDI1', 4, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39456, NULL, 'IPR045140', NULL, 'SHC SH2 domain-binding protein 1-like', 'SHCBP1-like', 4, NULL),
(39457, NULL, 'IPR045981', NULL, 'Domin of unknown function DUF5937', 'DUF5937', 3, NULL),
(39458, NULL, 'IPR044960', NULL, 'Ribulose bisphosphate carboxylase/oxygenase activase-like', 'RCA-like', 4, NULL),
(39459, NULL, 'IPR046096', NULL, 'Protein of unknown function DUF6114', 'DUF6114', 4, NULL),
(39460, NULL, 'IPR042356', NULL, 'Claudin domain-containing protein 1', 'CLDN1', 4, NULL),
(39461, NULL, 'IPR042378', NULL, 'Integral membrane protein DGCR2/IDD', 'IDD', 4, NULL),
(39462, NULL, 'IPR044877', NULL, 'Sulfolobus spindle-shape virus 1 F-112 protein-like superfamily', 'F-112-like_sf', 5, NULL),
(39463, NULL, 'IPR045979', NULL, 'Domain of unknown function DUF5935', 'DUF5935', 3, NULL),
(39464, NULL, 'IPR044964', NULL, 'Inactive poly [ADP-ribose] polymerase RCD1/SRO1-5', 'RCD1/SRO1-5', 4, NULL),
(39465, NULL, 'IPR046038', NULL, 'Protein of unknown function DUF5996', 'DUF5996', 4, NULL),
(39466, NULL, 'IPR044858', NULL, 'Stomagen, C-terminal domain', 'Stomagen_C', 3, NULL),
(39467, NULL, 'IPR045135', NULL, '26S proteasome regulatory subunit Rpn7, N-terminal', 'Rpn7_N', 3, NULL),
(39468, NULL, 'IPR046065', NULL, 'Protein of unknown function DUF6023', 'DUF6023', 4, NULL),
(39469, NULL, 'IPR044682', NULL, 'Violaxanthin de-epoxidase', 'VDE', 4, NULL),
(39470, NULL, 'IPR046046', NULL, 'Protein of unknown function DUF6004', 'DUF6004', 4, NULL),
(39471, NULL, 'IPR042359', NULL, 'Telomere repeats-binding bouquet formation protein 1', 'TERB1', 4, NULL),
(39472, NULL, 'IPR045047', NULL, 'N-acetyltransferase Ard1-like', 'Ard1-like', 4, NULL),
(39473, NULL, 'IPR046053', NULL, 'Protein of unknown function DUF6011', 'DUF6011', 4, NULL),
(39474, NULL, 'IPR043536', NULL, 'Host cell factor', 'HCF1/2', 4, NULL),
(39475, NULL, 'IPR044072', NULL, 'Kelch-like protein 2 , BTB/POZ domain', 'KLHL2_BTB/POZ', 3, NULL),
(39476, NULL, 'IPR046072', NULL, 'Protein of unknown function DUF6031', 'DUF6031', 4, NULL),
(39477, NULL, 'IPR046007', NULL, 'Protein of unknown function DUF5963', 'DUF5963', 4, NULL),
(39478, NULL, 'IPR045946', NULL, 'Protein of unknown function DUF6366', 'DUF6366', 4, NULL),
(39479, NULL, 'IPR044919', NULL, 'HP0184-like superfamily', 'HP0184-like_sf', 5, NULL),
(39480, NULL, 'IPR045224', NULL, 'Homeobox-leucine zipper protein, class I, plant', 'HDZip_class_I_plant', 4, NULL),
(39481, NULL, 'IPR046019', NULL, 'Protein of unknown function DUF5976', 'DUF5976', 4, NULL),
(39482, NULL, 'IPR046074', NULL, 'Protein of unknown function DUF6092', 'DUF6092', 4, NULL),
(39483, NULL, 'IPR042507', NULL, 'TBC1 domain family member 19', 'TBC1D19', 4, NULL),
(39484, NULL, 'IPR046090', NULL, 'Protein of unknown function DUF6108', 'DUF6108', 4, NULL),
(39485, NULL, 'IPR042496', NULL, 'Cell growth regulator with RING finger domain protein 1', 'CGRF1', 4, NULL),
(39486, NULL, 'IPR045927', NULL, 'Protein of unknown function DUF6346', 'DUF6346', 4, NULL),
(39487, NULL, 'IPR045941', NULL, 'Protein of unknown function DUF6361', 'DUF6361', 4, NULL),
(39488, NULL, 'IPR044252', NULL, '60S acidic ribosomal protein P3-like', 'RPP3A/B', 4, NULL),
(39489, NULL, 'IPR043094', NULL, 'Nab2/ZC3H14, N-terminal domain superfamily', 'Nab2/ZC3H14_N_sf', 5, NULL),
(39490, NULL, 'IPR044183', NULL, 'Photosynthetic NDH subunit of lumenal location 4-like', 'PNSL4-like', 4, NULL),
(39491, NULL, 'IPR044181', NULL, 'FCS-Like Zinc finger 17/18', 'FLZ17/18', 4, NULL),
(39492, NULL, 'IPR046014', NULL, 'Protein of unknown function DUF5971', 'DUF5971', 4, NULL),
(39493, NULL, 'IPR045953', NULL, 'Protein of unknown function DUF6373', 'DUF6373', 4, NULL),
(39494, NULL, 'IPR044930', NULL, 'Homing endonuclease, His-Me finger superfamily', 'Homing_endonuclease_His-Me', 5, NULL),
(39495, NULL, 'IPR045934', NULL, 'Protein of unknown function DUF6354', 'DUF6354', 4, NULL),
(39496, NULL, 'IPR043403', NULL, 'Protein Gurken/Spitz', 'Gurken/Spitz', 4, NULL),
(39497, NULL, 'IPR042818', NULL, 'RIbeta, dimerization/docking domain', 'RIbeta_DD', 3, NULL),
(39498, NULL, 'IPR045960', NULL, 'Protein of unknown function DUF6380', 'DUF6380', 4, NULL);         
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39499, NULL, 'IPR042309', NULL, 'Pestivirus envelope glycoprotein E2, domain A', 'Pestivirus_E2_A', 5, NULL),
(39500, NULL, 'IPR046079', NULL, 'Protein of unknown function DUF6097', 'DUF6097', 4, NULL),
(39501, NULL, 'IPR045339', NULL, 'Domain of unknown function DUF6534', 'DUF6534', 3, NULL),
(39502, NULL, 'IPR046237', NULL, 'Protein of unknown function DUF6270', 'DUF6270', 4, NULL),
(39503, NULL, 'IPR046250', NULL, 'Protein of unknown function DUF6283', 'DUF6283', 4, NULL),
(39504, NULL, 'IPR046270', NULL, 'Protein of unknown function DUF6303', 'DUF6303', 4, NULL),
(39505, NULL, 'IPR045342', NULL, 'Septation protein Etd1', 'Etd1', 4, NULL),
(39506, NULL, 'IPR045533', NULL, 'GTPase-associated adaptor domain', 'GAAD', 3, NULL),
(39507, NULL, 'IPR045778', NULL, 'Protein of unknown function DUF6204', 'DUF6204', 4, NULL),
(39508, NULL, 'IPR043215', NULL, 'Secretoglobin family 1C-like', 'Secretoglobin_1C-like', 4, NULL),
(39509, NULL, 'IPR045462', NULL, 'Aminoacyl-tRNA synthetase, class I, anticodon-binding', 'aa-tRNA-synth_I_cd-bd', 3, NULL),
(39510, NULL, 'IPR046133', NULL, 'Protein of unknown function DUF6130', 'DUF6130', 4, NULL),
(39511, NULL, 'IPR046277', NULL, 'Domain of unknown function DUF6310', 'DUF6310', 3, NULL),
(39512, NULL, 'IPR046108', NULL, 'Protein of unknown function DUF6045', 'DUF6045', 4, NULL),
(39513, NULL, 'IPR046286', NULL, 'Protein of unknown function DUF6323', 'DUF6323', 4, NULL),
(39514, NULL, 'IPR045503', NULL, 'Protein of unknown function DUF6488', 'DUF6488', 4, NULL),
(39515, NULL, 'IPR045631', NULL, 'Protein of unknown function DUF6315', 'DUF6315', 4, NULL),
(39516, NULL, 'IPR045327', NULL, 'Protein of unknown function DUF5881', 'DUF5881', 4, NULL),
(39517, NULL, 'IPR046172', NULL, 'Protein of unknown function DUF6174', 'DUF6174', 4, NULL),
(39518, NULL, 'IPR045343', NULL, 'VpsR domain', 'VpsR', 3, NULL),
(39519, NULL, 'IPR042149', NULL, 'RIP2, CARD domain', 'CARD_RIP2', 3, NULL),
(39520, NULL, 'IPR042169', NULL, 'NKG2-D type II integral membrane protein', 'NKG2D', 4, NULL),
(39521, NULL, 'IPR042519', NULL, 'Non-structural protein NSP3, N-terminal, rotavirus', 'NSP3_N_rotavirus', 5, NULL),
(39522, NULL, 'IPR044195', NULL, 'Pentapeptide repeat containing protein TL17-like', 'TL17-like', 4, NULL),
(39523, NULL, 'IPR045301', NULL, 'Protein GAMETE EXPRESSED 3-like', 'GEX3-like', 4, NULL),
(39524, NULL, 'IPR045277', NULL, 'Dehydration-responsive element-binding protein 1A-I', 'DRE1A-I', 4, NULL),
(39525, NULL, 'IPR046242', NULL, 'Protein of unknown function DUF6275', 'DUF6275', 4, NULL),
(39526, NULL, 'IPR045509', NULL, 'HD-associated domain', 'HD_assoc_2', 3, NULL),
(39527, NULL, 'IPR042385', NULL, 'CD160 ANTIGEN', 'CD160', 4, NULL),
(39528, NULL, 'IPR045382', NULL, 'Protein of unknown function DUF6529', 'DUF6529', 4, NULL),
(39529, NULL, 'IPR042136', NULL, 'SNX6, PX domain', 'PX_SNX6', 3, NULL),
(39530, NULL, 'IPR045375', NULL, 'Putative radical SAM, N-terminal', 'Put_radical_SAM-like_N', 3, NULL),
(39531, NULL, 'IPR046141', NULL, 'Protein of unknown function DUF6143', 'DUF6143', 4, NULL),
(39532, NULL, 'IPR042460', NULL, 'DCN1-like, PONY binding domain', 'DCN1-like_PONY', 5, NULL),
(39533, NULL, 'IPR045429', NULL, 'Effector-associated domain 10', 'EAD10', 3, NULL),
(39534, NULL, 'IPR046211', NULL, 'Protein of unknown function DUF6244', 'DUF6244', 4, NULL),
(39535, NULL, 'IPR045691', NULL, 'Protein of unknown function DUF6056', 'DUF6056', 4, NULL),
(39536, NULL, 'IPR043991', NULL, 'Recombination directionality factor-like', 'Gp3-like', 4, NULL),
(39537, NULL, 'IPR045176', NULL, 'Protein transport protein Got1', 'Got1', 4, NULL),
(39538, NULL, 'IPR045506', NULL, 'Domain of unknown function DUF6484', 'DUF6484', 3, NULL),
(39539, NULL, 'IPR044174', NULL, 'Glycosyltransferase BC10-like', 'BC10-like', 4, NULL),
(39540, NULL, 'IPR045237', NULL, 'Eukaryotic translation initiation factor 3 subunit M eIF3m/COP9 signalosome complex subunit 7 COPS7', 'COPS7/eIF3m', 4, NULL),
(39541, NULL, 'IPR042372', NULL, 'Interleukin-15 receptor subunit alpha', 'IL15RA', 4, NULL),
(39542, NULL, 'IPR045510', NULL, 'Protein of unknown function DUF6481', 'DUF6481', 4, NULL);      
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39543, NULL, 'IPR046185', NULL, 'Protein of unknown function DUF6213', 'DUF6213', 4, NULL),
(39544, NULL, 'IPR045235', NULL, 'Uncharacterized prokaryotic polysaccharide deacetylases PuuE/HpPgdA-like', 'CE4_PuuE_HpPgdA-like_2', 4, NULL),
(39545, NULL, 'IPR045340', NULL, 'Domain of unknown function DUF6533', 'DUF6533', 3, NULL),
(39546, NULL, 'IPR045297', NULL, 'LYRM4, LYR domain', 'Complex1_LYR_LYRM4', 3, NULL),
(39547, NULL, 'IPR046145', NULL, 'Protein of unknown function DUF6147', 'DUF6147', 4, NULL),
(39548, NULL, 'IPR044179', NULL, 'Pentatricopeptide repeat-containing protein PPR5-like', 'PPR5-like', 4, NULL),
(39549, NULL, 'IPR045315', NULL, 'Mitochondrial carrier protein Mtm1-like', 'Mtm1-like', 4, NULL),
(39550, NULL, 'IPR044004', NULL, 'Spondin-like TSP1 domain', 'TSP1_spondin_dom', 3, NULL),
(39551, NULL, 'IPR046200', NULL, 'Protein of unknown function DUF6233', 'DUF6233', 4, NULL),
(39552, NULL, 'IPR042114', NULL, 'Aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, C-terminal, domain 1', 'GatB_C_1', 5, NULL),
(39553, NULL, 'IPR045170', NULL, 'MTOX family', 'MTOX', 4, NULL),
(39554, NULL, 'IPR046164', NULL, 'Protein of unknown function DUF6166', 'DUF6166', 4, NULL),
(39555, NULL, 'IPR045700', NULL, 'Rab3GAP catalytic subunit', 'Rab3GAP1', 4, NULL),
(39556, NULL, 'IPR045790', NULL, 'E3 ubiquitin-protein ligase RNF180, C-terminal domain', 'RNF180_C', 3, NULL),
(39557, NULL, 'IPR046125', NULL, 'Protein of unknown function DUF6122', 'DUF6122', 4, NULL),
(39558, NULL, 'IPR045317', NULL, 'E3 ubiquitin-protein ligase RGLG, RING finger, plant', 'RING-HC_RGLG_plant', 3, NULL),
(39559, NULL, 'IPR046116', NULL, 'Protein of unknown function DUF6053', 'DUF6053', 4, NULL),
(39560, NULL, 'IPR046291', NULL, 'Protein of unknown function DUF6328', 'DUF6328', 4, NULL),
(39561, NULL, 'IPR046294', NULL, 'Protein of unknown function DUF6331', 'DUF6331', 4, NULL),
(39562, NULL, 'IPR045439', NULL, 'Effector-associated domain 11', 'EAD11', 3, NULL),
(39563, NULL, 'IPR043157', NULL, 'Dynein heavy chain, AAA1 domain, small subdomain', 'Dynein_AAA1S', 5, NULL),
(39564, NULL, 'IPR046297', NULL, 'Protein of unknown function DUF6334', 'DUF6334', 4, NULL),
(39565, NULL, 'IPR046148', NULL, 'Protein of unknown function DUF6150', 'DUF6150', 4, NULL),
(39566, NULL, 'IPR045550', NULL, 'Acylamino-acid-releasing enzyme, N-terminal domain', 'AARE_N', 3, NULL),
(39567, NULL, 'IPR045583', NULL, 'Phosphorylase b kinase regulatory subunit alpha/beta, C-terminal domain', 'KPBA/B_C', 3, NULL),
(39568, NULL, 'IPR045590', NULL, 'Protein of unknown function DUF6463', 'DUF6463', 4, NULL),
(39569, NULL, 'IPR046161', NULL, 'Protein of unknown function DUF6163', 'DUF6163', 4, NULL),
(39570, NULL, 'IPR042132', NULL, 'Ribosomal protein S6 kinase delta-1, PX domain', 'PX_S6K-delta-1', 3, NULL),
(39571, NULL, 'IPR045326', NULL, 'Autophagy protein ATG17-like domain', 'ATG17-like_dom', 3, NULL),
(39572, NULL, 'IPR042522', NULL, 'Ubiquitin-like modifier-activating enzyme Atg7, N-terminal, subdomain 1', 'Atg7_N_1', 5, NULL),
(39573, NULL, 'IPR046268', NULL, 'Protein of unknown function DUF6301', 'DUF6301', 4, NULL),
(39574, NULL, 'IPR045757', NULL, 'Protein of unknown function DUF6184', 'DUF6184', 4, NULL),
(39575, NULL, 'IPR045540', NULL, 'YegS/DAGK, C-terminal domain', 'YegS/DAGK_C', 3, NULL),
(39576, NULL, 'IPR046223', NULL, 'Protein of unknown function DUF6256', 'DUF6256', 4, NULL),
(39577, NULL, 'IPR042195', NULL, 'ArgJ beta chain, C-terminal domain', 'ArgJ_beta_C', 5, NULL),
(39578, NULL, 'IPR046298', NULL, 'Protein of unknown function DUF6335', 'DUF6335', 4, NULL),
(39579, NULL, 'IPR046160', NULL, 'Protein of unknown function DUF6162', 'DUF6162', 4, NULL),
(39580, NULL, 'IPR045444', NULL, 'Protein of unknown function DUF6503', 'DUF6503', 4, NULL),
(39581, NULL, 'IPR046235', NULL, 'Domain of unknown function DUF6268', 'DUF6268', 3, NULL),
(39582, NULL, 'IPR046153', NULL, 'Protein of unknown function DUF6155', 'DUF6155', 4, NULL),
(39583, NULL, 'IPR045548', NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX5', 'bpX5', 3, NULL),
(39584, NULL, 'IPR046105', NULL, 'Protein of unknown function DUF6042', 'DUF6042', 4, NULL); 
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39585, NULL, 'IPR045244', NULL, 'Phosphoglucomutase', 'PGM', 4, NULL),
(39586, NULL, 'IPR046304', NULL, 'Protein of unknown function DUF6419', 'DUF6419', 4, NULL),
(39587, NULL, 'IPR046113', NULL, 'Protein of unknown function DUF6050', 'DUF6050', 4, NULL),
(39588, NULL, 'IPR042360', NULL, 'Aminoacyl tRNA synthase complex-interacting multifunctional protein 2', 'AIMP2', 4, NULL),
(39589, NULL, 'IPR045306', NULL, 'Sorbitol dehydrogenase-like', 'SDH-like', 4, NULL),
(39590, NULL, 'IPR045519', NULL, 'Protein of unknown function DUF6476', 'DUF6476', 4, NULL),
(39591, NULL, 'IPR042133', NULL, 'Phosphatidylinositol 4-phosphate 3-kinase C2 domain-containing subunit alpha, PX domain', 'PX_PI3K_C2_alpha', 3, NULL),
(39592, NULL, 'IPR046131', NULL, 'Domain of unknown function DUF6128', 'DUF6128', 3, NULL),
(39593, NULL, 'IPR043445', NULL, 'TMEPAI family', 'TMEPAI/LRAD4', 4, NULL),
(39594, NULL, 'IPR046230', NULL, 'Protein of unknown function DUF6263', 'DUF6263', 4, NULL),
(39595, NULL, 'IPR046203', NULL, 'Protein of unknown function DUF6236', 'DUF6236', 4, NULL),
(39596, NULL, 'IPR045829', NULL, 'PKD-like domain', 'PKD_6', 3, NULL),
(39597, NULL, 'IPR045323', NULL, 'Coiled-coil domain-containing protein 34', 'CCDC34', 4, NULL),
(39598, NULL, 'IPR042502', NULL, 'Transmembrane 7 superfamily member 3', 'TM7SF3', 4, NULL),
(39599, NULL, 'IPR045435', NULL, 'Effector-associated domain 7', 'EAD7', 3, NULL),
(39600, NULL, 'IPR046129', NULL, 'Protein of unknown function DUF6126', 'DUF6126', 4, NULL),
(39601, NULL, 'IPR046130', NULL, 'Protein of unknown function DUF6127', 'DUF6127', 4, NULL),
(39602, NULL, 'IPR042406', NULL, 'Vitamin K epoxide reductase complex subunit 1', 'VKORC1/VKORC1L1', 4, NULL),
(39603, NULL, 'IPR046318', NULL, 'Protein of unknown function DUF5344', 'DUF5344', 4, NULL),
(39604, NULL, 'IPR046331', NULL, 'GPALPP motifs-containing protein 1-like', 'GPAM1-like', 4, NULL),
(39605, NULL, 'IPR042135', NULL, 'SNX5, PX domain', 'PX_SNX5', 3, NULL),
(39606, NULL, 'IPR046176', NULL, 'Protein of unknown function DUF6185', 'DUF6185', 4, NULL),
(39607, NULL, 'IPR045242', NULL, 'Syntaxin', 'Syntaxin', 4, NULL),
(39608, NULL, 'IPR045305', NULL, 'PABP, RNA recognition motif 2', 'RRM2_I_PABPs', 3, NULL),
(39609, NULL, 'IPR046215', NULL, 'Protein of unknown function DUF6248', 'DUF6248', 4, NULL),
(39610, NULL, 'IPR046222', NULL, 'Protein of unknown function DUF6255', 'DUF6255', 4, NULL),
(39611, NULL, 'IPR046254', NULL, 'Domain of unknown function DUF6287', 'DUF6287', 3, NULL),
(39612, NULL, 'IPR045377', NULL, 'Flagellin glycosyltransferase Maf, helical bundle domain', 'Maf_C', 3, NULL),
(39613, NULL, 'IPR045831', NULL, 'LIN-9, C-terminal', 'LIN9_C', 3, NULL),
(39614, NULL, 'IPR046293', NULL, 'Protein of unknown function DUF6330', 'DUF6330', 4, NULL),
(39615, NULL, 'IPR046188', NULL, 'Protein of unknown function DUF6216', 'DUF6216', 4, NULL),
(39616, NULL, 'IPR046190', NULL, 'Protein of unknown function DUF6218', 'DUF6218', 4, NULL),
(39617, NULL, 'IPR045589', NULL, 'Protein of unknown function DUF6464', 'DUF6464', 4, NULL),
(39618, NULL, 'IPR042489', NULL, 'F-actin capping protein, alpha subunit, domain 1', 'CapZ_alpha_1', 5, NULL),
(39619, NULL, 'IPR045255', NULL, 'Ran binding protein RanBP1-like', 'RanBP1-like', 4, NULL),
(39620, NULL, 'IPR046234', NULL, 'Protein of unknown function DUF6267', 'DUF6267', 4, NULL),
(39621, NULL, 'IPR046274', NULL, 'Protein of unknown function DUF6307', 'DUF6307', 4, NULL),
(39622, NULL, 'IPR042524', NULL, 'Presenilin, C-terminal', 'Presenilin_C', 5, NULL),
(39623, NULL, 'IPR046266', NULL, 'Domain of unknown function DUF6299', 'DUF6299', 3, NULL),
(39624, NULL, 'IPR045495', NULL, 'PI4-kinase, N-terminal', 'PI4K_N', 3, NULL),
(39625, NULL, 'IPR046300', NULL, 'Protein of unknown function DUF6415', 'DUF6415', 4, NULL),
(39626, NULL, 'IPR046173', NULL, 'Protein of unknown function DUF6175', 'DUF6175', 4, NULL),
(39627, NULL, 'IPR045501', NULL, 'Protein of unknown function DUF6490', 'DUF6490', 4, NULL),
(39628, NULL, 'IPR045416', NULL, 'Domain of unknown function DUF5897', 'DUF5897', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39629, NULL, 'IPR045304', NULL, 'Serine acetyltransferase, LbH domain', 'LbH_SAT', 3, NULL),
(39630, NULL, 'IPR045690', NULL, 'Protein of unknown function DUF6055', 'DUF6055', 4, NULL),
(39631, NULL, 'IPR046134', NULL, 'Protein of unknown function DUF6131', 'DUF6131', 4, NULL),
(39632, NULL, 'IPR043220', NULL, 'POM121-like protein 1', 'POM121-like_prot_1', 4, NULL),
(39633, NULL, 'IPR046232', NULL, 'Domain of unknown function DUF6265', 'DUF6265', 3, NULL),
(39634, NULL, 'IPR046197', NULL, 'Protein of unknown function DUF6229', 'DUF6229', 4, NULL),
(39635, NULL, 'IPR046206', NULL, 'Protein of unknown function DUF6239', 'DUF6239', 4, NULL),
(39636, NULL, 'IPR046182', NULL, 'Protein of unknown function DUF6210', 'DUF6210', 4, NULL),
(39637, NULL, 'IPR043990', NULL, 'Autochaperone domain type 1', 'AC_1', 3, NULL),
(39638, NULL, 'IPR045434', NULL, 'Effector-associated domain 4', 'EAD4', 3, NULL),
(39639, NULL, 'IPR045743', NULL, 'Domain of unknown function DUF6089', 'DUF6089', 3, NULL),
(39640, NULL, 'IPR046165', NULL, 'Protein of unknown function DUF6167', 'DUF6167', 4, NULL),
(39641, NULL, 'IPR046238', NULL, 'Protein of unknown function DUF6271', 'DUF6271', 4, NULL),
(39642, NULL, 'IPR046142', NULL, 'Protein of unknown function DUF6144', 'DUF6144', 4, NULL),
(39643, NULL, 'IPR045513', NULL, 'Protein of unknown function DUF6479', 'DUF6479', 4, NULL),
(39644, NULL, 'IPR045514', NULL, 'Protein of unknown function DUF6478', 'DUF6478', 4, NULL),
(39645, NULL, 'IPR045421', NULL, 'Domain of unknown function DUF5902', 'DUF5902', 3, NULL),
(39646, NULL, 'IPR045263', NULL, 'Glucose transporter GLUT', 'GLUT', 4, NULL),
(39647, NULL, 'IPR045777', NULL, 'Protein of unknown function DUF6203', 'DUF6203', 4, NULL),
(39648, NULL, 'IPR046204', NULL, 'Protein of unknown function DUF6237', 'DUF6237', 4, NULL),
(39649, NULL, 'IPR046251', NULL, 'Protein of unknown function DUF6284', 'DUF6284', 4, NULL),
(39650, NULL, 'IPR045578', NULL, 'Ubiquitin carboxyl-terminal hydrolase 47, C-terminal', 'USP47_C', 3, NULL),
(39651, NULL, 'IPR044166', NULL, 'Ferredoxin-thioredoxin reductase, variable chain', 'FTRV', 4, NULL),
(39652, NULL, 'IPR046279', NULL, 'Protein of unknown function DUF6312', 'DUF6312', 4, NULL),
(39653, NULL, 'IPR045361', NULL, 'Contractile injection system tube protein, N-terminal domain', 'CIS_tube_prot_N', 3, NULL),
(39654, NULL, 'IPR046271', NULL, 'Protein of unknown function DUF6304', 'DUF6304', 4, NULL),
(39655, NULL, 'IPR046198', NULL, 'Protein of unknown function DUF6230', 'DUF6230', 4, NULL),
(39656, NULL, 'IPR045537', NULL, 'La-related protein 7 homolog, xRRM domain', 'Lar7_xRRM', 3, NULL),
(39657, NULL, 'IPR042412', NULL, 'Homeobox protein prophet of Pit-1', 'PROP1', 4, NULL),
(39658, NULL, 'IPR046207', NULL, 'Protein of unknown function DUF6240', 'DUF6240', 4, NULL),
(39659, NULL, 'IPR042520', NULL, 'Glutamate--cysteine ligase GshA, N-terminal', 'GshA_N', 5, NULL),
(39660, NULL, 'IPR046195', NULL, 'Protein of unknown function DUF6227', 'DUF6227', 4, NULL),
(39661, NULL, 'IPR046181', NULL, 'Protein of unknown function DUF6209', 'DUF6209', 4, NULL),
(39662, NULL, 'IPR045463', NULL, 'Collagen type XV/XVIII, trimerization domain', 'XV/XVIII_trimerization_dom', 3, NULL),
(39663, NULL, 'IPR045551', NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX3', 'bpX3', 3, NULL),
(39664, NULL, 'IPR046209', NULL, 'Domain of unknown function DUF6242', 'DUF6242', 3, NULL),
(39665, NULL, 'IPR046253', NULL, 'Domain of unknown function DUF6286', 'DUF6286', 3, NULL),
(39666, NULL, 'IPR042529', NULL, 'Initiation factor 2B-like, C-terminal', 'IF_2B-like_C', 5, NULL),
(39667, NULL, 'IPR046265', NULL, 'Domain of unknown function DUF6298', 'DUF6298', 3, NULL),
(39668, NULL, 'IPR044015', NULL, 'Fructose-1-6-bisphosphatase class 1, C-terminal', 'FBPase_C_dom', 3, NULL),
(39669, NULL, 'IPR045243', NULL, 'mRNA 3''-end-processing protein Rna14-like', 'Rna14-like', 4, NULL),
(39670, NULL, 'IPR045449', NULL, 'vWA-MoxR associated protein middle region 4', 'VMAP-M4', 3, NULL),
(39671, NULL, 'IPR043082', NULL, 'Baculovirus occlusion-derived virus envelope, E66, core domain', 'Baculo_ODV-E66_core', 5, NULL);        
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39672, NULL, 'IPR046308', NULL, 'Protein of unknown function DUF6423', 'DUF6423', 4, NULL),
(39673, NULL, 'IPR046192', NULL, 'Protein of unknown function DUF6220', 'DUF6220', 4, NULL),
(39674, NULL, 'IPR042411', NULL, 'WD repeat-containing protein 27', 'WDR27', 4, NULL),
(39675, NULL, 'IPR042508', NULL, 'F-box/WD repeat-containing protein 5', 'FBXW5', 4, NULL),
(39676, NULL, 'IPR045665', NULL, 'Protein of unknown function DUF6386', 'DUF6386', 4, NULL),
(39677, NULL, 'IPR046159', NULL, 'Domain of unknown function DUF6161', 'DUF6161', 3, NULL),
(39678, NULL, 'IPR046118', NULL, 'Protein of unknown function DUF6115', 'DUF6115', 4, NULL),
(39679, NULL, 'IPR046257', NULL, 'Protein of unknown function DUF6290', 'DUF6290', 4, NULL),
(39680, NULL, 'IPR043155', NULL, 'Vacuolar protein sorting-associated protein 33, domain 3b', 'VPS33_dom3b', 5, NULL),
(39681, NULL, 'IPR046287', NULL, 'Protein of unknown function DUF6324', 'DUF6324', 4, NULL),
(39682, NULL, 'IPR045823', NULL, 'Tetracyclin repressor-like MT0489/Rv0472c, C-terminal domain', 'TetR_C_32', 3, NULL),
(39683, NULL, 'IPR045285', NULL, 'GPI-anchored protein At5g19230-like', 'At5g19230-like', 4, NULL),
(39684, NULL, 'IPR046194', NULL, 'Protein of unknown function DUF6222', 'DUF6222', 4, NULL),
(39685, NULL, 'IPR042227', NULL, 'NF-kappa-B inhibitor-interacting Ras-like protein', 'KBRS', 4, NULL),
(39686, NULL, 'IPR046191', NULL, 'Protein of unknown function DUF6219', 'DUF6219', 4, NULL),
(39687, NULL, 'IPR046179', NULL, 'Protein of unknown function DUF6188', 'DUF6188', 4, NULL),
(39688, NULL, 'IPR045380', NULL, 'L,D-transpeptidase, scaffold domain', 'LD_TPept_scaffold_dom', 3, NULL),
(39689, NULL, 'IPR046121', NULL, 'Protein of unknown function DUF6118', 'DUF6118', 4, NULL),
(39690, NULL, 'IPR045504', NULL, 'Domain of unknown function DUF6487', 'DUF6487', 3, NULL),
(39691, NULL, 'IPR046201', NULL, 'Protein of unknown function DUF6234', 'DUF6234', 4, NULL),
(39692, NULL, 'IPR045632', NULL, 'Domain of unknown function DUF6314', 'DUF6314', 3, NULL),
(39693, NULL, 'IPR045236', NULL, 'Rubrerythrin-like, di-iron-binding domain', 'Rubrerythrin-like', 3, NULL),
(39694, NULL, 'IPR044184', NULL, 'F-box protein SNE', 'SNE', 4, NULL),
(39695, NULL, 'IPR046320', NULL, 'Domain of unknown function DUF4922', 'DUF4922', 3, NULL),
(39696, NULL, 'IPR045507', NULL, 'Protein of unknown function DUF6483', 'DUF6483', 4, NULL),
(39697, NULL, 'IPR045873', NULL, 'ADP-ribosylation factor-like protein 2', 'Arl2', 4, NULL),
(39698, NULL, 'IPR043998', NULL, 'Putative phage metallopeptidase', 'Put_Metallopep', 3, NULL),
(39699, NULL, 'IPR042246', NULL, 'Zinc finger CCHC domain-containing protein 9', 'ZCCHC9', 4, NULL),
(39700, NULL, 'IPR046289', NULL, 'Protein of unknown function DUF6326', 'DUF6326', 4, NULL),
(39701, NULL, 'IPR046225', NULL, 'Protein of unknown function DUF6258', 'DUF6258', 4, NULL),
(39702, NULL, 'IPR045498', NULL, 'HflX, C-terminal domain', 'HflX_C', 3, NULL),
(39703, NULL, 'IPR046248', NULL, 'Protein of unknown function DUF6281', 'DUF6281', 4, NULL),
(39704, NULL, 'IPR042166', NULL, 'Vesicle-associated membrane protein 5', 'Vamp5', 4, NULL),
(39705, NULL, 'IPR046292', NULL, 'Domain of unknown function DUF6329', 'DUF6329', 3, NULL),
(39706, NULL, 'IPR046229', NULL, 'Transposase for transposon Tn554-like', 'TnpC-like', 4, NULL),
(39707, NULL, 'IPR046263', NULL, 'Protein of unknown function DUF6296', 'DUF6296', 4, NULL),
(39708, NULL, 'IPR046276', NULL, 'Protein of unknown function DUF6309', 'DUF6309', 4, NULL),
(39709, NULL, 'IPR042167', NULL, 'Serine protease inhibitor Kazal-type 2', 'SPINK2', 4, NULL),
(39710, NULL, 'IPR046284', NULL, 'Domain of unknown function DUF6321', 'DUF6321', 3, NULL),
(39711, NULL, 'IPR046332', NULL, 'Small ubiquitin-related modifier 1, Ubl domain', 'SUMO1_Ubl', 3, NULL),
(39712, NULL, 'IPR046256', NULL, 'Protein of unknown function DUF6289', 'DUF6289', 4, NULL),
(39713, NULL, 'IPR046219', NULL, 'Protein of unknown function DUF6252', 'DUF6252', 4, NULL),
(39714, NULL, 'IPR043153', NULL, 'DENN domain, C-terminal lobe', 'DENN_C', 5, NULL);  
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39715, NULL, 'IPR045266', NULL, 'Copper-dependent monooxygenases, DOMON domain', 'DOH_DOMON', 3, NULL),
(39716, NULL, 'IPR046306', NULL, 'Protein of unknown function DUF6421', 'DUF6421', 4, NULL),
(39717, NULL, 'IPR044403', NULL, 'PRDM10, PR/SET domain', 'PRDM10_PR/SET', 3, NULL),
(39718, NULL, 'IPR045258', NULL, 'ArfGAP ACAP1/2/3-like', 'ACAP1/2/3-like', 4, NULL),
(39719, NULL, 'IPR045516', NULL, 'Protein of unknown function DUF6477', 'DUF6477', 4, NULL),
(39720, NULL, 'IPR045239', NULL, 'Transcription factor bHLH95-like, basic helix-loop-helix domain', 'bHLH95_bHLH', 3, NULL),
(39721, NULL, 'IPR045302', NULL, 'NHL2, NHL repeat domain', 'NHL2_NHL_rpt_dom', 3, NULL),
(39722, NULL, 'IPR042148', NULL, 'RAIDD, CARD domain', 'CARD_RAIDD', 3, NULL),
(39723, NULL, 'IPR046156', NULL, 'Protein of unknown function DUF6158', 'DUF6158', 4, NULL),
(39724, NULL, 'IPR045271', NULL, 'Receptor-like protein kinase SRF-like', 'SRF-like', 4, NULL),
(39725, NULL, 'IPR045636', NULL, 'Protein of unknown function DUF6411', 'DUF6411', 4, NULL),
(39726, NULL, 'IPR045208', NULL, 'Initiation factor 4G', 'IF4G', 4, NULL),
(39727, NULL, 'IPR045553', NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX1', 'bpX1', 3, NULL),
(39728, NULL, 'IPR046138', NULL, 'Protein of unknown function DUF6140', 'DUF6140', 4, NULL),
(39729, NULL, 'IPR042130', NULL, 'SNX7, PX domain', 'PX_SNX7', 3, NULL),
(39730, NULL, 'IPR046175', NULL, 'Protein of unknown function DUF6177', 'DUF6177', 4, NULL),
(39731, NULL, 'IPR042578', NULL, 'Spike glycoprotein, betacoronavirus', 'BETA_CORONA_SPIKE', 4, NULL),
(39732, NULL, 'IPR046290', NULL, 'Protein of unknown function DUF6327', 'DUF6327', 4, NULL),
(39733, NULL, 'IPR046115', NULL, 'Protein of unknown function DUF6052', 'DUF6052', 4, NULL),
(39734, NULL, 'IPR046151', NULL, 'Protein of unknown function DUF6153', 'DUF6153', 4, NULL),
(39735, NULL, 'IPR046137', NULL, 'Protein of unknown function DUF6139', 'DUF6139', 4, NULL),
(39736, NULL, 'IPR046213', NULL, 'Protein of unknown function DUF6246', 'DUF6246', 4, NULL),
(39737, NULL, 'IPR045379', NULL, 'Crinkler effector protein, N-terminal', 'Crinkler_N', 3, NULL),
(39738, NULL, 'IPR046144', NULL, 'Protein of unknown function DUF6146', 'DUF6146', 4, NULL),
(39739, NULL, 'IPR045775', NULL, 'Protein of unknown function DUF6207', 'DUF6207', 4, NULL),
(39740, NULL, 'IPR042165', NULL, 'Phosphatidylglycerophosphatase and protein-tyrosine phosphatase 1', 'PTPMT1', 4, NULL),
(39741, NULL, 'IPR046163', NULL, 'Protein of unknown function DUF6165', 'DUF6165', 4, NULL),
(39742, NULL, 'IPR046273', NULL, 'Domain of unknown function DUF6306', 'DUF6306', 3, NULL),
(39743, NULL, 'IPR045309', NULL, 'Xanthoxin dehydrogenase  ABA2-like', 'ABA2-like', 4, NULL),
(39744, NULL, 'IPR042410', NULL, 'Transducin beta-like protein 2', 'WBSCR13', 4, NULL),
(39745, NULL, 'IPR045298', NULL, 'LYRM7, LYR domain', 'Complex1_LYR_LYRM7', 3, NULL),
(39746, NULL, 'IPR046170', NULL, 'Protein of unknown function DUF6172', 'DUF6172', 4, NULL),
(39747, NULL, 'IPR046220', NULL, 'Protein of unknown function DUF6253', 'DUF6253', 4, NULL),
(39748, NULL, 'IPR045582', NULL, 'Trehalase-like, N-terminal domain', 'Trehalase-like_N', 3, NULL),
(39749, NULL, 'IPR045598', NULL, 'Domain of unknown function DUF6457', 'DUF6457', 3, NULL),
(39750, NULL, 'IPR046135', NULL, 'Protein of unknown function DUF6137', 'DUF6137', 4, NULL),
(39751, NULL, 'IPR046166', NULL, 'Protein of unknown function DUF6168', 'DUF6168', 4, NULL),
(39752, NULL, 'IPR042361', NULL, 'Z-DNA-binding protein 1', 'ZBP1', 4, NULL),
(39753, NULL, 'IPR043183', NULL, 'DnaJ homolog subfamily B member 2', 'DNJB2', 4, NULL),
(39754, NULL, 'IPR042168', NULL, 'Purkinje cell protein 2', 'Pcp2', 4, NULL),
(39755, NULL, 'IPR045338', NULL, 'Domain of unknown function DUF6535', 'DUF6535', 3, NULL),
(39756, NULL, 'IPR046183', NULL, 'Protein of unknown function DUF6211', 'DUF6211', 4, NULL),
(39757, NULL, 'IPR046236', NULL, 'Protein of unknown function DUF6269', 'DUF6269', 4, NULL),
(39758, NULL, 'IPR043071', NULL, 'Staphylcoagulase, N-terminal, subdomain 2', 'Staphylcoagulase_N_2', 5, NULL);     
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39759, NULL, 'IPR046196', NULL, 'Protein of unknown function DUF6228', 'DUF6228', 4, NULL),
(39760, NULL, 'IPR046205', NULL, 'Protein of unknown function DUF6238', 'DUF6238', 4, NULL),
(39761, NULL, 'IPR045299', NULL, 'NDUFA6, LYR domain', 'Complex1_LYR_NDUFA6_LYRM6', 3, NULL),
(39762, NULL, 'IPR046313', NULL, 'Protein of unknown function DUF6465', 'DUF6465', 4, NULL),
(39763, NULL, 'IPR042407', NULL, 'Protein NCBP2AS2', 'NCBP2-AS2', 4, NULL),
(39764, NULL, 'IPR046174', NULL, 'Protein of unknown function DUF6176', 'DUF6176', 4, NULL),
(39765, NULL, 'IPR045704', NULL, 'BTB/POZ domain-containing protein KCTD18, C-terminal domain', 'KCTD18_C', 3, NULL),
(39766, NULL, 'IPR046244', NULL, 'Protein of unknown function DUF6277', 'DUF6277', 4, NULL),
(39767, NULL, 'IPR045904', NULL, 'KCTD15, tetramerisation-type BTB domain', 'KCTD15_T1-type_BTB', 3, NULL),
(39768, NULL, 'IPR046199', NULL, 'Protein of unknown function DUF6231', 'DUF6231', 4, NULL),
(39769, NULL, 'IPR046180', NULL, 'Protein of unknown function DUF6208', 'DUF6208', 4, NULL),
(39770, NULL, 'IPR045789', NULL, 'Protein inscuteable homologue, C-terminal domain', 'Insc_C', 3, NULL),
(39771, NULL, 'IPR043172', NULL, 'Prp8 RNase domain IV, palm region', 'Prp8_domainIV_palm', 5, NULL),
(39772, NULL, 'IPR045322', NULL, 'E3 ubiquitin-protein ligase HECTD1/TRIP12-like', 'HECTD1/TRIP12-like', 4, NULL),
(39773, NULL, 'IPR044197', NULL, 'Peptidyl-prolyl cis-trans isomerase FKBP17-1-like', 'FKBP17-1-like', 4, NULL),
(39774, NULL, 'IPR045564', NULL, 'Protein of unknown function DUF5910', 'DUF5910', 4, NULL),
(39775, NULL, 'IPR046260', NULL, 'Domain of unknown function DUF6293', 'DUF6293', 3, NULL),
(39776, NULL, 'IPR045515', NULL, 'Domain of unknown function DUF6440', 'DUF6440', 3, NULL),
(39777, NULL, 'IPR045526', NULL, 'Domain of unknown function DUF6471', 'DUF6471', 3, NULL),
(39778, NULL, 'IPR045512', NULL, 'Protein of unknown function DUF6480', 'DUF6480', 4, NULL),
(39779, NULL, 'IPR045629', NULL, 'Protein of unknown function DUF6232', 'DUF6232', 4, NULL),
(39780, NULL, 'IPR046169', NULL, 'Protein of unknown function DUF6171', 'DUF6171', 4, NULL),
(39781, NULL, 'IPR045517', NULL, 'Glyoxalase-related protein', 'Glyoxalase_8', 3, NULL),
(39782, NULL, 'IPR045253', NULL, 'Vacuolar protein sorting-associated protein 4, MIT domain', 'VPS4_MIT', 3, NULL),
(39783, NULL, 'IPR046114', NULL, 'Protein of unknown function DUF6051', 'DUF6051', 4, NULL),
(39784, NULL, 'IPR045448', NULL, 'Protein of unknown function DUF6500', 'DUF6500', 4, NULL),
(39785, NULL, 'IPR046208', NULL, 'Protein of unknown function DUF6241', 'DUF6241', 4, NULL),
(39786, NULL, 'IPR043085', NULL, 'Gp27, baseplate hub, domain 2', 'Gp27_dom2', 5, NULL),
(39787, NULL, 'IPR046299', NULL, 'Protein of unknown function DUF6336', 'DUF6336', 4, NULL),
(39788, NULL, 'IPR045640', NULL, 'Protein of unknown function DUF6407', 'DUF6407', 4, NULL),
(39789, NULL, 'IPR045300', NULL, 'MIEF1-MP, LYR domain', 'Complex1_LYR_MIEF1-MP', 3, NULL),
(39790, NULL, 'IPR046143', NULL, 'Protein of unknown function DUF6145', 'DUF6145', 4, NULL),
(39791, NULL, 'IPR046221', NULL, 'Protein of unknown function DUF6254', 'DUF6254', 4, NULL),
(39792, NULL, 'IPR046272', NULL, 'Domain of unknown function DUF6305', 'DUF6305', 3, NULL),
(39793, NULL, 'IPR046280', NULL, 'Protein of unknown function DUF6313', 'DUF6313', 4, NULL),
(39794, NULL, 'IPR045256', NULL, 'Ran-specific GTPase-activating protein 1, Ran-binding domain', 'RanBP1_RanBD', 3, NULL),
(39795, NULL, 'IPR045411', NULL, 'Protein of unknown function DUF5892', 'DUF5892', 4, NULL),
(39796, NULL, 'IPR045882', NULL, 'GROWING PLUS-END TRACKING 1/2', 'GPT1/2', 4, NULL),
(39797, NULL, 'IPR045445', NULL, 'Protein of unknown function DUF6502', 'DUF6502', 4, NULL),
(39798, NULL, 'IPR045799', NULL, 'TBC1 domain family member 23, C-terminal domain', 'TBC1D23_C', 3, NULL),
(39799, NULL, 'IPR042374', NULL, 'CD70 antigen', 'CD70', 4, NULL),
(39800, NULL, 'IPR046147', NULL, 'Protein of unknown function DUF6149', 'DUF6149', 4, NULL),
(39801, NULL, 'IPR045320', NULL, 'Zinc finger protein JAGGED/KNUCKLES-like', 'JAGGED/KNUCKLES-like', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39802, NULL, 'IPR045591', NULL, 'Protein of unknown function DUF6462', 'DUF6462', 4, NULL),
(39803, NULL, 'IPR046330', NULL, 'DEAD box protein 17, ATP-binding domain', 'DDX17_ATP-bd-dom', 3, NULL),
(39804, NULL, 'IPR046187', NULL, 'Protein of unknown function DUF6215', 'DUF6215', 4, NULL),
(39805, NULL, 'IPR046154', NULL, 'Protein of unknown function DUF6156', 'DUF6156', 4, NULL),
(39806, NULL, 'IPR045259', NULL, 'Transposase-like protein DAYSLEEPER', 'DAYSLEEPER-like', 4, NULL),
(39807, NULL, 'IPR045499', NULL, 'Protein of unknown function DUF6492', 'DUF6492', 4, NULL),
(39808, NULL, 'IPR045630', NULL, 'Domain of unknown function DUF6316', 'DUF6316', 3, NULL),
(39809, NULL, 'IPR045600', NULL, 'RelA/SpoT, AH and RIS domains', 'RelA/SpoT_AH_RIS', 3, NULL),
(39810, NULL, 'IPR045265', NULL, 'AIR12, DOMON domain', 'AIR12_DOMON', 3, NULL),
(39811, NULL, 'IPR042456', NULL, 'Junctional adhesion molecule A', 'F11R', 4, NULL),
(39812, NULL, 'IPR042373', NULL, 'Tumor necrosis factor ligand superfamily member 9', 'TNFSF9', 4, NULL),
(39813, NULL, 'IPR046111', NULL, 'Protein of unknown function DUF6048', 'DUF6048', 4, NULL),
(39814, NULL, 'IPR046311', NULL, 'Protein of unknown function DUF6426', 'DUF6426', 4, NULL),
(39815, NULL, 'IPR046275', NULL, 'Protein of unknown function DUF6308', 'DUF6308', 4, NULL),
(39816, NULL, 'IPR045264', NULL, 'SPXM, SPX domain', 'SPXM_SPX_plant', 3, NULL),
(39817, NULL, 'IPR046146', NULL, 'Protein of unknown function DUF6148', 'DUF6148', 4, NULL),
(39818, NULL, 'IPR045886', NULL, 'ThiF/MoeB/HesA family', 'ThiF/MoeB/HesA', 4, NULL),
(39819, NULL, 'IPR046123', NULL, 'Protein of unknown function DUF6120', 'DUF6120', 4, NULL),
(39820, NULL, 'IPR045324', NULL, 'Small multidrug resistance protein', 'Small_multidrug_res', 4, NULL),
(39821, NULL, 'IPR042203', NULL, 'Leucyl/phenylalanyl-tRNA-protein transferase, C-terminal', 'Leu/Phe-tRNA_Trfase_C', 5, NULL),
(39822, NULL, 'IPR045667', NULL, 'Origin recognition complex subunit 3, N-terminal', 'ORC3_N', 3, NULL),
(39823, NULL, 'IPR046132', NULL, 'Domain of unknown function DUF6129', 'DUF6129', 3, NULL),
(39824, NULL, 'IPR046305', NULL, 'Protein of unknown function DUF6420', 'DUF6420', 4, NULL),
(39825, NULL, 'IPR042521', NULL, 'Dual specificity tyrosine-phosphorylation-regulated kinase', 'DYRK', 5, NULL),
(39826, NULL, 'IPR042131', NULL, 'SNX7, BAR domain', 'BAR_SNX7', 3, NULL),
(39827, NULL, 'IPR046227', NULL, 'Protein of unknown function DUF6260', 'DUF6260', 4, NULL),
(39828, NULL, 'IPR046310', NULL, 'Protein of unknown function DUF6425', 'DUF6425', 4, NULL),
(39829, NULL, 'IPR046247', NULL, 'Protein of unknown function DUF6280', 'DUF6280', 4, NULL),
(39830, NULL, 'IPR046106', NULL, 'Protein of unknown function DUF6043', 'DUF6043', 4, NULL),
(39831, NULL, 'IPR046259', NULL, 'Domain of unknown function DUF6292', 'DUF6292', 3, NULL),
(39832, NULL, 'IPR046267', NULL, 'Protein of unknown function DUF6300', 'DUF6300', 4, NULL),
(39833, NULL, 'IPR046177', NULL, 'Protein of unknown function DUF6186', 'DUF6186', 4, NULL),
(39834, NULL, 'IPR046210', NULL, 'Protein of unknown function DUF6243', 'DUF6243', 4, NULL),
(39835, NULL, 'IPR045545', NULL, 'Phytanoyl-CoA hydroxylase-interacting protein-like, C-terminal', 'PHYIP/PHIPL_C', 3, NULL),
(39836, NULL, 'IPR046124', NULL, 'Protein of unknown function DUF6121', 'DUF6121', 4, NULL),
(39837, NULL, 'IPR046239', NULL, 'Protein of unknown function DUF6272', 'DUF6272', 4, NULL),
(39838, NULL, 'IPR045276', NULL, 'Mechanosensitive ion channel YbiO', 'YbiO_bact', 4, NULL),
(39839, NULL, 'IPR046241', NULL, 'Protein of unknown function DUF6274', 'DUF6274', 4, NULL),
(39840, NULL, 'IPR045341', NULL, 'Domain of unknown function DUF6532', 'DUF6532', 3, NULL),
(39841, NULL, 'IPR045579', NULL, 'Acylglycerol kinase, C-terminal', 'AGK_C', 3, NULL),
(39842, NULL, 'IPR045522', NULL, 'Protein of unknown function DUF6474', 'DUF6474', 4, NULL),
(39843, NULL, 'IPR045639', NULL, 'Protein of unknown function DUF6408', 'DUF6408', 4, NULL),
(39844, NULL, 'IPR046335', NULL, 'Transcriptional regulator LacI/GalR-like, sensor domain', 'LacI/GalR-like_sensor', 3, NULL);          
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39845, NULL, 'IPR046112', NULL, 'Protein of unknown function DUF6049', 'DUF6049', 4, NULL),
(39846, NULL, 'IPR042234', NULL, 'WD repeat and FYVE domain-containing protein 1/2', 'WDFY1/WDFY2', 4, NULL),
(39847, NULL, 'IPR046217', NULL, 'Domain of unknown function DUF6250', 'DUF6250', 3, NULL),
(39848, NULL, 'IPR045274', NULL, 'Receptor-like kinase WAK-like', 'WAK-like', 4, NULL),
(39849, NULL, 'IPR042105', NULL, 'Ribosomal protein L31 superfamily', 'Ribosomal_L31_sf', 5, NULL),
(39850, NULL, 'IPR045171', NULL, 'Rad50, ATP-binding cassette domain', 'ABC_Rad50', 3, NULL),
(39851, NULL, 'IPR046228', NULL, 'Protein of unknown function DUF6261', 'DUF6261', 4, NULL),
(39852, NULL, 'IPR042134', NULL, 'Phosphatidylinositol 4-phosphate 3-kinase C2 domain-containing subunit beta, PX domain', 'PX_PI3K_C2_beta', 3, NULL),
(39853, NULL, 'IPR043994', NULL, 'Bacterial toxin, RNase RnlA/LsoA, DBD domain', 'RnlA/LsoA-toxin_DBD', 3, NULL),
(39854, NULL, 'IPR045443', NULL, 'Protein of unknown function DUF6504', 'DUF6504', 4, NULL),
(39855, NULL, 'IPR046309', NULL, 'Protein of unknown function DUF6424', 'DUF6424', 4, NULL),
(39856, NULL, 'IPR045163', NULL, 'Focadhesin/RST1', 'Focadhesin/RST1', 4, NULL),
(39857, NULL, 'IPR046117', NULL, 'Protein of unknown function DUF6054', 'DUF6054', 4, NULL),
(39858, NULL, 'IPR045896', NULL, 'Transcription factor MYC1-like, bHLH domain', 'MYC1-like_bHLH', 3, NULL),
(39859, NULL, 'IPR045165', NULL, 'Nitrobindin family', 'Nitrobindin', 4, NULL),
(39860, NULL, 'IPR045252', NULL, 'Lysophosphatidylcholine acyltransferase LPCAT1-like', 'LPCAT1-like', 3, NULL),
(39861, NULL, 'IPR045547', NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX6', 'bpX6', 3, NULL),
(39862, NULL, 'IPR045801', NULL, 'Mitogen-activated protein kinase kinase kinase, N-terminal', 'MEKK4_N', 3, NULL),
(39863, NULL, 'IPR045890', NULL, 'BTB/POZ domain-containing protein POB1-like', 'POB1-like', 4, NULL),
(39864, NULL, 'IPR044171', NULL, 'Protein LAX PANICLE 2-like', 'LAX2-like', 4, NULL),
(39865, NULL, 'IPR042237', NULL, 'Putative peptidyl-tRNA hydrolase PTRHD1', 'PTRHD1', 4, NULL),
(39866, NULL, 'IPR046243', NULL, 'Protein of unknown function DUF6276', 'DUF6276', 4, NULL),
(39867, NULL, 'IPR045797', NULL, 'Evasins Class A', 'EVA_Class_A', 4, NULL),
(39868, NULL, 'IPR045438', NULL, 'Effector-associated domain 9', 'EAD9', 3, NULL),
(39869, NULL, 'IPR045864', NULL, 'Class II Aminoacyl-tRNA synthetase/Biotinyl protein ligase (BPL) and lipoyl protein ligase (LPL)', 'aa-tRNA-synth_II/BPL/LPL', 5, NULL),
(39870, NULL, 'IPR046285', NULL, 'Protein of unknown function DUF6322', 'DUF6322', 4, NULL),
(39871, NULL, 'IPR045409', NULL, 'Protein of unknown function DUF5891', 'DUF5891', 4, NULL),
(39872, NULL, 'IPR045880', NULL, 'ZCF37', 'ZCF37', 4, NULL),
(39873, NULL, 'IPR045884', NULL, 'Transmembrane protein At5g59350-like', 'At5g59350-like', 4, NULL),
(39874, NULL, 'IPR045412', NULL, 'Protein of unknown function DUF5893', 'DUF5893', 4, NULL),
(39875, NULL, 'IPR046136', NULL, 'Protein of unknown function DUF6138', 'DUF6138', 4, NULL),
(39876, NULL, 'IPR042505', NULL, 'Cytoplasmic dynein 2 intermediate chain 1', 'DYNC2I1', 4, NULL),
(39877, NULL, 'IPR043182', NULL, 'Paired DNA-binding domain', 'PAIRED_DNA-bd_dom', 3, NULL),
(39878, NULL, 'IPR045686', NULL, 'Protein of unknown function DUF6189', 'DUF6189', 4, NULL),
(39879, NULL, 'IPR042528', NULL, 'Translation initiation factor eIF-2B subunit alpha, N-terminal', 'elF-2B_alpha_N', 5, NULL),
(39880, NULL, 'IPR046212', NULL, 'Protein of unknown function DUF6245', 'DUF6245', 4, NULL),
(39881, NULL, 'IPR044147', NULL, 'Uracil DNA glycosylase family 5', 'UdgB-like', 3, NULL),
(39882, NULL, 'IPR043321', NULL, 'BACH, basic leucine zipper (bZIP) domain', 'bZIP_BACH', 3, NULL),
(39883, NULL, 'IPR046261', NULL, 'Domain of unknown function DUF6294', 'DUF6294', 3, NULL),
(39884, NULL, 'IPR044125', NULL, 'DNA Ligase 4, adenylation domain', 'Adenylation_DNA_ligase_IV', 3, NULL),
(39885, NULL, 'IPR046281', NULL, 'Domain of unknown function DUF6318', 'DUF6318', 3, NULL),
(39886, NULL, 'IPR045664', NULL, 'Protein of unknown function DUF6387', 'DUF6387', 4, NULL);              
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39887, NULL, 'IPR046329', NULL, 'Solute carrier organic anion transporter family member 4A1-like', 'SO4A1-like', 4, NULL),
(39888, NULL, 'IPR044189', NULL, 'Exportin 4/7-like', 'XPO4/7-like', 4, NULL),
(39889, NULL, 'IPR045371', NULL, 'ADAMTS/ADAMTS-like, cysteine-rich domain 3', 'ADAMTS_CR_3', 3, NULL),
(39890, NULL, 'IPR045713', NULL, 'Protein of unknown function DUF6069', 'DUF6069', 4, NULL),
(39891, NULL, 'IPR045666', NULL, 'Oligopeptidase A, N-terminal domain', 'OpdA_N', 3, NULL),
(39892, NULL, 'IPR046216', NULL, 'Domain of unknown function DUF6249', 'DUF6249', 3, NULL),
(39893, NULL, 'IPR042530', NULL, 'EME1/EME2, C-terminal domain', 'EME1/EME2_C', 5, NULL),
(39894, NULL, 'IPR046184', NULL, 'Protein of unknown function DUF6212', 'DUF6212', 4, NULL),
(39895, NULL, 'IPR046167', NULL, 'Protein of unknown function DUF6169', 'DUF6169', 4, NULL),
(39896, NULL, 'IPR046140', NULL, 'Protein of unknown function DUF6142', 'DUF6142', 4, NULL),
(39897, NULL, 'IPR045334', NULL, 'Integrator complex subunit 3', 'INTS3', 4, NULL),
(39898, NULL, 'IPR045275', NULL, 'Mechanosensitive ion channel MscS, archaea/bacteria type', 'MscS_archaea/bacteria_type', 4, NULL),
(39899, NULL, 'IPR046139', NULL, 'Protein of unknown function DUF6141', 'DUF6141', 4, NULL),
(39900, NULL, 'IPR045878', NULL, 'Guanine nucleotide-binding protein subunit gamma 1/2', 'GG1/2', 4, NULL),
(39901, NULL, 'IPR046314', NULL, 'Protein of unknown function DUF6466', 'DUF6466', 4, NULL),
(39902, NULL, 'IPR046171', NULL, 'Protein of unknown function DUF6173', 'DUF6173', 4, NULL),
(39903, NULL, 'IPR046264', NULL, 'Protein of unknown function DUF6297', 'DUF6297', 4, NULL),
(39904, NULL, 'IPR046107', NULL, 'Protein of unknown function DUF6044', 'DUF6044', 4, NULL),
(39905, NULL, 'IPR046258', NULL, 'Domain of unknown function DUF6291', 'DUF6291', 3, NULL),
(39906, NULL, 'IPR046282', NULL, 'Protein of unknown function DUF6319', 'DUF6319', 4, NULL),
(39907, NULL, 'IPR046158', NULL, 'Protein of unknown function DUF6160', 'DUF6160', 4, NULL),
(39908, NULL, 'IPR044214', NULL, 'EDS1-like', 'EDS1-like', 4, NULL),
(39909, NULL, 'IPR045316', NULL, 'Zinc transporter Msc2-like', 'Msc2-like', 4, NULL),
(39910, NULL, 'IPR045791', NULL, 'Semaphorin 4F, C-terminal', 'Sema4F_C', 3, NULL),
(39911, NULL, 'IPR046152', NULL, 'Protein of unknown function DUF6154', 'DUF6154', 4, NULL),
(39912, NULL, 'IPR046245', NULL, 'Protein of unknown function DUF6278', 'DUF6278', 4, NULL),
(39913, NULL, 'IPR046202', NULL, 'Protein of unknown function DUF6235', 'DUF6235', 4, NULL),
(39914, NULL, 'IPR045638', NULL, 'Protein of unknown function DUF6409', 'DUF6409', 4, NULL),
(39915, NULL, 'IPR046189', NULL, 'Protein of unknown function DUF6217', 'DUF6217', 4, NULL),
(39916, NULL, 'IPR045552', NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX2', 'bpX2', 3, NULL),
(39917, NULL, 'IPR045284', NULL, 'At2g27730-like', 'At2g27730-like', 4, NULL),
(39918, NULL, 'IPR045162', NULL, 'Serine/threonine-protein kinase Vps15-like', 'Vps15-like', 4, NULL),
(39919, NULL, 'IPR045549', NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX4', 'bpX4', 3, NULL),
(39920, NULL, 'IPR045560', NULL, '4-carboxy-2-hydroxymuconate-6-semialdehyde dehydrogenase-like, C-terminal', 'LigC_C', 3, NULL),
(39921, NULL, 'IPR043079', NULL, 'EV matrix protein, N-terminal', 'EV_matrix_protein_N', 5, NULL),
(39922, NULL, 'IPR045281', NULL, 'Zinc finger protein CONSTANS-like', 'CONSTANS-like', 4, NULL),
(39923, NULL, 'IPR045446', NULL, 'vWA-MoxR associated protein middle region 2', 'VMAP-M2', 3, NULL),
(39924, NULL, 'IPR045257', NULL, 'Dihydrolipoamide acetyltransferase/Pyruvate dehydrogenase protein X component', 'E2/Pdx1', 4, NULL),
(39925, NULL, 'IPR046157', NULL, 'Protein of unknown function DUF6159', 'DUF6159', 4, NULL),
(39926, NULL, 'IPR042523', NULL, 'Ubiquitin-like modifier-activating enzyme Atg7, N-terminal, subdomain 2', 'Atg7_N_2', 5, NULL),
(39927, NULL, 'IPR045500', NULL, 'Protein of unknown function DUF6491', 'DUF6491', 4, NULL),
(39928, NULL, 'IPR046150', NULL, 'Protein of unknown function DUF6152', 'DUF6152', 4, NULL);    
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39929, NULL, 'IPR045450', NULL, 'vWA-MoxR associated protein, C-terminal domain', 'VMAP_C', 3, NULL),
(39930, NULL, 'IPR046214', NULL, 'Protein of unknown function DUF6247', 'DUF6247', 4, NULL),
(39931, NULL, 'IPR046233', NULL, 'Protein of unknown function DUF6266', 'DUF6266', 4, NULL),
(39932, NULL, 'IPR045758', NULL, 'Solute-binding protein AdeT 1/2', 'AdeT1/2', 4, NULL),
(39933, NULL, 'IPR043080', NULL, 'Hemolytic toxin, N-terminal domain superfamily', 'Hemolysin_N_sf', 5, NULL),
(39934, NULL, 'IPR045669', NULL, 'FHF complex subunit HOOK interacting protein, C-terminal', 'FHIP_C', 3, NULL),
(39935, NULL, 'IPR045663', NULL, 'Origin recognition complex subunit 3, insertion domain', 'ORC3_ins', 3, NULL),
(39936, NULL, 'IPR042525', NULL, 'DNA repair protein Rad52/59/22 superfamily', 'Rad52_Rad59_Rad22_sf', 5, NULL),
(39937, NULL, 'IPR046110', NULL, 'Protein of unknown function DUF6047', 'DUF6047', 4, NULL),
(39938, NULL, 'IPR046224', NULL, 'Protein of unknown function DUF6257', 'DUF6257', 4, NULL),
(39939, NULL, 'IPR045270', NULL, 'Serine/Threonine Kinase AGC, catalytic domain', 'STKc_AGC', 3, NULL),
(39940, NULL, 'IPR043075', NULL, 'Baseplate protein Gp16, domain 1 and 2', 'Gp16_dom1_2', 5, NULL),
(39941, NULL, 'IPR046249', NULL, 'Protein of unknown function DUF6282', 'DUF6282', 4, NULL),
(39942, NULL, 'IPR046262', NULL, 'Protein of unknown function DUF6295', 'DUF6295', 4, NULL),
(39943, NULL, 'IPR045248', NULL, 'Heat shock protein Sti1-like', 'Sti1-like', 4, NULL),
(39944, NULL, 'IPR046231', NULL, 'Protein of unknown function DUF6264', 'DUF6264', 4, NULL),
(39945, NULL, 'IPR045850', NULL, 'tRNA (uracil(54)-C(5))-methyltransferase, eukaryotic type', 'TRM2_euk', 4, NULL),
(39946, NULL, 'IPR046269', NULL, 'Protein of unknown function DUF6302', 'DUF6302', 4, NULL),
(39947, NULL, 'IPR046162', NULL, 'Protein of unknown function DUF6164', 'DUF6164', 4, NULL),
(39948, NULL, 'IPR046326', NULL, 'Domain of unknown function DUF5136', 'DUF5136', 3, NULL),
(39949, NULL, 'IPR045364', NULL, 'Protein of unknown function DUF5883', 'DUF5883', 4, NULL),
(39950, NULL, 'IPR046218', NULL, 'Protein of unknown function DUF6251', 'DUF6251', 4, NULL),
(39951, NULL, 'IPR045565', NULL, 'Phage capsid protein', 'Phage_capsid_2', 4, NULL),
(39952, NULL, 'IPR046255', NULL, 'Protein of unknown function DUF6288', 'DUF6288', 4, NULL),
(39953, NULL, 'IPR042401', NULL, 'Testicular haploid expressed gene protein-like', 'THEG-like', 4, NULL),
(39954, NULL, 'IPR046155', NULL, 'Protein of unknown function DUF6157', 'DUF6157', 4, NULL),
(39955, NULL, 'IPR045508', NULL, 'Protein of unknown function DUF6482', 'DUF6482', 4, NULL),
(39956, NULL, 'IPR046120', NULL, 'Protein of unknown function DUF6117', 'DUF6117', 4, NULL),
(39957, NULL, 'IPR045573', NULL, 'Alpha-(1,6)-fucosyltransferase, N- and catalytic domain', 'Fut8_N_cat', 3, NULL),
(39958, NULL, 'IPR046149', NULL, 'Protein of unknown function DUF6151', 'DUF6151', 4, NULL),
(39959, NULL, 'IPR046178', NULL, 'Protein of unknown function DUF6187', 'DUF6187', 4, NULL),
(39960, NULL, 'IPR046307', NULL, 'Protein of unknown function DUF6422', 'DUF6422', 4, NULL),
(39961, NULL, 'IPR042780', NULL, 'TRIM47, PRY/SPRY domain', 'TRIM47_SPRY_PRY', 3, NULL),
(39962, NULL, 'IPR042375', NULL, 'A-kinase anchor protein 5', 'AKAP5', 4, NULL),
(39963, NULL, 'IPR045556', NULL, 'Domain of unknown function DUF6351', 'DUF6351', 3, NULL),
(39964, NULL, 'IPR043131', NULL, 'Branched-chain-amino-acid aminotransferase-like, N-terminal', 'BCAT-like_N', 5, NULL),
(39965, NULL, 'IPR045172', NULL, 'Tubulin-folding cofactor B, N-terminal ubiquitin-like domain', 'TBCB_N_Ubl', 3, NULL),
(39966, NULL, 'IPR045164', NULL, 'RNA-binding region-containing protein RBM41/RNPC3', 'RBM41/RNPC3', 4, NULL),
(39967, NULL, 'IPR043076', NULL, 'Cell-cell fusogen EFF/AFF, domain 3', 'Fusogen_EFF/AFF_dom3', 5, NULL),
(39968, NULL, 'IPR044167', NULL, 'Bowman-Birk type wound-induced proteinase inhibitor WIP1', 'WIP1', 4, NULL),
(39969, NULL, 'IPR045702', NULL, 'Protein of unknown function DUF6060', 'DUF6060', 4, NULL),
(39970, NULL, 'IPR045701', NULL, 'Protein of unknown function DUF6059', 'DUF6059', 4, NULL);               
INSERT INTO "PUBLIC"."ENTRY" VALUES
(39971, NULL, 'IPR045776', NULL, 'Protein of unknown function DUF6202', 'DUF6202', 4, NULL),
(39972, NULL, 'IPR046303', NULL, 'Domain of unknown function DUF6418', 'DUF6418', 3, NULL),
(39973, NULL, 'IPR045234', NULL, 'RING finger protein Unkempt-like', 'Unkempt-like', 4, NULL),
(39974, NULL, 'IPR045830', NULL, 'AraR-like, winged helix DNA-binding domain', 'AraR_wHTH_dom', 3, NULL),
(39975, NULL, 'IPR046283', NULL, 'Protein of unknown function DUF6320', 'DUF6320', 4, NULL),
(39976, NULL, 'IPR045637', NULL, 'Protein of unknown function DUF6410', 'DUF6410', 4, NULL),
(39977, NULL, 'IPR046278', NULL, 'Domain of unknown function DUF6311', 'DUF6311', 3, NULL),
(39978, NULL, 'IPR045459', NULL, 'Protein of unknown function DUF5908', 'DUF5908', 4, NULL),
(39979, NULL, 'IPR046295', NULL, 'Protein of unknown function DUF6332', 'DUF6332', 4, NULL),
(39980, NULL, 'IPR045554', NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX0', 'bpX0', 3, NULL),
(39981, NULL, 'IPR045820', NULL, 'CLEC16A, C-terminal', 'CLEC16A_C', 3, NULL),
(39982, NULL, 'IPR042397', NULL, 'Podocalyxin-like protein 2', 'PODXL2', 4, NULL),
(39983, NULL, 'IPR045447', NULL, 'Protein of unknown function DUF6501', 'DUF6501', 4, NULL),
(39984, NULL, 'IPR046186', NULL, 'Protein of unknown function DUF6214', 'DUF6214', 4, NULL),
(39985, NULL, 'IPR046168', NULL, 'Protein of unknown function DUF6170', 'DUF6170', 4, NULL),
(39986, NULL, 'IPR043097', NULL, 'Phosphoprotein P, oligomerisation domain 1', 'PProtein_oligomer_dom1', 5, NULL),
(39987, NULL, 'IPR046301', NULL, 'Protein of unknown function DUF6416', 'DUF6416', 4, NULL),
(39988, NULL, 'IPR045511', NULL, 'Protein of unknown function DUF6439', 'DUF6439', 4, NULL),
(39989, NULL, 'IPR046126', NULL, 'Protein of unknown function DUF6123', 'DUF6123', 4, NULL),
(39990, NULL, 'IPR046193', NULL, 'Protein of unknown function DUF6221', 'DUF6221', 4, NULL),
(39991, NULL, 'IPR046240', NULL, 'Domain of unknown function DUF6273', 'DUF6273', 3, NULL),
(39992, NULL, 'IPR046119', NULL, 'Protein of unknown function DUF6116', 'DUF6116', 4, NULL),
(39993, NULL, 'IPR046288', NULL, 'Protein of unknown function DUF6325', 'DUF6325', 4, NULL),
(39994, NULL, 'IPR045672', NULL, 'Mesaconyl-CoA hydratase', 'MC_hydratase', 4, NULL),
(39995, NULL, 'IPR046252', NULL, 'Domain of unknown function DUF6285', 'DUF6285', 3, NULL),
(39996, NULL, 'IPR046109', NULL, 'Domain of unknown function DUF6046', 'DUF6046', 3, NULL),
(39997, NULL, 'IPR042504', NULL, 'E2 regulatory, transactivation domain, subdomain 2', 'Regulatory_protein_E2_N_2', 5, NULL),
(39998, NULL, 'IPR046226', NULL, 'Domain of unknown function DUF6259', 'DUF6259', 3, NULL),
(39999, NULL, 'IPR045866', NULL, 'Protein FAM210A/B-like', 'FAM210A/B-like', 4, NULL),
(40000, NULL, 'IPR045169', NULL, 'Nitrite and sulphite reductase 4Fe-4S domain containing protein', 'NO2/SO3_Rdtase_4Fe4S_prot', 4, NULL),
(40001, NULL, 'IPR045911', NULL, 'Receptor-type tyrosine-protein phosphatase mu, PTPase domain, repeat 1', 'R-PTP-mu_cat_rpt1', 3, NULL),
(40002, NULL, 'IPR043026', NULL, 'Orbivirus VP4 core, C-terminal', 'Orbi_VP4_C', 5, NULL),
(40003, NULL, 'IPR042532', NULL, 'Exocyst complex component EXOC3/Sec6, C-terminal domain', 'EXOC3/Sec6_C', 5, NULL),
(40004, NULL, 'IPR042463', NULL, 'Haem NO binding associated domain superfamily', 'HNOB_dom_associated_sf', 5, NULL),
(40005, NULL, 'IPR045910', NULL, 'Long-chain primary alcohol dehydrogenase AdhA-like', 'AdhA-like', 4, NULL),
(40006, NULL, 'IPR042556', NULL, 'Ubiquitin-protein ligase E3A, N-terminal zinc-binding domain superfamily', 'AZUL_sf', 5, NULL),
(40007, NULL, 'IPR044242', NULL, 'Protein LHCP TRANSLOCATION DEFECT-like', 'LTD-like', 4, NULL),
(40008, NULL, 'IPR044724', NULL, 'UBL4A-like,  ubiquitin-like domain', 'Ubl_UBL4A-like', 3, NULL),
(40009, NULL, 'IPR042533', NULL, 'Nucleoporin, Nup155-like, C-terminal, subdomain 1', 'Nucleoporin_Nup155_C_1', 5, NULL),
(40010, NULL, 'IPR043406', NULL, 'Transmembrane glycoprotein EPCAM/Trop-2', 'EPCAM/Trop-2', 4, NULL),
(40011, NULL, 'IPR044116', NULL, 'TRIM14, PRY/SPRY domain', 'SPRY_PRY_TRIM14', 3, NULL);   
INSERT INTO "PUBLIC"."ENTRY" VALUES
(40012, NULL, 'IPR042457', NULL, 'Thiosulfate:glutathione sulfurtransferase, mammal', 'TSTD1_mammal', 4, NULL),
(40013, NULL, 'IPR044640', NULL, 'U2 small nuclear ribonucleoprotein A''', 'RU2A', 4, NULL),
(40014, NULL, 'IPR042531', NULL, 'Phospholipase C-beta, C-terminal domain superfamily', 'PLC-beta_C_sf', 5, NULL),
(40015, NULL, 'IPR042479', NULL, 'SMC5-SMC6 complex localization factor protein 1', 'Slf1', 4, NULL),
(40016, NULL, 'IPR042470', NULL, 'RecQ mediated genome instability protein, N-terminal, subdomain 2', 'RMI1_N_2', 5, NULL),
(40017, NULL, 'IPR045913', NULL, 'GTPase-activating protein TBC20/Gyp8-like', 'TBC20/Gyp8-like', 4, NULL),
(40018, NULL, 'IPR042467', NULL, 'Peptidase C65,  otubain, subdomain 2', 'Peptidase_C65_otubain_sub2', 5, NULL),
(40019, NULL, 'IPR045915', NULL, 'Solute carrier family 22 members 4/5', 'S22A4/5', 4, NULL),
(40020, NULL, 'IPR044250', NULL, 'Isochorismate synthase MenF-like', 'MenF-like', 4, NULL),
(40021, NULL, 'IPR043797', NULL, '6-phospho-N-acetylmuramidase, N-terminal', 'MupG_N', 3, NULL),
(40022, NULL, 'IPR042536', NULL, 'TFIIIC, subcomplex tauA subunit Sfc1, triple barrel domain superfamily', 'TFIIIC_tauA_Sfc1', 5, NULL),
(40023, NULL, 'IPR045906', NULL, 'Serine/threonine-protein kinase ULK4', 'ULK4', 4, NULL),
(40024, NULL, 'IPR042545', NULL, 'Hemagglutinin-esterase', 'HEMA', 4, NULL),
(40025, NULL, 'IPR044442', NULL, 'RNase III, double-stranded RNA binding domain, animal', 'RNAse_III_DSRM__animal', 3, NULL),
(40026, NULL, 'IPR045914', NULL, 'Zinc finger protein 532-like', 'Zn532-like', 4, NULL),
(40027, NULL, 'IPR044447', NULL, 'DHX9, DEXH-box helicase domain', 'DHX9_DEXHc', 3, NULL),
(40028, NULL, 'IPR044249', NULL, 'Probable E3 ubiquitin-protein ligase XERICO-like', 'XERICO-like', 4, NULL),
(40029, NULL, 'IPR042376', NULL, 'Mediator of RNA polymerase II transcription subunit 26', 'MED26', 4, NULL),
(40030, NULL, 'IPR043364', NULL, 'Immunoglobulin superfamily member 5', 'IgSF5', 4, NULL),
(40031, NULL, 'IPR042469', NULL, 'E3 ubiquitin-protein ligase HECTD3', 'HECTD3', 4, NULL),
(40032, NULL, 'IPR042377', NULL, 'Gasdermin-E', 'GSDME', 4, NULL),
(40033, NULL, 'IPR044391', NULL, 'ORF8, SARS-CoV-2', 'ORF8_SARS-CoV-2-like', 4, NULL),
(40034, NULL, 'IPR043091', NULL, 'Restriction endonuclease, type II, AvaI/BsoBI, helical domain', 'Restr_endonucII_AvaI/BsoBI_hel', 5, NULL),
(40035, NULL, 'IPR044395', NULL, 'SF1 helicase-like, zinc-binding domain, ronidovirus', 'SF1_Hel-like_ZBD_rv', 3, NULL),
(40036, NULL, 'IPR043078', NULL, 'Sialyltransferase, N-terminal GT-B Rossman nucleotide-binding domain', 'Sialyltransferase_N', 5, NULL),
(40037, NULL, 'IPR043404', NULL, 'ATAXIN1-like', 'ATAXIN1-like', 4, NULL);        
CREATE INDEX "PUBLIC"."ENTRY_AC_IDX" ON "PUBLIC"."ENTRY"("ACCESSION");         
CREATE INDEX "PUBLIC"."ENTRY_NAME_IDX" ON "PUBLIC"."ENTRY"("NAME");            
CREATE INDEX "PUBLIC"."ENTRY_TYPE_IDX" ON "PUBLIC"."ENTRY"("TYPE");            
CREATE CACHED TABLE "PUBLIC"."ENTRY_ABSTRACT_CHUNK"(
    "ENTRY_ID" BIGINT NOT NULL,
    "ABSTRACT_CHUNK" VARCHAR(4000),
    "CHUNK_INDEX" INTEGER NOT NULL
); 
ALTER TABLE "PUBLIC"."ENTRY_ABSTRACT_CHUNK" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_7" PRIMARY KEY("ENTRY_ID", "CHUNK_INDEX");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENTRY_ABSTRACT_CHUNK;     
CREATE CACHED TABLE "PUBLIC"."ENTRY_DESCRIPTION_CHUNK"(
    "ENTRY_ID" BIGINT NOT NULL,
    "DESCRIPTION_CHUNKS" VARCHAR(4000),
    "CHUNK_INDEX" INTEGER NOT NULL
);          
ALTER TABLE "PUBLIC"."ENTRY_DESCRIPTION_CHUNK" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_9C" PRIMARY KEY("ENTRY_ID", "CHUNK_INDEX"); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENTRY_DESCRIPTION_CHUNK;  
CREATE CACHED TABLE "PUBLIC"."ENTRY_GO_XREF"(
    "ENTRY_ID" BIGINT NOT NULL,
    "GO_XREF_ID" BIGINT NOT NULL
);              
ALTER TABLE "PUBLIC"."ENTRY_GO_XREF" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_C6" PRIMARY KEY("ENTRY_ID", "GO_XREF_ID");            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENTRY_GO_XREF;            
CREATE CACHED TABLE "PUBLIC"."ENTRY_PATHWAY_XREF"(
    "ENTRY_ID" BIGINT NOT NULL,
    "PATHWAY_XREF_ID" BIGINT NOT NULL
);    
ALTER TABLE "PUBLIC"."ENTRY_PATHWAY_XREF" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_CE" PRIMARY KEY("ENTRY_ID", "PATHWAY_XREF_ID");  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENTRY_PATHWAY_XREF;       
CREATE CACHED TABLE "PUBLIC"."ENTRY_RELEASE"(
    "ENTRY_ID" BIGINT NOT NULL,
    "RELEASE_ID" BIGINT NOT NULL
);              
ALTER TABLE "PUBLIC"."ENTRY_RELEASE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_40" PRIMARY KEY("ENTRY_ID", "RELEASE_ID");            
-- 40037 +/- SELECT COUNT(*) FROM PUBLIC.ENTRY_RELEASE;        
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(1, 1),
(2, 1),
(3, 1),
(4, 1),
(5, 1),
(6, 1),
(7, 1),
(8, 1),
(9, 1),
(10, 1),
(11, 1),
(12, 1),
(13, 1),
(14, 1),
(15, 1),
(16, 1),
(17, 1),
(18, 1),
(19, 1),
(20, 1),
(21, 1),
(22, 1),
(23, 1),
(24, 1),
(25, 1),
(26, 1),
(27, 1),
(28, 1),
(29, 1),
(30, 1),
(31, 1),
(32, 1),
(33, 1),
(34, 1),
(35, 1),
(36, 1),
(37, 1),
(38, 1),
(39, 1),
(40, 1),
(41, 1),
(42, 1),
(43, 1),
(44, 1),
(45, 1),
(46, 1),
(47, 1),
(48, 1),
(49, 1),
(50, 1),
(51, 1),
(52, 1),
(53, 1),
(54, 1),
(55, 1),
(56, 1),
(57, 1),
(58, 1),
(59, 1),
(60, 1),
(61, 1),
(62, 1),
(63, 1),
(64, 1),
(65, 1),
(66, 1),
(67, 1),
(68, 1),
(69, 1),
(70, 1),
(71, 1),
(72, 1),
(73, 1),
(74, 1),
(75, 1),
(76, 1),
(77, 1),
(78, 1),
(79, 1),
(80, 1),
(81, 1),
(82, 1),
(83, 1),
(84, 1),
(85, 1),
(86, 1),
(87, 1),
(88, 1),
(89, 1),
(90, 1),
(91, 1),
(92, 1),
(93, 1),
(94, 1),
(95, 1),
(96, 1),
(97, 1),
(98, 1),
(99, 1),
(100, 1),
(101, 1),
(102, 1),
(103, 1),
(104, 1),
(105, 1),
(106, 1),
(107, 1),
(108, 1),
(109, 1),
(110, 1),
(111, 1),
(112, 1),
(113, 1),
(114, 1),
(115, 1),
(116, 1),
(117, 1),
(118, 1),
(119, 1),
(120, 1),
(121, 1),
(122, 1),
(123, 1),
(124, 1),
(125, 1),
(126, 1),
(127, 1),
(128, 1),
(129, 1),
(130, 1),
(131, 1),
(132, 1),
(133, 1),
(134, 1),
(135, 1),
(136, 1),
(137, 1),
(138, 1),
(139, 1),
(140, 1),
(141, 1),
(142, 1),
(143, 1),
(144, 1),
(145, 1),
(146, 1),
(147, 1),
(148, 1),
(149, 1),
(150, 1),
(151, 1),
(152, 1),
(153, 1),
(154, 1),
(155, 1),
(156, 1),
(157, 1),
(158, 1),
(159, 1),
(160, 1),
(161, 1),
(162, 1),
(163, 1),
(164, 1),
(165, 1),
(166, 1),
(167, 1),
(168, 1),
(169, 1),
(170, 1),
(171, 1),
(172, 1),
(173, 1),
(174, 1),
(175, 1),
(176, 1),
(177, 1),
(178, 1),
(179, 1),
(180, 1),
(181, 1),
(182, 1),
(183, 1),
(184, 1),
(185, 1),
(186, 1),
(187, 1),
(188, 1),
(189, 1),
(190, 1),
(191, 1),
(192, 1),
(193, 1),
(194, 1),
(195, 1),
(196, 1),
(197, 1),
(198, 1),
(199, 1),
(200, 1),
(201, 1),
(202, 1),
(203, 1),
(204, 1),
(205, 1),
(206, 1),
(207, 1),
(208, 1),
(209, 1),
(210, 1),
(211, 1),
(212, 1),
(213, 1),
(214, 1),
(215, 1),
(216, 1),
(217, 1),
(218, 1),
(219, 1),
(220, 1),
(221, 1),
(222, 1),
(223, 1),
(224, 1),
(225, 1),
(226, 1),
(227, 1),
(228, 1),
(229, 1),
(230, 1),
(231, 1),
(232, 1),
(233, 1),
(234, 1),
(235, 1),
(236, 1),
(237, 1),
(238, 1),
(239, 1),
(240, 1),
(241, 1),
(242, 1),
(243, 1),
(244, 1),
(245, 1),
(246, 1),
(247, 1),
(248, 1),
(249, 1),
(250, 1),
(251, 1),
(252, 1),
(253, 1),
(254, 1),
(255, 1),
(256, 1),
(257, 1),
(258, 1),
(259, 1),
(260, 1),
(261, 1),
(262, 1),
(263, 1),
(264, 1),
(265, 1),
(266, 1),
(267, 1),
(268, 1),
(269, 1),
(270, 1),
(271, 1),
(272, 1),
(273, 1),
(274, 1),
(275, 1),
(276, 1),
(277, 1),
(278, 1),
(279, 1),
(280, 1),
(281, 1),
(282, 1),
(283, 1),
(284, 1),
(285, 1),
(286, 1),
(287, 1),
(288, 1),
(289, 1),
(290, 1),
(291, 1),
(292, 1),
(293, 1),
(294, 1),
(295, 1),
(296, 1),
(297, 1),
(298, 1),
(299, 1),
(300, 1),
(301, 1),
(302, 1),
(303, 1),
(304, 1),
(305, 1),
(306, 1),
(307, 1),
(308, 1),
(309, 1),
(310, 1),
(311, 1),
(312, 1),
(313, 1),
(314, 1),
(315, 1),
(316, 1),
(317, 1),
(318, 1),
(319, 1),
(320, 1),
(321, 1),
(322, 1),
(323, 1),
(324, 1),
(325, 1),
(326, 1),
(327, 1),
(328, 1),
(329, 1),
(330, 1),
(331, 1),
(332, 1),
(333, 1),
(334, 1),
(335, 1),
(336, 1),
(337, 1),
(338, 1),
(339, 1),
(340, 1),
(341, 1),
(342, 1),
(343, 1),
(344, 1),
(345, 1),
(346, 1),
(347, 1),
(348, 1),
(349, 1),
(350, 1),
(351, 1),
(352, 1),
(353, 1),
(354, 1),
(355, 1),
(356, 1),
(357, 1),
(358, 1),
(359, 1),
(360, 1),
(361, 1),
(362, 1),
(363, 1),
(364, 1),
(365, 1),
(366, 1),
(367, 1),
(368, 1),
(369, 1),
(370, 1),
(371, 1),
(372, 1),
(373, 1),
(374, 1),
(375, 1),
(376, 1),
(377, 1),
(378, 1),
(379, 1),
(380, 1),
(381, 1),
(382, 1),
(383, 1),
(384, 1),
(385, 1),
(386, 1),
(387, 1),
(388, 1),
(389, 1),
(390, 1),
(391, 1),
(392, 1),
(393, 1),
(394, 1),
(395, 1),
(396, 1),
(397, 1),
(398, 1),
(399, 1),
(400, 1),
(401, 1),
(402, 1),
(403, 1),
(404, 1),
(405, 1),
(406, 1),
(407, 1),
(408, 1),
(409, 1),
(410, 1),
(411, 1),
(412, 1),
(413, 1),
(414, 1),
(415, 1),
(416, 1),
(417, 1);      
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(418, 1),
(419, 1),
(420, 1),
(421, 1),
(422, 1),
(423, 1),
(424, 1),
(425, 1),
(426, 1),
(427, 1),
(428, 1),
(429, 1),
(430, 1),
(431, 1),
(432, 1),
(433, 1),
(434, 1),
(435, 1),
(436, 1),
(437, 1),
(438, 1),
(439, 1),
(440, 1),
(441, 1),
(442, 1),
(443, 1),
(444, 1),
(445, 1),
(446, 1),
(447, 1),
(448, 1),
(449, 1),
(450, 1),
(451, 1),
(452, 1),
(453, 1),
(454, 1),
(455, 1),
(456, 1),
(457, 1),
(458, 1),
(459, 1),
(460, 1),
(461, 1),
(462, 1),
(463, 1),
(464, 1),
(465, 1),
(466, 1),
(467, 1),
(468, 1),
(469, 1),
(470, 1),
(471, 1),
(472, 1),
(473, 1),
(474, 1),
(475, 1),
(476, 1),
(477, 1),
(478, 1),
(479, 1),
(480, 1),
(481, 1),
(482, 1),
(483, 1),
(484, 1),
(485, 1),
(486, 1),
(487, 1),
(488, 1),
(489, 1),
(490, 1),
(491, 1),
(492, 1),
(493, 1),
(494, 1),
(495, 1),
(496, 1),
(497, 1),
(498, 1),
(499, 1),
(500, 1),
(501, 1),
(502, 1),
(503, 1),
(504, 1),
(505, 1),
(506, 1),
(507, 1),
(508, 1),
(509, 1),
(510, 1),
(511, 1),
(512, 1),
(513, 1),
(514, 1),
(515, 1),
(516, 1),
(517, 1),
(518, 1),
(519, 1),
(520, 1),
(521, 1),
(522, 1),
(523, 1),
(524, 1),
(525, 1),
(526, 1),
(527, 1),
(528, 1),
(529, 1),
(530, 1),
(531, 1),
(532, 1),
(533, 1),
(534, 1),
(535, 1),
(536, 1),
(537, 1),
(538, 1),
(539, 1),
(540, 1),
(541, 1),
(542, 1),
(543, 1),
(544, 1),
(545, 1),
(546, 1),
(547, 1),
(548, 1),
(549, 1),
(550, 1),
(551, 1),
(552, 1),
(553, 1),
(554, 1),
(555, 1),
(556, 1),
(557, 1),
(558, 1),
(559, 1),
(560, 1),
(561, 1),
(562, 1),
(563, 1),
(564, 1),
(565, 1),
(566, 1),
(567, 1),
(568, 1),
(569, 1),
(570, 1),
(571, 1),
(572, 1),
(573, 1),
(574, 1),
(575, 1),
(576, 1),
(577, 1),
(578, 1),
(579, 1),
(580, 1),
(581, 1),
(582, 1),
(583, 1),
(584, 1),
(585, 1),
(586, 1),
(587, 1),
(588, 1),
(589, 1),
(590, 1),
(591, 1),
(592, 1),
(593, 1),
(594, 1),
(595, 1),
(596, 1),
(597, 1),
(598, 1),
(599, 1),
(600, 1),
(601, 1),
(602, 1),
(603, 1),
(604, 1),
(605, 1),
(606, 1),
(607, 1),
(608, 1),
(609, 1),
(610, 1),
(611, 1),
(612, 1),
(613, 1),
(614, 1),
(615, 1),
(616, 1),
(617, 1),
(618, 1),
(619, 1),
(620, 1),
(621, 1),
(622, 1),
(623, 1),
(624, 1),
(625, 1),
(626, 1),
(627, 1),
(628, 1),
(629, 1),
(630, 1),
(631, 1),
(632, 1),
(633, 1),
(634, 1),
(635, 1),
(636, 1),
(637, 1),
(638, 1),
(639, 1),
(640, 1),
(641, 1),
(642, 1),
(643, 1),
(644, 1),
(645, 1),
(646, 1),
(647, 1),
(648, 1),
(649, 1),
(650, 1),
(651, 1),
(652, 1),
(653, 1),
(654, 1),
(655, 1),
(656, 1),
(657, 1),
(658, 1),
(659, 1),
(660, 1),
(661, 1),
(662, 1),
(663, 1),
(664, 1),
(665, 1),
(666, 1),
(667, 1),
(668, 1),
(669, 1),
(670, 1),
(671, 1),
(672, 1),
(673, 1),
(674, 1),
(675, 1),
(676, 1),
(677, 1),
(678, 1),
(679, 1),
(680, 1),
(681, 1),
(682, 1),
(683, 1),
(684, 1),
(685, 1),
(686, 1),
(687, 1),
(688, 1),
(689, 1),
(690, 1),
(691, 1),
(692, 1),
(693, 1),
(694, 1),
(695, 1),
(696, 1),
(697, 1),
(698, 1),
(699, 1),
(700, 1),
(701, 1),
(702, 1),
(703, 1),
(704, 1),
(705, 1),
(706, 1),
(707, 1),
(708, 1),
(709, 1),
(710, 1),
(711, 1),
(712, 1),
(713, 1),
(714, 1),
(715, 1),
(716, 1),
(717, 1),
(718, 1),
(719, 1),
(720, 1),
(721, 1),
(722, 1),
(723, 1),
(724, 1),
(725, 1),
(726, 1),
(727, 1),
(728, 1),
(729, 1),
(730, 1),
(731, 1),
(732, 1),
(733, 1),
(734, 1),
(735, 1),
(736, 1),
(737, 1),
(738, 1),
(739, 1),
(740, 1),
(741, 1),
(742, 1),
(743, 1),
(744, 1),
(745, 1),
(746, 1),
(747, 1),
(748, 1),
(749, 1),
(750, 1),
(751, 1),
(752, 1),
(753, 1),
(754, 1),
(755, 1),
(756, 1),
(757, 1),
(758, 1),
(759, 1),
(760, 1),
(761, 1),
(762, 1),
(763, 1),
(764, 1),
(765, 1),
(766, 1),
(767, 1),
(768, 1),
(769, 1),
(770, 1),
(771, 1),
(772, 1),
(773, 1),
(774, 1),
(775, 1),
(776, 1),
(777, 1),
(778, 1),
(779, 1),
(780, 1),
(781, 1),
(782, 1),
(783, 1),
(784, 1),
(785, 1),
(786, 1),
(787, 1),
(788, 1),
(789, 1),
(790, 1),
(791, 1),
(792, 1),
(793, 1),
(794, 1),
(795, 1),
(796, 1),
(797, 1),
(798, 1),
(799, 1),
(800, 1),
(801, 1),
(802, 1),
(803, 1),
(804, 1),
(805, 1),
(806, 1),
(807, 1),
(808, 1),
(809, 1),
(810, 1),
(811, 1),
(812, 1),
(813, 1),
(814, 1),
(815, 1),
(816, 1),
(817, 1),
(818, 1),
(819, 1),
(820, 1),
(821, 1),
(822, 1),
(823, 1);        
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(824, 1),
(825, 1),
(826, 1),
(827, 1),
(828, 1),
(829, 1),
(830, 1),
(831, 1),
(832, 1),
(833, 1),
(834, 1),
(835, 1),
(836, 1),
(837, 1),
(838, 1),
(839, 1),
(840, 1),
(841, 1),
(842, 1),
(843, 1),
(844, 1),
(845, 1),
(846, 1),
(847, 1),
(848, 1),
(849, 1),
(850, 1),
(851, 1),
(852, 1),
(853, 1),
(854, 1),
(855, 1),
(856, 1),
(857, 1),
(858, 1),
(859, 1),
(860, 1),
(861, 1),
(862, 1),
(863, 1),
(864, 1),
(865, 1),
(866, 1),
(867, 1),
(868, 1),
(869, 1),
(870, 1),
(871, 1),
(872, 1),
(873, 1),
(874, 1),
(875, 1),
(876, 1),
(877, 1),
(878, 1),
(879, 1),
(880, 1),
(881, 1),
(882, 1),
(883, 1),
(884, 1),
(885, 1),
(886, 1),
(887, 1),
(888, 1),
(889, 1),
(890, 1),
(891, 1),
(892, 1),
(893, 1),
(894, 1),
(895, 1),
(896, 1),
(897, 1),
(898, 1),
(899, 1),
(900, 1),
(901, 1),
(902, 1),
(903, 1),
(904, 1),
(905, 1),
(906, 1),
(907, 1),
(908, 1),
(909, 1),
(910, 1),
(911, 1),
(912, 1),
(913, 1),
(914, 1),
(915, 1),
(916, 1),
(917, 1),
(918, 1),
(919, 1),
(920, 1),
(921, 1),
(922, 1),
(923, 1),
(924, 1),
(925, 1),
(926, 1),
(927, 1),
(928, 1),
(929, 1),
(930, 1),
(931, 1),
(932, 1),
(933, 1),
(934, 1),
(935, 1),
(936, 1),
(937, 1),
(938, 1),
(939, 1),
(940, 1),
(941, 1),
(942, 1),
(943, 1),
(944, 1),
(945, 1),
(946, 1),
(947, 1),
(948, 1),
(949, 1),
(950, 1),
(951, 1),
(952, 1),
(953, 1),
(954, 1),
(955, 1),
(956, 1),
(957, 1),
(958, 1),
(959, 1),
(960, 1),
(961, 1),
(962, 1),
(963, 1),
(964, 1),
(965, 1),
(966, 1),
(967, 1),
(968, 1),
(969, 1),
(970, 1),
(971, 1),
(972, 1),
(973, 1),
(974, 1),
(975, 1),
(976, 1),
(977, 1),
(978, 1),
(979, 1),
(980, 1),
(981, 1),
(982, 1),
(983, 1),
(984, 1),
(985, 1),
(986, 1),
(987, 1),
(988, 1),
(989, 1),
(990, 1),
(991, 1),
(992, 1),
(993, 1),
(994, 1),
(995, 1),
(996, 1),
(997, 1),
(998, 1),
(999, 1),
(1000, 1),
(1001, 1),
(1002, 1),
(1003, 1),
(1004, 1),
(1005, 1),
(1006, 1),
(1007, 1),
(1008, 1),
(1009, 1),
(1010, 1),
(1011, 1),
(1012, 1),
(1013, 1),
(1014, 1),
(1015, 1),
(1016, 1),
(1017, 1),
(1018, 1),
(1019, 1),
(1020, 1),
(1021, 1),
(1022, 1),
(1023, 1),
(1024, 1),
(1025, 1),
(1026, 1),
(1027, 1),
(1028, 1),
(1029, 1),
(1030, 1),
(1031, 1),
(1032, 1),
(1033, 1),
(1034, 1),
(1035, 1),
(1036, 1),
(1037, 1),
(1038, 1),
(1039, 1),
(1040, 1),
(1041, 1),
(1042, 1),
(1043, 1),
(1044, 1),
(1045, 1),
(1046, 1),
(1047, 1),
(1048, 1),
(1049, 1),
(1050, 1),
(1051, 1),
(1052, 1),
(1053, 1),
(1054, 1),
(1055, 1),
(1056, 1),
(1057, 1),
(1058, 1),
(1059, 1),
(1060, 1),
(1061, 1),
(1062, 1),
(1063, 1),
(1064, 1),
(1065, 1),
(1066, 1),
(1067, 1),
(1068, 1),
(1069, 1),
(1070, 1),
(1071, 1),
(1072, 1),
(1073, 1),
(1074, 1),
(1075, 1),
(1076, 1),
(1077, 1),
(1078, 1),
(1079, 1),
(1080, 1),
(1081, 1),
(1082, 1),
(1083, 1),
(1084, 1),
(1085, 1),
(1086, 1),
(1087, 1),
(1088, 1),
(1089, 1),
(1090, 1),
(1091, 1),
(1092, 1),
(1093, 1),
(1094, 1),
(1095, 1),
(1096, 1),
(1097, 1),
(1098, 1),
(1099, 1),
(1100, 1),
(1101, 1),
(1102, 1),
(1103, 1),
(1104, 1),
(1105, 1),
(1106, 1),
(1107, 1),
(1108, 1),
(1109, 1),
(1110, 1),
(1111, 1),
(1112, 1),
(1113, 1),
(1114, 1),
(1115, 1),
(1116, 1),
(1117, 1),
(1118, 1),
(1119, 1),
(1120, 1),
(1121, 1),
(1122, 1),
(1123, 1),
(1124, 1),
(1125, 1),
(1126, 1),
(1127, 1),
(1128, 1),
(1129, 1),
(1130, 1),
(1131, 1),
(1132, 1),
(1133, 1),
(1134, 1),
(1135, 1),
(1136, 1),
(1137, 1),
(1138, 1),
(1139, 1),
(1140, 1),
(1141, 1),
(1142, 1),
(1143, 1),
(1144, 1),
(1145, 1),
(1146, 1),
(1147, 1),
(1148, 1),
(1149, 1),
(1150, 1),
(1151, 1),
(1152, 1),
(1153, 1),
(1154, 1),
(1155, 1),
(1156, 1),
(1157, 1),
(1158, 1),
(1159, 1),
(1160, 1),
(1161, 1),
(1162, 1),
(1163, 1),
(1164, 1),
(1165, 1),
(1166, 1),
(1167, 1),
(1168, 1),
(1169, 1),
(1170, 1),
(1171, 1),
(1172, 1),
(1173, 1),
(1174, 1),
(1175, 1),
(1176, 1),
(1177, 1),
(1178, 1),
(1179, 1),
(1180, 1),
(1181, 1),
(1182, 1),
(1183, 1),
(1184, 1),
(1185, 1),
(1186, 1),
(1187, 1),
(1188, 1),
(1189, 1),
(1190, 1),
(1191, 1),
(1192, 1),
(1193, 1),
(1194, 1),
(1195, 1),
(1196, 1),
(1197, 1),
(1198, 1),
(1199, 1),
(1200, 1),
(1201, 1),
(1202, 1),
(1203, 1),
(1204, 1),
(1205, 1),
(1206, 1),
(1207, 1),
(1208, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(1209, 1),
(1210, 1),
(1211, 1),
(1212, 1),
(1213, 1),
(1214, 1),
(1215, 1),
(1216, 1),
(1217, 1),
(1218, 1),
(1219, 1),
(1220, 1),
(1221, 1),
(1222, 1),
(1223, 1),
(1224, 1),
(1225, 1),
(1226, 1),
(1227, 1),
(1228, 1),
(1229, 1),
(1230, 1),
(1231, 1),
(1232, 1),
(1233, 1),
(1234, 1),
(1235, 1),
(1236, 1),
(1237, 1),
(1238, 1),
(1239, 1),
(1240, 1),
(1241, 1),
(1242, 1),
(1243, 1),
(1244, 1),
(1245, 1),
(1246, 1),
(1247, 1),
(1248, 1),
(1249, 1),
(1250, 1),
(1251, 1),
(1252, 1),
(1253, 1),
(1254, 1),
(1255, 1),
(1256, 1),
(1257, 1),
(1258, 1),
(1259, 1),
(1260, 1),
(1261, 1),
(1262, 1),
(1263, 1),
(1264, 1),
(1265, 1),
(1266, 1),
(1267, 1),
(1268, 1),
(1269, 1),
(1270, 1),
(1271, 1),
(1272, 1),
(1273, 1),
(1274, 1),
(1275, 1),
(1276, 1),
(1277, 1),
(1278, 1),
(1279, 1),
(1280, 1),
(1281, 1),
(1282, 1),
(1283, 1),
(1284, 1),
(1285, 1),
(1286, 1),
(1287, 1),
(1288, 1),
(1289, 1),
(1290, 1),
(1291, 1),
(1292, 1),
(1293, 1),
(1294, 1),
(1295, 1),
(1296, 1),
(1297, 1),
(1298, 1),
(1299, 1),
(1300, 1),
(1301, 1),
(1302, 1),
(1303, 1),
(1304, 1),
(1305, 1),
(1306, 1),
(1307, 1),
(1308, 1),
(1309, 1),
(1310, 1),
(1311, 1),
(1312, 1),
(1313, 1),
(1314, 1),
(1315, 1),
(1316, 1),
(1317, 1),
(1318, 1),
(1319, 1),
(1320, 1),
(1321, 1),
(1322, 1),
(1323, 1),
(1324, 1),
(1325, 1),
(1326, 1),
(1327, 1),
(1328, 1),
(1329, 1),
(1330, 1),
(1331, 1),
(1332, 1),
(1333, 1),
(1334, 1),
(1335, 1),
(1336, 1),
(1337, 1),
(1338, 1),
(1339, 1),
(1340, 1),
(1341, 1),
(1342, 1),
(1343, 1),
(1344, 1),
(1345, 1),
(1346, 1),
(1347, 1),
(1348, 1),
(1349, 1),
(1350, 1),
(1351, 1),
(1352, 1),
(1353, 1),
(1354, 1),
(1355, 1),
(1356, 1),
(1357, 1),
(1358, 1),
(1359, 1),
(1360, 1),
(1361, 1),
(1362, 1),
(1363, 1),
(1364, 1),
(1365, 1),
(1366, 1),
(1367, 1),
(1368, 1),
(1369, 1),
(1370, 1),
(1371, 1),
(1372, 1),
(1373, 1),
(1374, 1),
(1375, 1),
(1376, 1),
(1377, 1),
(1378, 1),
(1379, 1),
(1380, 1),
(1381, 1),
(1382, 1),
(1383, 1),
(1384, 1),
(1385, 1),
(1386, 1),
(1387, 1),
(1388, 1),
(1389, 1),
(1390, 1),
(1391, 1),
(1392, 1),
(1393, 1),
(1394, 1),
(1395, 1),
(1396, 1),
(1397, 1),
(1398, 1),
(1399, 1),
(1400, 1),
(1401, 1),
(1402, 1),
(1403, 1),
(1404, 1),
(1405, 1),
(1406, 1),
(1407, 1),
(1408, 1),
(1409, 1),
(1410, 1),
(1411, 1),
(1412, 1),
(1413, 1),
(1414, 1),
(1415, 1),
(1416, 1),
(1417, 1),
(1418, 1),
(1419, 1),
(1420, 1),
(1421, 1),
(1422, 1),
(1423, 1),
(1424, 1),
(1425, 1),
(1426, 1),
(1427, 1),
(1428, 1),
(1429, 1),
(1430, 1),
(1431, 1),
(1432, 1),
(1433, 1),
(1434, 1),
(1435, 1),
(1436, 1),
(1437, 1),
(1438, 1),
(1439, 1),
(1440, 1),
(1441, 1),
(1442, 1),
(1443, 1),
(1444, 1),
(1445, 1),
(1446, 1),
(1447, 1),
(1448, 1),
(1449, 1),
(1450, 1),
(1451, 1),
(1452, 1),
(1453, 1),
(1454, 1),
(1455, 1),
(1456, 1),
(1457, 1),
(1458, 1),
(1459, 1),
(1460, 1),
(1461, 1),
(1462, 1),
(1463, 1),
(1464, 1),
(1465, 1),
(1466, 1),
(1467, 1),
(1468, 1),
(1469, 1),
(1470, 1),
(1471, 1),
(1472, 1),
(1473, 1),
(1474, 1),
(1475, 1),
(1476, 1),
(1477, 1),
(1478, 1),
(1479, 1),
(1480, 1),
(1481, 1),
(1482, 1),
(1483, 1),
(1484, 1),
(1485, 1),
(1486, 1),
(1487, 1),
(1488, 1),
(1489, 1),
(1490, 1),
(1491, 1),
(1492, 1),
(1493, 1),
(1494, 1),
(1495, 1),
(1496, 1),
(1497, 1),
(1498, 1),
(1499, 1),
(1500, 1),
(1501, 1),
(1502, 1),
(1503, 1),
(1504, 1),
(1505, 1),
(1506, 1),
(1507, 1),
(1508, 1),
(1509, 1),
(1510, 1),
(1511, 1),
(1512, 1),
(1513, 1),
(1514, 1),
(1515, 1),
(1516, 1),
(1517, 1),
(1518, 1),
(1519, 1),
(1520, 1),
(1521, 1),
(1522, 1),
(1523, 1),
(1524, 1),
(1525, 1),
(1526, 1),
(1527, 1),
(1528, 1),
(1529, 1),
(1530, 1),
(1531, 1),
(1532, 1),
(1533, 1),
(1534, 1),
(1535, 1),
(1536, 1),
(1537, 1),
(1538, 1),
(1539, 1),
(1540, 1),
(1541, 1),
(1542, 1),
(1543, 1),
(1544, 1),
(1545, 1),
(1546, 1),
(1547, 1),
(1548, 1),
(1549, 1),
(1550, 1),
(1551, 1),
(1552, 1),
(1553, 1),
(1554, 1),
(1555, 1),
(1556, 1),
(1557, 1),
(1558, 1),
(1559, 1),
(1560, 1),
(1561, 1),
(1562, 1),
(1563, 1),
(1564, 1),
(1565, 1),
(1566, 1),
(1567, 1),
(1568, 1),
(1569, 1),
(1570, 1),
(1571, 1),
(1572, 1),
(1573, 1),
(1574, 1),
(1575, 1),
(1576, 1),
(1577, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(1578, 1),
(1579, 1),
(1580, 1),
(1581, 1),
(1582, 1),
(1583, 1),
(1584, 1),
(1585, 1),
(1586, 1),
(1587, 1),
(1588, 1),
(1589, 1),
(1590, 1),
(1591, 1),
(1592, 1),
(1593, 1),
(1594, 1),
(1595, 1),
(1596, 1),
(1597, 1),
(1598, 1),
(1599, 1),
(1600, 1),
(1601, 1),
(1602, 1),
(1603, 1),
(1604, 1),
(1605, 1),
(1606, 1),
(1607, 1),
(1608, 1),
(1609, 1),
(1610, 1),
(1611, 1),
(1612, 1),
(1613, 1),
(1614, 1),
(1615, 1),
(1616, 1),
(1617, 1),
(1618, 1),
(1619, 1),
(1620, 1),
(1621, 1),
(1622, 1),
(1623, 1),
(1624, 1),
(1625, 1),
(1626, 1),
(1627, 1),
(1628, 1),
(1629, 1),
(1630, 1),
(1631, 1),
(1632, 1),
(1633, 1),
(1634, 1),
(1635, 1),
(1636, 1),
(1637, 1),
(1638, 1),
(1639, 1),
(1640, 1),
(1641, 1),
(1642, 1),
(1643, 1),
(1644, 1),
(1645, 1),
(1646, 1),
(1647, 1),
(1648, 1),
(1649, 1),
(1650, 1),
(1651, 1),
(1652, 1),
(1653, 1),
(1654, 1),
(1655, 1),
(1656, 1),
(1657, 1),
(1658, 1),
(1659, 1),
(1660, 1),
(1661, 1),
(1662, 1),
(1663, 1),
(1664, 1),
(1665, 1),
(1666, 1),
(1667, 1),
(1668, 1),
(1669, 1),
(1670, 1),
(1671, 1),
(1672, 1),
(1673, 1),
(1674, 1),
(1675, 1),
(1676, 1),
(1677, 1),
(1678, 1),
(1679, 1),
(1680, 1),
(1681, 1),
(1682, 1),
(1683, 1),
(1684, 1),
(1685, 1),
(1686, 1),
(1687, 1),
(1688, 1),
(1689, 1),
(1690, 1),
(1691, 1),
(1692, 1),
(1693, 1),
(1694, 1),
(1695, 1),
(1696, 1),
(1697, 1),
(1698, 1),
(1699, 1),
(1700, 1),
(1701, 1),
(1702, 1),
(1703, 1),
(1704, 1),
(1705, 1),
(1706, 1),
(1707, 1),
(1708, 1),
(1709, 1),
(1710, 1),
(1711, 1),
(1712, 1),
(1713, 1),
(1714, 1),
(1715, 1),
(1716, 1),
(1717, 1),
(1718, 1),
(1719, 1),
(1720, 1),
(1721, 1),
(1722, 1),
(1723, 1),
(1724, 1),
(1725, 1),
(1726, 1),
(1727, 1),
(1728, 1),
(1729, 1),
(1730, 1),
(1731, 1),
(1732, 1),
(1733, 1),
(1734, 1),
(1735, 1),
(1736, 1),
(1737, 1),
(1738, 1),
(1739, 1),
(1740, 1),
(1741, 1),
(1742, 1),
(1743, 1),
(1744, 1),
(1745, 1),
(1746, 1),
(1747, 1),
(1748, 1),
(1749, 1),
(1750, 1),
(1751, 1),
(1752, 1),
(1753, 1),
(1754, 1),
(1755, 1),
(1756, 1),
(1757, 1),
(1758, 1),
(1759, 1),
(1760, 1),
(1761, 1),
(1762, 1),
(1763, 1),
(1764, 1),
(1765, 1),
(1766, 1),
(1767, 1),
(1768, 1),
(1769, 1),
(1770, 1),
(1771, 1),
(1772, 1),
(1773, 1),
(1774, 1),
(1775, 1),
(1776, 1),
(1777, 1),
(1778, 1),
(1779, 1),
(1780, 1),
(1781, 1),
(1782, 1),
(1783, 1),
(1784, 1),
(1785, 1),
(1786, 1),
(1787, 1),
(1788, 1),
(1789, 1),
(1790, 1),
(1791, 1),
(1792, 1),
(1793, 1),
(1794, 1),
(1795, 1),
(1796, 1),
(1797, 1),
(1798, 1),
(1799, 1),
(1800, 1),
(1801, 1),
(1802, 1),
(1803, 1),
(1804, 1),
(1805, 1),
(1806, 1),
(1807, 1),
(1808, 1),
(1809, 1),
(1810, 1),
(1811, 1),
(1812, 1),
(1813, 1),
(1814, 1),
(1815, 1),
(1816, 1),
(1817, 1),
(1818, 1),
(1819, 1),
(1820, 1),
(1821, 1),
(1822, 1),
(1823, 1),
(1824, 1),
(1825, 1),
(1826, 1),
(1827, 1),
(1828, 1),
(1829, 1),
(1830, 1),
(1831, 1),
(1832, 1),
(1833, 1),
(1834, 1),
(1835, 1),
(1836, 1),
(1837, 1),
(1838, 1),
(1839, 1),
(1840, 1),
(1841, 1),
(1842, 1),
(1843, 1),
(1844, 1),
(1845, 1),
(1846, 1),
(1847, 1),
(1848, 1),
(1849, 1),
(1850, 1),
(1851, 1),
(1852, 1),
(1853, 1),
(1854, 1),
(1855, 1),
(1856, 1),
(1857, 1),
(1858, 1),
(1859, 1),
(1860, 1),
(1861, 1),
(1862, 1),
(1863, 1),
(1864, 1),
(1865, 1),
(1866, 1),
(1867, 1),
(1868, 1),
(1869, 1),
(1870, 1),
(1871, 1),
(1872, 1),
(1873, 1),
(1874, 1),
(1875, 1),
(1876, 1),
(1877, 1),
(1878, 1),
(1879, 1),
(1880, 1),
(1881, 1),
(1882, 1),
(1883, 1),
(1884, 1),
(1885, 1),
(1886, 1),
(1887, 1),
(1888, 1),
(1889, 1),
(1890, 1),
(1891, 1),
(1892, 1),
(1893, 1),
(1894, 1),
(1895, 1),
(1896, 1),
(1897, 1),
(1898, 1),
(1899, 1),
(1900, 1),
(1901, 1),
(1902, 1),
(1903, 1),
(1904, 1),
(1905, 1),
(1906, 1),
(1907, 1),
(1908, 1),
(1909, 1),
(1910, 1),
(1911, 1),
(1912, 1),
(1913, 1),
(1914, 1),
(1915, 1),
(1916, 1),
(1917, 1),
(1918, 1),
(1919, 1),
(1920, 1),
(1921, 1),
(1922, 1),
(1923, 1),
(1924, 1),
(1925, 1),
(1926, 1),
(1927, 1),
(1928, 1),
(1929, 1),
(1930, 1),
(1931, 1),
(1932, 1),
(1933, 1),
(1934, 1),
(1935, 1),
(1936, 1),
(1937, 1),
(1938, 1),
(1939, 1),
(1940, 1),
(1941, 1),
(1942, 1),
(1943, 1),
(1944, 1),
(1945, 1),
(1946, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(1947, 1),
(1948, 1),
(1949, 1),
(1950, 1),
(1951, 1),
(1952, 1),
(1953, 1),
(1954, 1),
(1955, 1),
(1956, 1),
(1957, 1),
(1958, 1),
(1959, 1),
(1960, 1),
(1961, 1),
(1962, 1),
(1963, 1),
(1964, 1),
(1965, 1),
(1966, 1),
(1967, 1),
(1968, 1),
(1969, 1),
(1970, 1),
(1971, 1),
(1972, 1),
(1973, 1),
(1974, 1),
(1975, 1),
(1976, 1),
(1977, 1),
(1978, 1),
(1979, 1),
(1980, 1),
(1981, 1),
(1982, 1),
(1983, 1),
(1984, 1),
(1985, 1),
(1986, 1),
(1987, 1),
(1988, 1),
(1989, 1),
(1990, 1),
(1991, 1),
(1992, 1),
(1993, 1),
(1994, 1),
(1995, 1),
(1996, 1),
(1997, 1),
(1998, 1),
(1999, 1),
(2000, 1),
(2001, 1),
(2002, 1),
(2003, 1),
(2004, 1),
(2005, 1),
(2006, 1),
(2007, 1),
(2008, 1),
(2009, 1),
(2010, 1),
(2011, 1),
(2012, 1),
(2013, 1),
(2014, 1),
(2015, 1),
(2016, 1),
(2017, 1),
(2018, 1),
(2019, 1),
(2020, 1),
(2021, 1),
(2022, 1),
(2023, 1),
(2024, 1),
(2025, 1),
(2026, 1),
(2027, 1),
(2028, 1),
(2029, 1),
(2030, 1),
(2031, 1),
(2032, 1),
(2033, 1),
(2034, 1),
(2035, 1),
(2036, 1),
(2037, 1),
(2038, 1),
(2039, 1),
(2040, 1),
(2041, 1),
(2042, 1),
(2043, 1),
(2044, 1),
(2045, 1),
(2046, 1),
(2047, 1),
(2048, 1),
(2049, 1),
(2050, 1),
(2051, 1),
(2052, 1),
(2053, 1),
(2054, 1),
(2055, 1),
(2056, 1),
(2057, 1),
(2058, 1),
(2059, 1),
(2060, 1),
(2061, 1),
(2062, 1),
(2063, 1),
(2064, 1),
(2065, 1),
(2066, 1),
(2067, 1),
(2068, 1),
(2069, 1),
(2070, 1),
(2071, 1),
(2072, 1),
(2073, 1),
(2074, 1),
(2075, 1),
(2076, 1),
(2077, 1),
(2078, 1),
(2079, 1),
(2080, 1),
(2081, 1),
(2082, 1),
(2083, 1),
(2084, 1),
(2085, 1),
(2086, 1),
(2087, 1),
(2088, 1),
(2089, 1),
(2090, 1),
(2091, 1),
(2092, 1),
(2093, 1),
(2094, 1),
(2095, 1),
(2096, 1),
(2097, 1),
(2098, 1),
(2099, 1),
(2100, 1),
(2101, 1),
(2102, 1),
(2103, 1),
(2104, 1),
(2105, 1),
(2106, 1),
(2107, 1),
(2108, 1),
(2109, 1),
(2110, 1),
(2111, 1),
(2112, 1),
(2113, 1),
(2114, 1),
(2115, 1),
(2116, 1),
(2117, 1),
(2118, 1),
(2119, 1),
(2120, 1),
(2121, 1),
(2122, 1),
(2123, 1),
(2124, 1),
(2125, 1),
(2126, 1),
(2127, 1),
(2128, 1),
(2129, 1),
(2130, 1),
(2131, 1),
(2132, 1),
(2133, 1),
(2134, 1),
(2135, 1),
(2136, 1),
(2137, 1),
(2138, 1),
(2139, 1),
(2140, 1),
(2141, 1),
(2142, 1),
(2143, 1),
(2144, 1),
(2145, 1),
(2146, 1),
(2147, 1),
(2148, 1),
(2149, 1),
(2150, 1),
(2151, 1),
(2152, 1),
(2153, 1),
(2154, 1),
(2155, 1),
(2156, 1),
(2157, 1),
(2158, 1),
(2159, 1),
(2160, 1),
(2161, 1),
(2162, 1),
(2163, 1),
(2164, 1),
(2165, 1),
(2166, 1),
(2167, 1),
(2168, 1),
(2169, 1),
(2170, 1),
(2171, 1),
(2172, 1),
(2173, 1),
(2174, 1),
(2175, 1),
(2176, 1),
(2177, 1),
(2178, 1),
(2179, 1),
(2180, 1),
(2181, 1),
(2182, 1),
(2183, 1),
(2184, 1),
(2185, 1),
(2186, 1),
(2187, 1),
(2188, 1),
(2189, 1),
(2190, 1),
(2191, 1),
(2192, 1),
(2193, 1),
(2194, 1),
(2195, 1),
(2196, 1),
(2197, 1),
(2198, 1),
(2199, 1),
(2200, 1),
(2201, 1),
(2202, 1),
(2203, 1),
(2204, 1),
(2205, 1),
(2206, 1),
(2207, 1),
(2208, 1),
(2209, 1),
(2210, 1),
(2211, 1),
(2212, 1),
(2213, 1),
(2214, 1),
(2215, 1),
(2216, 1),
(2217, 1),
(2218, 1),
(2219, 1),
(2220, 1),
(2221, 1),
(2222, 1),
(2223, 1),
(2224, 1),
(2225, 1),
(2226, 1),
(2227, 1),
(2228, 1),
(2229, 1),
(2230, 1),
(2231, 1),
(2232, 1),
(2233, 1),
(2234, 1),
(2235, 1),
(2236, 1),
(2237, 1),
(2238, 1),
(2239, 1),
(2240, 1),
(2241, 1),
(2242, 1),
(2243, 1),
(2244, 1),
(2245, 1),
(2246, 1),
(2247, 1),
(2248, 1),
(2249, 1),
(2250, 1),
(2251, 1),
(2252, 1),
(2253, 1),
(2254, 1),
(2255, 1),
(2256, 1),
(2257, 1),
(2258, 1),
(2259, 1),
(2260, 1),
(2261, 1),
(2262, 1),
(2263, 1),
(2264, 1),
(2265, 1),
(2266, 1),
(2267, 1),
(2268, 1),
(2269, 1),
(2270, 1),
(2271, 1),
(2272, 1),
(2273, 1),
(2274, 1),
(2275, 1),
(2276, 1),
(2277, 1),
(2278, 1),
(2279, 1),
(2280, 1),
(2281, 1),
(2282, 1),
(2283, 1),
(2284, 1),
(2285, 1),
(2286, 1),
(2287, 1),
(2288, 1),
(2289, 1),
(2290, 1),
(2291, 1),
(2292, 1),
(2293, 1),
(2294, 1),
(2295, 1),
(2296, 1),
(2297, 1),
(2298, 1),
(2299, 1),
(2300, 1),
(2301, 1),
(2302, 1),
(2303, 1),
(2304, 1),
(2305, 1),
(2306, 1),
(2307, 1),
(2308, 1),
(2309, 1),
(2310, 1),
(2311, 1),
(2312, 1),
(2313, 1),
(2314, 1),
(2315, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(2316, 1),
(2317, 1),
(2318, 1),
(2319, 1),
(2320, 1),
(2321, 1),
(2322, 1),
(2323, 1),
(2324, 1),
(2325, 1),
(2326, 1),
(2327, 1),
(2328, 1),
(2329, 1),
(2330, 1),
(2331, 1),
(2332, 1),
(2333, 1),
(2334, 1),
(2335, 1),
(2336, 1),
(2337, 1),
(2338, 1),
(2339, 1),
(2340, 1),
(2341, 1),
(2342, 1),
(2343, 1),
(2344, 1),
(2345, 1),
(2346, 1),
(2347, 1),
(2348, 1),
(2349, 1),
(2350, 1),
(2351, 1),
(2352, 1),
(2353, 1),
(2354, 1),
(2355, 1),
(2356, 1),
(2357, 1),
(2358, 1),
(2359, 1),
(2360, 1),
(2361, 1),
(2362, 1),
(2363, 1),
(2364, 1),
(2365, 1),
(2366, 1),
(2367, 1),
(2368, 1),
(2369, 1),
(2370, 1),
(2371, 1),
(2372, 1),
(2373, 1),
(2374, 1),
(2375, 1),
(2376, 1),
(2377, 1),
(2378, 1),
(2379, 1),
(2380, 1),
(2381, 1),
(2382, 1),
(2383, 1),
(2384, 1),
(2385, 1),
(2386, 1),
(2387, 1),
(2388, 1),
(2389, 1),
(2390, 1),
(2391, 1),
(2392, 1),
(2393, 1),
(2394, 1),
(2395, 1),
(2396, 1),
(2397, 1),
(2398, 1),
(2399, 1),
(2400, 1),
(2401, 1),
(2402, 1),
(2403, 1),
(2404, 1),
(2405, 1),
(2406, 1),
(2407, 1),
(2408, 1),
(2409, 1),
(2410, 1),
(2411, 1),
(2412, 1),
(2413, 1),
(2414, 1),
(2415, 1),
(2416, 1),
(2417, 1),
(2418, 1),
(2419, 1),
(2420, 1),
(2421, 1),
(2422, 1),
(2423, 1),
(2424, 1),
(2425, 1),
(2426, 1),
(2427, 1),
(2428, 1),
(2429, 1),
(2430, 1),
(2431, 1),
(2432, 1),
(2433, 1),
(2434, 1),
(2435, 1),
(2436, 1),
(2437, 1),
(2438, 1),
(2439, 1),
(2440, 1),
(2441, 1),
(2442, 1),
(2443, 1),
(2444, 1),
(2445, 1),
(2446, 1),
(2447, 1),
(2448, 1),
(2449, 1),
(2450, 1),
(2451, 1),
(2452, 1),
(2453, 1),
(2454, 1),
(2455, 1),
(2456, 1),
(2457, 1),
(2458, 1),
(2459, 1),
(2460, 1),
(2461, 1),
(2462, 1),
(2463, 1),
(2464, 1),
(2465, 1),
(2466, 1),
(2467, 1),
(2468, 1),
(2469, 1),
(2470, 1),
(2471, 1),
(2472, 1),
(2473, 1),
(2474, 1),
(2475, 1),
(2476, 1),
(2477, 1),
(2478, 1),
(2479, 1),
(2480, 1),
(2481, 1),
(2482, 1),
(2483, 1),
(2484, 1),
(2485, 1),
(2486, 1),
(2487, 1),
(2488, 1),
(2489, 1),
(2490, 1),
(2491, 1),
(2492, 1),
(2493, 1),
(2494, 1),
(2495, 1),
(2496, 1),
(2497, 1),
(2498, 1),
(2499, 1),
(2500, 1),
(2501, 1),
(2502, 1),
(2503, 1),
(2504, 1),
(2505, 1),
(2506, 1),
(2507, 1),
(2508, 1),
(2509, 1),
(2510, 1),
(2511, 1),
(2512, 1),
(2513, 1),
(2514, 1),
(2515, 1),
(2516, 1),
(2517, 1),
(2518, 1),
(2519, 1),
(2520, 1),
(2521, 1),
(2522, 1),
(2523, 1),
(2524, 1),
(2525, 1),
(2526, 1),
(2527, 1),
(2528, 1),
(2529, 1),
(2530, 1),
(2531, 1),
(2532, 1),
(2533, 1),
(2534, 1),
(2535, 1),
(2536, 1),
(2537, 1),
(2538, 1),
(2539, 1),
(2540, 1),
(2541, 1),
(2542, 1),
(2543, 1),
(2544, 1),
(2545, 1),
(2546, 1),
(2547, 1),
(2548, 1),
(2549, 1),
(2550, 1),
(2551, 1),
(2552, 1),
(2553, 1),
(2554, 1),
(2555, 1),
(2556, 1),
(2557, 1),
(2558, 1),
(2559, 1),
(2560, 1),
(2561, 1),
(2562, 1),
(2563, 1),
(2564, 1),
(2565, 1),
(2566, 1),
(2567, 1),
(2568, 1),
(2569, 1),
(2570, 1),
(2571, 1),
(2572, 1),
(2573, 1),
(2574, 1),
(2575, 1),
(2576, 1),
(2577, 1),
(2578, 1),
(2579, 1),
(2580, 1),
(2581, 1),
(2582, 1),
(2583, 1),
(2584, 1),
(2585, 1),
(2586, 1),
(2587, 1),
(2588, 1),
(2589, 1),
(2590, 1),
(2591, 1),
(2592, 1),
(2593, 1),
(2594, 1),
(2595, 1),
(2596, 1),
(2597, 1),
(2598, 1),
(2599, 1),
(2600, 1),
(2601, 1),
(2602, 1),
(2603, 1),
(2604, 1),
(2605, 1),
(2606, 1),
(2607, 1),
(2608, 1),
(2609, 1),
(2610, 1),
(2611, 1),
(2612, 1),
(2613, 1),
(2614, 1),
(2615, 1),
(2616, 1),
(2617, 1),
(2618, 1),
(2619, 1),
(2620, 1),
(2621, 1),
(2622, 1),
(2623, 1),
(2624, 1),
(2625, 1),
(2626, 1),
(2627, 1),
(2628, 1),
(2629, 1),
(2630, 1),
(2631, 1),
(2632, 1),
(2633, 1),
(2634, 1),
(2635, 1),
(2636, 1),
(2637, 1),
(2638, 1),
(2639, 1),
(2640, 1),
(2641, 1),
(2642, 1),
(2643, 1),
(2644, 1),
(2645, 1),
(2646, 1),
(2647, 1),
(2648, 1),
(2649, 1),
(2650, 1),
(2651, 1),
(2652, 1),
(2653, 1),
(2654, 1),
(2655, 1),
(2656, 1),
(2657, 1),
(2658, 1),
(2659, 1),
(2660, 1),
(2661, 1),
(2662, 1),
(2663, 1),
(2664, 1),
(2665, 1),
(2666, 1),
(2667, 1),
(2668, 1),
(2669, 1),
(2670, 1),
(2671, 1),
(2672, 1),
(2673, 1),
(2674, 1),
(2675, 1),
(2676, 1),
(2677, 1),
(2678, 1),
(2679, 1),
(2680, 1),
(2681, 1),
(2682, 1),
(2683, 1),
(2684, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(2685, 1),
(2686, 1),
(2687, 1),
(2688, 1),
(2689, 1),
(2690, 1),
(2691, 1),
(2692, 1),
(2693, 1),
(2694, 1),
(2695, 1),
(2696, 1),
(2697, 1),
(2698, 1),
(2699, 1),
(2700, 1),
(2701, 1),
(2702, 1),
(2703, 1),
(2704, 1),
(2705, 1),
(2706, 1),
(2707, 1),
(2708, 1),
(2709, 1),
(2710, 1),
(2711, 1),
(2712, 1),
(2713, 1),
(2714, 1),
(2715, 1),
(2716, 1),
(2717, 1),
(2718, 1),
(2719, 1),
(2720, 1),
(2721, 1),
(2722, 1),
(2723, 1),
(2724, 1),
(2725, 1),
(2726, 1),
(2727, 1),
(2728, 1),
(2729, 1),
(2730, 1),
(2731, 1),
(2732, 1),
(2733, 1),
(2734, 1),
(2735, 1),
(2736, 1),
(2737, 1),
(2738, 1),
(2739, 1),
(2740, 1),
(2741, 1),
(2742, 1),
(2743, 1),
(2744, 1),
(2745, 1),
(2746, 1),
(2747, 1),
(2748, 1),
(2749, 1),
(2750, 1),
(2751, 1),
(2752, 1),
(2753, 1),
(2754, 1),
(2755, 1),
(2756, 1),
(2757, 1),
(2758, 1),
(2759, 1),
(2760, 1),
(2761, 1),
(2762, 1),
(2763, 1),
(2764, 1),
(2765, 1),
(2766, 1),
(2767, 1),
(2768, 1),
(2769, 1),
(2770, 1),
(2771, 1),
(2772, 1),
(2773, 1),
(2774, 1),
(2775, 1),
(2776, 1),
(2777, 1),
(2778, 1),
(2779, 1),
(2780, 1),
(2781, 1),
(2782, 1),
(2783, 1),
(2784, 1),
(2785, 1),
(2786, 1),
(2787, 1),
(2788, 1),
(2789, 1),
(2790, 1),
(2791, 1),
(2792, 1),
(2793, 1),
(2794, 1),
(2795, 1),
(2796, 1),
(2797, 1),
(2798, 1),
(2799, 1),
(2800, 1),
(2801, 1),
(2802, 1),
(2803, 1),
(2804, 1),
(2805, 1),
(2806, 1),
(2807, 1),
(2808, 1),
(2809, 1),
(2810, 1),
(2811, 1),
(2812, 1),
(2813, 1),
(2814, 1),
(2815, 1),
(2816, 1),
(2817, 1),
(2818, 1),
(2819, 1),
(2820, 1),
(2821, 1),
(2822, 1),
(2823, 1),
(2824, 1),
(2825, 1),
(2826, 1),
(2827, 1),
(2828, 1),
(2829, 1),
(2830, 1),
(2831, 1),
(2832, 1),
(2833, 1),
(2834, 1),
(2835, 1),
(2836, 1),
(2837, 1),
(2838, 1),
(2839, 1),
(2840, 1),
(2841, 1),
(2842, 1),
(2843, 1),
(2844, 1),
(2845, 1),
(2846, 1),
(2847, 1),
(2848, 1),
(2849, 1),
(2850, 1),
(2851, 1),
(2852, 1),
(2853, 1),
(2854, 1),
(2855, 1),
(2856, 1),
(2857, 1),
(2858, 1),
(2859, 1),
(2860, 1),
(2861, 1),
(2862, 1),
(2863, 1),
(2864, 1),
(2865, 1),
(2866, 1),
(2867, 1),
(2868, 1),
(2869, 1),
(2870, 1),
(2871, 1),
(2872, 1),
(2873, 1),
(2874, 1),
(2875, 1),
(2876, 1),
(2877, 1),
(2878, 1),
(2879, 1),
(2880, 1),
(2881, 1),
(2882, 1),
(2883, 1),
(2884, 1),
(2885, 1),
(2886, 1),
(2887, 1),
(2888, 1),
(2889, 1),
(2890, 1),
(2891, 1),
(2892, 1),
(2893, 1),
(2894, 1),
(2895, 1),
(2896, 1),
(2897, 1),
(2898, 1),
(2899, 1),
(2900, 1),
(2901, 1),
(2902, 1),
(2903, 1),
(2904, 1),
(2905, 1),
(2906, 1),
(2907, 1),
(2908, 1),
(2909, 1),
(2910, 1),
(2911, 1),
(2912, 1),
(2913, 1),
(2914, 1),
(2915, 1),
(2916, 1),
(2917, 1),
(2918, 1),
(2919, 1),
(2920, 1),
(2921, 1),
(2922, 1),
(2923, 1),
(2924, 1),
(2925, 1),
(2926, 1),
(2927, 1),
(2928, 1),
(2929, 1),
(2930, 1),
(2931, 1),
(2932, 1),
(2933, 1),
(2934, 1),
(2935, 1),
(2936, 1),
(2937, 1),
(2938, 1),
(2939, 1),
(2940, 1),
(2941, 1),
(2942, 1),
(2943, 1),
(2944, 1),
(2945, 1),
(2946, 1),
(2947, 1),
(2948, 1),
(2949, 1),
(2950, 1),
(2951, 1),
(2952, 1),
(2953, 1),
(2954, 1),
(2955, 1),
(2956, 1),
(2957, 1),
(2958, 1),
(2959, 1),
(2960, 1),
(2961, 1),
(2962, 1),
(2963, 1),
(2964, 1),
(2965, 1),
(2966, 1),
(2967, 1),
(2968, 1),
(2969, 1),
(2970, 1),
(2971, 1),
(2972, 1),
(2973, 1),
(2974, 1),
(2975, 1),
(2976, 1),
(2977, 1),
(2978, 1),
(2979, 1),
(2980, 1),
(2981, 1),
(2982, 1),
(2983, 1),
(2984, 1),
(2985, 1),
(2986, 1),
(2987, 1),
(2988, 1),
(2989, 1),
(2990, 1),
(2991, 1),
(2992, 1),
(2993, 1),
(2994, 1),
(2995, 1),
(2996, 1),
(2997, 1),
(2998, 1),
(2999, 1),
(3000, 1),
(3001, 1),
(3002, 1),
(3003, 1),
(3004, 1),
(3005, 1),
(3006, 1),
(3007, 1),
(3008, 1),
(3009, 1),
(3010, 1),
(3011, 1),
(3012, 1),
(3013, 1),
(3014, 1),
(3015, 1),
(3016, 1),
(3017, 1),
(3018, 1),
(3019, 1),
(3020, 1),
(3021, 1),
(3022, 1),
(3023, 1),
(3024, 1),
(3025, 1),
(3026, 1),
(3027, 1),
(3028, 1),
(3029, 1),
(3030, 1),
(3031, 1),
(3032, 1),
(3033, 1),
(3034, 1),
(3035, 1),
(3036, 1),
(3037, 1),
(3038, 1),
(3039, 1),
(3040, 1),
(3041, 1),
(3042, 1),
(3043, 1),
(3044, 1),
(3045, 1),
(3046, 1),
(3047, 1),
(3048, 1),
(3049, 1),
(3050, 1),
(3051, 1),
(3052, 1),
(3053, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(3054, 1),
(3055, 1),
(3056, 1),
(3057, 1),
(3058, 1),
(3059, 1),
(3060, 1),
(3061, 1),
(3062, 1),
(3063, 1),
(3064, 1),
(3065, 1),
(3066, 1),
(3067, 1),
(3068, 1),
(3069, 1),
(3070, 1),
(3071, 1),
(3072, 1),
(3073, 1),
(3074, 1),
(3075, 1),
(3076, 1),
(3077, 1),
(3078, 1),
(3079, 1),
(3080, 1),
(3081, 1),
(3082, 1),
(3083, 1),
(3084, 1),
(3085, 1),
(3086, 1),
(3087, 1),
(3088, 1),
(3089, 1),
(3090, 1),
(3091, 1),
(3092, 1),
(3093, 1),
(3094, 1),
(3095, 1),
(3096, 1),
(3097, 1),
(3098, 1),
(3099, 1),
(3100, 1),
(3101, 1),
(3102, 1),
(3103, 1),
(3104, 1),
(3105, 1),
(3106, 1),
(3107, 1),
(3108, 1),
(3109, 1),
(3110, 1),
(3111, 1),
(3112, 1),
(3113, 1),
(3114, 1),
(3115, 1),
(3116, 1),
(3117, 1),
(3118, 1),
(3119, 1),
(3120, 1),
(3121, 1),
(3122, 1),
(3123, 1),
(3124, 1),
(3125, 1),
(3126, 1),
(3127, 1),
(3128, 1),
(3129, 1),
(3130, 1),
(3131, 1),
(3132, 1),
(3133, 1),
(3134, 1),
(3135, 1),
(3136, 1),
(3137, 1),
(3138, 1),
(3139, 1),
(3140, 1),
(3141, 1),
(3142, 1),
(3143, 1),
(3144, 1),
(3145, 1),
(3146, 1),
(3147, 1),
(3148, 1),
(3149, 1),
(3150, 1),
(3151, 1),
(3152, 1),
(3153, 1),
(3154, 1),
(3155, 1),
(3156, 1),
(3157, 1),
(3158, 1),
(3159, 1),
(3160, 1),
(3161, 1),
(3162, 1),
(3163, 1),
(3164, 1),
(3165, 1),
(3166, 1),
(3167, 1),
(3168, 1),
(3169, 1),
(3170, 1),
(3171, 1),
(3172, 1),
(3173, 1),
(3174, 1),
(3175, 1),
(3176, 1),
(3177, 1),
(3178, 1),
(3179, 1),
(3180, 1),
(3181, 1),
(3182, 1),
(3183, 1),
(3184, 1),
(3185, 1),
(3186, 1),
(3187, 1),
(3188, 1),
(3189, 1),
(3190, 1),
(3191, 1),
(3192, 1),
(3193, 1),
(3194, 1),
(3195, 1),
(3196, 1),
(3197, 1),
(3198, 1),
(3199, 1),
(3200, 1),
(3201, 1),
(3202, 1),
(3203, 1),
(3204, 1),
(3205, 1),
(3206, 1),
(3207, 1),
(3208, 1),
(3209, 1),
(3210, 1),
(3211, 1),
(3212, 1),
(3213, 1),
(3214, 1),
(3215, 1),
(3216, 1),
(3217, 1),
(3218, 1),
(3219, 1),
(3220, 1),
(3221, 1),
(3222, 1),
(3223, 1),
(3224, 1),
(3225, 1),
(3226, 1),
(3227, 1),
(3228, 1),
(3229, 1),
(3230, 1),
(3231, 1),
(3232, 1),
(3233, 1),
(3234, 1),
(3235, 1),
(3236, 1),
(3237, 1),
(3238, 1),
(3239, 1),
(3240, 1),
(3241, 1),
(3242, 1),
(3243, 1),
(3244, 1),
(3245, 1),
(3246, 1),
(3247, 1),
(3248, 1),
(3249, 1),
(3250, 1),
(3251, 1),
(3252, 1),
(3253, 1),
(3254, 1),
(3255, 1),
(3256, 1),
(3257, 1),
(3258, 1),
(3259, 1),
(3260, 1),
(3261, 1),
(3262, 1),
(3263, 1),
(3264, 1),
(3265, 1),
(3266, 1),
(3267, 1),
(3268, 1),
(3269, 1),
(3270, 1),
(3271, 1),
(3272, 1),
(3273, 1),
(3274, 1),
(3275, 1),
(3276, 1),
(3277, 1),
(3278, 1),
(3279, 1),
(3280, 1),
(3281, 1),
(3282, 1),
(3283, 1),
(3284, 1),
(3285, 1),
(3286, 1),
(3287, 1),
(3288, 1),
(3289, 1),
(3290, 1),
(3291, 1),
(3292, 1),
(3293, 1),
(3294, 1),
(3295, 1),
(3296, 1),
(3297, 1),
(3298, 1),
(3299, 1),
(3300, 1),
(3301, 1),
(3302, 1),
(3303, 1),
(3304, 1),
(3305, 1),
(3306, 1),
(3307, 1),
(3308, 1),
(3309, 1),
(3310, 1),
(3311, 1),
(3312, 1),
(3313, 1),
(3314, 1),
(3315, 1),
(3316, 1),
(3317, 1),
(3318, 1),
(3319, 1),
(3320, 1),
(3321, 1),
(3322, 1),
(3323, 1),
(3324, 1),
(3325, 1),
(3326, 1),
(3327, 1),
(3328, 1),
(3329, 1),
(3330, 1),
(3331, 1),
(3332, 1),
(3333, 1),
(3334, 1),
(3335, 1),
(3336, 1),
(3337, 1),
(3338, 1),
(3339, 1),
(3340, 1),
(3341, 1),
(3342, 1),
(3343, 1),
(3344, 1),
(3345, 1),
(3346, 1),
(3347, 1),
(3348, 1),
(3349, 1),
(3350, 1),
(3351, 1),
(3352, 1),
(3353, 1),
(3354, 1),
(3355, 1),
(3356, 1),
(3357, 1),
(3358, 1),
(3359, 1),
(3360, 1),
(3361, 1),
(3362, 1),
(3363, 1),
(3364, 1),
(3365, 1),
(3366, 1),
(3367, 1),
(3368, 1),
(3369, 1),
(3370, 1),
(3371, 1),
(3372, 1),
(3373, 1),
(3374, 1),
(3375, 1),
(3376, 1),
(3377, 1),
(3378, 1),
(3379, 1),
(3380, 1),
(3381, 1),
(3382, 1),
(3383, 1),
(3384, 1),
(3385, 1),
(3386, 1),
(3387, 1),
(3388, 1),
(3389, 1),
(3390, 1),
(3391, 1),
(3392, 1),
(3393, 1),
(3394, 1),
(3395, 1),
(3396, 1),
(3397, 1),
(3398, 1),
(3399, 1),
(3400, 1),
(3401, 1),
(3402, 1),
(3403, 1),
(3404, 1),
(3405, 1),
(3406, 1),
(3407, 1),
(3408, 1),
(3409, 1),
(3410, 1),
(3411, 1),
(3412, 1),
(3413, 1),
(3414, 1),
(3415, 1),
(3416, 1),
(3417, 1),
(3418, 1),
(3419, 1),
(3420, 1),
(3421, 1),
(3422, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(3423, 1),
(3424, 1),
(3425, 1),
(3426, 1),
(3427, 1),
(3428, 1),
(3429, 1),
(3430, 1),
(3431, 1),
(3432, 1),
(3433, 1),
(3434, 1),
(3435, 1),
(3436, 1),
(3437, 1),
(3438, 1),
(3439, 1),
(3440, 1),
(3441, 1),
(3442, 1),
(3443, 1),
(3444, 1),
(3445, 1),
(3446, 1),
(3447, 1),
(3448, 1),
(3449, 1),
(3450, 1),
(3451, 1),
(3452, 1),
(3453, 1),
(3454, 1),
(3455, 1),
(3456, 1),
(3457, 1),
(3458, 1),
(3459, 1),
(3460, 1),
(3461, 1),
(3462, 1),
(3463, 1),
(3464, 1),
(3465, 1),
(3466, 1),
(3467, 1),
(3468, 1),
(3469, 1),
(3470, 1),
(3471, 1),
(3472, 1),
(3473, 1),
(3474, 1),
(3475, 1),
(3476, 1),
(3477, 1),
(3478, 1),
(3479, 1),
(3480, 1),
(3481, 1),
(3482, 1),
(3483, 1),
(3484, 1),
(3485, 1),
(3486, 1),
(3487, 1),
(3488, 1),
(3489, 1),
(3490, 1),
(3491, 1),
(3492, 1),
(3493, 1),
(3494, 1),
(3495, 1),
(3496, 1),
(3497, 1),
(3498, 1),
(3499, 1),
(3500, 1),
(3501, 1),
(3502, 1),
(3503, 1),
(3504, 1),
(3505, 1),
(3506, 1),
(3507, 1),
(3508, 1),
(3509, 1),
(3510, 1),
(3511, 1),
(3512, 1),
(3513, 1),
(3514, 1),
(3515, 1),
(3516, 1),
(3517, 1),
(3518, 1),
(3519, 1),
(3520, 1),
(3521, 1),
(3522, 1),
(3523, 1),
(3524, 1),
(3525, 1),
(3526, 1),
(3527, 1),
(3528, 1),
(3529, 1),
(3530, 1),
(3531, 1),
(3532, 1),
(3533, 1),
(3534, 1),
(3535, 1),
(3536, 1),
(3537, 1),
(3538, 1),
(3539, 1),
(3540, 1),
(3541, 1),
(3542, 1),
(3543, 1),
(3544, 1),
(3545, 1),
(3546, 1),
(3547, 1),
(3548, 1),
(3549, 1),
(3550, 1),
(3551, 1),
(3552, 1),
(3553, 1),
(3554, 1),
(3555, 1),
(3556, 1),
(3557, 1),
(3558, 1),
(3559, 1),
(3560, 1),
(3561, 1),
(3562, 1),
(3563, 1),
(3564, 1),
(3565, 1),
(3566, 1),
(3567, 1),
(3568, 1),
(3569, 1),
(3570, 1),
(3571, 1),
(3572, 1),
(3573, 1),
(3574, 1),
(3575, 1),
(3576, 1),
(3577, 1),
(3578, 1),
(3579, 1),
(3580, 1),
(3581, 1),
(3582, 1),
(3583, 1),
(3584, 1),
(3585, 1),
(3586, 1),
(3587, 1),
(3588, 1),
(3589, 1),
(3590, 1),
(3591, 1),
(3592, 1),
(3593, 1),
(3594, 1),
(3595, 1),
(3596, 1),
(3597, 1),
(3598, 1),
(3599, 1),
(3600, 1),
(3601, 1),
(3602, 1),
(3603, 1),
(3604, 1),
(3605, 1),
(3606, 1),
(3607, 1),
(3608, 1),
(3609, 1),
(3610, 1),
(3611, 1),
(3612, 1),
(3613, 1),
(3614, 1),
(3615, 1),
(3616, 1),
(3617, 1),
(3618, 1),
(3619, 1),
(3620, 1),
(3621, 1),
(3622, 1),
(3623, 1),
(3624, 1),
(3625, 1),
(3626, 1),
(3627, 1),
(3628, 1),
(3629, 1),
(3630, 1),
(3631, 1),
(3632, 1),
(3633, 1),
(3634, 1),
(3635, 1),
(3636, 1),
(3637, 1),
(3638, 1),
(3639, 1),
(3640, 1),
(3641, 1),
(3642, 1),
(3643, 1),
(3644, 1),
(3645, 1),
(3646, 1),
(3647, 1),
(3648, 1),
(3649, 1),
(3650, 1),
(3651, 1),
(3652, 1),
(3653, 1),
(3654, 1),
(3655, 1),
(3656, 1),
(3657, 1),
(3658, 1),
(3659, 1),
(3660, 1),
(3661, 1),
(3662, 1),
(3663, 1),
(3664, 1),
(3665, 1),
(3666, 1),
(3667, 1),
(3668, 1),
(3669, 1),
(3670, 1),
(3671, 1),
(3672, 1),
(3673, 1),
(3674, 1),
(3675, 1),
(3676, 1),
(3677, 1),
(3678, 1),
(3679, 1),
(3680, 1),
(3681, 1),
(3682, 1),
(3683, 1),
(3684, 1),
(3685, 1),
(3686, 1),
(3687, 1),
(3688, 1),
(3689, 1),
(3690, 1),
(3691, 1),
(3692, 1),
(3693, 1),
(3694, 1),
(3695, 1),
(3696, 1),
(3697, 1),
(3698, 1),
(3699, 1),
(3700, 1),
(3701, 1),
(3702, 1),
(3703, 1),
(3704, 1),
(3705, 1),
(3706, 1),
(3707, 1),
(3708, 1),
(3709, 1),
(3710, 1),
(3711, 1),
(3712, 1),
(3713, 1),
(3714, 1),
(3715, 1),
(3716, 1),
(3717, 1),
(3718, 1),
(3719, 1),
(3720, 1),
(3721, 1),
(3722, 1),
(3723, 1),
(3724, 1),
(3725, 1),
(3726, 1),
(3727, 1),
(3728, 1),
(3729, 1),
(3730, 1),
(3731, 1),
(3732, 1),
(3733, 1),
(3734, 1),
(3735, 1),
(3736, 1),
(3737, 1),
(3738, 1),
(3739, 1),
(3740, 1),
(3741, 1),
(3742, 1),
(3743, 1),
(3744, 1),
(3745, 1),
(3746, 1),
(3747, 1),
(3748, 1),
(3749, 1),
(3750, 1),
(3751, 1),
(3752, 1),
(3753, 1),
(3754, 1),
(3755, 1),
(3756, 1),
(3757, 1),
(3758, 1),
(3759, 1),
(3760, 1),
(3761, 1),
(3762, 1),
(3763, 1),
(3764, 1),
(3765, 1),
(3766, 1),
(3767, 1),
(3768, 1),
(3769, 1),
(3770, 1),
(3771, 1),
(3772, 1),
(3773, 1),
(3774, 1),
(3775, 1),
(3776, 1),
(3777, 1),
(3778, 1),
(3779, 1),
(3780, 1),
(3781, 1),
(3782, 1),
(3783, 1),
(3784, 1),
(3785, 1),
(3786, 1),
(3787, 1),
(3788, 1),
(3789, 1),
(3790, 1),
(3791, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(3792, 1),
(3793, 1),
(3794, 1),
(3795, 1),
(3796, 1),
(3797, 1),
(3798, 1),
(3799, 1),
(3800, 1),
(3801, 1),
(3802, 1),
(3803, 1),
(3804, 1),
(3805, 1),
(3806, 1),
(3807, 1),
(3808, 1),
(3809, 1),
(3810, 1),
(3811, 1),
(3812, 1),
(3813, 1),
(3814, 1),
(3815, 1),
(3816, 1),
(3817, 1),
(3818, 1),
(3819, 1),
(3820, 1),
(3821, 1),
(3822, 1),
(3823, 1),
(3824, 1),
(3825, 1),
(3826, 1),
(3827, 1),
(3828, 1),
(3829, 1),
(3830, 1),
(3831, 1),
(3832, 1),
(3833, 1),
(3834, 1),
(3835, 1),
(3836, 1),
(3837, 1),
(3838, 1),
(3839, 1),
(3840, 1),
(3841, 1),
(3842, 1),
(3843, 1),
(3844, 1),
(3845, 1),
(3846, 1),
(3847, 1),
(3848, 1),
(3849, 1),
(3850, 1),
(3851, 1),
(3852, 1),
(3853, 1),
(3854, 1),
(3855, 1),
(3856, 1),
(3857, 1),
(3858, 1),
(3859, 1),
(3860, 1),
(3861, 1),
(3862, 1),
(3863, 1),
(3864, 1),
(3865, 1),
(3866, 1),
(3867, 1),
(3868, 1),
(3869, 1),
(3870, 1),
(3871, 1),
(3872, 1),
(3873, 1),
(3874, 1),
(3875, 1),
(3876, 1),
(3877, 1),
(3878, 1),
(3879, 1),
(3880, 1),
(3881, 1),
(3882, 1),
(3883, 1),
(3884, 1),
(3885, 1),
(3886, 1),
(3887, 1),
(3888, 1),
(3889, 1),
(3890, 1),
(3891, 1),
(3892, 1),
(3893, 1),
(3894, 1),
(3895, 1),
(3896, 1),
(3897, 1),
(3898, 1),
(3899, 1),
(3900, 1),
(3901, 1),
(3902, 1),
(3903, 1),
(3904, 1),
(3905, 1),
(3906, 1),
(3907, 1),
(3908, 1),
(3909, 1),
(3910, 1),
(3911, 1),
(3912, 1),
(3913, 1),
(3914, 1),
(3915, 1),
(3916, 1),
(3917, 1),
(3918, 1),
(3919, 1),
(3920, 1),
(3921, 1),
(3922, 1),
(3923, 1),
(3924, 1),
(3925, 1),
(3926, 1),
(3927, 1),
(3928, 1),
(3929, 1),
(3930, 1),
(3931, 1),
(3932, 1),
(3933, 1),
(3934, 1),
(3935, 1),
(3936, 1),
(3937, 1),
(3938, 1),
(3939, 1),
(3940, 1),
(3941, 1),
(3942, 1),
(3943, 1),
(3944, 1),
(3945, 1),
(3946, 1),
(3947, 1),
(3948, 1),
(3949, 1),
(3950, 1),
(3951, 1),
(3952, 1),
(3953, 1),
(3954, 1),
(3955, 1),
(3956, 1),
(3957, 1),
(3958, 1),
(3959, 1),
(3960, 1),
(3961, 1),
(3962, 1),
(3963, 1),
(3964, 1),
(3965, 1),
(3966, 1),
(3967, 1),
(3968, 1),
(3969, 1),
(3970, 1),
(3971, 1),
(3972, 1),
(3973, 1),
(3974, 1),
(3975, 1),
(3976, 1),
(3977, 1),
(3978, 1),
(3979, 1),
(3980, 1),
(3981, 1),
(3982, 1),
(3983, 1),
(3984, 1),
(3985, 1),
(3986, 1),
(3987, 1),
(3988, 1),
(3989, 1),
(3990, 1),
(3991, 1),
(3992, 1),
(3993, 1),
(3994, 1),
(3995, 1),
(3996, 1),
(3997, 1),
(3998, 1),
(3999, 1),
(4000, 1),
(4001, 1),
(4002, 1),
(4003, 1),
(4004, 1),
(4005, 1),
(4006, 1),
(4007, 1),
(4008, 1),
(4009, 1),
(4010, 1),
(4011, 1),
(4012, 1),
(4013, 1),
(4014, 1),
(4015, 1),
(4016, 1),
(4017, 1),
(4018, 1),
(4019, 1),
(4020, 1),
(4021, 1),
(4022, 1),
(4023, 1),
(4024, 1),
(4025, 1),
(4026, 1),
(4027, 1),
(4028, 1),
(4029, 1),
(4030, 1),
(4031, 1),
(4032, 1),
(4033, 1),
(4034, 1),
(4035, 1),
(4036, 1),
(4037, 1),
(4038, 1),
(4039, 1),
(4040, 1),
(4041, 1),
(4042, 1),
(4043, 1),
(4044, 1),
(4045, 1),
(4046, 1),
(4047, 1),
(4048, 1),
(4049, 1),
(4050, 1),
(4051, 1),
(4052, 1),
(4053, 1),
(4054, 1),
(4055, 1),
(4056, 1),
(4057, 1),
(4058, 1),
(4059, 1),
(4060, 1),
(4061, 1),
(4062, 1),
(4063, 1),
(4064, 1),
(4065, 1),
(4066, 1),
(4067, 1),
(4068, 1),
(4069, 1),
(4070, 1),
(4071, 1),
(4072, 1),
(4073, 1),
(4074, 1),
(4075, 1),
(4076, 1),
(4077, 1),
(4078, 1),
(4079, 1),
(4080, 1),
(4081, 1),
(4082, 1),
(4083, 1),
(4084, 1),
(4085, 1),
(4086, 1),
(4087, 1),
(4088, 1),
(4089, 1),
(4090, 1),
(4091, 1),
(4092, 1),
(4093, 1),
(4094, 1),
(4095, 1),
(4096, 1),
(4097, 1),
(4098, 1),
(4099, 1),
(4100, 1),
(4101, 1),
(4102, 1),
(4103, 1),
(4104, 1),
(4105, 1),
(4106, 1),
(4107, 1),
(4108, 1),
(4109, 1),
(4110, 1),
(4111, 1),
(4112, 1),
(4113, 1),
(4114, 1),
(4115, 1),
(4116, 1),
(4117, 1),
(4118, 1),
(4119, 1),
(4120, 1),
(4121, 1),
(4122, 1),
(4123, 1),
(4124, 1),
(4125, 1),
(4126, 1),
(4127, 1),
(4128, 1),
(4129, 1),
(4130, 1),
(4131, 1),
(4132, 1),
(4133, 1),
(4134, 1),
(4135, 1),
(4136, 1),
(4137, 1),
(4138, 1),
(4139, 1),
(4140, 1),
(4141, 1),
(4142, 1),
(4143, 1),
(4144, 1),
(4145, 1),
(4146, 1),
(4147, 1),
(4148, 1),
(4149, 1),
(4150, 1),
(4151, 1),
(4152, 1),
(4153, 1),
(4154, 1),
(4155, 1),
(4156, 1),
(4157, 1),
(4158, 1),
(4159, 1),
(4160, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(4161, 1),
(4162, 1),
(4163, 1),
(4164, 1),
(4165, 1),
(4166, 1),
(4167, 1),
(4168, 1),
(4169, 1),
(4170, 1),
(4171, 1),
(4172, 1),
(4173, 1),
(4174, 1),
(4175, 1),
(4176, 1),
(4177, 1),
(4178, 1),
(4179, 1),
(4180, 1),
(4181, 1),
(4182, 1),
(4183, 1),
(4184, 1),
(4185, 1),
(4186, 1),
(4187, 1),
(4188, 1),
(4189, 1),
(4190, 1),
(4191, 1),
(4192, 1),
(4193, 1),
(4194, 1),
(4195, 1),
(4196, 1),
(4197, 1),
(4198, 1),
(4199, 1),
(4200, 1),
(4201, 1),
(4202, 1),
(4203, 1),
(4204, 1),
(4205, 1),
(4206, 1),
(4207, 1),
(4208, 1),
(4209, 1),
(4210, 1),
(4211, 1),
(4212, 1),
(4213, 1),
(4214, 1),
(4215, 1),
(4216, 1),
(4217, 1),
(4218, 1),
(4219, 1),
(4220, 1),
(4221, 1),
(4222, 1),
(4223, 1),
(4224, 1),
(4225, 1),
(4226, 1),
(4227, 1),
(4228, 1),
(4229, 1),
(4230, 1),
(4231, 1),
(4232, 1),
(4233, 1),
(4234, 1),
(4235, 1),
(4236, 1),
(4237, 1),
(4238, 1),
(4239, 1),
(4240, 1),
(4241, 1),
(4242, 1),
(4243, 1),
(4244, 1),
(4245, 1),
(4246, 1),
(4247, 1),
(4248, 1),
(4249, 1),
(4250, 1),
(4251, 1),
(4252, 1),
(4253, 1),
(4254, 1),
(4255, 1),
(4256, 1),
(4257, 1),
(4258, 1),
(4259, 1),
(4260, 1),
(4261, 1),
(4262, 1),
(4263, 1),
(4264, 1),
(4265, 1),
(4266, 1),
(4267, 1),
(4268, 1),
(4269, 1),
(4270, 1),
(4271, 1),
(4272, 1),
(4273, 1),
(4274, 1),
(4275, 1),
(4276, 1),
(4277, 1),
(4278, 1),
(4279, 1),
(4280, 1),
(4281, 1),
(4282, 1),
(4283, 1),
(4284, 1),
(4285, 1),
(4286, 1),
(4287, 1),
(4288, 1),
(4289, 1),
(4290, 1),
(4291, 1),
(4292, 1),
(4293, 1),
(4294, 1),
(4295, 1),
(4296, 1),
(4297, 1),
(4298, 1),
(4299, 1),
(4300, 1),
(4301, 1),
(4302, 1),
(4303, 1),
(4304, 1),
(4305, 1),
(4306, 1),
(4307, 1),
(4308, 1),
(4309, 1),
(4310, 1),
(4311, 1),
(4312, 1),
(4313, 1),
(4314, 1),
(4315, 1),
(4316, 1),
(4317, 1),
(4318, 1),
(4319, 1),
(4320, 1),
(4321, 1),
(4322, 1),
(4323, 1),
(4324, 1),
(4325, 1),
(4326, 1),
(4327, 1),
(4328, 1),
(4329, 1),
(4330, 1),
(4331, 1),
(4332, 1),
(4333, 1),
(4334, 1),
(4335, 1),
(4336, 1),
(4337, 1),
(4338, 1),
(4339, 1),
(4340, 1),
(4341, 1),
(4342, 1),
(4343, 1),
(4344, 1),
(4345, 1),
(4346, 1),
(4347, 1),
(4348, 1),
(4349, 1),
(4350, 1),
(4351, 1),
(4352, 1),
(4353, 1),
(4354, 1),
(4355, 1),
(4356, 1),
(4357, 1),
(4358, 1),
(4359, 1),
(4360, 1),
(4361, 1),
(4362, 1),
(4363, 1),
(4364, 1),
(4365, 1),
(4366, 1),
(4367, 1),
(4368, 1),
(4369, 1),
(4370, 1),
(4371, 1),
(4372, 1),
(4373, 1),
(4374, 1),
(4375, 1),
(4376, 1),
(4377, 1),
(4378, 1),
(4379, 1),
(4380, 1),
(4381, 1),
(4382, 1),
(4383, 1),
(4384, 1),
(4385, 1),
(4386, 1),
(4387, 1),
(4388, 1),
(4389, 1),
(4390, 1),
(4391, 1),
(4392, 1),
(4393, 1),
(4394, 1),
(4395, 1),
(4396, 1),
(4397, 1),
(4398, 1),
(4399, 1),
(4400, 1),
(4401, 1),
(4402, 1),
(4403, 1),
(4404, 1),
(4405, 1),
(4406, 1),
(4407, 1),
(4408, 1),
(4409, 1),
(4410, 1),
(4411, 1),
(4412, 1),
(4413, 1),
(4414, 1),
(4415, 1),
(4416, 1),
(4417, 1),
(4418, 1),
(4419, 1),
(4420, 1),
(4421, 1),
(4422, 1),
(4423, 1),
(4424, 1),
(4425, 1),
(4426, 1),
(4427, 1),
(4428, 1),
(4429, 1),
(4430, 1),
(4431, 1),
(4432, 1),
(4433, 1),
(4434, 1),
(4435, 1),
(4436, 1),
(4437, 1),
(4438, 1),
(4439, 1),
(4440, 1),
(4441, 1),
(4442, 1),
(4443, 1),
(4444, 1),
(4445, 1),
(4446, 1),
(4447, 1),
(4448, 1),
(4449, 1),
(4450, 1),
(4451, 1),
(4452, 1),
(4453, 1),
(4454, 1),
(4455, 1),
(4456, 1),
(4457, 1),
(4458, 1),
(4459, 1),
(4460, 1),
(4461, 1),
(4462, 1),
(4463, 1),
(4464, 1),
(4465, 1),
(4466, 1),
(4467, 1),
(4468, 1),
(4469, 1),
(4470, 1),
(4471, 1),
(4472, 1),
(4473, 1),
(4474, 1),
(4475, 1),
(4476, 1),
(4477, 1),
(4478, 1),
(4479, 1),
(4480, 1),
(4481, 1),
(4482, 1),
(4483, 1),
(4484, 1),
(4485, 1),
(4486, 1),
(4487, 1),
(4488, 1),
(4489, 1),
(4490, 1),
(4491, 1),
(4492, 1),
(4493, 1),
(4494, 1),
(4495, 1),
(4496, 1),
(4497, 1),
(4498, 1),
(4499, 1),
(4500, 1),
(4501, 1),
(4502, 1),
(4503, 1),
(4504, 1),
(4505, 1),
(4506, 1),
(4507, 1),
(4508, 1),
(4509, 1),
(4510, 1),
(4511, 1),
(4512, 1),
(4513, 1),
(4514, 1),
(4515, 1),
(4516, 1),
(4517, 1),
(4518, 1),
(4519, 1),
(4520, 1),
(4521, 1),
(4522, 1),
(4523, 1),
(4524, 1),
(4525, 1),
(4526, 1),
(4527, 1),
(4528, 1),
(4529, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(4530, 1),
(4531, 1),
(4532, 1),
(4533, 1),
(4534, 1),
(4535, 1),
(4536, 1),
(4537, 1),
(4538, 1),
(4539, 1),
(4540, 1),
(4541, 1),
(4542, 1),
(4543, 1),
(4544, 1),
(4545, 1),
(4546, 1),
(4547, 1),
(4548, 1),
(4549, 1),
(4550, 1),
(4551, 1),
(4552, 1),
(4553, 1),
(4554, 1),
(4555, 1),
(4556, 1),
(4557, 1),
(4558, 1),
(4559, 1),
(4560, 1),
(4561, 1),
(4562, 1),
(4563, 1),
(4564, 1),
(4565, 1),
(4566, 1),
(4567, 1),
(4568, 1),
(4569, 1),
(4570, 1),
(4571, 1),
(4572, 1),
(4573, 1),
(4574, 1),
(4575, 1),
(4576, 1),
(4577, 1),
(4578, 1),
(4579, 1),
(4580, 1),
(4581, 1),
(4582, 1),
(4583, 1),
(4584, 1),
(4585, 1),
(4586, 1),
(4587, 1),
(4588, 1),
(4589, 1),
(4590, 1),
(4591, 1),
(4592, 1),
(4593, 1),
(4594, 1),
(4595, 1),
(4596, 1),
(4597, 1),
(4598, 1),
(4599, 1),
(4600, 1),
(4601, 1),
(4602, 1),
(4603, 1),
(4604, 1),
(4605, 1),
(4606, 1),
(4607, 1),
(4608, 1),
(4609, 1),
(4610, 1),
(4611, 1),
(4612, 1),
(4613, 1),
(4614, 1),
(4615, 1),
(4616, 1),
(4617, 1),
(4618, 1),
(4619, 1),
(4620, 1),
(4621, 1),
(4622, 1),
(4623, 1),
(4624, 1),
(4625, 1),
(4626, 1),
(4627, 1),
(4628, 1),
(4629, 1),
(4630, 1),
(4631, 1),
(4632, 1),
(4633, 1),
(4634, 1),
(4635, 1),
(4636, 1),
(4637, 1),
(4638, 1),
(4639, 1),
(4640, 1),
(4641, 1),
(4642, 1),
(4643, 1),
(4644, 1),
(4645, 1),
(4646, 1),
(4647, 1),
(4648, 1),
(4649, 1),
(4650, 1),
(4651, 1),
(4652, 1),
(4653, 1),
(4654, 1),
(4655, 1),
(4656, 1),
(4657, 1),
(4658, 1),
(4659, 1),
(4660, 1),
(4661, 1),
(4662, 1),
(4663, 1),
(4664, 1),
(4665, 1),
(4666, 1),
(4667, 1),
(4668, 1),
(4669, 1),
(4670, 1),
(4671, 1),
(4672, 1),
(4673, 1),
(4674, 1),
(4675, 1),
(4676, 1),
(4677, 1),
(4678, 1),
(4679, 1),
(4680, 1),
(4681, 1),
(4682, 1),
(4683, 1),
(4684, 1),
(4685, 1),
(4686, 1),
(4687, 1),
(4688, 1),
(4689, 1),
(4690, 1),
(4691, 1),
(4692, 1),
(4693, 1),
(4694, 1),
(4695, 1),
(4696, 1),
(4697, 1),
(4698, 1),
(4699, 1),
(4700, 1),
(4701, 1),
(4702, 1),
(4703, 1),
(4704, 1),
(4705, 1),
(4706, 1),
(4707, 1),
(4708, 1),
(4709, 1),
(4710, 1),
(4711, 1),
(4712, 1),
(4713, 1),
(4714, 1),
(4715, 1),
(4716, 1),
(4717, 1),
(4718, 1),
(4719, 1),
(4720, 1),
(4721, 1),
(4722, 1),
(4723, 1),
(4724, 1),
(4725, 1),
(4726, 1),
(4727, 1),
(4728, 1),
(4729, 1),
(4730, 1),
(4731, 1),
(4732, 1),
(4733, 1),
(4734, 1),
(4735, 1),
(4736, 1),
(4737, 1),
(4738, 1),
(4739, 1),
(4740, 1),
(4741, 1),
(4742, 1),
(4743, 1),
(4744, 1),
(4745, 1),
(4746, 1),
(4747, 1),
(4748, 1),
(4749, 1),
(4750, 1),
(4751, 1),
(4752, 1),
(4753, 1),
(4754, 1),
(4755, 1),
(4756, 1),
(4757, 1),
(4758, 1),
(4759, 1),
(4760, 1),
(4761, 1),
(4762, 1),
(4763, 1),
(4764, 1),
(4765, 1),
(4766, 1),
(4767, 1),
(4768, 1),
(4769, 1),
(4770, 1),
(4771, 1),
(4772, 1),
(4773, 1),
(4774, 1),
(4775, 1),
(4776, 1),
(4777, 1),
(4778, 1),
(4779, 1),
(4780, 1),
(4781, 1),
(4782, 1),
(4783, 1),
(4784, 1),
(4785, 1),
(4786, 1),
(4787, 1),
(4788, 1),
(4789, 1),
(4790, 1),
(4791, 1),
(4792, 1),
(4793, 1),
(4794, 1),
(4795, 1),
(4796, 1),
(4797, 1),
(4798, 1),
(4799, 1),
(4800, 1),
(4801, 1),
(4802, 1),
(4803, 1),
(4804, 1),
(4805, 1),
(4806, 1),
(4807, 1),
(4808, 1),
(4809, 1),
(4810, 1),
(4811, 1),
(4812, 1),
(4813, 1),
(4814, 1),
(4815, 1),
(4816, 1),
(4817, 1),
(4818, 1),
(4819, 1),
(4820, 1),
(4821, 1),
(4822, 1),
(4823, 1),
(4824, 1),
(4825, 1),
(4826, 1),
(4827, 1),
(4828, 1),
(4829, 1),
(4830, 1),
(4831, 1),
(4832, 1),
(4833, 1),
(4834, 1),
(4835, 1),
(4836, 1),
(4837, 1),
(4838, 1),
(4839, 1),
(4840, 1),
(4841, 1),
(4842, 1),
(4843, 1),
(4844, 1),
(4845, 1),
(4846, 1),
(4847, 1),
(4848, 1),
(4849, 1),
(4850, 1),
(4851, 1),
(4852, 1),
(4853, 1),
(4854, 1),
(4855, 1),
(4856, 1),
(4857, 1),
(4858, 1),
(4859, 1),
(4860, 1),
(4861, 1),
(4862, 1),
(4863, 1),
(4864, 1),
(4865, 1),
(4866, 1),
(4867, 1),
(4868, 1),
(4869, 1),
(4870, 1),
(4871, 1),
(4872, 1),
(4873, 1),
(4874, 1),
(4875, 1),
(4876, 1),
(4877, 1),
(4878, 1),
(4879, 1),
(4880, 1),
(4881, 1),
(4882, 1),
(4883, 1),
(4884, 1),
(4885, 1),
(4886, 1),
(4887, 1),
(4888, 1),
(4889, 1),
(4890, 1),
(4891, 1),
(4892, 1),
(4893, 1),
(4894, 1),
(4895, 1),
(4896, 1),
(4897, 1),
(4898, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(4899, 1),
(4900, 1),
(4901, 1),
(4902, 1),
(4903, 1),
(4904, 1),
(4905, 1),
(4906, 1),
(4907, 1),
(4908, 1),
(4909, 1),
(4910, 1),
(4911, 1),
(4912, 1),
(4913, 1),
(4914, 1),
(4915, 1),
(4916, 1),
(4917, 1),
(4918, 1),
(4919, 1),
(4920, 1),
(4921, 1),
(4922, 1),
(4923, 1),
(4924, 1),
(4925, 1),
(4926, 1),
(4927, 1),
(4928, 1),
(4929, 1),
(4930, 1),
(4931, 1),
(4932, 1),
(4933, 1),
(4934, 1),
(4935, 1),
(4936, 1),
(4937, 1),
(4938, 1),
(4939, 1),
(4940, 1),
(4941, 1),
(4942, 1),
(4943, 1),
(4944, 1),
(4945, 1),
(4946, 1),
(4947, 1),
(4948, 1),
(4949, 1),
(4950, 1),
(4951, 1),
(4952, 1),
(4953, 1),
(4954, 1),
(4955, 1),
(4956, 1),
(4957, 1),
(4958, 1),
(4959, 1),
(4960, 1),
(4961, 1),
(4962, 1),
(4963, 1),
(4964, 1),
(4965, 1),
(4966, 1),
(4967, 1),
(4968, 1),
(4969, 1),
(4970, 1),
(4971, 1),
(4972, 1),
(4973, 1),
(4974, 1),
(4975, 1),
(4976, 1),
(4977, 1),
(4978, 1),
(4979, 1),
(4980, 1),
(4981, 1),
(4982, 1),
(4983, 1),
(4984, 1),
(4985, 1),
(4986, 1),
(4987, 1),
(4988, 1),
(4989, 1),
(4990, 1),
(4991, 1),
(4992, 1),
(4993, 1),
(4994, 1),
(4995, 1),
(4996, 1),
(4997, 1),
(4998, 1),
(4999, 1),
(5000, 1),
(5001, 1),
(5002, 1),
(5003, 1),
(5004, 1),
(5005, 1),
(5006, 1),
(5007, 1),
(5008, 1),
(5009, 1),
(5010, 1),
(5011, 1),
(5012, 1),
(5013, 1),
(5014, 1),
(5015, 1),
(5016, 1),
(5017, 1),
(5018, 1),
(5019, 1),
(5020, 1),
(5021, 1),
(5022, 1),
(5023, 1),
(5024, 1),
(5025, 1),
(5026, 1),
(5027, 1),
(5028, 1),
(5029, 1),
(5030, 1),
(5031, 1),
(5032, 1),
(5033, 1),
(5034, 1),
(5035, 1),
(5036, 1),
(5037, 1),
(5038, 1),
(5039, 1),
(5040, 1),
(5041, 1),
(5042, 1),
(5043, 1),
(5044, 1),
(5045, 1),
(5046, 1),
(5047, 1),
(5048, 1),
(5049, 1),
(5050, 1),
(5051, 1),
(5052, 1),
(5053, 1),
(5054, 1),
(5055, 1),
(5056, 1),
(5057, 1),
(5058, 1),
(5059, 1),
(5060, 1),
(5061, 1),
(5062, 1),
(5063, 1),
(5064, 1),
(5065, 1),
(5066, 1),
(5067, 1),
(5068, 1),
(5069, 1),
(5070, 1),
(5071, 1),
(5072, 1),
(5073, 1),
(5074, 1),
(5075, 1),
(5076, 1),
(5077, 1),
(5078, 1),
(5079, 1),
(5080, 1),
(5081, 1),
(5082, 1),
(5083, 1),
(5084, 1),
(5085, 1),
(5086, 1),
(5087, 1),
(5088, 1),
(5089, 1),
(5090, 1),
(5091, 1),
(5092, 1),
(5093, 1),
(5094, 1),
(5095, 1),
(5096, 1),
(5097, 1),
(5098, 1),
(5099, 1),
(5100, 1),
(5101, 1),
(5102, 1),
(5103, 1),
(5104, 1),
(5105, 1),
(5106, 1),
(5107, 1),
(5108, 1),
(5109, 1),
(5110, 1),
(5111, 1),
(5112, 1),
(5113, 1),
(5114, 1),
(5115, 1),
(5116, 1),
(5117, 1),
(5118, 1),
(5119, 1),
(5120, 1),
(5121, 1),
(5122, 1),
(5123, 1),
(5124, 1),
(5125, 1),
(5126, 1),
(5127, 1),
(5128, 1),
(5129, 1),
(5130, 1),
(5131, 1),
(5132, 1),
(5133, 1),
(5134, 1),
(5135, 1),
(5136, 1),
(5137, 1),
(5138, 1),
(5139, 1),
(5140, 1),
(5141, 1),
(5142, 1),
(5143, 1),
(5144, 1),
(5145, 1),
(5146, 1),
(5147, 1),
(5148, 1),
(5149, 1),
(5150, 1),
(5151, 1),
(5152, 1),
(5153, 1),
(5154, 1),
(5155, 1),
(5156, 1),
(5157, 1),
(5158, 1),
(5159, 1),
(5160, 1),
(5161, 1),
(5162, 1),
(5163, 1),
(5164, 1),
(5165, 1),
(5166, 1),
(5167, 1),
(5168, 1),
(5169, 1),
(5170, 1),
(5171, 1),
(5172, 1),
(5173, 1),
(5174, 1),
(5175, 1),
(5176, 1),
(5177, 1),
(5178, 1),
(5179, 1),
(5180, 1),
(5181, 1),
(5182, 1),
(5183, 1),
(5184, 1),
(5185, 1),
(5186, 1),
(5187, 1),
(5188, 1),
(5189, 1),
(5190, 1),
(5191, 1),
(5192, 1),
(5193, 1),
(5194, 1),
(5195, 1),
(5196, 1),
(5197, 1),
(5198, 1),
(5199, 1),
(5200, 1),
(5201, 1),
(5202, 1),
(5203, 1),
(5204, 1),
(5205, 1),
(5206, 1),
(5207, 1),
(5208, 1),
(5209, 1),
(5210, 1),
(5211, 1),
(5212, 1),
(5213, 1),
(5214, 1),
(5215, 1),
(5216, 1),
(5217, 1),
(5218, 1),
(5219, 1),
(5220, 1),
(5221, 1),
(5222, 1),
(5223, 1),
(5224, 1),
(5225, 1),
(5226, 1),
(5227, 1),
(5228, 1),
(5229, 1),
(5230, 1),
(5231, 1),
(5232, 1),
(5233, 1),
(5234, 1),
(5235, 1),
(5236, 1),
(5237, 1),
(5238, 1),
(5239, 1),
(5240, 1),
(5241, 1),
(5242, 1),
(5243, 1),
(5244, 1),
(5245, 1),
(5246, 1),
(5247, 1),
(5248, 1),
(5249, 1),
(5250, 1),
(5251, 1),
(5252, 1),
(5253, 1),
(5254, 1),
(5255, 1),
(5256, 1),
(5257, 1),
(5258, 1),
(5259, 1),
(5260, 1),
(5261, 1),
(5262, 1),
(5263, 1),
(5264, 1),
(5265, 1),
(5266, 1),
(5267, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(5268, 1),
(5269, 1),
(5270, 1),
(5271, 1),
(5272, 1),
(5273, 1),
(5274, 1),
(5275, 1),
(5276, 1),
(5277, 1),
(5278, 1),
(5279, 1),
(5280, 1),
(5281, 1),
(5282, 1),
(5283, 1),
(5284, 1),
(5285, 1),
(5286, 1),
(5287, 1),
(5288, 1),
(5289, 1),
(5290, 1),
(5291, 1),
(5292, 1),
(5293, 1),
(5294, 1),
(5295, 1),
(5296, 1),
(5297, 1),
(5298, 1),
(5299, 1),
(5300, 1),
(5301, 1),
(5302, 1),
(5303, 1),
(5304, 1),
(5305, 1),
(5306, 1),
(5307, 1),
(5308, 1),
(5309, 1),
(5310, 1),
(5311, 1),
(5312, 1),
(5313, 1),
(5314, 1),
(5315, 1),
(5316, 1),
(5317, 1),
(5318, 1),
(5319, 1),
(5320, 1),
(5321, 1),
(5322, 1),
(5323, 1),
(5324, 1),
(5325, 1),
(5326, 1),
(5327, 1),
(5328, 1),
(5329, 1),
(5330, 1),
(5331, 1),
(5332, 1),
(5333, 1),
(5334, 1),
(5335, 1),
(5336, 1),
(5337, 1),
(5338, 1),
(5339, 1),
(5340, 1),
(5341, 1),
(5342, 1),
(5343, 1),
(5344, 1),
(5345, 1),
(5346, 1),
(5347, 1),
(5348, 1),
(5349, 1),
(5350, 1),
(5351, 1),
(5352, 1),
(5353, 1),
(5354, 1),
(5355, 1),
(5356, 1),
(5357, 1),
(5358, 1),
(5359, 1),
(5360, 1),
(5361, 1),
(5362, 1),
(5363, 1),
(5364, 1),
(5365, 1),
(5366, 1),
(5367, 1),
(5368, 1),
(5369, 1),
(5370, 1),
(5371, 1),
(5372, 1),
(5373, 1),
(5374, 1),
(5375, 1),
(5376, 1),
(5377, 1),
(5378, 1),
(5379, 1),
(5380, 1),
(5381, 1),
(5382, 1),
(5383, 1),
(5384, 1),
(5385, 1),
(5386, 1),
(5387, 1),
(5388, 1),
(5389, 1),
(5390, 1),
(5391, 1),
(5392, 1),
(5393, 1),
(5394, 1),
(5395, 1),
(5396, 1),
(5397, 1),
(5398, 1),
(5399, 1),
(5400, 1),
(5401, 1),
(5402, 1),
(5403, 1),
(5404, 1),
(5405, 1),
(5406, 1),
(5407, 1),
(5408, 1),
(5409, 1),
(5410, 1),
(5411, 1),
(5412, 1),
(5413, 1),
(5414, 1),
(5415, 1),
(5416, 1),
(5417, 1),
(5418, 1),
(5419, 1),
(5420, 1),
(5421, 1),
(5422, 1),
(5423, 1),
(5424, 1),
(5425, 1),
(5426, 1),
(5427, 1),
(5428, 1),
(5429, 1),
(5430, 1),
(5431, 1),
(5432, 1),
(5433, 1),
(5434, 1),
(5435, 1),
(5436, 1),
(5437, 1),
(5438, 1),
(5439, 1),
(5440, 1),
(5441, 1),
(5442, 1),
(5443, 1),
(5444, 1),
(5445, 1),
(5446, 1),
(5447, 1),
(5448, 1),
(5449, 1),
(5450, 1),
(5451, 1),
(5452, 1),
(5453, 1),
(5454, 1),
(5455, 1),
(5456, 1),
(5457, 1),
(5458, 1),
(5459, 1),
(5460, 1),
(5461, 1),
(5462, 1),
(5463, 1),
(5464, 1),
(5465, 1),
(5466, 1),
(5467, 1),
(5468, 1),
(5469, 1),
(5470, 1),
(5471, 1),
(5472, 1),
(5473, 1),
(5474, 1),
(5475, 1),
(5476, 1),
(5477, 1),
(5478, 1),
(5479, 1),
(5480, 1),
(5481, 1),
(5482, 1),
(5483, 1),
(5484, 1),
(5485, 1),
(5486, 1),
(5487, 1),
(5488, 1),
(5489, 1),
(5490, 1),
(5491, 1),
(5492, 1),
(5493, 1),
(5494, 1),
(5495, 1),
(5496, 1),
(5497, 1),
(5498, 1),
(5499, 1),
(5500, 1),
(5501, 1),
(5502, 1),
(5503, 1),
(5504, 1),
(5505, 1),
(5506, 1),
(5507, 1),
(5508, 1),
(5509, 1),
(5510, 1),
(5511, 1),
(5512, 1),
(5513, 1),
(5514, 1),
(5515, 1),
(5516, 1),
(5517, 1),
(5518, 1),
(5519, 1),
(5520, 1),
(5521, 1),
(5522, 1),
(5523, 1),
(5524, 1),
(5525, 1),
(5526, 1),
(5527, 1),
(5528, 1),
(5529, 1),
(5530, 1),
(5531, 1),
(5532, 1),
(5533, 1),
(5534, 1),
(5535, 1),
(5536, 1),
(5537, 1),
(5538, 1),
(5539, 1),
(5540, 1),
(5541, 1),
(5542, 1),
(5543, 1),
(5544, 1),
(5545, 1),
(5546, 1),
(5547, 1),
(5548, 1),
(5549, 1),
(5550, 1),
(5551, 1),
(5552, 1),
(5553, 1),
(5554, 1),
(5555, 1),
(5556, 1),
(5557, 1),
(5558, 1),
(5559, 1),
(5560, 1),
(5561, 1),
(5562, 1),
(5563, 1),
(5564, 1),
(5565, 1),
(5566, 1),
(5567, 1),
(5568, 1),
(5569, 1),
(5570, 1),
(5571, 1),
(5572, 1),
(5573, 1),
(5574, 1),
(5575, 1),
(5576, 1),
(5577, 1),
(5578, 1),
(5579, 1),
(5580, 1),
(5581, 1),
(5582, 1),
(5583, 1),
(5584, 1),
(5585, 1),
(5586, 1),
(5587, 1),
(5588, 1),
(5589, 1),
(5590, 1),
(5591, 1),
(5592, 1),
(5593, 1),
(5594, 1),
(5595, 1),
(5596, 1),
(5597, 1),
(5598, 1),
(5599, 1),
(5600, 1),
(5601, 1),
(5602, 1),
(5603, 1),
(5604, 1),
(5605, 1),
(5606, 1),
(5607, 1),
(5608, 1),
(5609, 1),
(5610, 1),
(5611, 1),
(5612, 1),
(5613, 1),
(5614, 1),
(5615, 1),
(5616, 1),
(5617, 1),
(5618, 1),
(5619, 1),
(5620, 1),
(5621, 1),
(5622, 1),
(5623, 1),
(5624, 1),
(5625, 1),
(5626, 1),
(5627, 1),
(5628, 1),
(5629, 1),
(5630, 1),
(5631, 1),
(5632, 1),
(5633, 1),
(5634, 1),
(5635, 1),
(5636, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(5637, 1),
(5638, 1),
(5639, 1),
(5640, 1),
(5641, 1),
(5642, 1),
(5643, 1),
(5644, 1),
(5645, 1),
(5646, 1),
(5647, 1),
(5648, 1),
(5649, 1),
(5650, 1),
(5651, 1),
(5652, 1),
(5653, 1),
(5654, 1),
(5655, 1),
(5656, 1),
(5657, 1),
(5658, 1),
(5659, 1),
(5660, 1),
(5661, 1),
(5662, 1),
(5663, 1),
(5664, 1),
(5665, 1),
(5666, 1),
(5667, 1),
(5668, 1),
(5669, 1),
(5670, 1),
(5671, 1),
(5672, 1),
(5673, 1),
(5674, 1),
(5675, 1),
(5676, 1),
(5677, 1),
(5678, 1),
(5679, 1),
(5680, 1),
(5681, 1),
(5682, 1),
(5683, 1),
(5684, 1),
(5685, 1),
(5686, 1),
(5687, 1),
(5688, 1),
(5689, 1),
(5690, 1),
(5691, 1),
(5692, 1),
(5693, 1),
(5694, 1),
(5695, 1),
(5696, 1),
(5697, 1),
(5698, 1),
(5699, 1),
(5700, 1),
(5701, 1),
(5702, 1),
(5703, 1),
(5704, 1),
(5705, 1),
(5706, 1),
(5707, 1),
(5708, 1),
(5709, 1),
(5710, 1),
(5711, 1),
(5712, 1),
(5713, 1),
(5714, 1),
(5715, 1),
(5716, 1),
(5717, 1),
(5718, 1),
(5719, 1),
(5720, 1),
(5721, 1),
(5722, 1),
(5723, 1),
(5724, 1),
(5725, 1),
(5726, 1),
(5727, 1),
(5728, 1),
(5729, 1),
(5730, 1),
(5731, 1),
(5732, 1),
(5733, 1),
(5734, 1),
(5735, 1),
(5736, 1),
(5737, 1),
(5738, 1),
(5739, 1),
(5740, 1),
(5741, 1),
(5742, 1),
(5743, 1),
(5744, 1),
(5745, 1),
(5746, 1),
(5747, 1),
(5748, 1),
(5749, 1),
(5750, 1),
(5751, 1),
(5752, 1),
(5753, 1),
(5754, 1),
(5755, 1),
(5756, 1),
(5757, 1),
(5758, 1),
(5759, 1),
(5760, 1),
(5761, 1),
(5762, 1),
(5763, 1),
(5764, 1),
(5765, 1),
(5766, 1),
(5767, 1),
(5768, 1),
(5769, 1),
(5770, 1),
(5771, 1),
(5772, 1),
(5773, 1),
(5774, 1),
(5775, 1),
(5776, 1),
(5777, 1),
(5778, 1),
(5779, 1),
(5780, 1),
(5781, 1),
(5782, 1),
(5783, 1),
(5784, 1),
(5785, 1),
(5786, 1),
(5787, 1),
(5788, 1),
(5789, 1),
(5790, 1),
(5791, 1),
(5792, 1),
(5793, 1),
(5794, 1),
(5795, 1),
(5796, 1),
(5797, 1),
(5798, 1),
(5799, 1),
(5800, 1),
(5801, 1),
(5802, 1),
(5803, 1),
(5804, 1),
(5805, 1),
(5806, 1),
(5807, 1),
(5808, 1),
(5809, 1),
(5810, 1),
(5811, 1),
(5812, 1),
(5813, 1),
(5814, 1),
(5815, 1),
(5816, 1),
(5817, 1),
(5818, 1),
(5819, 1),
(5820, 1),
(5821, 1),
(5822, 1),
(5823, 1),
(5824, 1),
(5825, 1),
(5826, 1),
(5827, 1),
(5828, 1),
(5829, 1),
(5830, 1),
(5831, 1),
(5832, 1),
(5833, 1),
(5834, 1),
(5835, 1),
(5836, 1),
(5837, 1),
(5838, 1),
(5839, 1),
(5840, 1),
(5841, 1),
(5842, 1),
(5843, 1),
(5844, 1),
(5845, 1),
(5846, 1),
(5847, 1),
(5848, 1),
(5849, 1),
(5850, 1),
(5851, 1),
(5852, 1),
(5853, 1),
(5854, 1),
(5855, 1),
(5856, 1),
(5857, 1),
(5858, 1),
(5859, 1),
(5860, 1),
(5861, 1),
(5862, 1),
(5863, 1),
(5864, 1),
(5865, 1),
(5866, 1),
(5867, 1),
(5868, 1),
(5869, 1),
(5870, 1),
(5871, 1),
(5872, 1),
(5873, 1),
(5874, 1),
(5875, 1),
(5876, 1),
(5877, 1),
(5878, 1),
(5879, 1),
(5880, 1),
(5881, 1),
(5882, 1),
(5883, 1),
(5884, 1),
(5885, 1),
(5886, 1),
(5887, 1),
(5888, 1),
(5889, 1),
(5890, 1),
(5891, 1),
(5892, 1),
(5893, 1),
(5894, 1),
(5895, 1),
(5896, 1),
(5897, 1),
(5898, 1),
(5899, 1),
(5900, 1),
(5901, 1),
(5902, 1),
(5903, 1),
(5904, 1),
(5905, 1),
(5906, 1),
(5907, 1),
(5908, 1),
(5909, 1),
(5910, 1),
(5911, 1),
(5912, 1),
(5913, 1),
(5914, 1),
(5915, 1),
(5916, 1),
(5917, 1),
(5918, 1),
(5919, 1),
(5920, 1),
(5921, 1),
(5922, 1),
(5923, 1),
(5924, 1),
(5925, 1),
(5926, 1),
(5927, 1),
(5928, 1),
(5929, 1),
(5930, 1),
(5931, 1),
(5932, 1),
(5933, 1),
(5934, 1),
(5935, 1),
(5936, 1),
(5937, 1),
(5938, 1),
(5939, 1),
(5940, 1),
(5941, 1),
(5942, 1),
(5943, 1),
(5944, 1),
(5945, 1),
(5946, 1),
(5947, 1),
(5948, 1),
(5949, 1),
(5950, 1),
(5951, 1),
(5952, 1),
(5953, 1),
(5954, 1),
(5955, 1),
(5956, 1),
(5957, 1),
(5958, 1),
(5959, 1),
(5960, 1),
(5961, 1),
(5962, 1),
(5963, 1),
(5964, 1),
(5965, 1),
(5966, 1),
(5967, 1),
(5968, 1),
(5969, 1),
(5970, 1),
(5971, 1),
(5972, 1),
(5973, 1),
(5974, 1),
(5975, 1),
(5976, 1),
(5977, 1),
(5978, 1),
(5979, 1),
(5980, 1),
(5981, 1),
(5982, 1),
(5983, 1),
(5984, 1),
(5985, 1),
(5986, 1),
(5987, 1),
(5988, 1),
(5989, 1),
(5990, 1),
(5991, 1),
(5992, 1),
(5993, 1),
(5994, 1),
(5995, 1),
(5996, 1),
(5997, 1),
(5998, 1),
(5999, 1),
(6000, 1),
(6001, 1),
(6002, 1),
(6003, 1),
(6004, 1),
(6005, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(6006, 1),
(6007, 1),
(6008, 1),
(6009, 1),
(6010, 1),
(6011, 1),
(6012, 1),
(6013, 1),
(6014, 1),
(6015, 1),
(6016, 1),
(6017, 1),
(6018, 1),
(6019, 1),
(6020, 1),
(6021, 1),
(6022, 1),
(6023, 1),
(6024, 1),
(6025, 1),
(6026, 1),
(6027, 1),
(6028, 1),
(6029, 1),
(6030, 1),
(6031, 1),
(6032, 1),
(6033, 1),
(6034, 1),
(6035, 1),
(6036, 1),
(6037, 1),
(6038, 1),
(6039, 1),
(6040, 1),
(6041, 1),
(6042, 1),
(6043, 1),
(6044, 1),
(6045, 1),
(6046, 1),
(6047, 1),
(6048, 1),
(6049, 1),
(6050, 1),
(6051, 1),
(6052, 1),
(6053, 1),
(6054, 1),
(6055, 1),
(6056, 1),
(6057, 1),
(6058, 1),
(6059, 1),
(6060, 1),
(6061, 1),
(6062, 1),
(6063, 1),
(6064, 1),
(6065, 1),
(6066, 1),
(6067, 1),
(6068, 1),
(6069, 1),
(6070, 1),
(6071, 1),
(6072, 1),
(6073, 1),
(6074, 1),
(6075, 1),
(6076, 1),
(6077, 1),
(6078, 1),
(6079, 1),
(6080, 1),
(6081, 1),
(6082, 1),
(6083, 1),
(6084, 1),
(6085, 1),
(6086, 1),
(6087, 1),
(6088, 1),
(6089, 1),
(6090, 1),
(6091, 1),
(6092, 1),
(6093, 1),
(6094, 1),
(6095, 1),
(6096, 1),
(6097, 1),
(6098, 1),
(6099, 1),
(6100, 1),
(6101, 1),
(6102, 1),
(6103, 1),
(6104, 1),
(6105, 1),
(6106, 1),
(6107, 1),
(6108, 1),
(6109, 1),
(6110, 1),
(6111, 1),
(6112, 1),
(6113, 1),
(6114, 1),
(6115, 1),
(6116, 1),
(6117, 1),
(6118, 1),
(6119, 1),
(6120, 1),
(6121, 1),
(6122, 1),
(6123, 1),
(6124, 1),
(6125, 1),
(6126, 1),
(6127, 1),
(6128, 1),
(6129, 1),
(6130, 1),
(6131, 1),
(6132, 1),
(6133, 1),
(6134, 1),
(6135, 1),
(6136, 1),
(6137, 1),
(6138, 1),
(6139, 1),
(6140, 1),
(6141, 1),
(6142, 1),
(6143, 1),
(6144, 1),
(6145, 1),
(6146, 1),
(6147, 1),
(6148, 1),
(6149, 1),
(6150, 1),
(6151, 1),
(6152, 1),
(6153, 1),
(6154, 1),
(6155, 1),
(6156, 1),
(6157, 1),
(6158, 1),
(6159, 1),
(6160, 1),
(6161, 1),
(6162, 1),
(6163, 1),
(6164, 1),
(6165, 1),
(6166, 1),
(6167, 1),
(6168, 1),
(6169, 1),
(6170, 1),
(6171, 1),
(6172, 1),
(6173, 1),
(6174, 1),
(6175, 1),
(6176, 1),
(6177, 1),
(6178, 1),
(6179, 1),
(6180, 1),
(6181, 1),
(6182, 1),
(6183, 1),
(6184, 1),
(6185, 1),
(6186, 1),
(6187, 1),
(6188, 1),
(6189, 1),
(6190, 1),
(6191, 1),
(6192, 1),
(6193, 1),
(6194, 1),
(6195, 1),
(6196, 1),
(6197, 1),
(6198, 1),
(6199, 1),
(6200, 1),
(6201, 1),
(6202, 1),
(6203, 1),
(6204, 1),
(6205, 1),
(6206, 1),
(6207, 1),
(6208, 1),
(6209, 1),
(6210, 1),
(6211, 1),
(6212, 1),
(6213, 1),
(6214, 1),
(6215, 1),
(6216, 1),
(6217, 1),
(6218, 1),
(6219, 1),
(6220, 1),
(6221, 1),
(6222, 1),
(6223, 1),
(6224, 1),
(6225, 1),
(6226, 1),
(6227, 1),
(6228, 1),
(6229, 1),
(6230, 1),
(6231, 1),
(6232, 1),
(6233, 1),
(6234, 1),
(6235, 1),
(6236, 1),
(6237, 1),
(6238, 1),
(6239, 1),
(6240, 1),
(6241, 1),
(6242, 1),
(6243, 1),
(6244, 1),
(6245, 1),
(6246, 1),
(6247, 1),
(6248, 1),
(6249, 1),
(6250, 1),
(6251, 1),
(6252, 1),
(6253, 1),
(6254, 1),
(6255, 1),
(6256, 1),
(6257, 1),
(6258, 1),
(6259, 1),
(6260, 1),
(6261, 1),
(6262, 1),
(6263, 1),
(6264, 1),
(6265, 1),
(6266, 1),
(6267, 1),
(6268, 1),
(6269, 1),
(6270, 1),
(6271, 1),
(6272, 1),
(6273, 1),
(6274, 1),
(6275, 1),
(6276, 1),
(6277, 1),
(6278, 1),
(6279, 1),
(6280, 1),
(6281, 1),
(6282, 1),
(6283, 1),
(6284, 1),
(6285, 1),
(6286, 1),
(6287, 1),
(6288, 1),
(6289, 1),
(6290, 1),
(6291, 1),
(6292, 1),
(6293, 1),
(6294, 1),
(6295, 1),
(6296, 1),
(6297, 1),
(6298, 1),
(6299, 1),
(6300, 1),
(6301, 1),
(6302, 1),
(6303, 1),
(6304, 1),
(6305, 1),
(6306, 1),
(6307, 1),
(6308, 1),
(6309, 1),
(6310, 1),
(6311, 1),
(6312, 1),
(6313, 1),
(6314, 1),
(6315, 1),
(6316, 1),
(6317, 1),
(6318, 1),
(6319, 1),
(6320, 1),
(6321, 1),
(6322, 1),
(6323, 1),
(6324, 1),
(6325, 1),
(6326, 1),
(6327, 1),
(6328, 1),
(6329, 1),
(6330, 1),
(6331, 1),
(6332, 1),
(6333, 1),
(6334, 1),
(6335, 1),
(6336, 1),
(6337, 1),
(6338, 1),
(6339, 1),
(6340, 1),
(6341, 1),
(6342, 1),
(6343, 1),
(6344, 1),
(6345, 1),
(6346, 1),
(6347, 1),
(6348, 1),
(6349, 1),
(6350, 1),
(6351, 1),
(6352, 1),
(6353, 1),
(6354, 1),
(6355, 1),
(6356, 1),
(6357, 1),
(6358, 1),
(6359, 1),
(6360, 1),
(6361, 1),
(6362, 1),
(6363, 1),
(6364, 1),
(6365, 1),
(6366, 1),
(6367, 1),
(6368, 1),
(6369, 1),
(6370, 1),
(6371, 1),
(6372, 1),
(6373, 1),
(6374, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(6375, 1),
(6376, 1),
(6377, 1),
(6378, 1),
(6379, 1),
(6380, 1),
(6381, 1),
(6382, 1),
(6383, 1),
(6384, 1),
(6385, 1),
(6386, 1),
(6387, 1),
(6388, 1),
(6389, 1),
(6390, 1),
(6391, 1),
(6392, 1),
(6393, 1),
(6394, 1),
(6395, 1),
(6396, 1),
(6397, 1),
(6398, 1),
(6399, 1),
(6400, 1),
(6401, 1),
(6402, 1),
(6403, 1),
(6404, 1),
(6405, 1),
(6406, 1),
(6407, 1),
(6408, 1),
(6409, 1),
(6410, 1),
(6411, 1),
(6412, 1),
(6413, 1),
(6414, 1),
(6415, 1),
(6416, 1),
(6417, 1),
(6418, 1),
(6419, 1),
(6420, 1),
(6421, 1),
(6422, 1),
(6423, 1),
(6424, 1),
(6425, 1),
(6426, 1),
(6427, 1),
(6428, 1),
(6429, 1),
(6430, 1),
(6431, 1),
(6432, 1),
(6433, 1),
(6434, 1),
(6435, 1),
(6436, 1),
(6437, 1),
(6438, 1),
(6439, 1),
(6440, 1),
(6441, 1),
(6442, 1),
(6443, 1),
(6444, 1),
(6445, 1),
(6446, 1),
(6447, 1),
(6448, 1),
(6449, 1),
(6450, 1),
(6451, 1),
(6452, 1),
(6453, 1),
(6454, 1),
(6455, 1),
(6456, 1),
(6457, 1),
(6458, 1),
(6459, 1),
(6460, 1),
(6461, 1),
(6462, 1),
(6463, 1),
(6464, 1),
(6465, 1),
(6466, 1),
(6467, 1),
(6468, 1),
(6469, 1),
(6470, 1),
(6471, 1),
(6472, 1),
(6473, 1),
(6474, 1),
(6475, 1),
(6476, 1),
(6477, 1),
(6478, 1),
(6479, 1),
(6480, 1),
(6481, 1),
(6482, 1),
(6483, 1),
(6484, 1),
(6485, 1),
(6486, 1),
(6487, 1),
(6488, 1),
(6489, 1),
(6490, 1),
(6491, 1),
(6492, 1),
(6493, 1),
(6494, 1),
(6495, 1),
(6496, 1),
(6497, 1),
(6498, 1),
(6499, 1),
(6500, 1),
(6501, 1),
(6502, 1),
(6503, 1),
(6504, 1),
(6505, 1),
(6506, 1),
(6507, 1),
(6508, 1),
(6509, 1),
(6510, 1),
(6511, 1),
(6512, 1),
(6513, 1),
(6514, 1),
(6515, 1),
(6516, 1),
(6517, 1),
(6518, 1),
(6519, 1),
(6520, 1),
(6521, 1),
(6522, 1),
(6523, 1),
(6524, 1),
(6525, 1),
(6526, 1),
(6527, 1),
(6528, 1),
(6529, 1),
(6530, 1),
(6531, 1),
(6532, 1),
(6533, 1),
(6534, 1),
(6535, 1),
(6536, 1),
(6537, 1),
(6538, 1),
(6539, 1),
(6540, 1),
(6541, 1),
(6542, 1),
(6543, 1),
(6544, 1),
(6545, 1),
(6546, 1),
(6547, 1),
(6548, 1),
(6549, 1),
(6550, 1),
(6551, 1),
(6552, 1),
(6553, 1),
(6554, 1),
(6555, 1),
(6556, 1),
(6557, 1),
(6558, 1),
(6559, 1),
(6560, 1),
(6561, 1),
(6562, 1),
(6563, 1),
(6564, 1),
(6565, 1),
(6566, 1),
(6567, 1),
(6568, 1),
(6569, 1),
(6570, 1),
(6571, 1),
(6572, 1),
(6573, 1),
(6574, 1),
(6575, 1),
(6576, 1),
(6577, 1),
(6578, 1),
(6579, 1),
(6580, 1),
(6581, 1),
(6582, 1),
(6583, 1),
(6584, 1),
(6585, 1),
(6586, 1),
(6587, 1),
(6588, 1),
(6589, 1),
(6590, 1),
(6591, 1),
(6592, 1),
(6593, 1),
(6594, 1),
(6595, 1),
(6596, 1),
(6597, 1),
(6598, 1),
(6599, 1),
(6600, 1),
(6601, 1),
(6602, 1),
(6603, 1),
(6604, 1),
(6605, 1),
(6606, 1),
(6607, 1),
(6608, 1),
(6609, 1),
(6610, 1),
(6611, 1),
(6612, 1),
(6613, 1),
(6614, 1),
(6615, 1),
(6616, 1),
(6617, 1),
(6618, 1),
(6619, 1),
(6620, 1),
(6621, 1),
(6622, 1),
(6623, 1),
(6624, 1),
(6625, 1),
(6626, 1),
(6627, 1),
(6628, 1),
(6629, 1),
(6630, 1),
(6631, 1),
(6632, 1),
(6633, 1),
(6634, 1),
(6635, 1),
(6636, 1),
(6637, 1),
(6638, 1),
(6639, 1),
(6640, 1),
(6641, 1),
(6642, 1),
(6643, 1),
(6644, 1),
(6645, 1),
(6646, 1),
(6647, 1),
(6648, 1),
(6649, 1),
(6650, 1),
(6651, 1),
(6652, 1),
(6653, 1),
(6654, 1),
(6655, 1),
(6656, 1),
(6657, 1),
(6658, 1),
(6659, 1),
(6660, 1),
(6661, 1),
(6662, 1),
(6663, 1),
(6664, 1),
(6665, 1),
(6666, 1),
(6667, 1),
(6668, 1),
(6669, 1),
(6670, 1),
(6671, 1),
(6672, 1),
(6673, 1),
(6674, 1),
(6675, 1),
(6676, 1),
(6677, 1),
(6678, 1),
(6679, 1),
(6680, 1),
(6681, 1),
(6682, 1),
(6683, 1),
(6684, 1),
(6685, 1),
(6686, 1),
(6687, 1),
(6688, 1),
(6689, 1),
(6690, 1),
(6691, 1),
(6692, 1),
(6693, 1),
(6694, 1),
(6695, 1),
(6696, 1),
(6697, 1),
(6698, 1),
(6699, 1),
(6700, 1),
(6701, 1),
(6702, 1),
(6703, 1),
(6704, 1),
(6705, 1),
(6706, 1),
(6707, 1),
(6708, 1),
(6709, 1),
(6710, 1),
(6711, 1),
(6712, 1),
(6713, 1),
(6714, 1),
(6715, 1),
(6716, 1),
(6717, 1),
(6718, 1),
(6719, 1),
(6720, 1),
(6721, 1),
(6722, 1),
(6723, 1),
(6724, 1),
(6725, 1),
(6726, 1),
(6727, 1),
(6728, 1),
(6729, 1),
(6730, 1),
(6731, 1),
(6732, 1),
(6733, 1),
(6734, 1),
(6735, 1),
(6736, 1),
(6737, 1),
(6738, 1),
(6739, 1),
(6740, 1),
(6741, 1),
(6742, 1),
(6743, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(6744, 1),
(6745, 1),
(6746, 1),
(6747, 1),
(6748, 1),
(6749, 1),
(6750, 1),
(6751, 1),
(6752, 1),
(6753, 1),
(6754, 1),
(6755, 1),
(6756, 1),
(6757, 1),
(6758, 1),
(6759, 1),
(6760, 1),
(6761, 1),
(6762, 1),
(6763, 1),
(6764, 1),
(6765, 1),
(6766, 1),
(6767, 1),
(6768, 1),
(6769, 1),
(6770, 1),
(6771, 1),
(6772, 1),
(6773, 1),
(6774, 1),
(6775, 1),
(6776, 1),
(6777, 1),
(6778, 1),
(6779, 1),
(6780, 1),
(6781, 1),
(6782, 1),
(6783, 1),
(6784, 1),
(6785, 1),
(6786, 1),
(6787, 1),
(6788, 1),
(6789, 1),
(6790, 1),
(6791, 1),
(6792, 1),
(6793, 1),
(6794, 1),
(6795, 1),
(6796, 1),
(6797, 1),
(6798, 1),
(6799, 1),
(6800, 1),
(6801, 1),
(6802, 1),
(6803, 1),
(6804, 1),
(6805, 1),
(6806, 1),
(6807, 1),
(6808, 1),
(6809, 1),
(6810, 1),
(6811, 1),
(6812, 1),
(6813, 1),
(6814, 1),
(6815, 1),
(6816, 1),
(6817, 1),
(6818, 1),
(6819, 1),
(6820, 1),
(6821, 1),
(6822, 1),
(6823, 1),
(6824, 1),
(6825, 1),
(6826, 1),
(6827, 1),
(6828, 1),
(6829, 1),
(6830, 1),
(6831, 1),
(6832, 1),
(6833, 1),
(6834, 1),
(6835, 1),
(6836, 1),
(6837, 1),
(6838, 1),
(6839, 1),
(6840, 1),
(6841, 1),
(6842, 1),
(6843, 1),
(6844, 1),
(6845, 1),
(6846, 1),
(6847, 1),
(6848, 1),
(6849, 1),
(6850, 1),
(6851, 1),
(6852, 1),
(6853, 1),
(6854, 1),
(6855, 1),
(6856, 1),
(6857, 1),
(6858, 1),
(6859, 1),
(6860, 1),
(6861, 1),
(6862, 1),
(6863, 1),
(6864, 1),
(6865, 1),
(6866, 1),
(6867, 1),
(6868, 1),
(6869, 1),
(6870, 1),
(6871, 1),
(6872, 1),
(6873, 1),
(6874, 1),
(6875, 1),
(6876, 1),
(6877, 1),
(6878, 1),
(6879, 1),
(6880, 1),
(6881, 1),
(6882, 1),
(6883, 1),
(6884, 1),
(6885, 1),
(6886, 1),
(6887, 1),
(6888, 1),
(6889, 1),
(6890, 1),
(6891, 1),
(6892, 1),
(6893, 1),
(6894, 1),
(6895, 1),
(6896, 1),
(6897, 1),
(6898, 1),
(6899, 1),
(6900, 1),
(6901, 1),
(6902, 1),
(6903, 1),
(6904, 1),
(6905, 1),
(6906, 1),
(6907, 1),
(6908, 1),
(6909, 1),
(6910, 1),
(6911, 1),
(6912, 1),
(6913, 1),
(6914, 1),
(6915, 1),
(6916, 1),
(6917, 1),
(6918, 1),
(6919, 1),
(6920, 1),
(6921, 1),
(6922, 1),
(6923, 1),
(6924, 1),
(6925, 1),
(6926, 1),
(6927, 1),
(6928, 1),
(6929, 1),
(6930, 1),
(6931, 1),
(6932, 1),
(6933, 1),
(6934, 1),
(6935, 1),
(6936, 1),
(6937, 1),
(6938, 1),
(6939, 1),
(6940, 1),
(6941, 1),
(6942, 1),
(6943, 1),
(6944, 1),
(6945, 1),
(6946, 1),
(6947, 1),
(6948, 1),
(6949, 1),
(6950, 1),
(6951, 1),
(6952, 1),
(6953, 1),
(6954, 1),
(6955, 1),
(6956, 1),
(6957, 1),
(6958, 1),
(6959, 1),
(6960, 1),
(6961, 1),
(6962, 1),
(6963, 1),
(6964, 1),
(6965, 1),
(6966, 1),
(6967, 1),
(6968, 1),
(6969, 1),
(6970, 1),
(6971, 1),
(6972, 1),
(6973, 1),
(6974, 1),
(6975, 1),
(6976, 1),
(6977, 1),
(6978, 1),
(6979, 1),
(6980, 1),
(6981, 1),
(6982, 1),
(6983, 1),
(6984, 1),
(6985, 1),
(6986, 1),
(6987, 1),
(6988, 1),
(6989, 1),
(6990, 1),
(6991, 1),
(6992, 1),
(6993, 1),
(6994, 1),
(6995, 1),
(6996, 1),
(6997, 1),
(6998, 1),
(6999, 1),
(7000, 1),
(7001, 1),
(7002, 1),
(7003, 1),
(7004, 1),
(7005, 1),
(7006, 1),
(7007, 1),
(7008, 1),
(7009, 1),
(7010, 1),
(7011, 1),
(7012, 1),
(7013, 1),
(7014, 1),
(7015, 1),
(7016, 1),
(7017, 1),
(7018, 1),
(7019, 1),
(7020, 1),
(7021, 1),
(7022, 1),
(7023, 1),
(7024, 1),
(7025, 1),
(7026, 1),
(7027, 1),
(7028, 1),
(7029, 1),
(7030, 1),
(7031, 1),
(7032, 1),
(7033, 1),
(7034, 1),
(7035, 1),
(7036, 1),
(7037, 1),
(7038, 1),
(7039, 1),
(7040, 1),
(7041, 1),
(7042, 1),
(7043, 1),
(7044, 1),
(7045, 1),
(7046, 1),
(7047, 1),
(7048, 1),
(7049, 1),
(7050, 1),
(7051, 1),
(7052, 1),
(7053, 1),
(7054, 1),
(7055, 1),
(7056, 1),
(7057, 1),
(7058, 1),
(7059, 1),
(7060, 1),
(7061, 1),
(7062, 1),
(7063, 1),
(7064, 1),
(7065, 1),
(7066, 1),
(7067, 1),
(7068, 1),
(7069, 1),
(7070, 1),
(7071, 1),
(7072, 1),
(7073, 1),
(7074, 1),
(7075, 1),
(7076, 1),
(7077, 1),
(7078, 1),
(7079, 1),
(7080, 1),
(7081, 1),
(7082, 1),
(7083, 1),
(7084, 1),
(7085, 1),
(7086, 1),
(7087, 1),
(7088, 1),
(7089, 1),
(7090, 1),
(7091, 1),
(7092, 1),
(7093, 1),
(7094, 1),
(7095, 1),
(7096, 1),
(7097, 1),
(7098, 1),
(7099, 1),
(7100, 1),
(7101, 1),
(7102, 1),
(7103, 1),
(7104, 1),
(7105, 1),
(7106, 1),
(7107, 1),
(7108, 1),
(7109, 1),
(7110, 1),
(7111, 1),
(7112, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(7113, 1),
(7114, 1),
(7115, 1),
(7116, 1),
(7117, 1),
(7118, 1),
(7119, 1),
(7120, 1),
(7121, 1),
(7122, 1),
(7123, 1),
(7124, 1),
(7125, 1),
(7126, 1),
(7127, 1),
(7128, 1),
(7129, 1),
(7130, 1),
(7131, 1),
(7132, 1),
(7133, 1),
(7134, 1),
(7135, 1),
(7136, 1),
(7137, 1),
(7138, 1),
(7139, 1),
(7140, 1),
(7141, 1),
(7142, 1),
(7143, 1),
(7144, 1),
(7145, 1),
(7146, 1),
(7147, 1),
(7148, 1),
(7149, 1),
(7150, 1),
(7151, 1),
(7152, 1),
(7153, 1),
(7154, 1),
(7155, 1),
(7156, 1),
(7157, 1),
(7158, 1),
(7159, 1),
(7160, 1),
(7161, 1),
(7162, 1),
(7163, 1),
(7164, 1),
(7165, 1),
(7166, 1),
(7167, 1),
(7168, 1),
(7169, 1),
(7170, 1),
(7171, 1),
(7172, 1),
(7173, 1),
(7174, 1),
(7175, 1),
(7176, 1),
(7177, 1),
(7178, 1),
(7179, 1),
(7180, 1),
(7181, 1),
(7182, 1),
(7183, 1),
(7184, 1),
(7185, 1),
(7186, 1),
(7187, 1),
(7188, 1),
(7189, 1),
(7190, 1),
(7191, 1),
(7192, 1),
(7193, 1),
(7194, 1),
(7195, 1),
(7196, 1),
(7197, 1),
(7198, 1),
(7199, 1),
(7200, 1),
(7201, 1),
(7202, 1),
(7203, 1),
(7204, 1),
(7205, 1),
(7206, 1),
(7207, 1),
(7208, 1),
(7209, 1),
(7210, 1),
(7211, 1),
(7212, 1),
(7213, 1),
(7214, 1),
(7215, 1),
(7216, 1),
(7217, 1),
(7218, 1),
(7219, 1),
(7220, 1),
(7221, 1),
(7222, 1),
(7223, 1),
(7224, 1),
(7225, 1),
(7226, 1),
(7227, 1),
(7228, 1),
(7229, 1),
(7230, 1),
(7231, 1),
(7232, 1),
(7233, 1),
(7234, 1),
(7235, 1),
(7236, 1),
(7237, 1),
(7238, 1),
(7239, 1),
(7240, 1),
(7241, 1),
(7242, 1),
(7243, 1),
(7244, 1),
(7245, 1),
(7246, 1),
(7247, 1),
(7248, 1),
(7249, 1),
(7250, 1),
(7251, 1),
(7252, 1),
(7253, 1),
(7254, 1),
(7255, 1),
(7256, 1),
(7257, 1),
(7258, 1),
(7259, 1),
(7260, 1),
(7261, 1),
(7262, 1),
(7263, 1),
(7264, 1),
(7265, 1),
(7266, 1),
(7267, 1),
(7268, 1),
(7269, 1),
(7270, 1),
(7271, 1),
(7272, 1),
(7273, 1),
(7274, 1),
(7275, 1),
(7276, 1),
(7277, 1),
(7278, 1),
(7279, 1),
(7280, 1),
(7281, 1),
(7282, 1),
(7283, 1),
(7284, 1),
(7285, 1),
(7286, 1),
(7287, 1),
(7288, 1),
(7289, 1),
(7290, 1),
(7291, 1),
(7292, 1),
(7293, 1),
(7294, 1),
(7295, 1),
(7296, 1),
(7297, 1),
(7298, 1),
(7299, 1),
(7300, 1),
(7301, 1),
(7302, 1),
(7303, 1),
(7304, 1),
(7305, 1),
(7306, 1),
(7307, 1),
(7308, 1),
(7309, 1),
(7310, 1),
(7311, 1),
(7312, 1),
(7313, 1),
(7314, 1),
(7315, 1),
(7316, 1),
(7317, 1),
(7318, 1),
(7319, 1),
(7320, 1),
(7321, 1),
(7322, 1),
(7323, 1),
(7324, 1),
(7325, 1),
(7326, 1),
(7327, 1),
(7328, 1),
(7329, 1),
(7330, 1),
(7331, 1),
(7332, 1),
(7333, 1),
(7334, 1),
(7335, 1),
(7336, 1),
(7337, 1),
(7338, 1),
(7339, 1),
(7340, 1),
(7341, 1),
(7342, 1),
(7343, 1),
(7344, 1),
(7345, 1),
(7346, 1),
(7347, 1),
(7348, 1),
(7349, 1),
(7350, 1),
(7351, 1),
(7352, 1),
(7353, 1),
(7354, 1),
(7355, 1),
(7356, 1),
(7357, 1),
(7358, 1),
(7359, 1),
(7360, 1),
(7361, 1),
(7362, 1),
(7363, 1),
(7364, 1),
(7365, 1),
(7366, 1),
(7367, 1),
(7368, 1),
(7369, 1),
(7370, 1),
(7371, 1),
(7372, 1),
(7373, 1),
(7374, 1),
(7375, 1),
(7376, 1),
(7377, 1),
(7378, 1),
(7379, 1),
(7380, 1),
(7381, 1),
(7382, 1),
(7383, 1),
(7384, 1),
(7385, 1),
(7386, 1),
(7387, 1),
(7388, 1),
(7389, 1),
(7390, 1),
(7391, 1),
(7392, 1),
(7393, 1),
(7394, 1),
(7395, 1),
(7396, 1),
(7397, 1),
(7398, 1),
(7399, 1),
(7400, 1),
(7401, 1),
(7402, 1),
(7403, 1),
(7404, 1),
(7405, 1),
(7406, 1),
(7407, 1),
(7408, 1),
(7409, 1),
(7410, 1),
(7411, 1),
(7412, 1),
(7413, 1),
(7414, 1),
(7415, 1),
(7416, 1),
(7417, 1),
(7418, 1),
(7419, 1),
(7420, 1),
(7421, 1),
(7422, 1),
(7423, 1),
(7424, 1),
(7425, 1),
(7426, 1),
(7427, 1),
(7428, 1),
(7429, 1),
(7430, 1),
(7431, 1),
(7432, 1),
(7433, 1),
(7434, 1),
(7435, 1),
(7436, 1),
(7437, 1),
(7438, 1),
(7439, 1),
(7440, 1),
(7441, 1),
(7442, 1),
(7443, 1),
(7444, 1),
(7445, 1),
(7446, 1),
(7447, 1),
(7448, 1),
(7449, 1),
(7450, 1),
(7451, 1),
(7452, 1),
(7453, 1),
(7454, 1),
(7455, 1),
(7456, 1),
(7457, 1),
(7458, 1),
(7459, 1),
(7460, 1),
(7461, 1),
(7462, 1),
(7463, 1),
(7464, 1),
(7465, 1),
(7466, 1),
(7467, 1),
(7468, 1),
(7469, 1),
(7470, 1),
(7471, 1),
(7472, 1),
(7473, 1),
(7474, 1),
(7475, 1),
(7476, 1),
(7477, 1),
(7478, 1),
(7479, 1),
(7480, 1),
(7481, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(7482, 1),
(7483, 1),
(7484, 1),
(7485, 1),
(7486, 1),
(7487, 1),
(7488, 1),
(7489, 1),
(7490, 1),
(7491, 1),
(7492, 1),
(7493, 1),
(7494, 1),
(7495, 1),
(7496, 1),
(7497, 1),
(7498, 1),
(7499, 1),
(7500, 1),
(7501, 1),
(7502, 1),
(7503, 1),
(7504, 1),
(7505, 1),
(7506, 1),
(7507, 1),
(7508, 1),
(7509, 1),
(7510, 1),
(7511, 1),
(7512, 1),
(7513, 1),
(7514, 1),
(7515, 1),
(7516, 1),
(7517, 1),
(7518, 1),
(7519, 1),
(7520, 1),
(7521, 1),
(7522, 1),
(7523, 1),
(7524, 1),
(7525, 1),
(7526, 1),
(7527, 1),
(7528, 1),
(7529, 1),
(7530, 1),
(7531, 1),
(7532, 1),
(7533, 1),
(7534, 1),
(7535, 1),
(7536, 1),
(7537, 1),
(7538, 1),
(7539, 1),
(7540, 1),
(7541, 1),
(7542, 1),
(7543, 1),
(7544, 1),
(7545, 1),
(7546, 1),
(7547, 1),
(7548, 1),
(7549, 1),
(7550, 1),
(7551, 1),
(7552, 1),
(7553, 1),
(7554, 1),
(7555, 1),
(7556, 1),
(7557, 1),
(7558, 1),
(7559, 1),
(7560, 1),
(7561, 1),
(7562, 1),
(7563, 1),
(7564, 1),
(7565, 1),
(7566, 1),
(7567, 1),
(7568, 1),
(7569, 1),
(7570, 1),
(7571, 1),
(7572, 1),
(7573, 1),
(7574, 1),
(7575, 1),
(7576, 1),
(7577, 1),
(7578, 1),
(7579, 1),
(7580, 1),
(7581, 1),
(7582, 1),
(7583, 1),
(7584, 1),
(7585, 1),
(7586, 1),
(7587, 1),
(7588, 1),
(7589, 1),
(7590, 1),
(7591, 1),
(7592, 1),
(7593, 1),
(7594, 1),
(7595, 1),
(7596, 1),
(7597, 1),
(7598, 1),
(7599, 1),
(7600, 1),
(7601, 1),
(7602, 1),
(7603, 1),
(7604, 1),
(7605, 1),
(7606, 1),
(7607, 1),
(7608, 1),
(7609, 1),
(7610, 1),
(7611, 1),
(7612, 1),
(7613, 1),
(7614, 1),
(7615, 1),
(7616, 1),
(7617, 1),
(7618, 1),
(7619, 1),
(7620, 1),
(7621, 1),
(7622, 1),
(7623, 1),
(7624, 1),
(7625, 1),
(7626, 1),
(7627, 1),
(7628, 1),
(7629, 1),
(7630, 1),
(7631, 1),
(7632, 1),
(7633, 1),
(7634, 1),
(7635, 1),
(7636, 1),
(7637, 1),
(7638, 1),
(7639, 1),
(7640, 1),
(7641, 1),
(7642, 1),
(7643, 1),
(7644, 1),
(7645, 1),
(7646, 1),
(7647, 1),
(7648, 1),
(7649, 1),
(7650, 1),
(7651, 1),
(7652, 1),
(7653, 1),
(7654, 1),
(7655, 1),
(7656, 1),
(7657, 1),
(7658, 1),
(7659, 1),
(7660, 1),
(7661, 1),
(7662, 1),
(7663, 1),
(7664, 1),
(7665, 1),
(7666, 1),
(7667, 1),
(7668, 1),
(7669, 1),
(7670, 1),
(7671, 1),
(7672, 1),
(7673, 1),
(7674, 1),
(7675, 1),
(7676, 1),
(7677, 1),
(7678, 1),
(7679, 1),
(7680, 1),
(7681, 1),
(7682, 1),
(7683, 1),
(7684, 1),
(7685, 1),
(7686, 1),
(7687, 1),
(7688, 1),
(7689, 1),
(7690, 1),
(7691, 1),
(7692, 1),
(7693, 1),
(7694, 1),
(7695, 1),
(7696, 1),
(7697, 1),
(7698, 1),
(7699, 1),
(7700, 1),
(7701, 1),
(7702, 1),
(7703, 1),
(7704, 1),
(7705, 1),
(7706, 1),
(7707, 1),
(7708, 1),
(7709, 1),
(7710, 1),
(7711, 1),
(7712, 1),
(7713, 1),
(7714, 1),
(7715, 1),
(7716, 1),
(7717, 1),
(7718, 1),
(7719, 1),
(7720, 1),
(7721, 1),
(7722, 1),
(7723, 1),
(7724, 1),
(7725, 1),
(7726, 1),
(7727, 1),
(7728, 1),
(7729, 1),
(7730, 1),
(7731, 1),
(7732, 1),
(7733, 1),
(7734, 1),
(7735, 1),
(7736, 1),
(7737, 1),
(7738, 1),
(7739, 1),
(7740, 1),
(7741, 1),
(7742, 1),
(7743, 1),
(7744, 1),
(7745, 1),
(7746, 1),
(7747, 1),
(7748, 1),
(7749, 1),
(7750, 1),
(7751, 1),
(7752, 1),
(7753, 1),
(7754, 1),
(7755, 1),
(7756, 1),
(7757, 1),
(7758, 1),
(7759, 1),
(7760, 1),
(7761, 1),
(7762, 1),
(7763, 1),
(7764, 1),
(7765, 1),
(7766, 1),
(7767, 1),
(7768, 1),
(7769, 1),
(7770, 1),
(7771, 1),
(7772, 1),
(7773, 1),
(7774, 1),
(7775, 1),
(7776, 1),
(7777, 1),
(7778, 1),
(7779, 1),
(7780, 1),
(7781, 1),
(7782, 1),
(7783, 1),
(7784, 1),
(7785, 1),
(7786, 1),
(7787, 1),
(7788, 1),
(7789, 1),
(7790, 1),
(7791, 1),
(7792, 1),
(7793, 1),
(7794, 1),
(7795, 1),
(7796, 1),
(7797, 1),
(7798, 1),
(7799, 1),
(7800, 1),
(7801, 1),
(7802, 1),
(7803, 1),
(7804, 1),
(7805, 1),
(7806, 1),
(7807, 1),
(7808, 1),
(7809, 1),
(7810, 1),
(7811, 1),
(7812, 1),
(7813, 1),
(7814, 1),
(7815, 1),
(7816, 1),
(7817, 1),
(7818, 1),
(7819, 1),
(7820, 1),
(7821, 1),
(7822, 1),
(7823, 1),
(7824, 1),
(7825, 1),
(7826, 1),
(7827, 1),
(7828, 1),
(7829, 1),
(7830, 1),
(7831, 1),
(7832, 1),
(7833, 1),
(7834, 1),
(7835, 1),
(7836, 1),
(7837, 1),
(7838, 1),
(7839, 1),
(7840, 1),
(7841, 1),
(7842, 1),
(7843, 1),
(7844, 1),
(7845, 1),
(7846, 1),
(7847, 1),
(7848, 1),
(7849, 1),
(7850, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(7851, 1),
(7852, 1),
(7853, 1),
(7854, 1),
(7855, 1),
(7856, 1),
(7857, 1),
(7858, 1),
(7859, 1),
(7860, 1),
(7861, 1),
(7862, 1),
(7863, 1),
(7864, 1),
(7865, 1),
(7866, 1),
(7867, 1),
(7868, 1),
(7869, 1),
(7870, 1),
(7871, 1),
(7872, 1),
(7873, 1),
(7874, 1),
(7875, 1),
(7876, 1),
(7877, 1),
(7878, 1),
(7879, 1),
(7880, 1),
(7881, 1),
(7882, 1),
(7883, 1),
(7884, 1),
(7885, 1),
(7886, 1),
(7887, 1),
(7888, 1),
(7889, 1),
(7890, 1),
(7891, 1),
(7892, 1),
(7893, 1),
(7894, 1),
(7895, 1),
(7896, 1),
(7897, 1),
(7898, 1),
(7899, 1),
(7900, 1),
(7901, 1),
(7902, 1),
(7903, 1),
(7904, 1),
(7905, 1),
(7906, 1),
(7907, 1),
(7908, 1),
(7909, 1),
(7910, 1),
(7911, 1),
(7912, 1),
(7913, 1),
(7914, 1),
(7915, 1),
(7916, 1),
(7917, 1),
(7918, 1),
(7919, 1),
(7920, 1),
(7921, 1),
(7922, 1),
(7923, 1),
(7924, 1),
(7925, 1),
(7926, 1),
(7927, 1),
(7928, 1),
(7929, 1),
(7930, 1),
(7931, 1),
(7932, 1),
(7933, 1),
(7934, 1),
(7935, 1),
(7936, 1),
(7937, 1),
(7938, 1),
(7939, 1),
(7940, 1),
(7941, 1),
(7942, 1),
(7943, 1),
(7944, 1),
(7945, 1),
(7946, 1),
(7947, 1),
(7948, 1),
(7949, 1),
(7950, 1),
(7951, 1),
(7952, 1),
(7953, 1),
(7954, 1),
(7955, 1),
(7956, 1),
(7957, 1),
(7958, 1),
(7959, 1),
(7960, 1),
(7961, 1),
(7962, 1),
(7963, 1),
(7964, 1),
(7965, 1),
(7966, 1),
(7967, 1),
(7968, 1),
(7969, 1),
(7970, 1),
(7971, 1),
(7972, 1),
(7973, 1),
(7974, 1),
(7975, 1),
(7976, 1),
(7977, 1),
(7978, 1),
(7979, 1),
(7980, 1),
(7981, 1),
(7982, 1),
(7983, 1),
(7984, 1),
(7985, 1),
(7986, 1),
(7987, 1),
(7988, 1),
(7989, 1),
(7990, 1),
(7991, 1),
(7992, 1),
(7993, 1),
(7994, 1),
(7995, 1),
(7996, 1),
(7997, 1),
(7998, 1),
(7999, 1),
(8000, 1),
(8001, 1),
(8002, 1),
(8003, 1),
(8004, 1),
(8005, 1),
(8006, 1),
(8007, 1),
(8008, 1),
(8009, 1),
(8010, 1),
(8011, 1),
(8012, 1),
(8013, 1),
(8014, 1),
(8015, 1),
(8016, 1),
(8017, 1),
(8018, 1),
(8019, 1),
(8020, 1),
(8021, 1),
(8022, 1),
(8023, 1),
(8024, 1),
(8025, 1),
(8026, 1),
(8027, 1),
(8028, 1),
(8029, 1),
(8030, 1),
(8031, 1),
(8032, 1),
(8033, 1),
(8034, 1),
(8035, 1),
(8036, 1),
(8037, 1),
(8038, 1),
(8039, 1),
(8040, 1),
(8041, 1),
(8042, 1),
(8043, 1),
(8044, 1),
(8045, 1),
(8046, 1),
(8047, 1),
(8048, 1),
(8049, 1),
(8050, 1),
(8051, 1),
(8052, 1),
(8053, 1),
(8054, 1),
(8055, 1),
(8056, 1),
(8057, 1),
(8058, 1),
(8059, 1),
(8060, 1),
(8061, 1),
(8062, 1),
(8063, 1),
(8064, 1),
(8065, 1),
(8066, 1),
(8067, 1),
(8068, 1),
(8069, 1),
(8070, 1),
(8071, 1),
(8072, 1),
(8073, 1),
(8074, 1),
(8075, 1),
(8076, 1),
(8077, 1),
(8078, 1),
(8079, 1),
(8080, 1),
(8081, 1),
(8082, 1),
(8083, 1),
(8084, 1),
(8085, 1),
(8086, 1),
(8087, 1),
(8088, 1),
(8089, 1),
(8090, 1),
(8091, 1),
(8092, 1),
(8093, 1),
(8094, 1),
(8095, 1),
(8096, 1),
(8097, 1),
(8098, 1),
(8099, 1),
(8100, 1),
(8101, 1),
(8102, 1),
(8103, 1),
(8104, 1),
(8105, 1),
(8106, 1),
(8107, 1),
(8108, 1),
(8109, 1),
(8110, 1),
(8111, 1),
(8112, 1),
(8113, 1),
(8114, 1),
(8115, 1),
(8116, 1),
(8117, 1),
(8118, 1),
(8119, 1),
(8120, 1),
(8121, 1),
(8122, 1),
(8123, 1),
(8124, 1),
(8125, 1),
(8126, 1),
(8127, 1),
(8128, 1),
(8129, 1),
(8130, 1),
(8131, 1),
(8132, 1),
(8133, 1),
(8134, 1),
(8135, 1),
(8136, 1),
(8137, 1),
(8138, 1),
(8139, 1),
(8140, 1),
(8141, 1),
(8142, 1),
(8143, 1),
(8144, 1),
(8145, 1),
(8146, 1),
(8147, 1),
(8148, 1),
(8149, 1),
(8150, 1),
(8151, 1),
(8152, 1),
(8153, 1),
(8154, 1),
(8155, 1),
(8156, 1),
(8157, 1),
(8158, 1),
(8159, 1),
(8160, 1),
(8161, 1),
(8162, 1),
(8163, 1),
(8164, 1),
(8165, 1),
(8166, 1),
(8167, 1),
(8168, 1),
(8169, 1),
(8170, 1),
(8171, 1),
(8172, 1),
(8173, 1),
(8174, 1),
(8175, 1),
(8176, 1),
(8177, 1),
(8178, 1),
(8179, 1),
(8180, 1),
(8181, 1),
(8182, 1),
(8183, 1),
(8184, 1),
(8185, 1),
(8186, 1),
(8187, 1),
(8188, 1),
(8189, 1),
(8190, 1),
(8191, 1),
(8192, 1),
(8193, 1),
(8194, 1),
(8195, 1),
(8196, 1),
(8197, 1),
(8198, 1),
(8199, 1),
(8200, 1),
(8201, 1),
(8202, 1),
(8203, 1),
(8204, 1),
(8205, 1),
(8206, 1),
(8207, 1),
(8208, 1),
(8209, 1),
(8210, 1),
(8211, 1),
(8212, 1),
(8213, 1),
(8214, 1),
(8215, 1),
(8216, 1),
(8217, 1),
(8218, 1),
(8219, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(8220, 1),
(8221, 1),
(8222, 1),
(8223, 1),
(8224, 1),
(8225, 1),
(8226, 1),
(8227, 1),
(8228, 1),
(8229, 1),
(8230, 1),
(8231, 1),
(8232, 1),
(8233, 1),
(8234, 1),
(8235, 1),
(8236, 1),
(8237, 1),
(8238, 1),
(8239, 1),
(8240, 1),
(8241, 1),
(8242, 1),
(8243, 1),
(8244, 1),
(8245, 1),
(8246, 1),
(8247, 1),
(8248, 1),
(8249, 1),
(8250, 1),
(8251, 1),
(8252, 1),
(8253, 1),
(8254, 1),
(8255, 1),
(8256, 1),
(8257, 1),
(8258, 1),
(8259, 1),
(8260, 1),
(8261, 1),
(8262, 1),
(8263, 1),
(8264, 1),
(8265, 1),
(8266, 1),
(8267, 1),
(8268, 1),
(8269, 1),
(8270, 1),
(8271, 1),
(8272, 1),
(8273, 1),
(8274, 1),
(8275, 1),
(8276, 1),
(8277, 1),
(8278, 1),
(8279, 1),
(8280, 1),
(8281, 1),
(8282, 1),
(8283, 1),
(8284, 1),
(8285, 1),
(8286, 1),
(8287, 1),
(8288, 1),
(8289, 1),
(8290, 1),
(8291, 1),
(8292, 1),
(8293, 1),
(8294, 1),
(8295, 1),
(8296, 1),
(8297, 1),
(8298, 1),
(8299, 1),
(8300, 1),
(8301, 1),
(8302, 1),
(8303, 1),
(8304, 1),
(8305, 1),
(8306, 1),
(8307, 1),
(8308, 1),
(8309, 1),
(8310, 1),
(8311, 1),
(8312, 1),
(8313, 1),
(8314, 1),
(8315, 1),
(8316, 1),
(8317, 1),
(8318, 1),
(8319, 1),
(8320, 1),
(8321, 1),
(8322, 1),
(8323, 1),
(8324, 1),
(8325, 1),
(8326, 1),
(8327, 1),
(8328, 1),
(8329, 1),
(8330, 1),
(8331, 1),
(8332, 1),
(8333, 1),
(8334, 1),
(8335, 1),
(8336, 1),
(8337, 1),
(8338, 1),
(8339, 1),
(8340, 1),
(8341, 1),
(8342, 1),
(8343, 1),
(8344, 1),
(8345, 1),
(8346, 1),
(8347, 1),
(8348, 1),
(8349, 1),
(8350, 1),
(8351, 1),
(8352, 1),
(8353, 1),
(8354, 1),
(8355, 1),
(8356, 1),
(8357, 1),
(8358, 1),
(8359, 1),
(8360, 1),
(8361, 1),
(8362, 1),
(8363, 1),
(8364, 1),
(8365, 1),
(8366, 1),
(8367, 1),
(8368, 1),
(8369, 1),
(8370, 1),
(8371, 1),
(8372, 1),
(8373, 1),
(8374, 1),
(8375, 1),
(8376, 1),
(8377, 1),
(8378, 1),
(8379, 1),
(8380, 1),
(8381, 1),
(8382, 1),
(8383, 1),
(8384, 1),
(8385, 1),
(8386, 1),
(8387, 1),
(8388, 1),
(8389, 1),
(8390, 1),
(8391, 1),
(8392, 1),
(8393, 1),
(8394, 1),
(8395, 1),
(8396, 1),
(8397, 1),
(8398, 1),
(8399, 1),
(8400, 1),
(8401, 1),
(8402, 1),
(8403, 1),
(8404, 1),
(8405, 1),
(8406, 1),
(8407, 1),
(8408, 1),
(8409, 1),
(8410, 1),
(8411, 1),
(8412, 1),
(8413, 1),
(8414, 1),
(8415, 1),
(8416, 1),
(8417, 1),
(8418, 1),
(8419, 1),
(8420, 1),
(8421, 1),
(8422, 1),
(8423, 1),
(8424, 1),
(8425, 1),
(8426, 1),
(8427, 1),
(8428, 1),
(8429, 1),
(8430, 1),
(8431, 1),
(8432, 1),
(8433, 1),
(8434, 1),
(8435, 1),
(8436, 1),
(8437, 1),
(8438, 1),
(8439, 1),
(8440, 1),
(8441, 1),
(8442, 1),
(8443, 1),
(8444, 1),
(8445, 1),
(8446, 1),
(8447, 1),
(8448, 1),
(8449, 1),
(8450, 1),
(8451, 1),
(8452, 1),
(8453, 1),
(8454, 1),
(8455, 1),
(8456, 1),
(8457, 1),
(8458, 1),
(8459, 1),
(8460, 1),
(8461, 1),
(8462, 1),
(8463, 1),
(8464, 1),
(8465, 1),
(8466, 1),
(8467, 1),
(8468, 1),
(8469, 1),
(8470, 1),
(8471, 1),
(8472, 1),
(8473, 1),
(8474, 1),
(8475, 1),
(8476, 1),
(8477, 1),
(8478, 1),
(8479, 1),
(8480, 1),
(8481, 1),
(8482, 1),
(8483, 1),
(8484, 1),
(8485, 1),
(8486, 1),
(8487, 1),
(8488, 1),
(8489, 1),
(8490, 1),
(8491, 1),
(8492, 1),
(8493, 1),
(8494, 1),
(8495, 1),
(8496, 1),
(8497, 1),
(8498, 1),
(8499, 1),
(8500, 1),
(8501, 1),
(8502, 1),
(8503, 1),
(8504, 1),
(8505, 1),
(8506, 1),
(8507, 1),
(8508, 1),
(8509, 1),
(8510, 1),
(8511, 1),
(8512, 1),
(8513, 1),
(8514, 1),
(8515, 1),
(8516, 1),
(8517, 1),
(8518, 1),
(8519, 1),
(8520, 1),
(8521, 1),
(8522, 1),
(8523, 1),
(8524, 1),
(8525, 1),
(8526, 1),
(8527, 1),
(8528, 1),
(8529, 1),
(8530, 1),
(8531, 1),
(8532, 1),
(8533, 1),
(8534, 1),
(8535, 1),
(8536, 1),
(8537, 1),
(8538, 1),
(8539, 1),
(8540, 1),
(8541, 1),
(8542, 1),
(8543, 1),
(8544, 1),
(8545, 1),
(8546, 1),
(8547, 1),
(8548, 1),
(8549, 1),
(8550, 1),
(8551, 1),
(8552, 1),
(8553, 1),
(8554, 1),
(8555, 1),
(8556, 1),
(8557, 1),
(8558, 1),
(8559, 1),
(8560, 1),
(8561, 1),
(8562, 1),
(8563, 1),
(8564, 1),
(8565, 1),
(8566, 1),
(8567, 1),
(8568, 1),
(8569, 1),
(8570, 1),
(8571, 1),
(8572, 1),
(8573, 1),
(8574, 1),
(8575, 1),
(8576, 1),
(8577, 1),
(8578, 1),
(8579, 1),
(8580, 1),
(8581, 1),
(8582, 1),
(8583, 1),
(8584, 1),
(8585, 1),
(8586, 1),
(8587, 1),
(8588, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(8589, 1),
(8590, 1),
(8591, 1),
(8592, 1),
(8593, 1),
(8594, 1),
(8595, 1),
(8596, 1),
(8597, 1),
(8598, 1),
(8599, 1),
(8600, 1),
(8601, 1),
(8602, 1),
(8603, 1),
(8604, 1),
(8605, 1),
(8606, 1),
(8607, 1),
(8608, 1),
(8609, 1),
(8610, 1),
(8611, 1),
(8612, 1),
(8613, 1),
(8614, 1),
(8615, 1),
(8616, 1),
(8617, 1),
(8618, 1),
(8619, 1),
(8620, 1),
(8621, 1),
(8622, 1),
(8623, 1),
(8624, 1),
(8625, 1),
(8626, 1),
(8627, 1),
(8628, 1),
(8629, 1),
(8630, 1),
(8631, 1),
(8632, 1),
(8633, 1),
(8634, 1),
(8635, 1),
(8636, 1),
(8637, 1),
(8638, 1),
(8639, 1),
(8640, 1),
(8641, 1),
(8642, 1),
(8643, 1),
(8644, 1),
(8645, 1),
(8646, 1),
(8647, 1),
(8648, 1),
(8649, 1),
(8650, 1),
(8651, 1),
(8652, 1),
(8653, 1),
(8654, 1),
(8655, 1),
(8656, 1),
(8657, 1),
(8658, 1),
(8659, 1),
(8660, 1),
(8661, 1),
(8662, 1),
(8663, 1),
(8664, 1),
(8665, 1),
(8666, 1),
(8667, 1),
(8668, 1),
(8669, 1),
(8670, 1),
(8671, 1),
(8672, 1),
(8673, 1),
(8674, 1),
(8675, 1),
(8676, 1),
(8677, 1),
(8678, 1),
(8679, 1),
(8680, 1),
(8681, 1),
(8682, 1),
(8683, 1),
(8684, 1),
(8685, 1),
(8686, 1),
(8687, 1),
(8688, 1),
(8689, 1),
(8690, 1),
(8691, 1),
(8692, 1),
(8693, 1),
(8694, 1),
(8695, 1),
(8696, 1),
(8697, 1),
(8698, 1),
(8699, 1),
(8700, 1),
(8701, 1),
(8702, 1),
(8703, 1),
(8704, 1),
(8705, 1),
(8706, 1),
(8707, 1),
(8708, 1),
(8709, 1),
(8710, 1),
(8711, 1),
(8712, 1),
(8713, 1),
(8714, 1),
(8715, 1),
(8716, 1),
(8717, 1),
(8718, 1),
(8719, 1),
(8720, 1),
(8721, 1),
(8722, 1),
(8723, 1),
(8724, 1),
(8725, 1),
(8726, 1),
(8727, 1),
(8728, 1),
(8729, 1),
(8730, 1),
(8731, 1),
(8732, 1),
(8733, 1),
(8734, 1),
(8735, 1),
(8736, 1),
(8737, 1),
(8738, 1),
(8739, 1),
(8740, 1),
(8741, 1),
(8742, 1),
(8743, 1),
(8744, 1),
(8745, 1),
(8746, 1),
(8747, 1),
(8748, 1),
(8749, 1),
(8750, 1),
(8751, 1),
(8752, 1),
(8753, 1),
(8754, 1),
(8755, 1),
(8756, 1),
(8757, 1),
(8758, 1),
(8759, 1),
(8760, 1),
(8761, 1),
(8762, 1),
(8763, 1),
(8764, 1),
(8765, 1),
(8766, 1),
(8767, 1),
(8768, 1),
(8769, 1),
(8770, 1),
(8771, 1),
(8772, 1),
(8773, 1),
(8774, 1),
(8775, 1),
(8776, 1),
(8777, 1),
(8778, 1),
(8779, 1),
(8780, 1),
(8781, 1),
(8782, 1),
(8783, 1),
(8784, 1),
(8785, 1),
(8786, 1),
(8787, 1),
(8788, 1),
(8789, 1),
(8790, 1),
(8791, 1),
(8792, 1),
(8793, 1),
(8794, 1),
(8795, 1),
(8796, 1),
(8797, 1),
(8798, 1),
(8799, 1),
(8800, 1),
(8801, 1),
(8802, 1),
(8803, 1),
(8804, 1),
(8805, 1),
(8806, 1),
(8807, 1),
(8808, 1),
(8809, 1),
(8810, 1),
(8811, 1),
(8812, 1),
(8813, 1),
(8814, 1),
(8815, 1),
(8816, 1),
(8817, 1),
(8818, 1),
(8819, 1),
(8820, 1),
(8821, 1),
(8822, 1),
(8823, 1),
(8824, 1),
(8825, 1),
(8826, 1),
(8827, 1),
(8828, 1),
(8829, 1),
(8830, 1),
(8831, 1),
(8832, 1),
(8833, 1),
(8834, 1),
(8835, 1),
(8836, 1),
(8837, 1),
(8838, 1),
(8839, 1),
(8840, 1),
(8841, 1),
(8842, 1),
(8843, 1),
(8844, 1),
(8845, 1),
(8846, 1),
(8847, 1),
(8848, 1),
(8849, 1),
(8850, 1),
(8851, 1),
(8852, 1),
(8853, 1),
(8854, 1),
(8855, 1),
(8856, 1),
(8857, 1),
(8858, 1),
(8859, 1),
(8860, 1),
(8861, 1),
(8862, 1),
(8863, 1),
(8864, 1),
(8865, 1),
(8866, 1),
(8867, 1),
(8868, 1),
(8869, 1),
(8870, 1),
(8871, 1),
(8872, 1),
(8873, 1),
(8874, 1),
(8875, 1),
(8876, 1),
(8877, 1),
(8878, 1),
(8879, 1),
(8880, 1),
(8881, 1),
(8882, 1),
(8883, 1),
(8884, 1),
(8885, 1),
(8886, 1),
(8887, 1),
(8888, 1),
(8889, 1),
(8890, 1),
(8891, 1),
(8892, 1),
(8893, 1),
(8894, 1),
(8895, 1),
(8896, 1),
(8897, 1),
(8898, 1),
(8899, 1),
(8900, 1),
(8901, 1),
(8902, 1),
(8903, 1),
(8904, 1),
(8905, 1),
(8906, 1),
(8907, 1),
(8908, 1),
(8909, 1),
(8910, 1),
(8911, 1),
(8912, 1),
(8913, 1),
(8914, 1),
(8915, 1),
(8916, 1),
(8917, 1),
(8918, 1),
(8919, 1),
(8920, 1),
(8921, 1),
(8922, 1),
(8923, 1),
(8924, 1),
(8925, 1),
(8926, 1),
(8927, 1),
(8928, 1),
(8929, 1),
(8930, 1),
(8931, 1),
(8932, 1),
(8933, 1),
(8934, 1),
(8935, 1),
(8936, 1),
(8937, 1),
(8938, 1),
(8939, 1),
(8940, 1),
(8941, 1),
(8942, 1),
(8943, 1),
(8944, 1),
(8945, 1),
(8946, 1),
(8947, 1),
(8948, 1),
(8949, 1),
(8950, 1),
(8951, 1),
(8952, 1),
(8953, 1),
(8954, 1),
(8955, 1),
(8956, 1),
(8957, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(8958, 1),
(8959, 1),
(8960, 1),
(8961, 1),
(8962, 1),
(8963, 1),
(8964, 1),
(8965, 1),
(8966, 1),
(8967, 1),
(8968, 1),
(8969, 1),
(8970, 1),
(8971, 1),
(8972, 1),
(8973, 1),
(8974, 1),
(8975, 1),
(8976, 1),
(8977, 1),
(8978, 1),
(8979, 1),
(8980, 1),
(8981, 1),
(8982, 1),
(8983, 1),
(8984, 1),
(8985, 1),
(8986, 1),
(8987, 1),
(8988, 1),
(8989, 1),
(8990, 1),
(8991, 1),
(8992, 1),
(8993, 1),
(8994, 1),
(8995, 1),
(8996, 1),
(8997, 1),
(8998, 1),
(8999, 1),
(9000, 1),
(9001, 1),
(9002, 1),
(9003, 1),
(9004, 1),
(9005, 1),
(9006, 1),
(9007, 1),
(9008, 1),
(9009, 1),
(9010, 1),
(9011, 1),
(9012, 1),
(9013, 1),
(9014, 1),
(9015, 1),
(9016, 1),
(9017, 1),
(9018, 1),
(9019, 1),
(9020, 1),
(9021, 1),
(9022, 1),
(9023, 1),
(9024, 1),
(9025, 1),
(9026, 1),
(9027, 1),
(9028, 1),
(9029, 1),
(9030, 1),
(9031, 1),
(9032, 1),
(9033, 1),
(9034, 1),
(9035, 1),
(9036, 1),
(9037, 1),
(9038, 1),
(9039, 1),
(9040, 1),
(9041, 1),
(9042, 1),
(9043, 1),
(9044, 1),
(9045, 1),
(9046, 1),
(9047, 1),
(9048, 1),
(9049, 1),
(9050, 1),
(9051, 1),
(9052, 1),
(9053, 1),
(9054, 1),
(9055, 1),
(9056, 1),
(9057, 1),
(9058, 1),
(9059, 1),
(9060, 1),
(9061, 1),
(9062, 1),
(9063, 1),
(9064, 1),
(9065, 1),
(9066, 1),
(9067, 1),
(9068, 1),
(9069, 1),
(9070, 1),
(9071, 1),
(9072, 1),
(9073, 1),
(9074, 1),
(9075, 1),
(9076, 1),
(9077, 1),
(9078, 1),
(9079, 1),
(9080, 1),
(9081, 1),
(9082, 1),
(9083, 1),
(9084, 1),
(9085, 1),
(9086, 1),
(9087, 1),
(9088, 1),
(9089, 1),
(9090, 1),
(9091, 1),
(9092, 1),
(9093, 1),
(9094, 1),
(9095, 1),
(9096, 1),
(9097, 1),
(9098, 1),
(9099, 1),
(9100, 1),
(9101, 1),
(9102, 1),
(9103, 1),
(9104, 1),
(9105, 1),
(9106, 1),
(9107, 1),
(9108, 1),
(9109, 1),
(9110, 1),
(9111, 1),
(9112, 1),
(9113, 1),
(9114, 1),
(9115, 1),
(9116, 1),
(9117, 1),
(9118, 1),
(9119, 1),
(9120, 1),
(9121, 1),
(9122, 1),
(9123, 1),
(9124, 1),
(9125, 1),
(9126, 1),
(9127, 1),
(9128, 1),
(9129, 1),
(9130, 1),
(9131, 1),
(9132, 1),
(9133, 1),
(9134, 1),
(9135, 1),
(9136, 1),
(9137, 1),
(9138, 1),
(9139, 1),
(9140, 1),
(9141, 1),
(9142, 1),
(9143, 1),
(9144, 1),
(9145, 1),
(9146, 1),
(9147, 1),
(9148, 1),
(9149, 1),
(9150, 1),
(9151, 1),
(9152, 1),
(9153, 1),
(9154, 1),
(9155, 1),
(9156, 1),
(9157, 1),
(9158, 1),
(9159, 1),
(9160, 1),
(9161, 1),
(9162, 1),
(9163, 1),
(9164, 1),
(9165, 1),
(9166, 1),
(9167, 1),
(9168, 1),
(9169, 1),
(9170, 1),
(9171, 1),
(9172, 1),
(9173, 1),
(9174, 1),
(9175, 1),
(9176, 1),
(9177, 1),
(9178, 1),
(9179, 1),
(9180, 1),
(9181, 1),
(9182, 1),
(9183, 1),
(9184, 1),
(9185, 1),
(9186, 1),
(9187, 1),
(9188, 1),
(9189, 1),
(9190, 1),
(9191, 1),
(9192, 1),
(9193, 1),
(9194, 1),
(9195, 1),
(9196, 1),
(9197, 1),
(9198, 1),
(9199, 1),
(9200, 1),
(9201, 1),
(9202, 1),
(9203, 1),
(9204, 1),
(9205, 1),
(9206, 1),
(9207, 1),
(9208, 1),
(9209, 1),
(9210, 1),
(9211, 1),
(9212, 1),
(9213, 1),
(9214, 1),
(9215, 1),
(9216, 1),
(9217, 1),
(9218, 1),
(9219, 1),
(9220, 1),
(9221, 1),
(9222, 1),
(9223, 1),
(9224, 1),
(9225, 1),
(9226, 1),
(9227, 1),
(9228, 1),
(9229, 1),
(9230, 1),
(9231, 1),
(9232, 1),
(9233, 1),
(9234, 1),
(9235, 1),
(9236, 1),
(9237, 1),
(9238, 1),
(9239, 1),
(9240, 1),
(9241, 1),
(9242, 1),
(9243, 1),
(9244, 1),
(9245, 1),
(9246, 1),
(9247, 1),
(9248, 1),
(9249, 1),
(9250, 1),
(9251, 1),
(9252, 1),
(9253, 1),
(9254, 1),
(9255, 1),
(9256, 1),
(9257, 1),
(9258, 1),
(9259, 1),
(9260, 1),
(9261, 1),
(9262, 1),
(9263, 1),
(9264, 1),
(9265, 1),
(9266, 1),
(9267, 1),
(9268, 1),
(9269, 1),
(9270, 1),
(9271, 1),
(9272, 1),
(9273, 1),
(9274, 1),
(9275, 1),
(9276, 1),
(9277, 1),
(9278, 1),
(9279, 1),
(9280, 1),
(9281, 1),
(9282, 1),
(9283, 1),
(9284, 1),
(9285, 1),
(9286, 1),
(9287, 1),
(9288, 1),
(9289, 1),
(9290, 1),
(9291, 1),
(9292, 1),
(9293, 1),
(9294, 1),
(9295, 1),
(9296, 1),
(9297, 1),
(9298, 1),
(9299, 1),
(9300, 1),
(9301, 1),
(9302, 1),
(9303, 1),
(9304, 1),
(9305, 1),
(9306, 1),
(9307, 1),
(9308, 1),
(9309, 1),
(9310, 1),
(9311, 1),
(9312, 1),
(9313, 1),
(9314, 1),
(9315, 1),
(9316, 1),
(9317, 1),
(9318, 1),
(9319, 1),
(9320, 1),
(9321, 1),
(9322, 1),
(9323, 1),
(9324, 1),
(9325, 1),
(9326, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(9327, 1),
(9328, 1),
(9329, 1),
(9330, 1),
(9331, 1),
(9332, 1),
(9333, 1),
(9334, 1),
(9335, 1),
(9336, 1),
(9337, 1),
(9338, 1),
(9339, 1),
(9340, 1),
(9341, 1),
(9342, 1),
(9343, 1),
(9344, 1),
(9345, 1),
(9346, 1),
(9347, 1),
(9348, 1),
(9349, 1),
(9350, 1),
(9351, 1),
(9352, 1),
(9353, 1),
(9354, 1),
(9355, 1),
(9356, 1),
(9357, 1),
(9358, 1),
(9359, 1),
(9360, 1),
(9361, 1),
(9362, 1),
(9363, 1),
(9364, 1),
(9365, 1),
(9366, 1),
(9367, 1),
(9368, 1),
(9369, 1),
(9370, 1),
(9371, 1),
(9372, 1),
(9373, 1),
(9374, 1),
(9375, 1),
(9376, 1),
(9377, 1),
(9378, 1),
(9379, 1),
(9380, 1),
(9381, 1),
(9382, 1),
(9383, 1),
(9384, 1),
(9385, 1),
(9386, 1),
(9387, 1),
(9388, 1),
(9389, 1),
(9390, 1),
(9391, 1),
(9392, 1),
(9393, 1),
(9394, 1),
(9395, 1),
(9396, 1),
(9397, 1),
(9398, 1),
(9399, 1),
(9400, 1),
(9401, 1),
(9402, 1),
(9403, 1),
(9404, 1),
(9405, 1),
(9406, 1),
(9407, 1),
(9408, 1),
(9409, 1),
(9410, 1),
(9411, 1),
(9412, 1),
(9413, 1),
(9414, 1),
(9415, 1),
(9416, 1),
(9417, 1),
(9418, 1),
(9419, 1),
(9420, 1),
(9421, 1),
(9422, 1),
(9423, 1),
(9424, 1),
(9425, 1),
(9426, 1),
(9427, 1),
(9428, 1),
(9429, 1),
(9430, 1),
(9431, 1),
(9432, 1),
(9433, 1),
(9434, 1),
(9435, 1),
(9436, 1),
(9437, 1),
(9438, 1),
(9439, 1),
(9440, 1),
(9441, 1),
(9442, 1),
(9443, 1),
(9444, 1),
(9445, 1),
(9446, 1),
(9447, 1),
(9448, 1),
(9449, 1),
(9450, 1),
(9451, 1),
(9452, 1),
(9453, 1),
(9454, 1),
(9455, 1),
(9456, 1),
(9457, 1),
(9458, 1),
(9459, 1),
(9460, 1),
(9461, 1),
(9462, 1),
(9463, 1),
(9464, 1),
(9465, 1),
(9466, 1),
(9467, 1),
(9468, 1),
(9469, 1),
(9470, 1),
(9471, 1),
(9472, 1),
(9473, 1),
(9474, 1),
(9475, 1),
(9476, 1),
(9477, 1),
(9478, 1),
(9479, 1),
(9480, 1),
(9481, 1),
(9482, 1),
(9483, 1),
(9484, 1),
(9485, 1),
(9486, 1),
(9487, 1),
(9488, 1),
(9489, 1),
(9490, 1),
(9491, 1),
(9492, 1),
(9493, 1),
(9494, 1),
(9495, 1),
(9496, 1),
(9497, 1),
(9498, 1),
(9499, 1),
(9500, 1),
(9501, 1),
(9502, 1),
(9503, 1),
(9504, 1),
(9505, 1),
(9506, 1),
(9507, 1),
(9508, 1),
(9509, 1),
(9510, 1),
(9511, 1),
(9512, 1),
(9513, 1),
(9514, 1),
(9515, 1),
(9516, 1),
(9517, 1),
(9518, 1),
(9519, 1),
(9520, 1),
(9521, 1),
(9522, 1),
(9523, 1),
(9524, 1),
(9525, 1),
(9526, 1),
(9527, 1),
(9528, 1),
(9529, 1),
(9530, 1),
(9531, 1),
(9532, 1),
(9533, 1),
(9534, 1),
(9535, 1),
(9536, 1),
(9537, 1),
(9538, 1),
(9539, 1),
(9540, 1),
(9541, 1),
(9542, 1),
(9543, 1),
(9544, 1),
(9545, 1),
(9546, 1),
(9547, 1),
(9548, 1),
(9549, 1),
(9550, 1),
(9551, 1),
(9552, 1),
(9553, 1),
(9554, 1),
(9555, 1),
(9556, 1),
(9557, 1),
(9558, 1),
(9559, 1),
(9560, 1),
(9561, 1),
(9562, 1),
(9563, 1),
(9564, 1),
(9565, 1),
(9566, 1),
(9567, 1),
(9568, 1),
(9569, 1),
(9570, 1),
(9571, 1),
(9572, 1),
(9573, 1),
(9574, 1),
(9575, 1),
(9576, 1),
(9577, 1),
(9578, 1),
(9579, 1),
(9580, 1),
(9581, 1),
(9582, 1),
(9583, 1),
(9584, 1),
(9585, 1),
(9586, 1),
(9587, 1),
(9588, 1),
(9589, 1),
(9590, 1),
(9591, 1),
(9592, 1),
(9593, 1),
(9594, 1),
(9595, 1),
(9596, 1),
(9597, 1),
(9598, 1),
(9599, 1),
(9600, 1),
(9601, 1),
(9602, 1),
(9603, 1),
(9604, 1),
(9605, 1),
(9606, 1),
(9607, 1),
(9608, 1),
(9609, 1),
(9610, 1),
(9611, 1),
(9612, 1),
(9613, 1),
(9614, 1),
(9615, 1),
(9616, 1),
(9617, 1),
(9618, 1),
(9619, 1),
(9620, 1),
(9621, 1),
(9622, 1),
(9623, 1),
(9624, 1),
(9625, 1),
(9626, 1),
(9627, 1),
(9628, 1),
(9629, 1),
(9630, 1),
(9631, 1),
(9632, 1),
(9633, 1),
(9634, 1),
(9635, 1),
(9636, 1),
(9637, 1),
(9638, 1),
(9639, 1),
(9640, 1),
(9641, 1),
(9642, 1),
(9643, 1),
(9644, 1),
(9645, 1),
(9646, 1),
(9647, 1),
(9648, 1),
(9649, 1),
(9650, 1),
(9651, 1),
(9652, 1),
(9653, 1),
(9654, 1),
(9655, 1),
(9656, 1),
(9657, 1),
(9658, 1),
(9659, 1),
(9660, 1),
(9661, 1),
(9662, 1),
(9663, 1),
(9664, 1),
(9665, 1),
(9666, 1),
(9667, 1),
(9668, 1),
(9669, 1),
(9670, 1),
(9671, 1),
(9672, 1),
(9673, 1),
(9674, 1),
(9675, 1),
(9676, 1),
(9677, 1),
(9678, 1),
(9679, 1),
(9680, 1),
(9681, 1),
(9682, 1),
(9683, 1),
(9684, 1),
(9685, 1),
(9686, 1),
(9687, 1),
(9688, 1),
(9689, 1),
(9690, 1),
(9691, 1),
(9692, 1),
(9693, 1),
(9694, 1),
(9695, 1);         
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(9696, 1),
(9697, 1),
(9698, 1),
(9699, 1),
(9700, 1),
(9701, 1),
(9702, 1),
(9703, 1),
(9704, 1),
(9705, 1),
(9706, 1),
(9707, 1),
(9708, 1),
(9709, 1),
(9710, 1),
(9711, 1),
(9712, 1),
(9713, 1),
(9714, 1),
(9715, 1),
(9716, 1),
(9717, 1),
(9718, 1),
(9719, 1),
(9720, 1),
(9721, 1),
(9722, 1),
(9723, 1),
(9724, 1),
(9725, 1),
(9726, 1),
(9727, 1),
(9728, 1),
(9729, 1),
(9730, 1),
(9731, 1),
(9732, 1),
(9733, 1),
(9734, 1),
(9735, 1),
(9736, 1),
(9737, 1),
(9738, 1),
(9739, 1),
(9740, 1),
(9741, 1),
(9742, 1),
(9743, 1),
(9744, 1),
(9745, 1),
(9746, 1),
(9747, 1),
(9748, 1),
(9749, 1),
(9750, 1),
(9751, 1),
(9752, 1),
(9753, 1),
(9754, 1),
(9755, 1),
(9756, 1),
(9757, 1),
(9758, 1),
(9759, 1),
(9760, 1),
(9761, 1),
(9762, 1),
(9763, 1),
(9764, 1),
(9765, 1),
(9766, 1),
(9767, 1),
(9768, 1),
(9769, 1),
(9770, 1),
(9771, 1),
(9772, 1),
(9773, 1),
(9774, 1),
(9775, 1),
(9776, 1),
(9777, 1),
(9778, 1),
(9779, 1),
(9780, 1),
(9781, 1),
(9782, 1),
(9783, 1),
(9784, 1),
(9785, 1),
(9786, 1),
(9787, 1),
(9788, 1),
(9789, 1),
(9790, 1),
(9791, 1),
(9792, 1),
(9793, 1),
(9794, 1),
(9795, 1),
(9796, 1),
(9797, 1),
(9798, 1),
(9799, 1),
(9800, 1),
(9801, 1),
(9802, 1),
(9803, 1),
(9804, 1),
(9805, 1),
(9806, 1),
(9807, 1),
(9808, 1),
(9809, 1),
(9810, 1),
(9811, 1),
(9812, 1),
(9813, 1),
(9814, 1),
(9815, 1),
(9816, 1),
(9817, 1),
(9818, 1),
(9819, 1),
(9820, 1),
(9821, 1),
(9822, 1),
(9823, 1),
(9824, 1),
(9825, 1),
(9826, 1),
(9827, 1),
(9828, 1),
(9829, 1),
(9830, 1),
(9831, 1),
(9832, 1),
(9833, 1),
(9834, 1),
(9835, 1),
(9836, 1),
(9837, 1),
(9838, 1),
(9839, 1),
(9840, 1),
(9841, 1),
(9842, 1),
(9843, 1),
(9844, 1),
(9845, 1),
(9846, 1),
(9847, 1),
(9848, 1),
(9849, 1),
(9850, 1),
(9851, 1),
(9852, 1),
(9853, 1),
(9854, 1),
(9855, 1),
(9856, 1),
(9857, 1),
(9858, 1),
(9859, 1),
(9860, 1),
(9861, 1),
(9862, 1),
(9863, 1),
(9864, 1),
(9865, 1),
(9866, 1),
(9867, 1),
(9868, 1),
(9869, 1),
(9870, 1),
(9871, 1),
(9872, 1),
(9873, 1),
(9874, 1),
(9875, 1),
(9876, 1),
(9877, 1),
(9878, 1),
(9879, 1),
(9880, 1),
(9881, 1),
(9882, 1),
(9883, 1),
(9884, 1),
(9885, 1),
(9886, 1),
(9887, 1),
(9888, 1),
(9889, 1),
(9890, 1),
(9891, 1),
(9892, 1),
(9893, 1),
(9894, 1),
(9895, 1),
(9896, 1),
(9897, 1),
(9898, 1),
(9899, 1),
(9900, 1),
(9901, 1),
(9902, 1),
(9903, 1),
(9904, 1),
(9905, 1),
(9906, 1),
(9907, 1),
(9908, 1),
(9909, 1),
(9910, 1),
(9911, 1),
(9912, 1),
(9913, 1),
(9914, 1),
(9915, 1),
(9916, 1),
(9917, 1),
(9918, 1),
(9919, 1),
(9920, 1),
(9921, 1),
(9922, 1),
(9923, 1),
(9924, 1),
(9925, 1),
(9926, 1),
(9927, 1),
(9928, 1),
(9929, 1),
(9930, 1),
(9931, 1),
(9932, 1),
(9933, 1),
(9934, 1),
(9935, 1),
(9936, 1),
(9937, 1),
(9938, 1),
(9939, 1),
(9940, 1),
(9941, 1),
(9942, 1),
(9943, 1),
(9944, 1),
(9945, 1),
(9946, 1),
(9947, 1),
(9948, 1),
(9949, 1),
(9950, 1),
(9951, 1),
(9952, 1),
(9953, 1),
(9954, 1),
(9955, 1),
(9956, 1),
(9957, 1),
(9958, 1),
(9959, 1),
(9960, 1),
(9961, 1),
(9962, 1),
(9963, 1),
(9964, 1),
(9965, 1),
(9966, 1),
(9967, 1),
(9968, 1),
(9969, 1),
(9970, 1),
(9971, 1),
(9972, 1),
(9973, 1),
(9974, 1),
(9975, 1),
(9976, 1),
(9977, 1),
(9978, 1),
(9979, 1),
(9980, 1),
(9981, 1),
(9982, 1),
(9983, 1),
(9984, 1),
(9985, 1),
(9986, 1),
(9987, 1),
(9988, 1),
(9989, 1),
(9990, 1),
(9991, 1),
(9992, 1),
(9993, 1),
(9994, 1),
(9995, 1),
(9996, 1),
(9997, 1),
(9998, 1),
(9999, 1),
(10000, 1),
(10001, 1),
(10002, 1),
(10003, 1),
(10004, 1),
(10005, 1),
(10006, 1),
(10007, 1),
(10008, 1),
(10009, 1),
(10010, 1),
(10011, 1),
(10012, 1),
(10013, 1),
(10014, 1),
(10015, 1),
(10016, 1),
(10017, 1),
(10018, 1),
(10019, 1),
(10020, 1),
(10021, 1),
(10022, 1),
(10023, 1),
(10024, 1),
(10025, 1),
(10026, 1),
(10027, 1),
(10028, 1),
(10029, 1),
(10030, 1),
(10031, 1),
(10032, 1),
(10033, 1),
(10034, 1),
(10035, 1),
(10036, 1),
(10037, 1),
(10038, 1),
(10039, 1),
(10040, 1),
(10041, 1),
(10042, 1),
(10043, 1),
(10044, 1),
(10045, 1),
(10046, 1),
(10047, 1),
(10048, 1),
(10049, 1),
(10050, 1),
(10051, 1),
(10052, 1),
(10053, 1),
(10054, 1),
(10055, 1),
(10056, 1),
(10057, 1),
(10058, 1),
(10059, 1);    
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(10060, 1),
(10061, 1),
(10062, 1),
(10063, 1),
(10064, 1),
(10065, 1),
(10066, 1),
(10067, 1),
(10068, 1),
(10069, 1),
(10070, 1),
(10071, 1),
(10072, 1),
(10073, 1),
(10074, 1),
(10075, 1),
(10076, 1),
(10077, 1),
(10078, 1),
(10079, 1),
(10080, 1),
(10081, 1),
(10082, 1),
(10083, 1),
(10084, 1),
(10085, 1),
(10086, 1),
(10087, 1),
(10088, 1),
(10089, 1),
(10090, 1),
(10091, 1),
(10092, 1),
(10093, 1),
(10094, 1),
(10095, 1),
(10096, 1),
(10097, 1),
(10098, 1),
(10099, 1),
(10100, 1),
(10101, 1),
(10102, 1),
(10103, 1),
(10104, 1),
(10105, 1),
(10106, 1),
(10107, 1),
(10108, 1),
(10109, 1),
(10110, 1),
(10111, 1),
(10112, 1),
(10113, 1),
(10114, 1),
(10115, 1),
(10116, 1),
(10117, 1),
(10118, 1),
(10119, 1),
(10120, 1),
(10121, 1),
(10122, 1),
(10123, 1),
(10124, 1),
(10125, 1),
(10126, 1),
(10127, 1),
(10128, 1),
(10129, 1),
(10130, 1),
(10131, 1),
(10132, 1),
(10133, 1),
(10134, 1),
(10135, 1),
(10136, 1),
(10137, 1),
(10138, 1),
(10139, 1),
(10140, 1),
(10141, 1),
(10142, 1),
(10143, 1),
(10144, 1),
(10145, 1),
(10146, 1),
(10147, 1),
(10148, 1),
(10149, 1),
(10150, 1),
(10151, 1),
(10152, 1),
(10153, 1),
(10154, 1),
(10155, 1),
(10156, 1),
(10157, 1),
(10158, 1),
(10159, 1),
(10160, 1),
(10161, 1),
(10162, 1),
(10163, 1),
(10164, 1),
(10165, 1),
(10166, 1),
(10167, 1),
(10168, 1),
(10169, 1),
(10170, 1),
(10171, 1),
(10172, 1),
(10173, 1),
(10174, 1),
(10175, 1),
(10176, 1),
(10177, 1),
(10178, 1),
(10179, 1),
(10180, 1),
(10181, 1),
(10182, 1),
(10183, 1),
(10184, 1),
(10185, 1),
(10186, 1),
(10187, 1),
(10188, 1),
(10189, 1),
(10190, 1),
(10191, 1),
(10192, 1),
(10193, 1),
(10194, 1),
(10195, 1),
(10196, 1),
(10197, 1),
(10198, 1),
(10199, 1),
(10200, 1),
(10201, 1),
(10202, 1),
(10203, 1),
(10204, 1),
(10205, 1),
(10206, 1),
(10207, 1),
(10208, 1),
(10209, 1),
(10210, 1),
(10211, 1),
(10212, 1),
(10213, 1),
(10214, 1),
(10215, 1),
(10216, 1),
(10217, 1),
(10218, 1),
(10219, 1),
(10220, 1),
(10221, 1),
(10222, 1),
(10223, 1),
(10224, 1),
(10225, 1),
(10226, 1),
(10227, 1),
(10228, 1),
(10229, 1),
(10230, 1),
(10231, 1),
(10232, 1),
(10233, 1),
(10234, 1),
(10235, 1),
(10236, 1),
(10237, 1),
(10238, 1),
(10239, 1),
(10240, 1),
(10241, 1),
(10242, 1),
(10243, 1),
(10244, 1),
(10245, 1),
(10246, 1),
(10247, 1),
(10248, 1),
(10249, 1),
(10250, 1),
(10251, 1),
(10252, 1),
(10253, 1),
(10254, 1),
(10255, 1),
(10256, 1),
(10257, 1),
(10258, 1),
(10259, 1),
(10260, 1),
(10261, 1),
(10262, 1),
(10263, 1),
(10264, 1),
(10265, 1),
(10266, 1),
(10267, 1),
(10268, 1),
(10269, 1),
(10270, 1),
(10271, 1),
(10272, 1),
(10273, 1),
(10274, 1),
(10275, 1),
(10276, 1),
(10277, 1),
(10278, 1),
(10279, 1),
(10280, 1),
(10281, 1),
(10282, 1),
(10283, 1),
(10284, 1),
(10285, 1),
(10286, 1),
(10287, 1),
(10288, 1),
(10289, 1),
(10290, 1),
(10291, 1),
(10292, 1),
(10293, 1),
(10294, 1),
(10295, 1),
(10296, 1),
(10297, 1),
(10298, 1),
(10299, 1),
(10300, 1),
(10301, 1),
(10302, 1),
(10303, 1),
(10304, 1),
(10305, 1),
(10306, 1),
(10307, 1),
(10308, 1),
(10309, 1),
(10310, 1),
(10311, 1),
(10312, 1),
(10313, 1),
(10314, 1),
(10315, 1),
(10316, 1),
(10317, 1),
(10318, 1),
(10319, 1),
(10320, 1),
(10321, 1),
(10322, 1),
(10323, 1),
(10324, 1),
(10325, 1),
(10326, 1),
(10327, 1),
(10328, 1),
(10329, 1),
(10330, 1),
(10331, 1),
(10332, 1),
(10333, 1),
(10334, 1),
(10335, 1),
(10336, 1),
(10337, 1),
(10338, 1),
(10339, 1),
(10340, 1),
(10341, 1),
(10342, 1),
(10343, 1),
(10344, 1),
(10345, 1),
(10346, 1),
(10347, 1),
(10348, 1),
(10349, 1),
(10350, 1),
(10351, 1),
(10352, 1),
(10353, 1),
(10354, 1),
(10355, 1),
(10356, 1),
(10357, 1),
(10358, 1),
(10359, 1),
(10360, 1),
(10361, 1),
(10362, 1),
(10363, 1),
(10364, 1),
(10365, 1),
(10366, 1),
(10367, 1),
(10368, 1),
(10369, 1),
(10370, 1),
(10371, 1),
(10372, 1),
(10373, 1),
(10374, 1),
(10375, 1),
(10376, 1),
(10377, 1),
(10378, 1),
(10379, 1),
(10380, 1),
(10381, 1),
(10382, 1),
(10383, 1),
(10384, 1),
(10385, 1),
(10386, 1),
(10387, 1),
(10388, 1),
(10389, 1),
(10390, 1),
(10391, 1),
(10392, 1),
(10393, 1),
(10394, 1),
(10395, 1),
(10396, 1),
(10397, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(10398, 1),
(10399, 1),
(10400, 1),
(10401, 1),
(10402, 1),
(10403, 1),
(10404, 1),
(10405, 1),
(10406, 1),
(10407, 1),
(10408, 1),
(10409, 1),
(10410, 1),
(10411, 1),
(10412, 1),
(10413, 1),
(10414, 1),
(10415, 1),
(10416, 1),
(10417, 1),
(10418, 1),
(10419, 1),
(10420, 1),
(10421, 1),
(10422, 1),
(10423, 1),
(10424, 1),
(10425, 1),
(10426, 1),
(10427, 1),
(10428, 1),
(10429, 1),
(10430, 1),
(10431, 1),
(10432, 1),
(10433, 1),
(10434, 1),
(10435, 1),
(10436, 1),
(10437, 1),
(10438, 1),
(10439, 1),
(10440, 1),
(10441, 1),
(10442, 1),
(10443, 1),
(10444, 1),
(10445, 1),
(10446, 1),
(10447, 1),
(10448, 1),
(10449, 1),
(10450, 1),
(10451, 1),
(10452, 1),
(10453, 1),
(10454, 1),
(10455, 1),
(10456, 1),
(10457, 1),
(10458, 1),
(10459, 1),
(10460, 1),
(10461, 1),
(10462, 1),
(10463, 1),
(10464, 1),
(10465, 1),
(10466, 1),
(10467, 1),
(10468, 1),
(10469, 1),
(10470, 1),
(10471, 1),
(10472, 1),
(10473, 1),
(10474, 1),
(10475, 1),
(10476, 1),
(10477, 1),
(10478, 1),
(10479, 1),
(10480, 1),
(10481, 1),
(10482, 1),
(10483, 1),
(10484, 1),
(10485, 1),
(10486, 1),
(10487, 1),
(10488, 1),
(10489, 1),
(10490, 1),
(10491, 1),
(10492, 1),
(10493, 1),
(10494, 1),
(10495, 1),
(10496, 1),
(10497, 1),
(10498, 1),
(10499, 1),
(10500, 1),
(10501, 1),
(10502, 1),
(10503, 1),
(10504, 1),
(10505, 1),
(10506, 1),
(10507, 1),
(10508, 1),
(10509, 1),
(10510, 1),
(10511, 1),
(10512, 1),
(10513, 1),
(10514, 1),
(10515, 1),
(10516, 1),
(10517, 1),
(10518, 1),
(10519, 1),
(10520, 1),
(10521, 1),
(10522, 1),
(10523, 1),
(10524, 1),
(10525, 1),
(10526, 1),
(10527, 1),
(10528, 1),
(10529, 1),
(10530, 1),
(10531, 1),
(10532, 1),
(10533, 1),
(10534, 1),
(10535, 1),
(10536, 1),
(10537, 1),
(10538, 1),
(10539, 1),
(10540, 1),
(10541, 1),
(10542, 1),
(10543, 1),
(10544, 1),
(10545, 1),
(10546, 1),
(10547, 1),
(10548, 1),
(10549, 1),
(10550, 1),
(10551, 1),
(10552, 1),
(10553, 1),
(10554, 1),
(10555, 1),
(10556, 1),
(10557, 1),
(10558, 1),
(10559, 1),
(10560, 1),
(10561, 1),
(10562, 1),
(10563, 1),
(10564, 1),
(10565, 1),
(10566, 1),
(10567, 1),
(10568, 1),
(10569, 1),
(10570, 1),
(10571, 1),
(10572, 1),
(10573, 1),
(10574, 1),
(10575, 1),
(10576, 1),
(10577, 1),
(10578, 1),
(10579, 1),
(10580, 1),
(10581, 1),
(10582, 1),
(10583, 1),
(10584, 1),
(10585, 1),
(10586, 1),
(10587, 1),
(10588, 1),
(10589, 1),
(10590, 1),
(10591, 1),
(10592, 1),
(10593, 1),
(10594, 1),
(10595, 1),
(10596, 1),
(10597, 1),
(10598, 1),
(10599, 1),
(10600, 1),
(10601, 1),
(10602, 1),
(10603, 1),
(10604, 1),
(10605, 1),
(10606, 1),
(10607, 1),
(10608, 1),
(10609, 1),
(10610, 1),
(10611, 1),
(10612, 1),
(10613, 1),
(10614, 1),
(10615, 1),
(10616, 1),
(10617, 1),
(10618, 1),
(10619, 1),
(10620, 1),
(10621, 1),
(10622, 1),
(10623, 1),
(10624, 1),
(10625, 1),
(10626, 1),
(10627, 1),
(10628, 1),
(10629, 1),
(10630, 1),
(10631, 1),
(10632, 1),
(10633, 1),
(10634, 1),
(10635, 1),
(10636, 1),
(10637, 1),
(10638, 1),
(10639, 1),
(10640, 1),
(10641, 1),
(10642, 1),
(10643, 1),
(10644, 1),
(10645, 1),
(10646, 1),
(10647, 1),
(10648, 1),
(10649, 1),
(10650, 1),
(10651, 1),
(10652, 1),
(10653, 1),
(10654, 1),
(10655, 1),
(10656, 1),
(10657, 1),
(10658, 1),
(10659, 1),
(10660, 1),
(10661, 1),
(10662, 1),
(10663, 1),
(10664, 1),
(10665, 1),
(10666, 1),
(10667, 1),
(10668, 1),
(10669, 1),
(10670, 1),
(10671, 1),
(10672, 1),
(10673, 1),
(10674, 1),
(10675, 1),
(10676, 1),
(10677, 1),
(10678, 1),
(10679, 1),
(10680, 1),
(10681, 1),
(10682, 1),
(10683, 1),
(10684, 1),
(10685, 1),
(10686, 1),
(10687, 1),
(10688, 1),
(10689, 1),
(10690, 1),
(10691, 1),
(10692, 1),
(10693, 1),
(10694, 1),
(10695, 1),
(10696, 1),
(10697, 1),
(10698, 1),
(10699, 1),
(10700, 1),
(10701, 1),
(10702, 1),
(10703, 1),
(10704, 1),
(10705, 1),
(10706, 1),
(10707, 1),
(10708, 1),
(10709, 1),
(10710, 1),
(10711, 1),
(10712, 1),
(10713, 1),
(10714, 1),
(10715, 1),
(10716, 1),
(10717, 1),
(10718, 1),
(10719, 1),
(10720, 1),
(10721, 1),
(10722, 1),
(10723, 1),
(10724, 1),
(10725, 1),
(10726, 1),
(10727, 1),
(10728, 1),
(10729, 1),
(10730, 1),
(10731, 1),
(10732, 1),
(10733, 1),
(10734, 1),
(10735, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(10736, 1),
(10737, 1),
(10738, 1),
(10739, 1),
(10740, 1),
(10741, 1),
(10742, 1),
(10743, 1),
(10744, 1),
(10745, 1),
(10746, 1),
(10747, 1),
(10748, 1),
(10749, 1),
(10750, 1),
(10751, 1),
(10752, 1),
(10753, 1),
(10754, 1),
(10755, 1),
(10756, 1),
(10757, 1),
(10758, 1),
(10759, 1),
(10760, 1),
(10761, 1),
(10762, 1),
(10763, 1),
(10764, 1),
(10765, 1),
(10766, 1),
(10767, 1),
(10768, 1),
(10769, 1),
(10770, 1),
(10771, 1),
(10772, 1),
(10773, 1),
(10774, 1),
(10775, 1),
(10776, 1),
(10777, 1),
(10778, 1),
(10779, 1),
(10780, 1),
(10781, 1),
(10782, 1),
(10783, 1),
(10784, 1),
(10785, 1),
(10786, 1),
(10787, 1),
(10788, 1),
(10789, 1),
(10790, 1),
(10791, 1),
(10792, 1),
(10793, 1),
(10794, 1),
(10795, 1),
(10796, 1),
(10797, 1),
(10798, 1),
(10799, 1),
(10800, 1),
(10801, 1),
(10802, 1),
(10803, 1),
(10804, 1),
(10805, 1),
(10806, 1),
(10807, 1),
(10808, 1),
(10809, 1),
(10810, 1),
(10811, 1),
(10812, 1),
(10813, 1),
(10814, 1),
(10815, 1),
(10816, 1),
(10817, 1),
(10818, 1),
(10819, 1),
(10820, 1),
(10821, 1),
(10822, 1),
(10823, 1),
(10824, 1),
(10825, 1),
(10826, 1),
(10827, 1),
(10828, 1),
(10829, 1),
(10830, 1),
(10831, 1),
(10832, 1),
(10833, 1),
(10834, 1),
(10835, 1),
(10836, 1),
(10837, 1),
(10838, 1),
(10839, 1),
(10840, 1),
(10841, 1),
(10842, 1),
(10843, 1),
(10844, 1),
(10845, 1),
(10846, 1),
(10847, 1),
(10848, 1),
(10849, 1),
(10850, 1),
(10851, 1),
(10852, 1),
(10853, 1),
(10854, 1),
(10855, 1),
(10856, 1),
(10857, 1),
(10858, 1),
(10859, 1),
(10860, 1),
(10861, 1),
(10862, 1),
(10863, 1),
(10864, 1),
(10865, 1),
(10866, 1),
(10867, 1),
(10868, 1),
(10869, 1),
(10870, 1),
(10871, 1),
(10872, 1),
(10873, 1),
(10874, 1),
(10875, 1),
(10876, 1),
(10877, 1),
(10878, 1),
(10879, 1),
(10880, 1),
(10881, 1),
(10882, 1),
(10883, 1),
(10884, 1),
(10885, 1),
(10886, 1),
(10887, 1),
(10888, 1),
(10889, 1),
(10890, 1),
(10891, 1),
(10892, 1),
(10893, 1),
(10894, 1),
(10895, 1),
(10896, 1),
(10897, 1),
(10898, 1),
(10899, 1),
(10900, 1),
(10901, 1),
(10902, 1),
(10903, 1),
(10904, 1),
(10905, 1),
(10906, 1),
(10907, 1),
(10908, 1),
(10909, 1),
(10910, 1),
(10911, 1),
(10912, 1),
(10913, 1),
(10914, 1),
(10915, 1),
(10916, 1),
(10917, 1),
(10918, 1),
(10919, 1),
(10920, 1),
(10921, 1),
(10922, 1),
(10923, 1),
(10924, 1),
(10925, 1),
(10926, 1),
(10927, 1),
(10928, 1),
(10929, 1),
(10930, 1),
(10931, 1),
(10932, 1),
(10933, 1),
(10934, 1),
(10935, 1),
(10936, 1),
(10937, 1),
(10938, 1),
(10939, 1),
(10940, 1),
(10941, 1),
(10942, 1),
(10943, 1),
(10944, 1),
(10945, 1),
(10946, 1),
(10947, 1),
(10948, 1),
(10949, 1),
(10950, 1),
(10951, 1),
(10952, 1),
(10953, 1),
(10954, 1),
(10955, 1),
(10956, 1),
(10957, 1),
(10958, 1),
(10959, 1),
(10960, 1),
(10961, 1),
(10962, 1),
(10963, 1),
(10964, 1),
(10965, 1),
(10966, 1),
(10967, 1),
(10968, 1),
(10969, 1),
(10970, 1),
(10971, 1),
(10972, 1),
(10973, 1),
(10974, 1),
(10975, 1),
(10976, 1),
(10977, 1),
(10978, 1),
(10979, 1),
(10980, 1),
(10981, 1),
(10982, 1),
(10983, 1),
(10984, 1),
(10985, 1),
(10986, 1),
(10987, 1),
(10988, 1),
(10989, 1),
(10990, 1),
(10991, 1),
(10992, 1),
(10993, 1),
(10994, 1),
(10995, 1),
(10996, 1),
(10997, 1),
(10998, 1),
(10999, 1),
(11000, 1),
(11001, 1),
(11002, 1),
(11003, 1),
(11004, 1),
(11005, 1),
(11006, 1),
(11007, 1),
(11008, 1),
(11009, 1),
(11010, 1),
(11011, 1),
(11012, 1),
(11013, 1),
(11014, 1),
(11015, 1),
(11016, 1),
(11017, 1),
(11018, 1),
(11019, 1),
(11020, 1),
(11021, 1),
(11022, 1),
(11023, 1),
(11024, 1),
(11025, 1),
(11026, 1),
(11027, 1),
(11028, 1),
(11029, 1),
(11030, 1),
(11031, 1),
(11032, 1),
(11033, 1),
(11034, 1),
(11035, 1),
(11036, 1),
(11037, 1),
(11038, 1),
(11039, 1),
(11040, 1),
(11041, 1),
(11042, 1),
(11043, 1),
(11044, 1),
(11045, 1),
(11046, 1),
(11047, 1),
(11048, 1),
(11049, 1),
(11050, 1),
(11051, 1),
(11052, 1),
(11053, 1),
(11054, 1),
(11055, 1),
(11056, 1),
(11057, 1),
(11058, 1),
(11059, 1),
(11060, 1),
(11061, 1),
(11062, 1),
(11063, 1),
(11064, 1),
(11065, 1),
(11066, 1),
(11067, 1),
(11068, 1),
(11069, 1),
(11070, 1),
(11071, 1),
(11072, 1),
(11073, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(11074, 1),
(11075, 1),
(11076, 1),
(11077, 1),
(11078, 1),
(11079, 1),
(11080, 1),
(11081, 1),
(11082, 1),
(11083, 1),
(11084, 1),
(11085, 1),
(11086, 1),
(11087, 1),
(11088, 1),
(11089, 1),
(11090, 1),
(11091, 1),
(11092, 1),
(11093, 1),
(11094, 1),
(11095, 1),
(11096, 1),
(11097, 1),
(11098, 1),
(11099, 1),
(11100, 1),
(11101, 1),
(11102, 1),
(11103, 1),
(11104, 1),
(11105, 1),
(11106, 1),
(11107, 1),
(11108, 1),
(11109, 1),
(11110, 1),
(11111, 1),
(11112, 1),
(11113, 1),
(11114, 1),
(11115, 1),
(11116, 1),
(11117, 1),
(11118, 1),
(11119, 1),
(11120, 1),
(11121, 1),
(11122, 1),
(11123, 1),
(11124, 1),
(11125, 1),
(11126, 1),
(11127, 1),
(11128, 1),
(11129, 1),
(11130, 1),
(11131, 1),
(11132, 1),
(11133, 1),
(11134, 1),
(11135, 1),
(11136, 1),
(11137, 1),
(11138, 1),
(11139, 1),
(11140, 1),
(11141, 1),
(11142, 1),
(11143, 1),
(11144, 1),
(11145, 1),
(11146, 1),
(11147, 1),
(11148, 1),
(11149, 1),
(11150, 1),
(11151, 1),
(11152, 1),
(11153, 1),
(11154, 1),
(11155, 1),
(11156, 1),
(11157, 1),
(11158, 1),
(11159, 1),
(11160, 1),
(11161, 1),
(11162, 1),
(11163, 1),
(11164, 1),
(11165, 1),
(11166, 1),
(11167, 1),
(11168, 1),
(11169, 1),
(11170, 1),
(11171, 1),
(11172, 1),
(11173, 1),
(11174, 1),
(11175, 1),
(11176, 1),
(11177, 1),
(11178, 1),
(11179, 1),
(11180, 1),
(11181, 1),
(11182, 1),
(11183, 1),
(11184, 1),
(11185, 1),
(11186, 1),
(11187, 1),
(11188, 1),
(11189, 1),
(11190, 1),
(11191, 1),
(11192, 1),
(11193, 1),
(11194, 1),
(11195, 1),
(11196, 1),
(11197, 1),
(11198, 1),
(11199, 1),
(11200, 1),
(11201, 1),
(11202, 1),
(11203, 1),
(11204, 1),
(11205, 1),
(11206, 1),
(11207, 1),
(11208, 1),
(11209, 1),
(11210, 1),
(11211, 1),
(11212, 1),
(11213, 1),
(11214, 1),
(11215, 1),
(11216, 1),
(11217, 1),
(11218, 1),
(11219, 1),
(11220, 1),
(11221, 1),
(11222, 1),
(11223, 1),
(11224, 1),
(11225, 1),
(11226, 1),
(11227, 1),
(11228, 1),
(11229, 1),
(11230, 1),
(11231, 1),
(11232, 1),
(11233, 1),
(11234, 1),
(11235, 1),
(11236, 1),
(11237, 1),
(11238, 1),
(11239, 1),
(11240, 1),
(11241, 1),
(11242, 1),
(11243, 1),
(11244, 1),
(11245, 1),
(11246, 1),
(11247, 1),
(11248, 1),
(11249, 1),
(11250, 1),
(11251, 1),
(11252, 1),
(11253, 1),
(11254, 1),
(11255, 1),
(11256, 1),
(11257, 1),
(11258, 1),
(11259, 1),
(11260, 1),
(11261, 1),
(11262, 1),
(11263, 1),
(11264, 1),
(11265, 1),
(11266, 1),
(11267, 1),
(11268, 1),
(11269, 1),
(11270, 1),
(11271, 1),
(11272, 1),
(11273, 1),
(11274, 1),
(11275, 1),
(11276, 1),
(11277, 1),
(11278, 1),
(11279, 1),
(11280, 1),
(11281, 1),
(11282, 1),
(11283, 1),
(11284, 1),
(11285, 1),
(11286, 1),
(11287, 1),
(11288, 1),
(11289, 1),
(11290, 1),
(11291, 1),
(11292, 1),
(11293, 1),
(11294, 1),
(11295, 1),
(11296, 1),
(11297, 1),
(11298, 1),
(11299, 1),
(11300, 1),
(11301, 1),
(11302, 1),
(11303, 1),
(11304, 1),
(11305, 1),
(11306, 1),
(11307, 1),
(11308, 1),
(11309, 1),
(11310, 1),
(11311, 1),
(11312, 1),
(11313, 1),
(11314, 1),
(11315, 1),
(11316, 1),
(11317, 1),
(11318, 1),
(11319, 1),
(11320, 1),
(11321, 1),
(11322, 1),
(11323, 1),
(11324, 1),
(11325, 1),
(11326, 1),
(11327, 1),
(11328, 1),
(11329, 1),
(11330, 1),
(11331, 1),
(11332, 1),
(11333, 1),
(11334, 1),
(11335, 1),
(11336, 1),
(11337, 1),
(11338, 1),
(11339, 1),
(11340, 1),
(11341, 1),
(11342, 1),
(11343, 1),
(11344, 1),
(11345, 1),
(11346, 1),
(11347, 1),
(11348, 1),
(11349, 1),
(11350, 1),
(11351, 1),
(11352, 1),
(11353, 1),
(11354, 1),
(11355, 1),
(11356, 1),
(11357, 1),
(11358, 1),
(11359, 1),
(11360, 1),
(11361, 1),
(11362, 1),
(11363, 1),
(11364, 1),
(11365, 1),
(11366, 1),
(11367, 1),
(11368, 1),
(11369, 1),
(11370, 1),
(11371, 1),
(11372, 1),
(11373, 1),
(11374, 1),
(11375, 1),
(11376, 1),
(11377, 1),
(11378, 1),
(11379, 1),
(11380, 1),
(11381, 1),
(11382, 1),
(11383, 1),
(11384, 1),
(11385, 1),
(11386, 1),
(11387, 1),
(11388, 1),
(11389, 1),
(11390, 1),
(11391, 1),
(11392, 1),
(11393, 1),
(11394, 1),
(11395, 1),
(11396, 1),
(11397, 1),
(11398, 1),
(11399, 1),
(11400, 1),
(11401, 1),
(11402, 1),
(11403, 1),
(11404, 1),
(11405, 1),
(11406, 1),
(11407, 1),
(11408, 1),
(11409, 1),
(11410, 1),
(11411, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(11412, 1),
(11413, 1),
(11414, 1),
(11415, 1),
(11416, 1),
(11417, 1),
(11418, 1),
(11419, 1),
(11420, 1),
(11421, 1),
(11422, 1),
(11423, 1),
(11424, 1),
(11425, 1),
(11426, 1),
(11427, 1),
(11428, 1),
(11429, 1),
(11430, 1),
(11431, 1),
(11432, 1),
(11433, 1),
(11434, 1),
(11435, 1),
(11436, 1),
(11437, 1),
(11438, 1),
(11439, 1),
(11440, 1),
(11441, 1),
(11442, 1),
(11443, 1),
(11444, 1),
(11445, 1),
(11446, 1),
(11447, 1),
(11448, 1),
(11449, 1),
(11450, 1),
(11451, 1),
(11452, 1),
(11453, 1),
(11454, 1),
(11455, 1),
(11456, 1),
(11457, 1),
(11458, 1),
(11459, 1),
(11460, 1),
(11461, 1),
(11462, 1),
(11463, 1),
(11464, 1),
(11465, 1),
(11466, 1),
(11467, 1),
(11468, 1),
(11469, 1),
(11470, 1),
(11471, 1),
(11472, 1),
(11473, 1),
(11474, 1),
(11475, 1),
(11476, 1),
(11477, 1),
(11478, 1),
(11479, 1),
(11480, 1),
(11481, 1),
(11482, 1),
(11483, 1),
(11484, 1),
(11485, 1),
(11486, 1),
(11487, 1),
(11488, 1),
(11489, 1),
(11490, 1),
(11491, 1),
(11492, 1),
(11493, 1),
(11494, 1),
(11495, 1),
(11496, 1),
(11497, 1),
(11498, 1),
(11499, 1),
(11500, 1),
(11501, 1),
(11502, 1),
(11503, 1),
(11504, 1),
(11505, 1),
(11506, 1),
(11507, 1),
(11508, 1),
(11509, 1),
(11510, 1),
(11511, 1),
(11512, 1),
(11513, 1),
(11514, 1),
(11515, 1),
(11516, 1),
(11517, 1),
(11518, 1),
(11519, 1),
(11520, 1),
(11521, 1),
(11522, 1),
(11523, 1),
(11524, 1),
(11525, 1),
(11526, 1),
(11527, 1),
(11528, 1),
(11529, 1),
(11530, 1),
(11531, 1),
(11532, 1),
(11533, 1),
(11534, 1),
(11535, 1),
(11536, 1),
(11537, 1),
(11538, 1),
(11539, 1),
(11540, 1),
(11541, 1),
(11542, 1),
(11543, 1),
(11544, 1),
(11545, 1),
(11546, 1),
(11547, 1),
(11548, 1),
(11549, 1),
(11550, 1),
(11551, 1),
(11552, 1),
(11553, 1),
(11554, 1),
(11555, 1),
(11556, 1),
(11557, 1),
(11558, 1),
(11559, 1),
(11560, 1),
(11561, 1),
(11562, 1),
(11563, 1),
(11564, 1),
(11565, 1),
(11566, 1),
(11567, 1),
(11568, 1),
(11569, 1),
(11570, 1),
(11571, 1),
(11572, 1),
(11573, 1),
(11574, 1),
(11575, 1),
(11576, 1),
(11577, 1),
(11578, 1),
(11579, 1),
(11580, 1),
(11581, 1),
(11582, 1),
(11583, 1),
(11584, 1),
(11585, 1),
(11586, 1),
(11587, 1),
(11588, 1),
(11589, 1),
(11590, 1),
(11591, 1),
(11592, 1),
(11593, 1),
(11594, 1),
(11595, 1),
(11596, 1),
(11597, 1),
(11598, 1),
(11599, 1),
(11600, 1),
(11601, 1),
(11602, 1),
(11603, 1),
(11604, 1),
(11605, 1),
(11606, 1),
(11607, 1),
(11608, 1),
(11609, 1),
(11610, 1),
(11611, 1),
(11612, 1),
(11613, 1),
(11614, 1),
(11615, 1),
(11616, 1),
(11617, 1),
(11618, 1),
(11619, 1),
(11620, 1),
(11621, 1),
(11622, 1),
(11623, 1),
(11624, 1),
(11625, 1),
(11626, 1),
(11627, 1),
(11628, 1),
(11629, 1),
(11630, 1),
(11631, 1),
(11632, 1),
(11633, 1),
(11634, 1),
(11635, 1),
(11636, 1),
(11637, 1),
(11638, 1),
(11639, 1),
(11640, 1),
(11641, 1),
(11642, 1),
(11643, 1),
(11644, 1),
(11645, 1),
(11646, 1),
(11647, 1),
(11648, 1),
(11649, 1),
(11650, 1),
(11651, 1),
(11652, 1),
(11653, 1),
(11654, 1),
(11655, 1),
(11656, 1),
(11657, 1),
(11658, 1),
(11659, 1),
(11660, 1),
(11661, 1),
(11662, 1),
(11663, 1),
(11664, 1),
(11665, 1),
(11666, 1),
(11667, 1),
(11668, 1),
(11669, 1),
(11670, 1),
(11671, 1),
(11672, 1),
(11673, 1),
(11674, 1),
(11675, 1),
(11676, 1),
(11677, 1),
(11678, 1),
(11679, 1),
(11680, 1),
(11681, 1),
(11682, 1),
(11683, 1),
(11684, 1),
(11685, 1),
(11686, 1),
(11687, 1),
(11688, 1),
(11689, 1),
(11690, 1),
(11691, 1),
(11692, 1),
(11693, 1),
(11694, 1),
(11695, 1),
(11696, 1),
(11697, 1),
(11698, 1),
(11699, 1),
(11700, 1),
(11701, 1),
(11702, 1),
(11703, 1),
(11704, 1),
(11705, 1),
(11706, 1),
(11707, 1),
(11708, 1),
(11709, 1),
(11710, 1),
(11711, 1),
(11712, 1),
(11713, 1),
(11714, 1),
(11715, 1),
(11716, 1),
(11717, 1),
(11718, 1),
(11719, 1),
(11720, 1),
(11721, 1),
(11722, 1),
(11723, 1),
(11724, 1),
(11725, 1),
(11726, 1),
(11727, 1),
(11728, 1),
(11729, 1),
(11730, 1),
(11731, 1),
(11732, 1),
(11733, 1),
(11734, 1),
(11735, 1),
(11736, 1),
(11737, 1),
(11738, 1),
(11739, 1),
(11740, 1),
(11741, 1),
(11742, 1),
(11743, 1),
(11744, 1),
(11745, 1),
(11746, 1),
(11747, 1),
(11748, 1),
(11749, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(11750, 1),
(11751, 1),
(11752, 1),
(11753, 1),
(11754, 1),
(11755, 1),
(11756, 1),
(11757, 1),
(11758, 1),
(11759, 1),
(11760, 1),
(11761, 1),
(11762, 1),
(11763, 1),
(11764, 1),
(11765, 1),
(11766, 1),
(11767, 1),
(11768, 1),
(11769, 1),
(11770, 1),
(11771, 1),
(11772, 1),
(11773, 1),
(11774, 1),
(11775, 1),
(11776, 1),
(11777, 1),
(11778, 1),
(11779, 1),
(11780, 1),
(11781, 1),
(11782, 1),
(11783, 1),
(11784, 1),
(11785, 1),
(11786, 1),
(11787, 1),
(11788, 1),
(11789, 1),
(11790, 1),
(11791, 1),
(11792, 1),
(11793, 1),
(11794, 1),
(11795, 1),
(11796, 1),
(11797, 1),
(11798, 1),
(11799, 1),
(11800, 1),
(11801, 1),
(11802, 1),
(11803, 1),
(11804, 1),
(11805, 1),
(11806, 1),
(11807, 1),
(11808, 1),
(11809, 1),
(11810, 1),
(11811, 1),
(11812, 1),
(11813, 1),
(11814, 1),
(11815, 1),
(11816, 1),
(11817, 1),
(11818, 1),
(11819, 1),
(11820, 1),
(11821, 1),
(11822, 1),
(11823, 1),
(11824, 1),
(11825, 1),
(11826, 1),
(11827, 1),
(11828, 1),
(11829, 1),
(11830, 1),
(11831, 1),
(11832, 1),
(11833, 1),
(11834, 1),
(11835, 1),
(11836, 1),
(11837, 1),
(11838, 1),
(11839, 1),
(11840, 1),
(11841, 1),
(11842, 1),
(11843, 1),
(11844, 1),
(11845, 1),
(11846, 1),
(11847, 1),
(11848, 1),
(11849, 1),
(11850, 1),
(11851, 1),
(11852, 1),
(11853, 1),
(11854, 1),
(11855, 1),
(11856, 1),
(11857, 1),
(11858, 1),
(11859, 1),
(11860, 1),
(11861, 1),
(11862, 1),
(11863, 1),
(11864, 1),
(11865, 1),
(11866, 1),
(11867, 1),
(11868, 1),
(11869, 1),
(11870, 1),
(11871, 1),
(11872, 1),
(11873, 1),
(11874, 1),
(11875, 1),
(11876, 1),
(11877, 1),
(11878, 1),
(11879, 1),
(11880, 1),
(11881, 1),
(11882, 1),
(11883, 1),
(11884, 1),
(11885, 1),
(11886, 1),
(11887, 1),
(11888, 1),
(11889, 1),
(11890, 1),
(11891, 1),
(11892, 1),
(11893, 1),
(11894, 1),
(11895, 1),
(11896, 1),
(11897, 1),
(11898, 1),
(11899, 1),
(11900, 1),
(11901, 1),
(11902, 1),
(11903, 1),
(11904, 1),
(11905, 1),
(11906, 1),
(11907, 1),
(11908, 1),
(11909, 1),
(11910, 1),
(11911, 1),
(11912, 1),
(11913, 1),
(11914, 1),
(11915, 1),
(11916, 1),
(11917, 1),
(11918, 1),
(11919, 1),
(11920, 1),
(11921, 1),
(11922, 1),
(11923, 1),
(11924, 1),
(11925, 1),
(11926, 1),
(11927, 1),
(11928, 1),
(11929, 1),
(11930, 1),
(11931, 1),
(11932, 1),
(11933, 1),
(11934, 1),
(11935, 1),
(11936, 1),
(11937, 1),
(11938, 1),
(11939, 1),
(11940, 1),
(11941, 1),
(11942, 1),
(11943, 1),
(11944, 1),
(11945, 1),
(11946, 1),
(11947, 1),
(11948, 1),
(11949, 1),
(11950, 1),
(11951, 1),
(11952, 1),
(11953, 1),
(11954, 1),
(11955, 1),
(11956, 1),
(11957, 1),
(11958, 1),
(11959, 1),
(11960, 1),
(11961, 1),
(11962, 1),
(11963, 1),
(11964, 1),
(11965, 1),
(11966, 1),
(11967, 1),
(11968, 1),
(11969, 1),
(11970, 1),
(11971, 1),
(11972, 1),
(11973, 1),
(11974, 1),
(11975, 1),
(11976, 1),
(11977, 1),
(11978, 1),
(11979, 1),
(11980, 1),
(11981, 1),
(11982, 1),
(11983, 1),
(11984, 1),
(11985, 1),
(11986, 1),
(11987, 1),
(11988, 1),
(11989, 1),
(11990, 1),
(11991, 1),
(11992, 1),
(11993, 1),
(11994, 1),
(11995, 1),
(11996, 1),
(11997, 1),
(11998, 1),
(11999, 1),
(12000, 1),
(12001, 1),
(12002, 1),
(12003, 1),
(12004, 1),
(12005, 1),
(12006, 1),
(12007, 1),
(12008, 1),
(12009, 1),
(12010, 1),
(12011, 1),
(12012, 1),
(12013, 1),
(12014, 1),
(12015, 1),
(12016, 1),
(12017, 1),
(12018, 1),
(12019, 1),
(12020, 1),
(12021, 1),
(12022, 1),
(12023, 1),
(12024, 1),
(12025, 1),
(12026, 1),
(12027, 1),
(12028, 1),
(12029, 1),
(12030, 1),
(12031, 1),
(12032, 1),
(12033, 1),
(12034, 1),
(12035, 1),
(12036, 1),
(12037, 1),
(12038, 1),
(12039, 1),
(12040, 1),
(12041, 1),
(12042, 1),
(12043, 1),
(12044, 1),
(12045, 1),
(12046, 1),
(12047, 1),
(12048, 1),
(12049, 1),
(12050, 1),
(12051, 1),
(12052, 1),
(12053, 1),
(12054, 1),
(12055, 1),
(12056, 1),
(12057, 1),
(12058, 1),
(12059, 1),
(12060, 1),
(12061, 1),
(12062, 1),
(12063, 1),
(12064, 1),
(12065, 1),
(12066, 1),
(12067, 1),
(12068, 1),
(12069, 1),
(12070, 1),
(12071, 1),
(12072, 1),
(12073, 1),
(12074, 1),
(12075, 1),
(12076, 1),
(12077, 1),
(12078, 1),
(12079, 1),
(12080, 1),
(12081, 1),
(12082, 1),
(12083, 1),
(12084, 1),
(12085, 1),
(12086, 1),
(12087, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(12088, 1),
(12089, 1),
(12090, 1),
(12091, 1),
(12092, 1),
(12093, 1),
(12094, 1),
(12095, 1),
(12096, 1),
(12097, 1),
(12098, 1),
(12099, 1),
(12100, 1),
(12101, 1),
(12102, 1),
(12103, 1),
(12104, 1),
(12105, 1),
(12106, 1),
(12107, 1),
(12108, 1),
(12109, 1),
(12110, 1),
(12111, 1),
(12112, 1),
(12113, 1),
(12114, 1),
(12115, 1),
(12116, 1),
(12117, 1),
(12118, 1),
(12119, 1),
(12120, 1),
(12121, 1),
(12122, 1),
(12123, 1),
(12124, 1),
(12125, 1),
(12126, 1),
(12127, 1),
(12128, 1),
(12129, 1),
(12130, 1),
(12131, 1),
(12132, 1),
(12133, 1),
(12134, 1),
(12135, 1),
(12136, 1),
(12137, 1),
(12138, 1),
(12139, 1),
(12140, 1),
(12141, 1),
(12142, 1),
(12143, 1),
(12144, 1),
(12145, 1),
(12146, 1),
(12147, 1),
(12148, 1),
(12149, 1),
(12150, 1),
(12151, 1),
(12152, 1),
(12153, 1),
(12154, 1),
(12155, 1),
(12156, 1),
(12157, 1),
(12158, 1),
(12159, 1),
(12160, 1),
(12161, 1),
(12162, 1),
(12163, 1),
(12164, 1),
(12165, 1),
(12166, 1),
(12167, 1),
(12168, 1),
(12169, 1),
(12170, 1),
(12171, 1),
(12172, 1),
(12173, 1),
(12174, 1),
(12175, 1),
(12176, 1),
(12177, 1),
(12178, 1),
(12179, 1),
(12180, 1),
(12181, 1),
(12182, 1),
(12183, 1),
(12184, 1),
(12185, 1),
(12186, 1),
(12187, 1),
(12188, 1),
(12189, 1),
(12190, 1),
(12191, 1),
(12192, 1),
(12193, 1),
(12194, 1),
(12195, 1),
(12196, 1),
(12197, 1),
(12198, 1),
(12199, 1),
(12200, 1),
(12201, 1),
(12202, 1),
(12203, 1),
(12204, 1),
(12205, 1),
(12206, 1),
(12207, 1),
(12208, 1),
(12209, 1),
(12210, 1),
(12211, 1),
(12212, 1),
(12213, 1),
(12214, 1),
(12215, 1),
(12216, 1),
(12217, 1),
(12218, 1),
(12219, 1),
(12220, 1),
(12221, 1),
(12222, 1),
(12223, 1),
(12224, 1),
(12225, 1),
(12226, 1),
(12227, 1),
(12228, 1),
(12229, 1),
(12230, 1),
(12231, 1),
(12232, 1),
(12233, 1),
(12234, 1),
(12235, 1),
(12236, 1),
(12237, 1),
(12238, 1),
(12239, 1),
(12240, 1),
(12241, 1),
(12242, 1),
(12243, 1),
(12244, 1),
(12245, 1),
(12246, 1),
(12247, 1),
(12248, 1),
(12249, 1),
(12250, 1),
(12251, 1),
(12252, 1),
(12253, 1),
(12254, 1),
(12255, 1),
(12256, 1),
(12257, 1),
(12258, 1),
(12259, 1),
(12260, 1),
(12261, 1),
(12262, 1),
(12263, 1),
(12264, 1),
(12265, 1),
(12266, 1),
(12267, 1),
(12268, 1),
(12269, 1),
(12270, 1),
(12271, 1),
(12272, 1),
(12273, 1),
(12274, 1),
(12275, 1),
(12276, 1),
(12277, 1),
(12278, 1),
(12279, 1),
(12280, 1),
(12281, 1),
(12282, 1),
(12283, 1),
(12284, 1),
(12285, 1),
(12286, 1),
(12287, 1),
(12288, 1),
(12289, 1),
(12290, 1),
(12291, 1),
(12292, 1),
(12293, 1),
(12294, 1),
(12295, 1),
(12296, 1),
(12297, 1),
(12298, 1),
(12299, 1),
(12300, 1),
(12301, 1),
(12302, 1),
(12303, 1),
(12304, 1),
(12305, 1),
(12306, 1),
(12307, 1),
(12308, 1),
(12309, 1),
(12310, 1),
(12311, 1),
(12312, 1),
(12313, 1),
(12314, 1),
(12315, 1),
(12316, 1),
(12317, 1),
(12318, 1),
(12319, 1),
(12320, 1),
(12321, 1),
(12322, 1),
(12323, 1),
(12324, 1),
(12325, 1),
(12326, 1),
(12327, 1),
(12328, 1),
(12329, 1),
(12330, 1),
(12331, 1),
(12332, 1),
(12333, 1),
(12334, 1),
(12335, 1),
(12336, 1),
(12337, 1),
(12338, 1),
(12339, 1),
(12340, 1),
(12341, 1),
(12342, 1),
(12343, 1),
(12344, 1),
(12345, 1),
(12346, 1),
(12347, 1),
(12348, 1),
(12349, 1),
(12350, 1),
(12351, 1),
(12352, 1),
(12353, 1),
(12354, 1),
(12355, 1),
(12356, 1),
(12357, 1),
(12358, 1),
(12359, 1),
(12360, 1),
(12361, 1),
(12362, 1),
(12363, 1),
(12364, 1),
(12365, 1),
(12366, 1),
(12367, 1),
(12368, 1),
(12369, 1),
(12370, 1),
(12371, 1),
(12372, 1),
(12373, 1),
(12374, 1),
(12375, 1),
(12376, 1),
(12377, 1),
(12378, 1),
(12379, 1),
(12380, 1),
(12381, 1),
(12382, 1),
(12383, 1),
(12384, 1),
(12385, 1),
(12386, 1),
(12387, 1),
(12388, 1),
(12389, 1),
(12390, 1),
(12391, 1),
(12392, 1),
(12393, 1),
(12394, 1),
(12395, 1),
(12396, 1),
(12397, 1),
(12398, 1),
(12399, 1),
(12400, 1),
(12401, 1),
(12402, 1),
(12403, 1),
(12404, 1),
(12405, 1),
(12406, 1),
(12407, 1),
(12408, 1),
(12409, 1),
(12410, 1),
(12411, 1),
(12412, 1),
(12413, 1),
(12414, 1),
(12415, 1),
(12416, 1),
(12417, 1),
(12418, 1),
(12419, 1),
(12420, 1),
(12421, 1),
(12422, 1),
(12423, 1),
(12424, 1),
(12425, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(12426, 1),
(12427, 1),
(12428, 1),
(12429, 1),
(12430, 1),
(12431, 1),
(12432, 1),
(12433, 1),
(12434, 1),
(12435, 1),
(12436, 1),
(12437, 1),
(12438, 1),
(12439, 1),
(12440, 1),
(12441, 1),
(12442, 1),
(12443, 1),
(12444, 1),
(12445, 1),
(12446, 1),
(12447, 1),
(12448, 1),
(12449, 1),
(12450, 1),
(12451, 1),
(12452, 1),
(12453, 1),
(12454, 1),
(12455, 1),
(12456, 1),
(12457, 1),
(12458, 1),
(12459, 1),
(12460, 1),
(12461, 1),
(12462, 1),
(12463, 1),
(12464, 1),
(12465, 1),
(12466, 1),
(12467, 1),
(12468, 1),
(12469, 1),
(12470, 1),
(12471, 1),
(12472, 1),
(12473, 1),
(12474, 1),
(12475, 1),
(12476, 1),
(12477, 1),
(12478, 1),
(12479, 1),
(12480, 1),
(12481, 1),
(12482, 1),
(12483, 1),
(12484, 1),
(12485, 1),
(12486, 1),
(12487, 1),
(12488, 1),
(12489, 1),
(12490, 1),
(12491, 1),
(12492, 1),
(12493, 1),
(12494, 1),
(12495, 1),
(12496, 1),
(12497, 1),
(12498, 1),
(12499, 1),
(12500, 1),
(12501, 1),
(12502, 1),
(12503, 1),
(12504, 1),
(12505, 1),
(12506, 1),
(12507, 1),
(12508, 1),
(12509, 1),
(12510, 1),
(12511, 1),
(12512, 1),
(12513, 1),
(12514, 1),
(12515, 1),
(12516, 1),
(12517, 1),
(12518, 1),
(12519, 1),
(12520, 1),
(12521, 1),
(12522, 1),
(12523, 1),
(12524, 1),
(12525, 1),
(12526, 1),
(12527, 1),
(12528, 1),
(12529, 1),
(12530, 1),
(12531, 1),
(12532, 1),
(12533, 1),
(12534, 1),
(12535, 1),
(12536, 1),
(12537, 1),
(12538, 1),
(12539, 1),
(12540, 1),
(12541, 1),
(12542, 1),
(12543, 1),
(12544, 1),
(12545, 1),
(12546, 1),
(12547, 1),
(12548, 1),
(12549, 1),
(12550, 1),
(12551, 1),
(12552, 1),
(12553, 1),
(12554, 1),
(12555, 1),
(12556, 1),
(12557, 1),
(12558, 1),
(12559, 1),
(12560, 1),
(12561, 1),
(12562, 1),
(12563, 1),
(12564, 1),
(12565, 1),
(12566, 1),
(12567, 1),
(12568, 1),
(12569, 1),
(12570, 1),
(12571, 1),
(12572, 1),
(12573, 1),
(12574, 1),
(12575, 1),
(12576, 1),
(12577, 1),
(12578, 1),
(12579, 1),
(12580, 1),
(12581, 1),
(12582, 1),
(12583, 1),
(12584, 1),
(12585, 1),
(12586, 1),
(12587, 1),
(12588, 1),
(12589, 1),
(12590, 1),
(12591, 1),
(12592, 1),
(12593, 1),
(12594, 1),
(12595, 1),
(12596, 1),
(12597, 1),
(12598, 1),
(12599, 1),
(12600, 1),
(12601, 1),
(12602, 1),
(12603, 1),
(12604, 1),
(12605, 1),
(12606, 1),
(12607, 1),
(12608, 1),
(12609, 1),
(12610, 1),
(12611, 1),
(12612, 1),
(12613, 1),
(12614, 1),
(12615, 1),
(12616, 1),
(12617, 1),
(12618, 1),
(12619, 1),
(12620, 1),
(12621, 1),
(12622, 1),
(12623, 1),
(12624, 1),
(12625, 1),
(12626, 1),
(12627, 1),
(12628, 1),
(12629, 1),
(12630, 1),
(12631, 1),
(12632, 1),
(12633, 1),
(12634, 1),
(12635, 1),
(12636, 1),
(12637, 1),
(12638, 1),
(12639, 1),
(12640, 1),
(12641, 1),
(12642, 1),
(12643, 1),
(12644, 1),
(12645, 1),
(12646, 1),
(12647, 1),
(12648, 1),
(12649, 1),
(12650, 1),
(12651, 1),
(12652, 1),
(12653, 1),
(12654, 1),
(12655, 1),
(12656, 1),
(12657, 1),
(12658, 1),
(12659, 1),
(12660, 1),
(12661, 1),
(12662, 1),
(12663, 1),
(12664, 1),
(12665, 1),
(12666, 1),
(12667, 1),
(12668, 1),
(12669, 1),
(12670, 1),
(12671, 1),
(12672, 1),
(12673, 1),
(12674, 1),
(12675, 1),
(12676, 1),
(12677, 1),
(12678, 1),
(12679, 1),
(12680, 1),
(12681, 1),
(12682, 1),
(12683, 1),
(12684, 1),
(12685, 1),
(12686, 1),
(12687, 1),
(12688, 1),
(12689, 1),
(12690, 1),
(12691, 1),
(12692, 1),
(12693, 1),
(12694, 1),
(12695, 1),
(12696, 1),
(12697, 1),
(12698, 1),
(12699, 1),
(12700, 1),
(12701, 1),
(12702, 1),
(12703, 1),
(12704, 1),
(12705, 1),
(12706, 1),
(12707, 1),
(12708, 1),
(12709, 1),
(12710, 1),
(12711, 1),
(12712, 1),
(12713, 1),
(12714, 1),
(12715, 1),
(12716, 1),
(12717, 1),
(12718, 1),
(12719, 1),
(12720, 1),
(12721, 1),
(12722, 1),
(12723, 1),
(12724, 1),
(12725, 1),
(12726, 1),
(12727, 1),
(12728, 1),
(12729, 1),
(12730, 1),
(12731, 1),
(12732, 1),
(12733, 1),
(12734, 1),
(12735, 1),
(12736, 1),
(12737, 1),
(12738, 1),
(12739, 1),
(12740, 1),
(12741, 1),
(12742, 1),
(12743, 1),
(12744, 1),
(12745, 1),
(12746, 1),
(12747, 1),
(12748, 1),
(12749, 1),
(12750, 1),
(12751, 1),
(12752, 1),
(12753, 1),
(12754, 1),
(12755, 1),
(12756, 1),
(12757, 1),
(12758, 1),
(12759, 1),
(12760, 1),
(12761, 1),
(12762, 1),
(12763, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(12764, 1),
(12765, 1),
(12766, 1),
(12767, 1),
(12768, 1),
(12769, 1),
(12770, 1),
(12771, 1),
(12772, 1),
(12773, 1),
(12774, 1),
(12775, 1),
(12776, 1),
(12777, 1),
(12778, 1),
(12779, 1),
(12780, 1),
(12781, 1),
(12782, 1),
(12783, 1),
(12784, 1),
(12785, 1),
(12786, 1),
(12787, 1),
(12788, 1),
(12789, 1),
(12790, 1),
(12791, 1),
(12792, 1),
(12793, 1),
(12794, 1),
(12795, 1),
(12796, 1),
(12797, 1),
(12798, 1),
(12799, 1),
(12800, 1),
(12801, 1),
(12802, 1),
(12803, 1),
(12804, 1),
(12805, 1),
(12806, 1),
(12807, 1),
(12808, 1),
(12809, 1),
(12810, 1),
(12811, 1),
(12812, 1),
(12813, 1),
(12814, 1),
(12815, 1),
(12816, 1),
(12817, 1),
(12818, 1),
(12819, 1),
(12820, 1),
(12821, 1),
(12822, 1),
(12823, 1),
(12824, 1),
(12825, 1),
(12826, 1),
(12827, 1),
(12828, 1),
(12829, 1),
(12830, 1),
(12831, 1),
(12832, 1),
(12833, 1),
(12834, 1),
(12835, 1),
(12836, 1),
(12837, 1),
(12838, 1),
(12839, 1),
(12840, 1),
(12841, 1),
(12842, 1),
(12843, 1),
(12844, 1),
(12845, 1),
(12846, 1),
(12847, 1),
(12848, 1),
(12849, 1),
(12850, 1),
(12851, 1),
(12852, 1),
(12853, 1),
(12854, 1),
(12855, 1),
(12856, 1),
(12857, 1),
(12858, 1),
(12859, 1),
(12860, 1),
(12861, 1),
(12862, 1),
(12863, 1),
(12864, 1),
(12865, 1),
(12866, 1),
(12867, 1),
(12868, 1),
(12869, 1),
(12870, 1),
(12871, 1),
(12872, 1),
(12873, 1),
(12874, 1),
(12875, 1),
(12876, 1),
(12877, 1),
(12878, 1),
(12879, 1),
(12880, 1),
(12881, 1),
(12882, 1),
(12883, 1),
(12884, 1),
(12885, 1),
(12886, 1),
(12887, 1),
(12888, 1),
(12889, 1),
(12890, 1),
(12891, 1),
(12892, 1),
(12893, 1),
(12894, 1),
(12895, 1),
(12896, 1),
(12897, 1),
(12898, 1),
(12899, 1),
(12900, 1),
(12901, 1),
(12902, 1),
(12903, 1),
(12904, 1),
(12905, 1),
(12906, 1),
(12907, 1),
(12908, 1),
(12909, 1),
(12910, 1),
(12911, 1),
(12912, 1),
(12913, 1),
(12914, 1),
(12915, 1),
(12916, 1),
(12917, 1),
(12918, 1),
(12919, 1),
(12920, 1),
(12921, 1),
(12922, 1),
(12923, 1),
(12924, 1),
(12925, 1),
(12926, 1),
(12927, 1),
(12928, 1),
(12929, 1),
(12930, 1),
(12931, 1),
(12932, 1),
(12933, 1),
(12934, 1),
(12935, 1),
(12936, 1),
(12937, 1),
(12938, 1),
(12939, 1),
(12940, 1),
(12941, 1),
(12942, 1),
(12943, 1),
(12944, 1),
(12945, 1),
(12946, 1),
(12947, 1),
(12948, 1),
(12949, 1),
(12950, 1),
(12951, 1),
(12952, 1),
(12953, 1),
(12954, 1),
(12955, 1),
(12956, 1),
(12957, 1),
(12958, 1),
(12959, 1),
(12960, 1),
(12961, 1),
(12962, 1),
(12963, 1),
(12964, 1),
(12965, 1),
(12966, 1),
(12967, 1),
(12968, 1),
(12969, 1),
(12970, 1),
(12971, 1),
(12972, 1),
(12973, 1),
(12974, 1),
(12975, 1),
(12976, 1),
(12977, 1),
(12978, 1),
(12979, 1),
(12980, 1),
(12981, 1),
(12982, 1),
(12983, 1),
(12984, 1),
(12985, 1),
(12986, 1),
(12987, 1),
(12988, 1),
(12989, 1),
(12990, 1),
(12991, 1),
(12992, 1),
(12993, 1),
(12994, 1),
(12995, 1),
(12996, 1),
(12997, 1),
(12998, 1),
(12999, 1),
(13000, 1),
(13001, 1),
(13002, 1),
(13003, 1),
(13004, 1),
(13005, 1),
(13006, 1),
(13007, 1),
(13008, 1),
(13009, 1),
(13010, 1),
(13011, 1),
(13012, 1),
(13013, 1),
(13014, 1),
(13015, 1),
(13016, 1),
(13017, 1),
(13018, 1),
(13019, 1),
(13020, 1),
(13021, 1),
(13022, 1),
(13023, 1),
(13024, 1),
(13025, 1),
(13026, 1),
(13027, 1),
(13028, 1),
(13029, 1),
(13030, 1),
(13031, 1),
(13032, 1),
(13033, 1),
(13034, 1),
(13035, 1),
(13036, 1),
(13037, 1),
(13038, 1),
(13039, 1),
(13040, 1),
(13041, 1),
(13042, 1),
(13043, 1),
(13044, 1),
(13045, 1),
(13046, 1),
(13047, 1),
(13048, 1),
(13049, 1),
(13050, 1),
(13051, 1),
(13052, 1),
(13053, 1),
(13054, 1),
(13055, 1),
(13056, 1),
(13057, 1),
(13058, 1),
(13059, 1),
(13060, 1),
(13061, 1),
(13062, 1),
(13063, 1),
(13064, 1),
(13065, 1),
(13066, 1),
(13067, 1),
(13068, 1),
(13069, 1),
(13070, 1),
(13071, 1),
(13072, 1),
(13073, 1),
(13074, 1),
(13075, 1),
(13076, 1),
(13077, 1),
(13078, 1),
(13079, 1),
(13080, 1),
(13081, 1),
(13082, 1),
(13083, 1),
(13084, 1),
(13085, 1),
(13086, 1),
(13087, 1),
(13088, 1),
(13089, 1),
(13090, 1),
(13091, 1),
(13092, 1),
(13093, 1),
(13094, 1),
(13095, 1),
(13096, 1),
(13097, 1),
(13098, 1),
(13099, 1),
(13100, 1),
(13101, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(13102, 1),
(13103, 1),
(13104, 1),
(13105, 1),
(13106, 1),
(13107, 1),
(13108, 1),
(13109, 1),
(13110, 1),
(13111, 1),
(13112, 1),
(13113, 1),
(13114, 1),
(13115, 1),
(13116, 1),
(13117, 1),
(13118, 1),
(13119, 1),
(13120, 1),
(13121, 1),
(13122, 1),
(13123, 1),
(13124, 1),
(13125, 1),
(13126, 1),
(13127, 1),
(13128, 1),
(13129, 1),
(13130, 1),
(13131, 1),
(13132, 1),
(13133, 1),
(13134, 1),
(13135, 1),
(13136, 1),
(13137, 1),
(13138, 1),
(13139, 1),
(13140, 1),
(13141, 1),
(13142, 1),
(13143, 1),
(13144, 1),
(13145, 1),
(13146, 1),
(13147, 1),
(13148, 1),
(13149, 1),
(13150, 1),
(13151, 1),
(13152, 1),
(13153, 1),
(13154, 1),
(13155, 1),
(13156, 1),
(13157, 1),
(13158, 1),
(13159, 1),
(13160, 1),
(13161, 1),
(13162, 1),
(13163, 1),
(13164, 1),
(13165, 1),
(13166, 1),
(13167, 1),
(13168, 1),
(13169, 1),
(13170, 1),
(13171, 1),
(13172, 1),
(13173, 1),
(13174, 1),
(13175, 1),
(13176, 1),
(13177, 1),
(13178, 1),
(13179, 1),
(13180, 1),
(13181, 1),
(13182, 1),
(13183, 1),
(13184, 1),
(13185, 1),
(13186, 1),
(13187, 1),
(13188, 1),
(13189, 1),
(13190, 1),
(13191, 1),
(13192, 1),
(13193, 1),
(13194, 1),
(13195, 1),
(13196, 1),
(13197, 1),
(13198, 1),
(13199, 1),
(13200, 1),
(13201, 1),
(13202, 1),
(13203, 1),
(13204, 1),
(13205, 1),
(13206, 1),
(13207, 1),
(13208, 1),
(13209, 1),
(13210, 1),
(13211, 1),
(13212, 1),
(13213, 1),
(13214, 1),
(13215, 1),
(13216, 1),
(13217, 1),
(13218, 1),
(13219, 1),
(13220, 1),
(13221, 1),
(13222, 1),
(13223, 1),
(13224, 1),
(13225, 1),
(13226, 1),
(13227, 1),
(13228, 1),
(13229, 1),
(13230, 1),
(13231, 1),
(13232, 1),
(13233, 1),
(13234, 1),
(13235, 1),
(13236, 1),
(13237, 1),
(13238, 1),
(13239, 1),
(13240, 1),
(13241, 1),
(13242, 1),
(13243, 1),
(13244, 1),
(13245, 1),
(13246, 1),
(13247, 1),
(13248, 1),
(13249, 1),
(13250, 1),
(13251, 1),
(13252, 1),
(13253, 1),
(13254, 1),
(13255, 1),
(13256, 1),
(13257, 1),
(13258, 1),
(13259, 1),
(13260, 1),
(13261, 1),
(13262, 1),
(13263, 1),
(13264, 1),
(13265, 1),
(13266, 1),
(13267, 1),
(13268, 1),
(13269, 1),
(13270, 1),
(13271, 1),
(13272, 1),
(13273, 1),
(13274, 1),
(13275, 1),
(13276, 1),
(13277, 1),
(13278, 1),
(13279, 1),
(13280, 1),
(13281, 1),
(13282, 1),
(13283, 1),
(13284, 1),
(13285, 1),
(13286, 1),
(13287, 1),
(13288, 1),
(13289, 1),
(13290, 1),
(13291, 1),
(13292, 1),
(13293, 1),
(13294, 1),
(13295, 1),
(13296, 1),
(13297, 1),
(13298, 1),
(13299, 1),
(13300, 1),
(13301, 1),
(13302, 1),
(13303, 1),
(13304, 1),
(13305, 1),
(13306, 1),
(13307, 1),
(13308, 1),
(13309, 1),
(13310, 1),
(13311, 1),
(13312, 1),
(13313, 1),
(13314, 1),
(13315, 1),
(13316, 1),
(13317, 1),
(13318, 1),
(13319, 1),
(13320, 1),
(13321, 1),
(13322, 1),
(13323, 1),
(13324, 1),
(13325, 1),
(13326, 1),
(13327, 1),
(13328, 1),
(13329, 1),
(13330, 1),
(13331, 1),
(13332, 1),
(13333, 1),
(13334, 1),
(13335, 1),
(13336, 1),
(13337, 1),
(13338, 1),
(13339, 1),
(13340, 1),
(13341, 1),
(13342, 1),
(13343, 1),
(13344, 1),
(13345, 1),
(13346, 1),
(13347, 1),
(13348, 1),
(13349, 1),
(13350, 1),
(13351, 1),
(13352, 1),
(13353, 1),
(13354, 1),
(13355, 1),
(13356, 1),
(13357, 1),
(13358, 1),
(13359, 1),
(13360, 1),
(13361, 1),
(13362, 1),
(13363, 1),
(13364, 1),
(13365, 1),
(13366, 1),
(13367, 1),
(13368, 1),
(13369, 1),
(13370, 1),
(13371, 1),
(13372, 1),
(13373, 1),
(13374, 1),
(13375, 1),
(13376, 1),
(13377, 1),
(13378, 1),
(13379, 1),
(13380, 1),
(13381, 1),
(13382, 1),
(13383, 1),
(13384, 1),
(13385, 1),
(13386, 1),
(13387, 1),
(13388, 1),
(13389, 1),
(13390, 1),
(13391, 1),
(13392, 1),
(13393, 1),
(13394, 1),
(13395, 1),
(13396, 1),
(13397, 1),
(13398, 1),
(13399, 1),
(13400, 1),
(13401, 1),
(13402, 1),
(13403, 1),
(13404, 1),
(13405, 1),
(13406, 1),
(13407, 1),
(13408, 1),
(13409, 1),
(13410, 1),
(13411, 1),
(13412, 1),
(13413, 1),
(13414, 1),
(13415, 1),
(13416, 1),
(13417, 1),
(13418, 1),
(13419, 1),
(13420, 1),
(13421, 1),
(13422, 1),
(13423, 1),
(13424, 1),
(13425, 1),
(13426, 1),
(13427, 1),
(13428, 1),
(13429, 1),
(13430, 1),
(13431, 1),
(13432, 1),
(13433, 1),
(13434, 1),
(13435, 1),
(13436, 1),
(13437, 1),
(13438, 1),
(13439, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(13440, 1),
(13441, 1),
(13442, 1),
(13443, 1),
(13444, 1),
(13445, 1),
(13446, 1),
(13447, 1),
(13448, 1),
(13449, 1),
(13450, 1),
(13451, 1),
(13452, 1),
(13453, 1),
(13454, 1),
(13455, 1),
(13456, 1),
(13457, 1),
(13458, 1),
(13459, 1),
(13460, 1),
(13461, 1),
(13462, 1),
(13463, 1),
(13464, 1),
(13465, 1),
(13466, 1),
(13467, 1),
(13468, 1),
(13469, 1),
(13470, 1),
(13471, 1),
(13472, 1),
(13473, 1),
(13474, 1),
(13475, 1),
(13476, 1),
(13477, 1),
(13478, 1),
(13479, 1),
(13480, 1),
(13481, 1),
(13482, 1),
(13483, 1),
(13484, 1),
(13485, 1),
(13486, 1),
(13487, 1),
(13488, 1),
(13489, 1),
(13490, 1),
(13491, 1),
(13492, 1),
(13493, 1),
(13494, 1),
(13495, 1),
(13496, 1),
(13497, 1),
(13498, 1),
(13499, 1),
(13500, 1),
(13501, 1),
(13502, 1),
(13503, 1),
(13504, 1),
(13505, 1),
(13506, 1),
(13507, 1),
(13508, 1),
(13509, 1),
(13510, 1),
(13511, 1),
(13512, 1),
(13513, 1),
(13514, 1),
(13515, 1),
(13516, 1),
(13517, 1),
(13518, 1),
(13519, 1),
(13520, 1),
(13521, 1),
(13522, 1),
(13523, 1),
(13524, 1),
(13525, 1),
(13526, 1),
(13527, 1),
(13528, 1),
(13529, 1),
(13530, 1),
(13531, 1),
(13532, 1),
(13533, 1),
(13534, 1),
(13535, 1),
(13536, 1),
(13537, 1),
(13538, 1),
(13539, 1),
(13540, 1),
(13541, 1),
(13542, 1),
(13543, 1),
(13544, 1),
(13545, 1),
(13546, 1),
(13547, 1),
(13548, 1),
(13549, 1),
(13550, 1),
(13551, 1),
(13552, 1),
(13553, 1),
(13554, 1),
(13555, 1),
(13556, 1),
(13557, 1),
(13558, 1),
(13559, 1),
(13560, 1),
(13561, 1),
(13562, 1),
(13563, 1),
(13564, 1),
(13565, 1),
(13566, 1),
(13567, 1),
(13568, 1),
(13569, 1),
(13570, 1),
(13571, 1),
(13572, 1),
(13573, 1),
(13574, 1),
(13575, 1),
(13576, 1),
(13577, 1),
(13578, 1),
(13579, 1),
(13580, 1),
(13581, 1),
(13582, 1),
(13583, 1),
(13584, 1),
(13585, 1),
(13586, 1),
(13587, 1),
(13588, 1),
(13589, 1),
(13590, 1),
(13591, 1),
(13592, 1),
(13593, 1),
(13594, 1),
(13595, 1),
(13596, 1),
(13597, 1),
(13598, 1),
(13599, 1),
(13600, 1),
(13601, 1),
(13602, 1),
(13603, 1),
(13604, 1),
(13605, 1),
(13606, 1),
(13607, 1),
(13608, 1),
(13609, 1),
(13610, 1),
(13611, 1),
(13612, 1),
(13613, 1),
(13614, 1),
(13615, 1),
(13616, 1),
(13617, 1),
(13618, 1),
(13619, 1),
(13620, 1),
(13621, 1),
(13622, 1),
(13623, 1),
(13624, 1),
(13625, 1),
(13626, 1),
(13627, 1),
(13628, 1),
(13629, 1),
(13630, 1),
(13631, 1),
(13632, 1),
(13633, 1),
(13634, 1),
(13635, 1),
(13636, 1),
(13637, 1),
(13638, 1),
(13639, 1),
(13640, 1),
(13641, 1),
(13642, 1),
(13643, 1),
(13644, 1),
(13645, 1),
(13646, 1),
(13647, 1),
(13648, 1),
(13649, 1),
(13650, 1),
(13651, 1),
(13652, 1),
(13653, 1),
(13654, 1),
(13655, 1),
(13656, 1),
(13657, 1),
(13658, 1),
(13659, 1),
(13660, 1),
(13661, 1),
(13662, 1),
(13663, 1),
(13664, 1),
(13665, 1),
(13666, 1),
(13667, 1),
(13668, 1),
(13669, 1),
(13670, 1),
(13671, 1),
(13672, 1),
(13673, 1),
(13674, 1),
(13675, 1),
(13676, 1),
(13677, 1),
(13678, 1),
(13679, 1),
(13680, 1),
(13681, 1),
(13682, 1),
(13683, 1),
(13684, 1),
(13685, 1),
(13686, 1),
(13687, 1),
(13688, 1),
(13689, 1),
(13690, 1),
(13691, 1),
(13692, 1),
(13693, 1),
(13694, 1),
(13695, 1),
(13696, 1),
(13697, 1),
(13698, 1),
(13699, 1),
(13700, 1),
(13701, 1),
(13702, 1),
(13703, 1),
(13704, 1),
(13705, 1),
(13706, 1),
(13707, 1),
(13708, 1),
(13709, 1),
(13710, 1),
(13711, 1),
(13712, 1),
(13713, 1),
(13714, 1),
(13715, 1),
(13716, 1),
(13717, 1),
(13718, 1),
(13719, 1),
(13720, 1),
(13721, 1),
(13722, 1),
(13723, 1),
(13724, 1),
(13725, 1),
(13726, 1),
(13727, 1),
(13728, 1),
(13729, 1),
(13730, 1),
(13731, 1),
(13732, 1),
(13733, 1),
(13734, 1),
(13735, 1),
(13736, 1),
(13737, 1),
(13738, 1),
(13739, 1),
(13740, 1),
(13741, 1),
(13742, 1),
(13743, 1),
(13744, 1),
(13745, 1),
(13746, 1),
(13747, 1),
(13748, 1),
(13749, 1),
(13750, 1),
(13751, 1),
(13752, 1),
(13753, 1),
(13754, 1),
(13755, 1),
(13756, 1),
(13757, 1),
(13758, 1),
(13759, 1),
(13760, 1),
(13761, 1),
(13762, 1),
(13763, 1),
(13764, 1),
(13765, 1),
(13766, 1),
(13767, 1),
(13768, 1),
(13769, 1),
(13770, 1),
(13771, 1),
(13772, 1),
(13773, 1),
(13774, 1),
(13775, 1),
(13776, 1),
(13777, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(13778, 1),
(13779, 1),
(13780, 1),
(13781, 1),
(13782, 1),
(13783, 1),
(13784, 1),
(13785, 1),
(13786, 1),
(13787, 1),
(13788, 1),
(13789, 1),
(13790, 1),
(13791, 1),
(13792, 1),
(13793, 1),
(13794, 1),
(13795, 1),
(13796, 1),
(13797, 1),
(13798, 1),
(13799, 1),
(13800, 1),
(13801, 1),
(13802, 1),
(13803, 1),
(13804, 1),
(13805, 1),
(13806, 1),
(13807, 1),
(13808, 1),
(13809, 1),
(13810, 1),
(13811, 1),
(13812, 1),
(13813, 1),
(13814, 1),
(13815, 1),
(13816, 1),
(13817, 1),
(13818, 1),
(13819, 1),
(13820, 1),
(13821, 1),
(13822, 1),
(13823, 1),
(13824, 1),
(13825, 1),
(13826, 1),
(13827, 1),
(13828, 1),
(13829, 1),
(13830, 1),
(13831, 1),
(13832, 1),
(13833, 1),
(13834, 1),
(13835, 1),
(13836, 1),
(13837, 1),
(13838, 1),
(13839, 1),
(13840, 1),
(13841, 1),
(13842, 1),
(13843, 1),
(13844, 1),
(13845, 1),
(13846, 1),
(13847, 1),
(13848, 1),
(13849, 1),
(13850, 1),
(13851, 1),
(13852, 1),
(13853, 1),
(13854, 1),
(13855, 1),
(13856, 1),
(13857, 1),
(13858, 1),
(13859, 1),
(13860, 1),
(13861, 1),
(13862, 1),
(13863, 1),
(13864, 1),
(13865, 1),
(13866, 1),
(13867, 1),
(13868, 1),
(13869, 1),
(13870, 1),
(13871, 1),
(13872, 1),
(13873, 1),
(13874, 1),
(13875, 1),
(13876, 1),
(13877, 1),
(13878, 1),
(13879, 1),
(13880, 1),
(13881, 1),
(13882, 1),
(13883, 1),
(13884, 1),
(13885, 1),
(13886, 1),
(13887, 1),
(13888, 1),
(13889, 1),
(13890, 1),
(13891, 1),
(13892, 1),
(13893, 1),
(13894, 1),
(13895, 1),
(13896, 1),
(13897, 1),
(13898, 1),
(13899, 1),
(13900, 1),
(13901, 1),
(13902, 1),
(13903, 1),
(13904, 1),
(13905, 1),
(13906, 1),
(13907, 1),
(13908, 1),
(13909, 1),
(13910, 1),
(13911, 1),
(13912, 1),
(13913, 1),
(13914, 1),
(13915, 1),
(13916, 1),
(13917, 1),
(13918, 1),
(13919, 1),
(13920, 1),
(13921, 1),
(13922, 1),
(13923, 1),
(13924, 1),
(13925, 1),
(13926, 1),
(13927, 1),
(13928, 1),
(13929, 1),
(13930, 1),
(13931, 1),
(13932, 1),
(13933, 1),
(13934, 1),
(13935, 1),
(13936, 1),
(13937, 1),
(13938, 1),
(13939, 1),
(13940, 1),
(13941, 1),
(13942, 1),
(13943, 1),
(13944, 1),
(13945, 1),
(13946, 1),
(13947, 1),
(13948, 1),
(13949, 1),
(13950, 1),
(13951, 1),
(13952, 1),
(13953, 1),
(13954, 1),
(13955, 1),
(13956, 1),
(13957, 1),
(13958, 1),
(13959, 1),
(13960, 1),
(13961, 1),
(13962, 1),
(13963, 1),
(13964, 1),
(13965, 1),
(13966, 1),
(13967, 1),
(13968, 1),
(13969, 1),
(13970, 1),
(13971, 1),
(13972, 1),
(13973, 1),
(13974, 1),
(13975, 1),
(13976, 1),
(13977, 1),
(13978, 1),
(13979, 1),
(13980, 1),
(13981, 1),
(13982, 1),
(13983, 1),
(13984, 1),
(13985, 1),
(13986, 1),
(13987, 1),
(13988, 1),
(13989, 1),
(13990, 1),
(13991, 1),
(13992, 1),
(13993, 1),
(13994, 1),
(13995, 1),
(13996, 1),
(13997, 1),
(13998, 1),
(13999, 1),
(14000, 1),
(14001, 1),
(14002, 1),
(14003, 1),
(14004, 1),
(14005, 1),
(14006, 1),
(14007, 1),
(14008, 1),
(14009, 1),
(14010, 1),
(14011, 1),
(14012, 1),
(14013, 1),
(14014, 1),
(14015, 1),
(14016, 1),
(14017, 1),
(14018, 1),
(14019, 1),
(14020, 1),
(14021, 1),
(14022, 1),
(14023, 1),
(14024, 1),
(14025, 1),
(14026, 1),
(14027, 1),
(14028, 1),
(14029, 1),
(14030, 1),
(14031, 1),
(14032, 1),
(14033, 1),
(14034, 1),
(14035, 1),
(14036, 1),
(14037, 1),
(14038, 1),
(14039, 1),
(14040, 1),
(14041, 1),
(14042, 1),
(14043, 1),
(14044, 1),
(14045, 1),
(14046, 1),
(14047, 1),
(14048, 1),
(14049, 1),
(14050, 1),
(14051, 1),
(14052, 1),
(14053, 1),
(14054, 1),
(14055, 1),
(14056, 1),
(14057, 1),
(14058, 1),
(14059, 1),
(14060, 1),
(14061, 1),
(14062, 1),
(14063, 1),
(14064, 1),
(14065, 1),
(14066, 1),
(14067, 1),
(14068, 1),
(14069, 1),
(14070, 1),
(14071, 1),
(14072, 1),
(14073, 1),
(14074, 1),
(14075, 1),
(14076, 1),
(14077, 1),
(14078, 1),
(14079, 1),
(14080, 1),
(14081, 1),
(14082, 1),
(14083, 1),
(14084, 1),
(14085, 1),
(14086, 1),
(14087, 1),
(14088, 1),
(14089, 1),
(14090, 1),
(14091, 1),
(14092, 1),
(14093, 1),
(14094, 1),
(14095, 1),
(14096, 1),
(14097, 1),
(14098, 1),
(14099, 1),
(14100, 1),
(14101, 1),
(14102, 1),
(14103, 1),
(14104, 1),
(14105, 1),
(14106, 1),
(14107, 1),
(14108, 1),
(14109, 1),
(14110, 1),
(14111, 1),
(14112, 1),
(14113, 1),
(14114, 1),
(14115, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(14116, 1),
(14117, 1),
(14118, 1),
(14119, 1),
(14120, 1),
(14121, 1),
(14122, 1),
(14123, 1),
(14124, 1),
(14125, 1),
(14126, 1),
(14127, 1),
(14128, 1),
(14129, 1),
(14130, 1),
(14131, 1),
(14132, 1),
(14133, 1),
(14134, 1),
(14135, 1),
(14136, 1),
(14137, 1),
(14138, 1),
(14139, 1),
(14140, 1),
(14141, 1),
(14142, 1),
(14143, 1),
(14144, 1),
(14145, 1),
(14146, 1),
(14147, 1),
(14148, 1),
(14149, 1),
(14150, 1),
(14151, 1),
(14152, 1),
(14153, 1),
(14154, 1),
(14155, 1),
(14156, 1),
(14157, 1),
(14158, 1),
(14159, 1),
(14160, 1),
(14161, 1),
(14162, 1),
(14163, 1),
(14164, 1),
(14165, 1),
(14166, 1),
(14167, 1),
(14168, 1),
(14169, 1),
(14170, 1),
(14171, 1),
(14172, 1),
(14173, 1),
(14174, 1),
(14175, 1),
(14176, 1),
(14177, 1),
(14178, 1),
(14179, 1),
(14180, 1),
(14181, 1),
(14182, 1),
(14183, 1),
(14184, 1),
(14185, 1),
(14186, 1),
(14187, 1),
(14188, 1),
(14189, 1),
(14190, 1),
(14191, 1),
(14192, 1),
(14193, 1),
(14194, 1),
(14195, 1),
(14196, 1),
(14197, 1),
(14198, 1),
(14199, 1),
(14200, 1),
(14201, 1),
(14202, 1),
(14203, 1),
(14204, 1),
(14205, 1),
(14206, 1),
(14207, 1),
(14208, 1),
(14209, 1),
(14210, 1),
(14211, 1),
(14212, 1),
(14213, 1),
(14214, 1),
(14215, 1),
(14216, 1),
(14217, 1),
(14218, 1),
(14219, 1),
(14220, 1),
(14221, 1),
(14222, 1),
(14223, 1),
(14224, 1),
(14225, 1),
(14226, 1),
(14227, 1),
(14228, 1),
(14229, 1),
(14230, 1),
(14231, 1),
(14232, 1),
(14233, 1),
(14234, 1),
(14235, 1),
(14236, 1),
(14237, 1),
(14238, 1),
(14239, 1),
(14240, 1),
(14241, 1),
(14242, 1),
(14243, 1),
(14244, 1),
(14245, 1),
(14246, 1),
(14247, 1),
(14248, 1),
(14249, 1),
(14250, 1),
(14251, 1),
(14252, 1),
(14253, 1),
(14254, 1),
(14255, 1),
(14256, 1),
(14257, 1),
(14258, 1),
(14259, 1),
(14260, 1),
(14261, 1),
(14262, 1),
(14263, 1),
(14264, 1),
(14265, 1),
(14266, 1),
(14267, 1),
(14268, 1),
(14269, 1),
(14270, 1),
(14271, 1),
(14272, 1),
(14273, 1),
(14274, 1),
(14275, 1),
(14276, 1),
(14277, 1),
(14278, 1),
(14279, 1),
(14280, 1),
(14281, 1),
(14282, 1),
(14283, 1),
(14284, 1),
(14285, 1),
(14286, 1),
(14287, 1),
(14288, 1),
(14289, 1),
(14290, 1),
(14291, 1),
(14292, 1),
(14293, 1),
(14294, 1),
(14295, 1),
(14296, 1),
(14297, 1),
(14298, 1),
(14299, 1),
(14300, 1),
(14301, 1),
(14302, 1),
(14303, 1),
(14304, 1),
(14305, 1),
(14306, 1),
(14307, 1),
(14308, 1),
(14309, 1),
(14310, 1),
(14311, 1),
(14312, 1),
(14313, 1),
(14314, 1),
(14315, 1),
(14316, 1),
(14317, 1),
(14318, 1),
(14319, 1),
(14320, 1),
(14321, 1),
(14322, 1),
(14323, 1),
(14324, 1),
(14325, 1),
(14326, 1),
(14327, 1),
(14328, 1),
(14329, 1),
(14330, 1),
(14331, 1),
(14332, 1),
(14333, 1),
(14334, 1),
(14335, 1),
(14336, 1),
(14337, 1),
(14338, 1),
(14339, 1),
(14340, 1),
(14341, 1),
(14342, 1),
(14343, 1),
(14344, 1),
(14345, 1),
(14346, 1),
(14347, 1),
(14348, 1),
(14349, 1),
(14350, 1),
(14351, 1),
(14352, 1),
(14353, 1),
(14354, 1),
(14355, 1),
(14356, 1),
(14357, 1),
(14358, 1),
(14359, 1),
(14360, 1),
(14361, 1),
(14362, 1),
(14363, 1),
(14364, 1),
(14365, 1),
(14366, 1),
(14367, 1),
(14368, 1),
(14369, 1),
(14370, 1),
(14371, 1),
(14372, 1),
(14373, 1),
(14374, 1),
(14375, 1),
(14376, 1),
(14377, 1),
(14378, 1),
(14379, 1),
(14380, 1),
(14381, 1),
(14382, 1),
(14383, 1),
(14384, 1),
(14385, 1),
(14386, 1),
(14387, 1),
(14388, 1),
(14389, 1),
(14390, 1),
(14391, 1),
(14392, 1),
(14393, 1),
(14394, 1),
(14395, 1),
(14396, 1),
(14397, 1),
(14398, 1),
(14399, 1),
(14400, 1),
(14401, 1),
(14402, 1),
(14403, 1),
(14404, 1),
(14405, 1),
(14406, 1),
(14407, 1),
(14408, 1),
(14409, 1),
(14410, 1),
(14411, 1),
(14412, 1),
(14413, 1),
(14414, 1),
(14415, 1),
(14416, 1),
(14417, 1),
(14418, 1),
(14419, 1),
(14420, 1),
(14421, 1),
(14422, 1),
(14423, 1),
(14424, 1),
(14425, 1),
(14426, 1),
(14427, 1),
(14428, 1),
(14429, 1),
(14430, 1),
(14431, 1),
(14432, 1),
(14433, 1),
(14434, 1),
(14435, 1),
(14436, 1),
(14437, 1),
(14438, 1),
(14439, 1),
(14440, 1),
(14441, 1),
(14442, 1),
(14443, 1),
(14444, 1),
(14445, 1),
(14446, 1),
(14447, 1),
(14448, 1),
(14449, 1),
(14450, 1),
(14451, 1),
(14452, 1),
(14453, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(14454, 1),
(14455, 1),
(14456, 1),
(14457, 1),
(14458, 1),
(14459, 1),
(14460, 1),
(14461, 1),
(14462, 1),
(14463, 1),
(14464, 1),
(14465, 1),
(14466, 1),
(14467, 1),
(14468, 1),
(14469, 1),
(14470, 1),
(14471, 1),
(14472, 1),
(14473, 1),
(14474, 1),
(14475, 1),
(14476, 1),
(14477, 1),
(14478, 1),
(14479, 1),
(14480, 1),
(14481, 1),
(14482, 1),
(14483, 1),
(14484, 1),
(14485, 1),
(14486, 1),
(14487, 1),
(14488, 1),
(14489, 1),
(14490, 1),
(14491, 1),
(14492, 1),
(14493, 1),
(14494, 1),
(14495, 1),
(14496, 1),
(14497, 1),
(14498, 1),
(14499, 1),
(14500, 1),
(14501, 1),
(14502, 1),
(14503, 1),
(14504, 1),
(14505, 1),
(14506, 1),
(14507, 1),
(14508, 1),
(14509, 1),
(14510, 1),
(14511, 1),
(14512, 1),
(14513, 1),
(14514, 1),
(14515, 1),
(14516, 1),
(14517, 1),
(14518, 1),
(14519, 1),
(14520, 1),
(14521, 1),
(14522, 1),
(14523, 1),
(14524, 1),
(14525, 1),
(14526, 1),
(14527, 1),
(14528, 1),
(14529, 1),
(14530, 1),
(14531, 1),
(14532, 1),
(14533, 1),
(14534, 1),
(14535, 1),
(14536, 1),
(14537, 1),
(14538, 1),
(14539, 1),
(14540, 1),
(14541, 1),
(14542, 1),
(14543, 1),
(14544, 1),
(14545, 1),
(14546, 1),
(14547, 1),
(14548, 1),
(14549, 1),
(14550, 1),
(14551, 1),
(14552, 1),
(14553, 1),
(14554, 1),
(14555, 1),
(14556, 1),
(14557, 1),
(14558, 1),
(14559, 1),
(14560, 1),
(14561, 1),
(14562, 1),
(14563, 1),
(14564, 1),
(14565, 1),
(14566, 1),
(14567, 1),
(14568, 1),
(14569, 1),
(14570, 1),
(14571, 1),
(14572, 1),
(14573, 1),
(14574, 1),
(14575, 1),
(14576, 1),
(14577, 1),
(14578, 1),
(14579, 1),
(14580, 1),
(14581, 1),
(14582, 1),
(14583, 1),
(14584, 1),
(14585, 1),
(14586, 1),
(14587, 1),
(14588, 1),
(14589, 1),
(14590, 1),
(14591, 1),
(14592, 1),
(14593, 1),
(14594, 1),
(14595, 1),
(14596, 1),
(14597, 1),
(14598, 1),
(14599, 1),
(14600, 1),
(14601, 1),
(14602, 1),
(14603, 1),
(14604, 1),
(14605, 1),
(14606, 1),
(14607, 1),
(14608, 1),
(14609, 1),
(14610, 1),
(14611, 1),
(14612, 1),
(14613, 1),
(14614, 1),
(14615, 1),
(14616, 1),
(14617, 1),
(14618, 1),
(14619, 1),
(14620, 1),
(14621, 1),
(14622, 1),
(14623, 1),
(14624, 1),
(14625, 1),
(14626, 1),
(14627, 1),
(14628, 1),
(14629, 1),
(14630, 1),
(14631, 1),
(14632, 1),
(14633, 1),
(14634, 1),
(14635, 1),
(14636, 1),
(14637, 1),
(14638, 1),
(14639, 1),
(14640, 1),
(14641, 1),
(14642, 1),
(14643, 1),
(14644, 1),
(14645, 1),
(14646, 1),
(14647, 1),
(14648, 1),
(14649, 1),
(14650, 1),
(14651, 1),
(14652, 1),
(14653, 1),
(14654, 1),
(14655, 1),
(14656, 1),
(14657, 1),
(14658, 1),
(14659, 1),
(14660, 1),
(14661, 1),
(14662, 1),
(14663, 1),
(14664, 1),
(14665, 1),
(14666, 1),
(14667, 1),
(14668, 1),
(14669, 1),
(14670, 1),
(14671, 1),
(14672, 1),
(14673, 1),
(14674, 1),
(14675, 1),
(14676, 1),
(14677, 1),
(14678, 1),
(14679, 1),
(14680, 1),
(14681, 1),
(14682, 1),
(14683, 1),
(14684, 1),
(14685, 1),
(14686, 1),
(14687, 1),
(14688, 1),
(14689, 1),
(14690, 1),
(14691, 1),
(14692, 1),
(14693, 1),
(14694, 1),
(14695, 1),
(14696, 1),
(14697, 1),
(14698, 1),
(14699, 1),
(14700, 1),
(14701, 1),
(14702, 1),
(14703, 1),
(14704, 1),
(14705, 1),
(14706, 1),
(14707, 1),
(14708, 1),
(14709, 1),
(14710, 1),
(14711, 1),
(14712, 1),
(14713, 1),
(14714, 1),
(14715, 1),
(14716, 1),
(14717, 1),
(14718, 1),
(14719, 1),
(14720, 1),
(14721, 1),
(14722, 1),
(14723, 1),
(14724, 1),
(14725, 1),
(14726, 1),
(14727, 1),
(14728, 1),
(14729, 1),
(14730, 1),
(14731, 1),
(14732, 1),
(14733, 1),
(14734, 1),
(14735, 1),
(14736, 1),
(14737, 1),
(14738, 1),
(14739, 1),
(14740, 1),
(14741, 1),
(14742, 1),
(14743, 1),
(14744, 1),
(14745, 1),
(14746, 1),
(14747, 1),
(14748, 1),
(14749, 1),
(14750, 1),
(14751, 1),
(14752, 1),
(14753, 1),
(14754, 1),
(14755, 1),
(14756, 1),
(14757, 1),
(14758, 1),
(14759, 1),
(14760, 1),
(14761, 1),
(14762, 1),
(14763, 1),
(14764, 1),
(14765, 1),
(14766, 1),
(14767, 1),
(14768, 1),
(14769, 1),
(14770, 1),
(14771, 1),
(14772, 1),
(14773, 1),
(14774, 1),
(14775, 1),
(14776, 1),
(14777, 1),
(14778, 1),
(14779, 1),
(14780, 1),
(14781, 1),
(14782, 1),
(14783, 1),
(14784, 1),
(14785, 1),
(14786, 1),
(14787, 1),
(14788, 1),
(14789, 1),
(14790, 1),
(14791, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(14792, 1),
(14793, 1),
(14794, 1),
(14795, 1),
(14796, 1),
(14797, 1),
(14798, 1),
(14799, 1),
(14800, 1),
(14801, 1),
(14802, 1),
(14803, 1),
(14804, 1),
(14805, 1),
(14806, 1),
(14807, 1),
(14808, 1),
(14809, 1),
(14810, 1),
(14811, 1),
(14812, 1),
(14813, 1),
(14814, 1),
(14815, 1),
(14816, 1),
(14817, 1),
(14818, 1),
(14819, 1),
(14820, 1),
(14821, 1),
(14822, 1),
(14823, 1),
(14824, 1),
(14825, 1),
(14826, 1),
(14827, 1),
(14828, 1),
(14829, 1),
(14830, 1),
(14831, 1),
(14832, 1),
(14833, 1),
(14834, 1),
(14835, 1),
(14836, 1),
(14837, 1),
(14838, 1),
(14839, 1),
(14840, 1),
(14841, 1),
(14842, 1),
(14843, 1),
(14844, 1),
(14845, 1),
(14846, 1),
(14847, 1),
(14848, 1),
(14849, 1),
(14850, 1),
(14851, 1),
(14852, 1),
(14853, 1),
(14854, 1),
(14855, 1),
(14856, 1),
(14857, 1),
(14858, 1),
(14859, 1),
(14860, 1),
(14861, 1),
(14862, 1),
(14863, 1),
(14864, 1),
(14865, 1),
(14866, 1),
(14867, 1),
(14868, 1),
(14869, 1),
(14870, 1),
(14871, 1),
(14872, 1),
(14873, 1),
(14874, 1),
(14875, 1),
(14876, 1),
(14877, 1),
(14878, 1),
(14879, 1),
(14880, 1),
(14881, 1),
(14882, 1),
(14883, 1),
(14884, 1),
(14885, 1),
(14886, 1),
(14887, 1),
(14888, 1),
(14889, 1),
(14890, 1),
(14891, 1),
(14892, 1),
(14893, 1),
(14894, 1),
(14895, 1),
(14896, 1),
(14897, 1),
(14898, 1),
(14899, 1),
(14900, 1),
(14901, 1),
(14902, 1),
(14903, 1),
(14904, 1),
(14905, 1),
(14906, 1),
(14907, 1),
(14908, 1),
(14909, 1),
(14910, 1),
(14911, 1),
(14912, 1),
(14913, 1),
(14914, 1),
(14915, 1),
(14916, 1),
(14917, 1),
(14918, 1),
(14919, 1),
(14920, 1),
(14921, 1),
(14922, 1),
(14923, 1),
(14924, 1),
(14925, 1),
(14926, 1),
(14927, 1),
(14928, 1),
(14929, 1),
(14930, 1),
(14931, 1),
(14932, 1),
(14933, 1),
(14934, 1),
(14935, 1),
(14936, 1),
(14937, 1),
(14938, 1),
(14939, 1),
(14940, 1),
(14941, 1),
(14942, 1),
(14943, 1),
(14944, 1),
(14945, 1),
(14946, 1),
(14947, 1),
(14948, 1),
(14949, 1),
(14950, 1),
(14951, 1),
(14952, 1),
(14953, 1),
(14954, 1),
(14955, 1),
(14956, 1),
(14957, 1),
(14958, 1),
(14959, 1),
(14960, 1),
(14961, 1),
(14962, 1),
(14963, 1),
(14964, 1),
(14965, 1),
(14966, 1),
(14967, 1),
(14968, 1),
(14969, 1),
(14970, 1),
(14971, 1),
(14972, 1),
(14973, 1),
(14974, 1),
(14975, 1),
(14976, 1),
(14977, 1),
(14978, 1),
(14979, 1),
(14980, 1),
(14981, 1),
(14982, 1),
(14983, 1),
(14984, 1),
(14985, 1),
(14986, 1),
(14987, 1),
(14988, 1),
(14989, 1),
(14990, 1),
(14991, 1),
(14992, 1),
(14993, 1),
(14994, 1),
(14995, 1),
(14996, 1),
(14997, 1),
(14998, 1),
(14999, 1),
(15000, 1),
(15001, 1),
(15002, 1),
(15003, 1),
(15004, 1),
(15005, 1),
(15006, 1),
(15007, 1),
(15008, 1),
(15009, 1),
(15010, 1),
(15011, 1),
(15012, 1),
(15013, 1),
(15014, 1),
(15015, 1),
(15016, 1),
(15017, 1),
(15018, 1),
(15019, 1),
(15020, 1),
(15021, 1),
(15022, 1),
(15023, 1),
(15024, 1),
(15025, 1),
(15026, 1),
(15027, 1),
(15028, 1),
(15029, 1),
(15030, 1),
(15031, 1),
(15032, 1),
(15033, 1),
(15034, 1),
(15035, 1),
(15036, 1),
(15037, 1),
(15038, 1),
(15039, 1),
(15040, 1),
(15041, 1),
(15042, 1),
(15043, 1),
(15044, 1),
(15045, 1),
(15046, 1),
(15047, 1),
(15048, 1),
(15049, 1),
(15050, 1),
(15051, 1),
(15052, 1),
(15053, 1),
(15054, 1),
(15055, 1),
(15056, 1),
(15057, 1),
(15058, 1),
(15059, 1),
(15060, 1),
(15061, 1),
(15062, 1),
(15063, 1),
(15064, 1),
(15065, 1),
(15066, 1),
(15067, 1),
(15068, 1),
(15069, 1),
(15070, 1),
(15071, 1),
(15072, 1),
(15073, 1),
(15074, 1),
(15075, 1),
(15076, 1),
(15077, 1),
(15078, 1),
(15079, 1),
(15080, 1),
(15081, 1),
(15082, 1),
(15083, 1),
(15084, 1),
(15085, 1),
(15086, 1),
(15087, 1),
(15088, 1),
(15089, 1),
(15090, 1),
(15091, 1),
(15092, 1),
(15093, 1),
(15094, 1),
(15095, 1),
(15096, 1),
(15097, 1),
(15098, 1),
(15099, 1),
(15100, 1),
(15101, 1),
(15102, 1),
(15103, 1),
(15104, 1),
(15105, 1),
(15106, 1),
(15107, 1),
(15108, 1),
(15109, 1),
(15110, 1),
(15111, 1),
(15112, 1),
(15113, 1),
(15114, 1),
(15115, 1),
(15116, 1),
(15117, 1),
(15118, 1),
(15119, 1),
(15120, 1),
(15121, 1),
(15122, 1),
(15123, 1),
(15124, 1),
(15125, 1),
(15126, 1),
(15127, 1),
(15128, 1),
(15129, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(15130, 1),
(15131, 1),
(15132, 1),
(15133, 1),
(15134, 1),
(15135, 1),
(15136, 1),
(15137, 1),
(15138, 1),
(15139, 1),
(15140, 1),
(15141, 1),
(15142, 1),
(15143, 1),
(15144, 1),
(15145, 1),
(15146, 1),
(15147, 1),
(15148, 1),
(15149, 1),
(15150, 1),
(15151, 1),
(15152, 1),
(15153, 1),
(15154, 1),
(15155, 1),
(15156, 1),
(15157, 1),
(15158, 1),
(15159, 1),
(15160, 1),
(15161, 1),
(15162, 1),
(15163, 1),
(15164, 1),
(15165, 1),
(15166, 1),
(15167, 1),
(15168, 1),
(15169, 1),
(15170, 1),
(15171, 1),
(15172, 1),
(15173, 1),
(15174, 1),
(15175, 1),
(15176, 1),
(15177, 1),
(15178, 1),
(15179, 1),
(15180, 1),
(15181, 1),
(15182, 1),
(15183, 1),
(15184, 1),
(15185, 1),
(15186, 1),
(15187, 1),
(15188, 1),
(15189, 1),
(15190, 1),
(15191, 1),
(15192, 1),
(15193, 1),
(15194, 1),
(15195, 1),
(15196, 1),
(15197, 1),
(15198, 1),
(15199, 1),
(15200, 1),
(15201, 1),
(15202, 1),
(15203, 1),
(15204, 1),
(15205, 1),
(15206, 1),
(15207, 1),
(15208, 1),
(15209, 1),
(15210, 1),
(15211, 1),
(15212, 1),
(15213, 1),
(15214, 1),
(15215, 1),
(15216, 1),
(15217, 1),
(15218, 1),
(15219, 1),
(15220, 1),
(15221, 1),
(15222, 1),
(15223, 1),
(15224, 1),
(15225, 1),
(15226, 1),
(15227, 1),
(15228, 1),
(15229, 1),
(15230, 1),
(15231, 1),
(15232, 1),
(15233, 1),
(15234, 1),
(15235, 1),
(15236, 1),
(15237, 1),
(15238, 1),
(15239, 1),
(15240, 1),
(15241, 1),
(15242, 1),
(15243, 1),
(15244, 1),
(15245, 1),
(15246, 1),
(15247, 1),
(15248, 1),
(15249, 1),
(15250, 1),
(15251, 1),
(15252, 1),
(15253, 1),
(15254, 1),
(15255, 1),
(15256, 1),
(15257, 1),
(15258, 1),
(15259, 1),
(15260, 1),
(15261, 1),
(15262, 1),
(15263, 1),
(15264, 1),
(15265, 1),
(15266, 1),
(15267, 1),
(15268, 1),
(15269, 1),
(15270, 1),
(15271, 1),
(15272, 1),
(15273, 1),
(15274, 1),
(15275, 1),
(15276, 1),
(15277, 1),
(15278, 1),
(15279, 1),
(15280, 1),
(15281, 1),
(15282, 1),
(15283, 1),
(15284, 1),
(15285, 1),
(15286, 1),
(15287, 1),
(15288, 1),
(15289, 1),
(15290, 1),
(15291, 1),
(15292, 1),
(15293, 1),
(15294, 1),
(15295, 1),
(15296, 1),
(15297, 1),
(15298, 1),
(15299, 1),
(15300, 1),
(15301, 1),
(15302, 1),
(15303, 1),
(15304, 1),
(15305, 1),
(15306, 1),
(15307, 1),
(15308, 1),
(15309, 1),
(15310, 1),
(15311, 1),
(15312, 1),
(15313, 1),
(15314, 1),
(15315, 1),
(15316, 1),
(15317, 1),
(15318, 1),
(15319, 1),
(15320, 1),
(15321, 1),
(15322, 1),
(15323, 1),
(15324, 1),
(15325, 1),
(15326, 1),
(15327, 1),
(15328, 1),
(15329, 1),
(15330, 1),
(15331, 1),
(15332, 1),
(15333, 1),
(15334, 1),
(15335, 1),
(15336, 1),
(15337, 1),
(15338, 1),
(15339, 1),
(15340, 1),
(15341, 1),
(15342, 1),
(15343, 1),
(15344, 1),
(15345, 1),
(15346, 1),
(15347, 1),
(15348, 1),
(15349, 1),
(15350, 1),
(15351, 1),
(15352, 1),
(15353, 1),
(15354, 1),
(15355, 1),
(15356, 1),
(15357, 1),
(15358, 1),
(15359, 1),
(15360, 1),
(15361, 1),
(15362, 1),
(15363, 1),
(15364, 1),
(15365, 1),
(15366, 1),
(15367, 1),
(15368, 1),
(15369, 1),
(15370, 1),
(15371, 1),
(15372, 1),
(15373, 1),
(15374, 1),
(15375, 1),
(15376, 1),
(15377, 1),
(15378, 1),
(15379, 1),
(15380, 1),
(15381, 1),
(15382, 1),
(15383, 1),
(15384, 1),
(15385, 1),
(15386, 1),
(15387, 1),
(15388, 1),
(15389, 1),
(15390, 1),
(15391, 1),
(15392, 1),
(15393, 1),
(15394, 1),
(15395, 1),
(15396, 1),
(15397, 1),
(15398, 1),
(15399, 1),
(15400, 1),
(15401, 1),
(15402, 1),
(15403, 1),
(15404, 1),
(15405, 1),
(15406, 1),
(15407, 1),
(15408, 1),
(15409, 1),
(15410, 1),
(15411, 1),
(15412, 1),
(15413, 1),
(15414, 1),
(15415, 1),
(15416, 1),
(15417, 1),
(15418, 1),
(15419, 1),
(15420, 1),
(15421, 1),
(15422, 1),
(15423, 1),
(15424, 1),
(15425, 1),
(15426, 1),
(15427, 1),
(15428, 1),
(15429, 1),
(15430, 1),
(15431, 1),
(15432, 1),
(15433, 1),
(15434, 1),
(15435, 1),
(15436, 1),
(15437, 1),
(15438, 1),
(15439, 1),
(15440, 1),
(15441, 1),
(15442, 1),
(15443, 1),
(15444, 1),
(15445, 1),
(15446, 1),
(15447, 1),
(15448, 1),
(15449, 1),
(15450, 1),
(15451, 1),
(15452, 1),
(15453, 1),
(15454, 1),
(15455, 1),
(15456, 1),
(15457, 1),
(15458, 1),
(15459, 1),
(15460, 1),
(15461, 1),
(15462, 1),
(15463, 1),
(15464, 1),
(15465, 1),
(15466, 1),
(15467, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(15468, 1),
(15469, 1),
(15470, 1),
(15471, 1),
(15472, 1),
(15473, 1),
(15474, 1),
(15475, 1),
(15476, 1),
(15477, 1),
(15478, 1),
(15479, 1),
(15480, 1),
(15481, 1),
(15482, 1),
(15483, 1),
(15484, 1),
(15485, 1),
(15486, 1),
(15487, 1),
(15488, 1),
(15489, 1),
(15490, 1),
(15491, 1),
(15492, 1),
(15493, 1),
(15494, 1),
(15495, 1),
(15496, 1),
(15497, 1),
(15498, 1),
(15499, 1),
(15500, 1),
(15501, 1),
(15502, 1),
(15503, 1),
(15504, 1),
(15505, 1),
(15506, 1),
(15507, 1),
(15508, 1),
(15509, 1),
(15510, 1),
(15511, 1),
(15512, 1),
(15513, 1),
(15514, 1),
(15515, 1),
(15516, 1),
(15517, 1),
(15518, 1),
(15519, 1),
(15520, 1),
(15521, 1),
(15522, 1),
(15523, 1),
(15524, 1),
(15525, 1),
(15526, 1),
(15527, 1),
(15528, 1),
(15529, 1),
(15530, 1),
(15531, 1),
(15532, 1),
(15533, 1),
(15534, 1),
(15535, 1),
(15536, 1),
(15537, 1),
(15538, 1),
(15539, 1),
(15540, 1),
(15541, 1),
(15542, 1),
(15543, 1),
(15544, 1),
(15545, 1),
(15546, 1),
(15547, 1),
(15548, 1),
(15549, 1),
(15550, 1),
(15551, 1),
(15552, 1),
(15553, 1),
(15554, 1),
(15555, 1),
(15556, 1),
(15557, 1),
(15558, 1),
(15559, 1),
(15560, 1),
(15561, 1),
(15562, 1),
(15563, 1),
(15564, 1),
(15565, 1),
(15566, 1),
(15567, 1),
(15568, 1),
(15569, 1),
(15570, 1),
(15571, 1),
(15572, 1),
(15573, 1),
(15574, 1),
(15575, 1),
(15576, 1),
(15577, 1),
(15578, 1),
(15579, 1),
(15580, 1),
(15581, 1),
(15582, 1),
(15583, 1),
(15584, 1),
(15585, 1),
(15586, 1),
(15587, 1),
(15588, 1),
(15589, 1),
(15590, 1),
(15591, 1),
(15592, 1),
(15593, 1),
(15594, 1),
(15595, 1),
(15596, 1),
(15597, 1),
(15598, 1),
(15599, 1),
(15600, 1),
(15601, 1),
(15602, 1),
(15603, 1),
(15604, 1),
(15605, 1),
(15606, 1),
(15607, 1),
(15608, 1),
(15609, 1),
(15610, 1),
(15611, 1),
(15612, 1),
(15613, 1),
(15614, 1),
(15615, 1),
(15616, 1),
(15617, 1),
(15618, 1),
(15619, 1),
(15620, 1),
(15621, 1),
(15622, 1),
(15623, 1),
(15624, 1),
(15625, 1),
(15626, 1),
(15627, 1),
(15628, 1),
(15629, 1),
(15630, 1),
(15631, 1),
(15632, 1),
(15633, 1),
(15634, 1),
(15635, 1),
(15636, 1),
(15637, 1),
(15638, 1),
(15639, 1),
(15640, 1),
(15641, 1),
(15642, 1),
(15643, 1),
(15644, 1),
(15645, 1),
(15646, 1),
(15647, 1),
(15648, 1),
(15649, 1),
(15650, 1),
(15651, 1),
(15652, 1),
(15653, 1),
(15654, 1),
(15655, 1),
(15656, 1),
(15657, 1),
(15658, 1),
(15659, 1),
(15660, 1),
(15661, 1),
(15662, 1),
(15663, 1),
(15664, 1),
(15665, 1),
(15666, 1),
(15667, 1),
(15668, 1),
(15669, 1),
(15670, 1),
(15671, 1),
(15672, 1),
(15673, 1),
(15674, 1),
(15675, 1),
(15676, 1),
(15677, 1),
(15678, 1),
(15679, 1),
(15680, 1),
(15681, 1),
(15682, 1),
(15683, 1),
(15684, 1),
(15685, 1),
(15686, 1),
(15687, 1),
(15688, 1),
(15689, 1),
(15690, 1),
(15691, 1),
(15692, 1),
(15693, 1),
(15694, 1),
(15695, 1),
(15696, 1),
(15697, 1),
(15698, 1),
(15699, 1),
(15700, 1),
(15701, 1),
(15702, 1),
(15703, 1),
(15704, 1),
(15705, 1),
(15706, 1),
(15707, 1),
(15708, 1),
(15709, 1),
(15710, 1),
(15711, 1),
(15712, 1),
(15713, 1),
(15714, 1),
(15715, 1),
(15716, 1),
(15717, 1),
(15718, 1),
(15719, 1),
(15720, 1),
(15721, 1),
(15722, 1),
(15723, 1),
(15724, 1),
(15725, 1),
(15726, 1),
(15727, 1),
(15728, 1),
(15729, 1),
(15730, 1),
(15731, 1),
(15732, 1),
(15733, 1),
(15734, 1),
(15735, 1),
(15736, 1),
(15737, 1),
(15738, 1),
(15739, 1),
(15740, 1),
(15741, 1),
(15742, 1),
(15743, 1),
(15744, 1),
(15745, 1),
(15746, 1),
(15747, 1),
(15748, 1),
(15749, 1),
(15750, 1),
(15751, 1),
(15752, 1),
(15753, 1),
(15754, 1),
(15755, 1),
(15756, 1),
(15757, 1),
(15758, 1),
(15759, 1),
(15760, 1),
(15761, 1),
(15762, 1),
(15763, 1),
(15764, 1),
(15765, 1),
(15766, 1),
(15767, 1),
(15768, 1),
(15769, 1),
(15770, 1),
(15771, 1),
(15772, 1),
(15773, 1),
(15774, 1),
(15775, 1),
(15776, 1),
(15777, 1),
(15778, 1),
(15779, 1),
(15780, 1),
(15781, 1),
(15782, 1),
(15783, 1),
(15784, 1),
(15785, 1),
(15786, 1),
(15787, 1),
(15788, 1),
(15789, 1),
(15790, 1),
(15791, 1),
(15792, 1),
(15793, 1),
(15794, 1),
(15795, 1),
(15796, 1),
(15797, 1),
(15798, 1),
(15799, 1),
(15800, 1),
(15801, 1),
(15802, 1),
(15803, 1),
(15804, 1),
(15805, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(15806, 1),
(15807, 1),
(15808, 1),
(15809, 1),
(15810, 1),
(15811, 1),
(15812, 1),
(15813, 1),
(15814, 1),
(15815, 1),
(15816, 1),
(15817, 1),
(15818, 1),
(15819, 1),
(15820, 1),
(15821, 1),
(15822, 1),
(15823, 1),
(15824, 1),
(15825, 1),
(15826, 1),
(15827, 1),
(15828, 1),
(15829, 1),
(15830, 1),
(15831, 1),
(15832, 1),
(15833, 1),
(15834, 1),
(15835, 1),
(15836, 1),
(15837, 1),
(15838, 1),
(15839, 1),
(15840, 1),
(15841, 1),
(15842, 1),
(15843, 1),
(15844, 1),
(15845, 1),
(15846, 1),
(15847, 1),
(15848, 1),
(15849, 1),
(15850, 1),
(15851, 1),
(15852, 1),
(15853, 1),
(15854, 1),
(15855, 1),
(15856, 1),
(15857, 1),
(15858, 1),
(15859, 1),
(15860, 1),
(15861, 1),
(15862, 1),
(15863, 1),
(15864, 1),
(15865, 1),
(15866, 1),
(15867, 1),
(15868, 1),
(15869, 1),
(15870, 1),
(15871, 1),
(15872, 1),
(15873, 1),
(15874, 1),
(15875, 1),
(15876, 1),
(15877, 1),
(15878, 1),
(15879, 1),
(15880, 1),
(15881, 1),
(15882, 1),
(15883, 1),
(15884, 1),
(15885, 1),
(15886, 1),
(15887, 1),
(15888, 1),
(15889, 1),
(15890, 1),
(15891, 1),
(15892, 1),
(15893, 1),
(15894, 1),
(15895, 1),
(15896, 1),
(15897, 1),
(15898, 1),
(15899, 1),
(15900, 1),
(15901, 1),
(15902, 1),
(15903, 1),
(15904, 1),
(15905, 1),
(15906, 1),
(15907, 1),
(15908, 1),
(15909, 1),
(15910, 1),
(15911, 1),
(15912, 1),
(15913, 1),
(15914, 1),
(15915, 1),
(15916, 1),
(15917, 1),
(15918, 1),
(15919, 1),
(15920, 1),
(15921, 1),
(15922, 1),
(15923, 1),
(15924, 1),
(15925, 1),
(15926, 1),
(15927, 1),
(15928, 1),
(15929, 1),
(15930, 1),
(15931, 1),
(15932, 1),
(15933, 1),
(15934, 1),
(15935, 1),
(15936, 1),
(15937, 1),
(15938, 1),
(15939, 1),
(15940, 1),
(15941, 1),
(15942, 1),
(15943, 1),
(15944, 1),
(15945, 1),
(15946, 1),
(15947, 1),
(15948, 1),
(15949, 1),
(15950, 1),
(15951, 1),
(15952, 1),
(15953, 1),
(15954, 1),
(15955, 1),
(15956, 1),
(15957, 1),
(15958, 1),
(15959, 1),
(15960, 1),
(15961, 1),
(15962, 1),
(15963, 1),
(15964, 1),
(15965, 1),
(15966, 1),
(15967, 1),
(15968, 1),
(15969, 1),
(15970, 1),
(15971, 1),
(15972, 1),
(15973, 1),
(15974, 1),
(15975, 1),
(15976, 1),
(15977, 1),
(15978, 1),
(15979, 1),
(15980, 1),
(15981, 1),
(15982, 1),
(15983, 1),
(15984, 1),
(15985, 1),
(15986, 1),
(15987, 1),
(15988, 1),
(15989, 1),
(15990, 1),
(15991, 1),
(15992, 1),
(15993, 1),
(15994, 1),
(15995, 1),
(15996, 1),
(15997, 1),
(15998, 1),
(15999, 1),
(16000, 1),
(16001, 1),
(16002, 1),
(16003, 1),
(16004, 1),
(16005, 1),
(16006, 1),
(16007, 1),
(16008, 1),
(16009, 1),
(16010, 1),
(16011, 1),
(16012, 1),
(16013, 1),
(16014, 1),
(16015, 1),
(16016, 1),
(16017, 1),
(16018, 1),
(16019, 1),
(16020, 1),
(16021, 1),
(16022, 1),
(16023, 1),
(16024, 1),
(16025, 1),
(16026, 1),
(16027, 1),
(16028, 1),
(16029, 1),
(16030, 1),
(16031, 1),
(16032, 1),
(16033, 1),
(16034, 1),
(16035, 1),
(16036, 1),
(16037, 1),
(16038, 1),
(16039, 1),
(16040, 1),
(16041, 1),
(16042, 1),
(16043, 1),
(16044, 1),
(16045, 1),
(16046, 1),
(16047, 1),
(16048, 1),
(16049, 1),
(16050, 1),
(16051, 1),
(16052, 1),
(16053, 1),
(16054, 1),
(16055, 1),
(16056, 1),
(16057, 1),
(16058, 1),
(16059, 1),
(16060, 1),
(16061, 1),
(16062, 1),
(16063, 1),
(16064, 1),
(16065, 1),
(16066, 1),
(16067, 1),
(16068, 1),
(16069, 1),
(16070, 1),
(16071, 1),
(16072, 1),
(16073, 1),
(16074, 1),
(16075, 1),
(16076, 1),
(16077, 1),
(16078, 1),
(16079, 1),
(16080, 1),
(16081, 1),
(16082, 1),
(16083, 1),
(16084, 1),
(16085, 1),
(16086, 1),
(16087, 1),
(16088, 1),
(16089, 1),
(16090, 1),
(16091, 1),
(16092, 1),
(16093, 1),
(16094, 1),
(16095, 1),
(16096, 1),
(16097, 1),
(16098, 1),
(16099, 1),
(16100, 1),
(16101, 1),
(16102, 1),
(16103, 1),
(16104, 1),
(16105, 1),
(16106, 1),
(16107, 1),
(16108, 1),
(16109, 1),
(16110, 1),
(16111, 1),
(16112, 1),
(16113, 1),
(16114, 1),
(16115, 1),
(16116, 1),
(16117, 1),
(16118, 1),
(16119, 1),
(16120, 1),
(16121, 1),
(16122, 1),
(16123, 1),
(16124, 1),
(16125, 1),
(16126, 1),
(16127, 1),
(16128, 1),
(16129, 1),
(16130, 1),
(16131, 1),
(16132, 1),
(16133, 1),
(16134, 1),
(16135, 1),
(16136, 1),
(16137, 1),
(16138, 1),
(16139, 1),
(16140, 1),
(16141, 1),
(16142, 1),
(16143, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(16144, 1),
(16145, 1),
(16146, 1),
(16147, 1),
(16148, 1),
(16149, 1),
(16150, 1),
(16151, 1),
(16152, 1),
(16153, 1),
(16154, 1),
(16155, 1),
(16156, 1),
(16157, 1),
(16158, 1),
(16159, 1),
(16160, 1),
(16161, 1),
(16162, 1),
(16163, 1),
(16164, 1),
(16165, 1),
(16166, 1),
(16167, 1),
(16168, 1),
(16169, 1),
(16170, 1),
(16171, 1),
(16172, 1),
(16173, 1),
(16174, 1),
(16175, 1),
(16176, 1),
(16177, 1),
(16178, 1),
(16179, 1),
(16180, 1),
(16181, 1),
(16182, 1),
(16183, 1),
(16184, 1),
(16185, 1),
(16186, 1),
(16187, 1),
(16188, 1),
(16189, 1),
(16190, 1),
(16191, 1),
(16192, 1),
(16193, 1),
(16194, 1),
(16195, 1),
(16196, 1),
(16197, 1),
(16198, 1),
(16199, 1),
(16200, 1),
(16201, 1),
(16202, 1),
(16203, 1),
(16204, 1),
(16205, 1),
(16206, 1),
(16207, 1),
(16208, 1),
(16209, 1),
(16210, 1),
(16211, 1),
(16212, 1),
(16213, 1),
(16214, 1),
(16215, 1),
(16216, 1),
(16217, 1),
(16218, 1),
(16219, 1),
(16220, 1),
(16221, 1),
(16222, 1),
(16223, 1),
(16224, 1),
(16225, 1),
(16226, 1),
(16227, 1),
(16228, 1),
(16229, 1),
(16230, 1),
(16231, 1),
(16232, 1),
(16233, 1),
(16234, 1),
(16235, 1),
(16236, 1),
(16237, 1),
(16238, 1),
(16239, 1),
(16240, 1),
(16241, 1),
(16242, 1),
(16243, 1),
(16244, 1),
(16245, 1),
(16246, 1),
(16247, 1),
(16248, 1),
(16249, 1),
(16250, 1),
(16251, 1),
(16252, 1),
(16253, 1),
(16254, 1),
(16255, 1),
(16256, 1),
(16257, 1),
(16258, 1),
(16259, 1),
(16260, 1),
(16261, 1),
(16262, 1),
(16263, 1),
(16264, 1),
(16265, 1),
(16266, 1),
(16267, 1),
(16268, 1),
(16269, 1),
(16270, 1),
(16271, 1),
(16272, 1),
(16273, 1),
(16274, 1),
(16275, 1),
(16276, 1),
(16277, 1),
(16278, 1),
(16279, 1),
(16280, 1),
(16281, 1),
(16282, 1),
(16283, 1),
(16284, 1),
(16285, 1),
(16286, 1),
(16287, 1),
(16288, 1),
(16289, 1),
(16290, 1),
(16291, 1),
(16292, 1),
(16293, 1),
(16294, 1),
(16295, 1),
(16296, 1),
(16297, 1),
(16298, 1),
(16299, 1),
(16300, 1),
(16301, 1),
(16302, 1),
(16303, 1),
(16304, 1),
(16305, 1),
(16306, 1),
(16307, 1),
(16308, 1),
(16309, 1),
(16310, 1),
(16311, 1),
(16312, 1),
(16313, 1),
(16314, 1),
(16315, 1),
(16316, 1),
(16317, 1),
(16318, 1),
(16319, 1),
(16320, 1),
(16321, 1),
(16322, 1),
(16323, 1),
(16324, 1),
(16325, 1),
(16326, 1),
(16327, 1),
(16328, 1),
(16329, 1),
(16330, 1),
(16331, 1),
(16332, 1),
(16333, 1),
(16334, 1),
(16335, 1),
(16336, 1),
(16337, 1),
(16338, 1),
(16339, 1),
(16340, 1),
(16341, 1),
(16342, 1),
(16343, 1),
(16344, 1),
(16345, 1),
(16346, 1),
(16347, 1),
(16348, 1),
(16349, 1),
(16350, 1),
(16351, 1),
(16352, 1),
(16353, 1),
(16354, 1),
(16355, 1),
(16356, 1),
(16357, 1),
(16358, 1),
(16359, 1),
(16360, 1),
(16361, 1),
(16362, 1),
(16363, 1),
(16364, 1),
(16365, 1),
(16366, 1),
(16367, 1),
(16368, 1),
(16369, 1),
(16370, 1),
(16371, 1),
(16372, 1),
(16373, 1),
(16374, 1),
(16375, 1),
(16376, 1),
(16377, 1),
(16378, 1),
(16379, 1),
(16380, 1),
(16381, 1),
(16382, 1),
(16383, 1),
(16384, 1),
(16385, 1),
(16386, 1),
(16387, 1),
(16388, 1),
(16389, 1),
(16390, 1),
(16391, 1),
(16392, 1),
(16393, 1),
(16394, 1),
(16395, 1),
(16396, 1),
(16397, 1),
(16398, 1),
(16399, 1),
(16400, 1),
(16401, 1),
(16402, 1),
(16403, 1),
(16404, 1),
(16405, 1),
(16406, 1),
(16407, 1),
(16408, 1),
(16409, 1),
(16410, 1),
(16411, 1),
(16412, 1),
(16413, 1),
(16414, 1),
(16415, 1),
(16416, 1),
(16417, 1),
(16418, 1),
(16419, 1),
(16420, 1),
(16421, 1),
(16422, 1),
(16423, 1),
(16424, 1),
(16425, 1),
(16426, 1),
(16427, 1),
(16428, 1),
(16429, 1),
(16430, 1),
(16431, 1),
(16432, 1),
(16433, 1),
(16434, 1),
(16435, 1),
(16436, 1),
(16437, 1),
(16438, 1),
(16439, 1),
(16440, 1),
(16441, 1),
(16442, 1),
(16443, 1),
(16444, 1),
(16445, 1),
(16446, 1),
(16447, 1),
(16448, 1),
(16449, 1),
(16450, 1),
(16451, 1),
(16452, 1),
(16453, 1),
(16454, 1),
(16455, 1),
(16456, 1),
(16457, 1),
(16458, 1),
(16459, 1),
(16460, 1),
(16461, 1),
(16462, 1),
(16463, 1),
(16464, 1),
(16465, 1),
(16466, 1),
(16467, 1),
(16468, 1),
(16469, 1),
(16470, 1),
(16471, 1),
(16472, 1),
(16473, 1),
(16474, 1),
(16475, 1),
(16476, 1),
(16477, 1),
(16478, 1),
(16479, 1),
(16480, 1),
(16481, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(16482, 1),
(16483, 1),
(16484, 1),
(16485, 1),
(16486, 1),
(16487, 1),
(16488, 1),
(16489, 1),
(16490, 1),
(16491, 1),
(16492, 1),
(16493, 1),
(16494, 1),
(16495, 1),
(16496, 1),
(16497, 1),
(16498, 1),
(16499, 1),
(16500, 1),
(16501, 1),
(16502, 1),
(16503, 1),
(16504, 1),
(16505, 1),
(16506, 1),
(16507, 1),
(16508, 1),
(16509, 1),
(16510, 1),
(16511, 1),
(16512, 1),
(16513, 1),
(16514, 1),
(16515, 1),
(16516, 1),
(16517, 1),
(16518, 1),
(16519, 1),
(16520, 1),
(16521, 1),
(16522, 1),
(16523, 1),
(16524, 1),
(16525, 1),
(16526, 1),
(16527, 1),
(16528, 1),
(16529, 1),
(16530, 1),
(16531, 1),
(16532, 1),
(16533, 1),
(16534, 1),
(16535, 1),
(16536, 1),
(16537, 1),
(16538, 1),
(16539, 1),
(16540, 1),
(16541, 1),
(16542, 1),
(16543, 1),
(16544, 1),
(16545, 1),
(16546, 1),
(16547, 1),
(16548, 1),
(16549, 1),
(16550, 1),
(16551, 1),
(16552, 1),
(16553, 1),
(16554, 1),
(16555, 1),
(16556, 1),
(16557, 1),
(16558, 1),
(16559, 1),
(16560, 1),
(16561, 1),
(16562, 1),
(16563, 1),
(16564, 1),
(16565, 1),
(16566, 1),
(16567, 1),
(16568, 1),
(16569, 1),
(16570, 1),
(16571, 1),
(16572, 1),
(16573, 1),
(16574, 1),
(16575, 1),
(16576, 1),
(16577, 1),
(16578, 1),
(16579, 1),
(16580, 1),
(16581, 1),
(16582, 1),
(16583, 1),
(16584, 1),
(16585, 1),
(16586, 1),
(16587, 1),
(16588, 1),
(16589, 1),
(16590, 1),
(16591, 1),
(16592, 1),
(16593, 1),
(16594, 1),
(16595, 1),
(16596, 1),
(16597, 1),
(16598, 1),
(16599, 1),
(16600, 1),
(16601, 1),
(16602, 1),
(16603, 1),
(16604, 1),
(16605, 1),
(16606, 1),
(16607, 1),
(16608, 1),
(16609, 1),
(16610, 1),
(16611, 1),
(16612, 1),
(16613, 1),
(16614, 1),
(16615, 1),
(16616, 1),
(16617, 1),
(16618, 1),
(16619, 1),
(16620, 1),
(16621, 1),
(16622, 1),
(16623, 1),
(16624, 1),
(16625, 1),
(16626, 1),
(16627, 1),
(16628, 1),
(16629, 1),
(16630, 1),
(16631, 1),
(16632, 1),
(16633, 1),
(16634, 1),
(16635, 1),
(16636, 1),
(16637, 1),
(16638, 1),
(16639, 1),
(16640, 1),
(16641, 1),
(16642, 1),
(16643, 1),
(16644, 1),
(16645, 1),
(16646, 1),
(16647, 1),
(16648, 1),
(16649, 1),
(16650, 1),
(16651, 1),
(16652, 1),
(16653, 1),
(16654, 1),
(16655, 1),
(16656, 1),
(16657, 1),
(16658, 1),
(16659, 1),
(16660, 1),
(16661, 1),
(16662, 1),
(16663, 1),
(16664, 1),
(16665, 1),
(16666, 1),
(16667, 1),
(16668, 1),
(16669, 1),
(16670, 1),
(16671, 1),
(16672, 1),
(16673, 1),
(16674, 1),
(16675, 1),
(16676, 1),
(16677, 1),
(16678, 1),
(16679, 1),
(16680, 1),
(16681, 1),
(16682, 1),
(16683, 1),
(16684, 1),
(16685, 1),
(16686, 1),
(16687, 1),
(16688, 1),
(16689, 1),
(16690, 1),
(16691, 1),
(16692, 1),
(16693, 1),
(16694, 1),
(16695, 1),
(16696, 1),
(16697, 1),
(16698, 1),
(16699, 1),
(16700, 1),
(16701, 1),
(16702, 1),
(16703, 1),
(16704, 1),
(16705, 1),
(16706, 1),
(16707, 1),
(16708, 1),
(16709, 1),
(16710, 1),
(16711, 1),
(16712, 1),
(16713, 1),
(16714, 1),
(16715, 1),
(16716, 1),
(16717, 1),
(16718, 1),
(16719, 1),
(16720, 1),
(16721, 1),
(16722, 1),
(16723, 1),
(16724, 1),
(16725, 1),
(16726, 1),
(16727, 1),
(16728, 1),
(16729, 1),
(16730, 1),
(16731, 1),
(16732, 1),
(16733, 1),
(16734, 1),
(16735, 1),
(16736, 1),
(16737, 1),
(16738, 1),
(16739, 1),
(16740, 1),
(16741, 1),
(16742, 1),
(16743, 1),
(16744, 1),
(16745, 1),
(16746, 1),
(16747, 1),
(16748, 1),
(16749, 1),
(16750, 1),
(16751, 1),
(16752, 1),
(16753, 1),
(16754, 1),
(16755, 1),
(16756, 1),
(16757, 1),
(16758, 1),
(16759, 1),
(16760, 1),
(16761, 1),
(16762, 1),
(16763, 1),
(16764, 1),
(16765, 1),
(16766, 1),
(16767, 1),
(16768, 1),
(16769, 1),
(16770, 1),
(16771, 1),
(16772, 1),
(16773, 1),
(16774, 1),
(16775, 1),
(16776, 1),
(16777, 1),
(16778, 1),
(16779, 1),
(16780, 1),
(16781, 1),
(16782, 1),
(16783, 1),
(16784, 1),
(16785, 1),
(16786, 1),
(16787, 1),
(16788, 1),
(16789, 1),
(16790, 1),
(16791, 1),
(16792, 1),
(16793, 1),
(16794, 1),
(16795, 1),
(16796, 1),
(16797, 1),
(16798, 1),
(16799, 1),
(16800, 1),
(16801, 1),
(16802, 1),
(16803, 1),
(16804, 1),
(16805, 1),
(16806, 1),
(16807, 1),
(16808, 1),
(16809, 1),
(16810, 1),
(16811, 1),
(16812, 1),
(16813, 1),
(16814, 1),
(16815, 1),
(16816, 1),
(16817, 1),
(16818, 1),
(16819, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(16820, 1),
(16821, 1),
(16822, 1),
(16823, 1),
(16824, 1),
(16825, 1),
(16826, 1),
(16827, 1),
(16828, 1),
(16829, 1),
(16830, 1),
(16831, 1),
(16832, 1),
(16833, 1),
(16834, 1),
(16835, 1),
(16836, 1),
(16837, 1),
(16838, 1),
(16839, 1),
(16840, 1),
(16841, 1),
(16842, 1),
(16843, 1),
(16844, 1),
(16845, 1),
(16846, 1),
(16847, 1),
(16848, 1),
(16849, 1),
(16850, 1),
(16851, 1),
(16852, 1),
(16853, 1),
(16854, 1),
(16855, 1),
(16856, 1),
(16857, 1),
(16858, 1),
(16859, 1),
(16860, 1),
(16861, 1),
(16862, 1),
(16863, 1),
(16864, 1),
(16865, 1),
(16866, 1),
(16867, 1),
(16868, 1),
(16869, 1),
(16870, 1),
(16871, 1),
(16872, 1),
(16873, 1),
(16874, 1),
(16875, 1),
(16876, 1),
(16877, 1),
(16878, 1),
(16879, 1),
(16880, 1),
(16881, 1),
(16882, 1),
(16883, 1),
(16884, 1),
(16885, 1),
(16886, 1),
(16887, 1),
(16888, 1),
(16889, 1),
(16890, 1),
(16891, 1),
(16892, 1),
(16893, 1),
(16894, 1),
(16895, 1),
(16896, 1),
(16897, 1),
(16898, 1),
(16899, 1),
(16900, 1),
(16901, 1),
(16902, 1),
(16903, 1),
(16904, 1),
(16905, 1),
(16906, 1),
(16907, 1),
(16908, 1),
(16909, 1),
(16910, 1),
(16911, 1),
(16912, 1),
(16913, 1),
(16914, 1),
(16915, 1),
(16916, 1),
(16917, 1),
(16918, 1),
(16919, 1),
(16920, 1),
(16921, 1),
(16922, 1),
(16923, 1),
(16924, 1),
(16925, 1),
(16926, 1),
(16927, 1),
(16928, 1),
(16929, 1),
(16930, 1),
(16931, 1),
(16932, 1),
(16933, 1),
(16934, 1),
(16935, 1),
(16936, 1),
(16937, 1),
(16938, 1),
(16939, 1),
(16940, 1),
(16941, 1),
(16942, 1),
(16943, 1),
(16944, 1),
(16945, 1),
(16946, 1),
(16947, 1),
(16948, 1),
(16949, 1),
(16950, 1),
(16951, 1),
(16952, 1),
(16953, 1),
(16954, 1),
(16955, 1),
(16956, 1),
(16957, 1),
(16958, 1),
(16959, 1),
(16960, 1),
(16961, 1),
(16962, 1),
(16963, 1),
(16964, 1),
(16965, 1),
(16966, 1),
(16967, 1),
(16968, 1),
(16969, 1),
(16970, 1),
(16971, 1),
(16972, 1),
(16973, 1),
(16974, 1),
(16975, 1),
(16976, 1),
(16977, 1),
(16978, 1),
(16979, 1),
(16980, 1),
(16981, 1),
(16982, 1),
(16983, 1),
(16984, 1),
(16985, 1),
(16986, 1),
(16987, 1),
(16988, 1),
(16989, 1),
(16990, 1),
(16991, 1),
(16992, 1),
(16993, 1),
(16994, 1),
(16995, 1),
(16996, 1),
(16997, 1),
(16998, 1),
(16999, 1),
(17000, 1),
(17001, 1),
(17002, 1),
(17003, 1),
(17004, 1),
(17005, 1),
(17006, 1),
(17007, 1),
(17008, 1),
(17009, 1),
(17010, 1),
(17011, 1),
(17012, 1),
(17013, 1),
(17014, 1),
(17015, 1),
(17016, 1),
(17017, 1),
(17018, 1),
(17019, 1),
(17020, 1),
(17021, 1),
(17022, 1),
(17023, 1),
(17024, 1),
(17025, 1),
(17026, 1),
(17027, 1),
(17028, 1),
(17029, 1),
(17030, 1),
(17031, 1),
(17032, 1),
(17033, 1),
(17034, 1),
(17035, 1),
(17036, 1),
(17037, 1),
(17038, 1),
(17039, 1),
(17040, 1),
(17041, 1),
(17042, 1),
(17043, 1),
(17044, 1),
(17045, 1),
(17046, 1),
(17047, 1),
(17048, 1),
(17049, 1),
(17050, 1),
(17051, 1),
(17052, 1),
(17053, 1),
(17054, 1),
(17055, 1),
(17056, 1),
(17057, 1),
(17058, 1),
(17059, 1),
(17060, 1),
(17061, 1),
(17062, 1),
(17063, 1),
(17064, 1),
(17065, 1),
(17066, 1),
(17067, 1),
(17068, 1),
(17069, 1),
(17070, 1),
(17071, 1),
(17072, 1),
(17073, 1),
(17074, 1),
(17075, 1),
(17076, 1),
(17077, 1),
(17078, 1),
(17079, 1),
(17080, 1),
(17081, 1),
(17082, 1),
(17083, 1),
(17084, 1),
(17085, 1),
(17086, 1),
(17087, 1),
(17088, 1),
(17089, 1),
(17090, 1),
(17091, 1),
(17092, 1),
(17093, 1),
(17094, 1),
(17095, 1),
(17096, 1),
(17097, 1),
(17098, 1),
(17099, 1),
(17100, 1),
(17101, 1),
(17102, 1),
(17103, 1),
(17104, 1),
(17105, 1),
(17106, 1),
(17107, 1),
(17108, 1),
(17109, 1),
(17110, 1),
(17111, 1),
(17112, 1),
(17113, 1),
(17114, 1),
(17115, 1),
(17116, 1),
(17117, 1),
(17118, 1),
(17119, 1),
(17120, 1),
(17121, 1),
(17122, 1),
(17123, 1),
(17124, 1),
(17125, 1),
(17126, 1),
(17127, 1),
(17128, 1),
(17129, 1),
(17130, 1),
(17131, 1),
(17132, 1),
(17133, 1),
(17134, 1),
(17135, 1),
(17136, 1),
(17137, 1),
(17138, 1),
(17139, 1),
(17140, 1),
(17141, 1),
(17142, 1),
(17143, 1),
(17144, 1),
(17145, 1),
(17146, 1),
(17147, 1),
(17148, 1),
(17149, 1),
(17150, 1),
(17151, 1),
(17152, 1),
(17153, 1),
(17154, 1),
(17155, 1),
(17156, 1),
(17157, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(17158, 1),
(17159, 1),
(17160, 1),
(17161, 1),
(17162, 1),
(17163, 1),
(17164, 1),
(17165, 1),
(17166, 1),
(17167, 1),
(17168, 1),
(17169, 1),
(17170, 1),
(17171, 1),
(17172, 1),
(17173, 1),
(17174, 1),
(17175, 1),
(17176, 1),
(17177, 1),
(17178, 1),
(17179, 1),
(17180, 1),
(17181, 1),
(17182, 1),
(17183, 1),
(17184, 1),
(17185, 1),
(17186, 1),
(17187, 1),
(17188, 1),
(17189, 1),
(17190, 1),
(17191, 1),
(17192, 1),
(17193, 1),
(17194, 1),
(17195, 1),
(17196, 1),
(17197, 1),
(17198, 1),
(17199, 1),
(17200, 1),
(17201, 1),
(17202, 1),
(17203, 1),
(17204, 1),
(17205, 1),
(17206, 1),
(17207, 1),
(17208, 1),
(17209, 1),
(17210, 1),
(17211, 1),
(17212, 1),
(17213, 1),
(17214, 1),
(17215, 1),
(17216, 1),
(17217, 1),
(17218, 1),
(17219, 1),
(17220, 1),
(17221, 1),
(17222, 1),
(17223, 1),
(17224, 1),
(17225, 1),
(17226, 1),
(17227, 1),
(17228, 1),
(17229, 1),
(17230, 1),
(17231, 1),
(17232, 1),
(17233, 1),
(17234, 1),
(17235, 1),
(17236, 1),
(17237, 1),
(17238, 1),
(17239, 1),
(17240, 1),
(17241, 1),
(17242, 1),
(17243, 1),
(17244, 1),
(17245, 1),
(17246, 1),
(17247, 1),
(17248, 1),
(17249, 1),
(17250, 1),
(17251, 1),
(17252, 1),
(17253, 1),
(17254, 1),
(17255, 1),
(17256, 1),
(17257, 1),
(17258, 1),
(17259, 1),
(17260, 1),
(17261, 1),
(17262, 1),
(17263, 1),
(17264, 1),
(17265, 1),
(17266, 1),
(17267, 1),
(17268, 1),
(17269, 1),
(17270, 1),
(17271, 1),
(17272, 1),
(17273, 1),
(17274, 1),
(17275, 1),
(17276, 1),
(17277, 1),
(17278, 1),
(17279, 1),
(17280, 1),
(17281, 1),
(17282, 1),
(17283, 1),
(17284, 1),
(17285, 1),
(17286, 1),
(17287, 1),
(17288, 1),
(17289, 1),
(17290, 1),
(17291, 1),
(17292, 1),
(17293, 1),
(17294, 1),
(17295, 1),
(17296, 1),
(17297, 1),
(17298, 1),
(17299, 1),
(17300, 1),
(17301, 1),
(17302, 1),
(17303, 1),
(17304, 1),
(17305, 1),
(17306, 1),
(17307, 1),
(17308, 1),
(17309, 1),
(17310, 1),
(17311, 1),
(17312, 1),
(17313, 1),
(17314, 1),
(17315, 1),
(17316, 1),
(17317, 1),
(17318, 1),
(17319, 1),
(17320, 1),
(17321, 1),
(17322, 1),
(17323, 1),
(17324, 1),
(17325, 1),
(17326, 1),
(17327, 1),
(17328, 1),
(17329, 1),
(17330, 1),
(17331, 1),
(17332, 1),
(17333, 1),
(17334, 1),
(17335, 1),
(17336, 1),
(17337, 1),
(17338, 1),
(17339, 1),
(17340, 1),
(17341, 1),
(17342, 1),
(17343, 1),
(17344, 1),
(17345, 1),
(17346, 1),
(17347, 1),
(17348, 1),
(17349, 1),
(17350, 1),
(17351, 1),
(17352, 1),
(17353, 1),
(17354, 1),
(17355, 1),
(17356, 1),
(17357, 1),
(17358, 1),
(17359, 1),
(17360, 1),
(17361, 1),
(17362, 1),
(17363, 1),
(17364, 1),
(17365, 1),
(17366, 1),
(17367, 1),
(17368, 1),
(17369, 1),
(17370, 1),
(17371, 1),
(17372, 1),
(17373, 1),
(17374, 1),
(17375, 1),
(17376, 1),
(17377, 1),
(17378, 1),
(17379, 1),
(17380, 1),
(17381, 1),
(17382, 1),
(17383, 1),
(17384, 1),
(17385, 1),
(17386, 1),
(17387, 1),
(17388, 1),
(17389, 1),
(17390, 1),
(17391, 1),
(17392, 1),
(17393, 1),
(17394, 1),
(17395, 1),
(17396, 1),
(17397, 1),
(17398, 1),
(17399, 1),
(17400, 1),
(17401, 1),
(17402, 1),
(17403, 1),
(17404, 1),
(17405, 1),
(17406, 1),
(17407, 1),
(17408, 1),
(17409, 1),
(17410, 1),
(17411, 1),
(17412, 1),
(17413, 1),
(17414, 1),
(17415, 1),
(17416, 1),
(17417, 1),
(17418, 1),
(17419, 1),
(17420, 1),
(17421, 1),
(17422, 1),
(17423, 1),
(17424, 1),
(17425, 1),
(17426, 1),
(17427, 1),
(17428, 1),
(17429, 1),
(17430, 1),
(17431, 1),
(17432, 1),
(17433, 1),
(17434, 1),
(17435, 1),
(17436, 1),
(17437, 1),
(17438, 1),
(17439, 1),
(17440, 1),
(17441, 1),
(17442, 1),
(17443, 1),
(17444, 1),
(17445, 1),
(17446, 1),
(17447, 1),
(17448, 1),
(17449, 1),
(17450, 1),
(17451, 1),
(17452, 1),
(17453, 1),
(17454, 1),
(17455, 1),
(17456, 1),
(17457, 1),
(17458, 1),
(17459, 1),
(17460, 1),
(17461, 1),
(17462, 1),
(17463, 1),
(17464, 1),
(17465, 1),
(17466, 1),
(17467, 1),
(17468, 1),
(17469, 1),
(17470, 1),
(17471, 1),
(17472, 1),
(17473, 1),
(17474, 1),
(17475, 1),
(17476, 1),
(17477, 1),
(17478, 1),
(17479, 1),
(17480, 1),
(17481, 1),
(17482, 1),
(17483, 1),
(17484, 1),
(17485, 1),
(17486, 1),
(17487, 1),
(17488, 1),
(17489, 1),
(17490, 1),
(17491, 1),
(17492, 1),
(17493, 1),
(17494, 1),
(17495, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(17496, 1),
(17497, 1),
(17498, 1),
(17499, 1),
(17500, 1),
(17501, 1),
(17502, 1),
(17503, 1),
(17504, 1),
(17505, 1),
(17506, 1),
(17507, 1),
(17508, 1),
(17509, 1),
(17510, 1),
(17511, 1),
(17512, 1),
(17513, 1),
(17514, 1),
(17515, 1),
(17516, 1),
(17517, 1),
(17518, 1),
(17519, 1),
(17520, 1),
(17521, 1),
(17522, 1),
(17523, 1),
(17524, 1),
(17525, 1),
(17526, 1),
(17527, 1),
(17528, 1),
(17529, 1),
(17530, 1),
(17531, 1),
(17532, 1),
(17533, 1),
(17534, 1),
(17535, 1),
(17536, 1),
(17537, 1),
(17538, 1),
(17539, 1),
(17540, 1),
(17541, 1),
(17542, 1),
(17543, 1),
(17544, 1),
(17545, 1),
(17546, 1),
(17547, 1),
(17548, 1),
(17549, 1),
(17550, 1),
(17551, 1),
(17552, 1),
(17553, 1),
(17554, 1),
(17555, 1),
(17556, 1),
(17557, 1),
(17558, 1),
(17559, 1),
(17560, 1),
(17561, 1),
(17562, 1),
(17563, 1),
(17564, 1),
(17565, 1),
(17566, 1),
(17567, 1),
(17568, 1),
(17569, 1),
(17570, 1),
(17571, 1),
(17572, 1),
(17573, 1),
(17574, 1),
(17575, 1),
(17576, 1),
(17577, 1),
(17578, 1),
(17579, 1),
(17580, 1),
(17581, 1),
(17582, 1),
(17583, 1),
(17584, 1),
(17585, 1),
(17586, 1),
(17587, 1),
(17588, 1),
(17589, 1),
(17590, 1),
(17591, 1),
(17592, 1),
(17593, 1),
(17594, 1),
(17595, 1),
(17596, 1),
(17597, 1),
(17598, 1),
(17599, 1),
(17600, 1),
(17601, 1),
(17602, 1),
(17603, 1),
(17604, 1),
(17605, 1),
(17606, 1),
(17607, 1),
(17608, 1),
(17609, 1),
(17610, 1),
(17611, 1),
(17612, 1),
(17613, 1),
(17614, 1),
(17615, 1),
(17616, 1),
(17617, 1),
(17618, 1),
(17619, 1),
(17620, 1),
(17621, 1),
(17622, 1),
(17623, 1),
(17624, 1),
(17625, 1),
(17626, 1),
(17627, 1),
(17628, 1),
(17629, 1),
(17630, 1),
(17631, 1),
(17632, 1),
(17633, 1),
(17634, 1),
(17635, 1),
(17636, 1),
(17637, 1),
(17638, 1),
(17639, 1),
(17640, 1),
(17641, 1),
(17642, 1),
(17643, 1),
(17644, 1),
(17645, 1),
(17646, 1),
(17647, 1),
(17648, 1),
(17649, 1),
(17650, 1),
(17651, 1),
(17652, 1),
(17653, 1),
(17654, 1),
(17655, 1),
(17656, 1),
(17657, 1),
(17658, 1),
(17659, 1),
(17660, 1),
(17661, 1),
(17662, 1),
(17663, 1),
(17664, 1),
(17665, 1),
(17666, 1),
(17667, 1),
(17668, 1),
(17669, 1),
(17670, 1),
(17671, 1),
(17672, 1),
(17673, 1),
(17674, 1),
(17675, 1),
(17676, 1),
(17677, 1),
(17678, 1),
(17679, 1),
(17680, 1),
(17681, 1),
(17682, 1),
(17683, 1),
(17684, 1),
(17685, 1),
(17686, 1),
(17687, 1),
(17688, 1),
(17689, 1),
(17690, 1),
(17691, 1),
(17692, 1),
(17693, 1),
(17694, 1),
(17695, 1),
(17696, 1),
(17697, 1),
(17698, 1),
(17699, 1),
(17700, 1),
(17701, 1),
(17702, 1),
(17703, 1),
(17704, 1),
(17705, 1),
(17706, 1),
(17707, 1),
(17708, 1),
(17709, 1),
(17710, 1),
(17711, 1),
(17712, 1),
(17713, 1),
(17714, 1),
(17715, 1),
(17716, 1),
(17717, 1),
(17718, 1),
(17719, 1),
(17720, 1),
(17721, 1),
(17722, 1),
(17723, 1),
(17724, 1),
(17725, 1),
(17726, 1),
(17727, 1),
(17728, 1),
(17729, 1),
(17730, 1),
(17731, 1),
(17732, 1),
(17733, 1),
(17734, 1),
(17735, 1),
(17736, 1),
(17737, 1),
(17738, 1),
(17739, 1),
(17740, 1),
(17741, 1),
(17742, 1),
(17743, 1),
(17744, 1),
(17745, 1),
(17746, 1),
(17747, 1),
(17748, 1),
(17749, 1),
(17750, 1),
(17751, 1),
(17752, 1),
(17753, 1),
(17754, 1),
(17755, 1),
(17756, 1),
(17757, 1),
(17758, 1),
(17759, 1),
(17760, 1),
(17761, 1),
(17762, 1),
(17763, 1),
(17764, 1),
(17765, 1),
(17766, 1),
(17767, 1),
(17768, 1),
(17769, 1),
(17770, 1),
(17771, 1),
(17772, 1),
(17773, 1),
(17774, 1),
(17775, 1),
(17776, 1),
(17777, 1),
(17778, 1),
(17779, 1),
(17780, 1),
(17781, 1),
(17782, 1),
(17783, 1),
(17784, 1),
(17785, 1),
(17786, 1),
(17787, 1),
(17788, 1),
(17789, 1),
(17790, 1),
(17791, 1),
(17792, 1),
(17793, 1),
(17794, 1),
(17795, 1),
(17796, 1),
(17797, 1),
(17798, 1),
(17799, 1),
(17800, 1),
(17801, 1),
(17802, 1),
(17803, 1),
(17804, 1),
(17805, 1),
(17806, 1),
(17807, 1),
(17808, 1),
(17809, 1),
(17810, 1),
(17811, 1),
(17812, 1),
(17813, 1),
(17814, 1),
(17815, 1),
(17816, 1),
(17817, 1),
(17818, 1),
(17819, 1),
(17820, 1),
(17821, 1),
(17822, 1),
(17823, 1),
(17824, 1),
(17825, 1),
(17826, 1),
(17827, 1),
(17828, 1),
(17829, 1),
(17830, 1),
(17831, 1),
(17832, 1),
(17833, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(17834, 1),
(17835, 1),
(17836, 1),
(17837, 1),
(17838, 1),
(17839, 1),
(17840, 1),
(17841, 1),
(17842, 1),
(17843, 1),
(17844, 1),
(17845, 1),
(17846, 1),
(17847, 1),
(17848, 1),
(17849, 1),
(17850, 1),
(17851, 1),
(17852, 1),
(17853, 1),
(17854, 1),
(17855, 1),
(17856, 1),
(17857, 1),
(17858, 1),
(17859, 1),
(17860, 1),
(17861, 1),
(17862, 1),
(17863, 1),
(17864, 1),
(17865, 1),
(17866, 1),
(17867, 1),
(17868, 1),
(17869, 1),
(17870, 1),
(17871, 1),
(17872, 1),
(17873, 1),
(17874, 1),
(17875, 1),
(17876, 1),
(17877, 1),
(17878, 1),
(17879, 1),
(17880, 1),
(17881, 1),
(17882, 1),
(17883, 1),
(17884, 1),
(17885, 1),
(17886, 1),
(17887, 1),
(17888, 1),
(17889, 1),
(17890, 1),
(17891, 1),
(17892, 1),
(17893, 1),
(17894, 1),
(17895, 1),
(17896, 1),
(17897, 1),
(17898, 1),
(17899, 1),
(17900, 1),
(17901, 1),
(17902, 1),
(17903, 1),
(17904, 1),
(17905, 1),
(17906, 1),
(17907, 1),
(17908, 1),
(17909, 1),
(17910, 1),
(17911, 1),
(17912, 1),
(17913, 1),
(17914, 1),
(17915, 1),
(17916, 1),
(17917, 1),
(17918, 1),
(17919, 1),
(17920, 1),
(17921, 1),
(17922, 1),
(17923, 1),
(17924, 1),
(17925, 1),
(17926, 1),
(17927, 1),
(17928, 1),
(17929, 1),
(17930, 1),
(17931, 1),
(17932, 1),
(17933, 1),
(17934, 1),
(17935, 1),
(17936, 1),
(17937, 1),
(17938, 1),
(17939, 1),
(17940, 1),
(17941, 1),
(17942, 1),
(17943, 1),
(17944, 1),
(17945, 1),
(17946, 1),
(17947, 1),
(17948, 1),
(17949, 1),
(17950, 1),
(17951, 1),
(17952, 1),
(17953, 1),
(17954, 1),
(17955, 1),
(17956, 1),
(17957, 1),
(17958, 1),
(17959, 1),
(17960, 1),
(17961, 1),
(17962, 1),
(17963, 1),
(17964, 1),
(17965, 1),
(17966, 1),
(17967, 1),
(17968, 1),
(17969, 1),
(17970, 1),
(17971, 1),
(17972, 1),
(17973, 1),
(17974, 1),
(17975, 1),
(17976, 1),
(17977, 1),
(17978, 1),
(17979, 1),
(17980, 1),
(17981, 1),
(17982, 1),
(17983, 1),
(17984, 1),
(17985, 1),
(17986, 1),
(17987, 1),
(17988, 1),
(17989, 1),
(17990, 1),
(17991, 1),
(17992, 1),
(17993, 1),
(17994, 1),
(17995, 1),
(17996, 1),
(17997, 1),
(17998, 1),
(17999, 1),
(18000, 1),
(18001, 1),
(18002, 1),
(18003, 1),
(18004, 1),
(18005, 1),
(18006, 1),
(18007, 1),
(18008, 1),
(18009, 1),
(18010, 1),
(18011, 1),
(18012, 1),
(18013, 1),
(18014, 1),
(18015, 1),
(18016, 1),
(18017, 1),
(18018, 1),
(18019, 1),
(18020, 1),
(18021, 1),
(18022, 1),
(18023, 1),
(18024, 1),
(18025, 1),
(18026, 1),
(18027, 1),
(18028, 1),
(18029, 1),
(18030, 1),
(18031, 1),
(18032, 1),
(18033, 1),
(18034, 1),
(18035, 1),
(18036, 1),
(18037, 1),
(18038, 1),
(18039, 1),
(18040, 1),
(18041, 1),
(18042, 1),
(18043, 1),
(18044, 1),
(18045, 1),
(18046, 1),
(18047, 1),
(18048, 1),
(18049, 1),
(18050, 1),
(18051, 1),
(18052, 1),
(18053, 1),
(18054, 1),
(18055, 1),
(18056, 1),
(18057, 1),
(18058, 1),
(18059, 1),
(18060, 1),
(18061, 1),
(18062, 1),
(18063, 1),
(18064, 1),
(18065, 1),
(18066, 1),
(18067, 1),
(18068, 1),
(18069, 1),
(18070, 1),
(18071, 1),
(18072, 1),
(18073, 1),
(18074, 1),
(18075, 1),
(18076, 1),
(18077, 1),
(18078, 1),
(18079, 1),
(18080, 1),
(18081, 1),
(18082, 1),
(18083, 1),
(18084, 1),
(18085, 1),
(18086, 1),
(18087, 1),
(18088, 1),
(18089, 1),
(18090, 1),
(18091, 1),
(18092, 1),
(18093, 1),
(18094, 1),
(18095, 1),
(18096, 1),
(18097, 1),
(18098, 1),
(18099, 1),
(18100, 1),
(18101, 1),
(18102, 1),
(18103, 1),
(18104, 1),
(18105, 1),
(18106, 1),
(18107, 1),
(18108, 1),
(18109, 1),
(18110, 1),
(18111, 1),
(18112, 1),
(18113, 1),
(18114, 1),
(18115, 1),
(18116, 1),
(18117, 1),
(18118, 1),
(18119, 1),
(18120, 1),
(18121, 1),
(18122, 1),
(18123, 1),
(18124, 1),
(18125, 1),
(18126, 1),
(18127, 1),
(18128, 1),
(18129, 1),
(18130, 1),
(18131, 1),
(18132, 1),
(18133, 1),
(18134, 1),
(18135, 1),
(18136, 1),
(18137, 1),
(18138, 1),
(18139, 1),
(18140, 1),
(18141, 1),
(18142, 1),
(18143, 1),
(18144, 1),
(18145, 1),
(18146, 1),
(18147, 1),
(18148, 1),
(18149, 1),
(18150, 1),
(18151, 1),
(18152, 1),
(18153, 1),
(18154, 1),
(18155, 1),
(18156, 1),
(18157, 1),
(18158, 1),
(18159, 1),
(18160, 1),
(18161, 1),
(18162, 1),
(18163, 1),
(18164, 1),
(18165, 1),
(18166, 1),
(18167, 1),
(18168, 1),
(18169, 1),
(18170, 1),
(18171, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(18172, 1),
(18173, 1),
(18174, 1),
(18175, 1),
(18176, 1),
(18177, 1),
(18178, 1),
(18179, 1),
(18180, 1),
(18181, 1),
(18182, 1),
(18183, 1),
(18184, 1),
(18185, 1),
(18186, 1),
(18187, 1),
(18188, 1),
(18189, 1),
(18190, 1),
(18191, 1),
(18192, 1),
(18193, 1),
(18194, 1),
(18195, 1),
(18196, 1),
(18197, 1),
(18198, 1),
(18199, 1),
(18200, 1),
(18201, 1),
(18202, 1),
(18203, 1),
(18204, 1),
(18205, 1),
(18206, 1),
(18207, 1),
(18208, 1),
(18209, 1),
(18210, 1),
(18211, 1),
(18212, 1),
(18213, 1),
(18214, 1),
(18215, 1),
(18216, 1),
(18217, 1),
(18218, 1),
(18219, 1),
(18220, 1),
(18221, 1),
(18222, 1),
(18223, 1),
(18224, 1),
(18225, 1),
(18226, 1),
(18227, 1),
(18228, 1),
(18229, 1),
(18230, 1),
(18231, 1),
(18232, 1),
(18233, 1),
(18234, 1),
(18235, 1),
(18236, 1),
(18237, 1),
(18238, 1),
(18239, 1),
(18240, 1),
(18241, 1),
(18242, 1),
(18243, 1),
(18244, 1),
(18245, 1),
(18246, 1),
(18247, 1),
(18248, 1),
(18249, 1),
(18250, 1),
(18251, 1),
(18252, 1),
(18253, 1),
(18254, 1),
(18255, 1),
(18256, 1),
(18257, 1),
(18258, 1),
(18259, 1),
(18260, 1),
(18261, 1),
(18262, 1),
(18263, 1),
(18264, 1),
(18265, 1),
(18266, 1),
(18267, 1),
(18268, 1),
(18269, 1),
(18270, 1),
(18271, 1),
(18272, 1),
(18273, 1),
(18274, 1),
(18275, 1),
(18276, 1),
(18277, 1),
(18278, 1),
(18279, 1),
(18280, 1),
(18281, 1),
(18282, 1),
(18283, 1),
(18284, 1),
(18285, 1),
(18286, 1),
(18287, 1),
(18288, 1),
(18289, 1),
(18290, 1),
(18291, 1),
(18292, 1),
(18293, 1),
(18294, 1),
(18295, 1),
(18296, 1),
(18297, 1),
(18298, 1),
(18299, 1),
(18300, 1),
(18301, 1),
(18302, 1),
(18303, 1),
(18304, 1),
(18305, 1),
(18306, 1),
(18307, 1),
(18308, 1),
(18309, 1),
(18310, 1),
(18311, 1),
(18312, 1),
(18313, 1),
(18314, 1),
(18315, 1),
(18316, 1),
(18317, 1),
(18318, 1),
(18319, 1),
(18320, 1),
(18321, 1),
(18322, 1),
(18323, 1),
(18324, 1),
(18325, 1),
(18326, 1),
(18327, 1),
(18328, 1),
(18329, 1),
(18330, 1),
(18331, 1),
(18332, 1),
(18333, 1),
(18334, 1),
(18335, 1),
(18336, 1),
(18337, 1),
(18338, 1),
(18339, 1),
(18340, 1),
(18341, 1),
(18342, 1),
(18343, 1),
(18344, 1),
(18345, 1),
(18346, 1),
(18347, 1),
(18348, 1),
(18349, 1),
(18350, 1),
(18351, 1),
(18352, 1),
(18353, 1),
(18354, 1),
(18355, 1),
(18356, 1),
(18357, 1),
(18358, 1),
(18359, 1),
(18360, 1),
(18361, 1),
(18362, 1),
(18363, 1),
(18364, 1),
(18365, 1),
(18366, 1),
(18367, 1),
(18368, 1),
(18369, 1),
(18370, 1),
(18371, 1),
(18372, 1),
(18373, 1),
(18374, 1),
(18375, 1),
(18376, 1),
(18377, 1),
(18378, 1),
(18379, 1),
(18380, 1),
(18381, 1),
(18382, 1),
(18383, 1),
(18384, 1),
(18385, 1),
(18386, 1),
(18387, 1),
(18388, 1),
(18389, 1),
(18390, 1),
(18391, 1),
(18392, 1),
(18393, 1),
(18394, 1),
(18395, 1),
(18396, 1),
(18397, 1),
(18398, 1),
(18399, 1),
(18400, 1),
(18401, 1),
(18402, 1),
(18403, 1),
(18404, 1),
(18405, 1),
(18406, 1),
(18407, 1),
(18408, 1),
(18409, 1),
(18410, 1),
(18411, 1),
(18412, 1),
(18413, 1),
(18414, 1),
(18415, 1),
(18416, 1),
(18417, 1),
(18418, 1),
(18419, 1),
(18420, 1),
(18421, 1),
(18422, 1),
(18423, 1),
(18424, 1),
(18425, 1),
(18426, 1),
(18427, 1),
(18428, 1),
(18429, 1),
(18430, 1),
(18431, 1),
(18432, 1),
(18433, 1),
(18434, 1),
(18435, 1),
(18436, 1),
(18437, 1),
(18438, 1),
(18439, 1),
(18440, 1),
(18441, 1),
(18442, 1),
(18443, 1),
(18444, 1),
(18445, 1),
(18446, 1),
(18447, 1),
(18448, 1),
(18449, 1),
(18450, 1),
(18451, 1),
(18452, 1),
(18453, 1),
(18454, 1),
(18455, 1),
(18456, 1),
(18457, 1),
(18458, 1),
(18459, 1),
(18460, 1),
(18461, 1),
(18462, 1),
(18463, 1),
(18464, 1),
(18465, 1),
(18466, 1),
(18467, 1),
(18468, 1),
(18469, 1),
(18470, 1),
(18471, 1),
(18472, 1),
(18473, 1),
(18474, 1),
(18475, 1),
(18476, 1),
(18477, 1),
(18478, 1),
(18479, 1),
(18480, 1),
(18481, 1),
(18482, 1),
(18483, 1),
(18484, 1),
(18485, 1),
(18486, 1),
(18487, 1),
(18488, 1),
(18489, 1),
(18490, 1),
(18491, 1),
(18492, 1),
(18493, 1),
(18494, 1),
(18495, 1),
(18496, 1),
(18497, 1),
(18498, 1),
(18499, 1),
(18500, 1),
(18501, 1),
(18502, 1),
(18503, 1),
(18504, 1),
(18505, 1),
(18506, 1),
(18507, 1),
(18508, 1),
(18509, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(18510, 1),
(18511, 1),
(18512, 1),
(18513, 1),
(18514, 1),
(18515, 1),
(18516, 1),
(18517, 1),
(18518, 1),
(18519, 1),
(18520, 1),
(18521, 1),
(18522, 1),
(18523, 1),
(18524, 1),
(18525, 1),
(18526, 1),
(18527, 1),
(18528, 1),
(18529, 1),
(18530, 1),
(18531, 1),
(18532, 1),
(18533, 1),
(18534, 1),
(18535, 1),
(18536, 1),
(18537, 1),
(18538, 1),
(18539, 1),
(18540, 1),
(18541, 1),
(18542, 1),
(18543, 1),
(18544, 1),
(18545, 1),
(18546, 1),
(18547, 1),
(18548, 1),
(18549, 1),
(18550, 1),
(18551, 1),
(18552, 1),
(18553, 1),
(18554, 1),
(18555, 1),
(18556, 1),
(18557, 1),
(18558, 1),
(18559, 1),
(18560, 1),
(18561, 1),
(18562, 1),
(18563, 1),
(18564, 1),
(18565, 1),
(18566, 1),
(18567, 1),
(18568, 1),
(18569, 1),
(18570, 1),
(18571, 1),
(18572, 1),
(18573, 1),
(18574, 1),
(18575, 1),
(18576, 1),
(18577, 1),
(18578, 1),
(18579, 1),
(18580, 1),
(18581, 1),
(18582, 1),
(18583, 1),
(18584, 1),
(18585, 1),
(18586, 1),
(18587, 1),
(18588, 1),
(18589, 1),
(18590, 1),
(18591, 1),
(18592, 1),
(18593, 1),
(18594, 1),
(18595, 1),
(18596, 1),
(18597, 1),
(18598, 1),
(18599, 1),
(18600, 1),
(18601, 1),
(18602, 1),
(18603, 1),
(18604, 1),
(18605, 1),
(18606, 1),
(18607, 1),
(18608, 1),
(18609, 1),
(18610, 1),
(18611, 1),
(18612, 1),
(18613, 1),
(18614, 1),
(18615, 1),
(18616, 1),
(18617, 1),
(18618, 1),
(18619, 1),
(18620, 1),
(18621, 1),
(18622, 1),
(18623, 1),
(18624, 1),
(18625, 1),
(18626, 1),
(18627, 1),
(18628, 1),
(18629, 1),
(18630, 1),
(18631, 1),
(18632, 1),
(18633, 1),
(18634, 1),
(18635, 1),
(18636, 1),
(18637, 1),
(18638, 1),
(18639, 1),
(18640, 1),
(18641, 1),
(18642, 1),
(18643, 1),
(18644, 1),
(18645, 1),
(18646, 1),
(18647, 1),
(18648, 1),
(18649, 1),
(18650, 1),
(18651, 1),
(18652, 1),
(18653, 1),
(18654, 1),
(18655, 1),
(18656, 1),
(18657, 1),
(18658, 1),
(18659, 1),
(18660, 1),
(18661, 1),
(18662, 1),
(18663, 1),
(18664, 1),
(18665, 1),
(18666, 1),
(18667, 1),
(18668, 1),
(18669, 1),
(18670, 1),
(18671, 1),
(18672, 1),
(18673, 1),
(18674, 1),
(18675, 1),
(18676, 1),
(18677, 1),
(18678, 1),
(18679, 1),
(18680, 1),
(18681, 1),
(18682, 1),
(18683, 1),
(18684, 1),
(18685, 1),
(18686, 1),
(18687, 1),
(18688, 1),
(18689, 1),
(18690, 1),
(18691, 1),
(18692, 1),
(18693, 1),
(18694, 1),
(18695, 1),
(18696, 1),
(18697, 1),
(18698, 1),
(18699, 1),
(18700, 1),
(18701, 1),
(18702, 1),
(18703, 1),
(18704, 1),
(18705, 1),
(18706, 1),
(18707, 1),
(18708, 1),
(18709, 1),
(18710, 1),
(18711, 1),
(18712, 1),
(18713, 1),
(18714, 1),
(18715, 1),
(18716, 1),
(18717, 1),
(18718, 1),
(18719, 1),
(18720, 1),
(18721, 1),
(18722, 1),
(18723, 1),
(18724, 1),
(18725, 1),
(18726, 1),
(18727, 1),
(18728, 1),
(18729, 1),
(18730, 1),
(18731, 1),
(18732, 1),
(18733, 1),
(18734, 1),
(18735, 1),
(18736, 1),
(18737, 1),
(18738, 1),
(18739, 1),
(18740, 1),
(18741, 1),
(18742, 1),
(18743, 1),
(18744, 1),
(18745, 1),
(18746, 1),
(18747, 1),
(18748, 1),
(18749, 1),
(18750, 1),
(18751, 1),
(18752, 1),
(18753, 1),
(18754, 1),
(18755, 1),
(18756, 1),
(18757, 1),
(18758, 1),
(18759, 1),
(18760, 1),
(18761, 1),
(18762, 1),
(18763, 1),
(18764, 1),
(18765, 1),
(18766, 1),
(18767, 1),
(18768, 1),
(18769, 1),
(18770, 1),
(18771, 1),
(18772, 1),
(18773, 1),
(18774, 1),
(18775, 1),
(18776, 1),
(18777, 1),
(18778, 1),
(18779, 1),
(18780, 1),
(18781, 1),
(18782, 1),
(18783, 1),
(18784, 1),
(18785, 1),
(18786, 1),
(18787, 1),
(18788, 1),
(18789, 1),
(18790, 1),
(18791, 1),
(18792, 1),
(18793, 1),
(18794, 1),
(18795, 1),
(18796, 1),
(18797, 1),
(18798, 1),
(18799, 1),
(18800, 1),
(18801, 1),
(18802, 1),
(18803, 1),
(18804, 1),
(18805, 1),
(18806, 1),
(18807, 1),
(18808, 1),
(18809, 1),
(18810, 1),
(18811, 1),
(18812, 1),
(18813, 1),
(18814, 1),
(18815, 1),
(18816, 1),
(18817, 1),
(18818, 1),
(18819, 1),
(18820, 1),
(18821, 1),
(18822, 1),
(18823, 1),
(18824, 1),
(18825, 1),
(18826, 1),
(18827, 1),
(18828, 1),
(18829, 1),
(18830, 1),
(18831, 1),
(18832, 1),
(18833, 1),
(18834, 1),
(18835, 1),
(18836, 1),
(18837, 1),
(18838, 1),
(18839, 1),
(18840, 1),
(18841, 1),
(18842, 1),
(18843, 1),
(18844, 1),
(18845, 1),
(18846, 1),
(18847, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(18848, 1),
(18849, 1),
(18850, 1),
(18851, 1),
(18852, 1),
(18853, 1),
(18854, 1),
(18855, 1),
(18856, 1),
(18857, 1),
(18858, 1),
(18859, 1),
(18860, 1),
(18861, 1),
(18862, 1),
(18863, 1),
(18864, 1),
(18865, 1),
(18866, 1),
(18867, 1),
(18868, 1),
(18869, 1),
(18870, 1),
(18871, 1),
(18872, 1),
(18873, 1),
(18874, 1),
(18875, 1),
(18876, 1),
(18877, 1),
(18878, 1),
(18879, 1),
(18880, 1),
(18881, 1),
(18882, 1),
(18883, 1),
(18884, 1),
(18885, 1),
(18886, 1),
(18887, 1),
(18888, 1),
(18889, 1),
(18890, 1),
(18891, 1),
(18892, 1),
(18893, 1),
(18894, 1),
(18895, 1),
(18896, 1),
(18897, 1),
(18898, 1),
(18899, 1),
(18900, 1),
(18901, 1),
(18902, 1),
(18903, 1),
(18904, 1),
(18905, 1),
(18906, 1),
(18907, 1),
(18908, 1),
(18909, 1),
(18910, 1),
(18911, 1),
(18912, 1),
(18913, 1),
(18914, 1),
(18915, 1),
(18916, 1),
(18917, 1),
(18918, 1),
(18919, 1),
(18920, 1),
(18921, 1),
(18922, 1),
(18923, 1),
(18924, 1),
(18925, 1),
(18926, 1),
(18927, 1),
(18928, 1),
(18929, 1),
(18930, 1),
(18931, 1),
(18932, 1),
(18933, 1),
(18934, 1),
(18935, 1),
(18936, 1),
(18937, 1),
(18938, 1),
(18939, 1),
(18940, 1),
(18941, 1),
(18942, 1),
(18943, 1),
(18944, 1),
(18945, 1),
(18946, 1),
(18947, 1),
(18948, 1),
(18949, 1),
(18950, 1),
(18951, 1),
(18952, 1),
(18953, 1),
(18954, 1),
(18955, 1),
(18956, 1),
(18957, 1),
(18958, 1),
(18959, 1),
(18960, 1),
(18961, 1),
(18962, 1),
(18963, 1),
(18964, 1),
(18965, 1),
(18966, 1),
(18967, 1),
(18968, 1),
(18969, 1),
(18970, 1),
(18971, 1),
(18972, 1),
(18973, 1),
(18974, 1),
(18975, 1),
(18976, 1),
(18977, 1),
(18978, 1),
(18979, 1),
(18980, 1),
(18981, 1),
(18982, 1),
(18983, 1),
(18984, 1),
(18985, 1),
(18986, 1),
(18987, 1),
(18988, 1),
(18989, 1),
(18990, 1),
(18991, 1),
(18992, 1),
(18993, 1),
(18994, 1),
(18995, 1),
(18996, 1),
(18997, 1),
(18998, 1),
(18999, 1),
(19000, 1),
(19001, 1),
(19002, 1),
(19003, 1),
(19004, 1),
(19005, 1),
(19006, 1),
(19007, 1),
(19008, 1),
(19009, 1),
(19010, 1),
(19011, 1),
(19012, 1),
(19013, 1),
(19014, 1),
(19015, 1),
(19016, 1),
(19017, 1),
(19018, 1),
(19019, 1),
(19020, 1),
(19021, 1),
(19022, 1),
(19023, 1),
(19024, 1),
(19025, 1),
(19026, 1),
(19027, 1),
(19028, 1),
(19029, 1),
(19030, 1),
(19031, 1),
(19032, 1),
(19033, 1),
(19034, 1),
(19035, 1),
(19036, 1),
(19037, 1),
(19038, 1),
(19039, 1),
(19040, 1),
(19041, 1),
(19042, 1),
(19043, 1),
(19044, 1),
(19045, 1),
(19046, 1),
(19047, 1),
(19048, 1),
(19049, 1),
(19050, 1),
(19051, 1),
(19052, 1),
(19053, 1),
(19054, 1),
(19055, 1),
(19056, 1),
(19057, 1),
(19058, 1),
(19059, 1),
(19060, 1),
(19061, 1),
(19062, 1),
(19063, 1),
(19064, 1),
(19065, 1),
(19066, 1),
(19067, 1),
(19068, 1),
(19069, 1),
(19070, 1),
(19071, 1),
(19072, 1),
(19073, 1),
(19074, 1),
(19075, 1),
(19076, 1),
(19077, 1),
(19078, 1),
(19079, 1),
(19080, 1),
(19081, 1),
(19082, 1),
(19083, 1),
(19084, 1),
(19085, 1),
(19086, 1),
(19087, 1),
(19088, 1),
(19089, 1),
(19090, 1),
(19091, 1),
(19092, 1),
(19093, 1),
(19094, 1),
(19095, 1),
(19096, 1),
(19097, 1),
(19098, 1),
(19099, 1),
(19100, 1),
(19101, 1),
(19102, 1),
(19103, 1),
(19104, 1),
(19105, 1),
(19106, 1),
(19107, 1),
(19108, 1),
(19109, 1),
(19110, 1),
(19111, 1),
(19112, 1),
(19113, 1),
(19114, 1),
(19115, 1),
(19116, 1),
(19117, 1),
(19118, 1),
(19119, 1),
(19120, 1),
(19121, 1),
(19122, 1),
(19123, 1),
(19124, 1),
(19125, 1),
(19126, 1),
(19127, 1),
(19128, 1),
(19129, 1),
(19130, 1),
(19131, 1),
(19132, 1),
(19133, 1),
(19134, 1),
(19135, 1),
(19136, 1),
(19137, 1),
(19138, 1),
(19139, 1),
(19140, 1),
(19141, 1),
(19142, 1),
(19143, 1),
(19144, 1),
(19145, 1),
(19146, 1),
(19147, 1),
(19148, 1),
(19149, 1),
(19150, 1),
(19151, 1),
(19152, 1),
(19153, 1),
(19154, 1),
(19155, 1),
(19156, 1),
(19157, 1),
(19158, 1),
(19159, 1),
(19160, 1),
(19161, 1),
(19162, 1),
(19163, 1),
(19164, 1),
(19165, 1),
(19166, 1),
(19167, 1),
(19168, 1),
(19169, 1),
(19170, 1),
(19171, 1),
(19172, 1),
(19173, 1),
(19174, 1),
(19175, 1),
(19176, 1),
(19177, 1),
(19178, 1),
(19179, 1),
(19180, 1),
(19181, 1),
(19182, 1),
(19183, 1),
(19184, 1),
(19185, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(19186, 1),
(19187, 1),
(19188, 1),
(19189, 1),
(19190, 1),
(19191, 1),
(19192, 1),
(19193, 1),
(19194, 1),
(19195, 1),
(19196, 1),
(19197, 1),
(19198, 1),
(19199, 1),
(19200, 1),
(19201, 1),
(19202, 1),
(19203, 1),
(19204, 1),
(19205, 1),
(19206, 1),
(19207, 1),
(19208, 1),
(19209, 1),
(19210, 1),
(19211, 1),
(19212, 1),
(19213, 1),
(19214, 1),
(19215, 1),
(19216, 1),
(19217, 1),
(19218, 1),
(19219, 1),
(19220, 1),
(19221, 1),
(19222, 1),
(19223, 1),
(19224, 1),
(19225, 1),
(19226, 1),
(19227, 1),
(19228, 1),
(19229, 1),
(19230, 1),
(19231, 1),
(19232, 1),
(19233, 1),
(19234, 1),
(19235, 1),
(19236, 1),
(19237, 1),
(19238, 1),
(19239, 1),
(19240, 1),
(19241, 1),
(19242, 1),
(19243, 1),
(19244, 1),
(19245, 1),
(19246, 1),
(19247, 1),
(19248, 1),
(19249, 1),
(19250, 1),
(19251, 1),
(19252, 1),
(19253, 1),
(19254, 1),
(19255, 1),
(19256, 1),
(19257, 1),
(19258, 1),
(19259, 1),
(19260, 1),
(19261, 1),
(19262, 1),
(19263, 1),
(19264, 1),
(19265, 1),
(19266, 1),
(19267, 1),
(19268, 1),
(19269, 1),
(19270, 1),
(19271, 1),
(19272, 1),
(19273, 1),
(19274, 1),
(19275, 1),
(19276, 1),
(19277, 1),
(19278, 1),
(19279, 1),
(19280, 1),
(19281, 1),
(19282, 1),
(19283, 1),
(19284, 1),
(19285, 1),
(19286, 1),
(19287, 1),
(19288, 1),
(19289, 1),
(19290, 1),
(19291, 1),
(19292, 1),
(19293, 1),
(19294, 1),
(19295, 1),
(19296, 1),
(19297, 1),
(19298, 1),
(19299, 1),
(19300, 1),
(19301, 1),
(19302, 1),
(19303, 1),
(19304, 1),
(19305, 1),
(19306, 1),
(19307, 1),
(19308, 1),
(19309, 1),
(19310, 1),
(19311, 1),
(19312, 1),
(19313, 1),
(19314, 1),
(19315, 1),
(19316, 1),
(19317, 1),
(19318, 1),
(19319, 1),
(19320, 1),
(19321, 1),
(19322, 1),
(19323, 1),
(19324, 1),
(19325, 1),
(19326, 1),
(19327, 1),
(19328, 1),
(19329, 1),
(19330, 1),
(19331, 1),
(19332, 1),
(19333, 1),
(19334, 1),
(19335, 1),
(19336, 1),
(19337, 1),
(19338, 1),
(19339, 1),
(19340, 1),
(19341, 1),
(19342, 1),
(19343, 1),
(19344, 1),
(19345, 1),
(19346, 1),
(19347, 1),
(19348, 1),
(19349, 1),
(19350, 1),
(19351, 1),
(19352, 1),
(19353, 1),
(19354, 1),
(19355, 1),
(19356, 1),
(19357, 1),
(19358, 1),
(19359, 1),
(19360, 1),
(19361, 1),
(19362, 1),
(19363, 1),
(19364, 1),
(19365, 1),
(19366, 1),
(19367, 1),
(19368, 1),
(19369, 1),
(19370, 1),
(19371, 1),
(19372, 1),
(19373, 1),
(19374, 1),
(19375, 1),
(19376, 1),
(19377, 1),
(19378, 1),
(19379, 1),
(19380, 1),
(19381, 1),
(19382, 1),
(19383, 1),
(19384, 1),
(19385, 1),
(19386, 1),
(19387, 1),
(19388, 1),
(19389, 1),
(19390, 1),
(19391, 1),
(19392, 1),
(19393, 1),
(19394, 1),
(19395, 1),
(19396, 1),
(19397, 1),
(19398, 1),
(19399, 1),
(19400, 1),
(19401, 1),
(19402, 1),
(19403, 1),
(19404, 1),
(19405, 1),
(19406, 1),
(19407, 1),
(19408, 1),
(19409, 1),
(19410, 1),
(19411, 1),
(19412, 1),
(19413, 1),
(19414, 1),
(19415, 1),
(19416, 1),
(19417, 1),
(19418, 1),
(19419, 1),
(19420, 1),
(19421, 1),
(19422, 1),
(19423, 1),
(19424, 1),
(19425, 1),
(19426, 1),
(19427, 1),
(19428, 1),
(19429, 1),
(19430, 1),
(19431, 1),
(19432, 1),
(19433, 1),
(19434, 1),
(19435, 1),
(19436, 1),
(19437, 1),
(19438, 1),
(19439, 1),
(19440, 1),
(19441, 1),
(19442, 1),
(19443, 1),
(19444, 1),
(19445, 1),
(19446, 1),
(19447, 1),
(19448, 1),
(19449, 1),
(19450, 1),
(19451, 1),
(19452, 1),
(19453, 1),
(19454, 1),
(19455, 1),
(19456, 1),
(19457, 1),
(19458, 1),
(19459, 1),
(19460, 1),
(19461, 1),
(19462, 1),
(19463, 1),
(19464, 1),
(19465, 1),
(19466, 1),
(19467, 1),
(19468, 1),
(19469, 1),
(19470, 1),
(19471, 1),
(19472, 1),
(19473, 1),
(19474, 1),
(19475, 1),
(19476, 1),
(19477, 1),
(19478, 1),
(19479, 1),
(19480, 1),
(19481, 1),
(19482, 1),
(19483, 1),
(19484, 1),
(19485, 1),
(19486, 1),
(19487, 1),
(19488, 1),
(19489, 1),
(19490, 1),
(19491, 1),
(19492, 1),
(19493, 1),
(19494, 1),
(19495, 1),
(19496, 1),
(19497, 1),
(19498, 1),
(19499, 1),
(19500, 1),
(19501, 1),
(19502, 1),
(19503, 1),
(19504, 1),
(19505, 1),
(19506, 1),
(19507, 1),
(19508, 1),
(19509, 1),
(19510, 1),
(19511, 1),
(19512, 1),
(19513, 1),
(19514, 1),
(19515, 1),
(19516, 1),
(19517, 1),
(19518, 1),
(19519, 1),
(19520, 1),
(19521, 1),
(19522, 1),
(19523, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(19524, 1),
(19525, 1),
(19526, 1),
(19527, 1),
(19528, 1),
(19529, 1),
(19530, 1),
(19531, 1),
(19532, 1),
(19533, 1),
(19534, 1),
(19535, 1),
(19536, 1),
(19537, 1),
(19538, 1),
(19539, 1),
(19540, 1),
(19541, 1),
(19542, 1),
(19543, 1),
(19544, 1),
(19545, 1),
(19546, 1),
(19547, 1),
(19548, 1),
(19549, 1),
(19550, 1),
(19551, 1),
(19552, 1),
(19553, 1),
(19554, 1),
(19555, 1),
(19556, 1),
(19557, 1),
(19558, 1),
(19559, 1),
(19560, 1),
(19561, 1),
(19562, 1),
(19563, 1),
(19564, 1),
(19565, 1),
(19566, 1),
(19567, 1),
(19568, 1),
(19569, 1),
(19570, 1),
(19571, 1),
(19572, 1),
(19573, 1),
(19574, 1),
(19575, 1),
(19576, 1),
(19577, 1),
(19578, 1),
(19579, 1),
(19580, 1),
(19581, 1),
(19582, 1),
(19583, 1),
(19584, 1),
(19585, 1),
(19586, 1),
(19587, 1),
(19588, 1),
(19589, 1),
(19590, 1),
(19591, 1),
(19592, 1),
(19593, 1),
(19594, 1),
(19595, 1),
(19596, 1),
(19597, 1),
(19598, 1),
(19599, 1),
(19600, 1),
(19601, 1),
(19602, 1),
(19603, 1),
(19604, 1),
(19605, 1),
(19606, 1),
(19607, 1),
(19608, 1),
(19609, 1),
(19610, 1),
(19611, 1),
(19612, 1),
(19613, 1),
(19614, 1),
(19615, 1),
(19616, 1),
(19617, 1),
(19618, 1),
(19619, 1),
(19620, 1),
(19621, 1),
(19622, 1),
(19623, 1),
(19624, 1),
(19625, 1),
(19626, 1),
(19627, 1),
(19628, 1),
(19629, 1),
(19630, 1),
(19631, 1),
(19632, 1),
(19633, 1),
(19634, 1),
(19635, 1),
(19636, 1),
(19637, 1),
(19638, 1),
(19639, 1),
(19640, 1),
(19641, 1),
(19642, 1),
(19643, 1),
(19644, 1),
(19645, 1),
(19646, 1),
(19647, 1),
(19648, 1),
(19649, 1),
(19650, 1),
(19651, 1),
(19652, 1),
(19653, 1),
(19654, 1),
(19655, 1),
(19656, 1),
(19657, 1),
(19658, 1),
(19659, 1),
(19660, 1),
(19661, 1),
(19662, 1),
(19663, 1),
(19664, 1),
(19665, 1),
(19666, 1),
(19667, 1),
(19668, 1),
(19669, 1),
(19670, 1),
(19671, 1),
(19672, 1),
(19673, 1),
(19674, 1),
(19675, 1),
(19676, 1),
(19677, 1),
(19678, 1),
(19679, 1),
(19680, 1),
(19681, 1),
(19682, 1),
(19683, 1),
(19684, 1),
(19685, 1),
(19686, 1),
(19687, 1),
(19688, 1),
(19689, 1),
(19690, 1),
(19691, 1),
(19692, 1),
(19693, 1),
(19694, 1),
(19695, 1),
(19696, 1),
(19697, 1),
(19698, 1),
(19699, 1),
(19700, 1),
(19701, 1),
(19702, 1),
(19703, 1),
(19704, 1),
(19705, 1),
(19706, 1),
(19707, 1),
(19708, 1),
(19709, 1),
(19710, 1),
(19711, 1),
(19712, 1),
(19713, 1),
(19714, 1),
(19715, 1),
(19716, 1),
(19717, 1),
(19718, 1),
(19719, 1),
(19720, 1),
(19721, 1),
(19722, 1),
(19723, 1),
(19724, 1),
(19725, 1),
(19726, 1),
(19727, 1),
(19728, 1),
(19729, 1),
(19730, 1),
(19731, 1),
(19732, 1),
(19733, 1),
(19734, 1),
(19735, 1),
(19736, 1),
(19737, 1),
(19738, 1),
(19739, 1),
(19740, 1),
(19741, 1),
(19742, 1),
(19743, 1),
(19744, 1),
(19745, 1),
(19746, 1),
(19747, 1),
(19748, 1),
(19749, 1),
(19750, 1),
(19751, 1),
(19752, 1),
(19753, 1),
(19754, 1),
(19755, 1),
(19756, 1),
(19757, 1),
(19758, 1),
(19759, 1),
(19760, 1),
(19761, 1),
(19762, 1),
(19763, 1),
(19764, 1),
(19765, 1),
(19766, 1),
(19767, 1),
(19768, 1),
(19769, 1),
(19770, 1),
(19771, 1),
(19772, 1),
(19773, 1),
(19774, 1),
(19775, 1),
(19776, 1),
(19777, 1),
(19778, 1),
(19779, 1),
(19780, 1),
(19781, 1),
(19782, 1),
(19783, 1),
(19784, 1),
(19785, 1),
(19786, 1),
(19787, 1),
(19788, 1),
(19789, 1),
(19790, 1),
(19791, 1),
(19792, 1),
(19793, 1),
(19794, 1),
(19795, 1),
(19796, 1),
(19797, 1),
(19798, 1),
(19799, 1),
(19800, 1),
(19801, 1),
(19802, 1),
(19803, 1),
(19804, 1),
(19805, 1),
(19806, 1),
(19807, 1),
(19808, 1),
(19809, 1),
(19810, 1),
(19811, 1),
(19812, 1),
(19813, 1),
(19814, 1),
(19815, 1),
(19816, 1),
(19817, 1),
(19818, 1),
(19819, 1),
(19820, 1),
(19821, 1),
(19822, 1),
(19823, 1),
(19824, 1),
(19825, 1),
(19826, 1),
(19827, 1),
(19828, 1),
(19829, 1),
(19830, 1),
(19831, 1),
(19832, 1),
(19833, 1),
(19834, 1),
(19835, 1),
(19836, 1),
(19837, 1),
(19838, 1),
(19839, 1),
(19840, 1),
(19841, 1),
(19842, 1),
(19843, 1),
(19844, 1),
(19845, 1),
(19846, 1),
(19847, 1),
(19848, 1),
(19849, 1),
(19850, 1),
(19851, 1),
(19852, 1),
(19853, 1),
(19854, 1),
(19855, 1),
(19856, 1),
(19857, 1),
(19858, 1),
(19859, 1),
(19860, 1),
(19861, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(19862, 1),
(19863, 1),
(19864, 1),
(19865, 1),
(19866, 1),
(19867, 1),
(19868, 1),
(19869, 1),
(19870, 1),
(19871, 1),
(19872, 1),
(19873, 1),
(19874, 1),
(19875, 1),
(19876, 1),
(19877, 1),
(19878, 1),
(19879, 1),
(19880, 1),
(19881, 1),
(19882, 1),
(19883, 1),
(19884, 1),
(19885, 1),
(19886, 1),
(19887, 1),
(19888, 1),
(19889, 1),
(19890, 1),
(19891, 1),
(19892, 1),
(19893, 1),
(19894, 1),
(19895, 1),
(19896, 1),
(19897, 1),
(19898, 1),
(19899, 1),
(19900, 1),
(19901, 1),
(19902, 1),
(19903, 1),
(19904, 1),
(19905, 1),
(19906, 1),
(19907, 1),
(19908, 1),
(19909, 1),
(19910, 1),
(19911, 1),
(19912, 1),
(19913, 1),
(19914, 1),
(19915, 1),
(19916, 1),
(19917, 1),
(19918, 1),
(19919, 1),
(19920, 1),
(19921, 1),
(19922, 1),
(19923, 1),
(19924, 1),
(19925, 1),
(19926, 1),
(19927, 1),
(19928, 1),
(19929, 1),
(19930, 1),
(19931, 1),
(19932, 1),
(19933, 1),
(19934, 1),
(19935, 1),
(19936, 1),
(19937, 1),
(19938, 1),
(19939, 1),
(19940, 1),
(19941, 1),
(19942, 1),
(19943, 1),
(19944, 1),
(19945, 1),
(19946, 1),
(19947, 1),
(19948, 1),
(19949, 1),
(19950, 1),
(19951, 1),
(19952, 1),
(19953, 1),
(19954, 1),
(19955, 1),
(19956, 1),
(19957, 1),
(19958, 1),
(19959, 1),
(19960, 1),
(19961, 1),
(19962, 1),
(19963, 1),
(19964, 1),
(19965, 1),
(19966, 1),
(19967, 1),
(19968, 1),
(19969, 1),
(19970, 1),
(19971, 1),
(19972, 1),
(19973, 1),
(19974, 1),
(19975, 1),
(19976, 1),
(19977, 1),
(19978, 1),
(19979, 1),
(19980, 1),
(19981, 1),
(19982, 1),
(19983, 1),
(19984, 1),
(19985, 1),
(19986, 1),
(19987, 1),
(19988, 1),
(19989, 1),
(19990, 1),
(19991, 1),
(19992, 1),
(19993, 1),
(19994, 1),
(19995, 1),
(19996, 1),
(19997, 1),
(19998, 1),
(19999, 1),
(20000, 1),
(20001, 1),
(20002, 1),
(20003, 1),
(20004, 1),
(20005, 1),
(20006, 1),
(20007, 1),
(20008, 1),
(20009, 1),
(20010, 1),
(20011, 1),
(20012, 1),
(20013, 1),
(20014, 1),
(20015, 1),
(20016, 1),
(20017, 1),
(20018, 1),
(20019, 1),
(20020, 1),
(20021, 1),
(20022, 1),
(20023, 1),
(20024, 1),
(20025, 1),
(20026, 1),
(20027, 1),
(20028, 1),
(20029, 1),
(20030, 1),
(20031, 1),
(20032, 1),
(20033, 1),
(20034, 1),
(20035, 1),
(20036, 1),
(20037, 1),
(20038, 1),
(20039, 1),
(20040, 1),
(20041, 1),
(20042, 1),
(20043, 1),
(20044, 1),
(20045, 1),
(20046, 1),
(20047, 1),
(20048, 1),
(20049, 1),
(20050, 1),
(20051, 1),
(20052, 1),
(20053, 1),
(20054, 1),
(20055, 1),
(20056, 1),
(20057, 1),
(20058, 1),
(20059, 1),
(20060, 1),
(20061, 1),
(20062, 1),
(20063, 1),
(20064, 1),
(20065, 1),
(20066, 1),
(20067, 1),
(20068, 1),
(20069, 1),
(20070, 1),
(20071, 1),
(20072, 1),
(20073, 1),
(20074, 1),
(20075, 1),
(20076, 1),
(20077, 1),
(20078, 1),
(20079, 1),
(20080, 1),
(20081, 1),
(20082, 1),
(20083, 1),
(20084, 1),
(20085, 1),
(20086, 1),
(20087, 1),
(20088, 1),
(20089, 1),
(20090, 1),
(20091, 1),
(20092, 1),
(20093, 1),
(20094, 1),
(20095, 1),
(20096, 1),
(20097, 1),
(20098, 1),
(20099, 1),
(20100, 1),
(20101, 1),
(20102, 1),
(20103, 1),
(20104, 1),
(20105, 1),
(20106, 1),
(20107, 1),
(20108, 1),
(20109, 1),
(20110, 1),
(20111, 1),
(20112, 1),
(20113, 1),
(20114, 1),
(20115, 1),
(20116, 1),
(20117, 1),
(20118, 1),
(20119, 1),
(20120, 1),
(20121, 1),
(20122, 1),
(20123, 1),
(20124, 1),
(20125, 1),
(20126, 1),
(20127, 1),
(20128, 1),
(20129, 1),
(20130, 1),
(20131, 1),
(20132, 1),
(20133, 1),
(20134, 1),
(20135, 1),
(20136, 1),
(20137, 1),
(20138, 1),
(20139, 1),
(20140, 1),
(20141, 1),
(20142, 1),
(20143, 1),
(20144, 1),
(20145, 1),
(20146, 1),
(20147, 1),
(20148, 1),
(20149, 1),
(20150, 1),
(20151, 1),
(20152, 1),
(20153, 1),
(20154, 1),
(20155, 1),
(20156, 1),
(20157, 1),
(20158, 1),
(20159, 1),
(20160, 1),
(20161, 1),
(20162, 1),
(20163, 1),
(20164, 1),
(20165, 1),
(20166, 1),
(20167, 1),
(20168, 1),
(20169, 1),
(20170, 1),
(20171, 1),
(20172, 1),
(20173, 1),
(20174, 1),
(20175, 1),
(20176, 1),
(20177, 1),
(20178, 1),
(20179, 1),
(20180, 1),
(20181, 1),
(20182, 1),
(20183, 1),
(20184, 1),
(20185, 1),
(20186, 1),
(20187, 1),
(20188, 1),
(20189, 1),
(20190, 1),
(20191, 1),
(20192, 1),
(20193, 1),
(20194, 1),
(20195, 1),
(20196, 1),
(20197, 1),
(20198, 1),
(20199, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(20200, 1),
(20201, 1),
(20202, 1),
(20203, 1),
(20204, 1),
(20205, 1),
(20206, 1),
(20207, 1),
(20208, 1),
(20209, 1),
(20210, 1),
(20211, 1),
(20212, 1),
(20213, 1),
(20214, 1),
(20215, 1),
(20216, 1),
(20217, 1),
(20218, 1),
(20219, 1),
(20220, 1),
(20221, 1),
(20222, 1),
(20223, 1),
(20224, 1),
(20225, 1),
(20226, 1),
(20227, 1),
(20228, 1),
(20229, 1),
(20230, 1),
(20231, 1),
(20232, 1),
(20233, 1),
(20234, 1),
(20235, 1),
(20236, 1),
(20237, 1),
(20238, 1),
(20239, 1),
(20240, 1),
(20241, 1),
(20242, 1),
(20243, 1),
(20244, 1),
(20245, 1),
(20246, 1),
(20247, 1),
(20248, 1),
(20249, 1),
(20250, 1),
(20251, 1),
(20252, 1),
(20253, 1),
(20254, 1),
(20255, 1),
(20256, 1),
(20257, 1),
(20258, 1),
(20259, 1),
(20260, 1),
(20261, 1),
(20262, 1),
(20263, 1),
(20264, 1),
(20265, 1),
(20266, 1),
(20267, 1),
(20268, 1),
(20269, 1),
(20270, 1),
(20271, 1),
(20272, 1),
(20273, 1),
(20274, 1),
(20275, 1),
(20276, 1),
(20277, 1),
(20278, 1),
(20279, 1),
(20280, 1),
(20281, 1),
(20282, 1),
(20283, 1),
(20284, 1),
(20285, 1),
(20286, 1),
(20287, 1),
(20288, 1),
(20289, 1),
(20290, 1),
(20291, 1),
(20292, 1),
(20293, 1),
(20294, 1),
(20295, 1),
(20296, 1),
(20297, 1),
(20298, 1),
(20299, 1),
(20300, 1),
(20301, 1),
(20302, 1),
(20303, 1),
(20304, 1),
(20305, 1),
(20306, 1),
(20307, 1),
(20308, 1),
(20309, 1),
(20310, 1),
(20311, 1),
(20312, 1),
(20313, 1),
(20314, 1),
(20315, 1),
(20316, 1),
(20317, 1),
(20318, 1),
(20319, 1),
(20320, 1),
(20321, 1),
(20322, 1),
(20323, 1),
(20324, 1),
(20325, 1),
(20326, 1),
(20327, 1),
(20328, 1),
(20329, 1),
(20330, 1),
(20331, 1),
(20332, 1),
(20333, 1),
(20334, 1),
(20335, 1),
(20336, 1),
(20337, 1),
(20338, 1),
(20339, 1),
(20340, 1),
(20341, 1),
(20342, 1),
(20343, 1),
(20344, 1),
(20345, 1),
(20346, 1),
(20347, 1),
(20348, 1),
(20349, 1),
(20350, 1),
(20351, 1),
(20352, 1),
(20353, 1),
(20354, 1),
(20355, 1),
(20356, 1),
(20357, 1),
(20358, 1),
(20359, 1),
(20360, 1),
(20361, 1),
(20362, 1),
(20363, 1),
(20364, 1),
(20365, 1),
(20366, 1),
(20367, 1),
(20368, 1),
(20369, 1),
(20370, 1),
(20371, 1),
(20372, 1),
(20373, 1),
(20374, 1),
(20375, 1),
(20376, 1),
(20377, 1),
(20378, 1),
(20379, 1),
(20380, 1),
(20381, 1),
(20382, 1),
(20383, 1),
(20384, 1),
(20385, 1),
(20386, 1),
(20387, 1),
(20388, 1),
(20389, 1),
(20390, 1),
(20391, 1),
(20392, 1),
(20393, 1),
(20394, 1),
(20395, 1),
(20396, 1),
(20397, 1),
(20398, 1),
(20399, 1),
(20400, 1),
(20401, 1),
(20402, 1),
(20403, 1),
(20404, 1),
(20405, 1),
(20406, 1),
(20407, 1),
(20408, 1),
(20409, 1),
(20410, 1),
(20411, 1),
(20412, 1),
(20413, 1),
(20414, 1),
(20415, 1),
(20416, 1),
(20417, 1),
(20418, 1),
(20419, 1),
(20420, 1),
(20421, 1),
(20422, 1),
(20423, 1),
(20424, 1),
(20425, 1),
(20426, 1),
(20427, 1),
(20428, 1),
(20429, 1),
(20430, 1),
(20431, 1),
(20432, 1),
(20433, 1),
(20434, 1),
(20435, 1),
(20436, 1),
(20437, 1),
(20438, 1),
(20439, 1),
(20440, 1),
(20441, 1),
(20442, 1),
(20443, 1),
(20444, 1),
(20445, 1),
(20446, 1),
(20447, 1),
(20448, 1),
(20449, 1),
(20450, 1),
(20451, 1),
(20452, 1),
(20453, 1),
(20454, 1),
(20455, 1),
(20456, 1),
(20457, 1),
(20458, 1),
(20459, 1),
(20460, 1),
(20461, 1),
(20462, 1),
(20463, 1),
(20464, 1),
(20465, 1),
(20466, 1),
(20467, 1),
(20468, 1),
(20469, 1),
(20470, 1),
(20471, 1),
(20472, 1),
(20473, 1),
(20474, 1),
(20475, 1),
(20476, 1),
(20477, 1),
(20478, 1),
(20479, 1),
(20480, 1),
(20481, 1),
(20482, 1),
(20483, 1),
(20484, 1),
(20485, 1),
(20486, 1),
(20487, 1),
(20488, 1),
(20489, 1),
(20490, 1),
(20491, 1),
(20492, 1),
(20493, 1),
(20494, 1),
(20495, 1),
(20496, 1),
(20497, 1),
(20498, 1),
(20499, 1),
(20500, 1),
(20501, 1),
(20502, 1),
(20503, 1),
(20504, 1),
(20505, 1),
(20506, 1),
(20507, 1),
(20508, 1),
(20509, 1),
(20510, 1),
(20511, 1),
(20512, 1),
(20513, 1),
(20514, 1),
(20515, 1),
(20516, 1),
(20517, 1),
(20518, 1),
(20519, 1),
(20520, 1),
(20521, 1),
(20522, 1),
(20523, 1),
(20524, 1),
(20525, 1),
(20526, 1),
(20527, 1),
(20528, 1),
(20529, 1),
(20530, 1),
(20531, 1),
(20532, 1),
(20533, 1),
(20534, 1),
(20535, 1),
(20536, 1),
(20537, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(20538, 1),
(20539, 1),
(20540, 1),
(20541, 1),
(20542, 1),
(20543, 1),
(20544, 1),
(20545, 1),
(20546, 1),
(20547, 1),
(20548, 1),
(20549, 1),
(20550, 1),
(20551, 1),
(20552, 1),
(20553, 1),
(20554, 1),
(20555, 1),
(20556, 1),
(20557, 1),
(20558, 1),
(20559, 1),
(20560, 1),
(20561, 1),
(20562, 1),
(20563, 1),
(20564, 1),
(20565, 1),
(20566, 1),
(20567, 1),
(20568, 1),
(20569, 1),
(20570, 1),
(20571, 1),
(20572, 1),
(20573, 1),
(20574, 1),
(20575, 1),
(20576, 1),
(20577, 1),
(20578, 1),
(20579, 1),
(20580, 1),
(20581, 1),
(20582, 1),
(20583, 1),
(20584, 1),
(20585, 1),
(20586, 1),
(20587, 1),
(20588, 1),
(20589, 1),
(20590, 1),
(20591, 1),
(20592, 1),
(20593, 1),
(20594, 1),
(20595, 1),
(20596, 1),
(20597, 1),
(20598, 1),
(20599, 1),
(20600, 1),
(20601, 1),
(20602, 1),
(20603, 1),
(20604, 1),
(20605, 1),
(20606, 1),
(20607, 1),
(20608, 1),
(20609, 1),
(20610, 1),
(20611, 1),
(20612, 1),
(20613, 1),
(20614, 1),
(20615, 1),
(20616, 1),
(20617, 1),
(20618, 1),
(20619, 1),
(20620, 1),
(20621, 1),
(20622, 1),
(20623, 1),
(20624, 1),
(20625, 1),
(20626, 1),
(20627, 1),
(20628, 1),
(20629, 1),
(20630, 1),
(20631, 1),
(20632, 1),
(20633, 1),
(20634, 1),
(20635, 1),
(20636, 1),
(20637, 1),
(20638, 1),
(20639, 1),
(20640, 1),
(20641, 1),
(20642, 1),
(20643, 1),
(20644, 1),
(20645, 1),
(20646, 1),
(20647, 1),
(20648, 1),
(20649, 1),
(20650, 1),
(20651, 1),
(20652, 1),
(20653, 1),
(20654, 1),
(20655, 1),
(20656, 1),
(20657, 1),
(20658, 1),
(20659, 1),
(20660, 1),
(20661, 1),
(20662, 1),
(20663, 1),
(20664, 1),
(20665, 1),
(20666, 1),
(20667, 1),
(20668, 1),
(20669, 1),
(20670, 1),
(20671, 1),
(20672, 1),
(20673, 1),
(20674, 1),
(20675, 1),
(20676, 1),
(20677, 1),
(20678, 1),
(20679, 1),
(20680, 1),
(20681, 1),
(20682, 1),
(20683, 1),
(20684, 1),
(20685, 1),
(20686, 1),
(20687, 1),
(20688, 1),
(20689, 1),
(20690, 1),
(20691, 1),
(20692, 1),
(20693, 1),
(20694, 1),
(20695, 1),
(20696, 1),
(20697, 1),
(20698, 1),
(20699, 1),
(20700, 1),
(20701, 1),
(20702, 1),
(20703, 1),
(20704, 1),
(20705, 1),
(20706, 1),
(20707, 1),
(20708, 1),
(20709, 1),
(20710, 1),
(20711, 1),
(20712, 1),
(20713, 1),
(20714, 1),
(20715, 1),
(20716, 1),
(20717, 1),
(20718, 1),
(20719, 1),
(20720, 1),
(20721, 1),
(20722, 1),
(20723, 1),
(20724, 1),
(20725, 1),
(20726, 1),
(20727, 1),
(20728, 1),
(20729, 1),
(20730, 1),
(20731, 1),
(20732, 1),
(20733, 1),
(20734, 1),
(20735, 1),
(20736, 1),
(20737, 1),
(20738, 1),
(20739, 1),
(20740, 1),
(20741, 1),
(20742, 1),
(20743, 1),
(20744, 1),
(20745, 1),
(20746, 1),
(20747, 1),
(20748, 1),
(20749, 1),
(20750, 1),
(20751, 1),
(20752, 1),
(20753, 1),
(20754, 1),
(20755, 1),
(20756, 1),
(20757, 1),
(20758, 1),
(20759, 1),
(20760, 1),
(20761, 1),
(20762, 1),
(20763, 1),
(20764, 1),
(20765, 1),
(20766, 1),
(20767, 1),
(20768, 1),
(20769, 1),
(20770, 1),
(20771, 1),
(20772, 1),
(20773, 1),
(20774, 1),
(20775, 1),
(20776, 1),
(20777, 1),
(20778, 1),
(20779, 1),
(20780, 1),
(20781, 1),
(20782, 1),
(20783, 1),
(20784, 1),
(20785, 1),
(20786, 1),
(20787, 1),
(20788, 1),
(20789, 1),
(20790, 1),
(20791, 1),
(20792, 1),
(20793, 1),
(20794, 1),
(20795, 1),
(20796, 1),
(20797, 1),
(20798, 1),
(20799, 1),
(20800, 1),
(20801, 1),
(20802, 1),
(20803, 1),
(20804, 1),
(20805, 1),
(20806, 1),
(20807, 1),
(20808, 1),
(20809, 1),
(20810, 1),
(20811, 1),
(20812, 1),
(20813, 1),
(20814, 1),
(20815, 1),
(20816, 1),
(20817, 1),
(20818, 1),
(20819, 1),
(20820, 1),
(20821, 1),
(20822, 1),
(20823, 1),
(20824, 1),
(20825, 1),
(20826, 1),
(20827, 1),
(20828, 1),
(20829, 1),
(20830, 1),
(20831, 1),
(20832, 1),
(20833, 1),
(20834, 1),
(20835, 1),
(20836, 1),
(20837, 1),
(20838, 1),
(20839, 1),
(20840, 1),
(20841, 1),
(20842, 1),
(20843, 1),
(20844, 1),
(20845, 1),
(20846, 1),
(20847, 1),
(20848, 1),
(20849, 1),
(20850, 1),
(20851, 1),
(20852, 1),
(20853, 1),
(20854, 1),
(20855, 1),
(20856, 1),
(20857, 1),
(20858, 1),
(20859, 1),
(20860, 1),
(20861, 1),
(20862, 1),
(20863, 1),
(20864, 1),
(20865, 1),
(20866, 1),
(20867, 1),
(20868, 1),
(20869, 1),
(20870, 1),
(20871, 1),
(20872, 1),
(20873, 1),
(20874, 1),
(20875, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(20876, 1),
(20877, 1),
(20878, 1),
(20879, 1),
(20880, 1),
(20881, 1),
(20882, 1),
(20883, 1),
(20884, 1),
(20885, 1),
(20886, 1),
(20887, 1),
(20888, 1),
(20889, 1),
(20890, 1),
(20891, 1),
(20892, 1),
(20893, 1),
(20894, 1),
(20895, 1),
(20896, 1),
(20897, 1),
(20898, 1),
(20899, 1),
(20900, 1),
(20901, 1),
(20902, 1),
(20903, 1),
(20904, 1),
(20905, 1),
(20906, 1),
(20907, 1),
(20908, 1),
(20909, 1),
(20910, 1),
(20911, 1),
(20912, 1),
(20913, 1),
(20914, 1),
(20915, 1),
(20916, 1),
(20917, 1),
(20918, 1),
(20919, 1),
(20920, 1),
(20921, 1),
(20922, 1),
(20923, 1),
(20924, 1),
(20925, 1),
(20926, 1),
(20927, 1),
(20928, 1),
(20929, 1),
(20930, 1),
(20931, 1),
(20932, 1),
(20933, 1),
(20934, 1),
(20935, 1),
(20936, 1),
(20937, 1),
(20938, 1),
(20939, 1),
(20940, 1),
(20941, 1),
(20942, 1),
(20943, 1),
(20944, 1),
(20945, 1),
(20946, 1),
(20947, 1),
(20948, 1),
(20949, 1),
(20950, 1),
(20951, 1),
(20952, 1),
(20953, 1),
(20954, 1),
(20955, 1),
(20956, 1),
(20957, 1),
(20958, 1),
(20959, 1),
(20960, 1),
(20961, 1),
(20962, 1),
(20963, 1),
(20964, 1),
(20965, 1),
(20966, 1),
(20967, 1),
(20968, 1),
(20969, 1),
(20970, 1),
(20971, 1),
(20972, 1),
(20973, 1),
(20974, 1),
(20975, 1),
(20976, 1),
(20977, 1),
(20978, 1),
(20979, 1),
(20980, 1),
(20981, 1),
(20982, 1),
(20983, 1),
(20984, 1),
(20985, 1),
(20986, 1),
(20987, 1),
(20988, 1),
(20989, 1),
(20990, 1),
(20991, 1),
(20992, 1),
(20993, 1),
(20994, 1),
(20995, 1),
(20996, 1),
(20997, 1),
(20998, 1),
(20999, 1),
(21000, 1),
(21001, 1),
(21002, 1),
(21003, 1),
(21004, 1),
(21005, 1),
(21006, 1),
(21007, 1),
(21008, 1),
(21009, 1),
(21010, 1),
(21011, 1),
(21012, 1),
(21013, 1),
(21014, 1),
(21015, 1),
(21016, 1),
(21017, 1),
(21018, 1),
(21019, 1),
(21020, 1),
(21021, 1),
(21022, 1),
(21023, 1),
(21024, 1),
(21025, 1),
(21026, 1),
(21027, 1),
(21028, 1),
(21029, 1),
(21030, 1),
(21031, 1),
(21032, 1),
(21033, 1),
(21034, 1),
(21035, 1),
(21036, 1),
(21037, 1),
(21038, 1),
(21039, 1),
(21040, 1),
(21041, 1),
(21042, 1),
(21043, 1),
(21044, 1),
(21045, 1),
(21046, 1),
(21047, 1),
(21048, 1),
(21049, 1),
(21050, 1),
(21051, 1),
(21052, 1),
(21053, 1),
(21054, 1),
(21055, 1),
(21056, 1),
(21057, 1),
(21058, 1),
(21059, 1),
(21060, 1),
(21061, 1),
(21062, 1),
(21063, 1),
(21064, 1),
(21065, 1),
(21066, 1),
(21067, 1),
(21068, 1),
(21069, 1),
(21070, 1),
(21071, 1),
(21072, 1),
(21073, 1),
(21074, 1),
(21075, 1),
(21076, 1),
(21077, 1),
(21078, 1),
(21079, 1),
(21080, 1),
(21081, 1),
(21082, 1),
(21083, 1),
(21084, 1),
(21085, 1),
(21086, 1),
(21087, 1),
(21088, 1),
(21089, 1),
(21090, 1),
(21091, 1),
(21092, 1),
(21093, 1),
(21094, 1),
(21095, 1),
(21096, 1),
(21097, 1),
(21098, 1),
(21099, 1),
(21100, 1),
(21101, 1),
(21102, 1),
(21103, 1),
(21104, 1),
(21105, 1),
(21106, 1),
(21107, 1),
(21108, 1),
(21109, 1),
(21110, 1),
(21111, 1),
(21112, 1),
(21113, 1),
(21114, 1),
(21115, 1),
(21116, 1),
(21117, 1),
(21118, 1),
(21119, 1),
(21120, 1),
(21121, 1),
(21122, 1),
(21123, 1),
(21124, 1),
(21125, 1),
(21126, 1),
(21127, 1),
(21128, 1),
(21129, 1),
(21130, 1),
(21131, 1),
(21132, 1),
(21133, 1),
(21134, 1),
(21135, 1),
(21136, 1),
(21137, 1),
(21138, 1),
(21139, 1),
(21140, 1),
(21141, 1),
(21142, 1),
(21143, 1),
(21144, 1),
(21145, 1),
(21146, 1),
(21147, 1),
(21148, 1),
(21149, 1),
(21150, 1),
(21151, 1),
(21152, 1),
(21153, 1),
(21154, 1),
(21155, 1),
(21156, 1),
(21157, 1),
(21158, 1),
(21159, 1),
(21160, 1),
(21161, 1),
(21162, 1),
(21163, 1),
(21164, 1),
(21165, 1),
(21166, 1),
(21167, 1),
(21168, 1),
(21169, 1),
(21170, 1),
(21171, 1),
(21172, 1),
(21173, 1),
(21174, 1),
(21175, 1),
(21176, 1),
(21177, 1),
(21178, 1),
(21179, 1),
(21180, 1),
(21181, 1),
(21182, 1),
(21183, 1),
(21184, 1),
(21185, 1),
(21186, 1),
(21187, 1),
(21188, 1),
(21189, 1),
(21190, 1),
(21191, 1),
(21192, 1),
(21193, 1),
(21194, 1),
(21195, 1),
(21196, 1),
(21197, 1),
(21198, 1),
(21199, 1),
(21200, 1),
(21201, 1),
(21202, 1),
(21203, 1),
(21204, 1),
(21205, 1),
(21206, 1),
(21207, 1),
(21208, 1),
(21209, 1),
(21210, 1),
(21211, 1),
(21212, 1),
(21213, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(21214, 1),
(21215, 1),
(21216, 1),
(21217, 1),
(21218, 1),
(21219, 1),
(21220, 1),
(21221, 1),
(21222, 1),
(21223, 1),
(21224, 1),
(21225, 1),
(21226, 1),
(21227, 1),
(21228, 1),
(21229, 1),
(21230, 1),
(21231, 1),
(21232, 1),
(21233, 1),
(21234, 1),
(21235, 1),
(21236, 1),
(21237, 1),
(21238, 1),
(21239, 1),
(21240, 1),
(21241, 1),
(21242, 1),
(21243, 1),
(21244, 1),
(21245, 1),
(21246, 1),
(21247, 1),
(21248, 1),
(21249, 1),
(21250, 1),
(21251, 1),
(21252, 1),
(21253, 1),
(21254, 1),
(21255, 1),
(21256, 1),
(21257, 1),
(21258, 1),
(21259, 1),
(21260, 1),
(21261, 1),
(21262, 1),
(21263, 1),
(21264, 1),
(21265, 1),
(21266, 1),
(21267, 1),
(21268, 1),
(21269, 1),
(21270, 1),
(21271, 1),
(21272, 1),
(21273, 1),
(21274, 1),
(21275, 1),
(21276, 1),
(21277, 1),
(21278, 1),
(21279, 1),
(21280, 1),
(21281, 1),
(21282, 1),
(21283, 1),
(21284, 1),
(21285, 1),
(21286, 1),
(21287, 1),
(21288, 1),
(21289, 1),
(21290, 1),
(21291, 1),
(21292, 1),
(21293, 1),
(21294, 1),
(21295, 1),
(21296, 1),
(21297, 1),
(21298, 1),
(21299, 1),
(21300, 1),
(21301, 1),
(21302, 1),
(21303, 1),
(21304, 1),
(21305, 1),
(21306, 1),
(21307, 1),
(21308, 1),
(21309, 1),
(21310, 1),
(21311, 1),
(21312, 1),
(21313, 1),
(21314, 1),
(21315, 1),
(21316, 1),
(21317, 1),
(21318, 1),
(21319, 1),
(21320, 1),
(21321, 1),
(21322, 1),
(21323, 1),
(21324, 1),
(21325, 1),
(21326, 1),
(21327, 1),
(21328, 1),
(21329, 1),
(21330, 1),
(21331, 1),
(21332, 1),
(21333, 1),
(21334, 1),
(21335, 1),
(21336, 1),
(21337, 1),
(21338, 1),
(21339, 1),
(21340, 1),
(21341, 1),
(21342, 1),
(21343, 1),
(21344, 1),
(21345, 1),
(21346, 1),
(21347, 1),
(21348, 1),
(21349, 1),
(21350, 1),
(21351, 1),
(21352, 1),
(21353, 1),
(21354, 1),
(21355, 1),
(21356, 1),
(21357, 1),
(21358, 1),
(21359, 1),
(21360, 1),
(21361, 1),
(21362, 1),
(21363, 1),
(21364, 1),
(21365, 1),
(21366, 1),
(21367, 1),
(21368, 1),
(21369, 1),
(21370, 1),
(21371, 1),
(21372, 1),
(21373, 1),
(21374, 1),
(21375, 1),
(21376, 1),
(21377, 1),
(21378, 1),
(21379, 1),
(21380, 1),
(21381, 1),
(21382, 1),
(21383, 1),
(21384, 1),
(21385, 1),
(21386, 1),
(21387, 1),
(21388, 1),
(21389, 1),
(21390, 1),
(21391, 1),
(21392, 1),
(21393, 1),
(21394, 1),
(21395, 1),
(21396, 1),
(21397, 1),
(21398, 1),
(21399, 1),
(21400, 1),
(21401, 1),
(21402, 1),
(21403, 1),
(21404, 1),
(21405, 1),
(21406, 1),
(21407, 1),
(21408, 1),
(21409, 1),
(21410, 1),
(21411, 1),
(21412, 1),
(21413, 1),
(21414, 1),
(21415, 1),
(21416, 1),
(21417, 1),
(21418, 1),
(21419, 1),
(21420, 1),
(21421, 1),
(21422, 1),
(21423, 1),
(21424, 1),
(21425, 1),
(21426, 1),
(21427, 1),
(21428, 1),
(21429, 1),
(21430, 1),
(21431, 1),
(21432, 1),
(21433, 1),
(21434, 1),
(21435, 1),
(21436, 1),
(21437, 1),
(21438, 1),
(21439, 1),
(21440, 1),
(21441, 1),
(21442, 1),
(21443, 1),
(21444, 1),
(21445, 1),
(21446, 1),
(21447, 1),
(21448, 1),
(21449, 1),
(21450, 1),
(21451, 1),
(21452, 1),
(21453, 1),
(21454, 1),
(21455, 1),
(21456, 1),
(21457, 1),
(21458, 1),
(21459, 1),
(21460, 1),
(21461, 1),
(21462, 1),
(21463, 1),
(21464, 1),
(21465, 1),
(21466, 1),
(21467, 1),
(21468, 1),
(21469, 1),
(21470, 1),
(21471, 1),
(21472, 1),
(21473, 1),
(21474, 1),
(21475, 1),
(21476, 1),
(21477, 1),
(21478, 1),
(21479, 1),
(21480, 1),
(21481, 1),
(21482, 1),
(21483, 1),
(21484, 1),
(21485, 1),
(21486, 1),
(21487, 1),
(21488, 1),
(21489, 1),
(21490, 1),
(21491, 1),
(21492, 1),
(21493, 1),
(21494, 1),
(21495, 1),
(21496, 1),
(21497, 1),
(21498, 1),
(21499, 1),
(21500, 1),
(21501, 1),
(21502, 1),
(21503, 1),
(21504, 1),
(21505, 1),
(21506, 1),
(21507, 1),
(21508, 1),
(21509, 1),
(21510, 1),
(21511, 1),
(21512, 1),
(21513, 1),
(21514, 1),
(21515, 1),
(21516, 1),
(21517, 1),
(21518, 1),
(21519, 1),
(21520, 1),
(21521, 1),
(21522, 1),
(21523, 1),
(21524, 1),
(21525, 1),
(21526, 1),
(21527, 1),
(21528, 1),
(21529, 1),
(21530, 1),
(21531, 1),
(21532, 1),
(21533, 1),
(21534, 1),
(21535, 1),
(21536, 1),
(21537, 1),
(21538, 1),
(21539, 1),
(21540, 1),
(21541, 1),
(21542, 1),
(21543, 1),
(21544, 1),
(21545, 1),
(21546, 1),
(21547, 1),
(21548, 1),
(21549, 1),
(21550, 1),
(21551, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(21552, 1),
(21553, 1),
(21554, 1),
(21555, 1),
(21556, 1),
(21557, 1),
(21558, 1),
(21559, 1),
(21560, 1),
(21561, 1),
(21562, 1),
(21563, 1),
(21564, 1),
(21565, 1),
(21566, 1),
(21567, 1),
(21568, 1),
(21569, 1),
(21570, 1),
(21571, 1),
(21572, 1),
(21573, 1),
(21574, 1),
(21575, 1),
(21576, 1),
(21577, 1),
(21578, 1),
(21579, 1),
(21580, 1),
(21581, 1),
(21582, 1),
(21583, 1),
(21584, 1),
(21585, 1),
(21586, 1),
(21587, 1),
(21588, 1),
(21589, 1),
(21590, 1),
(21591, 1),
(21592, 1),
(21593, 1),
(21594, 1),
(21595, 1),
(21596, 1),
(21597, 1),
(21598, 1),
(21599, 1),
(21600, 1),
(21601, 1),
(21602, 1),
(21603, 1),
(21604, 1),
(21605, 1),
(21606, 1),
(21607, 1),
(21608, 1),
(21609, 1),
(21610, 1),
(21611, 1),
(21612, 1),
(21613, 1),
(21614, 1),
(21615, 1),
(21616, 1),
(21617, 1),
(21618, 1),
(21619, 1),
(21620, 1),
(21621, 1),
(21622, 1),
(21623, 1),
(21624, 1),
(21625, 1),
(21626, 1),
(21627, 1),
(21628, 1),
(21629, 1),
(21630, 1),
(21631, 1),
(21632, 1),
(21633, 1),
(21634, 1),
(21635, 1),
(21636, 1),
(21637, 1),
(21638, 1),
(21639, 1),
(21640, 1),
(21641, 1),
(21642, 1),
(21643, 1),
(21644, 1),
(21645, 1),
(21646, 1),
(21647, 1),
(21648, 1),
(21649, 1),
(21650, 1),
(21651, 1),
(21652, 1),
(21653, 1),
(21654, 1),
(21655, 1),
(21656, 1),
(21657, 1),
(21658, 1),
(21659, 1),
(21660, 1),
(21661, 1),
(21662, 1),
(21663, 1),
(21664, 1),
(21665, 1),
(21666, 1),
(21667, 1),
(21668, 1),
(21669, 1),
(21670, 1),
(21671, 1),
(21672, 1),
(21673, 1),
(21674, 1),
(21675, 1),
(21676, 1),
(21677, 1),
(21678, 1),
(21679, 1),
(21680, 1),
(21681, 1),
(21682, 1),
(21683, 1),
(21684, 1),
(21685, 1),
(21686, 1),
(21687, 1),
(21688, 1),
(21689, 1),
(21690, 1),
(21691, 1),
(21692, 1),
(21693, 1),
(21694, 1),
(21695, 1),
(21696, 1),
(21697, 1),
(21698, 1),
(21699, 1),
(21700, 1),
(21701, 1),
(21702, 1),
(21703, 1),
(21704, 1),
(21705, 1),
(21706, 1),
(21707, 1),
(21708, 1),
(21709, 1),
(21710, 1),
(21711, 1),
(21712, 1),
(21713, 1),
(21714, 1),
(21715, 1),
(21716, 1),
(21717, 1),
(21718, 1),
(21719, 1),
(21720, 1),
(21721, 1),
(21722, 1),
(21723, 1),
(21724, 1),
(21725, 1),
(21726, 1),
(21727, 1),
(21728, 1),
(21729, 1),
(21730, 1),
(21731, 1),
(21732, 1),
(21733, 1),
(21734, 1),
(21735, 1),
(21736, 1),
(21737, 1),
(21738, 1),
(21739, 1),
(21740, 1),
(21741, 1),
(21742, 1),
(21743, 1),
(21744, 1),
(21745, 1),
(21746, 1),
(21747, 1),
(21748, 1),
(21749, 1),
(21750, 1),
(21751, 1),
(21752, 1),
(21753, 1),
(21754, 1),
(21755, 1),
(21756, 1),
(21757, 1),
(21758, 1),
(21759, 1),
(21760, 1),
(21761, 1),
(21762, 1),
(21763, 1),
(21764, 1),
(21765, 1),
(21766, 1),
(21767, 1),
(21768, 1),
(21769, 1),
(21770, 1),
(21771, 1),
(21772, 1),
(21773, 1),
(21774, 1),
(21775, 1),
(21776, 1),
(21777, 1),
(21778, 1),
(21779, 1),
(21780, 1),
(21781, 1),
(21782, 1),
(21783, 1),
(21784, 1),
(21785, 1),
(21786, 1),
(21787, 1),
(21788, 1),
(21789, 1),
(21790, 1),
(21791, 1),
(21792, 1),
(21793, 1),
(21794, 1),
(21795, 1),
(21796, 1),
(21797, 1),
(21798, 1),
(21799, 1),
(21800, 1),
(21801, 1),
(21802, 1),
(21803, 1),
(21804, 1),
(21805, 1),
(21806, 1),
(21807, 1),
(21808, 1),
(21809, 1),
(21810, 1),
(21811, 1),
(21812, 1),
(21813, 1),
(21814, 1),
(21815, 1),
(21816, 1),
(21817, 1),
(21818, 1),
(21819, 1),
(21820, 1),
(21821, 1),
(21822, 1),
(21823, 1),
(21824, 1),
(21825, 1),
(21826, 1),
(21827, 1),
(21828, 1),
(21829, 1),
(21830, 1),
(21831, 1),
(21832, 1),
(21833, 1),
(21834, 1),
(21835, 1),
(21836, 1),
(21837, 1),
(21838, 1),
(21839, 1),
(21840, 1),
(21841, 1),
(21842, 1),
(21843, 1),
(21844, 1),
(21845, 1),
(21846, 1),
(21847, 1),
(21848, 1),
(21849, 1),
(21850, 1),
(21851, 1),
(21852, 1),
(21853, 1),
(21854, 1),
(21855, 1),
(21856, 1),
(21857, 1),
(21858, 1),
(21859, 1),
(21860, 1),
(21861, 1),
(21862, 1),
(21863, 1),
(21864, 1),
(21865, 1),
(21866, 1),
(21867, 1),
(21868, 1),
(21869, 1),
(21870, 1),
(21871, 1),
(21872, 1),
(21873, 1),
(21874, 1),
(21875, 1),
(21876, 1),
(21877, 1),
(21878, 1),
(21879, 1),
(21880, 1),
(21881, 1),
(21882, 1),
(21883, 1),
(21884, 1),
(21885, 1),
(21886, 1),
(21887, 1),
(21888, 1),
(21889, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(21890, 1),
(21891, 1),
(21892, 1),
(21893, 1),
(21894, 1),
(21895, 1),
(21896, 1),
(21897, 1),
(21898, 1),
(21899, 1),
(21900, 1),
(21901, 1),
(21902, 1),
(21903, 1),
(21904, 1),
(21905, 1),
(21906, 1),
(21907, 1),
(21908, 1),
(21909, 1),
(21910, 1),
(21911, 1),
(21912, 1),
(21913, 1),
(21914, 1),
(21915, 1),
(21916, 1),
(21917, 1),
(21918, 1),
(21919, 1),
(21920, 1),
(21921, 1),
(21922, 1),
(21923, 1),
(21924, 1),
(21925, 1),
(21926, 1),
(21927, 1),
(21928, 1),
(21929, 1),
(21930, 1),
(21931, 1),
(21932, 1),
(21933, 1),
(21934, 1),
(21935, 1),
(21936, 1),
(21937, 1),
(21938, 1),
(21939, 1),
(21940, 1),
(21941, 1),
(21942, 1),
(21943, 1),
(21944, 1),
(21945, 1),
(21946, 1),
(21947, 1),
(21948, 1),
(21949, 1),
(21950, 1),
(21951, 1),
(21952, 1),
(21953, 1),
(21954, 1),
(21955, 1),
(21956, 1),
(21957, 1),
(21958, 1),
(21959, 1),
(21960, 1),
(21961, 1),
(21962, 1),
(21963, 1),
(21964, 1),
(21965, 1),
(21966, 1),
(21967, 1),
(21968, 1),
(21969, 1),
(21970, 1),
(21971, 1),
(21972, 1),
(21973, 1),
(21974, 1),
(21975, 1),
(21976, 1),
(21977, 1),
(21978, 1),
(21979, 1),
(21980, 1),
(21981, 1),
(21982, 1),
(21983, 1),
(21984, 1),
(21985, 1),
(21986, 1),
(21987, 1),
(21988, 1),
(21989, 1),
(21990, 1),
(21991, 1),
(21992, 1),
(21993, 1),
(21994, 1),
(21995, 1),
(21996, 1),
(21997, 1),
(21998, 1),
(21999, 1),
(22000, 1),
(22001, 1),
(22002, 1),
(22003, 1),
(22004, 1),
(22005, 1),
(22006, 1),
(22007, 1),
(22008, 1),
(22009, 1),
(22010, 1),
(22011, 1),
(22012, 1),
(22013, 1),
(22014, 1),
(22015, 1),
(22016, 1),
(22017, 1),
(22018, 1),
(22019, 1),
(22020, 1),
(22021, 1),
(22022, 1),
(22023, 1),
(22024, 1),
(22025, 1),
(22026, 1),
(22027, 1),
(22028, 1),
(22029, 1),
(22030, 1),
(22031, 1),
(22032, 1),
(22033, 1),
(22034, 1),
(22035, 1),
(22036, 1),
(22037, 1),
(22038, 1),
(22039, 1),
(22040, 1),
(22041, 1),
(22042, 1),
(22043, 1),
(22044, 1),
(22045, 1),
(22046, 1),
(22047, 1),
(22048, 1),
(22049, 1),
(22050, 1),
(22051, 1),
(22052, 1),
(22053, 1),
(22054, 1),
(22055, 1),
(22056, 1),
(22057, 1),
(22058, 1),
(22059, 1),
(22060, 1),
(22061, 1),
(22062, 1),
(22063, 1),
(22064, 1),
(22065, 1),
(22066, 1),
(22067, 1),
(22068, 1),
(22069, 1),
(22070, 1),
(22071, 1),
(22072, 1),
(22073, 1),
(22074, 1),
(22075, 1),
(22076, 1),
(22077, 1),
(22078, 1),
(22079, 1),
(22080, 1),
(22081, 1),
(22082, 1),
(22083, 1),
(22084, 1),
(22085, 1),
(22086, 1),
(22087, 1),
(22088, 1),
(22089, 1),
(22090, 1),
(22091, 1),
(22092, 1),
(22093, 1),
(22094, 1),
(22095, 1),
(22096, 1),
(22097, 1),
(22098, 1),
(22099, 1),
(22100, 1),
(22101, 1),
(22102, 1),
(22103, 1),
(22104, 1),
(22105, 1),
(22106, 1),
(22107, 1),
(22108, 1),
(22109, 1),
(22110, 1),
(22111, 1),
(22112, 1),
(22113, 1),
(22114, 1),
(22115, 1),
(22116, 1),
(22117, 1),
(22118, 1),
(22119, 1),
(22120, 1),
(22121, 1),
(22122, 1),
(22123, 1),
(22124, 1),
(22125, 1),
(22126, 1),
(22127, 1),
(22128, 1),
(22129, 1),
(22130, 1),
(22131, 1),
(22132, 1),
(22133, 1),
(22134, 1),
(22135, 1),
(22136, 1),
(22137, 1),
(22138, 1),
(22139, 1),
(22140, 1),
(22141, 1),
(22142, 1),
(22143, 1),
(22144, 1),
(22145, 1),
(22146, 1),
(22147, 1),
(22148, 1),
(22149, 1),
(22150, 1),
(22151, 1),
(22152, 1),
(22153, 1),
(22154, 1),
(22155, 1),
(22156, 1),
(22157, 1),
(22158, 1),
(22159, 1),
(22160, 1),
(22161, 1),
(22162, 1),
(22163, 1),
(22164, 1),
(22165, 1),
(22166, 1),
(22167, 1),
(22168, 1),
(22169, 1),
(22170, 1),
(22171, 1),
(22172, 1),
(22173, 1),
(22174, 1),
(22175, 1),
(22176, 1),
(22177, 1),
(22178, 1),
(22179, 1),
(22180, 1),
(22181, 1),
(22182, 1),
(22183, 1),
(22184, 1),
(22185, 1),
(22186, 1),
(22187, 1),
(22188, 1),
(22189, 1),
(22190, 1),
(22191, 1),
(22192, 1),
(22193, 1),
(22194, 1),
(22195, 1),
(22196, 1),
(22197, 1),
(22198, 1),
(22199, 1),
(22200, 1),
(22201, 1),
(22202, 1),
(22203, 1),
(22204, 1),
(22205, 1),
(22206, 1),
(22207, 1),
(22208, 1),
(22209, 1),
(22210, 1),
(22211, 1),
(22212, 1),
(22213, 1),
(22214, 1),
(22215, 1),
(22216, 1),
(22217, 1),
(22218, 1),
(22219, 1),
(22220, 1),
(22221, 1),
(22222, 1),
(22223, 1),
(22224, 1),
(22225, 1),
(22226, 1),
(22227, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(22228, 1),
(22229, 1),
(22230, 1),
(22231, 1),
(22232, 1),
(22233, 1),
(22234, 1),
(22235, 1),
(22236, 1),
(22237, 1),
(22238, 1),
(22239, 1),
(22240, 1),
(22241, 1),
(22242, 1),
(22243, 1),
(22244, 1),
(22245, 1),
(22246, 1),
(22247, 1),
(22248, 1),
(22249, 1),
(22250, 1),
(22251, 1),
(22252, 1),
(22253, 1),
(22254, 1),
(22255, 1),
(22256, 1),
(22257, 1),
(22258, 1),
(22259, 1),
(22260, 1),
(22261, 1),
(22262, 1),
(22263, 1),
(22264, 1),
(22265, 1),
(22266, 1),
(22267, 1),
(22268, 1),
(22269, 1),
(22270, 1),
(22271, 1),
(22272, 1),
(22273, 1),
(22274, 1),
(22275, 1),
(22276, 1),
(22277, 1),
(22278, 1),
(22279, 1),
(22280, 1),
(22281, 1),
(22282, 1),
(22283, 1),
(22284, 1),
(22285, 1),
(22286, 1),
(22287, 1),
(22288, 1),
(22289, 1),
(22290, 1),
(22291, 1),
(22292, 1),
(22293, 1),
(22294, 1),
(22295, 1),
(22296, 1),
(22297, 1),
(22298, 1),
(22299, 1),
(22300, 1),
(22301, 1),
(22302, 1),
(22303, 1),
(22304, 1),
(22305, 1),
(22306, 1),
(22307, 1),
(22308, 1),
(22309, 1),
(22310, 1),
(22311, 1),
(22312, 1),
(22313, 1),
(22314, 1),
(22315, 1),
(22316, 1),
(22317, 1),
(22318, 1),
(22319, 1),
(22320, 1),
(22321, 1),
(22322, 1),
(22323, 1),
(22324, 1),
(22325, 1),
(22326, 1),
(22327, 1),
(22328, 1),
(22329, 1),
(22330, 1),
(22331, 1),
(22332, 1),
(22333, 1),
(22334, 1),
(22335, 1),
(22336, 1),
(22337, 1),
(22338, 1),
(22339, 1),
(22340, 1),
(22341, 1),
(22342, 1),
(22343, 1),
(22344, 1),
(22345, 1),
(22346, 1),
(22347, 1),
(22348, 1),
(22349, 1),
(22350, 1),
(22351, 1),
(22352, 1),
(22353, 1),
(22354, 1),
(22355, 1),
(22356, 1),
(22357, 1),
(22358, 1),
(22359, 1),
(22360, 1),
(22361, 1),
(22362, 1),
(22363, 1),
(22364, 1),
(22365, 1),
(22366, 1),
(22367, 1),
(22368, 1),
(22369, 1),
(22370, 1),
(22371, 1),
(22372, 1),
(22373, 1),
(22374, 1),
(22375, 1),
(22376, 1),
(22377, 1),
(22378, 1),
(22379, 1),
(22380, 1),
(22381, 1),
(22382, 1),
(22383, 1),
(22384, 1),
(22385, 1),
(22386, 1),
(22387, 1),
(22388, 1),
(22389, 1),
(22390, 1),
(22391, 1),
(22392, 1),
(22393, 1),
(22394, 1),
(22395, 1),
(22396, 1),
(22397, 1),
(22398, 1),
(22399, 1),
(22400, 1),
(22401, 1),
(22402, 1),
(22403, 1),
(22404, 1),
(22405, 1),
(22406, 1),
(22407, 1),
(22408, 1),
(22409, 1),
(22410, 1),
(22411, 1),
(22412, 1),
(22413, 1),
(22414, 1),
(22415, 1),
(22416, 1),
(22417, 1),
(22418, 1),
(22419, 1),
(22420, 1),
(22421, 1),
(22422, 1),
(22423, 1),
(22424, 1),
(22425, 1),
(22426, 1),
(22427, 1),
(22428, 1),
(22429, 1),
(22430, 1),
(22431, 1),
(22432, 1),
(22433, 1),
(22434, 1),
(22435, 1),
(22436, 1),
(22437, 1),
(22438, 1),
(22439, 1),
(22440, 1),
(22441, 1),
(22442, 1),
(22443, 1),
(22444, 1),
(22445, 1),
(22446, 1),
(22447, 1),
(22448, 1),
(22449, 1),
(22450, 1),
(22451, 1),
(22452, 1),
(22453, 1),
(22454, 1),
(22455, 1),
(22456, 1),
(22457, 1),
(22458, 1),
(22459, 1),
(22460, 1),
(22461, 1),
(22462, 1),
(22463, 1),
(22464, 1),
(22465, 1),
(22466, 1),
(22467, 1),
(22468, 1),
(22469, 1),
(22470, 1),
(22471, 1),
(22472, 1),
(22473, 1),
(22474, 1),
(22475, 1),
(22476, 1),
(22477, 1),
(22478, 1),
(22479, 1),
(22480, 1),
(22481, 1),
(22482, 1),
(22483, 1),
(22484, 1),
(22485, 1),
(22486, 1),
(22487, 1),
(22488, 1),
(22489, 1),
(22490, 1),
(22491, 1),
(22492, 1),
(22493, 1),
(22494, 1),
(22495, 1),
(22496, 1),
(22497, 1),
(22498, 1),
(22499, 1),
(22500, 1),
(22501, 1),
(22502, 1),
(22503, 1),
(22504, 1),
(22505, 1),
(22506, 1),
(22507, 1),
(22508, 1),
(22509, 1),
(22510, 1),
(22511, 1),
(22512, 1),
(22513, 1),
(22514, 1),
(22515, 1),
(22516, 1),
(22517, 1),
(22518, 1),
(22519, 1),
(22520, 1),
(22521, 1),
(22522, 1),
(22523, 1),
(22524, 1),
(22525, 1),
(22526, 1),
(22527, 1),
(22528, 1),
(22529, 1),
(22530, 1),
(22531, 1),
(22532, 1),
(22533, 1),
(22534, 1),
(22535, 1),
(22536, 1),
(22537, 1),
(22538, 1),
(22539, 1),
(22540, 1),
(22541, 1),
(22542, 1),
(22543, 1),
(22544, 1),
(22545, 1),
(22546, 1),
(22547, 1),
(22548, 1),
(22549, 1),
(22550, 1),
(22551, 1),
(22552, 1),
(22553, 1),
(22554, 1),
(22555, 1),
(22556, 1),
(22557, 1),
(22558, 1),
(22559, 1),
(22560, 1),
(22561, 1),
(22562, 1),
(22563, 1),
(22564, 1),
(22565, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(22566, 1),
(22567, 1),
(22568, 1),
(22569, 1),
(22570, 1),
(22571, 1),
(22572, 1),
(22573, 1),
(22574, 1),
(22575, 1),
(22576, 1),
(22577, 1),
(22578, 1),
(22579, 1),
(22580, 1),
(22581, 1),
(22582, 1),
(22583, 1),
(22584, 1),
(22585, 1),
(22586, 1),
(22587, 1),
(22588, 1),
(22589, 1),
(22590, 1),
(22591, 1),
(22592, 1),
(22593, 1),
(22594, 1),
(22595, 1),
(22596, 1),
(22597, 1),
(22598, 1),
(22599, 1),
(22600, 1),
(22601, 1),
(22602, 1),
(22603, 1),
(22604, 1),
(22605, 1),
(22606, 1),
(22607, 1),
(22608, 1),
(22609, 1),
(22610, 1),
(22611, 1),
(22612, 1),
(22613, 1),
(22614, 1),
(22615, 1),
(22616, 1),
(22617, 1),
(22618, 1),
(22619, 1),
(22620, 1),
(22621, 1),
(22622, 1),
(22623, 1),
(22624, 1),
(22625, 1),
(22626, 1),
(22627, 1),
(22628, 1),
(22629, 1),
(22630, 1),
(22631, 1),
(22632, 1),
(22633, 1),
(22634, 1),
(22635, 1),
(22636, 1),
(22637, 1),
(22638, 1),
(22639, 1),
(22640, 1),
(22641, 1),
(22642, 1),
(22643, 1),
(22644, 1),
(22645, 1),
(22646, 1),
(22647, 1),
(22648, 1),
(22649, 1),
(22650, 1),
(22651, 1),
(22652, 1),
(22653, 1),
(22654, 1),
(22655, 1),
(22656, 1),
(22657, 1),
(22658, 1),
(22659, 1),
(22660, 1),
(22661, 1),
(22662, 1),
(22663, 1),
(22664, 1),
(22665, 1),
(22666, 1),
(22667, 1),
(22668, 1),
(22669, 1),
(22670, 1),
(22671, 1),
(22672, 1),
(22673, 1),
(22674, 1),
(22675, 1),
(22676, 1),
(22677, 1),
(22678, 1),
(22679, 1),
(22680, 1),
(22681, 1),
(22682, 1),
(22683, 1),
(22684, 1),
(22685, 1),
(22686, 1),
(22687, 1),
(22688, 1),
(22689, 1),
(22690, 1),
(22691, 1),
(22692, 1),
(22693, 1),
(22694, 1),
(22695, 1),
(22696, 1),
(22697, 1),
(22698, 1),
(22699, 1),
(22700, 1),
(22701, 1),
(22702, 1),
(22703, 1),
(22704, 1),
(22705, 1),
(22706, 1),
(22707, 1),
(22708, 1),
(22709, 1),
(22710, 1),
(22711, 1),
(22712, 1),
(22713, 1),
(22714, 1),
(22715, 1),
(22716, 1),
(22717, 1),
(22718, 1),
(22719, 1),
(22720, 1),
(22721, 1),
(22722, 1),
(22723, 1),
(22724, 1),
(22725, 1),
(22726, 1),
(22727, 1),
(22728, 1),
(22729, 1),
(22730, 1),
(22731, 1),
(22732, 1),
(22733, 1),
(22734, 1),
(22735, 1),
(22736, 1),
(22737, 1),
(22738, 1),
(22739, 1),
(22740, 1),
(22741, 1),
(22742, 1),
(22743, 1),
(22744, 1),
(22745, 1),
(22746, 1),
(22747, 1),
(22748, 1),
(22749, 1),
(22750, 1),
(22751, 1),
(22752, 1),
(22753, 1),
(22754, 1),
(22755, 1),
(22756, 1),
(22757, 1),
(22758, 1),
(22759, 1),
(22760, 1),
(22761, 1),
(22762, 1),
(22763, 1),
(22764, 1),
(22765, 1),
(22766, 1),
(22767, 1),
(22768, 1),
(22769, 1),
(22770, 1),
(22771, 1),
(22772, 1),
(22773, 1),
(22774, 1),
(22775, 1),
(22776, 1),
(22777, 1),
(22778, 1),
(22779, 1),
(22780, 1),
(22781, 1),
(22782, 1),
(22783, 1),
(22784, 1),
(22785, 1),
(22786, 1),
(22787, 1),
(22788, 1),
(22789, 1),
(22790, 1),
(22791, 1),
(22792, 1),
(22793, 1),
(22794, 1),
(22795, 1),
(22796, 1),
(22797, 1),
(22798, 1),
(22799, 1),
(22800, 1),
(22801, 1),
(22802, 1),
(22803, 1),
(22804, 1),
(22805, 1),
(22806, 1),
(22807, 1),
(22808, 1),
(22809, 1),
(22810, 1),
(22811, 1),
(22812, 1),
(22813, 1),
(22814, 1),
(22815, 1),
(22816, 1),
(22817, 1),
(22818, 1),
(22819, 1),
(22820, 1),
(22821, 1),
(22822, 1),
(22823, 1),
(22824, 1),
(22825, 1),
(22826, 1),
(22827, 1),
(22828, 1),
(22829, 1),
(22830, 1),
(22831, 1),
(22832, 1),
(22833, 1),
(22834, 1),
(22835, 1),
(22836, 1),
(22837, 1),
(22838, 1),
(22839, 1),
(22840, 1),
(22841, 1),
(22842, 1),
(22843, 1),
(22844, 1),
(22845, 1),
(22846, 1),
(22847, 1),
(22848, 1),
(22849, 1),
(22850, 1),
(22851, 1),
(22852, 1),
(22853, 1),
(22854, 1),
(22855, 1),
(22856, 1),
(22857, 1),
(22858, 1),
(22859, 1),
(22860, 1),
(22861, 1),
(22862, 1),
(22863, 1),
(22864, 1),
(22865, 1),
(22866, 1),
(22867, 1),
(22868, 1),
(22869, 1),
(22870, 1),
(22871, 1),
(22872, 1),
(22873, 1),
(22874, 1),
(22875, 1),
(22876, 1),
(22877, 1),
(22878, 1),
(22879, 1),
(22880, 1),
(22881, 1),
(22882, 1),
(22883, 1),
(22884, 1),
(22885, 1),
(22886, 1),
(22887, 1),
(22888, 1),
(22889, 1),
(22890, 1),
(22891, 1),
(22892, 1),
(22893, 1),
(22894, 1),
(22895, 1),
(22896, 1),
(22897, 1),
(22898, 1),
(22899, 1),
(22900, 1),
(22901, 1),
(22902, 1),
(22903, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(22904, 1),
(22905, 1),
(22906, 1),
(22907, 1),
(22908, 1),
(22909, 1),
(22910, 1),
(22911, 1),
(22912, 1),
(22913, 1),
(22914, 1),
(22915, 1),
(22916, 1),
(22917, 1),
(22918, 1),
(22919, 1),
(22920, 1),
(22921, 1),
(22922, 1),
(22923, 1),
(22924, 1),
(22925, 1),
(22926, 1),
(22927, 1),
(22928, 1),
(22929, 1),
(22930, 1),
(22931, 1),
(22932, 1),
(22933, 1),
(22934, 1),
(22935, 1),
(22936, 1),
(22937, 1),
(22938, 1),
(22939, 1),
(22940, 1),
(22941, 1),
(22942, 1),
(22943, 1),
(22944, 1),
(22945, 1),
(22946, 1),
(22947, 1),
(22948, 1),
(22949, 1),
(22950, 1),
(22951, 1),
(22952, 1),
(22953, 1),
(22954, 1),
(22955, 1),
(22956, 1),
(22957, 1),
(22958, 1),
(22959, 1),
(22960, 1),
(22961, 1),
(22962, 1),
(22963, 1),
(22964, 1),
(22965, 1),
(22966, 1),
(22967, 1),
(22968, 1),
(22969, 1),
(22970, 1),
(22971, 1),
(22972, 1),
(22973, 1),
(22974, 1),
(22975, 1),
(22976, 1),
(22977, 1),
(22978, 1),
(22979, 1),
(22980, 1),
(22981, 1),
(22982, 1),
(22983, 1),
(22984, 1),
(22985, 1),
(22986, 1),
(22987, 1),
(22988, 1),
(22989, 1),
(22990, 1),
(22991, 1),
(22992, 1),
(22993, 1),
(22994, 1),
(22995, 1),
(22996, 1),
(22997, 1),
(22998, 1),
(22999, 1),
(23000, 1),
(23001, 1),
(23002, 1),
(23003, 1),
(23004, 1),
(23005, 1),
(23006, 1),
(23007, 1),
(23008, 1),
(23009, 1),
(23010, 1),
(23011, 1),
(23012, 1),
(23013, 1),
(23014, 1),
(23015, 1),
(23016, 1),
(23017, 1),
(23018, 1),
(23019, 1),
(23020, 1),
(23021, 1),
(23022, 1),
(23023, 1),
(23024, 1),
(23025, 1),
(23026, 1),
(23027, 1),
(23028, 1),
(23029, 1),
(23030, 1),
(23031, 1),
(23032, 1),
(23033, 1),
(23034, 1),
(23035, 1),
(23036, 1),
(23037, 1),
(23038, 1),
(23039, 1),
(23040, 1),
(23041, 1),
(23042, 1),
(23043, 1),
(23044, 1),
(23045, 1),
(23046, 1),
(23047, 1),
(23048, 1),
(23049, 1),
(23050, 1),
(23051, 1),
(23052, 1),
(23053, 1),
(23054, 1),
(23055, 1),
(23056, 1),
(23057, 1),
(23058, 1),
(23059, 1),
(23060, 1),
(23061, 1),
(23062, 1),
(23063, 1),
(23064, 1),
(23065, 1),
(23066, 1),
(23067, 1),
(23068, 1),
(23069, 1),
(23070, 1),
(23071, 1),
(23072, 1),
(23073, 1),
(23074, 1),
(23075, 1),
(23076, 1),
(23077, 1),
(23078, 1),
(23079, 1),
(23080, 1),
(23081, 1),
(23082, 1),
(23083, 1),
(23084, 1),
(23085, 1),
(23086, 1),
(23087, 1),
(23088, 1),
(23089, 1),
(23090, 1),
(23091, 1),
(23092, 1),
(23093, 1),
(23094, 1),
(23095, 1),
(23096, 1),
(23097, 1),
(23098, 1),
(23099, 1),
(23100, 1),
(23101, 1),
(23102, 1),
(23103, 1),
(23104, 1),
(23105, 1),
(23106, 1),
(23107, 1),
(23108, 1),
(23109, 1),
(23110, 1),
(23111, 1),
(23112, 1),
(23113, 1),
(23114, 1),
(23115, 1),
(23116, 1),
(23117, 1),
(23118, 1),
(23119, 1),
(23120, 1),
(23121, 1),
(23122, 1),
(23123, 1),
(23124, 1),
(23125, 1),
(23126, 1),
(23127, 1),
(23128, 1),
(23129, 1),
(23130, 1),
(23131, 1),
(23132, 1),
(23133, 1),
(23134, 1),
(23135, 1),
(23136, 1),
(23137, 1),
(23138, 1),
(23139, 1),
(23140, 1),
(23141, 1),
(23142, 1),
(23143, 1),
(23144, 1),
(23145, 1),
(23146, 1),
(23147, 1),
(23148, 1),
(23149, 1),
(23150, 1),
(23151, 1),
(23152, 1),
(23153, 1),
(23154, 1),
(23155, 1),
(23156, 1),
(23157, 1),
(23158, 1),
(23159, 1),
(23160, 1),
(23161, 1),
(23162, 1),
(23163, 1),
(23164, 1),
(23165, 1),
(23166, 1),
(23167, 1),
(23168, 1),
(23169, 1),
(23170, 1),
(23171, 1),
(23172, 1),
(23173, 1),
(23174, 1),
(23175, 1),
(23176, 1),
(23177, 1),
(23178, 1),
(23179, 1),
(23180, 1),
(23181, 1),
(23182, 1),
(23183, 1),
(23184, 1),
(23185, 1),
(23186, 1),
(23187, 1),
(23188, 1),
(23189, 1),
(23190, 1),
(23191, 1),
(23192, 1),
(23193, 1),
(23194, 1),
(23195, 1),
(23196, 1),
(23197, 1),
(23198, 1),
(23199, 1),
(23200, 1),
(23201, 1),
(23202, 1),
(23203, 1),
(23204, 1),
(23205, 1),
(23206, 1),
(23207, 1),
(23208, 1),
(23209, 1),
(23210, 1),
(23211, 1),
(23212, 1),
(23213, 1),
(23214, 1),
(23215, 1),
(23216, 1),
(23217, 1),
(23218, 1),
(23219, 1),
(23220, 1),
(23221, 1),
(23222, 1),
(23223, 1),
(23224, 1),
(23225, 1),
(23226, 1),
(23227, 1),
(23228, 1),
(23229, 1),
(23230, 1),
(23231, 1),
(23232, 1),
(23233, 1),
(23234, 1),
(23235, 1),
(23236, 1),
(23237, 1),
(23238, 1),
(23239, 1),
(23240, 1),
(23241, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(23242, 1),
(23243, 1),
(23244, 1),
(23245, 1),
(23246, 1),
(23247, 1),
(23248, 1),
(23249, 1),
(23250, 1),
(23251, 1),
(23252, 1),
(23253, 1),
(23254, 1),
(23255, 1),
(23256, 1),
(23257, 1),
(23258, 1),
(23259, 1),
(23260, 1),
(23261, 1),
(23262, 1),
(23263, 1),
(23264, 1),
(23265, 1),
(23266, 1),
(23267, 1),
(23268, 1),
(23269, 1),
(23270, 1),
(23271, 1),
(23272, 1),
(23273, 1),
(23274, 1),
(23275, 1),
(23276, 1),
(23277, 1),
(23278, 1),
(23279, 1),
(23280, 1),
(23281, 1),
(23282, 1),
(23283, 1),
(23284, 1),
(23285, 1),
(23286, 1),
(23287, 1),
(23288, 1),
(23289, 1),
(23290, 1),
(23291, 1),
(23292, 1),
(23293, 1),
(23294, 1),
(23295, 1),
(23296, 1),
(23297, 1),
(23298, 1),
(23299, 1),
(23300, 1),
(23301, 1),
(23302, 1),
(23303, 1),
(23304, 1),
(23305, 1),
(23306, 1),
(23307, 1),
(23308, 1),
(23309, 1),
(23310, 1),
(23311, 1),
(23312, 1),
(23313, 1),
(23314, 1),
(23315, 1),
(23316, 1),
(23317, 1),
(23318, 1),
(23319, 1),
(23320, 1),
(23321, 1),
(23322, 1),
(23323, 1),
(23324, 1),
(23325, 1),
(23326, 1),
(23327, 1),
(23328, 1),
(23329, 1),
(23330, 1),
(23331, 1),
(23332, 1),
(23333, 1),
(23334, 1),
(23335, 1),
(23336, 1),
(23337, 1),
(23338, 1),
(23339, 1),
(23340, 1),
(23341, 1),
(23342, 1),
(23343, 1),
(23344, 1),
(23345, 1),
(23346, 1),
(23347, 1),
(23348, 1),
(23349, 1),
(23350, 1),
(23351, 1),
(23352, 1),
(23353, 1),
(23354, 1),
(23355, 1),
(23356, 1),
(23357, 1),
(23358, 1),
(23359, 1),
(23360, 1),
(23361, 1),
(23362, 1),
(23363, 1),
(23364, 1),
(23365, 1),
(23366, 1),
(23367, 1),
(23368, 1),
(23369, 1),
(23370, 1),
(23371, 1),
(23372, 1),
(23373, 1),
(23374, 1),
(23375, 1),
(23376, 1),
(23377, 1),
(23378, 1),
(23379, 1),
(23380, 1),
(23381, 1),
(23382, 1),
(23383, 1),
(23384, 1),
(23385, 1),
(23386, 1),
(23387, 1),
(23388, 1),
(23389, 1),
(23390, 1),
(23391, 1),
(23392, 1),
(23393, 1),
(23394, 1),
(23395, 1),
(23396, 1),
(23397, 1),
(23398, 1),
(23399, 1),
(23400, 1),
(23401, 1),
(23402, 1),
(23403, 1),
(23404, 1),
(23405, 1),
(23406, 1),
(23407, 1),
(23408, 1),
(23409, 1),
(23410, 1),
(23411, 1),
(23412, 1),
(23413, 1),
(23414, 1),
(23415, 1),
(23416, 1),
(23417, 1),
(23418, 1),
(23419, 1),
(23420, 1),
(23421, 1),
(23422, 1),
(23423, 1),
(23424, 1),
(23425, 1),
(23426, 1),
(23427, 1),
(23428, 1),
(23429, 1),
(23430, 1),
(23431, 1),
(23432, 1),
(23433, 1),
(23434, 1),
(23435, 1),
(23436, 1),
(23437, 1),
(23438, 1),
(23439, 1),
(23440, 1),
(23441, 1),
(23442, 1),
(23443, 1),
(23444, 1),
(23445, 1),
(23446, 1),
(23447, 1),
(23448, 1),
(23449, 1),
(23450, 1),
(23451, 1),
(23452, 1),
(23453, 1),
(23454, 1),
(23455, 1),
(23456, 1),
(23457, 1),
(23458, 1),
(23459, 1),
(23460, 1),
(23461, 1),
(23462, 1),
(23463, 1),
(23464, 1),
(23465, 1),
(23466, 1),
(23467, 1),
(23468, 1),
(23469, 1),
(23470, 1),
(23471, 1),
(23472, 1),
(23473, 1),
(23474, 1),
(23475, 1),
(23476, 1),
(23477, 1),
(23478, 1),
(23479, 1),
(23480, 1),
(23481, 1),
(23482, 1),
(23483, 1),
(23484, 1),
(23485, 1),
(23486, 1),
(23487, 1),
(23488, 1),
(23489, 1),
(23490, 1),
(23491, 1),
(23492, 1),
(23493, 1),
(23494, 1),
(23495, 1),
(23496, 1),
(23497, 1),
(23498, 1),
(23499, 1),
(23500, 1),
(23501, 1),
(23502, 1),
(23503, 1),
(23504, 1),
(23505, 1),
(23506, 1),
(23507, 1),
(23508, 1),
(23509, 1),
(23510, 1),
(23511, 1),
(23512, 1),
(23513, 1),
(23514, 1),
(23515, 1),
(23516, 1),
(23517, 1),
(23518, 1),
(23519, 1),
(23520, 1),
(23521, 1),
(23522, 1),
(23523, 1),
(23524, 1),
(23525, 1),
(23526, 1),
(23527, 1),
(23528, 1),
(23529, 1),
(23530, 1),
(23531, 1),
(23532, 1),
(23533, 1),
(23534, 1),
(23535, 1),
(23536, 1),
(23537, 1),
(23538, 1),
(23539, 1),
(23540, 1),
(23541, 1),
(23542, 1),
(23543, 1),
(23544, 1),
(23545, 1),
(23546, 1),
(23547, 1),
(23548, 1),
(23549, 1),
(23550, 1),
(23551, 1),
(23552, 1),
(23553, 1),
(23554, 1),
(23555, 1),
(23556, 1),
(23557, 1),
(23558, 1),
(23559, 1),
(23560, 1),
(23561, 1),
(23562, 1),
(23563, 1),
(23564, 1),
(23565, 1),
(23566, 1),
(23567, 1),
(23568, 1),
(23569, 1),
(23570, 1),
(23571, 1),
(23572, 1),
(23573, 1),
(23574, 1),
(23575, 1),
(23576, 1),
(23577, 1),
(23578, 1),
(23579, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(23580, 1),
(23581, 1),
(23582, 1),
(23583, 1),
(23584, 1),
(23585, 1),
(23586, 1),
(23587, 1),
(23588, 1),
(23589, 1),
(23590, 1),
(23591, 1),
(23592, 1),
(23593, 1),
(23594, 1),
(23595, 1),
(23596, 1),
(23597, 1),
(23598, 1),
(23599, 1),
(23600, 1),
(23601, 1),
(23602, 1),
(23603, 1),
(23604, 1),
(23605, 1),
(23606, 1),
(23607, 1),
(23608, 1),
(23609, 1),
(23610, 1),
(23611, 1),
(23612, 1),
(23613, 1),
(23614, 1),
(23615, 1),
(23616, 1),
(23617, 1),
(23618, 1),
(23619, 1),
(23620, 1),
(23621, 1),
(23622, 1),
(23623, 1),
(23624, 1),
(23625, 1),
(23626, 1),
(23627, 1),
(23628, 1),
(23629, 1),
(23630, 1),
(23631, 1),
(23632, 1),
(23633, 1),
(23634, 1),
(23635, 1),
(23636, 1),
(23637, 1),
(23638, 1),
(23639, 1),
(23640, 1),
(23641, 1),
(23642, 1),
(23643, 1),
(23644, 1),
(23645, 1),
(23646, 1),
(23647, 1),
(23648, 1),
(23649, 1),
(23650, 1),
(23651, 1),
(23652, 1),
(23653, 1),
(23654, 1),
(23655, 1),
(23656, 1),
(23657, 1),
(23658, 1),
(23659, 1),
(23660, 1),
(23661, 1),
(23662, 1),
(23663, 1),
(23664, 1),
(23665, 1),
(23666, 1),
(23667, 1),
(23668, 1),
(23669, 1),
(23670, 1),
(23671, 1),
(23672, 1),
(23673, 1),
(23674, 1),
(23675, 1),
(23676, 1),
(23677, 1),
(23678, 1),
(23679, 1),
(23680, 1),
(23681, 1),
(23682, 1),
(23683, 1),
(23684, 1),
(23685, 1),
(23686, 1),
(23687, 1),
(23688, 1),
(23689, 1),
(23690, 1),
(23691, 1),
(23692, 1),
(23693, 1),
(23694, 1),
(23695, 1),
(23696, 1),
(23697, 1),
(23698, 1),
(23699, 1),
(23700, 1),
(23701, 1),
(23702, 1),
(23703, 1),
(23704, 1),
(23705, 1),
(23706, 1),
(23707, 1),
(23708, 1),
(23709, 1),
(23710, 1),
(23711, 1),
(23712, 1),
(23713, 1),
(23714, 1),
(23715, 1),
(23716, 1),
(23717, 1),
(23718, 1),
(23719, 1),
(23720, 1),
(23721, 1),
(23722, 1),
(23723, 1),
(23724, 1),
(23725, 1),
(23726, 1),
(23727, 1),
(23728, 1),
(23729, 1),
(23730, 1),
(23731, 1),
(23732, 1),
(23733, 1),
(23734, 1),
(23735, 1),
(23736, 1),
(23737, 1),
(23738, 1),
(23739, 1),
(23740, 1),
(23741, 1),
(23742, 1),
(23743, 1),
(23744, 1),
(23745, 1),
(23746, 1),
(23747, 1),
(23748, 1),
(23749, 1),
(23750, 1),
(23751, 1),
(23752, 1),
(23753, 1),
(23754, 1),
(23755, 1),
(23756, 1),
(23757, 1),
(23758, 1),
(23759, 1),
(23760, 1),
(23761, 1),
(23762, 1),
(23763, 1),
(23764, 1),
(23765, 1),
(23766, 1),
(23767, 1),
(23768, 1),
(23769, 1),
(23770, 1),
(23771, 1),
(23772, 1),
(23773, 1),
(23774, 1),
(23775, 1),
(23776, 1),
(23777, 1),
(23778, 1),
(23779, 1),
(23780, 1),
(23781, 1),
(23782, 1),
(23783, 1),
(23784, 1),
(23785, 1),
(23786, 1),
(23787, 1),
(23788, 1),
(23789, 1),
(23790, 1),
(23791, 1),
(23792, 1),
(23793, 1),
(23794, 1),
(23795, 1),
(23796, 1),
(23797, 1),
(23798, 1),
(23799, 1),
(23800, 1),
(23801, 1),
(23802, 1),
(23803, 1),
(23804, 1),
(23805, 1),
(23806, 1),
(23807, 1),
(23808, 1),
(23809, 1),
(23810, 1),
(23811, 1),
(23812, 1),
(23813, 1),
(23814, 1),
(23815, 1),
(23816, 1),
(23817, 1),
(23818, 1),
(23819, 1),
(23820, 1),
(23821, 1),
(23822, 1),
(23823, 1),
(23824, 1),
(23825, 1),
(23826, 1),
(23827, 1),
(23828, 1),
(23829, 1),
(23830, 1),
(23831, 1),
(23832, 1),
(23833, 1),
(23834, 1),
(23835, 1),
(23836, 1),
(23837, 1),
(23838, 1),
(23839, 1),
(23840, 1),
(23841, 1),
(23842, 1),
(23843, 1),
(23844, 1),
(23845, 1),
(23846, 1),
(23847, 1),
(23848, 1),
(23849, 1),
(23850, 1),
(23851, 1),
(23852, 1),
(23853, 1),
(23854, 1),
(23855, 1),
(23856, 1),
(23857, 1),
(23858, 1),
(23859, 1),
(23860, 1),
(23861, 1),
(23862, 1),
(23863, 1),
(23864, 1),
(23865, 1),
(23866, 1),
(23867, 1),
(23868, 1),
(23869, 1),
(23870, 1),
(23871, 1),
(23872, 1),
(23873, 1),
(23874, 1),
(23875, 1),
(23876, 1),
(23877, 1),
(23878, 1),
(23879, 1),
(23880, 1),
(23881, 1),
(23882, 1),
(23883, 1),
(23884, 1),
(23885, 1),
(23886, 1),
(23887, 1),
(23888, 1),
(23889, 1),
(23890, 1),
(23891, 1),
(23892, 1),
(23893, 1),
(23894, 1),
(23895, 1),
(23896, 1),
(23897, 1),
(23898, 1),
(23899, 1),
(23900, 1),
(23901, 1),
(23902, 1),
(23903, 1),
(23904, 1),
(23905, 1),
(23906, 1),
(23907, 1),
(23908, 1),
(23909, 1),
(23910, 1),
(23911, 1),
(23912, 1),
(23913, 1),
(23914, 1),
(23915, 1),
(23916, 1),
(23917, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(23918, 1),
(23919, 1),
(23920, 1),
(23921, 1),
(23922, 1),
(23923, 1),
(23924, 1),
(23925, 1),
(23926, 1),
(23927, 1),
(23928, 1),
(23929, 1),
(23930, 1),
(23931, 1),
(23932, 1),
(23933, 1),
(23934, 1),
(23935, 1),
(23936, 1),
(23937, 1),
(23938, 1),
(23939, 1),
(23940, 1),
(23941, 1),
(23942, 1),
(23943, 1),
(23944, 1),
(23945, 1),
(23946, 1),
(23947, 1),
(23948, 1),
(23949, 1),
(23950, 1),
(23951, 1),
(23952, 1),
(23953, 1),
(23954, 1),
(23955, 1),
(23956, 1),
(23957, 1),
(23958, 1),
(23959, 1),
(23960, 1),
(23961, 1),
(23962, 1),
(23963, 1),
(23964, 1),
(23965, 1),
(23966, 1),
(23967, 1),
(23968, 1),
(23969, 1),
(23970, 1),
(23971, 1),
(23972, 1),
(23973, 1),
(23974, 1),
(23975, 1),
(23976, 1),
(23977, 1),
(23978, 1),
(23979, 1),
(23980, 1),
(23981, 1),
(23982, 1),
(23983, 1),
(23984, 1),
(23985, 1),
(23986, 1),
(23987, 1),
(23988, 1),
(23989, 1),
(23990, 1),
(23991, 1),
(23992, 1),
(23993, 1),
(23994, 1),
(23995, 1),
(23996, 1),
(23997, 1),
(23998, 1),
(23999, 1),
(24000, 1),
(24001, 1),
(24002, 1),
(24003, 1),
(24004, 1),
(24005, 1),
(24006, 1),
(24007, 1),
(24008, 1),
(24009, 1),
(24010, 1),
(24011, 1),
(24012, 1),
(24013, 1),
(24014, 1),
(24015, 1),
(24016, 1),
(24017, 1),
(24018, 1),
(24019, 1),
(24020, 1),
(24021, 1),
(24022, 1),
(24023, 1),
(24024, 1),
(24025, 1),
(24026, 1),
(24027, 1),
(24028, 1),
(24029, 1),
(24030, 1),
(24031, 1),
(24032, 1),
(24033, 1),
(24034, 1),
(24035, 1),
(24036, 1),
(24037, 1),
(24038, 1),
(24039, 1),
(24040, 1),
(24041, 1),
(24042, 1),
(24043, 1),
(24044, 1),
(24045, 1),
(24046, 1),
(24047, 1),
(24048, 1),
(24049, 1),
(24050, 1),
(24051, 1),
(24052, 1),
(24053, 1),
(24054, 1),
(24055, 1),
(24056, 1),
(24057, 1),
(24058, 1),
(24059, 1),
(24060, 1),
(24061, 1),
(24062, 1),
(24063, 1),
(24064, 1),
(24065, 1),
(24066, 1),
(24067, 1),
(24068, 1),
(24069, 1),
(24070, 1),
(24071, 1),
(24072, 1),
(24073, 1),
(24074, 1),
(24075, 1),
(24076, 1),
(24077, 1),
(24078, 1),
(24079, 1),
(24080, 1),
(24081, 1),
(24082, 1),
(24083, 1),
(24084, 1),
(24085, 1),
(24086, 1),
(24087, 1),
(24088, 1),
(24089, 1),
(24090, 1),
(24091, 1),
(24092, 1),
(24093, 1),
(24094, 1),
(24095, 1),
(24096, 1),
(24097, 1),
(24098, 1),
(24099, 1),
(24100, 1),
(24101, 1),
(24102, 1),
(24103, 1),
(24104, 1),
(24105, 1),
(24106, 1),
(24107, 1),
(24108, 1),
(24109, 1),
(24110, 1),
(24111, 1),
(24112, 1),
(24113, 1),
(24114, 1),
(24115, 1),
(24116, 1),
(24117, 1),
(24118, 1),
(24119, 1),
(24120, 1),
(24121, 1),
(24122, 1),
(24123, 1),
(24124, 1),
(24125, 1),
(24126, 1),
(24127, 1),
(24128, 1),
(24129, 1),
(24130, 1),
(24131, 1),
(24132, 1),
(24133, 1),
(24134, 1),
(24135, 1),
(24136, 1),
(24137, 1),
(24138, 1),
(24139, 1),
(24140, 1),
(24141, 1),
(24142, 1),
(24143, 1),
(24144, 1),
(24145, 1),
(24146, 1),
(24147, 1),
(24148, 1),
(24149, 1),
(24150, 1),
(24151, 1),
(24152, 1),
(24153, 1),
(24154, 1),
(24155, 1),
(24156, 1),
(24157, 1),
(24158, 1),
(24159, 1),
(24160, 1),
(24161, 1),
(24162, 1),
(24163, 1),
(24164, 1),
(24165, 1),
(24166, 1),
(24167, 1),
(24168, 1),
(24169, 1),
(24170, 1),
(24171, 1),
(24172, 1),
(24173, 1),
(24174, 1),
(24175, 1),
(24176, 1),
(24177, 1),
(24178, 1),
(24179, 1),
(24180, 1),
(24181, 1),
(24182, 1),
(24183, 1),
(24184, 1),
(24185, 1),
(24186, 1),
(24187, 1),
(24188, 1),
(24189, 1),
(24190, 1),
(24191, 1),
(24192, 1),
(24193, 1),
(24194, 1),
(24195, 1),
(24196, 1),
(24197, 1),
(24198, 1),
(24199, 1),
(24200, 1),
(24201, 1),
(24202, 1),
(24203, 1),
(24204, 1),
(24205, 1),
(24206, 1),
(24207, 1),
(24208, 1),
(24209, 1),
(24210, 1),
(24211, 1),
(24212, 1),
(24213, 1),
(24214, 1),
(24215, 1),
(24216, 1),
(24217, 1),
(24218, 1),
(24219, 1),
(24220, 1),
(24221, 1),
(24222, 1),
(24223, 1),
(24224, 1),
(24225, 1),
(24226, 1),
(24227, 1),
(24228, 1),
(24229, 1),
(24230, 1),
(24231, 1),
(24232, 1),
(24233, 1),
(24234, 1),
(24235, 1),
(24236, 1),
(24237, 1),
(24238, 1),
(24239, 1),
(24240, 1),
(24241, 1),
(24242, 1),
(24243, 1),
(24244, 1),
(24245, 1),
(24246, 1),
(24247, 1),
(24248, 1),
(24249, 1),
(24250, 1),
(24251, 1),
(24252, 1),
(24253, 1),
(24254, 1),
(24255, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(24256, 1),
(24257, 1),
(24258, 1),
(24259, 1),
(24260, 1),
(24261, 1),
(24262, 1),
(24263, 1),
(24264, 1),
(24265, 1),
(24266, 1),
(24267, 1),
(24268, 1),
(24269, 1),
(24270, 1),
(24271, 1),
(24272, 1),
(24273, 1),
(24274, 1),
(24275, 1),
(24276, 1),
(24277, 1),
(24278, 1),
(24279, 1),
(24280, 1),
(24281, 1),
(24282, 1),
(24283, 1),
(24284, 1),
(24285, 1),
(24286, 1),
(24287, 1),
(24288, 1),
(24289, 1),
(24290, 1),
(24291, 1),
(24292, 1),
(24293, 1),
(24294, 1),
(24295, 1),
(24296, 1),
(24297, 1),
(24298, 1),
(24299, 1),
(24300, 1),
(24301, 1),
(24302, 1),
(24303, 1),
(24304, 1),
(24305, 1),
(24306, 1),
(24307, 1),
(24308, 1),
(24309, 1),
(24310, 1),
(24311, 1),
(24312, 1),
(24313, 1),
(24314, 1),
(24315, 1),
(24316, 1),
(24317, 1),
(24318, 1),
(24319, 1),
(24320, 1),
(24321, 1),
(24322, 1),
(24323, 1),
(24324, 1),
(24325, 1),
(24326, 1),
(24327, 1),
(24328, 1),
(24329, 1),
(24330, 1),
(24331, 1),
(24332, 1),
(24333, 1),
(24334, 1),
(24335, 1),
(24336, 1),
(24337, 1),
(24338, 1),
(24339, 1),
(24340, 1),
(24341, 1),
(24342, 1),
(24343, 1),
(24344, 1),
(24345, 1),
(24346, 1),
(24347, 1),
(24348, 1),
(24349, 1),
(24350, 1),
(24351, 1),
(24352, 1),
(24353, 1),
(24354, 1),
(24355, 1),
(24356, 1),
(24357, 1),
(24358, 1),
(24359, 1),
(24360, 1),
(24361, 1),
(24362, 1),
(24363, 1),
(24364, 1),
(24365, 1),
(24366, 1),
(24367, 1),
(24368, 1),
(24369, 1),
(24370, 1),
(24371, 1),
(24372, 1),
(24373, 1),
(24374, 1),
(24375, 1),
(24376, 1),
(24377, 1),
(24378, 1),
(24379, 1),
(24380, 1),
(24381, 1),
(24382, 1),
(24383, 1),
(24384, 1),
(24385, 1),
(24386, 1),
(24387, 1),
(24388, 1),
(24389, 1),
(24390, 1),
(24391, 1),
(24392, 1),
(24393, 1),
(24394, 1),
(24395, 1),
(24396, 1),
(24397, 1),
(24398, 1),
(24399, 1),
(24400, 1),
(24401, 1),
(24402, 1),
(24403, 1),
(24404, 1),
(24405, 1),
(24406, 1),
(24407, 1),
(24408, 1),
(24409, 1),
(24410, 1),
(24411, 1),
(24412, 1),
(24413, 1),
(24414, 1),
(24415, 1),
(24416, 1),
(24417, 1),
(24418, 1),
(24419, 1),
(24420, 1),
(24421, 1),
(24422, 1),
(24423, 1),
(24424, 1),
(24425, 1),
(24426, 1),
(24427, 1),
(24428, 1),
(24429, 1),
(24430, 1),
(24431, 1),
(24432, 1),
(24433, 1),
(24434, 1),
(24435, 1),
(24436, 1),
(24437, 1),
(24438, 1),
(24439, 1),
(24440, 1),
(24441, 1),
(24442, 1),
(24443, 1),
(24444, 1),
(24445, 1),
(24446, 1),
(24447, 1),
(24448, 1),
(24449, 1),
(24450, 1),
(24451, 1),
(24452, 1),
(24453, 1),
(24454, 1),
(24455, 1),
(24456, 1),
(24457, 1),
(24458, 1),
(24459, 1),
(24460, 1),
(24461, 1),
(24462, 1),
(24463, 1),
(24464, 1),
(24465, 1),
(24466, 1),
(24467, 1),
(24468, 1),
(24469, 1),
(24470, 1),
(24471, 1),
(24472, 1),
(24473, 1),
(24474, 1),
(24475, 1),
(24476, 1),
(24477, 1),
(24478, 1),
(24479, 1),
(24480, 1),
(24481, 1),
(24482, 1),
(24483, 1),
(24484, 1),
(24485, 1),
(24486, 1),
(24487, 1),
(24488, 1),
(24489, 1),
(24490, 1),
(24491, 1),
(24492, 1),
(24493, 1),
(24494, 1),
(24495, 1),
(24496, 1),
(24497, 1),
(24498, 1),
(24499, 1),
(24500, 1),
(24501, 1),
(24502, 1),
(24503, 1),
(24504, 1),
(24505, 1),
(24506, 1),
(24507, 1),
(24508, 1),
(24509, 1),
(24510, 1),
(24511, 1),
(24512, 1),
(24513, 1),
(24514, 1),
(24515, 1),
(24516, 1),
(24517, 1),
(24518, 1),
(24519, 1),
(24520, 1),
(24521, 1),
(24522, 1),
(24523, 1),
(24524, 1),
(24525, 1),
(24526, 1),
(24527, 1),
(24528, 1),
(24529, 1),
(24530, 1),
(24531, 1),
(24532, 1),
(24533, 1),
(24534, 1),
(24535, 1),
(24536, 1),
(24537, 1),
(24538, 1),
(24539, 1),
(24540, 1),
(24541, 1),
(24542, 1),
(24543, 1),
(24544, 1),
(24545, 1),
(24546, 1),
(24547, 1),
(24548, 1),
(24549, 1),
(24550, 1),
(24551, 1),
(24552, 1),
(24553, 1),
(24554, 1),
(24555, 1),
(24556, 1),
(24557, 1),
(24558, 1),
(24559, 1),
(24560, 1),
(24561, 1),
(24562, 1),
(24563, 1),
(24564, 1),
(24565, 1),
(24566, 1),
(24567, 1),
(24568, 1),
(24569, 1),
(24570, 1),
(24571, 1),
(24572, 1),
(24573, 1),
(24574, 1),
(24575, 1),
(24576, 1),
(24577, 1),
(24578, 1),
(24579, 1),
(24580, 1),
(24581, 1),
(24582, 1),
(24583, 1),
(24584, 1),
(24585, 1),
(24586, 1),
(24587, 1),
(24588, 1),
(24589, 1),
(24590, 1),
(24591, 1),
(24592, 1),
(24593, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(24594, 1),
(24595, 1),
(24596, 1),
(24597, 1),
(24598, 1),
(24599, 1),
(24600, 1),
(24601, 1),
(24602, 1),
(24603, 1),
(24604, 1),
(24605, 1),
(24606, 1),
(24607, 1),
(24608, 1),
(24609, 1),
(24610, 1),
(24611, 1),
(24612, 1),
(24613, 1),
(24614, 1),
(24615, 1),
(24616, 1),
(24617, 1),
(24618, 1),
(24619, 1),
(24620, 1),
(24621, 1),
(24622, 1),
(24623, 1),
(24624, 1),
(24625, 1),
(24626, 1),
(24627, 1),
(24628, 1),
(24629, 1),
(24630, 1),
(24631, 1),
(24632, 1),
(24633, 1),
(24634, 1),
(24635, 1),
(24636, 1),
(24637, 1),
(24638, 1),
(24639, 1),
(24640, 1),
(24641, 1),
(24642, 1),
(24643, 1),
(24644, 1),
(24645, 1),
(24646, 1),
(24647, 1),
(24648, 1),
(24649, 1),
(24650, 1),
(24651, 1),
(24652, 1),
(24653, 1),
(24654, 1),
(24655, 1),
(24656, 1),
(24657, 1),
(24658, 1),
(24659, 1),
(24660, 1),
(24661, 1),
(24662, 1),
(24663, 1),
(24664, 1),
(24665, 1),
(24666, 1),
(24667, 1),
(24668, 1),
(24669, 1),
(24670, 1),
(24671, 1),
(24672, 1),
(24673, 1),
(24674, 1),
(24675, 1),
(24676, 1),
(24677, 1),
(24678, 1),
(24679, 1),
(24680, 1),
(24681, 1),
(24682, 1),
(24683, 1),
(24684, 1),
(24685, 1),
(24686, 1),
(24687, 1),
(24688, 1),
(24689, 1),
(24690, 1),
(24691, 1),
(24692, 1),
(24693, 1),
(24694, 1),
(24695, 1),
(24696, 1),
(24697, 1),
(24698, 1),
(24699, 1),
(24700, 1),
(24701, 1),
(24702, 1),
(24703, 1),
(24704, 1),
(24705, 1),
(24706, 1),
(24707, 1),
(24708, 1),
(24709, 1),
(24710, 1),
(24711, 1),
(24712, 1),
(24713, 1),
(24714, 1),
(24715, 1),
(24716, 1),
(24717, 1),
(24718, 1),
(24719, 1),
(24720, 1),
(24721, 1),
(24722, 1),
(24723, 1),
(24724, 1),
(24725, 1),
(24726, 1),
(24727, 1),
(24728, 1),
(24729, 1),
(24730, 1),
(24731, 1),
(24732, 1),
(24733, 1),
(24734, 1),
(24735, 1),
(24736, 1),
(24737, 1),
(24738, 1),
(24739, 1),
(24740, 1),
(24741, 1),
(24742, 1),
(24743, 1),
(24744, 1),
(24745, 1),
(24746, 1),
(24747, 1),
(24748, 1),
(24749, 1),
(24750, 1),
(24751, 1),
(24752, 1),
(24753, 1),
(24754, 1),
(24755, 1),
(24756, 1),
(24757, 1),
(24758, 1),
(24759, 1),
(24760, 1),
(24761, 1),
(24762, 1),
(24763, 1),
(24764, 1),
(24765, 1),
(24766, 1),
(24767, 1),
(24768, 1),
(24769, 1),
(24770, 1),
(24771, 1),
(24772, 1),
(24773, 1),
(24774, 1),
(24775, 1),
(24776, 1),
(24777, 1),
(24778, 1),
(24779, 1),
(24780, 1),
(24781, 1),
(24782, 1),
(24783, 1),
(24784, 1),
(24785, 1),
(24786, 1),
(24787, 1),
(24788, 1),
(24789, 1),
(24790, 1),
(24791, 1),
(24792, 1),
(24793, 1),
(24794, 1),
(24795, 1),
(24796, 1),
(24797, 1),
(24798, 1),
(24799, 1),
(24800, 1),
(24801, 1),
(24802, 1),
(24803, 1),
(24804, 1),
(24805, 1),
(24806, 1),
(24807, 1),
(24808, 1),
(24809, 1),
(24810, 1),
(24811, 1),
(24812, 1),
(24813, 1),
(24814, 1),
(24815, 1),
(24816, 1),
(24817, 1),
(24818, 1),
(24819, 1),
(24820, 1),
(24821, 1),
(24822, 1),
(24823, 1),
(24824, 1),
(24825, 1),
(24826, 1),
(24827, 1),
(24828, 1),
(24829, 1),
(24830, 1),
(24831, 1),
(24832, 1),
(24833, 1),
(24834, 1),
(24835, 1),
(24836, 1),
(24837, 1),
(24838, 1),
(24839, 1),
(24840, 1),
(24841, 1),
(24842, 1),
(24843, 1),
(24844, 1),
(24845, 1),
(24846, 1),
(24847, 1),
(24848, 1),
(24849, 1),
(24850, 1),
(24851, 1),
(24852, 1),
(24853, 1),
(24854, 1),
(24855, 1),
(24856, 1),
(24857, 1),
(24858, 1),
(24859, 1),
(24860, 1),
(24861, 1),
(24862, 1),
(24863, 1),
(24864, 1),
(24865, 1),
(24866, 1),
(24867, 1),
(24868, 1),
(24869, 1),
(24870, 1),
(24871, 1),
(24872, 1),
(24873, 1),
(24874, 1),
(24875, 1),
(24876, 1),
(24877, 1),
(24878, 1),
(24879, 1),
(24880, 1),
(24881, 1),
(24882, 1),
(24883, 1),
(24884, 1),
(24885, 1),
(24886, 1),
(24887, 1),
(24888, 1),
(24889, 1),
(24890, 1),
(24891, 1),
(24892, 1),
(24893, 1),
(24894, 1),
(24895, 1),
(24896, 1),
(24897, 1),
(24898, 1),
(24899, 1),
(24900, 1),
(24901, 1),
(24902, 1),
(24903, 1),
(24904, 1),
(24905, 1),
(24906, 1),
(24907, 1),
(24908, 1),
(24909, 1),
(24910, 1),
(24911, 1),
(24912, 1),
(24913, 1),
(24914, 1),
(24915, 1),
(24916, 1),
(24917, 1),
(24918, 1),
(24919, 1),
(24920, 1),
(24921, 1),
(24922, 1),
(24923, 1),
(24924, 1),
(24925, 1),
(24926, 1),
(24927, 1),
(24928, 1),
(24929, 1),
(24930, 1),
(24931, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(24932, 1),
(24933, 1),
(24934, 1),
(24935, 1),
(24936, 1),
(24937, 1),
(24938, 1),
(24939, 1),
(24940, 1),
(24941, 1),
(24942, 1),
(24943, 1),
(24944, 1),
(24945, 1),
(24946, 1),
(24947, 1),
(24948, 1),
(24949, 1),
(24950, 1),
(24951, 1),
(24952, 1),
(24953, 1),
(24954, 1),
(24955, 1),
(24956, 1),
(24957, 1),
(24958, 1),
(24959, 1),
(24960, 1),
(24961, 1),
(24962, 1),
(24963, 1),
(24964, 1),
(24965, 1),
(24966, 1),
(24967, 1),
(24968, 1),
(24969, 1),
(24970, 1),
(24971, 1),
(24972, 1),
(24973, 1),
(24974, 1),
(24975, 1),
(24976, 1),
(24977, 1),
(24978, 1),
(24979, 1),
(24980, 1),
(24981, 1),
(24982, 1),
(24983, 1),
(24984, 1),
(24985, 1),
(24986, 1),
(24987, 1),
(24988, 1),
(24989, 1),
(24990, 1),
(24991, 1),
(24992, 1),
(24993, 1),
(24994, 1),
(24995, 1),
(24996, 1),
(24997, 1),
(24998, 1),
(24999, 1),
(25000, 1),
(25001, 1),
(25002, 1),
(25003, 1),
(25004, 1),
(25005, 1),
(25006, 1),
(25007, 1),
(25008, 1),
(25009, 1),
(25010, 1),
(25011, 1),
(25012, 1),
(25013, 1),
(25014, 1),
(25015, 1),
(25016, 1),
(25017, 1),
(25018, 1),
(25019, 1),
(25020, 1),
(25021, 1),
(25022, 1),
(25023, 1),
(25024, 1),
(25025, 1),
(25026, 1),
(25027, 1),
(25028, 1),
(25029, 1),
(25030, 1),
(25031, 1),
(25032, 1),
(25033, 1),
(25034, 1),
(25035, 1),
(25036, 1),
(25037, 1),
(25038, 1),
(25039, 1),
(25040, 1),
(25041, 1),
(25042, 1),
(25043, 1),
(25044, 1),
(25045, 1),
(25046, 1),
(25047, 1),
(25048, 1),
(25049, 1),
(25050, 1),
(25051, 1),
(25052, 1),
(25053, 1),
(25054, 1),
(25055, 1),
(25056, 1),
(25057, 1),
(25058, 1),
(25059, 1),
(25060, 1),
(25061, 1),
(25062, 1),
(25063, 1),
(25064, 1),
(25065, 1),
(25066, 1),
(25067, 1),
(25068, 1),
(25069, 1),
(25070, 1),
(25071, 1),
(25072, 1),
(25073, 1),
(25074, 1),
(25075, 1),
(25076, 1),
(25077, 1),
(25078, 1),
(25079, 1),
(25080, 1),
(25081, 1),
(25082, 1),
(25083, 1),
(25084, 1),
(25085, 1),
(25086, 1),
(25087, 1),
(25088, 1),
(25089, 1),
(25090, 1),
(25091, 1),
(25092, 1),
(25093, 1),
(25094, 1),
(25095, 1),
(25096, 1),
(25097, 1),
(25098, 1),
(25099, 1),
(25100, 1),
(25101, 1),
(25102, 1),
(25103, 1),
(25104, 1),
(25105, 1),
(25106, 1),
(25107, 1),
(25108, 1),
(25109, 1),
(25110, 1),
(25111, 1),
(25112, 1),
(25113, 1),
(25114, 1),
(25115, 1),
(25116, 1),
(25117, 1),
(25118, 1),
(25119, 1),
(25120, 1),
(25121, 1),
(25122, 1),
(25123, 1),
(25124, 1),
(25125, 1),
(25126, 1),
(25127, 1),
(25128, 1),
(25129, 1),
(25130, 1),
(25131, 1),
(25132, 1),
(25133, 1),
(25134, 1),
(25135, 1),
(25136, 1),
(25137, 1),
(25138, 1),
(25139, 1),
(25140, 1),
(25141, 1),
(25142, 1),
(25143, 1),
(25144, 1),
(25145, 1),
(25146, 1),
(25147, 1),
(25148, 1),
(25149, 1),
(25150, 1),
(25151, 1),
(25152, 1),
(25153, 1),
(25154, 1),
(25155, 1),
(25156, 1),
(25157, 1),
(25158, 1),
(25159, 1),
(25160, 1),
(25161, 1),
(25162, 1),
(25163, 1),
(25164, 1),
(25165, 1),
(25166, 1),
(25167, 1),
(25168, 1),
(25169, 1),
(25170, 1),
(25171, 1),
(25172, 1),
(25173, 1),
(25174, 1),
(25175, 1),
(25176, 1),
(25177, 1),
(25178, 1),
(25179, 1),
(25180, 1),
(25181, 1),
(25182, 1),
(25183, 1),
(25184, 1),
(25185, 1),
(25186, 1),
(25187, 1),
(25188, 1),
(25189, 1),
(25190, 1),
(25191, 1),
(25192, 1),
(25193, 1),
(25194, 1),
(25195, 1),
(25196, 1),
(25197, 1),
(25198, 1),
(25199, 1),
(25200, 1),
(25201, 1),
(25202, 1),
(25203, 1),
(25204, 1),
(25205, 1),
(25206, 1),
(25207, 1),
(25208, 1),
(25209, 1),
(25210, 1),
(25211, 1),
(25212, 1),
(25213, 1),
(25214, 1),
(25215, 1),
(25216, 1),
(25217, 1),
(25218, 1),
(25219, 1),
(25220, 1),
(25221, 1),
(25222, 1),
(25223, 1),
(25224, 1),
(25225, 1),
(25226, 1),
(25227, 1),
(25228, 1),
(25229, 1),
(25230, 1),
(25231, 1),
(25232, 1),
(25233, 1),
(25234, 1),
(25235, 1),
(25236, 1),
(25237, 1),
(25238, 1),
(25239, 1),
(25240, 1),
(25241, 1),
(25242, 1),
(25243, 1),
(25244, 1),
(25245, 1),
(25246, 1),
(25247, 1),
(25248, 1),
(25249, 1),
(25250, 1),
(25251, 1),
(25252, 1),
(25253, 1),
(25254, 1),
(25255, 1),
(25256, 1),
(25257, 1),
(25258, 1),
(25259, 1),
(25260, 1),
(25261, 1),
(25262, 1),
(25263, 1),
(25264, 1),
(25265, 1),
(25266, 1),
(25267, 1),
(25268, 1),
(25269, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(25270, 1),
(25271, 1),
(25272, 1),
(25273, 1),
(25274, 1),
(25275, 1),
(25276, 1),
(25277, 1),
(25278, 1),
(25279, 1),
(25280, 1),
(25281, 1),
(25282, 1),
(25283, 1),
(25284, 1),
(25285, 1),
(25286, 1),
(25287, 1),
(25288, 1),
(25289, 1),
(25290, 1),
(25291, 1),
(25292, 1),
(25293, 1),
(25294, 1),
(25295, 1),
(25296, 1),
(25297, 1),
(25298, 1),
(25299, 1),
(25300, 1),
(25301, 1),
(25302, 1),
(25303, 1),
(25304, 1),
(25305, 1),
(25306, 1),
(25307, 1),
(25308, 1),
(25309, 1),
(25310, 1),
(25311, 1),
(25312, 1),
(25313, 1),
(25314, 1),
(25315, 1),
(25316, 1),
(25317, 1),
(25318, 1),
(25319, 1),
(25320, 1),
(25321, 1),
(25322, 1),
(25323, 1),
(25324, 1),
(25325, 1),
(25326, 1),
(25327, 1),
(25328, 1),
(25329, 1),
(25330, 1),
(25331, 1),
(25332, 1),
(25333, 1),
(25334, 1),
(25335, 1),
(25336, 1),
(25337, 1),
(25338, 1),
(25339, 1),
(25340, 1),
(25341, 1),
(25342, 1),
(25343, 1),
(25344, 1),
(25345, 1),
(25346, 1),
(25347, 1),
(25348, 1),
(25349, 1),
(25350, 1),
(25351, 1),
(25352, 1),
(25353, 1),
(25354, 1),
(25355, 1),
(25356, 1),
(25357, 1),
(25358, 1),
(25359, 1),
(25360, 1),
(25361, 1),
(25362, 1),
(25363, 1),
(25364, 1),
(25365, 1),
(25366, 1),
(25367, 1),
(25368, 1),
(25369, 1),
(25370, 1),
(25371, 1),
(25372, 1),
(25373, 1),
(25374, 1),
(25375, 1),
(25376, 1),
(25377, 1),
(25378, 1),
(25379, 1),
(25380, 1),
(25381, 1),
(25382, 1),
(25383, 1),
(25384, 1),
(25385, 1),
(25386, 1),
(25387, 1),
(25388, 1),
(25389, 1),
(25390, 1),
(25391, 1),
(25392, 1),
(25393, 1),
(25394, 1),
(25395, 1),
(25396, 1),
(25397, 1),
(25398, 1),
(25399, 1),
(25400, 1),
(25401, 1),
(25402, 1),
(25403, 1),
(25404, 1),
(25405, 1),
(25406, 1),
(25407, 1),
(25408, 1),
(25409, 1),
(25410, 1),
(25411, 1),
(25412, 1),
(25413, 1),
(25414, 1),
(25415, 1),
(25416, 1),
(25417, 1),
(25418, 1),
(25419, 1),
(25420, 1),
(25421, 1),
(25422, 1),
(25423, 1),
(25424, 1),
(25425, 1),
(25426, 1),
(25427, 1),
(25428, 1),
(25429, 1),
(25430, 1),
(25431, 1),
(25432, 1),
(25433, 1),
(25434, 1),
(25435, 1),
(25436, 1),
(25437, 1),
(25438, 1),
(25439, 1),
(25440, 1),
(25441, 1),
(25442, 1),
(25443, 1),
(25444, 1),
(25445, 1),
(25446, 1),
(25447, 1),
(25448, 1),
(25449, 1),
(25450, 1),
(25451, 1),
(25452, 1),
(25453, 1),
(25454, 1),
(25455, 1),
(25456, 1),
(25457, 1),
(25458, 1),
(25459, 1),
(25460, 1),
(25461, 1),
(25462, 1),
(25463, 1),
(25464, 1),
(25465, 1),
(25466, 1),
(25467, 1),
(25468, 1),
(25469, 1),
(25470, 1),
(25471, 1),
(25472, 1),
(25473, 1),
(25474, 1),
(25475, 1),
(25476, 1),
(25477, 1),
(25478, 1),
(25479, 1),
(25480, 1),
(25481, 1),
(25482, 1),
(25483, 1),
(25484, 1),
(25485, 1),
(25486, 1),
(25487, 1),
(25488, 1),
(25489, 1),
(25490, 1),
(25491, 1),
(25492, 1),
(25493, 1),
(25494, 1),
(25495, 1),
(25496, 1),
(25497, 1),
(25498, 1),
(25499, 1),
(25500, 1),
(25501, 1),
(25502, 1),
(25503, 1),
(25504, 1),
(25505, 1),
(25506, 1),
(25507, 1),
(25508, 1),
(25509, 1),
(25510, 1),
(25511, 1),
(25512, 1),
(25513, 1),
(25514, 1),
(25515, 1),
(25516, 1),
(25517, 1),
(25518, 1),
(25519, 1),
(25520, 1),
(25521, 1),
(25522, 1),
(25523, 1),
(25524, 1),
(25525, 1),
(25526, 1),
(25527, 1),
(25528, 1),
(25529, 1),
(25530, 1),
(25531, 1),
(25532, 1),
(25533, 1),
(25534, 1),
(25535, 1),
(25536, 1),
(25537, 1),
(25538, 1),
(25539, 1),
(25540, 1),
(25541, 1),
(25542, 1),
(25543, 1),
(25544, 1),
(25545, 1),
(25546, 1),
(25547, 1),
(25548, 1),
(25549, 1),
(25550, 1),
(25551, 1),
(25552, 1),
(25553, 1),
(25554, 1),
(25555, 1),
(25556, 1),
(25557, 1),
(25558, 1),
(25559, 1),
(25560, 1),
(25561, 1),
(25562, 1),
(25563, 1),
(25564, 1),
(25565, 1),
(25566, 1),
(25567, 1),
(25568, 1),
(25569, 1),
(25570, 1),
(25571, 1),
(25572, 1),
(25573, 1),
(25574, 1),
(25575, 1),
(25576, 1),
(25577, 1),
(25578, 1),
(25579, 1),
(25580, 1),
(25581, 1),
(25582, 1),
(25583, 1),
(25584, 1),
(25585, 1),
(25586, 1),
(25587, 1),
(25588, 1),
(25589, 1),
(25590, 1),
(25591, 1),
(25592, 1),
(25593, 1),
(25594, 1),
(25595, 1),
(25596, 1),
(25597, 1),
(25598, 1),
(25599, 1),
(25600, 1),
(25601, 1),
(25602, 1),
(25603, 1),
(25604, 1),
(25605, 1),
(25606, 1),
(25607, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(25608, 1),
(25609, 1),
(25610, 1),
(25611, 1),
(25612, 1),
(25613, 1),
(25614, 1),
(25615, 1),
(25616, 1),
(25617, 1),
(25618, 1),
(25619, 1),
(25620, 1),
(25621, 1),
(25622, 1),
(25623, 1),
(25624, 1),
(25625, 1),
(25626, 1),
(25627, 1),
(25628, 1),
(25629, 1),
(25630, 1),
(25631, 1),
(25632, 1),
(25633, 1),
(25634, 1),
(25635, 1),
(25636, 1),
(25637, 1),
(25638, 1),
(25639, 1),
(25640, 1),
(25641, 1),
(25642, 1),
(25643, 1),
(25644, 1),
(25645, 1),
(25646, 1),
(25647, 1),
(25648, 1),
(25649, 1),
(25650, 1),
(25651, 1),
(25652, 1),
(25653, 1),
(25654, 1),
(25655, 1),
(25656, 1),
(25657, 1),
(25658, 1),
(25659, 1),
(25660, 1),
(25661, 1),
(25662, 1),
(25663, 1),
(25664, 1),
(25665, 1),
(25666, 1),
(25667, 1),
(25668, 1),
(25669, 1),
(25670, 1),
(25671, 1),
(25672, 1),
(25673, 1),
(25674, 1),
(25675, 1),
(25676, 1),
(25677, 1),
(25678, 1),
(25679, 1),
(25680, 1),
(25681, 1),
(25682, 1),
(25683, 1),
(25684, 1),
(25685, 1),
(25686, 1),
(25687, 1),
(25688, 1),
(25689, 1),
(25690, 1),
(25691, 1),
(25692, 1),
(25693, 1),
(25694, 1),
(25695, 1),
(25696, 1),
(25697, 1),
(25698, 1),
(25699, 1),
(25700, 1),
(25701, 1),
(25702, 1),
(25703, 1),
(25704, 1),
(25705, 1),
(25706, 1),
(25707, 1),
(25708, 1),
(25709, 1),
(25710, 1),
(25711, 1),
(25712, 1),
(25713, 1),
(25714, 1),
(25715, 1),
(25716, 1),
(25717, 1),
(25718, 1),
(25719, 1),
(25720, 1),
(25721, 1),
(25722, 1),
(25723, 1),
(25724, 1),
(25725, 1),
(25726, 1),
(25727, 1),
(25728, 1),
(25729, 1),
(25730, 1),
(25731, 1),
(25732, 1),
(25733, 1),
(25734, 1),
(25735, 1),
(25736, 1),
(25737, 1),
(25738, 1),
(25739, 1),
(25740, 1),
(25741, 1),
(25742, 1),
(25743, 1),
(25744, 1),
(25745, 1),
(25746, 1),
(25747, 1),
(25748, 1),
(25749, 1),
(25750, 1),
(25751, 1),
(25752, 1),
(25753, 1),
(25754, 1),
(25755, 1),
(25756, 1),
(25757, 1),
(25758, 1),
(25759, 1),
(25760, 1),
(25761, 1),
(25762, 1),
(25763, 1),
(25764, 1),
(25765, 1),
(25766, 1),
(25767, 1),
(25768, 1),
(25769, 1),
(25770, 1),
(25771, 1),
(25772, 1),
(25773, 1),
(25774, 1),
(25775, 1),
(25776, 1),
(25777, 1),
(25778, 1),
(25779, 1),
(25780, 1),
(25781, 1),
(25782, 1),
(25783, 1),
(25784, 1),
(25785, 1),
(25786, 1),
(25787, 1),
(25788, 1),
(25789, 1),
(25790, 1),
(25791, 1),
(25792, 1),
(25793, 1),
(25794, 1),
(25795, 1),
(25796, 1),
(25797, 1),
(25798, 1),
(25799, 1),
(25800, 1),
(25801, 1),
(25802, 1),
(25803, 1),
(25804, 1),
(25805, 1),
(25806, 1),
(25807, 1),
(25808, 1),
(25809, 1),
(25810, 1),
(25811, 1),
(25812, 1),
(25813, 1),
(25814, 1),
(25815, 1),
(25816, 1),
(25817, 1),
(25818, 1),
(25819, 1),
(25820, 1),
(25821, 1),
(25822, 1),
(25823, 1),
(25824, 1),
(25825, 1),
(25826, 1),
(25827, 1),
(25828, 1),
(25829, 1),
(25830, 1),
(25831, 1),
(25832, 1),
(25833, 1),
(25834, 1),
(25835, 1),
(25836, 1),
(25837, 1),
(25838, 1),
(25839, 1),
(25840, 1),
(25841, 1),
(25842, 1),
(25843, 1),
(25844, 1),
(25845, 1),
(25846, 1),
(25847, 1),
(25848, 1),
(25849, 1),
(25850, 1),
(25851, 1),
(25852, 1),
(25853, 1),
(25854, 1),
(25855, 1),
(25856, 1),
(25857, 1),
(25858, 1),
(25859, 1),
(25860, 1),
(25861, 1),
(25862, 1),
(25863, 1),
(25864, 1),
(25865, 1),
(25866, 1),
(25867, 1),
(25868, 1),
(25869, 1),
(25870, 1),
(25871, 1),
(25872, 1),
(25873, 1),
(25874, 1),
(25875, 1),
(25876, 1),
(25877, 1),
(25878, 1),
(25879, 1),
(25880, 1),
(25881, 1),
(25882, 1),
(25883, 1),
(25884, 1),
(25885, 1),
(25886, 1),
(25887, 1),
(25888, 1),
(25889, 1),
(25890, 1),
(25891, 1),
(25892, 1),
(25893, 1),
(25894, 1),
(25895, 1),
(25896, 1),
(25897, 1),
(25898, 1),
(25899, 1),
(25900, 1),
(25901, 1),
(25902, 1),
(25903, 1),
(25904, 1),
(25905, 1),
(25906, 1),
(25907, 1),
(25908, 1),
(25909, 1),
(25910, 1),
(25911, 1),
(25912, 1),
(25913, 1),
(25914, 1),
(25915, 1),
(25916, 1),
(25917, 1),
(25918, 1),
(25919, 1),
(25920, 1),
(25921, 1),
(25922, 1),
(25923, 1),
(25924, 1),
(25925, 1),
(25926, 1),
(25927, 1),
(25928, 1),
(25929, 1),
(25930, 1),
(25931, 1),
(25932, 1),
(25933, 1),
(25934, 1),
(25935, 1),
(25936, 1),
(25937, 1),
(25938, 1),
(25939, 1),
(25940, 1),
(25941, 1),
(25942, 1),
(25943, 1),
(25944, 1),
(25945, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(25946, 1),
(25947, 1),
(25948, 1),
(25949, 1),
(25950, 1),
(25951, 1),
(25952, 1),
(25953, 1),
(25954, 1),
(25955, 1),
(25956, 1),
(25957, 1),
(25958, 1),
(25959, 1),
(25960, 1),
(25961, 1),
(25962, 1),
(25963, 1),
(25964, 1),
(25965, 1),
(25966, 1),
(25967, 1),
(25968, 1),
(25969, 1),
(25970, 1),
(25971, 1),
(25972, 1),
(25973, 1),
(25974, 1),
(25975, 1),
(25976, 1),
(25977, 1),
(25978, 1),
(25979, 1),
(25980, 1),
(25981, 1),
(25982, 1),
(25983, 1),
(25984, 1),
(25985, 1),
(25986, 1),
(25987, 1),
(25988, 1),
(25989, 1),
(25990, 1),
(25991, 1),
(25992, 1),
(25993, 1),
(25994, 1),
(25995, 1),
(25996, 1),
(25997, 1),
(25998, 1),
(25999, 1),
(26000, 1),
(26001, 1),
(26002, 1),
(26003, 1),
(26004, 1),
(26005, 1),
(26006, 1),
(26007, 1),
(26008, 1),
(26009, 1),
(26010, 1),
(26011, 1),
(26012, 1),
(26013, 1),
(26014, 1),
(26015, 1),
(26016, 1),
(26017, 1),
(26018, 1),
(26019, 1),
(26020, 1),
(26021, 1),
(26022, 1),
(26023, 1),
(26024, 1),
(26025, 1),
(26026, 1),
(26027, 1),
(26028, 1),
(26029, 1),
(26030, 1),
(26031, 1),
(26032, 1),
(26033, 1),
(26034, 1),
(26035, 1),
(26036, 1),
(26037, 1),
(26038, 1),
(26039, 1),
(26040, 1),
(26041, 1),
(26042, 1),
(26043, 1),
(26044, 1),
(26045, 1),
(26046, 1),
(26047, 1),
(26048, 1),
(26049, 1),
(26050, 1),
(26051, 1),
(26052, 1),
(26053, 1),
(26054, 1),
(26055, 1),
(26056, 1),
(26057, 1),
(26058, 1),
(26059, 1),
(26060, 1),
(26061, 1),
(26062, 1),
(26063, 1),
(26064, 1),
(26065, 1),
(26066, 1),
(26067, 1),
(26068, 1),
(26069, 1),
(26070, 1),
(26071, 1),
(26072, 1),
(26073, 1),
(26074, 1),
(26075, 1),
(26076, 1),
(26077, 1),
(26078, 1),
(26079, 1),
(26080, 1),
(26081, 1),
(26082, 1),
(26083, 1),
(26084, 1),
(26085, 1),
(26086, 1),
(26087, 1),
(26088, 1),
(26089, 1),
(26090, 1),
(26091, 1),
(26092, 1),
(26093, 1),
(26094, 1),
(26095, 1),
(26096, 1),
(26097, 1),
(26098, 1),
(26099, 1),
(26100, 1),
(26101, 1),
(26102, 1),
(26103, 1),
(26104, 1),
(26105, 1),
(26106, 1),
(26107, 1),
(26108, 1),
(26109, 1),
(26110, 1),
(26111, 1),
(26112, 1),
(26113, 1),
(26114, 1),
(26115, 1),
(26116, 1),
(26117, 1),
(26118, 1),
(26119, 1),
(26120, 1),
(26121, 1),
(26122, 1),
(26123, 1),
(26124, 1),
(26125, 1),
(26126, 1),
(26127, 1),
(26128, 1),
(26129, 1),
(26130, 1),
(26131, 1),
(26132, 1),
(26133, 1),
(26134, 1),
(26135, 1),
(26136, 1),
(26137, 1),
(26138, 1),
(26139, 1),
(26140, 1),
(26141, 1),
(26142, 1),
(26143, 1),
(26144, 1),
(26145, 1),
(26146, 1),
(26147, 1),
(26148, 1),
(26149, 1),
(26150, 1),
(26151, 1),
(26152, 1),
(26153, 1),
(26154, 1),
(26155, 1),
(26156, 1),
(26157, 1),
(26158, 1),
(26159, 1),
(26160, 1),
(26161, 1),
(26162, 1),
(26163, 1),
(26164, 1),
(26165, 1),
(26166, 1),
(26167, 1),
(26168, 1),
(26169, 1),
(26170, 1),
(26171, 1),
(26172, 1),
(26173, 1),
(26174, 1),
(26175, 1),
(26176, 1),
(26177, 1),
(26178, 1),
(26179, 1),
(26180, 1),
(26181, 1),
(26182, 1),
(26183, 1),
(26184, 1),
(26185, 1),
(26186, 1),
(26187, 1),
(26188, 1),
(26189, 1),
(26190, 1),
(26191, 1),
(26192, 1),
(26193, 1),
(26194, 1),
(26195, 1),
(26196, 1),
(26197, 1),
(26198, 1),
(26199, 1),
(26200, 1),
(26201, 1),
(26202, 1),
(26203, 1),
(26204, 1),
(26205, 1),
(26206, 1),
(26207, 1),
(26208, 1),
(26209, 1),
(26210, 1),
(26211, 1),
(26212, 1),
(26213, 1),
(26214, 1),
(26215, 1),
(26216, 1),
(26217, 1),
(26218, 1),
(26219, 1),
(26220, 1),
(26221, 1),
(26222, 1),
(26223, 1),
(26224, 1),
(26225, 1),
(26226, 1),
(26227, 1),
(26228, 1),
(26229, 1),
(26230, 1),
(26231, 1),
(26232, 1),
(26233, 1),
(26234, 1),
(26235, 1),
(26236, 1),
(26237, 1),
(26238, 1),
(26239, 1),
(26240, 1),
(26241, 1),
(26242, 1),
(26243, 1),
(26244, 1),
(26245, 1),
(26246, 1),
(26247, 1),
(26248, 1),
(26249, 1),
(26250, 1),
(26251, 1),
(26252, 1),
(26253, 1),
(26254, 1),
(26255, 1),
(26256, 1),
(26257, 1),
(26258, 1),
(26259, 1),
(26260, 1),
(26261, 1),
(26262, 1),
(26263, 1),
(26264, 1),
(26265, 1),
(26266, 1),
(26267, 1),
(26268, 1),
(26269, 1),
(26270, 1),
(26271, 1),
(26272, 1),
(26273, 1),
(26274, 1),
(26275, 1),
(26276, 1),
(26277, 1),
(26278, 1),
(26279, 1),
(26280, 1),
(26281, 1),
(26282, 1),
(26283, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(26284, 1),
(26285, 1),
(26286, 1),
(26287, 1),
(26288, 1),
(26289, 1),
(26290, 1),
(26291, 1),
(26292, 1),
(26293, 1),
(26294, 1),
(26295, 1),
(26296, 1),
(26297, 1),
(26298, 1),
(26299, 1),
(26300, 1),
(26301, 1),
(26302, 1),
(26303, 1),
(26304, 1),
(26305, 1),
(26306, 1),
(26307, 1),
(26308, 1),
(26309, 1),
(26310, 1),
(26311, 1),
(26312, 1),
(26313, 1),
(26314, 1),
(26315, 1),
(26316, 1),
(26317, 1),
(26318, 1),
(26319, 1),
(26320, 1),
(26321, 1),
(26322, 1),
(26323, 1),
(26324, 1),
(26325, 1),
(26326, 1),
(26327, 1),
(26328, 1),
(26329, 1),
(26330, 1),
(26331, 1),
(26332, 1),
(26333, 1),
(26334, 1),
(26335, 1),
(26336, 1),
(26337, 1),
(26338, 1),
(26339, 1),
(26340, 1),
(26341, 1),
(26342, 1),
(26343, 1),
(26344, 1),
(26345, 1),
(26346, 1),
(26347, 1),
(26348, 1),
(26349, 1),
(26350, 1),
(26351, 1),
(26352, 1),
(26353, 1),
(26354, 1),
(26355, 1),
(26356, 1),
(26357, 1),
(26358, 1),
(26359, 1),
(26360, 1),
(26361, 1),
(26362, 1),
(26363, 1),
(26364, 1),
(26365, 1),
(26366, 1),
(26367, 1),
(26368, 1),
(26369, 1),
(26370, 1),
(26371, 1),
(26372, 1),
(26373, 1),
(26374, 1),
(26375, 1),
(26376, 1),
(26377, 1),
(26378, 1),
(26379, 1),
(26380, 1),
(26381, 1),
(26382, 1),
(26383, 1),
(26384, 1),
(26385, 1),
(26386, 1),
(26387, 1),
(26388, 1),
(26389, 1),
(26390, 1),
(26391, 1),
(26392, 1),
(26393, 1),
(26394, 1),
(26395, 1),
(26396, 1),
(26397, 1),
(26398, 1),
(26399, 1),
(26400, 1),
(26401, 1),
(26402, 1),
(26403, 1),
(26404, 1),
(26405, 1),
(26406, 1),
(26407, 1),
(26408, 1),
(26409, 1),
(26410, 1),
(26411, 1),
(26412, 1),
(26413, 1),
(26414, 1),
(26415, 1),
(26416, 1),
(26417, 1),
(26418, 1),
(26419, 1),
(26420, 1),
(26421, 1),
(26422, 1),
(26423, 1),
(26424, 1),
(26425, 1),
(26426, 1),
(26427, 1),
(26428, 1),
(26429, 1),
(26430, 1),
(26431, 1),
(26432, 1),
(26433, 1),
(26434, 1),
(26435, 1),
(26436, 1),
(26437, 1),
(26438, 1),
(26439, 1),
(26440, 1),
(26441, 1),
(26442, 1),
(26443, 1),
(26444, 1),
(26445, 1),
(26446, 1),
(26447, 1),
(26448, 1),
(26449, 1),
(26450, 1),
(26451, 1),
(26452, 1),
(26453, 1),
(26454, 1),
(26455, 1),
(26456, 1),
(26457, 1),
(26458, 1),
(26459, 1),
(26460, 1),
(26461, 1),
(26462, 1),
(26463, 1),
(26464, 1),
(26465, 1),
(26466, 1),
(26467, 1),
(26468, 1),
(26469, 1),
(26470, 1),
(26471, 1),
(26472, 1),
(26473, 1),
(26474, 1),
(26475, 1),
(26476, 1),
(26477, 1),
(26478, 1),
(26479, 1),
(26480, 1),
(26481, 1),
(26482, 1),
(26483, 1),
(26484, 1),
(26485, 1),
(26486, 1),
(26487, 1),
(26488, 1),
(26489, 1),
(26490, 1),
(26491, 1),
(26492, 1),
(26493, 1),
(26494, 1),
(26495, 1),
(26496, 1),
(26497, 1),
(26498, 1),
(26499, 1),
(26500, 1),
(26501, 1),
(26502, 1),
(26503, 1),
(26504, 1),
(26505, 1),
(26506, 1),
(26507, 1),
(26508, 1),
(26509, 1),
(26510, 1),
(26511, 1),
(26512, 1),
(26513, 1),
(26514, 1),
(26515, 1),
(26516, 1),
(26517, 1),
(26518, 1),
(26519, 1),
(26520, 1),
(26521, 1),
(26522, 1),
(26523, 1),
(26524, 1),
(26525, 1),
(26526, 1),
(26527, 1),
(26528, 1),
(26529, 1),
(26530, 1),
(26531, 1),
(26532, 1),
(26533, 1),
(26534, 1),
(26535, 1),
(26536, 1),
(26537, 1),
(26538, 1),
(26539, 1),
(26540, 1),
(26541, 1),
(26542, 1),
(26543, 1),
(26544, 1),
(26545, 1),
(26546, 1),
(26547, 1),
(26548, 1),
(26549, 1),
(26550, 1),
(26551, 1),
(26552, 1),
(26553, 1),
(26554, 1),
(26555, 1),
(26556, 1),
(26557, 1),
(26558, 1),
(26559, 1),
(26560, 1),
(26561, 1),
(26562, 1),
(26563, 1),
(26564, 1),
(26565, 1),
(26566, 1),
(26567, 1),
(26568, 1),
(26569, 1),
(26570, 1),
(26571, 1),
(26572, 1),
(26573, 1),
(26574, 1),
(26575, 1),
(26576, 1),
(26577, 1),
(26578, 1),
(26579, 1),
(26580, 1),
(26581, 1),
(26582, 1),
(26583, 1),
(26584, 1),
(26585, 1),
(26586, 1),
(26587, 1),
(26588, 1),
(26589, 1),
(26590, 1),
(26591, 1),
(26592, 1),
(26593, 1),
(26594, 1),
(26595, 1),
(26596, 1),
(26597, 1),
(26598, 1),
(26599, 1),
(26600, 1),
(26601, 1),
(26602, 1),
(26603, 1),
(26604, 1),
(26605, 1),
(26606, 1),
(26607, 1),
(26608, 1),
(26609, 1),
(26610, 1),
(26611, 1),
(26612, 1),
(26613, 1),
(26614, 1),
(26615, 1),
(26616, 1),
(26617, 1),
(26618, 1),
(26619, 1),
(26620, 1),
(26621, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(26622, 1),
(26623, 1),
(26624, 1),
(26625, 1),
(26626, 1),
(26627, 1),
(26628, 1),
(26629, 1),
(26630, 1),
(26631, 1),
(26632, 1),
(26633, 1),
(26634, 1),
(26635, 1),
(26636, 1),
(26637, 1),
(26638, 1),
(26639, 1),
(26640, 1),
(26641, 1),
(26642, 1),
(26643, 1),
(26644, 1),
(26645, 1),
(26646, 1),
(26647, 1),
(26648, 1),
(26649, 1),
(26650, 1),
(26651, 1),
(26652, 1),
(26653, 1),
(26654, 1),
(26655, 1),
(26656, 1),
(26657, 1),
(26658, 1),
(26659, 1),
(26660, 1),
(26661, 1),
(26662, 1),
(26663, 1),
(26664, 1),
(26665, 1),
(26666, 1),
(26667, 1),
(26668, 1),
(26669, 1),
(26670, 1),
(26671, 1),
(26672, 1),
(26673, 1),
(26674, 1),
(26675, 1),
(26676, 1),
(26677, 1),
(26678, 1),
(26679, 1),
(26680, 1),
(26681, 1),
(26682, 1),
(26683, 1),
(26684, 1),
(26685, 1),
(26686, 1),
(26687, 1),
(26688, 1),
(26689, 1),
(26690, 1),
(26691, 1),
(26692, 1),
(26693, 1),
(26694, 1),
(26695, 1),
(26696, 1),
(26697, 1),
(26698, 1),
(26699, 1),
(26700, 1),
(26701, 1),
(26702, 1),
(26703, 1),
(26704, 1),
(26705, 1),
(26706, 1),
(26707, 1),
(26708, 1),
(26709, 1),
(26710, 1),
(26711, 1),
(26712, 1),
(26713, 1),
(26714, 1),
(26715, 1),
(26716, 1),
(26717, 1),
(26718, 1),
(26719, 1),
(26720, 1),
(26721, 1),
(26722, 1),
(26723, 1),
(26724, 1),
(26725, 1),
(26726, 1),
(26727, 1),
(26728, 1),
(26729, 1),
(26730, 1),
(26731, 1),
(26732, 1),
(26733, 1),
(26734, 1),
(26735, 1),
(26736, 1),
(26737, 1),
(26738, 1),
(26739, 1),
(26740, 1),
(26741, 1),
(26742, 1),
(26743, 1),
(26744, 1),
(26745, 1),
(26746, 1),
(26747, 1),
(26748, 1),
(26749, 1),
(26750, 1),
(26751, 1),
(26752, 1),
(26753, 1),
(26754, 1),
(26755, 1),
(26756, 1),
(26757, 1),
(26758, 1),
(26759, 1),
(26760, 1),
(26761, 1),
(26762, 1),
(26763, 1),
(26764, 1),
(26765, 1),
(26766, 1),
(26767, 1),
(26768, 1),
(26769, 1),
(26770, 1),
(26771, 1),
(26772, 1),
(26773, 1),
(26774, 1),
(26775, 1),
(26776, 1),
(26777, 1),
(26778, 1),
(26779, 1),
(26780, 1),
(26781, 1),
(26782, 1),
(26783, 1),
(26784, 1),
(26785, 1),
(26786, 1),
(26787, 1),
(26788, 1),
(26789, 1),
(26790, 1),
(26791, 1),
(26792, 1),
(26793, 1),
(26794, 1),
(26795, 1),
(26796, 1),
(26797, 1),
(26798, 1),
(26799, 1),
(26800, 1),
(26801, 1),
(26802, 1),
(26803, 1),
(26804, 1),
(26805, 1),
(26806, 1),
(26807, 1),
(26808, 1),
(26809, 1),
(26810, 1),
(26811, 1),
(26812, 1),
(26813, 1),
(26814, 1),
(26815, 1),
(26816, 1),
(26817, 1),
(26818, 1),
(26819, 1),
(26820, 1),
(26821, 1),
(26822, 1),
(26823, 1),
(26824, 1),
(26825, 1),
(26826, 1),
(26827, 1),
(26828, 1),
(26829, 1),
(26830, 1),
(26831, 1),
(26832, 1),
(26833, 1),
(26834, 1),
(26835, 1),
(26836, 1),
(26837, 1),
(26838, 1),
(26839, 1),
(26840, 1),
(26841, 1),
(26842, 1),
(26843, 1),
(26844, 1),
(26845, 1),
(26846, 1),
(26847, 1),
(26848, 1),
(26849, 1),
(26850, 1),
(26851, 1),
(26852, 1),
(26853, 1),
(26854, 1),
(26855, 1),
(26856, 1),
(26857, 1),
(26858, 1),
(26859, 1),
(26860, 1),
(26861, 1),
(26862, 1),
(26863, 1),
(26864, 1),
(26865, 1),
(26866, 1),
(26867, 1),
(26868, 1),
(26869, 1),
(26870, 1),
(26871, 1),
(26872, 1),
(26873, 1),
(26874, 1),
(26875, 1),
(26876, 1),
(26877, 1),
(26878, 1),
(26879, 1),
(26880, 1),
(26881, 1),
(26882, 1),
(26883, 1),
(26884, 1),
(26885, 1),
(26886, 1),
(26887, 1),
(26888, 1),
(26889, 1),
(26890, 1),
(26891, 1),
(26892, 1),
(26893, 1),
(26894, 1),
(26895, 1),
(26896, 1),
(26897, 1),
(26898, 1),
(26899, 1),
(26900, 1),
(26901, 1),
(26902, 1),
(26903, 1),
(26904, 1),
(26905, 1),
(26906, 1),
(26907, 1),
(26908, 1),
(26909, 1),
(26910, 1),
(26911, 1),
(26912, 1),
(26913, 1),
(26914, 1),
(26915, 1),
(26916, 1),
(26917, 1),
(26918, 1),
(26919, 1),
(26920, 1),
(26921, 1),
(26922, 1),
(26923, 1),
(26924, 1),
(26925, 1),
(26926, 1),
(26927, 1),
(26928, 1),
(26929, 1),
(26930, 1),
(26931, 1),
(26932, 1),
(26933, 1),
(26934, 1),
(26935, 1),
(26936, 1),
(26937, 1),
(26938, 1),
(26939, 1),
(26940, 1),
(26941, 1),
(26942, 1),
(26943, 1),
(26944, 1),
(26945, 1),
(26946, 1),
(26947, 1),
(26948, 1),
(26949, 1),
(26950, 1),
(26951, 1),
(26952, 1),
(26953, 1),
(26954, 1),
(26955, 1),
(26956, 1),
(26957, 1),
(26958, 1),
(26959, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(26960, 1),
(26961, 1),
(26962, 1),
(26963, 1),
(26964, 1),
(26965, 1),
(26966, 1),
(26967, 1),
(26968, 1),
(26969, 1),
(26970, 1),
(26971, 1),
(26972, 1),
(26973, 1),
(26974, 1),
(26975, 1),
(26976, 1),
(26977, 1),
(26978, 1),
(26979, 1),
(26980, 1),
(26981, 1),
(26982, 1),
(26983, 1),
(26984, 1),
(26985, 1),
(26986, 1),
(26987, 1),
(26988, 1),
(26989, 1),
(26990, 1),
(26991, 1),
(26992, 1),
(26993, 1),
(26994, 1),
(26995, 1),
(26996, 1),
(26997, 1),
(26998, 1),
(26999, 1),
(27000, 1),
(27001, 1),
(27002, 1),
(27003, 1),
(27004, 1),
(27005, 1),
(27006, 1),
(27007, 1),
(27008, 1),
(27009, 1),
(27010, 1),
(27011, 1),
(27012, 1),
(27013, 1),
(27014, 1),
(27015, 1),
(27016, 1),
(27017, 1),
(27018, 1),
(27019, 1),
(27020, 1),
(27021, 1),
(27022, 1),
(27023, 1),
(27024, 1),
(27025, 1),
(27026, 1),
(27027, 1),
(27028, 1),
(27029, 1),
(27030, 1),
(27031, 1),
(27032, 1),
(27033, 1),
(27034, 1),
(27035, 1),
(27036, 1),
(27037, 1),
(27038, 1),
(27039, 1),
(27040, 1),
(27041, 1),
(27042, 1),
(27043, 1),
(27044, 1),
(27045, 1),
(27046, 1),
(27047, 1),
(27048, 1),
(27049, 1),
(27050, 1),
(27051, 1),
(27052, 1),
(27053, 1),
(27054, 1),
(27055, 1),
(27056, 1),
(27057, 1),
(27058, 1),
(27059, 1),
(27060, 1),
(27061, 1),
(27062, 1),
(27063, 1),
(27064, 1),
(27065, 1),
(27066, 1),
(27067, 1),
(27068, 1),
(27069, 1),
(27070, 1),
(27071, 1),
(27072, 1),
(27073, 1),
(27074, 1),
(27075, 1),
(27076, 1),
(27077, 1),
(27078, 1),
(27079, 1),
(27080, 1),
(27081, 1),
(27082, 1),
(27083, 1),
(27084, 1),
(27085, 1),
(27086, 1),
(27087, 1),
(27088, 1),
(27089, 1),
(27090, 1),
(27091, 1),
(27092, 1),
(27093, 1),
(27094, 1),
(27095, 1),
(27096, 1),
(27097, 1),
(27098, 1),
(27099, 1),
(27100, 1),
(27101, 1),
(27102, 1),
(27103, 1),
(27104, 1),
(27105, 1),
(27106, 1),
(27107, 1),
(27108, 1),
(27109, 1),
(27110, 1),
(27111, 1),
(27112, 1),
(27113, 1),
(27114, 1),
(27115, 1),
(27116, 1),
(27117, 1),
(27118, 1),
(27119, 1),
(27120, 1),
(27121, 1),
(27122, 1),
(27123, 1),
(27124, 1),
(27125, 1),
(27126, 1),
(27127, 1),
(27128, 1),
(27129, 1),
(27130, 1),
(27131, 1),
(27132, 1),
(27133, 1),
(27134, 1),
(27135, 1),
(27136, 1),
(27137, 1),
(27138, 1),
(27139, 1),
(27140, 1),
(27141, 1),
(27142, 1),
(27143, 1),
(27144, 1),
(27145, 1),
(27146, 1),
(27147, 1),
(27148, 1),
(27149, 1),
(27150, 1),
(27151, 1),
(27152, 1),
(27153, 1),
(27154, 1),
(27155, 1),
(27156, 1),
(27157, 1),
(27158, 1),
(27159, 1),
(27160, 1),
(27161, 1),
(27162, 1),
(27163, 1),
(27164, 1),
(27165, 1),
(27166, 1),
(27167, 1),
(27168, 1),
(27169, 1),
(27170, 1),
(27171, 1),
(27172, 1),
(27173, 1),
(27174, 1),
(27175, 1),
(27176, 1),
(27177, 1),
(27178, 1),
(27179, 1),
(27180, 1),
(27181, 1),
(27182, 1),
(27183, 1),
(27184, 1),
(27185, 1),
(27186, 1),
(27187, 1),
(27188, 1),
(27189, 1),
(27190, 1),
(27191, 1),
(27192, 1),
(27193, 1),
(27194, 1),
(27195, 1),
(27196, 1),
(27197, 1),
(27198, 1),
(27199, 1),
(27200, 1),
(27201, 1),
(27202, 1),
(27203, 1),
(27204, 1),
(27205, 1),
(27206, 1),
(27207, 1),
(27208, 1),
(27209, 1),
(27210, 1),
(27211, 1),
(27212, 1),
(27213, 1),
(27214, 1),
(27215, 1),
(27216, 1),
(27217, 1),
(27218, 1),
(27219, 1),
(27220, 1),
(27221, 1),
(27222, 1),
(27223, 1),
(27224, 1),
(27225, 1),
(27226, 1),
(27227, 1),
(27228, 1),
(27229, 1),
(27230, 1),
(27231, 1),
(27232, 1),
(27233, 1),
(27234, 1),
(27235, 1),
(27236, 1),
(27237, 1),
(27238, 1),
(27239, 1),
(27240, 1),
(27241, 1),
(27242, 1),
(27243, 1),
(27244, 1),
(27245, 1),
(27246, 1),
(27247, 1),
(27248, 1),
(27249, 1),
(27250, 1),
(27251, 1),
(27252, 1),
(27253, 1),
(27254, 1),
(27255, 1),
(27256, 1),
(27257, 1),
(27258, 1),
(27259, 1),
(27260, 1),
(27261, 1),
(27262, 1),
(27263, 1),
(27264, 1),
(27265, 1),
(27266, 1),
(27267, 1),
(27268, 1),
(27269, 1),
(27270, 1),
(27271, 1),
(27272, 1),
(27273, 1),
(27274, 1),
(27275, 1),
(27276, 1),
(27277, 1),
(27278, 1),
(27279, 1),
(27280, 1),
(27281, 1),
(27282, 1),
(27283, 1),
(27284, 1),
(27285, 1),
(27286, 1),
(27287, 1),
(27288, 1),
(27289, 1),
(27290, 1),
(27291, 1),
(27292, 1),
(27293, 1),
(27294, 1),
(27295, 1),
(27296, 1),
(27297, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(27298, 1),
(27299, 1),
(27300, 1),
(27301, 1),
(27302, 1),
(27303, 1),
(27304, 1),
(27305, 1),
(27306, 1),
(27307, 1),
(27308, 1),
(27309, 1),
(27310, 1),
(27311, 1),
(27312, 1),
(27313, 1),
(27314, 1),
(27315, 1),
(27316, 1),
(27317, 1),
(27318, 1),
(27319, 1),
(27320, 1),
(27321, 1),
(27322, 1),
(27323, 1),
(27324, 1),
(27325, 1),
(27326, 1),
(27327, 1),
(27328, 1),
(27329, 1),
(27330, 1),
(27331, 1),
(27332, 1),
(27333, 1),
(27334, 1),
(27335, 1),
(27336, 1),
(27337, 1),
(27338, 1),
(27339, 1),
(27340, 1),
(27341, 1),
(27342, 1),
(27343, 1),
(27344, 1),
(27345, 1),
(27346, 1),
(27347, 1),
(27348, 1),
(27349, 1),
(27350, 1),
(27351, 1),
(27352, 1),
(27353, 1),
(27354, 1),
(27355, 1),
(27356, 1),
(27357, 1),
(27358, 1),
(27359, 1),
(27360, 1),
(27361, 1),
(27362, 1),
(27363, 1),
(27364, 1),
(27365, 1),
(27366, 1),
(27367, 1),
(27368, 1),
(27369, 1),
(27370, 1),
(27371, 1),
(27372, 1),
(27373, 1),
(27374, 1),
(27375, 1),
(27376, 1),
(27377, 1),
(27378, 1),
(27379, 1),
(27380, 1),
(27381, 1),
(27382, 1),
(27383, 1),
(27384, 1),
(27385, 1),
(27386, 1),
(27387, 1),
(27388, 1),
(27389, 1),
(27390, 1),
(27391, 1),
(27392, 1),
(27393, 1),
(27394, 1),
(27395, 1),
(27396, 1),
(27397, 1),
(27398, 1),
(27399, 1),
(27400, 1),
(27401, 1),
(27402, 1),
(27403, 1),
(27404, 1),
(27405, 1),
(27406, 1),
(27407, 1),
(27408, 1),
(27409, 1),
(27410, 1),
(27411, 1),
(27412, 1),
(27413, 1),
(27414, 1),
(27415, 1),
(27416, 1),
(27417, 1),
(27418, 1),
(27419, 1),
(27420, 1),
(27421, 1),
(27422, 1),
(27423, 1),
(27424, 1),
(27425, 1),
(27426, 1),
(27427, 1),
(27428, 1),
(27429, 1),
(27430, 1),
(27431, 1),
(27432, 1),
(27433, 1),
(27434, 1),
(27435, 1),
(27436, 1),
(27437, 1),
(27438, 1),
(27439, 1),
(27440, 1),
(27441, 1),
(27442, 1),
(27443, 1),
(27444, 1),
(27445, 1),
(27446, 1),
(27447, 1),
(27448, 1),
(27449, 1),
(27450, 1),
(27451, 1),
(27452, 1),
(27453, 1),
(27454, 1),
(27455, 1),
(27456, 1),
(27457, 1),
(27458, 1),
(27459, 1),
(27460, 1),
(27461, 1),
(27462, 1),
(27463, 1),
(27464, 1),
(27465, 1),
(27466, 1),
(27467, 1),
(27468, 1),
(27469, 1),
(27470, 1),
(27471, 1),
(27472, 1),
(27473, 1),
(27474, 1),
(27475, 1),
(27476, 1),
(27477, 1),
(27478, 1),
(27479, 1),
(27480, 1),
(27481, 1),
(27482, 1),
(27483, 1),
(27484, 1),
(27485, 1),
(27486, 1),
(27487, 1),
(27488, 1),
(27489, 1),
(27490, 1),
(27491, 1),
(27492, 1),
(27493, 1),
(27494, 1),
(27495, 1),
(27496, 1),
(27497, 1),
(27498, 1),
(27499, 1),
(27500, 1),
(27501, 1),
(27502, 1),
(27503, 1),
(27504, 1),
(27505, 1),
(27506, 1),
(27507, 1),
(27508, 1),
(27509, 1),
(27510, 1),
(27511, 1),
(27512, 1),
(27513, 1),
(27514, 1),
(27515, 1),
(27516, 1),
(27517, 1),
(27518, 1),
(27519, 1),
(27520, 1),
(27521, 1),
(27522, 1),
(27523, 1),
(27524, 1),
(27525, 1),
(27526, 1),
(27527, 1),
(27528, 1),
(27529, 1),
(27530, 1),
(27531, 1),
(27532, 1),
(27533, 1),
(27534, 1),
(27535, 1),
(27536, 1),
(27537, 1),
(27538, 1),
(27539, 1),
(27540, 1),
(27541, 1),
(27542, 1),
(27543, 1),
(27544, 1),
(27545, 1),
(27546, 1),
(27547, 1),
(27548, 1),
(27549, 1),
(27550, 1),
(27551, 1),
(27552, 1),
(27553, 1),
(27554, 1),
(27555, 1),
(27556, 1),
(27557, 1),
(27558, 1),
(27559, 1),
(27560, 1),
(27561, 1),
(27562, 1),
(27563, 1),
(27564, 1),
(27565, 1),
(27566, 1),
(27567, 1),
(27568, 1),
(27569, 1),
(27570, 1),
(27571, 1),
(27572, 1),
(27573, 1),
(27574, 1),
(27575, 1),
(27576, 1),
(27577, 1),
(27578, 1),
(27579, 1),
(27580, 1),
(27581, 1),
(27582, 1),
(27583, 1),
(27584, 1),
(27585, 1),
(27586, 1),
(27587, 1),
(27588, 1),
(27589, 1),
(27590, 1),
(27591, 1),
(27592, 1),
(27593, 1),
(27594, 1),
(27595, 1),
(27596, 1),
(27597, 1),
(27598, 1),
(27599, 1),
(27600, 1),
(27601, 1),
(27602, 1),
(27603, 1),
(27604, 1),
(27605, 1),
(27606, 1),
(27607, 1),
(27608, 1),
(27609, 1),
(27610, 1),
(27611, 1),
(27612, 1),
(27613, 1),
(27614, 1),
(27615, 1),
(27616, 1),
(27617, 1),
(27618, 1),
(27619, 1),
(27620, 1),
(27621, 1),
(27622, 1),
(27623, 1),
(27624, 1),
(27625, 1),
(27626, 1),
(27627, 1),
(27628, 1),
(27629, 1),
(27630, 1),
(27631, 1),
(27632, 1),
(27633, 1),
(27634, 1),
(27635, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(27636, 1),
(27637, 1),
(27638, 1),
(27639, 1),
(27640, 1),
(27641, 1),
(27642, 1),
(27643, 1),
(27644, 1),
(27645, 1),
(27646, 1),
(27647, 1),
(27648, 1),
(27649, 1),
(27650, 1),
(27651, 1),
(27652, 1),
(27653, 1),
(27654, 1),
(27655, 1),
(27656, 1),
(27657, 1),
(27658, 1),
(27659, 1),
(27660, 1),
(27661, 1),
(27662, 1),
(27663, 1),
(27664, 1),
(27665, 1),
(27666, 1),
(27667, 1),
(27668, 1),
(27669, 1),
(27670, 1),
(27671, 1),
(27672, 1),
(27673, 1),
(27674, 1),
(27675, 1),
(27676, 1),
(27677, 1),
(27678, 1),
(27679, 1),
(27680, 1),
(27681, 1),
(27682, 1),
(27683, 1),
(27684, 1),
(27685, 1),
(27686, 1),
(27687, 1),
(27688, 1),
(27689, 1),
(27690, 1),
(27691, 1),
(27692, 1),
(27693, 1),
(27694, 1),
(27695, 1),
(27696, 1),
(27697, 1),
(27698, 1),
(27699, 1),
(27700, 1),
(27701, 1),
(27702, 1),
(27703, 1),
(27704, 1),
(27705, 1),
(27706, 1),
(27707, 1),
(27708, 1),
(27709, 1),
(27710, 1),
(27711, 1),
(27712, 1),
(27713, 1),
(27714, 1),
(27715, 1),
(27716, 1),
(27717, 1),
(27718, 1),
(27719, 1),
(27720, 1),
(27721, 1),
(27722, 1),
(27723, 1),
(27724, 1),
(27725, 1),
(27726, 1),
(27727, 1),
(27728, 1),
(27729, 1),
(27730, 1),
(27731, 1),
(27732, 1),
(27733, 1),
(27734, 1),
(27735, 1),
(27736, 1),
(27737, 1),
(27738, 1),
(27739, 1),
(27740, 1),
(27741, 1),
(27742, 1),
(27743, 1),
(27744, 1),
(27745, 1),
(27746, 1),
(27747, 1),
(27748, 1),
(27749, 1),
(27750, 1),
(27751, 1),
(27752, 1),
(27753, 1),
(27754, 1),
(27755, 1),
(27756, 1),
(27757, 1),
(27758, 1),
(27759, 1),
(27760, 1),
(27761, 1),
(27762, 1),
(27763, 1),
(27764, 1),
(27765, 1),
(27766, 1),
(27767, 1),
(27768, 1),
(27769, 1),
(27770, 1),
(27771, 1),
(27772, 1),
(27773, 1),
(27774, 1),
(27775, 1),
(27776, 1),
(27777, 1),
(27778, 1),
(27779, 1),
(27780, 1),
(27781, 1),
(27782, 1),
(27783, 1),
(27784, 1),
(27785, 1),
(27786, 1),
(27787, 1),
(27788, 1),
(27789, 1),
(27790, 1),
(27791, 1),
(27792, 1),
(27793, 1),
(27794, 1),
(27795, 1),
(27796, 1),
(27797, 1),
(27798, 1),
(27799, 1),
(27800, 1),
(27801, 1),
(27802, 1),
(27803, 1),
(27804, 1),
(27805, 1),
(27806, 1),
(27807, 1),
(27808, 1),
(27809, 1),
(27810, 1),
(27811, 1),
(27812, 1),
(27813, 1),
(27814, 1),
(27815, 1),
(27816, 1),
(27817, 1),
(27818, 1),
(27819, 1),
(27820, 1),
(27821, 1),
(27822, 1),
(27823, 1),
(27824, 1),
(27825, 1),
(27826, 1),
(27827, 1),
(27828, 1),
(27829, 1),
(27830, 1),
(27831, 1),
(27832, 1),
(27833, 1),
(27834, 1),
(27835, 1),
(27836, 1),
(27837, 1),
(27838, 1),
(27839, 1),
(27840, 1),
(27841, 1),
(27842, 1),
(27843, 1),
(27844, 1),
(27845, 1),
(27846, 1),
(27847, 1),
(27848, 1),
(27849, 1),
(27850, 1),
(27851, 1),
(27852, 1),
(27853, 1),
(27854, 1),
(27855, 1),
(27856, 1),
(27857, 1),
(27858, 1),
(27859, 1),
(27860, 1),
(27861, 1),
(27862, 1),
(27863, 1),
(27864, 1),
(27865, 1),
(27866, 1),
(27867, 1),
(27868, 1),
(27869, 1),
(27870, 1),
(27871, 1),
(27872, 1),
(27873, 1),
(27874, 1),
(27875, 1),
(27876, 1),
(27877, 1),
(27878, 1),
(27879, 1),
(27880, 1),
(27881, 1),
(27882, 1),
(27883, 1),
(27884, 1),
(27885, 1),
(27886, 1),
(27887, 1),
(27888, 1),
(27889, 1),
(27890, 1),
(27891, 1),
(27892, 1),
(27893, 1),
(27894, 1),
(27895, 1),
(27896, 1),
(27897, 1),
(27898, 1),
(27899, 1),
(27900, 1),
(27901, 1),
(27902, 1),
(27903, 1),
(27904, 1),
(27905, 1),
(27906, 1),
(27907, 1),
(27908, 1),
(27909, 1),
(27910, 1),
(27911, 1),
(27912, 1),
(27913, 1),
(27914, 1),
(27915, 1),
(27916, 1),
(27917, 1),
(27918, 1),
(27919, 1),
(27920, 1),
(27921, 1),
(27922, 1),
(27923, 1),
(27924, 1),
(27925, 1),
(27926, 1),
(27927, 1),
(27928, 1),
(27929, 1),
(27930, 1),
(27931, 1),
(27932, 1),
(27933, 1),
(27934, 1),
(27935, 1),
(27936, 1),
(27937, 1),
(27938, 1),
(27939, 1),
(27940, 1),
(27941, 1),
(27942, 1),
(27943, 1),
(27944, 1),
(27945, 1),
(27946, 1),
(27947, 1),
(27948, 1),
(27949, 1),
(27950, 1),
(27951, 1),
(27952, 1),
(27953, 1),
(27954, 1),
(27955, 1),
(27956, 1),
(27957, 1),
(27958, 1),
(27959, 1),
(27960, 1),
(27961, 1),
(27962, 1),
(27963, 1),
(27964, 1),
(27965, 1),
(27966, 1),
(27967, 1),
(27968, 1),
(27969, 1),
(27970, 1),
(27971, 1),
(27972, 1),
(27973, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(27974, 1),
(27975, 1),
(27976, 1),
(27977, 1),
(27978, 1),
(27979, 1),
(27980, 1),
(27981, 1),
(27982, 1),
(27983, 1),
(27984, 1),
(27985, 1),
(27986, 1),
(27987, 1),
(27988, 1),
(27989, 1),
(27990, 1),
(27991, 1),
(27992, 1),
(27993, 1),
(27994, 1),
(27995, 1),
(27996, 1),
(27997, 1),
(27998, 1),
(27999, 1),
(28000, 1),
(28001, 1),
(28002, 1),
(28003, 1),
(28004, 1),
(28005, 1),
(28006, 1),
(28007, 1),
(28008, 1),
(28009, 1),
(28010, 1),
(28011, 1),
(28012, 1),
(28013, 1),
(28014, 1),
(28015, 1),
(28016, 1),
(28017, 1),
(28018, 1),
(28019, 1),
(28020, 1),
(28021, 1),
(28022, 1),
(28023, 1),
(28024, 1),
(28025, 1),
(28026, 1),
(28027, 1),
(28028, 1),
(28029, 1),
(28030, 1),
(28031, 1),
(28032, 1),
(28033, 1),
(28034, 1),
(28035, 1),
(28036, 1),
(28037, 1),
(28038, 1),
(28039, 1),
(28040, 1),
(28041, 1),
(28042, 1),
(28043, 1),
(28044, 1),
(28045, 1),
(28046, 1),
(28047, 1),
(28048, 1),
(28049, 1),
(28050, 1),
(28051, 1),
(28052, 1),
(28053, 1),
(28054, 1),
(28055, 1),
(28056, 1),
(28057, 1),
(28058, 1),
(28059, 1),
(28060, 1),
(28061, 1),
(28062, 1),
(28063, 1),
(28064, 1),
(28065, 1),
(28066, 1),
(28067, 1),
(28068, 1),
(28069, 1),
(28070, 1),
(28071, 1),
(28072, 1),
(28073, 1),
(28074, 1),
(28075, 1),
(28076, 1),
(28077, 1),
(28078, 1),
(28079, 1),
(28080, 1),
(28081, 1),
(28082, 1),
(28083, 1),
(28084, 1),
(28085, 1),
(28086, 1),
(28087, 1),
(28088, 1),
(28089, 1),
(28090, 1),
(28091, 1),
(28092, 1),
(28093, 1),
(28094, 1),
(28095, 1),
(28096, 1),
(28097, 1),
(28098, 1),
(28099, 1),
(28100, 1),
(28101, 1),
(28102, 1),
(28103, 1),
(28104, 1),
(28105, 1),
(28106, 1),
(28107, 1),
(28108, 1),
(28109, 1),
(28110, 1),
(28111, 1),
(28112, 1),
(28113, 1),
(28114, 1),
(28115, 1),
(28116, 1),
(28117, 1),
(28118, 1),
(28119, 1),
(28120, 1),
(28121, 1),
(28122, 1),
(28123, 1),
(28124, 1),
(28125, 1),
(28126, 1),
(28127, 1),
(28128, 1),
(28129, 1),
(28130, 1),
(28131, 1),
(28132, 1),
(28133, 1),
(28134, 1),
(28135, 1),
(28136, 1),
(28137, 1),
(28138, 1),
(28139, 1),
(28140, 1),
(28141, 1),
(28142, 1),
(28143, 1),
(28144, 1),
(28145, 1),
(28146, 1),
(28147, 1),
(28148, 1),
(28149, 1),
(28150, 1),
(28151, 1),
(28152, 1),
(28153, 1),
(28154, 1),
(28155, 1),
(28156, 1),
(28157, 1),
(28158, 1),
(28159, 1),
(28160, 1),
(28161, 1),
(28162, 1),
(28163, 1),
(28164, 1),
(28165, 1),
(28166, 1),
(28167, 1),
(28168, 1),
(28169, 1),
(28170, 1),
(28171, 1),
(28172, 1),
(28173, 1),
(28174, 1),
(28175, 1),
(28176, 1),
(28177, 1),
(28178, 1),
(28179, 1),
(28180, 1),
(28181, 1),
(28182, 1),
(28183, 1),
(28184, 1),
(28185, 1),
(28186, 1),
(28187, 1),
(28188, 1),
(28189, 1),
(28190, 1),
(28191, 1),
(28192, 1),
(28193, 1),
(28194, 1),
(28195, 1),
(28196, 1),
(28197, 1),
(28198, 1),
(28199, 1),
(28200, 1),
(28201, 1),
(28202, 1),
(28203, 1),
(28204, 1),
(28205, 1),
(28206, 1),
(28207, 1),
(28208, 1),
(28209, 1),
(28210, 1),
(28211, 1),
(28212, 1),
(28213, 1),
(28214, 1),
(28215, 1),
(28216, 1),
(28217, 1),
(28218, 1),
(28219, 1),
(28220, 1),
(28221, 1),
(28222, 1),
(28223, 1),
(28224, 1),
(28225, 1),
(28226, 1),
(28227, 1),
(28228, 1),
(28229, 1),
(28230, 1),
(28231, 1),
(28232, 1),
(28233, 1),
(28234, 1),
(28235, 1),
(28236, 1),
(28237, 1),
(28238, 1),
(28239, 1),
(28240, 1),
(28241, 1),
(28242, 1),
(28243, 1),
(28244, 1),
(28245, 1),
(28246, 1),
(28247, 1),
(28248, 1),
(28249, 1),
(28250, 1),
(28251, 1),
(28252, 1),
(28253, 1),
(28254, 1),
(28255, 1),
(28256, 1),
(28257, 1),
(28258, 1),
(28259, 1),
(28260, 1),
(28261, 1),
(28262, 1),
(28263, 1),
(28264, 1),
(28265, 1),
(28266, 1),
(28267, 1),
(28268, 1),
(28269, 1),
(28270, 1),
(28271, 1),
(28272, 1),
(28273, 1),
(28274, 1),
(28275, 1),
(28276, 1),
(28277, 1),
(28278, 1),
(28279, 1),
(28280, 1),
(28281, 1),
(28282, 1),
(28283, 1),
(28284, 1),
(28285, 1),
(28286, 1),
(28287, 1),
(28288, 1),
(28289, 1),
(28290, 1),
(28291, 1),
(28292, 1),
(28293, 1),
(28294, 1),
(28295, 1),
(28296, 1),
(28297, 1),
(28298, 1),
(28299, 1),
(28300, 1),
(28301, 1),
(28302, 1),
(28303, 1),
(28304, 1),
(28305, 1),
(28306, 1),
(28307, 1),
(28308, 1),
(28309, 1),
(28310, 1),
(28311, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(28312, 1),
(28313, 1),
(28314, 1),
(28315, 1),
(28316, 1),
(28317, 1),
(28318, 1),
(28319, 1),
(28320, 1),
(28321, 1),
(28322, 1),
(28323, 1),
(28324, 1),
(28325, 1),
(28326, 1),
(28327, 1),
(28328, 1),
(28329, 1),
(28330, 1),
(28331, 1),
(28332, 1),
(28333, 1),
(28334, 1),
(28335, 1),
(28336, 1),
(28337, 1),
(28338, 1),
(28339, 1),
(28340, 1),
(28341, 1),
(28342, 1),
(28343, 1),
(28344, 1),
(28345, 1),
(28346, 1),
(28347, 1),
(28348, 1),
(28349, 1),
(28350, 1),
(28351, 1),
(28352, 1),
(28353, 1),
(28354, 1),
(28355, 1),
(28356, 1),
(28357, 1),
(28358, 1),
(28359, 1),
(28360, 1),
(28361, 1),
(28362, 1),
(28363, 1),
(28364, 1),
(28365, 1),
(28366, 1),
(28367, 1),
(28368, 1),
(28369, 1),
(28370, 1),
(28371, 1),
(28372, 1),
(28373, 1),
(28374, 1),
(28375, 1),
(28376, 1),
(28377, 1),
(28378, 1),
(28379, 1),
(28380, 1),
(28381, 1),
(28382, 1),
(28383, 1),
(28384, 1),
(28385, 1),
(28386, 1),
(28387, 1),
(28388, 1),
(28389, 1),
(28390, 1),
(28391, 1),
(28392, 1),
(28393, 1),
(28394, 1),
(28395, 1),
(28396, 1),
(28397, 1),
(28398, 1),
(28399, 1),
(28400, 1),
(28401, 1),
(28402, 1),
(28403, 1),
(28404, 1),
(28405, 1),
(28406, 1),
(28407, 1),
(28408, 1),
(28409, 1),
(28410, 1),
(28411, 1),
(28412, 1),
(28413, 1),
(28414, 1),
(28415, 1),
(28416, 1),
(28417, 1),
(28418, 1),
(28419, 1),
(28420, 1),
(28421, 1),
(28422, 1),
(28423, 1),
(28424, 1),
(28425, 1),
(28426, 1),
(28427, 1),
(28428, 1),
(28429, 1),
(28430, 1),
(28431, 1),
(28432, 1),
(28433, 1),
(28434, 1),
(28435, 1),
(28436, 1),
(28437, 1),
(28438, 1),
(28439, 1),
(28440, 1),
(28441, 1),
(28442, 1),
(28443, 1),
(28444, 1),
(28445, 1),
(28446, 1),
(28447, 1),
(28448, 1),
(28449, 1),
(28450, 1),
(28451, 1),
(28452, 1),
(28453, 1),
(28454, 1),
(28455, 1),
(28456, 1),
(28457, 1),
(28458, 1),
(28459, 1),
(28460, 1),
(28461, 1),
(28462, 1),
(28463, 1),
(28464, 1),
(28465, 1),
(28466, 1),
(28467, 1),
(28468, 1),
(28469, 1),
(28470, 1),
(28471, 1),
(28472, 1),
(28473, 1),
(28474, 1),
(28475, 1),
(28476, 1),
(28477, 1),
(28478, 1),
(28479, 1),
(28480, 1),
(28481, 1),
(28482, 1),
(28483, 1),
(28484, 1),
(28485, 1),
(28486, 1),
(28487, 1),
(28488, 1),
(28489, 1),
(28490, 1),
(28491, 1),
(28492, 1),
(28493, 1),
(28494, 1),
(28495, 1),
(28496, 1),
(28497, 1),
(28498, 1),
(28499, 1),
(28500, 1),
(28501, 1),
(28502, 1),
(28503, 1),
(28504, 1),
(28505, 1),
(28506, 1),
(28507, 1),
(28508, 1),
(28509, 1),
(28510, 1),
(28511, 1),
(28512, 1),
(28513, 1),
(28514, 1),
(28515, 1),
(28516, 1),
(28517, 1),
(28518, 1),
(28519, 1),
(28520, 1),
(28521, 1),
(28522, 1),
(28523, 1),
(28524, 1),
(28525, 1),
(28526, 1),
(28527, 1),
(28528, 1),
(28529, 1),
(28530, 1),
(28531, 1),
(28532, 1),
(28533, 1),
(28534, 1),
(28535, 1),
(28536, 1),
(28537, 1),
(28538, 1),
(28539, 1),
(28540, 1),
(28541, 1),
(28542, 1),
(28543, 1),
(28544, 1),
(28545, 1),
(28546, 1),
(28547, 1),
(28548, 1),
(28549, 1),
(28550, 1),
(28551, 1),
(28552, 1),
(28553, 1),
(28554, 1),
(28555, 1),
(28556, 1),
(28557, 1),
(28558, 1),
(28559, 1),
(28560, 1),
(28561, 1),
(28562, 1),
(28563, 1),
(28564, 1),
(28565, 1),
(28566, 1),
(28567, 1),
(28568, 1),
(28569, 1),
(28570, 1),
(28571, 1),
(28572, 1),
(28573, 1),
(28574, 1),
(28575, 1),
(28576, 1),
(28577, 1),
(28578, 1),
(28579, 1),
(28580, 1),
(28581, 1),
(28582, 1),
(28583, 1),
(28584, 1),
(28585, 1),
(28586, 1),
(28587, 1),
(28588, 1),
(28589, 1),
(28590, 1),
(28591, 1),
(28592, 1),
(28593, 1),
(28594, 1),
(28595, 1),
(28596, 1),
(28597, 1),
(28598, 1),
(28599, 1),
(28600, 1),
(28601, 1),
(28602, 1),
(28603, 1),
(28604, 1),
(28605, 1),
(28606, 1),
(28607, 1),
(28608, 1),
(28609, 1),
(28610, 1),
(28611, 1),
(28612, 1),
(28613, 1),
(28614, 1),
(28615, 1),
(28616, 1),
(28617, 1),
(28618, 1),
(28619, 1),
(28620, 1),
(28621, 1),
(28622, 1),
(28623, 1),
(28624, 1),
(28625, 1),
(28626, 1),
(28627, 1),
(28628, 1),
(28629, 1),
(28630, 1),
(28631, 1),
(28632, 1),
(28633, 1),
(28634, 1),
(28635, 1),
(28636, 1),
(28637, 1),
(28638, 1),
(28639, 1),
(28640, 1),
(28641, 1),
(28642, 1),
(28643, 1),
(28644, 1),
(28645, 1),
(28646, 1),
(28647, 1),
(28648, 1),
(28649, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(28650, 1),
(28651, 1),
(28652, 1),
(28653, 1),
(28654, 1),
(28655, 1),
(28656, 1),
(28657, 1),
(28658, 1),
(28659, 1),
(28660, 1),
(28661, 1),
(28662, 1),
(28663, 1),
(28664, 1),
(28665, 1),
(28666, 1),
(28667, 1),
(28668, 1),
(28669, 1),
(28670, 1),
(28671, 1),
(28672, 1),
(28673, 1),
(28674, 1),
(28675, 1),
(28676, 1),
(28677, 1),
(28678, 1),
(28679, 1),
(28680, 1),
(28681, 1),
(28682, 1),
(28683, 1),
(28684, 1),
(28685, 1),
(28686, 1),
(28687, 1),
(28688, 1),
(28689, 1),
(28690, 1),
(28691, 1),
(28692, 1),
(28693, 1),
(28694, 1),
(28695, 1),
(28696, 1),
(28697, 1),
(28698, 1),
(28699, 1),
(28700, 1),
(28701, 1),
(28702, 1),
(28703, 1),
(28704, 1),
(28705, 1),
(28706, 1),
(28707, 1),
(28708, 1),
(28709, 1),
(28710, 1),
(28711, 1),
(28712, 1),
(28713, 1),
(28714, 1),
(28715, 1),
(28716, 1),
(28717, 1),
(28718, 1),
(28719, 1),
(28720, 1),
(28721, 1),
(28722, 1),
(28723, 1),
(28724, 1),
(28725, 1),
(28726, 1),
(28727, 1),
(28728, 1),
(28729, 1),
(28730, 1),
(28731, 1),
(28732, 1),
(28733, 1),
(28734, 1),
(28735, 1),
(28736, 1),
(28737, 1),
(28738, 1),
(28739, 1),
(28740, 1),
(28741, 1),
(28742, 1),
(28743, 1),
(28744, 1),
(28745, 1),
(28746, 1),
(28747, 1),
(28748, 1),
(28749, 1),
(28750, 1),
(28751, 1),
(28752, 1),
(28753, 1),
(28754, 1),
(28755, 1),
(28756, 1),
(28757, 1),
(28758, 1),
(28759, 1),
(28760, 1),
(28761, 1),
(28762, 1),
(28763, 1),
(28764, 1),
(28765, 1),
(28766, 1),
(28767, 1),
(28768, 1),
(28769, 1),
(28770, 1),
(28771, 1),
(28772, 1),
(28773, 1),
(28774, 1),
(28775, 1),
(28776, 1),
(28777, 1),
(28778, 1),
(28779, 1),
(28780, 1),
(28781, 1),
(28782, 1),
(28783, 1),
(28784, 1),
(28785, 1),
(28786, 1),
(28787, 1),
(28788, 1),
(28789, 1),
(28790, 1),
(28791, 1),
(28792, 1),
(28793, 1),
(28794, 1),
(28795, 1),
(28796, 1),
(28797, 1),
(28798, 1),
(28799, 1),
(28800, 1),
(28801, 1),
(28802, 1),
(28803, 1),
(28804, 1),
(28805, 1),
(28806, 1),
(28807, 1),
(28808, 1),
(28809, 1),
(28810, 1),
(28811, 1),
(28812, 1),
(28813, 1),
(28814, 1),
(28815, 1),
(28816, 1),
(28817, 1),
(28818, 1),
(28819, 1),
(28820, 1),
(28821, 1),
(28822, 1),
(28823, 1),
(28824, 1),
(28825, 1),
(28826, 1),
(28827, 1),
(28828, 1),
(28829, 1),
(28830, 1),
(28831, 1),
(28832, 1),
(28833, 1),
(28834, 1),
(28835, 1),
(28836, 1),
(28837, 1),
(28838, 1),
(28839, 1),
(28840, 1),
(28841, 1),
(28842, 1),
(28843, 1),
(28844, 1),
(28845, 1),
(28846, 1),
(28847, 1),
(28848, 1),
(28849, 1),
(28850, 1),
(28851, 1),
(28852, 1),
(28853, 1),
(28854, 1),
(28855, 1),
(28856, 1),
(28857, 1),
(28858, 1),
(28859, 1),
(28860, 1),
(28861, 1),
(28862, 1),
(28863, 1),
(28864, 1),
(28865, 1),
(28866, 1),
(28867, 1),
(28868, 1),
(28869, 1),
(28870, 1),
(28871, 1),
(28872, 1),
(28873, 1),
(28874, 1),
(28875, 1),
(28876, 1),
(28877, 1),
(28878, 1),
(28879, 1),
(28880, 1),
(28881, 1),
(28882, 1),
(28883, 1),
(28884, 1),
(28885, 1),
(28886, 1),
(28887, 1),
(28888, 1),
(28889, 1),
(28890, 1),
(28891, 1),
(28892, 1),
(28893, 1),
(28894, 1),
(28895, 1),
(28896, 1),
(28897, 1),
(28898, 1),
(28899, 1),
(28900, 1),
(28901, 1),
(28902, 1),
(28903, 1),
(28904, 1),
(28905, 1),
(28906, 1),
(28907, 1),
(28908, 1),
(28909, 1),
(28910, 1),
(28911, 1),
(28912, 1),
(28913, 1),
(28914, 1),
(28915, 1),
(28916, 1),
(28917, 1),
(28918, 1),
(28919, 1),
(28920, 1),
(28921, 1),
(28922, 1),
(28923, 1),
(28924, 1),
(28925, 1),
(28926, 1),
(28927, 1),
(28928, 1),
(28929, 1),
(28930, 1),
(28931, 1),
(28932, 1),
(28933, 1),
(28934, 1),
(28935, 1),
(28936, 1),
(28937, 1),
(28938, 1),
(28939, 1),
(28940, 1),
(28941, 1),
(28942, 1),
(28943, 1),
(28944, 1),
(28945, 1),
(28946, 1),
(28947, 1),
(28948, 1),
(28949, 1),
(28950, 1),
(28951, 1),
(28952, 1),
(28953, 1),
(28954, 1),
(28955, 1),
(28956, 1),
(28957, 1),
(28958, 1),
(28959, 1),
(28960, 1),
(28961, 1),
(28962, 1),
(28963, 1),
(28964, 1),
(28965, 1),
(28966, 1),
(28967, 1),
(28968, 1),
(28969, 1),
(28970, 1),
(28971, 1),
(28972, 1),
(28973, 1),
(28974, 1),
(28975, 1),
(28976, 1),
(28977, 1),
(28978, 1),
(28979, 1),
(28980, 1),
(28981, 1),
(28982, 1),
(28983, 1),
(28984, 1),
(28985, 1),
(28986, 1),
(28987, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(28988, 1),
(28989, 1),
(28990, 1),
(28991, 1),
(28992, 1),
(28993, 1),
(28994, 1),
(28995, 1),
(28996, 1),
(28997, 1),
(28998, 1),
(28999, 1),
(29000, 1),
(29001, 1),
(29002, 1),
(29003, 1),
(29004, 1),
(29005, 1),
(29006, 1),
(29007, 1),
(29008, 1),
(29009, 1),
(29010, 1),
(29011, 1),
(29012, 1),
(29013, 1),
(29014, 1),
(29015, 1),
(29016, 1),
(29017, 1),
(29018, 1),
(29019, 1),
(29020, 1),
(29021, 1),
(29022, 1),
(29023, 1),
(29024, 1),
(29025, 1),
(29026, 1),
(29027, 1),
(29028, 1),
(29029, 1),
(29030, 1),
(29031, 1),
(29032, 1),
(29033, 1),
(29034, 1),
(29035, 1),
(29036, 1),
(29037, 1),
(29038, 1),
(29039, 1),
(29040, 1),
(29041, 1),
(29042, 1),
(29043, 1),
(29044, 1),
(29045, 1),
(29046, 1),
(29047, 1),
(29048, 1),
(29049, 1),
(29050, 1),
(29051, 1),
(29052, 1),
(29053, 1),
(29054, 1),
(29055, 1),
(29056, 1),
(29057, 1),
(29058, 1),
(29059, 1),
(29060, 1),
(29061, 1),
(29062, 1),
(29063, 1),
(29064, 1),
(29065, 1),
(29066, 1),
(29067, 1),
(29068, 1),
(29069, 1),
(29070, 1),
(29071, 1),
(29072, 1),
(29073, 1),
(29074, 1),
(29075, 1),
(29076, 1),
(29077, 1),
(29078, 1),
(29079, 1),
(29080, 1),
(29081, 1),
(29082, 1),
(29083, 1),
(29084, 1),
(29085, 1),
(29086, 1),
(29087, 1),
(29088, 1),
(29089, 1),
(29090, 1),
(29091, 1),
(29092, 1),
(29093, 1),
(29094, 1),
(29095, 1),
(29096, 1),
(29097, 1),
(29098, 1),
(29099, 1),
(29100, 1),
(29101, 1),
(29102, 1),
(29103, 1),
(29104, 1),
(29105, 1),
(29106, 1),
(29107, 1),
(29108, 1),
(29109, 1),
(29110, 1),
(29111, 1),
(29112, 1),
(29113, 1),
(29114, 1),
(29115, 1),
(29116, 1),
(29117, 1),
(29118, 1),
(29119, 1),
(29120, 1),
(29121, 1),
(29122, 1),
(29123, 1),
(29124, 1),
(29125, 1),
(29126, 1),
(29127, 1),
(29128, 1),
(29129, 1),
(29130, 1),
(29131, 1),
(29132, 1),
(29133, 1),
(29134, 1),
(29135, 1),
(29136, 1),
(29137, 1),
(29138, 1),
(29139, 1),
(29140, 1),
(29141, 1),
(29142, 1),
(29143, 1),
(29144, 1),
(29145, 1),
(29146, 1),
(29147, 1),
(29148, 1),
(29149, 1),
(29150, 1),
(29151, 1),
(29152, 1),
(29153, 1),
(29154, 1),
(29155, 1),
(29156, 1),
(29157, 1),
(29158, 1),
(29159, 1),
(29160, 1),
(29161, 1),
(29162, 1),
(29163, 1),
(29164, 1),
(29165, 1),
(29166, 1),
(29167, 1),
(29168, 1),
(29169, 1),
(29170, 1),
(29171, 1),
(29172, 1),
(29173, 1),
(29174, 1),
(29175, 1),
(29176, 1),
(29177, 1),
(29178, 1),
(29179, 1),
(29180, 1),
(29181, 1),
(29182, 1),
(29183, 1),
(29184, 1),
(29185, 1),
(29186, 1),
(29187, 1),
(29188, 1),
(29189, 1),
(29190, 1),
(29191, 1),
(29192, 1),
(29193, 1),
(29194, 1),
(29195, 1),
(29196, 1),
(29197, 1),
(29198, 1),
(29199, 1),
(29200, 1),
(29201, 1),
(29202, 1),
(29203, 1),
(29204, 1),
(29205, 1),
(29206, 1),
(29207, 1),
(29208, 1),
(29209, 1),
(29210, 1),
(29211, 1),
(29212, 1),
(29213, 1),
(29214, 1),
(29215, 1),
(29216, 1),
(29217, 1),
(29218, 1),
(29219, 1),
(29220, 1),
(29221, 1),
(29222, 1),
(29223, 1),
(29224, 1),
(29225, 1),
(29226, 1),
(29227, 1),
(29228, 1),
(29229, 1),
(29230, 1),
(29231, 1),
(29232, 1),
(29233, 1),
(29234, 1),
(29235, 1),
(29236, 1),
(29237, 1),
(29238, 1),
(29239, 1),
(29240, 1),
(29241, 1),
(29242, 1),
(29243, 1),
(29244, 1),
(29245, 1),
(29246, 1),
(29247, 1),
(29248, 1),
(29249, 1),
(29250, 1),
(29251, 1),
(29252, 1),
(29253, 1),
(29254, 1),
(29255, 1),
(29256, 1),
(29257, 1),
(29258, 1),
(29259, 1),
(29260, 1),
(29261, 1),
(29262, 1),
(29263, 1),
(29264, 1),
(29265, 1),
(29266, 1),
(29267, 1),
(29268, 1),
(29269, 1),
(29270, 1),
(29271, 1),
(29272, 1),
(29273, 1),
(29274, 1),
(29275, 1),
(29276, 1),
(29277, 1),
(29278, 1),
(29279, 1),
(29280, 1),
(29281, 1),
(29282, 1),
(29283, 1),
(29284, 1),
(29285, 1),
(29286, 1),
(29287, 1),
(29288, 1),
(29289, 1),
(29290, 1),
(29291, 1),
(29292, 1),
(29293, 1),
(29294, 1),
(29295, 1),
(29296, 1),
(29297, 1),
(29298, 1),
(29299, 1),
(29300, 1),
(29301, 1),
(29302, 1),
(29303, 1),
(29304, 1),
(29305, 1),
(29306, 1),
(29307, 1),
(29308, 1),
(29309, 1),
(29310, 1),
(29311, 1),
(29312, 1),
(29313, 1),
(29314, 1),
(29315, 1),
(29316, 1),
(29317, 1),
(29318, 1),
(29319, 1),
(29320, 1),
(29321, 1),
(29322, 1),
(29323, 1),
(29324, 1),
(29325, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(29326, 1),
(29327, 1),
(29328, 1),
(29329, 1),
(29330, 1),
(29331, 1),
(29332, 1),
(29333, 1),
(29334, 1),
(29335, 1),
(29336, 1),
(29337, 1),
(29338, 1),
(29339, 1),
(29340, 1),
(29341, 1),
(29342, 1),
(29343, 1),
(29344, 1),
(29345, 1),
(29346, 1),
(29347, 1),
(29348, 1),
(29349, 1),
(29350, 1),
(29351, 1),
(29352, 1),
(29353, 1),
(29354, 1),
(29355, 1),
(29356, 1),
(29357, 1),
(29358, 1),
(29359, 1),
(29360, 1),
(29361, 1),
(29362, 1),
(29363, 1),
(29364, 1),
(29365, 1),
(29366, 1),
(29367, 1),
(29368, 1),
(29369, 1),
(29370, 1),
(29371, 1),
(29372, 1),
(29373, 1),
(29374, 1),
(29375, 1),
(29376, 1),
(29377, 1),
(29378, 1),
(29379, 1),
(29380, 1),
(29381, 1),
(29382, 1),
(29383, 1),
(29384, 1),
(29385, 1),
(29386, 1),
(29387, 1),
(29388, 1),
(29389, 1),
(29390, 1),
(29391, 1),
(29392, 1),
(29393, 1),
(29394, 1),
(29395, 1),
(29396, 1),
(29397, 1),
(29398, 1),
(29399, 1),
(29400, 1),
(29401, 1),
(29402, 1),
(29403, 1),
(29404, 1),
(29405, 1),
(29406, 1),
(29407, 1),
(29408, 1),
(29409, 1),
(29410, 1),
(29411, 1),
(29412, 1),
(29413, 1),
(29414, 1),
(29415, 1),
(29416, 1),
(29417, 1),
(29418, 1),
(29419, 1),
(29420, 1),
(29421, 1),
(29422, 1),
(29423, 1),
(29424, 1),
(29425, 1),
(29426, 1),
(29427, 1),
(29428, 1),
(29429, 1),
(29430, 1),
(29431, 1),
(29432, 1),
(29433, 1),
(29434, 1),
(29435, 1),
(29436, 1),
(29437, 1),
(29438, 1),
(29439, 1),
(29440, 1),
(29441, 1),
(29442, 1),
(29443, 1),
(29444, 1),
(29445, 1),
(29446, 1),
(29447, 1),
(29448, 1),
(29449, 1),
(29450, 1),
(29451, 1),
(29452, 1),
(29453, 1),
(29454, 1),
(29455, 1),
(29456, 1),
(29457, 1),
(29458, 1),
(29459, 1),
(29460, 1),
(29461, 1),
(29462, 1),
(29463, 1),
(29464, 1),
(29465, 1),
(29466, 1),
(29467, 1),
(29468, 1),
(29469, 1),
(29470, 1),
(29471, 1),
(29472, 1),
(29473, 1),
(29474, 1),
(29475, 1),
(29476, 1),
(29477, 1),
(29478, 1),
(29479, 1),
(29480, 1),
(29481, 1),
(29482, 1),
(29483, 1),
(29484, 1),
(29485, 1),
(29486, 1),
(29487, 1),
(29488, 1),
(29489, 1),
(29490, 1),
(29491, 1),
(29492, 1),
(29493, 1),
(29494, 1),
(29495, 1),
(29496, 1),
(29497, 1),
(29498, 1),
(29499, 1),
(29500, 1),
(29501, 1),
(29502, 1),
(29503, 1),
(29504, 1),
(29505, 1),
(29506, 1),
(29507, 1),
(29508, 1),
(29509, 1),
(29510, 1),
(29511, 1),
(29512, 1),
(29513, 1),
(29514, 1),
(29515, 1),
(29516, 1),
(29517, 1),
(29518, 1),
(29519, 1),
(29520, 1),
(29521, 1),
(29522, 1),
(29523, 1),
(29524, 1),
(29525, 1),
(29526, 1),
(29527, 1),
(29528, 1),
(29529, 1),
(29530, 1),
(29531, 1),
(29532, 1),
(29533, 1),
(29534, 1),
(29535, 1),
(29536, 1),
(29537, 1),
(29538, 1),
(29539, 1),
(29540, 1),
(29541, 1),
(29542, 1),
(29543, 1),
(29544, 1),
(29545, 1),
(29546, 1),
(29547, 1),
(29548, 1),
(29549, 1),
(29550, 1),
(29551, 1),
(29552, 1),
(29553, 1),
(29554, 1),
(29555, 1),
(29556, 1),
(29557, 1),
(29558, 1),
(29559, 1),
(29560, 1),
(29561, 1),
(29562, 1),
(29563, 1),
(29564, 1),
(29565, 1),
(29566, 1),
(29567, 1),
(29568, 1),
(29569, 1),
(29570, 1),
(29571, 1),
(29572, 1),
(29573, 1),
(29574, 1),
(29575, 1),
(29576, 1),
(29577, 1),
(29578, 1),
(29579, 1),
(29580, 1),
(29581, 1),
(29582, 1),
(29583, 1),
(29584, 1),
(29585, 1),
(29586, 1),
(29587, 1),
(29588, 1),
(29589, 1),
(29590, 1),
(29591, 1),
(29592, 1),
(29593, 1),
(29594, 1),
(29595, 1),
(29596, 1),
(29597, 1),
(29598, 1),
(29599, 1),
(29600, 1),
(29601, 1),
(29602, 1),
(29603, 1),
(29604, 1),
(29605, 1),
(29606, 1),
(29607, 1),
(29608, 1),
(29609, 1),
(29610, 1),
(29611, 1),
(29612, 1),
(29613, 1),
(29614, 1),
(29615, 1),
(29616, 1),
(29617, 1),
(29618, 1),
(29619, 1),
(29620, 1),
(29621, 1),
(29622, 1),
(29623, 1),
(29624, 1),
(29625, 1),
(29626, 1),
(29627, 1),
(29628, 1),
(29629, 1),
(29630, 1),
(29631, 1),
(29632, 1),
(29633, 1),
(29634, 1),
(29635, 1),
(29636, 1),
(29637, 1),
(29638, 1),
(29639, 1),
(29640, 1),
(29641, 1),
(29642, 1),
(29643, 1),
(29644, 1),
(29645, 1),
(29646, 1),
(29647, 1),
(29648, 1),
(29649, 1),
(29650, 1),
(29651, 1),
(29652, 1),
(29653, 1),
(29654, 1),
(29655, 1),
(29656, 1),
(29657, 1),
(29658, 1),
(29659, 1),
(29660, 1),
(29661, 1),
(29662, 1),
(29663, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(29664, 1),
(29665, 1),
(29666, 1),
(29667, 1),
(29668, 1),
(29669, 1),
(29670, 1),
(29671, 1),
(29672, 1),
(29673, 1),
(29674, 1),
(29675, 1),
(29676, 1),
(29677, 1),
(29678, 1),
(29679, 1),
(29680, 1),
(29681, 1),
(29682, 1),
(29683, 1),
(29684, 1),
(29685, 1),
(29686, 1),
(29687, 1),
(29688, 1),
(29689, 1),
(29690, 1),
(29691, 1),
(29692, 1),
(29693, 1),
(29694, 1),
(29695, 1),
(29696, 1),
(29697, 1),
(29698, 1),
(29699, 1),
(29700, 1),
(29701, 1),
(29702, 1),
(29703, 1),
(29704, 1),
(29705, 1),
(29706, 1),
(29707, 1),
(29708, 1),
(29709, 1),
(29710, 1),
(29711, 1),
(29712, 1),
(29713, 1),
(29714, 1),
(29715, 1),
(29716, 1),
(29717, 1),
(29718, 1),
(29719, 1),
(29720, 1),
(29721, 1),
(29722, 1),
(29723, 1),
(29724, 1),
(29725, 1),
(29726, 1),
(29727, 1),
(29728, 1),
(29729, 1),
(29730, 1),
(29731, 1),
(29732, 1),
(29733, 1),
(29734, 1),
(29735, 1),
(29736, 1),
(29737, 1),
(29738, 1),
(29739, 1),
(29740, 1),
(29741, 1),
(29742, 1),
(29743, 1),
(29744, 1),
(29745, 1),
(29746, 1),
(29747, 1),
(29748, 1),
(29749, 1),
(29750, 1),
(29751, 1),
(29752, 1),
(29753, 1),
(29754, 1),
(29755, 1),
(29756, 1),
(29757, 1),
(29758, 1),
(29759, 1),
(29760, 1),
(29761, 1),
(29762, 1),
(29763, 1),
(29764, 1),
(29765, 1),
(29766, 1),
(29767, 1),
(29768, 1),
(29769, 1),
(29770, 1),
(29771, 1),
(29772, 1),
(29773, 1),
(29774, 1),
(29775, 1),
(29776, 1),
(29777, 1),
(29778, 1),
(29779, 1),
(29780, 1),
(29781, 1),
(29782, 1),
(29783, 1),
(29784, 1),
(29785, 1),
(29786, 1),
(29787, 1),
(29788, 1),
(29789, 1),
(29790, 1),
(29791, 1),
(29792, 1),
(29793, 1),
(29794, 1),
(29795, 1),
(29796, 1),
(29797, 1),
(29798, 1),
(29799, 1),
(29800, 1),
(29801, 1),
(29802, 1),
(29803, 1),
(29804, 1),
(29805, 1),
(29806, 1),
(29807, 1),
(29808, 1),
(29809, 1),
(29810, 1),
(29811, 1),
(29812, 1),
(29813, 1),
(29814, 1),
(29815, 1),
(29816, 1),
(29817, 1),
(29818, 1),
(29819, 1),
(29820, 1),
(29821, 1),
(29822, 1),
(29823, 1),
(29824, 1),
(29825, 1),
(29826, 1),
(29827, 1),
(29828, 1),
(29829, 1),
(29830, 1),
(29831, 1),
(29832, 1),
(29833, 1),
(29834, 1),
(29835, 1),
(29836, 1),
(29837, 1),
(29838, 1),
(29839, 1),
(29840, 1),
(29841, 1),
(29842, 1),
(29843, 1),
(29844, 1),
(29845, 1),
(29846, 1),
(29847, 1),
(29848, 1),
(29849, 1),
(29850, 1),
(29851, 1),
(29852, 1),
(29853, 1),
(29854, 1),
(29855, 1),
(29856, 1),
(29857, 1),
(29858, 1),
(29859, 1),
(29860, 1),
(29861, 1),
(29862, 1),
(29863, 1),
(29864, 1),
(29865, 1),
(29866, 1),
(29867, 1),
(29868, 1),
(29869, 1),
(29870, 1),
(29871, 1),
(29872, 1),
(29873, 1),
(29874, 1),
(29875, 1),
(29876, 1),
(29877, 1),
(29878, 1),
(29879, 1),
(29880, 1),
(29881, 1),
(29882, 1),
(29883, 1),
(29884, 1),
(29885, 1),
(29886, 1),
(29887, 1),
(29888, 1),
(29889, 1),
(29890, 1),
(29891, 1),
(29892, 1),
(29893, 1),
(29894, 1),
(29895, 1),
(29896, 1),
(29897, 1),
(29898, 1),
(29899, 1),
(29900, 1),
(29901, 1),
(29902, 1),
(29903, 1),
(29904, 1),
(29905, 1),
(29906, 1),
(29907, 1),
(29908, 1),
(29909, 1),
(29910, 1),
(29911, 1),
(29912, 1),
(29913, 1),
(29914, 1),
(29915, 1),
(29916, 1),
(29917, 1),
(29918, 1),
(29919, 1),
(29920, 1),
(29921, 1),
(29922, 1),
(29923, 1),
(29924, 1),
(29925, 1),
(29926, 1),
(29927, 1),
(29928, 1),
(29929, 1),
(29930, 1),
(29931, 1),
(29932, 1),
(29933, 1),
(29934, 1),
(29935, 1),
(29936, 1),
(29937, 1),
(29938, 1),
(29939, 1),
(29940, 1),
(29941, 1),
(29942, 1),
(29943, 1),
(29944, 1),
(29945, 1),
(29946, 1),
(29947, 1),
(29948, 1),
(29949, 1),
(29950, 1),
(29951, 1),
(29952, 1),
(29953, 1),
(29954, 1),
(29955, 1),
(29956, 1),
(29957, 1),
(29958, 1),
(29959, 1),
(29960, 1),
(29961, 1),
(29962, 1),
(29963, 1),
(29964, 1),
(29965, 1),
(29966, 1),
(29967, 1),
(29968, 1),
(29969, 1),
(29970, 1),
(29971, 1),
(29972, 1),
(29973, 1),
(29974, 1),
(29975, 1),
(29976, 1),
(29977, 1),
(29978, 1),
(29979, 1),
(29980, 1),
(29981, 1),
(29982, 1),
(29983, 1),
(29984, 1),
(29985, 1),
(29986, 1),
(29987, 1),
(29988, 1),
(29989, 1),
(29990, 1),
(29991, 1),
(29992, 1),
(29993, 1),
(29994, 1),
(29995, 1),
(29996, 1),
(29997, 1),
(29998, 1),
(29999, 1),
(30000, 1),
(30001, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(30002, 1),
(30003, 1),
(30004, 1),
(30005, 1),
(30006, 1),
(30007, 1),
(30008, 1),
(30009, 1),
(30010, 1),
(30011, 1),
(30012, 1),
(30013, 1),
(30014, 1),
(30015, 1),
(30016, 1),
(30017, 1),
(30018, 1),
(30019, 1),
(30020, 1),
(30021, 1),
(30022, 1),
(30023, 1),
(30024, 1),
(30025, 1),
(30026, 1),
(30027, 1),
(30028, 1),
(30029, 1),
(30030, 1),
(30031, 1),
(30032, 1),
(30033, 1),
(30034, 1),
(30035, 1),
(30036, 1),
(30037, 1),
(30038, 1),
(30039, 1),
(30040, 1),
(30041, 1),
(30042, 1),
(30043, 1),
(30044, 1),
(30045, 1),
(30046, 1),
(30047, 1),
(30048, 1),
(30049, 1),
(30050, 1),
(30051, 1),
(30052, 1),
(30053, 1),
(30054, 1),
(30055, 1),
(30056, 1),
(30057, 1),
(30058, 1),
(30059, 1),
(30060, 1),
(30061, 1),
(30062, 1),
(30063, 1),
(30064, 1),
(30065, 1),
(30066, 1),
(30067, 1),
(30068, 1),
(30069, 1),
(30070, 1),
(30071, 1),
(30072, 1),
(30073, 1),
(30074, 1),
(30075, 1),
(30076, 1),
(30077, 1),
(30078, 1),
(30079, 1),
(30080, 1),
(30081, 1),
(30082, 1),
(30083, 1),
(30084, 1),
(30085, 1),
(30086, 1),
(30087, 1),
(30088, 1),
(30089, 1),
(30090, 1),
(30091, 1),
(30092, 1),
(30093, 1),
(30094, 1),
(30095, 1),
(30096, 1),
(30097, 1),
(30098, 1),
(30099, 1),
(30100, 1),
(30101, 1),
(30102, 1),
(30103, 1),
(30104, 1),
(30105, 1),
(30106, 1),
(30107, 1),
(30108, 1),
(30109, 1),
(30110, 1),
(30111, 1),
(30112, 1),
(30113, 1),
(30114, 1),
(30115, 1),
(30116, 1),
(30117, 1),
(30118, 1),
(30119, 1),
(30120, 1),
(30121, 1),
(30122, 1),
(30123, 1),
(30124, 1),
(30125, 1),
(30126, 1),
(30127, 1),
(30128, 1),
(30129, 1),
(30130, 1),
(30131, 1),
(30132, 1),
(30133, 1),
(30134, 1),
(30135, 1),
(30136, 1),
(30137, 1),
(30138, 1),
(30139, 1),
(30140, 1),
(30141, 1),
(30142, 1),
(30143, 1),
(30144, 1),
(30145, 1),
(30146, 1),
(30147, 1),
(30148, 1),
(30149, 1),
(30150, 1),
(30151, 1),
(30152, 1),
(30153, 1),
(30154, 1),
(30155, 1),
(30156, 1),
(30157, 1),
(30158, 1),
(30159, 1),
(30160, 1),
(30161, 1),
(30162, 1),
(30163, 1),
(30164, 1),
(30165, 1),
(30166, 1),
(30167, 1),
(30168, 1),
(30169, 1),
(30170, 1),
(30171, 1),
(30172, 1),
(30173, 1),
(30174, 1),
(30175, 1),
(30176, 1),
(30177, 1),
(30178, 1),
(30179, 1),
(30180, 1),
(30181, 1),
(30182, 1),
(30183, 1),
(30184, 1),
(30185, 1),
(30186, 1),
(30187, 1),
(30188, 1),
(30189, 1),
(30190, 1),
(30191, 1),
(30192, 1),
(30193, 1),
(30194, 1),
(30195, 1),
(30196, 1),
(30197, 1),
(30198, 1),
(30199, 1),
(30200, 1),
(30201, 1),
(30202, 1),
(30203, 1),
(30204, 1),
(30205, 1),
(30206, 1),
(30207, 1),
(30208, 1),
(30209, 1),
(30210, 1),
(30211, 1),
(30212, 1),
(30213, 1),
(30214, 1),
(30215, 1),
(30216, 1),
(30217, 1),
(30218, 1),
(30219, 1),
(30220, 1),
(30221, 1),
(30222, 1),
(30223, 1),
(30224, 1),
(30225, 1),
(30226, 1),
(30227, 1),
(30228, 1),
(30229, 1),
(30230, 1),
(30231, 1),
(30232, 1),
(30233, 1),
(30234, 1),
(30235, 1),
(30236, 1),
(30237, 1),
(30238, 1),
(30239, 1),
(30240, 1),
(30241, 1),
(30242, 1),
(30243, 1),
(30244, 1),
(30245, 1),
(30246, 1),
(30247, 1),
(30248, 1),
(30249, 1),
(30250, 1),
(30251, 1),
(30252, 1),
(30253, 1),
(30254, 1),
(30255, 1),
(30256, 1),
(30257, 1),
(30258, 1),
(30259, 1),
(30260, 1),
(30261, 1),
(30262, 1),
(30263, 1),
(30264, 1),
(30265, 1),
(30266, 1),
(30267, 1),
(30268, 1),
(30269, 1),
(30270, 1),
(30271, 1),
(30272, 1),
(30273, 1),
(30274, 1),
(30275, 1),
(30276, 1),
(30277, 1),
(30278, 1),
(30279, 1),
(30280, 1),
(30281, 1),
(30282, 1),
(30283, 1),
(30284, 1),
(30285, 1),
(30286, 1),
(30287, 1),
(30288, 1),
(30289, 1),
(30290, 1),
(30291, 1),
(30292, 1),
(30293, 1),
(30294, 1),
(30295, 1),
(30296, 1),
(30297, 1),
(30298, 1),
(30299, 1),
(30300, 1),
(30301, 1),
(30302, 1),
(30303, 1),
(30304, 1),
(30305, 1),
(30306, 1),
(30307, 1),
(30308, 1),
(30309, 1),
(30310, 1),
(30311, 1),
(30312, 1),
(30313, 1),
(30314, 1),
(30315, 1),
(30316, 1),
(30317, 1),
(30318, 1),
(30319, 1),
(30320, 1),
(30321, 1),
(30322, 1),
(30323, 1),
(30324, 1),
(30325, 1),
(30326, 1),
(30327, 1),
(30328, 1),
(30329, 1),
(30330, 1),
(30331, 1),
(30332, 1),
(30333, 1),
(30334, 1),
(30335, 1),
(30336, 1),
(30337, 1),
(30338, 1),
(30339, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(30340, 1),
(30341, 1),
(30342, 1),
(30343, 1),
(30344, 1),
(30345, 1),
(30346, 1),
(30347, 1),
(30348, 1),
(30349, 1),
(30350, 1),
(30351, 1),
(30352, 1),
(30353, 1),
(30354, 1),
(30355, 1),
(30356, 1),
(30357, 1),
(30358, 1),
(30359, 1),
(30360, 1),
(30361, 1),
(30362, 1),
(30363, 1),
(30364, 1),
(30365, 1),
(30366, 1),
(30367, 1),
(30368, 1),
(30369, 1),
(30370, 1),
(30371, 1),
(30372, 1),
(30373, 1),
(30374, 1),
(30375, 1),
(30376, 1),
(30377, 1),
(30378, 1),
(30379, 1),
(30380, 1),
(30381, 1),
(30382, 1),
(30383, 1),
(30384, 1),
(30385, 1),
(30386, 1),
(30387, 1),
(30388, 1),
(30389, 1),
(30390, 1),
(30391, 1),
(30392, 1),
(30393, 1),
(30394, 1),
(30395, 1),
(30396, 1),
(30397, 1),
(30398, 1),
(30399, 1),
(30400, 1),
(30401, 1),
(30402, 1),
(30403, 1),
(30404, 1),
(30405, 1),
(30406, 1),
(30407, 1),
(30408, 1),
(30409, 1),
(30410, 1),
(30411, 1),
(30412, 1),
(30413, 1),
(30414, 1),
(30415, 1),
(30416, 1),
(30417, 1),
(30418, 1),
(30419, 1),
(30420, 1),
(30421, 1),
(30422, 1),
(30423, 1),
(30424, 1),
(30425, 1),
(30426, 1),
(30427, 1),
(30428, 1),
(30429, 1),
(30430, 1),
(30431, 1),
(30432, 1),
(30433, 1),
(30434, 1),
(30435, 1),
(30436, 1),
(30437, 1),
(30438, 1),
(30439, 1),
(30440, 1),
(30441, 1),
(30442, 1),
(30443, 1),
(30444, 1),
(30445, 1),
(30446, 1),
(30447, 1),
(30448, 1),
(30449, 1),
(30450, 1),
(30451, 1),
(30452, 1),
(30453, 1),
(30454, 1),
(30455, 1),
(30456, 1),
(30457, 1),
(30458, 1),
(30459, 1),
(30460, 1),
(30461, 1),
(30462, 1),
(30463, 1),
(30464, 1),
(30465, 1),
(30466, 1),
(30467, 1),
(30468, 1),
(30469, 1),
(30470, 1),
(30471, 1),
(30472, 1),
(30473, 1),
(30474, 1),
(30475, 1),
(30476, 1),
(30477, 1),
(30478, 1),
(30479, 1),
(30480, 1),
(30481, 1),
(30482, 1),
(30483, 1),
(30484, 1),
(30485, 1),
(30486, 1),
(30487, 1),
(30488, 1),
(30489, 1),
(30490, 1),
(30491, 1),
(30492, 1),
(30493, 1),
(30494, 1),
(30495, 1),
(30496, 1),
(30497, 1),
(30498, 1),
(30499, 1),
(30500, 1),
(30501, 1),
(30502, 1),
(30503, 1),
(30504, 1),
(30505, 1),
(30506, 1),
(30507, 1),
(30508, 1),
(30509, 1),
(30510, 1),
(30511, 1),
(30512, 1),
(30513, 1),
(30514, 1),
(30515, 1),
(30516, 1),
(30517, 1),
(30518, 1),
(30519, 1),
(30520, 1),
(30521, 1),
(30522, 1),
(30523, 1),
(30524, 1),
(30525, 1),
(30526, 1),
(30527, 1),
(30528, 1),
(30529, 1),
(30530, 1),
(30531, 1),
(30532, 1),
(30533, 1),
(30534, 1),
(30535, 1),
(30536, 1),
(30537, 1),
(30538, 1),
(30539, 1),
(30540, 1),
(30541, 1),
(30542, 1),
(30543, 1),
(30544, 1),
(30545, 1),
(30546, 1),
(30547, 1),
(30548, 1),
(30549, 1),
(30550, 1),
(30551, 1),
(30552, 1),
(30553, 1),
(30554, 1),
(30555, 1),
(30556, 1),
(30557, 1),
(30558, 1),
(30559, 1),
(30560, 1),
(30561, 1),
(30562, 1),
(30563, 1),
(30564, 1),
(30565, 1),
(30566, 1),
(30567, 1),
(30568, 1),
(30569, 1),
(30570, 1),
(30571, 1),
(30572, 1),
(30573, 1),
(30574, 1),
(30575, 1),
(30576, 1),
(30577, 1),
(30578, 1),
(30579, 1),
(30580, 1),
(30581, 1),
(30582, 1),
(30583, 1),
(30584, 1),
(30585, 1),
(30586, 1),
(30587, 1),
(30588, 1),
(30589, 1),
(30590, 1),
(30591, 1),
(30592, 1),
(30593, 1),
(30594, 1),
(30595, 1),
(30596, 1),
(30597, 1),
(30598, 1),
(30599, 1),
(30600, 1),
(30601, 1),
(30602, 1),
(30603, 1),
(30604, 1),
(30605, 1),
(30606, 1),
(30607, 1),
(30608, 1),
(30609, 1),
(30610, 1),
(30611, 1),
(30612, 1),
(30613, 1),
(30614, 1),
(30615, 1),
(30616, 1),
(30617, 1),
(30618, 1),
(30619, 1),
(30620, 1),
(30621, 1),
(30622, 1),
(30623, 1),
(30624, 1),
(30625, 1),
(30626, 1),
(30627, 1),
(30628, 1),
(30629, 1),
(30630, 1),
(30631, 1),
(30632, 1),
(30633, 1),
(30634, 1),
(30635, 1),
(30636, 1),
(30637, 1),
(30638, 1),
(30639, 1),
(30640, 1),
(30641, 1),
(30642, 1),
(30643, 1),
(30644, 1),
(30645, 1),
(30646, 1),
(30647, 1),
(30648, 1),
(30649, 1),
(30650, 1),
(30651, 1),
(30652, 1),
(30653, 1),
(30654, 1),
(30655, 1),
(30656, 1),
(30657, 1),
(30658, 1),
(30659, 1),
(30660, 1),
(30661, 1),
(30662, 1),
(30663, 1),
(30664, 1),
(30665, 1),
(30666, 1),
(30667, 1),
(30668, 1),
(30669, 1),
(30670, 1),
(30671, 1),
(30672, 1),
(30673, 1),
(30674, 1),
(30675, 1),
(30676, 1),
(30677, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(30678, 1),
(30679, 1),
(30680, 1),
(30681, 1),
(30682, 1),
(30683, 1),
(30684, 1),
(30685, 1),
(30686, 1),
(30687, 1),
(30688, 1),
(30689, 1),
(30690, 1),
(30691, 1),
(30692, 1),
(30693, 1),
(30694, 1),
(30695, 1),
(30696, 1),
(30697, 1),
(30698, 1),
(30699, 1),
(30700, 1),
(30701, 1),
(30702, 1),
(30703, 1),
(30704, 1),
(30705, 1),
(30706, 1),
(30707, 1),
(30708, 1),
(30709, 1),
(30710, 1),
(30711, 1),
(30712, 1),
(30713, 1),
(30714, 1),
(30715, 1),
(30716, 1),
(30717, 1),
(30718, 1),
(30719, 1),
(30720, 1),
(30721, 1),
(30722, 1),
(30723, 1),
(30724, 1),
(30725, 1),
(30726, 1),
(30727, 1),
(30728, 1),
(30729, 1),
(30730, 1),
(30731, 1),
(30732, 1),
(30733, 1),
(30734, 1),
(30735, 1),
(30736, 1),
(30737, 1),
(30738, 1),
(30739, 1),
(30740, 1),
(30741, 1),
(30742, 1),
(30743, 1),
(30744, 1),
(30745, 1),
(30746, 1),
(30747, 1),
(30748, 1),
(30749, 1),
(30750, 1),
(30751, 1),
(30752, 1),
(30753, 1),
(30754, 1),
(30755, 1),
(30756, 1),
(30757, 1),
(30758, 1),
(30759, 1),
(30760, 1),
(30761, 1),
(30762, 1),
(30763, 1),
(30764, 1),
(30765, 1),
(30766, 1),
(30767, 1),
(30768, 1),
(30769, 1),
(30770, 1),
(30771, 1),
(30772, 1),
(30773, 1),
(30774, 1),
(30775, 1),
(30776, 1),
(30777, 1),
(30778, 1),
(30779, 1),
(30780, 1),
(30781, 1),
(30782, 1),
(30783, 1),
(30784, 1),
(30785, 1),
(30786, 1),
(30787, 1),
(30788, 1),
(30789, 1),
(30790, 1),
(30791, 1),
(30792, 1),
(30793, 1),
(30794, 1),
(30795, 1),
(30796, 1),
(30797, 1),
(30798, 1),
(30799, 1),
(30800, 1),
(30801, 1),
(30802, 1),
(30803, 1),
(30804, 1),
(30805, 1),
(30806, 1),
(30807, 1),
(30808, 1),
(30809, 1),
(30810, 1),
(30811, 1),
(30812, 1),
(30813, 1),
(30814, 1),
(30815, 1),
(30816, 1),
(30817, 1),
(30818, 1),
(30819, 1),
(30820, 1),
(30821, 1),
(30822, 1),
(30823, 1),
(30824, 1),
(30825, 1),
(30826, 1),
(30827, 1),
(30828, 1),
(30829, 1),
(30830, 1),
(30831, 1),
(30832, 1),
(30833, 1),
(30834, 1),
(30835, 1),
(30836, 1),
(30837, 1),
(30838, 1),
(30839, 1),
(30840, 1),
(30841, 1),
(30842, 1),
(30843, 1),
(30844, 1),
(30845, 1),
(30846, 1),
(30847, 1),
(30848, 1),
(30849, 1),
(30850, 1),
(30851, 1),
(30852, 1),
(30853, 1),
(30854, 1),
(30855, 1),
(30856, 1),
(30857, 1),
(30858, 1),
(30859, 1),
(30860, 1),
(30861, 1),
(30862, 1),
(30863, 1),
(30864, 1),
(30865, 1),
(30866, 1),
(30867, 1),
(30868, 1),
(30869, 1),
(30870, 1),
(30871, 1),
(30872, 1),
(30873, 1),
(30874, 1),
(30875, 1),
(30876, 1),
(30877, 1),
(30878, 1),
(30879, 1),
(30880, 1),
(30881, 1),
(30882, 1),
(30883, 1),
(30884, 1),
(30885, 1),
(30886, 1),
(30887, 1),
(30888, 1),
(30889, 1),
(30890, 1),
(30891, 1),
(30892, 1),
(30893, 1),
(30894, 1),
(30895, 1),
(30896, 1),
(30897, 1),
(30898, 1),
(30899, 1),
(30900, 1),
(30901, 1),
(30902, 1),
(30903, 1),
(30904, 1),
(30905, 1),
(30906, 1),
(30907, 1),
(30908, 1),
(30909, 1),
(30910, 1),
(30911, 1),
(30912, 1),
(30913, 1),
(30914, 1),
(30915, 1),
(30916, 1),
(30917, 1),
(30918, 1),
(30919, 1),
(30920, 1),
(30921, 1),
(30922, 1),
(30923, 1),
(30924, 1),
(30925, 1),
(30926, 1),
(30927, 1),
(30928, 1),
(30929, 1),
(30930, 1),
(30931, 1),
(30932, 1),
(30933, 1),
(30934, 1),
(30935, 1),
(30936, 1),
(30937, 1),
(30938, 1),
(30939, 1),
(30940, 1),
(30941, 1),
(30942, 1),
(30943, 1),
(30944, 1),
(30945, 1),
(30946, 1),
(30947, 1),
(30948, 1),
(30949, 1),
(30950, 1),
(30951, 1),
(30952, 1),
(30953, 1),
(30954, 1),
(30955, 1),
(30956, 1),
(30957, 1),
(30958, 1),
(30959, 1),
(30960, 1),
(30961, 1),
(30962, 1),
(30963, 1),
(30964, 1),
(30965, 1),
(30966, 1),
(30967, 1),
(30968, 1),
(30969, 1),
(30970, 1),
(30971, 1),
(30972, 1),
(30973, 1),
(30974, 1),
(30975, 1),
(30976, 1),
(30977, 1),
(30978, 1),
(30979, 1),
(30980, 1),
(30981, 1),
(30982, 1),
(30983, 1),
(30984, 1),
(30985, 1),
(30986, 1),
(30987, 1),
(30988, 1),
(30989, 1),
(30990, 1),
(30991, 1),
(30992, 1),
(30993, 1),
(30994, 1),
(30995, 1),
(30996, 1),
(30997, 1),
(30998, 1),
(30999, 1),
(31000, 1),
(31001, 1),
(31002, 1),
(31003, 1),
(31004, 1),
(31005, 1),
(31006, 1),
(31007, 1),
(31008, 1),
(31009, 1),
(31010, 1),
(31011, 1),
(31012, 1),
(31013, 1),
(31014, 1),
(31015, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(31016, 1),
(31017, 1),
(31018, 1),
(31019, 1),
(31020, 1),
(31021, 1),
(31022, 1),
(31023, 1),
(31024, 1),
(31025, 1),
(31026, 1),
(31027, 1),
(31028, 1),
(31029, 1),
(31030, 1),
(31031, 1),
(31032, 1),
(31033, 1),
(31034, 1),
(31035, 1),
(31036, 1),
(31037, 1),
(31038, 1),
(31039, 1),
(31040, 1),
(31041, 1),
(31042, 1),
(31043, 1),
(31044, 1),
(31045, 1),
(31046, 1),
(31047, 1),
(31048, 1),
(31049, 1),
(31050, 1),
(31051, 1),
(31052, 1),
(31053, 1),
(31054, 1),
(31055, 1),
(31056, 1),
(31057, 1),
(31058, 1),
(31059, 1),
(31060, 1),
(31061, 1),
(31062, 1),
(31063, 1),
(31064, 1),
(31065, 1),
(31066, 1),
(31067, 1),
(31068, 1),
(31069, 1),
(31070, 1),
(31071, 1),
(31072, 1),
(31073, 1),
(31074, 1),
(31075, 1),
(31076, 1),
(31077, 1),
(31078, 1),
(31079, 1),
(31080, 1),
(31081, 1),
(31082, 1),
(31083, 1),
(31084, 1),
(31085, 1),
(31086, 1),
(31087, 1),
(31088, 1),
(31089, 1),
(31090, 1),
(31091, 1),
(31092, 1),
(31093, 1),
(31094, 1),
(31095, 1),
(31096, 1),
(31097, 1),
(31098, 1),
(31099, 1),
(31100, 1),
(31101, 1),
(31102, 1),
(31103, 1),
(31104, 1),
(31105, 1),
(31106, 1),
(31107, 1),
(31108, 1),
(31109, 1),
(31110, 1),
(31111, 1),
(31112, 1),
(31113, 1),
(31114, 1),
(31115, 1),
(31116, 1),
(31117, 1),
(31118, 1),
(31119, 1),
(31120, 1),
(31121, 1),
(31122, 1),
(31123, 1),
(31124, 1),
(31125, 1),
(31126, 1),
(31127, 1),
(31128, 1),
(31129, 1),
(31130, 1),
(31131, 1),
(31132, 1),
(31133, 1),
(31134, 1),
(31135, 1),
(31136, 1),
(31137, 1),
(31138, 1),
(31139, 1),
(31140, 1),
(31141, 1),
(31142, 1),
(31143, 1),
(31144, 1),
(31145, 1),
(31146, 1),
(31147, 1),
(31148, 1),
(31149, 1),
(31150, 1),
(31151, 1),
(31152, 1),
(31153, 1),
(31154, 1),
(31155, 1),
(31156, 1),
(31157, 1),
(31158, 1),
(31159, 1),
(31160, 1),
(31161, 1),
(31162, 1),
(31163, 1),
(31164, 1),
(31165, 1),
(31166, 1),
(31167, 1),
(31168, 1),
(31169, 1),
(31170, 1),
(31171, 1),
(31172, 1),
(31173, 1),
(31174, 1),
(31175, 1),
(31176, 1),
(31177, 1),
(31178, 1),
(31179, 1),
(31180, 1),
(31181, 1),
(31182, 1),
(31183, 1),
(31184, 1),
(31185, 1),
(31186, 1),
(31187, 1),
(31188, 1),
(31189, 1),
(31190, 1),
(31191, 1),
(31192, 1),
(31193, 1),
(31194, 1),
(31195, 1),
(31196, 1),
(31197, 1),
(31198, 1),
(31199, 1),
(31200, 1),
(31201, 1),
(31202, 1),
(31203, 1),
(31204, 1),
(31205, 1),
(31206, 1),
(31207, 1),
(31208, 1),
(31209, 1),
(31210, 1),
(31211, 1),
(31212, 1),
(31213, 1),
(31214, 1),
(31215, 1),
(31216, 1),
(31217, 1),
(31218, 1),
(31219, 1),
(31220, 1),
(31221, 1),
(31222, 1),
(31223, 1),
(31224, 1),
(31225, 1),
(31226, 1),
(31227, 1),
(31228, 1),
(31229, 1),
(31230, 1),
(31231, 1),
(31232, 1),
(31233, 1),
(31234, 1),
(31235, 1),
(31236, 1),
(31237, 1),
(31238, 1),
(31239, 1),
(31240, 1),
(31241, 1),
(31242, 1),
(31243, 1),
(31244, 1),
(31245, 1),
(31246, 1),
(31247, 1),
(31248, 1),
(31249, 1),
(31250, 1),
(31251, 1),
(31252, 1),
(31253, 1),
(31254, 1),
(31255, 1),
(31256, 1),
(31257, 1),
(31258, 1),
(31259, 1),
(31260, 1),
(31261, 1),
(31262, 1),
(31263, 1),
(31264, 1),
(31265, 1),
(31266, 1),
(31267, 1),
(31268, 1),
(31269, 1),
(31270, 1),
(31271, 1),
(31272, 1),
(31273, 1),
(31274, 1),
(31275, 1),
(31276, 1),
(31277, 1),
(31278, 1),
(31279, 1),
(31280, 1),
(31281, 1),
(31282, 1),
(31283, 1),
(31284, 1),
(31285, 1),
(31286, 1),
(31287, 1),
(31288, 1),
(31289, 1),
(31290, 1),
(31291, 1),
(31292, 1),
(31293, 1),
(31294, 1),
(31295, 1),
(31296, 1),
(31297, 1),
(31298, 1),
(31299, 1),
(31300, 1),
(31301, 1),
(31302, 1),
(31303, 1),
(31304, 1),
(31305, 1),
(31306, 1),
(31307, 1),
(31308, 1),
(31309, 1),
(31310, 1),
(31311, 1),
(31312, 1),
(31313, 1),
(31314, 1),
(31315, 1),
(31316, 1),
(31317, 1),
(31318, 1),
(31319, 1),
(31320, 1),
(31321, 1),
(31322, 1),
(31323, 1),
(31324, 1),
(31325, 1),
(31326, 1),
(31327, 1),
(31328, 1),
(31329, 1),
(31330, 1),
(31331, 1),
(31332, 1),
(31333, 1),
(31334, 1),
(31335, 1),
(31336, 1),
(31337, 1),
(31338, 1),
(31339, 1),
(31340, 1),
(31341, 1),
(31342, 1),
(31343, 1),
(31344, 1),
(31345, 1),
(31346, 1),
(31347, 1),
(31348, 1),
(31349, 1),
(31350, 1),
(31351, 1),
(31352, 1),
(31353, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(31354, 1),
(31355, 1),
(31356, 1),
(31357, 1),
(31358, 1),
(31359, 1),
(31360, 1),
(31361, 1),
(31362, 1),
(31363, 1),
(31364, 1),
(31365, 1),
(31366, 1),
(31367, 1),
(31368, 1),
(31369, 1),
(31370, 1),
(31371, 1),
(31372, 1),
(31373, 1),
(31374, 1),
(31375, 1),
(31376, 1),
(31377, 1),
(31378, 1),
(31379, 1),
(31380, 1),
(31381, 1),
(31382, 1),
(31383, 1),
(31384, 1),
(31385, 1),
(31386, 1),
(31387, 1),
(31388, 1),
(31389, 1),
(31390, 1),
(31391, 1),
(31392, 1),
(31393, 1),
(31394, 1),
(31395, 1),
(31396, 1),
(31397, 1),
(31398, 1),
(31399, 1),
(31400, 1),
(31401, 1),
(31402, 1),
(31403, 1),
(31404, 1),
(31405, 1),
(31406, 1),
(31407, 1),
(31408, 1),
(31409, 1),
(31410, 1),
(31411, 1),
(31412, 1),
(31413, 1),
(31414, 1),
(31415, 1),
(31416, 1),
(31417, 1),
(31418, 1),
(31419, 1),
(31420, 1),
(31421, 1),
(31422, 1),
(31423, 1),
(31424, 1),
(31425, 1),
(31426, 1),
(31427, 1),
(31428, 1),
(31429, 1),
(31430, 1),
(31431, 1),
(31432, 1),
(31433, 1),
(31434, 1),
(31435, 1),
(31436, 1),
(31437, 1),
(31438, 1),
(31439, 1),
(31440, 1),
(31441, 1),
(31442, 1),
(31443, 1),
(31444, 1),
(31445, 1),
(31446, 1),
(31447, 1),
(31448, 1),
(31449, 1),
(31450, 1),
(31451, 1),
(31452, 1),
(31453, 1),
(31454, 1),
(31455, 1),
(31456, 1),
(31457, 1),
(31458, 1),
(31459, 1),
(31460, 1),
(31461, 1),
(31462, 1),
(31463, 1),
(31464, 1),
(31465, 1),
(31466, 1),
(31467, 1),
(31468, 1),
(31469, 1),
(31470, 1),
(31471, 1),
(31472, 1),
(31473, 1),
(31474, 1),
(31475, 1),
(31476, 1),
(31477, 1),
(31478, 1),
(31479, 1),
(31480, 1),
(31481, 1),
(31482, 1),
(31483, 1),
(31484, 1),
(31485, 1),
(31486, 1),
(31487, 1),
(31488, 1),
(31489, 1),
(31490, 1),
(31491, 1),
(31492, 1),
(31493, 1),
(31494, 1),
(31495, 1),
(31496, 1),
(31497, 1),
(31498, 1),
(31499, 1),
(31500, 1),
(31501, 1),
(31502, 1),
(31503, 1),
(31504, 1),
(31505, 1),
(31506, 1),
(31507, 1),
(31508, 1),
(31509, 1),
(31510, 1),
(31511, 1),
(31512, 1),
(31513, 1),
(31514, 1),
(31515, 1),
(31516, 1),
(31517, 1),
(31518, 1),
(31519, 1),
(31520, 1),
(31521, 1),
(31522, 1),
(31523, 1),
(31524, 1),
(31525, 1),
(31526, 1),
(31527, 1),
(31528, 1),
(31529, 1),
(31530, 1),
(31531, 1),
(31532, 1),
(31533, 1),
(31534, 1),
(31535, 1),
(31536, 1),
(31537, 1),
(31538, 1),
(31539, 1),
(31540, 1),
(31541, 1),
(31542, 1),
(31543, 1),
(31544, 1),
(31545, 1),
(31546, 1),
(31547, 1),
(31548, 1),
(31549, 1),
(31550, 1),
(31551, 1),
(31552, 1),
(31553, 1),
(31554, 1),
(31555, 1),
(31556, 1),
(31557, 1),
(31558, 1),
(31559, 1),
(31560, 1),
(31561, 1),
(31562, 1),
(31563, 1),
(31564, 1),
(31565, 1),
(31566, 1),
(31567, 1),
(31568, 1),
(31569, 1),
(31570, 1),
(31571, 1),
(31572, 1),
(31573, 1),
(31574, 1),
(31575, 1),
(31576, 1),
(31577, 1),
(31578, 1),
(31579, 1),
(31580, 1),
(31581, 1),
(31582, 1),
(31583, 1),
(31584, 1),
(31585, 1),
(31586, 1),
(31587, 1),
(31588, 1),
(31589, 1),
(31590, 1),
(31591, 1),
(31592, 1),
(31593, 1),
(31594, 1),
(31595, 1),
(31596, 1),
(31597, 1),
(31598, 1),
(31599, 1),
(31600, 1),
(31601, 1),
(31602, 1),
(31603, 1),
(31604, 1),
(31605, 1),
(31606, 1),
(31607, 1),
(31608, 1),
(31609, 1),
(31610, 1),
(31611, 1),
(31612, 1),
(31613, 1),
(31614, 1),
(31615, 1),
(31616, 1),
(31617, 1),
(31618, 1),
(31619, 1),
(31620, 1),
(31621, 1),
(31622, 1),
(31623, 1),
(31624, 1),
(31625, 1),
(31626, 1),
(31627, 1),
(31628, 1),
(31629, 1),
(31630, 1),
(31631, 1),
(31632, 1),
(31633, 1),
(31634, 1),
(31635, 1),
(31636, 1),
(31637, 1),
(31638, 1),
(31639, 1),
(31640, 1),
(31641, 1),
(31642, 1),
(31643, 1),
(31644, 1),
(31645, 1),
(31646, 1),
(31647, 1),
(31648, 1),
(31649, 1),
(31650, 1),
(31651, 1),
(31652, 1),
(31653, 1),
(31654, 1),
(31655, 1),
(31656, 1),
(31657, 1),
(31658, 1),
(31659, 1),
(31660, 1),
(31661, 1),
(31662, 1),
(31663, 1),
(31664, 1),
(31665, 1),
(31666, 1),
(31667, 1),
(31668, 1),
(31669, 1),
(31670, 1),
(31671, 1),
(31672, 1),
(31673, 1),
(31674, 1),
(31675, 1),
(31676, 1),
(31677, 1),
(31678, 1),
(31679, 1),
(31680, 1),
(31681, 1),
(31682, 1),
(31683, 1),
(31684, 1),
(31685, 1),
(31686, 1),
(31687, 1),
(31688, 1),
(31689, 1),
(31690, 1),
(31691, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(31692, 1),
(31693, 1),
(31694, 1),
(31695, 1),
(31696, 1),
(31697, 1),
(31698, 1),
(31699, 1),
(31700, 1),
(31701, 1),
(31702, 1),
(31703, 1),
(31704, 1),
(31705, 1),
(31706, 1),
(31707, 1),
(31708, 1),
(31709, 1),
(31710, 1),
(31711, 1),
(31712, 1),
(31713, 1),
(31714, 1),
(31715, 1),
(31716, 1),
(31717, 1),
(31718, 1),
(31719, 1),
(31720, 1),
(31721, 1),
(31722, 1),
(31723, 1),
(31724, 1),
(31725, 1),
(31726, 1),
(31727, 1),
(31728, 1),
(31729, 1),
(31730, 1),
(31731, 1),
(31732, 1),
(31733, 1),
(31734, 1),
(31735, 1),
(31736, 1),
(31737, 1),
(31738, 1),
(31739, 1),
(31740, 1),
(31741, 1),
(31742, 1),
(31743, 1),
(31744, 1),
(31745, 1),
(31746, 1),
(31747, 1),
(31748, 1),
(31749, 1),
(31750, 1),
(31751, 1),
(31752, 1),
(31753, 1),
(31754, 1),
(31755, 1),
(31756, 1),
(31757, 1),
(31758, 1),
(31759, 1),
(31760, 1),
(31761, 1),
(31762, 1),
(31763, 1),
(31764, 1),
(31765, 1),
(31766, 1),
(31767, 1),
(31768, 1),
(31769, 1),
(31770, 1),
(31771, 1),
(31772, 1),
(31773, 1),
(31774, 1),
(31775, 1),
(31776, 1),
(31777, 1),
(31778, 1),
(31779, 1),
(31780, 1),
(31781, 1),
(31782, 1),
(31783, 1),
(31784, 1),
(31785, 1),
(31786, 1),
(31787, 1),
(31788, 1),
(31789, 1),
(31790, 1),
(31791, 1),
(31792, 1),
(31793, 1),
(31794, 1),
(31795, 1),
(31796, 1),
(31797, 1),
(31798, 1),
(31799, 1),
(31800, 1),
(31801, 1),
(31802, 1),
(31803, 1),
(31804, 1),
(31805, 1),
(31806, 1),
(31807, 1),
(31808, 1),
(31809, 1),
(31810, 1),
(31811, 1),
(31812, 1),
(31813, 1),
(31814, 1),
(31815, 1),
(31816, 1),
(31817, 1),
(31818, 1),
(31819, 1),
(31820, 1),
(31821, 1),
(31822, 1),
(31823, 1),
(31824, 1),
(31825, 1),
(31826, 1),
(31827, 1),
(31828, 1),
(31829, 1),
(31830, 1),
(31831, 1),
(31832, 1),
(31833, 1),
(31834, 1),
(31835, 1),
(31836, 1),
(31837, 1),
(31838, 1),
(31839, 1),
(31840, 1),
(31841, 1),
(31842, 1),
(31843, 1),
(31844, 1),
(31845, 1),
(31846, 1),
(31847, 1),
(31848, 1),
(31849, 1),
(31850, 1),
(31851, 1),
(31852, 1),
(31853, 1),
(31854, 1),
(31855, 1),
(31856, 1),
(31857, 1),
(31858, 1),
(31859, 1),
(31860, 1),
(31861, 1),
(31862, 1),
(31863, 1),
(31864, 1),
(31865, 1),
(31866, 1),
(31867, 1),
(31868, 1),
(31869, 1),
(31870, 1),
(31871, 1),
(31872, 1),
(31873, 1),
(31874, 1),
(31875, 1),
(31876, 1),
(31877, 1),
(31878, 1),
(31879, 1),
(31880, 1),
(31881, 1),
(31882, 1),
(31883, 1),
(31884, 1),
(31885, 1),
(31886, 1),
(31887, 1),
(31888, 1),
(31889, 1),
(31890, 1),
(31891, 1),
(31892, 1),
(31893, 1),
(31894, 1),
(31895, 1),
(31896, 1),
(31897, 1),
(31898, 1),
(31899, 1),
(31900, 1),
(31901, 1),
(31902, 1),
(31903, 1),
(31904, 1),
(31905, 1),
(31906, 1),
(31907, 1),
(31908, 1),
(31909, 1),
(31910, 1),
(31911, 1),
(31912, 1),
(31913, 1),
(31914, 1),
(31915, 1),
(31916, 1),
(31917, 1),
(31918, 1),
(31919, 1),
(31920, 1),
(31921, 1),
(31922, 1),
(31923, 1),
(31924, 1),
(31925, 1),
(31926, 1),
(31927, 1),
(31928, 1),
(31929, 1),
(31930, 1),
(31931, 1),
(31932, 1),
(31933, 1),
(31934, 1),
(31935, 1),
(31936, 1),
(31937, 1),
(31938, 1),
(31939, 1),
(31940, 1),
(31941, 1),
(31942, 1),
(31943, 1),
(31944, 1),
(31945, 1),
(31946, 1),
(31947, 1),
(31948, 1),
(31949, 1),
(31950, 1),
(31951, 1),
(31952, 1),
(31953, 1),
(31954, 1),
(31955, 1),
(31956, 1),
(31957, 1),
(31958, 1),
(31959, 1),
(31960, 1),
(31961, 1),
(31962, 1),
(31963, 1),
(31964, 1),
(31965, 1),
(31966, 1),
(31967, 1),
(31968, 1),
(31969, 1),
(31970, 1),
(31971, 1),
(31972, 1),
(31973, 1),
(31974, 1),
(31975, 1),
(31976, 1),
(31977, 1),
(31978, 1),
(31979, 1),
(31980, 1),
(31981, 1),
(31982, 1),
(31983, 1),
(31984, 1),
(31985, 1),
(31986, 1),
(31987, 1),
(31988, 1),
(31989, 1),
(31990, 1),
(31991, 1),
(31992, 1),
(31993, 1),
(31994, 1),
(31995, 1),
(31996, 1),
(31997, 1),
(31998, 1),
(31999, 1),
(32000, 1),
(32001, 1),
(32002, 1),
(32003, 1),
(32004, 1),
(32005, 1),
(32006, 1),
(32007, 1),
(32008, 1),
(32009, 1),
(32010, 1),
(32011, 1),
(32012, 1),
(32013, 1),
(32014, 1),
(32015, 1),
(32016, 1),
(32017, 1),
(32018, 1),
(32019, 1),
(32020, 1),
(32021, 1),
(32022, 1),
(32023, 1),
(32024, 1),
(32025, 1),
(32026, 1),
(32027, 1),
(32028, 1),
(32029, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(32030, 1),
(32031, 1),
(32032, 1),
(32033, 1),
(32034, 1),
(32035, 1),
(32036, 1),
(32037, 1),
(32038, 1),
(32039, 1),
(32040, 1),
(32041, 1),
(32042, 1),
(32043, 1),
(32044, 1),
(32045, 1),
(32046, 1),
(32047, 1),
(32048, 1),
(32049, 1),
(32050, 1),
(32051, 1),
(32052, 1),
(32053, 1),
(32054, 1),
(32055, 1),
(32056, 1),
(32057, 1),
(32058, 1),
(32059, 1),
(32060, 1),
(32061, 1),
(32062, 1),
(32063, 1),
(32064, 1),
(32065, 1),
(32066, 1),
(32067, 1),
(32068, 1),
(32069, 1),
(32070, 1),
(32071, 1),
(32072, 1),
(32073, 1),
(32074, 1),
(32075, 1),
(32076, 1),
(32077, 1),
(32078, 1),
(32079, 1),
(32080, 1),
(32081, 1),
(32082, 1),
(32083, 1),
(32084, 1),
(32085, 1),
(32086, 1),
(32087, 1),
(32088, 1),
(32089, 1),
(32090, 1),
(32091, 1),
(32092, 1),
(32093, 1),
(32094, 1),
(32095, 1),
(32096, 1),
(32097, 1),
(32098, 1),
(32099, 1),
(32100, 1),
(32101, 1),
(32102, 1),
(32103, 1),
(32104, 1),
(32105, 1),
(32106, 1),
(32107, 1),
(32108, 1),
(32109, 1),
(32110, 1),
(32111, 1),
(32112, 1),
(32113, 1),
(32114, 1),
(32115, 1),
(32116, 1),
(32117, 1),
(32118, 1),
(32119, 1),
(32120, 1),
(32121, 1),
(32122, 1),
(32123, 1),
(32124, 1),
(32125, 1),
(32126, 1),
(32127, 1),
(32128, 1),
(32129, 1),
(32130, 1),
(32131, 1),
(32132, 1),
(32133, 1),
(32134, 1),
(32135, 1),
(32136, 1),
(32137, 1),
(32138, 1),
(32139, 1),
(32140, 1),
(32141, 1),
(32142, 1),
(32143, 1),
(32144, 1),
(32145, 1),
(32146, 1),
(32147, 1),
(32148, 1),
(32149, 1),
(32150, 1),
(32151, 1),
(32152, 1),
(32153, 1),
(32154, 1),
(32155, 1),
(32156, 1),
(32157, 1),
(32158, 1),
(32159, 1),
(32160, 1),
(32161, 1),
(32162, 1),
(32163, 1),
(32164, 1),
(32165, 1),
(32166, 1),
(32167, 1),
(32168, 1),
(32169, 1),
(32170, 1),
(32171, 1),
(32172, 1),
(32173, 1),
(32174, 1),
(32175, 1),
(32176, 1),
(32177, 1),
(32178, 1),
(32179, 1),
(32180, 1),
(32181, 1),
(32182, 1),
(32183, 1),
(32184, 1),
(32185, 1),
(32186, 1),
(32187, 1),
(32188, 1),
(32189, 1),
(32190, 1),
(32191, 1),
(32192, 1),
(32193, 1),
(32194, 1),
(32195, 1),
(32196, 1),
(32197, 1),
(32198, 1),
(32199, 1),
(32200, 1),
(32201, 1),
(32202, 1),
(32203, 1),
(32204, 1),
(32205, 1),
(32206, 1),
(32207, 1),
(32208, 1),
(32209, 1),
(32210, 1),
(32211, 1),
(32212, 1),
(32213, 1),
(32214, 1),
(32215, 1),
(32216, 1),
(32217, 1),
(32218, 1),
(32219, 1),
(32220, 1),
(32221, 1),
(32222, 1),
(32223, 1),
(32224, 1),
(32225, 1),
(32226, 1),
(32227, 1),
(32228, 1),
(32229, 1),
(32230, 1),
(32231, 1),
(32232, 1),
(32233, 1),
(32234, 1),
(32235, 1),
(32236, 1),
(32237, 1),
(32238, 1),
(32239, 1),
(32240, 1),
(32241, 1),
(32242, 1),
(32243, 1),
(32244, 1),
(32245, 1),
(32246, 1),
(32247, 1),
(32248, 1),
(32249, 1),
(32250, 1),
(32251, 1),
(32252, 1),
(32253, 1),
(32254, 1),
(32255, 1),
(32256, 1),
(32257, 1),
(32258, 1),
(32259, 1),
(32260, 1),
(32261, 1),
(32262, 1),
(32263, 1),
(32264, 1),
(32265, 1),
(32266, 1),
(32267, 1),
(32268, 1),
(32269, 1),
(32270, 1),
(32271, 1),
(32272, 1),
(32273, 1),
(32274, 1),
(32275, 1),
(32276, 1),
(32277, 1),
(32278, 1),
(32279, 1),
(32280, 1),
(32281, 1),
(32282, 1),
(32283, 1),
(32284, 1),
(32285, 1),
(32286, 1),
(32287, 1),
(32288, 1),
(32289, 1),
(32290, 1),
(32291, 1),
(32292, 1),
(32293, 1),
(32294, 1),
(32295, 1),
(32296, 1),
(32297, 1),
(32298, 1),
(32299, 1),
(32300, 1),
(32301, 1),
(32302, 1),
(32303, 1),
(32304, 1),
(32305, 1),
(32306, 1),
(32307, 1),
(32308, 1),
(32309, 1),
(32310, 1),
(32311, 1),
(32312, 1),
(32313, 1),
(32314, 1),
(32315, 1),
(32316, 1),
(32317, 1),
(32318, 1),
(32319, 1),
(32320, 1),
(32321, 1),
(32322, 1),
(32323, 1),
(32324, 1),
(32325, 1),
(32326, 1),
(32327, 1),
(32328, 1),
(32329, 1),
(32330, 1),
(32331, 1),
(32332, 1),
(32333, 1),
(32334, 1),
(32335, 1),
(32336, 1),
(32337, 1),
(32338, 1),
(32339, 1),
(32340, 1),
(32341, 1),
(32342, 1),
(32343, 1),
(32344, 1),
(32345, 1),
(32346, 1),
(32347, 1),
(32348, 1),
(32349, 1),
(32350, 1),
(32351, 1),
(32352, 1),
(32353, 1),
(32354, 1),
(32355, 1),
(32356, 1),
(32357, 1),
(32358, 1),
(32359, 1),
(32360, 1),
(32361, 1),
(32362, 1),
(32363, 1),
(32364, 1),
(32365, 1),
(32366, 1),
(32367, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(32368, 1),
(32369, 1),
(32370, 1),
(32371, 1),
(32372, 1),
(32373, 1),
(32374, 1),
(32375, 1),
(32376, 1),
(32377, 1),
(32378, 1),
(32379, 1),
(32380, 1),
(32381, 1),
(32382, 1),
(32383, 1),
(32384, 1),
(32385, 1),
(32386, 1),
(32387, 1),
(32388, 1),
(32389, 1),
(32390, 1),
(32391, 1),
(32392, 1),
(32393, 1),
(32394, 1),
(32395, 1),
(32396, 1),
(32397, 1),
(32398, 1),
(32399, 1),
(32400, 1),
(32401, 1),
(32402, 1),
(32403, 1),
(32404, 1),
(32405, 1),
(32406, 1),
(32407, 1),
(32408, 1),
(32409, 1),
(32410, 1),
(32411, 1),
(32412, 1),
(32413, 1),
(32414, 1),
(32415, 1),
(32416, 1),
(32417, 1),
(32418, 1),
(32419, 1),
(32420, 1),
(32421, 1),
(32422, 1),
(32423, 1),
(32424, 1),
(32425, 1),
(32426, 1),
(32427, 1),
(32428, 1),
(32429, 1),
(32430, 1),
(32431, 1),
(32432, 1),
(32433, 1),
(32434, 1),
(32435, 1),
(32436, 1),
(32437, 1),
(32438, 1),
(32439, 1),
(32440, 1),
(32441, 1),
(32442, 1),
(32443, 1),
(32444, 1),
(32445, 1),
(32446, 1),
(32447, 1),
(32448, 1),
(32449, 1),
(32450, 1),
(32451, 1),
(32452, 1),
(32453, 1),
(32454, 1),
(32455, 1),
(32456, 1),
(32457, 1),
(32458, 1),
(32459, 1),
(32460, 1),
(32461, 1),
(32462, 1),
(32463, 1),
(32464, 1),
(32465, 1),
(32466, 1),
(32467, 1),
(32468, 1),
(32469, 1),
(32470, 1),
(32471, 1),
(32472, 1),
(32473, 1),
(32474, 1),
(32475, 1),
(32476, 1),
(32477, 1),
(32478, 1),
(32479, 1),
(32480, 1),
(32481, 1),
(32482, 1),
(32483, 1),
(32484, 1),
(32485, 1),
(32486, 1),
(32487, 1),
(32488, 1),
(32489, 1),
(32490, 1),
(32491, 1),
(32492, 1),
(32493, 1),
(32494, 1),
(32495, 1),
(32496, 1),
(32497, 1),
(32498, 1),
(32499, 1),
(32500, 1),
(32501, 1),
(32502, 1),
(32503, 1),
(32504, 1),
(32505, 1),
(32506, 1),
(32507, 1),
(32508, 1),
(32509, 1),
(32510, 1),
(32511, 1),
(32512, 1),
(32513, 1),
(32514, 1),
(32515, 1),
(32516, 1),
(32517, 1),
(32518, 1),
(32519, 1),
(32520, 1),
(32521, 1),
(32522, 1),
(32523, 1),
(32524, 1),
(32525, 1),
(32526, 1),
(32527, 1),
(32528, 1),
(32529, 1),
(32530, 1),
(32531, 1),
(32532, 1),
(32533, 1),
(32534, 1),
(32535, 1),
(32536, 1),
(32537, 1),
(32538, 1),
(32539, 1),
(32540, 1),
(32541, 1),
(32542, 1),
(32543, 1),
(32544, 1),
(32545, 1),
(32546, 1),
(32547, 1),
(32548, 1),
(32549, 1),
(32550, 1),
(32551, 1),
(32552, 1),
(32553, 1),
(32554, 1),
(32555, 1),
(32556, 1),
(32557, 1),
(32558, 1),
(32559, 1),
(32560, 1),
(32561, 1),
(32562, 1),
(32563, 1),
(32564, 1),
(32565, 1),
(32566, 1),
(32567, 1),
(32568, 1),
(32569, 1),
(32570, 1),
(32571, 1),
(32572, 1),
(32573, 1),
(32574, 1),
(32575, 1),
(32576, 1),
(32577, 1),
(32578, 1),
(32579, 1),
(32580, 1),
(32581, 1),
(32582, 1),
(32583, 1),
(32584, 1),
(32585, 1),
(32586, 1),
(32587, 1),
(32588, 1),
(32589, 1),
(32590, 1),
(32591, 1),
(32592, 1),
(32593, 1),
(32594, 1),
(32595, 1),
(32596, 1),
(32597, 1),
(32598, 1),
(32599, 1),
(32600, 1),
(32601, 1),
(32602, 1),
(32603, 1),
(32604, 1),
(32605, 1),
(32606, 1),
(32607, 1),
(32608, 1),
(32609, 1),
(32610, 1),
(32611, 1),
(32612, 1),
(32613, 1),
(32614, 1),
(32615, 1),
(32616, 1),
(32617, 1),
(32618, 1),
(32619, 1),
(32620, 1),
(32621, 1),
(32622, 1),
(32623, 1),
(32624, 1),
(32625, 1),
(32626, 1),
(32627, 1),
(32628, 1),
(32629, 1),
(32630, 1),
(32631, 1),
(32632, 1),
(32633, 1),
(32634, 1),
(32635, 1),
(32636, 1),
(32637, 1),
(32638, 1),
(32639, 1),
(32640, 1),
(32641, 1),
(32642, 1),
(32643, 1),
(32644, 1),
(32645, 1),
(32646, 1),
(32647, 1),
(32648, 1),
(32649, 1),
(32650, 1),
(32651, 1),
(32652, 1),
(32653, 1),
(32654, 1),
(32655, 1),
(32656, 1),
(32657, 1),
(32658, 1),
(32659, 1),
(32660, 1),
(32661, 1),
(32662, 1),
(32663, 1),
(32664, 1),
(32665, 1),
(32666, 1),
(32667, 1),
(32668, 1),
(32669, 1),
(32670, 1),
(32671, 1),
(32672, 1),
(32673, 1),
(32674, 1),
(32675, 1),
(32676, 1),
(32677, 1),
(32678, 1),
(32679, 1),
(32680, 1),
(32681, 1),
(32682, 1),
(32683, 1),
(32684, 1),
(32685, 1),
(32686, 1),
(32687, 1),
(32688, 1),
(32689, 1),
(32690, 1),
(32691, 1),
(32692, 1),
(32693, 1),
(32694, 1),
(32695, 1),
(32696, 1),
(32697, 1),
(32698, 1),
(32699, 1),
(32700, 1),
(32701, 1),
(32702, 1),
(32703, 1),
(32704, 1),
(32705, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(32706, 1),
(32707, 1),
(32708, 1),
(32709, 1),
(32710, 1),
(32711, 1),
(32712, 1),
(32713, 1),
(32714, 1),
(32715, 1),
(32716, 1),
(32717, 1),
(32718, 1),
(32719, 1),
(32720, 1),
(32721, 1),
(32722, 1),
(32723, 1),
(32724, 1),
(32725, 1),
(32726, 1),
(32727, 1),
(32728, 1),
(32729, 1),
(32730, 1),
(32731, 1),
(32732, 1),
(32733, 1),
(32734, 1),
(32735, 1),
(32736, 1),
(32737, 1),
(32738, 1),
(32739, 1),
(32740, 1),
(32741, 1),
(32742, 1),
(32743, 1),
(32744, 1),
(32745, 1),
(32746, 1),
(32747, 1),
(32748, 1),
(32749, 1),
(32750, 1),
(32751, 1),
(32752, 1),
(32753, 1),
(32754, 1),
(32755, 1),
(32756, 1),
(32757, 1),
(32758, 1),
(32759, 1),
(32760, 1),
(32761, 1),
(32762, 1),
(32763, 1),
(32764, 1),
(32765, 1),
(32766, 1),
(32767, 1),
(32768, 1),
(32769, 1),
(32770, 1),
(32771, 1),
(32772, 1),
(32773, 1),
(32774, 1),
(32775, 1),
(32776, 1),
(32777, 1),
(32778, 1),
(32779, 1),
(32780, 1),
(32781, 1),
(32782, 1),
(32783, 1),
(32784, 1),
(32785, 1),
(32786, 1),
(32787, 1),
(32788, 1),
(32789, 1),
(32790, 1),
(32791, 1),
(32792, 1),
(32793, 1),
(32794, 1),
(32795, 1),
(32796, 1),
(32797, 1),
(32798, 1),
(32799, 1),
(32800, 1),
(32801, 1),
(32802, 1),
(32803, 1),
(32804, 1),
(32805, 1),
(32806, 1),
(32807, 1),
(32808, 1),
(32809, 1),
(32810, 1),
(32811, 1),
(32812, 1),
(32813, 1),
(32814, 1),
(32815, 1),
(32816, 1),
(32817, 1),
(32818, 1),
(32819, 1),
(32820, 1),
(32821, 1),
(32822, 1),
(32823, 1),
(32824, 1),
(32825, 1),
(32826, 1),
(32827, 1),
(32828, 1),
(32829, 1),
(32830, 1),
(32831, 1),
(32832, 1),
(32833, 1),
(32834, 1),
(32835, 1),
(32836, 1),
(32837, 1),
(32838, 1),
(32839, 1),
(32840, 1),
(32841, 1),
(32842, 1),
(32843, 1),
(32844, 1),
(32845, 1),
(32846, 1),
(32847, 1),
(32848, 1),
(32849, 1),
(32850, 1),
(32851, 1),
(32852, 1),
(32853, 1),
(32854, 1),
(32855, 1),
(32856, 1),
(32857, 1),
(32858, 1),
(32859, 1),
(32860, 1),
(32861, 1),
(32862, 1),
(32863, 1),
(32864, 1),
(32865, 1),
(32866, 1),
(32867, 1),
(32868, 1),
(32869, 1),
(32870, 1),
(32871, 1),
(32872, 1),
(32873, 1),
(32874, 1),
(32875, 1),
(32876, 1),
(32877, 1),
(32878, 1),
(32879, 1),
(32880, 1),
(32881, 1),
(32882, 1),
(32883, 1),
(32884, 1),
(32885, 1),
(32886, 1),
(32887, 1),
(32888, 1),
(32889, 1),
(32890, 1),
(32891, 1),
(32892, 1),
(32893, 1),
(32894, 1),
(32895, 1),
(32896, 1),
(32897, 1),
(32898, 1),
(32899, 1),
(32900, 1),
(32901, 1),
(32902, 1),
(32903, 1),
(32904, 1),
(32905, 1),
(32906, 1),
(32907, 1),
(32908, 1),
(32909, 1),
(32910, 1),
(32911, 1),
(32912, 1),
(32913, 1),
(32914, 1),
(32915, 1),
(32916, 1),
(32917, 1),
(32918, 1),
(32919, 1),
(32920, 1),
(32921, 1),
(32922, 1),
(32923, 1),
(32924, 1),
(32925, 1),
(32926, 1),
(32927, 1),
(32928, 1),
(32929, 1),
(32930, 1),
(32931, 1),
(32932, 1),
(32933, 1),
(32934, 1),
(32935, 1),
(32936, 1),
(32937, 1),
(32938, 1),
(32939, 1),
(32940, 1),
(32941, 1),
(32942, 1),
(32943, 1),
(32944, 1),
(32945, 1),
(32946, 1),
(32947, 1),
(32948, 1),
(32949, 1),
(32950, 1),
(32951, 1),
(32952, 1),
(32953, 1),
(32954, 1),
(32955, 1),
(32956, 1),
(32957, 1),
(32958, 1),
(32959, 1),
(32960, 1),
(32961, 1),
(32962, 1),
(32963, 1),
(32964, 1),
(32965, 1),
(32966, 1),
(32967, 1),
(32968, 1),
(32969, 1),
(32970, 1),
(32971, 1),
(32972, 1),
(32973, 1),
(32974, 1),
(32975, 1),
(32976, 1),
(32977, 1),
(32978, 1),
(32979, 1),
(32980, 1),
(32981, 1),
(32982, 1),
(32983, 1),
(32984, 1),
(32985, 1),
(32986, 1),
(32987, 1),
(32988, 1),
(32989, 1),
(32990, 1),
(32991, 1),
(32992, 1),
(32993, 1),
(32994, 1),
(32995, 1),
(32996, 1),
(32997, 1),
(32998, 1),
(32999, 1),
(33000, 1),
(33001, 1),
(33002, 1),
(33003, 1),
(33004, 1),
(33005, 1),
(33006, 1),
(33007, 1),
(33008, 1),
(33009, 1),
(33010, 1),
(33011, 1),
(33012, 1),
(33013, 1),
(33014, 1),
(33015, 1),
(33016, 1),
(33017, 1),
(33018, 1),
(33019, 1),
(33020, 1),
(33021, 1),
(33022, 1),
(33023, 1),
(33024, 1),
(33025, 1),
(33026, 1),
(33027, 1),
(33028, 1),
(33029, 1),
(33030, 1),
(33031, 1),
(33032, 1),
(33033, 1),
(33034, 1),
(33035, 1),
(33036, 1),
(33037, 1),
(33038, 1),
(33039, 1),
(33040, 1),
(33041, 1),
(33042, 1),
(33043, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(33044, 1),
(33045, 1),
(33046, 1),
(33047, 1),
(33048, 1),
(33049, 1),
(33050, 1),
(33051, 1),
(33052, 1),
(33053, 1),
(33054, 1),
(33055, 1),
(33056, 1),
(33057, 1),
(33058, 1),
(33059, 1),
(33060, 1),
(33061, 1),
(33062, 1),
(33063, 1),
(33064, 1),
(33065, 1),
(33066, 1),
(33067, 1),
(33068, 1),
(33069, 1),
(33070, 1),
(33071, 1),
(33072, 1),
(33073, 1),
(33074, 1),
(33075, 1),
(33076, 1),
(33077, 1),
(33078, 1),
(33079, 1),
(33080, 1),
(33081, 1),
(33082, 1),
(33083, 1),
(33084, 1),
(33085, 1),
(33086, 1),
(33087, 1),
(33088, 1),
(33089, 1),
(33090, 1),
(33091, 1),
(33092, 1),
(33093, 1),
(33094, 1),
(33095, 1),
(33096, 1),
(33097, 1),
(33098, 1),
(33099, 1),
(33100, 1),
(33101, 1),
(33102, 1),
(33103, 1),
(33104, 1),
(33105, 1),
(33106, 1),
(33107, 1),
(33108, 1),
(33109, 1),
(33110, 1),
(33111, 1),
(33112, 1),
(33113, 1),
(33114, 1),
(33115, 1),
(33116, 1),
(33117, 1),
(33118, 1),
(33119, 1),
(33120, 1),
(33121, 1),
(33122, 1),
(33123, 1),
(33124, 1),
(33125, 1),
(33126, 1),
(33127, 1),
(33128, 1),
(33129, 1),
(33130, 1),
(33131, 1),
(33132, 1),
(33133, 1),
(33134, 1),
(33135, 1),
(33136, 1),
(33137, 1),
(33138, 1),
(33139, 1),
(33140, 1),
(33141, 1),
(33142, 1),
(33143, 1),
(33144, 1),
(33145, 1),
(33146, 1),
(33147, 1),
(33148, 1),
(33149, 1),
(33150, 1),
(33151, 1),
(33152, 1),
(33153, 1),
(33154, 1),
(33155, 1),
(33156, 1),
(33157, 1),
(33158, 1),
(33159, 1),
(33160, 1),
(33161, 1),
(33162, 1),
(33163, 1),
(33164, 1),
(33165, 1),
(33166, 1),
(33167, 1),
(33168, 1),
(33169, 1),
(33170, 1),
(33171, 1),
(33172, 1),
(33173, 1),
(33174, 1),
(33175, 1),
(33176, 1),
(33177, 1),
(33178, 1),
(33179, 1),
(33180, 1),
(33181, 1),
(33182, 1),
(33183, 1),
(33184, 1),
(33185, 1),
(33186, 1),
(33187, 1),
(33188, 1),
(33189, 1),
(33190, 1),
(33191, 1),
(33192, 1),
(33193, 1),
(33194, 1),
(33195, 1),
(33196, 1),
(33197, 1),
(33198, 1),
(33199, 1),
(33200, 1),
(33201, 1),
(33202, 1),
(33203, 1),
(33204, 1),
(33205, 1),
(33206, 1),
(33207, 1),
(33208, 1),
(33209, 1),
(33210, 1),
(33211, 1),
(33212, 1),
(33213, 1),
(33214, 1),
(33215, 1),
(33216, 1),
(33217, 1),
(33218, 1),
(33219, 1),
(33220, 1),
(33221, 1),
(33222, 1),
(33223, 1),
(33224, 1),
(33225, 1),
(33226, 1),
(33227, 1),
(33228, 1),
(33229, 1),
(33230, 1),
(33231, 1),
(33232, 1),
(33233, 1),
(33234, 1),
(33235, 1),
(33236, 1),
(33237, 1),
(33238, 1),
(33239, 1),
(33240, 1),
(33241, 1),
(33242, 1),
(33243, 1),
(33244, 1),
(33245, 1),
(33246, 1),
(33247, 1),
(33248, 1),
(33249, 1),
(33250, 1),
(33251, 1),
(33252, 1),
(33253, 1),
(33254, 1),
(33255, 1),
(33256, 1),
(33257, 1),
(33258, 1),
(33259, 1),
(33260, 1),
(33261, 1),
(33262, 1),
(33263, 1),
(33264, 1),
(33265, 1),
(33266, 1),
(33267, 1),
(33268, 1),
(33269, 1),
(33270, 1),
(33271, 1),
(33272, 1),
(33273, 1),
(33274, 1),
(33275, 1),
(33276, 1),
(33277, 1),
(33278, 1),
(33279, 1),
(33280, 1),
(33281, 1),
(33282, 1),
(33283, 1),
(33284, 1),
(33285, 1),
(33286, 1),
(33287, 1),
(33288, 1),
(33289, 1),
(33290, 1),
(33291, 1),
(33292, 1),
(33293, 1),
(33294, 1),
(33295, 1),
(33296, 1),
(33297, 1),
(33298, 1),
(33299, 1),
(33300, 1),
(33301, 1),
(33302, 1),
(33303, 1),
(33304, 1),
(33305, 1),
(33306, 1),
(33307, 1),
(33308, 1),
(33309, 1),
(33310, 1),
(33311, 1),
(33312, 1),
(33313, 1),
(33314, 1),
(33315, 1),
(33316, 1),
(33317, 1),
(33318, 1),
(33319, 1),
(33320, 1),
(33321, 1),
(33322, 1),
(33323, 1),
(33324, 1),
(33325, 1),
(33326, 1),
(33327, 1),
(33328, 1),
(33329, 1),
(33330, 1),
(33331, 1),
(33332, 1),
(33333, 1),
(33334, 1),
(33335, 1),
(33336, 1),
(33337, 1),
(33338, 1),
(33339, 1),
(33340, 1),
(33341, 1),
(33342, 1),
(33343, 1),
(33344, 1),
(33345, 1),
(33346, 1),
(33347, 1),
(33348, 1),
(33349, 1),
(33350, 1),
(33351, 1),
(33352, 1),
(33353, 1),
(33354, 1),
(33355, 1),
(33356, 1),
(33357, 1),
(33358, 1),
(33359, 1),
(33360, 1),
(33361, 1),
(33362, 1),
(33363, 1),
(33364, 1),
(33365, 1),
(33366, 1),
(33367, 1),
(33368, 1),
(33369, 1),
(33370, 1),
(33371, 1),
(33372, 1),
(33373, 1),
(33374, 1),
(33375, 1),
(33376, 1),
(33377, 1),
(33378, 1),
(33379, 1),
(33380, 1),
(33381, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(33382, 1),
(33383, 1),
(33384, 1),
(33385, 1),
(33386, 1),
(33387, 1),
(33388, 1),
(33389, 1),
(33390, 1),
(33391, 1),
(33392, 1),
(33393, 1),
(33394, 1),
(33395, 1),
(33396, 1),
(33397, 1),
(33398, 1),
(33399, 1),
(33400, 1),
(33401, 1),
(33402, 1),
(33403, 1),
(33404, 1),
(33405, 1),
(33406, 1),
(33407, 1),
(33408, 1),
(33409, 1),
(33410, 1),
(33411, 1),
(33412, 1),
(33413, 1),
(33414, 1),
(33415, 1),
(33416, 1),
(33417, 1),
(33418, 1),
(33419, 1),
(33420, 1),
(33421, 1),
(33422, 1),
(33423, 1),
(33424, 1),
(33425, 1),
(33426, 1),
(33427, 1),
(33428, 1),
(33429, 1),
(33430, 1),
(33431, 1),
(33432, 1),
(33433, 1),
(33434, 1),
(33435, 1),
(33436, 1),
(33437, 1),
(33438, 1),
(33439, 1),
(33440, 1),
(33441, 1),
(33442, 1),
(33443, 1),
(33444, 1),
(33445, 1),
(33446, 1),
(33447, 1),
(33448, 1),
(33449, 1),
(33450, 1),
(33451, 1),
(33452, 1),
(33453, 1),
(33454, 1),
(33455, 1),
(33456, 1),
(33457, 1),
(33458, 1),
(33459, 1),
(33460, 1),
(33461, 1),
(33462, 1),
(33463, 1),
(33464, 1),
(33465, 1),
(33466, 1),
(33467, 1),
(33468, 1),
(33469, 1),
(33470, 1),
(33471, 1),
(33472, 1),
(33473, 1),
(33474, 1),
(33475, 1),
(33476, 1),
(33477, 1),
(33478, 1),
(33479, 1),
(33480, 1),
(33481, 1),
(33482, 1),
(33483, 1),
(33484, 1),
(33485, 1),
(33486, 1),
(33487, 1),
(33488, 1),
(33489, 1),
(33490, 1),
(33491, 1),
(33492, 1),
(33493, 1),
(33494, 1),
(33495, 1),
(33496, 1),
(33497, 1),
(33498, 1),
(33499, 1),
(33500, 1),
(33501, 1),
(33502, 1),
(33503, 1),
(33504, 1),
(33505, 1),
(33506, 1),
(33507, 1),
(33508, 1),
(33509, 1),
(33510, 1),
(33511, 1),
(33512, 1),
(33513, 1),
(33514, 1),
(33515, 1),
(33516, 1),
(33517, 1),
(33518, 1),
(33519, 1),
(33520, 1),
(33521, 1),
(33522, 1),
(33523, 1),
(33524, 1),
(33525, 1),
(33526, 1),
(33527, 1),
(33528, 1),
(33529, 1),
(33530, 1),
(33531, 1),
(33532, 1),
(33533, 1),
(33534, 1),
(33535, 1),
(33536, 1),
(33537, 1),
(33538, 1),
(33539, 1),
(33540, 1),
(33541, 1),
(33542, 1),
(33543, 1),
(33544, 1),
(33545, 1),
(33546, 1),
(33547, 1),
(33548, 1),
(33549, 1),
(33550, 1),
(33551, 1),
(33552, 1),
(33553, 1),
(33554, 1),
(33555, 1),
(33556, 1),
(33557, 1),
(33558, 1),
(33559, 1),
(33560, 1),
(33561, 1),
(33562, 1),
(33563, 1),
(33564, 1),
(33565, 1),
(33566, 1),
(33567, 1),
(33568, 1),
(33569, 1),
(33570, 1),
(33571, 1),
(33572, 1),
(33573, 1),
(33574, 1),
(33575, 1),
(33576, 1),
(33577, 1),
(33578, 1),
(33579, 1),
(33580, 1),
(33581, 1),
(33582, 1),
(33583, 1),
(33584, 1),
(33585, 1),
(33586, 1),
(33587, 1),
(33588, 1),
(33589, 1),
(33590, 1),
(33591, 1),
(33592, 1),
(33593, 1),
(33594, 1),
(33595, 1),
(33596, 1),
(33597, 1),
(33598, 1),
(33599, 1),
(33600, 1),
(33601, 1),
(33602, 1),
(33603, 1),
(33604, 1),
(33605, 1),
(33606, 1),
(33607, 1),
(33608, 1),
(33609, 1),
(33610, 1),
(33611, 1),
(33612, 1),
(33613, 1),
(33614, 1),
(33615, 1),
(33616, 1),
(33617, 1),
(33618, 1),
(33619, 1),
(33620, 1),
(33621, 1),
(33622, 1),
(33623, 1),
(33624, 1),
(33625, 1),
(33626, 1),
(33627, 1),
(33628, 1),
(33629, 1),
(33630, 1),
(33631, 1),
(33632, 1),
(33633, 1),
(33634, 1),
(33635, 1),
(33636, 1),
(33637, 1),
(33638, 1),
(33639, 1),
(33640, 1),
(33641, 1),
(33642, 1),
(33643, 1),
(33644, 1),
(33645, 1),
(33646, 1),
(33647, 1),
(33648, 1),
(33649, 1),
(33650, 1),
(33651, 1),
(33652, 1),
(33653, 1),
(33654, 1),
(33655, 1),
(33656, 1),
(33657, 1),
(33658, 1),
(33659, 1),
(33660, 1),
(33661, 1),
(33662, 1),
(33663, 1),
(33664, 1),
(33665, 1),
(33666, 1),
(33667, 1),
(33668, 1),
(33669, 1),
(33670, 1),
(33671, 1),
(33672, 1),
(33673, 1),
(33674, 1),
(33675, 1),
(33676, 1),
(33677, 1),
(33678, 1),
(33679, 1),
(33680, 1),
(33681, 1),
(33682, 1),
(33683, 1),
(33684, 1),
(33685, 1),
(33686, 1),
(33687, 1),
(33688, 1),
(33689, 1),
(33690, 1),
(33691, 1),
(33692, 1),
(33693, 1),
(33694, 1),
(33695, 1),
(33696, 1),
(33697, 1),
(33698, 1),
(33699, 1),
(33700, 1),
(33701, 1),
(33702, 1),
(33703, 1),
(33704, 1),
(33705, 1),
(33706, 1),
(33707, 1),
(33708, 1),
(33709, 1),
(33710, 1),
(33711, 1),
(33712, 1),
(33713, 1),
(33714, 1),
(33715, 1),
(33716, 1),
(33717, 1),
(33718, 1),
(33719, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(33720, 1),
(33721, 1),
(33722, 1),
(33723, 1),
(33724, 1),
(33725, 1),
(33726, 1),
(33727, 1),
(33728, 1),
(33729, 1),
(33730, 1),
(33731, 1),
(33732, 1),
(33733, 1),
(33734, 1),
(33735, 1),
(33736, 1),
(33737, 1),
(33738, 1),
(33739, 1),
(33740, 1),
(33741, 1),
(33742, 1),
(33743, 1),
(33744, 1),
(33745, 1),
(33746, 1),
(33747, 1),
(33748, 1),
(33749, 1),
(33750, 1),
(33751, 1),
(33752, 1),
(33753, 1),
(33754, 1),
(33755, 1),
(33756, 1),
(33757, 1),
(33758, 1),
(33759, 1),
(33760, 1),
(33761, 1),
(33762, 1),
(33763, 1),
(33764, 1),
(33765, 1),
(33766, 1),
(33767, 1),
(33768, 1),
(33769, 1),
(33770, 1),
(33771, 1),
(33772, 1),
(33773, 1),
(33774, 1),
(33775, 1),
(33776, 1),
(33777, 1),
(33778, 1),
(33779, 1),
(33780, 1),
(33781, 1),
(33782, 1),
(33783, 1),
(33784, 1),
(33785, 1),
(33786, 1),
(33787, 1),
(33788, 1),
(33789, 1),
(33790, 1),
(33791, 1),
(33792, 1),
(33793, 1),
(33794, 1),
(33795, 1),
(33796, 1),
(33797, 1),
(33798, 1),
(33799, 1),
(33800, 1),
(33801, 1),
(33802, 1),
(33803, 1),
(33804, 1),
(33805, 1),
(33806, 1),
(33807, 1),
(33808, 1),
(33809, 1),
(33810, 1),
(33811, 1),
(33812, 1),
(33813, 1),
(33814, 1),
(33815, 1),
(33816, 1),
(33817, 1),
(33818, 1),
(33819, 1),
(33820, 1),
(33821, 1),
(33822, 1),
(33823, 1),
(33824, 1),
(33825, 1),
(33826, 1),
(33827, 1),
(33828, 1),
(33829, 1),
(33830, 1),
(33831, 1),
(33832, 1),
(33833, 1),
(33834, 1),
(33835, 1),
(33836, 1),
(33837, 1),
(33838, 1),
(33839, 1),
(33840, 1),
(33841, 1),
(33842, 1),
(33843, 1),
(33844, 1),
(33845, 1),
(33846, 1),
(33847, 1),
(33848, 1),
(33849, 1),
(33850, 1),
(33851, 1),
(33852, 1),
(33853, 1),
(33854, 1),
(33855, 1),
(33856, 1),
(33857, 1),
(33858, 1),
(33859, 1),
(33860, 1),
(33861, 1),
(33862, 1),
(33863, 1),
(33864, 1),
(33865, 1),
(33866, 1),
(33867, 1),
(33868, 1),
(33869, 1),
(33870, 1),
(33871, 1),
(33872, 1),
(33873, 1),
(33874, 1),
(33875, 1),
(33876, 1),
(33877, 1),
(33878, 1),
(33879, 1),
(33880, 1),
(33881, 1),
(33882, 1),
(33883, 1),
(33884, 1),
(33885, 1),
(33886, 1),
(33887, 1),
(33888, 1),
(33889, 1),
(33890, 1),
(33891, 1),
(33892, 1),
(33893, 1),
(33894, 1),
(33895, 1),
(33896, 1),
(33897, 1),
(33898, 1),
(33899, 1),
(33900, 1),
(33901, 1),
(33902, 1),
(33903, 1),
(33904, 1),
(33905, 1),
(33906, 1),
(33907, 1),
(33908, 1),
(33909, 1),
(33910, 1),
(33911, 1),
(33912, 1),
(33913, 1),
(33914, 1),
(33915, 1),
(33916, 1),
(33917, 1),
(33918, 1),
(33919, 1),
(33920, 1),
(33921, 1),
(33922, 1),
(33923, 1),
(33924, 1),
(33925, 1),
(33926, 1),
(33927, 1),
(33928, 1),
(33929, 1),
(33930, 1),
(33931, 1),
(33932, 1),
(33933, 1),
(33934, 1),
(33935, 1),
(33936, 1),
(33937, 1),
(33938, 1),
(33939, 1),
(33940, 1),
(33941, 1),
(33942, 1),
(33943, 1),
(33944, 1),
(33945, 1),
(33946, 1),
(33947, 1),
(33948, 1),
(33949, 1),
(33950, 1),
(33951, 1),
(33952, 1),
(33953, 1),
(33954, 1),
(33955, 1),
(33956, 1),
(33957, 1),
(33958, 1),
(33959, 1),
(33960, 1),
(33961, 1),
(33962, 1),
(33963, 1),
(33964, 1),
(33965, 1),
(33966, 1),
(33967, 1),
(33968, 1),
(33969, 1),
(33970, 1),
(33971, 1),
(33972, 1),
(33973, 1),
(33974, 1),
(33975, 1),
(33976, 1),
(33977, 1),
(33978, 1),
(33979, 1),
(33980, 1),
(33981, 1),
(33982, 1),
(33983, 1),
(33984, 1),
(33985, 1),
(33986, 1),
(33987, 1),
(33988, 1),
(33989, 1),
(33990, 1),
(33991, 1),
(33992, 1),
(33993, 1),
(33994, 1),
(33995, 1),
(33996, 1),
(33997, 1),
(33998, 1),
(33999, 1),
(34000, 1),
(34001, 1),
(34002, 1),
(34003, 1),
(34004, 1),
(34005, 1),
(34006, 1),
(34007, 1),
(34008, 1),
(34009, 1),
(34010, 1),
(34011, 1),
(34012, 1),
(34013, 1),
(34014, 1),
(34015, 1),
(34016, 1),
(34017, 1),
(34018, 1),
(34019, 1),
(34020, 1),
(34021, 1),
(34022, 1),
(34023, 1),
(34024, 1),
(34025, 1),
(34026, 1),
(34027, 1),
(34028, 1),
(34029, 1),
(34030, 1),
(34031, 1),
(34032, 1),
(34033, 1),
(34034, 1),
(34035, 1),
(34036, 1),
(34037, 1),
(34038, 1),
(34039, 1),
(34040, 1),
(34041, 1),
(34042, 1),
(34043, 1),
(34044, 1),
(34045, 1),
(34046, 1),
(34047, 1),
(34048, 1),
(34049, 1),
(34050, 1),
(34051, 1),
(34052, 1),
(34053, 1),
(34054, 1),
(34055, 1),
(34056, 1),
(34057, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(34058, 1),
(34059, 1),
(34060, 1),
(34061, 1),
(34062, 1),
(34063, 1),
(34064, 1),
(34065, 1),
(34066, 1),
(34067, 1),
(34068, 1),
(34069, 1),
(34070, 1),
(34071, 1),
(34072, 1),
(34073, 1),
(34074, 1),
(34075, 1),
(34076, 1),
(34077, 1),
(34078, 1),
(34079, 1),
(34080, 1),
(34081, 1),
(34082, 1),
(34083, 1),
(34084, 1),
(34085, 1),
(34086, 1),
(34087, 1),
(34088, 1),
(34089, 1),
(34090, 1),
(34091, 1),
(34092, 1),
(34093, 1),
(34094, 1),
(34095, 1),
(34096, 1),
(34097, 1),
(34098, 1),
(34099, 1),
(34100, 1),
(34101, 1),
(34102, 1),
(34103, 1),
(34104, 1),
(34105, 1),
(34106, 1),
(34107, 1),
(34108, 1),
(34109, 1),
(34110, 1),
(34111, 1),
(34112, 1),
(34113, 1),
(34114, 1),
(34115, 1),
(34116, 1),
(34117, 1),
(34118, 1),
(34119, 1),
(34120, 1),
(34121, 1),
(34122, 1),
(34123, 1),
(34124, 1),
(34125, 1),
(34126, 1),
(34127, 1),
(34128, 1),
(34129, 1),
(34130, 1),
(34131, 1),
(34132, 1),
(34133, 1),
(34134, 1),
(34135, 1),
(34136, 1),
(34137, 1),
(34138, 1),
(34139, 1),
(34140, 1),
(34141, 1),
(34142, 1),
(34143, 1),
(34144, 1),
(34145, 1),
(34146, 1),
(34147, 1),
(34148, 1),
(34149, 1),
(34150, 1),
(34151, 1),
(34152, 1),
(34153, 1),
(34154, 1),
(34155, 1),
(34156, 1),
(34157, 1),
(34158, 1),
(34159, 1),
(34160, 1),
(34161, 1),
(34162, 1),
(34163, 1),
(34164, 1),
(34165, 1),
(34166, 1),
(34167, 1),
(34168, 1),
(34169, 1),
(34170, 1),
(34171, 1),
(34172, 1),
(34173, 1),
(34174, 1),
(34175, 1),
(34176, 1),
(34177, 1),
(34178, 1),
(34179, 1),
(34180, 1),
(34181, 1),
(34182, 1),
(34183, 1),
(34184, 1),
(34185, 1),
(34186, 1),
(34187, 1),
(34188, 1),
(34189, 1),
(34190, 1),
(34191, 1),
(34192, 1),
(34193, 1),
(34194, 1),
(34195, 1),
(34196, 1),
(34197, 1),
(34198, 1),
(34199, 1),
(34200, 1),
(34201, 1),
(34202, 1),
(34203, 1),
(34204, 1),
(34205, 1),
(34206, 1),
(34207, 1),
(34208, 1),
(34209, 1),
(34210, 1),
(34211, 1),
(34212, 1),
(34213, 1),
(34214, 1),
(34215, 1),
(34216, 1),
(34217, 1),
(34218, 1),
(34219, 1),
(34220, 1),
(34221, 1),
(34222, 1),
(34223, 1),
(34224, 1),
(34225, 1),
(34226, 1),
(34227, 1),
(34228, 1),
(34229, 1),
(34230, 1),
(34231, 1),
(34232, 1),
(34233, 1),
(34234, 1),
(34235, 1),
(34236, 1),
(34237, 1),
(34238, 1),
(34239, 1),
(34240, 1),
(34241, 1),
(34242, 1),
(34243, 1),
(34244, 1),
(34245, 1),
(34246, 1),
(34247, 1),
(34248, 1),
(34249, 1),
(34250, 1),
(34251, 1),
(34252, 1),
(34253, 1),
(34254, 1),
(34255, 1),
(34256, 1),
(34257, 1),
(34258, 1),
(34259, 1),
(34260, 1),
(34261, 1),
(34262, 1),
(34263, 1),
(34264, 1),
(34265, 1),
(34266, 1),
(34267, 1),
(34268, 1),
(34269, 1),
(34270, 1),
(34271, 1),
(34272, 1),
(34273, 1),
(34274, 1),
(34275, 1),
(34276, 1),
(34277, 1),
(34278, 1),
(34279, 1),
(34280, 1),
(34281, 1),
(34282, 1),
(34283, 1),
(34284, 1),
(34285, 1),
(34286, 1),
(34287, 1),
(34288, 1),
(34289, 1),
(34290, 1),
(34291, 1),
(34292, 1),
(34293, 1),
(34294, 1),
(34295, 1),
(34296, 1),
(34297, 1),
(34298, 1),
(34299, 1),
(34300, 1),
(34301, 1),
(34302, 1),
(34303, 1),
(34304, 1),
(34305, 1),
(34306, 1),
(34307, 1),
(34308, 1),
(34309, 1),
(34310, 1),
(34311, 1),
(34312, 1),
(34313, 1),
(34314, 1),
(34315, 1),
(34316, 1),
(34317, 1),
(34318, 1),
(34319, 1),
(34320, 1),
(34321, 1),
(34322, 1),
(34323, 1),
(34324, 1),
(34325, 1),
(34326, 1),
(34327, 1),
(34328, 1),
(34329, 1),
(34330, 1),
(34331, 1),
(34332, 1),
(34333, 1),
(34334, 1),
(34335, 1),
(34336, 1),
(34337, 1),
(34338, 1),
(34339, 1),
(34340, 1),
(34341, 1),
(34342, 1),
(34343, 1),
(34344, 1),
(34345, 1),
(34346, 1),
(34347, 1),
(34348, 1),
(34349, 1),
(34350, 1),
(34351, 1),
(34352, 1),
(34353, 1),
(34354, 1),
(34355, 1),
(34356, 1),
(34357, 1),
(34358, 1),
(34359, 1),
(34360, 1),
(34361, 1),
(34362, 1),
(34363, 1),
(34364, 1),
(34365, 1),
(34366, 1),
(34367, 1),
(34368, 1),
(34369, 1),
(34370, 1),
(34371, 1),
(34372, 1),
(34373, 1),
(34374, 1),
(34375, 1),
(34376, 1),
(34377, 1),
(34378, 1),
(34379, 1),
(34380, 1),
(34381, 1),
(34382, 1),
(34383, 1),
(34384, 1),
(34385, 1),
(34386, 1),
(34387, 1),
(34388, 1),
(34389, 1),
(34390, 1),
(34391, 1),
(34392, 1),
(34393, 1),
(34394, 1),
(34395, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(34396, 1),
(34397, 1),
(34398, 1),
(34399, 1),
(34400, 1),
(34401, 1),
(34402, 1),
(34403, 1),
(34404, 1),
(34405, 1),
(34406, 1),
(34407, 1),
(34408, 1),
(34409, 1),
(34410, 1),
(34411, 1),
(34412, 1),
(34413, 1),
(34414, 1),
(34415, 1),
(34416, 1),
(34417, 1),
(34418, 1),
(34419, 1),
(34420, 1),
(34421, 1),
(34422, 1),
(34423, 1),
(34424, 1),
(34425, 1),
(34426, 1),
(34427, 1),
(34428, 1),
(34429, 1),
(34430, 1),
(34431, 1),
(34432, 1),
(34433, 1),
(34434, 1),
(34435, 1),
(34436, 1),
(34437, 1),
(34438, 1),
(34439, 1),
(34440, 1),
(34441, 1),
(34442, 1),
(34443, 1),
(34444, 1),
(34445, 1),
(34446, 1),
(34447, 1),
(34448, 1),
(34449, 1),
(34450, 1),
(34451, 1),
(34452, 1),
(34453, 1),
(34454, 1),
(34455, 1),
(34456, 1),
(34457, 1),
(34458, 1),
(34459, 1),
(34460, 1),
(34461, 1),
(34462, 1),
(34463, 1),
(34464, 1),
(34465, 1),
(34466, 1),
(34467, 1),
(34468, 1),
(34469, 1),
(34470, 1),
(34471, 1),
(34472, 1),
(34473, 1),
(34474, 1),
(34475, 1),
(34476, 1),
(34477, 1),
(34478, 1),
(34479, 1),
(34480, 1),
(34481, 1),
(34482, 1),
(34483, 1),
(34484, 1),
(34485, 1),
(34486, 1),
(34487, 1),
(34488, 1),
(34489, 1),
(34490, 1),
(34491, 1),
(34492, 1),
(34493, 1),
(34494, 1),
(34495, 1),
(34496, 1),
(34497, 1),
(34498, 1),
(34499, 1),
(34500, 1),
(34501, 1),
(34502, 1),
(34503, 1),
(34504, 1),
(34505, 1),
(34506, 1),
(34507, 1),
(34508, 1),
(34509, 1),
(34510, 1),
(34511, 1),
(34512, 1),
(34513, 1),
(34514, 1),
(34515, 1),
(34516, 1),
(34517, 1),
(34518, 1),
(34519, 1),
(34520, 1),
(34521, 1),
(34522, 1),
(34523, 1),
(34524, 1),
(34525, 1),
(34526, 1),
(34527, 1),
(34528, 1),
(34529, 1),
(34530, 1),
(34531, 1),
(34532, 1),
(34533, 1),
(34534, 1),
(34535, 1),
(34536, 1),
(34537, 1),
(34538, 1),
(34539, 1),
(34540, 1),
(34541, 1),
(34542, 1),
(34543, 1),
(34544, 1),
(34545, 1),
(34546, 1),
(34547, 1),
(34548, 1),
(34549, 1),
(34550, 1),
(34551, 1),
(34552, 1),
(34553, 1),
(34554, 1),
(34555, 1),
(34556, 1),
(34557, 1),
(34558, 1),
(34559, 1),
(34560, 1),
(34561, 1),
(34562, 1),
(34563, 1),
(34564, 1),
(34565, 1),
(34566, 1),
(34567, 1),
(34568, 1),
(34569, 1),
(34570, 1),
(34571, 1),
(34572, 1),
(34573, 1),
(34574, 1),
(34575, 1),
(34576, 1),
(34577, 1),
(34578, 1),
(34579, 1),
(34580, 1),
(34581, 1),
(34582, 1),
(34583, 1),
(34584, 1),
(34585, 1),
(34586, 1),
(34587, 1),
(34588, 1),
(34589, 1),
(34590, 1),
(34591, 1),
(34592, 1),
(34593, 1),
(34594, 1),
(34595, 1),
(34596, 1),
(34597, 1),
(34598, 1),
(34599, 1),
(34600, 1),
(34601, 1),
(34602, 1),
(34603, 1),
(34604, 1),
(34605, 1),
(34606, 1),
(34607, 1),
(34608, 1),
(34609, 1),
(34610, 1),
(34611, 1),
(34612, 1),
(34613, 1),
(34614, 1),
(34615, 1),
(34616, 1),
(34617, 1),
(34618, 1),
(34619, 1),
(34620, 1),
(34621, 1),
(34622, 1),
(34623, 1),
(34624, 1),
(34625, 1),
(34626, 1),
(34627, 1),
(34628, 1),
(34629, 1),
(34630, 1),
(34631, 1),
(34632, 1),
(34633, 1),
(34634, 1),
(34635, 1),
(34636, 1),
(34637, 1),
(34638, 1),
(34639, 1),
(34640, 1),
(34641, 1),
(34642, 1),
(34643, 1),
(34644, 1),
(34645, 1),
(34646, 1),
(34647, 1),
(34648, 1),
(34649, 1),
(34650, 1),
(34651, 1),
(34652, 1),
(34653, 1),
(34654, 1),
(34655, 1),
(34656, 1),
(34657, 1),
(34658, 1),
(34659, 1),
(34660, 1),
(34661, 1),
(34662, 1),
(34663, 1),
(34664, 1),
(34665, 1),
(34666, 1),
(34667, 1),
(34668, 1),
(34669, 1),
(34670, 1),
(34671, 1),
(34672, 1),
(34673, 1),
(34674, 1),
(34675, 1),
(34676, 1),
(34677, 1),
(34678, 1),
(34679, 1),
(34680, 1),
(34681, 1),
(34682, 1),
(34683, 1),
(34684, 1),
(34685, 1),
(34686, 1),
(34687, 1),
(34688, 1),
(34689, 1),
(34690, 1),
(34691, 1),
(34692, 1),
(34693, 1),
(34694, 1),
(34695, 1),
(34696, 1),
(34697, 1),
(34698, 1),
(34699, 1),
(34700, 1),
(34701, 1),
(34702, 1),
(34703, 1),
(34704, 1),
(34705, 1),
(34706, 1),
(34707, 1),
(34708, 1),
(34709, 1),
(34710, 1),
(34711, 1),
(34712, 1),
(34713, 1),
(34714, 1),
(34715, 1),
(34716, 1),
(34717, 1),
(34718, 1),
(34719, 1),
(34720, 1),
(34721, 1),
(34722, 1),
(34723, 1),
(34724, 1),
(34725, 1),
(34726, 1),
(34727, 1),
(34728, 1),
(34729, 1),
(34730, 1),
(34731, 1),
(34732, 1),
(34733, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(34734, 1),
(34735, 1),
(34736, 1),
(34737, 1),
(34738, 1),
(34739, 1),
(34740, 1),
(34741, 1),
(34742, 1),
(34743, 1),
(34744, 1),
(34745, 1),
(34746, 1),
(34747, 1),
(34748, 1),
(34749, 1),
(34750, 1),
(34751, 1),
(34752, 1),
(34753, 1),
(34754, 1),
(34755, 1),
(34756, 1),
(34757, 1),
(34758, 1),
(34759, 1),
(34760, 1),
(34761, 1),
(34762, 1),
(34763, 1),
(34764, 1),
(34765, 1),
(34766, 1),
(34767, 1),
(34768, 1),
(34769, 1),
(34770, 1),
(34771, 1),
(34772, 1),
(34773, 1),
(34774, 1),
(34775, 1),
(34776, 1),
(34777, 1),
(34778, 1),
(34779, 1),
(34780, 1),
(34781, 1),
(34782, 1),
(34783, 1),
(34784, 1),
(34785, 1),
(34786, 1),
(34787, 1),
(34788, 1),
(34789, 1),
(34790, 1),
(34791, 1),
(34792, 1),
(34793, 1),
(34794, 1),
(34795, 1),
(34796, 1),
(34797, 1),
(34798, 1),
(34799, 1),
(34800, 1),
(34801, 1),
(34802, 1),
(34803, 1),
(34804, 1),
(34805, 1),
(34806, 1),
(34807, 1),
(34808, 1),
(34809, 1),
(34810, 1),
(34811, 1),
(34812, 1),
(34813, 1),
(34814, 1),
(34815, 1),
(34816, 1),
(34817, 1),
(34818, 1),
(34819, 1),
(34820, 1),
(34821, 1),
(34822, 1),
(34823, 1),
(34824, 1),
(34825, 1),
(34826, 1),
(34827, 1),
(34828, 1),
(34829, 1),
(34830, 1),
(34831, 1),
(34832, 1),
(34833, 1),
(34834, 1),
(34835, 1),
(34836, 1),
(34837, 1),
(34838, 1),
(34839, 1),
(34840, 1),
(34841, 1),
(34842, 1),
(34843, 1),
(34844, 1),
(34845, 1),
(34846, 1),
(34847, 1),
(34848, 1),
(34849, 1),
(34850, 1),
(34851, 1),
(34852, 1),
(34853, 1),
(34854, 1),
(34855, 1),
(34856, 1),
(34857, 1),
(34858, 1),
(34859, 1),
(34860, 1),
(34861, 1),
(34862, 1),
(34863, 1),
(34864, 1),
(34865, 1),
(34866, 1),
(34867, 1),
(34868, 1),
(34869, 1),
(34870, 1),
(34871, 1),
(34872, 1),
(34873, 1),
(34874, 1),
(34875, 1),
(34876, 1),
(34877, 1),
(34878, 1),
(34879, 1),
(34880, 1),
(34881, 1),
(34882, 1),
(34883, 1),
(34884, 1),
(34885, 1),
(34886, 1),
(34887, 1),
(34888, 1),
(34889, 1),
(34890, 1),
(34891, 1),
(34892, 1),
(34893, 1),
(34894, 1),
(34895, 1),
(34896, 1),
(34897, 1),
(34898, 1),
(34899, 1),
(34900, 1),
(34901, 1),
(34902, 1),
(34903, 1),
(34904, 1),
(34905, 1),
(34906, 1),
(34907, 1),
(34908, 1),
(34909, 1),
(34910, 1),
(34911, 1),
(34912, 1),
(34913, 1),
(34914, 1),
(34915, 1),
(34916, 1),
(34917, 1),
(34918, 1),
(34919, 1),
(34920, 1),
(34921, 1),
(34922, 1),
(34923, 1),
(34924, 1),
(34925, 1),
(34926, 1),
(34927, 1),
(34928, 1),
(34929, 1),
(34930, 1),
(34931, 1),
(34932, 1),
(34933, 1),
(34934, 1),
(34935, 1),
(34936, 1),
(34937, 1),
(34938, 1),
(34939, 1),
(34940, 1),
(34941, 1),
(34942, 1),
(34943, 1),
(34944, 1),
(34945, 1),
(34946, 1),
(34947, 1),
(34948, 1),
(34949, 1),
(34950, 1),
(34951, 1),
(34952, 1),
(34953, 1),
(34954, 1),
(34955, 1),
(34956, 1),
(34957, 1),
(34958, 1),
(34959, 1),
(34960, 1),
(34961, 1),
(34962, 1),
(34963, 1),
(34964, 1),
(34965, 1),
(34966, 1),
(34967, 1),
(34968, 1),
(34969, 1),
(34970, 1),
(34971, 1),
(34972, 1),
(34973, 1),
(34974, 1),
(34975, 1),
(34976, 1),
(34977, 1),
(34978, 1),
(34979, 1),
(34980, 1),
(34981, 1),
(34982, 1),
(34983, 1),
(34984, 1),
(34985, 1),
(34986, 1),
(34987, 1),
(34988, 1),
(34989, 1),
(34990, 1),
(34991, 1),
(34992, 1),
(34993, 1),
(34994, 1),
(34995, 1),
(34996, 1),
(34997, 1),
(34998, 1),
(34999, 1),
(35000, 1),
(35001, 1),
(35002, 1),
(35003, 1),
(35004, 1),
(35005, 1),
(35006, 1),
(35007, 1),
(35008, 1),
(35009, 1),
(35010, 1),
(35011, 1),
(35012, 1),
(35013, 1),
(35014, 1),
(35015, 1),
(35016, 1),
(35017, 1),
(35018, 1),
(35019, 1),
(35020, 1),
(35021, 1),
(35022, 1),
(35023, 1),
(35024, 1),
(35025, 1),
(35026, 1),
(35027, 1),
(35028, 1),
(35029, 1),
(35030, 1),
(35031, 1),
(35032, 1),
(35033, 1),
(35034, 1),
(35035, 1),
(35036, 1),
(35037, 1),
(35038, 1),
(35039, 1),
(35040, 1),
(35041, 1),
(35042, 1),
(35043, 1),
(35044, 1),
(35045, 1),
(35046, 1),
(35047, 1),
(35048, 1),
(35049, 1),
(35050, 1),
(35051, 1),
(35052, 1),
(35053, 1),
(35054, 1),
(35055, 1),
(35056, 1),
(35057, 1),
(35058, 1),
(35059, 1),
(35060, 1),
(35061, 1),
(35062, 1),
(35063, 1),
(35064, 1),
(35065, 1),
(35066, 1),
(35067, 1),
(35068, 1),
(35069, 1),
(35070, 1),
(35071, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(35072, 1),
(35073, 1),
(35074, 1),
(35075, 1),
(35076, 1),
(35077, 1),
(35078, 1),
(35079, 1),
(35080, 1),
(35081, 1),
(35082, 1),
(35083, 1),
(35084, 1),
(35085, 1),
(35086, 1),
(35087, 1),
(35088, 1),
(35089, 1),
(35090, 1),
(35091, 1),
(35092, 1),
(35093, 1),
(35094, 1),
(35095, 1),
(35096, 1),
(35097, 1),
(35098, 1),
(35099, 1),
(35100, 1),
(35101, 1),
(35102, 1),
(35103, 1),
(35104, 1),
(35105, 1),
(35106, 1),
(35107, 1),
(35108, 1),
(35109, 1),
(35110, 1),
(35111, 1),
(35112, 1),
(35113, 1),
(35114, 1),
(35115, 1),
(35116, 1),
(35117, 1),
(35118, 1),
(35119, 1),
(35120, 1),
(35121, 1),
(35122, 1),
(35123, 1),
(35124, 1),
(35125, 1),
(35126, 1),
(35127, 1),
(35128, 1),
(35129, 1),
(35130, 1),
(35131, 1),
(35132, 1),
(35133, 1),
(35134, 1),
(35135, 1),
(35136, 1),
(35137, 1),
(35138, 1),
(35139, 1),
(35140, 1),
(35141, 1),
(35142, 1),
(35143, 1),
(35144, 1),
(35145, 1),
(35146, 1),
(35147, 1),
(35148, 1),
(35149, 1),
(35150, 1),
(35151, 1),
(35152, 1),
(35153, 1),
(35154, 1),
(35155, 1),
(35156, 1),
(35157, 1),
(35158, 1),
(35159, 1),
(35160, 1),
(35161, 1),
(35162, 1),
(35163, 1),
(35164, 1),
(35165, 1),
(35166, 1),
(35167, 1),
(35168, 1),
(35169, 1),
(35170, 1),
(35171, 1),
(35172, 1),
(35173, 1),
(35174, 1),
(35175, 1),
(35176, 1),
(35177, 1),
(35178, 1),
(35179, 1),
(35180, 1),
(35181, 1),
(35182, 1),
(35183, 1),
(35184, 1),
(35185, 1),
(35186, 1),
(35187, 1),
(35188, 1),
(35189, 1),
(35190, 1),
(35191, 1),
(35192, 1),
(35193, 1),
(35194, 1),
(35195, 1),
(35196, 1),
(35197, 1),
(35198, 1),
(35199, 1),
(35200, 1),
(35201, 1),
(35202, 1),
(35203, 1),
(35204, 1),
(35205, 1),
(35206, 1),
(35207, 1),
(35208, 1),
(35209, 1),
(35210, 1),
(35211, 1),
(35212, 1),
(35213, 1),
(35214, 1),
(35215, 1),
(35216, 1),
(35217, 1),
(35218, 1),
(35219, 1),
(35220, 1),
(35221, 1),
(35222, 1),
(35223, 1),
(35224, 1),
(35225, 1),
(35226, 1),
(35227, 1),
(35228, 1),
(35229, 1),
(35230, 1),
(35231, 1),
(35232, 1),
(35233, 1),
(35234, 1),
(35235, 1),
(35236, 1),
(35237, 1),
(35238, 1),
(35239, 1),
(35240, 1),
(35241, 1),
(35242, 1),
(35243, 1),
(35244, 1),
(35245, 1),
(35246, 1),
(35247, 1),
(35248, 1),
(35249, 1),
(35250, 1),
(35251, 1),
(35252, 1),
(35253, 1),
(35254, 1),
(35255, 1),
(35256, 1),
(35257, 1),
(35258, 1),
(35259, 1),
(35260, 1),
(35261, 1),
(35262, 1),
(35263, 1),
(35264, 1),
(35265, 1),
(35266, 1),
(35267, 1),
(35268, 1),
(35269, 1),
(35270, 1),
(35271, 1),
(35272, 1),
(35273, 1),
(35274, 1),
(35275, 1),
(35276, 1),
(35277, 1),
(35278, 1),
(35279, 1),
(35280, 1),
(35281, 1),
(35282, 1),
(35283, 1),
(35284, 1),
(35285, 1),
(35286, 1),
(35287, 1),
(35288, 1),
(35289, 1),
(35290, 1),
(35291, 1),
(35292, 1),
(35293, 1),
(35294, 1),
(35295, 1),
(35296, 1),
(35297, 1),
(35298, 1),
(35299, 1),
(35300, 1),
(35301, 1),
(35302, 1),
(35303, 1),
(35304, 1),
(35305, 1),
(35306, 1),
(35307, 1),
(35308, 1),
(35309, 1),
(35310, 1),
(35311, 1),
(35312, 1),
(35313, 1),
(35314, 1),
(35315, 1),
(35316, 1),
(35317, 1),
(35318, 1),
(35319, 1),
(35320, 1),
(35321, 1),
(35322, 1),
(35323, 1),
(35324, 1),
(35325, 1),
(35326, 1),
(35327, 1),
(35328, 1),
(35329, 1),
(35330, 1),
(35331, 1),
(35332, 1),
(35333, 1),
(35334, 1),
(35335, 1),
(35336, 1),
(35337, 1),
(35338, 1),
(35339, 1),
(35340, 1),
(35341, 1),
(35342, 1),
(35343, 1),
(35344, 1),
(35345, 1),
(35346, 1),
(35347, 1),
(35348, 1),
(35349, 1),
(35350, 1),
(35351, 1),
(35352, 1),
(35353, 1),
(35354, 1),
(35355, 1),
(35356, 1),
(35357, 1),
(35358, 1),
(35359, 1),
(35360, 1),
(35361, 1),
(35362, 1),
(35363, 1),
(35364, 1),
(35365, 1),
(35366, 1),
(35367, 1),
(35368, 1),
(35369, 1),
(35370, 1),
(35371, 1),
(35372, 1),
(35373, 1),
(35374, 1),
(35375, 1),
(35376, 1),
(35377, 1),
(35378, 1),
(35379, 1),
(35380, 1),
(35381, 1),
(35382, 1),
(35383, 1),
(35384, 1),
(35385, 1),
(35386, 1),
(35387, 1),
(35388, 1),
(35389, 1),
(35390, 1),
(35391, 1),
(35392, 1),
(35393, 1),
(35394, 1),
(35395, 1),
(35396, 1),
(35397, 1),
(35398, 1),
(35399, 1),
(35400, 1),
(35401, 1),
(35402, 1),
(35403, 1),
(35404, 1),
(35405, 1),
(35406, 1),
(35407, 1),
(35408, 1),
(35409, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(35410, 1),
(35411, 1),
(35412, 1),
(35413, 1),
(35414, 1),
(35415, 1),
(35416, 1),
(35417, 1),
(35418, 1),
(35419, 1),
(35420, 1),
(35421, 1),
(35422, 1),
(35423, 1),
(35424, 1),
(35425, 1),
(35426, 1),
(35427, 1),
(35428, 1),
(35429, 1),
(35430, 1),
(35431, 1),
(35432, 1),
(35433, 1),
(35434, 1),
(35435, 1),
(35436, 1),
(35437, 1),
(35438, 1),
(35439, 1),
(35440, 1),
(35441, 1),
(35442, 1),
(35443, 1),
(35444, 1),
(35445, 1),
(35446, 1),
(35447, 1),
(35448, 1),
(35449, 1),
(35450, 1),
(35451, 1),
(35452, 1),
(35453, 1),
(35454, 1),
(35455, 1),
(35456, 1),
(35457, 1),
(35458, 1),
(35459, 1),
(35460, 1),
(35461, 1),
(35462, 1),
(35463, 1),
(35464, 1),
(35465, 1),
(35466, 1),
(35467, 1),
(35468, 1),
(35469, 1),
(35470, 1),
(35471, 1),
(35472, 1),
(35473, 1),
(35474, 1),
(35475, 1),
(35476, 1),
(35477, 1),
(35478, 1),
(35479, 1),
(35480, 1),
(35481, 1),
(35482, 1),
(35483, 1),
(35484, 1),
(35485, 1),
(35486, 1),
(35487, 1),
(35488, 1),
(35489, 1),
(35490, 1),
(35491, 1),
(35492, 1),
(35493, 1),
(35494, 1),
(35495, 1),
(35496, 1),
(35497, 1),
(35498, 1),
(35499, 1),
(35500, 1),
(35501, 1),
(35502, 1),
(35503, 1),
(35504, 1),
(35505, 1),
(35506, 1),
(35507, 1),
(35508, 1),
(35509, 1),
(35510, 1),
(35511, 1),
(35512, 1),
(35513, 1),
(35514, 1),
(35515, 1),
(35516, 1),
(35517, 1),
(35518, 1),
(35519, 1),
(35520, 1),
(35521, 1),
(35522, 1),
(35523, 1),
(35524, 1),
(35525, 1),
(35526, 1),
(35527, 1),
(35528, 1),
(35529, 1),
(35530, 1),
(35531, 1),
(35532, 1),
(35533, 1),
(35534, 1),
(35535, 1),
(35536, 1),
(35537, 1),
(35538, 1),
(35539, 1),
(35540, 1),
(35541, 1),
(35542, 1),
(35543, 1),
(35544, 1),
(35545, 1),
(35546, 1),
(35547, 1),
(35548, 1),
(35549, 1),
(35550, 1),
(35551, 1),
(35552, 1),
(35553, 1),
(35554, 1),
(35555, 1),
(35556, 1),
(35557, 1),
(35558, 1),
(35559, 1),
(35560, 1),
(35561, 1),
(35562, 1),
(35563, 1),
(35564, 1),
(35565, 1),
(35566, 1),
(35567, 1),
(35568, 1),
(35569, 1),
(35570, 1),
(35571, 1),
(35572, 1),
(35573, 1),
(35574, 1),
(35575, 1),
(35576, 1),
(35577, 1),
(35578, 1),
(35579, 1),
(35580, 1),
(35581, 1),
(35582, 1),
(35583, 1),
(35584, 1),
(35585, 1),
(35586, 1),
(35587, 1),
(35588, 1),
(35589, 1),
(35590, 1),
(35591, 1),
(35592, 1),
(35593, 1),
(35594, 1),
(35595, 1),
(35596, 1),
(35597, 1),
(35598, 1),
(35599, 1),
(35600, 1),
(35601, 1),
(35602, 1),
(35603, 1),
(35604, 1),
(35605, 1),
(35606, 1),
(35607, 1),
(35608, 1),
(35609, 1),
(35610, 1),
(35611, 1),
(35612, 1),
(35613, 1),
(35614, 1),
(35615, 1),
(35616, 1),
(35617, 1),
(35618, 1),
(35619, 1),
(35620, 1),
(35621, 1),
(35622, 1),
(35623, 1),
(35624, 1),
(35625, 1),
(35626, 1),
(35627, 1),
(35628, 1),
(35629, 1),
(35630, 1),
(35631, 1),
(35632, 1),
(35633, 1),
(35634, 1),
(35635, 1),
(35636, 1),
(35637, 1),
(35638, 1),
(35639, 1),
(35640, 1),
(35641, 1),
(35642, 1),
(35643, 1),
(35644, 1),
(35645, 1),
(35646, 1),
(35647, 1),
(35648, 1),
(35649, 1),
(35650, 1),
(35651, 1),
(35652, 1),
(35653, 1),
(35654, 1),
(35655, 1),
(35656, 1),
(35657, 1),
(35658, 1),
(35659, 1),
(35660, 1),
(35661, 1),
(35662, 1),
(35663, 1),
(35664, 1),
(35665, 1),
(35666, 1),
(35667, 1),
(35668, 1),
(35669, 1),
(35670, 1),
(35671, 1),
(35672, 1),
(35673, 1),
(35674, 1),
(35675, 1),
(35676, 1),
(35677, 1),
(35678, 1),
(35679, 1),
(35680, 1),
(35681, 1),
(35682, 1),
(35683, 1),
(35684, 1),
(35685, 1),
(35686, 1),
(35687, 1),
(35688, 1),
(35689, 1),
(35690, 1),
(35691, 1),
(35692, 1),
(35693, 1),
(35694, 1),
(35695, 1),
(35696, 1),
(35697, 1),
(35698, 1),
(35699, 1),
(35700, 1),
(35701, 1),
(35702, 1),
(35703, 1),
(35704, 1),
(35705, 1),
(35706, 1),
(35707, 1),
(35708, 1),
(35709, 1),
(35710, 1),
(35711, 1),
(35712, 1),
(35713, 1),
(35714, 1),
(35715, 1),
(35716, 1),
(35717, 1),
(35718, 1),
(35719, 1),
(35720, 1),
(35721, 1),
(35722, 1),
(35723, 1),
(35724, 1),
(35725, 1),
(35726, 1),
(35727, 1),
(35728, 1),
(35729, 1),
(35730, 1),
(35731, 1),
(35732, 1),
(35733, 1),
(35734, 1),
(35735, 1),
(35736, 1),
(35737, 1),
(35738, 1),
(35739, 1),
(35740, 1),
(35741, 1),
(35742, 1),
(35743, 1),
(35744, 1),
(35745, 1),
(35746, 1),
(35747, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(35748, 1),
(35749, 1),
(35750, 1),
(35751, 1),
(35752, 1),
(35753, 1),
(35754, 1),
(35755, 1),
(35756, 1),
(35757, 1),
(35758, 1),
(35759, 1),
(35760, 1),
(35761, 1),
(35762, 1),
(35763, 1),
(35764, 1),
(35765, 1),
(35766, 1),
(35767, 1),
(35768, 1),
(35769, 1),
(35770, 1),
(35771, 1),
(35772, 1),
(35773, 1),
(35774, 1),
(35775, 1),
(35776, 1),
(35777, 1),
(35778, 1),
(35779, 1),
(35780, 1),
(35781, 1),
(35782, 1),
(35783, 1),
(35784, 1),
(35785, 1),
(35786, 1),
(35787, 1),
(35788, 1),
(35789, 1),
(35790, 1),
(35791, 1),
(35792, 1),
(35793, 1),
(35794, 1),
(35795, 1),
(35796, 1),
(35797, 1),
(35798, 1),
(35799, 1),
(35800, 1),
(35801, 1),
(35802, 1),
(35803, 1),
(35804, 1),
(35805, 1),
(35806, 1),
(35807, 1),
(35808, 1),
(35809, 1),
(35810, 1),
(35811, 1),
(35812, 1),
(35813, 1),
(35814, 1),
(35815, 1),
(35816, 1),
(35817, 1),
(35818, 1),
(35819, 1),
(35820, 1),
(35821, 1),
(35822, 1),
(35823, 1),
(35824, 1),
(35825, 1),
(35826, 1),
(35827, 1),
(35828, 1),
(35829, 1),
(35830, 1),
(35831, 1),
(35832, 1),
(35833, 1),
(35834, 1),
(35835, 1),
(35836, 1),
(35837, 1),
(35838, 1),
(35839, 1),
(35840, 1),
(35841, 1),
(35842, 1),
(35843, 1),
(35844, 1),
(35845, 1),
(35846, 1),
(35847, 1),
(35848, 1),
(35849, 1),
(35850, 1),
(35851, 1),
(35852, 1),
(35853, 1),
(35854, 1),
(35855, 1),
(35856, 1),
(35857, 1),
(35858, 1),
(35859, 1),
(35860, 1),
(35861, 1),
(35862, 1),
(35863, 1),
(35864, 1),
(35865, 1),
(35866, 1),
(35867, 1),
(35868, 1),
(35869, 1),
(35870, 1),
(35871, 1),
(35872, 1),
(35873, 1),
(35874, 1),
(35875, 1),
(35876, 1),
(35877, 1),
(35878, 1),
(35879, 1),
(35880, 1),
(35881, 1),
(35882, 1),
(35883, 1),
(35884, 1),
(35885, 1),
(35886, 1),
(35887, 1),
(35888, 1),
(35889, 1),
(35890, 1),
(35891, 1),
(35892, 1),
(35893, 1),
(35894, 1),
(35895, 1),
(35896, 1),
(35897, 1),
(35898, 1),
(35899, 1),
(35900, 1),
(35901, 1),
(35902, 1),
(35903, 1),
(35904, 1),
(35905, 1),
(35906, 1),
(35907, 1),
(35908, 1),
(35909, 1),
(35910, 1),
(35911, 1),
(35912, 1),
(35913, 1),
(35914, 1),
(35915, 1),
(35916, 1),
(35917, 1),
(35918, 1),
(35919, 1),
(35920, 1),
(35921, 1),
(35922, 1),
(35923, 1),
(35924, 1),
(35925, 1),
(35926, 1),
(35927, 1),
(35928, 1),
(35929, 1),
(35930, 1),
(35931, 1),
(35932, 1),
(35933, 1),
(35934, 1),
(35935, 1),
(35936, 1),
(35937, 1),
(35938, 1),
(35939, 1),
(35940, 1),
(35941, 1),
(35942, 1),
(35943, 1),
(35944, 1),
(35945, 1),
(35946, 1),
(35947, 1),
(35948, 1),
(35949, 1),
(35950, 1),
(35951, 1),
(35952, 1),
(35953, 1),
(35954, 1),
(35955, 1),
(35956, 1),
(35957, 1),
(35958, 1),
(35959, 1),
(35960, 1),
(35961, 1),
(35962, 1),
(35963, 1),
(35964, 1),
(35965, 1),
(35966, 1),
(35967, 1),
(35968, 1),
(35969, 1),
(35970, 1),
(35971, 1),
(35972, 1),
(35973, 1),
(35974, 1),
(35975, 1),
(35976, 1),
(35977, 1),
(35978, 1),
(35979, 1),
(35980, 1),
(35981, 1),
(35982, 1),
(35983, 1),
(35984, 1),
(35985, 1),
(35986, 1),
(35987, 1),
(35988, 1),
(35989, 1),
(35990, 1),
(35991, 1),
(35992, 1),
(35993, 1),
(35994, 1),
(35995, 1),
(35996, 1),
(35997, 1),
(35998, 1),
(35999, 1),
(36000, 1),
(36001, 1),
(36002, 1),
(36003, 1),
(36004, 1),
(36005, 1),
(36006, 1),
(36007, 1),
(36008, 1),
(36009, 1),
(36010, 1),
(36011, 1),
(36012, 1),
(36013, 1),
(36014, 1),
(36015, 1),
(36016, 1),
(36017, 1),
(36018, 1),
(36019, 1),
(36020, 1),
(36021, 1),
(36022, 1),
(36023, 1),
(36024, 1),
(36025, 1),
(36026, 1),
(36027, 1),
(36028, 1),
(36029, 1),
(36030, 1),
(36031, 1),
(36032, 1),
(36033, 1),
(36034, 1),
(36035, 1),
(36036, 1),
(36037, 1),
(36038, 1),
(36039, 1),
(36040, 1),
(36041, 1),
(36042, 1),
(36043, 1),
(36044, 1),
(36045, 1),
(36046, 1),
(36047, 1),
(36048, 1),
(36049, 1),
(36050, 1),
(36051, 1),
(36052, 1),
(36053, 1),
(36054, 1),
(36055, 1),
(36056, 1),
(36057, 1),
(36058, 1),
(36059, 1),
(36060, 1),
(36061, 1),
(36062, 1),
(36063, 1),
(36064, 1),
(36065, 1),
(36066, 1),
(36067, 1),
(36068, 1),
(36069, 1),
(36070, 1),
(36071, 1),
(36072, 1),
(36073, 1),
(36074, 1),
(36075, 1),
(36076, 1),
(36077, 1),
(36078, 1),
(36079, 1),
(36080, 1),
(36081, 1),
(36082, 1),
(36083, 1),
(36084, 1),
(36085, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(36086, 1),
(36087, 1),
(36088, 1),
(36089, 1),
(36090, 1),
(36091, 1),
(36092, 1),
(36093, 1),
(36094, 1),
(36095, 1),
(36096, 1),
(36097, 1),
(36098, 1),
(36099, 1),
(36100, 1),
(36101, 1),
(36102, 1),
(36103, 1),
(36104, 1),
(36105, 1),
(36106, 1),
(36107, 1),
(36108, 1),
(36109, 1),
(36110, 1),
(36111, 1),
(36112, 1),
(36113, 1),
(36114, 1),
(36115, 1),
(36116, 1),
(36117, 1),
(36118, 1),
(36119, 1),
(36120, 1),
(36121, 1),
(36122, 1),
(36123, 1),
(36124, 1),
(36125, 1),
(36126, 1),
(36127, 1),
(36128, 1),
(36129, 1),
(36130, 1),
(36131, 1),
(36132, 1),
(36133, 1),
(36134, 1),
(36135, 1),
(36136, 1),
(36137, 1),
(36138, 1),
(36139, 1),
(36140, 1),
(36141, 1),
(36142, 1),
(36143, 1),
(36144, 1),
(36145, 1),
(36146, 1),
(36147, 1),
(36148, 1),
(36149, 1),
(36150, 1),
(36151, 1),
(36152, 1),
(36153, 1),
(36154, 1),
(36155, 1),
(36156, 1),
(36157, 1),
(36158, 1),
(36159, 1),
(36160, 1),
(36161, 1),
(36162, 1),
(36163, 1),
(36164, 1),
(36165, 1),
(36166, 1),
(36167, 1),
(36168, 1),
(36169, 1),
(36170, 1),
(36171, 1),
(36172, 1),
(36173, 1),
(36174, 1),
(36175, 1),
(36176, 1),
(36177, 1),
(36178, 1),
(36179, 1),
(36180, 1),
(36181, 1),
(36182, 1),
(36183, 1),
(36184, 1),
(36185, 1),
(36186, 1),
(36187, 1),
(36188, 1),
(36189, 1),
(36190, 1),
(36191, 1),
(36192, 1),
(36193, 1),
(36194, 1),
(36195, 1),
(36196, 1),
(36197, 1),
(36198, 1),
(36199, 1),
(36200, 1),
(36201, 1),
(36202, 1),
(36203, 1),
(36204, 1),
(36205, 1),
(36206, 1),
(36207, 1),
(36208, 1),
(36209, 1),
(36210, 1),
(36211, 1),
(36212, 1),
(36213, 1),
(36214, 1),
(36215, 1),
(36216, 1),
(36217, 1),
(36218, 1),
(36219, 1),
(36220, 1),
(36221, 1),
(36222, 1),
(36223, 1),
(36224, 1),
(36225, 1),
(36226, 1),
(36227, 1),
(36228, 1),
(36229, 1),
(36230, 1),
(36231, 1),
(36232, 1),
(36233, 1),
(36234, 1),
(36235, 1),
(36236, 1),
(36237, 1),
(36238, 1),
(36239, 1),
(36240, 1),
(36241, 1),
(36242, 1),
(36243, 1),
(36244, 1),
(36245, 1),
(36246, 1),
(36247, 1),
(36248, 1),
(36249, 1),
(36250, 1),
(36251, 1),
(36252, 1),
(36253, 1),
(36254, 1),
(36255, 1),
(36256, 1),
(36257, 1),
(36258, 1),
(36259, 1),
(36260, 1),
(36261, 1),
(36262, 1),
(36263, 1),
(36264, 1),
(36265, 1),
(36266, 1),
(36267, 1),
(36268, 1),
(36269, 1),
(36270, 1),
(36271, 1),
(36272, 1),
(36273, 1),
(36274, 1),
(36275, 1),
(36276, 1),
(36277, 1),
(36278, 1),
(36279, 1),
(36280, 1),
(36281, 1),
(36282, 1),
(36283, 1),
(36284, 1),
(36285, 1),
(36286, 1),
(36287, 1),
(36288, 1),
(36289, 1),
(36290, 1),
(36291, 1),
(36292, 1),
(36293, 1),
(36294, 1),
(36295, 1),
(36296, 1),
(36297, 1),
(36298, 1),
(36299, 1),
(36300, 1),
(36301, 1),
(36302, 1),
(36303, 1),
(36304, 1),
(36305, 1),
(36306, 1),
(36307, 1),
(36308, 1),
(36309, 1),
(36310, 1),
(36311, 1),
(36312, 1),
(36313, 1),
(36314, 1),
(36315, 1),
(36316, 1),
(36317, 1),
(36318, 1),
(36319, 1),
(36320, 1),
(36321, 1),
(36322, 1),
(36323, 1),
(36324, 1),
(36325, 1),
(36326, 1),
(36327, 1),
(36328, 1),
(36329, 1),
(36330, 1),
(36331, 1),
(36332, 1),
(36333, 1),
(36334, 1),
(36335, 1),
(36336, 1),
(36337, 1),
(36338, 1),
(36339, 1),
(36340, 1),
(36341, 1),
(36342, 1),
(36343, 1),
(36344, 1),
(36345, 1),
(36346, 1),
(36347, 1),
(36348, 1),
(36349, 1),
(36350, 1),
(36351, 1),
(36352, 1),
(36353, 1),
(36354, 1),
(36355, 1),
(36356, 1),
(36357, 1),
(36358, 1),
(36359, 1),
(36360, 1),
(36361, 1),
(36362, 1),
(36363, 1),
(36364, 1),
(36365, 1),
(36366, 1),
(36367, 1),
(36368, 1),
(36369, 1),
(36370, 1),
(36371, 1),
(36372, 1),
(36373, 1),
(36374, 1),
(36375, 1),
(36376, 1),
(36377, 1),
(36378, 1),
(36379, 1),
(36380, 1),
(36381, 1),
(36382, 1),
(36383, 1),
(36384, 1),
(36385, 1),
(36386, 1),
(36387, 1),
(36388, 1),
(36389, 1),
(36390, 1),
(36391, 1),
(36392, 1),
(36393, 1),
(36394, 1),
(36395, 1),
(36396, 1),
(36397, 1),
(36398, 1),
(36399, 1),
(36400, 1),
(36401, 1),
(36402, 1),
(36403, 1),
(36404, 1),
(36405, 1),
(36406, 1),
(36407, 1),
(36408, 1),
(36409, 1),
(36410, 1),
(36411, 1),
(36412, 1),
(36413, 1),
(36414, 1),
(36415, 1),
(36416, 1),
(36417, 1),
(36418, 1),
(36419, 1),
(36420, 1),
(36421, 1),
(36422, 1),
(36423, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(36424, 1),
(36425, 1),
(36426, 1),
(36427, 1),
(36428, 1),
(36429, 1),
(36430, 1),
(36431, 1),
(36432, 1),
(36433, 1),
(36434, 1),
(36435, 1),
(36436, 1),
(36437, 1),
(36438, 1),
(36439, 1),
(36440, 1),
(36441, 1),
(36442, 1),
(36443, 1),
(36444, 1),
(36445, 1),
(36446, 1),
(36447, 1),
(36448, 1),
(36449, 1),
(36450, 1),
(36451, 1),
(36452, 1),
(36453, 1),
(36454, 1),
(36455, 1),
(36456, 1),
(36457, 1),
(36458, 1),
(36459, 1),
(36460, 1),
(36461, 1),
(36462, 1),
(36463, 1),
(36464, 1),
(36465, 1),
(36466, 1),
(36467, 1),
(36468, 1),
(36469, 1),
(36470, 1),
(36471, 1),
(36472, 1),
(36473, 1),
(36474, 1),
(36475, 1),
(36476, 1),
(36477, 1),
(36478, 1),
(36479, 1),
(36480, 1),
(36481, 1),
(36482, 1),
(36483, 1),
(36484, 1),
(36485, 1),
(36486, 1),
(36487, 1),
(36488, 1),
(36489, 1),
(36490, 1),
(36491, 1),
(36492, 1),
(36493, 1),
(36494, 1),
(36495, 1),
(36496, 1),
(36497, 1),
(36498, 1),
(36499, 1),
(36500, 1),
(36501, 1),
(36502, 1),
(36503, 1),
(36504, 1),
(36505, 1),
(36506, 1),
(36507, 1),
(36508, 1),
(36509, 1),
(36510, 1),
(36511, 1),
(36512, 1),
(36513, 1),
(36514, 1),
(36515, 1),
(36516, 1),
(36517, 1),
(36518, 1),
(36519, 1),
(36520, 1),
(36521, 1),
(36522, 1),
(36523, 1),
(36524, 1),
(36525, 1),
(36526, 1),
(36527, 1),
(36528, 1),
(36529, 1),
(36530, 1),
(36531, 1),
(36532, 1),
(36533, 1),
(36534, 1),
(36535, 1),
(36536, 1),
(36537, 1),
(36538, 1),
(36539, 1),
(36540, 1),
(36541, 1),
(36542, 1),
(36543, 1),
(36544, 1),
(36545, 1),
(36546, 1),
(36547, 1),
(36548, 1),
(36549, 1),
(36550, 1),
(36551, 1),
(36552, 1),
(36553, 1),
(36554, 1),
(36555, 1),
(36556, 1),
(36557, 1),
(36558, 1),
(36559, 1),
(36560, 1),
(36561, 1),
(36562, 1),
(36563, 1),
(36564, 1),
(36565, 1),
(36566, 1),
(36567, 1),
(36568, 1),
(36569, 1),
(36570, 1),
(36571, 1),
(36572, 1),
(36573, 1),
(36574, 1),
(36575, 1),
(36576, 1),
(36577, 1),
(36578, 1),
(36579, 1),
(36580, 1),
(36581, 1),
(36582, 1),
(36583, 1),
(36584, 1),
(36585, 1),
(36586, 1),
(36587, 1),
(36588, 1),
(36589, 1),
(36590, 1),
(36591, 1),
(36592, 1),
(36593, 1),
(36594, 1),
(36595, 1),
(36596, 1),
(36597, 1),
(36598, 1),
(36599, 1),
(36600, 1),
(36601, 1),
(36602, 1),
(36603, 1),
(36604, 1),
(36605, 1),
(36606, 1),
(36607, 1),
(36608, 1),
(36609, 1),
(36610, 1),
(36611, 1),
(36612, 1),
(36613, 1),
(36614, 1),
(36615, 1),
(36616, 1),
(36617, 1),
(36618, 1),
(36619, 1),
(36620, 1),
(36621, 1),
(36622, 1),
(36623, 1),
(36624, 1),
(36625, 1),
(36626, 1),
(36627, 1),
(36628, 1),
(36629, 1),
(36630, 1),
(36631, 1),
(36632, 1),
(36633, 1),
(36634, 1),
(36635, 1),
(36636, 1),
(36637, 1),
(36638, 1),
(36639, 1),
(36640, 1),
(36641, 1),
(36642, 1),
(36643, 1),
(36644, 1),
(36645, 1),
(36646, 1),
(36647, 1),
(36648, 1),
(36649, 1),
(36650, 1),
(36651, 1),
(36652, 1),
(36653, 1),
(36654, 1),
(36655, 1),
(36656, 1),
(36657, 1),
(36658, 1),
(36659, 1),
(36660, 1),
(36661, 1),
(36662, 1),
(36663, 1),
(36664, 1),
(36665, 1),
(36666, 1),
(36667, 1),
(36668, 1),
(36669, 1),
(36670, 1),
(36671, 1),
(36672, 1),
(36673, 1),
(36674, 1),
(36675, 1),
(36676, 1),
(36677, 1),
(36678, 1),
(36679, 1),
(36680, 1),
(36681, 1),
(36682, 1),
(36683, 1),
(36684, 1),
(36685, 1),
(36686, 1),
(36687, 1),
(36688, 1),
(36689, 1),
(36690, 1),
(36691, 1),
(36692, 1),
(36693, 1),
(36694, 1),
(36695, 1),
(36696, 1),
(36697, 1),
(36698, 1),
(36699, 1),
(36700, 1),
(36701, 1),
(36702, 1),
(36703, 1),
(36704, 1),
(36705, 1),
(36706, 1),
(36707, 1),
(36708, 1),
(36709, 1),
(36710, 1),
(36711, 1),
(36712, 1),
(36713, 1),
(36714, 1),
(36715, 1),
(36716, 1),
(36717, 1),
(36718, 1),
(36719, 1),
(36720, 1),
(36721, 1),
(36722, 1),
(36723, 1),
(36724, 1),
(36725, 1),
(36726, 1),
(36727, 1),
(36728, 1),
(36729, 1),
(36730, 1),
(36731, 1),
(36732, 1),
(36733, 1),
(36734, 1),
(36735, 1),
(36736, 1),
(36737, 1),
(36738, 1),
(36739, 1),
(36740, 1),
(36741, 1),
(36742, 1),
(36743, 1),
(36744, 1),
(36745, 1),
(36746, 1),
(36747, 1),
(36748, 1),
(36749, 1),
(36750, 1),
(36751, 1),
(36752, 1),
(36753, 1),
(36754, 1),
(36755, 1),
(36756, 1),
(36757, 1),
(36758, 1),
(36759, 1),
(36760, 1),
(36761, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(36762, 1),
(36763, 1),
(36764, 1),
(36765, 1),
(36766, 1),
(36767, 1),
(36768, 1),
(36769, 1),
(36770, 1),
(36771, 1),
(36772, 1),
(36773, 1),
(36774, 1),
(36775, 1),
(36776, 1),
(36777, 1),
(36778, 1),
(36779, 1),
(36780, 1),
(36781, 1),
(36782, 1),
(36783, 1),
(36784, 1),
(36785, 1),
(36786, 1),
(36787, 1),
(36788, 1),
(36789, 1),
(36790, 1),
(36791, 1),
(36792, 1),
(36793, 1),
(36794, 1),
(36795, 1),
(36796, 1),
(36797, 1),
(36798, 1),
(36799, 1),
(36800, 1),
(36801, 1),
(36802, 1),
(36803, 1),
(36804, 1),
(36805, 1),
(36806, 1),
(36807, 1),
(36808, 1),
(36809, 1),
(36810, 1),
(36811, 1),
(36812, 1),
(36813, 1),
(36814, 1),
(36815, 1),
(36816, 1),
(36817, 1),
(36818, 1),
(36819, 1),
(36820, 1),
(36821, 1),
(36822, 1),
(36823, 1),
(36824, 1),
(36825, 1),
(36826, 1),
(36827, 1),
(36828, 1),
(36829, 1),
(36830, 1),
(36831, 1),
(36832, 1),
(36833, 1),
(36834, 1),
(36835, 1),
(36836, 1),
(36837, 1),
(36838, 1),
(36839, 1),
(36840, 1),
(36841, 1),
(36842, 1),
(36843, 1),
(36844, 1),
(36845, 1),
(36846, 1),
(36847, 1),
(36848, 1),
(36849, 1),
(36850, 1),
(36851, 1),
(36852, 1),
(36853, 1),
(36854, 1),
(36855, 1),
(36856, 1),
(36857, 1),
(36858, 1),
(36859, 1),
(36860, 1),
(36861, 1),
(36862, 1),
(36863, 1),
(36864, 1),
(36865, 1),
(36866, 1),
(36867, 1),
(36868, 1),
(36869, 1),
(36870, 1),
(36871, 1),
(36872, 1),
(36873, 1),
(36874, 1),
(36875, 1),
(36876, 1),
(36877, 1),
(36878, 1),
(36879, 1),
(36880, 1),
(36881, 1),
(36882, 1),
(36883, 1),
(36884, 1),
(36885, 1),
(36886, 1),
(36887, 1),
(36888, 1),
(36889, 1),
(36890, 1),
(36891, 1),
(36892, 1),
(36893, 1),
(36894, 1),
(36895, 1),
(36896, 1),
(36897, 1),
(36898, 1),
(36899, 1),
(36900, 1),
(36901, 1),
(36902, 1),
(36903, 1),
(36904, 1),
(36905, 1),
(36906, 1),
(36907, 1),
(36908, 1),
(36909, 1),
(36910, 1),
(36911, 1),
(36912, 1),
(36913, 1),
(36914, 1),
(36915, 1),
(36916, 1),
(36917, 1),
(36918, 1),
(36919, 1),
(36920, 1),
(36921, 1),
(36922, 1),
(36923, 1),
(36924, 1),
(36925, 1),
(36926, 1),
(36927, 1),
(36928, 1),
(36929, 1),
(36930, 1),
(36931, 1),
(36932, 1),
(36933, 1),
(36934, 1),
(36935, 1),
(36936, 1),
(36937, 1),
(36938, 1),
(36939, 1),
(36940, 1),
(36941, 1),
(36942, 1),
(36943, 1),
(36944, 1),
(36945, 1),
(36946, 1),
(36947, 1),
(36948, 1),
(36949, 1),
(36950, 1),
(36951, 1),
(36952, 1),
(36953, 1),
(36954, 1),
(36955, 1),
(36956, 1),
(36957, 1),
(36958, 1),
(36959, 1),
(36960, 1),
(36961, 1),
(36962, 1),
(36963, 1),
(36964, 1),
(36965, 1),
(36966, 1),
(36967, 1),
(36968, 1),
(36969, 1),
(36970, 1),
(36971, 1),
(36972, 1),
(36973, 1),
(36974, 1),
(36975, 1),
(36976, 1),
(36977, 1),
(36978, 1),
(36979, 1),
(36980, 1),
(36981, 1),
(36982, 1),
(36983, 1),
(36984, 1),
(36985, 1),
(36986, 1),
(36987, 1),
(36988, 1),
(36989, 1),
(36990, 1),
(36991, 1),
(36992, 1),
(36993, 1),
(36994, 1),
(36995, 1),
(36996, 1),
(36997, 1),
(36998, 1),
(36999, 1),
(37000, 1),
(37001, 1),
(37002, 1),
(37003, 1),
(37004, 1),
(37005, 1),
(37006, 1),
(37007, 1),
(37008, 1),
(37009, 1),
(37010, 1),
(37011, 1),
(37012, 1),
(37013, 1),
(37014, 1),
(37015, 1),
(37016, 1),
(37017, 1),
(37018, 1),
(37019, 1),
(37020, 1),
(37021, 1),
(37022, 1),
(37023, 1),
(37024, 1),
(37025, 1),
(37026, 1),
(37027, 1),
(37028, 1),
(37029, 1),
(37030, 1),
(37031, 1),
(37032, 1),
(37033, 1),
(37034, 1),
(37035, 1),
(37036, 1),
(37037, 1),
(37038, 1),
(37039, 1),
(37040, 1),
(37041, 1),
(37042, 1),
(37043, 1),
(37044, 1),
(37045, 1),
(37046, 1),
(37047, 1),
(37048, 1),
(37049, 1),
(37050, 1),
(37051, 1),
(37052, 1),
(37053, 1),
(37054, 1),
(37055, 1),
(37056, 1),
(37057, 1),
(37058, 1),
(37059, 1),
(37060, 1),
(37061, 1),
(37062, 1),
(37063, 1),
(37064, 1),
(37065, 1),
(37066, 1),
(37067, 1),
(37068, 1),
(37069, 1),
(37070, 1),
(37071, 1),
(37072, 1),
(37073, 1),
(37074, 1),
(37075, 1),
(37076, 1),
(37077, 1),
(37078, 1),
(37079, 1),
(37080, 1),
(37081, 1),
(37082, 1),
(37083, 1),
(37084, 1),
(37085, 1),
(37086, 1),
(37087, 1),
(37088, 1),
(37089, 1),
(37090, 1),
(37091, 1),
(37092, 1),
(37093, 1),
(37094, 1),
(37095, 1),
(37096, 1),
(37097, 1),
(37098, 1),
(37099, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(37100, 1),
(37101, 1),
(37102, 1),
(37103, 1),
(37104, 1),
(37105, 1),
(37106, 1),
(37107, 1),
(37108, 1),
(37109, 1),
(37110, 1),
(37111, 1),
(37112, 1),
(37113, 1),
(37114, 1),
(37115, 1),
(37116, 1),
(37117, 1),
(37118, 1),
(37119, 1),
(37120, 1),
(37121, 1),
(37122, 1),
(37123, 1),
(37124, 1),
(37125, 1),
(37126, 1),
(37127, 1),
(37128, 1),
(37129, 1),
(37130, 1),
(37131, 1),
(37132, 1),
(37133, 1),
(37134, 1),
(37135, 1),
(37136, 1),
(37137, 1),
(37138, 1),
(37139, 1),
(37140, 1),
(37141, 1),
(37142, 1),
(37143, 1),
(37144, 1),
(37145, 1),
(37146, 1),
(37147, 1),
(37148, 1),
(37149, 1),
(37150, 1),
(37151, 1),
(37152, 1),
(37153, 1),
(37154, 1),
(37155, 1),
(37156, 1),
(37157, 1),
(37158, 1),
(37159, 1),
(37160, 1),
(37161, 1),
(37162, 1),
(37163, 1),
(37164, 1),
(37165, 1),
(37166, 1),
(37167, 1),
(37168, 1),
(37169, 1),
(37170, 1),
(37171, 1),
(37172, 1),
(37173, 1),
(37174, 1),
(37175, 1),
(37176, 1),
(37177, 1),
(37178, 1),
(37179, 1),
(37180, 1),
(37181, 1),
(37182, 1),
(37183, 1),
(37184, 1),
(37185, 1),
(37186, 1),
(37187, 1),
(37188, 1),
(37189, 1),
(37190, 1),
(37191, 1),
(37192, 1),
(37193, 1),
(37194, 1),
(37195, 1),
(37196, 1),
(37197, 1),
(37198, 1),
(37199, 1),
(37200, 1),
(37201, 1),
(37202, 1),
(37203, 1),
(37204, 1),
(37205, 1),
(37206, 1),
(37207, 1),
(37208, 1),
(37209, 1),
(37210, 1),
(37211, 1),
(37212, 1),
(37213, 1),
(37214, 1),
(37215, 1),
(37216, 1),
(37217, 1),
(37218, 1),
(37219, 1),
(37220, 1),
(37221, 1),
(37222, 1),
(37223, 1),
(37224, 1),
(37225, 1),
(37226, 1),
(37227, 1),
(37228, 1),
(37229, 1),
(37230, 1),
(37231, 1),
(37232, 1),
(37233, 1),
(37234, 1),
(37235, 1),
(37236, 1),
(37237, 1),
(37238, 1),
(37239, 1),
(37240, 1),
(37241, 1),
(37242, 1),
(37243, 1),
(37244, 1),
(37245, 1),
(37246, 1),
(37247, 1),
(37248, 1),
(37249, 1),
(37250, 1),
(37251, 1),
(37252, 1),
(37253, 1),
(37254, 1),
(37255, 1),
(37256, 1),
(37257, 1),
(37258, 1),
(37259, 1),
(37260, 1),
(37261, 1),
(37262, 1),
(37263, 1),
(37264, 1),
(37265, 1),
(37266, 1),
(37267, 1),
(37268, 1),
(37269, 1),
(37270, 1),
(37271, 1),
(37272, 1),
(37273, 1),
(37274, 1),
(37275, 1),
(37276, 1),
(37277, 1),
(37278, 1),
(37279, 1),
(37280, 1),
(37281, 1),
(37282, 1),
(37283, 1),
(37284, 1),
(37285, 1),
(37286, 1),
(37287, 1),
(37288, 1),
(37289, 1),
(37290, 1),
(37291, 1),
(37292, 1),
(37293, 1),
(37294, 1),
(37295, 1),
(37296, 1),
(37297, 1),
(37298, 1),
(37299, 1),
(37300, 1),
(37301, 1),
(37302, 1),
(37303, 1),
(37304, 1),
(37305, 1),
(37306, 1),
(37307, 1),
(37308, 1),
(37309, 1),
(37310, 1),
(37311, 1),
(37312, 1),
(37313, 1),
(37314, 1),
(37315, 1),
(37316, 1),
(37317, 1),
(37318, 1),
(37319, 1),
(37320, 1),
(37321, 1),
(37322, 1),
(37323, 1),
(37324, 1),
(37325, 1),
(37326, 1),
(37327, 1),
(37328, 1),
(37329, 1),
(37330, 1),
(37331, 1),
(37332, 1),
(37333, 1),
(37334, 1),
(37335, 1),
(37336, 1),
(37337, 1),
(37338, 1),
(37339, 1),
(37340, 1),
(37341, 1),
(37342, 1),
(37343, 1),
(37344, 1),
(37345, 1),
(37346, 1),
(37347, 1),
(37348, 1),
(37349, 1),
(37350, 1),
(37351, 1),
(37352, 1),
(37353, 1),
(37354, 1),
(37355, 1),
(37356, 1),
(37357, 1),
(37358, 1),
(37359, 1),
(37360, 1),
(37361, 1),
(37362, 1),
(37363, 1),
(37364, 1),
(37365, 1),
(37366, 1),
(37367, 1),
(37368, 1),
(37369, 1),
(37370, 1),
(37371, 1),
(37372, 1),
(37373, 1),
(37374, 1),
(37375, 1),
(37376, 1),
(37377, 1),
(37378, 1),
(37379, 1),
(37380, 1),
(37381, 1),
(37382, 1),
(37383, 1),
(37384, 1),
(37385, 1),
(37386, 1),
(37387, 1),
(37388, 1),
(37389, 1),
(37390, 1),
(37391, 1),
(37392, 1),
(37393, 1),
(37394, 1),
(37395, 1),
(37396, 1),
(37397, 1),
(37398, 1),
(37399, 1),
(37400, 1),
(37401, 1),
(37402, 1),
(37403, 1),
(37404, 1),
(37405, 1),
(37406, 1),
(37407, 1),
(37408, 1),
(37409, 1),
(37410, 1),
(37411, 1),
(37412, 1),
(37413, 1),
(37414, 1),
(37415, 1),
(37416, 1),
(37417, 1),
(37418, 1),
(37419, 1),
(37420, 1),
(37421, 1),
(37422, 1),
(37423, 1),
(37424, 1),
(37425, 1),
(37426, 1),
(37427, 1),
(37428, 1),
(37429, 1),
(37430, 1),
(37431, 1),
(37432, 1),
(37433, 1),
(37434, 1),
(37435, 1),
(37436, 1),
(37437, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(37438, 1),
(37439, 1),
(37440, 1),
(37441, 1),
(37442, 1),
(37443, 1),
(37444, 1),
(37445, 1),
(37446, 1),
(37447, 1),
(37448, 1),
(37449, 1),
(37450, 1),
(37451, 1),
(37452, 1),
(37453, 1),
(37454, 1),
(37455, 1),
(37456, 1),
(37457, 1),
(37458, 1),
(37459, 1),
(37460, 1),
(37461, 1),
(37462, 1),
(37463, 1),
(37464, 1),
(37465, 1),
(37466, 1),
(37467, 1),
(37468, 1),
(37469, 1),
(37470, 1),
(37471, 1),
(37472, 1),
(37473, 1),
(37474, 1),
(37475, 1),
(37476, 1),
(37477, 1),
(37478, 1),
(37479, 1),
(37480, 1),
(37481, 1),
(37482, 1),
(37483, 1),
(37484, 1),
(37485, 1),
(37486, 1),
(37487, 1),
(37488, 1),
(37489, 1),
(37490, 1),
(37491, 1),
(37492, 1),
(37493, 1),
(37494, 1),
(37495, 1),
(37496, 1),
(37497, 1),
(37498, 1),
(37499, 1),
(37500, 1),
(37501, 1),
(37502, 1),
(37503, 1),
(37504, 1),
(37505, 1),
(37506, 1),
(37507, 1),
(37508, 1),
(37509, 1),
(37510, 1),
(37511, 1),
(37512, 1),
(37513, 1),
(37514, 1),
(37515, 1),
(37516, 1),
(37517, 1),
(37518, 1),
(37519, 1),
(37520, 1),
(37521, 1),
(37522, 1),
(37523, 1),
(37524, 1),
(37525, 1),
(37526, 1),
(37527, 1),
(37528, 1),
(37529, 1),
(37530, 1),
(37531, 1),
(37532, 1),
(37533, 1),
(37534, 1),
(37535, 1),
(37536, 1),
(37537, 1),
(37538, 1),
(37539, 1),
(37540, 1),
(37541, 1),
(37542, 1),
(37543, 1),
(37544, 1),
(37545, 1),
(37546, 1),
(37547, 1),
(37548, 1),
(37549, 1),
(37550, 1),
(37551, 1),
(37552, 1),
(37553, 1),
(37554, 1),
(37555, 1),
(37556, 1),
(37557, 1),
(37558, 1),
(37559, 1),
(37560, 1),
(37561, 1),
(37562, 1),
(37563, 1),
(37564, 1),
(37565, 1),
(37566, 1),
(37567, 1),
(37568, 1),
(37569, 1),
(37570, 1),
(37571, 1),
(37572, 1),
(37573, 1),
(37574, 1),
(37575, 1),
(37576, 1),
(37577, 1),
(37578, 1),
(37579, 1),
(37580, 1),
(37581, 1),
(37582, 1),
(37583, 1),
(37584, 1),
(37585, 1),
(37586, 1),
(37587, 1),
(37588, 1),
(37589, 1),
(37590, 1),
(37591, 1),
(37592, 1),
(37593, 1),
(37594, 1),
(37595, 1),
(37596, 1),
(37597, 1),
(37598, 1),
(37599, 1),
(37600, 1),
(37601, 1),
(37602, 1),
(37603, 1),
(37604, 1),
(37605, 1),
(37606, 1),
(37607, 1),
(37608, 1),
(37609, 1),
(37610, 1),
(37611, 1),
(37612, 1),
(37613, 1),
(37614, 1),
(37615, 1),
(37616, 1),
(37617, 1),
(37618, 1),
(37619, 1),
(37620, 1),
(37621, 1),
(37622, 1),
(37623, 1),
(37624, 1),
(37625, 1),
(37626, 1),
(37627, 1),
(37628, 1),
(37629, 1),
(37630, 1),
(37631, 1),
(37632, 1),
(37633, 1),
(37634, 1),
(37635, 1),
(37636, 1),
(37637, 1),
(37638, 1),
(37639, 1),
(37640, 1),
(37641, 1),
(37642, 1),
(37643, 1),
(37644, 1),
(37645, 1),
(37646, 1),
(37647, 1),
(37648, 1),
(37649, 1),
(37650, 1),
(37651, 1),
(37652, 1),
(37653, 1),
(37654, 1),
(37655, 1),
(37656, 1),
(37657, 1),
(37658, 1),
(37659, 1),
(37660, 1),
(37661, 1),
(37662, 1),
(37663, 1),
(37664, 1),
(37665, 1),
(37666, 1),
(37667, 1),
(37668, 1),
(37669, 1),
(37670, 1),
(37671, 1),
(37672, 1),
(37673, 1),
(37674, 1),
(37675, 1),
(37676, 1),
(37677, 1),
(37678, 1),
(37679, 1),
(37680, 1),
(37681, 1),
(37682, 1),
(37683, 1),
(37684, 1),
(37685, 1),
(37686, 1),
(37687, 1),
(37688, 1),
(37689, 1),
(37690, 1),
(37691, 1),
(37692, 1),
(37693, 1),
(37694, 1),
(37695, 1),
(37696, 1),
(37697, 1),
(37698, 1),
(37699, 1),
(37700, 1),
(37701, 1),
(37702, 1),
(37703, 1),
(37704, 1),
(37705, 1),
(37706, 1),
(37707, 1),
(37708, 1),
(37709, 1),
(37710, 1),
(37711, 1),
(37712, 1),
(37713, 1),
(37714, 1),
(37715, 1),
(37716, 1),
(37717, 1),
(37718, 1),
(37719, 1),
(37720, 1),
(37721, 1),
(37722, 1),
(37723, 1),
(37724, 1),
(37725, 1),
(37726, 1),
(37727, 1),
(37728, 1),
(37729, 1),
(37730, 1),
(37731, 1),
(37732, 1),
(37733, 1),
(37734, 1),
(37735, 1),
(37736, 1),
(37737, 1),
(37738, 1),
(37739, 1),
(37740, 1),
(37741, 1),
(37742, 1),
(37743, 1),
(37744, 1),
(37745, 1),
(37746, 1),
(37747, 1),
(37748, 1),
(37749, 1),
(37750, 1),
(37751, 1),
(37752, 1),
(37753, 1),
(37754, 1),
(37755, 1),
(37756, 1),
(37757, 1),
(37758, 1),
(37759, 1),
(37760, 1),
(37761, 1),
(37762, 1),
(37763, 1),
(37764, 1),
(37765, 1),
(37766, 1),
(37767, 1),
(37768, 1),
(37769, 1),
(37770, 1),
(37771, 1),
(37772, 1),
(37773, 1),
(37774, 1),
(37775, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(37776, 1),
(37777, 1),
(37778, 1),
(37779, 1),
(37780, 1),
(37781, 1),
(37782, 1),
(37783, 1),
(37784, 1),
(37785, 1),
(37786, 1),
(37787, 1),
(37788, 1),
(37789, 1),
(37790, 1),
(37791, 1),
(37792, 1),
(37793, 1),
(37794, 1),
(37795, 1),
(37796, 1),
(37797, 1),
(37798, 1),
(37799, 1),
(37800, 1),
(37801, 1),
(37802, 1),
(37803, 1),
(37804, 1),
(37805, 1),
(37806, 1),
(37807, 1),
(37808, 1),
(37809, 1),
(37810, 1),
(37811, 1),
(37812, 1),
(37813, 1),
(37814, 1),
(37815, 1),
(37816, 1),
(37817, 1),
(37818, 1),
(37819, 1),
(37820, 1),
(37821, 1),
(37822, 1),
(37823, 1),
(37824, 1),
(37825, 1),
(37826, 1),
(37827, 1),
(37828, 1),
(37829, 1),
(37830, 1),
(37831, 1),
(37832, 1),
(37833, 1),
(37834, 1),
(37835, 1),
(37836, 1),
(37837, 1),
(37838, 1),
(37839, 1),
(37840, 1),
(37841, 1),
(37842, 1),
(37843, 1),
(37844, 1),
(37845, 1),
(37846, 1),
(37847, 1),
(37848, 1),
(37849, 1),
(37850, 1),
(37851, 1),
(37852, 1),
(37853, 1),
(37854, 1),
(37855, 1),
(37856, 1),
(37857, 1),
(37858, 1),
(37859, 1),
(37860, 1),
(37861, 1),
(37862, 1),
(37863, 1),
(37864, 1),
(37865, 1),
(37866, 1),
(37867, 1),
(37868, 1),
(37869, 1),
(37870, 1),
(37871, 1),
(37872, 1),
(37873, 1),
(37874, 1),
(37875, 1),
(37876, 1),
(37877, 1),
(37878, 1),
(37879, 1),
(37880, 1),
(37881, 1),
(37882, 1),
(37883, 1),
(37884, 1),
(37885, 1),
(37886, 1),
(37887, 1),
(37888, 1),
(37889, 1),
(37890, 1),
(37891, 1),
(37892, 1),
(37893, 1),
(37894, 1),
(37895, 1),
(37896, 1),
(37897, 1),
(37898, 1),
(37899, 1),
(37900, 1),
(37901, 1),
(37902, 1),
(37903, 1),
(37904, 1),
(37905, 1),
(37906, 1),
(37907, 1),
(37908, 1),
(37909, 1),
(37910, 1),
(37911, 1),
(37912, 1),
(37913, 1),
(37914, 1),
(37915, 1),
(37916, 1),
(37917, 1),
(37918, 1),
(37919, 1),
(37920, 1),
(37921, 1),
(37922, 1),
(37923, 1),
(37924, 1),
(37925, 1),
(37926, 1),
(37927, 1),
(37928, 1),
(37929, 1),
(37930, 1),
(37931, 1),
(37932, 1),
(37933, 1),
(37934, 1),
(37935, 1),
(37936, 1),
(37937, 1),
(37938, 1),
(37939, 1),
(37940, 1),
(37941, 1),
(37942, 1),
(37943, 1),
(37944, 1),
(37945, 1),
(37946, 1),
(37947, 1),
(37948, 1),
(37949, 1),
(37950, 1),
(37951, 1),
(37952, 1),
(37953, 1),
(37954, 1),
(37955, 1),
(37956, 1),
(37957, 1),
(37958, 1),
(37959, 1),
(37960, 1),
(37961, 1),
(37962, 1),
(37963, 1),
(37964, 1),
(37965, 1),
(37966, 1),
(37967, 1),
(37968, 1),
(37969, 1),
(37970, 1),
(37971, 1),
(37972, 1),
(37973, 1),
(37974, 1),
(37975, 1),
(37976, 1),
(37977, 1),
(37978, 1),
(37979, 1),
(37980, 1),
(37981, 1),
(37982, 1),
(37983, 1),
(37984, 1),
(37985, 1),
(37986, 1),
(37987, 1),
(37988, 1),
(37989, 1),
(37990, 1),
(37991, 1),
(37992, 1),
(37993, 1),
(37994, 1),
(37995, 1),
(37996, 1),
(37997, 1),
(37998, 1),
(37999, 1),
(38000, 1),
(38001, 1),
(38002, 1),
(38003, 1),
(38004, 1),
(38005, 1),
(38006, 1),
(38007, 1),
(38008, 1),
(38009, 1),
(38010, 1),
(38011, 1),
(38012, 1),
(38013, 1),
(38014, 1),
(38015, 1),
(38016, 1),
(38017, 1),
(38018, 1),
(38019, 1),
(38020, 1),
(38021, 1),
(38022, 1),
(38023, 1),
(38024, 1),
(38025, 1),
(38026, 1),
(38027, 1),
(38028, 1),
(38029, 1),
(38030, 1),
(38031, 1),
(38032, 1),
(38033, 1),
(38034, 1),
(38035, 1),
(38036, 1),
(38037, 1),
(38038, 1),
(38039, 1),
(38040, 1),
(38041, 1),
(38042, 1),
(38043, 1),
(38044, 1),
(38045, 1),
(38046, 1),
(38047, 1),
(38048, 1),
(38049, 1),
(38050, 1),
(38051, 1),
(38052, 1),
(38053, 1),
(38054, 1),
(38055, 1),
(38056, 1),
(38057, 1),
(38058, 1),
(38059, 1),
(38060, 1),
(38061, 1),
(38062, 1),
(38063, 1),
(38064, 1),
(38065, 1),
(38066, 1),
(38067, 1),
(38068, 1),
(38069, 1),
(38070, 1),
(38071, 1),
(38072, 1),
(38073, 1),
(38074, 1),
(38075, 1),
(38076, 1),
(38077, 1),
(38078, 1),
(38079, 1),
(38080, 1),
(38081, 1),
(38082, 1),
(38083, 1),
(38084, 1),
(38085, 1),
(38086, 1),
(38087, 1),
(38088, 1),
(38089, 1),
(38090, 1),
(38091, 1),
(38092, 1),
(38093, 1),
(38094, 1),
(38095, 1),
(38096, 1),
(38097, 1),
(38098, 1),
(38099, 1),
(38100, 1),
(38101, 1),
(38102, 1),
(38103, 1),
(38104, 1),
(38105, 1),
(38106, 1),
(38107, 1),
(38108, 1),
(38109, 1),
(38110, 1),
(38111, 1),
(38112, 1),
(38113, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(38114, 1),
(38115, 1),
(38116, 1),
(38117, 1),
(38118, 1),
(38119, 1),
(38120, 1),
(38121, 1),
(38122, 1),
(38123, 1),
(38124, 1),
(38125, 1),
(38126, 1),
(38127, 1),
(38128, 1),
(38129, 1),
(38130, 1),
(38131, 1),
(38132, 1),
(38133, 1),
(38134, 1),
(38135, 1),
(38136, 1),
(38137, 1),
(38138, 1),
(38139, 1),
(38140, 1),
(38141, 1),
(38142, 1),
(38143, 1),
(38144, 1),
(38145, 1),
(38146, 1),
(38147, 1),
(38148, 1),
(38149, 1),
(38150, 1),
(38151, 1),
(38152, 1),
(38153, 1),
(38154, 1),
(38155, 1),
(38156, 1),
(38157, 1),
(38158, 1),
(38159, 1),
(38160, 1),
(38161, 1),
(38162, 1),
(38163, 1),
(38164, 1),
(38165, 1),
(38166, 1),
(38167, 1),
(38168, 1),
(38169, 1),
(38170, 1),
(38171, 1),
(38172, 1),
(38173, 1),
(38174, 1),
(38175, 1),
(38176, 1),
(38177, 1),
(38178, 1),
(38179, 1),
(38180, 1),
(38181, 1),
(38182, 1),
(38183, 1),
(38184, 1),
(38185, 1),
(38186, 1),
(38187, 1),
(38188, 1),
(38189, 1),
(38190, 1),
(38191, 1),
(38192, 1),
(38193, 1),
(38194, 1),
(38195, 1),
(38196, 1),
(38197, 1),
(38198, 1),
(38199, 1),
(38200, 1),
(38201, 1),
(38202, 1),
(38203, 1),
(38204, 1),
(38205, 1),
(38206, 1),
(38207, 1),
(38208, 1),
(38209, 1),
(38210, 1),
(38211, 1),
(38212, 1),
(38213, 1),
(38214, 1),
(38215, 1),
(38216, 1),
(38217, 1),
(38218, 1),
(38219, 1),
(38220, 1),
(38221, 1),
(38222, 1),
(38223, 1),
(38224, 1),
(38225, 1),
(38226, 1),
(38227, 1),
(38228, 1),
(38229, 1),
(38230, 1),
(38231, 1),
(38232, 1),
(38233, 1),
(38234, 1),
(38235, 1),
(38236, 1),
(38237, 1),
(38238, 1),
(38239, 1),
(38240, 1),
(38241, 1),
(38242, 1),
(38243, 1),
(38244, 1),
(38245, 1),
(38246, 1),
(38247, 1),
(38248, 1),
(38249, 1),
(38250, 1),
(38251, 1),
(38252, 1),
(38253, 1),
(38254, 1),
(38255, 1),
(38256, 1),
(38257, 1),
(38258, 1),
(38259, 1),
(38260, 1),
(38261, 1),
(38262, 1),
(38263, 1),
(38264, 1),
(38265, 1),
(38266, 1),
(38267, 1),
(38268, 1),
(38269, 1),
(38270, 1),
(38271, 1),
(38272, 1),
(38273, 1),
(38274, 1),
(38275, 1),
(38276, 1),
(38277, 1),
(38278, 1),
(38279, 1),
(38280, 1),
(38281, 1),
(38282, 1),
(38283, 1),
(38284, 1),
(38285, 1),
(38286, 1),
(38287, 1),
(38288, 1),
(38289, 1),
(38290, 1),
(38291, 1),
(38292, 1),
(38293, 1),
(38294, 1),
(38295, 1),
(38296, 1),
(38297, 1),
(38298, 1),
(38299, 1),
(38300, 1),
(38301, 1),
(38302, 1),
(38303, 1),
(38304, 1),
(38305, 1),
(38306, 1),
(38307, 1),
(38308, 1),
(38309, 1),
(38310, 1),
(38311, 1),
(38312, 1),
(38313, 1),
(38314, 1),
(38315, 1),
(38316, 1),
(38317, 1),
(38318, 1),
(38319, 1),
(38320, 1),
(38321, 1),
(38322, 1),
(38323, 1),
(38324, 1),
(38325, 1),
(38326, 1),
(38327, 1),
(38328, 1),
(38329, 1),
(38330, 1),
(38331, 1),
(38332, 1),
(38333, 1),
(38334, 1),
(38335, 1),
(38336, 1),
(38337, 1),
(38338, 1),
(38339, 1),
(38340, 1),
(38341, 1),
(38342, 1),
(38343, 1),
(38344, 1),
(38345, 1),
(38346, 1),
(38347, 1),
(38348, 1),
(38349, 1),
(38350, 1),
(38351, 1),
(38352, 1),
(38353, 1),
(38354, 1),
(38355, 1),
(38356, 1),
(38357, 1),
(38358, 1),
(38359, 1),
(38360, 1),
(38361, 1),
(38362, 1),
(38363, 1),
(38364, 1),
(38365, 1),
(38366, 1),
(38367, 1),
(38368, 1),
(38369, 1),
(38370, 1),
(38371, 1),
(38372, 1),
(38373, 1),
(38374, 1),
(38375, 1),
(38376, 1),
(38377, 1),
(38378, 1),
(38379, 1),
(38380, 1),
(38381, 1),
(38382, 1),
(38383, 1),
(38384, 1),
(38385, 1),
(38386, 1),
(38387, 1),
(38388, 1),
(38389, 1),
(38390, 1),
(38391, 1),
(38392, 1),
(38393, 1),
(38394, 1),
(38395, 1),
(38396, 1),
(38397, 1),
(38398, 1),
(38399, 1),
(38400, 1),
(38401, 1),
(38402, 1),
(38403, 1),
(38404, 1),
(38405, 1),
(38406, 1),
(38407, 1),
(38408, 1),
(38409, 1),
(38410, 1),
(38411, 1),
(38412, 1),
(38413, 1),
(38414, 1),
(38415, 1),
(38416, 1),
(38417, 1),
(38418, 1),
(38419, 1),
(38420, 1),
(38421, 1),
(38422, 1),
(38423, 1),
(38424, 1),
(38425, 1),
(38426, 1),
(38427, 1),
(38428, 1),
(38429, 1),
(38430, 1),
(38431, 1),
(38432, 1),
(38433, 1),
(38434, 1),
(38435, 1),
(38436, 1),
(38437, 1),
(38438, 1),
(38439, 1),
(38440, 1),
(38441, 1),
(38442, 1),
(38443, 1),
(38444, 1),
(38445, 1),
(38446, 1),
(38447, 1),
(38448, 1),
(38449, 1),
(38450, 1),
(38451, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(38452, 1),
(38453, 1),
(38454, 1),
(38455, 1),
(38456, 1),
(38457, 1),
(38458, 1),
(38459, 1),
(38460, 1),
(38461, 1),
(38462, 1),
(38463, 1),
(38464, 1),
(38465, 1),
(38466, 1),
(38467, 1),
(38468, 1),
(38469, 1),
(38470, 1),
(38471, 1),
(38472, 1),
(38473, 1),
(38474, 1),
(38475, 1),
(38476, 1),
(38477, 1),
(38478, 1),
(38479, 1),
(38480, 1),
(38481, 1),
(38482, 1),
(38483, 1),
(38484, 1),
(38485, 1),
(38486, 1),
(38487, 1),
(38488, 1),
(38489, 1),
(38490, 1),
(38491, 1),
(38492, 1),
(38493, 1),
(38494, 1),
(38495, 1),
(38496, 1),
(38497, 1),
(38498, 1),
(38499, 1),
(38500, 1),
(38501, 1),
(38502, 1),
(38503, 1),
(38504, 1),
(38505, 1),
(38506, 1),
(38507, 1),
(38508, 1),
(38509, 1),
(38510, 1),
(38511, 1),
(38512, 1),
(38513, 1),
(38514, 1),
(38515, 1),
(38516, 1),
(38517, 1),
(38518, 1),
(38519, 1),
(38520, 1),
(38521, 1),
(38522, 1),
(38523, 1),
(38524, 1),
(38525, 1),
(38526, 1),
(38527, 1),
(38528, 1),
(38529, 1),
(38530, 1),
(38531, 1),
(38532, 1),
(38533, 1),
(38534, 1),
(38535, 1),
(38536, 1),
(38537, 1),
(38538, 1),
(38539, 1),
(38540, 1),
(38541, 1),
(38542, 1),
(38543, 1),
(38544, 1),
(38545, 1),
(38546, 1),
(38547, 1),
(38548, 1),
(38549, 1),
(38550, 1),
(38551, 1),
(38552, 1),
(38553, 1),
(38554, 1),
(38555, 1),
(38556, 1),
(38557, 1),
(38558, 1),
(38559, 1),
(38560, 1),
(38561, 1),
(38562, 1),
(38563, 1),
(38564, 1),
(38565, 1),
(38566, 1),
(38567, 1),
(38568, 1),
(38569, 1),
(38570, 1),
(38571, 1),
(38572, 1),
(38573, 1),
(38574, 1),
(38575, 1),
(38576, 1),
(38577, 1),
(38578, 1),
(38579, 1),
(38580, 1),
(38581, 1),
(38582, 1),
(38583, 1),
(38584, 1),
(38585, 1),
(38586, 1),
(38587, 1),
(38588, 1),
(38589, 1),
(38590, 1),
(38591, 1),
(38592, 1),
(38593, 1),
(38594, 1),
(38595, 1),
(38596, 1),
(38597, 1),
(38598, 1),
(38599, 1),
(38600, 1),
(38601, 1),
(38602, 1),
(38603, 1),
(38604, 1),
(38605, 1),
(38606, 1),
(38607, 1),
(38608, 1),
(38609, 1),
(38610, 1),
(38611, 1),
(38612, 1),
(38613, 1),
(38614, 1),
(38615, 1),
(38616, 1),
(38617, 1),
(38618, 1),
(38619, 1),
(38620, 1),
(38621, 1),
(38622, 1),
(38623, 1),
(38624, 1),
(38625, 1),
(38626, 1),
(38627, 1),
(38628, 1),
(38629, 1),
(38630, 1),
(38631, 1),
(38632, 1),
(38633, 1),
(38634, 1),
(38635, 1),
(38636, 1),
(38637, 1),
(38638, 1),
(38639, 1),
(38640, 1),
(38641, 1),
(38642, 1),
(38643, 1),
(38644, 1),
(38645, 1),
(38646, 1),
(38647, 1),
(38648, 1),
(38649, 1),
(38650, 1),
(38651, 1),
(38652, 1),
(38653, 1),
(38654, 1),
(38655, 1),
(38656, 1),
(38657, 1),
(38658, 1),
(38659, 1),
(38660, 1),
(38661, 1),
(38662, 1),
(38663, 1),
(38664, 1),
(38665, 1),
(38666, 1),
(38667, 1),
(38668, 1),
(38669, 1),
(38670, 1),
(38671, 1),
(38672, 1),
(38673, 1),
(38674, 1),
(38675, 1),
(38676, 1),
(38677, 1),
(38678, 1),
(38679, 1),
(38680, 1),
(38681, 1),
(38682, 1),
(38683, 1),
(38684, 1),
(38685, 1),
(38686, 1),
(38687, 1),
(38688, 1),
(38689, 1),
(38690, 1),
(38691, 1),
(38692, 1),
(38693, 1),
(38694, 1),
(38695, 1),
(38696, 1),
(38697, 1),
(38698, 1),
(38699, 1),
(38700, 1),
(38701, 1),
(38702, 1),
(38703, 1),
(38704, 1),
(38705, 1),
(38706, 1),
(38707, 1),
(38708, 1),
(38709, 1),
(38710, 1),
(38711, 1),
(38712, 1),
(38713, 1),
(38714, 1),
(38715, 1),
(38716, 1),
(38717, 1),
(38718, 1),
(38719, 1),
(38720, 1),
(38721, 1),
(38722, 1),
(38723, 1),
(38724, 1),
(38725, 1),
(38726, 1),
(38727, 1),
(38728, 1),
(38729, 1),
(38730, 1),
(38731, 1),
(38732, 1),
(38733, 1),
(38734, 1),
(38735, 1),
(38736, 1),
(38737, 1),
(38738, 1),
(38739, 1),
(38740, 1),
(38741, 1),
(38742, 1),
(38743, 1),
(38744, 1),
(38745, 1),
(38746, 1),
(38747, 1),
(38748, 1),
(38749, 1),
(38750, 1),
(38751, 1),
(38752, 1),
(38753, 1),
(38754, 1),
(38755, 1),
(38756, 1),
(38757, 1),
(38758, 1),
(38759, 1),
(38760, 1),
(38761, 1),
(38762, 1),
(38763, 1),
(38764, 1),
(38765, 1),
(38766, 1),
(38767, 1),
(38768, 1),
(38769, 1),
(38770, 1),
(38771, 1),
(38772, 1),
(38773, 1),
(38774, 1),
(38775, 1),
(38776, 1),
(38777, 1),
(38778, 1),
(38779, 1),
(38780, 1),
(38781, 1),
(38782, 1),
(38783, 1),
(38784, 1),
(38785, 1),
(38786, 1),
(38787, 1),
(38788, 1),
(38789, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(38790, 1),
(38791, 1),
(38792, 1),
(38793, 1),
(38794, 1),
(38795, 1),
(38796, 1),
(38797, 1),
(38798, 1),
(38799, 1),
(38800, 1),
(38801, 1),
(38802, 1),
(38803, 1),
(38804, 1),
(38805, 1),
(38806, 1),
(38807, 1),
(38808, 1),
(38809, 1),
(38810, 1),
(38811, 1),
(38812, 1),
(38813, 1),
(38814, 1),
(38815, 1),
(38816, 1),
(38817, 1),
(38818, 1),
(38819, 1),
(38820, 1),
(38821, 1),
(38822, 1),
(38823, 1),
(38824, 1),
(38825, 1),
(38826, 1),
(38827, 1),
(38828, 1),
(38829, 1),
(38830, 1),
(38831, 1),
(38832, 1),
(38833, 1),
(38834, 1),
(38835, 1),
(38836, 1),
(38837, 1),
(38838, 1),
(38839, 1),
(38840, 1),
(38841, 1),
(38842, 1),
(38843, 1),
(38844, 1),
(38845, 1),
(38846, 1),
(38847, 1),
(38848, 1),
(38849, 1),
(38850, 1),
(38851, 1),
(38852, 1),
(38853, 1),
(38854, 1),
(38855, 1),
(38856, 1),
(38857, 1),
(38858, 1),
(38859, 1),
(38860, 1),
(38861, 1),
(38862, 1),
(38863, 1),
(38864, 1),
(38865, 1),
(38866, 1),
(38867, 1),
(38868, 1),
(38869, 1),
(38870, 1),
(38871, 1),
(38872, 1),
(38873, 1),
(38874, 1),
(38875, 1),
(38876, 1),
(38877, 1),
(38878, 1),
(38879, 1),
(38880, 1),
(38881, 1),
(38882, 1),
(38883, 1),
(38884, 1),
(38885, 1),
(38886, 1),
(38887, 1),
(38888, 1),
(38889, 1),
(38890, 1),
(38891, 1),
(38892, 1),
(38893, 1),
(38894, 1),
(38895, 1),
(38896, 1),
(38897, 1),
(38898, 1),
(38899, 1),
(38900, 1),
(38901, 1),
(38902, 1),
(38903, 1),
(38904, 1),
(38905, 1),
(38906, 1),
(38907, 1),
(38908, 1),
(38909, 1),
(38910, 1),
(38911, 1),
(38912, 1),
(38913, 1),
(38914, 1),
(38915, 1),
(38916, 1),
(38917, 1),
(38918, 1),
(38919, 1),
(38920, 1),
(38921, 1),
(38922, 1),
(38923, 1),
(38924, 1),
(38925, 1),
(38926, 1),
(38927, 1),
(38928, 1),
(38929, 1),
(38930, 1),
(38931, 1),
(38932, 1),
(38933, 1),
(38934, 1),
(38935, 1),
(38936, 1),
(38937, 1),
(38938, 1),
(38939, 1),
(38940, 1),
(38941, 1),
(38942, 1),
(38943, 1),
(38944, 1),
(38945, 1),
(38946, 1),
(38947, 1),
(38948, 1),
(38949, 1),
(38950, 1),
(38951, 1),
(38952, 1),
(38953, 1),
(38954, 1),
(38955, 1),
(38956, 1),
(38957, 1),
(38958, 1),
(38959, 1),
(38960, 1),
(38961, 1),
(38962, 1),
(38963, 1),
(38964, 1),
(38965, 1),
(38966, 1),
(38967, 1),
(38968, 1),
(38969, 1),
(38970, 1),
(38971, 1),
(38972, 1),
(38973, 1),
(38974, 1),
(38975, 1),
(38976, 1),
(38977, 1),
(38978, 1),
(38979, 1),
(38980, 1),
(38981, 1),
(38982, 1),
(38983, 1),
(38984, 1),
(38985, 1),
(38986, 1),
(38987, 1),
(38988, 1),
(38989, 1),
(38990, 1),
(38991, 1),
(38992, 1),
(38993, 1),
(38994, 1),
(38995, 1),
(38996, 1),
(38997, 1),
(38998, 1),
(38999, 1),
(39000, 1),
(39001, 1),
(39002, 1),
(39003, 1),
(39004, 1),
(39005, 1),
(39006, 1),
(39007, 1),
(39008, 1),
(39009, 1),
(39010, 1),
(39011, 1),
(39012, 1),
(39013, 1),
(39014, 1),
(39015, 1),
(39016, 1),
(39017, 1),
(39018, 1),
(39019, 1),
(39020, 1),
(39021, 1),
(39022, 1),
(39023, 1),
(39024, 1),
(39025, 1),
(39026, 1),
(39027, 1),
(39028, 1),
(39029, 1),
(39030, 1),
(39031, 1),
(39032, 1),
(39033, 1),
(39034, 1),
(39035, 1),
(39036, 1),
(39037, 1),
(39038, 1),
(39039, 1),
(39040, 1),
(39041, 1),
(39042, 1),
(39043, 1),
(39044, 1),
(39045, 1),
(39046, 1),
(39047, 1),
(39048, 1),
(39049, 1),
(39050, 1),
(39051, 1),
(39052, 1),
(39053, 1),
(39054, 1),
(39055, 1),
(39056, 1),
(39057, 1),
(39058, 1),
(39059, 1),
(39060, 1),
(39061, 1),
(39062, 1),
(39063, 1),
(39064, 1),
(39065, 1),
(39066, 1),
(39067, 1),
(39068, 1),
(39069, 1),
(39070, 1),
(39071, 1),
(39072, 1),
(39073, 1),
(39074, 1),
(39075, 1),
(39076, 1),
(39077, 1),
(39078, 1),
(39079, 1),
(39080, 1),
(39081, 1),
(39082, 1),
(39083, 1),
(39084, 1),
(39085, 1),
(39086, 1),
(39087, 1),
(39088, 1),
(39089, 1),
(39090, 1),
(39091, 1),
(39092, 1),
(39093, 1),
(39094, 1),
(39095, 1),
(39096, 1),
(39097, 1),
(39098, 1),
(39099, 1),
(39100, 1),
(39101, 1),
(39102, 1),
(39103, 1),
(39104, 1),
(39105, 1),
(39106, 1),
(39107, 1),
(39108, 1),
(39109, 1),
(39110, 1),
(39111, 1),
(39112, 1),
(39113, 1),
(39114, 1),
(39115, 1),
(39116, 1),
(39117, 1),
(39118, 1),
(39119, 1),
(39120, 1),
(39121, 1),
(39122, 1),
(39123, 1),
(39124, 1),
(39125, 1),
(39126, 1),
(39127, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(39128, 1),
(39129, 1),
(39130, 1),
(39131, 1),
(39132, 1),
(39133, 1),
(39134, 1),
(39135, 1),
(39136, 1),
(39137, 1),
(39138, 1),
(39139, 1),
(39140, 1),
(39141, 1),
(39142, 1),
(39143, 1),
(39144, 1),
(39145, 1),
(39146, 1),
(39147, 1),
(39148, 1),
(39149, 1),
(39150, 1),
(39151, 1),
(39152, 1),
(39153, 1),
(39154, 1),
(39155, 1),
(39156, 1),
(39157, 1),
(39158, 1),
(39159, 1),
(39160, 1),
(39161, 1),
(39162, 1),
(39163, 1),
(39164, 1),
(39165, 1),
(39166, 1),
(39167, 1),
(39168, 1),
(39169, 1),
(39170, 1),
(39171, 1),
(39172, 1),
(39173, 1),
(39174, 1),
(39175, 1),
(39176, 1),
(39177, 1),
(39178, 1),
(39179, 1),
(39180, 1),
(39181, 1),
(39182, 1),
(39183, 1),
(39184, 1),
(39185, 1),
(39186, 1),
(39187, 1),
(39188, 1),
(39189, 1),
(39190, 1),
(39191, 1),
(39192, 1),
(39193, 1),
(39194, 1),
(39195, 1),
(39196, 1),
(39197, 1),
(39198, 1),
(39199, 1),
(39200, 1),
(39201, 1),
(39202, 1),
(39203, 1),
(39204, 1),
(39205, 1),
(39206, 1),
(39207, 1),
(39208, 1),
(39209, 1),
(39210, 1),
(39211, 1),
(39212, 1),
(39213, 1),
(39214, 1),
(39215, 1),
(39216, 1),
(39217, 1),
(39218, 1),
(39219, 1),
(39220, 1),
(39221, 1),
(39222, 1),
(39223, 1),
(39224, 1),
(39225, 1),
(39226, 1),
(39227, 1),
(39228, 1),
(39229, 1),
(39230, 1),
(39231, 1),
(39232, 1),
(39233, 1),
(39234, 1),
(39235, 1),
(39236, 1),
(39237, 1),
(39238, 1),
(39239, 1),
(39240, 1),
(39241, 1),
(39242, 1),
(39243, 1),
(39244, 1),
(39245, 1),
(39246, 1),
(39247, 1),
(39248, 1),
(39249, 1),
(39250, 1),
(39251, 1),
(39252, 1),
(39253, 1),
(39254, 1),
(39255, 1),
(39256, 1),
(39257, 1),
(39258, 1),
(39259, 1),
(39260, 1),
(39261, 1),
(39262, 1),
(39263, 1),
(39264, 1),
(39265, 1),
(39266, 1),
(39267, 1),
(39268, 1),
(39269, 1),
(39270, 1),
(39271, 1),
(39272, 1),
(39273, 1),
(39274, 1),
(39275, 1),
(39276, 1),
(39277, 1),
(39278, 1),
(39279, 1),
(39280, 1),
(39281, 1),
(39282, 1),
(39283, 1),
(39284, 1),
(39285, 1),
(39286, 1),
(39287, 1),
(39288, 1),
(39289, 1),
(39290, 1),
(39291, 1),
(39292, 1),
(39293, 1),
(39294, 1),
(39295, 1),
(39296, 1),
(39297, 1),
(39298, 1),
(39299, 1),
(39300, 1),
(39301, 1),
(39302, 1),
(39303, 1),
(39304, 1),
(39305, 1),
(39306, 1),
(39307, 1),
(39308, 1),
(39309, 1),
(39310, 1),
(39311, 1),
(39312, 1),
(39313, 1),
(39314, 1),
(39315, 1),
(39316, 1),
(39317, 1),
(39318, 1),
(39319, 1),
(39320, 1),
(39321, 1),
(39322, 1),
(39323, 1),
(39324, 1),
(39325, 1),
(39326, 1),
(39327, 1),
(39328, 1),
(39329, 1),
(39330, 1),
(39331, 1),
(39332, 1),
(39333, 1),
(39334, 1),
(39335, 1),
(39336, 1),
(39337, 1),
(39338, 1),
(39339, 1),
(39340, 1),
(39341, 1),
(39342, 1),
(39343, 1),
(39344, 1),
(39345, 1),
(39346, 1),
(39347, 1),
(39348, 1),
(39349, 1),
(39350, 1),
(39351, 1),
(39352, 1),
(39353, 1),
(39354, 1),
(39355, 1),
(39356, 1),
(39357, 1),
(39358, 1),
(39359, 1),
(39360, 1),
(39361, 1),
(39362, 1),
(39363, 1),
(39364, 1),
(39365, 1),
(39366, 1),
(39367, 1),
(39368, 1),
(39369, 1),
(39370, 1),
(39371, 1),
(39372, 1),
(39373, 1),
(39374, 1),
(39375, 1),
(39376, 1),
(39377, 1),
(39378, 1),
(39379, 1),
(39380, 1),
(39381, 1),
(39382, 1),
(39383, 1),
(39384, 1),
(39385, 1),
(39386, 1),
(39387, 1),
(39388, 1),
(39389, 1),
(39390, 1),
(39391, 1),
(39392, 1),
(39393, 1),
(39394, 1),
(39395, 1),
(39396, 1),
(39397, 1),
(39398, 1),
(39399, 1),
(39400, 1),
(39401, 1),
(39402, 1),
(39403, 1),
(39404, 1),
(39405, 1),
(39406, 1),
(39407, 1),
(39408, 1),
(39409, 1),
(39410, 1),
(39411, 1),
(39412, 1),
(39413, 1),
(39414, 1),
(39415, 1),
(39416, 1),
(39417, 1),
(39418, 1),
(39419, 1),
(39420, 1),
(39421, 1),
(39422, 1),
(39423, 1),
(39424, 1),
(39425, 1),
(39426, 1),
(39427, 1),
(39428, 1),
(39429, 1),
(39430, 1),
(39431, 1),
(39432, 1),
(39433, 1),
(39434, 1),
(39435, 1),
(39436, 1),
(39437, 1),
(39438, 1),
(39439, 1),
(39440, 1),
(39441, 1),
(39442, 1),
(39443, 1),
(39444, 1),
(39445, 1),
(39446, 1),
(39447, 1),
(39448, 1),
(39449, 1),
(39450, 1),
(39451, 1),
(39452, 1),
(39453, 1),
(39454, 1),
(39455, 1),
(39456, 1),
(39457, 1),
(39458, 1),
(39459, 1),
(39460, 1),
(39461, 1),
(39462, 1),
(39463, 1),
(39464, 1),
(39465, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(39466, 1),
(39467, 1),
(39468, 1),
(39469, 1),
(39470, 1),
(39471, 1),
(39472, 1),
(39473, 1),
(39474, 1),
(39475, 1),
(39476, 1),
(39477, 1),
(39478, 1),
(39479, 1),
(39480, 1),
(39481, 1),
(39482, 1),
(39483, 1),
(39484, 1),
(39485, 1),
(39486, 1),
(39487, 1),
(39488, 1),
(39489, 1),
(39490, 1),
(39491, 1),
(39492, 1),
(39493, 1),
(39494, 1),
(39495, 1),
(39496, 1),
(39497, 1),
(39498, 1),
(39499, 1),
(39500, 1),
(39501, 1),
(39502, 1),
(39503, 1),
(39504, 1),
(39505, 1),
(39506, 1),
(39507, 1),
(39508, 1),
(39509, 1),
(39510, 1),
(39511, 1),
(39512, 1),
(39513, 1),
(39514, 1),
(39515, 1),
(39516, 1),
(39517, 1),
(39518, 1),
(39519, 1),
(39520, 1),
(39521, 1),
(39522, 1),
(39523, 1),
(39524, 1),
(39525, 1),
(39526, 1),
(39527, 1),
(39528, 1),
(39529, 1),
(39530, 1),
(39531, 1),
(39532, 1),
(39533, 1),
(39534, 1),
(39535, 1),
(39536, 1),
(39537, 1),
(39538, 1),
(39539, 1),
(39540, 1),
(39541, 1),
(39542, 1),
(39543, 1),
(39544, 1),
(39545, 1),
(39546, 1),
(39547, 1),
(39548, 1),
(39549, 1),
(39550, 1),
(39551, 1),
(39552, 1),
(39553, 1),
(39554, 1),
(39555, 1),
(39556, 1),
(39557, 1),
(39558, 1),
(39559, 1),
(39560, 1),
(39561, 1),
(39562, 1),
(39563, 1),
(39564, 1),
(39565, 1),
(39566, 1),
(39567, 1),
(39568, 1),
(39569, 1),
(39570, 1),
(39571, 1),
(39572, 1),
(39573, 1),
(39574, 1),
(39575, 1),
(39576, 1),
(39577, 1),
(39578, 1),
(39579, 1),
(39580, 1),
(39581, 1),
(39582, 1),
(39583, 1),
(39584, 1),
(39585, 1),
(39586, 1),
(39587, 1),
(39588, 1),
(39589, 1),
(39590, 1),
(39591, 1),
(39592, 1),
(39593, 1),
(39594, 1),
(39595, 1),
(39596, 1),
(39597, 1),
(39598, 1),
(39599, 1),
(39600, 1),
(39601, 1),
(39602, 1),
(39603, 1),
(39604, 1),
(39605, 1),
(39606, 1),
(39607, 1),
(39608, 1),
(39609, 1),
(39610, 1),
(39611, 1),
(39612, 1),
(39613, 1),
(39614, 1),
(39615, 1),
(39616, 1),
(39617, 1),
(39618, 1),
(39619, 1),
(39620, 1),
(39621, 1),
(39622, 1),
(39623, 1),
(39624, 1),
(39625, 1),
(39626, 1),
(39627, 1),
(39628, 1),
(39629, 1),
(39630, 1),
(39631, 1),
(39632, 1),
(39633, 1),
(39634, 1),
(39635, 1),
(39636, 1),
(39637, 1),
(39638, 1),
(39639, 1),
(39640, 1),
(39641, 1),
(39642, 1),
(39643, 1),
(39644, 1),
(39645, 1),
(39646, 1),
(39647, 1),
(39648, 1),
(39649, 1),
(39650, 1),
(39651, 1),
(39652, 1),
(39653, 1),
(39654, 1),
(39655, 1),
(39656, 1),
(39657, 1),
(39658, 1),
(39659, 1),
(39660, 1),
(39661, 1),
(39662, 1),
(39663, 1),
(39664, 1),
(39665, 1),
(39666, 1),
(39667, 1),
(39668, 1),
(39669, 1),
(39670, 1),
(39671, 1),
(39672, 1),
(39673, 1),
(39674, 1),
(39675, 1),
(39676, 1),
(39677, 1),
(39678, 1),
(39679, 1),
(39680, 1),
(39681, 1),
(39682, 1),
(39683, 1),
(39684, 1),
(39685, 1),
(39686, 1),
(39687, 1),
(39688, 1),
(39689, 1),
(39690, 1),
(39691, 1),
(39692, 1),
(39693, 1),
(39694, 1),
(39695, 1),
(39696, 1),
(39697, 1),
(39698, 1),
(39699, 1),
(39700, 1),
(39701, 1),
(39702, 1),
(39703, 1),
(39704, 1),
(39705, 1),
(39706, 1),
(39707, 1),
(39708, 1),
(39709, 1),
(39710, 1),
(39711, 1),
(39712, 1),
(39713, 1),
(39714, 1),
(39715, 1),
(39716, 1),
(39717, 1),
(39718, 1),
(39719, 1),
(39720, 1),
(39721, 1),
(39722, 1),
(39723, 1),
(39724, 1),
(39725, 1),
(39726, 1),
(39727, 1),
(39728, 1),
(39729, 1),
(39730, 1),
(39731, 1),
(39732, 1),
(39733, 1),
(39734, 1),
(39735, 1),
(39736, 1),
(39737, 1),
(39738, 1),
(39739, 1),
(39740, 1),
(39741, 1),
(39742, 1),
(39743, 1),
(39744, 1),
(39745, 1),
(39746, 1),
(39747, 1),
(39748, 1),
(39749, 1),
(39750, 1),
(39751, 1),
(39752, 1),
(39753, 1),
(39754, 1),
(39755, 1),
(39756, 1),
(39757, 1),
(39758, 1),
(39759, 1),
(39760, 1),
(39761, 1),
(39762, 1),
(39763, 1),
(39764, 1),
(39765, 1),
(39766, 1),
(39767, 1),
(39768, 1),
(39769, 1),
(39770, 1),
(39771, 1),
(39772, 1),
(39773, 1),
(39774, 1),
(39775, 1),
(39776, 1),
(39777, 1),
(39778, 1),
(39779, 1),
(39780, 1),
(39781, 1),
(39782, 1),
(39783, 1),
(39784, 1),
(39785, 1),
(39786, 1),
(39787, 1),
(39788, 1),
(39789, 1),
(39790, 1),
(39791, 1),
(39792, 1),
(39793, 1),
(39794, 1),
(39795, 1),
(39796, 1),
(39797, 1),
(39798, 1),
(39799, 1),
(39800, 1),
(39801, 1),
(39802, 1),
(39803, 1);            
INSERT INTO "PUBLIC"."ENTRY_RELEASE" VALUES
(39804, 1),
(39805, 1),
(39806, 1),
(39807, 1),
(39808, 1),
(39809, 1),
(39810, 1),
(39811, 1),
(39812, 1),
(39813, 1),
(39814, 1),
(39815, 1),
(39816, 1),
(39817, 1),
(39818, 1),
(39819, 1),
(39820, 1),
(39821, 1),
(39822, 1),
(39823, 1),
(39824, 1),
(39825, 1),
(39826, 1),
(39827, 1),
(39828, 1),
(39829, 1),
(39830, 1),
(39831, 1),
(39832, 1),
(39833, 1),
(39834, 1),
(39835, 1),
(39836, 1),
(39837, 1),
(39838, 1),
(39839, 1),
(39840, 1),
(39841, 1),
(39842, 1),
(39843, 1),
(39844, 1),
(39845, 1),
(39846, 1),
(39847, 1),
(39848, 1),
(39849, 1),
(39850, 1),
(39851, 1),
(39852, 1),
(39853, 1),
(39854, 1),
(39855, 1),
(39856, 1),
(39857, 1),
(39858, 1),
(39859, 1),
(39860, 1),
(39861, 1),
(39862, 1),
(39863, 1),
(39864, 1),
(39865, 1),
(39866, 1),
(39867, 1),
(39868, 1),
(39869, 1),
(39870, 1),
(39871, 1),
(39872, 1),
(39873, 1),
(39874, 1),
(39875, 1),
(39876, 1),
(39877, 1),
(39878, 1),
(39879, 1),
(39880, 1),
(39881, 1),
(39882, 1),
(39883, 1),
(39884, 1),
(39885, 1),
(39886, 1),
(39887, 1),
(39888, 1),
(39889, 1),
(39890, 1),
(39891, 1),
(39892, 1),
(39893, 1),
(39894, 1),
(39895, 1),
(39896, 1),
(39897, 1),
(39898, 1),
(39899, 1),
(39900, 1),
(39901, 1),
(39902, 1),
(39903, 1),
(39904, 1),
(39905, 1),
(39906, 1),
(39907, 1),
(39908, 1),
(39909, 1),
(39910, 1),
(39911, 1),
(39912, 1),
(39913, 1),
(39914, 1),
(39915, 1),
(39916, 1),
(39917, 1),
(39918, 1),
(39919, 1),
(39920, 1),
(39921, 1),
(39922, 1),
(39923, 1),
(39924, 1),
(39925, 1),
(39926, 1),
(39927, 1),
(39928, 1),
(39929, 1),
(39930, 1),
(39931, 1),
(39932, 1),
(39933, 1),
(39934, 1),
(39935, 1),
(39936, 1),
(39937, 1),
(39938, 1),
(39939, 1),
(39940, 1),
(39941, 1),
(39942, 1),
(39943, 1),
(39944, 1),
(39945, 1),
(39946, 1),
(39947, 1),
(39948, 1),
(39949, 1),
(39950, 1),
(39951, 1),
(39952, 1),
(39953, 1),
(39954, 1),
(39955, 1),
(39956, 1),
(39957, 1),
(39958, 1),
(39959, 1),
(39960, 1),
(39961, 1),
(39962, 1),
(39963, 1),
(39964, 1),
(39965, 1),
(39966, 1),
(39967, 1),
(39968, 1),
(39969, 1),
(39970, 1),
(39971, 1),
(39972, 1),
(39973, 1),
(39974, 1),
(39975, 1),
(39976, 1),
(39977, 1),
(39978, 1),
(39979, 1),
(39980, 1),
(39981, 1),
(39982, 1),
(39983, 1),
(39984, 1),
(39985, 1),
(39986, 1),
(39987, 1),
(39988, 1),
(39989, 1),
(39990, 1),
(39991, 1),
(39992, 1),
(39993, 1),
(39994, 1),
(39995, 1),
(39996, 1),
(39997, 1),
(39998, 1),
(39999, 1),
(40000, 1),
(40001, 1),
(40002, 1),
(40003, 1),
(40004, 1),
(40005, 1),
(40006, 1),
(40007, 1),
(40008, 1),
(40009, 1),
(40010, 1),
(40011, 1),
(40012, 1),
(40013, 1),
(40014, 1),
(40015, 1),
(40016, 1),
(40017, 1),
(40018, 1),
(40019, 1),
(40020, 1),
(40021, 1),
(40022, 1),
(40023, 1),
(40024, 1),
(40025, 1),
(40026, 1),
(40027, 1),
(40028, 1),
(40029, 1),
(40030, 1),
(40031, 1),
(40032, 1),
(40033, 1),
(40034, 1),
(40035, 1),
(40036, 1),
(40037, 1);            
CREATE CACHED TABLE "PUBLIC"."EXCEPTION_CHUNK"(
    "STEP_EXECUTION_ID" BIGINT NOT NULL,
    "EXCEPTION_CHUNKS" VARCHAR(4000),
    "CHUNK_INDEX" INTEGER NOT NULL
);           
ALTER TABLE "PUBLIC"."EXCEPTION_CHUNK" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_25" PRIMARY KEY("STEP_EXECUTION_ID", "CHUNK_INDEX");
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.EXCEPTION_CHUNK;          
CREATE CACHED TABLE "PUBLIC"."FINGER_PRINTS_LOCATION"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "MATCH_ID" BIGINT NOT NULL,
    "MOTIF_NUMBER" INTEGER NOT NULL,
    "PVALUE" DOUBLE NOT NULL,
    "SCORE" DOUBLE NOT NULL
);           
ALTER TABLE "PUBLIC"."FINGER_PRINTS_LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_1" PRIMARY KEY("ID");        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.FINGER_PRINTS_LOCATION;   
CREATE CACHED TABLE "PUBLIC"."FINGER_PRINTS_LOCAT_FRAGMENT"(
    "ID" BIGINT NOT NULL,
    "DC_STATUS" VARCHAR(255) NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);           
ALTER TABLE "PUBLIC"."FINGER_PRINTS_LOCAT_FRAGMENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_18" PRIMARY KEY("ID"); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.FINGER_PRINTS_LOCAT_FRAGMENT;             
CREATE CACHED TABLE "PUBLIC"."FINGER_PRINTS_MATCH"(
    "ID" BIGINT NOT NULL,
    "SIGNATURE_MODELS" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL,
    "SIGNATURE_ID" BIGINT NOT NULL,
    "EVALUE" DOUBLE NOT NULL,
    "GRAPHSCAN" VARCHAR(25) NOT NULL
); 
ALTER TABLE "PUBLIC"."FINGER_PRINTS_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_5" PRIMARY KEY("ID");           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.FINGER_PRINTS_MATCH;      
CREATE CACHED TABLE "PUBLIC"."GENE3D_HMMER3_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "EVALUE" DOUBLE NOT NULL,
    "HMM_BOUNDS" VARCHAR(2),
    "HMM_END" INTEGER NOT NULL,
    "HMM_START" INTEGER NOT NULL,
    "LOCATION_SCORE" DOUBLE NOT NULL,
    "SCORE" DOUBLE NOT NULL,
    "DOMAIN_BIAS" DOUBLE NOT NULL,
    "DOMAIN_CE_VALUE" DOUBLE NOT NULL,
    "DOMAIN_IE_VALUE" DOUBLE NOT NULL,
    "ENVELOPE_END" INTEGER NOT NULL,
    "ENVELOPE_START" INTEGER NOT NULL,
    "EXPECTED_ACCURACY" DOUBLE NOT NULL,
    "FULL_SEQUENCE_BIAS" DOUBLE NOT NULL,
    "SPLIT_GROUP" BINARY,
    "CATH_FAMILY_ID" VARCHAR(4000) NOT NULL,
    "CIGAR_ALIGNMENT" VARCHAR(4000) NOT NULL,
    "HIT_MODEL_NAME" VARCHAR(4000) NOT NULL,
    "REGION_COMMENT" VARCHAR(4000) NOT NULL
);               
ALTER TABLE "PUBLIC"."GENE3D_HMMER3_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_31" PRIMARY KEY("ID");      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.GENE3D_HMMER3_RAW_MATCH;  
CREATE INDEX "PUBLIC"."G3D_RW_SEQ_IDX" ON "PUBLIC"."GENE3D_HMMER3_RAW_MATCH"("SEQUENCE_ID");   
CREATE INDEX "PUBLIC"."G3D_RW_NUM_SEQ_IDX" ON "PUBLIC"."GENE3D_HMMER3_RAW_MATCH"("NUMERIC_SEQUENCE_ID");       
CREATE INDEX "PUBLIC"."G3D_RW_MODEL_IDX" ON "PUBLIC"."GENE3D_HMMER3_RAW_MATCH"("MODEL_ID");    
CREATE INDEX "PUBLIC"."G3D_RW_SIGLIB_IDX" ON "PUBLIC"."GENE3D_HMMER3_RAW_MATCH"("SIGNATURE_LIBRARY");          
CREATE INDEX "PUBLIC"."G3D_RW_SIGLIB_REL_IDX" ON "PUBLIC"."GENE3D_HMMER3_RAW_MATCH"("SIG_LIB_RELEASE");        
CREATE CACHED TABLE "PUBLIC"."GO_XREF"(
    "ID" BIGINT NOT NULL,
    "DATABASE_NAME" VARCHAR(255),
    "IDENTIFIER" VARCHAR(255) NOT NULL,
    "NAME" VARCHAR(255),
    "CATEGORY" INTEGER
); 
ALTER TABLE "PUBLIC"."GO_XREF" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_38" PRIMARY KEY("ID");      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.GO_XREF;  
CREATE INDEX "PUBLIC"."IDXOJ9LJW7TMNUF4L4GXVCDUCTJA" ON "PUBLIC"."GO_XREF"("IDENTIFIER");      
CREATE CACHED TABLE "PUBLIC"."HAMAP_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "CIGAR_ALIGNMENT" VARCHAR(4000) NOT NULL,
    "PF_SCAN_LEVEL" VARCHAR(255) NOT NULL,
    "SCORE" DOUBLE
);         
ALTER TABLE "PUBLIC"."HAMAP_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_FE" PRIMARY KEY("ID");              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HAMAP_RAW_MATCH;          
CREATE INDEX "PUBLIC"."HAMAP_RW_SEQ_IDX" ON "PUBLIC"."HAMAP_RAW_MATCH"("SEQUENCE_ID");         
CREATE INDEX "PUBLIC"."HAMAP_RW_NUM_SEQ_IDX" ON "PUBLIC"."HAMAP_RAW_MATCH"("NUMERIC_SEQUENCE_ID");             
CREATE INDEX "PUBLIC"."HAMAP_RW_MODEL_IDX" ON "PUBLIC"."HAMAP_RAW_MATCH"("MODEL_ID");          
CREATE INDEX "PUBLIC"."HAMAP_RW_SIGLIB_IDX" ON "PUBLIC"."HAMAP_RAW_MATCH"("SIGNATURE_LIBRARY");
CREATE INDEX "PUBLIC"."HAMAP_RW_SIGLIB_REL_IDX" ON "PUBLIC"."HAMAP_RAW_MATCH"("SIG_LIB_RELEASE");              
CREATE CACHED TABLE "PUBLIC"."HMMER2_LOCATION"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "MATCH_ID" BIGINT NOT NULL,
    "EVALUE" DOUBLE NOT NULL,
    "HMM_BOUNDS" VARCHAR(2) NOT NULL,
    "HMM_END" INTEGER NOT NULL,
    "HMM_LENGTH" INTEGER NOT NULL,
    "HMM_START" INTEGER NOT NULL,
    "SCORE" DOUBLE NOT NULL
);            
ALTER TABLE "PUBLIC"."HMMER2_LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_12" PRIMARY KEY("ID");              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER2_LOCATION;          
CREATE CACHED TABLE "PUBLIC"."HMMER2_LOCATION_FRAGMENT"(
    "ID" BIGINT NOT NULL,
    "DC_STATUS" VARCHAR(255) NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);               
ALTER TABLE "PUBLIC"."HMMER2_LOCATION_FRAGMENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_6" PRIMARY KEY("ID");      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER2_LOCATION_FRAGMENT; 
CREATE CACHED TABLE "PUBLIC"."HMMER2_MATCH"(
    "ID" BIGINT NOT NULL,
    "SIGNATURE_MODELS" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL,
    "SIGNATURE_ID" BIGINT NOT NULL,
    "EVALUE" DOUBLE NOT NULL,
    "SCORE" DOUBLE NOT NULL
); 
ALTER TABLE "PUBLIC"."HMMER2_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_A" PRIMARY KEY("ID");  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER2_MATCH;             
CREATE CACHED TABLE "PUBLIC"."HMMER3_LOCATION"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "MATCH_ID" BIGINT NOT NULL,
    "EVALUE" DOUBLE NOT NULL,
    "HMM_BOUNDS" VARCHAR(2) NOT NULL,
    "HMM_END" INTEGER NOT NULL,
    "HMM_LENGTH" INTEGER NOT NULL,
    "HMM_START" INTEGER NOT NULL,
    "SCORE" DOUBLE NOT NULL,
    "ENVELOPE_END" INTEGER NOT NULL,
    "ENVELOPE_START" INTEGER NOT NULL,
    "POST_PROCESSED" BOOLEAN NOT NULL
);         
ALTER TABLE "PUBLIC"."HMMER3_LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_6F" PRIMARY KEY("ID");              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER3_LOCATION;          
CREATE CACHED TABLE "PUBLIC"."HMMER3_LOCATION_FRAGMENT"(
    "ID" BIGINT NOT NULL,
    "DC_STATUS" VARCHAR(255) NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);               
ALTER TABLE "PUBLIC"."HMMER3_LOCATION_FRAGMENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_3D" PRIMARY KEY("ID");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER3_LOCATION_FRAGMENT; 
CREATE CACHED TABLE "PUBLIC"."HMMER3_LOCATION_WITH_SITES"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "MATCH_ID" BIGINT NOT NULL,
    "EVALUE" DOUBLE NOT NULL,
    "HMM_BOUNDS" VARCHAR(2) NOT NULL,
    "HMM_END" INTEGER NOT NULL,
    "HMM_LENGTH" INTEGER NOT NULL,
    "HMM_START" INTEGER NOT NULL,
    "SCORE" DOUBLE NOT NULL,
    "ENVELOPE_END" INTEGER NOT NULL,
    "ENVELOPE_START" INTEGER NOT NULL
);     
ALTER TABLE "PUBLIC"."HMMER3_LOCATION_WITH_SITES" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_B" PRIMARY KEY("ID");    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER3_LOCATION_WITH_SITES;               
CREATE CACHED TABLE "PUBLIC"."HMMER3_LOCN_FRAG_WITH_SITES"(
    "ID" BIGINT NOT NULL,
    "DC_STATUS" VARCHAR(255) NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);            
ALTER TABLE "PUBLIC"."HMMER3_LOCN_FRAG_WITH_SITES" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_57" PRIMARY KEY("ID");  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER3_LOCN_FRAG_WITH_SITES;              
CREATE CACHED TABLE "PUBLIC"."HMMER3_MATCH"(
    "ID" BIGINT NOT NULL,
    "SIGNATURE_MODELS" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL,
    "SIGNATURE_ID" BIGINT NOT NULL,
    "EVALUE" DOUBLE NOT NULL,
    "SCORE" DOUBLE NOT NULL
); 
ALTER TABLE "PUBLIC"."HMMER3_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_D" PRIMARY KEY("ID");  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER3_MATCH;             
CREATE CACHED TABLE "PUBLIC"."HMMER3_MATCH_WITH_SITES"(
    "ID" BIGINT NOT NULL,
    "SIGNATURE_MODELS" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL,
    "SIGNATURE_ID" BIGINT NOT NULL,
    "EVALUE" DOUBLE NOT NULL,
    "SCORE" DOUBLE NOT NULL,
    "SCOPE" VARCHAR(255)
);            
ALTER TABLE "PUBLIC"."HMMER3_MATCH_WITH_SITES" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_CE1" PRIMARY KEY("ID");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER3_MATCH_WITH_SITES;  
CREATE CACHED TABLE "PUBLIC"."HMMER3_SITE"(
    "ID" BIGINT NOT NULL,
    "DESCRIPTION" VARCHAR(255),
    "NUM_LOCATIONS" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL,
    "SITE_GROUP" INTEGER,
    "HMM_END" INTEGER,
    "HMM_START" INTEGER,
    "SITE_LABEL" VARCHAR(255)
);      
ALTER TABLE "PUBLIC"."HMMER3_SITE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_40D" PRIMARY KEY("ID"); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER3_SITE;              
CREATE CACHED TABLE "PUBLIC"."HMMER_SITE"(
    "ID" BIGINT NOT NULL,
    "DESCRIPTION" VARCHAR(255),
    "NUM_LOCATIONS" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);
ALTER TABLE "PUBLIC"."HMMER_SITE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_5F" PRIMARY KEY("ID");   
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER_SITE;               
CREATE CACHED TABLE "PUBLIC"."KEY_GEN"(
    "SEQUENCE_NAME" VARCHAR(255) NOT NULL,
    "NEXT_VAL" BIGINT
);    
ALTER TABLE "PUBLIC"."KEY_GEN" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_FA" PRIMARY KEY("SEQUENCE_NAME");           
-- 16 +/- SELECT COUNT(*) FROM PUBLIC.KEY_GEN; 
INSERT INTO "PUBLIC"."KEY_GEN" VALUES
('signature', 201650),
('locationFragment', 0),
('signature_library_release', 21),
('match', 0),
('step_execution', 0),
('nucleotide', 0),
('protein', 0),
('release', 1),
('location', 0),
('step_instance', 0),
('orf', 0),
('entry', 40100),
('model', 271350),
('site', 0),
('residue_location', 0),
('xref', 0);    
CREATE CACHED TABLE "PUBLIC"."MOBIDB_LOCATION"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "MATCH_ID" BIGINT NOT NULL,
    "SEQUENCE_FEATURE" VARCHAR(255)
);             
ALTER TABLE "PUBLIC"."MOBIDB_LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_96" PRIMARY KEY("ID");              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.MOBIDB_LOCATION;          
CREATE CACHED TABLE "PUBLIC"."MOBIDB_LOCATION_FRAGMENT"(
    "ID" BIGINT NOT NULL,
    "DC_STATUS" VARCHAR(255) NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);               
ALTER TABLE "PUBLIC"."MOBIDB_LOCATION_FRAGMENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_8" PRIMARY KEY("ID");      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.MOBIDB_LOCATION_FRAGMENT; 
CREATE CACHED TABLE "PUBLIC"."MOBIDB_MATCH"(
    "ID" BIGINT NOT NULL,
    "SIGNATURE_MODELS" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL,
    "SIGNATURE_ID" BIGINT NOT NULL
);            
ALTER TABLE "PUBLIC"."MOBIDB_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_67" PRIMARY KEY("ID"); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.MOBIDB_MATCH;             
CREATE CACHED TABLE "PUBLIC"."MOBIDB_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "DESCRIPTION" VARCHAR(255)
);     
ALTER TABLE "PUBLIC"."MOBIDB_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_66" PRIMARY KEY("ID");             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.MOBIDB_RAW_MATCH;         
CREATE INDEX "PUBLIC"."MOBIDB_RW_SEQ_IDX" ON "PUBLIC"."MOBIDB_RAW_MATCH"("SEQUENCE_ID");       
CREATE INDEX "PUBLIC"."MOBIDB_RW_NUM_SEQ_IDX" ON "PUBLIC"."MOBIDB_RAW_MATCH"("NUMERIC_SEQUENCE_ID");           
CREATE INDEX "PUBLIC"."MOBIDB_RW_MODEL_IDX" ON "PUBLIC"."MOBIDB_RAW_MATCH"("MODEL_ID");        
CREATE INDEX "PUBLIC"."MOBIDB_RW_SIGLIB_IDX" ON "PUBLIC"."MOBIDB_RAW_MATCH"("SIGNATURE_LIBRARY");              
CREATE INDEX "PUBLIC"."MOBIDB_RW_SIGLIB_REL_IDX" ON "PUBLIC"."MOBIDB_RAW_MATCH"("SIG_LIB_RELEASE");            
CREATE CACHED TABLE "PUBLIC"."MODEL"(
    "ID" BIGINT NOT NULL SELECTIVITY 100,
    "ACCESSION" VARCHAR(255) NOT NULL SELECTIVITY 100,
    "DEFINITION_FIRST_CHUNK" VARCHAR(4000) SELECTIVITY 1,
    "DESCRIPTION_FIRST_CHUNK" VARCHAR(4000) SELECTIVITY 99,
    "MODEL_LENGTH" INTEGER SELECTIVITY 1,
    "MD5" VARCHAR(255) SELECTIVITY 1,
    "MODEL_NAME" VARCHAR(4000) SELECTIVITY 99,
    "SIGNATURE_ID" BIGINT SELECTIVITY 100
);       
ALTER TABLE "PUBLIC"."MODEL" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_46" PRIMARY KEY("ID");        
-- 271294 +/- SELECT COUNT(*) FROM PUBLIC.MODEL;               
INSERT INTO "PUBLIC"."MODEL" VALUES
(1, 'cd05108', NULL, 'PTKc_EGFR', NULL, NULL, 'PTKc_EGFR', 1),
(2, 'cd09908', NULL, 'H3TH_EXO1', NULL, NULL, 'H3TH_EXO1', 2),
(3, 'cd01098', NULL, 'PAN_AP_plant', NULL, NULL, 'PAN_AP_plant', 3),
(4, 'cd19194', NULL, 'PR-SET_PRDM10', NULL, NULL, 'PR-SET_PRDM10', 4),
(5, 'cd12077', NULL, 'SH3_Tks5_2', NULL, NULL, 'SH3_Tks5_2', 5),
(6, 'cd12570', NULL, 'RRM5_MRD1', NULL, NULL, 'RRM5_MRD1', 6),
(7, 'cd07989', NULL, 'LPLAT_AGPAT-like', NULL, NULL, 'LPLAT_AGPAT-like', 7),
(8, 'cd08638', NULL, 'DNA_pol_A_theta', NULL, NULL, 'DNA_pol_A_theta', 8),
(9, 'cd04332', NULL, 'YbaK_like', NULL, NULL, 'YbaK_like', 9),
(10, 'cd14347', NULL, 'UBA_Cezanne_like', NULL, NULL, 'UBA_Cezanne_like', 10),
(11, 'cd05385', NULL, 'CAP_GLIPR1-like', NULL, NULL, 'CAP_GLIPR1-like', 11),
(12, 'cd04220', NULL, 'Halocyanin', NULL, NULL, 'Halocyanin', 12),
(13, 'cd17157', NULL, 'DCX2_DCDC5', NULL, NULL, 'DCX2_DCDC5', 13),
(14, 'cd11371', NULL, 'RNase_PH_MTR3', NULL, NULL, 'RNase_PH_MTR3', 14),
(15, 'cd11485', NULL, 'SLC-NCS1sbd_YbbW-like', NULL, NULL, 'SLC-NCS1sbd_YbbW-like', 15),
(16, 'cd09079', NULL, 'RgfB-like', NULL, NULL, 'RgfB-like', 16),
(17, 'cd14060', NULL, 'STKc_MLTK', NULL, NULL, 'STKc_MLTK', 17),
(18, 'cd12270', NULL, 'RRM_MTHFSD', NULL, NULL, 'RRM_MTHFSD', 18),
(19, 'cd11235', NULL, 'Sema_semaphorin', NULL, NULL, 'Sema_semaphorin', 19),
(20, 'cd11899', NULL, 'SH3_Nck2_1', NULL, NULL, 'SH3_Nck2_1', 20),
(21, 'cd07290', NULL, 'PX_PI3K_C2_beta', NULL, NULL, 'PX_PI3K_C2_beta', 21),
(22, 'cd14279', NULL, 'CUE', NULL, NULL, 'CUE', 22),
(23, 'cd04739', NULL, 'DHOD_like', NULL, NULL, 'DHOD_like', 23),
(24, 'cd09998', NULL, 'HDAC_Hos3', NULL, NULL, 'HDAC_Hos3', 24),
(25, 'cd01071', NULL, 'PBP2_PhnD_like', NULL, NULL, 'PBP2_PhnD_like', 25),
(26, 'cd09544', NULL, 'SAM_EPH-A3', NULL, NULL, 'SAM_EPH-A3', 26),
(27, 'cd12013', NULL, 'SH3_RIM-BP_3', NULL, NULL, 'SH3_RIM-BP_3', 27),
(28, 'cd13542', NULL, 'PBP2_FutA1_ilke', NULL, NULL, 'PBP2_FutA1_ilke', 28),
(29, 'cd08816', NULL, 'CARD_RIG-I_r1', NULL, NULL, 'CARD_RIG-I_r1', 29),
(30, 'cd07345', NULL, 'M48A_Ste24p-like', NULL, NULL, 'M48A_Ste24p-like', 30),
(31, 'cd12775', NULL, 'RRM2_HuB', NULL, NULL, 'RRM2_HuB', 31),
(32, 'cd14561', NULL, 'PTP_tensin-3', NULL, NULL, 'PTP_tensin-3', 32),
(33, 'cd05007', NULL, 'SIS_Etherase', NULL, NULL, 'SIS_Etherase', 33),
(34, 'cd09516', NULL, 'SAM_sec23ip-like', NULL, NULL, 'SAM_sec23ip-like', 34),
(35, 'cd13233', NULL, 'PH_ARHGAP9-like', NULL, NULL, 'PH_ARHGAP9-like', 35),
(36, 'cd13131', NULL, 'MATE_NorM_like', NULL, NULL, 'MATE_NorM_like', 36),
(37, 'cd09491', NULL, 'SAM_Ship2', NULL, NULL, 'SAM_Ship2', 37),
(38, 'cd15328', NULL, '7tmA_5-HT5', NULL, NULL, '7tmA_5-HT5', 38),
(39, 'cd00895', NULL, 'PI3Kc_C2_beta', NULL, NULL, 'PI3Kc_C2_beta', 39),
(40, 'cd05141', NULL, 'Barstar_evA4336-like', NULL, NULL, 'Barstar_evA4336-like', 40),
(41, 'cd13875', NULL, 'CuRO_2_LCC_plant', NULL, NULL, 'CuRO_2_LCC_plant', 41),
(42, 'cd16518', NULL, 'RING-HC_MEX3', NULL, NULL, 'RING-HC_MEX3', 42),
(43, 'cd04517', NULL, 'TLF', NULL, NULL, 'TLF', 43),
(44, 'cd02603', NULL, 'HAD_sEH-N_like', NULL, NULL, 'HAD_sEH-N_like', 44),
(45, 'cd04059', NULL, 'Peptidases_S8_Protein_convertases_Kexins_Furin...', NULL, NULL, 'Peptidases_S8_Protein_convertases_Kexins_Furin-like', 45),
(46, 'cd17504', NULL, 'MFS_MMR_MDR_like', NULL, NULL, 'MFS_MMR_MDR_like', 46),
(47, 'cd02980', NULL, 'TRX_Fd_family', NULL, NULL, 'TRX_Fd_family', 47),
(48, 'cd10318', NULL, 'RGL11', NULL, NULL, 'RGL11', 48),
(49, 'cd17066', NULL, 'Ubl_KPC2', NULL, NULL, 'Ubl_KPC2', 49),
(50, 'cd12193', NULL, 'bZIP_GCN4', NULL, NULL, 'bZIP_GCN4', 50),
(51, 'cd17427', NULL, 'MFS_MCT2', NULL, NULL, 'MFS_MCT2', 51),
(52, 'cd18232', NULL, 'BTB_POZ_ZBTB48_TZAP_KR3', NULL, NULL, 'BTB_POZ_ZBTB48_TZAP_KR3', 52),
(53, 'cd00447', NULL, 'NusB_Sun', NULL, NULL, 'NusB_Sun', 53),
(54, 'cd14159', NULL, 'STKc_IRAK1', NULL, NULL, 'STKc_IRAK1', 54),
(55, 'cd06217', NULL, 'FNR_iron_sulfur_binding_3', NULL, NULL, 'FNR_iron_sulfur_binding_3', 55),
(56, 'cd09074', NULL, 'INPP5c', NULL, NULL, 'INPP5c', 56),
(57, 'cd16608', NULL, 'RING-HC_TRIM62_C-IV', NULL, NULL, 'RING-HC_TRIM62_C-IV', 57);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(58, 'cd21646', NULL, 'CoV_Nsp5_Mpro', NULL, NULL, 'CoV_Nsp5_Mpro', 58),
(59, 'cd16105', NULL, 'Ubl_ASPSCR1_like', NULL, NULL, 'Ubl_ASPSCR1_like', 59),
(60, 'cd16402', NULL, 'ParB_N_like_MT', NULL, NULL, 'ParB_N_like_MT', 60),
(61, 'cd19197', NULL, 'PR-SET_PRDM13', NULL, NULL, 'PR-SET_PRDM13', 61),
(62, 'cd03166', NULL, 'CD63_LEL', NULL, NULL, 'CD63_LEL', 62),
(63, 'cd16208', NULL, 'EFh_PI-PLCbeta1', NULL, NULL, 'EFh_PI-PLCbeta1', 63),
(64, 'cd14255', NULL, 'Dockerin_III', NULL, NULL, 'Dockerin_III', 64),
(65, 'cd17637', NULL, 'ACLS-CaiC', NULL, NULL, 'ACLS-CaiC', 65),
(66, 'cd08446', NULL, 'PBP2_Chlorocatechol', NULL, NULL, 'PBP2_Chlorocatechol', 66),
(67, 'cd08958', NULL, 'FR_SDR_e', NULL, NULL, 'FR_SDR_e', 67),
(68, 'cd11863', NULL, 'SH3_CACNB', NULL, NULL, 'SH3_CACNB', 68),
(69, 'cd15858', NULL, 'SNARE_VAM7', NULL, NULL, 'SNARE_VAM7', 69),
(70, 'cd12410', NULL, 'RRM2_RRT5', NULL, NULL, 'RRM2_RRT5', 70),
(71, 'cd12204', NULL, 'CBD_like', NULL, NULL, 'CBD_like', 71),
(72, 'cd17520', NULL, 'RMtype1_S_HmoORF3075P-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_HmoORF3075P-TRD1-CR1_like', 72),
(73, 'cd05142', NULL, 'Barstar', NULL, NULL, 'Barstar', 73),
(74, 'cd03779', NULL, 'MATH_TRAF1', NULL, NULL, 'MATH_TRAF1', 74),
(75, 'cd01595', NULL, 'Adenylsuccinate_lyase_like', NULL, NULL, 'Adenylsuccinate_lyase_like', 75),
(76, 'cd05199', NULL, 'SDH_like', NULL, NULL, 'SDH_like', 76),
(77, 'cd12408', NULL, 'RRM_eIF3G_like', NULL, NULL, 'RRM_eIF3G_like', 77),
(78, 'cd06066', NULL, 'H2MP_NAD-link-bidir', NULL, NULL, 'H2MP_NAD-link-bidir', 78),
(79, 'cd06442', NULL, 'DPM1_like', NULL, NULL, 'DPM1_like', 79),
(80, 'cd09167', NULL, 'PLDc_EcPPK1_C2_like', NULL, NULL, 'PLDc_EcPPK1_C2_like', 80),
(81, 'cd05498', NULL, 'Bromo_Brdt_II_like', NULL, NULL, 'Bromo_Brdt_II_like', 81),
(82, 'cd06253', NULL, 'M14_ASTE_ASPA-like', NULL, NULL, 'M14_ASTE_ASPA-like', 82),
(83, 'cd16415', NULL, 'HAD_dREG-2_like', NULL, NULL, 'HAD_dREG-2_like', 83),
(84, 'cd08824', NULL, 'LOTUS', NULL, NULL, 'LOTUS', 84),
(85, 'cd13548', NULL, 'PBP2_AEPn_like', NULL, NULL, 'PBP2_AEPn_like', 85),
(86, 'cd07729', NULL, 'AHL_lactonase_MBL-fold', NULL, NULL, 'AHL_lactonase_MBL-fold', 86),
(87, 'cd15752', NULL, 'FYVE_SlaC2-a', NULL, NULL, 'FYVE_SlaC2-a', 87),
(88, 'cd00562', NULL, 'NifX_NifB', NULL, NULL, 'NifX_NifB', 88),
(89, 'cd14657', NULL, 'Imelysin_IrpA-like', NULL, NULL, 'Imelysin_IrpA-like', 89),
(90, 'cd16316', NULL, 'BlaB-like_MBL-B1', NULL, NULL, 'BlaB-like_MBL-B1', 90),
(91, 'cd18306', NULL, 'BTB_POZ_NS1BP', NULL, NULL, 'BTB_POZ_NS1BP', 91),
(92, 'cd08763', NULL, 'Cyt_b561_CYB561', NULL, NULL, 'Cyt_b561_CYB561', 92),
(93, 'cd09148', NULL, 'PLDc_vPLD4_2', NULL, NULL, 'PLDc_vPLD4_2', 93),
(94, 'cd05832', NULL, 'Ribosomal_L12p', NULL, NULL, 'Ribosomal_L12p', 94),
(95, 'cd13688', NULL, 'PBP2_GltI_DEBP', NULL, NULL, 'PBP2_GltI_DEBP', 95),
(96, 'cd03872', NULL, 'M14_CPA6', NULL, NULL, 'M14_CPA6', 96),
(97, 'cd16983', NULL, 'CID_SCAF8_like', NULL, NULL, 'CID_SCAF8_like', 97),
(98, 'cd00325', NULL, 'chitinase_GH19', NULL, NULL, 'chitinase_GH19', 98),
(99, 'cd10459', NULL, 'PUB_PNGase', NULL, NULL, 'PUB_PNGase', 99),
(100, 'cd14959', NULL, 'NHL_brat_like', NULL, NULL, 'NHL_brat_like', 100),
(101, 'cd13311', NULL, 'PH_Slm1', NULL, NULL, 'PH_Slm1', 101),
(102, 'cd00180', NULL, 'PKc', NULL, NULL, 'PKc', 102),
(103, 'cd00218', NULL, 'GlcAT-I', NULL, NULL, 'GlcAT-I', 103),
(104, 'cd00578', NULL, 'L-fuc_L-ara-isomerases', NULL, NULL, 'L-fuc_L-ara-isomerases', 104),
(105, 'cd07901', NULL, 'Adenylation_DNA_ligase_Arch_LigB', NULL, NULL, 'Adenylation_DNA_ligase_Arch_LigB', 105),
(106, 'cd19471', NULL, 'FABP9', NULL, NULL, 'FABP9', 106),
(107, 'cd01638', NULL, 'CysQ', NULL, NULL, 'CysQ', 107),
(108, 'cd04584', NULL, 'CBS_pair_AcuB_like', NULL, NULL, 'CBS_pair_AcuB_like', 108),
(109, 'cd13983', NULL, 'STKc_WNK', NULL, NULL, 'STKc_WNK', 109),
(110, 'cd16628', NULL, 'RING-HC_RBR_RNF14', NULL, NULL, 'RING-HC_RBR_RNF14', 110),
(111, 'cd14372', NULL, 'CUE_Cue5p_like', NULL, NULL, 'CUE_Cue5p_like', 111),
(112, 'cd14778', NULL, 'VtHb-like_SDgb', NULL, NULL, 'VtHb-like_SDgb', 112);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(113, 'cd20244', NULL, 'Toddler', NULL, NULL, 'Toddler', 113),
(114, 'cd19451', NULL, 'lipocalin_AGP-like', NULL, NULL, 'lipocalin_AGP-like', 114),
(115, 'cd15381', NULL, '7tmA_BK-2', NULL, NULL, '7tmA_BK-2', 115),
(116, 'cd00052', NULL, 'EH', NULL, NULL, 'EH', 116),
(117, 'cd19881', NULL, 'DSRM_STAU1_rpt2', NULL, NULL, 'DSRM_STAU1_rpt2', 117),
(118, 'cd10560', NULL, 'FDH-O_like', NULL, NULL, 'FDH-O_like', 118),
(119, 'cd09541', NULL, 'SAM_KIF24-like', NULL, NULL, 'SAM_KIF24-like', 119),
(120, 'cd06364', NULL, 'PBP1_CaSR', NULL, NULL, 'PBP1_CaSR', 120),
(121, 'cd21478', NULL, 'HKU1-like_CoV_Spike_S1_RBD', NULL, NULL, 'HKU1-like_CoV_Spike_S1_RBD', 121),
(122, 'cd21643', NULL, 'ORF8-Ig_bat_SARS-CoV_HKU3-1_type-III-like', NULL, NULL, 'ORF8-Ig_bat_SARS-CoV_HKU3-1_type-III-like', 122),
(123, 'cd06889', NULL, 'PX_NoxO1', NULL, NULL, 'PX_NoxO1', 123),
(124, 'cd08278', NULL, 'benzyl_alcohol_DH', NULL, NULL, 'benzyl_alcohol_DH', 124),
(125, 'cd07519', NULL, 'HAD_PTase', NULL, NULL, 'HAD_PTase', 125),
(126, 'cd14052', NULL, 'PTKc_Wee1_fungi', NULL, NULL, 'PTKc_Wee1_fungi', 126),
(127, 'cd16367', NULL, 'DMSOR_beta_like', NULL, NULL, 'DMSOR_beta_like', 127),
(128, 'cd17075', NULL, 'UBX1_UBXN9', NULL, NULL, 'UBX1_UBXN9', 128),
(129, 'cd19745', NULL, 'bHLH_TS_ASCL3', NULL, NULL, 'bHLH_TS_ASCL3', 129),
(130, 'cd05337', NULL, 'BKR_1_SDR_c', NULL, NULL, 'BKR_1_SDR_c', 130),
(131, 'cd13991', NULL, 'STKc_NIK', NULL, NULL, 'STKc_NIK', 131),
(132, 'cd09427', NULL, 'LIM2_FHL3', NULL, NULL, 'LIM2_FHL3', 132),
(133, 'cd07500', NULL, 'HAD_PSP', NULL, NULL, 'HAD_PSP', 133),
(134, 'cd15052', NULL, '7tmA_5-HT2', NULL, NULL, '7tmA_5-HT2', 134),
(135, 'cd08676', NULL, 'C2A_Munc13-like', NULL, NULL, 'C2A_Munc13-like', 135),
(136, 'cd06530', NULL, 'S26_SPase_I', NULL, NULL, 'S26_SPase_I', 136),
(137, 'cd11380', NULL, 'Ribosomal_S8e_like', NULL, NULL, 'Ribosomal_S8e_like', 137),
(138, 'cd19688', NULL, 'bHLHzip_MLXIP', NULL, NULL, 'bHLHzip_MLXIP', 138),
(139, 'cd07982', NULL, 'TAF10', NULL, NULL, 'TAF10', 139),
(140, 'cd19728', NULL, 'bHLH-PAS_HIF2a_PASD2', NULL, NULL, 'bHLH-PAS_HIF2a_PASD2', 140),
(141, 'cd00181', NULL, 'Tar_Tsr_LBD', NULL, NULL, 'Tar_Tsr_LBD', 141),
(142, 'cd12342', NULL, 'RRM_Nab3p', NULL, NULL, 'RRM_Nab3p', 142),
(143, 'cd07485', NULL, 'Peptidases_S8_Fervidolysin_like', NULL, NULL, 'Peptidases_S8_Fervidolysin_like', 143),
(144, 'cd19761', NULL, 'Bbox2_TRIM5-like', NULL, NULL, 'Bbox2_TRIM5-like', 144),
(145, 'cd07820', NULL, 'SRPBCC_3', NULL, NULL, 'SRPBCC_3', 145),
(146, 'cd09191', NULL, 'PLDc_DNaseII_alpha_2', NULL, NULL, 'PLDc_DNaseII_alpha_2', 146),
(147, 'cd00331', NULL, 'IGPS', NULL, NULL, 'IGPS', 147),
(148, 'cd02682', NULL, 'MIT_AAA_Arch', NULL, NULL, 'MIT_AAA_Arch', 148),
(149, 'cd09432', NULL, 'LIM6_LIMPETin', NULL, NULL, 'LIM6_LIMPETin', 149),
(150, 'cd08818', NULL, 'CARD_MDA5_r1', NULL, NULL, 'CARD_MDA5_r1', 150),
(151, 'cd13642', NULL, 'PBP2_BCP_1', NULL, NULL, 'PBP2_BCP_1', 151),
(152, 'cd18410', NULL, 'BTB_POZ_Shaker-like', NULL, NULL, 'BTB_POZ_Shaker-like', 152),
(153, 'cd20256', NULL, 'Stannin_family', NULL, NULL, 'Stannin_family', 153),
(154, 'cd06082', NULL, 'KOW_Spt5_2', NULL, NULL, 'KOW_Spt5_2', 154),
(155, 'cd18186', NULL, 'BTB_POZ_ZBTB_KLHL-like', NULL, NULL, 'BTB_POZ_ZBTB_KLHL-like', 155),
(156, 'cd14632', NULL, 'R-PTPc-U-1', NULL, NULL, 'R-PTPc-U-1', 156),
(157, 'cd00038', NULL, 'CAP_ED', NULL, NULL, 'CAP_ED', 157),
(158, 'cd02699', NULL, 'M4_M36', NULL, NULL, 'M4_M36', 158),
(159, 'cd00201', NULL, 'WW', NULL, NULL, 'WW', 159),
(160, 'cd01513', NULL, 'Translation_factor_III', NULL, NULL, 'Translation_factor_III', 160),
(161, 'cd18092', NULL, 'SpoU-like_TrmH', NULL, NULL, 'SpoU-like_TrmH', 161),
(162, 'cd03149', NULL, 'alpha_CA_VII', NULL, NULL, 'alpha_CA_VII', 162),
(163, 'cd02185', NULL, 'AroH', NULL, NULL, 'AroH', 163),
(164, 'cd04120', NULL, 'Rab12', NULL, NULL, 'Rab12', 164),
(165, 'cd12647', NULL, 'RRM_UHM_SPF45', NULL, NULL, 'RRM_UHM_SPF45', 165),
(166, 'cd02511', NULL, 'Beta4Glucosyltransferase', NULL, NULL, 'Beta4Glucosyltransferase', 166),
(167, 'cd18180', NULL, 'ATP-synt_Vo_Ao_c_NTPK_rpt2', NULL, NULL, 'ATP-synt_Vo_Ao_c_NTPK_rpt2', 167);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(168, 'cd17710', NULL, 'BRCT_PAXIP1_rpt2', NULL, NULL, 'BRCT_PAXIP1_rpt2', 168),
(169, 'cd08024', NULL, 'GH16_CCF', NULL, NULL, 'GH16_CCF', 169),
(170, 'cd18448', NULL, 'BACK_KLHL8', NULL, NULL, 'BACK_KLHL8', 170),
(171, 'cd00502', NULL, 'DHQase_I', NULL, NULL, 'DHQase_I', 171),
(172, 'cd00836', NULL, 'FERM_C-lobe', NULL, NULL, 'FERM_C-lobe', 172),
(173, 'cd14117', NULL, 'STKc_Aurora-B_like', NULL, NULL, 'STKc_Aurora-B_like', 173),
(174, 'cd12786', NULL, 'RRM2_hnRPLL', NULL, NULL, 'RRM2_hnRPLL', 174),
(175, 'cd07852', NULL, 'STKc_MAPK15-like', NULL, NULL, 'STKc_MAPK15-like', 175),
(176, 'cd14252', NULL, 'Dockerin_like', NULL, NULL, 'Dockerin_like', 176),
(177, 'cd19122', NULL, 'AKR_AKR3E1', NULL, NULL, 'AKR_AKR3E1', 177),
(178, 'cd15243', NULL, '7tm_Halorhodopsin', NULL, NULL, '7tm_Halorhodopsin', 178),
(179, 'cd18208', NULL, 'BTB_POZ_ZBTB20_DPZF', NULL, NULL, 'BTB_POZ_ZBTB20_DPZF', 179),
(180, 'cd08420', NULL, 'PBP2_CysL_like', NULL, NULL, 'PBP2_CysL_like', 180),
(181, 'cd05972', NULL, 'MACS_like', NULL, NULL, 'MACS_like', 181),
(182, 'cd11701', NULL, 'DHR2_DOCK8', NULL, NULL, 'DHR2_DOCK8', 182),
(183, 'cd05783', NULL, 'DNA_polB_B1_exo', NULL, NULL, 'DNA_polB_B1_exo', 183),
(184, 'cd19054', NULL, 'LGIC_TM_GABAAR_gamma', NULL, NULL, 'LGIC_TM_GABAAR_gamma', 184),
(185, 'cd14149', NULL, 'STKc_C-Raf', NULL, NULL, 'STKc_C-Raf', 185),
(186, 'cd16474', NULL, 'RING-H2_RNF111_like', NULL, NULL, 'RING-H2_RNF111_like', 186),
(187, 'cd02417', NULL, 'Peptidase_C39_likeA', NULL, NULL, 'Peptidase_C39_likeA', 187),
(188, 'cd09132', NULL, 'PLDc_unchar4', NULL, NULL, 'PLDc_unchar4', 188),
(189, 'cd07804', NULL, 'FGGY_XK_like_1', NULL, NULL, 'FGGY_XK_like_1', 189),
(190, 'cd11931', NULL, 'SH3_SH3RF3_2', NULL, NULL, 'SH3_SH3RF3_2', 190),
(191, 'cd17119', NULL, 'Ubl_HERP2', NULL, NULL, 'Ubl_HERP2', 191),
(192, 'cd14124', NULL, 'PK_VRK3', NULL, NULL, 'PK_VRK3', 192),
(193, 'cd07957', NULL, 'Anticodon_Ia_Met', NULL, NULL, 'Anticodon_Ia_Met', 193),
(194, 'cd00233', NULL, 'VIP2', NULL, NULL, 'VIP2', 194),
(195, 'cd18983', NULL, 'CBD_MSL3_like', NULL, NULL, 'CBD_MSL3_like', 195),
(196, 'cd13151', NULL, 'DAXX_helical_bundle', NULL, NULL, 'DAXX_helical_bundle', 196),
(197, 'cd18755', NULL, 'PIN_MtVapC3_VapC21-like', NULL, NULL, 'PIN_MtVapC3_VapC21-like', 197),
(198, 'cd07666', NULL, 'BAR_SNX7', NULL, NULL, 'BAR_SNX7', 198),
(199, 'cd06468', NULL, 'p23_CacyBP', NULL, NULL, 'p23_CacyBP', 199),
(200, 'cd14473', NULL, 'FERM_B-lobe', NULL, NULL, 'FERM_B-lobe', 200),
(201, 'cd01681', NULL, 'aeEF2_snRNP_like_IV', NULL, NULL, 'aeEF2_snRNP_like_IV', 201),
(202, 'cd06407', NULL, 'PB1_NLP', NULL, NULL, 'PB1_NLP', 202),
(203, 'cd01641', NULL, 'Bacterial_IMPase_like_1', NULL, NULL, 'Bacterial_IMPase_like_1', 203),
(204, 'cd15233', NULL, '7tmA_OR3A-like', NULL, NULL, '7tmA_OR3A-like', 204),
(205, 'cd20301', NULL, 'cupin_ChrR', NULL, NULL, 'cupin_ChrR', 205),
(206, 'cd12955', NULL, 'SKA2', NULL, NULL, 'SKA2', 206),
(207, 'cd16176', NULL, 'EFh_HEF_CB', NULL, NULL, 'EFh_HEF_CB', 207),
(208, 'cd07367', NULL, 'CarBb', NULL, NULL, 'CarBb', 208),
(209, 'cd15901', NULL, 'EFh_DMD_DYTN_DTN', NULL, NULL, 'EFh_DMD_DYTN_DTN', 209),
(210, 'cd11375', NULL, 'Peptidase_M54', NULL, NULL, 'Peptidase_M54', 210),
(211, 'cd15064', NULL, '7tmA_5-HT1_5_7', NULL, NULL, '7tmA_5-HT1_5_7', 211),
(212, 'cd05502', NULL, 'Bromo_tif1_like', NULL, NULL, 'Bromo_tif1_like', 212),
(213, 'cd00561', NULL, 'CobA_CobO_BtuR', NULL, NULL, 'CobA_CobO_BtuR', 213),
(214, 'cd08561', NULL, 'GDPD_cytoplasmic_ScUgpQ2_like', NULL, NULL, 'GDPD_cytoplasmic_ScUgpQ2_like', 214),
(215, 'cd10579', NULL, 'TNFRSF6', NULL, NULL, 'TNFRSF6', 215),
(216, 'cd14937', NULL, 'MYSc_Myo24A', NULL, NULL, 'MYSc_Myo24A', 216),
(217, 'cd11801', NULL, 'SH3_JIP1_like', NULL, NULL, 'SH3_JIP1_like', 217),
(218, 'cd18091', NULL, 'SpoU-like_TRM3-like', NULL, NULL, 'SpoU-like_TRM3-like', 218),
(219, 'cd19976', NULL, 'PBP1_DegA_Like', NULL, NULL, 'PBP1_DegA_Like', 219),
(220, 'cd07455', NULL, 'CRD_Collagen_XVIII', NULL, NULL, 'CRD_Collagen_XVIII', 220),
(221, 'cd08919', NULL, 'PBP-like', NULL, NULL, 'PBP-like', 221);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(222, 'cd00029', NULL, 'C1', NULL, NULL, 'C1', 222),
(223, 'cd05841', NULL, 'BS69_related', NULL, NULL, 'BS69_related', 223),
(224, 'cd17355', NULL, 'MFS_YcxA_like', NULL, NULL, 'MFS_YcxA_like', 224),
(225, 'cd16598', NULL, 'RING-HC_TRIM26_C-IV', NULL, NULL, 'RING-HC_TRIM26_C-IV', 225),
(226, 'cd05904', NULL, '4CL', NULL, NULL, '4CL', 226),
(227, 'cd02772', NULL, 'MopB_NDH-1_NuoG2', NULL, NULL, 'MopB_NDH-1_NuoG2', 227),
(228, 'cd16807', NULL, 'RING_CH-C4HC3_MARCH8', NULL, NULL, 'RING_CH-C4HC3_MARCH8', 228),
(229, 'cd08064', NULL, 'MPN_eIF3f', NULL, NULL, 'MPN_eIF3f', 229),
(230, 'cd06457', NULL, 'M3A_MIP', NULL, NULL, 'M3A_MIP', 230),
(231, 'cd06944', NULL, 'NR_LBD_Ftz-F1_like', NULL, NULL, 'NR_LBD_Ftz-F1_like', 231),
(232, 'cd03520', NULL, 'Link_domain_CSPGs_modules_2_4', NULL, NULL, 'Link_domain_CSPGs_modules_2_4', 232),
(233, 'cd12718', NULL, 'RRM_BRAP2', NULL, NULL, 'RRM_BRAP2', 233),
(234, 'cd02856', NULL, 'E_set_GDE_Isoamylase_N', NULL, NULL, 'E_set_GDE_Isoamylase_N', 234),
(235, 'cd07050', NULL, 'BMC_EutL_repeat2', NULL, NULL, 'BMC_EutL_repeat2', 235),
(236, 'cd18815', NULL, 'CAP_R3HDML', NULL, NULL, 'CAP_R3HDML', 236),
(237, 'cd03591', NULL, 'CLECT_collectin_like', NULL, NULL, 'CLECT_collectin_like', 237),
(238, 'cd08230', NULL, 'glucose_DH', NULL, NULL, 'glucose_DH', 238),
(239, 'cd10413', NULL, 'SH2_Grb7', NULL, NULL, 'SH2_Grb7', 239),
(240, 'cd01278', NULL, 'aprataxin_related', NULL, NULL, 'aprataxin_related', 240),
(241, 'cd03603', NULL, 'CLECT_VCBS', NULL, NULL, 'CLECT_VCBS', 241),
(242, 'cd05010', NULL, 'SIS_AgaS_like', NULL, NULL, 'SIS_AgaS_like', 242),
(243, 'cd06085', NULL, 'KOW_Spt5_5', NULL, NULL, 'KOW_Spt5_5', 243),
(244, 'cd11999', NULL, 'SH3_PACSIN_like', NULL, NULL, 'SH3_PACSIN_like', 244),
(245, 'cd12616', NULL, 'RRM1_TIAR', NULL, NULL, 'RRM1_TIAR', 245),
(246, 'cd09389', NULL, 'LIM2_LMO1_LMO3', NULL, NULL, 'LIM2_LMO1_LMO3', 246),
(247, 'cd06460', NULL, 'M32_Taq', NULL, NULL, 'M32_Taq', 247),
(248, 'cd15185', NULL, '7tmA_CCR3', NULL, NULL, '7tmA_CCR3', 248),
(249, 'cd03314', NULL, 'MAL', NULL, NULL, 'MAL', 249),
(250, 'cd07612', NULL, 'BAR_Bin2', NULL, NULL, 'BAR_Bin2', 250),
(251, 'cd16516', NULL, 'RING-HC_malin', NULL, NULL, 'RING-HC_malin', 251),
(252, 'cd14864', NULL, 'Fe-ADH-like', NULL, NULL, 'Fe-ADH-like', 252),
(253, 'cd18248', NULL, 'BTB_POZ_KLHL19_KEAP1', NULL, NULL, 'BTB_POZ_KLHL19_KEAP1', 253),
(254, 'cd07342', NULL, 'M48C_Oma1_like', NULL, NULL, 'M48C_Oma1_like', 254),
(255, 'cd00313', NULL, 'ATP-synt_Fo_Vo_Ao_c', NULL, NULL, 'ATP-synt_Fo_Vo_Ao_c', 255),
(256, 'cd14119', NULL, 'STKc_LKB1', NULL, NULL, 'STKc_LKB1', 256),
(257, 'cd16556', NULL, 'RING-HC_RNF183_like', NULL, NULL, 'RING-HC_RNF183_like', 257),
(258, 'cd04327', NULL, 'ZnMc_MMP_like_3', NULL, NULL, 'ZnMc_MMP_like_3', 258),
(259, 'cd15822', NULL, 'SPRY_PRY_TRIM5', NULL, NULL, 'SPRY_PRY_TRIM5', 259),
(260, 'cd10349', NULL, 'SH2_SH2D2A_SH2D7', NULL, NULL, 'SH2_SH2D2A_SH2D7', 260),
(261, 'cd03052', NULL, 'GST_N_GDAP1', NULL, NULL, 'GST_N_GDAP1', 261),
(262, 'cd15032', NULL, '7tmF_FZD6', NULL, NULL, '7tmF_FZD6', 262),
(263, 'cd18021', NULL, 'DEXHc_Brr2_2', NULL, NULL, 'DEXHc_Brr2_2', 263),
(264, 'cd00107', NULL, 'Knot1', NULL, NULL, 'Knot1', 264),
(265, 'cd08902', NULL, 'START_STARD4-like', NULL, NULL, 'START_STARD4-like', 265),
(266, 'cd06828', NULL, 'PLPDE_III_DapDC', NULL, NULL, 'PLPDE_III_DapDC', 266),
(267, 'cd18315', NULL, 'BTB_POZ_BAB-like', NULL, NULL, 'BTB_POZ_BAB-like', 267),
(268, 'cd03119', NULL, 'alpha_CA_I_II_III_XIII', NULL, NULL, 'alpha_CA_I_II_III_XIII', 268),
(269, 'cd16586', NULL, 'RING-HC_TRIM2_like_C-VII', NULL, NULL, 'RING-HC_TRIM2_like_C-VII', 269),
(270, 'cd04906', NULL, 'ACT_ThrD-I_1', NULL, NULL, 'ACT_ThrD-I_1', 270),
(271, 'cd19708', NULL, 'bHLH_TS_dHLH3B_like', NULL, NULL, 'bHLH_TS_dHLH3B_like', 271),
(272, 'cd20285', NULL, 'cupin_7S_11S_C', NULL, NULL, 'cupin_7S_11S_C', 272),
(273, 'cd09689', NULL, 'Cas7_I-C', NULL, NULL, 'Cas7_I-C', 273),
(274, 'cd14307', NULL, 'UBA_RUP1p', NULL, NULL, 'UBA_RUP1p', 274),
(275, 'cd19780', NULL, 'Bbox2_TRIM39-like', NULL, NULL, 'Bbox2_TRIM39-like', 275);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(276, 'cd15878', NULL, 'SNARE_syntaxin11', NULL, NULL, 'SNARE_syntaxin11', 276),
(277, 'cd04763', NULL, 'HTH_MlrA-like', NULL, NULL, 'HTH_MlrA-like', 277),
(278, 'cd14782', NULL, 'FHb-globin_2', NULL, NULL, 'FHb-globin_2', 278),
(279, 'cd07276', NULL, 'PX_SNX16', NULL, NULL, 'PX_SNX16', 279),
(280, 'cd09612', NULL, 'Jacalin', NULL, NULL, 'Jacalin', 280),
(281, 'cd12161', NULL, 'GDH_like_1', NULL, NULL, 'GDH_like_1', 281),
(282, 'cd12578', NULL, 'RRM1_hnRNPA_like', NULL, NULL, 'RRM1_hnRNPA_like', 282),
(283, 'cd01986', NULL, 'Alpha_ANH_like', NULL, NULL, 'Alpha_ANH_like', 283),
(284, 'cd18892', NULL, 'TET', NULL, NULL, 'TET', 284),
(285, 'cd05774', NULL, 'Ig_CEACAM_D1', NULL, NULL, 'Ig_CEACAM_D1', 285),
(286, 'cd07339', NULL, 'M48B_HtpX_like', NULL, NULL, 'M48B_HtpX_like', 286),
(287, 'cd16494', NULL, 'RING-CH-C4HC3_ZSWM2', NULL, NULL, 'RING-CH-C4HC3_ZSWM2', 287),
(288, 'cd14972', NULL, '7tmA_EDG-like', NULL, NULL, '7tmA_EDG-like', 288),
(289, 'cd11374', NULL, 'CE4_u10', NULL, NULL, 'CE4_u10', 289),
(290, 'cd05262', NULL, 'SDR_a7', NULL, NULL, 'SDR_a7', 290),
(291, 'cd09382', NULL, 'LIM2_Lhx6', NULL, NULL, 'LIM2_Lhx6', 291),
(292, 'cd07794', NULL, 'FGGY_GK_like_proteobact', NULL, NULL, 'FGGY_GK_like_proteobact', 292),
(293, 'cd01861', NULL, 'Rab6', NULL, NULL, 'Rab6', 293),
(294, 'cd01983', NULL, 'SIMIBI', NULL, NULL, 'SIMIBI', 294),
(295, 'cd17526', NULL, 'RMtype1_S_Cje2232P-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Cje2232P-TRD2-CR2_like', 295),
(296, 'cd19398', NULL, 'TGF_beta_BMP8', NULL, NULL, 'TGF_beta_BMP8', 296),
(297, 'cd07402', NULL, 'MPP_GpdQ', NULL, NULL, 'MPP_GpdQ', 297),
(298, 'cd21479', NULL, 'MERS-like_CoV_Spike_S1_RBD', NULL, NULL, 'MERS-like_CoV_Spike_S1_RBD', 298),
(299, 'cd04048', NULL, 'C2A_Copine', NULL, NULL, 'C2A_Copine', 299),
(300, 'cd06846', NULL, 'Adenylation_DNA_ligase_like', NULL, NULL, 'Adenylation_DNA_ligase_like', 300),
(301, 'cd07850', NULL, 'STKc_JNK', NULL, NULL, 'STKc_JNK', 301),
(302, 'cd11538', NULL, 'NTP-PPase_u1', NULL, NULL, 'NTP-PPase_u1', 302),
(303, 'cd03186', NULL, 'GST_C_SspA', NULL, NULL, 'GST_C_SspA', 303),
(304, 'cd16785', NULL, 'mRING-HC-C3HC5_NEU1A', NULL, NULL, 'mRING-HC-C3HC5_NEU1A', 304),
(305, 'cd05866', NULL, 'Ig1_NCAM-2', NULL, NULL, 'Ig1_NCAM-2', 305),
(306, 'cd13271', NULL, 'PH2_TAPP1_2', NULL, NULL, 'PH2_TAPP1_2', 306),
(307, 'cd03602', NULL, 'CLECT_1', NULL, NULL, 'CLECT_1', 307),
(308, 'cd16251', NULL, 'EFh_parvalbumin_like', NULL, NULL, 'EFh_parvalbumin_like', 308),
(309, 'cd07699', NULL, 'IgC_L', NULL, NULL, 'IgC_L', 309),
(310, 'cd12314', NULL, 'RRM1_RBM6', NULL, NULL, 'RRM1_RBM6', 310),
(311, 'cd18750', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 311),
(312, 'cd00164', NULL, 'S1_like', NULL, NULL, 'S1_like', 312),
(313, 'cd17746', NULL, 'BRCT_Rad4_rpt2', NULL, NULL, 'BRCT_Rad4_rpt2', 313),
(314, 'cd02165', NULL, 'NMNAT', NULL, NULL, 'NMNAT', 314),
(315, 'cd16273', NULL, 'SNM1A-1C-like_MBL-fold', NULL, NULL, 'SNM1A-1C-like_MBL-fold', 315),
(316, 'cd10292', NULL, 'GST_C_YghU_like', NULL, NULL, 'GST_C_YghU_like', 316),
(317, 'cd14319', NULL, 'UBA_NBR1', NULL, NULL, 'UBA_NBR1', 317),
(318, 'cd17536', NULL, 'REC_YesN-like', NULL, NULL, 'REC_YesN-like', 318),
(319, 'cd02418', NULL, 'Peptidase_C39B', NULL, NULL, 'Peptidase_C39B', 319),
(320, 'cd00110', NULL, 'LamG', NULL, NULL, 'LamG', 320),
(321, 'cd01215', NULL, 'PTB_Dab', NULL, NULL, 'PTB_Dab', 321),
(322, 'cd03324', NULL, 'rTSbeta_L-fuconate_dehydratase', NULL, NULL, 'rTSbeta_L-fuconate_dehydratase', 322),
(323, 'cd12298', NULL, 'RRM3_Prp24', NULL, NULL, 'RRM3_Prp24', 323),
(324, 'cd14142', NULL, 'STKc_ACVR1_ALK1', NULL, NULL, 'STKc_ACVR1_ALK1', 324),
(325, 'cd15881', NULL, 'SNARE_syntaxin3', NULL, NULL, 'SNARE_syntaxin3', 325),
(326, 'cd03751', NULL, 'proteasome_alpha_type_3', NULL, NULL, 'proteasome_alpha_type_3', 326),
(327, 'cd15308', NULL, '7tmA_D4_dopamine_R', NULL, NULL, '7tmA_D4_dopamine_R', 327),
(328, 'cd18318', NULL, 'BTB_POZ_KCTD20-like', NULL, NULL, 'BTB_POZ_KCTD20-like', 328),
(329, 'cd04101', NULL, 'RabL4', NULL, NULL, 'RabL4', 329),
(330, 'cd05358', NULL, 'GlcDH_SDR_c', NULL, NULL, 'GlcDH_SDR_c', 330);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(331, 'cd07376', NULL, 'PLPDE_III_DSD_D-TA_like', NULL, NULL, 'PLPDE_III_DSD_D-TA_like', 331),
(332, 'cd10567', NULL, 'SWIB-MDM2_like', NULL, NULL, 'SWIB-MDM2_like', 332),
(333, 'cd14500', NULL, 'PTP-IVa', NULL, NULL, 'PTP-IVa', 333),
(334, 'cd08378', NULL, 'C2B_MCTP_PRT_plant', NULL, NULL, 'C2B_MCTP_PRT_plant', 334),
(335, 'cd18629', NULL, 'CD2_cpSRP43_like', NULL, NULL, 'CD2_cpSRP43_like', 335),
(336, 'cd16742', NULL, 'RING-HC_RNFT2', NULL, NULL, 'RING-HC_RNFT2', 336),
(337, 'cd17925', NULL, 'DEXDc_ComFA', NULL, NULL, 'DEXDc_ComFA', 337),
(338, 'cd00239', NULL, 'PapG_CBD', NULL, NULL, 'PapG_CBD', 338),
(339, 'cd15216', NULL, '7tmA_SREB1_GPR27', NULL, NULL, '7tmA_SREB1_GPR27', 339),
(340, 'cd03322', NULL, 'RspA', NULL, NULL, 'RspA', 340),
(341, 'cd03122', NULL, 'alpha_CARP_receptor_like', NULL, NULL, 'alpha_CARP_receptor_like', 341),
(342, 'cd04195', NULL, 'GT2_AmsE_like', NULL, NULL, 'GT2_AmsE_like', 342),
(343, 'cd11677', NULL, 'Gemin7', NULL, NULL, 'Gemin7', 343),
(344, 'cd08739', NULL, 'RGS_RGS9', NULL, NULL, 'RGS_RGS9', 344),
(345, 'cd17419', NULL, 'MFS_NPF7', NULL, NULL, 'MFS_NPF7', 345),
(346, 'cd18582', NULL, 'ABC_6TM_ATM1_ABCB7', NULL, NULL, 'ABC_6TM_ATM1_ABCB7', 346),
(347, 'cd16444', NULL, 'LipB', NULL, NULL, 'LipB', 347),
(348, 'cd06388', NULL, 'PBP1_iGluR_AMPA_GluR4', NULL, NULL, 'PBP1_iGluR_AMPA_GluR4', 348),
(349, 'cd07677', NULL, 'F-BAR_FCHSD2', NULL, NULL, 'F-BAR_FCHSD2', 349),
(350, 'cd17081', NULL, 'RAWUL_PCGF1', NULL, NULL, 'RAWUL_PCGF1', 350),
(351, 'cd01935', NULL, 'Ntn_CGH_like', NULL, NULL, 'Ntn_CGH_like', 351),
(352, 'cd02172', NULL, 'RfaE_N', NULL, NULL, 'RfaE_N', 352),
(353, 'cd08488', NULL, 'PBP2_AmpR', NULL, NULL, 'PBP2_AmpR', 353),
(354, 'cd04661', NULL, 'MRP_L46', NULL, NULL, 'MRP_L46', 354),
(355, 'cd14822', NULL, 'BACK_BTBD9', NULL, NULL, 'BACK_BTBD9', 355),
(356, 'cd15917', NULL, '7tmA_OR51_52-like', NULL, NULL, '7tmA_OR51_52-like', 356),
(357, 'cd15950', NULL, '7tmA_OR52I-like', NULL, NULL, '7tmA_OR52I-like', 357),
(358, 'cd18622', NULL, 'GH32_Inu-like', NULL, NULL, 'GH32_Inu-like', 358),
(359, 'cd13701', NULL, 'PBP2_ml15202_like', NULL, NULL, 'PBP2_ml15202_like', 359),
(360, 'cd01984', NULL, 'AANH_like', NULL, NULL, 'AANH_like', 360),
(361, 'cd18797', NULL, 'SF2_C_Hrq', NULL, NULL, 'SF2_C_Hrq', 361),
(362, 'cd06269', NULL, 'PBP1_glutamate_receptors-like', NULL, NULL, 'PBP1_glutamate_receptors-like', 362),
(363, 'cd18054', NULL, 'DEXHc_CHD2', NULL, NULL, 'DEXHc_CHD2', 363),
(364, 'cd10785', NULL, 'GH38-57_N_LamB_YdjC_SF', NULL, NULL, 'GH38-57_N_LamB_YdjC_SF', 364),
(365, 'cd17190', NULL, 'FERM_F1_FARP2', NULL, NULL, 'FERM_F1_FARP2', 365),
(366, 'cd11847', NULL, 'SH3_Brk', NULL, NULL, 'SH3_Brk', 366),
(367, 'cd08637', NULL, 'DNA_pol_A_pol_I_C', NULL, NULL, 'DNA_pol_A_pol_I_C', 367),
(368, 'cd18511', NULL, 'BACK_KLHL5', NULL, NULL, 'BACK_KLHL5', 368),
(369, 'cd08771', NULL, 'DLP_1', NULL, NULL, 'DLP_1', 369),
(370, 'cd10479', NULL, 'EphR_LBD_A1', NULL, NULL, 'EphR_LBD_A1', 370),
(371, 'cd10976', NULL, 'CE4_CDA_like_3', NULL, NULL, 'CE4_CDA_like_3', 371),
(372, 'cd21162', NULL, 'NendoU_tv_PToV-like', NULL, NULL, 'NendoU_tv_PToV-like', 372),
(373, 'cd14234', NULL, 'GAT_GGA_meta', NULL, NULL, 'GAT_GGA_meta', 373),
(374, 'cd18088', NULL, 'Nep1-like', NULL, NULL, 'Nep1-like', 374),
(375, 'cd01485', NULL, 'E1-1_like', NULL, NULL, 'E1-1_like', 375),
(376, 'cd00814', NULL, 'MetRS_core', NULL, NULL, 'MetRS_core', 376),
(377, 'cd07018', NULL, 'S49_SppA_67K_type', NULL, NULL, 'S49_SppA_67K_type', 377),
(378, 'cd19568', NULL, 'serpinB9_CAP-3', NULL, NULL, 'serpinB9_CAP-3', 378),
(379, 'cd06429', NULL, 'GT8_like_1', NULL, NULL, 'GT8_like_1', 379),
(380, 'cd05859', NULL, 'Ig4_PDGFR', NULL, NULL, 'Ig4_PDGFR', 380),
(381, 'cd09729', NULL, 'Cse1_I-E', NULL, NULL, 'Cse1_I-E', 381),
(382, 'cd00280', NULL, 'TRFH', NULL, NULL, 'TRFH', 382),
(383, 'cd12789', NULL, 'RasGAP_plexin_C1', NULL, NULL, 'RasGAP_plexin_C1', 383),
(384, 'cd15520', NULL, 'PHD3_Lid2p_like', NULL, NULL, 'PHD3_Lid2p_like', 384),
(385, 'cd21554', NULL, 'CoV_N-NTD', NULL, NULL, 'CoV_N-NTD', 385),
(386, 'cd14571', NULL, 'DSP_slingshot_3', NULL, NULL, 'DSP_slingshot_3', 386);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(387, 'cd19615', NULL, 'lipocalin_NP7', NULL, NULL, 'lipocalin_NP7', 387),
(388, 'cd01257', NULL, 'PH_IRS', NULL, NULL, 'PH_IRS', 388),
(389, 'cd01128', NULL, 'rho_factor', NULL, NULL, 'rho_factor', 389),
(390, 'cd09686', NULL, 'Csx1_III-U', NULL, NULL, 'Csx1_III-U', 390),
(391, 'cd02965', NULL, 'HyaE', NULL, NULL, 'HyaE', 391),
(392, 'cd12504', NULL, 'RRM2_hnRNPH_like', NULL, NULL, 'RRM2_hnRNPH_like', 392),
(393, 'cd13232', NULL, 'Ig-PH_SCAB1', NULL, NULL, 'Ig-PH_SCAB1', 393),
(394, 'cd12084', NULL, 'DD_R_PKA', NULL, NULL, 'DD_R_PKA', 394),
(395, 'cd02889', NULL, 'SQCY', NULL, NULL, 'SQCY', 395),
(396, 'cd13356', NULL, 'PH-GRAM_MTMR2_mammal-like', NULL, NULL, 'PH-GRAM_MTMR2_mammal-like', 396),
(397, 'cd03261', NULL, 'ABC_Org_Solvent_Resistant', NULL, NULL, 'ABC_Org_Solvent_Resistant', 397),
(398, 'cd02736', NULL, 'RNAP_III_Rpc1_C', NULL, NULL, 'RNAP_III_Rpc1_C', 398),
(399, 'cd11669', NULL, 'TTHB210-like', NULL, NULL, 'TTHB210-like', 399),
(400, 'cd03592', NULL, 'CLECT_selectins_like', NULL, NULL, 'CLECT_selectins_like', 400),
(401, 'cd16998', NULL, 'VHS_GGA_fungi', NULL, NULL, 'VHS_GGA_fungi', 401),
(402, 'cd19844', NULL, 'Bbox1_TRIM67_C-I', NULL, NULL, 'Bbox1_TRIM67_C-I', 402),
(403, 'cd14332', NULL, 'UBA_RuvA_C', NULL, NULL, 'UBA_RuvA_C', 403),
(404, 'cd07377', NULL, 'WHTH_GntR', NULL, NULL, 'WHTH_GntR', 404),
(405, 'cd08482', NULL, 'PBP2_TrpI', NULL, NULL, 'PBP2_TrpI', 405),
(406, 'cd15689', NULL, 'PHD1_MORF', NULL, NULL, 'PHD1_MORF', 406),
(407, 'cd08477', NULL, 'PBP2_CrgA_like_8', NULL, NULL, 'PBP2_CrgA_like_8', 407),
(408, 'cd09181', NULL, 'PLDc_FAM83A_N', NULL, NULL, 'PLDc_FAM83A_N', 408),
(409, 'cd18333', NULL, 'BTB_POZ_ZBTB29_HIC1', NULL, NULL, 'BTB_POZ_ZBTB29_HIC1', 409),
(410, 'cd01188', NULL, 'INT_RitA_C_like', NULL, NULL, 'INT_RitA_C_like', 410),
(411, 'cd10364', NULL, 'SH2_Src_Lyn', NULL, NULL, 'SH2_Src_Lyn', 411),
(412, 'cd02249', NULL, 'ZZ', NULL, NULL, 'ZZ', 412),
(413, 'cd04605', NULL, 'CBS_pair_arch_MET2_assoc', NULL, NULL, 'CBS_pair_arch_MET2_assoc', 413),
(414, 'cd14945', NULL, 'Myo5-like_CBD', NULL, NULL, 'Myo5-like_CBD', 414),
(415, 'cd03519', NULL, 'Link_domain_HAPLN_module_2', NULL, NULL, 'Link_domain_HAPLN_module_2', 415),
(416, 'cd10041', NULL, 'Reelin_repeat_5_subrepeat_1', NULL, NULL, 'Reelin_repeat_5_subrepeat_1', 416),
(417, 'cd13537', NULL, 'PBP2_YvgL_like', NULL, NULL, 'PBP2_YvgL_like', 417),
(418, 'cd02003', NULL, 'TPP_IolD', NULL, NULL, 'TPP_IolD', 418),
(419, 'cd05876', NULL, 'Ig3_L1-CAM', NULL, NULL, 'Ig3_L1-CAM', 419),
(420, 'cd18293', NULL, 'BTB_POZ_BTBD18', NULL, NULL, 'BTB_POZ_BTBD18', 420),
(421, 'cd16672', NULL, 'RING-H2_DTX2', NULL, NULL, 'RING-H2_DTX2', 421),
(422, 'cd06449', NULL, 'ACCD', NULL, NULL, 'ACCD', 422),
(423, 'cd07898', NULL, 'Adenylation_DNA_ligase', NULL, NULL, 'Adenylation_DNA_ligase', 423),
(424, 'cd08211', NULL, 'RuBisCO_large_II', NULL, NULL, 'RuBisCO_large_II', 424),
(425, 'cd07294', NULL, 'PX_SNX12', NULL, NULL, 'PX_SNX12', 425),
(426, 'cd00619', NULL, 'Terminator_NusB', NULL, NULL, 'Terminator_NusB', 426),
(427, 'cd01275', NULL, 'FHIT', NULL, NULL, 'FHIT', 427),
(428, 'cd05164', NULL, 'PIKKc', NULL, NULL, 'PIKKc', 428),
(429, 'cd16437', NULL, 'beta_Kdo_transferase_KpsC', NULL, NULL, 'beta_Kdo_transferase_KpsC', 429),
(430, 'cd13205', NULL, 'FERM_C_fermitin', NULL, NULL, 'FERM_C_fermitin', 430),
(431, 'cd04219', NULL, 'Plastocyanin', NULL, NULL, 'Plastocyanin', 431),
(432, 'cd08609', NULL, 'GDPD_GDE3', NULL, NULL, 'GDPD_GDE3', 432),
(433, 'cd15312', NULL, '7tmA_TAAR2_3_4', NULL, NULL, '7tmA_TAAR2_3_4', 433),
(434, 'cd09496', NULL, 'SAM_liprin-kazrin_repeat3', NULL, NULL, 'SAM_liprin-kazrin_repeat3', 434),
(435, 'cd14726', NULL, 'TraB_PrgY-like', NULL, NULL, 'TraB_PrgY-like', 435),
(436, 'cd18414', NULL, 'BTB_KCNC1_3', NULL, NULL, 'BTB_KCNC1_3', 436),
(437, 'cd02752', NULL, 'MopB_Formate-Dh-Na-like', NULL, NULL, 'MopB_Formate-Dh-Na-like', 437),
(438, 'cd04891', NULL, 'ACT_AK-LysC-DapG-like_1', NULL, NULL, 'ACT_AK-LysC-DapG-like_1', 438),
(439, 'cd14197', NULL, 'STKc_DRAK1', NULL, NULL, 'STKc_DRAK1', 439),
(440, 'cd15170', NULL, '7tmA_FFAR2_FFAR3', NULL, NULL, '7tmA_FFAR2_FFAR3', 440);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(441, 'cd07284', NULL, 'PX_SNX7', NULL, NULL, 'PX_SNX7', 441),
(442, 'cd19434', NULL, 'lipocalin_YxeF', NULL, NULL, 'lipocalin_YxeF', 442),
(443, 'cd02208', NULL, 'cupin_RmlC-like', NULL, NULL, 'cupin_RmlC-like', 443),
(444, 'cd02698', NULL, 'Peptidase_C1A_CathepsinX', NULL, NULL, 'Peptidase_C1A_CathepsinX', 444),
(445, 'cd14233', NULL, 'GAT_TOM1_like', NULL, NULL, 'GAT_TOM1_like', 445),
(446, 'cd05252', NULL, 'CDP_GD_SDR_e', NULL, NULL, 'CDP_GD_SDR_e', 446),
(447, 'cd12219', NULL, 'Ubl_TBK1_like', NULL, NULL, 'Ubl_TBK1_like', 447),
(448, 'cd13734', NULL, 'SPRY_PRY_C-II', NULL, NULL, 'SPRY_PRY_C-II', 448),
(449, 'cd12679', NULL, 'RRM_SAFB1_SAFB2', NULL, NULL, 'RRM_SAFB1_SAFB2', 449),
(450, 'cd01090', NULL, 'Creatinase', NULL, NULL, 'Creatinase', 450),
(451, 'cd01908', NULL, 'YafJ', NULL, NULL, 'YafJ', 451),
(452, 'cd12683', NULL, 'RRM_RBPMS2', NULL, NULL, 'RRM_RBPMS2', 452),
(453, 'cd04305', NULL, 'HAD_Neu5Ac-Pase_like', NULL, NULL, 'HAD_Neu5Ac-Pase_like', 453),
(454, 'cd07952', NULL, 'ED_3B_like', NULL, NULL, 'ED_3B_like', 454),
(455, 'cd17723', NULL, 'BRCT_Rad4_rpt4', NULL, NULL, 'BRCT_Rad4_rpt4', 455),
(456, 'cd14157', NULL, 'STKc_IRAK2', NULL, NULL, 'STKc_IRAK2', 456),
(457, 'cd19697', NULL, 'bHLH-PAS_NPAS4_PASD10', NULL, NULL, 'bHLH-PAS_NPAS4_PASD10', 457),
(458, 'cd13915', NULL, 'CuRO_HCO_II_like_2', NULL, NULL, 'CuRO_HCO_II_like_2', 458),
(459, 'cd05094', NULL, 'PTKc_TrkC', NULL, NULL, 'PTKc_TrkC', 459),
(460, 'cd10044', NULL, 'Reelin_repeat_8_subrepeat_1', NULL, NULL, 'Reelin_repeat_8_subrepeat_1', 460),
(461, 'cd13170', NULL, 'RanBD_NUP50', NULL, NULL, 'RanBD_NUP50', 461),
(462, 'cd04632', NULL, 'CBS_pair_arch1_repeat2', NULL, NULL, 'CBS_pair_arch1_repeat2', 462),
(463, 'cd07104', NULL, 'ALDH_BenzADH-like', NULL, NULL, 'ALDH_BenzADH-like', 463),
(464, 'cd15712', NULL, 'ePHD_PHF11', NULL, NULL, 'ePHD_PHF11', 464),
(465, 'cd19454', NULL, 'lipocalin_NP3', NULL, NULL, 'lipocalin_NP3', 465),
(466, 'cd19867', NULL, 'DSRM_DGCR8_rpt1', NULL, NULL, 'DSRM_DGCR8_rpt1', 466),
(467, 'cd16515', NULL, 'RING-HC_LRSAM1', NULL, NULL, 'RING-HC_LRSAM1', 467),
(468, 'cd09556', NULL, 'SAM_VTS1_fungal', NULL, NULL, 'SAM_VTS1_fungal', 468),
(469, 'cd03181', NULL, 'GST_C_EF1Bgamma_like', NULL, NULL, 'GST_C_EF1Bgamma_like', 469),
(470, 'cd18206', NULL, 'BTB_POZ_ZBTB17_MIZ1', NULL, NULL, 'BTB_POZ_ZBTB17_MIZ1', 470),
(471, 'cd08210', NULL, 'RLP_RrRLP', NULL, NULL, 'RLP_RrRLP', 471),
(472, 'cd12572', NULL, 'RRM2_MSI1', NULL, NULL, 'RRM2_MSI1', 472),
(473, 'cd12629', NULL, 'RRM2_IGF2BP2', NULL, NULL, 'RRM2_IGF2BP2', 473),
(474, 'cd06378', NULL, 'PBP1_iGluR_NMDA_NR2', NULL, NULL, 'PBP1_iGluR_NMDA_NR2', 474),
(475, 'cd01184', NULL, 'INT_C_like_1', NULL, NULL, 'INT_C_like_1', 475),
(476, 'cd08011', NULL, 'M20_ArgE_DapE-like', NULL, NULL, 'M20_ArgE_DapE-like', 476),
(477, 'cd15102', NULL, '7tmA_S1PR', NULL, NULL, '7tmA_S1PR', 477),
(478, 'cd04196', NULL, 'GT_2_like_d', NULL, NULL, 'GT_2_like_d', 478),
(479, 'cd10001', NULL, 'HDAC_classII_APAH', NULL, NULL, 'HDAC_classII_APAH', 479),
(480, 'cd14890', NULL, 'MYSc_Myo29', NULL, NULL, 'MYSc_Myo29', 480),
(481, 'cd13350', NULL, 'PH-GRAM1_TBC1D8B', NULL, NULL, 'PH-GRAM1_TBC1D8B', 481),
(482, 'cd14859', NULL, 'PMEI_like', NULL, NULL, 'PMEI_like', 482),
(483, 'cd14957', NULL, 'NHL_like_2', NULL, NULL, 'NHL_like_2', 483),
(484, 'cd07254', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 484),
(485, 'cd05114', NULL, 'PTKc_Tec_Rlk', NULL, NULL, 'PTKc_Tec_Rlk', 485),
(486, 'cd06232', NULL, 'M14-like', NULL, NULL, 'M14-like', 486),
(487, 'cd05642', NULL, 'M28_like', NULL, NULL, 'M28_like', 487),
(488, 'cd13764', NULL, 'TGF_beta_GDF1_3_like', NULL, NULL, 'TGF_beta_GDF1_3_like', 488),
(489, 'cd08018', NULL, 'M20_Acy1_amhX-like', NULL, NULL, 'M20_Acy1_amhX-like', 489),
(490, 'cd15556', NULL, 'PHD_MMD1_like', NULL, NULL, 'PHD_MMD1_like', 490),
(491, 'cd01735', NULL, 'LSm12_N', NULL, NULL, 'LSm12_N', 491),
(492, 'cd00058', NULL, 'FGF', NULL, NULL, 'FGF', 492),
(493, 'cd16508', NULL, 'RING-HC_HAKAI_like', NULL, NULL, 'RING-HC_HAKAI_like', 493),
(494, 'cd07631', NULL, 'BAR_APPL1', NULL, NULL, 'BAR_APPL1', 494);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(495, 'cd08318', NULL, 'Death_NMPP84', NULL, NULL, 'Death_NMPP84', 495),
(496, 'cd19003', NULL, 'LGIC_ECD_GABAAR_theta', NULL, NULL, 'LGIC_ECD_GABAAR_theta', 496),
(497, 'cd17461', NULL, 'MFS_SLCO2A_OATP2A', NULL, NULL, 'MFS_SLCO2A_OATP2A', 497),
(498, 'cd05852', NULL, 'Ig5_Contactin-1', NULL, NULL, 'Ig5_Contactin-1', 498),
(499, 'cd15608', NULL, 'PHD2_KDM5C_5D', NULL, NULL, 'PHD2_KDM5C_5D', 499),
(500, 'cd06144', NULL, 'REX4_like', NULL, NULL, 'REX4_like', 500),
(501, 'cd16887', NULL, 'YEATS', NULL, NULL, 'YEATS', 501),
(502, 'cd04726', NULL, 'KGPDC_HPS', NULL, NULL, 'KGPDC_HPS', 502),
(503, 'cd16301', NULL, 'IMP_DIM-like_MBL-B1', NULL, NULL, 'IMP_DIM-like_MBL-B1', 503),
(504, 'cd00443', NULL, 'ADA_AMPD', NULL, NULL, 'ADA_AMPD', 504),
(505, 'cd02266', NULL, 'SDR', NULL, NULL, 'SDR', 505),
(506, 'cd00077', NULL, 'HDc', NULL, NULL, 'HDc', 506),
(507, 'cd15758', NULL, 'FYVE_RUFY1', NULL, NULL, 'FYVE_RUFY1', 507),
(508, 'cd16470', NULL, 'RING-H2_RNF25', NULL, NULL, 'RING-H2_RNF25', 508),
(509, 'cd17411', NULL, 'MFS_SLC15A2', NULL, NULL, 'MFS_SLC15A2', 509),
(510, 'cd14741', NULL, 'PAAR_5', NULL, NULL, 'PAAR_5', 510),
(511, 'cd04702', NULL, 'ASRGL1_like', NULL, NULL, 'ASRGL1_like', 511),
(512, 'cd08471', NULL, 'PBP2_CrgA_like_2', NULL, NULL, 'PBP2_CrgA_like_2', 512),
(513, 'cd08984', NULL, 'GH43-like', NULL, NULL, 'GH43-like', 513),
(514, 'cd01015', NULL, 'CSHase', NULL, NULL, 'CSHase', 514),
(515, 'cd15550', NULL, 'PHD_MLL5', NULL, NULL, 'PHD_MLL5', 515),
(516, 'cd13945', NULL, 'Chs5_N', NULL, NULL, 'Chs5_N', 516),
(517, 'cd09629', NULL, 'DOMON_CIL1_like', NULL, NULL, 'DOMON_CIL1_like', 517),
(518, 'cd03577', NULL, 'NTR_TIMP_like', NULL, NULL, 'NTR_TIMP_like', 518),
(519, 'cd06600', NULL, 'GH31_MGAM-like', NULL, NULL, 'GH31_MGAM-like', 519),
(520, 'cd15799', NULL, 'PMEI-like_4', NULL, NULL, 'PMEI-like_4', 520),
(521, 'cd03190', NULL, 'GST_C_Omega_like', NULL, NULL, 'GST_C_Omega_like', 521),
(522, 'cd15252', NULL, '7tmB2_Latrophilin_Adhesion_I', NULL, NULL, '7tmB2_Latrophilin_Adhesion_I', 522),
(523, 'cd00258', NULL, 'GM2-AP', NULL, NULL, 'GM2-AP', 523),
(524, 'cd08773', NULL, 'FpgNei_N', NULL, NULL, 'FpgNei_N', 524),
(525, 'cd12218', NULL, 'Csn2', NULL, NULL, 'Csn2', 525),
(526, 'cd03371', NULL, 'TPP_PpyrDC', NULL, NULL, 'TPP_PpyrDC', 526),
(527, 'cd15161', NULL, '7tmA_GPR17', NULL, NULL, '7tmA_GPR17', 527),
(528, 'cd12065', NULL, 'SH3_GRAF2', NULL, NULL, 'SH3_GRAF2', 528),
(529, 'cd06459', NULL, 'M3B_PepF', NULL, NULL, 'M3B_PepF', 529),
(530, 'cd08947', NULL, 'NmrA_TMR_like_SDR_a', NULL, NULL, 'NmrA_TMR_like_SDR_a', 530),
(531, 'cd00116', NULL, 'LRR_RI', NULL, NULL, 'LRR_RI', 531),
(532, 'cd04608', NULL, 'CBS_pair_CBS', NULL, NULL, 'CBS_pair_CBS', 532),
(533, 'cd16956', NULL, 'HATPase_YehU-like', NULL, NULL, 'HATPase_YehU-like', 533),
(534, 'cd19727', NULL, 'bHLH-PAS_HIF1a_PASD8', NULL, NULL, 'bHLH-PAS_HIF1a_PASD8', 534),
(535, 'cd05736', NULL, 'Ig2_Follistatin_like', NULL, NULL, 'Ig2_Follistatin_like', 535),
(536, 'cd12364', NULL, 'RRM_RDM1', NULL, NULL, 'RRM_RDM1', 536),
(537, 'cd10525', NULL, 'SET_SUV39H1', NULL, NULL, 'SET_SUV39H1', 537),
(538, 'cd19450', NULL, 'lipocalin_ApoM', NULL, NULL, 'lipocalin_ApoM', 538),
(539, 'cd19974', NULL, 'PBP1_LacI-like', NULL, NULL, 'PBP1_LacI-like', 539),
(540, 'cd19904', NULL, 'DSRM_EIF2AK2_rpt2', NULL, NULL, 'DSRM_EIF2AK2_rpt2', 540),
(541, 'cd00108', NULL, 'KR', NULL, NULL, 'KR', 541),
(542, 'cd05169', NULL, 'PIKKc_TOR', NULL, NULL, 'PIKKc_TOR', 542),
(543, 'cd15661', NULL, 'PHD5_NSD3', NULL, NULL, 'PHD5_NSD3', 543),
(544, 'cd05380', NULL, 'CAP_euk', NULL, NULL, 'CAP_euk', 544),
(545, 'cd19947', NULL, 'NifU_Fer2_BFD-like', NULL, NULL, 'NifU_Fer2_BFD-like', 545),
(546, 'cd00953', NULL, 'KDG_aldolase', NULL, NULL, 'KDG_aldolase', 546),
(547, 'cd15915', NULL, '7tmA_OR12D-like', NULL, NULL, '7tmA_OR12D-like', 547),
(548, 'cd04909', NULL, 'ACT_PDH-BS', NULL, NULL, 'ACT_PDH-BS', 548),
(549, 'cd03448', NULL, 'HDE_HSD', NULL, NULL, 'HDE_HSD', 549),
(550, 'cd01477', NULL, 'vWA_F09G8-8_type', NULL, NULL, 'vWA_F09G8-8_type', 550),
(551, 'cd10577', NULL, 'TNFRSF1B', NULL, NULL, 'TNFRSF1B', 551);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(552, 'cd04222', NULL, 'CuRO_1_ceruloplasmin', NULL, NULL, 'CuRO_1_ceruloplasmin', 552),
(553, 'cd11841', NULL, 'SH3_SH3YL1_like', NULL, NULL, 'SH3_SH3YL1_like', 553),
(554, 'cd14454', NULL, 'CuRO_4_FV_like', NULL, NULL, 'CuRO_4_FV_like', 554),
(555, 'cd17783', NULL, 'CBS_pair_bac', NULL, NULL, 'CBS_pair_bac', 555),
(556, 'cd07650', NULL, 'F-BAR_Syp1p_like', NULL, NULL, 'F-BAR_Syp1p_like', 556),
(557, 'cd13677', NULL, 'PBP2_TRAP_SBP_like_6', NULL, NULL, 'PBP2_TRAP_SBP_like_6', 557),
(558, 'cd07704', NULL, 'Ig2_Nectin-3-4_like', NULL, NULL, 'Ig2_Nectin-3-4_like', 558),
(559, 'cd16027', NULL, 'SGSH', NULL, NULL, 'SGSH', 559),
(560, 'cd12411', NULL, 'RRM_ist3_like', NULL, NULL, 'RRM_ist3_like', 560),
(561, 'cd04045', NULL, 'C2C_Tricalbin-like', NULL, NULL, 'C2C_Tricalbin-like', 561),
(562, 'cd05521', NULL, 'Bromo_Rsc1_2_I', NULL, NULL, 'Bromo_Rsc1_2_I', 562),
(563, 'cd15983', NULL, '7tmB1_PTH3R', NULL, NULL, '7tmB1_PTH3R', 563),
(564, 'cd16003', NULL, '7tmA_NKR_NK3R', NULL, NULL, '7tmA_NKR_NK3R', 564),
(565, 'cd07719', NULL, 'arylsulfatase_AtsA-like_MBL-fold', NULL, NULL, 'arylsulfatase_AtsA-like_MBL-fold', 565),
(566, 'cd08029', NULL, 'LA_like_fungal', NULL, NULL, 'LA_like_fungal', 566),
(567, 'cd19171', NULL, 'SET_KMT2C_2D', NULL, NULL, 'SET_KMT2C_2D', 567),
(568, 'cd18551', NULL, 'ABC_6TM_LmrA_like', NULL, NULL, 'ABC_6TM_LmrA_like', 568),
(569, 'cd01803', NULL, 'Ubl_ubiquitin', NULL, NULL, 'Ubl_ubiquitin', 569),
(570, 'cd14921', NULL, 'MYSc_Myh11', NULL, NULL, 'MYSc_Myh11', 570),
(571, 'cd17273', NULL, 'RMtype1_S_EcoJA69PI-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_EcoJA69PI-TRD1-CR1_like', 571),
(572, 'cd07289', NULL, 'PX_PI3K_C2_alpha', NULL, NULL, 'PX_PI3K_C2_alpha', 572),
(573, 'cd08333', NULL, 'DED_Caspase_8_r1', NULL, NULL, 'DED_Caspase_8_r1', 573),
(574, 'cd09670', NULL, 'Cse2_I-E', NULL, NULL, 'Cse2_I-E', 574),
(575, 'cd01093', NULL, 'CRIB_PAK_like', NULL, NULL, 'CRIB_PAK_like', 575),
(576, 'cd01133', NULL, 'F1-ATPase_beta', NULL, NULL, 'F1-ATPase_beta', 576),
(577, 'cd15947', NULL, '7tmA_OR2B-like', NULL, NULL, '7tmA_OR2B-like', 577),
(578, 'cd20378', NULL, 'PBP1_SBP-like', NULL, NULL, 'PBP1_SBP-like', 578),
(579, 'cd16546', NULL, 'RING-HC_RNF146', NULL, NULL, 'RING-HC_RNF146', 579),
(580, 'cd14748', NULL, 'PBP2_UgpB', NULL, NULL, 'PBP2_UgpB', 580),
(581, 'cd18928', NULL, 'bHLHzip_TFE3', NULL, NULL, 'bHLHzip_TFE3', 581),
(582, 'cd08968', NULL, 'MeNeil2_N', NULL, NULL, 'MeNeil2_N', 582),
(583, 'cd09721', NULL, 'Cas1_I-C', NULL, NULL, 'Cas1_I-C', 583),
(584, 'cd02679', NULL, 'MIT_spastin', NULL, NULL, 'MIT_spastin', 584),
(585, 'cd14656', NULL, 'Imelysin-like_EfeO', NULL, NULL, 'Imelysin-like_EfeO', 585),
(586, 'cd15960', NULL, '7tmA_GPR185-like', NULL, NULL, '7tmA_GPR185-like', 586),
(587, 'cd12527', NULL, 'RRM2_EAR1_like', NULL, NULL, 'RRM2_EAR1_like', 587),
(588, 'cd03116', NULL, 'MobB', NULL, NULL, 'MobB', 588),
(589, 'cd16641', NULL, 'mRING-HC-C3HC3D_TRAF4', NULL, NULL, 'mRING-HC-C3HC3D_TRAF4', 589),
(590, 'cd17550', NULL, 'REC_NtrX-like', NULL, NULL, 'REC_NtrX-like', 590),
(591, 'cd00329', NULL, 'TopoII_MutL_Trans', NULL, NULL, 'TopoII_MutL_Trans', 591),
(592, 'cd13908', NULL, 'CuRO_3_MCO_like_2', NULL, NULL, 'CuRO_3_MCO_like_2', 592),
(593, 'cd16381', NULL, 'YitT_C_like_1', NULL, NULL, 'YitT_C_like_1', 593),
(594, 'cd04982', NULL, 'IgV_TCR_gamma', NULL, NULL, 'IgV_TCR_gamma', 594),
(595, 'cd02959', NULL, 'ERp19', NULL, NULL, 'ERp19', 595),
(596, 'cd16499', NULL, 'RING-HC_BRE1_like', NULL, NULL, 'RING-HC_BRE1_like', 596),
(597, 'cd17149', NULL, 'DCX1_DCDC2', NULL, NULL, 'DCX1_DCDC2', 597),
(598, 'cd04124', NULL, 'RabL2', NULL, NULL, 'RabL2', 598),
(599, 'cd01879', NULL, 'FeoB', NULL, NULL, 'FeoB', 599),
(600, 'cd07885', NULL, 'RHD-n_RelA', NULL, NULL, 'RHD-n_RelA', 600),
(601, 'cd01137', NULL, 'PsaA', NULL, NULL, 'PsaA', 601),
(602, 'cd11257', NULL, 'Sema_4B', NULL, NULL, 'Sema_4B', 602),
(603, 'cd19160', NULL, 'AKR_KCAB3B_AKR6A9-like', NULL, NULL, 'AKR_KCAB3B_AKR6A9-like', 603),
(604, 'cd04207', NULL, 'CuRO_3_LCC_like', NULL, NULL, 'CuRO_3_LCC_like', 604),
(605, 'cd04107', NULL, 'Rab32_Rab38', NULL, NULL, 'Rab32_Rab38', 605);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(606, 'cd13748', NULL, 'CBM29_CBM65', NULL, NULL, 'CBM29_CBM65', 606),
(607, 'cd09203', NULL, 'PLDc_N_DEXD_b1', NULL, NULL, 'PLDc_N_DEXD_b1', 607),
(608, 'cd08751', NULL, 'RGS_GRK6', NULL, NULL, 'RGS_GRK6', 608),
(609, 'cd07510', NULL, 'HAD_Pase_UmpH-like', NULL, NULL, 'HAD_Pase_UmpH-like', 609),
(610, 'cd07793', NULL, 'FGGY_GK5_metazoa', NULL, NULL, 'FGGY_GK5_metazoa', 610),
(611, 'cd08836', NULL, 'ArfGap_AGAP', NULL, NULL, 'ArfGap_AGAP', 611),
(612, 'cd18683', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 612),
(613, 'cd18560', NULL, 'ABC_6TM_ATM1_ABCB7_HMT1_ABCB6', NULL, NULL, 'ABC_6TM_ATM1_ABCB7_HMT1_ABCB6', 613),
(614, 'cd19982', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 614),
(615, 'cd11625', NULL, 'HR1_PKN_3', NULL, NULL, 'HR1_PKN_3', 615),
(616, 'cd12366', NULL, 'RRM1_RBM45', NULL, NULL, 'RRM1_RBM45', 616),
(617, 'cd08582', NULL, 'GDPD_like_2', NULL, NULL, 'GDPD_like_2', 617),
(618, 'cd21657', NULL, 'deltaCoV_Nsp14', NULL, NULL, 'deltaCoV_Nsp14', 618),
(619, 'cd04434', NULL, 'LanC_like', NULL, NULL, 'LanC_like', 619),
(620, 'cd05515', NULL, 'Bromo_polybromo_V', NULL, NULL, 'Bromo_polybromo_V', 620),
(621, 'cd08786', NULL, 'CARD_RIP2_CARD3', NULL, NULL, 'CARD_RIP2_CARD3', 621),
(622, 'cd14529', NULL, 'TpbA-like', NULL, NULL, 'TpbA-like', 622),
(623, 'cd06159', NULL, 'S2P-M50_PDZ_Arch', NULL, NULL, 'S2P-M50_PDZ_Arch', 623),
(624, 'cd07906', NULL, 'Adenylation_DNA_ligase_LigD_LigC', NULL, NULL, 'Adenylation_DNA_ligase_LigD_LigC', 624),
(625, 'cd08971', NULL, 'AcNei2_N', NULL, NULL, 'AcNei2_N', 625),
(626, 'cd04408', NULL, 'RhoGAP_GMIP', NULL, NULL, 'RhoGAP_GMIP', 626),
(627, 'cd07079', NULL, 'ALDH_F18-19_ProA-GPR', NULL, NULL, 'ALDH_F18-19_ProA-GPR', 627),
(628, 'cd16644', NULL, 'mRING-HC-C3HC3D_TRAF7', NULL, NULL, 'mRING-HC-C3HC3D_TRAF7', 628),
(629, 'cd19382', NULL, 'TGF_beta_Persephin', NULL, NULL, 'TGF_beta_Persephin', 629),
(630, 'cd08599', NULL, 'PI-PLCc_plant', NULL, NULL, 'PI-PLCc_plant', 630),
(631, 'cd16216', NULL, 'EFh_PI-PLCgamma1_like', NULL, NULL, 'EFh_PI-PLCgamma1_like', 631),
(632, 'cd12820', NULL, 'LbR_YadA-like', NULL, NULL, 'LbR_YadA-like', 632),
(633, 'cd11693', NULL, 'HRI1_C_like', NULL, NULL, 'HRI1_C_like', 633),
(634, 'cd13967', NULL, 'PT_UbiA_5', NULL, NULL, 'PT_UbiA_5', 634),
(635, 'cd10806', NULL, 'YdjC_like_2', NULL, NULL, 'YdjC_like_2', 635),
(636, 'cd02903', NULL, 'Macro_BAL-like', NULL, NULL, 'Macro_BAL-like', 636),
(637, 'cd16921', NULL, 'HATPase_FilI-like', NULL, NULL, 'HATPase_FilI-like', 637),
(638, 'cd05775', NULL, 'Ig_CD2_like_N', NULL, NULL, 'Ig_CD2_like_N', 638),
(639, 'cd03297', NULL, 'ABC_ModC_molybdenum_transporter', NULL, NULL, 'ABC_ModC_molybdenum_transporter', 639),
(640, 'cd01860', NULL, 'Rab5_related', NULL, NULL, 'Rab5_related', 640),
(641, 'cd11440', NULL, 'bHLH-O_Cwo_like', NULL, NULL, 'bHLH-O_Cwo_like', 641),
(642, 'cd10372', NULL, 'SH2_STAT1', NULL, NULL, 'SH2_STAT1', 642),
(643, 'cd09569', NULL, 'SAM_liprin-beta1,2_repeat3', NULL, NULL, 'SAM_liprin-beta1,2_repeat3', 643),
(644, 'cd13317', NULL, 'PH_PLEKHO1_PLEKHO2', NULL, NULL, 'PH_PLEKHO1_PLEKHO2', 644),
(645, 'cd12933', NULL, 'eIF3G', NULL, NULL, 'eIF3G', 645),
(646, 'cd00802', NULL, 'class_I_aaRS_core', NULL, NULL, 'class_I_aaRS_core', 646),
(647, 'cd13610', NULL, 'PBP2_ChoS', NULL, NULL, 'PBP2_ChoS', 647),
(648, 'cd01886', NULL, 'EF-G', NULL, NULL, 'EF-G', 648),
(649, 'cd18320', NULL, 'BTB_POZ_KBTBD13', NULL, NULL, 'BTB_POZ_KBTBD13', 649),
(650, 'cd18745', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 650),
(651, 'cd09124', NULL, 'PLDc_like_TrmB_middle', NULL, NULL, 'PLDc_like_TrmB_middle', 651),
(652, 'cd12024', NULL, 'SH3_NoxO1_2', NULL, NULL, 'SH3_NoxO1_2', 652),
(653, 'cd14626', NULL, 'R-PTPc-F-1', NULL, NULL, 'R-PTPc-F-1', 653),
(654, 'cd20757', NULL, 'capping_2-OMTase_Rotavirus', NULL, NULL, 'capping_2-OMTase_Rotavirus', 654),
(655, 'cd15515', NULL, 'PHD1_KDM5A_like', NULL, NULL, 'PHD1_KDM5A_like', 655),
(656, 'cd18509', NULL, 'BACK_KLHL1', NULL, NULL, 'BACK_KLHL1', 656),
(657, 'cd13430', NULL, 'LDT_IgD_like', NULL, NULL, 'LDT_IgD_like', 657);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(658, 'cd18418', NULL, 'BTB_POZ_KCND2', NULL, NULL, 'BTB_POZ_KCND2', 658),
(659, 'cd06178', NULL, 'MFS_unc93-like', NULL, NULL, 'MFS_unc93-like', 659),
(660, 'cd16510', NULL, 'RING-HC_IAPs', NULL, NULL, 'RING-HC_IAPs', 660),
(661, 'cd03040', NULL, 'GST_N_mPGES2', NULL, NULL, 'GST_N_mPGES2', 661),
(662, 'cd15475', NULL, 'MyosinXI_CBD', NULL, NULL, 'MyosinXI_CBD', 662),
(663, 'cd16902', NULL, 'pesticin_lyz', NULL, NULL, 'pesticin_lyz', 663),
(664, 'cd04599', NULL, 'CBS_pair_GGDEF_assoc', NULL, NULL, 'CBS_pair_GGDEF_assoc', 664),
(665, 'cd09417', NULL, 'LIM2_LIMPETin_like', NULL, NULL, 'LIM2_LIMPETin_like', 665),
(666, 'cd06434', NULL, 'GT2_HAS', NULL, NULL, 'GT2_HAS', 666),
(667, 'cd16762', NULL, 'RING-HC_TRIM13_C-V', NULL, NULL, 'RING-HC_TRIM13_C-V', 667),
(668, 'cd14384', NULL, 'UBA1_UBP13', NULL, NULL, 'UBA1_UBP13', 668),
(669, 'cd16552', NULL, 'RING-HC_NEURL3', NULL, NULL, 'RING-HC_NEURL3', 669),
(670, 'cd17227', NULL, 'RA_ARAP2', NULL, NULL, 'RA_ARAP2', 670),
(671, 'cd14056', NULL, 'STKc_TGFbR_I', NULL, NULL, 'STKc_TGFbR_I', 671),
(672, 'cd01342', NULL, 'Translation_Factor_II_like', NULL, NULL, 'Translation_Factor_II_like', 672),
(673, 'cd01436', NULL, 'Dipth_tox_like', NULL, NULL, 'Dipth_tox_like', 673),
(674, 'cd09499', NULL, 'SAM_AIDA1AB-like_repeat1', NULL, NULL, 'SAM_AIDA1AB-like_repeat1', 674),
(675, 'cd15755', NULL, 'FYVE_PKHF2', NULL, NULL, 'FYVE_PKHF2', 675),
(676, 'cd17737', NULL, 'BRCT_TopBP1_rpt1', NULL, NULL, 'BRCT_TopBP1_rpt1', 676),
(677, 'cd04706', NULL, 'PLA2_plant', NULL, NULL, 'PLA2_plant', 677),
(678, 'cd01747', NULL, 'GATase1_Glutamyl_Hydrolase', NULL, NULL, 'GATase1_Glutamyl_Hydrolase', 678),
(679, 'cd08526', NULL, 'Reelin_subrepeat_2', NULL, NULL, 'Reelin_subrepeat_2', 679),
(680, 'cd06237', NULL, 'M14_Nna1-like', NULL, NULL, 'M14_Nna1-like', 680),
(681, 'cd15448', NULL, '7tmC_mGluR3', NULL, NULL, '7tmC_mGluR3', 681),
(682, 'cd13437', NULL, 'SPFH_alloslipin', NULL, NULL, 'SPFH_alloslipin', 682),
(683, 'cd02517', NULL, 'CMP-KDO-Synthetase', NULL, NULL, 'CMP-KDO-Synthetase', 683),
(684, 'cd15648', NULL, 'PHD1_NSD1_2', NULL, NULL, 'PHD1_NSD1_2', 684),
(685, 'cd02076', NULL, 'P-type_ATPase_H', NULL, NULL, 'P-type_ATPase_H', 685),
(686, 'cd10569', NULL, 'FERM_C_Talin', NULL, NULL, 'FERM_C_Talin', 686),
(687, 'cd07779', NULL, 'FGGY_ygcE_like', NULL, NULL, 'FGGY_ygcE_like', 687),
(688, 'cd11603', NULL, 'ThermoDBP', NULL, NULL, 'ThermoDBP', 688),
(689, 'cd00430', NULL, 'PLPDE_III_AR', NULL, NULL, 'PLPDE_III_AR', 689),
(690, 'cd03723', NULL, 'SOCS_ASB4_ASB18', NULL, NULL, 'SOCS_ASB4_ASB18', 690),
(691, 'cd15366', NULL, '7tmA_GPR4', NULL, NULL, '7tmA_GPR4', 691),
(692, 'cd16108', NULL, 'Ubl_ATG8_like', NULL, NULL, 'Ubl_ATG8_like', 692),
(693, 'cd18595', NULL, 'ABC_6TM_MRP1_2_3_6_D1_like', NULL, NULL, 'ABC_6TM_MRP1_2_3_6_D1_like', 693),
(694, 'cd03173', NULL, 'DUF619-like', NULL, NULL, 'DUF619-like', 694),
(695, 'cd03579', NULL, 'NTR_netrin-1_like', NULL, NULL, 'NTR_netrin-1_like', 695),
(696, 'cd04249', NULL, 'AAK_NAGK-NC', NULL, NULL, 'AAK_NAGK-NC', 696),
(697, 'cd08961', NULL, 'GH64-TLP-SF', NULL, NULL, 'GH64-TLP-SF', 697),
(698, 'cd05729', NULL, 'Ig2_FGFR_like', NULL, NULL, 'Ig2_FGFR_like', 698),
(699, 'cd04036', NULL, 'C2_cPLA2', NULL, NULL, 'C2_cPLA2', 699),
(700, 'cd06321', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 700),
(701, 'sd00008', NULL, 'TPR_YbbN', NULL, NULL, 'TPR_YbbN', 701),
(702, 'cd20274', NULL, 'Sarcolamban', NULL, NULL, 'Sarcolamban', 702),
(703, 'cd00039', NULL, 'COLIPASE', NULL, NULL, 'COLIPASE', 703),
(704, 'cd16657', NULL, 'RING-Ubox_UBE4A', NULL, NULL, 'RING-Ubox_UBE4A', 704),
(705, 'cd00219', NULL, 'ToxGAP', NULL, NULL, 'ToxGAP', 705),
(706, 'cd08421', NULL, 'PBP2_LTTR_like_1', NULL, NULL, 'PBP2_LTTR_like_1', 706),
(707, 'cd18558', NULL, 'ABC_6TM_Pgp_ABCB1', NULL, NULL, 'ABC_6TM_Pgp_ABCB1', 707),
(708, 'cd01408', NULL, 'SIRT1', NULL, NULL, 'SIRT1', 708),
(709, 'cd07072', NULL, 'NR_LBD_DHR38_like', NULL, NULL, 'NR_LBD_DHR38_like', 709),
(710, 'cd11632', NULL, 'HR1_PKN3_2', NULL, NULL, 'HR1_PKN3_2', 710),
(711, 'cd11743', NULL, 'Cthe_2751_like', NULL, NULL, 'Cthe_2751_like', 711);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(712, 'cd17356', NULL, 'MFS_HXT', NULL, NULL, 'MFS_HXT', 712),
(713, 'cd07017', NULL, 'S14_ClpP_2', NULL, NULL, 'S14_ClpP_2', 713),
(714, 'cd18719', NULL, 'PIN_Zc3h12a-N4BP1-like', NULL, NULL, 'PIN_Zc3h12a-N4BP1-like', 714),
(715, 'cd13731', NULL, 'PBP2_iGluR_delta_2', NULL, NULL, 'PBP2_iGluR_delta_2', 715),
(716, 'cd02021', NULL, 'GntK', NULL, NULL, 'GntK', 716),
(717, 'cd08288', NULL, 'MDR_yhdh', NULL, NULL, 'MDR_yhdh', 717),
(718, 'cd17624', NULL, 'REC_OmpR_PmrA-like', NULL, NULL, 'REC_OmpR_PmrA-like', 718),
(719, 'cd16739', NULL, 'RING-HC_RING1', NULL, NULL, 'RING-HC_RING1', 719),
(720, 'cd03224', NULL, 'ABC_TM1139_LivF_branched', NULL, NULL, 'ABC_TM1139_LivF_branched', 720),
(721, 'cd10011', NULL, 'HDAC2', NULL, NULL, 'HDAC2', 721),
(722, 'cd17281', NULL, 'RMtype1_S_HpyAXIII_TRD1-CR1_like', NULL, NULL, 'RMtype1_S_HpyAXIII_TRD1-CR1_like', 722),
(723, 'cd00392', NULL, 'Ribosomal_L13', NULL, NULL, 'Ribosomal_L13', 723),
(724, 'cd10310', NULL, 'GST_C_CysRS_N', NULL, NULL, 'GST_C_CysRS_N', 724),
(725, 'cd16289', NULL, 'L1_POM-1-like_MBL-B3', NULL, NULL, 'L1_POM-1-like_MBL-B3', 725),
(726, 'cd05673', NULL, 'M20_Acy1L2_AbgB', NULL, NULL, 'M20_Acy1L2_AbgB', 726),
(727, 'cd09549', NULL, 'SAM_EPH-A10', NULL, NULL, 'SAM_EPH-A10', 727),
(728, 'cd00916', NULL, 'Npc2_like', NULL, NULL, 'Npc2_like', 728),
(729, 'cd05260', NULL, 'GDP_MD_SDR_e', NULL, NULL, 'GDP_MD_SDR_e', 729),
(730, 'cd16035', NULL, 'sulfatase_like', NULL, NULL, 'sulfatase_like', 730),
(731, 'cd10375', NULL, 'SH2_STAT4', NULL, NULL, 'SH2_STAT4', 731),
(732, 'cd17488', NULL, 'MFS_UhpC', NULL, NULL, 'MFS_UhpC', 732),
(733, 'cd04645', NULL, 'LbH_gamma_CA_like', NULL, NULL, 'LbH_gamma_CA_like', 733),
(734, 'cd16619', NULL, 'mRING-HC-C4C4_TRIM37_C-VIII', NULL, NULL, 'mRING-HC-C4C4_TRIM37_C-VIII', 734),
(735, 'cd06604', NULL, 'GH31_glucosidase_II_MalA', NULL, NULL, 'GH31_glucosidase_II_MalA', 735),
(736, 'cd19104', NULL, 'AKR_unchar', NULL, NULL, 'AKR_unchar', 736),
(737, 'cd14367', NULL, 'CUE_CUED2', NULL, NULL, 'CUE_CUED2', 737),
(738, 'cd09905', NULL, 'H3TH_GEN1', NULL, NULL, 'H3TH_GEN1', 738),
(739, 'cd19871', NULL, 'DSRM_DUS2L', NULL, NULL, 'DSRM_DUS2L', 739),
(740, 'cd04732', NULL, 'HisA', NULL, NULL, 'HisA', 740),
(741, 'cd00800', NULL, 'INT_Lambda_C', NULL, NULL, 'INT_Lambda_C', 741),
(742, 'cd03108', NULL, 'AdSS', NULL, NULL, 'AdSS', 742),
(743, 'cd02134', NULL, 'NusA_KH', NULL, NULL, 'NusA_KH', 743),
(744, 'cd09391', NULL, 'LIM1_Lrg1p_like', NULL, NULL, 'LIM1_Lrg1p_like', 744),
(745, 'cd21561', NULL, 'deltaCoV-Nsp6', NULL, NULL, 'deltaCoV-Nsp6', 745),
(746, 'cd04054', NULL, 'C2A_Rasal1_RasA4', NULL, NULL, 'C2A_Rasal1_RasA4', 746),
(747, 'cd10027', NULL, 'UDG-F1-like', NULL, NULL, 'UDG-F1-like', 747),
(748, 'cd00641', NULL, 'GTP_cyclohydro2', NULL, NULL, 'GTP_cyclohydro2', 748),
(749, 'cd12381', NULL, 'RRM4_I_PABPs', NULL, NULL, 'RRM4_I_PABPs', 749),
(750, 'cd18221', NULL, 'BTB_POZ_ZBTB35_ZNF131', NULL, NULL, 'BTB_POZ_ZBTB35_ZNF131', 750),
(751, 'cd19581', NULL, 'serpinL_nematode', NULL, NULL, 'serpinL_nematode', 751),
(752, 'cd19878', NULL, 'DSRM_AtDRB-like', NULL, NULL, 'DSRM_AtDRB-like', 752),
(753, 'cd18065', NULL, 'DEXHc_SMARCA1', NULL, NULL, 'DEXHc_SMARCA1', 753),
(754, 'cd11793', NULL, 'SH3_ephexin1_like', NULL, NULL, 'SH3_ephexin1_like', 754),
(755, 'cd17026', NULL, 'T3SC_IA_SpcU-like', NULL, NULL, 'T3SC_IA_SpcU-like', 755),
(756, 'cd09433', NULL, 'LIM4_FHL2', NULL, NULL, 'LIM4_FHL2', 756),
(757, 'cd12403', NULL, 'RRM1_NCL', NULL, NULL, 'RRM1_NCL', 757),
(758, 'cd00590', NULL, 'RRM_SF', NULL, NULL, 'RRM_SF', 758),
(759, 'cd11587', NULL, 'Arginase-like', NULL, NULL, 'Arginase-like', 759),
(760, 'cd18403', NULL, 'BTB_POZ_KCNA2_KCNA3', NULL, NULL, 'BTB_POZ_KCNA2_KCNA3', 760),
(761, 'cd15469', NULL, 'HN', NULL, NULL, 'HN', 761),
(762, 'cd13934', NULL, 'RNase_H_Dikarya_like', NULL, NULL, 'RNase_H_Dikarya_like', 762),
(763, 'cd12194', NULL, 'Kcc4p_like_C', NULL, NULL, 'Kcc4p_like_C', 763),
(764, 'cd16457', NULL, 'RING-H2_BRAP2', NULL, NULL, 'RING-H2_BRAP2', 764),
(765, 'cd17636', NULL, 'PtmA', NULL, NULL, 'PtmA', 765),
(766, 'cd05030', NULL, 'calgranulins', NULL, NULL, 'calgranulins', 766);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(767, 'cd08931', NULL, 'SDR_c9', NULL, NULL, 'SDR_c9', 767),
(768, 'cd01752', NULL, 'PLAT_polycystin', NULL, NULL, 'PLAT_polycystin', 768),
(769, 'cd08633', NULL, 'PI-PLCc_eta2', NULL, NULL, 'PI-PLCc_eta2', 769),
(770, 'cd18775', NULL, 'SafA-like', NULL, NULL, 'SafA-like', 770),
(771, 'cd14975', NULL, '7tmA_LTB4R', NULL, NULL, '7tmA_LTB4R', 771),
(772, 'cd13245', NULL, 'PH_PLEKHG7', NULL, NULL, 'PH_PLEKHG7', 772),
(773, 'cd07685', NULL, 'F-BAR_Fes', NULL, NULL, 'F-BAR_Fes', 773),
(774, 'cd01417', NULL, 'Ribosomal_L19e_E', NULL, NULL, 'Ribosomal_L19e_E', 774),
(775, 'cd02895', NULL, 'GGTase-I', NULL, NULL, 'GGTase-I', 775),
(776, 'cd18406', NULL, 'BTB_POZ_KCNA5', NULL, NULL, 'BTB_POZ_KCNA5', 776),
(777, 'cd14392', NULL, 'UBA_Cbl-b', NULL, NULL, 'UBA_Cbl-b', 777),
(778, 'cd17316', NULL, 'MFS_SV2_like', NULL, NULL, 'MFS_SV2_like', 778),
(779, 'cd16148', NULL, 'sulfatase_like', NULL, NULL, 'sulfatase_like', 779),
(780, 'cd19594', NULL, 'serpin_crustaceans_chelicerates_insects', NULL, NULL, 'serpin_crustaceans_chelicerates_insects', 780),
(781, 'cd10430', NULL, 'BI-1', NULL, NULL, 'BI-1', 781),
(782, 'cd20014', NULL, 'PBP1_RPA0668_benzoate-like', NULL, NULL, 'PBP1_RPA0668_benzoate-like', 782),
(783, 'cd05718', NULL, 'Ig1_PVR_like', NULL, NULL, 'Ig1_PVR_like', 783),
(784, 'cd18439', NULL, 'BRCT_BRC1_like_rpt6', NULL, NULL, 'BRCT_BRC1_like_rpt6', 784),
(785, 'cd09512', NULL, 'SAM_Neurabin-like', NULL, NULL, 'SAM_Neurabin-like', 785),
(786, 'cd11521', NULL, 'SLC6sbd_NTT4', NULL, NULL, 'SLC6sbd_NTT4', 786),
(787, 'cd05698', NULL, 'S1_Rrp5_repeat_hs6_sc5', NULL, NULL, 'S1_Rrp5_repeat_hs6_sc5', 787),
(788, 'cd03382', NULL, 'PAP2_dolichyldiphosphatase', NULL, NULL, 'PAP2_dolichyldiphosphatase', 788),
(789, 'cd16668', NULL, 'RING-H2_GRAIL', NULL, NULL, 'RING-H2_GRAIL', 789),
(790, 'cd19120', NULL, 'AKR_AKR3C2-3', NULL, NULL, 'AKR_AKR3C2-3', 790),
(791, 'cd08985', NULL, 'GH43_CtGH43-like', NULL, NULL, 'GH43_CtGH43-like', 791),
(792, 'cd16957', NULL, 'HATPase_LytS-like', NULL, NULL, 'HATPase_LytS-like', 792),
(793, 'cd17449', NULL, 'MFS_SLC46A1_PCFT', NULL, NULL, 'MFS_SLC46A1_PCFT', 793),
(794, 'cd00994', NULL, 'PBP2_GlnH', NULL, NULL, 'PBP2_GlnH', 794),
(795, 'cd12463', NULL, 'RRM_G3BP1', NULL, NULL, 'RRM_G3BP1', 795),
(796, 'cd01162', NULL, 'IBD', NULL, NULL, 'IBD', 796),
(797, 'cd12587', NULL, 'RRM1_PSF', NULL, NULL, 'RRM1_PSF', 797),
(798, 'cd11530', NULL, 'NTP-PPase_DR2231_like', NULL, NULL, 'NTP-PPase_DR2231_like', 798),
(799, 'cd01489', NULL, 'Uba2_SUMO', NULL, NULL, 'Uba2_SUMO', 799),
(800, 'cd18249', NULL, 'BTB_POZ_KLHL20_KLEIP', NULL, NULL, 'BTB_POZ_KLHL20_KLEIP', 800),
(801, 'cd02223', NULL, 'cupin_Bh2720-like', NULL, NULL, 'cupin_Bh2720-like', 801),
(802, 'cd07841', NULL, 'STKc_CDK7', NULL, NULL, 'STKc_CDK7', 802),
(803, 'cd12562', NULL, 'RRM2_RBM5_like', NULL, NULL, 'RRM2_RBM5_like', 803),
(804, 'cd19350', NULL, 'wnt_Wnt7b', NULL, NULL, 'wnt_Wnt7b', 804),
(805, 'cd06008', NULL, 'NF-X1-zinc-finger', NULL, NULL, 'NF-X1-zinc-finger', 805),
(806, 'cd03004', NULL, 'PDI_a_ERdj5_C', NULL, NULL, 'PDI_a_ERdj5_C', 806),
(807, 'cd15850', NULL, 'SNARE_syntaxin18', NULL, NULL, 'SNARE_syntaxin18', 807),
(808, 'cd13321', NULL, 'PH_PLEKHM1', NULL, NULL, 'PH_PLEKHM1', 808),
(809, 'cd14635', NULL, 'R-PTPc-M-2', NULL, NULL, 'R-PTPc-M-2', 809),
(810, 'cd19589', NULL, 'serpin_tengpin-like', NULL, NULL, 'serpin_tengpin-like', 810),
(811, 'cd15756', NULL, 'FYVE_WDFY1', NULL, NULL, 'FYVE_WDFY1', 811),
(812, 'cd07025', NULL, 'Peptidase_S66', NULL, NULL, 'Peptidase_S66', 812),
(813, 'cd07229', NULL, 'Pat_TGL3_like', NULL, NULL, 'Pat_TGL3_like', 813),
(814, 'cd14602', NULL, 'PTPc-N22', NULL, NULL, 'PTPc-N22', 814),
(815, 'cd17035', NULL, 'T3SC_IB_Spa15-like', NULL, NULL, 'T3SC_IB_Spa15-like', 815),
(816, 'cd16145', NULL, 'ARS_like', NULL, NULL, 'ARS_like', 816),
(817, 'cd08735', NULL, 'RGS_AKAP2_1', NULL, NULL, 'RGS_AKAP2_1', 817),
(818, 'cd15927', NULL, '7tmA_Bombesin_R-like', NULL, NULL, '7tmA_Bombesin_R-like', 818),
(819, 'cd16936', NULL, 'HATPase_RsbW-like', NULL, NULL, 'HATPase_RsbW-like', 819),
(820, 'cd14911', NULL, 'MYSc_Myh2_insects_mollusks', NULL, NULL, 'MYSc_Myh2_insects_mollusks', 820);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(821, 'cd03342', NULL, 'TCP1_zeta', NULL, NULL, 'TCP1_zeta', 821),
(822, 'cd04664', NULL, 'Nudix_Hydrolase_7', NULL, NULL, 'Nudix_Hydrolase_7', 822),
(823, 'cd13582', NULL, 'PBP2_AlgQ_like_3', NULL, NULL, 'PBP2_AlgQ_like_3', 823),
(824, 'cd04261', NULL, 'AAK_AKii-LysC-BS', NULL, NULL, 'AAK_AKii-LysC-BS', 824),
(825, 'cd13646', NULL, 'PBP2_EcHMBS_like', NULL, NULL, 'PBP2_EcHMBS_like', 825),
(826, 'cd01450', NULL, 'vWFA_subfamily_ECM', NULL, NULL, 'vWFA_subfamily_ECM', 826),
(827, 'cd09452', NULL, 'LIM1_Enigma', NULL, NULL, 'LIM1_Enigma', 827),
(828, 'cd01840', NULL, 'SGNH_hydrolase_yrhL_like', NULL, NULL, 'SGNH_hydrolase_yrhL_like', 828),
(829, 'cd02552', NULL, 'PseudoU_synth_TruD_like', NULL, NULL, 'PseudoU_synth_TruD_like', 829),
(830, 'cd08644', NULL, 'FMT_core_ArnA_N', NULL, NULL, 'FMT_core_ArnA_N', 830),
(831, 'cd12476', NULL, 'RRM1_SNF', NULL, NULL, 'RRM1_SNF', 831),
(832, 'cd06115', NULL, 'AthCS_per_like', NULL, NULL, 'AthCS_per_like', 832),
(833, 'cd15948', NULL, '7tmA_OR52K-like', NULL, NULL, '7tmA_OR52K-like', 833),
(834, 'cd19355', NULL, 'Wnt_Wnt10a', NULL, NULL, 'Wnt_Wnt10a', 834),
(835, 'cd12837', NULL, 'EcCorA-like_u1', NULL, NULL, 'EcCorA-like_u1', 835),
(836, 'cd13627', NULL, 'PBP2_AA_binding_like_2', NULL, NULL, 'PBP2_AA_binding_like_2', 836),
(837, 'cd07809', NULL, 'FGGY_D-XK_1', NULL, NULL, 'FGGY_D-XK_1', 837),
(838, 'cd05838', NULL, 'WHSC1_related', NULL, NULL, 'WHSC1_related', 838),
(839, 'cd18492', NULL, 'BACK_BTBD16', NULL, NULL, 'BACK_BTBD16', 839),
(840, 'cd16331', NULL, 'YjgA-like', NULL, NULL, 'YjgA-like', 840),
(841, 'cd14943', NULL, 'TRAPPC5_Trs31', NULL, NULL, 'TRAPPC5_Trs31', 841),
(842, 'cd08411', NULL, 'PBP2_OxyR', NULL, NULL, 'PBP2_OxyR', 842),
(843, 'cd18387', NULL, 'BTB_POZ_KCTD1', NULL, NULL, 'BTB_POZ_KCTD1', 843),
(844, 'cd05685', NULL, 'S1_Tex', NULL, NULL, 'S1_Tex', 844),
(845, 'cd05731', NULL, 'Ig3_L1-CAM_like', NULL, NULL, 'Ig3_L1-CAM_like', 845),
(846, 'cd00321', NULL, 'SO_family_Moco', NULL, NULL, 'SO_family_Moco', 846),
(847, 'cd14358', NULL, 'UBA_NAC_euk', NULL, NULL, 'UBA_NAC_euk', 847),
(848, 'cd12044', NULL, 'SH3_SKAP1', NULL, NULL, 'SH3_SKAP1', 848),
(849, 'cd14823', NULL, 'AP_longin-like', NULL, NULL, 'AP_longin-like', 849),
(850, 'cd15495', NULL, 'PHD_ATX3_4_5_like', NULL, NULL, 'PHD_ATX3_4_5_like', 850),
(851, 'cd09979', NULL, 'LOTUS_3_Limkain_b1', NULL, NULL, 'LOTUS_3_Limkain_b1', 851),
(852, 'cd07836', NULL, 'STKc_Pho85', NULL, NULL, 'STKc_Pho85', 852),
(853, 'cd17403', NULL, 'MFS_SLCO4_OATP4', NULL, NULL, 'MFS_SLCO4_OATP4', 853),
(854, 'cd00319', NULL, 'Ribosomal_S12_like', NULL, NULL, 'Ribosomal_S12_like', 854),
(855, 'cd07646', NULL, 'I-BAR_IMD_IRSp53', NULL, NULL, 'I-BAR_IMD_IRSp53', 855),
(856, 'cd14446', NULL, 'bt3222_like', NULL, NULL, 'bt3222_like', 856),
(857, 'cd18468', NULL, 'BACK_KLHL29_KBTBD9', NULL, NULL, 'BACK_KLHL29_KBTBD9', 857),
(858, 'cd00807', NULL, 'GlnRS_core', NULL, NULL, 'GlnRS_core', 858),
(859, 'cd06895', NULL, 'PX_PLD', NULL, NULL, 'PX_PLD', 859),
(860, 'cd19395', NULL, 'TGF_beta_BMP5', NULL, NULL, 'TGF_beta_BMP5', 860),
(861, 'cd04038', NULL, 'C2_ArfGAP', NULL, NULL, 'C2_ArfGAP', 861),
(862, 'cd18355', NULL, 'BTB1_POZ_RHOBTB1', NULL, NULL, 'BTB1_POZ_RHOBTB1', 862),
(863, 'cd15803', NULL, 'RLR_C_like', NULL, NULL, 'RLR_C_like', 863),
(864, 'cd10391', NULL, 'SH2_SHE', NULL, NULL, 'SH2_SHE', 864),
(865, 'cd18546', NULL, 'ABC_6TM_Rv0194_D2_like', NULL, NULL, 'ABC_6TM_Rv0194_D2_like', 865),
(866, 'cd01755', NULL, 'PLAT_lipase', NULL, NULL, 'PLAT_lipase', 866),
(867, 'cd03241', NULL, 'ABC_RecN', NULL, NULL, 'ABC_RecN', 867),
(868, 'cd13994', NULL, 'STKc_HAL4_like', NULL, NULL, 'STKc_HAL4_like', 868),
(869, 'cd19168', NULL, 'SET_EZH-like', NULL, NULL, 'SET_EZH-like', 869),
(870, 'cd05084', NULL, 'PTKc_Fes', NULL, NULL, 'PTKc_Fes', 870),
(871, 'cd16923', NULL, 'HATPase_VanS-like', NULL, NULL, 'HATPase_VanS-like', 871),
(872, 'cd18452', NULL, 'BACK_KLHL12', NULL, NULL, 'BACK_KLHL12', 872),
(873, 'cd09820', NULL, 'dual_peroxidase_like', NULL, NULL, 'dual_peroxidase_like', 873),
(874, 'cd04335', NULL, 'PrdX_deacylase', NULL, NULL, 'PrdX_deacylase', 874);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(875, 'cd15916', NULL, '7tmA_OR10G-like', NULL, NULL, '7tmA_OR10G-like', 875),
(876, 'cd11282', NULL, 'ADF_coactosin_like', NULL, NULL, 'ADF_coactosin_like', 876),
(877, 'cd12509', NULL, 'RRM3_ESRPs_Fusilli', NULL, NULL, 'RRM3_ESRPs_Fusilli', 877),
(878, 'cd01138', NULL, 'FeuA', NULL, NULL, 'FeuA', 878),
(879, 'cd12098', NULL, 'DD_R_PKA_fungi', NULL, NULL, 'DD_R_PKA_fungi', 879),
(880, 'cd14797', NULL, 'DUF302', NULL, NULL, 'DUF302', 880),
(881, 'cd02187', NULL, 'beta_tubulin', NULL, NULL, 'beta_tubulin', 881),
(882, 'cd15048', NULL, '7tmA_Histamine_H3R_H4R', NULL, NULL, '7tmA_Histamine_H3R_H4R', 882),
(883, 'cd02857', NULL, 'E_set_CDase_PDE_N', NULL, NULL, 'E_set_CDase_PDE_N', 883),
(884, 'cd08994', NULL, 'GH43_62_32_68_117_130-like', NULL, NULL, 'GH43_62_32_68_117_130-like', 884),
(885, 'cd04769', NULL, 'HTH_MerR2', NULL, NULL, 'HTH_MerR2', 885),
(886, 'cd01731', NULL, 'archaeal_Sm1', NULL, NULL, 'archaeal_Sm1', 886),
(887, 'cd01949', NULL, 'GGDEF', NULL, NULL, 'GGDEF', 887),
(888, 'cd16718', NULL, 'RING-HC_LNX3', NULL, NULL, 'RING-HC_LNX3', 888),
(889, 'cd01147', NULL, 'HemV-2', NULL, NULL, 'HemV-2', 889),
(890, 'cd07038', NULL, 'TPP_PYR_PDC_IPDC_like', NULL, NULL, 'TPP_PYR_PDC_IPDC_like', 890),
(891, 'cd04496', NULL, 'SSB_OBF', NULL, NULL, 'SSB_OBF', 891),
(892, 'cd11245', NULL, 'Sema_plexin_B', NULL, NULL, 'Sema_plexin_B', 892),
(893, 'cd20240', NULL, 'PFM_aerolysin-like', NULL, NULL, 'PFM_aerolysin-like', 893),
(894, 'cd00245', NULL, 'Glm_e', NULL, NULL, 'Glm_e', 894),
(895, 'cd01048', NULL, 'Ferritin_like_AB2', NULL, NULL, 'Ferritin_like_AB2', 895),
(896, 'cd00075', NULL, 'HATPase', NULL, NULL, 'HATPase', 896),
(897, 'cd18178', NULL, 'ATP-synt_Vo_c_ATP6F_rpt2', NULL, NULL, 'ATP-synt_Vo_c_ATP6F_rpt2', 897),
(898, 'cd17302', NULL, 'PIPKc_AtPIP5K_like', NULL, NULL, 'PIPKc_AtPIP5K_like', 898),
(899, 'cd06173', NULL, 'MFS_MefA_like', NULL, NULL, 'MFS_MefA_like', 899),
(900, 'cd06316', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 900),
(901, 'cd04880', NULL, 'ACT_AAAH-PDT-like', NULL, NULL, 'ACT_AAAH-PDT-like', 901),
(902, 'cd19385', NULL, 'TGF_beta_TGFB2', NULL, NULL, 'TGF_beta_TGFB2', 902),
(903, 'cd18790', NULL, 'SF2_C_UvrB', NULL, NULL, 'SF2_C_UvrB', 903),
(904, 'cd17961', NULL, 'DEADc_DDX56', NULL, NULL, 'DEADc_DDX56', 904),
(905, 'cd17984', NULL, 'DEXHc_DHX40', NULL, NULL, 'DEXHc_DHX40', 905),
(906, 'cd03144', NULL, 'GATase1_ScBLP_like', NULL, NULL, 'GATase1_ScBLP_like', 906),
(907, 'cd13920', NULL, 'Stellacyanin', NULL, NULL, 'Stellacyanin', 907),
(908, 'cd11953', NULL, 'SH3_ASPP2', NULL, NULL, 'SH3_ASPP2', 908),
(909, 'cd13933', NULL, 'harmonin_N_like_u1', NULL, NULL, 'harmonin_N_like_u1', 909),
(910, 'cd19698', NULL, 'bHLH_AtMEE8_like', NULL, NULL, 'bHLH_AtMEE8_like', 910),
(911, 'cd03468', NULL, 'PolY_like', NULL, NULL, 'PolY_like', 911),
(912, 'cd20215', NULL, 'PFM_LSL-like', NULL, NULL, 'PFM_LSL-like', 912),
(913, 'cd08000', NULL, 'NGN', NULL, NULL, 'NGN', 913),
(914, 'cd08187', NULL, 'BDH', NULL, NULL, 'BDH', 914),
(915, 'cd03350', NULL, 'LbH_THP_succinylT', NULL, NULL, 'LbH_THP_succinylT', 915),
(916, 'cd03424', NULL, 'ADPRase_NUDT5', NULL, NULL, 'ADPRase_NUDT5', 916),
(917, 'cd11292', NULL, 'gelsolin_S3_like', NULL, NULL, 'gelsolin_S3_like', 917),
(918, 'cd17944', NULL, 'DEADc_DDX21_DDX50', NULL, NULL, 'DEADc_DDX21_DDX50', 918),
(919, 'cd05683', NULL, 'M20_peptT_like', NULL, NULL, 'M20_peptT_like', 919),
(920, 'cd12007', NULL, 'SH3_Yes', NULL, NULL, 'SH3_Yes', 920),
(921, 'cd12487', NULL, 'RRM1_DND1', NULL, NULL, 'RRM1_DND1', 921),
(922, 'cd07634', NULL, 'BAR_GAP10-like', NULL, NULL, 'BAR_GAP10-like', 922),
(923, 'cd13622', NULL, 'PBP2_Arg_3', NULL, NULL, 'PBP2_Arg_3', 923),
(924, 'cd18469', NULL, 'BACK_KLHL30', NULL, NULL, 'BACK_KLHL30', 924),
(925, 'cd19591', NULL, 'serpin_like', NULL, NULL, 'serpin_like', 925),
(926, 'cd09388', NULL, 'LIM1_LMO1_LMO3', NULL, NULL, 'LIM1_LMO1_LMO3', 926),
(927, 'cd12706', NULL, 'RRM_LARP5', NULL, NULL, 'RRM_LARP5', 927),
(928, 'cd19734', NULL, 'bHLH-PAS_CLOCK', NULL, NULL, 'bHLH-PAS_CLOCK', 928),
(929, 'cd07987', NULL, 'LPLAT_MGAT-like', NULL, NULL, 'LPLAT_MGAT-like', 929);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(930, 'cd00126', NULL, 'PAH', NULL, NULL, 'PAH', 930),
(931, 'cd01177', NULL, 'IPT_NFkappaB', NULL, NULL, 'IPT_NFkappaB', 931),
(932, 'cd09173', NULL, 'PLDc_Nuc_like_unchar1_2', NULL, NULL, 'PLDc_Nuc_like_unchar1_2', 932),
(933, 'cd07359', NULL, 'PCA_45_Doxase_B_like', NULL, NULL, 'PCA_45_Doxase_B_like', 933),
(934, 'cd08612', NULL, 'GDPD_GDE4', NULL, NULL, 'GDPD_GDE4', 934),
(935, 'cd11729', NULL, 'ADDz_Dnmt3a', NULL, NULL, 'ADDz_Dnmt3a', 935),
(936, 'cd02890', NULL, 'PTase', NULL, NULL, 'PTase', 936),
(937, 'cd11981', NULL, 'SH3_VAV3_1', NULL, NULL, 'SH3_VAV3_1', 937),
(938, 'cd01120', NULL, 'RecA-like_NTPases', NULL, NULL, 'RecA-like_NTPases', 938),
(939, 'cd03581', NULL, 'NTR_Sfrp3_like', NULL, NULL, 'NTR_Sfrp3_like', 939),
(940, 'cd19538', NULL, 'LCL_NRPS', NULL, NULL, 'LCL_NRPS', 940),
(941, 'cd02786', NULL, 'MopB_CT_3', NULL, NULL, 'MopB_CT_3', 941),
(942, 'cd14011', NULL, 'PK_SCY1_like', NULL, NULL, 'PK_SCY1_like', 942),
(943, 'cd12883', NULL, 'SPRY_RING', NULL, NULL, 'SPRY_RING', 943),
(944, 'cd01214', NULL, 'PTB_FAM43A', NULL, NULL, 'PTB_FAM43A', 944),
(945, 'cd13669', NULL, 'PBP2_TRAP_TM0322_like', NULL, NULL, 'PBP2_TRAP_TM0322_like', 945),
(946, 'cd16118', NULL, 'UBX2_UBXN9', NULL, NULL, 'UBX2_UBXN9', 946),
(947, 'cd16123', NULL, 'RA_RASSF7_like', NULL, NULL, 'RA_RASSF7_like', 947),
(948, 'cd05854', NULL, 'Ig6_Contactin-2', NULL, NULL, 'Ig6_Contactin-2', 948),
(949, 'cd07564', NULL, 'nitrilases_CHs', NULL, NULL, 'nitrilases_CHs', 949),
(950, 'cd10006', NULL, 'HDAC4', NULL, NULL, 'HDAC4', 950),
(951, 'cd16265', NULL, 'Translation_Factor_II', NULL, NULL, 'Translation_Factor_II', 951),
(952, 'cd01797', NULL, 'Ubl_UHRF', NULL, NULL, 'Ubl_UHRF', 952),
(953, 'cd06365', NULL, 'PBP1_pheromone_receptor', NULL, NULL, 'PBP1_pheromone_receptor', 953),
(954, 'cd16319', NULL, 'MraZ', NULL, NULL, 'MraZ', 954),
(955, 'cd09430', NULL, 'LIM5_LIMPETin', NULL, NULL, 'LIM5_LIMPETin', 955),
(956, 'cd18444', NULL, 'BACK_KLHL1_like', NULL, NULL, 'BACK_KLHL1_like', 956),
(957, 'cd16778', NULL, 'mRING-HC-C4C4_RBR_RNF144B', NULL, NULL, 'mRING-HC-C4C4_RBR_RNF144B', 957),
(958, 'cd04079', NULL, 'CBM6_agarase-like', NULL, NULL, 'CBM6_agarase-like', 958),
(959, 'cd00596', NULL, 'Peptidase_M14_like', NULL, NULL, 'Peptidase_M14_like', 959),
(960, 'cd11713', NULL, 'GINS_A_psf3', NULL, NULL, 'GINS_A_psf3', 960),
(961, 'cd15397', NULL, '7tmA_NPY4R', NULL, NULL, '7tmA_NPY4R', 961),
(962, 'cd03208', NULL, 'GST_C_Alpha', NULL, NULL, 'GST_C_Alpha', 962),
(963, 'cd10574', NULL, 'EVH1_SPRED-like', NULL, NULL, 'EVH1_SPRED-like', 963),
(964, 'cd17106', NULL, 'FERM_F1_EPB41L', NULL, NULL, 'FERM_F1_EPB41L', 964),
(965, 'cd07934', NULL, 'RHD-n_NFkB2', NULL, NULL, 'RHD-n_NFkB2', 965),
(966, 'cd11264', NULL, 'Sema_5B', NULL, NULL, 'Sema_5B', 966),
(967, 'cd01060', NULL, 'Membrane-FADS-like', NULL, NULL, 'Membrane-FADS-like', 967),
(968, 'cd15166', NULL, '7tmA_NAGly_R_GPR18', NULL, NULL, '7tmA_NAGly_R_GPR18', 968),
(969, 'cd15807', NULL, 'MDA5_C', NULL, NULL, 'MDA5_C', 969),
(970, 'cd06444', NULL, 'DNA_pol_A', NULL, NULL, 'DNA_pol_A', 970),
(971, 'cd09639', NULL, 'Cas3_I', NULL, NULL, 'Cas3_I', 971),
(972, 'cd15631', NULL, 'PHD_PHF23', NULL, NULL, 'PHD_PHF23', 972),
(973, 'cd15876', NULL, 'SNARE_syntaxin12', NULL, NULL, 'SNARE_syntaxin12', 973),
(974, 'cd05883', NULL, 'Ig2_Necl-2', NULL, NULL, 'Ig2_Necl-2', 974),
(975, 'cd16692', NULL, 'mRING-H2-C3H3C2_WDR59', NULL, NULL, 'mRING-H2-C3H3C2_WDR59', 975),
(976, 'cd14343', NULL, 'UBA_F100B_like', NULL, NULL, 'UBA_F100B_like', 976),
(977, 'cd07108', NULL, 'ALDH_MGR_2402', NULL, NULL, 'ALDH_MGR_2402', 977),
(978, 'cd09712', NULL, 'Cas10d_I-D', NULL, NULL, 'Cas10d_I-D', 978),
(979, 'cd11322', NULL, 'AmyAc_Glg_BE', NULL, NULL, 'AmyAc_Glg_BE', 979),
(980, 'cd02255', NULL, 'Peptidase_C12', NULL, NULL, 'Peptidase_C12', 980),
(981, 'cd00900', NULL, 'PH-like', NULL, NULL, 'PH-like', 981),
(982, 'cd08474', NULL, 'PBP2_CrgA_like_5', NULL, NULL, 'PBP2_CrgA_like_5', 982),
(983, 'cd00031', NULL, 'CA_like', NULL, NULL, 'CA_like', 983),
(984, 'cd15349', NULL, '7tmA_S1PR4_Edg6', NULL, NULL, '7tmA_S1PR4_Edg6', 984);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(985, 'cd03671', NULL, 'Ap4A_hydrolase_plant_like', NULL, NULL, 'Ap4A_hydrolase_plant_like', 985),
(986, 'cd17266', NULL, 'RMtype1_S_Sau1132ORF3780P-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Sau1132ORF3780P-TRD2-CR2_like', 986),
(987, 'cd03010', NULL, 'TlpA_like_DsbE', NULL, NULL, 'TlpA_like_DsbE', 987),
(988, 'cd12435', NULL, 'RRM_GW182_like', NULL, NULL, 'RRM_GW182_like', 988),
(989, 'cd05921', NULL, 'FCS', NULL, NULL, 'FCS', 989),
(990, 'cd13366', NULL, 'PH_ABR', NULL, NULL, 'PH_ABR', 990),
(991, 'cd02029', NULL, 'PRK_like', NULL, NULL, 'PRK_like', 991),
(992, 'cd09571', NULL, 'SAM_tumor-p73', NULL, NULL, 'SAM_tumor-p73', 992),
(993, 'cd09547', NULL, 'SAM_EPH-A6', NULL, NULL, 'SAM_EPH-A6', 993),
(994, 'cd15890', NULL, 'SNARE_Vti1b', NULL, NULL, 'SNARE_Vti1b', 994),
(995, 'cd13179', NULL, 'RanBD_RanBP1', NULL, NULL, 'RanBD_RanBP1', 995),
(996, 'cd02874', NULL, 'GH18_CFLE_spore_hydrolase', NULL, NULL, 'GH18_CFLE_spore_hydrolase', 996),
(997, 'cd07750', NULL, 'PolyPPase_VTC_like', NULL, NULL, 'PolyPPase_VTC_like', 997),
(998, 'cd12882', NULL, 'SPRY_RNF123', NULL, NULL, 'SPRY_RNF123', 998),
(999, 'cd02637', NULL, 'R3H_PARN', NULL, NULL, 'R3H_PARN', 999),
(1000, 'cd11646', NULL, 'Precorrin_3B_C17_MT', NULL, NULL, 'Precorrin_3B_C17_MT', 1000),
(1001, 'cd17110', NULL, 'FERM_F1_Myo10_like', NULL, NULL, 'FERM_F1_Myo10_like', 1001),
(1002, 'cd13345', NULL, 'PH-GRAM_MTMR8', NULL, NULL, 'PH-GRAM_MTMR8', 1002),
(1003, 'cd09933', NULL, 'SH2_Src_family', NULL, NULL, 'SH2_Src_family', 1003),
(1004, 'cd00883', NULL, 'beta_CA_cladeA', NULL, NULL, 'beta_CA_cladeA', 1004),
(1005, 'cd01029', NULL, 'TOPRIM_primases', NULL, NULL, 'TOPRIM_primases', 1005),
(1006, 'cd19565', NULL, 'serpinB6_CAP', NULL, NULL, 'serpinB6_CAP', 1006),
(1007, 'cd03372', NULL, 'TPP_ComE', NULL, NULL, 'TPP_ComE', 1007),
(1008, 'cd19775', NULL, 'Bbox2_TIF1_C-VI', NULL, NULL, 'Bbox2_TIF1_C-VI', 1008),
(1009, 'cd13524', NULL, 'PBP2_Thiaminase_I', NULL, NULL, 'PBP2_Thiaminase_I', 1009),
(1010, 'cd18749', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 1010),
(1011, 'cd12040', NULL, 'SH3_CACNB2', NULL, NULL, 'SH3_CACNB2', 1011),
(1012, 'cd08056', NULL, 'MPN_PRP8', NULL, NULL, 'MPN_PRP8', 1012),
(1013, 'cd06901', NULL, 'lectin_VIP36_VIPL', NULL, NULL, 'lectin_VIP36_VIPL', 1013),
(1014, 'cd16734', NULL, 'RING-HC_PCGF2', NULL, NULL, 'RING-HC_PCGF2', 1014),
(1015, 'cd17421', NULL, 'MFS_MCT5', NULL, NULL, 'MFS_MCT5', 1015),
(1016, 'cd02968', NULL, 'SCO', NULL, NULL, 'SCO', 1016),
(1017, 'cd19998', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 1017),
(1018, 'cd14161', NULL, 'STKc_NUAK2', NULL, NULL, 'STKc_NUAK2', 1018),
(1019, 'cd03754', NULL, 'proteasome_alpha_type_6', NULL, NULL, 'proteasome_alpha_type_6', 1019),
(1020, 'cd06574', NULL, 'TM_PBP1_branched-chain-AA_like', NULL, NULL, 'TM_PBP1_branched-chain-AA_like', 1020),
(1021, 'cd09511', NULL, 'SAM_CNK1,2,3-suppressor', NULL, NULL, 'SAM_CNK1,2,3-suppressor', 1021),
(1022, 'cd13595', NULL, 'PBP2_HisGs', NULL, NULL, 'PBP2_HisGs', 1022),
(1023, 'cd04819', NULL, 'PA_2', NULL, NULL, 'PA_2', 1023),
(1024, 'cd02518', NULL, 'GT2_SpsF', NULL, NULL, 'GT2_SpsF', 1024),
(1025, 'cd08532', NULL, 'SAM_PNT-PDEF-like', NULL, NULL, 'SAM_PNT-PDEF-like', 1025),
(1026, 'cd16744', NULL, 'RING-HC_RNF185', NULL, NULL, 'RING-HC_RNF185', 1026),
(1027, 'cd14703', NULL, 'bZIP_plant_RF2', NULL, NULL, 'bZIP_plant_RF2', 1027),
(1028, 'cd09706', NULL, 'Csf2_U', NULL, NULL, 'Csf2_U', 1028),
(1029, 'cd05663', NULL, 'M28_like_PA_PDZ_associated', NULL, NULL, 'M28_like_PA_PDZ_associated', 1029),
(1030, 'cd05913', NULL, 'PaaK', NULL, NULL, 'PaaK', 1030),
(1031, 'cd06819', NULL, 'PLPDE_III_LS_D-TA', NULL, NULL, 'PLPDE_III_LS_D-TA', 1031),
(1032, 'cd00257', NULL, 'Fascin', NULL, NULL, 'Fascin', 1032),
(1033, 'cd19080', NULL, 'AKR_AKR9A_9B', NULL, NULL, 'AKR_AKR9A_9B', 1033),
(1034, 'cd14123', NULL, 'STKc_VRK2', NULL, NULL, 'STKc_VRK2', 1034),
(1035, 'cd03213', NULL, 'ABCG_EPDR', NULL, NULL, 'ABCG_EPDR', 1035),
(1036, 'cd18585', NULL, 'ABC_6TM_CydC', NULL, NULL, 'ABC_6TM_CydC', 1036);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(1037, 'cd04758', NULL, 'Commd10', NULL, NULL, 'Commd10', 1037),
(1038, 'cd00777', NULL, 'AspRS_core', NULL, NULL, 'AspRS_core', 1038),
(1039, 'cd06609', NULL, 'STKc_MST3_like', NULL, NULL, 'STKc_MST3_like', 1039),
(1040, 'cd19030', NULL, 'LGIC_ECD_nAChR_E', NULL, NULL, 'LGIC_ECD_nAChR_E', 1040),
(1041, 'cd14394', NULL, 'UBA_BIRC2_3', NULL, NULL, 'UBA_BIRC2_3', 1041),
(1042, 'cd03452', NULL, 'MaoC_C', NULL, NULL, 'MaoC_C', 1042),
(1043, 'cd08865', NULL, 'SRPBCC_10', NULL, NULL, 'SRPBCC_10', 1043),
(1044, 'cd17569', NULL, 'REC_HupR-like', NULL, NULL, 'REC_HupR-like', 1044),
(1045, 'cd07135', NULL, 'ALDH_F14-YMR110C', NULL, NULL, 'ALDH_F14-YMR110C', 1045),
(1046, 'cd16798', NULL, 'RING-H2_RNF43', NULL, NULL, 'RING-H2_RNF43', 1046),
(1047, 'cd08594', NULL, 'PI-PLCc_eta', NULL, NULL, 'PI-PLCc_eta', 1047),
(1048, 'cd05359', NULL, 'ChcA_like_SDR_c', NULL, NULL, 'ChcA_like_SDR_c', 1048),
(1049, 'cd14184', NULL, 'STKc_DCKL2', NULL, NULL, 'STKc_DCKL2', 1049),
(1050, 'cd12141', NULL, 'SH3_DNMBP_C2', NULL, NULL, 'SH3_DNMBP_C2', 1050),
(1051, 'cd19749', NULL, 'bHLH-O_DEC1', NULL, NULL, 'bHLH-O_DEC1', 1051),
(1052, 'cd10344', NULL, 'SH2_SLAP', NULL, NULL, 'SH2_SLAP', 1052),
(1053, 'cd16795', NULL, 'dRING_RMD5B', NULL, NULL, 'dRING_RMD5B', 1053),
(1054, 'cd07349', NULL, 'NR_LBD_SHP', NULL, NULL, 'NR_LBD_SHP', 1054),
(1055, 'cd09013', NULL, 'BphC-JF8_N_like', NULL, NULL, 'BphC-JF8_N_like', 1055),
(1056, 'cd08414', NULL, 'PBP2_LTTR_aromatics_like', NULL, NULL, 'PBP2_LTTR_aromatics_like', 1056),
(1057, 'cd16266', NULL, 'IF2_aeIF5B_IV', NULL, NULL, 'IF2_aeIF5B_IV', 1057),
(1058, 'cd06960', NULL, 'NR_DBD_HNF4A', NULL, NULL, 'NR_DBD_HNF4A', 1058),
(1059, 'cd17620', NULL, 'REC_OmpR_KdpE-like', NULL, NULL, 'REC_OmpR_KdpE-like', 1059),
(1060, 'cd15526', NULL, 'PHD1_MOZ_d4', NULL, NULL, 'PHD1_MOZ_d4', 1060),
(1061, 'cd14283', NULL, 'UBA_TNR6C', NULL, NULL, 'UBA_TNR6C', 1061),
(1062, 'cd08243', NULL, 'quinone_oxidoreductase_like_1', NULL, NULL, 'quinone_oxidoreductase_like_1', 1062),
(1063, 'cd10537', NULL, 'SET_SETD9', NULL, NULL, 'SET_SETD9', 1063),
(1064, 'cd12574', NULL, 'RRM1_DAZAP1', NULL, NULL, 'RRM1_DAZAP1', 1064),
(1065, 'cd02037', NULL, 'Mrp_NBP35', NULL, NULL, 'Mrp_NBP35', 1065),
(1066, 'cd08490', NULL, 'PBP2_NikA_DppA_OppA_like_3', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_3', 1066),
(1067, 'cd11604', NULL, 'RTT106_N', NULL, NULL, 'RTT106_N', 1067),
(1068, 'cd19744', NULL, 'bHLH_TS_dAS-C_like', NULL, NULL, 'bHLH_TS_dAS-C_like', 1068),
(1069, 'cd09767', NULL, 'Csx17_I-U', NULL, NULL, 'Csx17_I-U', 1069),
(1070, 'cd12600', NULL, 'RRM2_SRSF4_like', NULL, NULL, 'RRM2_SRSF4_like', 1070),
(1071, 'cd10280', NULL, 'PQQ_mGDH', NULL, NULL, 'PQQ_mGDH', 1071),
(1072, 'cd15792', NULL, 'PH1_FGD5', NULL, NULL, 'PH1_FGD5', 1072),
(1073, 'cd00220', NULL, 'VMO-I', NULL, NULL, 'VMO-I', 1073),
(1074, 'cd15365', NULL, '7tmA_GPR65_TDAG8', NULL, NULL, '7tmA_GPR65_TDAG8', 1074),
(1075, 'cd09634', NULL, 'Cas1_I-II-III', NULL, NULL, 'Cas1_I-II-III', 1075),
(1076, 'cd08286', NULL, 'FDH_like_ADH2', NULL, NULL, 'FDH_like_ADH2', 1076),
(1077, 'cd16010', NULL, 'iPGM', NULL, NULL, 'iPGM', 1077),
(1078, 'cd00998', NULL, 'PBP2_iGluR_ligand_binding', NULL, NULL, 'PBP2_iGluR_ligand_binding', 1078),
(1079, 'cd06375', NULL, 'PBP1_mGluR_groupII', NULL, NULL, 'PBP1_mGluR_groupII', 1079),
(1080, 'cd17727', NULL, 'BRCT_TopBP1_rpt6', NULL, NULL, 'BRCT_TopBP1_rpt6', 1080),
(1081, 'cd13258', NULL, 'PH_PLEKHJ1', NULL, NULL, 'PH_PLEKHJ1', 1081),
(1082, 'cd17443', NULL, 'MFS_SLC22A31', NULL, NULL, 'MFS_SLC22A31', 1082),
(1083, 'cd11758', NULL, 'SH3_CRK_N', NULL, NULL, 'SH3_CRK_N', 1083),
(1084, 'cd06106', NULL, 'ScCit3_like', NULL, NULL, 'ScCit3_like', 1084),
(1085, 'cd09237', NULL, 'V_ScBro1_like', NULL, NULL, 'V_ScBro1_like', 1085),
(1086, 'cd17622', NULL, 'REC_OmpR_kpRstA-like', NULL, NULL, 'REC_OmpR_kpRstA-like', 1086),
(1087, 'cd00719', NULL, 'GIY-YIG_SF', NULL, NULL, 'GIY-YIG_SF', 1087),
(1088, 'cd09750', NULL, 'Csa5_I-A', NULL, NULL, 'Csa5_I-A', 1088),
(1089, 'cd05211', NULL, 'NAD_bind_Glu_Leu_Phe_Val', NULL, NULL, 'NAD_bind_Glu_Leu_Phe_Val', 1089);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(1090, 'cd12115', NULL, 'A_NRPS_Sfm_like', NULL, NULL, 'A_NRPS_Sfm_like', 1090),
(1091, 'cd04015', NULL, 'C2_plant_PLD', NULL, NULL, 'C2_plant_PLD', 1091),
(1092, 'cd07145', NULL, 'ALDH_LactADH_F420-Bios', NULL, NULL, 'ALDH_LactADH_F420-Bios', 1092),
(1093, 'cd13516', NULL, 'HHD_CCM2', NULL, NULL, 'HHD_CCM2', 1093),
(1094, 'cd03772', NULL, 'MATH_HAUSP', NULL, NULL, 'MATH_HAUSP', 1094),
(1095, 'cd08221', NULL, 'STKc_Nek9', NULL, NULL, 'STKc_Nek9', 1095),
(1096, 'cd08256', NULL, 'Zn_ADH2', NULL, NULL, 'Zn_ADH2', 1096),
(1097, 'cd11667', NULL, 'GH38N_Man2A2', NULL, NULL, 'GH38N_Man2A2', 1097),
(1098, 'sd00034', NULL, 'LRR_AMN1', NULL, NULL, 'LRR_AMN1', 1098),
(1099, 'cd15984', NULL, '7tmB1_PTH1R', NULL, NULL, '7tmB1_PTH1R', 1099),
(1100, 'cd14976', NULL, '7tmA_RNL3R', NULL, NULL, '7tmA_RNL3R', 1100),
(1101, 'cd18285', NULL, 'BTB1_POZ_BTBD8', NULL, NULL, 'BTB1_POZ_BTBD8', 1101),
(1102, 'cd07596', NULL, 'BAR_SNX', NULL, NULL, 'BAR_SNX', 1102),
(1103, 'cd12102', NULL, 'DD_RIbeta_PKA', NULL, NULL, 'DD_RIbeta_PKA', 1103),
(1104, 'cd08800', NULL, 'Death_UNC5A', NULL, NULL, 'Death_UNC5A', 1104),
(1105, 'cd19536', NULL, 'DCL_NRPS-like', NULL, NULL, 'DCL_NRPS-like', 1105),
(1106, 'cd19995', NULL, 'PBP1_ABC_xylose_binding-like', NULL, NULL, 'PBP1_ABC_xylose_binding-like', 1106),
(1107, 'cd05760', NULL, 'Ig2_PTK7', NULL, NULL, 'Ig2_PTK7', 1107),
(1108, 'cd06448', NULL, 'L-Ser-dehyd', NULL, NULL, 'L-Ser-dehyd', 1108),
(1109, 'cd07076', NULL, 'NR_LBD_GR', NULL, NULL, 'NR_LBD_GR', 1109),
(1110, 'cd15404', NULL, '7tmA_GPR63', NULL, NULL, '7tmA_GPR63', 1110),
(1111, 'cd16528', NULL, 'RING-HC_prokRING', NULL, NULL, 'RING-HC_prokRING', 1111),
(1112, 'cd08156', NULL, 'catalase_clade_3', NULL, NULL, 'catalase_clade_3', 1112),
(1113, 'cd19597', NULL, 'serpin28D-like_insects', NULL, NULL, 'serpin28D-like_insects', 1113),
(1114, 'cd05754', NULL, 'Ig_Perlecan_like', NULL, NULL, 'Ig_Perlecan_like', 1114),
(1115, 'cd07205', NULL, 'Pat_PNPLA6_PNPLA7_NTE1_like', NULL, NULL, 'Pat_PNPLA6_PNPLA7_NTE1_like', 1115),
(1116, 'cd18216', NULL, 'BTB_POZ_ZBTB29-like', NULL, NULL, 'BTB_POZ_ZBTB29-like', 1116),
(1117, 'cd00862', NULL, 'ProRS_anticodon_zinc', NULL, NULL, 'ProRS_anticodon_zinc', 1117),
(1118, 'cd00955', NULL, 'Transaldolase_like', NULL, NULL, 'Transaldolase_like', 1118),
(1119, 'cd10444', NULL, 'GIY-YIG_SegABCDEFG', NULL, NULL, 'GIY-YIG_SegABCDEFG', 1119),
(1120, 'cd07386', NULL, 'MPP_DNA_pol_II_small_archeal_C', NULL, NULL, 'MPP_DNA_pol_II_small_archeal_C', 1120),
(1121, 'cd11379', NULL, 'DUF4425', NULL, NULL, 'DUF4425', 1121),
(1122, 'cd06529', NULL, 'S24_LexA-like', NULL, NULL, 'S24_LexA-like', 1122),
(1123, 'cd09842', NULL, 'PLDc_vPLD1_1', NULL, NULL, 'PLDc_vPLD1_1', 1123),
(1124, 'sd00018', NULL, 'ZF_C2H2', NULL, NULL, 'ZF_C2H2', 1124),
(1125, 'cd15985', NULL, '7tmB1_GlucagonR-like_1', NULL, NULL, '7tmB1_GlucagonR-like_1', 1125),
(1126, 'cd10948', NULL, 'CE4_BsPdaA_like', NULL, NULL, 'CE4_BsPdaA_like', 1126),
(1127, 'cd16849', NULL, 'STAT5_DBD', NULL, NULL, 'STAT5_DBD', 1127),
(1128, 'cd02998', NULL, 'PDI_a_ERp38', NULL, NULL, 'PDI_a_ERp38', 1128),
(1129, 'cd10385', NULL, 'SH2_SOCS4', NULL, NULL, 'SH2_SOCS4', 1129),
(1130, 'cd06470', NULL, 'ACD_IbpA-B_like', NULL, NULL, 'ACD_IbpA-B_like', 1130),
(1131, 'cd16214', NULL, 'EFh_PI-PLCgamma1', NULL, NULL, 'EFh_PI-PLCgamma1', 1131),
(1132, 'cd17462', NULL, 'MFS_SLCO4A_OATP4A', NULL, NULL, 'MFS_SLCO4A_OATP4A', 1132),
(1133, 'cd01271', NULL, 'PTB2_Fe65', NULL, NULL, 'PTB2_Fe65', 1133),
(1134, 'cd19209', NULL, 'SET_KMT2D', NULL, NULL, 'SET_KMT2D', 1134),
(1135, 'cd07775', NULL, 'FGGY_AI-2K', NULL, NULL, 'FGGY_AI-2K', 1135),
(1136, 'cd16781', NULL, 'mRING-HC-C3HC3D_Roquin1', NULL, NULL, 'mRING-HC-C3HC3D_Roquin1', 1136),
(1137, 'cd13415', NULL, 'TNFRSF13B', NULL, NULL, 'TNFRSF13B', 1137),
(1138, 'cd02410', NULL, 'archeal_CPSF_KH', NULL, NULL, 'archeal_CPSF_KH', 1138),
(1139, 'cd09381', NULL, 'LIM1_Lhx7_Lhx8', NULL, NULL, 'LIM1_Lhx7_Lhx8', 1139),
(1140, 'cd11849', NULL, 'SH3_SPIN90', NULL, NULL, 'SH3_SPIN90', 1140),
(1141, 'cd02970', NULL, 'PRX_like2', NULL, NULL, 'PRX_like2', 1141);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(1142, 'cd11480', NULL, 'SLC5sbd_u4', NULL, NULL, 'SLC5sbd_u4', 1142),
(1143, 'cd15649', NULL, 'PHD1_NSD3', NULL, NULL, 'PHD1_NSD3', 1143),
(1144, 'cd01817', NULL, 'RBD1_RGS12_like', NULL, NULL, 'RBD1_RGS12_like', 1144),
(1145, 'cd17141', NULL, 'DCX1_DCLK2', NULL, NULL, 'DCX1_DCLK2', 1145),
(1146, 'cd07591', NULL, 'BAR_Rvs161p', NULL, NULL, 'BAR_Rvs161p', 1146),
(1147, 'cd11268', NULL, 'Sema_6C', NULL, NULL, 'Sema_6C', 1147),
(1148, 'cd09684', NULL, 'Csm3_III-A', NULL, NULL, 'Csm3_III-A', 1148),
(1149, 'cd12564', NULL, 'RRM1_RBM19', NULL, NULL, 'RRM1_RBM19', 1149),
(1150, 'cd10340', NULL, 'SH2_N-SH2_SHP_like', NULL, NULL, 'SH2_N-SH2_SHP_like', 1150),
(1151, 'cd16450', NULL, 'mRING-C3HGC3_RFWD3', NULL, NULL, 'mRING-C3HGC3_RFWD3', 1151),
(1152, 'cd06928', NULL, 'RNAP_alpha_NTD', NULL, NULL, 'RNAP_alpha_NTD', 1152),
(1153, 'cd08989', NULL, 'GH43_XYL-like', NULL, NULL, 'GH43_XYL-like', 1153),
(1154, 'cd13644', NULL, 'PBP2_HemC_archaea', NULL, NULL, 'PBP2_HemC_archaea', 1154),
(1155, 'cd19823', NULL, 'Bbox2_MID2_C-I', NULL, NULL, 'Bbox2_MID2_C-I', 1155),
(1156, 'cd18607', NULL, 'GH130', NULL, NULL, 'GH130', 1156),
(1157, 'cd04927', NULL, 'ACT_ACR-like_2', NULL, NULL, 'ACT_ACR-like_2', 1157),
(1158, 'cd04152', NULL, 'Arl4_Arl7', NULL, NULL, 'Arl4_Arl7', 1158),
(1159, 'cd16633', NULL, 'mRING-HC-C3HC3D_RBR_HOIL1', NULL, NULL, 'mRING-HC-C3HC3D_RBR_HOIL1', 1159),
(1160, 'cd17074', NULL, 'Ubl_CysO_like', NULL, NULL, 'Ubl_CysO_like', 1160),
(1161, 'cd00875', NULL, 'RNA_Cyclase_Class_I', NULL, NULL, 'RNA_Cyclase_Class_I', 1161),
(1162, 'cd13960', NULL, 'PT_UbiA_HPT1', NULL, NULL, 'PT_UbiA_HPT1', 1162),
(1163, 'cd05653', NULL, 'M20_ArgE_LysK', NULL, NULL, 'M20_ArgE_LysK', 1163),
(1164, 'cd05763', NULL, 'Ig_1', NULL, NULL, 'Ig_1', 1164),
(1165, 'cd16102', NULL, 'RAWUL_PCGF_like', NULL, NULL, 'RAWUL_PCGF_like', 1165),
(1166, 'cd17744', NULL, 'BRCT_MDC1_rpt1', NULL, NULL, 'BRCT_MDC1_rpt1', 1166),
(1167, 'cd05877', NULL, 'Ig_LP_like', NULL, NULL, 'Ig_LP_like', 1167),
(1168, 'cd01159', NULL, 'NcnH', NULL, NULL, 'NcnH', 1168),
(1169, 'cd00684', NULL, 'Terpene_cyclase_plant_C1', NULL, NULL, 'Terpene_cyclase_plant_C1', 1169),
(1170, 'cd09632', NULL, 'PliI_like', NULL, NULL, 'PliI_like', 1170),
(1171, 'cd04095', NULL, 'CysN_NoDQ_III', NULL, NULL, 'CysN_NoDQ_III', 1171),
(1172, 'cd08627', NULL, 'PI-PLCc_gamma1', NULL, NULL, 'PI-PLCc_gamma1', 1172),
(1173, 'cd04282', NULL, 'ZnMc_meprin', NULL, NULL, 'ZnMc_meprin', 1173),
(1174, 'cd14321', NULL, 'UBA_IAPs', NULL, NULL, 'UBA_IAPs', 1174),
(1175, 'cd02865', NULL, 'Heme_Cu_Oxidase_III_2', NULL, NULL, 'Heme_Cu_Oxidase_III_2', 1175),
(1176, 'cd12414', NULL, 'RRM2_RBM28_like', NULL, NULL, 'RRM2_RBM28_like', 1176),
(1177, 'cd08426', NULL, 'PBP2_LTTR_like_5', NULL, NULL, 'PBP2_LTTR_like_5', 1177),
(1178, 'cd02345', NULL, 'ZZ_dah', NULL, NULL, 'ZZ_dah', 1178),
(1179, 'cd12526', NULL, 'RRM1_EAR1_like', NULL, NULL, 'RRM1_EAR1_like', 1179),
(1180, 'cd19782', NULL, 'Bbox2_TRIM42_C-III', NULL, NULL, 'Bbox2_TRIM42_C-III', 1180),
(1181, 'cd02652', NULL, 'nuc_hydro_2', NULL, NULL, 'nuc_hydro_2', 1181),
(1182, 'cd05475', NULL, 'nucellin_like', NULL, NULL, 'nucellin_like', 1182),
(1183, 'cd19125', NULL, 'AKR_AKR4C1-15', NULL, NULL, 'AKR_AKR4C1-15', 1183),
(1184, 'cd16244', NULL, 'EFh_DTN', NULL, NULL, 'EFh_DTN', 1184),
(1185, 'cd01985', NULL, 'ETF', NULL, NULL, 'ETF', 1185),
(1186, 'cd17016', NULL, 'ING_Pho23p_like', NULL, NULL, 'ING_Pho23p_like', 1186),
(1187, 'cd04983', NULL, 'IgV_TCR_alpha', NULL, NULL, 'IgV_TCR_alpha', 1187),
(1188, 'cd18261', NULL, 'BTB_POZ_KLHL32', NULL, NULL, 'BTB_POZ_KLHL32', 1188),
(1189, 'cd01365', NULL, 'KISc_KIF1A_KIF1B', NULL, NULL, 'KISc_KIF1A_KIF1B', 1189),
(1190, 'cd01444', NULL, 'GlpE_ST', NULL, NULL, 'GlpE_ST', 1190),
(1191, 'cd07398', NULL, 'MPP_YbbF-LpxH', NULL, NULL, 'MPP_YbbF-LpxH', 1191),
(1192, 'cd05733', NULL, 'Ig_L1-CAM_like', NULL, NULL, 'Ig_L1-CAM_like', 1192),
(1193, 'cd01115', NULL, 'SLC13_permease', NULL, NULL, 'SLC13_permease', 1193),
(1194, 'cd03210', NULL, 'GST_C_Pi', NULL, NULL, 'GST_C_Pi', 1194),
(1195, 'cd11725', NULL, 'ADDz_Dnmt3', NULL, NULL, 'ADDz_Dnmt3', 1195);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(1196, 'cd06114', NULL, 'EcCS_like', NULL, NULL, 'EcCS_like', 1196),
(1197, 'cd19413', NULL, 'RsbR_N-like', NULL, NULL, 'RsbR_N-like', 1197),
(1198, 'cd04082', NULL, 'CBM35_pectate_lyase-like', NULL, NULL, 'CBM35_pectate_lyase-like', 1198),
(1199, 'cd05809', NULL, 'CBM20_beta_amylase', NULL, NULL, 'CBM20_beta_amylase', 1199),
(1200, 'cd08847', NULL, 'ArfGap_GIT2', NULL, NULL, 'ArfGap_GIT2', 1200),
(1201, 'cd18140', NULL, 'HLD_clamp_RFC', NULL, NULL, 'HLD_clamp_RFC', 1201),
(1202, 'cd09851', NULL, 'HTLV-1-like_HR1-HR2', NULL, NULL, 'HTLV-1-like_HR1-HR2', 1202),
(1203, 'cd17472', NULL, 'MFS_YajR_like', NULL, NULL, 'MFS_YajR_like', 1203),
(1204, 'cd02059', NULL, 'serpinB14_OVA', NULL, NULL, 'serpinB14_OVA', 1204),
(1205, 'cd00322', NULL, 'FNR_like', NULL, NULL, 'FNR_like', 1205),
(1206, 'cd11453', NULL, 'bHLH_AtBIM_like', NULL, NULL, 'bHLH_AtBIM_like', 1206),
(1207, 'cd07655', NULL, 'F-BAR_PACSIN', NULL, NULL, 'F-BAR_PACSIN', 1207),
(1208, 'cd17108', NULL, 'FERM_F1_EPB41L5_like', NULL, NULL, 'FERM_F1_EPB41L5_like', 1208),
(1209, 'cd18547', NULL, 'ABC_6TM_Tm288_like', NULL, NULL, 'ABC_6TM_Tm288_like', 1209),
(1210, 'cd13386', NULL, 'PH1_FGD2', NULL, NULL, 'PH1_FGD2', 1210),
(1211, 'cd00448', NULL, 'YjgF_YER057c_UK114_family', NULL, NULL, 'YjgF_YER057c_UK114_family', 1211),
(1212, 'cd08218', NULL, 'STKc_Nek1', NULL, NULL, 'STKc_Nek1', 1212),
(1213, 'cd11300', NULL, 'Fut8_like', NULL, NULL, 'Fut8_like', 1213),
(1214, 'cd17757', NULL, 'MCM6', NULL, NULL, 'MCM6', 1214),
(1215, 'cd07041', NULL, 'STAS_RsbR_RsbS_like', NULL, NULL, 'STAS_RsbR_RsbS_like', 1215),
(1216, 'cd15098', NULL, '7tmA_Gal1_R', NULL, NULL, '7tmA_Gal1_R', 1216),
(1217, 'cd03509', NULL, 'DesA_FADS-like', NULL, NULL, 'DesA_FADS-like', 1217),
(1218, 'cd05278', NULL, 'FDH_like', NULL, NULL, 'FDH_like', 1218),
(1219, 'cd05903', NULL, 'CHC_CoA_lg', NULL, NULL, 'CHC_CoA_lg', 1219),
(1220, 'cd06390', NULL, 'PBP1_iGluR_AMPA_GluR1', NULL, NULL, 'PBP1_iGluR_AMPA_GluR1', 1220),
(1221, 'cd05844', NULL, 'GT4-like', NULL, NULL, 'GT4-like', 1221),
(1222, 'cd16477', NULL, 'RING-H2_RNF214', NULL, NULL, 'RING-H2_RNF214', 1222),
(1223, 'cd02588', NULL, 'HAD_L2-DEX', NULL, NULL, 'HAD_L2-DEX', 1223),
(1224, 'cd02875', NULL, 'GH18_chitobiase', NULL, NULL, 'GH18_chitobiase', 1224),
(1225, 'cd18678', NULL, 'PIN_MtVapC25_VapC33-like', NULL, NULL, 'PIN_MtVapC25_VapC33-like', 1225),
(1226, 'cd05467', NULL, 'CBM20', NULL, NULL, 'CBM20', 1226),
(1227, 'cd05891', NULL, 'Ig_M-protein_C', NULL, NULL, 'Ig_M-protein_C', 1227),
(1228, 'cd08496', NULL, 'PBP2_NikA_DppA_OppA_like_9', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_9', 1228),
(1229, 'cd21559', NULL, 'gammaCoV-Nsp6', NULL, NULL, 'gammaCoV-Nsp6', 1229),
(1230, 'cd04205', NULL, 'CuRO_2_LCC_like', NULL, NULL, 'CuRO_2_LCC_like', 1230),
(1231, 'cd14509', NULL, 'PTP_PTEN', NULL, NULL, 'PTP_PTEN', 1231),
(1232, 'cd19033', NULL, 'LGIC_ECD_nAChR_proto-like', NULL, NULL, 'LGIC_ECD_nAChR_proto-like', 1232),
(1233, 'cd05830', NULL, 'Sortase_E', NULL, NULL, 'Sortase_E', 1233),
(1234, 'cd08536', NULL, 'SAM_PNT-Mae', NULL, NULL, 'SAM_PNT-Mae', 1234),
(1235, 'cd09728', NULL, 'Csx1_III-U', NULL, NULL, 'Csx1_III-U', 1235),
(1236, 'cd19579', NULL, 'serpin1K-like', NULL, NULL, 'serpin1K-like', 1236),
(1237, 'cd06342', NULL, 'PBP1_ABC_LIVBP-like', NULL, NULL, 'PBP1_ABC_LIVBP-like', 1237),
(1238, 'cd08888', NULL, 'SRPBCC_PITPNA-B_like', NULL, NULL, 'SRPBCC_PITPNA-B_like', 1238),
(1239, 'cd05659', NULL, 'M18_API', NULL, NULL, 'M18_API', 1239),
(1240, 'cd12047', NULL, 'SH3_Noxa1_C', NULL, NULL, 'SH3_Noxa1_C', 1240),
(1241, 'cd01996', NULL, 'Alpha_ANH_like_III', NULL, NULL, 'Alpha_ANH_like_III', 1241),
(1242, 'cd04887', NULL, 'ACT_MalLac-Enz', NULL, NULL, 'ACT_MalLac-Enz', 1242),
(1243, 'sd00006', NULL, 'TPR', NULL, NULL, 'TPR', 1243),
(1244, 'cd14508', NULL, 'PTP_tensin', NULL, NULL, 'PTP_tensin', 1244),
(1245, 'cd06087', NULL, 'KOW_RPS4', NULL, NULL, 'KOW_RPS4', 1245),
(1246, 'cd13150', NULL, 'DAXX_histone_binding', NULL, NULL, 'DAXX_histone_binding', 1246),
(1247, 'cd16191', NULL, 'EFh_PEF_CAPN8', NULL, NULL, 'EFh_PEF_CAPN8', 1247),
(1248, 'cd03728', NULL, 'SOCS_ASB_9_11', NULL, NULL, 'SOCS_ASB_9_11', 1248); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(1249, 'cd15628', NULL, 'PHD_BAZ1B', NULL, NULL, 'PHD_BAZ1B', 1249),
(1250, 'cd03885', NULL, 'M20_CPDG2', NULL, NULL, 'M20_CPDG2', 1250),
(1251, 'cd04865', NULL, 'LigD_Pol_like_2', NULL, NULL, 'LigD_Pol_like_2', 1251),
(1252, 'cd05504', NULL, 'Bromo_Acf1_like', NULL, NULL, 'Bromo_Acf1_like', 1252),
(1253, 'cd10978', NULL, 'CE4_Sll1306_like', NULL, NULL, 'CE4_Sll1306_like', 1253),
(1254, 'cd15941', NULL, '7tmA_OR10S1-like', NULL, NULL, '7tmA_OR10S1-like', 1254),
(1255, 'cd17063', NULL, 'Ubl_ANKRD60', NULL, NULL, 'Ubl_ANKRD60', 1255),
(1256, 'cd14664', NULL, 'STK_BAK1_like', NULL, NULL, 'STK_BAK1_like', 1256),
(1257, 'cd16159', NULL, 'ES', NULL, NULL, 'ES', 1257),
(1258, 'cd10388', NULL, 'SH2_SOCS7', NULL, NULL, 'SH2_SOCS7', 1258),
(1259, 'cd04513', NULL, 'Glycosylasparaginase', NULL, NULL, 'Glycosylasparaginase', 1259),
(1260, 'cd14934', NULL, 'MYSc_Myh16', NULL, NULL, 'MYSc_Myh16', 1260),
(1261, 'cd01359', NULL, 'Argininosuccinate_lyase', NULL, NULL, 'Argininosuccinate_lyase', 1261),
(1262, 'cd16233', NULL, 'EFh_SPARC_FSTL1', NULL, NULL, 'EFh_SPARC_FSTL1', 1262),
(1263, 'cd16372', NULL, 'DMSOR_beta_like', NULL, NULL, 'DMSOR_beta_like', 1263),
(1264, 'cd08355', NULL, 'TioX_like', NULL, NULL, 'TioX_like', 1264),
(1265, 'cd11928', NULL, 'SH3_SH3RF3_1', NULL, NULL, 'SH3_SH3RF3_1', 1265),
(1266, 'cd00743', NULL, 'lipocalin_RBP_like', NULL, NULL, 'lipocalin_RBP_like', 1266),
(1267, 'cd06208', NULL, 'CYPOR_like_FNR', NULL, NULL, 'CYPOR_like_FNR', 1267),
(1268, 'cd03272', NULL, 'ABC_SMC3_euk', NULL, NULL, 'ABC_SMC3_euk', 1268),
(1269, 'cd02010', NULL, 'TPP_ALS', NULL, NULL, 'TPP_ALS', 1269),
(1270, 'cd06829', NULL, 'PLPDE_III_CANSDC', NULL, NULL, 'PLPDE_III_CANSDC', 1270),
(1271, 'cd00374', NULL, 'RNase_T2', NULL, NULL, 'RNase_T2', 1271),
(1272, 'cd11572', NULL, 'RlmI_M_like', NULL, NULL, 'RlmI_M_like', 1272),
(1273, 'cd00503', NULL, 'Frataxin', NULL, NULL, 'Frataxin', 1273),
(1274, 'cd14520', NULL, 'DSP_DUSP12', NULL, NULL, 'DSP_DUSP12', 1274),
(1275, 'cd10476', NULL, 'EphR_LBD_B1', NULL, NULL, 'EphR_LBD_B1', 1275),
(1276, 'cd09875', NULL, 'PIN_VapC-FitB-like', NULL, NULL, 'PIN_VapC-FitB-like', 1276),
(1277, 'cd04042', NULL, 'C2A_MCTP_PRT', NULL, NULL, 'C2A_MCTP_PRT', 1277),
(1278, 'cd19000', NULL, 'LGIC_ECD_GABAAR_G', NULL, NULL, 'LGIC_ECD_GABAAR_G', 1278),
(1279, 'cd17586', NULL, 'REC_PFxFATGY', NULL, NULL, 'REC_PFxFATGY', 1279),
(1280, 'cd05864', NULL, 'Ig_VEGFR-2', NULL, NULL, 'Ig_VEGFR-2', 1280),
(1281, 'cd11416', NULL, 'bHLH_TS_ceHLH13_like', NULL, NULL, 'bHLH_TS_ceHLH13_like', 1281),
(1282, 'cd19921', NULL, 'REC_1_GGDEF', NULL, NULL, 'REC_1_GGDEF', 1282),
(1283, 'cd04203', NULL, 'Cupredoxin_like_3', NULL, NULL, 'Cupredoxin_like_3', 1283),
(1284, 'cd00879', NULL, 'Sar1', NULL, NULL, 'Sar1', 1284),
(1285, 'cd01787', NULL, 'RA_MRL', NULL, NULL, 'RA_MRL', 1285),
(1286, 'cd14400', NULL, 'UBA_Gts1p_like', NULL, NULL, 'UBA_Gts1p_like', 1286),
(1287, 'cd08727', NULL, 'RGS_RGS22_2', NULL, NULL, 'RGS_RGS22_2', 1287),
(1288, 'cd12512', NULL, 'RRM3_RBM12', NULL, NULL, 'RRM3_RBM12', 1288),
(1289, 'cd12900', NULL, 'SPRY_PRY_TRIM21', NULL, NULL, 'SPRY_PRY_TRIM21', 1289),
(1290, 'cd18090', NULL, 'Arginine_MT_Sfm1', NULL, NULL, 'Arginine_MT_Sfm1', 1290),
(1291, 'cd09253', NULL, 'AP-4_Mu4_Cterm', NULL, NULL, 'AP-4_Mu4_Cterm', 1291),
(1292, 'cd15548', NULL, 'PHD_ASH1L', NULL, NULL, 'PHD_ASH1L', 1292),
(1293, 'cd11299', NULL, 'O-FucT_plant', NULL, NULL, 'O-FucT_plant', 1293),
(1294, 'cd13247', NULL, 'BAR-PH_APPL', NULL, NULL, 'BAR-PH_APPL', 1294),
(1295, 'cd15488', NULL, 'Tm-1-like', NULL, NULL, 'Tm-1-like', 1295),
(1296, 'cd12917', NULL, 'VKOR_euk', NULL, NULL, 'VKOR_euk', 1296),
(1297, 'cd03240', NULL, 'ABC_Rad50', NULL, NULL, 'ABC_Rad50', 1297),
(1298, 'cd11770', NULL, 'SH3_Nephrocystin', NULL, NULL, 'SH3_Nephrocystin', 1298),
(1299, 'cd00831', NULL, 'CHS_like', NULL, NULL, 'CHS_like', 1299),
(1300, 'cd03358', NULL, 'LbH_WxcM_N_like', NULL, NULL, 'LbH_WxcM_N_like', 1300),
(1301, 'cd16710', NULL, 'RING-HC_Cbl-c', NULL, NULL, 'RING-HC_Cbl-c', 1301),
(1302, 'cd21568', NULL, 'HCoV-like_M', NULL, NULL, 'HCoV-like_M', 1302);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(1303, 'cd04019', NULL, 'C2C_MCTP_PRT_plant', NULL, NULL, 'C2C_MCTP_PRT_plant', 1303),
(1304, 'cd11464', NULL, 'bHLH_TS_TWIST', NULL, NULL, 'bHLH_TS_TWIST', 1304),
(1305, 'cd00287', NULL, 'ribokinase_pfkB_like', NULL, NULL, 'ribokinase_pfkB_like', 1305),
(1306, 'cd01992', NULL, 'PP-ATPase', NULL, NULL, 'PP-ATPase', 1306),
(1307, 'cd00490', NULL, 'Met_repressor_MetJ', NULL, NULL, 'Met_repressor_MetJ', 1307),
(1308, 'cd13237', NULL, 'PH2_FGD5_FGD6', NULL, NULL, 'PH2_FGD5_FGD6', 1308),
(1309, 'cd02899', NULL, 'PLAT_SR', NULL, NULL, 'PLAT_SR', 1309),
(1310, 'cd09320', NULL, 'TDT_like_2', NULL, NULL, 'TDT_like_2', 1310),
(1311, 'cd11933', NULL, 'SH3_Nebulin_C', NULL, NULL, 'SH3_Nebulin_C', 1311),
(1312, 'cd17392', NULL, 'MFS_MFSD2', NULL, NULL, 'MFS_MFSD2', 1312),
(1313, 'cd07625', NULL, 'BAR_Vps17p', NULL, NULL, 'BAR_Vps17p', 1313),
(1314, 'cd08514', NULL, 'PBP2_AppA_like', NULL, NULL, 'PBP2_AppA_like', 1314),
(1315, 'cd09812', NULL, '3b-HSD_like_1_SDR_e', NULL, NULL, '3b-HSD_like_1_SDR_e', 1315),
(1316, 'cd17139', NULL, 'RBD2_RGS14', NULL, NULL, 'RBD2_RGS14', 1316),
(1317, 'cd17352', NULL, 'MFS_MCT_SLC16', NULL, NULL, 'MFS_MCT_SLC16', 1317),
(1318, 'cd04028', NULL, 'C2B_RIM1alpha', NULL, NULL, 'C2B_RIM1alpha', 1318),
(1319, 'cd15545', NULL, 'PHD_BAZ2A_like', NULL, NULL, 'PHD_BAZ2A_like', 1319),
(1320, 'cd18693', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 1320),
(1321, 'cd08448', NULL, 'PBP2_LTTR_aromatics_like_2', NULL, NULL, 'PBP2_LTTR_aromatics_like_2', 1321),
(1322, 'cd17007', NULL, 'ANTH_N_Sla2p', NULL, NULL, 'ANTH_N_Sla2p', 1322),
(1323, 'cd18972', NULL, 'CD_POL_like', NULL, NULL, 'CD_POL_like', 1323),
(1324, 'cd15396', NULL, '7tmA_NPY6R', NULL, NULL, '7tmA_NPY6R', 1324),
(1325, 'cd01230', NULL, 'PH1_Tiam1_2', NULL, NULL, 'PH1_Tiam1_2', 1325),
(1326, 'cd09001', NULL, 'GH43_FsAxh1-like', NULL, NULL, 'GH43_FsAxh1-like', 1326),
(1327, 'cd09731', NULL, 'Cse2_I-E', NULL, NULL, 'Cse2_I-E', 1327),
(1328, 'cd18644', NULL, 'CD_polycomb', NULL, NULL, 'CD_polycomb', 1328),
(1329, 'cd17481', NULL, 'MFS_MFSD13A', NULL, NULL, 'MFS_MFSD13A', 1329),
(1330, 'cd14568', NULL, 'DSP_MKP_classIII', NULL, NULL, 'DSP_MKP_classIII', 1330),
(1331, 'cd19849', NULL, 'Bbox1_TRIM46_C-I', NULL, NULL, 'Bbox1_TRIM46_C-I', 1331),
(1332, 'cd12089', NULL, 'Hef_ID', NULL, NULL, 'Hef_ID', 1332),
(1333, 'cd01538', NULL, 'PBP1_ABC_xylose_binding-like', NULL, NULL, 'PBP1_ABC_xylose_binding-like', 1333),
(1334, 'cd20304', NULL, 'cupin_OxDC_N', NULL, NULL, 'cupin_OxDC_N', 1334),
(1335, 'cd09106', NULL, 'PLDc_vPLD3_4_5_like_1', NULL, NULL, 'PLDc_vPLD3_4_5_like_1', 1335),
(1336, 'cd14229', NULL, 'STKc_HIPK3', NULL, NULL, 'STKc_HIPK3', 1336),
(1337, 'cd14444', NULL, 'AlgX_N_like_1', NULL, NULL, 'AlgX_N_like_1', 1337),
(1338, 'cd12938', NULL, 'GUCT_Hera', NULL, NULL, 'GUCT_Hera', 1338),
(1339, 'cd05693', NULL, 'S1_Rrp5_repeat_hs1_sc1', NULL, NULL, 'S1_Rrp5_repeat_hs1_sc1', 1339),
(1340, 'cd16111', NULL, 'DCX_DCLK3', NULL, NULL, 'DCX_DCLK3', 1340),
(1341, 'cd01171', NULL, 'YXKO-related', NULL, NULL, 'YXKO-related', 1341),
(1342, 'cd04515', NULL, 'Alpha_kinase', NULL, NULL, 'Alpha_kinase', 1342),
(1343, 'cd07525', NULL, 'HAD_like', NULL, NULL, 'HAD_like', 1343),
(1344, 'cd11340', NULL, 'AmyAc_bac_CMD_like_3', NULL, NULL, 'AmyAc_bac_CMD_like_3', 1344),
(1345, 'cd17170', NULL, 'FERM_F1_FRMPD4', NULL, NULL, 'FERM_F1_FRMPD4', 1345),
(1346, 'cd05933', NULL, 'ACSBG_like', NULL, NULL, 'ACSBG_like', 1346),
(1347, 'cd06882', NULL, 'PX_p40phox', NULL, NULL, 'PX_p40phox', 1347),
(1348, 'cd14751', NULL, 'PBP2_GacH', NULL, NULL, 'PBP2_GacH', 1348),
(1349, 'cd07945', NULL, 'DRE_TIM_CMS', NULL, NULL, 'DRE_TIM_CMS', 1349),
(1350, 'cd14298', NULL, 'UBA2_scUBP14_like', NULL, NULL, 'UBA2_scUBP14_like', 1350),
(1351, 'cd16407', NULL, 'ParB_N_like', NULL, NULL, 'ParB_N_like', 1351),
(1352, 'cd04946', NULL, 'GT4_AmsK-like', NULL, NULL, 'GT4_AmsK-like', 1352),
(1353, 'cd05323', NULL, 'ADH_SDR_c_like', NULL, NULL, 'ADH_SDR_c_like', 1353),
(1354, 'cd16737', NULL, 'RING-HC_PCGF5', NULL, NULL, 'RING-HC_PCGF5', 1354),
(1355, 'cd05656', NULL, 'M42_Frv', NULL, NULL, 'M42_Frv', 1355);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(1356, 'cd07880', NULL, 'STKc_p38gamma', NULL, NULL, 'STKc_p38gamma', 1356),
(1357, 'cd17312', NULL, 'MFS_OPA_SLC37', NULL, NULL, 'MFS_OPA_SLC37', 1357),
(1358, 'cd04372', NULL, 'RhoGAP_chimaerin', NULL, NULL, 'RhoGAP_chimaerin', 1358),
(1359, 'cd08226', NULL, 'PK_STRAD_beta', NULL, NULL, 'PK_STRAD_beta', 1359),
(1360, 'cd16881', NULL, 'ARID_Dri-like', NULL, NULL, 'ARID_Dri-like', 1360),
(1361, 'cd19774', NULL, 'Bbox2_TRIM23_C-IX_rpt2', NULL, NULL, 'Bbox2_TRIM23_C-IX_rpt2', 1361),
(1362, 'cd08207', NULL, 'RLP_NonPhot', NULL, NULL, 'RLP_NonPhot', 1362),
(1363, 'cd06654', NULL, 'STKc_PAK1', NULL, NULL, 'STKc_PAK1', 1363),
(1364, 'cd18960', NULL, 'CD_HP1_like', NULL, NULL, 'CD_HP1_like', 1364),
(1365, 'cd10295', NULL, 'GST_C_Sigma', NULL, NULL, 'GST_C_Sigma', 1365),
(1366, 'cd00157', NULL, 'Rho', NULL, NULL, 'Rho', 1366),
(1367, 'cd10940', NULL, 'CE4_PuuE_HpPgdA_like_1', NULL, NULL, 'CE4_PuuE_HpPgdA_like_1', 1367),
(1368, 'cd00054', NULL, 'EGF_CA', NULL, NULL, 'EGF_CA', 1368),
(1369, 'cd19777', NULL, 'Bbox2_TRIM35_C-IV', NULL, NULL, 'Bbox2_TRIM35_C-IV', 1369),
(1370, 'cd11410', NULL, 'bHLH_O_HES', NULL, NULL, 'bHLH_O_HES', 1370),
(1371, 'cd12316', NULL, 'RRM3_RBM19_RRM2_MRD1', NULL, NULL, 'RRM3_RBM19_RRM2_MRD1', 1371),
(1372, 'cd15343', NULL, '7tmA_LPAR3_Edg7', NULL, NULL, '7tmA_LPAR3_Edg7', 1372),
(1373, 'cd11804', NULL, 'SH3_GRB2_like_N', NULL, NULL, 'SH3_GRB2_like_N', 1373),
(1374, 'cd01087', NULL, 'Prolidase', NULL, NULL, 'Prolidase', 1374),
(1375, 'cd05231', NULL, 'NmrA_TMR_like_1_SDR_a', NULL, NULL, 'NmrA_TMR_like_1_SDR_a', 1375),
(1376, 'cd12772', NULL, 'RRM1_HuC', NULL, NULL, 'RRM1_HuC', 1376),
(1377, 'cd17422', NULL, 'MFS_MCT7', NULL, NULL, 'MFS_MCT7', 1377),
(1378, 'cd02930', NULL, 'DCR_FMN', NULL, NULL, 'DCR_FMN', 1378),
(1379, 'cd10487', NULL, 'EphR_LBD_A10', NULL, NULL, 'EphR_LBD_A10', 1379),
(1380, 'cd19156', NULL, 'AKR_AKR5A1_2', NULL, NULL, 'AKR_AKR5A1_2', 1380),
(1381, 'cd12369', NULL, 'RRM4_RBM45', NULL, NULL, 'RRM4_RBM45', 1381),
(1382, 'cd03698', NULL, 'eRF3_II_like', NULL, NULL, 'eRF3_II_like', 1382),
(1383, 'cd18528', NULL, 'BACK_RCBTB1', NULL, NULL, 'BACK_RCBTB1', 1383),
(1384, 'cd07087', NULL, 'ALDH_F3-13-14_CALDH-like', NULL, NULL, 'ALDH_F3-13-14_CALDH-like', 1384),
(1385, 'cd17372', NULL, 'MFS_SVOP_like', NULL, NULL, 'MFS_SVOP_like', 1385),
(1386, 'cd09365', NULL, 'LIM2_LIMK', NULL, NULL, 'LIM2_LIMK', 1386),
(1387, 'cd12110', NULL, 'PHP_HisPPase_Hisj_like', NULL, NULL, 'PHP_HisPPase_Hisj_like', 1387),
(1388, 'cd01528', NULL, 'RHOD_2', NULL, NULL, 'RHOD_2', 1388),
(1389, 'cd17339', NULL, 'MFS_NIMT_CynX_like', NULL, NULL, 'MFS_NIMT_CynX_like', 1389),
(1390, 'cd17778', NULL, 'CBS_arch_repeat2', NULL, NULL, 'CBS_arch_repeat2', 1390),
(1391, 'cd15533', NULL, 'PHD1_PHF12', NULL, NULL, 'PHD1_PHF12', 1391),
(1392, 'cd12940', NULL, 'LEM_LAP2_LEMD1', NULL, NULL, 'LEM_LAP2_LEMD1', 1392),
(1393, 'cd04242', NULL, 'AAK_G5K_ProB', NULL, NULL, 'AAK_G5K_ProB', 1393),
(1394, 'cd16358', NULL, 'GlxI_Ni', NULL, NULL, 'GlxI_Ni', 1394),
(1395, 'cd06523', NULL, 'GH25_PlyB-like', NULL, NULL, 'GH25_PlyB-like', 1395),
(1396, 'cd12247', NULL, 'RRM2_U1A_like', NULL, NULL, 'RRM2_U1A_like', 1396),
(1397, 'cd17116', NULL, 'RA_Radil_like', NULL, NULL, 'RA_Radil_like', 1397),
(1398, 'cd14333', NULL, 'UBA_unchar_Eumetazoa', NULL, NULL, 'UBA_unchar_Eumetazoa', 1398),
(1399, 'cd15037', NULL, '7tmF_FZD10', NULL, NULL, '7tmF_FZD10', 1399),
(1400, 'cd04014', NULL, 'C2_PKC_epsilon', NULL, NULL, 'C2_PKC_epsilon', 1400),
(1401, 'cd17010', NULL, 'VHS_GGA2', NULL, NULL, 'VHS_GGA2', 1401),
(1402, 'cd15122', NULL, '7tmA_LTB4R2', NULL, NULL, '7tmA_LTB4R2', 1402),
(1403, 'cd08404', NULL, 'C2B_Synaptotagmin-4', NULL, NULL, 'C2B_Synaptotagmin-4', 1403),
(1404, 'cd12261', NULL, 'RRM1_3_MRN1', NULL, NULL, 'RRM1_3_MRN1', 1404),
(1405, 'cd00733', NULL, 'GlyRS_alpha_core', NULL, NULL, 'GlyRS_alpha_core', 1405),
(1406, 'cd09270', NULL, 'RNase_H2-B', NULL, NULL, 'RNase_H2-B', 1406),
(1407, 'cd02674', NULL, 'Peptidase_C19R', NULL, NULL, 'Peptidase_C19R', 1407),
(1408, 'cd14847', NULL, 'DD-carboxypeptidase_like', NULL, NULL, 'DD-carboxypeptidase_like', 1408);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(1409, 'cd15223', NULL, '7tmA_OR56-like', NULL, NULL, '7tmA_OR56-like', 1409),
(1410, 'cd15445', NULL, '7tmB1_CRF-R1', NULL, NULL, '7tmB1_CRF-R1', 1410),
(1411, 'cd16330', NULL, 'LolA_VioE', NULL, NULL, 'LolA_VioE', 1411),
(1412, 'cd12912', NULL, 'PDC2_MCP_like', NULL, NULL, 'PDC2_MCP_like', 1412),
(1413, 'cd13187', NULL, 'FERM_C_PTPH13', NULL, NULL, 'FERM_C_PTPH13', 1413),
(1414, 'cd20208', NULL, 'Bbox1_DUF2009', NULL, NULL, 'Bbox1_DUF2009', 1414),
(1415, 'cd13378', NULL, 'PH_RhoGAP2', NULL, NULL, 'PH_RhoGAP2', 1415),
(1416, 'cd12423', NULL, 'RRM3_PTBP1_like', NULL, NULL, 'RRM3_PTBP1_like', 1416),
(1417, 'cd13685', NULL, 'PBP2_iGluR_non_NMDA_like', NULL, NULL, 'PBP2_iGluR_non_NMDA_like', 1417),
(1418, 'cd17516', NULL, 'RMtype1_S_HinAWORF1578P-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_HinAWORF1578P-TRD2-CR2_like', 1418),
(1419, 'cd01823', NULL, 'SEST_like', NULL, NULL, 'SEST_like', 1419),
(1420, 'cd12454', NULL, 'RRM2_RIM4_like', NULL, NULL, 'RRM2_RIM4_like', 1420),
(1421, 'cd08886', NULL, 'RHO_alpha_C_2', NULL, NULL, 'RHO_alpha_C_2', 1421),
(1422, 'cd14352', NULL, 'UBA_DCN1', NULL, NULL, 'UBA_DCN1', 1422),
(1423, 'cd11943', NULL, 'SH3_JIP1', NULL, NULL, 'SH3_JIP1', 1423),
(1424, 'cd11935', NULL, 'SH3_Nebulette_C', NULL, NULL, 'SH3_Nebulette_C', 1424),
(1425, 'cd09753', NULL, 'Cas5_I-A', NULL, NULL, 'Cas5_I-A', 1425),
(1426, 'cd18114', NULL, 'ATP-synt_flagellum-secretory_path_III_C', NULL, NULL, 'ATP-synt_flagellum-secretory_path_III_C', 1426),
(1427, 'cd11779', NULL, 'SH3_Irsp53_BAIAP2L', NULL, NULL, 'SH3_Irsp53_BAIAP2L', 1427),
(1428, 'cd08327', NULL, 'CARD_RAIDD', NULL, NULL, 'CARD_RAIDD', 1428),
(1429, 'cd09844', NULL, 'PLDc_vPLD1_2', NULL, NULL, 'PLDc_vPLD1_2', 1429),
(1430, 'cd02659', NULL, 'peptidase_C19C', NULL, NULL, 'peptidase_C19C', 1430),
(1431, 'cd04821', NULL, 'PA_M28_1_2', NULL, NULL, 'PA_M28_1_2', 1431),
(1432, 'cd05849', NULL, 'Ig1_Contactin-1', NULL, NULL, 'Ig1_Contactin-1', 1432),
(1433, 'cd07601', NULL, 'BAR_APPL', NULL, NULL, 'BAR_APPL', 1433),
(1434, 'cd11623', NULL, 'HR1_PKN_2', NULL, NULL, 'HR1_PKN_2', 1434),
(1435, 'cd14182', NULL, 'STKc_PhKG1', NULL, NULL, 'STKc_PhKG1', 1435),
(1436, 'cd14670', NULL, 'BslA_like', NULL, NULL, 'BslA_like', 1436),
(1437, 'cd19898', NULL, 'DSRM_RED1_rpt2', NULL, NULL, 'DSRM_RED1_rpt2', 1437),
(1438, 'cd01310', NULL, 'TatD_DNAse', NULL, NULL, 'TatD_DNAse', 1438),
(1439, 'cd15230', NULL, '7tmA_OR5-like', NULL, NULL, '7tmA_OR5-like', 1439),
(1440, 'cd00037', NULL, 'CLECT', NULL, NULL, 'CLECT', 1440),
(1441, 'cd05289', NULL, 'MDR_like_2', NULL, NULL, 'MDR_like_2', 1441),
(1442, 'cd16132', NULL, 'RA_RASSF10', NULL, NULL, 'RA_RASSF10', 1442),
(1443, 'cd05519', NULL, 'Bromo_SNF2', NULL, NULL, 'Bromo_SNF2', 1443),
(1444, 'cd08754', NULL, 'RGS_LARG', NULL, NULL, 'RGS_LARG', 1444),
(1445, 'cd17053', NULL, 'Ubl2_FAT10', NULL, NULL, 'Ubl2_FAT10', 1445),
(1446, 'cd16114', NULL, 'Ubl_SUMO1', NULL, NULL, 'Ubl_SUMO1', 1446),
(1447, 'cd00934', NULL, 'PTB', NULL, NULL, 'PTB', 1447),
(1448, 'cd12474', NULL, 'RRM2_MSSP2', NULL, NULL, 'RRM2_MSSP2', 1448),
(1449, 'cd09867', NULL, 'PIN_FEN1', NULL, NULL, 'PIN_FEN1', 1449),
(1450, 'cd01732', NULL, 'LSm5', NULL, NULL, 'LSm5', 1450),
(1451, 'cd07713', NULL, 'DHPS-like_MBL-fold', NULL, NULL, 'DHPS-like_MBL-fold', 1451),
(1452, 'cd09824', NULL, 'myeloperoxidase_like', NULL, NULL, 'myeloperoxidase_like', 1452),
(1453, 'cd01870', NULL, 'RhoA_like', NULL, NULL, 'RhoA_like', 1453),
(1454, 'cd16948', NULL, 'HATPase_BceS-YxdK-YvcQ-like', NULL, NULL, 'HATPase_BceS-YxdK-YvcQ-like', 1454),
(1455, 'cd00112', NULL, 'LDLa', NULL, NULL, 'LDLa', 1455),
(1456, 'cd09337', NULL, 'LIM2_Paxillin_like', NULL, NULL, 'LIM2_Paxillin_like', 1456),
(1457, 'cd09534', NULL, 'SAM_Ste11_fungal', NULL, NULL, 'SAM_Ste11_fungal', 1457),
(1458, 'cd15959', NULL, '7tmA_Beta3_AR', NULL, NULL, '7tmA_Beta3_AR', 1458),
(1459, 'cd07858', NULL, 'STKc_TEY_MAPK', NULL, NULL, 'STKc_TEY_MAPK', 1459),
(1460, 'cd08487', NULL, 'PBP2_BlaA', NULL, NULL, 'PBP2_BlaA', 1460),
(1461, 'cd15375', NULL, '7tmA_OXGR1', NULL, NULL, '7tmA_OXGR1', 1461),
(1462, 'cd08890', NULL, 'SRPBCC_PITPNC1_like', NULL, NULL, 'SRPBCC_PITPNC1_like', 1462);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(1463, 'cd05503', NULL, 'Bromo_BAZ2A_B_like', NULL, NULL, 'Bromo_BAZ2A_B_like', 1463),
(1464, 'cd00464', NULL, 'SK', NULL, NULL, 'SK', 1464),
(1465, 'cd14385', NULL, 'UBA1_spUBP14_like', NULL, NULL, 'UBA1_spUBP14_like', 1465),
(1466, 'cd16235', NULL, 'EFh_SPARC_SPARC', NULL, NULL, 'EFh_SPARC_SPARC', 1466),
(1467, 'cd02750', NULL, 'MopB_Nitrate-R-NarG-like', NULL, NULL, 'MopB_Nitrate-R-NarG-like', 1467),
(1468, 'cd06900', NULL, 'lectin_VcfQ', NULL, NULL, 'lectin_VcfQ', 1468),
(1469, 'cd16764', NULL, 'RING-HC_TIF1alpha', NULL, NULL, 'RING-HC_TIF1alpha', 1469),
(1470, 'cd03706', NULL, 'mtEFTU_III', NULL, NULL, 'mtEFTU_III', 1470),
(1471, 'cd19456', NULL, 'lipocalin_NP4', NULL, NULL, 'lipocalin_NP4', 1471),
(1472, 'cd17670', NULL, 'R-PTP-G-2', NULL, NULL, 'R-PTP-G-2', 1472),
(1473, 'cd11278', NULL, 'Sema_MET', NULL, NULL, 'Sema_MET', 1473),
(1474, 'cd17036', NULL, 'T3SC_YbjN-like_1', NULL, NULL, 'T3SC_YbjN-like_1', 1474),
(1475, 'cd05936', NULL, 'FC-FACS_FadD_like', NULL, NULL, 'FC-FACS_FadD_like', 1475),
(1476, 'cd19203', NULL, 'SET_SMYD3', NULL, NULL, 'SET_SMYD3', 1476),
(1477, 'cd00644', NULL, 'HMG-CoA_reductase_classII', NULL, NULL, 'HMG-CoA_reductase_classII', 1477),
(1478, 'cd14092', NULL, 'STKc_MSK_C', NULL, NULL, 'STKc_MSK_C', 1478),
(1479, 'cd20302', NULL, 'cupin_DAD', NULL, NULL, 'cupin_DAD', 1479),
(1480, 'cd07326', NULL, 'M56_BlaR1_MecR1_like', NULL, NULL, 'M56_BlaR1_MecR1_like', 1480),
(1481, 'cd02868', NULL, 'PseudoU_synth_hTruB2_like', NULL, NULL, 'PseudoU_synth_hTruB2_like', 1481),
(1482, 'cd02759', NULL, 'MopB_Acetylene-hydratase', NULL, NULL, 'MopB_Acetylene-hydratase', 1482),
(1483, 'cd05587', NULL, 'STKc_cPKC', NULL, NULL, 'STKc_cPKC', 1483),
(1484, 'cd09121', NULL, 'PLDc_DNaseII_2', NULL, NULL, 'PLDc_DNaseII_2', 1484),
(1485, 'cd16416', NULL, 'HAD_BsYqeG-like', NULL, NULL, 'HAD_BsYqeG-like', 1485),
(1486, 'cd10404', NULL, 'SH2_STAP2', NULL, NULL, 'SH2_STAP2', 1486),
(1487, 'cd12724', NULL, 'RRM1_CPEB2_like', NULL, NULL, 'RRM1_CPEB2_like', 1487),
(1488, 'cd15905', NULL, '7tmA_GPBAR1', NULL, NULL, '7tmA_GPBAR1', 1488),
(1489, 'cd07225', NULL, 'Pat_PNPLA6_PNPLA7', NULL, NULL, 'Pat_PNPLA6_PNPLA7', 1489),
(1490, 'cd12201', NULL, 'MARK2_C', NULL, NULL, 'MARK2_C', 1490),
(1491, 'cd11372', NULL, 'RNase_PH_RRP46', NULL, NULL, 'RNase_PH_RRP46', 1491),
(1492, 'cd08690', NULL, 'C2_Freud-1', NULL, NULL, 'C2_Freud-1', 1492),
(1493, 'cd12552', NULL, 'RRM_Nop15p', NULL, NULL, 'RRM_Nop15p', 1493),
(1494, 'cd05050', NULL, 'PTKc_Musk', NULL, NULL, 'PTKc_Musk', 1494),
(1495, 'cd14743', NULL, 'PAAR_CT_1', NULL, NULL, 'PAAR_CT_1', 1495),
(1496, 'cd15636', NULL, 'PHD_PYGO2', NULL, NULL, 'PHD_PYGO2', 1496),
(1497, 'cd06367', NULL, 'PBP1_iGluR_NMDA', NULL, NULL, 'PBP1_iGluR_NMDA', 1497),
(1498, 'cd10416', NULL, 'SH2_SH2D2A', NULL, NULL, 'SH2_SH2D2A', 1498),
(1499, 'cd16961', NULL, 'RMtype1_S_TRD-CR_like', NULL, NULL, 'RMtype1_S_TRD-CR_like', 1499),
(1500, 'cd18396', NULL, 'BTB_POZ_KCTD8', NULL, NULL, 'BTB_POZ_KCTD8', 1500),
(1501, 'cd07968', NULL, 'OBF_DNA_ligase_IV', NULL, NULL, 'OBF_DNA_ligase_IV', 1501),
(1502, 'cd06127', NULL, 'DEDDh', NULL, NULL, 'DEDDh', 1502),
(1503, 'cd01376', NULL, 'KISc_KID_like', NULL, NULL, 'KISc_KID_like', 1503),
(1504, 'cd01778', NULL, 'RA_RASSF1_like', NULL, NULL, 'RA_RASSF1_like', 1504),
(1505, 'cd13658', NULL, 'PBP2_CMBP', NULL, NULL, 'PBP2_CMBP', 1505),
(1506, 'cd17363', NULL, 'MFS_SV2', NULL, NULL, 'MFS_SV2', 1506),
(1507, 'cd11474', NULL, 'SLC5sbd_CHT', NULL, NULL, 'SLC5sbd_CHT', 1507),
(1508, 'cd19731', NULL, 'bHLH-PAS_NPAS1_PASD5', NULL, NULL, 'bHLH-PAS_NPAS1_PASD5', 1508),
(1509, 'cd01536', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 1509),
(1510, 'cd00877', NULL, 'Ran', NULL, NULL, 'Ran', 1510),
(1511, 'cd15662', NULL, 'ePHD_ATX1_2_like', NULL, NULL, 'ePHD_ATX1_2_like', 1511),
(1512, 'cd06221', NULL, 'sulfite_reductase_like', NULL, NULL, 'sulfite_reductase_like', 1512),
(1513, 'cd17973', NULL, 'DEXHc_DHX15', NULL, NULL, 'DEXHc_DHX15', 1513),
(1514, 'cd09602', NULL, 'M1_APN', NULL, NULL, 'M1_APN', 1514),
(1515, 'cd16396', NULL, 'Noc_N', NULL, NULL, 'Noc_N', 1515); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(1516, 'cd03709', NULL, 'lepA_C', NULL, NULL, 'lepA_C', 1516),
(1517, 'cd01493', NULL, 'APPBP1_RUB', NULL, NULL, 'APPBP1_RUB', 1517),
(1518, 'cd14037', NULL, 'STKc_NAK_like', NULL, NULL, 'STKc_NAK_like', 1518),
(1519, 'cd14146', NULL, 'STKc_MLK4', NULL, NULL, 'STKc_MLK4', 1519),
(1520, 'cd14329', NULL, 'UBA_SWA2p_like', NULL, NULL, 'UBA_SWA2p_like', 1520),
(1521, 'cd09160', NULL, 'PLDc_SMU_988_like_2', NULL, NULL, 'PLDc_SMU_988_like_2', 1521),
(1522, 'cd17127', NULL, 'Ubl_TBK1', NULL, NULL, 'Ubl_TBK1', 1522),
(1523, 'cd18765', NULL, 'PIN_MtVapC3-like', NULL, NULL, 'PIN_MtVapC3-like', 1523),
(1524, 'cd05240', NULL, 'UDP_G4E_3_SDR_e', NULL, NULL, 'UDP_G4E_3_SDR_e', 1524),
(1525, 'cd16611', NULL, 'RING-HC_TRIM69_C-IV', NULL, NULL, 'RING-HC_TRIM69_C-IV', 1525),
(1526, 'cd07031', NULL, 'RNAP_II_RPB3', NULL, NULL, 'RNAP_II_RPB3', 1526),
(1527, 'cd12239', NULL, 'RRM2_RBM40_like', NULL, NULL, 'RRM2_RBM40_like', 1527),
(1528, 'cd21590', NULL, 'deltaCoV_RdRp', NULL, NULL, 'deltaCoV_RdRp', 1528),
(1529, 'cd18083', NULL, 'aTrm56-like', NULL, NULL, 'aTrm56-like', 1529),
(1530, 'cd00927', NULL, 'Cyt_c_Oxidase_VIc', NULL, NULL, 'Cyt_c_Oxidase_VIc', 1530),
(1531, 'cd12436', NULL, 'RRM1_2_MATR3_like', NULL, NULL, 'RRM1_2_MATR3_like', 1531),
(1532, 'cd07410', NULL, 'MPP_CpdB_N', NULL, NULL, 'MPP_CpdB_N', 1532),
(1533, 'cd11745', NULL, 'Yos9_DD', NULL, NULL, 'Yos9_DD', 1533),
(1534, 'cd18286', NULL, 'BTB2_POZ_BTBD8', NULL, NULL, 'BTB2_POZ_BTBD8', 1534),
(1535, 'cd07563', NULL, 'Peptidase_S41_IRBP', NULL, NULL, 'Peptidase_S41_IRBP', 1535),
(1536, 'cd15521', NULL, 'PHD_VIN3_plant', NULL, NULL, 'PHD_VIN3_plant', 1536),
(1537, 'cd18175', NULL, 'ATP-synt_Vo_c_ATP6C_rpt1', NULL, NULL, 'ATP-synt_Vo_c_ATP6C_rpt1', 1537),
(1538, 'cd09848', NULL, 'M28_TfR', NULL, NULL, 'M28_TfR', 1538),
(1539, 'cd01668', NULL, 'TGS_RSH', NULL, NULL, 'TGS_RSH', 1539),
(1540, 'cd04086', NULL, 'CBM35_mannanase-like', NULL, NULL, 'CBM35_mannanase-like', 1540),
(1541, 'cd07030', NULL, 'RNAP_D', NULL, NULL, 'RNAP_D', 1541),
(1542, 'cd01057', NULL, 'AAMH_A', NULL, NULL, 'AAMH_A', 1542),
(1543, 'cd01744', NULL, 'GATase1_CPSase', NULL, NULL, 'GATase1_CPSase', 1543),
(1544, 'cd03196', NULL, 'GST_C_5', NULL, NULL, 'GST_C_5', 1544),
(1545, 'cd13704', NULL, 'PBP2_HisK', NULL, NULL, 'PBP2_HisK', 1545),
(1546, 'cd05100', NULL, 'PTKc_FGFR3', NULL, NULL, 'PTKc_FGFR3', 1546),
(1547, 'cd08412', NULL, 'PBP2_PAO1_like', NULL, NULL, 'PBP2_PAO1_like', 1547),
(1548, 'cd19736', NULL, 'bHLH-PAS_PASD1', NULL, NULL, 'bHLH-PAS_PASD1', 1548),
(1549, 'cd15300', NULL, '7tmA_mAChR_M5', NULL, NULL, '7tmA_mAChR_M5', 1549),
(1550, 'cd18041', NULL, 'DEXXQc_DNA2', NULL, NULL, 'DEXXQc_DNA2', 1550),
(1551, 'cd04757', NULL, 'Commd9', NULL, NULL, 'Commd9', 1551),
(1552, 'cd08296', NULL, 'CAD_like', NULL, NULL, 'CAD_like', 1552),
(1553, 'cd16302', NULL, 'CcrA-like_MBL-B1', NULL, NULL, 'CcrA-like_MBL-B1', 1553),
(1554, 'cd03142', NULL, 'GATase1_ThuA', NULL, NULL, 'GATase1_ThuA', 1554),
(1555, 'cd19044', NULL, 'LGIC_ECD_GABAAR_G2', NULL, NULL, 'LGIC_ECD_GABAAR_G2', 1555),
(1556, 'cd00827', NULL, 'init_cond_enzymes', NULL, NULL, 'init_cond_enzymes', 1556),
(1557, 'cd09911', NULL, 'Lin0431_like', NULL, NULL, 'Lin0431_like', 1557),
(1558, 'cd19539', NULL, 'SgcC5_NRPS-like', NULL, NULL, 'SgcC5_NRPS-like', 1558),
(1559, 'cd00656', NULL, 'Zn-ribbon', NULL, NULL, 'Zn-ribbon', 1559),
(1560, 'cd08261', NULL, 'Zn_ADH7', NULL, NULL, 'Zn_ADH7', 1560),
(1561, 'cd01943', NULL, 'MAK32', NULL, NULL, 'MAK32', 1561),
(1562, 'cd00091', NULL, 'NUC', NULL, NULL, 'NUC', 1562),
(1563, 'cd08391', NULL, 'C2A_C2C_Synaptotagmin_like', NULL, NULL, 'C2A_C2C_Synaptotagmin_like', 1563),
(1564, 'cd15498', NULL, 'PHD2_Snt2p_like', NULL, NULL, 'PHD2_Snt2p_like', 1564),
(1565, 'cd12737', NULL, 'RRM1_ESRP2', NULL, NULL, 'RRM1_ESRP2', 1565),
(1566, 'cd07562', NULL, 'Peptidase_S41_TRI', NULL, NULL, 'Peptidase_S41_TRI', 1566),
(1567, 'cd12018', NULL, 'SH3_Tks4_4', NULL, NULL, 'SH3_Tks4_4', 1567),
(1568, 'cd19073', NULL, 'AKR_AKR3F2_3', NULL, NULL, 'AKR_AKR3F2_3', 1568),
(1569, 'cd00870', NULL, 'PI3Ka_III', NULL, NULL, 'PI3Ka_III', 1569);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(1570, 'cd06951', NULL, 'NR_LBD_Dax1_like', NULL, NULL, 'NR_LBD_Dax1_like', 1570),
(1571, 'cd15751', NULL, 'FYVE_BSN_PCLO', NULL, NULL, 'FYVE_BSN_PCLO', 1571),
(1572, 'cd04145', NULL, 'M_R_Ras_like', NULL, NULL, 'M_R_Ras_like', 1572),
(1573, 'cd17112', NULL, 'RA_MRL_like', NULL, NULL, 'RA_MRL_like', 1573),
(1574, 'cd18277', NULL, 'BTB_POZ_BACH1', NULL, NULL, 'BTB_POZ_BACH1', 1574),
(1575, 'cd02897', NULL, 'A2M_2', NULL, NULL, 'A2M_2', 1575),
(1576, 'cd12641', NULL, 'RRM_TRA2B', NULL, NULL, 'RRM_TRA2B', 1576),
(1577, 'cd15144', NULL, '7tmA_PGE2_EP1', NULL, NULL, '7tmA_PGE2_EP1', 1577),
(1578, 'cd01148', NULL, 'TroA_a', NULL, NULL, 'TroA_a', 1578),
(1579, 'cd06201', NULL, 'SiR_like2', NULL, NULL, 'SiR_like2', 1579),
(1580, 'cd02193', NULL, 'PurL', NULL, NULL, 'PurL', 1580),
(1581, 'cd14044', NULL, 'PK_GC-C', NULL, NULL, 'PK_GC-C', 1581),
(1582, 'cd12266', NULL, 'RRM_like_XS', NULL, NULL, 'RRM_like_XS', 1582),
(1583, 'cd07883', NULL, 'RHD-n_NFkB', NULL, NULL, 'RHD-n_NFkB', 1583),
(1584, 'cd09119', NULL, 'PLDc_FAM83_N', NULL, NULL, 'PLDc_FAM83_N', 1584),
(1585, 'cd01382', NULL, 'MYSc_Myo6', NULL, NULL, 'MYSc_Myo6', 1585),
(1586, 'cd01268', NULL, 'PTB_Numb', NULL, NULL, 'PTB_Numb', 1586),
(1587, 'cd04215', NULL, 'Nitrosocyanin', NULL, NULL, 'Nitrosocyanin', 1587),
(1588, 'cd09126', NULL, 'PLDc_C_DEXD_like', NULL, NULL, 'PLDc_C_DEXD_like', 1588),
(1589, 'cd05882', NULL, 'Ig1_Necl-1', NULL, NULL, 'Ig1_Necl-1', 1589),
(1590, 'cd14403', NULL, 'UBA_AID_AAPK1', NULL, NULL, 'UBA_AID_AAPK1', 1590),
(1591, 'cd03767', NULL, 'SR_Res_par', NULL, NULL, 'SR_Res_par', 1591),
(1592, 'cd11573', NULL, 'GH99_GH71_like', NULL, NULL, 'GH99_GH71_like', 1592),
(1593, 'cd14342', NULL, 'UBA_TAP-C', NULL, NULL, 'UBA_TAP-C', 1593),
(1594, 'cd21523', NULL, 'SUD_C_MERS-CoV_Nsp3', NULL, NULL, 'SUD_C_MERS-CoV_Nsp3', 1594),
(1595, 'cd05513', NULL, 'Bromo_brd7_like', NULL, NULL, 'Bromo_brd7_like', 1595),
(1596, 'cd06278', NULL, 'PBP1_LacI-like', NULL, NULL, 'PBP1_LacI-like', 1596),
(1597, 'cd12640', NULL, 'RRM3_Bruno_like', NULL, NULL, 'RRM3_Bruno_like', 1597),
(1598, 'cd04490', NULL, 'PolII_SU_OBF', NULL, NULL, 'PolII_SU_OBF', 1598),
(1599, 'cd15524', NULL, 'PHD_PHF21B', NULL, NULL, 'PHD_PHF21B', 1599),
(1600, 'cd13238', NULL, 'PH2_FGD4_insect-like', NULL, NULL, 'PH2_FGD4_insect-like', 1600),
(1601, 'cd11331', NULL, 'AmyAc_OligoGlu_like', NULL, NULL, 'AmyAc_OligoGlu_like', 1601),
(1602, 'cd03363', NULL, 'TOPRIM_TopoIA_TopoI', NULL, NULL, 'TOPRIM_TopoIA_TopoI', 1602),
(1603, 'cd06848', NULL, 'GCS_H', NULL, NULL, 'GCS_H', 1603),
(1604, 'cd07649', NULL, 'F-BAR_GAS7', NULL, NULL, 'F-BAR_GAS7', 1604),
(1605, 'cd17589', NULL, 'REC_TPR', NULL, NULL, 'REC_TPR', 1605),
(1606, 'cd04279', NULL, 'ZnMc_MMP_like_1', NULL, NULL, 'ZnMc_MMP_like_1', 1606),
(1607, 'cd14811', NULL, 'bZIP_u2', NULL, NULL, 'bZIP_u2', 1607),
(1608, 'cd02024', NULL, 'NRK1', NULL, NULL, 'NRK1', 1608),
(1609, 'cd12806', NULL, 'Esterase_713_like', NULL, NULL, 'Esterase_713_like', 1609),
(1610, 'cd16751', NULL, 'RING-HC_SIAH1', NULL, NULL, 'RING-HC_SIAH1', 1610),
(1611, 'cd09519', NULL, 'SAM_ANKS3', NULL, NULL, 'SAM_ANKS3', 1611),
(1612, 'cd02340', NULL, 'ZZ_NBR1_like', NULL, NULL, 'ZZ_NBR1_like', 1612),
(1613, 'cd04727', NULL, 'pdxS', NULL, NULL, 'pdxS', 1613),
(1614, 'cd08170', NULL, 'GlyDH', NULL, NULL, 'GlyDH', 1614),
(1615, 'cd07131', NULL, 'ALDH_AldH-CAJ73105', NULL, NULL, 'ALDH_AldH-CAJ73105', 1615),
(1616, 'cd12659', NULL, 'RRM2_hnRNPM', NULL, NULL, 'RRM2_hnRNPM', 1616),
(1617, 'cd10523', NULL, 'SET_SETDB2', NULL, NULL, 'SET_SETDB2', 1617),
(1618, 'cd14051', NULL, 'PTKc_Wee1', NULL, NULL, 'PTKc_Wee1', 1618),
(1619, 'cd21645', NULL, 'MERS-CoV-like_ORF5', NULL, NULL, 'MERS-CoV-like_ORF5', 1619),
(1620, 'cd19116', NULL, 'AKR_AKR2E1-5', NULL, NULL, 'AKR_AKR2E1-5', 1620),
(1621, 'cd18329', NULL, 'BTB_POZ_ZBTB8A_BOZF1', NULL, NULL, 'BTB_POZ_ZBTB8A_BOZF1', 1621),
(1622, 'cd05372', NULL, 'ENR_SDR', NULL, NULL, 'ENR_SDR', 1622),
(1623, 'cd04223', NULL, 'N2OR_C', NULL, NULL, 'N2OR_C', 1623),
(1624, 'cd12580', NULL, 'RRM2_hnRNPA1', NULL, NULL, 'RRM2_hnRNPA1', 1624),
(1625, 'cd15093', NULL, '7tmA_SSTR', NULL, NULL, '7tmA_SSTR', 1625);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(1626, 'cd05119', NULL, 'RIO', NULL, NULL, 'RIO', 1626),
(1627, 'cd13885', NULL, 'CuRO_2_CumA_like', NULL, NULL, 'CuRO_2_CumA_like', 1627),
(1628, 'cd11762', NULL, 'SH3_FCHSD_2', NULL, NULL, 'SH3_FCHSD_2', 1628),
(1629, 'cd01276', NULL, 'PKCI_related', NULL, NULL, 'PKCI_related', 1629),
(1630, 'cd19852', NULL, 'FABP_pancrustacea', NULL, NULL, 'FABP_pancrustacea', 1630),
(1631, 'cd05062', NULL, 'PTKc_IGF-1R', NULL, NULL, 'PTKc_IGF-1R', 1631),
(1632, 'cd02510', NULL, 'pp-GalNAc-T', NULL, NULL, 'pp-GalNAc-T', 1632),
(1633, 'cd11545', NULL, 'NTP-PPase_YP_001813558', NULL, NULL, 'NTP-PPase_YP_001813558', 1633),
(1634, 'cd14239', NULL, 'GAT_GGA1_GGA2', NULL, NULL, 'GAT_GGA1_GGA2', 1634),
(1635, 'cd12730', NULL, 'RRM1_GRSF1', NULL, NULL, 'RRM1_GRSF1', 1635),
(1636, 'cd21482', NULL, 'HKU1_N5-like_CoV_Spike_S1_RBD', NULL, NULL, 'HKU1_N5-like_CoV_Spike_S1_RBD', 1636),
(1637, 'cd04333', NULL, 'ProX_deacylase', NULL, NULL, 'ProX_deacylase', 1637),
(1638, 'cd02421', NULL, 'Peptidase_C39_likeD', NULL, NULL, 'Peptidase_C39_likeD', 1638),
(1639, 'cd12501', NULL, 'RRM_EcDbpA_like', NULL, NULL, 'RRM_EcDbpA_like', 1639),
(1640, 'cd15210', NULL, '7tmA_GPR84-like', NULL, NULL, '7tmA_GPR84-like', 1640),
(1641, 'cd18045', NULL, 'DEADc_EIF4AIII_DDX48', NULL, NULL, 'DEADc_EIF4AIII_DDX48', 1641),
(1642, 'cd09522', NULL, 'SAM_SLP76', NULL, NULL, 'SAM_SLP76', 1642),
(1643, 'cd04649', NULL, 'LbH_THP_succinylT_putative', NULL, NULL, 'LbH_THP_succinylT_putative', 1643),
(1644, 'cd16357', NULL, 'GLOD4_C', NULL, NULL, 'GLOD4_C', 1644),
(1645, 'cd15196', NULL, '7tmA_Vasopressin_Oxytocin', NULL, NULL, '7tmA_Vasopressin_Oxytocin', 1645),
(1646, 'cd06391', NULL, 'PBP1_iGluR_delta_2', NULL, NULL, 'PBP1_iGluR_delta_2', 1646),
(1647, 'cd18987', NULL, 'LGIC_ECD_anion', NULL, NULL, 'LGIC_ECD_anion', 1647),
(1648, 'cd09715', NULL, 'Csp2_I-U', NULL, NULL, 'Csp2_I-U', 1648),
(1649, 'cd02619', NULL, 'Peptidase_C1', NULL, NULL, 'Peptidase_C1', 1649),
(1650, 'cd12080', NULL, 'SH3_MPP1', NULL, NULL, 'SH3_MPP1', 1650),
(1651, 'cd09291', NULL, 'Photo-RC_M', NULL, NULL, 'Photo-RC_M', 1651),
(1652, 'cd18119', NULL, 'ATP-synt_V_A-type_alpha_N', NULL, NULL, 'ATP-synt_V_A-type_alpha_N', 1652),
(1653, 'cd06986', NULL, 'cupin_MmsR-like_N', NULL, NULL, 'cupin_MmsR-like_N', 1653),
(1654, 'cd18895', NULL, 'TET1', NULL, NULL, 'TET1', 1654),
(1655, 'cd03510', NULL, 'Rhizobitoxine-FADS-like', NULL, NULL, 'Rhizobitoxine-FADS-like', 1655),
(1656, 'cd13985', NULL, 'STKc_GAK_like', NULL, NULL, 'STKc_GAK_like', 1656),
(1657, 'cd02974', NULL, 'AhpF_NTD_N', NULL, NULL, 'AhpF_NTD_N', 1657),
(1658, 'cd14633', NULL, 'R-PTPc-M-1', NULL, NULL, 'R-PTPc-M-1', 1658),
(1659, 'cd07379', NULL, 'MPP_239FB', NULL, NULL, 'MPP_239FB', 1659),
(1660, 'cd06354', NULL, 'PBP1_PrnA-like', NULL, NULL, 'PBP1_PrnA-like', 1660),
(1661, 'cd03082', NULL, 'TRX_Fd_NuoE_W_FDH_beta', NULL, NULL, 'TRX_Fd_NuoE_W_FDH_beta', 1661),
(1662, 'cd07051', NULL, 'BMC_like_1_repeat1', NULL, NULL, 'BMC_like_1_repeat1', 1662),
(1663, 'cd03469', NULL, 'Rieske_RO_Alpha_N', NULL, NULL, 'Rieske_RO_Alpha_N', 1663),
(1664, 'cd14733', NULL, 'BACK', NULL, NULL, 'BACK', 1664),
(1665, 'cd03311', NULL, 'CIMS_C_terminal_like', NULL, NULL, 'CIMS_C_terminal_like', 1665),
(1666, 'cd01540', NULL, 'PBP1_arabinose_binding', NULL, NULL, 'PBP1_arabinose_binding', 1666),
(1667, 'cd13766', NULL, 'TGF_beta_GDF5_6_7', NULL, NULL, 'TGF_beta_GDF5_6_7', 1667),
(1668, 'cd01776', NULL, 'RA_Rin', NULL, NULL, 'RA_Rin', 1668),
(1669, 'cd10321', NULL, 'RNase_Ire1_like', NULL, NULL, 'RNase_Ire1_like', 1669),
(1670, 'cd14550', NULL, 'R5-PTP-2', NULL, NULL, 'R5-PTP-2', 1670),
(1671, 'cd15152', NULL, '7tmA_GPR174-like', NULL, NULL, '7tmA_GPR174-like', 1671),
(1672, 'cd01328', NULL, 'FSL_SPARC', NULL, NULL, 'FSL_SPARC', 1672),
(1673, 'cd17069', NULL, 'DCX2', NULL, NULL, 'DCX2', 1673),
(1674, 'cd00912', NULL, 'ML', NULL, NULL, 'ML', 1674),
(1675, 'cd09610', NULL, 'M3B_PepF', NULL, NULL, 'M3B_PepF', 1675),
(1676, 'cd17324', NULL, 'MFS_NepI_like', NULL, NULL, 'MFS_NepI_like', 1676),
(1677, 'cd07123', NULL, 'ALDH_F4-17_P5CDH', NULL, NULL, 'ALDH_F4-17_P5CDH', 1677);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(1678, 'cd14815', NULL, 'BA_2398_like', NULL, NULL, 'BA_2398_like', 1678),
(1679, 'cd05293', NULL, 'LDH_1', NULL, NULL, 'LDH_1', 1679),
(1680, 'cd07472', NULL, 'HmuY_like', NULL, NULL, 'HmuY_like', 1680),
(1681, 'cd18658', NULL, 'CSD_HP1a_insect', NULL, NULL, 'CSD_HP1a_insect', 1681),
(1682, 'cd01903', NULL, 'Ntn_AC_NAAA', NULL, NULL, 'Ntn_AC_NAAA', 1682),
(1683, 'cd14049', NULL, 'STKc_EIF2AK1_HRI', NULL, NULL, 'STKc_EIF2AK1_HRI', 1683),
(1684, 'cd19929', NULL, 'psREC_Atg32', NULL, NULL, 'psREC_Atg32', 1684),
(1685, 'cd03077', NULL, 'GST_N_Alpha', NULL, NULL, 'GST_N_Alpha', 1685),
(1686, 'cd19142', NULL, 'AKR_AKR6B1', NULL, NULL, 'AKR_AKR6B1', 1686),
(1687, 'cd05588', NULL, 'STKc_aPKC', NULL, NULL, 'STKc_aPKC', 1687),
(1688, 'cd15880', NULL, 'SNARE_syntaxin1', NULL, NULL, 'SNARE_syntaxin1', 1688),
(1689, 'cd08399', NULL, 'C2_PI3K_class_I_gamma', NULL, NULL, 'C2_PI3K_class_I_gamma', 1689),
(1690, 'cd01051', NULL, 'Mn_catalase', NULL, NULL, 'Mn_catalase', 1690),
(1691, 'cd18057', NULL, 'DEXHc_CHD5', NULL, NULL, 'DEXHc_CHD5', 1691),
(1692, 'cd18421', NULL, 'BTB_POZ_KCNG1_2', NULL, NULL, 'BTB_POZ_KCNG1_2', 1692),
(1693, 'cd07074', NULL, 'NR_LBD_PR', NULL, NULL, 'NR_LBD_PR', 1693),
(1694, 'cd09442', NULL, 'LIM_Eplin_like', NULL, NULL, 'LIM_Eplin_like', 1694),
(1695, 'cd16353', NULL, 'CheC_CheX_FliY', NULL, NULL, 'CheC_CheX_FliY', 1695),
(1696, 'cd09252', NULL, 'AP-3_Mu3_Cterm', NULL, NULL, 'AP-3_Mu3_Cterm', 1696),
(1697, 'cd12049', NULL, 'SH3_DOCK4_B', NULL, NULL, 'SH3_DOCK4_B', 1697),
(1698, 'cd03715', NULL, 'RT_ZFREV_like', NULL, NULL, 'RT_ZFREV_like', 1698),
(1699, 'cd04449', NULL, 'DEP_DEPDC5-like', NULL, NULL, 'DEP_DEPDC5-like', 1699),
(1700, 'cd09980', NULL, 'LOTUS_4_Limkain_b1', NULL, NULL, 'LOTUS_4_Limkain_b1', 1700),
(1701, 'cd15610', NULL, 'PHD3_KDM5A_like', NULL, NULL, 'PHD3_KDM5A_like', 1701),
(1702, 'cd17061', NULL, 'Ubl_IQUB', NULL, NULL, 'Ubl_IQUB', 1702),
(1703, 'cd11533', NULL, 'NTP-PPase_Af0060_like', NULL, NULL, 'NTP-PPase_Af0060_like', 1703),
(1704, 'cd18223', NULL, 'BTB_POZ_ZBTB38_CIBZ', NULL, NULL, 'BTB_POZ_ZBTB38_CIBZ', 1704),
(1705, 'cd14094', NULL, 'STKc_CASK', NULL, NULL, 'STKc_CASK', 1705),
(1706, 'cd08613', NULL, 'GDPD_GDE4_like_1', NULL, NULL, 'GDPD_GDE4_like_1', 1706),
(1707, 'cd02006', NULL, 'TPP_Gcl', NULL, NULL, 'TPP_Gcl', 1707),
(1708, 'cd08877', NULL, 'START_2', NULL, NULL, 'START_2', 1708),
(1709, 'cd04435', NULL, 'DEP_fRom2', NULL, NULL, 'DEP_fRom2', 1709),
(1710, 'cd10232', NULL, 'ScSsz1p_like_NBD', NULL, NULL, 'ScSsz1p_like_NBD', 1710),
(1711, 'cd03585', NULL, 'NTR_TIMP', NULL, NULL, 'NTR_TIMP', 1711),
(1712, 'cd15770', NULL, 'FYVE_CARP2', NULL, NULL, 'FYVE_CARP2', 1712),
(1713, 'cd19081', NULL, 'AKR_AKR9C1', NULL, NULL, 'AKR_AKR9C1', 1713),
(1714, 'cd11790', NULL, 'SH3_Amphiphysin', NULL, NULL, 'SH3_Amphiphysin', 1714),
(1715, 'cd14095', NULL, 'STKc_DCKL', NULL, NULL, 'STKc_DCKL', 1715),
(1716, 'cd09458', NULL, 'LIM3_Enigma', NULL, NULL, 'LIM3_Enigma', 1716),
(1717, 'cd05238', NULL, 'Gne_like_SDR_e', NULL, NULL, 'Gne_like_SDR_e', 1717),
(1718, 'cd17055', NULL, 'Ubl_AtNPL4_like', NULL, NULL, 'Ubl_AtNPL4_like', 1718),
(1719, 'cd01186', NULL, 'INT_tnpA_C_Tn554', NULL, NULL, 'INT_tnpA_C_Tn554', 1719),
(1720, 'cd06180', NULL, 'MFS_YjiJ', NULL, NULL, 'MFS_YjiJ', 1720),
(1721, 'cd14868', NULL, 'uS7_Mitochondria_Fungi', NULL, NULL, 'uS7_Mitochondria_Fungi', 1721),
(1722, 'cd21595', NULL, 'CoV_N-CTD', NULL, NULL, 'CoV_N-CTD', 1722),
(1723, 'cd09520', NULL, 'SAM_BICC1', NULL, NULL, 'SAM_BICC1', 1723),
(1724, 'cd03320', NULL, 'OSBS', NULL, NULL, 'OSBS', 1724),
(1725, 'cd16624', NULL, 'RING-HC_RBR_CUL9', NULL, NULL, 'RING-HC_RBR_CUL9', 1725),
(1726, 'cd01007', NULL, 'PBP2_BvgS_HisK_like', NULL, NULL, 'PBP2_BvgS_HisK_like', 1726),
(1727, 'cd00005', NULL, 'CBM9_like_1', NULL, NULL, 'CBM9_like_1', 1727),
(1728, 'cd07432', NULL, 'PHP_HisPPase', NULL, NULL, 'PHP_HisPPase', 1728),
(1729, 'cd01926', NULL, 'cyclophilin_ABH_like', NULL, NULL, 'cyclophilin_ABH_like', 1729),
(1730, 'cd08875', NULL, 'START_ArGLABRA2_like', NULL, NULL, 'START_ArGLABRA2_like', 1730),
(1731, 'cd07114', NULL, 'ALDH_DhaS', NULL, NULL, 'ALDH_DhaS', 1731);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(1732, 'cd18453', NULL, 'BACK_KLHL14', NULL, NULL, 'BACK_KLHL14', 1732),
(1733, 'cd17086', NULL, 'RAWUL_RING1_like', NULL, NULL, 'RAWUL_RING1_like', 1733),
(1734, 'cd13623', NULL, 'PBP2_AA_hypothetical', NULL, NULL, 'PBP2_AA_hypothetical', 1734),
(1735, 'cd18332', NULL, 'BTB_POZ_ZBTB28_BCL6B', NULL, NULL, 'BTB_POZ_ZBTB28_BCL6B', 1735),
(1736, 'cd14305', NULL, 'UBA_UBAC2', NULL, NULL, 'UBA_UBAC2', 1736),
(1737, 'cd09355', NULL, 'LIM2_Ajuba_like', NULL, NULL, 'LIM2_Ajuba_like', 1737),
(1738, 'cd16364', NULL, 'T3SC_I_like', NULL, NULL, 'T3SC_I_like', 1738),
(1739, 'cd12480', NULL, 'RRM2_U1A', NULL, NULL, 'RRM2_U1A', 1739),
(1740, 'cd14834', NULL, 'AP3_sigma', NULL, NULL, 'AP3_sigma', 1740),
(1741, 'cd06287', NULL, 'PBP1_LacI-like', NULL, NULL, 'PBP1_LacI-like', 1741),
(1742, 'cd13900', NULL, 'CuRO_3_Tth-MCO_like', NULL, NULL, 'CuRO_3_Tth-MCO_like', 1742),
(1743, 'cd12746', NULL, 'RRM2_RBM12B', NULL, NULL, 'RRM2_RBM12B', 1743),
(1744, 'cd11946', NULL, 'SH3_GRB2_N', NULL, NULL, 'SH3_GRB2_N', 1744),
(1745, 'cd13191', NULL, 'FERM_C_FRMD4A_FRMD4B', NULL, NULL, 'FERM_C_FRMD4A_FRMD4B', 1745),
(1746, 'cd03263', NULL, 'ABC_subfamily_A', NULL, NULL, 'ABC_subfamily_A', 1746),
(1747, 'cd18172', NULL, 'M14_CP_plant', NULL, NULL, 'M14_CP_plant', 1747),
(1748, 'cd16773', NULL, 'RING-HC_RBR_TRIAD1', NULL, NULL, 'RING-HC_RBR_TRIAD1', 1748),
(1749, 'cd08964', NULL, 'L-asparaginase_II', NULL, NULL, 'L-asparaginase_II', 1749),
(1750, 'cd04373', NULL, 'RhoGAP_p190', NULL, NULL, 'RhoGAP_p190', 1750),
(1751, 'cd06384', NULL, 'PBP1_NPR_B', NULL, NULL, 'PBP1_NPR_B', 1751),
(1752, 'cd09157', NULL, 'PLDc_CLS_unchar2_1', NULL, NULL, 'PLDc_CLS_unchar2_1', 1752),
(1753, 'cd06268', NULL, 'PBP1_ABC_transporter_LIVBP-like', NULL, NULL, 'PBP1_ABC_transporter_LIVBP-like', 1753),
(1754, 'cd13316', NULL, 'PH_Boi', NULL, NULL, 'PH_Boi', 1754),
(1755, 'cd14951', NULL, 'NHL-2_like', NULL, NULL, 'NHL-2_like', 1755),
(1756, 'cd00147', NULL, 'cPLA2_like', NULL, NULL, 'cPLA2_like', 1756),
(1757, 'cd00537', NULL, 'MTHFR', NULL, NULL, 'MTHFR', 1757),
(1758, 'cd05511', NULL, 'Bromo_TFIID', NULL, NULL, 'Bromo_TFIID', 1758),
(1759, 'cd10048', NULL, 'Reelin_repeat_4_subrepeat_2', NULL, NULL, 'Reelin_repeat_4_subrepeat_2', 1759),
(1760, 'cd13130', NULL, 'MATE_rft1', NULL, NULL, 'MATE_rft1', 1760),
(1761, 'cd10035', NULL, 'UDG_like', NULL, NULL, 'UDG_like', 1761),
(1762, 'cd14373', NULL, 'CUE_Cue3p_like', NULL, NULL, 'CUE_Cue3p_like', 1762),
(1763, 'cd07874', NULL, 'STKc_JNK3', NULL, NULL, 'STKc_JNK3', 1763),
(1764, 'cd08395', NULL, 'C2C_Munc13', NULL, NULL, 'C2C_Munc13', 1764),
(1765, 'cd12611', NULL, 'RRM1_NGR1_NAM8_like', NULL, NULL, 'RRM1_NGR1_NAM8_like', 1765),
(1766, 'cd01799', NULL, 'Ubl_HOIL1', NULL, NULL, 'Ubl_HOIL1', 1766),
(1767, 'cd08028', NULL, 'LARP_3', NULL, NULL, 'LARP_3', 1767),
(1768, 'cd07742', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', 1768),
(1769, 'cd09091', NULL, 'INPP5c_SHIP', NULL, NULL, 'INPP5c_SHIP', 1769),
(1770, 'cd05285', NULL, 'sorbitol_DH', NULL, NULL, 'sorbitol_DH', 1770),
(1771, 'cd01467', NULL, 'vWA_BatA_type', NULL, NULL, 'vWA_BatA_type', 1771),
(1772, 'cd02669', NULL, 'Peptidase_C19M', NULL, NULL, 'Peptidase_C19M', 1772),
(1773, 'cd06545', NULL, 'GH18_3CO4_chitinase', NULL, NULL, 'GH18_3CO4_chitinase', 1773),
(1774, 'cd12731', NULL, 'RRM2_hnRNPH_hnRNPH2_hnRNPF', NULL, NULL, 'RRM2_hnRNPH_hnRNPH2_hnRNPF', 1774),
(1775, 'cd09822', NULL, 'peroxinectin_like_bacterial', NULL, NULL, 'peroxinectin_like_bacterial', 1775),
(1776, 'cd17175', NULL, 'FERM_F0_SHANK1', NULL, NULL, 'FERM_F0_SHANK1', 1776),
(1777, 'cd12017', NULL, 'SH3_Tks_3', NULL, NULL, 'SH3_Tks_3', 1777),
(1778, 'cd01377', NULL, 'MYSc_class_II', NULL, NULL, 'MYSc_class_II', 1778),
(1779, 'cd10024', NULL, '14-3-3_gamma', NULL, NULL, '14-3-3_gamma', 1779),
(1780, 'cd17616', NULL, 'REC_OmpR_CtrA', NULL, NULL, 'REC_OmpR_CtrA', 1780),
(1781, 'cd05490', NULL, 'Cathepsin_D2', NULL, NULL, 'Cathepsin_D2', 1781),
(1782, 'cd19720', NULL, 'bHLH_TS_NeuroD2', NULL, NULL, 'bHLH_TS_NeuroD2', 1782),
(1783, 'cd02684', NULL, 'MIT_2', NULL, NULL, 'MIT_2', 1783);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(1784, 'cd07683', NULL, 'F-BAR_srGAP1', NULL, NULL, 'F-BAR_srGAP1', 1784),
(1785, 'cd10809', NULL, 'GH38N_AMII_GMII_SfManIII_like', NULL, NULL, 'GH38N_AMII_GMII_SfManIII_like', 1785),
(1786, 'cd07047', NULL, 'BMC_PduB_repeat1', NULL, NULL, 'BMC_PduB_repeat1', 1786),
(1787, 'cd09373', NULL, 'LIM1_AWH', NULL, NULL, 'LIM1_AWH', 1787),
(1788, 'cd02993', NULL, 'PDI_a_APS_reductase', NULL, NULL, 'PDI_a_APS_reductase', 1788),
(1789, 'cd03559', NULL, 'LGIC_TM', NULL, NULL, 'LGIC_TM', 1789),
(1790, 'cd10419', NULL, 'SH2_Src_Fyn_isoform_b_like', NULL, NULL, 'SH2_Src_Fyn_isoform_b_like', 1790),
(1791, 'cd09967', NULL, 'UP_II', NULL, NULL, 'UP_II', 1791),
(1792, 'cd04399', NULL, 'RhoGAP_fRGD2', NULL, NULL, 'RhoGAP_fRGD2', 1792),
(1793, 'cd08039', NULL, 'Adenylation_DNA_ligase_Fungal', NULL, NULL, 'Adenylation_DNA_ligase_Fungal', 1793),
(1794, 'cd11364', NULL, 'RNase_PH_PNPase_2', NULL, NULL, 'RNase_PH_PNPase_2', 1794),
(1795, 'cd00774', NULL, 'GlyRS-like_core', NULL, NULL, 'GlyRS-like_core', 1795),
(1796, 'cd13624', NULL, 'PBP2_Arg_Lys_His', NULL, NULL, 'PBP2_Arg_Lys_His', 1796),
(1797, 'cd16238', NULL, 'EFh_SPARC_TICN2', NULL, NULL, 'EFh_SPARC_TICN2', 1797),
(1798, 'cd17484', NULL, 'MFS_FBT', NULL, NULL, 'MFS_FBT', 1798),
(1799, 'cd11963', NULL, 'SH3_STAM2', NULL, NULL, 'SH3_STAM2', 1799),
(1800, 'cd18497', NULL, 'BACK_ABTB1_BPOZ', NULL, NULL, 'BACK_ABTB1_BPOZ', 1800),
(1801, 'cd00735', NULL, 'T4-like_lys', NULL, NULL, 'T4-like_lys', 1801),
(1802, 'cd17056', NULL, 'Ubl_FAF1', NULL, NULL, 'Ubl_FAF1', 1802),
(1803, 'cd03771', NULL, 'MATH_Meprin', NULL, NULL, 'MATH_Meprin', 1803),
(1804, 'cd15329', NULL, '7tmA_5-HT7', NULL, NULL, '7tmA_5-HT7', 1804),
(1805, 'cd06965', NULL, 'NR_DBD_Ppar', NULL, NULL, 'NR_DBD_Ppar', 1805),
(1806, 'cd08229', NULL, 'STKc_Nek7', NULL, NULL, 'STKc_Nek7', 1806),
(1807, 'cd05031', NULL, 'S-100A10_like', NULL, NULL, 'S-100A10_like', 1807),
(1808, 'cd06472', NULL, 'ACD_ScHsp26_like', NULL, NULL, 'ACD_ScHsp26_like', 1808),
(1809, 'cd15734', NULL, 'FYVE_ZFYV1', NULL, NULL, 'FYVE_ZFYV1', 1809),
(1810, 'cd00834', NULL, 'KAS_I_II', NULL, NULL, 'KAS_I_II', 1810),
(1811, 'cd11455', NULL, 'bHLH_AtAIG1_like', NULL, NULL, 'bHLH_AtAIG1_like', 1811),
(1812, 'cd19577', NULL, 'serpinJ_IRS-2-like', NULL, NULL, 'serpinJ_IRS-2-like', 1812),
(1813, 'cd09214', NULL, 'GH64-like', NULL, NULL, 'GH64-like', 1813),
(1814, 'cd05129', NULL, 'RasGAP_RAP6', NULL, NULL, 'RasGAP_RAP6', 1814),
(1815, 'cd02566', NULL, 'PseudoU_synth_RluE', NULL, NULL, 'PseudoU_synth_RluE', 1815),
(1816, 'cd11377', NULL, 'Pro-peptidase_S53', NULL, NULL, 'Pro-peptidase_S53', 1816),
(1817, 'cd11495', NULL, 'SLC5sbd_NIS-like_u3', NULL, NULL, 'SLC5sbd_NIS-like_u3', 1817),
(1818, 'cd21405', NULL, 'ZBD_av_Nsp10-like', NULL, NULL, 'ZBD_av_Nsp10-like', 1818),
(1819, 'cd11864', NULL, 'SH3_PEX13_eumet', NULL, NULL, 'SH3_PEX13_eumet', 1819),
(1820, 'cd07862', NULL, 'STKc_CDK6', NULL, NULL, 'STKc_CDK6', 1820),
(1821, 'cd01249', NULL, 'BAR-PH_GRAF_family', NULL, NULL, 'BAR-PH_GRAF_family', 1821),
(1822, 'cd01629', NULL, 'HAD_EP', NULL, NULL, 'HAD_EP', 1822),
(1823, 'cd07372', NULL, '2A5CPDO_B', NULL, NULL, '2A5CPDO_B', 1823),
(1824, 'cd09076', NULL, 'L1-EN', NULL, NULL, 'L1-EN', 1824),
(1825, 'cd08849', NULL, 'ArfGap_ASAP2', NULL, NULL, 'ArfGap_ASAP2', 1825),
(1826, 'cd18036', NULL, 'DEXHc_RLR', NULL, NULL, 'DEXHc_RLR', 1826),
(1827, 'cd16314', NULL, 'AIM-1-like_MBL-B3', NULL, NULL, 'AIM-1-like_MBL-B3', 1827),
(1828, 'cd16821', NULL, 'SP-RING_PIAS4', NULL, NULL, 'SP-RING_PIAS4', 1828),
(1829, 'cd09014', NULL, 'BphC-JF8_C_like', NULL, NULL, 'BphC-JF8_C_like', 1829),
(1830, 'cd07036', NULL, 'TPP_PYR_E1-PDHc-beta_like', NULL, NULL, 'TPP_PYR_E1-PDHc-beta_like', 1830),
(1831, 'cd18334', NULL, 'BTB_POZ_ZBTB30_HIC2', NULL, NULL, 'BTB_POZ_ZBTB30_HIC2', 1831),
(1832, 'cd07374', NULL, 'CYTH-like_Pase', NULL, NULL, 'CYTH-like_Pase', 1832),
(1833, 'cd13424', NULL, 'TNFRSF9_teleost', NULL, NULL, 'TNFRSF9_teleost', 1833),
(1834, 'cd13706', NULL, 'PBP2_HisK_like_1', NULL, NULL, 'PBP2_HisK_like_1', 1834),
(1835, 'cd13251', NULL, 'PH_ASAP', NULL, NULL, 'PH_ASAP', 1835);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(1836, 'cd04161', NULL, 'Arl2l1_Arl13_like', NULL, NULL, 'Arl2l1_Arl13_like', 1836),
(1837, 'cd07266', NULL, 'HPCD_N_class_II', NULL, NULL, 'HPCD_N_class_II', 1837),
(1838, 'cd00215', NULL, 'PTS_IIA_lac', NULL, NULL, 'PTS_IIA_lac', 1838),
(1839, 'cd06258', NULL, 'M3_like', NULL, NULL, 'M3_like', 1839),
(1840, 'cd18422', NULL, 'BTB_POZ_KCNG3', NULL, NULL, 'BTB_POZ_KCNG3', 1840),
(1841, 'cd19159', NULL, 'AKR_KCAB1B_AKR6A3-like', NULL, NULL, 'AKR_KCAB1B_AKR6A3-like', 1841),
(1842, 'cd19438', NULL, 'lipocalin_Blc-like', NULL, NULL, 'lipocalin_Blc-like', 1842),
(1843, 'cd19822', NULL, 'Bbox2_MID1_C-I', NULL, NULL, 'Bbox2_MID1_C-I', 1843),
(1844, 'cd15288', NULL, '7tmC_TAS1R2', NULL, NULL, '7tmC_TAS1R2', 1844),
(1845, 'cd11392', NULL, 'bHLH_ScPHO4_like', NULL, NULL, 'bHLH_ScPHO4_like', 1845),
(1846, 'cd14756', NULL, 'TrHb', NULL, NULL, 'TrHb', 1846),
(1847, 'cd19467', NULL, 'FABP4', NULL, NULL, 'FABP4', 1847),
(1848, 'cd08923', NULL, 'class1-2_nsHbs_Lbs', NULL, NULL, 'class1-2_nsHbs_Lbs', 1848),
(1849, 'cd18943', NULL, 'bHLH_E-protein_E47-like', NULL, NULL, 'bHLH_E-protein_E47-like', 1849),
(1850, 'cd15156', NULL, '7tmA_LPAR6_P2Y5', NULL, NULL, '7tmA_LPAR6_P2Y5', 1850),
(1851, 'cd16014', NULL, 'PLC', NULL, NULL, 'PLC', 1851),
(1852, 'cd04918', NULL, 'ACT_AK1-AT_2', NULL, NULL, 'ACT_AK1-AT_2', 1852),
(1853, 'cd01096', NULL, 'Alkanal_monooxygenase', NULL, NULL, 'Alkanal_monooxygenase', 1853),
(1854, 'cd14855', NULL, 'TRAPPC1_MUM2', NULL, NULL, 'TRAPPC1_MUM2', 1854),
(1855, 'cd06861', NULL, 'PX_Vps5p', NULL, NULL, 'PX_Vps5p', 1855),
(1856, 'cd04660', NULL, 'nsLTP_like', NULL, NULL, 'nsLTP_like', 1856),
(1857, 'cd11876', NULL, 'SH3_MLK', NULL, NULL, 'SH3_MLK', 1857),
(1858, 'cd01410', NULL, 'SIRT7', NULL, NULL, 'SIRT7', 1858),
(1859, 'cd19441', NULL, 'CRABP', NULL, NULL, 'CRABP', 1859),
(1860, 'cd09591', NULL, 'SAM_DLC1', NULL, NULL, 'SAM_DLC1', 1860),
(1861, 'cd07615', NULL, 'BAR_Endophilin_A3', NULL, NULL, 'BAR_Endophilin_A3', 1861),
(1862, 'cd00142', NULL, 'PI3Kc_like', NULL, NULL, 'PI3Kc_like', 1862),
(1863, 'cd05906', NULL, 'A_NRPS_TubE_like', NULL, NULL, 'A_NRPS_TubE_like', 1863),
(1864, 'cd10227', NULL, 'ParM_like', NULL, NULL, 'ParM_like', 1864),
(1865, 'cd06663', NULL, 'Biotinyl_lipoyl_domains', NULL, NULL, 'Biotinyl_lipoyl_domains', 1865),
(1866, 'cd14164', NULL, 'STKc_TSSK6-like', NULL, NULL, 'STKc_TSSK6-like', 1866),
(1867, 'cd11939', NULL, 'SH3_ephexin1', NULL, NULL, 'SH3_ephexin1', 1867),
(1868, 'cd19099', NULL, 'AKR_unchar', NULL, NULL, 'AKR_unchar', 1868),
(1869, 'cd20005', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 1869),
(1870, 'cd00541', NULL, 'OMPLA', NULL, NULL, 'OMPLA', 1870),
(1871, 'cd02646', NULL, 'R3H_G-patch', NULL, NULL, 'R3H_G-patch', 1871),
(1872, 'cd11294', NULL, 'E_set_Esterase_like_N', NULL, NULL, 'E_set_Esterase_like_N', 1872),
(1873, 'cd02766', NULL, 'MopB_3', NULL, NULL, 'MopB_3', 1873),
(1874, 'cd19019', NULL, 'LGIC_ECD_nAChR_A6', NULL, NULL, 'LGIC_ECD_nAChR_A6', 1874),
(1875, 'cd15923', NULL, '7tmA_GPR35_55-like', NULL, NULL, '7tmA_GPR35_55-like', 1875),
(1876, 'cd12833', NULL, 'ZntB-like_1', NULL, NULL, 'ZntB-like_1', 1876),
(1877, 'cd09484', NULL, 'LIM1_Prickle_2', NULL, NULL, 'LIM1_Prickle_2', 1877),
(1878, 'cd16804', NULL, 'RING-H2_RNF149', NULL, NULL, 'RING-H2_RNF149', 1878),
(1879, 'cd10559', NULL, 'W-FDH', NULL, NULL, 'W-FDH', 1879),
(1880, 'cd09007', NULL, 'NP-I_spr0068', NULL, NULL, 'NP-I_spr0068', 1880),
(1881, 'cd17368', NULL, 'MFS_CitA', NULL, NULL, 'MFS_CitA', 1881),
(1882, 'cd04679', NULL, 'Nudix_Hydrolase_20', NULL, NULL, 'Nudix_Hydrolase_20', 1882),
(1883, 'cd15566', NULL, 'PHD3_NSD', NULL, NULL, 'PHD3_NSD', 1883),
(1884, 'cd17062', NULL, 'Ubl_NUB1', NULL, NULL, 'Ubl_NUB1', 1884),
(1885, 'cd11837', NULL, 'SH3_Intersectin_2', NULL, NULL, 'SH3_Intersectin_2', 1885),
(1886, 'cd17132', NULL, 'Ubl_TMUB2', NULL, NULL, 'Ubl_TMUB2', 1886),
(1887, 'cd17185', NULL, 'FERM_F1_KIND3', NULL, NULL, 'FERM_F1_KIND3', 1887),
(1888, 'cd19779', NULL, 'Bbox2_TRIM37_C-VIII', NULL, NULL, 'Bbox2_TRIM37_C-VIII', 1888),
(1889, 'cd09368', NULL, 'LIM1_Lhx3_Lhx4', NULL, NULL, 'LIM1_Lhx3_Lhx4', 1889);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(1890, 'cd02981', NULL, 'PDI_b_family', NULL, NULL, 'PDI_b_family', 1890),
(1891, 'cd13633', NULL, 'PBP2_Sa-PDT_like', NULL, NULL, 'PBP2_Sa-PDT_like', 1891),
(1892, 'cd15033', NULL, '7tmF_FZD3', NULL, NULL, '7tmF_FZD3', 1892),
(1893, 'cd19046', NULL, 'LGIC_ECD_GABAAR_rho1', NULL, NULL, 'LGIC_ECD_GABAAR_rho1', 1893),
(1894, 'cd14860', NULL, '4HBD_NAD', NULL, NULL, '4HBD_NAD', 1894),
(1895, 'cd13361', NULL, 'PH_PLC_beta', NULL, NULL, 'PH_PLC_beta', 1895),
(1896, 'cd15224', NULL, '7tmA_OR6B-like', NULL, NULL, '7tmA_OR6B-like', 1896),
(1897, 'cd06454', NULL, 'KBL_like', NULL, NULL, 'KBL_like', 1897),
(1898, 'cd08025', NULL, 'RNR_PFL_like_DUF711', NULL, NULL, 'RNR_PFL_like_DUF711', 1898),
(1899, 'cd10912', NULL, 'PIN_YacP-like', NULL, NULL, 'PIN_YacP-like', 1899),
(1900, 'cd04275', NULL, 'ZnMc_pappalysin_like', NULL, NULL, 'ZnMc_pappalysin_like', 1900),
(1901, 'cd09002', NULL, 'GH43_XYL-like', NULL, NULL, 'GH43_XYL-like', 1901),
(1902, 'cd06298', NULL, 'PBP1_CcpA', NULL, NULL, 'PBP1_CcpA', 1902),
(1903, 'cd18914', NULL, 'bHLH_AtORG2_like', NULL, NULL, 'bHLH_AtORG2_like', 1903),
(1904, 'cd02220', NULL, 'cupin_ABP1', NULL, NULL, 'cupin_ABP1', 1904),
(1905, 'cd10451', NULL, 'GIY-YIG_LuxR_like', NULL, NULL, 'GIY-YIG_LuxR_like', 1905),
(1906, 'cd11975', NULL, 'SH3_ARHGEF9', NULL, NULL, 'SH3_ARHGEF9', 1906),
(1907, 'cd03111', NULL, 'CpaE-like', NULL, NULL, 'CpaE-like', 1907),
(1908, 'cd16130', NULL, 'RA_Rin3', NULL, NULL, 'RA_Rin3', 1908),
(1909, 'cd14798', NULL, 'RX-CC_like', NULL, NULL, 'RX-CC_like', 1909),
(1910, 'cd03215', NULL, 'ABC_Carb_Monos_II', NULL, NULL, 'ABC_Carb_Monos_II', 1910),
(1911, 'cd01575', NULL, 'PBP1_GntR', NULL, NULL, 'PBP1_GntR', 1911),
(1912, 'cd18313', NULL, 'BTB_POZ_BT', NULL, NULL, 'BTB_POZ_BT', 1912),
(1913, 'cd00547', NULL, 'QFR_TypeD_subunitD', NULL, NULL, 'QFR_TypeD_subunitD', 1913),
(1914, 'cd18031', NULL, 'DEXHc_UvsW', NULL, NULL, 'DEXHc_UvsW', 1914),
(1915, 'cd14749', NULL, 'PBP2_XBP1_like', NULL, NULL, 'PBP2_XBP1_like', 1915),
(1916, 'cd15291', NULL, '7tmC_GABA-B-R1', NULL, NULL, '7tmC_GABA-B-R1', 1916),
(1917, 'cd16717', NULL, 'vRING-HC_IRF2BPL', NULL, NULL, 'vRING-HC_IRF2BPL', 1917),
(1918, 'cd17013', NULL, 'ANTH_N_HIP1', NULL, NULL, 'ANTH_N_HIP1', 1918),
(1919, 'cd06587', NULL, 'VOC', NULL, NULL, 'VOC', 1919),
(1920, 'cd08595', NULL, 'PI-PLCc_zeta', NULL, NULL, 'PI-PLCc_zeta', 1920),
(1921, 'cd13308', NULL, 'PH_3BP2', NULL, NULL, 'PH_3BP2', 1921),
(1922, 'cd15809', NULL, 'SPRY_PRY_TRIM4', NULL, NULL, 'SPRY_PRY_TRIM4', 1922),
(1923, 'cd16757', NULL, 'RING-HC_TRIM46', NULL, NULL, 'RING-HC_TRIM46', 1923),
(1924, 'cd16204', NULL, 'EFh_PI-PLCzeta', NULL, NULL, 'EFh_PI-PLCzeta', 1924),
(1925, 'cd00480', NULL, 'malate_synt', NULL, NULL, 'malate_synt', 1925),
(1926, 'cd04159', NULL, 'Arl10_like', NULL, NULL, 'Arl10_like', 1926),
(1927, 'cd04773', NULL, 'HTH_TioE_rpt2', NULL, NULL, 'HTH_TioE_rpt2', 1927),
(1928, 'cd05265', NULL, 'SDR_a1', NULL, NULL, 'SDR_a1', 1928),
(1929, 'cd08596', NULL, 'PI-PLCc_epsilon', NULL, NULL, 'PI-PLCc_epsilon', 1929),
(1930, 'cd11497', NULL, 'SLC6sbd_SERT-like', NULL, NULL, 'SLC6sbd_SERT-like', 1930),
(1931, 'sd00041', NULL, 'GyrA-ParC_C', NULL, NULL, 'GyrA-ParC_C', 1931),
(1932, 'cd03451', NULL, 'FkbR2', NULL, NULL, 'FkbR2', 1932),
(1933, 'cd17648', NULL, 'A_NRPS_ACVS-like', NULL, NULL, 'A_NRPS_ACVS-like', 1933),
(1934, 'cd07641', NULL, 'BAR_ASAP1', NULL, NULL, 'BAR_ASAP1', 1934),
(1935, 'cd06090', NULL, 'KOW_RPL27', NULL, NULL, 'KOW_RPL27', 1935),
(1936, 'cd05686', NULL, 'S1_pNO40', NULL, NULL, 'S1_pNO40', 1936),
(1937, 'cd09915', NULL, 'Rag', NULL, NULL, 'Rag', 1937),
(1938, 'cd01580', NULL, 'AcnA_IRP_Swivel', NULL, NULL, 'AcnA_IRP_Swivel', 1938),
(1939, 'cd01739', NULL, 'LSm11_M', NULL, NULL, 'LSm11_M', 1939),
(1940, 'cd01835', NULL, 'SGNH_hydrolase_like_3', NULL, NULL, 'SGNH_hydrolase_like_3', 1940),
(1941, 'cd08755', NULL, 'RGS_p115RhoGEF', NULL, NULL, 'RGS_p115RhoGEF', 1941),
(1942, 'cd15373', NULL, '7tmA_P2Y2', NULL, NULL, '7tmA_P2Y2', 1942),
(1943, 'cd19861', NULL, 'DSRM_STAU_rpt5', NULL, NULL, 'DSRM_STAU_rpt5', 1943),
(1944, 'cd12607', NULL, 'RRM2_RBM4', NULL, NULL, 'RRM2_RBM4', 1944);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(1945, 'cd15111', NULL, '7tmA_MrgprG', NULL, NULL, '7tmA_MrgprG', 1945),
(1946, 'cd14990', NULL, '7tmA_GPR146', NULL, NULL, '7tmA_GPR146', 1946),
(1947, 'cd09701', NULL, 'Cas10_III', NULL, NULL, 'Cas10_III', 1947),
(1948, 'cd15431', NULL, '7tmA_OR13H-like', NULL, NULL, '7tmA_OR13H-like', 1948),
(1949, 'cd03697', NULL, 'EFTU_II', NULL, NULL, 'EFTU_II', 1949),
(1950, 'cd12931', NULL, 'eNOPS_SF', NULL, NULL, 'eNOPS_SF', 1950),
(1951, 'cd16973', NULL, 'Alpha_kinase_ALPK3', NULL, NULL, 'Alpha_kinase_ALPK3', 1951),
(1952, 'cd19765', NULL, 'Bbox2_TRIM10-like', NULL, NULL, 'Bbox2_TRIM10-like', 1952),
(1953, 'cd16593', NULL, 'RING-HC_TRIM10_C-IV', NULL, NULL, 'RING-HC_TRIM10_C-IV', 1953),
(1954, 'cd19723', NULL, 'bHLH_TS_ASCL1_like', NULL, NULL, 'bHLH_TS_ASCL1_like', 1954),
(1955, 'cd07861', NULL, 'STKc_CDK1_euk', NULL, NULL, 'STKc_CDK1_euk', 1955),
(1956, 'cd21570', NULL, 'batCoV_HKU9-like_M', NULL, NULL, 'batCoV_HKU9-like_M', 1956),
(1957, 'cd13564', NULL, 'PBP2_ThiY_THI5_like', NULL, NULL, 'PBP2_ThiY_THI5_like', 1957),
(1958, 'sd00043', NULL, 'ARM', NULL, NULL, 'ARM', 1958),
(1959, 'cd01701', NULL, 'PolY_Rev1', NULL, NULL, 'PolY_Rev1', 1959),
(1960, 'cd11740', NULL, 'YajQ_like', NULL, NULL, 'YajQ_like', 1960),
(1961, 'cd05396', NULL, 'An_peroxidase_like', NULL, NULL, 'An_peroxidase_like', 1961),
(1962, 'cd18229', NULL, 'BTB_POZ_ZBTB45', NULL, NULL, 'BTB_POZ_ZBTB45', 1962),
(1963, 'cd17306', NULL, 'PIPKc_PIP5K1A_like', NULL, NULL, 'PIPKc_PIP5K1A_like', 1963),
(1964, 'cd18479', NULL, 'BACK_KBTBD2', NULL, NULL, 'BACK_KBTBD2', 1964),
(1965, 'cd04712', NULL, 'BAH_DCM_I', NULL, NULL, 'BAH_DCM_I', 1965),
(1966, 'cd12404', NULL, 'RRM2_NCL', NULL, NULL, 'RRM2_NCL', 1966),
(1967, 'cd19338', NULL, 'Wnt_Wnt6', NULL, NULL, 'Wnt_Wnt6', 1967),
(1968, 'cd14906', NULL, 'MYSc_Myo45', NULL, NULL, 'MYSc_Myo45', 1968),
(1969, 'cd05805', NULL, 'MPG1_transferase', NULL, NULL, 'MPG1_transferase', 1969),
(1970, 'cd14081', NULL, 'STKc_BRSK1_2', NULL, NULL, 'STKc_BRSK1_2', 1970),
(1971, 'cd19470', NULL, 'FABP7', NULL, NULL, 'FABP7', 1971),
(1972, 'cd17367', NULL, 'MFS_KgtP', NULL, NULL, 'MFS_KgtP', 1972),
(1973, 'cd00755', NULL, 'YgdL_like', NULL, NULL, 'YgdL_like', 1973),
(1974, 'cd15553', NULL, 'PHD_Cfp1', NULL, NULL, 'PHD_Cfp1', 1974),
(1975, 'cd00203', NULL, 'ZnMc', NULL, NULL, 'ZnMc', 1975),
(1976, 'cd07993', NULL, 'LPLAT_DHAPAT-like', NULL, NULL, 'LPLAT_DHAPAT-like', 1976),
(1977, 'cd01718', NULL, 'Sm_E', NULL, NULL, 'Sm_E', 1977),
(1978, 'cd01256', NULL, 'PH_dynamin', NULL, NULL, 'PH_dynamin', 1978),
(1979, 'cd14377', NULL, 'UBA1_Rad23', NULL, NULL, 'UBA1_Rad23', 1979),
(1980, 'cd18554', NULL, 'ABC_6TM_Sav1866_like', NULL, NULL, 'ABC_6TM_Sav1866_like', 1980),
(1981, 'cd11354', NULL, 'AmyAc_bac_CMD_like', NULL, NULL, 'AmyAc_bac_CMD_like', 1981),
(1982, 'cd07971', NULL, 'OBF_DNA_ligase_LigD', NULL, NULL, 'OBF_DNA_ligase_LigD', 1982),
(1983, 'cd17278', NULL, 'RMtype1_S_LdeBORF1052P-TRD2-CR2', NULL, NULL, 'RMtype1_S_LdeBORF1052P-TRD2-CR2', 1983),
(1984, 'cd02205', NULL, 'CBS_pair_SF', NULL, NULL, 'CBS_pair_SF', 1984),
(1985, 'cd17871', NULL, 'GPN2', NULL, NULL, 'GPN2', 1985),
(1986, 'cd18626', NULL, 'CD_eEF3', NULL, NULL, 'CD_eEF3', 1986),
(1987, 'cd05073', NULL, 'PTKc_Hck', NULL, NULL, 'PTKc_Hck', 1987),
(1988, 'cd18988', NULL, 'LGIC_ECD_bact', NULL, NULL, 'LGIC_ECD_bact', 1988),
(1989, 'cd02999', NULL, 'PDI_a_ERp44_like', NULL, NULL, 'PDI_a_ERp44_like', 1989),
(1990, 'cd18201', NULL, 'BTB_POZ_ZBTB10', NULL, NULL, 'BTB_POZ_ZBTB10', 1990),
(1991, 'cd06995', NULL, 'cupin_YkgD-like_N', NULL, NULL, 'cupin_YkgD-like_N', 1991),
(1992, 'cd07769', NULL, 'FGGY_GK', NULL, NULL, 'FGGY_GK', 1992),
(1993, 'cd13834', NULL, 'HU_like', NULL, NULL, 'HU_like', 1993),
(1994, 'cd11276', NULL, 'Sema_plexin_B2', NULL, NULL, 'Sema_plexin_B2', 1994),
(1995, 'cd03109', NULL, 'DTBS', NULL, NULL, 'DTBS', 1995),
(1996, 'cd07606', NULL, 'BAR_SFC_plant', NULL, NULL, 'BAR_SFC_plant', 1996),
(1997, 'cd13625', NULL, 'PBP2_AA_binding_like_1', NULL, NULL, 'PBP2_AA_binding_like_1', 1997),
(1998, 'cd12290', NULL, 'RRM1_LARP7', NULL, NULL, 'RRM1_LARP7', 1998);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(1999, 'cd14273', NULL, 'UBA_TAP-C_like', NULL, NULL, 'UBA_TAP-C_like', 1999),
(2000, 'cd05626', NULL, 'STKc_LATS2', NULL, NULL, 'STKc_LATS2', 2000),
(2001, 'cd02337', NULL, 'ZZ_CBP', NULL, NULL, 'ZZ_CBP', 2001),
(2002, 'cd14645', NULL, 'DSP_DUSP8', NULL, NULL, 'DSP_DUSP8', 2002),
(2003, 'cd01006', NULL, 'PBP2_phosphate_binding', NULL, NULL, 'PBP2_phosphate_binding', 2003),
(2004, 'cd09274', NULL, 'RNase_HI_RT_Ty3', NULL, NULL, 'RNase_HI_RT_Ty3', 2004),
(2005, 'cd18075', NULL, 'DEXHc_RLR-3', NULL, NULL, 'DEXHc_RLR-3', 2005),
(2006, 'cd13746', NULL, 'Sir4p-SID_like', NULL, NULL, 'Sir4p-SID_like', 2006),
(2007, 'cd04084', NULL, 'CBM6_xylanase-like', NULL, NULL, 'CBM6_xylanase-like', 2007),
(2008, 'cd00484', NULL, 'PEPCK_ATP', NULL, NULL, 'PEPCK_ATP', 2008),
(2009, 'cd02757', NULL, 'MopB_Arsenate-R', NULL, NULL, 'MopB_Arsenate-R', 2009),
(2010, 'cd14910', NULL, 'MYSc_Myh1_mammals', NULL, NULL, 'MYSc_Myh1_mammals', 2010),
(2011, 'cd03335', NULL, 'TCP1_alpha', NULL, NULL, 'TCP1_alpha', 2011),
(2012, 'cd02113', NULL, 'bact_SoxC_Moco', NULL, NULL, 'bact_SoxC_Moco', 2012),
(2013, 'cd06811', NULL, 'PLPDE_III_yhfX_like', NULL, NULL, 'PLPDE_III_yhfX_like', 2013),
(2014, 'cd08316', NULL, 'Death_FAS_TNFRSF6', NULL, NULL, 'Death_FAS_TNFRSF6', 2014),
(2015, 'cd15011', NULL, '7tmA_GPR149', NULL, NULL, '7tmA_GPR149', 2015),
(2016, 'cd09197', NULL, 'PLDc_pPLDalpha_1', NULL, NULL, 'PLDc_pPLDalpha_1', 2016),
(2017, 'cd03825', NULL, 'GT4_WcaC-like', NULL, NULL, 'GT4_WcaC-like', 2017),
(2018, 'cd13575', NULL, 'PBP2_PnhD', NULL, NULL, 'PBP2_PnhD', 2018),
(2019, 'cd17091', NULL, 'FERM_F0_SHANK', NULL, NULL, 'FERM_F0_SHANK', 2019),
(2020, 'cd10552', NULL, 'TH_beta_N', NULL, NULL, 'TH_beta_N', 2020),
(2021, 'cd20331', NULL, 'JBP-like', NULL, NULL, 'JBP-like', 2021),
(2022, 'cd00069', NULL, 'GHB_like', NULL, NULL, 'GHB_like', 2022),
(2023, 'cd08587', NULL, 'PI-PLCXDc_like', NULL, NULL, 'PI-PLCXDc_like', 2023),
(2024, 'cd01173', NULL, 'pyridoxal_pyridoxamine_kinase', NULL, NULL, 'pyridoxal_pyridoxamine_kinase', 2024),
(2025, 'cd02001', NULL, 'TPP_ComE_PpyrDC', NULL, NULL, 'TPP_ComE_PpyrDC', 2025),
(2026, 'cd18465', NULL, 'BACK_KLHL26', NULL, NULL, 'BACK_KLHL26', 2026),
(2027, 'cd01273', NULL, 'PTB_CED-6', NULL, NULL, 'PTB_CED-6', 2027),
(2028, 'cd02523', NULL, 'PC_cytidylyltransferase', NULL, NULL, 'PC_cytidylyltransferase', 2028),
(2029, 'cd00275', NULL, 'C2_PLC_like', NULL, NULL, 'C2_PLC_like', 2029),
(2030, 'cd04519', NULL, 'RasGAP', NULL, NULL, 'RasGAP', 2030),
(2031, 'cd13972', NULL, 'UbiB', NULL, NULL, 'UbiB', 2031),
(2032, 'cd08823', NULL, 'FMT_core_like_5', NULL, NULL, 'FMT_core_like_5', 2032),
(2033, 'cd10448', NULL, 'GIY-YIG_unchar_3', NULL, NULL, 'GIY-YIG_unchar_3', 2033),
(2034, 'cd18940', NULL, 'bHLH_TS_OLIG2', NULL, NULL, 'bHLH_TS_OLIG2', 2034),
(2035, 'cd09462', NULL, 'LIM1_LIMK1', NULL, NULL, 'LIM1_LIMK1', 2035),
(2036, 'cd13872', NULL, 'CuRO_2_AAO_like_1', NULL, NULL, 'CuRO_2_AAO_like_1', 2036),
(2037, 'cd17435', NULL, 'MFS_GLUT12_Class3', NULL, NULL, 'MFS_GLUT12_Class3', 2037),
(2038, 'cd18382', NULL, 'BTB_POZ_Kv6_KCNG', NULL, NULL, 'BTB_POZ_Kv6_KCNG', 2038),
(2039, 'cd13124', NULL, 'MATE_SpoVB_like', NULL, NULL, 'MATE_SpoVB_like', 2039),
(2040, 'cd04322', NULL, 'LysRS_N', NULL, NULL, 'LysRS_N', 2040),
(2041, 'cd05259', NULL, 'PCBER_SDR_a', NULL, NULL, 'PCBER_SDR_a', 2041),
(2042, 'cd05943', NULL, 'AACS', NULL, NULL, 'AACS', 2042),
(2043, 'cd11771', NULL, 'SH3_Pex13p_fungal', NULL, NULL, 'SH3_Pex13p_fungal', 2043),
(2044, 'cd02411', NULL, 'archeal_30S_S3_KH', NULL, NULL, 'archeal_30S_S3_KH', 2044),
(2045, 'cd05494', NULL, 'Bromodomain_1', NULL, NULL, 'Bromodomain_1', 2045),
(2046, 'cd06966', NULL, 'NR_DBD_CAR', NULL, NULL, 'NR_DBD_CAR', 2046),
(2047, 'cd15920', NULL, '7tmA_GPR34-like', NULL, NULL, '7tmA_GPR34-like', 2047),
(2048, 'cd08738', NULL, 'RGS_RGS7', NULL, NULL, 'RGS_RGS7', 2048),
(2049, 'cd09938', NULL, 'SH2_N-SH2_Zap70_Syk_like', NULL, NULL, 'SH2_N-SH2_Zap70_Syk_like', 2049),
(2050, 'cd10422', NULL, 'RNase_Ire1', NULL, NULL, 'RNase_Ire1', 2050),
(2051, 'cd21659', NULL, 'betaCoV_Nsp14', NULL, NULL, 'betaCoV_Nsp14', 2051);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(2052, 'cd07959', NULL, 'Anticodon_Ia_Leu_AEc', NULL, NULL, 'Anticodon_Ia_Leu_AEc', 2052),
(2053, 'cd00894', NULL, 'PI3Kc_IB_gamma', NULL, NULL, 'PI3Kc_IB_gamma', 2053),
(2054, 'cd09123', NULL, 'PLDc_Tdp1_2', NULL, NULL, 'PLDc_Tdp1_2', 2054),
(2055, 'cd14334', NULL, 'UBA_SNF1_fungi', NULL, NULL, 'UBA_SNF1_fungi', 2055),
(2056, 'cd15082', NULL, '7tmA_VA_opsin', NULL, NULL, '7tmA_VA_opsin', 2056),
(2057, 'cd07665', NULL, 'BAR_SNX1', NULL, NULL, 'BAR_SNX1', 2057),
(2058, 'cd09617', NULL, 'Peptidase_C12_UCH37_BAP1', NULL, NULL, 'Peptidase_C12_UCH37_BAP1', 2058),
(2059, 'cd14691', NULL, 'bZIP_XBP1', NULL, NULL, 'bZIP_XBP1', 2059),
(2060, 'cd12677', NULL, 'RRM4_Nop4p', NULL, NULL, 'RRM4_Nop4p', 2060),
(2061, 'cd17407', NULL, 'MFS_MFSD11', NULL, NULL, 'MFS_MFSD11', 2061),
(2062, 'cd15528', NULL, 'PHD1_PHF10', NULL, NULL, 'PHD1_PHF10', 2062),
(2063, 'cd17718', NULL, 'BRCT_TopBP1_rpt3', NULL, NULL, 'BRCT_TopBP1_rpt3', 2063),
(2064, 'cd15654', NULL, 'PHD3_NSD2', NULL, NULL, 'PHD3_NSD2', 2064),
(2065, 'cd02783', NULL, 'MopB_CT_2', NULL, NULL, 'MopB_CT_2', 2065),
(2066, 'cd09447', NULL, 'LIM_LASP', NULL, NULL, 'LIM_LASP', 2066),
(2067, 'cd10564', NULL, 'NapF_like', NULL, NULL, 'NapF_like', 2067),
(2068, 'cd11950', NULL, 'SH3_GRAP2_C', NULL, NULL, 'SH3_GRAP2_C', 2068),
(2069, 'cd03758', NULL, 'proteasome_beta_type_2', NULL, NULL, 'proteasome_beta_type_2', 2069),
(2070, 'cd11575', NULL, 'GH99_GH71_like_3', NULL, NULL, 'GH99_GH71_like_3', 2070),
(2071, 'cd13949', NULL, '7tm_V1R_pheromone', NULL, NULL, '7tm_V1R_pheromone', 2071),
(2072, 'cd06603', NULL, 'GH31_GANC_GANAB_alpha', NULL, NULL, 'GH31_GANC_GANAB_alpha', 2072),
(2073, 'cd02420', NULL, 'Peptidase_C39D', NULL, NULL, 'Peptidase_C39D', 2073),
(2074, 'cd21529', NULL, 'CoV_M', NULL, NULL, 'CoV_M', 2074),
(2075, 'cd09145', NULL, 'PLDc_vPLD4_1', NULL, NULL, 'PLDc_vPLD4_1', 2075),
(2076, 'cd02054', NULL, 'serpinA8_AGT', NULL, NULL, 'serpinA8_AGT', 2076),
(2077, 'cd12881', NULL, 'SPRY_HERC1', NULL, NULL, 'SPRY_HERC1', 2077),
(2078, 'cd17615', NULL, 'REC_OmpR_MtPhoP-like', NULL, NULL, 'REC_OmpR_MtPhoP-like', 2078),
(2079, 'cd02775', NULL, 'MopB_CT', NULL, NULL, 'MopB_CT', 2079),
(2080, 'cd03202', NULL, 'GST_C_etherase_LigE', NULL, NULL, 'GST_C_etherase_LigE', 2080),
(2081, 'cd04114', NULL, 'Rab30', NULL, NULL, 'Rab30', 2081),
(2082, 'cd11982', NULL, 'SH3_Shank1', NULL, NULL, 'SH3_Shank1', 2082),
(2083, 'cd05679', NULL, 'M20_dipept_like', NULL, NULL, 'M20_dipept_like', 2083),
(2084, 'cd15682', NULL, 'PHD_ING1', NULL, NULL, 'PHD_ING1', 2084),
(2085, 'cd03328', NULL, 'MR_like_3', NULL, NULL, 'MR_like_3', 2085),
(2086, 'cd18702', NULL, 'PIN_VapC_like', NULL, NULL, 'PIN_VapC_like', 2086),
(2087, 'cd06492', NULL, 'p23_mNUDC_like', NULL, NULL, 'p23_mNUDC_like', 2087),
(2088, 'cd19560', NULL, 'serpinB1_LEI', NULL, NULL, 'serpinB1_LEI', 2088),
(2089, 'cd09823', NULL, 'peroxinectin_like', NULL, NULL, 'peroxinectin_like', 2089),
(2090, 'cd05707', NULL, 'S1_Rrp5_repeat_sc11', NULL, NULL, 'S1_Rrp5_repeat_sc11', 2090),
(2091, 'cd14293', NULL, 'UBA3_NUB1', NULL, NULL, 'UBA3_NUB1', 2091),
(2092, 'cd18563', NULL, 'ABC_6TM_exporter_like', NULL, NULL, 'ABC_6TM_exporter_like', 2092),
(2093, 'cd13976', NULL, 'PK_TRB', NULL, NULL, 'PK_TRB', 2093),
(2094, 'cd13249', NULL, 'PH_rhotekin2', NULL, NULL, 'PH_rhotekin2', 2094),
(2095, 'cd07169', NULL, 'NR_DBD_GCNF_like', NULL, NULL, 'NR_DBD_GCNF_like', 2095),
(2096, 'cd10300', NULL, 'GST_C_CLIC1', NULL, NULL, 'GST_C_CLIC1', 2096),
(2097, 'cd03470', NULL, 'Rieske_cytochrome_bc1', NULL, NULL, 'Rieske_cytochrome_bc1', 2097),
(2098, 'cd14290', NULL, 'UBA_PUB_plant', NULL, NULL, 'UBA_PUB_plant', 2098),
(2099, 'cd01105', NULL, 'HTH_GlnR-like', NULL, NULL, 'HTH_GlnR-like', 2099),
(2100, 'cd03401', NULL, 'SPFH_prohibitin', NULL, NULL, 'SPFH_prohibitin', 2100),
(2101, 'cd18029', NULL, 'DEXHc_XPB', NULL, NULL, 'DEXHc_XPB', 2101),
(2102, 'cd11405', NULL, 'bHLHzip_MLXIP_like', NULL, NULL, 'bHLHzip_MLXIP_like', 2102),
(2103, 'cd18923', NULL, 'bHLHzip_USF2', NULL, NULL, 'bHLHzip_USF2', 2103),
(2104, 'cd15273', NULL, '7tmB1_NPR_B7_insect-like', NULL, NULL, '7tmB1_NPR_B7_insect-like', 2104); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(2105, 'cd17085', NULL, 'RAWUL_PCGF6', NULL, NULL, 'RAWUL_PCGF6', 2105),
(2106, 'cd11912', NULL, 'SH3_Bzz1_1', NULL, NULL, 'SH3_Bzz1_1', 2106),
(2107, 'cd07872', NULL, 'STKc_PCTAIRE2', NULL, NULL, 'STKc_PCTAIRE2', 2107),
(2108, 'cd07923', NULL, 'Gallate_dioxygenase_C', NULL, NULL, 'Gallate_dioxygenase_C', 2108),
(2109, 'cd14071', NULL, 'STKc_SIK', NULL, NULL, 'STKc_SIK', 2109),
(2110, 'cd09536', NULL, 'SAM_Ste50_fungal', NULL, NULL, 'SAM_Ste50_fungal', 2110),
(2111, 'cd15452', NULL, '7tmC_mGluR4', NULL, NULL, '7tmC_mGluR4', 2111),
(2112, 'cd07890', NULL, 'CYTH-like_AC_IV-like', NULL, NULL, 'CYTH-like_AC_IV-like', 2112),
(2113, 'cd03823', NULL, 'GT4_ExpE7-like', NULL, NULL, 'GT4_ExpE7-like', 2113),
(2114, 'cd02896', NULL, 'complement_C3_C4_C5', NULL, NULL, 'complement_C3_C4_C5', 2114),
(2115, 'cd06071', NULL, 'Beach', NULL, NULL, 'Beach', 2115),
(2116, 'cd11489', NULL, 'SLC5sbd_SGLT5', NULL, NULL, 'SLC5sbd_SGLT5', 2116),
(2117, 'cd11942', NULL, 'SH3_JIP2', NULL, NULL, 'SH3_JIP2', 2117),
(2118, 'cd17335', NULL, 'MFS_MFSD6', NULL, NULL, 'MFS_MFSD6', 2118),
(2119, 'cd08246', NULL, 'crotonyl_coA_red', NULL, NULL, 'crotonyl_coA_red', 2119),
(2120, 'cd15140', NULL, '7tmA_PGD2', NULL, NULL, '7tmA_PGD2', 2120),
(2121, 'cd06133', NULL, 'ERI-1_3''hExo_like', NULL, NULL, 'ERI-1_3''hExo_like', 2121),
(2122, 'cd15508', NULL, 'PHD3_KMT2A_like', NULL, NULL, 'PHD3_KMT2A_like', 2122),
(2123, 'cd18068', NULL, 'DEXHc_ATRX', NULL, NULL, 'DEXHc_ATRX', 2123),
(2124, 'cd18078', NULL, 'DEXXQc_Mov10L1', NULL, NULL, 'DEXXQc_Mov10L1', 2124),
(2125, 'cd19882', NULL, 'DSRM_STAU2_rpt2', NULL, NULL, 'DSRM_STAU2_rpt2', 2125),
(2126, 'cd15096', NULL, '7tmA_AstA_R_insect', NULL, NULL, '7tmA_AstA_R_insect', 2126),
(2127, 'cd09168', NULL, 'PLDc_PaPPK1_C2_like', NULL, NULL, 'PLDc_PaPPK1_C2_like', 2127),
(2128, 'cd14502', NULL, 'RNA_5''-triphosphatase', NULL, NULL, 'RNA_5''-triphosphatase', 2128),
(2129, 'cd00818', NULL, 'IleRS_core', NULL, NULL, 'IleRS_core', 2129),
(2130, 'cd01091', NULL, 'CDC68-like', NULL, NULL, 'CDC68-like', 2130),
(2131, 'cd09108', NULL, 'PLDc_PMFPLD_like_1', NULL, NULL, 'PLDc_PMFPLD_like_1', 2131),
(2132, 'cd09609', NULL, 'M3B_PepF', NULL, NULL, 'M3B_PepF', 2132),
(2133, 'cd10427', NULL, 'FGGY_GK_1', NULL, NULL, 'FGGY_GK_1', 2133),
(2134, 'cd00019', NULL, 'AP2Ec', NULL, NULL, 'AP2Ec', 2134),
(2135, 'cd03479', NULL, 'Rieske_RO_Alpha_PhDO_like', NULL, NULL, 'Rieske_RO_Alpha_PhDO_like', 2135),
(2136, 'cd07621', NULL, 'BAR_SNX5_6', NULL, NULL, 'BAR_SNX5_6', 2136),
(2137, 'cd14891', NULL, 'MYSc_Myo30', NULL, NULL, 'MYSc_Myo30', 2137),
(2138, 'cd04271', NULL, 'ZnMc_ADAM_fungal', NULL, NULL, 'ZnMc_ADAM_fungal', 2138),
(2139, 'cd09454', NULL, 'LIM1_ZASP_Cypher', NULL, NULL, 'LIM1_ZASP_Cypher', 2139),
(2140, 'cd16915', NULL, 'HATPase_DpiB-CitA-like', NULL, NULL, 'HATPase_DpiB-CitA-like', 2140),
(2141, 'cd07658', NULL, 'F-BAR_NOSTRIN', NULL, NULL, 'F-BAR_NOSTRIN', 2141),
(2142, 'cd17501', NULL, 'RMtype1_S_Vch69ORF1407P_TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Vch69ORF1407P_TRD2-CR2_like', 2142),
(2143, 'cd06386', NULL, 'PBP1_NPR_C', NULL, NULL, 'PBP1_NPR_C', 2143),
(2144, 'cd16325', NULL, 'LolA', NULL, NULL, 'LolA', 2144),
(2145, 'cd05347', NULL, 'Ga5DH-like_SDR_c', NULL, NULL, 'Ga5DH-like_SDR_c', 2145),
(2146, 'cd16387', NULL, 'ParB_N_Srx', NULL, NULL, 'ParB_N_Srx', 2146),
(2147, 'cd02848', NULL, 'E_set_Chitinase_N', NULL, NULL, 'E_set_Chitinase_N', 2147),
(2148, 'cd14113', NULL, 'STKc_Trio_C', NULL, NULL, 'STKc_Trio_C', 2148),
(2149, 'cd05235', NULL, 'SDR_e1', NULL, NULL, 'SDR_e1', 2149),
(2150, 'cd12291', NULL, 'RRM1_La', NULL, NULL, 'RRM1_La', 2150),
(2151, 'cd09247', NULL, 'BRO1_Alix_like_2', NULL, NULL, 'BRO1_Alix_like_2', 2151),
(2152, 'cd04630', NULL, 'CBS_pair_bac', NULL, NULL, 'CBS_pair_bac', 2152),
(2153, 'cd05042', NULL, 'PTKc_Aatyk', NULL, NULL, 'PTKc_Aatyk', 2153),
(2154, 'cd05008', NULL, 'SIS_GlmS_GlmD_1', NULL, NULL, 'SIS_GlmS_GlmD_1', 2154),
(2155, 'cd06812', NULL, 'PLPDE_III_DSD_D-TA_like_1', NULL, NULL, 'PLPDE_III_DSD_D-TA_like_1', 2155),
(2156, 'cd14112', NULL, 'STKc_Unc-89_rpt2', NULL, NULL, 'STKc_Unc-89_rpt2', 2156);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(2157, 'cd18628', NULL, 'CD3_cpSRP43_like', NULL, NULL, 'CD3_cpSRP43_like', 2157),
(2158, 'cd20485', NULL, 'USP25_USP28_C-like', NULL, NULL, 'USP25_USP28_C-like', 2158),
(2159, 'cd18389', NULL, 'BTB_POZ_KCTD2', NULL, NULL, 'BTB_POZ_KCTD2', 2159),
(2160, 'cd13190', NULL, 'FERM_C_FAK1', NULL, NULL, 'FERM_C_FAK1', 2160),
(2161, 'cd07844', NULL, 'STKc_PCTAIRE_like', NULL, NULL, 'STKc_PCTAIRE_like', 2161),
(2162, 'cd07496', NULL, 'Peptidases_S8_13', NULL, NULL, 'Peptidases_S8_13', 2162),
(2163, 'cd06307', NULL, 'PBP1_sugar_binding', NULL, NULL, 'PBP1_sugar_binding', 2163),
(2164, 'cd13831', NULL, 'HU', NULL, NULL, 'HU', 2164),
(2165, 'cd15658', NULL, 'PHD4_NSD3', NULL, NULL, 'PHD4_NSD3', 2165),
(2166, 'cd02862', NULL, 'NorE_like', NULL, NULL, 'NorE_like', 2166),
(2167, 'cd06503', NULL, 'ATP-synt_Fo_b', NULL, NULL, 'ATP-synt_Fo_b', 2167),
(2168, 'cd08663', NULL, 'DAP_dppA_1', NULL, NULL, 'DAP_dppA_1', 2168),
(2169, 'cd05530', NULL, 'POLBc_B1', NULL, NULL, 'POLBc_B1', 2169),
(2170, 'cd05821', NULL, 'TLP_Transthyretin', NULL, NULL, 'TLP_Transthyretin', 2170),
(2171, 'cd15085', NULL, '7tmA_Parietopsin', NULL, NULL, '7tmA_Parietopsin', 2171),
(2172, 'cd15721', NULL, 'FYVE_RUFY1_like', NULL, NULL, 'FYVE_RUFY1_like', 2172),
(2173, 'cd05282', NULL, 'ETR_like', NULL, NULL, 'ETR_like', 2173),
(2174, 'cd14900', NULL, 'MYSc_Myo39', NULL, NULL, 'MYSc_Myo39', 2174),
(2175, 'cd16897', NULL, 'LYZ_C', NULL, NULL, 'LYZ_C', 2175),
(2176, 'cd07684', NULL, 'F-BAR_srGAP3', NULL, NULL, 'F-BAR_srGAP3', 2176),
(2177, 'cd13128', NULL, 'MATE_Wzx_like', NULL, NULL, 'MATE_Wzx_like', 2177),
(2178, 'cd16435', NULL, 'BPL_LplA_LipB', NULL, NULL, 'BPL_LplA_LipB', 2178),
(2179, 'cd08548', NULL, 'Type_I_cohesin_like', NULL, NULL, 'Type_I_cohesin_like', 2179),
(2180, 'cd18104', NULL, 'SpoU-like_RNA-MTase', NULL, NULL, 'SpoU-like_RNA-MTase', 2180),
(2181, 'cd19701', NULL, 'bHLH_TS_HEN1', NULL, NULL, 'bHLH_TS_HEN1', 2181),
(2182, 'cd10298', NULL, 'GST_C_CLIC2', NULL, NULL, 'GST_C_CLIC2', 2182),
(2183, 'cd09906', NULL, 'H3TH_YEN1', NULL, NULL, 'H3TH_YEN1', 2183),
(2184, 'cd05929', NULL, 'BACL_like', NULL, NULL, 'BACL_like', 2184),
(2185, 'cd14090', NULL, 'STKc_Mnk', NULL, NULL, 'STKc_Mnk', 2185),
(2186, 'cd04974', NULL, 'Ig3_FGFR', NULL, NULL, 'Ig3_FGFR', 2186),
(2187, 'cd08828', NULL, 'SPFH_SLP-3', NULL, NULL, 'SPFH_SLP-3', 2187),
(2188, 'cd15925', NULL, '7tmA_RNL3R2', NULL, NULL, '7tmA_RNL3R2', 2188),
(2189, 'cd06490', NULL, 'p23_NCB5OR', NULL, NULL, 'p23_NCB5OR', 2189),
(2190, 'cd07689', NULL, 'Ig_VCAM-1', NULL, NULL, 'Ig_VCAM-1', 2190),
(2191, 'cd19215', NULL, 'PR-SET_ZFPM1', NULL, NULL, 'PR-SET_ZFPM1', 2191),
(2192, 'cd04230', NULL, 'Sulfocyanin', NULL, NULL, 'Sulfocyanin', 2192),
(2193, 'cd08769', NULL, 'DAP_dppA_2', NULL, NULL, 'DAP_dppA_2', 2193),
(2194, 'cd11492', NULL, 'SLC5sbd_NIS-SMVT', NULL, NULL, 'SLC5sbd_NIS-SMVT', 2194),
(2195, 'cd15860', NULL, 'SNARE_USE1', NULL, NULL, 'SNARE_USE1', 2195),
(2196, 'cd19357', NULL, 'TenA_E_At3g16990-like', NULL, NULL, 'TenA_E_At3g16990-like', 2196),
(2197, 'cd08667', NULL, 'APC10-ZZEF1', NULL, NULL, 'APC10-ZZEF1', 2197),
(2198, 'cd06359', NULL, 'PBP1_Nba-like', NULL, NULL, 'PBP1_Nba-like', 2198),
(2199, 'cd08418', NULL, 'PBP2_TdcA', NULL, NULL, 'PBP2_TdcA', 2199),
(2200, 'cd06374', NULL, 'PBP1_mGluR_groupI', NULL, NULL, 'PBP1_mGluR_groupI', 2200),
(2201, 'cd13382', NULL, 'PH_OCRL1', NULL, NULL, 'PH_OCRL1', 2201),
(2202, 'cd05697', NULL, 'S1_Rrp5_repeat_hs5', NULL, NULL, 'S1_Rrp5_repeat_hs5', 2202),
(2203, 'cd09158', NULL, 'PLDc_EcCLS_like_2', NULL, NULL, 'PLDc_EcCLS_like_2', 2203),
(2204, 'cd02022', NULL, 'DPCK', NULL, NULL, 'DPCK', 2204),
(2205, 'cd18688', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 2205),
(2206, 'cd11731', NULL, 'Lin1944_like_SDR_c', NULL, NULL, 'Lin1944_like_SDR_c', 2206),
(2207, 'cd04594', NULL, 'CBS_pair_voltage-gated_CLC_archaea', NULL, NULL, 'CBS_pair_voltage-gated_CLC_archaea', 2207),
(2208, 'cd16533', NULL, 'RING-HC_RNF4', NULL, NULL, 'RING-HC_RNF4', 2208),
(2209, 'cd05388', NULL, 'CobB_N', NULL, NULL, 'CobB_N', 2209),
(2210, 'cd17164', NULL, 'RAWUL_PCGF2', NULL, NULL, 'RAWUL_PCGF2', 2210);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(2211, 'cd10022', NULL, '14-3-3_beta_zeta', NULL, NULL, '14-3-3_beta_zeta', 2211),
(2212, 'cd12070', NULL, 'SH3_ARHGAP12', NULL, NULL, 'SH3_ARHGAP12', 2212),
(2213, 'cd08765', NULL, 'Cyt_b561_CYBRD1', NULL, NULL, 'Cyt_b561_CYBRD1', 2213),
(2214, 'cd00299', NULL, 'GST_C_family', NULL, NULL, 'GST_C_family', 2214),
(2215, 'cd00212', NULL, 'PTS_IIB_glc', NULL, NULL, 'PTS_IIB_glc', 2215),
(2216, 'cd18438', NULL, 'BRCT_BRC1_like_rpt4', NULL, NULL, 'BRCT_BRC1_like_rpt4', 2216),
(2217, 'cd17015', NULL, 'ING_plant', NULL, NULL, 'ING_plant', 2217),
(2218, 'cd12830', NULL, 'MtCorA-like', NULL, NULL, 'MtCorA-like', 2218),
(2219, 'cd17788', NULL, 'CBS_pair_bac', NULL, NULL, 'CBS_pair_bac', 2219),
(2220, 'cd11802', NULL, 'SH3_Endophilin_B', NULL, NULL, 'SH3_Endophilin_B', 2220),
(2221, 'cd09288', NULL, 'Photosystem-II_D2', NULL, NULL, 'Photosystem-II_D2', 2221),
(2222, 'cd19055', NULL, 'LGIC_TM_GABAAR_delta', NULL, NULL, 'LGIC_TM_GABAAR_delta', 2222),
(2223, 'cd01494', NULL, 'AAT_I', NULL, NULL, 'AAT_I', 2223),
(2224, 'cd14570', NULL, 'DSP_slingshot_1', NULL, NULL, 'DSP_slingshot_1', 2224),
(2225, 'cd00588', NULL, 'CheW_like', NULL, NULL, 'CheW_like', 2225),
(2226, 'cd05152', NULL, 'MPH2''', NULL, NULL, 'MPH2''', 2226),
(2227, 'cd12897', NULL, 'SPRY_PRY_TRIM50_72', NULL, NULL, 'SPRY_PRY_TRIM50_72', 2227),
(2228, 'cd20073', NULL, 'SET_SUV39H_Clr4-like', NULL, NULL, 'SET_SUV39H_Clr4-like', 2228),
(2229, 'cd04678', NULL, 'Nudix_Hydrolase_19', NULL, NULL, 'Nudix_Hydrolase_19', 2229),
(2230, 'cd17051', NULL, 'Ubl2_ANKUB1', NULL, NULL, 'Ubl2_ANKUB1', 2230),
(2231, 'cd04737', NULL, 'LOX_like_FMN', NULL, NULL, 'LOX_like_FMN', 2231),
(2232, 'cd12164', NULL, 'GDH_like_2', NULL, NULL, 'GDH_like_2', 2232),
(2233, 'cd17239', NULL, 'FERM_F1_Ezrin', NULL, NULL, 'FERM_F1_Ezrin', 2233),
(2234, 'cd13263', NULL, 'PH_RhoGap25-like', NULL, NULL, 'PH_RhoGap25-like', 2234),
(2235, 'cd14345', NULL, 'UBA_UBXD7', NULL, NULL, 'UBA_UBXD7', 2235),
(2236, 'cd00853', NULL, 'NifX', NULL, NULL, 'NifX', 2236),
(2237, 'cd05804', NULL, 'StaR_like', NULL, NULL, 'StaR_like', 2237),
(2238, 'cd18996', NULL, 'LGIC_ECD_5-HT3', NULL, NULL, 'LGIC_ECD_5-HT3', 2238),
(2239, 'cd05584', NULL, 'STKc_p70S6K', NULL, NULL, 'STKc_p70S6K', 2239),
(2240, 'cd17786', NULL, 'CBS_pair_Thermoplasmatales', NULL, NULL, 'CBS_pair_Thermoplasmatales', 2240),
(2241, 'cd06637', NULL, 'STKc_TNIK', NULL, NULL, 'STKc_TNIK', 2241),
(2242, 'cd06916', NULL, 'NR_DBD_like', NULL, NULL, 'NR_DBD_like', 2242),
(2243, 'cd07947', NULL, 'DRE_TIM_Re_CS', NULL, NULL, 'DRE_TIM_Re_CS', 2243),
(2244, 'cd00780', NULL, 'NTF2', NULL, NULL, 'NTF2', 2244),
(2245, 'cd04121', NULL, 'Rab40', NULL, NULL, 'Rab40', 2245),
(2246, 'cd14204', NULL, 'PTKc_Mer', NULL, NULL, 'PTKc_Mer', 2246),
(2247, 'cd07055', NULL, 'BMC_like_2', NULL, NULL, 'BMC_like_2', 2247),
(2248, 'cd03582', NULL, 'NTR_complement_C5', NULL, NULL, 'NTR_complement_C5', 2248),
(2249, 'cd07679', NULL, 'F-BAR_PACSIN2', NULL, NULL, 'F-BAR_PACSIN2', 2249),
(2250, 'cd15639', NULL, 'PHD_DIDO1_like', NULL, NULL, 'PHD_DIDO1_like', 2250),
(2251, 'cd16539', NULL, 'RING-HC_RNF113A_B', NULL, NULL, 'RING-HC_RNF113A_B', 2251),
(2252, 'cd07323', NULL, 'LAM', NULL, NULL, 'LAM', 2252),
(2253, 'cd10365', NULL, 'SH2_Src_Src', NULL, NULL, 'SH2_Src_Src', 2253),
(2254, 'cd08244', NULL, 'MDR_enoyl_red', NULL, NULL, 'MDR_enoyl_red', 2254),
(2255, 'cd15322', NULL, '7tmA_alpha2A_AR', NULL, NULL, '7tmA_alpha2A_AR', 2255),
(2256, 'cd00859', NULL, 'HisRS_anticodon', NULL, NULL, 'HisRS_anticodon', 2256),
(2257, 'cd20259', NULL, 'pgc', NULL, NULL, 'pgc', 2257),
(2258, 'cd04484', NULL, 'polC_OBF', NULL, NULL, 'polC_OBF', 2258),
(2259, 'cd18000', NULL, 'DEXHc_ERCC6', NULL, NULL, 'DEXHc_ERCC6', 2259),
(2260, 'cd13869', NULL, 'CuRO_2_PHS', NULL, NULL, 'CuRO_2_PHS', 2260),
(2261, 'cd16597', NULL, 'RING-HC_TRIM25_C-IV', NULL, NULL, 'RING-HC_TRIM25_C-IV', 2261),
(2262, 'cd04968', NULL, 'Ig3_Contactin', NULL, NULL, 'Ig3_Contactin', 2262),
(2263, 'cd17491', NULL, 'MFS_MFSD12', NULL, NULL, 'MFS_MFSD12', 2263),
(2264, 'cd13286', NULL, 'PH_OPR5_ORP8', NULL, NULL, 'PH_OPR5_ORP8', 2264);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(2265, 'cd08531', NULL, 'SAM_PNT-ERG_FLI-1', NULL, NULL, 'SAM_PNT-ERG_FLI-1', 2265),
(2266, 'cd00633', NULL, 'Secretoglobin', NULL, NULL, 'Secretoglobin', 2266),
(2267, 'cd01750', NULL, 'GATase1_CobQ', NULL, NULL, 'GATase1_CobQ', 2267),
(2268, 'cd09361', NULL, 'LIM1_Enigma_like', NULL, NULL, 'LIM1_Enigma_like', 2268),
(2269, 'cd08997', NULL, 'GH68', NULL, NULL, 'GH68', 2269),
(2270, 'cd18536', NULL, 'PTP-IVa2', NULL, NULL, 'PTP-IVa2', 2270),
(2271, 'cd12948', NULL, 'NOPS_PSF', NULL, NULL, 'NOPS_PSF', 2271),
(2272, 'cd03498', NULL, 'SQR_TypeB_2_TM', NULL, NULL, 'SQR_TypeB_2_TM', 2272),
(2273, 'cd06902', NULL, 'lectin_ERGIC-53_ERGL', NULL, NULL, 'lectin_ERGIC-53_ERGL', 2273),
(2274, 'cd09559', NULL, 'SAM_SASH1_repeat1', NULL, NULL, 'SAM_SASH1_repeat1', 2274),
(2275, 'cd04217', NULL, 'Cupredoxin_Fibrocystin-L_like', NULL, NULL, 'Cupredoxin_Fibrocystin-L_like', 2275),
(2276, 'cd14589', NULL, 'PTP-MTMR13', NULL, NULL, 'PTP-MTMR13', 2276),
(2277, 'cd14794', NULL, 'RNLA_N_1', NULL, NULL, 'RNLA_N_1', 2277),
(2278, 'cd11437', NULL, 'bHLH-PAS_ARNT_like', NULL, NULL, 'bHLH-PAS_ARNT_like', 2278),
(2279, 'cd14973', NULL, '7tmA_Mrgpr', NULL, NULL, '7tmA_Mrgpr', 2279),
(2280, 'cd15030', NULL, '7tmF_SMO_homolog', NULL, NULL, '7tmF_SMO_homolog', 2280),
(2281, 'cd15898', NULL, 'EFh_PI-PLC', NULL, NULL, 'EFh_PI-PLC', 2281),
(2282, 'cd04035', NULL, 'C2A_Rabphilin_Doc2', NULL, NULL, 'C2A_Rabphilin_Doc2', 2282),
(2283, 'cd11569', NULL, 'FAT-like_BCAR1_C', NULL, NULL, 'FAT-like_BCAR1_C', 2283),
(2284, 'cd10350', NULL, 'SH2_SH2D4A', NULL, NULL, 'SH2_SH2D4A', 2284),
(2285, 'cd13913', NULL, 'ba3_CcO_II_C', NULL, NULL, 'ba3_CcO_II_C', 2285),
(2286, 'cd13217', NULL, 'PH-GRAM1_TCB1D8_TCB1D9_family', NULL, NULL, 'PH-GRAM1_TCB1D8_TCB1D9_family', 2286),
(2287, 'cd11888', NULL, 'SH3_ARHGAP9_like', NULL, NULL, 'SH3_ARHGAP9_like', 2287),
(2288, 'cd12493', NULL, 'RRM2_DND1', NULL, NULL, 'RRM2_DND1', 2288),
(2289, 'cd15825', NULL, 'SPRY_PRY_TRIM34', NULL, NULL, 'SPRY_PRY_TRIM34', 2289),
(2290, 'cd15339', NULL, '7tmA_MCHR2', NULL, NULL, '7tmA_MCHR2', 2290),
(2291, 'cd13628', NULL, 'PBP2_Ala', NULL, NULL, 'PBP2_Ala', 2291),
(2292, 'cd15058', NULL, '7tmA_Beta_AR', NULL, NULL, '7tmA_Beta_AR', 2292),
(2293, 'cd16138', NULL, 'RA_MRL_MIG10', NULL, NULL, 'RA_MRL_MIG10', 2293),
(2294, 'cd00064', NULL, 'FU', NULL, NULL, 'FU', 2294),
(2295, 'cd00501', NULL, 'Peptidase_C15', NULL, NULL, 'Peptidase_C15', 2295),
(2296, 'cd01122', NULL, 'GP4d_helicase', NULL, NULL, 'GP4d_helicase', 2296),
(2297, 'cd02800', NULL, 'tRNA_bind_EcMetRS_like', NULL, NULL, 'tRNA_bind_EcMetRS_like', 2297),
(2298, 'cd16423', NULL, 'HAD_BPGM-like', NULL, NULL, 'HAD_BPGM-like', 2298),
(2299, 'cd15437', NULL, '7tmB2_ETL', NULL, NULL, '7tmB2_ETL', 2299),
(2300, 'cd01719', NULL, 'Sm_G', NULL, NULL, 'Sm_G', 2300),
(2301, 'cd16730', NULL, 'RING-HC_MKRN1_3', NULL, NULL, 'RING-HC_MKRN1_3', 2301),
(2302, 'cd09695', NULL, 'Csx16_III-U', NULL, NULL, 'Csx16_III-U', 2302),
(2303, 'cd15376', NULL, '7tmA_P2Y11', NULL, NULL, '7tmA_P2Y11', 2303),
(2304, 'cd08065', NULL, 'MPN_eIF3h', NULL, NULL, 'MPN_eIF3h', 2304),
(2305, 'cd10533', NULL, 'SET_EHMT2', NULL, NULL, 'SET_EHMT2', 2305),
(2306, 'cd00308', NULL, 'enolase_like', NULL, NULL, 'enolase_like', 2306),
(2307, 'cd19805', NULL, 'Bbox1_TIF1', NULL, NULL, 'Bbox1_TIF1', 2307),
(2308, 'cd02240', NULL, 'cupin_OxDC', NULL, NULL, 'cupin_OxDC', 2308),
(2309, 'cd13517', NULL, 'PBP2_ModA3_like', NULL, NULL, 'PBP2_ModA3_like', 2309),
(2310, 'cd01576', NULL, 'AcnB_Swivel', NULL, NULL, 'AcnB_Swivel', 2310),
(2311, 'cd16438', NULL, 'beta_Kdo_transferase_KpsS_like', NULL, NULL, 'beta_Kdo_transferase_KpsS_like', 2311),
(2312, 'cd20237', NULL, 'PFM_LIN24-like', NULL, NULL, 'PFM_LIN24-like', 2312),
(2313, 'cd14477', NULL, 'SPX_XPR1_like', NULL, NULL, 'SPX_XPR1_like', 2313),
(2314, 'cd13177', NULL, 'RanBD2_RanBP2-like', NULL, NULL, 'RanBD2_RanBP2-like', 2314),
(2315, 'cd01657', NULL, 'Ribosomal_L7_archeal_euk', NULL, NULL, 'Ribosomal_L7_archeal_euk', 2315),
(2316, 'cd16869', NULL, 'ARID_ARID5', NULL, NULL, 'ARID_ARID5', 2316),
(2317, 'cd16305', NULL, 'Sfh-1-like_MBL-B2', NULL, NULL, 'Sfh-1-like_MBL-B2', 2317);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(2318, 'cd18687', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 2318),
(2319, 'cd01041', NULL, 'Rubrerythrin', NULL, NULL, 'Rubrerythrin', 2319),
(2320, 'cd13852', NULL, 'CuRO_1_McoP_like', NULL, NULL, 'CuRO_1_McoP_like', 2320),
(2321, 'cd14584', NULL, 'PTP-MTMR8', NULL, NULL, 'PTP-MTMR8', 2321),
(2322, 'cd12553', NULL, 'RRM1_RBM15', NULL, NULL, 'RRM1_RBM15', 2322),
(2323, 'cd15870', NULL, 'R-SNARE_VAMP2', NULL, NULL, 'R-SNARE_VAMP2', 2323),
(2324, 'cd07264', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 2324),
(2325, 'cd12483', NULL, 'RRM1_hnRNPQ', NULL, NULL, 'RRM1_hnRNPQ', 2325),
(2326, 'cd12954', NULL, 'MMP_TTHA0227_like_1', NULL, NULL, 'MMP_TTHA0227_like_1', 2326),
(2327, 'cd16113', NULL, 'DCX2_DCDC2_like', NULL, NULL, 'DCX2_DCDC2_like', 2327),
(2328, 'cd13228', NULL, 'PHear_NECAP', NULL, NULL, 'PHear_NECAP', 2328),
(2329, 'cd15821', NULL, 'SPRY_PRY_RFPL', NULL, NULL, 'SPRY_PRY_RFPL', 2329),
(2330, 'cd05294', NULL, 'LDH-like_MDH_nadp', NULL, NULL, 'LDH-like_MDH_nadp', 2330),
(2331, 'cd09143', NULL, 'PLDc_vPLD1_2_like_bac_2', NULL, NULL, 'PLDc_vPLD1_2_like_bac_2', 2331),
(2332, 'cd01531', NULL, 'Acr2p', NULL, NULL, 'Acr2p', 2332),
(2333, 'cd18936', NULL, 'bHLH_TS_MYOD1_Myf3', NULL, NULL, 'bHLH_TS_MYOD1_Myf3', 2333),
(2334, 'cd04671', NULL, 'Nudix_Hydrolase_13', NULL, NULL, 'Nudix_Hydrolase_13', 2334),
(2335, 'cd15051', NULL, '7tmA_Histamine_H2R', NULL, NULL, '7tmA_Histamine_H2R', 2335),
(2336, 'cd04897', NULL, 'ACT_ACR_3', NULL, NULL, 'ACT_ACR_3', 2336),
(2337, 'cd18741', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 2337),
(2338, 'cd03524', NULL, 'RPA2_OBF_family', NULL, NULL, 'RPA2_OBF_family', 2338),
(2339, 'cd11959', NULL, 'SH3_Cortactin', NULL, NULL, 'SH3_Cortactin', 2339),
(2340, 'cd00672', NULL, 'CysRS_core', NULL, NULL, 'CysRS_core', 2340),
(2341, 'cd17073', NULL, 'KHA', NULL, NULL, 'KHA', 2341),
(2342, 'cd02028', NULL, 'UMPK_like', NULL, NULL, 'UMPK_like', 2342),
(2343, 'cd08037', NULL, 'LARP_1', NULL, NULL, 'LARP_1', 2343),
(2344, 'cd03894', NULL, 'M20_ArgE', NULL, NULL, 'M20_ArgE', 2344),
(2345, 'cd05652', NULL, 'M20_ArgE_DapE-like_fungal', NULL, NULL, 'M20_ArgE_DapE-like_fungal', 2345),
(2346, 'cd08916', NULL, 'TrHb3_P', NULL, NULL, 'TrHb3_P', 2346),
(2347, 'cd14023', NULL, 'PK_TRB1', NULL, NULL, 'PK_TRB1', 2347),
(2348, 'cd15582', NULL, 'PHD2_PHF1', NULL, NULL, 'PHD2_PHF1', 2348),
(2349, 'cd00474', NULL, 'eIF1_SUI1_like', NULL, NULL, 'eIF1_SUI1_like', 2349),
(2350, 'cd13439', NULL, 'CamS_repeat', NULL, NULL, 'CamS_repeat', 2350),
(2351, 'cd01643', NULL, 'Bacterial_IMPase_like_2', NULL, NULL, 'Bacterial_IMPase_like_2', 2351),
(2352, 'cd02764', NULL, 'MopB_PHLH', NULL, NULL, 'MopB_PHLH', 2352),
(2353, 'cd03425', NULL, 'MutT_pyrophosphohydrolase', NULL, NULL, 'MutT_pyrophosphohydrolase', 2353),
(2354, 'cd19111', NULL, 'AKR_AKR1G1_1I', NULL, NULL, 'AKR_AKR1G1_1I', 2354),
(2355, 'cd13718', NULL, 'PBP2_iGluR_NMDA_Nr2', NULL, NULL, 'PBP2_iGluR_NMDA_Nr2', 2355),
(2356, 'cd01465', NULL, 'vWA_subgroup', NULL, NULL, 'vWA_subgroup', 2356),
(2357, 'cd17298', NULL, 'DUF1907', NULL, NULL, 'DUF1907', 2357),
(2358, 'cd01158', NULL, 'SCAD_SBCAD', NULL, NULL, 'SCAD_SBCAD', 2358),
(2359, 'cd19145', NULL, 'AKR_AKR13D1', NULL, NULL, 'AKR_AKR13D1', 2359),
(2360, 'cd01313', NULL, 'Met_dep_hydrolase_E', NULL, NULL, 'Met_dep_hydrolase_E', 2360),
(2361, 'cd14620', NULL, 'R-PTPc-E-1', NULL, NULL, 'R-PTPc-E-1', 2361),
(2362, 'cd01100', NULL, 'APPLE_Factor_XI_like', NULL, NULL, 'APPLE_Factor_XI_like', 2362),
(2363, 'cd11697', NULL, 'DHR2_DOCK_A', NULL, NULL, 'DHR2_DOCK_A', 2363),
(2364, 'cd14618', NULL, 'R-PTPc-V', NULL, NULL, 'R-PTPc-V', 2364),
(2365, 'cd12813', NULL, 'LbR-like', NULL, NULL, 'LbR-like', 2365),
(2366, 'cd13695', NULL, 'PBP2_Mlr3796_like', NULL, NULL, 'PBP2_Mlr3796_like', 2366),
(2367, 'cd18760', NULL, 'PIN_MtVapC3-like', NULL, NULL, 'PIN_MtVapC3-like', 2367),
(2368, 'cd01102', NULL, 'Link_Domain', NULL, NULL, 'Link_Domain', 2368),
(2369, 'cd08809', NULL, 'CARD_CARD9', NULL, NULL, 'CARD_CARD9', 2369),
(2370, 'cd15565', NULL, 'PHD2_NSD', NULL, NULL, 'PHD2_NSD', 2370);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(2371, 'cd12496', NULL, 'RRM3_RBM46', NULL, NULL, 'RRM3_RBM46', 2371),
(2372, 'cd15590', NULL, 'PHD2_KMT2A', NULL, NULL, 'PHD2_KMT2A', 2372),
(2373, 'cd06854', NULL, 'GT_WbpL_WbcO_like', NULL, NULL, 'GT_WbpL_WbcO_like', 2373),
(2374, 'cd10786', NULL, 'GH38N_AMII_like', NULL, NULL, 'GH38N_AMII_like', 2374),
(2375, 'cd15932', NULL, '7tmB2_GPR116-like_Adhesion_VI', NULL, NULL, '7tmB2_GPR116-like_Adhesion_VI', 2375),
(2376, 'cd08777', NULL, 'Death_RIP1', NULL, NULL, 'Death_RIP1', 2376),
(2377, 'cd07245', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 2377),
(2378, 'cd14676', NULL, 'PH_DOK1,2,3', NULL, NULL, 'PH_DOK1,2,3', 2378),
(2379, 'cd03860', NULL, 'M14_CP_A-B_like', NULL, NULL, 'M14_CP_A-B_like', 2379),
(2380, 'cd17257', NULL, 'RMtype1_S_EcoBI-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_EcoBI-TRD1-CR1_like', 2380),
(2381, 'cd06976', NULL, 'cupin_MtlR-like_N', NULL, NULL, 'cupin_MtlR-like_N', 2381),
(2382, 'cd09468', NULL, 'LIM1_Lhx4', NULL, NULL, 'LIM1_Lhx4', 2382),
(2383, 'cd10442', NULL, 'GIY-YIG_PLEs', NULL, NULL, 'GIY-YIG_PLEs', 2383),
(2384, 'cd12216', NULL, 'Csn2_like', NULL, NULL, 'Csn2_like', 2384),
(2385, 'cd07627', NULL, 'BAR_Vps5p', NULL, NULL, 'BAR_Vps5p', 2385),
(2386, 'cd03793', NULL, 'GT3_GSY2-like', NULL, NULL, 'GT3_GSY2-like', 2386),
(2387, 'cd18110', NULL, 'ATP-synt_F1_beta_C', NULL, NULL, 'ATP-synt_F1_beta_C', 2387),
(2388, 'cd18670', NULL, 'PIN_Mut7-C-like', NULL, NULL, 'PIN_Mut7-C-like', 2388),
(2389, 'cd13157', NULL, 'PTB_tensin-related', NULL, NULL, 'PTB_tensin-related', 2389),
(2390, 'cd15094', NULL, '7tmA_AstC_insect', NULL, NULL, '7tmA_AstC_insect', 2390),
(2391, 'cd01262', NULL, 'PH_PDK1', NULL, NULL, 'PH_PDK1', 2391),
(2392, 'cd04742', NULL, 'NPD_FabD', NULL, NULL, 'NPD_FabD', 2392),
(2393, 'cd14007', NULL, 'STKc_Aurora', NULL, NULL, 'STKc_Aurora', 2393),
(2394, 'cd07056', NULL, 'BMC_PduK', NULL, NULL, 'BMC_PduK', 2394),
(2395, 'cd03145', NULL, 'GAT1_cyanophycinase', NULL, NULL, 'GAT1_cyanophycinase', 2395),
(2396, 'cd12762', NULL, 'RRM1_hnRNPA2B1', NULL, NULL, 'RRM1_hnRNPA2B1', 2396),
(2397, 'cd16472', NULL, 'RING-H2_RNF38_like', NULL, NULL, 'RING-H2_RNF38_like', 2397),
(2398, 'cd01666', NULL, 'TGS_DRG', NULL, NULL, 'TGS_DRG', 2398),
(2399, 'cd03399', NULL, 'SPFH_flotillin', NULL, NULL, 'SPFH_flotillin', 2399),
(2400, 'cd16653', NULL, 'RING-like_Rtf2', NULL, NULL, 'RING-like_Rtf2', 2400),
(2401, 'cd16560', NULL, 'RING-HC_RNF212_like', NULL, NULL, 'RING-HC_RNF212_like', 2401),
(2402, 'cd00177', NULL, 'START', NULL, NULL, 'START', 2402),
(2403, 'cd10360', NULL, 'SH2_Srm', NULL, NULL, 'SH2_Srm', 2403),
(2404, 'cd15753', NULL, 'FYVE_SlaC2-c', NULL, NULL, 'FYVE_SlaC2-c', 2404),
(2405, 'cd16769', NULL, 'RING-HC_UHRF1', NULL, NULL, 'RING-HC_UHRF1', 2405),
(2406, 'cd10470', NULL, 'FAM20B_C', NULL, NULL, 'FAM20B_C', 2406),
(2407, 'cd16583', NULL, 'RING-HC_TRIM40-C-V', NULL, NULL, 'RING-HC_TRIM40-C-V', 2407),
(2408, 'cd19535', NULL, 'Cyc_NRPS', NULL, NULL, 'Cyc_NRPS', 2408),
(2409, 'cd14475', NULL, 'SPX_SYG1_like', NULL, NULL, 'SPX_SYG1_like', 2409),
(2410, 'cd10934', NULL, 'CE4_cadherin_MopE_like_N', NULL, NULL, 'CE4_cadherin_MopE_like_N', 2410),
(2411, 'cd10346', NULL, 'SH2_SH2B_family', NULL, NULL, 'SH2_SH2B_family', 2411),
(2412, 'cd19763', NULL, 'Bbox2_TRIM8_C-V', NULL, NULL, 'Bbox2_TRIM8_C-V', 2412),
(2413, 'cd07263', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 2413),
(2414, 'cd16890', NULL, 'lyz_i', NULL, NULL, 'lyz_i', 2414),
(2415, 'cd00210', NULL, 'PTS_IIA_glc', NULL, NULL, 'PTS_IIA_glc', 2415),
(2416, 'cd19580', NULL, 'serpin_silkworm16_18_22', NULL, NULL, 'serpin_silkworm16_18_22', 2416),
(2417, 'cd12351', NULL, 'RRM4_SHARP', NULL, NULL, 'RRM4_SHARP', 2417),
(2418, 'cd00991', NULL, 'PDZ_archaeal_metalloprotease', NULL, NULL, 'PDZ_archaeal_metalloprotease', 2418),
(2419, 'cd03499', NULL, 'SQR_TypeC_SdhC', NULL, NULL, 'SQR_TypeC_SdhC', 2419),
(2420, 'cd11989', NULL, 'SH3_Intersectin1_2', NULL, NULL, 'SH3_Intersectin1_2', 2420),
(2421, 'cd17451', NULL, 'MFS_NLS1_MFSD2A', NULL, NULL, 'MFS_NLS1_MFSD2A', 2421),
(2422, 'cd20267', NULL, 'Complex1_LYR_LYRM7', NULL, NULL, 'Complex1_LYR_LYRM7', 2422);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(2423, 'cd02423', NULL, 'Peptidase_C39G', NULL, NULL, 'Peptidase_C39G', 2423),
(2424, 'cd07393', NULL, 'MPP_DR1119', NULL, NULL, 'MPP_DR1119', 2424),
(2425, 'cd12764', NULL, 'RRM2_SRSF4', NULL, NULL, 'RRM2_SRSF4', 2425),
(2426, 'cd09990', NULL, 'Agmatinase-like', NULL, NULL, 'Agmatinase-like', 2426),
(2427, 'cd11967', NULL, 'SH3_SASH1', NULL, NULL, 'SH3_SASH1', 2427),
(2428, 'cd00949', NULL, 'FBP_aldolase_I_bact', NULL, NULL, 'FBP_aldolase_I_bact', 2428),
(2429, 'cd03402', NULL, 'SPFH_like_u2', NULL, NULL, 'SPFH_like_u2', 2429),
(2430, 'cd12332', NULL, 'RRM1_p54nrb_like', NULL, NULL, 'RRM1_p54nrb_like', 2430),
(2431, 'cd16461', NULL, 'RING-H2_EL5_like', NULL, NULL, 'RING-H2_EL5_like', 2431),
(2432, 'cd15068', NULL, '7tmA_Adenosine_R_A2A', NULL, NULL, '7tmA_Adenosine_R_A2A', 2432),
(2433, 'cd19914', NULL, 'DSRM_DRADA_rpt2', NULL, NULL, 'DSRM_DRADA_rpt2', 2433),
(2434, 'cd15597', NULL, 'PHD3_KMT2D', NULL, NULL, 'PHD3_KMT2D', 2434),
(2435, 'cd10037', NULL, 'Reelin_repeat_1_subrepeat_1', NULL, NULL, 'Reelin_repeat_1_subrepeat_1', 2435),
(2436, 'cd05602', NULL, 'STKc_SGK1', NULL, NULL, 'STKc_SGK1', 2436),
(2437, 'cd15828', NULL, 'SPRY_PRY_TRIM60', NULL, NULL, 'SPRY_PRY_TRIM60', 2437),
(2438, 'cd12406', NULL, 'RRM4_NCL', NULL, NULL, 'RRM4_NCL', 2438),
(2439, 'cd04667', NULL, 'Nudix_Hydrolase_10', NULL, NULL, 'Nudix_Hydrolase_10', 2439),
(2440, 'cd13278', NULL, 'PH_Bud4', NULL, NULL, 'PH_Bud4', 2440),
(2441, 'cd13987', NULL, 'STKc_SBK1', NULL, NULL, 'STKc_SBK1', 2441),
(2442, 'cd18599', NULL, 'ABC_6TM_MRP5_8_9_D2', NULL, NULL, 'ABC_6TM_MRP5_8_9_D2', 2442),
(2443, 'cd02202', NULL, 'CetZ_tubulin-like', NULL, NULL, 'CetZ_tubulin-like', 2443),
(2444, 'cd13637', NULL, 'PBP2_Ca3427_like', NULL, NULL, 'PBP2_Ca3427_like', 2444),
(2445, 'cd01947', NULL, 'Guanosine_kinase_like', NULL, NULL, 'Guanosine_kinase_like', 2445),
(2446, 'cd17385', NULL, 'MFS_SLC18B1', NULL, NULL, 'MFS_SLC18B1', 2446),
(2447, 'cd07341', NULL, 'M56_BlaR1_MecR1_like', NULL, NULL, 'M56_BlaR1_MecR1_like', 2447),
(2448, 'cd07529', NULL, 'HAD_AtGPP-like', NULL, NULL, 'HAD_AtGPP-like', 2448),
(2449, 'cd09258', NULL, 'AP-1_Mu1A_Cterm', NULL, NULL, 'AP-1_Mu1A_Cterm', 2449),
(2450, 'cd14718', NULL, 'bZIP_Maf_large', NULL, NULL, 'bZIP_Maf_large', 2450),
(2451, 'cd14687', NULL, 'bZIP_ATF2', NULL, NULL, 'bZIP_ATF2', 2451),
(2452, 'cd04715', NULL, 'BAH_Orc1p_like', NULL, NULL, 'BAH_Orc1p_like', 2452),
(2453, 'cd12799', NULL, 'pesticin_lyz-like', NULL, NULL, 'pesticin_lyz-like', 2453),
(2454, 'cd17145', NULL, 'DCX1_RP1', NULL, NULL, 'DCX1_RP1', 2454),
(2455, 'cd08899', NULL, 'SRPBCC_CalC_Aha1-like_6', NULL, NULL, 'SRPBCC_CalC_Aha1-like_6', 2455),
(2456, 'cd19113', NULL, 'AKR_AKR2B1-10', NULL, NULL, 'AKR_AKR2B1-10', 2456),
(2457, 'cd00890', NULL, 'Prefoldin', NULL, NULL, 'Prefoldin', 2457),
(2458, 'cd06105', NULL, 'ScCit1-2_like', NULL, NULL, 'ScCit1-2_like', 2458),
(2459, 'cd00455', NULL, 'nuc_hydro', NULL, NULL, 'nuc_hydro', 2459),
(2460, 'cd15412', NULL, '7tmA_OR5M-like', NULL, NULL, '7tmA_OR5M-like', 2460),
(2461, 'cd16502', NULL, 'RING-HC_Cbl_like', NULL, NULL, 'RING-HC_Cbl_like', 2461),
(2462, 'cd14522', NULL, 'DSP_STYX', NULL, NULL, 'DSP_STYX', 2462),
(2463, 'cd14422', NULL, 'CUE_RIN3_plant', NULL, NULL, 'CUE_RIN3_plant', 2463),
(2464, 'cd10985', NULL, 'MH2_SMAD_2_3', NULL, NULL, 'MH2_SMAD_2_3', 2464),
(2465, 'cd14043', NULL, 'PK_GC-2D', NULL, NULL, 'PK_GC-2D', 2465),
(2466, 'cd18530', NULL, 'BACK_RHOBTB1', NULL, NULL, 'BACK_RHOBTB1', 2466),
(2467, 'cd03891', NULL, 'M20_DapE_proteobac', NULL, NULL, 'M20_DapE_proteobac', 2467),
(2468, 'cd04768', NULL, 'HTH_BmrR-like', NULL, NULL, 'HTH_BmrR-like', 2468),
(2469, 'cd03159', NULL, 'TM4SF9_like_LEL', NULL, NULL, 'TM4SF9_like_LEL', 2469),
(2470, 'cd18395', NULL, 'BTB_POZ_KCTD21', NULL, NULL, 'BTB_POZ_KCTD21', 2470),
(2471, 'cd00025', NULL, 'BPI1', NULL, NULL, 'BPI1', 2471),
(2472, 'cd13139', NULL, 'MATE_like_14', NULL, NULL, 'MATE_like_14', 2472),
(2473, 'cd08665', NULL, 'APC10-CUL7', NULL, NULL, 'APC10-CUL7', 2473),
(2474, 'cd10926', NULL, 'CE4_u2', NULL, NULL, 'CE4_u2', 2474),
(2475, 'cd16687', NULL, 'RING-H2_Vps8', NULL, NULL, 'RING-H2_Vps8', 2475);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(2476, 'cd18118', NULL, 'ATP-synt_V_A-type_beta_N', NULL, NULL, 'ATP-synt_V_A-type_beta_N', 2476),
(2477, 'cd19714', NULL, 'bHLH_TS_ATOH7', NULL, NULL, 'bHLH_TS_ATOH7', 2477),
(2478, 'cd15507', NULL, 'PHD2_KMT2A_like', NULL, NULL, 'PHD2_KMT2A_like', 2478),
(2479, 'cd06343', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 2479),
(2480, 'cd14353', NULL, 'UBA_FAF', NULL, NULL, 'UBA_FAF', 2480),
(2481, 'cd13938', NULL, 'PANDER_like_TMEM2', NULL, NULL, 'PANDER_like_TMEM2', 2481),
(2482, 'cd02082', NULL, 'P-type_ATPase_cation', NULL, NULL, 'P-type_ATPase_cation', 2482),
(2483, 'cd19803', NULL, 'Bbox1_TRIM9-like_C-I', NULL, NULL, 'Bbox1_TRIM9-like_C-I', 2483),
(2484, 'cd07849', NULL, 'STKc_ERK1_2_like', NULL, NULL, 'STKc_ERK1_2_like', 2484),
(2485, 'cd08439', NULL, 'PBP2_LrhA_like', NULL, NULL, 'PBP2_LrhA_like', 2485),
(2486, 'cd09180', NULL, 'PLDc_N_DEXD_b', NULL, NULL, 'PLDc_N_DEXD_b', 2486),
(2487, 'cd05781', NULL, 'DNA_polB_B3_exo', NULL, NULL, 'DNA_polB_B3_exo', 2487),
(2488, 'cd06318', NULL, 'PBP1_ABC_D-talitol-like', NULL, NULL, 'PBP1_ABC_D-talitol-like', 2488),
(2489, 'cd13392', NULL, 'PH_AKAP13', NULL, NULL, 'PH_AKAP13', 2489),
(2490, 'cd04077', NULL, 'Peptidases_S8_PCSK9_ProteinaseK_like', NULL, NULL, 'Peptidases_S8_PCSK9_ProteinaseK_like', 2490),
(2491, 'cd08651', NULL, 'FMT_core_like_4', NULL, NULL, 'FMT_core_like_4', 2491),
(2492, 'cd08519', NULL, 'PBP2_NikA_DppA_OppA_like_20', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_20', 2492),
(2493, 'cd09649', NULL, 'Cas5_I-A', NULL, NULL, 'Cas5_I-A', 2493),
(2494, 'cd15744', NULL, 'FYVE_RUFY3', NULL, NULL, 'FYVE_RUFY3', 2494),
(2495, 'cd10508', NULL, 'Zn-ribbon_RPB9', NULL, NULL, 'Zn-ribbon_RPB9', 2495),
(2496, 'cd19360', NULL, 'TenA_C_SaTenA-like', NULL, NULL, 'TenA_C_SaTenA-like', 2496),
(2497, 'cd06091', NULL, 'KOW_NusG', NULL, NULL, 'KOW_NusG', 2497),
(2498, 'cd13849', NULL, 'CuRO_1_LCC_plant', NULL, NULL, 'CuRO_1_LCC_plant', 2498),
(2499, 'cd15547', NULL, 'PHD_SHPRH', NULL, NULL, 'PHD_SHPRH', 2499),
(2500, 'cd11399', NULL, 'bHLHzip_scHMS1_like', NULL, NULL, 'bHLHzip_scHMS1_like', 2500),
(2501, 'cd01003', NULL, 'PBP2_YckB', NULL, NULL, 'PBP2_YckB', 2501),
(2502, 'cd08479', NULL, 'PBP2_CrgA_like_9', NULL, NULL, 'PBP2_CrgA_like_9', 2502),
(2503, 'cd00261', NULL, 'AAI_SS', NULL, NULL, 'AAI_SS', 2503),
(2504, 'cd16362', NULL, 'TflA', NULL, NULL, 'TflA', 2504),
(2505, 'cd15450', NULL, '7tmC_mGluR5', NULL, NULL, '7tmC_mGluR5', 2505),
(2506, 'cd08413', NULL, 'PBP2_CysB_like', NULL, NULL, 'PBP2_CysB_like', 2506),
(2507, 'cd05677', NULL, 'M20_dipept_like_DUG2_type', NULL, NULL, 'M20_dipept_like_DUG2_type', 2507),
(2508, 'cd11621', NULL, 'HR1_PKC-like_1_fungi', NULL, NULL, 'HR1_PKC-like_1_fungi', 2508),
(2509, 'cd14977', NULL, '7tmA_ET_R-like', NULL, NULL, '7tmA_ET_R-like', 2509),
(2510, 'cd16162', NULL, 'OCRE_RBM5_like', NULL, NULL, 'OCRE_RBM5_like', 2510),
(2511, 'cd18796', NULL, 'SF2_C_LHR', NULL, NULL, 'SF2_C_LHR', 2511),
(2512, 'cd15113', NULL, '7tmA_MAS1L', NULL, NULL, '7tmA_MAS1L', 2512),
(2513, 'cd05082', NULL, 'PTKc_Csk', NULL, NULL, 'PTKc_Csk', 2513),
(2514, 'cd21159', NULL, 'XendoU', NULL, NULL, 'XendoU', 2514),
(2515, 'cd00013', NULL, 'ADF_gelsolin', NULL, NULL, 'ADF_gelsolin', 2515),
(2516, 'cd08674', NULL, 'Cdt1_m', NULL, NULL, 'Cdt1_m', 2516),
(2517, 'cd01537', NULL, 'PBP1_repressor_sugar_binding-like', NULL, NULL, 'PBP1_repressor_sugar_binding-like', 2517),
(2518, 'cd21530', NULL, 'CoV_RdRp', NULL, NULL, 'CoV_RdRp', 2518),
(2519, 'cd02826', NULL, 'Piwi-like', NULL, NULL, 'Piwi-like', 2519),
(2520, 'cd18193', NULL, 'BTB_POZ_ZBTB2', NULL, NULL, 'BTB_POZ_ZBTB2', 2520),
(2521, 'cd15077', NULL, '7tmA_SWS2_opsin', NULL, NULL, '7tmA_SWS2_opsin', 2521),
(2522, 'cd16261', NULL, 'EF2_snRNP_III', NULL, NULL, 'EF2_snRNP_III', 2522),
(2523, 'cd17216', NULL, 'RA_Myosin-IXa', NULL, NULL, 'RA_Myosin-IXa', 2523),
(2524, 'cd17938', NULL, 'DEADc_DDX1', NULL, NULL, 'DEADc_DDX1', 2524),
(2525, 'cd12079', NULL, 'SH3_Tks5_3', NULL, NULL, 'SH3_Tks5_3', 2525),
(2526, 'cd01239', NULL, 'PH_PKD', NULL, NULL, 'PH_PKD', 2526),
(2527, 'cd14423', NULL, 'CUE_UBR5', NULL, NULL, 'CUE_UBR5', 2527);
INSERT INTO "PUBLIC"."MODEL" VALUES
(2528, 'cd17192', NULL, 'FERM_F1_PTPN21', NULL, NULL, 'FERM_F1_PTPN21', 2528),
(2529, 'cd19543', NULL, 'DCL_NRPS', NULL, NULL, 'DCL_NRPS', 2529),
(2530, 'cd10747', NULL, 'DnaJ_C', NULL, NULL, 'DnaJ_C', 2530),
(2531, 'cd17433', NULL, 'MFS_GLUT8_Class3', NULL, NULL, 'MFS_GLUT8_Class3', 2531),
(2532, 'cd12682', NULL, 'RRM_RBPMS', NULL, NULL, 'RRM_RBPMS', 2532),
(2533, 'cd17991', NULL, 'DEXHc_TRCF', NULL, NULL, 'DEXHc_TRCF', 2533),
(2534, 'cd19533', NULL, 'starter-C_NRPS', NULL, NULL, 'starter-C_NRPS', 2534),
(2535, 'cd07518', NULL, 'HAD_YbiV-Like', NULL, NULL, 'HAD_YbiV-Like', 2535),
(2536, 'cd06588', NULL, 'PhnB_like', NULL, NULL, 'PhnB_like', 2536),
(2537, 'cd16851', NULL, 'STAT1_CCD', NULL, NULL, 'STAT1_CCD', 2537),
(2538, 'cd05032', NULL, 'PTKc_InsR_like', NULL, NULL, 'PTKc_InsR_like', 2538),
(2539, 'cd05858', NULL, 'Ig3_FGFR-2', NULL, NULL, 'Ig3_FGFR-2', 2539),
(2540, 'cd12166', NULL, '2-Hacid_dh_7', NULL, NULL, '2-Hacid_dh_7', 2540),
(2541, 'cd08577', NULL, 'PI-PLCc_GDPD_SF_unchar3', NULL, NULL, 'PI-PLCc_GDPD_SF_unchar3', 2541),
(2542, 'cd01463', NULL, 'vWA_VGCC_like', NULL, NULL, 'vWA_VGCC_like', 2542),
(2543, 'cd14840', NULL, 'D-Ala-D-Ala_dipeptidase_Aad', NULL, NULL, 'D-Ala-D-Ala_dipeptidase_Aad', 2543),
(2544, 'cd16845', NULL, 'STAT1_DBD', NULL, NULL, 'STAT1_DBD', 2544),
(2545, 'cd08605', NULL, 'GDPD_GDE5_like_1_plant', NULL, NULL, 'GDPD_GDE5_like_1_plant', 2545),
(2546, 'cd01524', NULL, 'RHOD_Pyr_redox', NULL, NULL, 'RHOD_Pyr_redox', 2546),
(2547, 'cd12801', NULL, 'HopAB_KID', NULL, NULL, 'HopAB_KID', 2547),
(2548, 'cd08503', NULL, 'PBP2_NikA_DppA_OppA_like_17', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_17', 2548),
(2549, 'cd03225', NULL, 'ABC_cobalt_CbiO_domain1', NULL, NULL, 'ABC_cobalt_CbiO_domain1', 2549),
(2550, 'cd11017', NULL, 'Phytocyanin_like_1', NULL, NULL, 'Phytocyanin_like_1', 2550),
(2551, 'cd06948', NULL, 'NR_LBD_COUP-TF', NULL, NULL, 'NR_LBD_COUP-TF', 2551),
(2552, 'cd18474', NULL, 'BACK_KLHL35', NULL, NULL, 'BACK_KLHL35', 2552),
(2553, 'cd04876', NULL, 'ACT_RelA-SpoT', NULL, NULL, 'ACT_RelA-SpoT', 2553),
(2554, 'cd07687', NULL, 'IgC_TCR_delta', NULL, NULL, 'IgC_TCR_delta', 2554),
(2555, 'cd12029', NULL, 'SH3_DLG3', NULL, NULL, 'SH3_DLG3', 2555),
(2556, 'cd02639', NULL, 'R3H_RRM', NULL, NULL, 'R3H_RRM', 2556),
(2557, 'cd05857', NULL, 'Ig2_FGFR', NULL, NULL, 'Ig2_FGFR', 2557),
(2558, 'cd04600', NULL, 'CBS_pair_HPP_assoc', NULL, NULL, 'CBS_pair_HPP_assoc', 2558),
(2559, 'cd00742', NULL, 'FABP', NULL, NULL, 'FABP', 2559),
(2560, 'cd18759', NULL, 'PIN_MtVapC3-like', NULL, NULL, 'PIN_MtVapC3-like', 2560),
(2561, 'cd18637', NULL, 'CD_Swi6_like', NULL, NULL, 'CD_Swi6_like', 2561),
(2562, 'cd02509', NULL, 'GDP-M1P_Guanylyltransferase', NULL, NULL, 'GDP-M1P_Guanylyltransferase', 2562),
(2563, 'cd19460', NULL, 'CRABP1', NULL, NULL, 'CRABP1', 2563),
(2564, 'cd21537', NULL, 'SUD_C_HKU9_CoV_Nsp3', NULL, NULL, 'SUD_C_HKU9_CoV_Nsp3', 2564),
(2565, 'cd13558', NULL, 'PBP2_SsuA_like_2', NULL, NULL, 'PBP2_SsuA_like_2', 2565),
(2566, 'cd08204', NULL, 'ArfGap', NULL, NULL, 'ArfGap', 2566),
(2567, 'cd04908', NULL, 'ACT_Bt0572_1', NULL, NULL, 'ACT_Bt0572_1', 2567),
(2568, 'cd01285', NULL, 'nucleoside_deaminase', NULL, NULL, 'nucleoside_deaminase', 2568),
(2569, 'cd03060', NULL, 'GST_N_Omega_like', NULL, NULL, 'GST_N_Omega_like', 2569),
(2570, 'cd17429', NULL, 'MFS_MCT14', NULL, NULL, 'MFS_MCT14', 2570),
(2571, 'cd07691', NULL, 'Ig_CD3_gamma_delta', NULL, NULL, 'Ig_CD3_gamma_delta', 2571),
(2572, 'cd14456', NULL, 'Menin', NULL, NULL, 'Menin', 2572),
(2573, 'sd00005', NULL, 'TPR', NULL, NULL, 'TPR', 2573),
(2574, 'cd03407', NULL, 'SPFH_like_u4', NULL, NULL, 'SPFH_like_u4', 2574),
(2575, 'cd04438', NULL, 'DEP_dishevelled', NULL, NULL, 'DEP_dishevelled', 2575),
(2576, 'cd20481', NULL, 'phage_tailspike_middle', NULL, NULL, 'phage_tailspike_middle', 2576),
(2577, 'cd14155', NULL, 'PKc_TESK', NULL, NULL, 'PKc_TESK', 2577),
(2578, 'cd06196', NULL, 'FNR_like_1', NULL, NULL, 'FNR_like_1', 2578),
(2579, 'cd14730', NULL, 'LodA_like', NULL, NULL, 'LodA_like', 2579),
(2580, 'cd06371', NULL, 'PBP1_sensory_GC_DEF-like', NULL, NULL, 'PBP1_sensory_GC_DEF-like', 2580); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(2581, 'cd07012', NULL, 'PBP2_Bug_TTT', NULL, NULL, 'PBP2_Bug_TTT', 2581),
(2582, 'cd12696', NULL, 'RRM3_PTBP2', NULL, NULL, 'RRM3_PTBP2', 2582),
(2583, 'cd14476', NULL, 'SPX_PHO1_like', NULL, NULL, 'SPX_PHO1_like', 2583),
(2584, 'cd03253', NULL, 'ABCC_ATM1_transporter', NULL, NULL, 'ABCC_ATM1_transporter', 2584),
(2585, 'cd08436', NULL, 'PBP2_LTTR_like_3', NULL, NULL, 'PBP2_LTTR_like_3', 2585),
(2586, 'cd08678', NULL, 'C2_C21orf25-like', NULL, NULL, 'C2_C21orf25-like', 2586),
(2587, 'cd20239', NULL, 'PFM_aerolysin-like', NULL, NULL, 'PFM_aerolysin-like', 2587),
(2588, 'cd12388', NULL, 'RRM1_RAVER', NULL, NULL, 'RRM1_RAVER', 2588),
(2589, 'cd17503', NULL, 'MFS_LmrB_MDR_like', NULL, NULL, 'MFS_LmrB_MDR_like', 2589),
(2590, 'cd06242', NULL, 'M14-like', NULL, NULL, 'M14-like', 2590),
(2591, 'cd11753', NULL, 'GH94N_ChvB_NdvB_2_like', NULL, NULL, 'GH94N_ChvB_NdvB_2_like', 2591),
(2592, 'cd15934', NULL, '7tmC_mGluRs_group2_3', NULL, NULL, '7tmC_mGluRs_group2_3', 2592),
(2593, 'cd18456', NULL, 'BACK_KLHL17', NULL, NULL, 'BACK_KLHL17', 2593),
(2594, 'cd04629', NULL, 'CBS_pair_bac', NULL, NULL, 'CBS_pair_bac', 2594),
(2595, 'cd09326', NULL, 'LIM_CRP_like', NULL, NULL, 'LIM_CRP_like', 2595),
(2596, 'cd05889', NULL, 'Ig1_DNAM-1_like', NULL, NULL, 'Ig1_DNAM-1_like', 2596),
(2597, 'cd05510', NULL, 'Bromo_SPT7_like', NULL, NULL, 'Bromo_SPT7_like', 2597),
(2598, 'cd08458', NULL, 'PBP2_NocR', NULL, NULL, 'PBP2_NocR', 2598),
(2599, 'cd10002', NULL, 'HDAC10_HDAC6-dom1', NULL, NULL, 'HDAC10_HDAC6-dom1', 2599),
(2600, 'cd17709', NULL, 'BRCT_pescadillo_like', NULL, NULL, 'BRCT_pescadillo_like', 2600),
(2601, 'cd19435', NULL, 'lipocalin_Bacteroides', NULL, NULL, 'lipocalin_Bacteroides', 2601),
(2602, 'cd09831', NULL, 'CBS_pair_ABC_Gly_Pro_assoc', NULL, NULL, 'CBS_pair_ABC_Gly_Pro_assoc', 2602),
(2603, 'cd13532', NULL, 'PBP2_PDT_like', NULL, NULL, 'PBP2_PDT_like', 2603),
(2604, 'cd19820', NULL, 'Bbox1_ZFYVE1_rpt2', NULL, NULL, 'Bbox1_ZFYVE1_rpt2', 2604),
(2605, 'cd19932', NULL, 'REC_PdtaR-like', NULL, NULL, 'REC_PdtaR-like', 2605),
(2606, 'cd13739', NULL, 'SPRY_PRY_TRIM1', NULL, NULL, 'SPRY_PRY_TRIM1', 2606),
(2607, 'cd13435', NULL, 'SPFH_SLP-4', NULL, NULL, 'SPFH_SLP-4', 2607),
(2608, 'cd04418', NULL, 'NDPk5', NULL, NULL, 'NDPk5', 2608),
(2609, 'cd20167', NULL, 'Peptidase_M90-like', NULL, NULL, 'Peptidase_M90-like', 2609),
(2610, 'cd11394', NULL, 'bHLHzip_SREBP', NULL, NULL, 'bHLHzip_SREBP', 2610),
(2611, 'cd17719', NULL, 'BRCT_Rev1', NULL, NULL, 'BRCT_Rev1', 2611),
(2612, 'cd16342', NULL, 'FusC_FusB', NULL, NULL, 'FusC_FusB', 2612),
(2613, 'cd11528', NULL, 'NTP-PPase_MazG_Nterm', NULL, NULL, 'NTP-PPase_MazG_Nterm', 2613),
(2614, 'cd10363', NULL, 'SH2_Src_HCK', NULL, NULL, 'SH2_Src_HCK', 2614),
(2615, 'cd03500', NULL, 'SQR_TypeA_SdhD_like', NULL, NULL, 'SQR_TypeA_SdhD_like', 2615),
(2616, 'cd15107', NULL, '7tmA_MrgprB', NULL, NULL, '7tmA_MrgprB', 2616),
(2617, 'cd16406', NULL, 'ParB_N_like', NULL, NULL, 'ParB_N_like', 2617),
(2618, 'cd07722', NULL, 'LACTB2-like_MBL-fold', NULL, NULL, 'LACTB2-like_MBL-fold', 2618),
(2619, 'cd11347', NULL, 'AmyAc_1', NULL, NULL, 'AmyAc_1', 2619),
(2620, 'cd18596', NULL, 'ABC_6TM_VMR1_D1_like', NULL, NULL, 'ABC_6TM_VMR1_D1_like', 2620),
(2621, 'cd00692', NULL, 'ligninase', NULL, NULL, 'ligninase', 2621),
(2622, 'cd02142', NULL, 'McbC_SagB-like_oxidoreductase', NULL, NULL, 'McbC_SagB-like_oxidoreductase', 2622),
(2623, 'cd03798', NULL, 'GT4_WlbH-like', NULL, NULL, 'GT4_WlbH-like', 2623),
(2624, 'cd04905', NULL, 'ACT_CM-PDT', NULL, NULL, 'ACT_CM-PDT', 2624),
(2625, 'cd07202', NULL, 'cPLA2_Grp-IVC', NULL, NULL, 'cPLA2_Grp-IVC', 2625),
(2626, 'cd12278', NULL, 'RRM_eIF3B', NULL, NULL, 'RRM_eIF3B', 2626),
(2627, 'cd02990', NULL, 'UAS_FAF1', NULL, NULL, 'UAS_FAF1', 2627),
(2628, 'cd09492', NULL, 'SAM_SASH1_repeat2', NULL, NULL, 'SAM_SASH1_repeat2', 2628),
(2629, 'cd09903', NULL, 'H3TH_FEN1-Arc', NULL, NULL, 'H3TH_FEN1-Arc', 2629),
(2630, 'cd19816', NULL, 'Bbox1_CYLD', NULL, NULL, 'Bbox1_CYLD', 2630),
(2631, 'cd07791', NULL, 'FGGY_GK2_bacteria', NULL, NULL, 'FGGY_GK2_bacteria', 2631),
(2632, 'cd15165', NULL, '7tmA_GPR55-like', NULL, NULL, '7tmA_GPR55-like', 2632);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(2633, 'cd04171', NULL, 'SelB', NULL, NULL, 'SelB', 2633),
(2634, 'cd19545', NULL, 'FUM14_C_NRPS-like', NULL, NULL, 'FUM14_C_NRPS-like', 2634),
(2635, 'cd21163', NULL, 'M_cv_Nsp15-NTD_av_Nsp11-like', NULL, NULL, 'M_cv_Nsp15-NTD_av_Nsp11-like', 2635),
(2636, 'cd03871', NULL, 'M14_CPB', NULL, NULL, 'M14_CPB', 2636),
(2637, 'cd05366', NULL, 'meso-BDH-like_SDR_c', NULL, NULL, 'meso-BDH-like_SDR_c', 2637),
(2638, 'cd19971', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 2638),
(2639, 'cd01195', NULL, 'INT_C_like_5', NULL, NULL, 'INT_C_like_5', 2639),
(2640, 'cd04638', NULL, 'CBS_pair_arch2_repeat1', NULL, NULL, 'CBS_pair_arch2_repeat1', 2640),
(2641, 'cd08486', NULL, 'PBP2_CbnR', NULL, NULL, 'PBP2_CbnR', 2641),
(2642, 'cd18266', NULL, 'BTB_POZ_KLHL36', NULL, NULL, 'BTB_POZ_KLHL36', 2642),
(2643, 'cd01777', NULL, 'FERM_F1_SNX27', NULL, NULL, 'FERM_F1_SNX27', 2643),
(2644, 'cd09974', NULL, 'LOTUS_3_TDRD7', NULL, NULL, 'LOTUS_3_TDRD7', 2644),
(2645, 'cd04754', NULL, 'Commd6', NULL, NULL, 'Commd6', 2645),
(2646, 'cd09698', NULL, 'Cas8a2_I-A', NULL, NULL, 'Cas8a2_I-A', 2646),
(2647, 'cd07348', NULL, 'NR_LBD_NGFI-B', NULL, NULL, 'NR_LBD_NGFI-B', 2647),
(2648, 'cd00092', NULL, 'HTH_CRP', NULL, NULL, 'HTH_CRP', 2648),
(2649, 'cd14158', NULL, 'STKc_IRAK4', NULL, NULL, 'STKc_IRAK4', 2649),
(2650, 'cd14738', NULL, 'PAAR_2', NULL, NULL, 'PAAR_2', 2650),
(2651, 'cd02660', NULL, 'Peptidase_C19D', NULL, NULL, 'Peptidase_C19D', 2651),
(2652, 'cd13724', NULL, 'PBP2_iGluR_kainate_KA1', NULL, NULL, 'PBP2_iGluR_kainate_KA1', 2652),
(2653, 'cd18584', NULL, 'ABC_6TM_AarD_CydD', NULL, NULL, 'ABC_6TM_AarD_CydD', 2653),
(2654, 'cd07099', NULL, 'ALDH_DDALDH', NULL, NULL, 'ALDH_DDALDH', 2654),
(2655, 'cd11954', NULL, 'SH3_ASPP1', NULL, NULL, 'SH3_ASPP1', 2655),
(2656, 'cd14107', NULL, 'STKc_obscurin_rpt1', NULL, NULL, 'STKc_obscurin_rpt1', 2656),
(2657, 'cd19983', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, 'PBP1_ABC_HAAT-like', 2657),
(2658, 'cd08821', NULL, 'FMT_core_like_1', NULL, NULL, 'FMT_core_like_1', 2658),
(2659, 'cd08041', NULL, 'OBF_kDNA_ligase_like', NULL, NULL, 'OBF_kDNA_ligase_like', 2659),
(2660, 'cd16953', NULL, 'HATPase_BvrS-ChvG-like', NULL, NULL, 'HATPase_BvrS-ChvG-like', 2660),
(2661, 'cd12051', NULL, 'SH3_DOCK1_5_A', NULL, NULL, 'SH3_DOCK1_5_A', 2661),
(2662, 'cd06259', NULL, 'YdcF-like', NULL, NULL, 'YdcF-like', 2662),
(2663, 'cd12174', NULL, 'PGDH_like_3', NULL, NULL, 'PGDH_like_3', 2663),
(2664, 'cd17625', NULL, 'REC_OmpR_DrrD-like', NULL, NULL, 'REC_OmpR_DrrD-like', 2664),
(2665, 'cd15386', NULL, '7tmA_V1bR', NULL, NULL, '7tmA_V1bR', 2665),
(2666, 'cd08489', NULL, 'PBP2_NikA', NULL, NULL, 'PBP2_NikA', 2666),
(2667, 'cd15794', NULL, 'PH_ARHGEF18', NULL, NULL, 'PH_ARHGEF18', 2667),
(2668, 'cd08585', NULL, 'GDPD_like_3', NULL, NULL, 'GDPD_like_3', 2668),
(2669, 'cd06568', NULL, 'GH20_SpHex_like', NULL, NULL, 'GH20_SpHex_like', 2669),
(2670, 'cd16231', NULL, 'EFh_SPARC_like', NULL, NULL, 'EFh_SPARC_like', 2670),
(2671, 'cd14106', NULL, 'STKc_DRAK', NULL, NULL, 'STKc_DRAK', 2671),
(2672, 'cd15801', NULL, 'PMEI-like_1', NULL, NULL, 'PMEI-like_1', 2672),
(2673, 'cd17654', NULL, 'A_NRPS_acs4', NULL, NULL, 'A_NRPS_acs4', 2673),
(2674, 'cd17270', NULL, 'RMtype1_S_Sba223ORF3470P-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_Sba223ORF3470P-TRD1-CR1_like', 2674),
(2675, 'cd03211', NULL, 'GST_C_Metaxin2', NULL, NULL, 'GST_C_Metaxin2', 2675),
(2676, 'cd09386', NULL, 'LIM1_LMO4', NULL, NULL, 'LIM1_LMO4', 2676),
(2677, 'cd19381', NULL, 'TGF_beta_Artemin', NULL, NULL, 'TGF_beta_Artemin', 2677),
(2678, 'cd11865', NULL, 'SH3_Nbp2-like', NULL, NULL, 'SH3_Nbp2-like', 2678),
(2679, 'cd09488', NULL, 'SAM_EPH-R', NULL, NULL, 'SAM_EPH-R', 2679),
(2680, 'cd13261', NULL, 'PH_RasGRF1_2', NULL, NULL, 'PH_RasGRF1_2', 2680),
(2681, 'cd14615', NULL, 'R-PTPc-J', NULL, NULL, 'R-PTPc-J', 2681),
(2682, 'cd05768', NULL, 'IgC_CH3_IgAGD_CH4_IgAEM', NULL, NULL, 'IgC_CH3_IgAGD_CH4_IgAEM', 2682),
(2683, 'cd12253', NULL, 'RRM_PIN4_like', NULL, NULL, 'RRM_PIN4_like', 2683),
(2684, 'cd21660', NULL, 'alphaCoV_Nsp14', NULL, NULL, 'alphaCoV_Nsp14', 2684);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(2685, 'cd09984', NULL, 'LOTUS_8_Limkain_b1', NULL, NULL, 'LOTUS_8_Limkain_b1', 2685),
(2686, 'cd12001', NULL, 'SH3_BCAR1', NULL, NULL, 'SH3_BCAR1', 2686),
(2687, 'cd03737', NULL, 'SOCS_SOCS3', NULL, NULL, 'SOCS_SOCS3', 2687),
(2688, 'cd13636', NULL, 'PBP2_Af1704', NULL, NULL, 'PBP2_Af1704', 2688),
(2689, 'cd19342', NULL, 'Wnt_Wnt10', NULL, NULL, 'Wnt_Wnt10', 2689),
(2690, 'cd01213', NULL, 'PTB_tensin', NULL, NULL, 'PTB_tensin', 2690),
(2691, 'cd11754', NULL, 'GH94N_CBP_like', NULL, NULL, 'GH94N_CBP_like', 2691),
(2692, 'cd16019', NULL, 'GPI_EPT', NULL, NULL, 'GPI_EPT', 2692),
(2693, 'cd15350', NULL, '7tmA_MC2R_ACTH_R', NULL, NULL, '7tmA_MC2R_ACTH_R', 2693),
(2694, 'cd16250', NULL, 'EFh_DTNB', NULL, NULL, 'EFh_DTNB', 2694),
(2695, 'cd04823', NULL, 'ALAD_PBGS_aspartate_rich', NULL, NULL, 'ALAD_PBGS_aspartate_rich', 2695),
(2696, 'cd01416', NULL, 'SAICAR_synt_Ade5', NULL, NULL, 'SAICAR_synt_Ade5', 2696),
(2697, 'cd01756', NULL, 'PLAT_repeat', NULL, NULL, 'PLAT_repeat', 2697),
(2698, 'cd12082', NULL, 'MATE_like', NULL, NULL, 'MATE_like', 2698),
(2699, 'cd04369', NULL, 'Bromodomain', NULL, NULL, 'Bromodomain', 2699),
(2700, 'cd04184', NULL, 'GT2_RfbC_Mx_like', NULL, NULL, 'GT2_RfbC_Mx_like', 2700),
(2701, 'cd09764', NULL, 'Csb3_I-U', NULL, NULL, 'Csb3_I-U', 2701),
(2702, 'cd13911', NULL, 'CuRO_3_MCO_like_5', NULL, NULL, 'CuRO_3_MCO_like_5', 2702),
(2703, 'cd13759', NULL, 'TGF_beta_NODAL', NULL, NULL, 'TGF_beta_NODAL', 2703),
(2704, 'cd14250', NULL, 'ESP36_like', NULL, NULL, 'ESP36_like', 2704),
(2705, 'cd15482', NULL, 'Sialidase_non-viral', NULL, NULL, 'Sialidase_non-viral', 2705),
(2706, 'cd03378', NULL, 'beta_CA_cladeC', NULL, NULL, 'beta_CA_cladeC', 2706),
(2707, 'cd06627', NULL, 'STKc_Cdc7_like', NULL, NULL, 'STKc_Cdc7_like', 2707),
(2708, 'cd12109', NULL, 'Hr_FBXL5', NULL, NULL, 'Hr_FBXL5', 2708),
(2709, 'cd20003', NULL, 'PBP1_LsrB_Quorum_Sensing', NULL, NULL, 'PBP1_LsrB_Quorum_Sensing', 2709),
(2710, 'cd04714', NULL, 'BAH_BAHCC1', NULL, NULL, 'BAH_BAHCC1', 2710),
(2711, 'cd08185', NULL, 'Fe-ADH-like', NULL, NULL, 'Fe-ADH-like', 2711),
(2712, 'cd12608', NULL, 'RRM1_CoAA', NULL, NULL, 'RRM1_CoAA', 2712),
(2713, 'cd14309', NULL, 'UBA_scDdi1_like', NULL, NULL, 'UBA_scDdi1_like', 2713),
(2714, 'cd00095', NULL, 'IFab', NULL, NULL, 'IFab', 2714),
(2715, 'cd07593', NULL, 'BAR_MUG137_fungi', NULL, NULL, 'BAR_MUG137_fungi', 2715),
(2716, 'cd04751', NULL, 'Commd3', NULL, NULL, 'Commd3', 2716),
(2717, 'cd12904', NULL, 'SPRY_BSPRY', NULL, NULL, 'SPRY_BSPRY', 2717),
(2718, 'cd08601', NULL, 'GDPD_SaGlpQ_like', NULL, NULL, 'GDPD_SaGlpQ_like', 2718),
(2719, 'cd13783', NULL, 'SPACA1', NULL, NULL, 'SPACA1', 2719),
(2720, 'cd14696', NULL, 'bZIP_Jun', NULL, NULL, 'bZIP_Jun', 2720),
(2721, 'cd01887', NULL, 'IF2_eIF5B', NULL, NULL, 'IF2_eIF5B', 2721),
(2722, 'cd03258', NULL, 'ABC_MetN_methionine_transporter', NULL, NULL, 'ABC_MetN_methionine_transporter', 2722),
(2723, 'cd13341', NULL, 'PH-GRAM_MTMR3', NULL, NULL, 'PH-GRAM_MTMR3', 2723),
(2724, 'cd04257', NULL, 'AAK_AK-HSDH', NULL, NULL, 'AAK_AK-HSDH', 2724),
(2725, 'cd03238', NULL, 'ABC_UvrA', NULL, NULL, 'ABC_UvrA', 2725),
(2726, 'cd16153', NULL, 'sulfatase_like', NULL, NULL, 'sulfatase_like', 2726),
(2727, 'cd08216', NULL, 'PK_STRAD', NULL, NULL, 'PK_STRAD', 2727),
(2728, 'cd19042', NULL, 'LGIC_ECD_GABAAR_B3', NULL, NULL, 'LGIC_ECD_GABAAR_B3', 2728),
(2729, 'cd03888', NULL, 'M20_PepV', NULL, NULL, 'M20_PepV', 2729),
(2730, 'cd11422', NULL, 'bHLH_TS_FIGLA', NULL, NULL, 'bHLH_TS_FIGLA', 2730),
(2731, 'cd16294', NULL, 'Int9-like_MBL-fold', NULL, NULL, 'Int9-like_MBL-fold', 2731),
(2732, 'cd04659', NULL, 'Piwi_piwi-like_ProArk', NULL, NULL, 'Piwi_piwi-like_ProArk', 2732),
(2733, 'cd06573', NULL, 'PASTA', NULL, NULL, 'PASTA', 2733),
(2734, 'cd15967', NULL, '7tmA_P2Y1-like', NULL, NULL, '7tmA_P2Y1-like', 2734),
(2735, 'cd18220', NULL, 'BTB_POZ_ZBTB34', NULL, NULL, 'BTB_POZ_ZBTB34', 2735),
(2736, 'cd02790', NULL, 'MopB_CT_Formate-Dh_H', NULL, NULL, 'MopB_CT_Formate-Dh_H', 2736),
(2737, 'cd15931', NULL, '7tmB2_EMR_Adhesion_II', NULL, NULL, '7tmB2_EMR_Adhesion_II', 2737);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(2738, 'cd07362', NULL, 'HPCD_like', NULL, NULL, 'HPCD_like', 2738),
(2739, 'cd04303', NULL, 'HAD_PGPase', NULL, NULL, 'HAD_PGPase', 2739),
(2740, 'cd12958', NULL, 'SKA1_N', NULL, NULL, 'SKA1_N', 2740),
(2741, 'cd07777', NULL, 'FGGY_SHK_like', NULL, NULL, 'FGGY_SHK_like', 2741),
(2742, 'cd09931', NULL, 'SH2_C-SH2_SHP_like', NULL, NULL, 'SH2_C-SH2_SHP_like', 2742),
(2743, 'cd03764', NULL, 'proteasome_beta_archeal', NULL, NULL, 'proteasome_beta_archeal', 2743),
(2744, 'cd04623', NULL, 'CBS_pair_bac_euk', NULL, NULL, 'CBS_pair_bac_euk', 2744),
(2745, 'cd02929', NULL, 'TMADH_HD_FMN', NULL, NULL, 'TMADH_HD_FMN', 2745),
(2746, 'cd15616', NULL, 'PHD_UHRF1', NULL, NULL, 'PHD_UHRF1', 2746),
(2747, 'cd14705', NULL, 'bZIP_Zip1', NULL, NULL, 'bZIP_Zip1', 2747),
(2748, 'cd15316', NULL, '7tmA_TAAR6_8_9', NULL, NULL, '7tmA_TAAR6_8_9', 2748),
(2749, 'cd15914', NULL, '7tmA_OR6N-like', NULL, NULL, '7tmA_OR6N-like', 2749),
(2750, 'cd19183', NULL, 'SET_SpSET3-like', NULL, NULL, 'SET_SpSET3-like', 2750),
(2751, 'cd14168', NULL, 'STKc_CaMKI_delta', NULL, NULL, 'STKc_CaMKI_delta', 2751),
(2752, 'cd09249', NULL, 'BRO1_Rhophilin_2', NULL, NULL, 'BRO1_Rhophilin_2', 2752),
(2753, 'cd08584', NULL, 'PI-PLCc_GDPD_SF_unchar2', NULL, NULL, 'PI-PLCc_GDPD_SF_unchar2', 2753),
(2754, 'cd13735', NULL, 'SPRY_HECT_like', NULL, NULL, 'SPRY_HECT_like', 2754),
(2755, 'cd05401', NULL, 'NT_GlnE_GlnD_like', NULL, NULL, 'NT_GlnE_GlnD_like', 2755),
(2756, 'cd00788', NULL, 'KU70', NULL, NULL, 'KU70', 2756),
(2757, 'cd01425', NULL, 'RPS2', NULL, NULL, 'RPS2', 2757),
(2758, 'cd04717', NULL, 'BAH_polybromo', NULL, NULL, 'BAH_polybromo', 2758),
(2759, 'cd12531', NULL, 'RRM3_MEI2_like', NULL, NULL, 'RRM3_MEI2_like', 2759),
(2760, 'cd06623', NULL, 'PKc_MAPKK_plant_like', NULL, NULL, 'PKc_MAPKK_plant_like', 2760),
(2761, 'cd02039', NULL, 'cytidylyltransferase_like', NULL, NULL, 'cytidylyltransferase_like', 2761),
(2762, 'cd14414', NULL, 'UBA_FAF2', NULL, NULL, 'UBA_FAF2', 2762),
(2763, 'cd14871', NULL, 'uS7_Chloroplast', NULL, NULL, 'uS7_Chloroplast', 2763),
(2764, 'cd11008', NULL, 'M35_deuterolysin_like', NULL, NULL, 'M35_deuterolysin_like', 2764),
(2765, 'cd04859', NULL, 'Prim_Pol', NULL, NULL, 'Prim_Pol', 2765),
(2766, 'cd18023', NULL, 'DEXHc_HFM1', NULL, NULL, 'DEXHc_HFM1', 2766),
(2767, 'cd15473', NULL, 'Myo5p-like_CBD_DIL_ANK', NULL, NULL, 'Myo5p-like_CBD_DIL_ANK', 2767),
(2768, 'cd03278', NULL, 'ABC_SMC_barmotin', NULL, NULL, 'ABC_SMC_barmotin', 2768),
(2769, 'cd16884', NULL, 'ARID_ARID5A', NULL, NULL, 'ARID_ARID5A', 2769),
(2770, 'cd01597', NULL, 'pCLME', NULL, NULL, 'pCLME', 2770),
(2771, 'cd02982', NULL, 'PDI_b''_family', NULL, NULL, 'PDI_b''_family', 2771),
(2772, 'cd03695', NULL, 'CysN_NodQ_II', NULL, NULL, 'CysN_NodQ_II', 2772),
(2773, 'cd16559', NULL, 'RING-HC_RNF208', NULL, NULL, 'RING-HC_RNF208', 2773),
(2774, 'cd12748', NULL, 'RRM4_RBM12B', NULL, NULL, 'RRM4_RBM12B', 2774),
(2775, 'cd16669', NULL, 'RING-H2_RNF181', NULL, NULL, 'RING-H2_RNF181', 2775),
(2776, 'cd16206', NULL, 'EFh_PRIP', NULL, NULL, 'EFh_PRIP', 2776),
(2777, 'cd02583', NULL, 'RNAP_III_RPC1_N', NULL, NULL, 'RNAP_III_RPC1_N', 2777),
(2778, 'cd06862', NULL, 'PX_SNX9_18_like', NULL, NULL, 'PX_SNX9_18_like', 2778),
(2779, 'cd07935', NULL, 'RHD-n_NFkB1', NULL, NULL, 'RHD-n_NFkB1', 2779),
(2780, 'cd07940', NULL, 'DRE_TIM_IPMS', NULL, NULL, 'DRE_TIM_IPMS', 2780),
(2781, 'cd05057', NULL, 'PTKc_EGFR_like', NULL, NULL, 'PTKc_EGFR_like', 2781),
(2782, 'cd11797', NULL, 'SH3_DNMBP_N4', NULL, NULL, 'SH3_DNMBP_N4', 2782),
(2783, 'cd17138', NULL, 'RBD2_RGS12', NULL, NULL, 'RBD2_RGS12', 2783),
(2784, 'cd16761', NULL, 'RING-HC_MuRF3', NULL, NULL, 'RING-HC_MuRF3', 2784),
(2785, 'cd17716', NULL, 'BRCT_microcephalin_rpt1', NULL, NULL, 'BRCT_microcephalin_rpt1', 2785),
(2786, 'cd00917', NULL, 'PG-PI_TP', NULL, NULL, 'PG-PI_TP', 2786),
(2787, 'cd07103', NULL, 'ALDH_F5_SSADH_GabD', NULL, NULL, 'ALDH_F5_SSADH_GabD', 2787),
(2788, 'cd04232', NULL, 'CuRO_1_CueO_FtsP', NULL, NULL, 'CuRO_1_CueO_FtsP', 2788),
(2789, 'cd11818', NULL, 'SH3_Eve1_5', NULL, NULL, 'SH3_Eve1_5', 2789),
(2790, 'cd17909', NULL, 'CheC_ClassI', NULL, NULL, 'CheC_ClassI', 2790);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(2791, 'cd06291', NULL, 'PBP1_Qymf-like', NULL, NULL, 'PBP1_Qymf-like', 2791),
(2792, 'cd15581', NULL, 'PHD2_PHF19', NULL, NULL, 'PHD2_PHF19', 2792),
(2793, 'cd10417', NULL, 'SH2_SH2D7', NULL, NULL, 'SH2_SH2D7', 2793),
(2794, 'cd12610', NULL, 'RRM1_SECp43', NULL, NULL, 'RRM1_SECp43', 2794),
(2795, 'cd07652', NULL, 'F-BAR_Rgd1', NULL, NULL, 'F-BAR_Rgd1', 2795),
(2796, 'cd15485', NULL, 'ZIP_Cat8', NULL, NULL, 'ZIP_Cat8', 2796),
(2797, 'cd13996', NULL, 'STKc_EIF2AK', NULL, NULL, 'STKc_EIF2AK', 2797),
(2798, 'cd19464', NULL, 'CRBP3', NULL, NULL, 'CRBP3', 2798),
(2799, 'cd00401', NULL, 'SAHH', NULL, NULL, 'SAHH', 2799),
(2800, 'cd01200', NULL, 'WHEPGMRS_RNA', NULL, NULL, 'WHEPGMRS_RNA', 2800),
(2801, 'cd00237', NULL, 'p23', NULL, NULL, 'p23', 2801),
(2802, 'cd02339', NULL, 'ZZ_Mind_bomb', NULL, NULL, 'ZZ_Mind_bomb', 2802),
(2803, 'cd14519', NULL, 'DSP_DUSP22_15', NULL, NULL, 'DSP_DUSP22_15', 2803),
(2804, 'cd06657', NULL, 'STKc_PAK4', NULL, NULL, 'STKc_PAK4', 2804),
(2805, 'cd10406', NULL, 'SH2_Vav2', NULL, NULL, 'SH2_Vav2', 2805),
(2806, 'cd17447', NULL, 'MFS_SLC22A7_OAT2', NULL, NULL, 'MFS_SLC22A7_OAT2', 2806),
(2807, 'cd01330', NULL, 'KAZAL_SLC21', NULL, NULL, 'KAZAL_SLC21', 2807),
(2808, 'cd06117', NULL, 'Ec2MCS_like_1', NULL, NULL, 'Ec2MCS_like_1', 2808),
(2809, 'cd10237', NULL, 'HSPA13-like_NBD', NULL, NULL, 'HSPA13-like_NBD', 2809),
(2810, 'cd09599', NULL, 'M1_LTA4H', NULL, NULL, 'M1_LTA4H', 2810),
(2811, 'cd01124', NULL, 'KaiC', NULL, NULL, 'KaiC', 2811),
(2812, 'cd07325', NULL, 'M48_Ste24p_like', NULL, NULL, 'M48_Ste24p_like', 2812),
(2813, 'cd08626', NULL, 'PI-PLCc_beta4', NULL, NULL, 'PI-PLCc_beta4', 2813),
(2814, 'cd05356', NULL, '17beta-HSD1_like_SDR_c', NULL, NULL, '17beta-HSD1_like_SDR_c', 2814),
(2815, 'cd04198', NULL, 'eIF-2B_gamma_N', NULL, NULL, 'eIF-2B_gamma_N', 2815),
(2816, 'cd19100', NULL, 'AKR_unchar', NULL, NULL, 'AKR_unchar', 2816),
(2817, 'cd01468', NULL, 'trunk_domain', NULL, NULL, 'trunk_domain', 2817),
(2818, 'cd17376', NULL, 'MFS_SLC22A4_5_OCTN1_2', NULL, NULL, 'MFS_SLC22A4_5_OCTN1_2', 2818),
(2819, 'cd15954', NULL, '7tmA_OR52N-like', NULL, NULL, '7tmA_OR52N-like', 2819),
(2820, 'cd02177', NULL, 'GH16_kappa_carrageenase', NULL, NULL, 'GH16_kappa_carrageenase', 2820),
(2821, 'cd18108', NULL, 'SpoU-like_NHR', NULL, NULL, 'SpoU-like_NHR', 2821),
(2822, 'cd08556', NULL, 'GDPD', NULL, NULL, 'GDPD', 2822),
(2823, 'cd19004', NULL, 'LGIC_ECD_GABAAR_pi', NULL, NULL, 'LGIC_ECD_GABAAR_pi', 2823),
(2824, 'cd12158', NULL, 'ErythrP_dh', NULL, NULL, 'ErythrP_dh', 2824),
(2825, 'cd04816', NULL, 'PA_SaNapH_like', NULL, NULL, 'PA_SaNapH_like', 2825),
(2826, 'cd18549', NULL, 'ABC_6TM_YwjA_like', NULL, NULL, 'ABC_6TM_YwjA_like', 2826),
(2827, 'cd17090', NULL, 'FERM_F1_TLN', NULL, NULL, 'FERM_F1_TLN', 2827),
(2828, 'cd10585', NULL, 'CE4_SF', NULL, NULL, 'CE4_SF', 2828),
(2829, 'cd15531', NULL, 'PHD1_CHD_II', NULL, NULL, 'PHD1_CHD_II', 2829),
(2830, 'cd16620', NULL, 'vRING-HC-C4C4_RBBP6', NULL, NULL, 'vRING-HC-C4C4_RBBP6', 2830),
(2831, 'cd11902', NULL, 'SH3_Nck2_2', NULL, NULL, 'SH3_Nck2_2', 2831),
(2832, 'cd04404', NULL, 'RhoGAP-p50rhoGAP', NULL, NULL, 'RhoGAP-p50rhoGAP', 2832),
(2833, 'cd04056', NULL, 'Peptidases_S53', NULL, NULL, 'Peptidases_S53', 2833),
(2834, 'cd07153', NULL, 'Fur_like', NULL, NULL, 'Fur_like', 2834),
(2835, 'cd00063', NULL, 'FN3', NULL, NULL, 'FN3', 2835),
(2836, 'cd14496', NULL, 'PTP_paladin', NULL, NULL, 'PTP_paladin', 2836),
(2837, 'cd16908', NULL, 'YEATS_Yaf9_like', NULL, NULL, 'YEATS_Yaf9_like', 2837),
(2838, 'cd17345', NULL, 'MFS_GlpT', NULL, NULL, 'MFS_GlpT', 2838),
(2839, 'cd12638', NULL, 'RRM3_CELF1_2', NULL, NULL, 'RRM3_CELF1_2', 2839),
(2840, 'cd08270', NULL, 'MDR4', NULL, NULL, 'MDR4', 2840),
(2841, 'cd17514', NULL, 'RMtype1_S_Eco2747I_MmaC7ORF19P-TRD-CR_like', NULL, NULL, 'RMtype1_S_Eco2747I_MmaC7ORF19P-TRD-CR_like', 2841),
(2842, 'cd18241', NULL, 'BTB_POZ_KLHL11', NULL, NULL, 'BTB_POZ_KLHL11', 2842),
(2843, 'cd01852', NULL, 'AIG1', NULL, NULL, 'AIG1', 2843),
(2844, 'cd17642', NULL, 'Firefly_Luc', NULL, NULL, 'Firefly_Luc', 2844),
(2845, 'cd10395', NULL, 'SH2_RIN3', NULL, NULL, 'SH2_RIN3', 2845);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(2846, 'cd11878', NULL, 'SH3_Bem1p_1', NULL, NULL, 'SH3_Bem1p_1', 2846),
(2847, 'cd14322', NULL, 'UBA_LATS', NULL, NULL, 'UBA_LATS', 2847),
(2848, 'cd08798', NULL, 'Death_NFkB2_p100', NULL, NULL, 'Death_NFkB2_p100', 2848),
(2849, 'cd09117', NULL, 'PLDc_Bfil_DEXD_like', NULL, NULL, 'PLDc_Bfil_DEXD_like', 2849),
(2850, 'cd04620', NULL, 'CBS_two-component_sensor_histidine_kinase_repeat1', NULL, NULL, 'CBS_two-component_sensor_histidine_kinase_repeat1', 2850),
(2851, 'cd12321', NULL, 'RRM1_TDP43', NULL, NULL, 'RRM1_TDP43', 2851),
(2852, 'cd00006', NULL, 'PTS_IIA_man', NULL, NULL, 'PTS_IIA_man', 2852),
(2853, 'cd05886', NULL, 'Ig1_Nectin-1_like', NULL, NULL, 'Ig1_Nectin-1_like', 2853),
(2854, 'cd02222', NULL, 'cupin_TM1459-like', NULL, NULL, 'cupin_TM1459-like', 2854),
(2855, 'cd06436', NULL, 'GlcNAc-1-P_transferase', NULL, NULL, 'GlcNAc-1-P_transferase', 2855),
(2856, 'cd06355', NULL, 'PBP1_FmdD-like', NULL, NULL, 'PBP1_FmdD-like', 2856),
(2857, 'cd03405', NULL, 'SPFH_HflC', NULL, NULL, 'SPFH_HflC', 2857),
(2858, 'cd02396', NULL, 'PCBP_like_KH', NULL, NULL, 'PCBP_like_KH', 2858),
(2859, 'cd15240', NULL, '7tm_ASR-like', NULL, NULL, '7tm_ASR-like', 2859),
(2860, 'cd06636', NULL, 'STKc_MAP4K4_6_N', NULL, NULL, 'STKc_MAP4K4_6_N', 2860),
(2861, 'cd19772', NULL, 'Bbox2_TRIM21_C-IV', NULL, NULL, 'Bbox2_TRIM21_C-IV', 2861),
(2862, 'cd09523', NULL, 'SAM_TAL', NULL, NULL, 'SAM_TAL', 2862),
(2863, 'cd16185', NULL, 'EFh_PEF_ALG-2_like', NULL, NULL, 'EFh_PEF_ALG-2_like', 2863),
(2864, 'cd01806', NULL, 'Ubl_NEDD8', NULL, NULL, 'Ubl_NEDD8', 2864),
(2865, 'cd02967', NULL, 'mauD', NULL, NULL, 'mauD', 2865),
(2866, 'cd13839', NULL, 'MEF2_binding', NULL, NULL, 'MEF2_binding', 2866),
(2867, 'cd01212', NULL, 'PTB_JIP', NULL, NULL, 'PTB_JIP', 2867),
(2868, 'cd01449', NULL, 'TST_Repeat_2', NULL, NULL, 'TST_Repeat_2', 2868),
(2869, 'cd12753', NULL, 'RRM1_RBM10', NULL, NULL, 'RRM1_RBM10', 2869),
(2870, 'cd08293', NULL, 'PTGR2', NULL, NULL, 'PTGR2', 2870),
(2871, 'cd09239', NULL, 'BRO1_HD-PTP_like', NULL, NULL, 'BRO1_HD-PTP_like', 2871),
(2872, 'cd03344', NULL, 'GroEL', NULL, NULL, 'GroEL', 2872),
(2873, 'cd11427', NULL, 'bHLH_TS_NeuroD', NULL, NULL, 'bHLH_TS_NeuroD', 2873),
(2874, 'cd12199', NULL, 'AMPKA1_C', NULL, NULL, 'AMPKA1_C', 2874),
(2875, 'cd17303', NULL, 'PIPKc_PIP5K_yeast_like', NULL, NULL, 'PIPKc_PIP5K_yeast_like', 2875),
(2876, 'cd14419', NULL, 'CUE_DMA_DMRTA3', NULL, NULL, 'CUE_DMA_DMRTA3', 2876),
(2877, 'cd11971', NULL, 'SH3_Abi1', NULL, NULL, 'SH3_Abi1', 2877),
(2878, 'cd10437', NULL, 'GIY-YIG_HE_I-TevI_like', NULL, NULL, 'GIY-YIG_HE_I-TevI_like', 2878),
(2879, 'cd14405', NULL, 'UBA_MARK1', NULL, NULL, 'UBA_MARK1', 2879),
(2880, 'cd07803', NULL, 'FGGY_D-XK', NULL, NULL, 'FGGY_D-XK', 2880),
(2881, 'cd12121', NULL, 'MARK_C_like', NULL, NULL, 'MARK_C_like', 2881),
(2882, 'cd15704', NULL, 'ePHD_JADE1', NULL, NULL, 'ePHD_JADE1', 2882),
(2883, 'cd14015', NULL, 'STKc_VRK', NULL, NULL, 'STKc_VRK', 2883),
(2884, 'cd00460', NULL, 'RNAP_RPB11_RPB3', NULL, NULL, 'RNAP_RPB11_RPB3', 2884),
(2885, 'cd15265', NULL, '7tmB1_PTHR', NULL, NULL, '7tmB1_PTHR', 2885),
(2886, 'cd13655', NULL, 'PBP2_oligosaccharide_1', NULL, NULL, 'PBP2_oligosaccharide_1', 2886),
(2887, 'cd05395', NULL, 'RasGAP_RASA4', NULL, NULL, 'RasGAP_RASA4', 2887),
(2888, 'cd05591', NULL, 'STKc_nPKC_epsilon', NULL, NULL, 'STKc_nPKC_epsilon', 2888),
(2889, 'cd05756', NULL, 'Ig1_IL1R_like', NULL, NULL, 'Ig1_IL1R_like', 2889),
(2890, 'cd19760', NULL, 'Bbox2_TRIM4-like', NULL, NULL, 'Bbox2_TRIM4-like', 2890),
(2891, 'cd04936', NULL, 'ACT_AKii-LysC-BS-like_2', NULL, NULL, 'ACT_AKii-LysC-BS-like_2', 2891),
(2892, 'cd18331', NULL, 'BTB_POZ_ZBTB27_BCL6', NULL, NULL, 'BTB_POZ_ZBTB27_BCL6', 2892),
(2893, 'cd17011', NULL, 'CID_RPRD1A', NULL, NULL, 'CID_RPRD1A', 2893),
(2894, 'cd13587', NULL, 'PBP2_polyamine_2', NULL, NULL, 'PBP2_polyamine_2', 2894),
(2895, 'cd18345', NULL, 'BTB_POZ_roadkill-like', NULL, NULL, 'BTB_POZ_roadkill-like', 2895),
(2896, 'cd14651', NULL, 'ZIP_Put3', NULL, NULL, 'ZIP_Put3', 2896),
(2897, 'cd16760', NULL, 'RING-HC_MuRF2', NULL, NULL, 'RING-HC_MuRF2', 2897);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(2898, 'cd19891', NULL, 'DSRM_PRKRA_rpt2', NULL, NULL, 'DSRM_PRKRA_rpt2', 2898),
(2899, 'cd04674', NULL, 'Nudix_Hydrolase_16', NULL, NULL, 'Nudix_Hydrolase_16', 2899),
(2900, 'sd00035', NULL, 'LRR_NTF', NULL, NULL, 'LRR_NTF', 2900),
(2901, 'cd10432', NULL, 'BI-1-like_bacterial', NULL, NULL, 'BI-1-like_bacterial', 2901),
(2902, 'cd14162', NULL, 'STKc_TSSK4-like', NULL, NULL, 'STKc_TSSK4-like', 2902),
(2903, 'cd14747', NULL, 'PBP2_MalE', NULL, NULL, 'PBP2_MalE', 2903),
(2904, 'cd12725', NULL, 'RRM2_CPEB1', NULL, NULL, 'RRM2_CPEB1', 2904),
(2905, 'cd18182', NULL, 'ATP-synt_Fo_c_ATP5G3', NULL, NULL, 'ATP-synt_Fo_c_ATP5G3', 2905),
(2906, 'cd08631', NULL, 'PI-PLCc_delta4', NULL, NULL, 'PI-PLCc_delta4', 2906),
(2907, 'cd15283', NULL, '7tmC_V2R_pheromone', NULL, NULL, '7tmC_V2R_pheromone', 2907),
(2908, 'cd06168', NULL, 'LSMD1', NULL, NULL, 'LSMD1', 2908),
(2909, 'cd15041', NULL, '7tmB1_hormone_R', NULL, NULL, '7tmB1_hormone_R', 2909),
(2910, 'cd12283', NULL, 'RRM1_RBM39_like', NULL, NULL, 'RRM1_RBM39_like', 2910),
(2911, 'cd04375', NULL, 'RhoGAP_DLC1', NULL, NULL, 'RhoGAP_DLC1', 2911),
(2912, 'cd12831', NULL, 'TmCorA-like_u2', NULL, NULL, 'TmCorA-like_u2', 2912),
(2913, 'cd05928', NULL, 'MACS_euk', NULL, NULL, 'MACS_euk', 2913),
(2914, 'cd16866', NULL, 'ARID_ARID2', NULL, NULL, 'ARID_ARID2', 2914),
(2915, 'cd04218', NULL, 'Pseudoazurin', NULL, NULL, 'Pseudoazurin', 2915),
(2916, 'cd16731', NULL, 'RING-HC_MKRN2', NULL, NULL, 'RING-HC_MKRN2', 2916),
(2917, 'cd00939', NULL, 'MetRS_RNA', NULL, NULL, 'MetRS_RNA', 2917),
(2918, 'cd14386', NULL, 'UBA2_UBP5', NULL, NULL, 'UBA2_UBP5', 2918),
(2919, 'cd16591', NULL, 'RING-HC_TRIM5_like-C-IV', NULL, NULL, 'RING-HC_TRIM5_like-C-IV', 2919),
(2920, 'cd04949', NULL, 'GT4_GtfA-like', NULL, NULL, 'GT4_GtfA-like', 2920),
(2921, 'cd12783', NULL, 'RRM2_PTBP2', NULL, NULL, 'RRM2_PTBP2', 2921),
(2922, 'cd19771', NULL, 'Bbox2_TRIM20', NULL, NULL, 'Bbox2_TRIM20', 2922),
(2923, 'cd14873', NULL, 'MYSc_Myo10', NULL, NULL, 'MYSc_Myo10', 2923),
(2924, 'cd07839', NULL, 'STKc_CDK5', NULL, NULL, 'STKc_CDK5', 2924),
(2925, 'cd13638', NULL, 'PBP2_EcProx_like', NULL, NULL, 'PBP2_EcProx_like', 2925),
(2926, 'cd16621', NULL, 'vRING-HC-C4C4_RFPL1_like', NULL, NULL, 'vRING-HC-C4C4_RFPL1_like', 2926),
(2927, 'cd00728', NULL, 'malate_synt_G', NULL, NULL, 'malate_synt_G', 2927),
(2928, 'cd12819', NULL, 'LbR_vir_like', NULL, NULL, 'LbR_vir_like', 2928),
(2929, 'cd18795', NULL, 'SF2_C_Ski2', NULL, NULL, 'SF2_C_Ski2', 2929),
(2930, 'cd16691', NULL, 'mRING-H2-C3H3C2_Mio', NULL, NULL, 'mRING-H2-C3H3C2_Mio', 2930),
(2931, 'cd05329', NULL, 'TR_SDR_c', NULL, NULL, 'TR_SDR_c', 2931),
(2932, 'cd14979', NULL, '7tmA_NTSR-like', NULL, NULL, '7tmA_NTSR-like', 2932),
(2933, 'cd08873', NULL, 'START_STARD14_15-like', NULL, NULL, 'START_STARD14_15-like', 2933),
(2934, 'cd14033', NULL, 'STKc_WNK4', NULL, NULL, 'STKc_WNK4', 2934),
(2935, 'cd17213', NULL, 'RA_PHLPP', NULL, NULL, 'RA_PHLPP', 2935),
(2936, 'cd14002', NULL, 'STKc_STK36', NULL, NULL, 'STKc_STK36', 2936),
(2937, 'cd19039', NULL, 'LGIC_ECD_GABAAR_A6', NULL, NULL, 'LGIC_ECD_GABAAR_A6', 2937),
(2938, 'cd00330', NULL, 'phosphagen_kinases', NULL, NULL, 'phosphagen_kinases', 2938),
(2939, 'cd07006', NULL, 'cupin_XcTcmJ-like', NULL, NULL, 'cupin_XcTcmJ-like', 2939),
(2940, 'cd04444', NULL, 'DEP_PLEK2', NULL, NULL, 'DEP_PLEK2', 2940),
(2941, 'cd12529', NULL, 'RRM2_MEI2_like', NULL, NULL, 'RRM2_MEI2_like', 2941),
(2942, 'cd15179', NULL, '7tmA_CXCR4', NULL, NULL, '7tmA_CXCR4', 2942),
(2943, 'cd07737', NULL, 'YcbL-like_MBL-fold', NULL, NULL, 'YcbL-like_MBL-fold', 2943),
(2944, 'cd08992', NULL, 'GH117', NULL, NULL, 'GH117', 2944),
(2945, 'cd05516', NULL, 'Bromo_SNF2L2', NULL, NULL, 'Bromo_SNF2L2', 2945),
(2946, 'cd14320', NULL, 'UBA_SQSTM', NULL, NULL, 'UBA_SQSTM', 2946),
(2947, 'cd02988', NULL, 'Phd_like_VIAF', NULL, NULL, 'Phd_like_VIAF', 2947),
(2948, 'cd10399', NULL, 'SH2_Tec_Bmx', NULL, NULL, 'SH2_Tec_Bmx', 2948),
(2949, 'cd06129', NULL, 'RNaseD_like', NULL, NULL, 'RNaseD_like', 2949),
(2950, 'cd18032', NULL, 'DEXHc_RE_I_III_res', NULL, NULL, 'DEXHc_RE_I_III_res', 2950);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(2951, 'cd13260', NULL, 'PH_RASA1', NULL, NULL, 'PH_RASA1', 2951),
(2952, 'cd18525', NULL, 'BACK_BTBD6', NULL, NULL, 'BACK_BTBD6', 2952),
(2953, 'cd09738', NULL, 'Csb1_I-U', NULL, NULL, 'Csb1_I-U', 2953),
(2954, 'cd00306', NULL, 'Peptidases_S8_S53', NULL, NULL, 'Peptidases_S8_S53', 2954),
(2955, 'cd07332', NULL, 'M48C_Oma1_like', NULL, NULL, 'M48C_Oma1_like', 2955),
(2956, 'cd03249', NULL, 'ABC_MTABC3_MDL1_MDL2', NULL, NULL, 'ABC_MTABC3_MDL1_MDL2', 2956),
(2957, 'cd11366', NULL, 'RNase_PH_archRRP41', NULL, NULL, 'RNase_PH_archRRP41', 2957),
(2958, 'cd05680', NULL, 'M20_dipept_like', NULL, NULL, 'M20_dipept_like', 2958),
(2959, 'cd09745', NULL, 'Cas8a2_I-A', NULL, NULL, 'Cas8a2_I-A', 2959),
(2960, 'cd00660', NULL, 'Topoisomer_IB_N', NULL, NULL, 'Topoisomer_IB_N', 2960),
(2961, 'cd19925', NULL, 'REC_citrate_TCS', NULL, NULL, 'REC_citrate_TCS', 2961),
(2962, 'cd14610', NULL, 'R-PTP-N2', NULL, NULL, 'R-PTP-N2', 2962),
(2963, 'cd16594', NULL, 'RING-HC_TRIM11_like_C-IV', NULL, NULL, 'RING-HC_TRIM11_like_C-IV', 2963),
(2964, 'cd03726', NULL, 'SOCS_ASB7', NULL, NULL, 'SOCS_ASB7', 2964),
(2965, 'cd01166', NULL, 'KdgK', NULL, NULL, 'KdgK', 2965),
(2966, 'cd03219', NULL, 'ABC_Mj1267_LivG_branched', NULL, NULL, 'ABC_Mj1267_LivG_branched', 2966),
(2967, 'cd12924', NULL, 'iSH2_PIK3R1', NULL, NULL, 'iSH2_PIK3R1', 2967),
(2968, 'cd07436', NULL, 'PHP_PolX', NULL, NULL, 'PHP_PolX', 2968),
(2969, 'cd17195', NULL, 'FERM_F1_PTPN13', NULL, NULL, 'FERM_F1_PTPN13', 2969),
(2970, 'cd04950', NULL, 'GT4_TuaH-like', NULL, NULL, 'GT4_TuaH-like', 2970),
(2971, 'cd14732', NULL, 'LodA', NULL, NULL, 'LodA', 2971),
(2972, 'cd01104', NULL, 'HTH_MlrA-CarA', NULL, NULL, 'HTH_MlrA-CarA', 2972),
(2973, 'cd08279', NULL, 'Zn_ADH_class_III', NULL, NULL, 'Zn_ADH_class_III', 2973),
(2974, 'cd17509', NULL, 'Alpha_kinase', NULL, NULL, 'Alpha_kinase', 2974),
(2975, 'cd11870', NULL, 'SH3_p67phox-like_C', NULL, NULL, 'SH3_p67phox-like_C', 2975),
(2976, 'cd02203', NULL, 'PurL_repeat1', NULL, NULL, 'PurL_repeat1', 2976),
(2977, 'cd14130', NULL, 'STKc_TTBK1', NULL, NULL, 'STKc_TTBK1', 2977),
(2978, 'cd07335', NULL, 'M48B_HtpX_like', NULL, NULL, 'M48B_HtpX_like', 2978),
(2979, 'cd17471', NULL, 'MFS_Set', NULL, NULL, 'MFS_Set', 2979),
(2980, 'cd01684', NULL, 'Tet_like_IV', NULL, NULL, 'Tet_like_IV', 2980),
(2981, 'cd03293', NULL, 'ABC_NrtD_SsuB_transporters', NULL, NULL, 'ABC_NrtD_SsuB_transporters', 2981),
(2982, 'cd20230', NULL, 'PFM_EP37-like', NULL, NULL, 'PFM_EP37-like', 2982),
(2983, 'cd17486', NULL, 'MFS_AmpG_like', NULL, NULL, 'MFS_AmpG_like', 2983),
(2984, 'cd19401', NULL, 'TGF_beta_BMP10', NULL, NULL, 'TGF_beta_BMP10', 2984),
(2985, 'cd12083', NULL, 'DD_cGKI', NULL, NULL, 'DD_cGKI', 2985),
(2986, 'cd07350', NULL, 'NR_LBD_Dax1', NULL, NULL, 'NR_LBD_Dax1', 2986),
(2987, 'cd09394', NULL, 'LIM1_Rga', NULL, NULL, 'LIM1_Rga', 2987),
(2988, 'cd05724', NULL, 'Ig2_Robo', NULL, NULL, 'Ig2_Robo', 2988),
(2989, 'cd00769', NULL, 'PheRS_beta_core', NULL, NULL, 'PheRS_beta_core', 2989),
(2990, 'cd12009', NULL, 'SH3_Blk', NULL, NULL, 'SH3_Blk', 2990),
(2991, 'cd08660', NULL, 'M20_Acy1-like', NULL, NULL, 'M20_Acy1-like', 2991),
(2992, 'cd14443', NULL, 'AlgX_N_like_2', NULL, NULL, 'AlgX_N_like_2', 2992),
(2993, 'cd02073', NULL, 'P-type_ATPase_APLT_Dnf-like', NULL, NULL, 'P-type_ATPase_APLT_Dnf-like', 2993),
(2994, 'cd07115', NULL, 'ALDH_HMSADH_HapE', NULL, NULL, 'ALDH_HMSADH_HapE', 2994),
(2995, 'cd06569', NULL, 'GH20_Sm-chitobiase-like', NULL, NULL, 'GH20_Sm-chitobiase-like', 2995),
(2996, 'cd10568', NULL, 'SWIB_like', NULL, NULL, 'SWIB_like', 2996),
(2997, 'cd00512', NULL, 'MM_CoA_mutase', NULL, NULL, 'MM_CoA_mutase', 2997),
(2998, 'cd05075', NULL, 'PTKc_Axl', NULL, NULL, 'PTKc_Axl', 2998),
(2999, 'cd01663', NULL, 'Cyt_c_Oxidase_I', NULL, NULL, 'Cyt_c_Oxidase_I', 2999),
(3000, 'cd06876', NULL, 'PX_MDM1p', NULL, NULL, 'PX_MDM1p', 3000),
(3001, 'cd13573', NULL, 'PBP2_PnhD_3', NULL, NULL, 'PBP2_PnhD_3', 3001),
(3002, 'cd20264', NULL, 'Complex1_LYR_LYRM4', NULL, NULL, 'Complex1_LYR_LYRM4', 3002),
(3003, 'cd00072', NULL, 'GYF', NULL, NULL, 'GYF', 3003);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(3004, 'cd05264', NULL, 'UDP_G4E_5_SDR_e', NULL, NULL, 'UDP_G4E_5_SDR_e', 3004),
(3005, 'cd07307', NULL, 'BAR', NULL, NULL, 'BAR', 3005),
(3006, 'cd04888', NULL, 'ACT_PheB-BS', NULL, NULL, 'ACT_PheB-BS', 3006),
(3007, 'cd15667', NULL, 'ePHD_Snt2p_like', NULL, NULL, 'ePHD_Snt2p_like', 3007),
(3008, 'cd15674', NULL, 'ePHD_PHF14', NULL, NULL, 'ePHD_PHF14', 3008),
(3009, 'cd16549', NULL, 'RING-HC_RNF166', NULL, NULL, 'RING-HC_RNF166', 3009),
(3010, 'cd13848', NULL, 'CuRO_1_CopA', NULL, NULL, 'CuRO_1_CopA', 3010),
(3011, 'cd06422', NULL, 'NTP_transferase_like_1', NULL, NULL, 'NTP_transferase_like_1', 3011),
(3012, 'cd08802', NULL, 'Death_UNC5B', NULL, NULL, 'Death_UNC5B', 3012),
(3013, 'cd17398', NULL, 'MFS_FLVCR_like', NULL, NULL, 'MFS_FLVCR_like', 3013),
(3014, 'cd18102', NULL, 'Trm10_MRRP1', NULL, NULL, 'Trm10_MRRP1', 3014),
(3015, 'cd05175', NULL, 'PI3Kc_IA_alpha', NULL, NULL, 'PI3Kc_IA_alpha', 3015),
(3016, 'cd05505', NULL, 'Bromo_WSTF_like', NULL, NULL, 'Bromo_WSTF_like', 3016),
(3017, 'cd00298', NULL, 'ACD_sHsps_p23-like', NULL, NULL, 'ACD_sHsps_p23-like', 3017),
(3018, 'cd04441', NULL, 'DEP_2_DEP6', NULL, NULL, 'DEP_2_DEP6', 3018),
(3019, 'cd10453', NULL, 'GIY-YIG_RE_Cfr42I', NULL, NULL, 'GIY-YIG_RE_Cfr42I', 3019),
(3020, 'cd18822', NULL, 'GH43_CtGH43-like', NULL, NULL, 'GH43_CtGH43-like', 3020),
(3021, 'cd16793', NULL, 'SP-RING_ScSiz_like', NULL, NULL, 'SP-RING_ScSiz_like', 3021),
(3022, 'cd04052', NULL, 'C2B_Tricalbin-like', NULL, NULL, 'C2B_Tricalbin-like', 3022),
(3023, 'cd09254', NULL, 'AP_delta-COPI_MHD', NULL, NULL, 'AP_delta-COPI_MHD', 3023),
(3024, 'cd12272', NULL, 'RRM2_PHIP1', NULL, NULL, 'RRM2_PHIP1', 3024),
(3025, 'cd12155', NULL, 'PGDH_1', NULL, NULL, 'PGDH_1', 3025),
(3026, 'cd15192', NULL, '7tmA_AT1R', NULL, NULL, '7tmA_AT1R', 3026),
(3027, 'cd04915', NULL, 'ACT_AK-Ectoine_2', NULL, NULL, 'ACT_AK-Ectoine_2', 3027),
(3028, 'cd03877', NULL, 'M28_like', NULL, NULL, 'M28_like', 3028),
(3029, 'cd13721', NULL, 'PBP2_iGluR_Kainate_GluR6', NULL, NULL, 'PBP2_iGluR_Kainate_GluR6', 3029),
(3030, 'cd17630', NULL, 'OSB_MenE-like', NULL, NULL, 'OSB_MenE-like', 3030),
(3031, 'cd12451', NULL, 'RRM2_NUCLs', NULL, NULL, 'RRM2_NUCLs', 3031),
(3032, 'cd05824', NULL, 'LbH_M1P_guanylylT_C', NULL, NULL, 'LbH_M1P_guanylylT_C', 3032),
(3033, 'cd07113', NULL, 'ALDH_PADH_NahF', NULL, NULL, 'ALDH_PADH_NahF', 3033),
(3034, 'cd02525', NULL, 'Succinoglycan_BP_ExoA', NULL, NULL, 'Succinoglycan_BP_ExoA', 3034),
(3035, 'cd05047', NULL, 'PTKc_Tie', NULL, NULL, 'PTKc_Tie', 3035),
(3036, 'cd12770', NULL, 'RRM1_HuD', NULL, NULL, 'RRM1_HuD', 3036),
(3037, 'cd14410', NULL, 'UBA_SIK3', NULL, NULL, 'UBA_SIK3', 3037),
(3038, 'cd18500', NULL, 'BACK_IBtk', NULL, NULL, 'BACK_IBtk', 3038),
(3039, 'cd02012', NULL, 'TPP_TK', NULL, NULL, 'TPP_TK', 3039),
(3040, 'cd03177', NULL, 'GST_C_Delta_Epsilon', NULL, NULL, 'GST_C_Delta_Epsilon', 3040),
(3041, 'cd17510', NULL, 'T3SC_YbjN-like_2', NULL, NULL, 'T3SC_YbjN-like_2', 3041),
(3042, 'cd00488', NULL, 'PCD_DCoH', NULL, NULL, 'PCD_DCoH', 3042),
(3043, 'cd16825', NULL, 'RING_CH-C4HC3_MARCH9', NULL, NULL, 'RING_CH-C4HC3_MARCH9', 3043),
(3044, 'cd03078', NULL, 'GST_N_Metaxin1_like', NULL, NULL, 'GST_N_Metaxin1_like', 3044),
(3045, 'cd01646', NULL, 'RT_Bac_retron_I', NULL, NULL, 'RT_Bac_retron_I', 3045),
(3046, 'cd12147', NULL, 'Cep3_C', NULL, NULL, 'Cep3_C', 3046),
(3047, 'cd04233', NULL, 'Auracyanin', NULL, NULL, 'Auracyanin', 3047),
(3048, 'cd14956', NULL, 'NHL_like_3', NULL, NULL, 'NHL_like_3', 3048),
(3049, 'cd17868', NULL, 'GPN', NULL, NULL, 'GPN', 3049),
(3050, 'cd21481', NULL, 'SARS-CoV_Spike_S1_RBD', NULL, NULL, 'SARS-CoV_Spike_S1_RBD', 3050),
(3051, 'cd04762', NULL, 'HTH_MerR-trunc', NULL, NULL, 'HTH_MerR-trunc', 3051),
(3052, 'cd09234', NULL, 'V_HD-PTP_like', NULL, NULL, 'V_HD-PTP_like', 3052),
(3053, 'cd15663', NULL, 'ePHD_ATX3_4_5_like', NULL, NULL, 'ePHD_ATX3_4_5_like', 3053),
(3054, 'cd04247', NULL, 'AAK_AK-Hom3', NULL, NULL, 'AAK_AK-Hom3', 3054),
(3055, 'cd17386', NULL, 'MFS_SLC46', NULL, NULL, 'MFS_SLC46', 3055),
(3056, 'cd00438', NULL, 'cupin_RmlC', NULL, NULL, 'cupin_RmlC', 3056);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(3057, 'cd08274', NULL, 'MDR9', NULL, NULL, 'MDR9', 3057),
(3058, 'cd05807', NULL, 'CBM20_CGTase', NULL, NULL, 'CBM20_CGTase', 3058),
(3059, 'cd01308', NULL, 'Isoaspartyl-dipeptidase', NULL, NULL, 'Isoaspartyl-dipeptidase', 3059),
(3060, 'cd07514', NULL, 'HAD_Pase', NULL, NULL, 'HAD_Pase', 3060),
(3061, 'cd17148', NULL, 'DCX2_RP1L1', NULL, NULL, 'DCX2_RP1L1', 3061),
(3062, 'cd05151', NULL, 'ChoK-like', NULL, NULL, 'ChoK-like', 3062),
(3063, 'cd07396', NULL, 'MPP_Nbla03831', NULL, NULL, 'MPP_Nbla03831', 3063),
(3064, 'cd07610', NULL, 'FCH_F-BAR', NULL, NULL, 'FCH_F-BAR', 3064),
(3065, 'cd00736', NULL, 'lambda_lys-like', NULL, NULL, 'lambda_lys-like', 3065),
(3066, 'cd00266', NULL, 'MADS_SRF_like', NULL, NULL, 'MADS_SRF_like', 3066),
(3067, 'cd08549', NULL, 'G1PDH_related', NULL, NULL, 'G1PDH_related', 3067),
(3068, 'cd16685', NULL, 'RING-H2_UBR1', NULL, NULL, 'RING-H2_UBR1', 3068),
(3069, 'cd03357', NULL, 'LbH_MAT_GAT', NULL, NULL, 'LbH_MAT_GAT', 3069),
(3070, 'cd06377', NULL, 'PBP1_iGluR_NMDA_NR3', NULL, NULL, 'PBP1_iGluR_NMDA_NR3', 3070),
(3071, 'cd15568', NULL, 'PHD5_NSD', NULL, NULL, 'PHD5_NSD', 3071),
(3072, 'cd09152', NULL, 'PLDc_EcCLS_like_1', NULL, NULL, 'PLDc_EcCLS_like_1', 3072),
(3073, 'cd15834', NULL, 'TNFRSF1A_teleost', NULL, NULL, 'TNFRSF1A_teleost', 3073),
(3074, 'cd11970', NULL, 'SH3_PLCgamma1', NULL, NULL, 'SH3_PLCgamma1', 3074),
(3075, 'cd13426', NULL, 'Peptidase_G1', NULL, NULL, 'Peptidase_G1', 3075),
(3076, 'cd02115', NULL, 'AAK', NULL, NULL, 'AAK', 3076),
(3077, 'cd15489', NULL, 'PHD_SF', NULL, NULL, 'PHD_SF', 3077),
(3078, 'cd20282', NULL, 'cupin_DddQ', NULL, NULL, 'cupin_DddQ', 3078),
(3079, 'cd20290', NULL, 'cupin_Mj0764-like', NULL, NULL, 'cupin_Mj0764-like', 3079),
(3080, 'cd03172', NULL, 'SORL_classII', NULL, NULL, 'SORL_classII', 3080),
(3081, 'cd05054', NULL, 'PTKc_VEGFR', NULL, NULL, 'PTKc_VEGFR', 3081),
(3082, 'cd10160', NULL, 'CsoR-like_DUF156_3', NULL, NULL, 'CsoR-like_DUF156_3', 3082),
(3083, 'cd12472', NULL, 'RRM1_RBMS3', NULL, NULL, 'RRM1_RBMS3', 3083),
(3084, 'cd18705', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 3084),
(3085, 'cd17237', NULL, 'FERM_F1_Moesin', NULL, NULL, 'FERM_F1_Moesin', 3085),
(3086, 'cd14021', NULL, 'ChoK-like_euk', NULL, NULL, 'ChoK-like_euk', 3086),
(3087, 'cd17142', NULL, 'DCX2_DCX', NULL, NULL, 'DCX2_DCX', 3087),
(3088, 'cd00395', NULL, 'Tyr_Trp_RS_core', NULL, NULL, 'Tyr_Trp_RS_core', 3088),
(3089, 'cd05911', NULL, 'Firefly_Luc_like', NULL, NULL, 'Firefly_Luc_like', 3089),
(3090, 'cd11407', NULL, 'bHLH-O_HERP', NULL, NULL, 'bHLH-O_HERP', 3090),
(3091, 'cd15029', NULL, '7tm_SRI_SRII', NULL, NULL, '7tm_SRI_SRII', 3091),
(3092, 'cd19439', NULL, 'lipocalin_Ex-FABP-like', NULL, NULL, 'lipocalin_Ex-FABP-like', 3092),
(3093, 'cd09300', NULL, 'DEAD-like_helicase_C', NULL, NULL, 'DEAD-like_helicase_C', 3093),
(3094, 'cd07894', NULL, 'Adenylation_RNA_ligase', NULL, NULL, 'Adenylation_RNA_ligase', 3094),
(3095, 'cd09354', NULL, 'LIM2_LPP', NULL, NULL, 'LIM2_LPP', 3095),
(3096, 'cd04180', NULL, 'UGPase_euk_like', NULL, NULL, 'UGPase_euk_like', 3096),
(3097, 'cd18769', NULL, 'PIN_Mut7-C-like', NULL, NULL, 'PIN_Mut7-C-like', 3097),
(3098, 'cd03523', NULL, 'NTR_like', NULL, NULL, 'NTR_like', 3098),
(3099, 'cd13853', NULL, 'CuRO_1_Tth-MCO_like', NULL, NULL, 'CuRO_1_Tth-MCO_like', 3099),
(3100, 'cd01881', NULL, 'Obg_like', NULL, NULL, 'Obg_like', 3100),
(3101, 'cd00770', NULL, 'SerRS_core', NULL, NULL, 'SerRS_core', 3101),
(3102, 'cd18573', NULL, 'ABC_6TM_ABCB10_like', NULL, NULL, 'ABC_6TM_ABCB10_like', 3102),
(3103, 'cd10323', NULL, 'SLC-NCS1sbd', NULL, NULL, 'SLC-NCS1sbd', 3103),
(3104, 'cd06450', NULL, 'DOPA_deC_like', NULL, NULL, 'DOPA_deC_like', 3104),
(3105, 'cd19810', NULL, 'Bbox1_TRIM56_C-V', NULL, NULL, 'Bbox1_TRIM56_C-V', 3105),
(3106, 'cd15601', NULL, 'PHD5_KMT2D', NULL, NULL, 'PHD5_KMT2D', 3106),
(3107, 'cd09645', NULL, 'Cas5_I-E', NULL, NULL, 'Cas5_I-E', 3107),
(3108, 'cd12255', NULL, 'RRM1_LKAP', NULL, NULL, 'RRM1_LKAP', 3108),
(3109, 'cd04646', NULL, 'LbH_Dynactin_6', NULL, NULL, 'LbH_Dynactin_6', 3109),
(3110, 'cd17477', NULL, 'MFS_YcaD_like', NULL, NULL, 'MFS_YcaD_like', 3110);
INSERT INTO "PUBLIC"."MODEL" VALUES
(3111, 'cd06250', NULL, 'M14_PaAOTO_like', NULL, NULL, 'M14_PaAOTO_like', 3111),
(3112, 'cd15299', NULL, '7tmA_mAChR_M3', NULL, NULL, '7tmA_mAChR_M3', 3112),
(3113, 'cd08850', NULL, 'ArfGap_ACAP3', NULL, NULL, 'ArfGap_ACAP3', 3113),
(3114, 'cd00569', NULL, 'HTH_Hin_like', NULL, NULL, 'HTH_Hin_like', 3114),
(3115, 'cd11692', NULL, 'HRI1_N_like', NULL, NULL, 'HRI1_N_like', 3115),
(3116, 'cd01111', NULL, 'HTH_MerD', NULL, NULL, 'HTH_MerD', 3116),
(3117, 'cd07955', NULL, 'Anticodon_Ia_Cys_like', NULL, NULL, 'Anticodon_Ia_Cys_like', 3117),
(3118, 'cd03069', NULL, 'PDI_b_ERp57', NULL, NULL, 'PDI_b_ERp57', 3118),
(3119, 'cd09669', NULL, 'Cse1_I-E', NULL, NULL, 'Cse1_I-E', 3119),
(3120, 'cd04731', NULL, 'HisF', NULL, NULL, 'HisF', 3120),
(3121, 'cd05060', NULL, 'PTKc_Syk_like', NULL, NULL, 'PTKc_Syk_like', 3121),
(3122, 'cd06128', NULL, 'DNA_polA_exo', NULL, NULL, 'DNA_polA_exo', 3122),
(3123, 'cd09255', NULL, 'AP-like_stonins_MHD', NULL, NULL, 'AP-like_stonins_MHD', 3123),
(3124, 'cd01519', NULL, 'RHOD_HSP67B2', NULL, NULL, 'RHOD_HSP67B2', 3124),
(3125, 'cd13281', NULL, 'PH_PLEKHD1', NULL, NULL, 'PH_PLEKHD1', 3125),
(3126, 'cd15579', NULL, 'PHD1_PHF19', NULL, NULL, 'PHD1_PHF19', 3126),
(3127, 'cd06282', NULL, 'PBP1_LacI-like', NULL, NULL, 'PBP1_LacI-like', 3127),
(3128, 'cd00830', NULL, 'KAS_III', NULL, NULL, 'KAS_III', 3128),
(3129, 'cd16588', NULL, 'RING-HC_TRIM45-C-VII', NULL, NULL, 'RING-HC_TRIM45-C-VII', 3129),
(3130, 'cd03362', NULL, 'TOPRIM_TopoIA_TopoIII', NULL, NULL, 'TOPRIM_TopoIA_TopoIII', 3130),
(3131, 'cd16421', NULL, 'HAD_PGPase', NULL, NULL, 'HAD_PGPase', 3131),
(3132, 'cd18787', NULL, 'SF2_C_DEAD', NULL, NULL, 'SF2_C_DEAD', 3132),
(3133, 'cd17420', NULL, 'MFS_MCT8_10', NULL, NULL, 'MFS_MCT8_10', 3133),
(3134, 'cd00449', NULL, 'PLPDE_IV', NULL, NULL, 'PLPDE_IV', 3134),
(3135, 'cd13910', NULL, 'CuRO_3_MCO_like_4', NULL, NULL, 'CuRO_3_MCO_like_4', 3135),
(3136, 'cd16269', NULL, 'GBP_C', NULL, NULL, 'GBP_C', 3136),
(3137, 'cd08339', NULL, 'DED_DEDD-like', NULL, NULL, 'DED_DEDD-like', 3137),
(3138, 'cd12598', NULL, 'RRM1_SRSF9', NULL, NULL, 'RRM1_SRSF9', 3138),
(3139, 'cd01670', NULL, 'Death', NULL, NULL, 'Death', 3139),
(3140, 'cd15534', NULL, 'PHD2_PHF12_Rco1', NULL, NULL, 'PHD2_PHF12_Rco1', 3140),
(3141, 'cd03792', NULL, 'GT4_trehalose_phosphorylase', NULL, NULL, 'GT4_trehalose_phosphorylase', 3141),
(3142, 'cd06860', NULL, 'PX_SNX7_30_like', NULL, NULL, 'PX_SNX7_30_like', 3142),
(3143, 'cd00454', NULL, 'TrHb1_N', NULL, NULL, 'TrHb1_N', 3143),
(3144, 'cd01483', NULL, 'E1_enzyme_family', NULL, NULL, 'E1_enzyme_family', 3144),
(3145, 'cd12328', NULL, 'RRM2_hnRNPA_like', NULL, NULL, 'RRM2_hnRNPA_like', 3145),
(3146, 'cd16220', NULL, 'EFh_PI-PLCeta1', NULL, NULL, 'EFh_PI-PLCeta1', 3146),
(3147, 'cd06332', NULL, 'PBP1_aromatic_compounds-like', NULL, NULL, 'PBP1_aromatic_compounds-like', 3147),
(3148, 'cd11571', NULL, 'FAT-like_EFS_C', NULL, NULL, 'FAT-like_EFS_C', 3148),
(3149, 'cd16986', NULL, 'ANTH_N_Sla2p_HIP1_like', NULL, NULL, 'ANTH_N_Sla2p_HIP1_like', 3149),
(3150, 'cd03332', NULL, 'LMO_FMN', NULL, NULL, 'LMO_FMN', 3150),
(3151, 'cd09727', NULL, 'Cas6_I-E', NULL, NULL, 'Cas6_I-E', 3151),
(3152, 'cd17468', NULL, 'T3SS_HrpP_C', NULL, NULL, 'T3SS_HrpP_C', 3152),
(3153, 'cd09518', NULL, 'SAM_ANKS6', NULL, NULL, 'SAM_ANKS6', 3153),
(3154, 'cd16084', NULL, 'IgC_CH2_IgD', NULL, NULL, 'IgC_CH2_IgD', 3154),
(3155, 'cd12524', NULL, 'RRM1_MEI2_like', NULL, NULL, 'RRM1_MEI2_like', 3155),
(3156, 'cd13868', NULL, 'CuRO_2_CotA_like', NULL, NULL, 'CuRO_2_CotA_like', 3156),
(3157, 'cd18116', NULL, 'ATP-synt_F1_alpha_N', NULL, NULL, 'ATP-synt_F1_alpha_N', 3157),
(3158, 'cd14207', NULL, 'PTKc_VEGFR1', NULL, NULL, 'PTKc_VEGFR1', 3158),
(3159, 'cd12925', NULL, 'iSH2_PIK3R3', NULL, NULL, 'iSH2_PIK3R3', 3159),
(3160, 'cd03870', NULL, 'M14_CPA', NULL, NULL, 'M14_CPA', 3160),
(3161, 'cd05800', NULL, 'PGM_like2', NULL, NULL, 'PGM_like2', 3161),
(3162, 'cd11670', NULL, 'Sp_RAP1_RCT', NULL, NULL, 'Sp_RAP1_RCT', 3162),
(3163, 'cd07299', NULL, 'PX_TCGAP', NULL, NULL, 'PX_TCGAP', 3163),
(3164, 'cd16753', NULL, 'RING-HC_MID1', NULL, NULL, 'RING-HC_MID1', 3164);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(3165, 'cd08766', NULL, 'Cyt_b561_ACYB-1_like', NULL, NULL, 'Cyt_b561_ACYB-1_like', 3165),
(3166, 'cd05107', NULL, 'PTKc_PDGFR_beta', NULL, NULL, 'PTKc_PDGFR_beta', 3166),
(3167, 'cd04696', NULL, 'Nudix_Hydrolase_37', NULL, NULL, 'Nudix_Hydrolase_37', 3167),
(3168, 'cd07830', NULL, 'STKc_MAK_like', NULL, NULL, 'STKc_MAK_like', 3168),
(3169, 'cd00594', NULL, 'KU', NULL, NULL, 'KU', 3169),
(3170, 'cd05055', NULL, 'PTKc_PDGFR', NULL, NULL, 'PTKc_PDGFR', 3170),
(3171, 'cd17494', NULL, 'RMtype1_S_Sma198ORF994P-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Sma198ORF994P-TRD2-CR2_like', 3171),
(3172, 'cd09700', NULL, 'Csx10', NULL, NULL, 'Csx10', 3172),
(3173, 'cd13653', NULL, 'PBP2_phosphate_like_1', NULL, NULL, 'PBP2_phosphate_like_1', 3173),
(3174, 'cd16373', NULL, 'DMSOR_beta_like', NULL, NULL, 'DMSOR_beta_like', 3174),
(3175, 'cd11857', NULL, 'SH3_DBS', NULL, NULL, 'SH3_DBS', 3175),
(3176, 'cd16964', NULL, 'YqgF', NULL, NULL, 'YqgF', 3176),
(3177, 'cd01406', NULL, 'SIR2-like', NULL, NULL, 'SIR2-like', 3177),
(3178, 'cd05738', NULL, 'Ig2_RPTP_IIa_LAR_like', NULL, NULL, 'Ig2_RPTP_IIa_LAR_like', 3178),
(3179, 'cd04904', NULL, 'ACT_AAAH', NULL, NULL, 'ACT_AAAH', 3179),
(3180, 'cd06621', NULL, 'PKc_Pek1_like', NULL, NULL, 'PKc_Pek1_like', 3180),
(3181, 'cd12330', NULL, 'RRM2_Hrp1p', NULL, NULL, 'RRM2_Hrp1p', 3181),
(3182, 'cd19602', NULL, 'serpin_mollusks', NULL, NULL, 'serpin_mollusks', 3182),
(3183, 'cd11024', NULL, 'CuRO_1_2DMCO_NIR_like', NULL, NULL, 'CuRO_1_2DMCO_NIR_like', 3183),
(3184, 'cd13543', NULL, 'PBP2_Fbp', NULL, NULL, 'PBP2_Fbp', 3184),
(3185, 'cd00117', NULL, 'LU', NULL, NULL, 'LU', 3185),
(3186, 'cd01437', NULL, 'parp_like', NULL, NULL, 'parp_like', 3186),
(3187, 'cd00544', NULL, 'CobU', NULL, NULL, 'CobU', 3187),
(3188, 'cd11974', NULL, 'SH3_ASEF2', NULL, NULL, 'SH3_ASEF2', 3188),
(3189, 'cd09509', NULL, 'SAM_Polycomb', NULL, NULL, 'SAM_Polycomb', 3189),
(3190, 'cd10489', NULL, 'MH1_SMAD_6_7', NULL, NULL, 'MH1_SMAD_6_7', 3190),
(3191, 'cd08425', NULL, 'PBP2_CynR', NULL, NULL, 'PBP2_CynR', 3191),
(3192, 'cd17750', NULL, 'BRCT_SLF1', NULL, NULL, 'BRCT_SLF1', 3192),
(3193, 'cd14505', NULL, 'CDKN3-like', NULL, NULL, 'CDKN3-like', 3193),
(3194, 'cd09371', NULL, 'LIM1_Lmx1b', NULL, NULL, 'LIM1_Lmx1b', 3194),
(3195, 'cd11606', NULL, 'COE_DBD', NULL, NULL, 'COE_DBD', 3195),
(3196, 'cd05063', NULL, 'PTKc_EphR_A2', NULL, NULL, 'PTKc_EphR_A2', 3196),
(3197, 'cd10518', NULL, 'SET_SETD1-like', NULL, NULL, 'SET_SETD1-like', 3197),
(3198, 'cd07321', NULL, 'Extradiol_Dioxygenase_3A_like', NULL, NULL, 'Extradiol_Dioxygenase_3A_like', 3198),
(3199, 'cd13981', NULL, 'STKc_Bub1_BubR1', NULL, NULL, 'STKc_Bub1_BubR1', 3199),
(3200, 'cd04734', NULL, 'OYE_like_3_FMN', NULL, NULL, 'OYE_like_3_FMN', 3200),
(3201, 'cd06921', NULL, 'ChtBD1_GH19_hevein', NULL, NULL, 'ChtBD1_GH19_hevein', 3201),
(3202, 'cd15842', NULL, 'SNARE_Qb', NULL, NULL, 'SNARE_Qb', 3202),
(3203, 'cd19549', NULL, 'serpinA_A1AT-like', NULL, NULL, 'serpinA_A1AT-like', 3203),
(3204, 'cd08686', NULL, 'C2_ABR', NULL, NULL, 'C2_ABR', 3204),
(3205, 'cd13288', NULL, 'PH_Ses', NULL, NULL, 'PH_Ses', 3205),
(3206, 'cd20486', NULL, 'USP25_C', NULL, NULL, 'USP25_C', 3206),
(3207, 'cd00990', NULL, 'PDZ_glycyl_aminopeptidase', NULL, NULL, 'PDZ_glycyl_aminopeptidase', 3207),
(3208, 'cd07347', NULL, 'harmonin_N_like', NULL, NULL, 'harmonin_N_like', 3208),
(3209, 'cd18598', NULL, 'ABC_6TM_MRP7_D1_like', NULL, NULL, 'ABC_6TM_MRP7_D1_like', 3209),
(3210, 'cd15092', NULL, '7tmA_NOFQ_opioid_R', NULL, NULL, '7tmA_NOFQ_opioid_R', 3210),
(3211, 'cd12739', NULL, 'RRM2_ESRP1', NULL, NULL, 'RRM2_ESRP1', 3211),
(3212, 'cd16930', NULL, 'HATPase_TopII-like', NULL, NULL, 'HATPase_TopII-like', 3212),
(3213, 'cd01316', NULL, 'CAD_DHOase', NULL, NULL, 'CAD_DHOase', 3213),
(3214, 'cd17229', NULL, 'RA1_PLC-epsilon', NULL, NULL, 'RA1_PLC-epsilon', 3214),
(3215, 'cd04723', NULL, 'HisA_HisF', NULL, NULL, 'HisA_HisF', 3215),
(3216, 'cd01745', NULL, 'GATase1_2', NULL, NULL, 'GATase1_2', 3216),
(3217, 'cd04134', NULL, 'Rho3', NULL, NULL, 'Rho3', 3217),
(3218, 'cd05580', NULL, 'STKc_PKA_like', NULL, NULL, 'STKc_PKA_like', 3218);
INSERT INTO "PUBLIC"."MODEL" VALUES
(3219, 'cd17255', NULL, 'RMtype1_S_Fco49512ORF2615P-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Fco49512ORF2615P-TRD2-CR2_like', 3219),
(3220, 'cd18909', NULL, 'bHLH_TCFL5', NULL, NULL, 'bHLH_TCFL5', 3220),
(3221, 'cd13590', NULL, 'PBP2_PotD_PotF_like', NULL, NULL, 'PBP2_PotD_PotF_like', 3221),
(3222, 'cd00070', NULL, 'GLECT', NULL, NULL, 'GLECT', 3222),
(3223, 'cd08623', NULL, 'PI-PLCc_beta1', NULL, NULL, 'PI-PLCc_beta1', 3223),
(3224, 'cd09893', NULL, 'NGN_SP_TaA', NULL, NULL, 'NGN_SP_TaA', 3224),
(3225, 'cd00528', NULL, 'MoaC', NULL, NULL, 'MoaC', 3225),
(3226, 'cd02336', NULL, 'ZZ_RSC8', NULL, NULL, 'ZZ_RSC8', 3226),
(3227, 'cd07604', NULL, 'BAR_ASAPs', NULL, NULL, 'BAR_ASAPs', 3227),
(3228, 'cd17726', NULL, 'BRCT_PARP4_like', NULL, NULL, 'BRCT_PARP4_like', 3228),
(3229, 'cd06649', NULL, 'PKc_MEK2', NULL, NULL, 'PKc_MEK2', 3229),
(3230, 'cd02164', NULL, 'PPAT_CoAS', NULL, NULL, 'PPAT_CoAS', 3230),
(3231, 'cd00882', NULL, 'Ras_like_GTPase', NULL, NULL, 'Ras_like_GTPase', 3231),
(3232, 'cd14276', NULL, 'UBA_UBP25_like', NULL, NULL, 'UBA_UBP25_like', 3232),
(3233, 'cd00090', NULL, 'HTH_ARSR', NULL, NULL, 'HTH_ARSR', 3233),
(3234, 'cd00914', NULL, 'PCD_DCoH_subfamily_b', NULL, NULL, 'PCD_DCoH_subfamily_b', 3234),
(3235, 'cd11554', NULL, 'SLC6sbd_u2', NULL, NULL, 'SLC6sbd_u2', 3235),
(3236, 'cd20225', NULL, 'PFM_lysenin-like', NULL, NULL, 'PFM_lysenin-like', 3236),
(3237, 'cd13621', NULL, 'PBP2_AA_binding_like_3', NULL, NULL, 'PBP2_AA_binding_like_3', 3237),
(3238, 'cd15012', NULL, '7tmA_Trissin_R', NULL, NULL, '7tmA_Trissin_R', 3238),
(3239, 'cd07559', NULL, 'ALDH_ACDHII_AcoD-like', NULL, NULL, 'ALDH_ACDHII_AcoD-like', 3239),
(3240, 'cd17397', NULL, 'MFS_DIRC2', NULL, NULL, 'MFS_DIRC2', 3240),
(3241, 'cd03786', NULL, 'GTB_UDP-GlcNAc_2-Epimerase', NULL, NULL, 'GTB_UDP-GlcNAc_2-Epimerase', 3241),
(3242, 'cd00693', NULL, 'secretory_peroxidase', NULL, NULL, 'secretory_peroxidase', 3242),
(3243, 'cd00851', NULL, 'MTH1175', NULL, NULL, 'MTH1175', 3243),
(3244, 'cd13956', NULL, 'PT_UbiA', NULL, NULL, 'PT_UbiA', 3244),
(3245, 'cd12347', NULL, 'RRM_PPIE', NULL, NULL, 'RRM_PPIE', 3245),
(3246, 'cd14785', NULL, 'V-ATPase_C', NULL, NULL, 'V-ATPase_C', 3246),
(3247, 'cd07303', NULL, 'Porin3', NULL, NULL, 'Porin3', 3247),
(3248, 'cd12557', NULL, 'RRM3_RBM15', NULL, NULL, 'RRM3_RBM15', 3248),
(3249, 'cd09611', NULL, 'Jacalin_ZG16_like', NULL, NULL, 'Jacalin_ZG16_like', 3249),
(3250, 'cd08338', NULL, 'DED_PEA15', NULL, NULL, 'DED_PEA15', 3250),
(3251, 'cd14154', NULL, 'STKc_LIMK', NULL, NULL, 'STKc_LIMK', 3251),
(3252, 'cd07645', NULL, 'I-BAR_IMD_BAIAP2L1', NULL, NULL, 'I-BAR_IMD_BAIAP2L1', 3252),
(3253, 'cd18380', NULL, 'BTB_POZ_Kv4_KCND', NULL, NULL, 'BTB_POZ_Kv4_KCND', 3253),
(3254, 'cd16743', NULL, 'RING-HC_RNF5', NULL, NULL, 'RING-HC_RNF5', 3254),
(3255, 'cd12327', NULL, 'RRM2_DAZAP1', NULL, NULL, 'RRM2_DAZAP1', 3255),
(3256, 'cd16600', NULL, 'RING-HC_TRIM38_C-IV', NULL, NULL, 'RING-HC_TRIM38_C-IV', 3256),
(3257, 'cd01560', NULL, 'Thr-synth_2', NULL, NULL, 'Thr-synth_2', 3257),
(3258, 'cd16018', NULL, 'Enpp', NULL, NULL, 'Enpp', 3258),
(3259, 'cd03483', NULL, 'MutL_Trans_MLH1', NULL, NULL, 'MutL_Trans_MLH1', 3259),
(3260, 'cd06421', NULL, 'CESA_CelA_like', NULL, NULL, 'CESA_CelA_like', 3260),
(3261, 'cd07422', NULL, 'MPP_ApaH', NULL, NULL, 'MPP_ApaH', 3261),
(3262, 'cd13563', NULL, 'PBP2_SsuA_like_6', NULL, NULL, 'PBP2_SsuA_like_6', 3262),
(3263, 'cd03395', NULL, 'PAP2_like_4', NULL, NULL, 'PAP2_like_4', 3263),
(3264, 'cd16615', NULL, 'RING-HC_ZNF598', NULL, NULL, 'RING-HC_ZNF598', 3264),
(3265, 'cd06634', NULL, 'STKc_TAO2', NULL, NULL, 'STKc_TAO2', 3265),
(3266, 'cd16195', NULL, 'EFh_PEF_CAPN13_14', NULL, NULL, 'EFh_PEF_CAPN13_14', 3266),
(3267, 'cd01190', NULL, 'INT_StrepXerD_C_like', NULL, NULL, 'INT_StrepXerD_C_like', 3267),
(3268, 'cd15017', NULL, '7tm_TAS2R16', NULL, NULL, '7tm_TAS2R16', 3268),
(3269, 'cd04651', NULL, 'LbH_G1P_AT_C', NULL, NULL, 'LbH_G1P_AT_C', 3269),
(3270, 'cd16425', NULL, 'TrbF', NULL, NULL, 'TrbF', 3270),
(3271, 'cd21557', NULL, 'Macro_X_Nsp3-like', NULL, NULL, 'Macro_X_Nsp3-like', 3271); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(3272, 'cd00243', NULL, 'Lysin-Sp18', NULL, NULL, 'Lysin-Sp18', 3272),
(3273, 'cd10718', NULL, 'SH2_CIS', NULL, NULL, 'SH2_CIS', 3273),
(3274, 'cd18953', NULL, 'bHLH_TS_bHLHe23_bHLHb4', NULL, NULL, 'bHLH_TS_bHLHe23_bHLHb4', 3274),
(3275, 'cd14944', NULL, 'TRAPPC6A_Trs33', NULL, NULL, 'TRAPPC6A_Trs33', 3275),
(3276, 'cd00732', NULL, 'CheW', NULL, NULL, 'CheW', 3276),
(3277, 'cd00860', NULL, 'ThrRS_anticodon', NULL, NULL, 'ThrRS_anticodon', 3277),
(3278, 'cd05630', NULL, 'STKc_GRK6', NULL, NULL, 'STKc_GRK6', 3278),
(3279, 'cd06346', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 3279),
(3280, 'cd13777', NULL, 'Aar2_N', NULL, NULL, 'Aar2_N', 3280),
(3281, 'cd12717', NULL, 'RRM_ETP1', NULL, NULL, 'RRM_ETP1', 3281),
(3282, 'cd06273', NULL, 'PBP1_LacI-like', NULL, NULL, 'PBP1_LacI-like', 3282),
(3283, 'cd08268', NULL, 'MDR2', NULL, NULL, 'MDR2', 3283),
(3284, 'cd09739', NULL, 'Cas6_I-F', NULL, NULL, 'Cas6_I-F', 3284),
(3285, 'cd00193', NULL, 'SNARE', NULL, NULL, 'SNARE', 3285),
(3286, 'cd13315', NULL, 'PH_Sec3', NULL, NULL, 'PH_Sec3', 3286),
(3287, 'cd13995', NULL, 'STKc_MAP3K8', NULL, NULL, 'STKc_MAP3K8', 3287),
(3288, 'cd20291', NULL, 'cupin_CucA-like', NULL, NULL, 'cupin_CucA-like', 3288),
(3289, 'cd17240', NULL, 'RA_PHLPP1', NULL, NULL, 'RA_PHLPP1', 3289),
(3290, 'cd06464', NULL, 'ACD_sHsps-like', NULL, NULL, 'ACD_sHsps-like', 3290),
(3291, 'cd09568', NULL, 'SAM_liprin-alpha1,2,3,4_repeat3', NULL, NULL, 'SAM_liprin-alpha1,2,3,4_repeat3', 3291),
(3292, 'cd01951', NULL, 'lectin_L-type', NULL, NULL, 'lectin_L-type', 3292),
(3293, 'cd13359', NULL, 'PH_ELMO1_CED-12', NULL, NULL, 'PH_ELMO1_CED-12', 3293),
(3294, 'cd00067', NULL, 'GAL4', NULL, NULL, 'GAL4', 3294),
(3295, 'cd04231', NULL, 'Rusticyanin', NULL, NULL, 'Rusticyanin', 3295),
(3296, 'cd05362', NULL, 'THN_reductase-like_SDR_c', NULL, NULL, 'THN_reductase-like_SDR_c', 3296),
(3297, 'cd05035', NULL, 'PTKc_TAM', NULL, NULL, 'PTKc_TAM', 3297),
(3298, 'cd01828', NULL, 'sialate_O-acetylesterase_like2', NULL, NULL, 'sialate_O-acetylesterase_like2', 3298),
(3299, 'cd07166', NULL, 'NR_DBD_REV_ERB', NULL, NULL, 'NR_DBD_REV_ERB', 3299),
(3300, 'cd08975', NULL, 'BaFpgNei_N_3', NULL, NULL, 'BaFpgNei_N_3', 3300),
(3301, 'cd17314', NULL, 'MFS_MCT_like', NULL, NULL, 'MFS_MCT_like', 3301),
(3302, 'cd17735', NULL, 'BRCT_BRCA1_rpt1', NULL, NULL, 'BRCT_BRCA1_rpt1', 3302),
(3303, 'cd01129', NULL, 'PulE-GspE', NULL, NULL, 'PulE-GspE', 3303),
(3304, 'cd17542', NULL, 'REC_CheY', NULL, NULL, 'REC_CheY', 3304),
(3305, 'cd18347', NULL, 'BTB_POZ_BTBD2', NULL, NULL, 'BTB_POZ_BTBD2', 3305),
(3306, 'cd09166', NULL, 'PLDc_PPK1_C1_unchar', NULL, NULL, 'PLDc_PPK1_C1_unchar', 3306),
(3307, 'cd08049', NULL, 'TAF8', NULL, NULL, 'TAF8', 3307),
(3308, 'cd06561', NULL, 'AlkD_like', NULL, NULL, 'AlkD_like', 3308),
(3309, 'cd07865', NULL, 'STKc_CDK9', NULL, NULL, 'STKc_CDK9', 3309),
(3310, 'cd09565', NULL, 'SAM_liprin-alpha1,2,3,4_repeat2', NULL, NULL, 'SAM_liprin-alpha1,2,3,4_repeat2', 3310),
(3311, 'cd18070', NULL, 'DEXQc_SHPRH', NULL, NULL, 'DEXQc_SHPRH', 3311),
(3312, 'cd08072', NULL, 'MPN_archaeal', NULL, NULL, 'MPN_archaeal', 3312),
(3313, 'cd09947', NULL, 'Ebola_HIV-1-like_HR1-HR2', NULL, NULL, 'Ebola_HIV-1-like_HR1-HR2', 3313),
(3314, 'cd03856', NULL, 'M14_Nna1-like', NULL, NULL, 'M14_Nna1-like', 3314),
(3315, 'cd07287', NULL, 'PX_RPK118_like', NULL, NULL, 'PX_RPK118_like', 3315),
(3316, 'cd04748', NULL, 'Commd', NULL, NULL, 'Commd', 3316),
(3317, 'cd12095', NULL, 'TM_ErbB3', NULL, NULL, 'TM_ErbB3', 3317),
(3318, 'cd16356', NULL, 'PsjN_like', NULL, NULL, 'PsjN_like', 3318),
(3319, 'cd00614', NULL, 'CGS_like', NULL, NULL, 'CGS_like', 3319),
(3320, 'cd06206', NULL, 'bifunctional_CYPOR', NULL, NULL, 'bifunctional_CYPOR', 3320),
(3321, 'cd15955', NULL, '7tmA_OR52A-like', NULL, NULL, '7tmA_OR52A-like', 3321),
(3322, 'cd04092', NULL, 'mtEFG2_II_like', NULL, NULL, 'mtEFG2_II_like', 3322),
(3323, 'cd06362', NULL, 'PBP1_mGluR', NULL, NULL, 'PBP1_mGluR', 3323),
(3324, 'cd16234', NULL, 'EFh_SPARC_SMOC', NULL, NULL, 'EFh_SPARC_SMOC', 3324),
(3325, 'cd19443', NULL, 'FABP3-like', NULL, NULL, 'FABP3-like', 3325);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(3326, 'cd01126', NULL, 'TraG_VirD4', NULL, NULL, 'TraG_VirD4', 3326),
(3327, 'cd02231', NULL, 'cupin_BLL6423-like', NULL, NULL, 'cupin_BLL6423-like', 3327),
(3328, 'cd11681', NULL, 'HDAC_classIIa', NULL, NULL, 'HDAC_classIIa', 3328),
(3329, 'cd17728', NULL, 'BRCT_TopBP1_rpt8', NULL, NULL, 'BRCT_TopBP1_rpt8', 3329),
(3330, 'cd11614', NULL, 'SAF_CpaB_FlgA_like', NULL, NULL, 'SAF_CpaB_FlgA_like', 3330),
(3331, 'cd11705', NULL, 'DHR2_DOCK4', NULL, NULL, 'DHR2_DOCK4', 3331),
(3332, 'cd02774', NULL, 'MopB_Res-Cmplx1_Nad11-M', NULL, NULL, 'MopB_Res-Cmplx1_Nad11-M', 3332),
(3333, 'cd01130', NULL, 'VirB11-like_ATPase', NULL, NULL, 'VirB11-like_ATPase', 3333),
(3334, 'cd19862', NULL, 'DSRM_PRKRA-like_rpt1', NULL, NULL, 'DSRM_PRKRA-like_rpt1', 3334),
(3335, 'cd05772', NULL, 'IgC_SIRP_domain_2', NULL, NULL, 'IgC_SIRP_domain_2', 3335),
(3336, 'cd10790', NULL, 'GH38N_AMII_1', NULL, NULL, 'GH38N_AMII_1', 3336),
(3337, 'cd07227', NULL, 'Pat_Fungal_NTE1', NULL, NULL, 'Pat_Fungal_NTE1', 3337),
(3338, 'cd09357', NULL, 'LIM3_Zyxin_like', NULL, NULL, 'LIM3_Zyxin_like', 3338),
(3339, 'cd00390', NULL, 'Urease_gamma', NULL, NULL, 'Urease_gamma', 3339),
(3340, 'cd19784', NULL, 'Bbox2_TRIM44', NULL, NULL, 'Bbox2_TRIM44', 3340),
(3341, 'cd02083', NULL, 'P-type_ATPase_SERCA', NULL, NULL, 'P-type_ATPase_SERCA', 3341),
(3342, 'cd14077', NULL, 'STKc_Kin1_2', NULL, NULL, 'STKc_Kin1_2', 3342),
(3343, 'cd02872', NULL, 'GH18_chitolectin_chitotriosidase', NULL, NULL, 'GH18_chitolectin_chitotriosidase', 3343),
(3344, 'cd15106', NULL, '7tmA_MrgprX-like', NULL, NULL, '7tmA_MrgprX-like', 3344),
(3345, 'cd18668', NULL, 'CD1_tandem_CHD5-9_like', NULL, NULL, 'CD1_tandem_CHD5-9_like', 3345),
(3346, 'cd06630', NULL, 'STKc_MEKK1', NULL, NULL, 'STKc_MEKK1', 3346),
(3347, 'cd11773', NULL, 'SH3_Sla1p_1', NULL, NULL, 'SH3_Sla1p_1', 3347),
(3348, 'cd13534', NULL, 'PBP2_MqnD_like', NULL, NULL, 'PBP2_MqnD_like', 3348),
(3349, 'cd03701', NULL, 'IF2_IF5B_II', NULL, NULL, 'IF2_IF5B_II', 3349),
(3350, 'cd00098', NULL, 'IgC', NULL, NULL, 'IgC', 3350),
(3351, 'cd06153', NULL, 'YjgF_YER057c_UK114_like_5', NULL, NULL, 'YjgF_YER057c_UK114_like_5', 3351),
(3352, 'cd11593', NULL, 'Agmatinase-like_2', NULL, NULL, 'Agmatinase-like_2', 3352),
(3353, 'cd02062', NULL, 'Nitro_FMN_reductase', NULL, NULL, 'Nitro_FMN_reductase', 3353),
(3354, 'cd11280', NULL, 'gelsolin_like', NULL, NULL, 'gelsolin_like', 3354),
(3355, 'cd15084', NULL, '7tmA_Pinopsin', NULL, NULL, '7tmA_Pinopsin', 3355),
(3356, 'cd12125', NULL, 'APC_alpha', NULL, NULL, 'APC_alpha', 3356),
(3357, 'cd13162', NULL, 'PTB_RGS12', NULL, NULL, 'PTB_RGS12', 3357),
(3358, 'cd07994', NULL, 'WGR', NULL, NULL, 'WGR', 3358),
(3359, 'cd11511', NULL, 'SLC6sbd_BGT1', NULL, NULL, 'SLC6sbd_BGT1', 3359),
(3360, 'cd02753', NULL, 'MopB_Formate-Dh-H', NULL, NULL, 'MopB_Formate-Dh-H', 3360),
(3361, 'cd10418', NULL, 'SH2_Src_Fyn_isoform_a_like', NULL, NULL, 'SH2_Src_Fyn_isoform_a_like', 3361),
(3362, 'cd12634', NULL, 'RRM2_CELF1_2', NULL, NULL, 'RRM2_CELF1_2', 3362),
(3363, 'cd16604', NULL, 'RING-HC_TRIM47_C-IV', NULL, NULL, 'RING-HC_TRIM47_C-IV', 3363),
(3364, 'cd15701', NULL, 'ePHD_BRPF1', NULL, NULL, 'ePHD_BRPF1', 3364),
(3365, 'cd09661', NULL, 'Cmr6_III-B', NULL, NULL, 'Cmr6_III-B', 3365),
(3366, 'cd14210', NULL, 'PKc_DYRK', NULL, NULL, 'PKc_DYRK', 3366),
(3367, 'cd00394', NULL, 'Clp_protease_like', NULL, NULL, 'Clp_protease_like', 3367),
(3368, 'cd07493', NULL, 'Peptidases_S8_9', NULL, NULL, 'Peptidases_S8_9', 3368),
(3369, 'cd12269', NULL, 'RRM_Vip1_like', NULL, NULL, 'RRM_Vip1_like', 3369),
(3370, 'cd00616', NULL, 'AHBA_syn', NULL, NULL, 'AHBA_syn', 3370),
(3371, 'cd16933', NULL, 'HATPase_TopVIB-like', NULL, NULL, 'HATPase_TopVIB-like', 3371),
(3372, 'cd19915', NULL, 'DSRM_DRADA_rpt3', NULL, NULL, 'DSRM_DRADA_rpt3', 3372),
(3373, 'cd03688', NULL, 'eIF2_gamma_II', NULL, NULL, 'eIF2_gamma_II', 3373),
(3374, 'cd01768', NULL, 'RA_FERM_F0_F1_like', NULL, NULL, 'RA_FERM_F0_F1_like', 3374),
(3375, 'cd05730', NULL, 'Ig3_NCAM-1_like', NULL, NULL, 'Ig3_NCAM-1_like', 3375),
(3376, 'cd15815', NULL, 'SPRY_PRY_TRIM38', NULL, NULL, 'SPRY_PRY_TRIM38', 3376);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(3377, 'cd17529', NULL, 'HAMP_I', NULL, NULL, 'HAMP_I', 3377),
(3378, 'cd00648', NULL, 'Periplasmic_Binding_Protein_Type_2', NULL, NULL, 'Periplasmic_Binding_Protein_Type_2', 3378),
(3379, 'cd11760', NULL, 'SH3_MIA_like', NULL, NULL, 'SH3_MIA_like', 3379),
(3380, 'cd10944', NULL, 'CE4_SmPgdA_like', NULL, NULL, 'CE4_SmPgdA_like', 3380),
(3381, 'cd16758', NULL, 'RING-HC_TRIM67', NULL, NULL, 'RING-HC_TRIM67', 3381),
(3382, 'cd16115', NULL, 'Ubl_SUMO2_3_4', NULL, NULL, 'Ubl_SUMO2_3_4', 3382),
(3383, 'cd04397', NULL, 'RhoGAP_fLRG1', NULL, NULL, 'RhoGAP_fLRG1', 3383),
(3384, 'cd14903', NULL, 'MYSc_Myo42', NULL, NULL, 'MYSc_Myo42', 3384),
(3385, 'cd03161', NULL, 'TM4SF2_6_like_LEL', NULL, NULL, 'TM4SF2_6_like_LEL', 3385),
(3386, 'cd09162', NULL, 'PLDc_CLS_unchar1_2', NULL, NULL, 'PLDc_CLS_unchar1_2', 3386),
(3387, 'cd11478', NULL, 'SLC5sbd_u2', NULL, NULL, 'SLC5sbd_u2', 3387),
(3388, 'cd02111', NULL, 'eukary_SO_Moco', NULL, NULL, 'eukary_SO_Moco', 3388),
(3389, 'cd08336', NULL, 'DED_FADD', NULL, NULL, 'DED_FADD', 3389),
(3390, 'cd18744', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 3390),
(3391, 'cd16454', NULL, 'RING-H2_PA-TM-RING', NULL, NULL, 'RING-H2_PA-TM-RING', 3391),
(3392, 'cd15360', NULL, '7tmA_FSH-R', NULL, NULL, '7tmA_FSH-R', 3392),
(3393, 'cd15907', NULL, '7tmA_GPR153', NULL, NULL, '7tmA_GPR153', 3393),
(3394, 'cd08590', NULL, 'PI-PLCc_Rv2075c_like', NULL, NULL, 'PI-PLCc_Rv2075c_like', 3394),
(3395, 'cd21400', NULL, 'ZBD_UPF1-like', NULL, NULL, 'ZBD_UPF1-like', 3395),
(3396, 'cd09562', NULL, 'SAM_liprin-alpha1,2,3,4_repeat1', NULL, NULL, 'SAM_liprin-alpha1,2,3,4_repeat1', 3396),
(3397, 'cd17098', NULL, 'FERM_F1_FARP1_like', NULL, NULL, 'FERM_F1_FARP1_like', 3397),
(3398, 'cd01579', NULL, 'AcnA_Bact_Swivel', NULL, NULL, 'AcnA_Bact_Swivel', 3398),
(3399, 'cd05311', NULL, 'NAD_bind_2_malic_enz', NULL, NULL, 'NAD_bind_2_malic_enz', 3399),
(3400, 'cd15982', NULL, '7tmB1_PTH2R', NULL, NULL, '7tmB1_PTH2R', 3400),
(3401, 'cd17121', NULL, 'Ubl_UBTD2', NULL, NULL, 'Ubl_UBTD2', 3401),
(3402, 'cd12337', NULL, 'RRM1_SRSF4_like', NULL, NULL, 'RRM1_SRSF4_like', 3402),
(3403, 'cd14504', NULL, 'DUSP23', NULL, NULL, 'DUSP23', 3403),
(3404, 'cd06329', NULL, 'PBP1_SBP-like', NULL, NULL, 'PBP1_SBP-like', 3404),
(3405, 'cd06662', NULL, 'SURF1', NULL, NULL, 'SURF1', 3405),
(3406, 'cd09451', NULL, 'LIM_RIL', NULL, NULL, 'LIM_RIL', 3406),
(3407, 'cd11470', NULL, 'bHLH_TS_TCF15_paraxis', NULL, NULL, 'bHLH_TS_TCF15_paraxis', 3407),
(3408, 'cd08804', NULL, 'Death_ank2', NULL, NULL, 'Death_ank2', 3408),
(3409, 'cd18699', NULL, 'PIN_VapC_like', NULL, NULL, 'PIN_VapC_like', 3409),
(3410, 'cd06337', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 3410),
(3411, 'cd04177', NULL, 'RSR1', NULL, NULL, 'RSR1', 3411),
(3412, 'cd15963', NULL, '7tmA_GPR3', NULL, NULL, '7tmA_GPR3', 3412),
(3413, 'cd05622', NULL, 'STKc_ROCK1', NULL, NULL, 'STKc_ROCK1', 3413),
(3414, 'cd16098', NULL, 'FliS', NULL, NULL, 'FliS', 3414),
(3415, 'cd17540', NULL, 'REC_PhyR', NULL, NULL, 'REC_PhyR', 3415),
(3416, 'cd12453', NULL, 'RRM1_RIM4_like', NULL, NULL, 'RRM1_RIM4_like', 3416),
(3417, 'cd02412', NULL, '30S_S3_KH', NULL, NULL, '30S_S3_KH', 3417),
(3418, 'cd16486', NULL, 'mRING-H2-C3H2C2D_ZSWM2', NULL, NULL, 'mRING-H2-C3H2C2D_ZSWM2', 3418),
(3419, 'cd06660', NULL, 'AKR_SF', NULL, NULL, 'AKR_SF', 3419),
(3420, 'cd03431', NULL, 'DNA_Glycosylase_C', NULL, NULL, 'DNA_Glycosylase_C', 3420),
(3421, 'cd08922', NULL, 'FHb-globin', NULL, NULL, 'FHb-globin', 3421),
(3422, 'cd19607', NULL, 'GTA_TIM-barrel-like', NULL, NULL, 'GTA_TIM-barrel-like', 3422),
(3423, 'cd10052', NULL, 'Reelin_repeat_8_subrepeat_2', NULL, NULL, 'Reelin_repeat_8_subrepeat_2', 3423),
(3424, 'cd05870', NULL, 'Ig_NCAM-2', NULL, NULL, 'Ig_NCAM-2', 3424),
(3425, 'cd12085', NULL, 'DD_cGKI-alpha', NULL, NULL, 'DD_cGKI-alpha', 3425),
(3426, 'cd12413', NULL, 'RRM1_RBM28_like', NULL, NULL, 'RRM1_RBM28_like', 3426),
(3427, 'cd18780', NULL, 'ABC_6TM_AtABCB27_like', NULL, NULL, 'ABC_6TM_AtABCB27_like', 3427),
(3428, 'cd17754', NULL, 'MCM3', NULL, NULL, 'MCM3', 3428);
INSERT INTO "PUBLIC"."MODEL" VALUES
(3429, 'cd17002', NULL, 'CID_RPRD1', NULL, NULL, 'CID_RPRD1', 3429),
(3430, 'cd06095', NULL, 'RP_RTVL_H_like', NULL, NULL, 'RP_RTVL_H_like', 3430),
(3431, 'cd15317', NULL, '7tmA_TAAR5-like', NULL, NULL, '7tmA_TAAR5-like', 3431),
(3432, 'cd07964', NULL, 'RBP-H', NULL, NULL, 'RBP-H', 3432),
(3433, 'cd14887', NULL, 'MYSc_Myo26', NULL, NULL, 'MYSc_Myo26', 3433),
(3434, 'cd15837', NULL, 'TNFRSF26', NULL, NULL, 'TNFRSF26', 3434),
(3435, 'cd11808', NULL, 'SH3_Alpha_Spectrin', NULL, NULL, 'SH3_Alpha_Spectrin', 3435),
(3436, 'cd19192', NULL, 'PR-SET_PRDM8', NULL, NULL, 'PR-SET_PRDM8', 3436),
(3437, 'cd17023', NULL, 'T3SC_IA_CesT-like', NULL, NULL, 'T3SC_IA_CesT-like', 3437),
(3438, 'cd00026', NULL, 'BPI2', NULL, NULL, 'BPI2', 3438),
(3439, 'cd16226', NULL, 'EFh_CREC_Calumenin_like', NULL, NULL, 'EFh_CREC_Calumenin_like', 3439),
(3440, 'cd15351', NULL, '7tmA_MC1R', NULL, NULL, '7tmA_MC1R', 3440),
(3441, 'cd19391', NULL, 'TGF_beta_BMP4_BMP2B', NULL, NULL, 'TGF_beta_BMP4_BMP2B', 3441),
(3442, 'cd07300', NULL, 'PX_SNX20', NULL, NULL, 'PX_SNX20', 3442),
(3443, 'cd18224', NULL, 'BTB_POZ_ZBTB39', NULL, NULL, 'BTB_POZ_ZBTB39', 3443),
(3444, 'cd04736', NULL, 'MDH_FMN', NULL, NULL, 'MDH_FMN', 3444),
(3445, 'cd07409', NULL, 'MPP_CD73_N', NULL, NULL, 'MPP_CD73_N', 3445),
(3446, 'cd10382', NULL, 'SH2_SOCS1', NULL, NULL, 'SH2_SOCS1', 3446),
(3447, 'cd15374', NULL, '7tmA_P2Y4', NULL, NULL, '7tmA_P2Y4', 3447),
(3448, 'cd05394', NULL, 'RasGAP_RASA2', NULL, NULL, 'RasGAP_RASA2', 3448),
(3449, 'cd17342', NULL, 'MFS_SLC37A3', NULL, NULL, 'MFS_SLC37A3', 3449),
(3450, 'cd07781', NULL, 'FGGY_RBK', NULL, NULL, 'FGGY_RBK', 3450),
(3451, 'cd04687', NULL, 'Nudix_Hydrolase_28', NULL, NULL, 'Nudix_Hydrolase_28', 3451),
(3452, 'cd02110', NULL, 'SO_family_Moco_dimer', NULL, NULL, 'SO_family_Moco_dimer', 3452),
(3453, 'cd06070', NULL, 'H2MP_like-2', NULL, NULL, 'H2MP_like-2', 3453),
(3454, 'cd16414', NULL, 'dndB_like', NULL, NULL, 'dndB_like', 3454),
(3455, 'cd07416', NULL, 'MPP_PP2B', NULL, NULL, 'MPP_PP2B', 3455),
(3456, 'cd08050', NULL, 'TAF6C', NULL, NULL, 'TAF6C', 3456),
(3457, 'cd12456', NULL, 'RRM_p65', NULL, NULL, 'RRM_p65', 3457),
(3458, 'cd14567', NULL, 'DSP_DUSP10', NULL, NULL, 'DSP_DUSP10', 3458),
(3459, 'cd11540', NULL, 'NTP-PPase_u3', NULL, NULL, 'NTP-PPase_u3', 3459),
(3460, 'cd18238', NULL, 'BTB_POZ_KLHL8', NULL, NULL, 'BTB_POZ_KLHL8', 3460),
(3461, 'cd07283', NULL, 'PX_SNX30', NULL, NULL, 'PX_SNX30', 3461),
(3462, 'cd15444', NULL, '7tmB2_GPR64', NULL, NULL, '7tmB2_GPR64', 3462),
(3463, 'cd17923', NULL, 'DEXHc_Hrq1-like', NULL, NULL, 'DEXHc_Hrq1-like', 3463),
(3464, 'cd00043', NULL, 'CYCLIN', NULL, NULL, 'CYCLIN', 3464),
(3465, 'cd07709', NULL, 'flavodiiron_proteins_MBL-fold', NULL, NULL, 'flavodiiron_proteins_MBL-fold', 3465),
(3466, 'cd00948', NULL, 'FBP_aldolase_I_a', NULL, NULL, 'FBP_aldolase_I_a', 3466),
(3467, 'cd14874', NULL, 'MYSc_Myo12', NULL, NULL, 'MYSc_Myo12', 3467),
(3468, 'cd13323', NULL, 'PH_PLEKHN1', NULL, NULL, 'PH_PLEKHN1', 3468),
(3469, 'cd08546', NULL, 'cohesin_like', NULL, NULL, 'cohesin_like', 3469),
(3470, 'cd14688', NULL, 'bZIP_YAP', NULL, NULL, 'bZIP_YAP', 3470),
(3471, 'cd13122', NULL, 'MSL2_CXC', NULL, NULL, 'MSL2_CXC', 3471),
(3472, 'cd12101', NULL, 'DD_RIalpha_PKA', NULL, NULL, 'DD_RIalpha_PKA', 3472),
(3473, 'cd17920', NULL, 'DEXHc_RecQ', NULL, NULL, 'DEXHc_RecQ', 3473),
(3474, 'cd06411', NULL, 'PB1_p51', NULL, NULL, 'PB1_p51', 3474),
(3475, 'cd12467', NULL, 'RRM_Srp1p_like', NULL, NULL, 'RRM_Srp1p_like', 3475),
(3476, 'cd04454', NULL, 'S1_Rrp4_like', NULL, NULL, 'S1_Rrp4_like', 3476),
(3477, 'cd02516', NULL, 'CDP-ME_synthetase', NULL, NULL, 'CDP-ME_synthetase', 3477),
(3478, 'cd16009', NULL, 'PPM', NULL, NULL, 'PPM', 3478),
(3479, 'cd00539', NULL, 'MCR_gamma', NULL, NULL, 'MCR_gamma', 3479),
(3480, 'cd11955', NULL, 'SH3_srGAP1-3', NULL, NULL, 'SH3_srGAP1-3', 3480),
(3481, 'cd19146', NULL, 'AKR_AKR9A1-2', NULL, NULL, 'AKR_AKR9A1-2', 3481),
(3482, 'cd00938', NULL, 'HisRS_RNA', NULL, NULL, 'HisRS_RNA', 3482),
(3483, 'cd18507', NULL, 'BACK_GPRS_like', NULL, NULL, 'BACK_GPRS_like', 3483);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(3484, 'cd09578', NULL, 'SAM_Scm', NULL, NULL, 'SAM_Scm', 3484),
(3485, 'cd05353', NULL, 'hydroxyacyl-CoA-like_DH_SDR_c-like', NULL, NULL, 'hydroxyacyl-CoA-like_DH_SDR_c-like', 3485),
(3486, 'cd18808', NULL, 'SF1_C_Upf1', NULL, NULL, 'SF1_C_Upf1', 3486),
(3487, 'cd02758', NULL, 'MopB_Tetrathionate-Ra', NULL, NULL, 'MopB_Tetrathionate-Ra', 3487),
(3488, 'cd19089', NULL, 'AKR_AKR14A1_2', NULL, NULL, 'AKR_AKR14A1_2', 3488),
(3489, 'cd16388', NULL, 'SbnI_like_N', NULL, NULL, 'SbnI_like_N', 3489),
(3490, 'cd08368', NULL, 'LIM', NULL, NULL, 'LIM', 3490),
(3491, 'cd08578', NULL, 'GDPD_NUC-2_fungi', NULL, NULL, 'GDPD_NUC-2_fungi', 3491),
(3492, 'cd13301', NULL, 'PH1_Pleckstrin_2', NULL, NULL, 'PH1_Pleckstrin_2', 3492),
(3493, 'cd07042', NULL, 'STAS_SulP_like_sulfate_transporter', NULL, NULL, 'STAS_SulP_like_sulfate_transporter', 3493),
(3494, 'cd06113', NULL, 'citrate_synt_like_1_2', NULL, NULL, 'citrate_synt_like_1_2', 3494),
(3495, 'cd09657', NULL, 'Cmr1_III-B', NULL, NULL, 'Cmr1_III-B', 3495),
(3496, 'cd08491', NULL, 'PBP2_NikA_DppA_OppA_like_12', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_12', 3496),
(3497, 'cd14870', NULL, 'uS7_Mitochondria_Mammalian', NULL, NULL, 'uS7_Mitochondria_Mammalian', 3497),
(3498, 'cd16169', NULL, 'Tau138_eWH', NULL, NULL, 'Tau138_eWH', 3498),
(3499, 'cd07542', NULL, 'P-type_ATPase_cation', NULL, NULL, 'P-type_ATPase_cation', 3499),
(3500, 'cd00717', NULL, 'URO-D', NULL, NULL, 'URO-D', 3500),
(3501, 'cd00924', NULL, 'Cyt_c_Oxidase_Vb', NULL, NULL, 'Cyt_c_Oxidase_Vb', 3501),
(3502, 'cd11431', NULL, 'bHLH_TS_taxi_Dei', NULL, NULL, 'bHLH_TS_taxi_Dei', 3502),
(3503, 'cd16814', NULL, 'RING-HC_RNF20', NULL, NULL, 'RING-HC_RNF20', 3503),
(3504, 'cd18556', NULL, 'ABC_6TM_McjD_like', NULL, NULL, 'ABC_6TM_McjD_like', 3504),
(3505, 'cd01800', NULL, 'Ubl_SF3a120', NULL, NULL, 'Ubl_SF3a120', 3505),
(3506, 'cd06267', NULL, 'PBP1_LacI_sugar_binding-like', NULL, NULL, 'PBP1_LacI_sugar_binding-like', 3506),
(3507, 'cd13367', NULL, 'PH_BCR_vertebrate', NULL, NULL, 'PH_BCR_vertebrate', 3507),
(3508, 'cd00378', NULL, 'SHMT', NULL, NULL, 'SHMT', 3508),
(3509, 'cd19845', NULL, 'Bbox1_TIF1a_C-VI', NULL, NULL, 'Bbox1_TIF1a_C-VI', 3509),
(3510, 'cd19885', NULL, 'DSRM_STAU1_rpt4', NULL, NULL, 'DSRM_STAU1_rpt4', 3510),
(3511, 'cd04037', NULL, 'C2E_Ferlin', NULL, NULL, 'C2E_Ferlin', 3511),
(3512, 'cd18101', NULL, 'Trm10euk_A', NULL, NULL, 'Trm10euk_A', 3512),
(3513, 'cd03822', NULL, 'GT4_mannosyltransferase-like', NULL, NULL, 'GT4_mannosyltransferase-like', 3513),
(3514, 'cd08275', NULL, 'MDR3', NULL, NULL, 'MDR3', 3514),
(3515, 'cd18997', NULL, 'LGIC_ECD_nAChR', NULL, NULL, 'LGIC_ECD_nAChR', 3515),
(3516, 'cd18918', NULL, 'bHLH_AtMYC1_like', NULL, NULL, 'bHLH_AtMYC1_like', 3516),
(3517, 'cd13922', NULL, 'Azurin', NULL, NULL, 'Azurin', 3517),
(3518, 'cd14554', NULL, 'R-PTP-LAR-2', NULL, NULL, 'R-PTP-LAR-2', 3518),
(3519, 'cd06275', NULL, 'PBP1_PurR', NULL, NULL, 'PBP1_PurR', 3519),
(3520, 'cd18811', NULL, 'SF2_C_RecG', NULL, NULL, 'SF2_C_RecG', 3520),
(3521, 'cd09113', NULL, 'PLDc_ymdC_like_2', NULL, NULL, 'PLDc_ymdC_like_2', 3521),
(3522, 'cd01571', NULL, 'NAPRTase_B', NULL, NULL, 'NAPRTase_B', 3522),
(3523, 'cd19926', NULL, 'REC_PilR', NULL, NULL, 'REC_PilR', 3523),
(3524, 'cd03487', NULL, 'RT_Bac_retron_II', NULL, NULL, 'RT_Bac_retron_II', 3524),
(3525, 'cd13528', NULL, 'PBP2_osmoprotectants', NULL, NULL, 'PBP2_osmoprotectants', 3525),
(3526, 'cd14086', NULL, 'STKc_CaMKII', NULL, NULL, 'STKc_CaMKII', 3526),
(3527, 'cd18386', NULL, 'BTB_POZ_KCTD20', NULL, NULL, 'BTB_POZ_KCTD20', 3527),
(3528, 'cd18445', NULL, 'BACK_KLHL2_like', NULL, NULL, 'BACK_KLHL2_like', 3528),
(3529, 'cd16917', NULL, 'HATPase_UhpB-NarQ-NarX-like', NULL, NULL, 'HATPase_UhpB-NarQ-NarX-like', 3529),
(3530, 'cd03493', NULL, 'SQR_QFR_TM', NULL, NULL, 'SQR_QFR_TM', 3530),
(3531, 'cd09614', NULL, 'griffithsin_like', NULL, NULL, 'griffithsin_like', 3531),
(3532, 'cd15845', NULL, 'SNARE_syntaxin16', NULL, NULL, 'SNARE_syntaxin16', 3532),
(3533, 'cd16448', NULL, 'RING-H2', NULL, NULL, 'RING-H2', 3533),
(3534, 'cd18798', NULL, 'SF2_C_reverse_gyrase', NULL, NULL, 'SF2_C_reverse_gyrase', 3534); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(3535, 'cd03118', NULL, 'alpha_CA_V', NULL, NULL, 'alpha_CA_V', 3535),
(3536, 'cd09485', NULL, 'LIM_Eplin_alpha_beta', NULL, NULL, 'LIM_Eplin_alpha_beta', 3536),
(3537, 'cd00131', NULL, 'PAX', NULL, NULL, 'PAX', 3537),
(3538, 'cd07445', NULL, 'CRD_corin_1', NULL, NULL, 'CRD_corin_1', 3538),
(3539, 'cd09839', NULL, 'M1_like_TAF2', NULL, NULL, 'M1_like_TAF2', 3539),
(3540, 'cd12663', NULL, 'RRM1_RAVER1', NULL, NULL, 'RRM1_RAVER1', 3540),
(3541, 'cd05625', NULL, 'STKc_LATS1', NULL, NULL, 'STKc_LATS1', 3541),
(3542, 'cd14223', NULL, 'STKc_GRK2', NULL, NULL, 'STKc_GRK2', 3542),
(3543, 'cd03427', NULL, 'MTH1', NULL, NULL, 'MTH1', 3543),
(3544, 'cd11703', NULL, 'DHR2_DOCK7', NULL, NULL, 'DHR2_DOCK7', 3544),
(3545, 'cd13841', NULL, 'ABBA-PTs', NULL, NULL, 'ABBA-PTs', 3545),
(3546, 'cd19586', NULL, 'serpin_mimivirus', NULL, NULL, 'serpin_mimivirus', 3546),
(3547, 'cd09030', NULL, 'DUF1425', NULL, NULL, 'DUF1425', 3547),
(3548, 'cd04777', NULL, 'HTH_MerR-like_sg1', NULL, NULL, 'HTH_MerR-like_sg1', 3548),
(3549, 'cd07235', NULL, 'MRD', NULL, NULL, 'MRD', 3549),
(3550, 'cd15688', NULL, 'PHD1_MOZ', NULL, NULL, 'PHD1_MOZ', 3550),
(3551, 'cd07106', NULL, 'ALDH_AldA-AAD23400', NULL, NULL, 'ALDH_AldA-AAD23400', 3551),
(3552, 'cd04182', NULL, 'GT_2_like_f', NULL, NULL, 'GT_2_like_f', 3552),
(3553, 'cd01454', NULL, 'vWA_norD_type', NULL, NULL, 'vWA_norD_type', 3553),
(3554, 'cd18323', NULL, 'BTB_POZ_ZBTB3', NULL, NULL, 'BTB_POZ_ZBTB3', 3554),
(3555, 'cd07161', NULL, 'NR_DBD_EcR', NULL, NULL, 'NR_DBD_EcR', 3555),
(3556, 'cd12292', NULL, 'RRM2_La_like', NULL, NULL, 'RRM2_La_like', 3556),
(3557, 'cd14543', NULL, 'PTPc-N9', NULL, NULL, 'PTPc-N9', 3557),
(3558, 'cd13198', NULL, 'FERM_C1_MyoVII', NULL, NULL, 'FERM_C1_MyoVII', 3558),
(3559, 'cd05966', NULL, 'ACS', NULL, NULL, 'ACS', 3559),
(3560, 'cd13538', NULL, 'PBP2_ModA_like_1', NULL, NULL, 'PBP2_ModA_like_1', 3560),
(3561, 'cd16728', NULL, 'RING2-HC_MIB2', NULL, NULL, 'RING2-HC_MIB2', 3561),
(3562, 'cd06222', NULL, 'RNase_H_like', NULL, NULL, 'RNase_H_like', 3562),
(3563, 'cd10462', NULL, 'PUB_UBA', NULL, NULL, 'PUB_UBA', 3563),
(3564, 'cd19962', NULL, 'PBP1_ABC_RfuA-like', NULL, NULL, 'PBP1_ABC_RfuA-like', 3564),
(3565, 'cd18538', NULL, 'PFA-DSP_unk', NULL, NULL, 'PFA-DSP_unk', 3565),
(3566, 'cd05576', NULL, 'STKc_RPK118_like', NULL, NULL, 'STKc_RPK118_like', 3566),
(3567, 'cd14960', NULL, 'NHL_TRIM2_like', NULL, NULL, 'NHL_TRIM2_like', 3567),
(3568, 'cd16577', NULL, 'RING-HC_MuRF_C-II', NULL, NULL, 'RING-HC_MuRF_C-II', 3568),
(3569, 'cd09281', NULL, 'UPF0066', NULL, NULL, 'UPF0066', 3569),
(3570, 'cd12417', NULL, 'RRM_SAFB_like', NULL, NULL, 'RRM_SAFB_like', 3570),
(3571, 'cd17791', NULL, 'HipA-like', NULL, NULL, 'HipA-like', 3571),
(3572, 'cd18778', NULL, 'ABC_6TM_exporter_like', NULL, NULL, 'ABC_6TM_exporter_like', 3572),
(3573, 'cd08788', NULL, 'CARD_NOD2_2_CARD15', NULL, NULL, 'CARD_NOD2_2_CARD15', 3573),
(3574, 'cd01966', NULL, 'Nitrogenase_NifN_1', NULL, NULL, 'Nitrogenase_NifN_1', 3574),
(3575, 'cd15231', NULL, '7tmA_OR5V1-like', NULL, NULL, '7tmA_OR5V1-like', 3575),
(3576, 'cd20174', NULL, 'GH18_LinChi78-like_UFR', NULL, NULL, 'GH18_LinChi78-like_UFR', 3576),
(3577, 'cd05855', NULL, 'Ig_TrkB_d5', NULL, NULL, 'Ig_TrkB_d5', 3577),
(3578, 'cd02963', NULL, 'TRX_DnaJ', NULL, NULL, 'TRX_DnaJ', 3578),
(3579, 'cd14193', NULL, 'STKc_MLCK4', NULL, NULL, 'STKc_MLCK4', 3579),
(3580, 'cd17989', NULL, 'DEXHc_HrpA', NULL, NULL, 'DEXHc_HrpA', 3580),
(3581, 'cd14341', NULL, 'UBA_MELK', NULL, NULL, 'UBA_MELK', 3581),
(3582, 'cd06653', NULL, 'STKc_MEKK3_like_u1', NULL, NULL, 'STKc_MEKK3_like_u1', 3582),
(3583, 'cd04183', NULL, 'GT2_BcE_like', NULL, NULL, 'GT2_BcE_like', 3583),
(3584, 'cd09421', NULL, 'LIM3_LIMPETin', NULL, NULL, 'LIM3_LIMPETin', 3584),
(3585, 'cd06538', NULL, 'CIDE_N_FSP27', NULL, NULL, 'CIDE_N_FSP27', 3585),
(3586, 'cd05741', NULL, 'Ig_CEACAM_like', NULL, NULL, 'Ig_CEACAM_like', 3586),
(3587, 'cd00194', NULL, 'UBA_like_SF', NULL, NULL, 'UBA_like_SF', 3587),
(3588, 'cd14421', NULL, 'CUE_AMFR', NULL, NULL, 'CUE_AMFR', 3588),
(3589, 'cd03013', NULL, 'PRX5_like', NULL, NULL, 'PRX5_like', 3589);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(3590, 'cd21649', NULL, 'SARS-CoV_ORF3b', NULL, NULL, 'SARS-CoV_ORF3b', 3590),
(3591, 'cd18093', NULL, 'SpoU-like_TrmJ', NULL, NULL, 'SpoU-like_TrmJ', 3591),
(3592, 'cd09343', NULL, 'LIM1_FHL', NULL, NULL, 'LIM1_FHL', 3592),
(3593, 'cd14228', NULL, 'STKc_HIPK1', NULL, NULL, 'STKc_HIPK1', 3593),
(3594, 'cd15504', NULL, 'PHD_PRHA_like', NULL, NULL, 'PHD_PRHA_like', 3594),
(3595, 'cd12042', NULL, 'SH3_CACNB3', NULL, NULL, 'SH3_CACNB3', 3595),
(3596, 'cd02150', NULL, 'nitroreductase', NULL, NULL, 'nitroreductase', 3596),
(3597, 'cd13859', NULL, 'CuRO_D1_2dMcoN_like', NULL, NULL, 'CuRO_D1_2dMcoN_like', 3597),
(3598, 'cd10140', NULL, 'PFM_aerolysin_family', NULL, NULL, 'PFM_aerolysin_family', 3598),
(3599, 'cd17351', NULL, 'MFS_NPF', NULL, NULL, 'MFS_NPF', 3599),
(3600, 'cd15336', NULL, '7tmA_Melanopsin', NULL, NULL, '7tmA_Melanopsin', 3600),
(3601, 'cd16458', NULL, 'RING-H2_Dmap_like', NULL, NULL, 'RING-H2_Dmap_like', 3601),
(3602, 'cd13712', NULL, 'PBP2_FliY', NULL, NULL, 'PBP2_FliY', 3602),
(3603, 'cd09996', NULL, 'HDAC_classII_1', NULL, NULL, 'HDAC_classII_1', 3603),
(3604, 'cd16239', NULL, 'EFh_SPARC_TICN3', NULL, NULL, 'EFh_SPARC_TICN3', 3604),
(3605, 'cd05628', NULL, 'STKc_NDR1', NULL, NULL, 'STKc_NDR1', 3605),
(3606, 'cd07941', NULL, 'DRE_TIM_LeuA3', NULL, NULL, 'DRE_TIM_LeuA3', 3606),
(3607, 'cd18498', NULL, 'BACK_RCBTB1_2', NULL, NULL, 'BACK_RCBTB1_2', 3607),
(3608, 'cd04705', NULL, 'PLA2_group_III_like', NULL, NULL, 'PLA2_group_III_like', 3608),
(3609, 'cd18951', NULL, 'bHLH_TS_scleraxis', NULL, NULL, 'bHLH_TS_scleraxis', 3609),
(3610, 'cd08350', NULL, 'BLMT_like', NULL, NULL, 'BLMT_like', 3610),
(3611, 'cd12016', NULL, 'SH3_Tks_2', NULL, NULL, 'SH3_Tks_2', 3611),
(3612, 'cd16413', NULL, 'DGQHR_domain', NULL, NULL, 'DGQHR_domain', 3612),
(3613, 'cd11386', NULL, 'MCP_signal', NULL, NULL, 'MCP_signal', 3613),
(3614, 'cd04234', NULL, 'AAK_AK', NULL, NULL, 'AAK_AK', 3614),
(3615, 'cd12620', NULL, 'RRM3_TIAR', NULL, NULL, 'RRM3_TIAR', 3615),
(3616, 'cd11253', NULL, 'Sema_3E', NULL, NULL, 'Sema_3E', 3616),
(3617, 'cd12729', NULL, 'RRM1_hnRNPH_hnRNPH2_hnRNPF', NULL, NULL, 'RRM1_hnRNPH_hnRNPH2_hnRNPF', 3617),
(3618, 'cd14659', NULL, 'Imelysin-like_IPPA', NULL, NULL, 'Imelysin-like_IPPA', 3618),
(3619, 'cd10845', NULL, 'DSRM_RNAse_III_family', NULL, NULL, 'DSRM_RNAse_III_family', 3619),
(3620, 'cd00996', NULL, 'PBP2_AatB_like', NULL, NULL, 'PBP2_AatB_like', 3620),
(3621, 'cd07567', NULL, 'biotinidase_like', NULL, NULL, 'biotinidase_like', 3621),
(3622, 'cd07217', NULL, 'Pat17_PNPLA8_PNPLA9_like4', NULL, NULL, 'Pat17_PNPLA8_PNPLA9_like4', 3622),
(3623, 'cd08810', NULL, 'CARD_BCL10', NULL, NULL, 'CARD_BCL10', 3623),
(3624, 'cd11909', NULL, 'SH3_PI3K_p85beta', NULL, NULL, 'SH3_PI3K_p85beta', 3624),
(3625, 'cd17480', NULL, 'MFS_SLC40A1_like', NULL, NULL, 'MFS_SLC40A1_like', 3625),
(3626, 'cd18542', NULL, 'ABC_6TM_YknU_like', NULL, NULL, 'ABC_6TM_YknU_like', 3626),
(3627, 'cd01906', NULL, 'proteasome_protease_HslV', NULL, NULL, 'proteasome_protease_HslV', 3627),
(3628, 'cd05792', NULL, 'S1_eIF1AD_like', NULL, NULL, 'S1_eIF1AD_like', 3628),
(3629, 'cd12053', NULL, 'SH3_CD2AP_1', NULL, NULL, 'SH3_CD2AP_1', 3629),
(3630, 'cd12334', NULL, 'RRM1_SF3B4', NULL, NULL, 'RRM1_SF3B4', 3630),
(3631, 'cd17619', NULL, 'REC_OmpR_ArcA_TorR-like', NULL, NULL, 'REC_OmpR_ArcA_TorR-like', 3631),
(3632, 'cd14368', NULL, 'CUE_DEF1_like', NULL, NULL, 'CUE_DEF1_like', 3632),
(3633, 'cd18816', NULL, 'CAP_CRISPLD2', NULL, NULL, 'CAP_CRISPLD2', 3633),
(3634, 'cd13322', NULL, 'PH_PHLPP-like', NULL, NULL, 'PH_PHLPP-like', 3634),
(3635, 'cd21167', NULL, 'M_alpha_beta_cv_Nsp15-like', NULL, NULL, 'M_alpha_beta_cv_Nsp15-like', 3635),
(3636, 'cd00491', NULL, '4Oxalocrotonate_Tautomerase', NULL, NULL, '4Oxalocrotonate_Tautomerase', 3636),
(3637, 'cd01515', NULL, 'Arch_FBPase_1', NULL, NULL, 'Arch_FBPase_1', 3637),
(3638, 'cd06664', NULL, 'IscU_like', NULL, NULL, 'IscU_like', 3638),
(3639, 'cd14527', NULL, 'DSP_bac', NULL, NULL, 'DSP_bac', 3639),
(3640, 'cd04886', NULL, 'ACT_ThrD-II-like', NULL, NULL, 'ACT_ThrD-II-like', 3640),
(3641, 'cd05024', NULL, 'S-100A10', NULL, NULL, 'S-100A10', 3641);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(3642, 'cd16830', NULL, 'HemS-like_N', NULL, NULL, 'HemS-like_N', 3642),
(3643, 'cd01205', NULL, 'EVH1_WASP-like', NULL, NULL, 'EVH1_WASP-like', 3643),
(3644, 'cd12264', NULL, 'RRM_AKAP17A', NULL, NULL, 'RRM_AKAP17A', 3644),
(3645, 'cd01046', NULL, 'Rubrerythrin_like', NULL, NULL, 'Rubrerythrin_like', 3645),
(3646, 'cd06831', NULL, 'PLPDE_III_ODC_like_AZI', NULL, NULL, 'PLPDE_III_ODC_like_AZI', 3646),
(3647, 'cd13268', NULL, 'PH_Brdg1', NULL, NULL, 'PH_Brdg1', 3647),
(3648, 'cd15206', NULL, '7tmA_CCK_R', NULL, NULL, '7tmA_CCK_R', 3648),
(3649, 'cd19009', NULL, 'LGIC_ECD_GlyR_alpha', NULL, NULL, 'LGIC_ECD_GlyR_alpha', 3649),
(3650, 'cd09950', NULL, 'ENVV1-like_HR1-HR2', NULL, NULL, 'ENVV1-like_HR1-HR2', 3650),
(3651, 'cd02058', NULL, 'serpinB_MENT-like', NULL, NULL, 'serpinB_MENT-like', 3651),
(3652, 'cd05537', NULL, 'POLBc_Pol_II', NULL, NULL, 'POLBc_Pol_II', 3652),
(3653, 'cd14253', NULL, 'Dockerin', NULL, NULL, 'Dockerin', 3653),
(3654, 'cd11660', NULL, 'SANT_TRF', NULL, NULL, 'SANT_TRF', 3654),
(3655, 'cd01231', NULL, 'PH_SH2B_family', NULL, NULL, 'PH_SH2B_family', 3655),
(3656, 'cd15622', NULL, 'PHD_TIF1alpha', NULL, NULL, 'PHD_TIF1alpha', 3656),
(3657, 'cd01914', NULL, 'HCP', NULL, NULL, 'HCP', 3657),
(3658, 'cd00598', NULL, 'GH18_chitinase-like', NULL, NULL, 'GH18_chitinase-like', 3658),
(3659, 'cd18770', NULL, 'PIN_Mut7-C-like', NULL, NULL, 'PIN_Mut7-C-like', 3659),
(3660, 'cd12320', NULL, 'RRM6_RBM19_RRM5_MRD1', NULL, NULL, 'RRM6_RBM19_RRM5_MRD1', 3660),
(3661, 'cd14066', NULL, 'STKc_IRAK', NULL, NULL, 'STKc_IRAK', 3661),
(3662, 'cd16951', NULL, 'HATPase_EL346-LOV-HK-like', NULL, NULL, 'HATPase_EL346-LOV-HK-like', 3662),
(3663, 'cd09887', NULL, 'NGN_Arch', NULL, NULL, 'NGN_Arch', 3663),
(3664, 'cd14967', NULL, '7tmA_amine_R-like', NULL, NULL, '7tmA_amine_R-like', 3664),
(3665, 'cd05493', NULL, 'Bromo_ALL-1', NULL, NULL, 'Bromo_ALL-1', 3665),
(3666, 'cd11498', NULL, 'SLC6sbd_GlyT1', NULL, NULL, 'SLC6sbd_GlyT1', 3666),
(3667, 'cd15399', NULL, '7tmA_NPY2R', NULL, NULL, '7tmA_NPY2R', 3667),
(3668, 'cd12078', NULL, 'SH3_Tks4_3', NULL, NULL, 'SH3_Tks4_3', 3668),
(3669, 'cd07911', NULL, 'RNRR2_Rv0233_like', NULL, NULL, 'RNRR2_Rv0233_like', 3669),
(3670, 'cd08070', NULL, 'MPN_like', NULL, NULL, 'MPN_like', 3670),
(3671, 'cd03068', NULL, 'PDI_b_ERp72', NULL, NULL, 'PDI_b_ERp72', 3671),
(3672, 'cd11844', NULL, 'SH3_CAS', NULL, NULL, 'SH3_CAS', 3672),
(3673, 'cd18916', NULL, 'bHLH-O_ESM5_like', NULL, NULL, 'bHLH-O_ESM5_like', 3673),
(3674, 'cd16007', NULL, '7tmB2_Latrophilin-1', NULL, NULL, '7tmB2_Latrophilin-1', 3674),
(3675, 'cd12567', NULL, 'RRM3_RBM19', NULL, NULL, 'RRM3_RBM19', 3675),
(3676, 'cd13605', NULL, 'PBP2_TRAP_DctP_like_2', NULL, NULL, 'PBP2_TRAP_DctP_like_2', 3676),
(3677, 'cd11815', NULL, 'SH3_Eve1_2', NULL, NULL, 'SH3_Eve1_2', 3677),
(3678, 'cd08768', NULL, 'Cdc6_C', NULL, NULL, 'Cdc6_C', 3678),
(3679, 'cd12117', NULL, 'A_NRPS_Srf_like', NULL, NULL, 'A_NRPS_Srf_like', 3679),
(3680, 'cd15354', NULL, '7tmA_MC5R', NULL, NULL, '7tmA_MC5R', 3680),
(3681, 'cd04971', NULL, 'Ig_TrKABC_d5', NULL, NULL, 'Ig_TrKABC_d5', 3681),
(3682, 'cd07149', NULL, 'ALDH_y4uC', NULL, NULL, 'ALDH_y4uC', 3682),
(3683, 'cd19833', NULL, 'Bbox2_MuRF3_C-II', NULL, NULL, 'Bbox2_MuRF3_C-II', 3683),
(3684, 'cd04149', NULL, 'Arf6', NULL, NULL, 'Arf6', 3684),
(3685, 'cd12358', NULL, 'RRM1_VICKZ', NULL, NULL, 'RRM1_VICKZ', 3685),
(3686, 'cd15886', NULL, 'SNARE_SEC9N', NULL, NULL, 'SNARE_SEC9N', 3686),
(3687, 'cd03016', NULL, 'PRX_1cys', NULL, NULL, 'PRX_1cys', 3687),
(3688, 'cd18437', NULL, 'BRCT_BRC1_like_rpt3', NULL, NULL, 'BRCT_BRC1_like_rpt3', 3688),
(3689, 'cd00899', NULL, 'b4GalT', NULL, NULL, 'b4GalT', 3689),
(3690, 'cd09006', NULL, 'PNP_EcPNPI-like', NULL, NULL, 'PNP_EcPNPI-like', 3690),
(3691, 'cd04138', NULL, 'H_N_K_Ras_like', NULL, NULL, 'H_N_K_Ras_like', 3691),
(3692, 'cd13939', NULL, 'PANDER_FAM3B', NULL, NULL, 'PANDER_FAM3B', 3692),
(3693, 'cd12834', NULL, 'ZntB_u1', NULL, NULL, 'ZntB_u1', 3693),
(3694, 'cd06439', NULL, 'CESA_like_1', NULL, NULL, 'CESA_like_1', 3694),
(3695, 'cd04013', NULL, 'C2_SynGAP_like', NULL, NULL, 'C2_SynGAP_like', 3695);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(3696, 'cd01535', NULL, '4RHOD_Repeat_4', NULL, NULL, '4RHOD_Repeat_4', 3696),
(3697, 'cd06137', NULL, 'DEDDh_RNase', NULL, NULL, 'DEDDh_RNase', 3697),
(3698, 'cd18271', NULL, 'BTB_POZ_KBTBD3_BKLHD3', NULL, NULL, 'BTB_POZ_KBTBD3_BKLHD3', 3698),
(3699, 'cd00089', NULL, 'HR1', NULL, NULL, 'HR1', 3699),
(3700, 'cd02209', NULL, 'cupin_XRE_C', NULL, NULL, 'cupin_XRE_C', 3700),
(3701, 'cd07528', NULL, 'HAD_CbbY-like', NULL, NULL, 'HAD_CbbY-like', 3701),
(3702, 'cd17602', NULL, 'REC_PatA-like', NULL, NULL, 'REC_PatA-like', 3702),
(3703, 'cd19149', NULL, 'AKR_AKR11B2', NULL, NULL, 'AKR_AKR11B2', 3703),
(3704, 'cd03024', NULL, 'DsbA_FrnE', NULL, NULL, 'DsbA_FrnE', 3704),
(3705, 'cd21515', NULL, 'cv_beta_Nsp2_SARS_MHV-like', NULL, NULL, 'cv_beta_Nsp2_SARS_MHV-like', 3705),
(3706, 'cd01941', NULL, 'YeiC_kinase_like', NULL, NULL, 'YeiC_kinase_like', 3706),
(3707, 'cd08382', NULL, 'C2_Smurf-like', NULL, NULL, 'C2_Smurf-like', 3707),
(3708, 'cd07295', NULL, 'PX_Grd19', NULL, NULL, 'PX_Grd19', 3708),
(3709, 'cd12131', NULL, 'HGbI-like', NULL, NULL, 'HGbI-like', 3709),
(3710, 'cd03868', NULL, 'M14_CPD_I', NULL, NULL, 'M14_CPD_I', 3710),
(3711, 'cd12809', NULL, 'Esterase_713_like-2', NULL, NULL, 'Esterase_713_like-2', 3711),
(3712, 'cd17969', NULL, 'DEAHc_XPD', NULL, NULL, 'DEAHc_XPD', 3712),
(3713, 'cd14282', NULL, 'UBA_TDRD3', NULL, NULL, 'UBA_TDRD3', 3713),
(3714, 'cd05195', NULL, 'enoyl_red', NULL, NULL, 'enoyl_red', 3714),
(3715, 'cd12594', NULL, 'RRM1_SRSF4', NULL, NULL, 'RRM1_SRSF4', 3715),
(3716, 'cd15819', NULL, 'SPRY_PRY_BTN1_2', NULL, NULL, 'SPRY_PRY_BTN1_2', 3716),
(3717, 'cd18660', NULL, 'CD1_tandem', NULL, NULL, 'CD1_tandem', 3717),
(3718, 'cd12240', NULL, 'RRM_NCBP2', NULL, NULL, 'RRM_NCBP2', 3718),
(3719, 'cd10294', NULL, 'GST_C_ValRS_N', NULL, NULL, 'GST_C_ValRS_N', 3719),
(3720, 'cd15790', NULL, 'PH-GRAM_MTMR11', NULL, NULL, 'PH-GRAM_MTMR11', 3720),
(3721, 'cd19965', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 3721),
(3722, 'cd02598', NULL, 'HAD_BPGM', NULL, NULL, 'HAD_BPGM', 3722),
(3723, 'cd19696', NULL, 'bHLH-PAS_AhR_like', NULL, NULL, 'bHLH-PAS_AhR_like', 3723),
(3724, 'cd05923', NULL, 'CBAL', NULL, NULL, 'CBAL', 3724),
(3725, 'cd06322', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 3725),
(3726, 'cd21477', NULL, 'SARS-CoV-like_Spike_S1_RBD', NULL, NULL, 'SARS-CoV-like_Spike_S1_RBD', 3726),
(3727, 'cd04446', NULL, 'DEP_DEPDC4', NULL, NULL, 'DEP_DEPDC4', 3727),
(3728, 'cd04078', NULL, 'CBM36_xylanase-like', NULL, NULL, 'CBM36_xylanase-like', 3728),
(3729, 'cd05079', NULL, 'PTKc_Jak1_rpt2', NULL, NULL, 'PTKc_Jak1_rpt2', 3729),
(3730, 'cd12315', NULL, 'RRM1_RBM19_MRD1', NULL, NULL, 'RRM1_RBM19_MRD1', 3730),
(3731, 'cd02064', NULL, 'FAD_synthetase_N', NULL, NULL, 'FAD_synthetase_N', 3731),
(3732, 'cd08033', NULL, 'LARP_6', NULL, NULL, 'LARP_6', 3732),
(3733, 'cd15378', NULL, '7tmA_SUCNR1_GPR91', NULL, NULL, '7tmA_SUCNR1_GPR91', 3733),
(3734, 'cd18896', NULL, 'TET2', NULL, NULL, 'TET2', 3734),
(3735, 'cd14288', NULL, 'UBA_HUWE1', NULL, NULL, 'UBA_HUWE1', 3735),
(3736, 'cd02873', NULL, 'GH18_IDGF', NULL, NULL, 'GH18_IDGF', 3736),
(3737, 'cd00439', NULL, 'Transaldolase', NULL, NULL, 'Transaldolase', 3737),
(3738, 'cd19590', NULL, 'serpin_thermopin-like', NULL, NULL, 'serpin_thermopin-like', 3738),
(3739, 'cd11323', NULL, 'AmyAc_AGS', NULL, NULL, 'AmyAc_AGS', 3739),
(3740, 'cd14721', NULL, 'bZIP_Fos', NULL, NULL, 'bZIP_Fos', 3740),
(3741, 'cd19546', NULL, 'X-Domain_NRPS', NULL, NULL, 'X-Domain_NRPS', 3741),
(3742, 'cd07824', NULL, 'SRPBCC_6', NULL, NULL, 'SRPBCC_6', 3742),
(3743, 'cd12059', NULL, 'SH3_MLK1-3', NULL, NULL, 'SH3_MLK1-3', 3743),
(3744, 'cd00270', NULL, 'MATH_TRAF_C', NULL, NULL, 'MATH_TRAF_C', 3744),
(3745, 'cd18481', NULL, 'BACK_KBTBD4', NULL, NULL, 'BACK_KBTBD4', 3745),
(3746, 'cd05304', NULL, 'Rubrum_tdh', NULL, NULL, 'Rubrum_tdh', 3746),
(3747, 'cd16200', NULL, 'EFh_PI-PLCbeta', NULL, NULL, 'EFh_PI-PLCbeta', 3747),
(3748, 'cd16720', NULL, 'RING-HC_MEX3A', NULL, NULL, 'RING-HC_MEX3A', 3748),
(3749, 'cd12394', NULL, 'RRM1_RBM34', NULL, NULL, 'RRM1_RBM34', 3749);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(3750, 'cd15141', NULL, '7tmA_PGI2', NULL, NULL, '7tmA_PGI2', 3750),
(3751, 'cd13845', NULL, 'CuRO_1_AAO', NULL, NULL, 'CuRO_1_AAO', 3751),
(3752, 'cd04127', NULL, 'Rab27A', NULL, NULL, 'Rab27A', 3752),
(3753, 'cd21651', NULL, 'ORF4b_MERS-CoV-like', NULL, NULL, 'ORF4b_MERS-CoV-like', 3753),
(3754, 'cd11746', NULL, 'GH94N_like', NULL, NULL, 'GH94N_like', 3754),
(3755, 'cd02798', NULL, 'tRNA_bind_CsaA', NULL, NULL, 'tRNA_bind_CsaA', 3755),
(3756, 'cd15040', NULL, '7tmB2_Adhesion', NULL, NULL, '7tmB2_Adhesion', 3756),
(3757, 'cd15580', NULL, 'PHD2_MTF2', NULL, NULL, 'PHD2_MTF2', 3757),
(3758, 'cd03313', NULL, 'enolase', NULL, NULL, 'enolase', 3758),
(3759, 'cd18411', NULL, 'BTB_POZ_KCNB1', NULL, NULL, 'BTB_POZ_KCNB1', 3759),
(3760, 'cd00515', NULL, 'HAM1', NULL, NULL, 'HAM1', 3760),
(3761, 'cd08782', NULL, 'Death_DAPK1', NULL, NULL, 'Death_DAPK1', 3761),
(3762, 'cd11460', NULL, 'bHLH-O_HES6', NULL, NULL, 'bHLH-O_HES6', 3762),
(3763, 'cd11518', NULL, 'SLC6sbd_SIT1', NULL, NULL, 'SLC6sbd_SIT1', 3763),
(3764, 'cd13291', NULL, 'PH_ORP10_ORP11', NULL, NULL, 'PH_ORP10_ORP11', 3764),
(3765, 'cd05089', NULL, 'PTKc_Tie1', NULL, NULL, 'PTKc_Tie1', 3765),
(3766, 'cd15866', NULL, 'R-SNARE_SEC22', NULL, NULL, 'R-SNARE_SEC22', 3766),
(3767, 'cd17021', NULL, 'T3SC_IA_SicP-like', NULL, NULL, 'T3SC_IA_SicP-like', 3767),
(3768, 'cd12633', NULL, 'RRM1_FCA', NULL, NULL, 'RRM1_FCA', 3768),
(3769, 'cd16966', NULL, 'Alpha_kinase_ALPK2_3', NULL, NULL, 'Alpha_kinase_ALPK2_3', 3769),
(3770, 'cd04969', NULL, 'Ig5_Contactin', NULL, NULL, 'Ig5_Contactin', 3770),
(3771, 'cd01052', NULL, 'DPSL', NULL, NULL, 'DPSL', 3771),
(3772, 'cd11664', NULL, 'LamB_YcsF_like_2', NULL, NULL, 'LamB_YcsF_like_2', 3772),
(3773, 'cd16725', NULL, 'RING2-HC_MIB1', NULL, NULL, 'RING2-HC_MIB1', 3773),
(3774, 'cd07101', NULL, 'ALDH_SSADH2_GabD2', NULL, NULL, 'ALDH_SSADH2_GabD2', 3774),
(3775, 'cd09403', NULL, 'LIM2_CRP', NULL, NULL, 'LIM2_CRP', 3775),
(3776, 'cd02120', NULL, 'PA_subtilisin_like', NULL, NULL, 'PA_subtilisin_like', 3776),
(3777, 'cd14493', NULL, 'lipocalin_MxiM', NULL, NULL, 'lipocalin_MxiM', 3777),
(3778, 'cd09539', NULL, 'SAM_TNK-like', NULL, NULL, 'SAM_TNK-like', 3778),
(3779, 'cd20254', NULL, 'CASIMO1_SMIM5', NULL, NULL, 'CASIMO1_SMIM5', 3779),
(3780, 'cd11647', NULL, 'DHP5_DphB', NULL, NULL, 'DHP5_DphB', 3780),
(3781, 'cd17179', NULL, 'FERM_F1_PLEKHH2', NULL, NULL, 'FERM_F1_PLEKHH2', 3781),
(3782, 'cd12033', NULL, 'SH3_MPP7', NULL, NULL, 'SH3_MPP7', 3782),
(3783, 'cd20207', NULL, 'Bbox2_GefO-like', NULL, NULL, 'Bbox2_GefO-like', 3783),
(3784, 'cd07044', NULL, 'CofD_YvcK', NULL, NULL, 'CofD_YvcK', 3784),
(3785, 'cd12235', NULL, 'RRM_PPIL4', NULL, NULL, 'RRM_PPIL4', 3785),
(3786, 'cd06576', NULL, 'PASTA_Pbp2x-like_1', NULL, NULL, 'PASTA_Pbp2x-like_1', 3786),
(3787, 'cd12951', NULL, 'RRP7_Rrp7A', NULL, NULL, 'RRP7_Rrp7A', 3787),
(3788, 'cd15145', NULL, '7tmA_FP', NULL, NULL, '7tmA_FP', 3788),
(3789, 'cd13114', NULL, 'POLO_box_Plk4_1', NULL, NULL, 'POLO_box_Plk4_1', 3789),
(3790, 'cd03459', NULL, '3,4-PCD', NULL, NULL, '3,4-PCD', 3790),
(3791, 'cd15271', NULL, '7tmB1_GHRHR2', NULL, NULL, '7tmB1_GHRHR2', 3791),
(3792, 'cd04244', NULL, 'AAK_AK-LysC-like', NULL, NULL, 'AAK_AK-LysC-like', 3792),
(3793, 'cd08191', NULL, 'Fe-ADH-like', NULL, NULL, 'Fe-ADH-like', 3793),
(3794, 'cd15274', NULL, '7tmB1_calcitonin_R', NULL, NULL, '7tmB1_calcitonin_R', 3794),
(3795, 'cd07298', NULL, 'PX_RICS', NULL, NULL, 'PX_RICS', 3795),
(3796, 'cd08276', NULL, 'MDR7', NULL, NULL, 'MDR7', 3796),
(3797, 'cd16401', NULL, 'ParB_N_like_MT', NULL, NULL, 'ParB_N_like_MT', 3797),
(3798, 'cd17143', NULL, 'DCX2_DCLK1', NULL, NULL, 'DCX2_DCLK1', 3798),
(3799, 'cd03317', NULL, 'NAAAR', NULL, NULL, 'NAAAR', 3799),
(3800, 'cd01464', NULL, 'vWA_subfamily', NULL, NULL, 'vWA_subfamily', 3800),
(3801, 'cd06599', NULL, 'GH31_glycosidase_Aec37', NULL, NULL, 'GH31_glycosidase_Aec37', 3801),
(3802, 'cd05919', NULL, 'BCL_like', NULL, NULL, 'BCL_like', 3802),
(3803, 'cd00881', NULL, 'GTP_translation_factor', NULL, NULL, 'GTP_translation_factor', 3803),
(3804, 'cd21408', NULL, '1B_Sen1p-like', NULL, NULL, '1B_Sen1p-like', 3804);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(3805, 'cd10792', NULL, 'GH57N_AmyC_like', NULL, NULL, 'GH57N_AmyC_like', 3805),
(3806, 'cd18786', NULL, 'SF1_C', NULL, NULL, 'SF1_C', 3806),
(3807, 'cd14826', NULL, 'SR_alpha_SRX', NULL, NULL, 'SR_alpha_SRX', 3807),
(3808, 'cd09436', NULL, 'LIM3_TRIP6', NULL, NULL, 'LIM3_TRIP6', 3808),
(3809, 'cd13331', NULL, 'PH_Avo1', NULL, NULL, 'PH_Avo1', 3809),
(3810, 'cd05598', NULL, 'STKc_LATS', NULL, NULL, 'STKc_LATS', 3810),
(3811, 'cd02245', NULL, 'cupin_7S_vicilin-like_C', NULL, NULL, 'cupin_7S_vicilin-like_C', 3811),
(3812, 'cd03154', NULL, 'TM4SF3_like_LEL', NULL, NULL, 'TM4SF3_like_LEL', 3812),
(3813, 'cd13399', NULL, 'Slt35-like', NULL, NULL, 'Slt35-like', 3813),
(3814, 'cd09175', NULL, 'PLDc_Bfil', NULL, NULL, 'PLDc_Bfil', 3814),
(3815, 'cd15699', NULL, 'ePHD_TCF20', NULL, NULL, 'ePHD_TCF20', 3815),
(3816, 'cd11782', NULL, 'SH3_Sorbs_2', NULL, NULL, 'SH3_Sorbs_2', 3816),
(3817, 'cd01422', NULL, 'MGS', NULL, NULL, 'MGS', 3817),
(3818, 'cd08704', NULL, 'Met_tRNA_FMT_C', NULL, NULL, 'Met_tRNA_FMT_C', 3818),
(3819, 'cd01062', NULL, 'RNase_T2_prok', NULL, NULL, 'RNase_T2_prok', 3819),
(3820, 'cd00048', NULL, 'DSRM_SF', NULL, NULL, 'DSRM_SF', 3820),
(3821, 'cd16224', NULL, 'EFh_CREC_RCN2', NULL, NULL, 'EFh_CREC_RCN2', 3821),
(3822, 'cd05291', NULL, 'HicDH_like', NULL, NULL, 'HicDH_like', 3822),
(3823, 'cd13527', NULL, 'PBP2_TRAP', NULL, NULL, 'PBP2_TRAP', 3823),
(3824, 'cd00145', NULL, 'POLBc', NULL, NULL, 'POLBc', 3824),
(3825, 'cd03201', NULL, 'GST_C_DHAR', NULL, NULL, 'GST_C_DHAR', 3825),
(3826, 'cd09817', NULL, 'linoleate_diol_synthase_like', NULL, NULL, 'linoleate_diol_synthase_like', 3826),
(3827, 'cd16000', NULL, '7tmB2_GPR123', NULL, NULL, '7tmB2_GPR123', 3827),
(3828, 'cd18991', NULL, 'LGIC_ECD_GlyR', NULL, NULL, 'LGIC_ECD_GlyR', 3828),
(3829, 'cd05484', NULL, 'retropepsin_like_LTR_2', NULL, NULL, 'retropepsin_like_LTR_2', 3829),
(3830, 'cd07328', NULL, 'M48_Ste24p_like', NULL, NULL, 'M48_Ste24p_like', 3830),
(3831, 'cd01916', NULL, 'ACS_1', NULL, NULL, 'ACS_1', 3831),
(3832, 'cd12602', NULL, 'RRM2_SF2_plant_like', NULL, NULL, 'RRM2_SF2_plant_like', 3832),
(3833, 'cd08444', NULL, 'PBP2_Cbl', NULL, NULL, 'PBP2_Cbl', 3833),
(3834, 'cd14775', NULL, 'TrHb2_O-like', NULL, NULL, 'TrHb2_O-like', 3834),
(3835, 'cd01318', NULL, 'DHOase_IIb', NULL, NULL, 'DHOase_IIb', 3835),
(3836, 'cd17402', NULL, 'MFS_SLCO3_OATP3', NULL, NULL, 'MFS_SLCO3_OATP3', 3836),
(3837, 'cd07931', NULL, 'eukaryotic_phosphagen_kinases', NULL, NULL, 'eukaryotic_phosphagen_kinases', 3837),
(3838, 'cd12513', NULL, 'RRM3_RBM12B', NULL, NULL, 'RRM3_RBM12B', 3838),
(3839, 'cd16847', NULL, 'STAT3_DBD', NULL, NULL, 'STAT3_DBD', 3839),
(3840, 'cd01445', NULL, 'TST_Repeats', NULL, NULL, 'TST_Repeats', 3840),
(3841, 'cd18638', NULL, 'CD_EhHp1_like', NULL, NULL, 'CD_EhHp1_like', 3841),
(3842, 'cd00272', NULL, 'Chemokine_CC', NULL, NULL, 'Chemokine_CC', 3842),
(3843, 'cd11526', NULL, 'SYLF_FYVE', NULL, NULL, 'SYLF_FYVE', 3843),
(3844, 'cd16945', NULL, 'HATPase_CreC-like', NULL, NULL, 'HATPase_CreC-like', 3844),
(3845, 'cd02023', NULL, 'UMPK', NULL, NULL, 'UMPK', 3845),
(3846, 'cd16544', NULL, 'RING-HC_RNF138', NULL, NULL, 'RING-HC_RNF138', 3846),
(3847, 'cd13419', NULL, 'TNFRSF19L', NULL, NULL, 'TNFRSF19L', 3847),
(3848, 'cd16179', NULL, 'EFh_HEF_CBN', NULL, NULL, 'EFh_HEF_CBN', 3848),
(3849, 'cd00451', NULL, 'GH38N_AMII_euk', NULL, NULL, 'GH38N_AMII_euk', 3849),
(3850, 'cd12613', NULL, 'RRM2_NGR1_NAM8_like', NULL, NULL, 'RRM2_NGR1_NAM8_like', 3850),
(3851, 'cd01620', NULL, 'Ala_dh_like', NULL, NULL, 'Ala_dh_like', 3851),
(3852, 'cd07366', NULL, '3MGA_Dioxygenase', NULL, NULL, '3MGA_Dioxygenase', 3852),
(3853, 'cd01345', NULL, 'OM_channels', NULL, NULL, 'OM_channels', 3853),
(3854, 'cd03182', NULL, 'GST_C_GTT2_like', NULL, NULL, 'GST_C_GTT2_like', 3854),
(3855, 'cd14560', NULL, 'PTP_tensin-1', NULL, NULL, 'PTP_tensin-1', 3855),
(3856, 'cd16187', NULL, 'EFh_PEF_sorcin', NULL, NULL, 'EFh_PEF_sorcin', 3856),
(3857, 'cd18676', NULL, 'PIN_asteroid-like', NULL, NULL, 'PIN_asteroid-like', 3857),
(3858, 'cd05974', NULL, 'MACS_like_1', NULL, NULL, 'MACS_like_1', 3858);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(3859, 'cd15848', NULL, 'SNARE_syntaxin1-like', NULL, NULL, 'SNARE_syntaxin1-like', 3859),
(3860, 'cd18013', NULL, 'DEXQc_bact_SNF2', NULL, NULL, 'DEXQc_bact_SNF2', 3860),
(3861, 'cd13765', NULL, 'TGF_beta_ADMP', NULL, NULL, 'TGF_beta_ADMP', 3861),
(3862, 'cd04975', NULL, 'Ig4_SCFR_like', NULL, NULL, 'Ig4_SCFR_like', 3862),
(3863, 'cd00004', NULL, 'Sortase', NULL, NULL, 'Sortase', 3863),
(3864, 'cd16168', NULL, 'OCRE_RBM5', NULL, NULL, 'OCRE_RBM5', 3864),
(3865, 'cd07404', NULL, 'MPP_MS158', NULL, NULL, 'MPP_MS158', 3865),
(3866, 'cd06301', NULL, 'PBP1_rhizopine_binding-like', NULL, NULL, 'PBP1_rhizopine_binding-like', 3866),
(3867, 'cd11397', NULL, 'bHLHzip_MITF_like', NULL, NULL, 'bHLHzip_MITF_like', 3867),
(3868, 'cd17445', NULL, 'MFS_SLC22A17', NULL, NULL, 'MFS_SLC22A17', 3868),
(3869, 'cd07150', NULL, 'ALDH_VaniDH_like', NULL, NULL, 'ALDH_VaniDH_like', 3869),
(3870, 'cd16906', NULL, 'YEATS_AF-9_like', NULL, NULL, 'YEATS_AF-9_like', 3870),
(3871, 'cd10929', NULL, 'CE4_u5', NULL, NULL, 'CE4_u5', 3871),
(3872, 'cd14313', NULL, 'UBA_II_E2_UBE2K_like', NULL, NULL, 'UBA_II_E2_UBE2K_like', 3872),
(3873, 'cd20001', NULL, 'PBP1_LsrB_Quorum_Sensing-like', NULL, NULL, 'PBP1_LsrB_Quorum_Sensing-like', 3873),
(3874, 'cd13554', NULL, 'PBP2_DszB', NULL, NULL, 'PBP2_DszB', 3874),
(3875, 'cd08034', NULL, 'LARP_1_2', NULL, NULL, 'LARP_1_2', 3875),
(3876, 'cd04105', NULL, 'SR_beta', NULL, NULL, 'SR_beta', 3876),
(3877, 'cd12916', NULL, 'VKOR_1', NULL, NULL, 'VKOR_1', 3877),
(3878, 'cd09364', NULL, 'LIM1_LIMK', NULL, NULL, 'LIM1_LIMK', 3878),
(3879, 'cd16028', NULL, 'PMH', NULL, NULL, 'PMH', 3879),
(3880, 'cd16856', NULL, 'STAT6_CCD', NULL, NULL, 'STAT6_CCD', 3880),
(3881, 'cd05402', NULL, 'NT_PAP_TUTase', NULL, NULL, 'NT_PAP_TUTase', 3881),
(3882, 'cd10494', NULL, 'MH1_SMAD_7', NULL, NULL, 'MH1_SMAD_7', 3882),
(3883, 'cd05064', NULL, 'PTKc_EphR_A10', NULL, NULL, 'PTKc_EphR_A10', 3883),
(3884, 'cd08987', NULL, 'GH62', NULL, NULL, 'GH62', 3884),
(3885, 'cd04407', NULL, 'RhoGAP_myosin_IXB', NULL, NULL, 'RhoGAP_myosin_IXB', 3885),
(3886, 'cd08319', NULL, 'Death_RAIDD', NULL, NULL, 'Death_RAIDD', 3886),
(3887, 'cd17977', NULL, 'DEXHc_DHX32', NULL, NULL, 'DEXHc_DHX32', 3887),
(3888, 'cd19340', NULL, 'Wnt_Wnt8', NULL, NULL, 'Wnt_Wnt8', 3888),
(3889, 'cd06565', NULL, 'GH20_GcnA-like', NULL, NULL, 'GH20_GcnA-like', 3889),
(3890, 'cd08874', NULL, 'START_STARD9-like', NULL, NULL, 'START_STARD9-like', 3890),
(3891, 'cd01397', NULL, 'HAT_MBD', NULL, NULL, 'HAT_MBD', 3891),
(3892, 'cd18820', NULL, 'GH43_LbAraf43-like', NULL, NULL, 'GH43_LbAraf43-like', 3892),
(3893, 'cd02586', NULL, 'HAD_PHN', NULL, NULL, 'HAD_PHN', 3893),
(3894, 'cd02033', NULL, 'BchX', NULL, NULL, 'BchX', 3894),
(3895, 'cd15001', NULL, '7tmA_GPRnna14-like', NULL, NULL, '7tmA_GPRnna14-like', 3895),
(3896, 'cd03276', NULL, 'ABC_SMC6_euk', NULL, NULL, 'ABC_SMC6_euk', 3896),
(3897, 'cd07597', NULL, 'BAR_SNX8', NULL, NULL, 'BAR_SNX8', 3897),
(3898, 'cd18393', NULL, 'BTB_POZ_SHKBP1', NULL, NULL, 'BTB_POZ_SHKBP1', 3898),
(3899, 'cd04396', NULL, 'RhoGAP_fSAC7_BAG7', NULL, NULL, 'RhoGAP_fSAC7_BAG7', 3899),
(3900, 'cd12744', NULL, 'RRM1_RBM12B', NULL, NULL, 'RRM1_RBM12B', 3900),
(3901, 'cd15320', NULL, '7tmA_D1A_dopamine_R', NULL, NULL, '7tmA_D1A_dopamine_R', 3901),
(3902, 'cd02931', NULL, 'ER_like_FMN', NULL, NULL, 'ER_like_FMN', 3902),
(3903, 'cd03325', NULL, 'D-galactonate_dehydratase', NULL, NULL, 'D-galactonate_dehydratase', 3903),
(3904, 'cd13904', NULL, 'CuRO_3_Diphenol_Ox', NULL, NULL, 'CuRO_3_Diphenol_Ox', 3904),
(3905, 'cd05579', NULL, 'STKc_MAST_like', NULL, NULL, 'STKc_MAST_like', 3905),
(3906, 'cd12304', NULL, 'RRM_Set1', NULL, NULL, 'RRM_Set1', 3906),
(3907, 'cd07261', NULL, 'EhpR_like', NULL, NULL, 'EhpR_like', 3907),
(3908, 'cd17985', NULL, 'DEXHc_DHX57', NULL, NULL, 'DEXHc_DHX57', 3908),
(3909, 'cd19556', NULL, 'serpinA9_centerin', NULL, NULL, 'serpinA9_centerin', 3909),
(3910, 'cd13227', NULL, 'PH-GRAM-like_Vps36', NULL, NULL, 'PH-GRAM-like_Vps36', 3910),
(3911, 'cd05360', NULL, 'SDR_c3', NULL, NULL, 'SDR_c3', 3911),
(3912, 'cd07864', NULL, 'STKc_CDK12', NULL, NULL, 'STKc_CDK12', 3912);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(3913, 'cd08761', NULL, 'Cyt_b561_CYB561D2_like', NULL, NULL, 'Cyt_b561_CYB561D2_like', 3913),
(3914, 'cd13118', NULL, 'POLO_box_1', NULL, NULL, 'POLO_box_1', 3914),
(3915, 'cd13180', NULL, 'RanBD_RanBP3', NULL, NULL, 'RanBD_RanBP3', 3915),
(3916, 'cd06586', NULL, 'TPP_enzyme_PYR', NULL, NULL, 'TPP_enzyme_PYR', 3916),
(3917, 'cd04740', NULL, 'DHOD_1B_like', NULL, NULL, 'DHOD_1B_like', 3917),
(3918, 'cd14489', NULL, 'CBM_SBP_bac_1_like', NULL, NULL, 'CBM_SBP_bac_1_like', 3918),
(3919, 'cd13409', NULL, 'TNFRSF8', NULL, NULL, 'TNFRSF8', 3919),
(3920, 'cd11520', NULL, 'SLC5sbd_SMCT2', NULL, NULL, 'SLC5sbd_SMCT2', 3920),
(3921, 'cd14636', NULL, 'R-PTPc-K-2', NULL, NULL, 'R-PTPc-K-2', 3921),
(3922, 'cd18416', NULL, 'BTB_Shaw-like', NULL, NULL, 'BTB_Shaw-like', 3922),
(3923, 'cd14135', NULL, 'STKc_PRP4', NULL, NULL, 'STKc_PRP4', 3923),
(3924, 'cd12919', NULL, 'VKOR_2', NULL, NULL, 'VKOR_2', 3924),
(3925, 'cd11830', NULL, 'SH3_VAV_2', NULL, NULL, 'SH3_VAV_2', 3925),
(3926, 'cd12957', NULL, 'SKA3_N', NULL, NULL, 'SKA3_N', 3926),
(3927, 'cd14174', NULL, 'STKc_Mnk1', NULL, NULL, 'STKc_Mnk1', 3927),
(3928, 'cd03814', NULL, 'GT4-like', NULL, NULL, 'GT4-like', 3928),
(3929, 'cd12005', NULL, 'SH3_Lck', NULL, NULL, 'SH3_Lck', 3929),
(3930, 'cd10233', NULL, 'HSPA1-2_6-8-like_NBD', NULL, NULL, 'HSPA1-2_6-8-like_NBD', 3930),
(3931, 'cd14983', NULL, '7tmA_FFAR', NULL, NULL, '7tmA_FFAR', 3931),
(3932, 'cd02737', NULL, 'RNAP_IV_NRPD1_C', NULL, NULL, 'RNAP_IV_NRPD1_C', 3932),
(3933, 'cd10361', NULL, 'SH2_Fps_family', NULL, NULL, 'SH2_Fps_family', 3933),
(3934, 'cd08915', NULL, 'V_Alix_like', NULL, NULL, 'V_Alix_like', 3934),
(3935, 'cd17511', NULL, 'YbjN_AmyR-like', NULL, NULL, 'YbjN_AmyR-like', 3935),
(3936, 'cd02338', NULL, 'ZZ_PCMF_like', NULL, NULL, 'ZZ_PCMF_like', 3936),
(3937, 'cd13639', NULL, 'PBP2_OpuAC_like', NULL, NULL, 'PBP2_OpuAC_like', 3937),
(3938, 'cd07247', NULL, 'SgaA_N_like', NULL, NULL, 'SgaA_N_like', 3938),
(3939, 'cd09260', NULL, 'AP-3_Mu3A_Cterm', NULL, NULL, 'AP-3_Mu3A_Cterm', 3939),
(3940, 'cd00185', NULL, 'TNFRSF', NULL, NULL, 'TNFRSF', 3940),
(3941, 'cd04462', NULL, 'S1_RNAPII_Rpb7', NULL, NULL, 'S1_RNAPII_Rpb7', 3941),
(3942, 'cd19704', NULL, 'bHLH_TS_TCF21_capsulin', NULL, NULL, 'bHLH_TS_TCF21_capsulin', 3942),
(3943, 'cd06381', NULL, 'PBP1_iGluR_delta-like', NULL, NULL, 'PBP1_iGluR_delta-like', 3943),
(3944, 'cd09439', NULL, 'LIM_Mical', NULL, NULL, 'LIM_Mical', 3944),
(3945, 'cd15652', NULL, 'PHD2_NSD3', NULL, NULL, 'PHD2_NSD3', 3945),
(3946, 'cd04118', NULL, 'Rab24', NULL, NULL, 'Rab24', 3946),
(3947, 'cd09005', NULL, 'NP-I', NULL, NULL, 'NP-I', 3947),
(3948, 'cd01254', NULL, 'PH_PLD', NULL, NULL, 'PH_PLD', 3948),
(3949, 'cd07520', NULL, 'HAD_like', NULL, NULL, 'HAD_like', 3949),
(3950, 'cd04495', NULL, 'BRCA2DBD_OB3', NULL, NULL, 'BRCA2DBD_OB3', 3950),
(3951, 'cd08591', NULL, 'PI-PLCc_beta', NULL, NULL, 'PI-PLCc_beta', 3951),
(3952, 'cd14177', NULL, 'STKc_RSK4_C', NULL, NULL, 'STKc_RSK4_C', 3952),
(3953, 'cd07712', NULL, 'MBLAC2-like_MBL-fold', NULL, NULL, 'MBLAC2-like_MBL-fold', 3953),
(3954, 'cd08535', NULL, 'SAM_PNT-Tel_Yan', NULL, NULL, 'SAM_PNT-Tel_Yan', 3954),
(3955, 'cd03485', NULL, 'MutL_Trans_hPMS_1_like', NULL, NULL, 'MutL_Trans_hPMS_1_like', 3955),
(3956, 'cd03747', NULL, 'Ntn_PGA_like', NULL, NULL, 'Ntn_PGA_like', 3956),
(3957, 'cd05112', NULL, 'PTKc_Itk', NULL, NULL, 'PTKc_Itk', 3957),
(3958, 'cd11415', NULL, 'bHLH_TS_FERD3L_NATO3', NULL, NULL, 'bHLH_TS_FERD3L_NATO3', 3958),
(3959, 'cd14722', NULL, 'bZIP_ATF3', NULL, NULL, 'bZIP_ATF3', 3959),
(3960, 'cd14830', NULL, 'Delta_COP_N', NULL, NULL, 'Delta_COP_N', 3960),
(3961, 'cd05861', NULL, 'Ig_PDGFR-alphabeta', NULL, NULL, 'Ig_PDGFR-alphabeta', 3961),
(3962, 'cd06199', NULL, 'SiR', NULL, NULL, 'SiR', 3962),
(3963, 'cd07054', NULL, 'BMC_PduT_repeat2', NULL, NULL, 'BMC_PduT_repeat2', 3963),
(3964, 'cd02894', NULL, 'GGTase-II', NULL, NULL, 'GGTase-II', 3964),
(3965, 'cd01455', NULL, 'vWA_F11C1-5a_type', NULL, NULL, 'vWA_F11C1-5a_type', 3965),
(3966, 'cd10531', NULL, 'SET_SETD2-like', NULL, NULL, 'SET_SETD2-like', 3966),
(3967, 'cd01385', NULL, 'MYSc_Myo9', NULL, NULL, 'MYSc_Myo9', 3967);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(3968, 'cd02609', NULL, 'P-type_ATPase', NULL, NULL, 'P-type_ATPase', 3968),
(3969, 'cd01679', NULL, 'RNR_I', NULL, NULL, 'RNR_I', 3969),
(3970, 'cd07511', NULL, 'HAD_like', NULL, NULL, 'HAD_like', 3970),
(3971, 'cd18379', NULL, 'BTB_POZ_Kv3_KCNC', NULL, NULL, 'BTB_POZ_Kv3_KCNC', 3971),
(3972, 'cd01829', NULL, 'SGNH_hydrolase_peri2', NULL, NULL, 'SGNH_hydrolase_peri2', 3972),
(3973, 'cd19943', NULL, 'NirB_Fer2_BFD-like_1', NULL, NULL, 'NirB_Fer2_BFD-like_1', 3973),
(3974, 'cd12692', NULL, 'RRM2_PTBPH3', NULL, NULL, 'RRM2_PTBPH3', 3974),
(3975, 'cd18063', NULL, 'DEXHc_SMARCA2', NULL, NULL, 'DEXHc_SMARCA2', 3975),
(3976, 'cd03584', NULL, 'NTR_complement_C4', NULL, NULL, 'NTR_complement_C4', 3976),
(3977, 'cd00838', NULL, 'MPP_superfamily', NULL, NULL, 'MPP_superfamily', 3977),
(3978, 'cd05872', NULL, 'Ig_Sema4B_like', NULL, NULL, 'Ig_Sema4B_like', 3978),
(3979, 'cd04126', NULL, 'Rab20', NULL, NULL, 'Rab20', 3979),
(3980, 'cd09243', NULL, 'BRO1_Brox_like', NULL, NULL, 'BRO1_Brox_like', 3980),
(3981, 'cd16540', NULL, 'RING-HC_RNF114', NULL, NULL, 'RING-HC_RNF114', 3981),
(3982, 'cd00640', NULL, 'Trp-synth-beta_II', NULL, NULL, 'Trp-synth-beta_II', 3982),
(3983, 'cd03865', NULL, 'M14_CPE', NULL, NULL, 'M14_CPE', 3983),
(3984, 'cd16290', NULL, 'AIM-1_SMB-1-like_MBL-B3', NULL, NULL, 'AIM-1_SMB-1-like_MBL-B3', 3984),
(3985, 'cd14763', NULL, 'SSDgbs_1', NULL, NULL, 'SSDgbs_1', 3985),
(3986, 'cd19994', NULL, 'PBP1_ChvE', NULL, NULL, 'PBP1_ChvE', 3986),
(3987, 'cd15943', NULL, '7tmA_OR5AP2-like', NULL, NULL, '7tmA_OR5AP2-like', 3987),
(3988, 'cd16141', NULL, 'RA_GRB10', NULL, NULL, 'RA_GRB10', 3988),
(3989, 'cd04475', NULL, 'RPA1_DBD_B', NULL, NULL, 'RPA1_DBD_B', 3989),
(3990, 'cd15387', NULL, '7tmA_OT_R', NULL, NULL, '7tmA_OT_R', 3990),
(3991, 'cd18071', NULL, 'DEXHc_HLTF1_SMARC3', NULL, NULL, 'DEXHc_HLTF1_SMARC3', 3991),
(3992, 'cd14534', NULL, 'PTP-MTMR5-like', NULL, NULL, 'PTP-MTMR5-like', 3992),
(3993, 'cd04793', NULL, 'LanC', NULL, NULL, 'LanC', 3993),
(3994, 'cd13618', NULL, 'PBP2_transferrin_N', NULL, NULL, 'PBP2_transferrin_N', 3994),
(3995, 'cd13844', NULL, 'CuRO_1_BOD_CotA_like', NULL, NULL, 'CuRO_1_BOD_CotA_like', 3995),
(3996, 'cd17982', NULL, 'DEXHc_DHX37', NULL, NULL, 'DEXHc_DHX37', 3996),
(3997, 'cd13381', NULL, 'PH_Skap-hom_Skap2', NULL, NULL, 'PH_Skap-hom_Skap2', 3997),
(3998, 'cd07172', NULL, 'NR_DBD_GR_PR', NULL, NULL, 'NR_DBD_GR_PR', 3998),
(3999, 'cd07857', NULL, 'STKc_MPK1', NULL, NULL, 'STKc_MPK1', 3999),
(4000, 'cd18977', NULL, 'CD_POL_like', NULL, NULL, 'CD_POL_like', 4000),
(4001, 'cd15829', NULL, 'SPRY_PRY_TRIM75', NULL, NULL, 'SPRY_PRY_TRIM75', 4001),
(4002, 'cd11756', NULL, 'GH94N_ChvB_NdvB_1_like', NULL, NULL, 'GH94N_ChvB_NdvB_1_like', 4002),
(4003, 'cd05646', NULL, 'M20_AcylaseI_like', NULL, NULL, 'M20_AcylaseI_like', 4003),
(4004, 'cd10536', NULL, 'SET_SMYD4', NULL, NULL, 'SET_SMYD4', 4004),
(4005, 'cd00764', NULL, 'Eukaryotic_PFK', NULL, NULL, 'Eukaryotic_PFK', 4005),
(4006, 'cd09481', NULL, 'LIM1_CRP3', NULL, NULL, 'LIM1_CRP3', 4006),
(4007, 'cd01044', NULL, 'Ferritin_CCC1_N', NULL, NULL, 'Ferritin_CCC1_N', 4007),
(4008, 'cd01121', NULL, 'Sms', NULL, NULL, 'Sms', 4008),
(4009, 'cd09170', NULL, 'PLDc_Nuc', NULL, NULL, 'PLDc_Nuc', 4009),
(4010, 'cd04506', NULL, 'SGNH_hydrolase_YpmR_like', NULL, NULL, 'SGNH_hydrolase_YpmR_like', 4010),
(4011, 'cd03418', NULL, 'GRX_GRXb_1_3_like', NULL, NULL, 'GRX_GRXb_1_3_like', 4011),
(4012, 'cd08422', NULL, 'PBP2_CrgA_like', NULL, NULL, 'PBP2_CrgA_like', 4012),
(4013, 'cd19133', NULL, 'AKR_AKR5F1', NULL, NULL, 'AKR_AKR5F1', 4013),
(4014, 'cd06351', NULL, 'PBP1_iGluR_N_LIVBP-like', NULL, NULL, 'PBP1_iGluR_N_LIVBP-like', 4014),
(4015, 'cd16175', NULL, 'EFh_MICU3', NULL, NULL, 'EFh_MICU3', 4015),
(4016, 'cd05867', NULL, 'Ig4_L1-CAM_like', NULL, NULL, 'Ig4_L1-CAM_like', 4016),
(4017, 'cd02046', NULL, 'serpinH1_CBP1', NULL, NULL, 'serpinH1_CBP1', 4017),
(4018, 'cd15502', NULL, 'PHD_Phf1p_Phf2p_like', NULL, NULL, 'PHD_Phf1p_Phf2p_like', 4018),
(4019, 'cd06109', NULL, 'BsCS-I_like', NULL, NULL, 'BsCS-I_like', 4019),
(4020, 'cd19785', NULL, 'Bbox2_TRIM45_C-X', NULL, NULL, 'Bbox2_TRIM45_C-X', 4020); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(4021, 'cd17877', NULL, 'NP_MTAN-like', NULL, NULL, 'NP_MTAN-like', 4021),
(4022, 'cd09286', NULL, 'NMNAT_Eukarya', NULL, NULL, 'NMNAT_Eukarya', 4022),
(4023, 'cd02507', NULL, 'eIF-2B_gamma_N_like', NULL, NULL, 'eIF-2B_gamma_N_like', 4023),
(4024, 'cd18665', NULL, 'CD1_tandem_CHD1_yeast_like', NULL, NULL, 'CD1_tandem_CHD1_yeast_like', 4024),
(4025, 'sd00010', NULL, 'SLR', NULL, NULL, 'SLR', 4025),
(4026, 'cd11821', NULL, 'SH3_ASAP', NULL, NULL, 'SH3_ASAP', 4026),
(4027, 'cd06218', NULL, 'DHOD_e_trans', NULL, NULL, 'DHOD_e_trans', 4027),
(4028, 'cd17657', NULL, 'CDC14_N', NULL, NULL, 'CDC14_N', 4028),
(4029, 'cd01140', NULL, 'FatB', NULL, NULL, 'FatB', 4029),
(4030, 'cd01927', NULL, 'cyclophilin_WD40', NULL, NULL, 'cyclophilin_WD40', 4030),
(4031, 'cd15618', NULL, 'PHD1_MOZ_MORF', NULL, NULL, 'PHD1_MOZ_MORF', 4031),
(4032, 'cd03200', NULL, 'GST_C_AIMP2', NULL, NULL, 'GST_C_AIMP2', 4032),
(4033, 'cd14916', NULL, 'MYSc_Myh6', NULL, NULL, 'MYSc_Myh6', 4033),
(4034, 'cd02085', NULL, 'P-type_ATPase_SPCA', NULL, NULL, 'P-type_ATPase_SPCA', 4034),
(4035, 'cd08604', NULL, 'GDPD_SHV3_repeat_2', NULL, NULL, 'GDPD_SHV3_repeat_2', 4035),
(4036, 'cd03347', NULL, 'eu_PheOH', NULL, NULL, 'eu_PheOH', 4036),
(4037, 'cd09498', NULL, 'SAM_caskin1,2_repeat2', NULL, NULL, 'SAM_caskin1,2_repeat2', 4037),
(4038, 'cd03260', NULL, 'ABC_PstB_phosphate_transporter', NULL, NULL, 'ABC_PstB_phosphate_transporter', 4038),
(4039, 'cd03595', NULL, 'CLECT_chondrolectin_like', NULL, NULL, 'CLECT_chondrolectin_like', 4039),
(4040, 'cd07942', NULL, 'DRE_TIM_LeuA', NULL, NULL, 'DRE_TIM_LeuA', 4040),
(4041, 'cd09677', NULL, 'Csy3_I-F', NULL, NULL, 'Csy3_I-F', 4041),
(4042, 'cd04699', NULL, 'Nudix_Hydrolase_39', NULL, NULL, 'Nudix_Hydrolase_39', 4042),
(4043, 'cd18174', NULL, 'M14_ASTE_ASPA_like', NULL, NULL, 'M14_ASTE_ASPA_like', 4043),
(4044, 'cd18283', NULL, 'BTB1_POZ_BTBD7', NULL, NULL, 'BTB1_POZ_BTBD7', 4044),
(4045, 'cd04518', NULL, 'TBP_archaea', NULL, NULL, 'TBP_archaea', 4045),
(4046, 'cd19212', NULL, 'SET_NSD3', NULL, NULL, 'SET_NSD3', 4046),
(4047, 'cd12119', NULL, 'ttLC_FACS_AlkK_like', NULL, NULL, 'ttLC_FACS_AlkK_like', 4047),
(4048, 'cd05269', NULL, 'TMR_SDR_a', NULL, NULL, 'TMR_SDR_a', 4048),
(4049, 'cd13667', NULL, 'PBP2_TRAP_DctP1', NULL, NULL, 'PBP2_TRAP_DctP1', 4049),
(4050, 'cd10971', NULL, 'CE4_DAC_u2_5s', NULL, NULL, 'CE4_DAC_u2_5s', 4050),
(4051, 'cd09552', NULL, 'SAM_EPH-B2', NULL, NULL, 'SAM_EPH-B2', 4051),
(4052, 'cd00981', NULL, 'arch_gltB', NULL, NULL, 'arch_gltB', 4052),
(4053, 'cd04263', NULL, 'DUF619-NAGK-FABP', NULL, NULL, 'DUF619-NAGK-FABP', 4053),
(4054, 'cd02053', NULL, 'serpinF2_A2AP', NULL, NULL, 'serpinF2_A2AP', 4054),
(4055, 'cd18191', NULL, 'BTB_POZ_ARMC5', NULL, NULL, 'BTB_POZ_ARMC5', 4055),
(4056, 'cd08427', NULL, 'PBP2_LTTR_like_2', NULL, NULL, 'PBP2_LTTR_like_2', 4056),
(4057, 'cd08820', NULL, 'FMT_core_like_6', NULL, NULL, 'FMT_core_like_6', 4057),
(4058, 'cd11395', NULL, 'bHLHzip_SREBP_like', NULL, NULL, 'bHLHzip_SREBP_like', 4058),
(4059, 'cd07835', NULL, 'STKc_CDK1_CdkB_like', NULL, NULL, 'STKc_CDK1_CdkB_like', 4059),
(4060, 'cd17197', NULL, 'FERM_F1_FRMD1', NULL, NULL, 'FERM_F1_FRMD1', 4060),
(4061, 'cd11239', NULL, 'Sema_3', NULL, NULL, 'Sema_3', 4061),
(4062, 'cd15562', NULL, 'PHD2_PHF14', NULL, NULL, 'PHD2_PHF14', 4062),
(4063, 'cd10535', NULL, 'SET_EHMT1', NULL, NULL, 'SET_EHMT1', 4063),
(4064, 'cd05770', NULL, 'IgC_beta2m', NULL, NULL, 'IgC_beta2m', 4064),
(4065, 'cd01577', NULL, 'IPMI_Swivel', NULL, NULL, 'IPMI_Swivel', 4065),
(4066, 'cd11698', NULL, 'DHR2_DOCK9', NULL, NULL, 'DHR2_DOCK9', 4066),
(4067, 'cd18026', NULL, 'DEXHc_POLQ-like', NULL, NULL, 'DEXHc_POLQ-like', 4067),
(4068, 'cd18042', NULL, 'DEXXQc_SETX', NULL, NULL, 'DEXXQc_SETX', 4068),
(4069, 'cd02127', NULL, 'PA_hPAP21_like', NULL, NULL, 'PA_hPAP21_like', 4069),
(4070, 'cd15736', NULL, 'FYVE_scVPS27p_Vac1p_like', NULL, NULL, 'FYVE_scVPS27p_Vac1p_like', 4070),
(4071, 'cd13200', NULL, 'FERM_C_KCBP', NULL, NULL, 'FERM_C_KCBP', 4071),
(4072, 'cd14629', NULL, 'R-PTP-F-2', NULL, NULL, 'R-PTP-F-2', 4072),
(4073, 'cd04088', NULL, 'EFG_mtEFG_II', NULL, NULL, 'EFG_mtEFG_II', 4073);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(4074, 'cd08442', NULL, 'PBP2_YofA_SoxR_like', NULL, NULL, 'PBP2_YofA_SoxR_like', 4074),
(4075, 'cd15335', NULL, '7tmA_5-HT1E', NULL, NULL, '7tmA_5-HT1E', 4075),
(4076, 'cd17475', NULL, 'MFS_MT3072_like', NULL, NULL, 'MFS_MT3072_like', 4076),
(4077, 'cd15407', NULL, '7tmA_OR5B-like', NULL, NULL, '7tmA_OR5B-like', 4077),
(4078, 'cd19347', NULL, 'Wnt_Wnt5a', NULL, NULL, 'Wnt_Wnt5a', 4078),
(4079, 'cd08848', NULL, 'ArfGap_ASAP1', NULL, NULL, 'ArfGap_ASAP1', 4079),
(4080, 'cd07429', NULL, 'Cby_like', NULL, NULL, 'Cby_like', 4080),
(4081, 'cd10816', NULL, 'GH57N_BE_TK1436_like', NULL, NULL, 'GH57N_BE_TK1436_like', 4081),
(4082, 'cd16170', NULL, 'MvaT_DBD', NULL, NULL, 'MvaT_DBD', 4082),
(4083, 'cd05041', NULL, 'PTKc_Fes_like', NULL, NULL, 'PTKc_Fes_like', 4083),
(4084, 'cd14287', NULL, 'UBA_At3g58460_like', NULL, NULL, 'UBA_At3g58460_like', 4084),
(4085, 'cd20266', NULL, 'Complex1_LYR_NDUFA6_LYRM6', NULL, NULL, 'Complex1_LYR_NDUFA6_LYRM6', 4085),
(4086, 'cd08393', NULL, 'C2A_SLP-1_2', NULL, NULL, 'C2A_SLP-1_2', 4086),
(4087, 'cd04258', NULL, 'AAK_AKiii-LysC-EC', NULL, NULL, 'AAK_AKiii-LysC-EC', 4087),
(4088, 'cd09379', NULL, 'LIM2_AWH', NULL, NULL, 'LIM2_AWH', 4088),
(4089, 'cd12122', NULL, 'AMPKA_C', NULL, NULL, 'AMPKA_C', 4089),
(4090, 'cd12184', NULL, 'HGDH_like', NULL, NULL, 'HGDH_like', 4090),
(4091, 'cd00229', NULL, 'SGNH_hydrolase', NULL, NULL, 'SGNH_hydrolase', 4091),
(4092, 'cd02569', NULL, 'PseudoU_synth_ScPus3', NULL, NULL, 'PseudoU_synth_ScPus3', 4092),
(4093, 'cd12346', NULL, 'RRM3_NGR1_NAM8_like', NULL, NULL, 'RRM3_NGR1_NAM8_like', 4093),
(4094, 'cd19341', NULL, 'Wnt_Wnt9', NULL, NULL, 'Wnt_Wnt9', 4094),
(4095, 'cd01938', NULL, 'ADPGK_ADPPFK', NULL, NULL, 'ADPGK_ADPPFK', 4095),
(4096, 'cd12191', NULL, 'gal11_coact', NULL, NULL, 'gal11_coact', 4096),
(4097, 'cd01774', NULL, 'UBX_UBXN8', NULL, NULL, 'UBX_UBXN8', 4097),
(4098, 'cd13785', NULL, 'CARD_BinCARD_like', NULL, NULL, 'CARD_BinCARD_like', 4098),
(4099, 'cd21172', NULL, 'NTD_dcv_Nsp15-like', NULL, NULL, 'NTD_dcv_Nsp15-like', 4099),
(4100, 'cd13169', NULL, 'RanBD_NUP50_plant', NULL, NULL, 'RanBD_NUP50_plant', 4100),
(4101, 'cd13884', NULL, 'CuRO_2_tcLCC_insect_like', NULL, NULL, 'CuRO_2_tcLCC_insect_like', 4101),
(4102, 'cd12236', NULL, 'RRM_snRNP70', NULL, NULL, 'RRM_snRNP70', 4102),
(4103, 'cd16384', NULL, 'VirB8_like', NULL, NULL, 'VirB8_like', 4103),
(4104, 'cd18254', NULL, 'BTB_POZ_KLHL25', NULL, NULL, 'BTB_POZ_KLHL25', 4104),
(4105, 'cd12331', NULL, 'RRM_NRD1_SEB1_like', NULL, NULL, 'RRM_NRD1_SEB1_like', 4105),
(4106, 'cd16989', NULL, 'ENTH_EpsinR', NULL, NULL, 'ENTH_EpsinR', 4106),
(4107, 'cd18308', NULL, 'BTB1_POZ_LZTR1', NULL, NULL, 'BTB1_POZ_LZTR1', 4107),
(4108, 'cd06570', NULL, 'GH20_chitobiase-like_1', NULL, NULL, 'GH20_chitobiase-like_1', 4108),
(4109, 'cd07657', NULL, 'F-BAR_Fes_Fer', NULL, NULL, 'F-BAR_Fes_Fer', 4109),
(4110, 'cd11246', NULL, 'Sema_plexin_C1', NULL, NULL, 'Sema_plexin_C1', 4110),
(4111, 'cd21587', NULL, 'gammaCoV_RdRp', NULL, NULL, 'gammaCoV_RdRp', 4111),
(4112, 'cd19608', NULL, 'GH113_mannanase-like', NULL, NULL, 'GH113_mannanase-like', 4112),
(4113, 'cd07614', NULL, 'BAR_Endophilin_A2', NULL, NULL, 'BAR_Endophilin_A2', 4113),
(4114, 'cd12590', NULL, 'RRM2_PSF', NULL, NULL, 'RRM2_PSF', 4114),
(4115, 'cd00398', NULL, 'Aldolase_II', NULL, NULL, 'Aldolase_II', 4115),
(4116, 'cd05586', NULL, 'STKc_Sck1_like', NULL, NULL, 'STKc_Sck1_like', 4116),
(4117, 'cd07026', NULL, 'Ribosomal_L20', NULL, NULL, 'Ribosomal_L20', 4117),
(4118, 'cd12418', NULL, 'RRM_Aly_REF_like', NULL, NULL, 'RRM_Aly_REF_like', 4118),
(4119, 'cd00432', NULL, 'Ribosomal_L18_L5e', NULL, NULL, 'Ribosomal_L18_L5e', 4119),
(4120, 'cd05538', NULL, 'POLBc_Pol_II_B', NULL, NULL, 'POLBc_Pol_II_B', 4120),
(4121, 'cd02234', NULL, 'cupin_BLR7677-like', NULL, NULL, 'cupin_BLR7677-like', 4121),
(4122, 'cd09826', NULL, 'peroxidasin_like', NULL, NULL, 'peroxidasin_like', 4122),
(4123, 'cd10528', NULL, 'SET_SETD8', NULL, NULL, 'SET_SETD8', 4123),
(4124, 'cd06915', NULL, 'NTP_transferase_WcbM_like', NULL, NULL, 'NTP_transferase_WcbM_like', 4124);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(4125, 'cd03083', NULL, 'TRX_Fd_NuoE_hoxF', NULL, NULL, 'TRX_Fd_NuoE_hoxF', 4125),
(4126, 'cd16563', NULL, 'RING-HC_RNF220', NULL, NULL, 'RING-HC_RNF220', 4126),
(4127, 'cd19598', NULL, 'serpin77Ba-like_insects', NULL, NULL, 'serpin77Ba-like_insects', 4127),
(4128, 'cd16345', NULL, 'LMWP_ArsC', NULL, NULL, 'LMWP_ArsC', 4128),
(4129, 'cd19939', NULL, 'REC_OmpR_BfmR-like', NULL, NULL, 'REC_OmpR_BfmR-like', 4129),
(4130, 'cd08906', NULL, 'START_STARD3-like', NULL, NULL, 'START_STARD3-like', 4130),
(4131, 'cd12076', NULL, 'SH3_Tks4_2', NULL, NULL, 'SH3_Tks4_2', 4131),
(4132, 'cd19015', NULL, 'LGIC_ECD_nAChR_A2', NULL, NULL, 'LGIC_ECD_nAChR_A2', 4132),
(4133, 'cd01399', NULL, 'GlcN6P_deaminase', NULL, NULL, 'GlcN6P_deaminase', 4133),
(4134, 'cd02665', NULL, 'Peptidase_C19I', NULL, NULL, 'Peptidase_C19I', 4134),
(4135, 'cd05843', NULL, 'Peptidase_M48_M56', NULL, NULL, 'Peptidase_M48_M56', 4135),
(4136, 'cd17019', NULL, 'T3SC_IA_ShcA-like', NULL, NULL, 'T3SC_IA_ShcA-like', 4136),
(4137, 'cd01765', NULL, 'FERM_F0_F1', NULL, NULL, 'FERM_F0_F1', 4137),
(4138, 'cd11684', NULL, 'DHR2_DOCK', NULL, NULL, 'DHR2_DOCK', 4138),
(4139, 'cd05597', NULL, 'STKc_DMPK_like', NULL, NULL, 'STKc_DMPK_like', 4139),
(4140, 'cd09333', NULL, 'LIM3_PINCH', NULL, NULL, 'LIM3_PINCH', 4140),
(4141, 'cd17301', NULL, 'PIPKc_PIP5KI', NULL, NULL, 'PIPKc_PIP5KI', 4141),
(4142, 'cd19371', NULL, 'UDG-F1-like', NULL, NULL, 'UDG-F1-like', 4142),
(4143, 'cd18218', NULL, 'BTB_POZ_ZBTB32_FAZF_TZFP', NULL, NULL, 'BTB_POZ_ZBTB32_FAZF_TZFP', 4143),
(4144, 'cd14166', NULL, 'STKc_CaMKI_gamma', NULL, NULL, 'STKc_CaMKI_gamma', 4144),
(4145, 'cd04814', NULL, 'PA_M28_1', NULL, NULL, 'PA_M28_1', 4145),
(4146, 'cd04911', NULL, 'ACT_AKiii-YclM-BS_1', NULL, NULL, 'ACT_AKiii-YclM-BS_1', 4146),
(4147, 'cd05122', NULL, 'PKc_STE', NULL, NULL, 'PKc_STE', 4147),
(4148, 'cd19718', NULL, 'bHLH_TS_NGN3_ATOH5', NULL, NULL, 'bHLH_TS_NGN3_ATOH5', 4148),
(4149, 'cd11814', NULL, 'SH3_Eve1_1', NULL, NULL, 'SH3_Eve1_1', 4149),
(4150, 'cd18682', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 4150),
(4151, 'cd16375', NULL, 'Avd_IVP_like', NULL, NULL, 'Avd_IVP_like', 4151),
(4152, 'cd01648', NULL, 'TERT', NULL, NULL, 'TERT', 4152),
(4153, 'cd03256', NULL, 'ABC_PhnC_transporter', NULL, NULL, 'ABC_PhnC_transporter', 4153),
(4154, 'cd07988', NULL, 'LPLAT_ABO13168-like', NULL, NULL, 'LPLAT_ABO13168-like', 4154),
(4155, 'cd15868', NULL, 'R-SNARE_VAMP8', NULL, NULL, 'R-SNARE_VAMP8', 4155),
(4156, 'cd19900', NULL, 'DSRM_A1CF', NULL, NULL, 'DSRM_A1CF', 4156),
(4157, 'cd15259', NULL, '7tmB2_GPR124-like_Adhesion_III', NULL, NULL, '7tmB2_GPR124-like_Adhesion_III', 4157),
(4158, 'cd17247', NULL, 'RMtype1_S_Eco2747I-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Eco2747I-TRD2-CR2_like', 4158),
(4159, 'cd04669', NULL, 'Nudix_Hydrolase_11', NULL, NULL, 'Nudix_Hydrolase_11', 4159),
(4160, 'cd05145', NULL, 'RIO1_like', NULL, NULL, 'RIO1_like', 4160),
(4161, 'cd15321', NULL, '7tmA_alpha2B_AR', NULL, NULL, '7tmA_alpha2B_AR', 4161),
(4162, 'cd19601', NULL, 'serpin42Da-like', NULL, NULL, 'serpin42Da-like', 4162),
(4163, 'cd03700', NULL, 'EF2_snRNP_like_II', NULL, NULL, 'EF2_snRNP_like_II', 4163),
(4164, 'cd08976', NULL, 'BaFpgNei_N_4', NULL, NULL, 'BaFpgNei_N_4', 4164),
(4165, 'cd17905', NULL, 'CheC-like', NULL, NULL, 'CheC-like', 4165),
(4166, 'cd12159', NULL, '2-Hacid_dh_2', NULL, NULL, '2-Hacid_dh_2', 4166),
(4167, 'cd00897', NULL, 'UGPase_euk', NULL, NULL, 'UGPase_euk', 4167),
(4168, 'cd04021', NULL, 'C2_E3_ubiquitin_ligase', NULL, NULL, 'C2_E3_ubiquitin_ligase', 4168),
(4169, 'cd17489', NULL, 'MFS_YfcJ_like', NULL, NULL, 'MFS_YfcJ_like', 4169),
(4170, 'cd17289', NULL, 'RMtype1_S_BamJRS5ORF1993P-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_BamJRS5ORF1993P-TRD1-CR1_like', 4170),
(4171, 'cd03312', NULL, 'CIMS_N_terminal_like', NULL, NULL, 'CIMS_N_terminal_like', 4171),
(4172, 'cd09321', NULL, 'TDT_like_3', NULL, NULL, 'TDT_like_3', 4172),
(4173, 'cd08999', NULL, 'GH43_ABN-like', NULL, NULL, 'GH43_ABN-like', 4173),
(4174, 'cd10581', NULL, 'TNFRSF11B', NULL, NULL, 'TNFRSF11B', 4174),
(4175, 'cd10152', NULL, 'SaCsoR-like_DUF156', NULL, NULL, 'SaCsoR-like_DUF156', 4175); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(4176, 'cd13289', NULL, 'PH_Osh3p_yeast', NULL, NULL, 'PH_Osh3p_yeast', 4176),
(4177, 'cd05036', NULL, 'PTKc_ALK_LTK', NULL, NULL, 'PTKc_ALK_LTK', 4177),
(4178, 'cd04278', NULL, 'ZnMc_MMP', NULL, NULL, 'ZnMc_MMP', 4178),
(4179, 'cd07950', NULL, 'Gallate_Doxase_N', NULL, NULL, 'Gallate_Doxase_N', 4179),
(4180, 'cd11558', NULL, 'W2_eIF2B_epsilon', NULL, NULL, 'W2_eIF2B_epsilon', 4180),
(4181, 'cd09392', NULL, 'LIM2_Lrg1p_like', NULL, NULL, 'LIM2_Lrg1p_like', 4181),
(4182, 'cd00123', NULL, 'DmpA_OAT', NULL, NULL, 'DmpA_OAT', 4182),
(4183, 'cd10843', NULL, 'DSRM_DICER', NULL, NULL, 'DSRM_DICER', 4183),
(4184, 'cd19021', NULL, 'LGIC_ECD_nAChR_A7L', NULL, NULL, 'LGIC_ECD_nAChR_A7L', 4184),
(4185, 'cd19768', NULL, 'Bbox2_TRIM14', NULL, NULL, 'Bbox2_TRIM14', 4185),
(4186, 'cd18038', NULL, 'DEXXQc_Helz-like', NULL, NULL, 'DEXXQc_Helz-like', 4186),
(4187, 'cd18454', NULL, 'BACK_KLHL15', NULL, NULL, 'BACK_KLHL15', 4187),
(4188, 'cd08196', NULL, 'Fe-ADH-like', NULL, NULL, 'Fe-ADH-like', 4188),
(4189, 'cd00852', NULL, 'NifB', NULL, NULL, 'NifB', 4189),
(4190, 'cd07881', NULL, 'RHD-n_NFAT', NULL, NULL, 'RHD-n_NFAT', 4190),
(4191, 'cd05471', NULL, 'pepsin_like', NULL, NULL, 'pepsin_like', 4191),
(4192, 'cd17049', NULL, 'Ubl_Sacsin', NULL, NULL, 'Ubl_Sacsin', 4192),
(4193, 'cd19062', NULL, 'LGIC_TM_GluCl', NULL, NULL, 'LGIC_TM_GluCl', 4193),
(4194, 'cd18211', NULL, 'BTB_POZ_ZBTB23_GZF1', NULL, NULL, 'BTB_POZ_ZBTB23_GZF1', 4194),
(4195, 'cd03482', NULL, 'MutL_Trans_MutL', NULL, NULL, 'MutL_Trans_MutL', 4195),
(4196, 'cd04108', NULL, 'Rab36_Rab34', NULL, NULL, 'Rab36_Rab34', 4196),
(4197, 'cd07623', NULL, 'BAR_SNX1_2', NULL, NULL, 'BAR_SNX1_2', 4197),
(4198, 'cd04598', NULL, 'CBS_pair_GGDEF_EAL', NULL, NULL, 'CBS_pair_GGDEF_EAL', 4198),
(4199, 'cd14453', NULL, 'CuRO_2_FV_like', NULL, NULL, 'CuRO_2_FV_like', 4199),
(4200, 'cd17767', NULL, 'UP_EcUdp-like', NULL, NULL, 'UP_EcUdp-like', 4200),
(4201, 'cd14606', NULL, 'PTPc-N6', NULL, NULL, 'PTPc-N6', 4201),
(4202, 'cd04265', NULL, 'DUF619-NAGS-U', NULL, NULL, 'DUF619-NAGS-U', 4202),
(4203, 'sd00030', NULL, 'zf-RanBP2', NULL, NULL, 'zf-RanBP2', 4203),
(4204, 'cd12458', NULL, 'RRM_AtC3H46_like', NULL, NULL, 'RRM_AtC3H46_like', 4204),
(4205, 'cd03365', NULL, 'TOPRIM_TopoIIA', NULL, NULL, 'TOPRIM_TopoIIA', 4205),
(4206, 'cd02156', NULL, 'nt_trans', NULL, NULL, 'nt_trans', 4206),
(4207, 'cd18488', NULL, 'BACK_BTBD3_like', NULL, NULL, 'BACK_BTBD3_like', 4207),
(4208, 'cd05173', NULL, 'PI3Kc_IA_beta', NULL, NULL, 'PI3Kc_IA_beta', 4208),
(4209, 'cd17327', NULL, 'MFS_FEN2_like', NULL, NULL, 'MFS_FEN2_like', 4209),
(4210, 'cd00731', NULL, 'CheA_reg', NULL, NULL, 'CheA_reg', 4210),
(4211, 'cd00868', NULL, 'Terpene_cyclase_C1', NULL, NULL, 'Terpene_cyclase_C1', 4211),
(4212, 'cd11527', NULL, 'NTP-PPase_dUTPase', NULL, NULL, 'NTP-PPase_dUTPase', 4212),
(4213, 'cd09897', NULL, 'H3TH_FEN1-XPG-like', NULL, NULL, 'H3TH_FEN1-XPG-like', 4213),
(4214, 'cd13285', NULL, 'PH_ORP1', NULL, NULL, 'PH_ORP1', 4214),
(4215, 'cd16557', NULL, 'RING-HC_RNF186', NULL, NULL, 'RING-HC_RNF186', 4215),
(4216, 'cd09271', NULL, 'RNase_H2-C', NULL, NULL, 'RNase_H2-C', 4216),
(4217, 'cd08764', NULL, 'Cyt_b561_CG1275_like', NULL, NULL, 'Cyt_b561_CG1275_like', 4217),
(4218, 'cd01196', NULL, 'INT_C_like_6', NULL, NULL, 'INT_C_like_6', 4218),
(4219, 'cd05900', NULL, 'Ig_Aggrecan', NULL, NULL, 'Ig_Aggrecan', 4219),
(4220, 'cd00483', NULL, 'HPPK', NULL, NULL, 'HPPK', 4220),
(4221, 'cd00389', NULL, 'microbial_RNases', NULL, NULL, 'microbial_RNases', 4221),
(4222, 'cd08776', NULL, 'DED_Caspase-like_r1', NULL, NULL, 'DED_Caspase-like_r1', 4222),
(4223, 'cd18706', NULL, 'PIN_STKc_like', NULL, NULL, 'PIN_STKc_like', 4223),
(4224, 'cd05070', NULL, 'PTKc_Fyn', NULL, NULL, 'PTKc_Fyn', 4224),
(4225, 'cd14708', NULL, 'bZIP_HBP1b-like', NULL, NULL, 'bZIP_HBP1b-like', 4225),
(4226, 'cd03349', NULL, 'LbH_XAT', NULL, NULL, 'LbH_XAT', 4226),
(4227, 'cd05890', NULL, 'Ig2_Nectin-1_like', NULL, NULL, 'Ig2_Nectin-1_like', 4227),
(4228, 'cd17724', NULL, 'BRCT_p53bp1_rpt2', NULL, NULL, 'BRCT_p53bp1_rpt2', 4228),
(4229, 'cd18390', NULL, 'BTB_POZ_KCTD5', NULL, NULL, 'BTB_POZ_KCTD5', 4229);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(4230, 'cd11241', NULL, 'Sema_5', NULL, NULL, 'Sema_5', 4230),
(4231, 'cd17008', NULL, 'VHS_GGA3', NULL, NULL, 'VHS_GGA3', 4231),
(4232, 'cd07218', NULL, 'Pat_iPLA2', NULL, NULL, 'Pat_iPLA2', 4232),
(4233, 'cd12449', NULL, 'RRM_CIRBP_RBM3', NULL, NULL, 'RRM_CIRBP_RBM3', 4233),
(4234, 'cd04478', NULL, 'RPA2_DBD_D', NULL, NULL, 'RPA2_DBD_D', 4234),
(4235, 'cd07338', NULL, 'M48B_HtpX_like', NULL, NULL, 'M48B_HtpX_like', 4235),
(4236, 'cd12571', NULL, 'RRM6_RBM19', NULL, NULL, 'RRM6_RBM19', 4236),
(4237, 'cd07208', NULL, 'Pat_hypo_Ecoli_yjju_like', NULL, NULL, 'Pat_hypo_Ecoli_yjju_like', 4237),
(4238, 'cd17947', NULL, 'DEADc_DDX27', NULL, NULL, 'DEADc_DDX27', 4238),
(4239, 'cd12840', NULL, 'CarS', NULL, NULL, 'CarS', 4239),
(4240, 'cd04025', NULL, 'C2B_RasA1_RasA4', NULL, NULL, 'C2B_RasA1_RasA4', 4240),
(4241, 'cd08998', NULL, 'GH43_Arb43a-like', NULL, NULL, 'GH43_Arb43a-like', 4241),
(4242, 'cd01265', NULL, 'PH_TBC1D2A', NULL, NULL, 'PH_TBC1D2A', 4242),
(4243, 'cd18653', NULL, 'CD_HP1a_insect', NULL, NULL, 'CD_HP1a_insect', 4243),
(4244, 'cd09668', NULL, 'Csx1_III-U', NULL, NULL, 'Csx1_III-U', 4244),
(4245, 'cd11929', NULL, 'SH3_SH3RF2_1', NULL, NULL, 'SH3_SH3RF2_1', 4245),
(4246, 'cd14662', NULL, 'STKc_SnRK2', NULL, NULL, 'STKc_SnRK2', 4246),
(4247, 'cd08262', NULL, 'Zn_ADH8', NULL, NULL, 'Zn_ADH8', 4247),
(4248, 'cd07091', NULL, 'ALDH_F1-2_Ald2-like', NULL, NULL, 'ALDH_F1-2_Ald2-like', 4248),
(4249, 'cd18028', NULL, 'DEXHc_archSki2', NULL, NULL, 'DEXHc_archSki2', 4249),
(4250, 'cd12107', NULL, 'Hemerythrin', NULL, NULL, 'Hemerythrin', 4250),
(4251, 'cd00008', NULL, 'PIN_53EXO-like', NULL, NULL, 'PIN_53EXO-like', 4251),
(4252, 'cd01150', NULL, 'AXO', NULL, NULL, 'AXO', 4252),
(4253, 'cd01676', NULL, 'RNR_II_monomer', NULL, NULL, 'RNR_II_monomer', 4253),
(4254, 'cd04170', NULL, 'EF-G_bact', NULL, NULL, 'EF-G_bact', 4254),
(4255, 'cd19370', NULL, 'TenA_PqqC', NULL, NULL, 'TenA_PqqC', 4255),
(4256, 'cd12054', NULL, 'SH3_CD2AP_2', NULL, NULL, 'SH3_CD2AP_2', 4256),
(4257, 'cd16157', NULL, 'GALNS', NULL, NULL, 'GALNS', 4257),
(4258, 'cd16843', NULL, 'Ig_LILR_KIR_like', NULL, NULL, 'Ig_LILR_KIR_like', 4258),
(4259, 'cd09864', NULL, 'PIN_Fcf1-like', NULL, NULL, 'PIN_Fcf1-like', 4259),
(4260, 'cd17787', NULL, 'CBS_pair_ACT', NULL, NULL, 'CBS_pair_ACT', 4260),
(4261, 'cd05528', NULL, 'Bromo_AAA', NULL, NULL, 'Bromo_AAA', 4261),
(4262, 'cd18954', NULL, 'bHLH_TS_bHLHe22_bHLHb5', NULL, NULL, 'bHLH_TS_bHLHe22_bHLHb5', 4262),
(4263, 'cd06147', NULL, 'Rrp6p_like_exo', NULL, NULL, 'Rrp6p_like_exo', 4263),
(4264, 'cd07896', NULL, 'Adenylation_kDNA_ligase_like', NULL, NULL, 'Adenylation_kDNA_ligase_like', 4264),
(4265, 'cd08271', NULL, 'MDR5', NULL, NULL, 'MDR5', 4265),
(4266, 'cd16892', NULL, 'LT_VirB1-like', NULL, NULL, 'LT_VirB1-like', 4266),
(4267, 'cd09083', NULL, 'EEP-1', NULL, NULL, 'EEP-1', 4267),
(4268, 'cd01305', NULL, 'archeal_chlorohydrolases', NULL, NULL, 'archeal_chlorohydrolases', 4268),
(4269, 'cd00534', NULL, 'DHNA_DHNTPE', NULL, NULL, 'DHNA_DHNTPE', 4269),
(4270, 'cd14481', NULL, 'SPX_AtSPX1_like', NULL, NULL, 'SPX_AtSPX1_like', 4270),
(4271, 'cd15987', NULL, '7tmB1_PACAP-R1', NULL, NULL, '7tmB1_PACAP-R1', 4271),
(4272, 'cd15046', NULL, '7tmC_TAS1R', NULL, NULL, '7tmC_TAS1R', 4272),
(4273, 'cd10393', NULL, 'SH2_RIN1', NULL, NULL, 'SH2_RIN1', 4273),
(4274, 'cd17934', NULL, 'DEXXQc_Upf1-like', NULL, NULL, 'DEXXQc_Upf1-like', 4274),
(4275, 'cd15227', NULL, '7tmA_OR14-like', NULL, NULL, '7tmA_OR14-like', 4275),
(4276, 'cd19569', NULL, 'serpinB10_bomapin', NULL, NULL, 'serpinB10_bomapin', 4276),
(4277, 'cd08277', NULL, 'liver_alcohol_DH_like', NULL, NULL, 'liver_alcohol_DH_like', 4277),
(4278, 'cd04981', NULL, 'IgV_H', NULL, NULL, 'IgV_H', 4278),
(4279, 'cd06658', NULL, 'STKc_PAK5', NULL, NULL, 'STKc_PAK5', 4279),
(4280, 'cd05331', NULL, 'DH-DHB-DH_SDR_c', NULL, NULL, 'DH-DHB-DH_SDR_c', 4280),
(4281, 'cd13668', NULL, 'PBP2_TRAP_UehA_TeaA', NULL, NULL, 'PBP2_TRAP_UehA_TeaA', 4281),
(4282, 'cd07675', NULL, 'F-BAR_FNBP1L', NULL, NULL, 'F-BAR_FNBP1L', 4282),
(4283, 'cd14999', NULL, '7tmA_UII-R', NULL, NULL, '7tmA_UII-R', 4283);
INSERT INTO "PUBLIC"."MODEL" VALUES
(4284, 'cd09149', NULL, 'PLDc_vPLD5_2', NULL, NULL, 'PLDc_vPLD5_2', 4284),
(4285, 'cd01201', NULL, 'PH_BEACH', NULL, NULL, 'PH_BEACH', 4285),
(4286, 'cd01243', NULL, 'PH_MRCK', NULL, NULL, 'PH_MRCK', 4286),
(4287, 'cd09182', NULL, 'PLDc_FAM83B_N', NULL, NULL, 'PLDc_FAM83B_N', 4287),
(4288, 'cd18746', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 4288),
(4289, 'cd19166', NULL, 'HemeO-bac', NULL, NULL, 'HemeO-bac', 4289),
(4290, 'cd18656', NULL, 'CSD_HP1gamma_Cbx3', NULL, NULL, 'CSD_HP1gamma_Cbx3', 4290),
(4291, 'cd16784', NULL, 'mRING-HC-C2H2C4_MDM4', NULL, NULL, 'mRING-HC-C2H2C4_MDM4', 4291),
(4292, 'cd12735', NULL, 'RRM3_hnRNPH3', NULL, NULL, 'RRM3_hnRNPH3', 4292),
(4293, 'cd19427', NULL, 'lipocalin_OBP-like', NULL, NULL, 'lipocalin_OBP-like', 4293),
(4294, 'cd01156', NULL, 'IVD', NULL, NULL, 'IVD', 4294),
(4295, 'cd04890', NULL, 'ACT_AK-like_1', NULL, NULL, 'ACT_AK-like_1', 4295),
(4296, 'cd07545', NULL, 'P-type_ATPase_Cd-like', NULL, NULL, 'P-type_ATPase_Cd-like', 4296),
(4297, 'cd11791', NULL, 'SH3_UBASH3', NULL, NULL, 'SH3_UBASH3', 4297),
(4298, 'cd15902', NULL, 'EFh_HEF', NULL, NULL, 'EFh_HEF', 4298),
(4299, 'cd03896', NULL, 'M20_PAAh_like', NULL, NULL, 'M20_PAAh_like', 4299),
(4300, 'cd04374', NULL, 'RhoGAP_Graf', NULL, NULL, 'RhoGAP_Graf', 4300),
(4301, 'cd19715', NULL, 'bHLH_TS_amos_like', NULL, NULL, 'bHLH_TS_amos_like', 4301),
(4302, 'cd04139', NULL, 'RalA_RalB', NULL, NULL, 'RalA_RalB', 4302),
(4303, 'cd09216', NULL, 'GH64-LPHase-like', NULL, NULL, 'GH64-LPHase-like', 4303),
(4304, 'cd09479', NULL, 'LIM1_CRP1', NULL, NULL, 'LIM1_CRP1', 4304),
(4305, 'cd05612', NULL, 'STKc_PRKX_like', NULL, NULL, 'STKc_PRKX_like', 4305),
(4306, 'cd12728', NULL, 'RRM_like_Smg4_UPF3B', NULL, NULL, 'RRM_like_Smg4_UPF3B', 4306),
(4307, 'cd13833', NULL, 'HU_IHF_like', NULL, NULL, 'HU_IHF_like', 4307),
(4308, 'cd17760', NULL, 'MCM9', NULL, NULL, 'MCM9', 4308),
(4309, 'cd19906', NULL, 'DSRM_ADAD2', NULL, NULL, 'DSRM_ADAD2', 4309),
(4310, 'cd05517', NULL, 'Bromo_polybromo_II', NULL, NULL, 'Bromo_polybromo_II', 4310),
(4311, 'cd09651', NULL, 'Cas5_I-C', NULL, NULL, 'Cas5_I-C', 4311),
(4312, 'cd11892', NULL, 'SH3_MIA2', NULL, NULL, 'SH3_MIA2', 4312),
(4313, 'cd06098', NULL, 'phytepsin', NULL, NULL, 'phytepsin', 4313),
(4314, 'cd08516', NULL, 'PBP2_NikA_DppA_OppA_like_11', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_11', 4314),
(4315, 'cd12173', NULL, 'PGDH_4', NULL, NULL, 'PGDH_4', 4315),
(4316, 'cd14588', NULL, 'PTP-MTMR5', NULL, NULL, 'PTP-MTMR5', 4316),
(4317, 'cd14904', NULL, 'MYSc_Myo43', NULL, NULL, 'MYSc_Myo43', 4317),
(4318, 'cd14966', NULL, '7tmD_STE3', NULL, NULL, '7tmD_STE3', 4318),
(4319, 'cd15238', NULL, '7tm_ARII-like', NULL, NULL, '7tm_ARII-like', 4319),
(4320, 'cd13254', NULL, 'PH2_ARAP', NULL, NULL, 'PH2_ARAP', 4320),
(4321, 'cd13145', NULL, 'MATE_like_5', NULL, NULL, 'MATE_like_5', 4321),
(4322, 'cd05934', NULL, 'FACL_DitJ_like', NULL, NULL, 'FACL_DitJ_like', 4322),
(4323, 'cd19988', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, 'PBP1_ABC_HAAT-like', 4323),
(4324, 'cd12225', NULL, 'RRM1_2_CID8_like', NULL, NULL, 'RRM1_2_CID8_like', 4324),
(4325, 'cd14004', NULL, 'STKc_PASK', NULL, NULL, 'STKc_PASK', 4325),
(4326, 'cd02691', NULL, 'PurM-like2', NULL, NULL, 'PurM-like2', 4326),
(4327, 'cd19426', NULL, 'lipocalin_6', NULL, NULL, 'lipocalin_6', 4327),
(4328, 'cd14499', NULL, 'CDC14_C', NULL, NULL, 'CDC14_C', 4328),
(4329, 'cd01339', NULL, 'LDH-like_MDH', NULL, NULL, 'LDH-like_MDH', 4329),
(4330, 'cd03310', NULL, 'CIMS_like', NULL, NULL, 'CIMS_like', 4330),
(4331, 'cd18342', NULL, 'BTB_POZ_SPOP', NULL, NULL, 'BTB_POZ_SPOP', 4331),
(4332, 'cd09841', NULL, 'LIM1_Prickle_3', NULL, NULL, 'LIM1_Prickle_3', 4332),
(4333, 'cd14863', NULL, 'Fe-ADH-like', NULL, NULL, 'Fe-ADH-like', 4333),
(4334, 'cd18646', NULL, 'CD_Cbx7', NULL, NULL, 'CD_Cbx7', 4334),
(4335, 'cd06162', NULL, 'S2P-M50_PDZ_SREBP', NULL, NULL, 'S2P-M50_PDZ_SREBP', 4335),
(4336, 'cd12379', NULL, 'RRM2_I_PABPs', NULL, NULL, 'RRM2_I_PABPs', 4336),
(4337, 'cd02140', NULL, 'Frm2-like', NULL, NULL, 'Frm2-like', 4337),
(4338, 'cd00136', NULL, 'PDZ', NULL, NULL, 'PDZ', 4338); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(4339, 'cd08993', NULL, 'GH130', NULL, NULL, 'GH130', 4339),
(4340, 'cd11654', NULL, 'TRF2_RBM', NULL, NULL, 'TRF2_RBM', 4340),
(4341, 'cd13365', NULL, 'PH_PLC_plant-like', NULL, NULL, 'PH_PLC_plant-like', 4341),
(4342, 'cd12874', NULL, 'SPRY_PRY', NULL, NULL, 'SPRY_PRY', 4342),
(4343, 'cd12169', NULL, 'PGDH_like_1', NULL, NULL, 'PGDH_like_1', 4343),
(4344, 'cd05833', NULL, 'Ribosomal_P2', NULL, NULL, 'Ribosomal_P2', 4344),
(4345, 'cd11979', NULL, 'SH3_VAV1_1', NULL, NULL, 'SH3_VAV1_1', 4345),
(4346, 'cd13195', NULL, 'FERM_C_MYLIP_IDOL', NULL, NULL, 'FERM_C_MYLIP_IDOL', 4346),
(4347, 'cd15910', NULL, '7tmF_FZD3_FZD6-like', NULL, NULL, '7tmF_FZD3_FZD6-like', 4347),
(4348, 'cd09948', NULL, 'Ebola_RSV-like_HR1-HR2', NULL, NULL, 'Ebola_RSV-like_HR1-HR2', 4348),
(4349, 'cd07962', NULL, 'Anticodon_Ia_Val', NULL, NULL, 'Anticodon_Ia_Val', 4349),
(4350, 'cd09120', NULL, 'PLDc_DNaseII_1', NULL, NULL, 'PLDc_DNaseII_1', 4350),
(4351, 'cd01637', NULL, 'IMPase_like', NULL, NULL, 'IMPase_like', 4351),
(4352, 'cd03501', NULL, 'SQR_TypeA_SdhC_like', NULL, NULL, 'SQR_TypeA_SdhC_like', 4352),
(4353, 'cd05334', NULL, 'DHPR_SDR_c_like', NULL, NULL, 'DHPR_SDR_c_like', 4353),
(4354, 'cd04750', NULL, 'Commd2', NULL, NULL, 'Commd2', 4354),
(4355, 'cd06633', NULL, 'STKc_TAO3', NULL, NULL, 'STKc_TAO3', 4355),
(4356, 'cd06254', NULL, 'M14_ASTE_ASPA-like', NULL, NULL, 'M14_ASTE_ASPA-like', 4356),
(4357, 'cd07408', NULL, 'MPP_SA0022_N', NULL, NULL, 'MPP_SA0022_N', 4357),
(4358, 'cd12120', NULL, 'AMPKA_C_like', NULL, NULL, 'AMPKA_C_like', 4358),
(4359, 'cd17950', NULL, 'DEADc_DDX39', NULL, NULL, 'DEADc_DDX39', 4359),
(4360, 'cd02554', NULL, 'PseudoU_synth_RluF', NULL, NULL, 'PseudoU_synth_RluF', 4360),
(4361, 'cd13641', NULL, 'PBP2_HisX_like', NULL, NULL, 'PBP2_HisX_like', 4361),
(4362, 'cd06559', NULL, 'Endonuclease_V', NULL, NULL, 'Endonuclease_V', 4362),
(4363, 'cd16680', NULL, 'RING-H2_RNF44', NULL, NULL, 'RING-H2_RNF44', 4363),
(4364, 'cd17080', NULL, 'Ubl_SLD2_Esc2_like', NULL, NULL, 'Ubl_SLD2_Esc2_like', 4364),
(4365, 'cd21666', NULL, 'betaCoV_Nsp5_Mpro', NULL, NULL, 'betaCoV_Nsp5_Mpro', 4365),
(4366, 'cd18583', NULL, 'ABC_6TM_HMT1', NULL, NULL, 'ABC_6TM_HMT1', 4366),
(4367, 'cd06981', NULL, 'cupin_reut_a1446', NULL, NULL, 'cupin_reut_a1446', 4367),
(4368, 'cd13443', NULL, 'CDI_inhibitor_Bp1026b_like', NULL, NULL, 'CDI_inhibitor_Bp1026b_like', 4368),
(4369, 'cd16303', NULL, 'VIM_type_MBL-B1', NULL, NULL, 'VIM_type_MBL-B1', 4369),
(4370, 'cd00264', NULL, 'BPI', NULL, NULL, 'BPI', 4370),
(4371, 'cd18046', NULL, 'DEADc_EIF4AII_EIF4AI_DDX2', NULL, NULL, 'DEADc_EIF4AII_EIF4AI_DDX2', 4371),
(4372, 'cd04264', NULL, 'DUF619-NAGS', NULL, NULL, 'DUF619-NAGS', 4372),
(4373, 'cd15772', NULL, 'FYVE2_BSN_PCLO', NULL, NULL, 'FYVE2_BSN_PCLO', 4373),
(4374, 'cd08789', NULL, 'CARD_IPS-1_RIG-I', NULL, NULL, 'CARD_IPS-1_RIG-I', 4374),
(4375, 'cd19361', NULL, 'TenA_C_HP1287-like', NULL, NULL, 'TenA_C_HP1287-like', 4375),
(4376, 'cd18949', NULL, 'bHLH-PAS_NCoA3_SRC3', NULL, NULL, 'bHLH-PAS_NCoA3_SRC3', 4376),
(4377, 'cd12254', NULL, 'RRM_hnRNPH_ESRPs_RBM12_like', NULL, NULL, 'RRM_hnRNPH_ESRPs_RBM12_like', 4377),
(4378, 'cd11345', NULL, 'AmyAc_SLC3A2', NULL, NULL, 'AmyAc_SLC3A2', 4378),
(4379, 'cd03015', NULL, 'PRX_Typ2cys', NULL, NULL, 'PRX_Typ2cys', 4379),
(4380, 'cd20295', NULL, 'cupin_Pac13-like', NULL, NULL, 'cupin_Pac13-like', 4380),
(4381, 'cd12694', NULL, 'RRM2_hnRNPL_like', NULL, NULL, 'RRM2_hnRNPL_like', 4381),
(4382, 'cd09369', NULL, 'LIM1_Lhx2_Lhx9', NULL, NULL, 'LIM1_Lhx2_Lhx9', 4382),
(4383, 'cd09110', NULL, 'PLDc_CLS_1', NULL, NULL, 'PLDc_CLS_1', 4383),
(4384, 'cd04050', NULL, 'C2B_Synaptotagmin-like', NULL, NULL, 'C2B_Synaptotagmin-like', 4384),
(4385, 'cd14181', NULL, 'STKc_PhKG2', NULL, NULL, 'STKc_PhKG2', 4385),
(4386, 'cd17561', NULL, 'REC_Spo0A', NULL, NULL, 'REC_Spo0A', 4386),
(4387, 'cd18621', NULL, 'GH32_XdINV-like', NULL, NULL, 'GH32_XdINV-like', 4387),
(4388, 'cd02169', NULL, 'Citrate_lyase_ligase', NULL, NULL, 'Citrate_lyase_ligase', 4388),
(4389, 'cd05496', NULL, 'Bromo_WDR9_II', NULL, NULL, 'Bromo_WDR9_II', 4389);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(4390, 'cd09140', NULL, 'PLDc_vPLD1_2_like_bac_1', NULL, NULL, 'PLDc_vPLD1_2_like_bac_1', 4390),
(4391, 'cd18367', NULL, 'BTB_POZ_KCTD8-like', NULL, NULL, 'BTB_POZ_KCTD8-like', 4391),
(4392, 'cd05274', NULL, 'KR_FAS_SDR_x', NULL, NULL, 'KR_FAS_SDR_x', 4392),
(4393, 'cd18365', NULL, 'BTB_POZ_KCTD6_like', NULL, NULL, 'BTB_POZ_KCTD6_like', 4393),
(4394, 'cd08857', NULL, 'ArfGap_AGFG1', NULL, NULL, 'ArfGap_AGFG1', 4394),
(4395, 'cd04764', NULL, 'HTH_MlrA-like_sg1', NULL, NULL, 'HTH_MlrA-like_sg1', 4395),
(4396, 'cd19764', NULL, 'Bbox2_TRIM9-like', NULL, NULL, 'Bbox2_TRIM9-like', 4396),
(4397, 'cd01568', NULL, 'QPRTase_NadC', NULL, NULL, 'QPRTase_NadC', 4397),
(4398, 'cd18354', NULL, 'BTB_POZ_RCBTB2_CHC1L', NULL, NULL, 'BTB_POZ_RCBTB2_CHC1L', 4398),
(4399, 'cd14281', NULL, 'UBA2_Rad23_like', NULL, NULL, 'UBA2_Rad23_like', 4399),
(4400, 'cd19465', NULL, 'CRBP4', NULL, NULL, 'CRBP4', 4400),
(4401, 'cd03266', NULL, 'ABC_NatA_sodium_exporter', NULL, NULL, 'ABC_NatA_sodium_exporter', 4401),
(4402, 'cd16979', NULL, 'VHS_Vps27', NULL, NULL, 'VHS_Vps27', 4402),
(4403, 'cd01248', NULL, 'PH_PLC_ELMO1', NULL, NULL, 'PH_PLC_ELMO1', 4403),
(4404, 'cd17712', NULL, 'BRCT_PAXIP1_rpt5', NULL, NULL, 'BRCT_PAXIP1_rpt5', 4404),
(4405, 'cd09675', NULL, 'Csy1_I-F', NULL, NULL, 'Csy1_I-F', 4405),
(4406, 'cd19343', NULL, 'Wnt_Wnt11', NULL, NULL, 'Wnt_Wnt11', 4406),
(4407, 'cd03760', NULL, 'proteasome_beta_type_4', NULL, NULL, 'proteasome_beta_type_4', 4407),
(4408, 'cd05241', NULL, '3b-HSD-like_SDR_e', NULL, NULL, '3b-HSD-like_SDR_e', 4408),
(4409, 'cd04972', NULL, 'Ig_TrkABC_d4', NULL, NULL, 'Ig_TrkABC_d4', 4409),
(4410, 'cd01885', NULL, 'EF2', NULL, NULL, 'EF2', 4410),
(4411, 'cd13631', NULL, 'PBP2_Ct-PDT_like', NULL, NULL, 'PBP2_Ct-PDT_like', 4411),
(4412, 'cd00071', NULL, 'GMPK', NULL, NULL, 'GMPK', 4412),
(4413, 'cd08859', NULL, 'ArfGap_SMAP2', NULL, NULL, 'ArfGap_SMAP2', 4413),
(4414, 'cd06309', NULL, 'PBP1_galactofuranose_YtfQ-like', NULL, NULL, 'PBP1_galactofuranose_YtfQ-like', 4414),
(4415, 'cd14398', NULL, 'UBA_LATS2', NULL, NULL, 'UBA_LATS2', 4415),
(4416, 'cd06169', NULL, 'BMC', NULL, NULL, 'BMC', 4416),
(4417, 'cd09575', NULL, 'SAM_DGK-delta', NULL, NULL, 'SAM_DGK-delta', 4417),
(4418, 'cd16442', NULL, 'BPL', NULL, NULL, 'BPL', 4418),
(4419, 'cd13585', NULL, 'PBP2_TMBP_like', NULL, NULL, 'PBP2_TMBP_like', 4419),
(4420, 'cd01407', NULL, 'SIR2-fam', NULL, NULL, 'SIR2-fam', 4420),
(4421, 'cd18111', NULL, 'ATP-synt_V_A-type_alpha_C', NULL, NULL, 'ATP-synt_V_A-type_alpha_C', 4421),
(4422, 'cd00773', NULL, 'HisRS-like_core', NULL, NULL, 'HisRS-like_core', 4422),
(4423, 'cd13153', NULL, 'KOW_GPKOW_B', NULL, NULL, 'KOW_GPKOW_B', 4423),
(4424, 'cd05005', NULL, 'SIS_PHI', NULL, NULL, 'SIS_PHI', 4424),
(4425, 'cd00919', NULL, 'Heme_Cu_Oxidase_I', NULL, NULL, 'Heme_Cu_Oxidase_I', 4425),
(4426, 'cd13697', NULL, 'PBP2_ArtJ_like', NULL, NULL, 'PBP2_ArtJ_like', 4426),
(4427, 'cd14833', NULL, 'AP2_sigma', NULL, NULL, 'AP2_sigma', 4427),
(4428, 'cd13722', NULL, 'PBP2_iGluR_Kainate_GluR5', NULL, NULL, 'PBP2_iGluR_Kainate_GluR5', 4428),
(4429, 'cd18634', NULL, 'CD_CDY', NULL, NULL, 'CD_CDY', 4429),
(4430, 'cd06372', NULL, 'PBP1_GC_G-like', NULL, NULL, 'PBP1_GC_G-like', 4430),
(4431, 'cd10796', NULL, 'GH57N_APU', NULL, NULL, 'GH57N_APU', 4431),
(4432, 'cd08357', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 4432),
(4433, 'cd09456', NULL, 'LIM2_Enigma', NULL, NULL, 'LIM2_Enigma', 4433),
(4434, 'cd04756', NULL, 'Commd8', NULL, NULL, 'Commd8', 4434),
(4435, 'cd13753', NULL, 'TGF_beta_TGFbeta1_2_3', NULL, NULL, 'TGF_beta_TGFbeta1_2_3', 4435),
(4436, 'cd08905', NULL, 'START_STARD1-like', NULL, NULL, 'START_STARD1-like', 4436),
(4437, 'cd00819', NULL, 'PEPCK_GTP', NULL, NULL, 'PEPCK_GTP', 4437),
(4438, 'cd05881', NULL, 'Ig1_Necl-2', NULL, NULL, 'Ig1_Necl-2', 4438),
(4439, 'cd19687', NULL, 'bHLHzip_Mlx', NULL, NULL, 'bHLHzip_Mlx', 4439),
(4440, 'cd18349', NULL, 'BTB_POZ_BTBD6', NULL, NULL, 'BTB_POZ_BTBD6', 4440),
(4441, 'cd00840', NULL, 'MPP_Mre11_N', NULL, NULL, 'MPP_Mre11_N', 4441),
(4442, 'cd11925', NULL, 'SH3_SH3RF3_3', NULL, NULL, 'SH3_SH3RF3_3', 4442);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(4443, 'cd12888', NULL, 'SPRY_PRY_TRIM7_like', NULL, NULL, 'SPRY_PRY_TRIM7_like', 4443),
(4444, 'cd14919', NULL, 'MYSc_Myh9', NULL, NULL, 'MYSc_Myh9', 4444),
(4445, 'cd09449', NULL, 'LIM_Mystique', NULL, NULL, 'LIM_Mystique', 4445),
(4446, 'cd18567', NULL, 'ABC_6TM_CvaB_RaxB_like', NULL, NULL, 'ABC_6TM_CvaB_RaxB_like', 4446),
(4447, 'cd04864', NULL, 'LigD_Pol_like_1', NULL, NULL, 'LigD_Pol_like_1', 4447),
(4448, 'cd09694', NULL, 'Csm6_III-A', NULL, NULL, 'Csm6_III-A', 4448),
(4449, 'cd04930', NULL, 'ACT_TH', NULL, NULL, 'ACT_TH', 4449),
(4450, 'cd08507', NULL, 'PBP2_SgrR_like', NULL, NULL, 'PBP2_SgrR_like', 4450),
(4451, 'cd09813', NULL, '3b-HSD-NSDHL-like_SDR_e', NULL, NULL, '3b-HSD-NSDHL-like_SDR_e', 4451),
(4452, 'cd08058', NULL, 'MPN_euk_mb', NULL, NULL, 'MPN_euk_mb', 4452),
(4453, 'cd15199', NULL, '7tmA_GPR31', NULL, NULL, '7tmA_GPR31', 4453),
(4454, 'cd07782', NULL, 'FGGY_YpCarbK_like', NULL, NULL, 'FGGY_YpCarbK_like', 4454),
(4455, 'cd18782', NULL, 'ABC_6TM_PrtD_LapB_HlyB_like', NULL, NULL, 'ABC_6TM_PrtD_LapB_HlyB_like', 4455),
(4456, 'cd12459', NULL, 'RRM1_CID8_like', NULL, NULL, 'RRM1_CID8_like', 4456),
(4457, 'cd03254', NULL, 'ABCC_Glucan_exporter_like', NULL, NULL, 'ABCC_Glucan_exporter_like', 4457),
(4458, 'cd17418', NULL, 'MFS_NPF8', NULL, NULL, 'MFS_NPF8', 4458),
(4459, 'cd04461', NULL, 'S1_Rrp5_repeat_hs8_sc7', NULL, NULL, 'S1_Rrp5_repeat_hs8_sc7', 4459),
(4460, 'cd07569', NULL, 'DCase', NULL, NULL, 'DCase', 4460),
(4461, 'cd08567', NULL, 'GDPD_SpGDE_like', NULL, NULL, 'GDPD_SpGDE_like', 4461),
(4462, 'cd08289', NULL, 'MDR_yhfp_like', NULL, NULL, 'MDR_yhfp_like', 4462),
(4463, 'cd17485', NULL, 'MFS_MFSD3', NULL, NULL, 'MFS_MFSD3', 4463),
(4464, 'cd08201', NULL, 'plant_peroxidase_like_1', NULL, NULL, 'plant_peroxidase_like_1', 4464),
(4465, 'cd18399', NULL, 'BTB_POZ_KCTD10_BACURD3', NULL, NULL, 'BTB_POZ_KCTD10_BACURD3', 4465),
(4466, 'cd15666', NULL, 'ePHD2_KMT2C_like', NULL, NULL, 'ePHD2_KMT2C_like', 4466),
(4467, 'cd01185', NULL, 'INTN1_C_like', NULL, NULL, 'INTN1_C_like', 4467),
(4468, 'cd00470', NULL, 'PTPS', NULL, NULL, 'PTPS', 4468),
(4469, 'cd05226', NULL, 'SDR_e_a', NULL, NULL, 'SDR_e_a', 4469),
(4470, 'cd04378', NULL, 'RhoGAP_GMIP_PARG1', NULL, NULL, 'RhoGAP_GMIP_PARG1', 4470),
(4471, 'cd06477', NULL, 'ACD_HspB3_Like', NULL, NULL, 'ACD_HspB3_Like', 4471),
(4472, 'cd11446', NULL, 'bHLH_AtILR3_like', NULL, NULL, 'bHLH_AtILR3_like', 4472),
(4473, 'cd00082', NULL, 'HisKA', NULL, NULL, 'HisKA', 4473),
(4474, 'cd13283', NULL, 'PH_GPBP', NULL, NULL, 'PH_GPBP', 4474),
(4475, 'cd06532', NULL, 'Glyco_transf_25', NULL, NULL, 'Glyco_transf_25', 4475),
(4476, 'cd14374', NULL, 'CUE1_Cue2p_like', NULL, NULL, 'CUE1_Cue2p_like', 4476),
(4477, 'cd08884', NULL, 'RHO_alpha_C_GbcA-like', NULL, NULL, 'RHO_alpha_C_GbcA-like', 4477),
(4478, 'cd14371', NULL, 'CUE_CID7_like', NULL, NULL, 'CUE_CID7_like', 4478),
(4479, 'cd07382', NULL, 'MPP_DR1281', NULL, NULL, 'MPP_DR1281', 4479),
(4480, 'cd14438', NULL, 'Hip_N', NULL, NULL, 'Hip_N', 4480),
(4481, 'cd04618', NULL, 'CBS_euAMPK_gamma-like_repeat1', NULL, NULL, 'CBS_euAMPK_gamma-like_repeat1', 4481),
(4482, 'cd01723', NULL, 'LSm4', NULL, NULL, 'LSm4', 4482),
(4483, 'cd13665', NULL, 'PBP2_TRAP_Dctp3_4', NULL, NULL, 'PBP2_TRAP_Dctp3_4', 4483),
(4484, 'cd10464', NULL, 'PUB_RNF31', NULL, NULL, 'PUB_RNF31', 4484),
(4485, 'cd18709', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 4485),
(4486, 'cd09199', NULL, 'PLDc_pPLDalpha_2', NULL, NULL, 'PLDc_pPLDalpha_2', 4486),
(4487, 'cd00246', NULL, 'RabGEF', NULL, NULL, 'RabGEF', 4487),
(4488, 'cd13552', NULL, 'PBP2_Fbp_like_6', NULL, NULL, 'PBP2_Fbp_like_6', 4488),
(4489, 'cd14167', NULL, 'STKc_CaMKI_alpha', NULL, NULL, 'STKc_CaMKI_alpha', 4489),
(4490, 'cd20236', NULL, 'PFM_SP17-like', NULL, NULL, 'PFM_SP17-like', 4490),
(4491, 'cd13388', NULL, 'PH1_FGD1-4_like', NULL, NULL, 'PH1_FGD1-4_like', 4491),
(4492, 'cd18237', NULL, 'BTB_POZ_KLHL7', NULL, NULL, 'BTB_POZ_KLHL7', 4492),
(4493, 'cd03124', NULL, 'alpha_CA_prokaryotic_like', NULL, NULL, 'alpha_CA_prokaryotic_like', 4493),
(4494, 'cd18613', NULL, 'GH130', NULL, NULL, 'GH130', 4494);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(4495, 'cd18531', NULL, 'BACK_RHOBTB2', NULL, NULL, 'BACK_RHOBTB2', 4495),
(4496, 'cd13986', NULL, 'STKc_16', NULL, NULL, 'STKc_16', 4496),
(4497, 'cd00568', NULL, 'TPP_enzymes', NULL, NULL, 'TPP_enzymes', 4497),
(4498, 'cd05643', NULL, 'M28_like', NULL, NULL, 'M28_like', 4498),
(4499, 'cd14344', NULL, 'UBA_TYDP2', NULL, NULL, 'UBA_TYDP2', 4499),
(4500, 'cd13284', NULL, 'PH_OSBP_ORP4', NULL, NULL, 'PH_OSBP_ORP4', 4500),
(4501, 'cd03858', NULL, 'M14_CP_N-E_like', NULL, NULL, 'M14_CP_N-E_like', 4501),
(4502, 'cd06946', NULL, 'NR_LBD_ERR', NULL, NULL, 'NR_LBD_ERR', 4502),
(4503, 'cd12118', NULL, 'ttLC_FACS_AEE21_like', NULL, NULL, 'ttLC_FACS_AEE21_like', 4503),
(4504, 'cd01895', NULL, 'EngA2', NULL, NULL, 'EngA2', 4504),
(4505, 'cd07197', NULL, 'nitrilase', NULL, NULL, 'nitrilase', 4505),
(4506, 'cd13865', NULL, 'CuRO_1_LCC_like_3', NULL, NULL, 'CuRO_1_LCC_like_3', 4506),
(4507, 'cd05578', NULL, 'STKc_Yank1', NULL, NULL, 'STKc_Yank1', 4507),
(4508, 'cd18559', NULL, 'ABC_6TM_ABCC', NULL, NULL, 'ABC_6TM_ABCC', 4508),
(4509, 'cd16484', NULL, 'RING-H2_Vps', NULL, NULL, 'RING-H2_Vps', 4509),
(4510, 'cd06550', NULL, 'TM_ABC_iron-siderophores_like', NULL, NULL, 'TM_ABC_iron-siderophores_like', 4510),
(4511, 'cd14139', NULL, 'PTKc_Wee1b', NULL, NULL, 'PTKc_Wee1b', 4511),
(4512, 'cd07715', NULL, 'TaR3-like_MBL-fold', NULL, NULL, 'TaR3-like_MBL-fold', 4512),
(4513, 'cd14191', NULL, 'STKc_MLCK1', NULL, NULL, 'STKc_MLCK1', 4513),
(4514, 'cd05176', NULL, 'PI3Kc_C2_alpha', NULL, NULL, 'PI3Kc_C2_alpha', 4514),
(4515, 'cd11441', NULL, 'bHLH-PAS_CLOCK_like', NULL, NULL, 'bHLH-PAS_CLOCK_like', 4515),
(4516, 'cd04201', NULL, 'CuRO_1_CuNIR_like', NULL, NULL, 'CuRO_1_CuNIR_like', 4516),
(4517, 'cd16570', NULL, 'RING-HC_SH3RFs', NULL, NULL, 'RING-HC_SH3RFs', 4517),
(4518, 'cd09482', NULL, 'LIM2_CRP3', NULL, NULL, 'LIM2_CRP3', 4518),
(4519, 'cd08953', NULL, 'KR_2_SDR_x', NULL, NULL, 'KR_2_SDR_x', 4519),
(4520, 'cd10915', NULL, 'Peptidase_C25_N_2', NULL, NULL, 'Peptidase_C25_N_2', 4520),
(4521, 'cd12652', NULL, 'RRM2_Hu', NULL, NULL, 'RRM2_Hu', 4521),
(4522, 'cd07452', NULL, 'CRD_sizzled', NULL, NULL, 'CRD_sizzled', 4522),
(4523, 'cd02541', NULL, 'UGPase_prokaryotic', NULL, NULL, 'UGPase_prokaryotic', 4523),
(4524, 'cd17057', NULL, 'Ubl_TMUB1_like', NULL, NULL, 'Ubl_TMUB1_like', 4524),
(4525, 'cd19005', NULL, 'LGIC_ECD_GABAAR_rho', NULL, NULL, 'LGIC_ECD_GABAAR_rho', 4525),
(4526, 'cd08940', NULL, 'HBDH_SDR_c', NULL, NULL, 'HBDH_SDR_c', 4526),
(4527, 'cd06883', NULL, 'PX_PI3K_C2', NULL, NULL, 'PX_PI3K_C2', 4527),
(4528, 'cd08568', NULL, 'GDPD_TmGDE_like', NULL, NULL, 'GDPD_TmGDE_like', 4528),
(4529, 'cd19106', NULL, 'AKR_AKR1A1-4', NULL, NULL, 'AKR_AKR1A1-4', 4529),
(4530, 'cd08460', NULL, 'PBP2_DntR_like_1', NULL, NULL, 'PBP2_DntR_like_1', 4530),
(4531, 'cd12668', NULL, 'RRM3_RAVER2', NULL, NULL, 'RRM3_RAVER2', 4531),
(4532, 'cd11493', NULL, 'SLC5sbd_NIS-like_u1', NULL, NULL, 'SLC5sbd_NIS-like_u1', 4532),
(4533, 'cd09317', NULL, 'TDT_Mae1_like', NULL, NULL, 'TDT_Mae1_like', 4533),
(4534, 'cd08969', NULL, 'MeNeil3_N', NULL, NULL, 'MeNeil3_N', 4534),
(4535, 'cd12660', NULL, 'RRM2_MYEF2', NULL, NULL, 'RRM2_MYEF2', 4535),
(4536, 'cd19060', NULL, 'LGIC_TM_GlyR_alpha', NULL, NULL, 'LGIC_TM_GlyR_alpha', 4536),
(4537, 'cd09378', NULL, 'LIM2_Lmx1a_Lmx1b', NULL, NULL, 'LIM2_Lmx1a_Lmx1b', 4537),
(4538, 'cd18190', NULL, 'BTB_POZ_ETO1-like', NULL, NULL, 'BTB_POZ_ETO1-like', 4538),
(4539, 'cd04913', NULL, 'ACT_AKii-LysC-BS-like_1', NULL, NULL, 'ACT_AKii-LysC-BS-like_1', 4539),
(4540, 'cd16519', NULL, 'RING-HC_MIBs', NULL, NULL, 'RING-HC_MIBs', 4540),
(4541, 'cd08217', NULL, 'STKc_Nek2', NULL, NULL, 'STKc_Nek2', 4541),
(4542, 'cd08904', NULL, 'START_STARD6-like', NULL, NULL, 'START_STARD6-like', 4542),
(4543, 'cd05590', NULL, 'STKc_nPKC_eta', NULL, NULL, 'STKc_nPKC_eta', 4543),
(4544, 'cd11644', NULL, 'Precorrin-6Y-MT', NULL, NULL, 'Precorrin-6Y-MT', 4544),
(4545, 'cd14576', NULL, 'DSP_iDUSP27', NULL, NULL, 'DSP_iDUSP27', 4545),
(4546, 'cd19152', NULL, 'AKR_AKR15A', NULL, NULL, 'AKR_AKR15A', 4546),
(4547, 'cd01630', NULL, 'HAD_KDO-like', NULL, NULL, 'HAD_KDO-like', 4547); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(4548, 'cd16120', NULL, 'UBX_UBXN3B', NULL, NULL, 'UBX_UBXN3B', 4548),
(4549, 'cd02144', NULL, 'iodotyrosine_dehalogenase', NULL, NULL, 'iodotyrosine_dehalogenase', 4549),
(4550, 'cd02948', NULL, 'TRX_NDPK', NULL, NULL, 'TRX_NDPK', 4550),
(4551, 'cd11600', NULL, 'HDAC_Clr3', NULL, NULL, 'HDAC_Clr3', 4551),
(4552, 'cd14643', NULL, 'DSP_DUSP7', NULL, NULL, 'DSP_DUSP7', 4552),
(4553, 'cd03280', NULL, 'ABC_MutS2', NULL, NULL, 'ABC_MutS2', 4553),
(4554, 'cd06135', NULL, 'Orn', NULL, NULL, 'Orn', 4554),
(4555, 'cd19094', NULL, 'AKR_Tas-like', NULL, NULL, 'AKR_Tas-like', 4555),
(4556, 'cd07768', NULL, 'FGGY_RBK_like', NULL, NULL, 'FGGY_RBK_like', 4556),
(4557, 'cd09188', NULL, 'PLDc_FAM83H_N', NULL, NULL, 'PLDc_FAM83H_N', 4557),
(4558, 'cd17126', NULL, 'Ubl_HR23A', NULL, NULL, 'Ubl_HR23A', 4558),
(4559, 'cd04730', NULL, 'NPD_like', NULL, NULL, 'NPD_like', 4559),
(4560, 'cd18789', NULL, 'SF2_C_XPB', NULL, NULL, 'SF2_C_XPB', 4560),
(4561, 'cd00829', NULL, 'SCP-x_thiolase', NULL, NULL, 'SCP-x_thiolase', 4561),
(4562, 'cd04766', NULL, 'HTH_HspR', NULL, NULL, 'HTH_HspR', 4562),
(4563, 'cd08600', NULL, 'GDPD_EcGlpQ_like', NULL, NULL, 'GDPD_EcGlpQ_like', 4563),
(4564, 'cd08914', NULL, 'START_STARD15-like', NULL, NULL, 'START_STARD15-like', 4564),
(4565, 'cd13405', NULL, 'TNFRSF14_teleost', NULL, NULL, 'TNFRSF14_teleost', 4565),
(4566, 'cd03301', NULL, 'ABC_MalK_N', NULL, NULL, 'ABC_MalK_N', 4566),
(4567, 'cd17113', NULL, 'RA_ARAPs', NULL, NULL, 'RA_ARAPs', 4567),
(4568, 'cd15338', NULL, '7tmA_MCHR1', NULL, NULL, '7tmA_MCHR1', 4568),
(4569, 'cd07441', NULL, 'CRD_SFRP3', NULL, NULL, 'CRD_SFRP3', 4569),
(4570, 'cd00751', NULL, 'thiolase', NULL, NULL, 'thiolase', 4570),
(4571, 'cd14506', NULL, 'PTP_PTPDC1', NULL, NULL, 'PTP_PTPDC1', 4571),
(4572, 'cd19037', NULL, 'LGIC_ECD_GABAAR_A4', NULL, NULL, 'LGIC_ECD_GABAAR_A4', 4572),
(4573, 'cd14261', NULL, 'PUFD', NULL, NULL, 'PUFD', 4573),
(4574, 'cd15480', NULL, 'fMyo2p_CBD', NULL, NULL, 'fMyo2p_CBD', 4574),
(4575, 'cd01596', NULL, 'Aspartase_like', NULL, NULL, 'Aspartase_like', 4575),
(4576, 'cd12584', NULL, 'RRM2_hnRNPAB', NULL, NULL, 'RRM2_hnRNPAB', 4576),
(4577, 'cd13541', NULL, 'PBP2_ModA_like_2', NULL, NULL, 'PBP2_ModA_like_2', 4577),
(4578, 'cd01669', NULL, 'TGS_MJ1332_like', NULL, NULL, 'TGS_MJ1332_like', 4578),
(4579, 'cd06233', NULL, 'M14-like', NULL, NULL, 'M14-like', 4579),
(4580, 'cd01368', NULL, 'KISc_KIF23_like', NULL, NULL, 'KISc_KIF23_like', 4580),
(4581, 'cd01583', NULL, 'IPMI', NULL, NULL, 'IPMI', 4581),
(4582, 'cd07292', NULL, 'PX_SNX6', NULL, NULL, 'PX_SNX6', 4582),
(4583, 'cd12376', NULL, 'RRM2_Hu_like', NULL, NULL, 'RRM2_Hu_like', 4583),
(4584, 'cd15938', NULL, '7tmA_OR4Q2-like', NULL, NULL, '7tmA_OR4Q2-like', 4584),
(4585, 'cd01730', NULL, 'LSm3', NULL, NULL, 'LSm3', 4585),
(4586, 'cd17162', NULL, 'UBX_UBXN2C', NULL, NULL, 'UBX_UBXN2C', 4586),
(4587, 'cd08518', NULL, 'PBP2_NikA_DppA_OppA_like_19', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_19', 4587),
(4588, 'cd01868', NULL, 'Rab11_like', NULL, NULL, 'Rab11_like', 4588),
(4589, 'cd09161', NULL, 'PLDc_PaCLS_like_2', NULL, NULL, 'PLDc_PaCLS_like_2', 4589),
(4590, 'cd13599', NULL, 'PBP2_lipoprotein_Gna1946', NULL, NULL, 'PBP2_lipoprotein_Gna1946', 4590),
(4591, 'cd15357', NULL, '7tmA_NMU-R2', NULL, NULL, '7tmA_NMU-R2', 4591),
(4592, 'cd02751', NULL, 'MopB_DMSOR-like', NULL, NULL, 'MopB_DMSOR-like', 4592),
(4593, 'cd11414', NULL, 'bHLH_TS_HEN', NULL, NULL, 'bHLH_TS_HEN', 4593),
(4594, 'cd01746', NULL, 'GATase1_CTP_Synthase', NULL, NULL, 'GATase1_CTP_Synthase', 4594),
(4595, 'cd12359', NULL, 'RRM2_VICKZ', NULL, NULL, 'RRM2_VICKZ', 4595),
(4596, 'cd11927', NULL, 'SH3_SH3RF1_1', NULL, NULL, 'SH3_SH3RF1_1', 4596),
(4597, 'cd06445', NULL, 'ATase', NULL, NULL, 'ATase', 4597),
(4598, 'cd14929', NULL, 'MYSc_Myh15_mammals', NULL, NULL, 'MYSc_Myh15_mammals', 4598),
(4599, 'cd14140', NULL, 'STKc_ACVR2b', NULL, NULL, 'STKc_ACVR2b', 4599),
(4600, 'cd16723', NULL, 'RING-HC_MEX3D', NULL, NULL, 'RING-HC_MEX3D', 4600),
(4601, 'cd17952', NULL, 'DEADc_DDX42', NULL, NULL, 'DEADc_DDX42', 4601),
(4602, 'cd05193', NULL, 'AR_like_SDR_e', NULL, NULL, 'AR_like_SDR_e', 4602);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(4603, 'cd11774', NULL, 'SH3_Sla1p_2', NULL, NULL, 'SH3_Sla1p_2', 4603),
(4604, 'cd07306', NULL, 'Porin3_VDAC', NULL, NULL, 'Porin3_VDAC', 4604),
(4605, 'cd17012', NULL, 'CID_RPRD1B', NULL, NULL, 'CID_RPRD1B', 4605),
(4606, 'cd08856', NULL, 'ArfGap_ARAP2', NULL, NULL, 'ArfGap_ARAP2', 4606),
(4607, 'cd11279', NULL, 'Sema_RON', NULL, NULL, 'Sema_RON', 4607),
(4608, 'cd00170', NULL, 'SEC14', NULL, NULL, 'SEC14', 4608),
(4609, 'cd07721', NULL, 'yflN-like_MBL-fold', NULL, NULL, 'yflN-like_MBL-fold', 4609),
(4610, 'cd16171', NULL, 'ARSK', NULL, NULL, 'ARSK', 4610),
(4611, 'cd12750', NULL, 'RRM5_RBM12B', NULL, NULL, 'RRM5_RBM12B', 4611),
(4612, 'cd00707', NULL, 'Pancreat_lipase_like', NULL, NULL, 'Pancreat_lipase_like', 4612),
(4613, 'cd06879', NULL, 'PX_UP1_plant', NULL, NULL, 'PX_UP1_plant', 4613),
(4614, 'cd13581', NULL, 'PBP2_AlgQ_like_2', NULL, NULL, 'PBP2_AlgQ_like_2', 4614),
(4615, 'cd00368', NULL, 'Molybdopterin-Binding', NULL, NULL, 'Molybdopterin-Binding', 4615),
(4616, 'cd00051', NULL, 'EFh', NULL, NULL, 'EFh', 4616),
(4617, 'cd06336', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 4617),
(4618, 'cd12354', NULL, 'RRM3_TIA1_like', NULL, NULL, 'RRM3_TIA1_like', 4618),
(4619, 'cd07473', NULL, 'Peptidases_S8_Subtilisin_like', NULL, NULL, 'Peptidases_S8_Subtilisin_like', 4619),
(4620, 'cd13687', NULL, 'PBP2_iGluR_NMDA', NULL, NULL, 'PBP2_iGluR_NMDA', 4620),
(4621, 'cd12153', NULL, 'F1-ATPase_epsilon', NULL, NULL, 'F1-ATPase_epsilon', 4621),
(4622, 'cd15816', NULL, 'SPRY_PRY_TRIM58', NULL, NULL, 'SPRY_PRY_TRIM58', 4622),
(4623, 'cd14596', NULL, 'PTPc-N20', NULL, NULL, 'PTPc-N20', 4623),
(4624, 'cd05197', NULL, 'GH4_glycoside_hydrolases', NULL, NULL, 'GH4_glycoside_hydrolases', 4624),
(4625, 'cd19433', NULL, 'lipocalin_CpcS-CpeS', NULL, NULL, 'lipocalin_CpcS-CpeS', 4625),
(4626, 'cd14063', NULL, 'PK_KSR', NULL, NULL, 'PK_KSR', 4626),
(4627, 'cd07523', NULL, 'HAD_YsbA-like', NULL, NULL, 'HAD_YsbA-like', 4627),
(4628, 'cd01362', NULL, 'Fumarase_classII', NULL, NULL, 'Fumarase_classII', 4628),
(4629, 'cd21625', NULL, 'MHV-like_Spike_S1_NTD', NULL, NULL, 'MHV-like_Spike_S1_NTD', 4629),
(4630, 'cd15466', NULL, 'CLU-central', NULL, NULL, 'CLU-central', 4630),
(4631, 'cd01207', NULL, 'EVH1_Ena_VASP-like', NULL, NULL, 'EVH1_Ena_VASP-like', 4631),
(4632, 'cd08227', NULL, 'PK_STRAD_alpha', NULL, NULL, 'PK_STRAD_alpha', 4632),
(4633, 'cd18950', NULL, 'bHLH-PAS_NCoA2_SRC2', NULL, NULL, 'bHLH-PAS_NCoA2_SRC2', 4633),
(4634, 'cd13223', NULL, 'PH-GRAM_MTM-like', NULL, NULL, 'PH-GRAM_MTM-like', 4634),
(4635, 'cd15171', NULL, '7tmA_CCRL2', NULL, NULL, '7tmA_CCRL2', 4635),
(4636, 'cd18655', NULL, 'CSD_HP1alpha_Cbx5', NULL, NULL, 'CSD_HP1alpha_Cbx5', 4636),
(4637, 'cd16469', NULL, 'RING-H2_RNF24_like', NULL, NULL, 'RING-H2_RNF24_like', 4637),
(4638, 'cd11780', NULL, 'SH3_Sorbs_3', NULL, NULL, 'SH3_Sorbs_3', 4638),
(4639, 'cd15261', NULL, '7tmB1_PDFR', NULL, NULL, '7tmB1_PDFR', 4639),
(4640, 'cd02124', NULL, 'PA_PoS1_like', NULL, NULL, 'PA_PoS1_like', 4640),
(4641, 'cd17222', NULL, 'RA_RASSF4', NULL, NULL, 'RA_RASSF4', 4641),
(4642, 'cd13937', NULL, 'PANDER_GnT-1_2_like', NULL, NULL, 'PANDER_GnT-1_2_like', 4642),
(4643, 'cd07242', NULL, 'VOC_BsYqjT', NULL, NULL, 'VOC_BsYqjT', 4643),
(4644, 'cd12273', NULL, 'RRM1_NEFsp', NULL, NULL, 'RRM1_NEFsp', 4644),
(4645, 'cd13931', NULL, 'PT-CloQ_NphB', NULL, NULL, 'PT-CloQ_NphB', 4645),
(4646, 'cd00518', NULL, 'H2MP', NULL, NULL, 'H2MP', 4646),
(4647, 'cd05745', NULL, 'Ig3_Peroxidasin', NULL, NULL, 'Ig3_Peroxidasin', 4647),
(4648, 'cd14260', NULL, 'PUFD_like_1', NULL, NULL, 'PUFD_like_1', 4648),
(4649, 'cd07301', NULL, 'PX_SNX21', NULL, NULL, 'PX_SNX21', 4649),
(4650, 'cd00620', NULL, 'Methyltransferase_Sun', NULL, NULL, 'Methyltransferase_Sun', 4650),
(4651, 'cd04173', NULL, 'Rnd2_Rho7', NULL, NULL, 'Rnd2_Rho7', 4651),
(4652, 'cd04899', NULL, 'ACT_ACR-UUR-like_2', NULL, NULL, 'ACT_ACR-UUR-like_2', 4652),
(4653, 'cd07100', NULL, 'ALDH_SSADH1_GabD1', NULL, NULL, 'ALDH_SSADH1_GabD1', 4653),
(4654, 'cd14592', NULL, 'PTP-MTMR1', NULL, NULL, 'PTP-MTMR1', 4654);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(4655, 'cd19963', NULL, 'PBP1_BMP-like', NULL, NULL, 'PBP1_BMP-like', 4655),
(4656, 'cd15647', NULL, 'PHD_CBP', NULL, NULL, 'PHD_CBP', 4656),
(4657, 'cd19912', NULL, 'DSRM_ILF3_rpt2', NULL, NULL, 'DSRM_ILF3_rpt2', 4657),
(4658, 'cd05739', NULL, 'Ig3_RPTP_IIa_LAR_like', NULL, NULL, 'Ig3_RPTP_IIa_LAR_like', 4658),
(4659, 'cd12345', NULL, 'RRM2_SECp43_like', NULL, NULL, 'RRM2_SECp43_like', 4659),
(4660, 'cd09854', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 4660),
(4661, 'cd06213', NULL, 'oxygenase_e_transfer_subunit', NULL, NULL, 'oxygenase_e_transfer_subunit', 4661),
(4662, 'cd02503', NULL, 'MobA', NULL, NULL, 'MobA', 4662),
(4663, 'cd07062', NULL, 'Peptidase_S66_mccF_like', NULL, NULL, 'Peptidase_S66_mccF_like', 4663),
(4664, 'cd04631', NULL, 'CBS_archAMPK_gamma-repeat2', NULL, NULL, 'CBS_archAMPK_gamma-repeat2', 4664),
(4665, 'cd08364', NULL, 'FosX', NULL, NULL, 'FosX', 4665),
(4666, 'cd03079', NULL, 'GST_N_Metaxin2', NULL, NULL, 'GST_N_Metaxin2', 4666),
(4667, 'cd09469', NULL, 'LIM1_Lhx2', NULL, NULL, 'LIM1_Lhx2', 4667),
(4668, 'cd12168', NULL, 'Mand_dh_like', NULL, NULL, 'Mand_dh_like', 4668),
(4669, 'cd15207', NULL, '7tmA_NPFFR', NULL, NULL, '7tmA_NPFFR', 4669),
(4670, 'cd03593', NULL, 'CLECT_NK_receptors_like', NULL, NULL, 'CLECT_NK_receptors_like', 4670),
(4671, 'cd10787', NULL, 'LamB_YcsF_like', NULL, NULL, 'LamB_YcsF_like', 4671),
(4672, 'cd00295', NULL, 'RNA_Cyclase', NULL, NULL, 'RNA_Cyclase', 4672),
(4673, 'cd09278', NULL, 'RNase_HI_prokaryote_like', NULL, NULL, 'RNase_HI_prokaryote_like', 4673),
(4674, 'cd11721', NULL, 'FANCD2', NULL, NULL, 'FANCD2', 4674),
(4675, 'cd17759', NULL, 'MCM8', NULL, NULL, 'MCM8', 4675),
(4676, 'cd08290', NULL, 'ETR', NULL, NULL, 'ETR', 4676),
(4677, 'cd17490', NULL, 'MFS_YxlH_like', NULL, NULL, 'MFS_YxlH_like', 4677),
(4678, 'cd02655', NULL, 'RNAP_beta''_C', NULL, NULL, 'RNAP_beta''_C', 4678),
(4679, 'cd09467', NULL, 'LIM1_Lhx3b', NULL, NULL, 'LIM1_Lhx3b', 4679),
(4680, 'cd11505', NULL, 'SLC5sbd_SMCT', NULL, NULL, 'SLC5sbd_SMCT', 4680),
(4681, 'cd00022', NULL, 'BIR', NULL, NULL, 'BIR', 4681),
(4682, 'cd15732', NULL, 'FYVE_MTMR3', NULL, NULL, 'FYVE_MTMR3', 4682),
(4683, 'cd01346', NULL, 'Maltoporin-like', NULL, NULL, 'Maltoporin-like', 4683),
(4684, 'cd02844', NULL, 'PAZ_CAF_like', NULL, NULL, 'PAZ_CAF_like', 4684),
(4685, 'cd07431', NULL, 'PHP_PolIIIA', NULL, NULL, 'PHP_PolIIIA', 4685),
(4686, 'cd05941', NULL, 'MCS', NULL, NULL, 'MCS', 4686),
(4687, 'cd20221', NULL, 'PFM_Dln1-like', NULL, NULL, 'PFM_Dln1-like', 4687),
(4688, 'cd10277', NULL, 'PQQ_ADH_I', NULL, NULL, 'PQQ_ADH_I', 4688),
(4689, 'cd04301', NULL, 'NAT_SF', NULL, NULL, 'NAT_SF', 4689),
(4690, 'cd19140', NULL, 'AKR_AKR3F3', NULL, NULL, 'AKR_AKR3F3', 4690),
(4691, 'cd07353', NULL, 'harmonin_N', NULL, NULL, 'harmonin_N', 4691),
(4692, 'cd01169', NULL, 'HMPP_kinase', NULL, NULL, 'HMPP_kinase', 4692),
(4693, 'cd02782', NULL, 'MopB_CT_1', NULL, NULL, 'MopB_CT_1', 4693),
(4694, 'cd21403', NULL, 'ZBD_tv_SF1_Hel-like', NULL, NULL, 'ZBD_tv_SF1_Hel-like', 4694),
(4695, 'cd13594', NULL, 'PBP2_HisGL4', NULL, NULL, 'PBP2_HisGL4', 4695),
(4696, 'cd03157', NULL, 'TM4SF12_like_LEL', NULL, NULL, 'TM4SF12_like_LEL', 4696),
(4697, 'cd12738', NULL, 'RRM1_Fusilli', NULL, NULL, 'RRM1_Fusilli', 4697),
(4698, 'cd05322', NULL, 'SDH_SDR_c_like', NULL, NULL, 'SDH_SDR_c_like', 4698),
(4699, 'cd06815', NULL, 'PLPDE_III_AR_like_1', NULL, NULL, 'PLPDE_III_AR_like_1', 4699),
(4700, 'cd05361', NULL, 'haloalcohol_DH_SDR_c-like', NULL, NULL, 'haloalcohol_DH_SDR_c-like', 4700),
(4701, 'cd05937', NULL, 'FATP_chFAT1_like', NULL, NULL, 'FATP_chFAT1_like', 4701),
(4702, 'cd09318', NULL, 'TDT_SSU1', NULL, NULL, 'TDT_SSU1', 4702),
(4703, 'cd05143', NULL, 'Barstar_SaI14_like', NULL, NULL, 'Barstar_SaI14_like', 4703),
(4704, 'cd06234', NULL, 'M14_PaCCP-like', NULL, NULL, 'M14_PaCCP-like', 4704),
(4705, 'cd07334', NULL, 'M48C_loiP_like', NULL, NULL, 'M48C_loiP_like', 4705),
(4706, 'cd00100', NULL, 'IL1', NULL, NULL, 'IL1', 4706),
(4707, 'cd02620', NULL, 'Peptidase_C1A_CathepsinB', NULL, NULL, 'Peptidase_C1A_CathepsinB', 4707);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(4708, 'cd10356', NULL, 'SH2_ShkA_ShkC', NULL, NULL, 'SH2_ShkA_ShkC', 4708),
(4709, 'cd00011', NULL, 'BAR_Arfaptin_like', NULL, NULL, 'BAR_Arfaptin_like', 4709),
(4710, 'cd15015', NULL, '7tm_TAS2R39', NULL, NULL, '7tm_TAS2R39', 4710),
(4711, 'cd10522', NULL, 'SET_LegAS4-like', NULL, NULL, 'SET_LegAS4-like', 4711),
(4712, 'cd08680', NULL, 'C2_Kibra', NULL, NULL, 'C2_Kibra', 4712),
(4713, 'cd17200', NULL, 'FERM_F1_FRMD4B', NULL, NULL, 'FERM_F1_FRMD4B', 4713),
(4714, 'cd04896', NULL, 'ACT_ACR-like_3', NULL, NULL, 'ACT_ACR-like_3', 4714),
(4715, 'cd05078', NULL, 'PTK_Jak2_rpt1', NULL, NULL, 'PTK_Jak2_rpt1', 4715),
(4716, 'cd17974', NULL, 'DEXHc_DHX16', NULL, NULL, 'DEXHc_DHX16', 4716),
(4717, 'cd07903', NULL, 'Adenylation_DNA_ligase_IV', NULL, NULL, 'Adenylation_DNA_ligase_IV', 4717),
(4718, 'cd10436', NULL, 'GIY-YIG_EndoII_Hpy188I_like', NULL, NULL, 'GIY-YIG_EndoII_Hpy188I_like', 4718),
(4719, 'cd14803', NULL, 'RAP', NULL, NULL, 'RAP', 4719),
(4720, 'cd07157', NULL, '2DBD_NR_DBD1', NULL, NULL, '2DBD_NR_DBD1', 4720),
(4721, 'cd07451', NULL, 'CRD_SMO', NULL, NULL, 'CRD_SMO', 4721),
(4722, 'cd08287', NULL, 'FDH_like_ADH3', NULL, NULL, 'FDH_like_ADH3', 4722),
(4723, 'cd17748', NULL, 'BRCT_DNA_ligase_like', NULL, NULL, 'BRCT_DNA_ligase_like', 4723),
(4724, 'cd08967', NULL, 'MeNeil1_N', NULL, NULL, 'MeNeil1_N', 4724),
(4725, 'cd05723', NULL, 'Ig4_Neogenin', NULL, NULL, 'Ig4_Neogenin', 4725),
(4726, 'cd14896', NULL, 'MYSc_Myo35', NULL, NULL, 'MYSc_Myo35', 4726),
(4727, 'cd04206', NULL, 'CuRO_1_LCC_like', NULL, NULL, 'CuRO_1_LCC_like', 4727),
(4728, 'cd01306', NULL, 'PhnM', NULL, NULL, 'PhnM', 4728),
(4729, 'cd04097', NULL, 'mtEFG1_C', NULL, NULL, 'mtEFG1_C', 4729),
(4730, 'cd07847', NULL, 'STKc_CDKL1_4', NULL, NULL, 'STKc_CDKL1_4', 4730),
(4731, 'cd15869', NULL, 'R-SNARE_VAMP4', NULL, NULL, 'R-SNARE_VAMP4', 4731),
(4732, 'cd12918', NULL, 'VKOR_arc', NULL, NULL, 'VKOR_arc', 4732),
(4733, 'cd14970', NULL, '7tmA_Opioid_R-like', NULL, NULL, '7tmA_Opioid_R-like', 4733),
(4734, 'cd09515', NULL, 'SAM_SGMS1-like', NULL, NULL, 'SAM_SGMS1-like', 4734),
(4735, 'cd09560', NULL, 'SAM_SASH3', NULL, NULL, 'SAM_SASH3', 4735),
(4736, 'cd09387', NULL, 'LIM2_LMO4', NULL, NULL, 'LIM2_LMO4', 4736),
(4737, 'cd01270', NULL, 'PTB_CAPON-like', NULL, NULL, 'PTB_CAPON-like', 4737),
(4738, 'cd01286', NULL, 'deoxycytidylate_deaminase', NULL, NULL, 'deoxycytidylate_deaminase', 4738),
(4739, 'cd19074', NULL, 'Aldo_ket_red_shaker-like', NULL, NULL, 'Aldo_ket_red_shaker-like', 4739),
(4740, 'cd01136', NULL, 'ATPase_flagellum-secretory_path_III', NULL, NULL, 'ATPase_flagellum-secretory_path_III', 4740),
(4741, 'cd13889', NULL, 'CuRO_3_BOD', NULL, NULL, 'CuRO_3_BOD', 4741),
(4742, 'cd05146', NULL, 'RIO3_euk', NULL, NULL, 'RIO3_euk', 4742),
(4743, 'cd18540', NULL, 'ABC_6TM_exporter_like', NULL, NULL, 'ABC_6TM_exporter_like', 4743),
(4744, 'cd17333', NULL, 'MFS_FucP_MFSD4_like', NULL, NULL, 'MFS_FucP_MFSD4_like', 4744),
(4745, 'cd05593', NULL, 'STKc_PKB_gamma', NULL, NULL, 'STKc_PKB_gamma', 4745),
(4746, 'cd07181', NULL, 'RNase_HII_eukaryota_like', NULL, NULL, 'RNase_HII_eukaryota_like', 4746),
(4747, 'cd03143', NULL, 'A4_beta-galactosidase_middle_domain', NULL, NULL, 'A4_beta-galactosidase_middle_domain', 4747),
(4748, 'cd14408', NULL, 'UBA_SIK1', NULL, NULL, 'UBA_SIK1', 4748),
(4749, 'cd12715', NULL, 'RRM2_MATR3', NULL, NULL, 'RRM2_MATR3', 4749),
(4750, 'cd00172', NULL, 'serpin', NULL, NULL, 'serpin', 4750),
(4751, 'cd07517', NULL, 'HAD_HPP', NULL, NULL, 'HAD_HPP', 4751),
(4752, 'cd07392', NULL, 'MPP_PAE1087', NULL, NULL, 'MPP_PAE1087', 4752),
(4753, 'cd18348', NULL, 'BTB_POZ_BTBD3', NULL, NULL, 'BTB_POZ_BTBD3', 4753),
(4754, 'cd18463', NULL, 'BACK_KLHL24', NULL, NULL, 'BACK_KLHL24', 4754),
(4755, 'cd11694', NULL, 'DHR2_DOCK_D', NULL, NULL, 'DHR2_DOCK_D', 4755),
(4756, 'cd17024', NULL, 'T3SC_IA_DspF-like', NULL, NULL, 'T3SC_IA_DspF-like', 4756),
(4757, 'cd06246', NULL, 'M14_CPB2', NULL, NULL, 'M14_CPB2', 4757),
(4758, 'cd17667', NULL, 'R-PTPc-G-1', NULL, NULL, 'R-PTPc-G-1', 4758),
(4759, 'cd08500', NULL, 'PBP2_NikA_DppA_OppA_like_4', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_4', 4759);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(4760, 'cd11469', NULL, 'bHLH-PAS_ARNTL2_PASD9', NULL, NULL, 'bHLH-PAS_ARNTL2_PASD9', 4760),
(4761, 'cd05014', NULL, 'SIS_Kpsf', NULL, NULL, 'SIS_Kpsf', 4761),
(4762, 'cd20243', NULL, 'NoBody', NULL, NULL, 'NoBody', 4762),
(4763, 'cd15946', NULL, '7tmA_OR1330-like', NULL, NULL, '7tmA_OR1330-like', 4763),
(4764, 'cd05755', NULL, 'Ig2_ICAM-1_like', NULL, NULL, 'Ig2_ICAM-1_like', 4764),
(4765, 'cd16429', NULL, 'VirB10', NULL, NULL, 'VirB10', 4765),
(4766, 'cd08389', NULL, 'C2A_Synaptotagmin-14_16', NULL, NULL, 'C2A_Synaptotagmin-14_16', 4766),
(4767, 'cd13586', NULL, 'PBP2_Maltose_binding_like', NULL, NULL, 'PBP2_Maltose_binding_like', 4767),
(4768, 'cd07034', NULL, 'TPP_PYR_PFOR_IOR-alpha_like', NULL, NULL, 'TPP_PYR_PFOR_IOR-alpha_like', 4768),
(4769, 'cd04410', NULL, 'DMSOR_beta-like', NULL, NULL, 'DMSOR_beta-like', 4769),
(4770, 'cd07480', NULL, 'Peptidases_S8_12', NULL, NULL, 'Peptidases_S8_12', 4770),
(4771, 'cd09804', NULL, 'Dcp1', NULL, NULL, 'Dcp1', 4771),
(4772, 'cd03165', NULL, 'NET-5_like_LEL', NULL, NULL, 'NET-5_like_LEL', 4772),
(4773, 'cd12707', NULL, 'RRM_LARP4', NULL, NULL, 'RRM_LARP4', 4773),
(4774, 'cd19001', NULL, 'LGIC_ECD_GABAAR_delta', NULL, NULL, 'LGIC_ECD_GABAAR_delta', 4774),
(4775, 'cd06179', NULL, 'MFS_TRI12_like', NULL, NULL, 'MFS_TRI12_like', 4775),
(4776, 'cd17946', NULL, 'DEADc_DDX24', NULL, NULL, 'DEADc_DDX24', 4776),
(4777, 'cd14899', NULL, 'MYSc_Myo38', NULL, NULL, 'MYSc_Myo38', 4777),
(4778, 'cd18458', NULL, 'BACK_KLHL19_KEAP1', NULL, NULL, 'BACK_KLHL19_KEAP1', 4778),
(4779, 'cd02070', NULL, 'corrinoid_protein_B12-BD', NULL, NULL, 'corrinoid_protein_B12-BD', 4779),
(4780, 'cd09563', NULL, 'SAM_liprin-beta1,2_repeat1', NULL, NULL, 'SAM_liprin-beta1,2_repeat1', 4780),
(4781, 'cd11885', NULL, 'SH3_SH3TC', NULL, NULL, 'SH3_SH3TC', 4781),
(4782, 'cd12465', NULL, 'RRM_UHMK1', NULL, NULL, 'RRM_UHMK1', 4782),
(4783, 'cd14387', NULL, 'UBA2_UBP13', NULL, NULL, 'UBA2_UBP13', 4783),
(4784, 'cd14814', NULL, 'Peptidase_M15', NULL, NULL, 'Peptidase_M15', 4784),
(4785, 'cd06452', NULL, 'SepCysS', NULL, NULL, 'SepCysS', 4785),
(4786, 'cd00957', NULL, 'Transaldolase_TalAB', NULL, NULL, 'Transaldolase_TalAB', 4786),
(4787, 'cd08506', NULL, 'PBP2_clavulanate_OppA2', NULL, NULL, 'PBP2_clavulanate_OppA2', 4787),
(4788, 'cd09429', NULL, 'LIM3_FHL1', NULL, NULL, 'LIM3_FHL1', 4788),
(4789, 'cd15213', NULL, '7tmA_PSP24-like', NULL, NULL, '7tmA_PSP24-like', 4789),
(4790, 'cd01772', NULL, 'UBX_UBXN1', NULL, NULL, 'UBX_UBXN1', 4790),
(4791, 'cd05357', NULL, 'PR_SDR_c', NULL, NULL, 'PR_SDR_c', 4791),
(4792, 'cd02677', NULL, 'MIT_SNX15', NULL, NULL, 'MIT_SNX15', 4792),
(4793, 'cd02584', NULL, 'RNAP_II_Rpb1_C', NULL, NULL, 'RNAP_II_Rpb1_C', 4793),
(4794, 'cd16500', NULL, 'RING-HC_CARP', NULL, NULL, 'RING-HC_CARP', 4794),
(4795, 'cd20281', NULL, 'cupin_QDO_C', NULL, NULL, 'cupin_QDO_C', 4795),
(4796, 'cd12702', NULL, 'RRM4_PTBP2', NULL, NULL, 'RRM4_PTBP2', 4796),
(4797, 'cd05283', NULL, 'CAD1', NULL, NULL, 'CAD1', 4797),
(4798, 'cd09238', NULL, 'V_Alix_like_1', NULL, NULL, 'V_Alix_like_1', 4798),
(4799, 'cd09406', NULL, 'LIM1_Leupaxin', NULL, NULL, 'LIM1_Leupaxin', 4799),
(4800, 'cd11882', NULL, 'SH3_GRAF-like', NULL, NULL, 'SH3_GRAF-like', 4800),
(4801, 'cd09414', NULL, 'LIM1_LIMPETin', NULL, NULL, 'LIM1_LIMPETin', 4801),
(4802, 'cd01902', NULL, 'Ntn_CGH', NULL, NULL, 'Ntn_CGH', 4802),
(4803, 'cd19831', NULL, 'Bbox2_MuRF1_C-II', NULL, NULL, 'Bbox2_MuRF1_C-II', 4803),
(4804, 'cd15968', NULL, '7tmA_P2Y6_P2Y3-like', NULL, NULL, '7tmA_P2Y6_P2Y3-like', 4804),
(4805, 'cd05559', NULL, 'CAP_PI16_HrTT-1', NULL, NULL, 'CAP_PI16_HrTT-1', 4805),
(4806, 'cd11244', NULL, 'Sema_plexin_A', NULL, NULL, 'Sema_plexin_A', 4806),
(4807, 'cd19567', NULL, 'serpinB8_CAP-2', NULL, NULL, 'serpinB8_CAP-2', 4807),
(4808, 'cd21639', NULL, 'NS7a_deltaCoV_HKU30-like', NULL, NULL, 'NS7a_deltaCoV_HKU30-like', 4808),
(4809, 'cd00727', NULL, 'malate_synt_A', NULL, NULL, 'malate_synt_A', 4809),
(4810, 'cd08632', NULL, 'PI-PLCc_eta1', NULL, NULL, 'PI-PLCc_eta1', 4810),
(4811, 'cd05785', NULL, 'DNA_polB_like2_exo', NULL, NULL, 'DNA_polB_like2_exo', 4811);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(4812, 'cd02047', NULL, 'serpinD1_HCF2', NULL, NULL, 'serpinD1_HCF2', 4812),
(4813, 'cd03759', NULL, 'proteasome_beta_type_3', NULL, NULL, 'proteasome_beta_type_3', 4813),
(4814, 'cd03316', NULL, 'MR_like', NULL, NULL, 'MR_like', 4814),
(4815, 'cd12004', NULL, 'SH3_Lyn', NULL, NULL, 'SH3_Lyn', 4815),
(4816, 'cd15693', NULL, 'ePHD_KMT2A', NULL, NULL, 'ePHD_KMT2A', 4816),
(4817, 'cd06379', NULL, 'PBP1_iGluR_NMDA_NR1', NULL, NULL, 'PBP1_iGluR_NMDA_NR1', 4817),
(4818, 'cd12665', NULL, 'RRM2_RAVER1', NULL, NULL, 'RRM2_RAVER1', 4818),
(4819, 'cd10005', NULL, 'HDAC3', NULL, NULL, 'HDAC3', 4819),
(4820, 'cd02078', NULL, 'P-type_ATPase_K', NULL, NULL, 'P-type_ATPase_K', 4820),
(4821, 'cd12208', NULL, 'septicolysin_like', NULL, NULL, 'septicolysin_like', 4821),
(4822, 'cd18094', NULL, 'SpoU-like_TrmL', NULL, NULL, 'SpoU-like_TrmL', 4822),
(4823, 'cd00458', NULL, 'SugarP_isomerase', NULL, NULL, 'SugarP_isomerase', 4823),
(4824, 'cd13740', NULL, 'SPRY_PRY_TRIM7', NULL, NULL, 'SPRY_PRY_TRIM7', 4824),
(4825, 'cd01520', NULL, 'RHOD_YbbB', NULL, NULL, 'RHOD_YbbB', 4825),
(4826, 'cd03820', NULL, 'GT4_AmsD-like', NULL, NULL, 'GT4_AmsD-like', 4826),
(4827, 'cd12828', NULL, 'TmCorA-like_1', NULL, NULL, 'TmCorA-like_1', 4827),
(4828, 'cd12177', NULL, '2-Hacid_dh_12', NULL, NULL, '2-Hacid_dh_12', 4828),
(4829, 'cd11289', NULL, 'gelsolin_S2_like', NULL, NULL, 'gelsolin_S2_like', 4829),
(4830, 'cd04169', NULL, 'RF3', NULL, NULL, 'RF3', 4830),
(4831, 'cd08752', NULL, 'RGS_GRK5', NULL, NULL, 'RGS_GRK5', 4831),
(4832, 'cd08713', NULL, 'RGS_RGS3', NULL, NULL, 'RGS_RGS3', 4832),
(4833, 'cd09434', NULL, 'LIM4_FHL3', NULL, NULL, 'LIM4_FHL3', 4833),
(4834, 'cd16809', NULL, 'RING_CH-C4HC3_MARCH3', NULL, NULL, 'RING_CH-C4HC3_MARCH3', 4834),
(4835, 'cd01383', NULL, 'MYSc_Myo8', NULL, NULL, 'MYSc_Myo8', 4835),
(4836, 'cd05860', NULL, 'Ig4_SCFR', NULL, NULL, 'Ig4_SCFR', 4836),
(4837, 'cd20374', NULL, 'Pot1C', NULL, NULL, 'Pot1C', 4837),
(4838, 'cd01573', NULL, 'modD_like', NULL, NULL, 'modD_like', 4838),
(4839, 'cd21563', NULL, 'Macro_cv_SUD-M_Nsp3-like', NULL, NULL, 'Macro_cv_SUD-M_Nsp3-like', 4839),
(4840, 'cd05061', NULL, 'PTKc_InsR', NULL, NULL, 'PTKc_InsR', 4840),
(4841, 'cd19139', NULL, 'AKR_AKR3F2', NULL, NULL, 'AKR_AKR3F2', 4841),
(4842, 'cd16079', NULL, 'TSP-3cc', NULL, NULL, 'TSP-3cc', 4842),
(4843, 'cd10558', NULL, 'FDH-N', NULL, NULL, 'FDH-N', 4843),
(4844, 'cd06141', NULL, 'WRN_exo', NULL, NULL, 'WRN_exo', 4844),
(4845, 'cd18434', NULL, 'BRCT_TopBP1_rpt5', NULL, NULL, 'BRCT_TopBP1_rpt5', 4845),
(4846, 'cd12092', NULL, 'TM_ErbB4', NULL, NULL, 'TM_ErbB4', 4846),
(4847, 'cd16532', NULL, 'RING-HC_RNFT1_like', NULL, NULL, 'RING-HC_RNFT1_like', 4847),
(4848, 'cd19065', NULL, 'LGIC_TM_ZAC', NULL, NULL, 'LGIC_TM_ZAC', 4848),
(4849, 'cd11980', NULL, 'SH3_VAV2_1', NULL, NULL, 'SH3_VAV2_1', 4849),
(4850, 'cd10563', NULL, 'CooF_like', NULL, NULL, 'CooF_like', 4850),
(4851, 'cd17052', NULL, 'Ubl1_FAT10', NULL, NULL, 'Ubl1_FAT10', 4851),
(4852, 'cd06922', NULL, 'ChtBD1_GH18_1', NULL, NULL, 'ChtBD1_GH18_1', 4852),
(4853, 'cd13143', NULL, 'MATE_MepA_like', NULL, NULL, 'MATE_MepA_like', 4853),
(4854, 'cd18486', NULL, 'BACK_KBTBD13', NULL, NULL, 'BACK_KBTBD13', 4854),
(4855, 'cd08803', NULL, 'Death_ank3', NULL, NULL, 'Death_ank3', 4855),
(4856, 'cd15874', NULL, 'R-SNARE_Snc1', NULL, NULL, 'R-SNARE_Snc1', 4856),
(4857, 'cd00896', NULL, 'PI3Kc_III', NULL, NULL, 'PI3Kc_III', 4857),
(4858, 'cd16649', NULL, 'mRING-HC-C3HC5_CGRF1_like', NULL, NULL, 'mRING-HC-C3HC5_CGRF1_like', 4858),
(4859, 'cd13966', NULL, 'PT_UbiA_4', NULL, NULL, 'PT_UbiA_4', 4859),
(4860, 'cd09223', NULL, 'Photo_RC', NULL, NULL, 'Photo_RC', 4860),
(4861, 'cd07770', NULL, 'FGGY_GntK', NULL, NULL, 'FGGY_GntK', 4861),
(4862, 'cd12662', NULL, 'RRM3_MYEF2', NULL, NULL, 'RRM3_MYEF2', 4862),
(4863, 'cd12442', NULL, 'RRM_RBM48', NULL, NULL, 'RRM_RBM48', 4863),
(4864, 'cd02658', NULL, 'Peptidase_C19B', NULL, NULL, 'Peptidase_C19B', 4864),
(4865, 'cd03783', NULL, 'MATH_Meprin_Alpha', NULL, NULL, 'MATH_Meprin_Alpha', 4865),
(4866, 'sd00029', NULL, 'zf-RanBP2', NULL, NULL, 'zf-RanBP2', 4866);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(4867, 'cd02858', NULL, 'E_set_Esterase_N', NULL, NULL, 'E_set_Esterase_N', 4867),
(4868, 'cd19051', NULL, 'LGIC_TM_cation', NULL, NULL, 'LGIC_TM_cation', 4868),
(4869, 'cd11483', NULL, 'SLC-NCS1sbd_Mhp1-like', NULL, NULL, 'SLC-NCS1sbd_Mhp1-like', 4869),
(4870, 'cd16311', NULL, 'THIN-B2-like_MBL-B3', NULL, NULL, 'THIN-B2-like_MBL-B3', 4870),
(4871, 'cd06989', NULL, 'cupin_DRT102', NULL, NULL, 'cupin_DRT102', 4871),
(4872, 'cd17268', NULL, 'RMtype1_S_Ara36733I_TRD1-CR1_like', NULL, NULL, 'RMtype1_S_Ara36733I_TRD1-CR1_like', 4872),
(4873, 'cd01858', NULL, 'NGP_1', NULL, NULL, 'NGP_1', 4873),
(4874, 'cd11555', NULL, 'SLC-NCS1sbd_u1', NULL, NULL, 'SLC-NCS1sbd_u1', 4874),
(4875, 'cd10458', NULL, 'GIY-YIG_NifU', NULL, NULL, 'GIY-YIG_NifU', 4875),
(4876, 'cd19041', NULL, 'LGIC_ECD_GABAAR_B2', NULL, NULL, 'LGIC_ECD_GABAAR_B2', 4876),
(4877, 'cd08154', NULL, 'catalase_clade_1', NULL, NULL, 'catalase_clade_1', 4877),
(4878, 'cd13444', NULL, 'CDI_toxin_EC869_like', NULL, NULL, 'CDI_toxin_EC869_like', 4878),
(4879, 'cd02582', NULL, 'RNAP_archeal_A''', NULL, NULL, 'RNAP_archeal_A''', 4879),
(4880, 'cd16755', NULL, 'RING-HC_TRIM9', NULL, NULL, 'RING-HC_TRIM9', 4880),
(4881, 'cd04147', NULL, 'Ras_dva', NULL, NULL, 'Ras_dva', 4881),
(4882, 'cd17454', NULL, 'MFS_NaGLT1_MFSD4B', NULL, NULL, 'MFS_NaGLT1_MFSD4B', 4882),
(4883, 'cd05133', NULL, 'RasGAP_IQGAP1', NULL, NULL, 'RasGAP_IQGAP1', 4883),
(4884, 'cd16308', NULL, 'GOB1-like_MBL-B3', NULL, NULL, 'GOB1-like_MBL-B3', 4884),
(4885, 'cd12230', NULL, 'RRM1_U2AF65', NULL, NULL, 'RRM1_U2AF65', 4885),
(4886, 'cd06185', NULL, 'PDR_like', NULL, NULL, 'PDR_like', 4886),
(4887, 'cd06987', NULL, 'cupin_MAE_RS03005', NULL, NULL, 'cupin_MAE_RS03005', 4887),
(4888, 'cd14923', NULL, 'MYSc_Myh13', NULL, NULL, 'MYSc_Myh13', 4888),
(4889, 'cd03259', NULL, 'ABC_Carb_Solutes_like', NULL, NULL, 'ABC_Carb_Solutes_like', 4889),
(4890, 'cd02508', NULL, 'ADP_Glucose_PP', NULL, NULL, 'ADP_Glucose_PP', 4890),
(4891, 'cd08021', NULL, 'M20_Acy1_YhaA-like', NULL, NULL, 'M20_Acy1_YhaA-like', 4891),
(4892, 'cd08067', NULL, 'MPN_2A_DUB', NULL, NULL, 'MPN_2A_DUB', 4892),
(4893, 'cd05676', NULL, 'M20_dipept_like_CNDP', NULL, NULL, 'M20_dipept_like_CNDP', 4893),
(4894, 'cd18213', NULL, 'BTB_POZ_ZBTB25_ZNF46_KUP', NULL, NULL, 'BTB_POZ_ZBTB25_ZNF46_KUP', 4894),
(4895, 'cd19028', NULL, 'LGIC_ECD_nAChR_D', NULL, NULL, 'LGIC_ECD_nAChR_D', 4895),
(4896, 'cd15784', NULL, 'PH_RUTBC', NULL, NULL, 'PH_RUTBC', 4896),
(4897, 'cd12100', NULL, 'DD_CABYR_SP17', NULL, NULL, 'DD_CABYR_SP17', 4897),
(4898, 'cd15862', NULL, 'SNARE_Vti1', NULL, NULL, 'SNARE_Vti1', 4898),
(4899, 'cd09476', NULL, 'LIM1_TLP', NULL, NULL, 'LIM1_TLP', 4899),
(4900, 'cd11911', NULL, 'SH3_CIP4-like', NULL, NULL, 'SH3_CIP4-like', 4900),
(4901, 'cd05773', NULL, 'Ig_hNephrin_like', NULL, NULL, 'Ig_hNephrin_like', 4901),
(4902, 'cd01525', NULL, 'RHOD_Kc', NULL, NULL, 'RHOD_Kc', 4902),
(4903, 'cd15364', NULL, '7tmA_GPR132_G2A', NULL, NULL, '7tmA_GPR132_G2A', 4903),
(4904, 'cd01813', NULL, 'Ubl_UBLCP1', NULL, NULL, 'Ubl_UBLCP1', 4904),
(4905, 'cd12073', NULL, 'SH3_HS1', NULL, NULL, 'SH3_HS1', 4905),
(4906, 'cd14723', NULL, 'ZIP_Ppr1', NULL, NULL, 'ZIP_Ppr1', 4906),
(4907, 'cd19151', NULL, 'AKR_AKR14A2', NULL, NULL, 'AKR_AKR14A2', 4907),
(4908, 'cd10374', NULL, 'SH2_STAT3', NULL, NULL, 'SH2_STAT3', 4908),
(4909, 'cd16612', NULL, 'RING-HC_TRIM72_C-IV', NULL, NULL, 'RING-HC_TRIM72_C-IV', 4909),
(4910, 'cd17943', NULL, 'DEADc_DDX20', NULL, NULL, 'DEADc_DDX20', 4910),
(4911, 'cd01784', NULL, 'RA_RASSF2_like', NULL, NULL, 'RA_RASSF2_like', 4911),
(4912, 'cd07361', NULL, 'MEMO_like', NULL, NULL, 'MEMO_like', 4912),
(4913, 'cd08897', NULL, 'SRPBCC_CalC_Aha1-like_4', NULL, NULL, 'SRPBCC_CalC_Aha1-like_4', 4913),
(4914, 'cd00047', NULL, 'PTPc', NULL, NULL, 'PTPc', 4914),
(4915, 'cd05743', NULL, 'Ig_Perlecan_like', NULL, NULL, 'Ig_Perlecan_like', 4915),
(4916, 'cd05793', NULL, 'S1_IF1A', NULL, NULL, 'S1_IF1A', 4916),
(4917, 'cd14019', NULL, 'STKc_Cdc7', NULL, NULL, 'STKc_Cdc7', 4917),
(4918, 'cd17534', NULL, 'REC_DC-like', NULL, NULL, 'REC_DC-like', 4918);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(4919, 'cd14366', NULL, 'CUE_CUED1', NULL, NULL, 'CUE_CUED1', 4919),
(4920, 'cd11522', NULL, 'SLC6sbd_SBAT1', NULL, NULL, 'SLC6sbd_SBAT1', 4920),
(4921, 'cd07151', NULL, 'ALDH_HBenzADH', NULL, NULL, 'ALDH_HBenzADH', 4921),
(4922, 'cd16177', NULL, 'EFh_HEF_CR', NULL, NULL, 'EFh_HEF_CR', 4922),
(4923, 'cd05472', NULL, 'cnd41_like', NULL, NULL, 'cnd41_like', 4923),
(4924, 'cd14215', NULL, 'PKc_CLK2', NULL, NULL, 'PKc_CLK2', 4924),
(4925, 'cd07171', NULL, 'NR_DBD_ER', NULL, NULL, 'NR_DBD_ER', 4925),
(4926, 'cd16031', NULL, 'G6S_like', NULL, NULL, 'G6S_like', 4926),
(4927, 'cd09115', NULL, 'PLDc_PPK1_C2', NULL, NULL, 'PLDc_PPK1_C2', 4927),
(4928, 'cd18049', NULL, 'DEADc_DDX5', NULL, NULL, 'DEADc_DDX5', 4928),
(4929, 'cd06394', NULL, 'PBP1_iGluR_Kainate_KA1_2', NULL, NULL, 'PBP1_iGluR_Kainate_KA1_2', 4929),
(4930, 'cd13663', NULL, 'PBP2_PotD_PotF_like_2', NULL, NULL, 'PBP2_PotD_PotF_like_2', 4930),
(4931, 'cd15269', NULL, '7tmB1_VIP-R1', NULL, NULL, '7tmB1_VIP-R1', 4931),
(4932, 'cd10554', NULL, 'HycB_like', NULL, NULL, 'HycB_like', 4932),
(4933, 'cd04914', NULL, 'ACT_AKi-DapG-BS_1', NULL, NULL, 'ACT_AKi-DapG-BS_1', 4933),
(4934, 'cd07585', NULL, 'nitrilase_7', NULL, NULL, 'nitrilase_7', 4934),
(4935, 'cd03511', NULL, 'Rhizopine-oxygenase-like', NULL, NULL, 'Rhizopine-oxygenase-like', 4935),
(4936, 'cd07930', NULL, 'bacterial_phosphagen_kinase', NULL, NULL, 'bacterial_phosphagen_kinase', 4936),
(4937, 'cd07877', NULL, 'STKc_p38alpha', NULL, NULL, 'STKc_p38alpha', 4937),
(4938, 'cd07648', NULL, 'F-BAR_FCHO', NULL, NULL, 'F-BAR_FCHO', 4938),
(4939, 'cd09918', NULL, 'SH2_Nterm_SPT6_like', NULL, NULL, 'SH2_Nterm_SPT6_like', 4939),
(4940, 'sd00017', NULL, 'ZF_C2H2', NULL, NULL, 'ZF_C2H2', 4940),
(4941, 'cd15478', NULL, 'Myo5a_CBD', NULL, NULL, 'Myo5a_CBD', 4941),
(4942, 'cd08537', NULL, 'SAM_PNT-ESE-1-like', NULL, NULL, 'SAM_PNT-ESE-1-like', 4942),
(4943, 'cd08194', NULL, 'Fe-ADH-like', NULL, NULL, 'Fe-ADH-like', 4943),
(4944, 'cd01301', NULL, 'rDP_like', NULL, NULL, 'rDP_like', 4944),
(4945, 'cd11973', NULL, 'SH3_ASEF', NULL, NULL, 'SH3_ASEF', 4945),
(4946, 'cd19893', NULL, 'DSRM_TARBP2_rpt3', NULL, NULL, 'DSRM_TARBP2_rpt3', 4946),
(4947, 'cd03725', NULL, 'SOCS_ASB6', NULL, NULL, 'SOCS_ASB6', 4947),
(4948, 'cd06877', NULL, 'PX_SNX14', NULL, NULL, 'PX_SNX14', 4948),
(4949, 'cd05384', NULL, 'CAP_PRY1-like', NULL, NULL, 'CAP_PRY1-like', 4949),
(4950, 'cd15023', NULL, '7tm_TAS2R7-like', NULL, NULL, '7tm_TAS2R7-like', 4950),
(4951, 'cd03805', NULL, 'GT4_ALG2-like', NULL, NULL, 'GT4_ALG2-like', 4951),
(4952, 'cd13208', NULL, 'PH-GRAM_MTMR5_MTMR13', NULL, NULL, 'PH-GRAM_MTMR5_MTMR13', 4952),
(4953, 'cd00651', NULL, 'TFold', NULL, NULL, 'TFold', 4953),
(4954, 'cd16104', NULL, 'Ubl_USP14_like', NULL, NULL, 'Ubl_USP14_like', 4954),
(4955, 'cd17234', NULL, 'Ubl_ATG8_MAP1LC3A', NULL, NULL, 'Ubl_ATG8_MAP1LC3A', 4955),
(4956, 'cd18338', NULL, 'BTB_POZ_KLHL2_Mayven', NULL, NULL, 'BTB_POZ_KLHL2_Mayven', 4956),
(4957, 'cd18625', NULL, 'GH32_BfrA-like', NULL, NULL, 'GH32_BfrA-like', 4957),
(4958, 'cd19830', NULL, 'Bbox2_TIF1g_C-VI', NULL, NULL, 'Bbox2_TIF1g_C-VI', 4958),
(4959, 'cd03234', NULL, 'ABCG_White', NULL, NULL, 'ABCG_White', 4959),
(4960, 'cd17768', NULL, 'adenosylhopane_nucleosidase_HpnG-like', NULL, NULL, 'adenosylhopane_nucleosidase_HpnG-like', 4960),
(4961, 'cd00320', NULL, 'cpn10', NULL, NULL, 'cpn10', 4961),
(4962, 'cd12160', NULL, '2-Hacid_dh_3', NULL, NULL, '2-Hacid_dh_3', 4962),
(4963, 'cd01288', NULL, 'FabZ', NULL, NULL, 'FabZ', 4963),
(4964, 'cd16441', NULL, 'beta_Kdo_transferase_KpsS', NULL, NULL, 'beta_Kdo_transferase_KpsS', 4964),
(4965, 'cd17353', NULL, 'MFS_OFA_like', NULL, NULL, 'MFS_OFA_like', 4965),
(4966, 'cd19945', NULL, 'Fer2_BFD', NULL, NULL, 'Fer2_BFD', 4966),
(4967, 'cd04663', NULL, 'Nudix_Hydrolase_6', NULL, NULL, 'Nudix_Hydrolase_6', 4967),
(4968, 'cd18384', NULL, 'BTB_POZ_Kv9_KCNS', NULL, NULL, 'BTB_POZ_Kv9_KCNS', 4968),
(4969, 'cd15623', NULL, 'PHD_TIF1beta', NULL, NULL, 'PHD_TIF1beta', 4969),
(4970, 'cd15929', NULL, '7tmB1_GlucagonR-like', NULL, NULL, '7tmB1_GlucagonR-like', 4970);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(4971, 'cd04280', NULL, 'ZnMc_astacin_like', NULL, NULL, 'ZnMc_astacin_like', 4971),
(4972, 'cd10797', NULL, 'GH57N_APU_like_1', NULL, NULL, 'GH57N_APU_like_1', 4972),
(4973, 'cd03337', NULL, 'TCP1_gamma', NULL, NULL, 'TCP1_gamma', 4973),
(4974, 'cd19187', NULL, 'PR-SET_PRDM1', NULL, NULL, 'PR-SET_PRDM1', 4974),
(4975, 'cd04479', NULL, 'RPA3', NULL, NULL, 'RPA3', 4975),
(4976, 'cd11329', NULL, 'AmyAc_maltase-like', NULL, NULL, 'AmyAc_maltase-like', 4976),
(4977, 'cd14006', NULL, 'STKc_MLCK-like', NULL, NULL, 'STKc_MLCK-like', 4977),
(4978, 'cd16264', NULL, 'snRNP_III', NULL, NULL, 'snRNP_III', 4978),
(4979, 'cd05636', NULL, 'LbH_G1P_TT_C_like', NULL, NULL, 'LbH_G1P_TT_C_like', 4979),
(4980, 'cd12471', NULL, 'RRM1_MSSP2', NULL, NULL, 'RRM1_MSSP2', 4980),
(4981, 'cd18764', NULL, 'PIN_MtVapC3-like', NULL, NULL, 'PIN_MtVapC3-like', 4981),
(4982, 'cd00129', NULL, 'PAN_APPLE', NULL, NULL, 'PAN_APPLE', 4982),
(4983, 'cd14685', NULL, 'RanBD3_RanBP2-like', NULL, NULL, 'RanBD3_RanBP2-like', 4983),
(4984, 'cd05568', NULL, 'PTS_IIB_bgl_like', NULL, NULL, 'PTS_IIB_bgl_like', 4984),
(4985, 'cd07922', NULL, 'CarBa', NULL, NULL, 'CarBa', 4985),
(4986, 'cd18512', NULL, 'BACK_KLHL2_Mayven', NULL, NULL, 'BACK_KLHL2_Mayven', 4986),
(4987, 'cd03027', NULL, 'GRX_DEP', NULL, NULL, 'GRX_DEP', 4987),
(4988, 'cd02179', NULL, 'GH16_beta_GRP', NULL, NULL, 'GH16_beta_GRP', 4988),
(4989, 'cd17960', NULL, 'DEADc_DDX55', NULL, NULL, 'DEADc_DDX55', 4989),
(4990, 'cd19712', NULL, 'bHLH_TS_dimmed_like', NULL, NULL, 'bHLH_TS_dimmed_like', 4990),
(4991, 'cd02601', NULL, 'HAD_Eya', NULL, NULL, 'HAD_Eya', 4991),
(4992, 'cd17453', NULL, 'MFS_MFSD4A', NULL, NULL, 'MFS_MFSD4A', 4992),
(4993, 'cd08787', NULL, 'CARD_NOD2_1_CARD15', NULL, NULL, 'CARD_NOD2_1_CARD15', 4993),
(4994, 'cd08990', NULL, 'GH43_AXH_like', NULL, NULL, 'GH43_AXH_like', 4994),
(4995, 'cd05248', NULL, 'ADP_GME_SDR_e', NULL, NULL, 'ADP_GME_SDR_e', 4995),
(4996, 'cd19384', NULL, 'TGF_beta_TGFB1', NULL, NULL, 'TGF_beta_TGFB1', 4996),
(4997, 'cd03284', NULL, 'ABC_MutS1', NULL, NULL, 'ABC_MutS1', 4997),
(4998, 'cd00305', NULL, 'Cu-Zn_Superoxide_Dismutase', NULL, NULL, 'Cu-Zn_Superoxide_Dismutase', 4998),
(4999, 'cd09989', NULL, 'Arginase', NULL, NULL, 'Arginase', 4999),
(5000, 'cd10938', NULL, 'CE4_HpPgdA_like', NULL, NULL, 'CE4_HpPgdA_like', 5000),
(5001, 'cd16587', NULL, 'RING-HC_TRIM32_C-VII', NULL, NULL, 'RING-HC_TRIM32_C-VII', 5001),
(5002, 'cd12034', NULL, 'SH3_MPP4', NULL, NULL, 'SH3_MPP4', 5002),
(5003, 'cd06904', NULL, 'M14_MpaA-like', NULL, NULL, 'M14_MpaA-like', 5003),
(5004, 'cd11438', NULL, 'bHLH-PAS_ARNTL_PASD3', NULL, NULL, 'bHLH-PAS_ARNTL_PASD3', 5004),
(5005, 'cd00248', NULL, 'Mth938-like', NULL, NULL, 'Mth938-like', 5005),
(5006, 'cd06908', NULL, 'M14_AGBL4_like', NULL, NULL, 'M14_AGBL4_like', 5006),
(5007, 'cd01979', NULL, 'Pchlide_reductase_N', NULL, NULL, 'Pchlide_reductase_N', 5007),
(5008, 'cd10474', NULL, 'EphR_LBD_B4', NULL, NULL, 'EphR_LBD_B4', 5008),
(5009, 'cd03132', NULL, 'GATase1_catalase', NULL, NULL, 'GATase1_catalase', 5009),
(5010, 'cd06284', NULL, 'PBP1_LacI-like', NULL, NULL, 'PBP1_LacI-like', 5010),
(5011, 'cd16083', NULL, 'IgC_CD80', NULL, NULL, 'IgC_CD80', 5011),
(5012, 'cd11853', NULL, 'SH3_Kalirin_2', NULL, NULL, 'SH3_Kalirin_2', 5012),
(5013, 'cd10566', NULL, 'MDM2_like', NULL, NULL, 'MDM2_like', 5013),
(5014, 'cd01825', NULL, 'SGNH_hydrolase_peri1', NULL, NULL, 'SGNH_hydrolase_peri1', 5014),
(5015, 'cd15841', NULL, 'SNARE_Qc', NULL, NULL, 'SNARE_Qc', 5015),
(5016, 'cd03508', NULL, 'Delta4-sphingolipid-FADS-like', NULL, NULL, 'Delta4-sphingolipid-FADS-like', 5016),
(5017, 'cd16490', NULL, 'RING-CH-C4HC3_FANCL', NULL, NULL, 'RING-CH-C4HC3_FANCL', 5017),
(5018, 'cd14736', NULL, 'BACK_AtBPM-like', NULL, NULL, 'BACK_AtBPM-like', 5018),
(5019, 'cd18109', NULL, 'SpoU-like_RNA-MTase', NULL, NULL, 'SpoU-like_RNA-MTase', 5019),
(5020, 'cd12222', NULL, 'Caa3-IV', NULL, NULL, 'Caa3-IV', 5020),
(5021, 'cd12297', NULL, 'RRM2_Prp24', NULL, NULL, 'RRM2_Prp24', 5021),
(5022, 'cd14878', NULL, 'MYSc_Myo16', NULL, NULL, 'MYSc_Myo16', 5022),
(5023, 'cd15205', NULL, '7tmA_QRFPR', NULL, NULL, '7tmA_QRFPR', 5023);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(5024, 'cd18019', NULL, 'DEXHc_Brr2_1', NULL, NULL, 'DEXHc_Brr2_1', 5024),
(5025, 'cd18710', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 5025),
(5026, 'cd14452', NULL, 'CuRO_1_FVIII_like', NULL, NULL, 'CuRO_1_FVIII_like', 5026),
(5027, 'cd10386', NULL, 'SH2_SOCS5', NULL, NULL, 'SH2_SOCS5', 5027),
(5028, 'cd08726', NULL, 'RGS_RGS22_3', NULL, NULL, 'RGS_RGS22_3', 5028),
(5029, 'cd12627', NULL, 'RRM1_IGF2BP3', NULL, NULL, 'RRM1_IGF2BP3', 5029),
(5030, 'cd02776', NULL, 'MopB_CT_Nitrate-R-NarG-like', NULL, NULL, 'MopB_CT_Nitrate-R-NarG-like', 5030),
(5031, 'cd03800', NULL, 'GT4_sucrose_synthase', NULL, NULL, 'GT4_sucrose_synthase', 5031),
(5032, 'cd18919', NULL, 'bHLH_AtBPE_like', NULL, NULL, 'bHLH_AtBPE_like', 5032),
(5033, 'cd04453', NULL, 'S1_RNase_E', NULL, NULL, 'S1_RNase_E', 5033),
(5034, 'cd11900', NULL, 'SH3_Nck1_1', NULL, NULL, 'SH3_Nck1_1', 5034),
(5035, 'cd09648', NULL, 'Cas2_I-E', NULL, NULL, 'Cas2_I-E', 5035),
(5036, 'cd08630', NULL, 'PI-PLCc_delta3', NULL, NULL, 'PI-PLCc_delta3', 5036),
(5037, 'cd01132', NULL, 'F1_ATPase_alpha', NULL, NULL, 'F1_ATPase_alpha', 5037),
(5038, 'cd18272', NULL, 'BTB_POZ_KBTBD4', NULL, NULL, 'BTB_POZ_KBTBD4', 5038),
(5039, 'cd17930', NULL, 'DEXHc_cas3', NULL, NULL, 'DEXHc_cas3', 5039),
(5040, 'cd08581', NULL, 'GDPD_like_1', NULL, NULL, 'GDPD_like_1', 5040),
(5041, 'cd15362', NULL, '7tmA_LGR6', NULL, NULL, '7tmA_LGR6', 5041),
(5042, 'cd07397', NULL, 'MPP_NostocDevT-like', NULL, NULL, 'MPP_NostocDevT-like', 5042),
(5043, 'cd06401', NULL, 'PB1_TFG', NULL, NULL, 'PB1_TFG', 5043),
(5044, 'cd09142', NULL, 'PLDc_pPLD_like_2', NULL, NULL, 'PLDc_pPLD_like_2', 5044),
(5045, 'cd13678', NULL, 'PBP2_TRAP_DctP10', NULL, NULL, 'PBP2_TRAP_DctP10', 5045),
(5046, 'cd15287', NULL, '7tmC_TAS1R2a-like', NULL, NULL, '7tmC_TAS1R2a-like', 5046),
(5047, 'cd04191', NULL, 'Glucan_BSP_MdoH', NULL, NULL, 'Glucan_BSP_MdoH', 5047),
(5048, 'cd05629', NULL, 'STKc_NDR_like_fungal', NULL, NULL, 'STKc_NDR_like_fungal', 5048),
(5049, 'cd07512', NULL, 'HAD_PGPase', NULL, NULL, 'HAD_PGPase', 5049),
(5050, 'cd06610', NULL, 'STKc_OSR1_SPAK', NULL, NULL, 'STKc_OSR1_SPAK', 5050),
(5051, 'cd14236', NULL, 'GAT_TOM1', NULL, NULL, 'GAT_TOM1', 5051),
(5052, 'cd11626', NULL, 'HR1_ROCK', NULL, NULL, 'HR1_ROCK', 5052),
(5053, 'cd15493', NULL, 'PHD_JMJD2', NULL, NULL, 'PHD_JMJD2', 5053),
(5054, 'cd13711', NULL, 'PBP2_Ngo0372_TcyA', NULL, NULL, 'PBP2_Ngo0372_TcyA', 5054),
(5055, 'cd18501', NULL, 'BACK_ANKFY1_Rank5', NULL, NULL, 'BACK_ANKFY1_Rank5', 5055),
(5056, 'cd09195', NULL, 'PLDc_mTdp1_2', NULL, NULL, 'PLDc_mTdp1_2', 5056),
(5057, 'cd13968', NULL, 'PKc_like', NULL, NULL, 'PKc_like', 5057),
(5058, 'cd08843', NULL, 'ArfGap_ADAP1', NULL, NULL, 'ArfGap_ADAP1', 5058),
(5059, 'cd12885', NULL, 'SPRY_RanBP_like', NULL, NULL, 'SPRY_RanBP_like', 5059),
(5060, 'cd14118', NULL, 'STKc_CAMKK', NULL, NULL, 'STKc_CAMKK', 5060),
(5061, 'cd14041', NULL, 'STKc_TLK2', NULL, NULL, 'STKc_TLK2', 5061),
(5062, 'cd15557', NULL, 'PHD_CBP_p300', NULL, NULL, 'PHD_CBP_p300', 5062),
(5063, 'cd05726', NULL, 'Ig4_Robo', NULL, NULL, 'Ig4_Robo', 5063),
(5064, 'cd06907', NULL, 'M14_AGBL2-3_like', NULL, NULL, 'M14_AGBL2-3_like', 5064),
(5065, 'cd19392', NULL, 'TGF_beta_DPP', NULL, NULL, 'TGF_beta_DPP', 5065),
(5066, 'cd07515', NULL, 'HAD-like', NULL, NULL, 'HAD-like', 5066),
(5067, 'cd02219', NULL, 'cupin_YjlB-like', NULL, NULL, 'cupin_YjlB-like', 5067),
(5068, 'cd09843', NULL, 'PLDc_vPLD2_1', NULL, NULL, 'PLDc_vPLD2_1', 5068),
(5069, 'cd12929', NULL, 'GUCT', NULL, NULL, 'GUCT', 5069),
(5070, 'cd15561', NULL, 'PHD1_PHF14', NULL, NULL, 'PHD1_PHF14', 5070),
(5071, 'cd00756', NULL, 'MoaE', NULL, NULL, 'MoaE', 5071),
(5072, 'cd12399', NULL, 'RRM_HP0827_like', NULL, NULL, 'RRM_HP0827_like', 5072),
(5073, 'cd13115', NULL, 'POLO_box_Plk4_2', NULL, NULL, 'POLO_box_Plk4_2', 5073),
(5074, 'cd14383', NULL, 'UBA1_UBP5', NULL, NULL, 'UBA1_UBP5', 5074),
(5075, 'cd11376', NULL, 'Imelysin-like', NULL, NULL, 'Imelysin-like', 5075),
(5076, 'cd03564', NULL, 'ANTH_N', NULL, NULL, 'ANTH_N', 5076),
(5077, 'cd00592', NULL, 'HTH_MerR-like', NULL, NULL, 'HTH_MerR-like', 5077);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(5078, 'cd01283', NULL, 'cytidine_deaminase', NULL, NULL, 'cytidine_deaminase', 5078),
(5079, 'cd04813', NULL, 'PA_1', NULL, NULL, 'PA_1', 5079),
(5080, 'cd17167', NULL, 'RAWUL_RING2', NULL, NULL, 'RAWUL_RING2', 5080),
(5081, 'cd09280', NULL, 'RNase_HI_eukaryote_like', NULL, NULL, 'RNase_HI_eukaryote_like', 5081),
(5082, 'cd11712', NULL, 'GINS_A_psf2', NULL, NULL, 'GINS_A_psf2', 5082),
(5083, 'cd18235', NULL, 'BTB_POZ_KLHL2-like', NULL, NULL, 'BTB_POZ_KLHL2-like', 5083),
(5084, 'cd16572', NULL, 'RING-HC_SpRad8_like', NULL, NULL, 'RING-HC_SpRad8_like', 5084),
(5085, 'cd09752', NULL, 'Cas5_I-C', NULL, NULL, 'Cas5_I-C', 5085),
(5086, 'cd19542', NULL, 'CT_NRPS-like', NULL, NULL, 'CT_NRPS-like', 5086),
(5087, 'cd10923', NULL, 'CE4_COG5298', NULL, NULL, 'CE4_COG5298', 5087),
(5088, 'cd04406', NULL, 'RhoGAP_myosin_IXA', NULL, NULL, 'RhoGAP_myosin_IXA', 5088),
(5089, 'cd19752', NULL, 'AKR_unchar', NULL, NULL, 'AKR_unchar', 5089),
(5090, 'cd15176', NULL, '7tmA_ACKR4_CCR11', NULL, NULL, '7tmA_ACKR4_CCR11', 5090),
(5091, 'cd12898', NULL, 'SPRY_PRY_TRIM76', NULL, NULL, 'SPRY_PRY_TRIM76', 5091),
(5092, 'cd02067', NULL, 'B12-binding', NULL, NULL, 'B12-binding', 5092),
(5093, 'cd16183', NULL, 'EFh_PEF_ALG-2', NULL, NULL, 'EFh_PEF_ALG-2', 5093),
(5094, 'cd17594', NULL, 'REC_OmpR_VirG', NULL, NULL, 'REC_OmpR_VirG', 5094),
(5095, 'cd13312', NULL, 'PH_USP37_like', NULL, NULL, 'PH_USP37_like', 5095),
(5096, 'cd07718', NULL, 'RNaseZ_ELAC1_ELAC2-C-term-like_MBL-fold', NULL, NULL, 'RNaseZ_ELAC1_ELAC2-C-term-like_MBL-fold', 5096),
(5097, 'cd15725', NULL, 'FYVE_PIKfyve_Fab1', NULL, NULL, 'FYVE_PIKfyve_Fab1', 5097),
(5098, 'cd01921', NULL, 'cyclophilin_RRM', NULL, NULL, 'cyclophilin_RRM', 5098),
(5099, 'cd04416', NULL, 'NDPk_TX', NULL, NULL, 'NDPk_TX', 5099),
(5100, 'cd13215', NULL, 'PH-GRAM1_AGT26', NULL, NULL, 'PH-GRAM1_AGT26', 5100),
(5101, 'cd06453', NULL, 'SufS_like', NULL, NULL, 'SufS_like', 5101),
(5102, 'cd07424', NULL, 'MPP_PrpA_PrpB', NULL, NULL, 'MPP_PrpA_PrpB', 5102),
(5103, 'cd07552', NULL, 'P-type_ATPase_Cu-like', NULL, NULL, 'P-type_ATPase_Cu-like', 5103),
(5104, 'cd13850', NULL, 'CuRO_1_Abr2_like', NULL, NULL, 'CuRO_1_Abr2_like', 5104),
(5105, 'cd03464', NULL, '3,4-PCD_beta', NULL, NULL, '3,4-PCD_beta', 5105),
(5106, 'cd09898', NULL, 'H3TH_53EXO', NULL, NULL, 'H3TH_53EXO', 5106),
(5107, 'cd17262', NULL, 'RMtype1_S_Aco12261I-TRD2-CR2', NULL, NULL, 'RMtype1_S_Aco12261I-TRD2-CR2', 5107),
(5108, 'cd06601', NULL, 'GH31_lyase_GLase', NULL, NULL, 'GH31_lyase_GLase', 5108),
(5109, 'cd09631', NULL, 'DOMON_DOH', NULL, NULL, 'DOMON_DOH', 5109),
(5110, 'cd20287', NULL, 'cupin_pirin-like_N', NULL, NULL, 'cupin_pirin-like_N', 5110),
(5111, 'cd00375', NULL, 'Urease_alpha', NULL, NULL, 'Urease_alpha', 5111),
(5112, 'cd11682', NULL, 'HDAC6-dom1', NULL, NULL, 'HDAC6-dom1', 5112),
(5113, 'cd05771', NULL, 'IgC_Tapasin_R', NULL, NULL, 'IgC_Tapasin_R', 5113),
(5114, 'cd15434', NULL, '7tmA_OR2W-like', NULL, NULL, '7tmA_OR2W-like', 5114),
(5115, 'cd02644', NULL, 'R3H_jag', NULL, NULL, 'R3H_jag', 5115),
(5116, 'cd01459', NULL, 'vWA_copine_like', NULL, NULL, 'vWA_copine_like', 5116),
(5117, 'cd07701', NULL, 'Ig1_Necl-3', NULL, NULL, 'Ig1_Necl-3', 5117),
(5118, 'cd18672', NULL, 'PIN_FAM120B-like', NULL, NULL, 'PIN_FAM120B-like', 5118),
(5119, 'cd10329', NULL, 'SLC5sbd_SGLT1-like', NULL, NULL, 'SLC5sbd_SGLT1-like', 5119),
(5120, 'cd15474', NULL, 'Myo5p-like_CBD_fungal', NULL, NULL, 'Myo5p-like_CBD_fungal', 5120),
(5121, 'cd01892', NULL, 'Miro2', NULL, NULL, 'Miro2', 5121),
(5122, 'cd00238', NULL, 'ERp29c', NULL, NULL, 'ERp29c', 5122),
(5123, 'cd00293', NULL, 'USP_Like', NULL, NULL, 'USP_Like', 5123),
(5124, 'cd15503', NULL, 'PHD2_MTF2_PHF19_like', NULL, NULL, 'PHD2_MTF2_PHF19_like', 5124),
(5125, 'cd16813', NULL, 'RING_CH-C4HC3_MARCH10', NULL, NULL, 'RING_CH-C4HC3_MARCH10', 5125),
(5126, 'cd18824', NULL, 'GH43_CtGH43-like', NULL, NULL, 'GH43_CtGH43-like', 5126),
(5127, 'cd04693', NULL, 'Nudix_Hydrolase_34', NULL, NULL, 'Nudix_Hydrolase_34', 5127),
(5128, 'cd10911', NULL, 'PIN_LabA', NULL, NULL, 'PIN_LabA', 5128),
(5129, 'cd02696', NULL, 'MurNAc-LAA', NULL, NULL, 'MurNAc-LAA', 5129);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(5130, 'cd17904', NULL, 'PFM_monalysin-like', NULL, NULL, 'PFM_monalysin-like', 5130),
(5131, 'cd16268', NULL, 'EF2_II', NULL, NULL, 'EF2_II', 5131),
(5132, 'cd17621', NULL, 'REC_OmpR_RegX3-like', NULL, NULL, 'REC_OmpR_RegX3-like', 5132),
(5133, 'cd15536', NULL, 'PHD_PHRF1', NULL, NULL, 'PHD_PHRF1', 5133),
(5134, 'cd16868', NULL, 'ARID_ARID4', NULL, NULL, 'ARID_ARID4', 5134),
(5135, 'cd12599', NULL, 'RRM1_SF2_plant_like', NULL, NULL, 'RRM1_SF2_plant_like', 5135),
(5136, 'cd19389', NULL, 'TGF_beta_GDF11', NULL, NULL, 'TGF_beta_GDF11', 5136),
(5137, 'cd12142', NULL, 'SH3_D21-like', NULL, NULL, 'SH3_D21-like', 5137),
(5138, 'cd17320', NULL, 'MFS_MdfA_MDR_like', NULL, NULL, 'MFS_MdfA_MDR_like', 5138),
(5139, 'cd16827', NULL, 'ChuX-like', NULL, NULL, 'ChuX-like', 5139),
(5140, 'cd18366', NULL, 'BTB_POZ_KCTD7', NULL, NULL, 'BTB_POZ_KCTD7', 5140),
(5141, 'cd09293', NULL, 'AMN1', NULL, NULL, 'AMN1', 5141),
(5142, 'cd11243', NULL, 'Sema_7A', NULL, NULL, 'Sema_7A', 5142),
(5143, 'cd07743', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', 5143),
(5144, 'cd01017', NULL, 'AdcA', NULL, NULL, 'AdcA', 5144),
(5145, 'cd13320', NULL, 'PH_OCRL-like', NULL, NULL, 'PH_OCRL-like', 5145),
(5146, 'cd17097', NULL, 'FERM_F1_ERM_like', NULL, NULL, 'FERM_F1_ERM_like', 5146),
(5147, 'cd18971', NULL, 'CD_POL_like', NULL, NULL, 'CD_POL_like', 5147),
(5148, 'cd15372', NULL, '7tmA_PAR4', NULL, NULL, '7tmA_PAR4', 5148),
(5149, 'cd00087', NULL, 'FReD', NULL, NULL, 'FReD', 5149),
(5150, 'cd14623', NULL, 'R-PTPc-A-2', NULL, NULL, 'R-PTPc-A-2', 5150),
(5151, 'cd17182', NULL, 'FERM_F0_KIND3', NULL, NULL, 'FERM_F0_KIND3', 5151),
(5152, 'cd14179', NULL, 'STKc_MSK1_C', NULL, NULL, 'STKc_MSK1_C', 5152),
(5153, 'cd03785', NULL, 'GT28_MurG', NULL, NULL, 'GT28_MurG', 5153),
(5154, 'cd19072', NULL, 'AKR_AKR3F1-like', NULL, NULL, 'AKR_AKR3F1-like', 5154),
(5155, 'cd16574', NULL, 'RING-HC_Topors', NULL, NULL, 'RING-HC_Topors', 5155),
(5156, 'cd04277', NULL, 'ZnMc_serralysin_like', NULL, NULL, 'ZnMc_serralysin_like', 5156),
(5157, 'cd17876', NULL, 'SRalpha_C', NULL, NULL, 'SRalpha_C', 5157),
(5158, 'cd19170', NULL, 'SET_KMT2A_2B', NULL, NULL, 'SET_KMT2A_2B', 5158),
(5159, 'cd11700', NULL, 'DHR2_DOCK11', NULL, NULL, 'DHR2_DOCK11', 5159),
(5160, 'cd05944', NULL, 'FACL_like_4', NULL, NULL, 'FACL_like_4', 5160),
(5161, 'cd06524', NULL, 'GH25_YegX-like', NULL, NULL, 'GH25_YegX-like', 5161),
(5162, 'cd03708', NULL, 'GTPBP_III', NULL, NULL, 'GTPBP_III', 5162),
(5163, 'cd18408', NULL, 'BTB_POZ_KCNA7', NULL, NULL, 'BTB_POZ_KCNA7', 5163),
(5164, 'cd18425', NULL, 'BTB_POZ_KCNV2', NULL, NULL, 'BTB_POZ_KCNV2', 5164),
(5165, 'cd16732', NULL, 'RING-HC_MKRN4', NULL, NULL, 'RING-HC_MKRN4', 5165),
(5166, 'cd00477', NULL, 'FTHFS', NULL, NULL, 'FTHFS', 5166),
(5167, 'cd08719', NULL, 'RGS_SNX13', NULL, NULL, 'RGS_SNX13', 5167),
(5168, 'cd07167', NULL, 'NR_DBD_Lrh-1_like', NULL, NULL, 'NR_DBD_Lrh-1_like', 5168),
(5169, 'cd04414', NULL, 'NDPk6', NULL, NULL, 'NDPk6', 5169),
(5170, 'cd17272', NULL, 'RMtype1_S_Eco2747II-TRD2-CR2-like', NULL, NULL, 'RMtype1_S_Eco2747II-TRD2-CR2-like', 5170),
(5171, 'cd08629', NULL, 'PI-PLCc_delta1', NULL, NULL, 'PI-PLCc_delta1', 5171),
(5172, 'cd03756', NULL, 'proteasome_alpha_archeal', NULL, NULL, 'proteasome_alpha_archeal', 5172),
(5173, 'cd00167', NULL, 'SANT', NULL, NULL, 'SANT', 5173),
(5174, 'cd05059', NULL, 'PTKc_Tec_like', NULL, NULL, 'PTKc_Tec_like', 5174),
(5175, 'cd02429', NULL, 'PTH2_like', NULL, NULL, 'PTH2_like', 5175),
(5176, 'cd07097', NULL, 'ALDH_KGSADH-YcbD', NULL, NULL, 'ALDH_KGSADH-YcbD', 5176),
(5177, 'cd07892', NULL, 'PolyPPase_VTC2-3_like', NULL, NULL, 'PolyPPase_VTC2-3_like', 5177),
(5178, 'cd16828', NULL, 'HemS-like', NULL, NULL, 'HemS-like', 5178),
(5179, 'cd08423', NULL, 'PBP2_LTTR_like_6', NULL, NULL, 'PBP2_LTTR_like_6', 5179),
(5180, 'cd14969', NULL, '7tmA_Opsins_type2_animals', NULL, NULL, '7tmA_Opsins_type2_animals', 5180),
(5181, 'cd07449', NULL, 'CRD_FZ3', NULL, NULL, 'CRD_FZ3', 5181),
(5182, 'cd02009', NULL, 'TPP_SHCHC_synthase', NULL, NULL, 'TPP_SHCHC_synthase', 5182); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(5183, 'cd17473', NULL, 'MFS_arabinose_efflux_permease_like', NULL, NULL, 'MFS_arabinose_efflux_permease_like', 5183),
(5184, 'cd02576', NULL, 'PseudoU_synth_ScPUS7', NULL, NULL, 'PseudoU_synth_ScPUS7', 5184),
(5185, 'cd14580', NULL, 'DUSP13A', NULL, NULL, 'DUSP13A', 5185),
(5186, 'cd15977', NULL, '7tmA_ET-CR', NULL, NULL, '7tmA_ET-CR', 5186),
(5187, 'cd15512', NULL, 'PHD4_KMT2C_like', NULL, NULL, 'PHD4_KMT2C_like', 5187),
(5188, 'cd07977', NULL, 'TFIIE_beta_winged_helix', NULL, NULL, 'TFIIE_beta_winged_helix', 5188),
(5189, 'cd00121', NULL, 'MATH', NULL, NULL, 'MATH', 5189),
(5190, 'cd01672', NULL, 'TMPK', NULL, NULL, 'TMPK', 5190),
(5191, 'cd19571', NULL, 'serpinB12_yukopin', NULL, NULL, 'serpinB12_yukopin', 5191),
(5192, 'cd17496', NULL, 'RMtype1_S_BliBORF2384P-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_BliBORF2384P-TRD1-CR1_like', 5192),
(5193, 'cd00191', NULL, 'TY', NULL, NULL, 'TY', 5193),
(5194, 'cd00585', NULL, 'Peptidase_C1B', NULL, NULL, 'Peptidase_C1B', 5194),
(5195, 'cd01481', NULL, 'vWA_collagen_alpha3-VI-like', NULL, NULL, 'vWA_collagen_alpha3-VI-like', 5195),
(5196, 'cd12087', NULL, 'TM_EGFR-like', NULL, NULL, 'TM_EGFR-like', 5196),
(5197, 'cd12256', NULL, 'RRM2_LKAP', NULL, NULL, 'RRM2_LKAP', 5197),
(5198, 'cd14376', NULL, 'CUE_AUP1_AMFR_like', NULL, NULL, 'CUE_AUP1_AMFR_like', 5198),
(5199, 'cd16658', NULL, 'RING-Ubox_UBE4B', NULL, NULL, 'RING-Ubox_UBE4B', 5199),
(5200, 'cd00094', NULL, 'HX', NULL, NULL, 'HX', 5200),
(5201, 'cd14075', NULL, 'STKc_NIM1', NULL, NULL, 'STKc_NIM1', 5201),
(5202, 'cd12307', NULL, 'RRM_NIFK_like', NULL, NULL, 'RRM_NIFK_like', 5202),
(5203, 'cd14128', NULL, 'STKc_CK1_alpha', NULL, NULL, 'STKc_CK1_alpha', 5203),
(5204, 'cd11828', NULL, 'SH3_ARHGEF9_like', NULL, NULL, 'SH3_ARHGEF9_like', 5204),
(5205, 'cd04785', NULL, 'HTH_CadR-PbrR-like', NULL, NULL, 'HTH_CadR-PbrR-like', 5205),
(5206, 'cd17173', NULL, 'FERM_F1_TLN1', NULL, NULL, 'FERM_F1_TLN1', 5206),
(5207, 'cd06262', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', 5207),
(5208, 'cd02057', NULL, 'serpinB5_maspin', NULL, NULL, 'serpinB5_maspin', 5208),
(5209, 'cd12756', NULL, 'RRM1_hnRNPD', NULL, NULL, 'RRM1_hnRNPD', 5209),
(5210, 'cd08476', NULL, 'PBP2_CrgA_like_7', NULL, NULL, 'PBP2_CrgA_like_7', 5210),
(5211, 'cd13584', NULL, 'PBP2_AlgQ1_2', NULL, NULL, 'PBP2_AlgQ1_2', 5211),
(5212, 'cd16337', NULL, 'MukF_C', NULL, NULL, 'MukF_C', 5212),
(5213, 'cd01224', NULL, 'PH_Collybistin_ASEF', NULL, NULL, 'PH_Collybistin_ASEF', 5213),
(5214, 'cd16667', NULL, 'RING-H2_RNF126_like', NULL, NULL, 'RING-H2_RNF126_like', 5214),
(5215, 'cd02173', NULL, 'ECT', NULL, NULL, 'ECT', 5215),
(5216, 'cd03125', NULL, 'alpha_CA_VI', NULL, NULL, 'alpha_CA_VI', 5216),
(5217, 'cd16569', NULL, 'RING-HC_SHPRH', NULL, NULL, 'RING-HC_SHPRH', 5217),
(5218, 'cd18195', NULL, 'BTB_POZ_ZBTB4', NULL, NULL, 'BTB_POZ_ZBTB4', 5218),
(5219, 'cd06274', NULL, 'PBP1_FruR', NULL, NULL, 'PBP1_FruR', 5219),
(5220, 'cd09220', NULL, 'GH64-GluB-like', NULL, NULL, 'GH64-GluB-like', 5220),
(5221, 'cd12145', NULL, 'Rev1_C', NULL, NULL, 'Rev1_C', 5221),
(5222, 'cd19364', NULL, 'TenA_C_BsTenA-like', NULL, NULL, 'TenA_C_BsTenA-like', 5222),
(5223, 'cd11318', NULL, 'AmyAc_bac_fung_AmyA', NULL, NULL, 'AmyAc_bac_fung_AmyA', 5223),
(5224, 'cd15757', NULL, 'FYVE_WDFY2', NULL, NULL, 'FYVE_WDFY2', 5224),
(5225, 'cd05104', NULL, 'PTKc_Kit', NULL, NULL, 'PTKc_Kit', 5225),
(5226, 'cd16281', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', 5226),
(5227, 'cd13896', NULL, 'CuRO_3_CopA', NULL, NULL, 'CuRO_3_CopA', 5227),
(5228, 'cd07532', NULL, 'HAD_PNPase_UmpH-like', NULL, NULL, 'HAD_PNPase_UmpH-like', 5228),
(5229, 'cd07595', NULL, 'BAR_RhoGAP_Rich-like', NULL, NULL, 'BAR_RhoGAP_Rich-like', 5229),
(5230, 'cd13616', NULL, 'PBP2_OsmF', NULL, NULL, 'PBP2_OsmF', 5230),
(5231, 'cd03146', NULL, 'GAT1_Peptidase_E', NULL, NULL, 'GAT1_Peptidase_E', 5231),
(5232, 'cd12655', NULL, 'RRM3_HuC', NULL, NULL, 'RRM3_HuC', 5232),
(5233, 'cd05136', NULL, 'RasGAP_DAB2IP', NULL, NULL, 'RasGAP_DAB2IP', 5233);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(5234, 'cd05301', NULL, 'GDH', NULL, NULL, 'GDH', 5234),
(5235, 'cd07927', NULL, 'RHD-n_NFAT_like', NULL, NULL, 'RHD-n_NFAT_like', 5235),
(5236, 'cd09937', NULL, 'SH2_csk_like', NULL, NULL, 'SH2_csk_like', 5236),
(5237, 'cd17387', NULL, 'MFS_MFSD14', NULL, NULL, 'MFS_MFSD14', 5237),
(5238, 'cd04848', NULL, 'Peptidases_S8_Autotransporter_serine_protease_like', NULL, NULL, 'Peptidases_S8_Autotransporter_serine_protease_like', 5238),
(5239, 'cd08879', NULL, 'RHO_alpha_C_AntDO-like', NULL, NULL, 'RHO_alpha_C_AntDO-like', 5239),
(5240, 'cd14978', NULL, '7tmA_FMRFamide_R-like', NULL, NULL, '7tmA_FMRFamide_R-like', 5240),
(5241, 'cd11811', NULL, 'SH3_CHK', NULL, NULL, 'SH3_CHK', 5241),
(5242, 'cd12262', NULL, 'RRM2_4_MRN1', NULL, NULL, 'RRM2_4_MRN1', 5242),
(5243, 'cd15270', NULL, '7tmB1_GHRHR', NULL, NULL, '7tmB1_GHRHR', 5243),
(5244, 'cd05862', NULL, 'Ig_VEGFR', NULL, NULL, 'Ig_VEGFR', 5244),
(5245, 'cd18246', NULL, 'BTB_POZ_KLHL17_actinfilin', NULL, NULL, 'BTB_POZ_KLHL17_actinfilin', 5245),
(5246, 'cd05018', NULL, 'CoxG', NULL, NULL, 'CoxG', 5246),
(5247, 'cd01959', NULL, 'nsLTP2', NULL, NULL, 'nsLTP2', 5247),
(5248, 'cd00765', NULL, 'Pyrophosphate_PFK', NULL, NULL, 'Pyrophosphate_PFK', 5248),
(5249, 'cd09116', NULL, 'PLDc_Nuc_like', NULL, NULL, 'PLDc_Nuc_like', 5249),
(5250, 'cd15778', NULL, 'Lreu_0056_like', NULL, NULL, 'Lreu_0056_like', 5250),
(5251, 'cd17404', NULL, 'MFS_SLCO5_OATP5', NULL, NULL, 'MFS_SLCO5_OATP5', 5251),
(5252, 'cd11486', NULL, 'SLC5sbd_SGLT1', NULL, NULL, 'SLC5sbd_SGLT1', 5252),
(5253, 'cd19191', NULL, 'PR-SET_PRDM6', NULL, NULL, 'PR-SET_PRDM6', 5253),
(5254, 'cd06939', NULL, 'NR_LBD_ROR_like', NULL, NULL, 'NR_LBD_ROR_like', 5254),
(5255, 'cd15324', NULL, '7tmA_alpha-2D_AR', NULL, NULL, '7tmA_alpha-2D_AR', 5255),
(5256, 'cd05144', NULL, 'RIO2_C', NULL, NULL, 'RIO2_C', 5256),
(5257, 'cd00524', NULL, 'SORL', NULL, NULL, 'SORL', 5257),
(5258, 'cd02163', NULL, 'PPAT', NULL, NULL, 'PPAT', 5258),
(5259, 'cd07842', NULL, 'STKc_CDK8_like', NULL, NULL, 'STKc_CDK8_like', 5259),
(5260, 'cd03428', NULL, 'Ap4A_hydrolase_human_like', NULL, NULL, 'Ap4A_hydrolase_human_like', 5260),
(5261, 'cd19378', NULL, 'TGF_beta_DAF7', NULL, NULL, 'TGF_beta_DAF7', 5261),
(5262, 'cd14790', NULL, 'GH_D', NULL, NULL, 'GH_D', 5262),
(5263, 'cd12402', NULL, 'RRM_eIF4B', NULL, NULL, 'RRM_eIF4B', 5263),
(5264, 'cd11325', NULL, 'AmyAc_GTHase', NULL, NULL, 'AmyAc_GTHase', 5264),
(5265, 'cd18571', NULL, 'ABC_6TM_peptidase_like', NULL, NULL, 'ABC_6TM_peptidase_like', 5265),
(5266, 'cd18471', NULL, 'BACK_KLHL32_BKLHD5', NULL, NULL, 'BACK_KLHL32_BKLHD5', 5266),
(5267, 'cd10532', NULL, 'SET_SUV39H2', NULL, NULL, 'SET_SUV39H2', 5267),
(5268, 'cd10550', NULL, 'DMSOR_beta_like', NULL, NULL, 'DMSOR_beta_like', 5268),
(5269, 'cd15718', NULL, 'FYVE_WDFY1_like', NULL, NULL, 'FYVE_WDFY1_like', 5269),
(5270, 'cd17458', NULL, 'MFS_SLCO1A_OATP1A', NULL, NULL, 'MFS_SLCO1A_OATP1A', 5270),
(5271, 'cd18225', NULL, 'BTB_POZ_ZBTB40', NULL, NULL, 'BTB_POZ_ZBTB40', 5271),
(5272, 'cd11874', NULL, 'SH3_CD2AP-like_2', NULL, NULL, 'SH3_CD2AP-like_2', 5272),
(5273, 'cd13273', NULL, 'PH_SWAP-70', NULL, NULL, 'PH_SWAP-70', 5273),
(5274, 'cd16408', NULL, 'ParB_N_like', NULL, NULL, 'ParB_N_like', 5274),
(5275, 'cd16211', NULL, 'EFh_PI-PLCbeta4', NULL, NULL, 'EFh_PI-PLCbeta4', 5275),
(5276, 'cd02149', NULL, 'NfsB-like', NULL, NULL, 'NfsB-like', 5276),
(5277, 'cd01658', NULL, 'Ribosomal_L30', NULL, NULL, 'Ribosomal_L30', 5277),
(5278, 'cd01544', NULL, 'PBP1_GalR', NULL, NULL, 'PBP1_GalR', 5278),
(5279, 'cd18209', NULL, 'BTB_POZ_ZBTB21_ZNF295', NULL, NULL, 'BTB_POZ_ZBTB21_ZNF295', 5279),
(5280, 'cd06402', NULL, 'PB1_p62', NULL, NULL, 'PB1_p62', 5280),
(5281, 'cd09597', NULL, 'M4_TLP', NULL, NULL, 'M4_TLP', 5281),
(5282, 'cd09850', NULL, 'Ebola-like_HR1-HR2', NULL, NULL, 'Ebola-like_HR1-HR2', 5282),
(5283, 'cd17959', NULL, 'DEADc_DDX54', NULL, NULL, 'DEADc_DDX54', 5283),
(5284, 'cd01251', NULL, 'PH2_ADAP', NULL, NULL, 'PH2_ADAP', 5284),
(5285, 'cd05052', NULL, 'PTKc_Abl', NULL, NULL, 'PTKc_Abl', 5285),
(5286, 'cd15402', NULL, '7tmA_Mel1A', NULL, NULL, '7tmA_Mel1A', 5286);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(5287, 'cd14073', NULL, 'STKc_NUAK', NULL, NULL, 'STKc_NUAK', 5287),
(5288, 'cd14991', NULL, '7tmA_HCAR-like', NULL, NULL, '7tmA_HCAR-like', 5288),
(5289, 'cd12041', NULL, 'SH3_CACNB1', NULL, NULL, 'SH3_CACNB1', 5289),
(5290, 'cd05477', NULL, 'gastricsin', NULL, NULL, 'gastricsin', 5290),
(5291, 'cd08935', NULL, 'mannonate_red_SDR_c', NULL, NULL, 'mannonate_red_SDR_c', 5291),
(5292, 'cd05614', NULL, 'STKc_MSK2_N', NULL, NULL, 'STKc_MSK2_N', 5292),
(5293, 'cd07871', NULL, 'STKc_PCTAIRE3', NULL, NULL, 'STKc_PCTAIRE3', 5293),
(5294, 'cd04385', NULL, 'RhoGAP_ARAP', NULL, NULL, 'RhoGAP_ARAP', 5294),
(5295, 'cd16439', NULL, 'beta_Kdo_transferase_KpsC_2', NULL, NULL, 'beta_Kdo_transferase_KpsC_2', 5295),
(5296, 'cd10278', NULL, 'PQQ_MDH', NULL, NULL, 'PQQ_MDH', 5296),
(5297, 'cd09445', NULL, 'LIM_Mical_like_2', NULL, NULL, 'LIM_Mical_like_2', 5297),
(5298, 'cd12305', NULL, 'RRM_NELFE', NULL, NULL, 'RRM_NELFE', 5298),
(5299, 'cd18586', NULL, 'ABC_6TM_PrtD_like', NULL, NULL, 'ABC_6TM_PrtD_like', 5299),
(5300, 'cd11839', NULL, 'SH3_Intersectin_4', NULL, NULL, 'SH3_Intersectin_4', 5300),
(5301, 'cd05945', NULL, 'DltA', NULL, NULL, 'DltA', 5301),
(5302, 'cd14491', NULL, 'lipocalin_MxiM-like', NULL, NULL, 'lipocalin_MxiM-like', 5302),
(5303, 'cd03455', NULL, 'SAV4209', NULL, NULL, 'SAV4209', 5303),
(5304, 'cd16715', NULL, 'vRING-HC_IRF2BP1', NULL, NULL, 'vRING-HC_IRF2BP1', 5304),
(5305, 'cd19554', NULL, 'serpinA6_CBG', NULL, NULL, 'serpinA6_CBG', 5305),
(5306, 'cd08459', NULL, 'PBP2_DntR_NahR_LinR_like', NULL, NULL, 'PBP2_DntR_NahR_LinR_like', 5306),
(5307, 'cd14497', NULL, 'PTP_PTEN-like', NULL, NULL, 'PTP_PTEN-like', 5307),
(5308, 'cd13305', NULL, 'PH_SHARPIN', NULL, NULL, 'PH_SHARPIN', 5308),
(5309, 'cd04122', NULL, 'Rab14', NULL, NULL, 'Rab14', 5309),
(5310, 'cd07354', NULL, 'HN_L-delphilin-R1_like', NULL, NULL, 'HN_L-delphilin-R1_like', 5310),
(5311, 'cd17151', NULL, 'DCX1_DCDC2C', NULL, NULL, 'DCX1_DCDC2C', 5311),
(5312, 'cd09418', NULL, 'LIM2_Prickle', NULL, NULL, 'LIM2_Prickle', 5312),
(5313, 'cd16670', NULL, 'RING-H2_RNF215', NULL, NULL, 'RING-H2_RNF215', 5313),
(5314, 'cd06348', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, 'PBP1_ABC_HAAT-like', 5314),
(5315, 'cd07497', NULL, 'Peptidases_S8_14', NULL, NULL, 'Peptidases_S8_14', 5315),
(5316, 'cd10576', NULL, 'TNFRSF1A', NULL, NULL, 'TNFRSF1A', 5316),
(5317, 'cd04900', NULL, 'ACT_UUR-like_1', NULL, NULL, 'ACT_UUR-like_1', 5317),
(5318, 'cd04253', NULL, 'AAK_UMPK-PyrH-Pf', NULL, NULL, 'AAK_UMPK-PyrH-Pf', 5318),
(5319, 'cd07134', NULL, 'ALDH_AlkH-like', NULL, NULL, 'ALDH_AlkH-like', 5319),
(5320, 'cd10337', NULL, 'SH2_BCAR3', NULL, NULL, 'SH2_BCAR3', 5320),
(5321, 'cd15671', NULL, 'ePHD_JADE', NULL, NULL, 'ePHD_JADE', 5321),
(5322, 'cd07735', NULL, 'class_II_PDE_MBL-fold', NULL, NULL, 'class_II_PDE_MBL-fold', 5322),
(5323, 'cd14690', NULL, 'bZIP_CREB1', NULL, NULL, 'bZIP_CREB1', 5323),
(5324, 'cd01910', NULL, 'Wali7', NULL, NULL, 'Wali7', 5324),
(5325, 'cd06628', NULL, 'STKc_Byr2_like', NULL, NULL, 'STKc_Byr2_like', 5325),
(5326, 'cd08200', NULL, 'catalase_peroxidase_2', NULL, NULL, 'catalase_peroxidase_2', 5326),
(5327, 'cd04986', NULL, 'IgC_CH2_IgA', NULL, NULL, 'IgC_CH2_IgA', 5327),
(5328, 'cd01516', NULL, 'FBPase_glpX', NULL, NULL, 'FBPase_glpX', 5328),
(5329, 'cd11610', NULL, 'eIF2D_N', NULL, NULL, 'eIF2D_N', 5329),
(5330, 'cd10573', NULL, 'PH_DAPP1', NULL, NULL, 'PH_DAPP1', 5330),
(5331, 'cd11787', NULL, 'SH3_SH3RF_2', NULL, NULL, 'SH3_SH3RF_2', 5331),
(5332, 'cd13613', NULL, 'PBP2_Opu_like_2', NULL, NULL, 'PBP2_Opu_like_2', 5332),
(5333, 'cd15174', NULL, '7tmA_CCR9', NULL, NULL, '7tmA_CCR9', 5333),
(5334, 'cd18615', NULL, 'GH130', NULL, NULL, 'GH130', 5334),
(5335, 'cd03462', NULL, '1,2-CCD', NULL, NULL, '1,2-CCD', 5335),
(5336, 'cd14270', NULL, 'UBA', NULL, NULL, 'UBA', 5336),
(5337, 'cd17413', NULL, 'MFS_NPF6', NULL, NULL, 'MFS_NPF6', 5337),
(5338, 'cd14144', NULL, 'STKc_BMPR1', NULL, NULL, 'STKc_BMPR1', 5338),
(5339, 'cd13197', NULL, 'FERM_C_CCM1', NULL, NULL, 'FERM_C_CCM1', 5339),
(5340, 'cd12251', NULL, 'RRM3_hnRNPR_like', NULL, NULL, 'RRM3_hnRNPR_like', 5340);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(5341, 'cd12695', NULL, 'RRM3_PTBP1', NULL, NULL, 'RRM3_PTBP1', 5341),
(5342, 'cd08684', NULL, 'C2A_Tac2-N', NULL, NULL, 'C2A_Tac2-N', 5342),
(5343, 'cd21519', NULL, 'cv_beta_Nsp2_MHV-like', NULL, NULL, 'cv_beta_Nsp2_MHV-like', 5343),
(5344, 'cd03346', NULL, 'eu_TrpOH', NULL, NULL, 'eu_TrpOH', 5344),
(5345, 'cd09530', NULL, 'SAM_Samd14', NULL, NULL, 'SAM_Samd14', 5345),
(5346, 'cd00606', NULL, 'fungal_RNase', NULL, NULL, 'fungal_RNase', 5346),
(5347, 'cd00930', NULL, 'Cyt_c_Oxidase_VIII', NULL, NULL, 'Cyt_c_Oxidase_VIII', 5347),
(5348, 'cd03875', NULL, 'M28_Fxna_like', NULL, NULL, 'M28_Fxna_like', 5348),
(5349, 'cd08151', NULL, 'AOS', NULL, NULL, 'AOS', 5349),
(5350, 'cd19353', NULL, 'Wnt_Wnt9a', NULL, NULL, 'Wnt_Wnt9a', 5350),
(5351, 'cd19746', NULL, 'bHLH_TS_ASCL4', NULL, NULL, 'bHLH_TS_ASCL4', 5351),
(5352, 'cd05935', NULL, 'LC_FACS_like', NULL, NULL, 'LC_FACS_like', 5352),
(5353, 'cd15340', NULL, '7tmA_CB1', NULL, NULL, '7tmA_CB1', 5353),
(5354, 'cd07130', NULL, 'ALDH_F7_AASADH', NULL, NULL, 'ALDH_F7_AASADH', 5354),
(5355, 'cd05583', NULL, 'STKc_MSK_N', NULL, NULL, 'STKc_MSK_N', 5355),
(5356, 'cd02341', NULL, 'ZZ_ZZZ3', NULL, NULL, 'ZZ_ZZZ3', 5356),
(5357, 'cd05728', NULL, 'Ig4_Contactin-2-like', NULL, NULL, 'Ig4_Contactin-2-like', 5357),
(5358, 'cd03768', NULL, 'SR_ResInv', NULL, NULL, 'SR_ResInv', 5358),
(5359, 'cd08361', NULL, 'PpCmtC_N', NULL, NULL, 'PpCmtC_N', 5359),
(5360, 'cd16616', NULL, 'mRING-HC-C4C4_Asi1p_like', NULL, NULL, 'mRING-HC-C4C4_Asi1p_like', 5360),
(5361, 'cd13521', NULL, 'PBP2_AlgQ_like', NULL, NULL, 'PBP2_AlgQ_like', 5361),
(5362, 'cd04212', NULL, 'CuRO_UO_II', NULL, NULL, 'CuRO_UO_II', 5362),
(5363, 'cd16142', NULL, 'ARS_like', NULL, NULL, 'ARS_like', 5363),
(5364, 'cd10484', NULL, 'EphR_LBD_A6', NULL, NULL, 'EphR_LBD_A6', 5364),
(5365, 'cd05163', NULL, 'PIKK_TRRAP', NULL, NULL, 'PIKK_TRRAP', 5365),
(5366, 'cd19440', NULL, 'lipocalin_Bla_g_4_Per_a_4', NULL, NULL, 'lipocalin_Bla_g_4_Per_a_4', 5366),
(5367, 'cd15234', NULL, '7tmA_OR7-like', NULL, NULL, '7tmA_OR7-like', 5367),
(5368, 'cd09510', NULL, 'SAM_aveugle-like', NULL, NULL, 'SAM_aveugle-like', 5368),
(5369, 'cd11452', NULL, 'bHLH_AtNAI1_like', NULL, NULL, 'bHLH_AtNAI1_like', 5369),
(5370, 'cd00049', NULL, 'MH1', NULL, NULL, 'MH1', 5370),
(5371, 'cd09426', NULL, 'LIM2_FHL2', NULL, NULL, 'LIM2_FHL2', 5371),
(5372, 'cd18730', NULL, 'PIN_PH0500-like', NULL, NULL, 'PIN_PH0500-like', 5372),
(5373, 'cd14059', NULL, 'STKc_MAP3K12_13', NULL, NULL, 'STKc_MAP3K12_13', 5373),
(5374, 'cd10156', NULL, 'FpFrmR-Cterm-like_DUF156', NULL, NULL, 'FpFrmR-Cterm-like_DUF156', 5374),
(5375, 'cd02218', NULL, 'cupin_PGI', NULL, NULL, 'cupin_PGI', 5375),
(5376, 'cd16272', NULL, 'RNaseZ_MBL-fold', NULL, NULL, 'RNaseZ_MBL-fold', 5376),
(5377, 'cd15710', NULL, 'ePHD1_PHF6', NULL, NULL, 'ePHD1_PHF6', 5377),
(5378, 'cd05705', NULL, 'S1_Rrp5_repeat_hs14', NULL, NULL, 'S1_Rrp5_repeat_hs14', 5378),
(5379, 'cd12628', NULL, 'RRM2_IGF2BP1', NULL, NULL, 'RRM2_IGF2BP1', 5379),
(5380, 'cd09904', NULL, 'H3TH_XPG', NULL, NULL, 'H3TH_XPG', 5380),
(5381, 'cd08880', NULL, 'RHO_alpha_C_ahdA1c-like', NULL, NULL, 'RHO_alpha_C_ahdA1c-like', 5381),
(5382, 'cd14495', NULL, 'PTPLP-like', NULL, NULL, 'PTPLP-like', 5382),
(5383, 'cd12927', NULL, 'MMP_TTHA0227_like', NULL, NULL, 'MMP_TTHA0227_like', 5383),
(5384, 'cd16547', NULL, 'RING-HC_RNF151', NULL, NULL, 'RING-HC_RNF151', 5384),
(5385, 'cd17562', NULL, 'REC_CheY4-like', NULL, NULL, 'REC_CheY4-like', 5385),
(5386, 'cd09021', NULL, 'Aldose_epim_Ec_YphB', NULL, NULL, 'Aldose_epim_Ec_YphB', 5386),
(5387, 'cd14694', NULL, 'bZIP_NFIL3', NULL, NULL, 'bZIP_NFIL3', 5387),
(5388, 'cd09623', NULL, 'DOMON_EBDH', NULL, NULL, 'DOMON_EBDH', 5388),
(5389, 'cd11541', NULL, 'NTP-PPase_u4', NULL, NULL, 'NTP-PPase_u4', 5389),
(5390, 'cd03294', NULL, 'ABC_Pro_Gly_Betaine', NULL, NULL, 'ABC_Pro_Gly_Betaine', 5390),
(5391, 'cd12495', NULL, 'RRM3_hnRNPQ', NULL, NULL, 'RRM3_hnRNPQ', 5391),
(5392, 'cd17596', NULL, 'REC_HupR', NULL, NULL, 'REC_HupR', 5392),
(5393, 'cd07222', NULL, 'Pat_PNPLA4', NULL, NULL, 'Pat_PNPLA4', 5393),
(5394, 'cd01470', NULL, 'vWA_complement_factors', NULL, NULL, 'vWA_complement_factors', 5394);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(5395, 'cd02651', NULL, 'nuc_hydro_IU_UC_XIUA', NULL, NULL, 'nuc_hydro_IU_UC_XIUA', 5395),
(5396, 'cd09208', NULL, 'Lumazine_synthase-II', NULL, NULL, 'Lumazine_synthase-II', 5396),
(5397, 'cd00992', NULL, 'PDZ_signaling', NULL, NULL, 'PDZ_signaling', 5397),
(5398, 'cd09477', NULL, 'LIM2_TLP', NULL, NULL, 'LIM2_TLP', 5398),
(5399, 'cd00111', NULL, 'Trefoil', NULL, NULL, 'Trefoil', 5399),
(5400, 'cd13207', NULL, 'FERM-like_C_SNX', NULL, NULL, 'FERM-like_C_SNX', 5400),
(5401, 'cd03521', NULL, 'Link_domain_KIAA0527_like', NULL, NULL, 'Link_domain_KIAA0527_like', 5401),
(5402, 'cd13603', NULL, 'PBP2_TRAP_Siap_TeaA_like', NULL, NULL, 'PBP2_TRAP_Siap_TeaA_like', 5402),
(5403, 'cd08222', NULL, 'STKc_Nek11', NULL, NULL, 'STKc_Nek11', 5403),
(5404, 'cd04861', NULL, 'LigD_Pol_like', NULL, NULL, 'LigD_Pol_like', 5404),
(5405, 'cd12020', NULL, 'SH3_Tks5_5', NULL, NULL, 'SH3_Tks5_5', 5405),
(5406, 'cd15685', NULL, 'PHD_ING5', NULL, NULL, 'PHD_ING5', 5406),
(5407, 'cd08300', NULL, 'alcohol_DH_class_III', NULL, NULL, 'alcohol_DH_class_III', 5407),
(5408, 'cd11655', NULL, 'rap1_myb-like', NULL, NULL, 'rap1_myb-like', 5408),
(5409, 'cd12934', NULL, 'LEM', NULL, NULL, 'LEM', 5409),
(5410, 'cd19196', NULL, 'PR-SET_PRDM12', NULL, NULL, 'PR-SET_PRDM12', 5410),
(5411, 'cd09133', NULL, 'PLDc_unchar5', NULL, NULL, 'PLDc_unchar5', 5411),
(5412, 'cd01831', NULL, 'Endoglucanase_E_like', NULL, NULL, 'Endoglucanase_E_like', 5412),
(5413, 'cd10913', NULL, 'Peptidase_C25_N_gingipain', NULL, NULL, 'Peptidase_C25_N_gingipain', 5413),
(5414, 'cd19794', NULL, 'Bbox2_TRIM66-like', NULL, NULL, 'Bbox2_TRIM66-like', 5414),
(5415, 'cd16315', NULL, 'EVM-1-like_MBL-B3', NULL, NULL, 'EVM-1-like_MBL-B3', 5415),
(5416, 'cd05345', NULL, 'BKR_3_SDR_c', NULL, NULL, 'BKR_3_SDR_c', 5416),
(5417, 'cd18415', NULL, 'BTB_KCNC2_4', NULL, NULL, 'BTB_KCNC2_4', 5417),
(5418, 'cd03038', NULL, 'GST_N_etherase_LigE', NULL, NULL, 'GST_N_etherase_LigE', 5418),
(5419, 'cd03458', NULL, 'Catechol_intradiol_dioxygenases', NULL, NULL, 'Catechol_intradiol_dioxygenases', 5419),
(5420, 'cd15702', NULL, 'ePHD_BRPF2', NULL, NULL, 'ePHD_BRPF2', 5420),
(5421, 'cd05093', NULL, 'PTKc_TrkB', NULL, NULL, 'PTKc_TrkB', 5421),
(5422, 'cd12286', NULL, 'RRM_Man1', NULL, NULL, 'RRM_Man1', 5422),
(5423, 'cd16747', NULL, 'RING-HC_RNF212B', NULL, NULL, 'RING-HC_RNF212B', 5423),
(5424, 'cd18265', NULL, 'BTB_POZ_KLHL35', NULL, NULL, 'BTB_POZ_KLHL35', 5424),
(5425, 'cd12497', NULL, 'RRM3_RBM47', NULL, NULL, 'RRM3_RBM47', 5425),
(5426, 'cd09573', NULL, 'SAM_STIM1', NULL, NULL, 'SAM_STIM1', 5426),
(5427, 'cd13235', NULL, 'PH2_FARP1-like', NULL, NULL, 'PH2_FARP1-like', 5427),
(5428, 'cd06088', NULL, 'KOW_RPL14', NULL, NULL, 'KOW_RPL14', 5428),
(5429, 'cd06341', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 5429),
(5430, 'cd02168', NULL, 'NMNAT_Nudix', NULL, NULL, 'NMNAT_Nudix', 5430),
(5431, 'cd09461', NULL, 'LIM3_Enigma_like_1', NULL, NULL, 'LIM3_Enigma_like_1', 5431),
(5432, 'cd12139', NULL, 'SH3_Bin1', NULL, NULL, 'SH3_Bin1', 5432),
(5433, 'cd19802', NULL, 'Bbox1_TRIM8-like', NULL, NULL, 'Bbox1_TRIM8-like', 5433),
(5434, 'cd12541', NULL, 'RRM2_La', NULL, NULL, 'RRM2_La', 5434),
(5435, 'cd16766', NULL, 'RING-HC_TIF1gamma', NULL, NULL, 'RING-HC_TIF1gamma', 5435),
(5436, 'cd08165', NULL, 'MPP_MPPE1', NULL, NULL, 'MPP_MPPE1', 5436),
(5437, 'cd09474', NULL, 'LIM2_Lhx2', NULL, NULL, 'LIM2_Lhx2', 5437),
(5438, 'cd18812', NULL, 'CAP_PI15-like', NULL, NULL, 'CAP_PI15-like', 5438),
(5439, 'cd05594', NULL, 'STKc_PKB_alpha', NULL, NULL, 'STKc_PKB_alpha', 5439),
(5440, 'cd16390', NULL, 'ParB_N_Srx_like', NULL, NULL, 'ParB_N_Srx_like', 5440),
(5441, 'cd01219', NULL, 'PH1_FGD1', NULL, NULL, 'PH1_FGD1', 5441),
(5442, 'cd15706', NULL, 'ePHD_JADE3', NULL, NULL, 'ePHD_JADE3', 5442),
(5443, 'cd11741', NULL, 'TIN2_TBM', NULL, NULL, 'TIN2_TBM', 5443),
(5444, 'cd15657', NULL, 'PHD4_NSD2', NULL, NULL, 'PHD4_NSD2', 5444),
(5445, 'cd19757', NULL, 'Bbox1', NULL, NULL, 'Bbox1', 5445),
(5446, 'cd04603', NULL, 'CBS_pair_KefB_assoc', NULL, NULL, 'CBS_pair_KefB_assoc', 5446);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(5447, 'cd10959', NULL, 'CE4_NodB_like_3', NULL, NULL, 'CE4_NodB_like_3', 5447),
(5448, 'cd17766', NULL, 'futalosine_nucleosidase_MqnB', NULL, NULL, 'futalosine_nucleosidase_MqnB', 5448),
(5449, 'cd13540', NULL, 'PBP2_ModA_WtpA', NULL, NULL, 'PBP2_ModA_WtpA', 5449),
(5450, 'cd10950', NULL, 'CE4_BsYlxY_like', NULL, NULL, 'CE4_BsYlxY_like', 5450),
(5451, 'cd06387', NULL, 'PBP1_iGluR_AMPA_GluR3', NULL, NULL, 'PBP1_iGluR_AMPA_GluR3', 5451),
(5452, 'cd12441', NULL, 'RRM_Nup53_like', NULL, NULL, 'RRM_Nup53_like', 5452),
(5453, 'cd19344', NULL, 'Wnt_Wnt16', NULL, NULL, 'Wnt_Wnt16', 5453),
(5454, 'cd00768', NULL, 'class_II_aaRS-like_core', NULL, NULL, 'class_II_aaRS-like_core', 5454),
(5455, 'cd12409', NULL, 'RRM1_RRT5', NULL, NULL, 'RRM1_RRT5', 5455),
(5456, 'cd17779', NULL, 'CBS_archAMPK_gamma-repeat1', NULL, NULL, 'CBS_archAMPK_gamma-repeat1', 5456),
(5457, 'cd16916', NULL, 'HATPase_CheA-like', NULL, NULL, 'HATPase_CheA-like', 5457),
(5458, 'cd08926', NULL, 'Mb', NULL, NULL, 'Mb', 5458),
(5459, 'cd03032', NULL, 'ArsC_Spx', NULL, NULL, 'ArsC_Spx', 5459),
(5460, 'cd13248', NULL, 'PH_PEPP1_2_3', NULL, NULL, 'PH_PEPP1_2_3', 5460),
(5461, 'cd17191', NULL, 'FERM_F1_PTPN14', NULL, NULL, 'FERM_F1_PTPN14', 5461),
(5462, 'cd16246', NULL, 'EFh_DMD', NULL, NULL, 'EFh_DMD', 5462),
(5463, 'cd00060', NULL, 'FHA', NULL, NULL, 'FHA', 5463),
(5464, 'cd11872', NULL, 'SH3_DOCK_AB', NULL, NULL, 'SH3_DOCK_AB', 5464),
(5465, 'cd15129', NULL, '7tmA_GPR142', NULL, NULL, '7tmA_GPR142', 5465),
(5466, 'cd14987', NULL, '7tmA_ACKR3_CXCR7', NULL, NULL, '7tmA_ACKR3_CXCR7', 5466),
(5467, 'cd18217', NULL, 'BTB_POZ_ZBTB31_myoneurin', NULL, NULL, 'BTB_POZ_ZBTB31_myoneurin', 5467),
(5468, 'cd15217', NULL, '7tmA_SREB3_GPR173', NULL, NULL, '7tmA_SREB3_GPR173', 5468),
(5469, 'cd08219', NULL, 'STKc_Nek3', NULL, NULL, 'STKc_Nek3', 5469),
(5470, 'cd02130', NULL, 'PA_ScAPY_like', NULL, NULL, 'PA_ScAPY_like', 5470),
(5471, 'cd11349', NULL, 'AmyAc_3', NULL, NULL, 'AmyAc_3', 5471),
(5472, 'cd15284', NULL, '7tmC_mGluR_group2', NULL, NULL, '7tmC_mGluR_group2', 5472),
(5473, 'cd01582', NULL, 'Homoaconitase', NULL, NULL, 'Homoaconitase', 5473),
(5474, 'cd14755', NULL, 'GS_BA2291-HK-like', NULL, NULL, 'GS_BA2291-HK-like', 5474),
(5475, 'cd09526', NULL, 'SAM_Samd3', NULL, NULL, 'SAM_Samd3', 5475),
(5476, 'cd14540', NULL, 'PTPc-N21_14', NULL, NULL, 'PTPc-N21_14', 5476),
(5477, 'cd06189', NULL, 'flavin_oxioreductase', NULL, NULL, 'flavin_oxioreductase', 5477),
(5478, 'cd12023', NULL, 'SH3_NoxO1_1', NULL, NULL, 'SH3_NoxO1_1', 5478),
(5479, 'cd09685', NULL, 'Cas7_I-A', NULL, NULL, 'Cas7_I-A', 5479),
(5480, 'cd05624', NULL, 'STKc_MRCK_beta', NULL, NULL, 'STKc_MRCK_beta', 5480),
(5481, 'cd13166', NULL, 'PTB_CCM2', NULL, NULL, 'PTB_CCM2', 5481),
(5482, 'cd05120', NULL, 'APH_ChoK_like', NULL, NULL, 'APH_ChoK_like', 5482),
(5483, 'cd05124', NULL, 'AFK', NULL, NULL, 'AFK', 5483),
(5484, 'cd11500', NULL, 'SLC6sbd_PROT', NULL, NULL, 'SLC6sbd_PROT', 5484),
(5485, 'cd12539', NULL, 'RRM_U2AF35B', NULL, NULL, 'RRM_U2AF35B', 5485),
(5486, 'cd15239', NULL, '7tm_YRO2_fungal-like', NULL, NULL, '7tm_YRO2_fungal-like', 5486),
(5487, 'cd15535', NULL, 'PHD1_Rco1', NULL, NULL, 'PHD1_Rco1', 5487),
(5488, 'cd16706', NULL, 'RING-HC_CARP1', NULL, NULL, 'RING-HC_CARP1', 5488),
(5489, 'cd13602', NULL, 'PBP2_TRAP_BpDctp6_7', NULL, NULL, 'PBP2_TRAP_BpDctp6_7', 5489),
(5490, 'cd04471', NULL, 'S1_RNase_R', NULL, NULL, 'S1_RNase_R', 5490),
(5491, 'cd13671', NULL, 'PBP2_TRAP_SBP_like_3', NULL, NULL, 'PBP2_TRAP_SBP_like_3', 5491),
(5492, 'sd00032', NULL, 'LRR_2', NULL, NULL, 'LRR_2', 5492),
(5493, 'cd00059', NULL, 'FH', NULL, NULL, 'FH', 5493),
(5494, 'cd15061', NULL, '7tmA_tyramine_R-like', NULL, NULL, '7tmA_tyramine_R-like', 5494),
(5495, 'cd14244', NULL, 'GH_101_like', NULL, NULL, 'GH_101_like', 5495),
(5496, 'cd14992', NULL, '7tmA_TACR_family', NULL, NULL, '7tmA_TACR_family', 5496),
(5497, 'cd12503', NULL, 'RRM1_hnRNPH_GRSF1_like', NULL, NULL, 'RRM1_hnRNPH_GRSF1_like', 5497),
(5498, 'cd21470', NULL, 'CoV_Spike_S1_RBD', NULL, NULL, 'CoV_Spike_S1_RBD', 5498),
(5499, 'cd02038', NULL, 'FlhG-like', NULL, NULL, 'FlhG-like', 5499);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(5500, 'cd00861', NULL, 'ProRS_anticodon_short', NULL, NULL, 'ProRS_anticodon_short', 5500),
(5501, 'cd08193', NULL, 'HVD', NULL, NULL, 'HVD', 5501),
(5502, 'cd08708', NULL, 'RGS_FLBA', NULL, NULL, 'RGS_FLBA', 5502),
(5503, 'cd05051', NULL, 'PTKc_DDR', NULL, NULL, 'PTKc_DDR', 5503),
(5504, 'cd02188', NULL, 'gamma_tubulin', NULL, NULL, 'gamma_tubulin', 5504),
(5505, 'cd04154', NULL, 'Arl2', NULL, NULL, 'Arl2', 5505),
(5506, 'cd19617', NULL, 'FABP12', NULL, NULL, 'FABP12', 5506),
(5507, 'cd03070', NULL, 'PDI_b_ERp44', NULL, NULL, 'PDI_b_ERp44', 5507),
(5508, 'cd15798', NULL, 'PMEI-like_3', NULL, NULL, 'PMEI-like_3', 5508),
(5509, 'cd00286', NULL, 'Tubulin_FtsZ_Cetz-like', NULL, NULL, 'Tubulin_FtsZ_Cetz-like', 5509),
(5510, 'cd01037', NULL, 'Restriction_endonuclease_like', NULL, NULL, 'Restriction_endonuclease_like', 5510),
(5511, 'cd00332', NULL, 'PAL-HAL', NULL, NULL, 'PAL-HAL', 5511),
(5512, 'cd14962', NULL, 'NHL_like_6', NULL, NULL, 'NHL_like_6', 5512),
(5513, 'cd18941', NULL, 'bHLH_TS_OLIG3', NULL, NULL, 'bHLH_TS_OLIG3', 5513),
(5514, 'cd19990', NULL, 'PBP1_GABAb_receptor_plant', NULL, NULL, 'PBP1_GABAb_receptor_plant', 5514),
(5515, 'cd13188', NULL, 'FERM_C_PTPN14_PTPN21', NULL, NULL, 'FERM_C_PTPN14_PTPN21', 5515),
(5516, 'cd16822', NULL, 'SP-RING_ZMIZ1', NULL, NULL, 'SP-RING_ZMIZ1', 5516),
(5517, 'cd01027', NULL, 'TOPRIM_RNase_M5_like', NULL, NULL, 'TOPRIM_RNase_M5_like', 5517),
(5518, 'cd07508', NULL, 'HAD_Pase_UmpH-like', NULL, NULL, 'HAD_Pase_UmpH-like', 5518),
(5519, 'cd00206', NULL, 'snake_toxin', NULL, NULL, 'snake_toxin', 5519),
(5520, 'cd06352', NULL, 'PBP1_NPR_GC-like', NULL, NULL, 'PBP1_NPR_GC-like', 5520),
(5521, 'cd19706', NULL, 'bHLH_TS_TAL1', NULL, NULL, 'bHLH_TS_TAL1', 5521),
(5522, 'cd16981', NULL, 'CID_RPRD_like', NULL, NULL, 'CID_RPRD_like', 5522),
(5523, 'cd17076', NULL, 'UBX_UBXN10', NULL, NULL, 'UBX_UBXN10', 5523),
(5524, 'cd17953', NULL, 'DEADc_DDX46', NULL, NULL, 'DEADc_DDX46', 5524),
(5525, 'cd12249', NULL, 'RRM1_hnRNPR_like', NULL, NULL, 'RRM1_hnRNPR_like', 5525),
(5526, 'cd06191', NULL, 'FNR_iron_sulfur_binding', NULL, NULL, 'FNR_iron_sulfur_binding', 5526),
(5527, 'cd10234', NULL, 'HSPA9-Ssq1-like_NBD', NULL, NULL, 'HSPA9-Ssq1-like_NBD', 5527),
(5528, 'cd04030', NULL, 'C2C_KIAA1228', NULL, NULL, 'C2C_KIAA1228', 5528),
(5529, 'cd15738', NULL, 'FYVE_MTMR_unchar', NULL, NULL, 'FYVE_MTMR_unchar', 5529),
(5530, 'cd08365', NULL, 'APC10-like1', NULL, NULL, 'APC10-like1', 5530),
(5531, 'cd20263', NULL, 'Complex1_LYR_NDUFB9_LYRM3', NULL, NULL, 'Complex1_LYR_NDUFB9_LYRM3', 5531),
(5532, 'cd18066', NULL, 'DEXHc_RAD54B', NULL, NULL, 'DEXHc_RAD54B', 5532),
(5533, 'cd11678', NULL, 'archaeal_LSm', NULL, NULL, 'archaeal_LSm', 5533),
(5534, 'cd19931', NULL, 'REC_NarL', NULL, NULL, 'REC_NarL', 5534),
(5535, 'cd03808', NULL, 'GT4_CapM-like', NULL, NULL, 'GT4_CapM-like', 5535),
(5536, 'cd09189', NULL, 'PLDc_DNaseII_alpha_1', NULL, NULL, 'PLDc_DNaseII_alpha_1', 5536),
(5537, 'cd14311', NULL, 'UBA_II_E2_UBC1', NULL, NULL, 'UBA_II_E2_UBC1', 5537),
(5538, 'cd08806', NULL, 'CARD_CARD14_CARMA2', NULL, NULL, 'CARD_CARD14_CARMA2', 5538),
(5539, 'cd00645', NULL, 'AsnA', NULL, NULL, 'AsnA', 5539),
(5540, 'cd04366', NULL, 'IlGF_insulin_bombyxin_like', NULL, NULL, 'IlGF_insulin_bombyxin_like', 5540),
(5541, 'cd19367', NULL, 'TenA_C_ScTHI20-like', NULL, NULL, 'TenA_C_ScTHI20-like', 5541),
(5542, 'cd07981', NULL, 'TAF12', NULL, NULL, 'TAF12', 5542),
(5543, 'cd15013', NULL, '7tm_TAS2R4', NULL, NULL, '7tm_TAS2R4', 5543),
(5544, 'cd08889', NULL, 'SRPBCC_PITPNM1-2_like', NULL, NULL, 'SRPBCC_PITPNM1-2_like', 5544),
(5545, 'cd11792', NULL, 'SH3_Fut8', NULL, NULL, 'SH3_Fut8', 5545),
(5546, 'cd15945', NULL, '7tmA_OR5C1-like', NULL, NULL, '7tmA_OR5C1-like', 5546),
(5547, 'cd12237', NULL, 'RRM_snRNP35', NULL, NULL, 'RRM_snRNP35', 5547),
(5548, 'cd19826', NULL, 'Bbox2_TRIM9_C-I', NULL, NULL, 'Bbox2_TRIM9_C-I', 5548),
(5549, 'cd00056', NULL, 'ENDO3c', NULL, NULL, 'ENDO3c', 5549),
(5550, 'cd10000', NULL, 'HDAC8', NULL, NULL, 'HDAC8', 5550),
(5551, 'cd12437', NULL, 'RRM_BRAP2_like', NULL, NULL, 'RRM_BRAP2_like', 5551);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(5552, 'cd04498', NULL, 'hPOT1_OB2', NULL, NULL, 'hPOT1_OB2', 5552),
(5553, 'cd00531', NULL, 'NTF2_like', NULL, NULL, 'NTF2_like', 5553),
(5554, 'cd19024', NULL, 'LGIC_ECD_nAChR_B1', NULL, NULL, 'LGIC_ECD_nAChR_B1', 5554),
(5555, 'cd19032', NULL, 'LGIC_ECD_nAChR_proto_beta-like', NULL, NULL, 'LGIC_ECD_nAChR_proto_beta-like', 5555),
(5556, 'cd14655', NULL, 'ZIP_Hap1', NULL, NULL, 'ZIP_Hap1', 5556),
(5557, 'cd12335', NULL, 'RRM2_SF3B4', NULL, NULL, 'RRM2_SF3B4', 5557),
(5558, 'cd04476', NULL, 'RPA1_DBD_C', NULL, NULL, 'RPA1_DBD_C', 5558),
(5559, 'cd18311', NULL, 'BTB_POZ_CP190-like', NULL, NULL, 'BTB_POZ_CP190-like', 5559),
(5560, 'cd09022', NULL, 'Aldose_epim_Ec_YihR', NULL, NULL, 'Aldose_epim_Ec_YihR', 5560),
(5561, 'cd07751', NULL, 'PolyPPase_VTC4_like', NULL, NULL, 'PolyPPase_VTC4_like', 5561),
(5562, 'cd09732', NULL, 'Csx1_III-U', NULL, NULL, 'Csx1_III-U', 5562),
(5563, 'cd10545', NULL, 'SET_AtSUVH-like', NULL, NULL, 'SET_AtSUVH-like', 5563),
(5564, 'cd06123', NULL, 'cupin_HAO', NULL, NULL, 'cupin_HAO', 5564),
(5565, 'cd06220', NULL, 'DHOD_e_trans_like2', NULL, NULL, 'DHOD_e_trans_like2', 5565),
(5566, 'cd01460', NULL, 'vWA_midasin', NULL, NULL, 'vWA_midasin', 5566),
(5567, 'cd03141', NULL, 'GATase1_Hsp31_like', NULL, NULL, 'GATase1_Hsp31_like', 5567),
(5568, 'cd09971', NULL, 'SdiA-regulated', NULL, NULL, 'SdiA-regulated', 5568),
(5569, 'cd11580', NULL, 'eIF2D_N_like', NULL, NULL, 'eIF2D_N_like', 5569),
(5570, 'cd01594', NULL, 'Lyase_I_like', NULL, NULL, 'Lyase_I_like', 5570),
(5571, 'cd04889', NULL, 'ACT_PDH-BS-like', NULL, NULL, 'ACT_PDH-BS-like', 5571),
(5572, 'cd13979', NULL, 'STKc_Mos', NULL, NULL, 'STKc_Mos', 5572),
(5573, 'cd19213', NULL, 'PR-SET_PRDM16', NULL, NULL, 'PR-SET_PRDM16', 5573),
(5574, 'cd12313', NULL, 'RRM1_RRM2_RBM5_like', NULL, NULL, 'RRM1_RRM2_RBM5_like', 5574),
(5575, 'cd15355', NULL, '7tmA_NTSR1', NULL, NULL, '7tmA_NTSR1', 5575),
(5576, 'cd15451', NULL, '7tmC_mGluR7', NULL, NULL, '7tmC_mGluR7', 5576),
(5577, 'cd15089', NULL, '7tmA_Delta_opioid_R', NULL, NULL, '7tmA_Delta_opioid_R', 5577),
(5578, 'cd04026', NULL, 'C2_PKC_alpha_gamma', NULL, NULL, 'C2_PKC_alpha_gamma', 5578),
(5579, 'cd18484', NULL, 'BACK_KBTBD11_CMLAP', NULL, NULL, 'BACK_KBTBD11_CMLAP', 5579),
(5580, 'cd03876', NULL, 'M28_SGAP_like', NULL, NULL, 'M28_SGAP_like', 5580),
(5581, 'cd07960', NULL, 'Anticodon_Ia_Ile_BEm', NULL, NULL, 'Anticodon_Ia_Ile_BEm', 5581),
(5582, 'cd12048', NULL, 'SH3_DOCK3_B', NULL, NULL, 'SH3_DOCK3_B', 5582),
(5583, 'cd00873', NULL, 'KU80', NULL, NULL, 'KU80', 5583),
(5584, 'cd14724', NULL, 'ZIP_Gal4-like_1', NULL, NULL, 'ZIP_Gal4-like_1', 5584),
(5585, 'cd16292', NULL, 'CPSF3-like_MBL-fold', NULL, NULL, 'CPSF3-like_MBL-fold', 5585),
(5586, 'cd06814', NULL, 'PLPDE_III_DSD_D-TA_like_3', NULL, NULL, 'PLPDE_III_DSD_D-TA_like_3', 5586),
(5587, 'cd14289', NULL, 'UBA_RHBD3', NULL, NULL, 'UBA_RHBD3', 5587),
(5588, 'cd15022', NULL, '7tm_TAS2R8', NULL, NULL, '7tm_TAS2R8', 5588),
(5589, 'cd06397', NULL, 'PB1_UP1', NULL, NULL, 'PB1_UP1', 5589),
(5590, 'cd12964', NULL, 'CBM-Fa', NULL, NULL, 'CBM-Fa', 5590),
(5591, 'cd00918', NULL, 'Der-p2_like', NULL, NULL, 'Der-p2_like', 5591),
(5592, 'cd09870', NULL, 'PIN_YEN1', NULL, NULL, 'PIN_YEN1', 5592),
(5593, 'cd03235', NULL, 'ABC_Metallic_Cations', NULL, NULL, 'ABC_Metallic_Cations', 5593),
(5594, 'cd02196', NULL, 'PurM', NULL, NULL, 'PurM', 5594),
(5595, 'cd14072', NULL, 'STKc_MARK', NULL, NULL, 'STKc_MARK', 5595),
(5596, 'cd18358', NULL, 'BTB2_POZ_RHOBTB1', NULL, NULL, 'BTB2_POZ_RHOBTB1', 5596),
(5597, 'cd01401', NULL, 'PncB_like', NULL, NULL, 'PncB_like', 5597),
(5598, 'cd12921', NULL, 'VKOR_4', NULL, NULL, 'VKOR_4', 5598),
(5599, 'cd09397', NULL, 'LIM1_UF1', NULL, NULL, 'LIM1_UF1', 5599),
(5600, 'cd09134', NULL, 'PLDc_PSS_G_neg_1', NULL, NULL, 'PLDc_PSS_G_neg_1', 5600),
(5601, 'cd09628', NULL, 'DOMON_SDR_2_like', NULL, NULL, 'DOMON_SDR_2_like', 5601),
(5602, 'cd19699', NULL, 'bHLH_TS_dMYOD_like', NULL, NULL, 'bHLH_TS_dMYOD_like', 5602),
(5603, 'cd14064', NULL, 'PKc_TNNI3K', NULL, NULL, 'PKc_TNNI3K', 5603),
(5604, 'cd10963', NULL, 'CE4_RC0012_like', NULL, NULL, 'CE4_RC0012_like', 5604);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(5605, 'cd13747', NULL, 'UreI_AmiS_like_1', NULL, NULL, 'UreI_AmiS_like_1', 5605),
(5606, 'cd05340', NULL, 'Ycik_SDR_c', NULL, NULL, 'Ycik_SDR_c', 5606),
(5607, 'cd05632', NULL, 'STKc_GRK5', NULL, NULL, 'STKc_GRK5', 5607),
(5608, 'cd08932', NULL, 'HetN_like_SDR_c', NULL, NULL, 'HetN_like_SDR_c', 5608),
(5609, 'cd06617', NULL, 'PKc_MKK3_6', NULL, NULL, 'PKc_MKK3_6', 5609),
(5610, 'cd00311', NULL, 'TIM', NULL, NULL, 'TIM', 5610),
(5611, 'cd17502', NULL, 'MFS_Azr1_MDR_like', NULL, NULL, 'MFS_Azr1_MDR_like', 5611),
(5612, 'cd05782', NULL, 'DNA_polB_like1_exo', NULL, NULL, 'DNA_polB_like1_exo', 5612),
(5613, 'cd14882', NULL, 'MYSc_Myo21', NULL, NULL, 'MYSc_Myo21', 5613),
(5614, 'cd04878', NULL, 'ACT_AHAS', NULL, NULL, 'ACT_AHAS', 5614),
(5615, 'cd09487', NULL, 'SAM_superfamily', NULL, NULL, 'SAM_superfamily', 5615),
(5616, 'cd10965', NULL, 'CE4_IcaB_5s', NULL, NULL, 'CE4_IcaB_5s', 5616),
(5617, 'cd12019', NULL, 'SH3_Tks5_4', NULL, NULL, 'SH3_Tks5_4', 5617),
(5618, 'cd04684', NULL, 'Nudix_Hydrolase_25', NULL, NULL, 'Nudix_Hydrolase_25', 5618),
(5619, 'cd17180', NULL, 'FERM_F0_KIND1', NULL, NULL, 'FERM_F0_KIND1', 5619),
(5620, 'cd03008', NULL, 'TryX_like_RdCVF', NULL, NULL, 'TryX_like_RdCVF', 5620),
(5621, 'cd21594', NULL, 'deltaCoV_M', NULL, NULL, 'deltaCoV_M', 5621),
(5622, 'cd19207', NULL, 'SET_KMT2B', NULL, NULL, 'SET_KMT2B', 5622),
(5623, 'cd05253', NULL, 'UDP_GE_SDE_e', NULL, NULL, 'UDP_GE_SDE_e', 5623),
(5624, 'cd11559', NULL, 'W2_eIF4G1_like', NULL, NULL, 'W2_eIF4G1_like', 5624),
(5625, 'cd16199', NULL, 'EFh_PEF_CAPN2', NULL, NULL, 'EFh_PEF_CAPN2', 5625),
(5626, 'cd01043', NULL, 'DPS', NULL, NULL, 'DPS', 5626),
(5627, 'cd01364', NULL, 'KISc_BimC_Eg5', NULL, NULL, 'KISc_BimC_Eg5', 5627),
(5628, 'cd10279', NULL, 'PQQ_ADH_II', NULL, NULL, 'PQQ_ADH_II', 5628),
(5629, 'cd10572', NULL, 'PH_RhoGEF3_XPLN', NULL, NULL, 'PH_RhoGEF3_XPLN', 5629),
(5630, 'cd16334', NULL, 'LppX-like', NULL, NULL, 'LppX-like', 5630),
(5631, 'cd15540', NULL, 'PHD2_AIRE', NULL, NULL, 'PHD2_AIRE', 5631),
(5632, 'cd05734', NULL, 'Ig_DSCAM', NULL, NULL, 'Ig_DSCAM', 5632),
(5633, 'cd00551', NULL, 'AmyAc_family', NULL, NULL, 'AmyAc_family', 5633),
(5634, 'cd06923', NULL, 'ChtBD1_GH16', NULL, NULL, 'ChtBD1_GH16', 5634),
(5635, 'cd02213', NULL, 'cupin_PMI_typeII_C', NULL, NULL, 'cupin_PMI_typeII_C', 5635),
(5636, 'cd07632', NULL, 'BAR_APPL2', NULL, NULL, 'BAR_APPL2', 5636),
(5637, 'cd07854', NULL, 'STKc_MAPK4_6', NULL, NULL, 'STKc_MAPK4_6', 5637),
(5638, 'cd08943', NULL, 'R1PA_ADH_SDR_c', NULL, NULL, 'R1PA_ADH_SDR_c', 5638),
(5639, 'cd16803', NULL, 'RING-H2_RNF130', NULL, NULL, 'RING-H2_RNF130', 5639),
(5640, 'cd03035', NULL, 'ArsC_Yffb', NULL, NULL, 'ArsC_Yffb', 5640),
(5641, 'cd08369', NULL, 'FMT_core', NULL, NULL, 'FMT_core', 5641),
(5642, 'cd18817', NULL, 'GH43f_LbAraf43-like', NULL, NULL, 'GH43f_LbAraf43-like', 5642),
(5643, 'cd05595', NULL, 'STKc_PKB_beta', NULL, NULL, 'STKc_PKB_beta', 5643),
(5644, 'cd16371', NULL, 'DMSOR_beta_like', NULL, NULL, 'DMSOR_beta_like', 5644),
(5645, 'cd18506', NULL, 'BACK2_LZTR1', NULL, NULL, 'BACK2_LZTR1', 5645),
(5646, 'cd00591', NULL, 'HU_IHF', NULL, NULL, 'HU_IHF', 5646),
(5647, 'cd14442', NULL, 'AlgJ_like', NULL, NULL, 'AlgJ_like', 5647),
(5648, 'cd14700', NULL, 'bZIP_ATF6', NULL, NULL, 'bZIP_ATF6', 5648),
(5649, 'cd05280', NULL, 'MDR_yhdh_yhfp', NULL, NULL, 'MDR_yhdh_yhfp', 5649),
(5650, 'cd18799', NULL, 'SF2_C_EcoAI-like', NULL, NULL, 'SF2_C_EcoAI-like', 5650),
(5651, 'cd07467', NULL, 'CRD_TK_ROR1', NULL, NULL, 'CRD_TK_ROR1', 5651),
(5652, 'cd17733', NULL, 'BRCT_Ect2_rpt1', NULL, NULL, 'BRCT_Ect2_rpt1', 5652),
(5653, 'cd14548', NULL, 'R3-PTPc', NULL, NULL, 'R3-PTPc', 5653),
(5654, 'cd11759', NULL, 'SH3_CRK_C', NULL, NULL, 'SH3_CRK_C', 5654),
(5655, 'cd17553', NULL, 'REC_Spo0F-like', NULL, NULL, 'REC_Spo0F-like', 5655),
(5656, 'cd02344', NULL, 'ZZ_HERC2', NULL, NULL, 'ZZ_HERC2', 5656),
(5657, 'cd15595', NULL, 'PHD2_KMT2D', NULL, NULL, 'PHD2_KMT2D', 5657),
(5658, 'cd00737', NULL, 'lyz_endolysin_autolysin', NULL, NULL, 'lyz_endolysin_autolysin', 5658),
(5659, 'cd06086', NULL, 'KOW_Spt5_6', NULL, NULL, 'KOW_Spt5_6', 5659);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(5660, 'cd01317', NULL, 'DHOase_IIa', NULL, NULL, 'DHOase_IIa', 5660),
(5661, 'cd03251', NULL, 'ABCC_MsbA', NULL, NULL, 'ABCC_MsbA', 5661),
(5662, 'cd09751', NULL, 'Cas8a2_I-A', NULL, NULL, 'Cas8a2_I-A', 5662),
(5663, 'cd07373', NULL, '2A5CPDO_A', NULL, NULL, '2A5CPDO_A', 5663),
(5664, 'cd12268', NULL, 'RRM_Vip1', NULL, NULL, 'RRM_Vip1', 5664),
(5665, 'cd16907', NULL, 'YEATS_YEATS2_like', NULL, NULL, 'YEATS_YEATS2_like', 5665),
(5666, 'cd06624', NULL, 'STKc_ASK', NULL, NULL, 'STKc_ASK', 5666),
(5667, 'cd11552', NULL, 'Serine_rich_BCAR1', NULL, NULL, 'Serine_rich_BCAR1', 5667),
(5668, 'cd06148', NULL, 'Egl_like_exo', NULL, NULL, 'Egl_like_exo', 5668),
(5669, 'cd09885', NULL, 'PIN_Smg6-like', NULL, NULL, 'PIN_Smg6-like', 5669),
(5670, 'cd02845', NULL, 'PAZ_piwi_like', NULL, NULL, 'PAZ_piwi_like', 5670),
(5671, 'cd09486', NULL, 'LIM_Eplin_like_1', NULL, NULL, 'LIM_Eplin_like_1', 5671),
(5672, 'cd09558', NULL, 'SAM_ZCCH14', NULL, NULL, 'SAM_ZCCH14', 5672),
(5673, 'cd13576', NULL, 'PBP2_BugD_Asp', NULL, NULL, 'PBP2_BugD_Asp', 5673),
(5674, 'cd06851', NULL, 'GT_GPT_like', NULL, NULL, 'GT_GPT_like', 5674),
(5675, 'cd09497', NULL, 'SAM_caskin1,2_repeat1', NULL, NULL, 'SAM_caskin1,2_repeat1', 5675),
(5676, 'cd08653', NULL, 'FMT_core_like_3', NULL, NULL, 'FMT_core_like_3', 5676),
(5677, 'cd09942', NULL, 'SH2_nSH2_p85_like', NULL, NULL, 'SH2_nSH2_p85_like', 5677),
(5678, 'cd12055', NULL, 'SH3_CIN85_2', NULL, NULL, 'SH3_CIN85_2', 5678),
(5679, 'cd17256', NULL, 'RMtype1_S_EcoJA65PI-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_EcoJA65PI-TRD1-CR1_like', 5679),
(5680, 'cd13754', NULL, 'TGF_beta_INHA', NULL, NULL, 'TGF_beta_INHA', 5680),
(5681, 'cd12698', NULL, 'RRM3_PTBPH3', NULL, NULL, 'RRM3_PTBPH3', 5681),
(5682, 'cd06399', NULL, 'PB1_P40', NULL, NULL, 'PB1_P40', 5682),
(5683, 'cd19121', NULL, 'AKR_AKR3D1', NULL, NULL, 'AKR_AKR3D1', 5683),
(5684, 'cd07522', NULL, 'HAD_cN-II', NULL, NULL, 'HAD_cN-II', 5684),
(5685, 'cd06420', NULL, 'GT2_Chondriotin_Pol_N', NULL, NULL, 'GT2_Chondriotin_Pol_N', 5685),
(5686, 'cd09583', NULL, 'SAM_Atherin-like', NULL, NULL, 'SAM_Atherin-like', 5686),
(5687, 'cd17993', NULL, 'DEXHc_CHD1_2', NULL, NULL, 'DEXHc_CHD1_2', 5687),
(5688, 'cd13134', NULL, 'MATE_like_8', NULL, NULL, 'MATE_like_8', 5688),
(5689, 'cd06596', NULL, 'GH31_CPE1046', NULL, NULL, 'GH31_CPE1046', 5689),
(5690, 'cd11764', NULL, 'SH3_Eps8', NULL, NULL, 'SH3_Eps8', 5690),
(5691, 'cd12932', NULL, 'RRP7_like', NULL, NULL, 'RRP7_like', 5691),
(5692, 'cd13536', NULL, 'PBP2_EcModA', NULL, NULL, 'PBP2_EcModA', 5692),
(5693, 'cd08882', NULL, 'RHO_alpha_C_MupW-like', NULL, NULL, 'RHO_alpha_C_MupW-like', 5693),
(5694, 'cd21638', NULL, 'NS7a_deltaCoV_HKU16-like', NULL, NULL, 'NS7a_deltaCoV_HKU16-like', 5694),
(5695, 'cd17574', NULL, 'REC_OmpR', NULL, NULL, 'REC_OmpR', 5695),
(5696, 'cd01144', NULL, 'BtuF', NULL, NULL, 'BtuF', 5696),
(5697, 'cd04670', NULL, 'Nudix_Hydrolase_12', NULL, NULL, 'Nudix_Hydrolase_12', 5697),
(5698, 'cd03163', NULL, 'TM4SF8_like_LEL', NULL, NULL, 'TM4SF8_like_LEL', 5698),
(5699, 'cd05400', NULL, 'NT_2-5OAS_ClassI-CCAase', NULL, NULL, 'NT_2-5OAS_ClassI-CCAase', 5699),
(5700, 'cd09330', NULL, 'LIM4_abLIM', NULL, NULL, 'LIM4_abLIM', 5700),
(5701, 'cd18751', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 5701),
(5702, 'cd06899', NULL, 'lectin_legume_LecRK_Arcelin_ConA', NULL, NULL, 'lectin_legume_LecRK_Arcelin_ConA', 5702),
(5703, 'cd03223', NULL, 'ABCD_peroxisomal_ALDP', NULL, NULL, 'ABCD_peroxisomal_ALDP', 5703),
(5704, 'cd07516', NULL, 'HAD_Pase', NULL, NULL, 'HAD_Pase', 5704),
(5705, 'cd04710', NULL, 'BAH_fungalPHD', NULL, NULL, 'BAH_fungalPHD', 5705),
(5706, 'cd00671', NULL, 'ArgRS_core', NULL, NULL, 'ArgRS_core', 5706),
(5707, 'cd06887', NULL, 'PX_p47phox', NULL, NULL, 'PX_p47phox', 5707),
(5708, 'cd16262', NULL, 'EFG_III', NULL, NULL, 'EFG_III', 5708),
(5709, 'cd01067', NULL, 'Globin-like', NULL, NULL, 'Globin-like', 5709),
(5710, 'cd06062', NULL, 'H2MP_MemB-H2up', NULL, NULL, 'H2MP_MemB-H2up', 5710),
(5711, 'cd08239', NULL, 'THR_DH_like', NULL, NULL, 'THR_DH_like', 5711),
(5712, 'cd10371', NULL, 'SH2_Src_Blk', NULL, NULL, 'SH2_Src_Blk', 5712);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(5713, 'cd20289', NULL, 'cupin_ADO', NULL, NULL, 'cupin_ADO', 5713),
(5714, 'cd11964', NULL, 'SH3_STAM1', NULL, NULL, 'SH3_STAM1', 5714),
(5715, 'cd02754', NULL, 'MopB_Nitrate-R-NapA-like', NULL, NULL, 'MopB_Nitrate-R-NapA-like', 5715),
(5716, 'cd09845', NULL, 'PLDc_vPLD2_2', NULL, NULL, 'PLDc_vPLD2_2', 5716),
(5717, 'cd08603', NULL, 'GDPD_SHV3_repeat_1', NULL, NULL, 'GDPD_SHV3_repeat_1', 5717),
(5718, 'cd09709', NULL, 'Csc2_I-D', NULL, NULL, 'Csc2_I-D', 5718),
(5719, 'cd00835', NULL, 'RanBD_family', NULL, NULL, 'RanBD_family', 5719),
(5720, 'cd16514', NULL, 'RING2-HC_LONFs', NULL, NULL, 'RING2-HC_LONFs', 5720),
(5721, 'cd01518', NULL, 'RHOD_YceA', NULL, NULL, 'RHOD_YceA', 5721),
(5722, 'cd14447', NULL, 'SPX', NULL, NULL, 'SPX', 5722),
(5723, 'cd16524', NULL, 'RING-HC_NHL-1_like', NULL, NULL, 'RING-HC_NHL-1_like', 5723),
(5724, 'cd16697', NULL, 'RING-CH-C4HC3_NFXL1', NULL, NULL, 'RING-CH-C4HC3_NFXL1', 5724),
(5725, 'cd18282', NULL, 'BTB_POZ_BTBD3_6', NULL, NULL, 'BTB_POZ_BTBD3_6', 5725),
(5726, 'cd17099', NULL, 'FERM_F1_PTPN14_like', NULL, NULL, 'FERM_F1_PTPN14_like', 5726),
(5727, 'cd05044', NULL, 'PTKc_c-ros', NULL, NULL, 'PTKc_c-ros', 5727),
(5728, 'cd05664', NULL, 'M20_Acy1-like', NULL, NULL, 'M20_Acy1-like', 5728),
(5729, 'cd10042', NULL, 'Reelin_repeat_6_subrepeat_1', NULL, NULL, 'Reelin_repeat_6_subrepeat_1', 5729),
(5730, 'cd15918', NULL, '7tmA_OR1_7-like', NULL, NULL, '7tmA_OR1_7-like', 5730),
(5731, 'cd03164', NULL, 'CD53_like_LEL', NULL, NULL, 'CD53_like_LEL', 5731),
(5732, 'cd07479', NULL, 'Peptidases_S8_SKI-1_like', NULL, NULL, 'Peptidases_S8_SKI-1_like', 5732),
(5733, 'cd11794', NULL, 'SH3_DNMBP_N1', NULL, NULL, 'SH3_DNMBP_N1', 5733),
(5734, 'cd13879', NULL, 'CuRO_2_McoP_like', NULL, NULL, 'CuRO_2_McoP_like', 5734),
(5735, 'cd09595', NULL, 'M1', NULL, NULL, 'M1', 5735),
(5736, 'cd11833', NULL, 'SH3_Stac_1', NULL, NULL, 'SH3_Stac_1', 5736),
(5737, 'cd13645', NULL, 'PBP2_HuPBGD_like', NULL, NULL, 'PBP2_HuPBGD_like', 5737),
(5738, 'cd18831', NULL, 'GH43_AnAbnA-like', NULL, NULL, 'GH43_AnAbnA-like', 5738),
(5739, 'cd05939', NULL, 'hsFATP4_like', NULL, NULL, 'hsFATP4_like', 5739),
(5740, 'cd00402', NULL, 'Riboflavin_synthase_like', NULL, NULL, 'Riboflavin_synthase_like', 5740),
(5741, 'cd07637', NULL, 'BAR_ACAP3', NULL, NULL, 'BAR_ACAP3', 5741),
(5742, 'cd15370', NULL, '7tmA_PAR2', NULL, NULL, '7tmA_PAR2', 5742),
(5743, 'cd16834', NULL, 'CNF1-like', NULL, NULL, 'CNF1-like', 5743),
(5744, 'cd19365', NULL, 'TenA_C-like', NULL, NULL, 'TenA_C-like', 5744),
(5745, 'cd19109', NULL, 'AKR_AKR1D1-3', NULL, NULL, 'AKR_AKR1D1-3', 5745),
(5746, 'cd21637', NULL, 'NS7_PDCoV', NULL, NULL, 'NS7_PDCoV', 5746),
(5747, 'cd19855', NULL, 'DSRM_DHX9_rpt2', NULL, NULL, 'DSRM_DHX9_rpt2', 5747),
(5748, 'cd16034', NULL, 'sulfatase_like', NULL, NULL, 'sulfatase_like', 5748),
(5749, 'cd03450', NULL, 'NodN', NULL, NULL, 'NodN', 5749),
(5750, 'cd11403', NULL, 'bHLH_scINO4_like', NULL, NULL, 'bHLH_scINO4_like', 5750),
(5751, 'cd19911', NULL, 'DSRM_STRBP_rpt2', NULL, NULL, 'DSRM_STRBP_rpt2', 5751),
(5752, 'cd12808', NULL, 'Esterase_713_like-1', NULL, NULL, 'Esterase_713_like-1', 5752),
(5753, 'cd00125', NULL, 'PLA2c', NULL, NULL, 'PLA2c', 5753),
(5754, 'cd03691', NULL, 'BipA_TypA_II', NULL, NULL, 'BipA_TypA_II', 5754),
(5755, 'cd09542', NULL, 'SAM_EPH-A1', NULL, NULL, 'SAM_EPH-A1', 5755),
(5756, 'cd10496', NULL, 'MH2_I-SMAD', NULL, NULL, 'MH2_I-SMAD', 5756),
(5757, 'cd14099', NULL, 'STKc_PLK', NULL, NULL, 'STKc_PLK', 5757),
(5758, 'cd17753', NULL, 'MCM2', NULL, NULL, 'MCM2', 5758),
(5759, 'cd00279', NULL, 'YlxR', NULL, NULL, 'YlxR', 5759),
(5760, 'cd07731', NULL, 'ComA-like_MBL-fold', NULL, NULL, 'ComA-like_MBL-fold', 5760),
(5761, 'cd18060', NULL, 'DEXHc_CHD8', NULL, NULL, 'DEXHc_CHD8', 5761),
(5762, 'cd15477', NULL, 'Myo5b_CBD', NULL, NULL, 'Myo5b_CBD', 5762),
(5763, 'cd06064', NULL, 'H2MP_F420-Reduc', NULL, NULL, 'H2MP_F420-Reduc', 5763),
(5764, 'cd12829', NULL, 'Alr1p-like', NULL, NULL, 'Alr1p-like', 5764),
(5765, 'cd04044', NULL, 'C2A_Tricalbin-like', NULL, NULL, 'C2A_Tricalbin-like', 5765),
(5766, 'cd03791', NULL, 'GT5_Glycogen_synthase_DULL1-like', NULL, NULL, 'GT5_Glycogen_synthase_DULL1-like', 5766);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(5767, 'cd14818', NULL, 'longin-like', NULL, NULL, 'longin-like', 5767),
(5768, 'cd07579', NULL, 'nitrilase_1_R2', NULL, NULL, 'nitrilase_1_R2', 5768),
(5769, 'cd17548', NULL, 'REC_DivK-like', NULL, NULL, 'REC_DivK-like', 5769),
(5770, 'cd02976', NULL, 'NrdH', NULL, NULL, 'NrdH', 5770),
(5771, 'cd17040', NULL, 'Ubl_MoaD_like', NULL, NULL, 'Ubl_MoaD_like', 5771),
(5772, 'cd09186', NULL, 'PLDc_FAM83F_N', NULL, NULL, 'PLDc_FAM83F_N', 5772),
(5773, 'cd01019', NULL, 'ZnuA', NULL, NULL, 'ZnuA', 5773),
(5774, 'cd11887', NULL, 'SH3_Bbc1', NULL, NULL, 'SH3_Bbc1', 5774),
(5775, 'cd15768', NULL, 'FYVE_SPIR2', NULL, NULL, 'FYVE_SPIR2', 5775),
(5776, 'cd11891', NULL, 'MIAL', NULL, NULL, 'MIAL', 5776),
(5777, 'cd07682', NULL, 'F-BAR_srGAP2', NULL, NULL, 'F-BAR_srGAP2', 5777),
(5778, 'cd06471', NULL, 'ACD_LpsHSP_like', NULL, NULL, 'ACD_LpsHSP_like', 5778),
(5779, 'cd01163', NULL, 'DszC', NULL, NULL, 'DszC', 5779),
(5780, 'cd01298', NULL, 'ATZ_TRZ_like', NULL, NULL, 'ATZ_TRZ_like', 5780),
(5781, 'cd13423', NULL, 'TNFRSF6_teleost', NULL, NULL, 'TNFRSF6_teleost', 5781),
(5782, 'cd12935', NULL, 'LEM_like', NULL, NULL, 'LEM_like', 5782),
(5783, 'cd10302', NULL, 'GST_C_GDAP1L1', NULL, NULL, 'GST_C_GDAP1L1', 5783),
(5784, 'cd09833', NULL, 'CBS_pair_GGDEF_PAS_repeat1', NULL, NULL, 'CBS_pair_GGDEF_PAS_repeat1', 5784),
(5785, 'cd14267', NULL, 'Rif1_CTD_C-II_like', NULL, NULL, 'Rif1_CTD_C-II_like', 5785),
(5786, 'cd10931', NULL, 'CE4_u7', NULL, NULL, 'CE4_u7', 5786),
(5787, 'cd04158', NULL, 'ARD1', NULL, NULL, 'ARD1', 5787),
(5788, 'cd05908', NULL, 'A_NRPS_MycA_like', NULL, NULL, 'A_NRPS_MycA_like', 5788),
(5789, 'cd01191', NULL, 'INT_C_like_2', NULL, NULL, 'INT_C_like_2', 5789),
(5790, 'cd04873', NULL, 'ACT_UUR-ACR-like', NULL, NULL, 'ACT_UUR-ACR-like', 5790),
(5791, 'cd00014', NULL, 'CH', NULL, NULL, 'CH', 5791),
(5792, 'cd01671', NULL, 'CARD', NULL, NULL, 'CARD', 5792),
(5793, 'cd03290', NULL, 'ABCC_SUR1_N', NULL, NULL, 'ABCC_SUR1_N', 5793),
(5794, 'cd08282', NULL, 'PFDH_like', NULL, NULL, 'PFDH_like', 5794),
(5795, 'cd13314', NULL, 'PH_Rpn13', NULL, NULL, 'PH_Rpn13', 5795),
(5796, 'cd01293', NULL, 'Bact_CD', NULL, NULL, 'Bact_CD', 5796),
(5797, 'cd14209', NULL, 'STKc_PKA', NULL, NULL, 'STKc_PKA', 5797),
(5798, 'cd17995', NULL, 'DEXHc_CHD6_7_8_9', NULL, NULL, 'DEXHc_CHD6_7_8_9', 5798),
(5799, 'cd04200', NULL, 'CuRO_2_ceruloplasmin_like', NULL, NULL, 'CuRO_2_ceruloplasmin_like', 5799),
(5800, 'cd10014', NULL, 'TFIIA_gamma_C', NULL, NULL, 'TFIIA_gamma_C', 5800),
(5801, 'cd12778', NULL, 'RRM1_PTBP2', NULL, NULL, 'RRM1_PTBP2', 5801),
(5802, 'cd17261', NULL, 'RMtype1_S_EcoKI-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_EcoKI-TRD2-CR2_like', 5802),
(5803, 'cd18651', NULL, 'CD_HP1alpha_Cbx5', NULL, NULL, 'CD_HP1alpha_Cbx5', 5803),
(5804, 'cd14256', NULL, 'Dockerin_I', NULL, NULL, 'Dockerin_I', 5804),
(5805, 'cd00866', NULL, 'PEBP_euk', NULL, NULL, 'PEBP_euk', 5805),
(5806, 'cd12263', NULL, 'RRM_ABT1_like', NULL, NULL, 'RRM_ABT1_like', 5806),
(5807, 'cd00481', NULL, 'Ribosomal_L19e', NULL, NULL, 'Ribosomal_L19e', 5807),
(5808, 'cd12491', NULL, 'RRM2_RBM47', NULL, NULL, 'RRM2_RBM47', 5808),
(5809, 'cd11301', NULL, 'Fut1_Fut2_like', NULL, NULL, 'Fut1_Fut2_like', 5809),
(5810, 'cd08946', NULL, 'SDR_e', NULL, NULL, 'SDR_e', 5810),
(5811, 'cd06852', NULL, 'GT_MraY', NULL, NULL, 'GT_MraY', 5811),
(5812, 'cd07152', NULL, 'ALDH_BenzADH', NULL, NULL, 'ALDH_BenzADH', 5812),
(5813, 'cd15100', NULL, '7tmA_GPR3_GPR6_GPR12-like', NULL, NULL, '7tmA_GPR3_GPR6_GPR12-like', 5813),
(5814, 'cd03041', NULL, 'GST_N_2GST_N', NULL, NULL, 'GST_N_2GST_N', 5814),
(5815, 'cd20305', NULL, 'cupin_OxDC_C', NULL, NULL, 'cupin_OxDC_C', 5815),
(5816, 'cd07481', NULL, 'Peptidases_S8_BacillopeptidaseF-like', NULL, NULL, 'Peptidases_S8_BacillopeptidaseF-like', 5816),
(5817, 'cd01807', NULL, 'Ubl_UBL4A_like', NULL, NULL, 'Ubl_UBL4A_like', 5817),
(5818, 'cd04043', NULL, 'C2_Munc13_fungal', NULL, NULL, 'C2_Munc13_fungal', 5818),
(5819, 'cd09011', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 5819),
(5820, 'cd19419', NULL, 'lipocalin_L-PGDS', NULL, NULL, 'lipocalin_L-PGDS', 5820);
INSERT INTO "PUBLIC"."MODEL" VALUES
(5821, 'cd05166', NULL, 'PI3Kc_II', NULL, NULL, 'PI3Kc_II', 5821),
(5822, 'cd07141', NULL, 'ALDH_F1AB_F2_RALDH1', NULL, NULL, 'ALDH_F1AB_F2_RALDH1', 5822),
(5823, 'cd09118', NULL, 'PLDc_yjhR_C_like', NULL, NULL, 'PLDc_yjhR_C_like', 5823),
(5824, 'cd18059', NULL, 'DEXHc_CHD7', NULL, NULL, 'DEXHc_CHD7', 5824),
(5825, 'cd14262', NULL, 'VirB5_like', NULL, NULL, 'VirB5_like', 5825),
(5826, 'cd09335', NULL, 'LIM5_PINCH', NULL, NULL, 'LIM5_PINCH', 5826),
(5827, 'cd17187', NULL, 'FERM_F1_ERM', NULL, NULL, 'FERM_F1_ERM', 5827),
(5828, 'cd19403', NULL, 'TGF_beta_GDF9', NULL, NULL, 'TGF_beta_GDF9', 5828),
(5829, 'cd18429', NULL, 'M14_Nna1-like', NULL, NULL, 'M14_Nna1-like', 5829),
(5830, 'cd16124', NULL, 'RA_GRB7_10_14', NULL, NULL, 'RA_GRB7_10_14', 5830),
(5831, 'cd07998', NULL, 'WGR_DNA_ligase', NULL, NULL, 'WGR_DNA_ligase', 5831),
(5832, 'cd03248', NULL, 'ABCC_TAP', NULL, NULL, 'ABCC_TAP', 5832),
(5833, 'cd12391', NULL, 'RRM1_SART3', NULL, NULL, 'RRM1_SART3', 5833),
(5834, 'cd19693', NULL, 'bHLH_dnHLH_ID3', NULL, NULL, 'bHLH_dnHLH_ID3', 5834),
(5835, 'cd08001', NULL, 'WGR_PARP1_like', NULL, NULL, 'WGR_PARP1_like', 5835),
(5836, 'cd09105', NULL, 'PLDc_vPLD1_2_like_2', NULL, NULL, 'PLDc_vPLD1_2_like_2', 5836),
(5837, 'cd09184', NULL, 'PLDc_FAM83D_N', NULL, NULL, 'PLDc_FAM83D_N', 5837),
(5838, 'cd08437', NULL, 'PBP2_MleR', NULL, NULL, 'PBP2_MleR', 5838),
(5839, 'cd09131', NULL, 'PLDc_unchar3', NULL, NULL, 'PLDc_unchar3', 5839),
(5840, 'cd03364', NULL, 'TOPRIM_DnaG_primases', NULL, NULL, 'TOPRIM_DnaG_primases', 5840),
(5841, 'cd19987', NULL, 'PBP1_SBP-like', NULL, NULL, 'PBP1_SBP-like', 5841),
(5842, 'cd06392', NULL, 'PBP1_iGluR_delta_1', NULL, NULL, 'PBP1_iGluR_delta_1', 5842),
(5843, 'cd13417', NULL, 'TNFRSF18', NULL, NULL, 'TNFRSF18', 5843),
(5844, 'cd04711', NULL, 'BAH_Dnmt1_II', NULL, NULL, 'BAH_Dnmt1_II', 5844),
(5845, 'cd08737', NULL, 'RGS_RGS6', NULL, NULL, 'RGS_RGS6', 5845),
(5846, 'cd14025', NULL, 'STKc_RIP4_like', NULL, NULL, 'STKc_RIP4_like', 5846),
(5847, 'cd15797', NULL, 'PMEI', NULL, NULL, 'PMEI', 5847),
(5848, 'cd13952', NULL, '7tm_classB', NULL, NULL, '7tm_classB', 5848),
(5849, 'cd05153', NULL, 'HomoserineK_II', NULL, NULL, 'HomoserineK_II', 5849),
(5850, 'cd07724', NULL, 'POD-like_MBL-fold', NULL, NULL, 'POD-like_MBL-fold', 5850),
(5851, 'cd01733', NULL, 'LSm10', NULL, NULL, 'LSm10', 5851),
(5852, 'cd08647', NULL, 'FMT_core_FDH_N', NULL, NULL, 'FMT_core_FDH_N', 5852),
(5853, 'cd09480', NULL, 'LIM1_CRP2', NULL, NULL, 'LIM1_CRP2', 5853),
(5854, 'cd10225', NULL, 'MreB_like', NULL, NULL, 'MreB_like', 5854),
(5855, 'cd08562', NULL, 'GDPD_EcUgpQ_like', NULL, NULL, 'GDPD_EcUgpQ_like', 5855),
(5856, 'cd15005', NULL, '7tmA_SREB-like', NULL, NULL, '7tmA_SREB-like', 5856),
(5857, 'cd18107', NULL, 'SpoU-like_AviRb', NULL, NULL, 'SpoU-like_AviRb', 5857),
(5858, 'cd15319', NULL, '7tmA_D1B_dopamine_R', NULL, NULL, '7tmA_D1B_dopamine_R', 5858),
(5859, 'cd20306', NULL, 'cupin_OxDC-like', NULL, NULL, 'cupin_OxDC-like', 5859),
(5860, 'cd17499', NULL, 'RMtype1_S_CloLW9ORF3270P-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_CloLW9ORF3270P-TRD1-CR1_like', 5860),
(5861, 'cd03185', NULL, 'GST_C_Tau', NULL, NULL, 'GST_C_Tau', 5861),
(5862, 'cd06286', NULL, 'PBP1_CcpB-like', NULL, NULL, 'PBP1_CcpB-like', 5862),
(5863, 'cd16942', NULL, 'HATPase_SpoIIAB-like', NULL, NULL, 'HATPase_SpoIIAB-like', 5863),
(5864, 'cd04225', NULL, 'CuRO_5_ceruloplasmin', NULL, NULL, 'CuRO_5_ceruloplasmin', 5864),
(5865, 'cd02406', NULL, 'CRS2', NULL, NULL, 'CRS2', 5865),
(5866, 'cd05276', NULL, 'p53_inducible_oxidoreductase', NULL, NULL, 'p53_inducible_oxidoreductase', 5866),
(5867, 'cd02186', NULL, 'alpha_tubulin', NULL, NULL, 'alpha_tubulin', 5867),
(5868, 'cd09359', NULL, 'LIM_LASP_like', NULL, NULL, 'LIM_LASP_like', 5868),
(5869, 'cd11947', NULL, 'SH3_GRAP2_N', NULL, NULL, 'SH3_GRAP2_N', 5869),
(5870, 'cd06551', NULL, 'LPLAT', NULL, NULL, 'LPLAT', 5870),
(5871, 'cd17525', NULL, 'RMtype1_S_Eco15ORF14057P-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_Eco15ORF14057P-TRD1-CR1_like', 5871),
(5872, 'cd05795', NULL, 'Ribosomal_P0_L10e', NULL, NULL, 'Ribosomal_P0_L10e', 5872);
INSERT INTO "PUBLIC"."MODEL" VALUES
(5873, 'cd18635', NULL, 'CD_CMT3_like', NULL, NULL, 'CD_CMT3_like', 5873),
(5874, 'cd10020', NULL, '14-3-3_epsilon', NULL, NULL, '14-3-3_epsilon', 5874),
(5875, 'cd03049', NULL, 'GST_N_3', NULL, NULL, 'GST_N_3', 5875),
(5876, 'cd02214', NULL, 'cupin_MJ1618', NULL, NULL, 'cupin_MJ1618', 5876),
(5877, 'cd02763', NULL, 'MopB_2', NULL, NULL, 'MopB_2', 5877),
(5878, 'cd14145', NULL, 'STKc_MLK1', NULL, NULL, 'STKc_MLK1', 5878),
(5879, 'cd18999', NULL, 'LGIC_ECD_GABAAR_B', NULL, NULL, 'LGIC_ECD_GABAAR_B', 5879),
(5880, 'cd20299', NULL, 'cupin_YP766765-like', NULL, NULL, 'cupin_YP766765-like', 5880),
(5881, 'cd09646', NULL, 'Cas7_I-E', NULL, NULL, 'Cas7_I-E', 5881),
(5882, 'cd12477', NULL, 'RRM1_U1A', NULL, NULL, 'RRM1_U1A', 5882),
(5883, 'cd04933', NULL, 'ACT_AK1-AT_1', NULL, NULL, 'ACT_AK1-AT_1', 5883),
(5884, 'cd01461', NULL, 'vWA_interalpha_trypsin_inhibitor', NULL, NULL, 'vWA_interalpha_trypsin_inhibitor', 5884),
(5885, 'cd18810', NULL, 'SF2_C_TRCF', NULL, NULL, 'SF2_C_TRCF', 5885),
(5886, 'cd16181', NULL, 'EFh_PEF_Group_II_sorcin_like', NULL, NULL, 'EFh_PEF_Group_II_sorcin_like', 5886),
(5887, 'cd04241', NULL, 'AAK_FomA-like', NULL, NULL, 'AAK_FomA-like', 5887),
(5888, 'cd13556', NULL, 'PBP2_SsuA_like_1', NULL, NULL, 'PBP2_SsuA_like_1', 5888),
(5889, 'cd17147', NULL, 'DCX2_RP1', NULL, NULL, 'DCX2_RP1', 5889),
(5890, 'cd12636', NULL, 'RRM2_Bruno_like', NULL, NULL, 'RRM2_Bruno_like', 5890),
(5891, 'cd06219', NULL, 'DHOD_e_trans_like1', NULL, NULL, 'DHOD_e_trans_like1', 5891),
(5892, 'cd08995', NULL, 'GH32_EcAec43-like', NULL, NULL, 'GH32_EcAec43-like', 5892),
(5893, 'cd17378', NULL, 'MFS_OCT_plant', NULL, NULL, 'MFS_OCT_plant', 5893),
(5894, 'cd11543', NULL, 'NTP-PPase_u6', NULL, NULL, 'NTP-PPase_u6', 5894),
(5895, 'cd03162', NULL, 'peripherin_like_LEL', NULL, NULL, 'peripherin_like_LEL', 5895),
(5896, 'cd08959', NULL, 'ArfGap_ArfGap1_like', NULL, NULL, 'ArfGap_ArfGap1_like', 5896),
(5897, 'cd08340', NULL, 'DED_c-FLIP_r2', NULL, NULL, 'DED_c-FLIP_r2', 5897),
(5898, 'cd01369', NULL, 'KISc_KHC_KIF5', NULL, NULL, 'KISc_KHC_KIF5', 5898),
(5899, 'cd15135', NULL, '7tmA_GPR39', NULL, NULL, '7tmA_GPR39', 5899),
(5900, 'cd04094', NULL, 'eSelB_III', NULL, NULL, 'eSelB_III', 5900),
(5901, 'cd17123', NULL, 'Ubl_UHRF2', NULL, NULL, 'Ubl_UHRF2', 5901),
(5902, 'cd00936', NULL, 'WEPRS_RNA', NULL, NULL, 'WEPRS_RNA', 5902),
(5903, 'cd20241', NULL, 'PFM_aerolysin-like', NULL, NULL, 'PFM_aerolysin-like', 5903),
(5904, 'cd05695', NULL, 'S1_Rrp5_repeat_hs3', NULL, NULL, 'S1_Rrp5_repeat_hs3', 5904),
(5905, 'cd19007', NULL, 'LGIC_ECD_GABAR_GRD-like', NULL, NULL, 'LGIC_ECD_GABAR_GRD-like', 5905),
(5906, 'cd01529', NULL, '4RHOD_Repeats', NULL, NULL, '4RHOD_Repeats', 5906),
(5907, 'cd11448', NULL, 'bHLH_AtFAMA_like', NULL, NULL, 'bHLH_AtFAMA_like', 5907),
(5908, 'cd14243', NULL, 'PT-AcyF_like', NULL, NULL, 'PT-AcyF_like', 5908),
(5909, 'cd12126', NULL, 'APC_beta', NULL, NULL, 'APC_beta', 5909),
(5910, 'cd13553', NULL, 'PBP2_NrtA_CpmA_like', NULL, NULL, 'PBP2_NrtA_CpmA_like', 5910),
(5911, 'cd15993', NULL, '7tmB2_CELSR3', NULL, NULL, '7tmB2_CELSR3', 5911),
(5912, 'cd01764', NULL, 'Ubl_Urm1', NULL, NULL, 'Ubl_Urm1', 5912),
(5913, 'cd09156', NULL, 'PLDc_CLS_unchar1_1', NULL, NULL, 'PLDc_CLS_unchar1_1', 5913),
(5914, 'cd10328', NULL, 'SLC5sbd_YidK', NULL, NULL, 'SLC5sbd_YidK', 5914),
(5915, 'cd00197', NULL, 'VHS_ENTH_ANTH', NULL, NULL, 'VHS_ENTH_ANTH', 5915),
(5916, 'cd14079', NULL, 'STKc_AMPK_alpha', NULL, NULL, 'STKc_AMPK_alpha', 5916),
(5917, 'cd17396', NULL, 'MFS_YdiM_like', NULL, NULL, 'MFS_YdiM_like', 5917),
(5918, 'cd08237', NULL, 'ribitol-5-phosphate_DH', NULL, NULL, 'ribitol-5-phosphate_DH', 5918),
(5919, 'cd16002', NULL, '7tmA_NK1R', NULL, NULL, '7tmA_NK1R', 5919),
(5920, 'cd12581', NULL, 'RRM2_hnRNPA2B1', NULL, NULL, 'RRM2_hnRNPA2B1', 5920),
(5921, 'cd15416', NULL, '7tmA_OR5P-like', NULL, NULL, '7tmA_OR5P-like', 5921),
(5922, 'cd09251', NULL, 'AP-2_Mu2_Cterm', NULL, NULL, 'AP-2_Mu2_Cterm', 5922),
(5923, 'cd19211', NULL, 'SET_NSD2', NULL, NULL, 'SET_NSD2', 5923),
(5924, 'cd05281', NULL, 'TDH', NULL, NULL, 'TDH', 5924);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(5925, 'cd16133', NULL, 'RA_RASSF9', NULL, NULL, 'RA_RASSF9', 5925),
(5926, 'cd15571', NULL, 'ePHD', NULL, NULL, 'ePHD', 5926),
(5927, 'cd07336', NULL, 'M48B_HtpX_like', NULL, NULL, 'M48B_HtpX_like', 5927),
(5928, 'cd14038', NULL, 'STKc_IKK_beta', NULL, NULL, 'STKc_IKK_beta', 5928),
(5929, 'cd06912', NULL, 'GT_MraY_like', NULL, NULL, 'GT_MraY_like', 5929),
(5930, 'cd06539', NULL, 'CIDE_N_A', NULL, NULL, 'CIDE_N_A', 5930),
(5931, 'cd01178', NULL, 'IPT_NFAT', NULL, NULL, 'IPT_NFAT', 5931),
(5932, 'cd05468', NULL, 'pVHL', NULL, NULL, 'pVHL', 5932),
(5933, 'cd14238', NULL, 'GAT_TM1L2', NULL, NULL, 'GAT_TM1L2', 5933),
(5934, 'cd19825', NULL, 'Bbox2_TRIM3_C-VII', NULL, NULL, 'Bbox2_TRIM3_C-VII', 5934),
(5935, 'cd06370', NULL, 'PBP1_SAP_GC-like', NULL, NULL, 'PBP1_SAP_GC-like', 5935),
(5936, 'cd17521', NULL, 'RMtype1_S_Sau13435ORF2165P_TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Sau13435ORF2165P_TRD2-CR2_like', 5936),
(5937, 'cd16403', NULL, 'ParB_N_like_MT', NULL, NULL, 'ParB_N_like_MT', 5937),
(5938, 'cd03396', NULL, 'PAP2_like_6', NULL, NULL, 'PAP2_like_6', 5938),
(5939, 'cd08813', NULL, 'DED_Caspase_8_r2', NULL, NULL, 'DED_Caspase_8_r2', 5939),
(5940, 'cd19394', NULL, 'TGF_beta_GDF10', NULL, NULL, 'TGF_beta_GDF10', 5940),
(5941, 'cd17117', NULL, 'RA_ANKFN1_like', NULL, NULL, 'RA_ANKFN1_like', 5941),
(5942, 'cd09819', NULL, 'An_peroxidase_bacterial_1', NULL, NULL, 'An_peroxidase_bacterial_1', 5942),
(5943, 'cd17598', NULL, 'REC_hyHK', NULL, NULL, 'REC_hyHK', 5943),
(5944, 'cd11789', NULL, 'SH3_Nebulin_family_C', NULL, NULL, 'SH3_Nebulin_family_C', 5944),
(5945, 'cd02146', NULL, 'NfsA-like', NULL, NULL, 'NfsA-like', 5945),
(5946, 'cd17736', NULL, 'BRCT_microcephalin_rpt2', NULL, NULL, 'BRCT_microcephalin_rpt2', 5946),
(5947, 'cd02253', NULL, 'DmpA', NULL, NULL, 'DmpA', 5947),
(5948, 'cd05912', NULL, 'OSB_CoA_lg', NULL, NULL, 'OSB_CoA_lg', 5948),
(5949, 'cd04761', NULL, 'HTH_MerR-SF', NULL, NULL, 'HTH_MerR-SF', 5949),
(5950, 'cd19137', NULL, 'AKR_AKR3F1', NULL, NULL, 'AKR_AKR3F1', 5950),
(5951, 'cd00281', NULL, 'DAP_dppA', NULL, NULL, 'DAP_dppA', 5951),
(5952, 'cd07439', NULL, 'FANCE_c-term', NULL, NULL, 'FANCE_c-term', 5952),
(5953, 'cd02908', NULL, 'Macro_OAADPr_deacetylase', NULL, NULL, 'Macro_OAADPr_deacetylase', 5953),
(5954, 'cd21661', NULL, 'merbe_CoV_ORF8b-like', NULL, NULL, 'merbe_CoV_ORF8b-like', 5954),
(5955, 'cd17165', NULL, 'RAWUL_PCGF4', NULL, NULL, 'RAWUL_PCGF4', 5955),
(5956, 'cd04382', NULL, 'RhoGAP_MgcRacGAP', NULL, NULL, 'RhoGAP_MgcRacGAP', 5956),
(5957, 'cd17711', NULL, 'BRCT_PAXIP1_rpt3', NULL, NULL, 'BRCT_PAXIP1_rpt3', 5957),
(5958, 'cd08192', NULL, 'MAR-like', NULL, NULL, 'MAR-like', 5958),
(5959, 'cd14062', NULL, 'STKc_Raf', NULL, NULL, 'STKc_Raf', 5959),
(5960, 'cd06642', NULL, 'STKc_STK25', NULL, NULL, 'STKc_STK25', 5960),
(5961, 'cd06897', NULL, 'PX_SNARE', NULL, NULL, 'PX_SNARE', 5961),
(5962, 'cd09147', NULL, 'PLDc_vPLD3_2', NULL, NULL, 'PLDc_vPLD3_2', 5962),
(5963, 'cd05300', NULL, '2-Hacid_dh_1', NULL, NULL, '2-Hacid_dh_1', 5963),
(5964, 'cd15541', NULL, 'PHD_TIF1_like', NULL, NULL, 'PHD_TIF1_like', 5964),
(5965, 'cd02123', NULL, 'PA_C_RZF_like', NULL, NULL, 'PA_C_RZF_like', 5965),
(5966, 'cd06892', NULL, 'PX_SNX5_like', NULL, NULL, 'PX_SNX5_like', 5966),
(5967, 'cd17981', NULL, 'DEXHc_DHX36', NULL, NULL, 'DEXHc_DHX36', 5967),
(5968, 'cd15345', NULL, '7tmA_S1PR3_Edg3', NULL, NULL, '7tmA_S1PR3_Edg3', 5968),
(5969, 'cd17328', NULL, 'MFS_spinster_like', NULL, NULL, 'MFS_spinster_like', 5969),
(5970, 'cd14485', NULL, 'mltA_like_LT_A', NULL, NULL, 'mltA_like_LT_A', 5970),
(5971, 'cd12892', NULL, 'SPRY_PRY_TRIM18', NULL, NULL, 'SPRY_PRY_TRIM18', 5971),
(5972, 'cd02792', NULL, 'MopB_CT_Formate-Dh-Na-like', NULL, NULL, 'MopB_CT_Formate-Dh-Na-like', 5972),
(5973, 'cd14575', NULL, 'DUPD1', NULL, NULL, 'DUPD1', 5973),
(5974, 'cd14686', NULL, 'bZIP', NULL, NULL, 'bZIP', 5974),
(5975, 'cd15294', NULL, '7tmC_GABA-B-R2', NULL, NULL, '7tmC_GABA-B-R2', 5975),
(5976, 'cd15002', NULL, '7tmA_GPR151', NULL, NULL, '7tmA_GPR151', 5976),
(5977, 'cd17790', NULL, '7tmA_mAChR_M1', NULL, NULL, '7tmA_mAChR_M1', 5977);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(5978, 'cd20249', NULL, 'Hemotin', NULL, NULL, 'Hemotin', 5978),
(5979, 'cd19732', NULL, 'bHLH-PAS_NPAS3_PASD6', NULL, NULL, 'bHLH-PAS_NPAS3_PASD6', 5979),
(5980, 'cd13835', NULL, 'IHF_A', NULL, NULL, 'IHF_A', 5980),
(5981, 'cd00338', NULL, 'Ser_Recombinase', NULL, NULL, 'Ser_Recombinase', 5981),
(5982, 'cd05261', NULL, 'CAPF_like_SDR_e', NULL, NULL, 'CAPF_like_SDR_e', 5982),
(5983, 'cd13337', NULL, 'FERM-like_C_SNX17', NULL, NULL, 'FERM-like_C_SNX17', 5983),
(5984, 'cd05581', NULL, 'STKc_PDK1', NULL, NULL, 'STKc_PDK1', 5984),
(5985, 'cd09693', NULL, 'Cas5_I', NULL, NULL, 'Cas5_I', 5985),
(5986, 'cd06238', NULL, 'M14-like', NULL, NULL, 'M14-like', 5986),
(5987, 'cd09532', NULL, 'SAM_SLA1_fungal', NULL, NULL, 'SAM_SLA1_fungal', 5987),
(5988, 'cd01977', NULL, 'Nitrogenase_VFe_alpha', NULL, NULL, 'Nitrogenase_VFe_alpha', 5988),
(5989, 'cd00952', NULL, 'CHBPH_aldolase', NULL, NULL, 'CHBPH_aldolase', 5989),
(5990, 'cd11640', NULL, 'HutP', NULL, NULL, 'HutP', 5990),
(5991, 'cd16449', NULL, 'RING-HC', NULL, NULL, 'RING-HC', 5991),
(5992, 'cd01174', NULL, 'ribokinase', NULL, NULL, 'ribokinase', 5992),
(5993, 'cd08203', NULL, 'SAM_PNT', NULL, NULL, 'SAM_PNT', 5993),
(5994, 'cd04487', NULL, 'RecJ_OBF2_like', NULL, NULL, 'RecJ_OBF2_like', 5994),
(5995, 'cd17452', NULL, 'MFS_MFSD2B', NULL, NULL, 'MFS_MFSD2B', 5995),
(5996, 'cd11413', NULL, 'bHLH_TS_TAL_LYL', NULL, NULL, 'bHLH_TS_TAL_LYL', 5996),
(5997, 'cd09453', NULL, 'LIM1_ENH', NULL, NULL, 'LIM1_ENH', 5997),
(5998, 'cd11385', NULL, 'RagC_like', NULL, NULL, 'RagC_like', 5998),
(5999, 'cd08854', NULL, 'ArfGap_AGAP1', NULL, NULL, 'ArfGap_AGAP1', 5999),
(6000, 'cd14370', NULL, 'CUE_DMA', NULL, NULL, 'CUE_DMA', 6000),
(6001, 'cd13710', NULL, 'PBP2_TcyK', NULL, NULL, 'PBP2_TcyK', 6001),
(6002, 'cd05540', NULL, 'UreG', NULL, NULL, 'UreG', 6002),
(6003, 'cd17417', NULL, 'MFS_NPF5', NULL, NULL, 'MFS_NPF5', 6003),
(6004, 'cd07268', NULL, 'VOC_EcYecM_like', NULL, NULL, 'VOC_EcYecM_like', 6004),
(6005, 'cd13838', NULL, 'RNase_H_like_Prp8_IV', NULL, NULL, 'RNase_H_like_Prp8_IV', 6005),
(6006, 'cd11650', NULL, 'AT4G37440_like', NULL, NULL, 'AT4G37440_like', 6006),
(6007, 'cd16694', NULL, 'mRING-CH-C4HC2H_ZNRF1', NULL, NULL, 'mRING-CH-C4HC2H_ZNRF1', 6007),
(6008, 'cd17747', NULL, 'BRCT_PARP1', NULL, NULL, 'BRCT_PARP1', 6008),
(6009, 'cd15893', NULL, 'R-SNARE_STXBP5', NULL, NULL, 'R-SNARE_STXBP5', 6009),
(6010, 'cd06324', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 6010),
(6011, 'cd04514', NULL, 'Taspase1_like', NULL, NULL, 'Taspase1_like', 6011),
(6012, 'cd04847', NULL, 'Peptidases_S8_Subtilisin_like_2', NULL, NULL, 'Peptidases_S8_Subtilisin_like_2', 6012),
(6013, 'cd16797', NULL, 'RING-H2_RNF167', NULL, NULL, 'RING-H2_RNF167', 6013),
(6014, 'cd01562', NULL, 'Thr-dehyd', NULL, NULL, 'Thr-dehyd', 6014),
(6015, 'cd07848', NULL, 'STKc_CDKL5', NULL, NULL, 'STKc_CDKL5', 6015),
(6016, 'cd14880', NULL, 'MYSc_Myo19', NULL, NULL, 'MYSc_Myo19', 6016),
(6017, 'cd07203', NULL, 'cPLA2_Fungal_PLB', NULL, NULL, 'cPLA2_Fungal_PLB', 6017),
(6018, 'cd06385', NULL, 'PBP1_NPR_A', NULL, NULL, 'PBP1_NPR_A', 6018),
(6019, 'cd02440', NULL, 'AdoMet_MTases', NULL, NULL, 'AdoMet_MTases', 6019),
(6020, 'cd12591', NULL, 'RRM2_p54nrb', NULL, NULL, 'RRM2_p54nrb', 6020),
(6021, 'cd12642', NULL, 'RRM_TRA2A', NULL, NULL, 'RRM_TRA2A', 6021),
(6022, 'cd14678', NULL, 'PH_DOK4_DOK5_DOK6', NULL, NULL, 'PH_DOK4_DOK5_DOK6', 6022),
(6023, 'cd09150', NULL, 'PLDc_Ymt_1', NULL, NULL, 'PLDc_Ymt_1', 6023),
(6024, 'cd04260', NULL, 'AAK_AKi-DapG-BS', NULL, NULL, 'AAK_AKi-DapG-BS', 6024),
(6025, 'cd15241', NULL, '7tm_ChRs', NULL, NULL, '7tm_ChRs', 6025),
(6026, 'cd06195', NULL, 'FNR1', NULL, NULL, 'FNR1', 6026),
(6027, 'cd06323', NULL, 'PBP1_ribose_binding', NULL, NULL, 'PBP1_ribose_binding', 6027),
(6028, 'cd11619', NULL, 'HR1_CIP4-like', NULL, NULL, 'HR1_CIP4-like', 6028),
(6029, 'cd00564', NULL, 'TMP_TenI', NULL, NULL, 'TMP_TenI', 6029),
(6030, 'cd08666', NULL, 'APC10-HECTD3', NULL, NULL, 'APC10-HECTD3', 6030),
(6031, 'cd08928', NULL, 'KR_fFAS_like_SDR_c_like', NULL, NULL, 'KR_fFAS_like_SDR_c_like', 6031);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(6032, 'cd18597', NULL, 'ABC_6TM_YOR1_D1_like', NULL, NULL, 'ABC_6TM_YOR1_D1_like', 6032),
(6033, 'cd02007', NULL, 'TPP_DXS', NULL, NULL, 'TPP_DXS', 6033),
(6034, 'cd18942', NULL, 'bHLH_TS_OLIG1', NULL, NULL, 'bHLH_TS_OLIG1', 6034),
(6035, 'cd07177', NULL, 'terB_like', NULL, NULL, 'terB_like', 6035),
(6036, 'cd09078', NULL, 'nSMase', NULL, NULL, 'nSMase', 6036),
(6037, 'cd13363', NULL, 'PH_PLC_delta', NULL, NULL, 'PH_PLC_delta', 6037),
(6038, 'cd01226', NULL, 'PH_RalBD_exo84', NULL, NULL, 'PH_RalBD_exo84', 6038),
(6039, 'cd19955', NULL, 'serpin48-like_insects', NULL, NULL, 'serpin48-like_insects', 6039),
(6040, 'cd12130', NULL, 'Apl', NULL, NULL, 'Apl', 6040),
(6041, 'cd12175', NULL, '2-Hacid_dh_11', NULL, NULL, '2-Hacid_dh_11', 6041),
(6042, 'cd03817', NULL, 'GT4_UGDG-like', NULL, NULL, 'GT4_UGDG-like', 6042),
(6043, 'cd07331', NULL, 'M48C_Oma1_like', NULL, NULL, 'M48C_Oma1_like', 6043),
(6044, 'cd11840', NULL, 'SH3_Intersectin_5', NULL, NULL, 'SH3_Intersectin_5', 6044),
(6045, 'cd07616', NULL, 'BAR_Endophilin_B1', NULL, NULL, 'BAR_Endophilin_B1', 6045),
(6046, 'cd12488', NULL, 'RRM2_hnRNPR', NULL, NULL, 'RRM2_hnRNPR', 6046),
(6047, 'cd09196', NULL, 'PLDc_yTdp1_2', NULL, NULL, 'PLDc_yTdp1_2', 6047),
(6048, 'cd19817', NULL, 'Bbox1_ANCHR-like', NULL, NULL, 'Bbox1_ANCHR-like', 6048),
(6049, 'cd13252', NULL, 'PH1_ADAP', NULL, NULL, 'PH1_ADAP', 6049),
(6050, 'cd14941', NULL, 'TRAPPC_bet3-like', NULL, NULL, 'TRAPPC_bet3-like', 6050),
(6051, 'cd07168', NULL, 'NR_DBD_DHR4_like', NULL, NULL, 'NR_DBD_DHR4_like', 6051),
(6052, 'cd01472', NULL, 'vWA_collagen', NULL, NULL, 'vWA_collagen', 6052),
(6053, 'cd08712', NULL, 'RGS_RGS18', NULL, NULL, 'RGS_RGS18', 6053),
(6054, 'cd19949', NULL, 'PDH1_Fer2_BFD-like', NULL, NULL, 'PDH1_Fer2_BFD-like', 6054),
(6055, 'cd06489', NULL, 'p23_CS_hSgt1_like', NULL, NULL, 'p23_CS_hSgt1_like', 6055),
(6056, 'cd17046', NULL, 'Ubl_IKKA_like', NULL, NULL, 'Ubl_IKKA_like', 6056),
(6057, 'cd16112', NULL, 'DCX1_DCX', NULL, NULL, 'DCX1_DCX', 6057),
(6058, 'cd18290', NULL, 'BTB_POZ_BTBD14B_NAC1', NULL, NULL, 'BTB_POZ_BTBD14B_NAC1', 6058),
(6059, 'cd19824', NULL, 'Bbox2_TRIM2_C-VII', NULL, NULL, 'Bbox2_TRIM2_C-VII', 6059),
(6060, 'cd08757', NULL, 'SAM_PNT_ESE', NULL, NULL, 'SAM_PNT_ESE', 6060),
(6061, 'cd14879', NULL, 'MYSc_Myo17', NULL, NULL, 'MYSc_Myo17', 6061),
(6062, 'cd10047', NULL, 'Reelin_repeat_3_subrepeat_2', NULL, NULL, 'Reelin_repeat_3_subrepeat_2', 6062),
(6063, 'cd10305', NULL, 'GST_C_AIMP3', NULL, NULL, 'GST_C_AIMP3', 6063),
(6064, 'cd11609', NULL, 'MCT1_N', NULL, NULL, 'MCT1_N', 6064),
(6065, 'cd11923', NULL, 'SH3_Sorbs2_2', NULL, NULL, 'SH3_Sorbs2_2', 6065),
(6066, 'cd08468', NULL, 'PBP2_Pa0477', NULL, NULL, 'PBP2_Pa0477', 6066),
(6067, 'cd15578', NULL, 'PHD1_MTF2', NULL, NULL, 'PHD1_MTF2', 6067),
(6068, 'cd19358', NULL, 'TenA_E_Spr0628-like', NULL, NULL, 'TenA_E_Spr0628-like', 6068),
(6069, 'cd19562', NULL, 'serpinB2_PAI-2', NULL, NULL, 'serpinB2_PAI-2', 6069),
(6070, 'cd08861', NULL, 'OtcD1_ARO-CYC_like', NULL, NULL, 'OtcD1_ARO-CYC_like', 6070),
(6071, 'cd14513', NULL, 'DSP_slingshot', NULL, NULL, 'DSP_slingshot', 6071),
(6072, 'cd02762', NULL, 'MopB_1', NULL, NULL, 'MopB_1', 6072),
(6073, 'cd19616', NULL, 'FABP11', NULL, NULL, 'FABP11', 6073),
(6074, 'cd04321', NULL, 'ScAspRS_mt_like_N', NULL, NULL, 'ScAspRS_mt_like_N', 6074),
(6075, 'cd17047', NULL, 'Ubl_UBFD1', NULL, NULL, 'Ubl_UBFD1', 6075),
(6076, 'cd11516', NULL, 'SLC6sbd_B0AT1', NULL, NULL, 'SLC6sbd_B0AT1', 6076),
(6077, 'cd07882', NULL, 'RHD-n_TonEBP', NULL, NULL, 'RHD-n_TonEBP', 6077),
(6078, 'cd18353', NULL, 'BTB_POZ_RCBTB1_CLLD7', NULL, NULL, 'BTB_POZ_RCBTB1_CLLD7', 6078),
(6079, 'cd12489', NULL, 'RRM2_hnRNPQ', NULL, NULL, 'RRM2_hnRNPQ', 6079),
(6080, 'cd04018', NULL, 'C2C_Ferlin', NULL, NULL, 'C2C_Ferlin', 6080),
(6081, 'cd17150', NULL, 'DCX1_DCDC2B', NULL, NULL, 'DCX1_DCDC2B', 6081),
(6082, 'cd05105', NULL, 'PTKc_PDGFR_alpha', NULL, NULL, 'PTKc_PDGFR_alpha', 6082),
(6083, 'cd01911', NULL, 'proteasome_alpha', NULL, NULL, 'proteasome_alpha', 6083),
(6084, 'cd05243', NULL, 'SDR_a5', NULL, NULL, 'SDR_a5', 6084); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(6085, 'cd14291', NULL, 'UBA1_NUB1_like', NULL, NULL, 'UBA1_NUB1_like', 6085),
(6086, 'cd17478', NULL, 'MFS_FsR', NULL, NULL, 'MFS_FsR', 6086),
(6087, 'cd16817', NULL, 'mRING-HC-C3HC5_RNF157', NULL, NULL, 'mRING-HC-C3HC5_RNF157', 6087),
(6088, 'cd03774', NULL, 'MATH_SPOP', NULL, NULL, 'MATH_SPOP', 6088),
(6089, 'cd07698', NULL, 'IgC_MHC_I_alpha3', NULL, NULL, 'IgC_MHC_I_alpha3', 6089),
(6090, 'cd09075', NULL, 'DNase1-like', NULL, NULL, 'DNase1-like', 6090),
(6091, 'cd12312', NULL, 'RRM_SRSF10_SRSF12', NULL, NULL, 'RRM_SRSF10_SRSF12', 6091),
(6092, 'cd19459', NULL, 'lipocalin_C1_moubatin-like', NULL, NULL, 'lipocalin_C1_moubatin-like', 6092),
(6093, 'cd10969', NULL, 'CE4_Ecf1_like_5s', NULL, NULL, 'CE4_Ecf1_like_5s', 6093),
(6094, 'cd08807', NULL, 'CARD_CARD10_CARMA3', NULL, NULL, 'CARD_CARD10_CARMA3', 6094),
(6095, 'cd11477', NULL, 'SLC5sbd_u1', NULL, NULL, 'SLC5sbd_u1', 6095),
(6096, 'cd04970', NULL, 'Ig6_Contactin', NULL, NULL, 'Ig6_Contactin', 6096),
(6097, 'cd05469', NULL, 'Transthyretin_like', NULL, NULL, 'Transthyretin_like', 6097),
(6098, 'cd00522', NULL, 'Hemerythrin-like', NULL, NULL, 'Hemerythrin-like', 6098),
(6099, 'cd10004', NULL, 'RPD3-like', NULL, NULL, 'RPD3-like', 6099),
(6100, 'cd05397', NULL, 'NT_Pol-beta-like', NULL, NULL, 'NT_Pol-beta-like', 6100),
(6101, 'cd09744', NULL, 'Cas8a1_I-A', NULL, NULL, 'Cas8a1_I-A', 6101),
(6102, 'cd13372', NULL, 'PH_CAPRI', NULL, NULL, 'PH_CAPRI', 6102),
(6103, 'cd00274', NULL, 'Chemokine_CX3C', NULL, NULL, 'Chemokine_CX3C', 6103),
(6104, 'cd02773', NULL, 'MopB_Res-Cmplx1_Nad11', NULL, NULL, 'MopB_Res-Cmplx1_Nad11', 6104),
(6105, 'cd17917', NULL, 'DEXHc_RHA-like', NULL, NULL, 'DEXHc_RHA-like', 6105),
(6106, 'cd07185', NULL, 'OmpA_C-like', NULL, NULL, 'OmpA_C-like', 6106),
(6107, 'cd02228', NULL, 'cupin_EutQ', NULL, NULL, 'cupin_EutQ', 6107),
(6108, 'cd03000', NULL, 'PDI_a_TMX3', NULL, NULL, 'PDI_a_TMX3', 6108),
(6109, 'cd15650', NULL, 'PHD2_NSD1', NULL, NULL, 'PHD2_NSD1', 6109),
(6110, 'cd11012', NULL, 'CuRO_6_ceruloplasmin', NULL, NULL, 'CuRO_6_ceruloplasmin', 6110),
(6111, 'cd11842', NULL, 'SH3_Ysc84p_like', NULL, NULL, 'SH3_Ysc84p_like', 6111),
(6112, 'cd15302', NULL, '7tmA_mAChR_GAR-2-like', NULL, NULL, '7tmA_mAChR_GAR-2-like', 6112),
(6113, 'cd07142', NULL, 'ALDH_F2BC', NULL, NULL, 'ALDH_F2BC', 6113),
(6114, 'cd17326', NULL, 'MFS_MFSD8', NULL, NULL, 'MFS_MFSD8', 6114),
(6115, 'cd11781', NULL, 'SH3_Sorbs_1', NULL, NULL, 'SH3_Sorbs_1', 6115),
(6116, 'cd14760', NULL, 'GS_PAS-GGDEF-EAL', NULL, NULL, 'GS_PAS-GGDEF-EAL', 6116),
(6117, 'cd08480', NULL, 'PBP2_CrgA_like_10', NULL, NULL, 'PBP2_CrgA_like_10', 6117),
(6118, 'cd09095', NULL, 'INPP5c_INPP5E-like', NULL, NULL, 'INPP5c_INPP5E-like', 6118),
(6119, 'cd18374', NULL, 'BTB2_POZ_KCTD19', NULL, NULL, 'BTB2_POZ_KCTD19', 6119),
(6120, 'cd00920', NULL, 'Cupredoxin', NULL, NULL, 'Cupredoxin', 6120),
(6121, 'cd06461', NULL, 'M2_ACE', NULL, NULL, 'M2_ACE', 6121),
(6122, 'cd01388', NULL, 'SOX-TCF_HMG-box', NULL, NULL, 'SOX-TCF_HMG-box', 6122),
(6123, 'cd15694', NULL, 'ePHD_KMT2B', NULL, NULL, 'ePHD_KMT2B', 6123),
(6124, 'cd17135', NULL, 'RBD_CRAF', NULL, NULL, 'RBD_CRAF', 6124),
(6125, 'cd00403', NULL, 'Ribosomal_L1', NULL, NULL, 'Ribosomal_L1', 6125),
(6126, 'cd07415', NULL, 'MPP_PP2A_PP4_PP6', NULL, NULL, 'MPP_PP2A_PP4_PP6', 6126),
(6127, 'cd17584', NULL, 'REC_typeB_ARR-like', NULL, NULL, 'REC_typeB_ARR-like', 6127),
(6128, 'cd07651', NULL, 'F-BAR_PombeCdc15_like', NULL, NULL, 'F-BAR_PombeCdc15_like', 6128),
(6129, 'cd15433', NULL, '7tmA_OR2Y-like', NULL, NULL, '7tmA_OR2Y-like', 6129),
(6130, 'cd16096', NULL, 'IgV_CD79b_beta', NULL, NULL, 'IgV_CD79b_beta', 6130),
(6131, 'cd11786', NULL, 'SH3_SH3RF_1', NULL, NULL, 'SH3_SH3RF_1', 6131),
(6132, 'cd15059', NULL, '7tmA_alpha2_AR', NULL, NULL, '7tmA_alpha2_AR', 6132),
(6133, 'cd12903', NULL, 'SPRY_PRY_SPRYD4', NULL, NULL, 'SPRY_PRY_SPRYD4', 6133),
(6134, 'cd01065', NULL, 'NAD_bind_Shikimate_DH', NULL, NULL, 'NAD_bind_Shikimate_DH', 6134),
(6135, 'cd08392', NULL, 'C2A_SLP-3', NULL, NULL, 'C2A_SLP-3', 6135),
(6136, 'cd03880', NULL, 'M28_QC_like', NULL, NULL, 'M28_QC_like', 6136);
INSERT INTO "PUBLIC"."MODEL" VALUES
(6137, 'cd05973', NULL, 'MACS_like_2', NULL, NULL, 'MACS_like_2', 6137),
(6138, 'cd14058', NULL, 'STKc_TAK1', NULL, NULL, 'STKc_TAK1', 6138),
(6139, 'cd07811', NULL, 'FGGY_D-XK_3', NULL, NULL, 'FGGY_D-XK_3', 6139),
(6140, 'cd01720', NULL, 'Sm_D2', NULL, NULL, 'Sm_D2', 6140),
(6141, 'cd13716', NULL, 'PBP2_iGluR_delta_like', NULL, NULL, 'PBP2_iGluR_delta_like', 6141),
(6142, 'cd16197', NULL, 'EFh_PEF_CalpC', NULL, NULL, 'EFh_PEF_CalpC', 6142),
(6143, 'cd13877', NULL, 'CuRO_2_Fet3p_like', NULL, NULL, 'CuRO_2_Fet3p_like', 6143),
(6144, 'cd02733', NULL, 'RNAP_II_RPB1_N', NULL, NULL, 'RNAP_II_RPB1_N', 6144),
(6145, 'cd06156', NULL, 'eu_AANH_C_2', NULL, NULL, 'eu_AANH_C_2', 6145),
(6146, 'cd07893', NULL, 'OBF_DNA_ligase', NULL, NULL, 'OBF_DNA_ligase', 6146),
(6147, 'cd14501', NULL, 'PFA-DSP', NULL, NULL, 'PFA-DSP', 6147),
(6148, 'cd00599', NULL, 'GH25_muramidase', NULL, NULL, 'GH25_muramidase', 6148),
(6149, 'cd11444', NULL, 'bHLH_AtIBH1_like', NULL, NULL, 'bHLH_AtIBH1_like', 6149),
(6150, 'cd14096', NULL, 'STKc_RCK1-like', NULL, NULL, 'STKc_RCK1-like', 6150),
(6151, 'cd08428', NULL, 'PBP2_IciA_ArgP', NULL, NULL, 'PBP2_IciA_ArgP', 6151),
(6152, 'cd11917', NULL, 'SH3_Sorbs2_3', NULL, NULL, 'SH3_Sorbs2_3', 6152),
(6153, 'cd11922', NULL, 'SH3_Sorbs1_2', NULL, NULL, 'SH3_Sorbs1_2', 6153),
(6154, 'cd16511', NULL, 'vRING-HC_IRF2BP1_like', NULL, NULL, 'vRING-HC_IRF2BP1_like', 6154),
(6155, 'cd09235', NULL, 'V_Alix', NULL, NULL, 'V_Alix', 6155),
(6156, 'cd18675', NULL, 'PIN_SpAst1-like', NULL, NULL, 'PIN_SpAst1-like', 6156),
(6157, 'cd10010', NULL, 'HDAC1', NULL, NULL, 'HDAC1', 6157),
(6158, 'cd07285', NULL, 'PX_SNX9', NULL, NULL, 'PX_SNX9', 6158),
(6159, 'cd18986', NULL, 'CBD_ESA1_like', NULL, NULL, 'CBD_ESA1_like', 6159),
(6160, 'cd08212', NULL, 'RuBisCO_large_I', NULL, NULL, 'RuBisCO_large_I', 6160),
(6161, 'cd01812', NULL, 'Ubl_BAG1', NULL, NULL, 'Ubl_BAG1', 6161),
(6162, 'cd08069', NULL, 'MPN_RPN11_CSN5', NULL, NULL, 'MPN_RPN11_CSN5', 6162),
(6163, 'cd12244', NULL, 'RRM2_MSSP', NULL, NULL, 'RRM2_MSSP', 6163),
(6164, 'cd15846', NULL, 'SNARE_syntaxin17', NULL, NULL, 'SNARE_syntaxin17', 6164),
(6165, 'cd09697', NULL, 'Cas8a1_I-A', NULL, NULL, 'Cas8a1_I-A', 6165),
(6166, 'cd05959', NULL, 'BCL_4HBCL', NULL, NULL, 'BCL_4HBCL', 6166),
(6167, 'cd18640', NULL, 'CD_Chro-like', NULL, NULL, 'CD_Chro-like', 6167),
(6168, 'cd13421', NULL, 'TNFRSF_EDAR', NULL, NULL, 'TNFRSF_EDAR', 6168),
(6169, 'cd18740', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 6169),
(6170, 'cd15690', NULL, 'PHD1_DPF1', NULL, NULL, 'PHD1_DPF1', 6170),
(6171, 'cd15767', NULL, 'FYVE_SPIR1', NULL, NULL, 'FYVE_SPIR1', 6171),
(6172, 'cd00595', NULL, 'NDPk', NULL, NULL, 'NDPk', 6172),
(6173, 'cd10311', NULL, 'PLDc_N_DEXD_c', NULL, NULL, 'PLDc_N_DEXD_c', 6173),
(6174, 'cd01266', NULL, 'PH_Gab1_Gab2', NULL, NULL, 'PH_Gab1_Gab2', 6174),
(6175, 'cd00363', NULL, 'PFK', NULL, NULL, 'PFK', 6175),
(6176, 'cd06494', NULL, 'p23_NUDCD2_like', NULL, NULL, 'p23_NUDCD2_like', 6176),
(6177, 'cd01749', NULL, 'GATase1_PB', NULL, NULL, 'GATase1_PB', 6177),
(6178, 'cd12514', NULL, 'RRM4_RBM12_like', NULL, NULL, 'RRM4_RBM12_like', 6178),
(6179, 'cd06589', NULL, 'GH31', NULL, NULL, 'GH31', 6179),
(6180, 'cd01447', NULL, 'Polysulfide_ST', NULL, NULL, 'Polysulfide_ST', 6180),
(6181, 'cd10342', NULL, 'SH2_SAP1', NULL, NULL, 'SH2_SAP1', 6181),
(6182, 'cd15203', NULL, '7tmA_NPYR-like', NULL, NULL, '7tmA_NPYR-like', 6182),
(6183, 'cd04162', NULL, 'Arl9_Arfrp2_like', NULL, NULL, 'Arl9_Arfrp2_like', 6183),
(6184, 'cd00559', NULL, 'Cyanase_C', NULL, NULL, 'Cyanase_C', 6184),
(6185, 'cd06478', NULL, 'ACD_HspB4-5-6', NULL, NULL, 'ACD_HspB4-5-6', 6185),
(6186, 'cd14103', NULL, 'STKc_MLCK', NULL, NULL, 'STKc_MLCK', 6186),
(6187, 'cd13907', NULL, 'CuRO_3_MCO_like_1', NULL, NULL, 'CuRO_3_MCO_like_1', 6187),
(6188, 'cd10411', NULL, 'SH2_SH2B2', NULL, NULL, 'SH2_SH2B2', 6188),
(6189, 'cd04955', NULL, 'GT4-like', NULL, NULL, 'GT4-like', 6189),
(6190, 'cd13216', NULL, 'PH-GRAM2_AGT26', NULL, NULL, 'PH-GRAM2_AGT26', 6190),
(6191, 'cd16537', NULL, 'RING-HC_RNF37', NULL, NULL, 'RING-HC_RNF37', 6191);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(6192, 'cd16876', NULL, 'ARID_ARID1A', NULL, NULL, 'ARID_ARID1A', 6192),
(6193, 'cd08466', NULL, 'PBP2_LeuO', NULL, NULL, 'PBP2_LeuO', 6193),
(6194, 'cd18433', NULL, 'BRCT_Rad4_rpt3', NULL, NULL, 'BRCT_Rad4_rpt3', 6194),
(6195, 'cd18076', NULL, 'DEXXQc_HELZ2-N', NULL, NULL, 'DEXXQc_HELZ2-N', 6195),
(6196, 'cd20332', NULL, 'JBP', NULL, NULL, 'JBP', 6196),
(6197, 'cd16842', NULL, 'Ig_SLAM-CD84_like_N', NULL, NULL, 'Ig_SLAM-CD84_like_N', 6197),
(6198, 'cd18588', NULL, 'ABC_6TM_CyaB_HlyB_like', NULL, NULL, 'ABC_6TM_CyaB_HlyB_like', 6198),
(6199, 'cd14348', NULL, 'UBA_p47', NULL, NULL, 'UBA_p47', 6199),
(6200, 'cd15229', NULL, '7tmA_OR8S1-like', NULL, NULL, '7tmA_OR8S1-like', 6200),
(6201, 'cd17994', NULL, 'DEXHc_CHD3_4_5', NULL, NULL, 'DEXHc_CHD3_4_5', 6201),
(6202, 'cd02183', NULL, 'GH16_fungal_CRH1_transglycosylase', NULL, NULL, 'GH16_fungal_CRH1_transglycosylase', 6202),
(6203, 'cd18654', NULL, 'CSD_HP1beta_Cbx1', NULL, NULL, 'CSD_HP1beta_Cbx1', 6203),
(6204, 'cd18284', NULL, 'BTB2_POZ_BTBD7', NULL, NULL, 'BTB2_POZ_BTBD7', 6204),
(6205, 'cd08815', NULL, 'Death_TNFRSF25_DR3', NULL, NULL, 'Death_TNFRSF25_DR3', 6205),
(6206, 'cd19134', NULL, 'AKR_AKR5H1', NULL, NULL, 'AKR_AKR5H1', 6206),
(6207, 'cd10549', NULL, 'MtMvhB_like', NULL, NULL, 'MtMvhB_like', 6207),
(6208, 'cd16852', NULL, 'STAT2_CCD', NULL, NULL, 'STAT2_CCD', 6208),
(6209, 'cd16419', NULL, 'HAD_SPS', NULL, NULL, 'HAD_SPS', 6209),
(6210, 'cd17634', NULL, 'ACS-like', NULL, NULL, 'ACS-like', 6210),
(6211, 'cd09551', NULL, 'SAM_EPH-B1', NULL, NULL, 'SAM_EPH-B1', 6211),
(6212, 'cd04104', NULL, 'p47_IIGP_like', NULL, NULL, 'p47_IIGP_like', 6212),
(6213, 'cd11813', NULL, 'SH3_SGSM3', NULL, NULL, 'SH3_SGSM3', 6213),
(6214, 'cd16763', NULL, 'RING-HC_TRIM59_C-V', NULL, NULL, 'RING-HC_TRIM59_C-V', 6214),
(6215, 'cd14192', NULL, 'STKc_MLCK3', NULL, NULL, 'STKc_MLCK3', 6215),
(6216, 'cd18967', NULL, 'chromodomain', NULL, NULL, 'chromodomain', 6216),
(6217, 'cd08405', NULL, 'C2B_Synaptotagmin-7', NULL, NULL, 'C2B_Synaptotagmin-7', 6217),
(6218, 'cd12843', NULL, 'Bvu_2165_C_like', NULL, NULL, 'Bvu_2165_C_like', 6218),
(6219, 'cd18381', NULL, 'BTB_POZ_Kv5_KCNF1', NULL, NULL, 'BTB_POZ_Kv5_KCNF1', 6219),
(6220, 'cd04767', NULL, 'HTH_HspR-like_MBC', NULL, NULL, 'HTH_HspR-like_MBC', 6220),
(6221, 'cd12445', NULL, 'RRM2_CPEBs', NULL, NULL, 'RRM2_CPEBs', 6221),
(6222, 'cd03262', NULL, 'ABC_HisP_GlnQ', NULL, NULL, 'ABC_HisP_GlnQ', 6222),
(6223, 'cd08376', NULL, 'C2B_MCTP_PRT', NULL, NULL, 'C2B_MCTP_PRT', 6223),
(6224, 'cd17279', NULL, 'RMtype1_S_BmuCF2ORF3362P_TRD1-CR1_like', NULL, NULL, 'RMtype1_S_BmuCF2ORF3362P_TRD1-CR1_like', 6224),
(6225, 'cd00625', NULL, 'ArsB_NhaD_permease', NULL, NULL, 'ArsB_NhaD_permease', 6225),
(6226, 'cd14612', NULL, 'PTPc-N7', NULL, NULL, 'PTPc-N7', 6226),
(6227, 'cd15369', NULL, '7tmA_PAR1', NULL, NULL, '7tmA_PAR1', 6227),
(6228, 'cd09572', NULL, 'SAM_tumor-p63', NULL, NULL, 'SAM_tumor-p63', 6228),
(6229, 'cd12592', NULL, 'RRM_RBM7', NULL, NULL, 'RRM_RBM7', 6229),
(6230, 'cd14364', NULL, 'CUE_ASCC2', NULL, NULL, 'CUE_ASCC2', 6230),
(6231, 'cd08163', NULL, 'MPP_Cdc1', NULL, NULL, 'MPP_Cdc1', 6231),
(6232, 'cd05560', NULL, 'Xcc1710_like', NULL, NULL, 'Xcc1710_like', 6232),
(6233, 'cd07477', NULL, 'Peptidases_S8_Subtilisin_subset', NULL, NULL, 'Peptidases_S8_Subtilisin_subset', 6233),
(6234, 'cd19694', NULL, 'bHLH_dnHLH_ID4', NULL, NULL, 'bHLH_dnHLH_ID4', 6234),
(6235, 'cd18779', NULL, 'ABC_6TM_T1SS_like', NULL, NULL, 'ABC_6TM_T1SS_like', 6235),
(6236, 'cd09517', NULL, 'SAM_USH1G_HARP', NULL, NULL, 'SAM_USH1G_HARP', 6236),
(6237, 'cd11617', NULL, 'Antifreeze_III', NULL, NULL, 'Antifreeze_III', 6237),
(6238, 'cd12525', NULL, 'RRM1_MEI2_fungi', NULL, NULL, 'RRM1_MEI2_fungi', 6238),
(6239, 'cd06339', NULL, 'PBP1_YraM_LppC_lipoprotein-like', NULL, NULL, 'PBP1_YraM_LppC_lipoprotein-like', 6239),
(6240, 'cd05350', NULL, 'SDR_c6', NULL, NULL, 'SDR_c6', 6240),
(6241, 'cd11675', NULL, 'SCAB1_middle', NULL, NULL, 'SCAB1_middle', 6241),
(6242, 'cd17131', NULL, 'Ubl_TMUB1', NULL, NULL, 'Ubl_TMUB1', 6242),
(6243, 'cd17241', NULL, 'RA_PHLPP2', NULL, NULL, 'RA_PHLPP2', 6243);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(6244, 'cd18966', NULL, 'chromodomain', NULL, NULL, 'chromodomain', 6244),
(6245, 'cd13525', NULL, 'PBP2_ATP-Prtase_HisG', NULL, NULL, 'PBP2_ATP-Prtase_HisG', 6245),
(6246, 'cd07867', NULL, 'STKc_CDC2L6', NULL, NULL, 'STKc_CDC2L6', 6246),
(6247, 'cd21404', NULL, 'ZBD_rv_SF1_Hel-like', NULL, NULL, 'ZBD_rv_SF1_Hel-like', 6247),
(6248, 'cd07827', NULL, 'RHD-n', NULL, NULL, 'RHD-n', 6248),
(6249, 'cd17014', NULL, 'ANTH_N_HIP1R', NULL, NULL, 'ANTH_N_HIP1R', 6249),
(6250, 'cd18785', NULL, 'SF2_C', NULL, NULL, 'SF2_C', 6250),
(6251, 'cd06644', NULL, 'STKc_STK10', NULL, NULL, 'STKc_STK10', 6251),
(6252, 'cd11838', NULL, 'SH3_Intersectin_3', NULL, NULL, 'SH3_Intersectin_3', 6252),
(6253, 'cd06231', NULL, 'M14_REP34-like', NULL, NULL, 'M14_REP34-like', 6253),
(6254, 'cd13874', NULL, 'CuRO_2_CopA', NULL, NULL, 'CuRO_2_CopA', 6254),
(6255, 'cd16674', NULL, 'RING-H2_RNF12', NULL, NULL, 'RING-H2_RNF12', 6255),
(6256, 'cd18087', NULL, 'TrmY-like', NULL, NULL, 'TrmY-like', 6256),
(6257, 'cd18324', NULL, 'BTB_POZ_ZBTB18_RP58', NULL, NULL, 'BTB_POZ_ZBTB18_RP58', 6257),
(6258, 'cd09943', NULL, 'SH2_Nck_family', NULL, NULL, 'SH2_Nck_family', 6258),
(6259, 'cd08588', NULL, 'PI-PLCc_At5g67130_like', NULL, NULL, 'PI-PLCc_At5g67130_like', 6259),
(6260, 'cd03682', NULL, 'ClC_sycA_like', NULL, NULL, 'ClC_sycA_like', 6260),
(6261, 'cd14248', NULL, 'ESP', NULL, NULL, 'ESP', 6261),
(6262, 'cd11238', NULL, 'Sema_2A', NULL, NULL, 'Sema_2A', 6262),
(6263, 'cd03512', NULL, 'Alkane-hydroxylase', NULL, NULL, 'Alkane-hydroxylase', 6263),
(6264, 'cd07033', NULL, 'TPP_PYR_DXS_TK_like', NULL, NULL, 'TPP_PYR_DXS_TK_like', 6264),
(6265, 'cd11829', NULL, 'SH3_GAS7', NULL, NULL, 'SH3_GAS7', 6265),
(6266, 'cd11916', NULL, 'SH3_Sorbs1_3', NULL, NULL, 'SH3_Sorbs1_3', 6266),
(6267, 'cd17161', NULL, 'UBX_UBXN2B', NULL, NULL, 'UBX_UBXN2B', 6267),
(6268, 'cd11411', NULL, 'bHLH_TS_MRF', NULL, NULL, 'bHLH_TS_MRF', 6268),
(6269, 'cd17276', NULL, 'RMtype1_S_Sau1132ORF3780P-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_Sau1132ORF3780P-TRD1-CR1_like', 6269),
(6270, 'cd10033', NULL, 'UDG_like', NULL, NULL, 'UDG_like', 6270),
(6271, 'cd07388', NULL, 'MPP_Tt1561', NULL, NULL, 'MPP_Tt1561', 6271),
(6272, 'cd09755', NULL, 'Cas2_I-E', NULL, NULL, 'Cas2_I-E', 6272),
(6273, 'cd18503', NULL, 'BACK_calicin', NULL, NULL, 'BACK_calicin', 6273),
(6274, 'cd09538', NULL, 'SAM_DLC1,2-like', NULL, NULL, 'SAM_DLC1,2-like', 6274),
(6275, 'cd17533', NULL, 'REC_LytTR_AgrA-like', NULL, NULL, 'REC_LytTR_AgrA-like', 6275),
(6276, 'cd07198', NULL, 'Patatin', NULL, NULL, 'Patatin', 6276),
(6277, 'cd07216', NULL, 'Pat17_PNPLA8_PNPLA9_like3', NULL, NULL, 'Pat17_PNPLA8_PNPLA9_like3', 6277),
(6278, 'cd09415', NULL, 'LIM1_Prickle', NULL, NULL, 'LIM1_Prickle', 6278),
(6279, 'cd15099', NULL, '7tmA_Cannabinoid_R', NULL, NULL, '7tmA_Cannabinoid_R', 6279),
(6280, 'cd06410', NULL, 'PB1_UP2', NULL, NULL, 'PB1_UP2', 6280),
(6281, 'cd15659', NULL, 'PHD5_NSD1', NULL, NULL, 'PHD5_NSD1', 6281),
(6282, 'cd02795', NULL, 'CBM6-CBM35-CBM36_like', NULL, NULL, 'CBM6-CBM35-CBM36_like', 6282),
(6283, 'cd01660', NULL, 'ba3-like_Oxidase_I', NULL, NULL, 'ba3-like_Oxidase_I', 6283),
(6284, 'cd12617', NULL, 'RRM2_TIAR', NULL, NULL, 'RRM2_TIAR', 6284),
(6285, 'cd12635', NULL, 'RRM2_CELF3_4_5_6', NULL, NULL, 'RRM2_CELF3_4_5_6', 6285),
(6286, 'cd17482', NULL, 'MFS_YxiO_like', NULL, NULL, 'MFS_YxiO_like', 6286),
(6287, 'cd01545', NULL, 'PBP1_SalR', NULL, NULL, 'PBP1_SalR', 6287),
(6288, 'cd15104', NULL, '7tmA_GPR119_R_insulinotropic_receptor', NULL, NULL, '7tmA_GPR119_R_insulinotropic_receptor', 6288),
(6289, 'cd03323', NULL, 'D-glucarate_dehydratase', NULL, NULL, 'D-glucarate_dehydratase', 6289),
(6290, 'cd17199', NULL, 'FERM_F1_FRMD4A', NULL, NULL, 'FERM_F1_FRMD4A', 6290),
(6291, 'cd05794', NULL, 'S1_EF-P_repeat_2', NULL, NULL, 'S1_EF-P_repeat_2', 6291),
(6292, 'cd09550', NULL, 'SAM_EPH-A8', NULL, NULL, 'SAM_EPH-A8', 6292),
(6293, 'cd00260', NULL, 'Sialidase', NULL, NULL, 'Sialidase', 6293),
(6294, 'cd12532', NULL, 'RRM3_MEI2_fungi', NULL, NULL, 'RRM3_MEI2_fungi', 6294),
(6295, 'cd20489', NULL, 'cupin_HppE-like_C', NULL, NULL, 'cupin_HppE-like_C', 6295);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(6296, 'cd08304', NULL, 'DD', NULL, NULL, 'DD', 6296),
(6297, 'cd06186', NULL, 'NOX_Duox_like_FAD_NADP', NULL, NULL, 'NOX_Duox_like_FAD_NADP', 6297),
(6298, 'cd10955', NULL, 'CE4_BH0857_like', NULL, NULL, 'CE4_BH0857_like', 6298),
(6299, 'cd08325', NULL, 'CARD_CASP1-like', NULL, NULL, 'CARD_CASP1-like', 6299),
(6300, 'cd03003', NULL, 'PDI_a_ERdj5_N', NULL, NULL, 'PDI_a_ERdj5_N', 6300),
(6301, 'cd18982', NULL, 'CSD', NULL, NULL, 'CSD', 6301),
(6302, 'cd09678', NULL, 'Csb1_I-U', NULL, NULL, 'Csb1_I-U', 6302),
(6303, 'cd12231', NULL, 'RRM2_U2AF65', NULL, NULL, 'RRM2_U2AF65', 6303),
(6304, 'cd14744', NULL, 'PAAR_CT_2', NULL, NULL, 'PAAR_CT_2', 6304),
(6305, 'cd15263', NULL, '7tmB1_DH_R', NULL, NULL, '7tmB1_DH_R', 6305),
(6306, 'cd07154', NULL, 'NR_DBD_PNR_like', NULL, NULL, 'NR_DBD_PNR_like', 6306),
(6307, 'cd13300', NULL, 'PH1_TECPR1', NULL, NULL, 'PH1_TECPR1', 6307),
(6308, 'cd08759', NULL, 'Type_III_cohesin_like', NULL, NULL, 'Type_III_cohesin_like', 6308),
(6309, 'cd15749', NULL, 'FYVE_ZFY19', NULL, NULL, 'FYVE_ZFY19', 6309),
(6310, 'cd15974', NULL, '7tmA_SSTR5', NULL, NULL, '7tmA_SSTR5', 6310),
(6311, 'cd16351', NULL, 'CheB_like', NULL, NULL, 'CheB_like', 6311),
(6312, 'cd08478', NULL, 'PBP2_CrgA', NULL, NULL, 'PBP2_CrgA', 6312),
(6313, 'cd12517', NULL, 'RRM_RBM27', NULL, NULL, 'RRM_RBM27', 6313),
(6314, 'cd15660', NULL, 'PHD5_NSD2', NULL, NULL, 'PHD5_NSD2', 6314),
(6315, 'cd18007', NULL, 'DEXHc_ATRX-like', NULL, NULL, 'DEXHc_ATRX-like', 6315),
(6316, 'cd16926', NULL, 'HATPase_MutL-MLH-PMS-like', NULL, NULL, 'HATPase_MutL-MLH-PMS-like', 6316),
(6317, 'cd13738', NULL, 'SPRY_PRY_TRIM14', NULL, NULL, 'SPRY_PRY_TRIM14', 6317),
(6318, 'cd19013', NULL, 'LGIC_ECD_5-HT3C_E', NULL, NULL, 'LGIC_ECD_5-HT3C_E', 6318),
(6319, 'cd06842', NULL, 'PLPDE_III_Y4yA_like', NULL, NULL, 'PLPDE_III_Y4yA_like', 6319),
(6320, 'cd01435', NULL, 'RNAP_I_RPA1_N', NULL, NULL, 'RNAP_I_RPA1_N', 6320),
(6321, 'cd06373', NULL, 'PBP1_NPR-like', NULL, NULL, 'PBP1_NPR-like', 6321),
(6322, 'cd09435', NULL, 'LIM3_Zyxin', NULL, NULL, 'LIM3_Zyxin', 6322),
(6323, 'cd04268', NULL, 'ZnMc_MMP_like', NULL, NULL, 'ZnMc_MMP_like', 6323),
(6324, 'cd04694', NULL, 'Nudix_Hydrolase_35', NULL, NULL, 'Nudix_Hydrolase_35', 6324),
(6325, 'cd01018', NULL, 'ZntC', NULL, NULL, 'ZntC', 6325),
(6326, 'cd11819', NULL, 'SH3_Cortactin_like', NULL, NULL, 'SH3_Cortactin_like', 6326),
(6327, 'cd21667', NULL, 'gammaCoV_Nsp5_Mpro', NULL, NULL, 'gammaCoV_Nsp5_Mpro', 6327),
(6328, 'cd17183', NULL, 'FERM_F1_KIND1', NULL, NULL, 'FERM_F1_KIND1', 6328),
(6329, 'cd16426', NULL, 'VirB10_like', NULL, NULL, 'VirB10_like', 6329),
(6330, 'cd16456', NULL, 'RING-H2_APC11', NULL, NULL, 'RING-H2_APC11', 6330),
(6331, 'cd11651', NULL, 'YPK1_N_like', NULL, NULL, 'YPK1_N_like', 6331),
(6332, 'cd08927', NULL, 'Hb-alpha-like', NULL, NULL, 'Hb-alpha-like', 6332),
(6333, 'cd00236', NULL, 'FinO_conjug_rep', NULL, NULL, 'FinO_conjug_rep', 6333),
(6334, 'cd12207', NULL, 'RasGAP_IQGAP3', NULL, NULL, 'RasGAP_IQGAP3', 6334),
(6335, 'cd19129', NULL, 'AKR_BaDH-like', NULL, NULL, 'AKR_BaDH-like', 6335),
(6336, 'cd16645', NULL, 'mRING-HC-C3HC3D_TRIM23_C-IX', NULL, NULL, 'mRING-HC-C3HC3D_TRIM23_C-IX', 6336),
(6337, 'cd17288', NULL, 'RMtype1_S_LlaAI06ORF1089P_TRD1-CR1_like', NULL, NULL, 'RMtype1_S_LlaAI06ORF1089P_TRD1-CR1_like', 6337),
(6338, 'cd01453', NULL, 'vWA_transcription_factor_IIH_type', NULL, NULL, 'vWA_transcription_factor_IIH_type', 6338),
(6339, 'cd02983', NULL, 'P5_C', NULL, NULL, 'P5_C', 6339),
(6340, 'cd01976', NULL, 'Nitrogenase_MoFe_alpha', NULL, NULL, 'Nitrogenase_MoFe_alpha', 6340),
(6341, 'cd00076', NULL, 'H4', NULL, NULL, 'H4', 6341),
(6342, 'cd11021', NULL, 'CuRO_2_ceruloplasmin', NULL, NULL, 'CuRO_2_ceruloplasmin', 6342),
(6343, 'cd12003', NULL, 'SH3_EFS', NULL, NULL, 'SH3_EFS', 6343),
(6344, 'cd11719', NULL, 'FANC', NULL, NULL, 'FANC', 6344),
(6345, 'cd14300', NULL, 'UBA_UBS3A_like', NULL, NULL, 'UBA_UBS3A_like', 6345),
(6346, 'cd15793', NULL, 'PH1_FGD6', NULL, NULL, 'PH1_FGD6', 6346),
(6347, 'cd18913', NULL, 'bHLH-O_hairy_like', NULL, NULL, 'bHLH-O_hairy_like', 6347);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(6348, 'cd02950', NULL, 'TxlA', NULL, NULL, 'TxlA', 6348),
(6349, 'cd12285', NULL, 'RRM3_RBM39_like', NULL, NULL, 'RRM3_RBM39_like', 6349),
(6350, 'cd19722', NULL, 'bHLH_TS_NeuroD6_ATOH2', NULL, NULL, 'bHLH_TS_NeuroD6_ATOH2', 6350),
(6351, 'cd08312', NULL, 'Death_MyD88', NULL, NULL, 'Death_MyD88', 6351),
(6352, 'cd00207', NULL, 'fer2', NULL, NULL, 'fer2', 6352),
(6353, 'cd09737', NULL, 'Csy3_I-F', NULL, NULL, 'Csy3_I-F', 6353),
(6354, 'cd16501', NULL, 'RING-HC_CblA_like', NULL, NULL, 'RING-HC_CblA_like', 6354),
(6355, 'cd01287', NULL, 'FabA', NULL, NULL, 'FabA', 6355),
(6356, 'cd17919', NULL, 'DEXHc_Snf', NULL, NULL, 'DEXHc_Snf', 6356),
(6357, 'cd15391', NULL, '7tmA_NPR-like_invertebrate', NULL, NULL, '7tmA_NPR-like_invertebrate', 6357),
(6358, 'cd00099', NULL, 'IgV', NULL, NULL, 'IgV', 6358),
(6359, 'cd16553', NULL, 'RING-HC_RNF170', NULL, NULL, 'RING-HC_RNF170', 6359),
(6360, 'cd11473', NULL, 'W2', NULL, NULL, 'W2', 6360),
(6361, 'cd18427', NULL, 'BTB_POZ_KCNS2', NULL, NULL, 'BTB_POZ_KCNS2', 6361),
(6362, 'cd03370', NULL, 'nitroreductase', NULL, NULL, 'nitroreductase', 6362),
(6363, 'cd15570', NULL, 'PHD_Bye1p_SIZ1_like', NULL, NULL, 'PHD_Bye1p_SIZ1_like', 6363),
(6364, 'cd07870', NULL, 'STKc_PFTAIRE2', NULL, NULL, 'STKc_PFTAIRE2', 6364),
(6365, 'cd08566', NULL, 'GDPD_AtGDE_like', NULL, NULL, 'GDPD_AtGDE_like', 6365),
(6366, 'cd09096', NULL, 'Deadenylase_nocturnin', NULL, NULL, 'Deadenylase_nocturnin', 6366),
(6367, 'cd15155', NULL, '7tmA_LPAR4', NULL, NULL, '7tmA_LPAR4', 6367),
(6368, 'cd17321', NULL, 'MFS_MMR_MDR_like', NULL, NULL, 'MFS_MMR_MDR_like', 6368),
(6369, 'cd16128', NULL, 'Ubl_ATG8', NULL, NULL, 'Ubl_ATG8', 6369),
(6370, 'cd19128', NULL, 'AKR_GlAR-like', NULL, NULL, 'AKR_GlAR-like', 6370),
(6371, 'cd09396', NULL, 'LIM_DA1', NULL, NULL, 'LIM_DA1', 6371),
(6372, 'cd20487', NULL, 'USP28_C', NULL, NULL, 'USP28_C', 6372),
(6373, 'cd03367', NULL, 'Ribosomal_S23', NULL, NULL, 'Ribosomal_S23', 6373),
(6374, 'cd09507', NULL, 'SAM_DGK-delta-eta', NULL, NULL, 'SAM_DGK-delta-eta', 6374),
(6375, 'cd15785', NULL, 'YycH_N_like', NULL, NULL, 'YycH_N_like', 6375),
(6376, 'cd15584', NULL, 'PHD_ING1_2', NULL, NULL, 'PHD_ING1_2', 6376),
(6377, 'cd15861', NULL, 'SNARE_SNAP25N_23N_29N_SEC9N', NULL, NULL, 'SNARE_SNAP25N_23N_29N_SEC9N', 6377),
(6378, 'cd08309', NULL, 'Death_IRAK', NULL, NULL, 'Death_IRAK', 6378),
(6379, 'cd15031', NULL, '7tmF_FZD3_insect', NULL, NULL, '7tmF_FZD3_insect', 6379),
(6380, 'cd18115', NULL, 'ATP-synt_F1_beta_N', NULL, NULL, 'ATP-synt_F1_beta_N', 6380),
(6381, 'cd13593', NULL, 'PBP2_HisGL3', NULL, NULL, 'PBP2_HisGL3', 6381),
(6382, 'cd07707', NULL, 'MBL-B1-B2-like', NULL, NULL, 'MBL-B1-B2-like', 6382),
(6383, 'sd00001', NULL, 'TSP3', NULL, NULL, 'TSP3', 6383),
(6384, 'cd06423', NULL, 'CESA_like', NULL, NULL, 'CESA_like', 6384),
(6385, 'cd14153', NULL, 'PK_KSR2', NULL, NULL, 'PK_KSR2', 6385),
(6386, 'cd12538', NULL, 'RRM_U2AF35', NULL, NULL, 'RRM_U2AF35', 6386),
(6387, 'cd14114', NULL, 'STKc_Twitchin_like', NULL, NULL, 'STKc_Twitchin_like', 6387),
(6388, 'cd08529', NULL, 'STKc_FA2-like', NULL, NULL, 'STKc_FA2-like', 6388),
(6389, 'cd03522', NULL, 'MoeA_like', NULL, NULL, 'MoeA_like', 6389),
(6390, 'cd11365', NULL, 'RNase_PH_archRRP42', NULL, NULL, 'RNase_PH_archRRP42', 6390),
(6391, 'cd19126', NULL, 'AKR_AKR5A_5G', NULL, NULL, 'AKR_AKR5A_5G', 6391),
(6392, 'cd09087', NULL, 'Ape1-like_AP-endo', NULL, NULL, 'Ape1-like_AP-endo', 6392),
(6393, 'cd07078', NULL, 'ALDH', NULL, NULL, 'ALDH', 6393),
(6394, 'cd16259', NULL, 'RF3_III', NULL, NULL, 'RF3_III', 6394),
(6395, 'cd02768', NULL, 'MopB_NADH-Q-OR-NuoG2', NULL, NULL, 'MopB_NADH-Q-OR-NuoG2', 6395),
(6396, 'cd03507', NULL, 'Delta12-FADS-like', NULL, NULL, 'Delta12-FADS-like', 6396),
(6397, 'cd04136', NULL, 'Rap_like', NULL, NULL, 'Rap_like', 6397),
(6398, 'cd03239', NULL, 'ABC_SMC_head', NULL, NULL, 'ABC_SMC_head', 6398),
(6399, 'cd11956', NULL, 'SH3_srGAP4', NULL, NULL, 'SH3_srGAP4', 6399),
(6400, 'cd18984', NULL, 'CBD_MOF_like', NULL, NULL, 'CBD_MOF_like', 6400),
(6401, 'cd00227', NULL, 'CPT', NULL, NULL, 'CPT', 6401),
(6402, 'cd17555', NULL, 'REC_RssB-like', NULL, NULL, 'REC_RssB-like', 6402);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(6403, 'cd11389', NULL, 'bHLH-O_HERP_like', NULL, NULL, 'bHLH-O_HERP_like', 6403),
(6404, 'cd16324', NULL, 'LolA_fold-like', NULL, NULL, 'LolA_fold-like', 6404),
(6405, 'cd14752', NULL, 'GH31_N', NULL, NULL, 'GH31_N', 6405),
(6406, 'cd19036', NULL, 'LGIC_ECD_GABAAR_A3', NULL, NULL, 'LGIC_ECD_GABAAR_A3', 6406),
(6407, 'cd09023', NULL, 'Aldose_epim_Ec_c4013', NULL, NULL, 'Aldose_epim_Ec_c4013', 6407),
(6408, 'cd01724', NULL, 'Sm_D1', NULL, NULL, 'Sm_D1', 6408),
(6409, 'cd07039', NULL, 'TPP_PYR_POX', NULL, NULL, 'TPP_PYR_POX', 6409),
(6410, 'cd14773', NULL, 'TrHb2_PhHbO-like_O', NULL, NULL, 'TrHb2_PhHbO-like_O', 6410),
(6411, 'cd11355', NULL, 'AmyAc_Sucrose_phosphorylase', NULL, NULL, 'AmyAc_Sucrose_phosphorylase', 6411),
(6412, 'cd05352', NULL, 'MDH-like_SDR_c', NULL, NULL, 'MDH-like_SDR_c', 6412),
(6413, 'cd19967', NULL, 'PBP1_TmRBP-like', NULL, NULL, 'PBP1_TmRBP-like', 6413),
(6414, 'cd09521', NULL, 'SAM_ASZ1', NULL, NULL, 'SAM_ASZ1', 6414),
(6415, 'cd11775', NULL, 'SH3_Sla1p_3', NULL, NULL, 'SH3_Sla1p_3', 6415),
(6416, 'cd06312', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 6416),
(6417, 'cd00886', NULL, 'MogA_MoaB', NULL, NULL, 'MogA_MoaB', 6417),
(6418, 'cd18262', NULL, 'BTB1_POZ_KLHL33', NULL, NULL, 'BTB1_POZ_KLHL33', 6418),
(6419, 'cd20261', NULL, 'Complex1_LYR_LYRM1', NULL, NULL, 'Complex1_LYR_LYRM1', 6419),
(6420, 'cd14302', NULL, 'UBA_UBXN1', NULL, NULL, 'UBA_UBXN1', 6420),
(6421, 'cd05295', NULL, 'MDH_like', NULL, NULL, 'MDH_like', 6421),
(6422, 'cd00608', NULL, 'GalT', NULL, NULL, 'GalT', 6422),
(6423, 'cd01875', NULL, 'RhoG', NULL, NULL, 'RhoG', 6423),
(6424, 'cd15147', NULL, '7tmA_PAFR', NULL, NULL, '7tmA_PAFR', 6424),
(6425, 'cd17231', NULL, 'TGS_DRG2', NULL, NULL, 'TGS_DRG2', 6425),
(6426, 'cd03742', NULL, 'SOCS_Rab40', NULL, NULL, 'SOCS_Rab40', 6426),
(6427, 'cd15352', NULL, '7tmA_MC3R', NULL, NULL, '7tmA_MC3R', 6427),
(6428, 'cd15153', NULL, '7tmA_P2Y10', NULL, NULL, '7tmA_P2Y10', 6428),
(6429, 'cd08951', NULL, 'DR_C-13_KR_SDR_c_like', NULL, NULL, 'DR_C-13_KR_SDR_c_like', 6429),
(6430, 'cd10475', NULL, 'EphR_LBD_B6', NULL, NULL, 'EphR_LBD_B6', 6430),
(6431, 'cd18296', NULL, 'BTB2_POZ_ABTB1_BPOZ1', NULL, NULL, 'BTB2_POZ_ABTB1_BPOZ1', 6431),
(6432, 'cd06305', NULL, 'PBP1_methylthioribose_binding-like', NULL, NULL, 'PBP1_methylthioribose_binding-like', 6432),
(6433, 'cd10793', NULL, 'GH57N_TLGT_like', NULL, NULL, 'GH57N_TLGT_like', 6433),
(6434, 'cd10561', NULL, 'HybA_like', NULL, NULL, 'HybA_like', 6434),
(6435, 'cd14326', NULL, 'UBA_UBL7', NULL, NULL, 'UBA_UBL7', 6435),
(6436, 'cd16431', NULL, 'IcmE', NULL, NULL, 'IcmE', 6436),
(6437, 'cd15476', NULL, 'Myo5c_CBD', NULL, NULL, 'Myo5c_CBD', 6437),
(6438, 'cd03071', NULL, 'PDI_b''_NRX', NULL, NULL, 'PDI_b''_NRX', 6438),
(6439, 'cd00016', NULL, 'ALP_like', NULL, NULL, 'ALP_like', 6439),
(6440, 'cd07999', NULL, 'GH7_CBH_EG', NULL, NULL, 'GH7_CBH_EG', 6440),
(6441, 'cd09807', NULL, 'retinol-DH_like_SDR_c', NULL, NULL, 'retinol-DH_like_SDR_c', 6441),
(6442, 'cd04903', NULL, 'ACT_LSD', NULL, NULL, 'ACT_LSD', 6442),
(6443, 'cd12014', NULL, 'SH3_RIM-BP_1', NULL, NULL, 'SH3_RIM-BP_1', 6443),
(6444, 'cd16232', NULL, 'EFh_SPARC_TICN', NULL, NULL, 'EFh_SPARC_TICN', 6444),
(6445, 'cd01420', NULL, 'MoaC_PE', NULL, NULL, 'MoaC_PE', 6445),
(6446, 'cd09141', NULL, 'PLDc_vPLD1_2_yPLD_like_2', NULL, NULL, 'PLDc_vPLD1_2_yPLD_like_2', 6446),
(6447, 'cd02026', NULL, 'PRK', NULL, NULL, 'PRK', 6447),
(6448, 'cd12884', NULL, 'SPRY_hnRNP', NULL, NULL, 'SPRY_hnRNP', 6448),
(6449, 'cd03384', NULL, 'PAP2_wunen', NULL, NULL, 'PAP2_wunen', 6449),
(6450, 'cd11643', NULL, 'Precorrin-6A-synthase', NULL, NULL, 'Precorrin-6A-synthase', 6450),
(6451, 'cd19883', NULL, 'DSRM_STAU1_rpt3', NULL, NULL, 'DSRM_STAU1_rpt3', 6451),
(6452, 'cd09909', NULL, 'HIV-1-like_HR1-HR2', NULL, NULL, 'HIV-1-like_HR1-HR2', 6452),
(6453, 'cd08321', NULL, 'Pyrin_ASC-like', NULL, NULL, 'Pyrin_ASC-like', 6453),
(6454, 'cd15279', NULL, '7tmC_RAIG1_4_GPRC5A_D', NULL, NULL, '7tmC_RAIG1_4_GPRC5A_D', 6454),
(6455, 'cd15487', NULL, 'bS6_chloro_cyano', NULL, NULL, 'bS6_chloro_cyano', 6455);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(6456, 'cd08797', NULL, 'Death_NFkB1_p105', NULL, NULL, 'Death_NFkB1_p105', 6456),
(6457, 'cd04466', NULL, 'S1_YloQ_GTPase', NULL, NULL, 'S1_YloQ_GTPase', 6457),
(6458, 'cd13883', NULL, 'CuRO_2_Diphenol_Ox', NULL, NULL, 'CuRO_2_Diphenol_Ox', 6458),
(6459, 'cd16523', NULL, 'RING-HC_MYLIP', NULL, NULL, 'RING-HC_MYLIP', 6459),
(6460, 'cd18564', NULL, 'ABC_6TM_exporter_like', NULL, NULL, 'ABC_6TM_exporter_like', 6460),
(6461, 'cd02780', NULL, 'MopB_CT_Tetrathionate_Arsenate-R', NULL, NULL, 'MopB_CT_Tetrathionate_Arsenate-R', 6461),
(6462, 'cd00217', NULL, 'INT_Flp_C', NULL, NULL, 'INT_Flp_C', 6462),
(6463, 'cd09577', NULL, 'SAM_Ph1,2,3', NULL, NULL, 'SAM_Ph1,2,3', 6463),
(6464, 'cd18734', NULL, 'PIN_RfVapC2-like', NULL, NULL, 'PIN_RfVapC2-like', 6464),
(6465, 'cd03148', NULL, 'GATase1_EcHsp31_like', NULL, NULL, 'GATase1_EcHsp31_like', 6465),
(6466, 'cd03784', NULL, 'GT1_Gtf-like', NULL, NULL, 'GT1_Gtf-like', 6466),
(6467, 'cd19127', NULL, 'AKR_AKR5B1', NULL, NULL, 'AKR_AKR5B1', 6467),
(6468, 'cd18455', NULL, 'BACK_KLHL16_gigaxonin', NULL, NULL, 'BACK_KLHL16_gigaxonin', 6468),
(6469, 'cd12500', NULL, 'RRM_BsYxiN_like', NULL, NULL, 'RRM_BsYxiN_like', 6469),
(6470, 'cd12774', NULL, 'RRM2_HuD', NULL, NULL, 'RRM2_HuD', 6470),
(6471, 'cd14017', NULL, 'STKc_TTBK', NULL, NULL, 'STKc_TTBK', 6471),
(6472, 'cd05263', NULL, 'MupV_like_SDR_e', NULL, NULL, 'MupV_like_SDR_e', 6472),
(6473, 'sd00002', NULL, 'TSP3', NULL, NULL, 'TSP3', 6473),
(6474, 'cd12271', NULL, 'RRM1_PHIP1', NULL, NULL, 'RRM1_PHIP1', 6474),
(6475, 'cd14030', NULL, 'STKc_WNK1', NULL, NULL, 'STKc_WNK1', 6475),
(6476, 'cd14954', NULL, 'NHL_TRIM71_like', NULL, NULL, 'NHL_TRIM71_like', 6476),
(6477, 'cd16562', NULL, 'RING-HC_RNF219', NULL, NULL, 'RING-HC_RNF219', 6477),
(6478, 'cd19903', NULL, 'DSRM_EIF2AK2_rpt1', NULL, NULL, 'DSRM_EIF2AK2_rpt1', 6478),
(6479, 'cd11330', NULL, 'AmyAc_OligoGlu', NULL, NULL, 'AmyAc_OligoGlu', 6479),
(6480, 'cd14440', NULL, 'AlgX_N_like_3', NULL, NULL, 'AlgX_N_like_3', 6480),
(6481, 'cd03457', NULL, 'intradiol_dioxygenase_like', NULL, NULL, 'intradiol_dioxygenase_like', 6481),
(6482, 'cd08872', NULL, 'START_STARD11-like', NULL, NULL, 'START_STARD11-like', 6482),
(6483, 'cd13526', NULL, 'PBP2_lipoprotein_MetQ_like', NULL, NULL, 'PBP2_lipoprotein_MetQ_like', 6483),
(6484, 'cd04168', NULL, 'TetM_like', NULL, NULL, 'TetM_like', 6484),
(6485, 'cd01997', NULL, 'GMP_synthase_C', NULL, NULL, 'GMP_synthase_C', 6485),
(6486, 'cd16298', NULL, 'SNM1A-like_MBL-fold', NULL, NULL, 'SNM1A-like_MBL-fold', 6486),
(6487, 'cd03770', NULL, 'SR_TndX_transposase', NULL, NULL, 'SR_TndX_transposase', 6487),
(6488, 'cd06480', NULL, 'ACD_HspB8_like', NULL, NULL, 'ACD_HspB8_like', 6488),
(6489, 'cd05831', NULL, 'Ribosomal_P1', NULL, NULL, 'Ribosomal_P1', 6489),
(6490, 'cd20231', NULL, 'PFM_jacalin-like', NULL, NULL, 'PFM_jacalin-like', 6490),
(6491, 'cd01274', NULL, 'PTB_Anks', NULL, NULL, 'PTB_Anks', 6491),
(6492, 'cd12952', NULL, 'MMP_ACEL2062', NULL, NULL, 'MMP_ACEL2062', 6492),
(6493, 'cd05101', NULL, 'PTKc_FGFR2', NULL, NULL, 'PTKc_FGFR2', 6493),
(6494, 'cd15410', NULL, '7tmA_OR5D-like', NULL, NULL, '7tmA_OR5D-like', 6494),
(6495, 'cd18555', NULL, 'ABC_6TM_T1SS_like', NULL, NULL, 'ABC_6TM_T1SS_like', 6495),
(6496, 'cd15194', NULL, '7tmA_GPR15', NULL, NULL, '7tmA_GPR15', 6496),
(6497, 'cd08780', NULL, 'Death_TRADD', NULL, NULL, 'Death_TRADD', 6497),
(6498, 'cd16307', NULL, 'FEZ-1-like_MBL-B3', NULL, NULL, 'FEZ-1-like_MBL-B3', 6498),
(6499, 'cd16738', NULL, 'RING-HC_PCGF6', NULL, NULL, 'RING-HC_PCGF6', 6499),
(6500, 'cd19432', NULL, 'lipocalin_2_12-like', NULL, NULL, 'lipocalin_2_12-like', 6500),
(6501, 'cd02964', NULL, 'TryX_like_family', NULL, NULL, 'TryX_like_family', 6501),
(6502, 'cd12678', NULL, 'RRM_SLTM', NULL, NULL, 'RRM_SLTM', 6502),
(6503, 'cd05878', NULL, 'Ig_Aggrecan_like', NULL, NULL, 'Ig_Aggrecan_like', 6503),
(6504, 'cd21483', NULL, 'HKU1_N1_CoV_Spike_S1_RBD', NULL, NULL, 'HKU1_N1_CoV_Spike_S1_RBD', 6504),
(6505, 'cd16786', NULL, 'mRING-HC-C3HC5_NEU1B', NULL, NULL, 'mRING-HC-C3HC5_NEU1B', 6505),
(6506, 'cd17582', NULL, 'psREC_PRR', NULL, NULL, 'psREC_PRR', 6506); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(6507, 'cd17054', NULL, 'Ubl_AtBAG1_like', NULL, NULL, 'Ubl_AtBAG1_like', 6507),
(6508, 'cd01022', NULL, 'GH57N_like', NULL, NULL, 'GH57N_like', 6508),
(6509, 'cd00250', NULL, 'CAS_like', NULL, NULL, 'CAS_like', 6509),
(6510, 'cd06488', NULL, 'p23_melusin_like', NULL, NULL, 'p23_melusin_like', 6510),
(6511, 'cd16350', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 6511),
(6512, 'cd05088', NULL, 'PTKc_Tie2', NULL, NULL, 'PTKc_Tie2', 6512),
(6513, 'cd17037', NULL, 'T3SC_IA_ShcV-like', NULL, NULL, 'T3SC_IA_ShcV-like', 6513),
(6514, 'cd18993', NULL, 'LGIC_ECD_GluCl', NULL, NULL, 'LGIC_ECD_GluCl', 6514),
(6515, 'cd18462', NULL, 'BACK_KLHL23', NULL, NULL, 'BACK_KLHL23', 6515),
(6516, 'cd15112', NULL, '7tmA_MrgprE', NULL, NULL, '7tmA_MrgprE', 6516),
(6517, 'cd16952', NULL, 'HATPase_EcPhoR-like', NULL, NULL, 'HATPase_EcPhoR-like', 6517),
(6518, 'cd01822', NULL, 'Lysophospholipase_L1_like', NULL, NULL, 'Lysophospholipase_L1_like', 6518),
(6519, 'cd06202', NULL, 'Nitric_oxide_synthase', NULL, NULL, 'Nitric_oxide_synthase', 6519),
(6520, 'cd11006', NULL, 'M35_peptidyl-Lys_like', NULL, NULL, 'M35_peptidyl-Lys_like', 6520),
(6521, 'cd07027', NULL, 'RNAP_RPB11_like', NULL, NULL, 'RNAP_RPB11_like', 6521),
(6522, 'cd13763', NULL, 'TGF_beta_BMP3_like', NULL, NULL, 'TGF_beta_BMP3_like', 6522),
(6523, 'cd17900', NULL, 'ArfGap_ASAP3', NULL, NULL, 'ArfGap_ASAP3', 6523),
(6524, 'cd15137', NULL, '7tmA_Relaxin_R', NULL, NULL, '7tmA_Relaxin_R', 6524),
(6525, 'cd07052', NULL, 'BMC_like_1_repeat2', NULL, NULL, 'BMC_like_1_repeat2', 6525),
(6526, 'cd11944', NULL, 'SH3_Endophilin_B2', NULL, NULL, 'SH3_Endophilin_B2', 6526),
(6527, 'cd17441', NULL, 'MFS_SVOP', NULL, NULL, 'MFS_SVOP', 6527),
(6528, 'cd05349', NULL, 'BKR_2_SDR_c', NULL, NULL, 'BKR_2_SDR_c', 6528),
(6529, 'cd06311', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 6529),
(6530, 'cd07090', NULL, 'ALDH_F9_TMBADH', NULL, NULL, 'ALDH_F9_TMBADH', 6530),
(6531, 'cd15403', NULL, '7tmA_GPR45', NULL, NULL, '7tmA_GPR45', 6531),
(6532, 'cd13427', NULL, 'YncM_like', NULL, NULL, 'YncM_like', 6532),
(6533, 'cd08716', NULL, 'RGS_RGS13', NULL, NULL, 'RGS_RGS13', 6533),
(6534, 'cd18373', NULL, 'BTB1_POZ_KCTD19', NULL, NULL, 'BTB1_POZ_KCTD19', 6534),
(6535, 'cd06272', NULL, 'PBP1_hexuronate_repressor-like', NULL, NULL, 'PBP1_hexuronate_repressor-like', 6535),
(6536, 'cd15838', NULL, 'TNFRSF27', NULL, NULL, 'TNFRSF27', 6536),
(6537, 'cd19969', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 6537),
(6538, 'cd15777', NULL, 'CRBN_C_like', NULL, NULL, 'CRBN_C_like', 6538),
(6539, 'cd06535', NULL, 'CIDE_N_CAD', NULL, NULL, 'CIDE_N_CAD', 6539),
(6540, 'cd17987', NULL, 'DEXHc_YTHDC2', NULL, NULL, 'DEXHc_YTHDC2', 6540),
(6541, 'cd07840', NULL, 'STKc_CDK9_like', NULL, NULL, 'STKc_CDK9_like', 6541),
(6542, 'cd12657', NULL, 'RRM1_hnRNPM', NULL, NULL, 'RRM1_hnRNPM', 6542),
(6543, 'cd18692', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 6543),
(6544, 'cd06957', NULL, 'NR_DBD_PNR_like_2', NULL, NULL, 'NR_DBD_PNR_like_2', 6544),
(6545, 'cd19131', NULL, 'AKR_AKR5C2', NULL, NULL, 'AKR_AKR5C2', 6545),
(6546, 'cd08344', NULL, 'MhqB_like_N', NULL, NULL, 'MhqB_like_N', 6546),
(6547, 'cd03283', NULL, 'ABC_MutS-like', NULL, NULL, 'ABC_MutS-like', 6547),
(6548, 'cd00342', NULL, 'gram_neg_porins', NULL, NULL, 'gram_neg_porins', 6548),
(6549, 'cd15394', NULL, '7tmA_PrRP_R', NULL, NULL, '7tmA_PrRP_R', 6549),
(6550, 'cd03080', NULL, 'GST_N_Metaxin_like', NULL, NULL, 'GST_N_Metaxin_like', 6550),
(6551, 'cd12606', NULL, 'RRM1_RBM4', NULL, NULL, 'RRM1_RBM4', 6551),
(6552, 'cd12822', NULL, 'TmCorA-like', NULL, NULL, 'TmCorA-like', 6552),
(6553, 'cd16655', NULL, 'RING-Ubox_WDSUB1_like', NULL, NULL, 'RING-Ubox_WDSUB1_like', 6553),
(6554, 'cd02978', NULL, 'KaiB_like', NULL, NULL, 'KaiB_like', 6554),
(6555, 'cd16722', NULL, 'RING-HC_MEX3C', NULL, NULL, 'RING-HC_MEX3C', 6555),
(6556, 'cd00154', NULL, 'Rab', NULL, NULL, 'Rab', 6556),
(6557, 'cd01392', NULL, 'HTH_LacI', NULL, NULL, 'HTH_LacI', 6557),
(6558, 'cd15922', NULL, '7tmA_P2Y-like', NULL, NULL, '7tmA_P2Y-like', 6558);
INSERT INTO "PUBLIC"."MODEL" VALUES
(6559, 'cd07406', NULL, 'MPP_CG11883_N', NULL, NULL, 'MPP_CG11883_N', 6559),
(6560, 'cd09094', NULL, 'INPP5c_INPP5J-like', NULL, NULL, 'INPP5c_INPP5J-like', 6560),
(6561, 'cd18505', NULL, 'BACK1_LZTR1', NULL, NULL, 'BACK1_LZTR1', 6561),
(6562, 'cd01235', NULL, 'PH_Sbf1_hMTMR5', NULL, NULL, 'PH_Sbf1_hMTMR5', 6562),
(6563, 'cd01479', NULL, 'Sec24-like', NULL, NULL, 'Sec24-like', 6563),
(6564, 'cd18084', NULL, 'RsmE-like', NULL, NULL, 'RsmE-like', 6564),
(6565, 'cd17656', NULL, 'A_NRPS_ProA', NULL, NULL, 'A_NRPS_ProA', 6565),
(6566, 'cd12152', NULL, 'F1-ATPase_delta', NULL, NULL, 'F1-ATPase_delta', 6566),
(6567, 'cd00427', NULL, 'Ribosomal_L29_HIP', NULL, NULL, 'Ribosomal_L29_HIP', 6567),
(6568, 'cd17212', NULL, 'RA_RGL3', NULL, NULL, 'RA_RGL3', 6568),
(6569, 'cd03801', NULL, 'GT4_PimA-like', NULL, NULL, 'GT4_PimA-like', 6569),
(6570, 'cd08729', NULL, 'RGS_PX', NULL, NULL, 'RGS_PX', 6570),
(6571, 'cd14780', NULL, 'HmpPa-globin-like', NULL, NULL, 'HmpPa-globin-like', 6571),
(6572, 'cd11524', NULL, 'SYLF', NULL, NULL, 'SYLF', 6572),
(6573, 'cd00872', NULL, 'PI3Ka_I', NULL, NULL, 'PI3Ka_I', 6573),
(6574, 'cd13385', NULL, 'PH_Gab3', NULL, NULL, 'PH_Gab3', 6574),
(6575, 'cd02167', NULL, 'NMNAT_NadR', NULL, NULL, 'NMNAT_NadR', 6575),
(6576, 'cd14133', NULL, 'PKc_DYRK_like', NULL, NULL, 'PKc_DYRK_like', 6576),
(6577, 'cd00268', NULL, 'DEADc', NULL, NULL, 'DEADc', 6577),
(6578, 'cd04011', NULL, 'C2B_Ferlin', NULL, NULL, 'C2B_Ferlin', 6578),
(6579, 'cd07280', NULL, 'PX_YPT35', NULL, NULL, 'PX_YPT35', 6579),
(6580, 'cd08740', NULL, 'RGS_RGS11', NULL, NULL, 'RGS_RGS11', 6580),
(6581, 'cd13897', NULL, 'CuRO_3_LCC_plant', NULL, NULL, 'CuRO_3_LCC_plant', 6581),
(6582, 'cd04473', NULL, 'S1_RecJ_like', NULL, NULL, 'S1_RecJ_like', 6582),
(6583, 'cd12420', NULL, 'RRM_RBPMS_like', NULL, NULL, 'RRM_RBPMS_like', 6583),
(6584, 'cd13163', NULL, 'PTB_ICAP1', NULL, NULL, 'PTB_ICAP1', 6584),
(6585, 'cd19685', NULL, 'bHLH-O_HERP_HES', NULL, NULL, 'bHLH-O_HERP_HES', 6585),
(6586, 'cd04029', NULL, 'C2A_SLP-4_5', NULL, NULL, 'C2A_SLP-4_5', 6586),
(6587, 'cd05970', NULL, 'MACS_AAE_MA_like', NULL, NULL, 'MACS_AAE_MA_like', 6587),
(6588, 'cd07985', NULL, 'LPLAT_GPAT', NULL, NULL, 'LPLAT_GPAT', 6588),
(6589, 'cd09377', NULL, 'LIM2_Lhx2_Lhx9', NULL, NULL, 'LIM2_Lhx2_Lhx9', 6589),
(6590, 'cd17476', NULL, 'MFS_Amf1_MDR_like', NULL, NULL, 'MFS_Amf1_MDR_like', 6590),
(6591, 'cd02108', NULL, 'bact_SO_family_Moco', NULL, NULL, 'bact_SO_family_Moco', 6591),
(6592, 'cd19575', NULL, 'serpinH2', NULL, NULL, 'serpinH2', 6592),
(6593, 'cd14120', NULL, 'STKc_ULK1_2-like', NULL, NULL, 'STKc_ULK1_2-like', 6593),
(6594, 'cd19684', NULL, 'bHLH_dnHLH_ID', NULL, NULL, 'bHLH_dnHLH_ID', 6594),
(6595, 'cd15125', NULL, '7tmA_NMBR', NULL, NULL, '7tmA_NMBR', 6595),
(6596, 'cd01714', NULL, 'ETF_beta', NULL, NULL, 'ETF_beta', 6596),
(6597, 'cd09696', NULL, 'Cas3_I', NULL, NULL, 'Cas3_I', 6597),
(6598, 'cd19333', NULL, 'Wnt_Wnt1', NULL, NULL, 'Wnt_Wnt1', 6598),
(6599, 'cd05826', NULL, 'Sortase_B', NULL, NULL, 'Sortase_B', 6599),
(6600, 'cd07040', NULL, 'HP', NULL, NULL, 'HP', 6600),
(6601, 'cd04243', NULL, 'AAK_AK-HSDH-like', NULL, NULL, 'AAK_AK-HSDH-like', 6601),
(6602, 'cd14186', NULL, 'STKc_PLK4', NULL, NULL, 'STKc_PLK4', 6602),
(6603, 'cd00431', NULL, 'cysteine_hydrolases', NULL, NULL, 'cysteine_hydrolases', 6603),
(6604, 'cd13930', NULL, 'PT-Tnase', NULL, NULL, 'PT-Tnase', 6604),
(6605, 'cd00781', NULL, 'ketosteroid_isomerase', NULL, NULL, 'ketosteroid_isomerase', 6605),
(6606, 'cd07920', NULL, 'Pumilio', NULL, NULL, 'Pumilio', 6606),
(6607, 'cd00758', NULL, 'MoCF_BD', NULL, NULL, 'MoCF_BD', 6607),
(6608, 'cd13416', NULL, 'TNFRSF16', NULL, NULL, 'TNFRSF16', 6608),
(6609, 'cd14216', NULL, 'STKc_SRPK1', NULL, NULL, 'STKc_SRPK1', 6609),
(6610, 'cd14138', NULL, 'PTKc_Wee1a', NULL, NULL, 'PTKc_Wee1a', 6610),
(6611, 'cd06898', NULL, 'PX_SNX10', NULL, NULL, 'PX_SNX10', 6611),
(6612, 'cd11319', NULL, 'AmyAc_euk_AmyA', NULL, NULL, 'AmyAc_euk_AmyA', 6612),
(6613, 'cd17713', NULL, 'BRCT_polymerase_mu_like', NULL, NULL, 'BRCT_polymerase_mu_like', 6613),
(6614, 'cd02042', NULL, 'ParAB_family', NULL, NULL, 'ParAB_family', 6614);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(6615, 'cd13917', NULL, 'CuRO_HCO_II_like_4', NULL, NULL, 'CuRO_HCO_II_like_4', 6615),
(6616, 'cd14203', NULL, 'PTKc_Src_Fyn_like', NULL, NULL, 'PTKc_Src_Fyn_like', 6616),
(6617, 'cd06867', NULL, 'PX_SNX41_42', NULL, NULL, 'PX_SNX41_42', 6617),
(6618, 'cd00042', NULL, 'CY', NULL, NULL, 'CY', 6618),
(6619, 'cd18441', NULL, 'BRCT_MDC1_rpt2', NULL, NULL, 'BRCT_MDC1_rpt2', 6619),
(6620, 'cd08504', NULL, 'PBP2_OppA', NULL, NULL, 'PBP2_OppA', 6620),
(6621, 'cd19345', NULL, 'Wnt_Wnt2', NULL, NULL, 'Wnt_Wnt2', 6621),
(6622, 'cd07539', NULL, 'P-type_ATPase', NULL, NULL, 'P-type_ATPase', 6622),
(6623, 'cd12684', NULL, 'RRM_cpo', NULL, NULL, 'RRM_cpo', 6623),
(6624, 'cd14888', NULL, 'MYSc_Myo27', NULL, NULL, 'MYSc_Myo27', 6624),
(6625, 'cd02657', NULL, 'Peptidase_C19A', NULL, NULL, 'Peptidase_C19A', 6625),
(6626, 'cd04780', NULL, 'HTH_MerR-like_sg5', NULL, NULL, 'HTH_MerR-like_sg5', 6626),
(6627, 'cd15446', NULL, '7tmB1_CRF-R2', NULL, NULL, '7tmB1_CRF-R2', 6627),
(6628, 'cd18600', NULL, 'ABC_6TM_CFTR_D2', NULL, NULL, 'ABC_6TM_CFTR_D2', 6628),
(6629, 'cd01740', NULL, 'GATase1_FGAR_AT', NULL, NULL, 'GATase1_FGAR_AT', 6629),
(6630, 'cd01827', NULL, 'sialate_O-acetylesterase_like1', NULL, NULL, 'sialate_O-acetylesterase_like1', 6630),
(6631, 'cd05896', NULL, 'Ig1_IL1RAPL-1_like', NULL, NULL, 'Ig1_IL1RAPL-1_like', 6631),
(6632, 'cd08792', NULL, 'DED_Caspase_8_10_r1', NULL, NULL, 'DED_Caspase_8_10_r1', 6632),
(6633, 'cd16754', NULL, 'RING-HC_MID2', NULL, NULL, 'RING-HC_MID2', 6633),
(6634, 'cd05825', NULL, 'LbH_wcaF_like', NULL, NULL, 'LbH_wcaF_like', 6634),
(6635, 'cd21647', NULL, 'ORF4b_NS3c-betaCoV', NULL, NULL, 'ORF4b_NS3c-betaCoV', 6635),
(6636, 'cd02540', NULL, 'GT2_GlmU_N_bac', NULL, NULL, 'GT2_GlmU_N_bac', 6636),
(6637, 'cd05577', NULL, 'STKc_GRK', NULL, NULL, 'STKc_GRK', 6637),
(6638, 'cd12666', NULL, 'RRM2_RAVER2', NULL, NULL, 'RRM2_RAVER2', 6638),
(6639, 'cd03753', NULL, 'proteasome_alpha_type_5', NULL, NULL, 'proteasome_alpha_type_5', 6639),
(6640, 'cd08495', NULL, 'PBP2_NikA_DppA_OppA_like_8', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_8', 6640),
(6641, 'cd18096', NULL, 'SpoU-like', NULL, NULL, 'SpoU-like', 6641),
(6642, 'cd09428', NULL, 'LIM2_FHL5', NULL, NULL, 'LIM2_FHL5', 6642),
(6643, 'cd04877', NULL, 'ACT_TyrR', NULL, NULL, 'ACT_TyrR', 6643),
(6644, 'cd14783', NULL, 'FHb-globin_3', NULL, NULL, 'FHb-globin_3', 6644),
(6645, 'cd19181', NULL, 'SET_SETD5', NULL, NULL, 'SET_SETD5', 6645),
(6646, 'cd09102', NULL, 'PLDc_CDP-OH_P_transf_II_1', NULL, NULL, 'PLDc_CDP-OH_P_transf_II_1', 6646),
(6647, 'cd08272', NULL, 'MDR6', NULL, NULL, 'MDR6', 6647),
(6648, 'cd07214', NULL, 'Pat17_isozyme_like', NULL, NULL, 'Pat17_isozyme_like', 6648),
(6649, 'cd20242', NULL, 'PFM_aerolysin-like', NULL, NULL, 'PFM_aerolysin-like', 6649),
(6650, 'cd02092', NULL, 'P-type_ATPase_FixI-like', NULL, NULL, 'P-type_ATPase_FixI-like', 6650),
(6651, 'cd16465', NULL, 'RING-H2_PJA1_2', NULL, NULL, 'RING-H2_PJA1_2', 6651),
(6652, 'cd11763', NULL, 'SH3_SNX9_like', NULL, NULL, 'SH3_SNX9_like', 6652),
(6653, 'cd08808', NULL, 'CARD_CARD11_CARMA1', NULL, NULL, 'CARD_CARD11_CARMA1', 6653),
(6654, 'cd04276', NULL, 'ZnMc_MMP_like_2', NULL, NULL, 'ZnMc_MMP_like_2', 6654),
(6655, 'cd03243', NULL, 'ABC_MutS_homologs', NULL, NULL, 'ABC_MutS_homologs', 6655),
(6656, 'cd04588', NULL, 'CBS_pair_archHTH_assoc', NULL, NULL, 'CBS_pair_archHTH_assoc', 6656),
(6657, 'cd16284', NULL, 'UlaG-like_MBL-fold', NULL, NULL, 'UlaG-like_MBL-fold', 6657),
(6658, 'cd18443', NULL, 'BRCT_DNTT', NULL, NULL, 'BRCT_DNTT', 6658),
(6659, 'cd10034', NULL, 'UDG_BdiUng_like', NULL, NULL, 'UDG_BdiUng_like', 6659),
(6660, 'cd15567', NULL, 'PHD4_NSD', NULL, NULL, 'PHD4_NSD', 6660),
(6661, 'cd00532', NULL, 'MGS-like', NULL, NULL, 'MGS-like', 6661),
(6662, 'cd12296', NULL, 'RRM1_Prp24', NULL, NULL, 'RRM1_Prp24', 6662),
(6663, 'cd11326', NULL, 'AmyAc_Glg_debranch', NULL, NULL, 'AmyAc_Glg_debranch', 6663),
(6664, 'cd09725', NULL, 'Cas2_I_II_III', NULL, NULL, 'Cas2_I_II_III', 6664),
(6665, 'cd14516', NULL, 'DSP_fungal_PPS1', NULL, NULL, 'DSP_fungal_PPS1', 6665),
(6666, 'cd09092', NULL, 'INPP5A', NULL, NULL, 'INPP5A', 6666);
INSERT INTO "PUBLIC"."MODEL" VALUES
(6667, 'cd18304', NULL, 'BTB_POZ_M2BP', NULL, NULL, 'BTB_POZ_M2BP', 6667),
(6668, 'cd08837', NULL, 'ArfGap_ARAP', NULL, NULL, 'ArfGap_ARAP', 6668),
(6669, 'cd17664', NULL, 'Mce1_N', NULL, NULL, 'Mce1_N', 6669),
(6670, 'cd04611', NULL, 'CBS_pair_GGDEF_PAS_repeat2', NULL, NULL, 'CBS_pair_GGDEF_PAS_repeat2', 6670),
(6671, 'cd07442', NULL, 'CRD_SFRP4', NULL, NULL, 'CRD_SFRP4', 6671),
(6672, 'cd02515', NULL, 'Glyco_transf_6', NULL, NULL, 'Glyco_transf_6', 6672),
(6673, 'cd04266', NULL, 'DUF619-NAGS-FABP', NULL, NULL, 'DUF619-NAGS-FABP', 6673),
(6674, 'cd13643', NULL, 'PBP2_BCP_2', NULL, NULL, 'PBP2_BCP_2', 6674),
(6675, 'cd16385', NULL, 'IcmL', NULL, NULL, 'IcmL', 6675),
(6676, 'cd03072', NULL, 'PDI_b''_ERp44', NULL, NULL, 'PDI_b''_ERp44', 6676),
(6677, 'cd11350', NULL, 'AmyAc_4', NULL, NULL, 'AmyAc_4', 6677),
(6678, 'cd19023', NULL, 'LGIC_ECD_nAChR_A10', NULL, NULL, 'LGIC_ECD_nAChR_A10', 6678),
(6679, 'cd15742', NULL, 'FYVE_FGD5', NULL, NULL, 'FYVE_FGD5', 6679),
(6680, 'cd07732', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', 6680),
(6681, 'cd00476', NULL, 'SAICAR_synt', NULL, NULL, 'SAICAR_synt', 6681),
(6682, 'cd04937', NULL, 'ACT_AKi-DapG-BS_2', NULL, NULL, 'ACT_AKi-DapG-BS_2', 6682),
(6683, 'cd03184', NULL, 'GST_C_Omega', NULL, NULL, 'GST_C_Omega', 6683),
(6684, 'cd16712', NULL, 'RING-HC_DTX3L', NULL, NULL, 'RING-HC_DTX3L', 6684),
(6685, 'cd11576', NULL, 'GH99_GH71_like_2', NULL, NULL, 'GH99_GH71_like_2', 6685),
(6686, 'cd06963', NULL, 'NR_DBD_GR_like', NULL, NULL, 'NR_DBD_GR_like', 6686),
(6687, 'cd14110', NULL, 'STKc_obscurin_rpt2', NULL, NULL, 'STKc_obscurin_rpt2', 6687),
(6688, 'cd11507', NULL, 'SLC6sbd_GAT2', NULL, NULL, 'SLC6sbd_GAT2', 6688),
(6689, 'cd08386', NULL, 'C2A_Synaptotagmin-7', NULL, NULL, 'C2A_Synaptotagmin-7', 6689),
(6690, 'cd07607', NULL, 'BAR_SH3P_plant', NULL, NULL, 'BAR_SH3P_plant', 6690),
(6691, 'cd00618', NULL, 'PLA2_like', NULL, NULL, 'PLA2_like', 6691),
(6692, 'cd05529', NULL, 'Bromo_WDR9_I_like', NULL, NULL, 'Bromo_WDR9_I_like', 6692),
(6693, 'cd14961', NULL, 'NHL_TRIM32_like', NULL, NULL, 'NHL_TRIM32_like', 6693),
(6694, 'cd12907', NULL, 'SPRY_Fbox', NULL, NULL, 'SPRY_Fbox', 6694),
(6695, 'cd11948', NULL, 'SH3_GRAP_N', NULL, NULL, 'SH3_GRAP_N', 6695),
(6696, 'cd07573', NULL, 'CPA', NULL, NULL, 'CPA', 6696),
(6697, 'cd19406', NULL, 'TGF_beta_INHBC_E', NULL, NULL, 'TGF_beta_INHBC_E', 6697),
(6698, 'cd18073', NULL, 'DEXHc_RIG-I_DDX58', NULL, NULL, 'DEXHc_RIG-I_DDX58', 6698),
(6699, 'cd07576', NULL, 'R-amidase_like', NULL, NULL, 'R-amidase_like', 6699),
(6700, 'cd14198', NULL, 'STKc_DRAK2', NULL, NULL, 'STKc_DRAK2', 6700),
(6701, 'cd11316', NULL, 'AmyAc_bac2_AmyA', NULL, NULL, 'AmyAc_bac2_AmyA', 6701),
(6702, 'cd07162', NULL, 'NR_DBD_PXR', NULL, NULL, 'NR_DBD_PXR', 6702),
(6703, 'cd03343', NULL, 'cpn60', NULL, NULL, 'cpn60', 6703),
(6704, 'cd01155', NULL, 'ACAD_FadE2', NULL, NULL, 'ACAD_FadE2', 6704),
(6705, 'cd15409', NULL, '7tmA_OR5H-like', NULL, NULL, '7tmA_OR5H-like', 6705),
(6706, 'cd20308', NULL, 'cupin_YdaE', NULL, NULL, 'cupin_YdaE', 6706),
(6707, 'cd00407', NULL, 'Urease_beta', NULL, NULL, 'Urease_beta', 6707),
(6708, 'cd16090', NULL, 'IgV_CD47', NULL, NULL, 'IgV_CD47', 6708),
(6709, 'cd18010', NULL, 'DEXHc_HARP_SMARCAL1', NULL, NULL, 'DEXHc_HARP_SMARCAL1', 6709),
(6710, 'cd02005', NULL, 'TPP_PDC_IPDC', NULL, NULL, 'TPP_PDC_IPDC', 6710),
(6711, 'cd14761', NULL, 'GS_GsGCS-like', NULL, NULL, 'GS_GsGCS-like', 6711),
(6712, 'cd17359', NULL, 'MFS_XylE_like', NULL, NULL, 'MFS_XylE_like', 6712),
(6713, 'cd20008', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 6713),
(6714, 'cd05086', NULL, 'PTKc_Aatyk2', NULL, NULL, 'PTKc_Aatyk2', 6714),
(6715, 'cd06546', NULL, 'GH18_CTS3_chitinase', NULL, NULL, 'GH18_CTS3_chitinase', 6715),
(6716, 'cd11462', NULL, 'bHLH-O_HES7', NULL, NULL, 'bHLH-O_HES7', 6716),
(6717, 'cd14029', NULL, 'STKc_BubR1_vert', NULL, NULL, 'STKc_BubR1_vert', 6717),
(6718, 'cd19748', NULL, 'bHLH-O_HEY1', NULL, NULL, 'bHLH-O_HEY1', 6718),
(6719, 'cd14278', NULL, 'UBA_NAC_like', NULL, NULL, 'UBA_NAC_like', 6719);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(6720, 'cd15177', NULL, '7tmA_CCR10', NULL, NULL, '7tmA_CCR10', 6720),
(6721, 'cd07786', NULL, 'FGGY_EcGK_like', NULL, NULL, 'FGGY_EcGK_like', 6721),
(6722, 'cd09437', NULL, 'LIM3_LPP', NULL, NULL, 'LIM3_LPP', 6722),
(6723, 'cd04165', NULL, 'GTPBP1_like', NULL, NULL, 'GTPBP1_like', 6723),
(6724, 'cd04482', NULL, 'RPA2_OBF_like', NULL, NULL, 'RPA2_OBF_like', 6724),
(6725, 'cd13212', NULL, 'PH-GRAM_MTMR10-like', NULL, NULL, 'PH-GRAM_MTMR10-like', 6725),
(6726, 'cd10956', NULL, 'CE4_BH1302_like', NULL, NULL, 'CE4_BH1302_like', 6726),
(6727, 'cd19144', NULL, 'AKR_AKR13A1', NULL, NULL, 'AKR_AKR13A1', 6727),
(6728, 'cd06890', NULL, 'PX_Bem1p', NULL, NULL, 'PX_Bem1p', 6728),
(6729, 'cd07232', NULL, 'Pat_PLPL', NULL, NULL, 'Pat_PLPL', 6729),
(6730, 'cd08791', NULL, 'DED_DEDD2', NULL, NULL, 'DED_DEDD2', 6730),
(6731, 'cd13329', NULL, 'PH_RhoGEF', NULL, NULL, 'PH_RhoGEF', 6731),
(6732, 'cd16920', NULL, 'HATPase_TmoS-FixL-DctS-like', NULL, NULL, 'HATPase_TmoS-FixL-DctS-like', 6732),
(6733, 'cd07207', NULL, 'Pat_ExoU_VipD_like', NULL, NULL, 'Pat_ExoU_VipD_like', 6733),
(6734, 'cd11921', NULL, 'SH3_Vinexin_1', NULL, NULL, 'SH3_Vinexin_1', 6734),
(6735, 'cd13256', NULL, 'PH3_ARAP', NULL, NULL, 'PH3_ARAP', 6735),
(6736, 'cd03782', NULL, 'MATH_Meprin_Beta', NULL, NULL, 'MATH_Meprin_Beta', 6736),
(6737, 'cd01085', NULL, 'APP', NULL, NULL, 'APP', 6737),
(6738, 'cd15564', NULL, 'PHD1_NSD', NULL, NULL, 'PHD1_NSD', 6738),
(6739, 'cd18138', NULL, 'HLD_clamp_pol_III_delta', NULL, NULL, 'HLD_clamp_pol_III_delta', 6739),
(6740, 'cd18680', NULL, 'PIN_MtVapC20-like', NULL, NULL, 'PIN_MtVapC20-like', 6740),
(6741, 'cd16984', NULL, 'CID_Nrd1_like', NULL, NULL, 'CID_Nrd1_like', 6741),
(6742, 'cd15278', NULL, '7tmC_RAIG2_GPRC5B', NULL, NULL, '7tmC_RAIG2_GPRC5B', 6742),
(6743, 'cd19795', NULL, 'Bbox2_TRIM68_C-IV', NULL, NULL, 'Bbox2_TRIM68_C-IV', 6743),
(6744, 'cd06522', NULL, 'GH25_AtlA-like', NULL, NULL, 'GH25_AtlA-like', 6744),
(6745, 'cd02148', NULL, 'RutE-like', NULL, NULL, 'RutE-like', 6745),
(6746, 'cd14704', NULL, 'bZIP_HY5-like', NULL, NULL, 'bZIP_HY5-like', 6746),
(6747, 'cd15519', NULL, 'PHD1_Lid2p_like', NULL, NULL, 'PHD1_Lid2p_like', 6747),
(6748, 'cd01343', NULL, 'PL1_Passenger_AT', NULL, NULL, 'PL1_Passenger_AT', 6748),
(6749, 'cd06910', NULL, 'M14_ASTE_ASPA-like', NULL, NULL, 'M14_ASTE_ASPA-like', 6749),
(6750, 'cd15254', NULL, '7tmB2_GPR116_Ig-Hepta', NULL, NULL, '7tmB2_GPR116_Ig-Hepta', 6750),
(6751, 'cd19200', NULL, 'PR-SET_PRDM16_PRDM3', NULL, NULL, 'PR-SET_PRDM16_PRDM3', 6751),
(6752, 'cd10974', NULL, 'CE4_CDA_like_1', NULL, NULL, 'CE4_CDA_like_1', 6752),
(6753, 'cd18369', NULL, 'BTB_POZ_KCTD10-like_BACURD', NULL, NULL, 'BTB_POZ_KCTD10-like_BACURD', 6753),
(6754, 'cd19393', NULL, 'TGF_beta_BMP3', NULL, NULL, 'TGF_beta_BMP3', 6754),
(6755, 'cd08910', NULL, 'START_STARD2-like', NULL, NULL, 'START_STARD2-like', 6755),
(6756, 'cd16837', NULL, 'BldD_C_like', NULL, NULL, 'BldD_C_like', 6756),
(6757, 'cd20219', NULL, 'PFM_physalysin-1-like', NULL, NULL, 'PFM_physalysin-1-like', 6757),
(6758, 'cd06614', NULL, 'STKc_PAK', NULL, NULL, 'STKc_PAK', 6758),
(6759, 'cd00224', NULL, 'Mog1', NULL, NULL, 'Mog1', 6759),
(6760, 'cd03036', NULL, 'ArsC_like', NULL, NULL, 'ArsC_like', 6760),
(6761, 'cd19916', NULL, 'OphMA_like', NULL, NULL, 'OphMA_like', 6761),
(6762, 'cd02072', NULL, 'Glm_B12_BD', NULL, NULL, 'Glm_B12_BD', 6762),
(6763, 'cd02425', NULL, 'Peptidase_C39F', NULL, NULL, 'Peptidase_C39F', 6763),
(6764, 'cd01796', NULL, 'Ubl_Ddi1_like', NULL, NULL, 'Ubl_Ddi1_like', 6764),
(6765, 'cd10397', NULL, 'SH2_Tec_Btk', NULL, NULL, 'SH2_Tec_Btk', 6765),
(6766, 'cd14837', NULL, 'AP3_Mu_N', NULL, NULL, 'AP3_Mu_N', 6766),
(6767, 'cd00874', NULL, 'RNA_Cyclase_Class_II', NULL, NULL, 'RNA_Cyclase_Class_II', 6767),
(6768, 'cd09928', NULL, 'SH2_Cterm_SPT6_like', NULL, NULL, 'SH2_Cterm_SPT6_like', 6768),
(6769, 'cd16440', NULL, 'beta_Kdo_transferase_KpsC_1', NULL, NULL, 'beta_Kdo_transferase_KpsC_1', 6769),
(6770, 'cd07765', NULL, 'KRAB_A-box', NULL, NULL, 'KRAB_A-box', 6770),
(6771, 'cd10529', NULL, 'SET_SETD5-like', NULL, NULL, 'SET_SETD5-like', 6771);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(6772, 'cd15614', NULL, 'PHD_HAC_like', NULL, NULL, 'PHD_HAC_like', 6772),
(6773, 'cd04270', NULL, 'ZnMc_TACE_like', NULL, NULL, 'ZnMc_TACE_like', 6773),
(6774, 'cd18161', NULL, 'REC_hyHK_blue-like', NULL, NULL, 'REC_hyHK_blue-like', 6774),
(6775, 'cd08724', NULL, 'RGS_GRK-like', NULL, NULL, 'RGS_GRK-like', 6775),
(6776, 'cd17549', NULL, 'REC_DctD-like', NULL, NULL, 'REC_DctD-like', 6776),
(6777, 'cd12499', NULL, 'RRM_EcCsdA_like', NULL, NULL, 'RRM_EcCsdA_like', 6777),
(6778, 'cd17720', NULL, 'BRCT_Bard1_rpt2', NULL, NULL, 'BRCT_Bard1_rpt2', 6778),
(6779, 'cd08980', NULL, 'GH43_LbAraf43-like', NULL, NULL, 'GH43_LbAraf43-like', 6779),
(6780, 'cd17988', NULL, 'DEXHc_TDRD9', NULL, NULL, 'DEXHc_TDRD9', 6780),
(6781, 'cd19195', NULL, 'PR-SET_PRDM11', NULL, NULL, 'PR-SET_PRDM11', 6781),
(6782, 'cd15380', NULL, '7tmA_BK-1', NULL, NULL, '7tmA_BK-1', 6782),
(6783, 'cd17208', NULL, 'FERM_F1_DdMyo7_like', NULL, NULL, 'FERM_F1_DdMyo7_like', 6783),
(6784, 'cd18830', NULL, 'GH43_CjArb43A-like', NULL, NULL, 'GH43_CjArb43A-like', 6784),
(6785, 'cd06822', NULL, 'PLPDE_III_YBL036c_euk', NULL, NULL, 'PLPDE_III_YBL036c_euk', 6785),
(6786, 'cd15786', NULL, 'CPF_1278_like', NULL, NULL, 'CPF_1278_like', 6786),
(6787, 'cd08462', NULL, 'PBP2_NodD', NULL, NULL, 'PBP2_NodD', 6787),
(6788, 'cd19136', NULL, 'AKR_DrGR-like', NULL, NULL, 'AKR_DrGR-like', 6788),
(6789, 'cd04160', NULL, 'Arfrp1', NULL, NULL, 'Arfrp1', 6789),
(6790, 'cd14867', NULL, 'uS7_Eukaryote', NULL, NULL, 'uS7_Eukaryote', 6790),
(6791, 'cd18255', NULL, 'BTB_POZ_KLHL26', NULL, NULL, 'BTB_POZ_KLHL26', 6791),
(6792, 'cd10425', NULL, 'Ephrin-A_Ectodomain', NULL, NULL, 'Ephrin-A_Ectodomain', 6792),
(6793, 'cd08781', NULL, 'Death_UNC5-like', NULL, NULL, 'Death_UNC5-like', 6793),
(6794, 'cd01779', NULL, 'RA_Myosin-IX', NULL, NULL, 'RA_Myosin-IX', 6794),
(6795, 'cd01850', NULL, 'CDC_Septin', NULL, NULL, 'CDC_Septin', 6795),
(6796, 'cd14156', NULL, 'PKc_LIMK_like_unk', NULL, NULL, 'PKc_LIMK_like_unk', 6796),
(6797, 'cd00452', NULL, 'KDPG_aldolase', NULL, NULL, 'KDPG_aldolase', 6797),
(6798, 'cd01894', NULL, 'EngA1', NULL, NULL, 'EngA1', 6798),
(6799, 'cd15326', NULL, '7tmA_alpha1B_AR', NULL, NULL, '7tmA_alpha1B_AR', 6799),
(6800, 'cd14183', NULL, 'STKc_DCKL1', NULL, NULL, 'STKc_DCKL1', 6800),
(6801, 'cd00132', NULL, 'CRIB', NULL, NULL, 'CRIB', 6801),
(6802, 'cd01304', NULL, 'FMDH_A', NULL, NULL, 'FMDH_A', 6802),
(6803, 'cd10324', NULL, 'SLC6sbd', NULL, NULL, 'SLC6sbd', 6803),
(6804, 'cd03741', NULL, 'SOCS_SOCS7', NULL, NULL, 'SOCS_SOCS7', 6804),
(6805, 'cd05355', NULL, 'SDR_c1', NULL, NULL, 'SDR_c1', 6805),
(6806, 'cd12625', NULL, 'RRM1_IGF2BP1', NULL, NULL, 'RRM1_IGF2BP1', 6806),
(6807, 'cd04640', NULL, 'CBS_pair_proteobact', NULL, NULL, 'CBS_pair_proteobact', 6807),
(6808, 'cd12293', NULL, 'RRM_Rrp7p', NULL, NULL, 'RRM_Rrp7p', 6808),
(6809, 'cd18236', NULL, 'BTB_POZ_KLHL6', NULL, NULL, 'BTB_POZ_KLHL6', 6809),
(6810, 'cd09027', NULL, 'PET', NULL, NULL, 'PET', 6810),
(6811, 'cd17929', NULL, 'DEXHc_priA', NULL, NULL, 'DEXHc_priA', 6811),
(6812, 'cd13723', NULL, 'PBP2_iGluR_Kainate_GluR7', NULL, NULL, 'PBP2_iGluR_Kainate_GluR7', 6812),
(6813, 'cd07628', NULL, 'BAR_Atg24p', NULL, NULL, 'BAR_Atg24p', 6813),
(6814, 'cd12563', NULL, 'RRM2_RBM6', NULL, NULL, 'RRM2_RBM6', 6814),
(6815, 'cd18280', NULL, 'BTB_POZ_BPM_plant', NULL, NULL, 'BTB_POZ_BPM_plant', 6815),
(6816, 'cd01484', NULL, 'E1-2_like', NULL, NULL, 'E1-2_like', 6816),
(6817, 'cd19066', NULL, 'C_NRPS-like', NULL, NULL, 'C_NRPS-like', 6817),
(6818, 'cd19143', NULL, 'AKR_AKR6C1_2', NULL, NULL, 'AKR_AKR6C1_2', 6818),
(6819, 'cd08372', NULL, 'EEP', NULL, NULL, 'EEP', 6819),
(6820, 'cd00244', NULL, 'AlgLyase', NULL, NULL, 'AlgLyase', 6820),
(6821, 'cd07267', NULL, 'THT_Oxygenase_N', NULL, NULL, 'THT_Oxygenase_N', 6821),
(6822, 'cd10485', NULL, 'EphR_LBD_A7', NULL, NULL, 'EphR_LBD_A7', 6822),
(6823, 'cd11291', NULL, 'gelsolin_S6_like', NULL, NULL, 'gelsolin_S6_like', 6823),
(6824, 'cd18307', NULL, 'BTB_POZ_calicin', NULL, NULL, 'BTB_POZ_calicin', 6824),
(6825, 'cd11810', NULL, 'SH3_RUSC1_like', NULL, NULL, 'SH3_RUSC1_like', 6825);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(6826, 'cd12187', NULL, 'LDH_like_1', NULL, NULL, 'LDH_like_1', 6826),
(6827, 'cd15347', NULL, '7tmA_S1PR2_Edg5', NULL, NULL, '7tmA_S1PR2_Edg5', 6827),
(6828, 'cd03028', NULL, 'GRX_PICOT_like', NULL, NULL, 'GRX_PICOT_like', 6828),
(6829, 'cd08731', NULL, 'RGS_RGS22_1', NULL, NULL, 'RGS_RGS22_1', 6829),
(6830, 'cd12046', NULL, 'SH3_p67phox_C', NULL, NULL, 'SH3_p67phox_C', 6830),
(6831, 'cd03449', NULL, 'R_hydratase', NULL, NULL, 'R_hydratase', 6831),
(6832, 'cd00463', NULL, 'Ribosomal_L31e', NULL, NULL, 'Ribosomal_L31e', 6832),
(6833, 'cd04174', NULL, 'Rnd1_Rho6', NULL, NULL, 'Rnd1_Rho6', 6833),
(6834, 'cd06836', NULL, 'PLPDE_III_ODC_DapDC_like_1', NULL, NULL, 'PLPDE_III_ODC_DapDC_like_1', 6834),
(6835, 'cd15602', NULL, 'PHD1_KDM5A', NULL, NULL, 'PHD1_KDM5A', 6835),
(6836, 'cd14212', NULL, 'PKc_YAK1', NULL, NULL, 'PKc_YAK1', 6836),
(6837, 'cd19886', NULL, 'DSRM_STAU2_rpt4', NULL, NULL, 'DSRM_STAU2_rpt4', 6837),
(6838, 'cd04920', NULL, 'ACT_AKiii-DAPDC_2', NULL, NULL, 'ACT_AKiii-DAPDC_2', 6838),
(6839, 'cd03694', NULL, 'GTPBP_II', NULL, NULL, 'GTPBP_II', 6839),
(6840, 'cd10283', NULL, 'MnuA_DNase1-like', NULL, NULL, 'MnuA_DNase1-like', 6840),
(6841, 'cd19837', NULL, 'Bbox1_MID2_C-I', NULL, NULL, 'Bbox1_MID2_C-I', 6841),
(6842, 'cd01982', NULL, 'Chlide_reductase_Z', NULL, NULL, 'Chlide_reductase_Z', 6842),
(6843, 'cd15295', NULL, '7tmA_Histamine_H4R', NULL, NULL, '7tmA_Histamine_H4R', 6843),
(6844, 'cd19596', NULL, 'serpin_fungal', NULL, NULL, 'serpin_fungal', 6844),
(6845, 'cd00085', NULL, 'HNHc', NULL, NULL, 'HNHc', 6845),
(6846, 'cd07910', NULL, 'MiaE', NULL, NULL, 'MiaE', 6846),
(6847, 'cd04781', NULL, 'HTH_MerR-like_sg6', NULL, NULL, 'HTH_MerR-like_sg6', 6847),
(6848, 'cd17633', NULL, 'AFD_YhfT-like', NULL, NULL, 'AFD_YhfT-like', 6848),
(6849, 'cd10812', NULL, 'GH38N_AMII_ScAms1_like', NULL, NULL, 'GH38N_AMII_ScAms1_like', 6849),
(6850, 'cd12350', NULL, 'RRM3_SHARP', NULL, NULL, 'RRM3_SHARP', 6850),
(6851, 'cd18043', NULL, 'DEXXQc_SF1', NULL, NULL, 'DEXXQc_SF1', 6851),
(6852, 'cd16525', NULL, 'RING-HC_PCGF', NULL, NULL, 'RING-HC_PCGF', 6852),
(6853, 'cd16940', NULL, 'HATPase_BasS-like', NULL, NULL, 'HATPase_BasS-like', 6853),
(6854, 'cd06277', NULL, 'PBP1_LacI-like', NULL, NULL, 'PBP1_LacI-like', 6854),
(6855, 'cd17163', NULL, 'Ubl_ATG8_GABARAPL2', NULL, NULL, 'Ubl_ATG8_GABARAPL2', 6855),
(6856, 'cd15055', NULL, '7tmA_TAARs', NULL, NULL, '7tmA_TAARs', 6856),
(6857, 'cd04148', NULL, 'RGK', NULL, NULL, 'RGK', 6857),
(6858, 'cd12470', NULL, 'RRM1_MSSP1', NULL, NULL, 'RRM1_MSSP1', 6858),
(6859, 'cd15743', NULL, 'FYVE_FGD6', NULL, NULL, 'FYVE_FGD6', 6859),
(6860, 'cd06950', NULL, 'NR_LBD_Tlx_PNR_like', NULL, NULL, 'NR_LBD_Tlx_PNR_like', 6860),
(6861, 'cd15025', NULL, '7tm_TAS2R38', NULL, NULL, '7tm_TAS2R38', 6861),
(6862, 'cd02955', NULL, 'SSP411', NULL, NULL, 'SSP411', 6862),
(6863, 'cd08461', NULL, 'PBP2_DntR_like_3', NULL, NULL, 'PBP2_DntR_like_3', 6863),
(6864, 'cd04843', NULL, 'Peptidases_S8_11', NULL, NULL, 'Peptidases_S8_11', 6864),
(6865, 'cd06914', NULL, 'GT8_GNT1', NULL, NULL, 'GT8_GNT1', 6865),
(6866, 'cd07385', NULL, 'MPP_YkuE_C', NULL, NULL, 'MPP_YkuE_C', 6866),
(6867, 'cd02987', NULL, 'Phd_like_Phd', NULL, NULL, 'Phd_like_Phd', 6867),
(6868, 'cd01439', NULL, 'TCCD_inducible_PARP_like', NULL, NULL, 'TCCD_inducible_PARP_like', 6868),
(6869, 'cd00782', NULL, 'MutL_Trans', NULL, NULL, 'MutL_Trans', 6869),
(6870, 'cd02952', NULL, 'TRP14_like', NULL, NULL, 'TRP14_like', 6870),
(6871, 'cd08150', NULL, 'catalase_like', NULL, NULL, 'catalase_like', 6871),
(6872, 'cd13445', NULL, 'CDI_inhibitor_EC869_like', NULL, NULL, 'CDI_inhibitor_EC869_like', 6872),
(6873, 'cd15675', NULL, 'ePHD_JMJD2', NULL, NULL, 'ePHD_JMJD2', 6873),
(6874, 'cd10791', NULL, 'GH38N_AMII_like_1', NULL, NULL, 'GH38N_AMII_like_1', 6874),
(6875, 'cd19781', NULL, 'Bbox2_TRIM40_C-V', NULL, NULL, 'Bbox2_TRIM40_C-V', 6875),
(6876, 'cd05647', NULL, 'M20_DapE_actinobac', NULL, NULL, 'M20_DapE_actinobac', 6876),
(6877, 'cd09548', NULL, 'SAM_EPH-A7', NULL, NULL, 'SAM_EPH-A7', 6877),
(6878, 'cd10472', NULL, 'EphR_LBD_B', NULL, NULL, 'EphR_LBD_B', 6878);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(6879, 'cd11449', NULL, 'bHLH_AtAIB_like', NULL, NULL, 'bHLH_AtAIB_like', 6879),
(6880, 'cd13523', NULL, 'PBP2_polyamines', NULL, NULL, 'PBP2_polyamines', 6880),
(6881, 'cd16592', NULL, 'RING-HC_TRIM7_C-IV', NULL, NULL, 'RING-HC_TRIM7_C-IV', 6881),
(6882, 'cd21635', NULL, 'ORF7b_SARS-CoV-like', NULL, NULL, 'ORF7b_SARS-CoV-like', 6882),
(6883, 'cd14820', NULL, 'TRAX', NULL, NULL, 'TRAX', 6883),
(6884, 'cd04934', NULL, 'ACT_AK-Hom3_1', NULL, NULL, 'ACT_AK-Hom3_1', 6884),
(6885, 'cd15997', NULL, '7tmB2_GPR112', NULL, NULL, '7tmB2_GPR112', 6885),
(6886, 'cd15979', NULL, '7tmA_CCK-BR', NULL, NULL, '7tmA_CCK-BR', 6886),
(6887, 'cd00630', NULL, 'RNAP_largest_subunit_C', NULL, NULL, 'RNAP_largest_subunit_C', 6887),
(6888, 'cd04815', NULL, 'PA_M28_2', NULL, NULL, 'PA_M28_2', 6888),
(6889, 'cd05816', NULL, 'CBM20_DPE2_repeat2', NULL, NULL, 'CBM20_DPE2_repeat2', 6889),
(6890, 'cd07663', NULL, 'BAR_SNX5', NULL, NULL, 'BAR_SNX5', 6890),
(6891, 'cd08380', NULL, 'C2_PI3K_like', NULL, NULL, 'C2_PI3K_like', 6891),
(6892, 'cd12267', NULL, 'RRM_YRA1_MLO3', NULL, NULL, 'RRM_YRA1_MLO3', 6892),
(6893, 'cd14681', NULL, 'PH-STXBP6', NULL, NULL, 'PH-STXBP6', 6893),
(6894, 'cd05692', NULL, 'S1_RPS1_repeat_hs4', NULL, NULL, 'S1_RPS1_repeat_hs4', 6894),
(6895, 'cd13664', NULL, 'PBP2_PotD_PotF_like_3', NULL, NULL, 'PBP2_PotD_PotF_like_3', 6895),
(6896, 'cd19806', NULL, 'Bbox1_TRIM32_C-VII', NULL, NULL, 'Bbox1_TRIM32_C-VII', 6896),
(6897, 'cd00716', NULL, 'creatine_kinase_like', NULL, NULL, 'creatine_kinase_like', 6897),
(6898, 'cd12967', NULL, 'CBM_SusE-F_like_u1', NULL, NULL, 'CBM_SusE-F_like_u1', 6898),
(6899, 'cd18641', NULL, 'CBD_RBP1_like', NULL, NULL, 'CBD_RBP1_like', 6899),
(6900, 'cd02004', NULL, 'TPP_BZL_OCoD_HPCL', NULL, NULL, 'TPP_BZL_OCoD_HPCL', 6900),
(6901, 'cd14480', NULL, 'SPX_VTC2_like', NULL, NULL, 'SPX_VTC2_like', 6901),
(6902, 'cd16434', NULL, 'CheB-CheR_fusion', NULL, NULL, 'CheB-CheR_fusion', 6902),
(6903, 'cd07405', NULL, 'MPP_UshA_N', NULL, NULL, 'MPP_UshA_N', 6903),
(6904, 'cd12693', NULL, 'RRM2_PTBP1_like', NULL, NULL, 'RRM2_PTBP1_like', 6904),
(6905, 'cd07116', NULL, 'ALDH_ACDHII-AcoD', NULL, NULL, 'ALDH_ACDHII-AcoD', 6905),
(6906, 'cd15574', NULL, 'PHD_AF10_AF17', NULL, NULL, 'PHD_AF10_AF17', 6906),
(6907, 'cd06418', NULL, 'GH25_BacA-like', NULL, NULL, 'GH25_BacA-like', 6907),
(6908, 'cd03703', NULL, 'aeIF5B_II', NULL, NULL, 'aeIF5B_II', 6908),
(6909, 'cd12908', NULL, 'SPRYD3', NULL, NULL, 'SPRYD3', 6909),
(6910, 'cd08189', NULL, 'Fe-ADH-like', NULL, NULL, 'Fe-ADH-like', 6910),
(6911, 'cd16022', NULL, 'sulfatase_like', NULL, NULL, 'sulfatase_like', 6911),
(6912, 'cd06216', NULL, 'FNR_iron_sulfur_binding_2', NULL, NULL, 'FNR_iron_sulfur_binding_2', 6912),
(6913, 'cd05654', NULL, 'M20_ArgE_RocB', NULL, NULL, 'M20_ArgE_RocB', 6913),
(6914, 'cd07967', NULL, 'OBF_DNA_ligase_III', NULL, NULL, 'OBF_DNA_ligase_III', 6914),
(6915, 'cd06116', NULL, 'CaCS_like', NULL, NULL, 'CaCS_like', 6915),
(6916, 'cd16634', NULL, 'mRING-HC-C3HC3D_Nrdp1', NULL, NULL, 'mRING-HC-C3HC3D_Nrdp1', 6916),
(6917, 'cd05887', NULL, 'Ig1_Nectin-3_like', NULL, NULL, 'Ig1_Nectin-3_like', 6917),
(6918, 'cd00878', NULL, 'Arf_Arl', NULL, NULL, 'Arf_Arl', 6918),
(6919, 'cd21653', NULL, 'ORF4b_HKU5-CoV', NULL, NULL, 'ORF4b_HKU5-CoV', 6919),
(6920, 'cd03733', NULL, 'SOCS_WSB_SWIP', NULL, NULL, 'SOCS_WSB_SWIP', 6920),
(6921, 'cd17293', NULL, 'RMtype1_S_Ppo21ORF8840P_TRD1-CR1_like', NULL, NULL, 'RMtype1_S_Ppo21ORF8840P_TRD1-CR1_like', 6921),
(6922, 'cd06214', NULL, 'PA_degradation_oxidoreductase_like', NULL, NULL, 'PA_degradation_oxidoreductase_like', 6922),
(6923, 'cd07124', NULL, 'ALDH_PutA-P5CDH-RocA', NULL, NULL, 'ALDH_PutA-P5CDH-RocA', 6923),
(6924, 'cd16338', NULL, 'CpcT', NULL, NULL, 'CpcT', 6924),
(6925, 'cd01884', NULL, 'EF_Tu', NULL, NULL, 'EF_Tu', 6925),
(6926, 'cd14008', NULL, 'STKc_LKB1_CaMKK', NULL, NULL, 'STKc_LKB1_CaMKK', 6926),
(6927, 'cd18099', NULL, 'Trm10arch', NULL, NULL, 'Trm10arch', 6927),
(6928, 'cd16686', NULL, 'RING-H2_UBR2', NULL, NULL, 'RING-H2_UBR2', 6928),
(6929, 'cd05313', NULL, 'NAD_bind_2_Glu_DH', NULL, NULL, 'NAD_bind_2_Glu_DH', 6929);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(6930, 'cd21665', NULL, 'alphaCoV_Nsp5_Mpro', NULL, NULL, 'alphaCoV_Nsp5_Mpro', 6930),
(6931, 'cd08059', NULL, 'MPN_prok_mb', NULL, NULL, 'MPN_prok_mb', 6931),
(6932, 'cd12626', NULL, 'RRM1_IGF2BP2', NULL, NULL, 'RRM1_IGF2BP2', 6932),
(6933, 'cd04467', NULL, 'S1_aIF5A', NULL, NULL, 'S1_aIF5A', 6933),
(6934, 'cd09688', NULL, 'Cas5_I-C', NULL, NULL, 'Cas5_I-C', 6934),
(6935, 'cd16558', NULL, 'RING-HC_RNF207', NULL, NULL, 'RING-HC_RNF207', 6935),
(6936, 'cd10387', NULL, 'SH2_SOCS6', NULL, NULL, 'SH2_SOCS6', 6936),
(6937, 'cd00600', NULL, 'Sm_like', NULL, NULL, 'Sm_like', 6937),
(6938, 'cd15805', NULL, 'RIG-I_C', NULL, NULL, 'RIG-I_C', 6938),
(6939, 'cd06560', NULL, 'PriL', NULL, NULL, 'PriL', 6939),
(6940, 'cd07703', NULL, 'Ig2_Nectin-2_like', NULL, NULL, 'Ig2_Nectin-2_like', 6940),
(6941, 'cd13989', NULL, 'STKc_IKK', NULL, NULL, 'STKc_IKK', 6941),
(6942, 'cd03812', NULL, 'GT4_CapH-like', NULL, NULL, 'GT4_CapH-like', 6942),
(6943, 'cd19031', NULL, 'LGIC_ECD_nAChR_proto_alpha-like', NULL, NULL, 'LGIC_ECD_nAChR_proto_alpha-like', 6943),
(6944, 'cd06840', NULL, 'PLPDE_III_Bif_AspK_DapDC', NULL, NULL, 'PLPDE_III_Bif_AspK_DapDC', 6944),
(6945, 'cd05364', NULL, 'SDR_c11', NULL, NULL, 'SDR_c11', 6945),
(6946, 'cd08515', NULL, 'PBP2_NikA_DppA_OppA_like_10', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_10', 6946),
(6947, 'cd08844', NULL, 'ArfGap_ADAP2', NULL, NULL, 'ArfGap_ADAP2', 6947),
(6948, 'cd17017', NULL, 'ING_Yng1p', NULL, NULL, 'ING_Yng1p', 6948),
(6949, 'cd12242', NULL, 'RRM_SLIRP', NULL, NULL, 'RRM_SLIRP', 6949),
(6950, 'cd01394', NULL, 'radB', NULL, NULL, 'radB', 6950),
(6951, 'cd06181', NULL, 'BI-1-like', NULL, NULL, 'BI-1-like', 6951),
(6952, 'cd12949', NULL, 'NOPS_PSPC1', NULL, NULL, 'NOPS_PSPC1', 6952),
(6953, 'cd07584', NULL, 'nitrilase_6', NULL, NULL, 'nitrilase_6', 6953),
(6954, 'cd06620', NULL, 'PKc_Byr1_like', NULL, NULL, 'PKc_Byr1_like', 6954),
(6955, 'cd06998', NULL, 'cupin_D-LI-like', NULL, NULL, 'cupin_D-LI-like', 6955),
(6956, 'cd00355', NULL, 'Ribosomal_L30_like', NULL, NULL, 'Ribosomal_L30_like', 6956),
(6957, 'cd17738', NULL, 'BRCT_TopBP1_rpt7', NULL, NULL, 'BRCT_TopBP1_rpt7', 6957),
(6958, 'cd12211', NULL, 'Bc2l-C_N', NULL, NULL, 'Bc2l-C_N', 6958),
(6959, 'cd17479', NULL, 'MFS_MFSD6L', NULL, NULL, 'MFS_MFSD6L', 6959),
(6960, 'cd03226', NULL, 'ABC_cobalt_CbiO_domain2', NULL, NULL, 'ABC_cobalt_CbiO_domain2', 6960),
(6961, 'cd12701', NULL, 'RRM4_PTBP1', NULL, NULL, 'RRM4_PTBP1', 6961),
(6962, 'cd17932', NULL, 'DEXQc_UvrD', NULL, NULL, 'DEXQc_UvrD', 6962),
(6963, 'cd14644', NULL, 'DSP_DUSP9', NULL, NULL, 'DSP_DUSP9', 6963),
(6964, 'cd00267', NULL, 'ABC_ATPase', NULL, NULL, 'ABC_ATPase', 6964),
(6965, 'cd16777', NULL, 'mRING-HC-C4C4_RBR_RNF144A', NULL, NULL, 'mRING-HC-C4C4_RBR_RNF144A', 6965),
(6966, 'cd19400', NULL, 'TGF_beta_BMP9', NULL, NULL, 'TGF_beta_BMP9', 6966),
(6967, 'cd19975', NULL, 'PBP1_CcpA-like', NULL, NULL, 'PBP1_CcpA-like', 6967),
(6968, 'cd02224', NULL, 'cupin_SPO2919-like', NULL, NULL, 'cupin_SPO2919-like', 6968),
(6969, 'cd16848', NULL, 'STAT4_DBD', NULL, NULL, 'STAT4_DBD', 6969),
(6970, 'cd13741', NULL, 'SPRY_PRY_TRIM41', NULL, NULL, 'SPRY_PRY_TRIM41', 6970),
(6971, 'cd04377', NULL, 'RhoGAP_myosin_IX', NULL, NULL, 'RhoGAP_myosin_IX', 6971),
(6972, 'cd19610', NULL, 'mannanase_GH134', NULL, NULL, 'mannanase_GH134', 6972),
(6973, 'cd04458', NULL, 'CSP_CDS', NULL, NULL, 'CSP_CDS', 6973),
(6974, 'cd15014', NULL, '7tm_TAS2R40', NULL, NULL, '7tm_TAS2R40', 6974),
(6975, 'cd16395', NULL, 'Srx', NULL, NULL, 'Srx', 6975),
(6976, 'cd19096', NULL, 'AKR_Fe-S_oxidoreductase', NULL, NULL, 'AKR_Fe-S_oxidoreductase', 6976),
(6977, 'cd15392', NULL, '7tmA_PR4-like', NULL, NULL, '7tmA_PR4-like', 6977),
(6978, 'cd01321', NULL, 'ADGF', NULL, NULL, 'ADGF', 6978),
(6979, 'cd02910', NULL, 'cupin_Yhhw_N', NULL, NULL, 'cupin_Yhhw_N', 6979),
(6980, 'cd06414', NULL, 'GH25_LytC-like', NULL, NULL, 'GH25_LytC-like', 6980),
(6981, 'cd05338', NULL, 'DHRS1_HSDL2-like_SDR_c', NULL, NULL, 'DHRS1_HSDL2-like_SDR_c', 6981),
(6982, 'cd19896', NULL, 'DSRM_RED2_rpt1', NULL, NULL, 'DSRM_RED2_rpt1', 6982),
(6983, 'cd07620', NULL, 'BAR_SH3BP1', NULL, NULL, 'BAR_SH3BP1', 6983);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(6984, 'cd01651', NULL, 'RT_G2_intron', NULL, NULL, 'RT_G2_intron', 6984),
(6985, 'cd14572', NULL, 'DUSP14', NULL, NULL, 'DUSP14', 6985),
(6986, 'cd14380', NULL, 'UBA2_Rad23', NULL, NULL, 'UBA2_Rad23', 6986),
(6987, 'cd03158', NULL, 'penumbra_like_LEL', NULL, NULL, 'penumbra_like_LEL', 6987),
(6988, 'cd07383', NULL, 'MPP_Dcr2', NULL, NULL, 'MPP_Dcr2', 6988),
(6989, 'cd17907', NULL, 'FliY_FliN-Y', NULL, NULL, 'FliY_FliN-Y', 6989),
(6990, 'cd03067', NULL, 'PDI_b_PDIR_N', NULL, NULL, 'PDI_b_PDIR_N', 6990),
(6991, 'cd16590', NULL, 'RING-HC_TRIM4_C-IV_like', NULL, NULL, 'RING-HC_TRIM4_C-IV_like', 6991),
(6992, 'cd19123', NULL, 'AKR_AKR3G1', NULL, NULL, 'AKR_AKR3G1', 6992),
(6993, 'sd00045', NULL, 'ANK', NULL, NULL, 'ANK', 6993),
(6994, 'cd13890', NULL, 'CuRO_3_CueO_FtsP', NULL, NULL, 'CuRO_3_CueO_FtsP', 6994),
(6995, 'cd17749', NULL, 'BRCT_TopBP1_rpt4', NULL, NULL, 'BRCT_TopBP1_rpt4', 6995),
(6996, 'cd13280', NULL, 'PH_SIP3', NULL, NULL, 'PH_SIP3', 6996),
(6997, 'cd06215', NULL, 'FNR_iron_sulfur_binding_1', NULL, NULL, 'FNR_iron_sulfur_binding_1', 6997),
(6998, 'cd05128', NULL, 'RasGAP_GAP1_like', NULL, NULL, 'RasGAP_GAP1_like', 6998),
(6999, 'cd11716', NULL, 'THUMP_ThiI', NULL, NULL, 'THUMP_ThiI', 6999),
(7000, 'cd14955', NULL, 'NHL_like_4', NULL, NULL, 'NHL_like_4', 7000),
(7001, 'cd00062', NULL, 'FN2', NULL, NULL, 'FN2', 7001),
(7002, 'cd08162', NULL, 'MPP_PhoA_N', NULL, NULL, 'MPP_PhoA_N', 7002),
(7003, 'cd04863', NULL, 'MtLigD_Pol_like', NULL, NULL, 'MtLigD_Pol_like', 7003),
(7004, 'cd18809', NULL, 'SF1_C_RecD', NULL, NULL, 'SF1_C_RecD', 7004),
(7005, 'cd16349', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 7005),
(7006, 'cd11726', NULL, 'ADDz_ATRX', NULL, NULL, 'ADDz_ATRX', 7006),
(7007, 'cd05827', NULL, 'Sortase_C', NULL, NULL, 'Sortase_C', 7007),
(7008, 'cd00310', NULL, 'ATP-synt_Fo_a_6', NULL, NULL, 'ATP-synt_Fo_a_6', 7008),
(7009, 'cd02650', NULL, 'nuc_hydro_CaPnhB', NULL, NULL, 'nuc_hydro_CaPnhB', 7009),
(7010, 'cd07297', NULL, 'PX_PLD2', NULL, NULL, 'PX_PLD2', 7010),
(7011, 'cd10947', NULL, 'CE4_SpPgdA_BsYjeA_like', NULL, NULL, 'CE4_SpPgdA_BsYjeA_like', 7011),
(7012, 'cd04708', NULL, 'BAH_plantDCM_II', NULL, NULL, 'BAH_plantDCM_II', 7012),
(7013, 'cd06990', NULL, 'cupin_DUF861', NULL, NULL, 'cupin_DUF861', 7013),
(7014, 'cd13181', NULL, 'RanBD_NUP2', NULL, NULL, 'RanBD_NUP2', 7014),
(7015, 'cd18703', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 7015),
(7016, 'cd17263', NULL, 'RMtype1_S_AbaB8300I-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_AbaB8300I-TRD1-CR1_like', 7016),
(7017, 'cd09088', NULL, 'Ape2-like_AP-endo', NULL, NULL, 'Ape2-like_AP-endo', 7017),
(7018, 'cd08298', NULL, 'CAD2', NULL, NULL, 'CAD2', 7018),
(7019, 'cd03740', NULL, 'SOCS_SOCS6', NULL, NULL, 'SOCS_SOCS6', 7019),
(7020, 'cd09655', NULL, 'CasRa_I-A', NULL, NULL, 'CasRa_I-A', 7020),
(7021, 'cd11755', NULL, 'GH94N_ChBP_like', NULL, NULL, 'GH94N_ChBP_like', 7021),
(7022, 'cd00653', NULL, 'RNA_pol_B_RPB2', NULL, NULL, 'RNA_pol_B_RPB2', 7022),
(7023, 'cd18196', NULL, 'BTB_POZ_ZBTB5', NULL, NULL, 'BTB_POZ_ZBTB5', 7023),
(7024, 'cd13749', NULL, 'Zn-ribbon_TFIIS', NULL, NULL, 'Zn-ribbon_TFIIS', 7024),
(7025, 'cd06870', NULL, 'PX_CISK', NULL, NULL, 'PX_CISK', 7025),
(7026, 'cd07420', NULL, 'MPP_RdgC', NULL, NULL, 'MPP_RdgC', 7026),
(7027, 'cd04786', NULL, 'HTH_MerR-like_sg7', NULL, NULL, 'HTH_MerR-like_sg7', 7027),
(7028, 'cd19188', NULL, 'PR-SET_PRDM2', NULL, NULL, 'PR-SET_PRDM2', 7028),
(7029, 'cd08220', NULL, 'STKc_Nek8', NULL, NULL, 'STKc_Nek8', 7029),
(7030, 'cd03381', NULL, 'PAP2_glucose_6_phosphatase', NULL, NULL, 'PAP2_glucose_6_phosphatase', 7030),
(7031, 'cd20002', NULL, 'PBP1_LsrB_Quorum_Sensing-like', NULL, NULL, 'PBP1_LsrB_Quorum_Sensing-like', 7031),
(7032, 'cd15060', NULL, '7tmA_tyramine_octopamine_R-like', NULL, NULL, '7tmA_tyramine_octopamine_R-like', 7032),
(7033, 'cd12945', NULL, 'NOPS_NONA_like', NULL, NULL, 'NOPS_NONA_like', 7033),
(7034, 'cd15509', NULL, 'PHD1_KMT2C_like', NULL, NULL, 'PHD1_KMT2C_like', 7034),
(7035, 'cd16651', NULL, 'SPL-RING_NSE2', NULL, NULL, 'SPL-RING_NSE2', 7035),
(7036, 'cd11506', NULL, 'SLC6sbd_GAT1', NULL, NULL, 'SLC6sbd_GAT1', 7036);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(7037, 'cd00012', NULL, 'NBD_sugar-kinase_HSP70_actin', NULL, NULL, 'NBD_sugar-kinase_HSP70_actin', 7037),
(7038, 'cd12551', NULL, 'RRM_II_PABPN1L', NULL, NULL, 'RRM_II_PABPN1L', 7038),
(7039, 'cd04722', NULL, 'TIM_phosphate_binding', NULL, NULL, 'TIM_phosphate_binding', 7039),
(7040, 'cd10373', NULL, 'SH2_STAT2', NULL, NULL, 'SH2_STAT2', 7040),
(7041, 'cd08645', NULL, 'FMT_core_GART', NULL, NULL, 'FMT_core_GART', 7041),
(7042, 'cd01572', NULL, 'QPRTase', NULL, NULL, 'QPRTase', 7042),
(7043, 'cd11482', NULL, 'SLC-NCS1sbd_NRT1-like', NULL, NULL, 'SLC-NCS1sbd_NRT1-like', 7043),
(7044, 'cd09322', NULL, 'TDT_TehA_like', NULL, NULL, 'TDT_TehA_like', 7044),
(7045, 'cd18044', NULL, 'DEXXQc_SMUBP2', NULL, NULL, 'DEXXQc_SMUBP2', 7045),
(7046, 'cd12140', NULL, 'SH3_Amphiphysin_I', NULL, NULL, 'SH3_Amphiphysin_I', 7046),
(7047, 'cd18485', NULL, 'BACK_KBTBD12', NULL, NULL, 'BACK_KBTBD12', 7047),
(7048, 'cd13336', NULL, 'FERM-like_C_SNX31', NULL, NULL, 'FERM-like_C_SNX31', 7048),
(7049, 'cd14715', NULL, 'bZIP_CEBPE', NULL, NULL, 'bZIP_CEBPE', 7049),
(7050, 'cd15733', NULL, 'FYVE_MTMR4', NULL, NULL, 'FYVE_MTMR4', 7050),
(7051, 'cd07727', NULL, 'YmaE-like_MBL-fold', NULL, NULL, 'YmaE-like_MBL-fold', 7051),
(7052, 'cd07209', NULL, 'Pat_hypo_Ecoli_Z1214_like', NULL, NULL, 'Pat_hypo_Ecoli_Z1214_like', 7052),
(7053, 'cd16088', NULL, 'IgV_PD1', NULL, NULL, 'IgV_PD1', 7053),
(7054, 'cd05117', NULL, 'STKc_CAMK', NULL, NULL, 'STKc_CAMK', 7054),
(7055, 'cd13569', NULL, 'PBP2_TAXI_TRAP_like_1', NULL, NULL, 'PBP2_TAXI_TRAP_like_1', 7055),
(7056, 'cd03056', NULL, 'GST_N_4', NULL, NULL, 'GST_N_4', 7056),
(7057, 'cd10367', NULL, 'SH2_Src_Fgr', NULL, NULL, 'SH2_Src_Fgr', 7057),
(7058, 'cd18319', NULL, 'BTB_POZ_KLHL42', NULL, NULL, 'BTB_POZ_KLHL42', 7058),
(7059, 'cd00192', NULL, 'PTKc', NULL, NULL, 'PTKc', 7059),
(7060, 'cd00435', NULL, 'ACBP', NULL, NULL, 'ACBP', 7060),
(7061, 'cd15952', NULL, '7tmA_OR52E-like', NULL, NULL, '7tmA_OR52E-like', 7061),
(7062, 'cd06613', NULL, 'STKc_MAP4K3_like', NULL, NULL, 'STKc_MAP4K3_like', 7062),
(7063, 'cd14784', NULL, 'class1_nsHb-like', NULL, NULL, 'class1_nsHb-like', 7063),
(7064, 'cd08176', NULL, 'LPO', NULL, NULL, 'LPO', 7064),
(7065, 'cd14022', NULL, 'PK_TRB2', NULL, NULL, 'PK_TRB2', 7065),
(7066, 'cd16899', NULL, 'LYZ_C_invert', NULL, NULL, 'LYZ_C_invert', 7066),
(7067, 'cd14665', NULL, 'STKc_SnRK2-3', NULL, NULL, 'STKc_SnRK2-3', 7067),
(7068, 'cd01683', NULL, 'EF2_IV_snRNP', NULL, NULL, 'EF2_IV_snRNP', 7068),
(7069, 'cd18495', NULL, 'BACK_GCL', NULL, NULL, 'BACK_GCL', 7069),
(7070, 'cd05157', NULL, 'ETNK_euk', NULL, NULL, 'ETNK_euk', 7070),
(7071, 'cd09289', NULL, 'Photosystem-II_D1', NULL, NULL, 'Photosystem-II_D1', 7071),
(7072, 'cd01869', NULL, 'Rab1_Ypt1', NULL, NULL, 'Rab1_Ypt1', 7072),
(7073, 'cd11734', NULL, 'Ssq1_like_NBD', NULL, NULL, 'Ssq1_like_NBD', 7073),
(7074, 'cd12448', NULL, 'RRM2_gar2', NULL, NULL, 'RRM2_gar2', 7074),
(7075, 'cd17323', NULL, 'MFS_Tpo1_MDR_like', NULL, NULL, 'MFS_Tpo1_MDR_like', 7075),
(7076, 'cd08512', NULL, 'PBP2_NikA_DppA_OppA_like_7', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_7', 7076),
(7077, 'cd00796', NULL, 'INT_Rci_Hp1_C', NULL, NULL, 'INT_Rci_Hp1_C', 7077),
(7078, 'cd18472', NULL, 'BACK_KLHL33', NULL, NULL, 'BACK_KLHL33', 7078),
(7079, 'cd03187', NULL, 'GST_C_Phi', NULL, NULL, 'GST_C_Phi', 7079),
(7080, 'cd09352', NULL, 'LIM1_Ajuba_like', NULL, NULL, 'LIM1_Ajuba_like', 7080),
(7081, 'cd19599', NULL, 'serpin18-like_insects', NULL, NULL, 'serpin18-like_insects', 7081),
(7082, 'cd14897', NULL, 'MYSc_Myo36', NULL, NULL, 'MYSc_Myo36', 7082),
(7083, 'cd00033', NULL, 'CCP', NULL, NULL, 'CCP', 7083),
(7084, 'cd01960', NULL, 'nsLTP1', NULL, NULL, 'nsLTP1', 7084),
(7085, 'cd09455', NULL, 'LIM1_Enigma_like_1', NULL, NULL, 'LIM1_Enigma_like_1', 7085),
(7086, 'cd15314', NULL, '7tmA_TAAR1', NULL, NULL, '7tmA_TAAR1', 7086),
(7087, 'cd07544', NULL, 'P-type_ATPase_HM', NULL, NULL, 'P-type_ATPase_HM', 7087),
(7088, 'cd00893', NULL, 'PI4Kc_III', NULL, NULL, 'PI4Kc_III', 7088),
(7089, 'cd14336', NULL, 'UBA_AID_AMPKalpha', NULL, NULL, 'UBA_AID_AMPKalpha', 7089);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(7090, 'cd18407', NULL, 'BTB_POZ_KCNA6', NULL, NULL, 'BTB_POZ_KCNA6', 7090),
(7091, 'cd18976', NULL, 'CD_POL_like', NULL, NULL, 'CD_POL_like', 7091),
(7092, 'cd04109', NULL, 'Rab28', NULL, NULL, 'Rab28', 7092),
(7093, 'cd10415', NULL, 'SH2_Grb10', NULL, NULL, 'SH2_Grb10', 7093),
(7094, 'cd13932', NULL, 'HN_RTEL1', NULL, NULL, 'HN_RTEL1', 7094),
(7095, 'cd18335', NULL, 'BTB_POZ_KLHL1', NULL, NULL, 'BTB_POZ_KLHL1', 7095),
(7096, 'cd01001', NULL, 'PBP2_HisJ_LAO_like', NULL, NULL, 'PBP2_HisJ_LAO_like', 7096),
(7097, 'cd08896', NULL, 'SRPBCC_CalC_Aha1-like_3', NULL, NULL, 'SRPBCC_CalC_Aha1-like_3', 7097),
(7098, 'cd09466', NULL, 'LIM1_Lhx3a', NULL, NULL, 'LIM1_Lhx3a', 7098),
(7099, 'cd09570', NULL, 'SAM_kazrin_repeat3', NULL, NULL, 'SAM_kazrin_repeat3', 7099),
(7100, 'cd20010', NULL, 'PBP1_AglR-like', NULL, NULL, 'PBP1_AglR-like', 7100),
(7101, 'cd00002', NULL, 'YbaK_deacylase', NULL, NULL, 'YbaK_deacylase', 7101),
(7102, 'cd18018', NULL, 'DEXHc_RecQ4-like', NULL, NULL, 'DEXHc_RecQ4-like', 7102),
(7103, 'cd19457', NULL, 'lipocalin_2-like', NULL, NULL, 'lipocalin_2-like', 7103),
(7104, 'cd04318', NULL, 'EcAsnRS_like_N', NULL, NULL, 'EcAsnRS_like_N', 7104),
(7105, 'cd16937', NULL, 'HATPase_SMCHD1-like', NULL, NULL, 'HATPase_SMCHD1-like', 7105),
(7106, 'cd17436', NULL, 'MFS_GLUT10_Class3', NULL, NULL, 'MFS_GLUT10_Class3', 7106),
(7107, 'cd08892', NULL, 'SRPBCC_Aha1', NULL, NULL, 'SRPBCC_Aha1', 7107),
(7108, 'cd03516', NULL, 'Link_domain_CD44_like', NULL, NULL, 'Link_domain_CD44_like', 7108),
(7109, 'cd18998', NULL, 'LGIC_ECD_GABAAR_A', NULL, NULL, 'LGIC_ECD_GABAAR_A', 7109),
(7110, 'cd12545', NULL, 'RRM_IN35', NULL, NULL, 'RRM_IN35', 7110),
(7111, 'cd05868', NULL, 'Ig4_NrCAM', NULL, NULL, 'Ig4_NrCAM', 7111),
(7112, 'cd14549', NULL, 'R5-PTPc-1', NULL, NULL, 'R5-PTPc-1', 7112),
(7113, 'cd01008', NULL, 'PBP2_NrtA_SsuA_CpmA_like', NULL, NULL, 'PBP2_NrtA_SsuA_CpmA_like', 7113),
(7114, 'cd00808', NULL, 'GluRS_core', NULL, NULL, 'GluRS_core', 7114),
(7115, 'cd14137', NULL, 'STKc_GSK3', NULL, NULL, 'STKc_GSK3', 7115),
(7116, 'cd09815', NULL, 'TP_methylase', NULL, NULL, 'TP_methylase', 7116),
(7117, 'cd03548', NULL, 'Rieske_RO_Alpha_OMO_CARDO', NULL, NULL, 'Rieske_RO_Alpha_OMO_CARDO', 7117),
(7118, 'cd07661', NULL, 'BAR_ICA69', NULL, NULL, 'BAR_ICA69', 7118),
(7119, 'cd13736', NULL, 'SPRY_PRY_TRIM25', NULL, NULL, 'SPRY_PRY_TRIM25', 7119),
(7120, 'cd12911', NULL, 'HK_sensor', NULL, NULL, 'HK_sensor', 7120),
(7121, 'cd13522', NULL, 'PBP2_ABC_oligosaccharides', NULL, NULL, 'PBP2_ABC_oligosaccharides', 7121),
(7122, 'cd00754', NULL, 'Ubl_MoaD', NULL, NULL, 'Ubl_MoaD', 7122),
(7123, 'cd03873', NULL, 'Zinc_peptidase_like', NULL, NULL, 'Zinc_peptidase_like', 7123),
(7124, 'cd09384', NULL, 'LIM1_LMO2', NULL, NULL, 'LIM1_LMO2', 7124),
(7125, 'cd16336', NULL, 'MukE', NULL, NULL, 'MukE', 7125),
(7126, 'cd00240', NULL, 'TFIIFa', NULL, NULL, 'TFIIFa', 7126),
(7127, 'cd21591', NULL, 'SARS-CoV-like_RdRp', NULL, NULL, 'SARS-CoV-like_RdRp', 7127),
(7128, 'cd15889', NULL, 'SNARE_SNAP25N_23N', NULL, NULL, 'SNARE_SNAP25N_23N', 7128),
(7129, 'cd17524', NULL, 'RMtype1_S_EcoUTORF5051P-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_EcoUTORF5051P-TRD2-CR2_like', 7129),
(7130, 'cd08855', NULL, 'ArfGap_AGAP3', NULL, NULL, 'ArfGap_AGAP3', 7130),
(7131, 'cd03252', NULL, 'ABCC_Hemolysin', NULL, NULL, 'ABCC_Hemolysin', 7131),
(7132, 'cd03761', NULL, 'proteasome_beta_type_5', NULL, NULL, 'proteasome_beta_type_5', 7132),
(7133, 'cd16865', NULL, 'ARID_ARID1A-like', NULL, NULL, 'ARID_ARID1A-like', 7133),
(7134, 'cd14604', NULL, 'PTPc-N12', NULL, NULL, 'PTPc-N12', 7134),
(7135, 'cd09711', NULL, 'Csc1_I-D', NULL, NULL, 'Csc1_I-D', 7135),
(7136, 'cd17618', NULL, 'REC_OmpR_PhoB', NULL, NULL, 'REC_OmpR_PhoB', 7136),
(7137, 'cd05284', NULL, 'arabinose_DH_like', NULL, NULL, 'arabinose_DH_like', 7137),
(7138, 'cd07611', NULL, 'BAR_Amphiphysin_I_II', NULL, NULL, 'BAR_Amphiphysin_I_II', 7138),
(7139, 'cd03514', NULL, 'CrtR_beta-carotene-hydroxylase', NULL, NULL, 'CrtR_beta-carotene-hydroxylase', 7139),
(7140, 'cd06935', NULL, 'NR_LBD_TR', NULL, NULL, 'NR_LBD_TR', 7140);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(7141, 'cd19682', NULL, 'bHLHzip_MGA_like', NULL, NULL, 'bHLHzip_MGA_like', 7141),
(7142, 'cd16676', NULL, 'RING-H2_RNF122', NULL, NULL, 'RING-H2_RNF122', 7142),
(7143, 'cd15629', NULL, 'PHD_BAZ2A', NULL, NULL, 'PHD_BAZ2A', 7143),
(7144, 'cd18592', NULL, 'ABC_6TM_MRP5_8_9_D1', NULL, NULL, 'ABC_6TM_MRP5_8_9_D1', 7144),
(7145, 'cd18981', NULL, 'CSD_HP1e_insect', NULL, NULL, 'CSD_HP1e_insect', 7145),
(7146, 'cd01341', NULL, 'ADP_ribosyl', NULL, NULL, 'ADP_ribosyl', 7146),
(7147, 'cd19798', NULL, 'Bbox2_BRAT-like', NULL, NULL, 'Bbox2_BRAT-like', 7147),
(7148, 'cd03059', NULL, 'GST_N_SspA', NULL, NULL, 'GST_N_SspA', 7148),
(7149, 'cd04252', NULL, 'AAK_NAGK-fArgBP', NULL, NULL, 'AAK_NAGK-fArgBP', 7149),
(7150, 'cd04977', NULL, 'Ig1_NCAM-1_like', NULL, NULL, 'Ig1_NCAM-1_like', 7150),
(7151, 'cd18426', NULL, 'BTB_POZ_KCNS1', NULL, NULL, 'BTB_POZ_KCNS1', 7151),
(7152, 'cd15413', NULL, '7tmA_OR8K-like', NULL, NULL, '7tmA_OR8K-like', 7152),
(7153, 'cd17258', NULL, 'RMtype1_S_Sau13435ORF2165P-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_Sau13435ORF2165P-TRD1-CR1_like', 7153),
(7154, 'cd08484', NULL, 'PBP2_LTTR_beta_lactamase', NULL, NULL, 'PBP2_LTTR_beta_lactamase', 7154),
(7155, 'cd08675', NULL, 'C2B_RasGAP', NULL, NULL, 'C2B_RasGAP', 7155),
(7156, 'cd15761', NULL, 'FYVE1_Vac1p_like', NULL, NULL, 'FYVE1_Vac1p_like', 7156),
(7157, 'cd16117', NULL, 'UBX_UBXN4', NULL, NULL, 'UBX_UBXN4', 7157),
(7158, 'cd03739', NULL, 'SOCS_SOCS5', NULL, NULL, 'SOCS_SOCS5', 7158),
(7159, 'cd03863', NULL, 'M14_CPD_II', NULL, NULL, 'M14_CPD_II', 7159),
(7160, 'cd01619', NULL, 'LDH_like', NULL, NULL, 'LDH_like', 7160),
(7161, 'cd09346', NULL, 'LIM3_FHL', NULL, NULL, 'LIM3_FHL', 7161),
(7162, 'cd19999', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 7162),
(7163, 'cd04323', NULL, 'AsnRS_cyto_like_N', NULL, NULL, 'AsnRS_cyto_like_N', 7163),
(7164, 'cd04041', NULL, 'C2A_fungal', NULL, NULL, 'C2A_fungal', 7164),
(7165, 'cd18431', NULL, 'BRCT_DNA_ligase_III', NULL, NULL, 'BRCT_DNA_ligase_III', 7165),
(7166, 'cd16389', NULL, 'FIN', NULL, NULL, 'FIN', 7166),
(7167, 'cd04472', NULL, 'S1_PNPase', NULL, NULL, 'S1_PNPase', 7167),
(7168, 'cd00493', NULL, 'FabA_FabZ', NULL, NULL, 'FabA_FabZ', 7168),
(7169, 'cd02166', NULL, 'NMNAT_Archaea', NULL, NULL, 'NMNAT_Archaea', 7169),
(7170, 'cd16639', NULL, 'RING-HC_TRAF2', NULL, NULL, 'RING-HC_TRAF2', 7170),
(7171, 'cd17914', NULL, 'DExxQc_SF1-N', NULL, NULL, 'DExxQc_SF1-N', 7171),
(7172, 'cd07369', NULL, 'PydA_Rs_like', NULL, NULL, 'PydA_Rs_like', 7172),
(7173, 'cd07462', NULL, 'CRD_FZ10', NULL, NULL, 'CRD_FZ10', 7173),
(7174, 'cd19909', NULL, 'DSRM_STRBP_rpt1', NULL, NULL, 'DSRM_STRBP_rpt1', 7174),
(7175, 'cd18893', NULL, 'TET-like', NULL, NULL, 'TET-like', 7175),
(7176, 'cd17211', NULL, 'RA_RGL2', NULL, NULL, 'RA_RGL2', 7176),
(7177, 'cd11461', NULL, 'bHLH-O_HES5', NULL, NULL, 'bHLH-O_HES5', 7177),
(7178, 'cd15221', NULL, '7tmA_OR52B-like', NULL, NULL, '7tmA_OR52B-like', 7178),
(7179, 'cd18504', NULL, 'BACK_ARIA_like', NULL, NULL, 'BACK_ARIA_like', 7179),
(7180, 'cd15449', NULL, '7tmC_mGluR1', NULL, NULL, '7tmC_mGluR1', 7180),
(7181, 'cd10368', NULL, 'SH2_Src_Fyn', NULL, NULL, 'SH2_Src_Fyn', 7181),
(7182, 'cd03684', NULL, 'ClC_3_like', NULL, NULL, 'ClC_3_like', 7182),
(7183, 'cd07210', NULL, 'Pat_hypo_W_succinogenes_WS1459_like', NULL, NULL, 'Pat_hypo_W_succinogenes_WS1459_like', 7183),
(7184, 'cd18011', NULL, 'DEXDc_RapA', NULL, NULL, 'DEXDc_RapA', 7184),
(7185, 'cd12398', NULL, 'RRM_CSTF2_RNA15_like', NULL, NULL, 'RRM_CSTF2_RNA15_like', 7185),
(7186, 'cd19902', NULL, 'DSRM_DRADA', NULL, NULL, 'DSRM_DRADA', 7186),
(7187, 'cd11898', NULL, 'SH3_SNX9', NULL, NULL, 'SH3_SNX9', 7187),
(7188, 'cd19788', NULL, 'Bbox2_MuRF', NULL, NULL, 'Bbox2_MuRF', 7188),
(7189, 'cd16918', NULL, 'HATPase_Glnl-NtrB-like', NULL, NULL, 'HATPase_Glnl-NtrB-like', 7189),
(7190, 'cd13173', NULL, 'RanBD3_RanBP2_insect-like', NULL, NULL, 'RanBD3_RanBP2_insect-like', 7190),
(7191, 'cd17336', NULL, 'MFS_SLCO_OATP', NULL, NULL, 'MFS_SLCO_OATP', 7191),
(7192, 'cd00066', NULL, 'G-alpha', NULL, NULL, 'G-alpha', 7192);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(7193, 'cd11991', NULL, 'SH3_Intersectin1_3', NULL, NULL, 'SH3_Intersectin1_3', 7193),
(7194, 'cd17979', NULL, 'DEXHc_DHX34', NULL, NULL, 'DEXHc_DHX34', 7194),
(7195, 'cd12203', NULL, 'GT1', NULL, NULL, 'GT1', 7195),
(7196, 'cd02771', NULL, 'MopB_NDH-1_NuoG2-N7', NULL, NULL, 'MopB_NDH-1_NuoG2-N7', 7196),
(7197, 'cd04117', NULL, 'Rab15', NULL, NULL, 'Rab15', 7197),
(7198, 'cd16976', NULL, 'HATPase_HupT_MifS-like', NULL, NULL, 'HATPase_HupT_MifS-like', 7198),
(7199, 'cd02143', NULL, 'nitroreductase_FeS-like', NULL, NULL, 'nitroreductase_FeS-like', 7199),
(7200, 'cd08255', NULL, '2-desacetyl-2-hydroxyethyl_bacteriochlorophyll...', NULL, NULL, '2-desacetyl-2-hydroxyethyl_bacteriochlorophyllide_like', 7200),
(7201, 'cd03590', NULL, 'CLECT_DC-SIGN_like', NULL, NULL, 'CLECT_DC-SIGN_like', 7201),
(7202, 'cd09821', NULL, 'An_peroxidase_bacterial_2', NULL, NULL, 'An_peroxidase_bacterial_2', 7202),
(7203, 'cd03796', NULL, 'GT4_PIG-A-like', NULL, NULL, 'GT4_PIG-A-like', 7203),
(7204, 'cd09358', NULL, 'LIM_Mical_like', NULL, NULL, 'LIM_Mical_like', 7204),
(7205, 'cd17204', NULL, 'FERM_F1_EPB41L4B', NULL, NULL, 'FERM_F1_EPB41L4B', 7205),
(7206, 'cd10150', NULL, 'CobN_like', NULL, NULL, 'CobN_like', 7206),
(7207, 'cd18939', NULL, 'bHLH_TS_Msgn1', NULL, NULL, 'bHLH_TS_Msgn1', 7207),
(7208, 'cd08691', NULL, 'C2_NEDL1-like', NULL, NULL, 'C2_NEDL1-like', 7208),
(7209, 'cd17706', NULL, 'MCM', NULL, NULL, 'MCM', 7209),
(7210, 'cd16729', NULL, 'RING-HC_RGLG_plant', NULL, NULL, 'RING-HC_RGLG_plant', 7210),
(7211, 'cd02891', NULL, 'A2M_like', NULL, NULL, 'A2M_like', 7211),
(7212, 'cd07560', NULL, 'Peptidase_S41_CPP', NULL, NULL, 'Peptidase_S41_CPP', 7212),
(7213, 'cd06920', NULL, 'NEAT', NULL, NULL, 'NEAT', 7213),
(7214, 'cd00405', NULL, 'PRAI', NULL, NULL, 'PRAI', 7214),
(7215, 'cd17968', NULL, 'DEAHc_DDX11_starthere', NULL, NULL, 'DEAHc_DDX11_starthere', 7215),
(7216, 'cd07817', NULL, 'SRPBCC_8', NULL, NULL, 'SRPBCC_8', 7216),
(7217, 'cd15612', NULL, 'PHD_OBE1_like', NULL, NULL, 'PHD_OBE1_like', 7217),
(7218, 'cd17158', NULL, 'DCX3_DCDC5', NULL, NULL, 'DCX3_DCDC5', 7218),
(7219, 'cd18768', NULL, 'PIN_MtVapC4-C5-like', NULL, NULL, 'PIN_MtVapC4-C5-like', 7219),
(7220, 'cd02235', NULL, 'cupin_BLL4011-like', NULL, NULL, 'cupin_BLL4011-like', 7220),
(7221, 'cd17366', NULL, 'MFS_ProP', NULL, NULL, 'MFS_ProP', 7221),
(7222, 'cd07711', NULL, 'MBLAC1-like_MBL-fold', NULL, NULL, 'MBLAC1-like_MBL-fold', 7222),
(7223, 'cd00442', NULL, 'Lyz-like', NULL, NULL, 'Lyz-like', 7223),
(7224, 'cd12913', NULL, 'PDC1_MCP_like', NULL, NULL, 'PDC1_MCP_like', 7224),
(7225, 'cd15517', NULL, 'PHD_TCF19_like', NULL, NULL, 'PHD_TCF19_like', 7225),
(7226, 'cd15020', NULL, '7tm_TAS2R3', NULL, NULL, '7tm_TAS2R3', 7226),
(7227, 'cd02027', NULL, 'APSK', NULL, NULL, 'APSK', 7227),
(7228, 'cd07506', NULL, 'HAD_like', NULL, NULL, 'HAD_like', 7228),
(7229, 'cd02761', NULL, 'MopB_FmdB-FwdB', NULL, NULL, 'MopB_FmdB-FwdB', 7229),
(7230, 'cd06868', NULL, 'PX_HS1BP3', NULL, NULL, 'PX_HS1BP3', 7230),
(7231, 'cd05106', NULL, 'PTKc_CSF-1R', NULL, NULL, 'PTKc_CSF-1R', 7231),
(7232, 'cd11398', NULL, 'bHLHzip_scCBP1', NULL, NULL, 'bHLHzip_scCBP1', 7232),
(7233, 'cd20314', NULL, 'DSRM_EIF2AK2', NULL, NULL, 'DSRM_EIF2AK2', 7233),
(7234, 'cd15245', NULL, '7tmF_FZD2', NULL, NULL, '7tmF_FZD2', 7234),
(7235, 'cd18645', NULL, 'CD_Cbx4', NULL, NULL, 'CD_Cbx4', 7235),
(7236, 'cd01387', NULL, 'MYSc_Myo15', NULL, NULL, 'MYSc_Myo15', 7236),
(7237, 'cd05328', NULL, '3alpha_HSD_SDR_c', NULL, NULL, '3alpha_HSD_SDR_c', 7237),
(7238, 'cd13192', NULL, 'FERM_C_FRMD3_FRMD5', NULL, NULL, 'FERM_C_FRMD3_FRMD5', 7238),
(7239, 'cd03330', NULL, 'Macro_Ttha0132-like', NULL, NULL, 'Macro_Ttha0132-like', 7239),
(7240, 'cd17160', NULL, 'UBX_UBXN2A', NULL, NULL, 'UBX_UBXN2A', 7240),
(7241, 'cd13309', NULL, 'PH_SKIP', NULL, NULL, 'PH_SKIP', 7241),
(7242, 'cd13147', NULL, 'MATE_MJ0709_like', NULL, NULL, 'MATE_MJ0709_like', 7242),
(7243, 'cd06619', NULL, 'PKc_MKK5', NULL, NULL, 'PKc_MKK5', 7243),
(7244, 'cd14455', NULL, 'CuRO_6_FV_like', NULL, NULL, 'CuRO_6_FV_like', 7244),
(7245, 'cd14308', NULL, 'UBA_Mud1_like', NULL, NULL, 'UBA_Mud1_like', 7245);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(7246, 'cd11897', NULL, 'SH3_SNX18', NULL, NULL, 'SH3_SNX18', 7246),
(7247, 'cd00587', NULL, 'HCP_like', NULL, NULL, 'HCP_like', 7247),
(7248, 'cd04779', NULL, 'HTH_MerR-like_sg4', NULL, NULL, 'HTH_MerR-like_sg4', 7248),
(7249, 'cd16780', NULL, 'mRING-HC-C3HC3D_LNX2', NULL, NULL, 'mRING-HC-C3HC3D_LNX2', 7249),
(7250, 'cd09557', NULL, 'SAM_Smaug', NULL, NULL, 'SAM_Smaug', 7250),
(7251, 'cd13684', NULL, 'PBP2_TRAP_Dctp5_like', NULL, NULL, 'PBP2_TRAP_Dctp5_like', 7251),
(7252, 'cd16894', NULL, 'MltD-like', NULL, NULL, 'MltD-like', 7252),
(7253, 'cd15191', NULL, '7tmA_AT2R', NULL, NULL, '7tmA_AT2R', 7253),
(7254, 'cd11627', NULL, 'HR1_Ste20-like', NULL, NULL, 'HR1_Ste20-like', 7254),
(7255, 'cd15891', NULL, 'SNARE_Vti1a', NULL, NULL, 'SNARE_Vti1a', 7255),
(7256, 'cd14227', NULL, 'STKc_HIPK2', NULL, NULL, 'STKc_HIPK2', 7256),
(7257, 'cd19193', NULL, 'PR-SET_PRDM7_9', NULL, NULL, 'PR-SET_PRDM7_9', 7257),
(7258, 'cd13349', NULL, 'PH-GRAM1_TBC1D8', NULL, NULL, 'PH-GRAM1_TBC1D8', 7258),
(7259, 'cd14083', NULL, 'STKc_CaMKI', NULL, NULL, 'STKc_CaMKI', 7259),
(7260, 'cd20309', NULL, 'cupin_EcSI', NULL, NULL, 'cupin_EcSI', 7260),
(7261, 'cd01002', NULL, 'PBP2_Ehub_like', NULL, NULL, 'PBP2_Ehub_like', 7261),
(7262, 'cd10910', NULL, 'PIN_limkain_b1_N_like', NULL, NULL, 'PIN_limkain_b1_N_like', 7262),
(7263, 'cd14450', NULL, 'CuRO_3_FV_like', NULL, NULL, 'CuRO_3_FV_like', 7263),
(7264, 'cd00171', NULL, 'Sec7', NULL, NULL, 'Sec7', 7264),
(7265, 'cd05703', NULL, 'S1_Rrp5_repeat_hs12_sc9', NULL, NULL, 'S1_Rrp5_repeat_hs12_sc9', 7265),
(7266, 'cd05470', NULL, 'pepsin_retropepsin_like', NULL, NULL, 'pepsin_retropepsin_like', 7266),
(7267, 'cd01431', NULL, 'P-type_ATPases', NULL, NULL, 'P-type_ATPases', 7267),
(7268, 'cd00211', NULL, 'PTS_IIA_fru', NULL, NULL, 'PTS_IIA_fru', 7268),
(7269, 'cd10348', NULL, 'SH2_Cterm_shark_like', NULL, NULL, 'SH2_Cterm_shark_like', 7269),
(7270, 'cd16452', NULL, 'SP-RING_like', NULL, NULL, 'SP-RING_like', 7270),
(7271, 'cd19087', NULL, 'AKR_AKR12A1_B1_C1', NULL, NULL, 'AKR_AKR12A1_B1_C1', 7271),
(7272, 'cd14663', NULL, 'STKc_SnRK3', NULL, NULL, 'STKc_SnRK3', 7272),
(7273, 'cd06435', NULL, 'CESA_NdvC_like', NULL, NULL, 'CESA_NdvC_like', 7273),
(7274, 'cd07575', NULL, 'Xc-1258_like', NULL, NULL, 'Xc-1258_like', 7274),
(7275, 'cd03285', NULL, 'ABC_MSH2_euk', NULL, NULL, 'ABC_MSH2_euk', 7275),
(7276, 'cd09748', NULL, 'Cmr3_III-B', NULL, NULL, 'Cmr3_III-B', 7276),
(7277, 'cd19206', NULL, 'SET_KMT2A', NULL, NULL, 'SET_KMT2A', 7277),
(7278, 'cd08342', NULL, 'HPPD_N_like', NULL, NULL, 'HPPD_N_like', 7278),
(7279, 'cd10813', NULL, 'GH38N_AMII_Man2C1', NULL, NULL, 'GH38N_AMII_Man2C1', 7279),
(7280, 'cd15124', NULL, '7tmA_GRPR', NULL, NULL, '7tmA_GRPR', 7280),
(7281, 'cd12035', NULL, 'SH3_MPP1-like', NULL, NULL, 'SH3_MPP1-like', 7281),
(7282, 'cd03531', NULL, 'Rieske_RO_Alpha_KSH', NULL, NULL, 'Rieske_RO_Alpha_KSH', 7282),
(7283, 'cd16982', NULL, 'CID_Pcf11', NULL, NULL, 'CID_Pcf11', 7283),
(7284, 'cd01366', NULL, 'KISc_C_terminal', NULL, NULL, 'KISc_C_terminal', 7284),
(7285, 'cd12326', NULL, 'RRM1_hnRNPA0', NULL, NULL, 'RRM1_hnRNPA0', 7285),
(7286, 'cd06417', NULL, 'GH25_LysA-like', NULL, NULL, 'GH25_LysA-like', 7286),
(7287, 'cd12149', NULL, 'Flavi_E_C', NULL, NULL, 'Flavi_E_C', 7287),
(7288, 'cd00926', NULL, 'Cyt_c_Oxidase_VIb', NULL, NULL, 'Cyt_c_Oxidase_VIb', 7288),
(7289, 'cd09246', NULL, 'BRO1_Alix_like_1', NULL, NULL, 'BRO1_Alix_like_1', 7289),
(7290, 'cd01780', NULL, 'RA2_PLC-epsilon', NULL, NULL, 'RA2_PLC-epsilon', 7290),
(7291, 'cd19865', NULL, 'DSRM_STRBP_RED-like_rpt1', NULL, NULL, 'DSRM_STRBP_RED-like_rpt1', 7291),
(7292, 'cd03033', NULL, 'ArsC_15kD', NULL, NULL, 'ArsC_15kD', 7292),
(7293, 'cd14487', NULL, 'AlgX_C', NULL, NULL, 'AlgX_C', 7293),
(7294, 'cd13339', NULL, 'PH-GRAM_MTMR13', NULL, NULL, 'PH-GRAM_MTMR13', 7294),
(7295, 'cd16601', NULL, 'RING-HC_TRIM39_C-IV', NULL, NULL, 'RING-HC_TRIM39_C-IV', 7295),
(7296, 'cd09810', NULL, 'LPOR_like_SDR_c_like', NULL, NULL, 'LPOR_like_SDR_c_like', 7296),
(7297, 'cd08299', NULL, 'alcohol_DH_class_I_II_IV', NULL, NULL, 'alcohol_DH_class_I_II_IV', 7297);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(7298, 'cd08197', NULL, 'DOIS', NULL, NULL, 'DOIS', 7298),
(7299, 'cd10405', NULL, 'SH2_Vav1', NULL, NULL, 'SH2_Vav1', 7299),
(7300, 'cd15836', NULL, 'TNFRSF11A_teleost', NULL, NULL, 'TNFRSF11A_teleost', 7300),
(7301, 'cd15919', NULL, '7tmA_GPR139', NULL, NULL, '7tmA_GPR139', 7301),
(7302, 'cd19548', NULL, 'serpinA_A1AT-like', NULL, NULL, 'serpinA_A1AT-like', 7302),
(7303, 'cd06358', NULL, 'PBP1_NHase', NULL, NULL, 'PBP1_NHase', 7303),
(7304, 'cd13916', NULL, 'CuRO_HCO_II_like_1', NULL, NULL, 'CuRO_HCO_II_like_1', 7304),
(7305, 'cd06999', NULL, 'cupin_HpaA-like_N', NULL, NULL, 'cupin_HpaA-like_N', 7305),
(7306, 'cd00150', NULL, 'PlantTI', NULL, NULL, 'PlantTI', 7306),
(7307, 'cd18103', NULL, 'SpoU-like_RlmB', NULL, NULL, 'SpoU-like_RlmB', 7307),
(7308, 'cd06328', NULL, 'PBP1_SBP-like', NULL, NULL, 'PBP1_SBP-like', 7308),
(7309, 'cd05009', NULL, 'SIS_GlmS_GlmD_2', NULL, NULL, 'SIS_GlmS_GlmD_2', 7309),
(7310, 'cd03267', NULL, 'ABC_NatA_like', NULL, NULL, 'ABC_NatA_like', 7310),
(7311, 'cd14507', NULL, 'PTP-MTM-like', NULL, NULL, 'PTP-MTM-like', 7311),
(7312, 'cd09537', NULL, 'SAM_CP2-like', NULL, NULL, 'SAM_CP2-like', 7312),
(7313, 'cd12011', NULL, 'SH3_SLAP2', NULL, NULL, 'SH3_SLAP2', 7313),
(7314, 'cd14237', NULL, 'GAT_TM1L1', NULL, NULL, 'GAT_TM1L1', 7314),
(7315, 'cd07395', NULL, 'MPP_CSTP1', NULL, NULL, 'MPP_CSTP1', 7315),
(7316, 'cd10032', NULL, 'UDG-F6_HDG', NULL, NULL, 'UDG-F6_HDG', 7316),
(7317, 'cd06652', NULL, 'STKc_MEKK2', NULL, NULL, 'STKc_MEKK2', 7317),
(7318, 'cd13843', NULL, 'Azurin_like', NULL, NULL, 'Azurin_like', 7318),
(7319, 'cd15981', NULL, '7tmA_NPFFR1', NULL, NULL, '7tmA_NPFFR1', 7319),
(7320, 'cd12415', NULL, 'RRM3_RBM28_like', NULL, NULL, 'RRM3_RBM28_like', 7320),
(7321, 'cd11856', NULL, 'SH3_p47phox_like', NULL, NULL, 'SH3_p47phox_like', 7321),
(7322, 'cd15877', NULL, 'SNARE_TSNARE1', NULL, NULL, 'SNARE_TSNARE1', 7322),
(7323, 'cd04141', NULL, 'Rit_Rin_Ric', NULL, NULL, 'Rit_Rin_Ric', 7323),
(7324, 'cd19919', NULL, 'REC_NtrC', NULL, NULL, 'REC_NtrC', 7324),
(7325, 'cd07556', NULL, 'Nucleotidyl_cyc_III', NULL, NULL, 'Nucleotidyl_cyc_III', 7325),
(7326, 'cd16152', NULL, 'sulfatase_like', NULL, NULL, 'sulfatase_like', 7326),
(7327, 'cd07814', NULL, 'SRPBCC_CalC_Aha1-like', NULL, NULL, 'SRPBCC_CalC_Aha1-like', 7327),
(7328, 'cd03677', NULL, 'MM_CoA_mutase_beta', NULL, NULL, 'MM_CoA_mutase_beta', 7328),
(7329, 'cd04685', NULL, 'Nudix_Hydrolase_26', NULL, NULL, 'Nudix_Hydrolase_26', 7329),
(7330, 'cd04907', NULL, 'ACT_ThrD-I_2', NULL, NULL, 'ACT_ThrD-I_2', 7330),
(7331, 'cd15050', NULL, '7tmA_Histamine_H1R', NULL, NULL, '7tmA_Histamine_H1R', 7331),
(7332, 'cd05639', NULL, 'M18', NULL, NULL, 'M18', 7332),
(7333, 'cd15594', NULL, 'PHD2_KMT2C', NULL, NULL, 'PHD2_KMT2C', 7333),
(7334, 'cd12757', NULL, 'RRM1_hnRNPAB', NULL, NULL, 'RRM1_hnRNPAB', 7334),
(7335, 'cd19210', NULL, 'SET_NSD1', NULL, NULL, 'SET_NSD1', 7335),
(7336, 'cd00429', NULL, 'RPE', NULL, NULL, 'RPE', 7336),
(7337, 'cd04179', NULL, 'DPM_DPG-synthase_like', NULL, NULL, 'DPM_DPG-synthase_like', 7337),
(7338, 'cd05631', NULL, 'STKc_GRK4', NULL, NULL, 'STKc_GRK4', 7338),
(7339, 'cd04586', NULL, 'CBS_pair_BON_assoc', NULL, NULL, 'CBS_pair_BON_assoc', 7339),
(7340, 'cd14458', NULL, 'DP_DD', NULL, NULL, 'DP_DD', 7340),
(7341, 'cd11256', NULL, 'Sema_4A', NULL, NULL, 'Sema_4A', 7341),
(7342, 'cd15257', NULL, '7tmB2_GPR128', NULL, NULL, '7tmB2_GPR128', 7342),
(7343, 'cd03600', NULL, 'CLECT_thrombomodulin_like', NULL, NULL, 'CLECT_thrombomodulin_like', 7343),
(7344, 'cd08494', NULL, 'PBP2_NikA_DppA_OppA_like_6', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_6', 7344),
(7345, 'cd12751', NULL, 'RRM5_RBM12', NULL, NULL, 'RRM5_RBM12', 7345),
(7346, 'cd06292', NULL, 'PBP1_AglR_RafR-like', NULL, NULL, 'PBP1_AglR_RafR-like', 7346),
(7347, 'cd14206', NULL, 'PTKc_Aatyk3', NULL, NULL, 'PTKc_Aatyk3', 7347),
(7348, 'cd14591', NULL, 'PTP-MTM1', NULL, NULL, 'PTP-MTM1', 7348),
(7349, 'cd12303', NULL, 'RRM_spSet1p_like', NULL, NULL, 'RRM_spSet1p_like', 7349),
(7350, 'cd06192', NULL, 'DHOD_e_trans_like', NULL, NULL, 'DHOD_e_trans_like', 7350);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(7351, 'cd08955', NULL, 'KR_2_FAS_SDR_x', NULL, NULL, 'KR_2_FAS_SDR_x', 7351),
(7352, 'cd15840', NULL, 'SNARE_Qa', NULL, NULL, 'SNARE_Qa', 7352),
(7353, 'cd18362', NULL, 'BTB_POZ_KCTD2-like', NULL, NULL, 'BTB_POZ_KCTD2-like', 7353),
(7354, 'cd06547', NULL, 'GH85_ENGase', NULL, NULL, 'GH85_ENGase', 7354),
(7355, 'cd10281', NULL, 'Nape_like_AP-endo', NULL, NULL, 'Nape_like_AP-endo', 7355),
(7356, 'cd14093', NULL, 'STKc_PhKG', NULL, NULL, 'STKc_PhKG', 7356),
(7357, 'cd07138', NULL, 'ALDH_CddD_SSP0762', NULL, NULL, 'ALDH_CddD_SSP0762', 7357),
(7358, 'cd15730', NULL, 'FYVE_EEA1', NULL, NULL, 'FYVE_EEA1', 7358),
(7359, 'cd16178', NULL, 'EFh_HEF_SCGN', NULL, NULL, 'EFh_HEF_SCGN', 7359),
(7360, 'cd16344', NULL, 'LMWPAP', NULL, NULL, 'LMWPAP', 7360),
(7361, 'cd08641', NULL, 'DNA_pol_gammaA', NULL, NULL, 'DNA_pol_gammaA', 7361),
(7362, 'cd10433', NULL, 'YccA_like', NULL, NULL, 'YccA_like', 7362),
(7363, 'cd18062', NULL, 'DEXHc_SMARCA4', NULL, NULL, 'DEXHc_SMARCA4', 7363),
(7364, 'cd05237', NULL, 'UDP_invert_4-6DH_SDR_e', NULL, NULL, 'UDP_invert_4-6DH_SDR_e', 7364),
(7365, 'cd19854', NULL, 'DSRM_DHX9_rpt1', NULL, NULL, 'DSRM_DHX9_rpt1', 7365),
(7366, 'cd02778', NULL, 'MopB_CT_Thiosulfate-R-like', NULL, NULL, 'MopB_CT_Thiosulfate-R-like', 7366),
(7367, 'cd03017', NULL, 'PRX_BCP', NULL, NULL, 'PRX_BCP', 7367),
(7368, 'cd11737', NULL, 'HSPA4_NBD', NULL, NULL, 'HSPA4_NBD', 7368),
(7369, 'cd11748', NULL, 'GH94N_NdvB_like', NULL, NULL, 'GH94N_NdvB_like', 7369),
(7370, 'cd17038', NULL, 'Flavi_M', NULL, NULL, 'Flavi_M', 7370),
(7371, 'cd18617', NULL, 'GH43_XynB-like', NULL, NULL, 'GH43_XynB-like', 7371),
(7372, 'cd01255', NULL, 'PH2_Tiam1_2', NULL, NULL, 'PH2_Tiam1_2', 7372),
(7373, 'cd01896', NULL, 'DRG', NULL, NULL, 'DRG', 7373),
(7374, 'cd15656', NULL, 'PHD4_NSD1', NULL, NULL, 'PHD4_NSD1', 7374),
(7375, 'cd15103', NULL, '7tmA_MCR', NULL, NULL, '7tmA_MCR', 7375),
(7376, 'cd08511', NULL, 'PBP2_NikA_DppA_OppA_like_5', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_5', 7376),
(7377, 'cd09323', NULL, 'TDT_SLAC1_like', NULL, NULL, 'TDT_SLAC1_like', 7377),
(7378, 'cd15817', NULL, 'SPRY_PRY_TRIM60_75', NULL, NULL, 'SPRY_PRY_TRIM60_75', 7378),
(7379, 'cd16309', NULL, 'BJP-1-like_MBL-B3', NULL, NULL, 'BJP-1-like_MBL-B3', 7379),
(7380, 'cd16029', NULL, '4-S', NULL, NULL, '4-S', 7380),
(7381, 'cd11546', NULL, 'NTP-PPase_His4', NULL, NULL, 'NTP-PPase_His4', 7381),
(7382, 'cd12838', NULL, 'Killer_toxin_alpha', NULL, NULL, 'Killer_toxin_alpha', 7382),
(7383, 'cd09992', NULL, 'HDAC_classII', NULL, NULL, 'HDAC_classII', 7383),
(7384, 'cd18771', NULL, 'PIN_Mut7-C-like', NULL, NULL, 'PIN_Mut7-C-like', 7384),
(7385, 'cd02513', NULL, 'CMP-NeuAc_Synthase', NULL, NULL, 'CMP-NeuAc_Synthase', 7385),
(7386, 'cd11749', NULL, 'GH94N_LBP_like', NULL, NULL, 'GH94N_LBP_like', 7386),
(7387, 'cd12106', NULL, 'PARMER_03128_N', NULL, NULL, 'PARMER_03128_N', 7387),
(7388, 'cd03229', NULL, 'ABC_Class3', NULL, NULL, 'ABC_Class3', 7388),
(7389, 'cd03488', NULL, 'Topoisomer_IB_N_htopoI_like', NULL, NULL, 'Topoisomer_IB_N_htopoI_like', 7389),
(7390, 'cd16209', NULL, 'EFh_PI-PLCbeta2', NULL, NULL, 'EFh_PI-PLCbeta2', 7390),
(7391, 'cd03218', NULL, 'ABC_YhbG', NULL, NULL, 'ABC_YhbG', 7391),
(7392, 'cd13598', NULL, 'PBP2_lipoprotein_IlpA_like', NULL, NULL, 'PBP2_lipoprotein_IlpA_like', 7392),
(7393, 'cd15844', NULL, 'SNARE_syntaxin5', NULL, NULL, 'SNARE_syntaxin5', 7393),
(7394, 'cd03129', NULL, 'GAT1_Peptidase_E_like', NULL, NULL, 'GAT1_Peptidase_E_like', 7394),
(7395, 'cd12612', NULL, 'RRM2_SECp43', NULL, NULL, 'RRM2_SECp43', 7395),
(7396, 'cd01095', NULL, 'Nitrilotriacetate_monoxgenase', NULL, NULL, 'Nitrilotriacetate_monoxgenase', 7396),
(7397, 'cd19951', NULL, 'HyaA_family_Fer2_BFD-like', NULL, NULL, 'HyaA_family_Fer2_BFD-like', 7397),
(7398, 'cd03430', NULL, 'GDPMH', NULL, NULL, 'GDPMH', 7398),
(7399, 'cd13334', NULL, 'FERM_C_JAK3', NULL, NULL, 'FERM_C_JAK3', 7399),
(7400, 'cd15630', NULL, 'PHD_BAZ2B', NULL, NULL, 'PHD_BAZ2B', 7400),
(7401, 'cd15820', NULL, 'SPRY_PRY_BTN3', NULL, NULL, 'SPRY_PRY_BTN3', 7401),
(7402, 'cd07990', NULL, 'LPLAT_LCLAT1-like', NULL, NULL, 'LPLAT_LCLAT1-like', 7402);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(7403, 'cd13714', NULL, 'PBP2_iGluR_Kainate', NULL, NULL, 'PBP2_iGluR_Kainate', 7403),
(7404, 'cd00021', NULL, 'Bbox_SF', NULL, NULL, 'Bbox_SF', 7404),
(7405, 'cd03012', NULL, 'TlpA_like_DipZ_like', NULL, NULL, 'TlpA_like_DipZ_like', 7405),
(7406, 'cd14881', NULL, 'MYSc_Myo20', NULL, NULL, 'MYSc_Myo20', 7406),
(7407, 'cd18336', NULL, 'BTB_POZ_KLHL4', NULL, NULL, 'BTB_POZ_KLHL4', 7407),
(7408, 'cd13699', NULL, 'PBP2_OccT_like', NULL, NULL, 'PBP2_OccT_like', 7408),
(7409, 'cd17188', NULL, 'FERM_F1_FRMD7', NULL, NULL, 'FERM_F1_FRMD7', 7409),
(7410, 'cd15200', NULL, '7tmA_OXER1', NULL, NULL, '7tmA_OXER1', 7410),
(7411, 'cd01078', NULL, 'NAD_bind_H4MPT_DH', NULL, NULL, 'NAD_bind_H4MPT_DH', 7411),
(7412, 'cd09673', NULL, 'Cas3_Cas2_I-F', NULL, NULL, 'Cas3_Cas2_I-F', 7412),
(7413, 'cd18187', NULL, 'BTB_POZ_Kv_KCTD', NULL, NULL, 'BTB_POZ_Kv_KCTD', 7413),
(7414, 'cd11514', NULL, 'SLC6sbd_DAT1', NULL, NULL, 'SLC6sbd_DAT1', 7414),
(7415, 'cd15419', NULL, '7tmA_OR9K2-like', NULL, NULL, '7tmA_OR9K2-like', 7415),
(7416, 'cd17951', NULL, 'DEADc_DDX41', NULL, NULL, 'DEADc_DDX41', 7416),
(7417, 'cd03054', NULL, 'GST_N_Metaxin', NULL, NULL, 'GST_N_Metaxin', 7417),
(7418, 'cd14494', NULL, 'PTP_DSP_cys', NULL, NULL, 'PTP_DSP_cys', 7418),
(7419, 'cd03443', NULL, 'PaaI_thioesterase', NULL, NULL, 'PaaI_thioesterase', 7419),
(7420, 'cd13303', NULL, 'PH1-like_Rtt106', NULL, NULL, 'PH1-like_Rtt106', 7420),
(7421, 'cd09290', NULL, 'Photo-RC_L', NULL, NULL, 'Photo-RC_L', 7421),
(7422, 'cd18711', NULL, 'PIN_VapC-like_DUF411', NULL, NULL, 'PIN_VapC-like_DUF411', 7422),
(7423, 'cd02640', NULL, 'R3H_NRF', NULL, NULL, 'R3H_NRF', 7423),
(7424, 'cd04917', NULL, 'ACT_AKiii-LysC-EC_2', NULL, NULL, 'ACT_AKiii-LysC-EC_2', 7424),
(7425, 'cd10290', NULL, 'GST_C_MetRS_N_fungi', NULL, NULL, 'GST_C_MetRS_N_fungi', 7425),
(7426, 'cd09405', NULL, 'LIM1_Paxillin', NULL, NULL, 'LIM1_Paxillin', 7426),
(7427, 'cd20260', NULL, 'Myoregulin', NULL, NULL, 'Myoregulin', 7427),
(7428, 'cd07212', NULL, 'Pat_PNPLA9', NULL, NULL, 'Pat_PNPLA9', 7428),
(7429, 'cd02850', NULL, 'E_set_Cellulase_N', NULL, NULL, 'E_set_Cellulase_N', 7429),
(7430, 'cd07083', NULL, 'ALDH_P5CDH', NULL, NULL, 'ALDH_P5CDH', 7430),
(7431, 'cd16666', NULL, 'RING-H2_RNF43_like', NULL, NULL, 'RING-H2_RNF43_like', 7431),
(7432, 'cd05856', NULL, 'Ig2_FGFRL1-like', NULL, NULL, 'Ig2_FGFRL1-like', 7432),
(7433, 'cd07626', NULL, 'BAR_SNX9_like', NULL, NULL, 'BAR_SNX9_like', 7433),
(7434, 'cd11785', NULL, 'SH3_SH3RF_C', NULL, NULL, 'SH3_SH3RF_C', 7434),
(7435, 'cd08329', NULL, 'CARD_BIRC2_BIRC3', NULL, NULL, 'CARD_BIRC2_BIRC3', 7435),
(7436, 'cd04604', NULL, 'CBS_pair_SIS_assoc', NULL, NULL, 'CBS_pair_SIS_assoc', 7436),
(7437, 'cd15863', NULL, 'SNARE_GS27', NULL, NULL, 'SNARE_GS27', 7437),
(7438, 'cd09757', NULL, 'Cas8c_I-C', NULL, NULL, 'Cas8c_I-C', 7438),
(7439, 'cd14587', NULL, 'PTP-MTMR4', NULL, NULL, 'PTP-MTMR4', 7439),
(7440, 'cd01438', NULL, 'tankyrase_like', NULL, NULL, 'tankyrase_like', 7440),
(7441, 'cd01635', NULL, 'Glycosyltransferase_GTB-type', NULL, NULL, 'Glycosyltransferase_GTB-type', 7441),
(7442, 'cd07798', NULL, 'FGGY_AI-2K_like', NULL, NULL, 'FGGY_AI-2K_like', 7442),
(7443, 'cd16245', NULL, 'EFh_DAH', NULL, NULL, 'EFh_DAH', 7443),
(7444, 'cd18377', NULL, 'BTB_POZ_Kv1_KCNA', NULL, NULL, 'BTB_POZ_Kv1_KCNA', 7444),
(7445, 'cd09662', NULL, 'Csm5_III-A', NULL, NULL, 'Csm5_III-A', 7445),
(7446, 'cd01878', NULL, 'HflX', NULL, NULL, 'HflX', 7446),
(7447, 'cd15105', NULL, '7tmA_MrgprA', NULL, NULL, '7tmA_MrgprA', 7447),
(7448, 'cd01542', NULL, 'PBP1_TreR-like', NULL, NULL, 'PBP1_TreR-like', 7448),
(7449, 'cd16855', NULL, 'STAT5_CCD', NULL, NULL, 'STAT5_CCD', 7449),
(7450, 'cd12416', NULL, 'RRM4_RBM28_like', NULL, NULL, 'RRM4_RBM28_like', 7450),
(7451, 'cd17354', NULL, 'MFS_Mch1p_like', NULL, NULL, 'MFS_Mch1p_like', 7451),
(7452, 'cd01223', NULL, 'PH_Vav', NULL, NULL, 'PH_Vav', 7452),
(7453, 'cd03811', NULL, 'GT4_GT28_WabH-like', NULL, NULL, 'GT4_GT28_WabH-like', 7453),
(7454, 'cd06597', NULL, 'GH31_transferase_CtsY', NULL, NULL, 'GH31_transferase_CtsY', 7454),
(7455, 'cd11658', NULL, 'SANT_DMAP1_like', NULL, NULL, 'SANT_DMAP1_like', 7455);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(7456, 'cd03151', NULL, 'CD81_like_LEL', NULL, NULL, 'CD81_like_LEL', 7456),
(7457, 'cd13211', NULL, 'PH-GRAM_MTMR9', NULL, NULL, 'PH-GRAM_MTMR9', 7457),
(7458, 'cd17641', NULL, 'LC_FACS_bac1', NULL, NULL, 'LC_FACS_bac1', 7458),
(7459, 'cd17945', NULL, 'DEADc_DDX23', NULL, NULL, 'DEADc_DDX23', 7459),
(7460, 'cd15996', NULL, '7tmB2_GPR126', NULL, NULL, '7tmB2_GPR126', 7460),
(7461, 'cd19077', NULL, 'AKR_AKR8A1-2', NULL, NULL, 'AKR_AKR8A1-2', 7461),
(7462, 'cd18305', NULL, 'BTB_POZ_GCL', NULL, NULL, 'BTB_POZ_GCL', 7462),
(7463, 'cd05072', NULL, 'PTKc_Lyn', NULL, NULL, 'PTKc_Lyn', 7463),
(7464, 'cd07215', NULL, 'Pat17_PNPLA8_PNPLA9_like2', NULL, NULL, 'Pat17_PNPLA8_PNPLA9_like2', 7464),
(7465, 'cd04784', NULL, 'HTH_CadR-PbrR', NULL, NULL, 'HTH_CadR-PbrR', 7465),
(7466, 'cd12287', NULL, 'RRM_U2AF35_like', NULL, NULL, 'RRM_U2AF35_like', 7466),
(7467, 'cd03326', NULL, 'MR_like_1', NULL, NULL, 'MR_like_1', 7467),
(7468, 'cd13155', NULL, 'KOW_KIN17', NULL, NULL, 'KOW_KIN17', 7468),
(7469, 'cd16947', NULL, 'HATPase_YcbM-like', NULL, NULL, 'HATPase_YcbM-like', 7469),
(7470, 'cd12791', NULL, 'RasGAP_plexin_B3', NULL, NULL, 'RasGAP_plexin_B3', 7470),
(7471, 'cd00208', NULL, 'LbetaH', NULL, NULL, 'LbetaH', 7471),
(7472, 'cd01811', NULL, 'Ubl1_OASL', NULL, NULL, 'Ubl1_OASL', 7472),
(7473, 'cd14105', NULL, 'STKc_DAPK', NULL, NULL, 'STKc_DAPK', 7473),
(7474, 'cd06167', NULL, 'PIN_LabA-like', NULL, NULL, 'PIN_LabA-like', 7474),
(7475, 'cd00184', NULL, 'TNF', NULL, NULL, 'TNF', 7475),
(7476, 'cd16603', NULL, 'RING-HC_TRIM43_like_C-IV', NULL, NULL, 'RING-HC_TRIM43_like_C-IV', 7476),
(7477, 'cd01530', NULL, 'Cdc25', NULL, NULL, 'Cdc25', 7477),
(7478, 'cd00036', NULL, 'ChtBD3', NULL, NULL, 'ChtBD3', 7478),
(7479, 'cd18715', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 7479),
(7480, 'cd13728', NULL, 'PBP2_iGluR_AMPA_GluR3', NULL, NULL, 'PBP2_iGluR_AMPA_GluR3', 7480),
(7481, 'cd06542', NULL, 'GH18_EndoS-like', NULL, NULL, 'GH18_EndoS-like', 7481),
(7482, 'cd15737', NULL, 'FYVE2_Vac1p_like', NULL, NULL, 'FYVE2_Vac1p_like', 7482),
(7483, 'cd19584', NULL, 'serpinO_SPI-3_virus', NULL, NULL, 'serpinO_SPI-3_virus', 7483),
(7484, 'cd02178', NULL, 'GH16_beta_agarase', NULL, NULL, 'GH16_beta_agarase', 7484),
(7485, 'cd16640', NULL, 'RING-HC_TRAF3', NULL, NULL, 'RING-HC_TRAF3', 7485),
(7486, 'cd01614', NULL, 'EutN_CcmL', NULL, NULL, 'EutN_CcmL', 7486),
(7487, 'cd12547', NULL, 'RRM1_2_PAR10', NULL, NULL, 'RRM1_2_PAR10', 7487),
(7488, 'cd17068', NULL, 'RBD_PLEKHG5', NULL, NULL, 'RBD_PLEKHG5', 7488),
(7489, 'cd17223', NULL, 'RA_RASSF6', NULL, NULL, 'RA_RASSF6', 7489),
(7490, 'cd10369', NULL, 'SH2_Src_Frk', NULL, NULL, 'SH2_Src_Frk', 7490),
(7491, 'cd12039', NULL, 'SH3_MPP3', NULL, NULL, 'SH3_MPP3', 7491),
(7492, 'cd10153', NULL, 'RcnR-FrmR-like_DUF156', NULL, NULL, 'RcnR-FrmR-like_DUF156', 7492),
(7493, 'cd12198', NULL, 'MELK_C', NULL, NULL, 'MELK_C', 7493),
(7494, 'cd16774', NULL, 'RING-HC_RBR_ANKIB1', NULL, NULL, 'RING-HC_RBR_ANKIB1', 7494),
(7495, 'cd14940', NULL, '7tmE_cAMP_R_Slime_mold', NULL, NULL, '7tmE_cAMP_R_Slime_mold', 7495),
(7496, 'cd16004', NULL, '7tmA_SKR_NK2R', NULL, NULL, '7tmA_SKR_NK2R', 7496),
(7497, 'cd05958', NULL, 'ABCL', NULL, NULL, 'ABCL', 7497),
(7498, 'cd13141', NULL, 'MATE_like_13', NULL, NULL, 'MATE_like_13', 7498),
(7499, 'cd18686', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 7499),
(7500, 'cd09988', NULL, 'Formimidoylglutamase', NULL, NULL, 'Formimidoylglutamase', 7500),
(7501, 'cd00945', NULL, 'Aldolase_Class_I', NULL, NULL, 'Aldolase_Class_I', 7501),
(7502, 'cd01728', NULL, 'LSm1', NULL, NULL, 'LSm1', 7502),
(7503, 'cd05810', NULL, 'CBM20_alpha_MTH', NULL, NULL, 'CBM20_alpha_MTH', 7503),
(7504, 'cd11442', NULL, 'bHLH_AtPRE_like', NULL, NULL, 'bHLH_AtPRE_like', 7504),
(7505, 'cd10402', NULL, 'SH2_C-SH2_Zap70', NULL, NULL, 'SH2_C-SH2_Zap70', 7505),
(7506, 'cd13129', NULL, 'MATE_epsE_like', NULL, NULL, 'MATE_epsE_like', 7506),
(7507, 'cd15605', NULL, 'PHD1_Lid_like', NULL, NULL, 'PHD1_Lid_like', 7507),
(7508, 'cd17535', NULL, 'REC_NarL-like', NULL, NULL, 'REC_NarL-like', 7508),
(7509, 'cd13117', NULL, 'POLO_box_2', NULL, NULL, 'POLO_box_2', 7509);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(7510, 'cd07758', NULL, 'ThTPase', NULL, NULL, 'ThTPase', 7510),
(7511, 'cd11866', NULL, 'SH3_SKAP1-like', NULL, NULL, 'SH3_SKAP1-like', 7511),
(7512, 'cd12392', NULL, 'RRM2_SART3', NULL, NULL, 'RRM2_SART3', 7512),
(7513, 'cd07720', NULL, 'OPHC2-like_MBL-fold', NULL, NULL, 'OPHC2-like_MBL-fold', 7513),
(7514, 'cd11270', NULL, 'Sema_6E', NULL, NULL, 'Sema_6E', 7514),
(7515, 'cd06314', NULL, 'PBP1_tmGBP', NULL, NULL, 'PBP1_tmGBP', 7515),
(7516, 'cd07654', NULL, 'F-BAR_FCHSD', NULL, NULL, 'F-BAR_FCHSD', 7516),
(7517, 'cd00273', NULL, 'Chemokine_CXC', NULL, NULL, 'Chemokine_CXC', 7517),
(7518, 'cd01844', NULL, 'SGNH_hydrolase_like_6', NULL, NULL, 'SGNH_hydrolase_like_6', 7518),
(7519, 'cd19088', NULL, 'AKR_AKR13B1', NULL, NULL, 'AKR_AKR13B1', 7519),
(7520, 'cd05191', NULL, 'NAD_bind_amino_acid_DH', NULL, NULL, 'NAD_bind_amino_acid_DH', 7520),
(7521, 'cd14284', NULL, 'UBA_GAWKY', NULL, NULL, 'UBA_GAWKY', 7521),
(7522, 'cd03799', NULL, 'GT4_AmsK-like', NULL, NULL, 'GT4_AmsK-like', 7522),
(7523, 'cd16279', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', 7523),
(7524, 'cd09972', NULL, 'LOTUS_TDRD_OSKAR', NULL, NULL, 'LOTUS_TDRD_OSKAR', 7524),
(7525, 'cd11504', NULL, 'SLC5sbd_SMVT', NULL, NULL, 'SLC5sbd_SMVT', 7525),
(7526, 'cd13328', NULL, 'PH1_FDG_family', NULL, NULL, 'PH1_FDG_family', 7526),
(7527, 'cd11757', NULL, 'SH3_SH3BP4', NULL, NULL, 'SH3_SH3BP4', 7527),
(7528, 'cd21160', NULL, 'NendoU_av_Nsp11-like', NULL, NULL, 'NendoU_av_Nsp11-like', 7528),
(7529, 'cd03734', NULL, 'SOCS_CIS1', NULL, NULL, 'SOCS_CIS1', 7529),
(7530, 'cd00603', NULL, 'IPT_PCSR', NULL, NULL, 'IPT_PCSR', 7530),
(7531, 'cd01919', NULL, 'PEPCK', NULL, NULL, 'PEPCK', 7531),
(7532, 'cd12226', NULL, 'RRM_NOL8', NULL, NULL, 'RRM_NOL8', 7532),
(7533, 'cd10016', NULL, 'EcoRII_N', NULL, NULL, 'EcoRII_N', 7533),
(7534, 'cd18210', NULL, 'BTB_POZ_ZBTB22_BING1', NULL, NULL, 'BTB_POZ_ZBTB22_BING1', 7534),
(7535, 'cd02247', NULL, 'cupin_pirin_C', NULL, NULL, 'cupin_pirin_C', 7535),
(7536, 'cd10320', NULL, 'RGL4_N', NULL, NULL, 'RGL4_N', 7536),
(7537, 'cd01773', NULL, 'UBX_UBXN7', NULL, NULL, 'UBX_UBXN7', 7537),
(7538, 'cd08950', NULL, 'KR_fFAS_SDR_c_like', NULL, NULL, 'KR_fFAS_SDR_c_like', 7538),
(7539, 'cd13679', NULL, 'PBP2_TRAP_YiaO_like', NULL, NULL, 'PBP2_TRAP_YiaO_like', 7539),
(7540, 'cd02843', NULL, 'PAZ_dicer_like', NULL, NULL, 'PAZ_dicer_like', 7540),
(7541, 'cd03866', NULL, 'M14_CPM', NULL, NULL, 'M14_CPM', 7541),
(7542, 'cd08294', NULL, 'leukotriene_B4_DH_like', NULL, NULL, 'leukotriene_B4_DH_like', 7542),
(7543, 'cd00119', NULL, 'LYZ', NULL, NULL, 'LYZ', 7543),
(7544, 'cd03385', NULL, 'PAP2_BcrC_like', NULL, NULL, 'PAP2_BcrC_like', 7544),
(7545, 'cd02066', NULL, 'GRX_family', NULL, NULL, 'GRX_family', 7545),
(7546, 'cd12546', NULL, 'RRM_RBM43', NULL, NULL, 'RRM_RBM43', 7546),
(7547, 'cd18534', NULL, 'DSP_plant_IBR5-like', NULL, NULL, 'DSP_plant_IBR5-like', 7547),
(7548, 'cd13953', NULL, '7tm_classC_mGluR-like', NULL, NULL, '7tm_classC_mGluR-like', 7548),
(7549, 'cd00202', NULL, 'ZnF_GATA', NULL, NULL, 'ZnF_GATA', 7549),
(7550, 'cd09029', NULL, 'ArfGap_ArfGap2', NULL, NULL, 'ArfGap_ArfGap2', 7550),
(7551, 'cd16255', NULL, 'EFh_parvalbumin_beta', NULL, NULL, 'EFh_parvalbumin_beta', 7551),
(7552, 'cd16386', NULL, 'TcpC_N', NULL, NULL, 'TcpC_N', 7552),
(7553, 'cd15183', NULL, '7tmA_CCR1', NULL, NULL, '7tmA_CCR1', 7553),
(7554, 'cd00795', NULL, 'NOS_oxygenase_euk', NULL, NULL, 'NOS_oxygenase_euk', 7554),
(7555, 'cd01457', NULL, 'vWA_ORF176_type', NULL, NULL, 'vWA_ORF176_type', 7555),
(7556, 'cd16203', NULL, 'EFh_PI-PLCepsilon', NULL, NULL, 'EFh_PI-PLCepsilon', 7556),
(7557, 'cd08470', NULL, 'PBP2_CrgA_like_1', NULL, NULL, 'PBP2_CrgA_like_1', 7557),
(7558, 'cd05573', NULL, 'STKc_ROCK_NDR_like', NULL, NULL, 'STKc_ROCK_NDR_like', 7558),
(7559, 'cd18677', NULL, 'PIN_MjVapC2-VapC6_like', NULL, NULL, 'PIN_MjVapC2-VapC6_like', 7559),
(7560, 'cd00465', NULL, 'URO-D_CIMS_like', NULL, NULL, 'URO-D_CIMS_like', 7560),
(7561, 'cd11809', NULL, 'SH3_srGAP', NULL, NULL, 'SH3_srGAP', 7561),
(7562, 'cd11409', NULL, 'bHLH-O_DEC', NULL, NULL, 'bHLH-O_DEC', 7562);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(7563, 'cd15669', NULL, 'ePHD_PHF7_G2E3_like', NULL, NULL, 'ePHD_PHF7_G2E3_like', 7563),
(7564, 'cd10412', NULL, 'SH2_SH2B3', NULL, NULL, 'SH2_SH2B3', 7564),
(7565, 'cd17660', NULL, 'PTP_paladin_2', NULL, NULL, 'PTP_paladin_2', 7565),
(7566, 'cd06130', NULL, 'DNA_pol_III_epsilon_like', NULL, NULL, 'DNA_pol_III_epsilon_like', 7566),
(7567, 'cd05722', NULL, 'Ig1_Neogenin', NULL, NULL, 'Ig1_Neogenin', 7567),
(7568, 'cd17999', NULL, 'DEXHc_Mot1', NULL, NULL, 'DEXHc_Mot1', 7568),
(7569, 'cd18079', NULL, 'S-AdoMet_synt', NULL, NULL, 'S-AdoMet_synt', 7569),
(7570, 'cd09626', NULL, 'DOMON_glucodextranase_like', NULL, NULL, 'DOMON_glucodextranase_like', 7570),
(7571, 'cd00283', NULL, 'GIY-YIG_Cterm', NULL, NULL, 'GIY-YIG_Cterm', 7571),
(7572, 'cd16535', NULL, 'RING-HC_RNF8', NULL, NULL, 'RING-HC_RNF8', 7572),
(7573, 'cd11556', NULL, 'SLC6sbd_SERT-like_u1', NULL, NULL, 'SLC6sbd_SERT-like_u1', 7573),
(7574, 'cd09218', NULL, 'TLP-PA', NULL, NULL, 'TLP-PA', 7574),
(7575, 'cd16779', NULL, 'mRING-HC-C3HC3D_LNX1', NULL, NULL, 'mRING-HC-C3HC3D_LNX1', 7575),
(7576, 'cd14980', NULL, '7tmA_Glycoprotein_LRR_R-like', NULL, NULL, '7tmA_Glycoprotein_LRR_R-like', 7576),
(7577, 'cd11795', NULL, 'SH3_DNMBP_N2', NULL, NULL, 'SH3_DNMBP_N2', 7577),
(7578, 'cd14439', NULL, 'AlgX_N_like', NULL, NULL, 'AlgX_N_like', 7578),
(7579, 'cd08793', NULL, 'Death_IRAK4', NULL, NULL, 'Death_IRAK4', 7579),
(7580, 'cd19950', NULL, 'Fer2_BFD-like', NULL, NULL, 'Fer2_BFD-like', 7580),
(7581, 'cd00168', NULL, 'CAP', NULL, NULL, 'CAP', 7581),
(7582, 'cd01991', NULL, 'Asn_Synthase_B_C', NULL, NULL, 'Asn_Synthase_B_C', 7582),
(7583, 'cd06931', NULL, 'NR_LBD_HNF4_like', NULL, NULL, 'NR_LBD_HNF4_like', 7583),
(7584, 'cd11908', NULL, 'SH3_ITK', NULL, NULL, 'SH3_ITK', 7584),
(7585, 'cd19132', NULL, 'AKR_AKR5D1_E1', NULL, NULL, 'AKR_AKR5D1_E1', 7585),
(7586, 'cd14720', NULL, 'bZIP_NFE2-like', NULL, NULL, 'bZIP_NFE2-like', 7586),
(7587, 'cd04337', NULL, 'Rieske_RO_Alpha_Cao', NULL, NULL, 'Rieske_RO_Alpha_Cao', 7587),
(7588, 'cd17717', NULL, 'BRCT_DNA_ligase_IV_rpt2', NULL, NULL, 'BRCT_DNA_ligase_IV_rpt2', 7588),
(7589, 'cd14393', NULL, 'UBA_c-Cbl', NULL, NULL, 'UBA_c-Cbl', 7589),
(7590, 'cd19747', NULL, 'bHLH_TS_ASCL5', NULL, NULL, 'bHLH_TS_ASCL5', 7590),
(7591, 'cd08363', NULL, 'FosB', NULL, NULL, 'FosB', 7591),
(7592, 'cd01673', NULL, 'dNK', NULL, NULL, 'dNK', 7592),
(7593, 'cd02863', NULL, 'Ubiquinol_oxidase_III', NULL, NULL, 'Ubiquinol_oxidase_III', 7593),
(7594, 'cd21663', NULL, 'ORF7a_SARS-CoV-like', NULL, NULL, 'ORF7a_SARS-CoV-like', 7594),
(7595, 'cd08362', NULL, 'BphC5-RrK37_N_like', NULL, NULL, 'BphC5-RrK37_N_like', 7595),
(7596, 'cd01558', NULL, 'D-AAT_like', NULL, NULL, 'D-AAT_like', 7596),
(7597, 'cd17513', NULL, 'RMtype1_S_AveSPN6ORF1907P_TRD2-CR2_like', NULL, NULL, 'RMtype1_S_AveSPN6ORF1907P_TRD2-CR2_like', 7597),
(7598, 'cd07887', NULL, 'RHD-n_Dorsal_Dif', NULL, NULL, 'RHD-n_Dorsal_Dif', 7598),
(7599, 'cd00891', NULL, 'PI3Kc', NULL, NULL, 'PI3Kc', 7599),
(7600, 'cd01238', NULL, 'PH_Btk', NULL, NULL, 'PH_Btk', 7600),
(7601, 'cd04166', NULL, 'CysN_ATPS', NULL, NULL, 'CysN_ATPS', 7601),
(7602, 'cd00242', NULL, 'Ecotin', NULL, NULL, 'Ecotin', 7602),
(7603, 'cd05802', NULL, 'GlmM', NULL, NULL, 'GlmM', 7603),
(7604, 'cd14397', NULL, 'UBA_LATS1', NULL, NULL, 'UBA_LATS1', 7604),
(7605, 'cd11388', NULL, 'bHLH_ScINO2_like', NULL, NULL, 'bHLH_ScINO2_like', 7605),
(7606, 'cd03692', NULL, 'mtIF2_IVc', NULL, NULL, 'mtIF2_IVc', 7606),
(7607, 'cd16280', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', 7607),
(7608, 'cd14088', NULL, 'STKc_CaMK_like', NULL, NULL, 'STKc_CaMK_like', 7608),
(7609, 'cd12654', NULL, 'RRM3_HuB', NULL, NULL, 'RRM3_HuB', 7609),
(7610, 'cd04175', NULL, 'Rap1', NULL, NULL, 'Rap1', 7610),
(7611, 'cd02697', NULL, 'M20_like', NULL, NULL, 'M20_like', 7611),
(7612, 'cd17958', NULL, 'DEADc_DDX43_DDX53', NULL, NULL, 'DEADc_DDX43_DDX53', 7612),
(7613, 'cd05714', NULL, 'Ig_CSPGs_LP', NULL, NULL, 'Ig_CSPGs_LP', 7613),
(7614, 'cd05040', NULL, 'PTKc_Ack_like', NULL, NULL, 'PTKc_Ack_like', 7614),
(7615, 'cd14018', NULL, 'STKc_PINK1', NULL, NULL, 'STKc_PINK1', 7615);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(7616, 'cd10539', NULL, 'SET_ATXR5_6-like', NULL, NULL, 'SET_ATXR5_6-like', 7616),
(7617, 'cd09768', NULL, 'Luminal_EIF2AK3', NULL, NULL, 'Luminal_EIF2AK3', 7617),
(7618, 'cd14163', NULL, 'STKc_TSSK3-like', NULL, NULL, 'STKc_TSSK3-like', 7618),
(7619, 'cd05485', NULL, 'Cathepsin_D_like', NULL, NULL, 'Cathepsin_D_like', 7619),
(7620, 'cd09259', NULL, 'AP-1_Mu1B_Cterm', NULL, NULL, 'AP-1_Mu1B_Cterm', 7620),
(7621, 'cd09155', NULL, 'PLDc_PaCLS_like_1', NULL, NULL, 'PLDc_PaCLS_like_1', 7621),
(7622, 'cd16610', NULL, 'RING-HC_TRIM68_C-IV', NULL, NULL, 'RING-HC_TRIM68_C-IV', 7622),
(7623, 'cd13149', NULL, 'MATE_like_2', NULL, NULL, 'MATE_like_2', 7623),
(7624, 'cd07550', NULL, 'P-type_ATPase_HM', NULL, NULL, 'P-type_ATPase_HM', 7624),
(7625, 'cd07109', NULL, 'ALDH_AAS00426', NULL, NULL, 'ALDH_AAS00426', 7625),
(7626, 'cd18499', NULL, 'BACK_RHOBTB', NULL, NULL, 'BACK_RHOBTB', 7626),
(7627, 'cd13262', NULL, 'PH_RasSynGAP-like', NULL, NULL, 'PH_RasSynGAP-like', 7627),
(7628, 'cd05132', NULL, 'RasGAP_GAPA', NULL, NULL, 'RasGAP_GAPA', 7628),
(7629, 'cd00565', NULL, 'Ubl_ThiS', NULL, NULL, 'Ubl_ThiS', 7629),
(7630, 'cd15641', NULL, 'PHD_PHF2', NULL, NULL, 'PHD_PHF2', 7630),
(7631, 'cd02853', NULL, 'E_set_MTHase_like_N', NULL, NULL, 'E_set_MTHase_like_N', 7631),
(7632, 'cd05570', NULL, 'STKc_PKC', NULL, NULL, 'STKc_PKC', 7632),
(7633, 'cd15760', NULL, 'FYVE_scVPS27p_like', NULL, NULL, 'FYVE_scVPS27p_like', 7633),
(7634, 'cd13156', NULL, 'KOW_RPL6', NULL, NULL, 'KOW_RPL6', 7634),
(7635, 'cd01937', NULL, 'ribokinase_group_D', NULL, NULL, 'ribokinase_group_D', 7635),
(7636, 'cd10960', NULL, 'CE4_NodB_like_1', NULL, NULL, 'CE4_NodB_like_1', 7636),
(7637, 'cd16875', NULL, 'ARID_KDM5C_5D', NULL, NULL, 'ARID_KDM5C_5D', 7637),
(7638, 'cd05236', NULL, 'FAR-N_SDR_e', NULL, NULL, 'FAR-N_SDR_e', 7638),
(7639, 'cd06223', NULL, 'PRTases_typeI', NULL, NULL, 'PRTases_typeI', 7639),
(7640, 'cd04951', NULL, 'GT4_WbdM_like', NULL, NULL, 'GT4_WbdM_like', 7640),
(7641, 'cd11906', NULL, 'SH3_BTK', NULL, NULL, 'SH3_BTK', 7641),
(7642, 'cd00554', NULL, 'MECDP_synthase', NULL, NULL, 'MECDP_synthase', 7642),
(7643, 'cd05113', NULL, 'PTKc_Btk_Bmx', NULL, NULL, 'PTKc_Btk_Bmx', 7643),
(7644, 'cd15260', NULL, '7tmB1_NPR_B4_insect-like', NULL, NULL, '7tmB1_NPR_B4_insect-like', 7644),
(7645, 'cd20258', NULL, 'Tal_Pri', NULL, NULL, 'Tal_Pri', 7645),
(7646, 'cd15281', NULL, '7tmC_GPRC6A', NULL, NULL, '7tmC_GPRC6A', 7646),
(7647, 'cd08790', NULL, 'DED_DEDD', NULL, NULL, 'DED_DEDD', 7647),
(7648, 'cd12648', NULL, 'RRM3_UHM_PUF60', NULL, NULL, 'RRM3_UHM_PUF60', 7648),
(7649, 'cd09664', NULL, 'Cas6_I-E', NULL, NULL, 'Cas6_I-E', 7649),
(7650, 'cd12899', NULL, 'SPRY_PRY_TRIM76_like', NULL, NULL, 'SPRY_PRY_TRIM76_like', 7650),
(7651, 'cd17964', NULL, 'DEADc_MSS116', NULL, NULL, 'DEADc_MSS116', 7651),
(7652, 'cd08317', NULL, 'Death_ank', NULL, NULL, 'Death_ank', 7652),
(7653, 'cd08851', NULL, 'ArfGap_ACAP2', NULL, NULL, 'ArfGap_ACAP2', 7653),
(7654, 'cd12227', NULL, 'RRM_SCAF4_SCAF8', NULL, NULL, 'RRM_SCAF4_SCAF8', 7654),
(7655, 'cd15479', NULL, 'fMyo4p_CBD', NULL, NULL, 'fMyo4p_CBD', 7655),
(7656, 'cd10919', NULL, 'CE4_CDA_like', NULL, NULL, 'CE4_CDA_like', 7656),
(7657, 'cd01757', NULL, 'PLAT_RAB6IP1', NULL, NULL, 'PLAT_RAB6IP1', 7657),
(7658, 'cd04391', NULL, 'RhoGAP_ARHGAP18', NULL, NULL, 'RhoGAP_ARHGAP18', 7658),
(7659, 'cd07068', NULL, 'NR_LBD_ER_like', NULL, NULL, 'NR_LBD_ER_like', 7659),
(7660, 'cd13326', NULL, 'PH_CNK_insect-like', NULL, NULL, 'PH_CNK_insect-like', 7660),
(7661, 'cd01228', NULL, 'PH_BCR-related', NULL, NULL, 'PH_BCR-related', 7661),
(7662, 'cd08528', NULL, 'STKc_Nek10', NULL, NULL, 'STKc_Nek10', 7662),
(7663, 'cd01344', NULL, 'PL2_Passenger_AT', NULL, NULL, 'PL2_Passenger_AT', 7663),
(7664, 'cd19189', NULL, 'PR-SET_PRDM4', NULL, NULL, 'PR-SET_PRDM4', 7664),
(7665, 'cd09856', NULL, 'PIN_FEN1-like', NULL, NULL, 'PIN_FEN1-like', 7665),
(7666, 'cd04197', NULL, 'eIF-2B_epsilon_N', NULL, NULL, 'eIF-2B_epsilon_N', 7666),
(7667, 'cd05621', NULL, 'STKc_ROCK2', NULL, NULL, 'STKc_ROCK2', 7667),
(7668, 'cd09849', NULL, 'M20_Acy1L2-like', NULL, NULL, 'M20_Acy1L2-like', 7668);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(7669, 'cd15684', NULL, 'PHD_ING4', NULL, NULL, 'PHD_ING4', 7669),
(7670, 'cd04047', NULL, 'C2B_Copine', NULL, NULL, 'C2B_Copine', 7670),
(7671, 'cd07617', NULL, 'BAR_Endophilin_B2', NULL, NULL, 'BAR_Endophilin_B2', 7671),
(7672, 'cd11875', NULL, 'SH3_CD2AP-like_3', NULL, NULL, 'SH3_CD2AP-like_3', 7672),
(7673, 'cd17500', NULL, 'RMtype1_S_MmaGORF2198P_TRD1-CR1_like', NULL, NULL, 'RMtype1_S_MmaGORF2198P_TRD1-CR1_like', 7673),
(7674, 'cd14515', NULL, 'DUSP3-like', NULL, NULL, 'DUSP3-like', 7674),
(7675, 'cd17874', NULL, 'FtsY', NULL, NULL, 'FtsY', 7675),
(7676, 'cd14998', NULL, '7tmA_GPR153_GPR162-like', NULL, NULL, '7tmA_GPR153_GPR162-like', 7676),
(7677, 'cd04319', NULL, 'PhAsnRS_like_N', NULL, NULL, 'PhAsnRS_like_N', 7677),
(7678, 'cd05067', NULL, 'PTKc_Lck_Blk', NULL, NULL, 'PTKc_Lck_Blk', 7678),
(7679, 'cd10299', NULL, 'GST_C_CLIC3', NULL, NULL, 'GST_C_CLIC3', 7679),
(7680, 'cd15731', NULL, 'FYVE_LST2', NULL, NULL, 'FYVE_LST2', 7680),
(7681, 'cd14660', NULL, 'E2F_DD', NULL, NULL, 'E2F_DD', 7681),
(7682, 'cd04130', NULL, 'Wrch_1', NULL, NULL, 'Wrch_1', 7682),
(7683, 'cd14689', NULL, 'bZIP_CREB3', NULL, NULL, 'bZIP_CREB3', 7683),
(7684, 'cd12482', NULL, 'RRM1_hnRNPR', NULL, NULL, 'RRM1_hnRNPR', 7684),
(7685, 'cd11321', NULL, 'AmyAc_bac_euk_BE', NULL, NULL, 'AmyAc_bac_euk_BE', 7685),
(7686, 'cd08048', NULL, 'TAF11', NULL, NULL, 'TAF11', 7686),
(7687, 'cd10023', NULL, '14-3-3_theta', NULL, NULL, '14-3-3_theta', 7687),
(7688, 'cd00265', NULL, 'MADS_MEF2_like', NULL, NULL, 'MADS_MEF2_like', 7688),
(7689, 'cd07986', NULL, 'LPLAT_ACT14924-like', NULL, NULL, 'LPLAT_ACT14924-like', 7689),
(7690, 'cd11893', NULL, 'SH3_MIA3', NULL, NULL, 'SH3_MIA3', 7690),
(7691, 'cd04976', NULL, 'Ig_VEGFR', NULL, NULL, 'Ig_VEGFR', 7691),
(7692, 'cd09211', NULL, 'Lumazine_synthase_archaeal', NULL, NULL, 'Lumazine_synthase_archaeal', 7692),
(7693, 'cd09580', NULL, 'SAM_Scm-like-4MBT', NULL, NULL, 'SAM_Scm-like-4MBT', 7693),
(7694, 'cd11611', NULL, 'SAF', NULL, NULL, 'SAF', 7694),
(7695, 'cd06415', NULL, 'GH25_Cpl1-like', NULL, NULL, 'GH25_Cpl1-like', 7695),
(7696, 'cd07311', NULL, 'terB_like_1', NULL, NULL, 'terB_like_1', 7696),
(7697, 'cd17941', NULL, 'DEADc_DDX10', NULL, NULL, 'DEADc_DDX10', 7697),
(7698, 'cd04721', NULL, 'BAH_plant_1', NULL, NULL, 'BAH_plant_1', 7698),
(7699, 'cd13973', NULL, 'PK_MviN-like', NULL, NULL, 'PK_MviN-like', 7699),
(7700, 'cd19570', NULL, 'serpinB11_epipin', NULL, NULL, 'serpinB11_epipin', 7700),
(7701, 'cd02180', NULL, 'GH16_fungal_KRE6_glucanase', NULL, NULL, 'GH16_fungal_KRE6_glucanase', 7701),
(7702, 'cd08648', NULL, 'FMT_core_Formyl-FH4-Hydrolase_C', NULL, NULL, 'FMT_core_Formyl-FH4-Hydrolase_C', 7702),
(7703, 'cd01612', NULL, 'Ubl_ATG12', NULL, NULL, 'Ubl_ATG12', 7703),
(7704, 'cd08732', NULL, 'RGS-like_4', NULL, NULL, 'RGS-like_4', 7704),
(7705, 'cd17083', NULL, 'RAWUL_PCGF3', NULL, NULL, 'RAWUL_PCGF3', 7705),
(7706, 'cd10308', NULL, 'GST_C_eEF1b_like', NULL, NULL, 'GST_C_eEF1b_like', 7706),
(7707, 'cd01211', NULL, 'PTB_Rab6GAP', NULL, NULL, 'PTB_Rab6GAP', 7707),
(7708, 'cd01819', NULL, 'Patatin_and_cPLA2', NULL, NULL, 'Patatin_and_cPLA2', 7708),
(7709, 'cd06929', NULL, 'NR_LBD_F1', NULL, NULL, 'NR_LBD_F1', 7709),
(7710, 'cd04824', NULL, 'eu_ALAD_PBGS_cysteine_rich', NULL, NULL, 'eu_ALAD_PBGS_cysteine_rich', 7710),
(7711, 'cd18310', NULL, 'BTB_POZ_NPR_plant', NULL, NULL, 'BTB_POZ_NPR_plant', 7711),
(7712, 'cd10293', NULL, 'GST_C_Ure2p', NULL, NULL, 'GST_C_Ure2p', 7712),
(7713, 'cd09374', NULL, 'LIM2_Isl', NULL, NULL, 'LIM2_Isl', 7713),
(7714, 'cd10343', NULL, 'SH2_SHIP', NULL, NULL, 'SH2_SHIP', 7714),
(7715, 'cd02395', NULL, 'SF1_like-KH', NULL, NULL, 'SF1_like-KH', 7715),
(7716, 'cd18133', NULL, 'HLD_clamp', NULL, NULL, 'HLD_clamp', 7716),
(7717, 'cd18800', NULL, 'SF2_C_EcoR124I-like', NULL, NULL, 'SF2_C_EcoR124I-like', 7717),
(7718, 'cd04962', NULL, 'GT4_BshA-like', NULL, NULL, 'GT4_BshA-like', 7718),
(7719, 'cd19029', NULL, 'LGIC_ECD_nAChR_G', NULL, NULL, 'LGIC_ECD_nAChR_G', 7719),
(7720, 'cd12609', NULL, 'RRM2_CoAA', NULL, NULL, 'RRM2_CoAA', 7720),
(7721, 'cd10844', NULL, 'DSRM_TARBP2_rpt2', NULL, NULL, 'DSRM_TARBP2_rpt2', 7721);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(7722, 'cd05048', NULL, 'PTKc_Ror', NULL, NULL, 'PTKc_Ror', 7722),
(7723, 'cd06594', NULL, 'GH31_glucosidase_YihQ', NULL, NULL, 'GH31_glucosidase_YihQ', 7723),
(7724, 'cd05899', NULL, 'IgV_TCR_beta', NULL, NULL, 'IgV_TCR_beta', 7724),
(7725, 'cd17869', NULL, 'TadZ-like', NULL, NULL, 'TadZ-like', 7725),
(7726, 'cd17922', NULL, 'DEXHc_LHR-like', NULL, NULL, 'DEXHc_LHR-like', 7726),
(7727, 'cd18424', NULL, 'BTB_POZ_KCNV1', NULL, NULL, 'BTB_POZ_KCNV1', 7727),
(7728, 'cd11548', NULL, 'NodZ_like', NULL, NULL, 'NodZ_like', 7728),
(7729, 'cd11487', NULL, 'SLC5sbd_SGLT2', NULL, NULL, 'SLC5sbd_SGLT2', 7729),
(7730, 'cd07938', NULL, 'DRE_TIM_HMGL', NULL, NULL, 'DRE_TIM_HMGL', 7730),
(7731, 'cd09601', NULL, 'M1_APN-Q_like', NULL, NULL, 'M1_APN-Q_like', 7731),
(7732, 'cd02587', NULL, 'HAD_5-3dNT', NULL, NULL, 'HAD_5-3dNT', 7732),
(7733, 'cd19889', NULL, 'DSRM_PRKRA_rpt1', NULL, NULL, 'DSRM_PRKRA_rpt1', 7733),
(7734, 'cd11854', NULL, 'SH3_Fus1p', NULL, NULL, 'SH3_Fus1p', 7734),
(7735, 'cd15246', NULL, '7tmF_FZD7', NULL, NULL, '7tmF_FZD7', 7735),
(7736, 'cd13520', NULL, 'PBP2_TAXI_TRAP', NULL, NULL, 'PBP2_TAXI_TRAP', 7736),
(7737, 'cd04790', NULL, 'HTH_Cfa-like_unk', NULL, NULL, 'HTH_Cfa-like_unk', 7737),
(7738, 'cd14036', NULL, 'STKc_GAK', NULL, NULL, 'STKc_GAK', 7738),
(7739, 'cd19091', NULL, 'AKR_PsAKR', NULL, NULL, 'AKR_PsAKR', 7739),
(7740, 'cd14622', NULL, 'R-PTPc-E-2', NULL, NULL, 'R-PTPc-E-2', 7740),
(7741, 'cd18398', NULL, 'BTB_POZ_KCTD16', NULL, NULL, 'BTB_POZ_KCTD16', 7741),
(7742, 'cd05172', NULL, 'PIKKc_DNA-PK', NULL, NULL, 'PIKKc_DNA-PK', 7742),
(7743, 'cd02117', NULL, 'NifH-like', NULL, NULL, 'NifH-like', 7743),
(7744, 'cd18160', NULL, 'REC_CpdR_CckA-like', NULL, NULL, 'REC_CpdR_CckA-like', 7744),
(7745, 'cd02133', NULL, 'PA_C5a_like', NULL, NULL, 'PA_C5a_like', 7745),
(7746, 'cd12280', NULL, 'RRM_FET', NULL, NULL, 'RRM_FET', 7746),
(7747, 'cd02585', NULL, 'HAD_PMM', NULL, NULL, 'HAD_PMM', 7747),
(7748, 'cd01915', NULL, 'CODH', NULL, NULL, 'CODH', 7748),
(7749, 'cd00954', NULL, 'NAL', NULL, NULL, 'NAL', 7749),
(7750, 'cd19847', NULL, 'Bbox1_TIF1g_C-VI', NULL, NULL, 'Bbox1_TIF1g_C-VI', 7750),
(7751, 'cd04639', NULL, 'CBS_pair_peptidase_M50', NULL, NULL, 'CBS_pair_peptidase_M50', 7751),
(7752, 'cd13851', NULL, 'CuRO_1_Fet3p', NULL, NULL, 'CuRO_1_Fet3p', 7752),
(7753, 'cd14151', NULL, 'STKc_B-Raf', NULL, NULL, 'STKc_B-Raf', 7753),
(7754, 'cd16424', NULL, 'VirB8', NULL, NULL, 'VirB8', 7754),
(7755, 'cd17880', NULL, 'D-Ala-D-Ala_dipeptidase', NULL, NULL, 'D-Ala-D-Ala_dipeptidase', 7755),
(7756, 'cd03073', NULL, 'PDI_b''_ERp72_ERp57', NULL, NULL, 'PDI_b''_ERp72_ERp57', 7756),
(7757, 'cd18606', NULL, 'ABC_6TM_YOR1_D2_like', NULL, NULL, 'ABC_6TM_YOR1_D2_like', 7757),
(7758, 'cd03397', NULL, 'PAP2_acid_phosphatase', NULL, NULL, 'PAP2_acid_phosphatase', 7758),
(7759, 'cd14698', NULL, 'bZIP_CNC', NULL, NULL, 'bZIP_CNC', 7759),
(7760, 'cd03527', NULL, 'RuBisCO_small', NULL, NULL, 'RuBisCO_small', 7760),
(7761, 'cd07085', NULL, 'ALDH_F6_MMSDH', NULL, NULL, 'ALDH_F6_MMSDH', 7761),
(7762, 'cd12223', NULL, 'RRM_SR140', NULL, NULL, 'RRM_SR140', 7762),
(7763, 'cd16507', NULL, 'RING-HC_GEFO_like', NULL, NULL, 'RING-HC_GEFO_like', 7763),
(7764, 'cd15253', NULL, '7tmB2_GPR113', NULL, NULL, '7tmB2_GPR113', 7764),
(7765, 'cd18739', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 7765),
(7766, 'cd12419', NULL, 'RRM_Ssp2_like', NULL, NULL, 'RRM_Ssp2_like', 7766),
(7767, 'cd11341', NULL, 'AmyAc_Pullulanase_LD-like', NULL, NULL, 'AmyAc_Pullulanase_LD-like', 7767),
(7768, 'cd01005', NULL, 'PBP2_CysP', NULL, NULL, 'PBP2_CysP', 7768),
(7769, 'cd09808', NULL, 'DHRS-12_like_SDR_c-like', NULL, NULL, 'DHRS-12_like_SDR_c-like', 7769),
(7770, 'cd09890', NULL, 'NGN_plant', NULL, NULL, 'NGN_plant', 7770),
(7771, 'cd17541', NULL, 'REC_CheB-like', NULL, NULL, 'REC_CheB-like', 7771),
(7772, 'cd07252', NULL, 'BphC1-RGP6_N_like', NULL, NULL, 'BphC1-RGP6_N_like', 7772),
(7773, 'cd17330', NULL, 'MFS_SLC46_TetA_like', NULL, NULL, 'MFS_SLC46_TetA_like', 7773),
(7774, 'cd19016', NULL, 'LGIC_ECD_nAChR_A3', NULL, NULL, 'LGIC_ECD_nAChR_A3', 7774);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(7775, 'cd18077', NULL, 'DEXXQc_HELZ', NULL, NULL, 'DEXXQc_HELZ', 7775),
(7776, 'cd03351', NULL, 'LbH_UDP-GlcNAc_AT', NULL, NULL, 'LbH_UDP-GlcNAc_AT', 7776),
(7777, 'cd10789', NULL, 'GH38N_AMII_ER_cytosolic', NULL, NULL, 'GH38N_AMII_ER_cytosolic', 7777),
(7778, 'cd14082', NULL, 'STKc_PKD', NULL, NULL, 'STKc_PKD', 7778),
(7779, 'cd21166', NULL, 'NTD_av_Nsp11-like', NULL, NULL, 'NTD_av_Nsp11-like', 7779),
(7780, 'cd07002', NULL, 'cupin_SznF-like_C', NULL, NULL, 'cupin_SznF-like_C', 7780),
(7781, 'cd10162', NULL, 'ClassIIa_HDAC4_Gln-rich-N', NULL, NULL, 'ClassIIa_HDAC4_Gln-rich-N', 7781),
(7782, 'cd00487', NULL, 'Pep_deformylase', NULL, NULL, 'Pep_deformylase', 7782),
(7783, 'cd01299', NULL, 'Met_dep_hydrolase_A', NULL, NULL, 'Met_dep_hydrolase_A', 7783),
(7784, 'cd14541', NULL, 'PTPc-N3_4', NULL, NULL, 'PTPc-N3_4', 7784),
(7785, 'cd14918', NULL, 'MYSc_Myh8', NULL, NULL, 'MYSc_Myh8', 7785),
(7786, 'cd15518', NULL, 'PHD_Ecm5p_Lid2p_like', NULL, NULL, 'PHD_Ecm5p_Lid2p_like', 7786),
(7787, 'cd13167', NULL, 'PTB_P-CLI1', NULL, NULL, 'PTB_P-CLI1', 7787),
(7788, 'cd17166', NULL, 'RAWUL_RING1', NULL, NULL, 'RAWUL_RING1', 7788),
(7789, 'cd18594', NULL, 'ABC_6TM_CFTR_D1', NULL, NULL, 'ABC_6TM_CFTR_D1', 7789),
(7790, 'cd07304', NULL, 'Chorismate_synthase', NULL, NULL, 'Chorismate_synthase', 7790),
(7791, 'cd01012', NULL, 'YcaC_related', NULL, NULL, 'YcaC_related', 7791),
(7792, 'cd16094', NULL, 'IgC_CH3_IgD', NULL, NULL, 'IgC_CH3_IgD', 7792),
(7793, 'cd14125', NULL, 'STKc_CK1_delta_epsilon', NULL, NULL, 'STKc_CK1_delta_epsilon', 7793),
(7794, 'cd17140', NULL, 'DCX1_DCLK1', NULL, NULL, 'DCX1_DCLK1', 7794),
(7795, 'cd14266', NULL, 'UDPK_IM_PAP2_like', NULL, NULL, 'UDPK_IM_PAP2_like', 7795),
(7796, 'cd06583', NULL, 'PGRP', NULL, NULL, 'PGRP', 7796),
(7797, 'cd10520', NULL, 'PR-SET_PRDM17', NULL, NULL, 'PR-SET_PRDM17', 7797),
(7798, 'cd07572', NULL, 'nit', NULL, NULL, 'nit', 7798),
(7799, 'cd02094', NULL, 'P-type_ATPase_Cu-like', NULL, NULL, 'P-type_ATPase_Cu-like', 7799),
(7800, 'cd02666', NULL, 'Peptidase_C19J', NULL, NULL, 'Peptidase_C19J', 7800),
(7801, 'cd11960', NULL, 'SH3_Abp1_eu', NULL, NULL, 'SH3_Abp1_eu', 7801),
(7802, 'cd05479', NULL, 'RP_DDI', NULL, NULL, 'RP_DDI', 7802),
(7803, 'cd01639', NULL, 'IMPase', NULL, NULL, 'IMPase', 7803),
(7804, 'cd09269', NULL, 'deoxyribose_mutarotase', NULL, NULL, 'deoxyribose_mutarotase', 7804),
(7805, 'cd11445', NULL, 'bHLH_AtPIF_like', NULL, NULL, 'bHLH_AtPIF_like', 7805),
(7806, 'cd17209', NULL, 'RA_RalGDS', NULL, NULL, 'RA_RalGDS', 7806),
(7807, 'cd15134', NULL, '7tmA_capaR', NULL, NULL, '7tmA_capaR', 7807),
(7808, 'cd11560', NULL, 'W2_eIF5C_like', NULL, NULL, 'W2_eIF5C_like', 7808),
(7809, 'cd01045', NULL, 'Ferritin_like_AB', NULL, NULL, 'Ferritin_like_AB', 7809),
(7810, 'cd12389', NULL, 'RRM2_RAVER', NULL, NULL, 'RRM2_RAVER', 7810),
(7811, 'cd06595', NULL, 'GH31_u1', NULL, NULL, 'GH31_u1', 7811),
(7812, 'cd09198', NULL, 'PLDc_pPLDbeta_1', NULL, NULL, 'PLDc_pPLDbeta_1', 7812),
(7813, 'cd08831', NULL, 'ArfGap_ArfGap2_3_like', NULL, NULL, 'ArfGap_ArfGap2_3_like', 7813),
(7814, 'cd11269', NULL, 'Sema_6D', NULL, NULL, 'Sema_6D', 7814),
(7815, 'cd13958', NULL, 'PT_UbiA_chlorophyll', NULL, NULL, 'PT_UbiA_chlorophyll', 7815),
(7816, 'cd01269', NULL, 'PTB_TBC1D1_like', NULL, NULL, 'PTB_TBC1D1_like', 7816),
(7817, 'cd03020', NULL, 'DsbA_DsbC_DsbG', NULL, NULL, 'DsbA_DsbC_DsbG', 7817),
(7818, 'cd05092', NULL, 'PTKc_TrkA', NULL, NULL, 'PTKc_TrkA', 7818),
(7819, 'cd15395', NULL, '7tmA_NPY1R', NULL, NULL, '7tmA_NPY1R', 7819),
(7820, 'cd12566', NULL, 'RRM2_MRD1', NULL, NULL, 'RRM2_MRD1', 7820),
(7821, 'cd02907', NULL, 'Macro_Af1521_BAL-like', NULL, NULL, 'Macro_Af1521_BAL-like', 7821),
(7822, 'cd13880', NULL, 'CuRO_2_MaLCC_like', NULL, NULL, 'CuRO_2_MaLCC_like', 7822),
(7823, 'cd19138', NULL, 'AKR_YeaE', NULL, NULL, 'AKR_YeaE', 7823),
(7824, 'cd20269', NULL, 'Complex1_LYR_LYRM9', NULL, NULL, 'Complex1_LYR_LYRM9', 7824),
(7825, 'cd01490', NULL, 'Ube1_repeat2', NULL, NULL, 'Ube1_repeat2', 7825),
(7826, 'cd17646', NULL, 'A_NRPS_AB3403-like', NULL, NULL, 'A_NRPS_AB3403-like', 7826);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(7827, 'cd15038', NULL, '7tmF_FZD4', NULL, NULL, '7tmF_FZD4', 7827),
(7828, 'cd17659', NULL, 'PTP_paladin_1', NULL, NULL, 'PTP_paladin_1', 7828),
(7829, 'cd08783', NULL, 'Death_MALT1', NULL, NULL, 'Death_MALT1', 7829),
(7830, 'cd00176', NULL, 'SPEC', NULL, NULL, 'SPEC', 7830),
(7831, 'cd05488', NULL, 'Proteinase_A_fungi', NULL, NULL, 'Proteinase_A_fungi', 7831),
(7832, 'cd06905', NULL, 'M14-like', NULL, NULL, 'M14-like', 7832),
(7833, 'cd02020', NULL, 'CMPK', NULL, NULL, 'CMPK', 7833),
(7834, 'cd16695', NULL, 'mRING-CH-C4HC2H_ZNRF2', NULL, NULL, 'mRING-CH-C4HC2H_ZNRF2', 7834),
(7835, 'cd06930', NULL, 'NR_LBD_F2', NULL, NULL, 'NR_LBD_F2', 7835),
(7836, 'cd11896', NULL, 'SH3_SNX33', NULL, NULL, 'SH3_SNX33', 7836),
(7837, 'cd13234', NULL, 'PHsplit_PLC_gamma', NULL, NULL, 'PHsplit_PLC_gamma', 7837),
(7838, 'cd02973', NULL, 'TRX_GRX_like', NULL, NULL, 'TRX_GRX_like', 7838),
(7839, 'cd19174', NULL, 'SET_ASH1L', NULL, NULL, 'SET_ASH1L', 7839),
(7840, 'cd21629', NULL, 'NS6_deltaCoV', NULL, NULL, 'NS6_deltaCoV', 7840),
(7841, 'cd04720', NULL, 'BAH_Orc1p_Yeast', NULL, NULL, 'BAH_Orc1p_Yeast', 7841),
(7842, 'cd05046', NULL, 'PTK_CCK4', NULL, NULL, 'PTK_CCK4', 7842),
(7843, 'cd08756', NULL, 'RGS_GEF_like', NULL, NULL, 'RGS_GEF_like', 7843),
(7844, 'cd00178', NULL, 'STI', NULL, NULL, 'STI', 7844),
(7845, 'cd12429', NULL, 'RRM_DNAJC17', NULL, NULL, 'RRM_DNAJC17', 7845),
(7846, 'cd00292', NULL, 'EF1B', NULL, NULL, 'EF1B', 7846),
(7847, 'cd05822', NULL, 'TLP_HIUase', NULL, NULL, 'TLP_HIUase', 7847),
(7848, 'cd06138', NULL, 'ExoI_N', NULL, NULL, 'ExoI_N', 7848),
(7849, 'cd09266', NULL, 'SGIP1_MHD', NULL, NULL, 'SGIP1_MHD', 7849),
(7850, 'cd07644', NULL, 'I-BAR_IMD_BAIAP2L2', NULL, NULL, 'I-BAR_IMD_BAIAP2L2', 7850),
(7851, 'cd01011', NULL, 'nicotinamidase', NULL, NULL, 'nicotinamidase', 7851),
(7852, 'cd14812', NULL, 'bZIP_u3', NULL, NULL, 'bZIP_u3', 7852),
(7853, 'cd17181', NULL, 'FERM_F0_KIND2', NULL, NULL, 'FERM_F0_KIND2', 7853),
(7854, 'cd19811', NULL, 'Bbox1_TRIM66', NULL, NULL, 'Bbox1_TRIM66', 7854),
(7855, 'cd17730', NULL, 'BRCT_PAXIP1_rpt4', NULL, NULL, 'BRCT_PAXIP1_rpt4', 7855),
(7856, 'cd05874', NULL, 'Ig_NrCAM', NULL, NULL, 'Ig_NrCAM', 7856),
(7857, 'cd16257', NULL, 'EFG_III-like', NULL, NULL, 'EFG_III-like', 7857),
(7858, 'cd12672', NULL, 'RRM_DAZL', NULL, NULL, 'RRM_DAZL', 7858),
(7859, 'cd16080', NULL, 'TSP-4cc', NULL, NULL, 'TSP-4cc', 7859),
(7860, 'cd08564', NULL, 'GDPD_GsGDE_like', NULL, NULL, 'GDPD_GsGDE_like', 7860),
(7861, 'cd08501', NULL, 'PBP2_Lpqw', NULL, NULL, 'PBP2_Lpqw', 7861),
(7862, 'cd08499', NULL, 'PBP2_Ylib_like', NULL, NULL, 'PBP2_Ylib_like', 7862),
(7863, 'cd08233', NULL, 'butanediol_DH_like', NULL, NULL, 'butanediol_DH_like', 7863),
(7864, 'cd19970', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 7864),
(7865, 'cd09830', NULL, 'PET_LIMPETin_LIM-9', NULL, NULL, 'PET_LIMPETin_LIM-9', 7865),
(7866, 'cd12446', NULL, 'RRM_RBM25', NULL, NULL, 'RRM_RBM25', 7866),
(7867, 'cd11428', NULL, 'bHLH_TS_NGN', NULL, NULL, 'bHLH_TS_NGN', 7867),
(7868, 'cd19905', NULL, 'DSRM_ADAD1', NULL, NULL, 'DSRM_ADAD1', 7868),
(7869, 'cd03515', NULL, 'Link_domain_TSG_6_like', NULL, NULL, 'Link_domain_TSG_6_like', 7869),
(7870, 'cd05174', NULL, 'PI3Kc_IA_delta', NULL, NULL, 'PI3Kc_IA_delta', 7870),
(7871, 'cd05233', NULL, 'SDR_c', NULL, NULL, 'SDR_c', 7871),
(7872, 'cd03127', NULL, 'tetraspanin_LEL', NULL, NULL, 'tetraspanin_LEL', 7872),
(7873, 'cd06886', NULL, 'PX_SNX27', NULL, NULL, 'PX_SNX27', 7873),
(7874, 'cd19043', NULL, 'LGIC_ECD_GABAAR_G1', NULL, NULL, 'LGIC_ECD_GABAAR_G1', 7874),
(7875, 'cd07592', NULL, 'BAR_Endophilin_A', NULL, NULL, 'BAR_Endophilin_A', 7875),
(7876, 'cd11310', NULL, '14-3-3_1', NULL, NULL, '14-3-3_1', 7876),
(7877, 'cd12946', NULL, 'NOPS_p54nrb_PSF_PSPC1', NULL, NULL, 'NOPS_p54nrb_PSF_PSPC1', 7877),
(7878, 'cd03862', NULL, 'M14-like', NULL, NULL, 'M14-like', 7878),
(7879, 'cd10546', NULL, 'VKOR', NULL, NULL, 'VKOR', 7879),
(7880, 'cd17980', NULL, 'DEXHc_DHX35', NULL, NULL, 'DEXHc_DHX35', 7880),
(7881, 'cd08530', NULL, 'STKc_CNK2-like', NULL, NULL, 'STKc_CNK2-like', 7881);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(7882, 'cd04735', NULL, 'OYE_like_4_FMN', NULL, NULL, 'OYE_like_4_FMN', 7882),
(7883, 'cd11861', NULL, 'SH3_DLG-like', NULL, NULL, 'SH3_DLG-like', 7883),
(7884, 'cd12206', NULL, 'RasGAP_IQGAP_related', NULL, NULL, 'RasGAP_IQGAP_related', 7884),
(7885, 'cd17034', NULL, 'T3SC_IA_ShcO1-like', NULL, NULL, 'T3SC_IA_ShcO1-like', 7885),
(7886, 'cd12232', NULL, 'RRM3_U2AF65', NULL, NULL, 'RRM3_U2AF65', 7886),
(7887, 'cd07822', NULL, 'SRPBCC_4', NULL, NULL, 'SRPBCC_4', 7887),
(7888, 'cd11309', NULL, '14-3-3_fungi', NULL, NULL, '14-3-3_fungi', 7888),
(7889, 'cd04156', NULL, 'ARLTS1', NULL, NULL, 'ARLTS1', 7889),
(7890, 'cd13873', NULL, 'CuRO_2_AAO_like_2', NULL, NULL, 'CuRO_2_AAO_like_2', 7890),
(7891, 'cd12426', NULL, 'RRM4_PTBPH3', NULL, NULL, 'RRM4_PTBPH3', 7891),
(7892, 'cd12758', NULL, 'RRM1_hnRPDL', NULL, NULL, 'RRM1_hnRPDL', 7892),
(7893, 'cd14547', NULL, 'PTPc-KIM', NULL, NULL, 'PTPc-KIM', 7893),
(7894, 'cd04676', NULL, 'Nudix_Hydrolase_17', NULL, NULL, 'Nudix_Hydrolase_17', 7894),
(7895, 'cd05742', NULL, 'Ig_VEGFR_like', NULL, NULL, 'Ig_VEGFR_like', 7895),
(7896, 'cd13116', NULL, 'POLO_box_Plk4_3', NULL, NULL, 'POLO_box_Plk4_3', 7896),
(7897, 'cd12481', NULL, 'RRM2_U2B', NULL, NULL, 'RRM2_U2B', 7897),
(7898, 'cd19190', NULL, 'PR-SET_PRDM5', NULL, NULL, 'PR-SET_PRDM5', 7898),
(7899, 'cd19880', NULL, 'DSRM_STAU2_rpt1', NULL, NULL, 'DSRM_STAU2_rpt1', 7899),
(7900, 'cd01492', NULL, 'Aos1_SUMO', NULL, NULL, 'Aos1_SUMO', 7900),
(7901, 'cd04371', NULL, 'DEP', NULL, NULL, 'DEP', 7901),
(7902, 'cd07838', NULL, 'STKc_CDK4_6_like', NULL, NULL, 'STKc_CDK4_6_like', 7902),
(7903, 'cd09263', NULL, 'AP_stonin-2_MHD', NULL, NULL, 'AP_stonin-2_MHD', 7903),
(7904, 'cd06632', NULL, 'STKc_MEKK1_plant', NULL, NULL, 'STKc_MEKK1_plant', 7904),
(7905, 'cd14997', NULL, '7tmA_ETH-R', NULL, NULL, '7tmA_ETH-R', 7905),
(7906, 'cd12922', NULL, 'VKOR_5', NULL, NULL, 'VKOR_5', 7906),
(7907, 'cd11467', NULL, 'bHLH_E-protein_Da_like', NULL, NULL, 'bHLH_E-protein_Da_like', 7907),
(7908, 'cd13246', NULL, 'PH_Scd1', NULL, NULL, 'PH_Scd1', 7908),
(7909, 'cd16656', NULL, 'RING-Ubox_PRP19', NULL, NULL, 'RING-Ubox_PRP19', 7909),
(7910, 'cd14677', NULL, 'PH_DOK7', NULL, NULL, 'PH_DOK7', 7910),
(7911, 'cd00209', NULL, 'DHFR', NULL, NULL, 'DHFR', 7911),
(7912, 'cd12099', NULL, 'DD_RII_PKA', NULL, NULL, 'DD_RII_PKA', 7912),
(7913, 'cd11711', NULL, 'GINS_A_Sld5', NULL, NULL, 'GINS_A_Sld5', 7913),
(7914, 'cd13159', NULL, 'PTB_LDLRAP-mammal-like', NULL, NULL, 'PTB_LDLRAP-mammal-like', 7914),
(7915, 'cd05808', NULL, 'CBM20_alpha_amylase', NULL, NULL, 'CBM20_alpha_amylase', 7915),
(7916, 'cd16801', NULL, 'RING-H2_RNF126', NULL, NULL, 'RING-H2_RNF126', 7916),
(7917, 'cd17039', NULL, 'Ubl_ubiquitin_like', NULL, NULL, 'Ubl_ubiquitin_like', 7917),
(7918, 'cd01225', NULL, 'PH_Cool_Pix', NULL, NULL, 'PH_Cool_Pix', 7918),
(7919, 'cd11242', NULL, 'Sema_6', NULL, NULL, 'Sema_6', 7919),
(7920, 'cd01400', NULL, '6PGL', NULL, NULL, '6PGL', 7920),
(7921, 'cd11831', NULL, 'SH3_VAV_1', NULL, NULL, 'SH3_VAV_1', 7921),
(7922, 'cd06813', NULL, 'PLPDE_III_DSD_D-TA_like_2', NULL, NULL, 'PLPDE_III_DSD_D-TA_like_2', 7922),
(7923, 'cd03180', NULL, 'GST_C_2', NULL, NULL, 'GST_C_2', 7923),
(7924, 'cd12289', NULL, 'RRM_LARP6', NULL, NULL, 'RRM_LARP6', 7924),
(7925, 'cd09827', NULL, 'PET_Prickle', NULL, NULL, 'PET_Prickle', 7925),
(7926, 'cd14031', NULL, 'STKc_WNK3', NULL, NULL, 'STKc_WNK3', 7926),
(7927, 'cd04583', NULL, 'CBS_pair_ABC_OpuCA_assoc', NULL, NULL, 'CBS_pair_ABC_OpuCA_assoc', 7927),
(7928, 'cd04135', NULL, 'Tc10', NULL, NULL, 'Tc10', 7928),
(7929, 'cd07996', NULL, 'WGR_MMR_like', NULL, NULL, 'WGR_MMR_like', 7929),
(7930, 'cd12716', NULL, 'RRM1_2_NP220', NULL, NULL, 'RRM1_2_NP220', 7930),
(7931, 'cd05627', NULL, 'STKc_NDR2', NULL, NULL, 'STKc_NDR2', 7931),
(7932, 'cd16225', NULL, 'EFh_CREC_cab45', NULL, NULL, 'EFh_CREC_cab45', 7932),
(7933, 'cd16348', NULL, 'VOC_YdcJ_like', NULL, NULL, 'VOC_YdcJ_like', 7933),
(7934, 'cd15739', NULL, 'FYVE_RABE_unchar', NULL, NULL, 'FYVE_RABE_unchar', 7934),
(7935, 'cd13760', NULL, 'TGF_beta_BMP2_like', NULL, NULL, 'TGF_beta_BMP2_like', 7935);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(7936, 'cd14221', NULL, 'STKc_LIMK1', NULL, NULL, 'STKc_LIMK1', 7936),
(7937, 'cd01338', NULL, 'MDH_choloroplast_like', NULL, NULL, 'MDH_choloroplast_like', 7937),
(7938, 'cd14905', NULL, 'MYSc_Myo44', NULL, NULL, 'MYSc_Myo44', 7938),
(7939, 'cd18674', NULL, 'PIN_Pox_G5', NULL, NULL, 'PIN_Pox_G5', 7939),
(7940, 'cd10932', NULL, 'CE4_u8', NULL, NULL, 'CE4_u8', 7940),
(7941, 'cd17614', NULL, 'REC_OmpR_YycF-like', NULL, NULL, 'REC_OmpR_YycF-like', 7941),
(7942, 'cd06060', NULL, 'misato', NULL, NULL, 'misato', 7942),
(7943, 'cd12905', NULL, 'SPRY_PRY_A33L', NULL, NULL, 'SPRY_PRY_A33L', 7943),
(7944, 'cd14304', NULL, 'UBA2_KPC2', NULL, NULL, 'UBA2_KPC2', 7944),
(7945, 'cd13132', NULL, 'MATE_eukaryotic', NULL, NULL, 'MATE_eukaryotic', 7945),
(7946, 'cd03869', NULL, 'M14_CPX_like', NULL, NULL, 'M14_CPX_like', 7946),
(7947, 'cd12869', NULL, 'MqsR', NULL, NULL, 'MqsR', 7947),
(7948, 'cd17041', NULL, 'Ubl_WDR48', NULL, NULL, 'Ubl_WDR48', 7948),
(7949, 'cd04033', NULL, 'C2_NEDD4_NEDD4L', NULL, NULL, 'C2_NEDD4_NEDD4L', 7949),
(7950, 'cd00326', NULL, 'alpha_CA', NULL, NULL, 'alpha_CA', 7950),
(7951, 'cd12596', NULL, 'RRM1_SRSF6', NULL, NULL, 'RRM1_SRSF6', 7951),
(7952, 'cd18014', NULL, 'DEXHc_RecQ5', NULL, NULL, 'DEXHc_RecQ5', 7952),
(7953, 'cd03298', NULL, 'ABC_ThiQ_thiamine_transporter', NULL, NULL, 'ABC_ThiQ_thiamine_transporter', 7953),
(7954, 'cd18360', NULL, 'BTB2_POZ_RHOBTB3', NULL, NULL, 'BTB2_POZ_RHOBTB3', 7954),
(7955, 'cd01153', NULL, 'ACAD_fadE5', NULL, NULL, 'ACAD_fadE5', 7955),
(7956, 'cd05399', NULL, 'NT_Rel-Spo_like', NULL, NULL, 'NT_Rel-Spo_like', 7956),
(7957, 'cd17205', NULL, 'FERM_F1_EPB41L5', NULL, NULL, 'FERM_F1_EPB41L5', 7957),
(7958, 'cd05250', NULL, 'CC3_like_SDR_a', NULL, NULL, 'CC3_like_SDR_a', 7958),
(7959, 'cd15643', NULL, 'PHD_KDM2A', NULL, NULL, 'PHD_KDM2A', 7959),
(7960, 'cd09829', NULL, 'PET_testin', NULL, NULL, 'PET_testin', 7960),
(7961, 'cd13411', NULL, 'TNFRSF11A', NULL, NULL, 'TNFRSF11A', 7961),
(7962, 'cd06170', NULL, 'LuxR_C_like', NULL, NULL, 'LuxR_C_like', 7962),
(7963, 'cd17042', NULL, 'Ubl_TmoB', NULL, NULL, 'Ubl_TmoB', 7963),
(7964, 'cd13144', NULL, 'MATE_like_4', NULL, NULL, 'MATE_like_4', 7964),
(7965, 'cd01826', NULL, 'acyloxyacyl_hydrolase_like', NULL, NULL, 'acyloxyacyl_hydrolase_like', 7965),
(7966, 'cd08040', NULL, 'OBF_DNA_ligase_family', NULL, NULL, 'OBF_DNA_ligase_family', 7966),
(7967, 'cd15408', NULL, '7tmA_OR5AK3-like', NULL, NULL, '7tmA_OR5AK3-like', 7967),
(7968, 'cd18924', NULL, 'bHLHzip_USF1', NULL, NULL, 'bHLHzip_USF1', 7968),
(7969, 'cd06528', NULL, 'RNAP_A''''', NULL, NULL, 'RNAP_A''''', 7969),
(7970, 'cd01079', NULL, 'NAD_bind_m-THF_DH', NULL, NULL, 'NAD_bind_m-THF_DH', 7970),
(7971, 'cd12653', NULL, 'RRM3_HuR', NULL, NULL, 'RRM3_HuR', 7971),
(7972, 'cd05696', NULL, 'S1_Rrp5_repeat_hs4', NULL, NULL, 'S1_Rrp5_repeat_hs4', 7972),
(7973, 'cd02068', NULL, 'radical_SAM_B12_BD', NULL, NULL, 'radical_SAM_B12_BD', 7973),
(7974, 'cd06978', NULL, 'cupin_EctC', NULL, NULL, 'cupin_EctC', 7974),
(7975, 'cd12554', NULL, 'RRM1_RBM15B', NULL, NULL, 'RRM1_RBM15B', 7975),
(7976, 'cd14381', NULL, 'UBA2_Rhp23p_like', NULL, NULL, 'UBA2_Rhp23p_like', 7976),
(7977, 'cd16210', NULL, 'EFh_PI-PLCbeta3', NULL, NULL, 'EFh_PI-PLCbeta3', 7977),
(7978, 'cd08002', NULL, 'WGR_PARP3_like', NULL, NULL, 'WGR_PARP3_like', 7978),
(7979, 'cd17506', NULL, 'Ubl_SAMP2_like', NULL, NULL, 'Ubl_SAMP2_like', 7979),
(7980, 'cd04016', NULL, 'C2_Tollip', NULL, NULL, 'C2_Tollip', 7980),
(7981, 'cd09334', NULL, 'LIM4_PINCH', NULL, NULL, 'LIM4_PINCH', 7981),
(7982, 'cd04916', NULL, 'ACT_AKiii-YclM-BS_2', NULL, NULL, 'ACT_AKiii-YclM-BS_2', 7982),
(7983, 'cd09416', NULL, 'LIM2_Testin', NULL, NULL, 'LIM2_Testin', 7983),
(7984, 'cd15653', NULL, 'PHD3_NSD1', NULL, NULL, 'PHD3_NSD1', 7984),
(7985, 'cd17906', NULL, 'CheX', NULL, NULL, 'CheX', 7985),
(7986, 'cd05893', NULL, 'Ig_Palladin_C', NULL, NULL, 'Ig_Palladin_C', 7986),
(7987, 'cd07578', NULL, 'nitrilase_1_R1', NULL, NULL, 'nitrilase_1_R1', 7987),
(7988, 'cd00983', NULL, 'recA', NULL, NULL, 'recA', 7988),
(7989, 'cd09475', NULL, 'LIM2_Lhx9', NULL, NULL, 'LIM2_Lhx9', 7989);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(7990, 'cd03717', NULL, 'SOCS_SOCS_like', NULL, NULL, 'SOCS_SOCS_like', 7990),
(7991, 'cd10524', NULL, 'SET_Suv4-20-like', NULL, NULL, 'SET_Suv4-20-like', 7991),
(7992, 'cd08534', NULL, 'SAM_PNT-GABP-alpha', NULL, NULL, 'SAM_PNT-GABP-alpha', 7992),
(7993, 'cd16488', NULL, 'mRING-H2-C3H3C2_Mio_like', NULL, NULL, 'mRING-H2-C3H3C2_Mio_like', 7993),
(7994, 'cd19380', NULL, 'TGF_beta_GDNF', NULL, NULL, 'TGF_beta_GDNF', 7994),
(7995, 'cd14014', NULL, 'STKc_PknB_like', NULL, NULL, 'STKc_PknB_like', 7995),
(7996, 'cd10949', NULL, 'CE4_BsPdaB_like', NULL, NULL, 'CE4_BsPdaB_like', 7996),
(7997, 'cd13298', NULL, 'PH1_PH_fungal', NULL, NULL, 'PH1_PH_fungal', 7997),
(7998, 'cd02000', NULL, 'TPP_E1_PDC_ADC_BCADC', NULL, NULL, 'TPP_E1_PDC_ADC_BCADC', 7998),
(7999, 'cd13369', NULL, 'PH_RASAL1', NULL, NULL, 'PH_RASAL1', 7999),
(8000, 'cd06290', NULL, 'PBP1_LacI-like', NULL, NULL, 'PBP1_LacI-like', 8000),
(8001, 'cd08269', NULL, 'Zn_ADH9', NULL, NULL, 'Zn_ADH9', 8001),
(8002, 'cd09209', NULL, 'Lumazine_synthase-I', NULL, NULL, 'Lumazine_synthase-I', 8002),
(8003, 'cd04328', NULL, 'RNAP_I_Rpa43_N', NULL, NULL, 'RNAP_I_Rpa43_N', 8003),
(8004, 'cd18623', NULL, 'GH32_ScrB-like', NULL, NULL, 'GH32_ScrB-like', 8004),
(8005, 'cd06426', NULL, 'NTP_transferase_like_2', NULL, NULL, 'NTP_transferase_like_2', 8005),
(8006, 'cd15510', NULL, 'PHD2_KMT2C_like', NULL, NULL, 'PHD2_KMT2C_like', 8006),
(8007, 'cd17911', NULL, 'CheC_ClassIII', NULL, NULL, 'CheC_ClassIII', 8007),
(8008, 'cd15986', NULL, '7tmB1_VIP-R2', NULL, NULL, '7tmB1_VIP-R2', 8008),
(8009, 'cd05137', NULL, 'RasGAP_CLA2_BUD2', NULL, NULL, 'RasGAP_CLA2_BUD2', 8009),
(8010, 'cd21525', NULL, 'SUD_C_SARS-CoV_Nsp3', NULL, NULL, 'SUD_C_SARS-CoV_Nsp3', 8010),
(8011, 'cd14809', NULL, 'bZIP_AUREO-like', NULL, NULL, 'bZIP_AUREO-like', 8011),
(8012, 'cd12877', NULL, 'SPRY1_RyR', NULL, NULL, 'SPRY1_RyR', 8012),
(8013, 'cd01261', NULL, 'PH_SOS', NULL, NULL, 'PH_SOS', 8013),
(8014, 'cd12576', NULL, 'RRM1_MSI', NULL, NULL, 'RRM1_MSI', 8014),
(8015, 'cd08225', NULL, 'STKc_Nek5', NULL, NULL, 'STKc_Nek5', 8015),
(8016, 'cd13433', NULL, 'Na_channel_gate', NULL, NULL, 'Na_channel_gate', 8016),
(8017, 'cd01314', NULL, 'D-HYD', NULL, NULL, 'D-HYD', 8017),
(8018, 'cd15438', NULL, '7tmB2_CD97', NULL, NULL, '7tmB2_CD97', 8018),
(8019, 'cd14985', NULL, '7tmA_Angiotensin_R-like', NULL, NULL, '7tmA_Angiotensin_R-like', 8019),
(8020, 'cd03408', NULL, 'SPFH_like_u1', NULL, NULL, 'SPFH_like_u1', 8020),
(8021, 'cd08367', NULL, 'P53', NULL, NULL, 'P53', 8021),
(8022, 'cd14365', NULL, 'CUE_N4BP2', NULL, NULL, 'CUE_N4BP2', 8022),
(8023, 'cd02878', NULL, 'GH18_zymocin_alpha', NULL, NULL, 'GH18_zymocin_alpha', 8023),
(8024, 'cd14111', NULL, 'STKc_SPEG_rpt2', NULL, NULL, 'STKc_SPEG_rpt2', 8024),
(8025, 'cd16021', NULL, 'ALP_like', NULL, NULL, 'ALP_like', 8025),
(8026, 'cd02558', NULL, 'PSRA_1', NULL, NULL, 'PSRA_1', 8026),
(8027, 'cd12071', NULL, 'SH3_FBP17', NULL, NULL, 'SH3_FBP17', 8027),
(8028, 'cd01993', NULL, 'Alpha_ANH_like_II', NULL, NULL, 'Alpha_ANH_like_II', 8028),
(8029, 'cd17873', NULL, 'FlhF', NULL, NULL, 'FlhF', 8029),
(8030, 'cd02901', NULL, 'Macro_Poa1p-like', NULL, NULL, 'Macro_Poa1p-like', 8030),
(8031, 'cd08063', NULL, 'MPN_CSN6', NULL, NULL, 'MPN_CSN6', 8031),
(8032, 'cd07766', NULL, 'DHQ_Fe-ADH', NULL, NULL, 'DHQ_Fe-ADH', 8032),
(8033, 'cd07869', NULL, 'STKc_PFTAIRE1', NULL, NULL, 'STKc_PFTAIRE1', 8033),
(8034, 'cd09100', NULL, 'INPP5c_SHIP1-INPP5D', NULL, NULL, 'INPP5c_SHIP1-INPP5D', 8034),
(8035, 'cd07659', NULL, 'BAR_PICK1', NULL, NULL, 'BAR_PICK1', 8035),
(8036, 'cd14573', NULL, 'DUSP18_21', NULL, NULL, 'DUSP18_21', 8036),
(8037, 'cd15726', NULL, 'FYVE_FYCO1', NULL, NULL, 'FYVE_FYCO1', 8037),
(8038, 'cd19025', NULL, 'LGIC_ECD_nAChR_B2', NULL, NULL, 'LGIC_ECD_nAChR_B2', 8038),
(8039, 'cd05290', NULL, 'LDH_3', NULL, NULL, 'LDH_3', 8039),
(8040, 'cd05619', NULL, 'STKc_nPKC_theta', NULL, NULL, 'STKc_nPKC_theta', 8040),
(8041, 'cd08862', NULL, 'SRPBCC_Smu440-like', NULL, NULL, 'SRPBCC_Smu440-like', 8041),
(8042, 'cd06575', NULL, 'PASTA_Pbp2x-like_2', NULL, NULL, 'PASTA_Pbp2x-like_2', 8042);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(8043, 'cd07277', NULL, 'PX_RUN', NULL, NULL, 'PX_RUN', 8043),
(8044, 'cd11699', NULL, 'DHR2_DOCK10', NULL, NULL, 'DHR2_DOCK10', 8044),
(8045, 'cd13133', NULL, 'MATE_like_7', NULL, NULL, 'MATE_like_7', 8045),
(8046, 'cd17875', NULL, 'SRP54_G', NULL, NULL, 'SRP54_G', 8046),
(8047, 'cd11652', NULL, 'SSH-N', NULL, NULL, 'SSH-N', 8047),
(8048, 'cd14136', NULL, 'STKc_SRPK', NULL, NULL, 'STKc_SRPK', 8048),
(8049, 'cd09746', NULL, 'Csm6_III-A', NULL, NULL, 'Csm6_III-A', 8049),
(8050, 'cd05227', NULL, 'AR_SDR_e', NULL, NULL, 'AR_SDR_e', 8050),
(8051, 'cd09699', NULL, 'Csm6_III-A', NULL, NULL, 'Csm6_III-A', 8051),
(8052, 'cd14301', NULL, 'UBA_UBS3B', NULL, NULL, 'UBA_UBS3B', 8052),
(8053, 'cd04657', NULL, 'Piwi_ago-like', NULL, NULL, 'Piwi_ago-like', 8053),
(8054, 'cd07697', NULL, 'IgC_TCR_gamma', NULL, NULL, 'IgC_TCR_gamma', 8054),
(8055, 'cd15359', NULL, '7tmA_LHCGR', NULL, NULL, '7tmA_LHCGR', 8055),
(8056, 'cd11860', NULL, 'SH3_DLG5', NULL, NULL, 'SH3_DLG5', 8056),
(8057, 'cd04153', NULL, 'Arl5_Arl8', NULL, NULL, 'Arl5_Arl8', 8057),
(8058, 'cd11255', NULL, 'Sema_3G', NULL, NULL, 'Sema_3G', 8058),
(8059, 'cd03269', NULL, 'ABC_putative_ATPase', NULL, NULL, 'ABC_putative_ATPase', 8059),
(8060, 'cd18058', NULL, 'DEXHc_CHD6', NULL, NULL, 'DEXHc_CHD6', 8060),
(8061, 'cd16475', NULL, 'RING-H2_RNF121_like', NULL, NULL, 'RING-H2_RNF121_like', 8061),
(8062, 'cd04842', NULL, 'Peptidases_S8_Kp43_protease', NULL, NULL, 'Peptidases_S8_Kp43_protease', 8062),
(8063, 'cd06317', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 8063),
(8064, 'cd14852', NULL, 'LD-carboxypeptidase', NULL, NULL, 'LD-carboxypeptidase', 8064),
(8065, 'cd01928', NULL, 'Cyclophilin_PPIL3_like', NULL, NULL, 'Cyclophilin_PPIL3_like', 8065),
(8066, 'cd15018', NULL, '7tm_TAS2R41-like', NULL, NULL, '7tm_TAS2R41-like', 8066),
(8067, 'cd18537', NULL, 'PTP-IVa1', NULL, NULL, 'PTP-IVa1', 8067),
(8068, 'cd08032', NULL, 'LARP_7', NULL, NULL, 'LARP_7', 8068),
(8069, 'cd11283', NULL, 'ADF_GMF-beta_like', NULL, NULL, 'ADF_GMF-beta_like', 8069),
(8070, 'cd21567', NULL, 'MERS-like-CoV_M', NULL, NULL, 'MERS-like-CoV_M', 8070),
(8071, 'cd18758', NULL, 'PIN_MtVapC3-like', NULL, NULL, 'PIN_MtVapC3-like', 8071),
(8072, 'cd01004', NULL, 'PBP2_MidA_like', NULL, NULL, 'PBP2_MidA_like', 8072),
(8073, 'cd15888', NULL, 'SNARE_SNAP47N', NULL, NULL, 'SNARE_SNAP47N', 8073),
(8074, 'cd08505', NULL, 'PBP2_NikA_DppA_OppA_like_18', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_18', 8074),
(8075, 'cd15371', NULL, '7tmA_PAR3', NULL, NULL, '7tmA_PAR3', 8075),
(8076, 'cd16099', NULL, 'TenA_PqqC-like', NULL, NULL, 'TenA_PqqC-like', 8076),
(8077, 'cd05267', NULL, 'SDR_a6', NULL, NULL, 'SDR_a6', 8077),
(8078, 'cd07430', NULL, 'GH15_N', NULL, NULL, 'GH15_N', 8078),
(8079, 'cd19101', NULL, 'AKR_unchar', NULL, NULL, 'AKR_unchar', 8079),
(8080, 'cd07468', NULL, 'CRD_TK_ROR2', NULL, NULL, 'CRD_TK_ROR2', 8080),
(8081, 'cd11439', NULL, 'bHLH-PAS_SRC', NULL, NULL, 'bHLH-PAS_SRC', 8081),
(8082, 'cd11834', NULL, 'SH3_Stac_2', NULL, NULL, 'SH3_Stac_2', 8082),
(8083, 'cd07693', NULL, 'Ig1_Robo', NULL, NULL, 'Ig1_Robo', 8083),
(8084, 'cd14831', NULL, 'AP1_sigma', NULL, NULL, 'AP1_sigma', 8084),
(8085, 'cd18470', NULL, 'BACK_KLHL31_KBTBD1', NULL, NULL, 'BACK_KLHL31_KBTBD1', 8085),
(8086, 'cd09717', NULL, 'Cas7_I', NULL, NULL, 'Cas7_I', 8086),
(8087, 'cd18973', NULL, 'CD_Tf2-1_POL_like', NULL, NULL, 'CD_Tf2-1_POL_like', 8087),
(8088, 'cd16023', NULL, 'GPI_EPT_3', NULL, NULL, 'GPI_EPT_3', 8088),
(8089, 'cd07288', NULL, 'PX_SNX15', NULL, NULL, 'PX_SNX15', 8089),
(8090, 'cd06131', NULL, 'DNA_pol_III_epsilon_Ecoli_like', NULL, NULL, 'DNA_pol_III_epsilon_Ecoli_like', 8090),
(8091, 'cd15613', NULL, 'PHD_AL_plant', NULL, NULL, 'PHD_AL_plant', 8091),
(8092, 'cd17114', NULL, 'RA_PLC-epsilon', NULL, NULL, 'RA_PLC-epsilon', 8092),
(8093, 'cd03345', NULL, 'eu_TyrOH', NULL, NULL, 'eu_TyrOH', 8093),
(8094, 'cd17130', NULL, 'Ubl2_FAF1', NULL, NULL, 'Ubl2_FAF1', 8094),
(8095, 'cd02065', NULL, 'B12-binding_like', NULL, NULL, 'B12-binding_like', 8095),
(8096, 'cd14338', NULL, 'UBA_SIK', NULL, NULL, 'UBA_SIK', 8096);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(8097, 'cd14531', NULL, 'PFA-DSP_Oca1', NULL, NULL, 'PFA-DSP_Oca1', 8097),
(8098, 'cd15665', NULL, 'ePHD1_KMT2C_like', NULL, NULL, 'ePHD1_KMT2C_like', 8098),
(8099, 'cd17492', NULL, 'toxin_CptN', NULL, NULL, 'toxin_CptN', 8099),
(8100, 'cd08656', NULL, 'M28_like', NULL, NULL, 'M28_like', 8100),
(8101, 'cd16635', NULL, 'mRING-HC-C3HC3D_PHRF1', NULL, NULL, 'mRING-HC-C3HC3D_PHRF1', 8101),
(8102, 'cd15056', NULL, '7tmA_5-HT4', NULL, NULL, '7tmA_5-HT4', 8102),
(8103, 'cd16326', NULL, 'LolB', NULL, NULL, 'LolB', 8103),
(8104, 'cd17450', NULL, 'MFS_SLC46A2_TSCOT', NULL, NULL, 'MFS_SLC46A2_TSCOT', 8104),
(8105, 'cd12926', NULL, 'iSH2_PIK3R2', NULL, NULL, 'iSH2_PIK3R2', 8105),
(8106, 'cd04647', NULL, 'LbH_MAT_like', NULL, NULL, 'LbH_MAT_like', 8106),
(8107, 'cd12516', NULL, 'RRM1_RBM26', NULL, NULL, 'RRM1_RBM26', 8107),
(8108, 'cd12781', NULL, 'RRM1_hnRPLL', NULL, NULL, 'RRM1_hnRPLL', 8108),
(8109, 'cd02132', NULL, 'PA_GO-like', NULL, NULL, 'PA_GO-like', 8109),
(8110, 'cd01047', NULL, 'ACSF', NULL, NULL, 'ACSF', 8110),
(8111, 'cd09340', NULL, 'LIM1_Testin_like', NULL, NULL, 'LIM1_Testin_like', 8111),
(8112, 'cd16652', NULL, 'dRing_Rmd5p_like', NULL, NULL, 'dRing_Rmd5p_like', 8112),
(8113, 'cd10317', NULL, 'RGL4_C', NULL, NULL, 'RGL4_C', 8113),
(8114, 'cd04483', NULL, 'hOBFC1_like', NULL, NULL, 'hOBFC1_like', 8114),
(8115, 'cd08707', NULL, 'RGS_Axin', NULL, NULL, 'RGS_Axin', 8115),
(8116, 'cd13194', NULL, 'FERM_C_ERM', NULL, NULL, 'FERM_C_ERM', 8116),
(8117, 'cd13380', NULL, 'PH_Skap1', NULL, NULL, 'PH_Skap1', 8117),
(8118, 'cd00333', NULL, 'MIP', NULL, NULL, 'MIP', 8118),
(8119, 'cd08711', NULL, 'RGS_RGS8', NULL, NULL, 'RGS_RGS8', 8119),
(8120, 'cd15481', NULL, 'SRP68-RBD', NULL, NULL, 'SRP68-RBD', 8120),
(8121, 'cd14026', NULL, 'STKc_RIP2', NULL, NULL, 'STKc_RIP2', 8121),
(8122, 'cd17243', NULL, 'RMtype1_S_AchA6I-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_AchA6I-TRD2-CR2_like', 8122),
(8123, 'cd05811', NULL, 'CBM20_glucoamylase', NULL, NULL, 'CBM20_glucoamylase', 8123),
(8124, 'cd04509', NULL, 'PBP1_ABC_transporter_GPCR_C-like', NULL, NULL, 'PBP1_ABC_transporter_GPCR_C-like', 8124),
(8125, 'cd15280', NULL, '7tmC_V2R-like', NULL, NULL, '7tmC_V2R-like', 8125),
(8126, 'cd03429', NULL, 'NADH_pyrophosphatase', NULL, NULL, 'NADH_pyrophosphatase', 8126),
(8127, 'cd02922', NULL, 'FCB2_FMN', NULL, NULL, 'FCB2_FMN', 8127),
(8128, 'cd06408', NULL, 'PB1_NoxR', NULL, NULL, 'PB1_NoxR', 8128),
(8129, 'cd03376', NULL, 'TPP_PFOR_porB_like', NULL, NULL, 'TPP_PFOR_porB_like', 8129),
(8130, 'cd06160', NULL, 'S2P-M50_like_2', NULL, NULL, 'S2P-M50_like_2', 8130),
(8131, 'cd19558', NULL, 'serpinA12_vaspin', NULL, NULL, 'serpinA12_vaspin', 8131),
(8132, 'cd06094', NULL, 'RP_Saci_like', NULL, NULL, 'RP_Saci_like', 8132),
(8133, 'cd13727', NULL, 'PBP2_iGluR_AMPA_GluR4', NULL, NULL, 'PBP2_iGluR_AMPA_GluR4', 8133),
(8134, 'cd07239', NULL, 'BphC5-RK37_C_like', NULL, NULL, 'BphC5-RK37_C_like', 8134),
(8135, 'cd10483', NULL, 'EphR_LBD_A5', NULL, NULL, 'EphR_LBD_A5', 8135),
(8136, 'cd07279', NULL, 'PX_SNX20_21_like', NULL, NULL, 'PX_SNX20_21_like', 8136),
(8137, 'cd04402', NULL, 'RhoGAP_ARHGAP20', NULL, NULL, 'RhoGAP_ARHGAP20', 8137),
(8138, 'cd01302', NULL, 'Cyclic_amidohydrolases', NULL, NULL, 'Cyclic_amidohydrolases', 8138),
(8139, 'cd11709', NULL, 'SPRY', NULL, NULL, 'SPRY', 8139),
(8140, 'cd08602', NULL, 'GDPD_ScGlpQ1_like', NULL, NULL, 'GDPD_ScGlpQ1_like', 8140),
(8141, 'cd00494', NULL, 'PBP2_HMBS', NULL, NULL, 'PBP2_HMBS', 8141),
(8142, 'cd12176', NULL, 'PGDH_3', NULL, NULL, 'PGDH_3', 8142),
(8143, 'cd01874', NULL, 'Cdc42', NULL, NULL, 'Cdc42', 8143),
(8144, 'cd02989', NULL, 'Phd_like_TxnDC9', NULL, NULL, 'Phd_like_TxnDC9', 8144),
(8145, 'cd10480', NULL, 'EphR_LBD_A2', NULL, NULL, 'EphR_LBD_A2', 8145),
(8146, 'cd01570', NULL, 'NAPRTase_A', NULL, NULL, 'NAPRTase_A', 8146),
(8147, 'cd01390', NULL, 'HMGB-UBF_HMG-box', NULL, NULL, 'HMGB-UBF_HMG-box', 8147),
(8148, 'cd06456', NULL, 'M3A_DCP', NULL, NULL, 'M3A_DCP', 8148),
(8149, 'cd03021', NULL, 'DsbA_GSTK', NULL, NULL, 'DsbA_GSTK', 8149),
(8150, 'cd11628', NULL, 'HR1_CIP4_FNBP1L', NULL, NULL, 'HR1_CIP4_FNBP1L', 8150);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(8151, 'cd01786', NULL, 'RA_STE50', NULL, NULL, 'RA_STE50', 8151),
(8152, 'cd13142', NULL, 'MATE_like_12', NULL, NULL, 'MATE_like_12', 8152),
(8153, 'cd04239', NULL, 'AAK_UMPK-like', NULL, NULL, 'AAK_UMPK-like', 8153),
(8154, 'cd06096', NULL, 'Plasmepsin_5', NULL, NULL, 'Plasmepsin_5', 8154),
(8155, 'cd01561', NULL, 'CBS_like', NULL, NULL, 'CBS_like', 8155),
(8156, 'cd06437', NULL, 'CESA_CaSu_A2', NULL, NULL, 'CESA_CaSu_A2', 8156),
(8157, 'cd15958', NULL, '7tmA_Beta1_AR', NULL, NULL, '7tmA_Beta1_AR', 8157),
(8158, 'cd02121', NULL, 'PA_GCPII_like', NULL, NULL, 'PA_GCPII_like', 8158),
(8159, 'cd16871', NULL, 'ARID_Swi1p-like', NULL, NULL, 'ARID_Swi1p-like', 8159),
(8160, 'cd18413', NULL, 'BTB_POZ_Shab-like', NULL, NULL, 'BTB_POZ_Shab-like', 8160),
(8161, 'cd11512', NULL, 'SLC6sbd_NET', NULL, NULL, 'SLC6sbd_NET', 8161),
(8162, 'cd00199', NULL, 'WAP', NULL, NULL, 'WAP', 8162),
(8163, 'cd09217', NULL, 'TLP-P', NULL, NULL, 'TLP-P', 8163),
(8164, 'cd02568', NULL, 'PseudoU_synth_PUS1_PUS2', NULL, NULL, 'PseudoU_synth_PUS1_PUS2', 8164),
(8165, 'cd10155', NULL, 'BsYrkD-like_DUF156', NULL, NULL, 'BsYrkD-like_DUF156', 8165),
(8166, 'cd09460', NULL, 'LIM3_ZASP_Cypher', NULL, NULL, 'LIM3_ZASP_Cypher', 8166),
(8167, 'cd04009', NULL, 'C2B_Munc13-like', NULL, NULL, 'C2B_Munc13-like', 8167),
(8168, 'cd14249', NULL, 'ESP1_like', NULL, NULL, 'ESP1_like', 8168),
(8169, 'cd01398', NULL, 'RPI_A', NULL, NULL, 'RPI_A', 8169),
(8170, 'cd09325', NULL, 'TDT_C4-dicarb_trans', NULL, NULL, 'TDT_C4-dicarb_trans', 8170),
(8171, 'cd02435', NULL, 'CCC1', NULL, NULL, 'CCC1', 8171),
(8172, 'cd05026', NULL, 'S-100Z', NULL, NULL, 'S-100Z', 8172),
(8173, 'cd14327', NULL, 'UBA_atUPL1_2_like', NULL, NULL, 'UBA_atUPL1_2_like', 8173),
(8174, 'cd20072', NULL, 'SET_SET1', NULL, NULL, 'SET_SET1', 8174),
(8175, 'cd07413', NULL, 'MPP_PA3087', NULL, NULL, 'MPP_PA3087', 8175),
(8176, 'cd01202', NULL, 'PTB_FRS2', NULL, NULL, 'PTB_FRS2', 8176),
(8177, 'cd13277', NULL, 'PH_Bem3', NULL, NULL, 'PH_Bem3', 8177),
(8178, 'cd07487', NULL, 'Peptidases_S8_1', NULL, NULL, 'Peptidases_S8_1', 8178),
(8179, 'cd08832', NULL, 'ArfGap_ADAP', NULL, NULL, 'ArfGap_ADAP', 8179),
(8180, 'cd06607', NULL, 'STKc_TAO', NULL, NULL, 'STKc_TAO', 8180),
(8181, 'cd17474', NULL, 'MFS_YfmO_like', NULL, NULL, 'MFS_YfmO_like', 8181),
(8182, 'cd05480', NULL, 'NRIP_C', NULL, NULL, 'NRIP_C', 8182),
(8183, 'cd17375', NULL, 'MFS_SLC22A16_CT2', NULL, NULL, 'MFS_SLC22A16_CT2', 8183),
(8184, 'cd19996', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 8184),
(8185, 'cd10486', NULL, 'EphR_LBD_A8', NULL, NULL, 'EphR_LBD_A8', 8185),
(8186, 'cd17322', NULL, 'MFS_ARN_like', NULL, NULL, 'MFS_ARN_like', 8186),
(8187, 'cd02953', NULL, 'DsbDgamma', NULL, NULL, 'DsbDgamma', 8187),
(8188, 'cd00254', NULL, 'LT-like', NULL, NULL, 'LT-like', 8188),
(8189, 'cd00907', NULL, 'Bacterioferritin', NULL, NULL, 'Bacterioferritin', 8189),
(8190, 'cd05931', NULL, 'FAAL', NULL, NULL, 'FAAL', 8190),
(8191, 'cd17045', NULL, 'Ubl_TBCEL', NULL, NULL, 'Ubl_TBCEL', 8191),
(8192, 'cd16996', NULL, 'VHS_Tom1L2', NULL, NULL, 'VHS_Tom1L2', 8192),
(8193, 'cd09081', NULL, 'CdtB', NULL, NULL, 'CdtB', 8193),
(8194, 'cd13342', NULL, 'PH-GRAM_MTMR4', NULL, NULL, 'PH-GRAM_MTMR4', 8194),
(8195, 'cd06993', NULL, 'cupin_CENP-C_C', NULL, NULL, 'cupin_CENP-C_C', 8195),
(8196, 'cd09279', NULL, 'RNase_HI_like', NULL, NULL, 'RNase_HI_like', 8196),
(8197, 'sd00037', NULL, 'PASTA', NULL, NULL, 'PASTA', 8197),
(8198, 'cd16740', NULL, 'RING-HC_RING2', NULL, NULL, 'RING-HC_RING2', 8198),
(8199, 'cd06285', NULL, 'PBP1_LacI-like', NULL, NULL, 'PBP1_LacI-like', 8199),
(8200, 'cd03484', NULL, 'MutL_Trans_hPMS_2_like', NULL, NULL, 'MutL_Trans_hPMS_2_like', 8200),
(8201, 'cd20184', NULL, 'M34_peptidase_like', NULL, NULL, 'M34_peptidase_like', 8201),
(8202, 'cd00453', NULL, 'FTBP_aldolase_II', NULL, NULL, 'FTBP_aldolase_II', 8202),
(8203, 'cd13895', NULL, 'CuRO_3_AAO_like_2', NULL, NULL, 'CuRO_3_AAO_like_2', 8203),
(8204, 'cd16106', NULL, 'Ubl_Dsk2p_like', NULL, NULL, 'Ubl_Dsk2p_like', 8204),
(8205, 'cd03065', NULL, 'PDI_b_Calsequestrin_N', NULL, NULL, 'PDI_b_Calsequestrin_N', 8205);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(8206, 'cd05566', NULL, 'PTS_IIB_galactitol', NULL, NULL, 'PTS_IIB_galactitol', 8206),
(8207, 'cd10352', NULL, 'SH2_a2chimerin_b2chimerin', NULL, NULL, 'SH2_a2chimerin_b2chimerin', 8207),
(8208, 'cd18633', NULL, 'CD_MMP8', NULL, NULL, 'CD_MMP8', 8208),
(8209, 'cd03776', NULL, 'MATH_TRAF6', NULL, NULL, 'MATH_TRAF6', 8209),
(8210, 'cd17792', NULL, 'CtkA', NULL, NULL, 'CtkA', 8210),
(8211, 'cd11776', NULL, 'SH3_PI3K_p85', NULL, NULL, 'SH3_PI3K_p85', 8211),
(8212, 'cd18794', NULL, 'SF2_C_RecQ', NULL, NULL, 'SF2_C_RecQ', 8212),
(8213, 'cd19707', NULL, 'bHLH_TS_TAL2', NULL, NULL, 'bHLH_TS_TAL2', 8213),
(8214, 'cd00738', NULL, 'HGTP_anticodon', NULL, NULL, 'HGTP_anticodon', 8214),
(8215, 'cd18708', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 8215),
(8216, 'cd08406', NULL, 'C2B_Synaptotagmin-12', NULL, NULL, 'C2B_Synaptotagmin-12', 8216),
(8217, 'cd09615', NULL, 'Jacalin_EEP', NULL, NULL, 'Jacalin_EEP', 8217),
(8218, 'cd18449', NULL, 'BACK_KLHL9_13', NULL, NULL, 'BACK_KLHL9_13', 8218),
(8219, 'cd11308', NULL, 'Peptidase_M14NE-CP-C_like', NULL, NULL, 'Peptidase_M14NE-CP-C_like', 8219),
(8220, 'cd12422', NULL, 'RRM2_PTBP1_hnRNPL_like', NULL, NULL, 'RRM2_PTBP1_hnRNPL_like', 8220),
(8221, 'cd03541', NULL, 'Rieske_RO_Alpha_CMO', NULL, NULL, 'Rieske_RO_Alpha_CMO', 8221),
(8222, 'cd10977', NULL, 'CE4_PuuE_SpCDA1', NULL, NULL, 'CE4_PuuE_SpCDA1', 8222),
(8223, 'cd15327', NULL, '7tmA_alpha1D_AR', NULL, NULL, '7tmA_alpha1D_AR', 8223),
(8224, 'cd10815', NULL, 'GH38N_AMII_EcMngB_like', NULL, NULL, 'GH38N_AMII_EcMngB_like', 8224),
(8225, 'cd07013', NULL, 'S14_ClpP', NULL, NULL, 'S14_ClpP', 8225),
(8226, 'cd15908', NULL, '7tm_TAS2R40-like', NULL, NULL, '7tm_TAS2R40-like', 8226),
(8227, 'cd14673', NULL, 'PH_PHLDB1_2', NULL, NULL, 'PH_PHLDB1_2', 8227),
(8228, 'cd06313', NULL, 'PBP1_ABC_ThpA_XypA', NULL, NULL, 'PBP1_ABC_ThpA_XypA', 8228),
(8229, 'cd14791', NULL, 'GH36', NULL, NULL, 'GH36', 8229),
(8230, 'cd00986', NULL, 'PDZ_LON_protease', NULL, NULL, 'PDZ_LON_protease', 8230),
(8231, 'cd04686', NULL, 'Nudix_Hydrolase_27', NULL, NULL, 'Nudix_Hydrolase_27', 8231),
(8232, 'cd06495', NULL, 'p23_NUDCD3_like', NULL, NULL, 'p23_NUDCD3_like', 8232),
(8233, 'cd06821', NULL, 'PLPDE_III_D-TA', NULL, NULL, 'PLPDE_III_D-TA', 8233),
(8234, 'cd09872', NULL, 'PIN_Sll0205-like', NULL, NULL, 'PIN_Sll0205-like', 8234),
(8235, 'cd11796', NULL, 'SH3_DNMBP_N3', NULL, NULL, 'SH3_DNMBP_N3', 8235),
(8236, 'cd12894', NULL, 'SPRY_PRY_TRIM36', NULL, NULL, 'SPRY_PRY_TRIM36', 8236),
(8237, 'cd07600', NULL, 'BAR_Gvp36', NULL, NULL, 'BAR_Gvp36', 8237),
(8238, 'cd16033', NULL, 'sulfatase_like', NULL, NULL, 'sulfatase_like', 8238),
(8239, 'cd18781', NULL, 'ABC_6TM_AarD_CydDC_like', NULL, NULL, 'ABC_6TM_AarD_CydDC_like', 8239),
(8240, 'cd18137', NULL, 'HLD_clamp_pol_III_gamma_tau', NULL, NULL, 'HLD_clamp_pol_III_gamma_tau', 8240),
(8241, 'cd12656', NULL, 'RRM3_HuD', NULL, NULL, 'RRM3_HuD', 8241),
(8242, 'cd01233', NULL, 'PH_KIFIA_KIFIB', NULL, NULL, 'PH_KIFIA_KIFIB', 8242),
(8243, 'cd16561', NULL, 'RING-HC_RNF213', NULL, NULL, 'RING-HC_RNF213', 8243),
(8244, 'cd06962', NULL, 'NR_DBD_FXR', NULL, NULL, 'NR_DBD_FXR', 8244),
(8245, 'cd05571', NULL, 'STKc_PKB', NULL, NULL, 'STKc_PKB', 8245),
(8246, 'cd14297', NULL, 'UBA2_spUBP14_like', NULL, NULL, 'UBA2_spUBP14_like', 8246),
(8247, 'cd10543', NULL, 'SET_EHMT', NULL, NULL, 'SET_EHMT', 8247),
(8248, 'cd14667', NULL, '3D_containing_proteins', NULL, NULL, '3D_containing_proteins', 8248),
(8249, 'cd01798', NULL, 'Ubl_parkin', NULL, NULL, 'Ubl_parkin', 8249),
(8250, 'cd17269', NULL, 'RMtype1_S_PluTORF4319P-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_PluTORF4319P-TRD2-CR2_like', 8250),
(8251, 'cd00433', NULL, 'Peptidase_M17', NULL, NULL, 'Peptidase_M17', 8251),
(8252, 'cd01699', NULL, 'RNA_dep_RNAP', NULL, NULL, 'RNA_dep_RNAP', 8252),
(8253, 'cd05611', NULL, 'STKc_Rim15_like', NULL, NULL, 'STKc_Rim15_like', 8253),
(8254, 'cd16713', NULL, 'RING-HC_BIRC2_3_7', NULL, NULL, 'RING-HC_BIRC2_3_7', 8254),
(8255, 'cd18067', NULL, 'DEXHc_RAD54A', NULL, NULL, 'DEXHc_RAD54A', 8255),
(8256, 'cd10544', NULL, 'SET_SETMAR', NULL, NULL, 'SET_SETMAR', 8256);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(8257, 'cd16707', NULL, 'RING-HC_CARP2', NULL, NULL, 'RING-HC_CARP2', 8257),
(8258, 'sd00031', NULL, 'LRR_1', NULL, NULL, 'LRR_1', 8258),
(8259, 'cd04492', NULL, 'YhaM_OBF_like', NULL, NULL, 'YhaM_OBF_like', 8259),
(8260, 'cd05121', NULL, 'ABC1_ADCK3-like', NULL, NULL, 'ABC1_ADCK3-like', 8260),
(8261, 'cd13698', NULL, 'PBP2_HisGluGlnArgOpine', NULL, NULL, 'PBP2_HisGluGlnArgOpine', 8261),
(8262, 'cd06151', NULL, 'YjgF_YER057c_UK114_like_3', NULL, NULL, 'YjgF_YER057c_UK114_like_3', 8262),
(8263, 'cd00222', NULL, 'CollagenBindB', NULL, NULL, 'CollagenBindB', 8263),
(8264, 'cd09215', NULL, 'Thaumatin-like', NULL, NULL, 'Thaumatin-like', 8264),
(8265, 'cd02972', NULL, 'DsbA_family', NULL, NULL, 'DsbA_family', 8265),
(8266, 'cd00135', NULL, 'PDGF', NULL, NULL, 'PDGF', 8266),
(8267, 'cd08409', NULL, 'C2B_Synaptotagmin-15', NULL, NULL, 'C2B_Synaptotagmin-15', 8267),
(8268, 'cd20238', NULL, 'PFM_ABFB-like', NULL, NULL, 'PFM_ABFB-like', 8268),
(8269, 'cd11557', NULL, 'ST7', NULL, NULL, 'ST7', 8269),
(8270, 'cd01059', NULL, 'CCC1_like', NULL, NULL, 'CCC1_like', 8270),
(8271, 'cd17133', NULL, 'RBD_ARAF', NULL, NULL, 'RBD_ARAF', 8271),
(8272, 'cd08794', NULL, 'Death_IRAK1', NULL, NULL, 'Death_IRAK1', 8272),
(8273, 'cd13175', NULL, 'RanBD5_RanBP2_insect-like', NULL, NULL, 'RanBD5_RanBP2_insect-like', 8273),
(8274, 'cd14725', NULL, 'ZIP_Gal4-like_2', NULL, NULL, 'ZIP_Gal4-like_2', 8274),
(8275, 'cd06059', NULL, 'Tubulin', NULL, NULL, 'Tubulin', 8275),
(8276, 'cd19877', NULL, 'DSRM_RNAse_III_meta_like', NULL, NULL, 'DSRM_RNAse_III_meta_like', 8276),
(8277, 'cd14585', NULL, 'PTP-MTMR6', NULL, NULL, 'PTP-MTMR6', 8277),
(8278, 'cd01693', NULL, 'mtEFG2_like_IV', NULL, NULL, 'mtEFG2_like_IV', 8278),
(8279, 'cd00061', NULL, 'FN1', NULL, NULL, 'FN1', 8279),
(8280, 'cd02991', NULL, 'UAS_ETEA', NULL, NULL, 'UAS_ETEA', 8280),
(8281, 'cd00505', NULL, 'Glyco_transf_8', NULL, NULL, 'Glyco_transf_8', 8281),
(8282, 'cd05392', NULL, 'RasGAP_Neurofibromin_like', NULL, NULL, 'RasGAP_Neurofibromin_like', 8282),
(8283, 'cd01443', NULL, 'Cdc25_Acr2p', NULL, NULL, 'Cdc25_Acr2p', 8283),
(8284, 'cd05776', NULL, 'DNA_polB_alpha_exo', NULL, NULL, 'DNA_polB_alpha_exo', 8284),
(8285, 'cd06878', NULL, 'PX_SNX25', NULL, NULL, 'PX_SNX25', 8285),
(8286, 'cd05892', NULL, 'Ig_Myotilin_C', NULL, NULL, 'Ig_Myotilin_C', 8286),
(8287, 'cd12365', NULL, 'RRM_RNPS1', NULL, NULL, 'RRM_RNPS1', 8287),
(8288, 'cd06261', NULL, 'TM_PBP2', NULL, NULL, 'TM_PBP2', 8288),
(8289, 'cd17283', NULL, 'RMtype1_S_Hpy180ORF7835P_TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Hpy180ORF7835P_TRD2-CR2_like', 8289),
(8290, 'cd01434', NULL, 'EFG_mtEFG1_IV', NULL, NULL, 'EFG_mtEFG1_IV', 8290),
(8291, 'cd02181', NULL, 'GH16_fungal_Lam16A_glucanase', NULL, NULL, 'GH16_fungal_Lam16A_glucanase', 8291),
(8292, 'cd03557', NULL, 'L-arabinose_isomerase', NULL, NULL, 'L-arabinose_isomerase', 8292),
(8293, 'cd01665', NULL, 'Cyt_c_Oxidase_III', NULL, NULL, 'Cyt_c_Oxidase_III', 8293),
(8294, 'cd09637', NULL, 'Cas4_I-A_I-B_I-C_I-D_II-B', NULL, NULL, 'Cas4_I-A_I-B_I-C_I-D_II-B', 8294),
(8295, 'cd01309', NULL, 'Met_dep_hydrolase_C', NULL, NULL, 'Met_dep_hydrolase_C', 8295),
(8296, 'cd19205', NULL, 'SET_SETD1B', NULL, NULL, 'SET_SETD1B', 8296),
(8297, 'cd00156', NULL, 'REC', NULL, NULL, 'REC', 8297),
(8298, 'cd07125', NULL, 'ALDH_PutA-P5CDH', NULL, NULL, 'ALDH_PutA-P5CDH', 8298),
(8299, 'cd07740', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', 8299),
(8300, 'cd19843', NULL, 'Bbox1_TRIM9_C-I', NULL, NULL, 'Bbox1_TRIM9_C-I', 8300),
(8301, 'cd17244', NULL, 'RMtype1_S_Apa101655I-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Apa101655I-TRD2-CR2_like', 8301),
(8302, 'cd12637', NULL, 'RRM2_FCA', NULL, NULL, 'RRM2_FCA', 8302),
(8303, 'cd05302', NULL, 'FDH', NULL, NULL, 'FDH', 8303),
(8304, 'cd09616', NULL, 'Peptidase_C12_UCH_L1_L3', NULL, NULL, 'Peptidase_C12_UCH_L1_L3', 8304),
(8305, 'cd07819', NULL, 'SRPBCC_2', NULL, NULL, 'SRPBCC_2', 8305),
(8306, 'cd21508', NULL, 'HEV_Spike_S1_RBD', NULL, NULL, 'HEV_Spike_S1_RBD', 8306),
(8307, 'cd15363', NULL, '7tmA_LGR5', NULL, NULL, '7tmA_LGR5', 8307); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(8308, 'cd11508', NULL, 'SLC6sbd_GAT3', NULL, NULL, 'SLC6sbd_GAT3', 8308),
(8309, 'cd18921', NULL, 'bHLHzip_SREBP1', NULL, NULL, 'bHLHzip_SREBP1', 8309),
(8310, 'cd08055', NULL, 'gp15', NULL, NULL, 'gp15', 8310),
(8311, 'cd06430', NULL, 'GT8_like_2', NULL, NULL, 'GT8_like_2', 8311),
(8312, 'cd19415', NULL, 'lipocalin_ApoM_AGP', NULL, NULL, 'lipocalin_ApoM_AGP', 8312),
(8313, 'cd02573', NULL, 'PseudoU_synth_EcTruB', NULL, NULL, 'PseudoU_synth_EcTruB', 8313),
(8314, 'cd02767', NULL, 'MopB_ydeP', NULL, NULL, 'MopB_ydeP', 8314),
(8315, 'cd09643', NULL, 'Csn1', NULL, NULL, 'Csn1', 8315),
(8316, 'cd10958', NULL, 'CE4_NodB_like_2', NULL, NULL, 'CE4_NodB_like_2', 8316),
(8317, 'cd01833', NULL, 'XynB_like', NULL, NULL, 'XynB_like', 8317),
(8318, 'cd06154', NULL, 'YjgF_YER057c_UK114_like_6', NULL, NULL, 'YjgF_YER057c_UK114_like_6', 8318),
(8319, 'cd08852', NULL, 'ArfGap_ACAP1', NULL, NULL, 'ArfGap_ACAP1', 8319),
(8320, 'cd20311', NULL, 'cupin_Yhhw_C', NULL, NULL, 'cupin_Yhhw_C', 8320),
(8321, 'cd17902', NULL, 'ArfGap_ARAP3', NULL, NULL, 'ArfGap_ARAP3', 8321),
(8322, 'cd06556', NULL, 'ICL_KPHMT', NULL, NULL, 'ICL_KPHMT', 8322),
(8323, 'cd07914', NULL, 'IGPD', NULL, NULL, 'IGPD', 8323),
(8324, 'cd15703', NULL, 'ePHD_BRPF3', NULL, NULL, 'ePHD_BRPF3', 8324),
(8325, 'cd10557', NULL, 'NarH_beta-like', NULL, NULL, 'NarH_beta-like', 8325),
(8326, 'cd08349', NULL, 'BLMA_like', NULL, NULL, 'BLMA_like', 8326),
(8327, 'cd02876', NULL, 'GH18_SI-CLP', NULL, NULL, 'GH18_SI-CLP', 8327),
(8328, 'cd12360', NULL, 'RRM_cwf2', NULL, NULL, 'RRM_cwf2', 8328),
(8329, 'cd14187', NULL, 'STKc_PLK1', NULL, NULL, 'STKc_PLK1', 8329),
(8330, 'cd09742', NULL, 'Csm6_III-A', NULL, NULL, 'Csm6_III-A', 8330),
(8331, 'sd00042', NULL, 'LVIVD', NULL, NULL, 'LVIVD', 8331),
(8332, 'cd03214', NULL, 'ABC_Iron-Siderophores_B12_Hemin', NULL, NULL, 'ABC_Iron-Siderophores_B12_Hemin', 8332),
(8333, 'cd17022', NULL, 'T3SC_IA_SigE-like', NULL, NULL, 'T3SC_IA_SigE-like', 8333),
(8334, 'cd05927', NULL, 'LC-FACS_euk', NULL, NULL, 'LC-FACS_euk', 8334),
(8335, 'cd14701', NULL, 'bZIP_BATF', NULL, NULL, 'bZIP_BATF', 8335),
(8336, 'cd18200', NULL, 'BTB_POZ_ZBTB9', NULL, NULL, 'BTB_POZ_ZBTB9', 8336),
(8337, 'cd12031', NULL, 'SH3_DLG1', NULL, NULL, 'SH3_DLG1', 8337),
(8338, 'cd12103', NULL, 'DD_RIIalpha_PKA', NULL, NULL, 'DD_RIIalpha_PKA', 8338),
(8339, 'cd12213', NULL, 'ABD', NULL, NULL, 'ABD', 8339),
(8340, 'cd12767', NULL, 'RRM2_SRSF1', NULL, NULL, 'RRM2_SRSF1', 8340),
(8341, 'cd18803', NULL, 'SF2_C_secA', NULL, NULL, 'SF2_C_secA', 8341),
(8342, 'cd06571', NULL, 'Bac_DnaA_C', NULL, NULL, 'Bac_DnaA_C', 8342),
(8343, 'cd16089', NULL, 'IgV_CRIg', NULL, NULL, 'IgV_CRIg', 8343),
(8344, 'cd11542', NULL, 'NTP-PPase_u5', NULL, NULL, 'NTP-PPase_u5', 8344),
(8345, 'cd12252', NULL, 'RRM_DbpA', NULL, NULL, 'RRM_DbpA', 8345),
(8346, 'cd07005', NULL, 'cupin_WbuC-like', NULL, NULL, 'cupin_WbuC-like', 8346),
(8347, 'cd03205', NULL, 'GST_C_6', NULL, NULL, 'GST_C_6', 8347),
(8348, 'cd09020', NULL, 'D-hex-6-P-epi_like', NULL, NULL, 'D-hex-6-P-epi_like', 8348),
(8349, 'cd11348', NULL, 'AmyAc_2', NULL, NULL, 'AmyAc_2', 8349),
(8350, 'cd07879', NULL, 'STKc_p38delta', NULL, NULL, 'STKc_p38delta', 8350),
(8351, 'cd13905', NULL, 'CuRO_3_tcLLC2_insect_like', NULL, NULL, 'CuRO_3_tcLLC2_insect_like', 8351),
(8352, 'cd19980', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 8352),
(8353, 'cd02414', NULL, 'jag_KH', NULL, NULL, 'jag_KH', 8353),
(8354, 'cd10148', NULL, 'CsoR-like_DUF156', NULL, NULL, 'CsoR-like_DUF156', 8354),
(8355, 'cd18086', NULL, 'HsC9orf114-like', NULL, NULL, 'HsC9orf114-like', 8355),
(8356, 'cd04774', NULL, 'HTH_YfmP', NULL, NULL, 'HTH_YfmP', 8356),
(8357, 'cd19762', NULL, 'Bbox2_TRIM7-like', NULL, NULL, 'Bbox2_TRIM7-like', 8357),
(8358, 'cd11435', NULL, 'bHLH-PAS_AhRR', NULL, NULL, 'bHLH-PAS_AhRR', 8358),
(8359, 'cd13650', NULL, 'PBP2_THI5', NULL, NULL, 'PBP2_THI5', 8359),
(8360, 'cd13244', NULL, 'PH_PLEKHG5_G6', NULL, NULL, 'PH_PLEKHG5_G6', 8360),
(8361, 'cd15264', NULL, '7tmB1_CRF-R', NULL, NULL, '7tmB1_CRF-R', 8361),
(8362, 'cd19614', NULL, 'FABP_Der_p_13-like', NULL, NULL, 'FABP_Der_p_13-like', 8362);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(8363, 'cd19933', NULL, 'REC_ETR-like', NULL, NULL, 'REC_ETR-like', 8363),
(8364, 'cd02997', NULL, 'PDI_a_PDIR', NULL, NULL, 'PDI_a_PDIR', 8364),
(8365, 'cd13221', NULL, 'PH-GRAM_GRAMDC4', NULL, NULL, 'PH-GRAM_GRAMDC4', 8365),
(8366, 'cd06265', NULL, 'RNase_A_canonical', NULL, NULL, 'RNase_A_canonical', 8366),
(8367, 'cd14003', NULL, 'STKc_AMPK-like', NULL, NULL, 'STKc_AMPK-like', 8367),
(8368, 'cd16436', NULL, 'beta_Kdo_transferase', NULL, NULL, 'beta_Kdo_transferase', 8368),
(8369, 'cd18520', NULL, 'BACK_roadkill_like', NULL, NULL, 'BACK_roadkill_like', 8369),
(8370, 'cd05888', NULL, 'Ig1_Nectin-4_like', NULL, NULL, 'Ig1_Nectin-4_like', 8370),
(8371, 'cd14777', NULL, 'Yhb1-globin-like', NULL, NULL, 'Yhb1-globin-like', 8371),
(8372, 'cd18669', NULL, 'M20_18_42', NULL, NULL, 'M20_18_42', 8372),
(8373, 'cd18980', NULL, 'CD_NC-like', NULL, NULL, 'CD_NC-like', 8373),
(8374, 'cd01474', NULL, 'vWA_ATR', NULL, NULL, 'vWA_ATR', 8374),
(8375, 'cd03530', NULL, 'Rieske_NirD_small_Bacillus', NULL, NULL, 'Rieske_NirD_small_Bacillus', 8375),
(8376, 'cd13842', NULL, 'CuRO_HCO_II_like', NULL, NULL, 'CuRO_HCO_II_like', 8376),
(8377, 'cd08416', NULL, 'PBP2_MdcR', NULL, NULL, 'PBP2_MdcR', 8377),
(8378, 'cd20009', NULL, 'PBP1_RafR-like', NULL, NULL, 'PBP1_RafR-like', 8378),
(8379, 'cd12427', NULL, 'RRM4_hnRNPL_like', NULL, NULL, 'RRM4_hnRNPL_like', 8379),
(8380, 'cd11859', NULL, 'SH3_ZO', NULL, NULL, 'SH3_ZO', 8380),
(8381, 'cd06927', NULL, 'RNAP_L', NULL, NULL, 'RNAP_L', 8381),
(8382, 'cd17174', NULL, 'FERM_F1_TLN2', NULL, NULL, 'FERM_F1_TLN2', 8382),
(8383, 'cd19217', NULL, 'SET_EZH1', NULL, NULL, 'SET_EZH1', 8383),
(8384, 'cd16618', NULL, 'mRING-HC-C4C4_CNOT4', NULL, NULL, 'mRING-HC-C4C4_CNOT4', 8384),
(8385, 'cd14172', NULL, 'STKc_MAPKAPK3', NULL, NULL, 'STKc_MAPKAPK3', 8385),
(8386, 'cd08659', NULL, 'M20_ArgE_DapE-like', NULL, NULL, 'M20_ArgE_DapE-like', 8386),
(8387, 'cd12363', NULL, 'RRM_TRA2', NULL, NULL, 'RRM_TRA2', 8387),
(8388, 'cd16542', NULL, 'RING-HC_RNF125', NULL, NULL, 'RING-HC_RNF125', 8388),
(8389, 'cd14930', NULL, 'MYSc_Myh14_mammals', NULL, NULL, 'MYSc_Myh14_mammals', 8389),
(8390, 'cd15042', NULL, '7tmC_Boss', NULL, NULL, '7tmC_Boss', 8390),
(8391, 'cd15133', NULL, '7tmA_NMU-R', NULL, NULL, '7tmA_NMU-R', 8391),
(8392, 'cd12215', NULL, 'ChiC_BD', NULL, NULL, 'ChiC_BD', 8392),
(8393, 'cd16198', NULL, 'EFh_PEF_CAPN1', NULL, NULL, 'EFh_PEF_CAPN1', 8393),
(8394, 'cd07457', NULL, 'CRD_FZ9_like', NULL, NULL, 'CRD_FZ9_like', 8394),
(8395, 'cd06980', NULL, 'cupin_bxe_c0505', NULL, NULL, 'cupin_bxe_c0505', 8395),
(8396, 'cd13518', NULL, 'PBP2_Fe3_thiamine_like', NULL, NULL, 'PBP2_Fe3_thiamine_like', 8396),
(8397, 'cd02015', NULL, 'TPP_AHAS', NULL, NULL, 'TPP_AHAS', 8397),
(8398, 'cd16482', NULL, 'RING-H2_UBR1_like', NULL, NULL, 'RING-H2_UBR1_like', 8398),
(8399, 'cd17639', NULL, 'LC_FACS_euk1', NULL, NULL, 'LC_FACS_euk1', 8399),
(8400, 'cd13292', NULL, 'PH_Osh1p_Osh2p_yeast', NULL, NULL, 'PH_Osh1p_Osh2p_yeast', 8400),
(8401, 'cd03315', NULL, 'MLE_like', NULL, NULL, 'MLE_like', 8401),
(8402, 'cd08053', NULL, 'Yqbg', NULL, NULL, 'Yqbg', 8402),
(8403, 'cd05110', NULL, 'PTKc_HER4', NULL, NULL, 'PTKc_HER4', 8403),
(8404, 'cd12622', NULL, 'RRM3_PUB1', NULL, NULL, 'RRM3_PUB1', 8404),
(8405, 'cd13340', NULL, 'PH-GRAM_MTMR5', NULL, NULL, 'PH-GRAM_MTMR5', 8405),
(8406, 'cd02216', NULL, 'cupin_GDO-like_N', NULL, NULL, 'cupin_GDO-like_N', 8406),
(8407, 'cd06967', NULL, 'NR_DBD_TR2_like', NULL, NULL, 'NR_DBD_TR2_like', 8407),
(8408, 'cd08725', NULL, 'RGS_RGS22_4', NULL, NULL, 'RGS_RGS22_4', 8408),
(8409, 'cd13210', NULL, 'PH-GRAM_MTMR6-like', NULL, NULL, 'PH-GRAM_MTMR6-like', 8409),
(8410, 'cd05604', NULL, 'STKc_SGK3', NULL, NULL, 'STKc_SGK3', 8410),
(8411, 'cd12338', NULL, 'RRM1_SRSF1_like', NULL, NULL, 'RRM1_SRSF1_like', 8411),
(8412, 'cd08273', NULL, 'MDR8', NULL, NULL, 'MDR8', 8412),
(8413, 'cd08366', NULL, 'APC10', NULL, NULL, 'APC10', 8413),
(8414, 'cd02616', NULL, 'HAD_PPase', NULL, NULL, 'HAD_PPase', 8414),
(8415, 'cd04776', NULL, 'HTH_GnyR', NULL, NULL, 'HTH_GnyR', 8415),
(8416, 'cd07603', NULL, 'BAR_ACAPs', NULL, NULL, 'BAR_ACAPs', 8416);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(8417, 'cd05083', NULL, 'PTKc_Chk', NULL, NULL, 'PTKc_Chk', 8417),
(8418, 'cd14886', NULL, 'MYSc_Myo25', NULL, NULL, 'MYSc_Myo25', 8418),
(8419, 'cd02210', NULL, 'cupin_BLR2406-like', NULL, NULL, 'cupin_BLR2406-like', 8419),
(8420, 'cd03490', NULL, 'Topoisomer_IB_N_1', NULL, NULL, 'Topoisomer_IB_N_1', 8420),
(8421, 'cd19110', NULL, 'AKR_AKR1E1-2', NULL, NULL, 'AKR_AKR1E1-2', 8421),
(8422, 'cd11873', NULL, 'SH3_CD2AP-like_1', NULL, NULL, 'SH3_CD2AP-like_1', 8422),
(8423, 'cd10339', NULL, 'SH2_RIN_family', NULL, NULL, 'SH2_RIN_family', 8423),
(8424, 'cd07609', NULL, 'BAR_SIP3_fungi', NULL, NULL, 'BAR_SIP3_fungi', 8424),
(8425, 'cd00885', NULL, 'cinA', NULL, NULL, 'cinA', 8425),
(8426, 'cd06817', NULL, 'PLPDE_III_DSD', NULL, NULL, 'PLPDE_III_DSD', 8426),
(8427, 'cd18912', NULL, 'bHLH_TS_bHLHa9', NULL, NULL, 'bHLH_TS_bHLHa9', 8427),
(8428, 'cd21161', NULL, 'NendoU_cv_Nsp15-like', NULL, NULL, 'NendoU_cv_Nsp15-like', 8428),
(8429, 'cd01791', NULL, 'Ubl_UBL5', NULL, NULL, 'Ubl_UBL5', 8429),
(8430, 'cd16861', NULL, 'ING_ING2', NULL, NULL, 'ING_ING2', 8430),
(8431, 'cd03420', NULL, 'SirA_RHOD_Pry_redox', NULL, NULL, 'SirA_RHOD_Pry_redox', 8431),
(8432, 'cd07324', NULL, 'M48C_Oma1-like', NULL, NULL, 'M48C_Oma1-like', 8432),
(8433, 'cd16575', NULL, 'RING-HC_MID_C-I', NULL, NULL, 'RING-HC_MID_C-I', 8433),
(8434, 'cd14608', NULL, 'PTPc-N1', NULL, NULL, 'PTPc-N1', 8434),
(8435, 'cd09137', NULL, 'PLDc_PGS1_euk_2', NULL, NULL, 'PLDc_PGS1_euk_2', 8435),
(8436, 'cd19130', NULL, 'AKR_AKR5C1', NULL, NULL, 'AKR_AKR5C1', 8436),
(8437, 'cd17962', NULL, 'DEADc_DDX59', NULL, NULL, 'DEADc_DDX59', 8437),
(8438, 'cd11332', NULL, 'AmyAc_OligoGlu_TS', NULL, NULL, 'AmyAc_OligoGlu_TS', 8438),
(8439, 'cd03026', NULL, 'AhpF_NTD_C', NULL, NULL, 'AhpF_NTD_C', 8439),
(8440, 'cd13428', NULL, 'UreI_AmiS', NULL, NULL, 'UreI_AmiS', 8440),
(8441, 'cd02145', NULL, 'BluB', NULL, NULL, 'BluB', 8441),
(8442, 'cd03454', NULL, 'YdeM', NULL, NULL, 'YdeM', 8442),
(8443, 'cd13275', NULL, 'PH_M-RIP', NULL, NULL, 'PH_M-RIP', 8443),
(8444, 'cd04979', NULL, 'Ig_Semaphorin_C', NULL, NULL, 'Ig_Semaphorin_C', 8444),
(8445, 'cd07505', NULL, 'HAD_BPGM-like', NULL, NULL, 'HAD_BPGM-like', 8445),
(8446, 'cd19797', NULL, 'Bbox2_TRIM72_C-IV', NULL, NULL, 'Bbox2_TRIM72_C-IV', 8446),
(8447, 'cd11765', NULL, 'SH3_Nck_1', NULL, NULL, 'SH3_Nck_1', 8447),
(8448, 'cd12167', NULL, '2-Hacid_dh_8', NULL, NULL, '2-Hacid_dh_8', 8448),
(8449, 'cd18257', NULL, 'BTB_POZ_KLHL28_BTBD5', NULL, NULL, 'BTB_POZ_KLHL28_BTBD5', 8449),
(8450, 'cd20492', NULL, 'cupin_HQDO_large_C', NULL, NULL, 'cupin_HQDO_large_C', 8450),
(8451, 'cd09349', NULL, 'LIM1_Zyxin', NULL, NULL, 'LIM1_Zyxin', 8451),
(8452, 'cd16987', NULL, 'ANTH_N_AP180_plant', NULL, NULL, 'ANTH_N_AP180_plant', 8452),
(8453, 'cd09187', NULL, 'PLDc_FAM83G_N', NULL, NULL, 'PLDc_FAM83G_N', 8453),
(8454, 'cd17627', NULL, 'REC_OmpR_PrrA-like', NULL, NULL, 'REC_OmpR_PrrA-like', 8454),
(8455, 'cd13881', NULL, 'CuRO_2_McoC_like', NULL, NULL, 'CuRO_2_McoC_like', 8455),
(8456, 'cd13866', NULL, 'CuRO_2_BOD', NULL, NULL, 'CuRO_2_BOD', 8456),
(8457, 'cd18264', NULL, 'BTB_POZ_KLHL34', NULL, NULL, 'BTB_POZ_KLHL34', 8457),
(8458, 'cd09410', NULL, 'LIM3_Leupaxin', NULL, NULL, 'LIM3_Leupaxin', 8458),
(8459, 'cd05043', NULL, 'PTK_Ryk', NULL, NULL, 'PTK_Ryk', 8459),
(8460, 'cd00336', NULL, 'Ribosomal_L22', NULL, NULL, 'Ribosomal_L22', 8460),
(8461, 'cd18783', NULL, 'ABC_6TM_PrtD_LapB_HlyB_like', NULL, NULL, 'ABC_6TM_PrtD_LapB_HlyB_like', 8461),
(8462, 'cd00832', NULL, 'CLF', NULL, NULL, 'CLF', 8462),
(8463, 'cd19866', NULL, 'DSRM_STRBP_RED-like_rpt2', NULL, NULL, 'DSRM_STRBP_RED-like_rpt2', 8463),
(8464, 'cd06335', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 8464),
(8465, 'cd18359', NULL, 'BTB2_POZ_RHOBTB2', NULL, NULL, 'BTB2_POZ_RHOBTB2', 8465),
(8466, 'cd00575', NULL, 'NOS_oxygenase', NULL, NULL, 'NOS_oxygenase', 8466),
(8467, 'cd08356', NULL, 'VOC_CChe_VCA0619_like', NULL, NULL, 'VOC_CChe_VCA0619_like', 8467),
(8468, 'cd21484', NULL, 'MHV-like_Spike_S1_RBD', NULL, NULL, 'MHV-like_Spike_S1_RBD', 8468);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(8469, 'cd12196', NULL, 'MARK1-3_C', NULL, NULL, 'MARK1-3_C', 8469),
(8470, 'cd17517', NULL, 'RMtype1_S_EcoKI_StySPI-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_EcoKI_StySPI-TRD2-CR2_like', 8470),
(8471, 'cd09895', NULL, 'NGN_SP_UpxY', NULL, NULL, 'NGN_SP_UpxY', 8471),
(8472, 'cd02749', NULL, 'Macro_SF', NULL, NULL, 'Macro_SF', 8472),
(8473, 'cd12920', NULL, 'VKOR_3', NULL, NULL, 'VKOR_3', 8473),
(8474, 'cd07815', NULL, 'SRPBCC_PITP', NULL, NULL, 'SRPBCC_PITP', 8474),
(8475, 'cd18226', NULL, 'BTB_POZ_ZBTB41', NULL, NULL, 'BTB_POZ_ZBTB41', 8475),
(8476, 'cd09393', NULL, 'LIM3_Lrg1p_like', NULL, NULL, 'LIM3_Lrg1p_like', 8476),
(8477, 'cd11502', NULL, 'SLC6sbd_NTT5', NULL, NULL, 'SLC6sbd_NTT5', 8477),
(8478, 'cd15204', NULL, '7tmA_prokineticin-R', NULL, NULL, '7tmA_prokineticin-R', 8478),
(8479, 'cd16714', NULL, 'RING-HC_BIRC4_8', NULL, NULL, 'RING-HC_BIRC4_8', 8479),
(8480, 'cd01527', NULL, 'RHOD_YgaP', NULL, NULL, 'RHOD_YgaP', 8480),
(8481, 'cd01241', NULL, 'PH_PKB', NULL, NULL, 'PH_PKB', 8481),
(8482, 'cd11344', NULL, 'AmyAc_GlgE_like', NULL, NULL, 'AmyAc_GlgE_like', 8482),
(8483, 'cd16370', NULL, 'DMSOR_beta_like', NULL, NULL, 'DMSOR_beta_like', 8483),
(8484, 'cd15430', NULL, '7tmA_OR13-like', NULL, NULL, '7tmA_OR13-like', 8484),
(8485, 'cd00530', NULL, 'PTE', NULL, NULL, 'PTE', 8485),
(8486, 'cd03460', NULL, '1,2-CTD', NULL, NULL, '1,2-CTD', 8486),
(8487, 'cd15791', NULL, 'PH1_FDG4', NULL, NULL, 'PH1_FDG4', 8487),
(8488, 'cd14116', NULL, 'STKc_Aurora-A', NULL, NULL, 'STKc_Aurora-A', 8488),
(8489, 'cd12947', NULL, 'NOPS_p54nrb', NULL, NULL, 'NOPS_p54nrb', 8489),
(8490, 'cd01846', NULL, 'fatty_acyltransferase_like', NULL, NULL, 'fatty_acyltransferase_like', 8490),
(8491, 'cd06089', NULL, 'KOW_RPL26', NULL, NULL, 'KOW_RPL26', 8491),
(8492, 'cd15830', NULL, 'BamD', NULL, NULL, 'BamD', 8492),
(8493, 'cd14271', NULL, 'UBA_YLR419W_like', NULL, NULL, 'UBA_YLR419W_like', 8493),
(8494, 'cd18326', NULL, 'BTB_POZ_ZBTB7A', NULL, NULL, 'BTB_POZ_ZBTB7A', 8494),
(8495, 'cd09194', NULL, 'PLDc_yTdp1_1', NULL, NULL, 'PLDc_yTdp1_1', 8495),
(8496, 'cd00073', NULL, 'H15', NULL, NULL, 'H15', 8496),
(8497, 'cd01913', NULL, 'protease_HslV', NULL, NULL, 'protease_HslV', 8497),
(8498, 'cd13970', NULL, 'ABC1_ADCK3', NULL, NULL, 'ABC1_ADCK3', 8498),
(8499, 'cd12950', NULL, 'RRP7_Rrp7p', NULL, NULL, 'RRP7_Rrp7p', 8499),
(8500, 'cd18570', NULL, 'ABC_6TM_PCAT1_LagD_like', NULL, NULL, 'ABC_6TM_PCAT1_LagD_like', 8500),
(8501, 'cd00118', NULL, 'LysM', NULL, NULL, 'LysM', 8501),
(8502, 'cd15864', NULL, 'SNARE_GS28', NULL, NULL, 'SNARE_GS28', 8502),
(8503, 'cd15895', NULL, 'SNARE_SNAP23N', NULL, NULL, 'SNARE_SNAP23N', 8503),
(8504, 'cd06299', NULL, 'PBP1_LacI-like', NULL, NULL, 'PBP1_LacI-like', 8504),
(8505, 'cd05667', NULL, 'M20_Acy1-like', NULL, NULL, 'M20_Acy1-like', 8505),
(8506, 'cd17271', NULL, 'RMtype1_S_NmaSCMORF606P_TRD2-CR2_like', NULL, NULL, 'RMtype1_S_NmaSCMORF606P_TRD2-CR2_like', 8506),
(8507, 'cd03057', NULL, 'GST_N_Beta', NULL, NULL, 'GST_N_Beta', 8507),
(8508, 'cd00040', NULL, 'CSF2', NULL, NULL, 'CSF2', 8508),
(8509, 'cd00560', NULL, 'PanC', NULL, NULL, 'PanC', 8509),
(8510, 'cd01026', NULL, 'TOPRIM_OLD', NULL, NULL, 'TOPRIM_OLD', 8510),
(8511, 'cd04860', NULL, 'AE_Prim_S', NULL, NULL, 'AE_Prim_S', 8511),
(8512, 'cd00496', NULL, 'PheRS_alpha_core', NULL, NULL, 'PheRS_alpha_core', 8512),
(8513, 'cd07963', NULL, 'Anticodon_Ia_Cys', NULL, NULL, 'Anticodon_Ia_Cys', 8513),
(8514, 'cd13375', NULL, 'PH_SynGAP', NULL, NULL, 'PH_SynGAP', 8514),
(8515, 'cd07643', NULL, 'I-BAR_IMD_MIM', NULL, NULL, 'I-BAR_IMD_MIM', 8515),
(8516, 'cd08929', NULL, 'SDR_c4', NULL, NULL, 'SDR_c4', 8516),
(8517, 'cd16134', NULL, 'RA_RASSF8', NULL, NULL, 'RA_RASSF8', 8517),
(8518, 'cd05596', NULL, 'STKc_ROCK', NULL, NULL, 'STKc_ROCK', 8518),
(8519, 'cd03446', NULL, 'MaoC_like', NULL, NULL, 'MaoC_like', 8519),
(8520, 'cd18428', NULL, 'BTB_POZ_KCNS3', NULL, NULL, 'BTB_POZ_KCNS3', 8520),
(8521, 'cd11835', NULL, 'SH3_ARHGAP32_33', NULL, NULL, 'SH3_ARHGAP32_33', 8521),
(8522, 'cd13546', NULL, 'PBP2_BitB', NULL, NULL, 'PBP2_BitB', 8522),
(8523, 'cd04614', NULL, 'CBS_pair_arch2_repeat2', NULL, NULL, 'CBS_pair_arch2_repeat2', 8523);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(8524, 'cd19835', NULL, 'Bbox2_TRIM65_C-IV', NULL, NULL, 'Bbox2_TRIM65_C-IV', 8524),
(8525, 'cd15115', NULL, '7tmA_C3aR', NULL, NULL, '7tmA_C3aR', 8525),
(8526, 'cd19717', NULL, 'bHLH_TS_NGN2_ATOH4', NULL, NULL, 'bHLH_TS_NGN2_ATOH4', 8526),
(8527, 'cd10434', NULL, 'GIY-YIG_UvrC_Cho', NULL, NULL, 'GIY-YIG_UvrC_Cho', 8527),
(8528, 'cd18947', NULL, 'bHLH-PAS_ARNT', NULL, NULL, 'bHLH-PAS_ARNT', 8528),
(8529, 'cd19442', NULL, 'CRBP', NULL, NULL, 'CRBP', 8529),
(8530, 'cd06926', NULL, 'RNAP_II_RPB11', NULL, NULL, 'RNAP_II_RPB11', 8530),
(8531, 'cd15318', NULL, '7tmA_TAAR5', NULL, NULL, '7tmA_TAAR5', 8531),
(8532, 'cd14762', NULL, 'GS_STAS', NULL, NULL, 'GS_STAS', 8532),
(8533, 'cd15358', NULL, '7tmA_NMU-R1', NULL, NULL, '7tmA_NMU-R1', 8533),
(8534, 'cd15849', NULL, 'SNARE_Sso1', NULL, NULL, 'SNARE_Sso1', 8534),
(8535, 'cd04150', NULL, 'Arf1_5_like', NULL, NULL, 'Arf1_5_like', 8535),
(8536, 'cd17253', NULL, 'RMtype1_S_Eco933I-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Eco933I-TRD2-CR2_like', 8536),
(8537, 'cd04680', NULL, 'Nudix_Hydrolase_21', NULL, NULL, 'Nudix_Hydrolase_21', 8537),
(8538, 'cd10491', NULL, 'MH1_SMAD_2_3', NULL, NULL, 'MH1_SMAD_2_3', 8538),
(8539, 'cd19719', NULL, 'bHLH_TS_NeuroD1', NULL, NULL, 'bHLH_TS_NeuroD1', 8539),
(8540, 'cd07357', NULL, 'HN_L-whirlin_R2_like', NULL, NULL, 'HN_L-whirlin_R2_like', 8540),
(8541, 'cd03690', NULL, 'Tet_II', NULL, NULL, 'Tet_II', 8541),
(8542, 'cd06651', NULL, 'STKc_MEKK3', NULL, NULL, 'STKc_MEKK3', 8542),
(8543, 'cd12192', NULL, 'GCN4_cent', NULL, NULL, 'GCN4_cent', 8543),
(8544, 'cd13964', NULL, 'PT_UbiA_1', NULL, NULL, 'PT_UbiA_1', 8544),
(8545, 'cd14340', NULL, 'UBA_BRSK', NULL, NULL, 'UBA_BRSK', 8545),
(8546, 'cd18545', NULL, 'ABC_6TM_YknV_like', NULL, NULL, 'ABC_6TM_YknV_like', 8546),
(8547, 'cd07565', NULL, 'aliphatic_amidase', NULL, NULL, 'aliphatic_amidase', 8547),
(8548, 'cd08023', NULL, 'GH16_laminarinase_like', NULL, NULL, 'GH16_laminarinase_like', 8548),
(8549, 'cd08195', NULL, 'DHQS', NULL, NULL, 'DHQS', 8549),
(8550, 'cd12433', NULL, 'RRM_Yme2p_like', NULL, NULL, 'RRM_Yme2p_like', 8550),
(8551, 'cd15695', NULL, 'ePHD1_KMT2D', NULL, NULL, 'ePHD1_KMT2D', 8551),
(8552, 'cd16999', NULL, 'VHS_STAM2', NULL, NULL, 'VHS_STAM2', 8552),
(8553, 'cd09457', NULL, 'LIM2_ENH', NULL, NULL, 'LIM2_ENH', 8553),
(8554, 'cd15167', NULL, '7tmA_GPR171', NULL, NULL, '7tmA_GPR171', 8554),
(8555, 'cd00997', NULL, 'PBP2_GluR0', NULL, NULL, 'PBP2_GluR0', 8555),
(8556, 'cd03037', NULL, 'GST_N_GRX2', NULL, NULL, 'GST_N_GRX2', 8556),
(8557, 'cd03112', NULL, 'CobW-like', NULL, NULL, 'CobW-like', 8557),
(8558, 'cd09805', NULL, 'type2_17beta_HSD-like_SDR_c', NULL, NULL, 'type2_17beta_HSD-like_SDR_c', 8558),
(8559, 'cd14479', NULL, 'SPX-MFS_plant', NULL, NULL, 'SPX-MFS_plant', 8559),
(8560, 'cd13681', NULL, 'PBP2_TRAP_lactate', NULL, NULL, 'PBP2_TRAP_lactate', 8560),
(8561, 'cd01782', NULL, 'RA1_Afadin', NULL, NULL, 'RA1_Afadin', 8561),
(8562, 'cd02225', NULL, 'cupin_PA3510-like', NULL, NULL, 'cupin_PA3510-like', 8562),
(8563, 'cd14583', NULL, 'PTP-MTMR7', NULL, NULL, 'PTP-MTMR7', 8563),
(8564, 'cd05847', NULL, 'IgC_CH2_IgE', NULL, NULL, 'IgC_CH2_IgE', 8564),
(8565, 'cd17497', NULL, 'RMtype1_S_TteMORF1547P-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_TteMORF1547P-TRD2-CR2_like', 8565),
(8566, 'cd07029', NULL, 'RNAP_I_III_AC19', NULL, NULL, 'RNAP_I_III_AC19', 8566),
(8567, 'cd00291', NULL, 'SirA_YedF_YeeD', NULL, NULL, 'SirA_YedF_YeeD', 8567),
(8568, 'cd00580', NULL, 'CHMI', NULL, NULL, 'CHMI', 8568),
(8569, 'cd11642', NULL, 'SUMT', NULL, NULL, 'SUMT', 8569),
(8570, 'cd15973', NULL, '7tmA_SSTR4', NULL, NULL, '7tmA_SSTR4', 8570),
(8571, 'cd15072', NULL, '7tmA_Retinal_GPR', NULL, NULL, '7tmA_Retinal_GPR', 8571),
(8572, 'cd11704', NULL, 'DHR2_DOCK3', NULL, NULL, 'DHR2_DOCK3', 8572),
(8573, 'cd06499', NULL, 'GT_MraY-like', NULL, NULL, 'GT_MraY-like', 8573),
(8574, 'cd08801', NULL, 'Death_UNC5D', NULL, NULL, 'Death_UNC5D', 8574),
(8575, 'cd03217', NULL, 'ABC_FeS_Assembly', NULL, NULL, 'ABC_FeS_Assembly', 8575),
(8576, 'cd04080', NULL, 'CBM6_cellulase-like', NULL, NULL, 'CBM6_cellulase-like', 8576);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(8577, 'cd06934', NULL, 'NR_LBD_PXR_like', NULL, NULL, 'NR_LBD_PXR_like', 8577),
(8578, 'cd07184', NULL, 'E_set_Isoamylase_like_N', NULL, NULL, 'E_set_Isoamylase_like_N', 8578),
(8579, 'cd18544', NULL, 'ABC_6TM_TmrA_like', NULL, NULL, 'ABC_6TM_TmrA_like', 8579),
(8580, 'cd18915', NULL, 'bHLH_AtLHW_like', NULL, NULL, 'bHLH_AtLHW_like', 8580),
(8581, 'cd14328', NULL, 'UBA_TNK1', NULL, NULL, 'UBA_TNK1', 8581),
(8582, 'cd19956', NULL, 'serpinB', NULL, NULL, 'serpinB', 8582),
(8583, 'cd13876', NULL, 'CuRO_2_Abr2_like', NULL, NULL, 'CuRO_2_Abr2_like', 8583),
(8584, 'cd16665', NULL, 'RING-H2_RNF13_like', NULL, NULL, 'RING-H2_RNF13_like', 8584),
(8585, 'cd03529', NULL, 'Rieske_NirD', NULL, NULL, 'Rieske_NirD', 8585),
(8586, 'cd18350', NULL, 'BTB_POZ_ABTB2_BPOZ2', NULL, NULL, 'BTB_POZ_ABTB2_BPOZ2', 8586),
(8587, 'cd16578', NULL, 'RING-HC_TRIM42_C-III', NULL, NULL, 'RING-HC_TRIM42_C-III', 8587),
(8588, 'cd14693', NULL, 'bZIP_CEBP', NULL, NULL, 'bZIP_CEBP', 8588),
(8589, 'cd03160', NULL, 'CD37_CD82_like_LEL', NULL, NULL, 'CD37_CD82_like_LEL', 8589),
(8590, 'cd18105', NULL, 'SpoU-like_MRM1', NULL, NULL, 'SpoU-like_MRM1', 8590),
(8591, 'cd00130', NULL, 'PAS', NULL, NULL, 'PAS', 8591),
(8592, 'cd14856', NULL, 'TRAPPC4_synbindin', NULL, NULL, 'TRAPPC4_synbindin', 8592),
(8593, 'cd09869', NULL, 'PIN_GEN1', NULL, NULL, 'PIN_GEN1', 8593),
(8594, 'cd01272', NULL, 'PTB1_Fe65', NULL, NULL, 'PTB1_Fe65', 8594),
(8595, 'cd15499', NULL, 'PHD1_MTF2_PHF19_like', NULL, NULL, 'PHD1_MTF2_PHF19_like', 8595),
(8596, 'cd07949', NULL, 'PCA_45_Doxase_B_like_1', NULL, NULL, 'PCA_45_Doxase_B_like_1', 8596),
(8597, 'cd02343', NULL, 'ZZ_EF', NULL, NULL, 'ZZ_EF', 8597),
(8598, 'cd17379', NULL, 'MFS_SLC22A1_2_3', NULL, NULL, 'MFS_SLC22A1_2_3', 8598),
(8599, 'cd19182', NULL, 'SET_KMT2E', NULL, NULL, 'SET_KMT2E', 8599),
(8600, 'cd14109', NULL, 'PK_Unc-89_rpt1', NULL, NULL, 'PK_Unc-89_rpt1', 8600),
(8601, 'cd15961', NULL, '7tmA_GPR12', NULL, NULL, '7tmA_GPR12', 8601),
(8602, 'cd03074', NULL, 'PDI_b''_Calsequestrin_C', NULL, NULL, 'PDI_b''_Calsequestrin_C', 8602),
(8603, 'cd16799', NULL, 'RING-H2_ZNRF3', NULL, NULL, 'RING-H2_ZNRF3', 8603),
(8604, 'cd19756', NULL, 'Bbox2', NULL, NULL, 'Bbox2', 8604),
(8605, 'cd02242', NULL, 'cupin_11S_legumin_N', NULL, NULL, 'cupin_11S_legumin_N', 8605),
(8606, 'cd18514', NULL, 'BACK_KLHL25_ENC2', NULL, NULL, 'BACK_KLHL25_ENC2', 8606),
(8607, 'cd13168', NULL, 'PTB_LOC417372', NULL, NULL, 'PTB_LOC417372', 8607),
(8608, 'cd10925', NULL, 'CE4_u1', NULL, NULL, 'CE4_u1', 8608),
(8609, 'cd11972', NULL, 'SH3_Abi2', NULL, NULL, 'SH3_Abi2', 8609),
(8610, 'cd05198', NULL, 'formate_dh_like', NULL, NULL, 'formate_dh_like', 8610),
(8611, 'cd16451', NULL, 'mRING_PEX12', NULL, NULL, 'mRING_PEX12', 8611),
(8612, 'cd03130', NULL, 'GATase1_CobB', NULL, NULL, 'GATase1_CobB', 8612),
(8613, 'cd19946', NULL, 'GlpA-like_Fer2_BFD-like', NULL, NULL, 'GlpA-like_Fer2_BFD-like', 8613),
(8614, 'cd04187', NULL, 'DPM1_like_bac', NULL, NULL, 'DPM1_like_bac', 8614),
(8615, 'cd08540', NULL, 'SAM_PNT-ERG', NULL, NULL, 'SAM_PNT-ERG', 8615),
(8616, 'cd02034', NULL, 'CooC1', NULL, NULL, 'CooC1', 8616),
(8617, 'cd06953', NULL, 'NR_LBD_DHR4_like', NULL, NULL, 'NR_LBD_DHR4_like', 8617),
(8618, 'cd14190', NULL, 'STKc_MLCK2', NULL, NULL, 'STKc_MLCK2', 8618),
(8619, 'cd19735', NULL, 'bHLH-PAS_dCLOCK', NULL, NULL, 'bHLH-PAS_dCLOCK', 8619),
(8620, 'cd01206', NULL, 'EVH1_Homer_Vesl', NULL, NULL, 'EVH1_Homer_Vesl', 8620),
(8621, 'cd12741', NULL, 'RRM2_Fusilli', NULL, NULL, 'RRM2_Fusilli', 8621),
(8622, 'cd13434', NULL, 'SPFH_SLPs', NULL, NULL, 'SPFH_SLPs', 8622),
(8623, 'cd02556', NULL, 'PseudoU_synth_RluB', NULL, NULL, 'PseudoU_synth_RluB', 8623),
(8624, 'cd13313', NULL, 'PH_NF1', NULL, NULL, 'PH_NF1', 8624),
(8625, 'cd17004', NULL, 'CID_SCAF8', NULL, NULL, 'CID_SCAF8', 8625),
(8626, 'cd07583', NULL, 'nitrilase_5', NULL, NULL, 'nitrilase_5', 8626),
(8627, 'cd20253', NULL, 'Sarcolipin', NULL, NULL, 'Sarcolipin', 8627),
(8628, 'cd06431', NULL, 'GT8_LARGE_C', NULL, NULL, 'GT8_LARGE_C', 8628),
(8629, 'cd15854', NULL, 'SNARE_SNAP47C', NULL, NULL, 'SNARE_SNAP47C', 8629);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(8630, 'cd10966', NULL, 'CE4_yadE_5s', NULL, NULL, 'CE4_yadE_5s', 8630),
(8631, 'cd18805', NULL, 'SF2_C_suv3', NULL, NULL, 'SF2_C_suv3', 8631),
(8632, 'cd10003', NULL, 'HDAC6-dom2', NULL, NULL, 'HDAC6-dom2', 8632),
(8633, 'cd11962', NULL, 'SH3_Abp1_fungi_C1', NULL, NULL, 'SH3_Abp1_fungi_C1', 8633),
(8634, 'cd03198', NULL, 'GST_C_CLIC', NULL, NULL, 'GST_C_CLIC', 8634),
(8635, 'cd17903', NULL, 'ArfGap_AGFG2', NULL, NULL, 'ArfGap_AGFG2', 8635),
(8636, 'cd16040', NULL, 'SPRY_PRY_SNTX', NULL, NULL, 'SPRY_PRY_SNTX', 8636),
(8637, 'cd02325', NULL, 'R3H', NULL, NULL, 'R3H', 8637),
(8638, 'cd13229', NULL, 'PH_TFIIH', NULL, NULL, 'PH_TFIIH', 8638),
(8639, 'cd15045', NULL, '7tmC_mGluRs', NULL, NULL, '7tmC_mGluRs', 8639),
(8640, 'sd00036', NULL, 'LRR_3', NULL, NULL, 'LRR_3', 8640),
(8641, 'cd00255', NULL, 'nidG2', NULL, NULL, 'nidG2', 8641),
(8642, 'cd15638', NULL, 'PHD_PHF3', NULL, NULL, 'PHD_PHF3', 8642),
(8643, 'cd10954', NULL, 'CE4_CtAXE_like', NULL, NULL, 'CE4_CtAXE_like', 8643),
(8644, 'cd01909', NULL, 'betaLS_CarA_N', NULL, NULL, 'betaLS_CarA_N', 8644),
(8645, 'cd16143', NULL, 'ARS_like', NULL, NULL, 'ARS_like', 8645),
(8646, 'cd17189', NULL, 'FERM_F1_FARP1', NULL, NULL, 'FERM_F1_FARP1', 8646),
(8647, 'cd07136', NULL, 'ALDH_YwdH-P39616', NULL, NULL, 'ALDH_YwdH-P39616', 8647),
(8648, 'cd04592', NULL, 'CBS_pair_voltage-gated_CLC_euk_bac', NULL, NULL, 'CBS_pair_voltage-gated_CLC_euk_bac', 8648),
(8649, 'cd15812', NULL, 'SPRY_PRY_TRIM17', NULL, NULL, 'SPRY_PRY_TRIM17', 8649),
(8650, 'cd01295', NULL, 'AdeC', NULL, NULL, 'AdeC', 8650),
(8651, 'cd12113', NULL, 'PHP_PolIIIA_DnaE3', NULL, NULL, 'PHP_PolIIIA_DnaE3', 8651),
(8652, 'cd17235', NULL, 'Ubl_ATG8_MAP1LC3B', NULL, NULL, 'Ubl_ATG8_MAP1LC3B', 8652),
(8653, 'cd03221', NULL, 'ABCF_EF-3', NULL, NULL, 'ABCF_EF-3', 8653),
(8654, 'cd07498', NULL, 'Peptidases_S8_15', NULL, NULL, 'Peptidases_S8_15', 8654),
(8655, 'cd03331', NULL, 'Macro_Poa1p-like_SNF2', NULL, NULL, 'Macro_Poa1p-like_SNF2', 8655),
(8656, 'cd11585', NULL, 'SATB1_N', NULL, NULL, 'SATB1_N', 8656),
(8657, 'cd13957', NULL, 'PT_UbiA_Cox10', NULL, NULL, 'PT_UbiA_Cox10', 8657),
(8658, 'cd17124', NULL, 'Ubl_TECR', NULL, NULL, 'Ubl_TECR', 8658),
(8659, 'cd03517', NULL, 'Link_domain_CSPGs_modules_1_3', NULL, NULL, 'Link_domain_CSPGs_modules_1_3', 8659),
(8660, 'cd07816', NULL, 'Bet_v1-like', NULL, NULL, 'Bet_v1-like', 8660),
(8661, 'cd07851', NULL, 'STKc_p38', NULL, NULL, 'STKc_p38', 8661),
(8662, 'cd15035', NULL, '7tmF_FZD5_FZD8-like', NULL, NULL, '7tmF_FZD5_FZD8-like', 8662),
(8663, 'cd09245', NULL, 'BRO1_UmRIM23-like', NULL, NULL, 'BRO1_UmRIM23-like', 8663),
(8664, 'cd20234', NULL, 'PFM_fascin-like', NULL, NULL, 'PFM_fascin-like', 8664),
(8665, 'cd04695', NULL, 'Nudix_Hydrolase_36', NULL, NULL, 'Nudix_Hydrolase_36', 8665),
(8666, 'cd01585', NULL, 'AcnA_Bact', NULL, NULL, 'AcnA_Bact', 8666),
(8667, 'cd06188', NULL, 'NADH_quinone_reductase', NULL, NULL, 'NADH_quinone_reductase', 8667),
(8668, 'cd11574', NULL, 'GH99', NULL, NULL, 'GH99', 8668),
(8669, 'cd17785', NULL, 'CBS_pair_bac_arch', NULL, NULL, 'CBS_pair_bac_arch', 8669),
(8670, 'cd04595', NULL, 'CBS_pair_DHH_polyA_Pol_assoc', NULL, NULL, 'CBS_pair_DHH_polyA_Pol_assoc', 8670),
(8671, 'cd15148', NULL, '7tmA_GPR34-like', NULL, NULL, '7tmA_GPR34-like', 8671),
(8672, 'cd18833', NULL, 'GH43_PcXyl-like', NULL, NULL, 'GH43_PcXyl-like', 8672),
(8673, 'cd11723', NULL, 'YabN_N_like', NULL, NULL, 'YabN_N_like', 8673),
(8674, 'cd18253', NULL, 'BTB_POZ_KLHL24_KRIP6', NULL, NULL, 'BTB_POZ_KLHL24_KRIP6', 8674),
(8675, 'cd09878', NULL, 'PIN_VapC_VirB11L-ATPase-like', NULL, NULL, 'PIN_VapC_VirB11L-ATPase-like', 8675),
(8676, 'cd12355', NULL, 'RRM_RBM18', NULL, NULL, 'RRM_RBM18', 8676),
(8677, 'cd08157', NULL, 'catalase_fungal', NULL, NULL, 'catalase_fungal', 8677),
(8678, 'cd18970', NULL, 'CD_POL_like', NULL, NULL, 'CD_POL_like', 8678),
(8679, 'cd21165', NULL, 'M_cv-Nsp15-like', NULL, NULL, 'M_cv-Nsp15-like', 8679),
(8680, 'cd07049', NULL, 'BMC_EutL_repeat1', NULL, NULL, 'BMC_EutL_repeat1', 8680),
(8681, 'cd10407', NULL, 'SH2_Vav3', NULL, NULL, 'SH2_Vav3', 8681);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(8682, 'cd18539', NULL, 'SRP_G', NULL, NULL, 'SRP_G', 8682),
(8683, 'cd18614', NULL, 'GH130', NULL, NULL, 'GH130', 8683),
(8684, 'cd19179', NULL, 'SET_RBCMT', NULL, NULL, 'SET_RBCMT', 8684),
(8685, 'cd08430', NULL, 'PBP2_IlvY', NULL, NULL, 'PBP2_IlvY', 8685),
(8686, 'cd13936', NULL, 'PANDER_like', NULL, NULL, 'PANDER_like', 8686),
(8687, 'cd16716', NULL, 'vRING-HC_IRF2BP2', NULL, NULL, 'vRING-HC_IRF2BP2', 8687),
(8688, 'cd19695', NULL, 'bHLH_dnHLH_EMC_like', NULL, NULL, 'bHLH_dnHLH_EMC_like', 8688),
(8689, 'cd12839', NULL, 'Killer_toxin_beta', NULL, NULL, 'Killer_toxin_beta', 8689),
(8690, 'cd01893', NULL, 'Miro1', NULL, NULL, 'Miro1', 8690),
(8691, 'cd09073', NULL, 'ExoIII_AP-endo', NULL, NULL, 'ExoIII_AP-endo', 8691),
(8692, 'cd14065', NULL, 'PKc_LIMK_like', NULL, NULL, 'PKc_LIMK_like', 8692),
(8693, 'cd18829', NULL, 'GH43_BsArb43A-like', NULL, NULL, 'GH43_BsArb43A-like', 8693),
(8694, 'cd09000', NULL, 'GH43_SXA-like', NULL, NULL, 'GH43_SXA-like', 8694),
(8695, 'cd07586', NULL, 'nitrilase_8', NULL, NULL, 'nitrilase_8', 8695),
(8696, 'cd10241', NULL, 'HSPA5-like_NBD', NULL, NULL, 'HSPA5-like_NBD', 8696),
(8697, 'cd08003', NULL, 'WGR_PARP2_like', NULL, NULL, 'WGR_PARP2_like', 8697),
(8698, 'cd09920', NULL, 'SH2_Cbl-b_TKB', NULL, NULL, 'SH2_Cbl-b_TKB', 8698),
(8699, 'cd10909', NULL, 'ChtBD1_GH18_2', NULL, NULL, 'ChtBD1_GH18_2', 8699),
(8700, 'cd12294', NULL, 'RRM_Rrp7A', NULL, NULL, 'RRM_Rrp7A', 8700),
(8701, 'cd02960', NULL, 'AGR', NULL, NULL, 'AGR', 8701),
(8702, 'cd08558', NULL, 'PI-PLCc_eukaryota', NULL, NULL, 'PI-PLCc_eukaryota', 8702),
(8703, 'cd16512', NULL, 'RING-HC_LNX3_like', NULL, NULL, 'RING-HC_LNX3_like', 8703),
(8704, 'cd14084', NULL, 'STKc_Chk2', NULL, NULL, 'STKc_Chk2', 8704),
(8705, 'cd09803', NULL, 'UBAN', NULL, NULL, 'UBAN', 8705),
(8706, 'cd02966', NULL, 'TlpA_like_family', NULL, NULL, 'TlpA_like_family', 8706),
(8707, 'cd03076', NULL, 'GST_N_Pi', NULL, NULL, 'GST_N_Pi', 8707),
(8708, 'cd02992', NULL, 'PDI_a_QSOX', NULL, NULL, 'PDI_a_QSOX', 8708),
(8709, 'cd07875', NULL, 'STKc_JNK1', NULL, NULL, 'STKc_JNK1', 8709),
(8710, 'cd16698', NULL, 'RING_CH-C4HC3_MARCH1_like', NULL, NULL, 'RING_CH-C4HC3_MARCH1_like', 8710),
(8711, 'cd00106', NULL, 'KISc', NULL, NULL, 'KISc', 8711),
(8712, 'cd06941', NULL, 'NR_LBD_DmE78_like', NULL, NULL, 'NR_LBD_DmE78_like', 8712),
(8713, 'cd05640', NULL, 'M28_like', NULL, NULL, 'M28_like', 8713),
(8714, 'cd16664', NULL, 'RING-Ubox_PUB', NULL, NULL, 'RING-Ubox_PUB', 8714),
(8715, 'cd16489', NULL, 'mRING-CH-C4HC2H_ZNRF', NULL, NULL, 'mRING-CH-C4HC2H_ZNRF', 8715),
(8716, 'cd03795', NULL, 'GT4_WfcD-like', NULL, NULL, 'GT4_WfcD-like', 8716),
(8717, 'cd16427', NULL, 'TraM-like', NULL, NULL, 'TraM-like', 8717),
(8718, 'cd07553', NULL, 'P-type_ATPase_HM', NULL, NULL, 'P-type_ATPase_HM', 8718),
(8719, 'cd05575', NULL, 'STKc_SGK', NULL, NULL, 'STKc_SGK', 8719),
(8720, 'cd19576', NULL, 'serpinI2_pancpin', NULL, NULL, 'serpinI2_pancpin', 8720),
(8721, 'cd05967', NULL, 'PrpE', NULL, NULL, 'PrpE', 8721),
(8722, 'cd17401', NULL, 'MFS_SLCO2_OATP2', NULL, NULL, 'MFS_SLCO2_OATP2', 8722),
(8723, 'cd07810', NULL, 'FGGY_D-XK_2', NULL, NULL, 'FGGY_D-XK_2', 8723),
(8724, 'cd09993', NULL, 'HDAC_classIV', NULL, NULL, 'HDAC_classIV', 8724),
(8725, 'cd03589', NULL, 'CLECT_CEL-1_like', NULL, NULL, 'CLECT_CEL-1_like', 8725),
(8726, 'cd05095', NULL, 'PTKc_DDR2', NULL, NULL, 'PTKc_DDR2', 8726),
(8727, 'cd06844', NULL, 'STAS', NULL, NULL, 'STAS', 8727),
(8728, 'cd12505', NULL, 'RRM2_GRSF1', NULL, NULL, 'RRM2_GRSF1', 8728),
(8729, 'cd14259', NULL, 'PUFD_like', NULL, NULL, 'PUFD_like', 8729),
(8730, 'cd03084', NULL, 'phosphohexomutase', NULL, NULL, 'phosphohexomutase', 8730),
(8731, 'cd12383', NULL, 'RRM_RBM42', NULL, NULL, 'RRM_RBM42', 8731),
(8732, 'cd06099', NULL, 'CS_ACL-C_CCL', NULL, NULL, 'CS_ACL-C_CCL', 8732),
(8733, 'cd00383', NULL, 'trans_reg_C', NULL, NULL, 'trans_reg_C', 8733),
(8734, 'cd09714', NULL, 'Cas8c''_I-D', NULL, NULL, 'Cas8c''_I-D', 8734),
(8735, 'cd20185', NULL, 'M34_PABD', NULL, NULL, 'M34_PABD', 8735),
(8736, 'cd13758', NULL, 'TGF_beta_LEFTY1_2', NULL, NULL, 'TGF_beta_LEFTY1_2', 8736);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(8737, 'cd16703', NULL, 'RING_CH-C4HC3_MARCH7_like', NULL, NULL, 'RING_CH-C4HC3_MARCH7_like', 8737),
(8738, 'cd19532', NULL, 'C_PKS-NRPS', NULL, NULL, 'C_PKS-NRPS', 8738),
(8739, 'cd11304', NULL, 'Cadherin_repeat', NULL, NULL, 'Cadherin_repeat', 8739),
(8740, 'cd16341', NULL, 'FdhE', NULL, NULL, 'FdhE', 8740),
(8741, 'cd16867', NULL, 'ARID_ARID3', NULL, NULL, 'ARID_ARID3', 8741),
(8742, 'cd12170', NULL, '2-Hacid_dh_9', NULL, NULL, '2-Hacid_dh_9', 8742),
(8743, 'sd00004', NULL, 'PPR', NULL, NULL, 'PPR', 8743),
(8744, 'cd16636', NULL, 'mRING-HC-C3HC3D_SCAF11', NULL, NULL, 'mRING-HC-C3HC3D_SCAF11', 8744),
(8745, 'cd14776', NULL, 'HmpEc-globin-like', NULL, NULL, 'HmpEc-globin-like', 8745),
(8746, 'cd03474', NULL, 'Rieske_T4moC', NULL, NULL, 'Rieske_T4moC', 8746),
(8747, 'cd00288', NULL, 'Pyruvate_Kinase', NULL, NULL, 'Pyruvate_Kinase', 8747),
(8748, 'cd15976', NULL, '7tmA_ET-BR', NULL, NULL, '7tmA_ET-BR', 8748),
(8749, 'cd03453', NULL, 'SAV4209_like', NULL, NULL, 'SAV4209_like', 8749),
(8750, 'cd05501', NULL, 'Bromo_SP100C_like', NULL, NULL, 'Bromo_SP100C_like', 8750),
(8751, 'cd14593', NULL, 'PTP-MTMR10', NULL, NULL, 'PTP-MTMR10', 8751),
(8752, 'cd06187', NULL, 'O2ase_reductase_like', NULL, NULL, 'O2ase_reductase_like', 8752),
(8753, 'cd07714', NULL, 'RNaseJ_MBL-fold', NULL, NULL, 'RNaseJ_MBL-fold', 8753),
(8754, 'cd11706', NULL, 'DHR2_DOCK2', NULL, NULL, 'DHR2_DOCK2', 8754),
(8755, 'cd06888', NULL, 'PX_FISH', NULL, NULL, 'PX_FISH', 8755),
(8756, 'cd03379', NULL, 'beta_CA_cladeD', NULL, NULL, 'beta_CA_cladeD', 8756),
(8757, 'cd19993', NULL, 'PBP1_ABC_xylose_binding-like', NULL, NULL, 'PBP1_ABC_xylose_binding-like', 8757),
(8758, 'cd15222', NULL, '7tmA_OR51-like', NULL, NULL, '7tmA_OR51-like', 8758),
(8759, 'cd19173', NULL, 'SET_NSD', NULL, NULL, 'SET_NSD', 8759),
(8760, 'cd15305', NULL, '7tmA_5-HT2C', NULL, NULL, '7tmA_5-HT2C', 8760),
(8761, 'cd08434', NULL, 'PBP2_GltC_like', NULL, NULL, 'PBP2_GltC_like', 8761),
(8762, 'cd11852', NULL, 'SH3_Kalirin_1', NULL, NULL, 'SH3_Kalirin_1', 8762),
(8763, 'cd04250', NULL, 'AAK_NAGK-C', NULL, NULL, 'AAK_NAGK-C', 8763),
(8764, 'cd13295', NULL, 'PH_EFA6', NULL, NULL, 'PH_EFA6', 8764),
(8765, 'cd21627', NULL, 'batCoV-HKU9-like_Spike_S1_NTD', NULL, NULL, 'batCoV-HKU9-like_Spike_S1_NTD', 8765),
(8766, 'cd19390', NULL, 'TGF_beta_BMP2', NULL, NULL, 'TGF_beta_BMP2', 8766),
(8767, 'cd17808', NULL, 'HipA_Ec_like', NULL, NULL, 'HipA_Ec_like', 8767),
(8768, 'cd01357', NULL, 'Aspartase', NULL, NULL, 'Aspartase', 8768),
(8769, 'cd06263', NULL, 'MAM', NULL, NULL, 'MAM', 8769),
(8770, 'cd04116', NULL, 'Rab9', NULL, NULL, 'Rab9', 8770),
(8771, 'cd19968', NULL, 'PBP1_ABC_IbpA-like', NULL, NULL, 'PBP1_ABC_IbpA-like', 8771),
(8772, 'cd03444', NULL, 'Thioesterase_II_repeat1', NULL, NULL, 'Thioesterase_II_repeat1', 8772),
(8773, 'cd09622', NULL, 'CBM9_like_HisKa', NULL, NULL, 'CBM9_like_HisKa', 8773),
(8774, 'cd14862', NULL, 'Fe-ADH-like', NULL, NULL, 'Fe-ADH-like', 8774),
(8775, 'cd13574', NULL, 'PBP2_PnhD_4', NULL, NULL, 'PBP2_PnhD_4', 8775),
(8776, 'cd15057', NULL, '7tmA_D1-like_dopamine_R', NULL, NULL, '7tmA_D1-like_dopamine_R', 8776),
(8777, 'cd07401', NULL, 'MPP_TMEM62_N', NULL, NULL, 'MPP_TMEM62_N', 8777),
(8778, 'cd11517', NULL, 'SLC6sbd_B0AT3', NULL, NULL, 'SLC6sbd_B0AT3', 8778),
(8779, 'cd15814', NULL, 'SPRY_PRY_TRIM27', NULL, NULL, 'SPRY_PRY_TRIM27', 8779),
(8780, 'cd11315', NULL, 'AmyAc_bac1_AmyA', NULL, NULL, 'AmyAc_bac1_AmyA', 8780),
(8781, 'cd08183', NULL, 'Fe-ADH-like', NULL, NULL, 'Fe-ADH-like', 8781),
(8782, 'cd14714', NULL, 'bZIP_CEBPD', NULL, NULL, 'bZIP_CEBPD', 8782),
(8783, 'cd15172', NULL, '7tmA_CCR6', NULL, NULL, '7tmA_CCR6', 8783),
(8784, 'cd04932', NULL, 'ACT_AKiii-LysC-EC_1', NULL, NULL, 'ACT_AKiii-LysC-EC_1', 8784),
(8785, 'cd01119', NULL, 'Chemokine_CC_DCCL', NULL, NULL, 'Chemokine_CC_DCCL', 8785),
(8786, 'cd06229', NULL, 'M14_Endopeptidase_I', NULL, NULL, 'M14_Endopeptidase_I', 8786),
(8787, 'cd10527', NULL, 'SET_LSMT', NULL, NULL, 'SET_LSMT', 8787),
(8788, 'cd14331', NULL, 'UBA_HERC1_2', NULL, NULL, 'UBA_HERC1_2', 8788),
(8789, 'cd07476', NULL, 'Peptidases_S8_thiazoline_oxidase_subtilisin-li...', NULL, NULL, 'Peptidases_S8_thiazoline_oxidase_subtilisin-like_protease', 8789);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(8790, 'cd19750', NULL, 'bHLH-O_DEC2', NULL, NULL, 'bHLH-O_DEC2', 8790),
(8791, 'cd09114', NULL, 'PLDc_PPK1_C1', NULL, NULL, 'PLDc_PPK1_C1', 8791),
(8792, 'cd15771', NULL, 'FYVE1_BSN_PCLO', NULL, NULL, 'FYVE1_BSN_PCLO', 8792),
(8793, 'cd16190', NULL, 'EFh_PEF_CAPN3', NULL, NULL, 'EFh_PEF_CAPN3', 8793),
(8794, 'cd14963', NULL, 'NHL_like_5', NULL, NULL, 'NHL_like_5', 8794),
(8795, 'cd06863', NULL, 'PX_Atg24p', NULL, NULL, 'PX_Atg24p', 8795),
(8796, 'cd06579', NULL, 'TM_PBP1_transp_AraH_like', NULL, NULL, 'TM_PBP1_transp_AraH_like', 8796),
(8797, 'cd01968', NULL, 'Nitrogenase_NifE_I', NULL, NULL, 'Nitrogenase_NifE_I', 8797),
(8798, 'cd13676', NULL, 'PBP2_TRAP_DctP2_like', NULL, NULL, 'PBP2_TRAP_DctP2_like', 8798),
(8799, 'cd10147', NULL, 'Wzt_C-like', NULL, NULL, 'Wzt_C-like', 8799),
(8800, 'cd14779', NULL, 'FHP_Ae-globin-like', NULL, NULL, 'FHP_Ae-globin-like', 8800),
(8801, 'cd07337', NULL, 'M48B_HtpX_like', NULL, NULL, 'M48B_HtpX_like', 8801),
(8802, 'cd05715', NULL, 'Ig_P0-like', NULL, NULL, 'Ig_P0-like', 8802),
(8803, 'cd07450', NULL, 'CRD_FZ6', NULL, NULL, 'CRD_FZ6', 8803),
(8804, 'cd10447', NULL, 'GIY-YIG_unchar_2', NULL, NULL, 'GIY-YIG_unchar_2', 8804),
(8805, 'cd16526', NULL, 'RING-HC_PEX2', NULL, NULL, 'RING-HC_PEX2', 8805),
(8806, 'cd09973', NULL, 'LOTUS_2_TDRD7', NULL, NULL, 'LOTUS_2_TDRD7', 8806),
(8807, 'cd03724', NULL, 'SOCS_ASB5', NULL, NULL, 'SOCS_ASB5', 8807),
(8808, 'cd04163', NULL, 'Era', NULL, NULL, 'Era', 8808),
(8809, 'cd14609', NULL, 'R-PTP-N', NULL, NULL, 'R-PTP-N', 8809),
(8810, 'cd03386', NULL, 'PAP2_Aur1_like', NULL, NULL, 'PAP2_Aur1_like', 8810),
(8811, 'cd04144', NULL, 'Ras2', NULL, NULL, 'Ras2', 8811),
(8812, 'cd06331', NULL, 'PBP1_AmiC-like', NULL, NULL, 'PBP1_AmiC-like', 8812),
(8813, 'cd15164', NULL, '7tmA_GPR35-like', NULL, NULL, '7tmA_GPR35-like', 8813),
(8814, 'cd01832', NULL, 'SGNH_hydrolase_like_1', NULL, NULL, 'SGNH_hydrolase_like_1', 8814),
(8815, 'cd11429', NULL, 'bHLH_TS_OLIG', NULL, NULL, 'bHLH_TS_OLIG', 8815),
(8816, 'cd03738', NULL, 'SOCS_SOCS4', NULL, NULL, 'SOCS_SOCS4', 8816),
(8817, 'cd17522', NULL, 'RMtype1_S_MjaORF1531P-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_MjaORF1531P-TRD1-CR1_like', 8817),
(8818, 'cd14280', NULL, 'UBA1_Rad23_like', NULL, NULL, 'UBA1_Rad23_like', 8818),
(8819, 'cd00413', NULL, 'Glyco_hydrolase_16', NULL, NULL, 'Glyco_hydrolase_16', 8819),
(8820, 'cd18695', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 8820),
(8821, 'cd16705', NULL, 'RING-HC_dBre1_like', NULL, NULL, 'RING-HC_dBre1_like', 8821),
(8822, 'cd00519', NULL, 'Lipase_3', NULL, NULL, 'Lipase_3', 8822),
(8823, 'cd17409', NULL, 'MFS_NIMT_like', NULL, NULL, 'MFS_NIMT_like', 8823),
(8824, 'cd13864', NULL, 'CuRO_1_MCO_like_2', NULL, NULL, 'CuRO_1_MCO_like_2', 8824),
(8825, 'cd14616', NULL, 'R-PTPc-Q', NULL, NULL, 'R-PTPc-Q', 8825),
(8826, 'cd15705', NULL, 'ePHD_JADE2', NULL, NULL, 'ePHD_JADE2', 8826),
(8827, 'cd16901', NULL, 'lyz_P1', NULL, NULL, 'lyz_P1', 8827),
(8828, 'cd09633', NULL, 'Deltex_C', NULL, NULL, 'Deltex_C', 8828),
(8829, 'cd17084', NULL, 'RAWUL_PCGF5', NULL, NULL, 'RAWUL_PCGF5', 8829),
(8830, 'cd13640', NULL, 'PBP2_ChoX', NULL, NULL, 'PBP2_ChoX', 8830),
(8831, 'cd09584', NULL, 'SAM_sec23ip', NULL, NULL, 'SAM_sec23ip', 8831),
(8832, 'cd16529', NULL, 'RING-HC_RAD18', NULL, NULL, 'RING-HC_RAD18', 8832),
(8833, 'cd06896', NULL, 'PX_PI3K_C2_gamma', NULL, NULL, 'PX_PI3K_C2_gamma', 8833),
(8834, 'cd01040', NULL, 'Mb-like', NULL, NULL, 'Mb-like', 8834),
(8835, 'cd06300', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 8835),
(8836, 'cd11957', NULL, 'SH3_RUSC2', NULL, NULL, 'SH3_RUSC2', 8836),
(8837, 'cd17207', NULL, 'FERM_F1_PLEKHH3', NULL, NULL, 'FERM_F1_PLEKHH3', 8837),
(8838, 'cd10454', NULL, 'GIY-YIG_COG3680_Meta', NULL, NULL, 'GIY-YIG_COG3680_Meta', 8838),
(8839, 'cd14512', NULL, 'DSP_MKP', NULL, NULL, 'DSP_MKP', 8839),
(8840, 'cd09241', NULL, 'BRO1_ScRim20-like', NULL, NULL, 'BRO1_ScRim20-like', 8840),
(8841, 'cd15810', NULL, 'SPRY_PRY_TRIM5_6_22_34', NULL, NULL, 'SPRY_PRY_TRIM5_6_22_34', 8841),
(8842, 'cd13351', NULL, 'PH-GRAM1_TCB1D9_TCB1D9B', NULL, NULL, 'PH-GRAM1_TCB1D9_TCB1D9B', 8842);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(8843, 'cd01033', NULL, 'ClC_like', NULL, NULL, 'ClC_like', 8843),
(8844, 'cd11848', NULL, 'SH3_SLAP-like', NULL, NULL, 'SH3_SLAP-like', 8844),
(8845, 'cd15949', NULL, '7tmA_OR52M-like', NULL, NULL, '7tmA_OR52M-like', 8845),
(8846, 'cd17389', NULL, 'MFS_MFSD10', NULL, NULL, 'MFS_MFSD10', 8846),
(8847, 'cd16677', NULL, 'RING1-H2_RNF32', NULL, NULL, 'RING1-H2_RNF32', 8847),
(8848, 'cd19150', NULL, 'AKR_AKR14A1', NULL, NULL, 'AKR_AKR14A1', 8848),
(8849, 'cd12518', NULL, 'RRM_SRSF11', NULL, NULL, 'RRM_SRSF11', 8849),
(8850, 'cd19379', NULL, 'TGF_beta_GSDF', NULL, NULL, 'TGF_beta_GSDF', 8850),
(8851, 'cd08945', NULL, 'PKR_SDR_c', NULL, NULL, 'PKR_SDR_c', 8851),
(8852, 'cd04193', NULL, 'UDPGlcNAc_PPase', NULL, NULL, 'UDPGlcNAc_PPase', 8852),
(8853, 'cd07821', NULL, 'PYR_PYL_RCAR_like', NULL, NULL, 'PYR_PYL_RCAR_like', 8853),
(8854, 'cd03005', NULL, 'PDI_a_ERp46', NULL, NULL, 'PDI_a_ERp46', 8854),
(8855, 'cd05509', NULL, 'Bromo_gcn5_like', NULL, NULL, 'Bromo_gcn5_like', 8855),
(8856, 'cd09703', NULL, 'Cas6-I-III', NULL, NULL, 'Cas6-I-III', 8856),
(8857, 'cd03423', NULL, 'SirA', NULL, NULL, 'SirA', 8857),
(8858, 'cd15843', NULL, 'R-SNARE', NULL, NULL, 'R-SNARE', 8858),
(8859, 'cd13571', NULL, 'PBP2_PnhD_1', NULL, NULL, 'PBP2_PnhD_1', 8859),
(8860, 'cd17338', NULL, 'MFS_unc93_like', NULL, NULL, 'MFS_unc93_like', 8860),
(8861, 'cd20262', NULL, 'Complex1_LYR_LYRM2', NULL, NULL, 'Complex1_LYR_LYRM2', 8861),
(8862, 'cd14788', NULL, 'GumN', NULL, NULL, 'GumN', 8862),
(8863, 'cd03735', NULL, 'SOCS_SOCS1', NULL, NULL, 'SOCS_SOCS1', 8863),
(8864, 'cd07466', NULL, 'CRD_FZ7', NULL, NULL, 'CRD_FZ7', 8864),
(8865, 'cd07902', NULL, 'Adenylation_DNA_ligase_III', NULL, NULL, 'Adenylation_DNA_ligase_III', 8865),
(8866, 'cd03727', NULL, 'SOCS_ASB8', NULL, NULL, 'SOCS_ASB8', 8866),
(8867, 'cd08343', NULL, 'ED_TypeI_classII_C', NULL, NULL, 'ED_TypeI_classII_C', 8867),
(8868, 'cd12434', NULL, 'RRM_RCAN_like', NULL, NULL, 'RRM_RCAN_like', 8868),
(8869, 'cd06136', NULL, 'TREX1_2', NULL, NULL, 'TREX1_2', 8869),
(8870, 'cd18197', NULL, 'BTB_POZ_ZBTB6', NULL, NULL, 'BTB_POZ_ZBTB6', 8870),
(8871, 'cd15067', NULL, '7tmA_Dop1R2-like', NULL, NULL, '7tmA_Dop1R2-like', 8871),
(8872, 'cd15143', NULL, '7tmA_TXA2_R', NULL, NULL, '7tmA_TXA2_R', 8872),
(8873, 'cd01854', NULL, 'YjeQ_EngC', NULL, NULL, 'YjeQ_EngC', 8873),
(8874, 'cd15683', NULL, 'PHD_ING2', NULL, NULL, 'PHD_ING2', 8874),
(8875, 'cd14889', NULL, 'MYSc_Myo28', NULL, NULL, 'MYSc_Myo28', 8875),
(8876, 'cd19164', NULL, 'AKR_ARA2', NULL, NULL, 'AKR_ARA2', 8876),
(8877, 'cd11430', NULL, 'bHLH_TS_ATOH1_like', NULL, NULL, 'bHLH_TS_ATOH1_like', 8877),
(8878, 'cd18933', NULL, 'bHLH-O_HES3', NULL, NULL, 'bHLH-O_HES3', 8878),
(8879, 'cd02424', NULL, 'Peptidase_C39E', NULL, NULL, 'Peptidase_C39E', 8879),
(8880, 'cd14435', NULL, 'SPO1_TF1_like', NULL, NULL, 'SPO1_TF1_like', 8880),
(8881, 'cd06101', NULL, 'citrate_synt', NULL, NULL, 'citrate_synt', 8881),
(8882, 'cd03391', NULL, 'PAP2_containing_2_like', NULL, NULL, 'PAP2_containing_2_like', 8882),
(8883, 'cd04202', NULL, 'CuRO_D2_2dMcoN_like', NULL, NULL, 'CuRO_D2_2dMcoN_like', 8883),
(8884, 'cd06952', NULL, 'NR_LBD_TR2_like', NULL, NULL, 'NR_LBD_TR2_like', 8884),
(8885, 'cd19703', NULL, 'bHLH_TS_musculin', NULL, NULL, 'bHLH_TS_musculin', 8885),
(8886, 'cd13306', NULL, 'PH1_AFAP', NULL, NULL, 'PH1_AFAP', 8886),
(8887, 'cd13239', NULL, 'PH_Obscurin', NULL, NULL, 'PH_Obscurin', 8887),
(8888, 'cd14653', NULL, 'ZIP_Gal4p-like', NULL, NULL, 'ZIP_Gal4p-like', 8888),
(8889, 'cd18548', NULL, 'ABC_6TM_Tm287_like', NULL, NULL, 'ABC_6TM_Tm287_like', 8889),
(8890, 'cd09244', NULL, 'BRO1_Rhophilin', NULL, NULL, 'BRO1_Rhophilin', 8890),
(8891, 'cd05565', NULL, 'PTS_IIB_lactose', NULL, NULL, 'PTS_IIB_lactose', 8891),
(8892, 'cd12714', NULL, 'RRM1_MATR3', NULL, NULL, 'RRM1_MATR3', 8892),
(8893, 'cd04089', NULL, 'eRF3_II', NULL, NULL, 'eRF3_II', 8893),
(8894, 'cd09907', NULL, 'H3TH_FEN1-Euk', NULL, NULL, 'H3TH_FEN1-Euk', 8894),
(8895, 'cd09910', NULL, 'NGN-insert_like', NULL, NULL, 'NGN-insert_like', 8895),
(8896, 'cd04236', NULL, 'AAK_NAGS-Urea', NULL, NULL, 'AAK_NAGS-Urea', 8896);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(8897, 'cd08224', NULL, 'STKc_Nek6_7', NULL, NULL, 'STKc_Nek6_7', 8897),
(8898, 'cd16949', NULL, 'HATPase_CpxA-like', NULL, NULL, 'HATPase_CpxA-like', 8898),
(8899, 'cd11564', NULL, 'FAT-like_CAS_C', NULL, NULL, 'FAT-like_CAS_C', 8899),
(8900, 'cd01072', NULL, 'PBP2_SMa0082_like', NULL, NULL, 'PBP2_SMa0082_like', 8900),
(8901, 'cd12171', NULL, '2-Hacid_dh_10', NULL, NULL, '2-Hacid_dh_10', 8901),
(8902, 'cd07599', NULL, 'BAR_Rvs167p', NULL, NULL, 'BAR_Rvs167p', 8902),
(8903, 'cd12460', NULL, 'RRM2_CID8_like', NULL, NULL, 'RRM2_CID8_like', 8903),
(8904, 'cd05391', NULL, 'RasGAP_p120GAP', NULL, NULL, 'RasGAP_p120GAP', 8904),
(8905, 'cd11918', NULL, 'SH3_Vinexin_3', NULL, NULL, 'SH3_Vinexin_3', 8905),
(8906, 'cd16293', NULL, 'CPSF2-like_MBL-fold', NULL, NULL, 'CPSF2-like_MBL-fold', 8906),
(8907, 'cd14545', NULL, 'PTPc-N1_2', NULL, NULL, 'PTPc-N1_2', 8907),
(8908, 'cd03341', NULL, 'TCP1_theta', NULL, NULL, 'TCP1_theta', 8908),
(8909, 'cd00424', NULL, 'PolY', NULL, NULL, 'PolY', 8909),
(8910, 'cd13400', NULL, 'LT_IagB-like', NULL, NULL, 'LT_IagB-like', 8910),
(8911, 'cd07475', NULL, 'Peptidases_S8_C5a_Peptidase', NULL, NULL, 'Peptidases_S8_C5a_Peptidase', 8911),
(8912, 'cd14514', NULL, 'DUSP14-like', NULL, NULL, 'DUSP14-like', 8912),
(8913, 'cd03748', NULL, 'Ntn_PGA', NULL, NULL, 'Ntn_PGA', 8913),
(8914, 'cd10354', NULL, 'SH2_Cterm_RasGAP', NULL, NULL, 'SH2_Cterm_RasGAP', 8914),
(8915, 'cd12038', NULL, 'SH3_MPP6', NULL, NULL, 'SH3_MPP6', 8915),
(8916, 'cd11016', NULL, 'CuRO_4_FVIII_like', NULL, NULL, 'CuRO_4_FVIII_like', 8916),
(8917, 'cd05767', NULL, 'IgC_MHC_II_alpha', NULL, NULL, 'IgC_MHC_II_alpha', 8917),
(8918, 'cd04787', NULL, 'HTH_HMRTR_unk', NULL, NULL, 'HTH_HMRTR_unk', 8918),
(8919, 'cd11768', NULL, 'SH3_Tec_like', NULL, NULL, 'SH3_Tec_like', 8919),
(8920, 'cd16878', NULL, 'ARID_ARID3A', NULL, NULL, 'ARID_ARID3A', 8920),
(8921, 'cd10314', NULL, 'FAM20_C', NULL, NULL, 'FAM20_C', 8921),
(8922, 'cd06244', NULL, 'M14-like', NULL, NULL, 'M14-like', 8922),
(8923, 'cd17809', NULL, 'HipA_So_like', NULL, NULL, 'HipA_So_like', 8923),
(8924, 'cd19038', NULL, 'LGIC_ECD_GABAAR_A5', NULL, NULL, 'LGIC_ECD_GABAAR_A5', 8924),
(8925, 'cd07291', NULL, 'PX_SNX5', NULL, NULL, 'PX_SNX5', 8925),
(8926, 'cd15215', NULL, '7tmA_GPR101', NULL, NULL, '7tmA_GPR101', 8926),
(8927, 'cd18679', NULL, 'PIN_VapC-Af1683-like', NULL, NULL, 'PIN_VapC-Af1683-like', 8927),
(8928, 'cd18074', NULL, 'DEXHc_RLR-2', NULL, NULL, 'DEXHc_RLR-2', 8928),
(8929, 'cd08398', NULL, 'C2_PI3K_class_I_alpha', NULL, NULL, 'C2_PI3K_class_I_alpha', 8929),
(8930, 'cd05869', NULL, 'Ig_NCAM-1', NULL, NULL, 'Ig_NCAM-1', 8930),
(8931, 'cd19555', NULL, 'serpinA7_TBG', NULL, NULL, 'serpinA7_TBG', 8931),
(8932, 'cd16285', NULL, 'MBL-B1', NULL, NULL, 'MBL-B1', 8932),
(8933, 'cd17282', NULL, 'RMtype1_S_Eco16444ORF1681_TRD1-CR1_like', NULL, NULL, 'RMtype1_S_Eco16444ORF1681_TRD1-CR1_like', 8933),
(8934, 'cd01855', NULL, 'YqeH', NULL, NULL, 'YqeH', 8934),
(8935, 'cd08346', NULL, 'PcpA_N_like', NULL, NULL, 'PcpA_N_like', 8935),
(8936, 'cd08188', NULL, 'PDDH', NULL, NULL, 'PDDH', 8936),
(8937, 'cd11343', NULL, 'AmyAc_Sucrose_phosphorylase-like', NULL, NULL, 'AmyAc_Sucrose_phosphorylase-like', 8937),
(8938, 'cd11577', NULL, 'GH71', NULL, NULL, 'GH71', 8938),
(8939, 'cd09692', NULL, 'Cas5_I-B', NULL, NULL, 'Cas5_I-B', 8939),
(8940, 'cd11904', NULL, 'SH3_Nck1_3', NULL, NULL, 'SH3_Nck1_3', 8940),
(8941, 'cd01403', NULL, 'Cyt_c_Oxidase_VIIb', NULL, NULL, 'Cyt_c_Oxidase_VIIb', 8941),
(8942, 'cd16332', NULL, 'Prp-like', NULL, NULL, 'Prp-like', 8942),
(8943, 'cd05115', NULL, 'PTKc_Zap-70', NULL, NULL, 'PTKc_Zap-70', 8943),
(8944, 'cd17248', NULL, 'RMtype1_S_AmiI-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_AmiI-TRD2-CR2_like', 8944),
(8945, 'cd10304', NULL, 'GST_C_Arc1p_N_like', NULL, NULL, 'GST_C_Arc1p_N_like', 8945),
(8946, 'cd11661', NULL, 'SANT_MTA3_like', NULL, NULL, 'SANT_MTA3_like', 8946),
(8947, 'cd12148', NULL, 'fungal_TF_MHR', NULL, NULL, 'fungal_TF_MHR', 8947),
(8948, 'cd18666', NULL, 'CD1_tandem_CHD1-2_like', NULL, NULL, 'CD1_tandem_CHD1-2_like', 8948),
(8949, 'cd16360', NULL, 'ED_TypeI_classII_N', NULL, NULL, 'ED_TypeI_classII_N', 8949);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(8950, 'cd05920', NULL, '23DHB-AMP_lg', NULL, NULL, '23DHB-AMP_lg', 8950),
(8951, 'cd18747', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 8951),
(8952, 'cd05835', NULL, 'Dnmt3b_related', NULL, NULL, 'Dnmt3b_related', 8952),
(8953, 'cd10146', NULL, 'LabA_like_C', NULL, NULL, 'LabA_like_C', 8953),
(8954, 'cd04128', NULL, 'Spg1', NULL, NULL, 'Spg1', 8954),
(8955, 'cd15197', NULL, '7tmA_NPSR', NULL, NULL, '7tmA_NPSR', 8955),
(8956, 'cd02572', NULL, 'PseudoU_synth_hDyskerin', NULL, NULL, 'PseudoU_synth_hDyskerin', 8956),
(8957, 'cd16074', NULL, 'OCRE', NULL, NULL, 'OCRE', 8957),
(8958, 'cd02199', NULL, 'YjgF_YER057c_UK114_like_1', NULL, NULL, 'YjgF_YER057c_UK114_like_1', 8958),
(8959, 'cd07951', NULL, 'ED_3B_N_AMMECR1', NULL, NULL, 'ED_3B_N_AMMECR1', 8959),
(8960, 'cd14542', NULL, 'PTPc-N22_18_12', NULL, NULL, 'PTPc-N22_18_12', 8960),
(8961, 'cd12630', NULL, 'RRM2_IGF2BP3', NULL, NULL, 'RRM2_IGF2BP3', 8961),
(8962, 'cd13299', NULL, 'PH2_PH_fungal', NULL, NULL, 'PH2_PH_fungal', 8962),
(8963, 'cd10506', NULL, 'RNAP_IV_RPD1_N', NULL, NULL, 'RNAP_IV_RPD1_N', 8963),
(8964, 'cd06363', NULL, 'PBP1_taste_receptor', NULL, NULL, 'PBP1_taste_receptor', 8964),
(8965, 'cd09097', NULL, 'Deadenylase_CCR4', NULL, NULL, 'Deadenylase_CCR4', 8965),
(8966, 'cd18247', NULL, 'BTB_POZ_KLHL18', NULL, NULL, 'BTB_POZ_KLHL18', 8966),
(8967, 'cd10466', NULL, 'FimH_man-bind', NULL, NULL, 'FimH_man-bind', 8967),
(8968, 'cd14898', NULL, 'MYSc_Myo37', NULL, NULL, 'MYSc_Myo37', 8968),
(8969, 'cd20493', NULL, 'M34_ATLF_C-like', NULL, NULL, 'M34_ATLF_C-like', 8969),
(8970, 'cd16627', NULL, 'RING-HC_RBR_parkin', NULL, NULL, 'RING-HC_RBR_parkin', 8970),
(8971, 'cd14061', NULL, 'STKc_MLK', NULL, NULL, 'STKc_MLK', 8971),
(8972, 'cd17373', NULL, 'MFS_SLC22A17_like', NULL, NULL, 'MFS_SLC22A17_like', 8972),
(8973, 'cd11288', NULL, 'gelsolin_S5_like', NULL, NULL, 'gelsolin_S5_like', 8973),
(8974, 'cd14717', NULL, 'bZIP_Maf_small', NULL, NULL, 'bZIP_Maf_small', 8974),
(8975, 'cd14263', NULL, 'DAGK_IM_like', NULL, NULL, 'DAGK_IM_like', 8975),
(8976, 'cd14375', NULL, 'CUE2_Cue2p_like', NULL, NULL, 'CUE2_Cue2p_like', 8976),
(8977, 'cd14538', NULL, 'PTPc-N20_13', NULL, NULL, 'PTPc-N20_13', 8977),
(8978, 'cd18473', NULL, 'BACK_KLHL34', NULL, NULL, 'BACK_KLHL34', 8978),
(8979, 'cd00649', NULL, 'catalase_peroxidase_1', NULL, NULL, 'catalase_peroxidase_1', 8979),
(8980, 'cd19424', NULL, 'lipocalin_NPs-like', NULL, NULL, 'lipocalin_NPs-like', 8980),
(8981, 'cd13225', NULL, 'PH-like_bacteria', NULL, NULL, 'PH-like_bacteria', 8981),
(8982, 'cd20220', NULL, 'PFM_natterin-3-like', NULL, NULL, 'PFM_natterin-3-like', 8982),
(8983, 'cd19177', NULL, 'SET_SETD4', NULL, NULL, 'SET_SETD4', 8983),
(8984, 'cd11014', NULL, 'Mavicyanin', NULL, NULL, 'Mavicyanin', 8984),
(8985, 'cd12876', NULL, 'SPRY_SOCS3', NULL, NULL, 'SPRY_SOCS3', 8985),
(8986, 'cd15492', NULL, 'PHD_BRPF_JADE_like', NULL, NULL, 'PHD_BRPF_JADE_like', 8986),
(8987, 'cd04928', NULL, 'ACT_TyrKc', NULL, NULL, 'ACT_TyrKc', 8987),
(8988, 'cd02654', NULL, 'nuc_hydro_CjNH', NULL, NULL, 'nuc_hydro_CjNH', 8988),
(8989, 'cd19892', NULL, 'DSRM_PRKRA_rpt3', NULL, NULL, 'DSRM_PRKRA_rpt3', 8989),
(8990, 'cd15549', NULL, 'PHD_PHF20_like', NULL, NULL, 'PHD_PHF20_like', 8990),
(8991, 'cd10473', NULL, 'EphR_LBD_A', NULL, NULL, 'EphR_LBD_A', 8991),
(8992, 'cd11630', NULL, 'HR1_PKN1_2', NULL, NULL, 'HR1_PKN1_2', 8992),
(8993, 'cd09529', NULL, 'SAM_MLTK', NULL, NULL, 'SAM_MLTK', 8993),
(8994, 'cd09587', NULL, 'SAM_HARP', NULL, NULL, 'SAM_HARP', 8994),
(8995, 'cd04728', NULL, 'ThiG', NULL, NULL, 'ThiG', 8995),
(8996, 'cd17432', NULL, 'MFS_GLUT_Class2', NULL, NULL, 'MFS_GLUT_Class2', 8996),
(8997, 'cd07527', NULL, 'HAD_ScGPP-like', NULL, NULL, 'HAD_ScGPP-like', 8997),
(8998, 'cd17169', NULL, 'FERM_F1_FRMPD3', NULL, NULL, 'FERM_F1_FRMPD3', 8998),
(8999, 'cd04381', NULL, 'RhoGap_RalBP1', NULL, NULL, 'RhoGap_RalBP1', 8999),
(9000, 'cd14078', NULL, 'STKc_MELK', NULL, NULL, 'STKc_MELK', 9000),
(9001, 'cd05212', NULL, 'NAD_bind_m-THF_DH_Cyclohyd_like', NULL, NULL, 'NAD_bind_m-THF_DH_Cyclohyd_like', 9001);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(9002, 'cd19979', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 9002),
(9003, 'cd03352', NULL, 'LbH_LpxD', NULL, NULL, 'LbH_LpxD', 9003),
(9004, 'cd12200', NULL, 'AMPKA2_C', NULL, NULL, 'AMPKA2_C', 9004),
(9005, 'cd08012', NULL, 'M20_ArgE-related', NULL, NULL, 'M20_ArgE-related', 9005),
(9006, 'cd00003', NULL, 'PNPsynthase', NULL, NULL, 'PNPsynthase', 9006),
(9007, 'cd13971', NULL, 'ADCK2-like', NULL, NULL, 'ADCK2-like', 9007),
(9008, 'cd06557', NULL, 'KPHMT-like', NULL, NULL, 'KPHMT-like', 9008),
(9009, 'cd12901', NULL, 'SPRY_PRY_FSD1', NULL, NULL, 'SPRY_PRY_FSD1', 9009),
(9010, 'cd00030', NULL, 'C2', NULL, NULL, 'C2', 9010),
(9011, 'cd07118', NULL, 'ALDH_SNDH', NULL, NULL, 'ALDH_SNDH', 9011),
(9012, 'cd11433', NULL, 'bHLH-PAS_HIF', NULL, NULL, 'bHLH-PAS_HIF', 9012),
(9013, 'cd08181', NULL, 'PPD-like', NULL, NULL, 'PPD-like', 9013),
(9014, 'cd04481', NULL, 'RPA1_DBD_B_like', NULL, NULL, 'RPA1_DBD_B_like', 9014),
(9015, 'cd03886', NULL, 'M20_Acy1', NULL, NULL, 'M20_Acy1', 9015),
(9016, 'cd15775', NULL, 'FYVE2_BSN', NULL, NULL, 'FYVE2_BSN', 9016),
(9017, 'cd19056', NULL, 'LGIC_TM_GABAAR_theta', NULL, NULL, 'LGIC_TM_GABAAR_theta', 9017),
(9018, 'cd05820', NULL, 'CBM20_novamyl', NULL, NULL, 'CBM20_novamyl', 9018),
(9019, 'cd14406', NULL, 'UBA_MARK2', NULL, NULL, 'UBA_MARK2', 9019),
(9020, 'cd16137', NULL, 'RA_MRL_RIAM', NULL, NULL, 'RA_MRL_RIAM', 9020),
(9021, 'cd18807', NULL, 'SF1_C_UvrD', NULL, NULL, 'SF1_C_UvrD', 9021),
(9022, 'cd11690', NULL, 'Tsi2_like', NULL, NULL, 'Tsi2_like', 9022),
(9023, 'cd14217', NULL, 'STKc_SRPK2', NULL, NULL, 'STKc_SRPK2', 9023),
(9024, 'cd17245', NULL, 'RMtype1_S_TteMORF1547P-TRD2-CR2_Aco12261I-TRD1...', NULL, NULL, 'RMtype1_S_TteMORF1547P-TRD2-CR2_Aco12261I-TRD1-CR1_like', 9024),
(9025, 'cd16859', NULL, 'ING_ING4_5', NULL, NULL, 'ING_ING4_5', 9025),
(9026, 'cd12318', NULL, 'RRM5_RBM19_like', NULL, NULL, 'RRM5_RBM19_like', 9026),
(9027, 'cd16993', NULL, 'ENTH_Ent5', NULL, NULL, 'ENTH_Ent5', 9027),
(9028, 'cd02621', NULL, 'Peptidase_C1A_CathepsinC', NULL, NULL, 'Peptidase_C1A_CathepsinC', 9028),
(9029, 'cd14774', NULL, 'TrHb2_HGbIV-like_O', NULL, NULL, 'TrHb2_HGbIV-like_O', 9029),
(9030, 'cd01252', NULL, 'PH_GRP1-like', NULL, NULL, 'PH_GRP1-like', 9030),
(9031, 'cd11592', NULL, 'Agmatinase_PAH', NULL, NULL, 'Agmatinase_PAH', 9031),
(9032, 'cd13176', NULL, 'RanBD_RanBP2-like', NULL, NULL, 'RanBD_RanBP2-like', 9032),
(9033, 'cd00328', NULL, 'catalase', NULL, NULL, 'catalase', 9033),
(9034, 'cd05930', NULL, 'A_NRPS', NULL, NULL, 'A_NRPS', 9034),
(9035, 'cd14646', NULL, 'DSP_DUSP16', NULL, NULL, 'DSP_DUSP16', 9035),
(9036, 'cd06419', NULL, 'GH25_muramidase_2', NULL, NULL, 'GH25_muramidase_2', 9036),
(9037, 'cd01097', NULL, 'Tetrahydromethanopterin_reductase', NULL, NULL, 'Tetrahydromethanopterin_reductase', 9037),
(9038, 'cd10163', NULL, 'ClassIIa_HDAC9_Gln-rich-N', NULL, NULL, 'ClassIIa_HDAC9_Gln-rich-N', 9038),
(9039, 'cd15603', NULL, 'PHD1_KDM5B', NULL, NULL, 'PHD1_KDM5B', 9039),
(9040, 'cd08986', NULL, 'GH43-like', NULL, NULL, 'GH43-like', 9040),
(9041, 'cd12782', NULL, 'RRM2_PTBP1', NULL, NULL, 'RRM2_PTBP1', 9041),
(9042, 'cd17635', NULL, 'FADD10', NULL, NULL, 'FADD10', 9042),
(9043, 'cd20275', NULL, 'Sarcolamban_B', NULL, NULL, 'Sarcolamban_B', 9043),
(9044, 'cd06432', NULL, 'GT8_HUGT1_C_like', NULL, NULL, 'GT8_HUGT1_C_like', 9044),
(9045, 'cd13713', NULL, 'PBP2_Cystine_like_1', NULL, NULL, 'PBP2_Cystine_like_1', 9045),
(9046, 'cd18159', NULL, 'REC_OmpR_NsrR-like', NULL, NULL, 'REC_OmpR_NsrR-like', 9046),
(9047, 'cd09411', NULL, 'LIM4_Paxillin', NULL, NULL, 'LIM4_Paxillin', 9047),
(9048, 'cd14046', NULL, 'STKc_EIF2AK4_GCN2_rpt2', NULL, NULL, 'STKc_EIF2AK4_GCN2_rpt2', 9048),
(9049, 'cd02106', NULL, 'SPFH_like', NULL, NULL, 'SPFH_like', 9049),
(9050, 'cd02524', NULL, 'G1P_cytidylyltransferase', NULL, NULL, 'G1P_cytidylyltransferase', 9050),
(9051, 'cd14437', NULL, 'nt01cx_1156_like', NULL, NULL, 'nt01cx_1156_like', 9051),
(9052, 'cd11992', NULL, 'SH3_Intersectin2_3', NULL, NULL, 'SH3_Intersectin2_3', 9052),
(9053, 'cd13717', NULL, 'PBP2_iGluR_putative', NULL, NULL, 'PBP2_iGluR_putative', 9053);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(9054, 'cd07636', NULL, 'BAR_GRAF', NULL, NULL, 'BAR_GRAF', 9054),
(9055, 'cd10575', NULL, 'TNFRSF6B', NULL, NULL, 'TNFRSF6B', 9055),
(9056, 'cd05815', NULL, 'CBM20_DPE2_repeat1', NULL, NULL, 'CBM20_DPE2_repeat1', 9056),
(9057, 'cd18618', NULL, 'GH43_Xsa43E-like', NULL, NULL, 'GH43_Xsa43E-like', 9057),
(9058, 'cd14045', NULL, 'PK_GC_unk', NULL, NULL, 'PK_GC_unk', 9058),
(9059, 'cd14409', NULL, 'UBA_SIK2', NULL, NULL, 'UBA_SIK2', 9059),
(9060, 'cd18297', NULL, 'BTB_POZ_ABTB2-like', NULL, NULL, 'BTB_POZ_ABTB2-like', 9060),
(9061, 'cd16397', NULL, 'IbrB_like', NULL, NULL, 'IbrB_like', 9061),
(9062, 'cd07003', NULL, 'cupin_YobQ-like_N', NULL, NULL, 'cupin_YobQ-like_N', 9062),
(9063, 'cd15808', NULL, 'SPRY_PRY_TRIM47', NULL, NULL, 'SPRY_PRY_TRIM47', 9063),
(9064, 'cd16165', NULL, 'OCRE_ZOP1_plant', NULL, NULL, 'OCRE_ZOP1_plant', 9064),
(9065, 'cd01142', NULL, 'TroA_e', NULL, NULL, 'TroA_e', 9065),
(9066, 'cd16361', NULL, 'VOC_ShValD_like', NULL, NULL, 'VOC_ShValD_like', 9066),
(9067, 'cd18624', NULL, 'GH32_Fruct1-like', NULL, NULL, 'GH32_Fruct1-like', 9067),
(9068, 'cd19186', NULL, 'SET_Suv4-20', NULL, NULL, 'SET_Suv4-20', 9068),
(9069, 'cd07937', NULL, 'DRE_TIM_PC_TC_5S', NULL, NULL, 'DRE_TIM_PC_TC_5S', 9069),
(9070, 'cd15330', NULL, '7tmA_5-HT1A_vertebrates', NULL, NULL, '7tmA_5-HT1A_vertebrates', 9070),
(9071, 'cd07399', NULL, 'MPP_YvnB', NULL, NULL, 'MPP_YvnB', 9071),
(9072, 'cd17442', NULL, 'MFS_SVOPL', NULL, NULL, 'MFS_SVOPL', 9072),
(9073, 'cd14296', NULL, 'UBA1_scUBP14_like', NULL, NULL, 'UBA1_scUBP14_like', 9073),
(9074, 'cd16369', NULL, 'DMSOR_beta_like', NULL, NULL, 'DMSOR_beta_like', 9074),
(9075, 'cd02892', NULL, 'SQCY_1', NULL, NULL, 'SQCY_1', 9075),
(9076, 'cd13670', NULL, 'PBP2_TRAP_Tp0957_like', NULL, NULL, 'PBP2_TRAP_Tp0957_like', 9076),
(9077, 'cd01478', NULL, 'Sec23-like', NULL, NULL, 'Sec23-like', 9077),
(9078, 'cd17743', NULL, 'BRCT_BRC1_like_rpt5', NULL, NULL, 'BRCT_BRC1_like_rpt5', 9078),
(9079, 'cd09089', NULL, 'INPP5c_Synj', NULL, NULL, 'INPP5c_Synj', 9079),
(9080, 'cd13860', NULL, 'CuRO_1_2dMco_1', NULL, NULL, 'CuRO_1_2dMco_1', 9080),
(9081, 'cd09329', NULL, 'LIM3_abLIM', NULL, NULL, 'LIM3_abLIM', 9081),
(9082, 'cd13533', NULL, 'PBP2_Yhfz', NULL, NULL, 'PBP2_Yhfz', 9082),
(9083, 'cd13389', NULL, 'PH1_FGD5_FGD6', NULL, NULL, 'PH1_FGD5_FGD6', 9083),
(9084, 'cd11547', NULL, 'NTP-PPase_HisE', NULL, NULL, 'NTP-PPase_HisE', 9084),
(9085, 'cd09351', NULL, 'LIM1_LPP', NULL, NULL, 'LIM1_LPP', 9085),
(9086, 'cd14737', NULL, 'PAAR_1', NULL, NULL, 'PAAR_1', 9086),
(9087, 'cd17957', NULL, 'DEADc_DDX52', NULL, NULL, 'DEADc_DDX52', 9087),
(9088, 'cd02788', NULL, 'MopB_CT_NDH-1_NuoG2-N7', NULL, NULL, 'MopB_CT_NDH-1_NuoG2-N7', 9088),
(9089, 'cd03495', NULL, 'SQR_TypeC_SdhD_like', NULL, NULL, 'SQR_TypeC_SdhD_like', 9089),
(9090, 'cd07897', NULL, 'Adenylation_DNA_ligase_Bac1', NULL, NULL, 'Adenylation_DNA_ligase_Bac1', 9090),
(9091, 'cd00556', NULL, 'Thioesterase_II', NULL, NULL, 'Thioesterase_II', 9091),
(9092, 'cd00710', NULL, 'LbH_gamma_CA', NULL, NULL, 'LbH_gamma_CA', 9092),
(9093, 'cd18897', NULL, 'TET3', NULL, NULL, 'TET3', 9093),
(9094, 'cd16236', NULL, 'EFh_SPARC_SPARCL1', NULL, NULL, 'EFh_SPARC_SPARCL1', 9094),
(9095, 'cd12798', NULL, 'Alt_A1', NULL, NULL, 'Alt_A1', 9095),
(9096, 'cd19040', NULL, 'LGIC_ECD_GABAAR_B1', NULL, NULL, 'LGIC_ECD_GABAAR_B1', 9096),
(9097, 'cd04388', NULL, 'RhoGAP_p85', NULL, NULL, 'RhoGAP_p85', 9097),
(9098, 'cd16182', NULL, 'EFh_PEF_Group_II_CAPN_like', NULL, NULL, 'EFh_PEF_Group_II_CAPN_like', 9098),
(9099, 'cd15824', NULL, 'SPRY_PRY_TRIM22', NULL, NULL, 'SPRY_PRY_TRIM22', 9099),
(9100, 'cd17305', NULL, 'PIPKc_PIP5KII', NULL, NULL, 'PIPKc_PIP5KII', 9100),
(9101, 'cd08814', NULL, 'DED_Caspase_10_r2', NULL, NULL, 'DED_Caspase_10_r2', 9101),
(9102, 'cd14350', NULL, 'UBA_DCNL', NULL, NULL, 'UBA_DCNL', 9102),
(9103, 'cd10309', NULL, 'GST_C_GluProRS_N', NULL, NULL, 'GST_C_GluProRS_N', 9103),
(9104, 'cd19049', NULL, 'LGIC_TM_anion', NULL, NULL, 'LGIC_TM_anion', 9104),
(9105, 'cd09619', NULL, 'CBM9_like_4', NULL, NULL, 'CBM9_like_4', 9105),
(9106, 'cd00216', NULL, 'PQQ_DH_like', NULL, NULL, 'PQQ_DH_like', 9106);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(9107, 'cd04672', NULL, 'Nudix_Hydrolase_14', NULL, NULL, 'Nudix_Hydrolase_14', 9107),
(9108, 'cd17405', NULL, 'MFS_SLCO6_OATP6', NULL, NULL, 'MFS_SLCO6_OATP6', 9108),
(9109, 'cd12773', NULL, 'RRM2_HuR', NULL, NULL, 'RRM2_HuR', 9109),
(9110, 'cd07660', NULL, 'BAR_Arfaptin', NULL, NULL, 'BAR_Arfaptin', 9110),
(9111, 'cd03268', NULL, 'ABC_BcrA_bacitracin_resist', NULL, NULL, 'ABC_BcrA_bacitracin_resist', 9111),
(9112, 'cd14769', NULL, 'PE_alpha', NULL, NULL, 'PE_alpha', 9112),
(9113, 'cd07469', NULL, 'CRD_TK_ROR_related', NULL, NULL, 'CRD_TK_ROR_related', 9113),
(9114, 'cd09579', NULL, 'SAM_Samd7,11', NULL, NULL, 'SAM_Samd7,11', 9114),
(9115, 'cd07587', NULL, 'ML_beta-AS', NULL, NULL, 'ML_beta-AS', 9115),
(9116, 'cd17650', NULL, 'A_NRPS_PpsD_like', NULL, NULL, 'A_NRPS_PpsD_like', 9116),
(9117, 'cd02787', NULL, 'MopB_CT_ydeP', NULL, NULL, 'MopB_CT_ydeP', 9117),
(9118, 'cd14134', NULL, 'PKc_CLK', NULL, NULL, 'PKc_CLK', 9118),
(9119, 'cd04379', NULL, 'RhoGAP_SYD1', NULL, NULL, 'RhoGAP_SYD1', 9119),
(9120, 'cd07446', NULL, 'CRD_SFRP2', NULL, NULL, 'CRD_SFRP2', 9120),
(9121, 'cd10495', NULL, 'MH2_R-SMAD', NULL, NULL, 'MH2_R-SMAD', 9121),
(9122, 'cd17438', NULL, 'MFS_SV2B', NULL, NULL, 'MFS_SV2B', 9122),
(9123, 'cd06605', NULL, 'PKc_MAPKK', NULL, NULL, 'PKc_MAPKK', 9123),
(9124, 'cd18240', NULL, 'BTB_POZ_KLHL10', NULL, NULL, 'BTB_POZ_KLHL10', 9124),
(9125, 'cd04400', NULL, 'RhoGAP_fBEM3', NULL, NULL, 'RhoGAP_fBEM3', 9125),
(9126, 'cd21524', NULL, 'DPUP_MHV_Nsp3', NULL, NULL, 'DPUP_MHV_Nsp3', 9126),
(9127, 'cd19942', NULL, 'Fer2_BFD-like', NULL, NULL, 'Fer2_BFD-like', 9127),
(9128, 'cd07364', NULL, 'PCA_45_Dioxygenase_B', NULL, NULL, 'PCA_45_Dioxygenase_B', 9128),
(9129, 'cd13160', NULL, 'PTB_LDLRAP_insect-like', NULL, NULL, 'PTB_LDLRAP_insect-like', 9129),
(9130, 'cd17286', NULL, 'RMtype1_S_Lla161ORF747P_TRD1-CR1_like', NULL, NULL, 'RMtype1_S_Lla161ORF747P_TRD1-CR1_like', 9130),
(9131, 'cd15913', NULL, '7tmA_OR11G-like', NULL, NULL, '7tmA_OR11G-like', 9131),
(9132, 'cd03126', NULL, 'alpha_CA_XII_XIV', NULL, NULL, 'alpha_CA_XII_XIV', 9132),
(9133, 'cd07976', NULL, 'TFIIA_alpha_beta_like', NULL, NULL, 'TFIIA_alpha_beta_like', 9133),
(9134, 'cd13355', NULL, 'PH-GRAM_MTM1', NULL, NULL, 'PH-GRAM_MTM1', 9134),
(9135, 'cd08541', NULL, 'SAM_PNT-FLI-1', NULL, NULL, 'SAM_PNT-FLI-1', 9135),
(9136, 'cd11352', NULL, 'AmyAc_5', NULL, NULL, 'AmyAc_5', 9136),
(9137, 'cd13862', NULL, 'CuRO_1_MCO_like_1', NULL, NULL, 'CuRO_1_MCO_like_1', 9137),
(9138, 'cd09336', NULL, 'LIM1_Paxillin_like', NULL, NULL, 'LIM1_Paxillin_like', 9138),
(9139, 'cd14599', NULL, 'PTPc-N14', NULL, NULL, 'PTPc-N14', 9139),
(9140, 'cd16833', NULL, 'YfiH', NULL, NULL, 'YfiH', 9140),
(9141, 'cd06182', NULL, 'CYPOR_like', NULL, NULL, 'CYPOR_like', 9141),
(9142, 'cd18513', NULL, 'BACK_KLHL3', NULL, NULL, 'BACK_KLHL3', 9142),
(9143, 'cd12568', NULL, 'RRM3_MRD1', NULL, NULL, 'RRM3_MRD1', 9143),
(9144, 'cd21516', NULL, 'cv_beta_Nsp2_SARS-like', NULL, NULL, 'cv_beta_Nsp2_SARS-like', 9144),
(9145, 'cd02236', NULL, 'cupin_CV2614-like', NULL, NULL, 'cupin_CV2614-like', 9145),
(9146, 'cd08714', NULL, 'RGS_RGS4', NULL, NULL, 'RGS_RGS4', 9146),
(9147, 'cd03746', NULL, 'SOCS_WSB1_SWIP1', NULL, NULL, 'SOCS_WSB1_SWIP1', 9147),
(9148, 'cd12669', NULL, 'RRM1_Nop12p_like', NULL, NULL, 'RRM1_Nop12p_like', 9148),
(9149, 'cd05762', NULL, 'Ig8_hMLCK_like', NULL, NULL, 'Ig8_hMLCK_like', 9149),
(9150, 'cd13178', NULL, 'RanBD4_RanBP2-like', NULL, NULL, 'RanBD4_RanBP2-like', 9150),
(9151, 'cd10334', NULL, 'SLC6sbd_u1', NULL, NULL, 'SLC6sbd_u1', 9151),
(9152, 'cd20297', NULL, 'cupin_HQDO_small', NULL, NULL, 'cupin_HQDO_small', 9152),
(9153, 'cd02769', NULL, 'MopB_DMSOR-BSOR-TMAOR', NULL, NULL, 'MopB_DMSOR-BSOR-TMAOR', 9153),
(9154, 'cd12726', NULL, 'RRM2_CPEB2_like', NULL, NULL, 'RRM2_CPEB2_like', 9154),
(9155, 'cd18578', NULL, 'ABC_6TM_Pgp_ABCB1_D2_like', NULL, NULL, 'ABC_6TM_Pgp_ABCB1_D2_like', 9155),
(9156, 'cd18743', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 9156),
(9157, 'cd03472', NULL, 'Rieske_RO_Alpha_BPDO_like', NULL, NULL, 'Rieske_RO_Alpha_BPDO_like', 9157);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(9158, 'cd13707', NULL, 'PBP2_BvgS_D2', NULL, NULL, 'PBP2_BvgS_D2', 9158),
(9159, 'cd01424', NULL, 'MGS_CPS_II', NULL, NULL, 'MGS_CPS_II', 9159),
(9160, 'cd05735', NULL, 'Ig_DSCAM', NULL, NULL, 'Ig_DSCAM', 9160),
(9161, 'cd13982', NULL, 'STKc_IRE1', NULL, NULL, 'STKc_IRE1', 9161),
(9162, 'cd09735', NULL, 'Csy1_I-F', NULL, NULL, 'Csy1_I-F', 9162),
(9163, 'cd08717', NULL, 'RGS_RGS5', NULL, NULL, 'RGS_RGS5', 9163),
(9164, 'cd04497', NULL, 'hPOT1_OB1_like', NULL, NULL, 'hPOT1_OB1_like', 9164),
(9165, 'cd01423', NULL, 'MGS_CPS_I_III', NULL, NULL, 'MGS_CPS_I_III', 9165),
(9166, 'cd02335', NULL, 'ZZ_ADA2', NULL, NULL, 'ZZ_ADA2', 9166),
(9167, 'cd16709', NULL, 'RING-HC_Cbl-b', NULL, NULL, 'RING-HC_Cbl-b', 9167),
(9168, 'cd19463', NULL, 'CRBP2', NULL, NULL, 'CRBP2', 9168),
(9169, 'cd19841', NULL, 'Bbox1_TRIM44', NULL, NULL, 'Bbox1_TRIM44', 9169),
(9170, 'cd00115', NULL, 'LMWP', NULL, NULL, 'LMWP', 9170),
(9171, 'cd10540', NULL, 'SET_SpSet7-like', NULL, NULL, 'SET_SpSet7-like', 9171),
(9172, 'cd03001', NULL, 'PDI_a_P5', NULL, NULL, 'PDI_a_P5', 9172),
(9173, 'cd19102', NULL, 'AKR_unchar', NULL, NULL, 'AKR_unchar', 9173),
(9174, 'cd17410', NULL, 'MFS_CynX_like', NULL, NULL, 'MFS_CynX_like', 9174),
(9175, 'cd00657', NULL, 'Ferritin_like', NULL, NULL, 'Ferritin_like', 9175),
(9176, 'cd09385', NULL, 'LIM2_LMO2', NULL, NULL, 'LIM2_LMO2', 9176),
(9177, 'cd05156', NULL, 'ChoK_euk', NULL, NULL, 'ChoK_euk', 9177),
(9178, 'cd09865', NULL, 'PIN_ScUtp23p-like', NULL, NULL, 'PIN_ScUtp23p-like', 9178),
(9179, 'cd17666', NULL, 'PTP-MTM-like_fungal', NULL, NULL, 'PTP-MTM-like_fungal', 9179),
(9180, 'cd18985', NULL, 'CBD_TIP60_like', NULL, NULL, 'CBD_TIP60_like', 9180),
(9181, 'cd02958', NULL, 'UAS', NULL, NULL, 'UAS', 9181),
(9182, 'cd03478', NULL, 'Rieske_AIFL_N', NULL, NULL, 'Rieske_AIFL_N', 9182),
(9183, 'cd08689', NULL, 'C2_fungal_Pkc1p', NULL, NULL, 'C2_fungal_Pkc1p', 9183),
(9184, 'cd07761', NULL, 'CYTH-like_CthTTM-like', NULL, NULL, 'CYTH-like_CthTTM-like', 9184),
(9185, 'cd13570', NULL, 'PBP2_TAXI_TRAP_like_2', NULL, NULL, 'PBP2_TAXI_TRAP_like_2', 9185),
(9186, 'cd12425', NULL, 'RRM4_PTBP1_like', NULL, NULL, 'RRM4_PTBP1_like', 9186),
(9187, 'cd18577', NULL, 'ABC_6TM_Pgp_ABCB1_D1_like', NULL, NULL, 'ABC_6TM_Pgp_ABCB1_D1_like', 9187),
(9188, 'cd08991', NULL, 'GH43_HoAraf43-like', NULL, NULL, 'GH43_HoAraf43-like', 9188),
(9189, 'cd15766', NULL, 'FYVE_Slp5', NULL, NULL, 'FYVE_Slp5', 9189),
(9190, 'cd04747', NULL, 'OYE_like_5_FMN', NULL, NULL, 'OYE_like_5_FMN', 9190),
(9191, 'cd08419', NULL, 'PBP2_CbbR_RubisCO_like', NULL, NULL, 'PBP2_CbbR_RubisCO_like', 9191),
(9192, 'cd11382', NULL, 'Ribosomal_S8e', NULL, NULL, 'Ribosomal_S8e', 9192),
(9193, 'cd17088', NULL, 'FERM_F1_FRMPD1_like', NULL, NULL, 'FERM_F1_FRMPD1_like', 9193),
(9194, 'cd18480', NULL, 'BACK_KBTBD3', NULL, NULL, 'BACK_KBTBD3', 9194),
(9195, 'cd12667', NULL, 'RRM3_RAVER1', NULL, NULL, 'RRM3_RAVER1', 9195),
(9196, 'cd14196', NULL, 'STKc_DAPK2', NULL, NULL, 'STKc_DAPK2', 9196),
(9197, 'cd19011', NULL, 'LGIC_ECD_5-HT3A', NULL, NULL, 'LGIC_ECD_5-HT3A', 9197),
(9198, 'cd00290', NULL, 'cytochrome_b_C', NULL, NULL, 'cytochrome_b_C', 9198),
(9199, 'cd14872', NULL, 'MYSc_Myo4', NULL, NULL, 'MYSc_Myo4', 9199),
(9200, 'cd12323', NULL, 'RRM2_MSI', NULL, NULL, 'RRM2_MSI', 9200),
(9201, 'cd16721', NULL, 'RING-HC_MEX3B', NULL, NULL, 'RING-HC_MEX3B', 9201),
(9202, 'cd12651', NULL, 'RRM2_SXL', NULL, NULL, 'RRM2_SXL', 9202),
(9203, 'cd00609', NULL, 'AAT_like', NULL, NULL, 'AAT_like', 9203),
(9204, 'cd12356', NULL, 'RRM_PPARGC1B', NULL, NULL, 'RRM_PPARGC1B', 9204),
(9205, 'cd00741', NULL, 'Lipase', NULL, NULL, 'Lipase', 9205),
(9206, 'cd02019', NULL, 'NK', NULL, NULL, 'NK', 9206),
(9207, 'cd16455', NULL, 'RING-H2_AMFR', NULL, NULL, 'RING-H2_AMFR', 9207),
(9208, 'cd10313', NULL, 'Deadenylase_CCR4a', NULL, NULL, 'Deadenylase_CCR4a', 9208),
(9209, 'cd18270', NULL, 'BTB_POZ_KBTBD2_BKLHD1', NULL, NULL, 'BTB_POZ_KBTBD2_BKLHD1', 9209),
(9210, 'cd18697', NULL, 'PIN_VapC_N-like', NULL, NULL, 'PIN_VapC_N-like', 9210),
(9211, 'cd19818', NULL, 'Bbox1_ZBBX', NULL, NULL, 'Bbox1_ZBBX', 9211);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(9212, 'cd19588', NULL, 'serpin_miropin-like', NULL, NULL, 'serpin_miropin-like', 9212),
(9213, 'cd09093', NULL, 'INPP5c_INPP5B', NULL, NULL, 'INPP5c_INPP5B', 9213),
(9214, 'cd01636', NULL, 'FIG', NULL, NULL, 'FIG', 9214),
(9215, 'cd09219', NULL, 'TLP-F', NULL, NULL, 'TLP-F', 9215),
(9216, 'cd17018', NULL, 'T3SC_IA_ExsC-like', NULL, NULL, 'T3SC_IA_ExsC-like', 9216),
(9217, 'cd03528', NULL, 'Rieske_RO_ferredoxin', NULL, NULL, 'Rieske_RO_ferredoxin', 9217),
(9218, 'cd09598', NULL, 'M4_like', NULL, NULL, 'M4_like', 9218),
(9219, 'cd05766', NULL, 'IgC_MHC_II_beta', NULL, NULL, 'IgC_MHC_II_beta', 9219),
(9220, 'cd17318', NULL, 'MFS_SLC17', NULL, NULL, 'MFS_SLC17', 9220),
(9221, 'cd13840', NULL, 'SMBP_like', NULL, NULL, 'SMBP_like', 9221),
(9222, 'cd07694', NULL, 'Ig2_CD4', NULL, NULL, 'Ig2_CD4', 9222),
(9223, 'cd06553', NULL, 'ASCH_Ef3133_like', NULL, NULL, 'ASCH_Ef3133_like', 9223),
(9224, 'cd04459', NULL, 'Rho_CSD', NULL, NULL, 'Rho_CSD', 9224),
(9225, 'cd18524', NULL, 'BACK_BTBD3', NULL, NULL, 'BACK_BTBD3', 9225),
(9226, 'cd09248', NULL, 'BRO1_Rhophilin_1', NULL, NULL, 'BRO1_Rhophilin_1', 9226),
(9227, 'cd16352', NULL, 'CheD', NULL, NULL, 'CheD', 9227),
(9228, 'cd19448', NULL, 'FABP_pancrustacea', NULL, NULL, 'FABP_pancrustacea', 9228),
(9229, 'cd01473', NULL, 'vWA_CTRP', NULL, NULL, 'vWA_CTRP', 9229),
(9230, 'cd09816', NULL, 'prostaglandin_endoperoxide_synthase', NULL, NULL, 'prostaglandin_endoperoxide_synthase', 9230),
(9231, 'cd14971', NULL, '7tmA_Galanin_R-like', NULL, NULL, '7tmA_Galanin_R-like', 9231),
(9232, 'cd04489', NULL, 'ExoVII_LU_OBF', NULL, NULL, 'ExoVII_LU_OBF', 9232),
(9233, 'cd06841', NULL, 'PLPDE_III_MccE_like', NULL, NULL, 'PLPDE_III_MccE_like', 9233),
(9234, 'cd02069', NULL, 'methionine_synthase_B12_BD', NULL, NULL, 'methionine_synthase_B12_BD', 9234),
(9235, 'cd03152', NULL, 'CD9_LEL', NULL, NULL, 'CD9_LEL', 9235),
(9236, 'cd03532', NULL, 'Rieske_RO_Alpha_VanA_DdmC', NULL, NULL, 'Rieske_RO_Alpha_VanA_DdmC', 9236),
(9237, 'cd07733', NULL, 'YycJ-like_MBL-fold', NULL, NULL, 'YycJ-like_MBL-fold', 9237),
(9238, 'cd11337', NULL, 'AmyAc_CMD_like', NULL, NULL, 'AmyAc_CMD_like', 9238),
(9239, 'cd19897', NULL, 'DSRM_STRBP-like_rpt2', NULL, NULL, 'DSRM_STRBP-like_rpt2', 9239),
(9240, 'cd01729', NULL, 'LSm7', NULL, NULL, 'LSm7', 9240),
(9241, 'cd11615', NULL, 'SAF_NeuB_like', NULL, NULL, 'SAF_NeuB_like', 9241),
(9242, 'cd08681', NULL, 'C2_fungal_Inn1p-like', NULL, NULL, 'C2_fungal_Inn1p-like', 9242),
(9243, 'cd19214', NULL, 'PR-SET_PRDM3', NULL, NULL, 'PR-SET_PRDM3', 9243),
(9244, 'cd12043', NULL, 'SH3_CACNB4', NULL, NULL, 'SH3_CACNB4', 9244),
(9245, 'cd12057', NULL, 'SH3_CIN85_3', NULL, NULL, 'SH3_CIN85_3', 9245),
(9246, 'cd19828', NULL, 'Bbox2_TIF1a_C-VI', NULL, NULL, 'Bbox2_TIF1a_C-VI', 9246),
(9247, 'cd02971', NULL, 'PRX_family', NULL, NULL, 'PRX_family', 9247),
(9248, 'cd14658', NULL, 'Imelysin-like_IrpA', NULL, NULL, 'Imelysin-like_IrpA', 9248),
(9249, 'cd11391', NULL, 'bHLH_PAS', NULL, NULL, 'bHLH_PAS', 9249),
(9250, 'cd12309', NULL, 'RRM2_Spen', NULL, NULL, 'RRM2_Spen', 9250),
(9251, 'cd09390', NULL, 'LIM2_dLMO', NULL, NULL, 'LIM2_dLMO', 9251),
(9252, 'cd09603', NULL, 'M1_APN_like', NULL, NULL, 'M1_APN_like', 9252),
(9253, 'cd14141', NULL, 'STKc_ACVR2a', NULL, NULL, 'STKc_ACVR2a', 9253),
(9254, 'cd00602', NULL, 'IPT_TF', NULL, NULL, 'IPT_TF', 9254),
(9255, 'cd01488', NULL, 'Uba3_RUB', NULL, NULL, 'Uba3_RUB', 9255),
(9256, 'cd04331', NULL, 'RNAP_E_N', NULL, NULL, 'RNAP_E_N', 9256),
(9257, 'cd06226', NULL, 'M14_CPT_like', NULL, NULL, 'M14_CPT_like', 9257),
(9258, 'cd05850', NULL, 'Ig1_Contactin-2', NULL, NULL, 'Ig1_Contactin-2', 9258),
(9259, 'cd01277', NULL, 'HINT_subgroup', NULL, NULL, 'HINT_subgroup', 9259),
(9260, 'cd11254', NULL, 'Sema_3F', NULL, NULL, 'Sema_3F', 9260),
(9261, 'cd01312', NULL, 'Met_dep_hydrolase_D', NULL, NULL, 'Met_dep_hydrolase_D', 9261),
(9262, 'cd04752', NULL, 'Commd4', NULL, NULL, 'Commd4', 9262),
(9263, 'cd07088', NULL, 'ALDH_LactADH-AldA', NULL, NULL, 'ALDH_LactADH-AldA', 9263),
(9264, 'cd15159', NULL, '7tmA_EBI2', NULL, NULL, '7tmA_EBI2', 9264);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(9265, 'cd18080', NULL, 'TrmD-like', NULL, NULL, 'TrmD-like', 9265),
(9266, 'cd01650', NULL, 'RT_nLTR_like', NULL, NULL, 'RT_nLTR_like', 9266),
(9267, 'cd09901', NULL, 'H3TH_FEN1-like', NULL, NULL, 'H3TH_FEN1-like', 9267),
(9268, 'cd11459', NULL, 'bHLH-O_HES1_4', NULL, NULL, 'bHLH-O_HES1_4', 9268),
(9269, 'cd02030', NULL, 'NDUO42', NULL, NULL, 'NDUO42', 9269),
(9270, 'cd18994', NULL, 'LGIC_ECD_ZAC', NULL, NULL, 'LGIC_ECD_ZAC', 9270),
(9271, 'cd07244', NULL, 'FosA', NULL, NULL, 'FosA', 9271),
(9272, 'cd12275', NULL, 'RRM1_MEI2_EAR1_like', NULL, NULL, 'RRM1_MEI2_EAR1_like', 9272),
(9273, 'cd17361', NULL, 'MFS_STP', NULL, NULL, 'MFS_STP', 9273),
(9274, 'cd01000', NULL, 'PBP2_Cys_DEBP_like', NULL, NULL, 'PBP2_Cys_DEBP_like', 9274),
(9275, 'cd16398', NULL, 'KorB_N_like', NULL, NULL, 'KorB_N_like', 9275),
(9276, 'cd14731', NULL, 'LodA_like_1', NULL, NULL, 'LodA_like_1', 9276),
(9277, 'cd03270', NULL, 'ABC_UvrA_I', NULL, NULL, 'ABC_UvrA_I', 9277),
(9278, 'cd06462', NULL, 'Peptidase_S24_S26', NULL, NULL, 'Peptidase_S24_S26', 9278),
(9279, 'cd06093', NULL, 'PX_domain', NULL, NULL, 'PX_domain', 9279),
(9280, 'cd10401', NULL, 'SH2_C-SH2_Syk_like', NULL, NULL, 'SH2_C-SH2_Syk_like', 9280),
(9281, 'cd12178', NULL, '2-Hacid_dh_13', NULL, NULL, '2-Hacid_dh_13', 9281),
(9282, 'cd17573', NULL, 'REC_HP-RR-like', NULL, NULL, 'REC_HP-RR-like', 9282),
(9283, 'cd19984', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 9283),
(9284, 'cd09660', NULL, 'Csx1_III-U', NULL, NULL, 'Csx1_III-U', 9284),
(9285, 'cd11607', NULL, 'DENR_C', NULL, NULL, 'DENR_C', 9285),
(9286, 'cd00144', NULL, 'MPP_PPP_family', NULL, NULL, 'MPP_PPP_family', 9286),
(9287, 'cd07912', NULL, 'Tweety_N', NULL, NULL, 'Tweety_N', 9287),
(9288, 'cd15924', NULL, '7tmA_P2Y12-like', NULL, NULL, '7tmA_P2Y12-like', 9288),
(9289, 'cd18752', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 9289),
(9290, 'cd18532', NULL, 'BACK_RHOBTB3', NULL, NULL, 'BACK_RHOBTB3', 9290),
(9291, 'cd18098', NULL, 'SpoU-like', NULL, NULL, 'SpoU-like', 9291),
(9292, 'cd06582', NULL, 'TM_PBP1_LivH_like', NULL, NULL, 'TM_PBP1_LivH_like', 9292),
(9293, 'cd18772', NULL, 'PIN_Mut7-C-like', NULL, NULL, 'PIN_Mut7-C-like', 9293),
(9294, 'cd16282', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', 9294),
(9295, 'cd04755', NULL, 'Commd7', NULL, NULL, 'Commd7', 9295),
(9296, 'cd08592', NULL, 'PI-PLCc_gamma', NULL, NULL, 'PI-PLCc_gamma', 9296),
(9297, 'cd04131', NULL, 'Rnd', NULL, NULL, 'Rnd', 9297),
(9298, 'cd15467', NULL, 'MV-h', NULL, NULL, 'MV-h', 9298),
(9299, 'cd08982', NULL, 'GH43-like', NULL, NULL, 'GH43-like', 9299),
(9300, 'cd12371', NULL, 'RRM2_PUF60', NULL, NULL, 'RRM2_PUF60', 9300),
(9301, 'cd01419', NULL, 'MoaC_A', NULL, NULL, 'MoaC_A', 9301),
(9302, 'cd04474', NULL, 'RPA1_DBD_A', NULL, NULL, 'RPA1_DBD_A', 9302),
(9303, 'cd12579', NULL, 'RRM2_hnRNPA0', NULL, NULL, 'RRM2_hnRNPA0', 9303),
(9304, 'cd19061', NULL, 'LGIC_TM_GlyR_beta', NULL, NULL, 'LGIC_TM_GlyR_beta', 9304),
(9305, 'cd08524', NULL, 'Reelin_subrepeat_like', NULL, NULL, 'Reelin_subrepeat_like', 9305),
(9306, 'cd17206', NULL, 'FERM_F1_Myosin-X', NULL, NULL, 'FERM_F1_Myosin-X', 9306),
(9307, 'cd06165', NULL, 'Sortase_A', NULL, NULL, 'Sortase_A', 9307),
(9308, 'cd15282', NULL, '7tmC_CaSR', NULL, NULL, '7tmC_CaSR', 9308),
(9309, 'cd16343', NULL, 'LMWPTP', NULL, NULL, 'LMWPTP', 9309),
(9310, 'cd01146', NULL, 'FhuD', NULL, NULL, 'FhuD', 9310),
(9311, 'cd02951', NULL, 'SoxW', NULL, NULL, 'SoxW', 9311),
(9312, 'cd08469', NULL, 'PBP2_PnbR', NULL, NULL, 'PBP2_PnbR', 9312),
(9313, 'cd11629', NULL, 'HR1_FBP17', NULL, NULL, 'HR1_FBP17', 9313),
(9314, 'cd17285', NULL, 'RMtype1_S_Csp16704I_TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Csp16704I_TRD2-CR2_like', 9314),
(9315, 'cd18466', NULL, 'BACK_KLHL27_IPP', NULL, NULL, 'BACK_KLHL27_IPP', 9315),
(9316, 'cd07605', NULL, 'I-BAR_IMD', NULL, NULL, 'I-BAR_IMD', 9316),
(9317, 'cd09949', NULL, 'RSV-like_HR1-HR2', NULL, NULL, 'RSV-like_HR1-HR2', 9317),
(9318, 'cd05875', NULL, 'Ig_hNeurofascin_like', NULL, NULL, 'Ig_hNeurofascin_like', 9318);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(9319, 'cd10423', NULL, 'RNase_RNase-L', NULL, NULL, 'RNase_RNase-L', 9319),
(9320, 'cd12565', NULL, 'RRM1_MRD1', NULL, NULL, 'RRM1_MRD1', 9320),
(9321, 'cd17632', NULL, 'AFD_CAR-like', NULL, NULL, 'AFD_CAR-like', 9321),
(9322, 'cd08702', NULL, 'Arna_FMT_C', NULL, NULL, 'Arna_FMT_C', 9322),
(9323, 'cd05297', NULL, 'GH4_alpha_glucosidase_galactosidase', NULL, NULL, 'GH4_alpha_glucosidase_galactosidase', 9323),
(9324, 'cd08593', NULL, 'PI-PLCc_delta', NULL, NULL, 'PI-PLCc_delta', 9324),
(9325, 'cd17294', NULL, 'RMtype1_S_MmaC7ORF19P_TRD1-CR1_like', NULL, NULL, 'RMtype1_S_MmaC7ORF19P_TRD1-CR1_like', 9325),
(9326, 'cd08779', NULL, 'Death_PIDD', NULL, NULL, 'Death_PIDD', 9326),
(9327, 'cd15966', NULL, '7tmA_RXFP2_LGR8', NULL, NULL, '7tmA_RXFP2_LGR8', 9327),
(9328, 'cd04922', NULL, 'ACT_AKi-HSDH-ThrA_2', NULL, NULL, 'ACT_AKi-HSDH-ThrA_2', 9328),
(9329, 'cd16151', NULL, 'sulfatase_like', NULL, NULL, 'sulfatase_like', 9329),
(9330, 'cd05644', NULL, 'M28_like', NULL, NULL, 'M28_like', 9330),
(9331, 'cd03757', NULL, 'proteasome_beta_type_1', NULL, NULL, 'proteasome_beta_type_1', 9331),
(9332, 'cd19135', NULL, 'AKR_CeZK1290-like', NULL, NULL, 'AKR_CeZK1290-like', 9332),
(9333, 'cd08606', NULL, 'GDPD_YPL110cp_fungi', NULL, NULL, 'GDPD_YPL110cp_fungi', 9333),
(9334, 'cd17383', NULL, 'MFS_SLC18A3_VAChT', NULL, NULL, 'MFS_SLC18A3_VAChT', 9334),
(9335, 'cd13682', NULL, 'PBP2_TRAP_alpha-ketoacid', NULL, NULL, 'PBP2_TRAP_alpha-ketoacid', 9335),
(9336, 'cd01942', NULL, 'ribokinase_group_A', NULL, NULL, 'ribokinase_group_A', 9336),
(9337, 'cd13383', NULL, 'PH_OCRL2', NULL, NULL, 'PH_OCRL2', 9337),
(9338, 'cd10918', NULL, 'CE4_NodB_like_5s_6s', NULL, NULL, 'CE4_NodB_like_5s_6s', 9338),
(9339, 'cd13743', NULL, 'SPRY_PRY_TRIM50', NULL, NULL, 'SPRY_PRY_TRIM50', 9339),
(9340, 'cd04894', NULL, 'ACT_ACR-like_1', NULL, NULL, 'ACT_ACR-like_1', 9340),
(9341, 'cd03006', NULL, 'PDI_a_EFP1_N', NULL, NULL, 'PDI_a_EFP1_N', 9341),
(9342, 'cd19346', NULL, 'Wnt_Wnt2b', NULL, NULL, 'Wnt_Wnt2b', 9342),
(9343, 'cd02538', NULL, 'G1P_TT_short', NULL, NULL, 'G1P_TT_short', 9343),
(9344, 'cd08464', NULL, 'PBP2_DntR_like_2', NULL, NULL, 'PBP2_DntR_like_2', 9344),
(9345, 'cd01653', NULL, 'GATase1', NULL, NULL, 'GATase1', 9345),
(9346, 'cd09652', NULL, 'Cas6-I-III', NULL, NULL, 'Cas6-I-III', 9346),
(9347, 'cd00610', NULL, 'OAT_like', NULL, NULL, 'OAT_like', 9347),
(9348, 'cd17581', NULL, 'REC_typeA_ARR', NULL, NULL, 'REC_typeA_ARR', 9348),
(9349, 'cd09003', NULL, 'GH43_XynD-like', NULL, NULL, 'GH43_XynD-like', 9349),
(9350, 'cd05759', NULL, 'Ig2_KIRREL3-like', NULL, NULL, 'Ig2_KIRREL3-like', 9350),
(9351, 'cd04273', NULL, 'ZnMc_ADAMTS_like', NULL, NULL, 'ZnMc_ADAMTS_like', 9351),
(9352, 'cd15420', NULL, '7tmA_OR2A-like', NULL, NULL, '7tmA_OR2A-like', 9352),
(9353, 'cd16888', NULL, 'lyz_G-like_1', NULL, NULL, 'lyz_G-like_1', 9353),
(9354, 'cd01847', NULL, 'Triacylglycerol_lipase_like', NULL, NULL, 'Triacylglycerol_lipase_like', 9354),
(9355, 'cd13201', NULL, 'FERM_C_MyoXV', NULL, NULL, 'FERM_C_MyoXV', 9355),
(9356, 'cd18017', NULL, 'DEXHc_RecQ3', NULL, NULL, 'DEXHc_RecQ3', 9356),
(9357, 'cd19585', NULL, 'serpin_poxvirus', NULL, NULL, 'serpin_poxvirus', 9357),
(9358, 'cd01164', NULL, 'FruK_PfkB_like', NULL, NULL, 'FruK_PfkB_like', 9358),
(9359, 'cd06541', NULL, 'ASCH', NULL, NULL, 'ASCH', 9359),
(9360, 'cd18663', NULL, 'CD2_tandem_CHD5-9_like', NULL, NULL, 'CD2_tandem_CHD5-9_like', 9360),
(9361, 'cd17382', NULL, 'MFS_SLC17A6_7_8_VGluT', NULL, NULL, 'MFS_SLC17A6_7_8_VGluT', 9361),
(9362, 'cd12720', NULL, 'RRM_SYNJ2', NULL, NULL, 'RRM_SYNJ2', 9362),
(9363, 'cd19813', NULL, 'Bbox1_BRAT-like', NULL, NULL, 'Bbox1_BRAT-like', 9363),
(9364, 'cd08397', NULL, 'C2_PI3K_class_III', NULL, NULL, 'C2_PI3K_class_III', 9364),
(9365, 'cd05081', NULL, 'PTKc_Jak3_rpt2', NULL, NULL, 'PTKc_Jak3_rpt2', 9365),
(9366, 'cd12484', NULL, 'RRM1_RBM46', NULL, NULL, 'RRM1_RBM46', 9366),
(9367, 'cd05613', NULL, 'STKc_MSK1_N', NULL, NULL, 'STKc_MSK1_N', 9367),
(9368, 'cd04140', NULL, 'ARHI_like', NULL, NULL, 'ARHI_like', 9368),
(9369, 'cd13420', NULL, 'TNFRSF25', NULL, NULL, 'TNFRSF25', 9369);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(9370, 'cd14895', NULL, 'MYSc_Myo34', NULL, NULL, 'MYSc_Myo34', 9370),
(9371, 'cd07608', NULL, 'BAR_ArfGAP_fungi', NULL, NULL, 'BAR_ArfGAP_fungi', 9371),
(9372, 'cd04901', NULL, 'ACT_3PGDH', NULL, NULL, 'ACT_3PGDH', 9372),
(9373, 'cd00828', NULL, 'elong_cond_enzymes', NULL, NULL, 'elong_cond_enzymes', 9373),
(9374, 'cd18244', NULL, 'BTB_POZ_KLHL15', NULL, NULL, 'BTB_POZ_KLHL15', 9374),
(9375, 'cd06067', NULL, 'H2MP_MemB-H2evol', NULL, NULL, 'H2MP_MemB-H2evol', 9375),
(9376, 'cd05737', NULL, 'Ig_Myomesin_like_C', NULL, NULL, 'Ig_Myomesin_like_C', 9376),
(9377, 'cd14194', NULL, 'STKc_DAPK1', NULL, NULL, 'STKc_DAPK1', 9377),
(9378, 'cd05828', NULL, 'Sortase_D_1', NULL, NULL, 'Sortase_D_1', 9378),
(9379, 'cd17762', NULL, 'AMN', NULL, NULL, 'AMN', 9379),
(9380, 'cd01945', NULL, 'ribokinase_group_B', NULL, NULL, 'ribokinase_group_B', 9380),
(9381, 'cd03019', NULL, 'DsbA_DsbA', NULL, NULL, 'DsbA_DsbA', 9381),
(9382, 'cd12749', NULL, 'RRM4_RBM12', NULL, NULL, 'RRM4_RBM12', 9382),
(9383, 'cd00141', NULL, 'NT_POLXc', NULL, NULL, 'NT_POLXc', 9383),
(9384, 'cd04251', NULL, 'AAK_NAGK-UC', NULL, NULL, 'AAK_NAGK-UC', 9384),
(9385, 'cd08354', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 9385),
(9386, 'cd14042', NULL, 'PK_GC-A_B', NULL, NULL, 'PK_GC-A_B', 9386),
(9387, 'cd14401', NULL, 'UBA_HERC1', NULL, NULL, 'UBA_HERC1', 9387),
(9388, 'cd00581', NULL, 'QFR_TypeB_TM', NULL, NULL, 'QFR_TypeB_TM', 9388),
(9389, 'cd16576', NULL, 'RING-HC_TRIM9_like_C-I', NULL, NULL, 'RING-HC_TRIM9_like_C-I', 9389),
(9390, 'cd18576', NULL, 'ABC_6TM_bac_exporter_ABCB8_10_like', NULL, NULL, 'ABC_6TM_bac_exporter_ABCB8_10_like', 9390),
(9391, 'cd14908', NULL, 'MYSc_Myo47', NULL, NULL, 'MYSc_Myo47', 9391),
(9392, 'cd09680', NULL, 'Cas10_III', NULL, NULL, 'Cas10_III', 9392),
(9393, 'cd13635', NULL, 'PBP2_Ttha1568_Mqnd', NULL, NULL, 'PBP2_Ttha1568_Mqnd', 9393),
(9394, 'cd01360', NULL, 'Adenylsuccinate_lyase_1', NULL, NULL, 'Adenylsuccinate_lyase_1', 9394),
(9395, 'cd16704', NULL, 'RING-HC_RNF20_like', NULL, NULL, 'RING-HC_RNF20_like', 9395),
(9396, 'cd05534', NULL, 'POLBc_zeta', NULL, NULL, 'POLBc_zeta', 9396),
(9397, 'cd04883', NULL, 'ACT_AcuB', NULL, NULL, 'ACT_AcuB', 9397),
(9398, 'cd00055', NULL, 'EGF_Lam', NULL, NULL, 'EGF_Lam', 9398),
(9399, 'cd04713', NULL, 'BAH_plant_3', NULL, NULL, 'BAH_plant_3', 9399),
(9400, 'cd06622', NULL, 'PKc_PBS2_like', NULL, NULL, 'PKc_PBS2_like', 9400),
(9401, 'cd14349', NULL, 'UBA_CF106', NULL, NULL, 'UBA_CF106', 9401),
(9402, 'cd17274', NULL, 'RMtype1_S_Eco540ANI-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_Eco540ANI-TRD1-CR1_like', 9402),
(9403, 'cd16990', NULL, 'ENTH_Epsin', NULL, NULL, 'ENTH_Epsin', 9403),
(9404, 'cd06340', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 9404),
(9405, 'cd21168', NULL, 'M_gcv_Nsp15-like', NULL, NULL, 'M_gcv_Nsp15-like', 9405),
(9406, 'cd14964', NULL, '7tm_GPCRs', NULL, NULL, '7tm_GPCRs', 9406),
(9407, 'cd03295', NULL, 'ABC_OpuCA_Osmoprotection', NULL, NULL, 'ABC_OpuCA_Osmoprotection', 9407),
(9408, 'cd02002', NULL, 'TPP_BFDC', NULL, NULL, 'TPP_BFDC', 9408),
(9409, 'cd09654', NULL, 'Cmr5_III-B', NULL, NULL, 'Cmr5_III-B', 9409),
(9410, 'cd05363', NULL, 'SDH_SDR_c', NULL, NULL, 'SDH_SDR_c', 9410),
(9411, 'cd17771', NULL, 'CBS_pair_CAP-ED_NT_Pol-beta-like_DUF294_assoc', NULL, NULL, 'CBS_pair_CAP-ED_NT_Pol-beta-like_DUF294_assoc', 9411),
(9412, 'cd12614', NULL, 'RRM1_PUB1', NULL, NULL, 'RRM1_PUB1', 9412),
(9413, 'cd11426', NULL, 'bHLH_TS_MIST1_like', NULL, NULL, 'bHLH_TS_MIST1_like', 9413),
(9414, 'cd12002', NULL, 'SH3_NEDD9', NULL, NULL, 'SH3_NEDD9', 9414),
(9415, 'cd14488', NULL, 'CBM6-CBM35-CBM36_like_2', NULL, NULL, 'CBM6-CBM35-CBM36_like_2', 9415),
(9416, 'cd02799', NULL, 'tRNA_bind_EMAP-II_like', NULL, NULL, 'tRNA_bind_EMAP-II_like', 9416),
(9417, 'cd12664', NULL, 'RRM1_RAVER2', NULL, NULL, 'RRM1_RAVER2', 9417),
(9418, 'cd07105', NULL, 'ALDH_SaliADH', NULL, NULL, 'ALDH_SaliADH', 9418),
(9419, 'cd03089', NULL, 'PMM_PGM', NULL, NULL, 'PMM_PGM', 9419),
(9420, 'cd09994', NULL, 'HDAC_AcuC_like', NULL, NULL, 'HDAC_AcuC_like', 9420),
(9421, 'cd10450', NULL, 'GIY-YIG_AtGrxS16_like', NULL, NULL, 'GIY-YIG_AtGrxS16_like', 9421);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(9422, 'cd05507', NULL, 'Bromo_brd8_like', NULL, NULL, 'Bromo_brd8_like', 9422),
(9423, 'cd16189', NULL, 'EFh_PEF_CAPN1_like', NULL, NULL, 'EFh_PEF_CAPN1_like', 9423),
(9424, 'cd01717', NULL, 'Sm_B', NULL, NULL, 'Sm_B', 9424),
(9425, 'cd11529', NULL, 'NTP-PPase_MazG_Cterm', NULL, NULL, 'NTP-PPase_MazG_Cterm', 9425),
(9426, 'cd11772', NULL, 'SH3_OSTF1', NULL, NULL, 'SH3_OSTF1', 9426),
(9427, 'cd03680', NULL, 'MM_CoA_mutase_ICM_like', NULL, NULL, 'MM_CoA_mutase_ICM_like', 9427),
(9428, 'cd16037', NULL, 'sulfatase_like', NULL, NULL, 'sulfatase_like', 9428),
(9429, 'cd15607', NULL, 'PHD2_KDM5B', NULL, NULL, 'PHD2_KDM5B', 9429),
(9430, 'cd03389', NULL, 'PAP2_lipid_A_1_phosphatase', NULL, NULL, 'PAP2_lipid_A_1_phosphatase', 9430),
(9431, 'cd07435', NULL, 'PHP_PolIIIA_POLC', NULL, NULL, 'PHP_PolIIIA_POLC', 9431),
(9432, 'cd08575', NULL, 'GDPD_GDE4_like', NULL, NULL, 'GDPD_GDE4_like', 9432),
(9433, 'cd14524', NULL, 'PTPMT1', NULL, NULL, 'PTPMT1', 9433),
(9434, 'cd06562', NULL, 'GH20_HexA_HexB-like', NULL, NULL, 'GH20_HexA_HexB-like', 9434),
(9435, 'cd16864', NULL, 'ARID_JARID', NULL, NULL, 'ARID_JARID', 9435),
(9436, 'cd14314', NULL, 'UBA_II_E2_pyUCE_like', NULL, NULL, 'UBA_II_E2_pyUCE_like', 9436),
(9437, 'cd19359', NULL, 'TenA_C_Bt3146-like', NULL, NULL, 'TenA_C_Bt3146-like', 9437),
(9438, 'cd08942', NULL, 'RhlG_SDR_c', NULL, NULL, 'RhlG_SDR_c', 9438),
(9439, 'cd14711', NULL, 'bZIP_CEBPA', NULL, NULL, 'bZIP_CEBPA', 9439),
(9440, 'cd17254', NULL, 'RMtype1_S_FclI-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_FclI-TRD1-CR1_like', 9440),
(9441, 'cd00301', NULL, 'lipocalin_FABP', NULL, NULL, 'lipocalin_FABP', 9441),
(9442, 'cd14792', NULL, 'GH27', NULL, NULL, 'GH27', 9442),
(9443, 'cd05266', NULL, 'SDR_a4', NULL, NULL, 'SDR_a4', 9443),
(9444, 'cd00024', NULL, 'CD_CSD', NULL, NULL, 'CD_CSD', 9444),
(9445, 'cd00365', NULL, 'HMG-CoA_reductase', NULL, NULL, 'HMG-CoA_reductase', 9445),
(9446, 'cd14846', NULL, 'Peptidase_M15_like', NULL, NULL, 'Peptidase_M15_like', 9446),
(9447, 'cd08965', NULL, 'EcNei-like_N', NULL, NULL, 'EcNei-like_N', 9447),
(9448, 'cd18117', NULL, 'ATP-synt_flagellum-secretory_path_III_N', NULL, NULL, 'ATP-synt_flagellum-secretory_path_III_N', 9448),
(9449, 'cd11496', NULL, 'SLC6sbd-TauT-like', NULL, NULL, 'SLC6sbd-TauT-like', 9449),
(9450, 'cd06964', NULL, 'NR_DBD_RAR', NULL, NULL, 'NR_DBD_RAR', 9450),
(9451, 'cd01367', NULL, 'KISc_KIF2_like', NULL, NULL, 'KISc_KIF2_like', 9451),
(9452, 'cd17362', NULL, 'MFS_GLUT10_12_Class3_like', NULL, NULL, 'MFS_GLUT10_12_Class3_like', 9452),
(9453, 'cd19834', NULL, 'Bbox2_BSPRY', NULL, NULL, 'Bbox2_BSPRY', 9453),
(9454, 'cd19918', NULL, 'RsmI_like', NULL, NULL, 'RsmI_like', 9454),
(9455, 'cd15900', NULL, 'EFh_MICU', NULL, NULL, 'EFh_MICU', 9455),
(9456, 'cd05592', NULL, 'STKc_nPKC_theta_like', NULL, NULL, 'STKc_nPKC_theta_like', 9456),
(9457, 'cd10028', NULL, 'UDG-F2_TDG_MUG', NULL, NULL, 'UDG-F2_TDG_MUG', 9457),
(9458, 'cd02252', NULL, 'nylC_like', NULL, NULL, 'nylC_like', 9458),
(9459, 'cd14050', NULL, 'PKc_Myt1', NULL, NULL, 'PKc_Myt1', 9459),
(9460, 'cd17406', NULL, 'MFS_unc93A_like', NULL, NULL, 'MFS_unc93A_like', 9460),
(9461, 'cd12685', NULL, 'RRM_RBM20', NULL, NULL, 'RRM_RBM20', 9461),
(9462, 'cd05483', NULL, 'retropepsin_like_bacteria', NULL, NULL, 'retropepsin_like_bacteria', 9462),
(9463, 'cd17965', NULL, 'DEADc_MRH4', NULL, NULL, 'DEADc_MRH4', 9463),
(9464, 'cd06376', NULL, 'PBP1_mGluR_groupIII', NULL, NULL, 'PBP1_mGluR_groupIII', 9464),
(9465, 'cd13154', NULL, 'KOW_Mtr4', NULL, NULL, 'KOW_Mtr4', 9465),
(9466, 'cd08038', NULL, 'LARP_2', NULL, NULL, 'LARP_2', 9466),
(9467, 'cd13413', NULL, 'TNFRSF12A', NULL, NULL, 'TNFRSF12A', 9467),
(9468, 'cd09347', NULL, 'LIM4_FHL', NULL, NULL, 'LIM4_FHL', 9468),
(9469, 'cd17772', NULL, 'CBS_pair_DHH_polyA_Pol_assoc', NULL, NULL, 'CBS_pair_DHH_polyA_Pol_assoc', 9469),
(9470, 'cd06880', NULL, 'PX_SNX22', NULL, NULL, 'PX_SNX22', 9470),
(9471, 'cd17966', NULL, 'DEADc_DDX5_DDX17', NULL, NULL, 'DEADc_DDX5_DDX17', 9471),
(9472, 'cd10914', NULL, 'Peptidase_C25_N_1', NULL, NULL, 'Peptidase_C25_N_1', 9472),
(9473, 'cd19716', NULL, 'bHLH_TS_NGN1_NeuroD3', NULL, NULL, 'bHLH_TS_NGN1_NeuroD3', 9473);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(9474, 'cd10288', NULL, 'prolactin_like', NULL, NULL, 'prolactin_like', 9474),
(9475, 'cd16517', NULL, 'RING-HC_MAT1', NULL, NULL, 'RING-HC_MAT1', 9475),
(9476, 'cd12181', NULL, 'ceo_syn', NULL, NULL, 'ceo_syn', 9476),
(9477, 'cd14824', NULL, 'Longin', NULL, NULL, 'Longin', 9477),
(9478, 'cd09880', NULL, 'PIN_Smg5-6-like', NULL, NULL, 'PIN_Smg5-6-like', 9478),
(9479, 'cd13999', NULL, 'STKc_MAP3K-like', NULL, NULL, 'STKc_MAP3K-like', 9479),
(9480, 'cd04874', NULL, 'ACT_Af1403', NULL, NULL, 'ACT_Af1403', 9480),
(9481, 'cd10396', NULL, 'SH2_Tec_Itk', NULL, NULL, 'SH2_Tec_Itk', 9481),
(9482, 'cd10452', NULL, 'GIY-YIG_RE_Eco29kI_NgoMIII', NULL, NULL, 'GIY-YIG_RE_Eco29kI_NgoMIII', 9482),
(9483, 'cd06659', NULL, 'STKc_PAK6', NULL, NULL, 'STKc_PAK6', 9483),
(9484, 'cd07590', NULL, 'BAR_Bin3', NULL, NULL, 'BAR_Bin3', 9484),
(9485, 'cd02900', NULL, 'Macro_Appr_pase', NULL, NULL, 'Macro_Appr_pase', 9485),
(9486, 'cd14034', NULL, 'PK_NRBP1', NULL, NULL, 'PK_NRBP1', 9486),
(9487, 'cd08710', NULL, 'RGS_RGS16', NULL, NULL, 'RGS_RGS16', 9487),
(9488, 'cd17128', NULL, 'Ubl_IKKE', NULL, NULL, 'Ubl_IKKE', 9488),
(9489, 'cd04186', NULL, 'GT_2_like_c', NULL, NULL, 'GT_2_like_c', 9489),
(9490, 'cd08650', NULL, 'FMT_core_HypX_N', NULL, NULL, 'FMT_core_HypX_N', 9490),
(9491, 'cd14624', NULL, 'R-PTPc-D-1', NULL, NULL, 'R-PTPc-D-1', 9491),
(9492, 'cd13993', NULL, 'STKc_Pat1_like', NULL, NULL, 'STKc_Pat1_like', 9492),
(9493, 'cd17465', NULL, 'MFS_MCT8', NULL, NULL, 'MFS_MCT8', 9493),
(9494, 'cd08310', NULL, 'Death_NFkB-like', NULL, NULL, 'Death_NFkB-like', 9494),
(9495, 'cd12723', NULL, 'RRM1_CPEB1', NULL, NULL, 'RRM1_CPEB1', 9495),
(9496, 'cd01617', NULL, 'DCX', NULL, NULL, 'DCX', 9496),
(9497, 'cd08741', NULL, 'RGS_RGS10', NULL, NULL, 'RGS_RGS10', 9497),
(9498, 'cd09463', NULL, 'LIM1_LIMK2', NULL, NULL, 'LIM1_LIMK2', 9498),
(9499, 'cd15873', NULL, 'R-SNARE_STXBP5_6', NULL, NULL, 'R-SNARE_STXBP5_6', 9499),
(9500, 'cd16393', NULL, 'SPO0J_N', NULL, NULL, 'SPO0J_N', 9500),
(9501, 'cd16625', NULL, 'RING-HC_RBR_HEL2_like', NULL, NULL, 'RING-HC_RBR_HEL2_like', 9501),
(9502, 'cd07613', NULL, 'BAR_Endophilin_A1', NULL, NULL, 'BAR_Endophilin_A1', 9502),
(9503, 'cd14902', NULL, 'MYSc_Myo41', NULL, NULL, 'MYSc_Myo41', 9503),
(9504, 'cd01258', NULL, 'PHsplit_syntrophin', NULL, NULL, 'PHsplit_syntrophin', 9504),
(9505, 'cd17505', NULL, 'Ubl_SAMP1_like', NULL, NULL, 'Ubl_SAMP1_like', 9505),
(9506, 'cd21532', NULL, 'HKU1-CoV-like_E', NULL, NULL, 'HKU1-CoV-like_E', 9506),
(9507, 'cd15377', NULL, '7tmA_P2Y1', NULL, NULL, '7tmA_P2Y1', 9507),
(9508, 'cd08570', NULL, 'GDPD_YPL206cp_fungi', NULL, NULL, 'GDPD_YPL206cp_fungi', 9508),
(9509, 'cd11484', NULL, 'SLC-NCS1sbd_CobB-like', NULL, NULL, 'SLC-NCS1sbd_CobB-like', 9509),
(9510, 'cd07888', NULL, 'CRD_corin_2', NULL, NULL, 'CRD_corin_2', 9510),
(9511, 'cd05607', NULL, 'STKc_GRK7', NULL, NULL, 'STKc_GRK7', 9511),
(9512, 'cd08347', NULL, 'PcpA_C_like', NULL, NULL, 'PcpA_C_like', 9512),
(9513, 'cd07213', NULL, 'Pat17_PNPLA8_PNPLA9_like1', NULL, NULL, 'Pat17_PNPLA8_PNPLA9_like1', 9513),
(9514, 'cd12234', NULL, 'RRM1_AtRSp31_like', NULL, NULL, 'RRM1_AtRSp31_like', 9514),
(9515, 'cd00583', NULL, 'MutH_Sau3AI', NULL, NULL, 'MutH_Sau3AI', 9515),
(9516, 'cd02011', NULL, 'TPP_PK', NULL, NULL, 'TPP_PK', 9516),
(9517, 'cd13297', NULL, 'PH3_MyoX-like', NULL, NULL, 'PH3_MyoX-like', 9517),
(9518, 'cd14625', NULL, 'R-PTPc-S-1', NULL, NULL, 'R-PTPc-S-1', 9518),
(9519, 'cd16258', NULL, 'Tet_III', NULL, NULL, 'Tet_III', 9519),
(9520, 'cd19587', NULL, 'serpinA16_HongrES1-like', NULL, NULL, 'serpinA16_HongrES1-like', 9520),
(9521, 'cd06955', NULL, 'NR_DBD_VDR', NULL, NULL, 'NR_DBD_VDR', 9521),
(9522, 'cd10553', NULL, 'PhsB_like', NULL, NULL, 'PhsB_like', 9522),
(9523, 'cd05706', NULL, 'S1_Rrp5_repeat_sc10', NULL, NULL, 'S1_Rrp5_repeat_sc10', 9523),
(9524, 'cd12088', NULL, 'helicase_insert_domain', NULL, NULL, 'helicase_insert_domain', 9524),
(9525, 'cd15875', NULL, 'SNARE_syntaxin7', NULL, NULL, 'SNARE_syntaxin7', 9525),
(9526, 'cd17912', NULL, 'DEAD-like_helicase_N', NULL, NULL, 'DEAD-like_helicase_N', 9526);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(9527, 'cd15527', NULL, 'PHD2_KAT6A_6B', NULL, NULL, 'PHD2_KAT6A_6B', 9527),
(9528, 'cd00446', NULL, 'GrpE', NULL, NULL, 'GrpE', 9528),
(9529, 'cd09594', NULL, 'GluZincin', NULL, NULL, 'GluZincin', 9529),
(9530, 'cd03802', NULL, 'GT4_AviGT4-like', NULL, NULL, 'GT4_AviGT4-like', 9530),
(9531, 'cd08315', NULL, 'Death_TRAILR_DR4_DR5', NULL, NULL, 'Death_TRAILR_DR4_DR5', 9531),
(9532, 'cd06157', NULL, 'NR_LBD', NULL, NULL, 'NR_LBD', 9532),
(9533, 'cd18436', NULL, 'BRCT_BRC1_like_rpt2', NULL, NULL, 'BRCT_BRC1_like_rpt2', 9533),
(9534, 'cd04871', NULL, 'ACT_PSP_2', NULL, NULL, 'ACT_PSP_2', 9534),
(9535, 'cd07638', NULL, 'BAR_ACAP2', NULL, NULL, 'BAR_ACAP2', 9535),
(9536, 'cd11816', NULL, 'SH3_Eve1_3', NULL, NULL, 'SH3_Eve1_3', 9536),
(9537, 'cd05932', NULL, 'LC_FACS_bac', NULL, NULL, 'LC_FACS_bac', 9537),
(9538, 'cd08044', NULL, 'TAF5_NTD2', NULL, NULL, 'TAF5_NTD2', 9538),
(9539, 'cd05699', NULL, 'S1_Rrp5_repeat_hs7', NULL, NULL, 'S1_Rrp5_repeat_hs7', 9539),
(9540, 'cd05779', NULL, 'DNA_polB_epsilon_exo', NULL, NULL, 'DNA_polB_epsilon_exo', 9540),
(9541, 'cd09658', NULL, 'Cas5_I-B', NULL, NULL, 'Cas5_I-B', 9541),
(9542, 'cd01351', NULL, 'Aconitase', NULL, NULL, 'Aconitase', 9542),
(9543, 'cd15887', NULL, 'SNARE_SNAP29N', NULL, NULL, 'SNARE_SNAP29N', 9543),
(9544, 'cd06648', NULL, 'STKc_PAK_II', NULL, NULL, 'STKc_PAK_II', 9544),
(9545, 'cd19165', NULL, 'HemeO', NULL, NULL, 'HemeO', 9545),
(9546, 'cd01373', NULL, 'KISc_KLP2_like', NULL, NULL, 'KISc_KLP2_like', 9546),
(9547, 'cd13429', NULL, 'UreI_AmiS_like_2', NULL, NULL, 'UreI_AmiS_like_2', 9547),
(9548, 'cd01187', NULL, 'INT_tnpB_C_Tn554', NULL, NULL, 'INT_tnpB_C_Tn554', 9548),
(9549, 'cd11499', NULL, 'SLC6sbd_GlyT2', NULL, NULL, 'SLC6sbd_GlyT2', 9549),
(9550, 'cd06204', NULL, 'CYPOR', NULL, NULL, 'CYPOR', 9550),
(9551, 'cd09719', NULL, 'Cas1_I-E', NULL, NULL, 'Cas1_I-E', 9551),
(9552, 'cd14866', NULL, 'Fe-ADH-like', NULL, NULL, 'Fe-ADH-like', 9552),
(9553, 'cd17467', NULL, 'T3SS_YscP_C', NULL, NULL, 'T3SS_YscP_C', 9553),
(9554, 'cd00607', NULL, 'RNase_Sa', NULL, NULL, 'RNase_Sa', 9554),
(9555, 'cd12050', NULL, 'SH3_DOCK2_A', NULL, NULL, 'SH3_DOCK2_A', 9555),
(9556, 'cd19809', NULL, 'Bbox1_TRIM45_C-X', NULL, NULL, 'Bbox1_TRIM45_C-X', 9556),
(9557, 'cd18562', NULL, 'ABC_6TM_NdvA_beta-glucan_exporter_like', NULL, NULL, 'ABC_6TM_NdvA_beta-glucan_exporter_like', 9557),
(9558, 'cd15063', NULL, '7tmA_Octopamine_R', NULL, NULL, '7tmA_Octopamine_R', 9558),
(9559, 'cd19872', NULL, 'DSRM_A1CF-like', NULL, NULL, 'DSRM_A1CF-like', 9559),
(9560, 'cd11907', NULL, 'SH3_TXK', NULL, NULL, 'SH3_TXK', 9560),
(9561, 'cd12560', NULL, 'RRM_SRSF12', NULL, NULL, 'RRM_SRSF12', 9561),
(9562, 'cd11769', NULL, 'SH3_CSK', NULL, NULL, 'SH3_CSK', 9562),
(9563, 'cd16909', NULL, 'YEATS_GAS41_like', NULL, NULL, 'YEATS_GAS41_like', 9563),
(9564, 'cd01940', NULL, 'Fructoselysine_kinase_like', NULL, NULL, 'Fructoselysine_kinase_like', 9564),
(9565, 'cd13705', NULL, 'PBP2_BvgS_D1', NULL, NULL, 'PBP2_BvgS_D1', 9565),
(9566, 'cd12284', NULL, 'RRM2_RBM23_RBM39', NULL, NULL, 'RRM2_RBM23_RBM39', 9566),
(9567, 'cd18432', NULL, 'BRCT_PAXIP1_rpt6_like', NULL, NULL, 'BRCT_PAXIP1_rpt6_like', 9567),
(9568, 'cd03340', NULL, 'TCP1_eta', NULL, NULL, 'TCP1_eta', 9568),
(9569, 'cd07846', NULL, 'STKc_CDKL2_3', NULL, NULL, 'STKc_CDKL2_3', 9569),
(9570, 'cd15687', NULL, 'PHD3_KDM5B', NULL, NULL, 'PHD3_KDM5B', 9570),
(9571, 'cd09859', NULL, 'PIN_53EXO', NULL, NULL, 'PIN_53EXO', 9571),
(9572, 'cd08838', NULL, 'ArfGap_AGFG', NULL, NULL, 'ArfGap_AGFG', 9572),
(9573, 'cd07828', NULL, 'lipocalin_heme-bd-THAP4-like', NULL, NULL, 'lipocalin_heme-bd-THAP4-like', 9573),
(9574, 'cd09874', NULL, 'PIN_MT3492-like', NULL, NULL, 'PIN_MT3492-like', 9574),
(9575, 'cd06956', NULL, 'NR_DBD_RXR', NULL, NULL, 'NR_DBD_RXR', 9575),
(9576, 'cd18483', NULL, 'BACK_KBTBD8', NULL, NULL, 'BACK_KBTBD8', 9576),
(9577, 'cd09524', NULL, 'SAM_tankyrase1,2', NULL, NULL, 'SAM_tankyrase1,2', 9577),
(9578, 'cd04151', NULL, 'Arl1', NULL, NULL, 'Arl1', 9578),
(9579, 'cd18639', NULL, 'CD_SUV39H1_like', NULL, NULL, 'CD_SUV39H1_like', 9579);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(9580, 'cd18352', NULL, 'BTB_POZ_ARIA_plant', NULL, NULL, 'BTB_POZ_ARIA_plant', 9580),
(9581, 'cd00687', NULL, 'Terpene_cyclase_nonplant_C1', NULL, NULL, 'Terpene_cyclase_nonplant_C1', 9581),
(9582, 'cd03729', NULL, 'SOCS_ASB13', NULL, NULL, 'SOCS_ASB13', 9582),
(9583, 'cd13374', NULL, 'PH_RASAL3', NULL, NULL, 'PH_RASAL3', 9583),
(9584, 'cd00643', NULL, 'HMG-CoA_reductase_classI', NULL, NULL, 'HMG-CoA_reductase_classI', 9584),
(9585, 'cd16746', NULL, 'RING-HC_RNF212', NULL, NULL, 'RING-HC_RNF212', 9585),
(9586, 'cd03683', NULL, 'ClC_1_like', NULL, NULL, 'ClC_1_like', 9586),
(9587, 'cd17948', NULL, 'DEADc_DDX28', NULL, NULL, 'DEADc_DDX28', 9587),
(9588, 'cd01814', NULL, 'Ubl_MUBs_plant', NULL, NULL, 'Ubl_MUBs_plant', 9588),
(9589, 'cd13267', NULL, 'PH_DOCK-D', NULL, NULL, 'PH_DOCK-D', 9589),
(9590, 'cd12906', NULL, 'SPRY_SOCS1-2-4', NULL, NULL, 'SPRY_SOCS1-2-4', 9590),
(9591, 'cd15642', NULL, 'PHD_PHF8', NULL, NULL, 'PHD_PHF8', 9591),
(9592, 'cd18557', NULL, 'ABC_6TM_TAP_ABCB8_10_like', NULL, NULL, 'ABC_6TM_TAP_ABCB8_10_like', 9592),
(9593, 'cd21534', NULL, 'SARS-CoV-like_E', NULL, NULL, 'SARS-CoV-like_E', 9593),
(9594, 'cd05694', NULL, 'S1_Rrp5_repeat_hs2_sc2', NULL, NULL, 'S1_Rrp5_repeat_hs2_sc2', 9594),
(9595, 'cd02018', NULL, 'TPP_PFOR', NULL, NULL, 'TPP_PFOR', 9595),
(9596, 'cd15748', NULL, 'FYVE_SPIR', NULL, NULL, 'FYVE_SPIR', 9596),
(9597, 'cd14829', NULL, 'Zeta-COP', NULL, NULL, 'Zeta-COP', 9597),
(9598, 'cd14170', NULL, 'STKc_MAPKAPK2', NULL, NULL, 'STKc_MAPKAPK2', 9598),
(9599, 'cd04770', NULL, 'HTH_HMRTR', NULL, NULL, 'HTH_HMRTR', 9599),
(9600, 'cd09212', NULL, 'PUB', NULL, NULL, 'PUB', 9600),
(9601, 'cd18717', NULL, 'PIN_ScNmd4p-like', NULL, NULL, 'PIN_ScNmd4p-like', 9601),
(9602, 'cd13218', NULL, 'PH-GRAM2_TCB1D8_TCB1D9_family', NULL, NULL, 'PH-GRAM2_TCB1D8_TCB1D9_family', 9602),
(9603, 'cd08370', NULL, 'FMT_C_like', NULL, NULL, 'FMT_C_like', 9603),
(9604, 'cd13607', NULL, 'PBP2_AfProX_like', NULL, NULL, 'PBP2_AfProX_like', 9604),
(9605, 'cd14472', NULL, 'mltA_B_like', NULL, NULL, 'mltA_B_like', 9605),
(9606, 'cd19449', NULL, 'ReP1-NCXSQ-like', NULL, NULL, 'ReP1-NCXSQ-like', 9606),
(9607, 'cd19169', NULL, 'SET_SETD1', NULL, NULL, 'SET_SETD1', 9607),
(9608, 'cd16464', NULL, 'RING-H2_Pirh2', NULL, NULL, 'RING-H2_Pirh2', 9608),
(9609, 'cd20255', NULL, 'CASIMO1_SMIM22', NULL, NULL, 'CASIMO1_SMIM22', 9609),
(9610, 'cd07619', NULL, 'BAR_Rich2', NULL, NULL, 'BAR_Rich2', 9610),
(9611, 'cd03890', NULL, 'M20_pepD', NULL, NULL, 'M20_pepD', 9611),
(9612, 'cd16862', NULL, 'ING_ING4', NULL, NULL, 'ING_ING4', 9612),
(9613, 'cd03601', NULL, 'CLECT_TC14_like', NULL, NULL, 'CLECT_TC14_like', 9613),
(9614, 'cd07570', NULL, 'GAT_Gln-NAD-synth', NULL, NULL, 'GAT_Gln-NAD-synth', 9614),
(9615, 'cd00864', NULL, 'PI3Ka', NULL, NULL, 'PI3Ka', 9615),
(9616, 'cd09702', NULL, 'Csx1_III-U', NULL, NULL, 'Csx1_III-U', 9616),
(9617, 'cd07492', NULL, 'Peptidases_S8_8', NULL, NULL, 'Peptidases_S8_8', 9617),
(9618, 'cd14222', NULL, 'STKc_LIMK2', NULL, NULL, 'STKc_LIMK2', 9618),
(9619, 'cd01347', NULL, 'ligand_gated_channel', NULL, NULL, 'ligand_gated_channel', 9619),
(9620, 'cd12311', NULL, 'RRM_SRSF2_SRSF8', NULL, NULL, 'RRM_SRSF2_SRSF8', 9620),
(9621, 'cd17446', NULL, 'MFS_SLC22A6_OAT1_like', NULL, NULL, 'MFS_SLC22A6_OAT1_like', 9621),
(9622, 'cd17763', NULL, 'UP_hUPP-like', NULL, NULL, 'UP_hUPP-like', 9622),
(9623, 'cd01866', NULL, 'Rab2', NULL, NULL, 'Rab2', 9623),
(9624, 'cd14074', NULL, 'STKc_SNRK', NULL, NULL, 'STKc_SNRK', 9624),
(9625, 'cd19604', NULL, 'serpin_protozoa', NULL, NULL, 'serpin_protozoa', 9625),
(9626, 'cd13615', NULL, 'PBP2_ProWY', NULL, NULL, 'PBP2_ProWY', 9626),
(9627, 'cd15970', NULL, '7tmA_SSTR1', NULL, NULL, '7tmA_SSTR1', 9627),
(9628, 'cd17009', NULL, 'VHS_GGA1', NULL, NULL, 'VHS_GGA1', 9628),
(9629, 'cd11665', NULL, 'LamB_like', NULL, NULL, 'LamB_like', 9629),
(9630, 'cd16277', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', 9630),
(9631, 'cd02649', NULL, 'nuc_hydro_CeIAG', NULL, NULL, 'nuc_hydro_CeIAG', 9631),
(9632, 'cd12727', NULL, 'RRM_like_Smg4_UPF3A', NULL, NULL, 'RRM_like_Smg4_UPF3A', 9632);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(9633, 'cd07478', NULL, 'Peptidases_S8_CspA-like', NULL, NULL, 'Peptidases_S8_CspA-like', 9633),
(9634, 'cd14586', NULL, 'PTP-MTMR3', NULL, NULL, 'PTP-MTMR3', 9634),
(9635, 'cd17120', NULL, 'Ubl_UBTD1', NULL, NULL, 'Ubl_UBTD1', 9635),
(9636, 'cd00408', NULL, 'DHDPS-like', NULL, NULL, 'DHDPS-like', 9636),
(9637, 'cd08061', NULL, 'MPN_NPL4', NULL, NULL, 'MPN_NPL4', 9637),
(9638, 'cd13158', NULL, 'PTB_APPL', NULL, NULL, 'PTB_APPL', 9638),
(9639, 'cd13612', NULL, 'PBP2_ProWX', NULL, NULL, 'PBP2_ProWX', 9639),
(9640, 'cd06638', NULL, 'STKc_myosinIIIA_N', NULL, NULL, 'STKc_myosinIIIA_N', 9640),
(9641, 'cd12479', NULL, 'RRM2_SNF', NULL, NULL, 'RRM2_SNF', 9641),
(9642, 'cd16684', NULL, 'RING-H2_RNF145', NULL, NULL, 'RING-H2_RNF145', 9642),
(9643, 'cd08152', NULL, 'y4iL_like', NULL, NULL, 'y4iL_like', 9643),
(9644, 'cd07580', NULL, 'nitrilase_2', NULL, NULL, 'nitrilase_2', 9644),
(9645, 'cd18179', NULL, 'ATP-synt_Vo_Ao_c_NTPK_rpt1', NULL, NULL, 'ATP-synt_Vo_Ao_c_NTPK_rpt1', 9645),
(9646, 'cd08767', NULL, 'Cdt1_c', NULL, NULL, 'Cdt1_c', 9646),
(9647, 'cd03222', NULL, 'ABC_RNaseL_inhibitor', NULL, NULL, 'ABC_RNaseL_inhibitor', 9647),
(9648, 'cd13551', NULL, 'PBP2_Fbp_like_5', NULL, NULL, 'PBP2_Fbp_like_5', 9648),
(9649, 'cd17334', NULL, 'MFS_SLC49', NULL, NULL, 'MFS_SLC49', 9649),
(9650, 'cd00421', NULL, 'intradiol_dioxygenase', NULL, NULL, 'intradiol_dioxygenase', 9650),
(9651, 'cd19603', NULL, 'serpin_platyhelminthes', NULL, NULL, 'serpin_platyhelminthes', 9651),
(9652, 'cd02013', NULL, 'TPP_Xsc_like', NULL, NULL, 'TPP_Xsc_like', 9652),
(9653, 'cd05818', NULL, 'CBM20_water_dikinase', NULL, NULL, 'CBM20_water_dikinase', 9653),
(9654, 'cd08775', NULL, 'DED_Caspase-like_r2', NULL, NULL, 'DED_Caspase-like_r2', 9654),
(9655, 'cd16928', NULL, 'HATPase_GyrB-like', NULL, NULL, 'HATPase_GyrB-like', 9655),
(9656, 'cd15443', NULL, '7tmB2_GPR114', NULL, NULL, '7tmB2_GPR114', 9656),
(9657, 'cd15010', NULL, '7tmA_ACKR1_DARC', NULL, NULL, '7tmA_ACKR1_DARC', 9657),
(9658, 'cd02071', NULL, 'MM_CoA_mut_B12_BD', NULL, NULL, 'MM_CoA_mut_B12_BD', 9658),
(9659, 'cd07412', NULL, 'MPP_YhcR_N', NULL, NULL, 'MPP_YhcR_N', 9659),
(9660, 'cd04749', NULL, 'Commd1_MURR1', NULL, NULL, 'Commd1_MURR1', 9660),
(9661, 'cd18673', NULL, 'PIN_XRN1-2-like', NULL, NULL, 'PIN_XRN1-2-like', 9661),
(9662, 'cd19606', NULL, 'GH113-like', NULL, NULL, 'GH113-like', 9662),
(9663, 'cd13241', NULL, 'PH2_Kalirin_Trio_p63RhoGEF', NULL, NULL, 'PH2_Kalirin_Trio_p63RhoGEF', 9663),
(9664, 'cd04240', NULL, 'AAK_UC', NULL, NULL, 'AAK_UC', 9664),
(9665, 'cd12887', NULL, 'SPRY_NHR_like', NULL, NULL, 'SPRY_NHR_like', 9665),
(9666, 'cd01336', NULL, 'MDH_cytoplasmic_cytosolic', NULL, NULL, 'MDH_cytoplasmic_cytosolic', 9666),
(9667, 'cd18929', NULL, 'bHLHzip_Mad4', NULL, NULL, 'bHLHzip_Mad4', 9667),
(9668, 'cd01882', NULL, 'BMS1', NULL, NULL, 'BMS1', 9668),
(9669, 'cd16858', NULL, 'ING_ING3_Yng2p', NULL, NULL, 'ING_ING3_Yng2p', 9669),
(9670, 'cd15405', NULL, '7tmA_OR8B-like', NULL, NULL, '7tmA_OR8B-like', 9670),
(9671, 'cd01236', NULL, 'PH_RIP', NULL, NULL, 'PH_RIP', 9671),
(9672, 'cd14369', NULL, 'CUE_VPS9_like', NULL, NULL, 'CUE_VPS9_like', 9672),
(9673, 'cd04188', NULL, 'DPG_synthase', NULL, NULL, 'DPG_synthase', 9673),
(9674, 'cd15258', NULL, '7tmB2_GPR126-like_Adhesion_VIII', NULL, NULL, '7tmB2_GPR126-like_Adhesion_VIII', 9674),
(9675, 'cd18364', NULL, 'BTB_POZ_KCTD4', NULL, NULL, 'BTB_POZ_KCTD4', 9675),
(9676, 'cd01917', NULL, 'ACS_2', NULL, NULL, 'ACS_2', 9676),
(9677, 'cd07053', NULL, 'BMC_PduT_repeat1', NULL, NULL, 'BMC_PduT_repeat1', 9677),
(9678, 'cd11406', NULL, 'bHLHzip_Max', NULL, NULL, 'bHLHzip_Max', 9678),
(9679, 'cd09758', NULL, 'Csn2', NULL, NULL, 'Csn2', 9679),
(9680, 'cd09535', NULL, 'SAM_BOI-like_fungal', NULL, NULL, 'SAM_BOI-like_fungal', 9680),
(9681, 'cd05606', NULL, 'STKc_beta_ARK', NULL, NULL, 'STKc_beta_ARK', 9681),
(9682, 'cd03178', NULL, 'GST_C_Ure2p_like', NULL, NULL, 'GST_C_Ure2p_like', 9682),
(9683, 'cd17645', NULL, 'A_NRPS_LgrA-like', NULL, NULL, 'A_NRPS_LgrA-like', 9683),
(9684, 'cd08539', NULL, 'SAM_PNT-ESE-3-like', NULL, NULL, 'SAM_PNT-ESE-3-like', 9684);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(9685, 'cd15899', NULL, 'EFh_CREC', NULL, NULL, 'EFh_CREC', 9685),
(9686, 'cd19083', NULL, 'AKR_AKR11A1_11D1', NULL, NULL, 'AKR_AKR11A1_11D1', 9686),
(9687, 'cd03569', NULL, 'VHS_Hrs', NULL, NULL, 'VHS_Hrs', 9687),
(9688, 'cd10946', NULL, 'CE4_Mll8295_like', NULL, NULL, 'CE4_Mll8295_like', 9688),
(9689, 'cd03288', NULL, 'ABCC_SUR2', NULL, NULL, 'ABCC_SUR2', 9689),
(9690, 'cd07536', NULL, 'P-type_ATPase_APLT', NULL, NULL, 'P-type_ATPase_APLT', 9690),
(9691, 'cd09473', NULL, 'LIM2_Lhx4', NULL, NULL, 'LIM2_Lhx4', 9691),
(9692, 'cd11914', NULL, 'SH3_BAIAP2L2', NULL, NULL, 'SH3_BAIAP2L2', 9692),
(9693, 'cd03048', NULL, 'GST_N_Ure2p_like', NULL, NULL, 'GST_N_Ure2p_like', 9693),
(9694, 'cd11237', NULL, 'Sema_1A', NULL, NULL, 'Sema_1A', 9694),
(9695, 'cd12250', NULL, 'RRM2_hnRNPR_like', NULL, NULL, 'RRM2_hnRNPR_like', 9695),
(9696, 'cd05154', NULL, 'ACAD10_11_N-like', NULL, NULL, 'ACAD10_11_N-like', 9696),
(9697, 'cd00235', NULL, 'TLP-20', NULL, NULL, 'TLP-20', 9697),
(9698, 'cd18303', NULL, 'BTB_POZ_Rank-5', NULL, NULL, 'BTB_POZ_Rank-5', 9698),
(9699, 'cd19935', NULL, 'REC_OmpR_CusR-like', NULL, NULL, 'REC_OmpR_CusR-like', 9699),
(9700, 'cd02667', NULL, 'Peptidase_C19K', NULL, NULL, 'Peptidase_C19K', 9700),
(9701, 'cd15292', NULL, '7tmC_GPR156', NULL, NULL, '7tmC_GPR156', 9701),
(9702, 'cd00093', NULL, 'HTH_XRE', NULL, NULL, 'HTH_XRE', 9702),
(9703, 'cd16565', NULL, 'RING-HC_RNF224_like', NULL, NULL, 'RING-HC_RNF224_like', 9703),
(9704, 'cd13700', NULL, 'PBP2_Arg_STM4351', NULL, NULL, 'PBP2_Arg_STM4351', 9704),
(9705, 'cd09553', NULL, 'SAM_EPH-B3', NULL, NULL, 'SAM_EPH-B3', 9705),
(9706, 'cd14828', NULL, 'AP_Mu_N', NULL, NULL, 'AP_Mu_N', 9706),
(9707, 'cd08553', NULL, 'PIN_Fcf1-like', NULL, NULL, 'PIN_Fcf1-like', 9707),
(9708, 'cd16513', NULL, 'RING1-HC_LONFs', NULL, NULL, 'RING1-HC_LONFs', 9708),
(9709, 'sd00033', NULL, 'LRR_RI', NULL, NULL, 'LRR_RI', 9709),
(9710, 'cd01303', NULL, 'GDEase', NULL, NULL, 'GDEase', 9710),
(9711, 'cd06475', NULL, 'ACD_HspB1_like', NULL, NULL, 'ACD_HspB1_like', 9711),
(9712, 'cd01139', NULL, 'TroA_f', NULL, NULL, 'TroA_f', 9712),
(9713, 'cd09159', NULL, 'PLDc_ybhO_like_2', NULL, NULL, 'PLDc_ybhO_like_2', 9713),
(9714, 'cd00035', NULL, 'ChtBD1', NULL, NULL, 'ChtBD1', 9714),
(9715, 'cd14710', NULL, 'bZIP_HAC1-like', NULL, NULL, 'bZIP_HAC1-like', 9715),
(9716, 'cd03416', NULL, 'CbiX_SirB_N', NULL, NULL, 'CbiX_SirB_N', 9716),
(9717, 'cd18636', NULL, 'CD_Chp1_like', NULL, NULL, 'CD_Chp1_like', 9717),
(9718, 'cd14035', NULL, 'PK_MADML', NULL, NULL, 'PK_MADML', 9718),
(9719, 'cd11951', NULL, 'SH3_GRAP_C', NULL, NULL, 'SH3_GRAP_C', 9719),
(9720, 'cd00174', NULL, 'SH3', NULL, NULL, 'SH3', 9720),
(9721, 'cd08205', NULL, 'RuBisCO_IV_RLP', NULL, NULL, 'RuBisCO_IV_RLP', 9721),
(9722, 'cd16631', NULL, 'mRING-HC-C4C4_RBR_HOIP', NULL, NULL, 'mRING-HC-C4C4_RBR_HOIP', 9722),
(9723, 'cd16085', NULL, 'IgC_SIRP_domain_3', NULL, NULL, 'IgC_SIRP_domain_3', 9723),
(9724, 'cd16800', NULL, 'RING-H2_RNF115', NULL, NULL, 'RING-H2_RNF115', 9724),
(9725, 'cd01988', NULL, 'Na_H_Antiporter_C', NULL, NULL, 'Na_H_Antiporter_C', 9725),
(9726, 'cd12052', NULL, 'SH3_CIN85_1', NULL, NULL, 'SH3_CIN85_1', 9726),
(9727, 'cd08974', NULL, 'BaFpgNei_N_2', NULL, NULL, 'BaFpgNei_N_2', 9727),
(9728, 'cd16910', NULL, 'YEATS_TFIID14_like', NULL, NULL, 'YEATS_TFIID14_like', 9728),
(9729, 'cd15904', NULL, 'TSPO_MBR', NULL, NULL, 'TSPO_MBR', 9729),
(9730, 'cd07075', NULL, 'NR_LBD_MR', NULL, NULL, 'NR_LBD_MR', 9730),
(9731, 'cd16925', NULL, 'HATPase_TutC-TodS-like', NULL, NULL, 'HATPase_TutC-TodS-like', 9731),
(9732, 'cd11582', NULL, 'Axin_TNKS_binding', NULL, NULL, 'Axin_TNKS_binding', 9732),
(9733, 'cd07414', NULL, 'MPP_PP1_PPKL', NULL, NULL, 'MPP_PP1_PPKL', 9733),
(9734, 'cd11969', NULL, 'SH3_PLCgamma2', NULL, NULL, 'SH3_PLCgamma2', 9734),
(9735, 'cd13539', NULL, 'PBP2_AvModA', NULL, NULL, 'PBP2_AvModA', 9735),
(9736, 'cd14275', NULL, 'UBA_EF-Ts', NULL, NULL, 'UBA_EF-Ts', 9736),
(9737, 'cd13672', NULL, 'PBP2_TRAP_Siap', NULL, NULL, 'PBP2_TRAP_Siap', 9737),
(9738, 'cd19020', NULL, 'LGIC_ECD_nAChR_A7', NULL, NULL, 'LGIC_ECD_nAChR_A7', 9738);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(9739, 'cd17152', NULL, 'DCX2_DCDC2', NULL, NULL, 'DCX2_DCDC2', 9739),
(9740, 'cd18671', NULL, 'PIN_PRORP-Zc3h12a-like', NULL, NULL, 'PIN_PRORP-Zc3h12a-like', 9740),
(9741, 'cd01838', NULL, 'Isoamyl_acetate_hydrolase_like', NULL, NULL, 'Isoamyl_acetate_hydrolase_like', 9741),
(9742, 'cd14152', NULL, 'STKc_KSR1', NULL, NULL, 'STKc_KSR1', 9742),
(9743, 'cd03777', NULL, 'MATH_TRAF3', NULL, NULL, 'MATH_TRAF3', 9743),
(9744, 'cd08054', NULL, 'gp6', NULL, NULL, 'gp6', 9744),
(9745, 'cd04868', NULL, 'ACT_AK-like', NULL, NULL, 'ACT_AK-like', 9745),
(9746, 'cd00794', NULL, 'NOS_oxygenase_prok', NULL, NULL, 'NOS_oxygenase_prok', 9746),
(9747, 'cd03327', NULL, 'MR_like_2', NULL, NULL, 'MR_like_2', 9747),
(9748, 'cd07589', NULL, 'BAR_DNMBP', NULL, NULL, 'BAR_DNMBP', 9748),
(9749, 'cd18337', NULL, 'BTB_POZ_KLHL5', NULL, NULL, 'BTB_POZ_KLHL5', 9749),
(9750, 'cd09404', NULL, 'LIM1_MLP84B_like', NULL, NULL, 'LIM1_MLP84B_like', 9750),
(9751, 'cd08957', NULL, 'WbmH_like_SDR_e', NULL, NULL, 'WbmH_like_SDR_e', 9751),
(9752, 'cd18930', NULL, 'bHLHzip_MXI1', NULL, NULL, 'bHLHzip_MXI1', 9752),
(9753, 'cd01083', NULL, 'GAG_Lyase', NULL, NULL, 'GAG_Lyase', 9753),
(9754, 'cd00155', NULL, 'RasGEF', NULL, NULL, 'RasGEF', 9754),
(9755, 'cd00386', NULL, 'Heme_Cu_Oxidase_III_like', NULL, NULL, 'Heme_Cu_Oxidase_III_like', 9755),
(9756, 'cd03300', NULL, 'ABC_PotA_N', NULL, NULL, 'ABC_PotA_N', 9756),
(9757, 'cd04027', NULL, 'C2B_Munc13', NULL, NULL, 'C2B_Munc13', 9757),
(9758, 'cd06327', NULL, 'PBP1_SBP-like', NULL, NULL, 'PBP1_SBP-like', 9758),
(9759, 'cd13683', NULL, 'PBP2_TRAP_DctP6_7', NULL, NULL, 'PBP2_TRAP_DctP6_7', 9759),
(9760, 'cd16201', NULL, 'EFh_PI-PLCgamma', NULL, NULL, 'EFh_PI-PLCgamma', 9760),
(9761, 'cd00138', NULL, 'PLDc_SF', NULL, NULL, 'PLDc_SF', 9761),
(9762, 'cd17217', NULL, 'RA_Myosin-IXb', NULL, NULL, 'RA_Myosin-IXb', 9762),
(9763, 'cd16355', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 9763),
(9764, 'cd18726', NULL, 'PIN_LabA-like', NULL, NULL, 'PIN_LabA-like', 9764),
(9765, 'cd09412', NULL, 'LIM4_Leupaxin', NULL, NULL, 'LIM4_Leupaxin', 9765),
(9766, 'cd08498', NULL, 'PBP2_NikA_DppA_OppA_like_2', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_2', 9766),
(9767, 'cd09370', NULL, 'LIM1_Lmx1a', NULL, NULL, 'LIM1_Lmx1a', 9767),
(9768, 'cd12260', NULL, 'RRM2_SREK1', NULL, NULL, 'RRM2_SREK1', 9768),
(9769, 'cd01076', NULL, 'NAD_bind_1_Glu_DH', NULL, NULL, 'NAD_bind_1_Glu_DH', 9769),
(9770, 'cd16473', NULL, 'RING-H2_RNF103', NULL, NULL, 'RING-H2_RNF103', 9770),
(9771, 'cd19017', NULL, 'LGIC_ECD_nAChR_A4', NULL, NULL, 'LGIC_ECD_nAChR_A4', 9771),
(9772, 'cd00419', NULL, 'Ferrochelatase_C', NULL, NULL, 'Ferrochelatase_C', 9772),
(9773, 'cd03061', NULL, 'GST_N_CLIC', NULL, NULL, 'GST_N_CLIC', 9773),
(9774, 'cd13164', NULL, 'PTB_DOK4_DOK5_DOK6', NULL, NULL, 'PTB_DOK4_DOK5_DOK6', 9774),
(9775, 'cd19863', NULL, 'DSRM_PRKRA-like_rpt2', NULL, NULL, 'DSRM_PRKRA-like_rpt2', 9775),
(9776, 'cd01055', NULL, 'Nonheme_Ferritin', NULL, NULL, 'Nonheme_Ferritin', 9776),
(9777, 'cd02969', NULL, 'PRX_like1', NULL, NULL, 'PRX_like1', 9777),
(9778, 'cd05660', NULL, 'M28_like_PA', NULL, NULL, 'M28_like_PA', 9778),
(9779, 'cd07060', NULL, 'SPOUT_MTase', NULL, NULL, 'SPOUT_MTase', 9779),
(9780, 'cd07126', NULL, 'ALDH_F12_P5CDH', NULL, NULL, 'ALDH_F12_P5CDH', 9780),
(9781, 'cd10800', NULL, 'LamB_YcsF_YbgL_like', NULL, NULL, 'LamB_YcsF_YbgL_like', 9781),
(9782, 'cd08264', NULL, 'Zn_ADH_like2', NULL, NULL, 'Zn_ADH_like2', 9782),
(9783, 'cd00340', NULL, 'GSH_Peroxidase', NULL, NULL, 'GSH_Peroxidase', 9783),
(9784, 'cd07673', NULL, 'F-BAR_FCHO2', NULL, NULL, 'F-BAR_FCHO2', 9784),
(9785, 'cd15839', NULL, 'TNFRSF_viral', NULL, NULL, 'TNFRSF_viral', 9785),
(9786, 'cd16812', NULL, 'RING_CH-C4HC3_MARCH7', NULL, NULL, 'RING_CH-C4HC3_MARCH7', 9786),
(9787, 'cd14201', NULL, 'STKc_ULK2', NULL, NULL, 'STKc_ULK2', 9787),
(9788, 'cd01429', NULL, 'ATP-synt_F1_V1_A1_AB_FliI_C', NULL, NULL, 'ATP-synt_F1_V1_A1_AB_FliI_C', 9788),
(9789, 'cd04783', NULL, 'HTH_MerR1', NULL, NULL, 'HTH_MerR1', 9789),
(9790, 'cd15486', NULL, 'ZIP_Sip4', NULL, NULL, 'ZIP_Sip4', 9790),
(9791, 'cd14836', NULL, 'AP2_Mu_N', NULL, NULL, 'AP2_Mu_N', 9791);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(9792, 'cd00387', NULL, 'Ribosomal_L7_L12', NULL, NULL, 'Ribosomal_L7_L12', 9792),
(9793, 'cd04389', NULL, 'RhoGAP_KIAA1688', NULL, NULL, 'RhoGAP_KIAA1688', 9793),
(9794, 'cd18230', NULL, 'BTB_POZ_ZBTB46', NULL, NULL, 'BTB_POZ_ZBTB46', 9794),
(9795, 'cd09858', NULL, 'PIN_MKT1', NULL, NULL, 'PIN_MKT1', 9795),
(9796, 'cd16632', NULL, 'mRING-HC-C4C4_RBR_RNF144', NULL, NULL, 'mRING-HC-C4C4_RBR_RNF144', 9796),
(9797, 'cd05230', NULL, 'UGD_SDR_e', NULL, NULL, 'UGD_SDR_e', 9797),
(9798, 'cd17006', NULL, 'ANTH_N_HIP1_like', NULL, NULL, 'ANTH_N_HIP1_like', 9798),
(9799, 'cd10289', NULL, 'GST_C_AaRS_like', NULL, NULL, 'GST_C_AaRS_like', 9799),
(9800, 'cd09687', NULL, 'Cas7_I-C', NULL, NULL, 'Cas7_I-C', 9800),
(9801, 'cd11491', NULL, 'SLC5sbd_SMIT', NULL, NULL, 'SLC5sbd_SMIT', 9801),
(9802, 'cd02170', NULL, 'cytidylyltransferase', NULL, NULL, 'cytidylyltransferase', 9802),
(9803, 'cd12680', NULL, 'RRM_THOC4', NULL, NULL, 'RRM_THOC4', 9803),
(9804, 'cd01556', NULL, 'EPSP_synthase', NULL, NULL, 'EPSP_synthase', 9804),
(9805, 'cd02670', NULL, 'Peptidase_C19N', NULL, NULL, 'Peptidase_C19N', 9805),
(9806, 'cd08308', NULL, 'Death_Tube', NULL, NULL, 'Death_Tube', 9806),
(9807, 'cd14806', NULL, 'RAP_D1', NULL, NULL, 'RAP_D1', 9807),
(9808, 'cd13608', NULL, 'PBP2_OpuCC_like', NULL, NULL, 'PBP2_OpuCC_like', 9808),
(9809, 'cd15483', NULL, 'Influenza_NA', NULL, NULL, 'Influenza_NA', 9809),
(9810, 'cd14532', NULL, 'PTP-MTMR6-like', NULL, NULL, 'PTP-MTMR6-like', 9810),
(9811, 'cd12508', NULL, 'RRM2_ESRPs_Fusilli', NULL, NULL, 'RRM2_ESRPs_Fusilli', 9811),
(9812, 'cd17096', NULL, 'FERM_F1_kindlins', NULL, NULL, 'FERM_F1_kindlins', 9812),
(9813, 'cd14451', NULL, 'CuRO_5_FV_like', NULL, NULL, 'CuRO_5_FV_like', 9813),
(9814, 'cd10928', NULL, 'CE4_u4', NULL, NULL, 'CE4_u4', 9814),
(9815, 'cd09165', NULL, 'PLDc_PaPPK1_C1_like', NULL, NULL, 'PLDc_PaPPK1_C1_like', 9815),
(9816, 'cd02437', NULL, 'CCC1_like_1', NULL, NULL, 'CCC1_like_1', 9816),
(9817, 'cd08979', NULL, 'GH_J', NULL, NULL, 'GH_J', 9817),
(9818, 'cd12274', NULL, 'RRM2_NEFsp', NULL, NULL, 'RRM2_NEFsp', 9818),
(9819, 'cd04470', NULL, 'S1_EF-P_repeat_1', NULL, NULL, 'S1_EF-P_repeat_1', 9819),
(9820, 'cd00833', NULL, 'PKS', NULL, NULL, 'PKS', 9820),
(9821, 'cd07832', NULL, 'STKc_CCRK', NULL, NULL, 'STKc_CCRK', 9821),
(9822, 'cd08571', NULL, 'GDPD_SHV3_plant', NULL, NULL, 'GDPD_SHV3_plant', 9822),
(9823, 'cd06598', NULL, 'GH31_transferase_CtsZ', NULL, NULL, 'GH31_transferase_CtsZ', 9823),
(9824, 'cd17230', NULL, 'TGS_DRG1', NULL, NULL, 'TGS_DRG1', 9824),
(9825, 'cd08175', NULL, 'G1PDH', NULL, NULL, 'G1PDH', 9825),
(9826, 'cd16460', NULL, 'RING-H2_DZIP3', NULL, NULL, 'RING-H2_DZIP3', 9826),
(9827, 'cd02017', NULL, 'TPP_E1_EcPDC_like', NULL, NULL, 'TPP_E1_EcPDC_like', 9827),
(9828, 'cd19115', NULL, 'AKR_AKR2D1', NULL, NULL, 'AKR_AKR2D1', 9828),
(9829, 'cd18397', NULL, 'BTB_POZ_KCTD12_Pfetin', NULL, NULL, 'BTB_POZ_KCTD12_Pfetin', 9829),
(9830, 'cd19573', NULL, 'serpinE2_GDN', NULL, NULL, 'serpinE2_GDN', 9830),
(9831, 'cd07120', NULL, 'ALDH_PsfA-ACA09737', NULL, NULL, 'ALDH_PsfA-ACA09737', 9831),
(9832, 'cd13545', NULL, 'PBP2_TbpA', NULL, NULL, 'PBP2_TbpA', 9832),
(9833, 'cd08853', NULL, 'ArfGap_AGAP2', NULL, NULL, 'ArfGap_AGAP2', 9833),
(9834, 'cd09927', NULL, 'SH2_Tensin_like', NULL, NULL, 'SH2_Tensin_like', 9834),
(9835, 'cd14498', NULL, 'DSP', NULL, NULL, 'DSP', 9835),
(9836, 'cd17251', NULL, 'RMtype1_S_HinAWORF1578P-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_HinAWORF1578P-TRD2-CR2_like', 9836),
(9837, 'cd08954', NULL, 'KR_1_FAS_SDR_x', NULL, NULL, 'KR_1_FAS_SDR_x', 9837),
(9838, 'cd11488', NULL, 'SLC5sbd_SGLT4', NULL, NULL, 'SLC5sbd_SGLT4', 9838),
(9839, 'cd00462', NULL, 'PTH', NULL, NULL, 'PTH', 9839),
(9840, 'cd10500', NULL, 'MH2_SMAD_7', NULL, NULL, 'MH2_SMAD_7', 9840),
(9841, 'cd14325', NULL, 'UBA_RNF31', NULL, NULL, 'UBA_RNF31', 9841),
(9842, 'cd21628', NULL, 'deltaCoV_NS7_NS7a', NULL, NULL, 'deltaCoV_NS7_NS7a', 9842),
(9843, 'cd01841', NULL, 'NnaC_like', NULL, NULL, 'NnaC_like', 9843),
(9844, 'cd18979', NULL, 'CD_POL_like', NULL, NULL, 'CD_POL_like', 9844),
(9845, 'cd11479', NULL, 'SLC5sbd_u3', NULL, NULL, 'SLC5sbd_u3', 9845);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(9846, 'cd11862', NULL, 'SH3_MPP', NULL, NULL, 'SH3_MPP', 9846),
(9847, 'cd13152', NULL, 'KOW_GPKOW_A', NULL, NULL, 'KOW_GPKOW_A', 9847),
(9848, 'cd03216', NULL, 'ABC_Carb_Monos_I', NULL, NULL, 'ABC_Carb_Monos_I', 9848),
(9849, 'cd04376', NULL, 'RhoGAP_ARHGAP6', NULL, NULL, 'RhoGAP_ARHGAP6', 9849),
(9850, 'cd10296', NULL, 'GST_C_CLIC4', NULL, NULL, 'GST_C_CLIC4', 9850),
(9851, 'cd19827', NULL, 'Bbox2_TRIM67_C-I', NULL, NULL, 'Bbox2_TRIM67_C-I', 9851),
(9852, 'cd01068', NULL, 'globin_sensor', NULL, NULL, 'globin_sensor', 9852),
(9853, 'cd01557', NULL, 'BCAT_beta_family', NULL, NULL, 'BCAT_beta_family', 9853),
(9854, 'cd00570', NULL, 'GST_N_family', NULL, NULL, 'GST_N_family', 9854),
(9855, 'cd14028', NULL, 'STKc_Bub1_vert', NULL, NULL, 'STKc_Bub1_vert', 9855),
(9856, 'cd05851', NULL, 'Ig3_Contactin-1', NULL, NULL, 'Ig3_Contactin-1', 9856),
(9857, 'cd15892', NULL, 'R-SNARE_STXBP6', NULL, NULL, 'R-SNARE_STXBP6', 9857),
(9858, 'cd11281', NULL, 'ADF_drebrin_like', NULL, NULL, 'ADF_drebrin_like', 9858),
(9859, 'cd20483', NULL, 'C_PKS-NRPS', NULL, NULL, 'C_PKS-NRPS', 9859),
(9860, 'cd10039', NULL, 'Reelin_repeat_3_subrepeat_1', NULL, NULL, 'Reelin_repeat_3_subrepeat_1', 9860),
(9861, 'cd12966', NULL, 'CBM-Ec_CBM-Fc', NULL, NULL, 'CBM-Ec_CBM-Fc', 9861),
(9862, 'cd21467', NULL, 'Ubl1_cv_Nsp3_N-like', NULL, NULL, 'Ubl1_cv_Nsp3_N-like', 9862),
(9863, 'cd00102', NULL, 'IPT', NULL, NULL, 'IPT', 9863),
(9864, 'cd00381', NULL, 'IMPDH', NULL, NULL, 'IMPDH', 9864),
(9865, 'cd13220', NULL, 'PH-GRAM_GRAMDC', NULL, NULL, 'PH-GRAM_GRAMDC', 9865),
(9866, 'cd15296', NULL, '7tmA_Histamine_H3R', NULL, NULL, '7tmA_Histamine_H3R', 9866),
(9867, 'cd11710', NULL, 'GINS_A_psf1', NULL, NULL, 'GINS_A_psf1', 9867),
(9868, 'cd09879', NULL, 'PIN_VapC_AF0591-like', NULL, NULL, 'PIN_VapC_AF0591-like', 9868),
(9869, 'cd16329', NULL, 'LolA_like', NULL, NULL, 'LolA_like', 9869),
(9870, 'cd00576', NULL, 'RNR_PFL', NULL, NULL, 'RNR_PFL', 9870),
(9871, 'cd01152', NULL, 'ACAD_fadE6_17_26', NULL, NULL, 'ACAD_fadE6_17_26', 9871),
(9872, 'cd17221', NULL, 'RA_RASSF2', NULL, NULL, 'RA_RASSF2', 9872),
(9873, 'cd03583', NULL, 'NTR_complement_C3', NULL, NULL, 'NTR_complement_C3', 9873),
(9874, 'cd19178', NULL, 'SET_SETD6', NULL, NULL, 'SET_SETD6', 9874),
(9875, 'cd18713', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 9875),
(9876, 'cd12577', NULL, 'RRM1_Hrp1p', NULL, NULL, 'RRM1_Hrp1p', 9876),
(9877, 'cd17928', NULL, 'DEXDc_SecA', NULL, NULL, 'DEXDc_SecA', 9877),
(9878, 'cd01264', NULL, 'PH_MELT_VEPH1', NULL, NULL, 'PH_MELT_VEPH1', 9878),
(9879, 'cd18227', NULL, 'BTB_POZ_ZBTB43', NULL, NULL, 'BTB_POZ_ZBTB43', 9879),
(9880, 'cd18806', NULL, 'SF2_C_viral', NULL, NULL, 'SF2_C_viral', 9880),
(9881, 'cd15505', NULL, 'PHD_ING', NULL, NULL, 'PHD_ING', 9881),
(9882, 'cd13120', NULL, 'BF2867_like_N', NULL, NULL, 'BF2867_like_N', 9882),
(9883, 'cd04451', NULL, 'S1_IF1', NULL, NULL, 'S1_IF1', 9883),
(9884, 'cd09679', NULL, 'Cas10_III', NULL, NULL, 'Cas10_III', 9884),
(9885, 'cd15262', NULL, '7tmB1_NPR_B3_insect-like', NULL, NULL, '7tmB1_NPR_B3_insect-like', 9885),
(9886, 'cd06257', NULL, 'DnaJ', NULL, NULL, 'DnaJ', 9886),
(9887, 'cd19336', NULL, 'Wnt_Wnt4', NULL, NULL, 'Wnt_Wnt4', 9887),
(9888, 'cd10578', NULL, 'TNFRSF3', NULL, NULL, 'TNFRSF3', 9888),
(9889, 'cd04368', NULL, 'IlGF', NULL, NULL, 'IlGF', 9889),
(9890, 'cd14849', NULL, 'DD-dipeptidase_VanXYc', NULL, NULL, 'DD-dipeptidase_VanXYc', 9890),
(9891, 'cd16230', NULL, 'EFh_CREC_RCN3', NULL, NULL, 'EFh_CREC_RCN3', 9891),
(9892, 'cd08238', NULL, 'sorbose_phosphate_red', NULL, NULL, 'sorbose_phosphate_red', 9892),
(9893, 'cd12836', NULL, 'HpCorA-like', NULL, NULL, 'HpCorA-like', 9893),
(9894, 'cd03043', NULL, 'GST_N_1', NULL, NULL, 'GST_N_1', 9894),
(9895, 'cd05244', NULL, 'BVR-B_like_SDR_a', NULL, NULL, 'BVR-B_like_SDR_a', 9895),
(9896, 'cd07081', NULL, 'ALDH_F20_ACDH_EutE-like', NULL, NULL, 'ALDH_F20_ACDH_EutE-like', 9896),
(9897, 'cd12431', NULL, 'RRM_ALKBH8', NULL, NULL, 'RRM_ALKBH8', 9897),
(9898, 'cd09760', NULL, 'Cas6_III', NULL, NULL, 'Cas6_III', 9898),
(9899, 'cd15592', NULL, 'PHD3_KMT2A', NULL, NULL, 'PHD3_KMT2A', 9899);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(9900, 'cd08901', NULL, 'SRPBCC_CalC_Aha1-like_8', NULL, NULL, 'SRPBCC_CalC_Aha1-like_8', 9900),
(9901, 'cd12128', NULL, 'PBP_PBS-LCM', NULL, NULL, 'PBP_PBS-LCM', 9901),
(9902, 'cd08972', NULL, 'PF_Nei_N', NULL, NULL, 'PF_Nei_N', 9902),
(9903, 'cd07792', NULL, 'FGGY_GK1-3_metazoa', NULL, NULL, 'FGGY_GK1-3_metazoa', 9903),
(9904, 'cd10050', NULL, 'Reelin_repeat_6_subrepeat_2', NULL, NULL, 'Reelin_repeat_6_subrepeat_2', 9904),
(9905, 'cd11383', NULL, 'YfjP', NULL, NULL, 'YfjP', 9905),
(9906, 'cd18024', NULL, 'DEXHc_Mtr4-like', NULL, NULL, 'DEXHc_Mtr4-like', 9906),
(9907, 'cd00593', NULL, 'RIBOc', NULL, NULL, 'RIBOc', 9907),
(9908, 'cd08830', NULL, 'ArfGap_ArfGap1', NULL, NULL, 'ArfGap_ArfGap1', 9908),
(9909, 'cd13918', NULL, 'CuRO_HCO_II_like_6', NULL, NULL, 'CuRO_HCO_II_like_6', 9909),
(9910, 'cd18256', NULL, 'BTB_POZ_KLHL27_IPP', NULL, NULL, 'BTB_POZ_KLHL27_IPP', 9910),
(9911, 'cd11805', NULL, 'SH3_GRB2_like_C', NULL, NULL, 'SH3_GRB2_like_C', 9911),
(9912, 'cd16221', NULL, 'EFh_PI-PLCeta2', NULL, NULL, 'EFh_PI-PLCeta2', 9912),
(9913, 'cd08827', NULL, 'SPFH_podocin', NULL, NULL, 'SPFH_podocin', 9913),
(9914, 'cd17093', NULL, 'FERM2_F1_Myosin-VII', NULL, NULL, 'FERM2_F1_Myosin-VII', 9914),
(9915, 'cd17107', NULL, 'FERM_F1_EPB41L4A', NULL, NULL, 'FERM_F1_EPB41L4A', 9915),
(9916, 'cd02434', NULL, 'Nodulin-21_like_3', NULL, NULL, 'Nodulin-21_like_3', 9916),
(9917, 'cd04392', NULL, 'RhoGAP_ARHGAP19', NULL, NULL, 'RhoGAP_ARHGAP19', 9917),
(9918, 'cd17774', NULL, 'CBS_two-component_sensor_histidine_kinase_repeat2', NULL, NULL, 'CBS_two-component_sensor_histidine_kinase_repeat2', 9918),
(9919, 'cd00241', NULL, 'DOMON_like', NULL, NULL, 'DOMON_like', 9919),
(9920, 'cd13656', NULL, 'PBP2_MBP', NULL, NULL, 'PBP2_MBP', 9920),
(9921, 'cd08184', NULL, 'Fe-ADH_KdnB-like', NULL, NULL, 'Fe-ADH_KdnB-like', 9921),
(9922, 'cd21642', NULL, 'ORF8-Ig_Bat_SARS_CoV_Rf1_type-II-like', NULL, NULL, 'ORF8-Ig_Bat_SARS_CoV_Rf1_type-II-like', 9922),
(9923, 'cd13406', NULL, 'TNFRSF4', NULL, NULL, 'TNFRSF4', 9923),
(9924, 'cd11910', NULL, 'SH3_PI3K_p85alpha', NULL, NULL, 'SH3_PI3K_p85alpha', 9924),
(9925, 'cd02905', NULL, 'Macro_GDAP2-like', NULL, NULL, 'Macro_GDAP2-like', 9925),
(9926, 'cd09101', NULL, 'INPP5c_SHIP2-INPPL1', NULL, NULL, 'INPP5c_SHIP2-INPPL1', 9926),
(9927, 'cd15162', NULL, '7tmA_PAR', NULL, NULL, '7tmA_PAR', 9927),
(9928, 'cd15988', NULL, '7tmB2_BAI2', NULL, NULL, '7tmB2_BAI2', 9928),
(9929, 'cd18825', NULL, 'GH43_CtGH43-like', NULL, NULL, 'GH43_CtGH43-like', 9929),
(9930, 'cd00730', NULL, 'rubredoxin', NULL, NULL, 'rubredoxin', 9930),
(9931, 'cd06155', NULL, 'eu_AANH_C_1', NULL, NULL, 'eu_AANH_C_1', 9931),
(9932, 'cd05617', NULL, 'STKc_aPKC_zeta', NULL, NULL, 'STKc_aPKC_zeta', 9932),
(9933, 'cd09183', NULL, 'PLDc_FAM83C_N', NULL, NULL, 'PLDc_FAM83C_N', 9933),
(9934, 'cd03271', NULL, 'ABC_UvrA_II', NULL, NULL, 'ABC_UvrA_II', 9934),
(9935, 'cd09233', NULL, 'ACE1-Sec16-like', NULL, NULL, 'ACE1-Sec16-like', 9935),
(9936, 'cd03526', NULL, 'SQR_QFR_TypeB_TM', NULL, NULL, 'SQR_QFR_TypeB_TM', 9936),
(9937, 'cd03419', NULL, 'GRX_GRXh_1_2_like', NULL, NULL, 'GRX_GRXh_1_2_like', 9937),
(9938, 'cd18368', NULL, 'BTB_POZ_KCTD9', NULL, NULL, 'BTB_POZ_KCTD9', 9938),
(9939, 'cd05992', NULL, 'PB1', NULL, NULL, 'PB1', 9939),
(9940, 'cd11561', NULL, 'W2_eIF5', NULL, NULL, 'W2_eIF5', 9940),
(9941, 'cd18412', NULL, 'BTB_POZ_KCNB2', NULL, NULL, 'BTB_POZ_KCNB2', 9941),
(9942, 'cd19540', NULL, 'LCL_NRPS-like', NULL, NULL, 'LCL_NRPS-like', 9942),
(9943, 'cd15999', NULL, '7tmB2_GPR125', NULL, NULL, '7tmB2_GPR125', 9943),
(9944, 'cd17186', NULL, 'FERM_F1_Merlin', NULL, NULL, 'FERM_F1_Merlin', 9944),
(9945, 'cd04320', NULL, 'AspRS_cyto_N', NULL, NULL, 'AspRS_cyto_N', 9945),
(9946, 'cd16405', NULL, 'RepB_like_N', NULL, NULL, 'RepB_like_N', 9946),
(9947, 'cd01289', NULL, 'FabA_like', NULL, NULL, 'FabA_like', 9947),
(9948, 'cd18946', NULL, 'bHLH_E-protein_TCF12_HEB', NULL, NULL, 'bHLH_E-protein_TCF12_HEB', 9948),
(9949, 'cd05658', NULL, 'M18_DAP', NULL, NULL, 'M18_DAP', 9949),
(9950, 'cd19531', NULL, 'LCL_NRPS-like', NULL, NULL, 'LCL_NRPS-like', 9950);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(9951, 'cd13871', NULL, 'CuRO_2_AAO', NULL, NULL, 'CuRO_2_AAO', 9951),
(9952, 'cd01109', NULL, 'HTH_YyaN', NULL, NULL, 'HTH_YyaN', 9952),
(9953, 'cd14764', NULL, 'SSDgbs_2', NULL, NULL, 'SSDgbs_2', 9953),
(9954, 'cd18704', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 9954),
(9955, 'cd07736', NULL, 'PhnP-like_MBL-fold', NULL, NULL, 'PhnP-like_MBL-fold', 9955),
(9956, 'cd01069', NULL, 'PBP2_PheC', NULL, NULL, 'PBP2_PheC', 9956),
(9957, 'cd04176', NULL, 'Rap2', NULL, NULL, 'Rap2', 9957),
(9958, 'cd06176', NULL, 'MFS_BCD_PucC-like', NULL, NULL, 'MFS_BCD_PucC-like', 9958),
(9959, 'cd04778', NULL, 'HTH_MerR-like_sg2', NULL, NULL, 'HTH_MerR-like_sg2', 9959),
(9960, 'cd09478', NULL, 'LIM_CRIP', NULL, NULL, 'LIM_CRIP', 9960),
(9961, 'cd15651', NULL, 'PHD2_NSD2', NULL, NULL, 'PHD2_NSD2', 9961),
(9962, 'cd00995', NULL, 'PBP2_NikA_DppA_OppA_like', NULL, NULL, 'PBP2_NikA_DppA_OppA_like', 9962),
(9963, 'cd01584', NULL, 'AcnA_Mitochondrial', NULL, NULL, 'AcnA_Mitochondrial', 9963),
(9964, 'cd03575', NULL, 'NTR_WFIKKN', NULL, NULL, 'NTR_WFIKKN', 9964),
(9965, 'cd14598', NULL, 'PTPc-N21', NULL, NULL, 'PTPc-N21', 9965),
(9966, 'cd13209', NULL, 'PH-GRAM_MTMR3_MTMR4', NULL, NULL, 'PH-GRAM_MTMR3_MTMR4', 9966),
(9967, 'cd05065', NULL, 'PTKc_EphR_B', NULL, NULL, 'PTKc_EphR_B', 9967),
(9968, 'cd12336', NULL, 'RRM_RBM7_like', NULL, NULL, 'RRM_RBM7_like', 9968),
(9969, 'cd14595', NULL, 'PTP-MTMR11', NULL, NULL, 'PTP-MTMR11', 9969),
(9970, 'cd01759', NULL, 'PLAT_PL', NULL, NULL, 'PLAT_PL', 9970),
(9971, 'cd08952', NULL, 'KR_1_SDR_x', NULL, NULL, 'KR_1_SDR_x', 9971),
(9972, 'cd14796', NULL, 'RNAse_HIII_N', NULL, NULL, 'RNAse_HIII_N', 9972),
(9973, 'cd15569', NULL, 'PHD_RAG2', NULL, NULL, 'PHD_RAG2', 9973),
(9974, 'cd04210', NULL, 'Cupredoxin_like_1', NULL, NULL, 'Cupredoxin_like_1', 9974),
(9975, 'cd16213', NULL, 'EFh_PI-PLC21', NULL, NULL, 'EFh_PI-PLC21', 9975),
(9976, 'cd05750', NULL, 'Ig_Pro_neuregulin', NULL, NULL, 'Ig_Pro_neuregulin', 9976),
(9977, 'cd03463', NULL, '3,4-PCD_alpha', NULL, NULL, '3,4-PCD_alpha', 9977),
(9978, 'cd12661', NULL, 'RRM3_hnRNPM', NULL, NULL, 'RRM3_hnRNPM', 9978),
(9979, 'cd11586', NULL, 'VbhA_like', NULL, NULL, 'VbhA_like', 9979),
(9980, 'cd03781', NULL, 'MATH_TRAF4', NULL, NULL, 'MATH_TRAF4', 9980),
(9981, 'cd15942', NULL, '7tmA_OR10G6-like', NULL, NULL, '7tmA_OR10G6-like', 9981),
(9982, 'cd07089', NULL, 'ALDH_CddD-AldA-like', NULL, NULL, 'ALDH_CddD-AldA-like', 9982),
(9983, 'cd14020', NULL, 'STKc_KIS', NULL, NULL, 'STKc_KIS', 9983),
(9984, 'cd11531', NULL, 'NTP-PPase_BsYpjD', NULL, NULL, 'NTP-PPase_BsYpjD', 9984),
(9985, 'cd17460', NULL, 'MFS_SLCO2B_OATP2B', NULL, NULL, 'MFS_SLCO2B_OATP2B', 9985),
(9986, 'cd09640', NULL, 'Cas7_I-C', NULL, NULL, 'Cas7_I-C', 9986),
(9987, 'cd07007', NULL, 'cupin_CapF-like_C', NULL, NULL, 'cupin_CapF-like_C', 9987),
(9988, 'cd09273', NULL, 'RNase_HI_RT_Bel', NULL, NULL, 'RNase_HI_RT_Bel', 9988),
(9989, 'cd17674', NULL, 'SWIB_BAF60A', NULL, NULL, 'SWIB_BAF60A', 9989),
(9990, 'cd03586', NULL, 'PolY_Pol_IV_kappa', NULL, NULL, 'PolY_Pol_IV_kappa', 9990),
(9991, 'cd16883', NULL, 'ARID_ARID4B', NULL, NULL, 'ARID_ARID4B', 9991),
(9992, 'cd15859', NULL, 'SNARE_SYN8', NULL, NULL, 'SNARE_SYN8', 9992),
(9993, 'cd04450', NULL, 'DEP_RGS7-like', NULL, NULL, 'DEP_RGS7-like', 9993),
(9994, 'cd16121', NULL, 'FERM_F1_SNX17', NULL, NULL, 'FERM_F1_SNX17', 9994),
(9995, 'cd03596', NULL, 'CLECT_tetranectin_like', NULL, NULL, 'CLECT_tetranectin_like', 9995),
(9996, 'cd00015', NULL, 'ALBUMIN', NULL, NULL, 'ALBUMIN', 9996),
(9997, 'cd05478', NULL, 'pepsin_A', NULL, NULL, 'pepsin_A', 9997),
(9998, 'cd19431', NULL, 'lipocalin_Can_f_2', NULL, NULL, 'lipocalin_Can_f_2', 9998),
(9999, 'cd12010', NULL, 'SH3_SLAP', NULL, NULL, 'SH3_SLAP', 9999),
(10000, 'cd15769', NULL, 'FYVE_CARP1', NULL, NULL, 'FYVE_CARP1', 10000),
(10001, 'cd07992', NULL, 'LPLAT_AAK14816-like', NULL, NULL, 'LPLAT_AAK14816-like', 10001),
(10002, 'cd12333', NULL, 'RRM2_p54nrb_like', NULL, NULL, 'RRM2_p54nrb_like', 10002),
(10003, 'cd00869', NULL, 'PI3Ka_II', NULL, NULL, 'PI3Ka_II', 10003),
(10004, 'cd08324', NULL, 'CARD_NOD1_CARD4', NULL, NULL, 'CARD_NOD1_CARD4', 10004);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(10005, 'cd01816', NULL, 'RBD_RAF', NULL, NULL, 'RBD_RAF', 10005),
(10006, 'cd06839', NULL, 'PLPDE_III_Btrk_like', NULL, NULL, 'PLPDE_III_Btrk_like', 10006),
(10007, 'cd06611', NULL, 'STKc_SLK_like', NULL, NULL, 'STKc_SLK_like', 10007),
(10008, 'cd16030', NULL, 'iduronate-2-sulfatase', NULL, NULL, 'iduronate-2-sulfatase', 10008),
(10009, 'cd17741', NULL, 'BRCT_nibrin', NULL, NULL, 'BRCT_nibrin', 10009),
(10010, 'cd18828', NULL, 'GH43_BT3675-like', NULL, NULL, 'GH43_BT3675-like', 10010),
(10011, 'cd04093', NULL, 'HBS1_C_III', NULL, NULL, 'HBS1_C_III', 10011),
(10012, 'cd05787', NULL, 'LbH_eIF2B_epsilon', NULL, NULL, 'LbH_eIF2B_epsilon', 10012),
(10013, 'cd19026', NULL, 'LGIC_ECD_nAChR_B3', NULL, NULL, 'LGIC_ECD_nAChR_B3', 10013),
(10014, 'cd01789', NULL, 'Ubl_TBCB', NULL, NULL, 'Ubl_TBCB', 10014),
(10015, 'cd07001', NULL, 'cupin_YbfI-like_N', NULL, NULL, 'cupin_YbfI-like_N', 10015),
(10016, 'cd03244', NULL, 'ABCC_MRP_domain2', NULL, NULL, 'ABCC_MRP_domain2', 10016),
(10017, 'cd12873', NULL, 'SPRY_DDX1', NULL, NULL, 'SPRY_DDX1', 10017),
(10018, 'cd18952', NULL, 'bHLH_TS_HAND1', NULL, NULL, 'bHLH_TS_HAND1', 10018),
(10019, 'cd12870', NULL, 'MqsA', NULL, NULL, 'MqsA', 10019),
(10020, 'cd07507', NULL, 'HAD_Pase', NULL, NULL, 'HAD_Pase', 10020),
(10021, 'cd03318', NULL, 'MLE', NULL, NULL, 'MLE', 10021),
(10022, 'cd20761', NULL, 'capping_2-OMTase_Flaviviridae', NULL, NULL, 'capping_2-OMTase_Flaviviridae', 10022),
(10023, 'cd12015', NULL, 'SH3_Tks_1', NULL, NULL, 'SH3_Tks_1', 10023),
(10024, 'cd06996', NULL, 'cupin_Lmo2851-like_N', NULL, NULL, 'cupin_Lmo2851-like_N', 10024),
(10025, 'cd17193', NULL, 'FERM_F1_PTPN3', NULL, NULL, 'FERM_F1_PTPN3', 10025),
(10026, 'cd04172', NULL, 'Rnd3_RhoE_Rho8', NULL, NULL, 'Rnd3_RhoE_Rho8', 10026),
(10027, 'cd07688', NULL, 'IgC_TCR_alpha', NULL, NULL, 'IgC_TCR_alpha', 10027),
(10028, 'cd11937', NULL, 'SH3_UBASH3A', NULL, NULL, 'SH3_UBASH3A', 10028),
(10029, 'cd08607', NULL, 'GDPD_GDE5', NULL, NULL, 'GDPD_GDE5', 10029),
(10030, 'cd14581', NULL, 'DUSP22', NULL, NULL, 'DUSP22', 10030),
(10031, 'cd11010', NULL, 'S1-P1_nuclease', NULL, NULL, 'S1-P1_nuclease', 10031),
(10032, 'cd15128', NULL, '7tmA_ET_R', NULL, NULL, '7tmA_ET_R', 10032),
(10033, 'cd18802', NULL, 'SF2_C_dicer', NULL, NULL, 'SF2_C_dicer', 10033),
(10034, 'cd18616', NULL, 'GH43_ABN-like', NULL, NULL, 'GH43_ABN-like', 10034),
(10035, 'cd04677', NULL, 'Nudix_Hydrolase_18', NULL, NULL, 'Nudix_Hydrolase_18', 10035),
(10036, 'cd06988', NULL, 'cupin_DddK', NULL, NULL, 'cupin_DddK', 10036),
(10037, 'cd13441', NULL, 'CamS_repeat_1', NULL, NULL, 'CamS_repeat_1', 10037),
(10038, 'cd13203', NULL, 'FERM_C1_myosin_like', NULL, NULL, 'FERM_C1_myosin_like', 10038),
(10039, 'cd01624', NULL, 'HAD_VSP_like', NULL, NULL, 'HAD_VSP_like', 10039),
(10040, 'cd15644', NULL, 'PHD_KDM2B', NULL, NULL, 'PHD_KDM2B', 10040),
(10041, 'cd17732', NULL, 'BRCT_Ect2_rpt2', NULL, NULL, 'BRCT_Ect2_rpt2', 10041),
(10042, 'cd04910', NULL, 'ACT_AK-Ectoine_1', NULL, NULL, 'ACT_AK-Ectoine_1', 10042),
(10043, 'cd17350', NULL, 'MFS_PTR2', NULL, NULL, 'MFS_PTR2', 10043),
(10044, 'cd16975', NULL, 'HATPase_SpaK_NisK-like', NULL, NULL, 'HATPase_SpaK_NisK-like', 10044),
(10045, 'cd17935', NULL, 'EEXXQc_AQR', NULL, NULL, 'EEXXQc_AQR', 10045),
(10046, 'cd12703', NULL, 'RRM4_ROD1', NULL, NULL, 'RRM4_ROD1', 10046),
(10047, 'cd14917', NULL, 'MYSc_Myh7', NULL, NULL, 'MYSc_Myh7', 10047),
(10048, 'cd17963', NULL, 'DEADc_DDX19_DDX25', NULL, NULL, 'DEADc_DDX19_DDX25', 10048),
(10049, 'cd10236', NULL, 'HscA_like_NBD', NULL, NULL, 'HscA_like_NBD', 10049),
(10050, 'cd08388', NULL, 'C2A_Synaptotagmin-4-11', NULL, NULL, 'C2A_Synaptotagmin-4-11', 10050),
(10051, 'cd00650', NULL, 'LDH_MDH_like', NULL, NULL, 'LDH_MDH_like', 10051),
(10052, 'cd00366', NULL, 'FGGY', NULL, NULL, 'FGGY', 10052),
(10053, 'cd03461', NULL, '1,2-HQD', NULL, NULL, '1,2-HQD', 10053),
(10054, 'cd05650', NULL, 'M20_ArgE_DapE-like', NULL, NULL, 'M20_ArgE_DapE-like', 10054),
(10055, 'cd06820', NULL, 'PLPDE_III_LS_D-TA_like', NULL, NULL, 'PLPDE_III_LS_D-TA_like', 10055),
(10056, 'cd20484', NULL, 'C_PKS-NRPS_PksJ-like', NULL, NULL, 'C_PKS-NRPS_PksJ-like', 10056);
INSERT INTO "PUBLIC"."MODEL" VALUES
(10057, 'cd09862', NULL, 'PIN_Rrp44-like', NULL, NULL, 'PIN_Rrp44-like', 10057),
(10058, 'cd13196', NULL, 'FERM_C_JAK', NULL, NULL, 'FERM_C_JAK', 10058),
(10059, 'cd01451', NULL, 'vWA_Magnesium_chelatase', NULL, NULL, 'vWA_Magnesium_chelatase', 10059),
(10060, 'cd16939', NULL, 'HATPase_RstB-like', NULL, NULL, 'HATPase_RstB-like', 10060),
(10061, 'cd15894', NULL, 'SNARE_SNAP25N', NULL, NULL, 'SNARE_SNAP25N', 10061),
(10062, 'cd17414', NULL, 'MFS_NPF4', NULL, NULL, 'MFS_NPF4', 10062),
(10063, 'cd08978', NULL, 'GH_F', NULL, NULL, 'GH_F', 10063),
(10064, 'cd03765', NULL, 'proteasome_beta_bacterial', NULL, NULL, 'proteasome_beta_bacterial', 10064),
(10065, 'cd14148', NULL, 'STKc_MLK2', NULL, NULL, 'STKc_MLK2', 10065),
(10066, 'cd17483', NULL, 'MFS_Atg22_like', NULL, NULL, 'MFS_Atg22_like', 10066),
(10067, 'cd18183', NULL, 'ATP-synt_Fo_c_ATPH', NULL, NULL, 'ATP-synt_Fo_c_ATPH', 10067),
(10068, 'cd00865', NULL, 'PEBP_bact_arch', NULL, NULL, 'PEBP_bact_arch', 10068),
(10069, 'cd09086', NULL, 'ExoIII-like_AP-endo', NULL, NULL, 'ExoIII-like_AP-endo', 10069),
(10070, 'cd09720', NULL, 'Cas1_II', NULL, NULL, 'Cas1_II', 10070),
(10071, 'cd07823', NULL, 'SRPBCC_5', NULL, NULL, 'SRPBCC_5', 10071),
(10072, 'cd03403', NULL, 'SPFH_stomatin', NULL, NULL, 'SPFH_stomatin', 10072),
(10073, 'cd14089', NULL, 'STKc_MAPKAPK', NULL, NULL, 'STKc_MAPKAPK', 10073),
(10074, 'cd13243', NULL, 'PH_PLEKHG1_G2_G3', NULL, NULL, 'PH_PLEKHG1_G2_G3', 10074),
(10075, 'cd17344', NULL, 'MFS_SLC37A1_2', NULL, NULL, 'MFS_SLC37A1_2', 10075),
(10076, 'cd10435', NULL, 'GIY-YIG_RE_Eco29kI_like', NULL, NULL, 'GIY-YIG_RE_Eco29kI_like', 10076),
(10077, 'cd17137', NULL, 'RBD1_RGS14', NULL, NULL, 'RBD1_RGS14', 10077),
(10078, 'cd15173', NULL, '7tmA_CXCR6', NULL, NULL, '7tmA_CXCR6', 10078),
(10079, 'cd01751', NULL, 'PLAT_LH2', NULL, NULL, 'PLAT_LH2', 10079),
(10080, 'cd09945', NULL, 'SH2_SHB_SHD_SHE_SHF_like', NULL, NULL, 'SH2_SHB_SHD_SHE_SHF_like', 10080),
(10081, 'cd11339', NULL, 'AmyAc_bac_CMD_like_2', NULL, NULL, 'AmyAc_bac_CMD_like_2', 10081),
(10082, 'cd18047', NULL, 'DEADc_DDX19', NULL, NULL, 'DEADc_DDX19', 10082),
(10083, 'cd16286', NULL, 'SPM-1-like_MBL-B1-B2-like', NULL, NULL, 'SPM-1-like_MBL-B1-B2-like', 10083),
(10084, 'cd16363', NULL, 'Col_Im_like', NULL, NULL, 'Col_Im_like', 10084),
(10085, 'cd03155', NULL, 'CD151_like_LEL', NULL, NULL, 'CD151_like_LEL', 10085),
(10086, 'cd06465', NULL, 'p23_hB-ind1_like', NULL, NULL, 'p23_hB-ind1_like', 10086),
(10087, 'cd13255', NULL, 'PH_TAAP2-like', NULL, NULL, 'PH_TAAP2-like', 10087),
(10088, 'cd05682', NULL, 'M20_dipept_dapE', NULL, NULL, 'M20_dipept_dapE', 10088),
(10089, 'cd15472', NULL, 'Myo5p-like_CBD_Rasip1', NULL, NULL, 'Myo5p-like_CBD_Rasip1', 10089),
(10090, 'cd14436', NULL, 'LepB', NULL, NULL, 'LepB', 10090),
(10091, 'cd12671', NULL, 'RRM_CSTF2_CSTF2T', NULL, NULL, 'RRM_CSTF2_CSTF2T', 10091),
(10092, 'cd14101', NULL, 'STKc_PIM2', NULL, NULL, 'STKc_PIM2', 10092),
(10093, 'cd16253', NULL, 'EFh_parvalbumins', NULL, NULL, 'EFh_parvalbumins', 10093),
(10094, 'cd18729', NULL, 'PIN_Zc3h12-like', NULL, NULL, 'PIN_Zc3h12-like', 10094),
(10095, 'cd11798', NULL, 'SH3_DNMBP_C1', NULL, NULL, 'SH3_DNMBP_C1', 10095),
(10096, 'cd01180', NULL, 'IPT_plexin_repeat1', NULL, NULL, 'IPT_plexin_repeat1', 10096),
(10097, 'cd09708', NULL, 'Csf4_U', NULL, NULL, 'Csf4_U', 10097),
(10098, 'cd10347', NULL, 'SH2_Nterm_shark_like', NULL, NULL, 'SH2_Nterm_shark_like', 10098),
(10099, 'cd07356', NULL, 'HN_L-whirlin_R1_like', NULL, NULL, 'HN_L-whirlin_R1_like', 10099),
(10100, 'cd10570', NULL, 'PH-GRAM', NULL, NULL, 'PH-GRAM', 10100),
(10101, 'cd14295', NULL, 'UBA1_atUBP14', NULL, NULL, 'UBA1_atUBP14', 10101),
(10102, 'cd10933', NULL, 'CE4_u9', NULL, NULL, 'CE4_u9', 10102),
(10103, 'cd02175', NULL, 'GH16_lichenase', NULL, NULL, 'GH16_lichenase', 10103),
(10104, 'cd19954', NULL, 'serpin42Dd-like_insects', NULL, NULL, 'serpin42Dd-like_insects', 10104),
(10105, 'cd21593', NULL, 'HCoV_HKU1-like_RdRp', NULL, NULL, 'HCoV_HKU1-like_RdRp', 10105),
(10106, 'cd15990', NULL, '7tmB2_BAI1', NULL, NULL, '7tmB2_BAI1', 10106),
(10107, 'cd18603', NULL, 'ABC_6TM_MRP1_2_3_6_D2_like', NULL, NULL, 'ABC_6TM_MRP1_2_3_6_D2_like', 10107);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(10108, 'cd10562', NULL, 'FDH_b_like', NULL, NULL, 'FDH_b_like', 10108),
(10109, 'cd06650', NULL, 'PKc_MEK1', NULL, NULL, 'PKc_MEK1', 10109),
(10110, 'cd01042', NULL, 'DMQH', NULL, NULL, 'DMQH', 10110),
(10111, 'cd07411', NULL, 'MPP_SoxB_N', NULL, NULL, 'MPP_SoxB_N', 10111),
(10112, 'cd00065', NULL, 'FYVE_like_SF', NULL, NULL, 'FYVE_like_SF', 10112),
(10113, 'cd07045', NULL, 'BMC_CcmK_like', NULL, NULL, 'BMC_CcmK_like', 10113),
(10114, 'cd03597', NULL, 'CLECT_attractin_like', NULL, NULL, 'CLECT_attractin_like', 10114),
(10115, 'cd06306', NULL, 'PBP1_TorT-like', NULL, NULL, 'PBP1_TorT-like', 10115),
(10116, 'cd17647', NULL, 'A_NRPS_alphaAR', NULL, NULL, 'A_NRPS_alphaAR', 10116),
(10117, 'cd12021', NULL, 'SH3_p47phox_1', NULL, NULL, 'SH3_p47phox_1', 10117),
(10118, 'cd14631', NULL, 'R-PTPc-K-1', NULL, NULL, 'R-PTPc-K-1', 10118),
(10119, 'cd17955', NULL, 'DEADc_DDX49', NULL, NULL, 'DEADc_DDX49', 10119),
(10120, 'cd17978', NULL, 'DEXHc_DHX33', NULL, NULL, 'DEXHc_DHX33', 10120),
(10121, 'cd07695', NULL, 'Ig3_CD4', NULL, NULL, 'Ig3_CD4', 10121),
(10122, 'cd08772', NULL, 'GH43_62_32_68_117_130', NULL, NULL, 'GH43_62_32_68_117_130', 10122),
(10123, 'cd07921', NULL, 'PCA_45_Doxase_A_like', NULL, NULL, 'PCA_45_Doxase_A_like', 10123),
(10124, 'cd21588', NULL, 'alphaCoV_RdRp', NULL, NULL, 'alphaCoV_RdRp', 10124),
(10125, 'cd07327', NULL, 'M48B_HtpX_like', NULL, NULL, 'M48B_HtpX_like', 10125),
(10126, 'cd17020', NULL, 'T3SC_IA_ShcM-like', NULL, NULL, 'T3SC_IA_ShcM-like', 10126),
(10127, 'cd09294', NULL, 'SmpB', NULL, NULL, 'SmpB', 10127),
(10128, 'cd12953', NULL, 'MMP_TTHA0227', NULL, NULL, 'MMP_TTHA0227', 10128),
(10129, 'cd05332', NULL, '11beta-HSD1_like_SDR_c', NULL, NULL, '11beta-HSD1_like_SDR_c', 10129),
(10130, 'cd00160', NULL, 'RhoGEF', NULL, NULL, 'RhoGEF', 10130),
(10131, 'cd07121', NULL, 'ALDH_EutE', NULL, NULL, 'ALDH_EutE', 10131),
(10132, 'cd17259', NULL, 'RMtype1_S_StySKI-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_StySKI-TRD2-CR2_like', 10132),
(10133, 'cd11683', NULL, 'HDAC10', NULL, NULL, 'HDAC10', 10133),
(10134, 'cd19079', NULL, 'AKR_EcYajO-like', NULL, NULL, 'AKR_EcYajO-like', 10134),
(10135, 'cd17065', NULL, 'Ubl_UBP24', NULL, NULL, 'Ubl_UBP24', 10135),
(10136, 'cd00489', NULL, 'Barstar_like', NULL, NULL, 'Barstar_like', 10136),
(10137, 'cd01948', NULL, 'EAL', NULL, NULL, 'EAL', 10137),
(10138, 'cd11285', NULL, 'ADF_Twf-N_like', NULL, NULL, 'ADF_Twf-N_like', 10138),
(10139, 'cd08721', NULL, 'RGS_AKAP2_2', NULL, NULL, 'RGS_AKAP2_2', 10139),
(10140, 'cd01181', NULL, 'IPT_plexin_repeat3', NULL, NULL, 'IPT_plexin_repeat3', 10140),
(10141, 'cd19354', NULL, 'Wnt_Wnt9b', NULL, NULL, 'Wnt_Wnt9b', 10141),
(10142, 'cd04729', NULL, 'NanE', NULL, NULL, 'NanE', 10142),
(10143, 'cd19421', NULL, 'lipocalin_5_8-like', NULL, NULL, 'lipocalin_5_8-like', 10143),
(10144, 'cd14132', NULL, 'STKc_CK2_alpha', NULL, NULL, 'STKc_CK2_alpha', 10144),
(10145, 'cd15727', NULL, 'FYVE_ZF21', NULL, NULL, 'FYVE_ZF21', 10145),
(10146, 'cd04617', NULL, 'CBS_pair_CcpN', NULL, NULL, 'CBS_pair_CcpN', 10146),
(10147, 'cd14254', NULL, 'Dockerin_II', NULL, NULL, 'Dockerin_II', 10147),
(10148, 'cd08297', NULL, 'CAD3', NULL, NULL, 'CAD3', 10148),
(10149, 'cd07954', NULL, 'AP_MHD_Cterm', NULL, NULL, 'AP_MHD_Cterm', 10149),
(10150, 'cd13857', NULL, 'CuRO_1_Diphenol_Ox', NULL, NULL, 'CuRO_1_Diphenol_Ox', 10150),
(10151, 'cd13965', NULL, 'PT_UbiA_3', NULL, NULL, 'PT_UbiA_3', 10151),
(10152, 'cd01491', NULL, 'Ube1_repeat1', NULL, NULL, 'Ube1_repeat1', 10152),
(10153, 'cd16690', NULL, 'RING-H2_Vps41', NULL, NULL, 'RING-H2_Vps41', 10153),
(10154, 'cd09508', NULL, 'SAM_HD', NULL, NULL, 'SAM_HD', 10154),
(10155, 'cd01250', NULL, 'PH_AGAP', NULL, NULL, 'PH_AGAP', 10155),
(10156, 'cd12595', NULL, 'RRM1_SRSF5', NULL, NULL, 'RRM1_SRSF5', 10156),
(10157, 'cd05476', NULL, 'pepsin_A_like_plant', NULL, NULL, 'pepsin_A_like_plant', 10157),
(10158, 'cd13282', NULL, 'PH1_PLEKHH1_PLEKHH2', NULL, NULL, 'PH1_PLEKHH1_PLEKHH2', 10158),
(10159, 'cd13775', NULL, 'SPFH_eoslipins_u3', NULL, NULL, 'SPFH_eoslipins_u3', 10159),
(10160, 'cd12241', NULL, 'RRM_SF3B14', NULL, NULL, 'RRM_SF3B14', 10160);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(10161, 'cd04606', NULL, 'CBS_pair_Mg_transporter', NULL, NULL, 'CBS_pair_Mg_transporter', 10161),
(10162, 'cd09871', NULL, 'PIN_MtVapC28-VapC30-like', NULL, NULL, 'PIN_MtVapC28-VapC30-like', 10162),
(10163, 'cd19112', NULL, 'AKR_AKR2A1-2', NULL, NULL, 'AKR_AKR2A1-2', 10163),
(10164, 'cd05661', NULL, 'M28_like_PA', NULL, NULL, 'M28_like_PA', 10164),
(10165, 'cd16671', NULL, 'RING-H2_DTX1_4', NULL, NULL, 'RING-H2_DTX1_4', 10165),
(10166, 'cd11727', NULL, 'ADDz_Dnmt3l', NULL, NULL, 'ADDz_Dnmt3l', 10166),
(10167, 'cd13373', NULL, 'PH_nGAP', NULL, NULL, 'PH_nGAP', 10167),
(10168, 'cd05618', NULL, 'STKc_aPKC_iota', NULL, NULL, 'STKc_aPKC_iota', 10168),
(10169, 'cd05701', NULL, 'S1_Rrp5_repeat_hs10', NULL, NULL, 'S1_Rrp5_repeat_hs10', 10169),
(10170, 'cd06602', NULL, 'GH31_MGAM_SI_GAA', NULL, NULL, 'GH31_MGAM_SI_GAA', 10170),
(10171, 'cd05341', NULL, '3beta-17beta-HSD_like_SDR_c', NULL, NULL, '3beta-17beta-HSD_like_SDR_c', 10171),
(10172, 'cd10941', NULL, 'CE4_PuuE_HpPgdA_like_2', NULL, NULL, 'CE4_PuuE_HpPgdA_like_2', 10172),
(10173, 'cd15804', NULL, 'RLR_C', NULL, NULL, 'RLR_C', 10173),
(10174, 'cd15697', NULL, 'ePHD2_KMT2C', NULL, NULL, 'ePHD2_KMT2C', 10174),
(10175, 'cd04665', NULL, 'Nudix_Hydrolase_8', NULL, NULL, 'Nudix_Hydrolase_8', 10175),
(10176, 'cd01615', NULL, 'CIDE_N', NULL, NULL, 'CIDE_N', 10176),
(10177, 'cd13379', NULL, 'PH_RhoGap24', NULL, NULL, 'PH_RhoGap24', 10177),
(10178, 'cd07224', NULL, 'Pat_like', NULL, NULL, 'Pat_like', 10178),
(10179, 'cd14953', NULL, 'NHL_like_1', NULL, NULL, 'NHL_like_1', 10179),
(10180, 'cd01131', NULL, 'PilT', NULL, NULL, 'PilT', 10180),
(10181, 'cd08198', NULL, 'DHQS-like', NULL, NULL, 'DHQS-like', 10181),
(10182, 'cd12473', NULL, 'RRM2_MSSP1', NULL, NULL, 'RRM2_MSSP1', 10182),
(10183, 'cd01284', NULL, 'Riboflavin_deaminase-reductase', NULL, NULL, 'Riboflavin_deaminase-reductase', 10183),
(10184, 'cd01781', NULL, 'RA2_Afadin', NULL, NULL, 'RA2_Afadin', 10184),
(10185, 'cd05102', NULL, 'PTKc_VEGFR3', NULL, NULL, 'PTKc_VEGFR3', 10185),
(10186, 'cd20758', NULL, 'capping_2-OMTase_Orbivirus', NULL, NULL, 'capping_2-OMTase_Orbivirus', 10186),
(10187, 'cd00545', NULL, 'MCH', NULL, NULL, 'MCH', 10187),
(10188, 'cd18627', NULL, 'CD_polycomb_like', NULL, NULL, 'CD_polycomb_like', 10188),
(10189, 'cd00635', NULL, 'PLPDE_III_YBL036c_like', NULL, NULL, 'PLPDE_III_YBL036c_like', 10189),
(10190, 'cd06320', NULL, 'PBP1_allose_binding', NULL, NULL, 'PBP1_allose_binding', 10190),
(10191, 'cd15244', NULL, '7tm_bacteriorhodopsin', NULL, NULL, '7tm_bacteriorhodopsin', 10191),
(10192, 'cd18737', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 10192),
(10193, 'cd00988', NULL, 'PDZ_CTP_protease', NULL, NULL, 'PDZ_CTP_protease', 10193),
(10194, 'cd01944', NULL, 'YegV_kinase_like', NULL, NULL, 'YegV_kinase_like', 10194),
(10195, 'cd13891', NULL, 'CuRO_3_CotA_like', NULL, NULL, 'CuRO_3_CotA_like', 10195),
(10196, 'cd12754', NULL, 'RRM2_RBM10', NULL, NULL, 'RRM2_RBM10', 10196),
(10197, 'cd05367', NULL, 'SPR-like_SDR_c', NULL, NULL, 'SPR-like_SDR_c', 10197),
(10198, 'cd07375', NULL, 'Anticodon_Ia_like', NULL, NULL, 'Anticodon_Ia_like', 10198),
(10199, 'cd18927', NULL, 'bHLHzip_TFEB', NULL, NULL, 'bHLHzip_TFEB', 10199),
(10200, 'cd18177', NULL, 'ATP-synt_Vo_c_ATP6F_rpt1', NULL, NULL, 'ATP-synt_Vo_c_ATP6F_rpt1', 10200),
(10201, 'cd03788', NULL, 'GT20_TPS', NULL, NULL, 'GT20_TPS', 10201),
(10202, 'cd13214', NULL, 'PH-GRAM_WBP2', NULL, NULL, 'PH-GRAM_WBP2', 10202),
(10203, 'cd07802', NULL, 'FGGY_L-XK', NULL, NULL, 'FGGY_L-XK', 10203),
(10204, 'cd07080', NULL, 'ALDH_Acyl-CoA-Red_LuxC', NULL, NULL, 'ALDH_Acyl-CoA-Red_LuxC', 10204),
(10205, 'cd12162', NULL, '2-Hacid_dh_4', NULL, NULL, '2-Hacid_dh_4', 10205),
(10206, 'cd16568', NULL, 'RING-HC_ScPSH1_like', NULL, NULL, 'RING-HC_ScPSH1_like', 10206),
(10207, 'cd19972', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 10207),
(10208, 'cd01471', NULL, 'vWA_micronemal_protein', NULL, NULL, 'vWA_micronemal_protein', 10208),
(10209, 'cd09891', NULL, 'NGN_Bact_1', NULL, NULL, 'NGN_Bact_1', 10209);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(10210, 'cd15441', NULL, '7tmB2_CELSR_Adhesion_IV', NULL, NULL, '7tmB2_CELSR_Adhesion_IV', 10210),
(10211, 'cd08447', NULL, 'PBP2_LTTR_aromatics_like_1', NULL, NULL, 'PBP2_LTTR_aromatics_like_1', 10211),
(10212, 'cd12094', NULL, 'TM_ErbB2', NULL, NULL, 'TM_ErbB2', 10212),
(10213, 'cd07021', NULL, 'Clp_protease_NfeD_like', NULL, NULL, 'Clp_protease_NfeD_like', 10213),
(10214, 'cd18992', NULL, 'LGIC_ECD_HisCl', NULL, NULL, 'LGIC_ECD_HisCl', 10214),
(10215, 'cd19551', NULL, 'serpinA3_A1AC', NULL, NULL, 'serpinA3_A1AC', 10215),
(10216, 'cd11451', NULL, 'bHLH_AtTT8_like', NULL, NULL, 'bHLH_AtTT8_like', 10216),
(10217, 'cd10924', NULL, 'CE4_COG4878', NULL, NULL, 'CE4_COG4878', 10217),
(10218, 'cd05111', NULL, 'PTK_HER3', NULL, NULL, 'PTK_HER3', 10218),
(10219, 'cd00146', NULL, 'PKD', NULL, NULL, 'PKD', 10219),
(10220, 'cd08071', NULL, 'MPN_DUF2466', NULL, NULL, 'MPN_DUF2466', 10220),
(10221, 'cd10930', NULL, 'CE4_u6', NULL, NULL, 'CE4_u6', 10221),
(10222, 'cd08963', NULL, 'L-asparaginase_I', NULL, NULL, 'L-asparaginase_I', 10222),
(10223, 'cd04334', NULL, 'ProRS-INS', NULL, NULL, 'ProRS-INS', 10223),
(10224, 'cd11736', NULL, 'HSPA12B_like_NBD', NULL, NULL, 'HSPA12B_like_NBD', 10224),
(10225, 'cd03744', NULL, 'SOCS_SSB1', NULL, NULL, 'SOCS_SSB1', 10225),
(10226, 'cd18974', NULL, 'CD_POL_like', NULL, NULL, 'CD_POL_like', 10226),
(10227, 'cd17311', NULL, 'PIPKc_PIP5K2C', NULL, NULL, 'PIPKc_PIP5K2C', 10227),
(10228, 'cd10287', NULL, 'prolactin_2', NULL, NULL, 'prolactin_2', 10228),
(10229, 'cd14054', NULL, 'STKc_BMPR2_AMHR2', NULL, NULL, 'STKc_BMPR2_AMHR2', 10229),
(10230, 'cd17954', NULL, 'DEADc_DDX47', NULL, NULL, 'DEADc_DDX47', 10230),
(10231, 'cd20224', NULL, 'PFM_alpha-toxin-like', NULL, NULL, 'PFM_alpha-toxin-like', 10231),
(10232, 'cd10807', NULL, 'YdjC_like_3', NULL, NULL, 'YdjC_like_3', 10232),
(10233, 'cd00078', NULL, 'HECTc', NULL, NULL, 'HECTc', 10233),
(10234, 'cd12186', NULL, 'LDH', NULL, NULL, 'LDH', 10234),
(10235, 'cd04394', NULL, 'RhoGAP-ARHGAP11A', NULL, NULL, 'RhoGAP-ARHGAP11A', 10235),
(10236, 'cd07561', NULL, 'Peptidase_S41_CPP_like', NULL, NULL, 'Peptidase_S41_CPP_like', 10236),
(10237, 'cd14639', NULL, 'DSP_DUSP5', NULL, NULL, 'DSP_DUSP5', 10237),
(10238, 'cd05649', NULL, 'M20_ArgE_DapE-like', NULL, NULL, 'M20_ArgE_DapE-like', 10238),
(10239, 'cd12780', NULL, 'RRM1_hnRNPL', NULL, NULL, 'RRM1_hnRNPL', 10239),
(10240, 'cd00018', NULL, 'AP2', NULL, NULL, 'AP2', 10240),
(10241, 'cd16312', NULL, 'THIN-B-like_MBL-B3', NULL, NULL, 'THIN-B-like_MBL-B3', 10241),
(10242, 'cd01412', NULL, 'SIRT5_Af1_CobB', NULL, NULL, 'SIRT5_Af1_CobB', 10242),
(10243, 'cd08408', NULL, 'C2B_Synaptotagmin-14_16', NULL, NULL, 'C2B_Synaptotagmin-14_16', 10243),
(10244, 'cd03380', NULL, 'PAP2_like_1', NULL, NULL, 'PAP2_like_1', 10244),
(10245, 'cd00740', NULL, 'MeTr', NULL, NULL, 'MeTr', 10245),
(10246, 'cd12450', NULL, 'RRM1_NUCLs', NULL, NULL, 'RRM1_NUCLs', 10246),
(10247, 'cd06118', NULL, 'citrate_synt_like_1', NULL, NULL, 'citrate_synt_like_1', 10247),
(10248, 'cd12382', NULL, 'RRM_RBMX_like', NULL, NULL, 'RRM_RBMX_like', 10248),
(10249, 'cd20217', NULL, 'PFM_agglutinin-like', NULL, NULL, 'PFM_agglutinin-like', 10249),
(10250, 'cd04213', NULL, 'CuRO_CcO_Caa3_II', NULL, NULL, 'CuRO_CcO_Caa3_II', 10250),
(10251, 'cd10007', NULL, 'HDAC5', NULL, NULL, 'HDAC5', 10251),
(10252, 'cd00925', NULL, 'Cyt_c_Oxidase_VIa', NULL, NULL, 'Cyt_c_Oxidase_VIa', 10252),
(10253, 'cd00256', NULL, 'VATPase_H', NULL, NULL, 'VATPase_H', 10253),
(10254, 'cd18401', NULL, 'BTB_POZ_TNFAIP1_BACURD2', NULL, NULL, 'BTB_POZ_TNFAIP1_BACURD2', 10254),
(10255, 'cd09666', NULL, 'Cas8a2_I-A', NULL, NULL, 'Cas8a2_I-A', 10255),
(10256, 'cd11401', NULL, 'bHLHzip_Mad', NULL, NULL, 'bHLHzip_Mad', 10256),
(10257, 'cd12515', NULL, 'RRM5_RBM12_like', NULL, NULL, 'RRM5_RBM12_like', 10257),
(10258, 'cd13529', NULL, 'PBP2_transferrin', NULL, NULL, 'PBP2_transferrin', 10258),
(10259, 'cd17275', NULL, 'RMtype1_S_MjaORF132P-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_MjaORF132P-TRD1-CR1_like', 10259),
(10260, 'cd07662', NULL, 'BAR_SNX6', NULL, NULL, 'BAR_SNX6', 10260);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(10261, 'cd16980', NULL, 'VHS_Lsb5', NULL, NULL, 'VHS_Lsb5', 10261),
(10262, 'cd10719', NULL, 'DnaJ_zf', NULL, NULL, 'DnaJ_zf', 10262),
(10263, 'cd11800', NULL, 'SH3_DNMBP_C2_like', NULL, NULL, 'SH3_DNMBP_C2_like', 10263),
(10264, 'cd15627', NULL, 'PHD_BAZ1A', NULL, NULL, 'PHD_BAZ1A', 10264),
(10265, 'cd19114', NULL, 'AKR_AKR2C1', NULL, NULL, 'AKR_AKR2C1', 10265),
(10266, 'cd01972', NULL, 'Nitrogenase_VnfE_like', NULL, NULL, 'Nitrogenase_VnfE_like', 10266),
(10267, 'cd11653', NULL, 'rap1_RCT', NULL, NULL, 'rap1_RCT', 10267),
(10268, 'cd11832', NULL, 'SH3_Shank', NULL, NULL, 'SH3_Shank', 10268),
(10269, 'cd14932', NULL, 'MYSc_Myh18', NULL, NULL, 'MYSc_Myh18', 10269),
(10270, 'cd03821', NULL, 'GT4_Bme6-like', NULL, NULL, 'GT4_Bme6-like', 10270),
(10271, 'cd16783', NULL, 'mRING-HC-C2H2C4_MDM2', NULL, NULL, 'mRING-HC-C2H2C4_MDM2', 10271),
(10272, 'cd16988', NULL, 'ANTH_N_YAP180', NULL, NULL, 'ANTH_N_YAP180', 10272),
(10273, 'cd06304', NULL, 'PBP1_BmpA_Med_PnrA-like', NULL, NULL, 'PBP1_BmpA_Med_PnrA-like', 10273),
(10274, 'cd04111', NULL, 'Rab39', NULL, NULL, 'Rab39', 10274),
(10275, 'cd12708', NULL, 'RRM_RCAN1', NULL, NULL, 'RRM_RCAN1', 10275),
(10276, 'cd10471', NULL, 'FAM20C_C', NULL, NULL, 'FAM20C_C', 10276),
(10277, 'cd02642', NULL, 'R3H_encore_like', NULL, NULL, 'R3H_encore_like', 10277),
(10278, 'cd04892', NULL, 'ACT_AK-like_2', NULL, NULL, 'ACT_AK-like_2', 10278),
(10279, 'cd13847', NULL, 'CuRO_1_AAO_like_2', NULL, NULL, 'CuRO_1_AAO_like_2', 10279),
(10280, 'cd09287', NULL, 'GluRS_non_core', NULL, NULL, 'GluRS_non_core', 10280),
(10281, 'cd02215', NULL, 'cupin_QDO_N_C', NULL, NULL, 'cupin_QDO_N_C', 10281),
(10282, 'cd18139', NULL, 'HLD_clamp_RarA', NULL, NULL, 'HLD_clamp_RarA', 10282),
(10283, 'cd17176', NULL, 'FERM_F0_SHANK2', NULL, NULL, 'FERM_F0_SHANK2', 10283),
(10284, 'cd06227', NULL, 'M14-CPA-like', NULL, NULL, 'M14-CPA-like', 10284),
(10285, 'cd07855', NULL, 'STKc_ERK5', NULL, NULL, 'STKc_ERK5', 10285),
(10286, 'cd11287', NULL, 'Sec23_C', NULL, NULL, 'Sec23_C', 10286),
(10287, 'cd03383', NULL, 'PAP2_diacylglycerolkinase', NULL, NULL, 'PAP2_diacylglycerolkinase', 10287),
(10288, 'cd01036', NULL, 'ClC_euk', NULL, NULL, 'ClC_euk', 10288),
(10289, 'cd07972', NULL, 'OBF_DNA_ligase_Arch_LigB', NULL, NULL, 'OBF_DNA_ligase_Arch_LigB', 10289),
(10290, 'cd16520', NULL, 'RING-HC_MIBs_like', NULL, NULL, 'RING-HC_MIBs_like', 10290),
(10291, 'cd16950', NULL, 'HATPase_EnvZ-like', NULL, NULL, 'HATPase_EnvZ-like', 10291),
(10292, 'cd15558', NULL, 'PHD_Hop1p_like', NULL, NULL, 'PHD_Hop1p_like', 10292),
(10293, 'cd19002', NULL, 'LGIC_ECD_GABAAR_E', NULL, NULL, 'LGIC_ECD_GABAAR_E', 10293),
(10294, 'cd00009', NULL, 'AAA', NULL, NULL, 'AAA', 10294),
(10295, 'cd13654', NULL, 'PBP2_phosphate_like_2', NULL, NULL, 'PBP2_phosphate_like_2', 10295),
(10296, 'cd06330', NULL, 'PBP1_As_SBP-like', NULL, NULL, 'PBP1_As_SBP-like', 10296),
(10297, 'cd12432', NULL, 'RRM_ACINU', NULL, NULL, 'RRM_ACINU', 10297),
(10298, 'cd16478', NULL, 'RING-H2_Rapsyn', NULL, NULL, 'RING-H2_Rapsyn', 10298),
(10299, 'cd13855', NULL, 'CuRO_1_McoC_like', NULL, NULL, 'CuRO_1_McoC_like', 10299),
(10300, 'cd04759', NULL, 'Rib_hydrolase', NULL, NULL, 'Rib_hydrolase', 10300),
(10301, 'cd11702', NULL, 'DHR2_DOCK6', NULL, NULL, 'DHR2_DOCK6', 10301),
(10302, 'cd19552', NULL, 'serpinA4_KST', NULL, NULL, 'serpinA4_KST', 10302),
(10303, 'cd11583', NULL, 'Orc6_mid', NULL, NULL, 'Orc6_mid', 10303),
(10304, 'cd14565', NULL, 'DSP_MKP_classI', NULL, NULL, 'DSP_MKP_classI', 10304),
(10305, 'cd02008', NULL, 'TPP_IOR_alpha', NULL, NULL, 'TPP_IOR_alpha', 10305),
(10306, 'cd16504', NULL, 'RING-HC_COP1', NULL, NULL, 'RING-HC_COP1', 10306),
(10307, 'cd05839', NULL, 'BR140_related', NULL, NULL, 'BR140_related', 10307),
(10308, 'cd12189', NULL, 'LKR_SDH_like', NULL, NULL, 'LKR_SDH_like', 10308),
(10309, 'cd17238', NULL, 'FERM_F1_Radixin', NULL, NULL, 'FERM_F1_Radixin', 10309),
(10310, 'cd17408', NULL, 'MFS_unc93B1', NULL, NULL, 'MFS_unc93B1', 10310),
(10311, 'cd03299', NULL, 'ABC_ModC_like', NULL, NULL, 'ABC_ModC_like', 10311),
(10312, 'cd08284', NULL, 'FDH_like_2', NULL, NULL, 'FDH_like_2', 10312);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(10313, 'cd14097', NULL, 'STKc_STK33', NULL, NULL, 'STKc_STK33', 10313),
(10314, 'cd12183', NULL, 'LDH_like_2', NULL, NULL, 'LDH_like_2', 10314),
(10315, 'cd17761', NULL, 'MCM_arch', NULL, NULL, 'MCM_arch', 10315),
(10316, 'cd01056', NULL, 'Euk_Ferritin', NULL, NULL, 'Euk_Ferritin', 10316),
(10317, 'cd11346', NULL, 'AmyAc_plant_IsoA', NULL, NULL, 'AmyAc_plant_IsoA', 10317),
(10318, 'cd19981', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, 'PBP1_ABC_HAAT-like', 10318),
(10319, 'cd14594', NULL, 'PTP-MTMR12', NULL, NULL, 'PTP-MTMR12', 10319),
(10320, 'cd18040', NULL, 'DEXXc_HELZ2-C', NULL, NULL, 'DEXXc_HELZ2-C', 10320),
(10321, 'cd19901', NULL, 'DSRM_RBM46', NULL, NULL, 'DSRM_RBM46', 10321),
(10322, 'cd04143', NULL, 'Rhes_like', NULL, NULL, 'Rhes_like', 10322),
(10323, 'cd03236', NULL, 'ABC_RNaseL_inhibitor_domain1', NULL, NULL, 'ABC_RNaseL_inhibitor_domain1', 10323),
(10324, 'cd05536', NULL, 'POLBc_B3', NULL, NULL, 'POLBc_B3', 10324),
(10325, 'cd14080', NULL, 'STKc_TSSK-like', NULL, NULL, 'STKc_TSSK-like', 10325),
(10326, 'cd07015', NULL, 'Clp_protease_NfeD', NULL, NULL, 'Clp_protease_NfeD', 10326),
(10327, 'cd08533', NULL, 'SAM_PNT-ETS-1,2', NULL, NULL, 'SAM_PNT-ETS-1,2', 10327),
(10328, 'cd07642', NULL, 'BAR_ASAP2', NULL, NULL, 'BAR_ASAP2', 10328),
(10329, 'cd06864', NULL, 'PX_SNX4', NULL, NULL, 'PX_SNX4', 10329),
(10330, 'cd01999', NULL, 'Argininosuccinate_Synthase', NULL, NULL, 'Argininosuccinate_Synthase', 10330),
(10331, 'cd04662', NULL, 'Nudix_Hydrolase_5', NULL, NULL, 'Nudix_Hydrolase_5', 10331),
(10332, 'cd05797', NULL, 'Ribosomal_L10', NULL, NULL, 'Ribosomal_L10', 10332),
(10333, 'cd00044', NULL, 'CysPc', NULL, NULL, 'CysPc', 10333),
(10334, 'cd06183', NULL, 'cyt_b5_reduct_like', NULL, NULL, 'cyt_b5_reduct_like', 10334),
(10335, 'cd16081', NULL, 'TSPcc_insect', NULL, NULL, 'TSPcc_insect', 10335),
(10336, 'cd17307', NULL, 'PIPKc_PIP5K1B', NULL, NULL, 'PIPKc_PIP5K1B', 10336),
(10337, 'cd16366', NULL, 'FDH_beta_like', NULL, NULL, 'FDH_beta_like', 10337),
(10338, 'cd06142', NULL, 'RNaseD_exo', NULL, NULL, 'RNaseD_exo', 10338),
(10339, 'cd05704', NULL, 'S1_Rrp5_repeat_hs13', NULL, NULL, 'S1_Rrp5_repeat_hs13', 10339),
(10340, 'cd05487', NULL, 'renin_like', NULL, NULL, 'renin_like', 10340),
(10341, 'cd09762', NULL, 'HSDL2_SDR_c', NULL, NULL, 'HSDL2_SDR_c', 10341),
(10342, 'cd00825', NULL, 'decarbox_cond_enzymes', NULL, NULL, 'decarbox_cond_enzymes', 10342),
(10343, 'cd02189', NULL, 'delta_zeta_tubulin-like', NULL, NULL, 'delta_zeta_tubulin-like', 10343),
(10344, 'cd15285', NULL, '7tmC_mGluR_group1', NULL, NULL, '7tmC_mGluR_group1', 10344),
(10345, 'cd17159', NULL, 'DCX4_DCDC5', NULL, NULL, 'DCX4_DCDC5', 10345),
(10346, 'cd08664', NULL, 'APC10-HERC2', NULL, NULL, 'APC10-HERC2', 10346),
(10347, 'cd16946', NULL, 'HATPase_BaeS-like', NULL, NULL, 'HATPase_BaeS-like', 10347),
(10348, 'cd17395', NULL, 'MFS_MFSD4', NULL, NULL, 'MFS_MFSD4', 10348),
(10349, 'cd07418', NULL, 'MPP_PP7', NULL, NULL, 'MPP_PP7', 10349),
(10350, 'cd17563', NULL, 'REC_RegA-like', NULL, NULL, 'REC_RegA-like', 10350),
(10351, 'cd13137', NULL, 'MATE_NorM_like', NULL, NULL, 'MATE_NorM_like', 10351),
(10352, 'cd17101', NULL, 'FERM_F1_PTPN13_like', NULL, NULL, 'FERM_F1_PTPN13_like', 10352),
(10353, 'cd19563', NULL, 'serpinB3_B4_SCCA1_2', NULL, NULL, 'serpinB3_B4_SCCA1_2', 10353),
(10354, 'cd09146', NULL, 'PLDc_vPLD5_1', NULL, NULL, 'PLDc_vPLD5_1', 10354),
(10355, 'cd09934', NULL, 'SH2_Tec_family', NULL, NULL, 'SH2_Tec_family', 10355),
(10356, 'cd09276', NULL, 'Rnase_HI_RT_non_LTR', NULL, NULL, 'Rnase_HI_RT_non_LTR', 10356),
(10357, 'cd00213', NULL, 'S-100', NULL, NULL, 'S-100', 10357),
(10358, 'cd00757', NULL, 'ThiF_MoeB_HesA_family', NULL, NULL, 'ThiF_MoeB_HesA_family', 10358),
(10359, 'cd08472', NULL, 'PBP2_CrgA_like_3', NULL, NULL, 'PBP2_CrgA_like_3', 10359),
(10360, 'cd12319', NULL, 'RRM4_MRD1', NULL, NULL, 'RRM4_MRD1', 10360),
(10361, 'cd10424', NULL, 'GST_C_9', NULL, NULL, 'GST_C_9', 10361),
(10362, 'cd18662', NULL, 'CD2_tandem_CHD3-4_like', NULL, NULL, 'CD2_tandem_CHD3-4_like', 10362),
(10363, 'cd10428', NULL, 'LFG_like', NULL, NULL, 'LFG_like', 10363); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(10364, 'cd18478', NULL, 'BACK_KLHL42_KLHDC5', NULL, NULL, 'BACK_KLHL42_KLHDC5', 10364),
(10365, 'cd01821', NULL, 'Rhamnogalacturan_acetylesterase_like', NULL, NULL, 'Rhamnogalacturan_acetylesterase_like', 10365),
(10366, 'cd09932', NULL, 'SH2_C-SH2_PLC_gamma_like', NULL, NULL, 'SH2_C-SH2_PLC_gamma_like', 10366),
(10367, 'cd17388', NULL, 'MFS_TetA', NULL, NULL, 'MFS_TetA', 10367),
(10368, 'cd14563', NULL, 'PTP_auxilin_N', NULL, NULL, 'PTP_auxilin_N', 10368),
(10369, 'cd18442', NULL, 'BRCT_polymerase_mu', NULL, NULL, 'BRCT_polymerase_mu', 10369),
(10370, 'cd14005', NULL, 'STKc_PIM', NULL, NULL, 'STKc_PIM', 10370),
(10371, 'cd00517', NULL, 'ATPS', NULL, NULL, 'ATPS', 10371),
(10372, 'cd04872', NULL, 'ACT_1ZPV', NULL, NULL, 'ACT_1ZPV', 10372),
(10373, 'cd03486', NULL, 'MutL_Trans_MLH3', NULL, NULL, 'MutL_Trans_MLH3', 10373),
(10374, 'cd03063', NULL, 'TRX_Fd_FDH_beta', NULL, NULL, 'TRX_Fd_FDH_beta', 10374),
(10375, 'cd06280', NULL, 'PBP1_LacI-like', NULL, NULL, 'PBP1_LacI-like', 10375),
(10376, 'cd02770', NULL, 'MopB_DmsA-EC', NULL, NULL, 'MopB_DmsA-EC', 10376),
(10377, 'cd12556', NULL, 'RRM2_RBM15B', NULL, NULL, 'RRM2_RBM15B', 10377),
(10378, 'cd20480', NULL, 'ArgR-Cyc_NRPS-like', NULL, NULL, 'ArgR-Cyc_NRPS-like', 10378),
(10379, 'cd04439', NULL, 'DEP_1_P-Rex', NULL, NULL, 'DEP_1_P-Rex', 10379),
(10380, 'cd12521', NULL, 'RRM3_MRN1', NULL, NULL, 'RRM3_MRN1', 10380),
(10381, 'cd00412', NULL, 'pyrophosphatase', NULL, NULL, 'pyrophosphatase', 10381),
(10382, 'cd08517', NULL, 'PBP2_NikA_DppA_OppA_like_13', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_13', 10382),
(10383, 'cd16263', NULL, 'BipA_III', NULL, NULL, 'BipA_III', 10383),
(10384, 'cd01106', NULL, 'HTH_TipAL-Mta', NULL, NULL, 'HTH_TipAL-Mta', 10384),
(10385, 'cd16924', NULL, 'HATPase_YpdA-YehU-LytS-like', NULL, NULL, 'HATPase_YpdA-YehU-LytS-like', 10385),
(10386, 'cd07706', NULL, 'IgV_TCR_delta', NULL, NULL, 'IgV_TCR_delta', 10386),
(10387, 'cd21512', NULL, 'cv_gamma-delta_Nsp2_IBV-like', NULL, NULL, 'cv_gamma-delta_Nsp2_IBV-like', 10387),
(10388, 'cd12511', NULL, 'RRM2_RBM12_like', NULL, NULL, 'RRM2_RBM12_like', 10388),
(10389, 'cd11998', NULL, 'SH3_PACSIN1-2', NULL, NULL, 'SH3_PACSIN1-2', 10389),
(10390, 'cd18925', NULL, 'bHLHzip_TFEC', NULL, NULL, 'bHLHzip_TFEC', 10390),
(10391, 'sd00003', NULL, 'TSP3_1C', NULL, NULL, 'TSP3_1C', 10391),
(10392, 'cd19076', NULL, 'AKR_AKR13A_13D', NULL, NULL, 'AKR_AKR13A_13D', 10392),
(10393, 'cd11534', NULL, 'NTP-PPase_HisIE_like', NULL, NULL, 'NTP-PPase_HisIE_like', 10393),
(10394, 'cd02612', NULL, 'HAD_PGPPase', NULL, NULL, 'HAD_PGPPase', 10394),
(10395, 'cd11327', NULL, 'AmyAc_Glg_debranch_2', NULL, NULL, 'AmyAc_Glg_debranch_2', 10395),
(10396, 'cd11825', NULL, 'SH3_PLCgamma', NULL, NULL, 'SH3_PLCgamma', 10396),
(10397, 'cd08450', NULL, 'PBP2_HcaR', NULL, NULL, 'PBP2_HcaR', 10397),
(10398, 'cd15645', NULL, 'PHD_FXL19', NULL, NULL, 'PHD_FXL19', 10398),
(10399, 'cd18048', NULL, 'DEADc_DDX25', NULL, NULL, 'DEADc_DDX25', 10399),
(10400, 'cd11258', NULL, 'Sema_4C', NULL, NULL, 'Sema_4C', 10400),
(10401, 'cd16218', NULL, 'EFh_PI-PLCdelta3', NULL, NULL, 'EFh_PI-PLCdelta3', 10401),
(10402, 'cd07463', NULL, 'CRD_FZ9', NULL, NULL, 'CRD_FZ9', 10402),
(10403, 'cd08908', NULL, 'START_STARD12-like', NULL, NULL, 'START_STARD12-like', 10403),
(10404, 'cd14909', NULL, 'MYSc_Myh1_insects_crustaceans', NULL, NULL, 'MYSc_Myh1_insects_crustaceans', 10404),
(10405, 'cd13726', NULL, 'PBP2_iGluR_AMPA_GluR2', NULL, NULL, 'PBP2_iGluR_AMPA_GluR2', 10405),
(10406, 'cd05076', NULL, 'PTK_Tyk2_rpt1', NULL, NULL, 'PTK_Tyk2_rpt1', 10406),
(10407, 'cd11436', NULL, 'bHLH-PAS_AhR', NULL, NULL, 'bHLH-PAS_AhR', 10407),
(10408, 'cd01640', NULL, 'IPPase', NULL, NULL, 'IPPase', 10408),
(10409, 'cd06942', NULL, 'NR_LBD_Sex_1_like', NULL, NULL, 'NR_LBD_Sex_1_like', 10409),
(10410, 'cd09627', NULL, 'DOMON_murB_like', NULL, NULL, 'DOMON_murB_like', 10410),
(10411, 'cd17470', NULL, 'T3SS_Flik_C', NULL, NULL, 'T3SS_Flik_C', 10411),
(10412, 'cd18069', NULL, 'DEXHc_ARIP4', NULL, NULL, 'DEXHc_ARIP4', 10412),
(10413, 'cd07256', NULL, 'HPCD_C_class_II', NULL, NULL, 'HPCD_C_class_II', 10413);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(10414, 'cd14947', NULL, 'NBR1_like', NULL, NULL, 'NBR1_like', 10414),
(10415, 'cd17595', NULL, 'REC_TrxB', NULL, NULL, 'REC_TrxB', 10415),
(10416, 'cd18343', NULL, 'BTB_POZ_SPOPL', NULL, NULL, 'BTB_POZ_SPOPL', 10416),
(10417, 'cd07640', NULL, 'BAR_ASAP3', NULL, NULL, 'BAR_ASAP3', 10417),
(10418, 'cd14634', NULL, 'R-PTPc-T-2', NULL, NULL, 'R-PTPc-T-2', 10418),
(10419, 'cd02237', NULL, 'cupin_DAD_ChrR', NULL, NULL, 'cupin_DAD_ChrR', 10419),
(10420, 'cd14766', NULL, 'CeGLB25-like', NULL, NULL, 'CeGLB25-like', 10420),
(10421, 'cd16815', NULL, 'RING-HC_RNF40', NULL, NULL, 'RING-HC_RNF40', 10421),
(10422, 'cd03171', NULL, 'SORL_Dfx_classI', NULL, NULL, 'SORL_Dfx_classI', 10422),
(10423, 'cd18056', NULL, 'DEXHc_CHD4', NULL, NULL, 'DEXHc_CHD4', 10423),
(10424, 'cd19930', NULL, 'REC_DesR-like', NULL, NULL, 'REC_DesR-like', 10424),
(10425, 'cd05254', NULL, 'dTDP_HR_like_SDR_e', NULL, NULL, 'dTDP_HR_like_SDR_e', 10425),
(10426, 'cd01107', NULL, 'HTH_BmrR', NULL, NULL, 'HTH_BmrR', 10426),
(10427, 'cd19786', NULL, 'Bbox2_TRIM46_C-I', NULL, NULL, 'Bbox2_TRIM46_C-I', 10427),
(10428, 'cd11715', NULL, 'THUMP_AdoMetMT', NULL, NULL, 'THUMP_AdoMetMT', 10428),
(10429, 'cd03011', NULL, 'TlpA_like_ScsD_MtbDsbE', NULL, NULL, 'TlpA_like_ScsD_MtbDsbE', 10429),
(10430, 'cd18631', NULL, 'CD_HP1_like', NULL, NULL, 'CD_HP1_like', 10430),
(10431, 'cd08385', NULL, 'C2A_Synaptotagmin-1-5-6-9-10', NULL, NULL, 'C2A_Synaptotagmin-1-5-6-9-10', 10431),
(10432, 'cd13135', NULL, 'MATE_like_9', NULL, NULL, 'MATE_like_9', 10432),
(10433, 'cd16794', NULL, 'dRING_RMD5A', NULL, NULL, 'dRING_RMD5A', 10433),
(10434, 'cd06577', NULL, 'PASTA_pknB', NULL, NULL, 'PASTA_pknB', 10434),
(10435, 'cd07219', NULL, 'Pat_PNPLA1', NULL, NULL, 'Pat_PNPLA1', 10435),
(10436, 'cd13113', NULL, 'Wnt', NULL, NULL, 'Wnt', 10436),
(10437, 'cd16016', NULL, 'AP-SPAP', NULL, NULL, 'AP-SPAP', 10437),
(10438, 'cd07863', NULL, 'STKc_CDK4', NULL, NULL, 'STKc_CDK4', 10438),
(10439, 'cd02685', NULL, 'MIT_C', NULL, NULL, 'MIT_C', 10439),
(10440, 'cd09641', NULL, 'Cas3''''_I', NULL, NULL, 'Cas3''''_I', 10440),
(10441, 'cd12357', NULL, 'RRM_PPARGC1A_like', NULL, NULL, 'RRM_PPARGC1A_like', 10441),
(10442, 'cd07246', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 10442),
(10443, 'cd18378', NULL, 'BTB_POZ_Kv2_KCNB', NULL, NULL, 'BTB_POZ_Kv2_KCNB', 10443),
(10444, 'cd13854', NULL, 'CuRO_1_MaLCC_like', NULL, NULL, 'CuRO_1_MaLCC_like', 10444),
(10445, 'cd04254', NULL, 'AAK_UMPK-PyrH-Ec', NULL, NULL, 'AAK_UMPK-PyrH-Ec', 10445),
(10446, 'cd05147', NULL, 'RIO1_euk', NULL, NULL, 'RIO1_euk', 10446),
(10447, 'cd04115', NULL, 'Rab33B_Rab33A', NULL, NULL, 'Rab33B_Rab33A', 10447),
(10448, 'cd16354', NULL, 'BAT', NULL, NULL, 'BAT', 10448),
(10449, 'cd13565', NULL, 'PBP2_PstS', NULL, NULL, 'PBP2_PstS', 10449),
(10450, 'cd08242', NULL, 'MDR_like', NULL, NULL, 'MDR_like', 10450),
(10451, 'cd09018', NULL, 'DEDDy_polA_RNaseD_like_exo', NULL, NULL, 'DEDDy_polA_RNaseD_like_exo', 10451),
(10452, 'cd15361', NULL, '7tmA_LGR4', NULL, NULL, '7tmA_LGR4', 10452),
(10453, 'cd00367', NULL, 'PTS-HPr_like', NULL, NULL, 'PTS-HPr_like', 10453),
(10454, 'cd09574', NULL, 'SAM_STIM2', NULL, NULL, 'SAM_STIM2', 10454),
(10455, 'cd11570', NULL, 'FAT-like_NEDD9_C', NULL, NULL, 'FAT-like_NEDD9_C', 10455),
(10456, 'cd12317', NULL, 'RRM4_RBM19_RRM3_MRD1', NULL, NULL, 'RRM4_RBM19_RRM3_MRD1', 10456),
(10457, 'cd18612', NULL, 'GH130_Lin0857-like', NULL, NULL, 'GH130_Lin0857-like', 10457),
(10458, 'cd03233', NULL, 'ABCG_PDR_domain1', NULL, NULL, 'ABCG_PDR_domain1', 10458),
(10459, 'cd00259', NULL, 'STNV', NULL, NULL, 'STNV', 10459),
(10460, 'cd15826', NULL, 'SPRY_PRY_TRIM15', NULL, NULL, 'SPRY_PRY_TRIM15', 10460),
(10461, 'cd11336', NULL, 'AmyAc_MTSase', NULL, NULL, 'AmyAc_MTSase', 10461),
(10462, 'cd04091', NULL, 'mtEFG1_II_like', NULL, NULL, 'mtEFG1_II_like', 10462),
(10463, 'cd15267', NULL, '7tmB1_GCGR', NULL, NULL, '7tmB1_GCGR', 10463),
(10464, 'cd15436', NULL, '7tmB2_Latrophilin', NULL, NULL, '7tmB2_Latrophilin', 10464),
(10465, 'cd10426', NULL, 'Ephrin-B_Ectodomain', NULL, NULL, 'Ephrin-B_Ectodomain', 10465),
(10466, 'cd15157', NULL, '7tmA_CysLTR2', NULL, NULL, '7tmA_CysLTR2', 10466);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(10467, 'cd05228', NULL, 'AR_FR_like_1_SDR_e', NULL, NULL, 'AR_FR_like_1_SDR_e', 10467),
(10468, 'cd04155', NULL, 'Arl3', NULL, NULL, 'Arl3', 10468),
(10469, 'cd03415', NULL, 'CbiX_CbiC', NULL, NULL, 'CbiX_CbiC', 10469),
(10470, 'cd04269', NULL, 'ZnMc_adamalysin_II_like', NULL, NULL, 'ZnMc_adamalysin_II_like', 10470),
(10471, 'cd02201', NULL, 'FtsZ_type1', NULL, NULL, 'FtsZ_type1', 10471),
(10472, 'cd05922', NULL, 'FACL_like_6', NULL, NULL, 'FACL_like_6', 10472),
(10473, 'cd18417', NULL, 'BTB_POZ_KCND1', NULL, NULL, 'BTB_POZ_KCND1', 10473),
(10474, 'cd17287', NULL, 'RMtype1_S_EcoN10ORF171P_TRD2-CR2_like', NULL, NULL, 'RMtype1_S_EcoN10ORF171P_TRD2-CR2_like', 10474),
(10475, 'cd08747', NULL, 'RGS_GRK2_GRK3', NULL, NULL, 'RGS_GRK2_GRK3', 10475),
(10476, 'cd07538', NULL, 'P-type_ATPase', NULL, NULL, 'P-type_ATPase', 10476),
(10477, 'cd16673', NULL, 'RING-H2_RNF6', NULL, NULL, 'RING-H2_RNF6', 10477),
(10478, 'cd16681', NULL, 'RING-H2_RNF111', NULL, NULL, 'RING-H2_RNF111', 10478),
(10479, 'cd10144', NULL, 'Peptidase_S74_CIMCD', NULL, NULL, 'Peptidase_S74_CIMCD', 10479),
(10480, 'cd09586', NULL, 'SAM_USH1G', NULL, NULL, 'SAM_USH1G', 10480),
(10481, 'cd05045', NULL, 'PTKc_RET', NULL, NULL, 'PTKc_RET', 10481),
(10482, 'cd09600', NULL, 'M1_APN', NULL, NULL, 'M1_APN', 10482),
(10483, 'cd07282', NULL, 'PX_SNX2', NULL, NULL, 'PX_SNX2', 10483),
(10484, 'cd05234', NULL, 'UDP_G4E_2_SDR_e', NULL, NULL, 'UDP_G4E_2_SDR_e', 10484),
(10485, 'cd15715', NULL, 'ePHD_JMJD2C', NULL, NULL, 'ePHD_JMJD2C', 10485),
(10486, 'cd11732', NULL, 'HSP105-110_like_NBD', NULL, NULL, 'HSP105-110_like_NBD', 10486),
(10487, 'cd12639', NULL, 'RRM3_CELF3_4_5_6', NULL, NULL, 'RRM3_CELF3_4_5_6', 10487),
(10488, 'cd01788', NULL, 'Ubl_ElonginB', NULL, NULL, 'Ubl_ElonginB', 10488),
(10489, 'cd18801', NULL, 'SF2_C_FANCM_Hef', NULL, NULL, 'SF2_C_FANCM_Hef', 10489),
(10490, 'cd07956', NULL, 'Anticodon_Ia_Arg', NULL, NULL, 'Anticodon_Ia_Arg', 10490),
(10491, 'cd12658', NULL, 'RRM1_MYEF2', NULL, NULL, 'RRM1_MYEF2', 10491),
(10492, 'cd01609', NULL, 'RNAP_beta''_N', NULL, NULL, 'RNAP_beta''_N', 10492),
(10493, 'cd02174', NULL, 'CCT', NULL, NULL, 'CCT', 10493),
(10494, 'cd12890', NULL, 'SPRY_PRY_TRIM16', NULL, NULL, 'SPRY_PRY_TRIM16', 10494),
(10495, 'cd03892', NULL, 'M20_peptT', NULL, NULL, 'M20_peptT', 10495),
(10496, 'cd15154', NULL, '7tmA_LPAR5', NULL, NULL, '7tmA_LPAR5', 10496),
(10497, 'cd08706', NULL, 'RGS_R12-like', NULL, NULL, 'RGS_R12-like', 10497),
(10498, 'cd02211', NULL, 'cupin_UGlyAH_N', NULL, NULL, 'cupin_UGlyAH_N', 10498),
(10499, 'cd20278', NULL, 'Minion', NULL, NULL, 'Minion', 10499),
(10500, 'cd12825', NULL, 'EcCorA-like', NULL, NULL, 'EcCorA-like', 10500),
(10501, 'cd05522', NULL, 'Bromo_Rsc1_2_II', NULL, NULL, 'Bromo_Rsc1_2_II', 10501),
(10502, 'cd06310', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 10502),
(10503, 'cd03228', NULL, 'ABCC_MRP_Like', NULL, NULL, 'ABCC_MRP_Like', 10503),
(10504, 'cd03302', NULL, 'Adenylsuccinate_lyase_2', NULL, NULL, 'Adenylsuccinate_lyase_2', 10504),
(10505, 'cd18491', NULL, 'BACK_ABTB2_like', NULL, NULL, 'BACK_ABTB2_like', 10505),
(10506, 'cd06356', NULL, 'PBP1_amide_urea_BP-like', NULL, NULL, 'PBP1_amide_urea_BP-like', 10506),
(10507, 'cd07111', NULL, 'ALDH_F16', NULL, NULL, 'ALDH_F16', 10507),
(10508, 'cd00915', NULL, 'MD-1_MD-2', NULL, NULL, 'MD-1_MD-2', 10508),
(10509, 'cd02419', NULL, 'Peptidase_C39C', NULL, NULL, 'Peptidase_C39C', 10509),
(10510, 'cd08936', NULL, 'CR_SDR_c', NULL, NULL, 'CR_SDR_c', 10510),
(10511, 'cd16497', NULL, 'RING-HC_BAR', NULL, NULL, 'RING-HC_BAR', 10511),
(10512, 'cd16392', NULL, 'toxin-ParB', NULL, NULL, 'toxin-ParB', 10512),
(10513, 'cd12228', NULL, 'RRM_ENOX', NULL, NULL, 'RRM_ENOX', 10513),
(10514, 'cd17340', NULL, 'MFS_MFSD1', NULL, NULL, 'MFS_MFSD1', 10514),
(10515, 'cd03392', NULL, 'PAP2_like_2', NULL, NULL, 'PAP2_like_2', 10515),
(10516, 'cd17364', NULL, 'MFS_PhT', NULL, NULL, 'MFS_PhT', 10516),
(10517, 'cd10979', NULL, 'CE4_PuuE_like', NULL, NULL, 'CE4_PuuE_like', 10517),
(10518, 'cd18604', NULL, 'ABC_6TM_VMR1_D2_like', NULL, NULL, 'ABC_6TM_VMR1_D2_like', 10518);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(10519, 'cd15884', NULL, 'SNARE_SNAP23C', NULL, NULL, 'SNARE_SNAP23C', 10519),
(10520, 'cd18712', NULL, 'PIN_VapC-like_DUF411', NULL, NULL, 'PIN_VapC-like_DUF411', 10520),
(10521, 'cd03421', NULL, 'SirA_like_N', NULL, NULL, 'SirA_like_N', 10521),
(10522, 'cd14668', NULL, 'mlta_B', NULL, NULL, 'mlta_B', 10522),
(10523, 'cd16139', NULL, 'RA_GRB14', NULL, NULL, 'RA_GRB14', 10523),
(10524, 'cd09350', NULL, 'LIM1_TRIP6', NULL, NULL, 'LIM1_TRIP6', 10524),
(10525, 'cd14994', NULL, '7tmA_GPR141', NULL, NULL, '7tmA_GPR141', 10525),
(10526, 'cd00611', NULL, 'PSAT_like', NULL, NULL, 'PSAT_like', 10526),
(10527, 'cd10376', NULL, 'SH2_STAT5', NULL, NULL, 'SH2_STAT5', 10527),
(10528, 'cd15039', NULL, '7tmB3_Methuselah-like', NULL, NULL, '7tmB3_Methuselah-like', 10528),
(10529, 'cd00041', NULL, 'CUB', NULL, NULL, 'CUB', 10529),
(10530, 'cd07137', NULL, 'ALDH_F3FHI', NULL, NULL, 'ALDH_F3FHI', 10530),
(10531, 'cd15091', NULL, '7tmA_Kappa_opioid_R', NULL, NULL, '7tmA_Kappa_opioid_R', 10531),
(10532, 'cd02801', NULL, 'DUS_like_FMN', NULL, NULL, 'DUS_like_FMN', 10532),
(10533, 'cd00540', NULL, 'AAG', NULL, NULL, 'AAG', 10533),
(10534, 'cd07233', NULL, 'GlxI_Zn', NULL, NULL, 'GlxI_Zn', 10534),
(10535, 'cd13962', NULL, 'PT_UbiA_UBIAD1', NULL, NULL, 'PT_UbiA_UBIAD1', 10535),
(10536, 'cd11013', NULL, 'Plantacyanin', NULL, NULL, 'Plantacyanin', 10536),
(10537, 'cd08867', NULL, 'START_STARD4_5_6-like', NULL, NULL, 'START_STARD4_5_6-like', 10537),
(10538, 'cd17168', NULL, 'FERM_F1_FRMPD1', NULL, NULL, 'FERM_F1_FRMPD1', 10538),
(10539, 'cd14108', NULL, 'STKc_SPEG_rpt1', NULL, NULL, 'STKc_SPEG_rpt1', 10539),
(10540, 'cd01555', NULL, 'UdpNAET', NULL, NULL, 'UdpNAET', 10540),
(10541, 'cd14535', NULL, 'PTP-MTM1-like', NULL, NULL, 'PTP-MTM1-like', 10541),
(10542, 'cd11826', NULL, 'SH3_Abi', NULL, NULL, 'SH3_Abi', 10542),
(10543, 'cd16564', NULL, 'RING-HC_RNF222', NULL, NULL, 'RING-HC_RNF222', 10543),
(10544, 'cd19917', NULL, 'RsmI_like', NULL, NULL, 'RsmI_like', 10544),
(10545, 'cd11851', NULL, 'SH3_RIM-BP', NULL, NULL, 'SH3_RIM-BP', 10545),
(10546, 'cd16093', NULL, 'IgC_CH2_Mu', NULL, NULL, 'IgC_CH2_Mu', 10546),
(10547, 'cd18691', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 10547),
(10548, 'cd04110', NULL, 'Rab35', NULL, NULL, 'Rab35', 10548),
(10549, 'cd16339', NULL, 'CpcS', NULL, NULL, 'CpcS', 10549),
(10550, 'cd06240', NULL, 'M14-like', NULL, NULL, 'M14-like', 10550),
(10551, 'cd11890', NULL, 'MIA', NULL, NULL, 'MIA', 10551),
(10552, 'cd14180', NULL, 'STKc_MSK2_C', NULL, NULL, 'STKc_MSK2_C', 10552),
(10553, 'cd18346', NULL, 'BTB_POZ_BTBD1', NULL, NULL, 'BTB_POZ_BTBD1', 10553),
(10554, 'cd15637', NULL, 'PHD_dPYGO', NULL, NULL, 'PHD_dPYGO', 10554),
(10555, 'cd03806', NULL, 'GT4_ALG11-like', NULL, NULL, 'GT4_ALG11-like', 10555),
(10556, 'cd07674', NULL, 'F-BAR_FCHO1', NULL, NULL, 'F-BAR_FCHO1', 10556),
(10557, 'cd17290', NULL, 'RMtype1_S_AleSS8ORF2795P_TRD1-CR1_like', NULL, NULL, 'RMtype1_S_AleSS8ORF2795P_TRD1-CR1_like', 10557),
(10558, 'cd11302', NULL, 'O-FucT-1', NULL, NULL, 'O-FucT-1', 10558),
(10559, 'cd11490', NULL, 'SLC5sbd_SGLT6', NULL, NULL, 'SLC5sbd_SGLT6', 10559),
(10560, 'cd04146', NULL, 'RERG_RasL11_like', NULL, NULL, 'RERG_RasL11_like', 10560),
(10561, 'cd09625', NULL, 'DOMON_like_cytochrome', NULL, NULL, 'DOMON_like_cytochrome', 10561),
(10562, 'cd08709', NULL, 'RGS_RGS2', NULL, NULL, 'RGS_RGS2', 10562),
(10563, 'cd09881', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 10563),
(10564, 'cd14330', NULL, 'UBA_atDRM2_like', NULL, NULL, 'UBA_atDRM2_like', 10564),
(10565, 'cd09444', NULL, 'LIM_Mical_like_1', NULL, NULL, 'LIM_Mical_like_1', 10565),
(10566, 'cd12734', NULL, 'RRM3_hnRNPH_hnRNPH2_hnRNPF', NULL, NULL, 'RRM3_hnRNPH_hnRNPH2_hnRNPF', 10566),
(10567, 'cd05915', NULL, 'ttLC_FACS_like', NULL, NULL, 'ttLC_FACS_like', 10567),
(10568, 'cd01031', NULL, 'EriC', NULL, NULL, 'EriC', 10568),
(10569, 'cd11639', NULL, 'HR1_ROCK1', NULL, NULL, 'HR1_ROCK1', 10569),
(10570, 'cd13580', NULL, 'PBP2_AlgQ_like_1', NULL, NULL, 'PBP2_AlgQ_like_1', 10570),
(10571, 'cd02182', NULL, 'GH16_Strep_laminarinase_like', NULL, NULL, 'GH16_Strep_laminarinase_like', 10571);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(10572, 'cd05090', NULL, 'PTKc_Ror1', NULL, NULL, 'PTKc_Ror1', 10572),
(10573, 'cd07812', NULL, 'SRPBCC', NULL, NULL, 'SRPBCC', 10573),
(10574, 'cd18552', NULL, 'ABC_6TM_MsbA_like', NULL, NULL, 'ABC_6TM_MsbA_like', 10574),
(10575, 'cd06467', NULL, 'p23_NUDC_like', NULL, NULL, 'p23_NUDC_like', 10575),
(10576, 'cd14247', NULL, 'Lmo2686_like', NULL, NULL, 'Lmo2686_like', 10576),
(10577, 'cd07394', NULL, 'MPP_Vps29', NULL, NULL, 'MPP_Vps29', 10577),
(10578, 'cd16249', NULL, 'EFh_DTNA', NULL, NULL, 'EFh_DTNA', 10578),
(10579, 'cd16468', NULL, 'RING-H2_RNF11', NULL, NULL, 'RING-H2_RNF11', 10579),
(10580, 'cd11458', NULL, 'bHLHzip_c-Myc', NULL, NULL, 'bHLHzip_c-Myc', 10580),
(10581, 'cd12962', NULL, 'X25_BaPul_like', NULL, NULL, 'X25_BaPul_like', 10581),
(10582, 'cd15047', NULL, '7tmC_GABA-B-like', NULL, NULL, '7tmC_GABA-B-like', 10582),
(10583, 'cd05466', NULL, 'PBP2_LTTR_substrate', NULL, NULL, 'PBP2_LTTR_substrate', 10583),
(10584, 'cd00498', NULL, 'Hsp33', NULL, NULL, 'Hsp33', 10584),
(10585, 'cd14205', NULL, 'PTKc_Jak2_rpt2', NULL, NULL, 'PTKc_Jak2_rpt2', 10585),
(10586, 'cd02043', NULL, 'serpinP_plants', NULL, NULL, 'serpinP_plants', 10586),
(10587, 'cd15415', NULL, '7tmA_OR5J-like', NULL, NULL, '7tmA_OR5J-like', 10587),
(10588, 'cd07107', NULL, 'ALDH_PhdK-like', NULL, NULL, 'ALDH_PhdK-like', 10588),
(10589, 'cd13629', NULL, 'PBP2_Dsm1740', NULL, NULL, 'PBP2_Dsm1740', 10589),
(10590, 'cd19753', NULL, 'Mb-like_oxidoreductase', NULL, NULL, 'Mb-like_oxidoreductase', 10590),
(10591, 'cd07211', NULL, 'Pat_PNPLA8', NULL, NULL, 'Pat_PNPLA8', 10591),
(10592, 'cd15121', NULL, '7tmA_LTB4R1', NULL, NULL, '7tmA_LTB4R1', 10592),
(10593, 'cd07886', NULL, 'RHD-n_RelB', NULL, NULL, 'RHD-n_RelB', 10593),
(10594, 'cd15470', NULL, 'Myo5_CBD', NULL, NULL, 'Myo5_CBD', 10594),
(10595, 'cd11750', NULL, 'GH94N_like_3', NULL, NULL, 'GH94N_like_3', 10595),
(10596, 'cd09667', NULL, 'Csb2_I-U', NULL, NULL, 'Csb2_I-U', 10596),
(10597, 'cd16934', NULL, 'HATPase_RsbT-like', NULL, NULL, 'HATPase_RsbT-like', 10597),
(10598, 'cd08358', NULL, 'GLOD4_N', NULL, NULL, 'GLOD4_N', 10598),
(10599, 'cd12915', NULL, 'PDC2_DGC_like', NULL, NULL, 'PDC2_DGC_like', 10599),
(10600, 'cd18344', NULL, 'BTB_POZ_TDPOZ', NULL, NULL, 'BTB_POZ_TDPOZ', 10600),
(10601, 'cd02906', NULL, 'Macro_1', NULL, NULL, 'Macro_1', 10601),
(10602, 'cd14399', NULL, 'UBA_PLICs', NULL, NULL, 'UBA_PLICs', 10602),
(10603, 'cd15178', NULL, '7tmA_CXCR1_2', NULL, NULL, '7tmA_CXCR1_2', 10603),
(10604, 'cd04051', NULL, 'C2_SRC2_like', NULL, NULL, 'C2_SRC2_like', 10604),
(10605, 'cd04433', NULL, 'AFD_class_I', NULL, NULL, 'AFD_class_I', 10605),
(10606, 'cd13696', NULL, 'PBP2_Atu4678_like', NULL, NULL, 'PBP2_Atu4678_like', 10606),
(10607, 'cd15853', NULL, 'SNARE_Bet1', NULL, NULL, 'SNARE_Bet1', 10607),
(10608, 'cd18722', NULL, 'PIN_NicB-like', NULL, NULL, 'PIN_NicB-like', 10608),
(10609, 'cd14091', NULL, 'STKc_RSK_C', NULL, NULL, 'STKc_RSK_C', 10609),
(10610, 'cd14232', NULL, 'GAT_LSB5', NULL, NULL, 'GAT_LSB5', 10610),
(10611, 'cd01804', NULL, 'Ubl_midnolin', NULL, NULL, 'Ubl_midnolin', 10611),
(10612, 'cd01108', NULL, 'HTH_CueR', NULL, NULL, 'HTH_CueR', 10612),
(10613, 'cd02176', NULL, 'GH16_XET', NULL, NULL, 'GH16_XET', 10613),
(10614, 'cd18291', NULL, 'BTB_POZ_BTBD16', NULL, NULL, 'BTB_POZ_BTBD16', 10614),
(10615, 'cd13689', NULL, 'PBP2_BsGlnH', NULL, NULL, 'PBP2_BsGlnH', 10615),
(10616, 'cd19154', NULL, 'AKR_AKR1G1_CeAKR', NULL, NULL, 'AKR_AKR1G1_CeAKR', 10616),
(10617, 'cd02032', NULL, 'Bchl-like', NULL, NULL, 'Bchl-like', 10617),
(10618, 'cd05645', NULL, 'M20_peptidase_T', NULL, NULL, 'M20_peptidase_T', 10618),
(10619, 'cd04967', NULL, 'Ig1_Contactin', NULL, NULL, 'Ig1_Contactin', 10619),
(10620, 'cd08550', NULL, 'GlyDH-like', NULL, NULL, 'GlyDH-like', 10620),
(10621, 'cd09236', NULL, 'V_AnPalA_UmRIM20_like', NULL, NULL, 'V_AnPalA_UmRIM20_like', 10621),
(10622, 'cd08718', NULL, 'RGS_RZ-like', NULL, NULL, 'RGS_RZ-like', 10622),
(10623, 'cd13750', NULL, 'TGF_beta_GDNF_like', NULL, NULL, 'TGF_beta_GDNF_like', 10623),
(10624, 'cd13310', NULL, 'PH_RalGPS1_2', NULL, NULL, 'PH_RalGPS1_2', 10624);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(10625, 'cd04709', NULL, 'BAH_MTA', NULL, NULL, 'BAH_MTA', 10625),
(10626, 'cd18493', NULL, 'BACK_BTBD17', NULL, NULL, 'BACK_BTBD17', 10626),
(10627, 'cd14915', NULL, 'MYSc_Myh4', NULL, NULL, 'MYSc_Myh4', 10627),
(10628, 'cd16913', NULL, 'YkuD_like', NULL, NULL, 'YkuD_like', 10628),
(10629, 'cd08934', NULL, 'CAD_SDR_c', NULL, NULL, 'CAD_SDR_c', 10629),
(10630, 'cd16498', NULL, 'RING-HC_BRCA1', NULL, NULL, 'RING-HC_BRCA1', 10630),
(10631, 'cd04178', NULL, 'Nucleostemin_like', NULL, NULL, 'Nucleostemin_like', 10631),
(10632, 'cd12340', NULL, 'RBD_RRM1_NPL3', NULL, NULL, 'RBD_RRM1_NPL3', 10632),
(10633, 'cd11387', NULL, 'bHLHzip_USF_MITF', NULL, NULL, 'bHLHzip_USF_MITF', 10633),
(10634, 'cd15383', NULL, '7tmA_GnRHR_vertebrate', NULL, NULL, '7tmA_GnRHR_vertebrate', 10634),
(10635, 'cd08693', NULL, 'C2_PI3K_class_I_beta_delta', NULL, NULL, 'C2_PI3K_class_I_beta_delta', 10635),
(10636, 'cd18591', NULL, 'ABC_6TM_SUR1_D1_like', NULL, NULL, 'ABC_6TM_SUR1_D1_like', 10636),
(10637, 'cd18932', NULL, 'bHLHzip_Mad3', NULL, NULL, 'bHLHzip_Mad3', 10637),
(10638, 'cd02883', NULL, 'Nudix_Hydrolase', NULL, NULL, 'Nudix_Hydrolase', 10638),
(10639, 'cd18508', NULL, 'BACK_KEL_like', NULL, NULL, 'BACK_KEL_like', 10639),
(10640, 'cd08045', NULL, 'TAF4', NULL, NULL, 'TAF4', 10640),
(10641, 'cd08925', NULL, 'Hb-beta-like', NULL, NULL, 'Hb-beta-like', 10641),
(10642, 'cd19453', NULL, 'lipocalin_NP2', NULL, NULL, 'lipocalin_NP2', 10642),
(10643, 'cd08351', NULL, 'ChaP_like', NULL, NULL, 'ChaP_like', 10643),
(10644, 'cd21406', NULL, '1B_nv_SF1_Hel-like', NULL, NULL, '1B_nv_SF1_Hel-like', 10644),
(10645, 'cd05687', NULL, 'S1_RPS1_repeat_ec1_hs1', NULL, NULL, 'S1_RPS1_repeat_ec1_hs1', 10645),
(10646, 'cd05829', NULL, 'Sortase_F', NULL, NULL, 'Sortase_F', 10646),
(10647, 'cd17360', NULL, 'MFS_HMIT_like', NULL, NULL, 'MFS_HMIT_like', 10647),
(10648, 'cd18965', NULL, 'chromodomain', NULL, NULL, 'chromodomain', 10648),
(10649, 'cd20226', NULL, 'PFM_Cry51Aa-like', NULL, NULL, 'PFM_Cry51Aa-like', 10649),
(10650, 'cd06102', NULL, 'citrate_synt_like_2', NULL, NULL, 'citrate_synt_like_2', 10650),
(10651, 'cd13333', NULL, 'FERM_C_JAK2', NULL, NULL, 'FERM_C_JAK2', 10651),
(10652, 'cd08572', NULL, 'GDPD_GDE5_like', NULL, NULL, 'GDPD_GDE5_like', 10652),
(10653, 'cd11265', NULL, 'Sema_5C', NULL, NULL, 'Sema_5C', 10653),
(10654, 'cd13680', NULL, 'PBP2_TRAP_SBP_like_4', NULL, NULL, 'PBP2_TRAP_SBP_like_4', 10654),
(10655, 'cd14948', NULL, 'BACON', NULL, NULL, 'BACON', 10655),
(10656, 'cd21569', NULL, 'SARS-like-CoV_M', NULL, NULL, 'SARS-like-CoV_M', 10656),
(10657, 'cd04597', NULL, 'CBS_pair_inorgPPase', NULL, NULL, 'CBS_pair_inorgPPase', 10657),
(10658, 'cd12361', NULL, 'RRM1_2_CELF1-6_like', NULL, NULL, 'RRM1_2_CELF1-6_like', 10658),
(10659, 'cd07936', NULL, 'SCAN', NULL, NULL, 'SCAN', 10659),
(10660, 'cd08819', NULL, 'CARD_MDA5_r2', NULL, NULL, 'CARD_MDA5_r2', 10660),
(10661, 'cd09401', NULL, 'LIM_TLP_like', NULL, NULL, 'LIM_TLP_like', 10661),
(10662, 'cd19064', NULL, 'LGIC_TM_nAChR', NULL, NULL, 'LGIC_TM_nAChR', 10662),
(10663, 'cd04246', NULL, 'AAK_AK-DapG-like', NULL, NULL, 'AAK_AK-DapG-like', 10663),
(10664, 'cd16229', NULL, 'EFh_CREC_RCN1', NULL, NULL, 'EFh_CREC_RCN1', 10664),
(10665, 'cd01168', NULL, 'adenosine_kinase', NULL, NULL, 'adenosine_kinase', 10665),
(10666, 'cd01936', NULL, 'Ntn_CA', NULL, NULL, 'Ntn_CA', 10666),
(10667, 'cd01393', NULL, 'recA_like', NULL, NULL, 'recA_like', 10667),
(10668, 'cd12686', NULL, 'RRM1_PTBPH1_PTBPH2', NULL, NULL, 'RRM1_PTBPH1_PTBPH2', 10668),
(10669, 'cd17246', NULL, 'RMtype1_S_SonII-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_SonII-TRD2-CR2_like', 10669),
(10670, 'cd11634', NULL, 'HR1_Rhophilin-2', NULL, NULL, 'HR1_Rhophilin-2', 10670),
(10671, 'cd11714', NULL, 'GINS_A_archaea', NULL, NULL, 'GINS_A_archaea', 10671),
(10672, 'cd08445', NULL, 'PBP2_BenM_CatM_CatR', NULL, NULL, 'PBP2_BenM_CatM_CatR', 10672),
(10673, 'cd16808', NULL, 'RING_CH-C4HC3_MARCH2', NULL, NULL, 'RING_CH-C4HC3_MARCH2', 10673),
(10674, 'cd06349', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, 'PBP1_ABC_HAAT-like', 10674),
(10675, 'cd15160', NULL, '7tmA_Proton-sensing_R', NULL, NULL, '7tmA_Proton-sensing_R', 10675);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(10676, 'cd14661', NULL, 'Imelysin_like_PIBO', NULL, NULL, 'Imelysin_like_PIBO', 10676),
(10677, 'cd11622', NULL, 'HR1_PKN_1', NULL, NULL, 'HR1_PKN_1', 10677),
(10678, 'cd19430', NULL, 'lipocalin_trichosorin-like', NULL, NULL, 'lipocalin_trichosorin-like', 10678),
(10679, 'cd21644', NULL, 'batCoV-HKU9_NS7b', NULL, NULL, 'batCoV-HKU9_NS7b', 10679),
(10680, 'cd19537', NULL, 'C_NRPS-like', NULL, NULL, 'C_NRPS-like', 10680),
(10681, 'cd18938', NULL, 'bHLH_TS_Mesp', NULL, NULL, 'bHLH_TS_Mesp', 10681),
(10682, 'cd17390', NULL, 'MFS_MFSD9', NULL, NULL, 'MFS_MFSD9', 10682),
(10683, 'cd06134', NULL, 'RNaseT', NULL, NULL, 'RNaseT', 10683),
(10684, 'cd12914', NULL, 'PDC1_DGC_like', NULL, NULL, 'PDC1_DGC_like', 10684),
(10685, 'cd07716', NULL, 'RNaseZ_short-form-like_MBL-fold', NULL, NULL, 'RNaseZ_short-form-like_MBL-fold', 10685),
(10686, 'cd07400', NULL, 'MPP_1', NULL, NULL, 'MPP_1', 10686),
(10687, 'cd08301', NULL, 'alcohol_DH_plants', NULL, NULL, 'alcohol_DH_plants', 10687),
(10688, 'cd05532', NULL, 'POLBc_alpha', NULL, NULL, 'POLBc_alpha', 10688),
(10689, 'cd12804', NULL, 'AKAP10_AKB', NULL, NULL, 'AKAP10_AKB', 10689),
(10690, 'cd11895', NULL, 'SH3_FCHSD1_2', NULL, NULL, 'SH3_FCHSD1_2', 10690),
(10691, 'cd18608', NULL, 'GH43_F5-8_typeC-like', NULL, NULL, 'GH43_F5-8_typeC-like', 10691),
(10692, 'cd13769', NULL, 'ApoLp-III_like', NULL, NULL, 'ApoLp-III_like', 10692),
(10693, 'cd17146', NULL, 'DCX1_RP1L1', NULL, NULL, 'DCX1_RP1L1', 10693),
(10694, 'cd16699', NULL, 'RING_CH-C4HC3_MARCH2_like', NULL, NULL, 'RING_CH-C4HC3_MARCH2_like', 10694),
(10695, 'cd16163', NULL, 'OCRE_RBM6', NULL, NULL, 'OCRE_RBM6', 10695),
(10696, 'cd07249', NULL, 'MMCE', NULL, NULL, 'MMCE', 10696),
(10697, 'cd12056', NULL, 'SH3_CD2AP_3', NULL, NULL, 'SH3_CD2AP_3', 10697),
(10698, 'cd17365', NULL, 'MFS_PcaK_like', NULL, NULL, 'MFS_PcaK_like', 10698),
(10699, 'cd14832', NULL, 'AP4_sigma', NULL, NULL, 'AP4_sigma', 10699),
(10700, 'cd04589', NULL, 'CBS_pair_CAP-ED_NT_Pol-beta-like_DUF294_assoc', NULL, NULL, 'CBS_pair_CAP-ED_NT_Pol-beta-like_DUF294_assoc', 10700),
(10701, 'cd13832', NULL, 'IHF', NULL, NULL, 'IHF', 10701),
(10702, 'cd08753', NULL, 'RGS_PDZRhoGEF', NULL, NULL, 'RGS_PDZRhoGEF', 10702),
(10703, 'cd11752', NULL, 'GH94N_CDP_like', NULL, NULL, 'GH94N_CDP_like', 10703),
(10704, 'cd09464', NULL, 'LIM2_LIMK1', NULL, NULL, 'LIM2_LIMK1', 10704),
(10705, 'cd12157', NULL, 'PTDH', NULL, NULL, 'PTDH', 10705),
(10706, 'cd03230', NULL, 'ABC_DR_subfamily_A', NULL, NULL, 'ABC_DR_subfamily_A', 10706),
(10707, 'cd16252', NULL, 'EFh_calglandulin_like', NULL, NULL, 'EFh_calglandulin_like', 10707),
(10708, 'cd05880', NULL, 'Ig_EVA1', NULL, NULL, 'Ig_EVA1', 10708),
(10709, 'cd07978', NULL, 'TAF13', NULL, NULL, 'TAF13', 10709),
(10710, 'cd06647', NULL, 'STKc_PAK_I', NULL, NULL, 'STKc_PAK_I', 10710),
(10711, 'cd08545', NULL, 'YcnI_like', NULL, NULL, 'YcnI_like', 10711),
(10712, 'cd13745', NULL, 'SPRY_PRY_TRIM39', NULL, NULL, 'SPRY_PRY_TRIM39', 10712),
(10713, 'cd19815', NULL, 'Bbox1_HOIP', NULL, NULL, 'Bbox1_HOIP', 10713),
(10714, 'cd19840', NULL, 'Bbox1_TRIM29', NULL, NULL, 'Bbox1_TRIM29', 10714),
(10715, 'cd04745', NULL, 'LbH_paaY_like', NULL, NULL, 'LbH_paaY_like', 10715),
(10716, 'cd03204', NULL, 'GST_C_GDAP1_like', NULL, NULL, 'GST_C_GDAP1_like', 10716),
(10717, 'cd01539', NULL, 'PBP1_GGBP', NULL, NULL, 'PBP1_GGBP', 10717),
(10718, 'cd08178', NULL, 'AAD_C', NULL, NULL, 'AAD_C', 10718),
(10719, 'cd18701', NULL, 'PIN_VapC_like', NULL, NULL, 'PIN_VapC_like', 10719),
(10720, 'cd01598', NULL, 'PurB', NULL, NULL, 'PurB', 10720),
(10721, 'cd17059', NULL, 'Ubl_OTU1', NULL, NULL, 'Ubl_OTU1', 10721),
(10722, 'cd09213', NULL, 'Luminal_IRE1_like', NULL, NULL, 'Luminal_IRE1_like', 10722),
(10723, 'cd05213', NULL, 'NAD_bind_Glutamyl_tRNA_reduct', NULL, NULL, 'NAD_bind_Glutamyl_tRNA_reduct', 10723),
(10724, 'cd04801', NULL, 'CBS_pair_peptidase_M50', NULL, NULL, 'CBS_pair_peptidase_M50', 10724),
(10725, 'cd06161', NULL, 'S2P-M50_SpoIVFB', NULL, NULL, 'S2P-M50_SpoIVFB', 10725),
(10726, 'cd04923', NULL, 'ACT_AK-LysC-DapG-like_2', NULL, NULL, 'ACT_AK-LysC-DapG-like_2', 10726);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(10727, 'cd01335', NULL, 'Radical_SAM', NULL, NULL, 'Radical_SAM', 10727),
(10728, 'cd14272', NULL, 'UBA_AMPK-RKs', NULL, NULL, 'UBA_AMPK-RKs', 10728),
(10729, 'cd09443', NULL, 'LIM_Ltd-1', NULL, NULL, 'LIM_Ltd-1', 10729),
(10730, 'cd17777', NULL, 'CBS_arch_repeat1', NULL, NULL, 'CBS_arch_repeat1', 10730),
(10731, 'cd06297', NULL, 'PBP1_CcpA_TTHA0807', NULL, NULL, 'PBP1_CcpA_TTHA0807', 10731),
(10732, 'cd09080', NULL, 'TDP2', NULL, NULL, 'TDP2', 10732),
(10733, 'cd17028', NULL, 'T3SC_IA_SycE_Scc1-like', NULL, NULL, 'T3SC_IA_SycE_Scc1-like', 10733),
(10734, 'cd08583', NULL, 'PI-PLCc_GDPD_SF_unchar1', NULL, NULL, 'PI-PLCc_GDPD_SF_unchar1', 10734),
(10735, 'cd14995', NULL, '7tmA_TRH-R', NULL, NULL, '7tmA_TRH-R', 10735),
(10736, 'cd21473', NULL, 'cv_Nsp4_TM', NULL, NULL, 'cv_Nsp4_TM', 10736),
(10737, 'cd05533', NULL, 'POLBc_delta', NULL, NULL, 'POLBc_delta', 10737),
(10738, 'cd12301', NULL, 'RRM1_2_PAR10_like', NULL, NULL, 'RRM1_2_PAR10_like', 10738),
(10739, 'cd18314', NULL, 'BTB_POZ_trishanku-like', NULL, NULL, 'BTB_POZ_trishanku-like', 10739),
(10740, 'cd15411', NULL, '7tmA_OR8H-like', NULL, NULL, '7tmA_OR8H-like', 10740),
(10741, 'cd06107', NULL, 'EcCS_AthCS-per_like', NULL, NULL, 'EcCS_AthCS-per_like', 10741),
(10742, 'cd18082', NULL, 'SpoU-like_family', NULL, NULL, 'SpoU-like_family', 10742),
(10743, 'cd02520', NULL, 'Glucosylceramide_synthase', NULL, NULL, 'Glucosylceramide_synthase', 10743),
(10744, 'cd06124', NULL, 'cupin_NimR-like_N', NULL, NULL, 'cupin_NimR-like_N', 10744),
(10745, 'cd09012', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 10745),
(10746, 'cd03113', NULL, 'CTPS_N', NULL, NULL, 'CTPS_N', 10746),
(10747, 'cd01662', NULL, 'Ubiquinol_Oxidase_I', NULL, NULL, 'Ubiquinol_Oxidase_I', 10747),
(10748, 'cd09107', NULL, 'PLDc_vPLD3_4_5_like_2', NULL, NULL, 'PLDc_vPLD3_4_5_like_2', 10748),
(10749, 'cd10161', NULL, 'CsoR-like_DUF156_4', NULL, NULL, 'CsoR-like_DUF156_4', 10749),
(10750, 'cd03893', NULL, 'M20_Dipept_like', NULL, NULL, 'M20_Dipept_like', 10750),
(10751, 'cd05564', NULL, 'PTS_IIB_chitobiose_lichenan', NULL, NULL, 'PTS_IIB_chitobiose_lichenan', 10751),
(10752, 'cd05713', NULL, 'Ig_MOG_like', NULL, NULL, 'Ig_MOG_like', 10752),
(10753, 'cd09736', NULL, 'Csy2_I-F', NULL, NULL, 'Csy2_I-F', 10753),
(10754, 'cd20313', NULL, 'DSRM_DND1', NULL, NULL, 'DSRM_DND1', 10754),
(10755, 'cd03050', NULL, 'GST_N_Theta', NULL, NULL, 'GST_N_Theta', 10755),
(10756, 'cd13692', NULL, 'PBP2_BztA', NULL, NULL, 'PBP2_BztA', 10756),
(10757, 'cd11234', NULL, 'E_set_GDE_N', NULL, NULL, 'E_set_GDE_N', 10757),
(10758, 'cd12105', NULL, 'HmuY', NULL, NULL, 'HmuY', 10758),
(10759, 'cd03762', NULL, 'proteasome_beta_type_6', NULL, NULL, 'proteasome_beta_type_6', 10759),
(10760, 'cd02025', NULL, 'PanK', NULL, NULL, 'PanK', 10760),
(10761, 'cd03002', NULL, 'PDI_a_MPD1_like', NULL, NULL, 'PDI_a_MPD1_like', 10761),
(10762, 'cd07419', NULL, 'MPP_Bsu1_C', NULL, NULL, 'MPP_Bsu1_C', 10762),
(10763, 'cd05702', NULL, 'S1_Rrp5_repeat_hs11_sc8', NULL, NULL, 'S1_Rrp5_repeat_hs11_sc8', 10763),
(10764, 'cd08743', NULL, 'RGS_RGS14', NULL, NULL, 'RGS_RGS14', 10764),
(10765, 'cd12060', NULL, 'SH3_alphaPIX', NULL, NULL, 'SH3_alphaPIX', 10765),
(10766, 'cd00225', NULL, 'API3', NULL, NULL, 'API3', 10766),
(10767, 'cd13702', NULL, 'PBP2_mlr5654_like', NULL, NULL, 'PBP2_mlr5654_like', 10767),
(10768, 'cd09099', NULL, 'INPP5c_Synj2', NULL, NULL, 'INPP5c_Synj2', 10768),
(10769, 'cd10811', NULL, 'GH38N_AMII_Epman_like', NULL, NULL, 'GH38N_AMII_Epman_like', 10769),
(10770, 'cd07474', NULL, 'Peptidases_S8_subtilisin_Vpr-like', NULL, NULL, 'Peptidases_S8_subtilisin_Vpr-like', 10770),
(10771, 'cd03138', NULL, 'GATase1_AraC_2', NULL, NULL, 'GATase1_AraC_2', 10771),
(10772, 'cd16770', NULL, 'RING-HC_UHRF2', NULL, NULL, 'RING-HC_UHRF2', 10772),
(10773, 'cd06308', NULL, 'PBP1_sensor_kinase-like', NULL, NULL, 'PBP1_sensor_kinase-like', 10773),
(10774, 'cd09883', NULL, 'PIN_VapC_PhoHL-ATPase', NULL, NULL, 'PIN_VapC_PhoHL-ATPase', 10774),
(10775, 'cd03025', NULL, 'DsbA_FrnE_like', NULL, NULL, 'DsbA_FrnE_like', 10775),
(10776, 'cd11023', NULL, 'CuRO_2_ceruloplasmin_like_2', NULL, NULL, 'CuRO_2_ceruloplasmin_like_2', 10776);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(10777, 'cd16422', NULL, 'HAD_Pase_UmpH-like', NULL, NULL, 'HAD_Pase_UmpH-like', 10777),
(10778, 'cd20608', NULL, 'nitroreductase', NULL, NULL, 'nitroreductase', 10778),
(10779, 'cd05333', NULL, 'BKR_SDR_c', NULL, NULL, 'BKR_SDR_c', 10779),
(10780, 'cd01709', NULL, 'RT_like_1', NULL, NULL, 'RT_like_1', 10780),
(10781, 'cd19334', NULL, 'Wnt_Wnt2_like', NULL, NULL, 'Wnt_Wnt2_like', 10781),
(10782, 'cd09495', NULL, 'SAM_liprin-kazrin_repeat2', NULL, NULL, 'SAM_liprin-kazrin_repeat2', 10782),
(10783, 'cd17434', NULL, 'MFS_GLUT6_Class3', NULL, NULL, 'MFS_GLUT6_Class3', 10783),
(10784, 'cd18295', NULL, 'BTB1_POZ_ABTB1_BPOZ1', NULL, NULL, 'BTB1_POZ_ABTB1_BPOZ1', 10784),
(10785, 'cd02079', NULL, 'P-type_ATPase_HM', NULL, NULL, 'P-type_ATPase_HM', 10785),
(10786, 'cd14559', NULL, 'PTP_YopH-like', NULL, NULL, 'PTP_YopH-like', 10786),
(10787, 'cd18394', NULL, 'BTB_POZ_KCTD6', NULL, NULL, 'BTB_POZ_KCTD6', 10787),
(10788, 'cd07139', NULL, 'ALDH_AldA-Rv0768', NULL, NULL, 'ALDH_AldA-Rv0768', 10788),
(10789, 'cd07470', NULL, 'CYTH-like_mRNA_RTPase', NULL, NULL, 'CYTH-like_mRNA_RTPase', 10789),
(10790, 'cd05167', NULL, 'PI4Kc_III_alpha', NULL, NULL, 'PI4Kc_III_alpha', 10790),
(10791, 'cd02794', NULL, 'MopB_CT_DmsA-EC', NULL, NULL, 'MopB_CT_DmsA-EC', 10791),
(10792, 'cd17464', NULL, 'MFS_MCT10', NULL, NULL, 'MFS_MCT10', 10792),
(10793, 'cd09419', NULL, 'LIM3_Testin', NULL, NULL, 'LIM3_Testin', 10793),
(10794, 'cd17304', NULL, 'PIPKc_PIP5KL1', NULL, NULL, 'PIPKc_PIP5KL1', 10794),
(10795, 'cd05688', NULL, 'S1_RPS1_repeat_ec3', NULL, NULL, 'S1_RPS1_repeat_ec3', 10795),
(10796, 'cd17280', NULL, 'RMtype1_S_MspEN3ORF6650P_TRD2-CR2_like', NULL, NULL, 'RMtype1_S_MspEN3ORF6650P_TRD2-CR2_like', 10796),
(10797, 'cd17103', NULL, 'FERM_F1_FRMD4', NULL, NULL, 'FERM_F1_FRMD4', 10797),
(10798, 'cd08688', NULL, 'C2_KIAA0528-like', NULL, NULL, 'C2_KIAA0528-like', 10798),
(10799, 'cd14127', NULL, 'STKc_CK1_fungal', NULL, NULL, 'STKc_CK1_fungal', 10799),
(10800, 'cd18053', NULL, 'DEXHc_CHD1', NULL, NULL, 'DEXHc_CHD1', 10800),
(10801, 'cd11674', NULL, 'lambda-1', NULL, NULL, 'lambda-1', 10801),
(10802, 'cd10230', NULL, 'HYOU1-like_NBD', NULL, NULL, 'HYOU1-like_NBD', 10802),
(10803, 'cd08036', NULL, 'LARP_5', NULL, NULL, 'LARP_5', 10803),
(10804, 'cd14160', NULL, 'PK_IRAK3', NULL, NULL, 'PK_IRAK3', 10804),
(10805, 'cd18400', NULL, 'BTB_POZ_KCTD13_BACURD1', NULL, NULL, 'BTB_POZ_KCTD13_BACURD1', 10805),
(10806, 'cd00379', NULL, 'Ribosomal_L10_P0', NULL, NULL, 'Ribosomal_L10_P0', 10806),
(10807, 'cd16495', NULL, 'RING_CH-C4HC3_MARCH', NULL, NULL, 'RING_CH-C4HC3_MARCH', 10807),
(10808, 'cd16790', NULL, 'SP-RING_PIAS', NULL, NULL, 'SP-RING_PIAS', 10808),
(10809, 'cd17072', NULL, 'DCX_DCDC5_like', NULL, NULL, 'DCX_DCDC5_like', 10809),
(10810, 'cd18738', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 10810),
(10811, 'cd16323', NULL, 'Syd', NULL, NULL, 'Syd', 10811),
(10812, 'cd04867', NULL, 'TGS_YchF_OLA1', NULL, NULL, 'TGS_YchF_OLA1', 10812),
(10813, 'cd12902', NULL, 'SPRY_PRY_RNF135', NULL, NULL, 'SPRY_PRY_RNF135', 10813),
(10814, 'cd19057', NULL, 'LGIC_TM_GABAAR_epsilon', NULL, NULL, 'LGIC_TM_GABAAR_epsilon', 10814),
(10815, 'cd15465', NULL, 'bS6_mito', NULL, NULL, 'bS6_mito', 10815),
(10816, 'cd17638', NULL, 'FadD3', NULL, NULL, 'FadD3', 10816),
(10817, 'cd19386', NULL, 'TGF_beta_TGFB3', NULL, NULL, 'TGF_beta_TGFB3', 10817),
(10818, 'cd05247', NULL, 'UDP_G4E_1_SDR_e', NULL, NULL, 'UDP_G4E_1_SDR_e', 10818),
(10819, 'cd00214', NULL, 'Calpain_III', NULL, NULL, 'Calpain_III', 10819),
(10820, 'cd04516', NULL, 'TBP_eukaryotes', NULL, NULL, 'TBP_eukaryotes', 10820),
(10821, 'cd08155', NULL, 'catalase_clade_2', NULL, NULL, 'catalase_clade_2', 10821),
(10822, 'cd05746', NULL, 'Ig4_Peroxidasin', NULL, NULL, 'Ig4_Peroxidasin', 10822),
(10823, 'cd12687', NULL, 'RRM1_PTBPH3', NULL, NULL, 'RRM1_PTBPH3', 10823),
(10824, 'cd13403', NULL, 'MLTF-like', NULL, NULL, 'MLTF-like', 10824),
(10825, 'cd19175', NULL, 'SET_ASHR3-like', NULL, NULL, 'SET_ASHR3-like', 10825),
(10826, 'cd13325', NULL, 'PH_unc89', NULL, NULL, 'PH_unc89', 10826);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(10827, 'cd07535', NULL, 'HAD_VSP', NULL, NULL, 'HAD_VSP', 10827),
(10828, 'cd04931', NULL, 'ACT_PAH', NULL, NULL, 'ACT_PAH', 10828),
(10829, 'cd07526', NULL, 'HAD_BPGM_like', NULL, NULL, 'HAD_BPGM_like', 10829),
(10830, 'cd17967', NULL, 'DEADc_DDX3_DDX4', NULL, NULL, 'DEADc_DDX3_DDX4', 10830),
(10831, 'cd01918', NULL, 'HprK_C', NULL, NULL, 'HprK_C', 10831),
(10832, 'cd13293', NULL, 'PH_CpORP2-like', NULL, NULL, 'PH_CpORP2-like', 10832),
(10833, 'cd13882', NULL, 'CuRO_2_Tv-LCC_like', NULL, NULL, 'CuRO_2_Tv-LCC_like', 10833),
(10834, 'cd16637', NULL, 'mRING-HC-C3HC3D_LNX1_like', NULL, NULL, 'mRING-HC-C3HC3D_LNX1_like', 10834),
(10835, 'cd16039', NULL, 'PHD_SPP1', NULL, NULL, 'PHD_SPP1', 10835),
(10836, 'cd05087', NULL, 'PTKc_Aatyk1', NULL, NULL, 'PTKc_Aatyk1', 10836),
(10837, 'cd09506', NULL, 'SAM_Shank1,2,3', NULL, NULL, 'SAM_Shank1,2,3', 10837),
(10838, 'cd15933', NULL, '7tmB2_GPR133-like_Adhesion_V', NULL, NULL, '7tmB2_GPR133-like_Adhesion_V', 10838),
(10839, 'cd18721', NULL, 'PIN_ZNF451-like', NULL, NULL, 'PIN_ZNF451-like', 10839),
(10840, 'cd06618', NULL, 'PKc_MKK7', NULL, NULL, 'PKc_MKK7', 10840),
(10841, 'cd07454', NULL, 'CRD_LIN_17', NULL, NULL, 'CRD_LIN_17', 10841),
(10842, 'cd08253', NULL, 'zeta_crystallin', NULL, NULL, 'zeta_crystallin', 10842),
(10843, 'cd10443', NULL, 'GIY-YIG_HE_Tlr8p_PBC-V_like', NULL, NULL, 'GIY-YIG_HE_Tlr8p_PBC-V_like', 10843),
(10844, 'cd16418', NULL, 'HAD_Pase', NULL, NULL, 'HAD_Pase', 10844),
(10845, 'cd12455', NULL, 'RRM_like_Smg4_UPF3', NULL, NULL, 'RRM_like_Smg4_UPF3', 10845),
(10846, 'cd08223', NULL, 'STKc_Nek4', NULL, NULL, 'STKc_Nek4', 10846),
(10847, 'cd13992', NULL, 'PK_GC', NULL, NULL, 'PK_GC', 10847),
(10848, 'cd12329', NULL, 'RRM2_hnRNPD_like', NULL, NULL, 'RRM2_hnRNPD_like', 10848),
(10849, 'cd06592', NULL, 'GH31_NET37', NULL, NULL, 'GH31_NET37', 10849),
(10850, 'cd08525', NULL, 'Reelin_subrepeat_1', NULL, NULL, 'Reelin_subrepeat_1', 10850),
(10851, 'cd17377', NULL, 'MFS_SLC22A15', NULL, NULL, 'MFS_SLC22A15', 10851),
(10852, 'cd17426', NULL, 'MFS_MCT1', NULL, NULL, 'MFS_MCT1', 10852),
(10853, 'cd05074', NULL, 'PTKc_Tyro3', NULL, NULL, 'PTKc_Tyro3', 10853),
(10854, 'cd12127', NULL, 'PE-PC-PEC_beta', NULL, NULL, 'PE-PC-PEC_beta', 10854),
(10855, 'cd04486', NULL, 'YhcR_OBF_like', NULL, NULL, 'YhcR_OBF_like', 10855),
(10856, 'cd16167', NULL, 'OCRE_RBM10', NULL, NULL, 'OCRE_RBM10', 10856),
(10857, 'cd17530', NULL, 'REC_RocR', NULL, NULL, 'REC_RocR', 10857),
(10858, 'cd11901', NULL, 'SH3_Nck1_2', NULL, NULL, 'SH3_Nck1_2', 10858),
(10859, 'cd08543', NULL, 'SAM_PNT-ETS-2', NULL, NULL, 'SAM_PNT-ETS-2', 10859),
(10860, 'cd13708', NULL, 'PBP2_BvgS_like_1', NULL, NULL, 'PBP2_BvgS_like_1', 10860),
(10861, 'cd15464', NULL, 'HN_like', NULL, NULL, 'HN_like', 10861),
(10862, 'cd04259', NULL, 'AAK_AK-DapDC', NULL, NULL, 'AAK_AK-DapDC', 10862),
(10863, 'cd12878', NULL, 'SPRY2_RyR', NULL, NULL, 'SPRY2_RyR', 10863),
(10864, 'cd18948', NULL, 'bHLH-PAS_NCoA1_SRC1', NULL, NULL, 'bHLH-PAS_NCoA1_SRC1', 10864),
(10865, 'cd08475', NULL, 'PBP2_CrgA_like_6', NULL, NULL, 'PBP2_CrgA_like_6', 10865),
(10866, 'cd03882', NULL, 'M28_nicalin_like', NULL, NULL, 'M28_nicalin_like', 10866),
(10867, 'cd08817', NULL, 'CARD_RIG-I_r2', NULL, NULL, 'CARD_RIG-I_r2', 10867),
(10868, 'cd16935', NULL, 'HATPase_AgrC-ComD-like', NULL, NULL, 'HATPase_AgrC-ComD-like', 10868),
(10869, 'cd12895', NULL, 'SPRY_PRY_TRIM46', NULL, NULL, 'SPRY_PRY_TRIM46', 10869),
(10870, 'cd12498', NULL, 'RRM3_ACF', NULL, NULL, 'RRM3_ACF', 10870),
(10871, 'cd06558', NULL, 'crotonase-like', NULL, NULL, 'crotonase-like', 10871),
(10872, 'cd16160', NULL, 'spARS_like', NULL, NULL, 'spARS_like', 10872),
(10873, 'cd08730', NULL, 'RGS-like_3', NULL, NULL, 'RGS-like_3', 10873),
(10874, 'cd10315', NULL, 'CBM41_pullulanase', NULL, NULL, 'CBM41_pullulanase', 10874),
(10875, 'cd09608', NULL, 'M3B_PepF', NULL, NULL, 'M3B_PepF', 10875),
(10876, 'cd05325', NULL, 'carb_red_sniffer_like_SDR_c', NULL, NULL, 'carb_red_sniffer_like_SDR_c', 10876),
(10877, 'cd04415', NULL, 'NDPk7A', NULL, NULL, 'NDPk7A', 10877),
(10878, 'cd06810', NULL, 'PLPDE_III_ODC_DapDC_like', NULL, NULL, 'PLPDE_III_ODC_DapDC_like', 10878);
INSERT INTO "PUBLIC"."MODEL" VALUES
(10879, 'cd00776', NULL, 'AsxRS_core', NULL, NULL, 'AsxRS_core', 10879),
(10880, 'cd15928', NULL, '7tmA_GHSR-like', NULL, NULL, '7tmA_GHSR-like', 10880),
(10881, 'cd00636', NULL, 'TroA-like', NULL, NULL, 'TroA-like', 10881),
(10882, 'cd12788', NULL, 'RasGAP_plexin_D1', NULL, NULL, 'RasGAP_plexin_D1', 10882),
(10883, 'cd19977', NULL, 'PBP1_EndR-like', NULL, NULL, 'PBP1_EndR-like', 10883),
(10884, 'cd11823', NULL, 'SH3_Nostrin', NULL, NULL, 'SH3_Nostrin', 10884),
(10885, 'cd14825', NULL, 'TRAPPC2_sedlin', NULL, NULL, 'TRAPPC2_sedlin', 10885),
(10886, 'cd18003', NULL, 'DEXQc_SRCAP', NULL, NULL, 'DEXQc_SRCAP', 10886),
(10887, 'cd10551', NULL, 'PsrB', NULL, NULL, 'PsrB', 10887),
(10888, 'cd16493', NULL, 'RING-CH-C4HC3_NSE1', NULL, NULL, 'RING-CH-C4HC3_NSE1', 10888),
(10889, 'cd14317', NULL, 'UBA_DHX57', NULL, NULL, 'UBA_DHX57', 10889),
(10890, 'cd08383', NULL, 'C2A_RasGAP', NULL, NULL, 'C2A_RasGAP', 10890),
(10891, 'cd18652', NULL, 'CD_HP1gamma_Cbx3', NULL, NULL, 'CD_HP1gamma_Cbx3', 10891),
(10892, 'cd15708', NULL, 'ePHD_AF10', NULL, NULL, 'ePHD_AF10', 10892),
(10893, 'cd09999', NULL, 'Arginase-like_1', NULL, NULL, 'Arginase-like_1', 10893),
(10894, 'cd03018', NULL, 'PRX_AhpE_like', NULL, NULL, 'PRX_AhpE_like', 10894),
(10895, 'cd19776', NULL, 'Bbox2_TRIM25_C-IV', NULL, NULL, 'Bbox2_TRIM25_C-IV', 10895),
(10896, 'cd19373', NULL, 'UDG-F1_NsUNG-like', NULL, NULL, 'UDG-F1_NsUNG-like', 10896),
(10897, 'cd18792', NULL, 'SF2_C_RecG_TRCF', NULL, NULL, 'SF2_C_RecG_TRCF', 10897),
(10898, 'cd14389', NULL, 'UBA_AAA_plant', NULL, NULL, 'UBA_AAA_plant', 10898),
(10899, 'cd00046', NULL, 'SF2-N', NULL, NULL, 'SF2-N', 10899),
(10900, 'cd00397', NULL, 'DNA_BRE_C', NULL, NULL, 'DNA_BRE_C', 10900),
(10901, 'cd07423', NULL, 'MPP_Prp_like', NULL, NULL, 'MPP_Prp_like', 10901),
(10902, 'cd13975', NULL, 'PKc_Dusty', NULL, NULL, 'PKc_Dusty', 10902),
(10903, 'cd01987', NULL, 'USP_OKCHK', NULL, NULL, 'USP_OKCHK', 10903),
(10904, 'cd13921', NULL, 'Amicyanin', NULL, NULL, 'Amicyanin', 10904),
(10905, 'cd08441', NULL, 'PBP2_MetR', NULL, NULL, 'PBP2_MetR', 10905),
(10906, 'cd01259', NULL, 'PH_APBB1IP', NULL, NULL, 'PH_APBB1IP', 10906),
(10907, 'cd07548', NULL, 'P-type_ATPase-Cd_Zn_Co_like', NULL, NULL, 'P-type_ATPase-Cd_Zn_Co_like', 10907),
(10908, 'cd06940', NULL, 'NR_LBD_REV_ERB', NULL, NULL, 'NR_LBD_REV_ERB', 10908),
(10909, 'cd05486', NULL, 'Cathespin_E', NULL, NULL, 'Cathespin_E', 10909),
(10910, 'cd10370', NULL, 'SH2_Src_Src42', NULL, NULL, 'SH2_Src_Src42', 10910),
(10911, 'cd11886', NULL, 'SH3_BOI', NULL, NULL, 'SH3_BOI', 10911),
(10912, 'cd16599', NULL, 'RING-HC_TRIM35_C-IV', NULL, NULL, 'RING-HC_TRIM35_C-IV', 10912),
(10913, 'cd16963', NULL, 'CCE1', NULL, NULL, 'CCE1', 10913),
(10914, 'cd13634', NULL, 'PBP2_Sco4506', NULL, NULL, 'PBP2_Sco4506', 10914),
(10915, 'cd02413', NULL, '40S_S3_KH', NULL, NULL, '40S_S3_KH', 10915),
(10916, 'cd04281', NULL, 'ZnMc_BMP1_TLD', NULL, NULL, 'ZnMc_BMP1_TLD', 10916),
(10917, 'cd18363', NULL, 'BTB_POZ_KCTD3-like', NULL, NULL, 'BTB_POZ_KCTD3-like', 10917),
(10918, 'cd00884', NULL, 'beta_CA_cladeB', NULL, NULL, 'beta_CA_cladeB', 10918),
(10919, 'cd15468', NULL, 'HeV-G', NULL, NULL, 'HeV-G', 10919),
(10920, 'cd04607', NULL, 'CBS_pair_NTP_transferase_assoc', NULL, NULL, 'CBS_pair_NTP_transferase_assoc', 10920),
(10921, 'cd16091', NULL, 'Ig_HHLA2', NULL, NULL, 'Ig_HHLA2', 10921),
(10922, 'cd01127', NULL, 'TrwB', NULL, NULL, 'TrwB', 10922),
(10923, 'cd12618', NULL, 'RRM2_TIA1', NULL, NULL, 'RRM2_TIA1', 10923),
(10924, 'cd00980', NULL, 'FwdC/FmdC', NULL, NULL, 'FwdC/FmdC', 10924),
(10925, 'cd07165', NULL, 'NR_DBD_DmE78_like', NULL, NULL, 'NR_DBD_DmE78_like', 10925),
(10926, 'cd16536', NULL, 'RING-HC_RNF10', NULL, NULL, 'RING-HC_RNF10', 10926),
(10927, 'cd10043', NULL, 'Reelin_repeat_7_subrepeat_1', NULL, NULL, 'Reelin_repeat_7_subrepeat_1', 10927),
(10928, 'cd00985', NULL, 'Maf_Ham1', NULL, NULL, 'Maf_Ham1', 10928),
(10929, 'cd05037', NULL, 'PTK_Jak_rpt1', NULL, NULL, 'PTK_Jak_rpt1', 10929),
(10930, 'cd16506', NULL, 'RING-HC_DTX3_like', NULL, NULL, 'RING-HC_DTX3_like', 10930),
(10931, 'cd21409', NULL, '1B_cv_Nsp13-like', NULL, NULL, '1B_cv_Nsp13-like', 10931);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(10932, 'cd00821', NULL, 'PH', NULL, NULL, 'PH', 10932),
(10933, 'cd03356', NULL, 'LbH_G1P_AT_C_like', NULL, NULL, 'LbH_G1P_AT_C_like', 10933),
(10934, 'cd09546', NULL, 'SAM_EPH-A5', NULL, NULL, 'SAM_EPH-A5', 10934),
(10935, 'cd03580', NULL, 'NTR_Sfrp1_like', NULL, NULL, 'NTR_Sfrp1_like', 10935),
(10936, 'cd04248', NULL, 'AAK_AK-Ectoine', NULL, NULL, 'AAK_AK-Ectoine', 10936),
(10937, 'cd09179', NULL, 'PLDc_N_DEXD_a', NULL, NULL, 'PLDc_N_DEXD_a', 10937),
(10938, 'cd19936', NULL, 'REC_OmpR_ChvI-like', NULL, NULL, 'REC_OmpR_ChvI-like', 10938),
(10939, 'cd14286', NULL, 'UBA_UBP24', NULL, NULL, 'UBA_UBP24', 10939),
(10940, 'cd08881', NULL, 'RHO_alpha_C_NDO-like', NULL, NULL, 'RHO_alpha_C_NDO-like', 10940),
(10941, 'cd01189', NULL, 'INT_ICEBs1_C_like', NULL, NULL, 'INT_ICEBs1_C_like', 10941),
(10942, 'cd15138', NULL, '7tmA_LRR_GPR', NULL, NULL, '7tmA_LRR_GPR', 10942),
(10943, 'cd01371', NULL, 'KISc_KIF3', NULL, NULL, 'KISc_KIF3', 10943),
(10944, 'cd07147', NULL, 'ALDH_F21_RNP123', NULL, NULL, 'ALDH_F21_RNP123', 10944),
(10945, 'cd11905', NULL, 'SH3_Tec', NULL, NULL, 'SH3_Tec', 10945),
(10946, 'cd07521', NULL, 'HAD_FCP1-like', NULL, NULL, 'HAD_FCP1-like', 10946),
(10947, 'cd08866', NULL, 'SRPBCC_11', NULL, NULL, 'SRPBCC_11', 10947),
(10948, 'cd17455', NULL, 'MFS_FLVCR1', NULL, NULL, 'MFS_FLVCR1', 10948),
(10949, 'cd02426', NULL, 'Pol_gamma_b_Cterm', NULL, NULL, 'Pol_gamma_b_Cterm', 10949),
(10950, 'cd07381', NULL, 'MPP_CapA', NULL, NULL, 'MPP_CapA', 10950),
(10951, 'cd17992', NULL, 'DEXHc_RecG', NULL, NULL, 'DEXHc_RecG', 10951),
(10952, 'cd19557', NULL, 'serpinA11', NULL, NULL, 'serpinA11', 10952),
(10953, 'cd10580', NULL, 'TNFRSF10', NULL, NULL, 'TNFRSF10', 10953),
(10954, 'cd16765', NULL, 'RING-HC_TIF1beta', NULL, NULL, 'RING-HC_TIF1beta', 10954),
(10955, 'cd17332', NULL, 'MFS_MelB_like', NULL, NULL, 'MFS_MelB_like', 10955),
(10956, 'cd08481', NULL, 'PBP2_GcdR_like', NULL, NULL, 'PBP2_GcdR_like', 10956),
(10957, 'cd10353', NULL, 'SH2_Nterm_RasGAP', NULL, NULL, 'SH2_Nterm_RasGAP', 10957),
(10958, 'cd14235', NULL, 'GAT_GGA_fungi', NULL, NULL, 'GAT_GGA_fungi', 10958),
(10959, 'cd20214', NULL, 'PFM_CEL-III-like', NULL, NULL, 'PFM_CEL-III-like', 10959),
(10960, 'cd19819', NULL, 'Bbox1_ZFYVE1_rpt1', NULL, NULL, 'Bbox1_ZFYVE1_rpt1', 10960),
(10961, 'cd03277', NULL, 'ABC_SMC5_euk', NULL, NULL, 'ABC_SMC5_euk', 10961),
(10962, 'cd06194', NULL, 'FNR_N-term_Iron_sulfur_binding', NULL, NULL, 'FNR_N-term_Iron_sulfur_binding', 10962),
(10963, 'cd10394', NULL, 'SH2_RIN2', NULL, NULL, 'SH2_RIN2', 10963),
(10964, 'cd15625', NULL, 'PHD_TIF1delta', NULL, NULL, 'PHD_TIF1delta', 10964),
(10965, 'cd13583', NULL, 'PBP2_AlgQ_like_4', NULL, NULL, 'PBP2_AlgQ_like_4', 10965),
(10966, 'cd07201', NULL, 'cPLA2_Grp-IVB-IVD-IVE-IVF', NULL, NULL, 'cPLA2_Grp-IVB-IVD-IVE-IVF', 10966),
(10967, 'cd14315', NULL, 'UBA1_UBAP1', NULL, NULL, 'UBA1_UBAP1', 10967),
(10968, 'cd07346', NULL, 'ABC_6TM_exporters', NULL, NULL, 'ABC_6TM_exporters', 10968),
(10969, 'cd02191', NULL, 'FtsZ_CetZ-like', NULL, NULL, 'FtsZ_CetZ-like', 10969),
(10970, 'cd01448', NULL, 'TST_Repeat_1', NULL, NULL, 'TST_Repeat_1', 10970),
(10971, 'cd12569', NULL, 'RRM4_RBM19', NULL, NULL, 'RRM4_RBM19', 10971),
(10972, 'cd01260', NULL, 'PH_CNK_mammalian-like', NULL, NULL, 'PH_CNK_mammalian-like', 10972),
(10973, 'cd15956', NULL, '7tmA_OR52W-like', NULL, NULL, '7tmA_OR52W-like', 10973),
(10974, 'cd17214', NULL, 'RA_CYR1_like', NULL, NULL, 'RA_CYR1_like', 10974),
(10975, 'cd10511', NULL, 'Zn-ribbon_TFS', NULL, NULL, 'Zn-ribbon_TFS', 10975),
(10976, 'cd08073', NULL, 'MPN_NLPC_P60', NULL, NULL, 'MPN_NLPC_P60', 10976),
(10977, 'cd05710', NULL, 'SIS_1', NULL, NULL, 'SIS_1', 10977),
(10978, 'cd00223', NULL, 'TOPRIM_TopoIIB_SPO', NULL, NULL, 'TOPRIM_TopoIIB_SPO', 10978),
(10979, 'cd19804', NULL, 'Bbox1_TRIM19_C-V', NULL, NULL, 'Bbox1_TRIM19_C-V', 10979),
(10980, 'cd09613', NULL, 'Jacalin_metallopeptidase_like', NULL, NULL, 'Jacalin_metallopeptidase_like', 10980),
(10981, 'cd02867', NULL, 'PseudoU_synth_TruB_4', NULL, NULL, 'PseudoU_synth_TruB_4', 10981),
(10982, 'cd17067', NULL, 'RBD2_RGS12_like', NULL, NULL, 'RBD2_RGS12_like', 10982);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(10983, 'cd13998', NULL, 'STKc_TGFbR-like', NULL, NULL, 'STKc_TGFbR-like', 10983),
(10984, 'cd03128', NULL, 'GAT_1', NULL, NULL, 'GAT_1', 10984),
(10985, 'cd04582', NULL, 'CBS_pair_ABC_OpuCA_assoc', NULL, NULL, 'CBS_pair_ABC_OpuCA_assoc', 10985),
(10986, 'cd17758', NULL, 'MCM7', NULL, NULL, 'MCM7', 10986),
(10987, 'cd04100', NULL, 'Asp_Lys_Asn_RS_N', NULL, NULL, 'Asp_Lys_Asn_RS_N', 10987),
(10988, 'cd05368', NULL, 'DHRS6_like_SDR_c', NULL, NULL, 'DHRS6_like_SDR_c', 10988),
(10989, 'cd10943', NULL, 'CE4_NodB', NULL, NULL, 'CE4_NodB', 10989),
(10990, 'cd21528', NULL, 'CoV_Nsp14', NULL, NULL, 'CoV_Nsp14', 10990),
(10991, 'cd07329', NULL, 'M56_like', NULL, NULL, 'M56_like', 10991),
(10992, 'cd18263', NULL, 'BTB2_POZ_KLHL33', NULL, NULL, 'BTB2_POZ_KLHL33', 10992),
(10993, 'cd14418', NULL, 'CUE_DMA_DMRTA2', NULL, NULL, 'CUE_DMA_DMRTA2', 10993),
(10994, 'cd11515', NULL, 'SLC6sbd_NTT4-like', NULL, NULL, 'SLC6sbd_NTT4-like', 10994),
(10995, 'cd09319', NULL, 'TDT_like_1', NULL, NULL, 'TDT_like_1', 10995),
(10996, 'cd19870', NULL, 'DSRM_SON-like', NULL, NULL, 'DSRM_SON-like', 10996),
(10997, 'cd03710', NULL, 'BipA_TypA_C', NULL, NULL, 'BipA_TypA_C', 10997),
(10998, 'cd19938', NULL, 'REC_OmpR_BaeR-like', NULL, NULL, 'REC_OmpR_BaeR-like', 10998),
(10999, 'cd17095', NULL, 'FERM_F0_kindlins', NULL, NULL, 'FERM_F0_kindlins', 10999),
(11000, 'cd00674', NULL, 'LysRS_core_class_I', NULL, NULL, 'LysRS_core_class_I', 11000),
(11001, 'cd01839', NULL, 'SGNH_arylesterase_like', NULL, NULL, 'SGNH_arylesterase_like', 11001),
(11002, 'cd05799', NULL, 'PGM2', NULL, NULL, 'PGM2', 11002),
(11003, 'cd11390', NULL, 'bHLH_TS', NULL, NULL, 'bHLH_TS', 11003),
(11004, 'cd05778', NULL, 'DNA_polB_zeta_exo', NULL, NULL, 'DNA_polB_zeta_exo', 11004),
(11005, 'cd00175', NULL, 'SNc', NULL, NULL, 'SNc', 11005),
(11006, 'cd14390', NULL, 'UBA_II_E2_UBE2K', NULL, NULL, 'UBA_II_E2_UBE2K', 11006),
(11007, 'cd01920', NULL, 'cyclophilin_EcCYP_like', NULL, NULL, 'cyclophilin_EcCYP_like', 11007),
(11008, 'cd17228', NULL, 'RA_ARAP3', NULL, NULL, 'RA_ARAP3', 11008),
(11009, 'cd08555', NULL, 'PI-PLCc_GDPD_SF', NULL, NULL, 'PI-PLCc_GDPD_SF', 11009),
(11010, 'cd11402', NULL, 'bHLHzip_Mnt', NULL, NULL, 'bHLHzip_Mnt', 11010),
(11011, 'cd05390', NULL, 'HypB', NULL, NULL, 'HypB', 11011),
(11012, 'cd15835', NULL, 'TNFRSF1B_teleost', NULL, NULL, 'TNFRSF1B_teleost', 11012),
(11013, 'cd20477', NULL, 'Cas13b_Pb-like', NULL, NULL, 'Cas13b_Pb-like', 11013),
(11014, 'cd11320', NULL, 'AmyAc_AmyMalt_CGTase_like', NULL, NULL, 'AmyAc_AmyMalt_CGTase_like', 11014),
(11015, 'cd03766', NULL, 'Gn_AT_II_novel', NULL, NULL, 'Gn_AT_II_novel', 11015),
(11016, 'cd21589', NULL, 'betaCoV_RdRp', NULL, NULL, 'betaCoV_RdRp', 11016),
(11017, 'cd13944', NULL, 'lytB_ispH', NULL, NULL, 'lytB_ispH', 11017),
(11018, 'cd01616', NULL, 'TGS', NULL, NULL, 'TGS', 11018),
(11019, 'cd06433', NULL, 'GT_2_WfgS_like', NULL, NULL, 'GT_2_WfgS_like', 11019),
(11020, 'cd06656', NULL, 'STKc_PAK3', NULL, NULL, 'STKc_PAK3', 11020),
(11021, 'cd10456', NULL, 'GIY-YIG_UPF0213', NULL, NULL, 'GIY-YIG_UPF0213', 11021),
(11022, 'cd14416', NULL, 'UBA_NACAD', NULL, NULL, 'UBA_NACAD', 11022),
(11023, 'cd12030', NULL, 'SH3_DLG4', NULL, NULL, 'SH3_DLG4', 11023),
(11024, 'cd05229', NULL, 'SDR_a3', NULL, NULL, 'SDR_a3', 11024),
(11025, 'cd16136', NULL, 'RA_MRL_Lpd', NULL, NULL, 'RA_MRL_Lpd', 11025),
(11026, 'cd05909', NULL, 'AAS_C', NULL, NULL, 'AAS_C', 11026),
(11027, 'cd13304', NULL, 'PH2-like_Rtt106', NULL, NULL, 'PH2-like_Rtt106', 11027),
(11028, 'cd08770', NULL, 'DAP_dppA_3', NULL, NULL, 'DAP_dppA_3', 11028),
(11029, 'cd14257', NULL, 'CttA_X', NULL, NULL, 'CttA_X', 11029),
(11030, 'cd17913', NULL, 'DEXQc_Suv3', NULL, NULL, 'DEXQc_Suv3', 11030),
(11031, 'cd06992', NULL, 'cupin_GDO-like_C', NULL, NULL, 'cupin_GDO-like_C', 11031),
(11032, 'cd14122', NULL, 'STKc_VRK1', NULL, NULL, 'STKc_VRK1', 11032),
(11033, 'cd03699', NULL, 'EF4_II', NULL, NULL, 'EF4_II', 11033),
(11034, 'cd07313', NULL, 'terB_like_2', NULL, NULL, 'terB_like_2', 11034),
(11035, 'cd06997', NULL, 'cupin_MelR-like_N', NULL, NULL, 'cupin_MelR-like_N', 11035);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(11036, 'cd15119', NULL, '7tmA_GPR1', NULL, NULL, '7tmA_GPR1', 11036),
(11037, 'cd20004', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 11037),
(11038, 'cd19108', NULL, 'AKR_AKR1C1-35', NULL, NULL, 'AKR_AKR1C1-35', 11038),
(11039, 'cd03441', NULL, 'R_hydratase_like', NULL, NULL, 'R_hydratase_like', 11039),
(11040, 'cd10345', NULL, 'SH2_C-SH2_Zap70_Syk_like', NULL, NULL, 'SH2_C-SH2_Zap70_Syk_like', 11040),
(11041, 'cd17623', NULL, 'REC_OmpR_CpxR', NULL, NULL, 'REC_OmpR_CpxR', 11041),
(11042, 'cd18757', NULL, 'PIN_MtVapC3-like', NULL, NULL, 'PIN_MtVapC3-like', 11042),
(11043, 'cd12643', NULL, 'RRM_CFIm68', NULL, NULL, 'RRM_CFIm68', 11043),
(11044, 'cd08266', NULL, 'Zn_ADH_like1', NULL, NULL, 'Zn_ADH_like1', 11044),
(11045, 'cd08822', NULL, 'FMT_core_like_2', NULL, NULL, 'FMT_core_like_2', 11045),
(11046, 'cd01242', NULL, 'PH_ROCK', NULL, NULL, 'PH_ROCK', 11046),
(11047, 'cd20293', NULL, 'cupin_HutD_N', NULL, NULL, 'cupin_HutD_N', 11047),
(11048, 'cd09636', NULL, 'Cas1_I-II-III', NULL, NULL, 'Cas1_I-II-III', 11048),
(11049, 'cd10390', NULL, 'SH2_SHD', NULL, NULL, 'SH2_SHD', 11049),
(11050, 'cd07502', NULL, 'HAD_PNKP-C', NULL, NULL, 'HAD_PNKP-C', 11050),
(11051, 'cd15149', NULL, '7tmA_P2Y14', NULL, NULL, '7tmA_P2Y14', 11051),
(11052, 'cd04370', NULL, 'BAH', NULL, NULL, 'BAH', 11052),
(11053, 'cd17198', NULL, 'FERM_F1_FRMD6', NULL, NULL, 'FERM_F1_FRMD6', 11053),
(11054, 'cd15150', NULL, '7tmA_P2Y12', NULL, NULL, '7tmA_P2Y12', 11054),
(11055, 'cd11688', NULL, 'THUMP', NULL, NULL, 'THUMP', 11055),
(11056, 'cd16840', NULL, 'toxin_MLD', NULL, NULL, 'toxin_MLD', 11056),
(11057, 'cd05068', NULL, 'PTKc_Frk_like', NULL, NULL, 'PTKc_Frk_like', 11057),
(11058, 'cd06247', NULL, 'M14_CPO', NULL, NULL, 'M14_CPO', 11058),
(11059, 'cd16929', NULL, 'HATPase_PDK-like', NULL, NULL, 'HATPase_PDK-like', 11059),
(11060, 'cd19725', NULL, 'bHLH_TS_OLIG2_like', NULL, NULL, 'bHLH_TS_OLIG2_like', 11060),
(11061, 'cd00050', NULL, 'MH2', NULL, NULL, 'MH2', 11061),
(11062, 'cd04317', NULL, 'EcAspRS_like_N', NULL, NULL, 'EcAspRS_like_N', 11062),
(11063, 'cd01182', NULL, 'INT_RitC_C_like', NULL, NULL, 'INT_RitC_C_like', 11063),
(11064, 'cd06245', NULL, 'M14_CPD_III', NULL, NULL, 'M14_CPD_III', 11064),
(11065, 'cd13729', NULL, 'PBP2_iGluR_AMPA_GluR1', NULL, NULL, 'PBP2_iGluR_AMPA_GluR1', 11065),
(11066, 'cd10017', NULL, 'B3_DNA', NULL, NULL, 'B3_DNA', 11066),
(11067, 'cd13422', NULL, 'TNFRSF5_teleost', NULL, NULL, 'TNFRSF5_teleost', 11067),
(11068, 'cd07933', NULL, 'RHD-n_c-Rel', NULL, NULL, 'RHD-n_c-Rel', 11068),
(11069, 'cd00775', NULL, 'LysRS_core', NULL, NULL, 'LysRS_core', 11069),
(11070, 'cd05924', NULL, 'FACL_like_5', NULL, NULL, 'FACL_like_5', 11070),
(11071, 'cd12343', NULL, 'RRM1_2_CoAA_like', NULL, NULL, 'RRM1_2_CoAA_like', 11071),
(11072, 'cd00613', NULL, 'GDC-P', NULL, NULL, 'GDC-P', 11072),
(11073, 'cd12909', NULL, 'SPRY_RanBP9_10', NULL, NULL, 'SPRY_RanBP9_10', 11073),
(11074, 'cd02661', NULL, 'Peptidase_C19E', NULL, NULL, 'Peptidase_C19E', 11074),
(11075, 'cd12787', NULL, 'RasGAP_plexin_B', NULL, NULL, 'RasGAP_plexin_B', 11075),
(11076, 'cd04167', NULL, 'Snu114p', NULL, NULL, 'Snu114p', 11076),
(11077, 'cd06239', NULL, 'M14-like', NULL, NULL, 'M14-like', 11077),
(11078, 'cd00105', NULL, 'KH-I', NULL, NULL, 'KH-I', 11078),
(11079, 'cd14605', NULL, 'PTPc-N11', NULL, NULL, 'PTPc-N11', 11079),
(11080, 'cd15717', NULL, 'FYVE_PKHF', NULL, NULL, 'FYVE_PKHF', 11080),
(11081, 'cd10468', NULL, 'Four-jointed-like_C', NULL, NULL, 'Four-jointed-like_C', 11081),
(11082, 'cd03308', NULL, 'CmuA_CmuC_like', NULL, NULL, 'CmuA_CmuC_like', 11082),
(11083, 'cd18402', NULL, 'BTB_POZ_KCNA1', NULL, NULL, 'BTB_POZ_KCNA1', 11083),
(11084, 'cd04032', NULL, 'C2_Perforin', NULL, NULL, 'C2_Perforin', 11084),
(11085, 'cd12397', NULL, 'RRM2_Nop13p_fungi', NULL, NULL, 'RRM2_Nop13p_fungi', 11085),
(11086, 'cd07458', NULL, 'CRD_FZ1_like', NULL, NULL, 'CRD_FZ1_like', 11086),
(11087, 'cd00158', NULL, 'RHOD', NULL, NULL, 'RHOD', 11087),
(11088, 'cd08245', NULL, 'CAD', NULL, NULL, 'CAD', 11088),
(11089, 'cd12444', NULL, 'RRM1_CPEBs', NULL, NULL, 'RRM1_CPEBs', 11089);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(11090, 'cd18756', NULL, 'PIN_MtVapC15-VapC11-like', NULL, NULL, 'PIN_MtVapC15-VapC11-like', 11090),
(11091, 'cd02194', NULL, 'ThiL', NULL, NULL, 'ThiL', 11091),
(11092, 'cd16696', NULL, 'RING-CH-C4HC3_NFX1', NULL, NULL, 'RING-CH-C4HC3_NFX1', 11092),
(11093, 'cd17764', NULL, 'MTAP_SsMTAPI_like', NULL, NULL, 'MTAP_SsMTAPI_like', 11093),
(11094, 'cd14413', NULL, 'UBA_FAF1', NULL, NULL, 'UBA_FAF1', 11094),
(11095, 'cd14032', NULL, 'STKc_WNK2_like', NULL, NULL, 'STKc_WNK2_like', 11095),
(11096, 'cd01409', NULL, 'SIRT4', NULL, NULL, 'SIRT4', 11096),
(11097, 'cd17136', NULL, 'RBD1_RGS12', NULL, NULL, 'RBD1_RGS12', 11097),
(11098, 'cd16335', NULL, 'MukF_N', NULL, NULL, 'MukF_N', 11098),
(11099, 'cd04022', NULL, 'C2A_MCTP_PRT_plant', NULL, NULL, 'C2A_MCTP_PRT_plant', 11099),
(11100, 'cd02036', NULL, 'MinD', NULL, NULL, 'MinD', 11100),
(11101, 'cd03133', NULL, 'GATase1_ES1', NULL, NULL, 'GATase1_ES1', 11101),
(11102, 'cd05749', NULL, 'Ig2_Axl_Tyro3_like', NULL, NULL, 'Ig2_Axl_Tyro3_like', 11102),
(11103, 'cd08898', NULL, 'SRPBCC_CalC_Aha1-like_5', NULL, NULL, 'SRPBCC_CalC_Aha1-like_5', 11103),
(11104, 'cd08332', NULL, 'CARD_CASP2', NULL, NULL, 'CARD_CASP2', 11104),
(11105, 'cd18112', NULL, 'ATP-synt_V_A-type_beta_C', NULL, NULL, 'ATP-synt_V_A-type_beta_C', 11105),
(11106, 'cd06581', NULL, 'TM_PBP1_LivM_like', NULL, NULL, 'TM_PBP1_LivM_like', 11106),
(11107, 'cd13592', NULL, 'PBP2_HisGL2', NULL, NULL, 'PBP2_HisGL2', 11107),
(11108, 'cd10975', NULL, 'CE4_CDA_like_2', NULL, NULL, 'CE4_CDA_like_2', 11108),
(11109, 'cd18234', NULL, 'BTB_POZ_KLHL1-like', NULL, NULL, 'BTB_POZ_KLHL1-like', 11109),
(11110, 'cd07255', NULL, 'VOC_BsCatE_like_N', NULL, NULL, 'VOC_BsCatE_like_N', 11110),
(11111, 'cd18482', NULL, 'BACK_KBTBD6_7', NULL, NULL, 'BACK_KBTBD6_7', 11111),
(11112, 'cd11417', NULL, 'bHLH_TS_PTF1A', NULL, NULL, 'bHLH_TS_PTF1A', 11112),
(11113, 'cd19117', NULL, 'AKR_AKR3A1-2', NULL, NULL, 'AKR_AKR3A1-2', 11113),
(11114, 'cd12464', NULL, 'RRM_G3BP2', NULL, NULL, 'RRM_G3BP2', 11114),
(11115, 'cd18714', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 11115),
(11116, 'cd07692', NULL, 'Ig_CD3_epsilon', NULL, NULL, 'Ig_CD3_epsilon', 11116),
(11117, 'cd18566', NULL, 'ABC_6TM_PrtD_LapB_HlyB_like', NULL, NULL, 'ABC_6TM_PrtD_LapB_HlyB_like', 11117),
(11118, 'cd18322', NULL, 'BTB_POZ_SKP1', NULL, NULL, 'BTB_POZ_SKP1', 11118),
(11119, 'cd00555', NULL, 'Maf', NULL, NULL, 'Maf', 11119),
(11120, 'cd08547', NULL, 'Type_II_cohesin', NULL, NULL, 'Type_II_cohesin', 11120),
(11121, 'cd02870', NULL, 'PseudoU_synth_RsuA_like', NULL, NULL, 'PseudoU_synth_RsuA_like', 11121),
(11122, 'cd04226', NULL, 'CuRO_1_FV_like', NULL, NULL, 'CuRO_1_FV_like', 11122),
(11123, 'cd05600', NULL, 'STKc_Sid2p_like', NULL, NULL, 'STKc_Sid2p_like', 11123),
(11124, 'cd15546', NULL, 'PHD_PHF13_like', NULL, NULL, 'PHD_PHF13_like', 11124),
(11125, 'cd20227', NULL, 'PFM_CPE-like', NULL, NULL, 'PFM_CPE-like', 11125),
(11126, 'cd15871', NULL, 'R-SNARE_VAMP7', NULL, NULL, 'R-SNARE_VAMP7', 11126),
(11127, 'cd12282', NULL, 'RRM2_TatSF1_like', NULL, NULL, 'RRM2_TatSF1_like', 11127),
(11128, 'cd11806', NULL, 'SH3_PRMT2', NULL, NULL, 'SH3_PRMT2', 11128),
(11129, 'cd13224', NULL, 'PH_Net1', NULL, NULL, 'PH_Net1', 11129),
(11130, 'cd11434', NULL, 'bHLH-PAS_SIM', NULL, NULL, 'bHLH-PAS_SIM', 11130),
(11131, 'cd05780', NULL, 'DNA_polB_Kod1_like_exo', NULL, NULL, 'DNA_polB_Kod1_like_exo', 11131),
(11132, 'cd16965', NULL, 'Alpha_kinase_ChaK', NULL, NULL, 'Alpha_kinase_ChaK', 11132),
(11133, 'cd01625', NULL, 'HAD_PNP', NULL, NULL, 'HAD_PNP', 11133),
(11134, 'cd03857', NULL, 'M14-like', NULL, NULL, 'M14-like', 11134),
(11135, 'cd07333', NULL, 'M48C_bepA_like', NULL, NULL, 'M48C_bepA_like', 11135),
(11136, 'cd11306', NULL, 'M35_peptidyl-Lys', NULL, NULL, 'M35_peptidyl-Lys', 11136),
(11137, 'cd14318', NULL, 'UBA_Cbl_like', NULL, NULL, 'UBA_Cbl_like', 11137),
(11138, 'cd05312', NULL, 'NAD_bind_1_malic_enz', NULL, NULL, 'NAD_bind_1_malic_enz', 11138),
(11139, 'cd09605', NULL, 'M3A', NULL, NULL, 'M3A', 11139),
(11140, 'cd00468', NULL, 'HIT_like', NULL, NULL, 'HIT_like', 11140);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(11141, 'cd05657', NULL, 'M42_glucanase_like', NULL, NULL, 'M42_glucanase_like', 11141),
(11142, 'cd11539', NULL, 'NTP-PPase_u2', NULL, NULL, 'NTP-PPase_u2', 11142),
(11143, 'cd09264', NULL, 'AP_Syp1_MHD', NULL, NULL, 'AP_Syp1_MHD', 11143),
(11144, 'cd16404', NULL, 'pNOB8_ParB_N_like', NULL, NULL, 'pNOB8_ParB_N_like', 11144),
(11145, 'cd16650', NULL, 'SP-RING_PIAS_like', NULL, NULL, 'SP-RING_PIAS_like', 11145),
(11146, 'cd05330', NULL, 'cyclohexanol_reductase_SDR_c', NULL, NULL, 'cyclohexanol_reductase_SDR_c', 11146),
(11147, 'cd05326', NULL, 'secoisolariciresinol-DH_like_SDR_c', NULL, NULL, 'secoisolariciresinol-DH_like_SDR_c', 11147),
(11148, 'cd05381', NULL, 'CAP_PR-1', NULL, NULL, 'CAP_PR-1', 11148),
(11149, 'cd00347', NULL, 'Flavin_utilizing_monoxygenases', NULL, NULL, 'Flavin_utilizing_monoxygenases', 11149),
(11150, 'cd02431', NULL, 'Ferritin_CCC1_C', NULL, NULL, 'Ferritin_CCC1_C', 11150),
(11151, 'cd15823', NULL, 'SPRY_PRY_TRIM6', NULL, NULL, 'SPRY_PRY_TRIM6', 11151),
(11152, 'cd18301', NULL, 'BTB1_POZ_IBtk', NULL, NULL, 'BTB1_POZ_IBtk', 11152),
(11153, 'cd06937', NULL, 'NR_LBD_RAR', NULL, NULL, 'NR_LBD_RAR', 11153),
(11154, 'cd11707', NULL, 'DHR2_DOCK1', NULL, NULL, 'DHR2_DOCK1', 11154),
(11155, 'cd17003', NULL, 'CID_Rtt103', NULL, NULL, 'CID_Rtt103', 11155),
(11156, 'cd02975', NULL, 'PfPDO_like_N', NULL, NULL, 'PfPDO_like_N', 11156),
(11157, 'cd17649', NULL, 'A_NRPS_PvdJ-like', NULL, NULL, 'A_NRPS_PvdJ-like', 11157),
(11158, 'cd06405', NULL, 'PB1_Mekk2_3', NULL, NULL, 'PB1_Mekk2_3', 11158),
(11159, 'cd13384', NULL, 'PH_Gab2_2', NULL, NULL, 'PH_Gab2_2', 11159),
(11160, 'cd16872', NULL, 'ARID_HMGB9-like', NULL, NULL, 'ARID_HMGB9-like', 11160),
(11161, 'cd07069', NULL, 'NR_LBD_Lrh-1', NULL, NULL, 'NR_LBD_Lrh-1', 11161),
(11162, 'cd08172', NULL, 'GlyDH-like', NULL, NULL, 'GlyDH-like', 11162),
(11163, 'cd01898', NULL, 'Obg', NULL, NULL, 'Obg', 11163),
(11164, 'cd05917', NULL, 'FACL_like_2', NULL, NULL, 'FACL_like_2', 11164),
(11165, 'cd10802', NULL, 'YdjC_TTHB029_like', NULL, NULL, 'YdjC_TTHB029_like', 11165),
(11166, 'cd03755', NULL, 'proteasome_alpha_type_7', NULL, NULL, 'proteasome_alpha_type_7', 11166),
(11167, 'cd10238', NULL, 'HSPA14-like_NBD', NULL, NULL, 'HSPA14-like_NBD', 11167),
(11168, 'cd18173', NULL, 'M14_CP_bacteria', NULL, NULL, 'M14_CP_bacteria', 11168),
(11169, 'cd02636', NULL, 'R3H_sperm-antigen', NULL, NULL, 'R3H_sperm-antigen', 11169),
(11170, 'cd03153', NULL, 'PHEMX_like_LEL', NULL, NULL, 'PHEMX_like_LEL', 11170),
(11171, 'cd16287', NULL, 'CphS_ImiS-like_MBL-B2', NULL, NULL, 'CphS_ImiS-like_MBL-B2', 11171),
(11172, 'cd15542', NULL, 'PHD_UBR7', NULL, NULL, 'PHD_UBR7', 11172),
(11173, 'cd04862', NULL, 'PaeLigD_Pol_like', NULL, NULL, 'PaeLigD_Pol_like', 11173),
(11174, 'cd08895', NULL, 'SRPBCC_CalC_Aha1-like_2', NULL, NULL, 'SRPBCC_CalC_Aha1-like_2', 11174),
(11175, 'cd04142', NULL, 'RRP22', NULL, NULL, 'RRP22', 11175),
(11176, 'cd13620', NULL, 'PBP2_GltS', NULL, NULL, 'PBP2_GltS', 11176),
(11177, 'cd11695', NULL, 'DHR2_DOCK_C', NULL, NULL, 'DHR2_DOCK_C', 11177),
(11178, 'cd14600', NULL, 'PTPc-N3', NULL, NULL, 'PTPc-N3', 11178),
(11179, 'cd01743', NULL, 'GATase1_Anthranilate_Synthase', NULL, NULL, 'GATase1_Anthranilate_Synthase', 11179),
(11180, 'cd04898', NULL, 'ACT_ACR-like_4', NULL, NULL, 'ACT_ACR-like_4', 11180),
(11181, 'cd02605', NULL, 'HAD_SPP', NULL, NULL, 'HAD_SPP', 11181),
(11182, 'cd12037', NULL, 'SH3_MPP2', NULL, NULL, 'SH3_MPP2', 11182),
(11183, 'cd18694', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 11183),
(11184, 'cd07296', NULL, 'PX_PLD1', NULL, NULL, 'PX_PLD1', 11184),
(11185, 'cd05096', NULL, 'PTKc_DDR1', NULL, NULL, 'PTKc_DDR1', 11185),
(11186, 'cd12573', NULL, 'RRM2_MSI2', NULL, NULL, 'RRM2_MSI2', 11186),
(11187, 'cd16379', NULL, 'YitT_C_like', NULL, NULL, 'YitT_C_like', 11187),
(11188, 'cd04164', NULL, 'trmE', NULL, NULL, 'trmE', 11188),
(11189, 'cd19888', NULL, 'DSRM_STAU2_rpt5', NULL, NULL, 'DSRM_STAU2_rpt5', 11189),
(11190, 'cd11363', NULL, 'RNase_PH_PNPase_1', NULL, NULL, 'RNase_PH_PNPase_1', 11190),
(11191, 'cd08159', NULL, 'APC10-like', NULL, NULL, 'APC10-like', 11191);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(11192, 'cd14699', NULL, 'bZIP_Fos_like', NULL, NULL, 'bZIP_Fos_like', 11192),
(11193, 'cd00128', NULL, 'PIN_FEN1_EXO1-like', NULL, NULL, 'PIN_FEN1_EXO1-like', 11193),
(11194, 'cd03231', NULL, 'ABC_CcmA_heme_exporter', NULL, NULL, 'ABC_CcmA_heme_exporter', 11194),
(11195, 'cd08438', NULL, 'PBP2_CidR', NULL, NULL, 'PBP2_CidR', 11195),
(11196, 'cd08683', NULL, 'C2_C2cd3', NULL, NULL, 'C2_C2cd3', 11196),
(11197, 'cd15293', NULL, '7tmC_GPR158-like', NULL, NULL, '7tmC_GPR158-like', 11197),
(11198, 'cd13199', NULL, 'FERM_C2_MyoVII', NULL, NULL, 'FERM_C2_MyoVII', 11198),
(11199, 'cd00276', NULL, 'C2B_Synaptotagmin', NULL, NULL, 'C2B_Synaptotagmin', 11199),
(11200, 'cd03481', NULL, 'TopoIIA_Trans_ScTopoIIA', NULL, NULL, 'TopoIIA_Trans_ScTopoIIA', 11200),
(11201, 'cd12713', NULL, 'RRM_TNRC6C', NULL, NULL, 'RRM_TNRC6C', 11201),
(11202, 'cd02171', NULL, 'G3P_Cytidylyltransferase', NULL, NULL, 'G3P_Cytidylyltransferase', 11202),
(11203, 'cd14143', NULL, 'STKc_TGFbR1_ACVR1b_ACVR1c', NULL, NULL, 'STKc_TGFbR1_ACVR1b_ACVR1c', 11203),
(11204, 'cd07551', NULL, 'P-type_ATPase_HM_ZosA_PfeT-like', NULL, NULL, 'P-type_ATPase_HM_ZosA_PfeT-like', 11204),
(11205, 'cd10040', NULL, 'Reelin_repeat_4_subrepeat_1', NULL, NULL, 'Reelin_repeat_4_subrepeat_1', 11205),
(11206, 'cd17672', NULL, 'MDM2', NULL, NULL, 'MDM2', 11206),
(11207, 'cd02257', NULL, 'Peptidase_C19', NULL, NULL, 'Peptidase_C19', 11207),
(11208, 'cd14750', NULL, 'PBP2_TMBP', NULL, NULL, 'PBP2_TMBP', 11208),
(11209, 'cd16554', NULL, 'RING-HC_RNF180', NULL, NULL, 'RING-HC_RNF180', 11209),
(11210, 'cd16844', NULL, 'ParB_N_like_MT', NULL, NULL, 'ParB_N_like_MT', 11210),
(11211, 'cd10381', NULL, 'SH2_Jak_Tyk2', NULL, NULL, 'SH2_Jak_Tyk2', 11211),
(11212, 'cd12732', NULL, 'RRM2_hnRNPH3', NULL, NULL, 'RRM2_hnRNPH3', 11212),
(11213, 'cd19743', NULL, 'bHLH_TS_ASCL2_Mash2', NULL, NULL, 'bHLH_TS_ASCL2_Mash2', 11213),
(11214, 'cd03334', NULL, 'Fab1_TCP', NULL, NULL, 'Fab1_TCP', 11214),
(11215, 'cd01291', NULL, 'PseudoU_synth', NULL, NULL, 'PseudoU_synth', 11215),
(11216, 'cd12763', NULL, 'RRM1_hnRNPA3', NULL, NULL, 'RRM1_hnRNPA3', 11216),
(11217, 'cd14642', NULL, 'DSP_DUSP6', NULL, NULL, 'DSP_DUSP6', 11217),
(11218, 'cd04512', NULL, 'Ntn_Asparaginase_2_like', NULL, NULL, 'Ntn_Asparaginase_2_like', 11218),
(11219, 'cd14068', NULL, 'STKc_LRRK2', NULL, NULL, 'STKc_LRRK2', 11219),
(11220, 'cd08860', NULL, 'TcmN_ARO-CYC_like', NULL, NULL, 'TcmN_ARO-CYC_like', 11220),
(11221, 'cd00124', NULL, 'MYSc', NULL, NULL, 'MYSc', 11221),
(11222, 'cd00506', NULL, 'PseudoU_synth_TruB_like', NULL, NULL, 'PseudoU_synth_TruB_like', 11222),
(11223, 'cd09716', NULL, 'Cas5_I', NULL, NULL, 'Cas5_I', 11223),
(11224, 'cd17156', NULL, 'DCX1_DCDC5', NULL, NULL, 'DCX1_DCDC5', 11224),
(11225, 'cd11277', NULL, 'Sema_plexin_B3', NULL, NULL, 'Sema_plexin_B3', 11225),
(11226, 'cd07681', NULL, 'F-BAR_PACSIN3', NULL, NULL, 'F-BAR_PACSIN3', 11226),
(11227, 'cd04875', NULL, 'ACT_F4HF-DF', NULL, NULL, 'ACT_F4HF-DF', 11227),
(11228, 'cd08811', NULL, 'CARD_IPS1', NULL, NULL, 'CARD_IPS1', 11228),
(11229, 'cd02607', NULL, 'HAD_ThrH_like', NULL, NULL, 'HAD_ThrH_like', 11229),
(11230, 'cd13206', NULL, 'FERM_C-lobe_PLEKHH1_PLEKHH2', NULL, NULL, 'FERM_C-lobe_PLEKHH1_PLEKHH2', 11230),
(11231, 'cd21684', NULL, 'ORF7a_SARS-CoV-2-like', NULL, NULL, 'ORF7a_SARS-CoV-2-like', 11231),
(11232, 'cd04447', NULL, 'DEP_BRCC3', NULL, NULL, 'DEP_BRCC3', 11232),
(11233, 'cd16992', NULL, 'ENTH_Ent3', NULL, NULL, 'ENTH_Ent3', 11233),
(11234, 'cd18034', NULL, 'DEXHc_dicer', NULL, NULL, 'DEXHc_dicer', 11234),
(11235, 'cd01176', NULL, 'IPT_RBP-Jkappa', NULL, NULL, 'IPT_RBP-Jkappa', 11235),
(11236, 'cd09585', NULL, 'SAM_DDHD2', NULL, NULL, 'SAM_DDHD2', 11236),
(11237, 'cd07447', NULL, 'CRD_Carboxypeptidase_Z', NULL, NULL, 'CRD_Carboxypeptidase_Z', 11237),
(11238, 'cd03881', NULL, 'M28_Nicastrin', NULL, NULL, 'M28_Nicastrin', 11238),
(11239, 'cd15745', NULL, 'FYVE_RUFY4', NULL, NULL, 'FYVE_RUFY4', 11239),
(11240, 'cd19836', NULL, 'Bbox1_MID1_C-I', NULL, NULL, 'Bbox1_MID1_C-I', 11240),
(11241, 'cd09527', NULL, 'SAM_Samd5', NULL, NULL, 'SAM_Samd5', 11241);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(11242, 'cd09976', NULL, 'LOTUS_3_TDRD5', NULL, NULL, 'LOTUS_3_TDRD5', 11242),
(11243, 'cd09127', NULL, 'PLDc_unchar1_1', NULL, NULL, 'PLDc_unchar1_1', 11243),
(11244, 'cd19611', NULL, 'Ctf13_LRR_LRR-insertion', NULL, NULL, 'Ctf13_LRR_LRR-insertion', 11244),
(11245, 'cd15867', NULL, 'R-SNARE_YKT6', NULL, NULL, 'R-SNARE_YKT6', 11245),
(11246, 'cd09262', NULL, 'AP_stonin-1_MHD', NULL, NULL, 'AP_stonin-1_MHD', 11246),
(11247, 'cd13391', NULL, 'PH_PRG', NULL, NULL, 'PH_PRG', 11247),
(11248, 'cd02125', NULL, 'PA_VSR', NULL, NULL, 'PA_VSR', 11248),
(11249, 'cd07322', NULL, 'PriL_PriS_Eukaryotic', NULL, NULL, 'PriL_PriS_Eukaryotic', 11249),
(11250, 'cd17528', NULL, 'HAMP_III', NULL, NULL, 'HAMP_III', 11250),
(11251, 'cd02129', NULL, 'PA_hSPPL_like', NULL, NULL, 'PA_hSPPL_like', 11251),
(11252, 'cd04596', NULL, 'CBS_pair_DRTGG_assoc', NULL, NULL, 'CBS_pair_DRTGG_assoc', 11252),
(11253, 'cd03752', NULL, 'proteasome_alpha_type_4', NULL, NULL, 'proteasome_alpha_type_4', 11253),
(11254, 'cd16647', NULL, 'mRING-HC-C3HC5_NEU1', NULL, NULL, 'mRING-HC-C3HC5_NEU1', 11254),
(11255, 'cd18975', NULL, 'CD_MarY1_POL_like', NULL, NULL, 'CD_MarY1_POL_like', 11255),
(11256, 'cd08563', NULL, 'GDPD_TtGDE_like', NULL, NULL, 'GDPD_TtGDE_like', 11256),
(11257, 'cd00922', NULL, 'Cyt_c_Oxidase_IV', NULL, NULL, 'Cyt_c_Oxidase_IV', 11257),
(11258, 'cd09151', NULL, 'PLDc_Ymt_2', NULL, NULL, 'PLDc_Ymt_2', 11258),
(11259, 'cd12705', NULL, 'RRM4_hnRPLL', NULL, NULL, 'RRM4_hnRPLL', 11259),
(11260, 'cd19045', NULL, 'LGIC_ECD_GABAAR_G3', NULL, NULL, 'LGIC_ECD_GABAAR_G3', 11260),
(11261, 'cd07009', NULL, 'cupin_BLL0285-like', NULL, NULL, 'cupin_BLL0285-like', 11261),
(11262, 'cd05371', NULL, 'HSD10-like_SDR_c', NULL, NULL, 'HSD10-like_SDR_c', 11262),
(11263, 'cd09009', NULL, 'PNP-EcPNPII_like', NULL, NULL, 'PNP-EcPNPII_like', 11263),
(11264, 'cd09935', NULL, 'SH2_ABL', NULL, NULL, 'SH2_ABL', 11264),
(11265, 'cd06279', NULL, 'PBP1_LacI-like', NULL, NULL, 'PBP1_LacI-like', 11265),
(11266, 'cd07061', NULL, 'HP_HAP_like', NULL, NULL, 'HP_HAP_like', 11266),
(11267, 'cd13418', NULL, 'TNFRSF19', NULL, NULL, 'TNFRSF19', 11267),
(11268, 'cd15232', NULL, '7tmA_OR13-like', NULL, NULL, '7tmA_OR13-like', 11268),
(11269, 'cd09332', NULL, 'LIM2_PINCH', NULL, NULL, 'LIM2_PINCH', 11269),
(11270, 'cd17203', NULL, 'FERM_F1_EPB41L3', NULL, NULL, 'FERM_F1_EPB41L3', 11270),
(11271, 'cd17546', NULL, 'REC_hyHK_CKI1_RcsC-like', NULL, NULL, 'REC_hyHK_CKI1_RcsC-like', 11271),
(11272, 'cd18064', NULL, 'DEXHc_SMARCA5', NULL, NULL, 'DEXHc_SMARCA5', 11272),
(11273, 'cd00513', NULL, 'Ribosomal_L32_L32e', NULL, NULL, 'Ribosomal_L32_L32e', 11273),
(11274, 'cd04393', NULL, 'RhoGAP_FAM13A1a', NULL, NULL, 'RhoGAP_FAM13A1a', 11274),
(11275, 'cd06081', NULL, 'KOW_Spt5_1', NULL, NULL, 'KOW_Spt5_1', 11275),
(11276, 'cd06398', NULL, 'PB1_Joka2', NULL, NULL, 'PB1_Joka2', 11276),
(11277, 'cd03339', NULL, 'TCP1_epsilon', NULL, NULL, 'TCP1_epsilon', 11277),
(11278, 'cd01418', NULL, 'Ribosomal_L19e_A', NULL, NULL, 'Ribosomal_L19e_A', 11278),
(11279, 'cd08449', NULL, 'PBP2_XapR', NULL, NULL, 'PBP2_XapR', 11279),
(11280, 'cd16024', NULL, 'GPI_EPT_2', NULL, NULL, 'GPI_EPT_2', 11280),
(11281, 'cd15724', NULL, 'FYVE_ZFY26', NULL, NULL, 'FYVE_ZFY26', 11281),
(11282, 'cd01578', NULL, 'AcnA_Mitochon_Swivel', NULL, NULL, 'AcnA_Mitochon_Swivel', 11282),
(11283, 'cd19418', NULL, 'lipocalin_A1M-like', NULL, NULL, 'lipocalin_A1M-like', 11283),
(11284, 'cd02258', NULL, 'Peptidase_C25_N', NULL, NULL, 'Peptidase_C25_N', 11284),
(11285, 'cd16479', NULL, 'RING-H2_synoviolin', NULL, NULL, 'RING-H2_synoviolin', 11285),
(11286, 'cd05495', NULL, 'Bromo_cbp_like', NULL, NULL, 'Bromo_cbp_like', 11286),
(11287, 'cd01013', NULL, 'isochorismatase', NULL, NULL, 'isochorismatase', 11287),
(11288, 'cd12006', NULL, 'SH3_Fyn_Yrk', NULL, NULL, 'SH3_Fyn_Yrk', 11288),
(11289, 'cd05255', NULL, 'SQD1_like_SDR_e', NULL, NULL, 'SQD1_like_SDR_e', 11289),
(11290, 'cd18121', NULL, 'ATP-synt_Fo_c', NULL, NULL, 'ATP-synt_Fo_c', 11290),
(11291, 'cd00523', NULL, 'archeal_HJR', NULL, NULL, 'archeal_HJR', 11291),
(11292, 'cd06177', NULL, 'MFS_NHS', NULL, NULL, 'MFS_NHS', 11292);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(11293, 'cd15691', NULL, 'PHD1_DPF2_like', NULL, NULL, 'PHD1_DPF2_like', 11293),
(11294, 'cd07696', NULL, 'IgC_CH3_IgAEM_CH2_IgG', NULL, NULL, 'IgC_CH3_IgAEM_CH2_IgG', 11294),
(11295, 'cd16534', NULL, 'RING-HC_RNF5_like', NULL, NULL, 'RING-HC_RNF5_like', 11295),
(11296, 'cd12375', NULL, 'RRM1_Hu_like', NULL, NULL, 'RRM1_Hu_like', 11296),
(11297, 'cd02195', NULL, 'SelD', NULL, NULL, 'SelD', 11297),
(11298, 'cd13296', NULL, 'PH2_MyoX', NULL, NULL, 'PH2_MyoX', 11298),
(11299, 'cd04081', NULL, 'CBM35_galactosidase-like', NULL, NULL, 'CBM35_galactosidase-like', 11299),
(11300, 'cd04701', NULL, 'Asparaginase_2', NULL, NULL, 'Asparaginase_2', 11300),
(11301, 'cd01897', NULL, 'NOG', NULL, NULL, 'NOG', 11301),
(11302, 'cd10921', NULL, 'CE4_MJ0505_like', NULL, NULL, 'CE4_MJ0505_like', 11302),
(11303, 'cd15000', NULL, '7tmA_BNGR-A34-like', NULL, NULL, '7tmA_BNGR-A34-like', 11303),
(11304, 'cd19873', NULL, 'DSRM_MRPL3_like', NULL, NULL, 'DSRM_MRPL3_like', 11304),
(11305, 'cd03292', NULL, 'ABC_FtsE_transporter', NULL, NULL, 'ABC_FtsE_transporter', 11305),
(11306, 'cd07997', NULL, 'WGR_PARP', NULL, NULL, 'WGR_PARP', 11306),
(11307, 'cd11296', NULL, 'O-FucT_like', NULL, NULL, 'O-FucT_like', 11307),
(11308, 'cd14551', NULL, 'R-PTPc-A-E-1', NULL, NULL, 'R-PTPc-A-E-1', 11308),
(11309, 'cd08431', NULL, 'PBP2_HupR', NULL, NULL, 'PBP2_HupR', 11309),
(11310, 'cd03731', NULL, 'SOCS_ASB15', NULL, NULL, 'SOCS_ASB15', 11310),
(11311, 'cd05305', NULL, 'L-AlaDH', NULL, NULL, 'L-AlaDH', 11311),
(11312, 'cd19402', NULL, 'TGF_beta_GDF9B', NULL, NULL, 'TGF_beta_GDF9B', 11312),
(11313, 'cd07371', NULL, '2A5CPDO_AB', NULL, NULL, '2A5CPDO_AB', 11313),
(11314, 'cd03518', NULL, 'Link_domain_HAPLN_module_1', NULL, NULL, 'Link_domain_HAPLN_module_1', 11314),
(11315, 'cd18085', NULL, 'TM1570-like', NULL, NULL, 'TM1570-like', 11315),
(11316, 'cd10534', NULL, 'PR-SET_PRDM-like', NULL, NULL, 'PR-SET_PRDM-like', 11316),
(11317, 'cd11551', NULL, 'Serine_rich_CASS4', NULL, NULL, 'Serine_rich_CASS4', 11317),
(11318, 'cd00637', NULL, '7tm_classA_rhodopsin-like', NULL, NULL, '7tm_classA_rhodopsin-like', 11318),
(11319, 'cd08206', NULL, 'RuBisCO_large_I_II_III', NULL, NULL, 'RuBisCO_large_I_II_III', 11319),
(11320, 'cd09638', NULL, 'Cas2_I_II_III', NULL, NULL, 'Cas2_I_II_III', 11320),
(11321, 'cd01475', NULL, 'vWA_Matrilin', NULL, NULL, 'vWA_Matrilin', 11321),
(11322, 'cd00789', NULL, 'KU_like', NULL, NULL, 'KU_like', 11322),
(11323, 'cd03809', NULL, 'GT4_MtfB-like', NULL, NULL, 'GT4_MtfB-like', 11323),
(11324, 'cd02954', NULL, 'DIM1', NULL, NULL, 'DIM1', 11324),
(11325, 'cd07647', NULL, 'F-BAR_PSTPIP', NULL, NULL, 'F-BAR_PSTPIP', 11325),
(11326, 'cd05669', NULL, 'M20_Acy1_YxeP-like', NULL, NULL, 'M20_Acy1_YxeP-like', 11326),
(11327, 'cd21685', NULL, 'ORF7a_SARS-CoV-like', NULL, NULL, 'ORF7a_SARS-CoV-like', 11327),
(11328, 'cd11420', NULL, 'bHLH_E-protein', NULL, NULL, 'bHLH_E-protein', 11328),
(11329, 'cd04791', NULL, 'LanC_SerThrkinase', NULL, NULL, 'LanC_SerThrkinase', 11329),
(11330, 'cd00303', NULL, 'retropepsin_like', NULL, NULL, 'retropepsin_like', 11330),
(11331, 'cd12691', NULL, 'RRM2_PTBPH1_PTBPH2', NULL, NULL, 'RRM2_PTBPH1_PTBPH2', 11331),
(11332, 'cd17915', NULL, 'DEAHc_XPD-like', NULL, NULL, 'DEAHc_XPD-like', 11332),
(11333, 'cd02081', NULL, 'P-type_ATPase_Ca_PMCA-like', NULL, NULL, 'P-type_ATPase_Ca_PMCA-like', 11333),
(11334, 'cd12438', NULL, 'RRM_CNOT4', NULL, NULL, 'RRM_CNOT4', 11334),
(11335, 'cd14810', NULL, 'bZIP_u1', NULL, NULL, 'bZIP_u1', 11335),
(11336, 'cd17742', NULL, 'BRCT_CHS5_like', NULL, NULL, 'BRCT_CHS5_like', 11336),
(11337, 'cd12086', NULL, 'DD_cGKI-beta', NULL, NULL, 'DD_cGKI-beta', 11337),
(11338, 'cd15759', NULL, 'FYVE_RUFY2', NULL, NULL, 'FYVE_RUFY2', 11338),
(11339, 'cd07358', NULL, 'HN_PDZD7_like', NULL, NULL, 'HN_PDZD7_like', 11339),
(11340, 'cd08700', NULL, 'FMT_C_OzmH_like', NULL, NULL, 'FMT_C_OzmH_like', 11340),
(11341, 'cd12740', NULL, 'RRM2_ESRP2', NULL, NULL, 'RRM2_ESRP2', 11341),
(11342, 'cd10942', NULL, 'CE4_u11', NULL, NULL, 'CE4_u11', 11342),
(11343, 'cd18250', NULL, 'BTB_POZ_KLHL21', NULL, NULL, 'BTB_POZ_KLHL21', 11343);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(11344, 'cd03475', NULL, 'Rieske_SoxF_SoxL', NULL, NULL, 'Rieske_SoxF_SoxL', 11344),
(11345, 'cd19600', NULL, 'serpin11-like_insects', NULL, NULL, 'serpin11-like_insects', 11345),
(11346, 'cd02796', NULL, 'tRNA_bind_bactPheRS', NULL, NULL, 'tRNA_bind_bactPheRS', 11346),
(11347, 'cd16295', NULL, 'TTHA0252-CPSF-like_MBL-fold', NULL, NULL, 'TTHA0252-CPSF-like_MBL-fold', 11347),
(11348, 'cd17118', NULL, 'Ubl_HERP1', NULL, NULL, 'Ubl_HERP1', 11348),
(11349, 'cd18461', NULL, 'BACK_KLHL22', NULL, NULL, 'BACK_KLHL22', 11349),
(11350, 'cd09163', NULL, 'PLDc_CLS_unchar2_2', NULL, NULL, 'PLDc_CLS_unchar2_2', 11350),
(11351, 'cd21169', NULL, 'M_dcv_Nsp15-like', NULL, NULL, 'M_dcv_Nsp15-like', 11351),
(11352, 'cd07843', NULL, 'STKc_CDC2L1', NULL, NULL, 'STKc_CDC2L1', 11352),
(11353, 'cd13544', NULL, 'PBP2_Fbp_like_1', NULL, NULL, 'PBP2_Fbp_like_1', 11353),
(11354, 'cd08387', NULL, 'C2A_Synaptotagmin-8', NULL, NULL, 'C2A_Synaptotagmin-8', 11354),
(11355, 'cd09490', NULL, 'SAM_Arap1,2,3', NULL, NULL, 'SAM_Arap1,2,3', 11355),
(11356, 'cd00520', NULL, 'RRF', NULL, NULL, 'RRF', 11356),
(11357, 'cd05582', NULL, 'STKc_RSK_N', NULL, NULL, 'STKc_RSK_N', 11357),
(11358, 'cd11370', NULL, 'RNase_PH_RRP41', NULL, NULL, 'RNase_PH_RRP41', 11358),
(11359, 'cd11247', NULL, 'Sema_plexin_D1', NULL, NULL, 'Sema_plexin_D1', 11359),
(11360, 'cd12447', NULL, 'RRM1_gar2', NULL, NULL, 'RRM1_gar2', 11360),
(11361, 'cd16682', NULL, 'RING-H2_RNF165', NULL, NULL, 'RING-H2_RNF165', 11361),
(11362, 'cd14553', NULL, 'R-PTPc-LAR-1', NULL, NULL, 'R-PTPc-LAR-1', 11362),
(11363, 'cd18962', NULL, 'CD_MT_like', NULL, NULL, 'CD_MT_like', 11363),
(11364, 'cd16995', NULL, 'VHS_Tom1', NULL, NULL, 'VHS_Tom1', 11364),
(11365, 'cd15575', NULL, 'PHD_JMJD2A', NULL, NULL, 'PHD_JMJD2A', 11365),
(11366, 'cd15655', NULL, 'PHD3_NSD3', NULL, NULL, 'PHD3_NSD3', 11366),
(11367, 'cd04508', NULL, 'TUDOR', NULL, NULL, 'TUDOR', 11367),
(11368, 'cd01871', NULL, 'Rac1_like', NULL, NULL, 'Rac1_like', 11368),
(11369, 'cd07016', NULL, 'S14_ClpP_1', NULL, NULL, 'S14_ClpP_1', 11369),
(11370, 'cd10951', NULL, 'CE4_ClCDA_like', NULL, NULL, 'CE4_ClCDA_like', 11370),
(11371, 'cd17942', NULL, 'DEADc_DDX18', NULL, NULL, 'DEADc_DDX18', 11371),
(11372, 'cd00516', NULL, 'PRTase_typeII', NULL, NULL, 'PRTase_typeII', 11372),
(11373, 'cd14641', NULL, 'DSP_DUSP2', NULL, NULL, 'DSP_DUSP2', 11373),
(11374, 'cd09425', NULL, 'LIM4_LIMPETin', NULL, NULL, 'LIM4_LIMPETin', 11374),
(11375, 'cd08026', NULL, 'DUF326', NULL, NULL, 'DUF326', 11375),
(11376, 'cd01476', NULL, 'VWA_integrin_invertebrates', NULL, NULL, 'VWA_integrin_invertebrates', 11376),
(11377, 'cd04409', NULL, 'RhoGAP_PARG1', NULL, NULL, 'RhoGAP_PARG1', 11377),
(11378, 'cd14938', NULL, 'MYSc_Myo24B', NULL, NULL, 'MYSc_Myo24B', 11378),
(11379, 'cd01411', NULL, 'SIR2H', NULL, NULL, 'SIR2H', 11379),
(11380, 'cd02342', NULL, 'ZZ_UBA_plant', NULL, NULL, 'ZZ_UBA_plant', 11380),
(11381, 'cd01204', NULL, 'PTB_IRS', NULL, NULL, 'PTB_IRS', 11381),
(11382, 'cd08190', NULL, 'HOT', NULL, NULL, 'HOT', 11382),
(11383, 'cd00371', NULL, 'HMA', NULL, NULL, 'HMA', 11383),
(11384, 'cd00159', NULL, 'RhoGAP', NULL, NULL, 'RhoGAP', 11384),
(11385, 'cd19869', NULL, 'DSRM_DCL_plant', NULL, NULL, 'DSRM_DCL_plant', 11385),
(11386, 'cd09103', NULL, 'PLDc_CDP-OH_P_transf_II_2', NULL, NULL, 'PLDc_CDP-OH_P_transf_II_2', 11386),
(11387, 'cd18008', NULL, 'DEXDc_SHPRH-like', NULL, NULL, 'DEXDc_SHPRH-like', 11387),
(11388, 'cd03404', NULL, 'SPFH_HflK', NULL, NULL, 'SPFH_HflK', 11388),
(11389, 'cd16752', NULL, 'RING-HC_SIAH2', NULL, NULL, 'RING-HC_SIAH2', 11389),
(11390, 'cd19216', NULL, 'PR-SET_ZFPM2', NULL, NULL, 'PR-SET_ZFPM2', 11390),
(11391, 'cd06224', NULL, 'REM', NULL, NULL, 'REM', 11391),
(11392, 'cd13547', NULL, 'PBP2_Fbp_like_2', NULL, NULL, 'PBP2_Fbp_like_2', 11392),
(11393, 'cd18827', NULL, 'GH43_XlnD-like', NULL, NULL, 'GH43_XlnD-like', 11393),
(11394, 'cd02957', NULL, 'Phd_like', NULL, NULL, 'Phd_like', 11394),
(11395, 'cd11689', NULL, 'SidM_DrrA_GEF', NULL, NULL, 'SidM_DrrA_GEF', 11395),
(11396, 'cd19927', NULL, 'REC_Ycf29', NULL, NULL, 'REC_Ycf29', 11396);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(11397, 'cd18565', NULL, 'ABC_6TM_exporter_like', NULL, NULL, 'ABC_6TM_exporter_like', 11397),
(11398, 'cd03167', NULL, 'oculospanin_like_LEL', NULL, NULL, 'oculospanin_like_LEL', 11398),
(11399, 'cd02690', NULL, 'M28', NULL, NULL, 'M28', 11399),
(11400, 'cd03883', NULL, 'M28_Pgcp_like', NULL, NULL, 'M28_Pgcp_like', 11400),
(11401, 'cd04405', NULL, 'RhoGAP_BRCC3-like', NULL, NULL, 'RhoGAP_BRCC3-like', 11401),
(11402, 'cd08410', NULL, 'C2B_Synaptotagmin-17', NULL, NULL, 'C2B_Synaptotagmin-17', 11402),
(11403, 'cd16589', NULL, 'RING-HC_TRIM71_C-VII', NULL, NULL, 'RING-HC_TRIM71_C-VII', 11403),
(11404, 'cd08956', NULL, 'KR_3_FAS_SDR_x', NULL, NULL, 'KR_3_FAS_SDR_x', 11404),
(11405, 'cd00205', NULL, 'rhv_like', NULL, NULL, 'rhv_like', 11405),
(11406, 'cd04707', NULL, 'otoconin_90', NULL, NULL, 'otoconin_90', 11406),
(11407, 'cd10301', NULL, 'GST_C_CLIC6', NULL, NULL, 'GST_C_CLIC6', 11407),
(11408, 'cd16430', NULL, 'TraB', NULL, NULL, 'TraB', 11408),
(11409, 'cd05672', NULL, 'M20_ACY1L2-like', NULL, NULL, 'M20_ACY1L2-like', 11409),
(11410, 'cd03895', NULL, 'M20_ArgE_DapE-like', NULL, NULL, 'M20_ArgE_DapE-like', 11410),
(11411, 'cd15182', NULL, '7tmA_XCR1', NULL, NULL, '7tmA_XCR1', 11411),
(11412, 'cd03705', NULL, 'EF1_alpha_III', NULL, NULL, 'EF1_alpha_III', 11412),
(11413, 'cd05721', NULL, 'IgV_CTLA-4', NULL, NULL, 'IgV_CTLA-4', 11413),
(11414, 'cd00615', NULL, 'Orn_deC_like', NULL, NULL, 'Orn_deC_like', 11414),
(11415, 'cd02789', NULL, 'MopB_CT_FmdC-FwdD', NULL, NULL, 'MopB_CT_FmdC-FwdD', 11415),
(11416, 'cd18184', NULL, 'ATP-synt_Fo_c_NaATPase', NULL, NULL, 'ATP-synt_Fo_c_NaATPase', 11416),
(11417, 'cd00163', NULL, 'RNase_A', NULL, NULL, 'RNase_A', 11417),
(11418, 'cd10159', NULL, 'CsoR-like_DUF156_2', NULL, NULL, 'CsoR-like_DUF156_2', 11418),
(11419, 'cd13279', NULL, 'PH_Cla4_Ste20', NULL, NULL, 'PH_Cla4_Ste20', 11419),
(11420, 'cd11708', NULL, 'DHR2_DOCK5', NULL, NULL, 'DHR2_DOCK5', 11420),
(11421, 'cd01675', NULL, 'RNR_III', NULL, NULL, 'RNR_III', 11421),
(11422, 'cd12792', NULL, 'RasGAP_plexin_B2', NULL, NULL, 'RasGAP_plexin_B2', 11422),
(11423, 'cd17990', NULL, 'DEXHc_HrpB', NULL, NULL, 'DEXHc_HrpB', 11423),
(11424, 'cd14425', NULL, 'UBA1_HR23A', NULL, NULL, 'UBA1_HR23A', 11424),
(11425, 'cd01160', NULL, 'LCAD', NULL, NULL, 'LCAD', 11425),
(11426, 'cd00826', NULL, 'nondecarbox_cond_enzymes', NULL, NULL, 'nondecarbox_cond_enzymes', 11426),
(11427, 'cd04010', NULL, 'C2B_RasA3', NULL, NULL, 'C2B_RasA3', 11427),
(11428, 'cd03769', NULL, 'SR_IS607_transposase_like', NULL, NULL, 'SR_IS607_transposase_like', 11428),
(11429, 'cd10953', NULL, 'CE4_SlAXE_like', NULL, NULL, 'CE4_SlAXE_like', 11429),
(11430, 'cd09339', NULL, 'LIM4_Paxillin_like', NULL, NULL, 'LIM4_Paxillin_like', 11430),
(11431, 'cd07093', NULL, 'ALDH_F8_HMSADH', NULL, NULL, 'ALDH_F8_HMSADH', 11431),
(11432, 'cd19014', NULL, 'LGIC_ECD_nAChR_A1', NULL, NULL, 'LGIC_ECD_nAChR_A1', 11432),
(11433, 'cd19363', NULL, 'TenA_C_PH1161-like', NULL, NULL, 'TenA_C_PH1161-like', 11433),
(11434, 'cd08305', NULL, 'Pyrin', NULL, NULL, 'Pyrin', 11434),
(11435, 'cd18793', NULL, 'SF2_C_SNF', NULL, NULL, 'SF2_C_SNF', 11435),
(11436, 'cd04039', NULL, 'C2_PSD', NULL, NULL, 'C2_PSD', 11436),
(11437, 'cd18931', NULL, 'bHLHzip_Mad1', NULL, NULL, 'bHLHzip_Mad1', 11437),
(11438, 'cd19856', NULL, 'DSRM_Kanadaptin', NULL, NULL, 'DSRM_Kanadaptin', 11438),
(11439, 'cd01149', NULL, 'HutB', NULL, NULL, 'HutB', 11439),
(11440, 'cd01581', NULL, 'AcnB', NULL, NULL, 'AcnB', 11440),
(11441, 'cd09618', NULL, 'CBM9_like_2', NULL, NULL, 'CBM9_like_2', 11441),
(11442, 'cd12939', NULL, 'LEM_emerin', NULL, NULL, 'LEM_emerin', 11442),
(11443, 'cd18287', NULL, 'BTB_POZ_BTBD9', NULL, NULL, 'BTB_POZ_BTBD9', 11443),
(11444, 'cd14150', NULL, 'STKc_A-Raf', NULL, NULL, 'STKc_A-Raf', 11444),
(11445, 'cd16410', NULL, 'ParB_N_like', NULL, NULL, 'ParB_N_like', 11445),
(11446, 'cd12390', NULL, 'RRM3_RAVER', NULL, NULL, 'RRM3_RAVER', 11446),
(11447, 'cd12559', NULL, 'RRM_SRSF10', NULL, NULL, 'RRM_SRSF10', 11447),
(11448, 'cd17077', NULL, 'UBX_UBXN11', NULL, NULL, 'UBX_UBXN11', 11448),
(11449, 'cd11751', NULL, 'GH94N_like_4', NULL, NULL, 'GH94N_like_4', 11449);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(11450, 'cd15440', NULL, '7tmB2_latrophilin-like_invertebrate', NULL, NULL, '7tmB2_latrophilin-like_invertebrate', 11450),
(11451, 'cd06497', NULL, 'ACD_alphaA-crystallin_HspB4', NULL, NULL, 'ACD_alphaA-crystallin_HspB4', 11451),
(11452, 'cd08679', NULL, 'C2_DOCK180_related', NULL, NULL, 'C2_DOCK180_related', 11452),
(11453, 'cd20000', NULL, 'PBP1_ABC_rhamnose', NULL, NULL, 'PBP1_ABC_rhamnose', 11453),
(11454, 'cd00113', NULL, 'PLAT', NULL, NULL, 'PLAT', 11454),
(11455, 'cd00844', NULL, 'MPP_Dbr1_N', NULL, NULL, 'MPP_Dbr1_N', 11455),
(11456, 'cd15114', NULL, '7tmA_C5aR', NULL, NULL, '7tmA_C5aR', 11456),
(11457, 'cd11313', NULL, 'AmyAc_arch_bac_AmyA', NULL, NULL, 'AmyAc_arch_bac_AmyA', 11457),
(11458, 'cd05907', NULL, 'VL_LC_FACS_like', NULL, NULL, 'VL_LC_FACS_like', 11458),
(11459, 'cd07509', NULL, 'HAD_PPase', NULL, NULL, 'HAD_PPase', 11459),
(11460, 'cd15139', NULL, '7tmA_PGE2_EP2', NULL, NULL, '7tmA_PGE2_EP2', 11460),
(11461, 'cd14214', NULL, 'PKc_CLK3', NULL, NULL, 'PKc_CLK3', 11461),
(11462, 'cd03289', NULL, 'ABCC_CFTR2', NULL, NULL, 'ABCC_CFTR2', 11462),
(11463, 'cd16823', NULL, 'SP-RING_ZMIZ2', NULL, NULL, 'SP-RING_ZMIZ2', 11463),
(11464, 'cd07944', NULL, 'DRE_TIM_HOA_like', NULL, NULL, 'DRE_TIM_HOA_like', 11464),
(11465, 'cd18113', NULL, 'ATP-synt_F1_alpha_C', NULL, NULL, 'ATP-synt_F1_alpha_C', 11465),
(11466, 'cd01888', NULL, 'eIF2_gamma', NULL, NULL, 'eIF2_gamma', 11466),
(11467, 'cd07629', NULL, 'BAR_Atg20p', NULL, NULL, 'BAR_Atg20p', 11467),
(11468, 'cd16207', NULL, 'EFh_ScPlc1p_like', NULL, NULL, 'EFh_ScPlc1p_like', 11468),
(11469, 'cd13148', NULL, 'MATE_like_3', NULL, NULL, 'MATE_like_3', 11469),
(11470, 'cd17793', NULL, 'HipA', NULL, NULL, 'HipA', 11470),
(11471, 'cd05562', NULL, 'Peptidases_S53_like', NULL, NULL, 'Peptidases_S53_like', 11471),
(11472, 'cd09501', NULL, 'SAM_SARM1-like_repeat1', NULL, NULL, 'SAM_SARM1-like_repeat1', 11472),
(11473, 'cd20756', NULL, 'capping_2-OMTase_Poxviridae', NULL, NULL, 'capping_2-OMTase_Poxviridae', 11473),
(11474, 'cd06409', NULL, 'PB1_MUG70', NULL, NULL, 'PB1_MUG70', 11474),
(11475, 'cd08833', NULL, 'ArfGap_GIT', NULL, NULL, 'ArfGap_GIT', 11475),
(11476, 'cd19035', NULL, 'LGIC_ECD_GABAAR_A2', NULL, NULL, 'LGIC_ECD_GABAAR_A2', 11476),
(11477, 'cd05834', NULL, 'HDGF_related', NULL, NULL, 'HDGF_related', 11477),
(11478, 'cd09683', NULL, 'Csm3_III-A', NULL, NULL, 'Csm3_III-A', 11478),
(11479, 'cd04610', NULL, 'CBS_pair_ParBc_assoc', NULL, NULL, 'CBS_pair_ParBc_assoc', 11479),
(11480, 'cd14335', NULL, 'UBA_SnRK1_plant', NULL, NULL, 'UBA_SnRK1_plant', 11480),
(11481, 'cd15341', NULL, '7tmA_CB2', NULL, NULL, '7tmA_CB2', 11481),
(11482, 'cd12619', NULL, 'RRM2_PUB1', NULL, NULL, 'RRM2_PUB1', 11482),
(11483, 'cd17466', NULL, 'T3SS_Flik_C_like', NULL, NULL, 'T3SS_Flik_C_like', 11483),
(11484, 'cd01414', NULL, 'SAICAR_synt_Sc', NULL, NULL, 'SAICAR_synt_Sc', 11484),
(11485, 'cd00984', NULL, 'DnaB_C', NULL, NULL, 'DnaB_C', 11485),
(11486, 'cd02643', NULL, 'R3H_NF-X1', NULL, NULL, 'R3H_NF-X1', 11486),
(11487, 'cd07456', NULL, 'CRD_FZ5_like', NULL, NULL, 'CRD_FZ5_like', 11487),
(11488, 'cd01227', NULL, 'PH_Dbs', NULL, NULL, 'PH_Dbs', 11488),
(11489, 'cd09659', NULL, 'Cas4_I-A', NULL, NULL, 'Cas4_I-A', 11489),
(11490, 'cd01802', NULL, 'Ubl_ZFAND4', NULL, NULL, 'Ubl_ZFAND4', 11490),
(11491, 'cd19770', NULL, 'Bbox2_TRIM19_C-V', NULL, NULL, 'Bbox2_TRIM19_C-V', 11491),
(11492, 'cd04885', NULL, 'ACT_ThrD-I', NULL, NULL, 'ACT_ThrD-I', 11492),
(11493, 'cd15818', NULL, 'SPRY_PRY_TRIM69', NULL, NULL, 'SPRY_PRY_TRIM69', 11493),
(11494, 'cd06412', NULL, 'GH25_CH-type', NULL, NULL, 'GH25_CH-type', 11494),
(11495, 'cd11926', NULL, 'SH3_SH3RF1_3', NULL, NULL, 'SH3_SH3RF1_3', 11495),
(11496, 'cd16548', NULL, 'RING-HC_RNF152', NULL, NULL, 'RING-HC_RNF152', 11496),
(11497, 'cd00165', NULL, 'S4', NULL, NULL, 'S4', 11497),
(11498, 'cd17078', NULL, 'Ubl_SLD1_NFATC2ip', NULL, NULL, 'Ubl_SLD1_NFATC2ip', 11498),
(11499, 'cd11589', NULL, 'Agmatinase_like_1', NULL, NULL, 'Agmatinase_like_1', 11499),
(11500, 'cd16759', NULL, 'RING-HC_MuRF1', NULL, NULL, 'RING-HC_MuRF1', 11500);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(11501, 'cd16931', NULL, 'HATPase_MORC-like', NULL, NULL, 'HATPase_MORC-like', 11501),
(11502, 'cd00677', NULL, 'S15_NS1_EPRS_RNA-bind', NULL, NULL, 'S15_NS1_EPRS_RNA-bind', 11502),
(11503, 'cd15304', NULL, '7tmA_5-HT2A', NULL, NULL, '7tmA_5-HT2A', 11503),
(11504, 'cd08323', NULL, 'CARD_APAF1', NULL, NULL, 'CARD_APAF1', 11504),
(11505, 'cd09828', NULL, 'PET_OEBT', NULL, NULL, 'PET_OEBT', 11505),
(11506, 'cd07144', NULL, 'ALDH_ALD2-YMR170C', NULL, NULL, 'ALDH_ALD2-YMR170C', 11506),
(11507, 'cd12075', NULL, 'SH3_Tks4_1', NULL, NULL, 'SH3_Tks4_1', 11507),
(11508, 'cd07117', NULL, 'ALDH_StaphAldA1', NULL, NULL, 'ALDH_StaphAldA1', 11508),
(11509, 'cd01370', NULL, 'KISc_KIP3_like', NULL, NULL, 'KISc_KIP3_like', 11509),
(11510, 'cd03199', NULL, 'GST_C_GRX2', NULL, NULL, 'GST_C_GRX2', 11510),
(11511, 'cd02664', NULL, 'Peptidase_C19H', NULL, NULL, 'Peptidase_C19H', 11511),
(11512, 'cd09008', NULL, 'MTAN', NULL, NULL, 'MTAN', 11512),
(11513, 'cd14104', NULL, 'STKc_Titin', NULL, NULL, 'STKc_Titin', 11513),
(11514, 'cd04020', NULL, 'C2B_SLP_1-2-3-4', NULL, NULL, 'C2B_SLP_1-2-3-4', 11514),
(11515, 'cd02846', NULL, 'PAZ_argonaute_like', NULL, NULL, 'PAZ_argonaute_like', 11515),
(11516, 'cd21558', NULL, 'alphaCoV-Nsp6', NULL, NULL, 'alphaCoV-Nsp6', 11516),
(11517, 'cd07668', NULL, 'BAR_SNX9', NULL, NULL, 'BAR_SNX9', 11517),
(11518, 'cd16567', NULL, 'RING-HC_RAD16_like', NULL, NULL, 'RING-HC_RAD16_like', 11518),
(11519, 'cd09423', NULL, 'LIM1_FHL3', NULL, NULL, 'LIM1_FHL3', 11519),
(11520, 'cd06913', NULL, 'beta3GnTL1_like', NULL, NULL, 'beta3GnTL1_like', 11520),
(11521, 'cd06548', NULL, 'GH18_chitinase', NULL, NULL, 'GH18_chitinase', 11521),
(11522, 'cd15337', NULL, '7tmA_Opsin_Gq_invertebrates', NULL, NULL, '7tmA_Opsin_Gq_invertebrates', 11522),
(11523, 'cd06856', NULL, 'GT_GPT_archaea', NULL, NULL, 'GT_GPT_archaea', 11523),
(11524, 'cd06145', NULL, 'REX1_like', NULL, NULL, 'REX1_like', 11524),
(11525, 'cd09866', NULL, 'PIN_Fcf1-Utp23-H', NULL, NULL, 'PIN_Fcf1-Utp23-H', 11525),
(11526, 'cd17722', NULL, 'BRCT_DNA_ligase_IV_rpt1', NULL, NULL, 'BRCT_DNA_ligase_IV_rpt1', 11526),
(11527, 'cd03135', NULL, 'GATase1_DJ-1', NULL, NULL, 'GATase1_DJ-1', 11527),
(11528, 'cd07680', NULL, 'F-BAR_PACSIN1', NULL, NULL, 'F-BAR_PACSIN1', 11528),
(11529, 'cd14927', NULL, 'MYSc_Myh7b', NULL, NULL, 'MYSc_Myh7b', 11529),
(11530, 'cd16811', NULL, 'RING_CH-C4HC3_MARCH4_9', NULL, NULL, 'RING_CH-C4HC3_MARCH4_9', 11530),
(11531, 'cd06225', NULL, 'HAMP', NULL, NULL, 'HAMP', 11531),
(11532, 'cd07243', NULL, '2_3_CTD_C', NULL, NULL, '2_3_CTD_C', 11532),
(11533, 'cd05589', NULL, 'STKc_PKN', NULL, NULL, 'STKc_PKN', 11533),
(11534, 'cd06438', NULL, 'EpsO_like', NULL, NULL, 'EpsO_like', 11534),
(11535, 'cd02825', NULL, 'PAZ', NULL, NULL, 'PAZ', 11535),
(11536, 'cd16659', NULL, 'RING-Ubox_Emp', NULL, NULL, 'RING-Ubox_Emp', 11536),
(11537, 'cd15676', NULL, 'PHD_BRPF1', NULL, NULL, 'PHD_BRPF1', 11537),
(11538, 'cd03413', NULL, 'CbiK_C', NULL, NULL, 'CbiK_C', 11538),
(11539, 'cd16278', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', 11539),
(11540, 'cd00096', NULL, 'Ig', NULL, NULL, 'Ig', 11540),
(11541, 'cd01794', NULL, 'Ubl_UBTD', NULL, NULL, 'Ubl_UBTD', 11541),
(11542, 'cd04300', NULL, 'GT35_Glycogen_Phosphorylase', NULL, NULL, 'GT35_Glycogen_Phosphorylase', 11542),
(11543, 'cd09084', NULL, 'EEP-2', NULL, NULL, 'EEP-2', 11543),
(11544, 'cd12670', NULL, 'RRM2_Nop12p_like', NULL, NULL, 'RRM2_Nop12p_like', 11544),
(11545, 'cd18685', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 11545),
(11546, 'cd12245', NULL, 'RRM_scw1_like', NULL, NULL, 'RRM_scw1_like', 11546),
(11547, 'cd17673', NULL, 'MDM4', NULL, NULL, 'MDM4', 11547),
(11548, 'cd19092', NULL, 'AKR_BsYcsN_EcYdhF-like', NULL, NULL, 'AKR_BsYcsN_EcYdhF-like', 11548),
(11549, 'cd00527', NULL, 'IF6', NULL, NULL, 'IF6', 11549),
(11550, 'cd12428', NULL, 'RRM_PARN', NULL, NULL, 'RRM_PARN', 11550),
(11551, 'cd05134', NULL, 'RasGAP_RASA3', NULL, NULL, 'RasGAP_RASA3', 11551),
(11552, 'cd21517', NULL, 'cv_beta_Nsp2_MERS-like', NULL, NULL, 'cv_beta_Nsp2_MERS-like', 11552);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(11553, 'cd02656', NULL, 'MIT', NULL, NULL, 'MIT', 11553),
(11554, 'cd14853', NULL, 'TRAPPC_longin-like', NULL, NULL, 'TRAPPC_longin-like', 11554),
(11555, 'cd09135', NULL, 'PLDc_PGS1_euk_1', NULL, NULL, 'PLDc_PGS1_euk_1', 11555),
(11556, 'cd15980', NULL, '7tmA_NPFFR2', NULL, NULL, '7tmA_NPFFR2', 11556),
(11557, 'cd19006', NULL, 'LGIC_ECD_GABAAR_LCCH3-like', NULL, NULL, 'LGIC_ECD_GABAAR_LCCH3-like', 11557),
(11558, 'cd05387', NULL, 'BY-kinase', NULL, NULL, 'BY-kinase', 11558),
(11559, 'cd20246', NULL, 'CASIMO1', NULL, NULL, 'CASIMO1', 11559),
(11560, 'cd14492', NULL, 'lipocalin_MxiM-like', NULL, NULL, 'lipocalin_MxiM-like', 11560),
(11561, 'cd09543', NULL, 'SAM_EPH-A2', NULL, NULL, 'SAM_EPH-A2', 11561),
(11562, 'cd14230', NULL, 'GAT_GGA', NULL, NULL, 'GAT_GGA', 11562),
(11563, 'cd05846', NULL, 'Ig1_MRC-OX-2_like', NULL, NULL, 'Ig1_MRC-OX-2_like', 11563),
(11564, 'cd16905', NULL, 'YEATS_Taf14_like', NULL, NULL, 'YEATS_Taf14_like', 11564),
(11565, 'cd18569', NULL, 'ABC_6TM_NHLM_bacteriocin', NULL, NULL, 'ABC_6TM_NHLM_bacteriocin', 11565),
(11566, 'cd16724', NULL, 'RING1-HC_MIB1', NULL, NULL, 'RING1-HC_MIB1', 11566),
(11567, 'cd14745', NULL, 'GH66', NULL, NULL, 'GH66', 11567),
(11568, 'cd05666', NULL, 'M20_Acy1-like', NULL, NULL, 'M20_Acy1-like', 11568),
(11569, 'cd06255', NULL, 'M14_ASTE_ASPA-like', NULL, NULL, 'M14_ASTE_ASPA-like', 11569),
(11570, 'cd15169', NULL, '7tmA_FFAR1', NULL, NULL, '7tmA_FFAR1', 11570),
(11571, 'cd08497', NULL, 'PBP2_NikA_DppA_OppA_like_14', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_14', 11571),
(11572, 'cd15428', NULL, '7tmA_OR2D-like', NULL, NULL, '7tmA_OR2D-like', 11572),
(11573, 'cd15994', NULL, '7tmB2_GPR111_115', NULL, NULL, '7tmB2_GPR111_115', 11573),
(11574, 'cd08307', NULL, 'Death_Pelle', NULL, NULL, 'Death_Pelle', 11574),
(11575, 'cd06172', NULL, 'MFS_LacY', NULL, NULL, 'MFS_LacY', 11575),
(11576, 'cd05039', NULL, 'PTKc_Csk_like', NULL, NULL, 'PTKc_Csk_like', 11576),
(11577, 'cd16227', NULL, 'EFh_CREC_RCN2_like', NULL, NULL, 'EFh_CREC_RCN2_like', 11577),
(11578, 'cd05520', NULL, 'Bromo_polybromo_III', NULL, NULL, 'Bromo_polybromo_III', 11578),
(11579, 'cd13410', NULL, 'TNFRSF9', NULL, NULL, 'TNFRSF9', 11579),
(11580, 'cd08440', NULL, 'PBP2_LTTR_like_4', NULL, NULL, 'PBP2_LTTR_like_4', 11580),
(11581, 'cd14388', NULL, 'UBA2_atUBP14', NULL, NULL, 'UBA2_atUBP14', 11581),
(11582, 'cd15646', NULL, 'PHD_p300', NULL, NULL, 'PHD_p300', 11582),
(11583, 'cd00659', NULL, 'Topo_IB_C', NULL, NULL, 'Topo_IB_C', 11583),
(11584, 'cd17655', NULL, 'A_NRPS_Bac', NULL, NULL, 'A_NRPS_Bac', 11584),
(11585, 'cd12965', NULL, 'CBM-Eb_CBM-Fb', NULL, NULL, 'CBM-Eb_CBM-Fb', 11585),
(11586, 'cd12387', NULL, 'RRM3_hnRNPM_like', NULL, NULL, 'RRM3_hnRNPM_like', 11586),
(11587, 'cd16555', NULL, 'RING-HC_RNF182', NULL, NULL, 'RING-HC_RNF182', 11587),
(11588, 'cd12810', NULL, 'Esterase_713_like-3', NULL, NULL, 'Esterase_713_like-3', 11588),
(11589, 'cd00652', NULL, 'TBP_TLF', NULL, NULL, 'TBP_TLF', 11589),
(11590, 'cd14486', NULL, '3D_domain', NULL, NULL, '3D_domain', 11590),
(11591, 'cd00120', NULL, 'MADS', NULL, NULL, 'MADS', 11591),
(11592, 'cd06974', NULL, 'TerD_like', NULL, NULL, 'TerD_like', 11592),
(11593, 'cd13909', NULL, 'CuRO_3_MCO_like_3', NULL, NULL, 'CuRO_3_MCO_like_3', 11593),
(11594, 'cd09564', NULL, 'SAM_kazrin_repeat1', NULL, NULL, 'SAM_kazrin_repeat1', 11594),
(11595, 'cd02681', NULL, 'MIT_calpain7_1', NULL, NULL, 'MIT_calpain7_1', 11595),
(11596, 'cd14012', NULL, 'PK_eIF2AK_GCN2_rpt1', NULL, NULL, 'PK_eIF2AK_GCN2_rpt1', 11596),
(11597, 'cd03296', NULL, 'ABC_CysA_sulfate_importer', NULL, NULL, 'ABC_CysA_sulfate_importer', 11597),
(11598, 'cd13690', NULL, 'PBP2_GluB', NULL, NULL, 'PBP2_GluB', 11598),
(11599, 'cd12380', NULL, 'RRM3_I_PABPs', NULL, NULL, 'RRM3_I_PABPs', 11599),
(11600, 'cd19738', NULL, 'bHLH-PAS_SIM1', NULL, NULL, 'bHLH-PAS_SIM1', 11600),
(11601, 'cd03360', NULL, 'LbH_AT_putative', NULL, NULL, 'LbH_AT_putative', 11601),
(11602, 'cd15587', NULL, 'PHD_Yng1p_like', NULL, NULL, 'PHD_Yng1p_like', 11602),
(11603, 'cd05670', NULL, 'M20_Acy1_YkuR-like', NULL, NULL, 'M20_Acy1_YkuR-like', 11603);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(11604, 'cd08508', NULL, 'PBP2_NikA_DppA_OppA_like_1', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_1', 11604),
(11605, 'cd20272', NULL, 'Complex1_LYR_MIEF1-MP', NULL, NULL, 'Complex1_LYR_MIEF1-MP', 11605),
(11606, 'cd01086', NULL, 'MetAP1', NULL, NULL, 'MetAP1', 11606),
(11607, 'cd09567', NULL, 'SAM_kazrin_repeat2', NULL, NULL, 'SAM_kazrin_repeat2', 11607),
(11608, 'cd09653', NULL, 'Csa5_I-A', NULL, NULL, 'Csa5_I-A', 11608),
(11609, 'cd15978', NULL, '7tmA_CCK-AR', NULL, NULL, '7tmA_CCK-AR', 11609),
(11610, 'cd21662', NULL, 'embe-CoV_Protein-I_like', NULL, NULL, 'embe-CoV_Protein-I_like', 11610),
(11611, 'cd17029', NULL, 'T3SC_IA_SycE_SpcS-like', NULL, NULL, 'T3SC_IA_SycE_SpcS-like', 11611),
(11612, 'cd11494', NULL, 'SLC5sbd_NIS-like_u2', NULL, NULL, 'SLC5sbd_NIS-like_u2', 11612),
(11613, 'cd16617', NULL, 'mRING-HC-C4C4_CesA_plant', NULL, NULL, 'mRING-HC-C4C4_CesA_plant', 11613),
(11614, 'cd17901', NULL, 'ArfGap_ARAP1', NULL, NULL, 'ArfGap_ARAP1', 11614),
(11615, 'cd07805', NULL, 'FGGY_XK_like_2', NULL, NULL, 'FGGY_XK_like_2', 11615),
(11616, 'cd16202', NULL, 'EFh_PI-PLCdelta', NULL, NULL, 'EFh_PI-PLCdelta', 11616),
(11617, 'cd02550', NULL, 'PseudoU_synth_Rsu_Rlu_like', NULL, NULL, 'PseudoU_synth_Rsu_Rlu_like', 11617),
(11618, 'cd15600', NULL, 'PHD6_KMT2C', NULL, NULL, 'PHD6_KMT2C', 11618),
(11619, 'cd00715', NULL, 'GPATase_N', NULL, NULL, 'GPATase_N', 11619),
(11620, 'cd02673', NULL, 'Peptidase_C19Q', NULL, NULL, 'Peptidase_C19Q', 11620),
(11621, 'cd00226', NULL, 'PRCH', NULL, NULL, 'PRCH', 11621),
(11622, 'cd04113', NULL, 'Rab4', NULL, NULL, 'Rab4', 11622),
(11623, 'cd16248', NULL, 'EFh_DRP-2', NULL, NULL, 'EFh_DRP-2', 11623),
(11624, 'cd04211', NULL, 'Cupredoxin_like_2', NULL, NULL, 'Cupredoxin_like_2', 11624),
(11625, 'cd01038', NULL, 'Endonuclease_DUF559', NULL, NULL, 'Endonuclease_DUF559', 11625),
(11626, 'cd09913', NULL, 'EHD', NULL, NULL, 'EHD', 11626),
(11627, 'cd10403', NULL, 'SH2_STAP1', NULL, NULL, 'SH2_STAP1', 11627),
(11628, 'cd19172', NULL, 'SET_SETD2', NULL, NULL, 'SET_SETD2', 11628),
(11629, 'cd03174', NULL, 'DRE_TIM_metallolyase', NULL, NULL, 'DRE_TIM_metallolyase', 11629),
(11630, 'cd03506', NULL, 'Delta6-FADS-like', NULL, NULL, 'Delta6-FADS-like', 11630),
(11631, 'cd18968', NULL, 'chromodomain', NULL, NULL, 'chromodomain', 11631),
(11632, 'cd21556', NULL, 'Macro_cv_SUD-N-M_Nsp3-like', NULL, NULL, 'Macro_cv_SUD-N-M_Nsp3-like', 11632),
(11633, 'cd07128', NULL, 'ALDH_MaoC-N', NULL, NULL, 'ALDH_MaoC-N', 11633),
(11634, 'cd12295', NULL, 'RRM_YRA2', NULL, NULL, 'RRM_YRA2', 11634),
(11635, 'cd16919', NULL, 'HATPase_CckA-like', NULL, NULL, 'HATPase_CckA-like', 11635),
(11636, 'cd12880', NULL, 'SPRYD7', NULL, NULL, 'SPRYD7', 11636),
(11637, 'cd14982', NULL, '7tmA_purinoceptor-like', NULL, NULL, '7tmA_purinoceptor-like', 11637),
(11638, 'cd08846', NULL, 'ArfGap_GIT1', NULL, NULL, 'ArfGap_GIT1', 11638),
(11639, 'cd18813', NULL, 'CAP_CRISPLD1', NULL, NULL, 'CAP_CRISPLD1', 11639),
(11640, 'cd16217', NULL, 'EFh_PI-PLCdelta1', NULL, NULL, 'EFh_PI-PLCdelta1', 11640),
(11641, 'cd18219', NULL, 'BTB_POZ_ZBTB33_KAISO', NULL, NULL, 'BTB_POZ_ZBTB33_KAISO', 11641),
(11642, 'cd01244', NULL, 'PH_GAP1-like', NULL, NULL, 'PH_GAP1-like', 11642),
(11643, 'cd15763', NULL, 'FYVE_RPH3L', NULL, NULL, 'FYVE_RPH3L', 11643),
(11644, 'cd02933', NULL, 'OYE_like_FMN', NULL, NULL, 'OYE_like_FMN', 11644),
(11645, 'cd03237', NULL, 'ABC_RNaseL_inhibitor_domain2', NULL, NULL, 'ABC_RNaseL_inhibitor_domain2', 11645),
(11646, 'cd08013', NULL, 'M20_ArgE_DapE-like', NULL, NULL, 'M20_ArgE_DapE-like', 11646),
(11647, 'cd11820', NULL, 'SH3_STAM', NULL, NULL, 'SH3_STAM', 11647),
(11648, 'cd13888', NULL, 'CuRO_3_McoP_like', NULL, NULL, 'CuRO_3_McoP_like', 11648),
(11649, 'cd18642', NULL, 'CBD_MOF_like', NULL, NULL, 'CBD_MOF_like', 11649),
(11650, 'cd02683', NULL, 'MIT_1', NULL, NULL, 'MIT_1', 11650),
(11651, 'cd16320', NULL, 'MraZ_N', NULL, NULL, 'MraZ_N', 11651),
(11652, 'cd14225', NULL, 'PKc_DYRK4', NULL, NULL, 'PKc_DYRK4', 11652),
(11653, 'cd19773', NULL, 'Bbox2_TRIM23_C-IX_rpt1', NULL, NULL, 'Bbox2_TRIM23_C-IX_rpt1', 11653);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(11654, 'cd11404', NULL, 'bHLHzip_Mlx_like', NULL, NULL, 'bHLHzip_Mlx_like', 11654),
(11655, 'cd18327', NULL, 'BTB_POZ_ZBTB7B_ZBTB15', NULL, NULL, 'BTB_POZ_ZBTB7B_ZBTB15', 11655),
(11656, 'cd17752', NULL, 'BRCT_RFC1', NULL, NULL, 'BRCT_RFC1', 11656),
(11657, 'cd12790', NULL, 'RasGAP_plexin_A', NULL, NULL, 'RasGAP_plexin_A', 11657),
(11658, 'cd14968', NULL, '7tmA_Adenosine_R', NULL, NULL, '7tmA_Adenosine_R', 11658),
(11659, 'cd04477', NULL, 'RPA1N', NULL, NULL, 'RPA1N', 11659),
(11660, 'cd18720', NULL, 'PIN_YqxD-like', NULL, NULL, 'PIN_YqxD-like', 11660),
(11661, 'cd11471', NULL, 'bHLH_TS_HAND2', NULL, NULL, 'bHLH_TS_HAND2', 11661),
(11662, 'cd03150', NULL, 'alpha_CA_IX', NULL, NULL, 'alpha_CA_IX', 11662),
(11663, 'cd16328', NULL, 'RseA_N', NULL, NULL, 'RseA_N', 11663),
(11664, 'cd17308', NULL, 'PIPKc_PIP5K1C', NULL, NULL, 'PIPKc_PIP5K1C', 11664),
(11665, 'cd03673', NULL, 'Ap6A_hydrolase', NULL, NULL, 'Ap6A_hydrolase', 11665),
(11666, 'cd17544', NULL, 'REC_2_GGDEF', NULL, NULL, 'REC_2_GGDEF', 11666),
(11667, 'cd18657', NULL, 'CSD_Swi6', NULL, NULL, 'CSD_Swi6', 11667),
(11668, 'cd10410', NULL, 'SH2_SH2B1', NULL, NULL, 'SH2_SH2B1', 11668),
(11669, 'cd15198', NULL, '7tmA_GPR150', NULL, NULL, '7tmA_GPR150', 11669),
(11670, 'cd07969', NULL, 'OBF_DNA_ligase_I', NULL, NULL, 'OBF_DNA_ligase_I', 11670),
(11671, 'cd09431', NULL, 'LIM3_Fhl2', NULL, NULL, 'LIM3_Fhl2', 11671),
(11672, 'cd13172', NULL, 'RanBD2_RanBP2_insect-like', NULL, NULL, 'RanBD2_RanBP2_insect-like', 11672),
(11673, 'cd01836', NULL, 'FeeA_FeeB_like', NULL, NULL, 'FeeA_FeeB_like', 11673),
(11674, 'cd00947', NULL, 'TBP_aldolase_IIB', NULL, NULL, 'TBP_aldolase_IIB', 11674),
(11675, 'cd01253', NULL, 'PH_ARHGAP21-like', NULL, NULL, 'PH_ARHGAP21-like', 11675),
(11676, 'cd16911', NULL, 'AfaD_SafA-like', NULL, NULL, 'AfaD_SafA-like', 11676),
(11677, 'cd16970', NULL, 'Alpha_kinase_VwkA_like', NULL, NULL, 'Alpha_kinase_VwkA_like', 11677),
(11678, 'cd01998', NULL, 'tRNA_Me_trans', NULL, NULL, 'tRNA_Me_trans', 11678),
(11679, 'cd05109', NULL, 'PTKc_HER2', NULL, NULL, 'PTKc_HER2', 11679),
(11680, 'cd17315', NULL, 'MFS_GLUT_like', NULL, NULL, 'MFS_GLUT_like', 11680),
(11681, 'cd16180', NULL, 'EFh_PEF_Group_I', NULL, NULL, 'EFh_PEF_Group_I', 11681),
(11682, 'cd04437', NULL, 'DEP_Epac', NULL, NULL, 'DEP_Epac', 11682),
(11683, 'cd10509', NULL, 'Zn-ribbon_RPC11', NULL, NULL, 'Zn-ribbon_RPC11', 11683),
(11684, 'cd16409', NULL, 'ParB_N_like', NULL, NULL, 'ParB_N_like', 11684),
(11685, 'cd15723', NULL, 'FYVE_protrudin', NULL, NULL, 'FYVE_protrudin', 11685),
(11686, 'cd01815', NULL, 'Ubl_UBL7', NULL, NULL, 'Ubl_UBL7', 11686),
(11687, 'cd18215', NULL, 'BTB_POZ_ZBTB27-like', NULL, NULL, 'BTB_POZ_ZBTB27-like', 11687),
(11688, 'cd01327', NULL, 'KAZAL_PSTI', NULL, NULL, 'KAZAL_PSTI', 11688),
(11689, 'cd10488', NULL, 'MH1_R-SMAD', NULL, NULL, 'MH1_R-SMAD', 11689),
(11690, 'cd09104', NULL, 'PLDc_vPLD1_2_like_1', NULL, NULL, 'PLDc_vPLD1_2_like_1', 11690),
(11691, 'cd19335', NULL, 'Wnt_Wnt3_Wnt3a', NULL, NULL, 'Wnt_Wnt3_Wnt3a', 11691),
(11692, 'cd06266', NULL, 'RNase_HII', NULL, NULL, 'RNase_HII', 11692),
(11693, 'cd13146', NULL, 'MATE_like_6', NULL, NULL, 'MATE_like_6', 11693),
(11694, 'cd02995', NULL, 'PDI_a_PDI_a''_C', NULL, NULL, 'PDI_a_PDI_a''_C', 11694),
(11695, 'cd16333', NULL, 'RELM', NULL, NULL, 'RELM', 11695),
(11696, 'cd06403', NULL, 'PB1_Par6', NULL, NULL, 'PB1_Par6', 11696),
(11697, 'cd08538', NULL, 'SAM_PNT-ESE-2-like', NULL, NULL, 'SAM_PNT-ESE-2-like', 11697),
(11698, 'cd16877', NULL, 'ARID_ARID1B', NULL, NULL, 'ARID_ARID1B', 11698),
(11699, 'cd13978', NULL, 'STKc_RIP', NULL, NULL, 'STKc_RIP', 11699),
(11700, 'cd19351', NULL, 'Wnt_Wnt8a', NULL, NULL, 'Wnt_Wnt8a', 11700),
(11701, 'cd12022', NULL, 'SH3_p47phox_2', NULL, NULL, 'SH3_p47phox_2', 11701),
(11702, 'cd14445', NULL, 'RILP-like', NULL, NULL, 'RILP-like', 11702),
(11703, 'cd06100', NULL, 'CCL_ACL-C', NULL, NULL, 'CCL_ACL-C', 11703),
(11704, 'cd14510', NULL, 'PTP_VSP_TPTE', NULL, NULL, 'PTP_VSP_TPTE', 11704),
(11705, 'cd20235', NULL, 'PFM_spherulin-2a-like', NULL, NULL, 'PFM_spherulin-2a-like', 11705);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(11706, 'cd07011', NULL, 'cupin_PMI_type_I_N', NULL, NULL, 'cupin_PMI_type_I_N', 11706),
(11707, 'cd12150', NULL, 'talin-RS', NULL, NULL, 'talin-RS', 11707),
(11708, 'cd17058', NULL, 'Ubl_SNRNP25', NULL, NULL, 'Ubl_SNRNP25', 11708),
(11709, 'cd01089', NULL, 'PA2G4-like', NULL, NULL, 'PA2G4-like', 11709),
(11710, 'cd09441', NULL, 'LIM2_SF3', NULL, NULL, 'LIM2_SF3', 11710),
(11711, 'cd06389', NULL, 'PBP1_iGluR_AMPA_GluR2', NULL, NULL, 'PBP1_iGluR_AMPA_GluR2', 11711),
(11712, 'cd05819', NULL, 'NHL', NULL, NULL, 'NHL', 11712),
(11713, 'cd12300', NULL, 'RRM1_PAR14', NULL, NULL, 'RRM1_PAR14', 11713),
(11714, 'cd11598', NULL, 'HDAC_Hos2', NULL, NULL, 'HDAC_Hos2', 11714),
(11715, 'cd14827', NULL, 'AP_sigma', NULL, NULL, 'AP_sigma', 11715),
(11716, 'cd06211', NULL, 'phenol_2-monooxygenase_like', NULL, NULL, 'phenol_2-monooxygenase_like', 11716),
(11717, 'cd08891', NULL, 'SRPBCC_CalC', NULL, NULL, 'SRPBCC_CalC', 11717),
(11718, 'cd01899', NULL, 'Ygr210', NULL, NULL, 'Ygr210', 11718),
(11719, 'cd07048', NULL, 'BMC_PduB_repeat2', NULL, NULL, 'BMC_PduB_repeat2', 11719),
(11720, 'cd09505', NULL, 'SAM_WDSUB1', NULL, NULL, 'SAM_WDSUB1', 11720),
(11721, 'cd18819', NULL, 'GH43_LbAraf43-like', NULL, NULL, 'GH43_LbAraf43-like', 11721),
(11722, 'cd19791', NULL, 'Bbox2_TRIM60-like', NULL, NULL, 'Bbox2_TRIM60-like', 11722),
(11723, 'cd16955', NULL, 'HATPase_YpdA-like', NULL, NULL, 'HATPase_YpdA-like', 11723),
(11724, 'cd11295', NULL, 'Mago_nashi', NULL, NULL, 'Mago_nashi', 11724),
(11725, 'cd11240', NULL, 'Sema_4', NULL, NULL, 'Sema_4', 11725),
(11726, 'cd19374', NULL, 'UDG-F3_SMUG1-like', NULL, NULL, 'UDG-F3_SMUG1-like', 11726),
(11727, 'cd10507', NULL, 'Zn-ribbon_RPA12', NULL, NULL, 'Zn-ribbon_RPA12', 11727),
(11728, 'cd01192', NULL, 'INT_C_like_3', NULL, NULL, 'INT_C_like_3', 11728),
(11729, 'cd15034', NULL, '7tmF_FZD1_2_7-like', NULL, NULL, '7tmF_FZD1_2_7-like', 11729),
(11730, 'cd09846', NULL, 'DUF1312', NULL, NULL, 'DUF1312', 11730),
(11731, 'cd17721', NULL, 'BRCT_BRCA1_rpt2', NULL, NULL, 'BRCT_BRCA1_rpt2', 11731),
(11732, 'cd16893', NULL, 'LT_MltC_MltE', NULL, NULL, 'LT_MltC_MltE', 11732),
(11733, 'cd13123', NULL, 'MATE_MurJ_like', NULL, NULL, 'MATE_MurJ_like', 11733),
(11734, 'cd19447', NULL, 'L-BABP-like', NULL, NULL, 'L-BABP-like', 11734),
(11735, 'cd07771', NULL, 'FGGY_RhuK', NULL, NULL, 'FGGY_RhuK', 11735),
(11736, 'cd11419', NULL, 'bHLHzip_TFAP4', NULL, NULL, 'bHLHzip_TFAP4', 11736),
(11737, 'cd17325', NULL, 'MFS_MdtG_SLC18_like', NULL, NULL, 'MFS_MdtG_SLC18_like', 11737),
(11738, 'cd15414', NULL, '7tmA_OR5G-like', NULL, NULL, '7tmA_OR5G-like', 11738),
(11739, 'cd04024', NULL, 'C2A_Synaptotagmin-like', NULL, NULL, 'C2A_Synaptotagmin-like', 11739),
(11740, 'cd05303', NULL, 'PGDH_2', NULL, NULL, 'PGDH_2', 11740),
(11741, 'cd11636', NULL, 'HR1_PKN1_3', NULL, NULL, 'HR1_PKN1_3', 11741),
(11742, 'cd12349', NULL, 'RRM2_SHARP', NULL, NULL, 'RRM2_SHARP', 11742),
(11743, 'cd08876', NULL, 'START_1', NULL, NULL, 'START_1', 11743),
(11744, 'cd03307', NULL, 'Mta_CmuA_like', NULL, NULL, 'Mta_CmuA_like', 11744),
(11745, 'cd10276', NULL, 'BamB_YfgL', NULL, NULL, 'BamB_YfgL', 11745),
(11746, 'cd04765', NULL, 'HTH_MlrA-like_sg2', NULL, NULL, 'HTH_MlrA-like_sg2', 11746),
(11747, 'cd01025', NULL, 'TOPRIM_recR', NULL, NULL, 'TOPRIM_recR', 11747),
(11748, 'cd02947', NULL, 'TRX_family', NULL, NULL, 'TRX_family', 11748),
(11749, 'cd12324', NULL, 'RRM_RBM8', NULL, NULL, 'RRM_RBM8', 11749),
(11750, 'cd14675', NULL, 'PH-SEC3_like', NULL, NULL, 'PH-SEC3_like', 11750),
(11751, 'cd05748', NULL, 'Ig_Titin_like', NULL, NULL, 'Ig_Titin_like', 11751),
(11752, 'cd18818', NULL, 'GH43_GbtXyl43B-like', NULL, NULL, 'GH43_GbtXyl43B-like', 11752),
(11753, 'cd18204', NULL, 'BTB_POZ_ZBTB14', NULL, NULL, 'BTB_POZ_ZBTB14', 11753),
(11754, 'cd10526', NULL, 'SET_SMYD1', NULL, NULL, 'SET_SMYD1', 11754),
(11755, 'cd15255', NULL, '7tmB2_GPR144', NULL, NULL, '7tmB2_GPR144', 11755),
(11756, 'cd06954', NULL, 'NR_LBD_LXR', NULL, NULL, 'NR_LBD_LXR', 11756),
(11757, 'cd01092', NULL, 'APP-like', NULL, NULL, 'APP-like', 11757),
(11758, 'cd07669', NULL, 'BAR_SNX33', NULL, NULL, 'BAR_SNX33', 11758); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(11759, 'cd01282', NULL, 'HTH_MerR-like_sg3', NULL, NULL, 'HTH_MerR-like_sg3', 11759),
(11760, 'cd01016', NULL, 'TroA', NULL, NULL, 'TroA', 11760),
(11761, 'cd16985', NULL, 'ANTH_N_AP180', NULL, NULL, 'ANTH_N_AP180', 11761),
(11762, 'cd03375', NULL, 'TPP_OGFOR', NULL, NULL, 'TPP_OGFOR', 11762),
(11763, 'cd10497', NULL, 'MH2_SMAD_1_5_9', NULL, NULL, 'MH2_SMAD_1_5_9', 11763),
(11764, 'cd16585', NULL, 'RING-HC_TIF1_C-VI', NULL, NULL, 'RING-HC_TIF1_C-VI', 11764),
(11765, 'cd18072', NULL, 'DEXHc_TTF2', NULL, NULL, 'DEXHc_TTF2', 11765),
(11766, 'cd14395', NULL, 'UBA_BIRC4_8', NULL, NULL, 'UBA_BIRC4_8', 11766),
(11767, 'cd11620', NULL, 'HR1_PKC-like_2_fungi', NULL, NULL, 'HR1_PKC-like_2_fungi', 11767),
(11768, 'cd19445', NULL, 'FABP2', NULL, NULL, 'FABP2', 11768),
(11769, 'cd19790', NULL, 'Bbox2_TRIM59_C-XI', NULL, NULL, 'Bbox2_TRIM59_C-XI', 11769),
(11770, 'cd12325', NULL, 'RRM1_hnRNPA_hnRNPD_like', NULL, NULL, 'RRM1_hnRNPA_hnRNPD_like', 11770),
(11771, 'cd00137', NULL, 'PI-PLCc', NULL, NULL, 'PI-PLCc', 11771),
(11772, 'cd16026', NULL, 'GALNS_like', NULL, NULL, 'GALNS_like', 11772),
(11773, 'cd12163', NULL, '2-Hacid_dh_5', NULL, NULL, '2-Hacid_dh_5', 11773),
(11774, 'cd15572', NULL, 'PHD_BRPF', NULL, NULL, 'PHD_BRPF', 11774),
(11775, 'cd12604', NULL, 'RRM_RALY', NULL, NULL, 'RRM_RALY', 11775),
(11776, 'cd13174', NULL, 'RanBD4_RanBP2_insect-like', NULL, NULL, 'RanBD4_RanBP2_insect-like', 11776),
(11777, 'cd14804', NULL, 'Tra_M', NULL, NULL, 'Tra_M', 11777),
(11778, 'cd00763', NULL, 'Bacterial_PFK', NULL, NULL, 'Bacterial_PFK', 11778),
(11779, 'cd17125', NULL, 'Ubl_TECRL', NULL, NULL, 'Ubl_TECRL', 11779),
(11780, 'cd11381', NULL, 'NSA2', NULL, NULL, 'NSA2', 11780),
(11781, 'cd19458', NULL, 'lipocalin_12', NULL, NULL, 'lipocalin_12', 11781),
(11782, 'cd04098', NULL, 'eEF2_C_snRNP', NULL, NULL, 'eEF2_C_snRNP', 11782),
(11783, 'cd01792', NULL, 'Ubl1_ISG15', NULL, NULL, 'Ubl1_ISG15', 11783),
(11784, 'cd14100', NULL, 'STKc_PIM1', NULL, NULL, 'STKc_PIM1', 11784),
(11785, 'cd03536', NULL, 'Rieske_RO_Alpha_DTDO', NULL, NULL, 'Rieske_RO_Alpha_DTDO', 11785),
(11786, 'cd08692', NULL, 'C2B_Tac2-N', NULL, NULL, 'C2B_Tac2-N', 11786),
(11787, 'cd07813', NULL, 'COQ10p_like', NULL, NULL, 'COQ10p_like', 11787),
(11788, 'cd03422', NULL, 'YedF', NULL, NULL, 'YedF', 11788),
(11789, 'cd10517', NULL, 'SET_SETDB1', NULL, NULL, 'SET_SETDB1', 11789),
(11790, 'cd14988', NULL, '7tmA_GPR182', NULL, NULL, '7tmA_GPR182', 11790),
(11791, 'cd18340', NULL, 'BTB_POZ_KLHL40_KBTBD5', NULL, NULL, 'BTB_POZ_KLHL40_KBTBD5', 11791),
(11792, 'cd04238', NULL, 'AAK_NAGK-like', NULL, NULL, 'AAK_NAGK-like', 11792),
(11793, 'cd03494', NULL, 'SQR_TypeC_SdhD', NULL, NULL, 'SQR_TypeC_SdhD', 11793),
(11794, 'cd12533', NULL, 'RRM_EWS', NULL, NULL, 'RRM_EWS', 11794),
(11795, 'cd12188', NULL, 'SDH', NULL, NULL, 'SDH', 11795),
(11796, 'cd14835', NULL, 'AP1_Mu_N', NULL, NULL, 'AP1_Mu_N', 11796),
(11797, 'cd02893', NULL, 'FTase', NULL, NULL, 'FTase', 11797),
(11798, 'cd11525', NULL, 'SYLF_SH3YL1_like', NULL, NULL, 'SYLF_SH3YL1_like', 11798),
(11799, 'cd19339', NULL, 'Wnt_Wnt7', NULL, NULL, 'Wnt_Wnt7', 11799),
(11800, 'cd03440', NULL, 'hot_dog', NULL, NULL, 'hot_dog', 11800),
(11801, 'cd15117', NULL, '7tmA_FPR-like', NULL, NULL, '7tmA_FPR-like', 11801),
(11802, 'cd01030', NULL, 'TOPRIM_TopoIIA_like', NULL, NULL, 'TOPRIM_TopoIIA_like', 11802),
(11803, 'cd17939', NULL, 'DEADc_EIF4A', NULL, NULL, 'DEADc_EIF4A', 11803),
(11804, 'cd03471', NULL, 'Rieske_cytochrome_b6f', NULL, NULL, 'Rieske_cytochrome_b6f', 11804),
(11805, 'cd04229', NULL, 'CuRO_1_Ceruloplasmin_like_1', NULL, NULL, 'CuRO_1_Ceruloplasmin_like_1', 11805),
(11806, 'cd12026', NULL, 'SH3_ZO-1', NULL, NULL, 'SH3_ZO-1', 11806),
(11807, 'cd19085', NULL, 'AKR_AKR11B3', NULL, NULL, 'AKR_AKR11B3', 11807),
(11808, 'cd06959', NULL, 'NR_DBD_EcR_like', NULL, NULL, 'NR_DBD_EcR_like', 11808),
(11809, 'cd19713', NULL, 'bHLH_TS_ATOH1', NULL, NULL, 'bHLH_TS_ATOH1', 11809),
(11810, 'cd05574', NULL, 'STKc_phototropin_like', NULL, NULL, 'STKc_phototropin_like', 11810),
(11811, 'cd16968', NULL, 'Alpha_kinase_MHCK_like', NULL, NULL, 'Alpha_kinase_MHCK_like', 11811);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(11812, 'cd06347', NULL, 'PBP1_ABC_LivK_ligand_binding-like', NULL, NULL, 'PBP1_ABC_LivK_ligand_binding-like', 11812),
(11813, 'cd14040', NULL, 'STKc_TLK1', NULL, NULL, 'STKc_TLK1', 11813),
(11814, 'cd07178', NULL, 'terB_like_YebE', NULL, NULL, 'terB_like_YebE', 11814),
(11815, 'cd17593', NULL, 'REC_CheC-like', NULL, NULL, 'REC_CheC-like', 11815),
(11816, 'cd17071', NULL, 'DCX1_DCDC2_like', NULL, NULL, 'DCX1_DCDC2_like', 11816),
(11817, 'cd17184', NULL, 'FERM_F1_KIND2', NULL, NULL, 'FERM_F1_KIND2', 11817),
(11818, 'cd19027', NULL, 'LGIC_ECD_nAChR_B4', NULL, NULL, 'LGIC_ECD_nAChR_B4', 11818),
(11819, 'cd13368', NULL, 'PH_BCR_arthropod', NULL, NULL, 'PH_BCR_arthropod', 11819),
(11820, 'cd11519', NULL, 'SLC5sbd_SMCT1', NULL, NULL, 'SLC5sbd_SMCT1', 11820),
(11821, 'cd20007', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 11821),
(11822, 'cd10463', NULL, 'PUB_WLM', NULL, NULL, 'PUB_WLM', 11822),
(11823, 'cd18274', NULL, 'BTB_POZ_KBTBD8', NULL, NULL, 'BTB_POZ_KBTBD8', 11823),
(11824, 'cd05135', NULL, 'RasGAP_RASAL', NULL, NULL, 'RasGAP_RASAL', 11824),
(11825, 'cd08639', NULL, 'DNA_pol_A_Aquificae_like', NULL, NULL, 'DNA_pol_A_Aquificae_like', 11825),
(11826, 'cd09299', NULL, 'TDT', NULL, NULL, 'TDT', 11826),
(11827, 'cd04973', NULL, 'Ig1_FGFR', NULL, NULL, 'Ig1_FGFR', 11827),
(11828, 'cd09946', NULL, 'SH2_HSH2_like', NULL, NULL, 'SH2_HSH2_like', 11828),
(11829, 'cd14566', NULL, 'DSP_MKP_classII', NULL, NULL, 'DSP_MKP_classII', 11829),
(11830, 'cd17050', NULL, 'Ubl1_ANKUB1', NULL, NULL, 'Ubl1_ANKUB1', 11830),
(11831, 'cd07221', NULL, 'Pat_PNPLA3', NULL, NULL, 'Pat_PNPLA3', 11831),
(11832, 'cd09224', NULL, 'CytoC_RC', NULL, NULL, 'CytoC_RC', 11832),
(11833, 'cd00161', NULL, 'RICIN', NULL, NULL, 'RICIN', 11833),
(11834, 'cd06416', NULL, 'GH25_Lys1-like', NULL, NULL, 'GH25_Lys1-like', 11834),
(11835, 'cd00546', NULL, 'QFR_TypeD_subunitC', NULL, NULL, 'QFR_TypeD_subunitC', 11835),
(11836, 'cd11393', NULL, 'bHLH_AtbHLH_like', NULL, NULL, 'bHLH_AtbHLH_like', 11836),
(11837, 'cd17487', NULL, 'MFS_MFSD5_like', NULL, NULL, 'MFS_MFSD5_like', 11837),
(11838, 'cd07622', NULL, 'BAR_SNX4', NULL, NULL, 'BAR_SNX4', 11838),
(11839, 'cd09894', NULL, 'NGN_SP_AnfA1', NULL, NULL, 'NGN_SP_AnfA1', 11839),
(11840, 'cd04106', NULL, 'Rab23_like', NULL, NULL, 'Rab23_like', 11840),
(11841, 'sd00044', NULL, 'HEAT', NULL, NULL, 'HEAT', 11841),
(11842, 'cd18753', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 11842),
(11843, 'cd11466', NULL, 'bHLH_TS_HAND', NULL, NULL, 'bHLH_TS_HAND', 11843),
(11844, 'cd16215', NULL, 'EFh_PI-PLCgamma2', NULL, NULL, 'EFh_PI-PLCgamma2', 11844),
(11845, 'cd14892', NULL, 'MYSc_Myo31', NULL, NULL, 'MYSc_Myo31', 11845),
(11846, 'cd07690', NULL, 'Ig1_CD4', NULL, NULL, 'Ig1_CD4', 11846),
(11847, 'cd15225', NULL, '7tmA_OR10A-like', NULL, NULL, '7tmA_OR10A-like', 11847),
(11848, 'cd15193', NULL, '7tmA_GPR25', NULL, NULL, '7tmA_GPR25', 11848),
(11849, 'cd16606', NULL, 'RING-HC_TRIM58_C-IV', NULL, NULL, 'RING-HC_TRIM58_C-IV', 11849),
(11850, 'cd19090', NULL, 'AKR_AKR15A-like', NULL, NULL, 'AKR_AKR15A-like', 11850),
(11851, 'cd15827', NULL, 'SPRY_PRY_TRIM10', NULL, NULL, 'SPRY_PRY_TRIM10', 11851),
(11852, 'cd09528', NULL, 'SAM_Samd9_Samd9L', NULL, NULL, 'SAM_Samd9_Samd9L', 11852),
(11853, 'cd16991', NULL, 'ENTH_Ent1_Ent2', NULL, NULL, 'ENTH_Ent1_Ent2', 11853),
(11854, 'cd09019', NULL, 'galactose_mutarotase_like', NULL, NULL, 'galactose_mutarotase_like', 11854),
(11855, 'cd19052', NULL, 'LGIC_TM_GABAAR_alpha', NULL, NULL, 'LGIC_TM_GABAAR_alpha', 11855),
(11856, 'cd07059', NULL, 'BMC_PduA', NULL, NULL, 'BMC_PduA', 11856),
(11857, 'cd07434', NULL, 'PHP_PolIIIA_DnaE2', NULL, NULL, 'PHP_PolIIIA_DnaE2', 11857),
(11858, 'cd17391', NULL, 'MFS_MdtG_MDR_like', NULL, NULL, 'MFS_MdtG_MDR_like', 11858),
(11859, 'cd08403', NULL, 'C2B_Synaptotagmin-3-5-6-9-10', NULL, NULL, 'C2B_Synaptotagmin-3-5-6-9-10', 11859),
(11860, 'cd10170', NULL, 'HSP70_NBD', NULL, NULL, 'HSP70_NBD', 11860),
(11861, 'cd04137', NULL, 'RheB', NULL, NULL, 'RheB', 11861),
(11862, 'cd07795', NULL, 'FGGY_ScGut1p_like', NULL, NULL, 'FGGY_ScGut1p_like', 11862);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(11863, 'cd19124', NULL, 'AKR_AKR4A_4B', NULL, NULL, 'AKR_AKR4A_4B', 11863),
(11864, 'cd07199', NULL, 'Pat17_PNPLA8_PNPLA9_like', NULL, NULL, 'Pat17_PNPLA8_PNPLA9_like', 11864),
(11865, 'cd01426', NULL, 'ATP-synt_F1_V1_A1_AB_FliI_N', NULL, NULL, 'ATP-synt_F1_V1_A1_AB_FliI_N', 11865),
(11866, 'cd11423', NULL, 'bHLH_TS_musculin_like', NULL, NULL, 'bHLH_TS_musculin_like', 11866),
(11867, 'cd14536', NULL, 'PTP-MTMR9', NULL, NULL, 'PTP-MTMR9', 11867),
(11868, 'cd16683', NULL, 'RING-H2_RNF139', NULL, NULL, 'RING-H2_RNF139', 11868),
(11869, 'cd11317', NULL, 'AmyAc_bac_euk_AmyA', NULL, NULL, 'AmyAc_bac_euk_AmyA', 11869),
(11870, 'cd04692', NULL, 'Nudix_Hydrolase_33', NULL, NULL, 'Nudix_Hydrolase_33', 11870),
(11871, 'cd04857', NULL, 'Peptidases_S8_Tripeptidyl_Aminopeptidase_II', NULL, NULL, 'Peptidases_S8_Tripeptidyl_Aminopeptidase_II', 11871),
(11872, 'cd05022', NULL, 'S-100A13', NULL, NULL, 'S-100A13', 11872),
(11873, 'cd13250', NULL, 'PH_ACAP', NULL, NULL, 'PH_ACAP', 11873),
(11874, 'cd16531', NULL, 'RING-HC_RING1_like', NULL, NULL, 'RING-HC_RING1_like', 11874),
(11875, 'cd10973', NULL, 'CE4_DAC_u4_5s', NULL, NULL, 'CE4_DAC_u4_5s', 11875),
(11876, 'cd14861', NULL, 'Fe-ADH-like', NULL, NULL, 'Fe-ADH-like', 11876),
(11877, 'cd15525', NULL, 'PHD_UHRF1_2', NULL, NULL, 'PHD_UHRF1_2', 11877),
(11878, 'cd17111', NULL, 'RA1_DAGK-theta', NULL, NULL, 'RA1_DAGK-theta', 11878),
(11879, 'cd05481', NULL, 'retropepsin_like_LTR_1', NULL, NULL, 'retropepsin_like_LTR_1', 11879),
(11880, 'cd08981', NULL, 'GH43_Bt1873-like', NULL, NULL, 'GH43_Bt1873-like', 11880),
(11881, 'cd02961', NULL, 'PDI_a_family', NULL, NULL, 'PDI_a_family', 11881),
(11882, 'cd03489', NULL, 'Topoisomer_IB_N_LdtopoI_like', NULL, NULL, 'Topoisomer_IB_N_LdtopoI_like', 11882),
(11883, 'cd06406', NULL, 'PB1_P67', NULL, NULL, 'PB1_P67', 11883),
(11884, 'cd13226', NULL, 'PH-GRAM-like_Eap45', NULL, NULL, 'PH-GRAM-like_Eap45', 11884),
(11885, 'cd19093', NULL, 'AKR_AtPLR-like', NULL, NULL, 'AKR_AtPLR-like', 11885),
(11886, 'cd21410', NULL, '1B_av_Nsp10-like', NULL, NULL, '1B_av_Nsp10-like', 11886),
(11887, 'cd01721', NULL, 'Sm_D3', NULL, NULL, 'Sm_D3', 11887),
(11888, 'cd19377', NULL, 'TGF_beta_INHA_B_like', NULL, NULL, 'TGF_beta_INHA_B_like', 11888),
(11889, 'cd05769', NULL, 'IgC_TCR_beta', NULL, NULL, 'IgC_TCR_beta', 11889),
(11890, 'cd18935', NULL, 'bHLH_TS_MYOG_Myf4', NULL, NULL, 'bHLH_TS_MYOG_Myf4', 11890),
(11891, 'cd09873', NULL, 'PIN_Pae0151-like', NULL, NULL, 'PIN_Pae0151-like', 11891),
(11892, 'cd03713', NULL, 'EFG_mtEFG_C', NULL, NULL, 'EFG_mtEFG_C', 11892),
(11893, 'cd18097', NULL, 'SpoU-like', NULL, NULL, 'SpoU-like', 11893),
(11894, 'cd18302', NULL, 'BTB2_POZ_IBtk', NULL, NULL, 'BTB2_POZ_IBtk', 11894),
(11895, 'cd15700', NULL, 'ePHD_RAI1', NULL, NULL, 'ePHD_RAI1', 11895),
(11896, 'cd17872', NULL, 'GPN3', NULL, NULL, 'GPN3', 11896),
(11897, 'cd13240', NULL, 'PH1_Kalirin_Trio_like', NULL, NULL, 'PH1_Kalirin_Trio_like', 11897),
(11898, 'cd15471', NULL, 'Myo5p-like_CBD_afadin', NULL, NULL, 'Myo5p-like_CBD_afadin', 11898),
(11899, 'cd12368', NULL, 'RRM3_RBM45', NULL, NULL, 'RRM3_RBM45', 11899),
(11900, 'cd00350', NULL, 'rubredoxin_like', NULL, NULL, 'rubredoxin_like', 11900),
(11901, 'cd12490', NULL, 'RRM2_ACF', NULL, NULL, 'RRM2_ACF', 11901),
(11902, 'cd08360', NULL, 'MhqB_like_C', NULL, NULL, 'MhqB_like_C', 11902),
(11903, 'cd00316', NULL, 'Oxidoreductase_nitrogenase', NULL, NULL, 'Oxidoreductase_nitrogenase', 11903),
(11904, 'cd02781', NULL, 'MopB_CT_Acetylene-hydratase', NULL, NULL, 'MopB_CT_Acetylene-hydratase', 11904),
(11905, 'cd03197', NULL, 'GST_C_mPGES2', NULL, NULL, 'GST_C_mPGES2', 11905),
(11906, 'cd01891', NULL, 'TypA_BipA', NULL, NULL, 'TypA_BipA', 11906),
(11907, 'cd15367', NULL, '7tmA_GPR68_OGR1', NULL, NULL, '7tmA_GPR68_OGR1', 11907),
(11908, 'cd11994', NULL, 'SH3_Intersectin2_4', NULL, NULL, 'SH3_Intersectin2_4', 11908),
(11909, 'cd11579', NULL, 'Glyco_tran_WbsX', NULL, NULL, 'Glyco_tran_WbsX', 11909),
(11910, 'cd00670', NULL, 'Gly_His_Pro_Ser_Thr_tRS_core', NULL, NULL, 'Gly_His_Pro_Ser_Thr_tRS_core', 11910),
(11911, 'cd19964', NULL, 'PBP1_BMP-like', NULL, NULL, 'PBP1_BMP-like', 11911);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(11912, 'cd11985', NULL, 'SH3_Stac2_C', NULL, NULL, 'SH3_Stac2_C', 11912),
(11913, 'cd05080', NULL, 'PTKc_Tyk2_rpt2', NULL, NULL, 'PTKc_Tyk2_rpt2', 11913),
(11914, 'cd15070', NULL, '7tmA_Adenosine_R_A3', NULL, NULL, '7tmA_Adenosine_R_A3', 11914),
(11915, 'cd04866', NULL, 'LigD_Pol_like_3', NULL, NULL, 'LigD_Pol_like_3', 11915),
(11916, 'cd12344', NULL, 'RRM1_SECp43_like', NULL, NULL, 'RRM1_SECp43_like', 11916),
(11917, 'cd16222', NULL, 'EFh_PRIP1', NULL, NULL, 'EFh_PRIP1', 11917),
(11918, 'cd17940', NULL, 'DEADc_DDX6', NULL, NULL, 'DEADc_DDX6', 11918),
(11919, 'cd11945', NULL, 'SH3_Endophilin_B1', NULL, NULL, 'SH3_Endophilin_B1', 11919),
(11920, 'cd21560', NULL, 'betaCoV-Nsp6', NULL, NULL, 'betaCoV-Nsp6', 11920),
(11921, 'cd06933', NULL, 'NR_LBD_VDR', NULL, NULL, 'NR_LBD_VDR', 11921),
(11922, 'cd16005', NULL, '7tmB2_Latrophilin-3', NULL, NULL, '7tmB2_Latrophilin-3', 11922),
(11923, 'cd07140', NULL, 'ALDH_F1L_FTFDH', NULL, NULL, 'ALDH_F1L_FTFDH', 11923),
(11924, 'cd13737', NULL, 'SPRY_PRY_TRIM25-like', NULL, NULL, 'SPRY_PRY_TRIM25-like', 11924),
(11925, 'cd17329', NULL, 'MFS_MdtH_MDR_like', NULL, NULL, 'MFS_MdtH_MDR_like', 11925),
(11926, 'cd10438', NULL, 'GIY-YIG_MSH', NULL, NULL, 'GIY-YIG_MSH', 11926),
(11927, 'cd06641', NULL, 'STKc_MST3', NULL, NULL, 'STKc_MST3', 11927),
(11928, 'cd09977', NULL, 'LOTUS_1_Limkain_b1', NULL, NULL, 'LOTUS_1_Limkain_b1', 11928),
(11929, 'cd12190', NULL, 'Bacova_04320_like', NULL, NULL, 'Bacova_04320_like', 11929),
(11930, 'cd16789', NULL, 'mRING-HC-C3HC5_MGRN1_like---blasttree', NULL, NULL, 'mRING-HC-C3HC5_MGRN1_like---blasttree', 11930),
(11931, 'cd11836', NULL, 'SH3_Intersectin_1', NULL, NULL, 'SH3_Intersectin_1', 11931),
(11932, 'cd16863', NULL, 'ING_ING5', NULL, NULL, 'ING_ING5', 11932),
(11933, 'cd10366', NULL, 'SH2_Src_Yes', NULL, NULL, 'SH2_Src_Yes', 11933),
(11934, 'cd09919', NULL, 'SH2_STAT_family', NULL, NULL, 'SH2_STAT_family', 11934),
(11935, 'cd00855', NULL, 'SWIB-MDM2', NULL, NULL, 'SWIB-MDM2', 11935),
(11936, 'cd14986', NULL, '7tmA_Vasopressin-like', NULL, NULL, '7tmA_Vasopressin-like', 11936),
(11937, 'cd01058', NULL, 'AAMH_B', NULL, NULL, 'AAMH_B', 11937),
(11938, 'cd16623', NULL, 'RING-HC_RBR_TRIAD1_like', NULL, NULL, 'RING-HC_RBR_TRIAD1_like', 11938),
(11939, 'cd16545', NULL, 'RING-HC_RNF141', NULL, NULL, 'RING-HC_RNF141', 11939),
(11940, 'cd19050', NULL, 'LGIC_TM_bact', NULL, NULL, 'LGIC_TM_bact', 11940),
(11941, 'cd07302', NULL, 'CHD', NULL, NULL, 'CHD', 11941),
(11942, 'cd06380', NULL, 'PBP1_iGluR_AMPA', NULL, NULL, 'PBP1_iGluR_AMPA', 11942),
(11943, 'cd11993', NULL, 'SH3_Intersectin1_4', NULL, NULL, 'SH3_Intersectin1_4', 11943),
(11944, 'cd18233', NULL, 'BTB_POZ_ZBTB49', NULL, NULL, 'BTB_POZ_ZBTB49', 11944),
(11945, 'cd05914', NULL, 'LC_FACL_like', NULL, NULL, 'LC_FACL_like', 11945),
(11946, 'cd07355', NULL, 'HN_L-delphilin-R2_like', NULL, NULL, 'HN_L-delphilin-R2_like', 11946),
(11947, 'cd03773', NULL, 'MATH_TRIM37', NULL, NULL, 'MATH_TRIM37', 11947),
(11948, 'cd17425', NULL, 'MFS_MCT6', NULL, NULL, 'MFS_MCT6', 11948),
(11949, 'cd01760', NULL, 'RBD', NULL, NULL, 'RBD', 11949),
(11950, 'cd13974', NULL, 'STKc_SHIK', NULL, NULL, 'STKc_SHIK', 11950),
(11951, 'cd20762', NULL, 'capping_2-OMTase_Nidovirales', NULL, NULL, 'capping_2-OMTase_Nidovirales', 11951),
(11952, 'cd18279', NULL, 'BTB_POZ_SPOP-like', NULL, NULL, 'BTB_POZ_SPOP-like', 11952),
(11953, 'cd06593', NULL, 'GH31_xylosidase_YicI', NULL, NULL, 'GH31_xylosidase_YicI', 11953),
(11954, 'cd08375', NULL, 'C2_Intersectin', NULL, NULL, 'C2_Intersectin', 11954),
(11955, 'cd17005', NULL, 'CID_SFRS15_SCAF4', NULL, NULL, 'CID_SFRS15_SCAF4', 11955),
(11956, 'cd04792', NULL, 'LanM-like', NULL, NULL, 'LanM-like', 11956),
(11957, 'cd18420', NULL, 'BTB_POZ_Shal-like', NULL, NULL, 'BTB_POZ_Shal-like', 11957),
(11958, 'cd13662', NULL, 'PBP2_TpPotD_like', NULL, NULL, 'PBP2_TpPotD_like', 11958),
(11959, 'cd14129', NULL, 'STKc_TTBK2', NULL, NULL, 'STKc_TTBK2', 11959),
(11960, 'cd05901', NULL, 'Ig_Versican', NULL, NULL, 'Ig_Versican', 11960),
(11961, 'cd09916', NULL, 'CpxP_like', NULL, NULL, 'CpxP_like', 11961);
INSERT INTO "PUBLIC"."MODEL" VALUES
(11962, 'cd15333', NULL, '7tmA_5-HT1B_1D', NULL, NULL, '7tmA_5-HT1B_1D', 11962),
(11963, 'cd16193', NULL, 'EFh_PEF_CAPN11', NULL, NULL, 'EFh_PEF_CAPN11', 11963),
(11964, 'cd16082', NULL, 'IgC_CRIg', NULL, NULL, 'IgC_CRIg', 11964),
(11965, 'cd15494', NULL, 'PHD_ATX1_2_like', NULL, NULL, 'PHD_ATX1_2_like', 11965),
(11966, 'cd01197', NULL, 'INT_FimBE_like', NULL, NULL, 'INT_FimBE_like', 11966),
(11967, 'cd12555', NULL, 'RRM2_RBM15', NULL, NULL, 'RRM2_RBM15', 11967),
(11968, 'cd10389', NULL, 'SH2_SHB', NULL, NULL, 'SH2_SHB', 11968),
(11969, 'cd15935', NULL, '7tmA_OR4Q3-like', NULL, NULL, '7tmA_OR4Q3-like', 11969),
(11970, 'cd03273', NULL, 'ABC_SMC2_euk', NULL, NULL, 'ABC_SMC2_euk', 11970),
(11971, 'cd10467', NULL, 'FAM20_C_like', NULL, NULL, 'FAM20_C_like', 11971),
(11972, 'cd10962', NULL, 'CE4_GT2-like', NULL, NULL, 'CE4_GT2-like', 11972),
(11973, 'cd13578', NULL, 'PBP2_Bug27', NULL, NULL, 'PBP2_Bug27', 11973),
(11974, 'cd18228', NULL, 'BTB_POZ_ZBTB44', NULL, NULL, 'BTB_POZ_ZBTB44', 11974),
(11975, 'cd12372', NULL, 'RRM_CFIm68_CFIm59', NULL, NULL, 'RRM_CFIm68_CFIm59', 11975),
(11976, 'cd16428', NULL, 'TcpC_C', NULL, NULL, 'TcpC_C', 11976),
(11977, 'cd05029', NULL, 'S-100A6', NULL, NULL, 'S-100A6', 11977),
(11978, 'cd15728', NULL, 'FYVE_ANFY1', NULL, NULL, 'FYVE_ANFY1', 11978),
(11979, 'cd16299', NULL, 'IND_BlaB-like_MBL-B1', NULL, NULL, 'IND_BlaB-like_MBL-B1', 11979),
(11980, 'cd04794', NULL, 'euk_LANCL', NULL, NULL, 'euk_LANCL', 11980),
(11981, 'cd07387', NULL, 'MPP_PolD2_C', NULL, NULL, 'MPP_PolD2_C', 11981),
(11982, 'cd05033', NULL, 'PTKc_EphR', NULL, NULL, 'PTKc_EphR', 11982),
(11983, 'cd02227', NULL, 'cupin_TM1112-like', NULL, NULL, 'cupin_TM1112-like', 11983),
(11984, 'cd00667', NULL, 'ring_hydroxylating_dioxygenases_beta', NULL, NULL, 'ring_hydroxylating_dioxygenases_beta', 11984),
(11985, 'cd14556', NULL, 'R-PTPc-typeIIb-2', NULL, NULL, 'R-PTPc-typeIIb-2', 11985),
(11986, 'cd13432', NULL, 'LDT_IgD_like_2', NULL, NULL, 'LDT_IgD_like_2', 11986),
(11987, 'cd21626', NULL, 'MERS-CoV-like_Spike_S1_NTD', NULL, NULL, 'MERS-CoV-like_Spike_S1_NTD', 11987),
(11988, 'cd12238', NULL, 'RRM1_RBM40_like', NULL, NULL, 'RRM1_RBM40_like', 11988),
(11989, 'cd13673', NULL, 'PBP2_TRAP_SBP_like_2', NULL, NULL, 'PBP2_TRAP_SBP_like_2', 11989),
(11990, 'cd07316', NULL, 'terB_like_DjlA', NULL, NULL, 'terB_like_DjlA', 11990),
(11991, 'cd09944', NULL, 'SH2_Grb7_family', NULL, NULL, 'SH2_Grb7_family', 11991),
(11992, 'cd00179', NULL, 'SynN', NULL, NULL, 'SynN', 11992),
(11993, 'cd18763', NULL, 'PIN_MtVapC3-like', NULL, NULL, 'PIN_MtVapC3-like', 11993),
(11994, 'cd05567', NULL, 'PTS_IIB_mannitol', NULL, NULL, 'PTS_IIB_mannitol', 11994),
(11995, 'cd19724', NULL, 'bHLH_TS_ASCL3_like', NULL, NULL, 'bHLH_TS_ASCL3_like', 11995),
(11996, 'cd07739', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', 11996),
(11997, 'cd08520', NULL, 'PBP2_NikA_DppA_OppA_like_21', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_21', 11997),
(11998, 'cd03687', NULL, 'Dehydratase_LU', NULL, NULL, 'Dehydratase_LU', 11998),
(11999, 'cd13611', NULL, 'PBP2_YehZ', NULL, NULL, 'PBP2_YehZ', 11999),
(12000, 'cd12384', NULL, 'RRM_RBM24_RBM38_like', NULL, NULL, 'RRM_RBM24_RBM38_like', 12000),
(12001, 'cd19710', NULL, 'bHLH_TS_TCF24', NULL, NULL, 'bHLH_TS_TCF24', 12001),
(12002, 'cd02557', NULL, 'PseudoU_synth_ScRIB2', NULL, NULL, 'PseudoU_synth_ScRIB2', 12002),
(12003, 'cd09483', NULL, 'LIM1_Prickle_1', NULL, NULL, 'LIM1_Prickle_1', 12003),
(12004, 'cd15390', NULL, '7tmA_TACR', NULL, NULL, '7tmA_TACR', 12004),
(12005, 'cd12535', NULL, 'RRM_FUS_TAF15', NULL, NULL, 'RRM_FUS_TAF15', 12005),
(12006, 'cd18061', NULL, 'DEXHc_CHD9', NULL, NULL, 'DEXHc_CHD9', 12006),
(12007, 'cd04683', NULL, 'Nudix_Hydrolase_24', NULL, NULL, 'Nudix_Hydrolase_24', 12007),
(12008, 'cd01170', NULL, 'THZ_kinase', NULL, NULL, 'THZ_kinase', 12008),
(12009, 'cd20233', NULL, 'PFM_unzipped-like', NULL, NULL, 'PFM_unzipped-like', 12009),
(12010, 'cd15356', NULL, '7tmA_NTSR2', NULL, NULL, '7tmA_NTSR2', 12010),
(12011, 'cd05813', NULL, 'CBM20_genethonin_1', NULL, NULL, 'CBM20_genethonin_1', 12011);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(12012, 'cd16579', NULL, 'RING-HC_PML_C-V', NULL, NULL, 'RING-HC_PML_C-V', 12012),
(12013, 'cd18619', NULL, 'GH43_CoXyl43_like', NULL, NULL, 'GH43_CoXyl43_like', 12013),
(12014, 'cd10338', NULL, 'SH2_SHA', NULL, NULL, 'SH2_SHA', 12014),
(12015, 'cd14819', NULL, 'Translin', NULL, NULL, 'Translin', 12015),
(12016, 'cd14883', NULL, 'MYSc_Myo22', NULL, NULL, 'MYSc_Myo22', 12016),
(12017, 'cd18321', NULL, 'BTB_POZ_EloC', NULL, NULL, 'BTB_POZ_EloC', 12017),
(12018, 'cd08291', NULL, 'ETR_like_1', NULL, NULL, 'ETR_like_1', 12018),
(12019, 'cd16944', NULL, 'HATPase_NtrY-like', NULL, NULL, 'HATPase_NtrY-like', 12019),
(12020, 'cd15513', NULL, 'PHD5_KMT2C_like', NULL, NULL, 'PHD5_KMT2C_like', 12020),
(12021, 'cd02128', NULL, 'PA_TfR', NULL, NULL, 'PA_TfR', 12021),
(12022, 'cd12777', NULL, 'RRM1_PTBP1', NULL, NULL, 'RRM1_PTBP1', 12022),
(12023, 'cd15209', NULL, '7tmA_Mel1', NULL, NULL, '7tmA_Mel1', 12023),
(12024, 'cd09345', NULL, 'LIM2_FHL', NULL, NULL, 'LIM2_FHL', 12024),
(12025, 'cd14558', NULL, 'R-PTP-C-2', NULL, NULL, 'R-PTP-C-2', 12025),
(12026, 'cd08492', NULL, 'PBP2_NikA_DppA_OppA_like_15', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_15', 12026),
(12027, 'cd13302', NULL, 'PH2_Pleckstrin_2', NULL, NULL, 'PH2_Pleckstrin_2', 12027),
(12028, 'cd01627', NULL, 'HAD_TPP', NULL, NULL, 'HAD_TPP', 12028),
(12029, 'cd01700', NULL, 'PolY_Pol_V_umuC', NULL, NULL, 'PolY_Pol_V_umuC', 12029),
(12030, 'cd18593', NULL, 'ABC_6TM_MRP4_D1_like', NULL, NULL, 'ABC_6TM_MRP4_D1_like', 12030),
(12031, 'cd17444', NULL, 'MFS_SLC22A23', NULL, NULL, 'MFS_SLC22A23', 12031),
(12032, 'cd00685', NULL, 'Trans_IPPS_HT', NULL, NULL, 'Trans_IPPS_HT', 12032),
(12033, 'cd05681', NULL, 'M20_dipept_Sso-CP2', NULL, NULL, 'M20_dipept_Sso-CP2', 12033),
(12034, 'cd01389', NULL, 'MATA_HMG-box', NULL, NULL, 'MATA_HMG-box', 12034),
(12035, 'cd06580', NULL, 'TM_PBP1_transp_TpRbsC_like', NULL, NULL, 'TM_PBP1_transp_TpRbsC_like', 12035),
(12036, 'cd19466', NULL, 'FABP3', NULL, NULL, 'FABP3', 12036),
(12037, 'cd17658', NULL, 'PTPc_plant_PTP1', NULL, NULL, 'PTPc_plant_PTP1', 12037),
(12038, 'cd10519', NULL, 'SET_EZH', NULL, NULL, 'SET_EZH', 12038),
(12039, 'cd13358', NULL, 'PH-GRAM_MTMR1', NULL, NULL, 'PH-GRAM_MTMR1', 12039),
(12040, 'cd08742', NULL, 'RGS_RGS12', NULL, NULL, 'RGS_RGS12', 12040),
(12041, 'cd06911', NULL, 'VirB9_CagX_TrbG', NULL, NULL, 'VirB9_CagX_TrbG', 12041),
(12042, 'cd17572', NULL, 'REC_NtrC1-like', NULL, NULL, 'REC_NtrC1-like', 12042),
(12043, 'cd00307', NULL, 'RuBisCO_small_like', NULL, NULL, 'RuBisCO_small_like', 12043),
(12044, 'cd19857', NULL, 'DSRM_STAU_rpt1', NULL, NULL, 'DSRM_STAU_rpt1', 12044),
(12045, 'cd16001', NULL, '7tmA_P2Y3-like', NULL, NULL, '7tmA_P2Y3-like', 12045),
(12046, 'cd12784', NULL, 'RRM2_ROD1', NULL, NULL, 'RRM2_ROD1', 12046),
(12047, 'cd16580', NULL, 'RING-HC_TRIM8_C-V', NULL, NULL, 'RING-HC_TRIM8_C-V', 12047),
(12048, 'cd17775', NULL, 'CBS_pair_bact_arch', NULL, NULL, 'CBS_pair_bact_arch', 12048),
(12049, 'cd20310', NULL, 'cupin_L-RbI', NULL, NULL, 'cupin_L-RbI', 12049),
(12050, 'cd13836', NULL, 'IHF_B', NULL, NULL, 'IHF_B', 12050),
(12051, 'cd16256', NULL, 'LumP', NULL, NULL, 'LumP', 12051),
(12052, 'cd15912', NULL, '7tmA_OR6C-like', NULL, NULL, '7tmA_OR6C-like', 12052),
(12053, 'cd15248', NULL, '7tmF_FZD1_insect', NULL, NULL, '7tmF_FZD1_insect', 12053),
(12054, 'cd14337', NULL, 'UBA_MARK_Par1', NULL, NULL, 'UBA_MARK_Par1', 12054),
(12055, 'cd13519', NULL, 'PBP2_PEB3_AcfC', NULL, NULL, 'PBP2_PEB3_AcfC', 12055),
(12056, 'cd04658', NULL, 'Piwi_piwi-like_Euk', NULL, NULL, 'Piwi_piwi-like_Euk', 12056),
(12057, 'cd10235', NULL, 'HscC_like_NBD', NULL, NULL, 'HscC_like_NBD', 12057),
(12058, 'cd07365', NULL, 'MhpB_like', NULL, NULL, 'MhpB_like', 12058),
(12059, 'cd09941', NULL, 'SH2_Grb2_like', NULL, NULL, 'SH2_Grb2_like', 12059),
(12060, 'cd15083', NULL, '7tmA_Melanopsin-like', NULL, NULL, '7tmA_Melanopsin-like', 12060),
(12061, 'cd16551', NULL, 'RING-HC_RNF169', NULL, NULL, 'RING-HC_RNF169', 12061),
(12062, 'cd05764', NULL, 'Ig_2', NULL, NULL, 'Ig_2', 12062),
(12063, 'cd03707', NULL, 'EFTU_III', NULL, NULL, 'EFTU_III', 12063);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(12064, 'cd12202', NULL, 'CASP8AP2', NULL, NULL, 'CASP8AP2', 12064),
(12065, 'cd11432', NULL, 'bHLH-PAS_NPAS1_3_like', NULL, NULL, 'bHLH-PAS_NPAS1_3_like', 12065),
(12066, 'cd00935', NULL, 'GlyRS_RNA', NULL, NULL, 'GlyRS_RNA', 12066),
(12067, 'cd12064', NULL, 'SH3_GRAF', NULL, NULL, 'SH3_GRAF', 12067),
(12068, 'cd11384', NULL, 'RagA_like', NULL, NULL, 'RagA_like', 12068),
(12069, 'cd19692', NULL, 'bHLH_dnHLH_ID2', NULL, NULL, 'bHLH_dnHLH_ID2', 12069),
(12070, 'cd19047', NULL, 'LGIC_ECD_GABAAR_rho2', NULL, NULL, 'LGIC_ECD_GABAAR_rho2', 12070),
(12071, 'cd12548', NULL, 'RRM_Set1A', NULL, NULL, 'RRM_Set1A', 12071),
(12072, 'cd12151', NULL, 'F1-ATPase_gamma', NULL, NULL, 'F1-ATPase_gamma', 12072),
(12073, 'cd16156', NULL, 'sulfatase_like', NULL, NULL, 'sulfatase_like', 12073),
(12074, 'cd02653', NULL, 'nuc_hydro_3', NULL, NULL, 'nuc_hydro_3', 12074),
(12075, 'cd17043', NULL, 'RA', NULL, NULL, 'RA', 12075),
(12076, 'cd01939', NULL, 'Ketohexokinase', NULL, NULL, 'Ketohexokinase', 12076),
(12077, 'cd09164', NULL, 'PLDc_EcPPK1_C1_like', NULL, NULL, 'PLDc_EcPPK1_C1_like', 12077),
(12078, 'cd01021', NULL, 'GEWL', NULL, NULL, 'GEWL', 12078),
(12079, 'cd07618', NULL, 'BAR_Rich1', NULL, NULL, 'BAR_Rich1', 12079),
(12080, 'cd05817', NULL, 'CBM20_DSP', NULL, NULL, 'CBM20_DSP', 12080),
(12081, 'cd19201', NULL, 'PR-SET_ZFPM', NULL, NULL, 'PR-SET_ZFPM', 12081),
(12082, 'cd16791', NULL, 'SP-RING_ZMIZ', NULL, NULL, 'SP-RING_ZMIZ', 12082),
(12083, 'cd16782', NULL, 'mRING-HC-C3HC3D_Roquin2', NULL, NULL, 'mRING-HC-C3HC3D_Roquin2', 12083),
(12084, 'cd14569', NULL, 'DSP_slingshot_2', NULL, NULL, 'DSP_slingshot_2', 12084),
(12085, 'cd03879', NULL, 'M28_AAP', NULL, NULL, 'M28_AAP', 12085),
(12086, 'cd19018', NULL, 'LGIC_ECD_nAChR_A5', NULL, NULL, 'LGIC_ECD_nAChR_A5', 12086),
(12087, 'cd14274', NULL, 'UBA_ACK1', NULL, NULL, 'UBA_ACK1', 12087),
(12088, 'cd15765', NULL, 'FYVE_Slp3', NULL, NULL, 'FYVE_Slp3', 12088),
(12089, 'cd06525', NULL, 'GH25_Lyc-like', NULL, NULL, 'GH25_Lyc-like', 12089),
(12090, 'cd07019', NULL, 'S49_SppA_1', NULL, NULL, 'S49_SppA_1', 12090),
(12091, 'cd08465', NULL, 'PBP2_ToxR', NULL, NULL, 'PBP2_ToxR', 12091),
(12092, 'cd17122', NULL, 'Ubl_UHRF1', NULL, NULL, 'Ubl_UHRF1', 12092),
(12093, 'cd19208', NULL, 'SET_KMT2C', NULL, NULL, 'SET_KMT2C', 12093),
(12094, 'cd00284', NULL, 'Cytochrome_b_N', NULL, NULL, 'Cytochrome_b_N', 12094),
(12095, 'cd05232', NULL, 'UDP_G4E_4_SDR_e', NULL, NULL, 'UDP_G4E_4_SDR_e', 12095),
(12096, 'cd13376', NULL, 'PH_DAB2IP', NULL, NULL, 'PH_DAB2IP', 12096),
(12097, 'cd10164', NULL, 'ClassIIa_HDAC5_Gln-rich-N', NULL, NULL, 'ClassIIa_HDAC5_Gln-rich-N', 12097),
(12098, 'cd17557', NULL, 'REC_Rcp-like', NULL, NULL, 'REC_Rcp-like', 12098),
(12099, 'cd17908', NULL, 'FliM', NULL, NULL, 'FliM', 12099),
(12100, 'cd02668', NULL, 'Peptidase_C19L', NULL, NULL, 'Peptidase_C19L', 12100),
(12101, 'cd11641', NULL, 'Precorrin-4_C11-MT', NULL, NULL, 'Precorrin-4_C11-MT', 12101),
(12102, 'cd15992', NULL, '7tmB2_CELSR2', NULL, NULL, '7tmB2_CELSR2', 12102),
(12103, 'cd04133', NULL, 'Rop_like', NULL, NULL, 'Rop_like', 12103),
(12104, 'cd06175', NULL, 'MFS_POT', NULL, NULL, 'MFS_POT', 12104),
(12105, 'cd19097', NULL, 'AKR_unchar', NULL, NULL, 'AKR_unchar', 12105),
(12106, 'cd09240', NULL, 'BRO1_Alix', NULL, NULL, 'BRO1_Alix', 12106),
(12107, 'cd12393', NULL, 'RRM_ZCRB1', NULL, NULL, 'RRM_ZCRB1', 12107),
(12108, 'cd19446', NULL, 'FABP6', NULL, NULL, 'FABP6', 12108),
(12109, 'cd19733', NULL, 'bHLH-PAS_trachealess_like', NULL, NULL, 'bHLH-PAS_trachealess_like', 12109),
(12110, 'cd07566', NULL, 'ScNTA1_like', NULL, NULL, 'ScNTA1_like', 12110),
(12111, 'cd15490', NULL, 'eIF2_gamma_III', NULL, NULL, 'eIF2_gamma_III', 12111),
(12112, 'cd03058', NULL, 'GST_N_Tau', NULL, NULL, 'GST_N_Tau', 12112),
(12113, 'cd13324', NULL, 'PH_Gab-like', NULL, NULL, 'PH_Gab-like', 12113),
(12114, 'cd10051', NULL, 'Reelin_repeat_7_subrepeat_2', NULL, NULL, 'Reelin_repeat_7_subrepeat_2', 12114),
(12115, 'cd00820', NULL, 'PEPCK_HprK', NULL, NULL, 'PEPCK_HprK', 12115),
(12116, 'cd05125', NULL, 'Mth938_2P1-like', NULL, NULL, 'Mth938_2P1-like', 12116);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(12117, 'cd11005', NULL, 'M35_like', NULL, NULL, 'M35_like', 12117),
(12118, 'cd00686', NULL, 'Terpene_cyclase_cis_trans_C1', NULL, NULL, 'Terpene_cyclase_cis_trans_C1', 12118),
(12119, 'cd11817', NULL, 'SH3_Eve1_4', NULL, NULL, 'SH3_Eve1_4', 12119),
(12120, 'cd04870', NULL, 'ACT_PSP_1', NULL, NULL, 'ACT_PSP_1', 12120),
(12121, 'cd01320', NULL, 'ADA', NULL, NULL, 'ADA', 12121),
(12122, 'cd07340', NULL, 'M48B_Htpx_like', NULL, NULL, 'M48B_Htpx_like', 12122),
(12123, 'cd08939', NULL, 'KDSR-like_SDR_c', NULL, NULL, 'KDSR-like_SDR_c', 12123),
(12124, 'cd00143', NULL, 'PP2Cc', NULL, NULL, 'PP2Cc', 12124),
(12125, 'cd07170', NULL, 'NR_DBD_ERR', NULL, NULL, 'NR_DBD_ERR', 12125),
(12126, 'cd05668', NULL, 'M20_Acy1-like', NULL, NULL, 'M20_Acy1-like', 12126),
(12127, 'cd10808', NULL, 'YdjC', NULL, NULL, 'YdjC', 12127),
(12128, 'cd16186', NULL, 'EFh_PEF_grancalcin', NULL, NULL, 'EFh_PEF_grancalcin', 12128),
(12129, 'cd11867', NULL, 'hSH3_ADAP', NULL, NULL, 'hSH3_ADAP', 12129),
(12130, 'cd15774', NULL, 'FYVE1_PCLO', NULL, NULL, 'FYVE1_PCLO', 12130),
(12131, 'cd00778', NULL, 'ProRS_core_arch_euk', NULL, NULL, 'ProRS_core_arch_euk', 12131),
(12132, 'cd16772', NULL, 'RING-HC_UNKL', NULL, NULL, 'RING-HC_UNKL', 12132),
(12133, 'cd14355', NULL, 'UBA_UBP28', NULL, NULL, 'UBA_UBP28', 12133),
(12134, 'cd11613', NULL, 'SAF_AH_GD', NULL, NULL, 'SAF_AH_GD', 12134),
(12135, 'cd15237', NULL, '7tmA_OR2-like', NULL, NULL, '7tmA_OR2-like', 12135),
(12136, 'cd17986', NULL, 'DEXQc_DQX1', NULL, NULL, 'DEXQc_DQX1', 12136),
(12137, 'cd21592', NULL, 'MERS-CoV-like_RdRp', NULL, NULL, 'MERS-CoV-like_RdRp', 12137),
(12138, 'cd06884', NULL, 'PX_PI3K_C2_68D', NULL, NULL, 'PX_PI3K_C2_68D', 12138),
(12139, 'cd06909', NULL, 'M14_ASPA', NULL, NULL, 'M14_ASPA', 12139),
(12140, 'cd14417', NULL, 'CUE_DMA_DMRTA1', NULL, NULL, 'CUE_DMA_DMRTA1', 12140),
(12141, 'cd21518', NULL, 'cv_beta_Nsp2_HKU9-like', NULL, NULL, 'cv_beta_Nsp2_HKU9-like', 12141),
(12142, 'cd04820', NULL, 'PA_M28_1_1', NULL, NULL, 'PA_M28_1_1', 12142),
(12143, 'cd11297', NULL, 'PIN_LabA-like_N_1', NULL, NULL, 'PIN_LabA-like_N_1', 12143),
(12144, 'cd01311', NULL, 'PDC_hydrolase', NULL, NULL, 'PDC_hydrolase', 12144),
(12145, 'cd05025', NULL, 'S-100A1', NULL, NULL, 'S-100A1', 12145),
(12146, 'cd18022', NULL, 'DEXHc_ASCC3_2', NULL, NULL, 'DEXHc_ASCC3_2', 12146),
(12147, 'cd04049', NULL, 'C2_putative_Elicitor-responsive_gene', NULL, NULL, 'C2_putative_Elicitor-responsive_gene', 12147),
(12148, 'cd04716', NULL, 'BAH_plantDCM_I', NULL, NULL, 'BAH_plantDCM_I', 12148),
(12149, 'cd13357', NULL, 'PH-GRAM_MTMR2_insect-like', NULL, NULL, 'PH-GRAM_MTMR2_insect-like', 12149),
(12150, 'cd11884', NULL, 'SH3_MYO15', NULL, NULL, 'SH3_MYO15', 12150),
(12151, 'cd01203', NULL, 'PTB_DOK1_DOK2_DOK3', NULL, NULL, 'PTB_DOK1_DOK2_DOK3', 12151),
(12152, 'cd08292', NULL, 'ETR_like_2', NULL, NULL, 'ETR_like_2', 12152),
(12153, 'cd16693', NULL, 'mRING-H2-C3H3C2_WDR24', NULL, NULL, 'mRING-H2-C3H3C2_WDR24', 12153),
(12154, 'cd14907', NULL, 'MYSc_Myo46', NULL, NULL, 'MYSc_Myo46', 12154),
(12155, 'cd11958', NULL, 'SH3_RUSC1', NULL, NULL, 'SH3_RUSC1', 12155),
(12156, 'cd10429', NULL, 'GAAP_like', NULL, NULL, 'GAAP_like', 12156),
(12157, 'cd03140', NULL, 'GATase1_PfpI_3', NULL, NULL, 'GATase1_PfpI_3', 12157),
(12158, 'cd19167', NULL, 'SET_SMYD1_2_3-like', NULL, NULL, 'SET_SMYD1_2_3-like', 12158),
(12159, 'cd12224', NULL, 'RRM_RBM22', NULL, NULL, 'RRM_RBM22', 12159),
(12160, 'cd04884', NULL, 'ACT_CBS', NULL, NULL, 'ACT_CBS', 12160),
(12161, 'cd14974', NULL, '7tmA_Anaphylatoxin_R-like', NULL, NULL, '7tmA_Anaphylatoxin_R-like', 12161),
(12162, 'cd00349', NULL, 'Ribosomal_L11', NULL, NULL, 'Ribosomal_L11', 12162),
(12163, 'cd08983', NULL, 'GH43_Bt3655-like', NULL, NULL, 'GH43_Bt3655-like', 12163),
(12164, 'cd12072', NULL, 'SH3_FNBP1L', NULL, NULL, 'SH3_FNBP1L', 12164),
(12165, 'cd18568', NULL, 'ABC_6TM_HetC_like', NULL, NULL, 'ABC_6TM_HetC_like', 12165),
(12166, 'cd01674', NULL, 'Homoaconitase_Swivel', NULL, NULL, 'Homoaconitase_Swivel', 12166),
(12167, 'cd18602', NULL, 'ABC_6TM_SUR1_D2_like', NULL, NULL, 'ABC_6TM_SUR1_D2_like', 12167); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(12168, 'cd06984', NULL, 'cupin_Moth_1897', NULL, NULL, 'cupin_Moth_1897', 12168),
(12169, 'cd19808', NULL, 'Bbox1_TRIM42_C-III', NULL, NULL, 'Bbox1_TRIM42_C-III', 12169),
(12170, 'cd07461', NULL, 'CRD_FZ8', NULL, NULL, 'CRD_FZ8', 12170),
(12171, 'cd11476', NULL, 'SLC5sbd_DUR3', NULL, NULL, 'SLC5sbd_DUR3', 12171),
(12172, 'cd00933', NULL, 'barnase', NULL, NULL, 'barnase', 12172),
(12173, 'cd17437', NULL, 'MFS_PLT', NULL, NULL, 'MFS_PLT', 12173),
(12174, 'cd01989', NULL, 'STK_N', NULL, NULL, 'STK_N', 12174),
(12175, 'cd02152', NULL, 'OAT', NULL, NULL, 'OAT', 12175),
(12176, 'cd06455', NULL, 'M3A_TOP', NULL, NULL, 'M3A_TOP', 12176),
(12177, 'cd19369', NULL, 'TenA_C-like', NULL, NULL, 'TenA_C-like', 12177),
(12178, 'cd08265', NULL, 'Zn_ADH3', NULL, NULL, 'Zn_ADH3', 12178),
(12179, 'cd02089', NULL, 'P-type_ATPase_Ca_prok', NULL, NULL, 'P-type_ATPase_Ca_prok', 12179),
(12180, 'cd21407', NULL, '1B_UPF1-like', NULL, NULL, '1B_UPF1-like', 12180),
(12181, 'cd19978', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 12181),
(12182, 'cd13138', NULL, 'MATE_yoeA_like', NULL, NULL, 'MATE_yoeA_like', 12182),
(12183, 'cd05902', NULL, 'Ig_Neurocan', NULL, NULL, 'Ig_Neurocan', 12183),
(12184, 'cd04463', NULL, 'S1_EF_like', NULL, NULL, 'S1_EF_like', 12184),
(12185, 'cd08429', NULL, 'PBP2_NhaR', NULL, NULL, 'PBP2_NhaR', 12185),
(12186, 'cd16602', NULL, 'RING-HC_TRIM41_like_C-IV', NULL, NULL, 'RING-HC_TRIM41_like_C-IV', 12186),
(12187, 'cd15095', NULL, '7tmA_KiSS1R', NULL, NULL, '7tmA_KiSS1R', 12187),
(12188, 'cd16503', NULL, 'RING-HC_CHFR', NULL, NULL, 'RING-HC_CHFR', 12188),
(12189, 'cd08164', NULL, 'MPP_Ted1', NULL, NULL, 'MPP_Ted1', 12189),
(12190, 'cd14402', NULL, 'UBA_HERC2', NULL, NULL, 'UBA_HERC2', 12190),
(12191, 'cd06949', NULL, 'NR_LBD_ER', NULL, NULL, 'NR_LBD_ER', 12191),
(12192, 'cd01154', NULL, 'AidB', NULL, NULL, 'AidB', 12192),
(12193, 'cd10030', NULL, 'UDG-F4_TTUDGA_SPO1dp_like', NULL, NULL, 'UDG-F4_TTUDGA_SPO1dp_like', 12193),
(12194, 'cd04457', NULL, 'S1_S28E', NULL, NULL, 'S1_S28E', 12194),
(12195, 'cd05155', NULL, 'APH_ChoK_like_1', NULL, NULL, 'APH_ChoK_like_1', 12195),
(12196, 'cd01644', NULL, 'RT_pepA17', NULL, NULL, 'RT_pepA17', 12196),
(12197, 'cd15151', NULL, '7tmA_P2Y13', NULL, NULL, '7tmA_P2Y13', 12197),
(12198, 'cd14727', NULL, 'ChanN-like', NULL, NULL, 'ChanN-like', 12198),
(12199, 'cd09868', NULL, 'PIN_XPG_RAD2', NULL, NULL, 'PIN_XPG_RAD2', 12199),
(12200, 'cd12396', NULL, 'RRM1_Nop13p_fungi', NULL, NULL, 'RRM1_Nop13p_fungi', 12200),
(12201, 'cd09766', NULL, 'Csx15_I-U', NULL, NULL, 'Csx15_I-U', 12201),
(12202, 'cd20229', NULL, 'PFM_tachylectin-like', NULL, NULL, 'PFM_tachylectin-like', 12202),
(12203, 'cd15101', NULL, '7tmA_LPAR', NULL, NULL, '7tmA_LPAR', 12203),
(12204, 'cd11510', NULL, 'SLC6sbd_TauT', NULL, NULL, 'SLC6sbd_TauT', 12204),
(12205, 'cd06198', NULL, 'FNR_like_3', NULL, NULL, 'FNR_like_3', 12205),
(12206, 'cd12370', NULL, 'RRM1_PUF60', NULL, NULL, 'RRM1_PUF60', 12206),
(12207, 'cd12923', NULL, 'iSH2_PI3K_IA_R', NULL, NULL, 'iSH2_PI3K_IA_R', 12207),
(12208, 'cd08035', NULL, 'LARP_4', NULL, NULL, 'LARP_4', 12208),
(12209, 'cd01857', NULL, 'HSR1_MMR1', NULL, NULL, 'HSR1_MMR1', 12209),
(12210, 'cd19864', NULL, 'DSRM_PRKRA-like_rpt3', NULL, NULL, 'DSRM_PRKRA-like_rpt3', 12210),
(12211, 'cd02662', NULL, 'Peptidase_C19F', NULL, NULL, 'Peptidase_C19F', 12211),
(12212, 'cd06404', NULL, 'PB1_aPKC', NULL, NULL, 'PB1_aPKC', 12212),
(12213, 'cd09555', NULL, 'SAM_EPH-B6', NULL, NULL, 'SAM_EPH-B6', 12213),
(12214, 'cd07829', NULL, 'STKc_CDK_like', NULL, NULL, 'STKc_CDK_like', 12214),
(12215, 'cd03264', NULL, 'ABC_drug_resistance_like', NULL, NULL, 'ABC_drug_resistance_like', 12215),
(12216, 'cd08241', NULL, 'QOR1', NULL, NULL, 'QOR1', 12216),
(12217, 'cd19739', NULL, 'bHLH-PAS_SIM2', NULL, NULL, 'bHLH-PAS_SIM2', 12217),
(12218, 'cd01384', NULL, 'MYSc_Myo11', NULL, NULL, 'MYSc_Myo11', 12218),
(12219, 'cd12243', NULL, 'RRM1_MSSP', NULL, NULL, 'RRM1_MSSP', 12219),
(12220, 'cd07363', NULL, '45_DOPA_Dioxygenase', NULL, NULL, '45_DOPA_Dioxygenase', 12220);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(12221, 'cd09722', NULL, 'Cas1_I-B', NULL, NULL, 'Cas1_I-B', 12221),
(12222, 'cd16086', NULL, 'IgV_CD80', NULL, NULL, 'IgV_CD80', 12222),
(12223, 'cd03051', NULL, 'GST_N_GTT2_like', NULL, NULL, 'GST_N_GTT2_like', 12223),
(12224, 'cd12768', NULL, 'RRM2_SRSF9', NULL, NULL, 'RRM2_SRSF9', 12224),
(12225, 'cd16584', NULL, 'RING-HC_TRIM56_C-V', NULL, NULL, 'RING-HC_TRIM56_C-V', 12225),
(12226, 'cd13919', NULL, 'CuRO_HCO_II_like_5', NULL, NULL, 'CuRO_HCO_II_like_5', 12226),
(12227, 'cd10285', NULL, 'somatotropin_like', NULL, NULL, 'somatotropin_like', 12227),
(12228, 'cd01574', NULL, 'PBP1_LacI', NULL, NULL, 'PBP1_LacI', 12228),
(12229, 'cd14767', NULL, 'PE_beta-like', NULL, NULL, 'PE_beta-like', 12229),
(12230, 'cd09940', NULL, 'SH2_Vav_family', NULL, NULL, 'SH2_Vav_family', 12230),
(12231, 'cd05339', NULL, '17beta-HSDXI-like_SDR_c', NULL, NULL, '17beta-HSDXI-like_SDR_c', 12231),
(12232, 'cd17102', NULL, 'FERM_F1_FRMD3', NULL, NULL, 'FERM_F1_FRMD3', 12232),
(12233, 'cd06615', NULL, 'PKc_MEK', NULL, NULL, 'PKc_MEK', 12233),
(12234, 'cd07594', NULL, 'BAR_Endophilin_B', NULL, NULL, 'BAR_Endophilin_B', 12234),
(12235, 'cd09169', NULL, 'PLDc_PPK1_C2_unchar', NULL, NULL, 'PLDc_PPK1_C2_unchar', 12235),
(12236, 'cd12353', NULL, 'RRM2_TIA1_like', NULL, NULL, 'RRM2_TIA1_like', 12236),
(12237, 'cd19992', NULL, 'PBP1_ABC_xylose_binding-like', NULL, NULL, 'PBP1_ABC_xylose_binding-like', 12237),
(12238, 'cd06493', NULL, 'p23_NUDCD1_like', NULL, NULL, 'p23_NUDCD1_like', 12238),
(12239, 'cd08722', NULL, 'RGS_SNX14', NULL, NULL, 'RGS_SNX14', 12239),
(12240, 'cd01766', NULL, 'Ubl_UFM1', NULL, NULL, 'Ubl_UFM1', 12240),
(12241, 'cd09459', NULL, 'LIM3_ENH', NULL, NULL, 'LIM3_ENH', 12241),
(12242, 'cd02137', NULL, 'MhqN-like', NULL, NULL, 'MhqN-like', 12242),
(12243, 'cd07726', NULL, 'ST1585-like_MBL-fold', NULL, NULL, 'ST1585-like_MBL-fold', 12243),
(12244, 'cd12310', NULL, 'RRM3_Spen', NULL, NULL, 'RRM3_Spen', 12244),
(12245, 'cd19874', NULL, 'DSRM_MRPL44', NULL, NULL, 'DSRM_MRPL44', 12245),
(12246, 'cd08649', NULL, 'FMT_core_NRPS_like', NULL, NULL, 'FMT_core_NRPS_like', 12246),
(12247, 'cd06344', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, 'PBP1_ABC_HAAT-like', 12247),
(12248, 'cd09409', NULL, 'LIM3_Paxillin', NULL, NULL, 'LIM3_Paxillin', 12248),
(12249, 'cd12826', NULL, 'EcCorA_ZntB-like_u1', NULL, NULL, 'EcCorA_ZntB-like_u1', 12249),
(12250, 'cd15511', NULL, 'PHD3_KMT2C', NULL, NULL, 'PHD3_KMT2C', 12250),
(12251, 'cd10036', NULL, 'Reelin_subrepeat_Nt', NULL, NULL, 'Reelin_subrepeat_Nt', 12251),
(12252, 'cd00186', NULL, 'TOP1Ac', NULL, NULL, 'TOP1Ac', 12252),
(12253, 'cd06655', NULL, 'STKc_PAK2', NULL, NULL, 'STKc_PAK2', 12253),
(12254, 'cd17369', NULL, 'MFS_ShiA_like', NULL, NULL, 'MFS_ShiA_like', 12254),
(12255, 'cd16660', NULL, 'RING-Ubox_RNF37', NULL, NULL, 'RING-Ubox_RNF37', 12255),
(12256, 'cd14627', NULL, 'R-PTP-S-2', NULL, NULL, 'R-PTP-S-2', 12256),
(12257, 'cd05053', NULL, 'PTKc_FGFR', NULL, NULL, 'PTKc_FGFR', 12257),
(12258, 'cd04017', NULL, 'C2D_Ferlin', NULL, NULL, 'C2D_Ferlin', 12258),
(12259, 'cd06395', NULL, 'PB1_Map2k5', NULL, NULL, 'PB1_Map2k5', 12259),
(12260, 'cd18267', NULL, 'BTB_POZ_KLHL37_ENC1', NULL, NULL, 'BTB_POZ_KLHL37_ENC1', 12260),
(12261, 'cd01980', NULL, 'Chlide_reductase_Y', NULL, NULL, 'Chlide_reductase_Y', 12261),
(12262, 'cd07132', NULL, 'ALDH_F3AB', NULL, NULL, 'ALDH_F3AB', 12262),
(12263, 'cd16276', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', 12263),
(12264, 'cd12875', NULL, 'SPRY_SOCS_Fbox', NULL, NULL, 'SPRY_SOCS_Fbox', 12264),
(12265, 'cd18100', NULL, 'Trm10euk_B', NULL, NULL, 'Trm10euk_B', 12265),
(12266, 'cd06447', NULL, 'D-Ser-dehyd', NULL, NULL, 'D-Ser-dehyd', 12266),
(12267, 'cd02153', NULL, 'tRNA_bindingDomain', NULL, NULL, 'tRNA_bindingDomain', 12267),
(12268, 'cd18033', NULL, 'DEXDc_FANCM', NULL, NULL, 'DEXDc_FANCM', 12268),
(12269, 'cd11599', NULL, 'HDAC_classII_2', NULL, NULL, 'HDAC_classII_2', 12269),
(12270, 'cd13332', NULL, 'FERM_C_JAK1', NULL, NULL, 'FERM_C_JAK1', 12270),
(12271, 'cd11877', NULL, 'SH3_PIX', NULL, NULL, 'SH3_PIX', 12271);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(12272, 'cd12645', NULL, 'RRM_SRSF3', NULL, NULL, 'RRM_SRSF3', 12272),
(12273, 'cd17252', NULL, 'RMtype1_S_EcoKI-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_EcoKI-TRD1-CR1_like', 12273),
(12274, 'cd03693', NULL, 'EF1_alpha_II', NULL, NULL, 'EF1_alpha_II', 12274),
(12275, 'cd06875', NULL, 'PX_IRAS', NULL, NULL, 'PX_IRAS', 12275),
(12276, 'cd15417', NULL, '7tmA_OR5A1-like', NULL, NULL, '7tmA_OR5A1-like', 12276),
(12277, 'cd01315', NULL, 'L-HYD_ALN', NULL, NULL, 'L-HYD_ALN', 12277),
(12278, 'cd14611', NULL, 'R-PTPc-R', NULL, NULL, 'R-PTPc-R', 12278),
(12279, 'cd18732', NULL, 'PIN_MtVapC4-C5_like', NULL, NULL, 'PIN_MtVapC4-C5_like', 12279),
(12280, 'cd10357', NULL, 'SH2_ShkD_ShkE', NULL, NULL, 'SH2_ShkD_ShkE', 12280),
(12281, 'cd00169', NULL, 'Chemokine', NULL, NULL, 'Chemokine', 12281),
(12282, 'cd17927', NULL, 'DEXHc_RIG-I', NULL, NULL, 'DEXHc_RIG-I', 12282),
(12283, 'cd00139', NULL, 'PIPKc', NULL, NULL, 'PIPKc', 12283),
(12284, 'cd07077', NULL, 'ALDH-like', NULL, NULL, 'ALDH-like', 12284),
(12285, 'cd07484', NULL, 'Peptidases_S8_Thermitase_like', NULL, NULL, 'Peptidases_S8_Thermitase_like', 12285),
(12286, 'cd13265', NULL, 'PH_evt', NULL, NULL, 'PH_evt', 12286),
(12287, 'cd03696', NULL, 'SelB_II', NULL, NULL, 'SelB_II', 12287),
(12288, 'cd12582', NULL, 'RRM2_hnRNPA3', NULL, NULL, 'RRM2_hnRNPA3', 12288),
(12289, 'cd02977', NULL, 'ArsC_family', NULL, NULL, 'ArsC_family', 12289),
(12290, 'cd18457', NULL, 'BACK_KLHL18', NULL, NULL, 'BACK_KLHL18', 12290),
(12291, 'cd00101', NULL, 'IlGF_like', NULL, NULL, 'IlGF_like', 12291),
(12292, 'cd14546', NULL, 'R-PTP-N-N2', NULL, NULL, 'R-PTP-N-N2', 12292),
(12293, 'cd19105', NULL, 'AKR_unchar', NULL, NULL, 'AKR_unchar', 12293),
(12294, 'cd19769', NULL, 'Bbox2_TRIM16-like', NULL, NULL, 'Bbox2_TRIM16-like', 12294),
(12295, 'cd01736', NULL, 'LSm14_N', NULL, NULL, 'LSm14_N', 12295),
(12296, 'cd07499', NULL, 'HAD_CBAP', NULL, NULL, 'HAD_CBAP', 12296),
(12297, 'cd10541', NULL, 'SET_SETDB', NULL, NULL, 'SET_SETDB', 12297),
(12298, 'cd06629', NULL, 'STKc_Bck1_like', NULL, NULL, 'STKc_Bck1_like', 12298),
(12299, 'cd19429', NULL, 'lipocalin_9', NULL, NULL, 'lipocalin_9', 12299),
(12300, 'cd20250', NULL, 'Phospholamban', NULL, NULL, 'Phospholamban', 12300),
(12301, 'cd09422', NULL, 'LIM1_FHL2', NULL, NULL, 'LIM1_FHL2', 12301),
(12302, 'cd13614', NULL, 'PBP2_QAT_like', NULL, NULL, 'PBP2_QAT_like', 12302),
(12303, 'cd11788', NULL, 'SH3_RasGAP', NULL, NULL, 'SH3_RasGAP', 12303),
(12304, 'cd16432', NULL, 'CheB_Rec', NULL, NULL, 'CheB_Rec', 12304),
(12305, 'cd10157', NULL, 'BsCsoR-like_DUF156', NULL, NULL, 'BsCsoR-like_DUF156', 12305),
(12306, 'cd17109', NULL, 'FERM_F1_SNX17_like', NULL, NULL, 'FERM_F1_SNX17_like', 12306),
(12307, 'cd19957', NULL, 'serpinA', NULL, NULL, 'serpinA', 12307),
(12308, 'cd08900', NULL, 'SRPBCC_CalC_Aha1-like_7', NULL, NULL, 'SRPBCC_CalC_Aha1-like_7', 12308),
(12309, 'cd07924', NULL, 'PCA_45_Doxase_A', NULL, NULL, 'PCA_45_Doxase_A', 12309),
(12310, 'cd17430', NULL, 'MFS_MCT3_4', NULL, NULL, 'MFS_MCT3_4', 12310),
(12311, 'cd14901', NULL, 'MYSc_Myo40', NULL, NULL, 'MYSc_Myo40', 12311),
(12312, 'cd03191', NULL, 'GST_C_Zeta', NULL, NULL, 'GST_C_Zeta', 12312),
(12313, 'cd04703', NULL, 'Asparaginase_2_like_1', NULL, NULL, 'Asparaginase_2_like_1', 12313),
(12314, 'cd08417', NULL, 'PBP2_Nitroaromatics_like', NULL, NULL, 'PBP2_Nitroaromatics_like', 12314),
(12315, 'cd18251', NULL, 'BTB_POZ_KLHL22', NULL, NULL, 'BTB_POZ_KLHL22', 12315),
(12316, 'cd08433', NULL, 'PBP2_Nac', NULL, NULL, 'PBP2_Nac', 12316),
(12317, 'cd16654', NULL, 'RING-Ubox_CHIP', NULL, NULL, 'RING-Ubox_CHIP', 12317),
(12318, 'cd09489', NULL, 'SAM_Smaug-like', NULL, NULL, 'SAM_Smaug-like', 12318),
(12319, 'cd12233', NULL, 'RRM_Srp1p_AtRSp31_like', NULL, NULL, 'RRM_Srp1p_AtRSp31_like', 12319),
(12320, 'cd15310', NULL, '7tmA_D3_dopamine_R', NULL, NULL, '7tmA_D3_dopamine_R', 12320),
(12321, 'cd11846', NULL, 'SH3_Srms', NULL, NULL, 'SH3_Srms', 12321),
(12322, 'cd14478', NULL, 'SPX_PHO87_PHO90_like', NULL, NULL, 'SPX_PHO87_PHO90_like', 12322),
(12323, 'cd17194', NULL, 'FERM_F1_PTPN4', NULL, NULL, 'FERM_F1_PTPN4', 12323);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(12324, 'cd04469', NULL, 'S1_Hex1', NULL, NULL, 'S1_Hex1', 12324),
(12325, 'cd13596', NULL, 'PBP2_lipoprotein_GmpC', NULL, NULL, 'PBP2_lipoprotein_GmpC', 12325),
(12326, 'cd05272', NULL, 'TDH_SDR_e', NULL, NULL, 'TDH_SDR_e', 12326),
(12327, 'cd11747', NULL, 'GH94N_like_1', NULL, NULL, 'GH94N_like_1', 12327),
(12328, 'cd18203', NULL, 'BTB_POZ_ZBTB12', NULL, NULL, 'BTB_POZ_ZBTB12', 12328),
(12329, 'cd00567', NULL, 'ACAD', NULL, NULL, 'ACAD', 12329),
(12330, 'cd06228', NULL, 'M14-like', NULL, NULL, 'M14-like', 12330),
(12331, 'cd05386', NULL, 'TraL', NULL, NULL, 'TraL', 12331),
(12332, 'cd08834', NULL, 'ArfGap_ASAP', NULL, NULL, 'ArfGap_ASAP', 12332),
(12333, 'cd18351', NULL, 'BTB_POZ_BTBD11', NULL, NULL, 'BTB_POZ_BTBD11', 12333),
(12334, 'cd03134', NULL, 'GATase1_PfpI_like', NULL, NULL, 'GATase1_PfpI_like', 12334),
(12335, 'cd16748', NULL, 'RING-HC_SH3RF1', NULL, NULL, 'RING-HC_SH3RF1', 12335),
(12336, 'cd03120', NULL, 'alpha_CARP_VIII', NULL, NULL, 'alpha_CARP_VIII', 12336),
(12337, 'cd09085', NULL, 'Mth212-like_AP-endo', NULL, NULL, 'Mth212-like_AP-endo', 12337),
(12338, 'cd05894', NULL, 'Ig_C5_MyBP-C', NULL, NULL, 'Ig_C5_MyBP-C', 12338),
(12339, 'cd10026', NULL, '14-3-3_plant', NULL, NULL, '14-3-3_plant', 12339),
(12340, 'cd10378', NULL, 'SH2_Jak1', NULL, NULL, 'SH2_Jak1', 12340),
(12341, 'cd15228', NULL, '7tmA_OR10D-like', NULL, NULL, '7tmA_OR10D-like', 12341),
(12342, 'cd04456', NULL, 'S1_IF1A_like', NULL, NULL, 'S1_IF1A_like', 12342),
(12343, 'cd13119', NULL, 'BF2867_like', NULL, NULL, 'BF2867_like', 12343),
(12344, 'cd11645', NULL, 'Precorrin_2_C20_MT', NULL, NULL, 'Precorrin_2_C20_MT', 12344),
(12345, 'cd17357', NULL, 'MFS_GLUT_Class1_2_like', NULL, NULL, 'MFS_GLUT_Class1_2_like', 12345),
(12346, 'cd20071', NULL, 'SET_SMYD', NULL, NULL, 'SET_SMYD', 12346),
(12347, 'cd14843', NULL, 'D-Ala-D-Ala_dipeptidase_like', NULL, NULL, 'D-Ala-D-Ala_dipeptidase_like', 12347),
(12348, 'cd21533', NULL, 'MERS-CoV-like_E', NULL, NULL, 'MERS-CoV-like_E', 12348),
(12349, 'cd09028', NULL, 'ArfGap_ArfGap3', NULL, NULL, 'ArfGap_ArfGap3', 12349),
(12350, 'cd13752', NULL, 'TGF_beta_INHB', NULL, NULL, 'TGF_beta_INHB', 12350),
(12351, 'cd19468', NULL, 'FABP5', NULL, NULL, 'FABP5', 12351),
(12352, 'cd10936', NULL, 'CE4_DAC2', NULL, NULL, 'CE4_DAC2', 12352),
(12353, 'cd12942', NULL, 'LEM_Man1', NULL, NULL, 'LEM_Man1', 12353),
(12354, 'cd15554', NULL, 'PHD_PHF2_like', NULL, NULL, 'PHD_PHF2_like', 12354),
(12355, 'cd13926', NULL, 'N-acetylmuramidase_GH108', NULL, NULL, 'N-acetylmuramidase_GH108', 12355),
(12356, 'cd04132', NULL, 'Rho4_like', NULL, NULL, 'Rho4_like', 12356),
(12357, 'cd06661', NULL, 'GGCT_like', NULL, NULL, 'GGCT_like', 12357),
(12358, 'cd20490', NULL, 'cupin_HutD_C', NULL, NULL, 'cupin_HutD_C', 12358),
(12359, 'cd10336', NULL, 'SLC6sbd_Tyt1-Like', NULL, NULL, 'SLC6sbd_Tyt1-Like', 12359),
(12360, 'cd16116', NULL, 'Ubl_Smt3_like', NULL, NULL, 'Ubl_Smt3_like', 12360),
(12361, 'cd07639', NULL, 'BAR_ACAP1', NULL, NULL, 'BAR_ACAP1', 12361),
(12362, 'cd13649', NULL, 'PBP2_Cae31940', NULL, NULL, 'PBP2_Cae31940', 12362),
(12363, 'cd14579', NULL, 'DUSP3', NULL, NULL, 'DUSP3', 12363),
(12364, 'cd06850', NULL, 'biotinyl_domain', NULL, NULL, 'biotinyl_domain', 12364),
(12365, 'cd15796', NULL, 'CIF_like', NULL, NULL, 'CIF_like', 12365),
(12366, 'cd16188', NULL, 'EFh_PEF_CPNS1_2', NULL, NULL, 'EFh_PEF_CPNS1_2', 12366),
(12367, 'cd08643', NULL, 'DNA_pol_A_pol_I_B', NULL, NULL, 'DNA_pol_A_pol_I_B', 12367),
(12368, 'cd11869', NULL, 'SH3_p40phox', NULL, NULL, 'SH3_p40phox', 12368),
(12369, 'cd15879', NULL, 'SNARE_syntaxin19', NULL, NULL, 'SNARE_syntaxin19', 12369),
(12370, 'cd14949', NULL, 'Asparaginase_2_like_3', NULL, NULL, 'Asparaginase_2_like_3', 12370),
(12371, 'cd16144', NULL, 'ARS_like', NULL, NULL, 'ARS_like', 12371),
(12372, 'cd21513', NULL, 'SUD_C_DPUP_CoV_Nsp3', NULL, NULL, 'SUD_C_DPUP_CoV_Nsp3', 12372),
(12373, 'cd13604', NULL, 'PBP2_TRAP_ketoacid_lactate_like', NULL, NULL, 'PBP2_TRAP_ketoacid_lactate_like', 12373),
(12374, 'cd15995', NULL, '7tmB2_GPR56', NULL, NULL, '7tmB2_GPR56', 12374),
(12375, 'cd08345', NULL, 'Fosfomycin_RP', NULL, NULL, 'Fosfomycin_RP', 12375);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(12376, 'cd11566', NULL, 'eIF1_SUI1', NULL, NULL, 'eIF1_SUI1', 12376),
(12377, 'cd16129', NULL, 'Ubl_ATG8_MAP1LC3', NULL, NULL, 'Ubl_ATG8_MAP1LC3', 12377),
(12378, 'cd19755', NULL, 'TrHb2_AtGlb3-like_O', NULL, NULL, 'TrHb2_AtGlb3-like_O', 12378),
(12379, 'cd07534', NULL, 'HAD_CAP', NULL, NULL, 'HAD_CAP', 12379),
(12380, 'cd09724', NULL, 'CsaX_III-U', NULL, NULL, 'CsaX_III-U', 12380),
(12381, 'cd06938', NULL, 'NR_LBD_EcR', NULL, NULL, 'NR_LBD_EcR', 12381),
(12382, 'cd14404', NULL, 'UBA_AID_AAPK2', NULL, NULL, 'UBA_AID_AAPK2', 12382),
(12383, 'cd04985', NULL, 'IgC_CH1_IgAEGM', NULL, NULL, 'IgC_CH1_IgAEGM', 12383),
(12384, 'cd09408', NULL, 'LIM2_Leupaxin', NULL, NULL, 'LIM2_Leupaxin', 12384),
(12385, 'cd18385', NULL, 'BTB_POZ_BTBD10_GMRP1', NULL, NULL, 'BTB_POZ_BTBD10_GMRP1', 12385),
(12386, 'cd06968', NULL, 'NR_DBD_ROR', NULL, NULL, 'NR_DBD_ROR', 12386),
(12387, 'cd00837', NULL, 'EVH1_family', NULL, NULL, 'EVH1_family', 12387),
(12388, 'cd05373', NULL, 'SDR_c10', NULL, NULL, 'SDR_c10', 12388),
(12389, 'cd14654', NULL, 'ZIP_Gal4', NULL, NULL, 'ZIP_Gal4', 12389),
(12390, 'cd17665', NULL, 'DSP_DUSP11', NULL, NULL, 'DSP_DUSP11', 12390),
(12391, 'cd10571', NULL, 'PH_beta_spectrin', NULL, NULL, 'PH_beta_spectrin', 12391),
(12392, 'cd08894', NULL, 'SRPBCC_CalC_Aha1-like_1', NULL, NULL, 'SRPBCC_CalC_Aha1-like_1', 12392),
(12393, 'cd07070', NULL, 'NR_LBD_SF-1', NULL, NULL, 'NR_LBD_SF-1', 12393),
(12394, 'cd15026', NULL, '7tm_TAS2R13', NULL, NULL, '7tm_TAS2R13', 12394),
(12395, 'cd02052', NULL, 'serpinF1_PEDF', NULL, NULL, 'serpinF1_PEDF', 12395),
(12396, 'cd08687', NULL, 'C2_PKN-like', NULL, NULL, 'C2_PKN-like', 12396),
(12397, 'cd17416', NULL, 'MFS_NPF1_2', NULL, NULL, 'MFS_NPF1_2', 12397),
(12398, 'cd17640', NULL, 'LC_FACS_like', NULL, NULL, 'LC_FACS_like', 12398),
(12399, 'cd07948', NULL, 'DRE_TIM_HCS', NULL, NULL, 'DRE_TIM_HCS', 12399),
(12400, 'cd05836', NULL, 'N_Pac_NP60', NULL, NULL, 'N_Pac_NP60', 12400),
(12401, 'cd14407', NULL, 'UBA_MARK3_4', NULL, NULL, 'UBA_MARK3_4', 12401),
(12402, 'cd13555', NULL, 'PBP2_sulfate_ester_like', NULL, NULL, 'PBP2_sulfate_ester_like', 12402),
(12403, 'cd13568', NULL, 'PBP2_TAXI_TRAP_like_3', NULL, NULL, 'PBP2_TAXI_TRAP_like_3', 12403),
(12404, 'cd09531', NULL, 'SAM_CS047', NULL, NULL, 'SAM_CS047', 12404),
(12405, 'cd03075', NULL, 'GST_N_Mu', NULL, NULL, 'GST_N_Mu', 12405),
(12406, 'cd13954', NULL, '7tmA_OR', NULL, NULL, '7tmA_OR', 12406),
(12407, 'cd01883', NULL, 'EF1_alpha', NULL, NULL, 'EF1_alpha', 12407),
(12408, 'cd04650', NULL, 'LbH_FBP', NULL, NULL, 'LbH_FBP', 12408),
(12409, 'cd07156', NULL, 'NR_DBD_VDR_like', NULL, NULL, 'NR_DBD_VDR_like', 12409),
(12410, 'cd15672', NULL, 'ePHD_AF10_like', NULL, NULL, 'ePHD_AF10_like', 12410),
(12411, 'cd20315', NULL, 'DSRM_mL44_subfamily', NULL, NULL, 'DSRM_mL44_subfamily', 12411),
(12412, 'cd09363', NULL, 'LIM3_Enigma_like', NULL, NULL, 'LIM3_Enigma_like', 12412),
(12413, 'cd06849', NULL, 'lipoyl_domain', NULL, NULL, 'lipoyl_domain', 12413),
(12414, 'cd13980', NULL, 'STKc_Vps15', NULL, NULL, 'STKc_Vps15', 12414),
(12415, 'cd14613', NULL, 'PTPc-N5', NULL, NULL, 'PTPc-N5', 12415),
(12416, 'cd04386', NULL, 'RhoGAP_nadrin', NULL, NULL, 'RhoGAP_nadrin', 12416),
(12417, 'cd11679', NULL, 'archaeal_Sm_like', NULL, NULL, 'archaeal_Sm_like', 12417),
(12418, 'cd07860', NULL, 'STKc_CDK2_3', NULL, NULL, 'STKc_CDK2_3', 12418),
(12419, 'cd19141', NULL, 'Aldo_ket_red_shaker', NULL, NULL, 'Aldo_ket_red_shaker', 12419),
(12420, 'cd01363', NULL, 'Motor_domain', NULL, NULL, 'Motor_domain', 12420),
(12421, 'cd08723', NULL, 'RGS_RGS21', NULL, NULL, 'RGS_RGS21', 12421),
(12422, 'cd13535', NULL, 'PBP2_Osm_BCP_like', NULL, NULL, 'PBP2_Osm_BCP_like', 12422),
(12423, 'cd00495', NULL, 'Ribosomal_L25_TL5_CTC', NULL, NULL, 'Ribosomal_L25_TL5_CTC', 12423),
(12424, 'cd18978', NULL, 'CD_DDE_transposase_like', NULL, NULL, 'CD_DDE_transposase_like', 12424),
(12425, 'cd17780', NULL, 'CBS_pair_arch1_repeat1', NULL, NULL, 'CBS_pair_arch1_repeat1', 12425),
(12426, 'cd12603', NULL, 'RRM_hnRNPC', NULL, NULL, 'RRM_hnRNPC', 12426),
(12427, 'cd08456', NULL, 'PBP2_LysR', NULL, NULL, 'PBP2_LysR', 12427);
INSERT INTO "PUBLIC"."MODEL" VALUES
(12428, 'cd19842', NULL, 'Bbox1_TRIM25-like_C-IV', NULL, NULL, 'Bbox1_TRIM25-like_C-IV', 12428),
(12429, 'cd18707', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 12429),
(12430, 'cd15585', NULL, 'PHD_ING3', NULL, NULL, 'PHD_ING3', 12430),
(12431, 'cd09825', NULL, 'thyroid_peroxidase', NULL, NULL, 'thyroid_peroxidase', 12431),
(12432, 'cd19821', NULL, 'Bbox1_BBX-like', NULL, NULL, 'Bbox1_BBX-like', 12432),
(12433, 'cd06425', NULL, 'M1P_guanylylT_B_like_N', NULL, NULL, 'M1P_guanylylT_B_like_N', 12433),
(12434, 'cd14303', NULL, 'UBA1_KPC2', NULL, NULL, 'UBA1_KPC2', 12434),
(12435, 'cd13266', NULL, 'PH_Skap_family', NULL, NULL, 'PH_Skap_family', 12435),
(12436, 'cd07577', NULL, 'Ph0642_like', NULL, NULL, 'Ph0642_like', 12436),
(12437, 'cd15218', NULL, '7tmA_SREB2_GPR85', NULL, NULL, '7tmA_SREB2_GPR85', 12437),
(12438, 'cd18494', NULL, 'BACK_BTBD19', NULL, NULL, 'BACK_BTBD19', 12438),
(12439, 'cd13591', NULL, 'PBP2_HisGL1', NULL, NULL, 'PBP2_HisGL1', 12439),
(12440, 'cd10154', NULL, 'NreA-like_DUF156', NULL, NULL, 'NreA-like_DUF156', 12440),
(12441, 'cd01375', NULL, 'KISc_KIF9_like', NULL, NULL, 'KISc_KIF9_like', 12441),
(12442, 'cd05245', NULL, 'SDR_a2', NULL, NULL, 'SDR_a2', 12442),
(12443, 'cd05286', NULL, 'QOR2', NULL, NULL, 'QOR2', 12443),
(12444, 'cd09190', NULL, 'PLDc_DNaseII_beta_1', NULL, NULL, 'PLDc_DNaseII_beta_1', 12444),
(12445, 'cd12575', NULL, 'RRM1_hnRNPD_like', NULL, NULL, 'RRM1_hnRNPD_like', 12445),
(12446, 'cd15716', NULL, 'FYVE_RBNS5', NULL, NULL, 'FYVE_RBNS5', 12446),
(12447, 'cd10355', NULL, 'SH2_DAPP1_BAM32_like', NULL, NULL, 'SH2_DAPP1_BAM32_like', 12447),
(12448, 'cd07773', NULL, 'FGGY_FK', NULL, NULL, 'FGGY_FK', 12448),
(12449, 'cd06871', NULL, 'PX_MONaKA', NULL, NULL, 'PX_MONaKA', 12449),
(12450, 'cd09171', NULL, 'PLDc_vPLD6_like', NULL, NULL, 'PLDc_vPLD6_like', 12450),
(12451, 'cd16756', NULL, 'RING-HC_TRIM36', NULL, NULL, 'RING-HC_TRIM36', 12451),
(12452, 'cd16922', NULL, 'HATPase_EvgS-ArcB-TorS-like', NULL, NULL, 'HATPase_EvgS-ArcB-TorS-like', 12452),
(12453, 'cd00604', NULL, 'IPT_CGTD', NULL, NULL, 'IPT_CGTD', 12453),
(12454, 'cd06334', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 12454),
(12455, 'cd04591', NULL, 'CBS_pair_voltage-gated_CLC_euk_bac', NULL, NULL, 'CBS_pair_voltage-gated_CLC_euk_bac', 12455),
(12456, 'cd08785', NULL, 'CARD_CARD9-like', NULL, NULL, 'CARD_CARD9-like', 12456),
(12457, 'cd08281', NULL, 'liver_ADH_like1', NULL, NULL, 'liver_ADH_like1', 12457),
(12458, 'cd15208', NULL, '7tmA_OXR', NULL, NULL, '7tmA_OXR', 12458),
(12459, 'cd14053', NULL, 'STKc_ACVR2', NULL, NULL, 'STKc_ACVR2', 12459),
(12460, 'cd15266', NULL, '7tmB1_GLP2R', NULL, NULL, '7tmB1_GLP2R', 12460),
(12461, 'cd18667', NULL, 'CD1_tandem_CHD3-4_like', NULL, NULL, 'CD1_tandem_CHD3-4_like', 12461),
(12462, 'cd16172', NULL, 'TorS_sensor_domain', NULL, NULL, 'TorS_sensor_domain', 12462),
(12463, 'cd18648', NULL, 'CD_Cbx6', NULL, NULL, 'CD_Cbx6', 12463),
(12464, 'cd01237', NULL, 'PH_fermitin', NULL, NULL, 'PH_fermitin', 12464),
(12465, 'cd12288', NULL, 'RRM_La_like_plant', NULL, NULL, 'RRM_La_like_plant', 12465),
(12466, 'cd15202', NULL, '7tmA_TACR-like', NULL, NULL, '7tmA_TACR-like', 12466),
(12467, 'cd15560', NULL, 'PHD2_3_BPTF', NULL, NULL, 'PHD2_3_BPTF', 12467),
(12468, 'cd17260', NULL, 'RMtype1_S_EcoEI-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_EcoEI-TRD1-CR1_like', 12468),
(12469, 'cd08698', NULL, 'TGF_beta_SF', NULL, NULL, 'TGF_beta_SF', 12469),
(12470, 'cd09900', NULL, 'H3TH_XPG-like', NULL, NULL, 'H3TH_XPG-like', 12470),
(12471, 'cd11465', NULL, 'bHLH_TS_scleraxis_like', NULL, NULL, 'bHLH_TS_scleraxis_like', 12471),
(12472, 'cd05354', NULL, 'SDR_c7', NULL, NULL, 'SDR_c7', 12472),
(12473, 'cd05609', NULL, 'STKc_MAST', NULL, NULL, 'STKc_MAST', 12473),
(12474, 'cd05288', NULL, 'PGDH', NULL, NULL, 'PGDH', 12474),
(12475, 'cd19075', NULL, 'AKR_AKR7A1-5', NULL, NULL, 'AKR_AKR7A1-5', 12475),
(12476, 'cd07305', NULL, 'Porin3_Tom40', NULL, NULL, 'Porin3_Tom40', 12476),
(12477, 'cd14420', NULL, 'CUE_AUP1', NULL, NULL, 'CUE_AUP1', 12477),
(12478, 'cd01334', NULL, 'Lyase_I', NULL, NULL, 'Lyase_I', 12478);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(12479, 'cd15256', NULL, '7tmB2_GPR133', NULL, NULL, '7tmB2_GPR133', 12479),
(12480, 'cd17463', NULL, 'MFS_SLCO4C_OATP4C', NULL, NULL, 'MFS_SLCO4C_OATP4C', 12480),
(12481, 'cd03085', NULL, 'PGM1', NULL, NULL, 'PGM1', 12481),
(12482, 'cd14391', NULL, 'UBA_II_E2_UBCD4', NULL, NULL, 'UBA_II_E2_UBCD4', 12482),
(12483, 'cd07568', NULL, 'ML_beta-AS_like', NULL, NULL, 'ML_beta-AS_like', 12483),
(12484, 'cd20298', NULL, 'cupin_UAH', NULL, NULL, 'cupin_UAH', 12484),
(12485, 'cd04255', NULL, 'AAK_UMPK-MosAB', NULL, NULL, 'AAK_UMPK-MosAB', 12485),
(12486, 'cd01522', NULL, 'RHOD_1', NULL, NULL, 'RHOD_1', 12486),
(12487, 'cd08589', NULL, 'PI-PLCc_SaPLC1_like', NULL, NULL, 'PI-PLCc_SaPLC1_like', 12487),
(12488, 'cd01830', NULL, 'XynE_like', NULL, NULL, 'XynE_like', 12488),
(12489, 'cd06110', NULL, 'BSuCS-II_like', NULL, NULL, 'BSuCS-II_like', 12489),
(12490, 'cd15609', NULL, 'PHD_TCF19', NULL, NULL, 'PHD_TCF19', 12490),
(12491, 'cd18955', NULL, 'BTB_POZ_BACH', NULL, NULL, 'BTB_POZ_BACH', 12491),
(12492, 'cd07834', NULL, 'STKc_MAPK', NULL, NULL, 'STKc_MAPK', 12492),
(12493, 'cd08694', NULL, 'C2_Dock-A', NULL, NULL, 'C2_Dock-A', 12493),
(12494, 'cd13559', NULL, 'PBP2_SsuA_like_3', NULL, NULL, 'PBP2_SsuA_like_3', 12494),
(12495, 'cd03675', NULL, 'Nudix_Hydrolase_2', NULL, NULL, 'Nudix_Hydrolase_2', 12495),
(12496, 'cd02107', NULL, 'YedY_like_Moco', NULL, NULL, 'YedY_like_Moco', 12496),
(12497, 'cd05796', NULL, 'Ribosomal_P0_like', NULL, NULL, 'Ribosomal_P0_like', 12497),
(12498, 'cd14098', NULL, 'STKc_Rad53_Cds1', NULL, NULL, 'STKc_Rad53_Cds1', 12498),
(12499, 'cd16678', NULL, 'RING2-H2_RNF32', NULL, NULL, 'RING2-H2_RNF32', 12499),
(12500, 'cd19202', NULL, 'SET_SMYD2', NULL, NULL, 'SET_SMYD2', 12500),
(12501, 'cd00841', NULL, 'MPP_YfcE', NULL, NULL, 'MPP_YfcE', 12501),
(12502, 'cd09010', NULL, 'MTAP_SsMTAPII_like_MTIP', NULL, NULL, 'MTAP_SsMTAPII_like_MTIP', 12502),
(12503, 'cd10341', NULL, 'SH2_N-SH2_PLC_gamma_like', NULL, NULL, 'SH2_N-SH2_PLC_gamma_like', 12503),
(12504, 'cd15909', NULL, '7tmF_FZD4_9_10-like', NULL, NULL, '7tmF_FZD4_9_10-like', 12504),
(12505, 'cd02432', NULL, 'Nodulin-21_like_1', NULL, NULL, 'Nodulin-21_like_1', 12505),
(12506, 'cd10420', NULL, 'SH2_STAT5b', NULL, NULL, 'SH2_STAT5b', 12506),
(12507, 'cd09912', NULL, 'DLP_2', NULL, NULL, 'DLP_2', 12507),
(12508, 'cd13335', NULL, 'FERM_C_TYK2', NULL, NULL, 'FERM_C_TYK2', 12508),
(12509, 'cd09966', NULL, 'UP_III_II', NULL, NULL, 'UP_III_II', 12509),
(12510, 'cd15544', NULL, 'PHD_BAZ1A_like', NULL, NULL, 'PHD_BAZ1A_like', 12510),
(12511, 'cd17412', NULL, 'MFS_SLC15A1', NULL, NULL, 'MFS_SLC15A1', 12511),
(12512, 'cd03212', NULL, 'GST_C_Metaxin1_3', NULL, NULL, 'GST_C_Metaxin1_3', 12512),
(12513, 'cd04440', NULL, 'DEP_2_P-Rex', NULL, NULL, 'DEP_2_P-Rex', 12513),
(12514, 'cd10358', NULL, 'SH2_PTK6_Brk', NULL, NULL, 'SH2_PTK6_Brk', 12514),
(12515, 'cd14913', NULL, 'MYSc_Myh3', NULL, NULL, 'MYSc_Myh3', 12515),
(12516, 'cd14669', NULL, 'mlta_related_B', NULL, NULL, 'mlta_related_B', 12516),
(12517, 'cd15813', NULL, 'SPRY_PRY_TRIM20', NULL, NULL, 'SPRY_PRY_TRIM20', 12517),
(12518, 'cd11019', NULL, 'OsENODL1_like', NULL, NULL, 'OsENODL1_like', 12518),
(12519, 'cd05926', NULL, 'FACL_fum10p_like', NULL, NULL, 'FACL_fum10p_like', 12519),
(12520, 'cd17291', NULL, 'RMtype1_S_MgeORF438P-TRD-CR_like', NULL, NULL, 'RMtype1_S_MgeORF438P-TRD-CR_like', 12520),
(12521, 'cd09691', NULL, 'Cas8b_I-B', NULL, NULL, 'Cas8b_I-B', 12521),
(12522, 'cd14292', NULL, 'UBA2_NUB1', NULL, NULL, 'UBA2_NUB1', 12522),
(12523, 'cd16802', NULL, 'RING-H2_RNF128_like', NULL, NULL, 'RING-H2_RNF128_like', 12523),
(12524, 'cd12400', NULL, 'RRM_Nop6', NULL, NULL, 'RRM_Nop6', 12524),
(12525, 'cd11267', NULL, 'Sema_6B', NULL, NULL, 'Sema_6B', 12525),
(12526, 'cd03377', NULL, 'TPP_PFOR_PNO', NULL, NULL, 'TPP_PFOR_PNO', 12526),
(12527, 'cd03578', NULL, 'NTR_netrin-4_like', NULL, NULL, 'NTR_netrin-4_like', 12527),
(12528, 'cd18716', NULL, 'PIN_SSO1118-like', NULL, NULL, 'PIN_SSO1118-like', 12528),
(12529, 'cd05071', NULL, 'PTKc_Src', NULL, NULL, 'PTKc_Src', 12529),
(12530, 'cd16340', NULL, 'CpcS_T', NULL, NULL, 'CpcS_T', 12530);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(12531, 'cd14010', NULL, 'STKc_ULK4', NULL, NULL, 'STKc_ULK4', 12531),
(12532, 'cd16702', NULL, 'RING_CH-C4HC3_MARCH6', NULL, NULL, 'RING_CH-C4HC3_MARCH6', 12532),
(12533, 'cd09200', NULL, 'PLDc_pPLDbeta_2', NULL, NULL, 'PLDc_pPLDbeta_2', 12533),
(12534, 'cd12322', NULL, 'RRM2_TDP43', NULL, NULL, 'RRM2_TDP43', 12534),
(12535, 'cd11889', NULL, 'SH3_Cyk3p-like', NULL, NULL, 'SH3_Cyk3p-like', 12535),
(12536, 'cd13886', NULL, 'CuRO_2_MCO_like_1', NULL, NULL, 'CuRO_2_MCO_like_1', 12536),
(12537, 'cd09970', NULL, 'UP_IIIa', NULL, NULL, 'UP_IIIa', 12537),
(12538, 'cd12646', NULL, 'RRM_SRSF7', NULL, NULL, 'RRM_SRSF7', 12538),
(12539, 'cd14070', NULL, 'STKc_HUNK', NULL, NULL, 'STKc_HUNK', 12539),
(12540, 'cd01157', NULL, 'MCAD', NULL, NULL, 'MCAD', 12540),
(12541, 'cd19574', NULL, 'serpinE3', NULL, NULL, 'serpinE3', 12541),
(12542, 'cd02050', NULL, 'serpinG1_C1-INH', NULL, NULL, 'serpinG1_C1-INH', 12542),
(12543, 'cd05689', NULL, 'S1_RPS1_repeat_ec4', NULL, NULL, 'S1_RPS1_repeat_ec4', 12543),
(12544, 'cd18095', NULL, 'SpoU-like_rRNA-MTase', NULL, NULL, 'SpoU-like_rRNA-MTase', 12544),
(12545, 'cd15930', NULL, '7tmB1_Secretin_R-like', NULL, NULL, '7tmB1_Secretin_R-like', 12545),
(12546, 'cd18330', NULL, 'BTB_POZ_ZBTB8B', NULL, NULL, 'BTB_POZ_ZBTB8B', 12546),
(12547, 'cd08174', NULL, 'G1PDH-like', NULL, NULL, 'G1PDH-like', 12547),
(12548, 'cd00739', NULL, 'DHPS', NULL, NULL, 'DHPS', 12548),
(12549, 'cd01167', NULL, 'bac_FRK', NULL, NULL, 'bac_FRK', 12549),
(12550, 'cd19059', NULL, 'LGIC_TM_GABAAR_rho', NULL, NULL, 'LGIC_TM_GABAAR_rho', 12550),
(12551, 'cd06572', NULL, 'Histidinol_dh', NULL, NULL, 'Histidinol_dh', 12551),
(12552, 'cd11618', NULL, 'ChtBD1_1', NULL, NULL, 'ChtBD1_1', 12552),
(12553, 'cd21485', NULL, 'HCoV-OC43-like_Spike_S1_RBD', NULL, NULL, 'HCoV-OC43-like_Spike_S1_RBD', 12553),
(12554, 'cd05720', NULL, 'Ig_CD8_alpha', NULL, NULL, 'Ig_CD8_alpha', 12554),
(12555, 'cd07237', NULL, 'BphC1-RGP6_C_like', NULL, NULL, 'BphC1-RGP6_C_like', 12555),
(12556, 'cd17309', NULL, 'PIPKc_PIP5K2A', NULL, NULL, 'PIPKc_PIP5K2A', 12556),
(12557, 'cd17921', NULL, 'DEXHc_Ski2', NULL, NULL, 'DEXHc_Ski2', 12557),
(12558, 'cd02756', NULL, 'MopB_Arsenite-Ox', NULL, NULL, 'MopB_Arsenite-Ox', 12558),
(12559, 'cd08341', NULL, 'DED_Caspase_10_r1', NULL, NULL, 'DED_Caspase_10_r1', 12559),
(12560, 'cd10008', NULL, 'HDAC7', NULL, NULL, 'HDAC7', 12560),
(12561, 'cd11883', NULL, 'SH3_Sdc25', NULL, NULL, 'SH3_Sdc25', 12561),
(12562, 'cd01300', NULL, 'YtcJ_like', NULL, NULL, 'YtcJ_like', 12562),
(12563, 'cd03672', NULL, 'Dcp2p', NULL, NULL, 'Dcp2p', 12563),
(12564, 'cd05803', NULL, 'PGM_like4', NULL, NULL, 'PGM_like4', 12564),
(12565, 'cd00771', NULL, 'ThrRS_core', NULL, NULL, 'ThrRS_core', 12565),
(12566, 'cd07407', NULL, 'MPP_YHR202W_N', NULL, NULL, 'MPP_YHR202W_N', 12566),
(12567, 'cd00913', NULL, 'PCD_DCoH_subfamily_a', NULL, NULL, 'PCD_DCoH_subfamily_a', 12567),
(12568, 'cd11777', NULL, 'SH3_CIP4_Bzz1_like', NULL, NULL, 'SH3_CIP4_Bzz1_like', 12568),
(12569, 'cd15242', NULL, '7tm_Proteorhodopsin', NULL, NULL, '7tm_Proteorhodopsin', 12569),
(12570, 'cd09502', NULL, 'SAM_SARM1-like_repeat2', NULL, NULL, 'SAM_SARM1-like_repeat2', 12570),
(12571, 'cd02869', NULL, 'PseudoU_synth_RluA_like', NULL, NULL, 'PseudoU_synth_RluA_like', 12571),
(12572, 'cd12802', NULL, 'HopAB_PID', NULL, NULL, 'HopAB_PID', 12572),
(12573, 'cd04194', NULL, 'GT8_A4GalT_like', NULL, NULL, 'GT8_A4GalT_like', 12573),
(12574, 'cd17349', NULL, 'MFS_SLC15A5', NULL, NULL, 'MFS_SLC15A5', 12574),
(12575, 'cd17725', NULL, 'BRCT_XRCC1_rpt1', NULL, NULL, 'BRCT_XRCC1_rpt1', 12575),
(12576, 'cd15277', NULL, '7tmC_RAIG3_GPRC5C', NULL, NULL, '7tmC_RAIG3_GPRC5C', 12576),
(12577, 'cd14578', NULL, 'DUSP26', NULL, NULL, 'DUSP26', 12577),
(12578, 'cd10449', NULL, 'GIY-YIG_SLX1_like', NULL, NULL, 'GIY-YIG_SLX1_like', 12578),
(12579, 'cd14697', NULL, 'bZIP_Maf', NULL, NULL, 'bZIP_Maf', 12579),
(12580, 'cd13691', NULL, 'PBP2_Peb1a_like', NULL, NULL, 'PBP2_Peb1a_like', 12580),
(12581, 'cd05969', NULL, 'MACS_like_4', NULL, NULL, 'MACS_like_4', 12581),
(12582, 'cd05066', NULL, 'PTKc_EphR_A', NULL, NULL, 'PTKc_EphR_A', 12582);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(12583, 'cd00400', NULL, 'Voltage_gated_ClC', NULL, NULL, 'Voltage_gated_ClC', 12583),
(12584, 'cd08236', NULL, 'sugar_DH', NULL, NULL, 'sugar_DH', 12584),
(12585, 'cd17394', NULL, 'MFS_FucP_like', NULL, NULL, 'MFS_FucP_like', 12585),
(12586, 'cd08887', NULL, 'RHO_alpha_C_3', NULL, NULL, 'RHO_alpha_C_3', 12586),
(12587, 'cd04380', NULL, 'RhoGAP_OCRL1', NULL, NULL, 'RhoGAP_OCRL1', 12587),
(12588, 'cd00068', NULL, 'GGL', NULL, NULL, 'GGL', 12588),
(12589, 'cd00497', NULL, 'PseudoU_synth_TruA_like', NULL, NULL, 'PseudoU_synth_TruA_like', 12589),
(12590, 'cd10547', NULL, 'cupin_BacB_C', NULL, NULL, 'cupin_BacB_C', 12590),
(12591, 'cd07380', NULL, 'MPP_CWF19_N', NULL, NULL, 'MPP_CWF19_N', 12591),
(12592, 'cd01876', NULL, 'YihA_EngB', NULL, NULL, 'YihA_EngB', 12592),
(12593, 'cd12623', NULL, 'RRM_PPARGC1A', NULL, NULL, 'RRM_PPARGC1A', 12593),
(12594, 'cd17924', NULL, 'DDXDc_reverse_gyrase', NULL, NULL, 'DDXDc_reverse_gyrase', 12594),
(12595, 'cd01793', NULL, 'Ubl_FUBI', NULL, NULL, 'Ubl_FUBI', 12595),
(12596, 'cd09261', NULL, 'AP-3_Mu3B_Cterm', NULL, NULL, 'AP-3_Mu3B_Cterm', 12596),
(12597, 'cd08628', NULL, 'PI-PLCc_gamma2', NULL, NULL, 'PI-PLCc_gamma2', 12597),
(12598, 'cd16254', NULL, 'EFh_parvalbumin_alpha', NULL, NULL, 'EFh_parvalbumin_alpha', 12598),
(12599, 'cd08869', NULL, 'START_RhoGAP', NULL, NULL, 'START_RhoGAP', 12599),
(12600, 'cd15453', NULL, '7tmC_mGluR6', NULL, NULL, '7tmC_mGluR6', 12600),
(12601, 'cd02854', NULL, 'E_set_GBE_euk_N', NULL, NULL, 'E_set_GBE_euk_N', 12601),
(12602, 'cd13660', NULL, 'PBP2_PotD', NULL, NULL, 'PBP2_PotD', 12602),
(12603, 'cd11367', NULL, 'RNase_PH_RRP42', NULL, NULL, 'RNase_PH_RRP42', 12603),
(12604, 'cd10478', NULL, 'EphR_LBD_B3', NULL, NULL, 'EphR_LBD_B3', 12604),
(12605, 'cd15393', NULL, '7tmA_leucokinin-like', NULL, NULL, '7tmA_leucokinin-like', 12605),
(12606, 'cd19012', NULL, 'LGIC_ECD_5-HT3B', NULL, NULL, 'LGIC_ECD_5-HT3B', 12606),
(12607, 'cd09642', NULL, 'Cas8c_I-C', NULL, NULL, 'Cas8c_I-C', 12607),
(12608, 'cd03711', NULL, 'Tet_C', NULL, NULL, 'Tet_C', 12608),
(12609, 'cd15342', NULL, '7tmA_LPAR2_Edg4', NULL, NULL, '7tmA_LPAR2_Edg4', 12609),
(12610, 'cd03406', NULL, 'SPFH_like_u3', NULL, NULL, 'SPFH_like_u3', 12610),
(12611, 'cd05716', NULL, 'Ig_pIgR_like', NULL, NULL, 'Ig_pIgR_like', 12611),
(12612, 'cd11920', NULL, 'SH3_Sorbs2_1', NULL, NULL, 'SH3_Sorbs2_1', 12612),
(12613, 'cd08620', NULL, 'PI-PLCXDc_like_1', NULL, NULL, 'PI-PLCXDc_like_1', 12613),
(12614, 'cd18391', NULL, 'BTB_POZ_KCTD17', NULL, NULL, 'BTB_POZ_KCTD17', 12614),
(12615, 'cd19416', NULL, 'lipocalin_beta-LG-like', NULL, NULL, 'lipocalin_beta-LG-like', 12615),
(12616, 'cd05017', NULL, 'SIS_PGI_PMI_1', NULL, NULL, 'SIS_PGI_PMI_1', 12616),
(12617, 'cd13630', NULL, 'PBP2_PDT_1', NULL, NULL, 'PBP2_PDT_1', 12617),
(12618, 'cd17976', NULL, 'DEXHc_DHX30', NULL, NULL, 'DEXHc_DHX30', 12618),
(12619, 'cd21562', NULL, 'Macro_cv_SUD-N_Nsp3-like', NULL, NULL, 'Macro_cv_SUD-N_Nsp3-like', 12619),
(12620, 'cd11271', NULL, 'Sema_plexin_A1', NULL, NULL, 'Sema_plexin_A1', 12620),
(12621, 'cd17776', NULL, 'CBS_pair_arch', NULL, NULL, 'CBS_pair_arch', 12621),
(12622, 'cd08597', NULL, 'PI-PLCc_PRIP_metazoa', NULL, NULL, 'PI-PLCc_PRIP_metazoa', 12622),
(12623, 'cd17554', NULL, 'REC_TrrA-like', NULL, NULL, 'REC_TrrA-like', 12623),
(12624, 'cd07238', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 12624),
(12625, 'cd01462', NULL, 'VWA_YIEM_type', NULL, NULL, 'VWA_YIEM_type', 12625),
(12626, 'cd04365', NULL, 'IlGF_relaxin_like', NULL, NULL, 'IlGF_relaxin_like', 12626),
(12627, 'cd00190', NULL, 'Tryp_SPc', NULL, NULL, 'Tryp_SPc', 12627),
(12628, 'cd16711', NULL, 'RING-HC_DTX3', NULL, NULL, 'RING-HC_DTX3', 12628),
(12629, 'cd16733', NULL, 'RING-HC_PCGF1', NULL, NULL, 'RING-HC_PCGF1', 12629),
(12630, 'cd06591', NULL, 'GH31_xylosidase_XylS', NULL, NULL, 'GH31_xylosidase_XylS', 12630),
(12631, 'cd07067', NULL, 'HP_PGM_like', NULL, NULL, 'HP_PGM_like', 12631),
(12632, 'cd10049', NULL, 'Reelin_repeat_5_subrepeat_2', NULL, NULL, 'Reelin_repeat_5_subrepeat_2', 12632),
(12633, 'cd17267', NULL, 'RMtype1_S_EcoAO83I-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_EcoAO83I-TRD1-CR1_like', 12633);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(12634, 'cd17523', NULL, 'RMtype1_S_StySPI-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_StySPI-TRD2-CR2_like', 12634),
(12635, 'cd12067', NULL, 'SH3_MYO15A', NULL, NULL, 'SH3_MYO15A', 12635),
(12636, 'cd16135', NULL, 'RA_RASSF7', NULL, NULL, 'RA_RASSF7', 12636),
(12637, 'cd14047', NULL, 'STKc_EIF2AK2_PKR', NULL, NULL, 'STKc_EIF2AK2_PKR', 12637),
(12638, 'cd00801', NULL, 'INT_P4_C', NULL, NULL, 'INT_P4_C', 12638),
(12639, 'cd05938', NULL, 'hsFATP2a_ACSVL_like', NULL, NULL, 'hsFATP2a_ACSVL_like', 12639),
(12640, 'cd06476', NULL, 'ACD_HspB2_like', NULL, NULL, 'ACD_HspB2_like', 12640),
(12641, 'cd12631', NULL, 'RRM1_CELF1_2_Bruno', NULL, NULL, 'RRM1_CELF1_2_Bruno', 12641),
(12642, 'cd15788', NULL, 'Clospo_01618_like', NULL, NULL, 'Clospo_01618_like', 12642),
(12643, 'cd13330', NULL, 'PH_CARM1', NULL, NULL, 'PH_CARM1', 12643),
(12644, 'cd09277', NULL, 'RNase_HI_bacteria_like', NULL, NULL, 'RNase_HI_bacteria_like', 12644),
(12645, 'cd06243', NULL, 'M14_CP_Csd4-like', NULL, NULL, 'M14_CP_Csd4-like', 12645),
(12646, 'cd04938', NULL, 'TGS_Obg', NULL, NULL, 'TGS_Obg', 12646),
(12647, 'cd16101', NULL, 'ING', NULL, NULL, 'ING', 12647),
(12648, 'cd16100', NULL, 'ARID', NULL, NULL, 'ARID', 12648),
(12649, 'cd00399', NULL, 'RNAP_largest_subunit_N', NULL, NULL, 'RNAP_largest_subunit_N', 12649),
(12650, 'cd01386', NULL, 'MYSc_Myo18', NULL, NULL, 'MYSc_Myo18', 12650),
(12651, 'cd04190', NULL, 'Chitin_synth_C', NULL, NULL, 'Chitin_synth_C', 12651),
(12652, 'cd04485', NULL, 'DnaE_OBF', NULL, NULL, 'DnaE_OBF', 12652),
(12653, 'cd04488', NULL, 'RecG_wedge_OBF', NULL, NULL, 'RecG_wedge_OBF', 12653),
(12654, 'cd05015', NULL, 'SIS_PGI_1', NULL, NULL, 'SIS_PGI_1', 12654),
(12655, 'cd14360', NULL, 'UBA_NAC_like_bac', NULL, NULL, 'UBA_NAC_like_bac', 12655),
(12656, 'cd11368', NULL, 'RNase_PH_RRP45', NULL, NULL, 'RNase_PH_RRP45', 12656),
(12657, 'cd19986', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, 'PBP1_ABC_HAAT-like', 12657),
(12658, 'cd20216', NULL, 'PFM_HFR-2-like', NULL, NULL, 'PFM_HFR-2-like', 12658),
(12659, 'cd08031', NULL, 'LARP_4_5_like', NULL, NULL, 'LARP_4_5_like', 12659),
(12660, 'cd13442', NULL, 'CDI_toxin_Bp1026b_like', NULL, NULL, 'CDI_toxin_Bp1026b_like', 12660),
(12661, 'cd03412', NULL, 'CbiK_N', NULL, NULL, 'CbiK_N', 12661),
(12662, 'cd15619', NULL, 'PHD1_d4', NULL, NULL, 'PHD1_d4', 12662),
(12663, 'cd17729', NULL, 'BRCT_CTDP1', NULL, NULL, 'BRCT_CTDP1', 12663),
(12664, 'cd09840', NULL, 'LIM2_CRP2', NULL, NULL, 'LIM2_CRP2', 12664),
(12665, 'cd11879', NULL, 'SH3_Bem1p_2', NULL, NULL, 'SH3_Bem1p_2', 12665),
(12666, 'cd08509', NULL, 'PBP2_TmCBP_oligosaccharides_like', NULL, NULL, 'PBP2_TmCBP_oligosaccharides_like', 12666),
(12667, 'cd01922', NULL, 'cyclophilin_SpCYP2_like', NULL, NULL, 'cyclophilin_SpCYP2_like', 12667),
(12668, 'cd17070', NULL, 'DCX2_RP_like', NULL, NULL, 'DCX2_RP_like', 12668),
(12669, 'cd06563', NULL, 'GH20_chitobiase-like', NULL, NULL, 'GH20_chitobiase-like', 12669),
(12670, 'cd01337', NULL, 'MDH_glyoxysomal_mitochondrial', NULL, NULL, 'MDH_glyoxysomal_mitochondrial', 12670),
(12671, 'cd01117', NULL, 'YbiR_permease', NULL, NULL, 'YbiR_permease', 12671),
(12672, 'cd05324', NULL, 'carb_red_PTCR-like_SDR_c', NULL, NULL, 'carb_red_PTCR-like_SDR_c', 12672),
(12673, 'cd00508', NULL, 'MopB_CT_Fdh-Nap-like', NULL, NULL, 'MopB_CT_Fdh-Nap-like', 12673),
(12674, 'cd06612', NULL, 'STKc_MST1_2', NULL, NULL, 'STKc_MST1_2', 12674),
(12675, 'cd13686', NULL, 'GluR_Plant', NULL, NULL, 'GluR_Plant', 12675),
(12676, 'cd01678', NULL, 'PFL1', NULL, NULL, 'PFL1', 12676),
(12677, 'cd09172', NULL, 'PLDc_Nuc_like_unchar1_1', NULL, NULL, 'PLDc_Nuc_like_unchar1_1', 12677),
(12678, 'cd01145', NULL, 'TroA_c', NULL, NULL, 'TroA_c', 12678),
(12679, 'cd07098', NULL, 'ALDH_F15-22', NULL, NULL, 'ALDH_F15-22', 12679),
(12680, 'cd04743', NULL, 'NPD_PKS', NULL, NULL, 'NPD_PKS', 12680),
(12681, 'cd09561', NULL, 'SAM_SAMSN1', NULL, NULL, 'SAM_SAMSN1', 12681),
(12682, 'cd17756', NULL, 'MCM5', NULL, NULL, 'MCM5', 12682),
(12683, 'cd15301', NULL, '7tmA_mAChR_DM1-like', NULL, NULL, '7tmA_mAChR_DM1-like', 12683),
(12684, 'cd19690', NULL, 'bHLHzip_spESC1_like', NULL, NULL, 'bHLHzip_spESC1_like', 12684);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(12685, 'cd10383', NULL, 'SH2_SOCS2', NULL, NULL, 'SH2_SOCS2', 12685),
(12686, 'cd15054', NULL, '7tmA_5-HT6', NULL, NULL, '7tmA_5-HT6', 12686),
(12687, 'cd05599', NULL, 'STKc_NDR_like', NULL, NULL, 'STKc_NDR_like', 12687),
(12688, 'cd03804', NULL, 'GT4_WbaZ-like', NULL, NULL, 'GT4_WbaZ-like', 12688),
(12689, 'cd13914', NULL, 'CuRO_HCO_II_like_3', NULL, NULL, 'CuRO_HCO_II_like_3', 12689),
(12690, 'cd03813', NULL, 'GT4-like', NULL, NULL, 'GT4-like', 12690),
(12691, 'cd14844', NULL, 'Zn-DD-carboxypeptidase_like', NULL, NULL, 'Zn-DD-carboxypeptidase_like', 12691),
(12692, 'cd16607', NULL, 'RING-HC_TRIM60_like_C-IV', NULL, NULL, 'RING-HC_TRIM60_like_C-IV', 12692),
(12693, 'cd03183', NULL, 'GST_C_Theta', NULL, NULL, 'GST_C_Theta', 12693),
(12694, 'cd11952', NULL, 'SH3_iASPP', NULL, NULL, 'SH3_iASPP', 12694),
(12695, 'cd02190', NULL, 'epsilon_tubulin', NULL, NULL, 'epsilon_tubulin', 12695),
(12696, 'cd00032', NULL, 'CASc', NULL, NULL, 'CASc', 12696),
(12697, 'cd02760', NULL, 'MopB_Phenylacetyl-CoA-OR', NULL, NULL, 'MopB_Phenylacetyl-CoA-OR', 12697),
(12698, 'cd03594', NULL, 'CLECT_REG-1_like', NULL, NULL, 'CLECT_REG-1_like', 12698),
(12699, 'cd11941', NULL, 'SH3_ARHGEF37_C2', NULL, NULL, 'SH3_ARHGEF37_C2', 12699),
(12700, 'cd11903', NULL, 'SH3_Nck2_3', NULL, NULL, 'SH3_Nck2_3', 12700),
(12701, 'cd14706', NULL, 'bZIP_CREBZF', NULL, NULL, 'bZIP_CREBZF', 12701),
(12702, 'cd17079', NULL, 'Ubl_SLD2_NFATC2ip', NULL, NULL, 'Ubl_SLD2_NFATC2ip', 12702),
(12703, 'cd02986', NULL, 'DLP', NULL, NULL, 'DLP', 12703),
(12704, 'cd14838', NULL, 'AP4_Mu_N', NULL, NULL, 'AP4_Mu_N', 12704),
(12705, 'cd15066', NULL, '7tmA_DmOct-betaAR-like', NULL, NULL, '7tmA_DmOct-betaAR-like', 12705),
(12706, 'cd15086', NULL, '7tmA_tmt_opsin', NULL, NULL, '7tmA_tmt_opsin', 12706),
(12707, 'cd01946', NULL, 'ribokinase_group_C', NULL, NULL, 'ribokinase_group_C', 12707),
(12708, 'cd16166', NULL, 'OCRE_SUA_like', NULL, NULL, 'OCRE_SUA_like', 12708),
(12709, 'cd18611', NULL, 'GH130', NULL, NULL, 'GH130', 12709),
(12710, 'cd11657', NULL, 'TIN2_N', NULL, NULL, 'TIN2_N', 12710),
(12711, 'cd10229', NULL, 'HSPA12_like_NBD', NULL, NULL, 'HSPA12_like_NBD', 12711),
(12712, 'cd13652', NULL, 'PBP2_ThiY_THI5_like_1', NULL, NULL, 'PBP2_ThiY_THI5_like_1', 12712),
(12713, 'cd15126', NULL, '7tmA_ETBR-LP2', NULL, NULL, '7tmA_ETBR-LP2', 12713),
(12714, 'cd07984', NULL, 'LPLAT_LABLAT-like', NULL, NULL, 'LPLAT_LABLAT-like', 12714),
(12715, 'cd12352', NULL, 'RRM1_TIA1_like', NULL, NULL, 'RRM1_TIA1_like', 12715),
(12716, 'cd05126', NULL, 'Mth938', NULL, NULL, 'Mth938', 12716),
(12717, 'cd05049', NULL, 'PTKc_Trk', NULL, NULL, 'PTKc_Trk', 12717),
(12718, 'cd08313', NULL, 'Death_TNFR1', NULL, NULL, 'Death_TNFR1', 12718),
(12719, 'cd07378', NULL, 'MPP_ACP5', NULL, NULL, 'MPP_ACP5', 12719),
(12720, 'cd11631', NULL, 'HR1_PKN2_2', NULL, NULL, 'HR1_PKN2_2', 12720),
(12721, 'cd17996', NULL, 'DEXHc_SMARCA2_SMARCA4', NULL, NULL, 'DEXHc_SMARCA2_SMARCA4', 12721),
(12722, 'cd13344', NULL, 'PH-GRAM_MTMR7', NULL, NULL, 'PH-GRAM_MTMR7', 12722),
(12723, 'cd15400', NULL, '7tmA_Mel1B', NULL, NULL, '7tmA_Mel1B', 12723),
(12724, 'cd08560', NULL, 'GDPD_EcGlpQ_like_1', NULL, NULL, 'GDPD_EcGlpQ_like_1', 12724),
(12725, 'cd17060', NULL, 'Ubl_RB1CC1', NULL, NULL, 'Ubl_RB1CC1', 12725),
(12726, 'cd02864', NULL, 'Heme_Cu_Oxidase_III_1', NULL, NULL, 'Heme_Cu_Oxidase_III_1', 12726),
(12727, 'cd18601', NULL, 'ABC_6TM_MRP4_D2_like', NULL, NULL, 'ABC_6TM_MRP4_D2_like', 12727),
(12728, 'cd00867', NULL, 'Trans_IPPS', NULL, NULL, 'Trans_IPPS', 12728),
(12729, 'cd00987', NULL, 'PDZ_serine_protease', NULL, NULL, 'PDZ_serine_protease', 12729),
(12730, 'cd08930', NULL, 'SDR_c8', NULL, NULL, 'SDR_c8', 12730),
(12731, 'cd14200', NULL, 'STKc_CaMKK1', NULL, NULL, 'STKc_CaMKK1', 12731),
(12732, 'cd01808', NULL, 'Ubl_PLICs', NULL, NULL, 'Ubl_PLICs', 12732),
(12733, 'cd16433', NULL, 'CheB', NULL, NULL, 'CheB', 12733),
(12734, 'cd13236', NULL, 'PH2_FGD1-4', NULL, NULL, 'PH2_FGD1-4', 12734),
(12735, 'cd15851', NULL, 'SNARE_Syntaxin6', NULL, NULL, 'SNARE_Syntaxin6', 12735),
(12736, 'cd13762', NULL, 'TGF_beta_GDP9_9B_like', NULL, NULL, 'TGF_beta_GDP9_9B_like', 12736);
INSERT INTO "PUBLIC"."MODEL" VALUES
(12737, 'cd14845', NULL, 'L-Ala-D-Glu_peptidase_like', NULL, NULL, 'L-Ala-D-Glu_peptidase_like', 12737),
(12738, 'cd18260', NULL, 'BTB_POZ_KLHL31_KBTBD1', NULL, NULL, 'BTB_POZ_KLHL31_KBTBD1', 12738),
(12739, 'cd14241', NULL, 'PAD', NULL, NULL, 'PAD', 12739),
(12740, 'cd09968', NULL, 'UP_III', NULL, NULL, 'UP_III', 12740),
(12741, 'cd16025', NULL, 'PAS_like', NULL, NULL, 'PAS_like', 12741),
(12742, 'cd05474', NULL, 'SAP_like', NULL, NULL, 'SAP_like', 12742),
(12743, 'cd11855', NULL, 'SH3_Sho1p', NULL, NULL, 'SH3_Sho1p', 12743),
(12744, 'cd17171', NULL, 'FERM_F0_TLN1', NULL, NULL, 'FERM_F0_TLN1', 12744),
(12745, 'cd18632', NULL, 'CD_Clr4_like', NULL, NULL, 'CD_Clr4_like', 12745),
(12746, 'cd03189', NULL, 'GST_C_GTT1_like', NULL, NULL, 'GST_C_GTT1_like', 12746),
(12747, 'cd13290', NULL, 'PH_ORP9', NULL, NULL, 'PH_ORP9', 12747),
(12748, 'cd10810', NULL, 'GH38N_AMII_LAM_like', NULL, NULL, 'GH38N_AMII_LAM_like', 12748),
(12749, 'cd13274', NULL, 'PH_DGK_type2', NULL, NULL, 'PH_DGK_type2', 12749),
(12750, 'cd02549', NULL, 'Peptidase_C39A', NULL, NULL, 'Peptidase_C39A', 12750),
(12751, 'cd18696', NULL, 'PIN_MtVapC26-like', NULL, NULL, 'PIN_MtVapC26-like', 12751),
(12752, 'cd19349', NULL, 'Wnt_Wnt7a', NULL, NULL, 'Wnt_Wnt7a', 12752),
(12753, 'cd15131', NULL, '7tmA_GHSR', NULL, NULL, '7tmA_GHSR', 12753),
(12754, 'cd17626', NULL, 'REC_OmpR_MtrA-like', NULL, NULL, 'REC_OmpR_MtrA-like', 12754),
(12755, 'cd15897', NULL, 'EFh_PEF', NULL, NULL, 'EFh_PEF', 12755),
(12756, 'cd12536', NULL, 'RRM1_RBM39', NULL, NULL, 'RRM1_RBM39', 12756),
(12757, 'cd12537', NULL, 'RRM1_RBM23', NULL, NULL, 'RRM1_RBM23', 12757),
(12758, 'cd16605', NULL, 'RING-HC_TRIM50_like_C-IV', NULL, NULL, 'RING-HC_TRIM50_like_C-IV', 12758),
(12759, 'cd05165', NULL, 'PI3Kc_I', NULL, NULL, 'PI3Kc_I', 12759),
(12760, 'cd18214', NULL, 'BTB_POZ_ZBTB26_Bioref', NULL, NULL, 'BTB_POZ_ZBTB26_Bioref', 12760),
(12761, 'cd18894', NULL, 'JBP-like', NULL, NULL, 'JBP-like', 12761),
(12762, 'cd13371', NULL, 'PH_GAP1_mammal-like', NULL, NULL, 'PH_GAP1_mammal-like', 12762),
(12763, 'cd12872', NULL, 'SPRY_Ash2', NULL, NULL, 'SPRY_Ash2', 12763),
(12764, 'cd15286', NULL, '7tmC_mGluR_group3', NULL, NULL, '7tmC_mGluR_group3', 12764),
(12765, 'cd16481', NULL, 'RING-H2_TTC3', NULL, NULL, 'RING-H2_TTC3', 12765),
(12766, 'cd12944', NULL, 'LEM_ANKL2', NULL, NULL, 'LEM_ANKL2', 12766),
(12767, 'cd09811', NULL, '3b-HSD_HSDB1_like_SDR_e', NULL, NULL, '3b-HSD_HSDB1_like_SDR_e', 12767),
(12768, 'cd13346', NULL, 'PH-GRAM_MTMR10', NULL, NULL, 'PH-GRAM_MTMR10', 12768),
(12769, 'cd21413', NULL, 'unc_tv_SF1_Hel-like', NULL, NULL, 'unc_tv_SF1_Hel-like', 12769),
(12770, 'cd15062', NULL, '7tmA_alpha1_AR', NULL, NULL, '7tmA_alpha1_AR', 12770),
(12771, 'cd21648', NULL, 'SARS-CoV-like_ORF3a', NULL, NULL, 'SARS-CoV-like_ORF3a', 12771),
(12772, 'cd07343', NULL, 'M48A_Zmpste24p_like', NULL, NULL, 'M48A_Zmpste24p_like', 12772),
(12773, 'sd00020', NULL, 'ZF_C2H2', NULL, NULL, 'ZF_C2H2', 12773),
(12774, 'cd15746', NULL, 'FYVE_RP3A_like', NULL, NULL, 'FYVE_RP3A_like', 12774),
(12775, 'cd00974', NULL, 'DSRD', NULL, NULL, 'DSRD', 12775),
(12776, 'cd04718', NULL, 'BAH_plant_2', NULL, NULL, 'BAH_plant_2', 12776),
(12777, 'cd11250', NULL, 'Sema_3B', NULL, NULL, 'Sema_3B', 12777),
(12778, 'cd18371', NULL, 'BTB_POZ_KCTD14', NULL, NULL, 'BTB_POZ_KCTD14', 12778),
(12779, 'cd12421', NULL, 'RRM1_PTBP1_hnRNPL_like', NULL, NULL, 'RRM1_PTBP1_hnRNPL_like', 12779),
(12780, 'cd01061', NULL, 'RNase_T2_euk', NULL, NULL, 'RNase_T2_euk', 12780),
(12781, 'cd06203', NULL, 'methionine_synthase_red', NULL, NULL, 'methionine_synthase_red', 12781),
(12782, 'cd07102', NULL, 'ALDH_EDX86601', NULL, NULL, 'ALDH_EDX86601', 12782),
(12783, 'cd12045', NULL, 'SH3_SKAP2', NULL, NULL, 'SH3_SKAP2', 12783),
(12784, 'cd06843', NULL, 'PLPDE_III_PvsE_like', NULL, NULL, 'PLPDE_III_PvsE_like', 12784),
(12785, 'cd15762', NULL, 'FYVE_RP3A', NULL, NULL, 'FYVE_RP3A', 12785),
(12786, 'cd15049', NULL, '7tmA_mAChR', NULL, NULL, '7tmA_mAChR', 12786),
(12787, 'cd18826', NULL, 'GH43_CtGH43-like', NULL, NULL, 'GH43_CtGH43-like', 12787),
(12788, 'cd16927', NULL, 'HATPase_Hsp90-like', NULL, NULL, 'HATPase_Hsp90-like', 12788);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(12789, 'cd06427', NULL, 'CESA_like_2', NULL, NULL, 'CESA_like_2', 12789),
(12790, 'cd11260', NULL, 'Sema_4E', NULL, NULL, 'Sema_4E', 12790),
(12791, 'cd14996', NULL, '7tmA_GPR82', NULL, NULL, '7tmA_GPR82', 12791),
(12792, 'cd00086', NULL, 'homeodomain', NULL, NULL, 'homeodomain', 12792),
(12793, 'cd05160', NULL, 'DEDDy_DNA_polB_exo', NULL, NULL, 'DEDDy_DNA_polB_exo', 12793),
(12794, 'cd14869', NULL, 'uS7_Bacteria', NULL, NULL, 'uS7_Bacteria', 12794),
(12795, 'cd09576', NULL, 'SAM_DGK-eta', NULL, NULL, 'SAM_DGK-eta', 12795),
(12796, 'cd18911', NULL, 'bHLHzip_MGA', NULL, NULL, 'bHLHzip_MGA', 12796),
(12797, 'cd10158', NULL, 'CsoR-like_DUF156_1', NULL, NULL, 'CsoR-like_DUF156_1', 12797),
(12798, 'cd09328', NULL, 'LIM2_abLIM', NULL, NULL, 'LIM2_abLIM', 12798),
(12799, 'cd08171', NULL, 'GlyDH-like', NULL, NULL, 'GlyDH-like', 12799),
(12800, 'cd12588', NULL, 'RRM1_p54nrb', NULL, NULL, 'RRM1_p54nrb', 12800),
(12801, 'cd01020', NULL, 'TroA_b', NULL, NULL, 'TroA_b', 12801),
(12802, 'cd01554', NULL, 'EPT-like', NULL, NULL, 'EPT-like', 12802),
(12803, 'cd04666', NULL, 'Nudix_Hydrolase_9', NULL, NULL, 'Nudix_Hydrolase_9', 12803),
(12804, 'cd12276', NULL, 'RRM2_MEI2_EAR1_like', NULL, NULL, 'RRM2_MEI2_EAR1_like', 12804),
(12805, 'cd07146', NULL, 'ALDH_PhpJ', NULL, NULL, 'ALDH_PhpJ', 12805),
(12806, 'cd02212', NULL, 'cupin_UGlyAH_C', NULL, NULL, 'cupin_UGlyAH_C', 12806),
(12807, 'cd20276', NULL, 'Sarcolamban_A', NULL, NULL, 'Sarcolamban_A', 12807),
(12808, 'cd12306', NULL, 'RRM_II_PABPs', NULL, NULL, 'RRM_II_PABPs', 12808),
(12809, 'cd08970', NULL, 'AcNei1_N', NULL, NULL, 'AcNei1_N', 12809),
(12810, 'cd01521', NULL, 'RHOD_PspE2', NULL, NULL, 'RHOD_PspE2', 12810),
(12811, 'cd12956', NULL, 'CBM_SusE-F_like', NULL, NULL, 'CBM_SusE-F_like', 12811),
(12812, 'cd05177', NULL, 'PI3Kc_C2_gamma', NULL, NULL, 'PI3Kc_C2_gamma', 12812),
(12813, 'cd11324', NULL, 'AmyAc_Amylosucrase', NULL, NULL, 'AmyAc_Amylosucrase', 12813),
(12814, 'cd06252', NULL, 'M14_ASTE_ASPA-like', NULL, NULL, 'M14_ASTE_ASPA-like', 12814),
(12815, 'cd03359', NULL, 'LbH_Dynactin_5', NULL, NULL, 'LbH_Dynactin_5', 12815),
(12816, 'cd06383', NULL, 'PBP1_iGluR_AMPA_Like', NULL, NULL, 'PBP1_iGluR_AMPA_Like', 12816),
(12817, 'cd15692', NULL, 'PHD1_DPF3', NULL, NULL, 'PHD1_DPF3', 12817),
(12818, 'cd16122', NULL, 'FERM_F1_SNX31', NULL, NULL, 'FERM_F1_SNX31', 12818),
(12819, 'cd17998', NULL, 'DEXHc_SMARCAD1', NULL, NULL, 'DEXHc_SMARCAD1', 12819),
(12820, 'cd07389', NULL, 'MPP_PhoD', NULL, NULL, 'MPP_PhoD', 12820),
(12821, 'cd00786', NULL, 'cytidine_deaminase-like', NULL, NULL, 'cytidine_deaminase-like', 12821),
(12822, 'cd03763', NULL, 'proteasome_beta_type_7', NULL, NULL, 'proteasome_beta_type_7', 12822),
(12823, 'cd08586', NULL, 'PI-PLCc_BcPLC_like', NULL, NULL, 'PI-PLCc_BcPLC_like', 12823),
(12824, 'cd15290', NULL, '7tmC_TAS1R3', NULL, NULL, '7tmC_TAS1R3', 12824),
(12825, 'cd05098', NULL, 'PTKc_FGFR1', NULL, NULL, 'PTKc_FGFR1', 12825),
(12826, 'cd15885', NULL, 'SNARE_SNAP25C', NULL, NULL, 'SNARE_SNAP25C', 12826),
(12827, 'cd05884', NULL, 'Ig2_Necl-3', NULL, NULL, 'Ig2_Necl-3', 12827),
(12828, 'cd05753', NULL, 'Ig2_FcgammaR_like', NULL, NULL, 'Ig2_FcgammaR_like', 12828),
(12829, 'cd10409', NULL, 'SH2_Nck2', NULL, NULL, 'SH2_Nck2', 12829),
(12830, 'cd11724', NULL, 'TP_methylase', NULL, NULL, 'TP_methylase', 12830),
(12831, 'cd19428', NULL, 'lipocalin_MUP-like', NULL, NULL, 'lipocalin_MUP-like', 12831),
(12832, 'cd15773', NULL, 'FYVE1_BSN', NULL, NULL, 'FYVE1_BSN', 12832),
(12833, 'cd14511', NULL, 'PTP_auxilin-like', NULL, NULL, 'PTP_auxilin-like', 12833),
(12834, 'cd16158', NULL, 'ARSA', NULL, NULL, 'ARSA', 12834),
(12835, 'cd00563', NULL, 'Dtyr_deacylase', NULL, NULL, 'Dtyr_deacylase', 12835),
(12836, 'cd09624', NULL, 'DOMON_b558_566', NULL, NULL, 'DOMON_b558_566', 12836),
(12837, 'cd15353', NULL, '7tmA_MC4R', NULL, NULL, '7tmA_MC4R', 12837),
(12838, 'cd15953', NULL, '7tmA_OR52P-like', NULL, NULL, '7tmA_OR52P-like', 12838),
(12839, 'cd09704', NULL, 'Csx12', NULL, NULL, 'Csx12', 12839),
(12840, 'cd01391', NULL, 'Periplasmic_Binding_Protein_type1', NULL, NULL, 'Periplasmic_Binding_Protein_type1', 12840);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(12841, 'cd09676', NULL, 'Csy2_I-F', NULL, NULL, 'Csy2_I-F', 12841),
(12842, 'cd12963', NULL, 'X45_BaPul_like', NULL, NULL, 'X45_BaPul_like', 12842),
(12843, 'cd14574', NULL, 'DUSP28', NULL, NULL, 'DUSP28', 12843),
(12844, 'cd14564', NULL, 'PTP_GAK', NULL, NULL, 'PTP_GAK', 12844),
(12845, 'cd18309', NULL, 'BTB2_POZ_LZTR1', NULL, NULL, 'BTB2_POZ_LZTR1', 12845),
(12846, 'cd15325', NULL, '7tmA_alpha1A_AR', NULL, NULL, '7tmA_alpha1A_AR', 12846),
(12847, 'cd13946', NULL, 'LysW', NULL, NULL, 'LysW', 12847),
(12848, 'cd13257', NULL, 'PH4_ARAP', NULL, NULL, 'PH4_ARAP', 12848),
(12849, 'cd18273', NULL, 'BTB_POZ_KBTBD6_7', NULL, NULL, 'BTB_POZ_KBTBD6_7', 12849),
(12850, 'cd10583', NULL, 'TNFRSF21', NULL, NULL, 'TNFRSF21', 12850),
(12851, 'cd16119', NULL, 'UBX_UBXN6', NULL, NULL, 'UBX_UBXN6', 12851),
(12852, 'cd00632', NULL, 'Prefoldin_beta', NULL, NULL, 'Prefoldin_beta', 12852),
(12853, 'cd04673', NULL, 'Nudix_Hydrolase_15', NULL, NULL, 'Nudix_Hydrolase_15', 12853),
(12854, 'cd16736', NULL, 'RING-HC_PCGF4', NULL, NULL, 'RING-HC_PCGF4', 12854),
(12855, 'cd11924', NULL, 'SH3_Vinexin_2', NULL, NULL, 'SH3_Vinexin_2', 12855),
(12856, 'cd05273', NULL, 'GME-like_SDR_e', NULL, NULL, 'GME-like_SDR_e', 12856),
(12857, 'cd16092', NULL, 'IgC_CH1_IgD', NULL, NULL, 'IgC_CH1_IgD', 12857),
(12858, 'cd06482', NULL, 'ACD_HspB10', NULL, NULL, 'ACD_HspB10', 12858),
(12859, 'cd16300', NULL, 'NDM_FIM-like_MBL-B1', NULL, NULL, 'NDM_FIM-like_MBL-B1', 12859),
(12860, 'cd01240', NULL, 'PH_GRK2_subgroup', NULL, NULL, 'PH_GRK2_subgroup', 12860),
(12861, 'cd12091', NULL, 'FANCM_ID', NULL, NULL, 'FANCM_ID', 12861),
(12862, 'cd11378', NULL, 'DUF296', NULL, NULL, 'DUF296', 12862),
(12863, 'cd02430', NULL, 'PTH2', NULL, NULL, 'PTH2', 12863),
(12864, 'cd02812', NULL, 'PcrB_like', NULL, NULL, 'PcrB_like', 12864),
(12865, 'cd02785', NULL, 'MopB_CT_4', NULL, NULL, 'MopB_CT_4', 12865),
(12866, 'cd13136', NULL, 'MATE_DinF_like', NULL, NULL, 'MATE_DinF_like', 12866),
(12867, 'cd14076', NULL, 'STKc_Kin4', NULL, NULL, 'STKc_Kin4', 12867),
(12868, 'cd19163', NULL, 'AKR_galDH', NULL, NULL, 'AKR_galDH', 12868),
(12869, 'cd05674', NULL, 'M20_yscS', NULL, NULL, 'M20_yscS', 12869),
(12870, 'cd03676', NULL, 'Nudix_hydrolase_3', NULL, NULL, 'Nudix_hydrolase_3', 12870),
(12871, 'cd15097', NULL, '7tmA_Gal2_Gal3_R', NULL, NULL, '7tmA_Gal2_Gal3_R', 12871),
(12872, 'cd18356', NULL, 'BTB1_POZ_RHOBTB2', NULL, NULL, 'BTB1_POZ_RHOBTB2', 12872),
(12873, 'cd05751', NULL, 'Ig1_LILR_KIR_like', NULL, NULL, 'Ig1_LILR_KIR_like', 12873),
(12874, 'cd16196', NULL, 'EFh_PEF_CalpA_B', NULL, NULL, 'EFh_PEF_CalpA_B', 12874),
(12875, 'cd07741', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', 12875),
(12876, 'cd00187', NULL, 'TOP4c', NULL, NULL, 'TOP4c', 12876),
(12877, 'cd19759', NULL, 'Bbox2_TRIM2-like', NULL, NULL, 'Bbox2_TRIM2-like', 12877),
(12878, 'cd01532', NULL, '4RHOD_Repeat_1', NULL, NULL, '4RHOD_Repeat_1', 12878),
(12879, 'cd09718', NULL, 'Cas1_I-F', NULL, NULL, 'Cas1_I-F', 12879),
(12880, 'cd15964', NULL, '7tmA_TSH-R', NULL, NULL, '7tmA_TSH-R', 12880),
(12881, 'cd07046', NULL, 'BMC_PduU-EutS', NULL, NULL, 'BMC_PduU-EutS', 12881),
(12882, 'cd12542', NULL, 'RRM2_LARP7', NULL, NULL, 'RRM2_LARP7', 12882),
(12883, 'cd11728', NULL, 'ADDz_Dnmt3b', NULL, NULL, 'ADDz_Dnmt3b', 12883),
(12884, 'cd15735', NULL, 'FYVE_spVPS27p_like', NULL, NULL, 'FYVE_spVPS27p_like', 12884),
(12885, 'cd18440', NULL, 'BRCT_PAXIP1_rpt6', NULL, NULL, 'BRCT_PAXIP1_rpt6', 12885),
(12886, 'cd10461', NULL, 'PUB_UBA_plant', NULL, NULL, 'PUB_UBA_plant', 12886),
(12887, 'cd15189', NULL, '7tmA_Bradykinin_R', NULL, NULL, '7tmA_Bradykinin_R', 12887),
(12888, 'cd14324', NULL, 'UBA_Dsk2p_like', NULL, NULL, 'UBA_Dsk2p_like', 12888),
(12889, 'cd10392', NULL, 'SH2_SHF', NULL, NULL, 'SH2_SHF', 12889),
(12890, 'cd14490', NULL, 'CBM6-CBM35-CBM36_like_1', NULL, NULL, 'CBM6-CBM35-CBM36_like_1', 12890),
(12891, 'cd14679', NULL, 'PH_p115RhoGEF', NULL, NULL, 'PH_p115RhoGEF', 12891),
(12892, 'cd16527', NULL, 'RING-HC_PEX10', NULL, NULL, 'RING-HC_PEX10', 12892),
(12893, 'cd15787', NULL, 'YycH_N', NULL, NULL, 'YycH_N', 12893);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(12894, 'cd07705', NULL, 'Ig2_Necl-1', NULL, NULL, 'Ig2_Necl-1', 12894),
(12895, 'cd00805', NULL, 'TyrRS_core', NULL, NULL, 'TyrRS_core', 12895),
(12896, 'cd14562', NULL, 'PTP_tensin-2', NULL, NULL, 'PTP_tensin-2', 12896),
(12897, 'cd08748', NULL, 'RGS_GRK1', NULL, NULL, 'RGS_GRK1', 12897),
(12898, 'cd17789', NULL, 'CBS_pair_plant_CBSX', NULL, NULL, 'CBS_pair_plant_CBSX', 12898),
(12899, 'cd06396', NULL, 'PB1_NBR1', NULL, NULL, 'PB1_NBR1', 12899),
(12900, 'cd20271', NULL, 'Complex1_LYR_FMC1', NULL, NULL, 'Complex1_LYR_FMC1', 12900),
(12901, 'cd14682', NULL, 'PH-EXOC1_like', NULL, NULL, 'PH-EXOC1_like', 12901),
(12902, 'cd16642', NULL, 'mRING-HC-C3HC3D_TRAF5', NULL, NULL, 'mRING-HC-C3HC3D_TRAF5', 12902),
(12903, 'cd16573', NULL, 'RING-HC_TFB3_like', NULL, NULL, 'RING-HC_TFB3_like', 12903),
(12904, 'cd19119', NULL, 'AKR_AKR3C1', NULL, NULL, 'AKR_AKR3C1', 12904),
(12905, 'cd18243', NULL, 'BTB_POZ_KLHL14_printor', NULL, NULL, 'BTB_POZ_KLHL14_printor', 12905),
(12906, 'cd04852', NULL, 'Peptidases_S8_3', NULL, NULL, 'Peptidases_S8_3', 12906),
(12907, 'cd07186', NULL, 'CofD_like', NULL, NULL, 'CofD_like', 12907),
(12908, 'cd10922', NULL, 'CE4_PelA_like_C', NULL, NULL, 'CE4_PelA_like_C', 12908),
(12909, 'cd11443', NULL, 'bHLH_AtAMS_like', NULL, NULL, 'bHLH_AtAMS_like', 12909),
(12910, 'cd19741', NULL, 'bHLH-O_ESMB_like', NULL, NULL, 'bHLH-O_ESMB_like', 12910),
(12911, 'cd09205', NULL, 'PLDc_N_DEXD_b3', NULL, NULL, 'PLDc_N_DEXD_b3', 12911),
(12912, 'cd18725', NULL, 'PIN_LabA-like', NULL, NULL, 'PIN_LabA-like', 12912),
(12913, 'cd15831', NULL, 'BTAD', NULL, NULL, 'BTAD', 12913),
(12914, 'cd16306', NULL, 'CphA_ImiS-like_MBL-B2', NULL, NULL, 'CphA_ImiS-like_MBL-B2', 12914),
(12915, 'cd07908', NULL, 'Mn_catalase_like', NULL, NULL, 'Mn_catalase_like', 12915),
(12916, 'cd03192', NULL, 'GST_C_Sigma_like', NULL, NULL, 'GST_C_Sigma_like', 12916),
(12917, 'cd10414', NULL, 'SH2_Grb14', NULL, NULL, 'SH2_Grb14', 12917),
(12918, 'cd13364', NULL, 'PH_PLC_eta', NULL, NULL, 'PH_PLC_eta', 12918),
(12919, 'cd19462', NULL, 'CRBP1', NULL, NULL, 'CRBP1', 12919),
(12920, 'cd15491', NULL, 'selB_III', NULL, NULL, 'selB_III', 12920),
(12921, 'cd16824', NULL, 'RING_CH-C4HC3_MARCH4', NULL, NULL, 'RING_CH-C4HC3_MARCH4', 12921),
(12922, 'cd10046', NULL, 'Reelin_repeat_2_subrepeat_2', NULL, NULL, 'Reelin_repeat_2_subrepeat_2', 12922),
(12923, 'cd07368', NULL, 'PhnC_Bs_like', NULL, NULL, 'PhnC_Bs_like', 12923),
(12924, 'cd11812', NULL, 'SH3_AHI-1', NULL, NULL, 'SH3_AHI-1', 12924),
(12925, 'cd16638', NULL, 'mRING-HC-C3HC3D_Roquin', NULL, NULL, 'mRING-HC-C3HC3D_Roquin', 12925),
(12926, 'cd11784', NULL, 'SH3_SH3RF2_3', NULL, NULL, 'SH3_SH3RF2_3', 12926),
(12927, 'cd18089', NULL, 'SPOUT_Trm10-like', NULL, NULL, 'SPOUT_Trm10-like', 12927),
(12928, 'cd10319', NULL, 'EphR_LBD', NULL, NULL, 'EphR_LBD', 12928),
(12929, 'cd16661', NULL, 'RING-Ubox1_NOSIP', NULL, NULL, 'RING-Ubox1_NOSIP', 12929),
(12930, 'cd03137', NULL, 'GATase1_AraC_1', NULL, NULL, 'GATase1_AraC_1', 12930),
(12931, 'cd01125', NULL, 'repA', NULL, NULL, 'repA', 12931),
(12932, 'cd02855', NULL, 'E_set_GBE_prok_N', NULL, NULL, 'E_set_GBE_prok_N', 12932),
(12933, 'cd09761', NULL, 'A3DFK9-like_SDR_c', NULL, NULL, 'A3DFK9-like_SDR_c', 12933),
(12934, 'cd03473', NULL, 'Rieske_CMP_Neu5Ac_hydrolase_N', NULL, NULL, 'Rieske_CMP_Neu5Ac_hydrolase_N', 12934),
(12935, 'cd11421', NULL, 'bHLH_TS_ATOH8', NULL, NULL, 'bHLH_TS_ATOH8', 12935),
(12936, 'cd12522', NULL, 'RRM4_MRN1', NULL, NULL, 'RRM4_MRN1', 12936),
(12937, 'cd14517', NULL, 'DSP_STYXL1', NULL, NULL, 'DSP_STYXL1', 12937),
(12938, 'cd01099', NULL, 'PAN_AP_HGF', NULL, NULL, 'PAN_AP_HGF', 12938),
(12939, 'cd10457', NULL, 'GIY-YIG_AtGrxS16', NULL, NULL, 'GIY-YIG_AtGrxS16', 12939),
(12940, 'cd07230', NULL, 'Pat_TGL4-5_like', NULL, NULL, 'Pat_TGL4-5_like', 12940),
(12941, 'cd07460', NULL, 'CRD_FZ5', NULL, NULL, 'CRD_FZ5', 12941),
(12942, 'cd12097', NULL, 'DD_RI_PKA', NULL, NULL, 'DD_RI_PKA', 12942),
(12943, 'cd11938', NULL, 'SH3_ARHGEF16_26', NULL, NULL, 'SH3_ARHGEF16_26', 12943),
(12944, 'cd05620', NULL, 'STKc_nPKC_delta', NULL, NULL, 'STKc_nPKC_delta', 12944); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(12945, 'cd15965', NULL, '7tmA_RXFP1_LGR7', NULL, NULL, '7tmA_RXFP1_LGR7', 12945),
(12946, 'cd13912', NULL, 'CcO_II_C', NULL, NULL, 'CcO_II_C', 12946),
(12947, 'cd19375', NULL, 'UDG-F3-like_SMUG2', NULL, NULL, 'UDG-F3-like_SMUG2', 12947),
(12948, 'cd14984', NULL, '7tmA_Chemokine_R', NULL, NULL, '7tmA_Chemokine_R', 12948),
(12949, 'cd14628', NULL, 'R-PTP-D-2', NULL, NULL, 'R-PTP-D-2', 12949),
(12950, 'cd02791', NULL, 'MopB_CT_Nitrate-R-NapA-like', NULL, NULL, 'MopB_CT_Nitrate-R-NapA-like', 12950),
(12951, 'cd08384', NULL, 'C2B_Rabphilin_Doc2', NULL, NULL, 'C2B_Rabphilin_Doc2', 12951),
(12952, 'cd08697', NULL, 'C2_Dock-D', NULL, NULL, 'C2_Dock-D', 12952),
(12953, 'cd19469', NULL, 'FABP8', NULL, NULL, 'FABP8', 12953),
(12954, 'cd04040', NULL, 'C2D_Tricalbin-like', NULL, NULL, 'C2D_Tricalbin-like', 12954),
(12955, 'cd07767', NULL, 'MPN', NULL, NULL, 'MPN', 12955),
(12956, 'cd04919', NULL, 'ACT_AK-Hom3_2', NULL, NULL, 'ACT_AK-Hom3_2', 12956),
(12957, 'cd17341', NULL, 'MFS_NRT2_like', NULL, NULL, 'MFS_NRT2_like', 12957),
(12958, 'cd05535', NULL, 'POLBc_epsilon', NULL, NULL, 'POLBc_epsilon', 12958),
(12959, 'cd07772', NULL, 'FGGY_NaCK_like', NULL, NULL, 'FGGY_NaCK_like', 12959),
(12960, 'cd21526', NULL, 'CoV_Nsp6', NULL, NULL, 'CoV_Nsp6', 12960),
(12961, 'cd11624', NULL, 'HR1_Rhophilin', NULL, NULL, 'HR1_Rhophilin', 12961),
(12962, 'cd17031', NULL, 'T3SC_IA_SycN-like', NULL, NULL, 'T3SC_IA_SycN-like', 12962),
(12963, 'cd19709', NULL, 'bHLH_TS_TCF23_OUT', NULL, NULL, 'bHLH_TS_TCF23_OUT', 12963),
(12964, 'cd12114', NULL, 'A_NRPS_TlmIV_like', NULL, NULL, 'A_NRPS_TlmIV_like', 12964),
(12965, 'cd16971', NULL, 'Alpha_kinase_ChaK1_TRMP7', NULL, NULL, 'Alpha_kinase_ChaK1_TRMP7', 12965),
(12966, 'cd17956', NULL, 'DEADc_DDX51', NULL, NULL, 'DEADc_DDX51', 12966),
(12967, 'cd00384', NULL, 'ALAD_PBGS', NULL, NULL, 'ALAD_PBGS', 12967),
(12968, 'cd15331', NULL, '7tmA_5-HT1A_invertebrates', NULL, NULL, '7tmA_5-HT1A_invertebrates', 12968),
(12969, 'cd16767', NULL, 'RING-HC_TRIM2', NULL, NULL, 'RING-HC_TRIM2', 12969),
(12970, 'cd09991', NULL, 'HDAC_classI', NULL, NULL, 'HDAC_classI', 12970),
(12971, 'cd09440', NULL, 'LIM1_SF3', NULL, NULL, 'LIM1_SF3', 12971),
(12972, 'cd09981', NULL, 'LOTUS_5_Limkain_b1', NULL, NULL, 'LOTUS_5_Limkain_b1', 12972),
(12973, 'cd09360', NULL, 'LIM_ALP_like', NULL, NULL, 'LIM_ALP_like', 12973),
(12974, 'cd03789', NULL, 'GT9_LPS_heptosyltransferase', NULL, NULL, 'GT9_LPS_heptosyltransferase', 12974),
(12975, 'cd09514', NULL, 'SAM_SGMS1', NULL, NULL, 'SAM_SGMS1', 12975),
(12976, 'cd00361', NULL, 'arom_aa_hydroxylase', NULL, NULL, 'arom_aa_hydroxylase', 12976),
(12977, 'cd09407', NULL, 'LIM2_Paxillin', NULL, NULL, 'LIM2_Paxillin', 12977),
(12978, 'cd12279', NULL, 'RRM_TUT1', NULL, NULL, 'RRM_TUT1', 12978),
(12979, 'cd08701', NULL, 'FMT_C_HypX', NULL, NULL, 'FMT_C_HypX', 12979),
(12980, 'cd04912', NULL, 'ACT_AKiii-LysC-EC-like_1', NULL, NULL, 'ACT_AKiii-LysC-EC-like_1', 12980),
(12981, 'cd18766', NULL, 'PIN_MtVapC3-like', NULL, NULL, 'PIN_MtVapC3-like', 12981),
(12982, 'cd04465', NULL, 'S1_RPS1_repeat_ec2_hs2', NULL, NULL, 'S1_RPS1_repeat_ec2_hs2', 12982),
(12983, 'cd12229', NULL, 'RRM_G3BP', NULL, NULL, 'RRM_G3BP', 12983),
(12984, 'cd17931', NULL, 'DEXHc_viral_Ns3', NULL, NULL, 'DEXHc_viral_Ns3', 12984),
(12985, 'cd04460', NULL, 'S1_RpoE', NULL, NULL, 'S1_RpoE', 12985),
(12986, 'cd05747', NULL, 'Ig_Titin_like', NULL, NULL, 'Ig_Titin_like', 12986),
(12987, 'cd15323', NULL, '7tmA_alpha2C_AR', NULL, NULL, '7tmA_alpha2C_AR', 12987),
(12988, 'cd18269', NULL, 'BTB_POZ_KLHL40-like', NULL, NULL, 'BTB_POZ_KLHL40-like', 12988),
(12989, 'cd01734', NULL, 'YlxS_C', NULL, NULL, 'YlxS_C', 12989),
(12990, 'cd17089', NULL, 'FERM_F0_TLN', NULL, NULL, 'FERM_F0_TLN', 12990),
(12991, 'cd04112', NULL, 'Rab26', NULL, NULL, 'Rab26', 12991),
(12992, 'cd04935', NULL, 'ACT_AKiii-DAPDC_1', NULL, NULL, 'ACT_AKiii-DAPDC_1', 12992),
(12993, 'cd08213', NULL, 'RuBisCO_large_III', NULL, NULL, 'RuBisCO_large_III', 12993),
(12994, 'cd11284', NULL, 'ADF_Twf-C_like', NULL, NULL, 'ADF_Twf-C_like', 12994),
(12995, 'cd17745', NULL, 'BRCT_p53bp1_rpt1', NULL, NULL, 'BRCT_p53bp1_rpt1', 12995);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(12996, 'cd01958', NULL, 'HPS_like', NULL, NULL, 'HPS_like', 12996),
(12997, 'cd03679', NULL, 'MM_CoA_mutase_alpha_like', NULL, NULL, 'MM_CoA_mutase_alpha_like', 12997),
(12998, 'cd16775', NULL, 'RING-HC_RBR_RNF19A', NULL, NULL, 'RING-HC_RBR_RNF19A', 12998),
(12999, 'cd03279', NULL, 'ABC_sbcCD', NULL, NULL, 'ABC_sbcCD', 12999),
(13000, 'cd04245', NULL, 'AAK_AKiii-YclM-BS', NULL, NULL, 'AAK_AKiii-YclM-BS', 13000),
(13001, 'cd13651', NULL, 'PBP2_ThiY', NULL, NULL, 'PBP2_ThiY', 13001),
(13002, 'cd08473', NULL, 'PBP2_CrgA_like_4', NULL, NULL, 'PBP2_CrgA_like_4', 13002),
(13003, 'cd18776', NULL, 'AfaD-like', NULL, NULL, 'AfaD-like', 13003),
(13004, 'cd08267', NULL, 'MDR1', NULL, NULL, 'MDR1', 13004),
(13005, 'cd14294', NULL, 'UBA1_UBP5_like', NULL, NULL, 'UBA1_UBP5_like', 13005),
(13006, 'cd17512', NULL, 'RMtype1_S_BceB55ORF5615P-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_BceB55ORF5615P-TRD2-CR2_like', 13006),
(13007, 'cd13327', NULL, 'PH_PLEKHM3_2', NULL, NULL, 'PH_PLEKHM3_2', 13007),
(13008, 'cd09754', NULL, 'Cas8a1_I-A', NULL, NULL, 'Cas8a1_I-A', 13008),
(13009, 'cd19157', NULL, 'AKR_AKR5G1-3', NULL, NULL, 'AKR_AKR5G1-3', 13009),
(13010, 'cd07464', NULL, 'CRD_FZ2', NULL, NULL, 'CRD_FZ2', 13010),
(13011, 'cd08870', NULL, 'START_STARD2_7-like', NULL, NULL, 'START_STARD2_7-like', 13011),
(13012, 'cd08962', NULL, 'GatD', NULL, NULL, 'GatD', 13012),
(13013, 'cd15789', NULL, 'PH_ARHGEF2_18_like', NULL, NULL, 'PH_ARHGEF2_18_like', 13013),
(13014, 'cd08402', NULL, 'C2B_Synaptotagmin-1', NULL, NULL, 'C2B_Synaptotagmin-1', 13014),
(13015, 'cd08624', NULL, 'PI-PLCc_beta2', NULL, NULL, 'PI-PLCc_beta2', 13015),
(13016, 'cd03022', NULL, 'DsbA_HCCA_Iso', NULL, NULL, 'DsbA_HCCA_Iso', 13016),
(13017, 'cd04704', NULL, 'PLA2_bee_venom_like', NULL, NULL, 'PLA2_bee_venom_like', 13017),
(13018, 'cd13269', NULL, 'PH_alsin', NULL, NULL, 'PH_alsin', 13018),
(13019, 'cd15944', NULL, '7tmA_OR5AR1-like', NULL, NULL, '7tmA_OR5AR1-like', 13019),
(13020, 'cd06369', NULL, 'PBP1_GC_C_enterotoxin_receptor', NULL, NULL, 'PBP1_GC_C_enterotoxin_receptor', 13020),
(13021, 'cd19899', NULL, 'DSRM_RED2_rpt2', NULL, NULL, 'DSRM_RED2_rpt2', 13021),
(13022, 'cd00772', NULL, 'ProRS_core', NULL, NULL, 'ProRS_core', 13022),
(13023, 'cd08996', NULL, 'GH32_FFase', NULL, NULL, 'GH32_FFase', 13023),
(13024, 'cd18731', NULL, 'PIN_NgFitB-like', NULL, NULL, 'PIN_NgFitB-like', 13024),
(13025, 'cd03369', NULL, 'ABCC_NFT1', NULL, NULL, 'ABCC_NFT1', 13025),
(13026, 'cd06866', NULL, 'PX_SNX8_Mvp1p_like', NULL, NULL, 'PX_SNX8_Mvp1p_like', 13026),
(13027, 'cd14786', NULL, 'STAT_CCD', NULL, NULL, 'STAT_CCD', 13027),
(13028, 'cd15211', NULL, '7tmA_GPR88-like', NULL, NULL, '7tmA_GPR88-like', 13028),
(13029, 'cd01486', NULL, 'Apg7', NULL, NULL, 'Apg7', 13029),
(13030, 'cd13530', NULL, 'PBP2_peptides_like', NULL, NULL, 'PBP2_peptides_like', 13030),
(13031, 'cd19162', NULL, 'AKR_FDH', NULL, NULL, 'AKR_FDH', 13031),
(13032, 'cd09272', NULL, 'RNase_HI_RT_Ty1', NULL, NULL, 'RNase_HI_RT_Ty1', 13032),
(13033, 'cd13402', NULL, 'LT_TF-like', NULL, NULL, 'LT_TF-like', 13033),
(13034, 'cd08057', NULL, 'MPN_euk_non_mb', NULL, NULL, 'MPN_euk_non_mb', 13034),
(13035, 'cd03287', NULL, 'ABC_MSH3_euk', NULL, NULL, 'ABC_MSH3_euk', 13035),
(13036, 'cd09138', NULL, 'PLDc_vPLD1_2_yPLD_like_1', NULL, NULL, 'PLDc_vPLD1_2_yPLD_like_1', 13036),
(13037, 'cd18372', NULL, 'BTB_POZ_KCTD18', NULL, NULL, 'BTB_POZ_KCTD18', 13037),
(13038, 'cd10284', NULL, 'growth_hormone_like', NULL, NULL, 'growth_hormone_like', 13038),
(13039, 'cd13694', NULL, 'PBP2_Cysteine', NULL, NULL, 'PBP2_Cysteine', 13039),
(13040, 'cd03716', NULL, 'SOCS_ASB_like', NULL, NULL, 'SOCS_ASB_like', 13040),
(13041, 'cd01452', NULL, 'VWA_26S_proteasome_subunit', NULL, NULL, 'VWA_26S_proteasome_subunit', 13041),
(13042, 'cd16382', NULL, 'XisI-like', NULL, NULL, 'XisI-like', 13042),
(13043, 'cd07728', NULL, 'YtnP-like_MBL-fold', NULL, NULL, 'YtnP-like_MBL-fold', 13043),
(13044, 'cd08871', NULL, 'START_STARD10-like', NULL, NULL, 'START_STARD10-like', 13044),
(13045, 'cd18733', NULL, 'PIN_RfVapC1-like', NULL, NULL, 'PIN_RfVapC1-like', 13045);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(13046, 'cd16417', NULL, 'HAD_PGPase', NULL, NULL, 'HAD_PGPase', 13046),
(13047, 'cd14640', NULL, 'DSP_DUSP4', NULL, NULL, 'DSP_DUSP4', 13047),
(13048, 'cd12621', NULL, 'RRM3_TIA1', NULL, NULL, 'RRM3_TIA1', 13048),
(13049, 'cd19155', NULL, 'AKR_AKR1I_CgAKR1', NULL, NULL, 'AKR_AKR1I_CgAKR1', 13049),
(13050, 'cd07278', NULL, 'PX_RICS_like', NULL, NULL, 'PX_RICS_like', 13050),
(13051, 'cd19436', NULL, 'lipocalin_crustacyanin', NULL, NULL, 'lipocalin_crustacyanin', 13051),
(13052, 'cd09630', NULL, 'CDH_like_cytochrome', NULL, NULL, 'CDH_like_cytochrome', 13052),
(13053, 'cd16097', NULL, 'IgV_SIRP', NULL, NULL, 'IgV_SIRP', 13053),
(13054, 'cd06818', NULL, 'PLPDE_III_cryptic_DSD', NULL, NULL, 'PLPDE_III_cryptic_DSD', 13054),
(13055, 'cd11274', NULL, 'Sema_plexin_A4', NULL, NULL, 'Sema_plexin_A4', 13055),
(13056, 'cd13657', NULL, 'PBP2_Maltodextrin', NULL, NULL, 'PBP2_Maltodextrin', 13056),
(13057, 'cd04302', NULL, 'HAD_5NT', NULL, NULL, 'HAD_5NT', 13057),
(13058, 'cd19461', NULL, 'CRABP2', NULL, NULL, 'CRABP2', 13058),
(13059, 'cd14427', NULL, 'UBA2_HR23A', NULL, NULL, 'UBA2_HR23A', 13059),
(13060, 'cd00552', NULL, 'RaiA', NULL, NULL, 'RaiA', 13060),
(13061, 'cd00396', NULL, 'PurM-like', NULL, NULL, 'PurM-like', 13061),
(13062, 'cd05690', NULL, 'S1_RPS1_repeat_ec5', NULL, NULL, 'S1_RPS1_repeat_ec5', 13062),
(13063, 'cd03055', NULL, 'GST_N_Omega', NULL, NULL, 'GST_N_Omega', 13063),
(13064, 'cd11567', NULL, 'YciH_like', NULL, NULL, 'YciH_like', 13064),
(13065, 'cd11303', NULL, 'Dystroglycan_repeat', NULL, NULL, 'Dystroglycan_repeat', 13065),
(13066, 'cd12583', NULL, 'RRM2_hnRNPD', NULL, NULL, 'RRM2_hnRNPD', 13066),
(13067, 'cd04436', NULL, 'DEP_fRgd2', NULL, NULL, 'DEP_fRgd2', 13067),
(13068, 'cd06549', NULL, 'GH18_trifunctional', NULL, NULL, 'GH18_trifunctional', 13068),
(13069, 'cd10038', NULL, 'Reelin_repeat_2_subrepeat_1', NULL, NULL, 'Reelin_repeat_2_subrepeat_1', 13069),
(13070, 'cd15596', NULL, 'PHD4_KMT2C', NULL, NULL, 'PHD4_KMT2C', 13070),
(13071, 'cd14740', NULL, 'PAAR_4', NULL, NULL, 'PAAR_4', 13071),
(13072, 'cd17669', NULL, 'R-PTP-Z-2', NULL, NULL, 'R-PTP-Z-2', 13072),
(13073, 'cd15626', NULL, 'PHD_SP110_140', NULL, NULL, 'PHD_SP110_140', 13073),
(13074, 'cd02675', NULL, 'Ephrin_ectodomain', NULL, NULL, 'Ephrin_ectodomain', 13074),
(13075, 'cd12910', NULL, 'SPRY_SSH4_like', NULL, NULL, 'SPRY_SSH4_like', 13075),
(13076, 'cd07678', NULL, 'F-BAR_FCHSD1', NULL, NULL, 'F-BAR_FCHSD1', 13076),
(13077, 'cd15272', NULL, '7tmB1_PTH-R_related', NULL, NULL, '7tmB1_PTH-R_related', 13077),
(13078, 'cd17044', NULL, 'Ubl_TBCE', NULL, NULL, 'Ubl_TBCE', 13078),
(13079, 'cd14607', NULL, 'PTPc-N2', NULL, NULL, 'PTPc-N2', 13079),
(13080, 'cd19700', NULL, 'bHLH_TS_TWIST2', NULL, NULL, 'bHLH_TS_TWIST2', 13080),
(13081, 'cd06874', NULL, 'PX_KIF16B_SNX23', NULL, NULL, 'PX_KIF16B_SNX23', 13081),
(13082, 'cd01009', NULL, 'PBP2_YfhD_N', NULL, NULL, 'PBP2_YfhD_N', 13082),
(13083, 'cd12743', NULL, 'RRM3_Fusilli', NULL, NULL, 'RRM3_Fusilli', 13083),
(13084, 'cd02139', NULL, 'nitroreductase', NULL, NULL, 'nitroreductase', 13084),
(13085, 'cd02860', NULL, 'E_set_Pullulanase', NULL, NULL, 'E_set_Pullulanase', 13085),
(13086, 'cd09888', NULL, 'NGN_Euk', NULL, NULL, 'NGN_Euk', 13086),
(13087, 'cd13647', NULL, 'PBP2_PBGD_2', NULL, NULL, 'PBP2_PBGD_2', 13087),
(13088, 'cd05518', NULL, 'Bromo_polybromo_IV', NULL, NULL, 'Bromo_polybromo_IV', 13088),
(13089, 'cd18300', NULL, 'BTB2_POZ_RhoBTB', NULL, NULL, 'BTB2_POZ_RhoBTB', 13089),
(13090, 'cd09734', NULL, 'Csb2_I-U', NULL, NULL, 'Csb2_I-U', 13090),
(13091, 'cd09876', NULL, 'PIN_Nob1-like', NULL, NULL, 'PIN_Nob1-like', 13091),
(13092, 'cd08381', NULL, 'C2B_PI3K_class_II', NULL, NULL, 'C2B_PI3K_class_II', 13092),
(13093, 'cd00958', NULL, 'DhnA', NULL, NULL, 'DhnA', 13093),
(13094, 'cd19425', NULL, 'lipocalin_10-like', NULL, NULL, 'lipocalin_10-like', 13094),
(13095, 'cd01851', NULL, 'GBP', NULL, NULL, 'GBP', 13095),
(13096, 'cd08616', NULL, 'PI-PLCXD1c', NULL, NULL, 'PI-PLCXD1c', 13096),
(13097, 'cd13318', NULL, 'PH_IQSEC', NULL, NULL, 'PH_IQSEC', 13097),
(13098, 'cd07010', NULL, 'cupin_PMI_type_I_N_bac', NULL, NULL, 'cupin_PMI_type_I_N_bac', 13098);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(13099, 'cd09338', NULL, 'LIM3_Paxillin_like', NULL, NULL, 'LIM3_Paxillin_like', 13099),
(13100, 'cd00080', NULL, 'H3TH_StructSpec-5''-nucleases', NULL, NULL, 'H3TH_StructSpec-5''-nucleases', 13100),
(13101, 'cd09210', NULL, 'Riboflavin_synthase_archaeal', NULL, NULL, 'Riboflavin_synthase_archaeal', 13101),
(13102, 'cd13626', NULL, 'PBP2_Cystine_like', NULL, NULL, 'PBP2_Cystine_like', 13102),
(13103, 'cd15698', NULL, 'ePHD2_KMT2D', NULL, NULL, 'ePHD2_KMT2D', 13103),
(13104, 'cd12941', NULL, 'LEM_LEMD2', NULL, NULL, 'LEM_LEMD2', 13104),
(13105, 'cd18989', NULL, 'LGIC_ECD_cation', NULL, NULL, 'LGIC_ECD_cation', 13105),
(13106, 'cd14958', NULL, 'NHL_PAL_like', NULL, NULL, 'NHL_PAL_like', 13106),
(13107, 'cd15116', NULL, '7tmA_CMKLR1', NULL, NULL, '7tmA_CMKLR1', 13107),
(13108, 'cd16646', NULL, 'mRING-HC-C2H2C4_MDM2_like', NULL, NULL, 'mRING-HC-C2H2C4_MDM2_like', 13108),
(13109, 'cd03398', NULL, 'PAP2_haloperoxidase', NULL, NULL, 'PAP2_haloperoxidase', 13109),
(13110, 'cd06855', NULL, 'GT_GPT_euk', NULL, NULL, 'GT_GPT_euk', 13110),
(13111, 'cd04387', NULL, 'RhoGAP_Bcr', NULL, NULL, 'RhoGAP_Bcr', 13111),
(13112, 'cd06626', NULL, 'STKc_MEKK4', NULL, NULL, 'STKc_MEKK4', 13112),
(13113, 'cd18515', NULL, 'BACK_KLHL37_ENC1', NULL, NULL, 'BACK_KLHL37_ENC1', 13113),
(13114, 'cd01209', NULL, 'PTB_Shc', NULL, NULL, 'PTB_Shc', 13114),
(13115, 'cd08574', NULL, 'GDPD_GDE_2_3_6', NULL, NULL, 'GDPD_GDE_2_3_6', 13115),
(13116, 'cd01151', NULL, 'GCD', NULL, NULL, 'GCD', 13116),
(13117, 'cd18276', NULL, 'BTB_POZ_KBTBD12', NULL, NULL, 'BTB_POZ_KBTBD12', 13117),
(13118, 'cd02985', NULL, 'TRX_CDSP32', NULL, NULL, 'TRX_CDSP32', 13118),
(13119, 'cd03333', NULL, 'chaperonin_like', NULL, NULL, 'chaperonin_like', 13119),
(13120, 'cd08019', NULL, 'M20_Acy1-like', NULL, NULL, 'M20_Acy1-like', 13120),
(13121, 'cd18517', NULL, 'BACK_KLHL41_KBTBD10', NULL, NULL, 'BACK_KLHL41_KBTBD10', 13121),
(13122, 'cd01526', NULL, 'RHOD_ThiF', NULL, NULL, 'RHOD_ThiF', 13122),
(13123, 'cd06893', NULL, 'PX_SNX19', NULL, NULL, 'PX_SNX19', 13123),
(13124, 'cd16313', NULL, 'SMB-1-like_MBL-B3', NULL, NULL, 'SMB-1-like_MBL-B3', 13124),
(13125, 'cd09034', NULL, 'BRO1_Alix_like', NULL, NULL, 'BRO1_Alix_like', 13125),
(13126, 'cd16095', NULL, 'IgV_H_TCR_mu', NULL, NULL, 'IgV_H_TCR_mu', 13126),
(13127, 'cd07228', NULL, 'Pat_NTE_like_bacteria', NULL, NULL, 'Pat_NTE_like_bacteria', 13127),
(13128, 'cd16125', NULL, 'RA_ASPP1_2', NULL, NULL, 'RA_ASPP1_2', 13128),
(13129, 'cd17456', NULL, 'MFS_FLVCR2', NULL, NULL, 'MFS_FLVCR2', 13129),
(13130, 'cd06885', NULL, 'PX_SNX17_31', NULL, NULL, 'PX_SNX17_31', 13130),
(13131, 'cd08924', NULL, 'Cygb', NULL, NULL, 'Cygb', 13131),
(13132, 'cd12558', NULL, 'RRM3_RBM15B', NULL, NULL, 'RRM3_RBM15B', 13132),
(13133, 'cd14526', NULL, 'DSP_laforin-like', NULL, NULL, 'DSP_laforin-like', 13133),
(13134, 'cd01372', NULL, 'KISc_KIF4', NULL, NULL, 'KISc_KIF4', 13134),
(13135, 'cd01971', NULL, 'Nitrogenase_VnfN_like', NULL, NULL, 'Nitrogenase_VnfN_like', 13135),
(13136, 'cd08371', NULL, 'Lumazine_synthase-like', NULL, NULL, 'Lumazine_synthase-like', 13136),
(13137, 'cd14000', NULL, 'STKc_LRRK', NULL, NULL, 'STKc_LRRK', 13137),
(13138, 'cd08017', NULL, 'M20_IAA_Hyd', NULL, NULL, 'M20_IAA_Hyd', 13138),
(13139, 'cd10332', NULL, 'SLC6sbd-B0AT-like', NULL, NULL, 'SLC6sbd-B0AT-like', 13139),
(13140, 'cd12430', NULL, 'RRM_LARP4_5_like', NULL, NULL, 'RRM_LARP4_5_like', 13140),
(13141, 'cd08306', NULL, 'Death_FADD', NULL, NULL, 'Death_FADD', 13141),
(13142, 'cd19792', NULL, 'Bbox2_TRIM62_C-IV', NULL, NULL, 'Bbox2_TRIM62_C-IV', 13142),
(13143, 'cd01110', NULL, 'HTH_SoxR', NULL, NULL, 'HTH_SoxR', 13143),
(13144, 'cd08778', NULL, 'Death_TNFRSF21', NULL, NULL, 'Death_TNFRSF21', 13144),
(13145, 'cd09015', NULL, 'Ureohydrolase', NULL, NULL, 'Ureohydrolase', 13145),
(13146, 'cd07330', NULL, 'M48A_Ste24p', NULL, NULL, 'M48A_Ste24p', 13146),
(13147, 'cd07778', NULL, 'FGGY_L-RBK_like', NULL, NULL, 'FGGY_L-RBK_like', 13147),
(13148, 'cd18723', NULL, 'PIN_LabA-like', NULL, NULL, 'PIN_LabA-like', 13148),
(13149, 'cd14185', NULL, 'STKc_DCKL3', NULL, NULL, 'STKc_DCKL3', 13149);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(13150, 'cd05292', NULL, 'LDH_2', NULL, NULL, 'LDH_2', 13150),
(13151, 'cd06463', NULL, 'p23_like', NULL, NULL, 'p23_like', 13151),
(13152, 'cd15951', NULL, '7tmA_OR52R_52L-like', NULL, NULL, '7tmA_OR52R_52L-like', 13152),
(13153, 'cd05097', NULL, 'PTKc_DDR_like', NULL, NULL, 'PTKc_DDR_like', 13153),
(13154, 'cd11676', NULL, 'Gemin6', NULL, NULL, 'Gemin6', 13154),
(13155, 'cd00122', NULL, 'MBD', NULL, NULL, 'MBD', 13155),
(13156, 'cd07671', NULL, 'F-BAR_PSTPIP1', NULL, NULL, 'F-BAR_PSTPIP1', 13156),
(13157, 'cd17033', NULL, 'DR1245-like', NULL, NULL, 'DR1245-like', 13157),
(13158, 'cd05403', NULL, 'NT_KNTase_like', NULL, NULL, 'NT_KNTase_like', 13158),
(13159, 'cd05085', NULL, 'PTKc_Fer', NULL, NULL, 'PTKc_Fer', 13159),
(13160, 'cd14202', NULL, 'STKc_ULK1', NULL, NULL, 'STKc_ULK1', 13160),
(13161, 'cd06865', NULL, 'PX_SNX_like', NULL, NULL, 'PX_SNX_like', 13161),
(13162, 'cd11807', NULL, 'SH3_ASPP', NULL, NULL, 'SH3_ASPP', 13162),
(13163, 'cd09438', NULL, 'LIM3_Ajuba_like', NULL, NULL, 'LIM3_Ajuba_like', 13163),
(13164, 'cd06945', NULL, 'NR_LBD_Nurr1_like', NULL, NULL, 'NR_LBD_Nurr1_like', 13164),
(13165, 'cd13935', NULL, 'RNase_H_bacteria_like', NULL, NULL, 'RNase_H_bacteria_like', 13165),
(13166, 'cd07440', NULL, 'RGS', NULL, NULL, 'RGS', 13166),
(13167, 'cd09494', NULL, 'SAM_liprin-kazrin_repeat1', NULL, NULL, 'SAM_liprin-kazrin_repeat1', 13167),
(13168, 'cd12165', NULL, '2-Hacid_dh_6', NULL, NULL, '2-Hacid_dh_6', 13168),
(13169, 'cd18055', NULL, 'DEXHc_CHD3', NULL, NULL, 'DEXHc_CHD3', 13169),
(13170, 'cd18643', NULL, 'CBD', NULL, NULL, 'CBD', 13170),
(13171, 'cd07258', NULL, 'PpCmtC_C', NULL, NULL, 'PpCmtC_C', 13171),
(13172, 'cd02735', NULL, 'RNAP_I_Rpa1_C', NULL, NULL, 'RNAP_I_Rpa1_C', 13172),
(13173, 'cd12544', NULL, 'RRM_NMI', NULL, NULL, 'RRM_NMI', 13173),
(13174, 'cd10968', NULL, 'CE4_Mlr8448_like_5s', NULL, NULL, 'CE4_Mlr8448_like_5s', 13174),
(13175, 'cd08285', NULL, 'NADP_ADH', NULL, NULL, 'NADP_ADH', 13175),
(13176, 'cd10795', NULL, 'GH57N_MJA1_like', NULL, NULL, 'GH57N_MJA1_like', 13176),
(13177, 'cd14728', NULL, 'Ere-like', NULL, NULL, 'Ere-like', 13177),
(13178, 'cd07008', NULL, 'cupin_yp_001338853-like', NULL, NULL, 'cupin_yp_001338853-like', 13178),
(13179, 'cd11259', NULL, 'Sema_4D', NULL, NULL, 'Sema_4D', 13179),
(13180, 'cd13600', NULL, 'PBP2_lipoprotein_like_1', NULL, NULL, 'PBP2_lipoprotein_like_1', 13180),
(13181, 'cd14544', NULL, 'PTPc-N11_6', NULL, NULL, 'PTPc-N11_6', 13181),
(13182, 'cd15289', NULL, '7tmC_TAS1R1', NULL, NULL, '7tmC_TAS1R1', 13182),
(13183, 'cd07095', NULL, 'ALDH_SGSD_AstD', NULL, NULL, 'ALDH_SGSD_AstD', 13183),
(13184, 'cd07257', NULL, 'THT_oxygenase_C', NULL, NULL, 'THT_oxygenase_C', 13184),
(13185, 'cd16317', NULL, 'IND_MBL-B1', NULL, NULL, 'IND_MBL-B1', 13185),
(13186, 'cd19544', NULL, 'E-C_NRPS', NULL, NULL, 'E-C_NRPS', 13186),
(13187, 'cd11290', NULL, 'gelsolin_S1_like', NULL, NULL, 'gelsolin_S1_like', 13187),
(13188, 'cd16596', NULL, 'RING-HC_TRIM21_C-IV', NULL, NULL, 'RING-HC_TRIM21_C-IV', 13188),
(13189, 'cd17296', NULL, 'RMtype1_S_MmaC5ORF1169P_TRD1-CR1_like', NULL, NULL, 'RMtype1_S_MmaC5ORF1169P_TRD1-CR1_like', 13189),
(13190, 'cd09978', NULL, 'LOTUS_2_Limkain_b1', NULL, NULL, 'LOTUS_2_Limkain_b1', 13190),
(13191, 'cd02116', NULL, 'ACT', NULL, NULL, 'ACT', 13191),
(13192, 'cd13730', NULL, 'PBP2_iGluR_delta_1', NULL, NULL, 'PBP2_iGluR_delta_1', 13192),
(13193, 'cd20294', NULL, 'cupin_KduI_N', NULL, NULL, 'cupin_KduI_N', 13193),
(13194, 'cd19148', NULL, 'AKR_AKR11B1', NULL, NULL, 'AKR_AKR11B1', 13194),
(13195, 'cd07845', NULL, 'STKc_CDK10', NULL, NULL, 'STKc_CDK10', 13195),
(13196, 'cd06368', NULL, 'PBP1_iGluR_non_NMDA-like', NULL, NULL, 'PBP1_iGluR_non_NMDA-like', 13196),
(13197, 'cd09853', NULL, 'PIN_FEN-like', NULL, NULL, 'PIN_FEN-like', 13197),
(13198, 'cd11015', NULL, 'CuRO_2_FVIII_like', NULL, NULL, 'CuRO_2_FVIII_like', 13198),
(13199, 'cd17134', NULL, 'RBD_BRAF', NULL, NULL, 'RBD_BRAF', 13199),
(13200, 'cd14245', NULL, 'DMP12', NULL, NULL, 'DMP12', 13200),
(13201, 'cd15382', NULL, '7tmA_AKHR', NULL, NULL, '7tmA_AKHR', 13201),
(13202, 'cd14684', NULL, 'RanBD1_RanBP2-like', NULL, NULL, 'RanBD1_RanBP2-like', 13202);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(13203, 'cd07443', NULL, 'CRD_SFRP1', NULL, NULL, 'CRD_SFRP1', 13203),
(13204, 'cd14557', NULL, 'R-PTPc-C-1', NULL, NULL, 'R-PTPc-C-1', 13204),
(13205, 'cd19388', NULL, 'TGF_beta_GDF8', NULL, NULL, 'TGF_beta_GDF8', 13205),
(13206, 'cd06977', NULL, 'cupin_RhaR_RhaS-like_N', NULL, NULL, 'cupin_RhaR_RhaS-like_N', 13206),
(13207, 'cd14523', NULL, 'DSP_DUSP19', NULL, NULL, 'DSP_DUSP19', 13207),
(13208, 'cd09500', NULL, 'SAM_AIDA1AB-like_repeat2', NULL, NULL, 'SAM_AIDA1AB-like_repeat2', 13208),
(13209, 'cd08988', NULL, 'GH43_ABN', NULL, NULL, 'GH43_ABN', 13209),
(13210, 'cd21566', NULL, 'gammaCoV_M', NULL, NULL, 'gammaCoV_M', 13210),
(13211, 'cd02055', NULL, 'serpinA10_PZI', NULL, NULL, 'serpinA10_PZI', 13211),
(13212, 'cd13959', NULL, 'PT_UbiA_COQ2', NULL, NULL, 'PT_UbiA_COQ2', 13212),
(13213, 'cd09446', NULL, 'LIM_N_RAP', NULL, NULL, 'LIM_N_RAP', 13213),
(13214, 'cd15754', NULL, 'FYVE_PKHF1', NULL, NULL, 'FYVE_PKHF1', 13214),
(13215, 'cd07133', NULL, 'ALDH_CALDH_CalB', NULL, NULL, 'ALDH_CALDH_CalB', 13215),
(13216, 'cd01088', NULL, 'MetAP2', NULL, NULL, 'MetAP2', 13216),
(13217, 'cd13703', NULL, 'PBP2_HisJ_LAO', NULL, NULL, 'PBP2_HisJ_LAO', 13217),
(13218, 'cd07909', NULL, 'YciF', NULL, NULL, 'YciF', 13218),
(13219, 'cd05251', NULL, 'NmrA_like_SDR_a', NULL, NULL, 'NmrA_like_SDR_a', 13219),
(13220, 'cd07571', NULL, 'ALP_N-acyl_transferase', NULL, NULL, 'ALP_N-acyl_transferase', 13220),
(13221, 'cd16771', NULL, 'RING-HC_UNK', NULL, NULL, 'RING-HC_UNK', 13221),
(13222, 'cd03884', NULL, 'M20_bAS', NULL, NULL, 'M20_bAS', 13222),
(13223, 'cd11894', NULL, 'SH3_FCHSD2_2', NULL, NULL, 'SH3_FCHSD2_2', 13223),
(13224, 'cd06608', NULL, 'STKc_myosinIII_N_like', NULL, NULL, 'STKc_myosinIII_N_like', 13224),
(13225, 'cd16359', NULL, 'VOC_BsCatE_like_C', NULL, NULL, 'VOC_BsCatE_like_C', 13225),
(13226, 'cd19944', NULL, 'NirB_Fer2_BFD-like_2', NULL, NULL, 'NirB_Fer2_BFD-like_2', 13226),
(13227, 'cd16453', NULL, 'RING-Ubox', NULL, NULL, 'RING-Ubox', 13227),
(13228, 'cd07723', NULL, 'hydroxyacylglutathione_hydrolase_MBL-fold', NULL, NULL, 'hydroxyacylglutathione_hydrolase_MBL-fold', 13228),
(13229, 'cd00887', NULL, 'MoeA', NULL, NULL, 'MoeA', 13229),
(13230, 'cd11739', NULL, 'HSPH1_NBD', NULL, NULL, 'HSPH1_NBD', 13230),
(13231, 'cd01523', NULL, 'RHOD_Lact_B', NULL, NULL, 'RHOD_Lact_B', 13231),
(13232, 'cd15069', NULL, '7tmA_Adenosine_R_A2B', NULL, NULL, '7tmA_Adenosine_R_A2B', 13232),
(13233, 'cd13597', NULL, 'PBP2_lipoprotein_Tp32', NULL, NULL, 'PBP2_lipoprotein_Tp32', 13233),
(13234, 'cd18039', NULL, 'DEXXQc_UPF1', NULL, NULL, 'DEXXQc_UPF1', 13234),
(13235, 'cd15530', NULL, 'PHD2_d4', NULL, NULL, 'PHD2_d4', 13235),
(13236, 'cd04216', NULL, 'Phytocyanin', NULL, NULL, 'Phytocyanin', 13236),
(13237, 'cd04760', NULL, 'BAH_Dnmt1_I', NULL, NULL, 'BAH_Dnmt1_I', 13237),
(13238, 'cd06256', NULL, 'M14_ASTE_ASPA-like', NULL, NULL, 'M14_ASTE_ASPA-like', 13238),
(13239, 'cd05633', NULL, 'STKc_GRK3', NULL, NULL, 'STKc_GRK3', 13239),
(13240, 'cd06006', NULL, 'R3H_unknown_2', NULL, NULL, 'R3H_unknown_2', 13240),
(13241, 'cd15865', NULL, 'SNARE_SEC20', NULL, NULL, 'SNARE_SEC20', 13241),
(13242, 'cd19907', NULL, 'DSRM_AtDRB-like_rpt1', NULL, NULL, 'DSRM_AtDRB-like_rpt1', 13242),
(13243, 'cd16131', NULL, 'RA_Rin2', NULL, NULL, 'RA_Rin2', 13243),
(13244, 'cd12156', NULL, 'HPPR', NULL, NULL, 'HPPR', 13244),
(13245, 'cd03227', NULL, 'ABC_Class2', NULL, NULL, 'ABC_Class2', 13245),
(13246, 'cd19887', NULL, 'DSRM_STAU1_rpt5', NULL, NULL, 'DSRM_STAU1_rpt5', 13246),
(13247, 'cd14085', NULL, 'STKc_CaMKIV', NULL, NULL, 'STKc_CaMKIV', 13247),
(13248, 'cd16297', NULL, 'artemis-SNM1C-like_MBL-fold', NULL, NULL, 'artemis-SNM1C-like_MBL-fold', 13248),
(13249, 'cd02810', NULL, 'DHOD_DHPD_FMN', NULL, NULL, 'DHOD_DHPD_FMN', 13249),
(13250, 'cd12063', NULL, 'SH3_Caskin2', NULL, NULL, 'SH3_Caskin2', 13250),
(13251, 'cd09606', NULL, 'M3B_PepF', NULL, NULL, 'M3B_PepF', 13251),
(13252, 'cd01809', NULL, 'Ubl_BAG6', NULL, NULL, 'Ubl_BAG6', 13252),
(13253, 'cd08247', NULL, 'AST1_like', NULL, NULL, 'AST1_like', 13253),
(13254, 'cd12550', NULL, 'RRM_II_PABPN1', NULL, NULL, 'RRM_II_PABPN1', 13254);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(13255, 'cd04724', NULL, 'Tryptophan_synthase_alpha', NULL, NULL, 'Tryptophan_synthase_alpha', 13255),
(13256, 'cd09707', NULL, 'Csf3_U', NULL, NULL, 'Csf3_U', 13256),
(13257, 'cd11537', NULL, 'NTP-PPase_RS21-C6_like', NULL, NULL, 'NTP-PPase_RS21-C6_like', 13257),
(13258, 'cd15235', NULL, '7tmA_OR1A-like', NULL, NULL, '7tmA_OR1A-like', 13258),
(13259, 'cd19397', NULL, 'TGF_beta_BMP7', NULL, NULL, 'TGF_beta_BMP7', 13259),
(13260, 'cd07173', NULL, 'NR_DBD_AR', NULL, NULL, 'NR_DBD_AR', 13260),
(13261, 'cd09705', NULL, 'Csf1_U', NULL, NULL, 'Csf1_U', 13261),
(13262, 'cd15806', NULL, 'LGP2_C', NULL, NULL, 'LGP2_C', 13262),
(13263, 'cd10469', NULL, 'FAM20A_C', NULL, NULL, 'FAM20A_C', 13263),
(13264, 'cd19934', NULL, 'REC_OmpR_EcPhoP-like', NULL, NULL, 'REC_OmpR_EcPhoP-like', 13264),
(13265, 'cd13572', NULL, 'PBP2_PnhD_2', NULL, NULL, 'PBP2_PnhD_2', 13265),
(13266, 'cd07725', NULL, 'TTHA1429-like_MBL-fold', NULL, NULL, 'TTHA1429-like_MBL-fold', 13266),
(13267, 'cd11919', NULL, 'SH3_Sorbs1_1', NULL, NULL, 'SH3_Sorbs1_1', 13267),
(13268, 'cd15388', NULL, '7tmA_V2R', NULL, NULL, '7tmA_V2R', 13268),
(13269, 'cd16376', NULL, 'Avd_like', NULL, NULL, 'Avd_like', 13269),
(13270, 'cd01842', NULL, 'SGNH_hydrolase_like_5', NULL, NULL, 'SGNH_hydrolase_like_5', 13270),
(13271, 'cd14981', NULL, '7tmA_Prostanoid_R', NULL, NULL, '7tmA_Prostanoid_R', 13271),
(13272, 'cd10920', NULL, 'CE4_WbmS', NULL, NULL, 'CE4_WbmS', 13272),
(13273, 'cd01374', NULL, 'KISc_CENP_E', NULL, NULL, 'KISc_CENP_E', 13273),
(13274, 'cd15668', NULL, 'ePHD_RAI1_like', NULL, NULL, 'ePHD_RAI1_like', 13274),
(13275, 'cd16895', NULL, 'TraH-like', NULL, NULL, 'TraH-like', 13275),
(13276, 'cd08451', NULL, 'PBP2_BudR', NULL, NULL, 'PBP2_BudR', 13276),
(13277, 'cd11649', NULL, 'RsmI_like', NULL, NULL, 'RsmI_like', 13277),
(13278, 'cd14482', NULL, 'SPX_BAH1-like', NULL, NULL, 'SPX_BAH1-like', 13278),
(13279, 'cd07176', NULL, 'terB', NULL, NULL, 'terB', 13279),
(13280, 'cd20171', NULL, 'M34_peptidase', NULL, NULL, 'M34_peptidase', 13280),
(13281, 'cd14683', NULL, 'PH-EXOC1', NULL, NULL, 'PH-EXOC1', 13281),
(13282, 'cd07866', NULL, 'STKc_BUR1', NULL, NULL, 'STKc_BUR1', 13282),
(13283, 'cd18581', NULL, 'ABC_6TM_ABCB6', NULL, NULL, 'ABC_6TM_ABCB6', 13283),
(13284, 'cd15146', NULL, '7tmA_PGE2_EP3', NULL, NULL, '7tmA_PGE2_EP3', 13284),
(13285, 'cd09877', NULL, 'PIN_YacL-like', NULL, NULL, 'PIN_YacL-like', 13285),
(13286, 'cd18526', NULL, 'BACK_ABTB2', NULL, NULL, 'BACK_ABTB2', 13286),
(13287, 'cd08353', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 13287),
(13288, 'cd10493', NULL, 'MH1_SMAD_6', NULL, NULL, 'MH1_SMAD_6', 13288),
(13289, 'cd03361', NULL, 'TOPRIM_TopoIA_RevGyr', NULL, NULL, 'TOPRIM_TopoIA_RevGyr', 13289),
(13290, 'cd01742', NULL, 'GATase1_GMP_Synthase', NULL, NULL, 'GATase1_GMP_Synthase', 13290),
(13291, 'cd04338', NULL, 'Rieske_RO_Alpha_Tic55', NULL, NULL, 'Rieske_RO_Alpha_Tic55', 13291),
(13292, 'cd07032', NULL, 'RNAP_I_II_AC40', NULL, NULL, 'RNAP_I_II_AC40', 13292),
(13293, 'cd03368', NULL, 'Ribosomal_S12', NULL, NULL, 'Ribosomal_S12', 13293),
(13294, 'cd05099', NULL, 'PTKc_FGFR4', NULL, NULL, 'PTKc_FGFR4', 13294),
(13295, 'cd19372', NULL, 'UDG_F1_VAVC_D4-like', NULL, NULL, 'UDG_F1_VAVC_D4-like', 13295),
(13296, 'cd03366', NULL, 'TOPRIM_TopoIIA_GyrB', NULL, NULL, 'TOPRIM_TopoIIA_GyrB', 13296),
(13297, 'cd18009', NULL, 'DEXHc_HELLS_SMARCA6', NULL, NULL, 'DEXHc_HELLS_SMARCA6', 13297),
(13298, 'cd17537', NULL, 'REC_FixJ', NULL, NULL, 'REC_FixJ', 13298),
(13299, 'cd14169', NULL, 'STKc_CaMKI_beta', NULL, NULL, 'STKc_CaMKI_beta', 13299),
(13300, 'cd11934', NULL, 'SH3_Lasp1_C', NULL, NULL, 'SH3_Lasp1_C', 13300),
(13301, 'cd04031', NULL, 'C2A_RIM1alpha', NULL, NULL, 'C2A_RIM1alpha', 13301),
(13302, 'cd19894', NULL, 'DSRM_STRBP-like_rpt1', NULL, NULL, 'DSRM_STRBP-like_rpt1', 13302),
(13303, 'cd01563', NULL, 'Thr-synth_1', NULL, NULL, 'Thr-synth_1', 13303),
(13304, 'cd05327', NULL, 'retinol-DH_like_SDR_c_like', NULL, NULL, 'retinol-DH_like_SDR_c_like', 13304),
(13305, 'cd18185', NULL, 'ATP-synt_Fo_c_ATPE', NULL, NULL, 'ATP-synt_Fo_c_ATPE', 13305),
(13306, 'cd12025', NULL, 'SH3_Obscurin_like', NULL, NULL, 'SH3_Obscurin_like', 13306);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(13307, 'cd10013', NULL, 'Cas3''''_I', NULL, NULL, 'Cas3''''_I', 13307),
(13308, 'cd07251', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 13308),
(13309, 'cd03447', NULL, 'FAS_MaoC', NULL, NULL, 'FAS_MaoC', 13309),
(13310, 'cd16860', NULL, 'ING_ING1', NULL, NULL, 'ING_ING1', 13310),
(13311, 'cd07504', NULL, 'HAD_5NT', NULL, NULL, 'HAD_5NT', 13311),
(13312, 'cd12452', NULL, 'RRM_ARP_like', NULL, NULL, 'RRM_ARP_like', 13312),
(13313, 'cd19218', NULL, 'SET_EZH2', NULL, NULL, 'SET_EZH2', 13313),
(13314, 'cd03496', NULL, 'SQR_TypeC_CybS', NULL, NULL, 'SQR_TypeC_CybS', 13314),
(13315, 'cd01785', NULL, 'RA_PDZ-GEF1', NULL, NULL, 'RA_PDZ-GEF1', 13315),
(13316, 'cd01862', NULL, 'Rab7', NULL, NULL, 'Rab7', 13316),
(13317, 'cd03480', NULL, 'Rieske_RO_Alpha_PaO', NULL, NULL, 'Rieske_RO_Alpha_PaO', 13317),
(13318, 'cd03029', NULL, 'GRX_hybridPRX5', NULL, NULL, 'GRX_hybridPRX5', 13318),
(13319, 'cd10490', NULL, 'MH1_SMAD_1_5_9', NULL, NULL, 'MH1_SMAD_1_5_9', 13319),
(13320, 'cd09596', NULL, 'M36', NULL, NULL, 'M36', 13320),
(13321, 'cd16854', NULL, 'STAT4_CCD', NULL, NULL, 'STAT4_CCD', 13321),
(13322, 'cd00673', NULL, 'AlaRS_core', NULL, NULL, 'AlaRS_core', 13322),
(13323, 'cd14739', NULL, 'PAAR_3', NULL, NULL, 'PAAR_3', 13323),
(13324, 'cd08334', NULL, 'DED_Caspase_8_10_r2', NULL, NULL, 'DED_Caspase_8_10_r2', 13324),
(13325, 'cd17153', NULL, 'DCX2_DCDC2B', NULL, NULL, 'DCX2_DCDC2B', 13325),
(13326, 'cd01141', NULL, 'TroA_d', NULL, NULL, 'TroA_d', 13326),
(13327, 'cd19352', NULL, 'Wnt_Wnt8b', NULL, NULL, 'Wnt_Wnt8b', 13327),
(13328, 'cd13360', NULL, 'PH_PLC_fungal', NULL, NULL, 'PH_PLC_fungal', 13328),
(13329, 'cd01667', NULL, 'TGS_ThrRS', NULL, NULL, 'TGS_ThrRS', 13329),
(13330, 'cd13121', NULL, 'BF2867_like_C', NULL, NULL, 'BF2867_like_C', 13330),
(13331, 'cd15972', NULL, '7tmA_SSTR3', NULL, NULL, '7tmA_SSTR3', 13331),
(13332, 'cd07557', NULL, 'trimeric_dUTPase', NULL, NULL, 'trimeric_dUTPase', 13332),
(13333, 'cd01726', NULL, 'LSm6', NULL, NULL, 'LSm6', 13333),
(13334, 'cd05140', NULL, 'Barstar_AU1054-like', NULL, NULL, 'Barstar_AU1054-like', 13334),
(13335, 'cd14781', NULL, 'FHb-globin_1', NULL, NULL, 'FHb-globin_1', 13335),
(13336, 'cd16476', NULL, 'RING-H2_RNF139_like', NULL, NULL, 'RING-H2_RNF139_like', 13336),
(13337, 'cd00904', NULL, 'Ferritin', NULL, NULL, 'Ferritin', 13337),
(13338, 'cd09837', NULL, 'CBS_pair_chlorobiales', NULL, NULL, 'CBS_pair_chlorobiales', 13338),
(13339, 'cd14361', NULL, 'UBA_HYPK', NULL, NULL, 'UBA_HYPK', 13339),
(13340, 'cd01517', NULL, 'PAP_phosphatase', NULL, NULL, 'PAP_phosphatase', 13340),
(13341, 'cd14339', NULL, 'UBA_SNRK', NULL, NULL, 'UBA_SNRK', 13341),
(13342, 'cd03206', NULL, 'GST_C_7', NULL, NULL, 'GST_C_7', 13342),
(13343, 'cd04682', NULL, 'Nudix_Hydrolase_23', NULL, NULL, 'Nudix_Hydrolase_23', 13343),
(13344, 'cd04103', NULL, 'Centaurin_gamma', NULL, NULL, 'Centaurin_gamma', 13344),
(13345, 'cd19176', NULL, 'SET_SETD3', NULL, NULL, 'SET_SETD3', 13345),
(13346, 'cd00423', NULL, 'Pterin_binding', NULL, NULL, 'Pterin_binding', 13346),
(13347, 'cd18579', NULL, 'ABC_6TM_ABCC_D1', NULL, NULL, 'ABC_6TM_ABCC_D1', 13347),
(13348, 'cd13183', NULL, 'FERM_C_FRMPD1_FRMPD3_FRMPD4', NULL, NULL, 'FERM_C_FRMPD1_FRMPD3_FRMPD4', 13348),
(13349, 'cd07064', NULL, 'AlkD_like_1', NULL, NULL, 'AlkD_like_1', 13349),
(13350, 'cd14147', NULL, 'STKc_MLK3', NULL, NULL, 'STKc_MLK3', 13350),
(13351, 'cd06121', NULL, 'cupin_YML079wp', NULL, NULL, 'cupin_YML079wp', 13351),
(13352, 'cd16857', NULL, 'ING_ING1_2', NULL, NULL, 'ING_ING1_2', 13352),
(13353, 'cd11672', NULL, 'ADDz', NULL, NULL, 'ADDz', 13353),
(13354, 'cd09470', NULL, 'LIM1_Lhx9', NULL, NULL, 'LIM1_Lhx9', 13354),
(13355, 'cd07453', NULL, 'CRD_crescent', NULL, NULL, 'CRD_crescent', 13355),
(13356, 'cd18405', NULL, 'BTB_POZ_KCNA4', NULL, NULL, 'BTB_POZ_KCNA4', 13356),
(13357, 'cd10149', NULL, 'ClassIIa_HDAC_Gln-rich-N', NULL, NULL, 'ClassIIa_HDAC_Gln-rich-N', 13357),
(13358, 'cd05271', NULL, 'NDUFA9_like_SDR_a', NULL, NULL, 'NDUFA9_like_SDR_a', 13358),
(13359, 'cd07155', NULL, 'NR_DBD_ER_like', NULL, NULL, 'NR_DBD_ER_like', 13359);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(13360, 'cd16974', NULL, 'Alpha_kinase_ALPK2', NULL, NULL, 'Alpha_kinase_ALPK2', 13360),
(13361, 'cd05727', NULL, 'Ig2_Contactin-2-like', NULL, NULL, 'Ig2_Contactin-2-like', 13361),
(13362, 'cd08864', NULL, 'SRPBCC_DUF3074', NULL, NULL, 'SRPBCC_DUF3074', 13362),
(13363, 'cd12896', NULL, 'SPRY_PRY_TRIM65', NULL, NULL, 'SPRY_PRY_TRIM65', 13363),
(13364, 'cd12605', NULL, 'RRM_RALYL', NULL, NULL, 'RRM_RALYL', 13364),
(13365, 'cd00385', NULL, 'Isoprenoid_Biosyn_C1', NULL, NULL, 'Isoprenoid_Biosyn_C1', 13365),
(13366, 'cd02248', NULL, 'Peptidase_C1A', NULL, NULL, 'Peptidase_C1A', 13366),
(13367, 'cd19550', NULL, 'serpinA2_PIL', NULL, NULL, 'serpinA2_PIL', 13367),
(13368, 'cd00989', NULL, 'PDZ_metalloprotease', NULL, NULL, 'PDZ_metalloprotease', 13368),
(13369, 'cd11932', NULL, 'SH3_SH3RF2_2', NULL, NULL, 'SH3_SH3RF2_2', 13369),
(13370, 'cd12803', NULL, 'HopAB_BID', NULL, NULL, 'HopAB_BID', 13370),
(13371, 'cd18198', NULL, 'BTB_POZ_ZBTB7', NULL, NULL, 'BTB_POZ_ZBTB7', 13371),
(13372, 'cd12124', NULL, 'Pgbs', NULL, NULL, 'Pgbs', 13372),
(13373, 'cd18001', NULL, 'DEXHc_ERCC6L', NULL, NULL, 'DEXHc_ERCC6L', 13373),
(13374, 'cd06466', NULL, 'p23_CS_SGT1_like', NULL, NULL, 'p23_CS_SGT1_like', 13374),
(13375, 'cd08551', NULL, 'Fe-ADH', NULL, NULL, 'Fe-ADH', 13375),
(13376, 'cd07710', NULL, 'arylsulfatase_Sdsa1-like_MBL-fold', NULL, NULL, 'arylsulfatase_Sdsa1-like_MBL-fold', 13376),
(13377, 'cd12681', NULL, 'RRM_SKAR', NULL, NULL, 'RRM_SKAR', 13377),
(13378, 'cd11766', NULL, 'SH3_Nck_2', NULL, NULL, 'SH3_Nck_2', 13378),
(13379, 'cd14218', NULL, 'STKc_SRPK3', NULL, NULL, 'STKc_SRPK3', 13379),
(13380, 'cd17027', NULL, 'T3SC_IA_YscB_AscB-like', NULL, NULL, 'T3SC_IA_YscB_AscB-like', 13380),
(13381, 'cd20248', NULL, 'phospholamban_like', NULL, NULL, 'phospholamban_like', 13381),
(13382, 'cd17374', NULL, 'MFS_OAT', NULL, NULL, 'MFS_OAT', 13382),
(13383, 'cd04587', NULL, 'CBS_pair_CAP-ED_NT_Pol-beta-like_DUF294_assoc', NULL, NULL, 'CBS_pair_CAP-ED_NT_Pol-beta-like_DUF294_assoc', 13383),
(13384, 'cd11940', NULL, 'SH3_ARHGEF5_19', NULL, NULL, 'SH3_ARHGEF5_19', 13384),
(13385, 'cd00198', NULL, 'vWFA', NULL, NULL, 'vWFA', 13385),
(13386, 'cd13761', NULL, 'TGF_beta_BMP5_like', NULL, NULL, 'TGF_beta_BMP5_like', 13386),
(13387, 'cd18392', NULL, 'BTB_POZ_KCTD3', NULL, NULL, 'BTB_POZ_KCTD3', 13387),
(13388, 'cd17983', NULL, 'DEXHc_DHX38', NULL, NULL, 'DEXHc_DHX38', 13388),
(13389, 'cd01428', NULL, 'ADK', NULL, NULL, 'ADK', 13389),
(13390, 'cd18258', NULL, 'BTB_POZ_KLHL29_KBTBD9', NULL, NULL, 'BTB_POZ_KLHL29_KBTBD9', 13390),
(13391, 'cd05761', NULL, 'Ig2_Necl-1-4_like', NULL, NULL, 'Ig2_Necl-1-4_like', 13391),
(13392, 'cd14382', NULL, 'UBA2_RAD23_plant', NULL, NULL, 'UBA2_RAD23_plant', 13392),
(13393, 'cd16874', NULL, 'ARID_KDM5B', NULL, NULL, 'ARID_KDM5B', 13393),
(13394, 'cd05719', NULL, 'Ig2_PVR_like', NULL, NULL, 'Ig2_PVR_like', 13394),
(13395, 'cd18467', NULL, 'BACK_KLHL28_BTBD5', NULL, NULL, 'BACK_KLHL28_BTBD5', 13395),
(13396, 'cd05069', NULL, 'PTKc_Yes', NULL, NULL, 'PTKc_Yes', 13396),
(13397, 'cd09503', NULL, 'SAM_tumor-p63,p73', NULL, NULL, 'SAM_tumor-p63,p73', 13397),
(13398, 'cd00418', NULL, 'GlxRS_core', NULL, NULL, 'GlxRS_core', 13398),
(13399, 'cd07206', NULL, 'Pat_TGL3-4-5_SDP1', NULL, NULL, 'Pat_TGL3-4-5_SDP1', 13399),
(13400, 'cd18510', NULL, 'BACK_KLHL4', NULL, NULL, 'BACK_KLHL4', 13400),
(13401, 'cd17087', NULL, 'RAWUL_DRIP_like', NULL, NULL, 'RAWUL_DRIP_like', 13401),
(13402, 'cd15586', NULL, 'PHD_ING4_5', NULL, NULL, 'PHD_ING4_5', 13402),
(13403, 'cd12765', NULL, 'RRM2_SRSF5', NULL, NULL, 'RRM2_SRSF5', 13403),
(13404, 'cd18451', NULL, 'BACK_KLHL11', NULL, NULL, 'BACK_KLHL11', 13404),
(13405, 'cd03062', NULL, 'TRX_Fd_Sucrase', NULL, NULL, 'TRX_Fd_Sucrase', 13405),
(13406, 'cd01805', NULL, 'Ubl_Rad23', NULL, NULL, 'Ubl_Rad23', 13406),
(13407, 'cd12615', NULL, 'RRM1_TIA1', NULL, NULL, 'RRM1_TIA1', 13407),
(13408, 'cd02522', NULL, 'GT_2_like_a', NULL, NULL, 'GT_2_like_a', 13408),
(13409, 'cd14795', NULL, 'RNLA_N_2', NULL, NULL, 'RNLA_N_2', 13409),
(13410, 'cd20268', NULL, 'Complex1_LYR_SDHAF1_LYRM8', NULL, NULL, 'Complex1_LYR_SDHAF1_LYRM8', 13410);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(13411, 'cd10400', NULL, 'SH2_SAP1a', NULL, NULL, 'SH2_SAP1a', 13411),
(13412, 'cd10939', NULL, 'CE4_ArnD', NULL, NULL, 'CE4_ArnD', 13412),
(13413, 'cd19966', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 13413),
(13414, 'cd14817', NULL, 'D-Ala-D-Ala_dipeptidase_VanX', NULL, NULL, 'D-Ala-D-Ala_dipeptidase_VanX', 13414),
(13415, 'cd16891', NULL, 'CwlT-like', NULL, NULL, 'CwlT-like', 13415),
(13416, 'cd07444', NULL, 'CRD_SFRP5', NULL, NULL, 'CRD_SFRP5', 13416),
(13417, 'cd03009', NULL, 'TryX_like_TryX_NRX', NULL, NULL, 'TryX_like_TryX_NRX', 13417),
(13418, 'cd15500', NULL, 'PHD1_PHF1', NULL, NULL, 'PHD1_PHF1', 13418),
(13419, 'cd17428', NULL, 'MFS_MCT9', NULL, NULL, 'MFS_MCT9', 13419),
(13420, 'cd03246', NULL, 'ABCC_Protease_Secretion', NULL, NULL, 'ABCC_Protease_Secretion', 13420),
(13421, 'cd07749', NULL, 'NT_Pol-beta-like_1', NULL, NULL, 'NT_Pol-beta-like_1', 13421),
(13422, 'cd07488', NULL, 'Peptidases_S8_2', NULL, NULL, 'Peptidases_S8_2', 13422),
(13423, 'cd14354', NULL, 'UBA_UBP25', NULL, NULL, 'UBA_UBP25', 13423),
(13424, 'cd14363', NULL, 'CUE_TOLIP', NULL, NULL, 'CUE_TOLIP', 13424),
(13425, 'cd08868', NULL, 'START_STARD1_3_like', NULL, NULL, 'START_STARD1_3_like', 13425),
(13426, 'cd19198', NULL, 'PR-SET_PRDM14', NULL, NULL, 'PR-SET_PRDM14', 13426),
(13427, 'cd09176', NULL, 'PLDc_unchar6', NULL, NULL, 'PLDc_unchar6', 13427),
(13428, 'cd09818', NULL, 'PIOX_like', NULL, NULL, 'PIOX_like', 13428),
(13429, 'cd17048', NULL, 'Ubl_UBL3', NULL, NULL, 'Ubl_UBL3', 13429),
(13430, 'cd13412', NULL, 'TNFRSF11B_teleost', NULL, NULL, 'TNFRSF11B_teleost', 13430),
(13431, 'cd13940', NULL, 'ILEI_FAM3C', NULL, NULL, 'ILEI_FAM3C', 13431),
(13432, 'cd13988', NULL, 'STKc_TBK1', NULL, NULL, 'STKc_TBK1', 13432),
(13433, 'cd05708', NULL, 'S1_Rrp5_repeat_sc12', NULL, NULL, 'S1_Rrp5_repeat_sc12', 13433),
(13434, 'cd14875', NULL, 'MYSc_Myo13', NULL, NULL, 'MYSc_Myo13', 13434),
(13435, 'cd05348', NULL, 'BphB-like_SDR_c', NULL, NULL, 'BphB-like_SDR_c', 13435),
(13436, 'cd02604', NULL, 'HAD_5NT', NULL, NULL, 'HAD_5NT', 13436),
(13437, 'cd04601', NULL, 'CBS_pair_IMPDH', NULL, NULL, 'CBS_pair_IMPDH', 13437),
(13438, 'cd06526', NULL, 'metazoan_ACD', NULL, NULL, 'metazoan_ACD', 13438),
(13439, 'cd10025', NULL, '14-3-3_eta', NULL, NULL, '14-3-3_eta', 13439),
(13440, 'cd18945', NULL, 'bHLH_E-protein_TCF4_E2-2', NULL, NULL, 'bHLH_E-protein_TCF4_E2-2', 13440),
(13441, 'cd11305', NULL, 'alpha_DG_C', NULL, NULL, 'alpha_DG_C', 13441),
(13442, 'cd09341', NULL, 'LIM2_Testin_like', NULL, NULL, 'LIM2_Testin_like', 13442),
(13443, 'cd16614', NULL, 'RING-HC_UNK_like', NULL, NULL, 'RING-HC_UNK_like', 13443),
(13444, 'cd14619', NULL, 'R-PTPc-H', NULL, NULL, 'R-PTPc-H', 13444),
(13445, 'cd08407', NULL, 'C2B_Synaptotagmin-13', NULL, NULL, 'C2B_Synaptotagmin-13', 13445),
(13446, 'cd00228', NULL, 'eu-GS', NULL, NULL, 'eu-GS', 13446),
(13447, 'cd10498', NULL, 'MH2_SMAD_4', NULL, NULL, 'MH2_SMAD_4', 13447),
(13448, 'cd15532', NULL, 'PHD2_CHD_II', NULL, NULL, 'PHD2_CHD_II', 13448),
(13449, 'cd19399', NULL, 'TGF_beta_GDF5', NULL, NULL, 'TGF_beta_GDF5', 13449),
(13450, 'cd15142', NULL, '7tmA_PGE2_EP4', NULL, NULL, '7tmA_PGE2_EP4', 13450),
(13451, 'cd16485', NULL, 'mRING-H2-C3H2C2D_RBX1', NULL, NULL, 'mRING-H2-C3H2C2D_RBX1', 13451),
(13452, 'cd19405', NULL, 'TGF_beta_INHBB', NULL, NULL, 'TGF_beta_INHBB', 13452),
(13453, 'cd10440', NULL, 'GIY-YIG_COG3680', NULL, NULL, 'GIY-YIG_COG3680', 13453),
(13454, 'cd18774', NULL, 'PDC2_HK_sensor', NULL, NULL, 'PDC2_HK_sensor', 13454),
(13455, 'cd05605', NULL, 'STKc_GRK4_like', NULL, NULL, 'STKc_GRK4_like', 13455),
(13456, 'cd01901', NULL, 'Ntn_hydrolase', NULL, NULL, 'Ntn_hydrolase', 13456),
(13457, 'cd17232', NULL, 'Ubl_ATG8_GABARAP', NULL, NULL, 'Ubl_ATG8_GABARAP', 13457),
(13458, 'cd15563', NULL, 'PHD3_PHF14', NULL, NULL, 'PHD3_PHF14', 13458),
(13459, 'cd18684', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 13459),
(13460, 'cd01722', NULL, 'Sm_F', NULL, NULL, 'Sm_F', 13460),
(13461, 'cd04235', NULL, 'AAK_CK', NULL, NULL, 'AAK_CK', 13461),
(13462, 'cd00028', NULL, 'B_lectin', NULL, NULL, 'B_lectin', 13462);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(13463, 'cd03571', NULL, 'ENTH', NULL, NULL, 'ENTH', 13463),
(13464, 'cd04795', NULL, 'SIS', NULL, NULL, 'SIS', 13464),
(13465, 'cd04502', NULL, 'SGNH_hydrolase_like_7', NULL, NULL, 'SGNH_hydrolase_like_7', 13465),
(13466, 'cd04688', NULL, 'Nudix_Hydrolase_29', NULL, NULL, 'Nudix_Hydrolase_29', 13466),
(13467, 'cd14220', NULL, 'STKc_BMPR1a', NULL, NULL, 'STKc_BMPR1a', 13467),
(13468, 'cd14378', NULL, 'UBA1_Rhp23p_like', NULL, NULL, 'UBA1_Rhp23p_like', 13468),
(13469, 'cd15747', NULL, 'FYVE_Slp3_4_5', NULL, NULL, 'FYVE_Slp3_4_5', 13469),
(13470, 'cd10803', NULL, 'YdjC_EF3048_like', NULL, NULL, 'YdjC_EF3048_like', 13470),
(13471, 'cd01487', NULL, 'E1_ThiF_like', NULL, NULL, 'E1_ThiF_like', 13471),
(13472, 'cd08544', NULL, 'Reeler', NULL, NULL, 'Reeler', 13472),
(13473, 'cd02407', NULL, 'PTH2_family', NULL, NULL, 'PTH2_family', 13473),
(13474, 'cd16978', NULL, 'VHS_HSE1', NULL, NULL, 'VHS_HSE1', 13474),
(13475, 'cd14582', NULL, 'DSP_DUSP15', NULL, NULL, 'DSP_DUSP15', 13475),
(13476, 'sd00039', NULL, '7WD40', NULL, NULL, '7WD40', 13476),
(13477, 'cd06360', NULL, 'PBP1_alkylbenzenes-like', NULL, NULL, 'PBP1_alkylbenzenes-like', 13477),
(13478, 'cd19689', NULL, 'bHLHzip_MLXIPL', NULL, NULL, 'bHLHzip_MLXIPL', 13478),
(13479, 'cd09372', NULL, 'LIM2_FBLP-1', NULL, NULL, 'LIM2_FBLP-1', 13479),
(13480, 'cd12299', NULL, 'RRM4_Prp24', NULL, NULL, 'RRM4_Prp24', 13480),
(13481, 'cd01263', NULL, 'PH_anillin', NULL, NULL, 'PH_anillin', 13481),
(13482, 'cd19366', NULL, 'TenA_C_BhTenA-like', NULL, NULL, 'TenA_C_BhTenA-like', 13482),
(13483, 'cd13858', NULL, 'CuRO_1_tcLCC2_insect_like', NULL, NULL, 'CuRO_1_tcLCC2_insect_like', 13483),
(13484, 'cd05171', NULL, 'PIKKc_ATM', NULL, NULL, 'PIKKc_ATM', 13484),
(13485, 'cd08251', NULL, 'polyketide_synthase', NULL, NULL, 'polyketide_synthase', 13485),
(13486, 'cd11648', NULL, 'RsmI', NULL, NULL, 'RsmI', 13486),
(13487, 'cd17740', NULL, 'BRCT_Rad4_rpt1', NULL, NULL, 'BRCT_Rad4_rpt1', 13487),
(13488, 'cd09192', NULL, 'PLDc_DNaseII_beta_2', NULL, NULL, 'PLDc_DNaseII_beta_2', 13488),
(13489, 'cd08784', NULL, 'Death_DRs', NULL, NULL, 'Death_DRs', 13489),
(13490, 'cd18375', NULL, 'BTB_POZ_KCNRG', NULL, NULL, 'BTB_POZ_KCNRG', 13490),
(13491, 'cd21487', NULL, 'bat_HKU4-like_Spike_S1_RBD', NULL, NULL, 'bat_HKU4-like_Spike_S1_RBD', 13491),
(13492, 'cd16126', NULL, 'Ubl_HR23B', NULL, NULL, 'Ubl_HR23B', 13492),
(13493, 'cd08182', NULL, 'HEPD', NULL, NULL, 'HEPD', 13493),
(13494, 'cd00548', NULL, 'NrfA-like', NULL, NULL, 'NrfA-like', 13494),
(13495, 'cd21654', NULL, 'embe-merbe_CoV_ORF8b_protein-I-like', NULL, NULL, 'embe-merbe_CoV_ORF8b_protein-I-like', 13495),
(13496, 'cd10542', NULL, 'SET_SUV39H', NULL, NULL, 'SET_SUV39H', 13496),
(13497, 'cd12027', NULL, 'SH3_ZO-2', NULL, NULL, 'SH3_ZO-2', 13497),
(13498, 'cd06125', NULL, 'DnaQ_like_exo', NULL, NULL, 'DnaQ_like_exo', 13498),
(13499, 'cd18292', NULL, 'BTB_POZ_BTBD17', NULL, NULL, 'BTB_POZ_BTBD17', 13499),
(13500, 'cd07582', NULL, 'nitrilase_4', NULL, NULL, 'nitrilase_4', 13500),
(13501, 'cd15800', NULL, 'PMEI-like_2', NULL, NULL, 'PMEI-like_2', 13501),
(13502, 'cd00457', NULL, 'PEBP', NULL, NULL, 'PEBP', 13502),
(13503, 'cd00617', NULL, 'Tnase_like', NULL, NULL, 'Tnase_like', 13503),
(13504, 'cd05365', NULL, '7_alpha_HSDH_SDR_c', NULL, NULL, '7_alpha_HSDH_SDR_c', 13504),
(13505, 'cd19683', NULL, 'bHLH_SOHLH_like', NULL, NULL, 'bHLH_SOHLH_like', 13505),
(13506, 'cd16466', NULL, 'RING-H2_RBX2', NULL, NULL, 'RING-H2_RBX2', 13506),
(13507, 'cd05895', NULL, 'Ig_Pro_neuregulin-1', NULL, NULL, 'Ig_Pro_neuregulin-1', 13507),
(13508, 'cd03538', NULL, 'Rieske_RO_Alpha_AntDO', NULL, NULL, 'Rieske_RO_Alpha_AntDO', 13508),
(13509, 'cd19789', NULL, 'Bbox2_TRIM56_C-V', NULL, NULL, 'Bbox2_TRIM56_C-V', 13509),
(13510, 'cd21598', NULL, 'ORF7b_SARS_bat-CoV-like', NULL, NULL, 'ORF7b_SARS_bat-CoV-like', 13510),
(13511, 'cd11249', NULL, 'Sema_3A', NULL, NULL, 'Sema_3A', 13511),
(13512, 'cd00978', NULL, 'chitosanase_GH46', NULL, NULL, 'chitosanase_GH46', 13512),
(13513, 'cd15740', NULL, 'FYVE_FGD3', NULL, NULL, 'FYVE_FGD3', 13513),
(13514, 'cd05610', NULL, 'STKc_MASTL', NULL, NULL, 'STKc_MASTL', 13514);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(13515, 'cd12676', NULL, 'RRM3_Nop4p', NULL, NULL, 'RRM3_Nop4p', 13515),
(13516, 'cd13755', NULL, 'TGF_beta_maverick', NULL, NULL, 'TGF_beta_maverick', 13516),
(13517, 'cd13846', NULL, 'CuRO_1_AAO_like_1', NULL, NULL, 'CuRO_1_AAO_like_1', 13517),
(13518, 'cd15741', NULL, 'FYVE_FGD1_2_4', NULL, NULL, 'FYVE_FGD1_2_4', 13518),
(13519, 'cd01770', NULL, 'UBX_UBXN2', NULL, NULL, 'UBX_UBXN2', 13519),
(13520, 'cd01469', NULL, 'vWA_integrins_alpha_subunit', NULL, NULL, 'vWA_integrins_alpha_subunit', 13520),
(13521, 'cd06357', NULL, 'PBP1_AmiC', NULL, NULL, 'PBP1_AmiC', 13521),
(13522, 'cd15589', NULL, 'PHD1_KMT2B', NULL, NULL, 'PHD1_KMT2B', 13522),
(13523, 'cd03477', NULL, 'Rieske_YhfW_C', NULL, NULL, 'Rieske_YhfW_C', 13523),
(13524, 'cd07503', NULL, 'HAD_HisB-N', NULL, NULL, 'HAD_HisB-N', 13524),
(13525, 'cd21466', NULL, 'Ubl2_cv_PLpro_N_Nsp3-like', NULL, NULL, 'Ubl2_cv_PLpro_N_Nsp3-like', 13525),
(13526, 'cd07826', NULL, 'SRPBCC_CalC_Aha1-like_9', NULL, NULL, 'SRPBCC_CalC_Aha1-like_9', 13526),
(13527, 'cd11680', NULL, 'HDAC_Hos1', NULL, NULL, 'HDAC_Hos1', 13527),
(13528, 'cd03081', NULL, 'TRX_Fd_NuoE_FDH_gamma', NULL, NULL, 'TRX_Fd_NuoE_FDH_gamma', 13528),
(13529, 'cd15720', NULL, 'FYVE_Hrs', NULL, NULL, 'FYVE_Hrs', 13529),
(13530, 'cd03780', NULL, 'MATH_TRAF5', NULL, NULL, 'MATH_TRAF5', 13530),
(13531, 'cd01229', NULL, 'PH_Ect2', NULL, NULL, 'PH_Ect2', 13531),
(13532, 'cd03778', NULL, 'MATH_TRAF2', NULL, NULL, 'MATH_TRAF2', 13532),
(13533, 'cd10446', NULL, 'GIY-YIG_unchar_1', NULL, NULL, 'GIY-YIG_unchar_1', 13533),
(13534, 'cd13566', NULL, 'PBP2_phosphate', NULL, NULL, 'PBP2_phosphate', 13534),
(13535, 'cd15344', NULL, '7tmA_LPAR1_Edg2', NULL, NULL, '7tmA_LPAR1_Edg2', 13535),
(13536, 'cd06270', NULL, 'PBP1_GalS-like', NULL, NULL, 'PBP1_GalS-like', 13536),
(13537, 'cd19705', NULL, 'bHLH_TS_LYL1', NULL, NULL, 'bHLH_TS_LYL1', 13537),
(13538, 'cd01873', NULL, 'RhoBTB', NULL, NULL, 'RhoBTB', 13538),
(13539, 'cd16032', NULL, 'choline-sulfatase', NULL, NULL, 'choline-sulfatase', 13539),
(13540, 'cd09025', NULL, 'Aldose_epim_Slr1438', NULL, NULL, 'Aldose_epim_Slr1438', 13540),
(13541, 'cd09098', NULL, 'INPP5c_Synj1', NULL, NULL, 'INPP5c_Synj1', 13541),
(13542, 'cd11293', NULL, 'gelsolin_S4_like', NULL, NULL, 'gelsolin_S4_like', 13542),
(13543, 'cd16304', NULL, 'BcII-like_MBL-B1', NULL, NULL, 'BcII-like_MBL-B1', 13543),
(13544, 'cd18181', NULL, 'ATP-synt_Vo_Ao_c_TtATPase_like', NULL, NULL, 'ATP-synt_Vo_Ao_c_TtATPase_like', 13544),
(13545, 'cd05091', NULL, 'PTKc_Ror2', NULL, NULL, 'PTKc_Ror2', 13545),
(13546, 'cd18922', NULL, 'bHLHzip_SREBP2', NULL, NULL, 'bHLHzip_SREBP2', 13546),
(13547, 'cd13531', NULL, 'PBP2_MxaJ', NULL, NULL, 'PBP2_MxaJ', 13547),
(13548, 'cd15418', NULL, '7tmA_OR9G-like', NULL, NULL, '7tmA_OR9G-like', 13548),
(13549, 'cd15136', NULL, '7tmA_Glyco_hormone_R', NULL, NULL, '7tmA_Glyco_hormone_R', 13549),
(13550, 'cd18650', NULL, 'CD_HP1beta_Cbx1', NULL, NULL, 'CD_HP1beta_Cbx1', 13550),
(13551, 'cd05038', NULL, 'PTKc_Jak_rpt2', NULL, NULL, 'PTKc_Jak_rpt2', 13551),
(13552, 'cd19924', NULL, 'REC_CheV-like', NULL, NULL, 'REC_CheV-like', 13552),
(13553, 'cd12893', NULL, 'SPRY_PRY_TRIM35', NULL, NULL, 'SPRY_PRY_TRIM35', 13553),
(13554, 'cd13213', NULL, 'PH-GRAM_MTMR14', NULL, NULL, 'PH-GRAM_MTMR14', 13554),
(13555, 'cd03220', NULL, 'ABC_KpsT_Wzt', NULL, NULL, 'ABC_KpsT_Wzt', 13555),
(13556, 'cd17765', NULL, 'PNP_ThPNP_like', NULL, NULL, 'PNP_ThPNP_like', 13556),
(13557, 'cd00688', NULL, 'ISOPREN_C2_like', NULL, NULL, 'ISOPREN_C2_like', 13557),
(13558, 'cd13204', NULL, 'FERM_C2_myosin_like', NULL, NULL, 'FERM_C2_myosin_like', 13558),
(13559, 'cd11687', NULL, 'PpPFK_gamma', NULL, NULL, 'PpPFK_gamma', 13559),
(13560, 'cd20228', NULL, 'PFM_TDP-like', NULL, NULL, 'PFM_TDP-like', 13560),
(13561, 'cd08863', NULL, 'SRPBCC_DUF1857', NULL, NULL, 'SRPBCC_DUF1857', 13561),
(13562, 'cd17644', NULL, 'A_NRPS_ApnA-like', NULL, NULL, 'A_NRPS_ApnA-like', 13562),
(13563, 'cd07530', NULL, 'HAD_Pase_UmpH-like', NULL, NULL, 'HAD_Pase_UmpH-like', 13563),
(13564, 'cd06140', NULL, 'DNA_polA_I_Bacillus_like_exo', NULL, NULL, 'DNA_polA_I_Bacillus_like_exo', 13564);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(13565, 'cd04123', NULL, 'Rab21', NULL, NULL, 'Rab21', 13565),
(13566, 'cd12879', NULL, 'SPRY3_RyR', NULL, NULL, 'SPRY3_RyR', 13566),
(13567, 'cd18459', NULL, 'BACK_KLHL20', NULL, NULL, 'BACK_KLHL20', 13567),
(13568, 'cd09112', NULL, 'PLDc_CLS_2', NULL, NULL, 'PLDc_CLS_2', 13568),
(13569, 'cd03274', NULL, 'ABC_SMC4_euk', NULL, NULL, 'ABC_SMC4_euk', 13569),
(13570, 'cd09892', NULL, 'NGN_SP_RfaH', NULL, NULL, 'NGN_SP_RfaH', 13570),
(13571, 'cd07483', NULL, 'Peptidases_S8_Subtilisin_Novo-like', NULL, NULL, 'Peptidases_S8_Subtilisin_Novo-like', 13571),
(13572, 'cd11503', NULL, 'SLC5sbd_NIS', NULL, NULL, 'SLC5sbd_NIS', 13572),
(13573, 'cd05865', NULL, 'Ig1_NCAM-1', NULL, NULL, 'Ig1_NCAM-1', 13573),
(13574, 'cd12745', NULL, 'RRM1_RBM12', NULL, NULL, 'RRM1_RBM12', 13574),
(13575, 'cd14893', NULL, 'MYSc_Myo32', NULL, NULL, 'MYSc_Myo32', 13575),
(13576, 'cd18516', NULL, 'BACK_KLHL40_KBTBD5', NULL, NULL, 'BACK_KLHL40_KBTBD5', 13576),
(13577, 'cd14219', NULL, 'STKc_BMPR1b', NULL, NULL, 'STKc_BMPR1b', 13577),
(13578, 'cd01890', NULL, 'LepA', NULL, NULL, 'LepA', 13578),
(13579, 'cd17092', NULL, 'FERM1_F1_Myosin-VII', NULL, NULL, 'FERM1_F1_Myosin-VII', 13579),
(13580, 'cd21668', NULL, 'deltaCoV_Nsp5_Mpro', NULL, NULL, 'deltaCoV_Nsp5_Mpro', 13580),
(13581, 'cd08326', NULL, 'CARD_CASP9', NULL, NULL, 'CARD_CASP9', 13581),
(13582, 'cd08825', NULL, 'MVP_shoulder', NULL, NULL, 'MVP_shoulder', 13582),
(13583, 'cd08047', NULL, 'TAF7', NULL, NULL, 'TAF7', 13583),
(13584, 'cd00642', NULL, 'GTP_cyclohydro1', NULL, NULL, 'GTP_cyclohydro1', 13584),
(13585, 'cd08432', NULL, 'PBP2_GcdR_TrpI_HvrB_AmpR_like', NULL, NULL, 'PBP2_GcdR_TrpI_HvrB_AmpR_like', 13585),
(13586, 'cd15677', NULL, 'PHD_BRPF2', NULL, NULL, 'PHD_BRPF2', 13586),
(13587, 'cd06985', NULL, 'cupin_BF4112', NULL, NULL, 'cupin_BF4112', 13587),
(13588, 'cd20760', NULL, 'capping_2-OMTase_Mimiviridae', NULL, NULL, 'capping_2-OMTase_Mimiviridae', 13588),
(13589, 'cd07958', NULL, 'Anticodon_Ia_Leu_BEm', NULL, NULL, 'Anticodon_Ia_Leu_BEm', 13589),
(13590, 'cd06947', NULL, 'NR_LBD_GR_Like', NULL, NULL, 'NR_LBD_GR_Like', 13590),
(13591, 'cd14993', NULL, '7tmA_CCKR-like', NULL, NULL, '7tmA_CCKR-like', 13591),
(13592, 'cd03194', NULL, 'GST_C_3', NULL, NULL, 'GST_C_3', 13592),
(13593, 'cd14939', NULL, '7tmD_STE2', NULL, NULL, '7tmD_STE2', 13593),
(13594, 'cd17032', NULL, 'T3SC_IA_SycT-like', NULL, NULL, 'T3SC_IA_SycT-like', 13594),
(13595, 'cd16260', NULL, 'EF4_III', NULL, NULL, 'EF4_III', 13595),
(13596, 'cd10805', NULL, 'YdjC_like_1', NULL, NULL, 'YdjC_like_1', 13596),
(13597, 'cd16291', NULL, 'INTS11-like_MBL-fold', NULL, NULL, 'INTS11-like_MBL-fold', 13597),
(13598, 'cd09513', NULL, 'SAM_BAR', NULL, NULL, 'SAM_BAR', 13598),
(13599, 'cd12589', NULL, 'RRM2_PSP1', NULL, NULL, 'RRM2_PSP1', 13599),
(13600, 'cd14224', NULL, 'PKc_DYRK2_3', NULL, NULL, 'PKc_DYRK2_3', 13600),
(13601, 'cd21343', NULL, 'ZBD_UPF1_nv_SF1_Hel-like', NULL, NULL, 'ZBD_UPF1_nv_SF1_Hel-like', 13601),
(13602, 'cd01123', NULL, 'Rad51_DMC1_radA', NULL, NULL, 'Rad51_DMC1_radA', 13602),
(13603, 'cd17734', NULL, 'BRCT_Bard1_rpt1', NULL, NULL, 'BRCT_Bard1_rpt1', 13603),
(13604, 'cd12061', NULL, 'SH3_betaPIX', NULL, NULL, 'SH3_betaPIX', 13604),
(13605, 'cd09413', NULL, 'LIM1_Testin', NULL, NULL, 'LIM1_Testin', 13605),
(13606, 'cd08030', NULL, 'LA_like_plant', NULL, NULL, 'LA_like_plant', 13606),
(13607, 'cd17949', NULL, 'DEADc_DDX31', NULL, NULL, 'DEADc_DDX31', 13607),
(13608, 'cd07686', NULL, 'F-BAR_Fer', NULL, NULL, 'F-BAR_Fer', 13608),
(13609, 'cd13901', NULL, 'CuRO_3_MaLCC_like', NULL, NULL, 'CuRO_3_MaLCC_like', 13609),
(13610, 'cd18963', NULL, 'chromodomain', NULL, NULL, 'chromodomain', 13610),
(13611, 'cd09726', NULL, 'RAMP_I_III', NULL, NULL, 'RAMP_I_III', 13611),
(13612, 'cd00553', NULL, 'NAD_synthase', NULL, NULL, 'NAD_synthase', 13612),
(13613, 'cd05603', NULL, 'STKc_SGK2', NULL, NULL, 'STKc_SGK2', 13613),
(13614, 'cd09242', NULL, 'BRO1_ScBro1_like', NULL, NULL, 'BRO1_ScBro1_like', 13614),
(13615, 'cd01415', NULL, 'SAICAR_synt_PurC', NULL, NULL, 'SAICAR_synt_PurC', 13615),
(13616, 'cd09232', NULL, 'Snurportin-1_C', NULL, NULL, 'Snurportin-1_C', 13616);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(13617, 'cd05188', NULL, 'MDR', NULL, NULL, 'MDR', 13617),
(13618, 'cd12699', NULL, 'RRM3_hnRNPL', NULL, NULL, 'RRM3_hnRNPL', 13618),
(13619, 'cd17539', NULL, 'psREC-like_D2_PleD', NULL, NULL, 'psREC-like_D2_PleD', 13619),
(13620, 'cd01221', NULL, 'PH_ephexin', NULL, NULL, 'PH_ephexin', 13620),
(13621, 'cd12688', NULL, 'RRM1_PTBP1_like', NULL, NULL, 'RRM1_PTBP1_like', 13621),
(13622, 'cd08250', NULL, 'Mgc45594_like', NULL, NULL, 'Mgc45594_like', 13622),
(13623, 'cd13577', NULL, 'PBP2_BugE_Glu', NULL, NULL, 'PBP2_BugE_Glu', 13623),
(13624, 'cd00538', NULL, 'PA', NULL, NULL, 'PA', 13624),
(13625, 'cd12821', NULL, 'EcCorA_ZntB-like', NULL, NULL, 'EcCorA_ZntB-like', 13625),
(13626, 'cd19593', NULL, 'serpin_bacteria_crustaceans', NULL, NULL, 'serpin_bacteria_crustaceans', 13626),
(13627, 'cd14213', NULL, 'PKc_CLK1_4', NULL, NULL, 'PKc_CLK1_4', 13627),
(13628, 'cd16463', NULL, 'RING-H2_PHR', NULL, NULL, 'RING-H2_PHR', 13628),
(13629, 'cd03466', NULL, 'Nitrogenase_NifN_2', NULL, NULL, 'Nitrogenase_NifN_2', 13629),
(13630, 'cd07905', NULL, 'Adenylation_DNA_ligase_LigC', NULL, NULL, 'Adenylation_DNA_ligase_LigC', 13630),
(13631, 'cd07281', NULL, 'PX_SNX1', NULL, NULL, 'PX_SNX1', 13631),
(13632, 'cd00017', NULL, 'ANATO', NULL, NULL, 'ANATO', 13632),
(13633, 'cd15633', NULL, 'PHD_PHF20L1', NULL, NULL, 'PHD_PHF20L1', 13633),
(13634, 'cd14813', NULL, 'bZIP_BmCbz-like', NULL, NULL, 'bZIP_BmCbz-like', 13634),
(13635, 'cd14189', NULL, 'STKc_PLK3', NULL, NULL, 'STKc_PLK3', 13635),
(13636, 'cd20270', NULL, 'Complex1_LYR_SDHAF3_LYRM10', NULL, NULL, 'Complex1_LYR_SDHAF3_LYRM10', 13636),
(13637, 'cd12195', NULL, 'CIPK_C', NULL, NULL, 'CIPK_C', 13637),
(13638, 'cd18814', NULL, 'CAP_PI15', NULL, NULL, 'CAP_PI15', 13638),
(13639, 'cd15127', NULL, '7tmA_GPR37', NULL, NULL, '7tmA_GPR37', 13639),
(13640, 'cd02135', NULL, 'YdjA-like', NULL, NULL, 'YdjA-like', 13640),
(13641, 'cd02131', NULL, 'PA_hNAALADL2_like', NULL, NULL, 'PA_hNAALADL2_like', 13641),
(13642, 'cd06869', NULL, 'PX_UP2_fungi', NULL, NULL, 'PX_UP2_fungi', 13642),
(13643, 'cd03338', NULL, 'TCP1_delta', NULL, NULL, 'TCP1_delta', 13643),
(13644, 'cd15514', NULL, 'PHD6_KMT2C_like', NULL, NULL, 'PHD6_KMT2C_like', 13644),
(13645, 'cd17358', NULL, 'MFS_GLUT6_8_Class3_like', NULL, NULL, 'MFS_GLUT6_8_Class3_like', 13645),
(13646, 'cd14793', NULL, 'DUF302_like', NULL, NULL, 'DUF302_like', 13646),
(13647, 'cd17313', NULL, 'MFS_SLC45_SUC', NULL, NULL, 'MFS_SLC45_SUC', 13647),
(13648, 'cd01319', NULL, 'AMPD', NULL, NULL, 'AMPD', 13648),
(13649, 'cd03722', NULL, 'SOCS_ASB3', NULL, NULL, 'SOCS_ASB3', 13649),
(13650, 'cd01053', NULL, 'AOX', NULL, NULL, 'AOX', 13650),
(13651, 'cd11418', NULL, 'bHLH_TS_ASCL', NULL, NULL, 'bHLH_TS_ASCL', 13651),
(13652, 'cd06325', NULL, 'PBP1_ABC_unchar_transporter', NULL, NULL, 'PBP1_ABC_unchar_transporter', 13652),
(13653, 'cd09324', NULL, 'TDT_TehA', NULL, NULL, 'TDT_TehA', 13653),
(13654, 'cd18742', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 13654),
(13655, 'cd09852', NULL, 'PIN_SF', NULL, NULL, 'PIN_SF', 13655),
(13656, 'cd21171', NULL, 'NTD_alpha_beta_cv_Nsp15-like', NULL, NULL, 'NTD_alpha_beta_cv_Nsp15-like', 13656),
(13657, 'cd16904', NULL, 'pesticin_lyz-like', NULL, NULL, 'pesticin_lyz-like', 13657),
(13658, 'cd19053', NULL, 'LGIC_TM_GABAAR_beta', NULL, NULL, 'LGIC_TM_GABAAR_beta', 13658),
(13659, 'cd13768', NULL, 'DSS1_Sem1', NULL, NULL, 'DSS1_Sem1', 13659),
(13660, 'cd17210', NULL, 'RA_RGL', NULL, NULL, 'RA_RGL', 13660),
(13661, 'cd18002', NULL, 'DEXQc_INO80', NULL, NULL, 'DEXQc_INO80', 13661),
(13662, 'cd03816', NULL, 'GT33_ALG1-like', NULL, NULL, 'GT33_ALG1-like', 13662),
(13663, 'cd12378', NULL, 'RRM1_I_PABPs', NULL, NULL, 'RRM1_I_PABPs', 13663),
(13664, 'cd09713', NULL, 'Cas8c_I-C', NULL, NULL, 'Cas8c_I-C', 13664),
(13665, 'cd15454', NULL, '7tmC_mGluR8', NULL, NULL, '7tmC_mGluR8', 13665),
(13666, 'cd04733', NULL, 'OYE_like_2_FMN', NULL, NULL, 'OYE_like_2_FMN', 13666),
(13667, 'cd00691', NULL, 'ascorbate_peroxidase', NULL, NULL, 'ascorbate_peroxidase', 13667),
(13668, 'cd13744', NULL, 'SPRY_PRY_TRIM62', NULL, NULL, 'SPRY_PRY_TRIM62', 13668);
INSERT INTO "PUBLIC"."MODEL" VALUES
(13669, 'cd05058', NULL, 'PTKc_Met_Ron', NULL, NULL, 'PTKc_Met_Ron', 13669),
(13670, 'cd03023', NULL, 'DsbA_Com1_like', NULL, NULL, 'DsbA_Com1_like', 13670),
(13671, 'cd04256', NULL, 'AAK_P5CS_ProBA', NULL, NULL, 'AAK_P5CS_ProBA', 13671),
(13672, 'cd05296', NULL, 'GH4_P_beta_glucosidase', NULL, NULL, 'GH4_P_beta_glucosidase', 13672),
(13673, 'cd12510', NULL, 'RRM1_RBM12_like', NULL, NULL, 'RRM1_RBM12_like', 13673),
(13674, 'cd16538', NULL, 'RING-HC_RNF112', NULL, NULL, 'RING-HC_RNF112', 13674),
(13675, 'cd04902', NULL, 'ACT_3PGDH-xct', NULL, NULL, 'ACT_3PGDH-xct', 13675),
(13676, 'cd15729', NULL, 'FYVE_endofin', NULL, NULL, 'FYVE_endofin', 13676),
(13677, 'cd07598', NULL, 'BAR_FAM92', NULL, NULL, 'BAR_FAM92', 13677),
(13678, 'cd17575', NULL, 'REC_WspR-like', NULL, NULL, 'REC_WspR-like', 13678),
(13679, 'cd03088', NULL, 'ManB', NULL, NULL, 'ManB', 13679),
(13680, 'cd15991', NULL, '7tmB2_CELSR1', NULL, NULL, '7tmB2_CELSR1', 13680),
(13681, 'cd01379', NULL, 'MYSc_Myo3', NULL, NULL, 'MYSc_Myo3', 13681),
(13682, 'cd12348', NULL, 'RRM1_SHARP', NULL, NULL, 'RRM1_SHARP', 13682),
(13683, 'cd13617', NULL, 'PBP2_transferrin_C', NULL, NULL, 'PBP2_transferrin_C', 13683),
(13684, 'cd15714', NULL, 'ePHD_JMJD2B', NULL, NULL, 'ePHD_JMJD2B', 13684),
(13685, 'cd05118', NULL, 'STKc_CMGC', NULL, NULL, 'STKc_CMGC', 13685),
(13686, 'cd16530', NULL, 'RING-HC_RAG1', NULL, NULL, 'RING-HC_RAG1', 13686),
(13687, 'cd12111', NULL, 'PHP_HisPPase_Thermotoga_like', NULL, NULL, 'PHP_HisPPase_Thermotoga_like', 13687),
(13688, 'cd07164', NULL, 'NR_DBD_PNR_like_1', NULL, NULL, 'NR_DBD_PNR_like_1', 13688),
(13689, 'cd18050', NULL, 'DEADc_DDX17', NULL, NULL, 'DEADc_DDX17', 13689),
(13690, 'cd10312', NULL, 'Deadenylase_CCR4b', NULL, NULL, 'Deadenylase_CCR4b', 13690),
(13691, 'cd16242', NULL, 'EFh_DMD_like', NULL, NULL, 'EFh_DMD_like', 13691),
(13692, 'cd15036', NULL, '7tmF_FZD9', NULL, NULL, '7tmF_FZD9', 13692),
(13693, 'cd12032', NULL, 'SH3_DLG2', NULL, NULL, 'SH3_DLG2', 13693),
(13694, 'cd16194', NULL, 'EFh_PEF_CAPN12', NULL, NULL, 'EFh_PEF_CAPN12', 13694),
(13695, 'cd06149', NULL, 'ISG20', NULL, NULL, 'ISG20', 13695),
(13696, 'cd11009', NULL, 'Zn_dep_PLPC', NULL, NULL, 'Zn_dep_PLPC', 13696),
(13697, 'cd14555', NULL, 'R-PTPc-typeIIb-1', NULL, NULL, 'R-PTPc-typeIIb-1', 13697),
(13698, 'cd10282', NULL, 'DNase1', NULL, NULL, 'DNase1', 13698),
(13699, 'cd17400', NULL, 'MFS_SLCO1_OATP1', NULL, NULL, 'MFS_SLCO1_OATP1', 13699),
(13700, 'cd16700', NULL, 'RING_CH-C4HC3_MARCH4_like', NULL, NULL, 'RING_CH-C4HC3_MARCH4_like', 13700),
(13701, 'cd12507', NULL, 'RRM1_ESRPs_Fusilli', NULL, NULL, 'RRM1_ESRPs_Fusilli', 13701),
(13702, 'cd07489', NULL, 'Peptidases_S8_5', NULL, NULL, 'Peptidases_S8_5', 13702),
(13703, 'cd16571', NULL, 'RING-HC_SIAHs', NULL, NULL, 'RING-HC_SIAHs', 13703),
(13704, 'cd03598', NULL, 'CLECT_EMBP_like', NULL, NULL, 'CLECT_EMBP_like', 13704),
(13705, 'cd03110', NULL, 'SIMIBI_bact_arch', NULL, NULL, 'SIMIBI_bact_arch', 13705),
(13706, 'cd09765', NULL, 'Csx14_I-U', NULL, NULL, 'Csx14_I-U', 13706),
(13707, 'cd18294', NULL, 'BTB_POZ_BTBD19', NULL, NULL, 'BTB_POZ_BTBD19', 13707),
(13708, 'cd15123', NULL, '7tmA_BRS-3', NULL, NULL, '7tmA_BRS-3', 13708),
(13709, 'cd18620', NULL, 'GH43_XylA-like', NULL, NULL, 'GH43_XylA-like', 13709),
(13710, 'cd02911', NULL, 'arch_FMN', NULL, NULL, 'arch_FMN', 13710),
(13711, 'cd12586', NULL, 'RRM1_PSP1', NULL, NULL, 'RRM1_PSP1', 13711),
(13712, 'cd01541', NULL, 'PBP1_AraR', NULL, NULL, 'PBP1_AraR', 13712),
(13713, 'cd11930', NULL, 'SH3_SH3RF1_2', NULL, NULL, 'SH3_SH3RF1_2', 13713),
(13714, 'cd03247', NULL, 'ABCC_cytochrome_bd', NULL, NULL, 'ABCC_cytochrome_bd', 13714),
(13715, 'cd16566', NULL, 'RING-HC_RSPRY1', NULL, NULL, 'RING-HC_RSPRY1', 13715),
(13716, 'cd12601', NULL, 'RRM2_SRSF1_like', NULL, NULL, 'RRM2_SRSF1_like', 13716),
(13717, 'cd09806', NULL, 'type1_17beta-HSD-like_SDR_c', NULL, NULL, 'type1_17beta-HSD-like_SDR_c', 13717),
(13718, 'cd00352', NULL, 'Gn_AT_II', NULL, NULL, 'Gn_AT_II', 13718),
(13719, 'cd01081', NULL, 'Aldose_epim', NULL, NULL, 'Aldose_epim', 13719),
(13720, 'cd11936', NULL, 'SH3_UBASH3B', NULL, NULL, 'SH3_UBASH3B', 13720);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(13721, 'cd15429', NULL, '7tmA_OR2F-like', NULL, NULL, '7tmA_OR2F-like', 13721),
(13722, 'cd08068', NULL, 'MPN_BRCC36', NULL, NULL, 'MPN_BRCC36', 13722),
(13723, 'cd19801', NULL, 'Bbox1_MID', NULL, NULL, 'Bbox1_MID', 13723),
(13724, 'cd04924', NULL, 'ACT_AK-Arch_2', NULL, NULL, 'ACT_AK-Arch_2', 13724),
(13725, 'cd10306', NULL, 'GST_C_GluRS_N', NULL, NULL, 'GST_C_GluRS_N', 13725),
(13726, 'cd20013', NULL, 'PBP1_RPA0985_benzoate-like', NULL, NULL, 'PBP1_RPA0985_benzoate-like', 13726),
(13727, 'cd07204', NULL, 'Pat_PNPLA_like', NULL, NULL, 'Pat_PNPLA_like', 13727),
(13728, 'cd08394', NULL, 'C2A_Munc13', NULL, NULL, 'C2A_Munc13', 13728),
(13729, 'cd16853', NULL, 'STAT3_CCD', NULL, NULL, 'STAT3_CCD', 13729),
(13730, 'cd06555', NULL, 'ASCH_PF0470_like', NULL, NULL, 'ASCH_PF0470_like', 13730),
(13731, 'cd15180', NULL, '7tmA_CXCR3', NULL, NULL, '7tmA_CXCR3', 13731),
(13732, 'cd08015', NULL, 'M28_like', NULL, NULL, 'M28_like', 13732),
(13733, 'cd19034', NULL, 'LGIC_ECD_GABAAR_A1', NULL, NULL, 'LGIC_ECD_GABAAR_A1', 13733),
(13734, 'cd04046', NULL, 'C2_Calpain', NULL, NULL, 'C2_Calpain', 13734),
(13735, 'cd00183', NULL, 'TFIIS_I', NULL, NULL, 'TFIIS_I', 13735),
(13736, 'cd01210', NULL, 'PTB_EPS8', NULL, NULL, 'PTB_EPS8', 13736),
(13737, 'cd05239', NULL, 'GDP_FS_SDR_e', NULL, NULL, 'GDP_FS_SDR_e', 13737),
(13738, 'cd12081', NULL, 'SH3_CASK', NULL, NULL, 'SH3_CASK', 13738),
(13739, 'cd07148', NULL, 'ALDH_RL0313', NULL, NULL, 'ALDH_RL0313', 13739),
(13740, 'cd14415', NULL, 'UBA_NACA_NACP1', NULL, NULL, 'UBA_NACA_NACP1', 13740),
(13741, 'cd08640', NULL, 'DNA_pol_A_plastid_like', NULL, NULL, 'DNA_pol_A_plastid_like', 13741),
(13742, 'cd12800', NULL, 'Sol_i_2', NULL, NULL, 'Sol_i_2', 13742),
(13743, 'cd00797', NULL, 'INT_RitB_C_like', NULL, NULL, 'INT_RitB_C_like', 13743),
(13744, 'cd15539', NULL, 'PHD1_AIRE', NULL, NULL, 'PHD1_AIRE', 13744),
(13745, 'cd08258', NULL, 'Zn_ADH4', NULL, NULL, 'Zn_ADH4', 13745),
(13746, 'cd15962', NULL, '7tmA_GPR6', NULL, NULL, '7tmA_GPR6', 13746),
(13747, 'cd06152', NULL, 'YjgF_YER057c_UK114_like_4', NULL, NULL, 'YjgF_YER057c_UK114_like_4', 13747),
(13748, 'cd12812', NULL, 'BPSL1549', NULL, NULL, 'BPSL1549', 13748),
(13749, 'cd14483', NULL, 'SPX_PHO81_NUC-2_like', NULL, NULL, 'SPX_PHO81_NUC-2_like', 13749),
(13750, 'cd17155', NULL, 'DCX_DCDC1', NULL, NULL, 'DCX_DCDC1', 13750),
(13751, 'cd05242', NULL, 'SDR_a8', NULL, NULL, 'SDR_a8', 13751),
(13752, 'cd04613', NULL, 'CBS_pair_voltage-gated_CLC_bac', NULL, NULL, 'CBS_pair_voltage-gated_CLC_bac', 13752),
(13753, 'cd17219', NULL, 'RA_RASSF3', NULL, NULL, 'RA_RASSF3', 13753),
(13754, 'cd15424', NULL, '7tmA_OR2_unk', NULL, NULL, '7tmA_OR2_unk', 13754),
(13755, 'cd07831', NULL, 'STKc_MOK', NULL, NULL, 'STKc_MOK', 13755),
(13756, 'cd19814', NULL, 'Bbox1_RNF207-like', NULL, NULL, 'Bbox1_RNF207-like', 13756),
(13757, 'cd21527', NULL, 'CoV_Spike_S1_NTD', NULL, NULL, 'CoV_Spike_S1_NTD', 13757),
(13758, 'cd17769', NULL, 'NP_TgUP-like', NULL, NULL, 'NP_TgUP-like', 13758),
(13759, 'cd19729', NULL, 'bHLH-PAS_HIF3a_PASD7', NULL, NULL, 'bHLH-PAS_HIF3a_PASD7', 13759),
(13760, 'cd17971', NULL, 'DEXHc_DHX8', NULL, NULL, 'DEXHc_DHX8', 13760),
(13761, 'cd19895', NULL, 'DSRM_RED1_rpt1', NULL, NULL, 'DSRM_RED1_rpt1', 13761),
(13762, 'cd01713', NULL, 'PAPS_reductase', NULL, NULL, 'PAPS_reductase', 13762),
(13763, 'cd15576', NULL, 'PHD_JMJD2B', NULL, NULL, 'PHD_JMJD2B', 13763),
(13764, 'cd04882', NULL, 'ACT_Bt0572_2', NULL, NULL, 'ACT_Bt0572_2', 13764),
(13765, 'cd03855', NULL, 'M14_ASTE', NULL, NULL, 'M14_ASTE', 13765),
(13766, 'cd11990', NULL, 'SH3_Intersectin2_2', NULL, NULL, 'SH3_Intersectin2_2', 13766),
(13767, 'cd12205', NULL, 'RasGAP_plexin', NULL, NULL, 'RasGAP_plexin', 13767),
(13768, 'cd17178', NULL, 'FERM_F1_PLEKHH1', NULL, NULL, 'FERM_F1_PLEKHH1', 13768),
(13769, 'cd05837', NULL, 'MSH6_like', NULL, NULL, 'MSH6_like', 13769),
(13770, 'cd10351', NULL, 'SH2_SH2D4B', NULL, NULL, 'SH2_SH2D4B', 13770),
(13771, 'cd15559', NULL, 'PHD1_BPTF', NULL, NULL, 'PHD1_BPTF', 13771),
(13772, 'cd07000', NULL, 'cupin_HGO_N', NULL, NULL, 'cupin_HGO_N', 13772);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(13773, 'cd16150', NULL, 'sulfatase_like', NULL, NULL, 'sulfatase_like', 13773),
(13774, 'cd00104', NULL, 'KAZAL_FS', NULL, NULL, 'KAZAL_FS', 13774),
(13775, 'cd03282', NULL, 'ABC_MSH4_euk', NULL, NULL, 'ABC_MSH4_euk', 13775),
(13776, 'cd12401', NULL, 'RRM_eIF4H', NULL, NULL, 'RRM_eIF4H', 13776),
(13777, 'cd14518', NULL, 'DSP_fungal_YVH1', NULL, NULL, 'DSP_fungal_YVH1', 13777),
(13778, 'cd13767', NULL, 'TGF_beta_BMP9_like', NULL, NULL, 'TGF_beta_BMP9_like', 13778),
(13779, 'cd06552', NULL, 'ASCH_yqfb_like', NULL, NULL, 'ASCH_yqfb_like', 13779),
(13780, 'cd12407', NULL, 'RRM_FOX1_like', NULL, NULL, 'RRM_FOX1_like', 13780),
(13781, 'cd00344', NULL, 'FBP_aldolase_I', NULL, NULL, 'FBP_aldolase_I', 13781),
(13782, 'cd15249', NULL, '7tmF_FZD5', NULL, NULL, '7tmF_FZD5', 13782),
(13783, 'cd06207', NULL, 'CyPoR_like', NULL, NULL, 'CyPoR_like', 13783),
(13784, 'cd01716', NULL, 'Hfq', NULL, NULL, 'Hfq', 13784),
(13785, 'cd17370', NULL, 'MFS_MJ1317_like', NULL, NULL, 'MFS_MJ1317_like', 13785),
(13786, 'cd19686', NULL, 'bHLH_TS_FERD3L_like', NULL, NULL, 'bHLH_TS_FERD3L_like', 13786),
(13787, 'cd08948', NULL, '5beta-POR_like_SDR_a', NULL, NULL, '5beta-POR_like_SDR_a', 13787),
(13788, 'cd18518', NULL, 'BACK_SPOP', NULL, NULL, 'BACK_SPOP', 13788),
(13789, 'cd14801', NULL, 'STAT_DBD', NULL, NULL, 'STAT_DBD', 13789),
(13790, 'cd16146', NULL, 'ARS_like', NULL, NULL, 'ARS_like', 13790),
(13791, 'cd20288', NULL, 'cupin_pirin-like_C', NULL, NULL, 'cupin_pirin-like_C', 13791),
(13792, 'cd05351', NULL, 'XR_like_SDR_c', NULL, NULL, 'XR_like_SDR_c', 13792),
(13793, 'cd01028', NULL, 'TOPRIM_TopoIA', NULL, NULL, 'TOPRIM_TopoIA', 13793),
(13794, 'cd16969', NULL, 'Alpha_kinase_ALPK1', NULL, NULL, 'Alpha_kinase_ALPK1', 13794),
(13795, 'cd18487', NULL, 'BACK_BTBD1_like', NULL, NULL, 'BACK_BTBD1_like', 13795),
(13796, 'cd12036', NULL, 'SH3_MPP5', NULL, NULL, 'SH3_MPP5', 13796),
(13797, 'cd08715', NULL, 'RGS_RGS1', NULL, NULL, 'RGS_RGS1', 13797),
(13798, 'cd15937', NULL, '7tmA_OR4N-like', NULL, NULL, '7tmA_OR4N-like', 13798),
(13799, 'cd00584', NULL, 'Prefoldin_alpha', NULL, NULL, 'Prefoldin_alpha', 13799),
(13800, 'cd16787', NULL, 'mRING-HC-C3HC5_CGRF1', NULL, NULL, 'mRING-HC-C3HC5_CGRF1', 13800),
(13801, 'cd19376', NULL, 'TGF_beta_GDF15', NULL, NULL, 'TGF_beta_GDF15', 13801),
(13802, 'cd07417', NULL, 'MPP_PP5_C', NULL, NULL, 'MPP_PP5_C', 13802),
(13803, 'cd15195', NULL, '7tmA_GnRHR-like', NULL, NULL, '7tmA_GnRHR-like', 13803),
(13804, 'cd10556', NULL, 'SER_beta', NULL, NULL, 'SER_beta', 13804),
(13805, 'cd19452', NULL, 'lipocalin_ABP', NULL, NULL, 'lipocalin_ABP', 13805),
(13806, 'cd02641', NULL, 'R3H_Smubp-2_like', NULL, NULL, 'R3H_Smubp-2_like', 13806),
(13807, 'cd03670', NULL, 'ADPRase_NUDT9', NULL, NULL, 'ADPRase_NUDT9', 13807),
(13808, 'cd09672', NULL, 'Cas8a1_I-A', NULL, NULL, 'Cas8a1_I-A', 13808),
(13809, 'cd06174', NULL, 'MFS', NULL, NULL, 'MFS', 13809),
(13810, 'cd08060', NULL, 'MPN_UPF0172', NULL, NULL, 'MPN_UPF0172', 13810),
(13811, 'cd21596', NULL, 'batCoV-HKU9-like_RdRp', NULL, NULL, 'batCoV-HKU9-like_RdRp', 13811),
(13812, 'cd07664', NULL, 'BAR_SNX2', NULL, NULL, 'BAR_SNX2', 13812),
(13813, 'cd10521', NULL, 'SET_SMYD5', NULL, NULL, 'SET_SMYD5', 13813),
(13814, 'cd02048', NULL, 'serpinI1_NSP', NULL, NULL, 'serpinI1_NSP', 13814),
(13815, 'cd02238', NULL, 'cupin_KdgF', NULL, NULL, 'cupin_KdgF', 13815),
(13816, 'cd13950', NULL, '7tm_TAS2R', NULL, NULL, '7tm_TAS2R', 13816),
(13817, 'cd14306', NULL, 'UBA_VP13D', NULL, NULL, 'UBA_VP13D', 13817),
(13818, 'cd04980', NULL, 'IgV_L_kappa', NULL, NULL, 'IgV_L_kappa', 13818),
(13819, 'cd17651', NULL, 'A_NRPS_VisG_like', NULL, NULL, 'A_NRPS_VisG_like', 13819),
(13820, 'cd17782', NULL, 'CBS_pair_MUG70_2', NULL, NULL, 'CBS_pair_MUG70_2', 13820),
(13821, 'cd01396', NULL, 'MeCP2_MBD', NULL, NULL, 'MeCP2_MBD', 13821),
(13822, 'cd00296', NULL, 'SIR2', NULL, NULL, 'SIR2', 13822),
(13823, 'cd13408', NULL, 'TNFRSF7', NULL, NULL, 'TNFRSF7', 13823),
(13824, 'cd07035', NULL, 'TPP_PYR_POX_like', NULL, NULL, 'TPP_PYR_POX_like', 13824),
(13825, 'cd16550', NULL, 'RING-HC_RNF168', NULL, NULL, 'RING-HC_RNF168', 13825);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(13826, 'cd09733', NULL, 'Cas6-I-III', NULL, NULL, 'Cas6-I-III', 13826),
(13827, 'cd18533', NULL, 'PTP_fungal', NULL, NULL, 'PTP_fungal', 13827),
(13828, 'cd05131', NULL, 'RasGAP_IQGAP2', NULL, NULL, 'RasGAP_IQGAP2', 13828),
(13829, 'cd01292', NULL, 'metallo-dependent_hydrolases', NULL, NULL, 'metallo-dependent_hydrolases', 13829),
(13830, 'cd03745', NULL, 'SOCS_WSB2_SWIP2', NULL, NULL, 'SOCS_WSB2_SWIP2', 13830),
(13831, 'cd13126', NULL, 'MATE_like_11', NULL, NULL, 'MATE_like_11', 13831),
(13832, 'cd20257', NULL, 'Stannin', NULL, NULL, 'Stannin', 13832),
(13833, 'cd11983', NULL, 'SH3_Shank2', NULL, NULL, 'SH3_Shank2', 13833),
(13834, 'cd05506', NULL, 'Bromo_plant1', NULL, NULL, 'Bromo_plant1', 13834),
(13835, 'cd15640', NULL, 'PHD_KDM7', NULL, NULL, 'PHD_KDM7', 13835),
(13836, 'cd14441', NULL, 'AlgX_N', NULL, NULL, 'AlgX_N', 13836),
(13837, 'cd12367', NULL, 'RRM2_RBM45', NULL, NULL, 'RRM2_RBM45', 13837),
(13838, 'cd19063', NULL, 'LGIC_TM_5-HT3', NULL, NULL, 'LGIC_TM_5-HT3', 13838),
(13839, 'cd15680', NULL, 'PHD_JADE2', NULL, NULL, 'PHD_JADE2', 13839),
(13840, 'cd17997', NULL, 'DEXHc_SMARCA1_SMARCA5', NULL, NULL, 'DEXHc_SMARCA1_SMARCA5', 13840),
(13841, 'sd00046', NULL, 'FHA_bHelix', NULL, NULL, 'FHA_bHelix', 13841),
(13842, 'cd15021', NULL, '7tm_TAS2R10', NULL, NULL, '7tm_TAS2R10', 13842),
(13843, 'cd11718', NULL, 'THUMP_SPOUT', NULL, NULL, 'THUMP_SPOUT', 13843),
(13844, 'cd17177', NULL, 'FERM_F0_SHANK3', NULL, NULL, 'FERM_F0_SHANK3', 13844),
(13845, 'cd07129', NULL, 'ALDH_KGSADH', NULL, NULL, 'ALDH_KGSADH', 13845),
(13846, 'cd13861', NULL, 'CuRO_1_CumA_like', NULL, NULL, 'CuRO_1_CumA_like', 13846),
(13847, 'cd01867', NULL, 'Rab8_Rab10_Rab13_like', NULL, NULL, 'Rab8_Rab10_Rab13_like', 13847),
(13848, 'cd08457', NULL, 'PBP2_OccR', NULL, NULL, 'PBP2_OccR', 13848),
(13849, 'cd12936', NULL, 'GUCT_RHII_Gualpha_beta', NULL, NULL, 'GUCT_RHII_Gualpha_beta', 13849),
(13850, 'cd17319', NULL, 'MFS_ExuT_GudP_like', NULL, NULL, 'MFS_ExuT_GudP_like', 13850),
(13851, 'cd07250', NULL, 'HPPD_C_like', NULL, NULL, 'HPPD_C_like', 13851),
(13852, 'cd19890', NULL, 'DSRM_TARBP2_rpt1', NULL, NULL, 'DSRM_TARBP2_rpt1', 13852),
(13853, 'cd01034', NULL, 'EriC_like', NULL, NULL, 'EriC_like', 13853),
(13854, 'cd21401', NULL, 'ZBD_cv_Nsp13-like', NULL, NULL, 'ZBD_cv_Nsp13-like', 13854),
(13855, 'cd13751', NULL, 'TGF_beta_GDF8_like', NULL, NULL, 'TGF_beta_GDF8_like', 13855),
(13856, 'cd16745', NULL, 'RING-HC_AtRMA_like', NULL, NULL, 'RING-HC_AtRMA_like', 13856),
(13857, 'cd19107', NULL, 'AKR_AKR1B1-19', NULL, NULL, 'AKR_AKR1B1-19', 13857),
(13858, 'cd06498', NULL, 'ACD_alphaB-crystallin_HspB5', NULL, NULL, 'ACD_alphaB-crystallin_HspB5', 13858),
(13859, 'cd06808', NULL, 'PLPDE_III', NULL, NULL, 'PLPDE_III', 13859),
(13860, 'cd18015', NULL, 'DEXHc_RecQ1', NULL, NULL, 'DEXHc_RecQ1', 13860),
(13861, 'cd00445', NULL, 'Uricase', NULL, NULL, 'Uricase', 13861),
(13862, 'cd10482', NULL, 'EphR_LBD_A4', NULL, NULL, 'EphR_LBD_A4', 13862),
(13863, 'cd17292', NULL, 'RMtype1_S_LlaA17I_TRD2-CR2_like', NULL, NULL, 'RMtype1_S_LlaA17I_TRD2-CR2_like', 13863),
(13864, 'cd15007', NULL, '7tmA_GPR75', NULL, NULL, '7tmA_GPR75', 13864),
(13865, 'cd04817', NULL, 'PA_VapT_like', NULL, NULL, 'PA_VapT_like', 13865),
(13866, 'cd00993', NULL, 'PBP2_ModA_like', NULL, NULL, 'PBP2_ModA_like', 13866),
(13867, 'cd11986', NULL, 'SH3_Stac3_1', NULL, NULL, 'SH3_Stac3_1', 13867),
(13868, 'cd06639', NULL, 'STKc_myosinIIIB_N', NULL, NULL, 'STKc_myosinIIIB_N', 13868),
(13869, 'cd08208', NULL, 'RLP_Photo', NULL, NULL, 'RLP_Photo', 13869),
(13870, 'cd02803', NULL, 'OYE_like_FMN_family', NULL, NULL, 'OYE_like_FMN_family', 13870),
(13871, 'cd08573', NULL, 'GDPD_GDE1', NULL, NULL, 'GDPD_GDE1', 13871),
(13872, 'cd13352', NULL, 'PH-GRAM2_TBC1D8B', NULL, NULL, 'PH-GRAM2_TBC1D8B', 13872),
(13873, 'cd18460', NULL, 'BACK_KLHL21', NULL, NULL, 'BACK_KLHL21', 13873),
(13874, 'cd10019', NULL, '14-3-3_sigma', NULL, NULL, '14-3-3_sigma', 13874),
(13875, 'cd18376', NULL, 'BTB_POZ_FIP2-like', NULL, NULL, 'BTB_POZ_FIP2-like', 13875),
(13876, 'cd16505', NULL, 'RING-HC_CYHR1', NULL, NULL, 'RING-HC_CYHR1', 13876);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(13877, 'cd21652', NULL, 'ORF4b_HKU4-CoV', NULL, NULL, 'ORF4b_HKU4-CoV', 13877),
(13878, 'cd17415', NULL, 'MFS_NPF3', NULL, NULL, 'MFS_NPF3', 13878),
(13879, 'cd09759', NULL, 'Cas6_I-A', NULL, NULL, 'Cas6_I-A', 13879),
(13880, 'cd08443', NULL, 'PBP2_CysB', NULL, NULL, 'PBP2_CysB', 13880),
(13881, 'cd10031', NULL, 'UDG-F5_TTUDGB_like', NULL, NULL, 'UDG-F5_TTUDGB_like', 13881),
(13882, 'cd14246', NULL, 'ADAM17_MPD', NULL, NULL, 'ADAM17_MPD', 13882),
(13883, 'cd07808', NULL, 'FGGY_D-XK_EcXK-like', NULL, NULL, 'FGGY_D-XK_EcXK-like', 13883),
(13884, 'cd17439', NULL, 'MFS_SV2A', NULL, NULL, 'MFS_SV2A', 13884),
(13885, 'cd07859', NULL, 'STKc_TDY_MAPK', NULL, NULL, 'STKc_TDY_MAPK', 13885),
(13886, 'cd05525', NULL, 'Bromo_ASH1', NULL, NULL, 'Bromo_ASH1', 13886),
(13887, 'cd07995', NULL, 'TPK', NULL, NULL, 'TPK', 13887),
(13888, 'cd12362', NULL, 'RRM3_CELF1-6', NULL, NULL, 'RRM3_CELF1-6', 13888),
(13889, 'cd13264', NULL, 'PH_ITSN', NULL, NULL, 'PH_ITSN', 13889),
(13890, 'cd03030', NULL, 'GRX_SH3BGR', NULL, NULL, 'GRX_SH3BGR', 13890),
(13891, 'cd17498', NULL, 'RMtype1_S_Aco12261I-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_Aco12261I-TRD1-CR1_like', 13891),
(13892, 'cd11408', NULL, 'bHLH-O_HELT', NULL, NULL, 'bHLH-O_HELT', 13892),
(13893, 'cd09004', NULL, 'GH43_bXyl-like', NULL, NULL, 'GH43_bXyl-like', 13893),
(13894, 'cd15776', NULL, 'FYVE2_PCLO', NULL, NULL, 'FYVE2_PCLO', 13894),
(13895, 'cd13294', NULL, 'PH_ORP_plant', NULL, NULL, 'PH_ORP_plant', 13895),
(13896, 'cd09741', NULL, 'Csx1_III-U', NULL, NULL, 'Csx1_III-U', 13896),
(13897, 'cd07122', NULL, 'ALDH_F20_ACDH', NULL, NULL, 'ALDH_F20_ACDH', 13897),
(13898, 'cd14067', NULL, 'STKc_LRRK1', NULL, NULL, 'STKc_LRRK1', 13898),
(13899, 'cd05608', NULL, 'STKc_GRK1', NULL, NULL, 'STKc_GRK1', 13899),
(13900, 'cd16241', NULL, 'EFh_SPARC_SMOC2', NULL, NULL, 'EFh_SPARC_SMOC2', 13900),
(13901, 'cd07774', NULL, 'FGGY_1', NULL, NULL, 'FGGY_1', 13901),
(13902, 'cd16184', NULL, 'EFh_PEF_peflin', NULL, NULL, 'EFh_PEF_peflin', 13902),
(13903, 'cd15110', NULL, '7tmA_MrgprH', NULL, NULL, '7tmA_MrgprH', 13903),
(13904, 'cd18316', NULL, 'BTB_POZ_KCTD-like', NULL, NULL, 'BTB_POZ_KCTD-like', 13904),
(13905, 'cd02334', NULL, 'ZZ_dystrophin', NULL, NULL, 'ZZ_dystrophin', 13905),
(13906, 'cd19008', NULL, 'LGIC_ECD_GABAR_RDL-like', NULL, NULL, 'LGIC_ECD_GABAR_RDL-like', 13906),
(13907, 'cd01161', NULL, 'VLCAD', NULL, NULL, 'VLCAD', 13907),
(13908, 'cd17100', NULL, 'FERM_F1_PTPN3_like', NULL, NULL, 'FERM_F1_PTPN3_like', 13908),
(13909, 'cd16212', NULL, 'EFh_NorpA_like', NULL, NULL, 'EFh_NorpA_like', 13909),
(13910, 'cd13632', NULL, 'PBP2_Aa-PDT_like', NULL, NULL, 'PBP2_Aa-PDT_like', 13910),
(13911, 'cd13319', NULL, 'PH_RARhoGAP', NULL, NULL, 'PH_RARhoGAP', 13911),
(13912, 'cd14009', NULL, 'STKc_ATG1_ULK_like', NULL, NULL, 'STKc_ATG1_ULK_like', 13912),
(13913, 'cd18388', NULL, 'BTB_POZ_KCTD15', NULL, NULL, 'BTB_POZ_KCTD15', 13913),
(13914, 'cd01193', NULL, 'INT_IntI_C', NULL, NULL, 'INT_IntI_C', 13914),
(13915, 'cd12116', NULL, 'A_NRPS_Ta1_like', NULL, NULL, 'A_NRPS_Ta1_like', 13915),
(13916, 'cd20245', NULL, 'humanin', NULL, NULL, 'humanin', 13916),
(13917, 'cd02777', NULL, 'MopB_CT_DMSOR-like', NULL, NULL, 'MopB_CT_DMSOR-like', 13917),
(13918, 'cd14597', NULL, 'PTPc-N13', NULL, NULL, 'PTPc-N13', 13918),
(13919, 'cd09348', NULL, 'LIM4_FHL1', NULL, NULL, 'LIM4_FHL1', 13919),
(13920, 'cd16247', NULL, 'EFh_UTRO', NULL, NULL, 'EFh_UTRO', 13920),
(13921, 'cd09588', NULL, 'SAM_LBP1', NULL, NULL, 'SAM_LBP1', 13921),
(13922, 'cd00152', NULL, 'PTX', NULL, NULL, 'PTX', 13922),
(13923, 'cd00762', NULL, 'NAD_bind_malic_enz', NULL, NULL, 'NAD_bind_malic_enz', 13923),
(13924, 'cd08774', NULL, '14-3-3', NULL, NULL, '14-3-3', 13924),
(13925, 'cd15226', NULL, '7tmA_OR4-like', NULL, NULL, '7tmA_OR4-like', 13925),
(13926, 'cd09375', NULL, 'LIM2_Lhx1_Lhx5', NULL, NULL, 'LIM2_Lhx1_Lhx5', 13926),
(13927, 'cd02847', NULL, 'E_set_Chitobiase_C', NULL, NULL, 'E_set_Chitobiase_C', 13927),
(13928, 'cd05346', NULL, 'SDR_c5', NULL, NULL, 'SDR_c5', 13928),
(13929, 'cd13720', NULL, 'PBP2_iGluR_NMDA_Nr3', NULL, NULL, 'PBP2_iGluR_NMDA_Nr3', 13929);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(13930, 'cd05398', NULL, 'NT_ClassII-CCAase', NULL, NULL, 'NT_ClassII-CCAase', 13930),
(13931, 'cd05150', NULL, 'APH', NULL, NULL, 'APH', 13931),
(13932, 'cd08554', NULL, 'Cyt_b561', NULL, NULL, 'Cyt_b561', 13932),
(13933, 'cd16154', NULL, 'sulfatase_like', NULL, NULL, 'sulfatase_like', 13933),
(13934, 'cd08559', NULL, 'GDPD_periplasmic_GlpQ_like', NULL, NULL, 'GDPD_periplasmic_GlpQ_like', 13934),
(13935, 'cd14539', NULL, 'PTP-N23', NULL, NULL, 'PTP-N23', 13935),
(13936, 'cd19022', NULL, 'LGIC_ECD_nAChR_A9', NULL, NULL, 'LGIC_ECD_nAChR_A9', 13936),
(13937, 'cd03409', NULL, 'Chelatase_Class_II', NULL, NULL, 'Chelatase_Class_II', 13937),
(13938, 'cd19103', NULL, 'AKR_unchar', NULL, NULL, 'AKR_unchar', 13938),
(13939, 'cd07180', NULL, 'RNase_HII_archaea_like', NULL, NULL, 'RNase_HII_archaea_like', 13939),
(13940, 'cd14621', NULL, 'R-PTPc-A-1', NULL, NULL, 'R-PTPc-A-1', 13940),
(13941, 'cd05873', NULL, 'Ig_Sema4D_like', NULL, NULL, 'Ig_Sema4D_like', 13941),
(13942, 'cd08580', NULL, 'GDPD_Rv2277c_like', NULL, NULL, 'GDPD_Rv2277c_like', 13942),
(13943, 'cd04926', NULL, 'ACT_ACR_4', NULL, NULL, 'ACT_ACR_4', 13943),
(13944, 'cd17515', NULL, 'RMtype1_S_MjaORF132P_Sau1132ORF3780P-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_MjaORF132P_Sau1132ORF3780P-TRD1-CR1_like', 13944),
(13945, 'cd12871', NULL, 'Bacuni_01323_like', NULL, NULL, 'Bacuni_01323_like', 13945),
(13946, 'cd08944', NULL, 'SDR_c12', NULL, NULL, 'SDR_c12', 13946),
(13947, 'cd14087', NULL, 'STKc_PSKH1', NULL, NULL, 'STKc_PSKH1', 13947),
(13948, 'cd14346', NULL, 'UBA_Ubx5_like', NULL, NULL, 'UBA_Ubx5_like', 13948),
(13949, 'cd11635', NULL, 'HR1_PKN2_3', NULL, NULL, 'HR1_PKN2_3', 13949),
(13950, 'cd17457', NULL, 'MFS_SLCO1B_OATP1B', NULL, NULL, 'MFS_SLCO1B_OATP1B', 13950),
(13951, 'cd02784', NULL, 'MopB_CT_PHLH', NULL, NULL, 'MopB_CT_PHLH', 13951),
(13952, 'cd13579', NULL, 'PBP2_Bug_NagM', NULL, NULL, 'PBP2_Bug_NagM', 13952),
(13953, 'cd15108', NULL, '7tmA_MrgprD', NULL, NULL, '7tmA_MrgprD', 13953),
(13954, 'cd17668', NULL, 'R-PTPc-Z-1', NULL, NULL, 'R-PTPc-Z-1', 13954),
(13955, 'cd02198', NULL, 'YjgH_like', NULL, NULL, 'YjgH_like', 13955),
(13956, 'cd19387', NULL, 'TGF_beta_univin', NULL, NULL, 'TGF_beta_univin', 13956),
(13957, 'cd12549', NULL, 'RRM_Set1B', NULL, NULL, 'RRM_Set1B', 13957),
(13958, 'cd13562', NULL, 'PBP2_SsuA_like_5', NULL, NULL, 'PBP2_SsuA_like_5', 13958),
(13959, 'cd04085', NULL, 'delta_endotoxin_C', NULL, NULL, 'delta_endotoxin_C', 13959),
(13960, 'cd07546', NULL, 'P-type_ATPase_Pb_Zn_Cd2-like', NULL, NULL, 'P-type_ATPase_Pb_Zn_Cd2-like', 13960),
(13961, 'cd10798', NULL, 'GH57N_like_1', NULL, NULL, 'GH57N_like_1', 13961),
(13962, 'cd18553', NULL, 'ABC_6TM_PglK_like', NULL, NULL, 'ABC_6TM_PglK_like', 13962),
(13963, 'cd14396', NULL, 'UBA_XtBIRC7_like', NULL, NULL, 'UBA_XtBIRC7_like', 13963),
(13964, 'cd18995', NULL, 'LGIC_AChBP', NULL, NULL, 'LGIC_AChBP', 13964),
(13965, 'cd14178', NULL, 'STKc_RSK3_C', NULL, NULL, 'STKc_RSK3_C', 13965),
(13966, 'cd05027', NULL, 'S-100B', NULL, NULL, 'S-100B', 13966),
(13967, 'cd15442', NULL, '7tmB2_GPR97', NULL, NULL, '7tmB2_GPR97', 13967),
(13968, 'cd12712', NULL, 'RRM_TNRC6B', NULL, NULL, 'RRM_TNRC6B', 13968),
(13969, 'cd08903', NULL, 'START_STARD5-like', NULL, NULL, 'START_STARD5-like', 13969),
(13970, 'cd00231', NULL, 'ZipA', NULL, NULL, 'ZipA', 13970),
(13971, 'cd08736', NULL, 'RGS_RhoGEF-like', NULL, NULL, 'RGS_RhoGEF-like', 13971),
(13972, 'cd01482', NULL, 'vWA_collagen_alphaI-XII-like', NULL, NULL, 'vWA_collagen_alphaI-XII-like', 13972),
(13973, 'cd14638', NULL, 'DSP_DUSP1', NULL, NULL, 'DSP_DUSP1', 13973),
(13974, 'cd01135', NULL, 'V_A-ATPase_B', NULL, NULL, 'V_A-ATPase_B', 13974),
(13975, 'cd08373', NULL, 'C2A_Ferlin', NULL, NULL, 'C2A_Ferlin', 13975),
(13976, 'cd11663', NULL, 'GH119_BcIgtZ-like', NULL, NULL, 'GH119_BcIgtZ-like', 13976),
(13977, 'cd05662', NULL, 'M28_like', NULL, NULL, 'M28_like', 13977),
(13978, 'cd05905', NULL, 'Dip2', NULL, NULL, 'Dip2', 13978),
(13979, 'cd07110', NULL, 'ALDH_F10_BADH', NULL, NULL, 'ALDH_F10_BADH', 13979),
(13980, 'cd19997', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 13980);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(13981, 'cd14601', NULL, 'PTPc-N4', NULL, NULL, 'PTPc-N4', 13981),
(13982, 'cd06413', NULL, 'GH25_muramidase_1', NULL, NULL, 'GH25_muramidase_1', 13982),
(13983, 'cd06958', NULL, 'NR_DBD_COUP_TF', NULL, NULL, 'NR_DBD_COUP_TF', 13983),
(13984, 'cd18464', NULL, 'BACK_KLHL25_like', NULL, NULL, 'BACK_KLHL25_like', 13984),
(13985, 'cd19858', NULL, 'DSRM_STAU_rpt2', NULL, NULL, 'DSRM_STAU_rpt2', 13985),
(13986, 'cd04448', NULL, 'DEP_PIKfyve', NULL, NULL, 'DEP_PIKfyve', 13986),
(13987, 'cd18522', NULL, 'BACK_BTBD1', NULL, NULL, 'BACK_BTBD1', 13987),
(13988, 'cd01480', NULL, 'vWA_collagen_alpha_1-VI-type', NULL, NULL, 'vWA_collagen_alpha_1-VI-type', 13988),
(13989, 'sd00016', NULL, 'Apc5', NULL, NULL, 'Apc5', 13989),
(13990, 'cd02575', NULL, 'PseudoU_synth_EcTruD', NULL, NULL, 'PseudoU_synth_EcTruD', 13990),
(13991, 'cd03329', NULL, 'MR_like_4', NULL, NULL, 'MR_like_4', 13991),
(13992, 'cd12704', NULL, 'RRM4_hnRNPL', NULL, NULL, 'RRM4_hnRNPL', 13992),
(13993, 'cd12930', NULL, 'GAT_SF', NULL, NULL, 'GAT_SF', 13993),
(13994, 'cd06315', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 13994),
(13995, 'cd18239', NULL, 'BTB_POZ_KLHL9_13', NULL, NULL, 'BTB_POZ_KLHL9_13', 13995),
(13996, 'cd03336', NULL, 'TCP1_beta', NULL, NULL, 'TCP1_beta', 13996),
(13997, 'cd12172', NULL, 'PGDH_like_2', NULL, NULL, 'PGDH_like_2', 13997),
(13998, 'cd18037', NULL, 'DEXSc_Pif1_like', NULL, NULL, 'DEXSc_Pif1_like', 13998),
(13999, 'cd07094', NULL, 'ALDH_F21_LactADH-like', NULL, NULL, 'ALDH_F21_LactADH-like', 13999),
(14000, 'cd08066', NULL, 'MPN_AMSH_like', NULL, NULL, 'MPN_AMSH_like', 14000),
(14001, 'cd21641', NULL, 'ORF8-Ig_SARS-CoV-2-like', NULL, NULL, 'ORF8-Ig_SARS-CoV-2-like', 14001),
(14002, 'cd06353', NULL, 'PBP1_Med-like', NULL, NULL, 'PBP1_Med-like', 14002),
(14003, 'cd19048', NULL, 'LGIC_ECD_GABAAR_rho3', NULL, NULL, 'LGIC_ECD_GABAAR_rho3', 14003),
(14004, 'cd06150', NULL, 'YjgF_YER057c_UK114_like_2', NULL, NULL, 'YjgF_YER057c_UK114_like_2', 14004),
(14005, 'cd02040', NULL, 'NifH', NULL, NULL, 'NifH', 14005),
(14006, 'cd02984', NULL, 'TRX_PICOT', NULL, NULL, 'TRX_PICOT', 14006),
(14007, 'cd21564', NULL, 'alphaCoV_M', NULL, NULL, 'alphaCoV_M', 14007),
(14008, 'cd15679', NULL, 'PHD_JADE1', NULL, NULL, 'PHD_JADE1', 14008),
(14009, 'cd18736', NULL, 'PIN_CcVapC1-like', NULL, NULL, 'PIN_CcVapC1-like', 14009),
(14010, 'cd14759', NULL, 'GS_GGDEF_2', NULL, NULL, 'GS_GGDEF_2', 14010),
(14011, 'cd08911', NULL, 'START_STARD7-like', NULL, NULL, 'START_STARD7-like', 14011),
(14012, 'cd02672', NULL, 'Peptidase_C19P', NULL, NULL, 'Peptidase_C19P', 14012),
(14013, 'cd14884', NULL, 'MYSc_Myo23', NULL, NULL, 'MYSc_Myo23', 14013),
(14014, 'cd18587', NULL, 'ABC_6TM_LapB_like', NULL, NULL, 'ABC_6TM_LapB_like', 14014),
(14015, 'cd01981', NULL, 'Pchlide_reductase_B', NULL, NULL, 'Pchlide_reductase_B', 14015),
(14016, 'cd07574', NULL, 'nitrilase_Rim1_like', NULL, NULL, 'nitrilase_Rim1_like', 14016),
(14017, 'cd06859', NULL, 'PX_SNX1_2_like', NULL, NULL, 'PX_SNX1_2_like', 14017),
(14018, 'cd09295', NULL, 'Sema', NULL, NULL, 'Sema', 14018),
(14019, 'cd08177', NULL, 'MAR', NULL, NULL, 'MAR', 14019),
(14020, 'cd03588', NULL, 'CLECT_CSPGs', NULL, NULL, 'CLECT_CSPGs', 14020),
(14021, 'cd04511', NULL, 'Nudix_Hydrolase_4', NULL, NULL, 'Nudix_Hydrolase_4', 14021),
(14022, 'cd12689', NULL, 'RRM1_hnRNPL_like', NULL, NULL, 'RRM1_hnRNPL_like', 14022),
(14023, 'cd15076', NULL, '7tmA_SWS1_opsin', NULL, NULL, '7tmA_SWS1_opsin', 14023),
(14024, 'cd08521', NULL, 'C2A_SLP', NULL, NULL, 'C2A_SLP', 14024),
(14025, 'cd12385', NULL, 'RRM1_hnRNPM_like', NULL, NULL, 'RRM1_hnRNPM_like', 14025),
(14026, 'cd04782', NULL, 'HTH_BltR', NULL, NULL, 'HTH_BltR', 14026),
(14027, 'cd04494', NULL, 'BRCA2DBD_OB2', NULL, NULL, 'BRCA2DBD_OB2', 14027),
(14028, 'cd05500', NULL, 'Bromo_BDF1_2_I', NULL, NULL, 'Bromo_BDF1_2_I', 14028),
(14029, 'cd20609', NULL, 'nitroreductase', NULL, NULL, 'nitroreductase', 14029),
(14030, 'cd11656', NULL, 'FBX4_GTPase_like', NULL, NULL, 'FBX4_GTPase_like', 14030),
(14031, 'cd12424', NULL, 'RRM3_hnRNPL_like', NULL, NULL, 'RRM3_hnRNPL_like', 14031);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(14032, 'cd00704', NULL, 'MDH', NULL, NULL, 'MDH', 14032),
(14033, 'cd03743', NULL, 'SOCS_SSB4', NULL, NULL, 'SOCS_SSB4', 14033),
(14034, 'cd05968', NULL, 'AACS_like', NULL, NULL, 'AACS_like', 14034),
(14035, 'cd15516', NULL, 'PHD2_KDM5A_like', NULL, NULL, 'PHD2_KDM5A_like', 14035),
(14036, 'cd07700', NULL, 'IgV_CD8_beta', NULL, NULL, 'IgV_CD8_beta', 14036),
(14037, 'cd07868', NULL, 'STKc_CDK8', NULL, NULL, 'STKc_CDK8', 14037),
(14038, 'cd08744', NULL, 'RGS_RGS17', NULL, NULL, 'RGS_RGS17', 14038),
(14039, 'cd04895', NULL, 'ACT_ACR_1', NULL, NULL, 'ACT_ACR_1', 14039),
(14040, 'cd02045', NULL, 'serpinC1_AT3', NULL, NULL, 'serpinC1_AT3', 14040),
(14041, 'cd06084', NULL, 'KOW_Spt5_4', NULL, NULL, 'KOW_Spt5_4', 14041),
(14042, 'cd19348', NULL, 'Wnt_Wnt5b', NULL, NULL, 'Wnt_Wnt5b', 14042),
(14043, 'cd07179', NULL, '2DBD_NR_DBD2', NULL, NULL, '2DBD_NR_DBD2', 14043),
(14044, 'cd01725', NULL, 'LSm2', NULL, NULL, 'LSm2', 14044),
(14045, 'cd09077', NULL, 'R1-I-EN', NULL, NULL, 'R1-I-EN', 14045),
(14046, 'cd18361', NULL, 'BTB_POZ_KCTD1-like', NULL, NULL, 'BTB_POZ_KCTD1-like', 14046),
(14047, 'cd15053', NULL, '7tmA_D2-like_dopamine_R', NULL, NULL, '7tmA_D2-like_dopamine_R', 14047),
(14048, 'cd11007', NULL, 'M35_like_1', NULL, NULL, 'M35_like_1', 14048),
(14049, 'cd17676', NULL, 'SWIB_BAF60C', NULL, NULL, 'SWIB_BAF60C', 14049),
(14050, 'cd09923', NULL, 'SH2_SOCS_family', NULL, NULL, 'SH2_SOCS_family', 14050),
(14051, 'cd04691', NULL, 'Nudix_Hydrolase_32', NULL, NULL, 'Nudix_Hydrolase_32', 14051),
(14052, 'cd07158', NULL, 'NR_DBD_Ppar_like', NULL, NULL, 'NR_DBD_Ppar_like', 14052),
(14053, 'cd11722', NULL, 'SOAR', NULL, NULL, 'SOAR', 14053),
(14054, 'cd17144', NULL, 'DCX2_DCLK2', NULL, NULL, 'DCX2_DCLK2', 14054),
(14055, 'cd07433', NULL, 'PHP_PolIIIA_DnaE1', NULL, NULL, 'PHP_PolIIIA_DnaE1', 14055),
(14056, 'cd01642', NULL, 'Arch_FBPase_2', NULL, NULL, 'Arch_FBPase_2', 14056),
(14057, 'cd11968', NULL, 'SH3_SASH3', NULL, NULL, 'SH3_SASH3', 14057),
(14058, 'cd01217', NULL, 'PTB_CG12581', NULL, NULL, 'PTB_CG12581', 14058),
(14059, 'cd18926', NULL, 'bHLHzip_MITF', NULL, NULL, 'bHLHzip_MITF', 14059),
(14060, 'cd08677', NULL, 'C2A_Synaptotagmin-13', NULL, NULL, 'C2A_Synaptotagmin-13', 14060),
(14061, 'cd14048', NULL, 'STKc_EIF2AK3_PERK', NULL, NULL, 'STKc_EIF2AK3_PERK', 14061),
(14062, 'cd02877', NULL, 'GH18_hevamine_XipI_class_III', NULL, NULL, 'GH18_hevamine_XipI_class_III', 14062),
(14063, 'cd19691', NULL, 'bHLH_dnHLH_ID1', NULL, NULL, 'bHLH_dnHLH_ID1', 14063),
(14064, 'cd05765', NULL, 'Ig_3', NULL, NULL, 'Ig_3', 14064),
(14065, 'cd13715', NULL, 'PBP2_iGluR_AMPA', NULL, NULL, 'PBP2_iGluR_AMPA', 14065),
(14066, 'cd16400', NULL, 'ParB_Srx_like_nuclease', NULL, NULL, 'ParB_Srx_like_nuclease', 14066),
(14067, 'cd01702', NULL, 'PolY_Pol_eta', NULL, NULL, 'PolY_Pol_eta', 14067),
(14068, 'cd03257', NULL, 'ABC_NikE_OppD_transporters', NULL, NULL, 'ABC_NikE_OppD_transporters', 14068),
(14069, 'cd15074', NULL, '7tmA_Opsin5_neuropsin', NULL, NULL, '7tmA_Opsin5_neuropsin', 14069),
(14070, 'cd06319', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 14070),
(14071, 'cd07344', NULL, 'M48_yhfN_like', NULL, NULL, 'M48_yhfN_like', 14071),
(14072, 'cd09674', NULL, 'Cas6_I-F', NULL, NULL, 'Cas6_I-F', 14072),
(14073, 'cd06481', NULL, 'ACD_HspB9_like', NULL, NULL, 'ACD_HspB9_like', 14073),
(14074, 'cd17933', NULL, 'DEXSc_RecD-like', NULL, NULL, 'DEXSc_RecD-like', 14074),
(14075, 'cd08254', NULL, 'hydroxyacyl_CoA_DH', NULL, NULL, 'hydroxyacyl_CoA_DH', 14075),
(14076, 'cd09540', NULL, 'SAM_EPS8-like', NULL, NULL, 'SAM_EPS8-like', 14076),
(14077, 'cd17507', NULL, 'GT28_Beta-DGS-like', NULL, NULL, 'GT28_Beta-DGS-like', 14077),
(14078, 'cd08209', NULL, 'RLP_DK-MTP-1-P-enolase', NULL, NULL, 'RLP_DK-MTP-1-P-enolase', 14078),
(14079, 'cd08415', NULL, 'PBP2_LysR_opines_like', NULL, NULL, 'PBP2_LysR_opines_like', 14079),
(14080, 'cd09250', NULL, 'AP-1_Mu1_Cterm', NULL, NULL, 'AP-1_Mu1_Cterm', 14080),
(14081, 'cd01049', NULL, 'RNRR2', NULL, NULL, 'RNRR2', 14081),
(14082, 'cd04443', NULL, 'DEP_GPR155', NULL, NULL, 'DEP_GPR155', 14082);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(14083, 'cd14024', NULL, 'PK_TRB3', NULL, NULL, 'PK_TRB3', 14083),
(14084, 'cd18580', NULL, 'ABC_6TM_ABCC_D2', NULL, NULL, 'ABC_6TM_ABCC_D2', 14084),
(14085, 'cd08463', NULL, 'PBP2_DntR_like_4', NULL, NULL, 'PBP2_DntR_like_4', 14085),
(14086, 'cd07220', NULL, 'Pat_PNPLA2', NULL, NULL, 'Pat_PNPLA2', 14086),
(14087, 'cd06190', NULL, 'T4MO_e_transfer_like', NULL, NULL, 'T4MO_e_transfer_like', 14087),
(14088, 'cd06108', NULL, 'Ec2MCS_like', NULL, NULL, 'Ec2MCS_like', 14088),
(14089, 'cd16496', NULL, 'RING-HC_BARD1', NULL, NULL, 'RING-HC_BARD1', 14089),
(14090, 'cd14316', NULL, 'UBA2_UBAP1_like', NULL, NULL, 'UBA2_UBAP1_like', 14090),
(14091, 'cd17663', NULL, 'PFA-DSP_Oca6', NULL, NULL, 'PFA-DSP_Oca6', 14091),
(14092, 'cd05863', NULL, 'Ig_VEGFR-3', NULL, NULL, 'Ig_VEGFR-3', 14092),
(14093, 'cd11673', NULL, 'hemoglobin_linker_C', NULL, NULL, 'hemoglobin_linker_C', 14093),
(14094, 'cd12674', NULL, 'RRM1_Nop4p', NULL, NULL, 'RRM1_Nop4p', 14094),
(14095, 'cd15184', NULL, '7tmA_CCR5_CCR2', NULL, NULL, '7tmA_CCR5_CCR2', 14095),
(14096, 'cd03864', NULL, 'M14_CPN', NULL, NULL, 'M14_CPN', 14096),
(14097, 'cd11850', NULL, 'SH3_Abl', NULL, NULL, 'SH3_Abl', 14097),
(14098, 'cd17224', NULL, 'RA_ASPP1', NULL, NULL, 'RA_ASPP1', 14098),
(14099, 'cd06235', NULL, 'M14_AGTPBP-like', NULL, NULL, 'M14_AGTPBP-like', 14099),
(14100, 'cd01712', NULL, 'ThiI', NULL, NULL, 'ThiI', 14100),
(14101, 'cd10327', NULL, 'SLC5sbd_PanF', NULL, NULL, 'SLC5sbd_PanF', 14101),
(14102, 'cd10952', NULL, 'CE4_MrCDA_like', NULL, NULL, 'CE4_MrCDA_like', 14102),
(14103, 'cd14965', NULL, '7tm_Opsins_type1', NULL, NULL, '7tm_Opsins_type1', 14103),
(14104, 'cd05148', NULL, 'PTKc_Srm_Brk', NULL, NULL, 'PTKc_Srm_Brk', 14104),
(14105, 'cd13272', NULL, 'PH_INPP4A_INPP4B', NULL, NULL, 'PH_INPP4A_INPP4B', 14105),
(14106, 'cd12785', NULL, 'RRM2_hnRNPL', NULL, NULL, 'RRM2_hnRNPL', 14106),
(14107, 'cd16174', NULL, 'EFh_MICU2', NULL, NULL, 'EFh_MICU2', 14107),
(14108, 'cd08646', NULL, 'FMT_core_Met-tRNA-FMT_N', NULL, NULL, 'FMT_core_Met-tRNA-FMT_N', 14108),
(14109, 'cd01433', NULL, 'Ribosomal_L16_L10e', NULL, NULL, 'Ribosomal_L16_L10e', 14109),
(14110, 'cd14171', NULL, 'STKc_MAPKAPK5', NULL, NULL, 'STKc_MAPKAPK5', 14110),
(14111, 'cd19884', NULL, 'DSRM_STAU2_rpt3', NULL, NULL, 'DSRM_STAU2_rpt3', 14111),
(14112, 'cd19417', NULL, 'lipocalin_C8gamma', NULL, NULL, 'lipocalin_C8gamma', 14112),
(14113, 'cd11475', NULL, 'SLC5sbd_PutP', NULL, NULL, 'SLC5sbd_PutP', 14113),
(14114, 'cd15348', NULL, '7tmA_S1PR5_Edg8', NULL, NULL, '7tmA_S1PR5_Edg8', 14114),
(14115, 'cd13370', NULL, 'PH_GAP1m_mammal-like', NULL, NULL, 'PH_GAP1m_mammal-like', 14115),
(14116, 'cd01381', NULL, 'MYSc_Myo7', NULL, NULL, 'MYSc_Myo7', 14116),
(14117, 'cd07182', NULL, 'RNase_HII_bacteria_HII_like', NULL, NULL, 'RNase_HII_bacteria_HII_like', 14117),
(14118, 'cd04199', NULL, 'CuRO_1_ceruloplasmin_like', NULL, NULL, 'CuRO_1_ceruloplasmin_like', 14118),
(14119, 'cd07490', NULL, 'Peptidases_S8_6', NULL, NULL, 'Peptidases_S8_6', 14119),
(14120, 'cd09983', NULL, 'LOTUS_7_Limkain_b1', NULL, NULL, 'LOTUS_7_Limkain_b1', 14120),
(14121, 'cd14412', NULL, 'UBA_DCNL2', NULL, NULL, 'UBA_DCNL2', 14121),
(14122, 'cd12959', NULL, 'MMACHC-like', NULL, NULL, 'MMACHC-like', 14122),
(14123, 'cd15903', NULL, 'Dicer_PBD', NULL, NULL, 'Dicer_PBD', 14123),
(14124, 'cd19444', NULL, 'FABP1', NULL, NULL, 'FABP1', 14124),
(14125, 'cd18698', NULL, 'PIN_VapC_C-like', NULL, NULL, 'PIN_VapC_C-like', 14125),
(14126, 'cd01218', NULL, 'PH_Phafin2-like', NULL, NULL, 'PH_Phafin2-like', 14126),
(14127, 'cd02226', NULL, 'cupin_YdbB-like', NULL, NULL, 'cupin_YdbB-like', 14127),
(14128, 'cd02811', NULL, 'IDI-2_FMN', NULL, NULL, 'IDI-2_FMN', 14128),
(14129, 'cd11783', NULL, 'SH3_SH3RF_3', NULL, NULL, 'SH3_SH3RF_3', 14129),
(14130, 'cd14211', NULL, 'STKc_HIPK', NULL, NULL, 'STKc_HIPK', 14130),
(14131, 'cd02608', NULL, 'P-type_ATPase_Na-K_like', NULL, NULL, 'P-type_ATPase_Na-K_like', 14131),
(14132, 'cd05369', NULL, 'TER_DECR_SDR_a', NULL, NULL, 'TER_DECR_SDR_a', 14132),
(14133, 'cd10325', NULL, 'SLC5sbd_vSGLT', NULL, NULL, 'SLC5sbd_vSGLT', 14133);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(14134, 'cd12492', NULL, 'RRM2_RBM46', NULL, NULL, 'RRM2_RBM46', 14134),
(14135, 'cd12690', NULL, 'RRM3_PTBPH1_PTBPH2', NULL, NULL, 'RRM3_PTBPH1_PTBPH2', 14135),
(14136, 'cd15484', NULL, 'uS7_plant', NULL, NULL, 'uS7_plant', 14136),
(14137, 'cd15201', NULL, '7tmA_HCAR1-3', NULL, NULL, '7tmA_HCAR1-3', 14137),
(14138, 'cd00436', NULL, 'UP_TbUP-like', NULL, NULL, 'UP_TbUP-like', 14138),
(14139, 'cd06903', NULL, 'lectin_EMP46_EMP47', NULL, NULL, 'lectin_EMP46_EMP47', 14139),
(14140, 'cd18920', NULL, 'bHLH-O_HEY2', NULL, NULL, 'bHLH-O_HEY2', 14140),
(14141, 'cd00196', NULL, 'Ubiquitin_like_fold', NULL, NULL, 'Ubiquitin_like_fold', 14141),
(14142, 'cd00253', NULL, 'PL_Passenger_AT', NULL, NULL, 'PL_Passenger_AT', 14142),
(14143, 'cd06544', NULL, 'GH18_narbonin', NULL, NULL, 'GH18_narbonin', 14143),
(14144, 'cd00880', NULL, 'Era_like', NULL, NULL, 'Era_like', 14144),
(14145, 'cd00411', NULL, 'L-asparaginase_like', NULL, NULL, 'L-asparaginase_like', 14145),
(14146, 'cd12395', NULL, 'RRM2_RBM34', NULL, NULL, 'RRM2_RBM34', 14146),
(14147, 'cd14808', NULL, 'RAP_D3', NULL, NULL, 'RAP_D3', 14147),
(14148, 'cd01925', NULL, 'cyclophilin_CeCYP16-like', NULL, NULL, 'cyclophilin_CeCYP16-like', 14148),
(14149, 'cd16997', NULL, 'VHS_Tom1L1', NULL, NULL, 'VHS_Tom1L1', 14149),
(14150, 'cd17331', NULL, 'MFS_SLC22A18', NULL, NULL, 'MFS_SLC22A18', 14150),
(14151, 'cd13414', NULL, 'TNFRSF17', NULL, NULL, 'TNFRSF17', 14151),
(14152, 'cd13353', NULL, 'PH-GRAM2_TBC1D8', NULL, NULL, 'PH-GRAM2_TBC1D8', 14152),
(14153, 'cd16509', NULL, 'RING-HC_HLTF', NULL, NULL, 'RING-HC_HLTF', 14153),
(14154, 'cd15496', NULL, 'PHD_PHF7_G2E3_like', NULL, NULL, 'PHD_PHF7_G2E3_like', 14154),
(14155, 'cd08311', NULL, 'Death_p75NR', NULL, NULL, 'Death_p75NR', 14155),
(14156, 'cd12841', NULL, 'TM_EphA1', NULL, NULL, 'TM_EphA1', 14156),
(14157, 'cd02932', NULL, 'OYE_YqiM_FMN', NULL, NULL, 'OYE_YqiM_FMN', 14157),
(14158, 'cd00148', NULL, 'PROF', NULL, NULL, 'PROF', 14158),
(14159, 'cd06236', NULL, 'M14_AGBL5_like', NULL, NULL, 'M14_AGBL5_like', 14159),
(14160, 'cd16149', NULL, 'sulfatase_like', NULL, NULL, 'sulfatase_like', 14160),
(14161, 'cd16818', NULL, 'SP-RING_PIAS1', NULL, NULL, 'SP-RING_PIAS1', 14161),
(14162, 'cd19455', NULL, 'lipocalin_NP1', NULL, NULL, 'lipocalin_NP1', 14162),
(14163, 'cd13161', NULL, 'PTB_TK_HMTK', NULL, NULL, 'PTB_TK_HMTK', 14163),
(14164, 'cd06646', NULL, 'STKc_MAP4K5', NULL, NULL, 'STKc_MAP4K5', 14164),
(14165, 'cd16841', NULL, 'RraA_family', NULL, NULL, 'RraA_family', 14165),
(14166, 'cd03537', NULL, 'Rieske_RO_Alpha_PrnD', NULL, NULL, 'Rieske_RO_Alpha_PrnD', 14166),
(14167, 'cd09144', NULL, 'PLDc_vPLD3_1', NULL, NULL, 'PLDc_vPLD3_1', 14167),
(14168, 'cd18052', NULL, 'DEADc_DDX4', NULL, NULL, 'DEADc_DDX4', 14168),
(14169, 'cd18804', NULL, 'SF2_C_priA', NULL, NULL, 'SF2_C_priA', 14169),
(14170, 'cd01661', NULL, 'cbb3_Oxidase_I', NULL, NULL, 'cbb3_Oxidase_I', 14170),
(14171, 'cd13189', NULL, 'FERM_C_PTPN4_PTPN3_like', NULL, NULL, 'FERM_C_PTPN4_PTPN3_like', 14171),
(14172, 'cd05497', NULL, 'Bromo_Brdt_I_like', NULL, NULL, 'Bromo_Brdt_I_like', 14172),
(14173, 'cd07370', NULL, 'HPCD', NULL, NULL, 'HPCD', 14173),
(14174, 'cd13969', NULL, 'ADCK1-like', NULL, NULL, 'ADCK1-like', 14174),
(14175, 'cd09400', NULL, 'LIM_like_1', NULL, NULL, 'LIM_like_1', 14175),
(14176, 'cd09472', NULL, 'LIM2_Lhx3b', NULL, NULL, 'LIM2_Lhx3b', 14176),
(14177, 'cd15307', NULL, '7tmA_5-HT2_insect-like', NULL, NULL, '7tmA_5-HT2_insect-like', 14177),
(14178, 'cd03147', NULL, 'GATase1_Ydr533c_like', NULL, NULL, 'GATase1_Ydr533c_like', 14178),
(14179, 'cd03265', NULL, 'ABC_DrrA', NULL, NULL, 'ABC_DrrA', 14179),
(14180, 'cd20334', NULL, 'Cas13b', NULL, NULL, 'Cas13b', 14180),
(14181, 'cd03348', NULL, 'pro_PheOH', NULL, NULL, 'pro_PheOH', 14181),
(14182, 'cd04929', NULL, 'ACT_TPH', NULL, NULL, 'ACT_TPH', 14182),
(14183, 'cd03681', NULL, 'MM_CoA_mutase_MeaA', NULL, NULL, 'MM_CoA_mutase_MeaA', 14183),
(14184, 'cd14533', NULL, 'PTP-MTMR3-like', NULL, NULL, 'PTP-MTMR3-like', 14184),
(14185, 'cd09951', NULL, 'HERV-Rb-like_HR1-HR2', NULL, NULL, 'HERV-Rb-like_HR1-HR2', 14185);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(14186, 'cd04189', NULL, 'G1P_TT_long', NULL, NULL, 'G1P_TT_long', 14186),
(14187, 'cd18550', NULL, 'ABC_6TM_exporter_like', NULL, NULL, 'ABC_6TM_exporter_like', 14187),
(14188, 'cd06171', NULL, 'Sigma70_r4', NULL, NULL, 'Sigma70_r4', 14188),
(14189, 'cd06289', NULL, 'PBP1_MalI-like', NULL, NULL, 'PBP1_MalI-like', 14189),
(14190, 'cd06288', NULL, 'PBP1_sucrose_transcription_regulator', NULL, NULL, 'PBP1_sucrose_transcription_regulator', 14190),
(14191, 'cd16467', NULL, 'RING-H2_RNF6_like', NULL, NULL, 'RING-H2_RNF6_like', 14191),
(14192, 'cd09975', NULL, 'LOTUS_2_TDRD5', NULL, NULL, 'LOTUS_2_TDRD5', 14192),
(14193, 'cd18289', NULL, 'BTB_POZ_BTBD14A_NAC2', NULL, NULL, 'BTB_POZ_BTBD14A_NAC2', 14193),
(14194, 'cd15132', NULL, '7tmA_motilin_R', NULL, NULL, '7tmA_motilin_R', 14194),
(14195, 'cd13171', NULL, 'RanBD1_RanBP2_insect-like', NULL, NULL, 'RanBD1_RanBP2_insect-like', 14195),
(14196, 'cd07676', NULL, 'F-BAR_FBP17', NULL, NULL, 'F-BAR_FBP17', 14196),
(14197, 'cd01856', NULL, 'YlqF', NULL, NULL, 'YlqF', 14197),
(14198, 'cd15073', NULL, '7tmA_Peropsin', NULL, NULL, '7tmA_Peropsin', 14198),
(14199, 'cd16521', NULL, 'RING-HC_MKRN', NULL, NULL, 'RING-HC_MKRN', 14199),
(14200, 'cd13404', NULL, 'UreI_AmiS_like', NULL, NULL, 'UreI_AmiS_like', 14200),
(14201, 'cd18435', NULL, 'BRCT_BRC1_like_rpt1', NULL, NULL, 'BRCT_BRC1_like_rpt1', 14201),
(14202, 'cd06971', NULL, 'PgpA', NULL, NULL, 'PgpA', 14202),
(14203, 'cd16900', NULL, 'endolysin_R21-like', NULL, NULL, 'endolysin_R21-like', 14203),
(14204, 'cd14426', NULL, 'UBA1_HR23B', NULL, NULL, 'UBA1_HR23B', 14204),
(14205, 'cd07932', NULL, 'arginine_kinase_like', NULL, NULL, 'arginine_kinase_like', 14205),
(14206, 'cd12074', NULL, 'SH3_Tks5_1', NULL, NULL, 'SH3_Tks5_1', 14206),
(14207, 'cd12028', NULL, 'SH3_ZO-3', NULL, NULL, 'SH3_ZO-3', 14207),
(14208, 'cd15750', NULL, 'FYVE_CARP', NULL, NULL, 'FYVE_CARP', 14208),
(14209, 'cd08510', NULL, 'PBP2_Lactococcal_OppA_like', NULL, NULL, 'PBP2_Lactococcal_OppA_like', 14209),
(14210, 'cd19767', NULL, 'Bbox2_TRIM13_C-XI', NULL, NULL, 'Bbox2_TRIM13_C-XI', 14210),
(14211, 'cd15678', NULL, 'PHD_BRPF3', NULL, NULL, 'PHD_BRPF3', 14211),
(14212, 'cd07702', NULL, 'Ig_VEGFR-1', NULL, NULL, 'Ig_VEGFR-1', 14212),
(14213, 'cd10408', NULL, 'SH2_Nck1', NULL, NULL, 'SH2_Nck1', 14213),
(14214, 'cd17115', NULL, 'RA_RHG20', NULL, NULL, 'RA_RHG20', 14214),
(14215, 'cd13619', NULL, 'PBP2_GlnP', NULL, NULL, 'PBP2_GlnP', 14215),
(14216, 'cd03720', NULL, 'SOCS_ASB1', NULL, NULL, 'SOCS_ASB1', 14216),
(14217, 'cd04083', NULL, 'CBM35_Lmo2446-like', NULL, NULL, 'CBM35_Lmo2446-like', 14217),
(14218, 'cd12341', NULL, 'RRM_hnRNPC_like', NULL, NULL, 'RRM_hnRNPC_like', 14218),
(14219, 'cd19711', NULL, 'bHLH_TS_MIST1', NULL, NULL, 'bHLH_TS_MIST1', 14219),
(14220, 'cd07856', NULL, 'STKc_Sty1_Hog1', NULL, NULL, 'STKc_Sty1_Hog1', 14220),
(14221, 'cd20006', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 14221),
(14222, 'cd00195', NULL, 'UBCc', NULL, NULL, 'UBCc', 14222),
(14223, 'cd13756', NULL, 'TGF_beta_BMPs_GDFs', NULL, NULL, 'TGF_beta_BMPs_GDFs', 14223),
(14224, 'cd00817', NULL, 'ValRS_core', NULL, NULL, 'ValRS_core', 14224),
(14225, 'cd14894', NULL, 'MYSc_Myo33', NULL, NULL, 'MYSc_Myo33', 14225),
(14226, 'cd06333', NULL, 'PBP1_ABC_RPA1789-like', NULL, NULL, 'PBP1_ABC_RPA1789-like', 14226),
(14227, 'cd12793', NULL, 'RasGAP_plexin_B1', NULL, NULL, 'RasGAP_plexin_B1', 14227),
(14228, 'cd17653', NULL, 'A_NRPS_GliP_like', NULL, NULL, 'A_NRPS_GliP_like', 14228),
(14229, 'cd03702', NULL, 'IF2_mtIF2_II', NULL, NULL, 'IF2_mtIF2_II', 14229),
(14230, 'cd00045', NULL, 'DED', NULL, NULL, 'DED', 14230),
(14231, 'cd08557', NULL, 'PI-PLCc_bacteria_like', NULL, NULL, 'PI-PLCc_bacteria_like', 14231),
(14232, 'cd12214', NULL, 'ChiA1_BD', NULL, NULL, 'ChiA1_BD', 14232),
(14233, 'cd00923', NULL, 'Cyt_c_Oxidase_Va', NULL, NULL, 'Cyt_c_Oxidase_Va', 14233),
(14234, 'cd01143', NULL, 'YvrC', NULL, NULL, 'YvrC', 14234),
(14235, 'cd08377', NULL, 'C2C_MCTP_PRT', NULL, NULL, 'C2C_MCTP_PRT', 14235),
(14236, 'cd09926', NULL, 'SH2_CRK_like', NULL, NULL, 'SH2_CRK_like', 14236);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(14237, 'cd15681', NULL, 'PHD_JADE3', NULL, NULL, 'PHD_JADE3', 14237),
(14238, 'cd12386', NULL, 'RRM2_hnRNPM_like', NULL, NULL, 'RRM2_hnRNPM_like', 14238),
(14239, 'cd16626', NULL, 'RING-HC_RBR_HHARI', NULL, NULL, 'RING-HC_RBR_HHARI', 14239),
(14240, 'cd03445', NULL, 'Thioesterase_II_repeat2', NULL, NULL, 'Thioesterase_II_repeat2', 14240),
(14241, 'cd11858', NULL, 'SH3_Myosin-I_fungi', NULL, NULL, 'SH3_Myosin-I_fungi', 14241),
(14242, 'cd13165', NULL, 'PTB_DOK7', NULL, NULL, 'PTB_DOK7', 14242),
(14243, 'cd18727', NULL, 'PIN_Swt1-like', NULL, NULL, 'PIN_Swt1-like', 14243),
(14244, 'cd02647', NULL, 'nuc_hydro_TvIAG', NULL, NULL, 'nuc_hydro_TvIAG', 14244),
(14245, 'cd14614', NULL, 'R-PTPc-O', NULL, NULL, 'R-PTPc-O', 14245),
(14246, 'cd15998', NULL, '7tmB2_GPR124', NULL, NULL, '7tmB2_GPR124', 14246),
(14247, 'cd06590', NULL, 'RNase_HII_bacteria_HIII_like', NULL, NULL, 'RNase_HII_bacteria_HIII_like', 14247),
(14248, 'cd13903', NULL, 'CuRO_3_Tv-LCC_like', NULL, NULL, 'CuRO_3_Tv-LCC_like', 14248),
(14249, 'cd13892', NULL, 'CuRO_3_PHS', NULL, NULL, 'CuRO_3_PHS', 14249),
(14250, 'cd03123', NULL, 'alpha_CA_VI_IX_XII_XIV', NULL, NULL, 'alpha_CA_VI_IX_XII_XIV', 14250),
(14251, 'cd18328', NULL, 'BTB_POZ_ZBTB7C_ZBTB36', NULL, NULL, 'BTB_POZ_ZBTB7C_ZBTB36', 14251),
(14252, 'cd00950', NULL, 'DHDPS', NULL, NULL, 'DHDPS', 14252),
(14253, 'cd04501', NULL, 'SGNH_hydrolase_like_4', NULL, NULL, 'SGNH_hydrolase_like_4', 14253),
(14254, 'cd06873', NULL, 'PX_SNX13', NULL, NULL, 'PX_SNX13', 14254),
(14255, 'cd15024', NULL, '7tm_TAS2R42', NULL, NULL, '7tm_TAS2R42', 14255),
(14256, 'cd10359', NULL, 'SH2_SH3BP2', NULL, NULL, 'SH2_SH3BP2', 14256),
(14257, 'cd16077', NULL, 'TSP-5cc', NULL, NULL, 'TSP-5cc', 14257),
(14258, 'cd06606', NULL, 'STKc_MAPKKK', NULL, NULL, 'STKc_MAPKKK', 14258),
(14259, 'cd14411', NULL, 'UBA_DCNL1', NULL, NULL, 'UBA_DCNL1', 14259),
(14260, 'cd17225', NULL, 'RA_ASPP2', NULL, NULL, 'RA_ASPP2', 14260),
(14261, 'cd05675', NULL, 'M20_yscS_like', NULL, NULL, 'M20_yscS_like', 14261),
(14262, 'cd15236', NULL, '7tmA_OR1E-like', NULL, NULL, '7tmA_OR1E-like', 14262),
(14263, 'cd15537', NULL, 'PHD_BS69', NULL, NULL, 'PHD_BS69', 14263),
(14264, 'cd12412', NULL, 'RRM_DAZL_BOULE', NULL, NULL, 'RRM_DAZL_BOULE', 14264),
(14265, 'cd00327', NULL, 'cond_enzymes', NULL, NULL, 'cond_enzymes', 14265),
(14266, 'cd12649', NULL, 'RRM1_SXL', NULL, NULL, 'RRM1_SXL', 14266),
(14267, 'cd12722', NULL, 'RRM_Nup53', NULL, NULL, 'RRM_Nup53', 14267),
(14268, 'cd05056', NULL, 'PTKc_FAK', NULL, NULL, 'PTKc_FAK', 14268),
(14269, 'cd03209', NULL, 'GST_C_Mu', NULL, NULL, 'GST_C_Mu', 14269),
(14270, 'cd02765', NULL, 'MopB_4', NULL, NULL, 'MopB_4', 14270),
(14271, 'cd15275', NULL, '7tmB1_secretin', NULL, NULL, '7tmB1_secretin', 14271),
(14272, 'cd13348', NULL, 'PH-GRAM_MTMR12', NULL, NULL, 'PH-GRAM_MTMR12', 14272),
(14273, 'cd19547', NULL, 'beta-lac_NRPS', NULL, NULL, 'beta-lac_NRPS', 14273),
(14274, 'cd08937', NULL, 'DHB_DH-like_SDR_c', NULL, NULL, 'DHB_DH-like_SDR_c', 14274),
(14275, 'cd09581', NULL, 'SAM_Scm-like-4MBT1,2', NULL, NULL, 'SAM_Scm-like-4MBT1,2', 14275),
(14276, 'cd14265', NULL, 'UDPK_IM_like', NULL, NULL, 'UDPK_IM_like', 14276),
(14277, 'cd00251', NULL, 'Mth_Ecto', NULL, NULL, 'Mth_Ecto', 14277),
(14278, 'cd18325', NULL, 'BTB_POZ_ZBTB18_2-like', NULL, NULL, 'BTB_POZ_ZBTB18_2-like', 14278),
(14279, 'cd15906', NULL, '7tmA_GPR162', NULL, NULL, '7tmA_GPR162', 14279),
(14280, 'cd14176', NULL, 'STKc_RSK2_C', NULL, NULL, 'STKc_RSK2_C', 14280),
(14281, 'cd16870', NULL, 'ARID_JARD2', NULL, NULL, 'ARID_JARD2', 14281),
(14282, 'cd09376', NULL, 'LIM2_Lhx3_Lhx4', NULL, NULL, 'LIM2_Lhx3_Lhx4', 14282),
(14283, 'cd07309', NULL, 'PHP', NULL, NULL, 'PHP', 14283),
(14284, 'cd04157', NULL, 'Arl6', NULL, NULL, 'Arl6', 14284),
(14285, 'cd06936', NULL, 'NR_LBD_Fxr', NULL, NULL, 'NR_LBD_Fxr', 14285),
(14286, 'cd17975', NULL, 'DEXHc_DHX29', NULL, NULL, 'DEXHc_DHX29', 14286),
(14287, 'cd08917', NULL, 'TrHb2_O', NULL, NULL, 'TrHb2_O', 14287),
(14288, 'cd07656', NULL, 'F-BAR_srGAP', NULL, NULL, 'F-BAR_srGAP', 14288),
(14289, 'cd16491', NULL, 'RING-CH-C4HC3_LTN1', NULL, NULL, 'RING-CH-C4HC3_LTN1', 14289); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(14290, 'cd12185', NULL, 'HGDH_LDH_like', NULL, NULL, 'HGDH_LDH_like', 14290),
(14291, 'cd04921', NULL, 'ACT_AKi-HSDH-ThrA-like_1', NULL, NULL, 'ACT_AKi-HSDH-ThrA-like_1', 14291),
(14292, 'cd21640', NULL, 'ORF8-Ig_SARS-CoV-2-like', NULL, NULL, 'ORF8-Ig_SARS-CoV-2-like', 14292),
(14293, 'cd06361', NULL, 'PBP1_GPC6A-like', NULL, NULL, 'PBP1_GPC6A-like', 14293),
(14294, 'cd13287', NULL, 'PH_ORP3_ORP6_ORP7', NULL, NULL, 'PH_ORP3_ORP6_ORP7', 14294),
(14295, 'cd11262', NULL, 'Sema_4G', NULL, NULL, 'Sema_4G', 14295),
(14296, 'cd14577', NULL, 'DUSP13B', NULL, NULL, 'DUSP13B', 14296),
(14297, 'cd15583', NULL, 'PHD_ash2p_like', NULL, NULL, 'PHD_ash2p_like', 14297),
(14298, 'cd01247', NULL, 'PH_FAPP1_FAPP2', NULL, NULL, 'PH_FAPP1_FAPP2', 14298),
(14299, 'cd06350', NULL, 'PBP1_GPCR_family_C-like', NULL, NULL, 'PBP1_GPCR_family_C-like', 14299),
(14300, 'cd12373', NULL, 'RRM_SRSF3_like', NULL, NULL, 'RRM_SRSF3_like', 14300),
(14301, 'cd18212', NULL, 'BTB_POZ_ZBTB24_ZNF450', NULL, NULL, 'BTB_POZ_ZBTB24_ZNF450', 14301),
(14302, 'cd16643', NULL, 'mRING-HC-C3HC3D_TRAF6', NULL, NULL, 'mRING-HC-C3HC3D_TRAF6', 14302),
(14303, 'cd01014', NULL, 'nicotinamidase_related', NULL, NULL, 'nicotinamidase_related', 14303),
(14304, 'cd04237', NULL, 'AAK_NAGS-ABP', NULL, NULL, 'AAK_NAGS-ABP', 14304),
(14305, 'cd04445', NULL, 'DEP_PLEK1', NULL, NULL, 'DEP_PLEK1', 14305),
(14306, 'cd05637', NULL, 'SIS_PGI_PMI_2', NULL, NULL, 'SIS_PGI_PMI_2', 14306),
(14307, 'cd17215', NULL, 'RA_Rin1', NULL, NULL, 'RA_Rin1', 14307),
(14308, 'cd13609', NULL, 'PBP2_Opu_like_1', NULL, NULL, 'PBP2_Opu_like_1', 14308),
(14309, 'cd14039', NULL, 'STKc_IKK_alpha', NULL, NULL, 'STKc_IKK_alpha', 14309),
(14310, 'cd11532', NULL, 'NTP-PPase_COG4997', NULL, NULL, 'NTP-PPase_COG4997', 14310),
(14311, 'cd18298', NULL, 'BTB_POZ_RCBTB1_2', NULL, NULL, 'BTB_POZ_RCBTB1_2', 14311),
(14312, 'cd03542', NULL, 'Rieske_RO_Alpha_HBDO', NULL, NULL, 'Rieske_RO_Alpha_HBDO', 14312),
(14313, 'cd12520', NULL, 'RRM1_MRN1', NULL, NULL, 'RRM1_MRN1', 14313),
(14314, 'cd15606', NULL, 'PHD2_KDM5A', NULL, NULL, 'PHD2_KDM5A', 14314),
(14315, 'cd18681', NULL, 'PIN_MtVapC27-VapC40_like', NULL, NULL, 'PIN_MtVapC27-VapC40_like', 14315),
(14316, 'cd03775', NULL, 'MATH_Ubp21p', NULL, NULL, 'MATH_Ubp21p', 14316),
(14317, 'cd13951', NULL, '7tmF_Frizzled_SMO', NULL, NULL, '7tmF_Frizzled_SMO', 14317),
(14318, 'cd16932', NULL, 'HATPase_Phy-like', NULL, NULL, 'HATPase_Phy-like', 14318),
(14319, 'cd15090', NULL, '7tmA_Mu_opioid_R', NULL, NULL, '7tmA_Mu_opioid_R', 14319),
(14320, 'cd11020', NULL, 'CuRO_1_CuNIR', NULL, NULL, 'CuRO_1_CuNIR', 14320),
(14321, 'cd16735', NULL, 'RING-HC_PCGF3', NULL, NULL, 'RING-HC_PCGF3', 14321),
(14322, 'cd18934', NULL, 'bHLH_TS_MRF4_Myf6', NULL, NULL, 'bHLH_TS_MRF4_Myf6', 14322),
(14323, 'cd06080', NULL, 'MUM1_like', NULL, NULL, 'MUM1_like', 14323),
(14324, 'cd19185', NULL, 'SET_KMT5C', NULL, NULL, 'SET_KMT5C', 14324),
(14325, 'cd15551', NULL, 'PHD_PYGO', NULL, NULL, 'PHD_PYGO', 14325),
(14326, 'cd07384', NULL, 'MPP_Cdc1_like', NULL, NULL, 'MPP_Cdc1_like', 14326),
(14327, 'cd08576', NULL, 'GDPD_like_SMaseD_PLD', NULL, NULL, 'GDPD_like_SMaseD_PLD', 14327),
(14328, 'cd06326', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 14328),
(14329, 'cd14251', NULL, 'PL-6', NULL, NULL, 'PL-6', 14329),
(14330, 'cd18561', NULL, 'ABC_6TM_AarD_CydDC_like', NULL, NULL, 'ABC_6TM_AarD_CydDC_like', 14330),
(14331, 'cd02439', NULL, 'DMB-PRT_CobT', NULL, NULL, 'DMB-PRT_CobT', 14331),
(14332, 'cd09763', NULL, 'DHRS1-like_SDR_c', NULL, NULL, 'DHRS1-like_SDR_c', 14332),
(14333, 'cd00571', NULL, 'UreE', NULL, NULL, 'UreE', 14333),
(14334, 'cd03513', NULL, 'CrtW_beta-carotene-ketolase', NULL, NULL, 'CrtW_beta-carotene-ketolase', 14334),
(14335, 'cd13709', NULL, 'PBP2_YxeM', NULL, NULL, 'PBP2_YxeM', 14335),
(14336, 'cd16192', NULL, 'EFh_PEF_CAPN9', NULL, NULL, 'EFh_PEF_CAPN9', 14336),
(14337, 'cd16768', NULL, 'RING-HC_TRIM3', NULL, NULL, 'RING-HC_TRIM3', 14337),
(14338, 'cd10303', NULL, 'GST_C_GDAP1', NULL, NULL, 'GST_C_GDAP1', 14338),
(14339, 'cd06970', NULL, 'NR_DBD_PNR', NULL, NULL, 'NR_DBD_PNR', 14339);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(14340, 'cd11544', NULL, 'NTP-PPase_DR2231', NULL, NULL, 'NTP-PPase_DR2231', 14340),
(14341, 'cd20223', NULL, 'PFM_epsilon-toxin-like', NULL, NULL, 'PFM_epsilon-toxin-like', 14341),
(14342, 'cd18664', NULL, 'CD2_tandem_ScCHD1_like', NULL, NULL, 'CD2_tandem_ScCHD1_like', 14342),
(14343, 'cd06979', NULL, 'cupin_RemF-like', NULL, NULL, 'cupin_RemF-like', 14343),
(14344, 'cd14474', NULL, 'SPX_YDR089W', NULL, NULL, 'SPX_YDR089W', 14344),
(14345, 'cd03045', NULL, 'GST_N_Delta_Epsilon', NULL, NULL, 'GST_N_Delta_Epsilon', 14345),
(14346, 'cd01172', NULL, 'RfaE_like', NULL, NULL, 'RfaE_like', 14346),
(14347, 'cd05162', NULL, 'PWWP', NULL, NULL, 'PWWP', 14347),
(14348, 'cd16087', NULL, 'IgV_CD86', NULL, NULL, 'IgV_CD86', 14348),
(14349, 'cd00074', NULL, 'H2A', NULL, NULL, 'H2A', 14349),
(14350, 'cd03704', NULL, 'eRF3_C_III', NULL, NULL, 'eRF3_C_III', 14350),
(14351, 'cd11450', NULL, 'bHLH_AtFIT_like', NULL, NULL, 'bHLH_AtFIT_like', 14351),
(14352, 'cd13902', NULL, 'CuRO_3_McoC_like', NULL, NULL, 'CuRO_3_McoC_like', 14352),
(14353, 'cd11307', NULL, 'M35_Asp_f2_like', NULL, NULL, 'M35_Asp_f2_like', 14353),
(14354, 'cd16541', NULL, 'RING-HC_RNF123', NULL, NULL, 'RING-HC_RNF123', 14354),
(14355, 'cd14672', NULL, 'UBA_ceTYDP2_like', NULL, NULL, 'UBA_ceTYDP2_like', 14355),
(14356, 'cd16223', NULL, 'EFh_PRIP2', NULL, NULL, 'EFh_PRIP2', 14356),
(14357, 'cd03195', NULL, 'GST_C_4', NULL, NULL, 'GST_C_4', 14357),
(14358, 'cd03539', NULL, 'Rieske_RO_Alpha_S5H', NULL, NULL, 'Rieske_RO_Alpha_S5H', 14358),
(14359, 'cd05524', NULL, 'Bromo_polybromo_I', NULL, NULL, 'Bromo_polybromo_I', 14359),
(14360, 'cd08703', NULL, 'FDH_Hydrolase_C', NULL, NULL, 'FDH_Hydrolase_C', 14360),
(14361, 'cd12461', NULL, 'RRM_SCAF4', NULL, NULL, 'RRM_SCAF4', 14361),
(14362, 'cd17277', NULL, 'RMtype1_M_Cni19672ORF1405P_RMtype11G_Hci611ORF...', NULL, NULL, 'RMtype1_M_Cni19672ORF1405P_RMtype11G_Hci611ORFHP_TRD1-CR1_like', 14362),
(14363, 'cd02570', NULL, 'PseudoU_synth_EcTruA', NULL, NULL, 'PseudoU_synth_EcTruA', 14363),
(14364, 'cd10398', NULL, 'SH2_Tec_Txk', NULL, NULL, 'SH2_Tec_Txk', 14364),
(14365, 'cd11335', NULL, 'AmyAc_MTase_N', NULL, NULL, 'AmyAc_MTase_N', 14365),
(14366, 'cd05246', NULL, 'dTDP_GD_SDR_e', NULL, NULL, 'dTDP_GD_SDR_e', 14366),
(14367, 'cd03685', NULL, 'ClC_6_like', NULL, NULL, 'ClC_6_like', 14367),
(14368, 'cd12068', NULL, 'SH3_MYO15B', NULL, NULL, 'SH3_MYO15B', 14368),
(14369, 'cd06294', NULL, 'PBP1_MalR-like', NULL, NULL, 'PBP1_MalR-like', 14369),
(14370, 'cd18430', NULL, 'M14_ASTE_ASPA_like', NULL, NULL, 'M14_ASTE_ASPA_like', 14370),
(14371, 'cd13253', NULL, 'PH1_ARAP', NULL, NULL, 'PH1_ARAP', 14371),
(14372, 'cd06534', NULL, 'ALDH-SF', NULL, NULL, 'ALDH-SF', 14372),
(14373, 'cd09267', NULL, 'FCHo2_MHD', NULL, NULL, 'FCHo2_MHD', 14373),
(14374, 'cd05482', NULL, 'HIV_retropepsin_like', NULL, NULL, 'HIV_retropepsin_like', 14374),
(14375, 'cd01995', NULL, 'ExsB', NULL, NULL, 'ExsB', 14375),
(14376, 'cd09395', NULL, 'LIM2_Rga', NULL, NULL, 'LIM2_Rga', 14376),
(14377, 'cd03749', NULL, 'proteasome_alpha_type_1', NULL, NULL, 'proteasome_alpha_type_1', 14377),
(14378, 'cd18777', NULL, 'PsaA_MyfA', NULL, NULL, 'PsaA_MyfA', 14378),
(14379, 'cd11871', NULL, 'SH3_p67phox_N', NULL, NULL, 'SH3_p67phox_N', 14379),
(14380, 'cd09204', NULL, 'PLDc_N_DEXD_b2', NULL, NULL, 'PLDc_N_DEXD_b2', 14380),
(14381, 'cd04383', NULL, 'RhoGAP_srGAP', NULL, NULL, 'RhoGAP_srGAP', 14381),
(14382, 'cd05684', NULL, 'S1_DHX8_helicase', NULL, NULL, 'S1_DHX8_helicase', 14382),
(14383, 'cd05013', NULL, 'SIS_RpiR', NULL, NULL, 'SIS_RpiR', 14383),
(14384, 'cd00173', NULL, 'SH2', NULL, NULL, 'SH2', 14384),
(14385, 'cd16243', NULL, 'EFh_DYTN', NULL, NULL, 'EFh_DYTN', 14385),
(14386, 'cd16347', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 14386),
(14387, 'cd10748', NULL, 'anti-TRAP', NULL, NULL, 'anti-TRAP', 14387),
(14388, 'cd02192', NULL, 'PurM-like3', NULL, NULL, 'PurM-like3', 14388),
(14389, 'cd07876', NULL, 'STKc_JNK2', NULL, NULL, 'STKc_JNK2', 14389),
(14390, 'cd07028', NULL, 'RNAP_RPB3_like', NULL, NULL, 'RNAP_RPB3_like', 14390),
(14391, 'cd02243', NULL, 'cupin_11S_legumin_C', NULL, NULL, 'cupin_11S_legumin_C', 14391);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(14392, 'cd03250', NULL, 'ABCC_MRP_domain1', NULL, NULL, 'ABCC_MRP_domain1', 14392),
(14393, 'cd01116', NULL, 'P_permease', NULL, NULL, 'P_permease', 14393),
(14394, 'cd11550', NULL, 'Serine_rich_NEDD9', NULL, NULL, 'Serine_rich_NEDD9', 14394),
(14395, 'cd05299', NULL, 'CtBP_dh', NULL, NULL, 'CtBP_dh', 14395),
(14396, 'cd16076', NULL, 'TSPcc', NULL, NULL, 'TSPcc', 14396),
(14397, 'cd11913', NULL, 'SH3_BAIAP2L1', NULL, NULL, 'SH3_BAIAP2L1', 14397),
(14398, 'cd08750', NULL, 'RGS_GRK4', NULL, NULL, 'RGS_GRK4', 14398),
(14399, 'cd11638', NULL, 'HR1_ROCK2', NULL, NULL, 'HR1_ROCK2', 14399),
(14400, 'cd17972', NULL, 'DEXHc_DHX9', NULL, NULL, 'DEXHc_DHX9', 14400),
(14401, 'cd17343', NULL, 'MFS_SLC37A4', NULL, NULL, 'MFS_SLC37A4', 14401),
(14402, 'cd03714', NULL, 'RT_DIRS1', NULL, NULL, 'RT_DIRS1', 14402),
(14403, 'cd18761', NULL, 'PIN_MtVapC3-like', NULL, NULL, 'PIN_MtVapC3-like', 14403),
(14404, 'cd19726', NULL, 'bHLH-PAS_cycle_like', NULL, NULL, 'bHLH-PAS_cycle_like', 14404),
(14405, 'cd07037', NULL, 'TPP_PYR_MenD', NULL, NULL, 'TPP_PYR_MenD', 14405),
(14406, 'cd07633', NULL, 'BAR_OPHN1', NULL, NULL, 'BAR_OPHN1', 14406),
(14407, 'cd17423', NULL, 'MFS_MCT11_13', NULL, NULL, 'MFS_MCT11_13', 14407),
(14408, 'cd01559', NULL, 'ADCL_like', NULL, NULL, 'ADCL_like', 14408),
(14409, 'cd13431', NULL, 'LDT_IgD_like_1', NULL, NULL, 'LDT_IgD_like_1', 14409),
(14410, 'cd19058', NULL, 'LGIC_TM_GABAAR_pi', NULL, NULL, 'LGIC_TM_GABAAR_pi', 14410),
(14411, 'cd18004', NULL, 'DEXHc_RAD54', NULL, NULL, 'DEXHc_RAD54', 14411),
(14412, 'cd14876', NULL, 'MYSc_Myo14', NULL, NULL, 'MYSc_Myo14', 14412),
(14413, 'cd12129', NULL, 'PE-PC-PEC_alpha', NULL, NULL, 'PE-PC-PEC_alpha', 14413),
(14414, 'cd19180', NULL, 'SET_SpSET10-like', NULL, NULL, 'SET_SpSET10-like', 14414),
(14415, 'cd15555', NULL, 'PHD_KDM2A_2B', NULL, NULL, 'PHD_KDM2A_2B', 14415),
(14416, 'cd09554', NULL, 'SAM_EPH-B4', NULL, NULL, 'SAM_EPH-B4', 14416),
(14417, 'cd14175', NULL, 'STKc_RSK1_C', NULL, NULL, 'STKc_RSK1_C', 14417),
(14418, 'cd09647', NULL, 'Csm2_III-A', NULL, NULL, 'Csm2_III-A', 14418),
(14419, 'cd18649', NULL, 'CD_Cbx8', NULL, NULL, 'CD_Cbx8', 14419),
(14420, 'cd08240', NULL, '6_hydroxyhexanoate_dh_like', NULL, NULL, '6_hydroxyhexanoate_dh_like', 14420),
(14421, 'cd11666', NULL, 'GH38N_Man2A1', NULL, NULL, 'GH38N_Man2A1', 14421),
(14422, 'cd11608', NULL, 'eIF2D_C', NULL, NULL, 'eIF2D_C', 14422),
(14423, 'cd01307', NULL, 'Met_dep_hydrolase_B', NULL, NULL, 'Met_dep_hydrolase_B', 14423),
(14424, 'cd02861', NULL, 'E_set_pullulanase_like', NULL, NULL, 'E_set_pullulanase_like', 14424),
(14425, 'cd15075', NULL, '7tmA_Parapinopsin', NULL, NULL, '7tmA_Parapinopsin', 14425),
(14426, 'cd01900', NULL, 'YchF', NULL, NULL, 'YchF', 14426),
(14427, 'cd03044', NULL, 'GST_N_EF1Bgamma', NULL, NULL, 'GST_N_EF1Bgamma', 14427),
(14428, 'cd10794', NULL, 'GH57N_PfGalA_like', NULL, NULL, 'GH57N_PfGalA_like', 14428),
(14429, 'cd21624', NULL, 'SARS-CoV-like_Spike_S1_NTD', NULL, NULL, 'SARS-CoV-like_Spike_S1_NTD', 14429),
(14430, 'cd01767', NULL, 'UBX', NULL, NULL, 'UBX', 14430),
(14431, 'cd07825', NULL, 'SRPBCC_7', NULL, NULL, 'SRPBCC_7', 14431),
(14432, 'cd00779', NULL, 'ProRS_core_prok', NULL, NULL, 'ProRS_core_prok', 14432),
(14433, 'cd07438', NULL, 'PHP_HisPPase_AMP', NULL, NULL, 'PHP_HisPPase_AMP', 14433),
(14434, 'cd07670', NULL, 'BAR_SNX18', NULL, NULL, 'BAR_SNX18', 14434),
(14435, 'cd09383', NULL, 'LIM2_Lhx7_Lhx8', NULL, NULL, 'LIM2_Lhx7_Lhx8', 14435),
(14436, 'cd15019', NULL, '7tm_TAS2R14-like', NULL, NULL, '7tm_TAS2R14-like', 14436),
(14437, 'cd13440', NULL, 'CamS_repeat_2', NULL, NULL, 'CamS_repeat_2', 14437),
(14438, 'cd14208', NULL, 'PTK_Jak3_rpt1', NULL, NULL, 'PTK_Jak3_rpt1', 14438),
(14439, 'cd05971', NULL, 'MACS_like_3', NULL, NULL, 'MACS_like_3', 14439),
(14440, 'cd13222', NULL, 'PH-GRAM_GEM', NULL, NULL, 'PH-GRAM_GEM', 14440),
(14441, 'cd11965', NULL, 'SH3_ASAP1', NULL, NULL, 'SH3_ASAP1', 14441),
(14442, 'cd04738', NULL, 'DHOD_2_like', NULL, NULL, 'DHOD_2_like', 14442),
(14443, 'cd03819', NULL, 'GT4_WavL-like', NULL, NULL, 'GT4_WavL-like', 14443),
(14444, 'cd06061', NULL, 'PurM-like1', NULL, NULL, 'PurM-like1', 14444);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(14445, 'cd19937', NULL, 'REC_OmpR_BsPhoP-like', NULL, NULL, 'REC_OmpR_BsPhoP-like', 14445),
(14446, 'cd03818', NULL, 'GT4_ExpC-like', NULL, NULL, 'GT4_ExpC-like', 14446),
(14447, 'cd17552', NULL, 'REC_RR468-like', NULL, NULL, 'REC_RR468-like', 14447),
(14448, 'cd18120', NULL, 'ATP-synt_Vo_Ao_c', NULL, NULL, 'ATP-synt_Vo_Ao_c', 14448),
(14449, 'cd15044', NULL, '7tmC_V2R_AA_sensing_receptor-like', NULL, NULL, '7tmC_V2R_AA_sensing_receptor-like', 14449),
(14450, 'cd21531', NULL, 'CoV_E', NULL, NULL, 'CoV_E', 14450),
(14451, 'cd11252', NULL, 'Sema_3D', NULL, NULL, 'Sema_3D', 14451),
(14452, 'cd17580', NULL, 'REC_2_DhkD-like', NULL, NULL, 'REC_2_DhkD-like', 14452),
(14453, 'cd16205', NULL, 'EFh_PI-PLCeta', NULL, NULL, 'EFh_PI-PLCeta', 14453),
(14454, 'cd08452', NULL, 'PBP2_AlsR', NULL, NULL, 'PBP2_AlsR', 14454),
(14455, 'cd16522', NULL, 'RING-HC_MSL2', NULL, NULL, 'RING-HC_MSL2', 14455),
(14456, 'cd19161', NULL, 'AKR_AKR15A1', NULL, NULL, 'AKR_AKR15A1', 14456),
(14457, 'cd07014', NULL, 'S49_SppA', NULL, NULL, 'S49_SppA', 14457),
(14458, 'cd08682', NULL, 'C2_Rab11-FIP_classI', NULL, NULL, 'C2_Rab11-FIP_classI', 14458),
(14459, 'cd07448', NULL, 'CRD_FZ4', NULL, NULL, 'CRD_FZ4', 14459),
(14460, 'cd12281', NULL, 'RRM1_TatSF1_like', NULL, NULL, 'RRM1_TatSF1_like', 14460),
(14461, 'cd18357', NULL, 'BTB1_POZ_RHOBTB3', NULL, NULL, 'BTB1_POZ_RHOBTB3', 14461),
(14462, 'cd03169', NULL, 'GATase1_PfpI_1', NULL, NULL, 'GATase1_PfpI_1', 14462),
(14463, 'cd09682', NULL, 'Cmr4_III-B', NULL, NULL, 'Cmr4_III-B', 14463),
(14464, 'cd17202', NULL, 'FERM_F1_EPB41L2', NULL, NULL, 'FERM_F1_EPB41L2', 14464),
(14465, 'cd09834', NULL, 'CBS_pair_bac', NULL, NULL, 'CBS_pair_bac', 14465),
(14466, 'cd13343', NULL, 'PH-GRAM_MTMR6', NULL, NULL, 'PH-GRAM_MTMR6', 14466),
(14467, 'cd10307', NULL, 'GST_C_MetRS_N', NULL, NULL, 'GST_C_MetRS_N', 14467),
(14468, 'cd05678', NULL, 'M20_dipept_like', NULL, NULL, 'M20_dipept_like', 14468),
(14469, 'cd18832', NULL, 'GH43_GsAbnA-like', NULL, NULL, 'GH43_GsAbnA-like', 14469),
(14470, 'cd16543', NULL, 'RING-HC_RNF135_like', NULL, NULL, 'RING-HC_RNF135_like', 14470),
(14471, 'cd17936', NULL, 'EEXXEc_NFX1', NULL, NULL, 'EEXXEc_NFX1', 14471),
(14472, 'cd06143', NULL, 'PAN2_exo', NULL, NULL, 'PAN2_exo', 14472),
(14473, 'cd14695', NULL, 'bZIP_HLF', NULL, NULL, 'bZIP_HLF', 14473),
(14474, 'cd10384', NULL, 'SH2_SOCS3', NULL, NULL, 'SH2_SOCS3', 14474),
(14475, 'cd07057', NULL, 'BMC_CcmK', NULL, NULL, 'BMC_CcmK', 14475),
(14476, 'cd00200', NULL, 'WD40', NULL, NULL, 'WD40', 14476),
(14477, 'cd07980', NULL, 'TFIIF_beta', NULL, NULL, 'TFIIF_beta', 14477),
(14478, 'cd04096', NULL, 'eEF2_snRNP_like_C', NULL, NULL, 'eEF2_snRNP_like_C', 14478),
(14479, 'cd07066', NULL, 'CRD_FZ', NULL, NULL, 'CRD_FZ', 14479),
(14480, 'cd16581', NULL, 'RING-HC_TRIM13_like_C-V', NULL, NULL, 'RING-HC_TRIM13_like_C-V', 14480),
(14481, 'cd02879', NULL, 'GH18_plant_chitinase_class_V', NULL, NULL, 'GH18_plant_chitinase_class_V', 14481),
(14482, 'cd00088', NULL, 'HPT', NULL, NULL, 'HPT', 14482),
(14483, 'cd05885', NULL, 'Ig2_Necl-4', NULL, NULL, 'Ig2_Necl-4', 14483),
(14484, 'cd15604', NULL, 'PHD1_KDM5C_5D', NULL, NULL, 'PHD1_KDM5C_5D', 14484),
(14485, 'cd17652', NULL, 'A_NRPS_CmdD_like', NULL, NULL, 'A_NRPS_CmdD_like', 14485),
(14486, 'cd16701', NULL, 'RING_CH-C4HC3_MARCH5', NULL, NULL, 'RING_CH-C4HC3_MARCH5', 14486),
(14487, 'cd18222', NULL, 'BTB_POZ_ZBTB37', NULL, NULL, 'BTB_POZ_ZBTB37', 14487),
(14488, 'cd02138', NULL, 'TdsD-like', NULL, NULL, 'TdsD-like', 14488),
(14489, 'cd00084', NULL, 'HMG-box', NULL, NULL, 'HMG-box', 14489),
(14490, 'cd17236', NULL, 'Ubl_ATG8_MAP1LC3C', NULL, NULL, 'Ubl_ATG8_MAP1LC3C', 14490),
(14491, 'cd08933', NULL, 'RDH_SDR_c', NULL, NULL, 'RDH_SDR_c', 14491),
(14492, 'cd00504', NULL, 'GXGXG', NULL, NULL, 'GXGXG', 14492),
(14493, 'cd06564', NULL, 'GH20_DspB_LnbB-like', NULL, NULL, 'GH20_DspB_LnbB-like', 14493),
(14494, 'cd09265', NULL, 'AP_Syp1_like_MHD', NULL, NULL, 'AP_Syp1_like_MHD', 14494),
(14495, 'cd12528', NULL, 'RRM2_MEI2_fungi', NULL, NULL, 'RRM2_MEI2_fungi', 14495),
(14496, 'cd08400', NULL, 'C2_Ras_p21A1', NULL, NULL, 'C2_Ras_p21A1', 14496);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(14497, 'cd19783', NULL, 'Bbox2_TRIM43-like', NULL, NULL, 'Bbox2_TRIM43-like', 14497),
(14498, 'cd06241', NULL, 'M14-like', NULL, NULL, 'M14-like', 14498),
(14499, 'cd05801', NULL, 'PGM_like3', NULL, NULL, 'PGM_like3', 14499),
(14500, 'cd01066', NULL, 'APP_MetAP', NULL, NULL, 'APP_MetAP', 14500),
(14501, 'cd17532', NULL, 'REC_LytTR_AlgR-like', NULL, NULL, 'REC_LytTR_AlgR-like', 14501),
(14502, 'cd00081', NULL, 'Hint', NULL, NULL, 'Hint', 14502),
(14503, 'cd11696', NULL, 'DHR2_DOCK_B', NULL, NULL, 'DHR2_DOCK_B', 14503),
(14504, 'cd12104', NULL, 'DD_RIIbeta_PKA', NULL, NULL, 'DD_RIIbeta_PKA', 14504),
(14505, 'cd13961', NULL, 'PT_UbiA_DGGGPS', NULL, NULL, 'PT_UbiA_DGGGPS', 14505),
(14506, 'cd12534', NULL, 'RRM_SARFH', NULL, NULL, 'RRM_SARFH', 14506),
(14507, 'cd19414', NULL, 'lipocalin_1_3_4_13-like', NULL, NULL, 'lipocalin_1_3_4_13-like', 14507),
(14508, 'cd10538', NULL, 'SET_SETDB-like', NULL, NULL, 'SET_SETDB-like', 14508),
(14509, 'cd05123', NULL, 'STKc_AGC', NULL, NULL, 'STKc_AGC', 14509),
(14510, 'cd09593', NULL, 'UDG-like', NULL, NULL, 'UDG-like', 14510),
(14511, 'cd00247', NULL, 'Endostatin-like', NULL, NULL, 'Endostatin-like', 14511),
(14512, 'cd06872', NULL, 'PX_SNX19_like_plant', NULL, NULL, 'PX_SNX19_like_plant', 14512),
(14513, 'cd11266', NULL, 'Sema_6A', NULL, NULL, 'Sema_6A', 14513),
(14514, 'cd15957', NULL, '7tmA_Beta2_AR', NULL, NULL, '7tmA_Beta2_AR', 14514),
(14515, 'cd02648', NULL, 'nuc_hydro_1', NULL, NULL, 'nuc_hydro_1', 14515),
(14516, 'cd04087', NULL, 'PTPA', NULL, NULL, 'PTPA', 14516),
(14517, 'cd04641', NULL, 'CBS_euAMPK_gamma-like_repeat2', NULL, NULL, 'CBS_euAMPK_gamma-like_repeat2', 14517),
(14518, 'cd07127', NULL, 'ALDH_PAD-PaaZ', NULL, NULL, 'ALDH_PAD-PaaZ', 14518),
(14519, 'cd01965', NULL, 'Nitrogenase_MoFe_beta_like', NULL, NULL, 'Nitrogenase_MoFe_beta_like', 14519),
(14520, 'cd07624', NULL, 'BAR_SNX7_30', NULL, NULL, 'BAR_SNX7_30', 14520),
(14521, 'cd03719', NULL, 'SOCS_SSB2', NULL, NULL, 'SOCS_SSB2', 14521),
(14522, 'cd09024', NULL, 'Aldose_epim_lacX', NULL, NULL, 'Aldose_epim_lacX', 14522),
(14523, 'cd09533', NULL, 'SAM_Ste50-like_fungal', NULL, NULL, 'SAM_Ste50-like_fungal', 14523),
(14524, 'cd05601', NULL, 'STKc_CRIK', NULL, NULL, 'STKc_CRIK', 14524),
(14525, 'cd14789', NULL, 'Tiki', NULL, NULL, 'Tiki', 14525),
(14526, 'cd01703', NULL, 'PolY_Pol_iota', NULL, NULL, 'PolY_Pol_iota', 14526),
(14527, 'cd15832', NULL, 'SNAP', NULL, NULL, 'SNAP', 14527),
(14528, 'cd07160', NULL, 'NR_DBD_LXR', NULL, NULL, 'NR_DBD_LXR', 14528),
(14529, 'cd18450', NULL, 'BACK_KLHL10', NULL, NULL, 'BACK_KLHL10', 14529),
(14530, 'cd00034', NULL, 'CSD', NULL, NULL, 'CSD', 14530),
(14531, 'cd12494', NULL, 'RRM3_hnRNPR', NULL, NULL, 'RRM3_hnRNPR', 14531),
(14532, 'cd03390', NULL, 'PAP2_containing_1_like', NULL, NULL, 'PAP2_containing_1_like', 14532),
(14533, 'cd14264', NULL, 'DAGK_IM', NULL, NULL, 'DAGK_IM', 14533),
(14534, 'cd13112', NULL, 'POLO_box', NULL, NULL, 'POLO_box', 14534),
(14535, 'cd15406', NULL, '7tmA_OR8D-like', NULL, NULL, '7tmA_OR8D-like', 14535),
(14536, 'cd06824', NULL, 'PLPDE_III_Yggs_like', NULL, NULL, 'PLPDE_III_Yggs_like', 14536),
(14537, 'cd07320', NULL, 'Extradiol_Dioxygenase_3B_like', NULL, NULL, 'Extradiol_Dioxygenase_3B_like', 14537),
(14538, 'cd21486', NULL, 'human_MERS-CoV_Spike_S1_RBD', NULL, NULL, 'human_MERS-CoV_Spike_S1_RBD', 14538),
(14539, 'cd02962', NULL, 'TMX2', NULL, NULL, 'TMX2', 14539),
(14540, 'cd21344', NULL, '1B_UPF1_nv_SF1_Hel-like', NULL, NULL, '1B_UPF1_nv_SF1_Hel-like', 14540),
(14541, 'cd08839', NULL, 'ArfGap_SMAP', NULL, NULL, 'ArfGap_SMAP', 14541),
(14542, 'cd14674', NULL, 'PH_PLEKHM3_1', NULL, NULL, 'PH_PLEKHM3_1', 14542),
(14543, 'cd00622', NULL, 'PLPDE_III_ODC', NULL, NULL, 'PLPDE_III_ODC', 14543),
(14544, 'cd16689', NULL, 'RING-H2_Vps18', NULL, NULL, 'RING-H2_Vps18', 14544),
(14545, 'cd18990', NULL, 'LGIC_ECD_GABAAR', NULL, NULL, 'LGIC_ECD_GABAAR', 14545),
(14546, 'cd13675', NULL, 'PBP2_TRAP_SBP_like_5', NULL, NULL, 'PBP2_TRAP_SBP_like_5', 14546),
(14547, 'cd11272', NULL, 'Sema_plexin_A2', NULL, NULL, 'Sema_plexin_A2', 14547),
(14548, 'cd07223', NULL, 'Pat_PNPLA5-mammals', NULL, NULL, 'Pat_PNPLA5-mammals', 14548);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(14549, 'cd07833', NULL, 'STKc_CDKL', NULL, NULL, 'STKc_CDKL', 14549),
(14550, 'cd17643', NULL, 'A_NRPS_Cytc1-like', NULL, NULL, 'A_NRPS_Cytc1-like', 14550),
(14551, 'cd15635', NULL, 'PHD_PYGO1', NULL, NULL, 'PHD_PYGO1', 14551),
(14552, 'cd02409', NULL, 'KH-II', NULL, NULL, 'KH-II', 14552),
(14553, 'cd13231', NULL, 'PH2_SSRP1-like', NULL, NULL, 'PH2_SSRP1-like', 14553),
(14554, 'cd01863', NULL, 'Rab18', NULL, NULL, 'Rab18', 14554),
(14555, 'cd07541', NULL, 'P-type_ATPase_APLT_Neo1-like', NULL, NULL, 'P-type_ATPase_APLT_Neo1-like', 14555),
(14556, 'cd11671', NULL, 'TAZ1_RBM', NULL, NULL, 'TAZ1_RBM', 14556),
(14557, 'cd00525', NULL, 'AE_Prim_S_like', NULL, NULL, 'AE_Prim_S_like', 14557),
(14558, 'cd13887', NULL, 'CuRO_2_MCO_like_2', NULL, NULL, 'CuRO_2_MCO_like_2', 14558),
(14559, 'cd16013', NULL, 'AcpA', NULL, NULL, 'AcpA', 14559),
(14560, 'cd16147', NULL, 'G6S', NULL, NULL, 'G6S', 14560),
(14561, 'cd02793', NULL, 'MopB_CT_DMSOR-BSOR-TMAOR', NULL, NULL, 'MopB_CT_DMSOR-BSOR-TMAOR', 14561),
(14562, 'cd11333', NULL, 'AmyAc_SI_OligoGlu_DGase', NULL, NULL, 'AmyAc_SI_OligoGlu_DGase', 14562),
(14563, 'cd03136', NULL, 'GATase1_AraC_ArgR_like', NULL, NULL, 'GATase1_AraC_ArgR_like', 14563),
(14564, 'cd11454', NULL, 'bHLH_AtIND_like', NULL, NULL, 'bHLH_AtIND_like', 14564),
(14565, 'cd08010', NULL, 'MltG_like', NULL, NULL, 'MltG_like', 14565),
(14566, 'cd08153', NULL, 'srpA_like', NULL, NULL, 'srpA_like', 14566),
(14567, 'cd05910', NULL, 'FACL_like_1', NULL, NULL, 'FACL_like_1', 14567),
(14568, 'cd03574', NULL, 'NTR_complement_C345C', NULL, NULL, 'NTR_complement_C345C', 14568),
(14569, 'cd00304', NULL, 'RT_like', NULL, NULL, 'RT_like', 14569),
(14570, 'cd04401', NULL, 'RhoGAP_fMSB1', NULL, NULL, 'RhoGAP_fMSB1', 14570),
(14571, 'cd01865', NULL, 'Rab3', NULL, NULL, 'Rab3', 14571),
(14572, 'cd18690', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 14572),
(14573, 'cd19754', NULL, 'FHb_fungal-globin', NULL, NULL, 'FHb_fungal-globin', 14573),
(14574, 'cd12197', NULL, 'MARK4_C', NULL, NULL, 'MARK4_C', 14574),
(14575, 'cd07253', NULL, 'GLOD5', NULL, NULL, 'GLOD5', 14575),
(14576, 'cd06961', NULL, 'NR_DBD_TR', NULL, NULL, 'NR_DBD_TR', 14576),
(14577, 'cd03321', NULL, 'mandelate_racemase', NULL, NULL, 'mandelate_racemase', 14577),
(14578, 'cd11778', NULL, 'SH3_Bzz1_2', NULL, NULL, 'SH3_Bzz1_2', 14578),
(14579, 'cd02563', NULL, 'PseudoU_synth_TruC', NULL, NULL, 'PseudoU_synth_TruC', 14579),
(14580, 'cd08610', NULL, 'GDPD_GDE6', NULL, NULL, 'GDPD_GDE6', 14580),
(14581, 'cd17565', NULL, 'REC_GlnL-like', NULL, NULL, 'REC_GlnL-like', 14581),
(14582, 'cd05257', NULL, 'Arna_like_SDR_e', NULL, NULL, 'Arna_like_SDR_e', 14582),
(14583, 'cd18205', NULL, 'BTB_POZ_ZBTB16_PLZF', NULL, NULL, 'BTB_POZ_ZBTB16_PLZF', 14583),
(14584, 'cd09448', NULL, 'LIM_CLP36', NULL, NULL, 'LIM_CLP36', 14584),
(14585, 'cd16459', NULL, 'RING-H2_DTX1_like', NULL, NULL, 'RING-H2_DTX1_like', 14585),
(14586, 'cd03426', NULL, 'CoAse', NULL, NULL, 'CoAse', 14586),
(14587, 'cd19758', NULL, 'Bbox2_MID', NULL, NULL, 'Bbox2_MID', 14587),
(14588, 'cd04480', NULL, 'RPA1_DBD_A_like', NULL, NULL, 'RPA1_DBD_A_like', 14588),
(14589, 'cd02122', NULL, 'PA_GRAIL_like', NULL, NULL, 'PA_GRAIL_like', 14589),
(14590, 'cd11396', NULL, 'bHLHzip_USF', NULL, NULL, 'bHLHzip_USF', 14590),
(14591, 'cd12062', NULL, 'SH3_Caskin1', NULL, NULL, 'SH3_Caskin1', 14591),
(14592, 'cd05127', NULL, 'RasGAP_IQGAP_like', NULL, NULL, 'RasGAP_IQGAP_like', 14592),
(14593, 'cd09743', NULL, 'Csx16_III-U', NULL, NULL, 'Csx16_III-U', 14593),
(14594, 'cd19740', NULL, 'bHLH-PAS_dSIM_like', NULL, NULL, 'bHLH-PAS_dSIM_like', 14594),
(14595, 'cd16967', NULL, 'Alpha_kinase_eEF2K', NULL, NULL, 'Alpha_kinase_eEF2K', 14595),
(14596, 'cd03291', NULL, 'ABCC_CFTR1', NULL, NULL, 'ABCC_CFTR1', 14596),
(14597, 'cd01279', NULL, 'HTH_HspR-like', NULL, NULL, 'HTH_HspR-like', 14597),
(14598, 'cd06112', NULL, 'citrate_synt_like_1_1', NULL, NULL, 'citrate_synt_like_1_1', 14598),
(14599, 'cd06212', NULL, 'monooxygenase_like', NULL, NULL, 'monooxygenase_like', 14599),
(14600, 'cd14787', NULL, 'Tiki_TraB-like', NULL, NULL, 'Tiki_TraB-like', 14600);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(14601, 'cd11369', NULL, 'RNase_PH_RRP43', NULL, NULL, 'RNase_PH_RRP43', 14601),
(14602, 'cd04893', NULL, 'ACT_GcvR_1', NULL, NULL, 'ACT_GcvR_1', 14602),
(14603, 'cd02949', NULL, 'TRX_NTR', NULL, NULL, 'TRX_NTR', 14603),
(14604, 'cd02909', NULL, 'cupin_pirin_N', NULL, NULL, 'cupin_pirin_N', 14604),
(14605, 'cd16075', NULL, 'ORC6_CTD', NULL, NULL, 'ORC6_CTD', 14605),
(14606, 'cd13387', NULL, 'PH1_FGD3', NULL, NULL, 'PH1_FGD3', 14606),
(14607, 'cd02014', NULL, 'TPP_POX', NULL, NULL, 'TPP_POX', 14607),
(14608, 'cd10015', NULL, 'BfiI_C_EcoRII_N_B3', NULL, NULL, 'BfiI_C_EcoRII_N_B3', 14608),
(14609, 'cd18519', NULL, 'BACK_SPOPL', NULL, NULL, 'BACK_SPOPL', 14609),
(14610, 'cd04272', NULL, 'ZnMc_salivary_gland_MPs', NULL, NULL, 'ZnMc_salivary_gland_MPs', 14610),
(14611, 'cd03411', NULL, 'Ferrochelatase_N', NULL, NULL, 'Ferrochelatase_N', 14611),
(14612, 'cd01889', NULL, 'SelB_euk', NULL, NULL, 'SelB_euk', 14612),
(14613, 'cd09939', NULL, 'SH2_STAP_family', NULL, NULL, 'SH2_STAP_family', 14613),
(14614, 'cd13425', NULL, 'Peptidase_G1_like', NULL, NULL, 'Peptidase_G1_like', 14614),
(14615, 'cd03545', NULL, 'Rieske_RO_Alpha_OHBDO_like', NULL, NULL, 'Rieske_RO_Alpha_OHBDO_like', 14615),
(14616, 'cd07293', NULL, 'PX_SNX3', NULL, NULL, 'PX_SNX3', 14616),
(14617, 'cd12277', NULL, 'RRM3_MEI2_EAR1_like', NULL, NULL, 'RRM3_MEI2_EAR1_like', 14617),
(14618, 'cd00542', NULL, 'Ntn_PVA', NULL, NULL, 'Ntn_PVA', 14618),
(14619, 'cd03156', NULL, 'uroplakin_I_like_LEL', NULL, NULL, 'uroplakin_I_like_LEL', 14619),
(14620, 'cd03567', NULL, 'VHS_GGA_metazoan', NULL, NULL, 'VHS_GGA_metazoan', 14620),
(14621, 'cd05918', NULL, 'A_NRPS_SidN3_like', NULL, NULL, 'A_NRPS_SidN3_like', 14621),
(14622, 'cd11412', NULL, 'bHLH_TS_TWIST1', NULL, NULL, 'bHLH_TS_TWIST1', 14622),
(14623, 'cd16741', NULL, 'RING-HC_RNFT1', NULL, NULL, 'RING-HC_RNFT1', 14623),
(14624, 'cd16846', NULL, 'STAT2_DBD', NULL, NULL, 'STAT2_DBD', 14624),
(14625, 'cd01586', NULL, 'AcnA_IRP', NULL, NULL, 'AcnA_IRP', 14625),
(14626, 'cd03286', NULL, 'ABC_MSH6_euk', NULL, NULL, 'ABC_MSH6_euk', 14626),
(14627, 'cd15268', NULL, '7tmB1_GLP1R', NULL, NULL, '7tmB1_GLP1R', 14627),
(14628, 'cd00317', NULL, 'cyclophilin', NULL, NULL, 'cyclophilin', 14628),
(14629, 'cd15939', NULL, '7tmA_OR4A-like', NULL, NULL, '7tmA_OR4A-like', 14629),
(14630, 'cd16679', NULL, 'RING-H2_RNF38', NULL, NULL, 'RING-H2_RNF38', 14630),
(14631, 'cd18490', NULL, 'BACK_BTBD8', NULL, NULL, 'BACK_BTBD8', 14631),
(14632, 'cd13893', NULL, 'CuRO_3_AAO', NULL, NULL, 'CuRO_3_AAO', 14632),
(14633, 'cd11637', NULL, 'HR1_PKN3_3', NULL, NULL, 'HR1_PKN3_3', 14633),
(14634, 'cd19010', NULL, 'LGIC_ECD_GlyR_beta', NULL, NULL, 'LGIC_ECD_GlyR_beta', 14634),
(14635, 'cd05790', NULL, 'S1_Rrp40', NULL, NULL, 'S1_Rrp40', 14635),
(14636, 'cd07581', NULL, 'nitrilase_3', NULL, NULL, 'nitrilase_3', 14636),
(14637, 'cd12374', NULL, 'RRM_UHM_SPF45_PUF60', NULL, NULL, 'RRM_UHM_SPF45_PUF60', 14637),
(14638, 'cd05777', NULL, 'DNA_polB_delta_exo', NULL, NULL, 'DNA_polB_delta_exo', 14638),
(14639, 'cd05848', NULL, 'Ig1_Contactin-5', NULL, NULL, 'Ig1_Contactin-5', 14639),
(14640, 'cd19991', NULL, 'PBP1_ABC_xylose_binding', NULL, NULL, 'PBP1_ABC_xylose_binding', 14640),
(14641, 'cd06943', NULL, 'NR_LBD_RXR_like', NULL, NULL, 'NR_LBD_RXR_like', 14641),
(14642, 'cd19730', NULL, 'bHLH-PAS_spineless_like', NULL, NULL, 'bHLH-PAS_spineless_like', 14642),
(14643, 'cd05853', NULL, 'Ig6_Contactin-4', NULL, NULL, 'Ig6_Contactin-4', 14643),
(14644, 'cd08179', NULL, 'NADPH_BDH', NULL, NULL, 'NADPH_BDH', 14644),
(14645, 'cd03535', NULL, 'Rieske_RO_Alpha_NDO', NULL, NULL, 'Rieske_RO_Alpha_NDO', 14645),
(14646, 'cd00713', NULL, 'GltS', NULL, NULL, 'GltS', 14646),
(14647, 'cd07672', NULL, 'F-BAR_PSTPIP2', NULL, NULL, 'F-BAR_PSTPIP2', 14647),
(14648, 'cd15079', NULL, '7tmA_photoreceptors_insect', NULL, NULL, '7tmA_photoreceptors_insect', 14648),
(14649, 'cd14617', NULL, 'R-PTPc-B', NULL, NULL, 'R-PTPc-B', 14649),
(14650, 'cd21480', NULL, 'SARS-CoV-2_Spike_S1_RBD', NULL, NULL, 'SARS-CoV-2_Spike_S1_RBD', 14650),
(14651, 'cd20478', NULL, 'Cas13b_Bz-like', NULL, NULL, 'Cas13b_Bz-like', 14651); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(14652, 'cd19851', NULL, 'lipocalin_CHL', NULL, NULL, 'lipocalin_CHL', 14652),
(14653, 'cd14537', NULL, 'PTP-MTMR10-like', NULL, NULL, 'PTP-MTMR10-like', 14653),
(14654, 'cd11568', NULL, 'FAT-like_CASS4_C', NULL, NULL, 'FAT-like_CASS4_C', 14654),
(14655, 'cd14131', NULL, 'PKc_Mps1', NULL, NULL, 'PKc_Mps1', 14655),
(14656, 'cd06166', NULL, 'Sortase_D_2', NULL, NULL, 'Sortase_D_2', 14656),
(14657, 'cd01534', NULL, '4RHOD_Repeat_3', NULL, NULL, '4RHOD_Repeat_3', 14657),
(14658, 'cd08760', NULL, 'Cyt_b561_FRRS1_like', NULL, NULL, 'Cyt_b561_FRRS1_like', 14658),
(14659, 'cd06424', NULL, 'UGGPase', NULL, NULL, 'UGGPase', 14659),
(14660, 'cd12644', NULL, 'RRM_CFIm59', NULL, NULL, 'RRM_CFIm59', 14660),
(14661, 'cd13307', NULL, 'PH2_AFAP', NULL, NULL, 'PH2_AFAP', 14661),
(14662, 'cd17755', NULL, 'MCM4', NULL, NULL, 'MCM4', 14662),
(14663, 'cd13242', NULL, 'PH_puratrophin-1', NULL, NULL, 'PH_puratrophin-1', 14663),
(14664, 'cd03087', NULL, 'PGM_like1', NULL, NULL, 'PGM_like1', 14664),
(14665, 'cd11735', NULL, 'HSPA12A_like_NBD', NULL, NULL, 'HSPA12A_like_NBD', 14665),
(14666, 'cd18535', NULL, 'PTP-IVa3', NULL, NULL, 'PTP-IVa3', 14666),
(14667, 'cd04753', NULL, 'Commd5_HCaRG', NULL, NULL, 'Commd5_HCaRG', 14667),
(14668, 'cd16972', NULL, 'Alpha_kinase_ChaK2_TRPM6', NULL, NULL, 'Alpha_kinase_ChaK2_TRPM6', 14668),
(14669, 'cd15497', NULL, 'PHD1_Snt2p_like', NULL, NULL, 'PHD1_Snt2p_like', 14669),
(14670, 'cd19559', NULL, 'serpinA14_UTMP_UABP-2', NULL, NULL, 'serpinA14_UTMP_UABP-2', 14670),
(14671, 'cd15081', NULL, '7tmA_LWS_opsin', NULL, NULL, '7tmA_LWS_opsin', 14671),
(14672, 'cd18661', NULL, 'CD2_tandem_CHD1-2_like', NULL, NULL, 'CD2_tandem_CHD1-2_like', 14672),
(14673, 'cd20170', NULL, 'Peptidase_M90-like', NULL, NULL, 'Peptidase_M90-like', 14673),
(14674, 'cd07543', NULL, 'P-type_ATPase_cation', NULL, NULL, 'P-type_ATPase_cation', 14674),
(14675, 'cd13659', NULL, 'PBP2_PotF', NULL, NULL, 'PBP2_PotF', 14675),
(14676, 'cd14712', NULL, 'bZIP_CEBPB', NULL, NULL, 'bZIP_CEBPB', 14676),
(14677, 'cd07730', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', 14677),
(14678, 'cd05512', NULL, 'Bromo_brd1_like', NULL, NULL, 'Bromo_brd1_like', 14678),
(14679, 'cd06845', NULL, 'Bcl-2_like', NULL, NULL, 'Bcl-2_like', 14679),
(14680, 'cd00680', NULL, 'RHO_alpha_C', NULL, NULL, 'RHO_alpha_C', 14680),
(14681, 'cd19404', NULL, 'TGF_beta_INHBA', NULL, NULL, 'TGF_beta_INHBA', 14681),
(14682, 'cd00951', NULL, 'KDGDH', NULL, NULL, 'KDGDH', 14682),
(14683, 'cd12220', NULL, 'Pesticin_RB', NULL, NULL, 'Pesticin_RB', 14683),
(14684, 'cd15573', NULL, 'PHD_JADE', NULL, NULL, 'PHD_JADE', 14684),
(14685, 'cd11827', NULL, 'SH3_MyoIe_If_like', NULL, NULL, 'SH3_MyoIe_If_like', 14685),
(14686, 'cd17781', NULL, 'CBS_pair_MUG70_1', NULL, NULL, 'CBS_pair_MUG70_1', 14686),
(14687, 'cd10445', NULL, 'GIY-YIG_bI1_like', NULL, NULL, 'GIY-YIG_bI1_like', 14687),
(14688, 'cd14528', NULL, 'PFA-DSP_Siw14', NULL, NULL, 'PFA-DSP_Siw14', 14688),
(14689, 'cd13362', NULL, 'PH_PLC_gamma', NULL, NULL, 'PH_PLC_gamma', 14689),
(14690, 'cd17317', NULL, 'MFS_SLC22', NULL, NULL, 'MFS_SLC22', 14690),
(14691, 'cd02056', NULL, 'serpinA1_A1AT', NULL, NULL, 'serpinA1_A1AT', 14691),
(14692, 'cd05789', NULL, 'S1_Rrp4', NULL, NULL, 'S1_Rrp4', 14692),
(14693, 'cd15936', NULL, '7tmA_OR4D-like', NULL, NULL, '7tmA_OR4D-like', 14693),
(14694, 'cd13733', NULL, 'SPRY_PRY_C-I_1', NULL, NULL, 'SPRY_PRY_C-I_1', 14694),
(14695, 'cd20183', NULL, 'M34_PPEP', NULL, NULL, 'M34_PPEP', 14695),
(14696, 'cd18529', NULL, 'BACK_RCBTB2', NULL, NULL, 'BACK_RCBTB2', 14696),
(14697, 'cd00798', NULL, 'INT_XerDC_C', NULL, NULL, 'INT_XerDC_C', 14697),
(14698, 'cd02688', NULL, 'E_set', NULL, NULL, 'E_set', 14698),
(14699, 'cd03467', NULL, 'Rieske', NULL, NULL, 'Rieske', 14699),
(14700, 'cd03689', NULL, 'RF3_II', NULL, NULL, 'RF3_II', 14700),
(14701, 'cd09402', NULL, 'LIM1_CRP', NULL, NULL, 'LIM1_CRP', 14701),
(14702, 'cd12697', NULL, 'RRM3_ROD1', NULL, NULL, 'RRM3_ROD1', 14702),
(14703, 'cd16898', NULL, 'LYZ_LA', NULL, NULL, 'LYZ_LA', 14703),
(14704, 'cd18917', NULL, 'bHLH_AtSAC51_like', NULL, NULL, 'bHLH_AtSAC51_like', 14704);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(14705, 'cd08169', NULL, 'DHQ-like', NULL, NULL, 'DHQ-like', 14705),
(14706, 'cd08705', NULL, 'RGS_R7-like', NULL, NULL, 'RGS_R7-like', 14706),
(14707, 'cd18543', NULL, 'ABC_6TM_Rv0194_D1_like', NULL, NULL, 'ABC_6TM_Rv0194_D1_like', 14707),
(14708, 'cd12221', NULL, 'Cin1', NULL, NULL, 'Cin1', 14708),
(14709, 'cd05526', NULL, 'Bromo_polybromo_VI', NULL, NULL, 'Bromo_polybromo_VI', 14709),
(14710, 'cd18176', NULL, 'ATP-synt_Vo_c_ATP6C_rpt2', NULL, NULL, 'ATP-synt_Vo_c_ATP6C_rpt2', 14710),
(14711, 'cd06983', NULL, 'cupin_dsy2733', NULL, NULL, 'cupin_dsy2733', 14711),
(14712, 'cd09367', NULL, 'LIM1_Lhx1_Lhx5', NULL, NULL, 'LIM1_Lhx1_Lhx5', 14712),
(14713, 'cd18630', NULL, 'CD_Rhino', NULL, NULL, 'CD_Rhino', 14713),
(14714, 'cd02077', NULL, 'P-type_ATPase_Mg', NULL, NULL, 'P-type_ATPase_Mg', 14714),
(14715, 'cd12807', NULL, 'Esterase_713', NULL, NULL, 'Esterase_713', 14715),
(14716, 'cd15926', NULL, '7tmA_RNL3R1', NULL, NULL, '7tmA_RNL3R1', 14716),
(14717, 'cd05572', NULL, 'STKc_cGK', NULL, NULL, 'STKc_cGK', 14717),
(14718, 'cd00140', NULL, 'beta_clamp', NULL, NULL, 'beta_clamp', 14718),
(14719, 'cd18762', NULL, 'PIN_MtVapC3-like', NULL, NULL, 'PIN_MtVapC3-like', 14719),
(14720, 'cd19876', NULL, 'DSRM_RNT1p-like', NULL, NULL, 'DSRM_RNT1p-like', 14720),
(14721, 'cd03007', NULL, 'PDI_a_ERp29_N', NULL, NULL, 'PDI_a_ERp29_N', 14721),
(14722, 'cd07818', NULL, 'SRPBCC_1', NULL, NULL, 'SRPBCC_1', 14722),
(14723, 'cd17399', NULL, 'MFS_MFSD7', NULL, NULL, 'MFS_MFSD7', 14723),
(14724, 'cd05940', NULL, 'FATP_FACS', NULL, NULL, 'FATP_FACS', 14724),
(14725, 'cd13140', NULL, 'MATE_like_1', NULL, NULL, 'MATE_like_1', 14725),
(14726, 'cd14719', NULL, 'bZIP_BACH', NULL, NULL, 'bZIP_BACH', 14726),
(14727, 'cd19356', NULL, 'Wnt_Wnt10b', NULL, NULL, 'Wnt_Wnt10b', 14727),
(14728, 'cd11602', NULL, 'Ndc10', NULL, NULL, 'Ndc10', 14728),
(14729, 'cd20607', NULL, 'FbiB_C-like', NULL, NULL, 'FbiB_C-like', 14729),
(14730, 'cd12832', NULL, 'TmCorA-like_u3', NULL, NULL, 'TmCorA-like_u3', 14730),
(14731, 'cd16903', NULL, 'pesticin_lyz-like', NULL, NULL, 'pesticin_lyz-like', 14731),
(14732, 'cd18718', NULL, 'PIN_PRORP', NULL, NULL, 'PIN_PRORP', 14732),
(14733, 'cd20610', NULL, 'Nitro_FMN_reductase_child_20', NULL, NULL, 'Nitro_FMN_reductase_child_20', 14733),
(14734, 'cd13941', NULL, 'PANDER_like_KIAA1199', NULL, NULL, 'PANDER_like_KIAA1199', 14734),
(14735, 'cd04491', NULL, 'SoSSB_OBF', NULL, NULL, 'SoSSB_OBF', 14735),
(14736, 'cd18477', NULL, 'BACK_KLHL40_like', NULL, NULL, 'BACK_KLHL40_like', 14736),
(14737, 'cd02537', NULL, 'GT8_Glycogenin', NULL, NULL, 'GT8_Glycogenin', 14737),
(14738, 'cd19766', NULL, 'Bbox2_TRIM11_C-IV', NULL, NULL, 'Bbox2_TRIM11_C-IV', 14738),
(14739, 'cd09969', NULL, 'UP_IIIb', NULL, NULL, 'UP_IIIb', 14739),
(14740, 'cd11513', NULL, 'SLC6sbd_SERT', NULL, NULL, 'SLC6sbd_SERT', 14740),
(14741, 'cd15158', NULL, '7tmA_CysLTR1', NULL, NULL, '7tmA_CysLTR1', 14741),
(14742, 'cd13929', NULL, 'PT-DMATS_CymD', NULL, NULL, 'PT-DMATS_CymD', 14742),
(14743, 'cd16017', NULL, 'LptA', NULL, NULL, 'LptA', 14743),
(14744, 'cd01175', NULL, 'IPT_COE', NULL, NULL, 'IPT_COE', 14744),
(14745, 'cd15130', NULL, '7tmA_NTSR', NULL, NULL, '7tmA_NTSR', 14745),
(14746, 'cd13984', NULL, 'PK_NRBP1_like', NULL, NULL, 'PK_NRBP1_like', 14746),
(14747, 'cd07112', NULL, 'ALDH_GABALDH-PuuC', NULL, NULL, 'ALDH_GABALDH-PuuC', 14747),
(14748, 'cd16378', NULL, 'CcmH_N', NULL, NULL, 'CcmH_N', 14748),
(14749, 'cd11523', NULL, 'NTP-PPase', NULL, NULL, 'NTP-PPase', 14749),
(14750, 'cd08348', NULL, 'BphC2-C3-RGP6_C_like', NULL, NULL, 'BphC2-C3-RGP6_C_like', 14750),
(14751, 'cd06209', NULL, 'BenDO_FAD_NAD', NULL, NULL, 'BenDO_FAD_NAD', 14751),
(14752, 'cd19368', NULL, 'TenA_C_AtTH2-like', NULL, NULL, 'TenA_C_AtTH2-like', 14752),
(14753, 'cd02035', NULL, 'ArsA', NULL, NULL, 'ArsA', 14753),
(14754, 'cd17030', NULL, 'T3SC_IA_SycH-like', NULL, NULL, 'T3SC_IA_SycH-like', 14754),
(14755, 'cd08941', NULL, '3KS_SDR_c', NULL, NULL, '3KS_SDR_c', 14755),
(14756, 'cd09129', NULL, 'PLDc_unchar2_1', NULL, NULL, 'PLDc_unchar2_1', 14756),
(14757, 'cd01810', NULL, 'Ubl2_ISG15', NULL, NULL, 'Ubl2_ISG15', 14757);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(14758, 'cd07465', NULL, 'CRD_FZ1', NULL, NULL, 'CRD_FZ1', 14758),
(14759, 'cd12585', NULL, 'RRM2_hnRPDL', NULL, NULL, 'RRM2_hnRPDL', 14759),
(14760, 'cd11880', NULL, 'SH3_Caskin', NULL, NULL, 'SH3_Caskin', 14760),
(14761, 'cd08390', NULL, 'C2A_Synaptotagmin-15-17', NULL, NULL, 'C2A_Synaptotagmin-15-17', 14761),
(14762, 'cd17196', NULL, 'FERM_F1_FRMPD2', NULL, NULL, 'FERM_F1_FRMPD2', 14762),
(14763, 'cd07262', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 14763),
(14764, 'cd12632', NULL, 'RRM1_CELF3_4_5_6', NULL, NULL, 'RRM1_CELF3_4_5_6', 14764),
(14765, 'cd15506', NULL, 'PHD1_KMT2A_like', NULL, NULL, 'PHD1_KMT2A_like', 14765),
(14766, 'cd09723', NULL, 'Csx1_III-U', NULL, NULL, 'Csx1_III-U', 14766),
(14767, 'cd03039', NULL, 'GST_N_Sigma_like', NULL, NULL, 'GST_N_Sigma_like', 14767),
(14768, 'cd08608', NULL, 'GDPD_GDE2', NULL, NULL, 'GDPD_GDE2', 14768),
(14769, 'cd15188', NULL, '7tmA_ACKR2_D6', NULL, NULL, '7tmA_ACKR2_D6', 14769),
(14770, 'cd00871', NULL, 'PI4Ka', NULL, NULL, 'PI4Ka', 14770),
(14771, 'cd11425', NULL, 'bHLH_TS_Mesp_like', NULL, NULL, 'bHLH_TS_Mesp_like', 14771),
(14772, 'cd09342', NULL, 'LIM3_Testin_like', NULL, NULL, 'LIM3_Testin_like', 14772),
(14773, 'cd11803', NULL, 'SH3_Endophilin_A', NULL, NULL, 'SH3_Endophilin_A', 14773),
(14774, 'cd12405', NULL, 'RRM3_NCL', NULL, NULL, 'RRM3_NCL', 14774),
(14775, 'cd01912', NULL, 'proteasome_beta', NULL, NULL, 'proteasome_beta', 14775),
(14776, 'cd04818', NULL, 'PA_subtilisin_1', NULL, NULL, 'PA_subtilisin_1', 14776),
(14777, 'cd18447', NULL, 'BACK_KLHL7', NULL, NULL, 'BACK_KLHL7', 14777),
(14778, 'cd02232', NULL, 'cupin_ARD', NULL, NULL, 'cupin_ARD', 14778),
(14779, 'cd04336', NULL, 'YeaK', NULL, NULL, 'YeaK', 14779),
(14780, 'cd06295', NULL, 'PBP1_CelR', NULL, NULL, 'PBP1_CelR', 14780),
(14781, 'cd18496', NULL, 'BACK_LGALS3BP', NULL, NULL, 'BACK_LGALS3BP', 14781),
(14782, 'cd18521', NULL, 'BACK_Tdpoz', NULL, NULL, 'BACK_Tdpoz', 14782),
(14783, 'cd06345', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 14783),
(14784, 'cd14428', NULL, 'UBA2_HR23B', NULL, NULL, 'UBA2_HR23B', 14784),
(14785, 'cd16750', NULL, 'RING-HC_SH3RF3', NULL, NULL, 'RING-HC_SH3RF3', 14785),
(14786, 'cd08542', NULL, 'SAM_PNT-ETS-1', NULL, NULL, 'SAM_PNT-ETS-1', 14786),
(14787, 'cd12146', NULL, 'STING_C', NULL, NULL, 'STING_C', 14787),
(14788, 'cd18288', NULL, 'BTB_POZ_BTBD12_SLX4', NULL, NULL, 'BTB_POZ_BTBD12_SLX4', 14788),
(14789, 'cd15298', NULL, '7tmA_mAChR_M4', NULL, NULL, '7tmA_mAChR_M4', 14789),
(14790, 'cd14195', NULL, 'STKc_DAPK3', NULL, NULL, 'STKc_DAPK3', 14790),
(14791, 'cd18937', NULL, 'bHLH_TS_Myf5', NULL, NULL, 'bHLH_TS_Myf5', 14791),
(14792, 'cd00252', NULL, 'EFh_SPARC_EC', NULL, NULL, 'EFh_SPARC_EC', 14792),
(14793, 'cd03476', NULL, 'Rieske_ArOX_small', NULL, NULL, 'Rieske_ArOX_small', 14793),
(14794, 'cd08625', NULL, 'PI-PLCc_beta3', NULL, NULL, 'PI-PLCc_beta3', 14794),
(14795, 'cd07873', NULL, 'STKc_PCTAIRE1', NULL, NULL, 'STKc_PCTAIRE1', 14795),
(14796, 'cd02016', NULL, 'TPP_E1_OGDC_like', NULL, NULL, 'TPP_E1_OGDC_like', 14796),
(14797, 'cd21399', NULL, 'ZBD_nv_SF1_Hel-like', NULL, NULL, 'ZBD_nv_SF1_Hel-like', 14797),
(14798, 'cd11501', NULL, 'SLC6sbd_ATB0', NULL, NULL, 'SLC6sbd_ATB0', 14798),
(14799, 'cd04869', NULL, 'ACT_GcvR_2', NULL, NULL, 'ACT_GcvR_2', 14799),
(14800, 'cd01754', NULL, 'PLAT_plant_stress', NULL, NULL, 'PLAT_plant_stress', 14800),
(14801, 'cd19095', NULL, 'AKR_PA4992-like', NULL, NULL, 'AKR_PA4992-like', 14801),
(14802, 'cd12760', NULL, 'RRM1_MSI2', NULL, NULL, 'RRM1_MSI2', 14802),
(14803, 'cd10439', NULL, 'GIY-YIG_COG3410', NULL, NULL, 'GIY-YIG_COG3410', 14803),
(14804, 'cd17381', NULL, 'MFS_SLC17A5', NULL, NULL, 'MFS_SLC17A5', 14804),
(14805, 'cd18207', NULL, 'BTB_POZ_ZBTB19_PATZ1', NULL, NULL, 'BTB_POZ_ZBTB19_PATZ1', 14805),
(14806, 'cd12761', NULL, 'RRM1_hnRNPA1', NULL, NULL, 'RRM1_hnRNPA1', 14806),
(14807, 'cd03046', NULL, 'GST_N_GTT1_like', NULL, NULL, 'GST_N_GTT1_like', 14807),
(14808, 'cd11738', NULL, 'HSPA4L_NBD', NULL, NULL, 'HSPA4L_NBD', 14808),
(14809, 'cd03565', NULL, 'VHS_Tom1_like', NULL, NULL, 'VHS_Tom1_like', 14809);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(14810, 'cd18027', NULL, 'DEXHc_SKIV2L', NULL, NULL, 'DEXHc_SKIV2L', 14810),
(14811, 'cd07653', NULL, 'F-BAR_CIP4-like', NULL, NULL, 'F-BAR_CIP4-like', 14811),
(14812, 'cd19922', NULL, 'REC_RitR-like', NULL, NULL, 'REC_RitR-like', 14812),
(14813, 'cd14448', NULL, 'CuRO_2_BOD_CotA_like', NULL, NULL, 'CuRO_2_BOD_CotA_like', 14813),
(14814, 'cd12259', NULL, 'RRM_SRSF11_SREK1', NULL, NULL, 'RRM_SRSF11_SREK1', 14814),
(14815, 'cd00377', NULL, 'ICL_PEPM', NULL, NULL, 'ICL_PEPM', 14815),
(14816, 'cd06533', NULL, 'Glyco_transf_WecG_TagA', NULL, NULL, 'Glyco_transf_WecG_TagA', 14816),
(14817, 'cd06293', NULL, 'PBP1_LacI-like', NULL, NULL, 'PBP1_LacI-like', 14817),
(14818, 'cd17104', NULL, 'FERM_F1_MYLIP', NULL, NULL, 'FERM_F1_MYLIP', 14818),
(14819, 'cd16374', NULL, 'DMSOR_beta_like', NULL, NULL, 'DMSOR_beta_like', 14819),
(14820, 'cd18791', NULL, 'SF2_C_RHA', NULL, NULL, 'SF2_C_RHA', 14820),
(14821, 'cd07020', NULL, 'Clp_protease_NfeD_1', NULL, NULL, 'Clp_protease_NfeD_1', 14821),
(14822, 'cd02080', NULL, 'P-type_ATPase_cation', NULL, NULL, 'P-type_ATPase_cation', 14822),
(14823, 'cd06631', NULL, 'STKc_YSK4', NULL, NULL, 'STKc_YSK4', 14823),
(14824, 'cd10477', NULL, 'EphR_LBD_B2', NULL, NULL, 'EphR_LBD_B2', 14824),
(14825, 'cd08642', NULL, 'DNA_pol_A_pol_I_A', NULL, NULL, 'DNA_pol_A_pol_I_A', 14825),
(14826, 'cd07531', NULL, 'HAD_Pase_UmpH-like', NULL, NULL, 'HAD_Pase_UmpH-like', 14826),
(14827, 'cd15080', NULL, '7tmA_MWS_opsin', NULL, NULL, '7tmA_MWS_opsin', 14827),
(14828, 'cd09690', NULL, 'Cas7_I-B', NULL, NULL, 'Cas7_I-B', 14828),
(14829, 'cd03730', NULL, 'SOCS_ASB14', NULL, NULL, 'SOCS_ASB14', 14829),
(14830, 'cd05499', NULL, 'Bromo_BDF1_2_II', NULL, NULL, 'Bromo_BDF1_2_II', 14830),
(14831, 'cd19875', NULL, 'DSRM_EIF2AK2-like', NULL, NULL, 'DSRM_EIF2AK2-like', 14831),
(14832, 'cd09471', NULL, 'LIM2_Isl2', NULL, NULL, 'LIM2_Isl2', 14832),
(14833, 'cd06645', NULL, 'STKc_MAP4K3', NULL, NULL, 'STKc_MAP4K3', 14833),
(14834, 'cd08621', NULL, 'PI-PLCXDc_like_2', NULL, NULL, 'PI-PLCXDc_like_2', 14834),
(14835, 'cd12179', NULL, '2-Hacid_dh_14', NULL, NULL, '2-Hacid_dh_14', 14835),
(14836, 'cd14729', NULL, 'RtxA-like', NULL, NULL, 'RtxA-like', 14836),
(14837, 'cd01907', NULL, 'GlxB', NULL, NULL, 'GlxB', 14837),
(14838, 'cd03388', NULL, 'PAP2_SPPase1', NULL, NULL, 'PAP2_SPPase1', 14838),
(14839, 'cd04204', NULL, 'Pseudoazurin_like', NULL, NULL, 'Pseudoazurin_like', 14839),
(14840, 'cd16613', NULL, 'RING-HC_UHRF', NULL, NULL, 'RING-HC_UHRF', 14840),
(14841, 'cd16873', NULL, 'ARID_KDM5A', NULL, NULL, 'ARID_KDM5A', 14841),
(14842, 'cd01741', NULL, 'GATase1_1', NULL, NULL, 'GATase1_1', 14842),
(14843, 'cd02114', NULL, 'bact_SorA_Moco', NULL, NULL, 'bact_SorA_Moco', 14843),
(14844, 'cd06536', NULL, 'CIDE_N_ICAD', NULL, NULL, 'CIDE_N_ICAD', 14844),
(14845, 'cd18106', NULL, 'SpoU-like_RNMTL1', NULL, NULL, 'SpoU-like_RNMTL1', 14845),
(14846, 'cd05798', NULL, 'SIS_TAL_PGI', NULL, NULL, 'SIS_TAL_PGI', 14846),
(14847, 'cd13867', NULL, 'CuRO_2_CueO_FtsP', NULL, NULL, 'CuRO_2_CueO_FtsP', 14847),
(14848, 'cd14942', NULL, 'TRAPPC3_bet3', NULL, NULL, 'TRAPPC3_bet3', 14848),
(14849, 'cd20251', NULL, 'Complex1_LYR_SF', NULL, NULL, 'Complex1_LYR_SF', 14849),
(14850, 'cd11730', NULL, 'Tthb094_like_SDR_c', NULL, NULL, 'Tthb094_like_SDR_c', 14850),
(14851, 'cd00876', NULL, 'Ras', NULL, NULL, 'Ras', 14851),
(14852, 'cd00182', NULL, 'TBOX', NULL, NULL, 'TBOX', 14852),
(14853, 'cd13401', NULL, 'Slt70-like', NULL, NULL, 'Slt70-like', 14853),
(14854, 'cd08835', NULL, 'ArfGap_ACAP', NULL, NULL, 'ArfGap_ACAP', 14854),
(14855, 'cd10441', NULL, 'GIY-YIG_COG1833', NULL, NULL, 'GIY-YIG_COG1833', 14855),
(14856, 'cd06248', NULL, 'M14_CP_insect', NULL, NULL, 'M14_CP_insect', 14856),
(14857, 'cd18754', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 14857),
(14858, 'cd13259', NULL, 'PH5_ARAP', NULL, NULL, 'PH5_ARAP', 14858),
(14859, 'cd17300', NULL, 'PIPKc_PIKfyve', NULL, NULL, 'PIPKc_PIKfyve', 14859),
(14860, 'cd19362', NULL, 'TenA_C_SsTenA-1-like', NULL, NULL, 'TenA_C_SsTenA-1-like', 14860),
(14861, 'cd18199', NULL, 'BTB_POZ_ZBTB8', NULL, NULL, 'BTB_POZ_ZBTB8', 14861);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(14862, 'cd11358', NULL, 'RNase_PH', NULL, NULL, 'RNase_PH', 14862),
(14863, 'cd05116', NULL, 'PTKc_Syk', NULL, NULL, 'PTKc_Syk', 14863),
(14864, 'cd08453', NULL, 'PBP2_IlvR', NULL, NULL, 'PBP2_IlvR', 14864),
(14865, 'cd16322', NULL, 'TTHA1623-like_MBL-fold', NULL, NULL, 'TTHA1623-like_MBL-fold', 14865),
(14866, 'cd03031', NULL, 'GRX_GRX_like', NULL, NULL, 'GRX_GRX_like', 14866),
(14867, 'cd06210', NULL, 'MMO_FAD_NAD_binding', NULL, NULL, 'MMO_FAD_NAD_binding', 14867),
(14868, 'cd18252', NULL, 'BTB_POZ_KLHL23', NULL, NULL, 'BTB_POZ_KLHL23', 14868),
(14869, 'cd11328', NULL, 'AmyAc_maltase', NULL, NULL, 'AmyAc_maltase', 14869),
(14870, 'cd16889', NULL, 'chitinase-like', NULL, NULL, 'chitinase-like', 14870),
(14871, 'cd14707', NULL, 'bZIP_plant_BZIP46', NULL, NULL, 'bZIP_plant_BZIP46', 14871),
(14872, 'cd07071', NULL, 'NR_LBD_Nurr1', NULL, NULL, 'NR_LBD_Nurr1', 14872),
(14873, 'cd16788', NULL, 'mRING-HC-C3HC5_RNF26', NULL, NULL, 'mRING-HC-C3HC5_RNF26', 14873),
(14874, 'cd02197', NULL, 'HypE', NULL, NULL, 'HypE', 14874),
(14875, 'cd01967', NULL, 'Nitrogenase_MoFe_alpha_like', NULL, NULL, 'Nitrogenase_MoFe_alpha_like', 14875),
(14876, 'cd21565', NULL, 'betaCoV_M', NULL, NULL, 'betaCoV_M', 14876),
(14877, 'cd04468', NULL, 'S1_eIF5A', NULL, NULL, 'S1_eIF5A', 14877),
(14878, 'cd10228', NULL, 'HSPA4_like_NDB', NULL, NULL, 'HSPA4_like_NDB', 14878),
(14879, 'cd17440', NULL, 'MFS_SV2C', NULL, NULL, 'MFS_SV2C', 14879),
(14880, 'cd08619', NULL, 'PI-PLCXDc_plant', NULL, NULL, 'PI-PLCXDc_plant', 14880),
(14881, 'cd20491', NULL, 'cupin_KduI_C', NULL, NULL, 'cupin_KduI_C', 14881),
(14882, 'cd17250', NULL, 'RMtype1_S_Eco4255II_TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Eco4255II_TRD2-CR2_like', 14882),
(14883, 'cd00999', NULL, 'PBP2_ArtJ', NULL, NULL, 'PBP2_ArtJ', 14883),
(14884, 'cd16462', NULL, 'RING-H2_Pep3p_like', NULL, NULL, 'RING-H2_Pep3p_like', 14884),
(14885, 'cd04939', NULL, 'PA2301', NULL, NULL, 'PA2301', 14885),
(14886, 'cd08248', NULL, 'RTN4I1', NULL, NULL, 'RTN4I1', 14886),
(14887, 'cd16896', NULL, 'LT_Slt70-like', NULL, NULL, 'LT_Slt70-like', 14887),
(14888, 'cd19868', NULL, 'DSRM_DGCR8_rpt2', NULL, NULL, 'DSRM_DGCR8_rpt2', 14888),
(14889, 'cd15719', NULL, 'FYVE_WDFY3', NULL, NULL, 'FYVE_WDFY3', 14889),
(14890, 'cd03354', NULL, 'LbH_SAT', NULL, NULL, 'LbH_SAT', 14890),
(14891, 'cd15187', NULL, '7tmA_CCR8', NULL, NULL, '7tmA_CCR8', 14891),
(14892, 'cd02663', NULL, 'Peptidase_C19G', NULL, NULL, 'Peptidase_C19G', 14892),
(14893, 'cd02904', NULL, 'Macro_H2A-like', NULL, NULL, 'Macro_H2A-like', 14893),
(14894, 'cd03587', NULL, 'SOCS', NULL, NULL, 'SOCS', 14894),
(14895, 'cd12090', NULL, 'MDA5_ID', NULL, NULL, 'MDA5_ID', 14895),
(14896, 'cd18275', NULL, 'BTB_POZ_KBTBD11', NULL, NULL, 'BTB_POZ_KBTBD11', 14896),
(14897, 'cd10018', NULL, 'BfiI_C', NULL, NULL, 'BfiI_C', 14897),
(14898, 'cd04741', NULL, 'DHOD_1A_like', NULL, NULL, 'DHOD_1A_like', 14898),
(14899, 'cd12742', NULL, 'RRM3_ESRP1_ESRP2', NULL, NULL, 'RRM3_ESRP1_ESRP2', 14899),
(14900, 'cd05508', NULL, 'Bromo_RACK7', NULL, NULL, 'Bromo_RACK7', 14900),
(14901, 'cd17662', NULL, 'PFA-DSP_Oca4', NULL, NULL, 'PFA-DSP_Oca4', 14901),
(14902, 'cd11720', NULL, 'FANCI', NULL, NULL, 'FANCI', 14902),
(14903, 'cd07084', NULL, 'ALDH_KGSADH-like', NULL, NULL, 'ALDH_KGSADH-like', 14903),
(14904, 'cd00714', NULL, 'GFAT', NULL, NULL, 'GFAT', 14904),
(14905, 'cd03556', NULL, 'L-fucose_isomerase', NULL, NULL, 'L-fucose_isomerase', 14905),
(14906, 'cd03188', NULL, 'GST_C_Beta', NULL, NULL, 'GST_C_Beta', 14906),
(14907, 'cd08796', NULL, 'Death_IRAK-M', NULL, NULL, 'Death_IRAK-M', 14907),
(14908, 'cd13925', NULL, 'RPF', NULL, NULL, 'RPF', 14908),
(14909, 'cd11949', NULL, 'SH3_GRB2_C', NULL, NULL, 'SH3_GRB2_C', 14909),
(14910, 'cd00027', NULL, 'BRCT', NULL, NULL, 'BRCT', 14910),
(14911, 'cd15175', NULL, '7tmA_CCR7', NULL, NULL, '7tmA_CCR7', 14911),
(14912, 'cd00083', NULL, 'bHLH_SF', NULL, NULL, 'bHLH_SF', 14912),
(14913, 'cd11717', NULL, 'THUMP_THUMPD1_like', NULL, NULL, 'THUMP_THUMPD1_like', 14913),
(14914, 'cd04652', NULL, 'LbH_eIF2B_gamma_C', NULL, NULL, 'LbH_eIF2B_gamma_C', 14914);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(14915, 'cd16365', NULL, 'NarH_like', NULL, NULL, 'NarH_like', 14915),
(14916, 'cd18370', NULL, 'BTB_POZ_KCTD11', NULL, NULL, 'BTB_POZ_KCTD11', 14916),
(14917, 'cd16228', NULL, 'EFh_CREC_Calumenin', NULL, NULL, 'EFh_CREC_Calumenin', 14917),
(14918, 'cd16648', NULL, 'mRING-HC-C3HC5_MAPL', NULL, NULL, 'mRING-HC-C3HC5_MAPL', 14918),
(14919, 'cd07403', NULL, 'MPP_TTHA0053', NULL, NULL, 'MPP_TTHA0053', 14919),
(14920, 'cd14503', NULL, 'PTP-bact', NULL, NULL, 'PTP-bact', 14920),
(14921, 'cd00353', NULL, 'Ribosomal_S15p_S13e', NULL, NULL, 'Ribosomal_S15p_S13e', 14921),
(14922, 'cd13276', NULL, 'PH_AtPH1', NULL, NULL, 'PH_AtPH1', 14922),
(14923, 'cd16719', NULL, 'RING-HC_LNX4', NULL, NULL, 'RING-HC_LNX4', 14923),
(14924, 'cd07524', NULL, 'HAD_Pase', NULL, NULL, 'HAD_Pase', 14924),
(14925, 'cd07092', NULL, 'ALDH_ABALDH-YdcW', NULL, NULL, 'ALDH_ABALDH-YdcW', 14925),
(14926, 'cd03568', NULL, 'VHS_STAM', NULL, NULL, 'VHS_STAM', 14926),
(14927, 'cd06097', NULL, 'Aspergillopepsin_like', NULL, NULL, 'Aspergillopepsin_like', 14927),
(14928, 'cd14821', NULL, 'BACK_SPOP_like', NULL, NULL, 'BACK_SPOP_like', 14928),
(14929, 'cd13898', NULL, 'CuRO_3_Abr2_like', NULL, NULL, 'CuRO_3_Abr2_like', 14929),
(14930, 'cd04412', NULL, 'NDPk7B', NULL, NULL, 'NDPk7B', 14930),
(14931, 'cd07837', NULL, 'STKc_CdkB_plant', NULL, NULL, 'STKc_CdkB_plant', 14931),
(14932, 'cd06881', NULL, 'PX_SNX15_like', NULL, NULL, 'PX_SNX15_like', 14932),
(14933, 'cd04267', NULL, 'ZnMc_ADAM_like', NULL, NULL, 'ZnMc_ADAM_like', 14933),
(14934, 'cd09985', NULL, 'LOTUS_1_TDRD5', NULL, NULL, 'LOTUS_1_TDRD5', 14934),
(14935, 'cd08695', NULL, 'C2_Dock-B', NULL, NULL, 'C2_Dock-B', 14935),
(14936, 'cd14359', NULL, 'UBA_AeNAC', NULL, NULL, 'UBA_AeNAC', 14936),
(14937, 'cd05077', NULL, 'PTK_Jak1_rpt1', NULL, NULL, 'PTK_Jak1_rpt1', 14937),
(14938, 'cd02994', NULL, 'PDI_a_TMX', NULL, NULL, 'PDI_a_TMX', 14938),
(14939, 'cd09128', NULL, 'PLDc_unchar1_2', NULL, NULL, 'PLDc_unchar1_2', 14939),
(14940, 'cd07979', NULL, 'TAF9', NULL, NULL, 'TAF9', 14940),
(14941, 'cd08523', NULL, 'Reeler_cohesin_like', NULL, NULL, 'Reeler_cohesin_like', 14941),
(14942, 'cd14115', NULL, 'STKc_Kalirin_C', NULL, NULL, 'STKc_Kalirin_C', 14942),
(14943, 'cd15016', NULL, '7tm_TAS2R1', NULL, NULL, '7tm_TAS2R1', 14943),
(14944, 'cd07494', NULL, 'Peptidases_S8_10', NULL, NULL, 'Peptidases_S8_10', 14944),
(14945, 'cd03042', NULL, 'GST_N_Zeta', NULL, NULL, 'GST_N_Zeta', 14945),
(14946, 'cd00959', NULL, 'DeoC', NULL, NULL, 'DeoC', 14946),
(14947, 'cd09174', NULL, 'PLDc_Nuc_like_unchar2', NULL, NULL, 'PLDc_Nuc_like_unchar2', 14947),
(14948, 'cd09566', NULL, 'SAM_liprin-beta1,2_repeat2', NULL, NULL, 'SAM_liprin-beta1,2_repeat2', 14948),
(14949, 'cd06283', NULL, 'PBP1_RegR_EndR_KdgR-like', NULL, NULL, 'PBP1_RegR_EndR_KdgR-like', 14949),
(14950, 'cd00799', NULL, 'INT_Cre_C', NULL, NULL, 'INT_Cre_C', 14950),
(14951, 'cd16622', NULL, 'vRING-HC-C4C4_RBR_RNF217', NULL, NULL, 'vRING-HC-C4C4_RBR_RNF217', 14951),
(14952, 'cd00312', NULL, 'Esterase_lipase', NULL, NULL, 'Esterase_lipase', 14952),
(14953, 'cd19396', NULL, 'TGF_beta_BMP6', NULL, NULL, 'TGF_beta_BMP6', 14953),
(14954, 'cd02680', NULL, 'MIT_calpain7_2', NULL, NULL, 'MIT_calpain7_2', 14954),
(14955, 'cd06891', NULL, 'PX_Vps17p', NULL, NULL, 'PX_Vps17p', 14955),
(14956, 'cd15921', NULL, '7tmA_CysLTR', NULL, NULL, '7tmA_CysLTR', 14956),
(14957, 'cd01758', NULL, 'PLAT_LPL', NULL, NULL, 'PLAT_LPL', 14957),
(14958, 'cd06366', NULL, 'PBP1_GABAb_receptor', NULL, NULL, 'PBP1_GABAb_receptor', 14958),
(14959, 'cd11456', NULL, 'bHLHzip_N-Myc_like', NULL, NULL, 'bHLHzip_N-Myc_like', 14959),
(14960, 'cd19832', NULL, 'Bbox2_MuRF2_C-II', NULL, NULL, 'Bbox2_MuRF2_C-II', 14960),
(14961, 'cd15883', NULL, 'SNARE_syntaxin4', NULL, NULL, 'SNARE_syntaxin4', 14961),
(14962, 'cd16630', NULL, 'RING-HC_RBR_RNF216', NULL, NULL, 'RING-HC_RBR_RNF216', 14962),
(14963, 'cd00822', NULL, 'TopoII_Trans_DNA_gyrase', NULL, NULL, 'TopoII_Trans_DNA_gyrase', 14963),
(14964, 'cd00323', NULL, 'uS7', NULL, NULL, 'uS7', 14964),
(14965, 'cd10151', NULL, 'TthCsoR-like_DUF156', NULL, NULL, 'TthCsoR-like_DUF156', 14965);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(14966, 'cd14240', NULL, 'GAT_GGA3', NULL, NULL, 'GAT_GGA3', 14966),
(14967, 'cd04822', NULL, 'PA_M28_1_3', NULL, NULL, 'PA_M28_1_3', 14967),
(14968, 'cd10530', NULL, 'SET_SETD7', NULL, NULL, 'SET_SETD7', 14968),
(14969, 'cd15707', NULL, 'ePHD_RNO', NULL, NULL, 'ePHD_RNO', 14969),
(14970, 'cd07501', NULL, 'HAD_MDP-1_like', NULL, NULL, 'HAD_MDP-1_like', 14970),
(14971, 'cd13438', NULL, 'SPFH_eoslipins_u2', NULL, NULL, 'SPFH_eoslipins_u2', 14971),
(14972, 'cd03867', NULL, 'M14_CPZ', NULL, NULL, 'M14_CPZ', 14972),
(14973, 'cd08062', NULL, 'MPN_RPN7_8', NULL, NULL, 'MPN_RPN7_8', 14973),
(14974, 'cd12257', NULL, 'RRM1_RBM26_like', NULL, NULL, 'RRM1_RBM26_like', 14974),
(14975, 'cd08885', NULL, 'RHO_alpha_C_1', NULL, NULL, 'RHO_alpha_C_1', 14975),
(14976, 'cd09545', NULL, 'SAM_EPH-A4', NULL, NULL, 'SAM_EPH-A4', 14976),
(14977, 'cd19800', NULL, 'Bbox2_xNF7-like', NULL, NULL, 'Bbox2_xNF7-like', 14977),
(14978, 'cd20296', NULL, 'cupin_PpnP-like', NULL, NULL, 'cupin_PpnP-like', 14978),
(14979, 'cd09929', NULL, 'SH2_BLNK_SLP-76', NULL, NULL, 'SH2_BLNK_SLP-76', 14979),
(14980, 'cd13870', NULL, 'CuRO_2_CopA_like_1', NULL, NULL, 'CuRO_2_CopA_like_1', 14980),
(14981, 'cd05791', NULL, 'S1_CSL4', NULL, NULL, 'S1_CSL4', 14981),
(14982, 'cd08231', NULL, 'MDR_TM0436_like', NULL, NULL, 'MDR_TM0436_like', 14982),
(14983, 'cd11995', NULL, 'SH3_Intersectin1_5', NULL, NULL, 'SH3_Intersectin1_5', 14983),
(14984, 'cd01179', NULL, 'IPT_plexin_repeat2', NULL, NULL, 'IPT_plexin_repeat2', 14984),
(14985, 'cd11915', NULL, 'SH3_Irsp53', NULL, NULL, 'SH3_Irsp53', 14985),
(14986, 'cd16443', NULL, 'LplA', NULL, NULL, 'LplA', 14986),
(14987, 'cd18020', NULL, 'DEXHc_ASCC3_1', NULL, NULL, 'DEXHc_ASCC3_1', 14987),
(14988, 'cd10814', NULL, 'GH38N_AMII_SpGH38_like', NULL, NULL, 'GH38N_AMII_SpGH38_like', 14988),
(14989, 'cd21658', NULL, 'gammaCoV_Nsp14', NULL, NULL, 'gammaCoV_Nsp14', 14989),
(14990, 'cd07900', NULL, 'Adenylation_DNA_ligase_I_Euk', NULL, NULL, 'Adenylation_DNA_ligase_I_Euk', 14990),
(14991, 'cd18527', NULL, 'BACK_BTBD11', NULL, NULL, 'BACK_BTBD11', 14991),
(14992, 'cd00053', NULL, 'EGF', NULL, NULL, 'EGF', 14992),
(14993, 'cd19973', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, 'PBP1_ABC_sugar_binding-like', 14993),
(14994, 'cd18956', NULL, 'BTB_POZ_ZBTB42', NULL, NULL, 'BTB_POZ_ZBTB42', 14994),
(14995, 'cd07667', NULL, 'BAR_SNX30', NULL, NULL, 'BAR_SNX30', 14995),
(14996, 'cd09749', NULL, 'Cmr5_III-B', NULL, NULL, 'Cmr5_III-B', 14996),
(14997, 'cd18610', NULL, 'GH130_BT3780-like', NULL, NULL, 'GH130_BT3780-like', 14997),
(14998, 'cd15855', NULL, 'SNARE_SNAP25C_23C', NULL, NULL, 'SNARE_SNAP25C_23C', 14998),
(14999, 'cd14772', NULL, 'TrHb2_Bs-trHb-like_O', NULL, NULL, 'TrHb2_Bs-trHb-like_O', 14999),
(15000, 'cd16161', NULL, 'ARSG', NULL, NULL, 'ARSG', 15000),
(15001, 'cd16020', NULL, 'GPI_EPT_1', NULL, NULL, 'GPI_EPT_1', 15001),
(15002, 'cd01194', NULL, 'INT_C_like_4', NULL, NULL, 'INT_C_like_4', 15002),
(15003, 'cd18784', NULL, 'ABC_6TM_ABCB9_like', NULL, NULL, 'ABC_6TM_ABCB9_like', 15003),
(15004, 'cd00351', NULL, 'TS_Pyrimidine_HMase', NULL, NULL, 'TS_Pyrimidine_HMase', 15004),
(15005, 'cd02996', NULL, 'PDI_a_ERp44', NULL, NULL, 'PDI_a_ERp44', 15005),
(15006, 'cd15811', NULL, 'SPRY_PRY_TRIM11', NULL, NULL, 'SPRY_PRY_TRIM11', 15006),
(15007, 'cd05691', NULL, 'S1_RPS1_repeat_ec6', NULL, NULL, 'S1_RPS1_repeat_ec6', 15007),
(15008, 'cd14323', NULL, 'UBA_PLCs_like', NULL, NULL, 'UBA_PLCs_like', 15008),
(15009, 'cd16492', NULL, 'RING-CH-C4HC3_NFX1_like', NULL, NULL, 'RING-CH-C4HC3_NFX1_like', 15009),
(15010, 'cd16749', NULL, 'RING-HC_SH3RF2', NULL, NULL, 'RING-HC_SH3RF2', 15010),
(15011, 'cd01824', NULL, 'Phospholipase_B_like', NULL, NULL, 'Phospholipase_B_like', 15011),
(15012, 'cd16310', NULL, 'Mbl1b-like_MBL-B3', NULL, NULL, 'Mbl1b-like_MBL-B3', 15012),
(15013, 'cd04330', NULL, 'RNAP_III_Rpc25_N', NULL, NULL, 'RNAP_III_Rpc25_N', 15013),
(15014, 'cd16994', NULL, 'ENTH_Ent4', NULL, NULL, 'ENTH_Ent4', 15014),
(15015, 'cd05298', NULL, 'GH4_GlvA_pagL_like', NULL, NULL, 'GH4_GlvA_pagL_like', 15015),
(15016, 'cd17299', NULL, 'acetolactate_decarboxylase', NULL, NULL, 'acetolactate_decarboxylase', 15016);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(15017, 'cd06164', NULL, 'S2P-M50_SpoIVFB_CBS', NULL, NULL, 'S2P-M50_SpoIVFB_CBS', 15017),
(15018, 'cd07884', NULL, 'RHD-n_Relish', NULL, NULL, 'RHD-n_Relish', 15018),
(15019, 'cd01849', NULL, 'YlqF_related_GTPase', NULL, NULL, 'YlqF_related_GTPase', 15019),
(15020, 'cd17448', NULL, 'MFS_SLC46A3', NULL, NULL, 'MFS_SLC46A3', 15020),
(15021, 'cd04403', NULL, 'RhoGAP_ARHGAP27_15_12_9', NULL, NULL, 'RhoGAP_ARHGAP27_15_12_9', 15021),
(15022, 'cd06197', NULL, 'FNR_like_2', NULL, NULL, 'FNR_like_2', 15022),
(15023, 'cd14016', NULL, 'STKc_CK1', NULL, NULL, 'STKc_CK1', 15023),
(15024, 'cd15368', NULL, '7tmA_P2Y8', NULL, NULL, '7tmA_P2Y8', 15024),
(15025, 'cd19078', NULL, 'AKR_AKR13C1_2', NULL, NULL, 'AKR_AKR13C1_2', 15025),
(15026, 'cd17431', NULL, 'MFS_GLUT_Class1', NULL, NULL, 'MFS_GLUT_Class1', 15026),
(15027, 'cd02885', NULL, 'IPP_Isomerase', NULL, NULL, 'IPP_Isomerase', 15027),
(15028, 'cd05016', NULL, 'SIS_PGI_2', NULL, NULL, 'SIS_PGI_2', 15028),
(15029, 'cd04012', NULL, 'C2A_PI3K_class_II', NULL, NULL, 'C2A_PI3K_class_II', 15029),
(15030, 'cd13390', NULL, 'PH_LARG', NULL, NULL, 'PH_LARG', 15030),
(15031, 'cd03255', NULL, 'ABC_MJ0796_LolCDE_FtsE', NULL, NULL, 'ABC_MJ0796_LolCDE_FtsE', 15031),
(15032, 'cd03394', NULL, 'PAP2_like_5', NULL, NULL, 'PAP2_like_5', 15032),
(15033, 'cd01456', NULL, 'vWA_ywmD_type', NULL, NULL, 'vWA_ywmD_type', 15033),
(15034, 'cd10380', NULL, 'SH2_Jak3', NULL, NULL, 'SH2_Jak3', 15034),
(15035, 'cd12776', NULL, 'RRM2_HuC', NULL, NULL, 'RRM2_HuC', 15035),
(15036, 'cd19572', NULL, 'serpinB13_headpin', NULL, NULL, 'serpinB13_headpin', 15036),
(15037, 'cd02204', NULL, 'PurL_repeat2', NULL, NULL, 'PurL_repeat2', 15037),
(15038, 'cd05374', NULL, '17beta-HSD-like_SDR_c', NULL, NULL, '17beta-HSD-like_SDR_c', 15038),
(15039, 'cd01413', NULL, 'SIR2_Af2', NULL, NULL, 'SIR2_Af2', 15039),
(15040, 'cd04455', NULL, 'S1_NusA', NULL, NULL, 'S1_NusA', 15040),
(15041, 'cd14001', NULL, 'PKc_TOPK', NULL, NULL, 'PKc_TOPK', 15041),
(15042, 'cd10916', NULL, 'CE4_PuuE_HpPgdA_like', NULL, NULL, 'CE4_PuuE_HpPgdA_like', 15042),
(15043, 'cd08799', NULL, 'Death_UNC5C', NULL, NULL, 'Death_UNC5C', 15043),
(15044, 'cd11633', NULL, 'HR1_Rhophilin-1', NULL, NULL, 'HR1_Rhophilin-1', 15044),
(15045, 'cd16832', NULL, 'CNF1_CheD_YfiH-like', NULL, NULL, 'CNF1_CheD_YfiH-like', 15045),
(15046, 'cd06825', NULL, 'PLPDE_III_VanT', NULL, NULL, 'PLPDE_III_VanT', 15046),
(15047, 'cd12466', NULL, 'RRM2_AtRSp31_like', NULL, NULL, 'RRM2_AtRSp31_like', 15047),
(15048, 'cd09740', NULL, 'Csx3_III-U', NULL, NULL, 'Csx3_III-U', 15048),
(15049, 'cd12700', NULL, 'RRM3_hnRPLL', NULL, NULL, 'RRM3_hnRPLL', 15049),
(15050, 'cd02809', NULL, 'alpha_hydroxyacid_oxid_FMN', NULL, NULL, 'alpha_hydroxyacid_oxid_FMN', 15050),
(15051, 'cd08502', NULL, 'PBP2_NikA_DppA_OppA_like_16', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_16', 15051),
(15052, 'cd16595', NULL, 'RING-HC_TRIM17_C-IV', NULL, NULL, 'RING-HC_TRIM17_C-IV', 15052),
(15053, 'cd07943', NULL, 'DRE_TIM_HOA', NULL, NULL, 'DRE_TIM_HOA', 15053),
(15054, 'cd14771', NULL, 'TrHb2_Mt-trHbO-like_O', NULL, NULL, 'TrHb2_Mt-trHbO-like_O', 15054),
(15055, 'cd00153', NULL, 'RA_RalGDS_like', NULL, NULL, 'RA_RalGDS_like', 15055),
(15056, 'cd19098', NULL, 'AKR_unchar', NULL, NULL, 'AKR_unchar', 15056),
(15057, 'cd01421', NULL, 'IMPCH', NULL, NULL, 'IMPCH', 15057),
(15058, 'cd03442', NULL, 'BFIT_BACH', NULL, NULL, 'BFIT_BACH', 15058),
(15059, 'cd18339', NULL, 'BTB_POZ_KLHL3', NULL, NULL, 'BTB_POZ_KLHL3', 15059),
(15060, 'cd01395', NULL, 'HMT_MBD', NULL, NULL, 'HMT_MBD', 15060),
(15061, 'cd05563', NULL, 'PTS_IIB_ascorbate', NULL, NULL, 'PTS_IIB_ascorbate', 15061),
(15062, 'cd17249', NULL, 'RMtype1_S_EcoR124I-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_EcoR124I-TRD2-CR2_like', 15062),
(15063, 'cd18735', NULL, 'PIN_HiVapC1-like', NULL, NULL, 'PIN_HiVapC1-like', 15063),
(15064, 'cd07086', NULL, 'ALDH_F7_AASADH-like', NULL, NULL, 'ALDH_F7_AASADH-like', 15064),
(15065, 'cd13757', NULL, 'TGF_beta_AMH', NULL, NULL, 'TGF_beta_AMH', 15065),
(15066, 'cd15617', NULL, 'PHD_UHRF2', NULL, NULL, 'PHD_UHRF2', 15066),
(15067, 'cd02136', NULL, 'PnbA_NfnB-like', NULL, NULL, 'PnbA_NfnB-like', 15067); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(15068, 'cd05840', NULL, 'SPBC215_ISWI_like', NULL, NULL, 'SPBC215_ISWI_like', 15068),
(15069, 'cd14952', NULL, 'NHL_PKND_like', NULL, NULL, 'NHL_PKND_like', 15069),
(15070, 'cd18446', NULL, 'BACK_KLHL6', NULL, NULL, 'BACK_KLHL6', 15070),
(15071, 'cd10555', NULL, 'EBDH_beta', NULL, NULL, 'EBDH_beta', 15071),
(15072, 'cd08166', NULL, 'MPP_Cdc1_like_1', NULL, NULL, 'MPP_Cdc1_like_1', 15072),
(15073, 'cd12137', NULL, 'GbX', NULL, NULL, 'GbX', 15073),
(15074, 'cd02742', NULL, 'GH20_hexosaminidase', NULL, NULL, 'GH20_hexosaminidase', 15074),
(15075, 'cd06906', NULL, 'M14_Nna1', NULL, NULL, 'M14_Nna1', 15075),
(15076, 'cd08826', NULL, 'SPFH_eoslipins_u1', NULL, NULL, 'SPFH_eoslipins_u1', 15076),
(15077, 'cd09130', NULL, 'PLDc_unchar2_2', NULL, NULL, 'PLDc_unchar2_2', 15077),
(15078, 'cd11744', NULL, 'MIT_CorA-like', NULL, NULL, 'MIT_CorA-like', 15078),
(15079, 'cd16816', NULL, 'mRING-HC-C3HC5_MGRN1', NULL, NULL, 'mRING-HC-C3HC5_MGRN1', 15079),
(15080, 'sd00019', NULL, 'ZF_C2H2', NULL, NULL, 'ZF_C2H2', 15080),
(15081, 'cd18908', NULL, 'bHLH_SOHLH1_2', NULL, NULL, 'bHLH_SOHLH1_2', 15081),
(15082, 'cd03232', NULL, 'ABCG_PDR_domain2', NULL, NULL, 'ABCG_PDR_domain2', 15082),
(15083, 'cd14552', NULL, 'R-PTPc-A-E-2', NULL, NULL, 'R-PTPc-A-E-2', 15083),
(15084, 'cd00010', NULL, 'AAI_LTSS', NULL, NULL, 'AAI_LTSS', 15084),
(15085, 'cd14946', NULL, 'Tet_JBP', NULL, NULL, 'Tet_JBP', 15085),
(15086, 'cd06543', NULL, 'GH18_PF-ChiA-like', NULL, NULL, 'GH18_PF-ChiA-like', 15086),
(15087, 'cd08148', NULL, 'RuBisCO_large', NULL, NULL, 'RuBisCO_large', 15087),
(15088, 'cd09331', NULL, 'LIM1_PINCH', NULL, NULL, 'LIM1_PINCH', 15088),
(15089, 'cd09366', NULL, 'LIM1_Isl', NULL, NULL, 'LIM1_Isl', 15089),
(15090, 'cd06230', NULL, 'M14_ASTE_ASPA_like', NULL, NULL, 'M14_ASTE_ASPA_like', 15090),
(15091, 'cd00023', NULL, 'BBI', NULL, NULL, 'BBI', 15091),
(15092, 'cd02151', NULL, 'nitroreductase', NULL, NULL, 'nitroreductase', 15092),
(15093, 'cd08180', NULL, 'PDD', NULL, NULL, 'PDD', 15093),
(15094, 'cd17393', NULL, 'MFS_MosC_like', NULL, NULL, 'MFS_MosC_like', 15094),
(15095, 'cd06068', NULL, 'H2MP_like-1', NULL, NULL, 'H2MP_like-1', 15095),
(15096, 'cd03131', NULL, 'GATase1_HTS', NULL, NULL, 'GATase1_HTS', 15096),
(15097, 'cd11535', NULL, 'NTP-PPase_SsMazG', NULL, NULL, 'NTP-PPase_SsMazG', 15097),
(15098, 'cd15120', NULL, '7tmA_GPR33', NULL, NULL, '7tmA_GPR33', 15098),
(15099, 'cd07022', NULL, 'S49_Sppa_36K_type', NULL, NULL, 'S49_Sppa_36K_type', 15099),
(15100, 'cd00133', NULL, 'PTS_IIB', NULL, NULL, 'PTS_IIB', 15100),
(15101, 'cd05344', NULL, 'BKR_like_SDR_like', NULL, NULL, 'BKR_like_SDR_like', 15101),
(15102, 'cd05585', NULL, 'STKc_YPK1_like', NULL, NULL, 'STKc_YPK1_like', 15102),
(15103, 'cd16954', NULL, 'HATPase_PhoQ-like', NULL, NULL, 'HATPase_PhoQ-like', 15103),
(15104, 'cd16662', NULL, 'RING-Ubox2_NOSIP', NULL, NULL, 'RING-Ubox2_NOSIP', 15104),
(15105, 'cd00812', NULL, 'LeuRS_core', NULL, NULL, 'LeuRS_core', 15105),
(15106, 'cd06451', NULL, 'AGAT_like', NULL, NULL, 'AGAT_like', 15106),
(15107, 'cd15006', NULL, '7tmA_GPR176', NULL, NULL, '7tmA_GPR176', 15107),
(15108, 'cd00729', NULL, 'rubredoxin_SM', NULL, NULL, 'rubredoxin_SM', 15108),
(15109, 'cd11263', NULL, 'Sema_5A', NULL, NULL, 'Sema_5A', 15109),
(15110, 'cd14126', NULL, 'STKc_CK1_gamma', NULL, NULL, 'STKc_CK1_gamma', 15110),
(15111, 'cd15027', NULL, '7tm_TAS2R43-like', NULL, NULL, '7tm_TAS2R43-like', 15111),
(15112, 'cd11996', NULL, 'SH3_Intersectin2_5', NULL, NULL, 'SH3_Intersectin2_5', 15112),
(15113, 'cd01680', NULL, 'EFG_like_IV', NULL, NULL, 'EFG_like_IV', 15113),
(15114, 'cd19846', NULL, 'Bbox1_TIF1b_C-VI', NULL, NULL, 'Bbox1_TIF1b_C-VI', 15114),
(15115, 'cd17346', NULL, 'MFS_DtpA_like', NULL, NULL, 'MFS_DtpA_like', 15115),
(15116, 'cd19153', NULL, 'AKR_galDH-like', NULL, NULL, 'AKR_galDH-like', 15116),
(15117, 'cd14013', NULL, 'STKc_SNT7_plant', NULL, NULL, 'STKc_SNT7_plant', 15117),
(15118, 'cd11314', NULL, 'AmyAc_arch_bac_plant_AmyA', NULL, NULL, 'AmyAc_arch_bac_plant_AmyA', 15118),
(15119, 'cd12154', NULL, 'FDH_GDH_like', NULL, NULL, 'FDH_GDH_like', 15119);
INSERT INTO "PUBLIC"."MODEL" VALUES
(15120, 'cd15552', NULL, 'PHD_PHF3_like', NULL, NULL, 'PHD_PHF3_like', 15120),
(15121, 'cd00473', NULL, 'bS6', NULL, NULL, 'bS6', 15121),
(15122, 'cd09620', NULL, 'CBM9_like_3', NULL, NULL, 'CBM9_like_3', 15122),
(15123, 'cd12891', NULL, 'SPRY_PRY_C-I_2', NULL, NULL, 'SPRY_PRY_C-I_2', 15123),
(15124, 'cd19566', NULL, 'serpinB7_megsin', NULL, NULL, 'serpinB7_megsin', 15124),
(15125, 'cd05871', NULL, 'Ig_Semaphorin_classIII', NULL, NULL, 'Ig_Semaphorin_classIII', 15125),
(15126, 'cd04384', NULL, 'RhoGAP_CdGAP', NULL, NULL, 'RhoGAP_CdGAP', 15126),
(15127, 'cd06826', NULL, 'PLPDE_III_AR2', NULL, NULL, 'PLPDE_III_AR2', 15127),
(15128, 'cd17233', NULL, 'Ubl_ATG8_GABARAPL1_like', NULL, NULL, 'Ubl_ATG8_GABARAPL1_like', 15128),
(15129, 'cd12339', NULL, 'RRM2_SRSF1_4_like', NULL, NULL, 'RRM2_SRSF1_4_like', 15129),
(15130, 'cd20303', NULL, 'cupin_ChrR_1', NULL, NULL, 'cupin_ChrR_1', 15130),
(15131, 'cd08696', NULL, 'C2_Dock-C', NULL, NULL, 'C2_Dock-C', 15131),
(15132, 'cd19839', NULL, 'Bbox1_TRIM16', NULL, NULL, 'Bbox1_TRIM16', 15132),
(15133, 'cd01294', NULL, 'DHOase', NULL, NULL, 'DHOase', 15133),
(15134, 'cd03414', NULL, 'CbiX_SirB_C', NULL, NULL, 'CbiX_SirB_C', 15134),
(15135, 'cd03859', NULL, 'M14_CPT', NULL, NULL, 'M14_CPT', 15135),
(15136, 'cd03086', NULL, 'PGM3', NULL, NULL, 'PGM3', 15136),
(15137, 'cd12143', NULL, 'SH3_ARHGAP9', NULL, NULL, 'SH3_ARHGAP9', 15137),
(15138, 'cd10980', NULL, 'CE4_SpCDA1', NULL, NULL, 'CE4_SpCDA1', 15138),
(15139, 'cd02526', NULL, 'GT2_RfbF_like', NULL, NULL, 'GT2_RfbF_like', 15139),
(15140, 'cd12719', NULL, 'RRM_SYNJ1', NULL, NULL, 'RRM_SYNJ1', 15140),
(15141, 'cd00712', NULL, 'AsnB', NULL, NULL, 'AsnB', 15141),
(15142, 'cd10141', NULL, 'CopZ-like_Fer2_BFD-like', NULL, NULL, 'CopZ-like_Fer2_BFD-like', 15142),
(15143, 'cd12486', NULL, 'RRM1_ACF', NULL, NULL, 'RRM1_ACF', 15143),
(15144, 'cd13393', NULL, 'PH_ARHGEF2', NULL, NULL, 'PH_ARHGEF2', 15144),
(15145, 'cd14854', NULL, 'TRAPPC2L', NULL, NULL, 'TRAPPC2L', 15145),
(15146, 'cd19423', NULL, 'lipocalin_LTBP1-like', NULL, NULL, 'lipocalin_LTBP1-like', 15146),
(15147, 'cd01727', NULL, 'LSm8', NULL, NULL, 'LSm8', 15147),
(15148, 'cd04395', NULL, 'RhoGAP_ARHGAP21', NULL, NULL, 'RhoGAP_ARHGAP21', 15148),
(15149, 'cd18245', NULL, 'BTB_POZ_KLHL16_gigaxonin', NULL, NULL, 'BTB_POZ_KLHL16_gigaxonin', 15149),
(15150, 'cd16155', NULL, 'sulfatase_like', NULL, NULL, 'sulfatase_like', 15150),
(15151, 'cd07756', NULL, 'CYTH-like_Pase_CHAD', NULL, NULL, 'CYTH-like_Pase_CHAD', 15151),
(15152, 'cd03014', NULL, 'PRX_Atyp2cys', NULL, NULL, 'PRX_Atyp2cys', 15152),
(15153, 'cd09769', NULL, 'Luminal_IRE1', NULL, NULL, 'Luminal_IRE1', 15153),
(15154, 'cd18035', NULL, 'DEXHc_Hef', NULL, NULL, 'DEXHc_Hef', 15154),
(15155, 'cd18006', NULL, 'DEXHc_CHD1L', NULL, NULL, 'DEXHc_CHD1L', 15155),
(15156, 'cd18268', NULL, 'BTB_POZ_KLHL38', NULL, NULL, 'BTB_POZ_KLHL38', 15156),
(15157, 'cd07895', NULL, 'Adenylation_mRNA_capping', NULL, NULL, 'Adenylation_mRNA_capping', 15157),
(15158, 'cd03572', NULL, 'ENTH_like_Tepsin', NULL, NULL, 'ENTH_like_Tepsin', 15158),
(15159, 'cd09589', NULL, 'SAM_TFCP2', NULL, NULL, 'SAM_TFCP2', 15159),
(15160, 'cd16663', NULL, 'RING-Ubox_PPIL2', NULL, NULL, 'RING-Ubox_PPIL2', 15160),
(15161, 'cd10362', NULL, 'SH2_Src_Lck', NULL, NULL, 'SH2_Src_Lck', 15161),
(15162, 'cd13193', NULL, 'FERM_C_FARP1-like', NULL, NULL, 'FERM_C_FARP1-like', 15162),
(15163, 'cd06975', NULL, 'cupin_BacB', NULL, NULL, 'cupin_BacB', 15163),
(15164, 'cd04411', NULL, 'Ribosomal_P1_P2_L12p', NULL, NULL, 'Ribosomal_P1_P2_L12p', 15164),
(15165, 'cd11353', NULL, 'AmyAc_euk_bac_CMD_like', NULL, NULL, 'AmyAc_euk_bac_CMD_like', 15165),
(15166, 'cd16267', NULL, 'HBS1-like_II', NULL, NULL, 'HBS1-like_II', 15166),
(15167, 'cd06184', NULL, 'flavohem_like_fad_nad_binding', NULL, NULL, 'flavohem_like_fad_nad_binding', 15167),
(15168, 'cd12747', NULL, 'RRM2_RBM12', NULL, NULL, 'RRM2_RBM12', 15168),
(15169, 'cd01514', NULL, 'Elongation_Factor_C', NULL, NULL, 'Elongation_Factor_C', 15169),
(15170, 'cd15501', NULL, 'PHD_Int12', NULL, NULL, 'PHD_Int12', 15170),
(15171, 'cd07390', NULL, 'MPP_AQ1575', NULL, NULL, 'MPP_AQ1575', 15171);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(15172, 'cd02888', NULL, 'RNR_II_dimer', NULL, NULL, 'RNR_II_dimer', 15172),
(15173, 'cd11549', NULL, 'Serine_rich_CAS', NULL, NULL, 'Serine_rich_CAS', 15173),
(15174, 'cd04590', NULL, 'CBS_pair_CorC_HlyC_assoc', NULL, NULL, 'CBS_pair_CorC_HlyC_assoc', 15174),
(15175, 'cd06635', NULL, 'STKc_TAO1', NULL, NULL, 'STKc_TAO1', 15175),
(15176, 'cd06122', NULL, 'cupin_TTHA0104', NULL, NULL, 'cupin_TTHA0104', 15176),
(15177, 'cd12069', NULL, 'SH3_ARHGAP27', NULL, NULL, 'SH3_ARHGAP27', 15177),
(15178, 'cd17970', NULL, 'DEAHc_FancJ', NULL, NULL, 'DEAHc_FancJ', 15178),
(15179, 'cd04622', NULL, 'CBS_pair_HRP1_like', NULL, NULL, 'CBS_pair_HRP1_like', 15179),
(15180, 'cd05712', NULL, 'Ig_Siglec_N', NULL, NULL, 'Ig_Siglec_N', 15180),
(15181, 'cd11881', NULL, 'SH3_MYO7A', NULL, NULL, 'SH3_MYO7A', 15181),
(15182, 'cd17347', NULL, 'MFS_SLC15A1_2_like', NULL, NULL, 'MFS_SLC15A1_2_like', 15182),
(15183, 'cd08749', NULL, 'RGS_GRK7', NULL, NULL, 'RGS_GRK7', 15183),
(15184, 'cd17493', NULL, 'toxin_TenpN', NULL, NULL, 'toxin_TenpN', 15184),
(15185, 'cd01094', NULL, 'Alkanesulfonate_monoxygenase', NULL, NULL, 'Alkanesulfonate_monoxygenase', 15185),
(15186, 'cd07925', NULL, 'LigA_like_1', NULL, NULL, 'LigA_like_1', 15186),
(15187, 'cd07231', NULL, 'Pat_SDP1-like', NULL, NULL, 'Pat_SDP1-like', 15187),
(15188, 'cd11359', NULL, 'AmyAc_SLC3A1', NULL, NULL, 'AmyAc_SLC3A1', 15188),
(15189, 'cd13184', NULL, 'FERM_C_4_1_family', NULL, NULL, 'FERM_C_4_1_family', 15189),
(15190, 'cd17172', NULL, 'FERM_F0_TLN2', NULL, NULL, 'FERM_F0_TLN2', 15190),
(15191, 'cd03353', NULL, 'LbH_GlmU_C', NULL, NULL, 'LbH_GlmU_C', 15191),
(15192, 'cd18969', NULL, 'chromodomain', NULL, NULL, 'chromodomain', 15192),
(15193, 'cd12597', NULL, 'RRM1_SRSF1', NULL, NULL, 'RRM1_SRSF1', 15193),
(15194, 'cd03599', NULL, 'CLECT_DGCR2_like', NULL, NULL, 'CLECT_DGCR2_like', 15194),
(15195, 'cd03558', NULL, 'LGIC_ECD', NULL, NULL, 'LGIC_ECD', 15195),
(15196, 'cd04697', NULL, 'Nudix_Hydrolase_38', NULL, NULL, 'Nudix_Hydrolase_38', 15196),
(15197, 'cd08173', NULL, 'Gro1PDH', NULL, NULL, 'Gro1PDH', 15197),
(15198, 'cd12943', NULL, 'LEM_ANKL1', NULL, NULL, 'LEM_ANKL1', 15198),
(15199, 'cd13186', NULL, 'FERM_C_NBL4_NBL5', NULL, NULL, 'FERM_C_NBL4_NBL5', 15199),
(15200, 'cd15220', NULL, '7tmA_GPR61_GPR62-like', NULL, NULL, '7tmA_GPR61_GPR62-like', 15200),
(15201, 'cd06469', NULL, 'p23_DYX1C1_like', NULL, NULL, 'p23_DYX1C1_like', 15201),
(15202, 'cd12246', NULL, 'RRM1_U1A_like', NULL, NULL, 'RRM1_U1A_like', 15202),
(15203, 'cd12180', NULL, '2-Hacid_dh_15', NULL, NULL, '2-Hacid_dh_15', 15203),
(15204, 'cd09465', NULL, 'LIM2_LIMK2', NULL, NULL, 'LIM2_LIMK2', 15204),
(15205, 'cd19147', NULL, 'AKR_AKR9A3_9B1-4', NULL, NULL, 'AKR_AKR9A3_9B1-4', 15205),
(15206, 'cd00761', NULL, 'Glyco_tranf_GTA_type', NULL, NULL, 'Glyco_tranf_GTA_type', 15206),
(15207, 'cd05806', NULL, 'CBM20_laforin', NULL, NULL, 'CBM20_laforin', 15207),
(15208, 'cd14716', NULL, 'bZIP_CEBP-like_1', NULL, NULL, 'bZIP_CEBP-like_1', 15208),
(15209, 'cd09656', NULL, 'Cmr3_III-B', NULL, NULL, 'Cmr3_III-B', 15209),
(15210, 'cd18231', NULL, 'BTB_POZ_ZBTB47_ZNF651', NULL, NULL, 'BTB_POZ_ZBTB47_ZNF651', 15210),
(15211, 'cd18788', NULL, 'SF2_C_XPD', NULL, NULL, 'SF2_C_XPD', 15211),
(15212, 'cd19420', NULL, 'lipocalin_VDE', NULL, NULL, 'lipocalin_VDE', 15212),
(15213, 'cd08913', NULL, 'START_STARD14-like', NULL, NULL, 'START_STARD14-like', 15213),
(15214, 'cd16977', NULL, 'VHS_GGA', NULL, NULL, 'VHS_GGA', 15214),
(15215, 'cd05569', NULL, 'PTS_IIB_fructose', NULL, NULL, 'PTS_IIB_fructose', 15215),
(15216, 'cd03281', NULL, 'ABC_MSH5_euk', NULL, NULL, 'ABC_MSH5_euk', 15216),
(15217, 'cd04719', NULL, 'BAH_Orc1p_animal', NULL, NULL, 'BAH_Orc1p_animal', 15217),
(15218, 'cd05651', NULL, 'M20_ArgE_DapE-like', NULL, NULL, 'M20_ArgE_DapE-like', 15218),
(15219, 'cd03736', NULL, 'SOCS_SOCS2', NULL, NULL, 'SOCS_SOCS2', 15219),
(15220, 'cd01324', NULL, 'cbb3_Oxidase_CcoQ', NULL, NULL, 'cbb3_Oxidase_CcoQ', 15220),
(15221, 'cd16776', NULL, 'RING-HC_RBR_RNF19B', NULL, NULL, 'RING-HC_RBR_RNF19B', 15221),
(15222, 'cd12440', NULL, 'RRM_SYNJ', NULL, NULL, 'RRM_SYNJ', 15222);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(15223, 'cd14770', NULL, 'PC-PEC_alpha', NULL, NULL, 'PC-PEC_alpha', 15223),
(15224, 'cd16321', NULL, 'MraZ_C', NULL, NULL, 'MraZ_C', 15224),
(15225, 'cd04329', NULL, 'RNAP_II_Rpb7_N', NULL, NULL, 'RNAP_II_Rpb7_N', 15225),
(15226, 'cd15306', NULL, '7tmA_5-HT2B', NULL, NULL, '7tmA_5-HT2B', 15226),
(15227, 'cd18281', NULL, 'BTB_POZ_BTBD1_2', NULL, NULL, 'BTB_POZ_BTBD1_2', 15227),
(15228, 'cd18823', NULL, 'GH43_RcAra43A-like', NULL, NULL, 'GH43_RcAra43A-like', 15228),
(15229, 'cd19948', NULL, 'NasA-like_Fer2_BFD-like', NULL, NULL, 'NasA-like_Fer2_BFD-like', 15229),
(15230, 'cd00929', NULL, 'Cyt_c_Oxidase_VIIc', NULL, NULL, 'Cyt_c_Oxidase_VIIc', 15230),
(15231, 'cd16879', NULL, 'ARID_ARID3B', NULL, NULL, 'ARID_ARID3B', 15231),
(15232, 'cd06537', NULL, 'CIDE_N_B', NULL, NULL, 'CIDE_N_B', 15232),
(15233, 'cd15219', NULL, '7tmA_GPR26_GPR78-like', NULL, NULL, '7tmA_GPR26_GPR78-like', 15233),
(15234, 'cd16796', NULL, 'RING-H2_RNF13', NULL, NULL, 'RING-H2_RNF13', 15234),
(15235, 'cd17371', NULL, 'MFS_MucK', NULL, NULL, 'MFS_MucK', 15235),
(15236, 'cd01118', NULL, 'ArsB_permease', NULL, NULL, 'ArsB_permease', 15236),
(15237, 'cd16107', NULL, 'Ubl_AtUPL5_like', NULL, NULL, 'Ubl_AtUPL5_like', 15237),
(15238, 'cd21158', NULL, 'NendoU_nv', NULL, NULL, 'NendoU_nv', 15238),
(15239, 'cd10970', NULL, 'CE4_DAC_u1_6s', NULL, NULL, 'CE4_DAC_u1_6s', 15239),
(15240, 'cd18728', NULL, 'PIN_N4BP1-like', NULL, NULL, 'PIN_N4BP1-like', 15240),
(15241, 'cd08745', NULL, 'RGS_RGS19', NULL, NULL, 'RGS_RGS19', 15241),
(15242, 'cd08467', NULL, 'PBP2_SyrM', NULL, NULL, 'PBP2_SyrM', 15242),
(15243, 'cd09420', NULL, 'LIM3_Prickle', NULL, NULL, 'LIM3_Prickle', 15243),
(15244, 'cd08252', NULL, 'AL_MDR', NULL, NULL, 'AL_MDR', 15244),
(15245, 'cd02109', NULL, 'arch_bact_SO_family_Moco', NULL, NULL, 'arch_bact_SO_family_Moco', 15245),
(15246, 'cd01837', NULL, 'SGNH_plant_lipase_like', NULL, NULL, 'SGNH_plant_lipase_like', 15246),
(15247, 'cd09362', NULL, 'LIM2_Enigma_like', NULL, NULL, 'LIM2_Enigma_like', 15247),
(15248, 'cd10421', NULL, 'SH2_STAT5a', NULL, NULL, 'SH2_STAT5a', 15248),
(15249, 'cd16688', NULL, 'RING-H2_Vps11', NULL, NULL, 'RING-H2_Vps11', 15249),
(15250, 'cd07776', NULL, 'FGGY_D-XK_euk', NULL, NULL, 'FGGY_D-XK_euk', 15250),
(15251, 'cd09268', NULL, 'FCHo1_MHD', NULL, NULL, 'FCHo1_MHD', 15251),
(15252, 'cd12733', NULL, 'RRM3_GRSF1', NULL, NULL, 'RRM3_GRSF1', 15252),
(15253, 'cd04181', NULL, 'NTP_transferase', NULL, NULL, 'NTP_transferase', 15253),
(15254, 'cd04690', NULL, 'Nudix_Hydrolase_31', NULL, NULL, 'Nudix_Hydrolase_31', 15254),
(15255, 'cd15379', NULL, '7tmA_P2Y6', NULL, NULL, '7tmA_P2Y6', 15255),
(15256, 'cd01924', NULL, 'cyclophilin_TLP40_like', NULL, NULL, 'cyclophilin_TLP40_like', 15256),
(15257, 'cd12794', NULL, 'Hsm3_like', NULL, NULL, 'Hsm3_like', 15257),
(15258, 'cd15709', NULL, 'ePHD_AF17', NULL, NULL, 'ePHD_AF17', 15258),
(15259, 'cd07983', NULL, 'LPLAT_DUF374-like', NULL, NULL, 'LPLAT_DUF374-like', 15259),
(15260, 'cd05258', NULL, 'CDP_TE_SDR_e', NULL, NULL, 'CDP_TE_SDR_e', 15260),
(15261, 'cd05897', NULL, 'Ig2_IL1R2_like', NULL, NULL, 'Ig2_IL1R2_like', 15261),
(15262, 'cd12439', NULL, 'RRM_TRMT2A', NULL, NULL, 'RRM_TRMT2A', 15262),
(15263, 'cd18419', NULL, 'BTB_POZ_KCND3', NULL, NULL, 'BTB_POZ_KCND3', 15263),
(15264, 'cd05898', NULL, 'Ig5_KIRREL3', NULL, NULL, 'Ig5_KIRREL3', 15264),
(15265, 'cd15670', NULL, 'ePHD_BRPF', NULL, NULL, 'ePHD_BRPF', 15265),
(15266, 'cd17337', NULL, 'MFS_CsbX', NULL, NULL, 'MFS_CsbX', 15266),
(15267, 'cd19928', NULL, 'REC_RcNtrC-like', NULL, NULL, 'REC_RcNtrC-like', 15267),
(15268, 'cd01715', NULL, 'ETF_alpha', NULL, NULL, 'ETF_alpha', 15268),
(15269, 'cd12265', NULL, 'RRM_SLT11', NULL, NULL, 'RRM_SLT11', 15269),
(15270, 'cd11616', NULL, 'SAF_DH_OX_like', NULL, NULL, 'SAF_DH_OX_like', 15270),
(15271, 'cd11659', NULL, 'SANT_CDC5_II', NULL, NULL, 'SANT_CDC5_II', 15271),
(15272, 'cd19583', NULL, 'serpinN_SPI-1_SPI-2', NULL, NULL, 'serpinN_SPI-1_SPI-2', 15272),
(15273, 'cd17348', NULL, 'MFS_SLC15A3_4', NULL, NULL, 'MFS_SLC15A3_4', 15273),
(15274, 'cd01297', NULL, 'D-aminoacylase', NULL, NULL, 'D-aminoacylase', 15274);
INSERT INTO "PUBLIC"."MODEL" VALUES
(15275, 'cd18821', NULL, 'GH43_Pc3Gal43A-like', NULL, NULL, 'GH43_Pc3Gal43A-like', 15275),
(15276, 'cd13589', NULL, 'PBP2_polyamine_RpCGA009', NULL, NULL, 'PBP2_polyamine_RpCGA009', 15276),
(15277, 'cd02241', NULL, 'cupin_OxOx', NULL, NULL, 'cupin_OxOx', 15277),
(15278, 'cd00946', NULL, 'FBP_aldolase_IIA', NULL, NULL, 'FBP_aldolase_IIA', 15278),
(15279, 'cd18194', NULL, 'BTB_POZ_ZBTB3-like', NULL, NULL, 'BTB_POZ_ZBTB3-like', 15279),
(15280, 'cd13906', NULL, 'CuRO_3_CumA_like', NULL, NULL, 'CuRO_3_CumA_like', 15280),
(15281, 'cd02779', NULL, 'MopB_CT_Arsenite-Ox', NULL, NULL, 'MopB_CT_Arsenite-Ox', 15281),
(15282, 'cd00318', NULL, 'Phosphoglycerate_kinase', NULL, NULL, 'Phosphoglycerate_kinase', 15282),
(15283, 'cd01553', NULL, 'EPT_RTPC-like', NULL, NULL, 'EPT_RTPC-like', 15283),
(15284, 'cd07200', NULL, 'cPLA2_Grp-IVA', NULL, NULL, 'cPLA2_Grp-IVA', 15284),
(15285, 'cd04442', NULL, 'DEP_1_DEP6', NULL, NULL, 'DEP_1_DEP6', 15285),
(15286, 'cd13588', NULL, 'PBP2_polyamine_1', NULL, NULL, 'PBP2_polyamine_1', 15286),
(15287, 'cd16831', NULL, 'HemS-like_C', NULL, NULL, 'HemS-like_C', 15287),
(15288, 'cd11251', NULL, 'Sema_3C', NULL, NULL, 'Sema_3C', 15288),
(15289, 'cd11966', NULL, 'SH3_ASAP2', NULL, NULL, 'SH3_ASAP2', 15289),
(15290, 'cd14226', NULL, 'PKc_DYRK1', NULL, NULL, 'PKc_DYRK1', 15290),
(15291, 'cd17105', NULL, 'FERM_F1_EPB41', NULL, NULL, 'FERM_F1_EPB41', 15291),
(15292, 'cd08746', NULL, 'RGS_RGS20', NULL, NULL, 'RGS_RGS20', 15292),
(15293, 'cd08263', NULL, 'Zn_ADH10', NULL, NULL, 'Zn_ADH10', 15293),
(15294, 'cd06982', NULL, 'cupin_BauB-like', NULL, NULL, 'cupin_BauB-like', 15294),
(15295, 'cd18502', NULL, 'BACK_NS1BP_IVNS1ABP', NULL, NULL, 'BACK_NS1BP_IVNS1ABP', 15295),
(15296, 'cd04978', NULL, 'Ig4_L1-NrCAM_like', NULL, NULL, 'Ig4_L1-NrCAM_like', 15296),
(15297, 'cd16377', NULL, '23S_rRNA_IVP_like', NULL, NULL, '23S_rRNA_IVP_like', 15297),
(15298, 'cd11362', NULL, 'RNase_PH_bact', NULL, NULL, 'RNase_PH_bact', 15298),
(15299, 'cd03319', NULL, 'L-Ala-DL-Glu_epimerase', NULL, NULL, 'L-Ala-DL-Glu_epimerase', 15299),
(15300, 'cd16288', NULL, 'BJP-1_FEZ-1-like_MBL-B3', NULL, NULL, 'BJP-1_FEZ-1-like_MBL-B3', 15300),
(15301, 'cd09899', NULL, 'H3TH_T4-like', NULL, NULL, 'H3TH_T4-like', 15301),
(15302, 'cd17926', NULL, 'DEXHc_RE', NULL, NULL, 'DEXHc_RE', 15302),
(15303, 'cd12302', NULL, 'RRM_scSet1p_like', NULL, NULL, 'RRM_scSet1p_like', 15303),
(15304, 'cd09921', NULL, 'SH2_Jak_family', NULL, NULL, 'SH2_Jak_family', 15304),
(15305, 'cd12805', NULL, 'Allergen_V_VI', NULL, NULL, 'Allergen_V_VI', 15305),
(15306, 'cd04102', NULL, 'RabL3', NULL, NULL, 'RabL3', 15306),
(15307, 'cd14199', NULL, 'STKc_CaMKK2', NULL, NULL, 'STKc_CaMKK2', 15307),
(15308, 'cd13407', NULL, 'TNFRSF5', NULL, NULL, 'TNFRSF5', 15308),
(15309, 'cd16885', NULL, 'ARID_ARID5B', NULL, NULL, 'ARID_ARID5B', 15309),
(15310, 'cd12058', NULL, 'SH3_MLK4', NULL, NULL, 'SH3_MLK4', 15310),
(15311, 'cd03114', NULL, 'MMAA-like', NULL, NULL, 'MMAA-like', 15311),
(15312, 'cd15078', NULL, '7tmA_Encephalopsin', NULL, NULL, '7tmA_Encephalopsin', 15312),
(15313, 'cd15109', NULL, '7tmA_MrgprF', NULL, NULL, '7tmA_MrgprF', 15313),
(15314, 'cd15028', NULL, '7tm_Opsin-1_euk', NULL, NULL, '7tm_Opsin-1_euk', 15314),
(15315, 'cd08893', NULL, 'SRPBCC_CalC_Aha1-like_GntR-HTH', NULL, NULL, 'SRPBCC_CalC_Aha1-like_GntR-HTH', 15315),
(15316, 'cd09302', NULL, 'Jacalin_like', NULL, NULL, 'Jacalin_like', 15316),
(15317, 'cd11662', NULL, 'apollo_TRF2_binding', NULL, NULL, 'apollo_TRF2_binding', 15317),
(15318, 'cd02393', NULL, 'PNPase_KH', NULL, NULL, 'PNPase_KH', 15318),
(15319, 'cd01677', NULL, 'PFL2_DhaB_BssA', NULL, NULL, 'PFL2_DhaB_BssA', 15319),
(15320, 'cd15783', NULL, 'SA1633_like', NULL, NULL, 'SA1633_like', 15320),
(15321, 'cd05489', NULL, 'xylanase_inhibitor_I_like', NULL, NULL, 'xylanase_inhibitor_I_like', 15321),
(15322, 'cd12650', NULL, 'RRM1_Hu', NULL, NULL, 'RRM1_Hu', 15322),
(15323, 'cd04208', NULL, 'CuRO_2_CuNIR', NULL, NULL, 'CuRO_2_CuNIR', 15323),
(15324, 'cd13719', NULL, 'PBP2_iGluR_NMDA_Nr1', NULL, NULL, 'PBP2_iGluR_NMDA_Nr1', 15324),
(15325, 'cd06894', NULL, 'PX_SNX3_like', NULL, NULL, 'PX_SNX3_like', 15325);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(15326, 'cd04316', NULL, 'ND_PkAspRS_like_N', NULL, NULL, 'ND_PkAspRS_like_N', 15326),
(15327, 'cd16274', NULL, 'PQQB-like_MBL-fold', NULL, NULL, 'PQQB-like_MBL-fold', 15327),
(15328, 'cd01610', NULL, 'PAP2_like', NULL, NULL, 'PAP2_like', 15328),
(15329, 'cd02514', NULL, 'GT13_GLCNAC-TI', NULL, NULL, 'GT13_GLCNAC-TI', 15329),
(15330, 'cd05168', NULL, 'PI4Kc_III_beta', NULL, NULL, 'PI4Kc_III_beta', 15330),
(15331, 'cd13549', NULL, 'PBP2_Fbp_like_3', NULL, NULL, 'PBP2_Fbp_like_3', 15331),
(15332, 'cd05879', NULL, 'Ig_P0', NULL, NULL, 'Ig_P0', 15332),
(15333, 'cd13666', NULL, 'PBP2_TRAP_DctP_like_1', NULL, NULL, 'PBP2_TRAP_DctP_like_1', 15333),
(15334, 'cd15882', NULL, 'SNARE_syntaxin2', NULL, NULL, 'SNARE_syntaxin2', 15334),
(15335, 'cd14765', NULL, 'Hb', NULL, NULL, 'Hb', 15335),
(15336, 'cd15591', NULL, 'PHD2_KMT2B', NULL, NULL, 'PHD2_KMT2B', 15336),
(15337, 'cd06338', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, 'PBP1_ABC_ligand_binding-like', 15337),
(15338, 'cd12258', NULL, 'RRM2_RBM26_like', NULL, NULL, 'RRM2_RBM26_like', 15338),
(15339, 'cd02755', NULL, 'MopB_Thiosulfate-R-like', NULL, NULL, 'MopB_Thiosulfate-R-like', 15339),
(15340, 'cd05023', NULL, 'S-100A11', NULL, NULL, 'S-100A11', 15340),
(15341, 'cd18299', NULL, 'BTB1_POZ_RhoBTB', NULL, NULL, 'BTB1_POZ_RhoBTB', 15341),
(15342, 'cd08359', NULL, 'VOC_like', NULL, NULL, 'VOC_like', 15342),
(15343, 'cd15384', NULL, '7tmA_GnRHR_invertebrate', NULL, NULL, '7tmA_GnRHR_invertebrate', 15343),
(15344, 'cd10333', NULL, 'LeuT-like_sbd', NULL, NULL, 'LeuT-like_sbd', 15344),
(15345, 'cd09860', NULL, 'PIN_T4-like', NULL, NULL, 'PIN_T4-like', 15345),
(15346, 'cd13997', NULL, 'PKc_Wee1_like', NULL, NULL, 'PKc_Wee1_like', 15346),
(15347, 'cd08259', NULL, 'Zn_ADH5', NULL, NULL, 'Zn_ADH5', 15347),
(15348, 'cd19829', NULL, 'Bbox2_TIF1b_C-VI', NULL, NULL, 'Bbox2_TIF1b_C-VI', 15348),
(15349, 'cd12759', NULL, 'RRM1_MSI1', NULL, NULL, 'RRM1_MSI1', 15349),
(15350, 'cd18609', NULL, 'GH32-like', NULL, NULL, 'GH32-like', 15350),
(15351, 'cd06200', NULL, 'SiR_like1', NULL, NULL, 'SiR_like1', 15351),
(15352, 'cd10964', NULL, 'CE4_PgaB_5s', NULL, NULL, 'CE4_PgaB_5s', 15352),
(15353, 'cd09590', NULL, 'SAM_LBP9', NULL, NULL, 'SAM_LBP9', 15353),
(15354, 'cd21536', NULL, 'SARS-CoV-2_E', NULL, NULL, 'SARS-CoV-2_E', 15354),
(15355, 'cd16483', NULL, 'RING-H2_UBR3', NULL, NULL, 'RING-H2_UBR3', 15355),
(15356, 'cd04984', NULL, 'IgV_L_lambda', NULL, NULL, 'IgV_L_lambda', 15356),
(15357, 'cd15186', NULL, '7tmA_CX3CR1', NULL, NULL, '7tmA_CX3CR1', 15357),
(15358, 'cd19082', NULL, 'AKR_AKR10A1_2', NULL, NULL, 'AKR_AKR10A1_2', 15358),
(15359, 'cd06640', NULL, 'STKc_MST4', NULL, NULL, 'STKc_MST4', 15359),
(15360, 'cd15334', NULL, '7tmA_5-HT1F', NULL, NULL, '7tmA_5-HT1F', 15360),
(15361, 'cd01165', NULL, 'BTB_POZ', NULL, NULL, 'BTB_POZ', 15361),
(15362, 'cd10981', NULL, 'ZnPC_S1P1', NULL, NULL, 'ZnPC_S1P1', 15362),
(15363, 'cd15088', NULL, '7tmA_MCHR-like', NULL, NULL, '7tmA_MCHR-like', 15363),
(15364, 'cd05383', NULL, 'CAP_CRISP', NULL, NULL, 'CAP_CRISP', 15364),
(15365, 'cd02808', NULL, 'GltS_FMN', NULL, NULL, 'GltS_FMN', 15365),
(15366, 'cd11334', NULL, 'AmyAc_TreS', NULL, NULL, 'AmyAc_TreS', 15366),
(15367, 'cd01783', NULL, 'RA2_DAGK-theta', NULL, NULL, 'RA2_DAGK-theta', 15367),
(15368, 'cd10935', NULL, 'CE4_WalW', NULL, NULL, 'CE4_WalW', 15368),
(15369, 'cd00529', NULL, 'RuvC_like', NULL, NULL, 'RuvC_like', 15369),
(15370, 'cd08283', NULL, 'FDH_like_1', NULL, NULL, 'FDH_like_1', 15370),
(15371, 'cd11286', NULL, 'ADF_cofilin_like', NULL, NULL, 'ADF_cofilin_like', 15371),
(15372, 'cd14055', NULL, 'STKc_TGFbR2_like', NULL, NULL, 'STKc_TGFbR2_like', 15372),
(15373, 'cd16296', NULL, 'RNaseZ_ELAC2-N-term-like_MBL-fold', NULL, NULL, 'RNaseZ_ELAC2-N-term-like_MBL-fold', 15373),
(15374, 'cd07630', NULL, 'BAR_SNX_like', NULL, NULL, 'BAR_SNX_like', 15374),
(15375, 'cd19473', NULL, 'SET_SUV39H_DIM5-like', NULL, NULL, 'SET_SUV39H_DIM5-like', 15375),
(15376, 'cd02851', NULL, 'E_set_GO_C', NULL, NULL, 'E_set_GO_C', 15376),
(15377, 'cd19605', NULL, 'serpin_protozoa', NULL, NULL, 'serpin_protozoa', 15377);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(15378, 'cd10291', NULL, 'GST_C_YfcG_like', NULL, NULL, 'GST_C_YfcG_like', 15378),
(15379, 'cd10927', NULL, 'CE4_u3', NULL, NULL, 'CE4_u3', 15379),
(15380, 'cd15696', NULL, 'ePHD1_KMT2C', NULL, NULL, 'ePHD1_KMT2C', 15380),
(15381, 'cd13693', NULL, 'PBP2_polar_AA', NULL, NULL, 'PBP2_polar_AA', 15381),
(15382, 'cd16219', NULL, 'EFh_PI-PLCdelta4', NULL, NULL, 'EFh_PI-PLCdelta4', 15382),
(15383, 'cd11273', NULL, 'Sema_plexin_A3', NULL, NULL, 'Sema_plexin_A3', 15383),
(15384, 'cd12008', NULL, 'SH3_Src', NULL, NULL, 'SH3_Src', 15384),
(15385, 'cd01790', NULL, 'Ubl_HERP', NULL, NULL, 'Ubl_HERP', 15385),
(15386, 'cd06917', NULL, 'STKc_NAK1_like', NULL, NULL, 'STKc_NAK1_like', 15386),
(15387, 'cd15071', NULL, '7tmA_Adenosine_R_A1', NULL, NULL, '7tmA_Adenosine_R_A1', 15387),
(15388, 'cd01220', NULL, 'PH1_FARP1-like', NULL, NULL, 'PH1_FARP1-like', 15388),
(15389, 'cd09925', NULL, 'SH2_SHC', NULL, NULL, 'SH2_SHC', 15389),
(15390, 'cd10499', NULL, 'MH2_SMAD_6', NULL, NULL, 'MH2_SMAD_6', 15390),
(15391, 'cd15401', NULL, '7tmA_Mel1C', NULL, NULL, '7tmA_Mel1C', 15391),
(15392, 'cd00232', NULL, 'HemeO-like', NULL, NULL, 'HemeO-like', 15392),
(15393, 'cd12308', NULL, 'RRM1_Spen', NULL, NULL, 'RRM1_Spen', 15393),
(15394, 'cd02866', NULL, 'PseudoU_synth_TruA_Archea', NULL, NULL, 'PseudoU_synth_TruA_Archea', 15394),
(15395, 'cd12736', NULL, 'RRM1_ESRP1', NULL, NULL, 'RRM1_ESRP1', 15395),
(15396, 'cd12960', NULL, 'Spider_toxin', NULL, NULL, 'Spider_toxin', 15396),
(15397, 'cd05623', NULL, 'STKc_MRCK_alpha', NULL, NULL, 'STKc_MRCK_alpha', 15397),
(15398, 'cd00472', NULL, 'Ribosomal_L24e_L24', NULL, NULL, 'Ribosomal_L24e_L24', 15398),
(15399, 'cd04309', NULL, 'HAD_PSP_eu', NULL, NULL, 'HAD_PSP_eu', 15399),
(15400, 'cd11961', NULL, 'SH3_Abp1_fungi_C2', NULL, NULL, 'SH3_Abp1_fungi_C2', 15400),
(15401, 'cd05379', NULL, 'CAP_bacterial', NULL, NULL, 'CAP_bacterial', 15401),
(15402, 'cd05343', NULL, 'Mgc4172-like_SDR_c', NULL, NULL, 'Mgc4172-like_SDR_c', 15402),
(15403, 'cd03047', NULL, 'GST_N_2', NULL, NULL, 'GST_N_2', 15403),
(15404, 'cd11356', NULL, 'AmyAc_Sucrose_phosphorylase-like_1', NULL, NULL, 'AmyAc_Sucrose_phosphorylase-like_1', 15404),
(15405, 'cd20265', NULL, 'Complex1_LYR_ETFRF1_LYRM5', NULL, NULL, 'Complex1_LYR_ETFRF1_LYRM5', 15405),
(15406, 'cd10967', NULL, 'CE4_GLA_like_6s', NULL, NULL, 'CE4_GLA_like_6s', 15406),
(15407, 'cd11298', NULL, 'O-FucT-2', NULL, NULL, 'O-FucT-2', 15407),
(15408, 'cd07119', NULL, 'ALDH_BADH-GbsA', NULL, NULL, 'ALDH_BADH-GbsA', 15408),
(15409, 'cd02433', NULL, 'Nodulin-21_like_2', NULL, NULL, 'Nodulin-21_like_2', 15409),
(15410, 'cd08977', NULL, 'SusD', NULL, NULL, 'SusD', 15410),
(15411, 'cd17518', NULL, 'RMtype1_S_Asp27244ORF1181P-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_Asp27244ORF1181P-TRD1-CR1_like', 15411),
(15412, 'cd06578', NULL, 'HemD', NULL, NULL, 'HemD', 15412),
(15413, 'cd00314', NULL, 'plant_peroxidase_like', NULL, NULL, 'plant_peroxidase_like', 15413),
(15414, 'cd16012', NULL, 'ALP', NULL, NULL, 'ALP', 15414),
(15415, 'cd09930', NULL, 'SH2_cSH2_p85_like', NULL, NULL, 'SH2_cSH2_p85_like', 15415),
(15416, 'cd16792', NULL, 'SP-RING_Siz_plant', NULL, NULL, 'SP-RING_Siz_plant', 15416),
(15417, 'cd16810', NULL, 'RING_CH-C4HC3_MARCH11', NULL, NULL, 'RING_CH-C4HC3_MARCH11', 15417),
(15418, 'cd13550', NULL, 'PBP2_Fbp_like_4', NULL, NULL, 'PBP2_Fbp_like_4', 15418),
(15419, 'cd08199', NULL, 'EEVS', NULL, NULL, 'EEVS', 15419),
(15420, 'cd09136', NULL, 'PLDc_PSS_G_neg_2', NULL, NULL, 'PLDc_PSS_G_neg_2', 15420),
(15421, 'cd16327', NULL, 'RseB', NULL, NULL, 'RseB', 15421),
(15422, 'cd12066', NULL, 'SH3_GRAF3', NULL, NULL, 'SH3_GRAF3', 15422),
(15423, 'cd12543', NULL, 'RRM2_PAR14', NULL, NULL, 'RRM2_PAR14', 15423),
(15424, 'cd19859', NULL, 'DSRM_STAU_rpt3', NULL, NULL, 'DSRM_STAU_rpt3', 15424),
(15425, 'cd08685', NULL, 'C2_RGS-like', NULL, NULL, 'C2_RGS-like', 15425),
(15426, 'cd12377', NULL, 'RRM3_Hu', NULL, NULL, 'RRM3_Hu', 15426),
(15427, 'cd11824', NULL, 'SH3_PSTPIP1', NULL, NULL, 'SH3_PSTPIP1', 15427),
(15428, 'cd08883', NULL, 'RHO_alpha_C_CMO-like', NULL, NULL, 'RHO_alpha_C_CMO-like', 15428);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(15429, 'cd01466', NULL, 'vWA_C3HC4_type', NULL, NULL, 'vWA_C3HC4_type', 15429),
(15430, 'cd03807', NULL, 'GT4_WbnK-like', NULL, NULL, 'GT4_WbnK-like', 15430),
(15431, 'cd02051', NULL, 'serpinE1_PAI-1', NULL, NULL, 'serpinE1_PAI-1', 15431),
(15432, 'cd16011', NULL, 'iPGM_like', NULL, NULL, 'iPGM_like', 15432),
(15433, 'cd03064', NULL, 'TRX_Fd_NuoE', NULL, NULL, 'TRX_Fd_NuoE', 15433),
(15434, 'cd11578', NULL, 'GH99_GH71_like_1', NULL, NULL, 'GH99_GH71_like_1', 15434),
(15435, 'cd18476', NULL, 'BACK_KLHL38', NULL, NULL, 'BACK_KLHL38', 15435),
(15436, 'cd19534', NULL, 'E_NRPS', NULL, NULL, 'E_NRPS', 15436),
(15437, 'cd08728', NULL, 'RGS-like_2', NULL, NULL, 'RGS-like_2', 15437),
(15438, 'cd15008', NULL, '7tmA_GPR19', NULL, NULL, '7tmA_GPR19', 15438),
(15439, 'cd13648', NULL, 'PBP2_PBGD_1', NULL, NULL, 'PBP2_PBGD_1', 15439),
(15440, 'cd07738', NULL, 'DdPDE5-like_MBL-fold', NULL, NULL, 'DdPDE5-like_MBL-fold', 15440),
(15441, 'cd16820', NULL, 'SP-RING_PIAS3', NULL, NULL, 'SP-RING_PIAS3', 15441),
(15442, 'cd18541', NULL, 'ABC_6TM_TmrB_like', NULL, NULL, 'ABC_6TM_TmrB_like', 15442),
(15443, 'cd01864', NULL, 'Rab19', NULL, NULL, 'Rab19', 15443),
(15444, 'cd07973', NULL, 'Spt4', NULL, NULL, 'Spt4', 15444),
(15445, 'cd00109', NULL, 'KU', NULL, NULL, 'KU', 15445),
(15446, 'cd08966', NULL, 'EcFpg-like_N', NULL, NULL, 'EcFpg-like_N', 15446),
(15447, 'cd17751', NULL, 'BRCT_microcephalin_rpt3', NULL, NULL, 'BRCT_microcephalin_rpt3', 15447),
(15448, 'cd02126', NULL, 'PA_EDEM3_like', NULL, NULL, 'PA_EDEM3_like', 15448),
(15449, 'cd10548', NULL, 'cupin_CDO', NULL, NULL, 'cupin_CDO', 15449),
(15450, 'cd20292', NULL, 'cupin_QdtA-like', NULL, NULL, 'cupin_QdtA-like', 15450),
(15451, 'cd04879', NULL, 'ACT_3PGDH-like', NULL, NULL, 'ACT_3PGDH-like', 15451),
(15452, 'cd17380', NULL, 'MFS_SLC17A9_like', NULL, NULL, 'MFS_SLC17A9_like', 15452),
(15453, 'cd03203', NULL, 'GST_C_Lambda', NULL, NULL, 'GST_C_Lambda', 15453),
(15454, 'cd11581', NULL, 'GINS_A', NULL, NULL, 'GINS_A', 15454),
(15455, 'cd14920', NULL, 'MYSc_Myh10', NULL, NULL, 'MYSc_Myh10', 15455),
(15456, 'cd21414', NULL, 'unc_rv_SF1_Hel-like', NULL, NULL, 'unc_rv_SF1_Hel-like', 15456),
(15457, 'cd16318', NULL, 'MUS_TUS_MBL-B1', NULL, NULL, 'MUS_TUS_MBL-B1', 15457),
(15458, 'cd15346', NULL, '7tmA_S1PR1_Edg1', NULL, NULL, '7tmA_S1PR1_Edg1', 15458),
(15459, 'cd12475', NULL, 'RRM2_RBMS3', NULL, NULL, 'RRM2_RBMS3', 15459),
(15460, 'cd05130', NULL, 'RasGAP_Neurofibromin', NULL, NULL, 'RasGAP_Neurofibromin', 15460),
(15461, 'cd15624', NULL, 'PHD_TIF1gamma', NULL, NULL, 'PHD_TIF1gamma', 15461),
(15462, 'cd08878', NULL, 'RHO_alpha_C_DMO-like', NULL, NULL, 'RHO_alpha_C_DMO-like', 15462),
(15463, 'cd12961', NULL, 'CBM58_SusG', NULL, NULL, 'CBM58_SusG', 15463),
(15464, 'cd11987', NULL, 'SH3_Intersectin1_1', NULL, NULL, 'SH3_Intersectin1_1', 15464),
(15465, 'cd00858', NULL, 'GlyRS_anticodon', NULL, NULL, 'GlyRS_anticodon', 15465),
(15466, 'cd18409', NULL, 'BTB_POZ_KCNA10', NULL, NULL, 'BTB_POZ_KCNA10', 15466),
(15467, 'cd15181', NULL, '7tmA_CXCR5', NULL, NULL, '7tmA_CXCR5', 15467),
(15468, 'cd00892', NULL, 'PIKKc_ATR', NULL, NULL, 'PIKKc_ATR', 15468),
(15469, 'cd11338', NULL, 'AmyAc_CMD', NULL, NULL, 'AmyAc_CMD', 15469),
(15470, 'cd15297', NULL, '7tmA_mAChR_M2', NULL, NULL, '7tmA_mAChR_M2', 15470),
(15471, 'cd11761', NULL, 'SH3_FCHSD_1', NULL, NULL, 'SH3_FCHSD_1', 15471),
(15472, 'cd17910', NULL, 'CheC_ClassII', NULL, NULL, 'CheC_ClassII', 15472),
(15473, 'cd12523', NULL, 'RRM2_MRN1', NULL, NULL, 'RRM2_MRN1', 15473),
(15474, 'cd08762', NULL, 'Cyt_b561_CYBASC3', NULL, NULL, 'Cyt_b561_CYBASC3', 15474),
(15475, 'cd12624', NULL, 'RRM_PRC', NULL, NULL, 'RRM_PRC', 15475),
(15476, 'cd19084', NULL, 'AKR_AKR11B1-like', NULL, NULL, 'AKR_AKR11B1-like', 15476),
(15477, 'cd15447', NULL, '7tmC_mGluR2', NULL, NULL, '7tmC_mGluR2', 15477),
(15478, 'cd18030', NULL, 'DEXHc_RE_I_HsdR', NULL, NULL, 'DEXHc_RE_I_HsdR', 15478),
(15479, 'cd13899', NULL, 'CuRO_3_Fet3p', NULL, NULL, 'CuRO_3_Fet3p', 15479),
(15480, 'cd10297', NULL, 'GST_C_CLIC5', NULL, NULL, 'GST_C_CLIC5', 15480),
(15481, 'cd05616', NULL, 'STKc_cPKC_beta', NULL, NULL, 'STKc_cPKC_beta', 15481);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(15482, 'cd15543', NULL, 'PHD_RSF1', NULL, NULL, 'PHD_RSF1', 15482),
(15483, 'cd16726', NULL, 'RING1-HC_MIB2', NULL, NULL, 'RING1-HC_MIB2', 15483),
(15484, 'cd10377', NULL, 'SH2_STAT6', NULL, NULL, 'SH2_STAT6', 15484),
(15485, 'cd04643', NULL, 'CBS_pair_bac', NULL, NULL, 'CBS_pair_bac', 15485),
(15486, 'cd09327', NULL, 'LIM1_abLIM', NULL, NULL, 'LIM1_abLIM', 15486),
(15487, 'cd00300', NULL, 'LDH_like', NULL, NULL, 'LDH_like', 15487),
(15488, 'cd14379', NULL, 'UBA1_Rad23_plant', NULL, NULL, 'UBA1_Rad23_plant', 15488),
(15489, 'cd17264', NULL, 'RMtype1_S_Eco3763I-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Eco3763I-TRD2-CR2_like', 15489),
(15490, 'cd06643', NULL, 'STKc_SLK', NULL, NULL, 'STKc_SLK', 15490),
(15491, 'cd13990', NULL, 'STKc_TLK', NULL, NULL, 'STKc_TLK', 15491),
(15492, 'cd11691', NULL, 'HRI1_like', NULL, NULL, 'HRI1_like', 15492),
(15493, 'cd14912', NULL, 'MYSc_Myh2_mammals', NULL, NULL, 'MYSc_Myh2_mammals', 15493),
(15494, 'cd06303', NULL, 'PBP1_LuxPQ_Quorum_Sensing', NULL, NULL, 'PBP1_LuxPQ_Quorum_Sensing', 15494),
(15495, 'cd13894', NULL, 'CuRO_3_AAO_like_1', NULL, NULL, 'CuRO_3_AAO_like_1', 15495),
(15496, 'cd00928', NULL, 'Cyt_c_Oxidase_VIIa', NULL, NULL, 'Cyt_c_Oxidase_VIIa', 15496),
(15497, 'cd17631', NULL, 'FACL_FadD13-like', NULL, NULL, 'FACL_FadD13-like', 15497),
(15498, 'cd11457', NULL, 'bHLHzip_L-Myc', NULL, NULL, 'bHLHzip_L-Myc', 15498),
(15499, 'cd11984', NULL, 'SH3_Shank3', NULL, NULL, 'SH3_Shank3', 15499),
(15500, 'cd07635', NULL, 'BAR_GRAF2', NULL, NULL, 'BAR_GRAF2', 15500),
(15501, 'cd11988', NULL, 'SH3_Intersectin2_1', NULL, NULL, 'SH3_Intersectin2_1', 15501),
(15502, 'cd16609', NULL, 'RING-HC_TRIM65_C-IV', NULL, NULL, 'RING-HC_TRIM65_C-IV', 15502),
(15503, 'cd19807', NULL, 'Bbox1_TRIM36-like', NULL, NULL, 'Bbox1_TRIM36-like', 15503),
(15504, 'cd13567', NULL, 'PBP2_TtGluBP', NULL, NULL, 'PBP2_TtGluBP', 15504),
(15505, 'cd17661', NULL, 'PFA-DSP_Oca2', NULL, NULL, 'PFA-DSP_Oca2', 15505),
(15506, 'cd12824', NULL, 'ZntB-like', NULL, NULL, 'ZntB-like', 15506),
(15507, 'cd17000', NULL, 'VHS_STAM1', NULL, NULL, 'VHS_STAM1', 15507),
(15508, 'cd15764', NULL, 'FYVE_Slp4', NULL, NULL, 'FYVE_Slp4', 15508),
(15509, 'cd15118', NULL, '7tmA_PD2R2_CRTH2', NULL, NULL, '7tmA_PD2R2_CRTH2', 15509),
(15510, 'cd09353', NULL, 'LIM2_Zyxin', NULL, NULL, 'LIM2_Zyxin', 15510),
(15511, 'cd10455', NULL, 'GIY-YIG_SLX1', NULL, NULL, 'GIY-YIG_SLX1', 15511),
(15512, 'cd07789', NULL, 'FGGY_CsGK_like', NULL, NULL, 'FGGY_CsGK_like', 15512),
(15513, 'cd13270', NULL, 'PH1_TAPP1_2', NULL, NULL, 'PH1_TAPP1_2', 15513),
(15514, 'cd06857', NULL, 'SLC5-6-like_sbd', NULL, NULL, 'SLC5-6-like_sbd', 15514),
(15515, 'cd05758', NULL, 'Ig5_KIRREL3-like', NULL, NULL, 'Ig5_KIRREL3-like', 15515),
(15516, 'cd14312', NULL, 'UBA_II_E2_UBC27_like', NULL, NULL, 'UBA_II_E2_UBC27_like', 15516),
(15517, 'cd10801', NULL, 'LamB_YcsF_like_1', NULL, NULL, 'LamB_YcsF_like_1', 15517),
(15518, 'cd19721', NULL, 'bHLH_TS_NeuroD4_ATOH3', NULL, NULL, 'bHLH_TS_NeuroD4_ATOH3', 15518),
(15519, 'cd09177', NULL, 'PLDc_RE_NgoFVII', NULL, NULL, 'PLDc_RE_NgoFVII', 15519),
(15520, 'cd03562', NULL, 'CID', NULL, NULL, 'CID', 15520),
(15521, 'cd06111', NULL, 'DsCS_like', NULL, NULL, 'DsCS_like', 15521),
(15522, 'cd15247', NULL, '7tmF_FZD1', NULL, NULL, '7tmF_FZD1', 15522),
(15523, 'cd19184', NULL, 'SET_KMT5B', NULL, NULL, 'SET_KMT5B', 15523),
(15524, 'cd07058', NULL, 'BMC_CsoS1', NULL, NULL, 'BMC_CsoS1', 15524),
(15525, 'cd11248', NULL, 'Sema_MET_like', NULL, NULL, 'Sema_MET_like', 15525),
(15526, 'cd06158', NULL, 'S2P-M50_like_1', NULL, NULL, 'S2P-M50_like_1', 15526),
(15527, 'cd16880', NULL, 'ARID_ARID3C', NULL, NULL, 'ARID_ARID3C', 15527),
(15528, 'cd09663', NULL, 'Csm4_III-A', NULL, NULL, 'Csm4_III-A', 15528),
(15529, 'cd05845', NULL, 'Ig2_L1-CAM_like', NULL, NULL, 'Ig2_L1-CAM_like', 15529),
(15530, 'cd07187', NULL, 'YvcK_like', NULL, NULL, 'YvcK_like', 15530),
(15531, 'cd08295', NULL, 'double_bond_reductase_like', NULL, NULL, 'double_bond_reductase_like', 15531),
(15532, 'cd05752', NULL, 'Ig1_FcgammaR_like', NULL, NULL, 'Ig1_FcgammaR_like', 15532);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(15533, 'cd12561', NULL, 'RRM1_RBM5_like', NULL, NULL, 'RRM1_RBM5_like', 15533),
(15534, 'cd05492', NULL, 'Bromo_ZMYND11', NULL, NULL, 'Bromo_ZMYND11', 15534),
(15535, 'cd00577', NULL, 'PCNA', NULL, NULL, 'PCNA', 15535),
(15536, 'cd19910', NULL, 'DSRM_ILF3_rpt1', NULL, NULL, 'DSRM_ILF3_rpt1', 15536),
(15537, 'cd01380', NULL, 'MYSc_Myo5', NULL, NULL, 'MYSc_Myo5', 15537),
(15538, 'cd01994', NULL, 'Alpha_ANH_like_IV', NULL, NULL, 'Alpha_ANH_like_IV', 15538),
(15539, 'cd06139', NULL, 'DNA_polA_I_Ecoli_like_exo', NULL, NULL, 'DNA_polA_I_Ecoli_like_exo', 15539),
(15540, 'cd18475', NULL, 'BACK_KLHL36', NULL, NULL, 'BACK_KLHL36', 15540),
(15541, 'cd05757', NULL, 'Ig2_IL1R_like', NULL, NULL, 'Ig2_IL1R_like', 15541),
(15542, 'cd09122', NULL, 'PLDc_Tdp1_1', NULL, NULL, 'PLDc_Tdp1_1', 15542),
(15543, 'cd18944', NULL, 'bHLH_E-protein_E2A_TCF3', NULL, NULL, 'bHLH_E-protein_E2A_TCF3', 15543),
(15544, 'cd08337', NULL, 'DED_c-FLIP_r1', NULL, NULL, 'DED_c-FLIP_r1', 15544),
(15545, 'cd17226', NULL, 'RA_ARAP1', NULL, NULL, 'RA_ARAP1', 15545),
(15546, 'cd09111', NULL, 'PLDc_ymdC_like_1', NULL, NULL, 'PLDc_ymdC_like_1', 15546),
(15547, 'cd17715', NULL, 'BRCT_polymerase_lambda', NULL, NULL, 'BRCT_polymerase_lambda', 15547),
(15548, 'cd17025', NULL, 'T3SC_IA_ShcF-like', NULL, NULL, 'T3SC_IA_ShcF-like', 15548),
(15549, 'cd15309', NULL, '7tmA_D2_dopamine_R', NULL, NULL, '7tmA_D2_dopamine_R', 15549),
(15550, 'cd04299', NULL, 'GT35_Glycogen_Phosphorylase-like', NULL, NULL, 'GT35_Glycogen_Phosphorylase-like', 15550),
(15551, 'cd18192', NULL, 'BTB_POZ_ZBTB1', NULL, NULL, 'BTB_POZ_ZBTB1', 15551),
(15552, 'cd18964', NULL, 'chromodomain', NULL, NULL, 'chromodomain', 15552),
(15553, 'cd03678', NULL, 'MM_CoA_mutase_1', NULL, NULL, 'MM_CoA_mutase_1', 15553),
(15554, 'cd18259', NULL, 'BTB_POZ_KLHL30', NULL, NULL, 'BTB_POZ_KLHL30', 15554),
(15555, 'cd18574', NULL, 'ABC_6TM_ABCB8_like', NULL, NULL, 'ABC_6TM_ABCB8_like', 15555),
(15556, 'cd14188', NULL, 'STKc_PLK2', NULL, NULL, 'STKc_PLK2', 15556),
(15557, 'cd14449', NULL, 'CuRO_1_2DMCO_NIR_like_2', NULL, NULL, 'CuRO_1_2DMCO_NIR_like_2', 15557),
(15558, 'cd01748', NULL, 'GATase1_IGP_Synthase', NULL, NULL, 'GATase1_IGP_Synthase', 15558),
(15559, 'cd04283', NULL, 'ZnMc_hatching_enzyme', NULL, NULL, 'ZnMc_hatching_enzyme', 15559),
(15560, 'cd01356', NULL, 'AcnX_swivel', NULL, NULL, 'AcnX_swivel', 15560),
(15561, 'cd14231', NULL, 'GAT_GGA_like_plant', NULL, NULL, 'GAT_GGA_like_plant', 15561),
(15562, 'cd16962', NULL, 'RuvC', NULL, NULL, 'RuvC', 15562),
(15563, 'cd19071', NULL, 'AKR_AKR1-5-like', NULL, NULL, 'AKR_AKR1-5-like', 15563),
(15564, 'cd12506', NULL, 'RRM3_hnRNPH_CRSF1_like', NULL, NULL, 'RRM3_hnRNPH_CRSF1_like', 15564),
(15565, 'cd04725', NULL, 'OMP_decarboxylase_like', NULL, NULL, 'OMP_decarboxylase_like', 15565),
(15566, 'cd06616', NULL, 'PKc_MKK4', NULL, NULL, 'PKc_MKK4', 15566),
(15567, 'cd16629', NULL, 'RING-HC_RBR_RNF19', NULL, NULL, 'RING-HC_RBR_RNF19', 15567),
(15568, 'cd01543', NULL, 'PBP1_XylR', NULL, NULL, 'PBP1_XylR', 15568),
(15569, 'cd18016', NULL, 'DEXHc_RecQ2_BLM', NULL, NULL, 'DEXHc_RecQ2_BLM', 15569),
(15570, 'cd11022', NULL, 'CuRO_4_ceruloplasmin', NULL, NULL, 'CuRO_4_ceruloplasmin', 15570),
(15571, 'cd15439', NULL, '7tmB2_EMR', NULL, NULL, '7tmB2_EMR', 15571),
(15572, 'cd14805', NULL, 'Translin-like', NULL, NULL, 'Translin-like', 15572),
(15573, 'cd09836', NULL, 'CBS_pair_arch', NULL, NULL, 'CBS_pair_arch', 15573),
(15574, 'cd09644', NULL, 'Csn2', NULL, NULL, 'Csn2', 15574),
(15575, 'cd03465', NULL, 'URO-D_like', NULL, NULL, 'URO-D_like', 15575),
(15576, 'cd19799', NULL, 'Bbox2_MYCBP2', NULL, NULL, 'Bbox2_MYCBP2', 15576),
(15577, 'cd01533', NULL, '4RHOD_Repeat_2', NULL, NULL, '4RHOD_Repeat_2', 15577),
(15578, 'cd07783', NULL, 'FGGY_CarbK-RPE_like', NULL, NULL, 'FGGY_CarbK-RPE_like', 15578),
(15579, 'cd09604', NULL, 'M1_APN_like', NULL, NULL, 'M1_APN_like', 15579),
(15580, 'cd17384', NULL, 'MFS_SLC18A1_2_VAT1_2', NULL, NULL, 'MFS_SLC18A1_2_VAT1_2', 15580),
(15581, 'cd13202', NULL, 'FERM_C_MyoX', NULL, NULL, 'FERM_C_MyoX', 15581),
(15582, 'cd07265', NULL, '2_3_CTD_N', NULL, NULL, '2_3_CTD_N', 15582);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(15583, 'cd01378', NULL, 'MYSc_Myo1', NULL, NULL, 'MYSc_Myo1', 15583),
(15584, 'cd02259', NULL, 'Peptidase_C39_like', NULL, NULL, 'Peptidase_C39_like', 15584),
(15585, 'cd15529', NULL, 'PHD2_PHF10', NULL, NULL, 'PHD2_PHF10', 15585),
(15586, 'cd09256', NULL, 'AP_MuD_MHD', NULL, NULL, 'AP_MuD_MHD', 15586),
(15587, 'cd15190', NULL, '7tmA_Apelin_R', NULL, NULL, '7tmA_Apelin_R', 15587),
(15588, 'cd12217', NULL, 'Stu0660_Csn2', NULL, NULL, 'Stu0660_Csn2', 15588),
(15589, 'cd06302', NULL, 'PBP1_LsrB_Quorum_Sensing-like', NULL, NULL, 'PBP1_LsrB_Quorum_Sensing-like', 15589),
(15590, 'cd17220', NULL, 'RA_RASSF5', NULL, NULL, 'RA_RASSF5', 15590),
(15591, 'cd15673', NULL, 'ePHD_PHF6_like', NULL, NULL, 'ePHD_PHF6_like', 15591),
(15592, 'cd18700', NULL, 'PIN_GNAT-like', NULL, NULL, 'PIN_GNAT-like', 15592),
(15593, 'cd18961', NULL, 'CD_CEC-4_like', NULL, NULL, 'CD_CEC-4_like', 15593),
(15594, 'cd07459', NULL, 'CRD_TK_ROR_like', NULL, NULL, 'CRD_TK_ROR_like', 15594),
(15595, 'cd06919', NULL, 'Asp_decarbox', NULL, NULL, 'Asp_decarbox', 15595),
(15596, 'cd02394', NULL, 'vigilin_like_KH', NULL, NULL, 'vigilin_like_KH', 15596),
(15597, 'cd19204', NULL, 'SET_SETD1A', NULL, NULL, 'SET_SETD1A', 15597),
(15598, 'cd12593', NULL, 'RRM_RBM11', NULL, NULL, 'RRM_RBM11', 15598),
(15599, 'cd15857', NULL, 'SNARE_SEC9C', NULL, NULL, 'SNARE_SEC9C', 15599),
(15600, 'cd01795', NULL, 'Ubl_USP48', NULL, NULL, 'Ubl_USP48', 15600),
(15601, 'cd05103', NULL, 'PTKc_VEGFR2', NULL, NULL, 'PTKc_VEGFR2', 15601),
(15602, 'cd20273', NULL, 'Complex1_LYR_unchar', NULL, NULL, 'Complex1_LYR_unchar', 15602),
(15603, 'cd12771', NULL, 'RRM1_HuB', NULL, NULL, 'RRM1_HuB', 15603),
(15604, 'cd14590', NULL, 'PTP-MTMR2', NULL, NULL, 'PTP-MTMR2', 15604),
(15605, 'cd09525', NULL, 'SAM_GAREM', NULL, NULL, 'SAM_GAREM', 15605),
(15606, 'cd03309', NULL, 'CmuC_like', NULL, NULL, 'CmuC_like', 15606),
(15607, 'cd18605', NULL, 'ABC_6TM_MRP7_D2_like', NULL, NULL, 'ABC_6TM_MRP7_D2_like', 15607),
(15608, 'cd00103', NULL, 'IRF', NULL, NULL, 'IRF', 15608),
(15609, 'cd12248', NULL, 'RRM_RBM44', NULL, NULL, 'RRM_RBM44', 15609),
(15610, 'cd01567', NULL, 'NAPRTase_PncB', NULL, NULL, 'NAPRTase_PncB', 15610),
(15611, 'cd06625', NULL, 'STKc_MEKK3_like', NULL, NULL, 'STKc_MEKK3_like', 15611),
(15612, 'cd10804', NULL, 'YdjC_HpnK_like', NULL, NULL, 'YdjC_HpnK_like', 15612),
(15613, 'cd20307', NULL, 'cupin_BacB_N', NULL, NULL, 'cupin_BacB_N', 15613),
(15614, 'cd17082', NULL, 'RAWUL_PCGF2_like', NULL, NULL, 'RAWUL_PCGF2_like', 15614),
(15615, 'cd00668', NULL, 'Ile_Leu_Val_MetRS_core', NULL, NULL, 'Ile_Leu_Val_MetRS_core', 15615),
(15616, 'cd21511', NULL, 'cv-alpha_beta_Nsp2-like', NULL, NULL, 'cv-alpha_beta_Nsp2-like', 15616),
(15617, 'cd19158', NULL, 'AKR_KCAB2B_AKR6A1-like', NULL, NULL, 'AKR_KCAB2B_AKR6A1-like', 15617),
(15618, 'cd18081', NULL, 'RlmH-like', NULL, NULL, 'RlmH-like', 15618),
(15619, 'cd00854', NULL, 'NagA', NULL, NULL, 'NagA', 15619),
(15620, 'cd19118', NULL, 'AKR_AKR3B1-3', NULL, NULL, 'AKR_AKR3B1-3', 15620),
(15621, 'cd06502', NULL, 'TA_like', NULL, NULL, 'TA_like', 15621),
(15622, 'cd02230', NULL, 'cupin_HP0902-like', NULL, NULL, 'cupin_HP0902-like', 15622),
(15623, 'cd09582', NULL, 'SAM_Scm-like-3MBT3,4', NULL, NULL, 'SAM_Scm-like-3MBT3,4', 15623),
(15624, 'cd09982', NULL, 'LOTUS_6_Limkain_b1', NULL, NULL, 'LOTUS_6_Limkain_b1', 15624),
(15625, 'cd10379', NULL, 'SH2_Jak2', NULL, NULL, 'SH2_Jak2', 15625),
(15626, 'cd12769', NULL, 'RRM1_HuR', NULL, NULL, 'RRM1_HuR', 15626),
(15627, 'cd05370', NULL, 'SDR_c2', NULL, NULL, 'SDR_c2', 15627),
(15628, 'cd14671', NULL, 'PAAR_like', NULL, NULL, 'PAAR_like', 15628),
(15629, 'cd16411', NULL, 'ParB_N_like', NULL, NULL, 'ParB_N_like', 15629),
(15630, 'cd12823', NULL, 'Mrs2_Mfm1p-like', NULL, NULL, 'Mrs2_Mfm1p-like', 15630),
(15631, 'cd17519', NULL, 'RMtype1_S_HpyCR35ORFAP-TRD1-CR1_like', NULL, NULL, 'RMtype1_S_HpyCR35ORFAP-TRD1-CR1_like', 15631),
(15632, 'cd04775', NULL, 'HTH_Cfa-like', NULL, NULL, 'HTH_Cfa-like', 15632),
(15633, 'cd19737', NULL, 'bHLH-PAS_NPAS2_PASD4', NULL, NULL, 'bHLH-PAS_NPAS2_PASD4', 15633),
(15634, 'cd15523', NULL, 'PHD_PHF21A', NULL, NULL, 'PHD_PHF21A', 15634);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(15635, 'cd00188', NULL, 'TOPRIM', NULL, NULL, 'TOPRIM', 15635),
(15636, 'cd04925', NULL, 'ACT_ACR_2', NULL, NULL, 'ACT_ACR_2', 15636),
(15637, 'cd10326', NULL, 'SLC5sbd_NIS-like', NULL, NULL, 'SLC5sbd_NIS-like', 15637),
(15638, 'cd05635', NULL, 'LbH_unknown', NULL, NULL, 'LbH_unknown', 15638),
(15639, 'cd09109', NULL, 'PLDc_PMFPLD_like_2', NULL, NULL, 'PLDc_PMFPLD_like_2', 15639),
(15640, 'cd07853', NULL, 'STKc_NLK', NULL, NULL, 'STKc_NLK', 15640),
(15641, 'cd13557', NULL, 'PBP2_SsuA', NULL, NULL, 'PBP2_SsuA', 15641),
(15642, 'cd16380', NULL, 'YitT_C', NULL, NULL, 'YitT_C', 15642),
(15643, 'cd08232', NULL, 'idonate-5-DH', NULL, NULL, 'idonate-5-DH', 15643),
(15644, 'cd09090', NULL, 'INPP5c_ScInp51p-like', NULL, NULL, 'INPP5c_ScInp51p-like', 15644),
(15645, 'cd07939', NULL, 'DRE_TIM_NifV', NULL, NULL, 'DRE_TIM_NifV', 15645),
(15646, 'cd11261', NULL, 'Sema_4F', NULL, NULL, 'Sema_4F', 15646),
(15647, 'cd13338', NULL, 'FERM-like_C_SNX27', NULL, NULL, 'FERM-like_C_SNX27', 15647),
(15648, 'cd16805', NULL, 'RING-H2_RNF150', NULL, NULL, 'RING-H2_RNF150', 15648),
(15649, 'cd06479', NULL, 'ACD_HspB7_like', NULL, NULL, 'ACD_HspB7_like', 15649),
(15650, 'sd00025', NULL, 'zf-RanBP2', NULL, NULL, 'zf-RanBP2', 15650),
(15651, 'cd07734', NULL, 'Int9-11_CPSF2-3-like_MBL-fold', NULL, NULL, 'Int9-11_CPSF2-3-like_MBL-fold', 15651),
(15652, 'cd14277', NULL, 'UBA_UBP2_like', NULL, NULL, 'UBA_UBP2_like', 15652),
(15653, 'cd15795', NULL, 'PMEI-Pla_a_1_like', NULL, NULL, 'PMEI-Pla_a_1_like', 15653),
(15654, 'cd14713', NULL, 'bZIP_CEBPG', NULL, NULL, 'bZIP_CEBPG', 15654),
(15655, 'cd00845', NULL, 'MPP_UshA_N_like', NULL, NULL, 'MPP_UshA_N_like', 15655),
(15656, 'cd19985', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, 'PBP1_ABC_HAAT-like', 15656),
(15657, 'cd15168', NULL, '7tmA_P2Y1-like', NULL, NULL, '7tmA_P2Y1-like', 15657),
(15658, 'cd07082', NULL, 'ALDH_F11_NP-GAPDH', NULL, NULL, 'ALDH_F11_NP-GAPDH', 15658),
(15659, 'cd07533', NULL, 'HAD_like', NULL, NULL, 'HAD_like', 15659),
(15660, 'cd09424', NULL, 'LIM2_FHL1', NULL, NULL, 'LIM2_FHL1', 15660),
(15661, 'cd04221', NULL, 'MauL', NULL, NULL, 'MauL', 15661),
(15662, 'cd12519', NULL, 'RRM1_SREK1', NULL, NULL, 'RRM1_SREK1', 15662),
(15663, 'cd02859', NULL, 'E_set_AMPKbeta_like_N', NULL, NULL, 'E_set_AMPKbeta_like_N', 15663),
(15664, 'cd11997', NULL, 'SH3_PACSIN3', NULL, NULL, 'SH3_PACSIN3', 15664),
(15665, 'cd09139', NULL, 'PLDc_pPLD_like_1', NULL, NULL, 'PLDc_pPLD_like_1', 15665),
(15666, 'cd18575', NULL, 'ABC_6TM_bac_exporter_ABCB8_10_like', NULL, NULL, 'ABC_6TM_bac_exporter_ABCB8_10_like', 15666),
(15667, 'cd00655', NULL, 'RNAP_Rpb7_N_like', NULL, NULL, 'RNAP_Rpb7_N_like', 15667),
(15668, 'cd05725', NULL, 'Ig3_Robo', NULL, NULL, 'Ig3_Robo', 15668),
(15669, 'cd06260', NULL, 'DUF820', NULL, NULL, 'DUF820', 15669),
(15670, 'cd13725', NULL, 'PBP2_iGluR_kainate_KA2', NULL, NULL, 'PBP2_iGluR_kainate_KA2', 15670),
(15671, 'cd16275', NULL, 'BaeB-like_MBL-fold', NULL, NULL, 'BaeB-like_MBL-fold', 15671),
(15672, 'cd19923', NULL, 'REC_CheY_CheY3', NULL, NULL, 'REC_CheY_CheY3', 15672),
(15673, 'cd09710', NULL, 'Cas3_I-D', NULL, NULL, 'Cas3_I-D', 15673),
(15674, 'sd00038', NULL, 'Kelch', NULL, NULL, 'Kelch', 15674),
(15675, 'cd12540', NULL, 'RRM_U2AFBPL', NULL, NULL, 'RRM_U2AFBPL', 15675),
(15676, 'cd16270', NULL, 'Apc5_N', NULL, NULL, 'Apc5_N', 15676),
(15677, 'cd01753', NULL, 'PLAT_LOX', NULL, NULL, 'PLAT_LOX', 15677),
(15678, 'cd18341', NULL, 'BTB_POZ_KLHL41_KBTBD10', NULL, NULL, 'BTB_POZ_KLHL41_KBTBD10', 15678),
(15679, 'cd05473', NULL, 'beta_secretase_like', NULL, NULL, 'beta_secretase_like', 15679),
(15680, 'cd11400', NULL, 'bHLHzip_Myc', NULL, NULL, 'bHLHzip_Myc', 15680),
(15681, 'cd07163', NULL, 'NR_DBD_TLX', NULL, NULL, 'NR_DBD_TLX', 15681),
(15682, 'cd00683', NULL, 'Trans_IPPS_HH', NULL, NULL, 'Trans_IPPS_HH', 15682),
(15683, 'cd15588', NULL, 'PHD1_KMT2A', NULL, NULL, 'PHD1_KMT2A', 15683),
(15684, 'cd01771', NULL, 'UBX_UBXN3A', NULL, NULL, 'UBX_UBXN3A', 15684),
(15685, 'cd15969', NULL, '7tmA_GPR87', NULL, NULL, '7tmA_GPR87', 15685),
(15686, 'cd04881', NULL, 'ACT_HSDH-Hom', NULL, NULL, 'ACT_HSDH-Hom', 15686);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(15687, 'cd19742', NULL, 'bHLH_TS_ASCL1_Mash1', NULL, NULL, 'bHLH_TS_ASCL1_Mash1', 15687),
(15688, 'cd08168', NULL, 'Cytochrom_C3', NULL, NULL, 'Cytochrom_C3', 15688),
(15689, 'cd04681', NULL, 'Nudix_Hydrolase_22', NULL, NULL, 'Nudix_Hydrolase_22', 15689),
(15690, 'cd08805', NULL, 'Death_ank1', NULL, NULL, 'Death_ank1', 15690),
(15691, 'cd03750', NULL, 'proteasome_alpha_type_2', NULL, NULL, 'proteasome_alpha_type_2', 15691),
(15692, 'cd02940', NULL, 'DHPD_FMN', NULL, NULL, 'DHPD_FMN', 15692),
(15693, 'cd15214', NULL, '7tmA_GPR161', NULL, NULL, '7tmA_GPR161', 15693),
(15694, 'cd18005', NULL, 'DEXHc_ERCC6L2', NULL, NULL, 'DEXHc_ERCC6L2', 15694),
(15695, 'cd00404', NULL, 'Aconitase_swivel', NULL, NULL, 'Aconitase_swivel', 15695),
(15696, 'cd04129', NULL, 'Rho2', NULL, NULL, 'Rho2', 15696),
(15697, 'cd07588', NULL, 'BAR_Amphiphysin', NULL, NULL, 'BAR_Amphiphysin', 15697),
(15698, 'cd09154', NULL, 'PLDc_SMU_988_like_1', NULL, NULL, 'PLDc_SMU_988_like_1', 15698),
(15699, 'cd12766', NULL, 'RRM2_SRSF6', NULL, NULL, 'RRM2_SRSF6', 15699),
(15700, 'cd14637', NULL, 'R-PTPc-U-2', NULL, NULL, 'R-PTPc-U-2', 15700),
(15701, 'cd05006', NULL, 'SIS_GmhA', NULL, NULL, 'SIS_GmhA', 15701),
(15702, 'cd08234', NULL, 'threonine_DH_like', NULL, NULL, 'threonine_DH_like', 15702),
(15703, 'cd07602', NULL, 'BAR_RhoGAP_OPHN1-like', NULL, NULL, 'BAR_RhoGAP_OPHN1-like', 15703),
(15704, 'cd17527', NULL, 'HAMP_II', NULL, NULL, 'HAMP_II', 15704),
(15705, 'cd15911', NULL, '7tmA_OR11A-like', NULL, NULL, '7tmA_OR11A-like', 15705),
(15706, 'cd03505', NULL, 'Delta9-FADS-like', NULL, NULL, 'Delta9-FADS-like', 15706),
(15707, 'cd09301', NULL, 'HDAC', NULL, NULL, 'HDAC', 15707),
(15708, 'cd14630', NULL, 'R-PTPc-T-1', NULL, NULL, 'R-PTPc-T-1', 15708),
(15709, 'cd08907', NULL, 'START_STARD8-like', NULL, NULL, 'START_STARD8-like', 15709),
(15710, 'cd14069', NULL, 'STKc_Chk1', NULL, NULL, 'STKc_Chk1', 15710),
(15711, 'cd04367', NULL, 'IlGF_insulin_like', NULL, NULL, 'IlGF_insulin_like', 15711),
(15712, 'cd01763', NULL, 'Ubl_SUMO_like', NULL, NULL, 'Ubl_SUMO_like', 15712),
(15713, 'cd14424', NULL, 'CUE_Cue1p_like', NULL, NULL, 'CUE_Cue1p_like', 15713),
(15714, 'cd20754', NULL, 'capping_2-OMTase_viral', NULL, NULL, 'capping_2-OMTase_viral', 15714),
(15715, 'cd05382', NULL, 'CAP_GAPR1-like', NULL, NULL, 'CAP_GAPR1-like', 15715),
(15716, 'cd10009', NULL, 'HDAC9', NULL, NULL, 'HDAC9', 15716),
(15717, 'cd02221', NULL, 'cupin_TM1287-like', NULL, NULL, 'cupin_TM1287-like', 15717),
(15718, 'cd08022', NULL, 'M28_PSMA_like', NULL, NULL, 'M28_PSMA_like', 15718),
(15719, 'cd12112', NULL, 'PHP_HisPPase_Chlorobi_like', NULL, NULL, 'PHP_HisPPase_Chlorobi_like', 15719),
(15720, 'cd09178', NULL, 'PLDc_N_Snf2_like', NULL, NULL, 'PLDc_N_Snf2_like', 15720),
(15721, 'cd16164', NULL, 'OCRE_VG5Q', NULL, NULL, 'OCRE_VG5Q', 15721),
(15722, 'cd16882', NULL, 'ARID_ARID4A', NULL, NULL, 'ARID_ARID4A', 15722),
(15723, 'cd05711', NULL, 'Ig2_LILR_KIR_like', NULL, NULL, 'Ig2_LILR_KIR_like', 15723),
(15724, 'cd13219', NULL, 'PH-GRAM_C2-GRAM', NULL, NULL, 'PH-GRAM_C2-GRAM', 15724),
(15725, 'cd00669', NULL, 'Asp_Lys_Asn_RS_core', NULL, NULL, 'Asp_Lys_Asn_RS_core', 15725),
(15726, 'cd00221', NULL, 'Vsr', NULL, NULL, 'Vsr', 15726),
(15727, 'cd10582', NULL, 'TNFRSF14', NULL, NULL, 'TNFRSF14', 15727),
(15728, 'cd19086', NULL, 'AKR_AKR11C1', NULL, NULL, 'AKR_AKR11C1', 15728),
(15729, 'cd03561', NULL, 'VHS', NULL, NULL, 'VHS', 15729),
(15730, 'cd06083', NULL, 'KOW_Spt5_3', NULL, NULL, 'KOW_Spt5_3', 15730),
(15731, 'cd11843', NULL, 'SH3_PACSIN', NULL, NULL, 'SH3_PACSIN', 15731),
(15732, 'cd01208', NULL, 'PTB_X11', NULL, NULL, 'PTB_X11', 15732),
(15733, 'cd05732', NULL, 'Ig_NCAM-1_like', NULL, NULL, 'Ig_NCAM-1_like', 15733),
(15734, 'cd06830', NULL, 'PLPDE_III_ADC', NULL, NULL, 'PLPDE_III_ADC', 15734),
(15735, 'cd09987', NULL, 'Arginase_HDAC', NULL, NULL, 'Arginase_HDAC', 15735),
(15736, 'cd16015', NULL, 'LTA_synthase', NULL, NULL, 'LTA_synthase', 15736),
(15737, 'cd15389', NULL, '7tmA_GPR83', NULL, NULL, '7tmA_GPR83', 15737),
(15738, 'cd02956', NULL, 'ybbN', NULL, NULL, 'ybbN', 15738);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(15739, 'cd07437', NULL, 'PHP_HisPPase_Ycdx_like', NULL, NULL, 'PHP_HisPPase_Ycdx_like', 15739),
(15740, 'cd02638', NULL, 'R3H_unknown_1', NULL, NULL, 'R3H_unknown_1', 15740),
(15741, 'cd17937', NULL, 'DEXXYc_viral_SF1-N', NULL, NULL, 'DEXXYc_viral_SF1-N', 15741),
(15742, 'cd04789', NULL, 'HTH_Cfa', NULL, NULL, 'HTH_Cfa', 15742),
(15743, 'cd17201', NULL, 'FERM_F1_EPB41L1', NULL, NULL, 'FERM_F1_EPB41L1', 15743),
(15744, 'cd01427', NULL, 'HAD_like', NULL, NULL, 'HAD_like', 15744),
(15745, 'cd10460', NULL, 'PUB_UBXD1', NULL, NULL, 'PUB_UBXD1', 15745),
(15746, 'cd09344', NULL, 'LIM1_FHL1', NULL, NULL, 'LIM1_FHL1', 15746),
(15747, 'cd12710', NULL, 'RRM_RCAN3', NULL, NULL, 'RRM_RCAN3', 15747),
(15748, 'cd19778', NULL, 'Bbox2_TRIM36_C-I', NULL, NULL, 'Bbox2_TRIM36_C-I', 15748),
(15749, 'cd14742', NULL, 'PAAR_RHS', NULL, NULL, 'PAAR_RHS', 15749),
(15750, 'cd18659', NULL, 'CD2_tandem', NULL, NULL, 'CD2_tandem', 15750),
(15751, 'cd11733', NULL, 'HSPA9-like_NBD', NULL, NULL, 'HSPA9-like_NBD', 15751),
(15752, 'cd13561', NULL, 'PBP2_SsuA_like_4', NULL, NULL, 'PBP2_SsuA_like_4', 15752),
(15753, 'cd16368', NULL, 'DMSOR_beta_like', NULL, NULL, 'DMSOR_beta_like', 15753),
(15754, 'cd04227', NULL, 'CuRO_3_FVIII_like', NULL, NULL, 'CuRO_3_FVIII_like', 15754),
(15755, 'cd08795', NULL, 'Death_IRAK2', NULL, NULL, 'Death_IRAK2', 15755),
(15756, 'cd12485', NULL, 'RRM1_RBM47', NULL, NULL, 'RRM1_RBM47', 15756),
(15757, 'cd17154', NULL, 'DCX2_DCDC2C', NULL, NULL, 'DCX2_DCDC2C', 15757),
(15758, 'cd17714', NULL, 'BRCT_PAXIP1_rpt1', NULL, NULL, 'BRCT_PAXIP1_rpt1', 15758),
(15759, 'cd17784', NULL, 'CBS_pair_Euryarchaeota', NULL, NULL, 'CBS_pair_Euryarchaeota', 15759),
(15760, 'cd15065', NULL, '7tmA_Ap5-HTB1-like', NULL, NULL, '7tmA_Ap5-HTB1-like', 15760),
(15761, 'cd04452', NULL, 'S1_IF2_alpha', NULL, NULL, 'S1_IF2_alpha', 15761),
(15762, 'cd04185', NULL, 'GT_2_like_b', NULL, NULL, 'GT_2_like_b', 15762),
(15763, 'cd16487', NULL, 'mRING-H2-C3DHC3_ZFPL1', NULL, NULL, 'mRING-H2-C3DHC3_ZFPL1', 15763),
(15764, 'cd17064', NULL, 'Ubl_TAFs_like', NULL, NULL, 'Ubl_TAFs_like', 15764),
(15765, 'cd15593', NULL, 'PHD3_KMT2B', NULL, NULL, 'PHD3_KMT2B', 15765),
(15766, 'cd10231', NULL, 'YegD_like', NULL, NULL, 'YegD_like', 15766),
(15767, 'cd15212', NULL, '7tmA_GPR135', NULL, NULL, '7tmA_GPR135', 15767),
(15768, 'cd16582', NULL, 'RING-HC_TRIM31_C-V', NULL, NULL, 'RING-HC_TRIM31_C-V', 15768),
(15769, 'cd16850', NULL, 'STAT6_DBD', NULL, NULL, 'STAT6_DBD', 15769),
(15770, 'cd04413', NULL, 'NDPk_I', NULL, NULL, 'NDPk_I', 15770),
(15771, 'cd07421', NULL, 'MPP_Rhilphs', NULL, NULL, 'MPP_Rhilphs', 15771),
(15772, 'cd01075', NULL, 'NAD_bind_Leu_Phe_Val_DH', NULL, NULL, 'NAD_bind_Leu_Phe_Val_DH', 15772),
(15773, 'cd11468', NULL, 'bHLH_TS_bHLHe22_like', NULL, NULL, 'bHLH_TS_bHLHe22_like', 15773),
(15774, 'cd19199', NULL, 'PR-SET_PRDM15', NULL, NULL, 'PR-SET_PRDM15', 15774),
(15775, 'cd19787', NULL, 'Bbox2_TRIM50-like', NULL, NULL, 'Bbox2_TRIM50-like', 15775),
(15776, 'cd13674', NULL, 'PBP2_TRAP_SBP_like_1', NULL, NULL, 'PBP2_TRAP_SBP_like_1', 15776),
(15777, 'cd14603', NULL, 'PTPc-N18', NULL, NULL, 'PTPc-N18', 15777),
(15778, 'cd00956', NULL, 'Transaldolase_FSA', NULL, NULL, 'Transaldolase_FSA', 15778),
(15779, 'cd06567', NULL, 'Peptidase_S41', NULL, NULL, 'Peptidase_S41', 15779),
(15780, 'cd09747', NULL, 'Csx1_III-U', NULL, NULL, 'Csx1_III-U', 15780),
(15781, 'cd00842', NULL, 'MPP_ASMase', NULL, NULL, 'MPP_ASMase', 15781),
(15782, 'cd19582', NULL, 'serpinM_ShSPI', NULL, NULL, 'serpinM_ShSPI', 15782),
(15783, 'cd12443', NULL, 'RRM_MCM3A_like', NULL, NULL, 'RRM_MCM3A_like', 15783),
(15784, 'cd21514', NULL, 'cv_alpha_Nsp2_HCoV-229E-like', NULL, NULL, 'cv_alpha_Nsp2_HCoV-229E-like', 15784),
(15785, 'cd02112', NULL, 'eukary_NR_Moco', NULL, NULL, 'eukary_NR_Moco', 15785),
(15786, 'cd16110', NULL, 'DCX1_RP_like', NULL, NULL, 'DCX1_RP_like', 15786),
(15787, 'cd05531', NULL, 'POLBc_B2', NULL, NULL, 'POLBc_B2', 15787),
(15788, 'cd05744', NULL, 'Ig_Myotilin_C_like', NULL, NULL, 'Ig_Myotilin_C_like', 15788),
(15789, 'cd04214', NULL, 'PAD_N', NULL, NULL, 'PAD_N', 15789);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(15790, 'cd16283', NULL, 'RomA-like_MBL-fold', NULL, NULL, 'RomA-like_MBL-fold', 15790),
(15791, 'cd20300', NULL, 'cupin_npun_f5605-like_N', NULL, NULL, 'cupin_npun_f5605-like_N', 15791),
(15792, 'cd15398', NULL, '7tmA_NPY5R', NULL, NULL, '7tmA_NPY5R', 15792),
(15793, 'cd12212', NULL, 'Fis1', NULL, NULL, 'Fis1', 15793),
(15794, 'cd12502', NULL, 'RRM2_RMB19', NULL, NULL, 'RRM2_RMB19', 15794),
(15795, 'cd09884', NULL, 'PIN_Smg5-like', NULL, NULL, 'PIN_Smg5-like', 15795),
(15796, 'cd06991', NULL, 'cupin_TcmJ-like', NULL, NULL, 'cupin_TcmJ-like', 15796),
(15797, 'cd18051', NULL, 'DEADc_DDX3', NULL, NULL, 'DEADc_DDX3', 15797),
(15798, 'cd18647', NULL, 'CD_Cbx2', NULL, NULL, 'CD_Cbx2', 15798),
(15799, 'cd04390', NULL, 'RhoGAP_ARHGAP22_24_25', NULL, NULL, 'RhoGAP_ARHGAP22_24_25', 15799),
(15800, 'cd05717', NULL, 'Ig1_Necl_like', NULL, NULL, 'Ig1_Necl_like', 15800),
(15801, 'cd02233', NULL, 'cupin_HNL-like', NULL, NULL, 'cupin_HNL-like', 15801),
(15802, 'cd07708', NULL, 'MBL-B3-like', NULL, NULL, 'MBL-B3-like', 15802),
(15803, 'cd13784', NULL, 'SP_1775_like', NULL, NULL, 'SP_1775_like', 15803),
(15804, 'cd14680', NULL, 'PH_p190RhoGEF', NULL, NULL, 'PH_p190RhoGEF', 15804),
(15805, 'cd01446', NULL, 'DSP_MapKP', NULL, NULL, 'DSP_MapKP', 15805),
(15806, 'cd12108', NULL, 'Hr-like', NULL, NULL, 'Hr-like', 15806),
(15807, 'cd11799', NULL, 'SH3_ARHGEF37_C1', NULL, NULL, 'SH3_ARHGEF37_C1', 15807),
(15808, 'cd14865', NULL, 'Fe-ADH-like', NULL, NULL, 'Fe-ADH-like', 15808),
(15809, 'cd00839', NULL, 'MPP_PAPs', NULL, NULL, 'MPP_PAPs', 15809),
(15810, 'cd03718', NULL, 'SOCS_SSB1_4', NULL, NULL, 'SOCS_SSB1_4', 15810),
(15811, 'cd06932', NULL, 'NR_LBD_PPAR', NULL, NULL, 'NR_LBD_PPAR', 15811),
(15812, 'cd19913', NULL, 'DSRM_DRADA_rpt1', NULL, NULL, 'DSRM_DRADA_rpt1', 15812),
(15813, 'cd17538', NULL, 'REC_D1_PleD-like', NULL, NULL, 'REC_D1_PleD-like', 15813),
(15814, 'cd03576', NULL, 'NTR_PCOLCE', NULL, NULL, 'NTR_PCOLCE', 15814),
(15815, 'cd19422', NULL, 'lipocalin_15-like', NULL, NULL, 'lipocalin_15-like', 15815),
(15816, 'cd17551', NULL, 'REC_RpfG-like', NULL, NULL, 'REC_RpfG-like', 15816),
(15817, 'cd08014', NULL, 'M20_Acy1-like', NULL, NULL, 'M20_Acy1-like', 15817),
(15818, 'cd05615', NULL, 'STKc_cPKC_alpha', NULL, NULL, 'STKc_cPKC_alpha', 15818),
(15819, 'cd05256', NULL, 'UDP_AE_SDR_e', NULL, NULL, 'UDP_AE_SDR_e', 15819),
(15820, 'cd15686', NULL, 'PHD3_KDM5A', NULL, NULL, 'PHD3_KDM5A', 15820),
(15821, 'cd21623', NULL, 'ORF7b_SARS-CoV-2', NULL, NULL, 'ORF7b_SARS-CoV-2', 15821),
(15822, 'cd01234', NULL, 'PH_CADPS', NULL, NULL, 'PH_CADPS', 15822),
(15823, 'cd20247', NULL, 'DWORF', NULL, NULL, 'DWORF', 15823),
(15824, 'cd02086', NULL, 'P-type_ATPase_Na_ENA', NULL, NULL, 'P-type_ATPase_Na_ENA', 15824),
(15825, 'cd03193', NULL, 'GST_C_Metaxin', NULL, NULL, 'GST_C_Metaxin', 15825),
(15826, 'cd19860', NULL, 'DSRM_STAU_rpt4', NULL, NULL, 'DSRM_STAU_rpt4', 15826),
(15827, 'cd08401', NULL, 'C2A_RasA2_RasA3', NULL, NULL, 'C2A_RasA2_RasA3', 15827),
(15828, 'cd18423', NULL, 'BTB_POZ_KCNG4', NULL, NULL, 'BTB_POZ_KCNG4', 15828),
(15829, 'cd16938', NULL, 'HATPase_ETR2_ERS2-EIN4-like', NULL, NULL, 'HATPase_ETR2_ERS2-EIN4-like', 15829),
(15830, 'cd00057', NULL, 'FA58C', NULL, NULL, 'FA58C', 15830),
(15831, 'cd10917', NULL, 'CE4_NodB_like_6s_7s', NULL, NULL, 'CE4_NodB_like_6s_7s', 15831),
(15832, 'cd06827', NULL, 'PLPDE_III_AR_proteobact', NULL, NULL, 'PLPDE_III_AR_proteobact', 15832),
(15833, 'cd06428', NULL, 'M1P_guanylylT_A_like_N', NULL, NULL, 'M1P_guanylylT_A_like_N', 15833),
(15834, 'cd10145', NULL, 'TFIIA_gamma_N', NULL, NULL, 'TFIIA_gamma_N', 15834),
(15835, 'cd18572', NULL, 'ABC_6TM_TAP', NULL, NULL, 'ABC_6TM_TAP', 15835),
(15836, 'cd14709', NULL, 'bZIP_CREBL2', NULL, NULL, 'bZIP_CREBL2', 15836),
(15837, 'cd03497', NULL, 'SQR_TypeB_1_TM', NULL, NULL, 'SQR_TypeB_1_TM', 15837),
(15838, 'cd00823', NULL, 'TopoIIB_Trans', NULL, NULL, 'TopoIIB_Trans', 15838),
(15839, 'cd09857', NULL, 'PIN_EXO1', NULL, NULL, 'PIN_EXO1', 15839),
(15840, 'cd12779', NULL, 'RRM1_ROD1', NULL, NULL, 'RRM1_ROD1', 15840),
(15841, 'cd00466', NULL, 'DHQase_II', NULL, NULL, 'DHQase_II', 15841);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(15842, 'cd00162', NULL, 'RING_Ubox', NULL, NULL, 'RING_Ubox', 15842),
(15843, 'cd16383', NULL, 'GUN4', NULL, NULL, 'GUN4', 15843),
(15844, 'cd08379', NULL, 'C2D_MCTP_PRT_plant', NULL, NULL, 'C2D_MCTP_PRT_plant', 15844),
(15845, 'cd05034', NULL, 'PTKc_Src_like', NULL, NULL, 'PTKc_Src_like', 15845),
(15846, 'cd17310', NULL, 'PIPKc_PIP5K2B', NULL, NULL, 'PIPKc_PIP5K2B', 15846),
(15847, 'cd03721', NULL, 'SOCS_ASB2', NULL, NULL, 'SOCS_ASB2', 15847),
(15848, 'cd16412', NULL, 'dndB', NULL, NULL, 'dndB', 15848),
(15849, 'cd06193', NULL, 'siderophore_interacting', NULL, NULL, 'siderophore_interacting', 15849),
(15850, 'cd20232', NULL, 'PFM_crystallin-like', NULL, NULL, 'PFM_crystallin-like', 15850),
(15851, 'cd07970', NULL, 'OBF_DNA_ligase_LigC', NULL, NULL, 'OBF_DNA_ligase_LigC', 15851),
(15852, 'cd18242', NULL, 'BTB_POZ_KLHL12_C3IP1_DKIR', NULL, NULL, 'BTB_POZ_KLHL12_C3IP1_DKIR', 15852),
(15853, 'cd14768', NULL, 'PC_PEC_beta', NULL, NULL, 'PC_PEC_beta', 15853),
(15854, 'cd11424', NULL, 'bHLH_TS_OUT', NULL, NULL, 'bHLH_TS_OUT', 15854),
(15855, 'cd17094', NULL, 'FERM_F1_Max1_like', NULL, NULL, 'FERM_F1_Max1_like', 15855),
(15856, 'cd21597', NULL, 'SARS-CoV-2_Orf10', NULL, NULL, 'SARS-CoV-2_Orf10', 15856),
(15857, 'cd17495', NULL, 'RMtype1_S_Cep9333ORF4827P-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Cep9333ORF4827P-TRD2-CR2_like', 15857),
(15858, 'cd08598', NULL, 'PI-PLC1c_yeast', NULL, NULL, 'PI-PLC1c_yeast', 15858),
(15859, 'cd08493', NULL, 'PBP2_DppA_like', NULL, NULL, 'PBP2_DppA_like', 15859),
(15860, 'cd15896', NULL, 'MYSc_Myh19', NULL, NULL, 'MYSc_Myh19', 15860),
(15861, 'cd19383', NULL, 'TGF_beta_Neurturin', NULL, NULL, 'TGF_beta_Neurturin', 15861),
(15862, 'cd02645', NULL, 'R3H_AAA', NULL, NULL, 'R3H_AAA', 15862),
(15863, 'cd00249', NULL, 'AGE', NULL, NULL, 'AGE', 15863),
(15864, 'cd18012', NULL, 'DEXQc_arch_SWI2_SNF2', NULL, NULL, 'DEXQc_arch_SWI2_SNF2', 15864),
(15865, 'cd14027', NULL, 'STKc_RIP1', NULL, NULL, 'STKc_RIP1', 15865),
(15866, 'cd15872', NULL, 'R-SNARE_VAMP5', NULL, NULL, 'R-SNARE_VAMP5', 15866),
(15867, 'cd12711', NULL, 'RRM_TNRC6A', NULL, NULL, 'RRM_TNRC6A', 15867),
(15868, 'cd13182', NULL, 'EVH1-like_Dcp1', NULL, NULL, 'EVH1-like_Dcp1', 15868),
(15869, 'cd10481', NULL, 'EphR_LBD_A3', NULL, NULL, 'EphR_LBD_A3', 15869),
(15870, 'cd10492', NULL, 'MH1_SMAD_4', NULL, NULL, 'MH1_SMAD_4', 15870),
(15871, 'cd09450', NULL, 'LIM_ALP', NULL, NULL, 'LIM_ALP', 15871),
(15872, 'cd15856', NULL, 'SNARE_SNAP29C', NULL, NULL, 'SNARE_SNAP29C', 15872),
(15873, 'cd06281', NULL, 'PBP1_LacI-like', NULL, NULL, 'PBP1_LacI-like', 15873),
(15874, 'cd08352', NULL, 'VOC_Bs_YwkD_like', NULL, NULL, 'VOC_Bs_YwkD_like', 15874),
(15875, 'cd13354', NULL, 'PH-GRAM2_TCB1D9_TCB1D9B', NULL, NULL, 'PH-GRAM2_TCB1D9_TCB1D9B', 15875),
(15876, 'cd19879', NULL, 'DSRM_STAU1_rpt1', NULL, NULL, 'DSRM_STAU1_rpt1', 15876),
(15877, 'cd17814', NULL, 'Fe-ADH-like', NULL, NULL, 'Fe-ADH-like', 15877),
(15878, 'cd20222', NULL, 'PFM_parasporin-2-like', NULL, NULL, 'PFM_parasporin-2-like', 15878),
(15879, 'cd21144', NULL, 'NendoU_XendoU-like', NULL, NULL, 'NendoU_XendoU-like', 15879),
(15880, 'cd01458', NULL, 'vWA_ku', NULL, NULL, 'vWA_ku', 15880),
(15881, 'cd11447', NULL, 'bHLH-O_HEYL', NULL, NULL, 'bHLH-O_HEYL', 15881),
(15882, 'cd05784', NULL, 'DNA_polB_II_exo', NULL, NULL, 'DNA_polB_II_exo', 15882),
(15883, 'cd09889', NULL, 'NGN_Bact_2', NULL, NULL, 'NGN_Bact_2', 15883),
(15884, 'cd07425', NULL, 'MPP_Shelphs', NULL, NULL, 'MPP_Shelphs', 15884),
(15885, 'cd11536', NULL, 'NTP-PPase_iMazG', NULL, NULL, 'NTP-PPase_iMazG', 15885),
(15886, 'cd15847', NULL, 'SNARE_syntaxin7_like', NULL, NULL, 'SNARE_syntaxin7_like', 15886),
(15887, 'cd04398', NULL, 'RhoGAP_fRGD1', NULL, NULL, 'RhoGAP_fRGD1', 15887),
(15888, 'cd04689', NULL, 'Nudix_Hydrolase_30', NULL, NULL, 'Nudix_Hydrolase_30', 15888),
(15889, 'cd06163', NULL, 'S2P-M50_PDZ_RseP-like', NULL, NULL, 'S2P-M50_PDZ_RseP-like', 15889),
(15890, 'cd03393', NULL, 'PAP2_like_3', NULL, NULL, 'PAP2_like_3', 15890),
(15891, 'cd13778', NULL, 'Aar2_C', NULL, NULL, 'Aar2_C', 15891),
(15892, 'cd18689', NULL, 'PIN_VapC-like', NULL, NULL, 'PIN_VapC-like', 15892); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(15893, 'cd09621', NULL, 'CBM9_like_5', NULL, NULL, 'CBM9_like_5', 15893),
(15894, 'cd14310', NULL, 'UBA_cnDdi1_like', NULL, NULL, 'UBA_cnDdi1_like', 15894),
(15895, 'cd12144', NULL, 'SDH_N_domain', NULL, NULL, 'SDH_N_domain', 15895),
(15896, 'cd01820', NULL, 'PAF_acetylesterase_like', NULL, NULL, 'PAF_acetylesterase_like', 15896),
(15897, 'cd00982', NULL, 'gltB_C', NULL, NULL, 'gltB_C', 15897),
(15898, 'cd15250', NULL, '7tmF_FZD8', NULL, NULL, '7tmF_FZD8', 15898),
(15899, 'cd12937', NULL, 'GUCT_RH7_like', NULL, NULL, 'GUCT_RH7_like', 15899),
(15900, 'cd15385', NULL, '7tmA_V1aR', NULL, NULL, '7tmA_V1aR', 15900),
(15901, 'cd12721', NULL, 'RRM_Nup53p_fungi', NULL, NULL, 'RRM_Nup53p_fungi', 15901),
(15902, 'cd16394', NULL, 'sopB_N', NULL, NULL, 'sopB_N', 15902),
(15903, 'cd09275', NULL, 'RNase_HI_RT_DIRS1', NULL, NULL, 'RNase_HI_RT_DIRS1', 15903),
(15904, 'cd12752', NULL, 'RRM1_RBM5', NULL, NULL, 'RRM1_RBM5', 15904),
(15905, 'cd14165', NULL, 'STKc_TSSK1_2-like', NULL, NULL, 'STKc_TSSK1_2-like', 15905),
(15906, 'cd16140', NULL, 'RA_GRB7', NULL, NULL, 'RA_GRB7', 15906),
(15907, 'cd02555', NULL, 'PSSA_1', NULL, NULL, 'PSSA_1', 15907),
(15908, 'cd09504', NULL, 'SAM_STIM-1,2-like', NULL, NULL, 'SAM_STIM-1,2-like', 15908),
(15909, 'cd16109', NULL, 'DCX1', NULL, NULL, 'DCX1', 15909),
(15910, 'cd18523', NULL, 'BACK_BTBD2', NULL, NULL, 'BACK_BTBD2', 15910),
(15911, 'cd08513', NULL, 'PBP2_thermophilic_Hb8_like', NULL, NULL, 'PBP2_thermophilic_Hb8_like', 15911),
(15912, 'cd07286', NULL, 'PX_SNX18', NULL, NULL, 'PX_SNX18', 15912),
(15913, 'cd15632', NULL, 'PHD_PHF13', NULL, NULL, 'PHD_PHF13', 15913),
(15914, 'cd15975', NULL, '7tmA_ET-AR', NULL, NULL, '7tmA_ET-AR', 15914),
(15915, 'cd16839', NULL, 'PCSK9_C-CRD', NULL, NULL, 'PCSK9_C-CRD', 15915),
(15916, 'cd03117', NULL, 'alpha_CA_IV_XV_like', NULL, NULL, 'alpha_CA_IV_XV_like', 15916),
(15917, 'cd01834', NULL, 'SGNH_hydrolase_like_2', NULL, NULL, 'SGNH_hydrolase_like_2', 15917),
(15918, 'cd12886', NULL, 'SPRY_like', NULL, NULL, 'SPRY_like', 15918),
(15919, 'cd07796', NULL, 'FGGY_NHO1_plant', NULL, NULL, 'FGGY_NHO1_plant', 15919),
(15920, 'cd04228', NULL, 'CuRO_5_FVIII_like', NULL, NULL, 'CuRO_5_FVIII_like', 15920),
(15921, 'cd08485', NULL, 'PBP2_ClcR', NULL, NULL, 'PBP2_ClcR', 15921),
(15922, 'cd09809', NULL, 'human_WWOX_like_SDR_c-like', NULL, NULL, 'human_WWOX_like_SDR_c-like', 15922),
(15923, 'cd01080', NULL, 'NAD_bind_m-THF_DH_Cyclohyd', NULL, NULL, 'NAD_bind_m-THF_DH_Cyclohyd', 15923),
(15924, 'cd13394', NULL, 'Syo1_like', NULL, NULL, 'Syo1_like', 15924),
(15925, 'cd06554', NULL, 'ASCH_ASC-1_like', NULL, NULL, 'ASCH_ASC-1_like', 15925),
(15926, 'cd01801', NULL, 'Ubl_TECR_like', NULL, NULL, 'Ubl_TECR_like', 15926),
(15927, 'cd03139', NULL, 'GATase1_PfpI_2', NULL, NULL, 'GATase1_PfpI_2', 15927),
(15928, 'cd18910', NULL, 'bHLHzip_USF3', NULL, NULL, 'bHLHzip_USF3', 15928),
(15929, 'cd15940', NULL, '7tmA_OR4E-like', NULL, NULL, '7tmA_OR4E-like', 15929),
(15930, 'cd16675', NULL, 'RING-H2_RNF24', NULL, NULL, 'RING-H2_RNF24', 15930),
(15931, 'cd00806', NULL, 'TrpRS_core', NULL, NULL, 'TrpRS_core', 15931),
(15932, 'cd04119', NULL, 'RJL', NULL, NULL, 'RJL', 15932),
(15933, 'cd16471', NULL, 'RING-H2_RNF32', NULL, NULL, 'RING-H2_RNF32', 15933),
(15934, 'cd00475', NULL, 'Cis_IPPS', NULL, NULL, 'Cis_IPPS', 15934),
(15935, 'cd07073', NULL, 'NR_LBD_AR', NULL, NULL, 'NR_LBD_AR', 15935),
(15936, 'cd08829', NULL, 'SPFH_paraslipin', NULL, NULL, 'SPFH_paraslipin', 15936),
(15937, 'cd16173', NULL, 'EFh_MICU1', NULL, NULL, 'EFh_MICU1', 15937),
(15938, 'cd04090', NULL, 'EF2_II_snRNP', NULL, NULL, 'EF2_II_snRNP', 15938),
(15939, 'cd20759', NULL, 'capping_2-OMTase_Phytoreovirus', NULL, NULL, 'capping_2-OMTase_Phytoreovirus', 15939),
(15940, 'cd17001', NULL, 'CID_RPRD2', NULL, NULL, 'CID_RPRD2', 15940),
(15941, 'cd03034', NULL, 'ArsC_ArsC', NULL, NULL, 'ArsC_ArsC', 15941),
(15942, 'cd06382', NULL, 'PBP1_iGluR_Kainate', NULL, NULL, 'PBP1_iGluR_Kainate', 15942),
(15943, 'cd08320', NULL, 'Pyrin_NALPs', NULL, NULL, 'Pyrin_NALPs', 15943),
(15944, 'cd14521', NULL, 'DSP_fungal_SDP1-like', NULL, NULL, 'DSP_fungal_SDP1-like', 15944);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(15945, 'cd07308', NULL, 'lectin_leg-like', NULL, NULL, 'lectin_leg-like', 15945),
(15946, 'cd09380', NULL, 'LIM1_Lhx6', NULL, NULL, 'LIM1_Lhx6', 15946),
(15947, 'cd03066', NULL, 'PDI_b_Calsequestrin_middle', NULL, NULL, 'PDI_b_Calsequestrin_middle', 15947),
(15948, 'cd03245', NULL, 'ABCC_bacteriocin_exporters', NULL, NULL, 'ABCC_bacteriocin_exporters', 15948),
(15949, 'cd19920', NULL, 'REC_PA4781-like', NULL, NULL, 'REC_PA4781-like', 15949),
(15950, 'cd06296', NULL, 'PBP1_CatR-like', NULL, NULL, 'PBP1_CatR-like', 15950),
(15951, 'cd14121', NULL, 'STKc_ULK3', NULL, NULL, 'STKc_ULK3', 15951),
(15952, 'cd17773', NULL, 'CBS_pair_NeuB', NULL, NULL, 'CBS_pair_NeuB', 15952),
(15953, 'cd01853', NULL, 'Toc34_like', NULL, NULL, 'Toc34_like', 15953),
(15954, 'cd12457', NULL, 'RRM_XMAS2', NULL, NULL, 'RRM_XMAS2', 15954),
(15955, 'cd18589', NULL, 'ABC_6TM_TAP1', NULL, NULL, 'ABC_6TM_TAP1', 15955),
(15956, 'cd04493', NULL, 'BRCA2DBD_OB1', NULL, NULL, 'BRCA2DBD_OB1', 15956),
(15957, 'cd03674', NULL, 'Nudix_Hydrolase_1', NULL, NULL, 'Nudix_Hydrolase_1', 15957),
(15958, 'cd19908', NULL, 'DSRM_AtDRB-like_rpt2', NULL, NULL, 'DSRM_AtDRB-like_rpt2', 15958),
(15959, 'cd14702', NULL, 'bZIP_plant_GBF1', NULL, NULL, 'bZIP_plant_GBF1', 15959),
(15960, 'cd01569', NULL, 'PBEF_like', NULL, NULL, 'PBEF_like', 15960),
(15961, 'cd08249', NULL, 'enoyl_reductase_like', NULL, NULL, 'enoyl_reductase_like', 15961),
(15962, 'cd05814', NULL, 'CBM20_Prei4', NULL, NULL, 'CBM20_Prei4', 15962),
(15963, 'cd16127', NULL, 'Ubl_ATG8_GABARAP_like', NULL, NULL, 'Ubl_ATG8_GABARAP_like', 15963),
(15964, 'cd06251', NULL, 'M14_ASTE_ASPA-like', NULL, NULL, 'M14_ASTE_ASPA-like', 15964),
(15965, 'cd10045', NULL, 'Reelin_repeat_1_subrepeat_2', NULL, NULL, 'Reelin_repeat_1_subrepeat_2', 15965),
(15966, 'cd17459', NULL, 'MFS_SLCO1C_OATP1C', NULL, NULL, 'MFS_SLCO1C_OATP1C', 15966),
(15967, 'cd17218', NULL, 'RA_RASSF1', NULL, NULL, 'RA_RASSF1', 15967),
(15968, 'cd05389', NULL, 'CobQ_N', NULL, NULL, 'CobQ_N', 15968),
(15969, 'cd12675', NULL, 'RRM2_Nop4p', NULL, NULL, 'RRM2_Nop4p', 15969),
(15970, 'cd03115', NULL, 'SRP_G_like', NULL, NULL, 'SRP_G_like', 15970),
(15971, 'cd12093', NULL, 'TM_ErbB1', NULL, NULL, 'TM_ErbB1', 15971),
(15972, 'cd06853', NULL, 'GT_WecA_like', NULL, NULL, 'GT_WecA_like', 15972),
(15973, 'cd13230', NULL, 'PH1_SSRP1-like', NULL, NULL, 'PH1_SSRP1-like', 15973),
(15974, 'cd01775', NULL, 'RA_PHLPP_like', NULL, NULL, 'RA_PHLPP_like', 15974),
(15975, 'cd05665', NULL, 'M20_Acy1_IAAspH', NULL, NULL, 'M20_Acy1_IAAspH', 15975),
(15976, 'cd15522', NULL, 'PHD_TAF3', NULL, NULL, 'PHD_TAF3', 15976),
(15977, 'cd06969', NULL, 'NR_DBD_NGFI-B', NULL, NULL, 'NR_DBD_NGFI-B', 15977),
(15978, 'cd15711', NULL, 'ePHD2_PHF6', NULL, NULL, 'ePHD2_PHF6', 15978),
(15979, 'cd08909', NULL, 'START_STARD13-like', NULL, NULL, 'START_STARD13-like', 15979),
(15980, 'cd10322', NULL, 'SLC5sbd', NULL, NULL, 'SLC5sbd', 15980),
(15981, 'cd06446', NULL, 'Trp-synth_B', NULL, NULL, 'Trp-synth_B', 15981),
(15982, 'cd09681', NULL, 'Csx3_III-U', NULL, NULL, 'Csx3_III-U', 15982),
(15983, 'cd15432', NULL, '7tmA_OR2B2-like', NULL, NULL, '7tmA_OR2B2-like', 15983),
(15984, 'cd20283', NULL, 'cupin_DddY', NULL, NULL, 'cupin_DddY', 15984),
(15985, 'cd01923', NULL, 'cyclophilin_RING', NULL, NULL, 'cyclophilin_RING', 15985),
(15986, 'cd05638', NULL, 'M42', NULL, NULL, 'M42', 15986),
(15987, 'cd11275', NULL, 'Sema_plexin_B1', NULL, NULL, 'Sema_plexin_B1', 15987),
(15988, 'cd19848', NULL, 'Bbox1_TRIM36_C-I', NULL, NULL, 'Bbox1_TRIM36_C-I', 15988),
(15989, 'cd16829', NULL, 'ChuX_HutX-like', NULL, NULL, 'ChuX_HutX-like', 15989),
(15990, 'cd02979', NULL, 'PHOX_C', NULL, NULL, 'PHOX_C', 15990),
(15991, 'cd13661', NULL, 'PBP2_PotD_PotF_like_1', NULL, NULL, 'PBP2_PotD_PotF_like_1', 15991),
(15992, 'cd00354', NULL, 'FBPase', NULL, NULL, 'FBPase', 15992),
(15993, 'cd09914', NULL, 'RocCOR', NULL, NULL, 'RocCOR', 15993),
(15994, 'cd01974', NULL, 'Nitrogenase_MoFe_beta', NULL, NULL, 'Nitrogenase_MoFe_beta', 15994),
(15995, 'cd14757', NULL, 'GS_EcDosC-like_GGDEF', NULL, NULL, 'GS_EcDosC-like_GGDEF', 15995);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(15996, 'cd18202', NULL, 'BTB_POZ_ZBTB11', NULL, NULL, 'BTB_POZ_ZBTB11', 15996),
(15997, 'cd06271', NULL, 'PBP1_AglR_RafR-like', NULL, NULL, 'PBP1_AglR_RafR-like', 15997),
(15998, 'cd21402', NULL, 'ZBD_mv_SF1_Hel-like', NULL, NULL, 'ZBD_mv_SF1_Hel-like', 15998),
(15999, 'cd08161', NULL, 'SET', NULL, NULL, 'SET', 15999),
(16000, 'cd01355', NULL, 'AcnX', NULL, NULL, 'AcnX', 16000),
(16001, 'cd11018', NULL, 'CuRO_6_FVIII_like', NULL, NULL, 'CuRO_6_FVIII_like', 16001),
(16002, 'cd19812', NULL, 'Bbox1_TRIM71_C-VII', NULL, NULL, 'Bbox1_TRIM71_C-VII', 16002),
(16003, 'cd17284', NULL, 'RMtype1_S_Cbo7060ORF11580P_TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Cbo7060ORF11580P_TRD2-CR2_like', 16003),
(16004, 'cd12709', NULL, 'RRM_RCAN2', NULL, NULL, 'RRM_RCAN2', 16004),
(16005, 'cd02244', NULL, 'cupin_7S_vicilin-like_N', NULL, NULL, 'cupin_7S_vicilin-like_N', 16005),
(16006, 'cd03887', NULL, 'M20_Acy1L2', NULL, NULL, 'M20_Acy1L2', 16006),
(16007, 'cd11767', NULL, 'SH3_Nck_3', NULL, NULL, 'SH3_Nck_3', 16007),
(16008, 'cd07143', NULL, 'ALDH_AldA_AN0554', NULL, NULL, 'ALDH_AldA_AN0554', 16008),
(16009, 'cd06063', NULL, 'H2MP_Cyano-H2up', NULL, NULL, 'H2MP_Cyano-H2up', 16009),
(16010, 'cd16806', NULL, 'RING_CH-C4HC3_MARCH1', NULL, NULL, 'RING_CH-C4HC3_MARCH1', 16010),
(16011, 'cd02436', NULL, 'Nodulin-21', NULL, NULL, 'Nodulin-21', 16011),
(16012, 'cd01859', NULL, 'MJ1464', NULL, NULL, 'MJ1464', 16012),
(16013, 'cd18278', NULL, 'BTB_POZ_BACH2', NULL, NULL, 'BTB_POZ_BACH2', 16013),
(16014, 'cd08622', NULL, 'PI-PLCXDc_CG14945_like', NULL, NULL, 'PI-PLCXDc_CG14945_like', 16014),
(16015, 'cd12795', NULL, 'FILIA_N_like', NULL, NULL, 'FILIA_N_like', 16015),
(16016, 'cd15163', NULL, '7tmA_GPR20', NULL, NULL, '7tmA_GPR20', 16016),
(16017, 'cd15971', NULL, '7tmA_SSTR2', NULL, NULL, '7tmA_SSTR2', 16017),
(16018, 'cd19578', NULL, 'serpinK_insect_SRPN2-like', NULL, NULL, 'serpinK_insect_SRPN2-like', 16018),
(16019, 'cd01050', NULL, 'Acyl_ACP_Desat', NULL, NULL, 'Acyl_ACP_Desat', 16019),
(16020, 'cd13977', NULL, 'STKc_PDIK1L', NULL, NULL, 'STKc_PDIK1L', 16020),
(16021, 'cd06007', NULL, 'R3H_DEXH_helicase', NULL, NULL, 'R3H_DEXH_helicase', 16021),
(16022, 'cd08662', NULL, 'M13', NULL, NULL, 'M13', 16022),
(16023, 'cd09730', NULL, 'Cas8a1_I-A', NULL, NULL, 'Cas8a1_I-A', 16023),
(16024, 'cd01659', NULL, 'TRX_superfamily', NULL, NULL, 'TRX_superfamily', 16024),
(16025, 'cd04224', NULL, 'CuRO_3_ceruloplasmin', NULL, NULL, 'CuRO_3_ceruloplasmin', 16025),
(16026, 'cd05709', NULL, 'S2P-M50', NULL, NULL, 'S2P-M50', 16026),
(16027, 'cd11822', NULL, 'SH3_SASH_like', NULL, NULL, 'SH3_SASH_like', 16027),
(16028, 'cd13125', NULL, 'MATE_like_10', NULL, NULL, 'MATE_like_10', 16028),
(16029, 'cd14285', NULL, 'UBA_scEDE1_like', NULL, NULL, 'UBA_scEDE1_like', 16029),
(16030, 'cd18489', NULL, 'BACK_BTBD7', NULL, NULL, 'BACK_BTBD7', 16030),
(16031, 'cd03242', NULL, 'ABC_RecF', NULL, NULL, 'ABC_RecF', 16031),
(16032, 'cd08215', NULL, 'STKc_Nek', NULL, NULL, 'STKc_Nek', 16032),
(16033, 'cd18312', NULL, 'BTB_POZ_NPY3-like', NULL, NULL, 'BTB_POZ_NPY3-like', 16033),
(16034, 'cd20169', NULL, 'Peptidase_M90_mtfA', NULL, NULL, 'Peptidase_M90_mtfA', 16034),
(16035, 'cd13127', NULL, 'MATE_tuaB_like', NULL, NULL, 'MATE_tuaB_like', 16035),
(16036, 'cd18590', NULL, 'ABC_6TM_TAP2', NULL, NULL, 'ABC_6TM_TAP2', 16036),
(16037, 'cd01296', NULL, 'Imidazolone-5PH', NULL, NULL, 'Imidazolone-5PH', 16037),
(16038, 'cd08483', NULL, 'PBP2_HvrB', NULL, NULL, 'PBP2_HvrB', 16038),
(16039, 'cd12530', NULL, 'RRM3_EAR1_like', NULL, NULL, 'RRM3_EAR1_like', 16039),
(16040, 'cd18767', NULL, 'PIN_MtVapC3-like', NULL, NULL, 'PIN_MtVapC3-like', 16040),
(16041, 'cd18317', NULL, 'BTB_POZ_Kv', NULL, NULL, 'BTB_POZ_Kv', 16041),
(16042, 'cd11845', NULL, 'SH3_Src_like', NULL, NULL, 'SH3_Src_like', 16042),
(16043, 'cd02678', NULL, 'MIT_VPS4', NULL, NULL, 'MIT_VPS4', 16043),
(16044, 'cd15713', NULL, 'ePHD_JMJD2A', NULL, NULL, 'ePHD_JMJD2A', 16044),
(16045, 'cd01611', NULL, 'Ubl_Autophagy_like', NULL, NULL, 'Ubl_Autophagy_like', 16045),
(16046, 'cd12673', NULL, 'RRM_BOULE', NULL, NULL, 'RRM_BOULE', 16046);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(16047, 'cd14057', NULL, 'PK_ILK', NULL, NULL, 'PK_ILK', 16047),
(16048, 'cd07991', NULL, 'LPLAT_LPCAT1-like', NULL, NULL, 'LPLAT_LPCAT1-like', 16048),
(16049, 'cd08260', NULL, 'Zn_ADH6', NULL, NULL, 'Zn_ADH6', 16049),
(16050, 'cd14173', NULL, 'STKc_Mnk2', NULL, NULL, 'STKc_Mnk2', 16050),
(16051, 'cd16727', NULL, 'RING3-HC_MIB1', NULL, NULL, 'RING3-HC_MIB1', 16051),
(16052, 'cd08186', NULL, 'Fe-ADH-like', NULL, NULL, 'Fe-ADH-like', 16052),
(16053, 'cd07491', NULL, 'Peptidases_S8_7', NULL, NULL, 'Peptidases_S8_7', 16053),
(16054, 'cd00557', NULL, 'Translocase_SecB', NULL, NULL, 'Translocase_SecB', 16054),
(16055, 'cd04772', NULL, 'HTH_TioE_rpt1', NULL, NULL, 'HTH_TioE_rpt1', 16055),
(16056, 'cd12889', NULL, 'SPRY_PRY_TRIM67_9', NULL, NULL, 'SPRY_PRY_TRIM67_9', 16056),
(16057, 'cd01645', NULL, 'RT_Rtv', NULL, NULL, 'RT_Rtv', 16057),
(16058, 'cd13963', NULL, 'PT_UbiA_2', NULL, NULL, 'PT_UbiA_2', 16058),
(16059, 'cd01973', NULL, 'Nitrogenase_VFe_beta_like', NULL, NULL, 'Nitrogenase_VFe_beta_like', 16059),
(16060, 'cd15421', NULL, '7tmA_OR2T-like', NULL, NULL, '7tmA_OR2T-like', 16060),
(16061, 'cd09665', NULL, 'Cas8a1_I-A', NULL, NULL, 'Cas8a1_I-A', 16061),
(16062, 'cd16819', NULL, 'SP-RING_PIAS2', NULL, NULL, 'SP-RING_PIAS2', 16062),
(16063, 'cd00271', NULL, 'Chemokine_C', NULL, NULL, 'Chemokine_C', 16063),
(16064, 'cd09356', NULL, 'LIM2_TRIP6', NULL, NULL, 'LIM2_TRIP6', 16064),
(16065, 'cd19337', NULL, 'Wnt_Wnt5', NULL, NULL, 'Wnt_Wnt5', 16065),
(16066, 'cd11463', NULL, 'bHLH-O_HES2', NULL, NULL, 'bHLH-O_HES2', 16066),
(16067, 'cd18773', NULL, 'PDC1_HK_sensor', NULL, NULL, 'PDC1_HK_sensor', 16067),
(16068, 'cd10286', NULL, 'somatolactin', NULL, NULL, 'somatolactin', 16068),
(16069, 'cd11978', NULL, 'SH3_VAV3_2', NULL, NULL, 'SH3_VAV3_2', 16069),
(16070, 'cd03794', NULL, 'GT4_WbuB-like', NULL, NULL, 'GT4_WbuB-like', 16070),
(16071, 'cd11976', NULL, 'SH3_VAV1_2', NULL, NULL, 'SH3_VAV1_2', 16071),
(16072, 'cd13742', NULL, 'SPRY_PRY_TRIM72', NULL, NULL, 'SPRY_PRY_TRIM72', 16072),
(16073, 'cd15538', NULL, 'PHD_PRKCBP1', NULL, NULL, 'PHD_PRKCBP1', 16073),
(16074, 'cd14102', NULL, 'STKc_PIM3', NULL, NULL, 'STKc_PIM3', 16074),
(16075, 'cd07043', NULL, 'STAS_anti-anti-sigma_factors', NULL, NULL, 'STAS_anti-anti-sigma_factors', 16075),
(16076, 'cd05561', NULL, 'Peptidases_S8_4', NULL, NULL, 'Peptidases_S8_4', 16076),
(16077, 'cd16943', NULL, 'HATPase_AtoS-like', NULL, NULL, 'HATPase_AtoS-like', 16077),
(16078, 'cd17870', NULL, 'GPN1', NULL, NULL, 'GPN1', 16078),
(16079, 'cd02871', NULL, 'GH18_chitinase_D-like', NULL, NULL, 'GH18_chitinase_D-like', 16079),
(16080, 'cd20218', NULL, 'PFM_aerolysin', NULL, NULL, 'PFM_aerolysin', 16080),
(16081, 'cd13601', NULL, 'PBP2_TRAP_DctP1_3_4_like', NULL, NULL, 'PBP2_TRAP_DctP1_3_4_like', 16081),
(16082, 'cd15664', NULL, 'ePHD_KMT2A_like', NULL, NULL, 'ePHD_KMT2A_like', 16082),
(16083, 'cd03053', NULL, 'GST_N_Phi', NULL, NULL, 'GST_N_Phi', 16083),
(16084, 'cd14807', NULL, 'RAP_D2', NULL, NULL, 'RAP_D2', 16084),
(16085, 'cd12000', NULL, 'SH3_CASS4', NULL, NULL, 'SH3_CASS4', 16085),
(16086, 'cd15634', NULL, 'PHD_PHF20', NULL, NULL, 'PHD_PHF20', 16086),
(16087, 'cd01990', NULL, 'Alpha_ANH_like_I', NULL, NULL, 'Alpha_ANH_like_I', 16087),
(16088, 'cd07961', NULL, 'Anticodon_Ia_Ile_ABEc', NULL, NULL, 'Anticodon_Ia_Ile_ABEc', 16088),
(16089, 'cd08720', NULL, 'RGS_SNX25', NULL, NULL, 'RGS_SNX25', 16089),
(16090, 'cd00382', NULL, 'beta_CA', NULL, NULL, 'beta_CA', 16090),
(16091, 'cd15087', NULL, '7tmA_NPBWR', NULL, NULL, '7tmA_NPBWR', 16091),
(16092, 'cd00114', NULL, 'LIGANc', NULL, NULL, 'LIGANc', 16092),
(16093, 'cd02671', NULL, 'Peptidase_C19O', NULL, NULL, 'Peptidase_C19O', 16093),
(16094, 'cd09902', NULL, 'H3TH_MKT1', NULL, NULL, 'H3TH_MKT1', 16094),
(16095, 'cd08235', NULL, 'iditol_2_DH_like', NULL, NULL, 'iditol_2_DH_like', 16095),
(16096, 'cd07762', NULL, 'CYTH-like_Pase_1', NULL, NULL, 'CYTH-like_Pase_1', 16096),
(16097, 'cd19838', NULL, 'Bbox1_TRIM8_C-V', NULL, NULL, 'Bbox1_TRIM8_C-V', 16097),
(16098, 'cd00380', NULL, 'KOW', NULL, NULL, 'KOW', 16098),
(16099, 'cd01737', NULL, 'LSm16_N', NULL, NULL, 'LSm16_N', 16099);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(16100, 'cd08734', NULL, 'RGS-like_1', NULL, NULL, 'RGS-like_1', 16100),
(16101, 'cd08973', NULL, 'BaFpgNei_N_1', NULL, NULL, 'BaFpgNei_N_1', 16101),
(16102, 'cd15043', NULL, '7tmC_RAIG_GPRC5', NULL, NULL, '7tmC_RAIG_GPRC5', 16102),
(16103, 'cd17424', NULL, 'MFS_MCT12', NULL, NULL, 'MFS_MCT12', 16103),
(16104, 'cd08435', NULL, 'PBP2_GbpR', NULL, NULL, 'PBP2_GbpR', 16104),
(16105, 'cd15802', NULL, 'RING_CBP-p300', NULL, NULL, 'RING_CBP-p300', 16105),
(16106, 'cd03207', NULL, 'GST_C_8', NULL, NULL, 'GST_C_8', 16106),
(16107, 'cd08565', NULL, 'GDPD_pAtGDE_like', NULL, NULL, 'GDPD_pAtGDE_like', 16107),
(16108, 'cd07023', NULL, 'S49_Sppa_N_C', NULL, NULL, 'S49_Sppa_N_C', 16108),
(16109, 'cd13560', NULL, 'PBP2_taurine', NULL, NULL, 'PBP2_taurine', 16109),
(16110, 'cd11509', NULL, 'SLC6sbd_CT1', NULL, NULL, 'SLC6sbd_CT1', 16110),
(16111, 'cd14351', NULL, 'UBA_Ubx1_like', NULL, NULL, 'UBA_Ubx1_like', 16111),
(16112, 'cd09493', NULL, 'SAM_SASH-like', NULL, NULL, 'SAM_SASH-like', 16112),
(16113, 'cd04788', NULL, 'HTH_NolA-AlbR', NULL, NULL, 'HTH_NolA-AlbR', 16113),
(16114, 'cd19796', NULL, 'Bbox2_TRIM71_C-VII', NULL, NULL, 'Bbox2_TRIM71_C-VII', 16114),
(16115, 'cd19702', NULL, 'bHLH_TS_HEN2', NULL, NULL, 'bHLH_TS_HEN2', 16115),
(16116, 'cd04192', NULL, 'GT_2_like_e', NULL, NULL, 'GT_2_like_e', 16116),
(16117, 'cd16006', NULL, '7tmB2_Latrophilin-2', NULL, NULL, '7tmB2_Latrophilin-2', 16117),
(16118, 'cd09257', NULL, 'AP_muniscins_like_MHD', NULL, NULL, 'AP_muniscins_like_MHD', 16118),
(16119, 'cd06146', NULL, 'mut-7_like_exo', NULL, NULL, 'mut-7_like_exo', 16119),
(16120, 'cd11236', NULL, 'Sema_plexin_like', NULL, NULL, 'Sema_plexin_like', 16120),
(16121, 'cd16103', NULL, 'Ubl2_OASL', NULL, NULL, 'Ubl2_OASL', 16121),
(16122, 'cd05700', NULL, 'S1_Rrp5_repeat_hs9', NULL, NULL, 'S1_Rrp5_repeat_hs9', 16122),
(16123, 'cd19437', NULL, 'lipocalin_apoD-like', NULL, NULL, 'lipocalin_apoD-like', 16123),
(16124, 'cd14758', NULL, 'GS_GGDEF_1', NULL, NULL, 'GS_GGDEF_1', 16124),
(16125, 'cd16237', NULL, 'EFh_SPARC_TICN1', NULL, NULL, 'EFh_SPARC_TICN1', 16125),
(16126, 'cd08330', NULL, 'CARD_ASC_NALP1', NULL, NULL, 'CARD_ASC_NALP1', 16126),
(16127, 'cd07241', NULL, 'VOC_BsYyaH', NULL, NULL, 'VOC_BsYyaH', 16127),
(16128, 'cd09193', NULL, 'PLDc_mTdp1_1', NULL, NULL, 'PLDc_mTdp1_1', 16128),
(16129, 'cd03121', NULL, 'alpha_CARP_X_XI_like', NULL, NULL, 'alpha_CARP_X_XI_like', 16129),
(16130, 'cd03275', NULL, 'ABC_SMC1_euk', NULL, NULL, 'ABC_SMC1_euk', 16130),
(16131, 'cd08920', NULL, 'Ngb', NULL, NULL, 'Ngb', 16131),
(16132, 'cd19793', NULL, 'Bbox2_TRIM65-like', NULL, NULL, 'Bbox2_TRIM65-like', 16132),
(16133, 'cd02553', NULL, 'PseudoU_synth_RsuA', NULL, NULL, 'PseudoU_synth_RsuA', 16133),
(16134, 'cd09882', NULL, 'PIN_MtVapC3-like_start', NULL, NULL, 'PIN_MtVapC3-like_start', 16134),
(16135, 'cd17918', NULL, 'DEXHc_RecG', NULL, NULL, 'DEXHc_RecG', 16135),
(16136, 'cd07391', NULL, 'MPP_PF1019', NULL, NULL, 'MPP_PF1019', 16136),
(16137, 'cd09082', NULL, 'Deadenylase', NULL, NULL, 'Deadenylase', 16137),
(16138, 'cd00315', NULL, 'Cyt_C5_DNA_methylase', NULL, NULL, 'Cyt_C5_DNA_methylase', 16138),
(16139, 'cd07482', NULL, 'Peptidases_S8_Lantibiotic_specific_protease', NULL, NULL, 'Peptidases_S8_Lantibiotic_specific_protease', 16139),
(16140, 'cd07878', NULL, 'STKc_p38beta', NULL, NULL, 'STKc_p38beta', 16140),
(16141, 'cd09671', NULL, 'Csx1_III-U', NULL, NULL, 'Csx1_III-U', 16141),
(16142, 'cd08051', NULL, 'gp6_gp15_like', NULL, NULL, 'gp6_gp15_like', 16142),
(16143, 'cd08228', NULL, 'STKc_Nek6', NULL, NULL, 'STKc_Nek6', 16143),
(16144, 'cd16240', NULL, 'EFh_SPARC_SMOC1', NULL, NULL, 'EFh_SPARC_SMOC1', 16144),
(16145, 'cd19989', NULL, 'PBP1_SBP-like', NULL, NULL, 'PBP1_SBP-like', 16145),
(16146, 'cd09756', NULL, 'Cas5_I-E', NULL, NULL, 'Cas5_I-E', 16146),
(16147, 'cd16708', NULL, 'RING-HC_Cbl', NULL, NULL, 'RING-HC_Cbl', 16147),
(16148, 'cd13856', NULL, 'CuRO_1_Tv-LCC_like', NULL, NULL, 'CuRO_1_Tv-LCC_like', 16148),
(16149, 'cd18724', NULL, 'PIN_LabA-like', NULL, NULL, 'PIN_LabA-like', 16149),
(16150, 'cd12755', NULL, 'RRM2_RBM5', NULL, NULL, 'RRM2_RBM5', 16150);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(16151, 'cd07891', NULL, 'CYTH-like_CthTTM-like_1', NULL, NULL, 'CYTH-like_CthTTM-like_1', 16151),
(16152, 'cd17707', NULL, 'BRCT_XRCC1_rpt2', NULL, NULL, 'BRCT_XRCC1_rpt2', 16152),
(16153, 'cd13606', NULL, 'PBP2_ProX_like', NULL, NULL, 'PBP2_ProX_like', 16153),
(16154, 'cd18748', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, 'PIN_VapC4-5_FitB-like', 16154),
(16155, 'cd09986', NULL, 'LOTUS_1_TDRD7', NULL, NULL, 'LOTUS_1_TDRD7', 16155),
(16156, 'cd17297', NULL, 'AldB-like', NULL, NULL, 'AldB-like', 16156),
(16157, 'cd15251', NULL, '7tmB2_BAI_Adhesion_VII', NULL, NULL, '7tmB2_BAI_Adhesion_VII', 16157),
(16158, 'cd01647', NULL, 'RT_LTR', NULL, NULL, 'RT_LTR', 16158),
(16159, 'cd17265', NULL, 'RMtype1_S_Eco4255III-TRD2-CR2_like', NULL, NULL, 'RMtype1_S_Eco4255III-TRD2-CR2_like', 16159),
(16160, 'cd17129', NULL, 'Ubl1_FAF1', NULL, NULL, 'Ubl1_FAF1', 16160),
(16161, 'cd00309', NULL, 'chaperonin_type_I_II', NULL, NULL, 'chaperonin_type_I_II', 16161),
(16162, 'cd10431', NULL, 'GHITM', NULL, NULL, 'GHITM', 16162),
(16163, 'cd12012', NULL, 'SH3_RIM-BP_2', NULL, NULL, 'SH3_RIM-BP_2', 16163),
(16164, 'cd17916', NULL, 'DEXHc_UvrB', NULL, NULL, 'DEXHc_UvrB', 16164),
(16165, 'cd19553', NULL, 'serpinA5_PCI', NULL, NULL, 'serpinA5_PCI', 16165),
(16166, 'cd09071', NULL, 'FAR_C', NULL, NULL, 'FAR_C', 16166),
(16167, 'cd09650', NULL, 'Cas7_I', NULL, NULL, 'Cas7_I', 16167),
(16168, 'cd12796', NULL, 'LbR_Ice_bind', NULL, NULL, 'LbR_Ice_bind', 16168),
(16169, 'cd15457', NULL, 'NADAR', NULL, NULL, 'NADAR', 16169),
(16170, 'cd00001', NULL, 'PTS_IIB_man', NULL, NULL, 'PTS_IIB_man', 16170),
(16171, 'cd00586', NULL, '4HBT', NULL, NULL, '4HBT', 16171),
(16172, 'cd14484', NULL, 'SPX_GDE1_like', NULL, NULL, 'SPX_GDE1_like', 16172),
(16173, 'cd13185', NULL, 'FERM_C_FRMD1_FRMD6', NULL, NULL, 'FERM_C_FRMD1_FRMD6', 16173),
(16174, 'cd06103', NULL, 'ScCS-like', NULL, NULL, 'ScCS-like', 16174),
(16175, 'cd13436', NULL, 'SPFH_SLP-1', NULL, NULL, 'SPFH_SLP-1', 16175),
(16176, 'cd10788', NULL, 'YdjC_like', NULL, NULL, 'YdjC_like', 16176),
(16177, 'cd09886', NULL, 'NGN_SP', NULL, NULL, 'NGN_SP', 16177),
(16178, 'cd14692', NULL, 'bZIP_ATF4', NULL, NULL, 'bZIP_ATF4', 16178),
(16179, 'cd14950', NULL, 'Asparaginase_2_like_2', NULL, NULL, 'Asparaginase_2_like_2', 16179),
(16180, 'cd01134', NULL, 'V_A-ATPase_A', NULL, NULL, 'V_A-ATPase_A', 16180),
(16181, 'cd05170', NULL, 'PIKKc_SMG1', NULL, NULL, 'PIKKc_SMG1', 16181),
(16182, 'cd02577', NULL, 'PSTD1', NULL, NULL, 'PSTD1', 16182),
(16183, 'cd12478', NULL, 'RRM1_U2B', NULL, NULL, 'RRM1_U2B', 16183),
(16184, 'cd05279', NULL, 'Zn_ADH1', NULL, NULL, 'Zn_ADH1', 16184),
(16185, 'cd12462', NULL, 'RRM_SCAF8', NULL, NULL, 'RRM_SCAF8', 16185),
(16186, 'cd09592', NULL, 'SAM_DLC2', NULL, NULL, 'SAM_DLC2', 16186),
(16187, 'cd17675', NULL, 'SWIB_BAF60B', NULL, NULL, 'SWIB_BAF60B', 16187),
(16188, 'cd08579', NULL, 'GDPD_memb_like', NULL, NULL, 'GDPD_memb_like', 16188),
(16189, 'cd16480', NULL, 'RING-H2_TRAIP', NULL, NULL, 'RING-H2_TRAIP', 16189),
(16190, 'cd07717', NULL, 'RNaseZ_ZiPD-like_MBL-fold', NULL, NULL, 'RNaseZ_ZiPD-like_MBL-fold', 16190),
(16191, 'cd09607', NULL, 'M3B_PepF', NULL, NULL, 'M3B_PepF', 16191),
(16192, 'cd12835', NULL, 'EcCorA-like_1', NULL, NULL, 'EcCorA-like_1', 16192),
(16193, 'cd21170', NULL, 'NTD_cv_Nsp15-like', NULL, NULL, 'NTD_cv_Nsp15-like', 16193),
(16194, 'cd15989', NULL, '7tmB2_BAI3', NULL, NULL, '7tmB2_BAI3', 16194),
(16195, 'cd14362', NULL, 'CUE_TAB2_TAB3', NULL, NULL, 'CUE_TAB2_TAB3', 16195),
(16196, 'cd10972', NULL, 'CE4_DAC_u3_5s', NULL, NULL, 'CE4_DAC_u3_5s', 16196),
(16197, 'cd05740', NULL, 'Ig_CEACAM', NULL, NULL, 'Ig_CEACAM', 16197),
(16198, 'cd18025', NULL, 'DEXHc_DDX60', NULL, NULL, 'DEXHc_DDX60', 16198),
(16199, 'cd15852', NULL, 'SNARE_Syntaxin8', NULL, NULL, 'SNARE_Syntaxin8', 16199),
(16200, 'cd17508', NULL, 'Alpha_kinase', NULL, NULL, 'Alpha_kinase', 16200),
(16201, 'cd10316', NULL, 'RGL4_M', NULL, NULL, 'RGL4_M', 16201),
(16202, 'cd03829', NULL, 'Sina', NULL, NULL, 'Sina', 16202),
(16203, 'cd17731', NULL, 'BRCT_TopBP1_rpt2_like', NULL, NULL, 'BRCT_TopBP1_rpt2_like', 16203);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(16204, 'cd15615', NULL, 'PHD_ARID4_like', NULL, NULL, 'PHD_ARID4_like', 16204),
(16205, 'cd04700', NULL, 'DR1025_like', NULL, NULL, 'DR1025_like', 16205),
(16206, 'cd11977', NULL, 'SH3_VAV2_2', NULL, NULL, 'SH3_VAV2_2', 16206),
(16207, 'cd14989', NULL, '7tmA_GPER1', NULL, NULL, '7tmA_GPER1', 16207),
(16208, 'cd15577', NULL, 'PHD_JMJD2C', NULL, NULL, 'PHD_JMJD2C', 16208),
(16209, 'cd03874', NULL, 'M28_PMSA_TfR_like', NULL, NULL, 'M28_PMSA_TfR_like', 16209),
(16210, 'cd08374', NULL, 'C2F_Ferlin', NULL, NULL, 'C2F_Ferlin', 16210),
(16211, 'cd12827', NULL, 'EcCorA_ZntB-like_u2', NULL, NULL, 'EcCorA_ZntB-like_u2', 16211),
(16212, 'cd05491', NULL, 'Bromo_TBP7_like', NULL, NULL, 'Bromo_TBP7_like', 16212),
(16213, 'Coil', NULL, NULL, NULL, NULL, 'Coil', 16213),
(16214, '2gjhA00', NULL, NULL, 62, NULL, NULL, 16214),
(16215, '1wu7A02', NULL, NULL, 55, NULL, NULL, 16215),
(16216, '2jr1A01', NULL, NULL, 64, NULL, NULL, 16216),
(16217, '4hl6B01', NULL, NULL, 284, NULL, NULL, 16217),
(16218, '1xk7B01', NULL, NULL, 305, NULL, NULL, 16217),
(16219, '1xk6A01', NULL, NULL, 305, NULL, NULL, 16217),
(16220, '4ed9A01', NULL, NULL, 293, NULL, NULL, 16217),
(16221, '1xk7C01', NULL, NULL, 305, NULL, NULL, 16217),
(16222, '1x74A01', NULL, NULL, 175, NULL, NULL, 16217),
(16223, '3ubmA01', NULL, NULL, 331, NULL, NULL, 16217),
(16224, '2vjqA01', NULL, NULL, 331, NULL, NULL, 16217),
(16225, '1q7eA01', NULL, NULL, 331, NULL, NULL, 16217),
(16226, '1xa4A01', NULL, NULL, 298, NULL, NULL, 16217),
(16227, '1xa3B01', NULL, NULL, 318, NULL, NULL, 16217),
(16228, '1xvtA01', NULL, NULL, 305, NULL, NULL, 16217),
(16229, '1xvuA01', NULL, NULL, 305, NULL, NULL, 16217),
(16230, '1xk7A01', NULL, NULL, 305, NULL, NULL, 16217),
(16231, '2yimA01', NULL, NULL, 271, NULL, NULL, 16217),
(16232, '2g04A01', NULL, NULL, 270, NULL, NULL, 16217),
(16233, '5z0fB01', NULL, NULL, 73, NULL, NULL, 16218),
(16234, '2jv8A00', NULL, NULL, 73, NULL, NULL, 16218),
(16235, '1wxcB01', NULL, NULL, 73, NULL, NULL, 16218),
(16236, '1p9cA01', NULL, NULL, 19, NULL, NULL, 16219),
(16237, '2i4lA01', NULL, NULL, 340, NULL, NULL, 16220),
(16238, '5t8uB01', NULL, NULL, 276, NULL, NULL, 16220),
(16239, '3m4pC02', NULL, NULL, 329, NULL, NULL, 16220),
(16240, '1wleA02', NULL, NULL, 319, NULL, NULL, 16220),
(16241, '6nrzA02', NULL, NULL, 355, NULL, NULL, 16220),
(16242, '4g84A01', NULL, NULL, 362, NULL, NULL, 16220),
(16243, '3vbbF02', NULL, NULL, 340, NULL, NULL, 16220),
(16244, '2du7A02', NULL, NULL, 228, NULL, NULL, 16220),
(16245, '4p72A05', NULL, NULL, 206, NULL, NULL, 16220),
(16246, '3l4gB04', NULL, NULL, 199, NULL, NULL, 16220),
(16247, '3lc0A01', NULL, NULL, 330, NULL, NULL, 16220),
(16248, '6oteA02', NULL, NULL, 342, NULL, NULL, 16220),
(16249, '4wj4A02', NULL, NULL, 332, NULL, NULL, 16220),
(16250, '1wu7A01', NULL, NULL, 259, NULL, NULL, 16220),
(16251, '3lssA02', NULL, NULL, 342, NULL, NULL, 16220),
(16252, '5znjA02', NULL, NULL, 305, NULL, NULL, 16220),
(16253, '4h2wA00', NULL, NULL, 309, NULL, NULL, 16220),
(16254, '6aqgD02', NULL, NULL, 342, NULL, NULL, 16220),
(16255, '5xixA02', NULL, NULL, 330, NULL, NULL, 16220),
(16256, '1x54A02', NULL, NULL, 330, NULL, NULL, 16220),
(16257, '2eayB01', NULL, NULL, 183, NULL, NULL, 16220),
(16258, '2ddzE00', NULL, NULL, 190, NULL, NULL, 16220),
(16259, '1vqzA01', NULL, NULL, 253, NULL, NULL, 16220),
(16260, '3ikmC01', NULL, NULL, 268, NULL, NULL, 16220),
(16261, '6hcuA02', NULL, NULL, 352, NULL, NULL, 16220),
(16262, '3g1zB00', NULL, NULL, 326, NULL, NULL, 16220),
(16263, '4hwtA01', NULL, NULL, 291, NULL, NULL, 16220),
(16264, '1bbwA02', NULL, NULL, 345, NULL, NULL, 16220),
(16265, '4lnsA00', NULL, NULL, 314, NULL, NULL, 16220),
(16266, '6jp2A02', NULL, NULL, 216, NULL, NULL, 16220),
(16267, '3pcoA01', NULL, NULL, 222, NULL, NULL, 16220),
(16268, '2zt5A01', NULL, NULL, 325, NULL, NULL, 16220),
(16269, '2zzeB01', NULL, NULL, 263, NULL, NULL, 16220),
(16270, '3i7fB02', NULL, NULL, 359, NULL, NULL, 16220),
(16271, '1b7yB05', NULL, NULL, 191, NULL, NULL, 16220),
(16272, '3a32A01', NULL, NULL, 330, NULL, NULL, 16220),
(16273, '1e1oA02', NULL, NULL, 347, NULL, NULL, 16220);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(16274, '2qhsA01', NULL, NULL, 206, NULL, NULL, 16220),
(16275, '1hc7A01', NULL, NULL, 282, NULL, NULL, 16220),
(16276, '2ej9A01', NULL, NULL, 188, NULL, NULL, 16220),
(16277, '1nj8A01', NULL, NULL, 277, NULL, NULL, 16220),
(16278, '3rf1A01', NULL, NULL, 216, NULL, NULL, 16220),
(16279, '2dq3A02', NULL, NULL, 319, NULL, NULL, 16220),
(16280, '3hy0A01', NULL, NULL, 251, NULL, NULL, 16220),
(16281, '3bfmA01', NULL, NULL, 179, NULL, NULL, 16220),
(16282, '1n9wB02', NULL, NULL, 319, NULL, NULL, 16220),
(16283, '3a5yA00', NULL, NULL, 321, NULL, NULL, 16220),
(16284, '2e5aA01', NULL, NULL, 240, NULL, NULL, 16220),
(16285, '4wi1B01', NULL, NULL, 247, NULL, NULL, 16220),
(16286, '4p72D01', NULL, NULL, 233, NULL, NULL, 16220),
(16287, '1eovA02', NULL, NULL, 353, NULL, NULL, 16220),
(16288, '2du3B01', NULL, NULL, 240, NULL, NULL, 16220),
(16289, '1g5hA01', NULL, NULL, 313, NULL, NULL, 16220),
(16290, '1h4vB01', NULL, NULL, 323, NULL, NULL, 16220),
(16291, '2g4cA01', NULL, NULL, 314, NULL, NULL, 16220),
(16292, '4j15B02', NULL, NULL, 349, NULL, NULL, 16220),
(16293, '4xemA01', NULL, NULL, 252, NULL, NULL, 16220),
(16294, '2zzeA01', NULL, NULL, 263, NULL, NULL, 16220),
(16295, '3icaB00', NULL, NULL, 213, NULL, NULL, 16220),
(16296, '1b7yA00', NULL, NULL, 265, NULL, NULL, 16220),
(16297, '2iy5A00', NULL, NULL, 350, NULL, NULL, 16220),
(16298, '3ikmB01', NULL, NULL, 280, NULL, NULL, 16220),
(16299, '2j3mA02', NULL, NULL, 305, NULL, NULL, 16220),
(16300, '2p0lA00', NULL, NULL, 272, NULL, NULL, 16220),
(16301, '2cjaA02', NULL, NULL, 340, NULL, NULL, 16220),
(16302, '5zg8A02', NULL, NULL, 336, NULL, NULL, 16220),
(16303, '5f5wA01', NULL, NULL, 218, NULL, NULL, 16220),
(16304, '3hriF01', NULL, NULL, 298, NULL, NULL, 16220),
(16305, '2rhsC00', NULL, NULL, 271, NULL, NULL, 16220),
(16306, '2dq0A02', NULL, NULL, 348, NULL, NULL, 16220),
(16307, '4wi1A01', NULL, NULL, 240, NULL, NULL, 16220),
(16308, '4e51B01', NULL, NULL, 324, NULL, NULL, 16220),
(16309, '1wydA02', NULL, NULL, 327, NULL, NULL, 16220),
(16310, '3racA00', NULL, NULL, 356, NULL, NULL, 16220),
(16311, '2odrD02', NULL, NULL, 238, NULL, NULL, 16220),
(16312, '3uh0A01', NULL, NULL, 307, NULL, NULL, 16220),
(16313, '5ucmA02', NULL, NULL, 301, NULL, NULL, 16220),
(16314, '4upaA02', NULL, NULL, 373, NULL, NULL, 16220),
(16315, '3od1A01', NULL, NULL, 328, NULL, NULL, 16220),
(16316, '4wf2A02', NULL, NULL, 206, NULL, NULL, 16220),
(16317, '2ztgA01', NULL, NULL, 257, NULL, NULL, 16220),
(16318, '1z7mC00', NULL, NULL, 323, NULL, NULL, 16220),
(16319, '1evlA01', NULL, NULL, 289, NULL, NULL, 16220),
(16320, '3a7rA01', NULL, NULL, 248, NULL, NULL, 16220),
(16321, '1w66A01', NULL, NULL, 208, NULL, NULL, 16220),
(16322, '1nyrA03', NULL, NULL, 316, NULL, NULL, 16220),
(16323, '1httA01', NULL, NULL, 273, NULL, NULL, 16220),
(16324, '5w25A02', NULL, NULL, 320, NULL, NULL, 16220),
(16325, '6hcwB02', NULL, NULL, 355, NULL, NULL, 16220),
(16326, '3ig2B00', NULL, NULL, 213, NULL, NULL, 16220),
(16327, '3netB01', NULL, NULL, 367, NULL, NULL, 16220),
(16328, '2xgtA02', NULL, NULL, 332, NULL, NULL, 16220),
(16329, '3ialA01', NULL, NULL, 294, NULL, NULL, 16220),
(16330, '1usyA00', NULL, NULL, 275, NULL, NULL, 16220),
(16331, '2c8mB00', NULL, NULL, 262, NULL, NULL, 16220),
(16332, '3l4gM00', NULL, NULL, 333, NULL, NULL, 16220),
(16333, '3rkxA02', NULL, NULL, 212, NULL, NULL, 16220),
(16334, '4rmfA02', NULL, NULL, 309, NULL, NULL, 16220),
(16335, '5mgwA01', NULL, NULL, 308, NULL, NULL, 16220),
(16336, '6bljA02', NULL, NULL, 334, NULL, NULL, 16220),
(16337, '6girA02', NULL, NULL, 327, NULL, NULL, 16220),
(16338, '3a74A02', NULL, NULL, 345, NULL, NULL, 16220),
(16339, '2zzfA01', NULL, NULL, 263, NULL, NULL, 16220),
(16340, '3errA02', NULL, NULL, 326, NULL, NULL, 16220),
(16341, '4ex5A02', NULL, NULL, 345, NULL, NULL, 16220),
(16342, '3w3sA02', NULL, NULL, 358, NULL, NULL, 16220),
(16343, '3l4gC04', NULL, NULL, 274, NULL, NULL, 16220),
(16344, '1nnhA00', NULL, NULL, 294, NULL, NULL, 16220),
(16345, '4cs4A02', NULL, NULL, 221, NULL, NULL, 16220),
(16346, '2du7B03', NULL, NULL, 307, NULL, NULL, 16220);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(16347, '1l0wA02', NULL, NULL, 306, NULL, NULL, 16220),
(16348, '1qe0A01', NULL, NULL, 326, NULL, NULL, 16220),
(16349, '3rexB00', NULL, NULL, 294, NULL, NULL, 16220),
(16350, '2dxuA01', NULL, NULL, 187, NULL, NULL, 16220),
(16351, '2p5iA00', NULL, NULL, 288, NULL, NULL, 16220),
(16352, '4xtvA01', NULL, NULL, 222, NULL, NULL, 16220),
(16353, '5e3iA01', NULL, NULL, 295, NULL, NULL, 16220),
(16354, '3qneA02', NULL, NULL, 343, NULL, NULL, 16220),
(16355, '1yb3A00', NULL, NULL, 175, NULL, NULL, 16220),
(16356, '12asA00', NULL, NULL, 330, NULL, NULL, 16220),
(16357, '6ildB02', NULL, NULL, 352, NULL, NULL, 16220),
(16358, '5hgqA02', NULL, NULL, 350, NULL, NULL, 16220),
(16359, '4hvcA01', NULL, NULL, 281, NULL, NULL, 16220),
(16360, '1nj1A01', NULL, NULL, 271, NULL, NULL, 16220),
(16361, '6h9xA02', NULL, NULL, 326, NULL, NULL, 16220),
(16362, '1c0aA02', NULL, NULL, 327, NULL, NULL, 16220),
(16363, '2rhqB05', NULL, NULL, 204, NULL, NULL, 16220),
(16364, '1yfsA01', NULL, NULL, 234, NULL, NULL, 16220),
(16365, '3vqwA02', NULL, NULL, 215, NULL, NULL, 16220),
(16366, '1atiB01', NULL, NULL, 305, NULL, NULL, 16220),
(16367, '3nemA02', NULL, NULL, 333, NULL, NULL, 16220),
(16368, '4ah6A02', NULL, NULL, 299, NULL, NULL, 16220),
(16369, '1j5wB01', NULL, NULL, 216, NULL, NULL, 16220),
(16370, '3pcoB05', NULL, NULL, 209, NULL, NULL, 16220),
(16371, '6aqhA02', NULL, NULL, 348, NULL, NULL, 16220),
(16372, '3dsqA02', NULL, NULL, 219, NULL, NULL, 16220),
(16373, '1jbiA00', NULL, NULL, 100, NULL, NULL, 16221),
(16374, '2damA00', NULL, NULL, 67, NULL, NULL, 16222),
(16375, '2qhoD00', NULL, NULL, 53, NULL, NULL, 16222),
(16376, '2knzA00', NULL, NULL, 53, NULL, NULL, 16222),
(16377, '2daeA00', NULL, NULL, 75, NULL, NULL, 16222),
(16378, '1r4gA00', NULL, NULL, 53, NULL, NULL, 16222),
(16379, '1zv1A00', NULL, NULL, 65, NULL, NULL, 16222),
(16380, '4un2B00', NULL, NULL, 48, NULL, NULL, 16222),
(16381, '1g3iF02', NULL, NULL, 23, NULL, NULL, 16222),
(16382, '4f2lA00', NULL, NULL, 61, NULL, NULL, 16222),
(16383, '3ihpB04', NULL, NULL, 48, NULL, NULL, 16222),
(16384, '3ihpB05', NULL, NULL, 71, NULL, NULL, 16222),
(16385, '1wgnA00', NULL, NULL, 63, NULL, NULL, 16222),
(16386, '1vdlA00', NULL, NULL, 80, NULL, NULL, 16222),
(16387, '1g41A02', NULL, NULL, 30, NULL, NULL, 16222),
(16388, '2h5xA03', NULL, NULL, 63, NULL, NULL, 16222),
(16389, '4heoA00', NULL, NULL, 64, NULL, NULL, 16222),
(16390, '1y8gB03', NULL, NULL, 43, NULL, NULL, 16222),
(16391, '3e21A00', NULL, NULL, 45, NULL, NULL, 16222),
(16392, '2oo9A00', NULL, NULL, 46, NULL, NULL, 16222),
(16393, '2l2dA00', NULL, NULL, 73, NULL, NULL, 16222),
(16394, '2cwbA00', NULL, NULL, 46, NULL, NULL, 16222),
(16395, '1wivA00', NULL, NULL, 73, NULL, NULL, 16222),
(16396, '2lbcA01', NULL, NULL, 42, NULL, NULL, 16222),
(16397, '3mmpA01', NULL, NULL, 56, NULL, NULL, 16222),
(16398, '3t6pA02', NULL, NULL, 66, NULL, NULL, 16222),
(16399, '1otrA00', NULL, NULL, 49, NULL, NULL, 16222),
(16400, '2ooaA00', NULL, NULL, 52, NULL, NULL, 16222),
(16401, '2l4eA00', NULL, NULL, 59, NULL, NULL, 16222),
(16402, '1oaiA00', NULL, NULL, 59, NULL, NULL, 16222),
(16403, '3frhA01', NULL, NULL, 58, NULL, NULL, 16222),
(16404, '1bvsF03', NULL, NULL, 52, NULL, NULL, 16222),
(16405, '2lbcA02', NULL, NULL, 53, NULL, NULL, 16222),
(16406, '1wj7A01', NULL, NULL, 60, NULL, NULL, 16222),
(16407, '1cukA03', NULL, NULL, 48, NULL, NULL, 16222),
(16408, '2dakA00', NULL, NULL, 63, NULL, NULL, 16222),
(16409, '1ufzA01', NULL, NULL, 58, NULL, NULL, 16222),
(16410, '2cp8A00', NULL, NULL, 54, NULL, NULL, 16222),
(16411, '2qsfX02', NULL, NULL, 52, NULL, NULL, 16222),
(16412, '2ekfA01', NULL, NULL, 46, NULL, NULL, 16222),
(16413, '4dbgB02', NULL, NULL, 61, NULL, NULL, 16222),
(16414, '2knaA01', NULL, NULL, 54, NULL, NULL, 16222),
(16415, '2lvnC00', NULL, NULL, 52, NULL, NULL, 16222),
(16416, '2b3tA01', NULL, NULL, 84, NULL, NULL, 16222),
(16417, '2ekkA00', NULL, NULL, 47, NULL, NULL, 16222),
(16418, '1oksA00', NULL, NULL, 56, NULL, NULL, 16222),
(16419, '4gewA01', NULL, NULL, 95, NULL, NULL, 16222),
(16420, '1im2A02', NULL, NULL, 40, NULL, NULL, 16222);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(16421, '1g3iW02', NULL, NULL, 18, NULL, NULL, 16222),
(16422, '1vekA01', NULL, NULL, 47, NULL, NULL, 16222),
(16423, '1g4aE02', NULL, NULL, 47, NULL, NULL, 16222),
(16424, '3h4jA03', NULL, NULL, 61, NULL, NULL, 16222),
(16425, '2ltuA00', NULL, NULL, 62, NULL, NULL, 16222),
(16426, '2jp7A00', NULL, NULL, 57, NULL, NULL, 16222),
(16427, '1vg5A00', NULL, NULL, 73, NULL, NULL, 16222),
(16428, '2daiA00', NULL, NULL, 83, NULL, NULL, 16222),
(16429, '1p3qQ00', NULL, NULL, 54, NULL, NULL, 16222),
(16430, '1whcA01', NULL, NULL, 42, NULL, NULL, 16222),
(16431, '2dhyA00', NULL, NULL, 67, NULL, NULL, 16222),
(16432, '5lxjA00', NULL, NULL, 53, NULL, NULL, 16222),
(16433, '1nv8B01', NULL, NULL, 87, NULL, NULL, 16222),
(16434, '4g3oA00', NULL, NULL, 58, NULL, NULL, 16222),
(16435, '3k9oA02', NULL, NULL, 43, NULL, NULL, 16222),
(16436, '1dv0A00', NULL, NULL, 47, NULL, NULL, 16222),
(16437, '2rruA00', NULL, NULL, 53, NULL, NULL, 16222),
(16438, '5ji2E02', NULL, NULL, 85, NULL, NULL, 16222),
(16439, '3lcvB01', NULL, NULL, 71, NULL, NULL, 16222),
(16440, '2mr9A00', NULL, NULL, 44, NULL, NULL, 16222),
(16441, '1wglA00', NULL, NULL, 59, NULL, NULL, 16222),
(16442, '1v92A00', NULL, NULL, 46, NULL, NULL, 16222),
(16443, '2mgwA00', NULL, NULL, 52, NULL, NULL, 16222),
(16444, '2jujA00', NULL, NULL, 56, NULL, NULL, 16222),
(16445, '3fe3A03', NULL, NULL, 43, NULL, NULL, 16222),
(16446, '2jy5A00', NULL, NULL, 52, NULL, NULL, 16222),
(16447, '1mn3A00', NULL, NULL, 54, NULL, NULL, 16222),
(16448, '2hwjA02', NULL, NULL, 61, NULL, NULL, 16222),
(16449, '2ztdA03', NULL, NULL, 51, NULL, NULL, 16222),
(16450, '1ixsA00', NULL, NULL, 62, NULL, NULL, 16222),
(16451, '1a5tA02', NULL, NULL, 40, NULL, NULL, 16222),
(16452, '1pgyA00', NULL, NULL, 47, NULL, NULL, 16222),
(16453, '1t6oA00', NULL, NULL, 51, NULL, NULL, 16222),
(16454, '3bbzA00', NULL, NULL, 49, NULL, NULL, 16222),
(16455, '3ihpA05', NULL, NULL, 66, NULL, NULL, 16222),
(16456, '2lvaA01', NULL, NULL, 44, NULL, NULL, 16222),
(16457, '2hakH03', NULL, NULL, 48, NULL, NULL, 16222),
(16458, '1oqyA04', NULL, NULL, 44, NULL, NULL, 16222),
(16459, '2dzlA00', NULL, NULL, 66, NULL, NULL, 16222),
(16460, '1vejA00', NULL, NULL, 74, NULL, NULL, 16222),
(16461, '1y8gA03', NULL, NULL, 43, NULL, NULL, 16222),
(16462, '1tr8A02', NULL, NULL, 40, NULL, NULL, 16222),
(16463, '1ifyA00', NULL, NULL, 49, NULL, NULL, 16222),
(16464, '1aipH03', NULL, NULL, 54, NULL, NULL, 16222),
(16465, '1kyiS02', NULL, NULL, 23, NULL, NULL, 16222),
(16466, '2dnaA00', NULL, NULL, 67, NULL, NULL, 16222),
(16467, '2g3qA00', NULL, NULL, 43, NULL, NULL, 16222),
(16468, '2di0A01', NULL, NULL, 46, NULL, NULL, 16222),
(16469, '1vegA01', NULL, NULL, 44, NULL, NULL, 16222),
(16470, '4wp2F00', NULL, NULL, 61, NULL, NULL, 16222),
(16471, '1tteA02', NULL, NULL, 57, NULL, NULL, 16222),
(16472, '2r0iA03', NULL, NULL, 43, NULL, NULL, 16222),
(16473, '1q02A00', NULL, NULL, 52, NULL, NULL, 16222),
(16474, '1xb2B01', NULL, NULL, 60, NULL, NULL, 16222),
(16475, '3jszA01', NULL, NULL, 112, NULL, NULL, 16223),
(16476, '2wzfA01', NULL, NULL, 112, NULL, NULL, 16223),
(16477, '2p1aB01', NULL, NULL, 146, NULL, NULL, 16224),
(16478, '1rxqD00', NULL, NULL, 178, NULL, NULL, 16224),
(16479, '2qe9B01', NULL, NULL, 166, NULL, NULL, 16224),
(16480, '2oqmB01', NULL, NULL, 183, NULL, NULL, 16224),
(16481, '3di5A00', NULL, NULL, 151, NULL, NULL, 16224),
(16482, '2ou6A00', NULL, NULL, 190, NULL, NULL, 16224),
(16483, '3cexA00', NULL, NULL, 172, NULL, NULL, 16224),
(16484, '2hkvA01', NULL, NULL, 141, NULL, NULL, 16224),
(16485, '2yqyA00', NULL, NULL, 138, NULL, NULL, 16224),
(16486, '2rd9B01', NULL, NULL, 181, NULL, NULL, 16224),
(16487, '2f22A00', NULL, NULL, 144, NULL, NULL, 16224),
(16488, '5cofA00', NULL, NULL, 173, NULL, NULL, 16224),
(16489, '3gorA01', NULL, NULL, 147, NULL, NULL, 16224),
(16490, '4n6cB00', NULL, NULL, 183, NULL, NULL, 16224),
(16491, '3gorC01', NULL, NULL, 147, NULL, NULL, 16224),
(16492, '3gorB01', NULL, NULL, 147, NULL, NULL, 16224),
(16493, '3gorD01', NULL, NULL, 147, NULL, NULL, 16224),
(16494, '2nsfA01', NULL, NULL, 159, NULL, NULL, 16224);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(16495, '3e4xD01', NULL, NULL, 147, NULL, NULL, 16224),
(16496, '3e4xC01', NULL, NULL, 147, NULL, NULL, 16224),
(16497, '5cqvA01', NULL, NULL, 150, NULL, NULL, 16224),
(16498, '3e4xB01', NULL, NULL, 147, NULL, NULL, 16224),
(16499, '3e4xA01', NULL, NULL, 147, NULL, NULL, 16224),
(16500, '6anrA00', NULL, NULL, 178, NULL, NULL, 16224),
(16501, '2qnlA00', NULL, NULL, 162, NULL, NULL, 16224),
(16502, '3dkaB01', NULL, NULL, 145, NULL, NULL, 16224),
(16503, '3qthB00', NULL, NULL, 176, NULL, NULL, 16224),
(16504, '5comA00', NULL, NULL, 183, NULL, NULL, 16224),
(16505, '5cogA00', NULL, NULL, 191, NULL, NULL, 16224),
(16506, '5civA00', NULL, NULL, 184, NULL, NULL, 16224),
(16507, '4au7B01', NULL, NULL, 102, NULL, NULL, 16225),
(16508, '3rq4A01', NULL, NULL, 100, NULL, NULL, 16225),
(16509, '4bupB01', NULL, NULL, 126, NULL, NULL, 16225),
(16510, '5cprB01', NULL, NULL, 92, NULL, NULL, 16225),
(16511, '3s8pB01', NULL, NULL, 128, NULL, NULL, 16225),
(16512, '5uwvA02', NULL, NULL, 121, NULL, NULL, 16226),
(16513, '3turB01', NULL, NULL, 128, NULL, NULL, 16226),
(16514, '4z7aA02', NULL, NULL, 127, NULL, NULL, 16226),
(16515, '5e5lB01', NULL, NULL, 95, NULL, NULL, 16226),
(16516, '4qrbA02', NULL, NULL, 120, NULL, NULL, 16226),
(16517, '6d4kA01', NULL, NULL, 92, NULL, NULL, 16226),
(16518, '4xvoA01', NULL, NULL, 95, NULL, NULL, 16226),
(16519, '3vypB01', NULL, NULL, 112, NULL, NULL, 16226),
(16520, '1p27A00', NULL, NULL, 144, NULL, NULL, 16227),
(16521, '1oo0A00', NULL, NULL, 147, NULL, NULL, 16227),
(16522, '3vkhA18', NULL, NULL, 183, NULL, NULL, 16228),
(16523, '3vkhB19', NULL, NULL, 144, NULL, NULL, 16228),
(16524, '1zlhB01', NULL, NULL, 38, NULL, NULL, 16229),
(16525, '3geeA02', NULL, NULL, 168, NULL, NULL, 16230),
(16526, '1xzpA02', NULL, NULL, 166, NULL, NULL, 16230),
(16527, '3gehA02', NULL, NULL, 167, NULL, NULL, 16230),
(16528, '5figA00', NULL, NULL, 108, NULL, NULL, 16231),
(16529, '3kawB00', NULL, NULL, 110, NULL, NULL, 16231),
(16530, '3lmfA00', NULL, NULL, 121, NULL, NULL, 16231),
(16531, '1f0lA03', NULL, NULL, 154, NULL, NULL, 16232),
(16532, '4ar9A01', NULL, NULL, 144, NULL, NULL, 16233),
(16533, '4arfA01', NULL, NULL, 143, NULL, NULL, 16233),
(16534, '3vygC00', NULL, NULL, 221, NULL, NULL, 16234),
(16535, '4ob0A00', NULL, NULL, 210, NULL, NULL, 16234),
(16536, '3hhtA00', NULL, NULL, 216, NULL, NULL, 16234),
(16537, '4zgjA00', NULL, NULL, 206, NULL, NULL, 16234),
(16538, '3a8gA00', NULL, NULL, 207, NULL, NULL, 16234),
(16539, '1v29A00', NULL, NULL, 220, NULL, NULL, 16234),
(16540, '3qyhA00', NULL, NULL, 205, NULL, NULL, 16234),
(16541, '3kinB00', NULL, NULL, 117, NULL, NULL, 16235),
(16542, '3h7rA00', NULL, NULL, 307, NULL, NULL, 16236),
(16543, '5az0A00', NULL, NULL, 353, NULL, NULL, 16236),
(16544, '4gacB00', NULL, NULL, 324, NULL, NULL, 16236),
(16545, '3erpA01', NULL, NULL, 318, NULL, NULL, 16236),
(16546, '4mhbA00', NULL, NULL, 297, NULL, NULL, 16236),
(16547, '2bp1B00', NULL, NULL, 323, NULL, NULL, 16236),
(16548, '3v0sA00', NULL, NULL, 337, NULL, NULL, 16236),
(16549, '2alrA00', NULL, NULL, 324, NULL, NULL, 16236),
(16550, '1c9wA00', NULL, NULL, 315, NULL, NULL, 16236),
(16551, '1mi3A00', NULL, NULL, 322, NULL, NULL, 16236),
(16552, '6hg6A01', NULL, NULL, 317, NULL, NULL, 16236),
(16553, '1ah4A00', NULL, NULL, 315, NULL, NULL, 16236),
(16554, '3n2tA00', NULL, NULL, 332, NULL, NULL, 16236),
(16555, '4otkA00', NULL, NULL, 276, NULL, NULL, 16236),
(16556, '1frbA00', NULL, NULL, 315, NULL, NULL, 16236),
(16557, '4q3mA00', NULL, NULL, 274, NULL, NULL, 16236),
(16558, '5c7hA00', NULL, NULL, 281, NULL, NULL, 16236),
(16559, '1m9hA00', NULL, NULL, 278, NULL, NULL, 16236),
(16560, '1ynpB01', NULL, NULL, 289, NULL, NULL, 16236),
(16561, '4xznX00', NULL, NULL, 316, NULL, NULL, 16236),
(16562, '1s1pA00', NULL, NULL, 331, NULL, NULL, 16236),
(16563, '5m2fX00', NULL, NULL, 316, NULL, NULL, 16236),
(16564, '5ketB00', NULL, NULL, 340, NULL, NULL, 16236),
(16565, '3h4gA00', NULL, NULL, 325, NULL, NULL, 16236),
(16566, '3wczA00', NULL, NULL, 308, NULL, NULL, 16236),
(16567, '5danA00', NULL, NULL, 274, NULL, NULL, 16236);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(16568, '3up8A00', NULL, NULL, 281, NULL, NULL, 16236),
(16569, '6m7kA00', NULL, NULL, 321, NULL, NULL, 16236),
(16570, '1gveB00', NULL, NULL, 327, NULL, NULL, 16236),
(16571, '1ur3M00', NULL, NULL, 298, NULL, NULL, 16236),
(16572, '2fvlA00', NULL, NULL, 324, NULL, NULL, 16236),
(16573, '1zgdA00', NULL, NULL, 312, NULL, NULL, 16236),
(16574, '3ln3A00', NULL, NULL, 324, NULL, NULL, 16236),
(16575, '3o3rA00', NULL, NULL, 316, NULL, NULL, 16236),
(16576, '4wghA00', NULL, NULL, 283, NULL, NULL, 16236),
(16577, '1afsA00', NULL, NULL, 323, NULL, NULL, 16236),
(16578, '5jgyB00', NULL, NULL, 327, NULL, NULL, 16236),
(16579, '3b3dA00', NULL, NULL, 280, NULL, NULL, 16236),
(16580, '1lqaA00', NULL, NULL, 346, NULL, NULL, 16236),
(16581, '2bgsA00', NULL, NULL, 308, NULL, NULL, 16236),
(16582, '4hbkA00', NULL, NULL, 310, NULL, NULL, 16236),
(16583, '2hejA00', NULL, NULL, 323, NULL, NULL, 16236),
(16584, '2clpI00', NULL, NULL, 322, NULL, NULL, 16236),
(16585, '3h7uA00', NULL, NULL, 312, NULL, NULL, 16236),
(16586, '4wevX00', NULL, NULL, 316, NULL, NULL, 16236),
(16587, '5jh1A00', NULL, NULL, 283, NULL, NULL, 16236),
(16588, '3eauA00', NULL, NULL, 327, NULL, NULL, 16236),
(16589, '1us0A00', NULL, NULL, 316, NULL, NULL, 16236),
(16590, '1q5mA00', NULL, NULL, 322, NULL, NULL, 16236),
(16591, '4r9oC00', NULL, NULL, 301, NULL, NULL, 16236),
(16592, '3krbA00', NULL, NULL, 314, NULL, NULL, 16236),
(16593, '3buvA00', NULL, NULL, 326, NULL, NULL, 16236),
(16594, '1mzrB00', NULL, NULL, 276, NULL, NULL, 16236),
(16595, '5z6uA00', NULL, NULL, 318, NULL, NULL, 16236),
(16596, '1pz1A00', NULL, NULL, 333, NULL, NULL, 16236),
(16597, '4f40A00', NULL, NULL, 288, NULL, NULL, 16236),
(16598, '3o0kA00', NULL, NULL, 263, NULL, NULL, 16236),
(16599, '1pyfA00', NULL, NULL, 312, NULL, NULL, 16236),
(16600, '1zuaX00', NULL, NULL, 317, NULL, NULL, 16236),
(16601, '4ijrA00', NULL, NULL, 344, NULL, NULL, 16236),
(16602, '4exbB00', NULL, NULL, 273, NULL, NULL, 16236),
(16603, '3wbwA00', NULL, NULL, 282, NULL, NULL, 16236),
(16604, '1j96B00', NULL, NULL, 323, NULL, NULL, 16236),
(16605, '1vp5A00', NULL, NULL, 298, NULL, NULL, 16236),
(16606, '3vxgA00', NULL, NULL, 304, NULL, NULL, 16236),
(16607, '5zcmA00', NULL, NULL, 341, NULL, NULL, 16236),
(16608, '3n6qB01', NULL, NULL, 332, NULL, NULL, 16236),
(16609, '1qwkA00', NULL, NULL, 317, NULL, NULL, 16236),
(16610, '4gieA00', NULL, NULL, 290, NULL, NULL, 16236),
(16611, '4xzmX00', NULL, NULL, 316, NULL, NULL, 16236),
(16612, '4xk2B00', NULL, NULL, 344, NULL, NULL, 16236),
(16613, '1vbjA00', NULL, NULL, 281, NULL, NULL, 16236),
(16614, '2wzmA00', NULL, NULL, 283, NULL, NULL, 16236),
(16615, '2c91B00', NULL, NULL, 338, NULL, NULL, 16236),
(16616, '3wg6A00', NULL, NULL, 307, NULL, NULL, 16236),
(16617, '3f7jA00', NULL, NULL, 276, NULL, NULL, 16236),
(16618, '1bx7A00', NULL, NULL, 55, NULL, NULL, 16237),
(16619, '3bg4D00', NULL, NULL, 57, NULL, NULL, 16237),
(16620, '1skzA02', NULL, NULL, 62, NULL, NULL, 16237),
(16621, '1ejaB00', NULL, NULL, 59, NULL, NULL, 16237),
(16622, '1skzA01', NULL, NULL, 57, NULL, NULL, 16237),
(16623, '2hl7A00', NULL, NULL, 84, NULL, NULL, 16238),
(16624, '2kw0A00', NULL, NULL, 90, NULL, NULL, 16238),
(16625, '2g5dA03', NULL, NULL, 62, NULL, NULL, 16239),
(16626, '4fdwA01', NULL, NULL, 79, NULL, NULL, 16240),
(16627, '4fd0A01', NULL, NULL, 79, NULL, NULL, 16240),
(16628, '4gh9A02', NULL, NULL, 52, NULL, NULL, 16241),
(16629, '3l29A02', NULL, NULL, 52, NULL, NULL, 16241),
(16630, '3fkeA02', NULL, NULL, 52, NULL, NULL, 16241),
(16631, '3l2aA02', NULL, NULL, 52, NULL, NULL, 16241),
(16632, '2advC02', NULL, NULL, 89, NULL, NULL, 16242),
(16633, '3k3wB02', NULL, NULL, 73, NULL, NULL, 16242),
(16634, '1gk9B02', NULL, NULL, 73, NULL, NULL, 16242),
(16635, '4pemD02', NULL, NULL, 73, NULL, NULL, 16242),
(16636, '4wksC02', NULL, NULL, 75, NULL, NULL, 16242),
(16637, '4hstB02', NULL, NULL, 68, NULL, NULL, 16242),
(16638, '1fm2B03', NULL, NULL, 66, NULL, NULL, 16242),
(16639, '4yfbC02', NULL, NULL, 78, NULL, NULL, 16242),
(16640, '1cp9B02', NULL, NULL, 73, NULL, NULL, 16242);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(16641, '3c4rA00', NULL, NULL, 127, NULL, NULL, 16243),
(16642, '3vthA01', NULL, NULL, 307, NULL, NULL, 16244),
(16643, '2hfqA00', NULL, NULL, 87, NULL, NULL, 16245),
(16644, '3i9v900', NULL, NULL, 157, NULL, NULL, 16246),
(16645, '1rgxA01', NULL, NULL, 25, NULL, NULL, 16247),
(16646, '3iefA02', NULL, NULL, 65, NULL, NULL, 16248),
(16647, '4ig6A02', NULL, NULL, 61, NULL, NULL, 16248),
(16648, '1p9pA02', NULL, NULL, 95, NULL, NULL, 16248),
(16649, '4h3zA02', NULL, NULL, 84, NULL, NULL, 16248),
(16650, '4yqaA02', NULL, NULL, 74, NULL, NULL, 16248),
(16651, '4mccA02', NULL, NULL, 59, NULL, NULL, 16248),
(16652, '5wyqA02', NULL, NULL, 75, NULL, NULL, 16248),
(16653, '1oy5A02', NULL, NULL, 57, NULL, NULL, 16248),
(16654, '1uajA02', NULL, NULL, 94, NULL, NULL, 16248),
(16655, '5zhjA02', NULL, NULL, 79, NULL, NULL, 16248),
(16656, '3ky7A02', NULL, NULL, 76, NULL, NULL, 16248),
(16657, '3quvB02', NULL, NULL, 77, NULL, NULL, 16248),
(16658, '5zhiA02', NULL, NULL, 61, NULL, NULL, 16248),
(16659, '3knuD02', NULL, NULL, 37, NULL, NULL, 16248),
(16660, '2iayA00', NULL, NULL, 114, NULL, NULL, 16249),
(16661, '1t6aA02', NULL, NULL, 80, NULL, NULL, 16250),
(16662, '2z0rC00', NULL, NULL, 103, NULL, NULL, 16251),
(16663, '3lkmA02', NULL, NULL, 90, NULL, NULL, 16252),
(16664, '4kujA02', NULL, NULL, 121, NULL, NULL, 16252),
(16665, '1ia9A02', NULL, NULL, 106, NULL, NULL, 16252),
(16666, '3c4aA02', NULL, NULL, 148, NULL, NULL, 16253),
(16667, '2v3mB00', NULL, NULL, 113, NULL, NULL, 16254),
(16668, '2ey4D00', NULL, NULL, 82, NULL, NULL, 16254),
(16669, '3u28C00', NULL, NULL, 92, NULL, NULL, 16254),
(16670, '2eqnA01', NULL, NULL, 87, NULL, NULL, 16254),
(16671, '6fmeA03', NULL, NULL, 62, NULL, NULL, 16255),
(16672, '2kxtA01', NULL, NULL, 168, NULL, NULL, 16256),
(16673, '2qngA01', NULL, NULL, 165, NULL, NULL, 16256),
(16674, '2qz7A01', NULL, NULL, 164, NULL, NULL, 16256),
(16675, '3ibzA01', NULL, NULL, 168, NULL, NULL, 16256),
(16676, '2v9kA04', NULL, NULL, 109, NULL, NULL, 16257),
(16677, '2apoA03', NULL, NULL, 103, NULL, NULL, 16257),
(16678, '3c5xA01', NULL, NULL, 144, NULL, NULL, 16258),
(16679, '2alaA01', NULL, NULL, 124, NULL, NULL, 16258),
(16680, '3p54A01', NULL, NULL, 140, NULL, NULL, 16258),
(16681, '5o6aA01', NULL, NULL, 135, NULL, NULL, 16258),
(16682, '1uzgA01', NULL, NULL, 136, NULL, NULL, 16258),
(16683, '1svbA01', NULL, NULL, 136, NULL, NULL, 16258),
(16684, '5jhmA01', NULL, NULL, 145, NULL, NULL, 16258),
(16685, '2hg0A01', NULL, NULL, 141, NULL, NULL, 16258),
(16686, '4fg0A01', NULL, NULL, 134, NULL, NULL, 16258),
(16687, '3n40F01', NULL, NULL, 128, NULL, NULL, 16258),
(16688, '4gsxA01', NULL, NULL, 128, NULL, NULL, 16258),
(16689, '6a0pA01', NULL, NULL, 141, NULL, NULL, 16258),
(16690, '3j27A01', NULL, NULL, 135, NULL, NULL, 16258),
(16691, '3uc0B00', NULL, NULL, 125, NULL, NULL, 16258),
(16692, '6ivzA01', NULL, NULL, 127, NULL, NULL, 16258),
(16693, '3bo6B01', NULL, NULL, 199, NULL, NULL, 16259),
(16694, '2z8nA01', NULL, NULL, 193, NULL, NULL, 16259),
(16695, '3i0uB01', NULL, NULL, 184, NULL, NULL, 16259),
(16696, '4nc7A00', NULL, NULL, 81, NULL, NULL, 16260),
(16697, '3c5xC00', NULL, NULL, 81, NULL, NULL, 16261),
(16698, '2lq4p01', NULL, NULL, 43, NULL, NULL, 16262),
(16699, '2dvmA01', NULL, NULL, 159, NULL, NULL, 16263),
(16700, '2a9fA01', NULL, NULL, 161, NULL, NULL, 16263),
(16701, '2aw5A01', NULL, NULL, 253, NULL, NULL, 16263),
(16702, '1o0sA03', NULL, NULL, 221, NULL, NULL, 16263),
(16703, '3nv9A01', NULL, NULL, 192, NULL, NULL, 16263),
(16704, '1qr6A01', NULL, NULL, 255, NULL, NULL, 16263),
(16705, '1vl6A01', NULL, NULL, 165, NULL, NULL, 16263),
(16706, '5ceeA01', NULL, NULL, 155, NULL, NULL, 16263),
(16707, '1gq2A01', NULL, NULL, 255, NULL, NULL, 16263),
(16708, '3k8pC02', NULL, NULL, 192, NULL, NULL, 16264),
(16709, '4acvB00', NULL, NULL, 129, NULL, NULL, 16265),
(16710, '2lfpA01', NULL, NULL, 136, NULL, NULL, 16265),
(16711, '2grkA00', NULL, NULL, 228, NULL, NULL, 16266),
(16712, '2vgaA00', NULL, NULL, 207, NULL, NULL, 16266),
(16713, '2ffkA00', NULL, NULL, 242, NULL, NULL, 16266);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(16714, '1cq3A00', NULL, NULL, 233, NULL, NULL, 16266),
(16715, '2m76A00', NULL, NULL, 50, NULL, NULL, 16267),
(16716, '2hy7A01', NULL, NULL, 229, NULL, NULL, 16268),
(16717, '3gcmA03', NULL, NULL, 225, NULL, NULL, 16269),
(16718, '3krnA00', NULL, NULL, 222, NULL, NULL, 16269),
(16719, '5xexE01', NULL, NULL, 226, NULL, NULL, 16269),
(16720, '5xexD03', NULL, NULL, 231, NULL, NULL, 16269),
(16721, '3hkmB00', NULL, NULL, 246, NULL, NULL, 16269),
(16722, '4nbqA03', NULL, NULL, 223, NULL, NULL, 16269),
(16723, '4nbqA01', NULL, NULL, 237, NULL, NULL, 16269),
(16724, '1r6lA01', NULL, NULL, 226, NULL, NULL, 16269),
(16725, '1e3hA01', NULL, NULL, 248, NULL, NULL, 16269),
(16726, '2wnrB01', NULL, NULL, 217, NULL, NULL, 16269),
(16727, '1oysA01', NULL, NULL, 233, NULL, NULL, 16269),
(16728, '2nn6D00', NULL, NULL, 211, NULL, NULL, 16269),
(16729, '2nn6E00', NULL, NULL, 287, NULL, NULL, 16269),
(16730, '2nn6F00', NULL, NULL, 244, NULL, NULL, 16269),
(16731, '2wnrE00', NULL, NULL, 251, NULL, NULL, 16269),
(16732, '2wp8A00', NULL, NULL, 305, NULL, NULL, 16269),
(16733, '3gmeA01', NULL, NULL, 226, NULL, NULL, 16269),
(16734, '6d6qA00', NULL, NULL, 287, NULL, NULL, 16269),
(16735, '1e3pA03', NULL, NULL, 227, NULL, NULL, 16269),
(16736, '3u1kA03', NULL, NULL, 232, NULL, NULL, 16269),
(16737, '3u1kC01', NULL, NULL, 229, NULL, NULL, 16269),
(16738, '3dd6A01', NULL, NULL, 233, NULL, NULL, 16269),
(16739, '2po1A01', NULL, NULL, 226, NULL, NULL, 16269),
(16740, '2po1B00', NULL, NULL, 277, NULL, NULL, 16269),
(16741, '2nn6B01', NULL, NULL, 226, NULL, NULL, 16269),
(16742, '2nn6C00', NULL, NULL, 278, NULL, NULL, 16269),
(16743, '3m7nE01', NULL, NULL, 235, NULL, NULL, 16269),
(16744, '3m7nG01', NULL, NULL, 253, NULL, NULL, 16269),
(16745, '1udnA01', NULL, NULL, 243, NULL, NULL, 16269),
(16746, '2je6B01', NULL, NULL, 223, NULL, NULL, 16269),
(16747, '3b4tA01', NULL, NULL, 245, NULL, NULL, 16269),
(16748, '5jeaB00', NULL, NULL, 249, NULL, NULL, 16269),
(16749, '5jeaC00', NULL, NULL, 394, NULL, NULL, 16269),
(16750, '4aidB01', NULL, NULL, 244, NULL, NULL, 16269),
(16751, '5jeaD00', NULL, NULL, 226, NULL, NULL, 16269),
(16752, '2je6A01', NULL, NULL, 264, NULL, NULL, 16269),
(16753, '4aidB02', NULL, NULL, 326, NULL, NULL, 16269),
(16754, '5jeaE00', NULL, NULL, 268, NULL, NULL, 16269),
(16755, '5jeaF00', NULL, NULL, 250, NULL, NULL, 16269),
(16756, '4aidC03', NULL, NULL, 223, NULL, NULL, 16269),
(16757, '1vqqA01', NULL, NULL, 113, NULL, NULL, 16270),
(16758, '1v8dC00', NULL, NULL, 196, NULL, NULL, 16271),
(16759, '6bmeA00', NULL, NULL, 128, NULL, NULL, 16272),
(16760, '3d1kA00', NULL, NULL, 142, NULL, NULL, 16272),
(16761, '6o0aA01', NULL, NULL, 149, NULL, NULL, 16272),
(16762, '1it2A00', NULL, NULL, 146, NULL, NULL, 16272),
(16763, '1mwcA00', NULL, NULL, 153, NULL, NULL, 16272),
(16764, '1tu9A00', NULL, NULL, 134, NULL, NULL, 16272),
(16765, '1yhuA00', NULL, NULL, 145, NULL, NULL, 16272),
(16766, '1cqxA01', NULL, NULL, 150, NULL, NULL, 16272),
(16767, '1hdsA00', NULL, NULL, 141, NULL, NULL, 16272),
(16768, '3wr1A00', NULL, NULL, 141, NULL, NULL, 16272),
(16769, '4u8uA00', NULL, NULL, 150, NULL, NULL, 16272),
(16770, '3hf4A00', NULL, NULL, 141, NULL, NULL, 16272),
(16771, '3gdjB00', NULL, NULL, 146, NULL, NULL, 16272),
(16772, '2xykB00', NULL, NULL, 133, NULL, NULL, 16272),
(16773, '5yceA00', NULL, NULL, 154, NULL, NULL, 16272),
(16774, '4h2lA00', NULL, NULL, 141, NULL, NULL, 16272),
(16775, '4b4yA00', NULL, NULL, 154, NULL, NULL, 16272),
(16776, '1dlyA00', NULL, NULL, 121, NULL, NULL, 16272),
(16777, '1fhjB00', NULL, NULL, 146, NULL, NULL, 16272),
(16778, '1i3dA00', NULL, NULL, 146, NULL, NULL, 16272),
(16779, '1binA00', NULL, NULL, 143, NULL, NULL, 16272),
(16780, '2vebA00', NULL, NULL, 195, NULL, NULL, 16272),
(16781, '3d1kB00', NULL, NULL, 146, NULL, NULL, 16272),
(16782, '1yhuB00', NULL, NULL, 144, NULL, NULL, 16272),
(16783, '2ig3A00', NULL, NULL, 127, NULL, NULL, 16272),
(16784, '1s69A00', NULL, NULL, 124, NULL, NULL, 16272),
(16785, '1jebD00', NULL, NULL, 146, NULL, NULL, 16272),
(16786, '1ithA00', NULL, NULL, 141, NULL, NULL, 16272);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(16787, '1a9wE00', NULL, NULL, 146, NULL, NULL, 16272),
(16788, '1ch4A00', NULL, NULL, 146, NULL, NULL, 16272),
(16789, '2d5xB00', NULL, NULL, 146, NULL, NULL, 16272),
(16790, '3wr1B00', NULL, NULL, 146, NULL, NULL, 16272),
(16791, '2qrwB00', NULL, NULL, 128, NULL, NULL, 16272),
(16792, '1fhjA00', NULL, NULL, 141, NULL, NULL, 16272),
(16793, '2w72B00', NULL, NULL, 146, NULL, NULL, 16272),
(16794, '3bomB00', NULL, NULL, 147, NULL, NULL, 16272),
(16795, '5ojcA00', NULL, NULL, 163, NULL, NULL, 16272),
(16796, '1hbrA00', NULL, NULL, 141, NULL, NULL, 16272),
(16797, '3cy5A00', NULL, NULL, 141, NULL, NULL, 16272),
(16798, '1mbsA00', NULL, NULL, 153, NULL, NULL, 16272),
(16799, '3d1aA00', NULL, NULL, 142, NULL, NULL, 16272),
(16800, '1gdjA00', NULL, NULL, 153, NULL, NULL, 16272),
(16801, '4wchD00', NULL, NULL, 140, NULL, NULL, 16272),
(16802, '1gcvB00', NULL, NULL, 136, NULL, NULL, 16272),
(16803, '2bkmA00', NULL, NULL, 128, NULL, NULL, 16272),
(16804, '2h8fB00', NULL, NULL, 146, NULL, NULL, 16272),
(16805, '1uc3A00', NULL, NULL, 149, NULL, NULL, 16272),
(16806, '2zs0A00', NULL, NULL, 140, NULL, NULL, 16272),
(16807, '4u8uC00', NULL, NULL, 151, NULL, NULL, 16272),
(16808, '5euiA00', NULL, NULL, 141, NULL, NULL, 16272),
(16809, '1hbgA00', NULL, NULL, 147, NULL, NULL, 16272),
(16810, '3g46A00', NULL, NULL, 146, NULL, NULL, 16272),
(16811, '1qpwB00', NULL, NULL, 146, NULL, NULL, 16272),
(16812, '1xq5A00', NULL, NULL, 143, NULL, NULL, 16272),
(16813, '1b0bA00', NULL, NULL, 142, NULL, NULL, 16272),
(16814, '2w72A00', NULL, NULL, 141, NULL, NULL, 16272),
(16815, '2r50D00', NULL, NULL, 165, NULL, NULL, 16272),
(16816, '2xkiA00', NULL, NULL, 110, NULL, NULL, 16272),
(16817, '2zfbA00', NULL, NULL, 141, NULL, NULL, 16272),
(16818, '3qqqB00', NULL, NULL, 168, NULL, NULL, 16272),
(16819, '2gkmA00', NULL, NULL, 136, NULL, NULL, 16272),
(16820, '5ychA00', NULL, NULL, 154, NULL, NULL, 16272),
(16821, '3d1aB00', NULL, NULL, 145, NULL, NULL, 16272),
(16822, '2bnlC00', NULL, NULL, 136, NULL, NULL, 16272),
(16823, '1q1fA00', NULL, NULL, 151, NULL, NULL, 16272),
(16824, '4mpmA00', NULL, NULL, 151, NULL, NULL, 16272),
(16825, '1h97A00', NULL, NULL, 147, NULL, NULL, 16272),
(16826, '4u8uB00', NULL, NULL, 142, NULL, NULL, 16272),
(16827, '3gdjA00', NULL, NULL, 141, NULL, NULL, 16272),
(16828, '4yu3A00', NULL, NULL, 141, NULL, NULL, 16272),
(16829, '1x9fD00', NULL, NULL, 140, NULL, NULL, 16272),
(16830, '3aq9A00', NULL, NULL, 121, NULL, NULL, 16272),
(16831, '1dlwA00', NULL, NULL, 116, NULL, NULL, 16272),
(16832, '3tm9A00', NULL, NULL, 146, NULL, NULL, 16272),
(16833, '4maxA00', NULL, NULL, 123, NULL, NULL, 16272),
(16834, '1outB00', NULL, NULL, 146, NULL, NULL, 16272),
(16835, '1ecaA00', NULL, NULL, 136, NULL, NULL, 16272),
(16836, '3vrgB00', NULL, NULL, 146, NULL, NULL, 16272),
(16837, '6iyiB00', NULL, NULL, 146, NULL, NULL, 16272),
(16838, '3wtgA00', NULL, NULL, 142, NULL, NULL, 16272),
(16839, '2zfbB00', NULL, NULL, 146, NULL, NULL, 16272),
(16840, '3mvcB00', NULL, NULL, 161, NULL, NULL, 16272),
(16841, '6ii1C00', NULL, NULL, 138, NULL, NULL, 16272),
(16842, '5kerA00', NULL, NULL, 141, NULL, NULL, 16272),
(16843, '3wctB00', NULL, NULL, 144, NULL, NULL, 16272),
(16844, '1a4fA00', NULL, NULL, 141, NULL, NULL, 16272),
(16845, '3rgkA00', NULL, NULL, 153, NULL, NULL, 16272),
(16846, '3fh9A00', NULL, NULL, 141, NULL, NULL, 16272),
(16847, '4uiqB00', NULL, NULL, 155, NULL, NULL, 16272),
(16848, '3mkbA00', NULL, NULL, 140, NULL, NULL, 16272),
(16849, '1ashA00', NULL, NULL, 150, NULL, NULL, 16272),
(16850, '1spgA00', NULL, NULL, 144, NULL, NULL, 16272),
(16851, '2r80A00', NULL, NULL, 141, NULL, NULL, 16272),
(16852, '3gqpB00', NULL, NULL, 145, NULL, NULL, 16272),
(16853, '1a4fB00', NULL, NULL, 146, NULL, NULL, 16272),
(16854, '1mbaA00', NULL, NULL, 147, NULL, NULL, 16272),
(16855, '1x9fC00', NULL, NULL, 153, NULL, NULL, 16272),
(16856, '2wy4A00', NULL, NULL, 140, NULL, NULL, 16272),
(16857, '2aa1B00', NULL, NULL, 146, NULL, NULL, 16272),
(16858, '3bj1B00', NULL, NULL, 146, NULL, NULL, 16272),
(16859, '2zs0C00', NULL, NULL, 147, NULL, NULL, 16272);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(16860, '2vywA00', NULL, NULL, 148, NULL, NULL, 16272),
(16861, '1wmuB00', NULL, NULL, 146, NULL, NULL, 16272),
(16862, '1ux8A00', NULL, NULL, 132, NULL, NULL, 16272),
(16863, '4uurA00', NULL, NULL, 124, NULL, NULL, 16272),
(16864, '1jf3A00', NULL, NULL, 147, NULL, NULL, 16272),
(16865, '5d1vA00', NULL, NULL, 127, NULL, NULL, 16272),
(16866, '4yu3B00', NULL, NULL, 146, NULL, NULL, 16272),
(16867, '2d2mD00', NULL, NULL, 145, NULL, NULL, 16272),
(16868, '1or4B00', NULL, NULL, 158, NULL, NULL, 16272),
(16869, '4hrrA00', NULL, NULL, 150, NULL, NULL, 16272),
(16870, '4c0nA00', NULL, NULL, 151, NULL, NULL, 16272),
(16871, '6bmgA00', NULL, NULL, 154, NULL, NULL, 16272),
(16872, '1cg5A00', NULL, NULL, 141, NULL, NULL, 16272),
(16873, '1hlmA00', NULL, NULL, 159, NULL, NULL, 16272),
(16874, '1outA00', NULL, NULL, 143, NULL, NULL, 16272),
(16875, '3vrgA00', NULL, NULL, 141, NULL, NULL, 16272),
(16876, '3mjpA00', NULL, NULL, 141, NULL, NULL, 16272),
(16877, '2dc3B00', NULL, NULL, 174, NULL, NULL, 16272),
(16878, '3k8bA00', NULL, NULL, 141, NULL, NULL, 16272),
(16879, '6iyiA00', NULL, NULL, 142, NULL, NULL, 16272),
(16880, '1jf4A00', NULL, NULL, 147, NULL, NULL, 16272),
(16881, '3bomA00', NULL, NULL, 143, NULL, NULL, 16272),
(16882, '2gnvB00', NULL, NULL, 165, NULL, NULL, 16272),
(16883, '3wctA00', NULL, NULL, 146, NULL, NULL, 16272),
(16884, '3lb2A00', NULL, NULL, 137, NULL, NULL, 16272),
(16885, '2raoB00', NULL, NULL, 146, NULL, NULL, 16272),
(16886, '3mkbB00', NULL, NULL, 136, NULL, NULL, 16272),
(16887, '3fh9B00', NULL, NULL, 146, NULL, NULL, 16272),
(16888, '4hrrH00', NULL, NULL, 152, NULL, NULL, 16272),
(16889, '3gqpA00', NULL, NULL, 141, NULL, NULL, 16272),
(16890, '3bcqA00', NULL, NULL, 142, NULL, NULL, 16272),
(16891, '1gcvA00', NULL, NULL, 140, NULL, NULL, 16272),
(16892, '1x9fB00', NULL, NULL, 145, NULL, NULL, 16272),
(16893, '1shrB00', NULL, NULL, 146, NULL, NULL, 16272),
(16894, '2c0kB00', NULL, NULL, 151, NULL, NULL, 16272),
(16895, '6ciiA00', NULL, NULL, 135, NULL, NULL, 16272),
(16896, '1urvA00', NULL, NULL, 154, NULL, NULL, 16272),
(16897, '2zs0B00', NULL, NULL, 142, NULL, NULL, 16272),
(16898, '2oifB00', NULL, NULL, 162, NULL, NULL, 16272),
(16899, '5v3tA00', NULL, NULL, 132, NULL, NULL, 16272),
(16900, '4nk2A01', NULL, NULL, 146, NULL, NULL, 16272),
(16901, '4twvA00', NULL, NULL, 154, NULL, NULL, 16272),
(16902, '5euiB00', NULL, NULL, 146, NULL, NULL, 16272),
(16903, '1hlbA00', NULL, NULL, 158, NULL, NULL, 16272),
(16904, '1qpwA00', NULL, NULL, 141, NULL, NULL, 16272),
(16905, '3qqrA00', NULL, NULL, 162, NULL, NULL, 16272),
(16906, '4bjaA00', NULL, NULL, 197, NULL, NULL, 16272),
(16907, '4esaA00', NULL, NULL, 143, NULL, NULL, 16272),
(16908, '3w4uA00', NULL, NULL, 142, NULL, NULL, 16272),
(16909, '5ycgA00', NULL, NULL, 157, NULL, NULL, 16272),
(16910, '3hyuB00', NULL, NULL, 146, NULL, NULL, 16272),
(16911, '1cg5B00', NULL, NULL, 141, NULL, NULL, 16272),
(16912, '3at5A00', NULL, NULL, 141, NULL, NULL, 16272),
(16913, '2w31A00', NULL, NULL, 162, NULL, NULL, 16272),
(16914, '2bk9A00', NULL, NULL, 153, NULL, NULL, 16272),
(16915, '2bmmA00', NULL, NULL, 123, NULL, NULL, 16272),
(16916, '1yhuC00', NULL, NULL, 148, NULL, NULL, 16272),
(16917, '5k1lA00', NULL, NULL, 137, NULL, NULL, 16272),
(16918, '3wctD00', NULL, NULL, 149, NULL, NULL, 16272),
(16919, '2raoA00', NULL, NULL, 141, NULL, NULL, 16272),
(16920, '1emyA00', NULL, NULL, 153, NULL, NULL, 16272),
(16921, '1x9fA00', NULL, NULL, 151, NULL, NULL, 16272),
(16922, '3bcqB00', NULL, NULL, 146, NULL, NULL, 16272),
(16923, '2lhbA00', NULL, NULL, 149, NULL, NULL, 16272),
(16924, '3ubcA00', NULL, NULL, 131, NULL, NULL, 16272),
(16925, '2nrlA00', NULL, NULL, 147, NULL, NULL, 16272),
(16926, '3wfwA00', NULL, NULL, 138, NULL, NULL, 16272),
(16927, '2d5xA00', NULL, NULL, 141, NULL, NULL, 16272),
(16928, '1x3kA01', NULL, NULL, 147, NULL, NULL, 16272),
(16929, '1v4xB00', NULL, NULL, 146, NULL, NULL, 16272),
(16930, '3pt8A00', NULL, NULL, 152, NULL, NULL, 16272),
(16931, '4esaD00', NULL, NULL, 146, NULL, NULL, 16272),
(16932, '3hyuA00', NULL, NULL, 141, NULL, NULL, 16272);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(16933, '3wtgB00', NULL, NULL, 146, NULL, NULL, 16272),
(16934, '3at5B00', NULL, NULL, 146, NULL, NULL, 16272),
(16935, '1lhsA00', NULL, NULL, 153, NULL, NULL, 16272),
(16936, '2wtgA00', NULL, NULL, 159, NULL, NULL, 16272),
(16937, '3fs4A00', NULL, NULL, 141, NULL, NULL, 16272),
(16938, '1yhuD00', NULL, NULL, 149, NULL, NULL, 16272),
(16939, '6ii1D00', NULL, NULL, 145, NULL, NULL, 16272),
(16940, '6iyhB00', NULL, NULL, 145, NULL, NULL, 16272),
(16941, '3eokA00', NULL, NULL, 141, NULL, NULL, 16272),
(16942, '3wctC00', NULL, NULL, 150, NULL, NULL, 16272),
(16943, '4g1vA01', NULL, NULL, 145, NULL, NULL, 16272),
(16944, '1spgB00', NULL, NULL, 147, NULL, NULL, 16272),
(16945, '2r80B00', NULL, NULL, 146, NULL, NULL, 16272),
(16946, '1hdsB00', NULL, NULL, 145, NULL, NULL, 16272),
(16947, '6iyhA00', NULL, NULL, 142, NULL, NULL, 16272),
(16948, '1wmuA00', NULL, NULL, 141, NULL, NULL, 16272),
(16949, '2zs0D00', NULL, NULL, 145, NULL, NULL, 16272),
(16950, '4zvaA00', NULL, NULL, 149, NULL, NULL, 16272),
(16951, '3zhwB00', NULL, NULL, 160, NULL, NULL, 16272),
(16952, '3hrwA00', NULL, NULL, 141, NULL, NULL, 16272),
(16953, '3hf4B00', NULL, NULL, 146, NULL, NULL, 16272),
(16954, '1x46A00', NULL, NULL, 150, NULL, NULL, 16272),
(16955, '3pt8B00', NULL, NULL, 152, NULL, NULL, 16272),
(16956, '1v4xA00', NULL, NULL, 144, NULL, NULL, 16272),
(16957, '1gvhA01', NULL, NULL, 148, NULL, NULL, 16272),
(16958, '4h2lB00', NULL, NULL, 146, NULL, NULL, 16272),
(16959, '2ciwA00', NULL, NULL, 299, NULL, NULL, 16273),
(16960, '6ekzA00', NULL, NULL, 328, NULL, NULL, 16273),
(16961, '2hjeA02', NULL, NULL, 64, NULL, NULL, 16274),
(16962, '3c38A02', NULL, NULL, 64, NULL, NULL, 16274),
(16963, '4it6B00', NULL, NULL, 124, NULL, NULL, 16275),
(16964, '5e24F01', NULL, NULL, 172, NULL, NULL, 16276),
(16965, '3iagC01', NULL, NULL, 170, NULL, NULL, 16276),
(16966, '3brdA01', NULL, NULL, 209, NULL, NULL, 16276),
(16967, '3guuA02', NULL, NULL, 96, NULL, NULL, 16277),
(16968, '3zpxA02', NULL, NULL, 96, NULL, NULL, 16277),
(16969, '3kdeC01', NULL, NULL, 69, NULL, NULL, 16278),
(16970, '1yqeA02', NULL, NULL, 96, NULL, NULL, 16279),
(16971, '2gfqA02', NULL, NULL, 89, NULL, NULL, 16279),
(16972, '5u89B00', NULL, NULL, 83, NULL, NULL, 16280),
(16973, '2khrA00', NULL, NULL, 74, NULL, NULL, 16280),
(16974, '1gh9A00', NULL, NULL, 71, NULL, NULL, 16280),
(16975, '5ja1B00', NULL, NULL, 74, NULL, NULL, 16280),
(16976, '4gr5C01', NULL, NULL, 68, NULL, NULL, 16280),
(16977, '2pstX00', NULL, NULL, 74, NULL, NULL, 16280),
(16978, '5wmmB00', NULL, NULL, 70, NULL, NULL, 16280),
(16979, '2myyA00', NULL, NULL, 80, NULL, NULL, 16280),
(16980, '4m0mA04', NULL, NULL, 119, NULL, NULL, 16281),
(16981, '1dq3A02', NULL, NULL, 76, NULL, NULL, 16282),
(16982, '2e1mC02', NULL, NULL, 50, NULL, NULL, 16283),
(16983, '4n4nB00', NULL, NULL, 57, NULL, NULL, 16284),
(16984, '1nc7D00', NULL, NULL, 138, NULL, NULL, 16285),
(16985, '1nc7A00', NULL, NULL, 138, NULL, NULL, 16285),
(16986, '2ii7H00', NULL, NULL, 131, NULL, NULL, 16285),
(16987, '2ii8D00', NULL, NULL, 105, NULL, NULL, 16285),
(16988, '2iiaA00', NULL, NULL, 111, NULL, NULL, 16285),
(16989, '4jquB00', NULL, NULL, 54, NULL, NULL, 16286),
(16990, '4uhvA01', NULL, NULL, 196, NULL, NULL, 16287),
(16991, '2p5zX01', NULL, NULL, 185, NULL, NULL, 16287),
(16992, '4csbA00', NULL, NULL, 124, NULL, NULL, 16288),
(16993, '5aeoA00', NULL, NULL, 125, NULL, NULL, 16288),
(16994, '4cv7A00', NULL, NULL, 113, NULL, NULL, 16288),
(16995, '1l5aA02', NULL, NULL, 32, NULL, NULL, 16289),
(16996, '4hl4A01', NULL, NULL, 157, NULL, NULL, 16290),
(16997, '1ifqB00', NULL, NULL, 138, NULL, NULL, 16291),
(16998, '4b93A00', NULL, NULL, 164, NULL, NULL, 16291),
(16999, '3kyqA01', NULL, NULL, 141, NULL, NULL, 16291),
(17000, '2dmwA01', NULL, NULL, 116, NULL, NULL, 16291),
(17001, '2vx8D00', NULL, NULL, 149, NULL, NULL, 16291),
(17002, '4afiB00', NULL, NULL, 153, NULL, NULL, 16291),
(17003, '2nutC00', NULL, NULL, 158, NULL, NULL, 16291),
(17004, '3bw6A00', NULL, NULL, 144, NULL, NULL, 16291),
(17005, '5t6jA00', NULL, NULL, 59, NULL, NULL, 16292);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(17006, '4geqB00', NULL, NULL, 66, NULL, NULL, 16292),
(17007, '1tx9A00', NULL, NULL, 151, NULL, NULL, 16293),
(17008, '4a4pA02', NULL, NULL, 113, NULL, NULL, 16294),
(17009, '1ku1A02', NULL, NULL, 135, NULL, NULL, 16294),
(17010, '4oiyA02', NULL, NULL, 108, NULL, NULL, 16294),
(17011, '3l8nA02', NULL, NULL, 118, NULL, NULL, 16294),
(17012, '2r09A02', NULL, NULL, 124, NULL, NULL, 16294),
(17013, '4c0aA02', NULL, NULL, 118, NULL, NULL, 16294),
(17014, '1xszA02', NULL, NULL, 115, NULL, NULL, 16294),
(17015, '1re0B02', NULL, NULL, 141, NULL, NULL, 16294),
(17016, '4jxhA02', NULL, NULL, 118, NULL, NULL, 16294),
(17017, '4d7rA02', NULL, NULL, 116, NULL, NULL, 16294),
(17018, '3ltlA02', NULL, NULL, 119, NULL, NULL, 16294),
(17019, '4fuqC01', NULL, NULL, 397, NULL, NULL, 16295),
(17020, '4lgcA00', NULL, NULL, 400, NULL, NULL, 16295),
(17021, '3vnrA01', NULL, NULL, 411, NULL, NULL, 16295),
(17022, '3tsyA01', NULL, NULL, 438, NULL, NULL, 16295),
(17023, '4d4iA01', NULL, NULL, 409, NULL, NULL, 16295),
(17024, '1ry2A01', NULL, NULL, 503, NULL, NULL, 16295),
(17025, '2v7bA01', NULL, NULL, 406, NULL, NULL, 16295),
(17026, '3iplB01', NULL, NULL, 396, NULL, NULL, 16295),
(17027, '3r44A01', NULL, NULL, 411, NULL, NULL, 16295),
(17028, '3wv4A00', NULL, NULL, 403, NULL, NULL, 16295),
(17029, '5jrhB01', NULL, NULL, 517, NULL, NULL, 16295),
(17030, '3qyaA00', NULL, NULL, 433, NULL, NULL, 16295),
(17031, '3fceA01', NULL, NULL, 397, NULL, NULL, 16295),
(17032, '5n81A00', NULL, NULL, 399, NULL, NULL, 16295),
(17033, '5x8fA01', NULL, NULL, 383, NULL, NULL, 16295),
(17034, '3etcA01', NULL, NULL, 449, NULL, NULL, 16295),
(17035, '4wv3B01', NULL, NULL, 412, NULL, NULL, 16295),
(17036, '5ifiC01', NULL, NULL, 506, NULL, NULL, 16295),
(17037, '4dg8A01', NULL, NULL, 403, NULL, NULL, 16295),
(17038, '5uptA01', NULL, NULL, 409, NULL, NULL, 16295),
(17039, '5n9xA01', NULL, NULL, 406, NULL, NULL, 16295),
(17040, '5gxdA01', NULL, NULL, 495, NULL, NULL, 16295),
(17041, '4rvnA01', NULL, NULL, 331, NULL, NULL, 16295),
(17042, '4gs5A01', NULL, NULL, 248, NULL, NULL, 16295),
(17043, '3iteB01', NULL, NULL, 419, NULL, NULL, 16295),
(17044, '2y4oA01', NULL, NULL, 335, NULL, NULL, 16295),
(17045, '3c5eA01', NULL, NULL, 432, NULL, NULL, 16295),
(17046, '5keiA01', NULL, NULL, 440, NULL, NULL, 16295),
(17047, '4r0mB01', NULL, NULL, 436, NULL, NULL, 16295),
(17048, '4isbA01', NULL, NULL, 424, NULL, NULL, 16295),
(17049, '3ni2A01', NULL, NULL, 433, NULL, NULL, 16295),
(17050, '3g7sB01', NULL, NULL, 437, NULL, NULL, 16295),
(17051, '3pbkB01', NULL, NULL, 459, NULL, NULL, 16295),
(17052, '3ivrA00', NULL, NULL, 397, NULL, NULL, 16295),
(17053, '3t5aA00', NULL, NULL, 457, NULL, NULL, 16295),
(17054, '3l8cB01', NULL, NULL, 401, NULL, NULL, 16295),
(17055, '4w8oB00', NULL, NULL, 427, NULL, NULL, 16295),
(17056, '3rixA00', NULL, NULL, 435, NULL, NULL, 16295),
(17057, '1v25A01', NULL, NULL, 435, NULL, NULL, 16295),
(17058, '3nyqA01', NULL, NULL, 382, NULL, NULL, 16295),
(17059, '5d6nA00', NULL, NULL, 482, NULL, NULL, 16295),
(17060, '3e7wA01', NULL, NULL, 397, NULL, NULL, 16295),
(17061, '4gr5B02', NULL, NULL, 403, NULL, NULL, 16295),
(17062, '4futA01', NULL, NULL, 394, NULL, NULL, 16295),
(17063, '4oxiA01', NULL, NULL, 419, NULL, NULL, 16295),
(17064, '4iz6B01', NULL, NULL, 430, NULL, NULL, 16295),
(17065, '5bsrA01', NULL, NULL, 436, NULL, NULL, 16295),
(17066, '2y27B01', NULL, NULL, 333, NULL, NULL, 16295),
(17067, '3o83A00', NULL, NULL, 439, NULL, NULL, 16295),
(17068, '5b1aD00', NULL, NULL, 147, NULL, NULL, 16296),
(17069, '5z62D00', NULL, NULL, 144, NULL, NULL, 16296),
(17070, '3obhA00', NULL, NULL, 82, NULL, NULL, 16297),
(17071, '1u0sA00', NULL, NULL, 86, NULL, NULL, 16298),
(17072, '2o3oB01', NULL, NULL, 134, NULL, NULL, 16299),
(17073, '2rmfA00', NULL, NULL, 40, NULL, NULL, 16300),
(17074, '2rt9A00', NULL, NULL, 59, NULL, NULL, 16301),
(17075, '1rqfD02', NULL, NULL, 71, NULL, NULL, 16301),
(17076, '2jmoA01', NULL, NULL, 55, NULL, NULL, 16301),
(17077, '4dglB02', NULL, NULL, 78, NULL, NULL, 16301),
(17078, '2m6nA00', NULL, NULL, 58, NULL, NULL, 16301);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(17079, '1qf8A02', NULL, NULL, 75, NULL, NULL, 16301),
(17080, '1qf8B02', NULL, NULL, 60, NULL, NULL, 16301),
(17081, '3qauA03', NULL, NULL, 52, NULL, NULL, 16302),
(17082, '5urbA02', NULL, NULL, 35, NULL, NULL, 16303),
(17083, '3h99A02', NULL, NULL, 35, NULL, NULL, 16303),
(17084, '3mb2B00', NULL, NULL, 72, NULL, NULL, 16304),
(17085, '6fpsN00', NULL, NULL, 62, NULL, NULL, 16304),
(17086, '3mb2F00', NULL, NULL, 54, NULL, NULL, 16304),
(17087, '4jj9C00', NULL, NULL, 149, NULL, NULL, 16304),
(17088, '2xczA00', NULL, NULL, 115, NULL, NULL, 16304),
(17089, '3c6vA00', NULL, NULL, 143, NULL, NULL, 16304),
(17090, '1vw5B00', NULL, NULL, 121, NULL, NULL, 16304),
(17091, '3n4hA00', NULL, NULL, 118, NULL, NULL, 16304),
(17092, '2os5A00', NULL, NULL, 119, NULL, NULL, 16304),
(17093, '3t5sA00', NULL, NULL, 115, NULL, NULL, 16304),
(17094, '3abfA00', NULL, NULL, 64, NULL, NULL, 16304),
(17095, '3m20A00', NULL, NULL, 62, NULL, NULL, 16304),
(17096, '1otgA00', NULL, NULL, 125, NULL, NULL, 16304),
(17097, '2gdgA00', NULL, NULL, 114, NULL, NULL, 16304),
(17098, '3ej7C00', NULL, NULL, 60, NULL, NULL, 16304),
(17099, '3kerA00', NULL, NULL, 117, NULL, NULL, 16304),
(17100, '6bgnB00', NULL, NULL, 60, NULL, NULL, 16304),
(17101, '3ej9B00', NULL, NULL, 70, NULL, NULL, 16304),
(17102, '2opaA00', NULL, NULL, 61, NULL, NULL, 16304),
(17103, '4u5pA00', NULL, NULL, 141, NULL, NULL, 16304),
(17104, '3ry0A00', NULL, NULL, 65, NULL, NULL, 16304),
(17105, '3e6qA00', NULL, NULL, 130, NULL, NULL, 16304),
(17106, '2flzB00', NULL, NULL, 149, NULL, NULL, 16304),
(17107, '4lkbE00', NULL, NULL, 128, NULL, NULL, 16304),
(17108, '4fdxB00', NULL, NULL, 70, NULL, NULL, 16304),
(17109, '4m1aA00', NULL, NULL, 108, NULL, NULL, 16304),
(17110, '1otfA00', NULL, NULL, 62, NULL, NULL, 16304),
(17111, '4dh4A00', NULL, NULL, 114, NULL, NULL, 16304),
(17112, '3n4dH00', NULL, NULL, 148, NULL, NULL, 16304),
(17113, '3mb2C00', NULL, NULL, 72, NULL, NULL, 16304),
(17114, '1mwwB00', NULL, NULL, 128, NULL, NULL, 16304),
(17115, '4jcuB00', NULL, NULL, 133, NULL, NULL, 16304),
(17116, '6b1kA00', NULL, NULL, 114, NULL, NULL, 16304),
(17117, '4fazA00', NULL, NULL, 62, NULL, NULL, 16304),
(17118, '1gyxA01', NULL, NULL, 64, NULL, NULL, 16304),
(17119, '2aalA00', NULL, NULL, 131, NULL, NULL, 16304),
(17120, '3kanA00', NULL, NULL, 117, NULL, NULL, 16304),
(17121, '3ej9E00', NULL, NULL, 76, NULL, NULL, 16304),
(17122, '3mf7A00', NULL, NULL, 118, NULL, NULL, 16304),
(17123, '3ej7H00', NULL, NULL, 54, NULL, NULL, 16304),
(17124, '4nwpH00', NULL, NULL, 131, NULL, NULL, 16304),
(17125, '2x4kA00', NULL, NULL, 63, NULL, NULL, 16304),
(17126, '1uizA00', NULL, NULL, 115, NULL, NULL, 16304),
(17127, '3m21F00', NULL, NULL, 67, NULL, NULL, 16304),
(17128, '1u9dA00', NULL, NULL, 122, NULL, NULL, 16304),
(17129, '4lhpF00', NULL, NULL, 136, NULL, NULL, 16304),
(17130, '2wkfA00', NULL, NULL, 101, NULL, NULL, 16304),
(17131, '1hfoA00', NULL, NULL, 113, NULL, NULL, 16304),
(17132, '2fm7A00', NULL, NULL, 62, NULL, NULL, 16304),
(17133, '3b64A00', NULL, NULL, 112, NULL, NULL, 16304),
(17134, '2wkbA01', NULL, NULL, 106, NULL, NULL, 16304),
(17135, '3fwtA00', NULL, NULL, 116, NULL, NULL, 16304),
(17136, '4rocB01', NULL, NULL, 97, NULL, NULL, 16305),
(17137, '1cdwA02', NULL, NULL, 86, NULL, NULL, 16305),
(17138, '1mp9A02', NULL, NULL, 87, NULL, NULL, 16305),
(17139, '1mp9A01', NULL, NULL, 96, NULL, NULL, 16305),
(17140, '2z8uB02', NULL, NULL, 87, NULL, NULL, 16305),
(17141, '4py5A01', NULL, NULL, 72, NULL, NULL, 16305),
(17142, '2z8uA01', NULL, NULL, 101, NULL, NULL, 16305),
(17143, '1qnaA01', NULL, NULL, 93, NULL, NULL, 16305),
(17144, '2d0bA01', NULL, NULL, 90, NULL, NULL, 16305),
(17145, '1qnaA02', NULL, NULL, 86, NULL, NULL, 16305),
(17146, '1r4xA02', NULL, NULL, 115, NULL, NULL, 16305),
(17147, '2g30A02', NULL, NULL, 116, NULL, NULL, 16305),
(17148, '1ytbA02', NULL, NULL, 86, NULL, NULL, 16305),
(17149, '1ytbA01', NULL, NULL, 94, NULL, NULL, 16305),
(17150, '3vn5A01', NULL, NULL, 70, NULL, NULL, 16305),
(17151, '1aisA01', NULL, NULL, 91, NULL, NULL, 16305),
(17152, '1kyfA02', NULL, NULL, 113, NULL, NULL, 16305);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(17153, '1aisA02', NULL, NULL, 87, NULL, NULL, 16305),
(17154, '3eikA01', NULL, NULL, 93, NULL, NULL, 16305),
(17155, '2mj7A00', NULL, NULL, 141, NULL, NULL, 16305),
(17156, '3eikA02', NULL, NULL, 86, NULL, NULL, 16305),
(17157, '4o2cA01', NULL, NULL, 181, NULL, NULL, 16306),
(17158, '3wl9A01', NULL, NULL, 182, NULL, NULL, 16306),
(17159, '6c98A01', NULL, NULL, 175, NULL, NULL, 16306),
(17160, '1e27A01', NULL, NULL, 181, NULL, NULL, 16306),
(17161, '3ln4A01', NULL, NULL, 181, NULL, NULL, 16306),
(17162, '5m02A01', NULL, NULL, 181, NULL, NULL, 16306),
(17163, '4cw1A01', NULL, NULL, 178, NULL, NULL, 16306),
(17164, '3l9rA01', NULL, NULL, 176, NULL, NULL, 16306),
(17165, '3rwiA01', NULL, NULL, 181, NULL, NULL, 16306),
(17166, '5vclA01', NULL, NULL, 182, NULL, NULL, 16306),
(17167, '3s6cA02', NULL, NULL, 175, NULL, NULL, 16306),
(17168, '1r3hA01', NULL, NULL, 166, NULL, NULL, 16306),
(17169, '3jvgA01', NULL, NULL, 178, NULL, NULL, 16306),
(17170, '5j1aA01', NULL, NULL, 175, NULL, NULL, 16306),
(17171, '1pqzA01', NULL, NULL, 137, NULL, NULL, 16306),
(17172, '3bwaA01', NULL, NULL, 181, NULL, NULL, 16306),
(17173, '3vj6A01', NULL, NULL, 181, NULL, NULL, 16306),
(17174, '6ei2A01', NULL, NULL, 182, NULL, NULL, 16306),
(17175, '1efxA01', NULL, NULL, 181, NULL, NULL, 16306),
(17176, '4iiqC02', NULL, NULL, 178, NULL, NULL, 16306),
(17177, '5nq0A01', NULL, NULL, 181, NULL, NULL, 16306),
(17178, '4d0dA01', NULL, NULL, 178, NULL, NULL, 16306),
(17179, '1kjvA01', NULL, NULL, 181, NULL, NULL, 16306),
(17180, '1zvsA01', NULL, NULL, 181, NULL, NULL, 16306),
(17181, '1a1mA01', NULL, NULL, 181, NULL, NULL, 16306),
(17182, '1k5nA01', NULL, NULL, 181, NULL, NULL, 16306),
(17183, '3fonA01', NULL, NULL, 181, NULL, NULL, 16306),
(17184, '4g43A01', NULL, NULL, 181, NULL, NULL, 16306),
(17185, '3it8D01', NULL, NULL, 180, NULL, NULL, 16306),
(17186, '5j6hA01', NULL, NULL, 182, NULL, NULL, 16306),
(17187, '5gsbA01', NULL, NULL, 181, NULL, NULL, 16306),
(17188, '4lcyA01', NULL, NULL, 181, NULL, NULL, 16306),
(17189, '5weuA01', NULL, NULL, 181, NULL, NULL, 16306),
(17190, '1mhcA01', NULL, NULL, 181, NULL, NULL, 16306),
(17191, '3p73A01', NULL, NULL, 180, NULL, NULL, 16306),
(17192, '1x7qA01', NULL, NULL, 181, NULL, NULL, 16306),
(17193, '1hyrC01', NULL, NULL, 180, NULL, NULL, 16306),
(17194, '2xfxA01', NULL, NULL, 181, NULL, NULL, 16306),
(17195, '5gjyA01', NULL, NULL, 181, NULL, NULL, 16306),
(17196, '3jtsA01', NULL, NULL, 181, NULL, NULL, 16306),
(17197, '3eryA00', NULL, NULL, 174, NULL, NULL, 16306),
(17198, '5wl1A01', NULL, NULL, 176, NULL, NULL, 16306),
(17199, '3tidA01', NULL, NULL, 188, NULL, NULL, 16306),
(17200, '1t7vA01', NULL, NULL, 178, NULL, NULL, 16306),
(17201, '3fruA01', NULL, NULL, 177, NULL, NULL, 16306),
(17202, '3kyoA01', NULL, NULL, 180, NULL, NULL, 16306),
(17203, '3bo8A01', NULL, NULL, 181, NULL, NULL, 16306),
(17204, '3mreA01', NULL, NULL, 181, NULL, NULL, 16306),
(17205, '4zuuA01', NULL, NULL, 181, NULL, NULL, 16306),
(17206, '4g59B00', NULL, NULL, 176, NULL, NULL, 16306),
(17207, '6mt3A01', NULL, NULL, 181, NULL, NULL, 16306),
(17208, '1lqvB00', NULL, NULL, 193, NULL, NULL, 16306),
(17209, '4f7eA01', NULL, NULL, 182, NULL, NULL, 16306),
(17210, '5h94A01', NULL, NULL, 181, NULL, NULL, 16306),
(17211, '5f1nA01', NULL, NULL, 182, NULL, NULL, 16306),
(17212, '3d2uE01', NULL, NULL, 189, NULL, NULL, 16306),
(17213, '2wy3A00', NULL, NULL, 176, NULL, NULL, 16306),
(17214, '5h5zA01', NULL, NULL, 177, NULL, NULL, 16306),
(17215, '1kcgC00', NULL, NULL, 178, NULL, NULL, 16306),
(17216, '4u1mA01', NULL, NULL, 181, NULL, NULL, 16306),
(17217, '6mtlA01', NULL, NULL, 181, NULL, NULL, 16306),
(17218, '1k8dA01', NULL, NULL, 181, NULL, NULL, 16306),
(17219, '3gmoA01', NULL, NULL, 184, NULL, NULL, 16306),
(17220, '1lk2A01', NULL, NULL, 181, NULL, NULL, 16306),
(17221, '3pwuA01', NULL, NULL, 180, NULL, NULL, 16306),
(17222, '5xmfA01', NULL, NULL, 181, NULL, NULL, 16306),
(17223, '1zs8A01', NULL, NULL, 180, NULL, NULL, 16306),
(17224, '3bevA01', NULL, NULL, 178, NULL, NULL, 16306),
(17225, '5ylxA01', NULL, NULL, 181, NULL, NULL, 16306);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(17226, '4ww2C01', NULL, NULL, 183, NULL, NULL, 16306),
(17227, '6bmhA01', NULL, NULL, 181, NULL, NULL, 16306),
(17228, '3spvA01', NULL, NULL, 181, NULL, NULL, 16306),
(17229, '4zfzA01', NULL, NULL, 182, NULL, NULL, 16306),
(17230, '3qq4A01', NULL, NULL, 181, NULL, NULL, 16306),
(17231, '1qqdA01', NULL, NULL, 180, NULL, NULL, 16306),
(17232, '4s0uC00', NULL, NULL, 175, NULL, NULL, 16306),
(17233, '3dbxA01', NULL, NULL, 186, NULL, NULL, 16306),
(17234, '6mt6A01', NULL, NULL, 181, NULL, NULL, 16306),
(17235, '1zt1A01', NULL, NULL, 182, NULL, NULL, 16306),
(17236, '1c16A01', NULL, NULL, 163, NULL, NULL, 16306),
(17237, '1a6zA01', NULL, NULL, 182, NULL, NULL, 16306),
(17238, '5nq2A01', NULL, NULL, 182, NULL, NULL, 16306),
(17239, '4pp8D00', NULL, NULL, 174, NULL, NULL, 16306),
(17240, '5iueA01', NULL, NULL, 181, NULL, NULL, 16306),
(17241, '4l4vC01', NULL, NULL, 179, NULL, NULL, 16306),
(17242, '1ld9A01', NULL, NULL, 181, NULL, NULL, 16306),
(17243, '6gh1A01', NULL, NULL, 180, NULL, NULL, 16306),
(17244, '5c9jA01', NULL, NULL, 177, NULL, NULL, 16306),
(17245, '5ymwA01', NULL, NULL, 179, NULL, NULL, 16306),
(17246, '4nt6A01', NULL, NULL, 181, NULL, NULL, 16306),
(17247, '5w6aA01', NULL, NULL, 181, NULL, NULL, 16306),
(17248, '1kjmA01', NULL, NULL, 181, NULL, NULL, 16306),
(17249, '4pdcE00', NULL, NULL, 150, NULL, NULL, 16306),
(17250, '2bvpA01', NULL, NULL, 181, NULL, NULL, 16306),
(17251, '1nezA01', NULL, NULL, 181, NULL, NULL, 16306),
(17252, '3tw5A02', NULL, NULL, 82, NULL, NULL, 16307),
(17253, '6om4A01', NULL, NULL, 90, NULL, NULL, 16308),
(17254, '2uuvB01', NULL, NULL, 291, NULL, NULL, 16309),
(17255, '1kbhA00', NULL, NULL, 47, NULL, NULL, 16310),
(17256, '1p90A00', NULL, NULL, 123, NULL, NULL, 16311),
(17257, '2wfbA00', NULL, NULL, 120, NULL, NULL, 16311),
(17258, '2re2A00', NULL, NULL, 136, NULL, NULL, 16311),
(17259, '1o13A00', NULL, NULL, 119, NULL, NULL, 16311),
(17260, '1eo1A00', NULL, NULL, 124, NULL, NULL, 16311),
(17261, '2yx6D01', NULL, NULL, 105, NULL, NULL, 16311),
(17262, '2qtdA00', NULL, NULL, 105, NULL, NULL, 16311),
(17263, '1rduA00', NULL, NULL, 116, NULL, NULL, 16311),
(17264, '1vw4T01', NULL, NULL, 112, NULL, NULL, 16312),
(17265, '3h90A01', NULL, NULL, 199, NULL, NULL, 16313),
(17266, '4i7aD00', NULL, NULL, 95, NULL, NULL, 16314),
(17267, '2hd3A00', NULL, NULL, 103, NULL, NULL, 16314),
(17268, '2qw7C00', NULL, NULL, 95, NULL, NULL, 16314),
(17269, '5l37C00', NULL, NULL, 95, NULL, NULL, 16314),
(17270, '4jvzA00', NULL, NULL, 99, NULL, NULL, 16314),
(17271, '4jw0A00', NULL, NULL, 108, NULL, NULL, 16314),
(17272, '2rcfA00', NULL, NULL, 91, NULL, NULL, 16314),
(17273, '4n8xT00', NULL, NULL, 109, NULL, NULL, 16314),
(17274, '4didB01', NULL, NULL, 124, NULL, NULL, 16315),
(17275, '3da1A03', NULL, NULL, 148, NULL, NULL, 16316),
(17276, '2rgoB03', NULL, NULL, 134, NULL, NULL, 16316),
(17277, '2qcuA03', NULL, NULL, 71, NULL, NULL, 16316),
(17278, '1vlyA03', NULL, NULL, 122, NULL, NULL, 16317),
(17279, '3ol0B00', NULL, NULL, 48, NULL, NULL, 16318),
(17280, '5j47A01', NULL, NULL, 100, NULL, NULL, 16319),
(17281, '1svmA01', NULL, NULL, 105, NULL, NULL, 16319),
(17282, '2v9pA01', NULL, NULL, 76, NULL, NULL, 16319),
(17283, '5anpA00', NULL, NULL, 146, NULL, NULL, 16320),
(17284, '4oa3A00', NULL, NULL, 146, NULL, NULL, 16320),
(17285, '3pvhA00', NULL, NULL, 153, NULL, NULL, 16320),
(17286, '2kptA00', NULL, NULL, 148, NULL, NULL, 16320),
(17287, '2kw7A00', NULL, NULL, 157, NULL, NULL, 16320),
(17288, '4eu0A02', NULL, NULL, 137, NULL, NULL, 16321),
(17289, '2hsiA01', NULL, NULL, 100, NULL, NULL, 16322),
(17290, '3ksvA02', NULL, NULL, 27, NULL, NULL, 16323),
(17291, '4tx1A00', NULL, NULL, 225, NULL, NULL, 16324),
(17292, '4s1pA00', NULL, NULL, 191, NULL, NULL, 16324),
(17293, '1k7cA00', NULL, NULL, 233, NULL, NULL, 16324),
(17294, '1z8hA00', NULL, NULL, 202, NULL, NULL, 16324),
(17295, '2o14A02', NULL, NULL, 214, NULL, NULL, 16324),
(17296, '3kvnA01', NULL, NULL, 324, NULL, NULL, 16324),
(17297, '5hoeA00', NULL, NULL, 230, NULL, NULL, 16324),
(17298, '4q7qB00', NULL, NULL, 266, NULL, NULL, 16324);
INSERT INTO "PUBLIC"."MODEL" VALUES
(17299, '2q0sA00', NULL, NULL, 216, NULL, NULL, 16324),
(17300, '1es9A00', NULL, NULL, 216, NULL, NULL, 16324),
(17301, '4lhsA02', NULL, NULL, 189, NULL, NULL, 16324),
(17302, '5b5lA00', NULL, NULL, 207, NULL, NULL, 16324),
(17303, '1yzfA00', NULL, NULL, 195, NULL, NULL, 16324),
(17304, '2hsjD00', NULL, NULL, 214, NULL, NULL, 16324),
(17305, '2waoA02', NULL, NULL, 221, NULL, NULL, 16324),
(17306, '2apjD00', NULL, NULL, 241, NULL, NULL, 16324),
(17307, '4k7jA01', NULL, NULL, 226, NULL, NULL, 16324),
(17308, '4jggA00', NULL, NULL, 186, NULL, NULL, 16324),
(17309, '4hyqA00', NULL, NULL, 236, NULL, NULL, 16324),
(17310, '4devA02', NULL, NULL, 249, NULL, NULL, 16324),
(17311, '4i8iA00', NULL, NULL, 271, NULL, NULL, 16324),
(17312, '3skvA02', NULL, NULL, 201, NULL, NULL, 16324),
(17313, '5malA00', NULL, NULL, 234, NULL, NULL, 16324),
(17314, '1escA00', NULL, NULL, 306, NULL, NULL, 16324),
(17315, '3p94A00', NULL, NULL, 204, NULL, NULL, 16324),
(17316, '3milB00', NULL, NULL, 240, NULL, NULL, 16324),
(17317, '5jd3A00', NULL, NULL, 218, NULL, NULL, 16324),
(17318, '4rw0A00', NULL, NULL, 185, NULL, NULL, 16324),
(17319, '2w9xA02', NULL, NULL, 230, NULL, NULL, 16324),
(17320, '3bzwF00', NULL, NULL, 255, NULL, NULL, 16324),
(17321, '4h08A00', NULL, NULL, 200, NULL, NULL, 16324),
(17322, '1fxwF00', NULL, NULL, 229, NULL, NULL, 16324),
(17323, '3rjtA00', NULL, NULL, 216, NULL, NULL, 16324),
(17324, '2vptA00', NULL, NULL, 215, NULL, NULL, 16324),
(17325, '3dciA00', NULL, NULL, 209, NULL, NULL, 16324),
(17326, '3hp4A00', NULL, NULL, 185, NULL, NULL, 16324),
(17327, '5a4aA00', NULL, NULL, 208, NULL, NULL, 16324),
(17328, '3dc7A00', NULL, NULL, 215, NULL, NULL, 16324),
(17329, '5tifA00', NULL, NULL, 185, NULL, NULL, 16324),
(17330, '4ppyA00', NULL, NULL, 210, NULL, NULL, 16324),
(17331, '3slrA01', NULL, NULL, 219, NULL, NULL, 16324),
(17332, '4m8kA00', NULL, NULL, 236, NULL, NULL, 16324),
(17333, '4rshA00', NULL, NULL, 179, NULL, NULL, 16324),
(17334, '1zmbA01', NULL, NULL, 248, NULL, NULL, 16324),
(17335, '4hf7A00', NULL, NULL, 209, NULL, NULL, 16324),
(17336, '4iyjA00', NULL, NULL, 212, NULL, NULL, 16324),
(17337, '2waaA02', NULL, NULL, 218, NULL, NULL, 16324),
(17338, '4xvhA02', NULL, NULL, 222, NULL, NULL, 16324),
(17339, '4nrdA00', NULL, NULL, 208, NULL, NULL, 16324),
(17340, '4q9aA00', NULL, NULL, 229, NULL, NULL, 16324),
(17341, '5bn1A00', NULL, NULL, 219, NULL, NULL, 16324),
(17342, '2yeqA01', NULL, NULL, 109, NULL, NULL, 16325),
(17343, '1xzwA01', NULL, NULL, 98, NULL, NULL, 16325),
(17344, '6hwrA01', NULL, NULL, 97, NULL, NULL, 16325),
(17345, '3cvzC01', NULL, NULL, 106, NULL, NULL, 16326),
(17346, '4g2aA02', NULL, NULL, 87, NULL, NULL, 16327),
(17347, '2hsnA02', NULL, NULL, 107, NULL, NULL, 16328),
(17348, '2gpiA00', NULL, NULL, 91, NULL, NULL, 16329),
(17349, '3hq1B04', NULL, NULL, 119, NULL, NULL, 16330),
(17350, '3hq1A02', NULL, NULL, 180, NULL, NULL, 16330),
(17351, '3lxqA01', NULL, NULL, 101, NULL, NULL, 16331),
(17352, '3lxqB01', NULL, NULL, 101, NULL, NULL, 16331),
(17353, '4j42B00', NULL, NULL, 93, NULL, NULL, 16332),
(17354, '4w4kA00', NULL, NULL, 107, NULL, NULL, 16332),
(17355, '4w4lA00', NULL, NULL, 90, NULL, NULL, 16332),
(17356, '4iyhA00', NULL, NULL, 98, NULL, NULL, 16332),
(17357, '3fx7A00', NULL, NULL, 94, NULL, NULL, 16332),
(17358, '2kkxA00', NULL, NULL, 102, NULL, NULL, 16333),
(17359, '1dcsA00', NULL, NULL, 311, NULL, NULL, 16334),
(17360, '5c3pD00', NULL, NULL, 343, NULL, NULL, 16334),
(17361, '1w9yA00', NULL, NULL, 319, NULL, NULL, 16334),
(17362, '3ooxA00', NULL, NULL, 312, NULL, NULL, 16334),
(17363, '3on7B00', NULL, NULL, 280, NULL, NULL, 16334),
(17364, '1odmA00', NULL, NULL, 331, NULL, NULL, 16334),
(17365, '4xaeB00', NULL, NULL, 330, NULL, NULL, 16334),
(17366, '4rgkA00', NULL, NULL, 418, NULL, NULL, 16334),
(17367, '2dbnA00', NULL, NULL, 421, NULL, NULL, 16334),
(17368, '2csgA00', NULL, NULL, 424, NULL, NULL, 16334),
(17369, '1e5rB01', NULL, NULL, 203, NULL, NULL, 16334),
(17370, '5jqyA02', NULL, NULL, 196, NULL, NULL, 16334),
(17371, '1gp6A00', NULL, NULL, 350, NULL, NULL, 16334);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(17372, '5gj9A00', NULL, NULL, 303, NULL, NULL, 16334),
(17373, '3hl8A03', NULL, NULL, 62, NULL, NULL, 16335),
(17374, '4rg8A03', NULL, NULL, 61, NULL, NULL, 16335),
(17375, '5ffgA02', NULL, NULL, 162, NULL, NULL, 16336),
(17376, '3fcsA02', NULL, NULL, 154, NULL, NULL, 16336),
(17377, '4irzA02', NULL, NULL, 164, NULL, NULL, 16336),
(17378, '3vi3A02', NULL, NULL, 152, NULL, NULL, 16336),
(17379, '4nehA03', NULL, NULL, 155, NULL, NULL, 16336),
(17380, '3h20A01', NULL, NULL, 70, NULL, NULL, 16337),
(17381, '4mt2A00', NULL, NULL, 62, NULL, NULL, 16338),
(17382, '1v5vA03', NULL, NULL, 75, NULL, NULL, 16339),
(17383, '1pj5A05', NULL, NULL, 78, NULL, NULL, 16339),
(17384, '3girA04', NULL, NULL, 78, NULL, NULL, 16339),
(17385, '5l46A05', NULL, NULL, 79, NULL, NULL, 16339),
(17386, '1wosA04', NULL, NULL, 89, NULL, NULL, 16339),
(17387, '1yx2B04', NULL, NULL, 83, NULL, NULL, 16339),
(17388, '1wsrA04', NULL, NULL, 77, NULL, NULL, 16339),
(17389, '4pabA05', NULL, NULL, 77, NULL, NULL, 16339),
(17390, '1vloA04', NULL, NULL, 93, NULL, NULL, 16339),
(17391, '3qc5X01', NULL, NULL, 154, NULL, NULL, 16340),
(17392, '5emiA00', NULL, NULL, 180, NULL, NULL, 16341),
(17393, '2q7sA00', NULL, NULL, 290, NULL, NULL, 16341),
(17394, '4lq6A00', NULL, NULL, 218, NULL, NULL, 16341),
(17395, '2odfB01', NULL, NULL, 243, NULL, NULL, 16341),
(17396, '4binA02', NULL, NULL, 243, NULL, NULL, 16341),
(17397, '1jwqA00', NULL, NULL, 179, NULL, NULL, 16341),
(17398, '3qayA00', NULL, NULL, 180, NULL, NULL, 16341),
(17399, '1xovA01', NULL, NULL, 188, NULL, NULL, 16341),
(17400, '4rn7A00', NULL, NULL, 188, NULL, NULL, 16341),
(17401, '3ne8A00', NULL, NULL, 234, NULL, NULL, 16341),
(17402, '3czxA00', NULL, NULL, 182, NULL, NULL, 16341),
(17403, '2gsoA02', NULL, NULL, 103, NULL, NULL, 16342),
(17404, '4lr2A02', NULL, NULL, 96, NULL, NULL, 16342),
(17405, '4b56B02', NULL, NULL, 104, NULL, NULL, 16342),
(17406, '5eghA02', NULL, NULL, 111, NULL, NULL, 16342),
(17407, '3gg4B02', NULL, NULL, 176, NULL, NULL, 16343),
(17408, '3gg4A02', NULL, NULL, 176, NULL, NULL, 16343),
(17409, '3l0qA02', NULL, NULL, 176, NULL, NULL, 16343),
(17410, '3l0qB02', NULL, NULL, 176, NULL, NULL, 16343),
(17411, '1s1dA00', NULL, NULL, 331, NULL, NULL, 16344),
(17412, '2hgsA05', NULL, NULL, 68, NULL, NULL, 16345),
(17413, '1m0wB05', NULL, NULL, 62, NULL, NULL, 16345),
(17414, '3kalB05', NULL, NULL, 66, NULL, NULL, 16345),
(17415, '2btoA03', NULL, NULL, 54, NULL, NULL, 16346),
(17416, '2btqB03', NULL, NULL, 53, NULL, NULL, 16346),
(17417, '4i4tC03', NULL, NULL, 67, NULL, NULL, 16346),
(17418, '4i4tB03', NULL, NULL, 55, NULL, NULL, 16346),
(17419, '4u3jA03', NULL, NULL, 63, NULL, NULL, 16346),
(17420, '4u3jB03', NULL, NULL, 57, NULL, NULL, 16346),
(17421, '5iyzB03', NULL, NULL, 72, NULL, NULL, 16346),
(17422, '5nm5A03', NULL, NULL, 52, NULL, NULL, 16346),
(17423, '3e22A03', NULL, NULL, 66, NULL, NULL, 16346),
(17424, '3cb2A03', NULL, NULL, 61, NULL, NULL, 16346),
(17425, '4jleA00', NULL, NULL, 150, NULL, NULL, 16347),
(17426, '2a79B02', NULL, NULL, 61, NULL, NULL, 16348),
(17427, '2x2zB03', NULL, NULL, 47, NULL, NULL, 16349),
(17428, '3zleA03', NULL, NULL, 49, NULL, NULL, 16349),
(17429, '2y8tA03', NULL, NULL, 70, NULL, NULL, 16349),
(17430, '4aplA03', NULL, NULL, 58, NULL, NULL, 16349),
(17431, '2x2zD03', NULL, NULL, 35, NULL, NULL, 16349),
(17432, '4cgyB01', NULL, NULL, 59, NULL, NULL, 16350),
(17433, '3nbiA01', NULL, NULL, 62, NULL, NULL, 16350),
(17434, '3r1fE02', NULL, NULL, 35, NULL, NULL, 16351),
(17435, '2k9lA00', NULL, NULL, 76, NULL, NULL, 16352),
(17436, '5ui5I01', NULL, NULL, 70, NULL, NULL, 16352),
(17437, '3k1hA00', NULL, NULL, 115, NULL, NULL, 16353),
(17438, '2xjpA01', NULL, NULL, 224, NULL, NULL, 16354),
(17439, '6hosA00', NULL, NULL, 213, NULL, NULL, 16354),
(17440, '4cp0A00', NULL, NULL, 231, NULL, NULL, 16354),
(17441, '4couA00', NULL, NULL, 228, NULL, NULL, 16354),
(17442, '4aslA00', NULL, NULL, 233, NULL, NULL, 16354),
(17443, '4lhkA00', NULL, NULL, 220, NULL, NULL, 16354),
(17444, '5a3lA00', NULL, NULL, 209, NULL, NULL, 16354),
(17445, '4lhlA01', NULL, NULL, 229, NULL, NULL, 16354);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(17446, '4hspA00', NULL, NULL, 150, NULL, NULL, 16355),
(17447, '3nk4A02', NULL, NULL, 165, NULL, NULL, 16356),
(17448, '5bupA00', NULL, NULL, 172, NULL, NULL, 16356),
(17449, '3qw9B00', NULL, NULL, 176, NULL, NULL, 16356),
(17450, '1zpsA02', NULL, NULL, 26, NULL, NULL, 16357),
(17451, '3vkgA20', NULL, NULL, 134, NULL, NULL, 16358),
(17452, '2kgsA01', NULL, NULL, 110, NULL, NULL, 16359),
(17453, '4luqC00', NULL, NULL, 123, NULL, NULL, 16360),
(17454, '4dzoA02', NULL, NULL, 81, NULL, NULL, 16361),
(17455, '5a2gA00', NULL, NULL, 502, NULL, NULL, 16362),
(17456, '5f4zC00', NULL, NULL, 393, NULL, NULL, 16362),
(17457, '3sk0A00', NULL, NULL, 311, NULL, NULL, 16362),
(17458, '3n2zB01', NULL, NULL, 293, NULL, NULL, 16362),
(17459, '6f9oA00', NULL, NULL, 309, NULL, NULL, 16362),
(17460, '4pscA00', NULL, NULL, 224, NULL, NULL, 16362),
(17461, '1hkhA00', NULL, NULL, 279, NULL, NULL, 16362),
(17462, '3flbA00', NULL, NULL, 249, NULL, NULL, 16362),
(17463, '1lgyA00', NULL, NULL, 269, NULL, NULL, 16362),
(17464, '4zv9A00', NULL, NULL, 238, NULL, NULL, 16362),
(17465, '4k2aC00', NULL, NULL, 300, NULL, NULL, 16362),
(17466, '1xklA00', NULL, NULL, 273, NULL, NULL, 16362),
(17467, '4i3fA00', NULL, NULL, 283, NULL, NULL, 16362),
(17468, '2pblA01', NULL, NULL, 243, NULL, NULL, 16362),
(17469, '4f21B00', NULL, NULL, 224, NULL, NULL, 16362),
(17470, '3ls2A00', NULL, NULL, 280, NULL, NULL, 16362),
(17471, '5xk2A00', NULL, NULL, 286, NULL, NULL, 16362),
(17472, '2fukA00', NULL, NULL, 220, NULL, NULL, 16362),
(17473, '5kwiA00', NULL, NULL, 283, NULL, NULL, 16362),
(17474, '4dm7A01', NULL, NULL, 284, NULL, NULL, 16362),
(17475, '3o0dA00', NULL, NULL, 301, NULL, NULL, 16362),
(17476, '3uueA00', NULL, NULL, 279, NULL, NULL, 16362),
(17477, '3lcrB00', NULL, NULL, 293, NULL, NULL, 16362),
(17478, '3fvtF00', NULL, NULL, 320, NULL, NULL, 16362),
(17479, '3wwcA00', NULL, NULL, 342, NULL, NULL, 16362),
(17480, '1jfrA00', NULL, NULL, 262, NULL, NULL, 16362),
(17481, '5jd5B00', NULL, NULL, 321, NULL, NULL, 16362),
(17482, '1mj5A00', NULL, NULL, 302, NULL, NULL, 16362),
(17483, '2bceA00', NULL, NULL, 539, NULL, NULL, 16362),
(17484, '5h3hB00', NULL, NULL, 272, NULL, NULL, 16362),
(17485, '6fkxA00', NULL, NULL, 324, NULL, NULL, 16362),
(17486, '3gffA00', NULL, NULL, 331, NULL, NULL, 16362),
(17487, '6atxA00', NULL, NULL, 276, NULL, NULL, 16362),
(17488, '5cw2A00', NULL, NULL, 325, NULL, NULL, 16362),
(17489, '5mxpA00', NULL, NULL, 302, NULL, NULL, 16362),
(17490, '5bv7A01', NULL, NULL, 226, NULL, NULL, 16362),
(17491, '1ukcB00', NULL, NULL, 522, NULL, NULL, 16362),
(17492, '5mifA00', NULL, NULL, 314, NULL, NULL, 16362),
(17493, '1g66A00', NULL, NULL, 207, NULL, NULL, 16362),
(17494, '4ci9A00', NULL, NULL, 415, NULL, NULL, 16362),
(17495, '4wy5A00', NULL, NULL, 332, NULL, NULL, 16362),
(17496, '2z3zA02', NULL, NULL, 256, NULL, NULL, 16362),
(17497, '4y7dA00', NULL, NULL, 302, NULL, NULL, 16362),
(17498, '3vjmA02', NULL, NULL, 264, NULL, NULL, 16362),
(17499, '4l9aA00', NULL, NULL, 273, NULL, NULL, 16362),
(17500, '3qmmA00', NULL, NULL, 181, NULL, NULL, 16362),
(17501, '5z7xA00', NULL, NULL, 274, NULL, NULL, 16362),
(17502, '4mydA00', NULL, NULL, 252, NULL, NULL, 16362),
(17503, '1z68A02', NULL, NULL, 255, NULL, NULL, 16362),
(17504, '1tqhA00', NULL, NULL, 247, NULL, NULL, 16362),
(17505, '1u2eA00', NULL, NULL, 289, NULL, NULL, 16362),
(17506, '5synA00', NULL, NULL, 231, NULL, NULL, 16362),
(17507, '3bf7A00', NULL, NULL, 255, NULL, NULL, 16362),
(17508, '1mtzA00', NULL, NULL, 293, NULL, NULL, 16362),
(17509, '1ycdB00', NULL, NULL, 243, NULL, NULL, 16362),
(17510, '1r1dA00', NULL, NULL, 247, NULL, NULL, 16362),
(17511, '1a8sA00', NULL, NULL, 273, NULL, NULL, 16362),
(17512, '3qitB00', NULL, NULL, 286, NULL, NULL, 16362),
(17513, '3i1iB01', NULL, NULL, 377, NULL, NULL, 16362),
(17514, '3r41A00', NULL, NULL, 306, NULL, NULL, 16362),
(17515, '4lxhA00', NULL, NULL, 277, NULL, NULL, 16362),
(17516, '4fleA00', NULL, NULL, 202, NULL, NULL, 16362),
(17517, '2xmrA00', NULL, NULL, 281, NULL, NULL, 16362),
(17518, '1r88A00', NULL, NULL, 280, NULL, NULL, 16362);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(17519, '3groA00', NULL, NULL, 298, NULL, NULL, 16362),
(17520, '4batA00', NULL, NULL, 301, NULL, NULL, 16362),
(17521, '4rpcA00', NULL, NULL, 263, NULL, NULL, 16362),
(17522, '3qzuA00', NULL, NULL, 181, NULL, NULL, 16362),
(17523, '3c8dB02', NULL, NULL, 256, NULL, NULL, 16362),
(17524, '5jd6A00', NULL, NULL, 221, NULL, NULL, 16362),
(17525, '5l2pA00', NULL, NULL, 306, NULL, NULL, 16362),
(17526, '2wueA00', NULL, NULL, 291, NULL, NULL, 16362),
(17527, '3tejA00', NULL, NULL, 329, NULL, NULL, 16362),
(17528, '4folA00', NULL, NULL, 299, NULL, NULL, 16362),
(17529, '2pplA01', NULL, NULL, 339, NULL, NULL, 16362),
(17530, '4qloA00', NULL, NULL, 329, NULL, NULL, 16362),
(17531, '3e4dA00', NULL, NULL, 278, NULL, NULL, 16362),
(17532, '2qvbA00', NULL, NULL, 297, NULL, NULL, 16362),
(17533, '3u0vA00', NULL, NULL, 239, NULL, NULL, 16362),
(17534, '5hzgA00', NULL, NULL, 267, NULL, NULL, 16362),
(17535, '3k6kA00', NULL, NULL, 322, NULL, NULL, 16362),
(17536, '2yysA00', NULL, NULL, 286, NULL, NULL, 16362),
(17537, '3g9xA00', NULL, NULL, 299, NULL, NULL, 16362),
(17538, '3picA00', NULL, NULL, 375, NULL, NULL, 16362),
(17539, '1bu8A01', NULL, NULL, 339, NULL, NULL, 16362),
(17540, '1xfdA02', NULL, NULL, 259, NULL, NULL, 16362),
(17541, '3zpxA01', NULL, NULL, 290, NULL, NULL, 16362),
(17542, '4qwwA00', NULL, NULL, 542, NULL, NULL, 16362),
(17543, '5z7zB00', NULL, NULL, 272, NULL, NULL, 16362),
(17544, '4e15B00', NULL, NULL, 303, NULL, NULL, 16362),
(17545, '1ys1X00', NULL, NULL, 320, NULL, NULL, 16362),
(17546, '3bdiA00', NULL, NULL, 207, NULL, NULL, 16362),
(17547, '1mo2A00', NULL, NULL, 269, NULL, NULL, 16362),
(17548, '1auoA00', NULL, NULL, 218, NULL, NULL, 16362),
(17549, '3cn9A00', NULL, NULL, 226, NULL, NULL, 16362),
(17550, '4a5sB01', NULL, NULL, 286, NULL, NULL, 16362),
(17551, '3b12A00', NULL, NULL, 304, NULL, NULL, 16362),
(17552, '4uhbA00', NULL, NULL, 328, NULL, NULL, 16362),
(17553, '3qyjA00', NULL, NULL, 291, NULL, NULL, 16362),
(17554, '4rgyA00', NULL, NULL, 271, NULL, NULL, 16362),
(17555, '3wi7A00', NULL, NULL, 304, NULL, NULL, 16362),
(17556, '5esrA00', NULL, NULL, 308, NULL, NULL, 16362),
(17557, '4ebbA01', NULL, NULL, 302, NULL, NULL, 16362),
(17558, '1hlgA00', NULL, NULL, 371, NULL, NULL, 16362),
(17559, '1brtA00', NULL, NULL, 277, NULL, NULL, 16362),
(17560, '4ypvA00', NULL, NULL, 313, NULL, NULL, 16362),
(17561, '3guuA01', NULL, NULL, 335, NULL, NULL, 16362),
(17562, '1cr6A02', NULL, NULL, 327, NULL, NULL, 16362),
(17563, '1crlA00', NULL, NULL, 534, NULL, NULL, 16362),
(17564, '4bp8A01', NULL, NULL, 370, NULL, NULL, 16362),
(17565, '4kyvB00', NULL, NULL, 306, NULL, NULL, 16362),
(17566, '6h1aA00', NULL, NULL, 547, NULL, NULL, 16362),
(17567, '4q3kB00', NULL, NULL, 242, NULL, NULL, 16362),
(17568, '3oosA01', NULL, NULL, 222, NULL, NULL, 16362),
(17569, '4q34A00', NULL, NULL, 323, NULL, NULL, 16362),
(17570, '4ns4A00', NULL, NULL, 295, NULL, NULL, 16362),
(17571, '2oryA00', NULL, NULL, 346, NULL, NULL, 16362),
(17572, '2e3jA00', NULL, NULL, 356, NULL, NULL, 16362),
(17573, '4ffvB01', NULL, NULL, 273, NULL, NULL, 16362),
(17574, '4nmwA00', NULL, NULL, 259, NULL, NULL, 16362),
(17575, '6qaaA00', NULL, NULL, 526, NULL, NULL, 16362),
(17576, '3wydA00', NULL, NULL, 207, NULL, NULL, 16362),
(17577, '2o7rA00', NULL, NULL, 321, NULL, NULL, 16362),
(17578, '6azbA00', NULL, NULL, 272, NULL, NULL, 16362),
(17579, '2pujA00', NULL, NULL, 286, NULL, NULL, 16362),
(17580, '4zwnB00', NULL, NULL, 313, NULL, NULL, 16362),
(17581, '1f0nA00', NULL, NULL, 285, NULL, NULL, 16362),
(17582, '3mgaA02', NULL, NULL, 255, NULL, NULL, 16362),
(17583, '3fleA00', NULL, NULL, 249, NULL, NULL, 16362),
(17584, '5cbkA00', NULL, NULL, 271, NULL, NULL, 16362),
(17585, '1qlwA00', NULL, NULL, 328, NULL, NULL, 16362),
(17586, '3wmrA00', NULL, NULL, 296, NULL, NULL, 16362),
(17587, '5ng7A00', NULL, NULL, 299, NULL, NULL, 16362),
(17588, '1ufoA00', NULL, NULL, 238, NULL, NULL, 16362),
(17589, '3ibtA01', NULL, NULL, 195, NULL, NULL, 16362),
(17590, '1uxoA00', NULL, NULL, 192, NULL, NULL, 16362),
(17591, '4cfsA01', NULL, NULL, 217, NULL, NULL, 16362);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(17592, '2qmqA00', NULL, NULL, 286, NULL, NULL, 16362),
(17593, '4wy8A00', NULL, NULL, 327, NULL, NULL, 16362),
(17594, '2z8xA01', NULL, NULL, 326, NULL, NULL, 16362),
(17595, '4be9B00', NULL, NULL, 545, NULL, NULL, 16362),
(17596, '4hs9A00', NULL, NULL, 287, NULL, NULL, 16362),
(17597, '3wj2B00', NULL, NULL, 308, NULL, NULL, 16362),
(17598, '5ctaA00', NULL, NULL, 180, NULL, NULL, 16362),
(17599, '3ksrA02', NULL, NULL, 216, NULL, NULL, 16362),
(17600, '3qh4A00', NULL, NULL, 317, NULL, NULL, 16362),
(17601, '3tglA00', NULL, NULL, 269, NULL, NULL, 16362),
(17602, '5xmdB00', NULL, NULL, 322, NULL, NULL, 16362),
(17603, '4uhcA00', NULL, NULL, 282, NULL, NULL, 16362),
(17604, '5dtiB00', NULL, NULL, 545, NULL, NULL, 16362),
(17605, '5o3uB01', NULL, NULL, 369, NULL, NULL, 16362),
(17606, '2qubA01', NULL, NULL, 329, NULL, NULL, 16362),
(17607, '3afiB00', NULL, NULL, 316, NULL, NULL, 16362),
(17608, '6g75A00', NULL, NULL, 296, NULL, NULL, 16362),
(17609, '2jbwA02', NULL, NULL, 262, NULL, NULL, 16362),
(17610, '4ccyB00', NULL, NULL, 296, NULL, NULL, 16362),
(17611, '4xjvA00', NULL, NULL, 241, NULL, NULL, 16362),
(17612, '1hplA01', NULL, NULL, 338, NULL, NULL, 16362),
(17613, '3icvA00', NULL, NULL, 299, NULL, NULL, 16362),
(17614, '5hc0A00', NULL, NULL, 341, NULL, NULL, 16362),
(17615, '2gzsA00', NULL, NULL, 278, NULL, NULL, 16362),
(17616, '4u2dA00', NULL, NULL, 236, NULL, NULL, 16362),
(17617, '4q3lB00', NULL, NULL, 280, NULL, NULL, 16362),
(17618, '2xuaA00', NULL, NULL, 266, NULL, NULL, 16362),
(17619, '3ilsA00', NULL, NULL, 265, NULL, NULL, 16362),
(17620, '3bxpB00', NULL, NULL, 277, NULL, NULL, 16362),
(17621, '1gklA00', NULL, NULL, 297, NULL, NULL, 16362),
(17622, '3be8B00', NULL, NULL, 566, NULL, NULL, 16362),
(17623, '2qm0B01', NULL, NULL, 259, NULL, NULL, 16362),
(17624, '4x90A01', NULL, NULL, 209, NULL, NULL, 16362),
(17625, '2fx5A00', NULL, NULL, 258, NULL, NULL, 16362),
(17626, '2psfA00', NULL, NULL, 310, NULL, NULL, 16362),
(17627, '3bwxA00', NULL, NULL, 285, NULL, NULL, 16362),
(17628, '5lk6A00', NULL, NULL, 314, NULL, NULL, 16362),
(17629, '3pfbA00', NULL, NULL, 270, NULL, NULL, 16362),
(17630, '1r3dA00', NULL, NULL, 264, NULL, NULL, 16362),
(17631, '2xmzA00', NULL, NULL, 269, NULL, NULL, 16362),
(17632, '1q0rA00', NULL, NULL, 298, NULL, NULL, 16362),
(17633, '2qjwA00', NULL, NULL, 176, NULL, NULL, 16362),
(17634, '1uwcA00', NULL, NULL, 261, NULL, NULL, 16362),
(17635, '2x5xA00', NULL, NULL, 342, NULL, NULL, 16362),
(17636, '3bjrA00', NULL, NULL, 267, NULL, NULL, 16362),
(17637, '5lukA00', NULL, NULL, 265, NULL, NULL, 16362),
(17638, '3wj1A00', NULL, NULL, 305, NULL, NULL, 16362),
(17639, '1jkmA00', NULL, NULL, 361, NULL, NULL, 16362),
(17640, '2zshA00', NULL, NULL, 351, NULL, NULL, 16362),
(17641, '3ainA00', NULL, NULL, 283, NULL, NULL, 16362),
(17642, '4f0jA00', NULL, NULL, 315, NULL, NULL, 16362),
(17643, '4v2iA00', NULL, NULL, 323, NULL, NULL, 16362),
(17644, '2fj0A01', NULL, NULL, 541, NULL, NULL, 16362),
(17645, '3w06A00', NULL, NULL, 272, NULL, NULL, 16362),
(17646, '4g9eA00', NULL, NULL, 279, NULL, NULL, 16362),
(17647, '1c4xA00', NULL, NULL, 285, NULL, NULL, 16362),
(17648, '2wflA00', NULL, NULL, 264, NULL, NULL, 16362),
(17649, '5a7gA00', NULL, NULL, 532, NULL, NULL, 16362),
(17650, '2uz0A00', NULL, NULL, 263, NULL, NULL, 16362),
(17651, '4kafB00', NULL, NULL, 307, NULL, NULL, 16362),
(17652, '5zrqA00', NULL, NULL, 265, NULL, NULL, 16362),
(17653, '5z7wB00', NULL, NULL, 277, NULL, NULL, 16362),
(17654, '1womA00', NULL, NULL, 271, NULL, NULL, 16362),
(17655, '3bdvA00', NULL, NULL, 191, NULL, NULL, 16362),
(17656, '1azwA00', NULL, NULL, 313, NULL, NULL, 16362),
(17657, '3dkrA00', NULL, NULL, 251, NULL, NULL, 16362),
(17658, '2vatL00', NULL, NULL, 379, NULL, NULL, 16362),
(17659, '2ogtA00', NULL, NULL, 498, NULL, NULL, 16362),
(17660, '5a71A00', NULL, NULL, 317, NULL, NULL, 16362),
(17661, '3pe6A00', NULL, NULL, 303, NULL, NULL, 16362),
(17662, '3iujA01', NULL, NULL, 356, NULL, NULL, 16362),
(17663, '2cb9A01', NULL, NULL, 180, NULL, NULL, 16362),
(17664, '5hk8A00', NULL, NULL, 253, NULL, NULL, 16362);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(17665, '3g8yA00', NULL, NULL, 391, NULL, NULL, 16362),
(17666, '3rm3A00', NULL, NULL, 250, NULL, NULL, 16362),
(17667, '3ia2A00', NULL, NULL, 271, NULL, NULL, 16362),
(17668, '3eblA00', NULL, NULL, 365, NULL, NULL, 16362),
(17669, '3g7nB00', NULL, NULL, 258, NULL, NULL, 16362),
(17670, '5dnuA00', NULL, NULL, 275, NULL, NULL, 16362),
(17671, '2qruA00', NULL, NULL, 274, NULL, NULL, 16362),
(17672, '4x00A00', NULL, NULL, 283, NULL, NULL, 16362),
(17673, '5gw8B00', NULL, NULL, 286, NULL, NULL, 16362),
(17674, '3r0vA00', NULL, NULL, 262, NULL, NULL, 16362),
(17675, '1lnsA02', NULL, NULL, 321, NULL, NULL, 16362),
(17676, '4x71A00', NULL, NULL, 392, NULL, NULL, 16362),
(17677, '3tjmA01', NULL, NULL, 193, NULL, NULL, 16362),
(17678, '4g4gA00', NULL, NULL, 367, NULL, NULL, 16362),
(17679, '3v48A00', NULL, NULL, 268, NULL, NULL, 16362),
(17680, '3fsgA00', NULL, NULL, 272, NULL, NULL, 16362),
(17681, '3wzmA00', NULL, NULL, 278, NULL, NULL, 16362),
(17682, '3f67A00', NULL, NULL, 241, NULL, NULL, 16362),
(17683, '1e89A00', NULL, NULL, 262, NULL, NULL, 16362),
(17684, '3h04A00', NULL, NULL, 275, NULL, NULL, 16362),
(17685, '5oljA02', NULL, NULL, 252, NULL, NULL, 16362),
(17686, '1j1iA00', NULL, NULL, 296, NULL, NULL, 16362),
(17687, '4qlaB00', NULL, NULL, 391, NULL, NULL, 16362),
(17688, '5y6yB00', NULL, NULL, 326, NULL, NULL, 16362),
(17689, '3d2aA00', NULL, NULL, 181, NULL, NULL, 16362),
(17690, '3g02B00', NULL, NULL, 408, NULL, NULL, 16362),
(17691, '1gxsA00', NULL, NULL, 270, NULL, NULL, 16362),
(17692, '6cofA00', NULL, NULL, 260, NULL, NULL, 16362),
(17693, '5a62A00', NULL, NULL, 277, NULL, NULL, 16362),
(17694, '3om8B00', NULL, NULL, 266, NULL, NULL, 16362),
(17695, '1dx4A00', NULL, NULL, 551, NULL, NULL, 16362),
(17696, '3ajaB00', NULL, NULL, 267, NULL, NULL, 16362),
(17697, '1rp1A01', NULL, NULL, 338, NULL, NULL, 16362),
(17698, '2vsqA08', NULL, NULL, 232, NULL, NULL, 16362),
(17699, '1m33A00', NULL, NULL, 258, NULL, NULL, 16362),
(17700, '3nwoA00', NULL, NULL, 302, NULL, NULL, 16362),
(17701, '1ku0B00', NULL, NULL, 388, NULL, NULL, 16362),
(17702, '6emiA00', NULL, NULL, 532, NULL, NULL, 16362),
(17703, '4meaA00', NULL, NULL, 331, NULL, NULL, 16362),
(17704, '1wm1A00', NULL, NULL, 317, NULL, NULL, 16362),
(17705, '3bixA00', NULL, NULL, 574, NULL, NULL, 16362),
(17706, '2hfkA00', NULL, NULL, 290, NULL, NULL, 16362),
(17707, '1orvA02', NULL, NULL, 258, NULL, NULL, 16362),
(17708, '2i3dB00', NULL, NULL, 226, NULL, NULL, 16362),
(17709, '4zi5A00', NULL, NULL, 250, NULL, NULL, 16362),
(17710, '4ob7A00', NULL, NULL, 341, NULL, NULL, 16362),
(17711, '4c6hA00', NULL, NULL, 291, NULL, NULL, 16362),
(17712, '2o2gA00', NULL, NULL, 223, NULL, NULL, 16362),
(17713, '2c7bA00', NULL, NULL, 295, NULL, NULL, 16362),
(17714, '4rotA00', NULL, NULL, 268, NULL, NULL, 16362),
(17715, '4q1vA02', NULL, NULL, 259, NULL, NULL, 16362),
(17716, '5x88A00', NULL, NULL, 199, NULL, NULL, 16362),
(17717, '4nvrA00', NULL, NULL, 307, NULL, NULL, 16362),
(17718, '4eziA01', NULL, NULL, 283, NULL, NULL, 16362),
(17719, '5ch5A00', NULL, NULL, 577, NULL, NULL, 16362),
(17720, '1mpxA01', NULL, NULL, 271, NULL, NULL, 16362),
(17721, '3zwqA00', NULL, NULL, 313, NULL, NULL, 16362),
(17722, '6azdA00', NULL, NULL, 271, NULL, NULL, 16362),
(17723, '5w95B00', NULL, NULL, 285, NULL, NULL, 16362),
(17724, '5frdA00', NULL, NULL, 260, NULL, NULL, 16362),
(17725, '1yr2A01', NULL, NULL, 351, NULL, NULL, 16362),
(17726, '1jjfA00', NULL, NULL, 268, NULL, NULL, 16362),
(17727, '3e0xA00', NULL, NULL, 245, NULL, NULL, 16362),
(17728, '1a88A00', NULL, NULL, 275, NULL, NULL, 16362),
(17729, '3llcA00', NULL, NULL, 270, NULL, NULL, 16362),
(17730, '2pl5A01', NULL, NULL, 265, NULL, NULL, 16362),
(17731, '4qnnA00', NULL, NULL, 300, NULL, NULL, 16362),
(17732, '4krxA00', NULL, NULL, 316, NULL, NULL, 16362),
(17733, '1imjA00', NULL, NULL, 210, NULL, NULL, 16362),
(17734, '5efzC00', NULL, NULL, 340, NULL, NULL, 16362),
(17735, '2k2qB00', NULL, NULL, 242, NULL, NULL, 16362),
(17736, '3fcyA00', NULL, NULL, 317, NULL, NULL, 16362),
(17737, '6eqeA00', NULL, NULL, 270, NULL, NULL, 16362);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(17738, '6ap7A00', NULL, NULL, 269, NULL, NULL, 16362),
(17739, '5c8zA00', NULL, NULL, 267, NULL, NULL, 16362),
(17740, '2b9vA01', NULL, NULL, 315, NULL, NULL, 16362),
(17741, '3hxkA00', NULL, NULL, 276, NULL, NULL, 16362),
(17742, '4hvtA01', NULL, NULL, 322, NULL, NULL, 16362),
(17743, '2h1iA00', NULL, NULL, 226, NULL, NULL, 16362),
(17744, '4b6gA00', NULL, NULL, 283, NULL, NULL, 16362),
(17745, '3qpdA00', NULL, NULL, 187, NULL, NULL, 16362),
(17746, '5fdfB00', NULL, NULL, 337, NULL, NULL, 16362),
(17747, '5gmsA00', NULL, NULL, 297, NULL, NULL, 16362),
(17748, '3d7rA00', NULL, NULL, 298, NULL, NULL, 16362),
(17749, '1l7aA00', NULL, NULL, 318, NULL, NULL, 16362),
(17750, '3fobA00', NULL, NULL, 281, NULL, NULL, 16362),
(17751, '3azoA02', NULL, NULL, 283, NULL, NULL, 16362),
(17752, '3qvmB00', NULL, NULL, 282, NULL, NULL, 16362),
(17753, '1llfA00', NULL, NULL, 534, NULL, NULL, 16362),
(17754, '1sfrA00', NULL, NULL, 288, NULL, NULL, 16362),
(17755, '2oxeA01', NULL, NULL, 341, NULL, NULL, 16362),
(17756, '6ap8B00', NULL, NULL, 269, NULL, NULL, 16362),
(17757, '5z95A00', NULL, NULL, 276, NULL, NULL, 16362),
(17758, '3nuzE00', NULL, NULL, 398, NULL, NULL, 16362),
(17759, '4cg1A00', NULL, NULL, 263, NULL, NULL, 16362),
(17760, '1k4yA00', NULL, NULL, 534, NULL, NULL, 16362),
(17761, '4az3A00', NULL, NULL, 260, NULL, NULL, 16362),
(17762, '5fv4A00', NULL, NULL, 544, NULL, NULL, 16362),
(17763, '3vvmA01', NULL, NULL, 266, NULL, NULL, 16362),
(17764, '2ocgA00', NULL, NULL, 254, NULL, NULL, 16362),
(17765, '2zyrA01', NULL, NULL, 217, NULL, NULL, 16362),
(17766, '2qs9A00', NULL, NULL, 194, NULL, NULL, 16362),
(17767, '3p2mA00', NULL, NULL, 293, NULL, NULL, 16362),
(17768, '3styB00', NULL, NULL, 267, NULL, NULL, 16362),
(17769, '1fj2A00', NULL, NULL, 232, NULL, NULL, 16362),
(17770, '3trdA00', NULL, NULL, 208, NULL, NULL, 16362),
(17771, '3ngmA00', NULL, NULL, 319, NULL, NULL, 16362),
(17772, '3c6xA00', NULL, NULL, 257, NULL, NULL, 16362),
(17773, '2r8bA00', NULL, NULL, 209, NULL, NULL, 16362),
(17774, '4l0cA00', NULL, NULL, 255, NULL, NULL, 16362),
(17775, '5w1uA00', NULL, NULL, 540, NULL, NULL, 16362),
(17776, '2bklA01', NULL, NULL, 340, NULL, NULL, 16362),
(17777, '6aryA00', NULL, NULL, 542, NULL, NULL, 16362),
(17778, '2y6uA01', NULL, NULL, 354, NULL, NULL, 16362),
(17779, '2ecfA02', NULL, NULL, 260, NULL, NULL, 16362),
(17780, '5hq3B00', NULL, NULL, 549, NULL, NULL, 16362),
(17781, '5xeqA00', NULL, NULL, 576, NULL, NULL, 16362),
(17782, '4ccwA00', NULL, NULL, 299, NULL, NULL, 16362),
(17783, '4hxfB02', NULL, NULL, 271, NULL, NULL, 16362),
(17784, '4oseB00', NULL, NULL, 298, NULL, NULL, 16362),
(17785, '1ex9A00', NULL, NULL, 285, NULL, NULL, 16362),
(17786, '2r11D00', NULL, NULL, 288, NULL, NULL, 16362),
(17787, '3d0kB00', NULL, NULL, 304, NULL, NULL, 16362),
(17788, '4q82A00', NULL, NULL, 237, NULL, NULL, 16362),
(17789, '3jw8A00', NULL, NULL, 298, NULL, NULL, 16362),
(17790, '1qozA00', NULL, NULL, 207, NULL, NULL, 16362),
(17791, '5bovB00', NULL, NULL, 304, NULL, NULL, 16362),
(17792, '6aidA00', NULL, NULL, 261, NULL, NULL, 16362),
(17793, '4fhzA00', NULL, NULL, 220, NULL, NULL, 16362),
(17794, '1qe3A00', NULL, NULL, 489, NULL, NULL, 16362),
(17795, '1thtA00', NULL, NULL, 305, NULL, NULL, 16362),
(17796, '4m0eA00', NULL, NULL, 542, NULL, NULL, 16362),
(17797, '5egnA00', NULL, NULL, 271, NULL, NULL, 16362),
(17798, '2xe4A01', NULL, NULL, 370, NULL, NULL, 16362),
(17799, '3hlkB02', NULL, NULL, 280, NULL, NULL, 16362),
(17800, '4pw0A00', NULL, NULL, 283, NULL, NULL, 16362),
(17801, '3iiiA01', NULL, NULL, 288, NULL, NULL, 16362),
(17802, '4inzA00', NULL, NULL, 286, NULL, NULL, 16362),
(17803, '4j7aA00', NULL, NULL, 355, NULL, NULL, 16362),
(17804, '1ac5A00', NULL, NULL, 483, NULL, NULL, 16362),
(17805, '2wtmA00', NULL, NULL, 251, NULL, NULL, 16362),
(17806, '3c5vA00', NULL, NULL, 316, NULL, NULL, 16362),
(17807, '1ehyA00', NULL, NULL, 294, NULL, NULL, 16362),
(17808, '1cpyA01', NULL, NULL, 349, NULL, NULL, 16362),
(17809, '3ga7A00', NULL, NULL, 326, NULL, NULL, 16362),
(17810, '2hm7A00', NULL, NULL, 310, NULL, NULL, 16362);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(17811, '4l3wA00', NULL, NULL, 265, NULL, NULL, 16362),
(17812, '3kxpA00', NULL, NULL, 268, NULL, NULL, 16362),
(17813, '5n4bA01', NULL, NULL, 363, NULL, NULL, 16362),
(17814, '5cmlA00', NULL, NULL, 263, NULL, NULL, 16362),
(17815, '1a8qA00', NULL, NULL, 274, NULL, NULL, 16362),
(17816, '5ap9A00', NULL, NULL, 269, NULL, NULL, 16362),
(17817, '3ds8A00', NULL, NULL, 254, NULL, NULL, 16362),
(17818, '4oylA00', NULL, NULL, 194, NULL, NULL, 16362),
(17819, '6agqA00', NULL, NULL, 321, NULL, NULL, 16362),
(17820, '3fnbA02', NULL, NULL, 270, NULL, NULL, 16362),
(17821, '3hc7A01', NULL, NULL, 192, NULL, NULL, 16362),
(17822, '4fkbA00', NULL, NULL, 388, NULL, NULL, 16362),
(17823, '2q0xA01', NULL, NULL, 287, NULL, NULL, 16362),
(17824, '5yhpB00', NULL, NULL, 319, NULL, NULL, 16362),
(17825, '3wlaA00', NULL, NULL, 336, NULL, NULL, 16362),
(17826, '5t88A01', NULL, NULL, 302, NULL, NULL, 16362),
(17827, '1jmkC01', NULL, NULL, 172, NULL, NULL, 16362),
(17828, '2xt0A00', NULL, NULL, 297, NULL, NULL, 16362),
(17829, '2czqA00', NULL, NULL, 205, NULL, NULL, 16362),
(17830, '5ch8A00', NULL, NULL, 279, NULL, NULL, 16362),
(17831, '4h18A00', NULL, NULL, 342, NULL, NULL, 16362),
(17832, '4psuA00', NULL, NULL, 295, NULL, NULL, 16362),
(17833, '3lp5A00', NULL, NULL, 250, NULL, NULL, 16362),
(17834, '1jjiA00', NULL, NULL, 311, NULL, NULL, 16362),
(17835, '1lzlA00', NULL, NULL, 323, NULL, NULL, 16362),
(17836, '3dohA02', NULL, NULL, 240, NULL, NULL, 16362),
(17837, '5uy1A00', NULL, NULL, 302, NULL, NULL, 16362),
(17838, '1pjaA00', NULL, NULL, 268, NULL, NULL, 16362),
(17839, '3d59A00', NULL, NULL, 383, NULL, NULL, 16362),
(17840, '4qa9A00', NULL, NULL, 388, NULL, NULL, 16362),
(17841, '6cl4A00', NULL, NULL, 290, NULL, NULL, 16362),
(17842, '4q05A00', NULL, NULL, 327, NULL, NULL, 16362),
(17843, '5dwdB00', NULL, NULL, 240, NULL, NULL, 16362),
(17844, '4dgqA00', NULL, NULL, 280, NULL, NULL, 16362),
(17845, '3u1tB00', NULL, NULL, 309, NULL, NULL, 16362),
(17846, '1ei9A00', NULL, NULL, 279, NULL, NULL, 16362),
(17847, '4c89C00', NULL, NULL, 354, NULL, NULL, 16362),
(17848, '3qmvB00', NULL, NULL, 254, NULL, NULL, 16362),
(17849, '3i6yA00', NULL, NULL, 280, NULL, NULL, 16362),
(17850, '5ai0A03', NULL, NULL, 312, NULL, NULL, 16362),
(17851, '4j0cA00', NULL, NULL, 470, NULL, NULL, 16362),
(17852, '5ajhA00', NULL, NULL, 208, NULL, NULL, 16362),
(17853, '5d6oA00', NULL, NULL, 349, NULL, NULL, 16362),
(17854, '4wjlB02', NULL, NULL, 254, NULL, NULL, 16362),
(17855, '4opmA00', NULL, NULL, 306, NULL, NULL, 16362),
(17856, '3fakA00', NULL, NULL, 322, NULL, NULL, 16362),
(17857, '1zoiA00', NULL, NULL, 276, NULL, NULL, 16362),
(17858, '3qpaA00', NULL, NULL, 197, NULL, NULL, 16362),
(17859, '1lpbB01', NULL, NULL, 338, NULL, NULL, 16362),
(17860, '5tdxC00', NULL, NULL, 272, NULL, NULL, 16362),
(17861, '4rncA00', NULL, NULL, 289, NULL, NULL, 16362),
(17862, '4ao8A00', NULL, NULL, 243, NULL, NULL, 16362),
(17863, '5ao9A00', NULL, NULL, 286, NULL, NULL, 16362),
(17864, '4fblB00', NULL, NULL, 246, NULL, NULL, 16362),
(17865, '2yijB00', NULL, NULL, 398, NULL, NULL, 16362),
(17866, '6g1uB00', NULL, NULL, 534, NULL, NULL, 16362),
(17867, '2roqA02', NULL, NULL, 246, NULL, NULL, 16362),
(17868, '4mj3B00', NULL, NULL, 303, NULL, NULL, 16362),
(17869, '4h0cA00', NULL, NULL, 210, NULL, NULL, 16362),
(17870, '2b61A01', NULL, NULL, 253, NULL, NULL, 16362),
(17871, '5d3kA00', NULL, NULL, 269, NULL, NULL, 16362),
(17872, '4eb0A00', NULL, NULL, 258, NULL, NULL, 16362),
(17873, '3h2gA01', NULL, NULL, 289, NULL, NULL, 16362),
(17874, '1vkhA00', NULL, NULL, 273, NULL, NULL, 16362),
(17875, '4n5hX00', NULL, NULL, 317, NULL, NULL, 16362),
(17876, '1gplA01', NULL, NULL, 321, NULL, NULL, 16362),
(17877, '2rauA00', NULL, NULL, 354, NULL, NULL, 16362),
(17878, '1ethA01', NULL, NULL, 338, NULL, NULL, 16362),
(17879, '1b6gA00', NULL, NULL, 310, NULL, NULL, 16362),
(17880, '1zi8A00', NULL, NULL, 236, NULL, NULL, 16362),
(17881, '5w8oA00', NULL, NULL, 363, NULL, NULL, 16362),
(17882, '1cvlA00', NULL, NULL, 319, NULL, NULL, 16362),
(17883, '3wwpA00', NULL, NULL, 266, NULL, NULL, 16362);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(17884, '4w9rB01', NULL, NULL, 269, NULL, NULL, 16362),
(17885, '1iupA00', NULL, NULL, 282, NULL, NULL, 16362),
(17886, '4pf1A01', NULL, NULL, 270, NULL, NULL, 16362),
(17887, '1qfmA01', NULL, NULL, 352, NULL, NULL, 16362),
(17888, '4q3oA00', NULL, NULL, 318, NULL, NULL, 16362),
(17889, '1w52X01', NULL, NULL, 339, NULL, NULL, 16362),
(17890, '5xksF00', NULL, NULL, 256, NULL, NULL, 16362),
(17891, '5cxxB00', NULL, NULL, 275, NULL, NULL, 16362),
(17892, '5jd4A00', NULL, NULL, 317, NULL, NULL, 16362),
(17893, '1whtA00', NULL, NULL, 256, NULL, NULL, 16362),
(17894, '4i4cB00', NULL, NULL, 398, NULL, NULL, 16362),
(17895, '3o4hA02', NULL, NULL, 261, NULL, NULL, 16362),
(17896, '2hihB00', NULL, NULL, 390, NULL, NULL, 16362),
(17897, '1gz7A00', NULL, NULL, 534, NULL, NULL, 16362),
(17898, '5w8pB00', NULL, NULL, 370, NULL, NULL, 16362),
(17899, '3fcxB00', NULL, NULL, 282, NULL, NULL, 16362),
(17900, '3dcnA00', NULL, NULL, 201, NULL, NULL, 16362),
(17901, '5ah0A00', NULL, NULL, 387, NULL, NULL, 16362),
(17902, '3i2kA01', NULL, NULL, 253, NULL, NULL, 16362),
(17903, '3b5eB00', NULL, NULL, 223, NULL, NULL, 16362),
(17904, '3k2iA02', NULL, NULL, 291, NULL, NULL, 16362),
(17905, '1thgA00', NULL, NULL, 544, NULL, NULL, 16362),
(17906, '3hssA00', NULL, NULL, 275, NULL, NULL, 16362),
(17907, '1qgeD00', NULL, NULL, 222, NULL, NULL, 16362),
(17908, '3og9A00', NULL, NULL, 209, NULL, NULL, 16362),
(17909, '2hdwA01', NULL, NULL, 230, NULL, NULL, 16362),
(17910, '1k8qA00', NULL, NULL, 377, NULL, NULL, 16362),
(17911, '2y0nC00', NULL, NULL, 211, NULL, NULL, 16363),
(17912, '2f5jB00', NULL, NULL, 181, NULL, NULL, 16363),
(17913, '3hr4C01', NULL, NULL, 39, NULL, NULL, 16364),
(17914, '4n9jA02', NULL, NULL, 108, NULL, NULL, 16365),
(17915, '4g7nA02', NULL, NULL, 103, NULL, NULL, 16365),
(17916, '4nkbB02', NULL, NULL, 100, NULL, NULL, 16365),
(17917, '3ci0J02', NULL, NULL, 50, NULL, NULL, 16366),
(17918, '3oeiE02', NULL, NULL, 37, NULL, NULL, 16367),
(17919, '2a6qA02', NULL, NULL, 34, NULL, NULL, 16367),
(17920, '4ijfA01', NULL, NULL, 76, NULL, NULL, 16368),
(17921, '6dkuA01', NULL, NULL, 76, NULL, NULL, 16368),
(17922, '4gh9A01', NULL, NULL, 70, NULL, NULL, 16368),
(17923, '3fkeA01', NULL, NULL, 77, NULL, NULL, 16368),
(17924, '3l2aA01', NULL, NULL, 77, NULL, NULL, 16368),
(17925, '5cn2A00', NULL, NULL, 125, NULL, NULL, 16369),
(17926, '1p4uA00', NULL, NULL, 153, NULL, NULL, 16369),
(17927, '2a7bA00', NULL, NULL, 120, NULL, NULL, 16369),
(17928, '3mnmA00', NULL, NULL, 123, NULL, NULL, 16369),
(17929, '3zhfA00', NULL, NULL, 124, NULL, NULL, 16369),
(17930, '1kyfA01', NULL, NULL, 134, NULL, NULL, 16369),
(17931, '3zy7A00', NULL, NULL, 122, NULL, NULL, 16369),
(17932, '2dwyB00', NULL, NULL, 133, NULL, NULL, 16369),
(17933, '5ls9B00', NULL, NULL, 173, NULL, NULL, 16370),
(17934, '2yjkC00', NULL, NULL, 161, NULL, NULL, 16370),
(17935, '1rcdA00', NULL, NULL, 173, NULL, NULL, 16370),
(17936, '3oghB00', NULL, NULL, 171, NULL, NULL, 16370),
(17937, '5ux1D00', NULL, NULL, 197, NULL, NULL, 16370),
(17938, '3kxuA00', NULL, NULL, 157, NULL, NULL, 16370),
(17939, '3qz3A00', NULL, NULL, 184, NULL, NULL, 16370),
(17940, '1r03A00', NULL, NULL, 182, NULL, NULL, 16370),
(17941, '2gyqA00', NULL, NULL, 173, NULL, NULL, 16370),
(17942, '1lb3A00', NULL, NULL, 182, NULL, NULL, 16370),
(17943, '5lbhA00', NULL, NULL, 145, NULL, NULL, 16370),
(17944, '1ji5A00', NULL, NULL, 142, NULL, NULL, 16370),
(17945, '3fseB02', NULL, NULL, 144, NULL, NULL, 16370),
(17946, '4cvrA00', NULL, NULL, 159, NULL, NULL, 16370),
(17947, '1j30A00', NULL, NULL, 144, NULL, NULL, 16370),
(17948, '2rbdA01', NULL, NULL, 157, NULL, NULL, 16370),
(17949, '2c2uA00', NULL, NULL, 178, NULL, NULL, 16370),
(17950, '1s3qB00', NULL, NULL, 173, NULL, NULL, 16370),
(17951, '1s3qF00', NULL, NULL, 173, NULL, NULL, 16370),
(17952, '4mudC00', NULL, NULL, 235, NULL, NULL, 16370),
(17953, '1sq3J00', NULL, NULL, 173, NULL, NULL, 16370),
(17954, '1s3qJ00', NULL, NULL, 173, NULL, NULL, 16370),
(17955, '2fkzA00', NULL, NULL, 155, NULL, NULL, 16370),
(17956, '1sq3F00', NULL, NULL, 173, NULL, NULL, 16370);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(17957, '1jgcA00', NULL, NULL, 161, NULL, NULL, 16370),
(17958, '3kx9A00', NULL, NULL, 173, NULL, NULL, 16370),
(17959, '1sq3A00', NULL, NULL, 173, NULL, NULL, 16370),
(17960, '2bk6C00', NULL, NULL, 156, NULL, NULL, 16370),
(17961, '6nlfA00', NULL, NULL, 158, NULL, NULL, 16370),
(17962, '4eveA00', NULL, NULL, 144, NULL, NULL, 16370),
(17963, '5u1aL00', NULL, NULL, 182, NULL, NULL, 16370),
(17964, '4a25B01', NULL, NULL, 161, NULL, NULL, 16370),
(17965, '3hiuC00', NULL, NULL, 166, NULL, NULL, 16370),
(17966, '5j93A00', NULL, NULL, 176, NULL, NULL, 16370),
(17967, '5zurB00', NULL, NULL, 158, NULL, NULL, 16370),
(17968, '2d5kB00', NULL, NULL, 156, NULL, NULL, 16370),
(17969, '2wluA00', NULL, NULL, 175, NULL, NULL, 16370),
(17970, '3wnwA00', NULL, NULL, 173, NULL, NULL, 16370),
(17971, '3q4oA00', NULL, NULL, 174, NULL, NULL, 16370),
(17972, '5uwzA01', NULL, NULL, 229, NULL, NULL, 16370),
(17973, '3vnxA00', NULL, NULL, 204, NULL, NULL, 16370),
(17974, '4z5sA01', NULL, NULL, 218, NULL, NULL, 16370),
(17975, '1s3qC00', NULL, NULL, 173, NULL, NULL, 16370),
(17976, '3uoiA00', NULL, NULL, 161, NULL, NULL, 16370),
(17977, '2jd6000', NULL, NULL, 174, NULL, NULL, 16370),
(17978, '3iq1B00', NULL, NULL, 159, NULL, NULL, 16370),
(17979, '3ge4A00', NULL, NULL, 173, NULL, NULL, 16370),
(17980, '1s3qG00', NULL, NULL, 173, NULL, NULL, 16370),
(17981, '4eruA00', NULL, NULL, 170, NULL, NULL, 16370),
(17982, '1sq3I00', NULL, NULL, 173, NULL, NULL, 16370),
(17983, '1s3qK00', NULL, NULL, 173, NULL, NULL, 16370),
(17984, '3gvyB00', NULL, NULL, 161, NULL, NULL, 16370),
(17985, '1sq3E00', NULL, NULL, 173, NULL, NULL, 16370),
(17986, '1zujA00', NULL, NULL, 179, NULL, NULL, 16370),
(17987, '2c2jA00', NULL, NULL, 170, NULL, NULL, 16370),
(17988, '2cf7A00', NULL, NULL, 165, NULL, NULL, 16370),
(17989, '3a9qE00', NULL, NULL, 183, NULL, NULL, 16370),
(17990, '3bt5A00', NULL, NULL, 159, NULL, NULL, 16370),
(17991, '1krqA00', NULL, NULL, 167, NULL, NULL, 16370),
(17992, '5k52A01', NULL, NULL, 220, NULL, NULL, 16370),
(17993, '4cmyA00', NULL, NULL, 163, NULL, NULL, 16370),
(17994, '1nfvA00', NULL, NULL, 179, NULL, NULL, 16370),
(17995, '4am5A00', NULL, NULL, 159, NULL, NULL, 16370),
(17996, '3hiuD00', NULL, NULL, 166, NULL, NULL, 16370),
(17997, '2z6mA00', NULL, NULL, 176, NULL, NULL, 16370),
(17998, '3qhbA00', NULL, NULL, 179, NULL, NULL, 16370),
(17999, '4rc8A01', NULL, NULL, 218, NULL, NULL, 16370),
(18000, '5hjfA00', NULL, NULL, 185, NULL, NULL, 16370),
(18001, '2pybA00', NULL, NULL, 151, NULL, NULL, 16370),
(18002, '5gouA00', NULL, NULL, 173, NULL, NULL, 16370),
(18003, '3pvtB00', NULL, NULL, 259, NULL, NULL, 16370),
(18004, '3ez0C00', NULL, NULL, 225, NULL, NULL, 16370),
(18005, '6b0dA00', NULL, NULL, 166, NULL, NULL, 16370),
(18006, '1jigA00', NULL, NULL, 146, NULL, NULL, 16370),
(18007, '4m32A01', NULL, NULL, 156, NULL, NULL, 16370),
(18008, '2qqyA00', NULL, NULL, 149, NULL, NULL, 16370),
(18009, '3unoE00', NULL, NULL, 189, NULL, NULL, 16370),
(18010, '2yw6B00', NULL, NULL, 160, NULL, NULL, 16370),
(18011, '4r42A01', NULL, NULL, 187, NULL, NULL, 16370),
(18012, '4di0B00', NULL, NULL, 144, NULL, NULL, 16370),
(18013, '5uxiA01', NULL, NULL, 220, NULL, NULL, 16370),
(18014, '2fzfA01', NULL, NULL, 150, NULL, NULL, 16370),
(18015, '1s3qD00', NULL, NULL, 173, NULL, NULL, 16370),
(18016, '1sq3L00', NULL, NULL, 173, NULL, NULL, 16370),
(18017, '1s3qH00', NULL, NULL, 173, NULL, NULL, 16370),
(18018, '4dyxA00', NULL, NULL, 172, NULL, NULL, 16370),
(18019, '1sq3H00', NULL, NULL, 173, NULL, NULL, 16370),
(18020, '1s3qL00', NULL, NULL, 173, NULL, NULL, 16370),
(18021, '1sq3D00', NULL, NULL, 173, NULL, NULL, 16370),
(18022, '1sq3C00', NULL, NULL, 173, NULL, NULL, 16370),
(18023, '3bknA00', NULL, NULL, 161, NULL, NULL, 16370),
(18024, '1yuzB01', NULL, NULL, 138, NULL, NULL, 16370),
(18025, '3kwoA00', NULL, NULL, 152, NULL, NULL, 16370),
(18026, '4cy9A00', NULL, NULL, 168, NULL, NULL, 16370),
(18027, '6b8fA00', NULL, NULL, 182, NULL, NULL, 16370),
(18028, '4y08A00', NULL, NULL, 183, NULL, NULL, 16370),
(18029, '2vzbB00', NULL, NULL, 170, NULL, NULL, 16370);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(18030, '3ezuA01', NULL, NULL, 183, NULL, NULL, 16370),
(18031, '1bg7A00', NULL, NULL, 176, NULL, NULL, 16370),
(18032, '2qf9B01', NULL, NULL, 169, NULL, NULL, 16370),
(18033, '3hiuA00', NULL, NULL, 166, NULL, NULL, 16370),
(18034, '4dyuH00', NULL, NULL, 170, NULL, NULL, 16370),
(18035, '1zs3A00', NULL, NULL, 182, NULL, NULL, 16370),
(18036, '4iwkA00', NULL, NULL, 168, NULL, NULL, 16370),
(18037, '3hl1B01', NULL, NULL, 252, NULL, NULL, 16370),
(18038, '3pvtA00', NULL, NULL, 311, NULL, NULL, 16370),
(18039, '2wtlA00', NULL, NULL, 173, NULL, NULL, 16370),
(18040, '5xx9A00', NULL, NULL, 167, NULL, NULL, 16370),
(18041, '5wpnA00', NULL, NULL, 171, NULL, NULL, 16370),
(18042, '1o9rA00', NULL, NULL, 162, NULL, NULL, 16370),
(18043, '2za8A00', NULL, NULL, 167, NULL, NULL, 16370),
(18044, '3fvbA00', NULL, NULL, 163, NULL, NULL, 16370),
(18045, '6a4uA00', NULL, NULL, 169, NULL, NULL, 16370),
(18046, '2ib0A01', NULL, NULL, 135, NULL, NULL, 16370),
(18047, '4cybD00', NULL, NULL, 173, NULL, NULL, 16370),
(18048, '1z6oM00', NULL, NULL, 191, NULL, NULL, 16370),
(18049, '4etrB00', NULL, NULL, 153, NULL, NULL, 16370),
(18050, '2oh3A01', NULL, NULL, 150, NULL, NULL, 16370),
(18051, '2itbB00', NULL, NULL, 206, NULL, NULL, 16370),
(18052, '3ak8F00', NULL, NULL, 167, NULL, NULL, 16370),
(18053, '1n1qA00', NULL, NULL, 149, NULL, NULL, 16370),
(18054, '2gs4A00', NULL, NULL, 166, NULL, NULL, 16370),
(18055, '5k53A01', NULL, NULL, 217, NULL, NULL, 16370),
(18056, '2c41C01', NULL, NULL, 150, NULL, NULL, 16370),
(18057, '1s3qA00', NULL, NULL, 173, NULL, NULL, 16370),
(18058, '1lkoA01', NULL, NULL, 146, NULL, NULL, 16370),
(18059, '1s3qE00', NULL, NULL, 173, NULL, NULL, 16370),
(18060, '1vjxA00', NULL, NULL, 157, NULL, NULL, 16370),
(18061, '5ffdA00', NULL, NULL, 154, NULL, NULL, 16370),
(18062, '1tjoB00', NULL, NULL, 182, NULL, NULL, 16370),
(18063, '1sq3K00', NULL, NULL, 173, NULL, NULL, 16370),
(18064, '2vxxA00', NULL, NULL, 176, NULL, NULL, 16370),
(18065, '1s3qI00', NULL, NULL, 173, NULL, NULL, 16370),
(18066, '2v8tA01', NULL, NULL, 301, NULL, NULL, 16370),
(18067, '1sq3G00', NULL, NULL, 173, NULL, NULL, 16370),
(18068, '2oc5A01', NULL, NULL, 217, NULL, NULL, 16370),
(18069, '1sq3B00', NULL, NULL, 173, NULL, NULL, 16370),
(18070, '3bvfA00', NULL, NULL, 181, NULL, NULL, 16370),
(18071, '5jklA00', NULL, NULL, 183, NULL, NULL, 16370),
(18072, '5ux2B01', NULL, NULL, 227, NULL, NULL, 16370),
(18073, '3pwfA01', NULL, NULL, 131, NULL, NULL, 16370),
(18074, '1vlgA00', NULL, NULL, 176, NULL, NULL, 16370),
(18075, '5gouG00', NULL, NULL, 137, NULL, NULL, 16370),
(18076, '3r2kA00', NULL, NULL, 154, NULL, NULL, 16370),
(18077, '3hiuB00', NULL, NULL, 166, NULL, NULL, 16370),
(18078, '1z6oA00', NULL, NULL, 212, NULL, NULL, 16370),
(18079, '1jkvA01', NULL, NULL, 197, NULL, NULL, 16370),
(18080, '2qf9A01', NULL, NULL, 169, NULL, NULL, 16370),
(18081, '4zttE00', NULL, NULL, 166, NULL, NULL, 16370),
(18082, '6ippA00', NULL, NULL, 176, NULL, NULL, 16370),
(18083, '2v2pA00', NULL, NULL, 174, NULL, NULL, 16370),
(18084, '2fjcB00', NULL, NULL, 156, NULL, NULL, 16370),
(18085, '2chpA00', NULL, NULL, 153, NULL, NULL, 16370),
(18086, '2clbA01', NULL, NULL, 159, NULL, NULL, 16370),
(18087, '1dj7A00', NULL, NULL, 117, NULL, NULL, 16371),
(18088, '3mk7C01', NULL, NULL, 94, NULL, NULL, 16372),
(18089, '4m8rA01', NULL, NULL, 112, NULL, NULL, 16373),
(18090, '1v5vA02', NULL, NULL, 92, NULL, NULL, 16374),
(18091, '1wsrA02', NULL, NULL, 91, NULL, NULL, 16374),
(18092, '1pj5A04', NULL, NULL, 120, NULL, NULL, 16374),
(18093, '1vlyA02', NULL, NULL, 87, NULL, NULL, 16374),
(18094, '5l46A04', NULL, NULL, 117, NULL, NULL, 16374),
(18095, '1vloA02', NULL, NULL, 88, NULL, NULL, 16374),
(18096, '1wosA02', NULL, NULL, 87, NULL, NULL, 16374),
(18097, '3girA02', NULL, NULL, 86, NULL, NULL, 16374),
(18098, '1yx2A02', NULL, NULL, 86, NULL, NULL, 16374),
(18099, '4pabA04', NULL, NULL, 120, NULL, NULL, 16374),
(18100, '6fd8A01', NULL, NULL, 88, NULL, NULL, 16375),
(18101, '6fd8A02', NULL, NULL, 90, NULL, NULL, 16375),
(18102, '1h4aX02', NULL, NULL, 90, NULL, NULL, 16375);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(18103, '1h4aX01', NULL, NULL, 83, NULL, NULL, 16375),
(18104, '1bd7B02', NULL, NULL, 84, NULL, NULL, 16375),
(18105, '5vh1A01', NULL, NULL, 88, NULL, NULL, 16375),
(18106, '5vh1A02', NULL, NULL, 90, NULL, NULL, 16375),
(18107, '3qk3B01', NULL, NULL, 95, NULL, NULL, 16375),
(18108, '2kp5A00', NULL, NULL, 92, NULL, NULL, 16375),
(18109, '3qk3B02', NULL, NULL, 89, NULL, NULL, 16375),
(18110, '1m8uA01', NULL, NULL, 83, NULL, NULL, 16375),
(18111, '1m8uA02', NULL, NULL, 90, NULL, NULL, 16375),
(18112, '1a45A02', NULL, NULL, 90, NULL, NULL, 16375),
(18113, '2m3cA01', NULL, NULL, 85, NULL, NULL, 16375),
(18114, '1zwmA01', NULL, NULL, 87, NULL, NULL, 16375),
(18115, '1zwmA02', NULL, NULL, 90, NULL, NULL, 16375),
(18116, '3cw3A00', NULL, NULL, 96, NULL, NULL, 16375),
(18117, '2bb2A02', NULL, NULL, 92, NULL, NULL, 16375),
(18118, '2m3cA02', NULL, NULL, 89, NULL, NULL, 16375),
(18119, '2jdgA01', NULL, NULL, 84, NULL, NULL, 16375),
(18120, '3hz2A00', NULL, NULL, 84, NULL, NULL, 16375),
(18121, '1elpA01', NULL, NULL, 83, NULL, NULL, 16375),
(18122, '1elpA02', NULL, NULL, 90, NULL, NULL, 16375),
(18123, '2jdfA02', NULL, NULL, 99, NULL, NULL, 16375),
(18124, '2jdfA01', NULL, NULL, 83, NULL, NULL, 16375),
(18125, '1npsA00', NULL, NULL, 88, NULL, NULL, 16375),
(18126, '4iauA01', NULL, NULL, 79, NULL, NULL, 16375),
(18127, '4iauA02', NULL, NULL, 84, NULL, NULL, 16375),
(18128, '1okiA02', NULL, NULL, 107, NULL, NULL, 16375),
(18129, '1okiA01', NULL, NULL, 103, NULL, NULL, 16375),
(18130, '1zirA02', NULL, NULL, 90, NULL, NULL, 16375),
(18131, '3so1E00', NULL, NULL, 97, NULL, NULL, 16375),
(18132, '1zirA01', NULL, NULL, 83, NULL, NULL, 16375),
(18133, '4el6A00', NULL, NULL, 106, NULL, NULL, 16375),
(18134, '1a7hA00', NULL, NULL, 86, NULL, NULL, 16375),
(18135, '3lwkA02', NULL, NULL, 95, NULL, NULL, 16375),
(18136, '2v2uA01', NULL, NULL, 83, NULL, NULL, 16375),
(18137, '3lwkA01', NULL, NULL, 96, NULL, NULL, 16375),
(18138, '2v2uA02', NULL, NULL, 90, NULL, NULL, 16375),
(18139, '1ammA02', NULL, NULL, 91, NULL, NULL, 16375),
(18140, '1ammA01', NULL, NULL, 83, NULL, NULL, 16375),
(18141, '3hzbC00', NULL, NULL, 90, NULL, NULL, 16375),
(18142, '2bv2A00', NULL, NULL, 83, NULL, NULL, 16375),
(18143, '1ytqA02', NULL, NULL, 92, NULL, NULL, 16375),
(18144, '1ytqA01', NULL, NULL, 86, NULL, NULL, 16375),
(18145, '4psrA03', NULL, NULL, 89, NULL, NULL, 16375),
(18146, '1yhpA01', NULL, NULL, 92, NULL, NULL, 16375),
(18147, '2dadA00', NULL, NULL, 93, NULL, NULL, 16375),
(18148, '1prrA02', NULL, NULL, 85, NULL, NULL, 16375),
(18149, '2nbrA01', NULL, NULL, 83, NULL, NULL, 16375),
(18150, '2nbrA02', NULL, NULL, 90, NULL, NULL, 16375),
(18151, '1hdfA00', NULL, NULL, 102, NULL, NULL, 16375),
(18152, '3enuA00', NULL, NULL, 114, NULL, NULL, 16375),
(18153, '4fd9A00', NULL, NULL, 92, NULL, NULL, 16375),
(18154, '5cyuA01', NULL, NULL, 76, NULL, NULL, 16376),
(18155, '3x3mA01', NULL, NULL, 97, NULL, NULL, 16376),
(18156, '4kk7A01', NULL, NULL, 81, NULL, NULL, 16376),
(18157, '3x3nA01', NULL, NULL, 78, NULL, NULL, 16376),
(18158, '1s7bA00', NULL, NULL, 110, NULL, NULL, 16377),
(18159, '1aapA00', NULL, NULL, 58, NULL, NULL, 16378),
(18160, '5yw1I00', NULL, NULL, 55, NULL, NULL, 16378),
(18161, '1ld6A00', NULL, NULL, 58, NULL, NULL, 16378),
(18162, '3aubA00', NULL, NULL, 58, NULL, NULL, 16378),
(18163, '1irhA00', NULL, NULL, 61, NULL, NULL, 16378),
(18164, '1adzA00', NULL, NULL, 71, NULL, NULL, 16378),
(18165, '2fi3I00', NULL, NULL, 58, NULL, NULL, 16378),
(18166, '6a5iA00', NULL, NULL, 68, NULL, NULL, 16378),
(18167, '1demA00', NULL, NULL, 60, NULL, NULL, 16378),
(18168, '6harE00', NULL, NULL, 80, NULL, NULL, 16378),
(18169, '6bx8B00', NULL, NULL, 80, NULL, NULL, 16378),
(18170, '3m7qB00', NULL, NULL, 61, NULL, NULL, 16378),
(18171, '2zjxB00', NULL, NULL, 58, NULL, NULL, 16378),
(18172, '5m4vA00', NULL, NULL, 57, NULL, NULL, 16378),
(18173, '5nmvK00', NULL, NULL, 65, NULL, NULL, 16378),
(18174, '5nx1D00', NULL, NULL, 56, NULL, NULL, 16378),
(18175, '1zr0B00', NULL, NULL, 63, NULL, NULL, 16378),
(18176, '1bunB00', NULL, NULL, 61, NULL, NULL, 16378);
INSERT INTO "PUBLIC"."MODEL" VALUES
(18177, '1ylcB00', NULL, NULL, 56, NULL, NULL, 16378),
(18178, '4u32X00', NULL, NULL, 55, NULL, NULL, 16378),
(18179, '4isoB00', NULL, NULL, 60, NULL, NULL, 16378),
(18180, '4u30W00', NULL, NULL, 59, NULL, NULL, 16378),
(18181, '1bikA00', NULL, NULL, 123, NULL, NULL, 16378),
(18182, '1g6xA00', NULL, NULL, 58, NULL, NULL, 16378),
(18183, '5ptiA00', NULL, NULL, 58, NULL, NULL, 16378),
(18184, '6gfiC00', NULL, NULL, 81, NULL, NULL, 16378),
(18185, '2jotA00', NULL, NULL, 55, NULL, NULL, 16378),
(18186, '1tocR02', NULL, NULL, 58, NULL, NULL, 16378),
(18187, '1tocR01', NULL, NULL, 52, NULL, NULL, 16378),
(18188, '1p2jI00', NULL, NULL, 58, NULL, NULL, 16378),
(18189, '2uuyB01', NULL, NULL, 36, NULL, NULL, 16378),
(18190, '3fp7J00', NULL, NULL, 43, NULL, NULL, 16378),
(18191, '5yv7A00', NULL, NULL, 60, NULL, NULL, 16378),
(18192, '1y62A00', NULL, NULL, 60, NULL, NULL, 16378),
(18193, '1yc0I00', NULL, NULL, 75, NULL, NULL, 16378),
(18194, '1fakI00', NULL, NULL, 55, NULL, NULL, 16378),
(18195, '3audC00', NULL, NULL, 65, NULL, NULL, 16378),
(18196, '3bybA00', NULL, NULL, 59, NULL, NULL, 16378),
(18197, '1aalB00', NULL, NULL, 58, NULL, NULL, 16378),
(18198, '3wnyB00', NULL, NULL, 63, NULL, NULL, 16378),
(18199, '2w8xB00', NULL, NULL, 72, NULL, NULL, 16378),
(18200, '1kthA00', NULL, NULL, 58, NULL, NULL, 16378),
(18201, '1jc6A00', NULL, NULL, 65, NULL, NULL, 16378),
(18202, '5h7vA04', NULL, NULL, 52, NULL, NULL, 16378),
(18203, '1yldB00', NULL, NULL, 56, NULL, NULL, 16378),
(18204, '1d0dA00', NULL, NULL, 60, NULL, NULL, 16378),
(18205, '5jb5A00', NULL, NULL, 58, NULL, NULL, 16378),
(18206, '3p95E00', NULL, NULL, 58, NULL, NULL, 16378),
(18207, '1dtxA00', NULL, NULL, 59, NULL, NULL, 16378),
(18208, '2j6dA00', NULL, NULL, 65, NULL, NULL, 16378),
(18209, '2ddiA00', NULL, NULL, 70, NULL, NULL, 16378),
(18210, '3l3tE00', NULL, NULL, 57, NULL, NULL, 16378),
(18211, '3augC00', NULL, NULL, 65, NULL, NULL, 16378),
(18212, '3aucA00', NULL, NULL, 65, NULL, NULL, 16378),
(18213, '1brbI00', NULL, NULL, 58, NULL, NULL, 16378),
(18214, '2odyE01', NULL, NULL, 66, NULL, NULL, 16378),
(18215, '2kcrA00', NULL, NULL, 61, NULL, NULL, 16378),
(18216, '2odyE02', NULL, NULL, 61, NULL, NULL, 16378),
(18217, '4dtgK00', NULL, NULL, 66, NULL, NULL, 16378),
(18218, '2m99A00', NULL, NULL, 57, NULL, NULL, 16378),
(18219, '2m01A00', NULL, NULL, 59, NULL, NULL, 16378),
(18220, '4ntwB00', NULL, NULL, 60, NULL, NULL, 16378),
(18221, '1co7I00', NULL, NULL, 57, NULL, NULL, 16378),
(18222, '4bd9B03', NULL, NULL, 55, NULL, NULL, 16378),
(18223, '4bd9B02', NULL, NULL, 56, NULL, NULL, 16378),
(18224, '4bd9B01', NULL, NULL, 54, NULL, NULL, 16378),
(18225, '1dtkA00', NULL, NULL, 57, NULL, NULL, 16378),
(18226, '2czvC01', NULL, NULL, 106, NULL, NULL, 16379),
(18227, '3wz0C00', NULL, NULL, 120, NULL, NULL, 16379),
(18228, '2av5A00', NULL, NULL, 120, NULL, NULL, 16379),
(18229, '4fibA02', NULL, NULL, 65, NULL, NULL, 16380),
(18230, '3k9tA02', NULL, NULL, 97, NULL, NULL, 16381),
(18231, '3vorA00', NULL, NULL, 182, NULL, NULL, 16382),
(18232, '1oqvA00', NULL, NULL, 171, NULL, NULL, 16382),
(18233, '1zwtA00', NULL, NULL, 158, NULL, NULL, 16382),
(18234, '3hrvB00', NULL, NULL, 170, NULL, NULL, 16382),
(18235, '3fhvA00', NULL, NULL, 156, NULL, NULL, 16382),
(18236, '4r8oB00', NULL, NULL, 104, NULL, NULL, 16383),
(18237, '4r03A00', NULL, NULL, 109, NULL, NULL, 16383),
(18238, '4r8oA00', NULL, NULL, 104, NULL, NULL, 16383),
(18239, '3mswA00', NULL, NULL, 145, NULL, NULL, 16383),
(18240, '3frrA00', NULL, NULL, 191, NULL, NULL, 16384),
(18241, '3ggyA00', NULL, NULL, 193, NULL, NULL, 16384),
(18242, '1n81A00', NULL, NULL, 186, NULL, NULL, 16385),
(18243, '3d64A01', NULL, NULL, 304, NULL, NULL, 16386),
(18244, '1li4A01', NULL, NULL, 244, NULL, NULL, 16386),
(18245, '3g1uA01', NULL, NULL, 260, NULL, NULL, 16386),
(18246, '3mtgA01', NULL, NULL, 257, NULL, NULL, 16386),
(18247, '5v96B01', NULL, NULL, 276, NULL, NULL, 16386),
(18248, '3gvpA01', NULL, NULL, 252, NULL, NULL, 16386),
(18249, '5t8kA01', NULL, NULL, 309, NULL, NULL, 16386),
(18250, '3ce6B01', NULL, NULL, 305, NULL, NULL, 16386);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(18251, '3ondA01', NULL, NULL, 299, NULL, NULL, 16386),
(18252, '5axaC01', NULL, NULL, 244, NULL, NULL, 16386),
(18253, '5m67B01', NULL, NULL, 321, NULL, NULL, 16386),
(18254, '3x2fB01', NULL, NULL, 228, NULL, NULL, 16386),
(18255, '1v8bA01', NULL, NULL, 318, NULL, NULL, 16386),
(18256, '3n58A01', NULL, NULL, 306, NULL, NULL, 16386),
(18257, '3h9uC01', NULL, NULL, 248, NULL, NULL, 16386),
(18258, '1g71A02', NULL, NULL, 108, NULL, NULL, 16387),
(18259, '1v33A02', NULL, NULL, 103, NULL, NULL, 16387),
(18260, '4pr6A00', NULL, NULL, 95, NULL, NULL, 16388),
(18261, '4uqtA00', NULL, NULL, 93, NULL, NULL, 16388),
(18262, '3ulhA00', NULL, NULL, 84, NULL, NULL, 16388),
(18263, '2aymA00', NULL, NULL, 83, NULL, NULL, 16388),
(18264, '3culA00', NULL, NULL, 98, NULL, NULL, 16388),
(18265, '2hglA01', NULL, NULL, 100, NULL, NULL, 16388),
(18266, '4wiiB01', NULL, NULL, 99, NULL, NULL, 16388),
(18267, '2fphX02', NULL, NULL, 88, NULL, NULL, 16388),
(18268, '2ghpA03', NULL, NULL, 85, NULL, NULL, 16388),
(18269, '3u1lA02', NULL, NULL, 110, NULL, NULL, 16388),
(18270, '2osrA00', NULL, NULL, 87, NULL, NULL, 16388),
(18271, '2mxyA00', NULL, NULL, 105, NULL, NULL, 16388),
(18272, '2dnpA01', NULL, NULL, 73, NULL, NULL, 16388),
(18273, '3d2wA00', NULL, NULL, 89, NULL, NULL, 16388),
(18274, '2m2bA00', NULL, NULL, 131, NULL, NULL, 16388),
(18275, '2mmyA01', NULL, NULL, 86, NULL, NULL, 16388),
(18276, '2g0cA00', NULL, NULL, 76, NULL, NULL, 16388),
(18277, '4eglA02', NULL, NULL, 63, NULL, NULL, 16388),
(18278, '2e5jA01', NULL, NULL, 88, NULL, NULL, 16388),
(18279, '5ho4A02', NULL, NULL, 81, NULL, NULL, 16388),
(18280, '5ho4A01', NULL, NULL, 85, NULL, NULL, 16388),
(18281, '2f3jA02', NULL, NULL, 103, NULL, NULL, 16388),
(18282, '1ufwA00', NULL, NULL, 95, NULL, NULL, 16388),
(18283, '1wf1A01', NULL, NULL, 90, NULL, NULL, 16388),
(18284, '2dnkA00', NULL, NULL, 105, NULL, NULL, 16388),
(18285, '2mzqA00', NULL, NULL, 101, NULL, NULL, 16388),
(18286, '2q79A00', NULL, NULL, 93, NULL, NULL, 16388),
(18287, '1n88A00', NULL, NULL, 96, NULL, NULL, 16388),
(18288, '5cyjA00', NULL, NULL, 98, NULL, NULL, 16388),
(18289, '3ue2A01', NULL, NULL, 88, NULL, NULL, 16388),
(18290, '4lmzA02', NULL, NULL, 86, NULL, NULL, 16388),
(18291, '6hmaR00', NULL, NULL, 89, NULL, NULL, 16388),
(18292, '2cpfA00', NULL, NULL, 98, NULL, NULL, 16388),
(18293, '4lmzA01', NULL, NULL, 94, NULL, NULL, 16388),
(18294, '1uw4A00', NULL, NULL, 91, NULL, NULL, 16388),
(18295, '2mjuA01', NULL, NULL, 108, NULL, NULL, 16388),
(18296, '6cmnA00', NULL, NULL, 94, NULL, NULL, 16388),
(18297, '2do0A01', NULL, NULL, 76, NULL, NULL, 16388),
(18298, '1wf0A01', NULL, NULL, 78, NULL, NULL, 16388),
(18299, '2la4A00', NULL, NULL, 101, NULL, NULL, 16388),
(18300, '2mgzA00', NULL, NULL, 94, NULL, NULL, 16388),
(18301, '1qm9A02', NULL, NULL, 89, NULL, NULL, 16388),
(18302, '4a17R00', NULL, NULL, 121, NULL, NULL, 16388),
(18303, '1qm9A01', NULL, NULL, 98, NULL, NULL, 16388),
(18304, '3jb9a02', NULL, NULL, 69, NULL, NULL, 16388),
(18305, '1x4eA00', NULL, NULL, 85, NULL, NULL, 16388),
(18306, '3culB00', NULL, NULL, 98, NULL, NULL, 16388),
(18307, '2dhxA01', NULL, NULL, 75, NULL, NULL, 16388),
(18308, '1p27B00', NULL, NULL, 106, NULL, NULL, 16388),
(18309, '2n82B00', NULL, NULL, 104, NULL, NULL, 16388),
(18310, '2x1fA00', NULL, NULL, 96, NULL, NULL, 16388),
(18311, '3lqvA01', NULL, NULL, 80, NULL, NULL, 16388),
(18312, '2cpeA01', NULL, NULL, 85, NULL, NULL, 16388),
(18313, '2dguA00', NULL, NULL, 103, NULL, NULL, 16388),
(18314, '1h2vZ00', NULL, NULL, 93, NULL, NULL, 16388),
(18315, '1sjqA00', NULL, NULL, 105, NULL, NULL, 16388),
(18316, '1b7fA01', NULL, NULL, 71, NULL, NULL, 16388),
(18317, '1b7fA02', NULL, NULL, 77, NULL, NULL, 16388),
(18318, '2n3lA00', NULL, NULL, 89, NULL, NULL, 16388),
(18319, '2ad9A00', NULL, NULL, 98, NULL, NULL, 16388),
(18320, '2cq1A00', NULL, NULL, 101, NULL, NULL, 16388),
(18321, '2dnzA01', NULL, NULL, 93, NULL, NULL, 16388),
(18322, '5o2vA00', NULL, NULL, 92, NULL, NULL, 16388),
(18323, '3feyB00', NULL, NULL, 126, NULL, NULL, 16388),
(18324, '2i38A02', NULL, NULL, 85, NULL, NULL, 16388);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(18325, '3mdfA00', NULL, NULL, 85, NULL, NULL, 16388),
(18326, '1wezA01', NULL, NULL, 82, NULL, NULL, 16388),
(18327, '1xn9A00', NULL, NULL, 101, NULL, NULL, 16388),
(18328, '2u1aA00', NULL, NULL, 88, NULL, NULL, 16388),
(18329, '1sxlA00', NULL, NULL, 97, NULL, NULL, 16388),
(18330, '4y0fA00', NULL, NULL, 103, NULL, NULL, 16388),
(18331, '2e5iA01', NULL, NULL, 95, NULL, NULL, 16388),
(18332, '3nnaA02', NULL, NULL, 86, NULL, NULL, 16388),
(18333, '2rvjA01', NULL, NULL, 98, NULL, NULL, 16388),
(18334, '3egnA02', NULL, NULL, 102, NULL, NULL, 16388),
(18335, '2fc9A00', NULL, NULL, 101, NULL, NULL, 16388),
(18336, '3cunB00', NULL, NULL, 98, NULL, NULL, 16388),
(18337, '3sdeA02', NULL, NULL, 89, NULL, NULL, 16388),
(18338, '3rw6B01', NULL, NULL, 86, NULL, NULL, 16388),
(18339, '3sdeA01', NULL, NULL, 97, NULL, NULL, 16388),
(18340, '3s6eB00', NULL, NULL, 114, NULL, NULL, 16388),
(18341, '2cqcA01', NULL, NULL, 83, NULL, NULL, 16388),
(18342, '2bopA00', NULL, NULL, 85, NULL, NULL, 16388),
(18343, '5lxrA00', NULL, NULL, 90, NULL, NULL, 16388),
(18344, '2xs2A00', NULL, NULL, 102, NULL, NULL, 16388),
(18345, '1wg1A01', NULL, NULL, 71, NULL, NULL, 16388),
(18346, '4cq1B01', NULL, NULL, 78, NULL, NULL, 16388),
(18347, '6n3dA01', NULL, NULL, 86, NULL, NULL, 16388),
(18348, '3ucgA00', NULL, NULL, 89, NULL, NULL, 16388),
(18349, '2dgwA01', NULL, NULL, 80, NULL, NULL, 16388),
(18350, '1whvA00', NULL, NULL, 100, NULL, NULL, 16388),
(18351, '1vwxX00', NULL, NULL, 119, NULL, NULL, 16388),
(18352, '2lkzA01', NULL, NULL, 85, NULL, NULL, 16388),
(18353, '1x4dA00', NULL, NULL, 102, NULL, NULL, 16388),
(18354, '5w0hA00', NULL, NULL, 84, NULL, NULL, 16388),
(18355, '5uazA00', NULL, NULL, 111, NULL, NULL, 16388),
(18356, '2e44A01', NULL, NULL, 75, NULL, NULL, 16388),
(18357, '3p3dA00', NULL, NULL, 105, NULL, NULL, 16388),
(18358, '4iufA00', NULL, NULL, 77, NULL, NULL, 16388),
(18359, '4yudA01', NULL, NULL, 89, NULL, NULL, 16388),
(18360, '2dnoA00', NULL, NULL, 102, NULL, NULL, 16388),
(18361, '2dhaA00', NULL, NULL, 123, NULL, NULL, 16388),
(18362, '2j76E00', NULL, NULL, 81, NULL, NULL, 16388),
(18363, '2ywkA01', NULL, NULL, 79, NULL, NULL, 16388),
(18364, '2vooA02', NULL, NULL, 95, NULL, NULL, 16388),
(18365, '2cjkA01', NULL, NULL, 86, NULL, NULL, 16388),
(18366, '5oomU00', NULL, NULL, 153, NULL, NULL, 16388),
(18367, '2l08A00', NULL, NULL, 97, NULL, NULL, 16388),
(18368, '2cjkA02', NULL, NULL, 81, NULL, NULL, 16388),
(18369, '4f25A00', NULL, NULL, 85, NULL, NULL, 16388),
(18370, '4f02A01', NULL, NULL, 92, NULL, NULL, 16388),
(18371, '3smzA03', NULL, NULL, 101, NULL, NULL, 16388),
(18372, '3smzA02', NULL, NULL, 71, NULL, NULL, 16388),
(18373, '3smzA01', NULL, NULL, 112, NULL, NULL, 16388),
(18374, '1vq8S00', NULL, NULL, 85, NULL, NULL, 16388),
(18375, '3egzA00', NULL, NULL, 98, NULL, NULL, 16388),
(18376, '3sdeB02', NULL, NULL, 89, NULL, NULL, 16388),
(18377, '3sdeB01', NULL, NULL, 97, NULL, NULL, 16388),
(18378, '3thtA01', NULL, NULL, 97, NULL, NULL, 16388),
(18379, '2jwnA01', NULL, NULL, 100, NULL, NULL, 16388),
(18380, '2dnnA01', NULL, NULL, 82, NULL, NULL, 16388),
(18381, '5iqqA00', NULL, NULL, 91, NULL, NULL, 16388),
(18382, '1weyA00', NULL, NULL, 104, NULL, NULL, 16388),
(18383, '2dh7A00', NULL, NULL, 105, NULL, NULL, 16388),
(18384, '1r8hA00', NULL, NULL, 87, NULL, NULL, 16388),
(18385, '1fjcA00', NULL, NULL, 96, NULL, NULL, 16388),
(18386, '3tp2B02', NULL, NULL, 112, NULL, NULL, 16388),
(18387, '1f9fD00', NULL, NULL, 83, NULL, NULL, 16388),
(18388, '2mzjA00', NULL, NULL, 82, NULL, NULL, 16388),
(18389, '4cq1A02', NULL, NULL, 80, NULL, NULL, 16388),
(18390, '2do4A01', NULL, NULL, 76, NULL, NULL, 16388),
(18391, '2dgqA00', NULL, NULL, 108, NULL, NULL, 16388),
(18392, '2mkhA02', NULL, NULL, 102, NULL, NULL, 16388),
(18393, '2krrA01', NULL, NULL, 74, NULL, NULL, 16388),
(18394, '4zkaA01', NULL, NULL, 95, NULL, NULL, 16388),
(18395, '3q2sD00', NULL, NULL, 92, NULL, NULL, 16388),
(18396, '2g1dA00', NULL, NULL, 98, NULL, NULL, 16388),
(18397, '2krrA02', NULL, NULL, 77, NULL, NULL, 16388),
(18398, '3uwtA01', NULL, NULL, 109, NULL, NULL, 16388);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(18399, '2d9pA01', NULL, NULL, 74, NULL, NULL, 16388),
(18400, '2hgmA01', NULL, NULL, 82, NULL, NULL, 16388),
(18401, '5uzgA00', NULL, NULL, 101, NULL, NULL, 16388),
(18402, '5lslA00', NULL, NULL, 102, NULL, NULL, 16388),
(18403, '2rs2A00', NULL, NULL, 84, NULL, NULL, 16388),
(18404, '5dm6Q00', NULL, NULL, 93, NULL, NULL, 16388),
(18405, '2ki2A00', NULL, NULL, 90, NULL, NULL, 16388),
(18406, '2dhgA01', NULL, NULL, 79, NULL, NULL, 16388),
(18407, '3vajB01', NULL, NULL, 118, NULL, NULL, 16388),
(18408, '2cqhA00', NULL, NULL, 93, NULL, NULL, 16388),
(18409, '3vajB02', NULL, NULL, 56, NULL, NULL, 16388),
(18410, '2krbA00', NULL, NULL, 81, NULL, NULL, 16388),
(18411, '2g4bA01', NULL, NULL, 93, NULL, NULL, 16388),
(18412, '4p6qA01', NULL, NULL, 78, NULL, NULL, 16388),
(18413, '2m70A01', NULL, NULL, 87, NULL, NULL, 16388),
(18414, '6d0yA00', NULL, NULL, 151, NULL, NULL, 16388),
(18415, '4p6qA02', NULL, NULL, 76, NULL, NULL, 16388),
(18416, '2jrsA01', NULL, NULL, 79, NULL, NULL, 16388),
(18417, '4p6qA03', NULL, NULL, 95, NULL, NULL, 16388),
(18418, '2dgvA01', NULL, NULL, 87, NULL, NULL, 16388),
(18419, '1whwA01', NULL, NULL, 94, NULL, NULL, 16388),
(18420, '2disA01', NULL, NULL, 83, NULL, NULL, 16388),
(18421, '2rraA01', NULL, NULL, 87, NULL, NULL, 16388),
(18422, '2la6A01', NULL, NULL, 86, NULL, NULL, 16388),
(18423, '3u5iX00', NULL, NULL, 120, NULL, NULL, 16388),
(18424, '2jx2A00', NULL, NULL, 87, NULL, NULL, 16388),
(18425, '6qulU00', NULL, NULL, 100, NULL, NULL, 16388),
(18426, '3sxlA01', NULL, NULL, 71, NULL, NULL, 16388),
(18427, '3sxlA02', NULL, NULL, 55, NULL, NULL, 16388),
(18428, '2mkcA00', NULL, NULL, 118, NULL, NULL, 16388),
(18429, '2mztA00', NULL, NULL, 100, NULL, NULL, 16388),
(18430, '1wg5A01', NULL, NULL, 82, NULL, NULL, 16388),
(18431, '5kw6A02', NULL, NULL, 91, NULL, NULL, 16388),
(18432, '2m4mA00', NULL, NULL, 124, NULL, NULL, 16388),
(18433, '5tkzA00', NULL, NULL, 94, NULL, NULL, 16388),
(18434, '2ytcA01', NULL, NULL, 71, NULL, NULL, 16388),
(18435, '2dnhA00', NULL, NULL, 105, NULL, NULL, 16388),
(18436, '1d8zA00', NULL, NULL, 89, NULL, NULL, 16388),
(18437, '1x5oA01', NULL, NULL, 86, NULL, NULL, 16388),
(18438, '5tbxB00', NULL, NULL, 92, NULL, NULL, 16388),
(18439, '4qptA01', NULL, NULL, 104, NULL, NULL, 16388),
(18440, '4fxwC00', NULL, NULL, 106, NULL, NULL, 16388),
(18441, '3s01A01', NULL, NULL, 101, NULL, NULL, 16388),
(18442, '2rt3A00', NULL, NULL, 97, NULL, NULL, 16388),
(18443, '2dgsA01', NULL, NULL, 89, NULL, NULL, 16388),
(18444, '2divA01', NULL, NULL, 85, NULL, NULL, 16388),
(18445, '2mpuA00', NULL, NULL, 92, NULL, NULL, 16388),
(18446, '5wu6A01', NULL, NULL, 74, NULL, NULL, 16388),
(18447, '4f02D02', NULL, NULL, 96, NULL, NULL, 16388),
(18448, '4c0oC01', NULL, NULL, 77, NULL, NULL, 16388),
(18449, '3r27A01', NULL, NULL, 73, NULL, NULL, 16388),
(18450, '3zzyB00', NULL, NULL, 106, NULL, NULL, 16388),
(18451, '1wexA01', NULL, NULL, 73, NULL, NULL, 16388),
(18452, '1u1qA01', NULL, NULL, 87, NULL, NULL, 16388),
(18453, '3s8sA00', NULL, NULL, 110, NULL, NULL, 16388),
(18454, '1oiaA00', NULL, NULL, 95, NULL, NULL, 16388),
(18455, '1x4hA00', NULL, NULL, 111, NULL, NULL, 16388),
(18456, '2mb0B01', NULL, NULL, 76, NULL, NULL, 16388),
(18457, '2fc8A00', NULL, NULL, 102, NULL, NULL, 16388),
(18458, '2ek6A00', NULL, NULL, 95, NULL, NULL, 16388),
(18459, '2hvzA01', NULL, NULL, 72, NULL, NULL, 16388),
(18460, '3rw7A01', NULL, NULL, 55, NULL, NULL, 16388),
(18461, '3s7rA00', NULL, NULL, 87, NULL, NULL, 16388),
(18462, '1wwhA01', NULL, NULL, 74, NULL, NULL, 16388),
(18463, '5uzmA01', NULL, NULL, 90, NULL, NULL, 16388),
(18464, '2lxiA00', NULL, NULL, 91, NULL, NULL, 16388),
(18465, '2khcA00', NULL, NULL, 118, NULL, NULL, 16388),
(18466, '5zswA01', NULL, NULL, 85, NULL, NULL, 16388),
(18467, '2dgxA01', NULL, NULL, 80, NULL, NULL, 16388),
(18468, '2m88A01', NULL, NULL, 86, NULL, NULL, 16388),
(18469, '1d9aA00', NULL, NULL, 85, NULL, NULL, 16388),
(18470, '4yoeA02', NULL, NULL, 83, NULL, NULL, 16388),
(18471, '4v19X00', NULL, NULL, 150, NULL, NULL, 16388),
(18472, '3ns6A00', NULL, NULL, 100, NULL, NULL, 16388);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(18473, '3nmrA02', NULL, NULL, 86, NULL, NULL, 16388),
(18474, '4qu6A01', NULL, NULL, 98, NULL, NULL, 16388),
(18475, '3nmrA01', NULL, NULL, 89, NULL, NULL, 16388),
(18476, '2n3oA00', NULL, NULL, 123, NULL, NULL, 16388),
(18477, '5w0gA00', NULL, NULL, 87, NULL, NULL, 16388),
(18478, '2cqiA00', NULL, NULL, 103, NULL, NULL, 16388),
(18479, '4lirB01', NULL, NULL, 75, NULL, NULL, 16388),
(18480, '1ywxA01', NULL, NULL, 92, NULL, NULL, 16388),
(18481, '3cunA00', NULL, NULL, 98, NULL, NULL, 16388),
(18482, '1nu4A00', NULL, NULL, 97, NULL, NULL, 16388),
(18483, '2hgnA00', NULL, NULL, 95, NULL, NULL, 16388),
(18484, '1x5tA01', NULL, NULL, 94, NULL, NULL, 16388),
(18485, '2d9oA00', NULL, NULL, 100, NULL, NULL, 16388),
(18486, '2v94B00', NULL, NULL, 107, NULL, NULL, 16388),
(18487, '3md1A00', NULL, NULL, 83, NULL, NULL, 16388),
(18488, '3p5tM00', NULL, NULL, 90, NULL, NULL, 16388),
(18489, '1oo0B00', NULL, NULL, 93, NULL, NULL, 16388),
(18490, '5szwA00', NULL, NULL, 101, NULL, NULL, 16388),
(18491, '2leaA01', NULL, NULL, 91, NULL, NULL, 16388),
(18492, '2dnrA00', NULL, NULL, 91, NULL, NULL, 16388),
(18493, '2cq4A01', NULL, NULL, 97, NULL, NULL, 16388),
(18494, '3ctrA00', NULL, NULL, 75, NULL, NULL, 16388),
(18495, '5uznA00', NULL, NULL, 92, NULL, NULL, 16388),
(18496, '1fjeB01', NULL, NULL, 81, NULL, NULL, 16388),
(18497, '1whxA00', NULL, NULL, 111, NULL, NULL, 16388),
(18498, '2cpxA01', NULL, NULL, 79, NULL, NULL, 16388),
(18499, '5d78A00', NULL, NULL, 81, NULL, NULL, 16388),
(18500, '3bs9A00', NULL, NULL, 87, NULL, NULL, 16388),
(18501, '2xnqA00', NULL, NULL, 79, NULL, NULL, 16388),
(18502, '1wg4A01', NULL, NULL, 77, NULL, NULL, 16388),
(18503, '2mzsA00', NULL, NULL, 99, NULL, NULL, 16388),
(18504, '1jmtA00', NULL, NULL, 104, NULL, NULL, 16388),
(18505, '1a7gE00', NULL, NULL, 82, NULL, NULL, 16388),
(18506, '2dnmA00', NULL, NULL, 103, NULL, NULL, 16388),
(18507, '1fnxH01', NULL, NULL, 71, NULL, NULL, 16388),
(18508, '2dh8A01', NULL, NULL, 74, NULL, NULL, 16388),
(18509, '2cqdA01', NULL, NULL, 77, NULL, NULL, 16388),
(18510, '4fxvA00', NULL, NULL, 99, NULL, NULL, 16388),
(18511, '4ed5B02', NULL, NULL, 87, NULL, NULL, 16388),
(18512, '2cphA01', NULL, NULL, 79, NULL, NULL, 16388),
(18513, '4pkdB02', NULL, NULL, 126, NULL, NULL, 16388),
(18514, '4tlqB00', NULL, NULL, 97, NULL, NULL, 16388),
(18515, '3j7yU00', NULL, NULL, 112, NULL, NULL, 16388),
(18516, '1x4gA00', NULL, NULL, 109, NULL, NULL, 16388),
(18517, '2a3jA00', NULL, NULL, 106, NULL, NULL, 16388),
(18518, '5im0A00', NULL, NULL, 87, NULL, NULL, 16388),
(18519, '2mssA00', NULL, NULL, 75, NULL, NULL, 16388),
(18520, '6j6ga00', NULL, NULL, 84, NULL, NULL, 16388),
(18521, '5ca5A01', NULL, NULL, 95, NULL, NULL, 16388),
(18522, '5ca5A02', NULL, NULL, 89, NULL, NULL, 16388),
(18523, '3md3A01', NULL, NULL, 79, NULL, NULL, 16388),
(18524, '2dnlA01', NULL, NULL, 89, NULL, NULL, 16388),
(18525, '2rugA00', NULL, NULL, 114, NULL, NULL, 16388),
(18526, '1ft8E00', NULL, NULL, 57, NULL, NULL, 16388),
(18527, '1a9nD00', NULL, NULL, 96, NULL, NULL, 16388),
(18528, '1vx7Y01', NULL, NULL, 81, NULL, NULL, 16388),
(18529, '4n0tA04', NULL, NULL, 119, NULL, NULL, 16388),
(18530, '4n0tA03', NULL, NULL, 88, NULL, NULL, 16388),
(18531, '4n0tA02', NULL, NULL, 85, NULL, NULL, 16388),
(18532, '1hl6C00', NULL, NULL, 165, NULL, NULL, 16388),
(18533, '4n0tA01', NULL, NULL, 82, NULL, NULL, 16388),
(18534, '2m9kA00', NULL, NULL, 93, NULL, NULL, 16388),
(18535, '1wf2A00', NULL, NULL, 98, NULL, NULL, 16388),
(18536, '1kohA01', NULL, NULL, 106, NULL, NULL, 16388),
(18537, '2ku7A00', NULL, NULL, 140, NULL, NULL, 16388),
(18538, '3n9uI00', NULL, NULL, 99, NULL, NULL, 16388),
(18539, '1wtbA00', NULL, NULL, 79, NULL, NULL, 16388),
(18540, '4a8xA00', NULL, NULL, 88, NULL, NULL, 16388),
(18541, '2mjnA02', NULL, NULL, 87, NULL, NULL, 16388),
(18542, '2mkjA02', NULL, NULL, 99, NULL, NULL, 16388),
(18543, '1p1tA00', NULL, NULL, 104, NULL, NULL, 16388),
(18544, '2kviA00', NULL, NULL, 96, NULL, NULL, 16388),
(18545, '2mqmA01', NULL, NULL, 107, NULL, NULL, 16388),
(18546, '3tytA02', NULL, NULL, 94, NULL, NULL, 16388);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(18547, '2dngA00', NULL, NULL, 103, NULL, NULL, 16388),
(18548, '1l3kA02', NULL, NULL, 78, NULL, NULL, 16388),
(18549, '2cpzA01', NULL, NULL, 91, NULL, NULL, 16388),
(18550, '6f4jC00', NULL, NULL, 98, NULL, NULL, 16388),
(18551, '1l3kA01', NULL, NULL, 91, NULL, NULL, 16388),
(18552, '2cpjA00', NULL, NULL, 99, NULL, NULL, 16388),
(18553, '3o58W01', NULL, NULL, 81, NULL, NULL, 16388),
(18554, '4wkrA02', NULL, NULL, 72, NULL, NULL, 16388),
(18555, '1cvjH02', NULL, NULL, 65, NULL, NULL, 16388),
(18556, '1fxlA01', NULL, NULL, 71, NULL, NULL, 16388),
(18557, '1fxlA02', NULL, NULL, 77, NULL, NULL, 16388),
(18558, '4c7qA00', NULL, NULL, 86, NULL, NULL, 16388),
(18559, '1welA00', NULL, NULL, 124, NULL, NULL, 16388),
(18560, '1whyA01', NULL, NULL, 72, NULL, NULL, 16388),
(18561, '2jvoA00', NULL, NULL, 81, NULL, NULL, 16388),
(18562, '3nncA01', NULL, NULL, 89, NULL, NULL, 16388),
(18563, '5mmjv00', NULL, NULL, 80, NULL, NULL, 16388),
(18564, '3nncA02', NULL, NULL, 86, NULL, NULL, 16388),
(18565, '2diuA01', NULL, NULL, 73, NULL, NULL, 16388),
(18566, '2dgtA01', NULL, NULL, 73, NULL, NULL, 16388),
(18567, '5kvyA01', NULL, NULL, 125, NULL, NULL, 16388),
(18568, '3to8A01', NULL, NULL, 107, NULL, NULL, 16388),
(18569, '2lxuA01', NULL, NULL, 97, NULL, NULL, 16388),
(18570, '2cpyA01', NULL, NULL, 82, NULL, NULL, 16388),
(18571, '3jb9k00', NULL, NULL, 93, NULL, NULL, 16388),
(18572, '2ek1A00', NULL, NULL, 95, NULL, NULL, 16388),
(18573, '5im0B00', NULL, NULL, 82, NULL, NULL, 16388),
(18574, '2cq0A00', NULL, NULL, 103, NULL, NULL, 16388),
(18575, '2rqcA00', NULL, NULL, 115, NULL, NULL, 16388),
(18576, '6hipA01', NULL, NULL, 85, NULL, NULL, 16388),
(18577, '1u6fA00', NULL, NULL, 139, NULL, NULL, 16388),
(18578, '4wiiA02', NULL, NULL, 89, NULL, NULL, 16388),
(18579, '2mzrA00', NULL, NULL, 95, NULL, NULL, 16388),
(18580, '1x4aA00', NULL, NULL, 109, NULL, NULL, 16388),
(18581, '1s79A00', NULL, NULL, 103, NULL, NULL, 16388),
(18582, '2e5hA01', NULL, NULL, 80, NULL, NULL, 16388),
(18583, '5ithA00', NULL, NULL, 92, NULL, NULL, 16388),
(18584, '2kh9A00', NULL, NULL, 92, NULL, NULL, 16388),
(18585, '2x1bA00', NULL, NULL, 97, NULL, NULL, 16388),
(18586, '2j8aA01', NULL, NULL, 94, NULL, NULL, 16388),
(18587, '2cpiA01', NULL, NULL, 81, NULL, NULL, 16388),
(18588, '1owxA00', NULL, NULL, 121, NULL, NULL, 16388),
(18589, '2dk2A00', NULL, NULL, 97, NULL, NULL, 16388),
(18590, '4qu7A00', NULL, NULL, 81, NULL, NULL, 16388),
(18591, '2u2fA00', NULL, NULL, 85, NULL, NULL, 16388),
(18592, '3hi9D00', NULL, NULL, 84, NULL, NULL, 16388),
(18593, '2myfA00', NULL, NULL, 89, NULL, NULL, 16388),
(18594, '1x4fA00', NULL, NULL, 112, NULL, NULL, 16388),
(18595, '4erdA00', NULL, NULL, 129, NULL, NULL, 16388),
(18596, '4zkaE00', NULL, NULL, 84, NULL, NULL, 16388),
(18597, '5x3yA00', NULL, NULL, 96, NULL, NULL, 16388),
(18598, '2wbrA00', NULL, NULL, 89, NULL, NULL, 16388),
(18599, '3v4mB00', NULL, NULL, 105, NULL, NULL, 16388),
(18600, '6ez7A00', NULL, NULL, 83, NULL, NULL, 16388),
(18601, '3mi7X00', NULL, NULL, 85, NULL, NULL, 16388),
(18602, '2fy1A01', NULL, NULL, 83, NULL, NULL, 16388),
(18603, '2dnqA01', NULL, NULL, 73, NULL, NULL, 16388),
(18604, '5gvqA01', NULL, NULL, 80, NULL, NULL, 16388),
(18605, '5xymT00', NULL, NULL, 100, NULL, NULL, 16388),
(18606, '5v7qT00', NULL, NULL, 100, NULL, NULL, 16388),
(18607, '4ch0S00', NULL, NULL, 97, NULL, NULL, 16388),
(18608, '5mmiU01', NULL, NULL, 85, NULL, NULL, 16388),
(18609, '4bs2A02', NULL, NULL, 85, NULL, NULL, 16388),
(18610, '2cpdA01', NULL, NULL, 75, NULL, NULL, 16388),
(18611, '5jf0A00', NULL, NULL, 204, NULL, NULL, 16389),
(18612, '4e9aA00', NULL, NULL, 163, NULL, NULL, 16389),
(18613, '1lmhA00', NULL, NULL, 184, NULL, NULL, 16389),
(18614, '4dr8D00', NULL, NULL, 192, NULL, NULL, 16389),
(18615, '5j46A00', NULL, NULL, 169, NULL, NULL, 16389),
(18616, '1xeoA00', NULL, NULL, 168, NULL, NULL, 16389),
(18617, '2os3A00', NULL, NULL, 205, NULL, NULL, 16389),
(18618, '3uwbA00', NULL, NULL, 154, NULL, NULL, 16389),
(18619, '1ws0A00', NULL, NULL, 156, NULL, NULL, 16389),
(18620, '1lqyA00', NULL, NULL, 184, NULL, NULL, 16389);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(18621, '1y6hA00', NULL, NULL, 177, NULL, NULL, 16389),
(18622, '2oklB00', NULL, NULL, 185, NULL, NULL, 16389),
(18623, '6cazA00', NULL, NULL, 178, NULL, NULL, 16389),
(18624, '3u04A00', NULL, NULL, 190, NULL, NULL, 16389),
(18625, '5hgwA00', NULL, NULL, 185, NULL, NULL, 16389),
(18626, '1rl4B00', NULL, NULL, 188, NULL, NULL, 16389),
(18627, '5mteA00', NULL, NULL, 137, NULL, NULL, 16389),
(18628, '1lmeA00', NULL, NULL, 157, NULL, NULL, 16389),
(18629, '1v3yA00', NULL, NULL, 192, NULL, NULL, 16389),
(18630, '5cp0A00', NULL, NULL, 171, NULL, NULL, 16389),
(18631, '3g5kA00', NULL, NULL, 183, NULL, NULL, 16389),
(18632, '2os0A00', NULL, NULL, 188, NULL, NULL, 16389),
(18633, '4wxkC00', NULL, NULL, 169, NULL, NULL, 16389),
(18634, '1n5nA00', NULL, NULL, 180, NULL, NULL, 16389),
(18635, '3l87A00', NULL, NULL, 204, NULL, NULL, 16389),
(18636, '3e3uA00', NULL, NULL, 197, NULL, NULL, 16389),
(18637, '5kobA00', NULL, NULL, 185, NULL, NULL, 16389),
(18638, '1lm4B00', NULL, NULL, 194, NULL, NULL, 16389),
(18639, '4je6B00', NULL, NULL, 197, NULL, NULL, 16389),
(18640, '3svjP00', NULL, NULL, 203, NULL, NULL, 16389),
(18641, '3g6nA00', NULL, NULL, 191, NULL, NULL, 16389),
(18642, '3fwxA00', NULL, NULL, 169, NULL, NULL, 16389),
(18643, '3pn3A00', NULL, NULL, 193, NULL, NULL, 16389),
(18644, '3cpmA00', NULL, NULL, 193, NULL, NULL, 16389),
(18645, '3qu1A00', NULL, NULL, 171, NULL, NULL, 16389),
(18646, '1zx3A01', NULL, NULL, 90, NULL, NULL, 16390),
(18647, '3dddA02', NULL, NULL, 146, NULL, NULL, 16391),
(18648, '2p62A01', NULL, NULL, 148, NULL, NULL, 16392),
(18649, '3sjrB00', NULL, NULL, 126, NULL, NULL, 16393),
(18650, '3bl4A02', NULL, NULL, 48, NULL, NULL, 16394),
(18651, '1ehsA00', NULL, NULL, 48, NULL, NULL, 16395),
(18652, '3lhoA01', NULL, NULL, 239, NULL, NULL, 16396),
(18653, '3iuzA00', NULL, NULL, 340, NULL, NULL, 16396),
(18654, '5gipA02', NULL, NULL, 127, NULL, NULL, 16397),
(18655, '3nviA01', NULL, NULL, 129, NULL, NULL, 16397),
(18656, '2ozbB01', NULL, NULL, 142, NULL, NULL, 16397),
(18657, '3id6A02', NULL, NULL, 161, NULL, NULL, 16397),
(18658, '3ep6B01', NULL, NULL, 48, NULL, NULL, 16398),
(18659, '5tvoB00', NULL, NULL, 59, NULL, NULL, 16398),
(18660, '1mhmB00', NULL, NULL, 72, NULL, NULL, 16398),
(18661, '3t15A02', NULL, NULL, 108, NULL, NULL, 16399),
(18662, '4w5wA02', NULL, NULL, 113, NULL, NULL, 16399),
(18663, '3thgA00', NULL, NULL, 107, NULL, NULL, 16399),
(18664, '1t3oA01', NULL, NULL, 68, NULL, NULL, 16400),
(18665, '4krwA00', NULL, NULL, 79, NULL, NULL, 16400),
(18666, '1y00A00', NULL, NULL, 61, NULL, NULL, 16400),
(18667, '4binA01', NULL, NULL, 131, NULL, NULL, 16401),
(18668, '3lyrA00', NULL, NULL, 243, NULL, NULL, 16402),
(18669, '4p72A06', NULL, NULL, 94, NULL, NULL, 16403),
(18670, '2rhsD06', NULL, NULL, 89, NULL, NULL, 16403),
(18671, '5mgwA02', NULL, NULL, 97, NULL, NULL, 16403),
(18672, '3pcoB06', NULL, NULL, 94, NULL, NULL, 16403),
(18673, '1b7yB06', NULL, NULL, 96, NULL, NULL, 16403),
(18674, '5z62I00', NULL, NULL, 73, NULL, NULL, 16404),
(18675, '5b1aI00', NULL, NULL, 73, NULL, NULL, 16404),
(18676, '1v8cA02', NULL, NULL, 83, NULL, NULL, 16405),
(18677, '2lnuA01', NULL, NULL, 40, NULL, NULL, 16406),
(18678, '2y3aA01', NULL, NULL, 308, NULL, NULL, 16407),
(18679, '5dxuA01', NULL, NULL, 315, NULL, NULL, 16407),
(18680, '4jpsA01', NULL, NULL, 327, NULL, NULL, 16407),
(18681, '2btzA01', NULL, NULL, 173, NULL, NULL, 16408),
(18682, '2q8gA01', NULL, NULL, 185, NULL, NULL, 16408),
(18683, '1y8oA01', NULL, NULL, 160, NULL, NULL, 16408),
(18684, '5j71A01', NULL, NULL, 169, NULL, NULL, 16408),
(18685, '4e01A01', NULL, NULL, 154, NULL, NULL, 16408),
(18686, '2e0aA01', NULL, NULL, 172, NULL, NULL, 16408),
(18687, '1x3zA03', NULL, NULL, 88, NULL, NULL, 16409),
(18688, '2p11A02', NULL, NULL, 75, NULL, NULL, 16410),
(18689, '2yqzA02', NULL, NULL, 68, NULL, NULL, 16411),
(18690, '1rgxA02', NULL, NULL, 64, NULL, NULL, 16412),
(18691, '1rh7A02', NULL, NULL, 63, NULL, NULL, 16412),
(18692, '1txuA01', NULL, NULL, 106, NULL, NULL, 16413),
(18693, '2ot3A01', NULL, NULL, 104, NULL, NULL, 16413);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(18694, '2efeA01', NULL, NULL, 81, NULL, NULL, 16413),
(18695, '2pn5A01', NULL, NULL, 99, NULL, NULL, 16414),
(18696, '3ce2A01', NULL, NULL, 157, NULL, NULL, 16415),
(18697, '2qr4A01', NULL, NULL, 156, NULL, NULL, 16415),
(18698, '2nxcA02', NULL, NULL, 41, NULL, NULL, 16416),
(18699, '2nxnA02', NULL, NULL, 38, NULL, NULL, 16416),
(18700, '4hhxA00', NULL, NULL, 120, NULL, NULL, 16417),
(18701, '2whnA00', NULL, NULL, 116, NULL, NULL, 16417),
(18702, '3c1qA00', NULL, NULL, 123, NULL, NULL, 16417),
(18703, '5nbgA00', NULL, NULL, 109, NULL, NULL, 16417),
(18704, '1i6uA01', NULL, NULL, 69, NULL, NULL, 16418),
(18705, '6faiW01', NULL, NULL, 69, NULL, NULL, 16418),
(18706, '5mmjh01', NULL, NULL, 76, NULL, NULL, 16418),
(18707, '5o5jH01', NULL, NULL, 74, NULL, NULL, 16418),
(18708, '2vqeH01', NULL, NULL, 78, NULL, NULL, 16418),
(18709, '6az1J01', NULL, NULL, 69, NULL, NULL, 16418),
(18710, '1i94H01', NULL, NULL, 78, NULL, NULL, 16418),
(18711, '5xyiW01', NULL, NULL, 69, NULL, NULL, 16418),
(18712, '1s03H01', NULL, NULL, 71, NULL, NULL, 16418),
(18713, '1seiA01', NULL, NULL, 72, NULL, NULL, 16418),
(18714, '2xzmH01', NULL, NULL, 69, NULL, NULL, 16418),
(18715, '3j7aK01', NULL, NULL, 69, NULL, NULL, 16418),
(18716, '4pdbA01', NULL, NULL, 71, NULL, NULL, 16418),
(18717, '5xxuW01', NULL, NULL, 69, NULL, NULL, 16418),
(18718, '6g5iW01', NULL, NULL, 69, NULL, NULL, 16418),
(18719, '5l7oB00', NULL, NULL, 179, NULL, NULL, 16419),
(18720, '3vboA00', NULL, NULL, 225, NULL, NULL, 16419),
(18721, '1b35C00', NULL, NULL, 282, NULL, NULL, 16419),
(18722, '1h8tC00', NULL, NULL, 238, NULL, NULL, 16419),
(18723, '3cjiA00', NULL, NULL, 263, NULL, NULL, 16419),
(18724, '1tmf100', NULL, NULL, 276, NULL, NULL, 16419),
(18725, '1x36A00', NULL, NULL, 198, NULL, NULL, 16419),
(18726, '1fmd300', NULL, NULL, 219, NULL, NULL, 16419),
(18727, '1ohfB02', NULL, NULL, 293, NULL, NULL, 16419),
(18728, '1rhi100', NULL, NULL, 288, NULL, NULL, 16419),
(18729, '5k0uC00', NULL, NULL, 265, NULL, NULL, 16419),
(18730, '4iv1C00', NULL, NULL, 221, NULL, NULL, 16419),
(18731, '6hbjC00', NULL, NULL, 239, NULL, NULL, 16419),
(18732, '1a6cA02', NULL, NULL, 165, NULL, NULL, 16419),
(18733, '4q4w100', NULL, NULL, 281, NULL, NULL, 16419),
(18734, '1a6cA01', NULL, NULL, 348, NULL, NULL, 16419),
(18735, '1r1a300', NULL, NULL, 238, NULL, NULL, 16419),
(18736, '2izwC00', NULL, NULL, 208, NULL, NULL, 16419),
(18737, '2ws9201', NULL, NULL, 195, NULL, NULL, 16419),
(18738, '6gv4C00', NULL, NULL, 256, NULL, NULL, 16419),
(18739, '2wzr300', NULL, NULL, 221, NULL, NULL, 16419),
(18740, '1d4m200', NULL, NULL, 261, NULL, NULL, 16419),
(18741, '3napC00', NULL, NULL, 285, NULL, NULL, 16419),
(18742, '6csgB00', NULL, NULL, 247, NULL, NULL, 16419),
(18743, '1oopA00', NULL, NULL, 283, NULL, NULL, 16419),
(18744, '1pov100', NULL, NULL, 235, NULL, NULL, 16419),
(18745, '4gb3200', NULL, NULL, 263, NULL, NULL, 16419),
(18746, '1m06G00', NULL, NULL, 187, NULL, NULL, 16419),
(18747, '1z7s200', NULL, NULL, 272, NULL, NULL, 16419),
(18748, '1c8nC00', NULL, NULL, 220, NULL, NULL, 16419),
(18749, '4fy1100', NULL, NULL, 221, NULL, NULL, 16419),
(18750, '5w3eA00', NULL, NULL, 289, NULL, NULL, 16419),
(18751, '5osnC00', NULL, NULL, 243, NULL, NULL, 16419),
(18752, '5c8cA00', NULL, NULL, 297, NULL, NULL, 16419),
(18753, '3vbhB00', NULL, NULL, 245, NULL, NULL, 16419),
(18754, '2bpa200', NULL, NULL, 175, NULL, NULL, 16419),
(18755, '5w3mA00', NULL, NULL, 273, NULL, NULL, 16419),
(18756, '4qpiA00', NULL, NULL, 278, NULL, NULL, 16419),
(18757, '2mev300', NULL, NULL, 231, NULL, NULL, 16419),
(18758, '1pvc200', NULL, NULL, 271, NULL, NULL, 16419),
(18759, '2df7J01', NULL, NULL, 289, NULL, NULL, 16419),
(18760, '1f8vC00', NULL, NULL, 311, NULL, NULL, 16419),
(18761, '4wm8A00', NULL, NULL, 297, NULL, NULL, 16419),
(18762, '2x5iA00', NULL, NULL, 292, NULL, NULL, 16419),
(18763, '1f2nC00', NULL, NULL, 212, NULL, NULL, 16419),
(18764, '1qqp100', NULL, NULL, 213, NULL, NULL, 16419),
(18765, '6qccB00', NULL, NULL, 182, NULL, NULL, 16419),
(18766, '1ev1300', NULL, NULL, 239, NULL, NULL, 16419);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(18767, '1hxs100', NULL, NULL, 302, NULL, NULL, 16419),
(18768, '3cjiB00', NULL, NULL, 239, NULL, NULL, 16419),
(18769, '5j98B00', NULL, NULL, 261, NULL, NULL, 16419),
(18770, '5mqcC00', NULL, NULL, 267, NULL, NULL, 16419),
(18771, '4jgyA00', NULL, NULL, 236, NULL, NULL, 16419),
(18772, '2gh8A01', NULL, NULL, 209, NULL, NULL, 16419),
(18773, '2y26A02', NULL, NULL, 162, NULL, NULL, 16419),
(18774, '4iv1B00', NULL, NULL, 218, NULL, NULL, 16419),
(18775, '5aca100', NULL, NULL, 214, NULL, NULL, 16419),
(18776, '1b35B00', NULL, NULL, 255, NULL, NULL, 16419),
(18777, '2y26A01', NULL, NULL, 342, NULL, NULL, 16419),
(18778, '1zba100', NULL, NULL, 212, NULL, NULL, 16419),
(18779, '5k0uB00', NULL, NULL, 235, NULL, NULL, 16419),
(18780, '1mqtA00', NULL, NULL, 283, NULL, NULL, 16419),
(18781, '1opoC01', NULL, NULL, 165, NULL, NULL, 16419),
(18782, '2qqpE02', NULL, NULL, 288, NULL, NULL, 16419),
(18783, '2ws9300', NULL, NULL, 226, NULL, NULL, 16419),
(18784, '1bev300', NULL, NULL, 242, NULL, NULL, 16419),
(18785, '3zxaC01', NULL, NULL, 189, NULL, NULL, 16419),
(18786, '1d4m300', NULL, NULL, 238, NULL, NULL, 16419),
(18787, '1e57B00', NULL, NULL, 188, NULL, NULL, 16419),
(18788, '1novA00', NULL, NULL, 309, NULL, NULL, 16419),
(18789, '5yhqC00', NULL, NULL, 240, NULL, NULL, 16419),
(18790, '3napB00', NULL, NULL, 255, NULL, NULL, 16419),
(18791, '1eah100', NULL, NULL, 278, NULL, NULL, 16419),
(18792, '1oopB00', NULL, NULL, 261, NULL, NULL, 16419),
(18793, '4gb3100', NULL, NULL, 281, NULL, NULL, 16419),
(18794, '1tme300', NULL, NULL, 236, NULL, NULL, 16419),
(18795, '5fmoS00', NULL, NULL, 194, NULL, NULL, 16419),
(18796, '1ihmB01', NULL, NULL, 229, NULL, NULL, 16419),
(18797, '2tbvA00', NULL, NULL, 287, NULL, NULL, 16419),
(18798, '3s6pA02', NULL, NULL, 293, NULL, NULL, 16419),
(18799, '1ddlA00', NULL, NULL, 188, NULL, NULL, 16419),
(18800, '2x5iB00', NULL, NULL, 260, NULL, NULL, 16419),
(18801, '1z7s300', NULL, NULL, 240, NULL, NULL, 16419),
(18802, '2bbvA00', NULL, NULL, 308, NULL, NULL, 16419),
(18803, '5cfcA00', NULL, NULL, 252, NULL, NULL, 16419),
(18804, '5c8cB00', NULL, NULL, 323, NULL, NULL, 16419),
(18805, '3vbhC00', NULL, NULL, 242, NULL, NULL, 16419),
(18806, '4nwvA01', NULL, NULL, 184, NULL, NULL, 16419),
(18807, '1ng0C00', NULL, NULL, 218, NULL, NULL, 16419),
(18808, '5osnB00', NULL, NULL, 244, NULL, NULL, 16419),
(18809, '1pvc300', NULL, NULL, 238, NULL, NULL, 16419),
(18810, '4wm8B00', NULL, NULL, 248, NULL, NULL, 16419),
(18811, '3hagA01', NULL, NULL, 191, NULL, NULL, 16419),
(18812, '2mev200', NULL, NULL, 256, NULL, NULL, 16419),
(18813, '3tn9100', NULL, NULL, 228, NULL, NULL, 16419),
(18814, '4qpiB00', NULL, NULL, 222, NULL, NULL, 16419),
(18815, '1aym100', NULL, NULL, 285, NULL, NULL, 16419),
(18816, '4ejrA00', NULL, NULL, 164, NULL, NULL, 16419),
(18817, '3cjiC00', NULL, NULL, 284, NULL, NULL, 16419),
(18818, '4ftbC00', NULL, NULL, 309, NULL, NULL, 16419),
(18819, '1fpn100', NULL, NULL, 289, NULL, NULL, 16419),
(18820, '1qqp200', NULL, NULL, 218, NULL, NULL, 16419),
(18821, '6qccA00', NULL, NULL, 377, NULL, NULL, 16419),
(18822, '1ev1200', NULL, NULL, 254, NULL, NULL, 16419),
(18823, '5mqcB00', NULL, NULL, 231, NULL, NULL, 16419),
(18824, '1fmd100', NULL, NULL, 208, NULL, NULL, 16419),
(18825, '5jzgA00', NULL, NULL, 226, NULL, NULL, 16419),
(18826, '6ilpC00', NULL, NULL, 238, NULL, NULL, 16419),
(18827, '1rhi300', NULL, NULL, 236, NULL, NULL, 16419),
(18828, '4iv1A00', NULL, NULL, 211, NULL, NULL, 16419),
(18829, '1zba200', NULL, NULL, 218, NULL, NULL, 16419),
(18830, '4q4w300', NULL, NULL, 240, NULL, NULL, 16419),
(18831, '5aca200', NULL, NULL, 207, NULL, NULL, 16419),
(18832, '1r1a100', NULL, NULL, 287, NULL, NULL, 16419),
(18833, '1b35A00', NULL, NULL, 260, NULL, NULL, 16419),
(18834, '1h8tA00', NULL, NULL, 292, NULL, NULL, 16419),
(18835, '1smvC00', NULL, NULL, 222, NULL, NULL, 16419),
(18836, '6aktB00', NULL, NULL, 255, NULL, NULL, 16419),
(18837, '2wzr100', NULL, NULL, 219, NULL, NULL, 16419),
(18838, '1bev200', NULL, NULL, 248, NULL, NULL, 16419),
(18839, '2fz1B00', NULL, NULL, 189, NULL, NULL, 16419);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(18840, '1tme200', NULL, NULL, 267, NULL, NULL, 16419),
(18841, '1eah200', NULL, NULL, 271, NULL, NULL, 16419),
(18842, '5yhqB00', NULL, NULL, 243, NULL, NULL, 16419),
(18843, '5mjvB00', NULL, NULL, 253, NULL, NULL, 16419),
(18844, '3napA00', NULL, NULL, 271, NULL, NULL, 16419),
(18845, '1oopC00', NULL, NULL, 238, NULL, NULL, 16419),
(18846, '3ideA01', NULL, NULL, 299, NULL, NULL, 16419),
(18847, '2x5iC00', NULL, NULL, 238, NULL, NULL, 16419),
(18848, '5cfcB00', NULL, NULL, 232, NULL, NULL, 16419),
(18849, '1hx6A02', NULL, NULL, 152, NULL, NULL, 16419),
(18850, '5osnA00', NULL, NULL, 275, NULL, NULL, 16419),
(18851, '5c8cC00', NULL, NULL, 242, NULL, NULL, 16419),
(18852, '2mev100', NULL, NULL, 277, NULL, NULL, 16419),
(18853, '1hxs200', NULL, NULL, 272, NULL, NULL, 16419),
(18854, '4wm8C00', NULL, NULL, 247, NULL, NULL, 16419),
(18855, '5w3mC00', NULL, NULL, 262, NULL, NULL, 16419),
(18856, '4rft000', NULL, NULL, 166, NULL, NULL, 16419),
(18857, '5c4wB00', NULL, NULL, 254, NULL, NULL, 16419),
(18858, '1aym200', NULL, NULL, 261, NULL, NULL, 16419),
(18859, '4qpiC00', NULL, NULL, 246, NULL, NULL, 16419),
(18860, '4llfA00', NULL, NULL, 289, NULL, NULL, 16419),
(18861, '1ev1100', NULL, NULL, 281, NULL, NULL, 16419),
(18862, '1fpn200', NULL, NULL, 261, NULL, NULL, 16419),
(18863, '1tmf200', NULL, NULL, 267, NULL, NULL, 16419),
(18864, '1qqp300', NULL, NULL, 220, NULL, NULL, 16419),
(18865, '3jb4C00', NULL, NULL, 244, NULL, NULL, 16419),
(18866, '4bcuA00', NULL, NULL, 196, NULL, NULL, 16419),
(18867, '3jb8A00', NULL, NULL, 185, NULL, NULL, 16419),
(18868, '1fmd200', NULL, NULL, 218, NULL, NULL, 16419),
(18869, '4sbvC00', NULL, NULL, 222, NULL, NULL, 16419),
(18870, '6crpA00', NULL, NULL, 247, NULL, NULL, 16419),
(18871, '3m8lA01', NULL, NULL, 201, NULL, NULL, 16419),
(18872, '2ws9100', NULL, NULL, 246, NULL, NULL, 16419),
(18873, '1pgw200', NULL, NULL, 351, NULL, NULL, 16419),
(18874, '1rhi200', NULL, NULL, 262, NULL, NULL, 16419),
(18875, '5fmoL00', NULL, NULL, 374, NULL, NULL, 16419),
(18876, '5aooC00', NULL, NULL, 223, NULL, NULL, 16419),
(18877, '2zahC01', NULL, NULL, 178, NULL, NULL, 16419),
(18878, '1r1a200', NULL, NULL, 263, NULL, NULL, 16419),
(18879, '4q4w200', NULL, NULL, 271, NULL, NULL, 16419),
(18880, '1zba300', NULL, NULL, 221, NULL, NULL, 16419),
(18881, '5aca300', NULL, NULL, 222, NULL, NULL, 16419),
(18882, '4ftsA00', NULL, NULL, 328, NULL, NULL, 16419),
(18883, '1h8tB00', NULL, NULL, 262, NULL, NULL, 16419),
(18884, '1pgl100', NULL, NULL, 185, NULL, NULL, 16419),
(18885, '1d4m100', NULL, NULL, 299, NULL, NULL, 16419),
(18886, '2wzr200', NULL, NULL, 219, NULL, NULL, 16419),
(18887, '4llfD01', NULL, NULL, 178, NULL, NULL, 16419),
(18888, '1tme100', NULL, NULL, 256, NULL, NULL, 16419),
(18889, '6gshA01', NULL, NULL, 201, NULL, NULL, 16419),
(18890, '5yhqA00', NULL, NULL, 235, NULL, NULL, 16419),
(18891, '6csgC00', NULL, NULL, 248, NULL, NULL, 16419),
(18892, '1eah300', NULL, NULL, 238, NULL, NULL, 16419),
(18893, '4gb3300', NULL, NULL, 238, NULL, NULL, 16419),
(18894, '5nej100', NULL, NULL, 211, NULL, NULL, 16419),
(18895, '5ne4100', NULL, NULL, 211, NULL, NULL, 16419),
(18896, '1z7s100', NULL, NULL, 298, NULL, NULL, 16419),
(18897, '3vbhA00', NULL, NULL, 297, NULL, NULL, 16419),
(18898, '1hxs300', NULL, NULL, 237, NULL, NULL, 16419),
(18899, '1pvc100', NULL, NULL, 279, NULL, NULL, 16419),
(18900, '5w3mB00', NULL, NULL, 236, NULL, NULL, 16419),
(18901, '1fpn300', NULL, NULL, 237, NULL, NULL, 16419),
(18902, '1gff200', NULL, NULL, 177, NULL, NULL, 16419),
(18903, '1aym300', NULL, NULL, 238, NULL, NULL, 16419),
(18904, '5cfcC00', NULL, NULL, 258, NULL, NULL, 16419),
(18905, '6akuC00', NULL, NULL, 240, NULL, NULL, 16419),
(18906, '1bev100', NULL, NULL, 281, NULL, NULL, 16419),
(18907, '3fcsB06', NULL, NULL, 86, NULL, NULL, 16420),
(18908, '1jv2B04', NULL, NULL, 88, NULL, NULL, 16420),
(18909, '3m66A00', NULL, NULL, 270, NULL, NULL, 16421),
(18910, '2proC01', NULL, NULL, 67, NULL, NULL, 16422),
(18911, '3proC01', NULL, NULL, 84, NULL, NULL, 16422),
(18912, '3proC02', NULL, NULL, 78, NULL, NULL, 16422);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(18913, '2l0fB01', NULL, NULL, 42, NULL, NULL, 16423),
(18914, '3g2bA00', NULL, NULL, 95, NULL, NULL, 16424),
(18915, '3w6wB02', NULL, NULL, 163, NULL, NULL, 16425),
(18916, '1q0vA00', NULL, NULL, 81, NULL, NULL, 16426),
(18917, '6elqA03', NULL, NULL, 225, NULL, NULL, 16427),
(18918, '4udxX02', NULL, NULL, 169, NULL, NULL, 16427),
(18919, '4udxX03', NULL, NULL, 228, NULL, NULL, 16427),
(18920, '1gnlA03', NULL, NULL, 151, NULL, NULL, 16427),
(18921, '1gnlA04', NULL, NULL, 167, NULL, NULL, 16427),
(18922, '3cf4A02', NULL, NULL, 196, NULL, NULL, 16427),
(18923, '1ru3A02', NULL, NULL, 190, NULL, NULL, 16427),
(18924, '3i01A03', NULL, NULL, 228, NULL, NULL, 16427),
(18925, '6b6wA03', NULL, NULL, 214, NULL, NULL, 16427),
(18926, '1jqkA02', NULL, NULL, 169, NULL, NULL, 16427),
(18927, '6b6wA02', NULL, NULL, 171, NULL, NULL, 16427),
(18928, '1gntA03', NULL, NULL, 151, NULL, NULL, 16427),
(18929, '1gntA04', NULL, NULL, 173, NULL, NULL, 16427),
(18930, '1jqkA01', NULL, NULL, 228, NULL, NULL, 16427),
(18931, '1oaoA02', NULL, NULL, 157, NULL, NULL, 16427),
(18932, '1oaoC02', NULL, NULL, 190, NULL, NULL, 16427),
(18933, '6elqA02', NULL, NULL, 169, NULL, NULL, 16427),
(18934, '1vw4L02', NULL, NULL, 85, NULL, NULL, 16428),
(18935, '2xqhA02', NULL, NULL, 56, NULL, NULL, 16429),
(18936, '1iq0A02', NULL, NULL, 100, NULL, NULL, 16430),
(18937, '3gdzB00', NULL, NULL, 109, NULL, NULL, 16430),
(18938, '2zueA01', NULL, NULL, 116, NULL, NULL, 16430),
(18939, '1f7uA03', NULL, NULL, 135, NULL, NULL, 16430),
(18940, '3gg2A02', NULL, NULL, 32, NULL, NULL, 16431),
(18941, '2n9yB00', NULL, NULL, 43, NULL, NULL, 16431),
(18942, '3plnA02', NULL, NULL, 32, NULL, NULL, 16431),
(18943, '3tguD02', NULL, NULL, 45, NULL, NULL, 16431),
(18944, '1ppjD01', NULL, NULL, 44, NULL, NULL, 16431),
(18945, '1zrtD02', NULL, NULL, 39, NULL, NULL, 16431),
(18946, '2qjpB02', NULL, NULL, 35, NULL, NULL, 16431),
(18947, '2jwaA00', NULL, NULL, 44, NULL, NULL, 16431),
(18948, '2y0cA02', NULL, NULL, 32, NULL, NULL, 16431),
(18949, '3vmaA01', NULL, NULL, 25, NULL, NULL, 16431),
(18950, '2o3jA02', NULL, NULL, 32, NULL, NULL, 16431),
(18951, '2qjyB02', NULL, NULL, 48, NULL, NULL, 16431),
(18952, '3gw6A04', NULL, NULL, 30, NULL, NULL, 16431),
(18953, '5xteH02', NULL, NULL, 45, NULL, NULL, 16431),
(18954, '3cx5D02', NULL, NULL, 48, NULL, NULL, 16431),
(18955, '4a7pA02', NULL, NULL, 32, NULL, NULL, 16431),
(18956, '2k9jB00', NULL, NULL, 43, NULL, NULL, 16431),
(18957, '2q3eA02', NULL, NULL, 32, NULL, NULL, 16431),
(18958, '5hlaA01', NULL, NULL, 39, NULL, NULL, 16431),
(18959, '2yiuB02', NULL, NULL, 41, NULL, NULL, 16431),
(18960, '2kncB00', NULL, NULL, 79, NULL, NULL, 16431),
(18961, '4n4rB00', NULL, NULL, 151, NULL, NULL, 16432),
(18962, '2r76A00', NULL, NULL, 152, NULL, NULL, 16432),
(18963, '4rh8C00', NULL, NULL, 152, NULL, NULL, 16432),
(18964, '4kwyA00', NULL, NULL, 140, NULL, NULL, 16432),
(18965, '2jxpA01', NULL, NULL, 141, NULL, NULL, 16432),
(18966, '3bf2A00', NULL, NULL, 152, NULL, NULL, 16432),
(18967, '5iv8B00', NULL, NULL, 155, NULL, NULL, 16432),
(18968, '2n8xA00', NULL, NULL, 166, NULL, NULL, 16432),
(18969, '5ixmB00', NULL, NULL, 149, NULL, NULL, 16432),
(18970, '5tseA00', NULL, NULL, 143, NULL, NULL, 16432),
(18971, '3hrgA02', NULL, NULL, 114, NULL, NULL, 16433),
(18972, '4hfsA00', NULL, NULL, 212, NULL, NULL, 16434),
(18973, '3iacA02', NULL, NULL, 93, NULL, NULL, 16435),
(18974, '2q01A02', NULL, NULL, 100, NULL, NULL, 16435),
(18975, '2qeeA02', NULL, NULL, 82, NULL, NULL, 16435),
(18976, '4i6vA02', NULL, NULL, 84, NULL, NULL, 16435),
(18977, '1j5sA02', NULL, NULL, 91, NULL, NULL, 16435),
(18978, '4j7qA00', NULL, NULL, 333, NULL, NULL, 16436),
(18979, '3q8gA02', NULL, NULL, 228, NULL, NULL, 16436),
(18980, '1auaA01', NULL, NULL, 213, NULL, NULL, 16436),
(18981, '4omjA00', NULL, NULL, 278, NULL, NULL, 16436),
(18982, '3pg7A01', NULL, NULL, 146, NULL, NULL, 16436),
(18983, '3pegA01', NULL, NULL, 156, NULL, NULL, 16436),
(18984, '4uybA01', NULL, NULL, 291, NULL, NULL, 16436),
(18985, '1r5lA03', NULL, NULL, 146, NULL, NULL, 16436),
(18986, '3hx3A02', NULL, NULL, 182, NULL, NULL, 16436);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(18987, '1oizA02', NULL, NULL, 198, NULL, NULL, 16436),
(18988, '4tlgB01', NULL, NULL, 294, NULL, NULL, 16436),
(18989, '3w68A03', NULL, NULL, 146, NULL, NULL, 16436),
(18990, '2x49A04', NULL, NULL, 99, NULL, NULL, 16437),
(18991, '1nnxA00', NULL, NULL, 109, NULL, NULL, 16438),
(18992, '4e6fA00', NULL, NULL, 181, NULL, NULL, 16439),
(18993, '4jhyA00', NULL, NULL, 167, NULL, NULL, 16439),
(18994, '2p62A02', NULL, NULL, 93, NULL, NULL, 16440),
(18995, '4j6eA02', NULL, NULL, 151, NULL, NULL, 16441),
(18996, '2jugA01', NULL, NULL, 55, NULL, NULL, 16442),
(18997, '3t2cA02', NULL, NULL, 30, NULL, NULL, 16443),
(18998, '4z3xA03', NULL, NULL, 186, NULL, NULL, 16444),
(18999, '1aorA02', NULL, NULL, 186, NULL, NULL, 16444),
(19000, '1b25A02', NULL, NULL, 178, NULL, NULL, 16444),
(19001, '3ckcA03', NULL, NULL, 104, NULL, NULL, 16445),
(19002, '3jysA03', NULL, NULL, 76, NULL, NULL, 16445),
(19003, '3rrkA02', NULL, NULL, 155, NULL, NULL, 16446),
(19004, '3hieB01', NULL, NULL, 151, NULL, NULL, 16447),
(19005, '6bdyA01', NULL, NULL, 245, NULL, NULL, 16448),
(19006, '2o2kA01', NULL, NULL, 263, NULL, NULL, 16448),
(19007, '2o57A01', NULL, NULL, 105, NULL, NULL, 16449),
(19008, '5bnyA02', NULL, NULL, 233, NULL, NULL, 16450),
(19009, '6myaA02', NULL, NULL, 223, NULL, NULL, 16450),
(19010, '5xl2A02', NULL, NULL, 218, NULL, NULL, 16450),
(19011, '6d7uA02', NULL, NULL, 216, NULL, NULL, 16450),
(19012, '4k3xA02', NULL, NULL, 221, NULL, NULL, 16450),
(19013, '6n08A02', NULL, NULL, 216, NULL, NULL, 16450),
(19014, '5vliA02', NULL, NULL, 231, NULL, NULL, 16450),
(19015, '2wrfA02', NULL, NULL, 221, NULL, NULL, 16450),
(19016, '4f23A02', NULL, NULL, 219, NULL, NULL, 16450),
(19017, '4k62A02', NULL, NULL, 222, NULL, NULL, 16450),
(19018, '4junA02', NULL, NULL, 222, NULL, NULL, 16450),
(19019, '5e32A02', NULL, NULL, 221, NULL, NULL, 16450),
(19020, '4nrjA02', NULL, NULL, 241, NULL, NULL, 16450),
(19021, '4fnkA01', NULL, NULL, 216, NULL, NULL, 16450),
(19022, '5umnB00', NULL, NULL, 274, NULL, NULL, 16450),
(19023, '2rftA02', NULL, NULL, 239, NULL, NULL, 16450),
(19024, '4cqyA02', NULL, NULL, 221, NULL, NULL, 16450),
(19025, '6bkrA01', NULL, NULL, 216, NULL, NULL, 16450),
(19026, '4f15J01', NULL, NULL, 222, NULL, NULL, 16450),
(19027, '6onaC02', NULL, NULL, 223, NULL, NULL, 16450),
(19028, '6mxuA02', NULL, NULL, 216, NULL, NULL, 16450),
(19029, '1jsdA01', NULL, NULL, 216, NULL, NULL, 16450),
(19030, '5e2yA02', NULL, NULL, 221, NULL, NULL, 16450),
(19031, '3ku3A02', NULL, NULL, 221, NULL, NULL, 16450),
(19032, '4h32A02', NULL, NULL, 220, NULL, NULL, 16450),
(19033, '4kpqA02', NULL, NULL, 221, NULL, NULL, 16450),
(19034, '6d8wA02', NULL, NULL, 223, NULL, NULL, 16450),
(19035, '6ml8A02', NULL, NULL, 231, NULL, NULL, 16450),
(19036, '4jumA02', NULL, NULL, 222, NULL, NULL, 16450),
(19037, '4uo0A01', NULL, NULL, 216, NULL, NULL, 16450),
(19038, '4wsrA02', NULL, NULL, 224, NULL, NULL, 16450),
(19039, '4fqiA02', NULL, NULL, 222, NULL, NULL, 16450),
(19040, '4bsgA02', NULL, NULL, 216, NULL, NULL, 16450),
(19041, '3uyxA00', NULL, NULL, 214, NULL, NULL, 16450),
(19042, '4unwA01', NULL, NULL, 216, NULL, NULL, 16450),
(19043, '5xl8A02', NULL, NULL, 218, NULL, NULL, 16450),
(19044, '6n4fA01', NULL, NULL, 216, NULL, NULL, 16450),
(19045, '6fywA02', NULL, NULL, 242, NULL, NULL, 16450),
(19046, '3eykA01', NULL, NULL, 218, NULL, NULL, 16450),
(19047, '4we5A01', NULL, NULL, 216, NULL, NULL, 16450),
(19048, '4m44A02', NULL, NULL, 241, NULL, NULL, 16450),
(19049, '6aorA01', NULL, NULL, 216, NULL, NULL, 16450),
(19050, '4f3zA02', NULL, NULL, 232, NULL, NULL, 16450),
(19051, '4kthA02', NULL, NULL, 222, NULL, NULL, 16450),
(19052, '6chxA00', NULL, NULL, 215, NULL, NULL, 16450),
(19053, '1jsmA01', NULL, NULL, 222, NULL, NULL, 16450),
(19054, '6n41A02', NULL, NULL, 223, NULL, NULL, 16450),
(19055, '3htoA02', NULL, NULL, 232, NULL, NULL, 16450),
(19056, '2wr1A02', NULL, NULL, 221, NULL, NULL, 16450),
(19057, '4wswA02', NULL, NULL, 218, NULL, NULL, 16450),
(19058, '5xkuA00', NULL, NULL, 208, NULL, NULL, 16450),
(19059, '5hu8A02', NULL, NULL, 222, NULL, NULL, 16450);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(19060, '1rv0H02', NULL, NULL, 232, NULL, NULL, 16450),
(19061, '6mzkA02', NULL, NULL, 216, NULL, NULL, 16450),
(19062, '4fqjA02', NULL, NULL, 241, NULL, NULL, 16450),
(19063, '4cyvA02', NULL, NULL, 218, NULL, NULL, 16450),
(19064, '4o5nA01', NULL, NULL, 216, NULL, NULL, 16450),
(19065, '5dutA00', NULL, NULL, 233, NULL, NULL, 16450),
(19066, '6osrA02', NULL, NULL, 223, NULL, NULL, 16450),
(19067, '4lvhA00', NULL, NULL, 236, NULL, NULL, 16450),
(19068, '4gxxA02', NULL, NULL, 232, NULL, NULL, 16450),
(19069, '3mlhB00', NULL, NULL, 235, NULL, NULL, 16450),
(19070, '3m5gA02', NULL, NULL, 208, NULL, NULL, 16450),
(19071, '5tg9A02', NULL, NULL, 226, NULL, NULL, 16450),
(19072, '4wa1A02', NULL, NULL, 216, NULL, NULL, 16450),
(19073, '4we6A02', NULL, NULL, 216, NULL, NULL, 16450),
(19074, '5th1A02', NULL, NULL, 218, NULL, NULL, 16450),
(19075, '1mqmA01', NULL, NULL, 216, NULL, NULL, 16450),
(19076, '4edbA02', NULL, NULL, 231, NULL, NULL, 16450),
(19077, '6oc3E00', NULL, NULL, 227, NULL, NULL, 16450),
(19078, '5yt8A02', NULL, NULL, 222, NULL, NULL, 16450),
(19079, '5t0bC02', NULL, NULL, 234, NULL, NULL, 16450),
(19080, '2a74A06', NULL, NULL, 64, NULL, NULL, 16451),
(19081, '5jtwA06', NULL, NULL, 62, NULL, NULL, 16451),
(19082, '3hrzA06', NULL, NULL, 61, NULL, NULL, 16451),
(19083, '3c19A01', NULL, NULL, 100, NULL, NULL, 16452),
(19084, '2mc5A00', NULL, NULL, 73, NULL, NULL, 16453),
(19085, '3gn4A00', NULL, NULL, 148, NULL, NULL, 16454),
(19086, '4ldvA03', NULL, NULL, 76, NULL, NULL, 16455),
(19087, '4lduA03', NULL, NULL, 76, NULL, NULL, 16455),
(19088, '1v9mA01', NULL, NULL, 119, NULL, NULL, 16456),
(19089, '2v6eA01', NULL, NULL, 75, NULL, NULL, 16457),
(19090, '4r3jA01', NULL, NULL, 105, NULL, NULL, 16458),
(19091, '4mnrA01', NULL, NULL, 93, NULL, NULL, 16458),
(19092, '4ovdA01', NULL, NULL, 102, NULL, NULL, 16458),
(19093, '1k25A01', NULL, NULL, 77, NULL, NULL, 16458),
(19094, '3oc2A01', NULL, NULL, 173, NULL, NULL, 16458),
(19095, '4r23A01', NULL, NULL, 91, NULL, NULL, 16458),
(19096, '1vqqA02', NULL, NULL, 121, NULL, NULL, 16458),
(19097, '1k25B01', NULL, NULL, 164, NULL, NULL, 16458),
(19098, '5u47A02', NULL, NULL, 68, NULL, NULL, 16458),
(19099, '3equA01', NULL, NULL, 105, NULL, NULL, 16458),
(19100, '1k25D01', NULL, NULL, 125, NULL, NULL, 16458),
(19101, '3eqvA01', NULL, NULL, 129, NULL, NULL, 16458),
(19102, '1pyyA01', NULL, NULL, 87, NULL, NULL, 16458),
(19103, '2wadA02', NULL, NULL, 148, NULL, NULL, 16458),
(19104, '2wafA01', NULL, NULL, 177, NULL, NULL, 16458),
(19105, '3vskA01', NULL, NULL, 133, NULL, NULL, 16458),
(19106, '1qmeA01', NULL, NULL, 117, NULL, NULL, 16458),
(19107, '2z2mD01', NULL, NULL, 59, NULL, NULL, 16458),
(19108, '3lo7B01', NULL, NULL, 116, NULL, NULL, 16458),
(19109, '3ue3A01', NULL, NULL, 119, NULL, NULL, 16458),
(19110, '3lo7A01', NULL, NULL, 130, NULL, NULL, 16458),
(19111, '2zc3D01', NULL, NULL, 78, NULL, NULL, 16458),
(19112, '1o5zA01', NULL, NULL, 305, NULL, NULL, 16459),
(19113, '1gqyB02', NULL, NULL, 217, NULL, NULL, 16459),
(19114, '4hv4A02', NULL, NULL, 217, NULL, NULL, 16459),
(19115, '4qdiA02', NULL, NULL, 229, NULL, NULL, 16459),
(19116, '1j6uA02', NULL, NULL, 209, NULL, NULL, 16459),
(19117, '1e8cA02', NULL, NULL, 238, NULL, NULL, 16459),
(19118, '4c12A02', NULL, NULL, 238, NULL, NULL, 16459),
(19119, '2f00A02', NULL, NULL, 217, NULL, NULL, 16459),
(19120, '6cauA02', NULL, NULL, 218, NULL, NULL, 16459),
(19121, '3zm6A02', NULL, NULL, 223, NULL, NULL, 16459),
(19122, '1w78A01', NULL, NULL, 287, NULL, NULL, 16459),
(19123, '3hn7A02', NULL, NULL, 267, NULL, NULL, 16459),
(19124, '4bucA02', NULL, NULL, 204, NULL, NULL, 16459),
(19125, '5vvwA02', NULL, NULL, 219, NULL, NULL, 16459),
(19126, '3nrsA01', NULL, NULL, 302, NULL, NULL, 16459),
(19127, '3zl8A02', NULL, NULL, 226, NULL, NULL, 16459),
(19128, '4bubA02', NULL, NULL, 230, NULL, NULL, 16459),
(19129, '3eagA02', NULL, NULL, 231, NULL, NULL, 16459),
(19130, '2x5oA02', NULL, NULL, 206, NULL, NULL, 16459),
(19131, '1gg4A02', NULL, NULL, 231, NULL, NULL, 16459),
(19132, '3lk7A02', NULL, NULL, 206, NULL, NULL, 16459);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(19133, '4cvkA02', NULL, NULL, 236, NULL, NULL, 16459),
(19134, '2wtzA02', NULL, NULL, 234, NULL, NULL, 16459),
(19135, '2gc5A01', NULL, NULL, 298, NULL, NULL, 16459),
(19136, '2vosA01', NULL, NULL, 315, NULL, NULL, 16459),
(19137, '2l9nA01', NULL, NULL, 96, NULL, NULL, 16460),
(19138, '1t95A01', NULL, NULL, 80, NULL, NULL, 16460),
(19139, '2wbmA01', NULL, NULL, 81, NULL, NULL, 16460),
(19140, '1nynA00', NULL, NULL, 111, NULL, NULL, 16460),
(19141, '2kx2A00', NULL, NULL, 96, NULL, NULL, 16461),
(19142, '1qhdA02', NULL, NULL, 228, NULL, NULL, 16462),
(19143, '1s5jA03', NULL, NULL, 161, NULL, NULL, 16463),
(19144, '1d5aA03', NULL, NULL, 164, NULL, NULL, 16463),
(19145, '3qexA03', NULL, NULL, 243, NULL, NULL, 16463),
(19146, '5omvA03', NULL, NULL, 164, NULL, NULL, 16463),
(19147, '4ahcB03', NULL, NULL, 185, NULL, NULL, 16463),
(19148, '2py5A02', NULL, NULL, 179, NULL, NULL, 16463),
(19149, '4fxdA05', NULL, NULL, 117, NULL, NULL, 16463),
(19150, '3k59A04', NULL, NULL, 211, NULL, NULL, 16463),
(19151, '2gv9B04', NULL, NULL, 197, NULL, NULL, 16463),
(19152, '1tgoA03', NULL, NULL, 185, NULL, NULL, 16463),
(19153, '4fxdA04', NULL, NULL, 153, NULL, NULL, 16463),
(19154, '4flwA03', NULL, NULL, 164, NULL, NULL, 16463),
(19155, '5h12A03', NULL, NULL, 185, NULL, NULL, 16463),
(19156, '4fvmA05', NULL, NULL, 178, NULL, NULL, 16463),
(19157, '6q4tA03', NULL, NULL, 164, NULL, NULL, 16463),
(19158, '2gefA02', NULL, NULL, 75, NULL, NULL, 16464),
(19159, '6gcfA00', NULL, NULL, 170, NULL, NULL, 16465),
(19160, '1aq5A00', NULL, NULL, 47, NULL, NULL, 16466),
(19161, '3mzlB03', NULL, NULL, 239, NULL, NULL, 16467),
(19162, '2e2dC02', NULL, NULL, 94, NULL, NULL, 16468),
(19163, '2tmpA00', NULL, NULL, 127, NULL, NULL, 16468),
(19164, '1br9A02', NULL, NULL, 96, NULL, NULL, 16468),
(19165, '1jb3A00', NULL, NULL, 131, NULL, NULL, 16468),
(19166, '3cu7A13', NULL, NULL, 155, NULL, NULL, 16468),
(19167, '1uapA00', NULL, NULL, 131, NULL, NULL, 16468),
(19168, '2b39A13', NULL, NULL, 136, NULL, NULL, 16468),
(19169, '3ma2C00', NULL, NULL, 125, NULL, NULL, 16468),
(19170, '3v96A02', NULL, NULL, 92, NULL, NULL, 16468),
(19171, '3ckiB00', NULL, NULL, 121, NULL, NULL, 16468),
(19172, '2qkiC02', NULL, NULL, 161, NULL, NULL, 16468),
(19173, '3hrzC03', NULL, NULL, 160, NULL, NULL, 16468),
(19174, '4fxkC02', NULL, NULL, 157, NULL, NULL, 16468),
(19175, '2cjsC01', NULL, NULL, 38, NULL, NULL, 16469),
(19176, '4o4oA00', NULL, NULL, 207, NULL, NULL, 16470),
(19177, '2gviA01', NULL, NULL, 65, NULL, NULL, 16471),
(19178, '4a15A02', NULL, NULL, 81, NULL, NULL, 16472),
(19179, '1y6uA01', NULL, NULL, 49, NULL, NULL, 16473),
(19180, '2gukA00', NULL, NULL, 120, NULL, NULL, 16474),
(19181, '1efuB03', NULL, NULL, 74, NULL, NULL, 16475),
(19182, '1xb2B03', NULL, NULL, 110, NULL, NULL, 16475),
(19183, '1xb2B02', NULL, NULL, 121, NULL, NULL, 16475),
(19184, '1efuB02', NULL, NULL, 86, NULL, NULL, 16475),
(19185, '1tfeA01', NULL, NULL, 100, NULL, NULL, 16475),
(19186, '2b25A01', NULL, NULL, 73, NULL, NULL, 16476),
(19187, '2yvlA01', NULL, NULL, 59, NULL, NULL, 16476),
(19188, '5eqjB01', NULL, NULL, 79, NULL, NULL, 16476),
(19189, '3mb5A01', NULL, NULL, 62, NULL, NULL, 16476),
(19190, '2pwyA01', NULL, NULL, 64, NULL, NULL, 16476),
(19191, '1o54A01', NULL, NULL, 81, NULL, NULL, 16476),
(19192, '1i9gA01', NULL, NULL, 67, NULL, NULL, 16476),
(19193, '5ccbA01', NULL, NULL, 72, NULL, NULL, 16476),
(19194, '3hc7A02', NULL, NULL, 62, NULL, NULL, 16477),
(19195, '5grqA00', NULL, NULL, 90, NULL, NULL, 16478),
(19196, '3qxbA00', NULL, NULL, 316, NULL, NULL, 16479),
(19197, '2j6vA00', NULL, NULL, 283, NULL, NULL, 16479),
(19198, '3p14D00', NULL, NULL, 424, NULL, NULL, 16479),
(19199, '4xkmA00', NULL, NULL, 435, NULL, NULL, 16479),
(19200, '3dx5A00', NULL, NULL, 286, NULL, NULL, 16479),
(19201, '1ximA00', NULL, NULL, 393, NULL, NULL, 16479),
(19202, '3tvaA00', NULL, NULL, 290, NULL, NULL, 16479),
(19203, '3cqjA00', NULL, NULL, 295, NULL, NULL, 16479),
(19204, '1xlaA00', NULL, NULL, 394, NULL, NULL, 16479),
(19205, '1bxcA00', NULL, NULL, 387, NULL, NULL, 16479);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(19206, '4hnoA00', NULL, NULL, 288, NULL, NULL, 16479),
(19207, '4gqbA01', NULL, NULL, 299, NULL, NULL, 16479),
(19208, '2zdsB00', NULL, NULL, 323, NULL, NULL, 16479),
(19209, '1a0dA00', NULL, NULL, 440, NULL, NULL, 16479),
(19210, '1qt1A00', NULL, NULL, 387, NULL, NULL, 16479),
(19211, '5avhA00', NULL, NULL, 386, NULL, NULL, 16479),
(19212, '3ktcA00', NULL, NULL, 333, NULL, NULL, 16479),
(19213, '3bdkA00', NULL, NULL, 368, NULL, NULL, 16479),
(19214, '3wqoA00', NULL, NULL, 293, NULL, NULL, 16479),
(19215, '3ngfB00', NULL, NULL, 269, NULL, NULL, 16479),
(19216, '3l23A00', NULL, NULL, 303, NULL, NULL, 16479),
(19217, '2q02A00', NULL, NULL, 272, NULL, NULL, 16479),
(19218, '4hhlB00', NULL, NULL, 388, NULL, NULL, 16479),
(19219, '3bwwA01', NULL, NULL, 265, NULL, NULL, 16479),
(19220, '5nhmB00', NULL, NULL, 437, NULL, NULL, 16479),
(19221, '1bxbA00', NULL, NULL, 387, NULL, NULL, 16479),
(19222, '4eacC01', NULL, NULL, 263, NULL, NULL, 16479),
(19223, '1a0eA00', NULL, NULL, 443, NULL, NULL, 16479),
(19224, '3m0mD00', NULL, NULL, 421, NULL, NULL, 16479),
(19225, '3ua4A01', NULL, NULL, 285, NULL, NULL, 16479),
(19226, '3kwsA00', NULL, NULL, 265, NULL, NULL, 16479),
(19227, '1yx1B01', NULL, NULL, 162, NULL, NULL, 16479),
(19228, '5zfsB00', NULL, NULL, 297, NULL, NULL, 16479),
(19229, '3u0hA00', NULL, NULL, 281, NULL, NULL, 16479),
(19230, '1qtwA00', NULL, NULL, 285, NULL, NULL, 16479),
(19231, '4ovxA00', NULL, NULL, 277, NULL, NULL, 16479),
(19232, '4k3zA00', NULL, NULL, 310, NULL, NULL, 16479),
(19233, '3aalA00', NULL, NULL, 303, NULL, NULL, 16479),
(19234, '1tz9A00', NULL, NULL, 367, NULL, NULL, 16479),
(19235, '3tc3B00', NULL, NULL, 290, NULL, NULL, 16479),
(19236, '1xp3A00', NULL, NULL, 307, NULL, NULL, 16479),
(19237, '1k77A00', NULL, NULL, 260, NULL, NULL, 16479),
(19238, '2g0wB00', NULL, NULL, 296, NULL, NULL, 16479),
(19239, '4kw2A00', NULL, NULL, 246, NULL, NULL, 16479),
(19240, '3cnyA00', NULL, NULL, 301, NULL, NULL, 16479),
(19241, '4xslC00', NULL, NULL, 300, NULL, NULL, 16479),
(19242, '5b7yA00', NULL, NULL, 270, NULL, NULL, 16479),
(19243, '3obeB00', NULL, NULL, 305, NULL, NULL, 16479),
(19244, '3lmzA00', NULL, NULL, 257, NULL, NULL, 16479),
(19245, '5tnvA00', NULL, NULL, 306, NULL, NULL, 16479),
(19246, '3vniA00', NULL, NULL, 294, NULL, NULL, 16479),
(19247, '4q7iA00', NULL, NULL, 298, NULL, NULL, 16479),
(19248, '3vylA00', NULL, NULL, 297, NULL, NULL, 16479),
(19249, '1i60A00', NULL, NULL, 278, NULL, NULL, 16479),
(19250, '4g56A01', NULL, NULL, 287, NULL, NULL, 16479),
(19251, '3p6lA00', NULL, NULL, 262, NULL, NULL, 16479),
(19252, '3aamA00', NULL, NULL, 270, NULL, NULL, 16479),
(19253, '2hk0A00', NULL, NULL, 288, NULL, NULL, 16479),
(19254, '3qc0A00', NULL, NULL, 275, NULL, NULL, 16479),
(19255, '1d8wC00', NULL, NULL, 426, NULL, NULL, 16479),
(19256, '2qw5A00', NULL, NULL, 335, NULL, NULL, 16479),
(19257, '1a0cA00', NULL, NULL, 438, NULL, NULL, 16479),
(19258, '3ayvD00', NULL, NULL, 254, NULL, NULL, 16479),
(19259, '1muwA00', NULL, NULL, 386, NULL, NULL, 16479),
(19260, '1yx1A00', NULL, NULL, 264, NULL, NULL, 16479),
(19261, '4ojdH01', NULL, NULL, 206, NULL, NULL, 16480),
(19262, '2p7vA00', NULL, NULL, 158, NULL, NULL, 16481),
(19263, '4xwjA00', NULL, NULL, 167, NULL, NULL, 16481),
(19264, '5ntfA01', NULL, NULL, 189, NULL, NULL, 16482),
(19265, '5nthA01', NULL, NULL, 193, NULL, NULL, 16482),
(19266, '5ntdC01', NULL, NULL, 191, NULL, NULL, 16482),
(19267, '2hc9A01', NULL, NULL, 155, NULL, NULL, 16482),
(19268, '4kf9A01', NULL, NULL, 195, NULL, NULL, 16483),
(19269, '3ic8A01', NULL, NULL, 178, NULL, NULL, 16483),
(19270, '2ahmA00', NULL, NULL, 88, NULL, NULL, 16484),
(19271, '3nufB00', NULL, NULL, 119, NULL, NULL, 16485),
(19272, '1h99A02', NULL, NULL, 110, NULL, NULL, 16485),
(19273, '1h99A01', NULL, NULL, 104, NULL, NULL, 16485),
(19274, '3rioA02', NULL, NULL, 100, NULL, NULL, 16485),
(19275, '6grrB01', NULL, NULL, 79, NULL, NULL, 16486),
(19276, '2f9zC00', NULL, NULL, 159, NULL, NULL, 16487),
(19277, '3zd7A03', NULL, NULL, 139, NULL, NULL, 16488),
(19278, '5jajA03', NULL, NULL, 120, NULL, NULL, 16488);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(19279, '4i1sA01', NULL, NULL, 127, NULL, NULL, 16488),
(19280, '3ts9A00', NULL, NULL, 138, NULL, NULL, 16488),
(19281, '4a2pA03', NULL, NULL, 140, NULL, NULL, 16488),
(19282, '4gl2A03', NULL, NULL, 128, NULL, NULL, 16488),
(19283, '3tbkA03', NULL, NULL, 141, NULL, NULL, 16488),
(19284, '4zpcA03', NULL, NULL, 87, NULL, NULL, 16489),
(19285, '5ziuA03', NULL, NULL, 87, NULL, NULL, 16489),
(19286, '1ra6A03', NULL, NULL, 87, NULL, NULL, 16489),
(19287, '1khvA05', NULL, NULL, 97, NULL, NULL, 16489),
(19288, '5y6zA03', NULL, NULL, 93, NULL, NULL, 16489),
(19289, '2ckwA04', NULL, NULL, 107, NULL, NULL, 16489),
(19290, '1xr5A03', NULL, NULL, 93, NULL, NULL, 16489),
(19291, '1xr6A03', NULL, NULL, 87, NULL, NULL, 16489),
(19292, '1xr7A03', NULL, NULL, 87, NULL, NULL, 16489),
(19293, '4nyzA03', NULL, NULL, 65, NULL, NULL, 16489),
(19294, '3uqsA04', NULL, NULL, 101, NULL, NULL, 16489),
(19295, '4lq3A04', NULL, NULL, 138, NULL, NULL, 16489),
(19296, '3h5xA04', NULL, NULL, 101, NULL, NULL, 16489),
(19297, '4wywA03', NULL, NULL, 78, NULL, NULL, 16489),
(19298, '5f8hA03', NULL, NULL, 93, NULL, NULL, 16489),
(19299, '3l09A03', NULL, NULL, 47, NULL, NULL, 16490),
(19300, '4bgoA00', NULL, NULL, 251, NULL, NULL, 16491),
(19301, '3pf0A00', NULL, NULL, 324, NULL, NULL, 16491),
(19302, '4ecgA00', NULL, NULL, 381, NULL, NULL, 16491),
(19303, '3wscA00', NULL, NULL, 258, NULL, NULL, 16491),
(19304, '2fi0A00', NULL, NULL, 81, NULL, NULL, 16492),
(19305, '2k53A00', NULL, NULL, 76, NULL, NULL, 16492),
(19306, '2k5eA00', NULL, NULL, 73, NULL, NULL, 16492),
(19307, '2iumA00', NULL, NULL, 211, NULL, NULL, 16493),
(19308, '2vtwA00', NULL, NULL, 205, NULL, NULL, 16493),
(19309, '3ib5A00', NULL, NULL, 348, NULL, NULL, 16494),
(19310, '2qx2A00', NULL, NULL, 344, NULL, NULL, 16494),
(19311, '4hn3D00', NULL, NULL, 333, NULL, NULL, 16494),
(19312, '2otoA00', NULL, NULL, 139, NULL, NULL, 16495),
(19313, '2e9hA02', NULL, NULL, 44, NULL, NULL, 16496),
(19314, '2g2kA02', NULL, NULL, 46, NULL, NULL, 16496),
(19315, '2c1lA02', NULL, NULL, 170, NULL, NULL, 16497),
(19316, '3kdjB00', NULL, NULL, 316, NULL, NULL, 16498),
(19317, '3ke6B01', NULL, NULL, 230, NULL, NULL, 16498),
(19318, '2j4oA00', NULL, NULL, 371, NULL, NULL, 16498),
(19319, '3d8kD00', NULL, NULL, 357, NULL, NULL, 16498),
(19320, '2j82A00', NULL, NULL, 240, NULL, NULL, 16498),
(19321, '4ragA01', NULL, NULL, 294, NULL, NULL, 16498),
(19322, '2irmA00', NULL, NULL, 358, NULL, NULL, 16498),
(19323, '3rnrB00', NULL, NULL, 211, NULL, NULL, 16498),
(19324, '2jfrA00', NULL, NULL, 234, NULL, NULL, 16498),
(19325, '3qn1B00', NULL, NULL, 337, NULL, NULL, 16498),
(19326, '2isnB00', NULL, NULL, 347, NULL, NULL, 16498),
(19327, '3zt9A00', NULL, NULL, 193, NULL, NULL, 16498),
(19328, '3t91B00', NULL, NULL, 242, NULL, NULL, 16498),
(19329, '5zcgA00', NULL, NULL, 328, NULL, NULL, 16498),
(19330, '3pu9A00', NULL, NULL, 242, NULL, NULL, 16498),
(19331, '5f1mA00', NULL, NULL, 268, NULL, NULL, 16498),
(19332, '4yzgA00', NULL, NULL, 302, NULL, NULL, 16498),
(19333, '2p8eA00', NULL, NULL, 307, NULL, NULL, 16498),
(19334, '4oicB00', NULL, NULL, 328, NULL, NULL, 16498),
(19335, '2pk0A00', NULL, NULL, 250, NULL, NULL, 16498),
(19336, '2i44B00', NULL, NULL, 324, NULL, NULL, 16498),
(19337, '4jndA02', NULL, NULL, 291, NULL, NULL, 16498),
(19338, '2i0oA00', NULL, NULL, 304, NULL, NULL, 16498),
(19339, '3nmvB00', NULL, NULL, 324, NULL, NULL, 16498),
(19340, '2pnqA00', NULL, NULL, 436, NULL, NULL, 16498),
(19341, '1txoB00', NULL, NULL, 237, NULL, NULL, 16498),
(19342, '4n0gA00', NULL, NULL, 302, NULL, NULL, 16498),
(19343, '3w42A00', NULL, NULL, 199, NULL, NULL, 16498),
(19344, '3f79E00', NULL, NULL, 255, NULL, NULL, 16498),
(19345, '2iq1A00', NULL, NULL, 274, NULL, NULL, 16498),
(19346, '5v1yB00', NULL, NULL, 115, NULL, NULL, 16499),
(19347, '2z4dA00', NULL, NULL, 96, NULL, NULL, 16499),
(19348, '4adiA02', NULL, NULL, 92, NULL, NULL, 16500),
(19349, '2qv7A01', NULL, NULL, 145, NULL, NULL, 16501),
(19350, '4v24B01', NULL, NULL, 158, NULL, NULL, 16501),
(19351, '4haoA01', NULL, NULL, 167, NULL, NULL, 16501);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(19352, '1u0tA01', NULL, NULL, 135, NULL, NULL, 16501),
(19353, '2i2cA01', NULL, NULL, 133, NULL, NULL, 16501),
(19354, '3s40A01', NULL, NULL, 137, NULL, NULL, 16501),
(19355, '1u0tB01', NULL, NULL, 170, NULL, NULL, 16501),
(19356, '4werA01', NULL, NULL, 137, NULL, NULL, 16501),
(19357, '3pfnD01', NULL, NULL, 163, NULL, NULL, 16501),
(19358, '1z0sA01', NULL, NULL, 124, NULL, NULL, 16501),
(19359, '1u0rB01', NULL, NULL, 134, NULL, NULL, 16501),
(19360, '1y3iA01', NULL, NULL, 105, NULL, NULL, 16501),
(19361, '2an1D01', NULL, NULL, 155, NULL, NULL, 16501),
(19362, '2bonA01', NULL, NULL, 128, NULL, NULL, 16501),
(19363, '3afoB01', NULL, NULL, 217, NULL, NULL, 16501),
(19364, '2p1rA01', NULL, NULL, 132, NULL, NULL, 16501),
(19365, '1yt5A01', NULL, NULL, 132, NULL, NULL, 16501),
(19366, '3gw6F01', NULL, NULL, 93, NULL, NULL, 16502),
(19367, '3gw6B01', NULL, NULL, 107, NULL, NULL, 16502),
(19368, '3ju4A04', NULL, NULL, 154, NULL, NULL, 16502),
(19369, '3gw6A01', NULL, NULL, 134, NULL, NULL, 16502),
(19370, '4hizA04', NULL, NULL, 157, NULL, NULL, 16502),
(19371, '4lr4A02', NULL, NULL, 183, NULL, NULL, 16503),
(19372, '3c9aA02', NULL, NULL, 61, NULL, NULL, 16504),
(19373, '3g87A02', NULL, NULL, 67, NULL, NULL, 16505),
(19374, '4qbuA03', NULL, NULL, 66, NULL, NULL, 16505),
(19375, '3im8A02', NULL, NULL, 73, NULL, NULL, 16505),
(19376, '5dz6A02', NULL, NULL, 69, NULL, NULL, 16505),
(19377, '3sbmA02', NULL, NULL, 68, NULL, NULL, 16505),
(19378, '4rr5A02', NULL, NULL, 64, NULL, NULL, 16505),
(19379, '2jfkA03', NULL, NULL, 66, NULL, NULL, 16505),
(19380, '3r8yA01', NULL, NULL, 66, NULL, NULL, 16505),
(19381, '5dz7A02', NULL, NULL, 69, NULL, NULL, 16505),
(19382, '3tqeA02', NULL, NULL, 73, NULL, NULL, 16505),
(19383, '3cj8B02', NULL, NULL, 66, NULL, NULL, 16505),
(19384, '5ypvA02', NULL, NULL, 74, NULL, NULL, 16505),
(19385, '3tzyA02', NULL, NULL, 70, NULL, NULL, 16505),
(19386, '1nm2A01', NULL, NULL, 68, NULL, NULL, 16505),
(19387, '2cuyA02', NULL, NULL, 69, NULL, NULL, 16505),
(19388, '5my2A04', NULL, NULL, 66, NULL, NULL, 16505),
(19389, '3h0pA02', NULL, NULL, 73, NULL, NULL, 16505),
(19390, '3hjvA02', NULL, NULL, 73, NULL, NULL, 16505),
(19391, '3bv8A00', NULL, NULL, 87, NULL, NULL, 16505),
(19392, '1mlaA01', NULL, NULL, 73, NULL, NULL, 16505),
(19393, '2qc3A02', NULL, NULL, 64, NULL, NULL, 16505),
(19394, '3im9A02', NULL, NULL, 74, NULL, NULL, 16505),
(19395, '3hhdA04', NULL, NULL, 66, NULL, NULL, 16505),
(19396, '3qatA02', NULL, NULL, 73, NULL, NULL, 16505),
(19397, '2c2nA02', NULL, NULL, 77, NULL, NULL, 16505),
(19398, '3k89A02', NULL, NULL, 73, NULL, NULL, 16505),
(19399, '3ptwA02', NULL, NULL, 70, NULL, NULL, 16505),
(19400, '4rl1A02', NULL, NULL, 71, NULL, NULL, 16505),
(19401, '3ezoA02', NULL, NULL, 73, NULL, NULL, 16505),
(19402, '2h1yA02', NULL, NULL, 70, NULL, NULL, 16505),
(19403, '3hzsA00', NULL, NULL, 209, NULL, NULL, 16506),
(19404, '5fgzA02', NULL, NULL, 163, NULL, NULL, 16506),
(19405, '2olvB02', NULL, NULL, 198, NULL, NULL, 16506),
(19406, '3vmaA04', NULL, NULL, 204, NULL, NULL, 16506),
(19407, '2oqoA00', NULL, NULL, 200, NULL, NULL, 16506),
(19408, '6m9mA01', NULL, NULL, 88, NULL, NULL, 16507),
(19409, '3l9tA01', NULL, NULL, 89, NULL, NULL, 16507),
(19410, '1m3gA00', NULL, NULL, 145, NULL, NULL, 16508),
(19411, '2bzlA00', NULL, NULL, 293, NULL, NULL, 16508),
(19412, '2fh7A01', NULL, NULL, 292, NULL, NULL, 16508),
(19413, '2i75A00', NULL, NULL, 291, NULL, NULL, 16508),
(19414, '5y15A00', NULL, NULL, 148, NULL, NULL, 16508),
(19415, '2jjdF02', NULL, NULL, 305, NULL, NULL, 16508),
(19416, '3n0aA01', NULL, NULL, 207, NULL, NULL, 16508),
(19417, '1wchA00', NULL, NULL, 315, NULL, NULL, 16508),
(19418, '5k23A00', NULL, NULL, 167, NULL, NULL, 16508),
(19419, '4jbcA02', NULL, NULL, 225, NULL, NULL, 16508),
(19420, '2cjzA00', NULL, NULL, 289, NULL, NULL, 16508),
(19421, '4ikcA00', NULL, NULL, 281, NULL, NULL, 16508),
(19422, '3i36A00', NULL, NULL, 286, NULL, NULL, 16508),
(19423, '2nt2A00', NULL, NULL, 145, NULL, NULL, 16508),
(19424, '1zc0A00', NULL, NULL, 309, NULL, NULL, 16508),
(19425, '1oheA01', NULL, NULL, 152, NULL, NULL, 16508);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(19426, '4y2eA00', NULL, NULL, 149, NULL, NULL, 16508),
(19427, '2gjtB00', NULL, NULL, 295, NULL, NULL, 16508),
(19428, '1oheA02', NULL, NULL, 169, NULL, NULL, 16508),
(19429, '1xriA00', NULL, NULL, 151, NULL, NULL, 16508),
(19430, '1ywfA00', NULL, NULL, 242, NULL, NULL, 16508),
(19431, '2ooqA00', NULL, NULL, 286, NULL, NULL, 16508),
(19432, '2y96A01', NULL, NULL, 167, NULL, NULL, 16508),
(19433, '4ge6A00', NULL, NULL, 314, NULL, NULL, 16508),
(19434, '2q05A00', NULL, NULL, 195, NULL, NULL, 16508),
(19435, '2i6jA00', NULL, NULL, 161, NULL, NULL, 16508),
(19436, '2fh7A02', NULL, NULL, 303, NULL, NULL, 16508),
(19437, '5hdeA00', NULL, NULL, 307, NULL, NULL, 16508),
(19438, '4yr8H00', NULL, NULL, 144, NULL, NULL, 16508),
(19439, '1d5rA01', NULL, NULL, 181, NULL, NULL, 16508),
(19440, '3s3eB00', NULL, NULL, 287, NULL, NULL, 16508),
(19441, '3ezzA00', NULL, NULL, 144, NULL, NULL, 16508),
(19442, '4nyhA00', NULL, NULL, 182, NULL, NULL, 16508),
(19443, '2cm2A00', NULL, NULL, 304, NULL, NULL, 16508),
(19444, '5ehrB03', NULL, NULL, 310, NULL, NULL, 16508),
(19445, '1yn9B00', NULL, NULL, 169, NULL, NULL, 16508),
(19446, '4wu3A01', NULL, NULL, 296, NULL, NULL, 16508),
(19447, '2r0bA00', NULL, NULL, 154, NULL, NULL, 16508),
(19448, '4wu3A03', NULL, NULL, 213, NULL, NULL, 16508),
(19449, '1larA02', NULL, NULL, 289, NULL, NULL, 16508),
(19450, '2nv5A00', NULL, NULL, 299, NULL, NULL, 16508),
(19451, '6h8sA00', NULL, NULL, 301, NULL, NULL, 16508),
(19452, '4tvvC00', NULL, NULL, 293, NULL, NULL, 16508),
(19453, '3emuA00', NULL, NULL, 161, NULL, NULL, 16508),
(19454, '3cweA00', NULL, NULL, 290, NULL, NULL, 16508),
(19455, '1yfoA00', NULL, NULL, 302, NULL, NULL, 16508),
(19456, '5bx1A00', NULL, NULL, 157, NULL, NULL, 16508),
(19457, '2esbA00', NULL, NULL, 171, NULL, NULL, 16508),
(19458, '2hxpA00', NULL, NULL, 155, NULL, NULL, 16508),
(19459, '1g4wR02', NULL, NULL, 225, NULL, NULL, 16508),
(19460, '4jmkA00', NULL, NULL, 152, NULL, NULL, 16508),
(19461, '1yz4B01', NULL, NULL, 153, NULL, NULL, 16508),
(19462, '1yguA02', NULL, NULL, 315, NULL, NULL, 16508),
(19463, '2p6xB00', NULL, NULL, 309, NULL, NULL, 16508),
(19464, '1fpzC00', NULL, NULL, 190, NULL, NULL, 16508),
(19465, '3v0dA01', NULL, NULL, 195, NULL, NULL, 16508),
(19466, '4wohA01', NULL, NULL, 159, NULL, NULL, 16508),
(19467, '4ki9A00', NULL, NULL, 163, NULL, NULL, 16508),
(19468, '2q05D00', NULL, NULL, 195, NULL, NULL, 16508),
(19469, '1mkpA00', NULL, NULL, 144, NULL, NULL, 16508),
(19470, '2i1yA00', NULL, NULL, 301, NULL, NULL, 16508),
(19471, '4ercA00', NULL, NULL, 150, NULL, NULL, 16508),
(19472, '5xjvB00', NULL, NULL, 185, NULL, NULL, 16508),
(19473, '3gxhA00', NULL, NULL, 157, NULL, NULL, 16508),
(19474, '1jlnA00', NULL, NULL, 297, NULL, NULL, 16508),
(19475, '2qepB00', NULL, NULL, 304, NULL, NULL, 16508),
(19476, '2oc3A00', NULL, NULL, 303, NULL, NULL, 16508),
(19477, '1i9sA00', NULL, NULL, 210, NULL, NULL, 16508),
(19478, '3rgoA00', NULL, NULL, 157, NULL, NULL, 16508),
(19479, '1larB01', NULL, NULL, 247, NULL, NULL, 16508),
(19480, '2j16B00', NULL, NULL, 145, NULL, NULL, 16508),
(19481, '2pi7B00', NULL, NULL, 296, NULL, NULL, 16508),
(19482, '2hc1A00', NULL, NULL, 291, NULL, NULL, 16508),
(19483, '4bjoA00', NULL, NULL, 298, NULL, NULL, 16508),
(19484, '4nx8B00', NULL, NULL, 261, NULL, NULL, 16508),
(19485, '4hrfA00', NULL, NULL, 160, NULL, NULL, 16508),
(19486, '4kyqA00', NULL, NULL, 208, NULL, NULL, 16508),
(19487, '3f81A00', NULL, NULL, 183, NULL, NULL, 16508),
(19488, '3cm3A00', NULL, NULL, 176, NULL, NULL, 16508),
(19489, '2p4dA00', NULL, NULL, 172, NULL, NULL, 16508),
(19490, '2hcmA01', NULL, NULL, 154, NULL, NULL, 16508),
(19491, '2q05C00', NULL, NULL, 175, NULL, NULL, 16508),
(19492, '2f46A00', NULL, NULL, 156, NULL, NULL, 16508),
(19493, '2c7sA00', NULL, NULL, 291, NULL, NULL, 16508),
(19494, '2pq5A00', NULL, NULL, 181, NULL, NULL, 16508),
(19495, '5ncrB00', NULL, NULL, 181, NULL, NULL, 16508),
(19496, '5awxA00', NULL, NULL, 298, NULL, NULL, 16508),
(19497, '2g6zA00', NULL, NULL, 147, NULL, NULL, 16508),
(19498, '4rkkA02', NULL, NULL, 193, NULL, NULL, 16508);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(19499, '2b49A00', NULL, NULL, 268, NULL, NULL, 16508),
(19500, '4r0sA00', NULL, NULL, 162, NULL, NULL, 16508),
(19501, '4az1B00', NULL, NULL, 302, NULL, NULL, 16508),
(19502, '5z59A00', NULL, NULL, 147, NULL, NULL, 16508),
(19503, '2h4vA00', NULL, NULL, 302, NULL, NULL, 16508),
(19504, '2jjdA01', NULL, NULL, 294, NULL, NULL, 16508),
(19505, '1l8kA00', NULL, NULL, 277, NULL, NULL, 16508),
(19506, '5m43A00', NULL, NULL, 175, NULL, NULL, 16508),
(19507, '1rpmA00', NULL, NULL, 278, NULL, NULL, 16508),
(19508, '4grzA00', NULL, NULL, 288, NULL, NULL, 16508),
(19509, '3mmjA02', NULL, NULL, 217, NULL, NULL, 16508),
(19510, '1p15B00', NULL, NULL, 253, NULL, NULL, 16508),
(19511, '3v0eA01', NULL, NULL, 180, NULL, NULL, 16508),
(19512, '5tsrA00', NULL, NULL, 172, NULL, NULL, 16508),
(19513, '4pyhA01', NULL, NULL, 203, NULL, NULL, 16508),
(19514, '3s4oA00', NULL, NULL, 167, NULL, NULL, 16508),
(19515, '2c46B00', NULL, NULL, 221, NULL, NULL, 16508),
(19516, '3zm1A00', NULL, NULL, 284, NULL, NULL, 16508),
(19517, '2wgpA00', NULL, NULL, 168, NULL, NULL, 16508),
(19518, '1zzwA00', NULL, NULL, 149, NULL, NULL, 16508),
(19519, '2q05B00', NULL, NULL, 195, NULL, NULL, 16508),
(19520, '3m4uB00', NULL, NULL, 306, NULL, NULL, 16508),
(19521, '2nlkA02', NULL, NULL, 288, NULL, NULL, 16508),
(19522, '1ygrB01', NULL, NULL, 295, NULL, NULL, 16508),
(19523, '4yaaA00', NULL, NULL, 282, NULL, NULL, 16508),
(19524, '3rz2A00', NULL, NULL, 161, NULL, NULL, 16508),
(19525, '4d3pA00', NULL, NULL, 147, NULL, NULL, 16508),
(19526, '5mmzB00', NULL, NULL, 157, NULL, NULL, 16508),
(19527, '1knxA01', NULL, NULL, 133, NULL, NULL, 16509),
(19528, '3l2bA02', NULL, NULL, 116, NULL, NULL, 16509),
(19529, '2iojA00', NULL, NULL, 139, NULL, NULL, 16509),
(19530, '1ko7B01', NULL, NULL, 128, NULL, NULL, 16509),
(19531, '2nrqA00', NULL, NULL, 159, NULL, NULL, 16510),
(19532, '2pzzA01', NULL, NULL, 133, NULL, NULL, 16510),
(19533, '1vx7G00', NULL, NULL, 173, NULL, NULL, 16510),
(19534, '5gaeF00', NULL, NULL, 179, NULL, NULL, 16510),
(19535, '3c9gA01', NULL, NULL, 132, NULL, NULL, 16510),
(19536, '5dm6D00', NULL, NULL, 177, NULL, NULL, 16510),
(19537, '3u5eJ00', NULL, NULL, 174, NULL, NULL, 16510),
(19538, '2nwuB01', NULL, NULL, 138, NULL, NULL, 16510),
(19539, '4a17D00', NULL, NULL, 172, NULL, NULL, 16510),
(19540, '4wceD00', NULL, NULL, 179, NULL, NULL, 16510),
(19541, '1iq4A00', NULL, NULL, 179, NULL, NULL, 16510),
(19542, '5v7qF00', NULL, NULL, 187, NULL, NULL, 16510),
(19543, '3d7aA01', NULL, NULL, 137, NULL, NULL, 16510),
(19544, '1vwxJ00', NULL, NULL, 178, NULL, NULL, 16510),
(19545, '1vq8D00', NULL, NULL, 177, NULL, NULL, 16510),
(19546, '5x8tF00', NULL, NULL, 175, NULL, NULL, 16510),
(19547, '2ogkD00', NULL, NULL, 146, NULL, NULL, 16510),
(19548, '2wnyA00', NULL, NULL, 141, NULL, NULL, 16510),
(19549, '1mjiB00', NULL, NULL, 182, NULL, NULL, 16510),
(19550, '1om2A00', NULL, NULL, 95, NULL, NULL, 16511),
(19551, '3ax2A00', NULL, NULL, 73, NULL, NULL, 16511),
(19552, '2vqpA01', NULL, NULL, 122, NULL, NULL, 16512),
(19553, '4lp7A01', NULL, NULL, 121, NULL, NULL, 16512),
(19554, '3e2dA04', NULL, NULL, 32, NULL, NULL, 16513),
(19555, '3m65A02', NULL, NULL, 88, NULL, NULL, 16514),
(19556, '3ljcA02', NULL, NULL, 126, NULL, NULL, 16514),
(19557, '5fqdB03', NULL, NULL, 70, NULL, NULL, 16514),
(19558, '4ci2B03', NULL, NULL, 70, NULL, NULL, 16514),
(19559, '3zxaC02', NULL, NULL, 106, NULL, NULL, 16515),
(19560, '3lhnB00', NULL, NULL, 107, NULL, NULL, 16516),
(19561, '4u3qB00', NULL, NULL, 122, NULL, NULL, 16516),
(19562, '4wqnA00', NULL, NULL, 156, NULL, NULL, 16517),
(19563, '5dnoA00', NULL, NULL, 178, NULL, NULL, 16517),
(19564, '2eveA00', NULL, NULL, 157, NULL, NULL, 16517),
(19565, '2yu6A01', NULL, NULL, 134, NULL, NULL, 16517),
(19566, '4rcmB00', NULL, NULL, 167, NULL, NULL, 16517),
(19567, '2ar1A00', NULL, NULL, 172, NULL, NULL, 16517),
(19568, '3eopB00', NULL, NULL, 176, NULL, NULL, 16517),
(19569, '4rcjA01', NULL, NULL, 146, NULL, NULL, 16517),
(19570, '2gbsA00', NULL, NULL, 145, NULL, NULL, 16517),
(19571, '2g2xA00', NULL, NULL, 157, NULL, NULL, 16517);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(19572, '1zceA00', NULL, NULL, 155, NULL, NULL, 16517),
(19573, '4rdnA00', NULL, NULL, 167, NULL, NULL, 16517),
(19574, '2p5dA00', NULL, NULL, 147, NULL, NULL, 16517),
(19575, '2yudA01', NULL, NULL, 155, NULL, NULL, 16517),
(19576, '4u8tE00', NULL, NULL, 177, NULL, NULL, 16517),
(19577, '2hd9A00', NULL, NULL, 145, NULL, NULL, 16517),
(19578, '1gnlA01', NULL, NULL, 139, NULL, NULL, 16518),
(19579, '1gnlA02', NULL, NULL, 84, NULL, NULL, 16518),
(19580, '1gntA01', NULL, NULL, 139, NULL, NULL, 16518),
(19581, '1gntA02', NULL, NULL, 84, NULL, NULL, 16518),
(19582, '4f2vA00', NULL, NULL, 272, NULL, NULL, 16519),
(19583, '5h38A00', NULL, NULL, 284, NULL, NULL, 16519),
(19584, '3nrrA03', NULL, NULL, 283, NULL, NULL, 16519),
(19585, '4dq1B00', NULL, NULL, 321, NULL, NULL, 16519),
(19586, '6nnrA00', NULL, NULL, 264, NULL, NULL, 16519),
(19587, '3ix6B00', NULL, NULL, 269, NULL, NULL, 16519),
(19588, '4fqsA00', NULL, NULL, 263, NULL, NULL, 16519),
(19589, '1tisA00', NULL, NULL, 286, NULL, NULL, 16519),
(19590, '3irmD02', NULL, NULL, 286, NULL, NULL, 16519),
(19591, '4h0rB00', NULL, NULL, 266, NULL, NULL, 16519),
(19592, '5m4zB00', NULL, NULL, 290, NULL, NULL, 16519),
(19593, '4ez8A00', NULL, NULL, 287, NULL, NULL, 16519),
(19594, '4xscC00', NULL, NULL, 281, NULL, NULL, 16519),
(19595, '3ik0A00', NULL, NULL, 316, NULL, NULL, 16519),
(19596, '3kgbA00', NULL, NULL, 294, NULL, NULL, 16519),
(19597, '6qyaA00', NULL, NULL, 282, NULL, NULL, 16519),
(19598, '3hj3A03', NULL, NULL, 284, NULL, NULL, 16519),
(19599, '1b5eA00', NULL, NULL, 246, NULL, NULL, 16519),
(19600, '4eilA03', NULL, NULL, 286, NULL, NULL, 16519),
(19601, '1bkpA00', NULL, NULL, 278, NULL, NULL, 16519),
(19602, '3hj3D02', NULL, NULL, 45, NULL, NULL, 16519),
(19603, '2aazI00', NULL, NULL, 317, NULL, NULL, 16519),
(19604, '4iqbA00', NULL, NULL, 292, NULL, NULL, 16519),
(19605, '3ed7A00', NULL, NULL, 295, NULL, NULL, 16519),
(19606, '3qg2A03', NULL, NULL, 285, NULL, NULL, 16519),
(19607, '3v8hC00', NULL, NULL, 327, NULL, NULL, 16519),
(19608, '6aujB00', NULL, NULL, 272, NULL, NULL, 16519),
(19609, '1qzfA02', NULL, NULL, 59, NULL, NULL, 16519),
(19610, '1f28A00', NULL, NULL, 297, NULL, NULL, 16519),
(19611, '2w6kA00', NULL, NULL, 145, NULL, NULL, 16520),
(19612, '3by5A00', NULL, NULL, 132, NULL, NULL, 16520),
(19613, '3eeqB03', NULL, NULL, 112, NULL, NULL, 16520),
(19614, '5z62G00', NULL, NULL, 75, NULL, NULL, 16521),
(19615, '5b1aG00', NULL, NULL, 85, NULL, NULL, 16521),
(19616, '3hhsA03', NULL, NULL, 272, NULL, NULL, 16522),
(19617, '3hhsB03', NULL, NULL, 266, NULL, NULL, 16522),
(19618, '3gwjA03', NULL, NULL, 207, NULL, NULL, 16522),
(19619, '1hcyA03', NULL, NULL, 214, NULL, NULL, 16522),
(19620, '3wjmD03', NULL, NULL, 211, NULL, NULL, 16522),
(19621, '1llaA02', NULL, NULL, 251, NULL, NULL, 16522),
(19622, '3wkyB03', NULL, NULL, 260, NULL, NULL, 16522),
(19623, '3wjmA03', NULL, NULL, 214, NULL, NULL, 16522),
(19624, '4yzwA03', NULL, NULL, 279, NULL, NULL, 16522),
(19625, '2kt9A01', NULL, NULL, 99, NULL, NULL, 16523),
(19626, '3e1sA01', NULL, NULL, 105, NULL, NULL, 16524),
(19627, '1mw5A01', NULL, NULL, 145, NULL, NULL, 16525),
(19628, '3euaA03', NULL, NULL, 94, NULL, NULL, 16526),
(19629, '3fkjA03', NULL, NULL, 94, NULL, NULL, 16526),
(19630, '2jxuA00', NULL, NULL, 153, NULL, NULL, 16527),
(19631, '2h5nC00', NULL, NULL, 133, NULL, NULL, 16527),
(19632, '2ou3A01', NULL, NULL, 156, NULL, NULL, 16527),
(19633, '2nyaA04', NULL, NULL, 125, NULL, NULL, 16528),
(19634, '5b6cA01', NULL, NULL, 89, NULL, NULL, 16528),
(19635, '1g8kA04', NULL, NULL, 135, NULL, NULL, 16528),
(19636, '1h0hA04', NULL, NULL, 176, NULL, NULL, 16528),
(19637, '5t5iD00', NULL, NULL, 130, NULL, NULL, 16528),
(19638, '2napA04', NULL, NULL, 114, NULL, NULL, 16528),
(19639, '5ls7D00', NULL, NULL, 102, NULL, NULL, 16528),
(19640, '2vpzA05', NULL, NULL, 161, NULL, NULL, 16528),
(19641, '1q16A13', NULL, NULL, 152, NULL, NULL, 16528),
(19642, '2c45A00', NULL, NULL, 114, NULL, NULL, 16528),
(19643, '1pqhB00', NULL, NULL, 126, NULL, NULL, 16528),
(19644, '1tmoA04', NULL, NULL, 173, NULL, NULL, 16528);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(19645, '3qq8A01', NULL, NULL, 106, NULL, NULL, 16528),
(19646, '1ti2A04', NULL, NULL, 155, NULL, NULL, 16528),
(19647, '2o5iN04', NULL, NULL, 93, NULL, NULL, 16528),
(19648, '3h0gA02', NULL, NULL, 101, NULL, NULL, 16528),
(19649, '3plxB00', NULL, NULL, 102, NULL, NULL, 16528),
(19650, '5nqdA04', NULL, NULL, 136, NULL, NULL, 16528),
(19651, '1uheA00', NULL, NULL, 97, NULL, NULL, 16528),
(19652, '3ml1A04', NULL, NULL, 125, NULL, NULL, 16528),
(19653, '2a6hD04', NULL, NULL, 145, NULL, NULL, 16528),
(19654, '1wlfA01', NULL, NULL, 97, NULL, NULL, 16528),
(19655, '1cz4A01', NULL, NULL, 92, NULL, NULL, 16528),
(19656, '1dmrA04', NULL, NULL, 163, NULL, NULL, 16528),
(19657, '1eu1A04', NULL, NULL, 163, NULL, NULL, 16528),
(19658, '4rv0A01', NULL, NULL, 89, NULL, NULL, 16528),
(19659, '2ki8A01', NULL, NULL, 125, NULL, NULL, 16528),
(19660, '1ogyA04', NULL, NULL, 125, NULL, NULL, 16528),
(19661, '4ga6A01', NULL, NULL, 83, NULL, NULL, 16528),
(19662, '1cr5A01', NULL, NULL, 81, NULL, NULL, 16528),
(19663, '4aybA02', NULL, NULL, 114, NULL, NULL, 16528),
(19664, '5fj8A03', NULL, NULL, 126, NULL, NULL, 16528),
(19665, '1twfA03', NULL, NULL, 101, NULL, NULL, 16528),
(19666, '1y5iA04', NULL, NULL, 191, NULL, NULL, 16528),
(19667, '1yleA02', NULL, NULL, 67, NULL, NULL, 16528),
(19668, '4qiwA02', NULL, NULL, 102, NULL, NULL, 16528),
(19669, '2iv2X04', NULL, NULL, 117, NULL, NULL, 16528),
(19670, '1vc3B00', NULL, NULL, 96, NULL, NULL, 16528),
(19671, '5x4lA01', NULL, NULL, 88, NULL, NULL, 16528),
(19672, '1kqfA04', NULL, NULL, 176, NULL, NULL, 16528),
(19673, '3ougA00', NULL, NULL, 114, NULL, NULL, 16528),
(19674, '4c2mA03', NULL, NULL, 102, NULL, NULL, 16528),
(19675, '1qcsA01', NULL, NULL, 82, NULL, NULL, 16528),
(19676, '2e7zA04', NULL, NULL, 161, NULL, NULL, 16528),
(19677, '1musA01', NULL, NULL, 69, NULL, NULL, 16529),
(19678, '2r7rA08', NULL, NULL, 86, NULL, NULL, 16530),
(19679, '4griA05', NULL, NULL, 108, NULL, NULL, 16531),
(19680, '1irxA05', NULL, NULL, 93, NULL, NULL, 16531),
(19681, '2cfoA05', NULL, NULL, 112, NULL, NULL, 16531),
(19682, '1j09A05', NULL, NULL, 98, NULL, NULL, 16531),
(19683, '3afhA05', NULL, NULL, 106, NULL, NULL, 16531),
(19684, '5tgtA02', NULL, NULL, 124, NULL, NULL, 16531),
(19685, '2ja2A05', NULL, NULL, 111, NULL, NULL, 16531),
(19686, '2o5rA05', NULL, NULL, 93, NULL, NULL, 16531),
(19687, '3e7kA00', NULL, NULL, 56, NULL, NULL, 16532),
(19688, '2z1dA03', NULL, NULL, 53, NULL, NULL, 16533),
(19689, '1z6mA02', NULL, NULL, 61, NULL, NULL, 16534),
(19690, '2p9bA02', NULL, NULL, 115, NULL, NULL, 16535),
(19691, '2qr6A01', NULL, NULL, 34, NULL, NULL, 16536),
(19692, '4qiwP00', NULL, NULL, 49, NULL, NULL, 16537),
(19693, '6gmhL00', NULL, NULL, 58, NULL, NULL, 16537),
(19694, '1twfL00', NULL, NULL, 46, NULL, NULL, 16537),
(19695, '4aybP00', NULL, NULL, 48, NULL, NULL, 16537),
(19696, '5xogL00', NULL, NULL, 45, NULL, NULL, 16537),
(19697, '3h0gL00', NULL, NULL, 45, NULL, NULL, 16537),
(19698, '2rreA00', NULL, NULL, 78, NULL, NULL, 16538),
(19699, '3cm1C00', NULL, NULL, 139, NULL, NULL, 16539),
(19700, '1jmuB01', NULL, NULL, 145, NULL, NULL, 16540),
(19701, '2luhB00', NULL, NULL, 59, NULL, NULL, 16541),
(19702, '3wwtA00', NULL, NULL, 139, NULL, NULL, 16542),
(19703, '1bgfA00', NULL, NULL, 124, NULL, NULL, 16542),
(19704, '4ziaE00', NULL, NULL, 129, NULL, NULL, 16542),
(19705, '1s7mA03', NULL, NULL, 37, NULL, NULL, 16543),
(19706, '4chdA00', NULL, NULL, 142, NULL, NULL, 16544),
(19707, '1r6eA00', NULL, NULL, 168, NULL, NULL, 16545),
(19708, '1gzsB00', NULL, NULL, 165, NULL, NULL, 16545),
(19709, '2jokA01', NULL, NULL, 177, NULL, NULL, 16545),
(19710, '1m4uA02', NULL, NULL, 66, NULL, NULL, 16546),
(19711, '2im9A03', NULL, NULL, 36, NULL, NULL, 16546),
(19712, '2m3xC02', NULL, NULL, 69, NULL, NULL, 16547),
(19713, '4akgA13', NULL, NULL, 95, NULL, NULL, 16548),
(19714, '1jeyA03', NULL, NULL, 63, NULL, NULL, 16549),
(19715, '3sjlE00', NULL, NULL, 137, NULL, NULL, 16550),
(19716, '2oizH00', NULL, NULL, 135, NULL, NULL, 16550),
(19717, '1mdaL00', NULL, NULL, 121, NULL, NULL, 16550),
(19718, '4o1qC00', NULL, NULL, 137, NULL, NULL, 16550);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(19719, '3bg5B02', NULL, NULL, 24, NULL, NULL, 16551),
(19720, '2azeB00', NULL, NULL, 106, NULL, NULL, 16552),
(19721, '3ljeA00', NULL, NULL, 130, NULL, NULL, 16553),
(19722, '3ql1A00', NULL, NULL, 124, NULL, NULL, 16553),
(19723, '1dy5A00', NULL, NULL, 124, NULL, NULL, 16553),
(19724, '2bwkA00', NULL, NULL, 121, NULL, NULL, 16553),
(19725, '1n1xA00', NULL, NULL, 124, NULL, NULL, 16553),
(19726, '3f8gA00', NULL, NULL, 125, NULL, NULL, 16553),
(19727, '3zbvA00', NULL, NULL, 121, NULL, NULL, 16553),
(19728, '2e0jA00', NULL, NULL, 129, NULL, NULL, 16553),
(19729, '1dzaB00', NULL, NULL, 129, NULL, NULL, 16553),
(19730, '2hkyA00', NULL, NULL, 129, NULL, NULL, 16553),
(19731, '1y94A00', NULL, NULL, 124, NULL, NULL, 16553),
(19732, '3tsrB00', NULL, NULL, 125, NULL, NULL, 16553),
(19733, '6enpA00', NULL, NULL, 128, NULL, NULL, 16553),
(19734, '1z5fA00', NULL, NULL, 105, NULL, NULL, 16553),
(19735, '2zpoA00', NULL, NULL, 119, NULL, NULL, 16553),
(19736, '4perB00', NULL, NULL, 113, NULL, NULL, 16553),
(19737, '1rnfA00', NULL, NULL, 120, NULL, NULL, 16553),
(19738, '5ar6A00', NULL, NULL, 122, NULL, NULL, 16553),
(19739, '2j4tA00', NULL, NULL, 119, NULL, NULL, 16553),
(19740, '3ljdA00', NULL, NULL, 126, NULL, NULL, 16553),
(19741, '1gqvA00', NULL, NULL, 135, NULL, NULL, 16553),
(19742, '4qfiB00', NULL, NULL, 126, NULL, NULL, 16553),
(19743, '1gv7A00', NULL, NULL, 123, NULL, NULL, 16553),
(19744, '1c9vA00', NULL, NULL, 124, NULL, NULL, 16553),
(19745, '1b6vA00', NULL, NULL, 124, NULL, NULL, 16553),
(19746, '4aohA00', NULL, NULL, 124, NULL, NULL, 16553),
(19747, '3zbwB00', NULL, NULL, 121, NULL, NULL, 16553),
(19748, '1m07A00', NULL, NULL, 111, NULL, NULL, 16553),
(19749, '3snfA00', NULL, NULL, 104, NULL, NULL, 16553),
(19750, '2vq9A00', NULL, NULL, 123, NULL, NULL, 16553),
(19751, '1m58A00', NULL, NULL, 106, NULL, NULL, 16553),
(19752, '2p7sA00', NULL, NULL, 114, NULL, NULL, 16553),
(19753, '4b36A00', NULL, NULL, 126, NULL, NULL, 16553),
(19754, '3fkzA00', NULL, NULL, 124, NULL, NULL, 16553),
(19755, '2e0oB00', NULL, NULL, 129, NULL, NULL, 16553),
(19756, '1agiA00', NULL, NULL, 125, NULL, NULL, 16553),
(19757, '1rraA00', NULL, NULL, 124, NULL, NULL, 16553),
(19758, '1kvzA00', NULL, NULL, 107, NULL, NULL, 16553),
(19759, '4x08A00', NULL, NULL, 134, NULL, NULL, 16553),
(19760, '1oj8A00', NULL, NULL, 105, NULL, NULL, 16553),
(19761, '2nuiA00', NULL, NULL, 124, NULL, NULL, 16553),
(19762, '2joxA00', NULL, NULL, 106, NULL, NULL, 16554),
(19763, '3n50B02', NULL, NULL, 67, NULL, NULL, 16555),
(19764, '5u0lB01', NULL, NULL, 307, NULL, NULL, 16556),
(19765, '1ez0B01', NULL, NULL, 318, NULL, NULL, 16556),
(19766, '1vluA01', NULL, NULL, 264, NULL, NULL, 16556),
(19767, '4e3xA01', NULL, NULL, 345, NULL, NULL, 16556),
(19768, '5iuvA01', NULL, NULL, 269, NULL, NULL, 16556),
(19769, '4f3xA01', NULL, NULL, 283, NULL, NULL, 16556),
(19770, '4zz7A01', NULL, NULL, 282, NULL, NULL, 16556),
(19771, '3b4wA01', NULL, NULL, 304, NULL, NULL, 16556),
(19772, '3ifgA01', NULL, NULL, 294, NULL, NULL, 16556),
(19773, '4i3vA01', NULL, NULL, 284, NULL, NULL, 16556),
(19774, '3jz4A01', NULL, NULL, 291, NULL, NULL, 16556),
(19775, '4h7nA01', NULL, NULL, 281, NULL, NULL, 16556),
(19776, '3szaA01', NULL, NULL, 247, NULL, NULL, 16556),
(19777, '2y5dA01', NULL, NULL, 313, NULL, NULL, 16556),
(19778, '1uxtA01', NULL, NULL, 273, NULL, NULL, 16556),
(19779, '3my7C01', NULL, NULL, 237, NULL, NULL, 16556),
(19780, '4ogdA01', NULL, NULL, 275, NULL, NULL, 16556),
(19781, '3rjlA01', NULL, NULL, 325, NULL, NULL, 16556),
(19782, '2impA01', NULL, NULL, 288, NULL, NULL, 16556),
(19783, '2o2pA01', NULL, NULL, 301, NULL, NULL, 16556),
(19784, '3r64A01', NULL, NULL, 305, NULL, NULL, 16556),
(19785, '1ad3A01', NULL, NULL, 247, NULL, NULL, 16556),
(19786, '5mypA01', NULL, NULL, 282, NULL, NULL, 16556),
(19787, '6qapC01', NULL, NULL, 297, NULL, NULL, 16556),
(19788, '1o20A01', NULL, NULL, 278, NULL, NULL, 16556),
(19789, '1t90A01', NULL, NULL, 281, NULL, NULL, 16556),
(19790, '4cbbA01', NULL, NULL, 253, NULL, NULL, 16556),
(19791, '4yweA01', NULL, NULL, 294, NULL, NULL, 16556);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(19792, '3etfA01', NULL, NULL, 272, NULL, NULL, 16556),
(19793, '1a4sA01', NULL, NULL, 260, NULL, NULL, 16556),
(19794, '1o9jC01', NULL, NULL, 311, NULL, NULL, 16556),
(19795, '3prlD01', NULL, NULL, 289, NULL, NULL, 16556),
(19796, '1ag8A01', NULL, NULL, 269, NULL, NULL, 16556),
(19797, '2jg7A01', NULL, NULL, 317, NULL, NULL, 16556),
(19798, '5abmA01', NULL, NULL, 303, NULL, NULL, 16556),
(19799, '4knaB01', NULL, NULL, 304, NULL, NULL, 16556),
(19800, '1bi9A01', NULL, NULL, 263, NULL, NULL, 16556),
(19801, '4zvxA01', NULL, NULL, 302, NULL, NULL, 16556),
(19802, '5j6bA01', NULL, NULL, 295, NULL, NULL, 16556),
(19803, '3pqaB01', NULL, NULL, 279, NULL, NULL, 16556),
(19804, '5jfnC01', NULL, NULL, 259, NULL, NULL, 16556),
(19805, '4dngA01', NULL, NULL, 280, NULL, NULL, 16556),
(19806, '4qtoD01', NULL, NULL, 301, NULL, NULL, 16556),
(19807, '5j78A01', NULL, NULL, 264, NULL, NULL, 16556),
(19808, '4oe5A01', NULL, NULL, 304, NULL, NULL, 16556),
(19809, '3qanC01', NULL, NULL, 326, NULL, NULL, 16556),
(19810, '3ek1G01', NULL, NULL, 294, NULL, NULL, 16556),
(19811, '5vbfA01', NULL, NULL, 288, NULL, NULL, 16556),
(19812, '3rh9A01', NULL, NULL, 292, NULL, NULL, 16556),
(19813, '5mz5B01', NULL, NULL, 291, NULL, NULL, 16556),
(19814, '1uzbA01', NULL, NULL, 326, NULL, NULL, 16556),
(19815, '4qf6L01', NULL, NULL, 304, NULL, NULL, 16556),
(19816, '2h5gB01', NULL, NULL, 282, NULL, NULL, 16556),
(19817, '4qgkA01', NULL, NULL, 265, NULL, NULL, 16556),
(19818, '4jdcA01', NULL, NULL, 345, NULL, NULL, 16556),
(19819, '4pz2A01', NULL, NULL, 300, NULL, NULL, 16556),
(19820, '4ghkB01', NULL, NULL, 268, NULL, NULL, 16556),
(19821, '5ekcF01', NULL, NULL, 302, NULL, NULL, 16556),
(19822, '3vz0A01', NULL, NULL, 269, NULL, NULL, 16556),
(19823, '4jbeB01', NULL, NULL, 272, NULL, NULL, 16556),
(19824, '3iwkC01', NULL, NULL, 311, NULL, NULL, 16556),
(19825, '4iymC01', NULL, NULL, 282, NULL, NULL, 16556),
(19826, '5a2dC01', NULL, NULL, 305, NULL, NULL, 16556),
(19827, '4pxnA01', NULL, NULL, 312, NULL, NULL, 16556),
(19828, '4c3sA01', NULL, NULL, 259, NULL, NULL, 16556),
(19829, '3k2wA01', NULL, NULL, 303, NULL, NULL, 16556),
(19830, '5jryA01', NULL, NULL, 295, NULL, NULL, 16556),
(19831, '3i44A01', NULL, NULL, 285, NULL, NULL, 16556),
(19832, '1euhA01', NULL, NULL, 275, NULL, NULL, 16556),
(19833, '3iwjA01', NULL, NULL, 311, NULL, NULL, 16556),
(19834, '4go3E01', NULL, NULL, 302, NULL, NULL, 16556),
(19835, '3v4cB01', NULL, NULL, 312, NULL, NULL, 16556),
(19836, '3ty7B01', NULL, NULL, 289, NULL, NULL, 16556),
(19837, '3u4jA01', NULL, NULL, 304, NULL, NULL, 16556),
(19838, '1wndA01', NULL, NULL, 283, NULL, NULL, 16556),
(19839, '4itbA01', NULL, NULL, 266, NULL, NULL, 16556),
(19840, '4o5hC01', NULL, NULL, 321, NULL, NULL, 16556),
(19841, '4oe6A01', NULL, NULL, 295, NULL, NULL, 16556),
(19842, '3ju8A01', NULL, NULL, 299, NULL, NULL, 16556),
(19843, '4i9bA01', NULL, NULL, 306, NULL, NULL, 16556),
(19844, '4qyjA01', NULL, NULL, 289, NULL, NULL, 16556),
(19845, '4lihA01', NULL, NULL, 276, NULL, NULL, 16556),
(19846, '4u3wA01', NULL, NULL, 290, NULL, NULL, 16556),
(19847, '4i8pB01', NULL, NULL, 307, NULL, NULL, 16556),
(19848, '2j6lA01', NULL, NULL, 300, NULL, NULL, 16556),
(19849, '6dbbC01', NULL, NULL, 317, NULL, NULL, 16556),
(19850, '5ucdA01', NULL, NULL, 232, NULL, NULL, 16556),
(19851, '1o04A01', NULL, NULL, 303, NULL, NULL, 16556),
(19852, '2d4eA01', NULL, NULL, 309, NULL, NULL, 16556),
(19853, '5l2mA01', NULL, NULL, 311, NULL, NULL, 16556),
(19854, '4jz6A01', NULL, NULL, 253, NULL, NULL, 16556),
(19855, '3rosA01', NULL, NULL, 271, NULL, NULL, 16556),
(19856, '3r31A01', NULL, NULL, 260, NULL, NULL, 16556),
(19857, '5fhzF01', NULL, NULL, 295, NULL, NULL, 16556),
(19858, '5kloA01', NULL, NULL, 289, NULL, NULL, 16556),
(19859, '4o6rA01', NULL, NULL, 302, NULL, NULL, 16556),
(19860, '2w8nA01', NULL, NULL, 296, NULL, NULL, 16556),
(19861, '3k9dA01', NULL, NULL, 263, NULL, NULL, 16556),
(19862, '4pxlA01', NULL, NULL, 296, NULL, NULL, 16556),
(19863, '2g50F03', NULL, NULL, 103, NULL, NULL, 16557),
(19864, '2e28A02', NULL, NULL, 97, NULL, NULL, 16557);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(19865, '4imaA03', NULL, NULL, 103, NULL, NULL, 16557),
(19866, '3gg8C03', NULL, NULL, 97, NULL, NULL, 16557),
(19867, '1e0tA03', NULL, NULL, 99, NULL, NULL, 16557),
(19868, '3qv9A03', NULL, NULL, 101, NULL, NULL, 16557),
(19869, '3g2gA03', NULL, NULL, 65, NULL, NULL, 16557),
(19870, '1a3wA03', NULL, NULL, 102, NULL, NULL, 16557),
(19871, '3khdB03', NULL, NULL, 98, NULL, NULL, 16557),
(19872, '3gr4A03', NULL, NULL, 103, NULL, NULL, 16557),
(19873, '3t05A02', NULL, NULL, 97, NULL, NULL, 16557),
(19874, '3qtgA02', NULL, NULL, 94, NULL, NULL, 16557),
(19875, '1pkyC03', NULL, NULL, 68, NULL, NULL, 16557),
(19876, '3hqnA03', NULL, NULL, 101, NULL, NULL, 16557),
(19877, '4drsA03', NULL, NULL, 97, NULL, NULL, 16557),
(19878, '3nbxX04', NULL, NULL, 107, NULL, NULL, 16558),
(19879, '3euhA02', NULL, NULL, 193, NULL, NULL, 16559),
(19880, '1balA00', NULL, NULL, 51, NULL, NULL, 16560),
(19881, '4qoyE00', NULL, NULL, 46, NULL, NULL, 16560),
(19882, '1w3dA00', NULL, NULL, 55, NULL, NULL, 16560),
(19883, '1w85I00', NULL, NULL, 49, NULL, NULL, 16560),
(19884, '1zy8K00', NULL, NULL, 44, NULL, NULL, 16560),
(19885, '1w4iA01', NULL, NULL, 44, NULL, NULL, 16560),
(19886, '1w4hA00', NULL, NULL, 47, NULL, NULL, 16560),
(19887, '2f5zK00', NULL, NULL, 64, NULL, NULL, 16560),
(19888, '2eq9C00', NULL, NULL, 41, NULL, NULL, 16560),
(19889, '2kngA01', NULL, NULL, 43, NULL, NULL, 16560),
(19890, '3rnmF00', NULL, NULL, 58, NULL, NULL, 16560),
(19891, '4rv7D00', NULL, NULL, 155, NULL, NULL, 16561),
(19892, '6gywA00', NULL, NULL, 175, NULL, NULL, 16561),
(19893, '3c1yA01', NULL, NULL, 138, NULL, NULL, 16561),
(19894, '2fb5A02', NULL, NULL, 132, NULL, NULL, 16561),
(19895, '3wajA04', NULL, NULL, 88, NULL, NULL, 16562),
(19896, '2kcpA01', NULL, NULL, 68, NULL, NULL, 16563),
(19897, '2kcoA01', NULL, NULL, 76, NULL, NULL, 16563),
(19898, '3bpqA00', NULL, NULL, 52, NULL, NULL, 16564),
(19899, '4htgA03', NULL, NULL, 88, NULL, NULL, 16565),
(19900, '5h6oA03', NULL, NULL, 91, NULL, NULL, 16565),
(19901, '3ecrB03', NULL, NULL, 122, NULL, NULL, 16565),
(19902, '4mlvA03', NULL, NULL, 85, NULL, NULL, 16565),
(19903, '1gtkA03', NULL, NULL, 86, NULL, NULL, 16565),
(19904, '5mmiO00', NULL, NULL, 126, NULL, NULL, 16566),
(19905, '5v7qN00', NULL, NULL, 117, NULL, NULL, 16566),
(19906, '6hmaL00', NULL, NULL, 120, NULL, NULL, 16566),
(19907, '1gd8A00', NULL, NULL, 118, NULL, NULL, 16566),
(19908, '2cqmA01', NULL, NULL, 108, NULL, NULL, 16566),
(19909, '6qulO01', NULL, NULL, 104, NULL, NULL, 16566),
(19910, '1vw4L01', NULL, NULL, 136, NULL, NULL, 16566),
(19911, '5dm6K00', NULL, NULL, 113, NULL, NULL, 16566),
(19912, '5xymN00', NULL, NULL, 117, NULL, NULL, 16566),
(19913, '2phnA02', NULL, NULL, 95, NULL, NULL, 16567),
(19914, '1e8pA00', NULL, NULL, 46, NULL, NULL, 16568),
(19915, '2j4mA01', NULL, NULL, 36, NULL, NULL, 16568),
(19916, '2j4mA02', NULL, NULL, 42, NULL, NULL, 16568),
(19917, '2lsmA00', NULL, NULL, 61, NULL, NULL, 16569),
(19918, '3dfzA02', NULL, NULL, 75, NULL, NULL, 16570),
(19919, '2iutA01', NULL, NULL, 105, NULL, NULL, 16571),
(19920, '2iusD01', NULL, NULL, 105, NULL, NULL, 16571),
(19921, '2b5uA03', NULL, NULL, 98, NULL, NULL, 16572),
(19922, '4e0iA01', NULL, NULL, 47, NULL, NULL, 16573),
(19923, '1ygsA00', NULL, NULL, 199, NULL, NULL, 16574),
(19924, '3gmjA00', NULL, NULL, 199, NULL, NULL, 16574),
(19925, '5xodA00', NULL, NULL, 199, NULL, NULL, 16574),
(19926, '5bviA00', NULL, NULL, 185, NULL, NULL, 16574),
(19927, '5jelA00', NULL, NULL, 242, NULL, NULL, 16574),
(19928, '5jemA00', NULL, NULL, 213, NULL, NULL, 16574),
(19929, '1u7vB00', NULL, NULL, 236, NULL, NULL, 16574),
(19930, '3dshA01', NULL, NULL, 202, NULL, NULL, 16574),
(19931, '1khuA00', NULL, NULL, 198, NULL, NULL, 16574),
(19932, '1khxA00', NULL, NULL, 203, NULL, NULL, 16574),
(19933, '4r9pA00', NULL, NULL, 214, NULL, NULL, 16574),
(19934, '3fhkA01', NULL, NULL, 27, NULL, NULL, 16575),
(19935, '4n7qA03', NULL, NULL, 33, NULL, NULL, 16576),
(19936, '3epoA03', NULL, NULL, 35, NULL, NULL, 16576),
(19937, '4u3jA01', NULL, NULL, 269, NULL, NULL, 16577),
(19938, '3v3tA01', NULL, NULL, 213, NULL, NULL, 16577);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(19939, '4u3jB01', NULL, NULL, 259, NULL, NULL, 16577),
(19940, '3zidB00', NULL, NULL, 373, NULL, NULL, 16577),
(19941, '4b45A01', NULL, NULL, 223, NULL, NULL, 16577),
(19942, '3m89A00', NULL, NULL, 406, NULL, NULL, 16577),
(19943, '2r75101', NULL, NULL, 220, NULL, NULL, 16577),
(19944, '4m8iA01', NULL, NULL, 210, NULL, NULL, 16577),
(19945, '5mn7A01', NULL, NULL, 166, NULL, NULL, 16577),
(19946, '6e7bB01', NULL, NULL, 259, NULL, NULL, 16577),
(19947, '1w5fA01', NULL, NULL, 195, NULL, NULL, 16577),
(19948, '4e6eA01', NULL, NULL, 218, NULL, NULL, 16577),
(19949, '4b46A01', NULL, NULL, 229, NULL, NULL, 16577),
(19950, '5nquA01', NULL, NULL, 268, NULL, NULL, 16577),
(19951, '3cb2B01', NULL, NULL, 269, NULL, NULL, 16577),
(19952, '1rq2A01', NULL, NULL, 220, NULL, NULL, 16577),
(19953, '4i4tB01', NULL, NULL, 259, NULL, NULL, 16577),
(19954, '3zbqA00', NULL, NULL, 333, NULL, NULL, 16577),
(19955, '2vapA01', NULL, NULL, 212, NULL, NULL, 16577),
(19956, '3r4vA01', NULL, NULL, 295, NULL, NULL, 16577),
(19957, '2vxyA01', NULL, NULL, 220, NULL, NULL, 16577),
(19958, '1ofuA01', NULL, NULL, 213, NULL, NULL, 16577),
(19959, '4ei7A02', NULL, NULL, 234, NULL, NULL, 16577),
(19960, '2btqA01', NULL, NULL, 377, NULL, NULL, 16577),
(19961, '2btqB01', NULL, NULL, 266, NULL, NULL, 16577),
(19962, '3vpaB00', NULL, NULL, 308, NULL, NULL, 16577),
(19963, '2btoA01', NULL, NULL, 272, NULL, NULL, 16577),
(19964, '2akjA03', NULL, NULL, 131, NULL, NULL, 16578),
(19965, '5h92B03', NULL, NULL, 151, NULL, NULL, 16578),
(19966, '2xsjA03', NULL, NULL, 188, NULL, NULL, 16578),
(19967, '2xsjB02', NULL, NULL, 183, NULL, NULL, 16578),
(19968, '2akjA02', NULL, NULL, 186, NULL, NULL, 16578),
(19969, '2v4jB02', NULL, NULL, 183, NULL, NULL, 16578),
(19970, '2v4jA03', NULL, NULL, 188, NULL, NULL, 16578),
(19971, '3or1B02', NULL, NULL, 188, NULL, NULL, 16578),
(19972, '3or1A03', NULL, NULL, 188, NULL, NULL, 16578),
(19973, '3b0hA03', NULL, NULL, 131, NULL, NULL, 16578),
(19974, '3b0hA02', NULL, NULL, 186, NULL, NULL, 16578),
(19975, '3b0gA02', NULL, NULL, 186, NULL, NULL, 16578),
(19976, '3b0gA03', NULL, NULL, 132, NULL, NULL, 16578),
(19977, '4s39A02', NULL, NULL, 118, NULL, NULL, 16578),
(19978, '3mm5B02', NULL, NULL, 191, NULL, NULL, 16578),
(19979, '3mm5A03', NULL, NULL, 186, NULL, NULL, 16578),
(19980, '3noyB02', NULL, NULL, 101, NULL, NULL, 16578),
(19981, '6c3mA03', NULL, NULL, 143, NULL, NULL, 16578),
(19982, '1zj8A03', NULL, NULL, 165, NULL, NULL, 16578),
(19983, '5h8yD02', NULL, NULL, 212, NULL, NULL, 16578),
(19984, '6c3mA02', NULL, NULL, 193, NULL, NULL, 16578),
(19985, '1zj8A04', NULL, NULL, 148, NULL, NULL, 16578),
(19986, '2xu8A00', NULL, NULL, 116, NULL, NULL, 16579),
(19987, '3zheB02', NULL, NULL, 186, NULL, NULL, 16580),
(19988, '2m5sA00', NULL, NULL, 130, NULL, NULL, 16581),
(19989, '2jiwA03', NULL, NULL, 183, NULL, NULL, 16582),
(19990, '2v5cA03', NULL, NULL, 130, NULL, NULL, 16582),
(19991, '2xj7B03', NULL, NULL, 269, NULL, NULL, 16582),
(19992, '2yrtA00', NULL, NULL, 75, NULL, NULL, 16583),
(19993, '4aqzA00', NULL, NULL, 138, NULL, NULL, 16584),
(19994, '4ymuD00', NULL, NULL, 220, NULL, NULL, 16585),
(19995, '3rlfF04', NULL, NULL, 245, NULL, NULL, 16585),
(19996, '3rlfG01', NULL, NULL, 283, NULL, NULL, 16585),
(19997, '2onkC00', NULL, NULL, 261, NULL, NULL, 16585),
(19998, '3d31C00', NULL, NULL, 260, NULL, NULL, 16585),
(19999, '3tuiA00', NULL, NULL, 217, NULL, NULL, 16585),
(20000, '4tquN00', NULL, NULL, 284, NULL, NULL, 16585),
(20001, '4tquM01', NULL, NULL, 249, NULL, NULL, 16585),
(20002, '1xjhA00', NULL, NULL, 62, NULL, NULL, 16586),
(20003, '1vq0A02', NULL, NULL, 60, NULL, NULL, 16586),
(20004, '1vzyA02', NULL, NULL, 57, NULL, NULL, 16586),
(20005, '3l9aX01', NULL, NULL, 75, NULL, NULL, 16587),
(20006, '1wiiA01', NULL, NULL, 62, NULL, NULL, 16588),
(20007, '5xogM00', NULL, NULL, 68, NULL, NULL, 16588),
(20008, '2xqhA01', NULL, NULL, 135, NULL, NULL, 16589),
(20009, '3wp8A02', NULL, NULL, 152, NULL, NULL, 16589),
(20010, '3laaA00', NULL, NULL, 175, NULL, NULL, 16589),
(20011, '3ntnB01', NULL, NULL, 168, NULL, NULL, 16589);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(20012, '3s6lD00', NULL, NULL, 178, NULL, NULL, 16589),
(20013, '1k7iA01', NULL, NULL, 234, NULL, NULL, 16589),
(20014, '1p9hA00', NULL, NULL, 189, NULL, NULL, 16589),
(20015, '3u1rA01', NULL, NULL, 231, NULL, NULL, 16589),
(20016, '1g9kA01', NULL, NULL, 233, NULL, NULL, 16589),
(20017, '3hbvP02', NULL, NULL, 242, NULL, NULL, 16589),
(20018, '1kapP01', NULL, NULL, 246, NULL, NULL, 16589),
(20019, '3ultA00', NULL, NULL, 133, NULL, NULL, 16589),
(20020, '2yo0A01', NULL, NULL, 159, NULL, NULL, 16589),
(20021, '5d7wA01', NULL, NULL, 237, NULL, NULL, 16589),
(20022, '2om6A02', NULL, NULL, 79, NULL, NULL, 16590),
(20023, '2hu9A01', NULL, NULL, 61, NULL, NULL, 16591),
(20024, '6f2mA02', NULL, NULL, 87, NULL, NULL, 16592),
(20025, '2fipA00', NULL, NULL, 115, NULL, NULL, 16593),
(20026, '1ywmA02', NULL, NULL, 78, NULL, NULL, 16594),
(20027, '1o70A01', NULL, NULL, 140, NULL, NULL, 16595),
(20028, '1o70A02', NULL, NULL, 156, NULL, NULL, 16595),
(20029, '2vxpA00', NULL, NULL, 132, NULL, NULL, 16595),
(20030, '1w7dA00', NULL, NULL, 137, NULL, NULL, 16595),
(20031, '5wt7A00', NULL, NULL, 140, NULL, NULL, 16595),
(20032, '1nyoA00', NULL, NULL, 163, NULL, NULL, 16595),
(20033, '2qtsA03', NULL, NULL, 88, NULL, NULL, 16596),
(20034, '1iuqA02', NULL, NULL, 282, NULL, NULL, 16597),
(20035, '2bx2L02', NULL, NULL, 110, NULL, NULL, 16598),
(20036, '6on6A00', NULL, NULL, 118, NULL, NULL, 16599),
(20037, '4npyA01', NULL, NULL, 110, NULL, NULL, 16599),
(20038, '4j6rH01', NULL, NULL, 121, NULL, NULL, 16599),
(20039, '5dzoA00', NULL, NULL, 107, NULL, NULL, 16599),
(20040, '4jg1L01', NULL, NULL, 108, NULL, NULL, 16599),
(20041, '4jg1L02', NULL, NULL, 106, NULL, NULL, 16599),
(20042, '2edoA00', NULL, NULL, 121, NULL, NULL, 16599),
(20043, '5xlia01', NULL, NULL, 107, NULL, NULL, 16599),
(20044, '3e0gA03', NULL, NULL, 80, NULL, NULL, 16599),
(20045, '3e0gA02', NULL, NULL, 110, NULL, NULL, 16599),
(20046, '1dqqB01', NULL, NULL, 113, NULL, NULL, 16599),
(20047, '3e0gA01', NULL, NULL, 84, NULL, NULL, 16599),
(20048, '5ibtH01', NULL, NULL, 125, NULL, NULL, 16599),
(20049, '1bquA02', NULL, NULL, 111, NULL, NULL, 16599),
(20050, '4grwH00', NULL, NULL, 123, NULL, NULL, 16599),
(20051, '4unuA00', NULL, NULL, 111, NULL, NULL, 16599),
(20052, '3e0gA05', NULL, NULL, 98, NULL, NULL, 16599),
(20053, '3e0gA04', NULL, NULL, 101, NULL, NULL, 16599),
(20054, '1bquA01', NULL, NULL, 104, NULL, NULL, 16599),
(20055, '6mtpB01', NULL, NULL, 109, NULL, NULL, 16599),
(20056, '1my5A00', NULL, NULL, 114, NULL, NULL, 16599),
(20057, '2wzpD00', NULL, NULL, 123, NULL, NULL, 16599),
(20058, '2bnuA02', NULL, NULL, 90, NULL, NULL, 16599),
(20059, '4pb0L01', NULL, NULL, 113, NULL, NULL, 16599),
(20060, '2bnuA01', NULL, NULL, 113, NULL, NULL, 16599),
(20061, '1t2qH01', NULL, NULL, 119, NULL, NULL, 16599),
(20062, '1blnB01', NULL, NULL, 119, NULL, NULL, 16599),
(20063, '4wnqB01', NULL, NULL, 116, NULL, NULL, 16599),
(20064, '2zuqC01', NULL, NULL, 119, NULL, NULL, 16599),
(20065, '6nrqC00', NULL, NULL, 113, NULL, NULL, 16599),
(20066, '1kcuH01', NULL, NULL, 116, NULL, NULL, 16599),
(20067, '1kcuH02', NULL, NULL, 99, NULL, NULL, 16599),
(20068, '3pl6D01', NULL, NULL, 138, NULL, NULL, 16599),
(20069, '5tjwK00', NULL, NULL, 137, NULL, NULL, 16599),
(20070, '5b71A01', NULL, NULL, 110, NULL, NULL, 16599),
(20071, '5jdjA00', NULL, NULL, 91, NULL, NULL, 16599),
(20072, '3ab0C00', NULL, NULL, 106, NULL, NULL, 16599),
(20073, '6d4aA00', NULL, NULL, 127, NULL, NULL, 16599),
(20074, '4p2yA03', NULL, NULL, 90, NULL, NULL, 16599),
(20075, '5dtfB01', NULL, NULL, 111, NULL, NULL, 16599),
(20076, '6c6zD01', NULL, NULL, 111, NULL, NULL, 16599),
(20077, '3fruA02', NULL, NULL, 92, NULL, NULL, 16599),
(20078, '6b14L01', NULL, NULL, 109, NULL, NULL, 16599),
(20079, '3o2dL01', NULL, NULL, 112, NULL, NULL, 16599),
(20080, '4ydkH01', NULL, NULL, 129, NULL, NULL, 16599),
(20081, '1kgcD01', NULL, NULL, 112, NULL, NULL, 16599),
(20082, '5jmoC00', NULL, NULL, 117, NULL, NULL, 16599),
(20083, '5v7rL01', NULL, NULL, 109, NULL, NULL, 16599),
(20084, '3iagC03', NULL, NULL, 94, NULL, NULL, 16599);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(20085, '5vi4B02', NULL, NULL, 94, NULL, NULL, 16599),
(20086, '4qhlA01', NULL, NULL, 121, NULL, NULL, 16599),
(20087, '2pkdA00', NULL, NULL, 111, NULL, NULL, 16599),
(20088, '6aodA01', NULL, NULL, 108, NULL, NULL, 16599),
(20089, '4j1uF01', NULL, NULL, 116, NULL, NULL, 16599),
(20090, '1kb5L01', NULL, NULL, 108, NULL, NULL, 16599),
(20091, '5f9wB01', NULL, NULL, 122, NULL, NULL, 16599),
(20092, '5b6fA01', NULL, NULL, 113, NULL, NULL, 16599),
(20093, '6r2sA01', NULL, NULL, 108, NULL, NULL, 16599),
(20094, '6ddrA01', NULL, NULL, 108, NULL, NULL, 16599),
(20095, '5kanI01', NULL, NULL, 107, NULL, NULL, 16599),
(20096, '2zkhL01', NULL, NULL, 107, NULL, NULL, 16599),
(20097, '3rkdD01', NULL, NULL, 124, NULL, NULL, 16599),
(20098, '2ed8A01', NULL, NULL, 86, NULL, NULL, 16599),
(20099, '2x89A00', NULL, NULL, 128, NULL, NULL, 16599),
(20100, '3c5sB01', NULL, NULL, 115, NULL, NULL, 16599),
(20101, '3iduB00', NULL, NULL, 127, NULL, NULL, 16599),
(20102, '5ivnA00', NULL, NULL, 131, NULL, NULL, 16599),
(20103, '5hsfA00', NULL, NULL, 108, NULL, NULL, 16599),
(20104, '3p0gB00', NULL, NULL, 126, NULL, NULL, 16599),
(20105, '2e27L00', NULL, NULL, 119, NULL, NULL, 16599),
(20106, '5drxB01', NULL, NULL, 114, NULL, NULL, 16599),
(20107, '4ll9B01', NULL, NULL, 98, NULL, NULL, 16599),
(20108, '3oazH01', NULL, NULL, 124, NULL, NULL, 16599),
(20109, '2fb4L01', NULL, NULL, 111, NULL, NULL, 16599),
(20110, '3up1A02', NULL, NULL, 111, NULL, NULL, 16599),
(20111, '2oz4L01', NULL, NULL, 108, NULL, NULL, 16599),
(20112, '2ck2B00', NULL, NULL, 96, NULL, NULL, 16599),
(20113, '1kenH01', NULL, NULL, 120, NULL, NULL, 16599),
(20114, '3pdgA00', NULL, NULL, 98, NULL, NULL, 16599),
(20115, '4pjxF01', NULL, NULL, 117, NULL, NULL, 16599),
(20116, '4lsdF00', NULL, NULL, 99, NULL, NULL, 16599),
(20117, '4xnyL01', NULL, NULL, 105, NULL, NULL, 16599),
(20118, '2bmkB01', NULL, NULL, 125, NULL, NULL, 16599),
(20119, '3obaA02', NULL, NULL, 126, NULL, NULL, 16599),
(20120, '4lkcB01', NULL, NULL, 128, NULL, NULL, 16599),
(20121, '4gg8A01', NULL, NULL, 113, NULL, NULL, 16599),
(20122, '3obaA04', NULL, NULL, 89, NULL, NULL, 16599),
(20123, '2r15A02', NULL, NULL, 96, NULL, NULL, 16599),
(20124, '2r15A01', NULL, NULL, 116, NULL, NULL, 16599),
(20125, '1svzA02', NULL, NULL, 99, NULL, NULL, 16599),
(20126, '6db5L01', NULL, NULL, 109, NULL, NULL, 16599),
(20127, '5kjrH01', NULL, NULL, 122, NULL, NULL, 16599),
(20128, '4gafB03', NULL, NULL, 116, NULL, NULL, 16599),
(20129, '4gafB02', NULL, NULL, 106, NULL, NULL, 16599),
(20130, '3tt1H01', NULL, NULL, 121, NULL, NULL, 16599),
(20131, '3mbxH01', NULL, NULL, 121, NULL, NULL, 16599),
(20132, '5fgcB01', NULL, NULL, 110, NULL, NULL, 16599),
(20133, '4gafB01', NULL, NULL, 92, NULL, NULL, 16599),
(20134, '5b22A01', NULL, NULL, 113, NULL, NULL, 16599),
(20135, '5ewiL01', NULL, NULL, 113, NULL, NULL, 16599),
(20136, '6cmgB01', NULL, NULL, 108, NULL, NULL, 16599),
(20137, '4wv1A01', NULL, NULL, 108, NULL, NULL, 16599),
(20138, '4xmlL01', NULL, NULL, 111, NULL, NULL, 16599),
(20139, '6gsiF01', NULL, NULL, 99, NULL, NULL, 16599),
(20140, '1aifB01', NULL, NULL, 121, NULL, NULL, 16599),
(20141, '4fa8B02', NULL, NULL, 98, NULL, NULL, 16599),
(20142, '5ks9E01', NULL, NULL, 113, NULL, NULL, 16599),
(20143, '1fbiP01', NULL, NULL, 107, NULL, NULL, 16599),
(20144, '6meeB01', NULL, NULL, 108, NULL, NULL, 16599),
(20145, '4g8fB01', NULL, NULL, 114, NULL, NULL, 16599),
(20146, '1ktrL00', NULL, NULL, 152, NULL, NULL, 16599),
(20147, '4jgjA01', NULL, NULL, 116, NULL, NULL, 16599),
(20148, '1t3fB01', NULL, NULL, 117, NULL, NULL, 16599),
(20149, '4z7wE01', NULL, NULL, 112, NULL, NULL, 16599),
(20150, '4z5rB01', NULL, NULL, 117, NULL, NULL, 16599),
(20151, '5tezI01', NULL, NULL, 114, NULL, NULL, 16599),
(20152, '3ietA01', NULL, NULL, 112, NULL, NULL, 16599),
(20153, '1i8kB00', NULL, NULL, 124, NULL, NULL, 16599),
(20154, '1wwcA00', NULL, NULL, 118, NULL, NULL, 16599),
(20155, '2fatL01', NULL, NULL, 106, NULL, NULL, 16599),
(20156, '1wfuA01', NULL, NULL, 95, NULL, NULL, 16599),
(20157, '4jguA00', NULL, NULL, 95, NULL, NULL, 16599);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(20158, '4fqlL01', NULL, NULL, 109, NULL, NULL, 16599),
(20159, '6i6rB03', NULL, NULL, 108, NULL, NULL, 16599),
(20160, '3ntcL01', NULL, NULL, 114, NULL, NULL, 16599),
(20161, '1jpsL01', NULL, NULL, 108, NULL, NULL, 16599),
(20162, '4nugH01', NULL, NULL, 136, NULL, NULL, 16599),
(20163, '3ntcL02', NULL, NULL, 103, NULL, NULL, 16599),
(20164, '2nplX00', NULL, NULL, 96, NULL, NULL, 16599),
(20165, '5lmjA00', NULL, NULL, 131, NULL, NULL, 16599),
(20166, '4hpyL01', NULL, NULL, 110, NULL, NULL, 16599),
(20167, '5t5fH01', NULL, NULL, 122, NULL, NULL, 16599),
(20168, '3x3fH01', NULL, NULL, 126, NULL, NULL, 16599),
(20169, '3p73B00', NULL, NULL, 99, NULL, NULL, 16599),
(20170, '1jrhH01', NULL, NULL, 122, NULL, NULL, 16599),
(20171, '1d9kA00', NULL, NULL, 110, NULL, NULL, 16599),
(20172, '5w6gL01', NULL, NULL, 113, NULL, NULL, 16599),
(20173, '4y5xA00', NULL, NULL, 136, NULL, NULL, 16599),
(20174, '2ok0H01', NULL, NULL, 117, NULL, NULL, 16599),
(20175, '3gnmL01', NULL, NULL, 113, NULL, NULL, 16599),
(20176, '3ncjL01', NULL, NULL, 107, NULL, NULL, 16599),
(20177, '3hi6L01', NULL, NULL, 107, NULL, NULL, 16599),
(20178, '3p9wD00', NULL, NULL, 123, NULL, NULL, 16599),
(20179, '1cidA02', NULL, NULL, 71, NULL, NULL, 16599),
(20180, '4r96B01', NULL, NULL, 119, NULL, NULL, 16599),
(20181, '1cidA01', NULL, NULL, 106, NULL, NULL, 16599),
(20182, '1ob1A01', NULL, NULL, 109, NULL, NULL, 16599),
(20183, '5jo4D01', NULL, NULL, 107, NULL, NULL, 16599),
(20184, '1x5zA01', NULL, NULL, 105, NULL, NULL, 16599),
(20185, '6b6lA05', NULL, NULL, 109, NULL, NULL, 16599),
(20186, '1uywL01', NULL, NULL, 108, NULL, NULL, 16599),
(20187, '5o05C00', NULL, NULL, 120, NULL, NULL, 16599),
(20188, '2qhlD00', NULL, NULL, 111, NULL, NULL, 16599),
(20189, '5ggvL01', NULL, NULL, 107, NULL, NULL, 16599),
(20190, '1xauA00', NULL, NULL, 122, NULL, NULL, 16599),
(20191, '3kyaA01', NULL, NULL, 85, NULL, NULL, 16599),
(20192, '5tdpA02', NULL, NULL, 103, NULL, NULL, 16599),
(20193, '4ut9H00', NULL, NULL, 144, NULL, NULL, 16599),
(20194, '4jcmA04', NULL, NULL, 104, NULL, NULL, 16599),
(20195, '2d7mA01', NULL, NULL, 98, NULL, NULL, 16599),
(20196, '4jcmA03', NULL, NULL, 84, NULL, NULL, 16599),
(20197, '5weuA02', NULL, NULL, 96, NULL, NULL, 16599),
(20198, '2r39A00', NULL, NULL, 118, NULL, NULL, 16599),
(20199, '4j7rB01', NULL, NULL, 161, NULL, NULL, 16599),
(20200, '3durB00', NULL, NULL, 121, NULL, NULL, 16599),
(20201, '6a76L01', NULL, NULL, 108, NULL, NULL, 16599),
(20202, '4m6mH01', NULL, NULL, 117, NULL, NULL, 16599),
(20203, '4h1lG00', NULL, NULL, 113, NULL, NULL, 16599),
(20204, '1ry7B02', NULL, NULL, 118, NULL, NULL, 16599),
(20205, '1tqbC01', NULL, NULL, 113, NULL, NULL, 16599),
(20206, '5yxkA00', NULL, NULL, 111, NULL, NULL, 16599),
(20207, '1jelH01', NULL, NULL, 119, NULL, NULL, 16599),
(20208, '1jelH02', NULL, NULL, 96, NULL, NULL, 16599),
(20209, '1dr9A02', NULL, NULL, 96, NULL, NULL, 16599),
(20210, '1dr9A01', NULL, NULL, 105, NULL, NULL, 16599),
(20211, '4ebqH01', NULL, NULL, 119, NULL, NULL, 16599),
(20212, '5i8oH01', NULL, NULL, 116, NULL, NULL, 16599),
(20213, '6dfxG01', NULL, NULL, 113, NULL, NULL, 16599),
(20214, '3sqoL01', NULL, NULL, 108, NULL, NULL, 16599),
(20215, '3opzH01', NULL, NULL, 118, NULL, NULL, 16599),
(20216, '3eyfB01', NULL, NULL, 125, NULL, NULL, 16599),
(20217, '5f7kC00', NULL, NULL, 120, NULL, NULL, 16599),
(20218, '5uwcG02', NULL, NULL, 107, NULL, NULL, 16599),
(20219, '5uwcG03', NULL, NULL, 100, NULL, NULL, 16599),
(20220, '2ya0A01', NULL, NULL, 128, NULL, NULL, 16599),
(20221, '1ggbH01', NULL, NULL, 115, NULL, NULL, 16599),
(20222, '5dr5H01', NULL, NULL, 115, NULL, NULL, 16599),
(20223, '1mjuL01', NULL, NULL, 113, NULL, NULL, 16599),
(20224, '3cviH01', NULL, NULL, 120, NULL, NULL, 16599),
(20225, '1x4xA00', NULL, NULL, 106, NULL, NULL, 16599),
(20226, '3vxsE01', NULL, NULL, 115, NULL, NULL, 16599),
(20227, '5esvA01', NULL, NULL, 133, NULL, NULL, 16599),
(20228, '5f6iC01', NULL, NULL, 111, NULL, NULL, 16599),
(20229, '2dn7A00', NULL, NULL, 107, NULL, NULL, 16599),
(20230, '1ejoH01', NULL, NULL, 120, NULL, NULL, 16599);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(20231, '4wukH02', NULL, NULL, 109, NULL, NULL, 16599),
(20232, '1djsA01', NULL, NULL, 104, NULL, NULL, 16599),
(20233, '5jhlH01', NULL, NULL, 122, NULL, NULL, 16599),
(20234, '4wukH01', NULL, NULL, 126, NULL, NULL, 16599),
(20235, '5dfvC01', NULL, NULL, 121, NULL, NULL, 16599),
(20236, '1ai1H01', NULL, NULL, 121, NULL, NULL, 16599),
(20237, '2q7nA02', NULL, NULL, 110, NULL, NULL, 16599),
(20238, '2q7nA01', NULL, NULL, 89, NULL, NULL, 16599),
(20239, '2q7nA04', NULL, NULL, 101, NULL, NULL, 16599),
(20240, '2q7nA03', NULL, NULL, 80, NULL, NULL, 16599),
(20241, '4udtA01', NULL, NULL, 112, NULL, NULL, 16599),
(20242, '5lbsL00', NULL, NULL, 112, NULL, NULL, 16599),
(20243, '2q7nA05', NULL, NULL, 98, NULL, NULL, 16599),
(20244, '3twcH01', NULL, NULL, 135, NULL, NULL, 16599),
(20245, '4i0pC02', NULL, NULL, 100, NULL, NULL, 16599),
(20246, '5ldyA02', NULL, NULL, 106, NULL, NULL, 16599),
(20247, '3m8oL01', NULL, NULL, 112, NULL, NULL, 16599),
(20248, '1nezA02', NULL, NULL, 93, NULL, NULL, 16599),
(20249, '2v17H01', NULL, NULL, 123, NULL, NULL, 16599),
(20250, '4ojfH01', NULL, NULL, 118, NULL, NULL, 16599),
(20251, '5gz0A01', NULL, NULL, 108, NULL, NULL, 16599),
(20252, '4lk4A03', NULL, NULL, 112, NULL, NULL, 16599),
(20253, '5swzE01', NULL, NULL, 114, NULL, NULL, 16599),
(20254, '4xhjC01', NULL, NULL, 109, NULL, NULL, 16599),
(20255, '4jpvH01', NULL, NULL, 123, NULL, NULL, 16599),
(20256, '3lrsA01', NULL, NULL, 137, NULL, NULL, 16599),
(20257, '2hazA00', NULL, NULL, 105, NULL, NULL, 16599),
(20258, '1k6qL01', NULL, NULL, 108, NULL, NULL, 16599),
(20259, '1opgL01', NULL, NULL, 107, NULL, NULL, 16599),
(20260, '4py7A01', NULL, NULL, 122, NULL, NULL, 16599),
(20261, '3jbg700', NULL, NULL, 126, NULL, NULL, 16599),
(20262, '3ra7L01', NULL, NULL, 107, NULL, NULL, 16599),
(20263, '4zfoB01', NULL, NULL, 108, NULL, NULL, 16599),
(20264, '1l0qA02', NULL, NULL, 90, NULL, NULL, 16599),
(20265, '1c5dB01', NULL, NULL, 117, NULL, NULL, 16599),
(20266, '4kq4L01', NULL, NULL, 108, NULL, NULL, 16599),
(20267, '1c5dB02', NULL, NULL, 97, NULL, NULL, 16599),
(20268, '3omzA01', NULL, NULL, 138, NULL, NULL, 16599),
(20269, '4hjjL01', NULL, NULL, 111, NULL, NULL, 16599),
(20270, '4m61A01', NULL, NULL, 113, NULL, NULL, 16599),
(20271, '3omzA02', NULL, NULL, 102, NULL, NULL, 16599),
(20272, '4ouoA02', NULL, NULL, 118, NULL, NULL, 16599),
(20273, '5cusH01', NULL, NULL, 118, NULL, NULL, 16599),
(20274, '1u3hB00', NULL, NULL, 111, NULL, NULL, 16599),
(20275, '4ouoA01', NULL, NULL, 119, NULL, NULL, 16599),
(20276, '4zfzB00', NULL, NULL, 100, NULL, NULL, 16599),
(20277, '2c4fU00', NULL, NULL, 116, NULL, NULL, 16599),
(20278, '5e8eA01', NULL, NULL, 109, NULL, NULL, 16599),
(20279, '3piqA01', NULL, NULL, 130, NULL, NULL, 16599),
(20280, '2ocfD00', NULL, NULL, 93, NULL, NULL, 16599),
(20281, '3of6E00', NULL, NULL, 114, NULL, NULL, 16599),
(20282, '2cdfB01', NULL, NULL, 115, NULL, NULL, 16599),
(20283, '3rajH01', NULL, NULL, 120, NULL, NULL, 16599),
(20284, '3effB01', NULL, NULL, 124, NULL, NULL, 16599),
(20285, '4qf1A01', NULL, NULL, 120, NULL, NULL, 16599),
(20286, '4m1gL01', NULL, NULL, 109, NULL, NULL, 16599),
(20287, '2adgA01', NULL, NULL, 107, NULL, NULL, 16599),
(20288, '6h5nB02', NULL, NULL, 101, NULL, NULL, 16599),
(20289, '5b3jF01', NULL, NULL, 107, NULL, NULL, 16599),
(20290, '4l4jA02', NULL, NULL, 106, NULL, NULL, 16599),
(20291, '4f8tA02', NULL, NULL, 107, NULL, NULL, 16599),
(20292, '3es6B00', NULL, NULL, 118, NULL, NULL, 16599),
(20293, '5jtwA04', NULL, NULL, 102, NULL, NULL, 16599),
(20294, '5kveL00', NULL, NULL, 129, NULL, NULL, 16599),
(20295, '4l4jA01', NULL, NULL, 111, NULL, NULL, 16599),
(20296, '5ueaB01', NULL, NULL, 109, NULL, NULL, 16599),
(20297, '4mauL01', NULL, NULL, 112, NULL, NULL, 16599),
(20298, '3qumA01', NULL, NULL, 112, NULL, NULL, 16599),
(20299, '3qwrD00', NULL, NULL, 109, NULL, NULL, 16599),
(20300, '5trpH01', NULL, NULL, 122, NULL, NULL, 16599),
(20301, '4g9fD01', NULL, NULL, 114, NULL, NULL, 16599),
(20302, '1ivlA00', NULL, NULL, 107, NULL, NULL, 16599),
(20303, '1p4bH00', NULL, NULL, 124, NULL, NULL, 16599);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(20304, '4x6bA01', NULL, NULL, 113, NULL, NULL, 16599),
(20305, '5l0qC01', NULL, NULL, 121, NULL, NULL, 16599),
(20306, '4qrpK01', NULL, NULL, 111, NULL, NULL, 16599),
(20307, '3g6aA01', NULL, NULL, 108, NULL, NULL, 16599),
(20308, '4jdzA03', NULL, NULL, 115, NULL, NULL, 16599),
(20309, '2mcg101', NULL, NULL, 111, NULL, NULL, 16599),
(20310, '1bbjA01', NULL, NULL, 108, NULL, NULL, 16599),
(20311, '5tbdB00', NULL, NULL, 112, NULL, NULL, 16599),
(20312, '1lk3L01', NULL, NULL, 107, NULL, NULL, 16599),
(20313, '1lk3L02', NULL, NULL, 103, NULL, NULL, 16599),
(20314, '2zuvA02', NULL, NULL, 106, NULL, NULL, 16599),
(20315, '5wcdL01', NULL, NULL, 112, NULL, NULL, 16599),
(20316, '2qsvA01', NULL, NULL, 112, NULL, NULL, 16599),
(20317, '2qsvA02', NULL, NULL, 108, NULL, NULL, 16599),
(20318, '3vh8G01', NULL, NULL, 93, NULL, NULL, 16599),
(20319, '4wuuE01', NULL, NULL, 121, NULL, NULL, 16599),
(20320, '2eysB01', NULL, NULL, 114, NULL, NULL, 16599),
(20321, '3vh8G03', NULL, NULL, 101, NULL, NULL, 16599),
(20322, '3vh8G02', NULL, NULL, 99, NULL, NULL, 16599),
(20323, '5ivxF01', NULL, NULL, 111, NULL, NULL, 16599),
(20324, '1dqlL00', NULL, NULL, 106, NULL, NULL, 16599),
(20325, '5tp3A00', NULL, NULL, 125, NULL, NULL, 16599),
(20326, '1il1A01', NULL, NULL, 119, NULL, NULL, 16599),
(20327, '6bzuD01', NULL, NULL, 113, NULL, NULL, 16599),
(20328, '4ay0B02', NULL, NULL, 82, NULL, NULL, 16599),
(20329, '4xp4H01', NULL, NULL, 119, NULL, NULL, 16599),
(20330, '2uylA01', NULL, NULL, 113, NULL, NULL, 16599),
(20331, '5uekH02', NULL, NULL, 107, NULL, NULL, 16599),
(20332, '3s9dD01', NULL, NULL, 100, NULL, NULL, 16599),
(20333, '3s9dD02', NULL, NULL, 99, NULL, NULL, 16599),
(20334, '4zd3H01', NULL, NULL, 121, NULL, NULL, 16599),
(20335, '1l4iB01', NULL, NULL, 117, NULL, NULL, 16599),
(20336, '5y91B00', NULL, NULL, 97, NULL, NULL, 16599),
(20337, '6bhyB02', NULL, NULL, 110, NULL, NULL, 16599),
(20338, '3e8uL01', NULL, NULL, 112, NULL, NULL, 16599),
(20339, '5eh1A01', NULL, NULL, 108, NULL, NULL, 16599),
(20340, '5eh1A02', NULL, NULL, 97, NULL, NULL, 16599),
(20341, '1l4iB02', NULL, NULL, 82, NULL, NULL, 16599),
(20342, '2kutA01', NULL, NULL, 106, NULL, NULL, 16599),
(20343, '4g9fE01', NULL, NULL, 114, NULL, NULL, 16599),
(20344, '5m76A01', NULL, NULL, 110, NULL, NULL, 16599),
(20345, '1jfqH01', NULL, NULL, 121, NULL, NULL, 16599),
(20346, '1jfqH02', NULL, NULL, 101, NULL, NULL, 16599),
(20347, '4kvcH01', NULL, NULL, 121, NULL, NULL, 16599),
(20348, '5y9cL01', NULL, NULL, 107, NULL, NULL, 16599),
(20349, '1ncbH01', NULL, NULL, 120, NULL, NULL, 16599),
(20350, '3v6fA01', NULL, NULL, 124, NULL, NULL, 16599),
(20351, '4f15B01', NULL, NULL, 120, NULL, NULL, 16599),
(20352, '5tqaB01', NULL, NULL, 111, NULL, NULL, 16599),
(20353, '6bkdL01', NULL, NULL, 106, NULL, NULL, 16599),
(20354, '4kvnH01', NULL, NULL, 124, NULL, NULL, 16599),
(20355, '5fuzL01', NULL, NULL, 110, NULL, NULL, 16599),
(20356, '3ux9B01', NULL, NULL, 137, NULL, NULL, 16599),
(20357, '3ux9B02', NULL, NULL, 106, NULL, NULL, 16599),
(20358, '1wejH01', NULL, NULL, 117, NULL, NULL, 16599),
(20359, '1qa9B00', NULL, NULL, 95, NULL, NULL, 16599),
(20360, '4xmpH01', NULL, NULL, 132, NULL, NULL, 16599),
(20361, '1h3gB01', NULL, NULL, 92, NULL, NULL, 16599),
(20362, '1u6aL01', NULL, NULL, 109, NULL, NULL, 16599),
(20363, '5c6tL00', NULL, NULL, 107, NULL, NULL, 16599),
(20364, '1nbqA02', NULL, NULL, 105, NULL, NULL, 16599),
(20365, '1nbqA01', NULL, NULL, 104, NULL, NULL, 16599),
(20366, '4uu9B00', NULL, NULL, 111, NULL, NULL, 16599),
(20367, '1a7qH00', NULL, NULL, 116, NULL, NULL, 16599),
(20368, '5xajC01', NULL, NULL, 110, NULL, NULL, 16599),
(20369, '5vstA01', NULL, NULL, 107, NULL, NULL, 16599),
(20370, '3dvfA00', NULL, NULL, 107, NULL, NULL, 16599),
(20371, '1kxtB00', NULL, NULL, 127, NULL, NULL, 16599),
(20372, '1nbvH01', NULL, NULL, 121, NULL, NULL, 16599),
(20373, '5yxnB01', NULL, NULL, 112, NULL, NULL, 16599),
(20374, '4ydlB01', NULL, NULL, 121, NULL, NULL, 16599),
(20375, '5ushE01', NULL, NULL, 112, NULL, NULL, 16599),
(20376, '1kjvB00', NULL, NULL, 100, NULL, NULL, 16599);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(20377, '3o6kH01', NULL, NULL, 117, NULL, NULL, 16599),
(20378, '5f3hB01', NULL, NULL, 108, NULL, NULL, 16599),
(20379, '3cfbB01', NULL, NULL, 113, NULL, NULL, 16599),
(20380, '4hweH01', NULL, NULL, 119, NULL, NULL, 16599),
(20381, '2rgsA01', NULL, NULL, 100, NULL, NULL, 16599),
(20382, '2rgsA02', NULL, NULL, 109, NULL, NULL, 16599),
(20383, '3uzqA01', NULL, NULL, 121, NULL, NULL, 16599),
(20384, '3uzqA02', NULL, NULL, 114, NULL, NULL, 16599),
(20385, '4z0xA00', NULL, NULL, 105, NULL, NULL, 16599),
(20386, '4nzdB01', NULL, NULL, 99, NULL, NULL, 16599),
(20387, '5v6mL01', NULL, NULL, 114, NULL, NULL, 16599),
(20388, '5fb8B01', NULL, NULL, 121, NULL, NULL, 16599),
(20389, '1ad0B01', NULL, NULL, 121, NULL, NULL, 16599),
(20390, '6b70D01', NULL, NULL, 108, NULL, NULL, 16599),
(20391, '1sjxA00', NULL, NULL, 122, NULL, NULL, 16599),
(20392, '4jryD01', NULL, NULL, 111, NULL, NULL, 16599),
(20393, '6b0aL01', NULL, NULL, 106, NULL, NULL, 16599),
(20394, '4x83D01', NULL, NULL, 106, NULL, NULL, 16599),
(20395, '4k3dL02', NULL, NULL, 101, NULL, NULL, 16599),
(20396, '5ag8A01', NULL, NULL, 87, NULL, NULL, 16599),
(20397, '3v7aE01', NULL, NULL, 121, NULL, NULL, 16599),
(20398, '1pkqA01', NULL, NULL, 114, NULL, NULL, 16599),
(20399, '4nikB01', NULL, NULL, 119, NULL, NULL, 16599),
(20400, '5nbiL01', NULL, NULL, 112, NULL, NULL, 16599),
(20401, '4nikB02', NULL, NULL, 104, NULL, NULL, 16599),
(20402, '6b0wL01', NULL, NULL, 108, NULL, NULL, 16599),
(20403, '5kvmC00', NULL, NULL, 95, NULL, NULL, 16599),
(20404, '5th9J00', NULL, NULL, 106, NULL, NULL, 16599),
(20405, '4r26L01', NULL, NULL, 109, NULL, NULL, 16599),
(20406, '6atfB02', NULL, NULL, 107, NULL, NULL, 16599),
(20407, '3pnwV01', NULL, NULL, 111, NULL, NULL, 16599),
(20408, '4z18A02', NULL, NULL, 107, NULL, NULL, 16599),
(20409, '4cffD01', NULL, NULL, 96, NULL, NULL, 16599),
(20410, '4lasL00', NULL, NULL, 115, NULL, NULL, 16599),
(20411, '6nb8L01', NULL, NULL, 112, NULL, NULL, 16599),
(20412, '4nzdB02', NULL, NULL, 120, NULL, NULL, 16599),
(20413, '3nfsL01', NULL, NULL, 107, NULL, NULL, 16599),
(20414, '2wanA03', NULL, NULL, 102, NULL, NULL, 16599),
(20415, '4hieB01', NULL, NULL, 120, NULL, NULL, 16599),
(20416, '4zs7L01', NULL, NULL, 111, NULL, NULL, 16599),
(20417, '5j7cD00', NULL, NULL, 102, NULL, NULL, 16599),
(20418, '2wanA02', NULL, NULL, 103, NULL, NULL, 16599),
(20419, '1iakB02', NULL, NULL, 98, NULL, NULL, 16599),
(20420, '3v4vL01', NULL, NULL, 113, NULL, NULL, 16599),
(20421, '3fn0H01', NULL, NULL, 126, NULL, NULL, 16599),
(20422, '4hieB02', NULL, NULL, 111, NULL, NULL, 16599),
(20423, '4eigB00', NULL, NULL, 123, NULL, NULL, 16599),
(20424, '2dlgA01', NULL, NULL, 80, NULL, NULL, 16599),
(20425, '5fcsH02', NULL, NULL, 137, NULL, NULL, 16599),
(20426, '2ekjA00', NULL, NULL, 105, NULL, NULL, 16599),
(20427, '5fcsH01', NULL, NULL, 111, NULL, NULL, 16599),
(20428, '1dlfH00', NULL, NULL, 124, NULL, NULL, 16599),
(20429, '5aumA01', NULL, NULL, 116, NULL, NULL, 16599),
(20430, '3mj6A02', NULL, NULL, 115, NULL, NULL, 16599),
(20431, '1b6dA01', NULL, NULL, 107, NULL, NULL, 16599),
(20432, '6ek2H02', NULL, NULL, 100, NULL, NULL, 16599),
(20433, '3qehA01', NULL, NULL, 125, NULL, NULL, 16599),
(20434, '3mj6A01', NULL, NULL, 123, NULL, NULL, 16599),
(20435, '4bsjA01', NULL, NULL, 90, NULL, NULL, 16599),
(20436, '5d2nE01', NULL, NULL, 118, NULL, NULL, 16599),
(20437, '4bsjA02', NULL, NULL, 142, NULL, NULL, 16599),
(20438, '4o02L01', NULL, NULL, 107, NULL, NULL, 16599),
(20439, '1wwbX00', NULL, NULL, 103, NULL, NULL, 16599),
(20440, '4k7pX01', NULL, NULL, 106, NULL, NULL, 16599),
(20441, '4nzuL01', NULL, NULL, 107, NULL, NULL, 16599),
(20442, '4nzuL02', NULL, NULL, 104, NULL, NULL, 16599),
(20443, '1ce1L01', NULL, NULL, 108, NULL, NULL, 16599),
(20444, '3kvqA00', NULL, NULL, 108, NULL, NULL, 16599),
(20445, '5t33H01', NULL, NULL, 120, NULL, NULL, 16599),
(20446, '2bdnH01', NULL, NULL, 117, NULL, NULL, 16599),
(20447, '5fehD01', NULL, NULL, 134, NULL, NULL, 16599),
(20448, '4l8sC03', NULL, NULL, 101, NULL, NULL, 16599),
(20449, '2esvE01', NULL, NULL, 111, NULL, NULL, 16599);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(20450, '5f1oB00', NULL, NULL, 128, NULL, NULL, 16599),
(20451, '4zxbC01', NULL, NULL, 114, NULL, NULL, 16599),
(20452, '3t0wA00', NULL, NULL, 123, NULL, NULL, 16599),
(20453, '1k8iA02', NULL, NULL, 104, NULL, NULL, 16599),
(20454, '5i8kL01', NULL, NULL, 111, NULL, NULL, 16599),
(20455, '2dm2A00', NULL, NULL, 110, NULL, NULL, 16599),
(20456, '3mv7E01', NULL, NULL, 112, NULL, NULL, 16599),
(20457, '6mtsL01', NULL, NULL, 110, NULL, NULL, 16599),
(20458, '4c54A01', NULL, NULL, 104, NULL, NULL, 16599),
(20459, '5m02G01', NULL, NULL, 118, NULL, NULL, 16599),
(20460, '4r7nA01', NULL, NULL, 118, NULL, NULL, 16599),
(20461, '1mfaH01', NULL, NULL, 97, NULL, NULL, 16599),
(20462, '4rx4L01', NULL, NULL, 107, NULL, NULL, 16599),
(20463, '2p4aB00', NULL, NULL, 121, NULL, NULL, 16599),
(20464, '4p48A01', NULL, NULL, 131, NULL, NULL, 16599),
(20465, '4p48A02', NULL, NULL, 111, NULL, NULL, 16599),
(20466, '1dfbH01', NULL, NULL, 126, NULL, NULL, 16599),
(20467, '4zdhB01', NULL, NULL, 112, NULL, NULL, 16599),
(20468, '4zdhB02', NULL, NULL, 129, NULL, NULL, 16599),
(20469, '5u3oH01', NULL, NULL, 132, NULL, NULL, 16599),
(20470, '3mxwL01', NULL, NULL, 108, NULL, NULL, 16599),
(20471, '4dkfH01', NULL, NULL, 118, NULL, NULL, 16599),
(20472, '4zfgL01', NULL, NULL, 108, NULL, NULL, 16599),
(20473, '2if7D01', NULL, NULL, 106, NULL, NULL, 16599),
(20474, '2edrA01', NULL, NULL, 88, NULL, NULL, 16599),
(20475, '2gy5A04', NULL, NULL, 99, NULL, NULL, 16599),
(20476, '4gg6D02', NULL, NULL, 108, NULL, NULL, 16599),
(20477, '2diaA01', NULL, NULL, 96, NULL, NULL, 16599),
(20478, '3lpwA01', NULL, NULL, 99, NULL, NULL, 16599),
(20479, '6hkgB01', NULL, NULL, 109, NULL, NULL, 16599),
(20480, '3lpwA02', NULL, NULL, 98, NULL, NULL, 16599),
(20481, '4lqfH01', NULL, NULL, 117, NULL, NULL, 16599),
(20482, '2gy5A01', NULL, NULL, 99, NULL, NULL, 16599),
(20483, '1kcrH02', NULL, NULL, 99, NULL, NULL, 16599),
(20484, '2gy5A02', NULL, NULL, 90, NULL, NULL, 16599),
(20485, '3vfgL01', NULL, NULL, 105, NULL, NULL, 16599),
(20486, '1kcrH01', NULL, NULL, 116, NULL, NULL, 16599),
(20487, '3fkuS01', NULL, NULL, 139, NULL, NULL, 16599),
(20488, '1fgnH01', NULL, NULL, 117, NULL, NULL, 16599),
(20489, '2g60L01', NULL, NULL, 113, NULL, NULL, 16599),
(20490, '5dhvH00', NULL, NULL, 117, NULL, NULL, 16599),
(20491, '5cgyC01', NULL, NULL, 127, NULL, NULL, 16599),
(20492, '3fkuS02', NULL, NULL, 103, NULL, NULL, 16599),
(20493, '4ktyB04', NULL, NULL, 101, NULL, NULL, 16599),
(20494, '1t7vA02', NULL, NULL, 90, NULL, NULL, 16599),
(20495, '4dkaA00', NULL, NULL, 127, NULL, NULL, 16599),
(20496, '2yd6A01', NULL, NULL, 101, NULL, NULL, 16599),
(20497, '5f6hI01', NULL, NULL, 117, NULL, NULL, 16599),
(20498, '2yd6A02', NULL, NULL, 111, NULL, NULL, 16599),
(20499, '3mlyH01', NULL, NULL, 127, NULL, NULL, 16599),
(20500, '1e6oH01', NULL, NULL, 120, NULL, NULL, 16599),
(20501, '4lpuA00', NULL, NULL, 98, NULL, NULL, 16599),
(20502, '4jqiL02', NULL, NULL, 81, NULL, NULL, 16599),
(20503, '5ebgA00', NULL, NULL, 115, NULL, NULL, 16599),
(20504, '5fm8A01', NULL, NULL, 97, NULL, NULL, 16599),
(20505, '2co7B02', NULL, NULL, 83, NULL, NULL, 16599),
(20506, '2co7B01', NULL, NULL, 120, NULL, NULL, 16599),
(20507, '3gsnB01', NULL, NULL, 114, NULL, NULL, 16599),
(20508, '6crkH02', NULL, NULL, 121, NULL, NULL, 16599),
(20509, '4m7kL01', NULL, NULL, 114, NULL, NULL, 16599),
(20510, '1jglL01', NULL, NULL, 108, NULL, NULL, 16599),
(20511, '4mmzC00', NULL, NULL, 98, NULL, NULL, 16599),
(20512, '5cmaB01', NULL, NULL, 118, NULL, NULL, 16599),
(20513, '6cseB01', NULL, NULL, 108, NULL, NULL, 16599),
(20514, '5lhnB00', NULL, NULL, 135, NULL, NULL, 16599),
(20515, '3idgA01', NULL, NULL, 107, NULL, NULL, 16599),
(20516, '1qokA01', NULL, NULL, 120, NULL, NULL, 16599),
(20517, '2bk8A00', NULL, NULL, 97, NULL, NULL, 16599),
(20518, '4ocrL01', NULL, NULL, 112, NULL, NULL, 16599),
(20519, '2g5rA00', NULL, NULL, 127, NULL, NULL, 16599),
(20520, '4lsuH01', NULL, NULL, 122, NULL, NULL, 16599),
(20521, '5cd3A01', NULL, NULL, 120, NULL, NULL, 16599),
(20522, '3g04B01', NULL, NULL, 121, NULL, NULL, 16599);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(20523, '4ki5E01', NULL, NULL, 122, NULL, NULL, 16599),
(20524, '2xfxB00', NULL, NULL, 99, NULL, NULL, 16599),
(20525, '3ls5H01', NULL, NULL, 117, NULL, NULL, 16599),
(20526, '1q9wB01', NULL, NULL, 124, NULL, NULL, 16599),
(20527, '1ollA02', NULL, NULL, 93, NULL, NULL, 16599),
(20528, '1ollA01', NULL, NULL, 95, NULL, NULL, 16599),
(20529, '5ks9F01', NULL, NULL, 113, NULL, NULL, 16599),
(20530, '3ggwA01', NULL, NULL, 113, NULL, NULL, 16599),
(20531, '4uaoC01', NULL, NULL, 121, NULL, NULL, 16599),
(20532, '2e6jA00', NULL, NULL, 112, NULL, NULL, 16599),
(20533, '5ksbE01', NULL, NULL, 112, NULL, NULL, 16599),
(20534, '1flrH01', NULL, NULL, 118, NULL, NULL, 16599),
(20535, '5vf6A01', NULL, NULL, 126, NULL, NULL, 16599),
(20536, '5wk2L01', NULL, NULL, 113, NULL, NULL, 16599),
(20537, '3t2nL01', NULL, NULL, 110, NULL, NULL, 16599),
(20538, '4m00A04', NULL, NULL, 91, NULL, NULL, 16599),
(20539, '4pjeF01', NULL, NULL, 116, NULL, NULL, 16599),
(20540, '6brbD00', NULL, NULL, 87, NULL, NULL, 16599),
(20541, '4r7dD01', NULL, NULL, 107, NULL, NULL, 16599),
(20542, '5tlkC01', NULL, NULL, 111, NULL, NULL, 16599),
(20543, '4ncdA01', NULL, NULL, 127, NULL, NULL, 16599),
(20544, '3amlA02', NULL, NULL, 115, NULL, NULL, 16599),
(20545, '4x80L01', NULL, NULL, 108, NULL, NULL, 16599),
(20546, '6g8rA02', NULL, NULL, 115, NULL, NULL, 16599),
(20547, '2orbI01', NULL, NULL, 127, NULL, NULL, 16599),
(20548, '3mlrL01', NULL, NULL, 117, NULL, NULL, 16599),
(20549, '5uxqA01', NULL, NULL, 139, NULL, NULL, 16599),
(20550, '5gmqB01', NULL, NULL, 124, NULL, NULL, 16599),
(20551, '3pucA00', NULL, NULL, 99, NULL, NULL, 16599),
(20552, '3p30H01', NULL, NULL, 126, NULL, NULL, 16599),
(20553, '3s34L01', NULL, NULL, 107, NULL, NULL, 16599),
(20554, '4hcrL01', NULL, NULL, 112, NULL, NULL, 16599),
(20555, '2rblB00', NULL, NULL, 104, NULL, NULL, 16599),
(20556, '1kcvL02', NULL, NULL, 103, NULL, NULL, 16599),
(20557, '1kcvL01', NULL, NULL, 108, NULL, NULL, 16599),
(20558, '5ghlA00', NULL, NULL, 108, NULL, NULL, 16599),
(20559, '4e9lA03', NULL, NULL, 106, NULL, NULL, 16599),
(20560, '1c5cH01', NULL, NULL, 112, NULL, NULL, 16599),
(20561, '1orsB01', NULL, NULL, 118, NULL, NULL, 16599),
(20562, '4of8A02', NULL, NULL, 112, NULL, NULL, 16599),
(20563, '3gfuA02', NULL, NULL, 84, NULL, NULL, 16599),
(20564, '1k5nA02', NULL, NULL, 95, NULL, NULL, 16599),
(20565, '4jvuA00', NULL, NULL, 117, NULL, NULL, 16599),
(20566, '5w3mG00', NULL, NULL, 107, NULL, NULL, 16599),
(20567, '2k7pA01', NULL, NULL, 78, NULL, NULL, 16599),
(20568, '1ac6A00', NULL, NULL, 110, NULL, NULL, 16599),
(20569, '3jtsA02', NULL, NULL, 91, NULL, NULL, 16599),
(20570, '1mlbA01', NULL, NULL, 108, NULL, NULL, 16599),
(20571, '2d7pA00', NULL, NULL, 112, NULL, NULL, 16599),
(20572, '3d9aH01', NULL, NULL, 113, NULL, NULL, 16599),
(20573, '3d9aH02', NULL, NULL, 97, NULL, NULL, 16599),
(20574, '1h8nA01', NULL, NULL, 131, NULL, NULL, 16599),
(20575, '2yz1A01', NULL, NULL, 112, NULL, NULL, 16599),
(20576, '2w91A03', NULL, NULL, 116, NULL, NULL, 16599),
(20577, '1h8nA02', NULL, NULL, 99, NULL, NULL, 16599),
(20578, '3gfuA01', NULL, NULL, 113, NULL, NULL, 16599),
(20579, '4e9lA01', NULL, NULL, 106, NULL, NULL, 16599),
(20580, '4e9lA02', NULL, NULL, 102, NULL, NULL, 16599),
(20581, '4idjH01', NULL, NULL, 125, NULL, NULL, 16599),
(20582, '4ersH01', NULL, NULL, 128, NULL, NULL, 16599),
(20583, '7fabH01', NULL, NULL, 117, NULL, NULL, 16599),
(20584, '4y89A01', NULL, NULL, 108, NULL, NULL, 16599),
(20585, '4wtwA00', NULL, NULL, 96, NULL, NULL, 16599),
(20586, '2ck0L01', NULL, NULL, 113, NULL, NULL, 16599),
(20587, '5k9jH01', NULL, NULL, 126, NULL, NULL, 16599),
(20588, '4d9lH01', NULL, NULL, 121, NULL, NULL, 16599),
(20589, '1imhC02', NULL, NULL, 106, NULL, NULL, 16599),
(20590, '2q86A01', NULL, NULL, 110, NULL, NULL, 16599),
(20591, '4onfH01', NULL, NULL, 119, NULL, NULL, 16599),
(20592, '1mieL01', NULL, NULL, 113, NULL, NULL, 16599),
(20593, '1p7kH01', NULL, NULL, 119, NULL, NULL, 16599),
(20594, '5gs2H01', NULL, NULL, 127, NULL, NULL, 16599),
(20595, '4ag4H01', NULL, NULL, 116, NULL, NULL, 16599); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(20596, '4hihC01', NULL, NULL, 111, NULL, NULL, 16599),
(20597, '2uvfA01', NULL, NULL, 116, NULL, NULL, 16599),
(20598, '3cmoX01', NULL, NULL, 106, NULL, NULL, 16599),
(20599, '3u9pL01', NULL, NULL, 108, NULL, NULL, 16599),
(20600, '3nvqA03', NULL, NULL, 85, NULL, NULL, 16599),
(20601, '5durH01', NULL, NULL, 121, NULL, NULL, 16599),
(20602, '3u9pL02', NULL, NULL, 104, NULL, NULL, 16599),
(20603, '1pz5B01', NULL, NULL, 120, NULL, NULL, 16599),
(20604, '1pz5B02', NULL, NULL, 99, NULL, NULL, 16599),
(20605, '4cvuA05', NULL, NULL, 89, NULL, NULL, 16599),
(20606, '1sy6A01', NULL, NULL, 82, NULL, NULL, 16599),
(20607, '3tnmA01', NULL, NULL, 123, NULL, NULL, 16599),
(20608, '3noiA00', NULL, NULL, 120, NULL, NULL, 16599),
(20609, '5n4jL01', NULL, NULL, 111, NULL, NULL, 16599),
(20610, '4nkoB00', NULL, NULL, 131, NULL, NULL, 16599),
(20611, '6aq7L01', NULL, NULL, 106, NULL, NULL, 16599),
(20612, '5tr8L01', NULL, NULL, 108, NULL, NULL, 16599),
(20613, '3ejjX02', NULL, NULL, 99, NULL, NULL, 16599),
(20614, '3ejjX03', NULL, NULL, 104, NULL, NULL, 16599),
(20615, '6mjjD02', NULL, NULL, 128, NULL, NULL, 16599),
(20616, '4w6yB00', NULL, NULL, 135, NULL, NULL, 16599),
(20617, '3ejjX01', NULL, NULL, 86, NULL, NULL, 16599),
(20618, '6mjjD01', NULL, NULL, 113, NULL, NULL, 16599),
(20619, '4cvuA02', NULL, NULL, 123, NULL, NULL, 16599),
(20620, '3sgeH01', NULL, NULL, 115, NULL, NULL, 16599),
(20621, '5ikcB01', NULL, NULL, 115, NULL, NULL, 16599),
(20622, '4cvuA04', NULL, NULL, 116, NULL, NULL, 16599),
(20623, '5dtfA01', NULL, NULL, 126, NULL, NULL, 16599),
(20624, '5da4A00', NULL, NULL, 125, NULL, NULL, 16599),
(20625, '5e6zC01', NULL, NULL, 107, NULL, NULL, 16599),
(20626, '3wxwL00', NULL, NULL, 107, NULL, NULL, 16599),
(20627, '4edxA01', NULL, NULL, 107, NULL, NULL, 16599),
(20628, '2ialB01', NULL, NULL, 111, NULL, NULL, 16599),
(20629, '2rheA00', NULL, NULL, 114, NULL, NULL, 16599),
(20630, '2yc1A00', NULL, NULL, 117, NULL, NULL, 16599),
(20631, '1i8kA00', NULL, NULL, 107, NULL, NULL, 16599),
(20632, '5vclA02', NULL, NULL, 93, NULL, NULL, 16599),
(20633, '2c4xA01', NULL, NULL, 98, NULL, NULL, 16599),
(20634, '1bm3H01', NULL, NULL, 125, NULL, NULL, 16599),
(20635, '1x5gA01', NULL, NULL, 86, NULL, NULL, 16599),
(20636, '1iilG02', NULL, NULL, 107, NULL, NULL, 16599),
(20637, '1ub5A02', NULL, NULL, 95, NULL, NULL, 16599),
(20638, '5eu7E01', NULL, NULL, 130, NULL, NULL, 16599),
(20639, '1g0dA04', NULL, NULL, 97, NULL, NULL, 16599),
(20640, '5xhvL01', NULL, NULL, 108, NULL, NULL, 16599),
(20641, '1g0dA03', NULL, NULL, 113, NULL, NULL, 16599),
(20642, '1g0dA01', NULL, NULL, 142, NULL, NULL, 16599),
(20643, '4fhbD00', NULL, NULL, 135, NULL, NULL, 16599),
(20644, '2yd3A02', NULL, NULL, 101, NULL, NULL, 16599),
(20645, '2yd3A01', NULL, NULL, 101, NULL, NULL, 16599),
(20646, '1pz5A01', NULL, NULL, 112, NULL, NULL, 16599),
(20647, '3it8D02', NULL, NULL, 119, NULL, NULL, 16599),
(20648, '3nz8B01', NULL, NULL, 113, NULL, NULL, 16599),
(20649, '1q72L02', NULL, NULL, 105, NULL, NULL, 16599),
(20650, '1q72L01', NULL, NULL, 113, NULL, NULL, 16599),
(20651, '1ospL01', NULL, NULL, 108, NULL, NULL, 16599),
(20652, '4g7vH01', NULL, NULL, 119, NULL, NULL, 16599),
(20653, '3iylW05', NULL, NULL, 96, NULL, NULL, 16599),
(20654, '5wl1A02', NULL, NULL, 101, NULL, NULL, 16599),
(20655, '4hzlB01', NULL, NULL, 113, NULL, NULL, 16599),
(20656, '1nlbL01', NULL, NULL, 114, NULL, NULL, 16599),
(20657, '5wjoA01', NULL, NULL, 110, NULL, NULL, 16599),
(20658, '5drxA01', NULL, NULL, 126, NULL, NULL, 16599),
(20659, '4o9hL01', NULL, NULL, 110, NULL, NULL, 16599),
(20660, '4yhyB01', NULL, NULL, 121, NULL, NULL, 16599),
(20661, '5jp0A03', NULL, NULL, 136, NULL, NULL, 16599),
(20662, '5d1qD01', NULL, NULL, 110, NULL, NULL, 16599),
(20663, '2j8hA01', NULL, NULL, 99, NULL, NULL, 16599),
(20664, '2j8hA02', NULL, NULL, 98, NULL, NULL, 16599),
(20665, '3u7yH01', NULL, NULL, 125, NULL, NULL, 16599),
(20666, '4jmhA02', NULL, NULL, 97, NULL, NULL, 16599),
(20667, '4cadB01', NULL, NULL, 125, NULL, NULL, 16599),
(20668, '3lrsB01', NULL, NULL, 109, NULL, NULL, 16599);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(20669, '2xg5A02', NULL, NULL, 92, NULL, NULL, 16599),
(20670, '2bnuB01', NULL, NULL, 112, NULL, NULL, 16599),
(20671, '1mamH01', NULL, NULL, 120, NULL, NULL, 16599),
(20672, '2bnuB02', NULL, NULL, 126, NULL, NULL, 16599),
(20673, '2r0lH01', NULL, NULL, 117, NULL, NULL, 16599),
(20674, '4i18A01', NULL, NULL, 128, NULL, NULL, 16599),
(20675, '4tprL01', NULL, NULL, 113, NULL, NULL, 16599),
(20676, '6iscB00', NULL, NULL, 118, NULL, NULL, 16599),
(20677, '5joeA00', NULL, NULL, 92, NULL, NULL, 16599),
(20678, '4qlrB00', NULL, NULL, 130, NULL, NULL, 16599),
(20679, '6mlkL01', NULL, NULL, 128, NULL, NULL, 16599),
(20680, '3ojdB01', NULL, NULL, 124, NULL, NULL, 16599),
(20681, '1dl7H00', NULL, NULL, 112, NULL, NULL, 16599),
(20682, '1i9rH01', NULL, NULL, 112, NULL, NULL, 16599),
(20683, '5gmqC01', NULL, NULL, 109, NULL, NULL, 16599),
(20684, '3qpxH01', NULL, NULL, 119, NULL, NULL, 16599),
(20685, '2c1pL01', NULL, NULL, 113, NULL, NULL, 16599),
(20686, '3s3jA01', NULL, NULL, 148, NULL, NULL, 16599),
(20687, '5bmfH01', NULL, NULL, 116, NULL, NULL, 16599),
(20688, '6gsiE02', NULL, NULL, 103, NULL, NULL, 16599),
(20689, '1b4jH01', NULL, NULL, 117, NULL, NULL, 16599),
(20690, '2r29H01', NULL, NULL, 116, NULL, NULL, 16599),
(20691, '4npyB01', NULL, NULL, 132, NULL, NULL, 16599),
(20692, '3qhzM01', NULL, NULL, 112, NULL, NULL, 16599),
(20693, '4h88H02', NULL, NULL, 99, NULL, NULL, 16599),
(20694, '4h88H01', NULL, NULL, 119, NULL, NULL, 16599),
(20695, '2hrpH01', NULL, NULL, 125, NULL, NULL, 16599),
(20696, '1axiB02', NULL, NULL, 101, NULL, NULL, 16599),
(20697, '1axiB01', NULL, NULL, 100, NULL, NULL, 16599),
(20698, '4lspH01', NULL, NULL, 131, NULL, NULL, 16599),
(20699, '1mvfB00', NULL, NULL, 135, NULL, NULL, 16599),
(20700, '1r6vA04', NULL, NULL, 112, NULL, NULL, 16599),
(20701, '5ywfA01', NULL, NULL, 103, NULL, NULL, 16599),
(20702, '4z7wF01', NULL, NULL, 112, NULL, NULL, 16599),
(20703, '3bd3A00', NULL, NULL, 112, NULL, NULL, 16599),
(20704, '4okvA01', NULL, NULL, 113, NULL, NULL, 16599),
(20705, '5e9dJ00', NULL, NULL, 114, NULL, NULL, 16599),
(20706, '6dkjB01', NULL, NULL, 108, NULL, NULL, 16599),
(20707, '4g3yH01', NULL, NULL, 120, NULL, NULL, 16599),
(20708, '5vi4C01', NULL, NULL, 118, NULL, NULL, 16599),
(20709, '5vi4C02', NULL, NULL, 102, NULL, NULL, 16599),
(20710, '4wemB00', NULL, NULL, 127, NULL, NULL, 16599),
(20711, '4f8qA02', NULL, NULL, 100, NULL, NULL, 16599),
(20712, '1lmkA02', NULL, NULL, 116, NULL, NULL, 16599),
(20713, '4wfeE01', NULL, NULL, 116, NULL, NULL, 16599),
(20714, '4ybqF00', NULL, NULL, 120, NULL, NULL, 16599),
(20715, '1iqwH01', NULL, NULL, 121, NULL, NULL, 16599),
(20716, '1lmkA01', NULL, NULL, 122, NULL, NULL, 16599),
(20717, '2z4qA01', NULL, NULL, 113, NULL, NULL, 16599),
(20718, '6bj8H02', NULL, NULL, 126, NULL, NULL, 16599),
(20719, '4x7sL01', NULL, NULL, 111, NULL, NULL, 16599),
(20720, '2cmrH01', NULL, NULL, 119, NULL, NULL, 16599),
(20721, '2hffA01', NULL, NULL, 108, NULL, NULL, 16599),
(20722, '6c09A02', NULL, NULL, 101, NULL, NULL, 16599),
(20723, '5yfiL01', NULL, NULL, 108, NULL, NULL, 16599),
(20724, '6bj8H01', NULL, NULL, 113, NULL, NULL, 16599),
(20725, '6azxB01', NULL, NULL, 111, NULL, NULL, 16599),
(20726, '4ll9A02', NULL, NULL, 98, NULL, NULL, 16599),
(20727, '3kyoA02', NULL, NULL, 91, NULL, NULL, 16599),
(20728, '4yueL01', NULL, NULL, 111, NULL, NULL, 16599),
(20729, '3kr3L01', NULL, NULL, 108, NULL, NULL, 16599),
(20730, '5immB00', NULL, NULL, 131, NULL, NULL, 16599),
(20731, '4uzgA02', NULL, NULL, 126, NULL, NULL, 16599),
(20732, '5xrqB01', NULL, NULL, 108, NULL, NULL, 16599),
(20733, '5yslB01', NULL, NULL, 109, NULL, NULL, 16599),
(20734, '3u30C01', NULL, NULL, 119, NULL, NULL, 16599),
(20735, '6bp2L01', NULL, NULL, 112, NULL, NULL, 16599),
(20736, '5umiL01', NULL, NULL, 105, NULL, NULL, 16599),
(20737, '4lkcA01', NULL, NULL, 107, NULL, NULL, 16599),
(20738, '3npsB02', NULL, NULL, 101, NULL, NULL, 16599),
(20739, '3npsB01', NULL, NULL, 125, NULL, NULL, 16599),
(20740, '6i8sI01', NULL, NULL, 107, NULL, NULL, 16599),
(20741, '2c9aA02', NULL, NULL, 97, NULL, NULL, 16599);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(20742, '2x1pA00', NULL, NULL, 127, NULL, NULL, 16599),
(20743, '4ut9O00', NULL, NULL, 116, NULL, NULL, 16599),
(20744, '2hwzH01', NULL, NULL, 120, NULL, NULL, 16599),
(20745, '5bopA00', NULL, NULL, 135, NULL, NULL, 16599),
(20746, '4tsbL01', NULL, NULL, 112, NULL, NULL, 16599),
(20747, '5jz7C00', NULL, NULL, 130, NULL, NULL, 16599),
(20748, '5mtmB00', NULL, NULL, 95, NULL, NULL, 16599),
(20749, '2p45B00', NULL, NULL, 123, NULL, NULL, 16599),
(20750, '2omnA01', NULL, NULL, 112, NULL, NULL, 16599),
(20751, '5ds8A01', NULL, NULL, 118, NULL, NULL, 16599),
(20752, '2xqbL01', NULL, NULL, 107, NULL, NULL, 16599),
(20753, '3bszH01', NULL, NULL, 118, NULL, NULL, 16599),
(20754, '4jr9L01', NULL, NULL, 107, NULL, NULL, 16599),
(20755, '4jpwL01', NULL, NULL, 104, NULL, NULL, 16599),
(20756, '5az2H01', NULL, NULL, 118, NULL, NULL, 16599),
(20757, '1f2qA01', NULL, NULL, 84, NULL, NULL, 16599),
(20758, '1f2qA02', NULL, NULL, 92, NULL, NULL, 16599),
(20759, '1blnA01', NULL, NULL, 113, NULL, NULL, 16599),
(20760, '2q6wB02', NULL, NULL, 97, NULL, NULL, 16599),
(20761, '3lcyA02', NULL, NULL, 97, NULL, NULL, 16599),
(20762, '1wfoA01', NULL, NULL, 104, NULL, NULL, 16599),
(20763, '6dfxH01', NULL, NULL, 109, NULL, NULL, 16599),
(20764, '6dc8H02', NULL, NULL, 100, NULL, NULL, 16599),
(20765, '3dmmD00', NULL, NULL, 126, NULL, NULL, 16599),
(20766, '1p7kA01', NULL, NULL, 108, NULL, NULL, 16599),
(20767, '4hdiB01', NULL, NULL, 121, NULL, NULL, 16599),
(20768, '5u4rB01', NULL, NULL, 107, NULL, NULL, 16599),
(20769, '3lcyA01', NULL, NULL, 100, NULL, NULL, 16599),
(20770, '3o6fC01', NULL, NULL, 111, NULL, NULL, 16599),
(20771, '4h20L01', NULL, NULL, 108, NULL, NULL, 16599),
(20772, '5wkzL01', NULL, NULL, 113, NULL, NULL, 16599),
(20773, '3s35X00', NULL, NULL, 122, NULL, NULL, 16599),
(20774, '2vzsA05', NULL, NULL, 102, NULL, NULL, 16599),
(20775, '2vzsA04', NULL, NULL, 123, NULL, NULL, 16599),
(20776, '3qumB01', NULL, NULL, 116, NULL, NULL, 16599),
(20777, '2vzsA02', NULL, NULL, 110, NULL, NULL, 16599),
(20778, '2ee2A01', NULL, NULL, 87, NULL, NULL, 16599),
(20779, '2znxA01', NULL, NULL, 125, NULL, NULL, 16599),
(20780, '2znxA02', NULL, NULL, 99, NULL, NULL, 16599),
(20781, '1xmwA02', NULL, NULL, 65, NULL, NULL, 16599),
(20782, '1figH01', NULL, NULL, 120, NULL, NULL, 16599),
(20783, '4f57H01', NULL, NULL, 125, NULL, NULL, 16599),
(20784, '5t3zE01', NULL, NULL, 109, NULL, NULL, 16599),
(20785, '1wlhA01', NULL, NULL, 108, NULL, NULL, 16599),
(20786, '1jnlL01', NULL, NULL, 108, NULL, NULL, 16599),
(20787, '5vzrL01', NULL, NULL, 112, NULL, NULL, 16599),
(20788, '5c0bJ01', NULL, NULL, 118, NULL, NULL, 16599),
(20789, '1ndmB01', NULL, NULL, 113, NULL, NULL, 16599),
(20790, '1z0nA00', NULL, NULL, 96, NULL, NULL, 16599),
(20791, '5e5uB02', NULL, NULL, 95, NULL, NULL, 16599),
(20792, '3p73A02', NULL, NULL, 90, NULL, NULL, 16599),
(20793, '4lriA01', NULL, NULL, 112, NULL, NULL, 16599),
(20794, '5awnH01', NULL, NULL, 128, NULL, NULL, 16599),
(20795, '2b1hH01', NULL, NULL, 124, NULL, NULL, 16599),
(20796, '5e5uB01', NULL, NULL, 104, NULL, NULL, 16599),
(20797, '2coqA00', NULL, NULL, 108, NULL, NULL, 16599),
(20798, '5ldyB01', NULL, NULL, 100, NULL, NULL, 16599),
(20799, '3rgvA01', NULL, NULL, 108, NULL, NULL, 16599),
(20800, '5ivxE01', NULL, NULL, 113, NULL, NULL, 16599),
(20801, '4d9qE01', NULL, NULL, 115, NULL, NULL, 16599),
(20802, '1ob1B01', NULL, NULL, 120, NULL, NULL, 16599),
(20803, '4njaH02', NULL, NULL, 112, NULL, NULL, 16599),
(20804, '4h0hB01', NULL, NULL, 129, NULL, NULL, 16599),
(20805, '3v6oC01', NULL, NULL, 118, NULL, NULL, 16599),
(20806, '3qeqD01', NULL, NULL, 107, NULL, NULL, 16599),
(20807, '4r96A01', NULL, NULL, 114, NULL, NULL, 16599),
(20808, '1u2hA00', NULL, NULL, 99, NULL, NULL, 16599),
(20809, '5y2kB01', NULL, NULL, 107, NULL, NULL, 16599),
(20810, '1ujtA00', NULL, NULL, 120, NULL, NULL, 16599),
(20811, '2g5bB01', NULL, NULL, 123, NULL, NULL, 16599),
(20812, '4r90H01', NULL, NULL, 122, NULL, NULL, 16599),
(20813, '4qt5B01', NULL, NULL, 112, NULL, NULL, 16599),
(20814, '4qrsB00', NULL, NULL, 100, NULL, NULL, 16599);
INSERT INTO "PUBLIC"."MODEL" VALUES
(20815, '4zfoA01', NULL, NULL, 120, NULL, NULL, 16599),
(20816, '4lrnH00', NULL, NULL, 127, NULL, NULL, 16599),
(20817, '5f6iB01', NULL, NULL, 117, NULL, NULL, 16599),
(20818, '2r2cB00', NULL, NULL, 131, NULL, NULL, 16599),
(20819, '4zfzA02', NULL, NULL, 91, NULL, NULL, 16599),
(20820, '2zpkH01', NULL, NULL, 116, NULL, NULL, 16599),
(20821, '3mclH01', NULL, NULL, 119, NULL, NULL, 16599),
(20822, '4tnwF01', NULL, NULL, 122, NULL, NULL, 16599),
(20823, '4ylqT02', NULL, NULL, 114, NULL, NULL, 16599),
(20824, '4ylqT01', NULL, NULL, 105, NULL, NULL, 16599),
(20825, '4fq2L01', NULL, NULL, 109, NULL, NULL, 16599),
(20826, '2dquL01', NULL, NULL, 113, NULL, NULL, 16599),
(20827, '4qhuB01', NULL, NULL, 115, NULL, NULL, 16599),
(20828, '2adgB01', NULL, NULL, 120, NULL, NULL, 16599),
(20829, '1qfwI00', NULL, NULL, 122, NULL, NULL, 16599),
(20830, '1x9qA02', NULL, NULL, 120, NULL, NULL, 16599),
(20831, '2zchL01', NULL, NULL, 112, NULL, NULL, 16599),
(20832, '5bv7B01', NULL, NULL, 108, NULL, NULL, 16599),
(20833, '3eyfA01', NULL, NULL, 110, NULL, NULL, 16599),
(20834, '5a16A01', NULL, NULL, 123, NULL, NULL, 16599),
(20835, '1x9qA01', NULL, NULL, 124, NULL, NULL, 16599),
(20836, '3mlwL01', NULL, NULL, 113, NULL, NULL, 16599),
(20837, '1bihA03', NULL, NULL, 100, NULL, NULL, 16599),
(20838, '1bihA04', NULL, NULL, 88, NULL, NULL, 16599),
(20839, '1eo8L01', NULL, NULL, 106, NULL, NULL, 16599),
(20840, '1bihA01', NULL, NULL, 101, NULL, NULL, 16599),
(20841, '1bihA02', NULL, NULL, 106, NULL, NULL, 16599),
(20842, '4zocA03', NULL, NULL, 125, NULL, NULL, 16599),
(20843, '3t3pE01', NULL, NULL, 119, NULL, NULL, 16599),
(20844, '4rwhA00', NULL, NULL, 106, NULL, NULL, 16599),
(20845, '2wv3A02', NULL, NULL, 100, NULL, NULL, 16599),
(20846, '5a40E00', NULL, NULL, 90, NULL, NULL, 16599),
(20847, '2wv3A01', NULL, NULL, 90, NULL, NULL, 16599),
(20848, '3i75A01', NULL, NULL, 108, NULL, NULL, 16599),
(20849, '5l0qB01', NULL, NULL, 108, NULL, NULL, 16599),
(20850, '3lizL01', NULL, NULL, 108, NULL, NULL, 16599),
(20851, '3l5wA01', NULL, NULL, 108, NULL, NULL, 16599),
(20852, '5dumH01', NULL, NULL, 127, NULL, NULL, 16599),
(20853, '3ubxI01', NULL, NULL, 108, NULL, NULL, 16599),
(20854, '1mhcA02', NULL, NULL, 101, NULL, NULL, 16599),
(20855, '3qwqB00', NULL, NULL, 114, NULL, NULL, 16599),
(20856, '4eskC00', NULL, NULL, 102, NULL, NULL, 16599),
(20857, '2xy2A02', NULL, NULL, 95, NULL, NULL, 16599),
(20858, '3k74B00', NULL, NULL, 115, NULL, NULL, 16599),
(20859, '3qhtC00', NULL, NULL, 97, NULL, NULL, 16599),
(20860, '3r1gH01', NULL, NULL, 119, NULL, NULL, 16599),
(20861, '1y0lA01', NULL, NULL, 110, NULL, NULL, 16599),
(20862, '2xy2A01', NULL, NULL, 94, NULL, NULL, 16599),
(20863, '4k2uL01', NULL, NULL, 107, NULL, NULL, 16599),
(20864, '4k2uL02', NULL, NULL, 103, NULL, NULL, 16599),
(20865, '5swzD01', NULL, NULL, 113, NULL, NULL, 16599),
(20866, '4nujA01', NULL, NULL, 112, NULL, NULL, 16599),
(20867, '4rgmC01', NULL, NULL, 121, NULL, NULL, 16599),
(20868, '4xhjD01', NULL, NULL, 120, NULL, NULL, 16599),
(20869, '6dfvB01', NULL, NULL, 112, NULL, NULL, 16599),
(20870, '4gmtL01', NULL, NULL, 108, NULL, NULL, 16599),
(20871, '3drqB01', NULL, NULL, 132, NULL, NULL, 16599),
(20872, '3ln9A00', NULL, NULL, 139, NULL, NULL, 16599),
(20873, '6ca6A01', NULL, NULL, 108, NULL, NULL, 16599),
(20874, '1j0hA01', NULL, NULL, 125, NULL, NULL, 16599),
(20875, '3oz9H01', NULL, NULL, 119, NULL, NULL, 16599),
(20876, '5wymC02', NULL, NULL, 108, NULL, NULL, 16599),
(20877, '4ei6D01', NULL, NULL, 116, NULL, NULL, 16599),
(20878, '3okyA02', NULL, NULL, 137, NULL, NULL, 16599),
(20879, '1c5dA01', NULL, NULL, 107, NULL, NULL, 16599),
(20880, '4m61B01', NULL, NULL, 120, NULL, NULL, 16599),
(20881, '5tihL01', NULL, NULL, 108, NULL, NULL, 16599),
(20882, '2p1yA01', NULL, NULL, 113, NULL, NULL, 16599),
(20883, '2p1yA02', NULL, NULL, 110, NULL, NULL, 16599),
(20884, '1dbbH01', NULL, NULL, 119, NULL, NULL, 16599),
(20885, '3abzA04', NULL, NULL, 124, NULL, NULL, 16599),
(20886, '1uwgH01', NULL, NULL, 117, NULL, NULL, 16599),
(20887, '5e8eB01', NULL, NULL, 125, NULL, NULL, 16599);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(20888, '1tqbB01', NULL, NULL, 113, NULL, NULL, 16599),
(20889, '3qcuL01', NULL, NULL, 112, NULL, NULL, 16599),
(20890, '2v5yA05', NULL, NULL, 100, NULL, NULL, 16599),
(20891, '2rq8A00', NULL, NULL, 98, NULL, NULL, 16599),
(20892, '5cckL01', NULL, NULL, 111, NULL, NULL, 16599),
(20893, '2v5yA03', NULL, NULL, 95, NULL, NULL, 16599),
(20894, '4r0lC00', NULL, NULL, 129, NULL, NULL, 16599),
(20895, '3ztnH01', NULL, NULL, 130, NULL, NULL, 16599),
(20896, '2v5yA04', NULL, NULL, 102, NULL, NULL, 16599),
(20897, '1ktkF02', NULL, NULL, 90, NULL, NULL, 16599),
(20898, '1bfvL00', NULL, NULL, 113, NULL, NULL, 16599),
(20899, '5yotA03', NULL, NULL, 125, NULL, NULL, 16599),
(20900, '5x2nK01', NULL, NULL, 112, NULL, NULL, 16599),
(20901, '3effA01', NULL, NULL, 110, NULL, NULL, 16599),
(20902, '4fqiL01', NULL, NULL, 111, NULL, NULL, 16599),
(20903, '1zanH01', NULL, NULL, 122, NULL, NULL, 16599),
(20904, '3ab0B00', NULL, NULL, 117, NULL, NULL, 16599),
(20905, '1zanH02', NULL, NULL, 99, NULL, NULL, 16599),
(20906, '3ijhB01', NULL, NULL, 126, NULL, NULL, 16599),
(20907, '4xi5D01', NULL, NULL, 121, NULL, NULL, 16599),
(20908, '5xajB01', NULL, NULL, 108, NULL, NULL, 16599),
(20909, '1mexH01', NULL, NULL, 114, NULL, NULL, 16599),
(20910, '1mexH02', NULL, NULL, 99, NULL, NULL, 16599),
(20911, '1fe8H01', NULL, NULL, 115, NULL, NULL, 16599),
(20912, '2uzyB04', NULL, NULL, 94, NULL, NULL, 16599),
(20913, '4l5fH01', NULL, NULL, 117, NULL, NULL, 16599),
(20914, '4uu9A00', NULL, NULL, 123, NULL, NULL, 16599),
(20915, '1fe8H02', NULL, NULL, 93, NULL, NULL, 16599),
(20916, '2uzyB03', NULL, NULL, 93, NULL, NULL, 16599),
(20917, '6bdzL01', NULL, NULL, 109, NULL, NULL, 16599),
(20918, '5wb9L01', NULL, NULL, 102, NULL, NULL, 16599),
(20919, '1fnlA02', NULL, NULL, 86, NULL, NULL, 16599),
(20920, '1fnlA01', NULL, NULL, 85, NULL, NULL, 16599),
(20921, '5fojA00', NULL, NULL, 137, NULL, NULL, 16599),
(20922, '3upcA00', NULL, NULL, 113, NULL, NULL, 16599),
(20923, '3tcxA00', NULL, NULL, 85, NULL, NULL, 16599),
(20924, '2gcyA01', NULL, NULL, 112, NULL, NULL, 16599),
(20925, '1iqdA01', NULL, NULL, 108, NULL, NULL, 16599),
(20926, '2cknA00', NULL, NULL, 95, NULL, NULL, 16599),
(20927, '2oypA00', NULL, NULL, 109, NULL, NULL, 16599),
(20928, '1i7zB01', NULL, NULL, 117, NULL, NULL, 16599),
(20929, '4ptuB01', NULL, NULL, 125, NULL, NULL, 16599),
(20930, '3lb6D02', NULL, NULL, 96, NULL, NULL, 16599),
(20931, '2q86B01', NULL, NULL, 111, NULL, NULL, 16599),
(20932, '1qkzL01', NULL, NULL, 112, NULL, NULL, 16599),
(20933, '4kaqL01', NULL, NULL, 107, NULL, NULL, 16599),
(20934, '4aqoA00', NULL, NULL, 92, NULL, NULL, 16599),
(20935, '3u0wL01', NULL, NULL, 108, NULL, NULL, 16599),
(20936, '1t0pB00', NULL, NULL, 86, NULL, NULL, 16599),
(20937, '4ocsH01', NULL, NULL, 144, NULL, NULL, 16599),
(20938, '5lspH01', NULL, NULL, 116, NULL, NULL, 16599),
(20939, '2edjA00', NULL, NULL, 100, NULL, NULL, 16599),
(20940, '5tf0B03', NULL, NULL, 115, NULL, NULL, 16599),
(20941, '4lpxA00', NULL, NULL, 100, NULL, NULL, 16599),
(20942, '4nrxD01', NULL, NULL, 130, NULL, NULL, 16599),
(20943, '1iamA02', NULL, NULL, 102, NULL, NULL, 16599),
(20944, '1iamA01', NULL, NULL, 83, NULL, NULL, 16599),
(20945, '3zo0A01', NULL, NULL, 100, NULL, NULL, 16599),
(20946, '6ca7L01', NULL, NULL, 108, NULL, NULL, 16599),
(20947, '4eupG01', NULL, NULL, 112, NULL, NULL, 16599),
(20948, '4djmA02', NULL, NULL, 83, NULL, NULL, 16599),
(20949, '5u68E02', NULL, NULL, 101, NULL, NULL, 16599),
(20950, '1il1B01', NULL, NULL, 113, NULL, NULL, 16599),
(20951, '3q6gI01', NULL, NULL, 134, NULL, NULL, 16599),
(20952, '1lp9F01', NULL, NULL, 111, NULL, NULL, 16599),
(20953, '1yuhH02', NULL, NULL, 99, NULL, NULL, 16599),
(20954, '1pskH01', NULL, NULL, 114, NULL, NULL, 16599),
(20955, '5sy8H01', NULL, NULL, 131, NULL, NULL, 16599),
(20956, '2e6pA01', NULL, NULL, 87, NULL, NULL, 16599),
(20957, '1hilB01', NULL, NULL, 120, NULL, NULL, 16599),
(20958, '5ibuB01', NULL, NULL, 109, NULL, NULL, 16599),
(20959, '5x4gB01', NULL, NULL, 108, NULL, NULL, 16599),
(20960, '6qn8B01', NULL, NULL, 111, NULL, NULL, 16599);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(20961, '2uylB01', NULL, NULL, 119, NULL, NULL, 16599),
(20962, '3gbnL01', NULL, NULL, 132, NULL, NULL, 16599),
(20963, '3gbnL02', NULL, NULL, 71, NULL, NULL, 16599),
(20964, '3pwuA02', NULL, NULL, 91, NULL, NULL, 16599),
(20965, '1zs8A02', NULL, NULL, 94, NULL, NULL, 16599),
(20966, '2g2rB01', NULL, NULL, 118, NULL, NULL, 16599),
(20967, '4djmA01', NULL, NULL, 127, NULL, NULL, 16599),
(20968, '1pg7X01', NULL, NULL, 120, NULL, NULL, 16599),
(20969, '1fnaA00', NULL, NULL, 91, NULL, NULL, 16599),
(20970, '1sm3H02', NULL, NULL, 99, NULL, NULL, 16599),
(20971, '4mxvF01', NULL, NULL, 118, NULL, NULL, 16599),
(20972, '1yqvH01', NULL, NULL, 116, NULL, NULL, 16599),
(20973, '1c7sA04', NULL, NULL, 66, NULL, NULL, 16599),
(20974, '6bfsL01', NULL, NULL, 108, NULL, NULL, 16599),
(20975, '5kvfH01', NULL, NULL, 119, NULL, NULL, 16599),
(20976, '1h3gA01', NULL, NULL, 92, NULL, NULL, 16599),
(20977, '3bkjH02', NULL, NULL, 99, NULL, NULL, 16599),
(20978, '5e6iA01', NULL, NULL, 114, NULL, NULL, 16599),
(20979, '1zmyA00', NULL, NULL, 142, NULL, NULL, 16599),
(20980, '3rhwN02', NULL, NULL, 74, NULL, NULL, 16599),
(20981, '4hsqA02', NULL, NULL, 128, NULL, NULL, 16599),
(20982, '2w59A01', NULL, NULL, 111, NULL, NULL, 16599),
(20983, '4od3H01', NULL, NULL, 144, NULL, NULL, 16599),
(20984, '3vrlE01', NULL, NULL, 122, NULL, NULL, 16599),
(20985, '4hs8L01', NULL, NULL, 111, NULL, NULL, 16599),
(20986, '6dw2A01', NULL, NULL, 108, NULL, NULL, 16599),
(20987, '6df3H01', NULL, NULL, 104, NULL, NULL, 16599),
(20988, '6df3H02', NULL, NULL, 86, NULL, NULL, 16599),
(20989, '2ajuH01', NULL, NULL, 119, NULL, NULL, 16599),
(20990, '2qv2A01', NULL, NULL, 130, NULL, NULL, 16599),
(20991, '5jo4B01', NULL, NULL, 109, NULL, NULL, 16599),
(20992, '4pp1D01', NULL, NULL, 120, NULL, NULL, 16599),
(20993, '2qteA00', NULL, NULL, 111, NULL, NULL, 16599),
(20994, '3tc9B01', NULL, NULL, 106, NULL, NULL, 16599),
(20995, '5j3hC00', NULL, NULL, 123, NULL, NULL, 16599),
(20996, '4mngE01', NULL, NULL, 119, NULL, NULL, 16599),
(20997, '4mngE02', NULL, NULL, 116, NULL, NULL, 16599),
(20998, '2ajuH02', NULL, NULL, 100, NULL, NULL, 16599),
(20999, '2uziL00', NULL, NULL, 104, NULL, NULL, 16599),
(21000, '4nm4L01', NULL, NULL, 113, NULL, NULL, 16599),
(21001, '5dc0A00', NULL, NULL, 93, NULL, NULL, 16599),
(21002, '4k7pY01', NULL, NULL, 122, NULL, NULL, 16599),
(21003, '1edqA01', NULL, NULL, 107, NULL, NULL, 16599),
(21004, '4p0dA03', NULL, NULL, 121, NULL, NULL, 16599),
(21005, '4m1dL01', NULL, NULL, 111, NULL, NULL, 16599),
(21006, '4j4pD01', NULL, NULL, 112, NULL, NULL, 16599),
(21007, '4ydlC01', NULL, NULL, 105, NULL, NULL, 16599),
(21008, '4k7pH01', NULL, NULL, 124, NULL, NULL, 16599),
(21009, '4ov6F00', NULL, NULL, 99, NULL, NULL, 16599),
(21010, '4k7pH02', NULL, NULL, 102, NULL, NULL, 16599),
(21011, '2esvD01', NULL, NULL, 109, NULL, NULL, 16599),
(21012, '1sq2N00', NULL, NULL, 113, NULL, NULL, 16599),
(21013, '2xqyG01', NULL, NULL, 124, NULL, NULL, 16599),
(21014, '2xfxA02', NULL, NULL, 91, NULL, NULL, 16599),
(21015, '2jjuA01', NULL, NULL, 123, NULL, NULL, 16599),
(21016, '2w60A01', NULL, NULL, 118, NULL, NULL, 16599),
(21017, '4z0xB00', NULL, NULL, 121, NULL, NULL, 16599),
(21018, '4fz8H01', NULL, NULL, 131, NULL, NULL, 16599),
(21019, '1v05A00', NULL, NULL, 96, NULL, NULL, 16599),
(21020, '5dmiL01', NULL, NULL, 108, NULL, NULL, 16599),
(21021, '3rrqA00', NULL, NULL, 129, NULL, NULL, 16599),
(21022, '2vn4A02', NULL, NULL, 114, NULL, NULL, 16599),
(21023, '3bkyL01', NULL, NULL, 107, NULL, NULL, 16599),
(21024, '5hi4C01', NULL, NULL, 118, NULL, NULL, 16599),
(21025, '1mimL01', NULL, NULL, 105, NULL, NULL, 16599),
(21026, '3lexB01', NULL, NULL, 113, NULL, NULL, 16599),
(21027, '6bynM00', NULL, NULL, 98, NULL, NULL, 16599),
(21028, '4orzC00', NULL, NULL, 120, NULL, NULL, 16599),
(21029, '2ww8A05', NULL, NULL, 123, NULL, NULL, 16599),
(21030, '4k3dM01', NULL, NULL, 111, NULL, NULL, 16599),
(21031, '4hf5H01', NULL, NULL, 130, NULL, NULL, 16599),
(21032, '3qpqD01', NULL, NULL, 119, NULL, NULL, 16599),
(21033, '5ou7C02', NULL, NULL, 91, NULL, NULL, 16599);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(21034, '1f6fB02', NULL, NULL, 101, NULL, NULL, 16599),
(21035, '1fbiH01', NULL, NULL, 122, NULL, NULL, 16599),
(21036, '1nfdE01', NULL, NULL, 108, NULL, NULL, 16599),
(21037, '2z35A00', NULL, NULL, 112, NULL, NULL, 16599),
(21038, '1f6fB01', NULL, NULL, 101, NULL, NULL, 16599),
(21039, '3tf7K02', NULL, NULL, 118, NULL, NULL, 16599),
(21040, '1nfdE02', NULL, NULL, 104, NULL, NULL, 16599),
(21041, '3mpcA00', NULL, NULL, 103, NULL, NULL, 16599),
(21042, '5ud8B00', NULL, NULL, 112, NULL, NULL, 16599),
(21043, '5w08H01', NULL, NULL, 109, NULL, NULL, 16599),
(21044, '5tpnL01', NULL, NULL, 108, NULL, NULL, 16599),
(21045, '5tzmA00', NULL, NULL, 100, NULL, NULL, 16599),
(21046, '1kfaL02', NULL, NULL, 102, NULL, NULL, 16599),
(21047, '4m43L01', NULL, NULL, 108, NULL, NULL, 16599),
(21048, '5n4gL01', NULL, NULL, 112, NULL, NULL, 16599),
(21049, '4n1cB00', NULL, NULL, 109, NULL, NULL, 16599),
(21050, '3l5iA01', NULL, NULL, 87, NULL, NULL, 16599),
(21051, '3l5iA02', NULL, NULL, 88, NULL, NULL, 16599),
(21052, '2ww8A01', NULL, NULL, 106, NULL, NULL, 16599),
(21053, '3l5iA03', NULL, NULL, 88, NULL, NULL, 16599),
(21054, '4h1lH00', NULL, NULL, 111, NULL, NULL, 16599),
(21055, '2kdgA00', NULL, NULL, 100, NULL, NULL, 16599),
(21056, '2vweC01', NULL, NULL, 107, NULL, NULL, 16599),
(21057, '2imnA00', NULL, NULL, 113, NULL, NULL, 16599),
(21058, '2di8A01', NULL, NULL, 94, NULL, NULL, 16599),
(21059, '1adqH01', NULL, NULL, 123, NULL, NULL, 16599),
(21060, '1l9mA01', NULL, NULL, 142, NULL, NULL, 16599),
(21061, '2x1wO01', NULL, NULL, 102, NULL, NULL, 16599),
(21062, '3inuH01', NULL, NULL, 125, NULL, NULL, 16599),
(21063, '4qxgL01', NULL, NULL, 109, NULL, NULL, 16599),
(21064, '1l9mA04', NULL, NULL, 97, NULL, NULL, 16599),
(21065, '4iosD00', NULL, NULL, 123, NULL, NULL, 16599),
(21066, '5czvL01', NULL, NULL, 107, NULL, NULL, 16599),
(21067, '2op4H01', NULL, NULL, 123, NULL, NULL, 16599),
(21068, '2op4H02', NULL, NULL, 99, NULL, NULL, 16599),
(21069, '2eizB00', NULL, NULL, 113, NULL, NULL, 16599),
(21070, '2x41A03', NULL, NULL, 119, NULL, NULL, 16599),
(21071, '3ietB01', NULL, NULL, 118, NULL, NULL, 16599),
(21072, '1yedB01', NULL, NULL, 124, NULL, NULL, 16599),
(21073, '1h3pL01', NULL, NULL, 113, NULL, NULL, 16599),
(21074, '6ehyA02', NULL, NULL, 116, NULL, NULL, 16599),
(21075, '3u9uA01', NULL, NULL, 119, NULL, NULL, 16599),
(21076, '5d4kA02', NULL, NULL, 106, NULL, NULL, 16599),
(21077, '1ggiL01', NULL, NULL, 111, NULL, NULL, 16599),
(21078, '2yhgA02', NULL, NULL, 110, NULL, NULL, 16599),
(21079, '4nbxB00', NULL, NULL, 130, NULL, NULL, 16599),
(21080, '1bpvA00', NULL, NULL, 112, NULL, NULL, 16599),
(21081, '6ewbF01', NULL, NULL, 108, NULL, NULL, 16599),
(21082, '2qlvB01', NULL, NULL, 87, NULL, NULL, 16599),
(21083, '1uvqB02', NULL, NULL, 108, NULL, NULL, 16599),
(21084, '4kuzH01', NULL, NULL, 120, NULL, NULL, 16599),
(21085, '3idgB02', NULL, NULL, 105, NULL, NULL, 16599),
(21086, '4aehL01', NULL, NULL, 108, NULL, NULL, 16599),
(21087, '1k8iB02', NULL, NULL, 100, NULL, NULL, 16599),
(21088, '5cd3B01', NULL, NULL, 104, NULL, NULL, 16599),
(21089, '3g04A01', NULL, NULL, 111, NULL, NULL, 16599),
(21090, '5b3nA01', NULL, NULL, 125, NULL, NULL, 16599),
(21091, '5b3nA02', NULL, NULL, 120, NULL, NULL, 16599),
(21092, '4ki5F01', NULL, NULL, 108, NULL, NULL, 16599),
(21093, '5fhbH01', NULL, NULL, 125, NULL, NULL, 16599),
(21094, '1igtB01', NULL, NULL, 119, NULL, NULL, 16599),
(21095, '6blqB02', NULL, NULL, 105, NULL, NULL, 16599),
(21096, '1h0dB01', NULL, NULL, 121, NULL, NULL, 16599),
(21097, '1h0dB02', NULL, NULL, 99, NULL, NULL, 16599),
(21098, '5obfL01', NULL, NULL, 112, NULL, NULL, 16599),
(21099, '5c0nD01', NULL, NULL, 113, NULL, NULL, 16599),
(21100, '5m02H01', NULL, NULL, 112, NULL, NULL, 16599),
(21101, '5vicL01', NULL, NULL, 108, NULL, NULL, 16599),
(21102, '3l95B01', NULL, NULL, 119, NULL, NULL, 16599),
(21103, '2arjA01', NULL, NULL, 108, NULL, NULL, 16599),
(21104, '5dwuL01', NULL, NULL, 107, NULL, NULL, 16599),
(21105, '3m45A00', NULL, NULL, 108, NULL, NULL, 16599),
(21106, '1frgL01', NULL, NULL, 114, NULL, NULL, 16599);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(21107, '2adfH01', NULL, NULL, 119, NULL, NULL, 16599),
(21108, '3u6rB00', NULL, NULL, 105, NULL, NULL, 16599),
(21109, '1tziB01', NULL, NULL, 120, NULL, NULL, 16599),
(21110, '5jdsB00', NULL, NULL, 129, NULL, NULL, 16599),
(21111, '5nmvH02', NULL, NULL, 99, NULL, NULL, 16599),
(21112, '3ncyP01', NULL, NULL, 121, NULL, NULL, 16599),
(21113, '5n2kC01', NULL, NULL, 111, NULL, NULL, 16599),
(21114, '1a3rL01', NULL, NULL, 114, NULL, NULL, 16599),
(21115, '4f80A01', NULL, NULL, 119, NULL, NULL, 16599),
(21116, '1gpoH01', NULL, NULL, 113, NULL, NULL, 16599),
(21117, '5febA00', NULL, NULL, 125, NULL, NULL, 16599),
(21118, '4f80A02', NULL, NULL, 107, NULL, NULL, 16599),
(21119, '4jy6A01', NULL, NULL, 106, NULL, NULL, 16599),
(21120, '3vxmD01', NULL, NULL, 117, NULL, NULL, 16599),
(21121, '5uxqB01', NULL, NULL, 111, NULL, NULL, 16599),
(21122, '1yejL01', NULL, NULL, 113, NULL, NULL, 16599),
(21123, '4d3cH01', NULL, NULL, 116, NULL, NULL, 16599),
(21124, '3cfdA01', NULL, NULL, 107, NULL, NULL, 16599),
(21125, '4hwnA00', NULL, NULL, 108, NULL, NULL, 16599),
(21126, '5uelL01', NULL, NULL, 110, NULL, NULL, 16599),
(21127, '5alcH01', NULL, NULL, 129, NULL, NULL, 16599),
(21128, '5hvwA02', NULL, NULL, 107, NULL, NULL, 16599),
(21129, '5cgyD01', NULL, NULL, 112, NULL, NULL, 16599),
(21130, '5xs7L00', NULL, NULL, 108, NULL, NULL, 16599),
(21131, '5hggT00', NULL, NULL, 128, NULL, NULL, 16599),
(21132, '6c9uL01', NULL, NULL, 113, NULL, NULL, 16599),
(21133, '3q3gB01', NULL, NULL, 122, NULL, NULL, 16599),
(21134, '5fwoA00', NULL, NULL, 137, NULL, NULL, 16599),
(21135, '1mlbB01', NULL, NULL, 116, NULL, NULL, 16599),
(21136, '1mlbB02', NULL, NULL, 99, NULL, NULL, 16599),
(21137, '5mtjB00', NULL, NULL, 98, NULL, NULL, 16599),
(21138, '2vxqH01', NULL, NULL, 117, NULL, NULL, 16599),
(21139, '5iszE01', NULL, NULL, 113, NULL, NULL, 16599),
(21140, '4g6mL01', NULL, NULL, 108, NULL, NULL, 16599),
(21141, '4ofdB02', NULL, NULL, 106, NULL, NULL, 16599),
(21142, '4ofdB01', NULL, NULL, 108, NULL, NULL, 16599),
(21143, '3gzkA01', NULL, NULL, 85, NULL, NULL, 16599),
(21144, '4crpA00', NULL, NULL, 107, NULL, NULL, 16599),
(21145, '3n1mC01', NULL, NULL, 101, NULL, NULL, 16599),
(21146, '1dsfH00', NULL, NULL, 119, NULL, NULL, 16599),
(21147, '3thmL01', NULL, NULL, 111, NULL, NULL, 16599),
(21148, '3gkzA02', NULL, NULL, 103, NULL, NULL, 16599),
(21149, '3idxL01', NULL, NULL, 108, NULL, NULL, 16599),
(21150, '5ksaC01', NULL, NULL, 112, NULL, NULL, 16599),
(21151, '3gkzA01', NULL, NULL, 138, NULL, NULL, 16599),
(21152, '6blaL01', NULL, NULL, 111, NULL, NULL, 16599),
(21153, '3u9pK02', NULL, NULL, 97, NULL, NULL, 16599),
(21154, '5j6hA02', NULL, NULL, 87, NULL, NULL, 16599),
(21155, '1kjvA02', NULL, NULL, 91, NULL, NULL, 16599),
(21156, '5f3hA01', NULL, NULL, 116, NULL, NULL, 16599),
(21157, '4orgD01', NULL, NULL, 112, NULL, NULL, 16599),
(21158, '4n0yH01', NULL, NULL, 126, NULL, NULL, 16599),
(21159, '4qycB02', NULL, NULL, 103, NULL, NULL, 16599),
(21160, '5dt1H01', NULL, NULL, 145, NULL, NULL, 16599),
(21161, '5sv3C00', NULL, NULL, 139, NULL, NULL, 16599),
(21162, '3ma9H01', NULL, NULL, 121, NULL, NULL, 16599),
(21163, '3qq9C01', NULL, NULL, 112, NULL, NULL, 16599),
(21164, '1q9wA01', NULL, NULL, 113, NULL, NULL, 16599),
(21165, '4l9lB01', NULL, NULL, 115, NULL, NULL, 16599),
(21166, '3f7pE02', NULL, NULL, 132, NULL, NULL, 16599),
(21167, '1owwA00', NULL, NULL, 98, NULL, NULL, 16599),
(21168, '5ikcA01', NULL, NULL, 107, NULL, NULL, 16599),
(21169, '1fgvH00', NULL, NULL, 124, NULL, NULL, 16599),
(21170, '3p4lA02', NULL, NULL, 107, NULL, NULL, 16599),
(21171, '6bb4L01', NULL, NULL, 108, NULL, NULL, 16599),
(21172, '3p4lA01', NULL, NULL, 104, NULL, NULL, 16599),
(21173, '2xraL01', NULL, NULL, 108, NULL, NULL, 16599),
(21174, '4i77L01', NULL, NULL, 111, NULL, NULL, 16599),
(21175, '4ozgE01', NULL, NULL, 108, NULL, NULL, 16599),
(21176, '3hntL01', NULL, NULL, 107, NULL, NULL, 16599),
(21177, '4ba8A00', NULL, NULL, 102, NULL, NULL, 16599),
(21178, '1s9vA02', NULL, NULL, 110, NULL, NULL, 16599),
(21179, '1moeA02', NULL, NULL, 99, NULL, NULL, 16599);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(21180, '2qsqB01', NULL, NULL, 110, NULL, NULL, 16599),
(21181, '4grmB01', NULL, NULL, 116, NULL, NULL, 16599),
(21182, '3cmoH01', NULL, NULL, 123, NULL, NULL, 16599),
(21183, '1jvkA01', NULL, NULL, 112, NULL, NULL, 16599),
(21184, '3skjH01', NULL, NULL, 128, NULL, NULL, 16599),
(21185, '5tlkB01', NULL, NULL, 120, NULL, NULL, 16599),
(21186, '5k6xA04', NULL, NULL, 92, NULL, NULL, 16599),
(21187, '1r0aH01', NULL, NULL, 123, NULL, NULL, 16599),
(21188, '1k5nB00', NULL, NULL, 100, NULL, NULL, 16599),
(21189, '3clfL01', NULL, NULL, 107, NULL, NULL, 16599),
(21190, '1seqL01', NULL, NULL, 107, NULL, NULL, 16599),
(21191, '2rblA02', NULL, NULL, 74, NULL, NULL, 16599),
(21192, '5eorL01', NULL, NULL, 116, NULL, NULL, 16599),
(21193, '5kanG01', NULL, NULL, 128, NULL, NULL, 16599),
(21194, '1egjL02', NULL, NULL, 103, NULL, NULL, 16599),
(21195, '3fn9A02', NULL, NULL, 120, NULL, NULL, 16599),
(21196, '2y07L02', NULL, NULL, 101, NULL, NULL, 16599),
(21197, '1egjL01', NULL, NULL, 112, NULL, NULL, 16599),
(21198, '4of8B01', NULL, NULL, 116, NULL, NULL, 16599),
(21199, '4oqtH01', NULL, NULL, 118, NULL, NULL, 16599),
(21200, '5nb5L01', NULL, NULL, 112, NULL, NULL, 16599),
(21201, '4rfeA01', NULL, NULL, 125, NULL, NULL, 16599),
(21202, '6b0hA01', NULL, NULL, 108, NULL, NULL, 16599),
(21203, '4nzrL01', NULL, NULL, 108, NULL, NULL, 16599),
(21204, '4bfiB02', NULL, NULL, 98, NULL, NULL, 16599),
(21205, '4bfiB01', NULL, NULL, 113, NULL, NULL, 16599),
(21206, '4yhyC01', NULL, NULL, 109, NULL, NULL, 16599),
(21207, '3rghA01', NULL, NULL, 96, NULL, NULL, 16599),
(21208, '5dd5L01', NULL, NULL, 107, NULL, NULL, 16599),
(21209, '1cgtA04', NULL, NULL, 104, NULL, NULL, 16599),
(21210, '1cgtA03', NULL, NULL, 86, NULL, NULL, 16599),
(21211, '3v6oF01', NULL, NULL, 109, NULL, NULL, 16599),
(21212, '3r8bP00', NULL, NULL, 125, NULL, NULL, 16599),
(21213, '1f00I01', NULL, NULL, 95, NULL, NULL, 16599),
(21214, '6c08A02', NULL, NULL, 98, NULL, NULL, 16599),
(21215, '3whxA01', NULL, NULL, 118, NULL, NULL, 16599),
(21216, '5f3bB01', NULL, NULL, 108, NULL, NULL, 16599),
(21217, '5uy3A01', NULL, NULL, 138, NULL, NULL, 16599),
(21218, '3ojdA01', NULL, NULL, 108, NULL, NULL, 16599),
(21219, '1um5H01', NULL, NULL, 117, NULL, NULL, 16599),
(21220, '4ploB01', NULL, NULL, 102, NULL, NULL, 16599),
(21221, '5gsbA02', NULL, NULL, 91, NULL, NULL, 16599),
(21222, '5m63H01', NULL, NULL, 125, NULL, NULL, 16599),
(21223, '2yocA03', NULL, NULL, 108, NULL, NULL, 16599),
(21224, '3nh7H01', NULL, NULL, 120, NULL, NULL, 16599),
(21225, '1sy6H01', NULL, NULL, 119, NULL, NULL, 16599),
(21226, '3qrgL01', NULL, NULL, 111, NULL, NULL, 16599),
(21227, '3jz7A01', NULL, NULL, 120, NULL, NULL, 16599),
(21228, '3jz7A02', NULL, NULL, 94, NULL, NULL, 16599),
(21229, '1kelH01', NULL, NULL, 119, NULL, NULL, 16599),
(21230, '1f4wH01', NULL, NULL, 117, NULL, NULL, 16599),
(21231, '1ghfH01', NULL, NULL, 114, NULL, NULL, 16599),
(21232, '4edxB01', NULL, NULL, 121, NULL, NULL, 16599),
(21233, '5dfwH02', NULL, NULL, 99, NULL, NULL, 16599),
(21234, '5dfwH01', NULL, NULL, 116, NULL, NULL, 16599),
(21235, '2ialA01', NULL, NULL, 108, NULL, NULL, 16599),
(21236, '4wcyH01', NULL, NULL, 116, NULL, NULL, 16599),
(21237, '5ifhL01', NULL, NULL, 110, NULL, NULL, 16599),
(21238, '5ubyL01', NULL, NULL, 109, NULL, NULL, 16599),
(21239, '4ekxA00', NULL, NULL, 116, NULL, NULL, 16599),
(21240, '4qthA01', NULL, NULL, 122, NULL, NULL, 16599),
(21241, '4qwwC01', NULL, NULL, 107, NULL, NULL, 16599),
(21242, '5jxaH01', NULL, NULL, 130, NULL, NULL, 16599),
(21243, '3hrpA01', NULL, NULL, 104, NULL, NULL, 16599),
(21244, '1a3rH01', NULL, NULL, 118, NULL, NULL, 16599),
(21245, '4hs6A01', NULL, NULL, 111, NULL, NULL, 16599),
(21246, '5u15A01', NULL, NULL, 127, NULL, NULL, 16599),
(21247, '5c8jA01', NULL, NULL, 131, NULL, NULL, 16599),
(21248, '3o4lE01', NULL, NULL, 114, NULL, NULL, 16599),
(21249, '4llyB01', NULL, NULL, 109, NULL, NULL, 16599),
(21250, '4dohE01', NULL, NULL, 108, NULL, NULL, 16599),
(21251, '5gznC01', NULL, NULL, 127, NULL, NULL, 16599),
(21252, '4lmqE01', NULL, NULL, 120, NULL, NULL, 16599);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(21253, '4dohE02', NULL, NULL, 113, NULL, NULL, 16599),
(21254, '3juzA00', NULL, NULL, 101, NULL, NULL, 16599),
(21255, '1cwvA01', NULL, NULL, 101, NULL, NULL, 16599),
(21256, '1cwvA02', NULL, NULL, 97, NULL, NULL, 16599),
(21257, '1cwvA03', NULL, NULL, 102, NULL, NULL, 16599),
(21258, '4olzH01', NULL, NULL, 125, NULL, NULL, 16599),
(21259, '5fhbL01', NULL, NULL, 105, NULL, NULL, 16599),
(21260, '2yd4A01', NULL, NULL, 101, NULL, NULL, 16599),
(21261, '4ffyL00', NULL, NULL, 126, NULL, NULL, 16599),
(21262, '2c3vB00', NULL, NULL, 102, NULL, NULL, 16599),
(21263, '3qumL01', NULL, NULL, 113, NULL, NULL, 16599),
(21264, '6flcA01', NULL, NULL, 108, NULL, NULL, 16599),
(21265, '3wkmH01', NULL, NULL, 123, NULL, NULL, 16599),
(21266, '2yd4A02', NULL, NULL, 109, NULL, NULL, 16599),
(21267, '5fgbA01', NULL, NULL, 110, NULL, NULL, 16599),
(21268, '1jbjA01', NULL, NULL, 89, NULL, NULL, 16599),
(21269, '3qeqE01', NULL, NULL, 114, NULL, NULL, 16599),
(21270, '1e4xM01', NULL, NULL, 107, NULL, NULL, 16599),
(21271, '1ri8A00', NULL, NULL, 134, NULL, NULL, 16599),
(21272, '5dd1H01', NULL, NULL, 128, NULL, NULL, 16599),
(21273, '1jbjA02', NULL, NULL, 75, NULL, NULL, 16599),
(21274, '32c2B02', NULL, NULL, 99, NULL, NULL, 16599),
(21275, '4fqqD01', NULL, NULL, 132, NULL, NULL, 16599),
(21276, '4f37K01', NULL, NULL, 113, NULL, NULL, 16599),
(21277, '32c2B01', NULL, NULL, 119, NULL, NULL, 16599),
(21278, '2dm7A01', NULL, NULL, 88, NULL, NULL, 16599),
(21279, '2dkuA01', NULL, NULL, 89, NULL, NULL, 16599),
(21280, '5u0uA02', NULL, NULL, 102, NULL, NULL, 16599),
(21281, '5u0uA01', NULL, NULL, 126, NULL, NULL, 16599),
(21282, '5dyoA01', NULL, NULL, 112, NULL, NULL, 16599),
(21283, '2qscH01', NULL, NULL, 123, NULL, NULL, 16599),
(21284, '4tnwK01', NULL, NULL, 110, NULL, NULL, 16599),
(21285, '4bzyA02', NULL, NULL, 113, NULL, NULL, 16599),
(21286, '4lhqB00', NULL, NULL, 128, NULL, NULL, 16599),
(21287, '3wbdB01', NULL, NULL, 130, NULL, NULL, 16599),
(21288, '6d4nA02', NULL, NULL, 106, NULL, NULL, 16599),
(21289, '1tvdA00', NULL, NULL, 116, NULL, NULL, 16599),
(21290, '1cdcA00', NULL, NULL, 99, NULL, NULL, 16599),
(21291, '5wkfD01', NULL, NULL, 108, NULL, NULL, 16599),
(21292, '2edfA00', NULL, NULL, 103, NULL, NULL, 16599),
(21293, '5nhtB01', NULL, NULL, 114, NULL, NULL, 16599),
(21294, '2dmcA01', NULL, NULL, 74, NULL, NULL, 16599),
(21295, '1wf5A00', NULL, NULL, 121, NULL, NULL, 16599),
(21296, '2gfbB01', NULL, NULL, 119, NULL, NULL, 16599),
(21297, '5eu6E01', NULL, NULL, 115, NULL, NULL, 16599),
(21298, '6df0L01', NULL, NULL, 108, NULL, NULL, 16599),
(21299, '2vq1A01', NULL, NULL, 113, NULL, NULL, 16599),
(21300, '2x1oA00', NULL, NULL, 122, NULL, NULL, 16599),
(21301, '4r4bA01', NULL, NULL, 106, NULL, NULL, 16599),
(21302, '1qfwL00', NULL, NULL, 114, NULL, NULL, 16599),
(21303, '2edqA01', NULL, NULL, 88, NULL, NULL, 16599),
(21304, '2xraH01', NULL, NULL, 120, NULL, NULL, 16599),
(21305, '3gi9H01', NULL, NULL, 124, NULL, NULL, 16599),
(21306, '6b3mP01', NULL, NULL, 109, NULL, NULL, 16599),
(21307, '2qqnL01', NULL, NULL, 107, NULL, NULL, 16599),
(21308, '4bz1H02', NULL, NULL, 99, NULL, NULL, 16599),
(21309, '4bz1H01', NULL, NULL, 117, NULL, NULL, 16599),
(21310, '5cszB01', NULL, NULL, 109, NULL, NULL, 16599),
(21311, '4u33A01', NULL, NULL, 131, NULL, NULL, 16599),
(21312, '6dcaL01', NULL, NULL, 113, NULL, NULL, 16599),
(21313, '5vqmC01', NULL, NULL, 108, NULL, NULL, 16599),
(21314, '2fjhB01', NULL, NULL, 121, NULL, NULL, 16599),
(21315, '1fltX00', NULL, NULL, 95, NULL, NULL, 16599),
(21316, '1sbsH01', NULL, NULL, 123, NULL, NULL, 16599),
(21317, '5drwA01', NULL, NULL, 126, NULL, NULL, 16599),
(21318, '3s88L01', NULL, NULL, 108, NULL, NULL, 16599),
(21319, '5ja9B00', NULL, NULL, 123, NULL, NULL, 16599),
(21320, '5wi9E01', NULL, NULL, 109, NULL, NULL, 16599),
(21321, '6ii9L01', NULL, NULL, 110, NULL, NULL, 16599),
(21322, '4uv4L01', NULL, NULL, 112, NULL, NULL, 16599),
(21323, '3nz8A01', NULL, NULL, 121, NULL, NULL, 16599),
(21324, '5czxC01', NULL, NULL, 119, NULL, NULL, 16599),
(21325, '1rurL01', NULL, NULL, 113, NULL, NULL, 16599);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(21326, '1t2jA00', NULL, NULL, 116, NULL, NULL, 16599),
(21327, '4pb9H01', NULL, NULL, 122, NULL, NULL, 16599),
(21328, '2fl5B01', NULL, NULL, 120, NULL, NULL, 16599),
(21329, '2ih3B01', NULL, NULL, 108, NULL, NULL, 16599),
(21330, '3r0nA00', NULL, NULL, 128, NULL, NULL, 16599),
(21331, '4nrzB01', NULL, NULL, 107, NULL, NULL, 16599),
(21332, '3qegH01', NULL, NULL, 132, NULL, NULL, 16599),
(21333, '5wjoD01', NULL, NULL, 120, NULL, NULL, 16599),
(21334, '4p59H01', NULL, NULL, 117, NULL, NULL, 16599),
(21335, '5girB01', NULL, NULL, 108, NULL, NULL, 16599),
(21336, '3s35H01', NULL, NULL, 118, NULL, NULL, 16599),
(21337, '3tesA00', NULL, NULL, 98, NULL, NULL, 16599),
(21338, '6bpbB01', NULL, NULL, 108, NULL, NULL, 16599),
(21339, '5kvgL01', NULL, NULL, 107, NULL, NULL, 16599),
(21340, '2yuzA00', NULL, NULL, 100, NULL, NULL, 16599),
(21341, '1uemA00', NULL, NULL, 117, NULL, NULL, 16599),
(21342, '3q5yA01', NULL, NULL, 111, NULL, NULL, 16599),
(21343, '1xiwB00', NULL, NULL, 79, NULL, NULL, 16599),
(21344, '2gsiB01', NULL, NULL, 121, NULL, NULL, 16599),
(21345, '4s0sD00', NULL, NULL, 120, NULL, NULL, 16599),
(21346, '1a2yB00', NULL, NULL, 116, NULL, NULL, 16599),
(21347, '5t3zD01', NULL, NULL, 126, NULL, NULL, 16599),
(21348, '6mttL01', NULL, NULL, 107, NULL, NULL, 16599),
(21349, '5nstA01', NULL, NULL, 108, NULL, NULL, 16599),
(21350, '5u3jH01', NULL, NULL, 133, NULL, NULL, 16599),
(21351, '2xa3A00', NULL, NULL, 127, NULL, NULL, 16599),
(21352, '4cu7A02', NULL, NULL, 121, NULL, NULL, 16599),
(21353, '3i9gH01', NULL, NULL, 121, NULL, NULL, 16599),
(21354, '4cucA05', NULL, NULL, 118, NULL, NULL, 16599),
(21355, '2djsA01', NULL, NULL, 88, NULL, NULL, 16599),
(21356, '4gq9L01', NULL, NULL, 107, NULL, NULL, 16599),
(21357, '1bqsA02', NULL, NULL, 119, NULL, NULL, 16599),
(21358, '3q48B01', NULL, NULL, 120, NULL, NULL, 16599),
(21359, '1xt5A00', NULL, NULL, 135, NULL, NULL, 16599),
(21360, '6o3bA01', NULL, NULL, 108, NULL, NULL, 16599),
(21361, '4lfhD02', NULL, NULL, 85, NULL, NULL, 16599),
(21362, '1my7A00', NULL, NULL, 114, NULL, NULL, 16599),
(21363, '4lfhD01', NULL, NULL, 121, NULL, NULL, 16599),
(21364, '5te7L01', NULL, NULL, 104, NULL, NULL, 16599),
(21365, '2oz4A01', NULL, NULL, 97, NULL, NULL, 16599),
(21366, '2oz4A03', NULL, NULL, 83, NULL, NULL, 16599),
(21367, '5ye4B01', NULL, NULL, 107, NULL, NULL, 16599),
(21368, '2oz4A02', NULL, NULL, 85, NULL, NULL, 16599),
(21369, '1c16A02', NULL, NULL, 97, NULL, NULL, 16599),
(21370, '4z8fH01', NULL, NULL, 127, NULL, NULL, 16599),
(21371, '5c71A02', NULL, NULL, 96, NULL, NULL, 16599),
(21372, '3i75B01', NULL, NULL, 125, NULL, NULL, 16599),
(21373, '3whe101', NULL, NULL, 126, NULL, NULL, 16599),
(21374, '2xknB01', NULL, NULL, 116, NULL, NULL, 16599),
(21375, '1uctA01', NULL, NULL, 95, NULL, NULL, 16599),
(21376, '2yn5A01', NULL, NULL, 79, NULL, NULL, 16599),
(21377, '2pttA00', NULL, NULL, 110, NULL, NULL, 16599),
(21378, '4ktdL01', NULL, NULL, 116, NULL, NULL, 16599),
(21379, '3tp4B02', NULL, NULL, 104, NULL, NULL, 16599),
(21380, '1uctA02', NULL, NULL, 95, NULL, NULL, 16599),
(21381, '2oxgA00', NULL, NULL, 108, NULL, NULL, 16599),
(21382, '2zg1A01', NULL, NULL, 124, NULL, NULL, 16599),
(21383, '5opyL01', NULL, NULL, 108, NULL, NULL, 16599),
(21384, '5eo9A00', NULL, NULL, 110, NULL, NULL, 16599),
(21385, '5vsiL01', NULL, NULL, 107, NULL, NULL, 16599),
(21386, '4ofiA00', NULL, NULL, 115, NULL, NULL, 16599),
(21387, '5wtgB02', NULL, NULL, 98, NULL, NULL, 16599),
(21388, '5wtgB01', NULL, NULL, 121, NULL, NULL, 16599),
(21389, '6dhbA00', NULL, NULL, 108, NULL, NULL, 16599),
(21390, '2hh0H01', NULL, NULL, 118, NULL, NULL, 16599),
(21391, '5lmwA00', NULL, NULL, 129, NULL, NULL, 16599),
(21392, '4x9fA02', NULL, NULL, 104, NULL, NULL, 16599),
(21393, '4jegB00', NULL, NULL, 94, NULL, NULL, 16599),
(21394, '4x9fA03', NULL, NULL, 102, NULL, NULL, 16599),
(21395, '4nujB01', NULL, NULL, 136, NULL, NULL, 16599),
(21396, '5dupL01', NULL, NULL, 109, NULL, NULL, 16599),
(21397, '1i9jL01', NULL, NULL, 113, NULL, NULL, 16599),
(21398, '4grwJ00', NULL, NULL, 126, NULL, NULL, 16599);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(21399, '6ns1A02', NULL, NULL, 102, NULL, NULL, 16599),
(21400, '5d96B01', NULL, NULL, 108, NULL, NULL, 16599),
(21401, '6ns1A01', NULL, NULL, 111, NULL, NULL, 16599),
(21402, '3o3uN02', NULL, NULL, 98, NULL, NULL, 16599),
(21403, '3sobL01', NULL, NULL, 108, NULL, NULL, 16599),
(21404, '5xkuB01', NULL, NULL, 112, NULL, NULL, 16599),
(21405, '3o3uN03', NULL, NULL, 111, NULL, NULL, 16599),
(21406, '5itbH01', NULL, NULL, 117, NULL, NULL, 16599),
(21407, '5f7eL01', NULL, NULL, 103, NULL, NULL, 16599),
(21408, '5u3nL01', NULL, NULL, 109, NULL, NULL, 16599),
(21409, '6ffjA02', NULL, NULL, 101, NULL, NULL, 16599),
(21410, '4uikH01', NULL, NULL, 122, NULL, NULL, 16599),
(21411, '4uikH02', NULL, NULL, 100, NULL, NULL, 16599),
(21412, '4ocwL01', NULL, NULL, 109, NULL, NULL, 16599),
(21413, '4n90E01', NULL, NULL, 109, NULL, NULL, 16599),
(21414, '1qd0A00', NULL, NULL, 128, NULL, NULL, 16599),
(21415, '3bn9C01', NULL, NULL, 107, NULL, NULL, 16599),
(21416, '5iq9B01', NULL, NULL, 109, NULL, NULL, 16599),
(21417, '1xgyL01', NULL, NULL, 113, NULL, NULL, 16599),
(21418, '4n9gE01', NULL, NULL, 125, NULL, NULL, 16599),
(21419, '4i3gA04', NULL, NULL, 114, NULL, NULL, 16599),
(21420, '4krpB00', NULL, NULL, 136, NULL, NULL, 16599),
(21421, '5kw9H01', NULL, NULL, 124, NULL, NULL, 16599),
(21422, '5a41G00', NULL, NULL, 91, NULL, NULL, 16599),
(21423, '4mxvE01', NULL, NULL, 108, NULL, NULL, 16599),
(21424, '1txkB02', NULL, NULL, 122, NULL, NULL, 16599),
(21425, '2or7A00', NULL, NULL, 115, NULL, NULL, 16599),
(21426, '1fn4A01', NULL, NULL, 107, NULL, NULL, 16599),
(21427, '5drzB01', NULL, NULL, 125, NULL, NULL, 16599),
(21428, '4oleC00', NULL, NULL, 122, NULL, NULL, 16599),
(21429, '2ec8A03', NULL, NULL, 104, NULL, NULL, 16599),
(21430, '1yuhB01', NULL, NULL, 118, NULL, NULL, 16599),
(21431, '2ec8A01', NULL, NULL, 116, NULL, NULL, 16599),
(21432, '4p4kG01', NULL, NULL, 114, NULL, NULL, 16599),
(21433, '3cxdL02', NULL, NULL, 103, NULL, NULL, 16599),
(21434, '2ec8A02', NULL, NULL, 91, NULL, NULL, 16599),
(21435, '3cxdL01', NULL, NULL, 108, NULL, NULL, 16599),
(21436, '5c9kF00', NULL, NULL, 111, NULL, NULL, 16599),
(21437, '4rx4A01', NULL, NULL, 120, NULL, NULL, 16599),
(21438, '5bv7C01', NULL, NULL, 126, NULL, NULL, 16599),
(21439, '5bv7C02', NULL, NULL, 112, NULL, NULL, 16599),
(21440, '4pljD01', NULL, NULL, 121, NULL, NULL, 16599),
(21441, '1x5xA00', NULL, NULL, 109, NULL, NULL, 16599),
(21442, '6cjkA01', NULL, NULL, 114, NULL, NULL, 16599),
(21443, '5oyjC01', NULL, NULL, 95, NULL, NULL, 16599),
(21444, '4jdvL01', NULL, NULL, 104, NULL, NULL, 16599),
(21445, '4mjiJ01', NULL, NULL, 113, NULL, NULL, 16599),
(21446, '5fv2B00', NULL, NULL, 116, NULL, NULL, 16599),
(21447, '3t3pF01', NULL, NULL, 107, NULL, NULL, 16599),
(21448, '4g5zH01', NULL, NULL, 118, NULL, NULL, 16599),
(21449, '4pubH01', NULL, NULL, 122, NULL, NULL, 16599),
(21450, '3wiiH01', NULL, NULL, 119, NULL, NULL, 16599),
(21451, '4ut7H00', NULL, NULL, 150, NULL, NULL, 16599),
(21452, '2h3nB01', NULL, NULL, 100, NULL, NULL, 16599),
(21453, '3tt3H01', NULL, NULL, 120, NULL, NULL, 16599),
(21454, '4gxvL01', NULL, NULL, 112, NULL, NULL, 16599),
(21455, '5azeH01', NULL, NULL, 121, NULL, NULL, 16599),
(21456, '4ffvC01', NULL, NULL, 107, NULL, NULL, 16599),
(21457, '5wnaD01', NULL, NULL, 107, NULL, NULL, 16599),
(21458, '5t1dH01', NULL, NULL, 116, NULL, NULL, 16599),
(21459, '3g5vB01', NULL, NULL, 116, NULL, NULL, 16599),
(21460, '4xvjL00', NULL, NULL, 115, NULL, NULL, 16599),
(21461, '3g5vB02', NULL, NULL, 97, NULL, NULL, 16599),
(21462, '3aazB01', NULL, NULL, 112, NULL, NULL, 16599),
(21463, '6b9jL01', NULL, NULL, 110, NULL, NULL, 16599),
(21464, '2gjjB01', NULL, NULL, 137, NULL, NULL, 16599),
(21465, '1mspB00', NULL, NULL, 126, NULL, NULL, 16599),
(21466, '5d1xA01', NULL, NULL, 112, NULL, NULL, 16599),
(21467, '4x5wB02', NULL, NULL, 106, NULL, NULL, 16599),
(21468, '5n7wB01', NULL, NULL, 110, NULL, NULL, 16599),
(21469, '1becA01', NULL, NULL, 113, NULL, NULL, 16599),
(21470, '5j13B01', NULL, NULL, 109, NULL, NULL, 16599),
(21471, '2hftA02', NULL, NULL, 111, NULL, NULL, 16599);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(21472, '1becA02', NULL, NULL, 125, NULL, NULL, 16599),
(21473, '1y0lB01', NULL, NULL, 123, NULL, NULL, 16599),
(21474, '4h8wH01', NULL, NULL, 119, NULL, NULL, 16599),
(21475, '6bqbL01', NULL, NULL, 113, NULL, NULL, 16599),
(21476, '1indH01', NULL, NULL, 114, NULL, NULL, 16599),
(21477, '4p9mH01', NULL, NULL, 132, NULL, NULL, 16599),
(21478, '6dezA01', NULL, NULL, 108, NULL, NULL, 16599),
(21479, '2p5eB00', NULL, NULL, 100, NULL, NULL, 16599),
(21480, '5eziL01', NULL, NULL, 108, NULL, NULL, 16599),
(21481, '5w1gL01', NULL, NULL, 115, NULL, NULL, 16599),
(21482, '4qhkI01', NULL, NULL, 121, NULL, NULL, 16599),
(21483, '1yeeH01', NULL, NULL, 123, NULL, NULL, 16599),
(21484, '3g9vC01', NULL, NULL, 107, NULL, NULL, 16599),
(21485, '5vkdL01', NULL, NULL, 109, NULL, NULL, 16599),
(21486, '3tpkA00', NULL, NULL, 136, NULL, NULL, 16599),
(21487, '1m4kA02', NULL, NULL, 98, NULL, NULL, 16599),
(21488, '1m4kA01', NULL, NULL, 102, NULL, NULL, 16599),
(21489, '4edwH01', NULL, NULL, 121, NULL, NULL, 16599),
(21490, '5wlgJ01', NULL, NULL, 114, NULL, NULL, 16599),
(21491, '1dn0A01', NULL, NULL, 109, NULL, NULL, 16599),
(21492, '5xmfB00', NULL, NULL, 99, NULL, NULL, 16599),
(21493, '4bsvB02', NULL, NULL, 110, NULL, NULL, 16599),
(21494, '3oq3B01', NULL, NULL, 126, NULL, NULL, 16599),
(21495, '3oq3B02', NULL, NULL, 100, NULL, NULL, 16599),
(21496, '3oq3B03', NULL, NULL, 103, NULL, NULL, 16599),
(21497, '4irzL01', NULL, NULL, 107, NULL, NULL, 16599),
(21498, '3fawA02', NULL, NULL, 113, NULL, NULL, 16599),
(21499, '4liqE05', NULL, NULL, 100, NULL, NULL, 16599),
(21500, '1forH01', NULL, NULL, 120, NULL, NULL, 16599),
(21501, '5ljyH00', NULL, NULL, 119, NULL, NULL, 16599),
(21502, '6a77A00', NULL, NULL, 91, NULL, NULL, 16599),
(21503, '4liqE04', NULL, NULL, 102, NULL, NULL, 16599),
(21504, '3s8wC00', NULL, NULL, 105, NULL, NULL, 16599),
(21505, '4liqE03', NULL, NULL, 97, NULL, NULL, 16599),
(21506, '6bjqA02', NULL, NULL, 97, NULL, NULL, 16599),
(21507, '1nunB01', NULL, NULL, 111, NULL, NULL, 16599),
(21508, '4liqE02', NULL, NULL, 99, NULL, NULL, 16599),
(21509, '4hw6A01', NULL, NULL, 106, NULL, NULL, 16599),
(21510, '4liqE01', NULL, NULL, 83, NULL, NULL, 16599),
(21511, '2erjB02', NULL, NULL, 109, NULL, NULL, 16599),
(21512, '2w59B02', NULL, NULL, 120, NULL, NULL, 16599),
(21513, '4jhaH01', NULL, NULL, 126, NULL, NULL, 16599),
(21514, '4jhaH02', NULL, NULL, 105, NULL, NULL, 16599),
(21515, '4rwyH01', NULL, NULL, 120, NULL, NULL, 16599),
(21516, '6mtqL01', NULL, NULL, 109, NULL, NULL, 16599),
(21517, '4ye4L01', NULL, NULL, 114, NULL, NULL, 16599),
(21518, '3oskA00', NULL, NULL, 130, NULL, NULL, 16599),
(21519, '1ugnA01', NULL, NULL, 95, NULL, NULL, 16599),
(21520, '5hbtC01', NULL, NULL, 107, NULL, NULL, 16599),
(21521, '1afvH01', NULL, NULL, 120, NULL, NULL, 16599),
(21522, '5d7iC02', NULL, NULL, 92, NULL, NULL, 16599),
(21523, '6ddmA01', NULL, NULL, 109, NULL, NULL, 16599),
(21524, '2xzqH01', NULL, NULL, 120, NULL, NULL, 16599),
(21525, '2xzqH02', NULL, NULL, 99, NULL, NULL, 16599),
(21526, '4odvL01', NULL, NULL, 108, NULL, NULL, 16599),
(21527, '3hzmA01', NULL, NULL, 113, NULL, NULL, 16599),
(21528, '1sjvA00', NULL, NULL, 114, NULL, NULL, 16599),
(21529, '5gksB02', NULL, NULL, 103, NULL, NULL, 16599),
(21530, '4rgoL01', NULL, NULL, 108, NULL, NULL, 16599),
(21531, '4nfdA00', NULL, NULL, 120, NULL, NULL, 16599),
(21532, '5iszD01', NULL, NULL, 110, NULL, NULL, 16599),
(21533, '5iszD02', NULL, NULL, 90, NULL, NULL, 16599),
(21534, '2yk1H01', NULL, NULL, 117, NULL, NULL, 16599),
(21535, '5d96C01', NULL, NULL, 118, NULL, NULL, 16599),
(21536, '2jelL01', NULL, NULL, 113, NULL, NULL, 16599),
(21537, '4jznC01', NULL, NULL, 119, NULL, NULL, 16599),
(21538, '2jelL02', NULL, NULL, 103, NULL, NULL, 16599),
(21539, '4dagL01', NULL, NULL, 107, NULL, NULL, 16599),
(21540, '3bj9100', NULL, NULL, 116, NULL, NULL, 16599),
(21541, '3s97C01', NULL, NULL, 108, NULL, NULL, 16599),
(21542, '2di7A01', NULL, NULL, 107, NULL, NULL, 16599),
(21543, '6dcvA01', NULL, NULL, 113, NULL, NULL, 16599),
(21544, '3s97C02', NULL, NULL, 93, NULL, NULL, 16599);
INSERT INTO "PUBLIC"."MODEL" VALUES
(21545, '5f21B00', NULL, NULL, 120, NULL, NULL, 16599),
(21546, '5kn5A01', NULL, NULL, 118, NULL, NULL, 16599),
(21547, '3hmwL01', NULL, NULL, 107, NULL, NULL, 16599),
(21548, '4hj0D01', NULL, NULL, 110, NULL, NULL, 16599),
(21549, '1n0xH01', NULL, NULL, 123, NULL, NULL, 16599),
(21550, '5c3lD00', NULL, NULL, 119, NULL, NULL, 16599),
(21551, '6gh1A02', NULL, NULL, 91, NULL, NULL, 16599),
(21552, '6n7uB01', NULL, NULL, 109, NULL, NULL, 16599),
(21553, '4y19D01', NULL, NULL, 116, NULL, NULL, 16599),
(21554, '2jtdA00', NULL, NULL, 122, NULL, NULL, 16599),
(21555, '4osuH01', NULL, NULL, 131, NULL, NULL, 16599),
(21556, '1t4kA01', NULL, NULL, 113, NULL, NULL, 16599),
(21557, '2w60B01', NULL, NULL, 113, NULL, NULL, 16599),
(21558, '4ydvA01', NULL, NULL, 112, NULL, NULL, 16599),
(21559, '5i8cB01', NULL, NULL, 108, NULL, NULL, 16599),
(21560, '3mlwH01', NULL, NULL, 126, NULL, NULL, 16599),
(21561, '1rmfH01', NULL, NULL, 119, NULL, NULL, 16599),
(21562, '3zkxC00', NULL, NULL, 122, NULL, NULL, 16599),
(21563, '5faaA00', NULL, NULL, 135, NULL, NULL, 16599),
(21564, '1i1rA01', NULL, NULL, 101, NULL, NULL, 16599),
(21565, '5kaqG01', NULL, NULL, 107, NULL, NULL, 16599),
(21566, '5h2bA01', NULL, NULL, 116, NULL, NULL, 16599),
(21567, '3so3C01', NULL, NULL, 125, NULL, NULL, 16599),
(21568, '1kb5B00', NULL, NULL, 117, NULL, NULL, 16599),
(21569, '4isvB01', NULL, NULL, 121, NULL, NULL, 16599),
(21570, '5bq7A01', NULL, NULL, 118, NULL, NULL, 16599),
(21571, '6cphE01', NULL, NULL, 116, NULL, NULL, 16599),
(21572, '1nfdF01', NULL, NULL, 120, NULL, NULL, 16599),
(21573, '6a8pA03', NULL, NULL, 115, NULL, NULL, 16599),
(21574, '1nfdF02', NULL, NULL, 100, NULL, NULL, 16599),
(21575, '1l9nA03', NULL, NULL, 114, NULL, NULL, 16599),
(21576, '2if7B02', NULL, NULL, 87, NULL, NULL, 16599),
(21577, '1w72H01', NULL, NULL, 122, NULL, NULL, 16599),
(21578, '3dggB01', NULL, NULL, 119, NULL, NULL, 16599),
(21579, '3dvgB01', NULL, NULL, 123, NULL, NULL, 16599),
(21580, '2b5iB01', NULL, NULL, 105, NULL, NULL, 16599),
(21581, '4x9iA02', NULL, NULL, 106, NULL, NULL, 16599),
(21582, '1z9mB00', NULL, NULL, 109, NULL, NULL, 16599),
(21583, '4l3aB03', NULL, NULL, 79, NULL, NULL, 16599),
(21584, '4xvtH02', NULL, NULL, 103, NULL, NULL, 16599),
(21585, '1x44A00', NULL, NULL, 103, NULL, NULL, 16599),
(21586, '3zkmC01', NULL, NULL, 116, NULL, NULL, 16599),
(21587, '6e4xY01', NULL, NULL, 103, NULL, NULL, 16599),
(21588, '4xvtH01', NULL, NULL, 125, NULL, NULL, 16599),
(21589, '3q3gA01', NULL, NULL, 114, NULL, NULL, 16599),
(21590, '4at6G01', NULL, NULL, 117, NULL, NULL, 16599),
(21591, '1s3kH01', NULL, NULL, 119, NULL, NULL, 16599),
(21592, '2a77L01', NULL, NULL, 113, NULL, NULL, 16599),
(21593, '2ospA02', NULL, NULL, 103, NULL, NULL, 16599),
(21594, '4nylA01', NULL, NULL, 121, NULL, NULL, 16599),
(21595, '5en2B01', NULL, NULL, 107, NULL, NULL, 16599),
(21596, '4pjgF01', NULL, NULL, 117, NULL, NULL, 16599),
(21597, '3l5xH01', NULL, NULL, 121, NULL, NULL, 16599),
(21598, '2d9qB03', NULL, NULL, 110, NULL, NULL, 16599),
(21599, '2d9qB02', NULL, NULL, 108, NULL, NULL, 16599),
(21600, '2d9qB01', NULL, NULL, 95, NULL, NULL, 16599),
(21601, '6c61B01', NULL, NULL, 116, NULL, NULL, 16599),
(21602, '5f1nA02', NULL, NULL, 93, NULL, NULL, 16599),
(21603, '5mheL01', NULL, NULL, 107, NULL, NULL, 16599),
(21604, '4rnrC01', NULL, NULL, 129, NULL, NULL, 16599),
(21605, '3ulsB01', NULL, NULL, 122, NULL, NULL, 16599),
(21606, '4yflI01', NULL, NULL, 108, NULL, NULL, 16599),
(21607, '4nofB00', NULL, NULL, 125, NULL, NULL, 16599),
(21608, '1xiwA00', NULL, NULL, 105, NULL, NULL, 16599),
(21609, '2e9jA01', NULL, NULL, 98, NULL, NULL, 16599),
(21610, '3fmgL01', NULL, NULL, 108, NULL, NULL, 16599),
(21611, '3m07A01', NULL, NULL, 96, NULL, NULL, 16599),
(21612, '6eluC01', NULL, NULL, 112, NULL, NULL, 16599),
(21613, '2j4wL01', NULL, NULL, 107, NULL, NULL, 16599),
(21614, '2w9dH02', NULL, NULL, 99, NULL, NULL, 16599),
(21615, '2w9dH01', NULL, NULL, 116, NULL, NULL, 16599),
(21616, '2z92B01', NULL, NULL, 107, NULL, NULL, 16599),
(21617, '4u6hB01', NULL, NULL, 113, NULL, NULL, 16599);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(21618, '2dicA01', NULL, NULL, 94, NULL, NULL, 16599),
(21619, '1jmxA03', NULL, NULL, 79, NULL, NULL, 16599),
(21620, '4hxbL01', NULL, NULL, 113, NULL, NULL, 16599),
(21621, '1jmxA04', NULL, NULL, 124, NULL, NULL, 16599),
(21622, '4jzoF01', NULL, NULL, 109, NULL, NULL, 16599),
(21623, '2petA02', NULL, NULL, 116, NULL, NULL, 16599),
(21624, '1nakH01', NULL, NULL, 113, NULL, NULL, 16599),
(21625, '2petA01', NULL, NULL, 115, NULL, NULL, 16599),
(21626, '1fptH01', NULL, NULL, 120, NULL, NULL, 16599),
(21627, '2aepH01', NULL, NULL, 120, NULL, NULL, 16599),
(21628, '3gkwH02', NULL, NULL, 105, NULL, NULL, 16599),
(21629, '1zanL02', NULL, NULL, 103, NULL, NULL, 16599),
(21630, '3gkwH01', NULL, NULL, 117, NULL, NULL, 16599),
(21631, '3i50H01', NULL, NULL, 121, NULL, NULL, 16599),
(21632, '2zchH01', NULL, NULL, 122, NULL, NULL, 16599),
(21633, '3wo4B01', NULL, NULL, 97, NULL, NULL, 16599),
(21634, '3ifpA01', NULL, NULL, 123, NULL, NULL, 16599),
(21635, '2yxmA00', NULL, NULL, 100, NULL, NULL, 16599),
(21636, '5muhA01', NULL, NULL, 108, NULL, NULL, 16599),
(21637, '1zanL01', NULL, NULL, 108, NULL, NULL, 16599),
(21638, '4d9qD01', NULL, NULL, 107, NULL, NULL, 16599),
(21639, '6cdmB01', NULL, NULL, 113, NULL, NULL, 16599),
(21640, '1cygA03', NULL, NULL, 84, NULL, NULL, 16599),
(21641, '1cygA04', NULL, NULL, 104, NULL, NULL, 16599),
(21642, '4v2bA00', NULL, NULL, 115, NULL, NULL, 16599),
(21643, '5bv7L01', NULL, NULL, 109, NULL, NULL, 16599),
(21644, '3qeuA01', NULL, NULL, 110, NULL, NULL, 16599),
(21645, '5noiA01', NULL, NULL, 102, NULL, NULL, 16599),
(21646, '3mffB01', NULL, NULL, 113, NULL, NULL, 16599),
(21647, '3fo9B01', NULL, NULL, 118, NULL, NULL, 16599),
(21648, '3wxwH00', NULL, NULL, 119, NULL, NULL, 16599),
(21649, '5c0nC01', NULL, NULL, 120, NULL, NULL, 16599),
(21650, '5cszA01', NULL, NULL, 126, NULL, NULL, 16599),
(21651, '4hfwB01', NULL, NULL, 120, NULL, NULL, 16599),
(21652, '5eoqL01', NULL, NULL, 113, NULL, NULL, 16599),
(21653, '4s1dC01', NULL, NULL, 120, NULL, NULL, 16599),
(21654, '5do2C01', NULL, NULL, 116, NULL, NULL, 16599),
(21655, '4rsvA00', NULL, NULL, 102, NULL, NULL, 16599),
(21656, '5ghuA02', NULL, NULL, 94, NULL, NULL, 16599),
(21657, '5vxrH02', NULL, NULL, 99, NULL, NULL, 16599),
(21658, '1tziA01', NULL, NULL, 108, NULL, NULL, 16599),
(21659, '5noiA02', NULL, NULL, 99, NULL, NULL, 16599),
(21660, '1mh5B01', NULL, NULL, 119, NULL, NULL, 16599),
(21661, '5jdsA00', NULL, NULL, 124, NULL, NULL, 16599),
(21662, '1mh5B02', NULL, NULL, 68, NULL, NULL, 16599),
(21663, '3ujjL01', NULL, NULL, 109, NULL, NULL, 16599),
(21664, '1nkrA02', NULL, NULL, 98, NULL, NULL, 16599),
(21665, '1nkrA01', NULL, NULL, 103, NULL, NULL, 16599),
(21666, '2aj3A01', NULL, NULL, 107, NULL, NULL, 16599),
(21667, '4im8A02', NULL, NULL, 92, NULL, NULL, 16599),
(21668, '4im8A01', NULL, NULL, 98, NULL, NULL, 16599),
(21669, '5f96H01', NULL, NULL, 122, NULL, NULL, 16599),
(21670, '3wcyA02', NULL, NULL, 90, NULL, NULL, 16599),
(21671, '4fmkA02', NULL, NULL, 104, NULL, NULL, 16599),
(21672, '4fmkA01', NULL, NULL, 121, NULL, NULL, 16599),
(21673, '1f8tH01', NULL, NULL, 118, NULL, NULL, 16599),
(21674, '3wcyA04', NULL, NULL, 100, NULL, NULL, 16599),
(21675, '3wcyA03', NULL, NULL, 102, NULL, NULL, 16599),
(21676, '2xotA02', NULL, NULL, 86, NULL, NULL, 16599),
(21677, '4w6wB00', NULL, NULL, 131, NULL, NULL, 16599),
(21678, '2om5A04', NULL, NULL, 90, NULL, NULL, 16599),
(21679, '4o51A01', NULL, NULL, 110, NULL, NULL, 16599),
(21680, '1wftA01', NULL, NULL, 104, NULL, NULL, 16599),
(21681, '3qdhA02', NULL, NULL, 131, NULL, NULL, 16599),
(21682, '2om5A02', NULL, NULL, 105, NULL, NULL, 16599),
(21683, '2om5A03', NULL, NULL, 89, NULL, NULL, 16599),
(21684, '2q20A00', NULL, NULL, 109, NULL, NULL, 16599),
(21685, '2om5A01', NULL, NULL, 97, NULL, NULL, 16599),
(21686, '5dgqA01', NULL, NULL, 92, NULL, NULL, 16599),
(21687, '4jo4L01', NULL, NULL, 111, NULL, NULL, 16599),
(21688, '5ggsA01', NULL, NULL, 120, NULL, NULL, 16599),
(21689, '5jq6L01', NULL, NULL, 112, NULL, NULL, 16599),
(21690, '2ywyB00', NULL, NULL, 113, NULL, NULL, 16599);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(21691, '4v1dE00', NULL, NULL, 126, NULL, NULL, 16599),
(21692, '5n48D00', NULL, NULL, 106, NULL, NULL, 16599),
(21693, '4tprH01', NULL, NULL, 121, NULL, NULL, 16599),
(21694, '2rb8A00', NULL, NULL, 104, NULL, NULL, 16599),
(21695, '1ndgB01', NULL, NULL, 113, NULL, NULL, 16599),
(21696, '5ucbL01', NULL, NULL, 106, NULL, NULL, 16599),
(21697, '1rzfL01', NULL, NULL, 110, NULL, NULL, 16599),
(21698, '4zxbE06', NULL, NULL, 111, NULL, NULL, 16599),
(21699, '4zxbE05', NULL, NULL, 120, NULL, NULL, 16599),
(21700, '6r8xB01', NULL, NULL, 111, NULL, NULL, 16599),
(21701, '4u0rB01', NULL, NULL, 122, NULL, NULL, 16599),
(21702, '1fhgA00', NULL, NULL, 102, NULL, NULL, 16599),
(21703, '4fzeL01', NULL, NULL, 107, NULL, NULL, 16599),
(21704, '4oiiH01', NULL, NULL, 117, NULL, NULL, 16599),
(21705, '3kdmA01', NULL, NULL, 112, NULL, NULL, 16599),
(21706, '1mqkH00', NULL, NULL, 127, NULL, NULL, 16599),
(21707, '2jb6H01', NULL, NULL, 120, NULL, NULL, 16599),
(21708, '1g1cA00', NULL, NULL, 99, NULL, NULL, 16599),
(21709, '5cgmB01', NULL, NULL, 142, NULL, NULL, 16599),
(21710, '4n8cH01', NULL, NULL, 119, NULL, NULL, 16599),
(21711, '1bjmA01', NULL, NULL, 111, NULL, NULL, 16599),
(21712, '3qq9D01', NULL, NULL, 120, NULL, NULL, 16599),
(21713, '2vq1B01', NULL, NULL, 118, NULL, NULL, 16599),
(21714, '1a21A01', NULL, NULL, 103, NULL, NULL, 16599),
(21715, '3wsqL01', NULL, NULL, 109, NULL, NULL, 16599),
(21716, '3cafA01', NULL, NULL, 96, NULL, NULL, 16599),
(21717, '2xwtB02', NULL, NULL, 101, NULL, NULL, 16599),
(21718, '2xwtB01', NULL, NULL, 111, NULL, NULL, 16599),
(21719, '1h5bB00', NULL, NULL, 111, NULL, NULL, 16599),
(21720, '3mckB01', NULL, NULL, 123, NULL, NULL, 16599),
(21721, '1lp9E01', NULL, NULL, 113, NULL, NULL, 16599),
(21722, '4jamL01', NULL, NULL, 104, NULL, NULL, 16599),
(21723, '2j6eL01', NULL, NULL, 111, NULL, NULL, 16599),
(21724, '2arjB02', NULL, NULL, 97, NULL, NULL, 16599),
(21725, '2arjB01', NULL, NULL, 117, NULL, NULL, 16599),
(21726, '2fgwH01', NULL, NULL, 125, NULL, NULL, 16599),
(21727, '3tclA01', NULL, NULL, 133, NULL, NULL, 16599),
(21728, '4jy5L01', NULL, NULL, 104, NULL, NULL, 16599),
(21729, '4q9bA00', NULL, NULL, 103, NULL, NULL, 16599),
(21730, '1uwxH01', NULL, NULL, 124, NULL, NULL, 16599),
(21731, '4gagH01', NULL, NULL, 118, NULL, NULL, 16599),
(21732, '4hlzH01', NULL, NULL, 108, NULL, NULL, 16599),
(21733, '5ldnL01', NULL, NULL, 108, NULL, NULL, 16599),
(21734, '4lu5H01', NULL, NULL, 114, NULL, NULL, 16599),
(21735, '4bz2L01', NULL, NULL, 108, NULL, NULL, 16599),
(21736, '5y32B03', NULL, NULL, 122, NULL, NULL, 16599),
(21737, '5y32B02', NULL, NULL, 98, NULL, NULL, 16599),
(21738, '2o5xH01', NULL, NULL, 119, NULL, NULL, 16599),
(21739, '3so5A00', NULL, NULL, 112, NULL, NULL, 16599),
(21740, '3ks0H01', NULL, NULL, 117, NULL, NULL, 16599),
(21741, '2cmrL01', NULL, NULL, 108, NULL, NULL, 16599),
(21742, '5y32B01', NULL, NULL, 109, NULL, NULL, 16599),
(21743, '1ae6L01', NULL, NULL, 113, NULL, NULL, 16599),
(21744, '1igjB01', NULL, NULL, 119, NULL, NULL, 16599),
(21745, '5d7sH01', NULL, NULL, 117, NULL, NULL, 16599),
(21746, '5epmB01', NULL, NULL, 113, NULL, NULL, 16599),
(21747, '5gjsH01', NULL, NULL, 121, NULL, NULL, 16599),
(21748, '5gjyA02', NULL, NULL, 90, NULL, NULL, 16599),
(21749, '2otuB00', NULL, NULL, 118, NULL, NULL, 16599),
(21750, '4x8jB01', NULL, NULL, 107, NULL, NULL, 16599),
(21751, '6bzwD01', NULL, NULL, 113, NULL, NULL, 16599),
(21752, '2ys4A01', NULL, NULL, 103, NULL, NULL, 16599),
(21753, '3tv3L01', NULL, NULL, 106, NULL, NULL, 16599),
(21754, '4hg4J00', NULL, NULL, 115, NULL, NULL, 16599),
(21755, '3pf2A02', NULL, NULL, 142, NULL, NULL, 16599),
(21756, '4aq1B00', NULL, NULL, 130, NULL, NULL, 16599),
(21757, '1ad9B01', NULL, NULL, 120, NULL, NULL, 16599),
(21758, '4hljA02', NULL, NULL, 127, NULL, NULL, 16599),
(21759, '2qr0B01', NULL, NULL, 118, NULL, NULL, 16599),
(21760, '4hljA01', NULL, NULL, 113, NULL, NULL, 16599),
(21761, '6c08B02', NULL, NULL, 104, NULL, NULL, 16599),
(21762, '6c08B01', NULL, NULL, 111, NULL, NULL, 16599),
(21763, '1jhlL00', NULL, NULL, 108, NULL, NULL, 16599);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(21764, '3k80A00', NULL, NULL, 130, NULL, NULL, 16599),
(21765, '5e5rB02', NULL, NULL, 95, NULL, NULL, 16599),
(21766, '4hwbA00', NULL, NULL, 122, NULL, NULL, 16599),
(21767, '3tv3L02', NULL, NULL, 105, NULL, NULL, 16599),
(21768, '2edtA01', NULL, NULL, 88, NULL, NULL, 16599),
(21769, '5fhaH01', NULL, NULL, 119, NULL, NULL, 16599),
(21770, '1nj9A01', NULL, NULL, 111, NULL, NULL, 16599),
(21771, '2qqkL01', NULL, NULL, 108, NULL, NULL, 16599),
(21772, '3dbxA02', NULL, NULL, 103, NULL, NULL, 16599),
(21773, '5ksaD01', NULL, NULL, 114, NULL, NULL, 16599),
(21774, '3tjeL01', NULL, NULL, 111, NULL, NULL, 16599),
(21775, '1yjdH01', NULL, NULL, 121, NULL, NULL, 16599),
(21776, '3b9kD01', NULL, NULL, 117, NULL, NULL, 16599),
(21777, '2vxtL01', NULL, NULL, 108, NULL, NULL, 16599),
(21778, '4ravC00', NULL, NULL, 126, NULL, NULL, 16599),
(21779, '3leyH01', NULL, NULL, 116, NULL, NULL, 16599),
(21780, '1uvqA02', NULL, NULL, 113, NULL, NULL, 16599),
(21781, '1tenA00', NULL, NULL, 90, NULL, NULL, 16599),
(21782, '4ydiL01', NULL, NULL, 104, NULL, NULL, 16599),
(21783, '2z0bE00', NULL, NULL, 131, NULL, NULL, 16599),
(21784, '3auvA01', NULL, NULL, 137, NULL, NULL, 16599),
(21785, '3x17A01', NULL, NULL, 113, NULL, NULL, 16599),
(21786, '4ki5C01', NULL, NULL, 117, NULL, NULL, 16599),
(21787, '4hbcH01', NULL, NULL, 115, NULL, NULL, 16599),
(21788, '5ifaH01', NULL, NULL, 118, NULL, NULL, 16599),
(21789, '5d8jH01', NULL, NULL, 119, NULL, NULL, 16599),
(21790, '5c86A02', NULL, NULL, 106, NULL, NULL, 16599),
(21791, '3auvA02', NULL, NULL, 107, NULL, NULL, 16599),
(21792, '5jofB01', NULL, NULL, 105, NULL, NULL, 16599),
(21793, '2wngA03', NULL, NULL, 94, NULL, NULL, 16599),
(21794, '4ocxH01', NULL, NULL, 116, NULL, NULL, 16599),
(21795, '2wngA02', NULL, NULL, 107, NULL, NULL, 16599),
(21796, '4dgvL01', NULL, NULL, 107, NULL, NULL, 16599),
(21797, '1rz7L01', NULL, NULL, 106, NULL, NULL, 16599),
(21798, '2r56L01', NULL, NULL, 107, NULL, NULL, 16599),
(21799, '2dj4A01', NULL, NULL, 97, NULL, NULL, 16599),
(21800, '4kteH01', NULL, NULL, 126, NULL, NULL, 16599),
(21801, '2e8yA02', NULL, NULL, 95, NULL, NULL, 16599),
(21802, '1rz7L02', NULL, NULL, 104, NULL, NULL, 16599),
(21803, '4eowH01', NULL, NULL, 127, NULL, NULL, 16599),
(21804, '1vgeH01', NULL, NULL, 121, NULL, NULL, 16599),
(21805, '3u1sL01', NULL, NULL, 111, NULL, NULL, 16599),
(21806, '5f9wC01', NULL, NULL, 107, NULL, NULL, 16599),
(21807, '5kvdL01', NULL, NULL, 114, NULL, NULL, 16599),
(21808, '3v8oA01', NULL, NULL, 97, NULL, NULL, 16599),
(21809, '3v8oA02', NULL, NULL, 97, NULL, NULL, 16599),
(21810, '4m5yH01', NULL, NULL, 124, NULL, NULL, 16599),
(21811, '4ygvA01', NULL, NULL, 115, NULL, NULL, 16599),
(21812, '1fgnL01', NULL, NULL, 108, NULL, NULL, 16599),
(21813, '3zhkA00', NULL, NULL, 127, NULL, NULL, 16599),
(21814, '4ywgH01', NULL, NULL, 126, NULL, NULL, 16599),
(21815, '6c09C01', NULL, NULL, 111, NULL, NULL, 16599),
(21816, '1gafH01', NULL, NULL, 114, NULL, NULL, 16599),
(21817, '5uk4a00', NULL, NULL, 139, NULL, NULL, 16599),
(21818, '1mcoH01', NULL, NULL, 118, NULL, NULL, 16599),
(21819, '1op9A00', NULL, NULL, 121, NULL, NULL, 16599),
(21820, '1mcoH02', NULL, NULL, 102, NULL, NULL, 16599),
(21821, '5k64A02', NULL, NULL, 115, NULL, NULL, 16599),
(21822, '5wtgA01', NULL, NULL, 106, NULL, NULL, 16599),
(21823, '5ug0C01', NULL, NULL, 110, NULL, NULL, 16599),
(21824, '1fnfA01', NULL, NULL, 94, NULL, NULL, 16599),
(21825, '3i84B00', NULL, NULL, 98, NULL, NULL, 16599),
(21826, '3dx9B01', NULL, NULL, 115, NULL, NULL, 16599),
(21827, '1fnfA03', NULL, NULL, 89, NULL, NULL, 16599),
(21828, '6qn9L01', NULL, NULL, 109, NULL, NULL, 16599),
(21829, '2vl5A01', NULL, NULL, 119, NULL, NULL, 16599),
(21830, '4py7B01', NULL, NULL, 107, NULL, NULL, 16599),
(21831, '5uknH02', NULL, NULL, 105, NULL, NULL, 16599),
(21832, '3whxB01', NULL, NULL, 113, NULL, NULL, 16599),
(21833, '1igmL00', NULL, NULL, 115, NULL, NULL, 16599),
(21834, '5f3bA01', NULL, NULL, 116, NULL, NULL, 16599),
(21835, '3v9fA03', NULL, NULL, 126, NULL, NULL, 16599),
(21836, '4kucD02', NULL, NULL, 104, NULL, NULL, 16599);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(21837, '4kucD01', NULL, NULL, 107, NULL, NULL, 16599),
(21838, '5ea0H01', NULL, NULL, 119, NULL, NULL, 16599),
(21839, '5t29L01', NULL, NULL, 110, NULL, NULL, 16599),
(21840, '5l21B00', NULL, NULL, 119, NULL, NULL, 16599),
(21841, '3b9vB00', NULL, NULL, 120, NULL, NULL, 16599),
(21842, '3n9gH01', NULL, NULL, 123, NULL, NULL, 16599),
(21843, '4liqL01', NULL, NULL, 107, NULL, NULL, 16599),
(21844, '3n9gH02', NULL, NULL, 107, NULL, NULL, 16599),
(21845, '6attL01', NULL, NULL, 113, NULL, NULL, 16599),
(21846, '5epmA01', NULL, NULL, 119, NULL, NULL, 16599),
(21847, '5uslC01', NULL, NULL, 109, NULL, NULL, 16599),
(21848, '1ub6B01', NULL, NULL, 112, NULL, NULL, 16599),
(21849, '6avzA00', NULL, NULL, 109, NULL, NULL, 16599),
(21850, '1zv5A00', NULL, NULL, 130, NULL, NULL, 16599),
(21851, '1jtpB00', NULL, NULL, 148, NULL, NULL, 16599),
(21852, '3q48A02', NULL, NULL, 107, NULL, NULL, 16599),
(21853, '1bj1J01', NULL, NULL, 108, NULL, NULL, 16599),
(21854, '5ggsB01', NULL, NULL, 112, NULL, NULL, 16599),
(21855, '1kcvH02', NULL, NULL, 99, NULL, NULL, 16599),
(21856, '1kcvH01', NULL, NULL, 116, NULL, NULL, 16599),
(21857, '5m02A02', NULL, NULL, 91, NULL, NULL, 16599),
(21858, '5ayqA00', NULL, NULL, 138, NULL, NULL, 16599),
(21859, '1eapB02', NULL, NULL, 97, NULL, NULL, 16599),
(21860, '1eapB01', NULL, NULL, 119, NULL, NULL, 16599),
(21861, '5j1aA02', NULL, NULL, 102, NULL, NULL, 16599),
(21862, '2zuyA01', NULL, NULL, 93, NULL, NULL, 16599),
(21863, '3i2cH01', NULL, NULL, 120, NULL, NULL, 16599),
(21864, '1lo4L01', NULL, NULL, 113, NULL, NULL, 16599),
(21865, '3rvvC01', NULL, NULL, 108, NULL, NULL, 16599),
(21866, '5umnD01', NULL, NULL, 107, NULL, NULL, 16599),
(21867, '1uweH01', NULL, NULL, 115, NULL, NULL, 16599),
(21868, '4llyA01', NULL, NULL, 119, NULL, NULL, 16599),
(21869, '4k3jL01', NULL, NULL, 113, NULL, NULL, 16599),
(21870, '4u0rC01', NULL, NULL, 112, NULL, NULL, 16599),
(21871, '4k94C02', NULL, NULL, 107, NULL, NULL, 16599),
(21872, '1ztxH01', NULL, NULL, 119, NULL, NULL, 16599),
(21873, '5c1mB00', NULL, NULL, 125, NULL, NULL, 16599),
(21874, '4depF01', NULL, NULL, 117, NULL, NULL, 16599),
(21875, '5it2L01', NULL, NULL, 108, NULL, NULL, 16599),
(21876, '3mlpE02', NULL, NULL, 97, NULL, NULL, 16599),
(21877, '2k9uA00', NULL, NULL, 119, NULL, NULL, 16599),
(21878, '6ejmI02', NULL, NULL, 126, NULL, NULL, 16599),
(21879, '4jo1L01', NULL, NULL, 113, NULL, NULL, 16599),
(21880, '5czxD01', NULL, NULL, 107, NULL, NULL, 16599),
(21881, '4dtgL01', NULL, NULL, 112, NULL, NULL, 16599),
(21882, '4nkqB01', NULL, NULL, 98, NULL, NULL, 16599),
(21883, '2ypvL01', NULL, NULL, 108, NULL, NULL, 16599),
(21884, '2ih3A01', NULL, NULL, 118, NULL, NULL, 16599),
(21885, '2ih3A02', NULL, NULL, 99, NULL, NULL, 16599),
(21886, '4nc2B00', NULL, NULL, 122, NULL, NULL, 16599),
(21887, '5xqwL01', NULL, NULL, 107, NULL, NULL, 16599),
(21888, '4nn5B02', NULL, NULL, 111, NULL, NULL, 16599),
(21889, '4kzdH01', NULL, NULL, 125, NULL, NULL, 16599),
(21890, '2q8bH01', NULL, NULL, 112, NULL, NULL, 16599),
(21891, '5mwnN00', NULL, NULL, 125, NULL, NULL, 16599),
(21892, '5wcaL02', NULL, NULL, 101, NULL, NULL, 16599),
(21893, '1fh5H01', NULL, NULL, 108, NULL, NULL, 16599),
(21894, '1lwrA00', NULL, NULL, 96, NULL, NULL, 16599),
(21895, '1k8dA02', NULL, NULL, 91, NULL, NULL, 16599),
(21896, '2r4rH01', NULL, NULL, 114, NULL, NULL, 16599),
(21897, '4aeeA01', NULL, NULL, 117, NULL, NULL, 16599),
(21898, '4aeeA02', NULL, NULL, 97, NULL, NULL, 16599),
(21899, '3hc4L01', NULL, NULL, 108, NULL, NULL, 16599),
(21900, '1ikfH01', NULL, NULL, 127, NULL, NULL, 16599),
(21901, '1jz7A02', NULL, NULL, 115, NULL, NULL, 16599),
(21902, '1xedC00', NULL, NULL, 117, NULL, NULL, 16599),
(21903, '1jz7A04', NULL, NULL, 106, NULL, NULL, 16599),
(21904, '5jqhD00', NULL, NULL, 125, NULL, NULL, 16599),
(21905, '1p2cA01', NULL, NULL, 108, NULL, NULL, 16599),
(21906, '4lgpD00', NULL, NULL, 116, NULL, NULL, 16599),
(21907, '3pv7A02', NULL, NULL, 104, NULL, NULL, 16599),
(21908, '3pv7A01', NULL, NULL, 118, NULL, NULL, 16599),
(21909, '5eu6D01', NULL, NULL, 115, NULL, NULL, 16599);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(21910, '1rjcA00', NULL, NULL, 137, NULL, NULL, 16599),
(21911, '1aifA01', NULL, NULL, 109, NULL, NULL, 16599),
(21912, '3f8uD03', NULL, NULL, 111, NULL, NULL, 16599),
(21913, '2ospB02', NULL, NULL, 99, NULL, NULL, 16599),
(21914, '3rnkB00', NULL, NULL, 104, NULL, NULL, 16599),
(21915, '5k9qI01', NULL, NULL, 108, NULL, NULL, 16599),
(21916, '5f7uA01', NULL, NULL, 115, NULL, NULL, 16599),
(21917, '6axkB01', NULL, NULL, 113, NULL, NULL, 16599),
(21918, '1l7tH01', NULL, NULL, 118, NULL, NULL, 16599),
(21919, '5f9oL01', NULL, NULL, 107, NULL, NULL, 16599),
(21920, '6b5rL01', NULL, NULL, 111, NULL, NULL, 16599),
(21921, '4z0bL01', NULL, NULL, 105, NULL, NULL, 16599),
(21922, '3b5hA02', NULL, NULL, 101, NULL, NULL, 16599),
(21923, '4z0bL02', NULL, NULL, 103, NULL, NULL, 16599),
(21924, '3vgfA01', NULL, NULL, 87, NULL, NULL, 16599),
(21925, '2xzcH01', NULL, NULL, 119, NULL, NULL, 16599),
(21926, '1xf1A05', NULL, NULL, 101, NULL, NULL, 16599),
(21927, '2eecA01', NULL, NULL, 94, NULL, NULL, 16599),
(21928, '4x5lA00', NULL, NULL, 102, NULL, NULL, 16599),
(21929, '5dfvD01', NULL, NULL, 106, NULL, NULL, 16599),
(21930, '1qr4A01', NULL, NULL, 94, NULL, NULL, 16599),
(21931, '1qr4A02', NULL, NULL, 92, NULL, NULL, 16599),
(21932, '2xknA01', NULL, NULL, 107, NULL, NULL, 16599),
(21933, '2pttB00', NULL, NULL, 112, NULL, NULL, 16599),
(21934, '4cniB01', NULL, NULL, 108, NULL, NULL, 16599),
(21935, '3ry4A02', NULL, NULL, 84, NULL, NULL, 16599),
(21936, '4hpoH01', NULL, NULL, 125, NULL, NULL, 16599),
(21937, '3ry4A01', NULL, NULL, 86, NULL, NULL, 16599),
(21938, '5tppH01', NULL, NULL, 127, NULL, NULL, 16599),
(21939, '4x5wA02', NULL, NULL, 111, NULL, NULL, 16599),
(21940, '1it9H01', NULL, NULL, 121, NULL, NULL, 16599),
(21941, '3k7uA00', NULL, NULL, 128, NULL, NULL, 16599),
(21942, '5esvB01', NULL, NULL, 109, NULL, NULL, 16599),
(21943, '4zykH01', NULL, NULL, 123, NULL, NULL, 16599),
(21944, '2k1mA00', NULL, NULL, 95, NULL, NULL, 16599),
(21945, '4a2lB03', NULL, NULL, 135, NULL, NULL, 16599),
(21946, '4fnlH01', NULL, NULL, 138, NULL, NULL, 16599),
(21947, '2axhA01', NULL, NULL, 113, NULL, NULL, 16599),
(21948, '3dviA00', NULL, NULL, 109, NULL, NULL, 16599),
(21949, '4kphH01', NULL, NULL, 113, NULL, NULL, 16599),
(21950, '4x7fD00', NULL, NULL, 119, NULL, NULL, 16599),
(21951, '4jzjA01', NULL, NULL, 120, NULL, NULL, 16599),
(21952, '5bk1L01', NULL, NULL, 110, NULL, NULL, 16599),
(21953, '1xiwC00', NULL, NULL, 108, NULL, NULL, 16599),
(21954, '5mykA01', NULL, NULL, 113, NULL, NULL, 16599),
(21955, '3n1fD00', NULL, NULL, 102, NULL, NULL, 16599),
(21956, '5tq0H01', NULL, NULL, 119, NULL, NULL, 16599),
(21957, '1bwwA00', NULL, NULL, 109, NULL, NULL, 16599),
(21958, '1wioA04', NULL, NULL, 72, NULL, NULL, 16599),
(21959, '2a74A04', NULL, NULL, 102, NULL, NULL, 16599),
(21960, '2yd1A01', NULL, NULL, 103, NULL, NULL, 16599),
(21961, '1ex0A03', NULL, NULL, 114, NULL, NULL, 16599),
(21962, '1wioA03', NULL, NULL, 111, NULL, NULL, 16599),
(21963, '2yd1A02', NULL, NULL, 109, NULL, NULL, 16599),
(21964, '4g8eB01', NULL, NULL, 118, NULL, NULL, 16599),
(21965, '4toyL01', NULL, NULL, 111, NULL, NULL, 16599),
(21966, '4xh2C01', NULL, NULL, 120, NULL, NULL, 16599),
(21967, '5iusB00', NULL, NULL, 129, NULL, NULL, 16599),
(21968, '4k94L01', NULL, NULL, 109, NULL, NULL, 16599),
(21969, '3qp3A00', NULL, NULL, 103, NULL, NULL, 16599),
(21970, '3durA00', NULL, NULL, 112, NULL, NULL, 16599),
(21971, '6c83C00', NULL, NULL, 93, NULL, NULL, 16599),
(21972, '5w5zL01', NULL, NULL, 107, NULL, NULL, 16599),
(21973, '5w5zL02', NULL, NULL, 103, NULL, NULL, 16599),
(21974, '4kq3H01', NULL, NULL, 117, NULL, NULL, 16599),
(21975, '5e7bA00', NULL, NULL, 131, NULL, NULL, 16599),
(21976, '4l9dA00', NULL, NULL, 88, NULL, NULL, 16599),
(21977, '5albL01', NULL, NULL, 112, NULL, NULL, 16599),
(21978, '5drzA01', NULL, NULL, 113, NULL, NULL, 16599),
(21979, '4hxaH01', NULL, NULL, 119, NULL, NULL, 16599),
(21980, '5gs3A01', NULL, NULL, 119, NULL, NULL, 16599),
(21981, '4jvpB00', NULL, NULL, 143, NULL, NULL, 16599),
(21982, '3uc0L01', NULL, NULL, 109, NULL, NULL, 16599);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(21983, '1uj3B01', NULL, NULL, 117, NULL, NULL, 16599),
(21984, '2fbjH01', NULL, NULL, 118, NULL, NULL, 16599),
(21985, '2fbjH02', NULL, NULL, 73, NULL, NULL, 16599),
(21986, '2q3aB00', NULL, NULL, 120, NULL, NULL, 16599),
(21987, '4ygaD00', NULL, NULL, 124, NULL, NULL, 16599),
(21988, '5zv3L01', NULL, NULL, 113, NULL, NULL, 16599),
(21989, '3pnwB01', NULL, NULL, 129, NULL, NULL, 16599),
(21990, '1nsnH01', NULL, NULL, 113, NULL, NULL, 16599),
(21991, '5kn5B01', NULL, NULL, 111, NULL, NULL, 16599),
(21992, '2vxvH01', NULL, NULL, 121, NULL, NULL, 16599),
(21993, '6avgB01', NULL, NULL, 108, NULL, NULL, 16599),
(21994, '2eh7H01', NULL, NULL, 115, NULL, NULL, 16599),
(21995, '5tqqL00', NULL, NULL, 107, NULL, NULL, 16599),
(21996, '4ffvD01', NULL, NULL, 117, NULL, NULL, 16599),
(21997, '3aazA01', NULL, NULL, 125, NULL, NULL, 16599),
(21998, '1f97A02', NULL, NULL, 110, NULL, NULL, 16599),
(21999, '3vxsD01', NULL, NULL, 113, NULL, NULL, 16599),
(22000, '3g5vA01', NULL, NULL, 107, NULL, NULL, 16599),
(22001, '5anmH01', NULL, NULL, 117, NULL, NULL, 16599),
(22002, '1f58L01', NULL, NULL, 112, NULL, NULL, 16599),
(22003, '3pp4L01', NULL, NULL, 112, NULL, NULL, 16599),
(22004, '1f97A01', NULL, NULL, 102, NULL, NULL, 16599),
(22005, '1cczA01', NULL, NULL, 93, NULL, NULL, 16599),
(22006, '1z9oA00', NULL, NULL, 128, NULL, NULL, 16599),
(22007, '5d1xB01', NULL, NULL, 117, NULL, NULL, 16599),
(22008, '1cczA02', NULL, NULL, 78, NULL, NULL, 16599),
(22009, '1ulvA03', NULL, NULL, 86, NULL, NULL, 16599),
(22010, '1b2wH01', NULL, NULL, 117, NULL, NULL, 16599),
(22011, '3qskB00', NULL, NULL, 123, NULL, NULL, 16599),
(22012, '4trpH01', NULL, NULL, 113, NULL, NULL, 16599),
(22013, '1ad9L01', NULL, NULL, 111, NULL, NULL, 16599),
(22014, '3hr6A01', NULL, NULL, 143, NULL, NULL, 16599),
(22015, '4ypjA02', NULL, NULL, 119, NULL, NULL, 16599),
(22016, '3uo1H01', NULL, NULL, 116, NULL, NULL, 16599),
(22017, '4ypjA05', NULL, NULL, 111, NULL, NULL, 16599),
(22018, '3hr6A03', NULL, NULL, 133, NULL, NULL, 16599),
(22019, '3bmvA04', NULL, NULL, 103, NULL, NULL, 16599),
(22020, '4ztpL01', NULL, NULL, 113, NULL, NULL, 16599),
(22021, '3bmvA03', NULL, NULL, 84, NULL, NULL, 16599),
(22022, '1l6xA01', NULL, NULL, 100, NULL, NULL, 16599),
(22023, '3v0wH01', NULL, NULL, 121, NULL, NULL, 16599),
(22024, '3lmjL01', NULL, NULL, 111, NULL, NULL, 16599),
(22025, '1emtH01', NULL, NULL, 113, NULL, NULL, 16599),
(22026, '4lgrB00', NULL, NULL, 122, NULL, NULL, 16599),
(22027, '3do7A02', NULL, NULL, 105, NULL, NULL, 16599),
(22028, '3ojmB02', NULL, NULL, 105, NULL, NULL, 16599),
(22029, '4jkmA02', NULL, NULL, 94, NULL, NULL, 16599),
(22030, '4kc3B02', NULL, NULL, 95, NULL, NULL, 16599),
(22031, '4kc3B01', NULL, NULL, 94, NULL, NULL, 16599),
(22032, '4kc3B03', NULL, NULL, 120, NULL, NULL, 16599),
(22033, '2j88L01', NULL, NULL, 107, NULL, NULL, 16599),
(22034, '1cf8H01', NULL, NULL, 116, NULL, NULL, 16599),
(22035, '1verA00', NULL, NULL, 111, NULL, NULL, 16599),
(22036, '6cdpB01', NULL, NULL, 113, NULL, NULL, 16599),
(22037, '1u3hA00', NULL, NULL, 110, NULL, NULL, 16599),
(22038, '5i1kL01', NULL, NULL, 109, NULL, NULL, 16599),
(22039, '4n90D01', NULL, NULL, 122, NULL, NULL, 16599),
(22040, '4c4kO00', NULL, NULL, 98, NULL, NULL, 16599),
(22041, '5iq9A01', NULL, NULL, 131, NULL, NULL, 16599),
(22042, '4xcfH01', NULL, NULL, 123, NULL, NULL, 16599),
(22043, '4xcfH02', NULL, NULL, 105, NULL, NULL, 16599),
(22044, '4c83D01', NULL, NULL, 108, NULL, NULL, 16599),
(22045, '6i9iL01', NULL, NULL, 113, NULL, NULL, 16599),
(22046, '5t93A00', NULL, NULL, 110, NULL, NULL, 16599),
(22047, '4xgzC01', NULL, NULL, 121, NULL, NULL, 16599),
(22048, '2d7tH00', NULL, NULL, 116, NULL, NULL, 16599),
(22049, '3t65A01', NULL, NULL, 113, NULL, NULL, 16599),
(22050, '4rcaA03', NULL, NULL, 99, NULL, NULL, 16599),
(22051, '3hzmB01', NULL, NULL, 126, NULL, NULL, 16599),
(22052, '6bckH01', NULL, NULL, 127, NULL, NULL, 16599),
(22053, '1rhhD01', NULL, NULL, 132, NULL, NULL, 16599),
(22054, '1iaiL01', NULL, NULL, 108, NULL, NULL, 16599),
(22055, '6c61A01', NULL, NULL, 115, NULL, NULL, 16599);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(22056, '4rnrB01', NULL, NULL, 111, NULL, NULL, 16599),
(22057, '4pljC01', NULL, NULL, 108, NULL, NULL, 16599),
(22058, '4uv7L01', NULL, NULL, 112, NULL, NULL, 16599),
(22059, '3ulsA01', NULL, NULL, 108, NULL, NULL, 16599),
(22060, '5yxnA01', NULL, NULL, 112, NULL, NULL, 16599),
(22061, '1k85A00', NULL, NULL, 88, NULL, NULL, 16599),
(22062, '1uywH01', NULL, NULL, 118, NULL, NULL, 16599),
(22063, '1u58A02', NULL, NULL, 111, NULL, NULL, 16599),
(22064, '2agjL01', NULL, NULL, 109, NULL, NULL, 16599),
(22065, '4n1eF00', NULL, NULL, 109, NULL, NULL, 16599),
(22066, '5jueL01', NULL, NULL, 114, NULL, NULL, 16599),
(22067, '5swsE01', NULL, NULL, 113, NULL, NULL, 16599),
(22068, '4lexH01', NULL, NULL, 117, NULL, NULL, 16599),
(22069, '6fs0L01', NULL, NULL, 110, NULL, NULL, 16599),
(22070, '2ghwD01', NULL, NULL, 119, NULL, NULL, 16599),
(22071, '4mauH01', NULL, NULL, 117, NULL, NULL, 16599),
(22072, '2ymxL01', NULL, NULL, 108, NULL, NULL, 16599),
(22073, '4ay0A01', NULL, NULL, 115, NULL, NULL, 16599),
(22074, '1t4kB01', NULL, NULL, 117, NULL, NULL, 16599),
(22075, '4nkiL01', NULL, NULL, 111, NULL, NULL, 16599),
(22076, '4webH01', NULL, NULL, 118, NULL, NULL, 16599),
(22077, '2eysA01', NULL, NULL, 116, NULL, NULL, 16599),
(22078, '4y5vG00', NULL, NULL, 130, NULL, NULL, 16599),
(22079, '3mjgX02', NULL, NULL, 87, NULL, NULL, 16599),
(22080, '3mjgX01', NULL, NULL, 92, NULL, NULL, 16599),
(22081, '5tl5L01', NULL, NULL, 112, NULL, NULL, 16599),
(22082, '2v17L01', NULL, NULL, 108, NULL, NULL, 16599),
(22083, '3mjgX03', NULL, NULL, 110, NULL, NULL, 16599),
(22084, '5bq7B01', NULL, NULL, 113, NULL, NULL, 16599),
(22085, '6ao0L01', NULL, NULL, 109, NULL, NULL, 16599),
(22086, '1faiH01', NULL, NULL, 124, NULL, NULL, 16599),
(22087, '5kaqF01', NULL, NULL, 131, NULL, NULL, 16599),
(22088, '2aeqL00', NULL, NULL, 107, NULL, NULL, 16599),
(22089, '4x83A04', NULL, NULL, 82, NULL, NULL, 16599),
(22090, '1fskC01', NULL, NULL, 118, NULL, NULL, 16599),
(22091, '4x83A02', NULL, NULL, 104, NULL, NULL, 16599),
(22092, '4x83A03', NULL, NULL, 102, NULL, NULL, 16599),
(22093, '1dn0B01', NULL, NULL, 120, NULL, NULL, 16599),
(22094, '5xmfA02', NULL, NULL, 94, NULL, NULL, 16599),
(22095, '4bsvA02', NULL, NULL, 110, NULL, NULL, 16599),
(22096, '1ngzA01', NULL, NULL, 108, NULL, NULL, 16599),
(22097, '4r7dE01', NULL, NULL, 118, NULL, NULL, 16599),
(22098, '6cphD01', NULL, NULL, 111, NULL, NULL, 16599),
(22099, '2f54D01', NULL, NULL, 114, NULL, NULL, 16599),
(22100, '4p23A02', NULL, NULL, 88, NULL, NULL, 16599),
(22101, '4p23A01', NULL, NULL, 109, NULL, NULL, 16599),
(22102, '1ibgH01', NULL, NULL, 121, NULL, NULL, 16599),
(22103, '2d7oA00', NULL, NULL, 111, NULL, NULL, 16599),
(22104, '25c8L01', NULL, NULL, 109, NULL, NULL, 16599),
(22105, '1q0xL01', NULL, NULL, 110, NULL, NULL, 16599),
(22106, '2yd9A03', NULL, NULL, 87, NULL, NULL, 16599),
(22107, '5v6lL01', NULL, NULL, 112, NULL, NULL, 16599),
(22108, '1q0xL02', NULL, NULL, 100, NULL, NULL, 16599),
(22109, '1ncwH01', NULL, NULL, 119, NULL, NULL, 16599),
(22110, '1a0qH01', NULL, NULL, 119, NULL, NULL, 16599),
(22111, '2b39A09', NULL, NULL, 113, NULL, NULL, 16599),
(22112, '5v7uH01', NULL, NULL, 121, NULL, NULL, 16599),
(22113, '1ncwH02', NULL, NULL, 99, NULL, NULL, 16599),
(22114, '1tdqA02', NULL, NULL, 90, NULL, NULL, 16599),
(22115, '1tdqA01', NULL, NULL, 105, NULL, NULL, 16599),
(22116, '1tdqA03', NULL, NULL, 88, NULL, NULL, 16599),
(22117, '3irzA03', NULL, NULL, 128, NULL, NULL, 16599),
(22118, '3phsA02', NULL, NULL, 109, NULL, NULL, 16599),
(22119, '3phsA01', NULL, NULL, 132, NULL, NULL, 16599),
(22120, '3s96A01', NULL, NULL, 119, NULL, NULL, 16599),
(22121, '5xxlB03', NULL, NULL, 123, NULL, NULL, 16599),
(22122, '5ip4A00', NULL, NULL, 121, NULL, NULL, 16599),
(22123, '2b39A04', NULL, NULL, 97, NULL, NULL, 16599),
(22124, '2geeA01', NULL, NULL, 112, NULL, NULL, 16599),
(22125, '5aeaA00', NULL, NULL, 100, NULL, NULL, 16599),
(22126, '2k3tA00', NULL, NULL, 99, NULL, NULL, 16599),
(22127, '3gk8H02', NULL, NULL, 100, NULL, NULL, 16599),
(22128, '2geeA02', NULL, NULL, 91, NULL, NULL, 16599); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(22129, '3gk8H01', NULL, NULL, 120, NULL, NULL, 16599),
(22130, '1oaqL00', NULL, NULL, 120, NULL, NULL, 16599),
(22131, '1cfbA01', NULL, NULL, 99, NULL, NULL, 16599),
(22132, '12e8H01', NULL, NULL, 120, NULL, NULL, 16599),
(22133, '1cfbA02', NULL, NULL, 106, NULL, NULL, 16599),
(22134, '2vweE01', NULL, NULL, 120, NULL, NULL, 16599),
(22135, '5hbtD02', NULL, NULL, 99, NULL, NULL, 16599),
(22136, '5w6cL01', NULL, NULL, 113, NULL, NULL, 16599),
(22137, '5gruH01', NULL, NULL, 132, NULL, NULL, 16599),
(22138, '5gruH02', NULL, NULL, 117, NULL, NULL, 16599),
(22139, '3zkmD01', NULL, NULL, 112, NULL, NULL, 16599),
(22140, '4hd9A02', NULL, NULL, 119, NULL, NULL, 16599),
(22141, '4uinH01', NULL, NULL, 122, NULL, NULL, 16599),
(22142, '1iakA02', NULL, NULL, 114, NULL, NULL, 16599),
(22143, '3g5yB01', NULL, NULL, 116, NULL, NULL, 16599),
(22144, '5i16B01', NULL, NULL, 119, NULL, NULL, 16599),
(22145, '4oziE01', NULL, NULL, 113, NULL, NULL, 16599),
(22146, '5e03A00', NULL, NULL, 129, NULL, NULL, 16599),
(22147, '4aj0A00', NULL, NULL, 107, NULL, NULL, 16599),
(22148, '4hj0C01', NULL, NULL, 119, NULL, NULL, 16599),
(22149, '4u6hC01', NULL, NULL, 119, NULL, NULL, 16599),
(22150, '4jjhA00', NULL, NULL, 133, NULL, NULL, 16599),
(22151, '5bozI00', NULL, NULL, 127, NULL, NULL, 16599),
(22152, '1igfH01', NULL, NULL, 119, NULL, NULL, 16599),
(22153, '2vtfA03', NULL, NULL, 95, NULL, NULL, 16599),
(22154, '4zxbD01', NULL, NULL, 108, NULL, NULL, 16599),
(22155, '5ur8B01', NULL, NULL, 109, NULL, NULL, 16599),
(22156, '3so3B01', NULL, NULL, 111, NULL, NULL, 16599),
(22157, '5e08H01', NULL, NULL, 126, NULL, NULL, 16599),
(22158, '3vw3H01', NULL, NULL, 120, NULL, NULL, 16599),
(22159, '6id4D01', NULL, NULL, 116, NULL, NULL, 16599),
(22160, '1a21B02', NULL, NULL, 103, NULL, NULL, 16599),
(22161, '4ydvB01', NULL, NULL, 126, NULL, NULL, 16599),
(22162, '3mv7D01', NULL, NULL, 110, NULL, NULL, 16599),
(22163, '3wo4C03', NULL, NULL, 111, NULL, NULL, 16599),
(22164, '3wo4C02', NULL, NULL, 91, NULL, NULL, 16599),
(22165, '4m7jH01', NULL, NULL, 118, NULL, NULL, 16599),
(22166, '3ujiH01', NULL, NULL, 123, NULL, NULL, 16599),
(22167, '3mreA02', NULL, NULL, 89, NULL, NULL, 16599),
(22168, '5ijvD01', NULL, NULL, 152, NULL, NULL, 16599),
(22169, '1shmD00', NULL, NULL, 127, NULL, NULL, 16599),
(22170, '1ad0A01', NULL, NULL, 107, NULL, NULL, 16599),
(22171, '4o4yH01', NULL, NULL, 114, NULL, NULL, 16599),
(22172, '3ujtH01', NULL, NULL, 113, NULL, NULL, 16599),
(22173, '1kb5A00', NULL, NULL, 115, NULL, NULL, 16599),
(22174, '1lilA01', NULL, NULL, 107, NULL, NULL, 16599),
(22175, '4m3kB00', NULL, NULL, 126, NULL, NULL, 16599),
(22176, '2fgzA02', NULL, NULL, 108, NULL, NULL, 16599),
(22177, '1pkqB01', NULL, NULL, 118, NULL, NULL, 16599),
(22178, '4lciH00', NULL, NULL, 120, NULL, NULL, 16599),
(22179, '2vsdA00', NULL, NULL, 105, NULL, NULL, 16599),
(22180, '2cspA01', NULL, NULL, 98, NULL, NULL, 16599),
(22181, '5dvlA02', NULL, NULL, 110, NULL, NULL, 16599),
(22182, '4hc1H01', NULL, NULL, 118, NULL, NULL, 16599),
(22183, '2edlA01', NULL, NULL, 88, NULL, NULL, 16599),
(22184, '3qi9D01', NULL, NULL, 114, NULL, NULL, 16599),
(22185, '5eocJ01', NULL, NULL, 119, NULL, NULL, 16599),
(22186, '4mlsA00', NULL, NULL, 95, NULL, NULL, 16599),
(22187, '2cryA01', NULL, NULL, 102, NULL, NULL, 16599),
(22188, '2hffH01', NULL, NULL, 125, NULL, NULL, 16599),
(22189, '2jllA04', NULL, NULL, 97, NULL, NULL, 16599),
(22190, '2jllA03', NULL, NULL, 98, NULL, NULL, 16599),
(22191, '3rugE01', NULL, NULL, 110, NULL, NULL, 16599),
(22192, '2edwA01', NULL, NULL, 88, NULL, NULL, 16599),
(22193, '2jllA02', NULL, NULL, 95, NULL, NULL, 16599),
(22194, '4jb9H01', NULL, NULL, 131, NULL, NULL, 16599),
(22195, '3oklB02', NULL, NULL, 100, NULL, NULL, 16599),
(22196, '1lk3H01', NULL, NULL, 119, NULL, NULL, 16599),
(22197, '1qz1A03', NULL, NULL, 97, NULL, NULL, 16599),
(22198, '1lo0H01', NULL, NULL, 118, NULL, NULL, 16599),
(22199, '5en2A01', NULL, NULL, 124, NULL, NULL, 16599),
(22200, '5vebB01', NULL, NULL, 108, NULL, NULL, 16599),
(22201, '6iebL01', NULL, NULL, 106, NULL, NULL, 16599); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(22202, '4ht1L01', NULL, NULL, 112, NULL, NULL, 16599),
(22203, '4nwuH01', NULL, NULL, 137, NULL, NULL, 16599),
(22204, '1t3fA01', NULL, NULL, 107, NULL, NULL, 16599),
(22205, '4nwuH02', NULL, NULL, 105, NULL, NULL, 16599),
(22206, '1qfoC00', NULL, NULL, 119, NULL, NULL, 16599),
(22207, '3wfdL01', NULL, NULL, 108, NULL, NULL, 16599),
(22208, '1ohqB00', NULL, NULL, 120, NULL, NULL, 16599),
(22209, '1t66D01', NULL, NULL, 118, NULL, NULL, 16599),
(22210, '2iqaB01', NULL, NULL, 123, NULL, NULL, 16599),
(22211, '1t66D02', NULL, NULL, 98, NULL, NULL, 16599),
(22212, '5e95B00', NULL, NULL, 97, NULL, NULL, 16599),
(22213, '2k7qA02', NULL, NULL, 78, NULL, NULL, 16599),
(22214, '5vi4E03', NULL, NULL, 120, NULL, NULL, 16599),
(22215, '5vi4E01', NULL, NULL, 95, NULL, NULL, 16599),
(22216, '5vigA01', NULL, NULL, 120, NULL, NULL, 16599),
(22217, '3omzG00', NULL, NULL, 135, NULL, NULL, 16599),
(22218, '5nivA01', NULL, NULL, 107, NULL, NULL, 16599),
(22219, '5e2wL01', NULL, NULL, 112, NULL, NULL, 16599),
(22220, '4kdwA00', NULL, NULL, 102, NULL, NULL, 16599),
(22221, '4fqjH01', NULL, NULL, 125, NULL, NULL, 16599),
(22222, '3alxC02', NULL, NULL, 119, NULL, NULL, 16599),
(22223, '5y9kL01', NULL, NULL, 109, NULL, NULL, 16599),
(22224, '5kvlL01', NULL, NULL, 107, NULL, NULL, 16599),
(22225, '5d93C01', NULL, NULL, 116, NULL, NULL, 16599),
(22226, '4y88A00', NULL, NULL, 108, NULL, NULL, 16599),
(22227, '6mjjC01', NULL, NULL, 115, NULL, NULL, 16599),
(22228, '4uaoB01', NULL, NULL, 108, NULL, NULL, 16599),
(22229, '6d4iA02', NULL, NULL, 106, NULL, NULL, 16599),
(22230, '3r8qA03', NULL, NULL, 89, NULL, NULL, 16599),
(22231, '3qeuB01', NULL, NULL, 114, NULL, NULL, 16599),
(22232, '4q66D02', NULL, NULL, 90, NULL, NULL, 16599),
(22233, '3c6lA01', NULL, NULL, 108, NULL, NULL, 16599),
(22234, '3r8qA02', NULL, NULL, 90, NULL, NULL, 16599),
(22235, '3r8qA01', NULL, NULL, 92, NULL, NULL, 16599),
(22236, '3fo9A01', NULL, NULL, 113, NULL, NULL, 16599),
(22237, '5c2bL00', NULL, NULL, 112, NULL, NULL, 16599),
(22238, '1h3tA01', NULL, NULL, 113, NULL, NULL, 16599),
(22239, '1fnsH01', NULL, NULL, 122, NULL, NULL, 16599),
(22240, '2x44D01', NULL, NULL, 97, NULL, NULL, 16599),
(22241, '4q2zA01', NULL, NULL, 124, NULL, NULL, 16599),
(22242, '4hfwA01', NULL, NULL, 106, NULL, NULL, 16599),
(22243, '5dqdH01', NULL, NULL, 122, NULL, NULL, 16599),
(22244, '1d5iH01', NULL, NULL, 120, NULL, NULL, 16599),
(22245, '4n0rA01', NULL, NULL, 86, NULL, NULL, 16599),
(22246, '6bgaC01', NULL, NULL, 116, NULL, NULL, 16599),
(22247, '2aj3B01', NULL, NULL, 121, NULL, NULL, 16599),
(22248, '2mq0A00', NULL, NULL, 95, NULL, NULL, 16599),
(22249, '4s1qH01', NULL, NULL, 131, NULL, NULL, 16599),
(22250, '3eo9H01', NULL, NULL, 121, NULL, NULL, 16599),
(22251, '3bwuC02', NULL, NULL, 84, NULL, NULL, 16599),
(22252, '6i0yz00', NULL, NULL, 89, NULL, NULL, 16599),
(22253, '4odsL01', NULL, NULL, 112, NULL, NULL, 16599),
(22254, '1he7A00', NULL, NULL, 107, NULL, NULL, 16599),
(22255, '5e4eC02', NULL, NULL, 107, NULL, NULL, 16599),
(22256, '3bwuC01', NULL, NULL, 117, NULL, NULL, 16599),
(22257, '3a0oB01', NULL, NULL, 127, NULL, NULL, 16599),
(22258, '2e7lB00', NULL, NULL, 113, NULL, NULL, 16599),
(22259, '4f9pC01', NULL, NULL, 113, NULL, NULL, 16599),
(22260, '5nhtA01', NULL, NULL, 112, NULL, NULL, 16599),
(22261, '6dznL01', NULL, NULL, 107, NULL, NULL, 16599),
(22262, '3u83A02', NULL, NULL, 101, NULL, NULL, 16599),
(22263, '3u83A03', NULL, NULL, 101, NULL, NULL, 16599),
(22264, '3u83A01', NULL, NULL, 109, NULL, NULL, 16599),
(22265, '1m1sA00', NULL, NULL, 116, NULL, NULL, 16599),
(22266, '2aabH01', NULL, NULL, 123, NULL, NULL, 16599),
(22267, '6azzB01', NULL, NULL, 110, NULL, NULL, 16599),
(22268, '5hdqH01', NULL, NULL, 120, NULL, NULL, 16599),
(22269, '3eotL01', NULL, NULL, 109, NULL, NULL, 16599),
(22270, '3go1L01', NULL, NULL, 108, NULL, NULL, 16599),
(22271, '2vl5B01', NULL, NULL, 112, NULL, NULL, 16599),
(22272, '5f6hJ01', NULL, NULL, 111, NULL, NULL, 16599),
(22273, '1ut9A01', NULL, NULL, 98, NULL, NULL, 16599),
(22274, '6al4A01', NULL, NULL, 111, NULL, NULL, 16599);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(22275, '4whtB01', NULL, NULL, 114, NULL, NULL, 16599),
(22276, '2xi9B01', NULL, NULL, 112, NULL, NULL, 16599),
(22277, '2cuiA00', NULL, NULL, 112, NULL, NULL, 16599),
(22278, '1aqkH01', NULL, NULL, 123, NULL, NULL, 16599),
(22279, '2dkmA00', NULL, NULL, 104, NULL, NULL, 16599),
(22280, '1nj9B01', NULL, NULL, 116, NULL, NULL, 16599),
(22281, '1jv5B00', NULL, NULL, 117, NULL, NULL, 16599),
(22282, '1je6A02', NULL, NULL, 89, NULL, NULL, 16599),
(22283, '1nmbH00', NULL, NULL, 122, NULL, NULL, 16599),
(22284, '5kjrL01', NULL, NULL, 116, NULL, NULL, 16599),
(22285, '5a2jH01', NULL, NULL, 116, NULL, NULL, 16599),
(22286, '2xt1B00', NULL, NULL, 121, NULL, NULL, 16599),
(22287, '5tplL01', NULL, NULL, 111, NULL, NULL, 16599),
(22288, '3cfbA01', NULL, NULL, 113, NULL, NULL, 16599),
(22289, '3b9kC01', NULL, NULL, 107, NULL, NULL, 16599),
(22290, '4fqcL01', NULL, NULL, 106, NULL, NULL, 16599),
(22291, '4odhL01', NULL, NULL, 113, NULL, NULL, 16599),
(22292, '3tnmB01', NULL, NULL, 111, NULL, NULL, 16599),
(22293, '4ravB00', NULL, NULL, 117, NULL, NULL, 16599),
(22294, '1x5hA00', NULL, NULL, 132, NULL, NULL, 16599),
(22295, '1cr9L01', NULL, NULL, 113, NULL, NULL, 16599),
(22296, '4ki5D01', NULL, NULL, 107, NULL, NULL, 16599),
(22297, '2a9mL00', NULL, NULL, 110, NULL, NULL, 16599),
(22298, '4od1L01', NULL, NULL, 113, NULL, NULL, 16599),
(22299, '2pcpB01', NULL, NULL, 117, NULL, NULL, 16599),
(22300, '5ecjE00', NULL, NULL, 95, NULL, NULL, 16599),
(22301, '5k59F01', NULL, NULL, 107, NULL, NULL, 16599),
(22302, '5y11B01', NULL, NULL, 109, NULL, NULL, 16599),
(22303, '4pljL02', NULL, NULL, 104, NULL, NULL, 16599),
(22304, '6e56I01', NULL, NULL, 109, NULL, NULL, 16599),
(22305, '6fgbL01', NULL, NULL, 113, NULL, NULL, 16599),
(22306, '5l6yL01', NULL, NULL, 109, NULL, NULL, 16599),
(22307, '1iehA00', NULL, NULL, 135, NULL, NULL, 16599),
(22308, '1pamA03', NULL, NULL, 87, NULL, NULL, 16599),
(22309, '2yuwA01', NULL, NULL, 98, NULL, NULL, 16599),
(22310, '1pamA04', NULL, NULL, 103, NULL, NULL, 16599),
(22311, '4pyhA02', NULL, NULL, 91, NULL, NULL, 16599),
(22312, '6nrwC00', NULL, NULL, 114, NULL, NULL, 16599),
(22313, '4hfuL01', NULL, NULL, 109, NULL, NULL, 16599),
(22314, '2zjsH01', NULL, NULL, 119, NULL, NULL, 16599),
(22315, '2mklC00', NULL, NULL, 105, NULL, NULL, 16599),
(22316, '5y32A02', NULL, NULL, 111, NULL, NULL, 16599),
(22317, '4u3xC00', NULL, NULL, 121, NULL, NULL, 16599),
(22318, '3zyjA02', NULL, NULL, 106, NULL, NULL, 16599),
(22319, '1vhpA00', NULL, NULL, 117, NULL, NULL, 16599),
(22320, '6c09D01', NULL, NULL, 118, NULL, NULL, 16599),
(22321, '3b4nA01', NULL, NULL, 88, NULL, NULL, 16599),
(22322, '4lpvA00', NULL, NULL, 99, NULL, NULL, 16599),
(22323, '3gnmH01', NULL, NULL, 118, NULL, NULL, 16599),
(22324, '4cagA01', NULL, NULL, 96, NULL, NULL, 16599),
(22325, '5gjyB00', NULL, NULL, 104, NULL, NULL, 16599),
(22326, '2vyrG00', NULL, NULL, 123, NULL, NULL, 16599),
(22327, '6gfeL01', NULL, NULL, 109, NULL, NULL, 16599),
(22328, '3hg1D01', NULL, NULL, 108, NULL, NULL, 16599),
(22329, '2q87C00', NULL, NULL, 110, NULL, NULL, 16599),
(22330, '5u3pH01', NULL, NULL, 132, NULL, NULL, 16599),
(22331, '1f3dH01', NULL, NULL, 115, NULL, NULL, 16599),
(22332, '1dqdH01', NULL, NULL, 122, NULL, NULL, 16599),
(22333, '4wenB00', NULL, NULL, 127, NULL, NULL, 16599),
(22334, '5k9oB01', NULL, NULL, 111, NULL, NULL, 16599),
(22335, '1qfuH01', NULL, NULL, 122, NULL, NULL, 16599),
(22336, '6c6xB01', NULL, NULL, 107, NULL, NULL, 16599),
(22337, '5gzoD01', NULL, NULL, 108, NULL, NULL, 16599),
(22338, '5h8dA00', NULL, NULL, 114, NULL, NULL, 16599),
(22339, '2djuA00', NULL, NULL, 106, NULL, NULL, 16599),
(22340, '5bk3B01', NULL, NULL, 113, NULL, NULL, 16599),
(22341, '1mnuH01', NULL, NULL, 121, NULL, NULL, 16599),
(22342, '2gqhA01', NULL, NULL, 88, NULL, NULL, 16599),
(22343, '2xtjD00', NULL, NULL, 131, NULL, NULL, 16599),
(22344, '5ud9H02', NULL, NULL, 111, NULL, NULL, 16599),
(22345, '1h3pH01', NULL, NULL, 116, NULL, NULL, 16599),
(22346, '1x3dA00', NULL, NULL, 118, NULL, NULL, 16599),
(22347, '3utoB01', NULL, NULL, 107, NULL, NULL, 16599);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(22348, '3biaX00', NULL, NULL, 116, NULL, NULL, 16599),
(22349, '5yc5C01', NULL, NULL, 89, NULL, NULL, 16599),
(22350, '5drnA01', NULL, NULL, 120, NULL, NULL, 16599),
(22351, '3inuL01', NULL, NULL, 113, NULL, NULL, 16599),
(22352, '5yc5C02', NULL, NULL, 93, NULL, NULL, 16599),
(22353, '3mxwH01', NULL, NULL, 119, NULL, NULL, 16599),
(22354, '1kxqE00', NULL, NULL, 120, NULL, NULL, 16599),
(22355, '3k2uH01', NULL, NULL, 118, NULL, NULL, 16599),
(22356, '5ggvH01', NULL, NULL, 125, NULL, NULL, 16599),
(22357, '5ziaB01', NULL, NULL, 113, NULL, NULL, 16599),
(22358, '1frgH01', NULL, NULL, 120, NULL, NULL, 16599),
(22359, '4wvrB00', NULL, NULL, 102, NULL, NULL, 16599),
(22360, '6bfqB01', NULL, NULL, 108, NULL, NULL, 16599),
(22361, '3fjtA01', NULL, NULL, 100, NULL, NULL, 16599),
(22362, '4jqiH01', NULL, NULL, 123, NULL, NULL, 16599),
(22363, '6nypC00', NULL, NULL, 107, NULL, NULL, 16599),
(22364, '1nqbA02', NULL, NULL, 99, NULL, NULL, 16599),
(22365, '4ebqL01', NULL, NULL, 107, NULL, NULL, 16599),
(22366, '4qyoB00', NULL, NULL, 111, NULL, NULL, 16599),
(22367, '1a6vH00', NULL, NULL, 120, NULL, NULL, 16599),
(22368, '4u3hA00', NULL, NULL, 100, NULL, NULL, 16599),
(22369, '2yuxA01', NULL, NULL, 108, NULL, NULL, 16599),
(22370, '6e62C01', NULL, NULL, 111, NULL, NULL, 16599),
(22371, '5imkA00', NULL, NULL, 125, NULL, NULL, 16599),
(22372, '1aj7H01', NULL, NULL, 114, NULL, NULL, 16599),
(22373, '4jamA01', NULL, NULL, 121, NULL, NULL, 16599),
(22374, '1yejH01', NULL, NULL, 123, NULL, NULL, 16599),
(22375, '1iarB02', NULL, NULL, 111, NULL, NULL, 16599),
(22376, '1iarB01', NULL, NULL, 96, NULL, NULL, 16599),
(22377, '6h3tL00', NULL, NULL, 123, NULL, NULL, 16599),
(22378, '3qiuC01', NULL, NULL, 111, NULL, NULL, 16599),
(22379, '5dr5L01', NULL, NULL, 109, NULL, NULL, 16599),
(22380, '1wtlA00', NULL, NULL, 108, NULL, NULL, 16599),
(22381, '1xfpA00', NULL, NULL, 142, NULL, NULL, 16599),
(22382, '1jglH01', NULL, NULL, 116, NULL, NULL, 16599),
(22383, '1ti2B03', NULL, NULL, 84, NULL, NULL, 16599),
(22384, '4rqqA01', NULL, NULL, 112, NULL, NULL, 16599),
(22385, '3rvvD01', NULL, NULL, 121, NULL, NULL, 16599),
(22386, '4zs6D01', NULL, NULL, 106, NULL, NULL, 16599),
(22387, '4z9kB00', NULL, NULL, 116, NULL, NULL, 16599),
(22388, '5jhlL01', NULL, NULL, 108, NULL, NULL, 16599),
(22389, '4wukL01', NULL, NULL, 109, NULL, NULL, 16599),
(22390, '4lsuL01', NULL, NULL, 100, NULL, NULL, 16599),
(22391, '5lbsH00', NULL, NULL, 121, NULL, NULL, 16599),
(22392, '4o5lL01', NULL, NULL, 111, NULL, NULL, 16599),
(22393, '4o5lL02', NULL, NULL, 119, NULL, NULL, 16599),
(22394, '2x1qA00', NULL, NULL, 127, NULL, NULL, 16599),
(22395, '4qrrD01', NULL, NULL, 117, NULL, NULL, 16599),
(22396, '5i8oL01', NULL, NULL, 111, NULL, NULL, 16599),
(22397, '3m8oH01', NULL, NULL, 119, NULL, NULL, 16599),
(22398, '3m8oH02', NULL, NULL, 74, NULL, NULL, 16599),
(22399, '1k6qH01', NULL, NULL, 117, NULL, NULL, 16599),
(22400, '4nn5C01', NULL, NULL, 99, NULL, NULL, 16599),
(22401, '3ra7H01', NULL, NULL, 125, NULL, NULL, 16599),
(22402, '4nn5C02', NULL, NULL, 113, NULL, NULL, 16599),
(22403, '4kq4H01', NULL, NULL, 117, NULL, NULL, 16599),
(22404, '4ojfL01', NULL, NULL, 112, NULL, NULL, 16599),
(22405, '2gysB04', NULL, NULL, 100, NULL, NULL, 16599),
(22406, '3t2nH01', NULL, NULL, 113, NULL, NULL, 16599),
(22407, '5f1sA01', NULL, NULL, 112, NULL, NULL, 16599),
(22408, '5f1sA02', NULL, NULL, 107, NULL, NULL, 16599),
(22409, '3gheL01', NULL, NULL, 112, NULL, NULL, 16599),
(22410, '1zeaH01', NULL, NULL, 116, NULL, NULL, 16599),
(22411, '6at6B01', NULL, NULL, 116, NULL, NULL, 16599),
(22412, '5fo8B02', NULL, NULL, 106, NULL, NULL, 16599),
(22413, '1uz8B01', NULL, NULL, 116, NULL, NULL, 16599),
(22414, '1p2cB01', NULL, NULL, 116, NULL, NULL, 16599),
(22415, '3mlrH01', NULL, NULL, 124, NULL, NULL, 16599),
(22416, '4l4vH01', NULL, NULL, 116, NULL, NULL, 16599),
(22417, '2kzwA01', NULL, NULL, 87, NULL, NULL, 16599),
(22418, '5d1zA01', NULL, NULL, 107, NULL, NULL, 16599),
(22419, '1smaA01', NULL, NULL, 125, NULL, NULL, 16599),
(22420, '4x80H01', NULL, NULL, 124, NULL, NULL, 16599);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(22421, '3g08A02', NULL, NULL, 101, NULL, NULL, 16599),
(22422, '4m1gH01', NULL, NULL, 118, NULL, NULL, 16599),
(22423, '1ub6A01', NULL, NULL, 113, NULL, NULL, 16599),
(22424, '2kh2B02', NULL, NULL, 119, NULL, NULL, 16599),
(22425, '2kh2B01', NULL, NULL, 108, NULL, NULL, 16599),
(22426, '1q0yH02', NULL, NULL, 101, NULL, NULL, 16599),
(22427, '4u1gB01', NULL, NULL, 120, NULL, NULL, 16599),
(22428, '4ersL01', NULL, NULL, 108, NULL, NULL, 16599),
(22429, '4jn2A01', NULL, NULL, 112, NULL, NULL, 16599),
(22430, '3teuA00', NULL, NULL, 98, NULL, NULL, 16599),
(22431, '5trpL01', NULL, NULL, 112, NULL, NULL, 16599),
(22432, '2h41A00', NULL, NULL, 95, NULL, NULL, 16599),
(22433, '6dg5B02', NULL, NULL, 103, NULL, NULL, 16599),
(22434, '1q38A00', NULL, NULL, 89, NULL, NULL, 16599),
(22435, '5k9jL01', NULL, NULL, 109, NULL, NULL, 16599),
(22436, '7fabL01', NULL, NULL, 103, NULL, NULL, 16599),
(22437, '4hemE00', NULL, NULL, 123, NULL, NULL, 16599),
(22438, '3sgjC01', NULL, NULL, 89, NULL, NULL, 16599),
(22439, '3c8dA01', NULL, NULL, 147, NULL, NULL, 16599),
(22440, '6dg5B01', NULL, NULL, 106, NULL, NULL, 16599),
(22441, '1ie5A00', NULL, NULL, 107, NULL, NULL, 16599),
(22442, '4kmlB00', NULL, NULL, 130, NULL, NULL, 16599),
(22443, '1wt5A00', NULL, NULL, 127, NULL, NULL, 16599),
(22444, '4lptB00', NULL, NULL, 103, NULL, NULL, 16599),
(22445, '4cniA01', NULL, NULL, 120, NULL, NULL, 16599),
(22446, '3lrgB00', NULL, NULL, 121, NULL, NULL, 16599),
(22447, '3rpiA01', NULL, NULL, 123, NULL, NULL, 16599),
(22448, '1etzA01', NULL, NULL, 110, NULL, NULL, 16599),
(22449, '5wttB01', NULL, NULL, 113, NULL, NULL, 16599),
(22450, '3u4bL01', NULL, NULL, 109, NULL, NULL, 16599),
(22451, '1dqlH00', NULL, NULL, 123, NULL, NULL, 16599),
(22452, '1cloL01', NULL, NULL, 107, NULL, NULL, 16599),
(22453, '1wejL01', NULL, NULL, 108, NULL, NULL, 16599),
(22454, '4grlD01', NULL, NULL, 138, NULL, NULL, 16599),
(22455, '5i66A01', NULL, NULL, 119, NULL, NULL, 16599),
(22456, '5jw5L01', NULL, NULL, 103, NULL, NULL, 16599),
(22457, '3edfA01', NULL, NULL, 92, NULL, NULL, 16599),
(22458, '5sx5K01', NULL, NULL, 107, NULL, NULL, 16599),
(22459, '4l5fL01', NULL, NULL, 107, NULL, NULL, 16599),
(22460, '4zd3L01', NULL, NULL, 110, NULL, NULL, 16599),
(22461, '3ifoA01', NULL, NULL, 123, NULL, NULL, 16599),
(22462, '2xy1A02', NULL, NULL, 97, NULL, NULL, 16599),
(22463, '2xy1A01', NULL, NULL, 95, NULL, NULL, 16599),
(22464, '3gjfK01', NULL, NULL, 110, NULL, NULL, 16599),
(22465, '1kb5H01', NULL, NULL, 119, NULL, NULL, 16599),
(22466, '2cd0A00', NULL, NULL, 111, NULL, NULL, 16599),
(22467, '3p3yA01', NULL, NULL, 112, NULL, NULL, 16599),
(22468, '4j3vA02', NULL, NULL, 105, NULL, NULL, 16599),
(22469, '3p3yA04', NULL, NULL, 92, NULL, NULL, 16599),
(22470, '3p3yA03', NULL, NULL, 94, NULL, NULL, 16599),
(22471, '3p3yA02', NULL, NULL, 106, NULL, NULL, 16599),
(22472, '5dftA00', NULL, NULL, 101, NULL, NULL, 16599),
(22473, '5nq0A02', NULL, NULL, 91, NULL, NULL, 16599),
(22474, '5lspL01', NULL, NULL, 109, NULL, NULL, 16599),
(22475, '5iwlA02', NULL, NULL, 116, NULL, NULL, 16599),
(22476, '4g43A02', NULL, NULL, 90, NULL, NULL, 16599),
(22477, '5iwlA01', NULL, NULL, 118, NULL, NULL, 16599),
(22478, '4kvnL01', NULL, NULL, 109, NULL, NULL, 16599),
(22479, '4pgzA02', NULL, NULL, 101, NULL, NULL, 16599),
(22480, '2ntsP01', NULL, NULL, 113, NULL, NULL, 16599),
(22481, '5gxbB00', NULL, NULL, 140, NULL, NULL, 16599),
(22482, '4pgzA01', NULL, NULL, 107, NULL, NULL, 16599),
(22483, '4c83A01', NULL, NULL, 119, NULL, NULL, 16599),
(22484, '5vkkB01', NULL, NULL, 112, NULL, NULL, 16599),
(22485, '1smoB00', NULL, NULL, 119, NULL, NULL, 16599),
(22486, '4aefA01', NULL, NULL, 103, NULL, NULL, 16599),
(22487, '4aefA02', NULL, NULL, 95, NULL, NULL, 16599),
(22488, '3c08H01', NULL, NULL, 117, NULL, NULL, 16599),
(22489, '5xovH01', NULL, NULL, 116, NULL, NULL, 16599),
(22490, '2ymxH01', NULL, NULL, 124, NULL, NULL, 16599),
(22491, '5zs0A01', NULL, NULL, 107, NULL, NULL, 16599),
(22492, '2wbjC01', NULL, NULL, 112, NULL, NULL, 16599),
(22493, '3o2dH01', NULL, NULL, 122, NULL, NULL, 16599);
INSERT INTO "PUBLIC"."MODEL" VALUES
(22494, '2otpA02', NULL, NULL, 100, NULL, NULL, 16599),
(22495, '1za6B01', NULL, NULL, 115, NULL, NULL, 16599),
(22496, '1j05B00', NULL, NULL, 121, NULL, NULL, 16599),
(22497, '4hkxB01', NULL, NULL, 109, NULL, NULL, 16599),
(22498, '2v5mA02', NULL, NULL, 104, NULL, NULL, 16599),
(22499, '2v5mA03', NULL, NULL, 101, NULL, NULL, 16599),
(22500, '1zglM01', NULL, NULL, 112, NULL, NULL, 16599),
(22501, '4glrI01', NULL, NULL, 107, NULL, NULL, 16599),
(22502, '4mhhI01', NULL, NULL, 112, NULL, NULL, 16599),
(22503, '4mayC01', NULL, NULL, 114, NULL, NULL, 16599),
(22504, '5mjeB00', NULL, NULL, 131, NULL, NULL, 16599),
(22505, '4yhzH01', NULL, NULL, 121, NULL, NULL, 16599),
(22506, '6e65L01', NULL, NULL, 111, NULL, NULL, 16599),
(22507, '4frwA02', NULL, NULL, 99, NULL, NULL, 16599),
(22508, '1ea9C01', NULL, NULL, 121, NULL, NULL, 16599),
(22509, '3r06D02', NULL, NULL, 100, NULL, NULL, 16599),
(22510, '1wfnA01', NULL, NULL, 88, NULL, NULL, 16599),
(22511, '4dzbA01', NULL, NULL, 109, NULL, NULL, 16599),
(22512, '5mtnB00', NULL, NULL, 95, NULL, NULL, 16599),
(22513, '1a7qL00', NULL, NULL, 106, NULL, NULL, 16599),
(22514, '1a6tB01', NULL, NULL, 117, NULL, NULL, 16599),
(22515, '5ibuG01', NULL, NULL, 125, NULL, NULL, 16599),
(22516, '1mcwW01', NULL, NULL, 112, NULL, NULL, 16599),
(22517, '5d1xC00', NULL, NULL, 132, NULL, NULL, 16599),
(22518, '5di8A02', NULL, NULL, 110, NULL, NULL, 16599),
(22519, '2vscA01', NULL, NULL, 104, NULL, NULL, 16599),
(22520, '2e27H00', NULL, NULL, 126, NULL, NULL, 16599),
(22521, '4jfhE01', NULL, NULL, 115, NULL, NULL, 16599),
(22522, '4rmtA00', NULL, NULL, 100, NULL, NULL, 16599),
(22523, '2fb4H01', NULL, NULL, 126, NULL, NULL, 16599),
(22524, '3bfoA00', NULL, NULL, 91, NULL, NULL, 16599),
(22525, '2kpnA01', NULL, NULL, 77, NULL, NULL, 16599),
(22526, '5my6B00', NULL, NULL, 115, NULL, NULL, 16599),
(22527, '4onhB01', NULL, NULL, 114, NULL, NULL, 16599),
(22528, '5i1hH01', NULL, NULL, 118, NULL, NULL, 16599),
(22529, '4p5tE01', NULL, NULL, 112, NULL, NULL, 16599),
(22530, '2n4iA00', NULL, NULL, 119, NULL, NULL, 16599),
(22531, '3csbA03', NULL, NULL, 94, NULL, NULL, 16599),
(22532, '4oawA01', NULL, NULL, 108, NULL, NULL, 16599),
(22533, '3twcL01', NULL, NULL, 106, NULL, NULL, 16599),
(22534, '3k0wA02', NULL, NULL, 92, NULL, NULL, 16599),
(22535, '3k0wA01', NULL, NULL, 92, NULL, NULL, 16599),
(22536, '3hn3A02', NULL, NULL, 104, NULL, NULL, 16599),
(22537, '1xiwD00', NULL, NULL, 122, NULL, NULL, 16599),
(22538, '3vj6A02', NULL, NULL, 93, NULL, NULL, 16599),
(22539, '3ntcH01', NULL, NULL, 114, NULL, NULL, 16599),
(22540, '6andL01', NULL, NULL, 113, NULL, NULL, 16599),
(22541, '1cicB01', NULL, NULL, 117, NULL, NULL, 16599),
(22542, '2y6sD01', NULL, NULL, 114, NULL, NULL, 16599),
(22543, '3h0tB01', NULL, NULL, 122, NULL, NULL, 16599),
(22544, '5ewiH01', NULL, NULL, 124, NULL, NULL, 16599),
(22545, '3mbxL01', NULL, NULL, 114, NULL, NULL, 16599),
(22546, '1za3A01', NULL, NULL, 107, NULL, NULL, 16599),
(22547, '2vraA01', NULL, NULL, 105, NULL, NULL, 16599),
(22548, '4imkC01', NULL, NULL, 109, NULL, NULL, 16599),
(22549, '5mhrL00', NULL, NULL, 107, NULL, NULL, 16599),
(22550, '4s2sB01', NULL, NULL, 114, NULL, NULL, 16599),
(22551, '5c6tH00', NULL, NULL, 118, NULL, NULL, 16599),
(22552, '43c9A00', NULL, NULL, 113, NULL, NULL, 16599),
(22553, '2jb5L01', NULL, NULL, 112, NULL, NULL, 16599),
(22554, '2lqrA00', NULL, NULL, 108, NULL, NULL, 16599),
(22555, '2vraA02', NULL, NULL, 103, NULL, NULL, 16599),
(22556, '5ks9A02', NULL, NULL, 108, NULL, NULL, 16599),
(22557, '5yaxA02', NULL, NULL, 101, NULL, NULL, 16599),
(22558, '5ye3A01', NULL, NULL, 107, NULL, NULL, 16599),
(22559, '2f53E01', NULL, NULL, 114, NULL, NULL, 16599),
(22560, '2cqvA00', NULL, NULL, 114, NULL, NULL, 16599),
(22561, '2e3vA00', NULL, NULL, 122, NULL, NULL, 16599),
(22562, '6cdoB01', NULL, NULL, 113, NULL, NULL, 16599),
(22563, '1gxeA00', NULL, NULL, 139, NULL, NULL, 16599),
(22564, '5jofA01', NULL, NULL, 123, NULL, NULL, 16599),
(22565, '5c2uB00', NULL, NULL, 131, NULL, NULL, 16599),
(22566, '3nfsH01', NULL, NULL, 112, NULL, NULL, 16599);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(22567, '6d4eA02', NULL, NULL, 106, NULL, NULL, 16599),
(22568, '6bpdB01', NULL, NULL, 114, NULL, NULL, 16599),
(22569, '1dlfL00', NULL, NULL, 113, NULL, NULL, 16599),
(22570, '2fatH01', NULL, NULL, 119, NULL, NULL, 16599),
(22571, '2fatH02', NULL, NULL, 95, NULL, NULL, 16599),
(22572, '1uj3A01', NULL, NULL, 108, NULL, NULL, 16599),
(22573, '5ihzB01', NULL, NULL, 112, NULL, NULL, 16599),
(22574, '6eh4D01', NULL, NULL, 110, NULL, NULL, 16599),
(22575, '1pfcA00', NULL, NULL, 113, NULL, NULL, 16599),
(22576, '3c5zB01', NULL, NULL, 111, NULL, NULL, 16599),
(22577, '4zg1D00', NULL, NULL, 117, NULL, NULL, 16599),
(22578, '3wn5A01', NULL, NULL, 102, NULL, NULL, 16599),
(22579, '1pewA00', NULL, NULL, 109, NULL, NULL, 16599),
(22580, '2cr6A01', NULL, NULL, 91, NULL, NULL, 16599),
(22581, '6g1eA02', NULL, NULL, 116, NULL, NULL, 16599),
(22582, '3difB01', NULL, NULL, 119, NULL, NULL, 16599),
(22583, '5t33L01', NULL, NULL, 109, NULL, NULL, 16599),
(22584, '5eiiA01', NULL, NULL, 127, NULL, NULL, 16599),
(22585, '2xknD02', NULL, NULL, 100, NULL, NULL, 16599),
(22586, '4ygvB01', NULL, NULL, 112, NULL, NULL, 16599),
(22587, '4hpyH01', NULL, NULL, 120, NULL, NULL, 16599),
(22588, '1jrhL01', NULL, NULL, 107, NULL, NULL, 16599),
(22589, '1ypzF02', NULL, NULL, 107, NULL, NULL, 16599),
(22590, '1p7hL02', NULL, NULL, 107, NULL, NULL, 16599),
(22591, '3eakA00', NULL, NULL, 137, NULL, NULL, 16599),
(22592, '1ypzF01', NULL, NULL, 123, NULL, NULL, 16599),
(22593, '6cr1L02', NULL, NULL, 101, NULL, NULL, 16599),
(22594, '6cr1L01', NULL, NULL, 108, NULL, NULL, 16599),
(22595, '4ej1C00', NULL, NULL, 134, NULL, NULL, 16599),
(22596, '5u3oL01', NULL, NULL, 109, NULL, NULL, 16599),
(22597, '3u2sA01', NULL, NULL, 136, NULL, NULL, 16599),
(22598, '3d85B01', NULL, NULL, 115, NULL, NULL, 16599),
(22599, '4pjiF01', NULL, NULL, 116, NULL, NULL, 16599),
(22600, '6bpdA01', NULL, NULL, 118, NULL, NULL, 16599),
(22601, '4q0xH01', NULL, NULL, 120, NULL, NULL, 16599),
(22602, '1ngzB01', NULL, NULL, 114, NULL, NULL, 16599),
(22603, '4p23B01', NULL, NULL, 111, NULL, NULL, 16599),
(22604, '4pirF00', NULL, NULL, 124, NULL, NULL, 16599),
(22605, '1dfbL01', NULL, NULL, 106, NULL, NULL, 16599),
(22606, '5u6aA01', NULL, NULL, 108, NULL, NULL, 16599),
(22607, '3umtA02', NULL, NULL, 99, NULL, NULL, 16599),
(22608, '5bzdA01', NULL, NULL, 108, NULL, NULL, 16599),
(22609, '3umtA01', NULL, NULL, 137, NULL, NULL, 16599),
(22610, '3vfgH01', NULL, NULL, 120, NULL, NULL, 16599),
(22611, '4xnzC01', NULL, NULL, 103, NULL, NULL, 16599),
(22612, '4jrxE01', NULL, NULL, 109, NULL, NULL, 16599),
(22613, '1kcrL01', NULL, NULL, 107, NULL, NULL, 16599),
(22614, '1fj1B01', NULL, NULL, 113, NULL, NULL, 16599),
(22615, '2gw5A01', NULL, NULL, 95, NULL, NULL, 16599),
(22616, '2gw5A02', NULL, NULL, 102, NULL, NULL, 16599),
(22617, '2g60H01', NULL, NULL, 117, NULL, NULL, 16599),
(22618, '2oi9B00', NULL, NULL, 113, NULL, NULL, 16599),
(22619, '4m6mL01', NULL, NULL, 112, NULL, NULL, 16599),
(22620, '2e7hA01', NULL, NULL, 89, NULL, NULL, 16599),
(22621, '2cuhA01', NULL, NULL, 88, NULL, NULL, 16599),
(22622, '3iflH01', NULL, NULL, 120, NULL, NULL, 16599),
(22623, '1vemA02', NULL, NULL, 100, NULL, NULL, 16599),
(22624, '5tzuL01', NULL, NULL, 108, NULL, NULL, 16599),
(22625, '4qciB01', NULL, NULL, 120, NULL, NULL, 16599),
(22626, '3t65B01', NULL, NULL, 122, NULL, NULL, 16599),
(22627, '4onhA01', NULL, NULL, 111, NULL, NULL, 16599),
(22628, '5m2iG00', NULL, NULL, 121, NULL, NULL, 16599),
(22629, '5o4eD02', NULL, NULL, 115, NULL, NULL, 16599),
(22630, '4oziF01', NULL, NULL, 114, NULL, NULL, 16599),
(22631, '3g5yA01', NULL, NULL, 107, NULL, NULL, 16599),
(22632, '4oawB01', NULL, NULL, 130, NULL, NULL, 16599),
(22633, '5vyfA01', NULL, NULL, 107, NULL, NULL, 16599),
(22634, '4ocrH01', NULL, NULL, 144, NULL, NULL, 16599),
(22635, '3sqoH01', NULL, NULL, 118, NULL, NULL, 16599),
(22636, '3mlyL01', NULL, NULL, 109, NULL, NULL, 16599),
(22637, '2p49B00', NULL, NULL, 123, NULL, NULL, 16599),
(22638, '2orbM01', NULL, NULL, 112, NULL, NULL, 16599),
(22639, '5w1kA01', NULL, NULL, 102, NULL, NULL, 16599);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(22640, '2jjvA01', NULL, NULL, 123, NULL, NULL, 16599),
(22641, '1mjuH02', NULL, NULL, 99, NULL, NULL, 16599),
(22642, '2yz8A01', NULL, NULL, 96, NULL, NULL, 16599),
(22643, '1mjuH01', NULL, NULL, 116, NULL, NULL, 16599),
(22644, '2yn3B03', NULL, NULL, 108, NULL, NULL, 16599),
(22645, '4m7kH01', NULL, NULL, 120, NULL, NULL, 16599),
(22646, '1ai1L01', NULL, NULL, 112, NULL, NULL, 16599),
(22647, '2r8sH01', NULL, NULL, 121, NULL, NULL, 16599),
(22648, '1za3B01', NULL, NULL, 129, NULL, NULL, 16599),
(22649, '5iueA02', NULL, NULL, 103, NULL, NULL, 16599),
(22650, '3mclL01', NULL, NULL, 106, NULL, NULL, 16599),
(22651, '6bj2D01', NULL, NULL, 116, NULL, NULL, 16599),
(22652, '5jo5B01', NULL, NULL, 109, NULL, NULL, 16599),
(22653, '2yplD01', NULL, NULL, 109, NULL, NULL, 16599),
(22654, '5mesH01', NULL, NULL, 119, NULL, NULL, 16599),
(22655, '3ld8C01', NULL, NULL, 118, NULL, NULL, 16599),
(22656, '2crmA01', NULL, NULL, 79, NULL, NULL, 16599),
(22657, '5w38A02', NULL, NULL, 110, NULL, NULL, 16599),
(22658, '2dquH01', NULL, NULL, 122, NULL, NULL, 16599),
(22659, '8fabB01', NULL, NULL, 121, NULL, NULL, 16599),
(22660, '2bc4A02', NULL, NULL, 120, NULL, NULL, 16599),
(22661, '3cu7A09', NULL, NULL, 109, NULL, NULL, 16599),
(22662, '1bafH01', NULL, NULL, 115, NULL, NULL, 16599),
(22663, '3kj4B01', NULL, NULL, 113, NULL, NULL, 16599),
(22664, '2edkA00', NULL, NULL, 101, NULL, NULL, 16599),
(22665, '3cu7A04', NULL, NULL, 108, NULL, NULL, 16599),
(22666, '5tdoB02', NULL, NULL, 103, NULL, NULL, 16599),
(22667, '1z9lA00', NULL, NULL, 128, NULL, NULL, 16599),
(22668, '1flrL01', NULL, NULL, 113, NULL, NULL, 16599),
(22669, '2bp3A00', NULL, NULL, 97, NULL, NULL, 16599),
(22670, '1igyD03', NULL, NULL, 108, NULL, NULL, 16599),
(22671, '2di9A01', NULL, NULL, 95, NULL, NULL, 16599),
(22672, '1igyD04', NULL, NULL, 106, NULL, NULL, 16599),
(22673, '5cusL01', NULL, NULL, 111, NULL, NULL, 16599),
(22674, '4p3cH01', NULL, NULL, 118, NULL, NULL, 16599),
(22675, '4hcrH01', NULL, NULL, 124, NULL, NULL, 16599),
(22676, '4hcrH02', NULL, NULL, 105, NULL, NULL, 16599),
(22677, '5usfC00', NULL, NULL, 128, NULL, NULL, 16599),
(22678, '4j1uA01', NULL, NULL, 113, NULL, NULL, 16599),
(22679, '3s34H01', NULL, NULL, 116, NULL, NULL, 16599),
(22680, '3s34H02', NULL, NULL, 105, NULL, NULL, 16599),
(22681, '1w8oA02', NULL, NULL, 102, NULL, NULL, 16599),
(22682, '5f7lB00', NULL, NULL, 129, NULL, NULL, 16599),
(22683, '1u0qA00', NULL, NULL, 125, NULL, NULL, 16599),
(22684, '2uzxB02', NULL, NULL, 127, NULL, NULL, 16599),
(22685, '2vxvL01', NULL, NULL, 109, NULL, NULL, 16599),
(22686, '1d3cA04', NULL, NULL, 103, NULL, NULL, 16599),
(22687, '1d3cA03', NULL, NULL, 87, NULL, NULL, 16599),
(22688, '1c5cL01', NULL, NULL, 108, NULL, NULL, 16599),
(22689, '6cwtB01', NULL, NULL, 110, NULL, NULL, 16599),
(22690, '3uxfA03', NULL, NULL, 141, NULL, NULL, 16599),
(22691, '2eebA00', NULL, NULL, 106, NULL, NULL, 16599),
(22692, '3b2uD01', NULL, NULL, 108, NULL, NULL, 16599),
(22693, '5cbeB00', NULL, NULL, 122, NULL, NULL, 16599),
(22694, '3uxfA01', NULL, NULL, 150, NULL, NULL, 16599),
(22695, '1mvuA00', NULL, NULL, 114, NULL, NULL, 16599),
(22696, '4bklB01', NULL, NULL, 112, NULL, NULL, 16599),
(22697, '2i9lA01', NULL, NULL, 113, NULL, NULL, 16599),
(22698, '1deeB01', NULL, NULL, 121, NULL, NULL, 16599),
(22699, '1rumL02', NULL, NULL, 106, NULL, NULL, 16599),
(22700, '2o26U03', NULL, NULL, 108, NULL, NULL, 16599),
(22701, '5kveH00', NULL, NULL, 116, NULL, NULL, 16599),
(22702, '2o26U02', NULL, NULL, 88, NULL, NULL, 16599),
(22703, '2o26U01', NULL, NULL, 94, NULL, NULL, 16599),
(22704, '2ck0H01', NULL, NULL, 120, NULL, NULL, 16599),
(22705, '4onfL01', NULL, NULL, 113, NULL, NULL, 16599),
(22706, '4lpyA00', NULL, NULL, 101, NULL, NULL, 16599),
(22707, '4ms8D01', NULL, NULL, 114, NULL, NULL, 16599),
(22708, '1hi6B01', NULL, NULL, 112, NULL, NULL, 16599),
(22709, '5nyxL01', NULL, NULL, 106, NULL, NULL, 16599),
(22710, '1eajB00', NULL, NULL, 126, NULL, NULL, 16599),
(22711, '5w1wD01', NULL, NULL, 113, NULL, NULL, 16599),
(22712, '3me0A01', NULL, NULL, 121, NULL, NULL, 16599);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(22713, '3cx5J00', NULL, NULL, 127, NULL, NULL, 16599),
(22714, '3bpnC01', NULL, NULL, 94, NULL, NULL, 16599),
(22715, '5myxB01', NULL, NULL, 115, NULL, NULL, 16599),
(22716, '2wqrB01', NULL, NULL, 105, NULL, NULL, 16599),
(22717, '2e6qA00', NULL, NULL, 112, NULL, NULL, 16599),
(22718, '5gs2D01', NULL, NULL, 121, NULL, NULL, 16599),
(22719, '4hh8A01', NULL, NULL, 129, NULL, NULL, 16599),
(22720, '3bpnC03', NULL, NULL, 113, NULL, NULL, 16599),
(22721, '4hh8A02', NULL, NULL, 95, NULL, NULL, 16599),
(22722, '3w9dA01', NULL, NULL, 122, NULL, NULL, 16599),
(22723, '5eiqA02', NULL, NULL, 91, NULL, NULL, 16599),
(22724, '5eiqA01', NULL, NULL, 97, NULL, NULL, 16599),
(22725, '5i9qC01', NULL, NULL, 101, NULL, NULL, 16599),
(22726, '2uv3A01', NULL, NULL, 111, NULL, NULL, 16599),
(22727, '6bzyL01', NULL, NULL, 112, NULL, NULL, 16599),
(22728, '4mwfB01', NULL, NULL, 108, NULL, NULL, 16599),
(22729, '5xovG01', NULL, NULL, 116, NULL, NULL, 16599),
(22730, '4ag4L01', NULL, NULL, 107, NULL, NULL, 16599),
(22731, '4ncc101', NULL, NULL, 107, NULL, NULL, 16599),
(22732, '4jg1H01', NULL, NULL, 124, NULL, NULL, 16599),
(22733, '5udcB01', NULL, NULL, 126, NULL, NULL, 16599),
(22734, '3h8nA02', NULL, NULL, 98, NULL, NULL, 16599),
(22735, '1cl7H00', NULL, NULL, 135, NULL, NULL, 16599),
(22736, '4j6rL01', NULL, NULL, 104, NULL, NULL, 16599),
(22737, '4xp4L01', NULL, NULL, 109, NULL, NULL, 16599),
(22738, '3h8nA01', NULL, NULL, 97, NULL, NULL, 16599),
(22739, '1j8kA00', NULL, NULL, 94, NULL, NULL, 16599),
(22740, '4q2zB01', NULL, NULL, 111, NULL, NULL, 16599),
(22741, '4en3A01', NULL, NULL, 116, NULL, NULL, 16599),
(22742, '2flbT00', NULL, NULL, 218, NULL, NULL, 16599),
(22743, '6dg5C02', NULL, NULL, 103, NULL, NULL, 16599),
(22744, '3esuF01', NULL, NULL, 111, NULL, NULL, 16599),
(22745, '6dg5C01', NULL, NULL, 96, NULL, NULL, 16599),
(22746, '6eleB01', NULL, NULL, 108, NULL, NULL, 16599),
(22747, '4yjzL01', NULL, NULL, 130, NULL, NULL, 16599),
(22748, '4yjzL02', NULL, NULL, 115, NULL, NULL, 16599),
(22749, '3esuF02', NULL, NULL, 106, NULL, NULL, 16599),
(22750, '5hyfA02', NULL, NULL, 110, NULL, NULL, 16599),
(22751, '6ba5A00', NULL, NULL, 114, NULL, NULL, 16599),
(22752, '1rjlA01', NULL, NULL, 108, NULL, NULL, 16599),
(22753, '1fo0B00', NULL, NULL, 112, NULL, NULL, 16599),
(22754, '3sdyH01', NULL, NULL, 122, NULL, NULL, 16599),
(22755, '1kfaI02', NULL, NULL, 98, NULL, NULL, 16599),
(22756, '1fneB02', NULL, NULL, 105, NULL, NULL, 16599),
(22757, '1kfaI01', NULL, NULL, 120, NULL, NULL, 16599),
(22758, '4ydkL01', NULL, NULL, 107, NULL, NULL, 16599),
(22759, '5fuzH01', NULL, NULL, 121, NULL, NULL, 16599),
(22760, '4nhuA01', NULL, NULL, 115, NULL, NULL, 16599),
(22761, '4dvbA01', NULL, NULL, 117, NULL, NULL, 16599),
(22762, '5tkjB01', NULL, NULL, 113, NULL, NULL, 16599),
(22763, '3q5tA01', NULL, NULL, 112, NULL, NULL, 16599),
(22764, '4f9pD02', NULL, NULL, 100, NULL, NULL, 16599),
(22765, '1a5fH02', NULL, NULL, 96, NULL, NULL, 16599),
(22766, '5ir3A00', NULL, NULL, 112, NULL, NULL, 16599),
(22767, '1a5fH01', NULL, NULL, 120, NULL, NULL, 16599),
(22768, '4x0kB01', NULL, NULL, 114, NULL, NULL, 16599),
(22769, '4gftB00', NULL, NULL, 135, NULL, NULL, 16599),
(22770, '4xmpL01', NULL, NULL, 105, NULL, NULL, 16599),
(22771, '3kptA03', NULL, NULL, 106, NULL, NULL, 16599),
(22772, '4hgmA00', NULL, NULL, 112, NULL, NULL, 16599),
(22773, '4o9hH01', NULL, NULL, 118, NULL, NULL, 16599),
(22774, '5jipA02', NULL, NULL, 102, NULL, NULL, 16599),
(22775, '1u6aH01', NULL, NULL, 123, NULL, NULL, 16599),
(22776, '1ehxA00', NULL, NULL, 94, NULL, NULL, 16599),
(22777, '3wnoA01', NULL, NULL, 105, NULL, NULL, 16599),
(22778, '4ut6L00', NULL, NULL, 111, NULL, NULL, 16599),
(22779, '1witA00', NULL, NULL, 93, NULL, NULL, 16599),
(22780, '4whtA01', NULL, NULL, 112, NULL, NULL, 16599),
(22781, '2davA01', NULL, NULL, 103, NULL, NULL, 16599),
(22782, '4q6iA01', NULL, NULL, 112, NULL, NULL, 16599),
(22783, '5vigB01', NULL, NULL, 107, NULL, NULL, 16599),
(22784, '5e5rD01', NULL, NULL, 98, NULL, NULL, 16599),
(22785, '5vi4F03', NULL, NULL, 119, NULL, NULL, 16599); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(22786, '4mz2A00', NULL, NULL, 129, NULL, NULL, 16599),
(22787, '3h6jA02', NULL, NULL, 104, NULL, NULL, 16599),
(22788, '5jhdD01', NULL, NULL, 119, NULL, NULL, 16599),
(22789, '4zptB01', NULL, NULL, 107, NULL, NULL, 16599),
(22790, '1dl7L00', NULL, NULL, 109, NULL, NULL, 16599),
(22791, '3se9H01', NULL, NULL, 125, NULL, NULL, 16599),
(22792, '6mtoL01', NULL, NULL, 109, NULL, NULL, 16599),
(22793, '1mrdH01', NULL, NULL, 116, NULL, NULL, 16599),
(22794, '2je8B05', NULL, NULL, 93, NULL, NULL, 16599),
(22795, '1pbyA04', NULL, NULL, 131, NULL, NULL, 16599),
(22796, '1pbyA03', NULL, NULL, 76, NULL, NULL, 16599),
(22797, '2oz4H01', NULL, NULL, 114, NULL, NULL, 16599),
(22798, '2p5eD01', NULL, NULL, 115, NULL, NULL, 16599),
(22799, '3g9vA02', NULL, NULL, 104, NULL, NULL, 16599),
(22800, '5k59E01', NULL, NULL, 119, NULL, NULL, 16599),
(22801, '3q2cA00', NULL, NULL, 97, NULL, NULL, 16599),
(22802, '4llqA00', NULL, NULL, 113, NULL, NULL, 16599),
(22803, '4xnyH01', NULL, NULL, 132, NULL, NULL, 16599),
(22804, '4k3dH01', NULL, NULL, 169, NULL, NULL, 16599),
(22805, '6aemA00', NULL, NULL, 87, NULL, NULL, 16599),
(22806, '3cnkA00', NULL, NULL, 89, NULL, NULL, 16599),
(22807, '1a4jA01', NULL, NULL, 112, NULL, NULL, 16599),
(22808, '4zsoB01', NULL, NULL, 122, NULL, NULL, 16599),
(22809, '3x2dD01', NULL, NULL, 125, NULL, NULL, 16599),
(22810, '2gi7A02', NULL, NULL, 95, NULL, NULL, 16599),
(22811, '4r26H01', NULL, NULL, 132, NULL, NULL, 16599),
(22812, '1clyH01', NULL, NULL, 119, NULL, NULL, 16599),
(22813, '2ee6A00', NULL, NULL, 105, NULL, NULL, 16599),
(22814, '6d7gE01', NULL, NULL, 124, NULL, NULL, 16599),
(22815, '5fm5M00', NULL, NULL, 124, NULL, NULL, 16599),
(22816, '5chnA01', NULL, NULL, 122, NULL, NULL, 16599),
(22817, '5dezA01', NULL, NULL, 104, NULL, NULL, 16599),
(22818, '5th9N00', NULL, NULL, 106, NULL, NULL, 16599),
(22819, '2y23A01', NULL, NULL, 109, NULL, NULL, 16599),
(22820, '5wt9G00', NULL, NULL, 118, NULL, NULL, 16599),
(22821, '4xmlH01', NULL, NULL, 123, NULL, NULL, 16599),
(22822, '3hg1E01', NULL, NULL, 115, NULL, NULL, 16599),
(22823, '1rhhA01', NULL, NULL, 109, NULL, NULL, 16599),
(22824, '3utzC01', NULL, NULL, 119, NULL, NULL, 16599),
(22825, '4o02H01', NULL, NULL, 118, NULL, NULL, 16599),
(22826, '4m9oA00', NULL, NULL, 107, NULL, NULL, 16599),
(22827, '4rauB01', NULL, NULL, 120, NULL, NULL, 16599),
(22828, '3v4vH01', NULL, NULL, 121, NULL, NULL, 16599),
(22829, '4exkA03', NULL, NULL, 113, NULL, NULL, 16599),
(22830, '5fucE00', NULL, NULL, 132, NULL, NULL, 16599),
(22831, '3h7lA01', NULL, NULL, 94, NULL, NULL, 16599),
(22832, '1fyhB02', NULL, NULL, 114, NULL, NULL, 16599),
(22833, '1jn6A01', NULL, NULL, 113, NULL, NULL, 16599),
(22834, '4xt1C00', NULL, NULL, 134, NULL, NULL, 16599),
(22835, '1fyhB01', NULL, NULL, 108, NULL, NULL, 16599),
(22836, '3wyrA01', NULL, NULL, 91, NULL, NULL, 16599),
(22837, '3wyrA02', NULL, NULL, 98, NULL, NULL, 16599),
(22838, '1ce1H01', NULL, NULL, 121, NULL, NULL, 16599),
(22839, '4p5mA02', NULL, NULL, 102, NULL, NULL, 16599),
(22840, '3hi6H01', NULL, NULL, 120, NULL, NULL, 16599),
(22841, '6dg2B01', NULL, NULL, 109, NULL, NULL, 16599),
(22842, '1ucbL01', NULL, NULL, 113, NULL, NULL, 16599),
(22843, '5d6cA01', NULL, NULL, 113, NULL, NULL, 16599),
(22844, '4w68A00', NULL, NULL, 133, NULL, NULL, 16599),
(22845, '2bdnL01', NULL, NULL, 108, NULL, NULL, 16599),
(22846, '2r0kH01', NULL, NULL, 117, NULL, NULL, 16599),
(22847, '2c3gA00', NULL, NULL, 98, NULL, NULL, 16599),
(22848, '2e9wA01', NULL, NULL, 91, NULL, NULL, 16599),
(22849, '5i8kH01', NULL, NULL, 116, NULL, NULL, 16599),
(22850, '4u1gC01', NULL, NULL, 112, NULL, NULL, 16599),
(22851, '5vh3B01', NULL, NULL, 108, NULL, NULL, 16599),
(22852, '6apcL01', NULL, NULL, 113, NULL, NULL, 16599),
(22853, '5cexA01', NULL, NULL, 113, NULL, NULL, 16599),
(22854, '4r4bB01', NULL, NULL, 119, NULL, NULL, 16599),
(22855, '5vxrL01', NULL, NULL, 112, NULL, NULL, 16599),
(22856, '4h20H01', NULL, NULL, 119, NULL, NULL, 16599),
(22857, '6dc8L01', NULL, NULL, 113, NULL, NULL, 16599),
(22858, '1mfaL01', NULL, NULL, 110, NULL, NULL, 16599);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(22859, '5mtlC01', NULL, NULL, 111, NULL, NULL, 16599),
(22860, '3zyoA02', NULL, NULL, 109, NULL, NULL, 16599),
(22861, '3zyzA03', NULL, NULL, 132, NULL, NULL, 16599),
(22862, '4nobA00', NULL, NULL, 126, NULL, NULL, 16599),
(22863, '5lz0A00', NULL, NULL, 134, NULL, NULL, 16599),
(22864, '4qthB01', NULL, NULL, 108, NULL, NULL, 16599),
(22865, '4dkfL01', NULL, NULL, 107, NULL, NULL, 16599),
(22866, '4zs6C01', NULL, NULL, 121, NULL, NULL, 16599),
(22867, '3qbtB00', NULL, NULL, 140, NULL, NULL, 16599),
(22868, '1jnlH01', NULL, NULL, 114, NULL, NULL, 16599),
(22869, '4x6bD01', NULL, NULL, 116, NULL, NULL, 16599),
(22870, '4hs6B01', NULL, NULL, 118, NULL, NULL, 16599),
(22871, '3o4lD01', NULL, NULL, 104, NULL, NULL, 16599),
(22872, '4ioiB01', NULL, NULL, 120, NULL, NULL, 16599),
(22873, '6avgD01', NULL, NULL, 116, NULL, NULL, 16599),
(22874, '1figL01', NULL, NULL, 109, NULL, NULL, 16599),
(22875, '3hujA02', NULL, NULL, 101, NULL, NULL, 16599),
(22876, '4aehH01', NULL, NULL, 119, NULL, NULL, 16599),
(22877, '3p2tA01', NULL, NULL, 95, NULL, NULL, 16599),
(22878, '3t04D00', NULL, NULL, 103, NULL, NULL, 16599),
(22879, '4z7vG01', NULL, NULL, 110, NULL, NULL, 16599),
(22880, '4r8wH00', NULL, NULL, 127, NULL, NULL, 16599),
(22881, '4oq1A03', NULL, NULL, 113, NULL, NULL, 16599),
(22882, '4oq1A02', NULL, NULL, 109, NULL, NULL, 16599),
(22883, '3p2tA02', NULL, NULL, 101, NULL, NULL, 16599),
(22884, '6db6L01', NULL, NULL, 109, NULL, NULL, 16599),
(22885, '4h8wC01', NULL, NULL, 98, NULL, NULL, 16599),
(22886, '4h8wC02', NULL, NULL, 75, NULL, NULL, 16599),
(22887, '2ddqH01', NULL, NULL, 113, NULL, NULL, 16599),
(22888, '3p0yL01', NULL, NULL, 108, NULL, NULL, 16599),
(22889, '2rr3A00', NULL, NULL, 130, NULL, NULL, 16599),
(22890, '4qxgH01', NULL, NULL, 117, NULL, NULL, 16599),
(22891, '5k9oA01', NULL, NULL, 119, NULL, NULL, 16599),
(22892, '3wdhA02', NULL, NULL, 97, NULL, NULL, 16599),
(22893, '5jihA02', NULL, NULL, 114, NULL, NULL, 16599),
(22894, '5c6wH02', NULL, NULL, 119, NULL, NULL, 16599),
(22895, '4lkxB01', NULL, NULL, 112, NULL, NULL, 16599),
(22896, '5dyoB01', NULL, NULL, 113, NULL, NULL, 16599),
(22897, '3pgfH01', NULL, NULL, 123, NULL, NULL, 16599),
(22898, '5nmvL01', NULL, NULL, 107, NULL, NULL, 16599),
(22899, '4r90L01', NULL, NULL, 111, NULL, NULL, 16599),
(22900, '5ceyD01', NULL, NULL, 132, NULL, NULL, 16599),
(22901, '5d2lL01', NULL, NULL, 116, NULL, NULL, 16599),
(22902, '2e7cA01', NULL, NULL, 100, NULL, NULL, 16599),
(22903, '3ffdA01', NULL, NULL, 118, NULL, NULL, 16599),
(22904, '1kacB00', NULL, NULL, 124, NULL, NULL, 16599),
(22905, '4gmsM02', NULL, NULL, 72, NULL, NULL, 16599),
(22906, '6d7gD01', NULL, NULL, 120, NULL, NULL, 16599),
(22907, '1orqB01', NULL, NULL, 118, NULL, NULL, 16599),
(22908, '5d1zB01', NULL, NULL, 122, NULL, NULL, 16599),
(22909, '4fq2H01', NULL, NULL, 132, NULL, NULL, 16599),
(22910, '6dfqH01', NULL, NULL, 113, NULL, NULL, 16599),
(22911, '4bfgA02', NULL, NULL, 93, NULL, NULL, 16599),
(22912, '4bfgA01', NULL, NULL, 123, NULL, NULL, 16599),
(22913, '1fv1B02', NULL, NULL, 98, NULL, NULL, 16599),
(22914, '5k9qG01', NULL, NULL, 128, NULL, NULL, 16599),
(22915, '4fqiH01', NULL, NULL, 121, NULL, NULL, 16599),
(22916, '4b41A00', NULL, NULL, 118, NULL, NULL, 16599),
(22917, '6obzB01', NULL, NULL, 107, NULL, NULL, 16599),
(22918, '1qfwM00', NULL, NULL, 108, NULL, NULL, 16599),
(22919, '6d11B01', NULL, NULL, 107, NULL, NULL, 16599),
(22920, '2y07H02', NULL, NULL, 99, NULL, NULL, 16599),
(22921, '4pj7F01', NULL, NULL, 114, NULL, NULL, 16599),
(22922, '1b0wA00', NULL, NULL, 108, NULL, NULL, 16599),
(22923, '2vxqL01', NULL, NULL, 107, NULL, NULL, 16599),
(22924, '1j05A00', NULL, NULL, 111, NULL, NULL, 16599),
(22925, '4y0gB00', NULL, NULL, 90, NULL, NULL, 16599),
(22926, '1za6A01', NULL, NULL, 113, NULL, NULL, 16599),
(22927, '3og6B02', NULL, NULL, 99, NULL, NULL, 16599),
(22928, '3dlqR01', NULL, NULL, 103, NULL, NULL, 16599),
(22929, '3dlqR02', NULL, NULL, 108, NULL, NULL, 16599),
(22930, '4y5yA00', NULL, NULL, 130, NULL, NULL, 16599),
(22931, '4umgA00', NULL, NULL, 133, NULL, NULL, 16599);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(22932, '3hrzA04', NULL, NULL, 101, NULL, NULL, 16599),
(22933, '3idxH01', NULL, NULL, 128, NULL, NULL, 16599),
(22934, '1dsfL00', NULL, NULL, 112, NULL, NULL, 16599),
(22935, '1rihL01', NULL, NULL, 108, NULL, NULL, 16599),
(22936, '5w0dC01', NULL, NULL, 109, NULL, NULL, 16599),
(22937, '4dzbB01', NULL, NULL, 115, NULL, NULL, 16599),
(22938, '1ehlH01', NULL, NULL, 120, NULL, NULL, 16599),
(22939, '4u7mA02', NULL, NULL, 95, NULL, NULL, 16599),
(22940, '1ynlH02', NULL, NULL, 103, NULL, NULL, 16599),
(22941, '4u7mA03', NULL, NULL, 94, NULL, NULL, 16599),
(22942, '4bz2H02', NULL, NULL, 98, NULL, NULL, 16599),
(22943, '1etzB01', NULL, NULL, 126, NULL, NULL, 16599),
(22944, '4bz2H01', NULL, NULL, 121, NULL, NULL, 16599),
(22945, '1ynlH01', NULL, NULL, 116, NULL, NULL, 16599),
(22946, '4u7mA01', NULL, NULL, 104, NULL, NULL, 16599),
(22947, '1f3rB02', NULL, NULL, 99, NULL, NULL, 16599),
(22948, '5dumL01', NULL, NULL, 108, NULL, NULL, 16599),
(22949, '3ma9L01', NULL, NULL, 109, NULL, NULL, 16599),
(22950, '2ij0C00', NULL, NULL, 118, NULL, NULL, 16599),
(22951, '5dhvB00', NULL, NULL, 110, NULL, NULL, 16599),
(22952, '4lldB00', NULL, NULL, 102, NULL, NULL, 16599),
(22953, '1mfnA02', NULL, NULL, 93, NULL, NULL, 16599),
(22954, '1mfnA01', NULL, NULL, 91, NULL, NULL, 16599),
(22955, '4n0yL01', NULL, NULL, 113, NULL, NULL, 16599),
(22956, '2cjuH00', NULL, NULL, 121, NULL, NULL, 16599),
(22957, '5vgeA02', NULL, NULL, 91, NULL, NULL, 16599),
(22958, '5ujtA02', NULL, NULL, 100, NULL, NULL, 16599),
(22959, '2iepB02', NULL, NULL, 93, NULL, NULL, 16599),
(22960, '3d9aL01', NULL, NULL, 108, NULL, NULL, 16599),
(22961, '3d9aL02', NULL, NULL, 103, NULL, NULL, 16599),
(22962, '5e94B01', NULL, NULL, 123, NULL, NULL, 16599),
(22963, '3mqiA00', NULL, NULL, 96, NULL, NULL, 16599),
(22964, '4hbqA01', NULL, NULL, 90, NULL, NULL, 16599),
(22965, '5b4mD01', NULL, NULL, 112, NULL, NULL, 16599),
(22966, '3oz9L01', NULL, NULL, 106, NULL, NULL, 16599),
(22967, '4yqxO00', NULL, NULL, 118, NULL, NULL, 16599),
(22968, '4o00A01', NULL, NULL, 97, NULL, NULL, 16599),
(22969, '1r0aL01', NULL, NULL, 107, NULL, NULL, 16599),
(22970, '4idjL01', NULL, NULL, 109, NULL, NULL, 16599),
(22971, '1dbbL01', NULL, NULL, 113, NULL, NULL, 16599),
(22972, '4xnqA01', NULL, NULL, 106, NULL, NULL, 16599),
(22973, '2ed7A00', NULL, NULL, 119, NULL, NULL, 16599),
(22974, '6dfjL01', NULL, NULL, 110, NULL, NULL, 16599),
(22975, '1mieH01', NULL, NULL, 117, NULL, NULL, 16599),
(22976, '2hkfH01', NULL, NULL, 119, NULL, NULL, 16599),
(22977, '3wbdA02', NULL, NULL, 99, NULL, NULL, 16599),
(22978, '5tihH01', NULL, NULL, 114, NULL, NULL, 16599),
(22979, '4w4oC01', NULL, NULL, 86, NULL, NULL, 16599),
(22980, '5eorH01', NULL, NULL, 115, NULL, NULL, 16599),
(22981, '6cezL01', NULL, NULL, 110, NULL, NULL, 16599),
(22982, '6nz7I01', NULL, NULL, 107, NULL, NULL, 16599),
(22983, '4w4oC02', NULL, NULL, 89, NULL, NULL, 16599),
(22984, '2qqkH01', NULL, NULL, 124, NULL, NULL, 16599),
(22985, '5wkfE01', NULL, NULL, 115, NULL, NULL, 16599),
(22986, '1bfvH00', NULL, NULL, 119, NULL, NULL, 16599),
(22987, '6at6A01', NULL, NULL, 114, NULL, NULL, 16599),
(22988, '1seqH01', NULL, NULL, 123, NULL, NULL, 16599),
(22989, '3haeH01', NULL, NULL, 119, NULL, NULL, 16599),
(22990, '3ikkA00', NULL, NULL, 127, NULL, NULL, 16599),
(22991, '1uwgL01', NULL, NULL, 108, NULL, NULL, 16599),
(22992, '4w4oC03', NULL, NULL, 105, NULL, NULL, 16599),
(22993, '5l9dL01', NULL, NULL, 109, NULL, NULL, 16599),
(22994, '3q6fA01', NULL, NULL, 109, NULL, NULL, 16599),
(22995, '4tvsa00', NULL, NULL, 134, NULL, NULL, 16599),
(22996, '3ztnL01', NULL, NULL, 112, NULL, NULL, 16599),
(22997, '1seqH02', NULL, NULL, 102, NULL, NULL, 16599),
(22998, '2gfbA01', NULL, NULL, 108, NULL, NULL, 16599),
(22999, '4hbqA02', NULL, NULL, 116, NULL, NULL, 16599),
(23000, '1egjH01', NULL, NULL, 119, NULL, NULL, 16599),
(23001, '4n9gB01', NULL, NULL, 108, NULL, NULL, 16599),
(23002, '4qyoA00', NULL, NULL, 114, NULL, NULL, 16599),
(23003, '4buhB01', NULL, NULL, 125, NULL, NULL, 16599),
(23004, '4ofkB00', NULL, NULL, 108, NULL, NULL, 16599);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(23005, '4xxdA01', NULL, NULL, 112, NULL, NULL, 16599),
(23006, '1mvuB00', NULL, NULL, 121, NULL, NULL, 16599),
(23007, '2y1vA04', NULL, NULL, 185, NULL, NULL, 16599),
(23008, '4jn2B01', NULL, NULL, 122, NULL, NULL, 16599),
(23009, '4eneC02', NULL, NULL, 99, NULL, NULL, 16599),
(23010, '5b21A00', NULL, NULL, 114, NULL, NULL, 16599),
(23011, '6blhL01', NULL, NULL, 109, NULL, NULL, 16599),
(23012, '5dlmI01', NULL, NULL, 115, NULL, NULL, 16599),
(23013, '5hvhB00', NULL, NULL, 128, NULL, NULL, 16599),
(23014, '2y1vA01', NULL, NULL, 159, NULL, NULL, 16599),
(23015, '6bqoC00', NULL, NULL, 95, NULL, NULL, 16599),
(23016, '1fn4B01', NULL, NULL, 116, NULL, NULL, 16599),
(23017, '1fn4B02', NULL, NULL, 99, NULL, NULL, 16599),
(23018, '1qfhA01', NULL, NULL, 111, NULL, NULL, 16599),
(23019, '1qfhA02', NULL, NULL, 101, NULL, NULL, 16599),
(23020, '4ms8C01', NULL, NULL, 118, NULL, NULL, 16599),
(23021, '2apbA00', NULL, NULL, 110, NULL, NULL, 16599),
(23022, '4hkxA01', NULL, NULL, 126, NULL, NULL, 16599),
(23023, '2cdgB01', NULL, NULL, 115, NULL, NULL, 16599),
(23024, '5wccL01', NULL, NULL, 112, NULL, NULL, 16599),
(23025, '3e8uH01', NULL, NULL, 117, NULL, NULL, 16599),
(23026, '3e8uH02', NULL, NULL, 99, NULL, NULL, 16599),
(23027, '1va9A00', NULL, NULL, 122, NULL, NULL, 16599),
(23028, '1qkzH01', NULL, NULL, 119, NULL, NULL, 16599),
(23029, '5jikB02', NULL, NULL, 114, NULL, NULL, 16599),
(23030, '4ydjB01', NULL, NULL, 101, NULL, NULL, 16599),
(23031, '3q0hB00', NULL, NULL, 117, NULL, NULL, 16599),
(23032, '6gdtA01', NULL, NULL, 93, NULL, NULL, 16599),
(23033, '1q72H02', NULL, NULL, 92, NULL, NULL, 16599),
(23034, '1ospH01', NULL, NULL, 120, NULL, NULL, 16599),
(23035, '1q72H01', NULL, NULL, 121, NULL, NULL, 16599),
(23036, '5eo9B02', NULL, NULL, 96, NULL, NULL, 16599),
(23037, '4mnhD02', NULL, NULL, 101, NULL, NULL, 16599),
(23038, '5eo9B01', NULL, NULL, 110, NULL, NULL, 16599),
(23039, '2apxA00', NULL, NULL, 112, NULL, NULL, 16599),
(23040, '5d1xD01', NULL, NULL, 110, NULL, NULL, 16599),
(23041, '4idlA00', NULL, NULL, 136, NULL, NULL, 16599),
(23042, '1a2yA00', NULL, NULL, 107, NULL, NULL, 16599),
(23043, '5i66B01', NULL, NULL, 108, NULL, NULL, 16599),
(23044, '6bjzL01', NULL, NULL, 112, NULL, NULL, 16599),
(23045, '2a38B01', NULL, NULL, 99, NULL, NULL, 16599),
(23046, '5tdoA01', NULL, NULL, 108, NULL, NULL, 16599),
(23047, '4g80B01', NULL, NULL, 108, NULL, NULL, 16599),
(23048, '5e4iA01', NULL, NULL, 98, NULL, NULL, 16599),
(23049, '5e4iA03', NULL, NULL, 91, NULL, NULL, 16599),
(23050, '5e4iA02', NULL, NULL, 104, NULL, NULL, 16599),
(23051, '3gbnH01', NULL, NULL, 121, NULL, NULL, 16599),
(23052, '3gbnH02', NULL, NULL, 66, NULL, NULL, 16599),
(23053, '1hkfA00', NULL, NULL, 122, NULL, NULL, 16599),
(23054, '3dwtA00', NULL, NULL, 137, NULL, NULL, 16599),
(23055, '1yqvL01', NULL, NULL, 107, NULL, NULL, 16599),
(23056, '4x8jH01', NULL, NULL, 115, NULL, NULL, 16599),
(23057, '4cmhC01', NULL, NULL, 108, NULL, NULL, 16599),
(23058, '3ifoB01', NULL, NULL, 113, NULL, NULL, 16599),
(23059, '4l1hA00', NULL, NULL, 107, NULL, NULL, 16599),
(23060, '1cicA01', NULL, NULL, 108, NULL, NULL, 16599),
(23061, '1zvyA00', NULL, NULL, 136, NULL, NULL, 16599),
(23062, '3r4dA01', NULL, NULL, 107, NULL, NULL, 16599),
(23063, '4m4pA04', NULL, NULL, 113, NULL, NULL, 16599),
(23064, '3r4dA02', NULL, NULL, 101, NULL, NULL, 16599),
(23065, '4m4pA05', NULL, NULL, 105, NULL, NULL, 16599),
(23066, '5kvfL01', NULL, NULL, 114, NULL, NULL, 16599),
(23067, '4osuL01', NULL, NULL, 109, NULL, NULL, 16599),
(23068, '2mspA00', NULL, NULL, 126, NULL, NULL, 16599),
(23069, '1x5yA01', NULL, NULL, 97, NULL, NULL, 16599),
(23070, '5e4iA04', NULL, NULL, 91, NULL, NULL, 16599),
(23071, '4h88L01', NULL, NULL, 108, NULL, NULL, 16599),
(23072, '5bmfL01', NULL, NULL, 112, NULL, NULL, 16599),
(23073, '3qpxL01', NULL, NULL, 107, NULL, NULL, 16599),
(23074, '4s2sA01', NULL, NULL, 119, NULL, NULL, 16599),
(23075, '3phqB01', NULL, NULL, 122, NULL, NULL, 16599),
(23076, '3qhzI01', NULL, NULL, 127, NULL, NULL, 16599),
(23077, '2vkwA02', NULL, NULL, 102, NULL, NULL, 16599); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(23078, '4lspL01', NULL, NULL, 103, NULL, NULL, 16599),
(23079, '3f8uB02', NULL, NULL, 132, NULL, NULL, 16599),
(23080, '2dltA00', NULL, NULL, 106, NULL, NULL, 16599),
(23081, '3f8uB01', NULL, NULL, 138, NULL, NULL, 16599),
(23082, '4xakD01', NULL, NULL, 125, NULL, NULL, 16599),
(23083, '5c0cI01', NULL, NULL, 110, NULL, NULL, 16599),
(23084, '2axjA01', NULL, NULL, 113, NULL, NULL, 16599),
(23085, '6cxyL01', NULL, NULL, 114, NULL, NULL, 16599),
(23086, '2uziH00', NULL, NULL, 114, NULL, NULL, 16599),
(23087, '6eh4E02', NULL, NULL, 129, NULL, NULL, 16599),
(23088, '2otpB01', NULL, NULL, 96, NULL, NULL, 16599),
(23089, '1ueyA00', NULL, NULL, 127, NULL, NULL, 16599),
(23090, '6eh4E01', NULL, NULL, 115, NULL, NULL, 16599),
(23091, '4llaA02', NULL, NULL, 101, NULL, NULL, 16599),
(23092, '6flbL01', NULL, NULL, 112, NULL, NULL, 16599),
(23093, '2ajuL01', NULL, NULL, 113, NULL, NULL, 16599),
(23094, '4llaA01', NULL, NULL, 97, NULL, NULL, 16599),
(23095, '3c5zA01', NULL, NULL, 110, NULL, NULL, 16599),
(23096, '2ednA00', NULL, NULL, 118, NULL, NULL, 16599),
(23097, '5edxA00', NULL, NULL, 114, NULL, NULL, 16599),
(23098, '4al8L01', NULL, NULL, 107, NULL, NULL, 16599),
(23099, '5eocM01', NULL, NULL, 106, NULL, NULL, 16599),
(23100, '4k7pL01', NULL, NULL, 109, NULL, NULL, 16599),
(23101, '2gsiA01', NULL, NULL, 106, NULL, NULL, 16599),
(23102, '6g1eB02', NULL, NULL, 110, NULL, NULL, 16599),
(23103, '4x7sH01', NULL, NULL, 121, NULL, NULL, 16599),
(23104, '2v9rA02', NULL, NULL, 104, NULL, NULL, 16599),
(23105, '3wn5B01', NULL, NULL, 100, NULL, NULL, 16599),
(23106, '1uenA00', NULL, NULL, 125, NULL, NULL, 16599),
(23107, '2gjjA02', NULL, NULL, 107, NULL, NULL, 16599),
(23108, '4xvtL02', NULL, NULL, 102, NULL, NULL, 16599),
(23109, '2xqyK01', NULL, NULL, 106, NULL, NULL, 16599),
(23110, '2edyA00', NULL, NULL, 103, NULL, NULL, 16599),
(23111, '4b53A00', NULL, NULL, 106, NULL, NULL, 16599),
(23112, '4xvtL01', NULL, NULL, 108, NULL, NULL, 16599),
(23113, '2hp4A00', NULL, NULL, 114, NULL, NULL, 16599),
(23114, '1ypzE01', NULL, NULL, 120, NULL, NULL, 16599),
(23115, '1pd6A00', NULL, NULL, 104, NULL, NULL, 16599),
(23116, '6fy2L01', NULL, NULL, 108, NULL, NULL, 16599),
(23117, '1ypzE02', NULL, NULL, 87, NULL, NULL, 16599),
(23118, '4bfeC01', NULL, NULL, 106, NULL, NULL, 16599),
(23119, '5w24L01', NULL, NULL, 112, NULL, NULL, 16599),
(23120, '2dm4A01', NULL, NULL, 94, NULL, NULL, 16599),
(23121, '2dmkA01', NULL, NULL, 103, NULL, NULL, 16599),
(23122, '3kr3H01', NULL, NULL, 122, NULL, NULL, 16599),
(23123, '2a77H01', NULL, NULL, 122, NULL, NULL, 16599),
(23124, '6b08B01', NULL, NULL, 108, NULL, NULL, 16599),
(23125, '3fn0L01', NULL, NULL, 106, NULL, NULL, 16599),
(23126, '1eerC01', NULL, NULL, 97, NULL, NULL, 16599),
(23127, '5girA01', NULL, NULL, 112, NULL, NULL, 16599),
(23128, '3arxA01', NULL, NULL, 111, NULL, NULL, 16599),
(23129, '4nzuH01', NULL, NULL, 126, NULL, NULL, 16599),
(23130, '4nzuH02', NULL, NULL, 99, NULL, NULL, 16599),
(23131, '5m5eB02', NULL, NULL, 103, NULL, NULL, 16599),
(23132, '3bkyH01', NULL, NULL, 122, NULL, NULL, 16599),
(23133, '1ogaD02', NULL, NULL, 90, NULL, NULL, 16599),
(23134, '1ogaD01', NULL, NULL, 110, NULL, NULL, 16599),
(23135, '5m5eB01', NULL, NULL, 105, NULL, NULL, 16599),
(23136, '1qg3A02', NULL, NULL, 104, NULL, NULL, 16599),
(23137, '2y6sC01', NULL, NULL, 106, NULL, NULL, 16599),
(23138, '2hwzL01', NULL, NULL, 107, NULL, NULL, 16599),
(23139, '5lhrB00', NULL, NULL, 121, NULL, NULL, 16599),
(23140, '2jixD01', NULL, NULL, 116, NULL, NULL, 16599),
(23141, '4m43H01', NULL, NULL, 119, NULL, NULL, 16599),
(23142, '3bn9D01', NULL, NULL, 128, NULL, NULL, 16599),
(23143, '5fgcE01', NULL, NULL, 127, NULL, NULL, 16599),
(23144, '4jr9H01', NULL, NULL, 119, NULL, NULL, 16599),
(23145, '4jpwH01', NULL, NULL, 122, NULL, NULL, 16599),
(23146, '2xqbH01', NULL, NULL, 125, NULL, NULL, 16599),
(23147, '4hgkC00', NULL, NULL, 109, NULL, NULL, 16599),
(23148, '43c9B00', NULL, NULL, 118, NULL, NULL, 16599),
(23149, '5az2L01', NULL, NULL, 107, NULL, NULL, 16599),
(23150, '3cx2A00', NULL, NULL, 108, NULL, NULL, 16599);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(23151, '1cqkA00', NULL, NULL, 101, NULL, NULL, 16599),
(23152, '2i9lB01', NULL, NULL, 119, NULL, NULL, 16599),
(23153, '4ky1H01', NULL, NULL, 116, NULL, NULL, 16599),
(23154, '3ch8A02', NULL, NULL, 91, NULL, NULL, 16599),
(23155, '5mybA02', NULL, NULL, 96, NULL, NULL, 16599),
(23156, '4qciA01', NULL, NULL, 105, NULL, NULL, 16599),
(23157, '4nj9H02', NULL, NULL, 81, NULL, NULL, 16599),
(23158, '2op4L01', NULL, NULL, 110, NULL, NULL, 16599),
(23159, '4nj9H01', NULL, NULL, 129, NULL, NULL, 16599),
(23160, '5iblD01', NULL, NULL, 109, NULL, NULL, 16599),
(23161, '5bs0D01', NULL, NULL, 114, NULL, NULL, 16599),
(23162, '3qt2A02', NULL, NULL, 113, NULL, NULL, 16599),
(23163, '4ndmB01', NULL, NULL, 132, NULL, NULL, 16599),
(23164, '1eerB02', NULL, NULL, 108, NULL, NULL, 16599),
(23165, '3qt2A01', NULL, NULL, 105, NULL, NULL, 16599),
(23166, '2q3zA04', NULL, NULL, 100, NULL, NULL, 16599),
(23167, '3orjA02', NULL, NULL, 85, NULL, NULL, 16599),
(23168, '3orjA01', NULL, NULL, 111, NULL, NULL, 16599),
(23169, '4gosA00', NULL, NULL, 125, NULL, NULL, 16599),
(23170, '2lvcA01', NULL, NULL, 86, NULL, NULL, 16599),
(23171, '5oyjD02', NULL, NULL, 139, NULL, NULL, 16599),
(23172, '3hr5A01', NULL, NULL, 113, NULL, NULL, 16599),
(23173, '3mtrA01', NULL, NULL, 111, NULL, NULL, 16599),
(23174, '5myxA01', NULL, NULL, 113, NULL, NULL, 16599),
(23175, '4k23H01', NULL, NULL, 119, NULL, NULL, 16599),
(23176, '5vlpL01', NULL, NULL, 107, NULL, NULL, 16599),
(23177, '5jo5A01', NULL, NULL, 131, NULL, NULL, 16599),
(23178, '6bpeC01', NULL, NULL, 106, NULL, NULL, 16599),
(23179, '5dwuH01', NULL, NULL, 117, NULL, NULL, 16599),
(23180, '4f57L01', NULL, NULL, 111, NULL, NULL, 16599),
(23181, '3ld8B01', NULL, NULL, 114, NULL, NULL, 16599),
(23182, '4f2mB01', NULL, NULL, 108, NULL, NULL, 16599),
(23183, '2b1hL01', NULL, NULL, 112, NULL, NULL, 16599),
(23184, '5irbA02', NULL, NULL, 103, NULL, NULL, 16599),
(23185, '5irbA01', NULL, NULL, 104, NULL, NULL, 16599),
(23186, '4mwfA01', NULL, NULL, 128, NULL, NULL, 16599),
(23187, '5awnL01', NULL, NULL, 111, NULL, NULL, 16599),
(23188, '5awnL02', NULL, NULL, 105, NULL, NULL, 16599),
(23189, '8fabA01', NULL, NULL, 107, NULL, NULL, 16599),
(23190, '2bc4B02', NULL, NULL, 101, NULL, NULL, 16599),
(23191, '1f11A01', NULL, NULL, 112, NULL, NULL, 16599),
(23192, '3d85A01', NULL, NULL, 108, NULL, NULL, 16599),
(23193, '5dt1L01', NULL, NULL, 113, NULL, NULL, 16599),
(23194, '4rrpG01', NULL, NULL, 122, NULL, NULL, 16599),
(23195, '3s5lH01', NULL, NULL, 102, NULL, NULL, 16599),
(23196, '3opzL01', NULL, NULL, 107, NULL, NULL, 16599),
(23197, '5szfL01', NULL, NULL, 107, NULL, NULL, 16599),
(23198, '3lizH01', NULL, NULL, 119, NULL, NULL, 16599),
(23199, '1a4jB01', NULL, NULL, 119, NULL, NULL, 16599),
(23200, '2rikA02', NULL, NULL, 95, NULL, NULL, 16599),
(23201, '4m1dH01', NULL, NULL, 131, NULL, NULL, 16599),
(23202, '2rikA01', NULL, NULL, 97, NULL, NULL, 16599),
(23203, '2n7aA00', NULL, NULL, 145, NULL, NULL, 16599),
(23204, '2rikA03', NULL, NULL, 92, NULL, NULL, 16599),
(23205, '4zsoA01', NULL, NULL, 108, NULL, NULL, 16599),
(23206, '4m1dH02', NULL, NULL, 98, NULL, NULL, 16599),
(23207, '5j56B00', NULL, NULL, 129, NULL, NULL, 16599),
(23208, '6o39A01', NULL, NULL, 107, NULL, NULL, 16599),
(23209, '5bzdB01', NULL, NULL, 128, NULL, NULL, 16599),
(23210, '1nc2A01', NULL, NULL, 110, NULL, NULL, 16599),
(23211, '4d3cL01', NULL, NULL, 109, NULL, NULL, 16599),
(23212, '2zpkL01', NULL, NULL, 110, NULL, NULL, 16599),
(23213, '2zpkL02', NULL, NULL, 102, NULL, NULL, 16599),
(23214, '5chnB01', NULL, NULL, 112, NULL, NULL, 16599),
(23215, '1fj1A01', NULL, NULL, 108, NULL, NULL, 16599),
(23216, '1gpoL01', NULL, NULL, 113, NULL, NULL, 16599),
(23217, '3tvmE02', NULL, NULL, 58, NULL, NULL, 16599),
(23218, '5uelH01', NULL, NULL, 129, NULL, NULL, 16599),
(23219, '5mhrM00', NULL, NULL, 119, NULL, NULL, 16599),
(23220, '2oi9C00', NULL, NULL, 121, NULL, NULL, 16599),
(23221, '4mqsB00', NULL, NULL, 125, NULL, NULL, 16599),
(23222, '1rziL01', NULL, NULL, 129, NULL, NULL, 16599),
(23223, '6btjB01', NULL, NULL, 107, NULL, NULL, 16599);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(23224, '6a0xB01', NULL, NULL, 108, NULL, NULL, 16599),
(23225, '5i99A03', NULL, NULL, 100, NULL, NULL, 16599),
(23226, '3decA04', NULL, NULL, 105, NULL, NULL, 16599),
(23227, '2ipuH02', NULL, NULL, 100, NULL, NULL, 16599),
(23228, '5f1nB00', NULL, NULL, 99, NULL, NULL, 16599),
(23229, '3decA02', NULL, NULL, 111, NULL, NULL, 16599),
(23230, '2yrlA01', NULL, NULL, 83, NULL, NULL, 16599),
(23231, '2h1pL01', NULL, NULL, 113, NULL, NULL, 16599),
(23232, '3wuzA00', NULL, NULL, 120, NULL, NULL, 16599),
(23233, '1vcaA01', NULL, NULL, 89, NULL, NULL, 16599),
(23234, '5ggsZ00', NULL, NULL, 123, NULL, NULL, 16599),
(23235, '1hi6A01', NULL, NULL, 108, NULL, NULL, 16599),
(23236, '1hi6A02', NULL, NULL, 103, NULL, NULL, 16599),
(23237, '4b50A00', NULL, NULL, 122, NULL, NULL, 16599),
(23238, '5otjA01', NULL, NULL, 112, NULL, NULL, 16599),
(23239, '5w1wE01', NULL, NULL, 117, NULL, NULL, 16599),
(23240, '5i99A01', NULL, NULL, 95, NULL, NULL, 16599),
(23241, '4glrH01', NULL, NULL, 127, NULL, NULL, 16599),
(23242, '3cx5K00', NULL, NULL, 107, NULL, NULL, 16599),
(23243, '2nqcA00', NULL, NULL, 97, NULL, NULL, 16599),
(23244, '2z92A01', NULL, NULL, 114, NULL, NULL, 16599),
(23245, '5xj4L00', NULL, NULL, 114, NULL, NULL, 16599),
(23246, '4s1sH01', NULL, NULL, 125, NULL, NULL, 16599),
(23247, '2wqrA02', NULL, NULL, 107, NULL, NULL, 16599),
(23248, '2yplE02', NULL, NULL, 129, NULL, NULL, 16599),
(23249, '2wqrA03', NULL, NULL, 111, NULL, NULL, 16599),
(23250, '2yplE01', NULL, NULL, 109, NULL, NULL, 16599),
(23251, '1vcaA02', NULL, NULL, 113, NULL, NULL, 16599),
(23252, '4g6mH01', NULL, NULL, 120, NULL, NULL, 16599),
(23253, '1x7qA02', NULL, NULL, 94, NULL, NULL, 16599),
(23254, '2je8A04', NULL, NULL, 102, NULL, NULL, 16599),
(23255, '2f15A00', NULL, NULL, 96, NULL, NULL, 16599),
(23256, '5i8cA01', NULL, NULL, 122, NULL, NULL, 16599),
(23257, '2je8A02', NULL, NULL, 110, NULL, NULL, 16599),
(23258, '3s98A01', NULL, NULL, 100, NULL, NULL, 16599),
(23259, '3s98A02', NULL, NULL, 103, NULL, NULL, 16599),
(23260, '3s98A03', NULL, NULL, 103, NULL, NULL, 16599),
(23261, '5u3nH01', NULL, NULL, 132, NULL, NULL, 16599),
(23262, '4qnpE01', NULL, NULL, 124, NULL, NULL, 16599),
(23263, '1bvkB00', NULL, NULL, 117, NULL, NULL, 16599),
(23264, '4ncc201', NULL, NULL, 119, NULL, NULL, 16599),
(23265, '2labA00', NULL, NULL, 104, NULL, NULL, 16599),
(23266, '4mhhG01', NULL, NULL, 120, NULL, NULL, 16599),
(23267, '4i77H01', NULL, NULL, 118, NULL, NULL, 16599),
(23268, '1fgvL00', NULL, NULL, 109, NULL, NULL, 16599),
(23269, '1dn0D02', NULL, NULL, 102, NULL, NULL, 16599),
(23270, '3pqyD01', NULL, NULL, 108, NULL, NULL, 16599),
(23271, '4gmtH02', NULL, NULL, 107, NULL, NULL, 16599),
(23272, '1pvhA02', NULL, NULL, 101, NULL, NULL, 16599),
(23273, '5yoyD00', NULL, NULL, 119, NULL, NULL, 16599),
(23274, '1fl5A01', NULL, NULL, 111, NULL, NULL, 16599),
(23275, '4k3gA00', NULL, NULL, 118, NULL, NULL, 16599),
(23276, '4hwuA00', NULL, NULL, 95, NULL, NULL, 16599),
(23277, '4gmtH01', NULL, NULL, 118, NULL, NULL, 16599),
(23278, '1kxvC00', NULL, NULL, 121, NULL, NULL, 16599),
(23279, '3rbsA01', NULL, NULL, 118, NULL, NULL, 16599),
(23280, '3rbsA02', NULL, NULL, 89, NULL, NULL, 16599),
(23281, '4ocsL01', NULL, NULL, 112, NULL, NULL, 16599),
(23282, '4kjyB01', NULL, NULL, 125, NULL, NULL, 16599),
(23283, '3hntH02', NULL, NULL, 102, NULL, NULL, 16599),
(23284, '3hntH01', NULL, NULL, 118, NULL, NULL, 16599),
(23285, '6funB01', NULL, NULL, 110, NULL, NULL, 16599),
(23286, '1nctA00', NULL, NULL, 106, NULL, NULL, 16599),
(23287, '3skjL01', NULL, NULL, 108, NULL, NULL, 16599),
(23288, '4g5zL01', NULL, NULL, 107, NULL, NULL, 16599),
(23289, '3qcuH01', NULL, NULL, 122, NULL, NULL, 16599),
(23290, '4md5B02', NULL, NULL, 107, NULL, NULL, 16599),
(23291, '5j11C02', NULL, NULL, 110, NULL, NULL, 16599),
(23292, '4ydjA01', NULL, NULL, 135, NULL, NULL, 16599),
(23293, '3baeH01', NULL, NULL, 125, NULL, NULL, 16599),
(23294, '3brdA03', NULL, NULL, 101, NULL, NULL, 16599),
(23295, '4nzrH01', NULL, NULL, 133, NULL, NULL, 16599),
(23296, '4dvbB01', NULL, NULL, 109, NULL, NULL, 16599);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(23297, '4oqtL01', NULL, NULL, 109, NULL, NULL, 16599),
(23298, '2pyfA02', NULL, NULL, 91, NULL, NULL, 16599),
(23299, '4gs7C01', NULL, NULL, 100, NULL, NULL, 16599),
(23300, '6eynA01', NULL, NULL, 112, NULL, NULL, 16599),
(23301, '5czvH01', NULL, NULL, 116, NULL, NULL, 16599),
(23302, '3wexA02', NULL, NULL, 112, NULL, NULL, 16599),
(23303, '4gs7C02', NULL, NULL, 103, NULL, NULL, 16599),
(23304, '2w0pB00', NULL, NULL, 94, NULL, NULL, 16599),
(23305, '3b2uC01', NULL, NULL, 121, NULL, NULL, 16599),
(23306, '4od3L01', NULL, NULL, 113, NULL, NULL, 16599),
(23307, '1mexL01', NULL, NULL, 108, NULL, NULL, 16599),
(23308, '1mexL02', NULL, NULL, 103, NULL, NULL, 16599),
(23309, '4bklA01', NULL, NULL, 116, NULL, NULL, 16599),
(23310, '5e94A01', NULL, NULL, 108, NULL, NULL, 16599),
(23311, '1bj1H01', NULL, NULL, 123, NULL, NULL, 16599),
(23312, '4lstH01', NULL, NULL, 121, NULL, NULL, 16599),
(23313, '4pj9C01', NULL, NULL, 109, NULL, NULL, 16599),
(23314, '4l3aA05', NULL, NULL, 80, NULL, NULL, 16599),
(23315, '1fe8L01', NULL, NULL, 107, NULL, NULL, 16599),
(23316, '5jopE01', NULL, NULL, 112, NULL, NULL, 16599),
(23317, '3clfH01', NULL, NULL, 118, NULL, NULL, 16599),
(23318, '5n4gH01', NULL, NULL, 115, NULL, NULL, 16599),
(23319, '3qycB00', NULL, NULL, 127, NULL, NULL, 16599),
(23320, '5e99H01', NULL, NULL, 171, NULL, NULL, 16599),
(23321, '5mj3A01', NULL, NULL, 84, NULL, NULL, 16599),
(23322, '5mj3A02', NULL, NULL, 108, NULL, NULL, 16599),
(23323, '2fjhA01', NULL, NULL, 108, NULL, NULL, 16599),
(23324, '5mj3A03', NULL, NULL, 91, NULL, NULL, 16599),
(23325, '1rjlB02', NULL, NULL, 99, NULL, NULL, 16599),
(23326, '3u0wH01', NULL, NULL, 113, NULL, NULL, 16599),
(23327, '5gryA02', NULL, NULL, 108, NULL, NULL, 16599),
(23328, '1rjlB01', NULL, NULL, 120, NULL, NULL, 16599),
(23329, '5m63L01', NULL, NULL, 112, NULL, NULL, 16599),
(23330, '1cd9D01', NULL, NULL, 108, NULL, NULL, 16599),
(23331, '4kaqH01', NULL, NULL, 121, NULL, NULL, 16599),
(23332, '4pjfF01', NULL, NULL, 117, NULL, NULL, 16599),
(23333, '1bgxH01', NULL, NULL, 119, NULL, NULL, 16599),
(23334, '3rpiB01', NULL, NULL, 100, NULL, NULL, 16599),
(23335, '3kdmB01', NULL, NULL, 122, NULL, NULL, 16599),
(23336, '3kdmB02', NULL, NULL, 100, NULL, NULL, 16599),
(23337, '4zptA01', NULL, NULL, 117, NULL, NULL, 16599),
(23338, '5bzwA01', NULL, NULL, 108, NULL, NULL, 16599),
(23339, '4yk4C01', NULL, NULL, 125, NULL, NULL, 16599),
(23340, '5d6cB01', NULL, NULL, 116, NULL, NULL, 16599),
(23341, '1nlbH01', NULL, NULL, 118, NULL, NULL, 16599),
(23342, '6dwiE01', NULL, NULL, 108, NULL, NULL, 16599),
(23343, '6frjH02', NULL, NULL, 100, NULL, NULL, 16599),
(23344, '2fl5A01', NULL, NULL, 107, NULL, NULL, 16599),
(23345, '2h9gB01', NULL, NULL, 120, NULL, NULL, 16599),
(23346, '5vk2E01', NULL, NULL, 112, NULL, NULL, 16599),
(23347, '1pskL01', NULL, NULL, 107, NULL, NULL, 16599),
(23348, '2xwtA01', NULL, NULL, 119, NULL, NULL, 16599),
(23349, '3mffA01', NULL, NULL, 110, NULL, NULL, 16599),
(23350, '5cp3H01', NULL, NULL, 113, NULL, NULL, 16599),
(23351, '2bhuA01', NULL, NULL, 109, NULL, NULL, 16599),
(23352, '3bgaA02', NULL, NULL, 111, NULL, NULL, 16599),
(23353, '3bgaA04', NULL, NULL, 105, NULL, NULL, 16599),
(23354, '4en3B01', NULL, NULL, 120, NULL, NULL, 16599),
(23355, '4s1dD01', NULL, NULL, 108, NULL, NULL, 16599),
(23356, '3pxhA02', NULL, NULL, 99, NULL, NULL, 16599),
(23357, '3pxhA01', NULL, NULL, 102, NULL, NULL, 16599),
(23358, '4isvA01', NULL, NULL, 116, NULL, NULL, 16599),
(23359, '2xzzA00', NULL, NULL, 102, NULL, NULL, 16599),
(23360, '4isvA02', NULL, NULL, 100, NULL, NULL, 16599),
(23361, '5z1aA02', NULL, NULL, 118, NULL, NULL, 16599),
(23362, '5gqwA02', NULL, NULL, 121, NULL, NULL, 16599),
(23363, '6iutL01', NULL, NULL, 110, NULL, NULL, 16599),
(23364, '4ypgB01', NULL, NULL, 116, NULL, NULL, 16599),
(23365, '1yuhL02', NULL, NULL, 100, NULL, NULL, 16599),
(23366, '3kldA03', NULL, NULL, 92, NULL, NULL, 16599),
(23367, '3kldA04', NULL, NULL, 91, NULL, NULL, 16599),
(23368, '4depC02', NULL, NULL, 102, NULL, NULL, 16599),
(23369, '4pb0H01', NULL, NULL, 121, NULL, NULL, 16599);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(23370, '6n4qI01', NULL, NULL, 109, NULL, NULL, 16599),
(23371, '3qg6A01', NULL, NULL, 113, NULL, NULL, 16599),
(23372, '4nbzD00', NULL, NULL, 124, NULL, NULL, 16599),
(23373, '3kldA01', NULL, NULL, 99, NULL, NULL, 16599),
(23374, '3kldA02', NULL, NULL, 102, NULL, NULL, 16599),
(23375, '3lafA04', NULL, NULL, 93, NULL, NULL, 16599),
(23376, '3lafA03', NULL, NULL, 94, NULL, NULL, 16599),
(23377, '3lafA02', NULL, NULL, 97, NULL, NULL, 16599),
(23378, '3lafA01', NULL, NULL, 101, NULL, NULL, 16599),
(23379, '3dggA01', NULL, NULL, 105, NULL, NULL, 16599),
(23380, '5z0uA01', NULL, NULL, 124, NULL, NULL, 16599),
(23381, '4qrpE01', NULL, NULL, 116, NULL, NULL, 16599),
(23382, '2otuA00', NULL, NULL, 115, NULL, NULL, 16599),
(23383, '3efdH01', NULL, NULL, 122, NULL, NULL, 16599),
(23384, '4hs8H01', NULL, NULL, 122, NULL, NULL, 16599),
(23385, '2frgP00', NULL, NULL, 106, NULL, NULL, 16599),
(23386, '2r29L01', NULL, NULL, 112, NULL, NULL, 16599),
(23387, '2zkhH01', NULL, NULL, 116, NULL, NULL, 16599),
(23388, '1kenL01', NULL, NULL, 109, NULL, NULL, 16599),
(23389, '3cfiL00', NULL, NULL, 116, NULL, NULL, 16599),
(23390, '3utzD01', NULL, NULL, 113, NULL, NULL, 16599),
(23391, '2giyB00', NULL, NULL, 191, NULL, NULL, 16599),
(23392, '4rauA01', NULL, NULL, 107, NULL, NULL, 16599),
(23393, '5ty6L02', NULL, NULL, 104, NULL, NULL, 16599),
(23394, '5ty6L01', NULL, NULL, 108, NULL, NULL, 16599),
(23395, '4v1dD00', NULL, NULL, 124, NULL, NULL, 16599),
(23396, '4q6iB01', NULL, NULL, 120, NULL, NULL, 16599),
(23397, '4qwwD01', NULL, NULL, 125, NULL, NULL, 16599),
(23398, '4jznB01', NULL, NULL, 109, NULL, NULL, 16599),
(23399, '1jn6B01', NULL, NULL, 122, NULL, NULL, 16599),
(23400, '4w6xB00', NULL, NULL, 131, NULL, NULL, 16599),
(23401, '4nm4H01', NULL, NULL, 121, NULL, NULL, 16599),
(23402, '1jn6B02', NULL, NULL, 95, NULL, NULL, 16599),
(23403, '1mj8H01', NULL, NULL, 119, NULL, NULL, 16599),
(23404, '1n26A01', NULL, NULL, 107, NULL, NULL, 16599),
(23405, '1n26A02', NULL, NULL, 78, NULL, NULL, 16599),
(23406, '1n26A03', NULL, NULL, 104, NULL, NULL, 16599),
(23407, '5fhxL02', NULL, NULL, 112, NULL, NULL, 16599),
(23408, '4zykB01', NULL, NULL, 108, NULL, NULL, 16599),
(23409, '5fhxL01', NULL, NULL, 115, NULL, NULL, 16599),
(23410, '3wjlA01', NULL, NULL, 102, NULL, NULL, 16599),
(23411, '2ghwB02', NULL, NULL, 101, NULL, NULL, 16599),
(23412, '3w2dH01', NULL, NULL, 121, NULL, NULL, 16599),
(23413, '6bs6A04', NULL, NULL, 116, NULL, NULL, 16599),
(23414, '4p5mB02', NULL, NULL, 100, NULL, NULL, 16599),
(23415, '6bj8D01', NULL, NULL, 113, NULL, NULL, 16599),
(23416, '4y8dC00', NULL, NULL, 120, NULL, NULL, 16599),
(23417, '2druA01', NULL, NULL, 103, NULL, NULL, 16599),
(23418, '4jvwD00', NULL, NULL, 115, NULL, NULL, 16599),
(23419, '3zmrA01', NULL, NULL, 91, NULL, NULL, 16599),
(23420, '4fz8L01', NULL, NULL, 111, NULL, NULL, 16599),
(23421, '5y2lJ01', NULL, NULL, 108, NULL, NULL, 16599),
(23422, '5t99A05', NULL, NULL, 111, NULL, NULL, 16599),
(23423, '5dmiH01', NULL, NULL, 122, NULL, NULL, 16599),
(23424, '3mckA01', NULL, NULL, 113, NULL, NULL, 16599),
(23425, '1mimH01', NULL, NULL, 115, NULL, NULL, 16599),
(23426, '3ottB03', NULL, NULL, 133, NULL, NULL, 16599),
(23427, '4pbxA06', NULL, NULL, 101, NULL, NULL, 16599),
(23428, '2wskA01', NULL, NULL, 133, NULL, NULL, 16599),
(23429, '4pbxA05', NULL, NULL, 100, NULL, NULL, 16599),
(23430, '4pbxA04', NULL, NULL, 92, NULL, NULL, 16599),
(23431, '4p3wC01', NULL, NULL, 86, NULL, NULL, 16599),
(23432, '3tclB01', NULL, NULL, 109, NULL, NULL, 16599),
(23433, '3bn3B02', NULL, NULL, 110, NULL, NULL, 16599),
(23434, '3bn3B01', NULL, NULL, 86, NULL, NULL, 16599),
(23435, '1kcuL01', NULL, NULL, 108, NULL, NULL, 16599),
(23436, '1kcuL02', NULL, NULL, 103, NULL, NULL, 16599),
(23437, '4lpwB00', NULL, NULL, 100, NULL, NULL, 16599),
(23438, '4k3dI01', NULL, NULL, 125, NULL, NULL, 16599),
(23439, '4hf5L01', NULL, NULL, 113, NULL, NULL, 16599),
(23440, '1fo0A00', NULL, NULL, 116, NULL, NULL, 16599),
(23441, '4fqlH01', NULL, NULL, 127, NULL, NULL, 16599),
(23442, '5l8jB00', NULL, NULL, 117, NULL, NULL, 16599);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(23443, '3u48A03', NULL, NULL, 118, NULL, NULL, 16599),
(23444, '5f3jC01', NULL, NULL, 113, NULL, NULL, 16599),
(23445, '1kfaH02', NULL, NULL, 99, NULL, NULL, 16599),
(23446, '5vvfL01', NULL, NULL, 107, NULL, NULL, 16599),
(23447, '2fcbA01', NULL, NULL, 86, NULL, NULL, 16599),
(23448, '3besR02', NULL, NULL, 111, NULL, NULL, 16599),
(23449, '1fneA02', NULL, NULL, 100, NULL, NULL, 16599),
(23450, '3besR01', NULL, NULL, 83, NULL, NULL, 16599),
(23451, '1qhoA03', NULL, NULL, 82, NULL, NULL, 16599),
(23452, '3so5B00', NULL, NULL, 112, NULL, NULL, 16599),
(23453, '4hlzI01', NULL, NULL, 123, NULL, NULL, 16599),
(23454, '1qhoA04', NULL, NULL, 108, NULL, NULL, 16599),
(23455, '3ncjH01', NULL, NULL, 121, NULL, NULL, 16599),
(23456, '3csgA03', NULL, NULL, 87, NULL, NULL, 16599),
(23457, '2fcbA02', NULL, NULL, 87, NULL, NULL, 16599),
(23458, '5u3lB01', NULL, NULL, 109, NULL, NULL, 16599),
(23459, '3qqnA00', NULL, NULL, 116, NULL, NULL, 16599),
(23460, '2n1kA00', NULL, NULL, 106, NULL, NULL, 16599),
(23461, '4x0kA01', NULL, NULL, 122, NULL, NULL, 16599),
(23462, '1igjA01', NULL, NULL, 113, NULL, NULL, 16599),
(23463, '6ehxB02', NULL, NULL, 101, NULL, NULL, 16599),
(23464, '3ncjH02', NULL, NULL, 104, NULL, NULL, 16599),
(23465, '1jpsH01', NULL, NULL, 117, NULL, NULL, 16599),
(23466, '5eoqH01', NULL, NULL, 119, NULL, NULL, 16599),
(23467, '5cwsB01', NULL, NULL, 123, NULL, NULL, 16599),
(23468, '4p59L01', NULL, NULL, 107, NULL, NULL, 16599),
(23469, '5ujtB02', NULL, NULL, 99, NULL, NULL, 16599),
(23470, '2cumA00', NULL, NULL, 105, NULL, NULL, 16599),
(23471, '4z7uE01', NULL, NULL, 109, NULL, NULL, 16599),
(23472, '2e7mA01', NULL, NULL, 103, NULL, NULL, 16599),
(23473, '1r3hA02', NULL, NULL, 93, NULL, NULL, 16599),
(23474, '4i0cC00', NULL, NULL, 132, NULL, NULL, 16599),
(23475, '5m5eC01', NULL, NULL, 97, NULL, NULL, 16599),
(23476, '1yntB01', NULL, NULL, 118, NULL, NULL, 16599),
(23477, '4fqjL01', NULL, NULL, 111, NULL, NULL, 16599),
(23478, '5nmdB01', NULL, NULL, 113, NULL, NULL, 16599),
(23479, '2ywzA00', NULL, NULL, 111, NULL, NULL, 16599),
(23480, '5u3jL01', NULL, NULL, 109, NULL, NULL, 16599),
(23481, '4m9pA02', NULL, NULL, 91, NULL, NULL, 16599),
(23482, '4m9pA01', NULL, NULL, 100, NULL, NULL, 16599),
(23483, '4cbpB02', NULL, NULL, 105, NULL, NULL, 16599),
(23484, '5ukqL01', NULL, NULL, 111, NULL, NULL, 16599),
(23485, '1yjdC00', NULL, NULL, 120, NULL, NULL, 16599),
(23486, '4m9pA03', NULL, NULL, 100, NULL, NULL, 16599),
(23487, '3i9gL01', NULL, NULL, 107, NULL, NULL, 16599),
(23488, '4rgmB01', NULL, NULL, 108, NULL, NULL, 16599),
(23489, '1rzgB01', NULL, NULL, 108, NULL, NULL, 16599),
(23490, '5d1zC01', NULL, NULL, 108, NULL, NULL, 16599),
(23491, '1f8tL01', NULL, NULL, 113, NULL, NULL, 16599),
(23492, '5eb9A00', NULL, NULL, 118, NULL, NULL, 16599),
(23493, '3hkfA01', NULL, NULL, 103, NULL, NULL, 16599),
(23494, '3hkfA02', NULL, NULL, 111, NULL, NULL, 16599),
(23495, '4buhA02', NULL, NULL, 119, NULL, NULL, 16599),
(23496, '4ww1A01', NULL, NULL, 113, NULL, NULL, 16599),
(23497, '4ww1A02', NULL, NULL, 94, NULL, NULL, 16599),
(23498, '5cexB01', NULL, NULL, 132, NULL, NULL, 16599),
(23499, '5tztB01', NULL, NULL, 112, NULL, NULL, 16599),
(23500, '4nn7C02', NULL, NULL, 89, NULL, NULL, 16599),
(23501, '3mj9L01', NULL, NULL, 109, NULL, NULL, 16599),
(23502, '4cj0A01', NULL, NULL, 95, NULL, NULL, 16599),
(23503, '1uc6A00', NULL, NULL, 109, NULL, NULL, 16599),
(23504, '2yc1B00', NULL, NULL, 122, NULL, NULL, 16599),
(23505, '6fr7B01', NULL, NULL, 112, NULL, NULL, 16599),
(23506, '1mcpH01', NULL, NULL, 123, NULL, NULL, 16599),
(23507, '5dmjE00', NULL, NULL, 121, NULL, NULL, 16599),
(23508, '1mcpH02', NULL, NULL, 99, NULL, NULL, 16599),
(23509, '2qhrH01', NULL, NULL, 123, NULL, NULL, 16599),
(23510, '5te7H01', NULL, NULL, 122, NULL, NULL, 16599),
(23511, '3ezjB00', NULL, NULL, 126, NULL, NULL, 16599),
(23512, '1ek3A00', NULL, NULL, 114, NULL, NULL, 16599),
(23513, '5fm5P00', NULL, NULL, 98, NULL, NULL, 16599),
(23514, '6c68B01', NULL, NULL, 111, NULL, NULL, 16599),
(23515, '4m6oH01', NULL, NULL, 123, NULL, NULL, 16599);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(23516, '4ktdH01', NULL, NULL, 125, NULL, NULL, 16599),
(23517, '2z4qB01', NULL, NULL, 118, NULL, NULL, 16599),
(23518, '4qxwA00', NULL, NULL, 107, NULL, NULL, 16599),
(23519, '3i02B01', NULL, NULL, 124, NULL, NULL, 16599),
(23520, '4z8fL01', NULL, NULL, 107, NULL, NULL, 16599),
(23521, '4of6A00', NULL, NULL, 120, NULL, NULL, 16599),
(23522, '6h3uM00', NULL, NULL, 117, NULL, NULL, 16599),
(23523, '4n8cL01', NULL, NULL, 114, NULL, NULL, 16599),
(23524, '4wtxA00', NULL, NULL, 99, NULL, NULL, 16599),
(23525, '4qycA01', NULL, NULL, 134, NULL, NULL, 16599),
(23526, '5m7qB00', NULL, NULL, 119, NULL, NULL, 16599),
(23527, '1x5fA00', NULL, NULL, 120, NULL, NULL, 16599),
(23528, '3mnzA01', NULL, NULL, 116, NULL, NULL, 16599),
(23529, '5vsiH02', NULL, NULL, 104, NULL, NULL, 16599),
(23530, '4k3eH01', NULL, NULL, 164, NULL, NULL, 16599),
(23531, '4hzlA01', NULL, NULL, 122, NULL, NULL, 16599),
(23532, '2ifgA02', NULL, NULL, 90, NULL, NULL, 16599),
(23533, '5alcL01', NULL, NULL, 112, NULL, NULL, 16599),
(23534, '3eotH01', NULL, NULL, 118, NULL, NULL, 16599),
(23535, '1vesA00', NULL, NULL, 113, NULL, NULL, 16599),
(23536, '6e0pM02', NULL, NULL, 100, NULL, NULL, 16599),
(23537, '4dkeH01', NULL, NULL, 122, NULL, NULL, 16599),
(23538, '2iepA01', NULL, NULL, 99, NULL, NULL, 16599),
(23539, '5b4mC01', NULL, NULL, 121, NULL, NULL, 16599),
(23540, '4n8pA00', NULL, NULL, 135, NULL, NULL, 16599),
(23541, '2hh0L01', NULL, NULL, 107, NULL, NULL, 16599),
(23542, '3qjhA01', NULL, NULL, 111, NULL, NULL, 16599),
(23543, '4aeiH01', NULL, NULL, 120, NULL, NULL, 16599),
(23544, '2xtjB00', NULL, NULL, 107, NULL, NULL, 16599),
(23545, '4hg4W00', NULL, NULL, 105, NULL, NULL, 16599),
(23546, '4lkxA01', NULL, NULL, 117, NULL, NULL, 16599),
(23547, '1x4zA01', NULL, NULL, 100, NULL, NULL, 16599),
(23548, '4jy5H01', NULL, NULL, 132, NULL, NULL, 16599),
(23549, '5n40A01', NULL, NULL, 103, NULL, NULL, 16599),
(23550, '4ocwH01', NULL, NULL, 145, NULL, NULL, 16599),
(23551, '6bpaC01', NULL, NULL, 107, NULL, NULL, 16599),
(23552, '4x99B02', NULL, NULL, 106, NULL, NULL, 16599),
(23553, '2o5xL01', NULL, NULL, 112, NULL, NULL, 16599),
(23554, '3w2dL01', NULL, NULL, 109, NULL, NULL, 16599),
(23555, '5gjsL01', NULL, NULL, 108, NULL, NULL, 16599),
(23556, '4c57D00', NULL, NULL, 122, NULL, NULL, 16599),
(23557, '3moqA00', NULL, NULL, 126, NULL, NULL, 16599),
(23558, '4h5sB00', NULL, NULL, 101, NULL, NULL, 16599),
(23559, '3fo2B01', NULL, NULL, 120, NULL, NULL, 16599),
(23560, '4uikL01', NULL, NULL, 107, NULL, NULL, 16599),
(23561, '1zxqA02', NULL, NULL, 107, NULL, NULL, 16599),
(23562, '1zxqA01', NULL, NULL, 85, NULL, NULL, 16599),
(23563, '4je4B00', NULL, NULL, 94, NULL, NULL, 16599),
(23564, '5j7kF00', NULL, NULL, 99, NULL, NULL, 16599),
(23565, '5tgbA01', NULL, NULL, 121, NULL, NULL, 16599),
(23566, '5kw9L01', NULL, NULL, 113, NULL, NULL, 16599),
(23567, '4qhuA01', NULL, NULL, 109, NULL, NULL, 16599),
(23568, '6ffjE01', NULL, NULL, 124, NULL, NULL, 16599),
(23569, '6nrxA00', NULL, NULL, 112, NULL, NULL, 16599),
(23570, '3kg5A00', NULL, NULL, 117, NULL, NULL, 16599),
(23571, '2v7hA01', NULL, NULL, 107, NULL, NULL, 16599),
(23572, '5d7sL01', NULL, NULL, 105, NULL, NULL, 16599),
(23573, '2nr6D01', NULL, NULL, 116, NULL, NULL, 16599),
(23574, '4f7eA02', NULL, NULL, 101, NULL, NULL, 16599),
(23575, '3tv3H01', NULL, NULL, 135, NULL, NULL, 16599),
(23576, '5dlmL01', NULL, NULL, 113, NULL, NULL, 16599),
(23577, '4yiqB00', NULL, NULL, 108, NULL, NULL, 16599),
(23578, '1um5L01', NULL, NULL, 108, NULL, NULL, 16599),
(23579, '5ywfB02', NULL, NULL, 97, NULL, NULL, 16599),
(23580, '6cyfC01', NULL, NULL, 108, NULL, NULL, 16599),
(23581, '5jopD01', NULL, NULL, 113, NULL, NULL, 16599),
(23582, '3hrzB02', NULL, NULL, 105, NULL, NULL, 16599),
(23583, '1jhlH00', NULL, NULL, 116, NULL, NULL, 16599),
(23584, '4ozfH01', NULL, NULL, 115, NULL, NULL, 16599),
(23585, '4y5yB00', NULL, NULL, 117, NULL, NULL, 16599),
(23586, '3cxdH02', NULL, NULL, 98, NULL, NULL, 16599),
(23587, '3cxdH01', NULL, NULL, 116, NULL, NULL, 16599),
(23588, '4od2A01', NULL, NULL, 108, NULL, NULL, 16599);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(23589, '6e3hL01', NULL, NULL, 112, NULL, NULL, 16599),
(23590, '5azeL01', NULL, NULL, 112, NULL, NULL, 16599),
(23591, '4gxvH01', NULL, NULL, 126, NULL, NULL, 16599),
(23592, '3wlwC01', NULL, NULL, 117, NULL, NULL, 16599),
(23593, '4pubL01', NULL, NULL, 107, NULL, NULL, 16599),
(23594, '5t1dL01', NULL, NULL, 113, NULL, NULL, 16599),
(23595, '3tt3L01', NULL, NULL, 112, NULL, NULL, 16599),
(23596, '1a6zA02', NULL, NULL, 91, NULL, NULL, 16599),
(23597, '2i27O00', NULL, NULL, 121, NULL, NULL, 16599),
(23598, '2nziA03', NULL, NULL, 94, NULL, NULL, 16599),
(23599, '3wiiL01', NULL, NULL, 107, NULL, NULL, 16599),
(23600, '5wkoB01', NULL, NULL, 109, NULL, NULL, 16599),
(23601, '4ut7L00', NULL, NULL, 114, NULL, NULL, 16599),
(23602, '3bquD01', NULL, NULL, 122, NULL, NULL, 16599),
(23603, '4hbcL02', NULL, NULL, 100, NULL, NULL, 16599),
(23604, '4hbcL01', NULL, NULL, 110, NULL, NULL, 16599),
(23605, '4p49A02', NULL, NULL, 111, NULL, NULL, 16599),
(23606, '5d8jL01', NULL, NULL, 109, NULL, NULL, 16599),
(23607, '5djyB02', NULL, NULL, 110, NULL, NULL, 16599),
(23608, '4p49A01', NULL, NULL, 123, NULL, NULL, 16599),
(23609, '4lldA00', NULL, NULL, 111, NULL, NULL, 16599),
(23610, '2x7lA02', NULL, NULL, 114, NULL, NULL, 16599),
(23611, '5w05L01', NULL, NULL, 113, NULL, NULL, 16599),
(23612, '6eayL01', NULL, NULL, 108, NULL, NULL, 16599),
(23613, '3juyB02', NULL, NULL, 113, NULL, NULL, 16599),
(23614, '3v6oB01', NULL, NULL, 108, NULL, NULL, 16599),
(23615, '2d7tL00', NULL, NULL, 116, NULL, NULL, 16599),
(23616, '4uv7H01', NULL, NULL, 122, NULL, NULL, 16599),
(23617, '3nh7L01', NULL, NULL, 109, NULL, NULL, 16599),
(23618, '2qbwA02', NULL, NULL, 92, NULL, NULL, 16599),
(23619, '2a38A02', NULL, NULL, 96, NULL, NULL, 16599),
(23620, '4g80C01', NULL, NULL, 124, NULL, NULL, 16599),
(23621, '5v7pD00', NULL, NULL, 95, NULL, NULL, 16599),
(23622, '1wk0A01', NULL, NULL, 119, NULL, NULL, 16599),
(23623, '5t4zB01', NULL, NULL, 111, NULL, NULL, 16599),
(23624, '4xnqB01', NULL, NULL, 123, NULL, NULL, 16599),
(23625, '2g5bA01', NULL, NULL, 113, NULL, NULL, 16599),
(23626, '3npsC01', NULL, NULL, 107, NULL, NULL, 16599),
(23627, '1wicA01', NULL, NULL, 122, NULL, NULL, 16599),
(23628, '5nluA00', NULL, NULL, 125, NULL, NULL, 16599),
(23629, '1fskH01', NULL, NULL, 105, NULL, NULL, 16599),
(23630, '4ei6A01', NULL, NULL, 114, NULL, NULL, 16599),
(23631, '1ol0A00', NULL, NULL, 121, NULL, NULL, 16599),
(23632, '4edwL01', NULL, NULL, 108, NULL, NULL, 16599),
(23633, '1ogaE02', NULL, NULL, 129, NULL, NULL, 16599),
(23634, '3gm8A05', NULL, NULL, 113, NULL, NULL, 16599),
(23635, '2ny1D01', NULL, NULL, 128, NULL, NULL, 16599),
(23636, '3gm8A04', NULL, NULL, 78, NULL, NULL, 16599),
(23637, '1ogaE01', NULL, NULL, 115, NULL, NULL, 16599),
(23638, '4cmhB01', NULL, NULL, 120, NULL, NULL, 16599),
(23639, '4wwkB01', NULL, NULL, 114, NULL, NULL, 16599),
(23640, '3gm8A02', NULL, NULL, 110, NULL, NULL, 16599),
(23641, '4r97C01', NULL, NULL, 119, NULL, NULL, 16599),
(23642, '1forL01', NULL, NULL, 107, NULL, NULL, 16599),
(23643, '5m2wA00', NULL, NULL, 125, NULL, NULL, 16599),
(23644, '4wiqA01', NULL, NULL, 114, NULL, NULL, 16599),
(23645, '2yrpA00', NULL, NULL, 114, NULL, NULL, 16599),
(23646, '3rzwA00', NULL, NULL, 95, NULL, NULL, 16599),
(23647, '4lhjB00', NULL, NULL, 120, NULL, NULL, 16599),
(23648, '1ow0A02', NULL, NULL, 113, NULL, NULL, 16599),
(23649, '1ow0A01', NULL, NULL, 101, NULL, NULL, 16599),
(23650, '3phqA01', NULL, NULL, 105, NULL, NULL, 16599),
(23651, '2zuxA01', NULL, NULL, 89, NULL, NULL, 16599),
(23652, '4rwyL01', NULL, NULL, 107, NULL, NULL, 16599),
(23653, '4n5uA00', NULL, NULL, 117, NULL, NULL, 16599),
(23654, '3qwoA01', NULL, NULL, 120, NULL, NULL, 16599),
(23655, '1v8hA00', NULL, NULL, 107, NULL, NULL, 16599),
(23656, '1sy6L01', NULL, NULL, 107, NULL, NULL, 16599),
(23657, '4xxdB01', NULL, NULL, 112, NULL, NULL, 16599),
(23658, '6avnL01', NULL, NULL, 105, NULL, NULL, 16599),
(23659, '1ghfL01', NULL, NULL, 107, NULL, NULL, 16599),
(23660, '1f4wL01', NULL, NULL, 110, NULL, NULL, 16599),
(23661, '4eneD01', NULL, NULL, 107, NULL, NULL, 16599);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(23662, '4rgoH01', NULL, NULL, 120, NULL, NULL, 16599),
(23663, '3o6fD01', NULL, NULL, 115, NULL, NULL, 16599),
(23664, '1adqA01', NULL, NULL, 100, NULL, NULL, 16599),
(23665, '4xakE01', NULL, NULL, 108, NULL, NULL, 16599),
(23666, '4wcyL01', NULL, NULL, 112, NULL, NULL, 16599),
(23667, '2jelH01', NULL, NULL, 118, NULL, NULL, 16599),
(23668, '2jelH02', NULL, NULL, 99, NULL, NULL, 16599),
(23669, '5dc4B00', NULL, NULL, 95, NULL, NULL, 16599),
(23670, '2xzqL02', NULL, NULL, 101, NULL, NULL, 16599),
(23671, '1igyA01', NULL, NULL, 107, NULL, NULL, 16599),
(23672, '3eo0B01', NULL, NULL, 120, NULL, NULL, 16599),
(23673, '5mp6Q01', NULL, NULL, 120, NULL, NULL, 16599),
(23674, '3qrfM02', NULL, NULL, 109, NULL, NULL, 16599),
(23675, '5sy8L01', NULL, NULL, 110, NULL, NULL, 16599),
(23676, '5jxaL01', NULL, NULL, 103, NULL, NULL, 16599),
(23677, '2pn5A04', NULL, NULL, 92, NULL, NULL, 16599),
(23678, '2pn5A07', NULL, NULL, 106, NULL, NULL, 16599),
(23679, '2eedA00', NULL, NULL, 101, NULL, NULL, 16599),
(23680, '1wt5C00', NULL, NULL, 122, NULL, NULL, 16599),
(23681, '2bhzA01', NULL, NULL, 96, NULL, NULL, 16599),
(23682, '3cmgA04', NULL, NULL, 92, NULL, NULL, 16599),
(23683, '5tbdD00', NULL, NULL, 114, NULL, NULL, 16599),
(23684, '4lmqI01', NULL, NULL, 107, NULL, NULL, 16599),
(23685, '4lgsB00', NULL, NULL, 129, NULL, NULL, 16599),
(23686, '4mnhC01', NULL, NULL, 120, NULL, NULL, 16599),
(23687, '3to4D01', NULL, NULL, 116, NULL, NULL, 16599),
(23688, '5t6pA01', NULL, NULL, 113, NULL, NULL, 16599),
(23689, '5mu0B01', NULL, NULL, 112, NULL, NULL, 16599),
(23690, '2h1pH01', NULL, NULL, 120, NULL, NULL, 16599),
(23691, '5tokD00', NULL, NULL, 131, NULL, NULL, 16599),
(23692, '5i1dB01', NULL, NULL, 119, NULL, NULL, 16599),
(23693, '4ffyH00', NULL, NULL, 130, NULL, NULL, 16599),
(23694, '2uudH00', NULL, NULL, 121, NULL, NULL, 16599),
(23695, '1hilA01', NULL, NULL, 114, NULL, NULL, 16599),
(23696, '5fgbE01', NULL, NULL, 127, NULL, NULL, 16599),
(23697, '5e0qA00', NULL, NULL, 128, NULL, NULL, 16599),
(23698, '5m2mD00', NULL, NULL, 129, NULL, NULL, 16599),
(23699, '5cp3A01', NULL, NULL, 113, NULL, NULL, 16599),
(23700, '5uixL01', NULL, NULL, 107, NULL, NULL, 16599),
(23701, '6dfvC01', NULL, NULL, 117, NULL, NULL, 16599),
(23702, '5dd1L02', NULL, NULL, 107, NULL, NULL, 16599),
(23703, '5dd1L01', NULL, NULL, 107, NULL, NULL, 16599),
(23704, '4qt5A01', NULL, NULL, 113, NULL, NULL, 16599),
(23705, '4ij3C01', NULL, NULL, 118, NULL, NULL, 16599),
(23706, '3r06B01', NULL, NULL, 116, NULL, NULL, 16599),
(23707, '1rmfL01', NULL, NULL, 113, NULL, NULL, 16599),
(23708, '2g2rA01', NULL, NULL, 113, NULL, NULL, 16599),
(23709, '4eq3A01', NULL, NULL, 107, NULL, NULL, 16599),
(23710, '2kkqA00', NULL, NULL, 116, NULL, NULL, 16599),
(23711, '5dwuB01', NULL, NULL, 92, NULL, NULL, 16599),
(23712, '4x7dC00', NULL, NULL, 126, NULL, NULL, 16599),
(23713, '5aamA02', NULL, NULL, 102, NULL, NULL, 16599),
(23714, '5aamA01', NULL, NULL, 131, NULL, NULL, 16599),
(23715, '1bfoB01', NULL, NULL, 121, NULL, NULL, 16599),
(23716, '1rowA00', NULL, NULL, 109, NULL, NULL, 16599),
(23717, '4jklA02', NULL, NULL, 95, NULL, NULL, 16599),
(23718, '1bwmA02', NULL, NULL, 118, NULL, NULL, 16599),
(23719, '5j57B00', NULL, NULL, 127, NULL, NULL, 16599),
(23720, '4j8rB01', NULL, NULL, 122, NULL, NULL, 16599),
(23721, '5c6pB00', NULL, NULL, 99, NULL, NULL, 16599),
(23722, '4eq3A02', NULL, NULL, 111, NULL, NULL, 16599),
(23723, '3ffcE01', NULL, NULL, 118, NULL, NULL, 16599),
(23724, '5d7kD01', NULL, NULL, 110, NULL, NULL, 16599),
(23725, '4zuuA02', NULL, NULL, 91, NULL, NULL, 16599),
(23726, '4rzcB00', NULL, NULL, 112, NULL, NULL, 16599),
(23727, '3gi9L01', NULL, NULL, 114, NULL, NULL, 16599),
(23728, '3zssA01', NULL, NULL, 113, NULL, NULL, 16599),
(23729, '5a16B01', NULL, NULL, 112, NULL, NULL, 16599),
(23730, '1qfwH00', NULL, NULL, 117, NULL, NULL, 16599),
(23731, '3grwH01', NULL, NULL, 127, NULL, NULL, 16599),
(23732, '5mx3A01', NULL, NULL, 121, NULL, NULL, 16599),
(23733, '1sbsL01', NULL, NULL, 114, NULL, NULL, 16599),
(23734, '4lvnC02', NULL, NULL, 98, NULL, NULL, 16599);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(23735, '1nfdA01', NULL, NULL, 112, NULL, NULL, 16599),
(23736, '4lvnC01', NULL, NULL, 120, NULL, NULL, 16599),
(23737, '3lpfA02', NULL, NULL, 93, NULL, NULL, 16599),
(23738, '1py9A00', NULL, NULL, 116, NULL, NULL, 16599),
(23739, '3kymB01', NULL, NULL, 119, NULL, NULL, 16599),
(23740, '2qqnH01', NULL, NULL, 123, NULL, NULL, 16599),
(23741, '5tkkL01', NULL, NULL, 107, NULL, NULL, 16599),
(23742, '3lohE04', NULL, NULL, 117, NULL, NULL, 16599),
(23743, '3sn6N00', NULL, NULL, 138, NULL, NULL, 16599),
(23744, '5ggtH01', NULL, NULL, 123, NULL, NULL, 16599),
(23745, '3baeL01', NULL, NULL, 113, NULL, NULL, 16599),
(23746, '3bgfC01', NULL, NULL, 108, NULL, NULL, 16599),
(23747, '4hxbH02', NULL, NULL, 100, NULL, NULL, 16599),
(23748, '5vaaB02', NULL, NULL, 110, NULL, NULL, 16599),
(23749, '6dc9L01', NULL, NULL, 109, NULL, NULL, 16599),
(23750, '4rgnE01', NULL, NULL, 114, NULL, NULL, 16599),
(23751, '3u7aA00', NULL, NULL, 110, NULL, NULL, 16599),
(23752, '3lohE05', NULL, NULL, 127, NULL, NULL, 16599),
(23753, '4hxbH01', NULL, NULL, 115, NULL, NULL, 16599),
(23754, '5o6vL01', NULL, NULL, 108, NULL, NULL, 16599),
(23755, '4f2mA01', NULL, NULL, 123, NULL, NULL, 16599),
(23756, '3i50L01', NULL, NULL, 107, NULL, NULL, 16599),
(23757, '2aepL01', NULL, NULL, 141, NULL, NULL, 16599),
(23758, '4leoB01', NULL, NULL, 113, NULL, NULL, 16599),
(23759, '6e3kD02', NULL, NULL, 113, NULL, NULL, 16599),
(23760, '5nigB02', NULL, NULL, 107, NULL, NULL, 16599),
(23761, '5j1tC00', NULL, NULL, 123, NULL, NULL, 16599),
(23762, '3vi3E01', NULL, NULL, 113, NULL, NULL, 16599),
(23763, '1rhfA01', NULL, NULL, 97, NULL, NULL, 16599),
(23764, '5bv7H01', NULL, NULL, 126, NULL, NULL, 16599),
(23765, '2yd8A02', NULL, NULL, 113, NULL, NULL, 16599),
(23766, '1rhfA02', NULL, NULL, 85, NULL, NULL, 16599),
(23767, '5fcuL01', NULL, NULL, 112, NULL, NULL, 16599),
(23768, '5kvgH02', NULL, NULL, 103, NULL, NULL, 16599),
(23769, '6arqD03', NULL, NULL, 101, NULL, NULL, 16599),
(23770, '6arqD02', NULL, NULL, 97, NULL, NULL, 16599),
(23771, '5kvgH01', NULL, NULL, 116, NULL, NULL, 16599),
(23772, '3vg9B01', NULL, NULL, 108, NULL, NULL, 16599),
(23773, '1gjiA02', NULL, NULL, 94, NULL, NULL, 16599),
(23774, '4grmA01', NULL, NULL, 110, NULL, NULL, 16599),
(23775, '3mj8A02', NULL, NULL, 104, NULL, NULL, 16599),
(23776, '4kknA00', NULL, NULL, 133, NULL, NULL, 16599),
(23777, '1waaC00', NULL, NULL, 93, NULL, NULL, 16599),
(23778, '3qjfD01', NULL, NULL, 115, NULL, NULL, 16599),
(23779, '6b0gC01', NULL, NULL, 112, NULL, NULL, 16599),
(23780, '1pg7W02', NULL, NULL, 100, NULL, NULL, 16599),
(23781, '5l7xH01', NULL, NULL, 118, NULL, NULL, 16599),
(23782, '4m02A02', NULL, NULL, 88, NULL, NULL, 16599),
(23783, '4ozhE01', NULL, NULL, 109, NULL, NULL, 16599),
(23784, '4p2cH00', NULL, NULL, 128, NULL, NULL, 16599),
(23785, '5f96L01', NULL, NULL, 107, NULL, NULL, 16599),
(23786, '1it9L01', NULL, NULL, 112, NULL, NULL, 16599),
(23787, '4weuD00', NULL, NULL, 127, NULL, NULL, 16599),
(23788, '3ujjH01', NULL, NULL, 124, NULL, NULL, 16599),
(23789, '4imkA01', NULL, NULL, 129, NULL, NULL, 16599),
(23790, '6jepI01', NULL, NULL, 112, NULL, NULL, 16599),
(23791, '2ibgA02', NULL, NULL, 102, NULL, NULL, 16599),
(23792, '4yr6A01', NULL, NULL, 122, NULL, NULL, 16599),
(23793, '3zyiA02', NULL, NULL, 103, NULL, NULL, 16599),
(23794, '5bs0E01', NULL, NULL, 112, NULL, NULL, 16599),
(23795, '4mnqE01', NULL, NULL, 111, NULL, NULL, 16599),
(23796, '5h5zA02', NULL, NULL, 88, NULL, NULL, 16599),
(23797, '1e4xH01', NULL, NULL, 114, NULL, NULL, 16599),
(23798, '3lb6C01', NULL, NULL, 94, NULL, NULL, 16599),
(23799, '2q86C02', NULL, NULL, 83, NULL, NULL, 16599),
(23800, '3bp6B02', NULL, NULL, 99, NULL, NULL, 16599),
(23801, '4jo4H01', NULL, NULL, 130, NULL, NULL, 16599),
(23802, '6bliB01', NULL, NULL, 108, NULL, NULL, 16599),
(23803, '2enyA00', NULL, NULL, 104, NULL, NULL, 16599),
(23804, '4gq9H01', NULL, NULL, 118, NULL, NULL, 16599),
(23805, '1pkoA00', NULL, NULL, 139, NULL, NULL, 16599),
(23806, '2x5pA00', NULL, NULL, 121, NULL, NULL, 16599),
(23807, '1rzfH01', NULL, NULL, 131, NULL, NULL, 16599);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(23808, '4lajL00', NULL, NULL, 129, NULL, NULL, 16599),
(23809, '2gcyB01', NULL, NULL, 118, NULL, NULL, 16599),
(23810, '3lsoB02', NULL, NULL, 92, NULL, NULL, 16599),
(23811, '3revA01', NULL, NULL, 114, NULL, NULL, 16599),
(23812, '2x9xA03', NULL, NULL, 122, NULL, NULL, 16599),
(23813, '3butA00', NULL, NULL, 136, NULL, NULL, 16599),
(23814, '4yo0A02', NULL, NULL, 98, NULL, NULL, 16599),
(23815, '4yo0A01', NULL, NULL, 117, NULL, NULL, 16599),
(23816, '1mqkL00', NULL, NULL, 120, NULL, NULL, 16599),
(23817, '5n7eA00', NULL, NULL, 95, NULL, NULL, 16599),
(23818, '3wsqH01', NULL, NULL, 118, NULL, NULL, 16599),
(23819, '4i13B00', NULL, NULL, 133, NULL, NULL, 16599),
(23820, '4fzeH01', NULL, NULL, 125, NULL, NULL, 16599),
(23821, '5lqbH01', NULL, NULL, 121, NULL, NULL, 16599),
(23822, '5f44C01', NULL, NULL, 148, NULL, NULL, 16599),
(23823, '2id5D02', NULL, NULL, 95, NULL, NULL, 16599),
(23824, '4y5xH00', NULL, NULL, 116, NULL, NULL, 16599),
(23825, '2j6eH01', NULL, NULL, 134, NULL, NULL, 16599),
(23826, '5m6iA01', NULL, NULL, 113, NULL, NULL, 16599),
(23827, '4eneE01', NULL, NULL, 121, NULL, NULL, 16599),
(23828, '5hi4D01', NULL, NULL, 111, NULL, NULL, 16599),
(23829, '1u9kA00', NULL, NULL, 114, NULL, NULL, 16599),
(23830, '1f11B01', NULL, NULL, 119, NULL, NULL, 16599),
(23831, '1bvkA00', NULL, NULL, 108, NULL, NULL, 16599),
(23832, '3mujA01', NULL, NULL, 92, NULL, NULL, 16599),
(23833, '1eo8H01', NULL, NULL, 118, NULL, NULL, 16599),
(23834, '2crzA00', NULL, NULL, 110, NULL, NULL, 16599),
(23835, '2d7nA01', NULL, NULL, 77, NULL, NULL, 16599),
(23836, '3sobH01', NULL, NULL, 126, NULL, NULL, 16599),
(23837, '3vmnA01', NULL, NULL, 115, NULL, NULL, 16599),
(23838, '1ct8B01', NULL, NULL, 118, NULL, NULL, 16599),
(23839, '3w9eB01', NULL, NULL, 108, NULL, NULL, 16599),
(23840, '2z35B00', NULL, NULL, 111, NULL, NULL, 16599),
(23841, '4bh8A01', NULL, NULL, 107, NULL, NULL, 16599),
(23842, '3lexA01', NULL, NULL, 116, NULL, NULL, 16599),
(23843, '4gagL01', NULL, NULL, 112, NULL, NULL, 16599),
(23844, '6funA01', NULL, NULL, 112, NULL, NULL, 16599),
(23845, '6n35L01', NULL, NULL, 107, NULL, NULL, 16599),
(23846, '2pndA00', NULL, NULL, 119, NULL, NULL, 16599),
(23847, '1neuA00', NULL, NULL, 124, NULL, NULL, 16599),
(23848, '1hxmA01', NULL, NULL, 121, NULL, NULL, 16599),
(23849, '3qg6B01', NULL, NULL, 113, NULL, NULL, 16599),
(23850, '3khqA00', NULL, NULL, 100, NULL, NULL, 16599),
(23851, '1bd2E01', NULL, NULL, 115, NULL, NULL, 16599),
(23852, '5f7eH01', NULL, NULL, 119, NULL, NULL, 16599),
(23853, '4xnzE01', NULL, NULL, 131, NULL, NULL, 16599),
(23854, '4al8H01', NULL, NULL, 117, NULL, NULL, 16599),
(23855, '4md5A02', NULL, NULL, 108, NULL, NULL, 16599),
(23856, '6axlB01', NULL, NULL, 108, NULL, NULL, 16599),
(23857, '1ae6H01', NULL, NULL, 121, NULL, NULL, 16599),
(23858, '5dupH01', NULL, NULL, 128, NULL, NULL, 16599),
(23859, '6mtmD01', NULL, NULL, 110, NULL, NULL, 16599),
(23860, '3n85H01', NULL, NULL, 117, NULL, NULL, 16599),
(23861, '4jy6B01', NULL, NULL, 132, NULL, NULL, 16599),
(23862, '1nezH00', NULL, NULL, 128, NULL, NULL, 16599),
(23863, '5ggqH01', NULL, NULL, 113, NULL, NULL, 16599),
(23864, '1mujA02', NULL, NULL, 100, NULL, NULL, 16599),
(23865, '2ipuG01', NULL, NULL, 123, NULL, NULL, 16599),
(23866, '5iblC01', NULL, NULL, 125, NULL, NULL, 16599),
(23867, '3vxtA01', NULL, NULL, 111, NULL, NULL, 16599),
(23868, '3zhdA00', NULL, NULL, 127, NULL, NULL, 16599),
(23869, '1a3qA02', NULL, NULL, 98, NULL, NULL, 16599),
(23870, '3sknB01', NULL, NULL, 115, NULL, NULL, 16599),
(23871, '3f7qA01', NULL, NULL, 95, NULL, NULL, 16599),
(23872, '1p5vA01', NULL, NULL, 132, NULL, NULL, 16599),
(23873, '5w1kC01', NULL, NULL, 108, NULL, NULL, 16599),
(23874, '4ak1A04', NULL, NULL, 91, NULL, NULL, 16599),
(23875, '5vxzC00', NULL, NULL, 102, NULL, NULL, 16599),
(23876, '1i7zA01', NULL, NULL, 113, NULL, NULL, 16599),
(23877, '4r6uA03', NULL, NULL, 109, NULL, NULL, 16599),
(23878, '4r6uA02', NULL, NULL, 95, NULL, NULL, 16599),
(23879, '1iqdB01', NULL, NULL, 117, NULL, NULL, 16599),
(23880, '3hr5B01', NULL, NULL, 117, NULL, NULL, 16599);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(23881, '4ptuA01', NULL, NULL, 111, NULL, NULL, 16599),
(23882, '3he7D01', NULL, NULL, 111, NULL, NULL, 16599),
(23883, '4j4pC01', NULL, NULL, 127, NULL, NULL, 16599),
(23884, '1c12A01', NULL, NULL, 107, NULL, NULL, 16599),
(23885, '6nnfU00', NULL, NULL, 126, NULL, NULL, 16599),
(23886, '5occL01', NULL, NULL, 112, NULL, NULL, 16599),
(23887, '4xcfL01', NULL, NULL, 109, NULL, NULL, 16599),
(23888, '5cckH01', NULL, NULL, 128, NULL, NULL, 16599),
(23889, '2vxtH01', NULL, NULL, 113, NULL, NULL, 16599),
(23890, '5nbwB01', NULL, NULL, 114, NULL, NULL, 16599),
(23891, '4h8wL01', NULL, NULL, 112, NULL, NULL, 16599),
(23892, '2ic2A00', NULL, NULL, 115, NULL, NULL, 16599),
(23893, '2fboJ02', NULL, NULL, 113, NULL, NULL, 16599),
(23894, '4cmmA01', NULL, NULL, 123, NULL, NULL, 16599),
(23895, '6bkbL01', NULL, NULL, 108, NULL, NULL, 16599),
(23896, '3tjeH01', NULL, NULL, 132, NULL, NULL, 16599),
(23897, '4laqH00', NULL, NULL, 104, NULL, NULL, 16599),
(23898, '1yjdL01', NULL, NULL, 108, NULL, NULL, 16599),
(23899, '5ifaL01', NULL, NULL, 109, NULL, NULL, 16599),
(23900, '4dgvH01', NULL, NULL, 123, NULL, NULL, 16599),
(23901, '4s1rH01', NULL, NULL, 132, NULL, NULL, 16599),
(23902, '5eziH01', NULL, NULL, 120, NULL, NULL, 16599),
(23903, '4irzH01', NULL, NULL, 123, NULL, NULL, 16599),
(23904, '6blqA02', NULL, NULL, 100, NULL, NULL, 16599),
(23905, '3q6gL01', NULL, NULL, 108, NULL, NULL, 16599),
(23906, '5mp6H01', NULL, NULL, 126, NULL, NULL, 16599),
(23907, '3q6gL02', NULL, NULL, 101, NULL, NULL, 16599),
(23908, '4z5rY00', NULL, NULL, 110, NULL, NULL, 16599),
(23909, '4p9mL01', NULL, NULL, 108, NULL, NULL, 16599),
(23910, '2ds4A01', NULL, NULL, 105, NULL, NULL, 16599),
(23911, '5d1qA01', NULL, NULL, 107, NULL, NULL, 16599),
(23912, '1f2xK00', NULL, NULL, 135, NULL, NULL, 16599),
(23913, '2brrX01', NULL, NULL, 109, NULL, NULL, 16599),
(23914, '5cezH01', NULL, NULL, 132, NULL, NULL, 16599),
(23915, '2nr6C01', NULL, NULL, 108, NULL, NULL, 16599),
(23916, '6c98A02', NULL, NULL, 91, NULL, NULL, 16599),
(23917, '2dleA01', NULL, NULL, 86, NULL, NULL, 16599),
(23918, '1h0dA01', NULL, NULL, 112, NULL, NULL, 16599),
(23919, '4x9bA02', NULL, NULL, 107, NULL, NULL, 16599),
(23920, '5tf1H01', NULL, NULL, 119, NULL, NULL, 16599),
(23921, '4ydiH01', NULL, NULL, 122, NULL, NULL, 16599),
(23922, '4ozfG01', NULL, NULL, 108, NULL, NULL, 16599),
(23923, '2nw2B01', NULL, NULL, 114, NULL, NULL, 16599),
(23924, '4ofpB02', NULL, NULL, 107, NULL, NULL, 16599),
(23925, '3vxmE01', NULL, NULL, 115, NULL, NULL, 16599),
(23926, '6dfqE01', NULL, NULL, 116, NULL, NULL, 16599),
(23927, '3cfdB01', NULL, NULL, 120, NULL, NULL, 16599),
(23928, '4ocmC00', NULL, NULL, 133, NULL, NULL, 16599),
(23929, '2yk1L01', NULL, NULL, 111, NULL, NULL, 16599),
(23930, '6mg9A00', NULL, NULL, 102, NULL, NULL, 16599),
(23931, '3esvG01', NULL, NULL, 136, NULL, NULL, 16599),
(23932, '3qrgH01', NULL, NULL, 120, NULL, NULL, 16599),
(23933, '4jhaL01', NULL, NULL, 107, NULL, NULL, 16599),
(23934, '4ye4H01', NULL, NULL, 127, NULL, NULL, 16599),
(23935, '1jguH01', NULL, NULL, 118, NULL, NULL, 16599),
(23936, '4r8wL00', NULL, NULL, 110, NULL, NULL, 16599),
(23937, '4nzjA01', NULL, NULL, 94, NULL, NULL, 16599),
(23938, '3p0yH01', NULL, NULL, 121, NULL, NULL, 16599),
(23939, '3tyfB01', NULL, NULL, 120, NULL, NULL, 16599),
(23940, '5w59B01', NULL, NULL, 110, NULL, NULL, 16599),
(23941, '5w59B02', NULL, NULL, 116, NULL, NULL, 16599),
(23942, '3b83C00', NULL, NULL, 100, NULL, NULL, 16599),
(23943, '6hyfC00', NULL, NULL, 91, NULL, NULL, 16599),
(23944, '1bf2A01', NULL, NULL, 162, NULL, NULL, 16599),
(23945, '5t6zG01', NULL, NULL, 99, NULL, NULL, 16599),
(23946, '4e41E01', NULL, NULL, 110, NULL, NULL, 16599),
(23947, '6bf4C01', NULL, NULL, 112, NULL, NULL, 16599),
(23948, '1v5jA00', NULL, NULL, 108, NULL, NULL, 16599),
(23949, '5j3hD00', NULL, NULL, 118, NULL, NULL, 16599),
(23950, '3qjhB01', NULL, NULL, 114, NULL, NULL, 16599),
(23951, '1z3gH01', NULL, NULL, 115, NULL, NULL, 16599),
(23952, '4k55A00', NULL, NULL, 124, NULL, NULL, 16599),
(23953, '4dagH01', NULL, NULL, 122, NULL, NULL, 16599);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(23954, '3n9gL01', NULL, NULL, 113, NULL, NULL, 16599),
(23955, '6ieaL01', NULL, NULL, 116, NULL, NULL, 16599),
(23956, '4l1dC00', NULL, NULL, 127, NULL, NULL, 16599),
(23957, '5m2jD00', NULL, NULL, 115, NULL, NULL, 16599),
(23958, '5bzwB01', NULL, NULL, 128, NULL, NULL, 16599),
(23959, '5gqbA01', NULL, NULL, 123, NULL, NULL, 16599),
(23960, '4h5sA00', NULL, NULL, 101, NULL, NULL, 16599),
(23961, '2hrpL01', NULL, NULL, 112, NULL, NULL, 16599),
(23962, '2j3sB01', NULL, NULL, 96, NULL, NULL, 16599),
(23963, '4olzL01', NULL, NULL, 108, NULL, NULL, 16599),
(23964, '1hcvA00', NULL, NULL, 117, NULL, NULL, 16599),
(23965, '3qumH01', NULL, NULL, 119, NULL, NULL, 16599),
(23966, '5a3iD01', NULL, NULL, 112, NULL, NULL, 16599),
(23967, '5l6qA00', NULL, NULL, 115, NULL, NULL, 16599),
(23968, '5iltH02', NULL, NULL, 102, NULL, NULL, 16599),
(23969, '5myoB02', NULL, NULL, 109, NULL, NULL, 16599),
(23970, '5myoB01', NULL, NULL, 119, NULL, NULL, 16599),
(23971, '5iltH01', NULL, NULL, 169, NULL, NULL, 16599),
(23972, '5z9sA03', NULL, NULL, 131, NULL, NULL, 16599),
(23973, '3g9aB00', NULL, NULL, 139, NULL, NULL, 16599),
(23974, '1lk2B00', NULL, NULL, 99, NULL, NULL, 16599),
(23975, '3fmgH01', NULL, NULL, 121, NULL, NULL, 16599),
(23976, '1uadC00', NULL, NULL, 99, NULL, NULL, 16599),
(23977, '1nc2B01', NULL, NULL, 119, NULL, NULL, 16599),
(23978, '6c74A00', NULL, NULL, 111, NULL, NULL, 16599),
(23979, '1ynlL01', NULL, NULL, 113, NULL, NULL, 16599),
(23980, '3fzuD01', NULL, NULL, 107, NULL, NULL, 16599),
(23981, '2l7jA00', NULL, NULL, 95, NULL, NULL, 16599),
(23982, '5tfsH01', NULL, NULL, 117, NULL, NULL, 16599),
(23983, '4ofyD01', NULL, NULL, 103, NULL, NULL, 16599),
(23984, '1tzhB01', NULL, NULL, 122, NULL, NULL, 16599),
(23985, '4ofyD03', NULL, NULL, 99, NULL, NULL, 16599),
(23986, '4ofyD02', NULL, NULL, 107, NULL, NULL, 16599),
(23987, '3bdyL01', NULL, NULL, 112, NULL, NULL, 16599),
(23988, '4dtgH01', NULL, NULL, 121, NULL, NULL, 16599),
(23989, '1yq2A02', NULL, NULL, 93, NULL, NULL, 16599),
(23990, '3qt2B03', NULL, NULL, 99, NULL, NULL, 16599),
(23991, '2j4wH01', NULL, NULL, 123, NULL, NULL, 16599),
(23992, '3u0tB01', NULL, NULL, 116, NULL, NULL, 16599),
(23993, '4y5vB00', NULL, NULL, 117, NULL, NULL, 16599),
(23994, '4i2xE03', NULL, NULL, 107, NULL, NULL, 16599),
(23995, '5i30H01', NULL, NULL, 117, NULL, NULL, 16599),
(23996, '4i2xE02', NULL, NULL, 105, NULL, NULL, 16599),
(23997, '3qxwC00', NULL, NULL, 126, NULL, NULL, 16599),
(23998, '1yq2A04', NULL, NULL, 115, NULL, NULL, 16599),
(23999, '2i24N00', NULL, NULL, 121, NULL, NULL, 16599),
(24000, '4yueH01', NULL, NULL, 127, NULL, NULL, 16599),
(24001, '4f37F01', NULL, NULL, 125, NULL, NULL, 16599),
(24002, '2eizA00', NULL, NULL, 107, NULL, NULL, 16599),
(24003, '6foeB01', NULL, NULL, 107, NULL, NULL, 16599),
(24004, '5uemL01', NULL, NULL, 110, NULL, NULL, 16599),
(24005, '3d2uA02', NULL, NULL, 92, NULL, NULL, 16599),
(24006, '5dscF01', NULL, NULL, 112, NULL, NULL, 16599),
(24007, '3l5xL01', NULL, NULL, 108, NULL, NULL, 16599),
(24008, '1s3kL01', NULL, NULL, 113, NULL, NULL, 16599),
(24009, '1hdmA02', NULL, NULL, 112, NULL, NULL, 16599),
(24010, '5jw5A01', NULL, NULL, 128, NULL, NULL, 16599),
(24011, '6ad0H00', NULL, NULL, 115, NULL, NULL, 16599),
(24012, '4rdqG01', NULL, NULL, 116, NULL, NULL, 16599),
(24013, '6nb5M01', NULL, NULL, 110, NULL, NULL, 16599),
(24014, '2db8A00', NULL, NULL, 110, NULL, NULL, 16599),
(24015, '5a2fA01', NULL, NULL, 106, NULL, NULL, 16599),
(24016, '6cuhA01', NULL, NULL, 112, NULL, NULL, 16599),
(24017, '5a2fA02', NULL, NULL, 112, NULL, NULL, 16599),
(24018, '3s88H01', NULL, NULL, 119, NULL, NULL, 16599),
(24019, '2w9dL01', NULL, NULL, 107, NULL, NULL, 16599),
(24020, '1bz7B01', NULL, NULL, 122, NULL, NULL, 16599),
(24021, '4uv4H01', NULL, NULL, 135, NULL, NULL, 16599),
(24022, '1nakL01', NULL, NULL, 113, NULL, NULL, 16599),
(24023, '5npjB02', NULL, NULL, 117, NULL, NULL, 16599),
(24024, '5dmyA05', NULL, NULL, 112, NULL, NULL, 16599),
(24025, '5dmyA02', NULL, NULL, 121, NULL, NULL, 16599),
(24026, '3g6jF01', NULL, NULL, 123, NULL, NULL, 16599);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(24027, '1rurH01', NULL, NULL, 119, NULL, NULL, 16599),
(24028, '4z7vH01', NULL, NULL, 115, NULL, NULL, 16599),
(24029, '4ogzB01', NULL, NULL, 94, NULL, NULL, 16599),
(24030, '4n68A00', NULL, NULL, 113, NULL, NULL, 16599),
(24031, '4nwuL01', NULL, NULL, 112, NULL, NULL, 16599),
(24032, '2x6mA00', NULL, NULL, 126, NULL, NULL, 16599),
(24033, '5f9oH01', NULL, NULL, 122, NULL, NULL, 16599),
(24034, '3w5mA01', NULL, NULL, 111, NULL, NULL, 16599),
(24035, '4ht1H01', NULL, NULL, 120, NULL, NULL, 16599),
(24036, '1kgcE01', NULL, NULL, 113, NULL, NULL, 16599),
(24037, '4lfhG02', NULL, NULL, 124, NULL, NULL, 16599),
(24038, '6fr7A01', NULL, NULL, 115, NULL, NULL, 16599),
(24039, '3n06B01', NULL, NULL, 101, NULL, NULL, 16599),
(24040, '4lfhG01', NULL, NULL, 127, NULL, NULL, 16599),
(24041, '5tezJ01', NULL, NULL, 114, NULL, NULL, 16599),
(24042, '5dxwA00', NULL, NULL, 130, NULL, NULL, 16599),
(24043, '3n06B02', NULL, NULL, 109, NULL, NULL, 16599),
(24044, '4z0bH01', NULL, NULL, 123, NULL, NULL, 16599),
(24045, '3s6cA03', NULL, NULL, 101, NULL, NULL, 16599),
(24046, '4z0bH02', NULL, NULL, 99, NULL, NULL, 16599),
(24047, '2ed9A01', NULL, NULL, 105, NULL, NULL, 16599),
(24048, '1gigH01', NULL, NULL, 123, NULL, NULL, 16599),
(24049, '5fhaL01', NULL, NULL, 107, NULL, NULL, 16599),
(24050, '2xzcL01', NULL, NULL, 110, NULL, NULL, 16599),
(24051, '4rqqB01', NULL, NULL, 141, NULL, NULL, 16599),
(24052, '3wfdH01', NULL, NULL, 124, NULL, NULL, 16599),
(24053, '6db7M01', NULL, NULL, 109, NULL, NULL, 16599),
(24054, '3g6aB01', NULL, NULL, 122, NULL, NULL, 16599),
(24055, '4xtrC01', NULL, NULL, 122, NULL, NULL, 16599),
(24056, '4hpoL01', NULL, NULL, 111, NULL, NULL, 16599),
(24057, '5f1kC00', NULL, NULL, 124, NULL, NULL, 16599),
(24058, '1bbjB01', NULL, NULL, 114, NULL, NULL, 16599),
(24059, '1bz7A01', NULL, NULL, 107, NULL, NULL, 16599),
(24060, '4rgnD01', NULL, NULL, 119, NULL, NULL, 16599),
(24061, '5b6fB01', NULL, NULL, 117, NULL, NULL, 16599),
(24062, '3sdyL01', NULL, NULL, 110, NULL, NULL, 16599),
(24063, '5e2wH01', NULL, NULL, 113, NULL, NULL, 16599),
(24064, '3ubxG01', NULL, NULL, 121, NULL, NULL, 16599),
(24065, '1k3iA03', NULL, NULL, 97, NULL, NULL, 16599),
(24066, '3rkdC01', NULL, NULL, 108, NULL, NULL, 16599),
(24067, '3bquC01', NULL, NULL, 104, NULL, NULL, 16599),
(24068, '4hepG00', NULL, NULL, 131, NULL, NULL, 16599),
(24069, '3mnzB01', NULL, NULL, 114, NULL, NULL, 16599),
(24070, '4qrrE01', NULL, NULL, 113, NULL, NULL, 16599),
(24071, '4ut6H00', NULL, NULL, 131, NULL, NULL, 16599),
(24072, '5dmgC01', NULL, NULL, 108, NULL, NULL, 16599),
(24073, '6bx5C00', NULL, NULL, 97, NULL, NULL, 16599),
(24074, '4f33B01', NULL, NULL, 119, NULL, NULL, 16599),
(24075, '2mqcA00', NULL, NULL, 105, NULL, NULL, 16599),
(24076, '4hafA01', NULL, NULL, 113, NULL, NULL, 16599),
(24077, '5drnB01', NULL, NULL, 112, NULL, NULL, 16599),
(24078, '3utoA04', NULL, NULL, 92, NULL, NULL, 16599),
(24079, '4toyH01', NULL, NULL, 131, NULL, NULL, 16599),
(24080, '1d5iL01', NULL, NULL, 108, NULL, NULL, 16599),
(24081, '3r0mA00', NULL, NULL, 127, NULL, NULL, 16599),
(24082, '3eifA05', NULL, NULL, 102, NULL, NULL, 16599),
(24083, '1lk2A02', NULL, NULL, 93, NULL, NULL, 16599),
(24084, '5ucbH02', NULL, NULL, 100, NULL, NULL, 16599),
(24085, '6gffK01', NULL, NULL, 108, NULL, NULL, 16599),
(24086, '5nmdA01', NULL, NULL, 110, NULL, NULL, 16599),
(24087, '6medB01', NULL, NULL, 107, NULL, NULL, 16599),
(24088, '5w4lE01', NULL, NULL, 109, NULL, NULL, 16599),
(24089, '4toyH02', NULL, NULL, 112, NULL, NULL, 16599),
(24090, '5e24E03', NULL, NULL, 94, NULL, NULL, 16599),
(24091, '4wnqA01', NULL, NULL, 113, NULL, NULL, 16599),
(24092, '2vr5B01', NULL, NULL, 153, NULL, NULL, 16599),
(24093, '1wgoA01', NULL, NULL, 99, NULL, NULL, 16599),
(24094, '5w6aA02', NULL, NULL, 91, NULL, NULL, 16599),
(24095, '5x83B01', NULL, NULL, 101, NULL, NULL, 16599),
(24096, '5x83B02', NULL, NULL, 106, NULL, NULL, 16599),
(24097, '3k3qA00', NULL, NULL, 151, NULL, NULL, 16599),
(24098, '3se9L01', NULL, NULL, 102, NULL, NULL, 16599),
(24099, '4ww1B01', NULL, NULL, 114, NULL, NULL, 16599);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(24100, '5f72S01', NULL, NULL, 140, NULL, NULL, 16599),
(24101, '2v7hB01', NULL, NULL, 119, NULL, NULL, 16599),
(24102, '4g8fA01', NULL, NULL, 110, NULL, NULL, 16599),
(24103, '5e6iH01', NULL, NULL, 114, NULL, NULL, 16599),
(24104, '2fbjL01', NULL, NULL, 107, NULL, NULL, 16599),
(24105, '5f7fA00', NULL, NULL, 113, NULL, NULL, 16599),
(24106, '1b4rA00', NULL, NULL, 80, NULL, NULL, 16599),
(24107, '3l9rA02', NULL, NULL, 101, NULL, NULL, 16599),
(24108, '5i0zA00', NULL, NULL, 121, NULL, NULL, 16599),
(24109, '3uc0H01', NULL, NULL, 123, NULL, NULL, 16599),
(24110, '1ncaL01', NULL, NULL, 108, NULL, NULL, 16599),
(24111, '4i0kA01', NULL, NULL, 106, NULL, NULL, 16599),
(24112, '5oc7C00', NULL, NULL, 92, NULL, NULL, 16599),
(24113, '5wlgD01', NULL, NULL, 104, NULL, NULL, 16599),
(24114, '4i0kA02', NULL, NULL, 100, NULL, NULL, 16599),
(24115, '1g0xA02', NULL, NULL, 102, NULL, NULL, 16599),
(24116, '3qehH01', NULL, NULL, 111, NULL, NULL, 16599),
(24117, '1nsnL01', NULL, NULL, 112, NULL, NULL, 16599),
(24118, '3ncyS01', NULL, NULL, 107, NULL, NULL, 16599),
(24119, '1cd9B02', NULL, NULL, 107, NULL, NULL, 16599),
(24120, '5eulV00', NULL, NULL, 131, NULL, NULL, 16599),
(24121, '1u3zA00', NULL, NULL, 106, NULL, NULL, 16599),
(24122, '1nmbL00', NULL, NULL, 109, NULL, NULL, 16599),
(24123, '6cbvL01', NULL, NULL, 110, NULL, NULL, 16599),
(24124, '1axsA01', NULL, NULL, 108, NULL, NULL, 16599),
(24125, '3p30L01', NULL, NULL, 112, NULL, NULL, 16599),
(24126, '1f58H01', NULL, NULL, 126, NULL, NULL, 16599),
(24127, '3pp4H01', NULL, NULL, 119, NULL, NULL, 16599),
(24128, '1d9kB00', NULL, NULL, 112, NULL, NULL, 16599),
(24129, '2dbjA01', NULL, NULL, 109, NULL, NULL, 16599),
(24130, '4i0pH02', NULL, NULL, 101, NULL, NULL, 16599),
(24131, '1wj3A01', NULL, NULL, 93, NULL, NULL, 16599),
(24132, '1epfA01', NULL, NULL, 98, NULL, NULL, 16599),
(24133, '1epfA02', NULL, NULL, 93, NULL, NULL, 16599),
(24134, '5g5rB00', NULL, NULL, 123, NULL, NULL, 16599),
(24135, '5d1qB01', NULL, NULL, 119, NULL, NULL, 16599),
(24136, '4ztpH02', NULL, NULL, 99, NULL, NULL, 16599),
(24137, '3gizH01', NULL, NULL, 122, NULL, NULL, 16599),
(24138, '4grwE00', NULL, NULL, 125, NULL, NULL, 16599),
(24139, '2gysA01', NULL, NULL, 95, NULL, NULL, 16599),
(24140, '4n1hB00', NULL, NULL, 133, NULL, NULL, 16599),
(24141, '5ihbA02', NULL, NULL, 99, NULL, NULL, 16599),
(24142, '2gysA03', NULL, NULL, 91, NULL, NULL, 16599),
(24143, '2gysA02', NULL, NULL, 107, NULL, NULL, 16599),
(24144, '4ztpH01', NULL, NULL, 124, NULL, NULL, 16599),
(24145, '1cf8L01', NULL, NULL, 109, NULL, NULL, 16599),
(24146, '1emtL01', NULL, NULL, 108, NULL, NULL, 16599),
(24147, '4fomA02', NULL, NULL, 99, NULL, NULL, 16599),
(24148, '2dmbA00', NULL, NULL, 124, NULL, NULL, 16599),
(24149, '4fomA03', NULL, NULL, 98, NULL, NULL, 16599),
(24150, '2cr3A01', NULL, NULL, 95, NULL, NULL, 16599),
(24151, '2j88H01', NULL, NULL, 117, NULL, NULL, 16599),
(24152, '3nzhH01', NULL, NULL, 117, NULL, NULL, 16599),
(24153, '2j88H02', NULL, NULL, 74, NULL, NULL, 16599),
(24154, '3gjfH01', NULL, NULL, 119, NULL, NULL, 16599),
(24155, '1y6kR01', NULL, NULL, 103, NULL, NULL, 16599),
(24156, '5i1kH01', NULL, NULL, 119, NULL, NULL, 16599),
(24157, '1wzlA01', NULL, NULL, 121, NULL, NULL, 16599),
(24158, '1y6kR02', NULL, NULL, 111, NULL, NULL, 16599),
(24159, '4kfzC00', NULL, NULL, 129, NULL, NULL, 16599),
(24160, '4hfuH01', NULL, NULL, 123, NULL, NULL, 16599),
(24161, '4cbpA01', NULL, NULL, 120, NULL, NULL, 16599),
(24162, '3fo2A01', NULL, NULL, 111, NULL, NULL, 16599),
(24163, '1wisA01', NULL, NULL, 101, NULL, NULL, 16599),
(24164, '3u9pH01', NULL, NULL, 119, NULL, NULL, 16599),
(24165, '5durD01', NULL, NULL, 113, NULL, NULL, 16599),
(24166, '6aq7H02', NULL, NULL, 98, NULL, NULL, 16599),
(24167, '3v0wL02', NULL, NULL, 104, NULL, NULL, 16599),
(24168, '1rzgC01', NULL, NULL, 126, NULL, NULL, 16599),
(24169, '3v0wL01', NULL, NULL, 108, NULL, NULL, 16599),
(24170, '1f3dL01', NULL, NULL, 112, NULL, NULL, 16599),
(24171, '1dqdL01', NULL, NULL, 114, NULL, NULL, 16599),
(24172, '6anaL01', NULL, NULL, 112, NULL, NULL, 16599);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(24173, '6oe4C01', NULL, NULL, 107, NULL, NULL, 16599),
(24174, '3ffcD01', NULL, NULL, 112, NULL, NULL, 16599),
(24175, '4p4kD01', NULL, NULL, 113, NULL, NULL, 16599),
(24176, '3eo0A01', NULL, NULL, 109, NULL, NULL, 16599),
(24177, '4ocxL01', NULL, NULL, 113, NULL, NULL, 16599),
(24178, '1i1cA01', NULL, NULL, 99, NULL, NULL, 16599),
(24179, '2l0dA00', NULL, NULL, 114, NULL, NULL, 16599),
(24180, '1i1cA02', NULL, NULL, 106, NULL, NULL, 16599),
(24181, '2eo1A00', NULL, NULL, 102, NULL, NULL, 16599),
(24182, '6nrrA00', NULL, NULL, 114, NULL, NULL, 16599),
(24183, '4kteL01', NULL, NULL, 116, NULL, NULL, 16599),
(24184, '2r56H01', NULL, NULL, 121, NULL, NULL, 16599),
(24185, '4y1aE01', NULL, NULL, 114, NULL, NULL, 16599),
(24186, '2hmiC02', NULL, NULL, 104, NULL, NULL, 16599),
(24187, '5vobL01', NULL, NULL, 109, NULL, NULL, 16599),
(24188, '1igyB01', NULL, NULL, 114, NULL, NULL, 16599),
(24189, '2zg2A02', NULL, NULL, 91, NULL, NULL, 16599),
(24190, '4q0xL01', NULL, NULL, 113, NULL, NULL, 16599),
(24191, '2or8A00', NULL, NULL, 116, NULL, NULL, 16599),
(24192, '4od2B01', NULL, NULL, 121, NULL, NULL, 16599),
(24193, '6fbjL01', NULL, NULL, 112, NULL, NULL, 16599),
(24194, '3rjdA01', NULL, NULL, 81, NULL, NULL, 16599),
(24195, '4ywgL01', NULL, NULL, 105, NULL, NULL, 16599),
(24196, '4amkH01', NULL, NULL, 117, NULL, NULL, 16599),
(24197, '3u1sH01', NULL, NULL, 140, NULL, NULL, 16599),
(24198, '5kvdH01', NULL, NULL, 120, NULL, NULL, 16599),
(24199, '3iflL01', NULL, NULL, 113, NULL, NULL, 16599),
(24200, '2atpD00', NULL, NULL, 115, NULL, NULL, 16599),
(24201, '1vgeL01', NULL, NULL, 108, NULL, NULL, 16599),
(24202, '1jfqL01', NULL, NULL, 107, NULL, NULL, 16599),
(24203, '5jueH01', NULL, NULL, 122, NULL, NULL, 16599),
(24204, '1a6tA01', NULL, NULL, 107, NULL, NULL, 16599),
(24205, '4udtB01', NULL, NULL, 114, NULL, NULL, 16599),
(24206, '5fehA01', NULL, NULL, 108, NULL, NULL, 16599),
(24207, '5di8B02', NULL, NULL, 110, NULL, NULL, 16599),
(24208, '4m5yL01', NULL, NULL, 109, NULL, NULL, 16599),
(24209, '4np4H01', NULL, NULL, 119, NULL, NULL, 16599),
(24210, '4bfeA02', NULL, NULL, 81, NULL, NULL, 16599),
(24211, '4jfhD01', NULL, NULL, 109, NULL, NULL, 16599),
(24212, '5uknL01', NULL, NULL, 111, NULL, NULL, 16599),
(24213, '5uknL02', NULL, NULL, 105, NULL, NULL, 16599),
(24214, '1ibgL01', NULL, NULL, 111, NULL, NULL, 16599),
(24215, '4qo1A00', NULL, NULL, 129, NULL, NULL, 16599),
(24216, '4s11A00', NULL, NULL, 130, NULL, NULL, 16599),
(24217, '5ja8B00', NULL, NULL, 127, NULL, NULL, 16599),
(24218, '4jclA04', NULL, NULL, 103, NULL, NULL, 16599),
(24219, '5o45A00', NULL, NULL, 129, NULL, NULL, 16599),
(24220, '4jclA03', NULL, NULL, 87, NULL, NULL, 16599),
(24221, '2bmkA01', NULL, NULL, 107, NULL, NULL, 16599),
(24222, '5ob5L01', NULL, NULL, 108, NULL, NULL, 16599),
(24223, '1ct8A01', NULL, NULL, 108, NULL, NULL, 16599),
(24224, '4ldeB00', NULL, NULL, 120, NULL, NULL, 16599),
(24225, '3knbB00', NULL, NULL, 107, NULL, NULL, 16599),
(24226, '4iihB04', NULL, NULL, 107, NULL, NULL, 16599),
(24227, '4ij3B01', NULL, NULL, 108, NULL, NULL, 16599),
(24228, '5d2nC01', NULL, NULL, 109, NULL, NULL, 16599),
(24229, '4kucH01', NULL, NULL, 117, NULL, NULL, 16599),
(24230, '5ea0L01', NULL, NULL, 113, NULL, NULL, 16599),
(24231, '2laaA00', NULL, NULL, 104, NULL, NULL, 16599),
(24232, '1q0xH01', NULL, NULL, 119, NULL, NULL, 16599),
(24233, '2c4fT00', NULL, NULL, 75, NULL, NULL, 16599),
(24234, '1q0xH02', NULL, NULL, 101, NULL, NULL, 16599),
(24235, '3hmwH01', NULL, NULL, 119, NULL, NULL, 16599),
(24236, '5mo9H01', NULL, NULL, 116, NULL, NULL, 16599),
(24237, '5tdpB02', NULL, NULL, 103, NULL, NULL, 16599),
(24238, '5b22B02', NULL, NULL, 98, NULL, NULL, 16599),
(24239, '1n0xL01', NULL, NULL, 108, NULL, NULL, 16599),
(24240, '1a0qL01', NULL, NULL, 106, NULL, NULL, 16599),
(24241, '3uyoD00', NULL, NULL, 95, NULL, NULL, 16599),
(24242, '5v7uL01', NULL, NULL, 112, NULL, NULL, 16599),
(24243, '2v9tA00', NULL, NULL, 117, NULL, NULL, 16599),
(24244, '3o6kL01', NULL, NULL, 113, NULL, NULL, 16599),
(24245, '4r97B01', NULL, NULL, 108, NULL, NULL, 16599);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(24246, '1ay1L01', NULL, NULL, 107, NULL, NULL, 16599),
(24247, '1kv3A01', NULL, NULL, 147, NULL, NULL, 16599),
(24248, '3mbeC01', NULL, NULL, 110, NULL, NULL, 16599),
(24249, '4dn3L01', NULL, NULL, 110, NULL, NULL, 16599),
(24250, '4odvH01', NULL, NULL, 123, NULL, NULL, 16599),
(24251, '4fa8A01', NULL, NULL, 105, NULL, NULL, 16599),
(24252, '3qwoB01', NULL, NULL, 107, NULL, NULL, 16599),
(24253, '1oaqH00', NULL, NULL, 121, NULL, NULL, 16599),
(24254, '4m1cC01', NULL, NULL, 128, NULL, NULL, 16599),
(24255, '4uinL01', NULL, NULL, 107, NULL, NULL, 16599),
(24256, '4ra0C02', NULL, NULL, 90, NULL, NULL, 16599),
(24257, '5d7kE01', NULL, NULL, 115, NULL, NULL, 16599),
(24258, '1nl0H01', NULL, NULL, 120, NULL, NULL, 16599),
(24259, '5jtwB02', NULL, NULL, 106, NULL, NULL, 16599),
(24260, '4rzcC00', NULL, NULL, 119, NULL, NULL, 16599),
(24261, '5h5zB00', NULL, NULL, 98, NULL, NULL, 16599),
(24262, '4yflF01', NULL, NULL, 125, NULL, NULL, 16599),
(24263, '4lvnB01', NULL, NULL, 109, NULL, NULL, 16599),
(24264, '6iuvD01', NULL, NULL, 111, NULL, NULL, 16599),
(24265, '2xtlA03', NULL, NULL, 121, NULL, NULL, 16599),
(24266, '3o4oC03', NULL, NULL, 116, NULL, NULL, 16599),
(24267, '1lo4H01', NULL, NULL, 118, NULL, NULL, 16599),
(24268, '3o4oC02', NULL, NULL, 107, NULL, NULL, 16599),
(24269, '3kymA01', NULL, NULL, 108, NULL, NULL, 16599),
(24270, '3o4oC01', NULL, NULL, 99, NULL, NULL, 16599),
(24271, '3i2cL01', NULL, NULL, 106, NULL, NULL, 16599),
(24272, '6c68A01', NULL, NULL, 114, NULL, NULL, 16599),
(24273, '4k3jH01', NULL, NULL, 119, NULL, NULL, 16599),
(24274, '5bo1H01', NULL, NULL, 116, NULL, NULL, 16599),
(24275, '3mlpA02', NULL, NULL, 145, NULL, NULL, 16599),
(24276, '3bgfB01', NULL, NULL, 121, NULL, NULL, 16599),
(24277, '1w72L01', NULL, NULL, 109, NULL, NULL, 16599),
(24278, '4leoA01', NULL, NULL, 120, NULL, NULL, 16599),
(24279, '4lriC01', NULL, NULL, 130, NULL, NULL, 16599),
(24280, '4gjtC00', NULL, NULL, 123, NULL, NULL, 16599),
(24281, '4cdgC00', NULL, NULL, 125, NULL, NULL, 16599),
(24282, '5llkA01', NULL, NULL, 113, NULL, NULL, 16599),
(24283, '6idgL01', NULL, NULL, 112, NULL, NULL, 16599),
(24284, '5nigA02', NULL, NULL, 108, NULL, NULL, 16599),
(24285, '4u6tA00', NULL, NULL, 86, NULL, NULL, 16599),
(24286, '1olzA03', NULL, NULL, 90, NULL, NULL, 16599),
(24287, '5tz2L01', NULL, NULL, 108, NULL, NULL, 16599),
(24288, '3v6oA02', NULL, NULL, 98, NULL, NULL, 16599),
(24289, '5i76B01', NULL, NULL, 118, NULL, NULL, 16599),
(24290, '4f9lC02', NULL, NULL, 108, NULL, NULL, 16599),
(24291, '2q8bL01', NULL, NULL, 108, NULL, NULL, 16599),
(24292, '2w1nA02', NULL, NULL, 83, NULL, NULL, 16599),
(24293, '5hvfB00', NULL, NULL, 119, NULL, NULL, 16599),
(24294, '3juyA01', NULL, NULL, 132, NULL, NULL, 16599),
(24295, '3og4B01', NULL, NULL, 106, NULL, NULL, 16599),
(24296, '2vuoA02', NULL, NULL, 106, NULL, NULL, 16599),
(24297, '2vuoA01', NULL, NULL, 100, NULL, NULL, 16599),
(24298, '4hhaB01', NULL, NULL, 125, NULL, NULL, 16599),
(24299, '1fh5L01', NULL, NULL, 108, NULL, NULL, 16599),
(24300, '4b7lA03', NULL, NULL, 100, NULL, NULL, 16599),
(24301, '3r06A01', NULL, NULL, 108, NULL, NULL, 16599),
(24302, '3r06A02', NULL, NULL, 105, NULL, NULL, 16599),
(24303, '3h42H01', NULL, NULL, 123, NULL, NULL, 16599),
(24304, '2ny1C01', NULL, NULL, 110, NULL, NULL, 16599),
(24305, '5e1hB00', NULL, NULL, 128, NULL, NULL, 16599),
(24306, '4lciL00', NULL, NULL, 117, NULL, NULL, 16599),
(24307, '5wl2B01', NULL, NULL, 111, NULL, NULL, 16599),
(24308, '3hc4H01', NULL, NULL, 116, NULL, NULL, 16599),
(24309, '5nq0B00', NULL, NULL, 99, NULL, NULL, 16599),
(24310, '5d7jB01', NULL, NULL, 116, NULL, NULL, 16599),
(24311, '2lu7A00', NULL, NULL, 84, NULL, NULL, 16599),
(24312, '1ikfL01', NULL, NULL, 108, NULL, NULL, 16599),
(24313, '3f62A00', NULL, NULL, 109, NULL, NULL, 16599),
(24314, '5d1zD01', NULL, NULL, 128, NULL, NULL, 16599),
(24315, '3b43A06', NULL, NULL, 95, NULL, NULL, 16599),
(24316, '1bfoA02', NULL, NULL, 103, NULL, NULL, 16599),
(24317, '1bfoA01', NULL, NULL, 108, NULL, NULL, 16599),
(24318, '4f9lC01', NULL, NULL, 135, NULL, NULL, 16599);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(24319, '3b43A02', NULL, NULL, 97, NULL, NULL, 16599),
(24320, '2cdfA01', NULL, NULL, 112, NULL, NULL, 16599),
(24321, '5e56A00', NULL, NULL, 117, NULL, NULL, 16599),
(24322, '3mgaB01', NULL, NULL, 152, NULL, NULL, 16599),
(24323, '3b43A01', NULL, NULL, 95, NULL, NULL, 16599),
(24324, '5ubzL01', NULL, NULL, 111, NULL, NULL, 16599),
(24325, '2jjwA01', NULL, NULL, 123, NULL, NULL, 16599),
(24326, '5wawL01', NULL, NULL, 112, NULL, NULL, 16599),
(24327, '1ej6A05', NULL, NULL, 95, NULL, NULL, 16599),
(24328, '4zs7H01', NULL, NULL, 122, NULL, NULL, 16599),
(24329, '5u66A02', NULL, NULL, 106, NULL, NULL, 16599),
(24330, '4tscH01', NULL, NULL, 117, NULL, NULL, 16599),
(24331, '4yr6B01', NULL, NULL, 108, NULL, NULL, 16599),
(24332, '5wuvL01', NULL, NULL, 108, NULL, NULL, 16599),
(24333, '4pozD01', NULL, NULL, 122, NULL, NULL, 16599),
(24334, '3k1kC00', NULL, NULL, 123, NULL, NULL, 16599),
(24335, '1l7tL01', NULL, NULL, 113, NULL, NULL, 16599),
(24336, '3bp6A00', NULL, NULL, 117, NULL, NULL, 16599),
(24337, '1evuA01', NULL, NULL, 185, NULL, NULL, 16599),
(24338, '1hzhH01', NULL, NULL, 119, NULL, NULL, 16599),
(24339, '4hhaA01', NULL, NULL, 109, NULL, NULL, 16599),
(24340, '5k6zA04', NULL, NULL, 92, NULL, NULL, 16599),
(24341, '6hf1B01', NULL, NULL, 107, NULL, NULL, 16599),
(24342, '2dm3A00', NULL, NULL, 110, NULL, NULL, 16599),
(24343, '4rdqF01', NULL, NULL, 108, NULL, NULL, 16599),
(24344, '1lo0L01', NULL, NULL, 113, NULL, NULL, 16599),
(24345, '3revB01', NULL, NULL, 112, NULL, NULL, 16599),
(24346, '4wgvB00', NULL, NULL, 124, NULL, NULL, 16599),
(24347, '6bj2E01', NULL, NULL, 112, NULL, NULL, 16599),
(24348, '3g5zA01', NULL, NULL, 107, NULL, NULL, 16599),
(24349, '4aizB00', NULL, NULL, 108, NULL, NULL, 16599),
(24350, '6ct7B01', NULL, NULL, 109, NULL, NULL, 16599),
(24351, '1eeqA00', NULL, NULL, 114, NULL, NULL, 16599),
(24352, '5m6aC01', NULL, NULL, 111, NULL, NULL, 16599),
(24353, '4yfeA01', NULL, NULL, 93, NULL, NULL, 16599),
(24354, '5tppL01', NULL, NULL, 111, NULL, NULL, 16599),
(24355, '4yfeA02', NULL, NULL, 107, NULL, NULL, 16599),
(24356, '1x5lA01', NULL, NULL, 88, NULL, NULL, 16599),
(24357, '4krnA00', NULL, NULL, 138, NULL, NULL, 16599),
(24358, '3u2sB01', NULL, NULL, 111, NULL, NULL, 16599),
(24359, '5b3jH01', NULL, NULL, 122, NULL, NULL, 16599),
(24360, '1x5aA01', NULL, NULL, 91, NULL, NULL, 16599),
(24361, '5c2bH00', NULL, NULL, 142, NULL, NULL, 16599),
(24362, '4mjiD01', NULL, NULL, 108, NULL, NULL, 16599),
(24363, '4kphL01', NULL, NULL, 106, NULL, NULL, 16599),
(24364, '6mtrL01', NULL, NULL, 110, NULL, NULL, 16599),
(24365, '1fnsL01', NULL, NULL, 107, NULL, NULL, 16599),
(24366, '3mj8B01', NULL, NULL, 116, NULL, NULL, 16599),
(24367, '3cviL01', NULL, NULL, 107, NULL, NULL, 16599),
(24368, '5ou7A01', NULL, NULL, 90, NULL, NULL, 16599),
(24369, '3o4oB03', NULL, NULL, 119, NULL, NULL, 16599),
(24370, '4b5eA00', NULL, NULL, 127, NULL, NULL, 16599),
(24371, '6igwA00', NULL, NULL, 135, NULL, NULL, 16599),
(24372, '4k94H01', NULL, NULL, 117, NULL, NULL, 16599),
(24373, '1bd2D01', NULL, NULL, 110, NULL, NULL, 16599),
(24374, '5tq0L01', NULL, NULL, 108, NULL, NULL, 16599),
(24375, '4jdvA01', NULL, NULL, 125, NULL, NULL, 16599),
(24376, '4jrxD02', NULL, NULL, 87, NULL, NULL, 16599),
(24377, '4jrxD01', NULL, NULL, 114, NULL, NULL, 16599),
(24378, '2dlhA00', NULL, NULL, 121, NULL, NULL, 16599),
(24379, '3shsA03', NULL, NULL, 123, NULL, NULL, 16599),
(24380, '3shsA02', NULL, NULL, 92, NULL, NULL, 16599),
(24381, '5tqaA01', NULL, NULL, 127, NULL, NULL, 16599),
(24382, '1nldH01', NULL, NULL, 113, NULL, NULL, 16599),
(24383, '6mtmE01', NULL, NULL, 110, NULL, NULL, 16599),
(24384, '1nldH02', NULL, NULL, 99, NULL, NULL, 16599),
(24385, '5vzrA02', NULL, NULL, 111, NULL, NULL, 16599),
(24386, '5dmgL01', NULL, NULL, 113, NULL, NULL, 16599),
(24387, '3shsA01', NULL, NULL, 89, NULL, NULL, 16599),
(24388, '4kq3L01', NULL, NULL, 106, NULL, NULL, 16599),
(24389, '2aabL01', NULL, NULL, 112, NULL, NULL, 16599),
(24390, '3eo9L01', NULL, NULL, 108, NULL, NULL, 16599),
(24391, '1cs6A03', NULL, NULL, 98, NULL, NULL, 16599); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(24392, '1mujB02', NULL, NULL, 102, NULL, NULL, 16599),
(24393, '1cs6A02', NULL, NULL, 89, NULL, NULL, 16599),
(24394, '1cs6A01', NULL, NULL, 105, NULL, NULL, 16599),
(24395, '1i3uA00', NULL, NULL, 127, NULL, NULL, 16599),
(24396, '2dibA01', NULL, NULL, 97, NULL, NULL, 16599),
(24397, '3go1H01', NULL, NULL, 122, NULL, NULL, 16599),
(24398, '3vxtB01', NULL, NULL, 113, NULL, NULL, 16599),
(24399, '3arbD01', NULL, NULL, 115, NULL, NULL, 16599),
(24400, '1hnfA02', NULL, NULL, 79, NULL, NULL, 16599),
(24401, '5anmL01', NULL, NULL, 110, NULL, NULL, 16599),
(24402, '4hxaL01', NULL, NULL, 107, NULL, NULL, 16599),
(24403, '1hnfA01', NULL, NULL, 103, NULL, NULL, 16599),
(24404, '4hjjH01', NULL, NULL, 122, NULL, NULL, 16599),
(24405, '3stbA00', NULL, NULL, 132, NULL, NULL, 16599),
(24406, '3knbA00', NULL, NULL, 100, NULL, NULL, 16599),
(24407, '6megL01', NULL, NULL, 112, NULL, NULL, 16599),
(24408, '4odsH01', NULL, NULL, 123, NULL, NULL, 16599),
(24409, '1cs6A04', NULL, NULL, 90, NULL, NULL, 16599),
(24410, '1aqkL01', NULL, NULL, 111, NULL, NULL, 16599),
(24411, '2nyyD01', NULL, NULL, 118, NULL, NULL, 16599),
(24412, '5nphL01', NULL, NULL, 110, NULL, NULL, 16599),
(24413, '1xgyH01', NULL, NULL, 118, NULL, NULL, 16599),
(24414, '3mfgB00', NULL, NULL, 118, NULL, NULL, 16599),
(24415, '4poyA00', NULL, NULL, 121, NULL, NULL, 16599),
(24416, '5nbwA01', NULL, NULL, 108, NULL, NULL, 16599),
(24417, '2eh7L01', NULL, NULL, 112, NULL, NULL, 16599),
(24418, '4yqxH00', NULL, NULL, 123, NULL, NULL, 16599),
(24419, '1cr9H01', NULL, NULL, 114, NULL, NULL, 16599),
(24420, '4u6vH01', NULL, NULL, 122, NULL, NULL, 16599),
(24421, '4odhH01', NULL, NULL, 144, NULL, NULL, 16599),
(24422, '5tplH01', NULL, NULL, 127, NULL, NULL, 16599),
(24423, '2a9mH00', NULL, NULL, 126, NULL, NULL, 16599),
(24424, '3wihA00', NULL, NULL, 97, NULL, NULL, 16599),
(24425, '2ee3A00', NULL, NULL, 108, NULL, NULL, 16599),
(24426, '2bc4D02', NULL, NULL, 119, NULL, NULL, 16599),
(24427, '4of0A02', NULL, NULL, 143, NULL, NULL, 16599),
(24428, '4fqcH01', NULL, NULL, 132, NULL, NULL, 16599),
(24429, '4hk0A01', NULL, NULL, 126, NULL, NULL, 16599),
(24430, '4trpL01', NULL, NULL, 114, NULL, NULL, 16599),
(24431, '3kj4C01', NULL, NULL, 121, NULL, NULL, 16599),
(24432, '5zmjL01', NULL, NULL, 110, NULL, NULL, 16599),
(24433, '4od1H01', NULL, NULL, 143, NULL, NULL, 16599),
(24434, '5l6yH01', NULL, NULL, 122, NULL, NULL, 16599),
(24435, '3lmjH01', NULL, NULL, 125, NULL, NULL, 16599),
(24436, '4x9hA03', NULL, NULL, 105, NULL, NULL, 16599),
(24437, '4x9hA02', NULL, NULL, 107, NULL, NULL, 16599),
(24438, '3eyqD01', NULL, NULL, 125, NULL, NULL, 16599),
(24439, '5fv1M00', NULL, NULL, 108, NULL, NULL, 16599),
(24440, '3upaA00', NULL, NULL, 107, NULL, NULL, 16599),
(24441, '4lexL01', NULL, NULL, 112, NULL, NULL, 16599),
(24442, '2g75A01', NULL, NULL, 118, NULL, NULL, 16599),
(24443, '4bh8B01', NULL, NULL, 121, NULL, NULL, 16599),
(24444, '3u6rH00', NULL, NULL, 128, NULL, NULL, 16599),
(24445, '6bitK01', NULL, NULL, 108, NULL, NULL, 16599),
(24446, '1hxmB01', NULL, NULL, 125, NULL, NULL, 16599),
(24447, '5u3pL01', NULL, NULL, 109, NULL, NULL, 16599),
(24448, '3v0aC00', NULL, NULL, 127, NULL, NULL, 16599),
(24449, '4xvjH00', NULL, NULL, 141, NULL, NULL, 16599),
(24450, '2cxkA00', NULL, NULL, 95, NULL, NULL, 16599),
(24451, '1dzbA02', NULL, NULL, 99, NULL, NULL, 16599),
(24452, '5dcpA02', NULL, NULL, 91, NULL, NULL, 16599),
(24453, '5dcpA01', NULL, NULL, 84, NULL, NULL, 16599),
(24454, '4f15C01', NULL, NULL, 112, NULL, NULL, 16599),
(24455, '3k2mC00', NULL, NULL, 101, NULL, NULL, 16599),
(24456, '1dzbA01', NULL, NULL, 116, NULL, NULL, 16599),
(24457, '1rz7H01', NULL, NULL, 115, NULL, NULL, 16599),
(24458, '5dd5H01', NULL, NULL, 128, NULL, NULL, 16599),
(24459, '6bckL01', NULL, NULL, 100, NULL, NULL, 16599),
(24460, '5aumB01', NULL, NULL, 113, NULL, NULL, 16599),
(24461, '1iaiH01', NULL, NULL, 121, NULL, NULL, 16599),
(24462, '4nylF00', NULL, NULL, 124, NULL, NULL, 16599),
(24463, '6d9gB01', NULL, NULL, 112, NULL, NULL, 16599),
(24464, '1n4xL00', NULL, NULL, 113, NULL, NULL, 16599);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(24465, '1t2qL01', NULL, NULL, 113, NULL, NULL, 16599),
(24466, '5ud9L02', NULL, NULL, 104, NULL, NULL, 16599),
(24467, '5x5xL01', NULL, NULL, 114, NULL, NULL, 16599),
(24468, '5ud9L01', NULL, NULL, 111, NULL, NULL, 16599),
(24469, '5x5xL02', NULL, NULL, 118, NULL, NULL, 16599),
(24470, '5ksaA02', NULL, NULL, 108, NULL, NULL, 16599),
(24471, '1mnuL01', NULL, NULL, 113, NULL, NULL, 16599),
(24472, '3iu4H01', NULL, NULL, 121, NULL, NULL, 16599),
(24473, '4yefB00', NULL, NULL, 89, NULL, NULL, 16599),
(24474, '3iu4H02', NULL, NULL, 98, NULL, NULL, 16599),
(24475, '2agjH02', NULL, NULL, 101, NULL, NULL, 16599),
(24476, '4oi9A03', NULL, NULL, 93, NULL, NULL, 16599),
(24477, '4oi9A04', NULL, NULL, 88, NULL, NULL, 16599),
(24478, '2agjH01', NULL, NULL, 120, NULL, NULL, 16599),
(24479, '3sknA01', NULL, NULL, 109, NULL, NULL, 16599),
(24480, '2j3sA03', NULL, NULL, 62, NULL, NULL, 16599),
(24481, '4q9cA00', NULL, NULL, 111, NULL, NULL, 16599),
(24482, '1rziA01', NULL, NULL, 106, NULL, NULL, 16599),
(24483, '2brrH01', NULL, NULL, 123, NULL, NULL, 16599),
(24484, '2j3sA02', NULL, NULL, 107, NULL, NULL, 16599),
(24485, '5i9qB01', NULL, NULL, 119, NULL, NULL, 16599),
(24486, '1c12B02', NULL, NULL, 97, NULL, NULL, 16599),
(24487, '1gl4B00', NULL, NULL, 98, NULL, NULL, 16599),
(24488, '1c12B01', NULL, NULL, 121, NULL, NULL, 16599),
(24489, '4nkiH01', NULL, NULL, 120, NULL, NULL, 16599),
(24490, '1kelL01', NULL, NULL, 113, NULL, NULL, 16599),
(24491, '1dvfD00', NULL, NULL, 121, NULL, NULL, 16599),
(24492, '3sdxH01', NULL, NULL, 118, NULL, NULL, 16599),
(24493, '2p5eE01', NULL, NULL, 112, NULL, NULL, 16599),
(24494, '4q97A00', NULL, NULL, 111, NULL, NULL, 16599),
(24495, '6mtjD00', NULL, NULL, 134, NULL, NULL, 16599),
(24496, '1grwA00', NULL, NULL, 126, NULL, NULL, 16599),
(24497, '4go6B01', NULL, NULL, 85, NULL, NULL, 16599),
(24498, '1igmH00', NULL, NULL, 129, NULL, NULL, 16599),
(24499, '4go6B02', NULL, NULL, 129, NULL, NULL, 16599),
(24500, '4w70A00', NULL, NULL, 142, NULL, NULL, 16599),
(24501, '1uwxK01', NULL, NULL, 108, NULL, NULL, 16599),
(24502, '2cpcA01', NULL, NULL, 87, NULL, NULL, 16599),
(24503, '4liqH01', NULL, NULL, 116, NULL, NULL, 16599),
(24504, '25c8H01', NULL, NULL, 119, NULL, NULL, 16599),
(24505, '2edhA01', NULL, NULL, 85, NULL, NULL, 16599),
(24506, '5gkrD01', NULL, NULL, 111, NULL, NULL, 16599),
(24507, '1ncwL01', NULL, NULL, 113, NULL, NULL, 16599),
(24508, '3fzuC01', NULL, NULL, 118, NULL, NULL, 16599),
(24509, '3k81A00', NULL, NULL, 127, NULL, NULL, 16599),
(24510, '3gk8L02', NULL, NULL, 103, NULL, NULL, 16599),
(24511, '5gruL01', NULL, NULL, 118, NULL, NULL, 16599),
(24512, '3gk8L01', NULL, NULL, 108, NULL, NULL, 16599),
(24513, '3kptB01', NULL, NULL, 108, NULL, NULL, 16599),
(24514, '1zk9A00', NULL, NULL, 110, NULL, NULL, 16599),
(24515, '1orsA01', NULL, NULL, 108, NULL, NULL, 16599),
(24516, '5kbnC00', NULL, NULL, 97, NULL, NULL, 16599),
(24517, '1tzhA01', NULL, NULL, 107, NULL, NULL, 16599),
(24518, '4o5lH01', NULL, NULL, 131, NULL, NULL, 16599),
(24519, '3fn9C04', NULL, NULL, 92, NULL, NULL, 16599),
(24520, '2nmsA00', NULL, NULL, 124, NULL, NULL, 16599),
(24521, '4plnC02', NULL, NULL, 104, NULL, NULL, 16599),
(24522, '4plnC01', NULL, NULL, 101, NULL, NULL, 16599),
(24523, '3u0tA01', NULL, NULL, 112, NULL, NULL, 16599),
(24524, '4e41D01', NULL, NULL, 109, NULL, NULL, 16599),
(24525, '4krmF00', NULL, NULL, 133, NULL, NULL, 16599),
(24526, '4qgyB00', NULL, NULL, 135, NULL, NULL, 16599),
(24527, '4f33A01', NULL, NULL, 107, NULL, NULL, 16599),
(24528, '2ypvH01', NULL, NULL, 119, NULL, NULL, 16599),
(24529, '3gheH01', NULL, NULL, 129, NULL, NULL, 16599),
(24530, '2qscL01', NULL, NULL, 108, NULL, NULL, 16599),
(24531, '3grwA02', NULL, NULL, 106, NULL, NULL, 16599),
(24532, '3grwA01', NULL, NULL, 110, NULL, NULL, 16599),
(24533, '3gsnA01', NULL, NULL, 109, NULL, NULL, 16599),
(24534, '4u49B01', NULL, NULL, 98, NULL, NULL, 16599),
(24535, '4otxH01', NULL, NULL, 113, NULL, NULL, 16599),
(24536, '6cuhB01', NULL, NULL, 116, NULL, NULL, 16599),
(24537, '5xmhC00', NULL, NULL, 108, NULL, NULL, 16599); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(24538, '5it2H01', NULL, NULL, 123, NULL, NULL, 16599),
(24539, '1uweL02', NULL, NULL, 104, NULL, NULL, 16599),
(24540, '4jo1H01', NULL, NULL, 113, NULL, NULL, 16599),
(24541, '1zvhA00', NULL, NULL, 134, NULL, NULL, 16599),
(24542, '3pddA02', NULL, NULL, 101, NULL, NULL, 16599),
(24543, '4yo0B01', NULL, NULL, 109, NULL, NULL, 16599),
(24544, '4yo0B02', NULL, NULL, 104, NULL, NULL, 16599),
(24545, '1uweL01', NULL, NULL, 108, NULL, NULL, 16599),
(24546, '1igfL01', NULL, NULL, 113, NULL, NULL, 16599),
(24547, '1hyrC02', NULL, NULL, 93, NULL, NULL, 16599),
(24548, '4nrxB01', NULL, NULL, 107, NULL, NULL, 16599),
(24549, '1qnzH00', NULL, NULL, 119, NULL, NULL, 16599),
(24550, '6ev2B01', NULL, NULL, 107, NULL, NULL, 16599),
(24551, '4m7jL01', NULL, NULL, 113, NULL, NULL, 16599),
(24552, '3vi3F01', NULL, NULL, 118, NULL, NULL, 16599),
(24553, '4bz1L01', NULL, NULL, 114, NULL, NULL, 16599),
(24554, '4jb9L01', NULL, NULL, 103, NULL, NULL, 16599),
(24555, '3ujiL01', NULL, NULL, 108, NULL, NULL, 16599),
(24556, '3kgrA00', NULL, NULL, 106, NULL, NULL, 16599),
(24557, '5a3iC01', NULL, NULL, 125, NULL, NULL, 16599),
(24558, '4o4yL01', NULL, NULL, 114, NULL, NULL, 16599),
(24559, '3vg9C01', NULL, NULL, 124, NULL, NULL, 16599),
(24560, '3fl7A05', NULL, NULL, 95, NULL, NULL, 16599),
(24561, '6mi2B01', NULL, NULL, 109, NULL, NULL, 16599),
(24562, '4z7uF01', NULL, NULL, 116, NULL, NULL, 16599),
(24563, '4mb4A03', NULL, NULL, 84, NULL, NULL, 16599),
(24564, '4mb4A02', NULL, NULL, 79, NULL, NULL, 16599),
(24565, '2h32A00', NULL, NULL, 126, NULL, NULL, 16599),
(24566, '2nw2A01', NULL, NULL, 110, NULL, NULL, 16599),
(24567, '2r4rL01', NULL, NULL, 108, NULL, NULL, 16599),
(24568, '3fl7A04', NULL, NULL, 108, NULL, NULL, 16599),
(24569, '2yr3A00', NULL, NULL, 99, NULL, NULL, 16599),
(24570, '2d3vA01', NULL, NULL, 95, NULL, NULL, 16599),
(24571, '4hc1L01', NULL, NULL, 107, NULL, NULL, 16599),
(24572, '2d3vA02', NULL, NULL, 101, NULL, NULL, 16599),
(24573, '6a67D01', NULL, NULL, 112, NULL, NULL, 16599),
(24574, '3ujtL01', NULL, NULL, 114, NULL, NULL, 16599),
(24575, '6aniL01', NULL, NULL, 105, NULL, NULL, 16599),
(24576, '3zkqD00', NULL, NULL, 122, NULL, NULL, 16599),
(24577, '1cloH01', NULL, NULL, 121, NULL, NULL, 16599),
(24578, '2ok0L01', NULL, NULL, 113, NULL, NULL, 16599),
(24579, '3lqmA01', NULL, NULL, 90, NULL, NULL, 16599),
(24580, '3lqmA02', NULL, NULL, 102, NULL, NULL, 16599),
(24581, '1yc7A00', NULL, NULL, 124, NULL, NULL, 16599),
(24582, '2c1pB01', NULL, NULL, 115, NULL, NULL, 16599),
(24583, '3dzmB00', NULL, NULL, 214, NULL, NULL, 16600),
(24584, '3cjlB00', NULL, NULL, 88, NULL, NULL, 16601),
(24585, '3cjlA00', NULL, NULL, 88, NULL, NULL, 16601),
(24586, '1af7A01', NULL, NULL, 80, NULL, NULL, 16602),
(24587, '3tu3B01', NULL, NULL, 76, NULL, NULL, 16603),
(24588, '4akxB01', NULL, NULL, 60, NULL, NULL, 16603),
(24589, '5l6hA06', NULL, NULL, 95, NULL, NULL, 16604),
(24590, '6dc6A06', NULL, NULL, 102, NULL, NULL, 16604),
(24591, '4ii2A06', NULL, NULL, 94, NULL, NULL, 16604),
(24592, '1bctA00', NULL, NULL, 69, NULL, NULL, 16605),
(24593, '2lboA00', NULL, NULL, 123, NULL, NULL, 16606),
(24594, '2jh1A02', NULL, NULL, 112, NULL, NULL, 16606),
(24595, '2jh1A01', NULL, NULL, 108, NULL, NULL, 16606),
(24596, '4kbxA01', NULL, NULL, 231, NULL, NULL, 16607),
(24597, '1jmkC02', NULL, NULL, 55, NULL, NULL, 16608),
(24598, '1szqA02', NULL, NULL, 142, NULL, NULL, 16609),
(24599, '5mviA02', NULL, NULL, 142, NULL, NULL, 16609),
(24600, '5muxA02', NULL, NULL, 139, NULL, NULL, 16609),
(24601, '2hp0A02', NULL, NULL, 131, NULL, NULL, 16609),
(24602, '4pf3A00', NULL, NULL, 250, NULL, NULL, 16610),
(24603, '4j5xC00', NULL, NULL, 264, NULL, NULL, 16610),
(24604, '4n1yB00', NULL, NULL, 240, NULL, NULL, 16610),
(24605, '3f5cB00', NULL, NULL, 183, NULL, NULL, 16610),
(24606, '3mnpA00', NULL, NULL, 261, NULL, NULL, 16610),
(24607, '2q1hA00', NULL, NULL, 250, NULL, NULL, 16610),
(24608, '1nq7A00', NULL, NULL, 244, NULL, NULL, 16610),
(24609, '4lsjA01', NULL, NULL, 247, NULL, NULL, 16610),
(24610, '5hjsA00', NULL, NULL, 243, NULL, NULL, 16610);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(24611, '3n00A00', NULL, NULL, 213, NULL, NULL, 16610),
(24612, '1pzlA00', NULL, NULL, 237, NULL, NULL, 16610),
(24613, '1mznA00', NULL, NULL, 240, NULL, NULL, 16610),
(24614, '4dm6B00', NULL, NULL, 244, NULL, NULL, 16610),
(24615, '3eybA00', NULL, NULL, 219, NULL, NULL, 16610),
(24616, '4n8rB00', NULL, NULL, 202, NULL, NULL, 16610),
(24617, '3kmrA00', NULL, NULL, 240, NULL, NULL, 16610),
(24618, '3gytA00', NULL, NULL, 244, NULL, NULL, 16610),
(24619, '3ollA00', NULL, NULL, 240, NULL, NULL, 16610),
(24620, '3k6pA00', NULL, NULL, 248, NULL, NULL, 16610),
(24621, '3cqvA00', NULL, NULL, 199, NULL, NULL, 16610),
(24622, '3nspB00', NULL, NULL, 193, NULL, NULL, 16610),
(24623, '6chtV00', NULL, NULL, 217, NULL, NULL, 16610),
(24624, '3uudA00', NULL, NULL, 251, NULL, NULL, 16610),
(24625, '5ufwA00', NULL, NULL, 249, NULL, NULL, 16610),
(24626, '5ufsA00', NULL, NULL, 248, NULL, NULL, 16610),
(24627, '5u3qA00', NULL, NULL, 272, NULL, NULL, 16610),
(24628, '5y41A00', NULL, NULL, 237, NULL, NULL, 16610),
(24629, '4ozrU00', NULL, NULL, 196, NULL, NULL, 16610),
(24630, '1sqnA00', NULL, NULL, 261, NULL, NULL, 16610),
(24631, '4ohaA00', NULL, NULL, 250, NULL, NULL, 16610),
(24632, '1z5xE00', NULL, NULL, 238, NULL, NULL, 16610),
(24633, '5i4vF00', NULL, NULL, 255, NULL, NULL, 16610),
(24634, '1n83A00', NULL, NULL, 270, NULL, NULL, 16610),
(24635, '6hl0A00', NULL, NULL, 232, NULL, NULL, 16610),
(24636, '3u9qA00', NULL, NULL, 269, NULL, NULL, 16610),
(24637, '5ntwA00', NULL, NULL, 257, NULL, NULL, 16610),
(24638, '1zdtB00', NULL, NULL, 241, NULL, NULL, 16610),
(24639, '5c4tA00', NULL, NULL, 241, NULL, NULL, 16610),
(24640, '4x1fA00', NULL, NULL, 293, NULL, NULL, 16610),
(24641, '3vtcA00', NULL, NULL, 254, NULL, NULL, 16610),
(24642, '1osvA00', NULL, NULL, 230, NULL, NULL, 16610),
(24643, '1g2nA00', NULL, NULL, 264, NULL, NULL, 16610),
(24644, '2e2rA00', NULL, NULL, 228, NULL, NULL, 16610),
(24645, '5a86A00', NULL, NULL, 290, NULL, NULL, 16610),
(24646, '3d57A00', NULL, NULL, 266, NULL, NULL, 16610),
(24647, '4oztE00', NULL, NULL, 238, NULL, NULL, 16610),
(24648, '4iqrF02', NULL, NULL, 238, NULL, NULL, 16610),
(24649, '2q60C00', NULL, NULL, 233, NULL, NULL, 16610),
(24650, '3l0lA00', NULL, NULL, 248, NULL, NULL, 16610),
(24651, '4n73A00', NULL, NULL, 199, NULL, NULL, 16610),
(24652, '4lnwA00', NULL, NULL, 267, NULL, NULL, 16610),
(24653, '1pduA00', NULL, NULL, 244, NULL, NULL, 16610),
(24654, '5aphA00', NULL, NULL, 266, NULL, NULL, 16610),
(24655, '2nxxB00', NULL, NULL, 235, NULL, NULL, 16610),
(24656, '3up3A00', NULL, NULL, 243, NULL, NULL, 16610),
(24657, '2r40D00', NULL, NULL, 246, NULL, NULL, 16610),
(24658, '5q0lA00', NULL, NULL, 233, NULL, NULL, 16610),
(24659, '2j7yA00', NULL, NULL, 255, NULL, NULL, 16610),
(24660, '4nufA02', NULL, NULL, 206, NULL, NULL, 16610),
(24661, '3ry9A00', NULL, NULL, 250, NULL, NULL, 16610),
(24662, '3p0uA00', NULL, NULL, 249, NULL, NULL, 16610),
(24663, '1xvpB00', NULL, NULL, 246, NULL, NULL, 16610),
(24664, '1m7wA00', NULL, NULL, 250, NULL, NULL, 16610),
(24665, '4rakA00', NULL, NULL, 244, NULL, NULL, 16610),
(24666, '4pldA00', NULL, NULL, 245, NULL, NULL, 16610),
(24667, '4ltwA00', NULL, NULL, 252, NULL, NULL, 16610),
(24668, '3l0eA00', NULL, NULL, 253, NULL, NULL, 16610),
(24669, '3plzB00', NULL, NULL, 257, NULL, NULL, 16610),
(24670, '1ymtA00', NULL, NULL, 246, NULL, NULL, 16610),
(24671, '5apkA00', NULL, NULL, 244, NULL, NULL, 16610),
(24672, '1xiuB00', NULL, NULL, 230, NULL, NULL, 16610),
(24673, '1fcyA00', NULL, NULL, 236, NULL, NULL, 16610),
(24674, '3cjwA00', NULL, NULL, 244, NULL, NULL, 16610),
(24675, '4rzfA00', NULL, NULL, 256, NULL, NULL, 16610),
(24676, '2gl8D00', NULL, NULL, 241, NULL, NULL, 16610),
(24677, '3uvvA00', NULL, NULL, 265, NULL, NULL, 16610),
(24678, '5a86B00', NULL, NULL, 292, NULL, NULL, 16610),
(24679, '5uc1A00', NULL, NULL, 222, NULL, NULL, 16610),
(24680, '4logB00', NULL, NULL, 244, NULL, NULL, 16610),
(24681, '1z5xU00', NULL, NULL, 197, NULL, NULL, 16610),
(24682, '1xnxA00', NULL, NULL, 256, NULL, NULL, 16610),
(24683, '1yjeA00', NULL, NULL, 236, NULL, NULL, 16610);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(24684, '5ysoC00', NULL, NULL, 218, NULL, NULL, 16610),
(24685, '1hg4C00', NULL, NULL, 279, NULL, NULL, 16610),
(24686, '2q5gB00', NULL, NULL, 265, NULL, NULL, 16610),
(24687, '3vi8A00', NULL, NULL, 273, NULL, NULL, 16610),
(24688, '1pk5B00', NULL, NULL, 248, NULL, NULL, 16610),
(24689, '5kyaA00', NULL, NULL, 263, NULL, NULL, 16610),
(24690, '2nxxE00', NULL, NULL, 248, NULL, NULL, 16610),
(24691, '1lv2A00', NULL, NULL, 229, NULL, NULL, 16610),
(24692, '4uddA00', NULL, NULL, 249, NULL, NULL, 16610),
(24693, '2xhsA00', NULL, NULL, 245, NULL, NULL, 16610),
(24694, '6eu9A00', NULL, NULL, 241, NULL, NULL, 16610),
(24695, '3b0tA00', NULL, NULL, 254, NULL, NULL, 16610),
(24696, '4q0aC00', NULL, NULL, 242, NULL, NULL, 16610),
(24697, '1n46B00', NULL, NULL, 258, NULL, NULL, 16610),
(24698, '4ku0D00', NULL, NULL, 96, NULL, NULL, 16611),
(24699, '4jiwD00', NULL, NULL, 93, NULL, NULL, 16611),
(24700, '4jivD00', NULL, NULL, 93, NULL, NULL, 16611),
(24701, '1mukA02', NULL, NULL, 510, NULL, NULL, 16612),
(24702, '5zvs202', NULL, NULL, 511, NULL, NULL, 16612),
(24703, '5b66j00', NULL, NULL, 40, NULL, NULL, 16613),
(24704, '1lnsA03', NULL, NULL, 87, NULL, NULL, 16614),
(24705, '2h36X00', NULL, NULL, 112, NULL, NULL, 16615),
(24706, '3df6B00', NULL, NULL, 99, NULL, NULL, 16615),
(24707, '4ch7A01', NULL, NULL, 118, NULL, NULL, 16616),
(24708, '3ehhB01', NULL, NULL, 70, NULL, NULL, 16617),
(24709, '3ehhA01', NULL, NULL, 88, NULL, NULL, 16617),
(24710, '3ehfD01', NULL, NULL, 67, NULL, NULL, 16617),
(24711, '2lc0A00', NULL, NULL, 132, NULL, NULL, 16618),
(24712, '3m4wE01', NULL, NULL, 22, NULL, NULL, 16619),
(24713, '3ikmA04', NULL, NULL, 24, NULL, NULL, 16619),
(24714, '2cgeA03', NULL, NULL, 153, NULL, NULL, 16620),
(24715, '1sf8G00', NULL, NULL, 126, NULL, NULL, 16620),
(24716, '4ipeB04', NULL, NULL, 140, NULL, NULL, 16620),
(24717, '5ulsA04', NULL, NULL, 150, NULL, NULL, 16620),
(24718, '2ioqA04', NULL, NULL, 134, NULL, NULL, 16620),
(24719, '3q6nC03', NULL, NULL, 151, NULL, NULL, 16620),
(24720, '3hjcA03', NULL, NULL, 152, NULL, NULL, 16620),
(24721, '1ibtC00', NULL, NULL, 81, NULL, NULL, 16621),
(24722, '1sy7A02', NULL, NULL, 64, NULL, NULL, 16622),
(24723, '4aumA02', NULL, NULL, 99, NULL, NULL, 16622),
(24724, '3ttvA02', NULL, NULL, 104, NULL, NULL, 16622),
(24725, '4aj9A02', NULL, NULL, 98, NULL, NULL, 16622),
(24726, '2iufA02', NULL, NULL, 98, NULL, NULL, 16622),
(24727, '3pmcA00', NULL, NULL, 139, NULL, NULL, 16623),
(24728, '3pmdA00', NULL, NULL, 153, NULL, NULL, 16623),
(24729, '1wktA00', NULL, NULL, 88, NULL, NULL, 16624),
(24730, '2yggA00', NULL, NULL, 70, NULL, NULL, 16625),
(24731, '2ewfA02', NULL, NULL, 81, NULL, NULL, 16626),
(24732, '5zw4A00', NULL, NULL, 225, NULL, NULL, 16627),
(24733, '4guaA02', NULL, NULL, 208, NULL, NULL, 16627),
(24734, '2jjqA02', NULL, NULL, 204, NULL, NULL, 16627),
(24735, '3mq2A00', NULL, NULL, 218, NULL, NULL, 16627),
(24736, '3sm3A00', NULL, NULL, 218, NULL, NULL, 16627),
(24737, '3ubtA01', NULL, NULL, 180, NULL, NULL, 16627),
(24738, '3pvcA01', NULL, NULL, 224, NULL, NULL, 16627),
(24739, '3vseA03', NULL, NULL, 224, NULL, NULL, 16627),
(24740, '3tmaA02', NULL, NULL, 181, NULL, NULL, 16627),
(24741, '1g55A02', NULL, NULL, 199, NULL, NULL, 16627),
(24742, '3e8sA00', NULL, NULL, 227, NULL, NULL, 16627),
(24743, '1xj5B02', NULL, NULL, 237, NULL, NULL, 16627),
(24744, '2oxtA00', NULL, NULL, 265, NULL, NULL, 16627),
(24745, '4xcxA00', NULL, NULL, 249, NULL, NULL, 16627),
(24746, '3bt7A01', NULL, NULL, 224, NULL, NULL, 16627),
(24747, '3jwhA00', NULL, NULL, 217, NULL, NULL, 16627),
(24748, '1u2zA02', NULL, NULL, 180, NULL, NULL, 16627),
(24749, '4lecA00', NULL, NULL, 212, NULL, NULL, 16627),
(24750, '5x7fA00', NULL, NULL, 205, NULL, NULL, 16627),
(24751, '3dp7A03', NULL, NULL, 172, NULL, NULL, 16627),
(24752, '3iylW04', NULL, NULL, 233, NULL, NULL, 16627),
(24753, '6dubB00', NULL, NULL, 222, NULL, NULL, 16627),
(24754, '3cggA00', NULL, NULL, 195, NULL, NULL, 16627),
(24755, '3dxyA00', NULL, NULL, 218, NULL, NULL, 16627),
(24756, '4mikA00', NULL, NULL, 264, NULL, NULL, 16627);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(24757, '5ftwA02', NULL, NULL, 191, NULL, NULL, 16627),
(24758, '2b78A03', NULL, NULL, 213, NULL, NULL, 16627),
(24759, '1y8cA01', NULL, NULL, 186, NULL, NULL, 16627),
(24760, '1im8B00', NULL, NULL, 223, NULL, NULL, 16627),
(24761, '1xcjA00', NULL, NULL, 235, NULL, NULL, 16627),
(24762, '4rwzA00', NULL, NULL, 223, NULL, NULL, 16627),
(24763, '2fpoC00', NULL, NULL, 202, NULL, NULL, 16627),
(24764, '4c4aA03', NULL, NULL, 144, NULL, NULL, 16627),
(24765, '3r0qG01', NULL, NULL, 144, NULL, NULL, 16627),
(24766, '4pggA02', NULL, NULL, 250, NULL, NULL, 16627),
(24767, '4c4aA01', NULL, NULL, 150, NULL, NULL, 16627),
(24768, '2bzgA00', NULL, NULL, 232, NULL, NULL, 16627),
(24769, '2qm3A02', NULL, NULL, 226, NULL, NULL, 16627),
(24770, '3giwA00', NULL, NULL, 277, NULL, NULL, 16627),
(24771, '2ipxA02', NULL, NULL, 178, NULL, NULL, 16627),
(24772, '3c3pA00', NULL, NULL, 210, NULL, NULL, 16627),
(24773, '2b3tA02', NULL, NULL, 192, NULL, NULL, 16627),
(24774, '3hm2A00', NULL, NULL, 178, NULL, NULL, 16627),
(24775, '3g5tA00', NULL, NULL, 299, NULL, NULL, 16627),
(24776, '4iscA00', NULL, NULL, 164, NULL, NULL, 16627),
(24777, '3ptaA05', NULL, NULL, 202, NULL, NULL, 16627),
(24778, '5fubA01', NULL, NULL, 149, NULL, NULL, 16627),
(24779, '5ezqA02', NULL, NULL, 189, NULL, NULL, 16627),
(24780, '5iceA02', NULL, NULL, 251, NULL, NULL, 16627),
(24781, '2i7cB02', NULL, NULL, 224, NULL, NULL, 16627),
(24782, '3grzB00', NULL, NULL, 205, NULL, NULL, 16627),
(24783, '3ldgA02', NULL, NULL, 189, NULL, NULL, 16627),
(24784, '2wa2A00', NULL, NULL, 255, NULL, NULL, 16627),
(24785, '4gekA00', NULL, NULL, 230, NULL, NULL, 16627),
(24786, '3dmgA01', NULL, NULL, 179, NULL, NULL, 16627),
(24787, '4krgA01', NULL, NULL, 249, NULL, NULL, 16627),
(24788, '4l7vA00', NULL, NULL, 206, NULL, NULL, 16627),
(24789, '1nt2A02', NULL, NULL, 174, NULL, NULL, 16627),
(24790, '3dmgA02', NULL, NULL, 202, NULL, NULL, 16627),
(24791, '6iwtA02', NULL, NULL, 248, NULL, NULL, 16627),
(24792, '5t67A02', NULL, NULL, 202, NULL, NULL, 16627),
(24793, '6qe0A00', NULL, NULL, 283, NULL, NULL, 16627),
(24794, '2py6A03', NULL, NULL, 200, NULL, NULL, 16627),
(24795, '1xtpA01', NULL, NULL, 216, NULL, NULL, 16627),
(24796, '3bkwB00', NULL, NULL, 219, NULL, NULL, 16627),
(24797, '1ne2B00', NULL, NULL, 200, NULL, NULL, 16627),
(24798, '3lbyA00', NULL, NULL, 181, NULL, NULL, 16627),
(24799, '3m4xA02', NULL, NULL, 303, NULL, NULL, 16627),
(24800, '1o9gA01', NULL, NULL, 207, NULL, NULL, 16627),
(24801, '1ve3A00', NULL, NULL, 227, NULL, NULL, 16627),
(24802, '1uwvA02', NULL, NULL, 207, NULL, NULL, 16627),
(24803, '4kigA02', NULL, NULL, 178, NULL, NULL, 16627),
(24804, '2yx1A03', NULL, NULL, 180, NULL, NULL, 16627),
(24805, '1kyzA02', NULL, NULL, 250, NULL, NULL, 16627),
(24806, '3ftdA01', NULL, NULL, 184, NULL, NULL, 16627),
(24807, '3tqsA01', NULL, NULL, 190, NULL, NULL, 16627),
(24808, '2qyoA02', NULL, NULL, 249, NULL, NULL, 16627),
(24809, '1yf3A01', NULL, NULL, 164, NULL, NULL, 16627),
(24810, '5yx2B00', NULL, NULL, 208, NULL, NULL, 16627),
(24811, '3ou2A00', NULL, NULL, 218, NULL, NULL, 16627),
(24812, '3douA00', NULL, NULL, 191, NULL, NULL, 16627),
(24813, '3me5A02', NULL, NULL, 280, NULL, NULL, 16627),
(24814, '1zq9A01', NULL, NULL, 187, NULL, NULL, 16627),
(24815, '3kkzB00', NULL, NULL, 267, NULL, NULL, 16627),
(24816, '3m70A02', NULL, NULL, 179, NULL, NULL, 16627),
(24817, '1af7A02', NULL, NULL, 194, NULL, NULL, 16627),
(24818, '3g7uA01', NULL, NULL, 198, NULL, NULL, 16627),
(24819, '2pjdA01', NULL, NULL, 158, NULL, NULL, 16627),
(24820, '5f2kB02', NULL, NULL, 215, NULL, NULL, 16627),
(24821, '2pjdA02', NULL, NULL, 185, NULL, NULL, 16627),
(24822, '1kpgD00', NULL, NULL, 287, NULL, NULL, 16627),
(24823, '1ixkA02', NULL, NULL, 207, NULL, NULL, 16627),
(24824, '3tm4A02', NULL, NULL, 184, NULL, NULL, 16627),
(24825, '3khkA02', NULL, NULL, 319, NULL, NULL, 16627),
(24826, '3vc1J00', NULL, NULL, 276, NULL, NULL, 16627),
(24827, '3c3yA00', NULL, NULL, 237, NULL, NULL, 16627),
(24828, '1r8xA02', NULL, NULL, 188, NULL, NULL, 16627),
(24829, '2ob1A00', NULL, NULL, 319, NULL, NULL, 16627);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(24830, '5c0oH00', NULL, NULL, 220, NULL, NULL, 16627),
(24831, '4pcaB00', NULL, NULL, 226, NULL, NULL, 16627),
(24832, '1jg1A00', NULL, NULL, 235, NULL, NULL, 16627),
(24833, '4dkjA01', NULL, NULL, 311, NULL, NULL, 16627),
(24834, '5eehC03', NULL, NULL, 172, NULL, NULL, 16627),
(24835, '2yqzA01', NULL, NULL, 195, NULL, NULL, 16627),
(24836, '4x1oA00', NULL, NULL, 219, NULL, NULL, 16627),
(24837, '3ckkA01', NULL, NULL, 215, NULL, NULL, 16627),
(24838, '3tfwB00', NULL, NULL, 226, NULL, NULL, 16627),
(24839, '5cm2Z00', NULL, NULL, 205, NULL, NULL, 16627),
(24840, '1vbfA00', NULL, NULL, 231, NULL, NULL, 16627),
(24841, '3gu3A01', NULL, NULL, 175, NULL, NULL, 16627),
(24842, '2iipC00', NULL, NULL, 260, NULL, NULL, 16627),
(24843, '3c0kA03', NULL, NULL, 215, NULL, NULL, 16627),
(24844, '3hp7A02', NULL, NULL, 224, NULL, NULL, 16627),
(24845, '3egeA00', NULL, NULL, 261, NULL, NULL, 16627),
(24846, '5cvdB00', NULL, NULL, 226, NULL, NULL, 16627),
(24847, '5bp7A00', NULL, NULL, 248, NULL, NULL, 16627),
(24848, '4hh4C01', NULL, NULL, 198, NULL, NULL, 16627),
(24849, '5bxyA00', NULL, NULL, 158, NULL, NULL, 16627),
(24850, '5ccbA02', NULL, NULL, 217, NULL, NULL, 16627),
(24851, '1i1nA00', NULL, NULL, 226, NULL, NULL, 16627),
(24852, '3iv6A01', NULL, NULL, 196, NULL, NULL, 16627),
(24853, '2ih2A01', NULL, NULL, 223, NULL, NULL, 16627),
(24854, '2oo3A00', NULL, NULL, 283, NULL, NULL, 16627),
(24855, '3evfA00', NULL, NULL, 277, NULL, NULL, 16627),
(24856, '6fdfA01', NULL, NULL, 204, NULL, NULL, 16627),
(24857, '2gb4B00', NULL, NULL, 230, NULL, NULL, 16627),
(24858, '3ufbA02', NULL, NULL, 325, NULL, NULL, 16627),
(24859, '3l8dA00', NULL, NULL, 211, NULL, NULL, 16627),
(24860, '1xdzA00', NULL, NULL, 240, NULL, NULL, 16627),
(24861, '4qtuB00', NULL, NULL, 208, NULL, NULL, 16627),
(24862, '3ua4A02', NULL, NULL, 151, NULL, NULL, 16627),
(24863, '2okcA02', NULL, NULL, 318, NULL, NULL, 16627),
(24864, '5epeA00', NULL, NULL, 248, NULL, NULL, 16627),
(24865, '2b9eA02', NULL, NULL, 223, NULL, NULL, 16627),
(24866, '3cc8A00', NULL, NULL, 211, NULL, NULL, 16627),
(24867, '2nxcA03', NULL, NULL, 153, NULL, NULL, 16627),
(24868, '2xvmA00', NULL, NULL, 199, NULL, NULL, 16627),
(24869, '4ymhD00', NULL, NULL, 240, NULL, NULL, 16627),
(24870, '4kdrA00', NULL, NULL, 223, NULL, NULL, 16627),
(24871, '5fa8A00', NULL, NULL, 161, NULL, NULL, 16627),
(24872, '2as0A03', NULL, NULL, 218, NULL, NULL, 16627),
(24873, '3tr6A00', NULL, NULL, 225, NULL, NULL, 16627),
(24874, '3trkA02', NULL, NULL, 186, NULL, NULL, 16627),
(24875, '5gutA02', NULL, NULL, 297, NULL, NULL, 16627),
(24876, '3lccA00', NULL, NULL, 235, NULL, NULL, 16627),
(24877, '4g56A02', NULL, NULL, 167, NULL, NULL, 16627),
(24878, '1dl5A01', NULL, NULL, 201, NULL, NULL, 16627),
(24879, '3cvoA00', NULL, NULL, 202, NULL, NULL, 16627),
(24880, '1dusA00', NULL, NULL, 194, NULL, NULL, 16627),
(24881, '5dm2A00', NULL, NULL, 265, NULL, NULL, 16627),
(24882, '1l3iA00', NULL, NULL, 192, NULL, NULL, 16627),
(24883, '3bwyA00', NULL, NULL, 214, NULL, NULL, 16627),
(24884, '3axsA01', NULL, NULL, 322, NULL, NULL, 16627),
(24885, '3o4fH02', NULL, NULL, 234, NULL, NULL, 16627),
(24886, '3b5iB01', NULL, NULL, 254, NULL, NULL, 16627),
(24887, '2e5wB02', NULL, NULL, 224, NULL, NULL, 16627),
(24888, '5ehiA00', NULL, NULL, 276, NULL, NULL, 16627),
(24889, '5xncA02', NULL, NULL, 232, NULL, NULL, 16627),
(24890, '3evzA01', NULL, NULL, 191, NULL, NULL, 16627),
(24891, '3t0iA00', NULL, NULL, 245, NULL, NULL, 16627),
(24892, '3e7pA00', NULL, NULL, 270, NULL, NULL, 16627),
(24893, '2zigA00', NULL, NULL, 277, NULL, NULL, 16627),
(24894, '3jwgA00', NULL, NULL, 219, NULL, NULL, 16627),
(24895, '1eg2A00', NULL, NULL, 284, NULL, NULL, 16627),
(24896, '5yacA03', NULL, NULL, 186, NULL, NULL, 16627),
(24897, '1qamA01', NULL, NULL, 166, NULL, NULL, 16627),
(24898, '4necC01', NULL, NULL, 226, NULL, NULL, 16627),
(24899, '3bxoA01', NULL, NULL, 180, NULL, NULL, 16627),
(24900, '3ua3A02', NULL, NULL, 201, NULL, NULL, 16627),
(24901, '3h2bB00', NULL, NULL, 203, NULL, NULL, 16627),
(24902, '1wznA01', NULL, NULL, 189, NULL, NULL, 16627);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(24903, '2ozvA01', NULL, NULL, 219, NULL, NULL, 16627),
(24904, '4m37A01', NULL, NULL, 145, NULL, NULL, 16627),
(24905, '1wxxA03', NULL, NULL, 211, NULL, NULL, 16627),
(24906, '2pxxA00', NULL, NULL, 215, NULL, NULL, 16627),
(24907, '5p9vA00', NULL, NULL, 221, NULL, NULL, 16627),
(24908, '2p41A00', NULL, NULL, 273, NULL, NULL, 16627),
(24909, '4gc5A01', NULL, NULL, 238, NULL, NULL, 16627),
(24910, '3p9cA02', NULL, NULL, 248, NULL, NULL, 16627),
(24911, '3q7eA01', NULL, NULL, 135, NULL, NULL, 16627),
(24912, '2wk1A00', NULL, NULL, 249, NULL, NULL, 16627),
(24913, '6c8rB02', NULL, NULL, 223, NULL, NULL, 16627),
(24914, '3id6C02', NULL, NULL, 178, NULL, NULL, 16627),
(24915, '2xyqA00', NULL, NULL, 290, NULL, NULL, 16627),
(24916, '3lstA02', NULL, NULL, 247, NULL, NULL, 16627),
(24917, '1sqgA04', NULL, NULL, 199, NULL, NULL, 16627),
(24918, '1jsxA00', NULL, NULL, 207, NULL, NULL, 16627),
(24919, '5hfjC00', NULL, NULL, 232, NULL, NULL, 16627),
(24920, '1r74B02', NULL, NULL, 190, NULL, NULL, 16627),
(24921, '3k0bA02', NULL, NULL, 191, NULL, NULL, 16627),
(24922, '1iy9A01', NULL, NULL, 184, NULL, NULL, 16627),
(24923, '4fsdA01', NULL, NULL, 236, NULL, NULL, 16627),
(24924, '3g5lB00', NULL, NULL, 226, NULL, NULL, 16627),
(24925, '6q56A01', NULL, NULL, 166, NULL, NULL, 16627),
(24926, '3hnrA00', NULL, NULL, 197, NULL, NULL, 16627),
(24927, '6c5bA02', NULL, NULL, 249, NULL, NULL, 16627),
(24928, '3ajdA02', NULL, NULL, 206, NULL, NULL, 16627),
(24929, '3dliA00', NULL, NULL, 240, NULL, NULL, 16627),
(24930, '3kr9A01', NULL, NULL, 161, NULL, NULL, 16627),
(24931, '1nkvB00', NULL, NULL, 256, NULL, NULL, 16627),
(24932, '4obxA00', NULL, NULL, 235, NULL, NULL, 16627),
(24933, '3g89B00', NULL, NULL, 249, NULL, NULL, 16627),
(24934, '3p2eA00', NULL, NULL, 225, NULL, NULL, 16627),
(24935, '3i53A03', NULL, NULL, 162, NULL, NULL, 16627),
(24936, '6qmmA02', NULL, NULL, 223, NULL, NULL, 16627),
(24937, '3e23A00', NULL, NULL, 211, NULL, NULL, 16627),
(24938, '1r18A00', NULL, NULL, 227, NULL, NULL, 16627),
(24939, '1uirA02', NULL, NULL, 256, NULL, NULL, 16627),
(24940, '5c1iA00', NULL, NULL, 251, NULL, NULL, 16627),
(24941, '3ll7A02', NULL, NULL, 196, NULL, NULL, 16627),
(24942, '1booA00', NULL, NULL, 285, NULL, NULL, 16627),
(24943, '1wg8A01', NULL, NULL, 184, NULL, NULL, 16627),
(24944, '4m7rA00', NULL, NULL, 196, NULL, NULL, 16627),
(24945, '6ifwA01', NULL, NULL, 197, NULL, NULL, 16627),
(24946, '3a27A00', NULL, NULL, 246, NULL, NULL, 16627),
(24947, '5gm2K01', NULL, NULL, 246, NULL, NULL, 16627),
(24948, '4lg1B00', NULL, NULL, 224, NULL, NULL, 16627),
(24949, '2uyoA00', NULL, NULL, 310, NULL, NULL, 16627),
(24950, '1ej6A04', NULL, NULL, 230, NULL, NULL, 16627),
(24951, '1m6yA01', NULL, NULL, 187, NULL, NULL, 16627),
(24952, '4e70B02', NULL, NULL, 261, NULL, NULL, 16627),
(24953, '4pwyA00', NULL, NULL, 264, NULL, NULL, 16627),
(24954, '1vlmA00', NULL, NULL, 219, NULL, NULL, 16627),
(24955, '1i9gA02', NULL, NULL, 197, NULL, NULL, 16627),
(24956, '2g1pB01', NULL, NULL, 178, NULL, NULL, 16627),
(24957, '5h02A02', NULL, NULL, 178, NULL, NULL, 16627),
(24958, '1inlD01', NULL, NULL, 229, NULL, NULL, 16627),
(24959, '2i6gA00', NULL, NULL, 199, NULL, NULL, 16627),
(24960, '4fzvA02', NULL, NULL, 226, NULL, NULL, 16627),
(24961, '2avnA00', NULL, NULL, 260, NULL, NULL, 16627),
(24962, '2f8lA02', NULL, NULL, 245, NULL, NULL, 16627),
(24963, '5hoqC00', NULL, NULL, 257, NULL, NULL, 16627),
(24964, '4iv8A00', NULL, NULL, 245, NULL, NULL, 16627),
(24965, '3i9fB00', NULL, NULL, 170, NULL, NULL, 16627),
(24966, '6clwB03', NULL, NULL, 168, NULL, NULL, 16627),
(24967, '2h00B00', NULL, NULL, 254, NULL, NULL, 16627),
(24968, '4mtlA00', NULL, NULL, 208, NULL, NULL, 16627),
(24969, '1mjfB02', NULL, NULL, 226, NULL, NULL, 16627),
(24970, '5xohA02', NULL, NULL, 249, NULL, NULL, 16627),
(24971, '3bgvD00', NULL, NULL, 280, NULL, NULL, 16627),
(24972, '2bm8B02', NULL, NULL, 172, NULL, NULL, 16627),
(24973, '2fcaA00', NULL, NULL, 213, NULL, NULL, 16627),
(24974, '3gwzA02', NULL, NULL, 250, NULL, NULL, 16627),
(24975, '2frxB01', NULL, NULL, 310, NULL, NULL, 16627);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(24976, '2dpmA01', NULL, NULL, 181, NULL, NULL, 16627),
(24977, '3k6rA02', NULL, NULL, 192, NULL, NULL, 16627),
(24978, '1l1eB00', NULL, NULL, 287, NULL, NULL, 16627),
(24979, '3lecA01', NULL, NULL, 167, NULL, NULL, 16627),
(24980, '2pgxA02', NULL, NULL, 202, NULL, NULL, 16627),
(24981, '4p7fA00', NULL, NULL, 222, NULL, NULL, 16627),
(24982, '3dtnA01', NULL, NULL, 197, NULL, NULL, 16627),
(24983, '2cmgA02', NULL, NULL, 211, NULL, NULL, 16627),
(24984, '2yxlA04', NULL, NULL, 207, NULL, NULL, 16627),
(24985, '5eqjB02', NULL, NULL, 243, NULL, NULL, 16627),
(24986, '2qrvA01', NULL, NULL, 208, NULL, NULL, 16627),
(24987, '4qdjA00', NULL, NULL, 238, NULL, NULL, 16627),
(24988, '2i6gB00', NULL, NULL, 199, NULL, NULL, 16627),
(24989, '2h1rB01', NULL, NULL, 178, NULL, NULL, 16627),
(24990, '3mczA02', NULL, NULL, 247, NULL, NULL, 16627),
(24991, '3dh0B00', NULL, NULL, 193, NULL, NULL, 16627),
(24992, '1nv8A02', NULL, NULL, 197, NULL, NULL, 16627),
(24993, '2p35A01', NULL, NULL, 181, NULL, NULL, 16627),
(24994, '5ciyA01', NULL, NULL, 229, NULL, NULL, 16627),
(24995, '3ccfA00', NULL, NULL, 239, NULL, NULL, 16627),
(24996, '2o57D00', NULL, NULL, 268, NULL, NULL, 16627),
(24997, '3njrA00', NULL, NULL, 184, NULL, NULL, 16627),
(24998, '3ihtA00', NULL, NULL, 174, NULL, NULL, 16627),
(24999, '2r3sA03', NULL, NULL, 214, NULL, NULL, 16627),
(25000, '2qy6A01', NULL, NULL, 247, NULL, NULL, 16627),
(25001, '5ih3B01', NULL, NULL, 162, NULL, NULL, 16627),
(25002, '3eldA01', NULL, NULL, 266, NULL, NULL, 16627),
(25003, '6i6mA02', NULL, NULL, 250, NULL, NULL, 16627),
(25004, '4f85A00', NULL, NULL, 246, NULL, NULL, 16627),
(25005, '3merA00', NULL, NULL, 202, NULL, NULL, 16627),
(25006, '5cvvA02', NULL, NULL, 250, NULL, NULL, 16627),
(25007, '4pioB01', NULL, NULL, 189, NULL, NULL, 16627),
(25008, '1yb2A00', NULL, NULL, 250, NULL, NULL, 16627),
(25009, '3eeyA00', NULL, NULL, 197, NULL, NULL, 16627),
(25010, '6aw4A00', NULL, NULL, 228, NULL, NULL, 16627),
(25011, '3ggdA00', NULL, NULL, 245, NULL, NULL, 16627),
(25012, '3busB00', NULL, NULL, 248, NULL, NULL, 16627),
(25013, '2ip2A02', NULL, NULL, 246, NULL, NULL, 16627),
(25014, '5kvaA00', NULL, NULL, 227, NULL, NULL, 16627),
(25015, '1pjzA00', NULL, NULL, 203, NULL, NULL, 16627),
(25016, '2p8jA00', NULL, NULL, 209, NULL, NULL, 16627),
(25017, '2zwaA01', NULL, NULL, 364, NULL, NULL, 16627),
(25018, '3gnlA01', NULL, NULL, 169, NULL, NULL, 16627),
(25019, '5fcdA00', NULL, NULL, 239, NULL, NULL, 16627),
(25020, '2i62A00', NULL, NULL, 265, NULL, NULL, 16627),
(25021, '3mtiB00', NULL, NULL, 185, NULL, NULL, 16627),
(25022, '2o57A02', NULL, NULL, 165, NULL, NULL, 16627),
(25023, '2b2cA02', NULL, NULL, 225, NULL, NULL, 16627),
(25024, '2a14A00', NULL, NULL, 263, NULL, NULL, 16627),
(25025, '3ntvA00', NULL, NULL, 211, NULL, NULL, 16627),
(25026, '3lcvB02', NULL, NULL, 210, NULL, NULL, 16627),
(25027, '4azsA01', NULL, NULL, 219, NULL, NULL, 16627),
(25028, '4jxjA01', NULL, NULL, 181, NULL, NULL, 16627),
(25029, '2avdA00', NULL, NULL, 229, NULL, NULL, 16627),
(25030, '1tpyA00', NULL, NULL, 287, NULL, NULL, 16627),
(25031, '1g8aA02', NULL, NULL, 176, NULL, NULL, 16627),
(25032, '1f3lA01', NULL, NULL, 143, NULL, NULL, 16627),
(25033, '5fwaA01', NULL, NULL, 148, NULL, NULL, 16627),
(25034, '4ponA00', NULL, NULL, 200, NULL, NULL, 16627),
(25035, '4df3A02', NULL, NULL, 178, NULL, NULL, 16627),
(25036, '4a6dA02', NULL, NULL, 259, NULL, NULL, 16627),
(25037, '4lwoE01', NULL, NULL, 160, NULL, NULL, 16627),
(25038, '3evgA00', NULL, NULL, 275, NULL, NULL, 16627),
(25039, '3x0dA03', NULL, NULL, 134, NULL, NULL, 16627),
(25040, '2p7iA00', NULL, NULL, 228, NULL, NULL, 16627),
(25041, '3e05B00', NULL, NULL, 204, NULL, NULL, 16627),
(25042, '3x0dA01', NULL, NULL, 151, NULL, NULL, 16627),
(25043, '1v39A00', NULL, NULL, 322, NULL, NULL, 16627),
(25044, '1p91B00', NULL, NULL, 269, NULL, NULL, 16627),
(25045, '2hnkA00', NULL, NULL, 239, NULL, NULL, 16627),
(25046, '3futA01', NULL, NULL, 203, NULL, NULL, 16627),
(25047, '2fk8A00', NULL, NULL, 281, NULL, NULL, 16627),
(25048, '5dstC01', NULL, NULL, 154, NULL, NULL, 16627);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(25049, '1fp1D02', NULL, NULL, 249, NULL, NULL, 16627),
(25050, '2yuiA00', NULL, NULL, 182, NULL, NULL, 16627),
(25051, '2pbfA00', NULL, NULL, 227, NULL, NULL, 16627),
(25052, '4htfA00', NULL, NULL, 254, NULL, NULL, 16627),
(25053, '1g60B00', NULL, NULL, 260, NULL, NULL, 16627),
(25054, '3gruA01', NULL, NULL, 177, NULL, NULL, 16627),
(25055, '2gpyB00', NULL, NULL, 233, NULL, NULL, 16627),
(25056, '4dmgA03', NULL, NULL, 219, NULL, NULL, 16627),
(25057, '1wy7D00', NULL, NULL, 207, NULL, NULL, 16627),
(25058, '2dulA01', NULL, NULL, 318, NULL, NULL, 16627),
(25059, '2plwA00', NULL, NULL, 201, NULL, NULL, 16627),
(25060, '5ybbA02', NULL, NULL, 365, NULL, NULL, 16627),
(25061, '3ssmC02', NULL, NULL, 223, NULL, NULL, 16627),
(25062, '2ar0A02', NULL, NULL, 326, NULL, NULL, 16627),
(25063, '1pryA02', NULL, NULL, 176, NULL, NULL, 16627),
(25064, '2fhpA00', NULL, NULL, 187, NULL, NULL, 16627),
(25065, '2pwyA02', NULL, NULL, 178, NULL, NULL, 16627),
(25066, '4hg2B01', NULL, NULL, 170, NULL, NULL, 16627),
(25067, '4z2yA02', NULL, NULL, 228, NULL, NULL, 16627),
(25068, '3g2mA02', NULL, NULL, 172, NULL, NULL, 16627),
(25069, '3duwA00', NULL, NULL, 223, NULL, NULL, 16627),
(25070, '3thrA02', NULL, NULL, 188, NULL, NULL, 16627),
(25071, '3m6uB02', NULL, NULL, 303, NULL, NULL, 16627),
(25072, '1zg3A02', NULL, NULL, 253, NULL, NULL, 16627),
(25073, '3tkaA01', NULL, NULL, 203, NULL, NULL, 16627),
(25074, '1zkdA02', NULL, NULL, 172, NULL, NULL, 16627),
(25075, '3v97A02', NULL, NULL, 179, NULL, NULL, 16627),
(25076, '3ofkA00', NULL, NULL, 216, NULL, NULL, 16627),
(25077, '1m6eX02', NULL, NULL, 214, NULL, NULL, 16627),
(25078, '2eg5A02', NULL, NULL, 230, NULL, NULL, 16627),
(25079, '1o54A02', NULL, NULL, 196, NULL, NULL, 16627),
(25080, '2vdwG00', NULL, NULL, 302, NULL, NULL, 16627),
(25081, '5ynmA00', NULL, NULL, 303, NULL, NULL, 16627),
(25082, '4yuyB02', NULL, NULL, 228, NULL, NULL, 16627),
(25083, '4ft4A02', NULL, NULL, 416, NULL, NULL, 16627),
(25084, '1yzhB00', NULL, NULL, 214, NULL, NULL, 16627),
(25085, '2o07A02', NULL, NULL, 228, NULL, NULL, 16627),
(25086, '5n5dB00', NULL, NULL, 226, NULL, NULL, 16627),
(25087, '1xxlA00', NULL, NULL, 239, NULL, NULL, 16627),
(25088, '3lkdA02', NULL, NULL, 282, NULL, NULL, 16627),
(25089, '1vl5C00', NULL, NULL, 238, NULL, NULL, 16627),
(25090, '1ej0A00', NULL, NULL, 180, NULL, NULL, 16627),
(25091, '3mggB01', NULL, NULL, 170, NULL, NULL, 16627),
(25092, '2efjA02', NULL, NULL, 229, NULL, NULL, 16627),
(25093, '3frhA02', NULL, NULL, 195, NULL, NULL, 16627),
(25094, '3lduA02', NULL, NULL, 157, NULL, NULL, 16627),
(25095, '1suiA00', NULL, NULL, 227, NULL, NULL, 16627),
(25096, '2vdvE01', NULL, NULL, 204, NULL, NULL, 16627),
(25097, '3htxD03', NULL, NULL, 250, NULL, NULL, 16627),
(25098, '3o7wA00', NULL, NULL, 294, NULL, NULL, 16627),
(25099, '2yvlA02', NULL, NULL, 189, NULL, NULL, 16627),
(25100, '4rv9A02', NULL, NULL, 201, NULL, NULL, 16627),
(25101, '2jhpA02', NULL, NULL, 296, NULL, NULL, 16627),
(25102, '1g8sA02', NULL, NULL, 178, NULL, NULL, 16627),
(25103, '4dzrA00', NULL, NULL, 215, NULL, NULL, 16627),
(25104, '5evjA01', NULL, NULL, 235, NULL, NULL, 16627),
(25105, '3ujcA00', NULL, NULL, 266, NULL, NULL, 16627),
(25106, '2k4mA00', NULL, NULL, 153, NULL, NULL, 16627),
(25107, '1fpqA01', NULL, NULL, 201, NULL, NULL, 16627),
(25108, '4qpnA00', NULL, NULL, 203, NULL, NULL, 16627),
(25109, '4qvgA02', NULL, NULL, 198, NULL, NULL, 16627),
(25110, '3v97B04', NULL, NULL, 220, NULL, NULL, 16627),
(25111, '1i4wA01', NULL, NULL, 262, NULL, NULL, 16627),
(25112, '2yxdA00', NULL, NULL, 183, NULL, NULL, 16627),
(25113, '6aieA00', NULL, NULL, 189, NULL, NULL, 16627),
(25114, '3gczA00', NULL, NULL, 259, NULL, NULL, 16627),
(25115, '3q87B00', NULL, NULL, 170, NULL, NULL, 16627),
(25116, '2pkwA02', NULL, NULL, 204, NULL, NULL, 16627),
(25117, '3r3hA00', NULL, NULL, 220, NULL, NULL, 16627),
(25118, '3lpmA01', NULL, NULL, 248, NULL, NULL, 16627),
(25119, '3uwpA02', NULL, NULL, 220, NULL, NULL, 16627),
(25120, '3cbgA00', NULL, NULL, 232, NULL, NULL, 16627),
(25121, '3qv2A01', NULL, NULL, 207, NULL, NULL, 16627);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(25122, '1x19A02', NULL, NULL, 160, NULL, NULL, 16627),
(25123, '3bkxA00', NULL, NULL, 275, NULL, NULL, 16627),
(25124, '2r6zB02', NULL, NULL, 203, NULL, NULL, 16627),
(25125, '2esrA00', NULL, NULL, 160, NULL, NULL, 16627),
(25126, '4o29A00', NULL, NULL, 208, NULL, NULL, 16627),
(25127, '3vywA02', NULL, NULL, 238, NULL, NULL, 16627),
(25128, '3egvA02', NULL, NULL, 192, NULL, NULL, 16627),
(25129, '3lkzA00', NULL, NULL, 262, NULL, NULL, 16627),
(25130, '2b25A02', NULL, NULL, 194, NULL, NULL, 16627),
(25131, '1g6q101', NULL, NULL, 143, NULL, NULL, 16627),
(25132, '3opnA00', NULL, NULL, 232, NULL, NULL, 16627),
(25133, '3m33A00', NULL, NULL, 226, NULL, NULL, 16627),
(25134, '5lhmA00', NULL, NULL, 233, NULL, NULL, 16627),
(25135, '3tpzA01', NULL, NULL, 200, NULL, NULL, 16627),
(25136, '2vz9A05', NULL, NULL, 297, NULL, NULL, 16627),
(25137, '5kqrA00', NULL, NULL, 268, NULL, NULL, 16627),
(25138, '3orhD00', NULL, NULL, 219, NULL, NULL, 16627),
(25139, '3gjyA00', NULL, NULL, 278, NULL, NULL, 16627),
(25140, '4gqbA02', NULL, NULL, 167, NULL, NULL, 16627),
(25141, '3bzbB00', NULL, NULL, 237, NULL, NULL, 16627),
(25142, '3dlcA00', NULL, NULL, 219, NULL, NULL, 16627),
(25143, '5dlyA00', NULL, NULL, 266, NULL, NULL, 16627),
(25144, '2nyuB00', NULL, NULL, 196, NULL, NULL, 16627),
(25145, '2qe6A00', NULL, NULL, 274, NULL, NULL, 16627),
(25146, '4dcmA01', NULL, NULL, 176, NULL, NULL, 16627),
(25147, '4dcmA02', NULL, NULL, 199, NULL, NULL, 16627),
(25148, '2iftA00', NULL, NULL, 201, NULL, NULL, 16627),
(25149, '3d2lC01', NULL, NULL, 180, NULL, NULL, 16627),
(25150, '1fp2A02', NULL, NULL, 249, NULL, NULL, 16627),
(25151, '1ri5A00', NULL, NULL, 258, NULL, NULL, 16627),
(25152, '1qzzA03', NULL, NULL, 169, NULL, NULL, 16627),
(25153, '4pneA00', NULL, NULL, 280, NULL, NULL, 16627),
(25154, '2yxeB00', NULL, NULL, 215, NULL, NULL, 16627),
(25155, '2zfuA02', NULL, NULL, 163, NULL, NULL, 16627),
(25156, '4e2xA02', NULL, NULL, 202, NULL, NULL, 16627),
(25157, '3gdhA00', NULL, NULL, 220, NULL, NULL, 16627),
(25158, '5eovA00', NULL, NULL, 220, NULL, NULL, 16627),
(25159, '6dcbA00', NULL, NULL, 226, NULL, NULL, 16627),
(25160, '4kdcA00', NULL, NULL, 225, NULL, NULL, 16627),
(25161, '2px2B00', NULL, NULL, 269, NULL, NULL, 16627),
(25162, '4h0nA01', NULL, NULL, 199, NULL, NULL, 16627),
(25163, '1yubA01', NULL, NULL, 165, NULL, NULL, 16627),
(25164, '1ws6A00', NULL, NULL, 171, NULL, NULL, 16627),
(25165, '3dr5A00', NULL, NULL, 221, NULL, NULL, 16627),
(25166, '4aukA03', NULL, NULL, 182, NULL, NULL, 16627),
(25167, '4k6mA01', NULL, NULL, 269, NULL, NULL, 16627),
(25168, '3fzgA00', NULL, NULL, 200, NULL, NULL, 16627),
(25169, '3c6kB03', NULL, NULL, 194, NULL, NULL, 16627),
(25170, '4c08A01', NULL, NULL, 141, NULL, NULL, 16627),
(25171, '2igtA01', NULL, NULL, 264, NULL, NULL, 16627),
(25172, '3fpfA00', NULL, NULL, 265, NULL, NULL, 16627),
(25173, '5ikmA00', NULL, NULL, 269, NULL, NULL, 16627),
(25174, '3mb5A02', NULL, NULL, 193, NULL, NULL, 16627),
(25175, '3pfgA01', NULL, NULL, 204, NULL, NULL, 16627),
(25176, '2gs9A01', NULL, NULL, 202, NULL, NULL, 16627),
(25177, '1jqeA00', NULL, NULL, 292, NULL, NULL, 16627),
(25178, '3hemA00', NULL, NULL, 302, NULL, NULL, 16627),
(25179, '4iv0B00', NULL, NULL, 260, NULL, NULL, 16627),
(25180, '3ocjA00', NULL, NULL, 305, NULL, NULL, 16627),
(25181, '3uzuA01', NULL, NULL, 193, NULL, NULL, 16627),
(25182, '3lbfA00', NULL, NULL, 210, NULL, NULL, 16627),
(25183, '3cygA02', NULL, NULL, 101, NULL, NULL, 16628),
(25184, '2hhiA02', NULL, NULL, 86, NULL, NULL, 16628),
(25185, '5jenA02', NULL, NULL, 99, NULL, NULL, 16628),
(25186, '4e72A02', NULL, NULL, 95, NULL, NULL, 16628),
(25187, '3s5tA02', NULL, NULL, 100, NULL, NULL, 16628),
(25188, '2r41D00', NULL, NULL, 110, NULL, NULL, 16629),
(25189, '2r4jB04', NULL, NULL, 40, NULL, NULL, 16630),
(25190, '1ss3A00', NULL, NULL, 50, NULL, NULL, 16631),
(25191, '2konA00', NULL, NULL, 82, NULL, NULL, 16632),
(25192, '1vl4A01', NULL, NULL, 222, NULL, NULL, 16633),
(25193, '3qtdA01', NULL, NULL, 235, NULL, NULL, 16633),
(25194, '5nj9D01', NULL, NULL, 236, NULL, NULL, 16633);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(25195, '1vpbA01', NULL, NULL, 239, NULL, NULL, 16633),
(25196, '1a87A01', NULL, NULL, 97, NULL, NULL, 16634),
(25197, '2kvoA01', NULL, NULL, 104, NULL, NULL, 16635),
(25198, '3zpnC00', NULL, NULL, 113, NULL, NULL, 16635),
(25199, '1zvpD00', NULL, NULL, 133, NULL, NULL, 16636),
(25200, '2f06A00', NULL, NULL, 144, NULL, NULL, 16636),
(25201, '3c1mA02', NULL, NULL, 171, NULL, NULL, 16636),
(25202, '3ab4E02', NULL, NULL, 177, NULL, NULL, 16636),
(25203, '1zhvA00', NULL, NULL, 134, NULL, NULL, 16636),
(25204, '3tviE02', NULL, NULL, 167, NULL, NULL, 16636),
(25205, '5yeiA02', NULL, NULL, 161, NULL, NULL, 16636),
(25206, '3oeeP02', NULL, NULL, 211, NULL, NULL, 16637),
(25207, '5dn6G02', NULL, NULL, 222, NULL, NULL, 16637),
(25208, '1h8eG02', NULL, NULL, 206, NULL, NULL, 16637),
(25209, '3oeeY02', NULL, NULL, 148, NULL, NULL, 16637),
(25210, '5fl7G02', NULL, NULL, 205, NULL, NULL, 16637),
(25211, '4tt3G02', NULL, NULL, 144, NULL, NULL, 16637),
(25212, '2qe7G02', NULL, NULL, 130, NULL, NULL, 16637),
(25213, '1fs0G01', NULL, NULL, 130, NULL, NULL, 16637),
(25214, '1o9iA02', NULL, NULL, 63, NULL, NULL, 16638),
(25215, '1rylA00', NULL, NULL, 167, NULL, NULL, 16639),
(25216, '1vfjB00', NULL, NULL, 116, NULL, NULL, 16640),
(25217, '1naqB00', NULL, NULL, 112, NULL, NULL, 16640),
(25218, '4ushA00', NULL, NULL, 125, NULL, NULL, 16640),
(25219, '4rleA01', NULL, NULL, 104, NULL, NULL, 16640),
(25220, '2dclA00', NULL, NULL, 127, NULL, NULL, 16640),
(25221, '2gw8A00', NULL, NULL, 114, NULL, NULL, 16640),
(25222, '2zfhC00', NULL, NULL, 117, NULL, NULL, 16640),
(25223, '6gdxA00', NULL, NULL, 108, NULL, NULL, 16640),
(25224, '2o66C00', NULL, NULL, 135, NULL, NULL, 16640),
(25225, '4rwxC01', NULL, NULL, 72, NULL, NULL, 16640),
(25226, '1nzaA00', NULL, NULL, 103, NULL, NULL, 16640),
(25227, '1gnkA00', NULL, NULL, 112, NULL, NULL, 16640),
(25228, '4iyqA00', NULL, NULL, 107, NULL, NULL, 16640),
(25229, '3gsdD00', NULL, NULL, 104, NULL, NULL, 16640),
(25230, '3hluA00', NULL, NULL, 78, NULL, NULL, 16640),
(25231, '2gx8A02', NULL, NULL, 110, NULL, NULL, 16640),
(25232, '1ukuA00', NULL, NULL, 102, NULL, NULL, 16640),
(25233, '3ncqA00', NULL, NULL, 119, NULL, NULL, 16640),
(25234, '4affA00', NULL, NULL, 116, NULL, NULL, 16640),
(25235, '1kr4A00', NULL, NULL, 125, NULL, NULL, 16640),
(25236, '3lnlB02', NULL, NULL, 109, NULL, NULL, 16640),
(25237, '1vhfA00', NULL, NULL, 113, NULL, NULL, 16640),
(25238, '4e98C00', NULL, NULL, 105, NULL, NULL, 16640),
(25239, '3opkA00', NULL, NULL, 118, NULL, NULL, 16640),
(25240, '4zk7M00', NULL, NULL, 111, NULL, NULL, 16640),
(25241, '2zomA00', NULL, NULL, 113, NULL, NULL, 16640),
(25242, '4rwwA01', NULL, NULL, 103, NULL, NULL, 16640),
(25243, '1ul3A00', NULL, NULL, 112, NULL, NULL, 16640),
(25244, '3l7pC00', NULL, NULL, 115, NULL, NULL, 16640),
(25245, '4d3hB01', NULL, NULL, 104, NULL, NULL, 16640),
(25246, '1o51A00', NULL, NULL, 114, NULL, NULL, 16640),
(25247, '2vd3A03', NULL, NULL, 74, NULL, NULL, 16640),
(25248, '3bzqA00', NULL, NULL, 114, NULL, NULL, 16640),
(25249, '3dfeA00', NULL, NULL, 111, NULL, NULL, 16640),
(25250, '2cz4A00', NULL, NULL, 99, NULL, NULL, 16640),
(25251, '5d4nC00', NULL, NULL, 108, NULL, NULL, 16640),
(25252, '4rx6D00', NULL, NULL, 121, NULL, NULL, 16640),
(25253, '1p1lA00', NULL, NULL, 102, NULL, NULL, 16640),
(25254, '2j9cA00', NULL, NULL, 119, NULL, NULL, 16640),
(25255, '3hluB00', NULL, NULL, 78, NULL, NULL, 16640),
(25256, '1h3dA03', NULL, NULL, 74, NULL, NULL, 16640),
(25257, '5l9nA00', NULL, NULL, 112, NULL, NULL, 16640),
(25258, '3m05B01', NULL, NULL, 104, NULL, NULL, 16640),
(25259, '2nuhA00', NULL, NULL, 118, NULL, NULL, 16640),
(25260, '4ozjA00', NULL, NULL, 118, NULL, NULL, 16640),
(25261, '1hwuB00', NULL, NULL, 112, NULL, NULL, 16640),
(25262, '4co3A00', NULL, NULL, 112, NULL, NULL, 16640),
(25263, '3ce8A00', NULL, NULL, 100, NULL, NULL, 16640),
(25264, '3t9zB00', NULL, NULL, 118, NULL, NULL, 16640),
(25265, '1nh8A03', NULL, NULL, 67, NULL, NULL, 16640),
(25266, '1oscA00', NULL, NULL, 109, NULL, NULL, 16640),
(25267, '3n5bA00', NULL, NULL, 112, NULL, NULL, 16640);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(25268, '4yb6A03', NULL, NULL, 74, NULL, NULL, 16640),
(25269, '2eg2A00', NULL, NULL, 112, NULL, NULL, 16640),
(25270, '1o5jA00', NULL, NULL, 113, NULL, NULL, 16640),
(25271, '3ahpA00', NULL, NULL, 108, NULL, NULL, 16640),
(25272, '2r18A01', NULL, NULL, 79, NULL, NULL, 16641),
(25273, '3aj1A02', NULL, NULL, 112, NULL, NULL, 16642),
(25274, '4ragA02', NULL, NULL, 73, NULL, NULL, 16643),
(25275, '1ye9A02', NULL, NULL, 112, NULL, NULL, 16644),
(25276, '4bwcA02', NULL, NULL, 117, NULL, NULL, 16645),
(25277, '3fgrA02', NULL, NULL, 134, NULL, NULL, 16645),
(25278, '2p64A00', NULL, NULL, 52, NULL, NULL, 16646),
(25279, '2j7nA02', NULL, NULL, 80, NULL, NULL, 16647),
(25280, '5fswA02', NULL, NULL, 77, NULL, NULL, 16647),
(25281, '2z5bA00', NULL, NULL, 151, NULL, NULL, 16648),
(25282, '5gutA03', NULL, NULL, 175, NULL, NULL, 16649),
(25283, '4dovA00', NULL, NULL, 163, NULL, NULL, 16649),
(25284, '4bb7B00', NULL, NULL, 258, NULL, NULL, 16649),
(25285, '5gutA01', NULL, NULL, 139, NULL, NULL, 16649),
(25286, '2fl7A00', NULL, NULL, 232, NULL, NULL, 16649),
(25287, '3ptaA03', NULL, NULL, 180, NULL, NULL, 16649),
(25288, '1m4zA01', NULL, NULL, 210, NULL, NULL, 16649),
(25289, '3ptaA04', NULL, NULL, 213, NULL, NULL, 16649),
(25290, '1w4sA00', NULL, NULL, 149, NULL, NULL, 16649),
(25291, '4ft4B01', NULL, NULL, 166, NULL, NULL, 16649),
(25292, '4jjnK00', NULL, NULL, 214, NULL, NULL, 16649),
(25293, '3e3xA03', NULL, NULL, 95, NULL, NULL, 16650),
(25294, '4zckA03', NULL, NULL, 94, NULL, NULL, 16650),
(25295, '1knzA02', NULL, NULL, 53, NULL, NULL, 16651),
(25296, '4nv5B01', NULL, NULL, 182, NULL, NULL, 16652),
(25297, '1lmlA03', NULL, NULL, 67, NULL, NULL, 16653),
(25298, '2dq5A01', NULL, NULL, 29, NULL, NULL, 16654),
(25299, '1t1jA00', NULL, NULL, 125, NULL, NULL, 16655),
(25300, '2lf0A02', NULL, NULL, 60, NULL, NULL, 16656),
(25301, '2mizA00', NULL, NULL, 156, NULL, NULL, 16657),
(25302, '4pn6A00', NULL, NULL, 167, NULL, NULL, 16657),
(25303, '3sqnA03', NULL, NULL, 126, NULL, NULL, 16658),
(25304, '2g8lA02', NULL, NULL, 65, NULL, NULL, 16659),
(25305, '2ffjA02', NULL, NULL, 71, NULL, NULL, 16659),
(25306, '2hq4A00', NULL, NULL, 161, NULL, NULL, 16660),
(25307, '3gmiA01', NULL, NULL, 138, NULL, NULL, 16661),
(25308, '3eslA02', NULL, NULL, 124, NULL, NULL, 16662),
(25309, '3ntkB01', NULL, NULL, 89, NULL, NULL, 16663),
(25310, '1oh1A00', NULL, NULL, 109, NULL, NULL, 16664),
(25311, '1nycA00', NULL, NULL, 111, NULL, NULL, 16664),
(25312, '4fcaA02', NULL, NULL, 135, NULL, NULL, 16665),
(25313, '2x49A03', NULL, NULL, 90, NULL, NULL, 16666),
(25314, '1eqnC03', NULL, NULL, 52, NULL, NULL, 16667),
(25315, '4edgA03', NULL, NULL, 60, NULL, NULL, 16667),
(25316, '1dd9A03', NULL, NULL, 59, NULL, NULL, 16667),
(25317, '5vazA03', NULL, NULL, 58, NULL, NULL, 16667),
(25318, '3u5eW02', NULL, NULL, 32, NULL, NULL, 16668),
(25319, '4n7bA02', NULL, NULL, 111, NULL, NULL, 16669),
(25320, '3dnfA02', NULL, NULL, 83, NULL, NULL, 16669),
(25321, '4h4dA02', NULL, NULL, 102, NULL, NULL, 16669),
(25322, '2ijrA02', NULL, NULL, 179, NULL, NULL, 16670),
(25323, '2jvuA00', NULL, NULL, 104, NULL, NULL, 16671),
(25324, '2eucA00', NULL, NULL, 113, NULL, NULL, 16672),
(25325, '2jneA00', NULL, NULL, 71, NULL, NULL, 16673),
(25326, '2jrpA01', NULL, NULL, 61, NULL, NULL, 16673),
(25327, '1kg1A01', NULL, NULL, 28, NULL, NULL, 16674),
(25328, '2h88C02', NULL, NULL, 108, NULL, NULL, 16675),
(25329, '4ysxD00', NULL, NULL, 129, NULL, NULL, 16675),
(25330, '2h88D00', NULL, NULL, 103, NULL, NULL, 16675),
(25331, '4ysxC00', NULL, NULL, 155, NULL, NULL, 16675),
(25332, '1kf6D00', NULL, NULL, 119, NULL, NULL, 16675),
(25333, '1zoyD00', NULL, NULL, 103, NULL, NULL, 16675),
(25334, '1zoyC02', NULL, NULL, 108, NULL, NULL, 16675),
(25335, '1kf6C00', NULL, NULL, 130, NULL, NULL, 16675),
(25336, '2bs2C00', NULL, NULL, 256, NULL, NULL, 16675),
(25337, '2wdqC00', NULL, NULL, 129, NULL, NULL, 16675),
(25338, '2wdqD00', NULL, NULL, 115, NULL, NULL, 16675),
(25339, '2bnmA01', NULL, NULL, 78, NULL, NULL, 16676),
(25340, '2a6cB00', NULL, NULL, 83, NULL, NULL, 16676),
(25341, '2kpjA01', NULL, NULL, 70, NULL, NULL, 16676);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(25342, '3fmyA00', NULL, NULL, 73, NULL, NULL, 16676),
(25343, '3mlfE00', NULL, NULL, 88, NULL, NULL, 16676),
(25344, '2b5aA00', NULL, NULL, 77, NULL, NULL, 16676),
(25345, '1neqA00', NULL, NULL, 74, NULL, NULL, 16676),
(25346, '3g7dA04', NULL, NULL, 91, NULL, NULL, 16676),
(25347, '2xcjA00', NULL, NULL, 99, NULL, NULL, 16676),
(25348, '3r1fQ00', NULL, NULL, 135, NULL, NULL, 16676),
(25349, '3g7dA01', NULL, NULL, 104, NULL, NULL, 16676),
(25350, '2ictA01', NULL, NULL, 82, NULL, NULL, 16676),
(25351, '3qq6A00', NULL, NULL, 78, NULL, NULL, 16676),
(25352, '3kjxD01', NULL, NULL, 68, NULL, NULL, 16676),
(25353, '5wc9A01', NULL, NULL, 90, NULL, NULL, 16676),
(25354, '5d4z401', NULL, NULL, 70, NULL, NULL, 16676),
(25355, '2h8rB01', NULL, NULL, 98, NULL, NULL, 16676),
(25356, '4y42A01', NULL, NULL, 88, NULL, NULL, 16676),
(25357, '2mezA00', NULL, NULL, 106, NULL, NULL, 16676),
(25358, '1r69A00', NULL, NULL, 69, NULL, NULL, 16676),
(25359, '1uxdA00', NULL, NULL, 65, NULL, NULL, 16676),
(25360, '1au7A01', NULL, NULL, 72, NULL, NULL, 16676),
(25361, '5woqA00', NULL, NULL, 89, NULL, NULL, 16676),
(25362, '3bs3A00', NULL, NULL, 76, NULL, NULL, 16676),
(25363, '3h5tA01', NULL, NULL, 53, NULL, NULL, 16676),
(25364, '1sq8A00', NULL, NULL, 64, NULL, NULL, 16676),
(25365, '1wh6A01', NULL, NULL, 85, NULL, NULL, 16676),
(25366, '2a6cA00', NULL, NULL, 83, NULL, NULL, 16676),
(25367, '2ppxA00', NULL, NULL, 67, NULL, NULL, 16676),
(25368, '3l1pA01', NULL, NULL, 67, NULL, NULL, 16676),
(25369, '4z5hA00', NULL, NULL, 72, NULL, NULL, 16676),
(25370, '3pxpA01', NULL, NULL, 93, NULL, NULL, 16676),
(25371, '2pijB00', NULL, NULL, 67, NULL, NULL, 16676),
(25372, '4pu7A00', NULL, NULL, 82, NULL, NULL, 16676),
(25373, '3mlfB00', NULL, NULL, 95, NULL, NULL, 16676),
(25374, '5k98B00', NULL, NULL, 91, NULL, NULL, 16676),
(25375, '1zs4C00', NULL, NULL, 83, NULL, NULL, 16676),
(25376, '2ef8B00', NULL, NULL, 84, NULL, NULL, 16676),
(25377, '2ebyA01', NULL, NULL, 85, NULL, NULL, 16676),
(25378, '3f51C00', NULL, NULL, 95, NULL, NULL, 16676),
(25379, '2l8nA00', NULL, NULL, 67, NULL, NULL, 16676),
(25380, '4gqmA00', NULL, NULL, 118, NULL, NULL, 16676),
(25381, '2ewtA00', NULL, NULL, 71, NULL, NULL, 16676),
(25382, '2o38A01', NULL, NULL, 65, NULL, NULL, 16676),
(25383, '2hinA00', NULL, NULL, 71, NULL, NULL, 16676),
(25384, '4ybaA00', NULL, NULL, 81, NULL, NULL, 16676),
(25385, '2mqkA00', NULL, NULL, 65, NULL, NULL, 16676),
(25386, '3b7hA00', NULL, NULL, 78, NULL, NULL, 16676),
(25387, '1b0nA00', NULL, NULL, 111, NULL, NULL, 16676),
(25388, '2xi8A00', NULL, NULL, 66, NULL, NULL, 16676),
(25389, '5w8yA00', NULL, NULL, 73, NULL, NULL, 16676),
(25390, '3qwgB00', NULL, NULL, 93, NULL, NULL, 16676),
(25391, '1wh8A01', NULL, NULL, 89, NULL, NULL, 16676),
(25392, '3zkcA00', NULL, NULL, 62, NULL, NULL, 16676),
(25393, '3fymA00', NULL, NULL, 83, NULL, NULL, 16676),
(25394, '1jftA01', NULL, NULL, 57, NULL, NULL, 16676),
(25395, '2wusS00', NULL, NULL, 84, NULL, NULL, 16676),
(25396, '3f52A00', NULL, NULL, 77, NULL, NULL, 16676),
(25397, '4jcyA00', NULL, NULL, 98, NULL, NULL, 16676),
(25398, '6f8hC00', NULL, NULL, 105, NULL, NULL, 16676),
(25399, '1x2lA01', NULL, NULL, 85, NULL, NULL, 16676),
(25400, '3d1nP00', NULL, NULL, 82, NULL, NULL, 16676),
(25401, '3o9xA02', NULL, NULL, 73, NULL, NULL, 16676),
(25402, '2hsgA01', NULL, NULL, 60, NULL, NULL, 16676),
(25403, '2xsdC01', NULL, NULL, 71, NULL, NULL, 16676),
(25404, '3vk0B00', NULL, NULL, 91, NULL, NULL, 16676),
(25405, '2bjcA00', NULL, NULL, 62, NULL, NULL, 16676),
(25406, '1rioB00', NULL, NULL, 98, NULL, NULL, 16676),
(25407, '3kz3A00', NULL, NULL, 80, NULL, NULL, 16676),
(25408, '3trbA00', NULL, NULL, 104, NULL, NULL, 16676),
(25409, '3r1fO00', NULL, NULL, 95, NULL, NULL, 16676),
(25410, '2csfA01', NULL, NULL, 79, NULL, NULL, 16676),
(25411, '2icpA01', NULL, NULL, 82, NULL, NULL, 16676),
(25412, '2ebyB00', NULL, NULL, 113, NULL, NULL, 16676),
(25413, '3bd1B00', NULL, NULL, 63, NULL, NULL, 16676),
(25414, '3cecA00', NULL, NULL, 104, NULL, NULL, 16676),
(25415, '2jvlA01', NULL, NULL, 85, NULL, NULL, 16676);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(25416, '1ic8A01', NULL, NULL, 96, NULL, NULL, 16676),
(25417, '1y9qA01', NULL, NULL, 88, NULL, NULL, 16676),
(25418, '3omtA00', NULL, NULL, 73, NULL, NULL, 16676),
(25419, '1efaA01', NULL, NULL, 60, NULL, NULL, 16676),
(25420, '1wizA01', NULL, NULL, 79, NULL, NULL, 16676),
(25421, '3f6wE00', NULL, NULL, 83, NULL, NULL, 16676),
(25422, '2r1jL00', NULL, NULL, 68, NULL, NULL, 16676),
(25423, '2croA00', NULL, NULL, 71, NULL, NULL, 16676),
(25424, '2o4aA00', NULL, NULL, 93, NULL, NULL, 16676),
(25425, '6cf1B01', NULL, NULL, 77, NULL, NULL, 16676),
(25426, '1x57A00', NULL, NULL, 91, NULL, NULL, 16676),
(25427, '2ofyA01', NULL, NULL, 70, NULL, NULL, 16676),
(25428, '3ivpD01', NULL, NULL, 76, NULL, NULL, 16676),
(25429, '1lmb300', NULL, NULL, 92, NULL, NULL, 16676),
(25430, '4o8bA00', NULL, NULL, 101, NULL, NULL, 16676),
(25431, '3eusB00', NULL, NULL, 86, NULL, NULL, 16676),
(25432, '3bd1A00', NULL, NULL, 79, NULL, NULL, 16676),
(25433, '5w8zA00', NULL, NULL, 70, NULL, NULL, 16676),
(25434, '2fjrA01', NULL, NULL, 76, NULL, NULL, 16676),
(25435, '2awiA01', NULL, NULL, 67, NULL, NULL, 16676),
(25436, '4ghjB00', NULL, NULL, 76, NULL, NULL, 16676),
(25437, '3kxaA02', NULL, NULL, 66, NULL, NULL, 16676),
(25438, '2l49B01', NULL, NULL, 53, NULL, NULL, 16676),
(25439, '1rzsA00', NULL, NULL, 61, NULL, NULL, 16676),
(25440, '5a7lA00', NULL, NULL, 80, NULL, NULL, 16676),
(25441, '3zhiA00', NULL, NULL, 83, NULL, NULL, 16676),
(25442, '4i6rA00', NULL, NULL, 82, NULL, NULL, 16676),
(25443, '1dw9A01', NULL, NULL, 88, NULL, NULL, 16676),
(25444, '3op9A01', NULL, NULL, 73, NULL, NULL, 16676),
(25445, '2d5vA01', NULL, NULL, 79, NULL, NULL, 16676),
(25446, '2auwB02', NULL, NULL, 83, NULL, NULL, 16676),
(25447, '3u3wA01', NULL, NULL, 71, NULL, NULL, 16676),
(25448, '3oqmA01', NULL, NULL, 60, NULL, NULL, 16676),
(25449, '1e3oC01', NULL, NULL, 71, NULL, NULL, 16676),
(25450, '1y7yA00', NULL, NULL, 74, NULL, NULL, 16676),
(25451, '1pfiA00', NULL, NULL, 46, NULL, NULL, 16677),
(25452, '3hgtA00', NULL, NULL, 307, NULL, NULL, 16678),
(25453, '3egwA02', NULL, NULL, 1202, NULL, NULL, 16679),
(25454, '3s5wA00', NULL, NULL, 435, NULL, NULL, 16680),
(25455, '5jciA02', NULL, NULL, 132, NULL, NULL, 16680),
(25456, '5jciA01', NULL, NULL, 211, NULL, NULL, 16680),
(25457, '3icsA01', NULL, NULL, 195, NULL, NULL, 16680),
(25458, '3icsA02', NULL, NULL, 258, NULL, NULL, 16680),
(25459, '3pvcA02', NULL, NULL, 287, NULL, NULL, 16680),
(25460, '4udqA01', NULL, NULL, 351, NULL, NULL, 16680),
(25461, '1cjcA02', NULL, NULL, 241, NULL, NULL, 16680),
(25462, '5eowA00', NULL, NULL, 378, NULL, NULL, 16680),
(25463, '3vrdB01', NULL, NULL, 188, NULL, NULL, 16680),
(25464, '3vrdB02', NULL, NULL, 139, NULL, NULL, 16680),
(25465, '4cnkA01', NULL, NULL, 256, NULL, NULL, 16680),
(25466, '1gesB01', NULL, NULL, 219, NULL, NULL, 16680),
(25467, '4la1A02', NULL, NULL, 232, NULL, NULL, 16680),
(25468, '5u25A02', NULL, NULL, 122, NULL, NULL, 16680),
(25469, '5vn0A02', NULL, NULL, 148, NULL, NULL, 16680),
(25470, '4yshA01', NULL, NULL, 230, NULL, NULL, 16680),
(25471, '1w4xA01', NULL, NULL, 311, NULL, NULL, 16680),
(25472, '1rsgB01', NULL, NULL, 200, NULL, NULL, 16680),
(25473, '1jnrA01', NULL, NULL, 364, NULL, NULL, 16680),
(25474, '4usqA00', NULL, NULL, 361, NULL, NULL, 16680),
(25475, '1chuA01', NULL, NULL, 257, NULL, NULL, 16680),
(25476, '2pyxA01', NULL, NULL, 212, NULL, NULL, 16680),
(25477, '2a87A01', NULL, NULL, 212, NULL, NULL, 16680),
(25478, '1gerA02', NULL, NULL, 118, NULL, NULL, 16680),
(25479, '2a87A02', NULL, NULL, 123, NULL, NULL, 16680),
(25480, '5ipyA01', NULL, NULL, 353, NULL, NULL, 16680),
(25481, '5niiB01', NULL, NULL, 198, NULL, NULL, 16680),
(25482, '5ttjB01', NULL, NULL, 232, NULL, NULL, 16680),
(25483, '5ipyA02', NULL, NULL, 100, NULL, NULL, 16680),
(25484, '5vdnA02', NULL, NULL, 118, NULL, NULL, 16680),
(25485, '1gv4A02', NULL, NULL, 166, NULL, NULL, 16680),
(25486, '3qj4A01', NULL, NULL, 161, NULL, NULL, 16680),
(25487, '5vdnA01', NULL, NULL, 232, NULL, NULL, 16680),
(25488, '3qvpA01', NULL, NULL, 206, NULL, NULL, 16680),
(25489, '5u8uA02', NULL, NULL, 122, NULL, NULL, 16680);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(25490, '3v76A01', NULL, NULL, 239, NULL, NULL, 16680),
(25491, '4ap3A01', NULL, NULL, 299, NULL, NULL, 16680),
(25492, '2i0zA01', NULL, NULL, 263, NULL, NULL, 16680),
(25493, '4j56A01', NULL, NULL, 234, NULL, NULL, 16680),
(25494, '2olnA01', NULL, NULL, 231, NULL, NULL, 16680),
(25495, '1gesA02', NULL, NULL, 118, NULL, NULL, 16680),
(25496, '4j56A02', NULL, NULL, 118, NULL, NULL, 16680),
(25497, '3lxdA02', NULL, NULL, 127, NULL, NULL, 16680),
(25498, '3lxdA01', NULL, NULL, 202, NULL, NULL, 16680),
(25499, '3aljA01', NULL, NULL, 227, NULL, NULL, 16680),
(25500, '3djeA01', NULL, NULL, 232, NULL, NULL, 16680),
(25501, '3e1tA01', NULL, NULL, 253, NULL, NULL, 16680),
(25502, '1rsgA01', NULL, NULL, 257, NULL, NULL, 16680),
(25503, '4wctA01', NULL, NULL, 236, NULL, NULL, 16680),
(25504, '4fx9B01', NULL, NULL, 171, NULL, NULL, 16680),
(25505, '4o5qA02', NULL, NULL, 197, NULL, NULL, 16680),
(25506, '6ib5B00', NULL, NULL, 534, NULL, NULL, 16680),
(25507, '3nrnA01', NULL, NULL, 224, NULL, NULL, 16680),
(25508, '4h7uA01', NULL, NULL, 266, NULL, NULL, 16680),
(25509, '5j60B02', NULL, NULL, 123, NULL, NULL, 16680),
(25510, '3g5sA01', NULL, NULL, 288, NULL, NULL, 16680),
(25511, '4rekA01', NULL, NULL, 332, NULL, NULL, 16680),
(25512, '3nycA01', NULL, NULL, 231, NULL, NULL, 16680),
(25513, '5u8uD01', NULL, NULL, 232, NULL, NULL, 16680),
(25514, '3fbsB01', NULL, NULL, 190, NULL, NULL, 16680),
(25515, '2e5vA01', NULL, NULL, 279, NULL, NULL, 16680),
(25516, '6a6sA01', NULL, NULL, 228, NULL, NULL, 16680),
(25517, '3dk9A01', NULL, NULL, 220, NULL, NULL, 16680),
(25518, '3dk9A02', NULL, NULL, 129, NULL, NULL, 16680),
(25519, '3rhaB01', NULL, NULL, 197, NULL, NULL, 16680),
(25520, '1fecA02', NULL, NULL, 121, NULL, NULL, 16680),
(25521, '2culA00', NULL, NULL, 232, NULL, NULL, 16680),
(25522, '4z24A01', NULL, NULL, 368, NULL, NULL, 16680),
(25523, '3ng7X01', NULL, NULL, 225, NULL, NULL, 16680),
(25524, '1ju2A01', NULL, NULL, 347, NULL, NULL, 16680),
(25525, '2jaeA01', NULL, NULL, 196, NULL, NULL, 16680),
(25526, '3nlcA02', NULL, NULL, 243, NULL, NULL, 16680),
(25527, '5j60A01', NULL, NULL, 197, NULL, NULL, 16680),
(25528, '4y4mC00', NULL, NULL, 258, NULL, NULL, 16680),
(25529, '2eq6A01', NULL, NULL, 216, NULL, NULL, 16680),
(25530, '6j0zC01', NULL, NULL, 299, NULL, NULL, 16680),
(25531, '2eq6A02', NULL, NULL, 124, NULL, NULL, 16680),
(25532, '4bjzA01', NULL, NULL, 170, NULL, NULL, 16680),
(25533, '2gagB01', NULL, NULL, 233, NULL, NULL, 16680),
(25534, '3fbsA02', NULL, NULL, 107, NULL, NULL, 16680),
(25535, '1kdgA01', NULL, NULL, 342, NULL, NULL, 16680),
(25536, '2aqjA00', NULL, NULL, 518, NULL, NULL, 16680),
(25537, '1o5wA01', NULL, NULL, 197, NULL, NULL, 16680),
(25538, '2bcgG01', NULL, NULL, 191, NULL, NULL, 16680),
(25539, '4m52A01', NULL, NULL, 223, NULL, NULL, 16680),
(25540, '4m52A02', NULL, NULL, 121, NULL, NULL, 16680),
(25541, '2iidA02', NULL, NULL, 160, NULL, NULL, 16680),
(25542, '1fecB01', NULL, NULL, 238, NULL, NULL, 16680),
(25543, '3gyxA01', NULL, NULL, 531, NULL, NULL, 16680),
(25544, '3ihmA01', NULL, NULL, 215, NULL, NULL, 16680),
(25545, '3oz2A01', NULL, NULL, 237, NULL, NULL, 16680),
(25546, '4b1bA00', NULL, NULL, 468, NULL, NULL, 16680),
(25547, '4eqsA01', NULL, NULL, 170, NULL, NULL, 16680),
(25548, '2zbwB01', NULL, NULL, 212, NULL, NULL, 16680),
(25549, '1kf6A01', NULL, NULL, 306, NULL, NULL, 16680),
(25550, '1hyuA01', NULL, NULL, 182, NULL, NULL, 16680),
(25551, '4eqsA02', NULL, NULL, 143, NULL, NULL, 16680),
(25552, '2e57B01', NULL, NULL, 321, NULL, NULL, 16680),
(25553, '1lvlA01', NULL, NULL, 217, NULL, NULL, 16680),
(25554, '4dnaA01', NULL, NULL, 220, NULL, NULL, 16680),
(25555, '3d1cA01', NULL, NULL, 245, NULL, NULL, 16680),
(25556, '1lvlA02', NULL, NULL, 118, NULL, NULL, 16680),
(25557, '5u63A02', NULL, NULL, 127, NULL, NULL, 16680),
(25558, '3ab1A02', NULL, NULL, 126, NULL, NULL, 16680),
(25559, '4b63A00', NULL, NULL, 473, NULL, NULL, 16680),
(25560, '1trbA02', NULL, NULL, 128, NULL, NULL, 16680),
(25561, '5ts5A02', NULL, NULL, 146, NULL, NULL, 16680),
(25562, '1zmdE01', NULL, NULL, 224, NULL, NULL, 16680);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(25563, '4y4nA00', NULL, NULL, 260, NULL, NULL, 16680),
(25564, '3rp7A01', NULL, NULL, 183, NULL, NULL, 16680),
(25565, '4k2xA01', NULL, NULL, 296, NULL, NULL, 16680),
(25566, '1trbA01', NULL, NULL, 187, NULL, NULL, 16680),
(25567, '5bukB00', NULL, NULL, 450, NULL, NULL, 16680),
(25568, '3ihgA01', NULL, NULL, 248, NULL, NULL, 16680),
(25569, '4c5oA00', NULL, NULL, 357, NULL, NULL, 16680),
(25570, '3urhA02', NULL, NULL, 126, NULL, NULL, 16680),
(25571, '3urhA01', NULL, NULL, 219, NULL, NULL, 16680),
(25572, '1ebdA01', NULL, NULL, 219, NULL, NULL, 16680),
(25573, '1ebdA02', NULL, NULL, 121, NULL, NULL, 16680),
(25574, '4c3xA01', NULL, NULL, 362, NULL, NULL, 16680),
(25575, '5bvaA00', NULL, NULL, 409, NULL, NULL, 16680),
(25576, '2gqfA01', NULL, NULL, 250, NULL, NULL, 16680),
(25577, '2yg5A01', NULL, NULL, 196, NULL, NULL, 16680),
(25578, '5z2gA02', NULL, NULL, 151, NULL, NULL, 16680),
(25579, '2xdoD00', NULL, NULL, 376, NULL, NULL, 16680),
(25580, '4dnaA02', NULL, NULL, 119, NULL, NULL, 16680),
(25581, '5u63B01', NULL, NULL, 191, NULL, NULL, 16680),
(25582, '6brdA01', NULL, NULL, 292, NULL, NULL, 16680),
(25583, '3rhaA00', NULL, NULL, 461, NULL, NULL, 16680),
(25584, '3ab1B01', NULL, NULL, 236, NULL, NULL, 16680),
(25585, '4fk1A02', NULL, NULL, 112, NULL, NULL, 16680),
(25586, '4fk1A01', NULL, NULL, 192, NULL, NULL, 16680),
(25587, '5dbjD00', NULL, NULL, 455, NULL, NULL, 16680),
(25588, '3itjA02', NULL, NULL, 126, NULL, NULL, 16680),
(25589, '2hqmA01', NULL, NULL, 237, NULL, NULL, 16680),
(25590, '2hqmA02', NULL, NULL, 121, NULL, NULL, 16680),
(25591, '3o0hB02', NULL, NULL, 118, NULL, NULL, 16680),
(25592, '4dshB00', NULL, NULL, 484, NULL, NULL, 16680),
(25593, '3jskB02', NULL, NULL, 266, NULL, NULL, 16680),
(25594, '3o0hB01', NULL, NULL, 218, NULL, NULL, 16680),
(25595, '6bz0A02', NULL, NULL, 122, NULL, NULL, 16680),
(25596, '1gpeA01', NULL, NULL, 204, NULL, NULL, 16680),
(25597, '4at0A01', NULL, NULL, 357, NULL, NULL, 16680),
(25598, '5x68A00', NULL, NULL, 375, NULL, NULL, 16680),
(25599, '6frlA00', NULL, NULL, 511, NULL, NULL, 16680),
(25600, '4jnqA01', NULL, NULL, 186, NULL, NULL, 16680),
(25601, '4jnqA02', NULL, NULL, 130, NULL, NULL, 16680),
(25602, '1d5tA01', NULL, NULL, 175, NULL, NULL, 16680),
(25603, '1lqtB02', NULL, NULL, 232, NULL, NULL, 16680),
(25604, '2bs2A01', NULL, NULL, 329, NULL, NULL, 16680),
(25605, '5v36A01', NULL, NULL, 222, NULL, NULL, 16680),
(25606, '5v36A02', NULL, NULL, 118, NULL, NULL, 16680),
(25607, '5hy5B00', NULL, NULL, 523, NULL, NULL, 16680),
(25608, '1dxlA01', NULL, NULL, 225, NULL, NULL, 16680),
(25609, '1zoyA01', NULL, NULL, 336, NULL, NULL, 16680),
(25610, '1dxlA02', NULL, NULL, 124, NULL, NULL, 16680),
(25611, '3c4nA01', NULL, NULL, 247, NULL, NULL, 16680),
(25612, '3ctyA02', NULL, NULL, 123, NULL, NULL, 16680),
(25613, '5fs8A02', NULL, NULL, 166, NULL, NULL, 16680),
(25614, '5fs8A01', NULL, NULL, 165, NULL, NULL, 16680),
(25615, '5kxjA01', NULL, NULL, 262, NULL, NULL, 16680),
(25616, '3k30A03', NULL, NULL, 133, NULL, NULL, 16680),
(25617, '2gv8A01', NULL, NULL, 342, NULL, NULL, 16680),
(25618, '6bz0D01', NULL, NULL, 231, NULL, NULL, 16680),
(25619, '3ayjA01', NULL, NULL, 412, NULL, NULL, 16680),
(25620, '4uirB01', NULL, NULL, 358, NULL, NULL, 16680),
(25621, '2gv8A02', NULL, NULL, 105, NULL, NULL, 16680),
(25622, '2xveC01', NULL, NULL, 345, NULL, NULL, 16680),
(25623, '5uthA01', NULL, NULL, 196, NULL, NULL, 16680),
(25624, '5uthA02', NULL, NULL, 123, NULL, NULL, 16680),
(25625, '6cmzA01', NULL, NULL, 221, NULL, NULL, 16680),
(25626, '6cmzA02', NULL, NULL, 119, NULL, NULL, 16680),
(25627, '3da1A01', NULL, NULL, 254, NULL, NULL, 16680),
(25628, '2whdA02', NULL, NULL, 128, NULL, NULL, 16680),
(25629, '5vn0A01', NULL, NULL, 168, NULL, NULL, 16680),
(25630, '4usrA00', NULL, NULL, 361, NULL, NULL, 16680),
(25631, '1o94A03', NULL, NULL, 152, NULL, NULL, 16680),
(25632, '4x4jA01', NULL, NULL, 293, NULL, NULL, 16680),
(25633, '1fl2A02', NULL, NULL, 124, NULL, NULL, 16680),
(25634, '3d1cA02', NULL, NULL, 124, NULL, NULL, 16680),
(25635, '2dkhA01', NULL, NULL, 257, NULL, NULL, 16680);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(25636, '3itjC01', NULL, NULL, 192, NULL, NULL, 16680),
(25637, '3iwaA01', NULL, NULL, 160, NULL, NULL, 16680),
(25638, '3ctyB01', NULL, NULL, 196, NULL, NULL, 16680),
(25639, '3iwaA02', NULL, NULL, 256, NULL, NULL, 16680),
(25640, '1v59A02', NULL, NULL, 126, NULL, NULL, 16680),
(25641, '1v59A01', NULL, NULL, 229, NULL, NULL, 16680),
(25642, '4hb9A01', NULL, NULL, 389, NULL, NULL, 16680),
(25643, '6a37A01', NULL, NULL, 297, NULL, NULL, 16680),
(25644, '5u1oB01', NULL, NULL, 227, NULL, NULL, 16680),
(25645, '2v3aA02', NULL, NULL, 135, NULL, NULL, 16680),
(25646, '2v3aA01', NULL, NULL, 170, NULL, NULL, 16680),
(25647, '3uoxB01', NULL, NULL, 300, NULL, NULL, 16680),
(25648, '5x1yB01', NULL, NULL, 217, NULL, NULL, 16680),
(25649, '2jbvB01', NULL, NULL, 228, NULL, NULL, 16680),
(25650, '3oc4B01', NULL, NULL, 198, NULL, NULL, 16680),
(25651, '2wpfC01', NULL, NULL, 242, NULL, NULL, 16680),
(25652, '1nhpA02', NULL, NULL, 150, NULL, NULL, 16680),
(25653, '1nhpA01', NULL, NULL, 167, NULL, NULL, 16680),
(25654, '3cgbA01', NULL, NULL, 168, NULL, NULL, 16680),
(25655, '4ysxA01', NULL, NULL, 330, NULL, NULL, 16680),
(25656, '2whdB01', NULL, NULL, 190, NULL, NULL, 16680),
(25657, '4ntdA01', NULL, NULL, 208, NULL, NULL, 16680),
(25658, '4ntdA02', NULL, NULL, 110, NULL, NULL, 16680),
(25659, '1onfA01', NULL, NULL, 261, NULL, NULL, 16680),
(25660, '4ha6A01', NULL, NULL, 245, NULL, NULL, 16680),
(25661, '1onfA02', NULL, NULL, 118, NULL, NULL, 16680),
(25662, '3r9uB01', NULL, NULL, 190, NULL, NULL, 16680),
(25663, '4n9xA01', NULL, NULL, 327, NULL, NULL, 16680),
(25664, '1sezA01', NULL, NULL, 199, NULL, NULL, 16680),
(25665, '3cgbA02', NULL, NULL, 149, NULL, NULL, 16680),
(25666, '3ic9C01', NULL, NULL, 155, NULL, NULL, 16680),
(25667, '5eb4B01', NULL, NULL, 343, NULL, NULL, 16680),
(25668, '6fhoA01', NULL, NULL, 206, NULL, NULL, 16680),
(25669, '2weuA00', NULL, NULL, 511, NULL, NULL, 16680),
(25670, '3kkjA01', NULL, NULL, 161, NULL, NULL, 16680),
(25671, '6hnsA02', NULL, NULL, 100, NULL, NULL, 16680),
(25672, '4zcdB01', NULL, NULL, 161, NULL, NULL, 16680),
(25673, '1zmdA02', NULL, NULL, 126, NULL, NULL, 16680),
(25674, '5u1oA02', NULL, NULL, 118, NULL, NULL, 16680),
(25675, '2r0cA01', NULL, NULL, 265, NULL, NULL, 16680),
(25676, '6awaA01', NULL, NULL, 232, NULL, NULL, 16680),
(25677, '6awaA02', NULL, NULL, 122, NULL, NULL, 16680),
(25678, '1ryiA01', NULL, NULL, 242, NULL, NULL, 16680),
(25679, '2xveA02', NULL, NULL, 100, NULL, NULL, 16680),
(25680, '3h8lA01', NULL, NULL, 206, NULL, NULL, 16680),
(25681, '5j7xA01', NULL, NULL, 312, NULL, NULL, 16680),
(25682, '3h8lA02', NULL, NULL, 151, NULL, NULL, 16680),
(25683, '2jk6A02', NULL, NULL, 121, NULL, NULL, 16680),
(25684, '3r9uA02', NULL, NULL, 123, NULL, NULL, 16680),
(25685, '1rp0A02', NULL, NULL, 236, NULL, NULL, 16680),
(25686, '3dgzA01', NULL, NULL, 236, NULL, NULL, 16680),
(25687, '3r9uA01', NULL, NULL, 190, NULL, NULL, 16680),
(25688, '2r9zA02', NULL, NULL, 118, NULL, NULL, 16680),
(25689, '3dgzA02', NULL, NULL, 124, NULL, NULL, 16680),
(25690, '2rghA01', NULL, NULL, 273, NULL, NULL, 16680),
(25691, '1vg0A01', NULL, NULL, 217, NULL, NULL, 16680),
(25692, '4pabA01', NULL, NULL, 245, NULL, NULL, 16680),
(25693, '6hnsB01', NULL, NULL, 354, NULL, NULL, 16680),
(25694, '4gcmB01', NULL, NULL, 187, NULL, NULL, 16680),
(25695, '2qa2A01', NULL, NULL, 303, NULL, NULL, 16680),
(25696, '4jn9A02', NULL, NULL, 107, NULL, NULL, 16680),
(25697, '2q7vA01', NULL, NULL, 202, NULL, NULL, 16680),
(25698, '2q7vA02', NULL, NULL, 123, NULL, NULL, 16680),
(25699, '1q1rA01', NULL, NULL, 196, NULL, NULL, 16680),
(25700, '2uzzB01', NULL, NULL, 174, NULL, NULL, 16680),
(25701, '1q1rA02', NULL, NULL, 131, NULL, NULL, 16680),
(25702, '4jn9A01', NULL, NULL, 192, NULL, NULL, 16680),
(25703, '3c4aA01', NULL, NULL, 233, NULL, NULL, 16680),
(25704, '1k0iA01', NULL, NULL, 240, NULL, NULL, 16680),
(25705, '3nksA00', NULL, NULL, 477, NULL, NULL, 16680),
(25706, '4k5sA01', NULL, NULL, 311, NULL, NULL, 16680),
(25707, '3kveA02', NULL, NULL, 148, NULL, NULL, 16680),
(25708, '1ps9A03', NULL, NULL, 157, NULL, NULL, 16680);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(25709, '6jdkA01', NULL, NULL, 310, NULL, NULL, 16680),
(25710, '5mitA02', NULL, NULL, 124, NULL, NULL, 16680),
(25711, '2wpfA02', NULL, NULL, 121, NULL, NULL, 16680),
(25712, '3fpzB02', NULL, NULL, 262, NULL, NULL, 16680),
(25713, '2r9zB01', NULL, NULL, 218, NULL, NULL, 16680),
(25714, '6fw0A01', NULL, NULL, 197, NULL, NULL, 16680),
(25715, '4u8iA01', NULL, NULL, 502, NULL, NULL, 16680),
(25716, '5lv9A00', NULL, NULL, 513, NULL, NULL, 16680),
(25717, '2jk6A01', NULL, NULL, 239, NULL, NULL, 16680),
(25718, '4gcmA02', NULL, NULL, 124, NULL, NULL, 16680),
(25719, '4dgkA01', NULL, NULL, 181, NULL, NULL, 16680),
(25720, '2vvmB01', NULL, NULL, 273, NULL, NULL, 16680),
(25721, '6fmuA03', NULL, NULL, 130, NULL, NULL, 16680),
(25722, '5mitA01', NULL, NULL, 178, NULL, NULL, 16680),
(25723, '3p1wA01', NULL, NULL, 192, NULL, NULL, 16680),
(25724, '3kljA02', NULL, NULL, 110, NULL, NULL, 16680),
(25725, '3kljA01', NULL, NULL, 192, NULL, NULL, 16680),
(25726, '3fg2P02', NULL, NULL, 126, NULL, NULL, 16680),
(25727, '3fg2P01', NULL, NULL, 192, NULL, NULL, 16680),
(25728, '2vouB01', NULL, NULL, 250, NULL, NULL, 16680),
(25729, '6fmuA02', NULL, NULL, 232, NULL, NULL, 16680),
(25730, '5cqfA00', NULL, NULL, 443, NULL, NULL, 16680),
(25731, '1vdcA01', NULL, NULL, 192, NULL, NULL, 16680),
(25732, '5x1yA02', NULL, NULL, 122, NULL, NULL, 16680),
(25733, '1vdcA02', NULL, NULL, 132, NULL, NULL, 16680),
(25734, '2zbwA02', NULL, NULL, 123, NULL, NULL, 16680),
(25735, '3nt6A02', NULL, NULL, 274, NULL, NULL, 16680),
(25736, '3ps9A02', NULL, NULL, 265, NULL, NULL, 16680),
(25737, '4tm3A00', NULL, NULL, 415, NULL, NULL, 16680),
(25738, '2ywlA01', NULL, NULL, 173, NULL, NULL, 16680),
(25739, '2yquA01', NULL, NULL, 215, NULL, NULL, 16680),
(25740, '4rslA01', NULL, NULL, 227, NULL, NULL, 16680),
(25741, '2yquA02', NULL, NULL, 119, NULL, NULL, 16680),
(25742, '3gwfA01', NULL, NULL, 309, NULL, NULL, 16680),
(25743, '3q9tA01', NULL, NULL, 255, NULL, NULL, 16680),
(25744, '5oc1A01', NULL, NULL, 255, NULL, NULL, 16680),
(25745, '2ivdB01', NULL, NULL, 169, NULL, NULL, 16680),
(25746, '5w1jA02', NULL, NULL, 229, NULL, NULL, 16680),
(25747, '5w1jA03', NULL, NULL, 130, NULL, NULL, 16680),
(25748, '5koxA01', NULL, NULL, 295, NULL, NULL, 16680),
(25749, '2b9wA01', NULL, NULL, 211, NULL, NULL, 16680),
(25750, '4cy8A01', NULL, NULL, 256, NULL, NULL, 16680),
(25751, '1reoA02', NULL, NULL, 148, NULL, NULL, 16680),
(25752, '1pj5A01', NULL, NULL, 243, NULL, NULL, 16680),
(25753, '3we0A01', NULL, NULL, 270, NULL, NULL, 16680),
(25754, '1fcdA02', NULL, NULL, 139, NULL, NULL, 16680),
(25755, '1fcdA01', NULL, NULL, 188, NULL, NULL, 16680),
(25756, '6dllA01', NULL, NULL, 243, NULL, NULL, 16680),
(25757, '2qaeA02', NULL, NULL, 124, NULL, NULL, 16680),
(25758, '6nsdB00', NULL, NULL, 520, NULL, NULL, 16680),
(25759, '1pn0A01', NULL, NULL, 254, NULL, NULL, 16680),
(25760, '4h4rA01', NULL, NULL, 189, NULL, NULL, 16680),
(25761, '4k22B01', NULL, NULL, 257, NULL, NULL, 16680),
(25762, '6b4oA01', NULL, NULL, 221, NULL, NULL, 16680),
(25763, '1d4dA02', NULL, NULL, 319, NULL, NULL, 16680),
(25764, '1x31B01', NULL, NULL, 233, NULL, NULL, 16680),
(25765, '4zn0A01', NULL, NULL, 184, NULL, NULL, 16680),
(25766, '4zn0A02', NULL, NULL, 127, NULL, NULL, 16680),
(25767, '3axbA01', NULL, NULL, 248, NULL, NULL, 16680),
(25768, '6b4oA02', NULL, NULL, 118, NULL, NULL, 16680),
(25769, '4k7zA01', NULL, NULL, 224, NULL, NULL, 16680),
(25770, '4k7zA02', NULL, NULL, 117, NULL, NULL, 16680),
(25771, '4x9mA01', NULL, NULL, 225, NULL, NULL, 16680),
(25772, '1gteA04', NULL, NULL, 153, NULL, NULL, 16680),
(25773, '1aogA02', NULL, NULL, 121, NULL, NULL, 16680),
(25774, '5y77B01', NULL, NULL, 379, NULL, NULL, 16680),
(25775, '1gteA03', NULL, NULL, 196, NULL, NULL, 16680),
(25776, '1y0pA02', NULL, NULL, 323, NULL, NULL, 16680),
(25777, '3c96A01', NULL, NULL, 171, NULL, NULL, 16680),
(25778, '5usxA01', NULL, NULL, 188, NULL, NULL, 16680),
(25779, '3f8dB01', NULL, NULL, 195, NULL, NULL, 16680),
(25780, '3i6dA01', NULL, NULL, 161, NULL, NULL, 16680),
(25781, '2wdqA01', NULL, NULL, 325, NULL, NULL, 16680);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(25782, '3ka7A01', NULL, NULL, 214, NULL, NULL, 16680),
(25783, '1b37A01', NULL, NULL, 254, NULL, NULL, 16680),
(25784, '2bryA01', NULL, NULL, 497, NULL, NULL, 16680),
(25785, '2z5yA01', NULL, NULL, 195, NULL, NULL, 16680),
(25786, '1zovA01', NULL, NULL, 184, NULL, NULL, 16680),
(25787, '5uaoC00', NULL, NULL, 516, NULL, NULL, 16680),
(25788, '2qaeA01', NULL, NULL, 223, NULL, NULL, 16680),
(25789, '2gf3A01', NULL, NULL, 187, NULL, NULL, 16680),
(25790, '1mo9A01', NULL, NULL, 205, NULL, NULL, 16680),
(25791, '1mo9A02', NULL, NULL, 135, NULL, NULL, 16680),
(25792, '1aogB01', NULL, NULL, 237, NULL, NULL, 16680),
(25793, '4ia6B01', NULL, NULL, 313, NULL, NULL, 16680),
(25794, '4ywoA02', NULL, NULL, 117, NULL, NULL, 16680),
(25795, '6c87A01', NULL, NULL, 191, NULL, NULL, 16680),
(25796, '4ywoA01', NULL, NULL, 222, NULL, NULL, 16680),
(25797, '4iv9A01', NULL, NULL, 262, NULL, NULL, 16680),
(25798, '1qo8D03', NULL, NULL, 314, NULL, NULL, 16680),
(25799, '2q0lA01', NULL, NULL, 187, NULL, NULL, 16680),
(25800, '6er9B01', NULL, NULL, 319, NULL, NULL, 16680),
(25801, '2e4gA00', NULL, NULL, 530, NULL, NULL, 16680),
(25802, '2qcuB01', NULL, NULL, 229, NULL, NULL, 16680),
(25803, '2q0lA02', NULL, NULL, 124, NULL, NULL, 16680),
(25804, '1y56B01', NULL, NULL, 231, NULL, NULL, 16680),
(25805, '3f8dA02', NULL, NULL, 123, NULL, NULL, 16680),
(25806, '6du7A02', NULL, NULL, 117, NULL, NULL, 16680),
(25807, '6du7A01', NULL, NULL, 218, NULL, NULL, 16680),
(25808, '5twbA01', NULL, NULL, 221, NULL, NULL, 16680),
(25809, '4up3A02', NULL, NULL, 126, NULL, NULL, 16680),
(25810, '1coyA01', NULL, NULL, 331, NULL, NULL, 16680),
(25811, '4kprB01', NULL, NULL, 242, NULL, NULL, 16680),
(25812, '4up3A01', NULL, NULL, 187, NULL, NULL, 16680),
(25813, '3l8kA02', NULL, NULL, 124, NULL, NULL, 16680),
(25814, '3l8kA01', NULL, NULL, 218, NULL, NULL, 16680),
(25815, '4emiA01', NULL, NULL, 177, NULL, NULL, 16680),
(25816, '1xhcA01', NULL, NULL, 188, NULL, NULL, 16680),
(25817, '2cduA01', NULL, NULL, 167, NULL, NULL, 16680),
(25818, '1xhcA02', NULL, NULL, 118, NULL, NULL, 16680),
(25819, '2cduA02', NULL, NULL, 151, NULL, NULL, 16680),
(25820, '3ic9A03', NULL, NULL, 122, NULL, NULL, 16680),
(25821, '3ladA01', NULL, NULL, 228, NULL, NULL, 16680),
(25822, '3ladA02', NULL, NULL, 122, NULL, NULL, 16680),
(25823, '6cr0A01', NULL, NULL, 228, NULL, NULL, 16680),
(25824, '4ntcA01', NULL, NULL, 211, NULL, NULL, 16680),
(25825, '4ntcA02', NULL, NULL, 124, NULL, NULL, 16680),
(25826, '4fx9A02', NULL, NULL, 148, NULL, NULL, 16680),
(25827, '3lovA01', NULL, NULL, 162, NULL, NULL, 16680),
(25828, '3lzwA02', NULL, NULL, 119, NULL, NULL, 16680),
(25829, '3lzwA01', NULL, NULL, 213, NULL, NULL, 16680),
(25830, '4i59A01', NULL, NULL, 213, NULL, NULL, 16680),
(25831, '5n1tA02', NULL, NULL, 134, NULL, NULL, 16680),
(25832, '5n1tA01', NULL, NULL, 188, NULL, NULL, 16680),
(25833, '3oc4A02', NULL, NULL, 124, NULL, NULL, 16680),
(25834, '3dmeA01', NULL, NULL, 216, NULL, NULL, 16680),
(25835, '1y56A02', NULL, NULL, 223, NULL, NULL, 16680),
(25836, '2qa1A01', NULL, NULL, 302, NULL, NULL, 16680),
(25837, '3dghA01', NULL, NULL, 237, NULL, NULL, 16680),
(25838, '3ef6A02', NULL, NULL, 120, NULL, NULL, 16680),
(25839, '3dghA02', NULL, NULL, 123, NULL, NULL, 16680),
(25840, '4kprA02', NULL, NULL, 126, NULL, NULL, 16680),
(25841, '2h88A01', NULL, NULL, 335, NULL, NULL, 16680),
(25842, '5u25A01', NULL, NULL, 231, NULL, NULL, 16680),
(25843, '4opcA00', NULL, NULL, 453, NULL, NULL, 16680),
(25844, '5m10A01', NULL, NULL, 311, NULL, NULL, 16680),
(25845, '2gmhA01', NULL, NULL, 261, NULL, NULL, 16680),
(25846, '6aonA02', NULL, NULL, 123, NULL, NULL, 16680),
(25847, '4jq9A01', NULL, NULL, 220, NULL, NULL, 16680),
(25848, '4jq9A02', NULL, NULL, 122, NULL, NULL, 16680),
(25849, '6aonA01', NULL, NULL, 234, NULL, NULL, 16680),
(25850, '1xdiA01', NULL, NULL, 225, NULL, NULL, 16680),
(25851, '5x6rB00', NULL, NULL, 392, NULL, NULL, 16680),
(25852, '1xdiA02', NULL, NULL, 119, NULL, NULL, 16680),
(25853, '6n7fA01', NULL, NULL, 222, NULL, NULL, 16680),
(25854, '5xgvA01', NULL, NULL, 287, NULL, NULL, 16680);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(25855, '2gqwA02', NULL, NULL, 123, NULL, NULL, 16680),
(25856, '3kd9A01', NULL, NULL, 192, NULL, NULL, 16680),
(25857, '3kd9A02', NULL, NULL, 255, NULL, NULL, 16680),
(25858, '3redA01', NULL, NULL, 332, NULL, NULL, 16680),
(25859, '6n7fA02', NULL, NULL, 118, NULL, NULL, 16680),
(25860, '3nixB00', NULL, NULL, 421, NULL, NULL, 16680),
(25861, '5xaoA01', NULL, NULL, 226, NULL, NULL, 16680),
(25862, '3qfaA02', NULL, NULL, 126, NULL, NULL, 16680),
(25863, '3qfaA01', NULL, NULL, 232, NULL, NULL, 16680),
(25864, '3ntdA01', NULL, NULL, 196, NULL, NULL, 16680),
(25865, '5utxA02', NULL, NULL, 127, NULL, NULL, 16680),
(25866, '3i3lA01', NULL, NULL, 447, NULL, NULL, 16680),
(25867, '2bc0A01', NULL, NULL, 217, NULL, NULL, 16680),
(25868, '2bc0A02', NULL, NULL, 136, NULL, NULL, 16680),
(25869, '3hj6A02', NULL, NULL, 58, NULL, NULL, 16681),
(25870, '1wveC00', NULL, NULL, 80, NULL, NULL, 16682),
(25871, '5n1tB00', NULL, NULL, 75, NULL, NULL, 16682),
(25872, '1mz4A00', NULL, NULL, 137, NULL, NULL, 16682),
(25873, '3hq9A01', NULL, NULL, 155, NULL, NULL, 16682),
(25874, '1dw0A00', NULL, NULL, 112, NULL, NULL, 16682),
(25875, '1eb7A01', NULL, NULL, 154, NULL, NULL, 16682),
(25876, '1ql3A00', NULL, NULL, 99, NULL, NULL, 16682),
(25877, '1gdvA00', NULL, NULL, 85, NULL, NULL, 16682),
(25878, '4o1wA00', NULL, NULL, 79, NULL, NULL, 16682),
(25879, '4wqdA01', NULL, NULL, 136, NULL, NULL, 16682),
(25880, '4gydA00', NULL, NULL, 86, NULL, NULL, 16682),
(25881, '4xxlA00', NULL, NULL, 98, NULL, NULL, 16682),
(25882, '4q5pA00', NULL, NULL, 106, NULL, NULL, 16682),
(25883, '5c0zA00', NULL, NULL, 105, NULL, NULL, 16682),
(25884, '2zxyA00', NULL, NULL, 87, NULL, NULL, 16682),
(25885, '1h32A02', NULL, NULL, 88, NULL, NULL, 16682),
(25886, '4n0kA00', NULL, NULL, 108, NULL, NULL, 16682),
(25887, '1h32A01', NULL, NULL, 169, NULL, NULL, 16682),
(25888, '2c8sA00', NULL, NULL, 149, NULL, NULL, 16682),
(25889, '3tguD01', NULL, NULL, 196, NULL, NULL, 16682),
(25890, '3oa8A02', NULL, NULL, 100, NULL, NULL, 16682),
(25891, '5aurA00', NULL, NULL, 83, NULL, NULL, 16682),
(25892, '1ctjA00', NULL, NULL, 89, NULL, NULL, 16682),
(25893, '2qjyB01', NULL, NULL, 221, NULL, NULL, 16682),
(25894, '1c52A00', NULL, NULL, 131, NULL, NULL, 16682),
(25895, '5xteH01', NULL, NULL, 196, NULL, NULL, 16682),
(25896, '1raqA00', NULL, NULL, 108, NULL, NULL, 16682),
(25897, '3oa8A01', NULL, NULL, 130, NULL, NULL, 16682),
(25898, '2c1dA01', NULL, NULL, 175, NULL, NULL, 16682),
(25899, '2c1dA02', NULL, NULL, 89, NULL, NULL, 16682),
(25900, '1kb0A02', NULL, NULL, 97, NULL, NULL, 16682),
(25901, '1f1cA00', NULL, NULL, 129, NULL, NULL, 16682),
(25902, '3m97X00', NULL, NULL, 140, NULL, NULL, 16682),
(25903, '2aiuA00', NULL, NULL, 105, NULL, NULL, 16682),
(25904, '1nirA01', NULL, NULL, 116, NULL, NULL, 16682),
(25905, '1nmlA01', NULL, NULL, 154, NULL, NULL, 16682),
(25906, '4eieA00', NULL, NULL, 87, NULL, NULL, 16682),
(25907, '1zrtD01', NULL, NULL, 219, NULL, NULL, 16682),
(25908, '3dmiA00', NULL, NULL, 88, NULL, NULL, 16682),
(25909, '2xtsB01', NULL, NULL, 137, NULL, NULL, 16682),
(25910, '2b4zA00', NULL, NULL, 104, NULL, NULL, 16682),
(25911, '155cA00', NULL, NULL, 135, NULL, NULL, 16682),
(25912, '1cnoG00', NULL, NULL, 87, NULL, NULL, 16682),
(25913, '1f1fA00', NULL, NULL, 89, NULL, NULL, 16682),
(25914, '2gc4D00', NULL, NULL, 147, NULL, NULL, 16682),
(25915, '3cx5D01', NULL, NULL, 197, NULL, NULL, 16682),
(25916, '2l4dA00', NULL, NULL, 110, NULL, NULL, 16682),
(25917, '4kmgA00', NULL, NULL, 88, NULL, NULL, 16682),
(25918, '3mk7C03', NULL, NULL, 91, NULL, NULL, 16682),
(25919, '3wfdC00', NULL, NULL, 146, NULL, NULL, 16682),
(25920, '1c6rA00', NULL, NULL, 89, NULL, NULL, 16682),
(25921, '2d0wA00', NULL, NULL, 170, NULL, NULL, 16682),
(25922, '3vrdA02', NULL, NULL, 96, NULL, NULL, 16682),
(25923, '4pwaD00', NULL, NULL, 88, NULL, NULL, 16682),
(25924, '3vrdA01', NULL, NULL, 78, NULL, NULL, 16682),
(25925, '1h32B00', NULL, NULL, 138, NULL, NULL, 16682),
(25926, '1zzhA01', NULL, NULL, 156, NULL, NULL, 16682),
(25927, '1zzhA02', NULL, NULL, 172, NULL, NULL, 16682);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(25928, '3mk7B02', NULL, NULL, 163, NULL, NULL, 16682),
(25929, '1jdlA00', NULL, NULL, 121, NULL, NULL, 16682),
(25930, '2ce0A00', NULL, NULL, 105, NULL, NULL, 16682),
(25931, '5b6qA00', NULL, NULL, 76, NULL, NULL, 16682),
(25932, '1ls9A00', NULL, NULL, 91, NULL, NULL, 16682),
(25933, '4jcgA00', NULL, NULL, 81, NULL, NULL, 16682),
(25934, '4j20A00', NULL, NULL, 88, NULL, NULL, 16682),
(25935, '1c75A00', NULL, NULL, 71, NULL, NULL, 16682),
(25936, '3a9fA01', NULL, NULL, 68, NULL, NULL, 16682),
(25937, '2c1dB00', NULL, NULL, 137, NULL, NULL, 16682),
(25938, '4v2kA02', NULL, NULL, 117, NULL, NULL, 16682),
(25939, '2c1vA01', NULL, NULL, 161, NULL, NULL, 16682),
(25940, '2c1vA02', NULL, NULL, 177, NULL, NULL, 16682),
(25941, '1corA00', NULL, NULL, 82, NULL, NULL, 16682),
(25942, '4ljiB00', NULL, NULL, 141, NULL, NULL, 16682),
(25943, '3ziyA03', NULL, NULL, 136, NULL, NULL, 16682),
(25944, '1m70A02', NULL, NULL, 99, NULL, NULL, 16682),
(25945, '1h1oA02', NULL, NULL, 84, NULL, NULL, 16682),
(25946, '1h1oA01', NULL, NULL, 86, NULL, NULL, 16682),
(25947, '1m70A01', NULL, NULL, 91, NULL, NULL, 16682),
(25948, '2zzs100', NULL, NULL, 82, NULL, NULL, 16682),
(25949, '5dfsA00', NULL, NULL, 105, NULL, NULL, 16682),
(25950, '4eicA00', NULL, NULL, 93, NULL, NULL, 16682),
(25951, '3zooA00', NULL, NULL, 104, NULL, NULL, 16682),
(25952, '1ccrA00', NULL, NULL, 112, NULL, NULL, 16682),
(25953, '1fcdC02', NULL, NULL, 96, NULL, NULL, 16682),
(25954, '1fcdC01', NULL, NULL, 78, NULL, NULL, 16682),
(25955, '6fu3B02', NULL, NULL, 180, NULL, NULL, 16682),
(25956, '6fu3B01', NULL, NULL, 159, NULL, NULL, 16682),
(25957, '1yebA00', NULL, NULL, 108, NULL, NULL, 16682),
(25958, '1fhbA00', NULL, NULL, 108, NULL, NULL, 16682),
(25959, '1i8oA00', NULL, NULL, 114, NULL, NULL, 16682),
(25960, '1vydA00', NULL, NULL, 116, NULL, NULL, 16682),
(25961, '1qn2A00', NULL, NULL, 100, NULL, NULL, 16682),
(25962, '2bh4X00', NULL, NULL, 134, NULL, NULL, 16682),
(25963, '3cp5A00', NULL, NULL, 124, NULL, NULL, 16682),
(25964, '2yiuB01', NULL, NULL, 193, NULL, NULL, 16682),
(25965, '4nfgB00', NULL, NULL, 104, NULL, NULL, 16682),
(25966, '3mk7C02', NULL, NULL, 126, NULL, NULL, 16682),
(25967, '1cieA00', NULL, NULL, 108, NULL, NULL, 16682),
(25968, '1dvvA00', NULL, NULL, 82, NULL, NULL, 16682),
(25969, '1pp9D02', NULL, NULL, 196, NULL, NULL, 16682),
(25970, '1rz6A02', NULL, NULL, 172, NULL, NULL, 16682),
(25971, '1hroA00', NULL, NULL, 106, NULL, NULL, 16682),
(25972, '1gu2A00', NULL, NULL, 124, NULL, NULL, 16682),
(25973, '2zboA00', NULL, NULL, 86, NULL, NULL, 16682),
(25974, '4gedB00', NULL, NULL, 113, NULL, NULL, 16682),
(25975, '1w2lA00', NULL, NULL, 99, NULL, NULL, 16682),
(25976, '2zonG00', NULL, NULL, 87, NULL, NULL, 16682),
(25977, '1kx2A00', NULL, NULL, 81, NULL, NULL, 16682),
(25978, '2vhdA02', NULL, NULL, 169, NULL, NULL, 16682),
(25979, '1cotA00', NULL, NULL, 129, NULL, NULL, 16682),
(25980, '3o5cC01', NULL, NULL, 162, NULL, NULL, 16682),
(25981, '3o5cC02', NULL, NULL, 158, NULL, NULL, 16682),
(25982, '1e29A00', NULL, NULL, 135, NULL, NULL, 16682),
(25983, '3sjlA01', NULL, NULL, 170, NULL, NULL, 16682),
(25984, '3sjlA02', NULL, NULL, 203, NULL, NULL, 16682),
(25985, '1qksA01', NULL, NULL, 100, NULL, NULL, 16682),
(25986, '1kv9A02', NULL, NULL, 107, NULL, NULL, 16682),
(25987, '2blfB01', NULL, NULL, 63, NULL, NULL, 16682),
(25988, '3hq9B02', NULL, NULL, 169, NULL, NULL, 16682),
(25989, '1cchA00', NULL, NULL, 82, NULL, NULL, 16682),
(25990, '1ytcA00', NULL, NULL, 112, NULL, NULL, 16682),
(25991, '6cunA00', NULL, NULL, 123, NULL, NULL, 16682),
(25992, '2d0sA00', NULL, NULL, 79, NULL, NULL, 16682),
(25993, '3x39A00', NULL, NULL, 82, NULL, NULL, 16682),
(25994, '3c2cA00', NULL, NULL, 112, NULL, NULL, 16682),
(25995, '1co6A00', NULL, NULL, 107, NULL, NULL, 16682),
(25996, '2yk3A00', NULL, NULL, 114, NULL, NULL, 16682),
(25997, '3cu4A00', NULL, NULL, 85, NULL, NULL, 16682),
(25998, '1cyjA00', NULL, NULL, 90, NULL, NULL, 16682),
(25999, '1i54A00', NULL, NULL, 103, NULL, NULL, 16682),
(26000, '2zooA02', NULL, NULL, 123, NULL, NULL, 16682),
(26001, '1cxcA00', NULL, NULL, 124, NULL, NULL, 16682);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(26002, '3dp5A00', NULL, NULL, 99, NULL, NULL, 16682),
(26003, '1gksA00', NULL, NULL, 78, NULL, NULL, 16682),
(26004, '1cc5A00', NULL, NULL, 83, NULL, NULL, 16682),
(26005, '4xydB00', NULL, NULL, 150, NULL, NULL, 16682),
(26006, '1yiqA02', NULL, NULL, 111, NULL, NULL, 16682),
(26007, '3ph2B00', NULL, NULL, 86, NULL, NULL, 16682),
(26008, '3oa8B00', NULL, NULL, 180, NULL, NULL, 16682),
(26009, '1dvhA00', NULL, NULL, 79, NULL, NULL, 16682),
(26010, '4aanA01', NULL, NULL, 153, NULL, NULL, 16682),
(26011, '1iqcA01', NULL, NULL, 154, NULL, NULL, 16682),
(26012, '4aanA02', NULL, NULL, 170, NULL, NULL, 16682),
(26013, '1c6sA00', NULL, NULL, 87, NULL, NULL, 16682),
(26014, '1iqcA02', NULL, NULL, 154, NULL, NULL, 16682),
(26015, '1o8rA00', NULL, NULL, 94, NULL, NULL, 16683),
(26016, '4l9uA00', NULL, NULL, 56, NULL, NULL, 16684),
(26017, '1wp9B03', NULL, NULL, 130, NULL, NULL, 16685),
(26018, '1hc9A00', NULL, NULL, 74, NULL, NULL, 16686),
(26019, '2j8bA00', NULL, NULL, 79, NULL, NULL, 16686),
(26020, '6f21A00', NULL, NULL, 57, NULL, NULL, 16686),
(26021, '1vb0A00', NULL, NULL, 61, NULL, NULL, 16686),
(26022, '1qm7A00', NULL, NULL, 61, NULL, NULL, 16686),
(26023, '1f94A00', NULL, NULL, 63, NULL, NULL, 16686),
(26024, '1tgxA00', NULL, NULL, 60, NULL, NULL, 16686),
(26025, '3vtsA00', NULL, NULL, 61, NULL, NULL, 16686),
(26026, '5do6A00', NULL, NULL, 57, NULL, NULL, 16686),
(26027, '2n99A00', NULL, NULL, 76, NULL, NULL, 16686),
(26028, '1lsiA00', NULL, NULL, 66, NULL, NULL, 16686),
(26029, '2h62C00', NULL, NULL, 96, NULL, NULL, 16686),
(26030, '2hlrA00', NULL, NULL, 100, NULL, NULL, 16686),
(26031, '1nxbA00', NULL, NULL, 62, NULL, NULL, 16686),
(26032, '5tx4A00', NULL, NULL, 116, NULL, NULL, 16686),
(26033, '2muoA00', NULL, NULL, 82, NULL, NULL, 16686),
(26034, '4do8A00', NULL, NULL, 66, NULL, NULL, 16686),
(26035, '1v6pA00', NULL, NULL, 62, NULL, NULL, 16686),
(26036, '2l03A00', NULL, NULL, 74, NULL, NULL, 16686),
(26037, '1drsA00', NULL, NULL, 59, NULL, NULL, 16686),
(26038, '3ndsA00', NULL, NULL, 62, NULL, NULL, 16686),
(26039, '4lftB00', NULL, NULL, 73, NULL, NULL, 16686),
(26040, '1ntxA00', NULL, NULL, 60, NULL, NULL, 16686),
(26041, '1kxiA00', NULL, NULL, 62, NULL, NULL, 16686),
(26042, '2h7zB00', NULL, NULL, 77, NULL, NULL, 16686),
(26043, '4iyeA00', NULL, NULL, 66, NULL, NULL, 16686),
(26044, '1ff4A00', NULL, NULL, 65, NULL, NULL, 16686),
(26045, '1ug4A00', NULL, NULL, 60, NULL, NULL, 16686),
(26046, '5nh3A00', NULL, NULL, 99, NULL, NULL, 16686),
(26047, '4zqyA00', NULL, NULL, 65, NULL, NULL, 16686),
(26048, '2fd6U01', NULL, NULL, 81, NULL, NULL, 16686),
(26049, '2fd6U02', NULL, NULL, 96, NULL, NULL, 16686),
(26050, '2fd6U03', NULL, NULL, 88, NULL, NULL, 16686),
(26051, '2pjyC00', NULL, NULL, 79, NULL, NULL, 16686),
(26052, '1jgkA00', NULL, NULL, 66, NULL, NULL, 16686),
(26053, '5ngvA00', NULL, NULL, 99, NULL, NULL, 16686),
(26054, '1txaA00', NULL, NULL, 73, NULL, NULL, 16686),
(26055, '3evsC00', NULL, NULL, 98, NULL, NULL, 16686),
(26056, '1chvS00', NULL, NULL, 60, NULL, NULL, 16686),
(26057, '2mj0A00', NULL, NULL, 66, NULL, NULL, 16686),
(26058, '2abxA00', NULL, NULL, 74, NULL, NULL, 16686),
(26059, '5mg9A00', NULL, NULL, 65, NULL, NULL, 16686),
(26060, '1tfsA00', NULL, NULL, 60, NULL, NULL, 16686),
(26061, '1m9zA00', NULL, NULL, 111, NULL, NULL, 16686),
(26062, '3ebxA00', NULL, NULL, 62, NULL, NULL, 16686),
(26063, '3neqA00', NULL, NULL, 66, NULL, NULL, 16686),
(26064, '2qj9C00', NULL, NULL, 98, NULL, NULL, 16686),
(26065, '1h0jA00', NULL, NULL, 60, NULL, NULL, 16686),
(26066, '2jqpA00', NULL, NULL, 65, NULL, NULL, 16686),
(26067, '3fevA00', NULL, NULL, 65, NULL, NULL, 16686),
(26068, '1mr6A00', NULL, NULL, 68, NULL, NULL, 16686),
(26069, '2h62D00', NULL, NULL, 98, NULL, NULL, 16686),
(26070, '2h5fA00', NULL, NULL, 77, NULL, NULL, 16686),
(26071, '2h8uA00', NULL, NULL, 65, NULL, NULL, 16686),
(26072, '1ntnA00', NULL, NULL, 72, NULL, NULL, 16686),
(26073, '3laqU01', NULL, NULL, 81, NULL, NULL, 16686),
(26074, '3laqU02', NULL, NULL, 93, NULL, NULL, 16686),
(26075, '3laqU03', NULL, NULL, 92, NULL, NULL, 16686);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(26076, '5xweA00', NULL, NULL, 62, NULL, NULL, 16686),
(26077, '2mhyA00', NULL, NULL, 57, NULL, NULL, 16686),
(26078, '4aeaA00', NULL, NULL, 71, NULL, NULL, 16686),
(26079, '1bteA00', NULL, NULL, 97, NULL, NULL, 16686),
(26080, '2qjbC00', NULL, NULL, 98, NULL, NULL, 16686),
(26081, '2h7zA00', NULL, NULL, 75, NULL, NULL, 16686),
(26082, '1cdtA00', NULL, NULL, 60, NULL, NULL, 16686),
(26083, '1g6mA00', NULL, NULL, 62, NULL, NULL, 16686),
(26084, '2vlwA00', NULL, NULL, 65, NULL, NULL, 16686),
(26085, '5lueA00', NULL, NULL, 61, NULL, NULL, 16686),
(26086, '1ks6A00', NULL, NULL, 107, NULL, NULL, 16686),
(26087, '1kbaA00', NULL, NULL, 66, NULL, NULL, 16686),
(26088, '1fasA00', NULL, NULL, 61, NULL, NULL, 16686),
(26089, '3plcB00', NULL, NULL, 63, NULL, NULL, 16686),
(26090, '3hh7A00', NULL, NULL, 65, NULL, NULL, 16686),
(26091, '1cb9A00', NULL, NULL, 60, NULL, NULL, 16686),
(26092, '4om5A00', NULL, NULL, 60, NULL, NULL, 16686),
(26093, '2jveA00', NULL, NULL, 71, NULL, NULL, 16686),
(26094, '4faoC00', NULL, NULL, 85, NULL, NULL, 16686),
(26095, '4rudA00', NULL, NULL, 58, NULL, NULL, 16686),
(26096, '3grzA01', NULL, NULL, 36, NULL, NULL, 16687),
(26097, '5xyiL00', NULL, NULL, 155, NULL, NULL, 16688),
(26098, '3jamL00', NULL, NULL, 156, NULL, NULL, 16688),
(26099, '6faiL00', NULL, NULL, 156, NULL, NULL, 16688),
(26100, '6az1U00', NULL, NULL, 173, NULL, NULL, 16688),
(26101, '3j7aV00', NULL, NULL, 161, NULL, NULL, 16688),
(26102, '4bpeQ00', NULL, NULL, 157, NULL, NULL, 16688),
(26103, '6g5iL00', NULL, NULL, 158, NULL, NULL, 16688),
(26104, '5xxuL00', NULL, NULL, 161, NULL, NULL, 16688),
(26105, '5optX00', NULL, NULL, 173, NULL, NULL, 16688),
(26106, '2dlvA01', NULL, NULL, 51, NULL, NULL, 16689),
(26107, '2ihdA01', NULL, NULL, 48, NULL, NULL, 16689),
(26108, '2d9jA01', NULL, NULL, 54, NULL, NULL, 16689),
(26109, '2jm5A01', NULL, NULL, 49, NULL, NULL, 16689),
(26110, '2bv1B01', NULL, NULL, 60, NULL, NULL, 16689),
(26111, '2v4zB01', NULL, NULL, 62, NULL, NULL, 16689),
(26112, '2crpA01', NULL, NULL, 54, NULL, NULL, 16689),
(26113, '2odeB01', NULL, NULL, 61, NULL, NULL, 16689),
(26114, '2oj4A01', NULL, NULL, 47, NULL, NULL, 16689),
(26115, '1dk8A01', NULL, NULL, 48, NULL, NULL, 16689),
(26116, '2odeD01', NULL, NULL, 45, NULL, NULL, 16689),
(26117, '3c7lB01', NULL, NULL, 47, NULL, NULL, 16689),
(26118, '2af0A01', NULL, NULL, 51, NULL, NULL, 16689),
(26119, '1agrH01', NULL, NULL, 36, NULL, NULL, 16689),
(26120, '2ebzA01', NULL, NULL, 68, NULL, NULL, 16689),
(26121, '2ihbB01', NULL, NULL, 50, NULL, NULL, 16689),
(26122, '2bt2C01', NULL, NULL, 56, NULL, NULL, 16689),
(26123, '1cmzA01', NULL, NULL, 58, NULL, NULL, 16689),
(26124, '1agrE01', NULL, NULL, 47, NULL, NULL, 16689),
(26125, '1fqiA01', NULL, NULL, 48, NULL, NULL, 16689),
(26126, '2jnuA01', NULL, NULL, 49, NULL, NULL, 16689),
(26127, '1iipA02', NULL, NULL, 85, NULL, NULL, 16690),
(26128, '5lktA02', NULL, NULL, 67, NULL, NULL, 16691),
(26129, '5i8gA03', NULL, NULL, 69, NULL, NULL, 16691),
(26130, '3dtdD00', NULL, NULL, 152, NULL, NULL, 16692),
(26131, '4anrA01', NULL, NULL, 114, NULL, NULL, 16693),
(26132, '1qusA01', NULL, NULL, 113, NULL, NULL, 16693),
(26133, '3pviA00', NULL, NULL, 157, NULL, NULL, 16694),
(26134, '1ru3A04', NULL, NULL, 89, NULL, NULL, 16695),
(26135, '1oaoC04', NULL, NULL, 91, NULL, NULL, 16695),
(26136, '1m1fB00', NULL, NULL, 110, NULL, NULL, 16696),
(26137, '5cqxA00', NULL, NULL, 119, NULL, NULL, 16696),
(26138, '3vubA00', NULL, NULL, 101, NULL, NULL, 16696),
(26139, '4mdxA00', NULL, NULL, 117, NULL, NULL, 16696),
(26140, '3jscA00', NULL, NULL, 105, NULL, NULL, 16696),
(26141, '4of1A00', NULL, NULL, 128, NULL, NULL, 16696),
(26142, '5hk3B00', NULL, NULL, 114, NULL, NULL, 16696),
(26143, '5uctB00', NULL, NULL, 103, NULL, NULL, 16696),
(26144, '5dloA00', NULL, NULL, 133, NULL, NULL, 16696),
(26145, '4hkeA00', NULL, NULL, 120, NULL, NULL, 16696),
(26146, '3oymA01', NULL, NULL, 93, NULL, NULL, 16697),
(26147, '4nzgA00', NULL, NULL, 100, NULL, NULL, 16697),
(26148, '4ncdA02', NULL, NULL, 95, NULL, NULL, 16698),
(26149, '4y2oA02', NULL, NULL, 97, NULL, NULL, 16698);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(26150, '1yx5A01', NULL, NULL, 35, NULL, NULL, 16699),
(26151, '4fxeC00', NULL, NULL, 47, NULL, NULL, 16700),
(26152, '3o3mB02', NULL, NULL, 126, NULL, NULL, 16701),
(26153, '4bwpB02', NULL, NULL, 45, NULL, NULL, 16702),
(26154, '4bwxA02', NULL, NULL, 53, NULL, NULL, 16702),
(26155, '4cyiA02', NULL, NULL, 59, NULL, NULL, 16702),
(26156, '4bwkA02', NULL, NULL, 44, NULL, NULL, 16702),
(26157, '2w4yA00', NULL, NULL, 122, NULL, NULL, 16703),
(26158, '1qgkB00', NULL, NULL, 44, NULL, NULL, 16704),
(26159, '1ka5A00', NULL, NULL, 88, NULL, NULL, 16705),
(26160, '1sphA00', NULL, NULL, 88, NULL, NULL, 16705),
(26161, '1pchA00', NULL, NULL, 88, NULL, NULL, 16705),
(26162, '2nzuL00', NULL, NULL, 88, NULL, NULL, 16705),
(26163, '1y51A00', NULL, NULL, 88, NULL, NULL, 16705),
(26164, '1ptfA00', NULL, NULL, 88, NULL, NULL, 16705),
(26165, '3le1B00', NULL, NULL, 88, NULL, NULL, 16705),
(26166, '5t17A00', NULL, NULL, 85, NULL, NULL, 16705),
(26167, '1zvvJ00', NULL, NULL, 85, NULL, NULL, 16705),
(26168, '3ihsA00', NULL, NULL, 85, NULL, NULL, 16705),
(26169, '1qr5A00', NULL, NULL, 88, NULL, NULL, 16705),
(26170, '1mu4A00', NULL, NULL, 87, NULL, NULL, 16705),
(26171, '3ccdA00', NULL, NULL, 85, NULL, NULL, 16705),
(26172, '3h3iA00', NULL, NULL, 150, NULL, NULL, 16706),
(26173, '3h1kI00', NULL, NULL, 47, NULL, NULL, 16707),
(26174, '3l71V00', NULL, NULL, 47, NULL, NULL, 16707),
(26175, '3h1iI00', NULL, NULL, 47, NULL, NULL, 16707),
(26176, '3cwbI00', NULL, NULL, 52, NULL, NULL, 16707),
(26177, '3l73V00', NULL, NULL, 47, NULL, NULL, 16707),
(26178, '3l70I00', NULL, NULL, 47, NULL, NULL, 16707),
(26179, '3h1jV00', NULL, NULL, 47, NULL, NULL, 16707),
(26180, '3h1hV00', NULL, NULL, 47, NULL, NULL, 16707),
(26181, '3cwbV00', NULL, NULL, 52, NULL, NULL, 16707),
(26182, '3tguV00', NULL, NULL, 76, NULL, NULL, 16707),
(26183, '3l74I00', NULL, NULL, 47, NULL, NULL, 16707),
(26184, '1ppjI00', NULL, NULL, 47, NULL, NULL, 16707),
(26185, '3h1lV00', NULL, NULL, 47, NULL, NULL, 16707),
(26186, '2fyuI00', NULL, NULL, 57, NULL, NULL, 16707),
(26187, '4u3fI00', NULL, NULL, 48, NULL, NULL, 16707),
(26188, '3l72I00', NULL, NULL, 47, NULL, NULL, 16707),
(26189, '3h1jI00', NULL, NULL, 47, NULL, NULL, 16707),
(26190, '3h1lI00', NULL, NULL, 47, NULL, NULL, 16707),
(26191, '3l70V00', NULL, NULL, 47, NULL, NULL, 16707),
(26192, '3h1hI00', NULL, NULL, 47, NULL, NULL, 16707),
(26193, '3l74V00', NULL, NULL, 47, NULL, NULL, 16707),
(26194, '3l72V00', NULL, NULL, 47, NULL, NULL, 16707),
(26195, '4u3fV00', NULL, NULL, 48, NULL, NULL, 16707),
(26196, '3tguI00', NULL, NULL, 76, NULL, NULL, 16707),
(26197, '5xteB00', NULL, NULL, 57, NULL, NULL, 16707),
(26198, '3h1iV00', NULL, NULL, 47, NULL, NULL, 16707),
(26199, '3l71I00', NULL, NULL, 47, NULL, NULL, 16707),
(26200, '3l75V00', NULL, NULL, 47, NULL, NULL, 16707),
(26201, '3l75I00', NULL, NULL, 47, NULL, NULL, 16707),
(26202, '3l73I00', NULL, NULL, 47, NULL, NULL, 16707),
(26203, '3h1kV00', NULL, NULL, 47, NULL, NULL, 16707),
(26204, '4idoA02', NULL, NULL, 116, NULL, NULL, 16708),
(26205, '1z8uC00', NULL, NULL, 102, NULL, NULL, 16708),
(26206, '3x1dA02', NULL, NULL, 93, NULL, NULL, 16708),
(26207, '1no1A00', NULL, NULL, 67, NULL, NULL, 16709),
(26208, '1jsuC00', NULL, NULL, 84, NULL, NULL, 16710),
(26209, '2ffwA00', NULL, NULL, 78, NULL, NULL, 16711),
(26210, '2wdtA01', NULL, NULL, 108, NULL, NULL, 16712),
(26211, '1deeG00', NULL, NULL, 54, NULL, NULL, 16713),
(26212, '1x0tA01', NULL, NULL, 64, NULL, NULL, 16713),
(26213, '2jwdA00', NULL, NULL, 59, NULL, NULL, 16713),
(26214, '1bdcA00', NULL, NULL, 60, NULL, NULL, 16713),
(26215, '1jm0A00', NULL, NULL, 50, NULL, NULL, 16713),
(26216, '3zdmB00', NULL, NULL, 51, NULL, NULL, 16713),
(26217, '2b87B00', NULL, NULL, 58, NULL, NULL, 16713),
(26218, '5djtB00', NULL, NULL, 61, NULL, NULL, 16713),
(26219, '1ediA00', NULL, NULL, 56, NULL, NULL, 16713),
(26220, '1fc2C00', NULL, NULL, 58, NULL, NULL, 16713),
(26221, '3mhvA00', NULL, NULL, 42, NULL, NULL, 16713),
(26222, '5cbnA02', NULL, NULL, 52, NULL, NULL, 16713),
(26223, '2otkE00', NULL, NULL, 47, NULL, NULL, 16713);
INSERT INTO "PUBLIC"."MODEL" VALUES
(26224, '2q1kD00', NULL, NULL, 67, NULL, NULL, 16713),
(26225, '4gofA00', NULL, NULL, 52, NULL, NULL, 16713),
(26226, '2q1kB00', NULL, NULL, 67, NULL, NULL, 16713),
(26227, '2i8dA02', NULL, NULL, 32, NULL, NULL, 16713),
(26228, '1s3jA01', NULL, NULL, 34, NULL, NULL, 16713),
(26229, '4kjmB01', NULL, NULL, 73, NULL, NULL, 16713),
(26230, '2qvaA02', NULL, NULL, 53, NULL, NULL, 16713),
(26231, '5u6aC00', NULL, NULL, 54, NULL, NULL, 16713),
(26232, '1y47A00', NULL, NULL, 46, NULL, NULL, 16713),
(26233, '3s1kA00', NULL, NULL, 59, NULL, NULL, 16713),
(26234, '5cboA02', NULL, NULL, 52, NULL, NULL, 16713),
(26235, '1lp1A00', NULL, NULL, 58, NULL, NULL, 16713),
(26236, '3qwoC00', NULL, NULL, 57, NULL, NULL, 16713),
(26237, '2kikA00', NULL, NULL, 50, NULL, NULL, 16713),
(26238, '5k5gB00', NULL, NULL, 47, NULL, NULL, 16713),
(26239, '4npdA00', NULL, NULL, 58, NULL, NULL, 16713),
(26240, '3mzwB00', NULL, NULL, 58, NULL, NULL, 16713),
(26241, '2wmmA01', NULL, NULL, 49, NULL, NULL, 16713),
(26242, '1ec5A00', NULL, NULL, 50, NULL, NULL, 16713),
(26243, '5c39A00', NULL, NULL, 51, NULL, NULL, 16713),
(26244, '4k35A04', NULL, NULL, 50, NULL, NULL, 16713),
(26245, '4mn4C01', NULL, NULL, 50, NULL, NULL, 16713),
(26246, '6fgoE00', NULL, NULL, 69, NULL, NULL, 16713),
(26247, '3zdmA00', NULL, NULL, 72, NULL, NULL, 16713),
(26248, '3rguC00', NULL, NULL, 85, NULL, NULL, 16713),
(26249, '3fxdC00', NULL, NULL, 57, NULL, NULL, 16713),
(26250, '2rklF00', NULL, NULL, 53, NULL, NULL, 16713),
(26251, '2b87A00', NULL, NULL, 58, NULL, NULL, 16713),
(26252, '4bxlA00', NULL, NULL, 46, NULL, NULL, 16713),
(26253, '2ki7B01', NULL, NULL, 59, NULL, NULL, 16713),
(26254, '2m5aB00', NULL, NULL, 58, NULL, NULL, 16713),
(26255, '4cpgA00', NULL, NULL, 83, NULL, NULL, 16713),
(26256, '5u4yC00', NULL, NULL, 55, NULL, NULL, 16713),
(26257, '5efwB00', NULL, NULL, 60, NULL, NULL, 16713),
(26258, '2p58A00', NULL, NULL, 65, NULL, NULL, 16713),
(26259, '1zxgA00', NULL, NULL, 59, NULL, NULL, 16713),
(26260, '1s3jB01', NULL, NULL, 34, NULL, NULL, 16713),
(26261, '4asvA00', NULL, NULL, 92, NULL, NULL, 16713),
(26262, '2q1kC00', NULL, NULL, 67, NULL, NULL, 16713),
(26263, '2hr3A01', NULL, NULL, 31, NULL, NULL, 16713),
(26264, '1zw0C00', NULL, NULL, 66, NULL, NULL, 16713),
(26265, '4hb1A00', NULL, NULL, 50, NULL, NULL, 16713),
(26266, '2lr2A00', NULL, NULL, 88, NULL, NULL, 16713),
(26267, '2q1kA00', NULL, NULL, 67, NULL, NULL, 16713),
(26268, '4kjmA02', NULL, NULL, 56, NULL, NULL, 16713),
(26269, '3ph0A00', NULL, NULL, 67, NULL, NULL, 16713),
(26270, '5djuB00', NULL, NULL, 61, NULL, NULL, 16713),
(26271, '2uwjE00', NULL, NULL, 70, NULL, NULL, 16713),
(26272, '2ks1B01', NULL, NULL, 23, NULL, NULL, 16713),
(26273, '4jbzA03', NULL, NULL, 32, NULL, NULL, 16713),
(26274, '2r44A01', NULL, NULL, 28, NULL, NULL, 16713),
(26275, '1lp1B00', NULL, NULL, 58, NULL, NULL, 16713),
(26276, '4npfX01', NULL, NULL, 56, NULL, NULL, 16713),
(26277, '1lt1A00', NULL, NULL, 50, NULL, NULL, 16713),
(26278, '4iqjM02', NULL, NULL, 46, NULL, NULL, 16714),
(26279, '3lnbA00', NULL, NULL, 279, NULL, NULL, 16715),
(26280, '2pfrB00', NULL, NULL, 294, NULL, NULL, 16715),
(26281, '4dmoA00', NULL, NULL, 265, NULL, NULL, 16715),
(26282, '2ijaA00', NULL, NULL, 295, NULL, NULL, 16715),
(26283, '2wadA01', NULL, NULL, 30, NULL, NULL, 16716),
(26284, '5bnzA05', NULL, NULL, 117, NULL, NULL, 16717),
(26285, '5bnzA04', NULL, NULL, 94, NULL, NULL, 16717),
(26286, '1dfuP00', NULL, NULL, 94, NULL, NULL, 16717),
(26287, '4wfaS01', NULL, NULL, 94, NULL, NULL, 16717),
(26288, '4p2bA04', NULL, NULL, 102, NULL, NULL, 16717),
(26289, '3aiiA03', NULL, NULL, 89, NULL, NULL, 16717),
(26290, '4p2bA05', NULL, NULL, 119, NULL, NULL, 16717),
(26291, '4h3sA03', NULL, NULL, 120, NULL, NULL, 16717),
(26292, '4h3sA02', NULL, NULL, 127, NULL, NULL, 16717),
(26293, '2hz7A04', NULL, NULL, 125, NULL, NULL, 16717),
(26294, '2hz7A05', NULL, NULL, 128, NULL, NULL, 16717),
(26295, '5dm6S01', NULL, NULL, 86, NULL, NULL, 16717),
(26296, '1feuA01', NULL, NULL, 91, NULL, NULL, 16717),
(26297, '5iznA00', NULL, NULL, 95, NULL, NULL, 16717);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(26298, '1qtqA02', NULL, NULL, 90, NULL, NULL, 16717),
(26299, '1qtqA01', NULL, NULL, 118, NULL, NULL, 16717),
(26300, '1oxjA02', NULL, NULL, 110, NULL, NULL, 16718),
(26301, '1szwA02', NULL, NULL, 136, NULL, NULL, 16719),
(26302, '3p57P00', NULL, NULL, 112, NULL, NULL, 16720),
(26303, '1r8uB00', NULL, NULL, 100, NULL, NULL, 16720),
(26304, '3io2A00', NULL, NULL, 114, NULL, NULL, 16720),
(26305, '2mh0B00', NULL, NULL, 92, NULL, NULL, 16720),
(26306, '2ka6A00', NULL, NULL, 92, NULL, NULL, 16720),
(26307, '5hp0A00', NULL, NULL, 122, NULL, NULL, 16720),
(26308, '3t92A00', NULL, NULL, 121, NULL, NULL, 16720),
(26309, '1l3eB00', NULL, NULL, 101, NULL, NULL, 16720),
(26310, '2lonA01', NULL, NULL, 65, NULL, NULL, 16721),
(26311, '1ru3A05', NULL, NULL, 130, NULL, NULL, 16722),
(26312, '1oaoD05', NULL, NULL, 130, NULL, NULL, 16722),
(26313, '3bvxA05', NULL, NULL, 96, NULL, NULL, 16723),
(26314, '1o7dE00', NULL, NULL, 126, NULL, NULL, 16723),
(26315, '2zxqA06', NULL, NULL, 72, NULL, NULL, 16724),
(26316, '1lq7A00', NULL, NULL, 67, NULL, NULL, 16724),
(26317, '3u21A00', NULL, NULL, 127, NULL, NULL, 16725),
(26318, '3u21B00', NULL, NULL, 127, NULL, NULL, 16725),
(26319, '3suuA02', NULL, NULL, 145, NULL, NULL, 16726),
(26320, '4zmhA01', NULL, NULL, 169, NULL, NULL, 16726),
(26321, '3ozoA01', NULL, NULL, 184, NULL, NULL, 16726),
(26322, '1nowA01', NULL, NULL, 148, NULL, NULL, 16726),
(26323, '1c7sA02', NULL, NULL, 127, NULL, NULL, 16726),
(26324, '4c7gA01', NULL, NULL, 136, NULL, NULL, 16726),
(26325, '1gqiA01', NULL, NULL, 131, NULL, NULL, 16726),
(26326, '4pysA01', NULL, NULL, 128, NULL, NULL, 16726),
(26327, '5bxrA01', NULL, NULL, 137, NULL, NULL, 16726),
(26328, '5fkyB01', NULL, NULL, 124, NULL, NULL, 16726),
(26329, '3rcnA01', NULL, NULL, 135, NULL, NULL, 16726),
(26330, '1l8nA01', NULL, NULL, 125, NULL, NULL, 16726),
(26331, '4c91A01', NULL, NULL, 165, NULL, NULL, 16726),
(26332, '2gjxA01', NULL, NULL, 142, NULL, NULL, 16726),
(26333, '4a4aA02', NULL, NULL, 130, NULL, NULL, 16726),
(26334, '1jakA02', NULL, NULL, 154, NULL, NULL, 16726),
(26335, '2v5cA01', NULL, NULL, 146, NULL, NULL, 16726),
(26336, '1l5jA01', NULL, NULL, 161, NULL, NULL, 16727),
(26337, '1l6tA00', NULL, NULL, 79, NULL, NULL, 16728),
(26338, '4cbkA00', NULL, NULL, 69, NULL, NULL, 16728),
(26339, '5dn6J00', NULL, NULL, 77, NULL, NULL, 16728),
(26340, '1a91A00', NULL, NULL, 79, NULL, NULL, 16728),
(26341, '1wu0A00', NULL, NULL, 72, NULL, NULL, 16728),
(26342, '6f36A00', NULL, NULL, 74, NULL, NULL, 16728),
(26343, '4v1gA00', NULL, NULL, 86, NULL, NULL, 16728),
(26344, '4bemA01', NULL, NULL, 79, NULL, NULL, 16728),
(26345, '6fkfG01', NULL, NULL, 78, NULL, NULL, 16728),
(26346, '2wgmA01', NULL, NULL, 82, NULL, NULL, 16728),
(26347, '5fl7Q00', NULL, NULL, 76, NULL, NULL, 16728),
(26348, '2xquA01', NULL, NULL, 79, NULL, NULL, 16728),
(26349, '4f4sB00', NULL, NULL, 76, NULL, NULL, 16728),
(26350, '2xndJ00', NULL, NULL, 72, NULL, NULL, 16728),
(26351, '3zk1A01', NULL, NULL, 82, NULL, NULL, 16728),
(26352, '6ih0A01', NULL, NULL, 122, NULL, NULL, 16729),
(26353, '3p3gA01', NULL, NULL, 128, NULL, NULL, 16729),
(26354, '3uhmA01', NULL, NULL, 127, NULL, NULL, 16729),
(26355, '3fybB00', NULL, NULL, 88, NULL, NULL, 16730),
(26356, '3fybA00', NULL, NULL, 104, NULL, NULL, 16730),
(26357, '2o35B00', NULL, NULL, 105, NULL, NULL, 16730),
(26358, '2o35A00', NULL, NULL, 82, NULL, NULL, 16730),
(26359, '3mayB00', NULL, NULL, 101, NULL, NULL, 16731),
(26360, '5uquA02', NULL, NULL, 117, NULL, NULL, 16732),
(26361, '1iomA02', NULL, NULL, 102, NULL, NULL, 16732),
(26362, '4tvmA03', NULL, NULL, 112, NULL, NULL, 16732),
(26363, '1owbA03', NULL, NULL, 109, NULL, NULL, 16732),
(26364, '6abxA02', NULL, NULL, 102, NULL, NULL, 16732),
(26365, '1a59A02', NULL, NULL, 108, NULL, NULL, 16732),
(26366, '1vgmA02', NULL, NULL, 104, NULL, NULL, 16732),
(26367, '3tqgA02', NULL, NULL, 99, NULL, NULL, 16732),
(26368, '4xghA03', NULL, NULL, 111, NULL, NULL, 16732),
(26369, '1o7xA02', NULL, NULL, 104, NULL, NULL, 16732),
(26370, '4e6yA03', NULL, NULL, 111, NULL, NULL, 16732);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(26371, '4jadA03', NULL, NULL, 109, NULL, NULL, 16732),
(26372, '2ifcA02', NULL, NULL, 104, NULL, NULL, 16732),
(26373, '3msuB03', NULL, NULL, 110, NULL, NULL, 16732),
(26374, '1aj8A02', NULL, NULL, 98, NULL, NULL, 16732),
(26375, '1cscA02', NULL, NULL, 115, NULL, NULL, 16732),
(26376, '2ibpA02', NULL, NULL, 106, NULL, NULL, 16732),
(26377, '2c6xA02', NULL, NULL, 103, NULL, NULL, 16732),
(26378, '2p2wA02', NULL, NULL, 98, NULL, NULL, 16732),
(26379, '3hwkA02', NULL, NULL, 99, NULL, NULL, 16732),
(26380, '6abwA02', NULL, NULL, 104, NULL, NULL, 16732),
(26381, '2h12A03', NULL, NULL, 110, NULL, NULL, 16732),
(26382, '1vgpA02', NULL, NULL, 104, NULL, NULL, 16732),
(26383, '1cshA02', NULL, NULL, 115, NULL, NULL, 16732),
(26384, '3o8jA02', NULL, NULL, 99, NULL, NULL, 16732),
(26385, '5uqsA02', NULL, NULL, 115, NULL, NULL, 16732),
(26386, '1ciyA01', NULL, NULL, 225, NULL, NULL, 16733),
(26387, '2c9kA01', NULL, NULL, 249, NULL, NULL, 16733),
(26388, '3x0uB01', NULL, NULL, 243, NULL, NULL, 16733),
(26389, '1ji6A01', NULL, NULL, 227, NULL, NULL, 16733),
(26390, '4moaA01', NULL, NULL, 231, NULL, NULL, 16733),
(26391, '3eb7C01', NULL, NULL, 228, NULL, NULL, 16733),
(26392, '1w99A01', NULL, NULL, 173, NULL, NULL, 16733),
(26393, '1i5pA02', NULL, NULL, 234, NULL, NULL, 16733),
(26394, '1dlcA01', NULL, NULL, 229, NULL, NULL, 16733),
(26395, '5zi1A01', NULL, NULL, 239, NULL, NULL, 16733),
(26396, '4d8mA01', NULL, NULL, 218, NULL, NULL, 16733),
(26397, '3c9pA00', NULL, NULL, 123, NULL, NULL, 16734),
(26398, '4ofzA01', NULL, NULL, 117, NULL, NULL, 16735),
(26399, '3tpqM01', NULL, NULL, 60, NULL, NULL, 16736),
(26400, '2yjeM00', NULL, NULL, 58, NULL, NULL, 16736),
(26401, '2e1mA01', NULL, NULL, 41, NULL, NULL, 16737),
(26402, '1wwpA00', NULL, NULL, 119, NULL, NULL, 16738),
(26403, '1o3uA00', NULL, NULL, 135, NULL, NULL, 16738),
(26404, '1k04A02', NULL, NULL, 107, NULL, NULL, 16738),
(26405, '1qvxA00', NULL, NULL, 134, NULL, NULL, 16738),
(26406, '1v4aA03', NULL, NULL, 156, NULL, NULL, 16738),
(26407, '2pbeA02', NULL, NULL, 136, NULL, NULL, 16738),
(26408, '1wtyA00', NULL, NULL, 119, NULL, NULL, 16738),
(26409, '2kk1A01', NULL, NULL, 103, NULL, NULL, 16738),
(26410, '3brjC00', NULL, NULL, 175, NULL, NULL, 16738),
(26411, '1jogD00', NULL, NULL, 146, NULL, NULL, 16738),
(26412, '2hktC00', NULL, NULL, 172, NULL, NULL, 16738),
(26413, '1jogC00', NULL, NULL, 146, NULL, NULL, 16738),
(26414, '3mfnB00', NULL, NULL, 129, NULL, NULL, 16738),
(26415, '1jogB00', NULL, NULL, 146, NULL, NULL, 16738),
(26416, '1jogA00', NULL, NULL, 146, NULL, NULL, 16738),
(26417, '1knyA02', NULL, NULL, 128, NULL, NULL, 16738),
(26418, '3k7dA03', NULL, NULL, 135, NULL, NULL, 16738),
(26419, '4ebjA02', NULL, NULL, 130, NULL, NULL, 16738),
(26420, '3jz0A02', NULL, NULL, 130, NULL, NULL, 16738),
(26421, '3u0cA00', NULL, NULL, 153, NULL, NULL, 16738),
(26422, '2l6gA00', NULL, NULL, 176, NULL, NULL, 16738),
(26423, '4xekA00', NULL, NULL, 139, NULL, NULL, 16738),
(26424, '1ufbA00', NULL, NULL, 127, NULL, NULL, 16738),
(26425, '2q00B00', NULL, NULL, 129, NULL, NULL, 16738),
(26426, '6iuhA00', NULL, NULL, 132, NULL, NULL, 16738),
(26427, '1zzpA00', NULL, NULL, 109, NULL, NULL, 16738),
(26428, '2hsbA00', NULL, NULL, 126, NULL, NULL, 16738),
(26429, '1ktmA02', NULL, NULL, 104, NULL, NULL, 16738),
(26430, '1wolA00', NULL, NULL, 122, NULL, NULL, 16738),
(26431, '3c8gA00', NULL, NULL, 172, NULL, NULL, 16738),
(26432, '1k40A00', NULL, NULL, 126, NULL, NULL, 16738),
(26433, '3c8gB00', NULL, NULL, 172, NULL, NULL, 16738),
(26434, '4nqfA00', NULL, NULL, 158, NULL, NULL, 16738),
(26435, '3c8gC00', NULL, NULL, 172, NULL, NULL, 16738),
(26436, '3c18A02', NULL, NULL, 118, NULL, NULL, 16738),
(26437, '3c8gD00', NULL, NULL, 172, NULL, NULL, 16738),
(26438, '3o10C00', NULL, NULL, 141, NULL, NULL, 16738),
(26439, '2l6hA00', NULL, NULL, 180, NULL, NULL, 16738),
(26440, '3tulC00', NULL, NULL, 158, NULL, NULL, 16738),
(26441, '3gm3A00', NULL, NULL, 153, NULL, NULL, 16738),
(26442, '3ajmB02', NULL, NULL, 152, NULL, NULL, 16738),
(26443, '1v9fA02', NULL, NULL, 43, NULL, NULL, 16739);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(26444, '2l5qA01', NULL, NULL, 50, NULL, NULL, 16740),
(26445, '3q9dA03', NULL, NULL, 50, NULL, NULL, 16741),
(26446, '4mlkA03', NULL, NULL, 60, NULL, NULL, 16741),
(26447, '4mixA00', NULL, NULL, 291, NULL, NULL, 16742),
(26448, '3aqbA00', NULL, NULL, 147, NULL, NULL, 16743),
(26449, '3zc4A01', NULL, NULL, 97, NULL, NULL, 16744),
(26450, '1irxA04', NULL, NULL, 113, NULL, NULL, 16745),
(26451, '2pkhB01', NULL, NULL, 137, NULL, NULL, 16746),
(26452, '2ooiA01', NULL, NULL, 158, NULL, NULL, 16746),
(26453, '3l5zA01', NULL, NULL, 142, NULL, NULL, 16746),
(26454, '2fa1A00', NULL, NULL, 160, NULL, NULL, 16746),
(26455, '3edpA02', NULL, NULL, 151, NULL, NULL, 16746),
(26456, '3hfiA00', NULL, NULL, 146, NULL, NULL, 16746),
(26457, '3f8mB02', NULL, NULL, 170, NULL, NULL, 16746),
(26458, '3bwgC02', NULL, NULL, 166, NULL, NULL, 16746),
(26459, '2ikkA00', NULL, NULL, 173, NULL, NULL, 16746),
(26460, '3cnvA01', NULL, NULL, 161, NULL, NULL, 16746),
(26461, '2oggA01', NULL, NULL, 142, NULL, NULL, 16746),
(26462, '3ddvB01', NULL, NULL, 143, NULL, NULL, 16746),
(26463, '1tt8A00', NULL, NULL, 164, NULL, NULL, 16746),
(26464, '3lheA00', NULL, NULL, 143, NULL, NULL, 16746),
(26465, '4u0wA02', NULL, NULL, 167, NULL, NULL, 16746),
(26466, '2ra5A01', NULL, NULL, 160, NULL, NULL, 16746),
(26467, '4zsiB00', NULL, NULL, 171, NULL, NULL, 16746),
(26468, '2nwiB00', NULL, NULL, 172, NULL, NULL, 16746),
(26469, '3eetB02', NULL, NULL, 169, NULL, NULL, 16746),
(26470, '2p19A01', NULL, NULL, 130, NULL, NULL, 16746),
(26471, '3bl4A01', NULL, NULL, 76, NULL, NULL, 16747),
(26472, '3bl4B01', NULL, NULL, 76, NULL, NULL, 16747),
(26473, '3rgbC00', NULL, NULL, 245, NULL, NULL, 16748),
(26474, '4phzG00', NULL, NULL, 256, NULL, NULL, 16748),
(26475, '3chxC00', NULL, NULL, 159, NULL, NULL, 16748),
(26476, '3e1sA04', NULL, NULL, 69, NULL, NULL, 16749),
(26477, '2cr8A01', NULL, NULL, 26, NULL, NULL, 16750),
(26478, '3lzdA02', NULL, NULL, 109, NULL, NULL, 16751),
(26479, '2zuoA09', NULL, NULL, 63, NULL, NULL, 16752),
(26480, '3gf5A01', NULL, NULL, 54, NULL, NULL, 16752),
(26481, '2zuoA01', NULL, NULL, 56, NULL, NULL, 16752),
(26482, '4bx9C00', NULL, NULL, 99, NULL, NULL, 16753),
(26483, '6c44A00', NULL, NULL, 70, NULL, NULL, 16754),
(26484, '1r6rA00', NULL, NULL, 80, NULL, NULL, 16754),
(26485, '5ow2A00', NULL, NULL, 80, NULL, NULL, 16754),
(26486, '1sfkA00', NULL, NULL, 76, NULL, NULL, 16754),
(26487, '1sfkH00', NULL, NULL, 59, NULL, NULL, 16754),
(26488, '5yghA00', NULL, NULL, 76, NULL, NULL, 16754),
(26489, '5graA01', NULL, NULL, 160, NULL, NULL, 16755),
(26490, '4h3zA01', NULL, NULL, 166, NULL, NULL, 16755),
(26491, '1vhkC02', NULL, NULL, 192, NULL, NULL, 16755),
(26492, '3o7bA00', NULL, NULL, 219, NULL, NULL, 16755),
(26493, '3ktyB01', NULL, NULL, 168, NULL, NULL, 16755),
(26494, '4l69A02', NULL, NULL, 190, NULL, NULL, 16755),
(26495, '4x3lA02', NULL, NULL, 157, NULL, NULL, 16755),
(26496, '3ic6A01', NULL, NULL, 203, NULL, NULL, 16755),
(26497, '1ipaA02', NULL, NULL, 164, NULL, NULL, 16755),
(26498, '4kgnF00', NULL, NULL, 160, NULL, NULL, 16755),
(26499, '5wyqB01', NULL, NULL, 172, NULL, NULL, 16755),
(26500, '2egvA02', NULL, NULL, 163, NULL, NULL, 16755),
(26501, '1v2xA00', NULL, NULL, 194, NULL, NULL, 16755),
(26502, '3dcmX00', NULL, NULL, 192, NULL, NULL, 16755),
(26503, '4rg1A01', NULL, NULL, 223, NULL, NULL, 16755),
(26504, '1ns5B00', NULL, NULL, 155, NULL, NULL, 16755),
(26505, '1o6dA00', NULL, NULL, 163, NULL, NULL, 16755),
(26506, '5vm8B02', NULL, NULL, 171, NULL, NULL, 16755),
(26507, '5o95A02', NULL, NULL, 169, NULL, NULL, 16755),
(26508, '5gmbA01', NULL, NULL, 168, NULL, NULL, 16755),
(26509, '5co4B00', NULL, NULL, 162, NULL, NULL, 16755),
(26510, '3iefA01', NULL, NULL, 168, NULL, NULL, 16755),
(26511, '1v6zA02', NULL, NULL, 162, NULL, NULL, 16755),
(26512, '4cngA00', NULL, NULL, 156, NULL, NULL, 16755),
(26513, '3gyqA02', NULL, NULL, 165, NULL, NULL, 16755),
(26514, '3kw2B02', NULL, NULL, 185, NULL, NULL, 16755),
(26515, '2qwvA00', NULL, NULL, 208, NULL, NULL, 16755),
(26516, '2yy8A00', NULL, NULL, 175, NULL, NULL, 16755);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(26517, '4jalA00', NULL, NULL, 167, NULL, NULL, 16755),
(26518, '1z85B02', NULL, NULL, 154, NULL, NULL, 16755),
(26519, '5kzkA02', NULL, NULL, 160, NULL, NULL, 16755),
(26520, '1to0D00', NULL, NULL, 167, NULL, NULL, 16755),
(26521, '3quvA01', NULL, NULL, 167, NULL, NULL, 16755),
(26522, '1zjrA00', NULL, NULL, 211, NULL, NULL, 16755),
(26523, '5zhjA01', NULL, NULL, 159, NULL, NULL, 16755),
(26524, '4pzkA00', NULL, NULL, 170, NULL, NULL, 16755),
(26525, '2qmmA00', NULL, NULL, 197, NULL, NULL, 16755),
(26526, '1vhkB00', NULL, NULL, 268, NULL, NULL, 16755),
(26527, '1k3rA01', NULL, NULL, 191, NULL, NULL, 16755),
(26528, '3aiaA00', NULL, NULL, 211, NULL, NULL, 16755),
(26529, '3oiiB01', NULL, NULL, 212, NULL, NULL, 16755),
(26530, '1mxiA00', NULL, NULL, 160, NULL, NULL, 16755),
(26531, '2o3aB00', NULL, NULL, 178, NULL, NULL, 16755),
(26532, '1p9pA01', NULL, NULL, 166, NULL, NULL, 16755),
(26533, '4cndA01', NULL, NULL, 165, NULL, NULL, 16755),
(26534, '4yqdA01', NULL, NULL, 164, NULL, NULL, 16755),
(26535, '1vhyA02', NULL, NULL, 182, NULL, NULL, 16755),
(26536, '2ha8B01', NULL, NULL, 158, NULL, NULL, 16755),
(26537, '1gz0B02', NULL, NULL, 167, NULL, NULL, 16755),
(26538, '4j3cA02', NULL, NULL, 169, NULL, NULL, 16755),
(26539, '3l8uA00', NULL, NULL, 182, NULL, NULL, 16755),
(26540, '3ilkA01', NULL, NULL, 172, NULL, NULL, 16755),
(26541, '4e8bA02', NULL, NULL, 178, NULL, NULL, 16755),
(26542, '5faiA01', NULL, NULL, 202, NULL, NULL, 16755),
(26543, '3onpA00', NULL, NULL, 161, NULL, NULL, 16755),
(26544, '3nk6B02', NULL, NULL, 170, NULL, NULL, 16755),
(26545, '3n4jA00', NULL, NULL, 165, NULL, NULL, 16755),
(26546, '1oy5B01', NULL, NULL, 179, NULL, NULL, 16755),
(26547, '2i6dA02', NULL, NULL, 161, NULL, NULL, 16755),
(26548, '1x7oA02', NULL, NULL, 171, NULL, NULL, 16755),
(26549, '3ky7A01', NULL, NULL, 156, NULL, NULL, 16755),
(26550, '3bbdA00', NULL, NULL, 205, NULL, NULL, 16755),
(26551, '3knuC01', NULL, NULL, 176, NULL, NULL, 16755),
(26552, '4fakA00', NULL, NULL, 163, NULL, NULL, 16755),
(26553, '3eujB00', NULL, NULL, 90, NULL, NULL, 16756),
(26554, '2qsfA04', NULL, NULL, 76, NULL, NULL, 16757),
(26555, '3cdjA02', NULL, NULL, 21, NULL, NULL, 16758),
(26556, '3topA01', NULL, NULL, 46, NULL, NULL, 16759),
(26557, '5kzwA01', NULL, NULL, 50, NULL, NULL, 16759),
(26558, '1e9tA00', NULL, NULL, 59, NULL, NULL, 16759),
(26559, '2pspA02', NULL, NULL, 40, NULL, NULL, 16759),
(26560, '1hi7A00', NULL, NULL, 60, NULL, NULL, 16759),
(26561, '2pspA01', NULL, NULL, 66, NULL, NULL, 16759),
(26562, '3l4yA01', NULL, NULL, 45, NULL, NULL, 16759),
(26563, '3lppA01', NULL, NULL, 47, NULL, NULL, 16759),
(26564, '1e91A00', NULL, NULL, 85, NULL, NULL, 16760),
(26565, '2rmrA01', NULL, NULL, 63, NULL, NULL, 16760),
(26566, '2ld7B00', NULL, NULL, 75, NULL, NULL, 16760),
(26567, '2cr7A01', NULL, NULL, 63, NULL, NULL, 16760),
(26568, '1g1eB00', NULL, NULL, 89, NULL, NULL, 16760),
(26569, '2b4vA02', NULL, NULL, 119, NULL, NULL, 16761),
(26570, '1ys5A01', NULL, NULL, 149, NULL, NULL, 16762),
(26571, '4o4uA02', NULL, NULL, 166, NULL, NULL, 16762),
(26572, '3pquA02', NULL, NULL, 177, NULL, NULL, 16762),
(26573, '4o4uC04', NULL, NULL, 148, NULL, NULL, 16762),
(26574, '4z3tA02', NULL, NULL, 123, NULL, NULL, 16762),
(26575, '3pqsA04', NULL, NULL, 145, NULL, NULL, 16762),
(26576, '5nqxA02', NULL, NULL, 136, NULL, NULL, 16762),
(26577, '2lfuA02', NULL, NULL, 129, NULL, NULL, 16762),
(26578, '3pqsA02', NULL, NULL, 160, NULL, NULL, 16762),
(26579, '5ee2A00', NULL, NULL, 159, NULL, NULL, 16762),
(26580, '5nqzA02', NULL, NULL, 136, NULL, NULL, 16762),
(26581, '3ve2A02', NULL, NULL, 207, NULL, NULL, 16762),
(26582, '3ve2A04', NULL, NULL, 156, NULL, NULL, 16762),
(26583, '4qq1B02', NULL, NULL, 183, NULL, NULL, 16762),
(26584, '3v8uA04', NULL, NULL, 154, NULL, NULL, 16762),
(26585, '3uaqB02', NULL, NULL, 173, NULL, NULL, 16762),
(26586, '4u9cA02', NULL, NULL, 173, NULL, NULL, 16762),
(26587, '3v8uA02', NULL, NULL, 208, NULL, NULL, 16762),
(26588, '5nqyA02', NULL, NULL, 137, NULL, NULL, 16762),
(26589, '4qq1C04', NULL, NULL, 147, NULL, NULL, 16762);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(26590, '2y7sA02', NULL, NULL, 123, NULL, NULL, 16762),
(26591, '2kdyA02', NULL, NULL, 116, NULL, NULL, 16762),
(26592, '3holA02', NULL, NULL, 166, NULL, NULL, 16762),
(26593, '4o3wA04', NULL, NULL, 145, NULL, NULL, 16762),
(26594, '3holA04', NULL, NULL, 145, NULL, NULL, 16762),
(26595, '5kkxA02', NULL, NULL, 147, NULL, NULL, 16762),
(26596, '1u53A00', NULL, NULL, 196, NULL, NULL, 16763),
(26597, '1xtaA01', NULL, NULL, 180, NULL, NULL, 16763),
(26598, '3q2uA00', NULL, NULL, 205, NULL, NULL, 16763),
(26599, '4ifaA01', NULL, NULL, 285, NULL, NULL, 16763),
(26600, '3nt8B02', NULL, NULL, 204, NULL, NULL, 16763),
(26601, '3s6sB00', NULL, NULL, 183, NULL, NULL, 16763),
(26602, '3nt8A01', NULL, NULL, 197, NULL, NULL, 16763),
(26603, '1rc9A01', NULL, NULL, 180, NULL, NULL, 16763),
(26604, '4tpvA00', NULL, NULL, 182, NULL, NULL, 16763),
(26605, '3u3lC00', NULL, NULL, 233, NULL, NULL, 16763),
(26606, '5vhgA00', NULL, NULL, 150, NULL, NULL, 16763),
(26607, '4aiwA00', NULL, NULL, 154, NULL, NULL, 16763),
(26608, '4h0aA00', NULL, NULL, 323, NULL, NULL, 16763),
(26609, '4g2uA00', NULL, NULL, 219, NULL, NULL, 16763),
(26610, '2vznB00', NULL, NULL, 218, NULL, NULL, 16763),
(26611, '5jysA00', NULL, NULL, 141, NULL, NULL, 16763),
(26612, '4d53A00', NULL, NULL, 138, NULL, NULL, 16763),
(26613, '2ddbB01', NULL, NULL, 169, NULL, NULL, 16763),
(26614, '6imfA01', NULL, NULL, 180, NULL, NULL, 16763),
(26615, '1cfeA00', NULL, NULL, 135, NULL, NULL, 16763),
(26616, '1qnxA00', NULL, NULL, 209, NULL, NULL, 16763),
(26617, '4p27A00', NULL, NULL, 162, NULL, NULL, 16763),
(26618, '1r4xA01', NULL, NULL, 160, NULL, NULL, 16764),
(26619, '1pzdA01', NULL, NULL, 156, NULL, NULL, 16764),
(26620, '4wx3A00', NULL, NULL, 165, NULL, NULL, 16765),
(26621, '3a57A00', NULL, NULL, 165, NULL, NULL, 16765),
(26622, '1zr6A04', NULL, NULL, 29, NULL, NULL, 16766),
(26623, '3twlA01', NULL, NULL, 145, NULL, NULL, 16767),
(26624, '3vk8A01', NULL, NULL, 137, NULL, NULL, 16767),
(26625, '3u6pA01', NULL, NULL, 132, NULL, NULL, 16767),
(26626, '4mb7A01', NULL, NULL, 126, NULL, NULL, 16767),
(26627, '4cisA01', NULL, NULL, 133, NULL, NULL, 16767),
(26628, '3w0fA01', NULL, NULL, 146, NULL, NULL, 16767),
(26629, '6fl1A01', NULL, NULL, 132, NULL, NULL, 16767),
(26630, '1k82B01', NULL, NULL, 127, NULL, NULL, 16767),
(26631, '1k3xA01', NULL, NULL, 126, NULL, NULL, 16767),
(26632, '5itqA01', NULL, NULL, 133, NULL, NULL, 16767),
(26633, '1ee8A01', NULL, NULL, 120, NULL, NULL, 16767),
(26634, '4a2aA02', NULL, NULL, 87, NULL, NULL, 16768),
(26635, '3ph0C00', NULL, NULL, 61, NULL, NULL, 16769),
(26636, '5nnpA01', NULL, NULL, 500, NULL, NULL, 16769),
(26637, '4e6hA00', NULL, NULL, 555, NULL, NULL, 16769),
(26638, '4kvmA01', NULL, NULL, 506, NULL, NULL, 16769),
(26639, '2bhvD01', NULL, NULL, 164, NULL, NULL, 16770),
(26640, '3jqoA01', NULL, NULL, 140, NULL, NULL, 16770),
(26641, '1vmjA00', NULL, NULL, 151, NULL, NULL, 16771),
(26642, '2cu5A00', NULL, NULL, 129, NULL, NULL, 16771),
(26643, '1vphB00', NULL, NULL, 149, NULL, NULL, 16771),
(26644, '1ve0A00', NULL, NULL, 134, NULL, NULL, 16771),
(26645, '1vmfC00', NULL, NULL, 145, NULL, NULL, 16771),
(26646, '2p6cA00', NULL, NULL, 137, NULL, NULL, 16771),
(26647, '1vmhA00', NULL, NULL, 144, NULL, NULL, 16771),
(26648, '1xbfA00', NULL, NULL, 140, NULL, NULL, 16771),
(26649, '2p6hA00', NULL, NULL, 134, NULL, NULL, 16771),
(26650, '2ichA01', NULL, NULL, 187, NULL, NULL, 16772),
(26651, '2ichB02', NULL, NULL, 135, NULL, NULL, 16772),
(26652, '2yskA00', NULL, NULL, 145, NULL, NULL, 16773),
(26653, '3nk4B01', NULL, NULL, 132, NULL, NULL, 16774),
(26654, '3d4gE03', NULL, NULL, 108, NULL, NULL, 16774),
(26655, '5vlcA03', NULL, NULL, 55, NULL, NULL, 16775),
(26656, '1kaeA03', NULL, NULL, 55, NULL, NULL, 16775),
(26657, '6an0A03', NULL, NULL, 55, NULL, NULL, 16775),
(26658, '4g09A03', NULL, NULL, 55, NULL, NULL, 16775),
(26659, '4bhrA00', NULL, NULL, 95, NULL, NULL, 16776),
(26660, '5g2fA00', NULL, NULL, 95, NULL, NULL, 16776),
(26661, '2qgmA01', NULL, NULL, 213, NULL, NULL, 16777),
(26662, '3b55A01', NULL, NULL, 217, NULL, NULL, 16777);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(26663, '4d6wA03', NULL, NULL, 95, NULL, NULL, 16778),
(26664, '5i2mA03', NULL, NULL, 93, NULL, NULL, 16778),
(26665, '4eyyQ02', NULL, NULL, 117, NULL, NULL, 16779),
(26666, '4dciD00', NULL, NULL, 150, NULL, NULL, 16780),
(26667, '4atkB00', NULL, NULL, 60, NULL, NULL, 16781),
(26668, '2ypaA00', NULL, NULL, 72, NULL, NULL, 16781),
(26669, '4atiA00', NULL, NULL, 61, NULL, NULL, 16781),
(26670, '2ypaB00', NULL, NULL, 82, NULL, NULL, 16781),
(26671, '4f3lA01', NULL, NULL, 77, NULL, NULL, 16781),
(26672, '1hloB00', NULL, NULL, 80, NULL, NULL, 16781),
(26673, '1a0aA00', NULL, NULL, 63, NULL, NULL, 16781),
(26674, '2ql2B00', NULL, NULL, 60, NULL, NULL, 16781),
(26675, '4h10B00', NULL, NULL, 71, NULL, NULL, 16781),
(26676, '2ql2C00', NULL, NULL, 60, NULL, NULL, 16781),
(26677, '4h10A00', NULL, NULL, 73, NULL, NULL, 16781),
(26678, '4f3lB01', NULL, NULL, 68, NULL, NULL, 16781),
(26679, '5i4zA00', NULL, NULL, 74, NULL, NULL, 16781),
(26680, '1r05A00', NULL, NULL, 87, NULL, NULL, 16781),
(26681, '4ayaA00', NULL, NULL, 67, NULL, NULL, 16781),
(26682, '2c0sA00', NULL, NULL, 64, NULL, NULL, 16781),
(26683, '1uklC00', NULL, NULL, 61, NULL, NULL, 16781),
(26684, '2lfhA00', NULL, NULL, 68, NULL, NULL, 16781),
(26685, '1an4A00', NULL, NULL, 65, NULL, NULL, 16781),
(26686, '1nkpD00', NULL, NULL, 88, NULL, NULL, 16781),
(26687, '6g6kB00', NULL, NULL, 83, NULL, NULL, 16781),
(26688, '6g6kC00', NULL, NULL, 94, NULL, NULL, 16781),
(26689, '6fx5A00', NULL, NULL, 80, NULL, NULL, 16781),
(26690, '6od3A00', NULL, NULL, 62, NULL, NULL, 16781),
(26691, '5i50B00', NULL, NULL, 96, NULL, NULL, 16781),
(26692, '2mh3A00', NULL, NULL, 70, NULL, NULL, 16781),
(26693, '1nlwD00', NULL, NULL, 80, NULL, NULL, 16781),
(26694, '1am9B00', NULL, NULL, 82, NULL, NULL, 16781),
(26695, '3u5vA01', NULL, NULL, 64, NULL, NULL, 16781),
(26696, '1mdyA00', NULL, NULL, 68, NULL, NULL, 16781),
(26697, '4atiB00', NULL, NULL, 72, NULL, NULL, 16781),
(26698, '2bzbA00', NULL, NULL, 62, NULL, NULL, 16781),
(26699, '4v02C00', NULL, NULL, 128, NULL, NULL, 16782),
(26700, '1k8fA00', NULL, NULL, 157, NULL, NULL, 16782),
(26701, '3bh7B01', NULL, NULL, 193, NULL, NULL, 16782),
(26702, '2yuhA01', NULL, NULL, 172, NULL, NULL, 16782),
(26703, '2b0rB00', NULL, NULL, 168, NULL, NULL, 16782),
(26704, '1hf2C02', NULL, NULL, 123, NULL, NULL, 16782),
(26705, '1k4zA00', NULL, NULL, 159, NULL, NULL, 16782),
(26706, '3zs6A02', NULL, NULL, 122, NULL, NULL, 16783),
(26707, '1jetA02', NULL, NULL, 124, NULL, NULL, 16783),
(26708, '4qflA02', NULL, NULL, 171, NULL, NULL, 16783),
(26709, '1xocA02', NULL, NULL, 120, NULL, NULL, 16783),
(26710, '2o7iA02', NULL, NULL, 164, NULL, NULL, 16783),
(26711, '3tchA02', NULL, NULL, 124, NULL, NULL, 16783),
(26712, '6npoA02', NULL, NULL, 123, NULL, NULL, 16783),
(26713, '2d5wA02', NULL, NULL, 117, NULL, NULL, 16783),
(26714, '4fajA02', NULL, NULL, 124, NULL, NULL, 16783),
(26715, '6dquA02', NULL, NULL, 125, NULL, NULL, 16783),
(26716, '3tpaA02', NULL, NULL, 169, NULL, NULL, 16783),
(26717, '2grvA02', NULL, NULL, 113, NULL, NULL, 16783),
(26718, '1uqwA02', NULL, NULL, 149, NULL, NULL, 16783),
(26719, '5kztA02', NULL, NULL, 124, NULL, NULL, 16783),
(26720, '4oevA02', NULL, NULL, 115, NULL, NULL, 16783),
(26721, '3m8uA02', NULL, NULL, 169, NULL, NULL, 16783),
(26722, '2z23A02', NULL, NULL, 124, NULL, NULL, 16783),
(26723, '6i3gA02', NULL, NULL, 118, NULL, NULL, 16783),
(26724, '5isuA02', NULL, NULL, 117, NULL, NULL, 16783),
(26725, '4pfyA02', NULL, NULL, 147, NULL, NULL, 16783),
(26726, '5f1qA02', NULL, NULL, 169, NULL, NULL, 16783),
(26727, '5yqwA02', NULL, NULL, 107, NULL, NULL, 16783),
(26728, '5hm4B02', NULL, NULL, 147, NULL, NULL, 16783),
(26729, '4tozA02', NULL, NULL, 124, NULL, NULL, 16783),
(26730, '6hlxA02', NULL, NULL, 148, NULL, NULL, 16783),
(26731, '1dpeA01', NULL, NULL, 169, NULL, NULL, 16783),
(26732, '4ze8A02', NULL, NULL, 118, NULL, NULL, 16783),
(26733, '1zu0A02', NULL, NULL, 107, NULL, NULL, 16783),
(26734, '4gl8A02', NULL, NULL, 134, NULL, NULL, 16783),
(26735, '3e56A00', NULL, NULL, 81, NULL, NULL, 16784),
(26736, '1fi8D00', NULL, NULL, 58, NULL, NULL, 16785);
INSERT INTO "PUBLIC"."MODEL" VALUES
(26737, '5b66B02', NULL, NULL, 173, NULL, NULL, 16786),
(26738, '5xnlB02', NULL, NULL, 173, NULL, NULL, 16786),
(26739, '3rdeA01', NULL, NULL, 467, NULL, NULL, 16787),
(26740, '3v99B02', NULL, NULL, 440, NULL, NULL, 16787),
(26741, '4nreA02', NULL, NULL, 436, NULL, NULL, 16787),
(26742, '3fg1A02', NULL, NULL, 442, NULL, NULL, 16787),
(26743, '3vf1A02', NULL, NULL, 443, NULL, NULL, 16787),
(26744, '3d3lA01', NULL, NULL, 402, NULL, NULL, 16787),
(26745, '2iujA05', NULL, NULL, 367, NULL, NULL, 16787),
(26746, '1ik3A05', NULL, NULL, 366, NULL, NULL, 16787),
(26747, '1loxA01', NULL, NULL, 435, NULL, NULL, 16787),
(26748, '2iukA05', NULL, NULL, 366, NULL, NULL, 16787),
(26749, '4wfoA05', NULL, NULL, 347, NULL, NULL, 16787),
(26750, '3fz2E00', NULL, NULL, 134, NULL, NULL, 16788),
(26751, '2nykA02', NULL, NULL, 94, NULL, NULL, 16789),
(26752, '4jo8A02', NULL, NULL, 94, NULL, NULL, 16789),
(26753, '3mstA00', NULL, NULL, 244, NULL, NULL, 16790),
(26754, '3tdnA00', NULL, NULL, 126, NULL, NULL, 16791),
(26755, '2d28C01', NULL, NULL, 63, NULL, NULL, 16792),
(26756, '3zrhA01', NULL, NULL, 97, NULL, NULL, 16793),
(26757, '2bl0A00', NULL, NULL, 63, NULL, NULL, 16794),
(26758, '1wdcA00', NULL, NULL, 64, NULL, NULL, 16794),
(26759, '4ix7A00', NULL, NULL, 115, NULL, NULL, 16795),
(26760, '4x0gB00', NULL, NULL, 109, NULL, NULL, 16795),
(26761, '5cecB00', NULL, NULL, 203, NULL, NULL, 16796),
(26762, '5kwdA00', NULL, NULL, 160, NULL, NULL, 16796),
(26763, '2f8xK00', NULL, NULL, 256, NULL, NULL, 16796),
(26764, '5madE00', NULL, NULL, 160, NULL, NULL, 16796),
(26765, '4j7wA00', NULL, NULL, 169, NULL, NULL, 16796),
(26766, '5bxoB00', NULL, NULL, 164, NULL, NULL, 16796),
(26767, '5hryH00', NULL, NULL, 169, NULL, NULL, 16796),
(26768, '1k1aA00', NULL, NULL, 241, NULL, NULL, 16796),
(26769, '5eilB00', NULL, NULL, 159, NULL, NULL, 16796),
(26770, '2rfmA00', NULL, NULL, 192, NULL, NULL, 16796),
(26771, '1sw6A00', NULL, NULL, 272, NULL, NULL, 16796),
(26772, '2fo1E00', NULL, NULL, 305, NULL, NULL, 16796),
(26773, '2jabC00', NULL, NULL, 136, NULL, NULL, 16796),
(26774, '4zhbA00', NULL, NULL, 114, NULL, NULL, 16796),
(26775, '4ydwA00', NULL, NULL, 169, NULL, NULL, 16796),
(26776, '4rlyA00', NULL, NULL, 329, NULL, NULL, 16796),
(26777, '5u0kA00', NULL, NULL, 98, NULL, NULL, 16796),
(26778, '4hb5B00', NULL, NULL, 169, NULL, NULL, 16796),
(26779, '5eylB00', NULL, NULL, 152, NULL, NULL, 16796),
(26780, '5mblB00', NULL, NULL, 171, NULL, NULL, 16796),
(26781, '5kngB00', NULL, NULL, 169, NULL, NULL, 16796),
(26782, '5u0iB00', NULL, NULL, 93, NULL, NULL, 16796),
(26783, '6ghmC01', NULL, NULL, 139, NULL, NULL, 16796),
(26784, '6ne1B00', NULL, NULL, 161, NULL, NULL, 16796),
(26785, '2l6bA00', NULL, NULL, 115, NULL, NULL, 16796),
(26786, '5aqaA01', NULL, NULL, 153, NULL, NULL, 16796),
(26787, '2bkkD00', NULL, NULL, 169, NULL, NULL, 16796),
(26788, '1n11A00', NULL, NULL, 437, NULL, NULL, 16796),
(26789, '3hraA00', NULL, NULL, 201, NULL, NULL, 16796),
(26790, '4duiA00', NULL, NULL, 169, NULL, NULL, 16796),
(26791, '1n0qB00', NULL, NULL, 93, NULL, NULL, 16796),
(26792, '3v31A00', NULL, NULL, 167, NULL, NULL, 16796),
(26793, '1dcqA02', NULL, NULL, 157, NULL, NULL, 16796),
(26794, '4b93B00', NULL, NULL, 197, NULL, NULL, 16796),
(26795, '3ehrA02', NULL, NULL, 116, NULL, NULL, 16796),
(26796, '1s70B01', NULL, NULL, 162, NULL, NULL, 16796),
(26797, '1s70B02', NULL, NULL, 137, NULL, NULL, 16796),
(26798, '5oovA00', NULL, NULL, 168, NULL, NULL, 16796),
(26799, '5ja4D00', NULL, NULL, 158, NULL, NULL, 16796),
(26800, '6fp7B00', NULL, NULL, 164, NULL, NULL, 16796),
(26801, '1bi7B00', NULL, NULL, 134, NULL, NULL, 16796),
(26802, '3zu7B00', NULL, NULL, 169, NULL, NULL, 16796),
(26803, '2v5qC00', NULL, NULL, 141, NULL, NULL, 16796),
(26804, '3utmB01', NULL, NULL, 175, NULL, NULL, 16796),
(26805, '6h47B00', NULL, NULL, 158, NULL, NULL, 16796),
(26806, '5op1A00', NULL, NULL, 168, NULL, NULL, 16796),
(26807, '3t9kA02', NULL, NULL, 157, NULL, NULL, 16796),
(26808, '5ooyA00', NULL, NULL, 168, NULL, NULL, 16796),
(26809, '4f6rD00', NULL, NULL, 169, NULL, NULL, 16796);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(26810, '5oyjA00', NULL, NULL, 169, NULL, NULL, 16796),
(26811, '5aarA00', NULL, NULL, 185, NULL, NULL, 16796),
(26812, '5y4fB00', NULL, NULL, 416, NULL, NULL, 16796),
(26813, '5hs0A00', NULL, NULL, 166, NULL, NULL, 16796),
(26814, '4hi8A00', NULL, NULL, 179, NULL, NULL, 16796),
(26815, '4besA02', NULL, NULL, 133, NULL, NULL, 16796),
(26816, '5gikA00', NULL, NULL, 154, NULL, NULL, 16796),
(26817, '2v4hD00', NULL, NULL, 136, NULL, NULL, 16796),
(26818, '3deoA02', NULL, NULL, 146, NULL, NULL, 16796),
(26819, '4k5aB00', NULL, NULL, 169, NULL, NULL, 16796),
(26820, '5z2mB00', NULL, NULL, 138, NULL, NULL, 16796),
(26821, '3nogD00', NULL, NULL, 169, NULL, NULL, 16796),
(26822, '1mx4B00', NULL, NULL, 168, NULL, NULL, 16796),
(26823, '1blxB00', NULL, NULL, 166, NULL, NULL, 16796),
(26824, '5aaoE00', NULL, NULL, 169, NULL, NULL, 16796),
(26825, '3aaaC00', NULL, NULL, 123, NULL, NULL, 16796),
(26826, '2vgeA00', NULL, NULL, 229, NULL, NULL, 16796),
(26827, '4qfvC02', NULL, NULL, 69, NULL, NULL, 16796),
(26828, '1awcB00', NULL, NULL, 153, NULL, NULL, 16796),
(26829, '3ljnA00', NULL, NULL, 319, NULL, NULL, 16796),
(26830, '6fpaA00', NULL, NULL, 164, NULL, NULL, 16796),
(26831, '4hqdA00', NULL, NULL, 169, NULL, NULL, 16796),
(26832, '4o1pA01', NULL, NULL, 306, NULL, NULL, 16796),
(26833, '5y4eA00', NULL, NULL, 251, NULL, NULL, 16796),
(26834, '2zgdA00', NULL, NULL, 110, NULL, NULL, 16796),
(26835, '3keaA00', NULL, NULL, 285, NULL, NULL, 16796),
(26836, '1wdyA00', NULL, NULL, 285, NULL, NULL, 16796),
(26837, '5mlbB00', NULL, NULL, 157, NULL, NULL, 16796),
(26838, '2p2cP00', NULL, NULL, 169, NULL, NULL, 16796),
(26839, '4hbdA00', NULL, NULL, 245, NULL, NULL, 16796),
(26840, '4bszB00', NULL, NULL, 158, NULL, NULL, 16796),
(26841, '6ndzF00', NULL, NULL, 200, NULL, NULL, 16796),
(26842, '2xenA00', NULL, NULL, 91, NULL, NULL, 16796),
(26843, '1yyhB00', NULL, NULL, 199, NULL, NULL, 16796),
(26844, '3zuvB00', NULL, NULL, 136, NULL, NULL, 16796),
(26845, '3eu9C00', NULL, NULL, 240, NULL, NULL, 16796),
(26846, '3utmA02', NULL, NULL, 131, NULL, NULL, 16796),
(26847, '5op3A00', NULL, NULL, 168, NULL, NULL, 16796),
(26848, '5aq7A01', NULL, NULL, 153, NULL, NULL, 16796),
(26849, '6d66B00', NULL, NULL, 136, NULL, NULL, 16796),
(26850, '5aqbA01', NULL, NULL, 115, NULL, NULL, 16796),
(26851, '2qyjA00', NULL, NULL, 166, NULL, NULL, 16796),
(26852, '4atzD00', NULL, NULL, 154, NULL, NULL, 16796),
(26853, '5lw2A00', NULL, NULL, 169, NULL, NULL, 16796),
(26854, '6iybB00', NULL, NULL, 154, NULL, NULL, 16796),
(26855, '5enqD00', NULL, NULL, 169, NULL, NULL, 16796),
(26856, '3c5rA00', NULL, NULL, 137, NULL, NULL, 16796),
(26857, '4uucA00', NULL, NULL, 226, NULL, NULL, 16796),
(26858, '1bd8A00', NULL, NULL, 156, NULL, NULL, 16796),
(26859, '5mlaB00', NULL, NULL, 142, NULL, NULL, 16796),
(26860, '2dznA00', NULL, NULL, 228, NULL, NULL, 16796),
(26861, '3hg0D00', NULL, NULL, 136, NULL, NULL, 16796),
(26862, '5eypF00', NULL, NULL, 142, NULL, NULL, 16796),
(26863, '1uohA00', NULL, NULL, 226, NULL, NULL, 16796),
(26864, '2etbA00', NULL, NULL, 256, NULL, NULL, 16796),
(26865, '4jb8P00', NULL, NULL, 171, NULL, NULL, 16796),
(26866, '4dx1B00', NULL, NULL, 259, NULL, NULL, 16796),
(26867, '5oouA00', NULL, NULL, 168, NULL, NULL, 16796),
(26868, '3lvqE03', NULL, NULL, 59, NULL, NULL, 16796),
(26869, '1ympA00', NULL, NULL, 135, NULL, NULL, 16796),
(26870, '5uqeC03', NULL, NULL, 87, NULL, NULL, 16796),
(26871, '2rfaA00', NULL, NULL, 232, NULL, NULL, 16796),
(26872, '4k5cB00', NULL, NULL, 183, NULL, NULL, 16796),
(26873, '6h46B00', NULL, NULL, 156, NULL, NULL, 16796),
(26874, '1oy3D00', NULL, NULL, 220, NULL, NULL, 16796),
(26875, '3w9fC00', NULL, NULL, 260, NULL, NULL, 16796),
(26876, '5d66A00', NULL, NULL, 198, NULL, NULL, 16796),
(26877, '4n5qA00', NULL, NULL, 257, NULL, NULL, 16796),
(26878, '3d9hA00', NULL, NULL, 244, NULL, NULL, 16796),
(26879, '5an8A01', NULL, NULL, 298, NULL, NULL, 16796),
(26880, '2qc9A00', NULL, NULL, 193, NULL, NULL, 16796),
(26881, '3t8kB00', NULL, NULL, 186, NULL, NULL, 16796),
(26882, '2xzdH00', NULL, NULL, 136, NULL, NULL, 16796);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(26883, '2f8yB00', NULL, NULL, 223, NULL, NULL, 16796),
(26884, '5mbmC00', NULL, NULL, 171, NULL, NULL, 16796),
(26885, '2xehA00', NULL, NULL, 157, NULL, NULL, 16796),
(26886, '4hrmB00', NULL, NULL, 152, NULL, NULL, 16796),
(26887, '2f37A00', NULL, NULL, 251, NULL, NULL, 16796),
(26888, '3j5pA01', NULL, NULL, 305, NULL, NULL, 16796),
(26889, '5eidA00', NULL, NULL, 123, NULL, NULL, 16796),
(26890, '5ma6B00', NULL, NULL, 161, NULL, NULL, 16796),
(26891, '4k5bA00', NULL, NULL, 169, NULL, NULL, 16796),
(26892, '4o60B00', NULL, NULL, 234, NULL, NULL, 16796),
(26893, '6ne2B00', NULL, NULL, 200, NULL, NULL, 16796),
(26894, '4gmrA00', NULL, NULL, 169, NULL, NULL, 16796),
(26895, '2pnnA00', NULL, NULL, 273, NULL, NULL, 16796),
(26896, '5ybuA00', NULL, NULL, 253, NULL, NULL, 16796),
(26897, '5yayA00', NULL, NULL, 257, NULL, NULL, 16796),
(26898, '1svxA00', NULL, NULL, 169, NULL, NULL, 16796),
(26899, '6gvmD00', NULL, NULL, 169, NULL, NULL, 16796),
(26900, '1ot8C00', NULL, NULL, 193, NULL, NULL, 16796),
(26901, '4lszF00', NULL, NULL, 169, NULL, NULL, 16796),
(26902, '2ajaA00', NULL, NULL, 349, NULL, NULL, 16796),
(26903, '1n0rA00', NULL, NULL, 126, NULL, NULL, 16796),
(26904, '3v30A00', NULL, NULL, 172, NULL, NULL, 16796),
(26905, '5kbaB00', NULL, NULL, 169, NULL, NULL, 16796),
(26906, '3b7bB00', NULL, NULL, 237, NULL, NULL, 16796),
(26907, '4hrlA00', NULL, NULL, 171, NULL, NULL, 16796),
(26908, '3nocD00', NULL, NULL, 169, NULL, NULL, 16796),
(26909, '5aq8A01', NULL, NULL, 161, NULL, NULL, 16796),
(26910, '4cymD00', NULL, NULL, 175, NULL, NULL, 16796),
(26911, '2b0oE02', NULL, NULL, 155, NULL, NULL, 16796),
(26912, '2bkgA00', NULL, NULL, 166, NULL, NULL, 16796),
(26913, '4gpmA00', NULL, NULL, 169, NULL, NULL, 16796),
(26914, '2y1lE00', NULL, NULL, 169, NULL, NULL, 16796),
(26915, '3q9nD00', NULL, NULL, 158, NULL, NULL, 16796),
(26916, '5gp7A00', NULL, NULL, 169, NULL, NULL, 16796),
(26917, '1d9sA00', NULL, NULL, 136, NULL, NULL, 16796),
(26918, '1iknD00', NULL, NULL, 236, NULL, NULL, 16796),
(26919, '4qfvA01', NULL, NULL, 165, NULL, NULL, 16796),
(26920, '3ajiA00', NULL, NULL, 231, NULL, NULL, 16796),
(26921, '1hwyA01', NULL, NULL, 51, NULL, NULL, 16797),
(26922, '6dhqA01', NULL, NULL, 56, NULL, NULL, 16797),
(26923, '1l1fA03', NULL, NULL, 60, NULL, NULL, 16797),
(26924, '3b2vA01', NULL, NULL, 66, NULL, NULL, 16798),
(26925, '4uv7A04', NULL, NULL, 141, NULL, NULL, 16798),
(26926, '3mzwA04', NULL, NULL, 87, NULL, NULL, 16798),
(26927, '4uv7A02', NULL, NULL, 115, NULL, NULL, 16798),
(26928, '1m6bA02', NULL, NULL, 110, NULL, NULL, 16798),
(26929, '4kroA04', NULL, NULL, 91, NULL, NULL, 16798),
(26930, '1m6bA04', NULL, NULL, 100, NULL, NULL, 16798),
(26931, '1m6bB04', NULL, NULL, 108, NULL, NULL, 16798),
(26932, '3u7uA04', NULL, NULL, 57, NULL, NULL, 16798),
(26933, '2ahxB04', NULL, NULL, 140, NULL, NULL, 16798),
(26934, '2ahxA02', NULL, NULL, 111, NULL, NULL, 16798),
(26935, '4bspA00', NULL, NULL, 99, NULL, NULL, 16798),
(26936, '1n8zC02', NULL, NULL, 124, NULL, NULL, 16798),
(26937, '4c9uD00', NULL, NULL, 93, NULL, NULL, 16798),
(26938, '4qxfC00', NULL, NULL, 84, NULL, NULL, 16798),
(26939, '1n8zC04', NULL, NULL, 123, NULL, NULL, 16798),
(26940, '3b2vA04', NULL, NULL, 66, NULL, NULL, 16798),
(26941, '3wlwA04', NULL, NULL, 54, NULL, NULL, 16798),
(26942, '4hrnC00', NULL, NULL, 79, NULL, NULL, 16798),
(26943, '4ufrB00', NULL, NULL, 120, NULL, NULL, 16798),
(26944, '3i2tA02', NULL, NULL, 120, NULL, NULL, 16798),
(26945, '3i2tA04', NULL, NULL, 76, NULL, NULL, 16798),
(26946, '4bsoA00', NULL, NULL, 126, NULL, NULL, 16798),
(26947, '1n8yC02', NULL, NULL, 124, NULL, NULL, 16798),
(26948, '4c9rD00', NULL, NULL, 121, NULL, NULL, 16798),
(26949, '4leoC04', NULL, NULL, 142, NULL, NULL, 16798),
(26950, '2hr7A02', NULL, NULL, 118, NULL, NULL, 16798),
(26951, '2hr7B02', NULL, NULL, 69, NULL, NULL, 16798),
(26952, '1n8yC04', NULL, NULL, 123, NULL, NULL, 16798),
(26953, '4krpA03', NULL, NULL, 67, NULL, NULL, 16798),
(26954, '1igrA02', NULL, NULL, 76, NULL, NULL, 16798),
(26955, '2ogfA00', NULL, NULL, 122, NULL, NULL, 16799);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(26956, '2i52B00', NULL, NULL, 121, NULL, NULL, 16799),
(26957, '2iecD00', NULL, NULL, 131, NULL, NULL, 16799),
(26958, '1ho8A02', NULL, NULL, 112, NULL, NULL, 16800),
(26959, '3eipA00', NULL, NULL, 84, NULL, NULL, 16801),
(26960, '2wvxA02', NULL, NULL, 163, NULL, NULL, 16802),
(26961, '2ww2A02', NULL, NULL, 166, NULL, NULL, 16802),
(26962, '3ivtA02', NULL, NULL, 118, NULL, NULL, 16803),
(26963, '5uncB00', NULL, NULL, 287, NULL, NULL, 16804),
(26964, '2ze3A01', NULL, NULL, 232, NULL, NULL, 16804),
(26965, '2x0sA06', NULL, NULL, 341, NULL, NULL, 16804),
(26966, '3qv9A02', NULL, NULL, 234, NULL, NULL, 16804),
(26967, '4lsbA01', NULL, NULL, 242, NULL, NULL, 16804),
(26968, '3oyzA01', NULL, NULL, 272, NULL, NULL, 16804),
(26969, '1f8mA00', NULL, NULL, 429, NULL, NULL, 16804),
(26970, '3hqnA02', NULL, NULL, 234, NULL, NULL, 16804),
(26971, '2bg5D00', NULL, NULL, 324, NULL, NULL, 16804),
(26972, '1a3wA02', NULL, NULL, 235, NULL, NULL, 16804),
(26973, '3qtgA01', NULL, NULL, 251, NULL, NULL, 16804),
(26974, '2xz9B00', NULL, NULL, 324, NULL, NULL, 16804),
(26975, '2bg5B00', NULL, NULL, 324, NULL, NULL, 16804),
(26976, '4mg4C00', NULL, NULL, 261, NULL, NULL, 16804),
(26977, '4drsA02', NULL, NULL, 248, NULL, NULL, 16804),
(26978, '3eooB00', NULL, NULL, 298, NULL, NULL, 16804),
(26979, '1oy0A00', NULL, NULL, 264, NULL, NULL, 16804),
(26980, '4kctA02', NULL, NULL, 234, NULL, NULL, 16804),
(26981, '2hroA03', NULL, NULL, 342, NULL, NULL, 16804),
(26982, '1igwA00', NULL, NULL, 417, NULL, NULL, 16804),
(26983, '3r4iA01', NULL, NULL, 268, NULL, NULL, 16804),
(26984, '3fa4J00', NULL, NULL, 302, NULL, NULL, 16804),
(26985, '3qz6A00', NULL, NULL, 261, NULL, NULL, 16804),
(26986, '2v5jB00', NULL, NULL, 271, NULL, NULL, 16804),
(26987, '1o66C00', NULL, NULL, 258, NULL, NULL, 16804),
(26988, '1o68D00', NULL, NULL, 275, NULL, NULL, 16804),
(26989, '1o66E00', NULL, NULL, 259, NULL, NULL, 16804),
(26990, '1o68B00', NULL, NULL, 275, NULL, NULL, 16804),
(26991, '4tv5A00', NULL, NULL, 259, NULL, NULL, 16804),
(26992, '1o66A00', NULL, NULL, 275, NULL, NULL, 16804),
(26993, '4l80D00', NULL, NULL, 348, NULL, NULL, 16804),
(26994, '1e0tA02', NULL, NULL, 235, NULL, NULL, 16804),
(26995, '3khdA02', NULL, NULL, 236, NULL, NULL, 16804),
(26996, '2vwsA00', NULL, NULL, 267, NULL, NULL, 16804),
(26997, '1sgjA00', NULL, NULL, 234, NULL, NULL, 16804),
(26998, '3eolA00', NULL, NULL, 411, NULL, NULL, 16804),
(26999, '1u5hA00', NULL, NULL, 223, NULL, NULL, 16804),
(27000, '2qiwA01', NULL, NULL, 236, NULL, NULL, 16804),
(27001, '2hjpA00', NULL, NULL, 290, NULL, NULL, 16804),
(27002, '4ip7B02', NULL, NULL, 240, NULL, NULL, 16804),
(27003, '3ez4F00', NULL, NULL, 269, NULL, NULL, 16804),
(27004, '4l9yB00', NULL, NULL, 264, NULL, NULL, 16804),
(27005, '6b6uA02', NULL, NULL, 240, NULL, NULL, 16804),
(27006, '1izcA00', NULL, NULL, 300, NULL, NULL, 16804),
(27007, '2wqdA02', NULL, NULL, 338, NULL, NULL, 16804),
(27008, '2e28A01', NULL, NULL, 243, NULL, NULL, 16804),
(27009, '2olsA04', NULL, NULL, 314, NULL, NULL, 16804),
(27010, '3i4eA00', NULL, NULL, 416, NULL, NULL, 16804),
(27011, '1dquA01', NULL, NULL, 411, NULL, NULL, 16804),
(27012, '5ws9A01', NULL, NULL, 234, NULL, NULL, 16804),
(27013, '3t05A01', NULL, NULL, 241, NULL, NULL, 16804),
(27014, '2hwgA03', NULL, NULL, 346, NULL, NULL, 16804),
(27015, '2bg5C00', NULL, NULL, 324, NULL, NULL, 16804),
(27016, '1zlpA00', NULL, NULL, 291, NULL, NULL, 16804),
(27017, '2bg5A00', NULL, NULL, 324, NULL, NULL, 16804),
(27018, '1m3uA00', NULL, NULL, 264, NULL, NULL, 16804),
(27019, '1vbgA06', NULL, NULL, 342, NULL, NULL, 16804),
(27020, '3b8iC00', NULL, NULL, 287, NULL, NULL, 16804),
(27021, '1kblA04', NULL, NULL, 343, NULL, NULL, 16804),
(27022, '6r62A00', NULL, NULL, 252, NULL, NULL, 16804),
(27023, '3qqwC01', NULL, NULL, 269, NULL, NULL, 16804),
(27024, '4mf4A00', NULL, NULL, 269, NULL, NULL, 16804),
(27025, '5jvjB06', NULL, NULL, 341, NULL, NULL, 16804),
(27026, '1o66B00', NULL, NULL, 258, NULL, NULL, 16804),
(27027, '1xg4D00', NULL, NULL, 295, NULL, NULL, 16804),
(27028, '1o66D00', NULL, NULL, 275, NULL, NULL, 16804);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(27029, '1o68E00', NULL, NULL, 275, NULL, NULL, 16804),
(27030, '6du6A02', NULL, NULL, 240, NULL, NULL, 16804),
(27031, '1o68C00', NULL, NULL, 258, NULL, NULL, 16804),
(27032, '4iqdB00', NULL, NULL, 305, NULL, NULL, 16804),
(27033, '1o68A00', NULL, NULL, 275, NULL, NULL, 16804),
(27034, '3lg3B00', NULL, NULL, 418, NULL, NULL, 16804),
(27035, '1ujqB00', NULL, NULL, 285, NULL, NULL, 16804),
(27036, '3qllA00', NULL, NULL, 236, NULL, NULL, 16804),
(27037, '3vavH00', NULL, NULL, 275, NULL, NULL, 16804),
(27038, '3gg8A02', NULL, NULL, 241, NULL, NULL, 16804),
(27039, '1s2wA00', NULL, NULL, 278, NULL, NULL, 16804),
(27040, '4roqA00', NULL, NULL, 324, NULL, NULL, 16804),
(27041, '3lyeA00', NULL, NULL, 307, NULL, NULL, 16804),
(27042, '1dxeA00', NULL, NULL, 256, NULL, NULL, 16804),
(27043, '3kfuG01', NULL, NULL, 38, NULL, NULL, 16805),
(27044, '3ip4C01', NULL, NULL, 46, NULL, NULL, 16805),
(27045, '4wj3C01', NULL, NULL, 53, NULL, NULL, 16805),
(27046, '3kfuJ01', NULL, NULL, 48, NULL, NULL, 16805),
(27047, '3a1kA01', NULL, NULL, 55, NULL, NULL, 16805),
(27048, '3h0lC01', NULL, NULL, 44, NULL, NULL, 16805),
(27049, '2x9qB00', NULL, NULL, 241, NULL, NULL, 16806),
(27050, '6ez3C00', NULL, NULL, 234, NULL, NULL, 16806),
(27051, '3oqvA00', NULL, NULL, 220, NULL, NULL, 16806),
(27052, '3oqiB00', NULL, NULL, 234, NULL, NULL, 16806),
(27053, '3ifuA02', NULL, NULL, 116, NULL, NULL, 16807),
(27054, '2ztjA02', NULL, NULL, 49, NULL, NULL, 16808),
(27055, '4phzB00', NULL, NULL, 252, NULL, NULL, 16809),
(27056, '1yewB00', NULL, NULL, 247, NULL, NULL, 16809),
(27057, '3chxB00', NULL, NULL, 252, NULL, NULL, 16809),
(27058, '6cxhB00', NULL, NULL, 247, NULL, NULL, 16809),
(27059, '1rh7B01', NULL, NULL, 20, NULL, NULL, 16810),
(27060, '1nvpD01', NULL, NULL, 52, NULL, NULL, 16811),
(27061, '1nh2D01', NULL, NULL, 56, NULL, NULL, 16811),
(27062, '3be3A00', NULL, NULL, 91, NULL, NULL, 16812),
(27063, '2mrlA00', NULL, NULL, 72, NULL, NULL, 16813),
(27064, '2qyfB00', NULL, NULL, 240, NULL, NULL, 16814),
(27065, '1wteB01', NULL, NULL, 147, NULL, NULL, 16815),
(27066, '2v7qJ00', NULL, NULL, 50, NULL, NULL, 16816),
(27067, '1gmjD00', NULL, NULL, 62, NULL, NULL, 16816),
(27068, '1hf9A00', NULL, NULL, 41, NULL, NULL, 16816),
(27069, '3kltB00', NULL, NULL, 72, NULL, NULL, 16816),
(27070, '4tsfI00', NULL, NULL, 66, NULL, NULL, 16816),
(27071, '3tgnA01', NULL, NULL, 35, NULL, NULL, 16817),
(27072, '5nqzB01', NULL, NULL, 133, NULL, NULL, 16818),
(27073, '2kdyA01', NULL, NULL, 145, NULL, NULL, 16818),
(27074, '4ayiD01', NULL, NULL, 127, NULL, NULL, 16818),
(27075, '4z3tB01', NULL, NULL, 128, NULL, NULL, 16818),
(27076, '5nqyA01', NULL, NULL, 133, NULL, NULL, 16818),
(27077, '2mkzA01', NULL, NULL, 121, NULL, NULL, 16819),
(27078, '5yrvA00', NULL, NULL, 554, NULL, NULL, 16820),
(27079, '1iwpA00', NULL, NULL, 555, NULL, NULL, 16820),
(27080, '3uo9C01', NULL, NULL, 82, NULL, NULL, 16821),
(27081, '1d4uA00', NULL, NULL, 111, NULL, NULL, 16822),
(27082, '3cwxA00', NULL, NULL, 130, NULL, NULL, 16823),
(27083, '1lr0A00', NULL, NULL, 129, NULL, NULL, 16824),
(27084, '3qdpA00', NULL, NULL, 88, NULL, NULL, 16824),
(27085, '1tolA02', NULL, NULL, 73, NULL, NULL, 16824),
(27086, '2k9kA00', NULL, NULL, 106, NULL, NULL, 16824),
(27087, '2m2kA00', NULL, NULL, 131, NULL, NULL, 16824),
(27088, '2x9aB00', NULL, NULL, 98, NULL, NULL, 16824),
(27089, '4g7xB00', NULL, NULL, 103, NULL, NULL, 16824),
(27090, '1o0sA01', NULL, NULL, 76, NULL, NULL, 16825),
(27091, '2b78A02', NULL, NULL, 106, NULL, NULL, 16826),
(27092, '4dmgA02', NULL, NULL, 102, NULL, NULL, 16826),
(27093, '3vseB02', NULL, NULL, 105, NULL, NULL, 16826),
(27094, '3v97A03', NULL, NULL, 92, NULL, NULL, 16826),
(27095, '1wxxA02', NULL, NULL, 105, NULL, NULL, 16826),
(27096, '3c0kA02', NULL, NULL, 109, NULL, NULL, 16826),
(27097, '2as0A02', NULL, NULL, 107, NULL, NULL, 16826),
(27098, '1rf8B01', NULL, NULL, 69, NULL, NULL, 16827),
(27099, '3if8A03', NULL, NULL, 46, NULL, NULL, 16828),
(27100, '5bn8A04', NULL, NULL, 83, NULL, NULL, 16829),
(27101, '2hf3A03', NULL, NULL, 92, NULL, NULL, 16829),
(27102, '4i6mA03', NULL, NULL, 141, NULL, NULL, 16829);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(27103, '5aqmA04', NULL, NULL, 84, NULL, NULL, 16829),
(27104, '4b1yB03', NULL, NULL, 89, NULL, NULL, 16829),
(27105, '1d4xA03', NULL, NULL, 92, NULL, NULL, 16829),
(27106, '6gfaA04', NULL, NULL, 85, NULL, NULL, 16829),
(27107, '4rtfD03', NULL, NULL, 89, NULL, NULL, 16829),
(27108, '6eofA03', NULL, NULL, 84, NULL, NULL, 16829),
(27109, '4cbuA03', NULL, NULL, 92, NULL, NULL, 16829),
(27110, '2v7yA03', NULL, NULL, 82, NULL, NULL, 16829),
(27111, '5i9eA03', NULL, NULL, 113, NULL, NULL, 16829),
(27112, '1c0gA03', NULL, NULL, 92, NULL, NULL, 16829),
(27113, '4am6A02', NULL, NULL, 155, NULL, NULL, 16829),
(27114, '4cbxA03', NULL, NULL, 93, NULL, NULL, 16829),
(27115, '3d2fA04', NULL, NULL, 84, NULL, NULL, 16829),
(27116, '4gniA04', NULL, NULL, 86, NULL, NULL, 16829),
(27117, '3gdqA04', NULL, NULL, 84, NULL, NULL, 16829),
(27118, '4fo0A03', NULL, NULL, 153, NULL, NULL, 16829),
(27119, '4jneA03', NULL, NULL, 88, NULL, NULL, 16829),
(27120, '4efhA03', NULL, NULL, 92, NULL, NULL, 16829),
(27121, '1jcfA03', NULL, NULL, 76, NULL, NULL, 16829),
(27122, '4a2aA04', NULL, NULL, 65, NULL, NULL, 16829),
(27123, '4czlA03', NULL, NULL, 76, NULL, NULL, 16829),
(27124, '3dwlA03', NULL, NULL, 94, NULL, NULL, 16829),
(27125, '3cipA03', NULL, NULL, 92, NULL, NULL, 16829),
(27126, '1yagA04', NULL, NULL, 86, NULL, NULL, 16829),
(27127, '3gl1A04', NULL, NULL, 84, NULL, NULL, 16829),
(27128, '2pbdA04', NULL, NULL, 89, NULL, NULL, 16829),
(27129, '5tkyA03', NULL, NULL, 84, NULL, NULL, 16829),
(27130, '4kboA04', NULL, NULL, 88, NULL, NULL, 16829),
(27131, '4pl7A03', NULL, NULL, 89, NULL, NULL, 16829),
(27132, '3fe1A04', NULL, NULL, 84, NULL, NULL, 16829),
(27133, '6f1uB03', NULL, NULL, 88, NULL, NULL, 16829),
(27134, '1k8kA04', NULL, NULL, 92, NULL, NULL, 16829),
(27135, '1k8kB02', NULL, NULL, 87, NULL, NULL, 16829),
(27136, '4ci6A03', NULL, NULL, 92, NULL, NULL, 16829),
(27137, '3qfuA04', NULL, NULL, 84, NULL, NULL, 16829),
(27138, '3kvgA04', NULL, NULL, 85, NULL, NULL, 16829),
(27139, '3i33A04', NULL, NULL, 84, NULL, NULL, 16829),
(27140, '3a5nC03', NULL, NULL, 92, NULL, NULL, 16829),
(27141, '2huhA01', NULL, NULL, 136, NULL, NULL, 16830),
(27142, '6qulC03', NULL, NULL, 78, NULL, NULL, 16831),
(27143, '5xymC03', NULL, NULL, 82, NULL, NULL, 16831),
(27144, '6hmaC03', NULL, NULL, 80, NULL, NULL, 16831),
(27145, '1vvmD03', NULL, NULL, 80, NULL, NULL, 16831),
(27146, '3pioA03', NULL, NULL, 79, NULL, NULL, 16831),
(27147, '1vq8A03', NULL, NULL, 80, NULL, NULL, 16831),
(27148, '5v7qC03', NULL, NULL, 84, NULL, NULL, 16831),
(27149, '3wryA02', NULL, NULL, 221, NULL, NULL, 16832),
(27150, '4dwpA01', NULL, NULL, 92, NULL, NULL, 16833),
(27151, '4e0gA01', NULL, NULL, 92, NULL, NULL, 16833),
(27152, '1xlyA00', NULL, NULL, 234, NULL, NULL, 16834),
(27153, '2lg7A00', NULL, NULL, 129, NULL, NULL, 16835),
(27154, '2cw8A04', NULL, NULL, 53, NULL, NULL, 16836),
(27155, '1frsA00', NULL, NULL, 129, NULL, NULL, 16837),
(27156, '2vf9A00', NULL, NULL, 131, NULL, NULL, 16837),
(27157, '1mscA00', NULL, NULL, 129, NULL, NULL, 16837),
(27158, '2qudA00', NULL, NULL, 125, NULL, NULL, 16837),
(27159, '1unaA00', NULL, NULL, 129, NULL, NULL, 16837),
(27160, '4l8hB00', NULL, NULL, 132, NULL, NULL, 16837),
(27161, '5q22A02', NULL, NULL, 148, NULL, NULL, 16838),
(27162, '5ahoA02', NULL, NULL, 123, NULL, NULL, 16838),
(27163, '2kebA00', NULL, NULL, 78, NULL, NULL, 16839),
(27164, '2i9cA01', NULL, NULL, 111, NULL, NULL, 16840),
(27165, '5dxuA03', NULL, NULL, 199, NULL, NULL, 16840),
(27166, '4uwhA01', NULL, NULL, 245, NULL, NULL, 16840),
(27167, '3hhmA02', NULL, NULL, 254, NULL, NULL, 16840),
(27168, '1he8A03', NULL, NULL, 111, NULL, NULL, 16840),
(27169, '1e7uA03', NULL, NULL, 200, NULL, NULL, 16840),
(27170, '4bfrA03', NULL, NULL, 203, NULL, NULL, 16840),
(27171, '2x6hA01', NULL, NULL, 191, NULL, NULL, 16840),
(27172, '3ls8B01', NULL, NULL, 183, NULL, NULL, 16840),
(27173, '2wxfA01', NULL, NULL, 240, NULL, NULL, 16840),
(27174, '4v0iA03', NULL, NULL, 101, NULL, NULL, 16840),
(27175, '4jpsA03', NULL, NULL, 217, NULL, NULL, 16840),
(27176, '1tuoA03', NULL, NULL, 117, NULL, NULL, 16841);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(27177, '1tuoA02', NULL, NULL, 85, NULL, NULL, 16841),
(27178, '1tuoA01', NULL, NULL, 155, NULL, NULL, 16841),
(27179, '3uw2A01', NULL, NULL, 155, NULL, NULL, 16841),
(27180, '5bmnA01', NULL, NULL, 147, NULL, NULL, 16841),
(27181, '5bmnA02', NULL, NULL, 78, NULL, NULL, 16841),
(27182, '5bmnA03', NULL, NULL, 119, NULL, NULL, 16841),
(27183, '3uw2A03', NULL, NULL, 118, NULL, NULL, 16841),
(27184, '3uw2A02', NULL, NULL, 78, NULL, NULL, 16841),
(27185, '3pdkA03', NULL, NULL, 84, NULL, NULL, 16841),
(27186, '4hjhA03', NULL, NULL, 119, NULL, NULL, 16841),
(27187, '4hjhA02', NULL, NULL, 81, NULL, NULL, 16841),
(27188, '5jn5B01', NULL, NULL, 197, NULL, NULL, 16841),
(27189, '3i3wA01', NULL, NULL, 153, NULL, NULL, 16841),
(27190, '3i3wA02', NULL, NULL, 130, NULL, NULL, 16841),
(27191, '3i3wA03', NULL, NULL, 82, NULL, NULL, 16841),
(27192, '4qg5A02', NULL, NULL, 113, NULL, NULL, 16841),
(27193, '4qg5A03', NULL, NULL, 132, NULL, NULL, 16841),
(27194, '3pdkA02', NULL, NULL, 130, NULL, NULL, 16841),
(27195, '1kfiA03', NULL, NULL, 126, NULL, NULL, 16841),
(27196, '1kfiA02', NULL, NULL, 109, NULL, NULL, 16841),
(27197, '2z0fB02', NULL, NULL, 98, NULL, NULL, 16841),
(27198, '1kfqA01', NULL, NULL, 207, NULL, NULL, 16841),
(27199, '6gyzA02', NULL, NULL, 130, NULL, NULL, 16841),
(27200, '6gyzA01', NULL, NULL, 157, NULL, NULL, 16841),
(27201, '6gyzA03', NULL, NULL, 84, NULL, NULL, 16841),
(27202, '5o9xA01', NULL, NULL, 181, NULL, NULL, 16841),
(27203, '1wqaA03', NULL, NULL, 96, NULL, NULL, 16841),
(27204, '1wqaA02', NULL, NULL, 122, NULL, NULL, 16841),
(27205, '1wqaA01', NULL, NULL, 152, NULL, NULL, 16841),
(27206, '3na5A01', NULL, NULL, 207, NULL, NULL, 16841),
(27207, '4hjhB01', NULL, NULL, 158, NULL, NULL, 16841),
(27208, '5jn5A02', NULL, NULL, 103, NULL, NULL, 16841),
(27209, '3na5A02', NULL, NULL, 95, NULL, NULL, 16841),
(27210, '2dkaB01', NULL, NULL, 169, NULL, NULL, 16841),
(27211, '3na5A03', NULL, NULL, 125, NULL, NULL, 16841),
(27212, '2ehpA00', NULL, NULL, 126, NULL, NULL, 16841),
(27213, '5jn5A03', NULL, NULL, 100, NULL, NULL, 16841),
(27214, '1p5dX01', NULL, NULL, 154, NULL, NULL, 16841),
(27215, '1p5dX03', NULL, NULL, 119, NULL, NULL, 16841),
(27216, '4qg5B01', NULL, NULL, 171, NULL, NULL, 16841),
(27217, '2f7lA03', NULL, NULL, 98, NULL, NULL, 16841),
(27218, '1p5dX02', NULL, NULL, 78, NULL, NULL, 16841),
(27219, '2f7lA02', NULL, NULL, 122, NULL, NULL, 16841),
(27220, '2f7lA01', NULL, NULL, 150, NULL, NULL, 16841),
(27221, '3pdkB01', NULL, NULL, 153, NULL, NULL, 16841),
(27222, '2z0fA03', NULL, NULL, 122, NULL, NULL, 16841),
(27223, '2z0fA01', NULL, NULL, 202, NULL, NULL, 16841),
(27224, '2z0fA02', NULL, NULL, 67, NULL, NULL, 16841),
(27225, '2yuaA01', NULL, NULL, 75, NULL, NULL, 16842),
(27226, '2qwoB00', NULL, NULL, 92, NULL, NULL, 16842),
(27227, '2ej7A01', NULL, NULL, 74, NULL, NULL, 16842),
(27228, '2guzA00', NULL, NULL, 71, NULL, NULL, 16842),
(27229, '2ctpA01', NULL, NULL, 72, NULL, NULL, 16842),
(27230, '2guzB00', NULL, NULL, 65, NULL, NULL, 16842),
(27231, '2ctwA00', NULL, NULL, 109, NULL, NULL, 16842),
(27232, '2ctrA00', NULL, NULL, 88, NULL, NULL, 16842),
(27233, '1iurA01', NULL, NULL, 63, NULL, NULL, 16842),
(27234, '2lo1A00', NULL, NULL, 71, NULL, NULL, 16842),
(27235, '1fpoA01', NULL, NULL, 79, NULL, NULL, 16842),
(27236, '3apqB01', NULL, NULL, 92, NULL, NULL, 16842),
(27237, '2dmxA00', NULL, NULL, 92, NULL, NULL, 16842),
(27238, '2qsaA00', NULL, NULL, 109, NULL, NULL, 16842),
(27239, '2cugA01', NULL, NULL, 72, NULL, NULL, 16842),
(27240, '2y4tA02', NULL, NULL, 58, NULL, NULL, 16842),
(27241, '2ochA00', NULL, NULL, 73, NULL, NULL, 16842),
(27242, '3ucsC00', NULL, NULL, 74, NULL, NULL, 16842),
(27243, '1nz6A00', NULL, NULL, 101, NULL, NULL, 16842),
(27244, '2dn9A01', NULL, NULL, 73, NULL, NULL, 16842),
(27245, '4it5A01', NULL, NULL, 81, NULL, NULL, 16842),
(27246, '1fafA00', NULL, NULL, 79, NULL, NULL, 16842),
(27247, '3uo2A01', NULL, NULL, 87, NULL, NULL, 16842),
(27248, '1n4cA01', NULL, NULL, 129, NULL, NULL, 16842),
(27249, '2n04A00', NULL, NULL, 105, NULL, NULL, 16842),
(27250, '4j7zF00', NULL, NULL, 113, NULL, NULL, 16842);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(27251, '2ctqA01', NULL, NULL, 94, NULL, NULL, 16842),
(27252, '3ag7A00', NULL, NULL, 106, NULL, NULL, 16842),
(27253, '4rwuA00', NULL, NULL, 92, NULL, NULL, 16842),
(27254, '3bvoB01', NULL, NULL, 115, NULL, NULL, 16842),
(27255, '2pf4G01', NULL, NULL, 92, NULL, NULL, 16842),
(27256, '2lgwA00', NULL, NULL, 71, NULL, NULL, 16842),
(27257, '2ys8A00', NULL, NULL, 90, NULL, NULL, 16842),
(27258, '5nroB00', NULL, NULL, 65, NULL, NULL, 16842),
(27259, '2pf4E01', NULL, NULL, 71, NULL, NULL, 16842),
(27260, '1gh6A01', NULL, NULL, 101, NULL, NULL, 16842),
(27261, '4wb7A01', NULL, NULL, 56, NULL, NULL, 16842),
(27262, '1wjzA00', NULL, NULL, 94, NULL, NULL, 16842),
(27263, '2l6lA01', NULL, NULL, 90, NULL, NULL, 16842),
(27264, '1hdjA00', NULL, NULL, 77, NULL, NULL, 16842),
(27265, '5lw5A00', NULL, NULL, 154, NULL, NULL, 16843),
(27266, '2g9wB02', NULL, NULL, 66, NULL, NULL, 16844),
(27267, '2qfzA02', NULL, NULL, 137, NULL, NULL, 16845),
(27268, '3qwlA03', NULL, NULL, 137, NULL, NULL, 16845),
(27269, '3hzjA03', NULL, NULL, 148, NULL, NULL, 16845),
(27270, '4hl4A02', NULL, NULL, 135, NULL, NULL, 16845),
(27271, '4nc6A03', NULL, NULL, 153, NULL, NULL, 16845),
(27272, '3qyeA03', NULL, NULL, 154, NULL, NULL, 16845),
(27273, '2qq8A03', NULL, NULL, 152, NULL, NULL, 16845),
(27274, '2g77A02', NULL, NULL, 138, NULL, NULL, 16845),
(27275, '3qybA03', NULL, NULL, 134, NULL, NULL, 16845),
(27276, '1fkmA02', NULL, NULL, 141, NULL, NULL, 16845),
(27277, '6d0sA02', NULL, NULL, 137, NULL, NULL, 16845),
(27278, '5bnyA01', NULL, NULL, 91, NULL, NULL, 16846),
(27279, '2viuA02', NULL, NULL, 84, NULL, NULL, 16846),
(27280, '6ml8A01', NULL, NULL, 99, NULL, NULL, 16846),
(27281, '4k3xA01', NULL, NULL, 108, NULL, NULL, 16846),
(27282, '3m6sA01', NULL, NULL, 99, NULL, NULL, 16846),
(27283, '5vliA01', NULL, NULL, 96, NULL, NULL, 16846),
(27284, '6e4xB01', NULL, NULL, 59, NULL, NULL, 16846),
(27285, '4we7A01', NULL, NULL, 68, NULL, NULL, 16846),
(27286, '2wrhH01', NULL, NULL, 94, NULL, NULL, 16846),
(27287, '4bh4A01', NULL, NULL, 106, NULL, NULL, 16846),
(27288, '5e32A01', NULL, NULL, 112, NULL, NULL, 16846),
(27289, '6e56D01', NULL, NULL, 74, NULL, NULL, 16846),
(27290, '4julL01', NULL, NULL, 107, NULL, NULL, 16846),
(27291, '4kw1C01', NULL, NULL, 108, NULL, NULL, 16846),
(27292, '4h32A01', NULL, NULL, 100, NULL, NULL, 16846),
(27293, '1jsdA02', NULL, NULL, 102, NULL, NULL, 16846),
(27294, '4w8nE01', NULL, NULL, 109, NULL, NULL, 16846),
(27295, '3ku3A01', NULL, NULL, 106, NULL, NULL, 16846),
(27296, '4kpqA01', NULL, NULL, 106, NULL, NULL, 16846),
(27297, '4jumA01', NULL, NULL, 107, NULL, NULL, 16846),
(27298, '4fqiA01', NULL, NULL, 112, NULL, NULL, 16846),
(27299, '4bsgA01', NULL, NULL, 105, NULL, NULL, 16846),
(27300, '1rvtH01', NULL, NULL, 96, NULL, NULL, 16846),
(27301, '6fywA01', NULL, NULL, 105, NULL, NULL, 16846),
(27302, '1jsmA02', NULL, NULL, 103, NULL, NULL, 16846),
(27303, '1qfuA02', NULL, NULL, 109, NULL, NULL, 16846),
(27304, '4f3zC01', NULL, NULL, 97, NULL, NULL, 16846),
(27305, '4kthC01', NULL, NULL, 108, NULL, NULL, 16846),
(27306, '3htoA01', NULL, NULL, 92, NULL, NULL, 16846),
(27307, '4wswA01', NULL, NULL, 109, NULL, NULL, 16846),
(27308, '3m5gC01', NULL, NULL, 109, NULL, NULL, 16846),
(27309, '5w08B01', NULL, NULL, 75, NULL, NULL, 16846),
(27310, '5hu8A01', NULL, NULL, 112, NULL, NULL, 16846),
(27311, '1rv0H01', NULL, NULL, 96, NULL, NULL, 16846),
(27312, '5umnA01', NULL, NULL, 58, NULL, NULL, 16846),
(27313, '3s13A01', NULL, NULL, 69, NULL, NULL, 16846),
(27314, '4cyvA01', NULL, NULL, 106, NULL, NULL, 16846),
(27315, '4gxxE01', NULL, NULL, 99, NULL, NULL, 16846),
(27316, '3ubqE01', NULL, NULL, 97, NULL, NULL, 16846),
(27317, '4fqjA01', NULL, NULL, 63, NULL, NULL, 16846),
(27318, '5xhvA01', NULL, NULL, 71, NULL, NULL, 16846),
(27319, '1rvxA01', NULL, NULL, 96, NULL, NULL, 16846),
(27320, '4we6A01', NULL, NULL, 63, NULL, NULL, 16846),
(27321, '5tg9A01', NULL, NULL, 106, NULL, NULL, 16846),
(27322, '4ln6A01', NULL, NULL, 109, NULL, NULL, 16846),
(27323, '5th1A01', NULL, NULL, 105, NULL, NULL, 16846),
(27324, '2virC01', NULL, NULL, 66, NULL, NULL, 16846);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(27325, '5t0bA01', NULL, NULL, 99, NULL, NULL, 16846),
(27326, '5gjsA01', NULL, NULL, 97, NULL, NULL, 16846),
(27327, '4edbA01', NULL, NULL, 99, NULL, NULL, 16846),
(27328, '2x51A07', NULL, NULL, 44, NULL, NULL, 16847),
(27329, '4a18T00', NULL, NULL, 66, NULL, NULL, 16848),
(27330, '2ztbA02', NULL, NULL, 99, NULL, NULL, 16849),
(27331, '2vk9A01', NULL, NULL, 94, NULL, NULL, 16850),
(27332, '2vkhA01', NULL, NULL, 86, NULL, NULL, 16850),
(27333, '4dmvA01', NULL, NULL, 85, NULL, NULL, 16850),
(27334, '4errB00', NULL, NULL, 90, NULL, NULL, 16850),
(27335, '5uqmA01', NULL, NULL, 86, NULL, NULL, 16850),
(27336, '4epzA00', NULL, NULL, 162, NULL, NULL, 16851),
(27337, '1w9rA00', NULL, NULL, 119, NULL, NULL, 16852),
(27338, '3bxoA02', NULL, NULL, 59, NULL, NULL, 16853),
(27339, '3pfgA02', NULL, NULL, 59, NULL, NULL, 16853),
(27340, '2xciC01', NULL, NULL, 165, NULL, NULL, 16854),
(27341, '2zp9H00', NULL, NULL, 53, NULL, NULL, 16855),
(27342, '3rrkA03', NULL, NULL, 74, NULL, NULL, 16856),
(27343, '4gpvB01', NULL, NULL, 157, NULL, NULL, 16857),
(27344, '3r4rA01', NULL, NULL, 168, NULL, NULL, 16857),
(27345, '3up6A01', NULL, NULL, 179, NULL, NULL, 16857),
(27346, '4jrfA01', NULL, NULL, 185, NULL, NULL, 16857),
(27347, '4jg5A01', NULL, NULL, 183, NULL, NULL, 16857),
(27348, '5dhmC01', NULL, NULL, 128, NULL, NULL, 16857),
(27349, '4rdbA01', NULL, NULL, 151, NULL, NULL, 16857),
(27350, '4je3B00', NULL, NULL, 85, NULL, NULL, 16858),
(27351, '3nrkA01', NULL, NULL, 214, NULL, NULL, 16859),
(27352, '1m5yA01', NULL, NULL, 128, NULL, NULL, 16859),
(27353, '3rgcA01', NULL, NULL, 174, NULL, NULL, 16859),
(27354, '2pv3A01', NULL, NULL, 188, NULL, NULL, 16859),
(27355, '2laiA00', NULL, NULL, 101, NULL, NULL, 16860),
(27356, '2derA02', NULL, NULL, 69, NULL, NULL, 16861),
(27357, '2hmaA02', NULL, NULL, 69, NULL, NULL, 16861),
(27358, '1uunA01', NULL, NULL, 132, NULL, NULL, 16862),
(27359, '1vw5A00', NULL, NULL, 158, NULL, NULL, 16863),
(27360, '3fuyA00', NULL, NULL, 156, NULL, NULL, 16863),
(27361, '2xepB01', NULL, NULL, 126, NULL, NULL, 16864),
(27362, '1vdhA02', NULL, NULL, 126, NULL, NULL, 16865),
(27363, '5t2kA01', NULL, NULL, 137, NULL, NULL, 16865),
(27364, '1vdhA01', NULL, NULL, 123, NULL, NULL, 16865),
(27365, '5loqB01', NULL, NULL, 139, NULL, NULL, 16865),
(27366, '1t0tV02', NULL, NULL, 111, NULL, NULL, 16865),
(27367, '5loqA02', NULL, NULL, 111, NULL, NULL, 16865),
(27368, '3nlcA01', NULL, NULL, 91, NULL, NULL, 16866),
(27369, '4h6zA01', NULL, NULL, 51, NULL, NULL, 16867),
(27370, '3v7oA00', NULL, NULL, 132, NULL, NULL, 16868),
(27371, '6e5xA00', NULL, NULL, 127, NULL, NULL, 16868),
(27372, '5dvwA00', NULL, NULL, 134, NULL, NULL, 16868),
(27373, '5t3tJ00', NULL, NULL, 152, NULL, NULL, 16868),
(27374, '5t3wA00', NULL, NULL, 161, NULL, NULL, 16868),
(27375, '2griA01', NULL, NULL, 90, NULL, NULL, 16869),
(27376, '2m0aA01', NULL, NULL, 93, NULL, NULL, 16869),
(27377, '2yruA01', NULL, NULL, 115, NULL, NULL, 16870),
(27378, '4nboA00', NULL, NULL, 111, NULL, NULL, 16870),
(27379, '1dvkA00', NULL, NULL, 173, NULL, NULL, 16870),
(27380, '3eeqA01', NULL, NULL, 121, NULL, NULL, 16871),
(27381, '3e0jB00', NULL, NULL, 144, NULL, NULL, 16872),
(27382, '3fppA03', NULL, NULL, 88, NULL, NULL, 16873),
(27383, '3lxuX02', NULL, NULL, 95, NULL, NULL, 16874),
(27384, '2zixA01', NULL, NULL, 55, NULL, NULL, 16875),
(27385, '4v33A01', NULL, NULL, 97, NULL, NULL, 16876),
(27386, '6go1A01', NULL, NULL, 97, NULL, NULL, 16876),
(27387, '4hd5A01', NULL, NULL, 97, NULL, NULL, 16876),
(27388, '1ux6A01', NULL, NULL, 137, NULL, NULL, 16877),
(27389, '1pbyA02', NULL, NULL, 106, NULL, NULL, 16878),
(27390, '1jmxA02', NULL, NULL, 109, NULL, NULL, 16878),
(27391, '5b1aE00', NULL, NULL, 109, NULL, NULL, 16879),
(27392, '6giqf00', NULL, NULL, 102, NULL, NULL, 16879),
(27393, '4aybB06', NULL, NULL, 223, NULL, NULL, 16880),
(27394, '4qiwJ06', NULL, NULL, 245, NULL, NULL, 16880),
(27395, '2a6hC01', NULL, NULL, 211, NULL, NULL, 16880),
(27396, '3h0gB06', NULL, NULL, 223, NULL, NULL, 16880),
(27397, '4c2mB06', NULL, NULL, 227, NULL, NULL, 16880),
(27398, '1twfB06', NULL, NULL, 223, NULL, NULL, 16880);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(27399, '1ynjC01', NULL, NULL, 217, NULL, NULL, 16880),
(27400, '4ljzC05', NULL, NULL, 281, NULL, NULL, 16880),
(27401, '4ljzI01', NULL, NULL, 231, NULL, NULL, 16880),
(27402, '1ccwB02', NULL, NULL, 66, NULL, NULL, 16881),
(27403, '3zrtD01', NULL, NULL, 56, NULL, NULL, 16882),
(27404, '2hcnA03', NULL, NULL, 96, NULL, NULL, 16883),
(27405, '2j7uA04', NULL, NULL, 73, NULL, NULL, 16883),
(27406, '4y5tB00', NULL, NULL, 293, NULL, NULL, 16884),
(27407, '5ep9C00', NULL, NULL, 256, NULL, NULL, 16884),
(27408, '3bvcA01', NULL, NULL, 203, NULL, NULL, 16884),
(27409, '5zm4B00', NULL, NULL, 286, NULL, NULL, 16884),
(27410, '4bqyA00', NULL, NULL, 252, NULL, NULL, 16884),
(27411, '3pl0B00', NULL, NULL, 254, NULL, NULL, 16884),
(27412, '3emrA00', NULL, NULL, 310, NULL, NULL, 16884),
(27413, '2a1xA00', NULL, NULL, 308, NULL, NULL, 16884),
(27414, '4xaaA00', NULL, NULL, 223, NULL, NULL, 16884),
(27415, '3gjbA00', NULL, NULL, 275, NULL, NULL, 16884),
(27416, '4nhxA01', NULL, NULL, 222, NULL, NULL, 16884),
(27417, '4j25F00', NULL, NULL, 200, NULL, NULL, 16884),
(27418, '2fctB00', NULL, NULL, 313, NULL, NULL, 16884),
(27419, '4nhxA02', NULL, NULL, 239, NULL, NULL, 16884),
(27420, '5oa4A00', NULL, NULL, 308, NULL, NULL, 16884),
(27421, '4naoA00', NULL, NULL, 305, NULL, NULL, 16884),
(27422, '3nnfA00', NULL, NULL, 320, NULL, NULL, 16884),
(27423, '2rdqA00', NULL, NULL, 269, NULL, NULL, 16884),
(27424, '5m0tB00', NULL, NULL, 294, NULL, NULL, 16884),
(27425, '3w20B00', NULL, NULL, 273, NULL, NULL, 16884),
(27426, '5v1bA00', NULL, NULL, 240, NULL, NULL, 16884),
(27427, '4xcbD00', NULL, NULL, 261, NULL, NULL, 16884),
(27428, '4mhrA00', NULL, NULL, 314, NULL, NULL, 16884),
(27429, '3itqA01', NULL, NULL, 193, NULL, NULL, 16884),
(27430, '5c5uB00', NULL, NULL, 210, NULL, NULL, 16884),
(27431, '3dkqA01', NULL, NULL, 195, NULL, NULL, 16884),
(27432, '2rg4A01', NULL, NULL, 203, NULL, NULL, 16884),
(27433, '4xabA00', NULL, NULL, 252, NULL, NULL, 16884),
(27434, '2hbtA00', NULL, NULL, 247, NULL, NULL, 16884),
(27435, '3kt7A01', NULL, NULL, 250, NULL, NULL, 16884),
(27436, '2jigA01', NULL, NULL, 206, NULL, NULL, 16884),
(27437, '5epaF00', NULL, NULL, 263, NULL, NULL, 16884),
(27438, '2opwA00', NULL, NULL, 291, NULL, NULL, 16884),
(27439, '3di2A00', NULL, NULL, 154, NULL, NULL, 16885),
(27440, '3di2C00', NULL, NULL, 122, NULL, NULL, 16885),
(27441, '4pkfB00', NULL, NULL, 81, NULL, NULL, 16886),
(27442, '3bs0A00', NULL, NULL, 439, NULL, NULL, 16887),
(27443, '3pguA00', NULL, NULL, 427, NULL, NULL, 16887),
(27444, '3bryA00', NULL, NULL, 441, NULL, NULL, 16887),
(27445, '3dwoX00', NULL, NULL, 451, NULL, NULL, 16887),
(27446, '1vpjA00', NULL, NULL, 192, NULL, NULL, 16888),
(27447, '5dniA00', NULL, NULL, 179, NULL, NULL, 16888),
(27448, '1vpjB00', NULL, NULL, 192, NULL, NULL, 16888),
(27449, '2isbA00', NULL, NULL, 192, NULL, NULL, 16888),
(27450, '2p14A00', NULL, NULL, 192, NULL, NULL, 16889),
(27451, '2ewfA03', NULL, NULL, 225, NULL, NULL, 16889),
(27452, '2fd4A00', NULL, NULL, 122, NULL, NULL, 16890),
(27453, '4pkcC00', NULL, NULL, 60, NULL, NULL, 16891),
(27454, '4k4hA01', NULL, NULL, 88, NULL, NULL, 16892),
(27455, '5vzaA01', NULL, NULL, 103, NULL, NULL, 16892),
(27456, '4i2aA01', NULL, NULL, 94, NULL, NULL, 16892),
(27457, '2kp7A01', NULL, NULL, 74, NULL, NULL, 16892),
(27458, '4kliA01', NULL, NULL, 91, NULL, NULL, 16892),
(27459, '2w9mB01', NULL, NULL, 91, NULL, NULL, 16892),
(27460, '2ihmA01', NULL, NULL, 94, NULL, NULL, 16892),
(27461, '1bpeA01', NULL, NULL, 91, NULL, NULL, 16892),
(27462, '3v7jA01', NULL, NULL, 96, NULL, NULL, 16892),
(27463, '2bcqA01', NULL, NULL, 91, NULL, NULL, 16892),
(27464, '3b0xA01', NULL, NULL, 87, NULL, NULL, 16892),
(27465, '6h5hA00', NULL, NULL, 71, NULL, NULL, 16892),
(27466, '3ne5B04', NULL, NULL, 51, NULL, NULL, 16893),
(27467, '2g30A01', NULL, NULL, 117, NULL, NULL, 16894),
(27468, '6nsjA00', NULL, NULL, 201, NULL, NULL, 16895),
(27469, '1hi8A04', NULL, NULL, 58, NULL, NULL, 16896),
(27470, '1uvjA04', NULL, NULL, 58, NULL, NULL, 16896),
(27471, '1wacA04', NULL, NULL, 56, NULL, NULL, 16896);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(27472, '6b08A01', NULL, NULL, 173, NULL, NULL, 16897),
(27473, '1z1yB01', NULL, NULL, 174, NULL, NULL, 16897),
(27474, '1z1yA01', NULL, NULL, 174, NULL, NULL, 16897),
(27475, '6b0gE00', NULL, NULL, 161, NULL, NULL, 16897),
(27476, '1z27A01', NULL, NULL, 174, NULL, NULL, 16897),
(27477, '2zxrA01', NULL, NULL, 158, NULL, NULL, 16898),
(27478, '1nxjA00', NULL, NULL, 156, NULL, NULL, 16899),
(27479, '2pcnA00', NULL, NULL, 161, NULL, NULL, 16899),
(27480, '3k4iC01', NULL, NULL, 171, NULL, NULL, 16899),
(27481, '5ir2A00', NULL, NULL, 222, NULL, NULL, 16899),
(27482, '1q5xA00', NULL, NULL, 161, NULL, NULL, 16899),
(27483, '1j3lA00', NULL, NULL, 164, NULL, NULL, 16899),
(27484, '3nojA01', NULL, NULL, 152, NULL, NULL, 16899),
(27485, '1vi4A00', NULL, NULL, 174, NULL, NULL, 16899),
(27486, '3c8oB00', NULL, NULL, 162, NULL, NULL, 16899),
(27487, '2c5qF00', NULL, NULL, 240, NULL, NULL, 16899),
(27488, '2la7A01', NULL, NULL, 128, NULL, NULL, 16900),
(27489, '4zgfA00', NULL, NULL, 141, NULL, NULL, 16900),
(27490, '4l3rA00', NULL, NULL, 146, NULL, NULL, 16900),
(27491, '2ktsA01', NULL, NULL, 102, NULL, NULL, 16900),
(27492, '4ag4A02', NULL, NULL, 188, NULL, NULL, 16901),
(27493, '1n7zD01', NULL, NULL, 165, NULL, NULL, 16902),
(27494, '1n7zC01', NULL, NULL, 165, NULL, NULL, 16902),
(27495, '1n7zB01', NULL, NULL, 165, NULL, NULL, 16902),
(27496, '1n7zA01', NULL, NULL, 165, NULL, NULL, 16902),
(27497, '1n80A01', NULL, NULL, 165, NULL, NULL, 16902),
(27498, '2rq7A02', NULL, NULL, 46, NULL, NULL, 16903),
(27499, '3ua0A00', NULL, NULL, 83, NULL, NULL, 16904),
(27500, '4i8oA02', NULL, NULL, 90, NULL, NULL, 16905),
(27501, '4nohA01', NULL, NULL, 73, NULL, NULL, 16906),
(27502, '2qtwB02', NULL, NULL, 230, NULL, NULL, 16907),
(27503, '3bpsA02', NULL, NULL, 170, NULL, NULL, 16907),
(27504, '1hs7A00', NULL, NULL, 97, NULL, NULL, 16908),
(27505, '2dnxA00', NULL, NULL, 130, NULL, NULL, 16908),
(27506, '2xheB01', NULL, NULL, 222, NULL, NULL, 16908),
(27507, '3lg7A00', NULL, NULL, 133, NULL, NULL, 16908),
(27508, '5m4yA00', NULL, NULL, 194, NULL, NULL, 16908),
(27509, '4jehB00', NULL, NULL, 224, NULL, NULL, 16908),
(27510, '1fioA00', NULL, NULL, 196, NULL, NULL, 16908),
(27511, '1ez3A00', NULL, NULL, 127, NULL, NULL, 16908),
(27512, '4tx5B00', NULL, NULL, 192, NULL, NULL, 16908),
(27513, '1s94B00', NULL, NULL, 125, NULL, NULL, 16908),
(27514, '4ja3A02', NULL, NULL, 43, NULL, NULL, 16909),
(27515, '3behA01', NULL, NULL, 125, NULL, NULL, 16910),
(27516, '3aqpA02', NULL, NULL, 166, NULL, NULL, 16911),
(27517, '5xapA02', NULL, NULL, 162, NULL, NULL, 16911),
(27518, '4l8lA00', NULL, NULL, 145, NULL, NULL, 16912),
(27519, '4v0sB00', NULL, NULL, 146, NULL, NULL, 16912),
(27520, '2xdaA00', NULL, NULL, 150, NULL, NULL, 16912),
(27521, '1uqrE00', NULL, NULL, 154, NULL, NULL, 16912),
(27522, '3u80A00', NULL, NULL, 151, NULL, NULL, 16912),
(27523, '2uygA00', NULL, NULL, 149, NULL, NULL, 16912),
(27524, '3lwzB00', NULL, NULL, 153, NULL, NULL, 16912),
(27525, '3kipD00', NULL, NULL, 167, NULL, NULL, 16912),
(27526, '1gtzA00', NULL, NULL, 156, NULL, NULL, 16912),
(27527, '5ydbA00', NULL, NULL, 148, NULL, NULL, 16912),
(27528, '1gqoB00', NULL, NULL, 143, NULL, NULL, 16912),
(27529, '6cv6D00', NULL, NULL, 147, NULL, NULL, 16912),
(27530, '4g1iB01', NULL, NULL, 58, NULL, NULL, 16913),
(27531, '3gr0D01', NULL, NULL, 41, NULL, NULL, 16913),
(27532, '2nvmB00', NULL, NULL, 126, NULL, NULL, 16914),
(27533, '2nwvA00', NULL, NULL, 114, NULL, NULL, 16914),
(27534, '3d7qB00', NULL, NULL, 112, NULL, NULL, 16914),
(27535, '2nlvA00', NULL, NULL, 112, NULL, NULL, 16914),
(27536, '3s4lA00', NULL, NULL, 216, NULL, NULL, 16915),
(27537, '4q2cA01', NULL, NULL, 263, NULL, NULL, 16915),
(27538, '4qqwA01', NULL, NULL, 246, NULL, NULL, 16915),
(27539, '3sk9A00', NULL, NULL, 265, NULL, NULL, 16915),
(27540, '2h4oD00', NULL, NULL, 76, NULL, NULL, 16916),
(27541, '2h4oC00', NULL, NULL, 76, NULL, NULL, 16916),
(27542, '2h4oB00', NULL, NULL, 76, NULL, NULL, 16916),
(27543, '2h4oA00', NULL, NULL, 76, NULL, NULL, 16916),
(27544, '2fkcA01', NULL, NULL, 110, NULL, NULL, 16917);
INSERT INTO "PUBLIC"."MODEL" VALUES
(27545, '2mm0A00', NULL, NULL, 64, NULL, NULL, 16918),
(27546, '2mm2A00', NULL, NULL, 65, NULL, NULL, 16918),
(27547, '1sg4C02', NULL, NULL, 56, NULL, NULL, 16919),
(27548, '1xx4A02', NULL, NULL, 56, NULL, NULL, 16919),
(27549, '2bhwA01', NULL, NULL, 203, NULL, NULL, 16920),
(27550, '3jcuS01', NULL, NULL, 212, NULL, NULL, 16920),
(27551, '5xnlS01', NULL, NULL, 212, NULL, NULL, 16920),
(27552, '2o01200', NULL, NULL, 186, NULL, NULL, 16920),
(27553, '2o01300', NULL, NULL, 129, NULL, NULL, 16920),
(27554, '2o01401', NULL, NULL, 137, NULL, NULL, 16920),
(27555, '5xnl301', NULL, NULL, 205, NULL, NULL, 16920),
(27556, '3pl9A00', NULL, NULL, 156, NULL, NULL, 16920),
(27557, '2o01100', NULL, NULL, 187, NULL, NULL, 16920),
(27558, '4egxD01', NULL, NULL, 68, NULL, NULL, 16921),
(27559, '1p68A00', NULL, NULL, 102, NULL, NULL, 16922),
(27560, '2juaA00', NULL, NULL, 102, NULL, NULL, 16922),
(27561, '3vjfA00', NULL, NULL, 102, NULL, NULL, 16922),
(27562, '3vjfB00', NULL, NULL, 102, NULL, NULL, 16922),
(27563, '5gjhA00', NULL, NULL, 100, NULL, NULL, 16923),
(27564, '2eyvA01', NULL, NULL, 104, NULL, NULL, 16923),
(27565, '1d4tA00', NULL, NULL, 104, NULL, NULL, 16923),
(27566, '2knoA01', NULL, NULL, 110, NULL, NULL, 16923),
(27567, '3eazA00', NULL, NULL, 106, NULL, NULL, 16923),
(27568, '1h9oA00', NULL, NULL, 112, NULL, NULL, 16923),
(27569, '5dc4A00', NULL, NULL, 123, NULL, NULL, 16923),
(27570, '1fmkA02', NULL, NULL, 101, NULL, NULL, 16923),
(27571, '2y3aB02', NULL, NULL, 114, NULL, NULL, 16923),
(27572, '2xp1A02', NULL, NULL, 82, NULL, NULL, 16923),
(27573, '2lqnA01', NULL, NULL, 113, NULL, NULL, 16923),
(27574, '2xp1A01', NULL, NULL, 96, NULL, NULL, 16923),
(27575, '2eobA01', NULL, NULL, 113, NULL, NULL, 16923),
(27576, '1milA00', NULL, NULL, 104, NULL, NULL, 16923),
(27577, '2ci8A01', NULL, NULL, 56, NULL, NULL, 16923),
(27578, '2mk2A00', NULL, NULL, 109, NULL, NULL, 16923),
(27579, '2mqiA00', NULL, NULL, 111, NULL, NULL, 16923),
(27580, '5mtmA00', NULL, NULL, 116, NULL, NULL, 16923),
(27581, '3us4A00', NULL, NULL, 98, NULL, NULL, 16923),
(27582, '4fl3A01', NULL, NULL, 118, NULL, NULL, 16923),
(27583, '1rjaA00', NULL, NULL, 100, NULL, NULL, 16923),
(27584, '3bkbA01', NULL, NULL, 96, NULL, NULL, 16923),
(27585, '4fl3A03', NULL, NULL, 102, NULL, NULL, 16923),
(27586, '1uurA04', NULL, NULL, 133, NULL, NULL, 16923),
(27587, '5jn0A00', NULL, NULL, 99, NULL, NULL, 16923),
(27588, '2izvA00', NULL, NULL, 171, NULL, NULL, 16923),
(27589, '2augA00', NULL, NULL, 105, NULL, NULL, 16923),
(27590, '2dm0A01', NULL, NULL, 97, NULL, NULL, 16923),
(27591, '3vgoA03', NULL, NULL, 83, NULL, NULL, 16923),
(27592, '2b3oA01', NULL, NULL, 103, NULL, NULL, 16923),
(27593, '2b3oA02', NULL, NULL, 111, NULL, NULL, 16923),
(27594, '1nrvA00', NULL, NULL, 105, NULL, NULL, 16923),
(27595, '3pjpB01', NULL, NULL, 102, NULL, NULL, 16923),
(27596, '4jegA00', NULL, NULL, 124, NULL, NULL, 16923),
(27597, '2hmhA00', NULL, NULL, 134, NULL, NULL, 16923),
(27598, '4gl9E00', NULL, NULL, 143, NULL, NULL, 16923),
(27599, '2c9wA01', NULL, NULL, 129, NULL, NULL, 16923),
(27600, '1lkkA00', NULL, NULL, 105, NULL, NULL, 16923),
(27601, '3wa4A00', NULL, NULL, 98, NULL, NULL, 16923),
(27602, '5ehrB02', NULL, NULL, 106, NULL, NULL, 16923),
(27603, '2dx0A00', NULL, NULL, 138, NULL, NULL, 16923),
(27604, '1k9aA02', NULL, NULL, 86, NULL, NULL, 16923),
(27605, '1jyrA00', NULL, NULL, 96, NULL, NULL, 16923),
(27606, '4eihA00', NULL, NULL, 116, NULL, NULL, 16923),
(27607, '3cxlA01', NULL, NULL, 104, NULL, NULL, 16923),
(27608, '1bg1A04', NULL, NULL, 123, NULL, NULL, 16923),
(27609, '2crhA01', NULL, NULL, 102, NULL, NULL, 16923),
(27610, '3pfvA03', NULL, NULL, 86, NULL, NULL, 16923),
(27611, '1bf5A04', NULL, NULL, 129, NULL, NULL, 16923),
(27612, '3uf4A02', NULL, NULL, 101, NULL, NULL, 16923),
(27613, '5aulA00', NULL, NULL, 109, NULL, NULL, 16923),
(27614, '2rorA00', NULL, NULL, 138, NULL, NULL, 16923),
(27615, '4u1pA00', NULL, NULL, 122, NULL, NULL, 16923),
(27616, '4je4A00', NULL, NULL, 106, NULL, NULL, 16923),
(27617, '1shaA00', NULL, NULL, 104, NULL, NULL, 16923);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(27618, '2oq1A01', NULL, NULL, 109, NULL, NULL, 16923),
(27619, '2oq1A03', NULL, NULL, 100, NULL, NULL, 16923),
(27620, '1bljA00', NULL, NULL, 114, NULL, NULL, 16923),
(27621, '2ablA02', NULL, NULL, 97, NULL, NULL, 16923),
(27622, '3pjpA02', NULL, NULL, 97, NULL, NULL, 16923),
(27623, '2vifA01', NULL, NULL, 136, NULL, NULL, 16923),
(27624, '1luiA00', NULL, NULL, 110, NULL, NULL, 16923),
(27625, '3qwxX01', NULL, NULL, 115, NULL, NULL, 16923),
(27626, '2ekxA01', NULL, NULL, 97, NULL, NULL, 16923),
(27627, '1g83A02', NULL, NULL, 103, NULL, NULL, 16923),
(27628, '2kk6A00', NULL, NULL, 116, NULL, NULL, 16923),
(27629, '2dx0B01', NULL, NULL, 77, NULL, NULL, 16923),
(27630, '2ecdA00', NULL, NULL, 119, NULL, NULL, 16923),
(27631, '1xa6A01', NULL, NULL, 104, NULL, NULL, 16923),
(27632, '3mazA00', NULL, NULL, 109, NULL, NULL, 16923),
(27633, '5gjiA00', NULL, NULL, 108, NULL, NULL, 16923),
(27634, '1rpyB00', NULL, NULL, 97, NULL, NULL, 16923),
(27635, '2cs0A01', NULL, NULL, 95, NULL, NULL, 16923),
(27636, '2cr4A01', NULL, NULL, 99, NULL, NULL, 16923),
(27637, '2ysxA00', NULL, NULL, 119, NULL, NULL, 16923),
(27638, '4fbnA01', NULL, NULL, 117, NULL, NULL, 16923),
(27639, '4m4zA02', NULL, NULL, 105, NULL, NULL, 16923),
(27640, '3s9kA01', NULL, NULL, 81, NULL, NULL, 16923),
(27641, '5vkoA01', NULL, NULL, 108, NULL, NULL, 16923),
(27642, '2gsbA01', NULL, NULL, 84, NULL, NULL, 16923),
(27643, '1r1pB00', NULL, NULL, 100, NULL, NULL, 16923),
(27644, '5kazA00', NULL, NULL, 104, NULL, NULL, 16923),
(27645, '5eeqA00', NULL, NULL, 120, NULL, NULL, 16923),
(27646, '5vkoA02', NULL, NULL, 103, NULL, NULL, 16923),
(27647, '2ciaA00', NULL, NULL, 102, NULL, NULL, 16923),
(27648, '1fu5A00', NULL, NULL, 111, NULL, NULL, 16923),
(27649, '2ci9B00', NULL, NULL, 102, NULL, NULL, 16923),
(27650, '5mtjA00', NULL, NULL, 116, NULL, NULL, 16923),
(27651, '1y1uA04', NULL, NULL, 87, NULL, NULL, 16923),
(27652, '2eo3A00', NULL, NULL, 111, NULL, NULL, 16923),
(27653, '2l3tA02', NULL, NULL, 100, NULL, NULL, 16923),
(27654, '4rojA01', NULL, NULL, 102, NULL, NULL, 16923),
(27655, '2dvjA01', NULL, NULL, 146, NULL, NULL, 16923),
(27656, '3buxB03', NULL, NULL, 86, NULL, NULL, 16923),
(27657, '1yvlB05', NULL, NULL, 102, NULL, NULL, 16923),
(27658, '4k45A00', NULL, NULL, 106, NULL, NULL, 16923),
(27659, '2ge9A00', NULL, NULL, 125, NULL, NULL, 16923),
(27660, '3tkzA00', NULL, NULL, 109, NULL, NULL, 16923),
(27661, '5w3rA00', NULL, NULL, 114, NULL, NULL, 16923),
(27662, '1bmbA00', NULL, NULL, 123, NULL, NULL, 16923),
(27663, '2dlyA00', NULL, NULL, 121, NULL, NULL, 16923),
(27664, '1qcfA02', NULL, NULL, 102, NULL, NULL, 16923),
(27665, '1i3zA00', NULL, NULL, 103, NULL, NULL, 16923),
(27666, '4tziB00', NULL, NULL, 115, NULL, NULL, 16923),
(27667, '2eo6A01', NULL, NULL, 108, NULL, NULL, 16923),
(27668, '3vrpA03', NULL, NULL, 89, NULL, NULL, 16923),
(27669, '5tnwA00', NULL, NULL, 101, NULL, NULL, 16923),
(27670, '1ghuA00', NULL, NULL, 107, NULL, NULL, 16923),
(27671, '2el8A01', NULL, NULL, 91, NULL, NULL, 16923),
(27672, '2rvfA00', NULL, NULL, 104, NULL, NULL, 16923),
(27673, '3lzdA03', NULL, NULL, 102, NULL, NULL, 16924),
(27674, '1eg3A02', NULL, NULL, 49, NULL, NULL, 16925),
(27675, '2zjtB01', NULL, NULL, 143, NULL, NULL, 16926),
(27676, '5bs8B00', NULL, NULL, 253, NULL, NULL, 16926),
(27677, '3l4jA01', NULL, NULL, 216, NULL, NULL, 16926),
(27678, '2xcsB01', NULL, NULL, 195, NULL, NULL, 16926),
(27679, '4fm9A01', NULL, NULL, 230, NULL, NULL, 16926),
(27680, '2xcqA01', NULL, NULL, 200, NULL, NULL, 16926),
(27681, '2xcrB01', NULL, NULL, 248, NULL, NULL, 16926),
(27682, '1bgwA02', NULL, NULL, 181, NULL, NULL, 16926),
(27683, '3qx3A01', NULL, NULL, 233, NULL, NULL, 16926),
(27684, '5eixJ01', NULL, NULL, 236, NULL, NULL, 16926),
(27685, '2xkjE01', NULL, NULL, 234, NULL, NULL, 16926),
(27686, '3k9fC00', NULL, NULL, 233, NULL, NULL, 16926),
(27687, '1bjtA02', NULL, NULL, 218, NULL, NULL, 16926),
(27688, '1td9A02', NULL, NULL, 154, NULL, NULL, 16927),
(27689, '6iowA02', NULL, NULL, 161, NULL, NULL, 16927),
(27690, '1r5jA02', NULL, NULL, 156, NULL, NULL, 16927);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(27691, '2af4C02', NULL, NULL, 161, NULL, NULL, 16927),
(27692, '4e4rA02', NULL, NULL, 158, NULL, NULL, 16927),
(27693, '1vmiA02', NULL, NULL, 157, NULL, NULL, 16927),
(27694, '5zcrA04', NULL, NULL, 94, NULL, NULL, 16928),
(27695, '1iv8A04', NULL, NULL, 97, NULL, NULL, 16928),
(27696, '3hjeA04', NULL, NULL, 96, NULL, NULL, 16928),
(27697, '4b43A01', NULL, NULL, 68, NULL, NULL, 16929),
(27698, '3kzxA02', NULL, NULL, 62, NULL, NULL, 16930),
(27699, '3hnwA00', NULL, NULL, 138, NULL, NULL, 16931),
(27700, '2b1yA00', NULL, NULL, 104, NULL, NULL, 16932),
(27701, '2es9A00', NULL, NULL, 115, NULL, NULL, 16933),
(27702, '3hshE00', NULL, NULL, 56, NULL, NULL, 16934),
(27703, '3n3fA01', NULL, NULL, 43, NULL, NULL, 16934),
(27704, '2zuoC12', NULL, NULL, 43, NULL, NULL, 16935),
(27705, '3ub0A01', NULL, NULL, 103, NULL, NULL, 16936),
(27706, '1nthA00', NULL, NULL, 458, NULL, NULL, 16937),
(27707, '2ehoG02', NULL, NULL, 119, NULL, NULL, 16938),
(27708, '2ehoC02', NULL, NULL, 119, NULL, NULL, 16938),
(27709, '2e9xB02', NULL, NULL, 119, NULL, NULL, 16938),
(27710, '2ehoK02', NULL, NULL, 119, NULL, NULL, 16938),
(27711, '3vkgA09', NULL, NULL, 148, NULL, NULL, 16939),
(27712, '3vkhA09', NULL, NULL, 188, NULL, NULL, 16939),
(27713, '4akgA10', NULL, NULL, 189, NULL, NULL, 16939),
(27714, '3u7vA02', NULL, NULL, 144, NULL, NULL, 16940),
(27715, '5jawC02', NULL, NULL, 167, NULL, NULL, 16940),
(27716, '4j4hA01', NULL, NULL, 135, NULL, NULL, 16941),
(27717, '3m1cA01', NULL, NULL, 52, NULL, NULL, 16942),
(27718, '1h6wA01', NULL, NULL, 41, NULL, NULL, 16943),
(27719, '3upuA03', NULL, NULL, 131, NULL, NULL, 16944),
(27720, '3adyA00', NULL, NULL, 127, NULL, NULL, 16945),
(27721, '3kxkB01', NULL, NULL, 123, NULL, NULL, 16946),
(27722, '2qtfA01', NULL, NULL, 97, NULL, NULL, 16946),
(27723, '3l2dA02', NULL, NULL, 275, NULL, NULL, 16947),
(27724, '1u6rA02', NULL, NULL, 277, NULL, NULL, 16947),
(27725, '4s17C02', NULL, NULL, 358, NULL, NULL, 16947),
(27726, '5zhqA02', NULL, NULL, 260, NULL, NULL, 16947),
(27727, '2d3aA02', NULL, NULL, 253, NULL, NULL, 16947),
(27728, '2ojwC02', NULL, NULL, 255, NULL, NULL, 16947),
(27729, '4hppA02', NULL, NULL, 342, NULL, NULL, 16947),
(27730, '5zliA02', NULL, NULL, 356, NULL, NULL, 16947),
(27731, '1qk1A02', NULL, NULL, 279, NULL, NULL, 16947),
(27732, '1m15A02', NULL, NULL, 260, NULL, NULL, 16947),
(27733, '4acfA02', NULL, NULL, 359, NULL, NULL, 16947),
(27734, '1qh4A02', NULL, NULL, 277, NULL, NULL, 16947),
(27735, '3jpzA02', NULL, NULL, 275, NULL, NULL, 16947),
(27736, '1crkA02', NULL, NULL, 279, NULL, NULL, 16947),
(27737, '4z9mC02', NULL, NULL, 277, NULL, NULL, 16947),
(27738, '3fkyC02', NULL, NULL, 263, NULL, NULL, 16947),
(27739, '4z9mB02', NULL, NULL, 207, NULL, NULL, 16947),
(27740, '5u92A02', NULL, NULL, 260, NULL, NULL, 16947),
(27741, '1vrpA02', NULL, NULL, 277, NULL, NULL, 16947),
(27742, '3ju5C02', NULL, NULL, 275, NULL, NULL, 16947),
(27743, '3ng0A02', NULL, NULL, 355, NULL, NULL, 16947),
(27744, '2j1qA02', NULL, NULL, 260, NULL, NULL, 16947),
(27745, '4q2rA02', NULL, NULL, 276, NULL, NULL, 16947),
(27746, '4is4D02', NULL, NULL, 216, NULL, NULL, 16947),
(27747, '1f52A01', NULL, NULL, 353, NULL, NULL, 16947),
(27748, '4am1A02', NULL, NULL, 259, NULL, NULL, 16947),
(27749, '4is4A02', NULL, NULL, 253, NULL, NULL, 16947),
(27750, '4baxA02', NULL, NULL, 254, NULL, NULL, 16947),
(27751, '4rf6A04', NULL, NULL, 261, NULL, NULL, 16947),
(27752, '4rf6B02', NULL, NULL, 266, NULL, NULL, 16947),
(27753, '4lniA02', NULL, NULL, 337, NULL, NULL, 16947),
(27754, '2ddhA02', NULL, NULL, 133, NULL, NULL, 16948),
(27755, '3sf6A02', NULL, NULL, 104, NULL, NULL, 16948),
(27756, '2fonA02', NULL, NULL, 137, NULL, NULL, 16948),
(27757, '2rfqA02', NULL, NULL, 95, NULL, NULL, 16948),
(27758, '4n5fA02', NULL, NULL, 107, NULL, NULL, 16948),
(27759, '5iduC02', NULL, NULL, 108, NULL, NULL, 16948),
(27760, '4kcfA02', NULL, NULL, 111, NULL, NULL, 16948),
(27761, '4doyA02', NULL, NULL, 108, NULL, NULL, 16948),
(27762, '2dvlA02', NULL, NULL, 102, NULL, NULL, 16948),
(27763, '1w07A02', NULL, NULL, 137, NULL, NULL, 16948);
INSERT INTO "PUBLIC"."MODEL" VALUES
(27764, '2z1qA02', NULL, NULL, 106, NULL, NULL, 16948),
(27765, '2or0B02', NULL, NULL, 99, NULL, NULL, 16948),
(27766, '1udyA02', NULL, NULL, 121, NULL, NULL, 16948),
(27767, '2jifA02', NULL, NULL, 109, NULL, NULL, 16948),
(27768, '5zw7A02', NULL, NULL, 107, NULL, NULL, 16948),
(27769, '3mxlA02', NULL, NULL, 104, NULL, NULL, 16948),
(27770, '4u83A02', NULL, NULL, 107, NULL, NULL, 16948),
(27771, '4ktoC02', NULL, NULL, 118, NULL, NULL, 16948),
(27772, '2pg0A02', NULL, NULL, 109, NULL, NULL, 16948),
(27773, '1u8vA02', NULL, NULL, 133, NULL, NULL, 16948),
(27774, '2wbiB02', NULL, NULL, 117, NULL, NULL, 16948),
(27775, '4l1fA02', NULL, NULL, 118, NULL, NULL, 16948),
(27776, '4w9uD02', NULL, NULL, 107, NULL, NULL, 16948),
(27777, '3mpiA02', NULL, NULL, 107, NULL, NULL, 16948),
(27778, '6cxtB02', NULL, NULL, 107, NULL, NULL, 16948),
(27779, '6fahC02', NULL, NULL, 118, NULL, NULL, 16948),
(27780, '5mr6A02', NULL, NULL, 96, NULL, NULL, 16948),
(27781, '3r7kA02', NULL, NULL, 106, NULL, NULL, 16948),
(27782, '3nf4A02', NULL, NULL, 116, NULL, NULL, 16948),
(27783, '2ebaA02', NULL, NULL, 106, NULL, NULL, 16948),
(27784, '4hr3A02', NULL, NULL, 115, NULL, NULL, 16948),
(27785, '4rm7A02', NULL, NULL, 118, NULL, NULL, 16948),
(27786, '5xdcA02', NULL, NULL, 108, NULL, NULL, 16948),
(27787, '2c12A02', NULL, NULL, 134, NULL, NULL, 16948),
(27788, '3pfdA02', NULL, NULL, 107, NULL, NULL, 16948),
(27789, '4g5eA02', NULL, NULL, 125, NULL, NULL, 16948),
(27790, '4xvxB02', NULL, NULL, 107, NULL, NULL, 16948),
(27791, '1r2jA02', NULL, NULL, 106, NULL, NULL, 16948),
(27792, '1rx0A02', NULL, NULL, 105, NULL, NULL, 16948),
(27793, '4zyjD02', NULL, NULL, 106, NULL, NULL, 16948),
(27794, '3affA02', NULL, NULL, 95, NULL, NULL, 16948),
(27795, '2yykA02', NULL, NULL, 128, NULL, NULL, 16948),
(27796, '5k3hB02', NULL, NULL, 135, NULL, NULL, 16948),
(27797, '2jbrA02', NULL, NULL, 95, NULL, NULL, 16948),
(27798, '4p13A02', NULL, NULL, 121, NULL, NULL, 16948),
(27799, '3p4tA02', NULL, NULL, 106, NULL, NULL, 16948),
(27800, '3swoA02', NULL, NULL, 104, NULL, NULL, 16948),
(27801, '3ii9C02', NULL, NULL, 108, NULL, NULL, 16948),
(27802, '3hwcA02', NULL, NULL, 125, NULL, NULL, 16948),
(27803, '1ivhA02', NULL, NULL, 120, NULL, NULL, 16948),
(27804, '2ix5A02', NULL, NULL, 107, NULL, NULL, 16948),
(27805, '4o5mD02', NULL, NULL, 111, NULL, NULL, 16948),
(27806, '4irnA02', NULL, NULL, 107, NULL, NULL, 16948),
(27807, '3owaA02', NULL, NULL, 106, NULL, NULL, 16948),
(27808, '2d29A02', NULL, NULL, 111, NULL, NULL, 16948),
(27809, '4x28A02', NULL, NULL, 111, NULL, NULL, 16948),
(27810, '3mkhA02', NULL, NULL, 131, NULL, NULL, 16948),
(27811, '4x28C02', NULL, NULL, 101, NULL, NULL, 16948),
(27812, '1ukwA02', NULL, NULL, 110, NULL, NULL, 16948),
(27813, '4iv6A02', NULL, NULL, 109, NULL, NULL, 16948),
(27814, '2vigC02', NULL, NULL, 118, NULL, NULL, 16948),
(27815, '1jqiA02', NULL, NULL, 118, NULL, NULL, 16948),
(27816, '1bucA02', NULL, NULL, 119, NULL, NULL, 16948),
(27817, '5jscA02', NULL, NULL, 116, NULL, NULL, 16948),
(27818, '2uxwA03', NULL, NULL, 115, NULL, NULL, 16948),
(27819, '1siqA02', NULL, NULL, 107, NULL, NULL, 16948),
(27820, '5k3jB02', NULL, NULL, 139, NULL, NULL, 16948),
(27821, '4m9aB02', NULL, NULL, 107, NULL, NULL, 16948),
(27822, '5lnxF02', NULL, NULL, 118, NULL, NULL, 16948),
(27823, '4ewcA03', NULL, NULL, 79, NULL, NULL, 16949),
(27824, '2wn3A02', NULL, NULL, 99, NULL, NULL, 16950),
(27825, '3wmqA00', NULL, NULL, 94, NULL, NULL, 16950),
(27826, '2ccvA00', NULL, NULL, 101, NULL, NULL, 16950),
(27827, '2vm9A02', NULL, NULL, 98, NULL, NULL, 16950),
(27828, '4q56A00', NULL, NULL, 101, NULL, NULL, 16950),
(27829, '3ol4A02', NULL, NULL, 63, NULL, NULL, 16951),
(27830, '2yn3D03', NULL, NULL, 70, NULL, NULL, 16952),
(27831, '5h7wA02', NULL, NULL, 218, NULL, NULL, 16953),
(27832, '1hp1A02', NULL, NULL, 187, NULL, NULL, 16953),
(27833, '3iveA02', NULL, NULL, 198, NULL, NULL, 16953),
(27834, '3c9fA02', NULL, NULL, 177, NULL, NULL, 16953),
(27835, '4h2gA02', NULL, NULL, 213, NULL, NULL, 16953),
(27836, '2wdcA03', NULL, NULL, 200, NULL, NULL, 16953);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(27837, '4q7fA02', NULL, NULL, 208, NULL, NULL, 16953),
(27838, '3ztvA02', NULL, NULL, 223, NULL, NULL, 16953),
(27839, '2z1aA02', NULL, NULL, 202, NULL, NULL, 16953),
(27840, '1goiB03', NULL, NULL, 51, NULL, NULL, 16954),
(27841, '2rtsA00', NULL, NULL, 73, NULL, NULL, 16954),
(27842, '1aiwA00', NULL, NULL, 62, NULL, NULL, 16954),
(27843, '4tx8A01', NULL, NULL, 53, NULL, NULL, 16954),
(27844, '1wvvB01', NULL, NULL, 50, NULL, NULL, 16954),
(27845, '4mb4A04', NULL, NULL, 45, NULL, NULL, 16954),
(27846, '1ed7A00', NULL, NULL, 45, NULL, NULL, 16954),
(27847, '3zj2A00', NULL, NULL, 71, NULL, NULL, 16955),
(27848, '3zj1A00', NULL, NULL, 83, NULL, NULL, 16955),
(27849, '5l2lF00', NULL, NULL, 77, NULL, NULL, 16955),
(27850, '2qzgA01', NULL, NULL, 84, NULL, NULL, 16956),
(27851, '2bl7A00', NULL, NULL, 82, NULL, NULL, 16956),
(27852, '2bl8B00', NULL, NULL, 85, NULL, NULL, 16956),
(27853, '1tdpA00', NULL, NULL, 111, NULL, NULL, 16956),
(27854, '2qsbA00', NULL, NULL, 89, NULL, NULL, 16956),
(27855, '2fu2A00', NULL, NULL, 79, NULL, NULL, 16956),
(27856, '3o4zA02', NULL, NULL, 204, NULL, NULL, 16957),
(27857, '2xz2A00', NULL, NULL, 66, NULL, NULL, 16958),
(27858, '1zboA02', NULL, NULL, 96, NULL, NULL, 16959),
(27859, '2efvA00', NULL, NULL, 92, NULL, NULL, 16960),
(27860, '3r4dB00', NULL, NULL, 254, NULL, NULL, 16961),
(27861, '6qfyB00', NULL, NULL, 288, NULL, NULL, 16961),
(27862, '4h14A00', NULL, NULL, 290, NULL, NULL, 16961),
(27863, '1n1cA01', NULL, NULL, 126, NULL, NULL, 16962),
(27864, '1wj5A01', NULL, NULL, 98, NULL, NULL, 16963),
(27865, '4jqfA01', NULL, NULL, 106, NULL, NULL, 16963),
(27866, '3q23A06', NULL, NULL, 45, NULL, NULL, 16964),
(27867, '1mqvA00', NULL, NULL, 125, NULL, NULL, 16965),
(27868, '1gqaA00', NULL, NULL, 130, NULL, NULL, 16965),
(27869, '4jkvB01', NULL, NULL, 109, NULL, NULL, 16965),
(27870, '3vrcA00', NULL, NULL, 131, NULL, NULL, 16965),
(27871, '3hnjA00', NULL, NULL, 106, NULL, NULL, 16965),
(27872, '2ykzA00', NULL, NULL, 127, NULL, NULL, 16965),
(27873, '4ulvA00', NULL, NULL, 128, NULL, NULL, 16965),
(27874, '2ccyA00', NULL, NULL, 128, NULL, NULL, 16965),
(27875, '3nmiA00', NULL, NULL, 106, NULL, NULL, 16965),
(27876, '4u9dA00', NULL, NULL, 106, NULL, NULL, 16965),
(27877, '1bbhA00', NULL, NULL, 131, NULL, NULL, 16965),
(27878, '1yyjA00', NULL, NULL, 106, NULL, NULL, 16965),
(27879, '4jeaA00', NULL, NULL, 106, NULL, NULL, 16965),
(27880, '2j8wA00', NULL, NULL, 129, NULL, NULL, 16965),
(27881, '3de8A00', NULL, NULL, 106, NULL, NULL, 16965),
(27882, '1cpqA00', NULL, NULL, 129, NULL, NULL, 16965),
(27883, '4n6hA01', NULL, NULL, 120, NULL, NULL, 16965),
(27884, '1s05A00', NULL, NULL, 129, NULL, NULL, 16965),
(27885, '1cgnA00', NULL, NULL, 127, NULL, NULL, 16965),
(27886, '4er9A00', NULL, NULL, 106, NULL, NULL, 16965),
(27887, '5b3iA00', NULL, NULL, 135, NULL, NULL, 16965),
(27888, '256bA00', NULL, NULL, 106, NULL, NULL, 16965),
(27889, '3tolA00', NULL, NULL, 106, NULL, NULL, 16965),
(27890, '6bbtB01', NULL, NULL, 148, NULL, NULL, 16966),
(27891, '6bbwA01', NULL, NULL, 148, NULL, NULL, 16966),
(27892, '3gldA01', NULL, NULL, 143, NULL, NULL, 16966),
(27893, '6n0aB01', NULL, NULL, 149, NULL, NULL, 16966),
(27894, '3klqA01', NULL, NULL, 123, NULL, NULL, 16966),
(27895, '3iylU02', NULL, NULL, 53, NULL, NULL, 16967),
(27896, '1ej6D02', NULL, NULL, 58, NULL, NULL, 16967),
(27897, '2vf1A04', NULL, NULL, 157, NULL, NULL, 16968),
(27898, '4arcA04', NULL, NULL, 55, NULL, NULL, 16969),
(27899, '3zgzD04', NULL, NULL, 62, NULL, NULL, 16969),
(27900, '1tuzA00', NULL, NULL, 118, NULL, NULL, 16970),
(27901, '2kuyA00', NULL, NULL, 43, NULL, NULL, 16971),
(27902, '3k59A02', NULL, NULL, 67, NULL, NULL, 16972),
(27903, '2zcmA00', NULL, NULL, 192, NULL, NULL, 16973),
(27904, '3qqaA02', NULL, NULL, 146, NULL, NULL, 16973),
(27905, '3ppbA00', NULL, NULL, 195, NULL, NULL, 16973),
(27906, '5k7fA02', NULL, NULL, 143, NULL, NULL, 16973),
(27907, '2g3bA00', NULL, NULL, 188, NULL, NULL, 16973),
(27908, '3kz9D00', NULL, NULL, 206, NULL, NULL, 16973),
(27909, '2pz9A00', NULL, NULL, 197, NULL, NULL, 16973),
(27910, '5d18A00', NULL, NULL, 216, NULL, NULL, 16973);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(27911, '1sgmA00', NULL, NULL, 191, NULL, NULL, 16973),
(27912, '3frqB00', NULL, NULL, 195, NULL, NULL, 16973),
(27913, '2oi8A00', NULL, NULL, 216, NULL, NULL, 16973),
(27914, '2fq4A02', NULL, NULL, 137, NULL, NULL, 16973),
(27915, '4mk6A00', NULL, NULL, 189, NULL, NULL, 16973),
(27916, '2rasA01', NULL, NULL, 196, NULL, NULL, 16973),
(27917, '2qkoA00', NULL, NULL, 189, NULL, NULL, 16973),
(27918, '2hytA00', NULL, NULL, 197, NULL, NULL, 16973),
(27919, '3s5rB00', NULL, NULL, 216, NULL, NULL, 16973),
(27920, '2genA00', NULL, NULL, 197, NULL, NULL, 16973),
(27921, '3nxcA00', NULL, NULL, 190, NULL, NULL, 16973),
(27922, '5x5iA00', NULL, NULL, 189, NULL, NULL, 16973),
(27923, '2wuiA00', NULL, NULL, 210, NULL, NULL, 16973),
(27924, '2d6yA00', NULL, NULL, 202, NULL, NULL, 16973),
(27925, '5x5iE00', NULL, NULL, 189, NULL, NULL, 16973),
(27926, '3bqyA02', NULL, NULL, 152, NULL, NULL, 16973),
(27927, '3cjdA00', NULL, NULL, 198, NULL, NULL, 16973),
(27928, '3e7qA00', NULL, NULL, 215, NULL, NULL, 16973),
(27929, '2qibB00', NULL, NULL, 231, NULL, NULL, 16973),
(27930, '2nx4C00', NULL, NULL, 194, NULL, NULL, 16973),
(27931, '3cdlB02', NULL, NULL, 143, NULL, NULL, 16973),
(27932, '3ni7B00', NULL, NULL, 188, NULL, NULL, 16973),
(27933, '3g7rA00', NULL, NULL, 221, NULL, NULL, 16973),
(27934, '3colB00', NULL, NULL, 196, NULL, NULL, 16973),
(27935, '3vvyD00', NULL, NULL, 194, NULL, NULL, 16973),
(27936, '3eupB00', NULL, NULL, 204, NULL, NULL, 16973),
(27937, '5mruA02', NULL, NULL, 150, NULL, NULL, 16973),
(27938, '3bhqA00', NULL, NULL, 211, NULL, NULL, 16973),
(27939, '2zcxA00', NULL, NULL, 213, NULL, NULL, 16973),
(27940, '4yzeB00', NULL, NULL, 201, NULL, NULL, 16973),
(27941, '3lhqB00', NULL, NULL, 220, NULL, NULL, 16973),
(27942, '4jykA02', NULL, NULL, 143, NULL, NULL, 16973),
(27943, '4cgrB00', NULL, NULL, 216, NULL, NULL, 16973),
(27944, '1vi0A02', NULL, NULL, 155, NULL, NULL, 16973),
(27945, '3vuqB00', NULL, NULL, 187, NULL, NULL, 16973),
(27946, '4g12A02', NULL, NULL, 149, NULL, NULL, 16973),
(27947, '2y2zA02', NULL, NULL, 162, NULL, NULL, 16973),
(27948, '3mvpA02', NULL, NULL, 149, NULL, NULL, 16973),
(27949, '4gflB00', NULL, NULL, 190, NULL, NULL, 16973),
(27950, '3c07B00', NULL, NULL, 214, NULL, NULL, 16973),
(27951, '4mxmA00', NULL, NULL, 203, NULL, NULL, 16973),
(27952, '2v57A00', NULL, NULL, 190, NULL, NULL, 16973),
(27953, '2xdnB00', NULL, NULL, 210, NULL, NULL, 16973),
(27954, '4d5cA02', NULL, NULL, 141, NULL, NULL, 16973),
(27955, '3ccyA02', NULL, NULL, 147, NULL, NULL, 16973),
(27956, '3dpjF00', NULL, NULL, 194, NULL, NULL, 16973),
(27957, '2hxiB02', NULL, NULL, 150, NULL, NULL, 16973),
(27958, '3egqB00', NULL, NULL, 170, NULL, NULL, 16973),
(27959, '4w97A02', NULL, NULL, 149, NULL, NULL, 16973),
(27960, '3bcgA00', NULL, NULL, 215, NULL, NULL, 16973),
(27961, '3anpB00', NULL, NULL, 204, NULL, NULL, 16973),
(27962, '3geuA00', NULL, NULL, 189, NULL, NULL, 16973),
(27963, '2rekA00', NULL, NULL, 199, NULL, NULL, 16973),
(27964, '5fglA00', NULL, NULL, 208, NULL, NULL, 16973),
(27965, '3s5rA00', NULL, NULL, 216, NULL, NULL, 16973),
(27966, '4d5fA02', NULL, NULL, 141, NULL, NULL, 16973),
(27967, '2guhA00', NULL, NULL, 180, NULL, NULL, 16973),
(27968, '2qtqB00', NULL, NULL, 213, NULL, NULL, 16973),
(27969, '3htaC00', NULL, NULL, 217, NULL, NULL, 16973),
(27970, '5d1rB00', NULL, NULL, 239, NULL, NULL, 16973),
(27971, '3vokA00', NULL, NULL, 189, NULL, NULL, 16973),
(27972, '3vprA02', NULL, NULL, 146, NULL, NULL, 16973),
(27973, '5x5iD00', NULL, NULL, 189, NULL, NULL, 16973),
(27974, '2qwtA00', NULL, NULL, 196, NULL, NULL, 16973),
(27975, '2iaiA02', NULL, NULL, 149, NULL, NULL, 16973),
(27976, '3dewA02', NULL, NULL, 147, NULL, NULL, 16973),
(27977, '2of7A02', NULL, NULL, 140, NULL, NULL, 16973),
(27978, '2g7gA00', NULL, NULL, 213, NULL, NULL, 16973),
(27979, '2gfnA00', NULL, NULL, 209, NULL, NULL, 16973),
(27980, '1jusA02', NULL, NULL, 135, NULL, NULL, 16973),
(27981, '4kwaB00', NULL, NULL, 195, NULL, NULL, 16973),
(27982, '3knwB00', NULL, NULL, 212, NULL, NULL, 16973),
(27983, '5x5iH00', NULL, NULL, 189, NULL, NULL, 16973);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(27984, '3b81A00', NULL, NULL, 203, NULL, NULL, 16973),
(27985, '2dg7A00', NULL, NULL, 195, NULL, NULL, 16973),
(27986, '2id3A02', NULL, NULL, 142, NULL, NULL, 16973),
(27987, '3bqzA02', NULL, NULL, 144, NULL, NULL, 16973),
(27988, '3f0cA02', NULL, NULL, 158, NULL, NULL, 16973),
(27989, '3npiB00', NULL, NULL, 210, NULL, NULL, 16973),
(27990, '2g7lA00', NULL, NULL, 243, NULL, NULL, 16973),
(27991, '3fiwA02', NULL, NULL, 132, NULL, NULL, 16973),
(27992, '1ui6A00', NULL, NULL, 215, NULL, NULL, 16973),
(27993, '1rktA02', NULL, NULL, 151, NULL, NULL, 16973),
(27994, '3on2A00', NULL, NULL, 199, NULL, NULL, 16973),
(27995, '3on4D00', NULL, NULL, 191, NULL, NULL, 16973),
(27996, '2np3A00', NULL, NULL, 178, NULL, NULL, 16973),
(27997, '3rh2A00', NULL, NULL, 212, NULL, NULL, 16973),
(27998, '1zk8B02', NULL, NULL, 132, NULL, NULL, 16973),
(27999, '3f1bA00', NULL, NULL, 203, NULL, NULL, 16973),
(28000, '3egqA00', NULL, NULL, 170, NULL, NULL, 16973),
(28001, '2yveB00', NULL, NULL, 185, NULL, NULL, 16973),
(28002, '2np5D00', NULL, NULL, 203, NULL, NULL, 16973),
(28003, '5l0xA00', NULL, NULL, 199, NULL, NULL, 16973),
(28004, '3kkcA01', NULL, NULL, 170, NULL, NULL, 16973),
(28005, '3pasA00', NULL, NULL, 195, NULL, NULL, 16973),
(28006, '3qkxB00', NULL, NULL, 188, NULL, NULL, 16973),
(28007, '5c4yA00', NULL, NULL, 136, NULL, NULL, 16973),
(28008, '2guhB00', NULL, NULL, 179, NULL, NULL, 16973),
(28009, '2zb9A02', NULL, NULL, 148, NULL, NULL, 16973),
(28010, '2dg8D00', NULL, NULL, 193, NULL, NULL, 16973),
(28011, '2f07B00', NULL, NULL, 197, NULL, NULL, 16973),
(28012, '4aciA00', NULL, NULL, 191, NULL, NULL, 16973),
(28013, '5x5iC00', NULL, NULL, 189, NULL, NULL, 16973),
(28014, '3himA00', NULL, NULL, 211, NULL, NULL, 16973),
(28015, '3htaD00', NULL, NULL, 191, NULL, NULL, 16973),
(28016, '5hawA00', NULL, NULL, 196, NULL, NULL, 16973),
(28017, '3vibA00', NULL, NULL, 210, NULL, NULL, 16973),
(28018, '3bniB00', NULL, NULL, 187, NULL, NULL, 16973),
(28019, '1z0xB02', NULL, NULL, 151, NULL, NULL, 16973),
(28020, '3lwjA00', NULL, NULL, 202, NULL, NULL, 16973),
(28021, '5aqcB00', NULL, NULL, 205, NULL, NULL, 16973),
(28022, '4hkuB00', NULL, NULL, 178, NULL, NULL, 16973),
(28023, '3ljlA00', NULL, NULL, 156, NULL, NULL, 16973),
(28024, '3c2bA02', NULL, NULL, 155, NULL, NULL, 16973),
(28025, '4mo7A02', NULL, NULL, 142, NULL, NULL, 16973),
(28026, '4nn1A00', NULL, NULL, 218, NULL, NULL, 16973),
(28027, '5gp9A02', NULL, NULL, 145, NULL, NULL, 16973),
(28028, '5x5iG00', NULL, NULL, 189, NULL, NULL, 16973),
(28029, '3o60A00', NULL, NULL, 185, NULL, NULL, 16973),
(28030, '2fd5A02', NULL, NULL, 132, NULL, NULL, 16973),
(28031, '5nioA02', NULL, NULL, 149, NULL, NULL, 16973),
(28032, '2fbqA00', NULL, NULL, 216, NULL, NULL, 16973),
(28033, '3bjbD00', NULL, NULL, 185, NULL, NULL, 16973),
(28034, '2i10B02', NULL, NULL, 131, NULL, NULL, 16973),
(28035, '2q24A00', NULL, NULL, 194, NULL, NULL, 16973),
(28036, '2hxoA02', NULL, NULL, 159, NULL, NULL, 16973),
(28037, '2xpwA02', NULL, NULL, 141, NULL, NULL, 16973),
(28038, '1t33A02', NULL, NULL, 162, NULL, NULL, 16973),
(28039, '2np3B02', NULL, NULL, 130, NULL, NULL, 16973),
(28040, '3v6gA00', NULL, NULL, 185, NULL, NULL, 16973),
(28041, '4udsA00', NULL, NULL, 214, NULL, NULL, 16973),
(28042, '3jsjC00', NULL, NULL, 190, NULL, NULL, 16973),
(28043, '3zqiA02', NULL, NULL, 142, NULL, NULL, 16973),
(28044, '2hyjA02', NULL, NULL, 147, NULL, NULL, 16973),
(28045, '3gziA00', NULL, NULL, 218, NULL, NULL, 16973),
(28046, '3nnrA00', NULL, NULL, 228, NULL, NULL, 16973),
(28047, '2jj7B02', NULL, NULL, 136, NULL, NULL, 16973),
(28048, '2raeA02', NULL, NULL, 137, NULL, NULL, 16973),
(28049, '5dajD00', NULL, NULL, 212, NULL, NULL, 16973),
(28050, '4me9B00', NULL, NULL, 189, NULL, NULL, 16973),
(28051, '2rasB01', NULL, NULL, 196, NULL, NULL, 16973),
(28052, '2ibdA02', NULL, NULL, 149, NULL, NULL, 16973),
(28053, '2fx0A02', NULL, NULL, 151, NULL, NULL, 16973),
(28054, '5x5iB00', NULL, NULL, 189, NULL, NULL, 16973),
(28055, '3aqtA00', NULL, NULL, 206, NULL, NULL, 16973),
(28056, '2optA02', NULL, NULL, 168, NULL, NULL, 16973);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(28057, '5x5iF00', NULL, NULL, 189, NULL, NULL, 16973),
(28058, '3bruB00', NULL, NULL, 194, NULL, NULL, 16973),
(28059, '2iu5B00', NULL, NULL, 195, NULL, NULL, 16973),
(28060, '2id6A02', NULL, NULL, 154, NULL, NULL, 16973),
(28061, '2eh3A02', NULL, NULL, 129, NULL, NULL, 16973),
(28062, '2g7sA00', NULL, NULL, 194, NULL, NULL, 16973),
(28063, '2hkuB00', NULL, NULL, 195, NULL, NULL, 16973),
(28064, '3dcfA02', NULL, NULL, 146, NULL, NULL, 16973),
(28065, '3rd3A00', NULL, NULL, 197, NULL, NULL, 16973),
(28066, '3ni7A00', NULL, NULL, 188, NULL, NULL, 16973),
(28067, '1z0xA02', NULL, NULL, 151, NULL, NULL, 16973),
(28068, '3qbmB00', NULL, NULL, 199, NULL, NULL, 16973),
(28069, '2oerA00', NULL, NULL, 192, NULL, NULL, 16973),
(28070, '2w53B00', NULL, NULL, 219, NULL, NULL, 16973),
(28071, '3kkdA00', NULL, NULL, 203, NULL, NULL, 16973),
(28072, '3cwrB00', NULL, NULL, 208, NULL, NULL, 16973),
(28073, '3nrgA00', NULL, NULL, 217, NULL, NULL, 16973),
(28074, '3he0B00', NULL, NULL, 196, NULL, NULL, 16973),
(28075, '2o7tA00', NULL, NULL, 199, NULL, NULL, 16973),
(28076, '4ac0A02', NULL, NULL, 137, NULL, NULL, 16973),
(28077, '3lsjA02', NULL, NULL, 167, NULL, NULL, 16973),
(28078, '4jkzA00', NULL, NULL, 194, NULL, NULL, 16973),
(28079, '3crjC00', NULL, NULL, 199, NULL, NULL, 16973),
(28080, '4dhxA00', NULL, NULL, 75, NULL, NULL, 16974),
(28081, '2fdoA00', NULL, NULL, 94, NULL, NULL, 16975),
(28082, '5z62K00', NULL, NULL, 49, NULL, NULL, 16976),
(28083, '5b1aK00', NULL, NULL, 56, NULL, NULL, 16976),
(28084, '4o5qA01', NULL, NULL, 200, NULL, NULL, 16977),
(28085, '4mnnA00', NULL, NULL, 179, NULL, NULL, 16977),
(28086, '1vwxV00', NULL, NULL, 140, NULL, NULL, 16978),
(28087, '4a17J00', NULL, NULL, 141, NULL, NULL, 16978),
(28088, '5mmiL00', NULL, NULL, 121, NULL, NULL, 16978),
(28089, '6c0fV00', NULL, NULL, 137, NULL, NULL, 16978),
(28090, '4v19O00', NULL, NULL, 115, NULL, NULL, 16978),
(28091, '1vx7M00', NULL, NULL, 139, NULL, NULL, 16978),
(28092, '6qklE00', NULL, NULL, 136, NULL, NULL, 16978),
(28093, '1vw4I00', NULL, NULL, 138, NULL, NULL, 16978),
(28094, '1whiA00', NULL, NULL, 122, NULL, NULL, 16978),
(28095, '6hmaI00', NULL, NULL, 122, NULL, NULL, 16978),
(28096, '5oomL00', NULL, NULL, 115, NULL, NULL, 16978),
(28097, '1vsaI00', NULL, NULL, 122, NULL, NULL, 16978),
(28098, '5dm6H00', NULL, NULL, 134, NULL, NULL, 16978),
(28099, '6qulL00', NULL, NULL, 123, NULL, NULL, 16978),
(28100, '1vq8K00', NULL, NULL, 132, NULL, NULL, 16978),
(28101, '5xymK00', NULL, NULL, 122, NULL, NULL, 16978),
(28102, '4z6mA03', NULL, NULL, 75, NULL, NULL, 16979),
(28103, '2zxiA04', NULL, NULL, 55, NULL, NULL, 16980),
(28104, '3cp8A04', NULL, NULL, 53, NULL, NULL, 16980),
(28105, '3mcbA00', NULL, NULL, 54, NULL, NULL, 16981),
(28106, '3mcbB00', NULL, NULL, 58, NULL, NULL, 16981),
(28107, '3lkxB00', NULL, NULL, 54, NULL, NULL, 16981),
(28108, '1tr8A01', NULL, NULL, 61, NULL, NULL, 16981),
(28109, '1tr8B01', NULL, NULL, 61, NULL, NULL, 16981),
(28110, '5xnlQ00', NULL, NULL, 129, NULL, NULL, 16982),
(28111, '1nzeA00', NULL, NULL, 112, NULL, NULL, 16982),
(28112, '3rfyA02', NULL, NULL, 107, NULL, NULL, 16982),
(28113, '1vykA00', NULL, NULL, 149, NULL, NULL, 16982),
(28114, '3zsuA00', NULL, NULL, 130, NULL, NULL, 16982),
(28115, '3ls1A00', NULL, NULL, 133, NULL, NULL, 16982),
(28116, '2h8nA00', NULL, NULL, 68, NULL, NULL, 16983),
(28117, '2o8rB02', NULL, NULL, 194, NULL, NULL, 16984),
(28118, '1xdpA02', NULL, NULL, 202, NULL, NULL, 16984),
(28119, '4dapA01', NULL, NULL, 80, NULL, NULL, 16985),
(28120, '4da2A01', NULL, NULL, 79, NULL, NULL, 16985),
(28121, '1wz2A05', NULL, NULL, 52, NULL, NULL, 16986),
(28122, '3rmqA01', NULL, NULL, 58, NULL, NULL, 16987),
(28123, '3cmnA01', NULL, NULL, 132, NULL, NULL, 16988),
(28124, '2c10A01', NULL, NULL, 137, NULL, NULL, 16989),
(28125, '2c10A02', NULL, NULL, 132, NULL, NULL, 16989),
(28126, '1w7cA03', NULL, NULL, 115, NULL, NULL, 16989),
(28127, '1w7cA02', NULL, NULL, 117, NULL, NULL, 16989),
(28128, '3sxxC01', NULL, NULL, 117, NULL, NULL, 16989),
(28129, '3sxxD02', NULL, NULL, 109, NULL, NULL, 16989);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(28130, '2gu3A01', NULL, NULL, 73, NULL, NULL, 16989),
(28131, '2y73B01', NULL, NULL, 109, NULL, NULL, 16989),
(28132, '1tu5A01', NULL, NULL, 108, NULL, NULL, 16989),
(28133, '2gu3A02', NULL, NULL, 63, NULL, NULL, 16989),
(28134, '4exrA02', NULL, NULL, 72, NULL, NULL, 16989),
(28135, '3hi7B02', NULL, NULL, 142, NULL, NULL, 16989),
(28136, '3hi7B01', NULL, NULL, 117, NULL, NULL, 16989),
(28137, '3pgbA03', NULL, NULL, 116, NULL, NULL, 16989),
(28138, '4exrA01', NULL, NULL, 81, NULL, NULL, 16989),
(28139, '3loyA02', NULL, NULL, 114, NULL, NULL, 16989),
(28140, '3pgbA02', NULL, NULL, 118, NULL, NULL, 16989),
(28141, '2ia7A00', NULL, NULL, 134, NULL, NULL, 16989),
(28142, '3loyA01', NULL, NULL, 101, NULL, NULL, 16989),
(28143, '1tu5B02', NULL, NULL, 122, NULL, NULL, 16989),
(28144, '2k0mA00', NULL, NULL, 104, NULL, NULL, 16989),
(28145, '5iw9B00', NULL, NULL, 131, NULL, NULL, 16989),
(28146, '3wa2X02', NULL, NULL, 102, NULL, NULL, 16989),
(28147, '3wa2X01', NULL, NULL, 87, NULL, NULL, 16989),
(28148, '3nqzA02', NULL, NULL, 84, NULL, NULL, 16989),
(28149, '6grrA02', NULL, NULL, 101, NULL, NULL, 16989),
(28150, '6grrA03', NULL, NULL, 106, NULL, NULL, 16989),
(28151, '1ksiA02', NULL, NULL, 96, NULL, NULL, 16989),
(28152, '1ksiA01', NULL, NULL, 96, NULL, NULL, 16989),
(28153, '2m13A00', NULL, NULL, 65, NULL, NULL, 16990),
(28154, '3m6zA02', NULL, NULL, 37, NULL, NULL, 16991),
(28155, '2h7bA01', NULL, NULL, 96, NULL, NULL, 16992),
(28156, '2pp4A00', NULL, NULL, 107, NULL, NULL, 16992),
(28157, '2p6vA00', NULL, NULL, 114, NULL, NULL, 16992),
(28158, '3tutA01', NULL, NULL, 240, NULL, NULL, 16993),
(28159, '4clqA01', NULL, NULL, 270, NULL, NULL, 16993),
(28160, '3pqvC01', NULL, NULL, 269, NULL, NULL, 16993),
(28161, '4o89A01', NULL, NULL, 239, NULL, NULL, 16993),
(28162, '2kp6A00', NULL, NULL, 82, NULL, NULL, 16994),
(28163, '3nqzA01', NULL, NULL, 96, NULL, NULL, 16995),
(28164, '3a1yA00', NULL, NULL, 58, NULL, NULL, 16996),
(28165, '4behB01', NULL, NULL, 61, NULL, NULL, 16996),
(28166, '4behA01', NULL, NULL, 64, NULL, NULL, 16996),
(28167, '3ivpC02', NULL, NULL, 50, NULL, NULL, 16997),
(28168, '3hxlA04', NULL, NULL, 79, NULL, NULL, 16998),
(28169, '3r7wB02', NULL, NULL, 138, NULL, NULL, 16999),
(28170, '3r7wC02', NULL, NULL, 124, NULL, NULL, 16999),
(28171, '5x6vG00', NULL, NULL, 139, NULL, NULL, 16999),
(28172, '5x6vF00', NULL, NULL, 135, NULL, NULL, 16999),
(28173, '2xr1A01', NULL, NULL, 99, NULL, NULL, 17000),
(28174, '2ycbA01', NULL, NULL, 95, NULL, NULL, 17000),
(28175, '3af5A01', NULL, NULL, 104, NULL, NULL, 17000),
(28176, '2rrnA01', NULL, NULL, 83, NULL, NULL, 17001),
(28177, '2ra1A05', NULL, NULL, 86, NULL, NULL, 17002),
(28178, '2kmuA00', NULL, NULL, 56, NULL, NULL, 17003),
(28179, '3c12A02', NULL, NULL, 87, NULL, NULL, 17004),
(28180, '3osvA02', NULL, NULL, 87, NULL, NULL, 17004),
(28181, '4zzfA02', NULL, NULL, 96, NULL, NULL, 17004),
(28182, '5wutA00', NULL, NULL, 235, NULL, NULL, 17005),
(28183, '4yg6B00', NULL, NULL, 163, NULL, NULL, 17005),
(28184, '3i4iB00', NULL, NULL, 214, NULL, NULL, 17005),
(28185, '1ioaA00', NULL, NULL, 240, NULL, NULL, 17005),
(28186, '3fbyA02', NULL, NULL, 228, NULL, NULL, 17005),
(28187, '4c1wA00', NULL, NULL, 188, NULL, NULL, 17005),
(28188, '1qnwA00', NULL, NULL, 242, NULL, NULL, 17005),
(28189, '3mppG01', NULL, NULL, 228, NULL, NULL, 17005),
(28190, '4yg0A00', NULL, NULL, 164, NULL, NULL, 17005),
(28191, '2yv8A00', NULL, NULL, 164, NULL, NULL, 17005),
(28192, '3c2uB02', NULL, NULL, 210, NULL, NULL, 17005),
(28193, '1wd3A01', NULL, NULL, 320, NULL, NULL, 17005),
(28194, '2h0bC00', NULL, NULL, 184, NULL, NULL, 17005),
(28195, '6ifeB02', NULL, NULL, 209, NULL, NULL, 17005),
(28196, '2r0hA00', NULL, NULL, 164, NULL, NULL, 17005),
(28197, '2a6vB00', NULL, NULL, 226, NULL, NULL, 17005),
(28198, '6a66A00', NULL, NULL, 142, NULL, NULL, 17005),
(28199, '1wbfA00', NULL, NULL, 242, NULL, NULL, 17005),
(28200, '1sltA00', NULL, NULL, 134, NULL, NULL, 17005),
(28201, '3rsjB01', NULL, NULL, 227, NULL, NULL, 17005),
(28202, '2fmdA00', NULL, NULL, 240, NULL, NULL, 17005),
(28203, '5ocrA00', NULL, NULL, 286, NULL, NULL, 17005);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(28204, '4l8qA00', NULL, NULL, 237, NULL, NULL, 17005),
(28205, '1gslA00', NULL, NULL, 243, NULL, NULL, 17005),
(28206, '1n1tA02', NULL, NULL, 202, NULL, NULL, 17005),
(28207, '2wsuB02', NULL, NULL, 156, NULL, NULL, 17005),
(28208, '3rq0A00', NULL, NULL, 230, NULL, NULL, 17005),
(28209, '2jkbA01', NULL, NULL, 192, NULL, NULL, 17005),
(28210, '3i8tA00', NULL, NULL, 140, NULL, NULL, 17005),
(28211, '3wz1A00', NULL, NULL, 282, NULL, NULL, 17005),
(28212, '5l73A00', NULL, NULL, 192, NULL, NULL, 17005),
(28213, '3ffzA03', NULL, NULL, 225, NULL, NULL, 17005),
(28214, '4crqA00', NULL, NULL, 233, NULL, NULL, 17005),
(28215, '4agrB00', NULL, NULL, 146, NULL, NULL, 17005),
(28216, '2dwrA01', NULL, NULL, 159, NULL, NULL, 17005),
(28217, '2zgqA00', NULL, NULL, 167, NULL, NULL, 17005),
(28218, '4asmB00', NULL, NULL, 363, NULL, NULL, 17005),
(28219, '3juuA00', NULL, NULL, 280, NULL, NULL, 17005),
(28220, '4awdB00', NULL, NULL, 297, NULL, NULL, 17005),
(28221, '2a5zA00', NULL, NULL, 239, NULL, NULL, 17005),
(28222, '3ipvB00', NULL, NULL, 239, NULL, NULL, 17005),
(28223, '3sitA00', NULL, NULL, 163, NULL, NULL, 17005),
(28224, '1mvqA00', NULL, NULL, 236, NULL, NULL, 17005),
(28225, '5xrgA00', NULL, NULL, 145, NULL, NULL, 17005),
(28226, '1macA00', NULL, NULL, 212, NULL, NULL, 17005),
(28227, '1yrzA02', NULL, NULL, 208, NULL, NULL, 17005),
(28228, '1jhnA01', NULL, NULL, 243, NULL, NULL, 17005),
(28229, '5vx5A01', NULL, NULL, 159, NULL, NULL, 17005),
(28230, '2b7yA00', NULL, NULL, 182, NULL, NULL, 17005),
(28231, '3dgtA00', NULL, NULL, 280, NULL, NULL, 17005),
(28232, '3pvnA00', NULL, NULL, 206, NULL, NULL, 17005),
(28233, '1fx5B00', NULL, NULL, 242, NULL, NULL, 17005),
(28234, '5jozA02', NULL, NULL, 208, NULL, NULL, 17005),
(28235, '3b3qE00', NULL, NULL, 197, NULL, NULL, 17005),
(28236, '1gv9A00', NULL, NULL, 235, NULL, NULL, 17005),
(28237, '2wsuA01', NULL, NULL, 139, NULL, NULL, 17005),
(28238, '1gbgA00', NULL, NULL, 214, NULL, NULL, 17005),
(28239, '1ikpA01', NULL, NULL, 230, NULL, NULL, 17005),
(28240, '1y7bA02', NULL, NULL, 216, NULL, NULL, 17005),
(28241, '6er4A00', NULL, NULL, 194, NULL, NULL, 17005),
(28242, '1bjqC00', NULL, NULL, 235, NULL, NULL, 17005),
(28243, '1v6iA00', NULL, NULL, 232, NULL, NULL, 17005),
(28244, '1dypA00', NULL, NULL, 271, NULL, NULL, 17005),
(28245, '2w39A00', NULL, NULL, 298, NULL, NULL, 17005),
(28246, '3km5A00', NULL, NULL, 180, NULL, NULL, 17005),
(28247, '4q27A00', NULL, NULL, 136, NULL, NULL, 17005),
(28248, '4dqaA02', NULL, NULL, 211, NULL, NULL, 17005),
(28249, '5freA00', NULL, NULL, 194, NULL, NULL, 17005),
(28250, '3zsjA00', NULL, NULL, 138, NULL, NULL, 17005),
(28251, '2vy0B00', NULL, NULL, 264, NULL, NULL, 17005),
(28252, '2durB01', NULL, NULL, 230, NULL, NULL, 17005),
(28253, '1yo8A05', NULL, NULL, 226, NULL, NULL, 17005),
(28254, '2exhA02', NULL, NULL, 208, NULL, NULL, 17005),
(28255, '1vavA00', NULL, NULL, 222, NULL, NULL, 17005),
(28256, '2zhnA00', NULL, NULL, 148, NULL, NULL, 17005),
(28257, '2wjsA03', NULL, NULL, 176, NULL, NULL, 17005),
(28258, '5u38A00', NULL, NULL, 239, NULL, NULL, 17005),
(28259, '2wjsA02', NULL, NULL, 183, NULL, NULL, 17005),
(28260, '5vxzA01', NULL, NULL, 193, NULL, NULL, 17005),
(28261, '2wjsA01', NULL, NULL, 193, NULL, NULL, 17005),
(28262, '2ymzA00', NULL, NULL, 130, NULL, NULL, 17005),
(28263, '5ymuA01', NULL, NULL, 159, NULL, NULL, 17005),
(28264, '5t9xC00', NULL, NULL, 295, NULL, NULL, 17005),
(28265, '4xzpA00', NULL, NULL, 148, NULL, NULL, 17005),
(28266, '5dzeA00', NULL, NULL, 207, NULL, NULL, 17005),
(28267, '4ygbA00', NULL, NULL, 228, NULL, NULL, 17005),
(28268, '5mk6A01', NULL, NULL, 236, NULL, NULL, 17005),
(28269, '5vkiA01', NULL, NULL, 159, NULL, NULL, 17005),
(28270, '3mepA00', NULL, NULL, 181, NULL, NULL, 17005),
(28271, '3zpyB00', NULL, NULL, 248, NULL, NULL, 17005),
(28272, '2d6mA00', NULL, NULL, 159, NULL, NULL, 17005),
(28273, '2a6zA00', NULL, NULL, 222, NULL, NULL, 17005),
(28274, '5vmrA01', NULL, NULL, 233, NULL, NULL, 17005),
(28275, '1d2sA00', NULL, NULL, 170, NULL, NULL, 17005),
(28276, '3azyA00', NULL, NULL, 272, NULL, NULL, 17005);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(28277, '4wzfA00', NULL, NULL, 249, NULL, NULL, 17005),
(28278, '4pbpA00', NULL, NULL, 210, NULL, NULL, 17005),
(28279, '3wdwA00', NULL, NULL, 298, NULL, NULL, 17005),
(28280, '5jvvA00', NULL, NULL, 298, NULL, NULL, 17005),
(28281, '1ux6A02', NULL, NULL, 213, NULL, NULL, 17005),
(28282, '4cd9D00', NULL, NULL, 259, NULL, NULL, 17005),
(28283, '2v73A00', NULL, NULL, 191, NULL, NULL, 17005),
(28284, '2sliA01', NULL, NULL, 196, NULL, NULL, 17005),
(28285, '5v38A01', NULL, NULL, 238, NULL, NULL, 17005),
(28286, '2ayhA00', NULL, NULL, 214, NULL, NULL, 17005),
(28287, '4wvvA00', NULL, NULL, 145, NULL, NULL, 17005),
(28288, '2ltnA00', NULL, NULL, 181, NULL, NULL, 17005),
(28289, '1loeC00', NULL, NULL, 181, NULL, NULL, 17005),
(28290, '2eigA00', NULL, NULL, 234, NULL, NULL, 17005),
(28291, '1n47A00', NULL, NULL, 233, NULL, NULL, 17005),
(28292, '5vx9A01', NULL, NULL, 159, NULL, NULL, 17005),
(28293, '3r4sA01', NULL, NULL, 240, NULL, NULL, 17005),
(28294, '1yifA02', NULL, NULL, 207, NULL, NULL, 17005),
(28295, '2c9aA01', NULL, NULL, 162, NULL, NULL, 17005),
(28296, '1h30A01', NULL, NULL, 225, NULL, NULL, 17005),
(28297, '1umzB00', NULL, NULL, 278, NULL, NULL, 17005),
(28298, '6jh5A00', NULL, NULL, 243, NULL, NULL, 17005),
(28299, '1w0pA03', NULL, NULL, 187, NULL, NULL, 17005),
(28300, '1pz7A00', NULL, NULL, 204, NULL, NULL, 17005),
(28301, '2uurA00', NULL, NULL, 227, NULL, NULL, 17005),
(28302, '1w0pA01', NULL, NULL, 177, NULL, NULL, 17005),
(28303, '1upsB01', NULL, NULL, 265, NULL, NULL, 17005),
(28304, '4gxlA00', NULL, NULL, 153, NULL, NULL, 17005),
(28305, '4drrA00', NULL, NULL, 163, NULL, NULL, 17005),
(28306, '5t5lA00', NULL, NULL, 242, NULL, NULL, 17005),
(28307, '6e20B00', NULL, NULL, 134, NULL, NULL, 17005),
(28308, '5gzcA00', NULL, NULL, 152, NULL, NULL, 17005),
(28309, '5eyyA00', NULL, NULL, 245, NULL, NULL, 17005),
(28310, '3sh4A00', NULL, NULL, 195, NULL, NULL, 17005),
(28311, '2gmeA00', NULL, NULL, 252, NULL, NULL, 17005),
(28312, '5u3eA00', NULL, NULL, 237, NULL, NULL, 17005),
(28313, '3wg3A00', NULL, NULL, 178, NULL, NULL, 17005),
(28314, '6f0oA01', NULL, NULL, 236, NULL, NULL, 17005),
(28315, '5zqjB02', NULL, NULL, 215, NULL, NULL, 17005),
(28316, '3q9oA01', NULL, NULL, 249, NULL, NULL, 17005),
(28317, '5hcfA01', NULL, NULL, 240, NULL, NULL, 17005),
(28318, '3mw3A00', NULL, NULL, 208, NULL, NULL, 17005),
(28319, '5mc9A01', NULL, NULL, 184, NULL, NULL, 17005),
(28320, '2uwaA00', NULL, NULL, 274, NULL, NULL, 17005),
(28321, '5mc9A02', NULL, NULL, 182, NULL, NULL, 17005),
(28322, '1ajkB00', NULL, NULL, 214, NULL, NULL, 17005),
(28323, '3atgA00', NULL, NULL, 256, NULL, NULL, 17005),
(28324, '4w65A00', NULL, NULL, 231, NULL, NULL, 17005),
(28325, '3zxfB00', NULL, NULL, 138, NULL, NULL, 17005),
(28326, '1gzcA00', NULL, NULL, 239, NULL, NULL, 17005),
(28327, '5cblB00', NULL, NULL, 148, NULL, NULL, 17005),
(28328, '3o0wA01', NULL, NULL, 251, NULL, NULL, 17005),
(28329, '4itcA00', NULL, NULL, 173, NULL, NULL, 17005),
(28330, '4atfA00', NULL, NULL, 308, NULL, NULL, 17005),
(28331, '3o5sA00', NULL, NULL, 213, NULL, NULL, 17005),
(28332, '3b9cA00', NULL, NULL, 144, NULL, NULL, 17005),
(28333, '2wkkA00', NULL, NULL, 150, NULL, NULL, 17005),
(28334, '1is3A00', NULL, NULL, 135, NULL, NULL, 17005),
(28335, '1lenA00', NULL, NULL, 181, NULL, NULL, 17005),
(28336, '3d6eB00', NULL, NULL, 201, NULL, NULL, 17005),
(28337, '5kxcA00', NULL, NULL, 243, NULL, NULL, 17005),
(28338, '3azvA01', NULL, NULL, 246, NULL, NULL, 17005),
(28339, '1s0iA02', NULL, NULL, 237, NULL, NULL, 17005),
(28340, '3vv1A00', NULL, NULL, 141, NULL, NULL, 17005),
(28341, '4xdqA00', NULL, NULL, 237, NULL, NULL, 17005),
(28342, '3zxkA02', NULL, NULL, 216, NULL, NULL, 17005),
(28343, '6fofA00', NULL, NULL, 154, NULL, NULL, 17005),
(28344, '1nlsA00', NULL, NULL, 237, NULL, NULL, 17005),
(28345, '3ujoC00', NULL, NULL, 258, NULL, NULL, 17005),
(28346, '1kqrA00', NULL, NULL, 160, NULL, NULL, 17005),
(28347, '4ozxA00', NULL, NULL, 285, NULL, NULL, 17005),
(28348, '5ik4A02', NULL, NULL, 175, NULL, NULL, 17005),
(28349, '3o12A00', NULL, NULL, 194, NULL, NULL, 17005);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(28350, '5jdbA01', NULL, NULL, 159, NULL, NULL, 17005),
(28351, '5ik4A01', NULL, NULL, 218, NULL, NULL, 17005),
(28352, '5tg3A00', NULL, NULL, 237, NULL, NULL, 17005),
(28353, '3wvjA00', NULL, NULL, 220, NULL, NULL, 17005),
(28354, '3v0aB03', NULL, NULL, 205, NULL, NULL, 17005),
(28355, '5dxdA00', NULL, NULL, 233, NULL, NULL, 17005),
(28356, '4be3A00', NULL, NULL, 314, NULL, NULL, 17005),
(28357, '1fnyA00', NULL, NULL, 237, NULL, NULL, 17005),
(28358, '3ilnA00', NULL, NULL, 251, NULL, NULL, 17005),
(28359, '2zzjA00', NULL, NULL, 238, NULL, NULL, 17005),
(28360, '4hanA02', NULL, NULL, 138, NULL, NULL, 17005),
(28361, '2jd4A02', NULL, NULL, 176, NULL, NULL, 17005),
(28362, '2jd4A01', NULL, NULL, 207, NULL, NULL, 17005),
(28363, '3gneB00', NULL, NULL, 252, NULL, NULL, 17005),
(28364, '1f9kA00', NULL, NULL, 238, NULL, NULL, 17005),
(28365, '1h9wB00', NULL, NULL, 237, NULL, NULL, 17005),
(28366, '1fatD00', NULL, NULL, 233, NULL, NULL, 17005),
(28367, '1c1lA00', NULL, NULL, 137, NULL, NULL, 17005),
(28368, '2je7A00', NULL, NULL, 239, NULL, NULL, 17005),
(28369, '3flpA00', NULL, NULL, 217, NULL, NULL, 17005),
(28370, '4y1uA00', NULL, NULL, 133, NULL, NULL, 17005),
(28371, '3wudA00', NULL, NULL, 136, NULL, NULL, 17005),
(28372, '5jp5D00', NULL, NULL, 145, NULL, NULL, 17005),
(28373, '3ikwA01', NULL, NULL, 304, NULL, NULL, 17005),
(28374, '5zqiA00', NULL, NULL, 223, NULL, NULL, 17005),
(28375, '3mw4A00', NULL, NULL, 178, NULL, NULL, 17005),
(28376, '4avsA00', NULL, NULL, 204, NULL, NULL, 17005),
(28377, '3qcwA02', NULL, NULL, 195, NULL, NULL, 17005),
(28378, '5nldB00', NULL, NULL, 139, NULL, NULL, 17005),
(28379, '4no4A00', NULL, NULL, 134, NULL, NULL, 17005),
(28380, '1cpnA00', NULL, NULL, 208, NULL, NULL, 17005),
(28381, '5hcaB01', NULL, NULL, 243, NULL, NULL, 17005),
(28382, '2r16A00', NULL, NULL, 182, NULL, NULL, 17005),
(28383, '5it6A00', NULL, NULL, 134, NULL, NULL, 17005),
(28384, '2erfA00', NULL, NULL, 209, NULL, NULL, 17005),
(28385, '2cwsA00', NULL, NULL, 237, NULL, NULL, 17005),
(28386, '1a78A00', NULL, NULL, 134, NULL, NULL, 17005),
(28387, '3v64A00', NULL, NULL, 191, NULL, NULL, 17005),
(28388, '2bqpA00', NULL, NULL, 234, NULL, NULL, 17005),
(28389, '1oq1B00', NULL, NULL, 223, NULL, NULL, 17005),
(28390, '4q8kA00', NULL, NULL, 233, NULL, NULL, 17005),
(28391, '1dbnA00', NULL, NULL, 239, NULL, NULL, 17005),
(28392, '3ajzA00', NULL, NULL, 135, NULL, NULL, 17005),
(28393, '5ca6B00', NULL, NULL, 161, NULL, NULL, 17005),
(28394, '4m00A01', NULL, NULL, 238, NULL, NULL, 17005),
(28395, '4xxpA00', NULL, NULL, 229, NULL, NULL, 17005),
(28396, '6f0pA01', NULL, NULL, 236, NULL, NULL, 17005),
(28397, '5cb7A00', NULL, NULL, 161, NULL, NULL, 17005),
(28398, '4bpzA00', NULL, NULL, 256, NULL, NULL, 17005),
(28399, '3zypA00', NULL, NULL, 218, NULL, NULL, 17005),
(28400, '5gm0A01', NULL, NULL, 154, NULL, NULL, 17005),
(28401, '5gm0A02', NULL, NULL, 130, NULL, NULL, 17005),
(28402, '2hykA00', NULL, NULL, 245, NULL, NULL, 17005),
(28403, '4lbqC00', NULL, NULL, 135, NULL, NULL, 17005),
(28404, '4ateA00', NULL, NULL, 266, NULL, NULL, 17005),
(28405, '5jowA02', NULL, NULL, 204, NULL, NULL, 17005),
(28406, '4zktB03', NULL, NULL, 205, NULL, NULL, 17005),
(28407, '3vuoA03', NULL, NULL, 205, NULL, NULL, 17005),
(28408, '3bodA00', NULL, NULL, 178, NULL, NULL, 17005),
(28409, '2cnaA00', NULL, NULL, 237, NULL, NULL, 17005),
(28410, '3h0oA00', NULL, NULL, 240, NULL, NULL, 17005),
(28411, '4myeA00', NULL, NULL, 237, NULL, NULL, 17005),
(28412, '3nv1A00', NULL, NULL, 138, NULL, NULL, 17005),
(28413, '3pmeA01', NULL, NULL, 225, NULL, NULL, 17005),
(28414, '1avbA00', NULL, NULL, 226, NULL, NULL, 17005),
(28415, '1uaiA00', NULL, NULL, 224, NULL, NULL, 17005),
(28416, '4yz1B01', NULL, NULL, 191, NULL, NULL, 17005),
(28417, '1dhkB00', NULL, NULL, 204, NULL, NULL, 17005),
(28418, '4u36A00', NULL, NULL, 240, NULL, NULL, 17005),
(28419, '3powA01', NULL, NULL, 248, NULL, NULL, 17005),
(28420, '4m3cB00', NULL, NULL, 239, NULL, NULL, 17005),
(28421, '1g7yB00', NULL, NULL, 253, NULL, NULL, 17005),
(28422, '5dg2B00', NULL, NULL, 135, NULL, NULL, 17005);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(28423, '4cciA00', NULL, NULL, 256, NULL, NULL, 17005),
(28424, '1a8dA01', NULL, NULL, 246, NULL, NULL, 17005),
(28425, '4gwmA02', NULL, NULL, 170, NULL, NULL, 17005),
(28426, '3wucB00', NULL, NULL, 137, NULL, NULL, 17005),
(28427, '3n7lA01', NULL, NULL, 235, NULL, NULL, 17005),
(28428, '3duiA00', NULL, NULL, 135, NULL, NULL, 17005),
(28429, '3pveA00', NULL, NULL, 189, NULL, NULL, 17005),
(28430, '4pq9A00', NULL, NULL, 233, NULL, NULL, 17005),
(28431, '1ajoA00', NULL, NULL, 214, NULL, NULL, 17005),
(28432, '1o4yA00', NULL, NULL, 288, NULL, NULL, 17005),
(28433, '2r1bA00', NULL, NULL, 220, NULL, NULL, 17005),
(28434, '1qmjA00', NULL, NULL, 132, NULL, NULL, 17005),
(28435, '3m1hD00', NULL, NULL, 178, NULL, NULL, 17005),
(28436, '3ajyA00', NULL, NULL, 135, NULL, NULL, 17005),
(28437, '2dycA00', NULL, NULL, 158, NULL, NULL, 17005),
(28438, '3asiA01', NULL, NULL, 182, NULL, NULL, 17005),
(28439, '1sbfA00', NULL, NULL, 234, NULL, NULL, 17005),
(28440, '3wcsA00', NULL, NULL, 238, NULL, NULL, 17005),
(28441, '1hqlA00', NULL, NULL, 239, NULL, NULL, 17005),
(28442, '5z5dA02', NULL, NULL, 199, NULL, NULL, 17005),
(28443, '1p4qA00', NULL, NULL, 52, NULL, NULL, 17006),
(28444, '1r8uA00', NULL, NULL, 50, NULL, NULL, 17006),
(28445, '4tzcD00', NULL, NULL, 108, NULL, NULL, 17007),
(28446, '5fqdB01', NULL, NULL, 138, NULL, NULL, 17007),
(28447, '3cxkA00', NULL, NULL, 134, NULL, NULL, 17007),
(28448, '2kv1A01', NULL, NULL, 86, NULL, NULL, 17007),
(28449, '2k8dA00', NULL, NULL, 151, NULL, NULL, 17007),
(28450, '1l1dA00', NULL, NULL, 152, NULL, NULL, 17007),
(28451, '3hcgB00', NULL, NULL, 146, NULL, NULL, 17007),
(28452, '3maoA00', NULL, NULL, 105, NULL, NULL, 17007),
(28453, '4ci2B01', NULL, NULL, 122, NULL, NULL, 17007),
(28454, '5amhA00', NULL, NULL, 107, NULL, NULL, 17007),
(28455, '3e0mA02', NULL, NULL, 149, NULL, NULL, 17007),
(28456, '1vzrA01', NULL, NULL, 109, NULL, NULL, 17007),
(28457, '3hcjA01', NULL, NULL, 145, NULL, NULL, 17007),
(28458, '3e0oC00', NULL, NULL, 144, NULL, NULL, 17007),
(28459, '6a8uA00', NULL, NULL, 149, NULL, NULL, 17008),
(28460, '3bqaA00', NULL, NULL, 148, NULL, NULL, 17008),
(28461, '4ueyA00', NULL, NULL, 153, NULL, NULL, 17008),
(28462, '4ws9A01', NULL, NULL, 154, NULL, NULL, 17009),
(28463, '4l4qB01', NULL, NULL, 149, NULL, NULL, 17009),
(28464, '4l7iA01', NULL, NULL, 148, NULL, NULL, 17009),
(28465, '3g8qA02', NULL, NULL, 80, NULL, NULL, 17010),
(28466, '3r84J00', NULL, NULL, 92, NULL, NULL, 17011),
(28467, '5cqgA05', NULL, NULL, 189, NULL, NULL, 17012),
(28468, '4l1iA00', NULL, NULL, 230, NULL, NULL, 17013),
(28469, '2dueA00', NULL, NULL, 236, NULL, NULL, 17013),
(28470, '2vvhA00', NULL, NULL, 226, NULL, NULL, 17013),
(28471, '4en1B00', NULL, NULL, 226, NULL, NULL, 17013),
(28472, '3nedA00', NULL, NULL, 242, NULL, NULL, 17013),
(28473, '5drfA00', NULL, NULL, 248, NULL, NULL, 17013),
(28474, '4he4A00', NULL, NULL, 244, NULL, NULL, 17013),
(28475, '2h5pA00', NULL, NULL, 234, NULL, NULL, 17013),
(28476, '5wj3A00', NULL, NULL, 239, NULL, NULL, 17013),
(28477, '5j3nB00', NULL, NULL, 236, NULL, NULL, 17013),
(28478, '5yr2A00', NULL, NULL, 247, NULL, NULL, 17013),
(28479, '5eb6A00', NULL, NULL, 229, NULL, NULL, 17013),
(28480, '1xmzA00', NULL, NULL, 241, NULL, NULL, 17013),
(28481, '2vadA00', NULL, NULL, 223, NULL, NULL, 17013),
(28482, '3gb3A00', NULL, NULL, 235, NULL, NULL, 17013),
(28483, '4ohsA00', NULL, NULL, 237, NULL, NULL, 17013),
(28484, '3e5tA00', NULL, NULL, 242, NULL, NULL, 17013),
(28485, '1rrxA00', NULL, NULL, 226, NULL, NULL, 17013),
(28486, '2zo6A00', NULL, NULL, 221, NULL, NULL, 17013),
(28487, '3st0A00', NULL, NULL, 227, NULL, NULL, 17013),
(28488, '2v4eB00', NULL, NULL, 218, NULL, NULL, 17013),
(28489, '5lk4A00', NULL, NULL, 217, NULL, NULL, 17013),
(28490, '2hpwA00', NULL, NULL, 233, NULL, NULL, 17013),
(28491, '3akoA00', NULL, NULL, 153, NULL, NULL, 17013),
(28492, '1h4uA00', NULL, NULL, 265, NULL, NULL, 17013),
(28493, '4lqtA00', NULL, NULL, 246, NULL, NULL, 17013),
(28494, '5ltqF00', NULL, NULL, 222, NULL, NULL, 17013),
(28495, '2rh7B00', NULL, NULL, 239, NULL, NULL, 17013);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(28496, '5y00A00', NULL, NULL, 230, NULL, NULL, 17013),
(28497, '2a46A00', NULL, NULL, 238, NULL, NULL, 17013),
(28498, '3cglC00', NULL, NULL, 225, NULL, NULL, 17013),
(28499, '2a50B00', NULL, NULL, 168, NULL, NULL, 17013),
(28500, '3svsA00', NULL, NULL, 233, NULL, NULL, 17013),
(28501, '5b61A00', NULL, NULL, 238, NULL, NULL, 17013),
(28502, '4kf4A00', NULL, NULL, 223, NULL, NULL, 17013),
(28503, '4jc2A00', NULL, NULL, 222, NULL, NULL, 17013),
(28504, '3ir8B00', NULL, NULL, 221, NULL, NULL, 17013),
(28505, '3cfaA00', NULL, NULL, 167, NULL, NULL, 17013),
(28506, '1zgoA00', NULL, NULL, 223, NULL, NULL, 17013),
(28507, '6b7tA00', NULL, NULL, 246, NULL, NULL, 17013),
(28508, '2q6pA00', NULL, NULL, 236, NULL, NULL, 17013),
(28509, '4q7uA00', NULL, NULL, 223, NULL, NULL, 17013),
(28510, '4ppkC00', NULL, NULL, 220, NULL, NULL, 17013),
(28511, '3h1oA00', NULL, NULL, 231, NULL, NULL, 17013),
(28512, '2qu1A00', NULL, NULL, 239, NULL, NULL, 17013),
(28513, '2ib5A00', NULL, NULL, 233, NULL, NULL, 17013),
(28514, '3evpA00', NULL, NULL, 243, NULL, NULL, 17013),
(28515, '2oteA00', NULL, NULL, 214, NULL, NULL, 17013),
(28516, '2g6yB00', NULL, NULL, 217, NULL, NULL, 17013),
(28517, '4gf6B00', NULL, NULL, 246, NULL, NULL, 17013),
(28518, '3cd1A00', NULL, NULL, 248, NULL, NULL, 17013),
(28519, '4w6tA00', NULL, NULL, 229, NULL, NULL, 17013),
(28520, '6gp0A00', NULL, NULL, 229, NULL, NULL, 17013),
(28521, '4zf5B00', NULL, NULL, 252, NULL, NULL, 17013),
(28522, '3adfA00', NULL, NULL, 226, NULL, NULL, 17013),
(28523, '3ip2A00', NULL, NULL, 242, NULL, NULL, 17013),
(28524, '3o77A02', NULL, NULL, 248, NULL, NULL, 17013),
(28525, '2wurA00', NULL, NULL, 236, NULL, NULL, 17013),
(28526, '4oj0A00', NULL, NULL, 244, NULL, NULL, 17013),
(28527, '6mdra00', NULL, NULL, 247, NULL, NULL, 17013),
(28528, '5yr3A00', NULL, NULL, 225, NULL, NULL, 17013),
(28529, '2vaeA00', NULL, NULL, 223, NULL, NULL, 17013),
(28530, '4oy4A02', NULL, NULL, 231, NULL, NULL, 17013),
(28531, '4rysA00', NULL, NULL, 241, NULL, NULL, 17013),
(28532, '6jgjA00', NULL, NULL, 228, NULL, NULL, 17013),
(28533, '6jc6A00', NULL, NULL, 228, NULL, NULL, 17013),
(28534, '3lf3A00', NULL, NULL, 229, NULL, NULL, 17013),
(28535, '6gp1B00', NULL, NULL, 163, NULL, NULL, 17013),
(28536, '6aa7B00', NULL, NULL, 233, NULL, NULL, 17013),
(28537, '3ai5A01', NULL, NULL, 231, NULL, NULL, 17013),
(28538, '2zo7A00', NULL, NULL, 222, NULL, NULL, 17013),
(28539, '2zmuA00', NULL, NULL, 223, NULL, NULL, 17013),
(28540, '3la1A00', NULL, NULL, 237, NULL, NULL, 17013),
(28541, '4as8A00', NULL, NULL, 243, NULL, NULL, 17013),
(28542, '3rwaA00', NULL, NULL, 233, NULL, NULL, 17013),
(28543, '2ogrA00', NULL, NULL, 229, NULL, NULL, 17013),
(28544, '2c9iB00', NULL, NULL, 226, NULL, NULL, 17013),
(28545, '4lw5D00', NULL, NULL, 239, NULL, NULL, 17013),
(28546, '6b7rA00', NULL, NULL, 236, NULL, NULL, 17013),
(28547, '4z4mA00', NULL, NULL, 260, NULL, NULL, 17013),
(28548, '2awkA00', NULL, NULL, 228, NULL, NULL, 17013),
(28549, '6dejD00', NULL, NULL, 235, NULL, NULL, 17013),
(28550, '3lf4B00', NULL, NULL, 164, NULL, NULL, 17013),
(28551, '4kpiA00', NULL, NULL, 243, NULL, NULL, 17013),
(28552, '4j8aA00', NULL, NULL, 229, NULL, NULL, 17013),
(28553, '3p28A00', NULL, NULL, 239, NULL, NULL, 17013),
(28554, '2ie2E00', NULL, NULL, 222, NULL, NULL, 17013),
(28555, '3nt3A00', NULL, NULL, 243, NULL, NULL, 17013),
(28556, '2dd7A00', NULL, NULL, 216, NULL, NULL, 17013),
(28557, '2ojkA00', NULL, NULL, 229, NULL, NULL, 17013),
(28558, '4i2yB01', NULL, NULL, 271, NULL, NULL, 17013),
(28559, '4jgeB00', NULL, NULL, 226, NULL, NULL, 17013),
(28560, '4dknB00', NULL, NULL, 221, NULL, NULL, 17013),
(28561, '4q9wA00', NULL, NULL, 218, NULL, NULL, 17013),
(28562, '3u0lA00', NULL, NULL, 230, NULL, NULL, 17013),
(28563, '2c9jD00', NULL, NULL, 223, NULL, NULL, 17013),
(28564, '6mdrb00', NULL, NULL, 240, NULL, NULL, 17013),
(28565, '5mseA00', NULL, NULL, 238, NULL, NULL, 17013),
(28566, '2ddcA00', NULL, NULL, 225, NULL, NULL, 17013),
(28567, '3pibC00', NULL, NULL, 236, NULL, NULL, 17013),
(28568, '2h5oA00', NULL, NULL, 234, NULL, NULL, 17013);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(28569, '2vzxA00', NULL, NULL, 229, NULL, NULL, 17013),
(28570, '3dq7A00', NULL, NULL, 241, NULL, NULL, 17013),
(28571, '3ls3D00', NULL, NULL, 235, NULL, NULL, 17013),
(28572, '5ltrA00', NULL, NULL, 226, NULL, NULL, 17013),
(28573, '5f9gA00', NULL, NULL, 257, NULL, NULL, 17013),
(28574, '4kw9A00', NULL, NULL, 239, NULL, NULL, 17013),
(28575, '5exbA00', NULL, NULL, 232, NULL, NULL, 17013),
(28576, '4dxmB00', NULL, NULL, 229, NULL, NULL, 17013),
(28577, '4ornA00', NULL, NULL, 239, NULL, NULL, 17013),
(28578, '2gw3A00', NULL, NULL, 225, NULL, NULL, 17013),
(28579, '2p4mA00', NULL, NULL, 219, NULL, NULL, 17013),
(28580, '4dkmA00', NULL, NULL, 214, NULL, NULL, 17013),
(28581, '2gw4B00', NULL, NULL, 162, NULL, NULL, 17013),
(28582, '3st3C00', NULL, NULL, 234, NULL, NULL, 17013),
(28583, '4edsA00', NULL, NULL, 241, NULL, NULL, 17013),
(28584, '5bqlD00', NULL, NULL, 242, NULL, NULL, 17013),
(28585, '2icrA00', NULL, NULL, 237, NULL, NULL, 17013),
(28586, '3u0kA02', NULL, NULL, 233, NULL, NULL, 17013),
(28587, '3m24D00', NULL, NULL, 232, NULL, NULL, 17013),
(28588, '4zb1A00', NULL, NULL, 227, NULL, NULL, 17013),
(28589, '5excJ00', NULL, NULL, 170, NULL, NULL, 17013),
(28590, '3kcsA00', NULL, NULL, 234, NULL, NULL, 17013),
(28591, '4xgyA00', NULL, NULL, 248, NULL, NULL, 17013),
(28592, '1kp5A00', NULL, NULL, 246, NULL, NULL, 17013),
(28593, '2qliB00', NULL, NULL, 224, NULL, NULL, 17013),
(28594, '4gobB00', NULL, NULL, 228, NULL, NULL, 17013),
(28595, '3rwtA00', NULL, NULL, 235, NULL, NULL, 17013),
(28596, '3lvcA00', NULL, NULL, 236, NULL, NULL, 17013),
(28597, '6ciuA00', NULL, NULL, 236, NULL, NULL, 17013),
(28598, '4hvfA00', NULL, NULL, 226, NULL, NULL, 17013),
(28599, '4kgeB00', NULL, NULL, 243, NULL, NULL, 17013),
(28600, '4zblA00', NULL, NULL, 240, NULL, NULL, 17013),
(28601, '2g2sB00', NULL, NULL, 173, NULL, NULL, 17013),
(28602, '1vx7302', NULL, NULL, 48, NULL, NULL, 17014),
(28603, '4a17U02', NULL, NULL, 46, NULL, NULL, 17014),
(28604, '1vwxh02', NULL, NULL, 46, NULL, NULL, 17014),
(28605, '6em3h02', NULL, NULL, 46, NULL, NULL, 17014),
(28606, '4atgA00', NULL, NULL, 196, NULL, NULL, 17015),
(28607, '2ls0101', NULL, NULL, 114, NULL, NULL, 17016),
(28608, '1o22A00', NULL, NULL, 153, NULL, NULL, 17017),
(28609, '1qx8A00', NULL, NULL, 58, NULL, NULL, 17018),
(28610, '2lllA00', NULL, NULL, 121, NULL, NULL, 17019),
(28611, '6ghdF00', NULL, NULL, 119, NULL, NULL, 17019),
(28612, '3gefA00', NULL, NULL, 118, NULL, NULL, 17019),
(28613, '3jt0B00', NULL, NULL, 121, NULL, NULL, 17019),
(28614, '1ufgA00', NULL, NULL, 151, NULL, NULL, 17019),
(28615, '3umnA00', NULL, NULL, 123, NULL, NULL, 17019),
(28616, '2kpwA00', NULL, NULL, 122, NULL, NULL, 17019),
(28617, '1x22A00', NULL, NULL, 42, NULL, NULL, 17020),
(28618, '1kv4A00', NULL, NULL, 42, NULL, NULL, 17020),
(28619, '2jr8A00', NULL, NULL, 42, NULL, NULL, 17020),
(28620, '3ecqA01', NULL, NULL, 183, NULL, NULL, 17021),
(28621, '2d56A00', NULL, NULL, 53, NULL, NULL, 17022),
(28622, '1uglA00', NULL, NULL, 50, NULL, NULL, 17023),
(28623, '5hmiA00', NULL, NULL, 104, NULL, NULL, 17024),
(28624, '1v31A00', NULL, NULL, 93, NULL, NULL, 17024),
(28625, '1v32A00', NULL, NULL, 101, NULL, NULL, 17024),
(28626, '2ruhA00', NULL, NULL, 131, NULL, NULL, 17024),
(28627, '5z02A00', NULL, NULL, 89, NULL, NULL, 17024),
(28628, '4n5tA00', NULL, NULL, 90, NULL, NULL, 17024),
(28629, '3tu1A00', NULL, NULL, 108, NULL, NULL, 17024),
(28630, '2mpsA00', NULL, NULL, 107, NULL, NULL, 17024),
(28631, '1uhrA00', NULL, NULL, 93, NULL, NULL, 17024),
(28632, '5c5aA00', NULL, NULL, 92, NULL, NULL, 17024),
(28633, '6q9yB00', NULL, NULL, 100, NULL, NULL, 17024),
(28634, '1ycqA00', NULL, NULL, 107, NULL, NULL, 17024),
(28635, '4lwuA00', NULL, NULL, 85, NULL, NULL, 17024),
(28636, '5trfA00', NULL, NULL, 109, NULL, NULL, 17024),
(28637, '4hg7A00', NULL, NULL, 97, NULL, NULL, 17024),
(28638, '4v19600', NULL, NULL, 65, NULL, NULL, 17025),
(28639, '1vvm600', NULL, NULL, 54, NULL, NULL, 17025),
(28640, '1vw4X00', NULL, NULL, 70, NULL, NULL, 17025),
(28641, '5x8t200', NULL, NULL, 65, NULL, NULL, 17025);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(28642, '5o60c00', NULL, NULL, 55, NULL, NULL, 17025),
(28643, '5xym100', NULL, NULL, 54, NULL, NULL, 17025),
(28644, '5dm6100', NULL, NULL, 54, NULL, NULL, 17025),
(28645, '6qulc00', NULL, NULL, 55, NULL, NULL, 17025),
(28646, '5v7q100', NULL, NULL, 55, NULL, NULL, 17025),
(28647, '6ddgO00', NULL, NULL, 49, NULL, NULL, 17025),
(28648, '3pio100', NULL, NULL, 55, NULL, NULL, 17025),
(28649, '5oom100', NULL, NULL, 65, NULL, NULL, 17025),
(28650, '6hma100', NULL, NULL, 47, NULL, NULL, 17025),
(28651, '1yr1A00', NULL, NULL, 119, NULL, NULL, 17026),
(28652, '3q23A04', NULL, NULL, 91, NULL, NULL, 17027),
(28653, '1n93X01', NULL, NULL, 208, NULL, NULL, 17028),
(28654, '2x98A02', NULL, NULL, 73, NULL, NULL, 17029),
(28655, '3a52A02', NULL, NULL, 85, NULL, NULL, 17029),
(28656, '4bi3A01', NULL, NULL, 91, NULL, NULL, 17030),
(28657, '6ijfC01', NULL, NULL, 94, NULL, NULL, 17030),
(28658, '4ltyA02', NULL, NULL, 64, NULL, NULL, 17031),
(28659, '4jmdA00', NULL, NULL, 269, NULL, NULL, 17032),
(28660, '3bh2A01', NULL, NULL, 232, NULL, NULL, 17032),
(28661, '3bh3D01', NULL, NULL, 233, NULL, NULL, 17032),
(28662, '3cmbA00', NULL, NULL, 283, NULL, NULL, 17032),
(28663, '3c8wA01', NULL, NULL, 232, NULL, NULL, 17032),
(28664, '4zboC00', NULL, NULL, 265, NULL, NULL, 17032),
(28665, '3bb7A02', NULL, NULL, 108, NULL, NULL, 17033),
(28666, '1dkiA02', NULL, NULL, 145, NULL, NULL, 17033),
(28667, '3tw6D02', NULL, NULL, 76, NULL, NULL, 17034),
(28668, '4qslC02', NULL, NULL, 72, NULL, NULL, 17034),
(28669, '4qslA04', NULL, NULL, 102, NULL, NULL, 17034),
(28670, '3tw6A03', NULL, NULL, 103, NULL, NULL, 17034),
(28671, '3bg3B01', NULL, NULL, 100, NULL, NULL, 17034),
(28672, '4hntA04', NULL, NULL, 101, NULL, NULL, 17034),
(28673, '2qf7A03', NULL, NULL, 90, NULL, NULL, 17034),
(28674, '4hnvB02', NULL, NULL, 90, NULL, NULL, 17034),
(28675, '3hb9D03', NULL, NULL, 78, NULL, NULL, 17034),
(28676, '4locA01', NULL, NULL, 95, NULL, NULL, 17034),
(28677, '2zouB00', NULL, NULL, 149, NULL, NULL, 17035),
(28678, '1y13A00', NULL, NULL, 163, NULL, NULL, 17036),
(28679, '3lx3A00', NULL, NULL, 163, NULL, NULL, 17036),
(28680, '2g64A00', NULL, NULL, 140, NULL, NULL, 17036),
(28681, '3jygA00', NULL, NULL, 188, NULL, NULL, 17036),
(28682, '2obaB00', NULL, NULL, 121, NULL, NULL, 17036),
(28683, '3d7jA00', NULL, NULL, 152, NULL, NULL, 17036),
(28684, '3i2bG00', NULL, NULL, 141, NULL, NULL, 17036),
(28685, '4ntkA00', NULL, NULL, 121, NULL, NULL, 17036),
(28686, '1b66A00', NULL, NULL, 140, NULL, NULL, 17036),
(28687, '2dj6B00', NULL, NULL, 115, NULL, NULL, 17036),
(28688, '3pjvD01', NULL, NULL, 79, NULL, NULL, 17037),
(28689, '2pt7G02', NULL, NULL, 72, NULL, NULL, 17038),
(28690, '5x6nA02', NULL, NULL, 124, NULL, NULL, 17039),
(28691, '2y8dA02', NULL, NULL, 131, NULL, NULL, 17039),
(28692, '4nuuA02', NULL, NULL, 124, NULL, NULL, 17039),
(28693, '3c64A00', NULL, NULL, 179, NULL, NULL, 17039),
(28694, '2wauA02', NULL, NULL, 129, NULL, NULL, 17039),
(28695, '1vz0A01', NULL, NULL, 63, NULL, NULL, 17040),
(28696, '3ho1A03', NULL, NULL, 89, NULL, NULL, 17041),
(28697, '2b9wA03', NULL, NULL, 95, NULL, NULL, 17042),
(28698, '3mw8A01', NULL, NULL, 118, NULL, NULL, 17043),
(28699, '4es6A02', NULL, NULL, 135, NULL, NULL, 17043),
(28700, '1wcwA01', NULL, NULL, 132, NULL, NULL, 17043),
(28701, '4es6A01', NULL, NULL, 119, NULL, NULL, 17043),
(28702, '1wcwA02', NULL, NULL, 119, NULL, NULL, 17043),
(28703, '3mw8A02', NULL, NULL, 122, NULL, NULL, 17043),
(28704, '3re1A02', NULL, NULL, 135, NULL, NULL, 17043),
(28705, '1jr2A01', NULL, NULL, 125, NULL, NULL, 17043),
(28706, '1jr2A02', NULL, NULL, 140, NULL, NULL, 17043),
(28707, '3re1A01', NULL, NULL, 134, NULL, NULL, 17043),
(28708, '3d8tB01', NULL, NULL, 125, NULL, NULL, 17043),
(28709, '3p9zA01', NULL, NULL, 106, NULL, NULL, 17043),
(28710, '3p9zA02', NULL, NULL, 113, NULL, NULL, 17043),
(28711, '3r1kA03', NULL, NULL, 96, NULL, NULL, 17044),
(28712, '3sxnA03', NULL, NULL, 98, NULL, NULL, 17044),
(28713, '3bn8B00', NULL, NULL, 128, NULL, NULL, 17044),
(28714, '3bn8A00', NULL, NULL, 128, NULL, NULL, 17044),
(28715, '2cx7A00', NULL, NULL, 130, NULL, NULL, 17044);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(28716, '4pdxA03', NULL, NULL, 138, NULL, NULL, 17044),
(28717, '2qztA00', NULL, NULL, 111, NULL, NULL, 17044),
(28718, '4my0A03', NULL, NULL, 100, NULL, NULL, 17044),
(28719, '2i00A03', NULL, NULL, 95, NULL, NULL, 17044),
(28720, '2ozgA03', NULL, NULL, 94, NULL, NULL, 17044),
(28721, '4jgxA00', NULL, NULL, 129, NULL, NULL, 17044),
(28722, '4axhA03', NULL, NULL, 136, NULL, NULL, 17044),
(28723, '4nurA03', NULL, NULL, 131, NULL, NULL, 17044),
(28724, '2hv2C02', NULL, NULL, 123, NULL, NULL, 17044),
(28725, '3n7zB03', NULL, NULL, 95, NULL, NULL, 17044),
(28726, '4ueiA00', NULL, NULL, 127, NULL, NULL, 17044),
(28727, '1pz4A00', NULL, NULL, 116, NULL, NULL, 17044),
(28728, '1iktA00', NULL, NULL, 120, NULL, NULL, 17044),
(28729, '1c44A00', NULL, NULL, 123, NULL, NULL, 17044),
(28730, '3bkrA00', NULL, NULL, 126, NULL, NULL, 17044),
(28731, '3cnuA00', NULL, NULL, 116, NULL, NULL, 17044),
(28732, '2nbmA00', NULL, NULL, 111, NULL, NULL, 17044),
(28733, '2cfuA03', NULL, NULL, 138, NULL, NULL, 17044),
(28734, '3abqB01', NULL, NULL, 26, NULL, NULL, 17045),
(28735, '3d1lA02', NULL, NULL, 99, NULL, NULL, 17046),
(28736, '2i76B02', NULL, NULL, 101, NULL, NULL, 17046),
(28737, '4hlbA00', NULL, NULL, 95, NULL, NULL, 17047),
(28738, '5dm6001', NULL, NULL, 121, NULL, NULL, 17048),
(28739, '4dfcB00', NULL, NULL, 126, NULL, NULL, 17048),
(28740, '4wweA01', NULL, NULL, 117, NULL, NULL, 17048),
(28741, '3zqjA03', NULL, NULL, 118, NULL, NULL, 17048),
(28742, '4wwtA01', NULL, NULL, 117, NULL, NULL, 17048),
(28743, '4reoA01', NULL, NULL, 121, NULL, NULL, 17048),
(28744, '4lq4A01', NULL, NULL, 120, NULL, NULL, 17048),
(28745, '1dwuA01', NULL, NULL, 121, NULL, NULL, 17048),
(28746, '3fpnA00', NULL, NULL, 119, NULL, NULL, 17048),
(28747, '1mzpA01', NULL, NULL, 126, NULL, NULL, 17048),
(28748, '3o58A01', NULL, NULL, 120, NULL, NULL, 17048),
(28749, '3qoyA01', NULL, NULL, 134, NULL, NULL, 17048),
(28750, '2zxrA04', NULL, NULL, 131, NULL, NULL, 17049),
(28751, '1td6A01', NULL, NULL, 102, NULL, NULL, 17050),
(28752, '2y3mA02', NULL, NULL, 61, NULL, NULL, 17051),
(28753, '2jl6101', NULL, NULL, 45, NULL, NULL, 17052),
(28754, '2ds5A00', NULL, NULL, 51, NULL, NULL, 17053),
(28755, '4dq9B00', NULL, NULL, 170, NULL, NULL, 17054),
(28756, '2qv8B00', NULL, NULL, 128, NULL, NULL, 17054),
(28757, '2knqA01', NULL, NULL, 132, NULL, NULL, 17054),
(28758, '4ipuB00', NULL, NULL, 137, NULL, NULL, 17054),
(28759, '6gzlA00', NULL, NULL, 90, NULL, NULL, 17055),
(28760, '2xqqC00', NULL, NULL, 89, NULL, NULL, 17055),
(28761, '4ds1A00', NULL, NULL, 97, NULL, NULL, 17055),
(28762, '3rjsA00', NULL, NULL, 89, NULL, NULL, 17055),
(28763, '5wofB00', NULL, NULL, 85, NULL, NULL, 17055),
(28764, '5e0lA00', NULL, NULL, 89, NULL, NULL, 17055),
(28765, '4ebbA02', NULL, NULL, 149, NULL, NULL, 17056),
(28766, '3n2zB02', NULL, NULL, 149, NULL, NULL, 17056),
(28767, '3g0tB01', NULL, NULL, 160, NULL, NULL, 17057),
(28768, '3g0tA01', NULL, NULL, 160, NULL, NULL, 17057),
(28769, '5v3nA00', NULL, NULL, 113, NULL, NULL, 17058),
(28770, '6mjcA00', NULL, NULL, 116, NULL, NULL, 17058),
(28771, '5ktbA02', NULL, NULL, 108, NULL, NULL, 17058),
(28772, '4hpmA00', NULL, NULL, 122, NULL, NULL, 17059),
(28773, '4hplA00', NULL, NULL, 119, NULL, NULL, 17059),
(28774, '2q1fA02', NULL, NULL, 413, NULL, NULL, 17060),
(28775, '1hn0A02', NULL, NULL, 384, NULL, NULL, 17060),
(28776, '3vsmA01', NULL, NULL, 347, NULL, NULL, 17060),
(28777, '1rwhA01', NULL, NULL, 372, NULL, NULL, 17060),
(28778, '1f1sA02', NULL, NULL, 374, NULL, NULL, 17060),
(28779, '3a0oA02', NULL, NULL, 365, NULL, NULL, 17060),
(28780, '1n7oA02', NULL, NULL, 372, NULL, NULL, 17060),
(28781, '5jmfA01', NULL, NULL, 384, NULL, NULL, 17060),
(28782, '3e7jA01', NULL, NULL, 333, NULL, NULL, 17060),
(28783, '4ok4A01', NULL, NULL, 341, NULL, NULL, 17060),
(28784, '4ozwA00', NULL, NULL, 335, NULL, NULL, 17060),
(28785, '1x1iA01', NULL, NULL, 361, NULL, NULL, 17060),
(28786, '1cb8A01', NULL, NULL, 312, NULL, NULL, 17060),
(28787, '4mmhA01', NULL, NULL, 364, NULL, NULL, 17060),
(28788, '1qazA00', NULL, NULL, 351, NULL, NULL, 17060);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(28789, '2q1fB02', NULL, NULL, 413, NULL, NULL, 17060),
(28790, '3nnbA01', NULL, NULL, 379, NULL, NULL, 17060),
(28791, '4fnvA01', NULL, NULL, 377, NULL, NULL, 17060),
(28792, '2wcoA01', NULL, NULL, 371, NULL, NULL, 17060),
(28793, '3oy2A01', NULL, NULL, 160, NULL, NULL, 17061),
(28794, '3godC01', NULL, NULL, 88, NULL, NULL, 17062),
(28795, '5fclE01', NULL, NULL, 103, NULL, NULL, 17062),
(28796, '4n06A01', NULL, NULL, 82, NULL, NULL, 17062),
(28797, '3godD01', NULL, NULL, 103, NULL, NULL, 17062),
(28798, '4w8kA01', NULL, NULL, 95, NULL, NULL, 17062),
(28799, '4wj0A01', NULL, NULL, 82, NULL, NULL, 17062),
(28800, '4xtkA01', NULL, NULL, 87, NULL, NULL, 17062),
(28801, '3nkdB01', NULL, NULL, 96, NULL, NULL, 17062),
(28802, '2yzsA01', NULL, NULL, 80, NULL, NULL, 17062),
(28803, '2fkiA00', NULL, NULL, 126, NULL, NULL, 17063),
(28804, '2a1vA00', NULL, NULL, 144, NULL, NULL, 17063),
(28805, '3h9xA00', NULL, NULL, 125, NULL, NULL, 17063),
(28806, '4fprB00', NULL, NULL, 131, NULL, NULL, 17064),
(28807, '1vh6B01', NULL, NULL, 100, NULL, NULL, 17065),
(28808, '1vh6A01', NULL, NULL, 97, NULL, NULL, 17065),
(28809, '3lmmA01', NULL, NULL, 159, NULL, NULL, 17066),
(28810, '2kyyA00', NULL, NULL, 153, NULL, NULL, 17066),
(28811, '2x3lA01', NULL, NULL, 109, NULL, NULL, 17067),
(28812, '4n2kA01', NULL, NULL, 119, NULL, NULL, 17068),
(28813, '5n0mA01', NULL, NULL, 125, NULL, NULL, 17068),
(28814, '5hp5A01', NULL, NULL, 141, NULL, NULL, 17068),
(28815, '6ce1A01', NULL, NULL, 119, NULL, NULL, 17068),
(28816, '4mdwA00', NULL, NULL, 147, NULL, NULL, 17069),
(28817, '4rlzA01', NULL, NULL, 206, NULL, NULL, 17070),
(28818, '5lkkA01', NULL, NULL, 198, NULL, NULL, 17070),
(28819, '2zl7B01', NULL, NULL, 204, NULL, NULL, 17070),
(28820, '5iypA01', NULL, NULL, 199, NULL, NULL, 17070),
(28821, '4rdlA01', NULL, NULL, 201, NULL, NULL, 17070),
(28822, '3q39A01', NULL, NULL, 201, NULL, NULL, 17070),
(28823, '6jyrA01', NULL, NULL, 198, NULL, NULL, 17070),
(28824, '5e6tA01', NULL, NULL, 194, NULL, NULL, 17070),
(28825, '4qv2A01', NULL, NULL, 193, NULL, NULL, 17070),
(28826, '5ysxA01', NULL, NULL, 194, NULL, NULL, 17070),
(28827, '6gw4A01', NULL, NULL, 193, NULL, NULL, 17070),
(28828, '6e48A01', NULL, NULL, 173, NULL, NULL, 17070),
(28829, '2obsA01', NULL, NULL, 220, NULL, NULL, 17070),
(28830, '6gw0A01', NULL, NULL, 207, NULL, NULL, 17070),
(28831, '3pvdB01', NULL, NULL, 209, NULL, NULL, 17070),
(28832, '4rpdB01', NULL, NULL, 197, NULL, NULL, 17070),
(28833, '6jyoD01', NULL, NULL, 198, NULL, NULL, 17070),
(28834, '3sjpA01', NULL, NULL, 204, NULL, NULL, 17070),
(28835, '3astB01', NULL, NULL, 225, NULL, NULL, 17070),
(28836, '4p25D01', NULL, NULL, 202, NULL, NULL, 17070),
(28837, '5f4jA01', NULL, NULL, 195, NULL, NULL, 17070),
(28838, '3r6kA01', NULL, NULL, 197, NULL, NULL, 17070),
(28839, '4ooxA01', NULL, NULL, 195, NULL, NULL, 17070),
(28840, '3nohA00', NULL, NULL, 139, NULL, NULL, 17071),
(28841, '4hvzA02', NULL, NULL, 112, NULL, NULL, 17072),
(28842, '3er9B03', NULL, NULL, 133, NULL, NULL, 17073),
(28843, '1jo6A00', NULL, NULL, 45, NULL, NULL, 17074),
(28844, '2d42A01', NULL, NULL, 184, NULL, NULL, 17075),
(28845, '3zjxA02', NULL, NULL, 203, NULL, NULL, 17075),
(28846, '3g4nA03', NULL, NULL, 207, NULL, NULL, 17075),
(28847, '1w3fA02', NULL, NULL, 166, NULL, NULL, 17075),
(28848, '3zpgA02', NULL, NULL, 222, NULL, NULL, 17076),
(28849, '3nzbX00', NULL, NULL, 206, NULL, NULL, 17076),
(28850, '4pssA00', NULL, NULL, 159, NULL, NULL, 17076),
(28851, '3ix9A00', NULL, NULL, 169, NULL, NULL, 17076),
(28852, '4m7uA00', NULL, NULL, 176, NULL, NULL, 17076),
(28853, '3cseA00', NULL, NULL, 227, NULL, NULL, 17076),
(28854, '4or7A00', NULL, NULL, 165, NULL, NULL, 17076),
(28855, '3dfrA00', NULL, NULL, 162, NULL, NULL, 17076),
(28856, '2p4gA00', NULL, NULL, 270, NULL, NULL, 17076),
(28857, '4klxA00', NULL, NULL, 161, NULL, NULL, 17076),
(28858, '3tq8A00', NULL, NULL, 178, NULL, NULL, 17076),
(28859, '2bl9A00', NULL, NULL, 238, NULL, NULL, 17076),
(28860, '3ky8A01', NULL, NULL, 174, NULL, NULL, 17076),
(28861, '1zdrA00', NULL, NULL, 164, NULL, NULL, 17076);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(28862, '1juvA00', NULL, NULL, 193, NULL, NULL, 17076),
(28863, '3ia4A00', NULL, NULL, 162, NULL, NULL, 17076),
(28864, '3hj3A01', NULL, NULL, 178, NULL, NULL, 17076),
(28865, '3vcoA00', NULL, NULL, 183, NULL, NULL, 17076),
(28866, '2b3zA02', NULL, NULL, 227, NULL, NULL, 17076),
(28867, '2w9hA00', NULL, NULL, 159, NULL, NULL, 17076),
(28868, '3d80A00', NULL, NULL, 186, NULL, NULL, 17076),
(28869, '4eilB01', NULL, NULL, 207, NULL, NULL, 17076),
(28870, '4xt6A00', NULL, NULL, 258, NULL, NULL, 17076),
(28871, '3jtwA00', NULL, NULL, 178, NULL, NULL, 17076),
(28872, '1kmvA00', NULL, NULL, 186, NULL, NULL, 17076),
(28873, '2g6vA02', NULL, NULL, 240, NULL, NULL, 17076),
(28874, '2d0kA00', NULL, NULL, 159, NULL, NULL, 17076),
(28875, '3nrrB01', NULL, NULL, 192, NULL, NULL, 17076),
(28876, '1cz3B00', NULL, NULL, 168, NULL, NULL, 17076),
(28877, '2h2qB01', NULL, NULL, 235, NULL, NULL, 17076),
(28878, '4eckA01', NULL, NULL, 219, NULL, NULL, 17076),
(28879, '1vdrA00', NULL, NULL, 162, NULL, NULL, 17076),
(28880, '5xv0E00', NULL, NULL, 240, NULL, NULL, 17076),
(28881, '2hxvA02', NULL, NULL, 201, NULL, NULL, 17076),
(28882, '4qi9B00', NULL, NULL, 167, NULL, NULL, 17076),
(28883, '6cxmA00', NULL, NULL, 164, NULL, NULL, 17076),
(28884, '5fdaA00', NULL, NULL, 163, NULL, NULL, 17076),
(28885, '4dphB01', NULL, NULL, 229, NULL, NULL, 17076),
(28886, '2aznA00', NULL, NULL, 219, NULL, NULL, 17076),
(28887, '8dfrA00', NULL, NULL, 189, NULL, NULL, 17076),
(28888, '3kgyA00', NULL, NULL, 231, NULL, NULL, 17076),
(28889, '2w9sA00', NULL, NULL, 161, NULL, NULL, 17076),
(28890, '2gd9A01', NULL, NULL, 177, NULL, NULL, 17076),
(28891, '3s9uA00', NULL, NULL, 165, NULL, NULL, 17076),
(28892, '5dxvA00', NULL, NULL, 156, NULL, NULL, 17076),
(28893, '4ha7B00', NULL, NULL, 249, NULL, NULL, 17076),
(28894, '5eccA00', NULL, NULL, 157, NULL, NULL, 17076),
(28895, '2w3wA00', NULL, NULL, 167, NULL, NULL, 17076),
(28896, '1aoeA00', NULL, NULL, 192, NULL, NULL, 17076),
(28897, '3rg9A00', NULL, NULL, 218, NULL, NULL, 17076),
(28898, '2xw7A00', NULL, NULL, 178, NULL, NULL, 17076),
(28899, '2yufA00', NULL, NULL, 142, NULL, NULL, 17077),
(28900, '2fi9A00', NULL, NULL, 128, NULL, NULL, 17078),
(28901, '1ihnA00', NULL, NULL, 113, NULL, NULL, 17078),
(28902, '2gm2A01', NULL, NULL, 112, NULL, NULL, 17078),
(28903, '2fvtA01', NULL, NULL, 119, NULL, NULL, 17078),
(28904, '2ab1A00', NULL, NULL, 122, NULL, NULL, 17078),
(28905, '2cyjA00', NULL, NULL, 118, NULL, NULL, 17078),
(28906, '3cpkA00', NULL, NULL, 150, NULL, NULL, 17078),
(28907, '1vx7i00', NULL, NULL, 104, NULL, NULL, 17079),
(28908, '4a18C00', NULL, NULL, 109, NULL, NULL, 17079),
(28909, '1vq8300', NULL, NULL, 92, NULL, NULL, 17079),
(28910, '3o58f00', NULL, NULL, 106, NULL, NULL, 17079),
(28911, '1vwxo00', NULL, NULL, 106, NULL, NULL, 17079),
(28912, '2hoqA02', NULL, NULL, 79, NULL, NULL, 17080),
(28913, '2ezvA02', NULL, NULL, 70, NULL, NULL, 17081),
(28914, '3m8jA00', NULL, NULL, 111, NULL, NULL, 17082),
(28915, '2w7nA00', NULL, NULL, 101, NULL, NULL, 17082),
(28916, '1y56A01', NULL, NULL, 96, NULL, NULL, 17083),
(28917, '3isyA00', NULL, NULL, 120, NULL, NULL, 17084),
(28918, '2ew2A02', NULL, NULL, 134, NULL, NULL, 17085),
(28919, '5y8lA02', NULL, NULL, 134, NULL, NULL, 17085),
(28920, '4ol9A02', NULL, NULL, 127, NULL, NULL, 17085),
(28921, '2plaA02', NULL, NULL, 155, NULL, NULL, 17085),
(28922, '5ocmA02', NULL, NULL, 131, NULL, NULL, 17085),
(28923, '4d3dB02', NULL, NULL, 133, NULL, NULL, 17085),
(28924, '5je8B02', NULL, NULL, 132, NULL, NULL, 17085),
(28925, '1dljA03', NULL, NULL, 90, NULL, NULL, 17085),
(28926, '3l6dA02', NULL, NULL, 139, NULL, NULL, 17085),
(28927, '3hdhA02', NULL, NULL, 87, NULL, NULL, 17085),
(28928, '5zikA02', NULL, NULL, 123, NULL, NULL, 17085),
(28929, '1vpdA02', NULL, NULL, 131, NULL, NULL, 17085),
(28930, '1zcjA03', NULL, NULL, 137, NULL, NULL, 17085),
(28931, '1zcjA04', NULL, NULL, 110, NULL, NULL, 17085),
(28932, '1ks9A02', NULL, NULL, 123, NULL, NULL, 17085),
(28933, '4fgwA02', NULL, NULL, 158, NULL, NULL, 17085),
(28934, '4om8A02', NULL, NULL, 124, NULL, NULL, 17085);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(28935, '3dojA02', NULL, NULL, 126, NULL, NULL, 17085),
(28936, '4dllB02', NULL, NULL, 132, NULL, NULL, 17085),
(28937, '1f0yA02', NULL, NULL, 87, NULL, NULL, 17085),
(28938, '4d3sD02', NULL, NULL, 129, NULL, NULL, 17085),
(28939, '4ycaA02', NULL, NULL, 134, NULL, NULL, 17085),
(28940, '3k96A02', NULL, NULL, 143, NULL, NULL, 17085),
(28941, '3fr7B02', NULL, NULL, 274, NULL, NULL, 17085),
(28942, '6hrdA02', NULL, NULL, 86, NULL, NULL, 17085),
(28943, '4gwgA02', NULL, NULL, 255, NULL, NULL, 17085),
(28944, '6aa8A02', NULL, NULL, 86, NULL, NULL, 17085),
(28945, '3g0oA02', NULL, NULL, 131, NULL, NULL, 17085),
(28946, '3c7aA02', NULL, NULL, 198, NULL, NULL, 17085),
(28947, '3cumA02', NULL, NULL, 137, NULL, NULL, 17085),
(28948, '3ghyA02', NULL, NULL, 138, NULL, NULL, 17085),
(28949, '1z82B02', NULL, NULL, 147, NULL, NULL, 17085),
(28950, '3ckyA02', NULL, NULL, 135, NULL, NULL, 17085),
(28951, '1evyA02', NULL, NULL, 149, NULL, NULL, 17085),
(28952, '5g6rB02', NULL, NULL, 136, NULL, NULL, 17085),
(28953, '1yj8A02', NULL, NULL, 161, NULL, NULL, 17085),
(28954, '2pgdA02', NULL, NULL, 255, NULL, NULL, 17085),
(28955, '4pzcA02', NULL, NULL, 86, NULL, NULL, 17085),
(28956, '4r1nA02', NULL, NULL, 86, NULL, NULL, 17085),
(28957, '3q3cA02', NULL, NULL, 135, NULL, NULL, 17085),
(28958, '2uyyA02', NULL, NULL, 123, NULL, NULL, 17085),
(28959, '3f3sA02', NULL, NULL, 124, NULL, NULL, 17085),
(28960, '1yb4A02', NULL, NULL, 134, NULL, NULL, 17085),
(28961, '3wfiB02', NULL, NULL, 134, NULL, NULL, 17085),
(28962, '4oqzA02', NULL, NULL, 130, NULL, NULL, 17085),
(28963, '4j0eA02', NULL, NULL, 91, NULL, NULL, 17085),
(28964, '2qytA02', NULL, NULL, 125, NULL, NULL, 17085),
(28965, '3hwrA02', NULL, NULL, 129, NULL, NULL, 17085),
(28966, '6fqzA02', NULL, NULL, 257, NULL, NULL, 17085),
(28967, '4ezbA02', NULL, NULL, 121, NULL, NULL, 17085),
(28968, '3h2zA02', NULL, NULL, 176, NULL, NULL, 17085),
(28969, '3ctvA00', NULL, NULL, 94, NULL, NULL, 17085),
(28970, '1pgjA02', NULL, NULL, 258, NULL, NULL, 17085),
(28971, '2gf2A02', NULL, NULL, 134, NULL, NULL, 17085),
(28972, '4im7A02', NULL, NULL, 208, NULL, NULL, 17085),
(28973, '1i36A02', NULL, NULL, 105, NULL, NULL, 17085),
(28974, '2p4qA02', NULL, NULL, 256, NULL, NULL, 17085),
(28975, '3adoA02', NULL, NULL, 127, NULL, NULL, 17085),
(28976, '1bg6A02', NULL, NULL, 153, NULL, NULL, 17085),
(28977, '2zygA02', NULL, NULL, 254, NULL, NULL, 17085),
(28978, '3qhaB02', NULL, NULL, 123, NULL, NULL, 17085),
(28979, '4e12A02', NULL, NULL, 87, NULL, NULL, 17085),
(28980, '1qmgA02', NULL, NULL, 293, NULL, NULL, 17085),
(28981, '2h78A02', NULL, NULL, 137, NULL, NULL, 17085),
(28982, '4oqyB02', NULL, NULL, 130, NULL, NULL, 17085),
(28983, '3egoA02', NULL, NULL, 135, NULL, NULL, 17085),
(28984, '4e21B02', NULL, NULL, 157, NULL, NULL, 17085),
(28985, '5jnmA02', NULL, NULL, 174, NULL, NULL, 17085),
(28986, '6e8yB02', NULL, NULL, 157, NULL, NULL, 17085),
(28987, '3qsgA02', NULL, NULL, 118, NULL, NULL, 17085),
(28988, '2w90A02', NULL, NULL, 256, NULL, NULL, 17085),
(28989, '3i83A02', NULL, NULL, 141, NULL, NULL, 17085),
(28990, '3pduA02', NULL, NULL, 123, NULL, NULL, 17085),
(28991, '3ws7A02', NULL, NULL, 124, NULL, NULL, 17085),
(28992, '2iz1A02', NULL, NULL, 255, NULL, NULL, 17085),
(28993, '2hdhA02', NULL, NULL, 93, NULL, NULL, 17085),
(28994, '5ayvA02', NULL, NULL, 125, NULL, NULL, 17085),
(28995, '3ulkA02', NULL, NULL, 283, NULL, NULL, 17085),
(28996, '6eoiA02', NULL, NULL, 133, NULL, NULL, 17085),
(28997, '2zydA02', NULL, NULL, 254, NULL, NULL, 17085),
(28998, '2cvzA02', NULL, NULL, 132, NULL, NULL, 17085),
(28999, '3hn2A02', NULL, NULL, 135, NULL, NULL, 17085),
(29000, '5a9tA02', NULL, NULL, 129, NULL, NULL, 17085),
(29001, '1lj8A02', NULL, NULL, 208, NULL, NULL, 17085),
(29002, '4gbjC02', NULL, NULL, 135, NULL, NULL, 17085),
(29003, '3pidA02', NULL, NULL, 90, NULL, NULL, 17085),
(29004, '3zgyA02', NULL, NULL, 132, NULL, NULL, 17085),
(29005, '3obbA02', NULL, NULL, 135, NULL, NULL, 17085),
(29006, '3pefA02', NULL, NULL, 123, NULL, NULL, 17085),
(29007, '1txgA02', NULL, NULL, 155, NULL, NULL, 17085);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(29008, '2gi3A02', NULL, NULL, 71, NULL, NULL, 17086),
(29009, '3vk6A02', NULL, NULL, 42, NULL, NULL, 17087),
(29010, '2g7oA00', NULL, NULL, 70, NULL, NULL, 17088),
(29011, '3on0C02', NULL, NULL, 70, NULL, NULL, 17088),
(29012, '3wdmD00', NULL, NULL, 261, NULL, NULL, 17089),
(29013, '4mb0A00', NULL, NULL, 261, NULL, NULL, 17089),
(29014, '2i3tD01', NULL, NULL, 46, NULL, NULL, 17090),
(29015, '3mgjA00', NULL, NULL, 97, NULL, NULL, 17091),
(29016, '1xsoA00', NULL, NULL, 150, NULL, NULL, 17092),
(29017, '1to4A00', NULL, NULL, 156, NULL, NULL, 17092),
(29018, '1do5B00', NULL, NULL, 154, NULL, NULL, 17092),
(29019, '1ej8A00', NULL, NULL, 140, NULL, NULL, 17092),
(29020, '3ltvC00', NULL, NULL, 153, NULL, NULL, 17092),
(29021, '2e47B00', NULL, NULL, 156, NULL, NULL, 17092),
(29022, '1xtmA00', NULL, NULL, 157, NULL, NULL, 17092),
(29023, '2wwoB00', NULL, NULL, 169, NULL, NULL, 17092),
(29024, '3kbeA00', NULL, NULL, 157, NULL, NULL, 17092),
(29025, '4a7uA00', NULL, NULL, 153, NULL, NULL, 17092),
(29026, '3gtvA00', NULL, NULL, 153, NULL, NULL, 17092),
(29027, '2apsA00', NULL, NULL, 162, NULL, NULL, 17092),
(29028, '1z9nA00', NULL, NULL, 155, NULL, NULL, 17092),
(29029, '2q2lA00', NULL, NULL, 152, NULL, NULL, 17092),
(29030, '4bczA00', NULL, NULL, 110, NULL, NULL, 17092),
(29031, '5kbmA00', NULL, NULL, 159, NULL, NULL, 17092),
(29032, '2aqpA00', NULL, NULL, 164, NULL, NULL, 17092),
(29033, '1oalA00', NULL, NULL, 151, NULL, NULL, 17092),
(29034, '1mfmA00', NULL, NULL, 153, NULL, NULL, 17092),
(29035, '6d52B00', NULL, NULL, 165, NULL, NULL, 17092),
(29036, '1esoA00', NULL, NULL, 154, NULL, NULL, 17092),
(29037, '2k4wA00', NULL, NULL, 154, NULL, NULL, 17092),
(29038, '3pu7A00', NULL, NULL, 154, NULL, NULL, 17092),
(29039, '4l05A00', NULL, NULL, 154, NULL, NULL, 17092),
(29040, '3mndA00', NULL, NULL, 152, NULL, NULL, 17092),
(29041, '3l9yA00', NULL, NULL, 154, NULL, NULL, 17092),
(29042, '1srdA00', NULL, NULL, 154, NULL, NULL, 17092),
(29043, '5j07A00', NULL, NULL, 115, NULL, NULL, 17092),
(29044, '3ce1A00', NULL, NULL, 168, NULL, NULL, 17092),
(29045, '4u4iA00', NULL, NULL, 161, NULL, NULL, 17092),
(29046, '1q0eA00', NULL, NULL, 152, NULL, NULL, 17092),
(29047, '1pzsA00', NULL, NULL, 171, NULL, NULL, 17092),
(29048, '1f1gA00', NULL, NULL, 154, NULL, NULL, 17092),
(29049, '1e9pA00', NULL, NULL, 151, NULL, NULL, 17092),
(29050, '2jlpB00', NULL, NULL, 166, NULL, NULL, 17092),
(29051, '3f7lA00', NULL, NULL, 152, NULL, NULL, 17092),
(29052, '4ojaA00', NULL, NULL, 149, NULL, NULL, 17092),
(29053, '6mqdA00', NULL, NULL, 122, NULL, NULL, 17093),
(29054, '1p7oA00', NULL, NULL, 124, NULL, NULL, 17093),
(29055, '6ce2A00', NULL, NULL, 121, NULL, NULL, 17093),
(29056, '3u8iA00', NULL, NULL, 124, NULL, NULL, 17093),
(29057, '4dcfA00', NULL, NULL, 122, NULL, NULL, 17093),
(29058, '1s6bA00', NULL, NULL, 119, NULL, NULL, 17093),
(29059, '2h4cB00', NULL, NULL, 122, NULL, NULL, 17093),
(29060, '1poaA00', NULL, NULL, 118, NULL, NULL, 17093),
(29061, '1mc2A00', NULL, NULL, 122, NULL, NULL, 17093),
(29062, '3i03A00', NULL, NULL, 121, NULL, NULL, 17093),
(29063, '2pvtA00', NULL, NULL, 121, NULL, NULL, 17093),
(29064, '3eloA00', NULL, NULL, 133, NULL, NULL, 17093),
(29065, '1y75B00', NULL, NULL, 118, NULL, NULL, 17093),
(29066, '1s8iA00', NULL, NULL, 121, NULL, NULL, 17093),
(29067, '1fe5A00', NULL, NULL, 118, NULL, NULL, 17093),
(29068, '1jltB00', NULL, NULL, 122, NULL, NULL, 17093),
(29069, '2ph4A00', NULL, NULL, 121, NULL, NULL, 17093),
(29070, '2wg7A00', NULL, NULL, 130, NULL, NULL, 17093),
(29071, '3jr8A00', NULL, NULL, 122, NULL, NULL, 17093),
(29072, '1oqsB00', NULL, NULL, 122, NULL, NULL, 17093),
(29073, '1oz6A00', NULL, NULL, 120, NULL, NULL, 17093),
(29074, '1ozyA00', NULL, NULL, 121, NULL, NULL, 17093),
(29075, '1mh8A00', NULL, NULL, 119, NULL, NULL, 17093),
(29076, '3vbzA00', NULL, NULL, 118, NULL, NULL, 17093),
(29077, '3vc0A00', NULL, NULL, 118, NULL, NULL, 17093),
(29078, '4ntwC00', NULL, NULL, 119, NULL, NULL, 17093),
(29079, '1m8tA00', NULL, NULL, 119, NULL, NULL, 17093),
(29080, '1q6vA00', NULL, NULL, 121, NULL, NULL, 17093);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(29081, '1tc8A00', NULL, NULL, 118, NULL, NULL, 17093),
(29082, '1y6oA00', NULL, NULL, 131, NULL, NULL, 17093),
(29083, '1pp2L00', NULL, NULL, 122, NULL, NULL, 17093),
(29084, '3ux7A00', NULL, NULL, 122, NULL, NULL, 17093),
(29085, '1owsA00', NULL, NULL, 118, NULL, NULL, 17093),
(29086, '1mh2B00', NULL, NULL, 119, NULL, NULL, 17093),
(29087, '4h0sA00', NULL, NULL, 121, NULL, NULL, 17093),
(29088, '1s6bB00', NULL, NULL, 119, NULL, NULL, 17093),
(29089, '5tfvA00', NULL, NULL, 122, NULL, NULL, 17093),
(29090, '2h4cA00', NULL, NULL, 122, NULL, NULL, 17093),
(29091, '4e4cA00', NULL, NULL, 119, NULL, NULL, 17093),
(29092, '2oshA00', NULL, NULL, 119, NULL, NULL, 17093),
(29093, '1l8sA00', NULL, NULL, 124, NULL, NULL, 17093),
(29094, '1lwbA00', NULL, NULL, 122, NULL, NULL, 17093),
(29095, '1mkuA00', NULL, NULL, 123, NULL, NULL, 17093),
(29096, '1g0zA00', NULL, NULL, 118, NULL, NULL, 17093),
(29097, '1gmzB00', NULL, NULL, 122, NULL, NULL, 17093),
(29098, '1pocA00', NULL, NULL, 134, NULL, NULL, 17093),
(29099, '5owcA00', NULL, NULL, 122, NULL, NULL, 17093),
(29100, '4aupB00', NULL, NULL, 123, NULL, NULL, 17093),
(29101, '2qhdA00', NULL, NULL, 122, NULL, NULL, 17093),
(29102, '4hg9A00', NULL, NULL, 122, NULL, NULL, 17093),
(29103, '1pwoA00', NULL, NULL, 124, NULL, NULL, 17093),
(29104, '1vapA00', NULL, NULL, 123, NULL, NULL, 17093),
(29105, '1jltA00', NULL, NULL, 122, NULL, NULL, 17093),
(29106, '3g8hA00', NULL, NULL, 122, NULL, NULL, 17093),
(29107, '1gp7A00', NULL, NULL, 124, NULL, NULL, 17093),
(29108, '2qogB00', NULL, NULL, 122, NULL, NULL, 17093),
(29109, '1vipA00', NULL, NULL, 121, NULL, NULL, 17093),
(29110, '2wq5A00', NULL, NULL, 119, NULL, NULL, 17093),
(29111, '1zlbA00', NULL, NULL, 122, NULL, NULL, 17093),
(29112, '1ijlA00', NULL, NULL, 123, NULL, NULL, 17093),
(29113, '4rfpA00', NULL, NULL, 121, NULL, NULL, 17093),
(29114, '3v9mA00', NULL, NULL, 118, NULL, NULL, 17093),
(29115, '3jqlA00', NULL, NULL, 119, NULL, NULL, 17093),
(29116, '1a2aA00', NULL, NULL, 122, NULL, NULL, 17093),
(29117, '1g2xA00', NULL, NULL, 118, NULL, NULL, 17093),
(29118, '2g58A00', NULL, NULL, 121, NULL, NULL, 17093),
(29119, '1oqsA00', NULL, NULL, 122, NULL, NULL, 17093),
(29120, '1godA00', NULL, NULL, 121, NULL, NULL, 17093),
(29121, '3dihA00', NULL, NULL, 122, NULL, NULL, 17093),
(29122, '1lffA00', NULL, NULL, 119, NULL, NULL, 17093),
(29123, '6al3A00', NULL, NULL, 122, NULL, NULL, 17093),
(29124, '1m8rA00', NULL, NULL, 124, NULL, NULL, 17093),
(29125, '5y5eA00', NULL, NULL, 123, NULL, NULL, 17093),
(29126, '1owsB00', NULL, NULL, 118, NULL, NULL, 17093),
(29127, '2aozA00', NULL, NULL, 121, NULL, NULL, 17093),
(29128, '3r0lD00', NULL, NULL, 122, NULL, NULL, 17093),
(29129, '1g4iA00', NULL, NULL, 123, NULL, NULL, 17093),
(29130, '1bunA00', NULL, NULL, 120, NULL, NULL, 17093),
(29131, '1mh2A00', NULL, NULL, 119, NULL, NULL, 17093),
(29132, '1y4lA00', NULL, NULL, 121, NULL, NULL, 17093),
(29133, '1dpyA00', NULL, NULL, 118, NULL, NULL, 17093),
(29134, '2notA00', NULL, NULL, 119, NULL, NULL, 17093),
(29135, '1yxhA00', NULL, NULL, 126, NULL, NULL, 17093),
(29136, '2rdcA00', NULL, NULL, 133, NULL, NULL, 17094),
(29137, '4bqnB01', NULL, NULL, 185, NULL, NULL, 17095),
(29138, '2a6hA02', NULL, NULL, 122, NULL, NULL, 17096),
(29139, '5tjgA02', NULL, NULL, 122, NULL, NULL, 17096),
(29140, '4noiA02', NULL, NULL, 121, NULL, NULL, 17096),
(29141, '5tw1A02', NULL, NULL, 121, NULL, NULL, 17096),
(29142, '1twfC02', NULL, NULL, 126, NULL, NULL, 17096),
(29143, '1bdfB02', NULL, NULL, 125, NULL, NULL, 17096),
(29144, '5zx3A02', NULL, NULL, 121, NULL, NULL, 17096),
(29145, '4aybD02', NULL, NULL, 119, NULL, NULL, 17096),
(29146, '5xogC02', NULL, NULL, 127, NULL, NULL, 17096),
(29147, '3h0gC02', NULL, NULL, 128, NULL, NULL, 17096),
(29148, '2pa8D02', NULL, NULL, 119, NULL, NULL, 17096),
(29149, '6gmhC02', NULL, NULL, 131, NULL, NULL, 17096),
(29150, '4c2mC02', NULL, NULL, 141, NULL, NULL, 17096),
(29151, '4qjvA02', NULL, NULL, 108, NULL, NULL, 17096),
(29152, '3euhC02', NULL, NULL, 108, NULL, NULL, 17097),
(29153, '4evfA03', NULL, NULL, 80, NULL, NULL, 17098);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(29154, '4evfA02', NULL, NULL, 74, NULL, NULL, 17098),
(29155, '4evfA01', NULL, NULL, 72, NULL, NULL, 17098),
(29156, '4evfA04', NULL, NULL, 69, NULL, NULL, 17098),
(29157, '1dk5A02', NULL, NULL, 72, NULL, NULL, 17098),
(29158, '1dk5A03', NULL, NULL, 75, NULL, NULL, 17098),
(29159, '1i4aA01', NULL, NULL, 73, NULL, NULL, 17098),
(29160, '1i4aA02', NULL, NULL, 74, NULL, NULL, 17098),
(29161, '1i4aA03', NULL, NULL, 86, NULL, NULL, 17098),
(29162, '1axnA02', NULL, NULL, 74, NULL, NULL, 17098),
(29163, '1axnA01', NULL, NULL, 73, NULL, NULL, 17098),
(29164, '1axnA04', NULL, NULL, 72, NULL, NULL, 17098),
(29165, '1dk5A04', NULL, NULL, 70, NULL, NULL, 17098),
(29166, '1axnA03', NULL, NULL, 86, NULL, NULL, 17098),
(29167, '1w3wA04', NULL, NULL, 72, NULL, NULL, 17098),
(29168, '1w3wA03', NULL, NULL, 87, NULL, NULL, 17098),
(29169, '1w3wA02', NULL, NULL, 74, NULL, NULL, 17098),
(29170, '1w3wA01', NULL, NULL, 73, NULL, NULL, 17098),
(29171, '1hm6A01', NULL, NULL, 73, NULL, NULL, 17098),
(29172, '1avcA01', NULL, NULL, 80, NULL, NULL, 17098),
(29173, '1hm6A02', NULL, NULL, 74, NULL, NULL, 17098),
(29174, '1avcA02', NULL, NULL, 78, NULL, NULL, 17098),
(29175, '4mdvB03', NULL, NULL, 100, NULL, NULL, 17098),
(29176, '1hm6A03', NULL, NULL, 86, NULL, NULL, 17098),
(29177, '1hm6A04', NULL, NULL, 73, NULL, NULL, 17098),
(29178, '2zhjA02', NULL, NULL, 74, NULL, NULL, 17098),
(29179, '1avcA08', NULL, NULL, 74, NULL, NULL, 17098),
(29180, '2zhjA01', NULL, NULL, 73, NULL, NULL, 17098),
(29181, '2zhjA04', NULL, NULL, 74, NULL, NULL, 17098),
(29182, '2zhjA03', NULL, NULL, 86, NULL, NULL, 17098),
(29183, '1avcA06', NULL, NULL, 74, NULL, NULL, 17098),
(29184, '1avcA07', NULL, NULL, 89, NULL, NULL, 17098),
(29185, '1m9iA02', NULL, NULL, 78, NULL, NULL, 17098),
(29186, '1m9iA01', NULL, NULL, 80, NULL, NULL, 17098),
(29187, '1m9iA08', NULL, NULL, 70, NULL, NULL, 17098),
(29188, '1m9iA07', NULL, NULL, 89, NULL, NULL, 17098),
(29189, '1m9iA04', NULL, NULL, 72, NULL, NULL, 17098),
(29190, '1m9iA03', NULL, NULL, 83, NULL, NULL, 17098),
(29191, '1m9iA06', NULL, NULL, 74, NULL, NULL, 17098),
(29192, '1m9iA05', NULL, NULL, 74, NULL, NULL, 17098),
(29193, '2hyvA01', NULL, NULL, 73, NULL, NULL, 17098),
(29194, '4mduA04', NULL, NULL, 72, NULL, NULL, 17098),
(29195, '4mduA02', NULL, NULL, 82, NULL, NULL, 17098),
(29196, '4mduA01', NULL, NULL, 73, NULL, NULL, 17098),
(29197, '1n00A01', NULL, NULL, 87, NULL, NULL, 17098),
(29198, '1n00A03', NULL, NULL, 73, NULL, NULL, 17098),
(29199, '1n00A02', NULL, NULL, 72, NULL, NULL, 17098),
(29200, '1n00A04', NULL, NULL, 72, NULL, NULL, 17098),
(29201, '1dk5B01', NULL, NULL, 90, NULL, NULL, 17098),
(29202, '2zocA01', NULL, NULL, 73, NULL, NULL, 17098),
(29203, '2h0lA01', NULL, NULL, 73, NULL, NULL, 17098),
(29204, '2zocA02', NULL, NULL, 74, NULL, NULL, 17098),
(29205, '2zocA04', NULL, NULL, 72, NULL, NULL, 17098),
(29206, '2hyvA04', NULL, NULL, 74, NULL, NULL, 17098),
(29207, '2hyvA03', NULL, NULL, 81, NULL, NULL, 17098),
(29208, '2hyvA02', NULL, NULL, 80, NULL, NULL, 17098),
(29209, '1ycnA03', NULL, NULL, 77, NULL, NULL, 17098),
(29210, '2ii2A02', NULL, NULL, 58, NULL, NULL, 17098),
(29211, '2ii2A01', NULL, NULL, 74, NULL, NULL, 17098),
(29212, '1ycnA02', NULL, NULL, 72, NULL, NULL, 17098),
(29213, '1ycnA04', NULL, NULL, 76, NULL, NULL, 17098),
(29214, '1bo9A00', NULL, NULL, 73, NULL, NULL, 17098),
(29215, '1dm5A04', NULL, NULL, 72, NULL, NULL, 17098),
(29216, '2ii2A04', NULL, NULL, 80, NULL, NULL, 17098),
(29217, '1dm5A03', NULL, NULL, 86, NULL, NULL, 17098),
(29218, '2ii2A03', NULL, NULL, 98, NULL, NULL, 17098),
(29219, '1dm5A02', NULL, NULL, 74, NULL, NULL, 17098),
(29220, '1dm5A01', NULL, NULL, 73, NULL, NULL, 17098),
(29221, '2xo3A01', NULL, NULL, 73, NULL, NULL, 17098),
(29222, '2xo3A04', NULL, NULL, 74, NULL, NULL, 17098),
(29223, '2ie7A04', NULL, NULL, 72, NULL, NULL, 17098),
(29224, '1anxA02', NULL, NULL, 74, NULL, NULL, 17098),
(29225, '2ie7A01', NULL, NULL, 73, NULL, NULL, 17098),
(29226, '1anxA01', NULL, NULL, 73, NULL, NULL, 17098),
(29227, '2ie7A03', NULL, NULL, 86, NULL, NULL, 17098);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(29228, '1anxA03', NULL, NULL, 86, NULL, NULL, 17098),
(29229, '2ie7A02', NULL, NULL, 74, NULL, NULL, 17098),
(29230, '1yiiA03', NULL, NULL, 86, NULL, NULL, 17098),
(29231, '1yiiA04', NULL, NULL, 75, NULL, NULL, 17098),
(29232, '1ycnA01', NULL, NULL, 70, NULL, NULL, 17098),
(29233, '1yiiA01', NULL, NULL, 73, NULL, NULL, 17098),
(29234, '1yiiA02', NULL, NULL, 74, NULL, NULL, 17098),
(29235, '3s6pG00', NULL, NULL, 72, NULL, NULL, 17099),
(29236, '1o5yA00', NULL, NULL, 162, NULL, NULL, 17100),
(29237, '1vjlA00', NULL, NULL, 164, NULL, NULL, 17100),
(29238, '2hw2A00', NULL, NULL, 143, NULL, NULL, 17101),
(29239, '2atzA00', NULL, NULL, 180, NULL, NULL, 17102),
(29240, '1yhnB00', NULL, NULL, 65, NULL, NULL, 17103),
(29241, '2uwmA01', NULL, NULL, 133, NULL, NULL, 17104),
(29242, '4ds7E00', NULL, NULL, 55, NULL, NULL, 17105),
(29243, '5hvqC01', NULL, NULL, 82, NULL, NULL, 17106),
(29244, '6mptA01', NULL, NULL, 191, NULL, NULL, 17107),
(29245, '4dixA01', NULL, NULL, 99, NULL, NULL, 17108),
(29246, '1xo9A02', NULL, NULL, 47, NULL, NULL, 17109),
(29247, '3lfjB00', NULL, NULL, 169, NULL, NULL, 17110),
(29248, '3p3vB00', NULL, NULL, 163, NULL, NULL, 17110),
(29249, '1vsqC00', NULL, NULL, 165, NULL, NULL, 17110),
(29250, '5t5dA00', NULL, NULL, 161, NULL, NULL, 17110),
(29251, '1nrzA00', NULL, NULL, 164, NULL, NULL, 17110),
(29252, '1bleA00', NULL, NULL, 163, NULL, NULL, 17110),
(29253, '3eyeA00', NULL, NULL, 168, NULL, NULL, 17110),
(29254, '1mtyG02', NULL, NULL, 73, NULL, NULL, 17111),
(29255, '1mhyG02', NULL, NULL, 73, NULL, NULL, 17111),
(29256, '3mggA02', NULL, NULL, 89, NULL, NULL, 17112),
(29257, '1njhA00', NULL, NULL, 119, NULL, NULL, 17113),
(29258, '2ox7A02', NULL, NULL, 69, NULL, NULL, 17114),
(29259, '2p84A02', NULL, NULL, 83, NULL, NULL, 17114),
(29260, '2qyzA02', NULL, NULL, 83, NULL, NULL, 17114),
(29261, '3i8sB02', NULL, NULL, 100, NULL, NULL, 17115),
(29262, '3a1sA02', NULL, NULL, 89, NULL, NULL, 17115),
(29263, '2wicA02', NULL, NULL, 93, NULL, NULL, 17115),
(29264, '3k53A02', NULL, NULL, 101, NULL, NULL, 17115),
(29265, '3tahA02', NULL, NULL, 99, NULL, NULL, 17115),
(29266, '3ibyD02', NULL, NULL, 84, NULL, NULL, 17115),
(29267, '3m7gA01', NULL, NULL, 65, NULL, NULL, 17116),
(29268, '2xseA00', NULL, NULL, 170, NULL, NULL, 17117),
(29269, '2d1cA02', NULL, NULL, 111, NULL, NULL, 17118),
(29270, '1xmxA03', NULL, NULL, 89, NULL, NULL, 17119),
(29271, '2jryA00', NULL, NULL, 46, NULL, NULL, 17120),
(29272, '2p4lA00', NULL, NULL, 46, NULL, NULL, 17120),
(29273, '2in5A00', NULL, NULL, 207, NULL, NULL, 17121),
(29274, '2w9mA04', NULL, NULL, 55, NULL, NULL, 17122),
(29275, '1zqwA03', NULL, NULL, 69, NULL, NULL, 17122),
(29276, '5hrbA02', NULL, NULL, 69, NULL, NULL, 17122),
(29277, '2fmpA04', NULL, NULL, 64, NULL, NULL, 17122),
(29278, '5vzaA04', NULL, NULL, 69, NULL, NULL, 17122),
(29279, '2ihmA04', NULL, NULL, 69, NULL, NULL, 17122),
(29280, '3b0xA04', NULL, NULL, 65, NULL, NULL, 17122),
(29281, '3c5gB04', NULL, NULL, 67, NULL, NULL, 17122),
(29282, '4p4mA03', NULL, NULL, 101, NULL, NULL, 17122),
(29283, '2bcqA04', NULL, NULL, 67, NULL, NULL, 17122),
(29284, '3uxoA04', NULL, NULL, 64, NULL, NULL, 17122),
(29285, '4i2aA04', NULL, NULL, 70, NULL, NULL, 17122),
(29286, '3ffvA00', NULL, NULL, 181, NULL, NULL, 17123),
(29287, '2c61A00', NULL, NULL, 448, NULL, NULL, 17124),
(29288, '3vr4D00', NULL, NULL, 465, NULL, NULL, 17124),
(29289, '2dpyA00', NULL, NULL, 438, NULL, NULL, 17124),
(29290, '5bn3B00', NULL, NULL, 416, NULL, NULL, 17124),
(29291, '3gqbB00', NULL, NULL, 464, NULL, NULL, 17124),
(29292, '4ogqC03', NULL, NULL, 35, NULL, NULL, 17125),
(29293, '1vf5Q01', NULL, NULL, 47, NULL, NULL, 17125),
(29294, '4ogqD01', NULL, NULL, 47, NULL, NULL, 17125),
(29295, '4i7zC03', NULL, NULL, 35, NULL, NULL, 17125),
(29296, '2ymkA01', NULL, NULL, 37, NULL, NULL, 17125),
(29297, '2yokA00', NULL, NULL, 426, NULL, NULL, 17126),
(29298, '1ojjA00', NULL, NULL, 402, NULL, NULL, 17126),
(29299, '5w0aA00', NULL, NULL, 373, NULL, NULL, 17126),
(29300, '4ipmA00', NULL, NULL, 431, NULL, NULL, 17126),
(29301, '3pfzA00', NULL, NULL, 437, NULL, NULL, 17126);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(29302, '2rfwA00', NULL, NULL, 430, NULL, NULL, 17126),
(29303, '4csiB00', NULL, NULL, 439, NULL, NULL, 17126),
(29304, '4xebA00', NULL, NULL, 436, NULL, NULL, 17126),
(29305, '1eg1A00', NULL, NULL, 371, NULL, NULL, 17126),
(29306, '5o5dA00', NULL, NULL, 430, NULL, NULL, 17126),
(29307, '2v3iA00', NULL, NULL, 434, NULL, NULL, 17126),
(29308, '4v20A00', NULL, NULL, 440, NULL, NULL, 17126),
(29309, '5oa5A00', NULL, NULL, 434, NULL, NULL, 17126),
(29310, '4xnnA00', NULL, NULL, 445, NULL, NULL, 17126),
(29311, '3ovwA00', NULL, NULL, 411, NULL, NULL, 17126),
(29312, '4zzqA00', NULL, NULL, 438, NULL, NULL, 17126),
(29313, '2xspA00', NULL, NULL, 440, NULL, NULL, 17126),
(29314, '5w11A00', NULL, NULL, 440, NULL, NULL, 17126),
(29315, '4zzpA00', NULL, NULL, 439, NULL, NULL, 17126),
(29316, '1gpiA00', NULL, NULL, 431, NULL, NULL, 17126),
(29317, '4zzvA00', NULL, NULL, 438, NULL, NULL, 17126),
(29318, '1r89A01', NULL, NULL, 131, NULL, NULL, 17127),
(29319, '5cqgA04', NULL, NULL, 106, NULL, NULL, 17128),
(29320, '3mzlB02', NULL, NULL, 56, NULL, NULL, 17129),
(29321, '4u29A03', NULL, NULL, 50, NULL, NULL, 17130),
(29322, '2qsfA03', NULL, NULL, 50, NULL, NULL, 17130),
(29323, '3lmmC04', NULL, NULL, 87, NULL, NULL, 17131),
(29324, '4a9aC01', NULL, NULL, 79, NULL, NULL, 17132),
(29325, '2b1eA02', NULL, NULL, 168, NULL, NULL, 17133),
(29326, '3k59A01', NULL, NULL, 86, NULL, NULL, 17134),
(29327, '1ui0A00', NULL, NULL, 205, NULL, NULL, 17135),
(29328, '3wdfA00', NULL, NULL, 226, NULL, NULL, 17135),
(29329, '3zoqA00', NULL, NULL, 225, NULL, NULL, 17135),
(29330, '3cxmA00', NULL, NULL, 244, NULL, NULL, 17135),
(29331, '5h9iA00', NULL, NULL, 240, NULL, NULL, 17135),
(29332, '2d3yA00', NULL, NULL, 219, NULL, NULL, 17135),
(29333, '2c2qA01', NULL, NULL, 180, NULL, NULL, 17135),
(29334, '4uqmA00', NULL, NULL, 247, NULL, NULL, 17135),
(29335, '3uf7A00', NULL, NULL, 237, NULL, NULL, 17135),
(29336, '5nnhA00', NULL, NULL, 240, NULL, NULL, 17135),
(29337, '1udgA00', NULL, NULL, 228, NULL, NULL, 17135),
(29338, '2l3fA00', NULL, NULL, 166, NULL, NULL, 17135),
(29339, '4zbyA00', NULL, NULL, 194, NULL, NULL, 17135),
(29340, '1vk2A00', NULL, NULL, 204, NULL, NULL, 17135),
(29341, '1okbA00', NULL, NULL, 223, NULL, NULL, 17135),
(29342, '1mugA00', NULL, NULL, 168, NULL, NULL, 17135),
(29343, '2jhqA00', NULL, NULL, 226, NULL, NULL, 17135),
(29344, '3fciA00', NULL, NULL, 223, NULL, NULL, 17135),
(29345, '3ikbA00', NULL, NULL, 198, NULL, NULL, 17135),
(29346, '4ygmB00', NULL, NULL, 232, NULL, NULL, 17135),
(29347, '3tr7A00', NULL, NULL, 232, NULL, NULL, 17135),
(29348, '2j8xC00', NULL, NULL, 231, NULL, NULL, 17135),
(29349, '4z47A00', NULL, NULL, 204, NULL, NULL, 17135),
(29350, '4wpkA00', NULL, NULL, 238, NULL, NULL, 17135),
(29351, '1oe4A00', NULL, NULL, 247, NULL, NULL, 17135),
(29352, '2l81A00', NULL, NULL, 176, NULL, NULL, 17136),
(29353, '1z23A00', NULL, NULL, 163, NULL, NULL, 17136),
(29354, '4jrfA03', NULL, NULL, 106, NULL, NULL, 17137),
(29355, '1vw4V00', NULL, NULL, 64, NULL, NULL, 17138),
(29356, '3kq5A01', NULL, NULL, 226, NULL, NULL, 17139),
(29357, '3vbhD00', NULL, NULL, 58, NULL, NULL, 17140),
(29358, '5c4wD00', NULL, NULL, 69, NULL, NULL, 17140),
(29359, '3qilB00', NULL, NULL, 97, NULL, NULL, 17141),
(29360, '2j49A00', NULL, NULL, 148, NULL, NULL, 17142),
(29361, '2nxpB00', NULL, NULL, 156, NULL, NULL, 17142),
(29362, '2j4bB00', NULL, NULL, 138, NULL, NULL, 17142),
(29363, '4g1uA00', NULL, NULL, 331, NULL, NULL, 17143),
(29364, '2nq2A00', NULL, NULL, 337, NULL, NULL, 17143),
(29365, '5b57B00', NULL, NULL, 338, NULL, NULL, 17143),
(29366, '1l7vA00', NULL, NULL, 326, NULL, NULL, 17143),
(29367, '2qi9A00', NULL, NULL, 326, NULL, NULL, 17143),
(29368, '3if8B03', NULL, NULL, 75, NULL, NULL, 17144),
(29369, '4flnA02', NULL, NULL, 152, NULL, NULL, 17145),
(29370, '5ilbA02', NULL, NULL, 156, NULL, NULL, 17145),
(29371, '5cl8A00', NULL, NULL, 241, NULL, NULL, 17146),
(29372, '2qyuA04', NULL, NULL, 193, NULL, NULL, 17147),
(29373, '3nb2A04', NULL, NULL, 177, NULL, NULL, 17147),
(29374, '2ox7A01', NULL, NULL, 62, NULL, NULL, 17148);
INSERT INTO "PUBLIC"."MODEL" VALUES
(29375, '3m4xA03', NULL, NULL, 58, NULL, NULL, 17149),
(29376, '3m6wA03', NULL, NULL, 71, NULL, NULL, 17149),
(29377, '5t0oA01', NULL, NULL, 220, NULL, NULL, 17150),
(29378, '3w9iF01', NULL, NULL, 219, NULL, NULL, 17150),
(29379, '4mt1A01', NULL, NULL, 222, NULL, NULL, 17150),
(29380, '6bajA05', NULL, NULL, 203, NULL, NULL, 17150),
(29381, '4dx5A05', NULL, NULL, 247, NULL, NULL, 17150),
(29382, '3w9iF05', NULL, NULL, 233, NULL, NULL, 17150),
(29383, '4dx5C05', NULL, NULL, 223, NULL, NULL, 17150),
(29384, '4dx5C01', NULL, NULL, 219, NULL, NULL, 17150),
(29385, '5t0oA05', NULL, NULL, 229, NULL, NULL, 17150),
(29386, '4mt1A05', NULL, NULL, 227, NULL, NULL, 17150),
(29387, '1gkuB04', NULL, NULL, 73, NULL, NULL, 17151),
(29388, '4fl3A02', NULL, NULL, 41, NULL, NULL, 17152),
(29389, '2oq1A02', NULL, NULL, 45, NULL, NULL, 17152),
(29390, '1y8xB00', NULL, NULL, 98, NULL, NULL, 17153),
(29391, '1y8qD03', NULL, NULL, 105, NULL, NULL, 17153),
(29392, '5fq2B00', NULL, NULL, 105, NULL, NULL, 17153),
(29393, '3kycB03', NULL, NULL, 138, NULL, NULL, 17153),
(29394, '3onhA01', NULL, NULL, 122, NULL, NULL, 17153),
(29395, '3gkuC01', NULL, NULL, 59, NULL, NULL, 17154),
(29396, '3vkgA08', NULL, NULL, 163, NULL, NULL, 17155),
(29397, '3vkhB08', NULL, NULL, 165, NULL, NULL, 17155),
(29398, '4akgA08', NULL, NULL, 156, NULL, NULL, 17155),
(29399, '2gf4A00', NULL, NULL, 100, NULL, NULL, 17156),
(29400, '2gf4B00', NULL, NULL, 75, NULL, NULL, 17156),
(29401, '3epuB01', NULL, NULL, 23, NULL, NULL, 17157),
(29402, '4c48C00', NULL, NULL, 49, NULL, NULL, 17158),
(29403, '4pelA02', NULL, NULL, 47, NULL, NULL, 17159),
(29404, '1pnkA02', NULL, NULL, 60, NULL, NULL, 17159),
(29405, '1gk9A02', NULL, NULL, 30, NULL, NULL, 17159),
(29406, '3k3wA02', NULL, NULL, 30, NULL, NULL, 17159),
(29407, '1cp9A02', NULL, NULL, 30, NULL, NULL, 17159),
(29408, '2yzvA00', NULL, NULL, 303, NULL, NULL, 17160),
(29409, '6g28A00', NULL, NULL, 367, NULL, NULL, 17160),
(29410, '2woeA00', NULL, NULL, 299, NULL, NULL, 17160),
(29411, '6d3aB00', NULL, NULL, 350, NULL, NULL, 17160),
(29412, '1t5jA00', NULL, NULL, 313, NULL, NULL, 17160),
(29413, '6g1pB00', NULL, NULL, 350, NULL, NULL, 17160),
(29414, '5ovoA00', NULL, NULL, 297, NULL, NULL, 17160),
(29415, '2qtyA00', NULL, NULL, 347, NULL, NULL, 17160),
(29416, '3mc6A01', NULL, NULL, 55, NULL, NULL, 17161),
(29417, '3isrA02', NULL, NULL, 100, NULL, NULL, 17162),
(29418, '3u12A00', NULL, NULL, 104, NULL, NULL, 17163),
(29419, '3h09B02', NULL, NULL, 490, NULL, NULL, 17164),
(29420, '4kh3A00', NULL, NULL, 503, NULL, NULL, 17164),
(29421, '4om9A02', NULL, NULL, 650, NULL, NULL, 17164),
(29422, '2vfmA00', NULL, NULL, 559, NULL, NULL, 17164),
(29423, '2v5iA00', NULL, NULL, 559, NULL, NULL, 17164),
(29424, '1dabA00', NULL, NULL, 539, NULL, NULL, 17164),
(29425, '3syjA02', NULL, NULL, 653, NULL, NULL, 17164),
(29426, '3riqA00', NULL, NULL, 543, NULL, NULL, 17164),
(29427, '3szeA02', NULL, NULL, 647, NULL, NULL, 17164),
(29428, '2iouG00', NULL, NULL, 535, NULL, NULL, 17164),
(29429, '5j44A03', NULL, NULL, 670, NULL, NULL, 17164),
(29430, '3ak5D02', NULL, NULL, 713, NULL, NULL, 17164),
(29431, '1u5kA02', NULL, NULL, 125, NULL, NULL, 17165),
(29432, '3q8dA02', NULL, NULL, 164, NULL, NULL, 17165),
(29433, '3dwlF00', NULL, NULL, 168, NULL, NULL, 17166),
(29434, '3dwlD02', NULL, NULL, 187, NULL, NULL, 17166),
(29435, '1k8kD01', NULL, NULL, 151, NULL, NULL, 17166),
(29436, '1k8kF00', NULL, NULL, 168, NULL, NULL, 17166),
(29437, '1k8kD02', NULL, NULL, 131, NULL, NULL, 17166),
(29438, '3dwlD01', NULL, NULL, 129, NULL, NULL, 17166),
(29439, '3k6eA00', NULL, NULL, 156, NULL, NULL, 17167),
(29440, '2pfiB01', NULL, NULL, 151, NULL, NULL, 17167),
(29441, '1pvmA00', NULL, NULL, 184, NULL, NULL, 17167),
(29442, '3gbyA00', NULL, NULL, 128, NULL, NULL, 17167),
(29443, '2o16B00', NULL, NULL, 160, NULL, NULL, 17167),
(29444, '3k2vA00', NULL, NULL, 130, NULL, NULL, 17167),
(29445, '3l2bA01', NULL, NULL, 129, NULL, NULL, 17167),
(29446, '2yvyA02', NULL, NULL, 123, NULL, NULL, 17167),
(29447, '3sl7A00', NULL, NULL, 161, NULL, NULL, 17167);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(29448, '3ocmB00', NULL, NULL, 155, NULL, NULL, 17167),
(29449, '2yziA00', NULL, NULL, 138, NULL, NULL, 17167),
(29450, '1o50A00', NULL, NULL, 157, NULL, NULL, 17167),
(29451, '4fxsA02', NULL, NULL, 115, NULL, NULL, 17167),
(29452, '2uv4A00', NULL, NULL, 152, NULL, NULL, 17167),
(29453, '4o9kA00', NULL, NULL, 130, NULL, NULL, 17167),
(29454, '3ocoA00', NULL, NULL, 153, NULL, NULL, 17167),
(29455, '2yzqA02', NULL, NULL, 129, NULL, NULL, 17167),
(29456, '2yzqA01', NULL, NULL, 121, NULL, NULL, 17167),
(29457, '3lhhA01', NULL, NULL, 105, NULL, NULL, 17167),
(29458, '1yavB00', NULL, NULL, 159, NULL, NULL, 17167),
(29459, '3fnaA00', NULL, NULL, 128, NULL, NULL, 17167),
(29460, '4esyB00', NULL, NULL, 170, NULL, NULL, 17167),
(29461, '4iy3B00', NULL, NULL, 153, NULL, NULL, 17167),
(29462, '3i8nB00', NULL, NULL, 130, NULL, NULL, 17167),
(29463, '2ouxA02', NULL, NULL, 129, NULL, NULL, 17167),
(29464, '3orgA02', NULL, NULL, 133, NULL, NULL, 17167),
(29465, '3fhmB00', NULL, NULL, 126, NULL, NULL, 17167),
(29466, '4dqwA02', NULL, NULL, 113, NULL, NULL, 17167),
(29467, '2qrdE01', NULL, NULL, 181, NULL, NULL, 17167),
(29468, '2ef7A00', NULL, NULL, 133, NULL, NULL, 17167),
(29469, '4nocD00', NULL, NULL, 151, NULL, NULL, 17167),
(29470, '2qrdE02', NULL, NULL, 153, NULL, NULL, 17167),
(29471, '3kh5A02', NULL, NULL, 136, NULL, NULL, 17167),
(29472, '2nycA00', NULL, NULL, 144, NULL, NULL, 17167),
(29473, '5iipD00', NULL, NULL, 117, NULL, NULL, 17167),
(29474, '3kh5A01', NULL, NULL, 144, NULL, NULL, 17167),
(29475, '2d4zB00', NULL, NULL, 177, NULL, NULL, 17167),
(29476, '4gqwA00', NULL, NULL, 152, NULL, NULL, 17167),
(29477, '3oi8A01', NULL, NULL, 91, NULL, NULL, 17167),
(29478, '1y5hA00', NULL, NULL, 133, NULL, NULL, 17167),
(29479, '3fv6A00', NULL, NULL, 159, NULL, NULL, 17167),
(29480, '3k2vB00', NULL, NULL, 129, NULL, NULL, 17167),
(29481, '2emqA00', NULL, NULL, 157, NULL, NULL, 17167),
(29482, '3pc3A03', NULL, NULL, 156, NULL, NULL, 17167),
(29483, '4uuuA00', NULL, NULL, 139, NULL, NULL, 17167),
(29484, '3ocoB00', NULL, NULL, 153, NULL, NULL, 17167),
(29485, '2yziB00', NULL, NULL, 138, NULL, NULL, 17167),
(29486, '4cooA03', NULL, NULL, 143, NULL, NULL, 17167),
(29487, '3hf7A00', NULL, NULL, 130, NULL, NULL, 17167),
(29488, '3t4nC01', NULL, NULL, 186, NULL, NULL, 17167),
(29489, '2rc3C00', NULL, NULL, 135, NULL, NULL, 17167),
(29490, '3fnaB00', NULL, NULL, 127, NULL, NULL, 17167),
(29491, '4pcuB03', NULL, NULL, 142, NULL, NULL, 17167),
(29492, '2p9mB00', NULL, NULL, 138, NULL, NULL, 17167),
(29493, '4iysA00', NULL, NULL, 156, NULL, NULL, 17167),
(29494, '4l3vA03', NULL, NULL, 154, NULL, NULL, 17167),
(29495, '3lqnA00', NULL, NULL, 150, NULL, NULL, 17167),
(29496, '3lv9A00', NULL, NULL, 131, NULL, NULL, 17167),
(29497, '5ks7A00', NULL, NULL, 126, NULL, NULL, 17167),
(29498, '1xkfB00', NULL, NULL, 133, NULL, NULL, 17167),
(29499, '5tqqA02', NULL, NULL, 158, NULL, NULL, 17167),
(29500, '3fhmA00', NULL, NULL, 165, NULL, NULL, 17167),
(29501, '5k24C00', NULL, NULL, 153, NULL, NULL, 17167),
(29502, '3kxrA02', NULL, NULL, 126, NULL, NULL, 17167),
(29503, '2rihA00', NULL, NULL, 141, NULL, NULL, 17167),
(29504, '2ef7B00', NULL, NULL, 133, NULL, NULL, 17167),
(29505, '3ddjA02', NULL, NULL, 144, NULL, NULL, 17167),
(29506, '2d4zA00', NULL, NULL, 175, NULL, NULL, 17167),
(29507, '4fryB00', NULL, NULL, 157, NULL, NULL, 17167),
(29508, '4hg0A01', NULL, NULL, 147, NULL, NULL, 17167),
(29509, '3kpbA00', NULL, NULL, 122, NULL, NULL, 17167),
(29510, '1pbjA00', NULL, NULL, 125, NULL, NULL, 17167),
(29511, '3ddjA01', NULL, NULL, 152, NULL, NULL, 17167),
(29512, '4jmfA00', NULL, NULL, 50, NULL, NULL, 17168),
(29513, '1zpsA01', NULL, NULL, 102, NULL, NULL, 17169),
(29514, '2hiyB01', NULL, NULL, 91, NULL, NULL, 17170),
(29515, '3vg8C00', NULL, NULL, 116, NULL, NULL, 17171),
(29516, '5z42A00', NULL, NULL, 102, NULL, NULL, 17172),
(29517, '1x9zA01', NULL, NULL, 99, NULL, NULL, 17172),
(29518, '3ncvA01', NULL, NULL, 100, NULL, NULL, 17172),
(29519, '3kdgB01', NULL, NULL, 99, NULL, NULL, 17172),
(29520, '4twjA02', NULL, NULL, 99, NULL, NULL, 17173);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(29521, '6enxA02', NULL, NULL, 114, NULL, NULL, 17173),
(29522, '6eqsA02', NULL, NULL, 114, NULL, NULL, 17173),
(29523, '4rmhA02', NULL, NULL, 110, NULL, NULL, 17173),
(29524, '1q1aA02', NULL, NULL, 111, NULL, NULL, 17173),
(29525, '3u31A02', NULL, NULL, 99, NULL, NULL, 17173),
(29526, '4kxqA02', NULL, NULL, 114, NULL, NULL, 17173),
(29527, '4bn4A02', NULL, NULL, 108, NULL, NULL, 17173),
(29528, '2hjhA02', NULL, NULL, 139, NULL, NULL, 17173),
(29529, '1s5pA02', NULL, NULL, 95, NULL, NULL, 17173),
(29530, '1m2kA02', NULL, NULL, 93, NULL, NULL, 17173),
(29531, '1yc5A02', NULL, NULL, 95, NULL, NULL, 17173),
(29532, '6b4eA00', NULL, NULL, 296, NULL, NULL, 17174),
(29533, '3fbxA00', NULL, NULL, 543, NULL, NULL, 17175),
(29534, '3qugA00', NULL, NULL, 126, NULL, NULL, 17176),
(29535, '3rurD00', NULL, NULL, 121, NULL, NULL, 17176),
(29536, '2o6pA00', NULL, NULL, 123, NULL, NULL, 17176),
(29537, '2q7aA00', NULL, NULL, 152, NULL, NULL, 17176),
(29538, '5d1zI00', NULL, NULL, 157, NULL, NULL, 17176),
(29539, '3qzmA00', NULL, NULL, 127, NULL, NULL, 17176),
(29540, '4ympA00', NULL, NULL, 130, NULL, NULL, 17176),
(29541, '2moqA00', NULL, NULL, 163, NULL, NULL, 17176),
(29542, '3rurC00', NULL, NULL, 121, NULL, NULL, 17176),
(29543, '3rurB00', NULL, NULL, 121, NULL, NULL, 17176),
(29544, '3sz6A00', NULL, NULL, 121, NULL, NULL, 17176),
(29545, '3rurA00', NULL, NULL, 121, NULL, NULL, 17176),
(29546, '3rtlB00', NULL, NULL, 121, NULL, NULL, 17176),
(29547, '4mypA00', NULL, NULL, 122, NULL, NULL, 17176),
(29548, '4h8qA00', NULL, NULL, 129, NULL, NULL, 17176),
(29549, '2o1aA00', NULL, NULL, 126, NULL, NULL, 17176),
(29550, '3ovuB00', NULL, NULL, 146, NULL, NULL, 17176),
(29551, '4fc3E00', NULL, NULL, 144, NULL, NULL, 17176),
(29552, '5afbA01', NULL, NULL, 112, NULL, NULL, 17177),
(29553, '2jx9A00', NULL, NULL, 106, NULL, NULL, 17177),
(29554, '2zx2A02', NULL, NULL, 99, NULL, NULL, 17177),
(29555, '2zx2A01', NULL, NULL, 96, NULL, NULL, 17177),
(29556, '2j58A03', NULL, NULL, 81, NULL, NULL, 17178),
(29557, '1tm9A00', NULL, NULL, 137, NULL, NULL, 17179),
(29558, '2l1lB00', NULL, NULL, 127, NULL, NULL, 17180),
(29559, '3opyI00', NULL, NULL, 351, NULL, NULL, 17181),
(29560, '3puaA02', NULL, NULL, 86, NULL, NULL, 17182),
(29561, '3purA03', NULL, NULL, 128, NULL, NULL, 17182),
(29562, '2yu1A02', NULL, NULL, 125, NULL, NULL, 17182),
(29563, '3k3oA02', NULL, NULL, 94, NULL, NULL, 17182),
(29564, '3kv5D03', NULL, NULL, 107, NULL, NULL, 17182),
(29565, '4fjoA00', NULL, NULL, 97, NULL, NULL, 17183),
(29566, '4extA00', NULL, NULL, 96, NULL, NULL, 17183),
(29567, '4ba9A00', NULL, NULL, 114, NULL, NULL, 17183),
(29568, '4ipeB03', NULL, NULL, 96, NULL, NULL, 17184),
(29569, '3q6mA02', NULL, NULL, 117, NULL, NULL, 17184),
(29570, '1y4uA03', NULL, NULL, 98, NULL, NULL, 17184),
(29571, '2cgeA02', NULL, NULL, 116, NULL, NULL, 17184),
(29572, '5ulsA03', NULL, NULL, 94, NULL, NULL, 17184),
(29573, '2gq0B02', NULL, NULL, 93, NULL, NULL, 17184),
(29574, '2o1wA03', NULL, NULL, 93, NULL, NULL, 17184),
(29575, '1y6zA02', NULL, NULL, 87, NULL, NULL, 17184),
(29576, '3pryB02', NULL, NULL, 94, NULL, NULL, 17184),
(29577, '3hjcA02', NULL, NULL, 117, NULL, NULL, 17184),
(29578, '1usuA02', NULL, NULL, 86, NULL, NULL, 17184),
(29579, '4dnyA00', NULL, NULL, 126, NULL, NULL, 17185),
(29580, '2npnA02', NULL, NULL, 109, NULL, NULL, 17186),
(29581, '4e16A02', NULL, NULL, 121, NULL, NULL, 17186),
(29582, '2yboA02', NULL, NULL, 133, NULL, NULL, 17186),
(29583, '1ve2B02', NULL, NULL, 119, NULL, NULL, 17186),
(29584, '3kwpA02', NULL, NULL, 117, NULL, NULL, 17186),
(29585, '1va0B02', NULL, NULL, 126, NULL, NULL, 17186),
(29586, '3ndcA02', NULL, NULL, 123, NULL, NULL, 17186),
(29587, '2z6rA02', NULL, NULL, 151, NULL, NULL, 17186),
(29588, '1vhvB02', NULL, NULL, 144, NULL, NULL, 17186),
(29589, '1s4dE02', NULL, NULL, 151, NULL, NULL, 17186),
(29590, '2bb3A02', NULL, NULL, 97, NULL, NULL, 17186),
(29591, '1wdeA02', NULL, NULL, 174, NULL, NULL, 17186),
(29592, '3i4tA02', NULL, NULL, 160, NULL, NULL, 17186),
(29593, '3nd1A02', NULL, NULL, 113, NULL, NULL, 17186);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(29594, '3nutB02', NULL, NULL, 131, NULL, NULL, 17186),
(29595, '3fq6B00', NULL, NULL, 115, NULL, NULL, 17186),
(29596, '5hw4A02', NULL, NULL, 121, NULL, NULL, 17186),
(29597, '2qbuA02', NULL, NULL, 100, NULL, NULL, 17186),
(29598, '1cbfA02', NULL, NULL, 121, NULL, NULL, 17186),
(29599, '3ffyA00', NULL, NULL, 115, NULL, NULL, 17186),
(29600, '2e0nB02', NULL, NULL, 126, NULL, NULL, 17186),
(29601, '1pjqB05', NULL, NULL, 126, NULL, NULL, 17186),
(29602, '2zvbA02', NULL, NULL, 128, NULL, NULL, 17186),
(29603, '1wyzB02', NULL, NULL, 121, NULL, NULL, 17186),
(29604, '4jkxA02', NULL, NULL, 82, NULL, NULL, 17187),
(29605, '1gikA02', NULL, NULL, 81, NULL, NULL, 17187),
(29606, '1llnA02', NULL, NULL, 87, NULL, NULL, 17187),
(29607, '1bryY02', NULL, NULL, 85, NULL, NULL, 17187),
(29608, '4fb9A02', NULL, NULL, 104, NULL, NULL, 17187),
(29609, '3h5kA02', NULL, NULL, 81, NULL, NULL, 17187),
(29610, '1apaA02', NULL, NULL, 81, NULL, NULL, 17187),
(29611, '2pqgB02', NULL, NULL, 77, NULL, NULL, 17187),
(29612, '2oqaA02', NULL, NULL, 80, NULL, NULL, 17187),
(29613, '4hr6B02', NULL, NULL, 86, NULL, NULL, 17187),
(29614, '2q8wA02', NULL, NULL, 81, NULL, NULL, 17187),
(29615, '1dm0L02', NULL, NULL, 115, NULL, NULL, 17187),
(29616, '3mvgB02', NULL, NULL, 87, NULL, NULL, 17187),
(29617, '1ce7A02', NULL, NULL, 79, NULL, NULL, 17187),
(29618, '1ggpA02', NULL, NULL, 85, NULL, NULL, 17187),
(29619, '5z37A02', NULL, NULL, 85, NULL, NULL, 17187),
(29620, '2zr1A02', NULL, NULL, 91, NULL, NULL, 17187),
(29621, '2b7uA02', NULL, NULL, 82, NULL, NULL, 17187),
(29622, '2vlcA02', NULL, NULL, 117, NULL, NULL, 17187),
(29623, '1rl0A02', NULL, NULL, 74, NULL, NULL, 17187),
(29624, '4yp2B02', NULL, NULL, 84, NULL, NULL, 17187),
(29625, '3sj6A02', NULL, NULL, 84, NULL, NULL, 17187),
(29626, '1nioA02', NULL, NULL, 85, NULL, NULL, 17187),
(29627, '1m2tA02', NULL, NULL, 87, NULL, NULL, 17187),
(29628, '2z4uA02', NULL, NULL, 81, NULL, NULL, 17187),
(29629, '1mrjA02', NULL, NULL, 85, NULL, NULL, 17187),
(29630, '4za3A02', NULL, NULL, 84, NULL, NULL, 17187),
(29631, '3ktzA02', NULL, NULL, 83, NULL, NULL, 17187),
(29632, '4m1uA02', NULL, NULL, 127, NULL, NULL, 17187),
(29633, '3px8X02', NULL, NULL, 82, NULL, NULL, 17187),
(29634, '1onkA02', NULL, NULL, 81, NULL, NULL, 17187),
(29635, '1qi7A02', NULL, NULL, 72, NULL, NULL, 17187),
(29636, '1qciA02', NULL, NULL, 81, NULL, NULL, 17187),
(29637, '1cf5A02', NULL, NULL, 86, NULL, NULL, 17187),
(29638, '3bwhA02', NULL, NULL, 85, NULL, NULL, 17187),
(29639, '2g5xA02', NULL, NULL, 62, NULL, NULL, 17187),
(29640, '3hisA02', NULL, NULL, 83, NULL, NULL, 17187),
(29641, '4eb2A02', NULL, NULL, 80, NULL, NULL, 17187),
(29642, '2vs6B02', NULL, NULL, 85, NULL, NULL, 17187),
(29643, '3ctkA02', NULL, NULL, 81, NULL, NULL, 17187),
(29644, '1hwmA02', NULL, NULL, 89, NULL, NULL, 17187),
(29645, '1amlA00', NULL, NULL, 40, NULL, NULL, 17188),
(29646, '3nekB01', NULL, NULL, 125, NULL, NULL, 17189),
(29647, '3nekA02', NULL, NULL, 113, NULL, NULL, 17189),
(29648, '1a41A02', NULL, NULL, 98, NULL, NULL, 17190),
(29649, '2kxsA00', NULL, NULL, 146, NULL, NULL, 17191),
(29650, '3ud1A02', NULL, NULL, 168, NULL, NULL, 17191),
(29651, '4d8oA01', NULL, NULL, 161, NULL, NULL, 17191),
(29652, '3f59D00', NULL, NULL, 161, NULL, NULL, 17191),
(29653, '4d8oA02', NULL, NULL, 154, NULL, NULL, 17191),
(29654, '4xc5B00', NULL, NULL, 164, NULL, NULL, 17192),
(29655, '2oj5D00', NULL, NULL, 165, NULL, NULL, 17192),
(29656, '4gouA02', NULL, NULL, 161, NULL, NULL, 17193),
(29657, '4ckbA03', NULL, NULL, 134, NULL, NULL, 17194),
(29658, '3bl9A01', NULL, NULL, 110, NULL, NULL, 17195),
(29659, '1vlrA01', NULL, NULL, 104, NULL, NULL, 17195),
(29660, '5bv3D01', NULL, NULL, 125, NULL, NULL, 17195),
(29661, '2i7uA00', NULL, NULL, 62, NULL, NULL, 17196),
(29662, '3jybA00', NULL, NULL, 145, NULL, NULL, 17197),
(29663, '2ebfX02', NULL, NULL, 143, NULL, NULL, 17198),
(29664, '1c17M00', NULL, NULL, 177, NULL, NULL, 17199),
(29665, '1oltA02', NULL, NULL, 94, NULL, NULL, 17200),
(29666, '4l1gA00', NULL, NULL, 221, NULL, NULL, 17201),
(29667, '2y8uB00', NULL, NULL, 212, NULL, NULL, 17201);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(29668, '1z7aC00', NULL, NULL, 308, NULL, NULL, 17201),
(29669, '2j13A00', NULL, NULL, 247, NULL, NULL, 17201),
(29670, '1xw8A00', NULL, NULL, 252, NULL, NULL, 17201),
(29671, '2vyoA00', NULL, NULL, 220, NULL, NULL, 17201),
(29672, '4hd5A02', NULL, NULL, 219, NULL, NULL, 17201),
(29673, '2nlyA00', NULL, NULL, 226, NULL, NULL, 17201),
(29674, '3s6oA00', NULL, NULL, 321, NULL, NULL, 17201),
(29675, '2c1iA03', NULL, NULL, 195, NULL, NULL, 17201),
(29676, '2dfaA00', NULL, NULL, 250, NULL, NULL, 17201),
(29677, '2cc0A00', NULL, NULL, 195, NULL, NULL, 17201),
(29678, '4m1bA00', NULL, NULL, 208, NULL, NULL, 17201),
(29679, '2c71A00', NULL, NULL, 216, NULL, NULL, 17201),
(29680, '4u10A00', NULL, NULL, 264, NULL, NULL, 17201),
(29681, '3hftA00', NULL, NULL, 257, NULL, NULL, 17201),
(29682, '6go1A02', NULL, NULL, 221, NULL, NULL, 17201),
(29683, '2w3zA00', NULL, NULL, 244, NULL, NULL, 17201),
(29684, '3wx7A01', NULL, NULL, 307, NULL, NULL, 17201),
(29685, '4ly4A00', NULL, NULL, 292, NULL, NULL, 17201),
(29686, '4nz5A01', NULL, NULL, 311, NULL, NULL, 17201),
(29687, '1v6tA00', NULL, NULL, 255, NULL, NULL, 17201),
(29688, '5jmuA00', NULL, NULL, 226, NULL, NULL, 17201),
(29689, '2qv5A01', NULL, NULL, 247, NULL, NULL, 17201),
(29690, '4v33A02', NULL, NULL, 219, NULL, NULL, 17201),
(29691, '2i5iA00', NULL, NULL, 263, NULL, NULL, 17201),
(29692, '1ny1A00', NULL, NULL, 240, NULL, NULL, 17201),
(29693, '2e67A00', NULL, NULL, 264, NULL, NULL, 17201),
(29694, '4wcjA00', NULL, NULL, 235, NULL, NULL, 17201),
(29695, '3rxzA00', NULL, NULL, 300, NULL, NULL, 17201),
(29696, '2iw0A01', NULL, NULL, 220, NULL, NULL, 17201),
(29697, '2xu2A00', NULL, NULL, 252, NULL, NULL, 17201),
(29698, '5bu6A00', NULL, NULL, 277, NULL, NULL, 17201),
(29699, '5lfzA00', NULL, NULL, 205, NULL, NULL, 17201),
(29700, '3cl6A00', NULL, NULL, 308, NULL, NULL, 17201),
(29701, '3vusA00', NULL, NULL, 268, NULL, NULL, 17201),
(29702, '4p1nC00', NULL, NULL, 61, NULL, NULL, 17202),
(29703, '1dgwY01', NULL, NULL, 38, NULL, NULL, 17203),
(29704, '4le7A01', NULL, NULL, 186, NULL, NULL, 17204),
(29705, '4l7aA00', NULL, NULL, 271, NULL, NULL, 17205),
(29706, '4ufcA01', NULL, NULL, 334, NULL, NULL, 17206),
(29707, '2rdyA01', NULL, NULL, 389, NULL, NULL, 17206),
(29708, '2eabB01', NULL, NULL, 260, NULL, NULL, 17206),
(29709, '3w7tA01', NULL, NULL, 232, NULL, NULL, 17206),
(29710, '2zktA02', NULL, NULL, 99, NULL, NULL, 17207),
(29711, '1bmlC03', NULL, NULL, 83, NULL, NULL, 17208),
(29712, '1i8dC02', NULL, NULL, 98, NULL, NULL, 17209),
(29713, '4hizA03', NULL, NULL, 81, NULL, NULL, 17209),
(29714, '1fx0A01', NULL, NULL, 70, NULL, NULL, 17209),
(29715, '3ju4A03', NULL, NULL, 87, NULL, NULL, 17209),
(29716, '3oaaA01', NULL, NULL, 70, NULL, NULL, 17209),
(29717, '3a35A02', NULL, NULL, 98, NULL, NULL, 17209),
(29718, '3a35A01', NULL, NULL, 92, NULL, NULL, 17209),
(29719, '1skyB01', NULL, NULL, 70, NULL, NULL, 17209),
(29720, '2r9vA01', NULL, NULL, 71, NULL, NULL, 17209),
(29721, '6b8hK01', NULL, NULL, 95, NULL, NULL, 17209),
(29722, '5fl7A01', NULL, NULL, 71, NULL, NULL, 17209),
(29723, '3vr6A01', NULL, NULL, 78, NULL, NULL, 17209),
(29724, '5ik2K01', NULL, NULL, 70, NULL, NULL, 17209),
(29725, '3ziaB01', NULL, NULL, 71, NULL, NULL, 17209),
(29726, '3ddyA02', NULL, NULL, 90, NULL, NULL, 17209),
(29727, '1kzlA02', NULL, NULL, 107, NULL, NULL, 17209),
(29728, '3ddyA01', NULL, NULL, 87, NULL, NULL, 17209),
(29729, '1kzlA01', NULL, NULL, 89, NULL, NULL, 17209),
(29730, '4xd7B01', NULL, NULL, 69, NULL, NULL, 17209),
(29731, '2ck3A01', NULL, NULL, 70, NULL, NULL, 17209),
(29732, '4g6iB01', NULL, NULL, 93, NULL, NULL, 17209),
(29733, '2wssA01', NULL, NULL, 93, NULL, NULL, 17209),
(29734, '4g6iC02', NULL, NULL, 105, NULL, NULL, 17209),
(29735, '4xd7A01', NULL, NULL, 70, NULL, NULL, 17209),
(29736, '5cdfA01', NULL, NULL, 70, NULL, NULL, 17209),
(29737, '5dn6B01', NULL, NULL, 93, NULL, NULL, 17209),
(29738, '3gqbA01', NULL, NULL, 71, NULL, NULL, 17209),
(29739, '1i8dA01', NULL, NULL, 89, NULL, NULL, 17209),
(29740, '3a9sA03', NULL, NULL, 250, NULL, NULL, 17210),
(29741, '1fuiA03', NULL, NULL, 251, NULL, NULL, 17210);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(29742, '4c20A03', NULL, NULL, 250, NULL, NULL, 17210),
(29743, '3r2xC00', NULL, NULL, 93, NULL, NULL, 17211),
(29744, '1u84A00', NULL, NULL, 90, NULL, NULL, 17211),
(29745, '2wtuB04', NULL, NULL, 117, NULL, NULL, 17212),
(29746, '1wb9A03', NULL, NULL, 148, NULL, NULL, 17212),
(29747, '1wb9A04', NULL, NULL, 136, NULL, NULL, 17212),
(29748, '3thxA03', NULL, NULL, 237, NULL, NULL, 17212),
(29749, '3thxB04', NULL, NULL, 128, NULL, NULL, 17212),
(29750, '1e3mB04', NULL, NULL, 152, NULL, NULL, 17212),
(29751, '1e3mB05', NULL, NULL, 98, NULL, NULL, 17212),
(29752, '3thxB03', NULL, NULL, 184, NULL, NULL, 17212),
(29753, '5yk4A03', NULL, NULL, 147, NULL, NULL, 17212),
(29754, '5yk4A04', NULL, NULL, 136, NULL, NULL, 17212),
(29755, '1ewrB02', NULL, NULL, 187, NULL, NULL, 17212),
(29756, '2o8bA04', NULL, NULL, 83, NULL, NULL, 17212),
(29757, '1ewqA03', NULL, NULL, 149, NULL, NULL, 17212),
(29758, '2o8bB03', NULL, NULL, 188, NULL, NULL, 17212),
(29759, '1ewqA04', NULL, NULL, 136, NULL, NULL, 17212),
(29760, '2o8bB04', NULL, NULL, 133, NULL, NULL, 17212),
(29761, '2wtuB03', NULL, NULL, 186, NULL, NULL, 17212),
(29762, '1va6A01', NULL, NULL, 70, NULL, NULL, 17213),
(29763, '1z21A00', NULL, NULL, 112, NULL, NULL, 17214),
(29764, '2o3iA01', NULL, NULL, 240, NULL, NULL, 17215),
(29765, '5hjmA02', NULL, NULL, 79, NULL, NULL, 17216),
(29766, '2yx1A02', NULL, NULL, 89, NULL, NULL, 17216),
(29767, '3k6rA01', NULL, NULL, 86, NULL, NULL, 17216),
(29768, '2frnA01', NULL, NULL, 68, NULL, NULL, 17216),
(29769, '1q60A00', NULL, NULL, 99, NULL, NULL, 17217),
(29770, '2e3lA00', NULL, NULL, 99, NULL, NULL, 17217),
(29771, '2d99A00', NULL, NULL, 90, NULL, NULL, 17217),
(29772, '2ejeA00', NULL, NULL, 114, NULL, NULL, 17217),
(29773, '2ed2A00', NULL, NULL, 99, NULL, NULL, 17217),
(29774, '2d9bA00', NULL, NULL, 109, NULL, NULL, 17217),
(29775, '2dn5A00', NULL, NULL, 89, NULL, NULL, 17217),
(29776, '2dn4A00', NULL, NULL, 99, NULL, NULL, 17217),
(29777, '2dzqA01', NULL, NULL, 87, NULL, NULL, 17217),
(29778, '2dzrA00', NULL, NULL, 99, NULL, NULL, 17217),
(29779, '2ok2A03', NULL, NULL, 32, NULL, NULL, 17218),
(29780, '1enwA00', NULL, NULL, 114, NULL, NULL, 17219),
(29781, '5ti1A01', NULL, NULL, 142, NULL, NULL, 17220),
(29782, '1hyoA01', NULL, NULL, 113, NULL, NULL, 17220),
(29783, '4qkuA01', NULL, NULL, 138, NULL, NULL, 17220),
(29784, '4h8eA00', NULL, NULL, 238, NULL, NULL, 17221),
(29785, '1f75A00', NULL, NULL, 249, NULL, NULL, 17221),
(29786, '3ugsB00', NULL, NULL, 225, NULL, NULL, 17221),
(29787, '2vg1A00', NULL, NULL, 228, NULL, NULL, 17221),
(29788, '5hc8A00', NULL, NULL, 244, NULL, NULL, 17221),
(29789, '5hxqC00', NULL, NULL, 233, NULL, NULL, 17221),
(29790, '6acsA00', NULL, NULL, 240, NULL, NULL, 17221),
(29791, '4oncA01', NULL, NULL, 266, NULL, NULL, 17221),
(29792, '3wqlA01', NULL, NULL, 255, NULL, NULL, 17221),
(29793, '4q9mB00', NULL, NULL, 246, NULL, NULL, 17221),
(29794, '2d2rA00', NULL, NULL, 245, NULL, NULL, 17221),
(29795, '3sgvA00', NULL, NULL, 237, NULL, NULL, 17221),
(29796, '2r7rA07', NULL, NULL, 120, NULL, NULL, 17222),
(29797, '4f4fA01', NULL, NULL, 91, NULL, NULL, 17223),
(29798, '1vb3A01', NULL, NULL, 81, NULL, NULL, 17223),
(29799, '3v7nA01', NULL, NULL, 100, NULL, NULL, 17223),
(29800, '1kl7A01', NULL, NULL, 94, NULL, NULL, 17223),
(29801, '3p5pA02', NULL, NULL, 202, NULL, NULL, 17224),
(29802, '4lixA02', NULL, NULL, 211, NULL, NULL, 17224),
(29803, '3s9vA02', NULL, NULL, 203, NULL, NULL, 17224),
(29804, '3sdrA02', NULL, NULL, 215, NULL, NULL, 17224),
(29805, '1ugoA00', NULL, NULL, 99, NULL, NULL, 17225),
(29806, '4hwdD00', NULL, NULL, 90, NULL, NULL, 17225),
(29807, '3a8yD00', NULL, NULL, 114, NULL, NULL, 17225),
(29808, '1uk5A00', NULL, NULL, 111, NULL, NULL, 17225),
(29809, '4hwfA00', NULL, NULL, 88, NULL, NULL, 17225),
(29810, '4hwiB02', NULL, NULL, 106, NULL, NULL, 17225),
(29811, '5aqmD00', NULL, NULL, 118, NULL, NULL, 17225),
(29812, '4hwhE00', NULL, NULL, 88, NULL, NULL, 17225),
(29813, '2d9dA00', NULL, NULL, 89, NULL, NULL, 17225),
(29814, '1i6zA00', NULL, NULL, 135, NULL, NULL, 17225),
(29815, '1m62A00', NULL, NULL, 87, NULL, NULL, 17225);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(29816, '1t7sA00', NULL, NULL, 137, NULL, NULL, 17225),
(29817, '4bxmB00', NULL, NULL, 141, NULL, NULL, 17226),
(29818, '4bobA00', NULL, NULL, 136, NULL, NULL, 17226),
(29819, '4j38A00', NULL, NULL, 132, NULL, NULL, 17226),
(29820, '4aybA04', NULL, NULL, 74, NULL, NULL, 17227),
(29821, '3rrsA02', NULL, NULL, 50, NULL, NULL, 17228),
(29822, '3qdeA02', NULL, NULL, 48, NULL, NULL, 17228),
(29823, '3actA02', NULL, NULL, 50, NULL, NULL, 17228),
(29824, '2i15A01', NULL, NULL, 44, NULL, NULL, 17228),
(29825, '3zx3A02', NULL, NULL, 265, NULL, NULL, 17229),
(29826, '1u6zA02', NULL, NULL, 179, NULL, NULL, 17229),
(29827, '3hi0A02', NULL, NULL, 187, NULL, NULL, 17229),
(29828, '3cj1A02', NULL, NULL, 270, NULL, NULL, 17229),
(29829, '4brcA02', NULL, NULL, 228, NULL, NULL, 17229),
(29830, '3cerA02', NULL, NULL, 204, NULL, NULL, 17229),
(29831, '1t6cA02', NULL, NULL, 181, NULL, NULL, 17229),
(29832, '3mdqA02', NULL, NULL, 189, NULL, NULL, 17229),
(29833, '2pbyB02', NULL, NULL, 139, NULL, NULL, 17230),
(29834, '1mkiA02', NULL, NULL, 138, NULL, NULL, 17230),
(29835, '2wzpR03', NULL, NULL, 80, NULL, NULL, 17231),
(29836, '2lhtA01', NULL, NULL, 76, NULL, NULL, 17232),
(29837, '4rzlA00', NULL, NULL, 232, NULL, NULL, 17233),
(29838, '4f0qD01', NULL, NULL, 264, NULL, NULL, 17233),
(29839, '4oc8A01', NULL, NULL, 216, NULL, NULL, 17233),
(29840, '5k7bB00', NULL, NULL, 98, NULL, NULL, 17234),
(29841, '5hheA00', NULL, NULL, 93, NULL, NULL, 17234),
(29842, '3q8tA00', NULL, NULL, 96, NULL, NULL, 17234),
(29843, '4gehA00', NULL, NULL, 207, NULL, NULL, 17235),
(29844, '4dleA02', NULL, NULL, 117, NULL, NULL, 17236),
(29845, '6fbcA02', NULL, NULL, 117, NULL, NULL, 17236),
(29846, '1kfdA02', NULL, NULL, 71, NULL, NULL, 17236),
(29847, '1t7pA02', NULL, NULL, 182, NULL, NULL, 17236),
(29848, '2kfnA02', NULL, NULL, 116, NULL, NULL, 17236),
(29849, '4yfuA02', NULL, NULL, 115, NULL, NULL, 17236),
(29850, '4indA02', NULL, NULL, 113, NULL, NULL, 17237),
(29851, '4a1gB00', NULL, NULL, 152, NULL, NULL, 17238),
(29852, '4aezI01', NULL, NULL, 198, NULL, NULL, 17238),
(29853, '3si5B00', NULL, NULL, 159, NULL, NULL, 17238),
(29854, '2wviA00', NULL, NULL, 164, NULL, NULL, 17238),
(29855, '3bgeA02', NULL, NULL, 100, NULL, NULL, 17239),
(29856, '2r9gA02', NULL, NULL, 82, NULL, NULL, 17239),
(29857, '3ctdB02', NULL, NULL, 84, NULL, NULL, 17239),
(29858, '3pvsA04', NULL, NULL, 102, NULL, NULL, 17239),
(29859, '3ctdA02', NULL, NULL, 67, NULL, NULL, 17239),
(29860, '3gkqA02', NULL, NULL, 58, NULL, NULL, 17240),
(29861, '2de6A02', NULL, NULL, 58, NULL, NULL, 17240),
(29862, '1z01A02', NULL, NULL, 61, NULL, NULL, 17240),
(29863, '3gcfA02', NULL, NULL, 58, NULL, NULL, 17240),
(29864, '3s6xC02', NULL, NULL, 29, NULL, NULL, 17241),
(29865, '6ig5A02', NULL, NULL, 229, NULL, NULL, 17242),
(29866, '1w27A02', NULL, NULL, 332, NULL, NULL, 17242),
(29867, '6n1mA02', NULL, NULL, 268, NULL, NULL, 17242),
(29868, '6at7B02', NULL, NULL, 335, NULL, NULL, 17242),
(29869, '5uppA02', NULL, NULL, 269, NULL, NULL, 17242),
(29870, '3ocfD02', NULL, NULL, 267, NULL, NULL, 17242),
(29871, '3unvA02', NULL, NULL, 328, NULL, NULL, 17242),
(29872, '3qbpB02', NULL, NULL, 270, NULL, NULL, 17242),
(29873, '4eeiA02', NULL, NULL, 256, NULL, NULL, 17242),
(29874, '5eyvA02', NULL, NULL, 323, NULL, NULL, 17242),
(29875, '1k62A02', NULL, NULL, 228, NULL, NULL, 17242),
(29876, '1jswA02', NULL, NULL, 268, NULL, NULL, 17242),
(29877, '1c3cA02', NULL, NULL, 256, NULL, NULL, 17242),
(29878, '1tj7A02', NULL, NULL, 279, NULL, NULL, 17242),
(29879, '2e9fA02', NULL, NULL, 283, NULL, NULL, 17242),
(29880, '1gkmA02', NULL, NULL, 312, NULL, NULL, 17242),
(29881, '3rrpA02', NULL, NULL, 270, NULL, NULL, 17242),
(29882, '1q5nA02', NULL, NULL, 256, NULL, NULL, 17242),
(29883, '2ptrA02', NULL, NULL, 281, NULL, NULL, 17242),
(29884, '2qveA02', NULL, NULL, 333, NULL, NULL, 17242),
(29885, '4nslB02', NULL, NULL, 275, NULL, NULL, 17242),
(29886, '3c8tA02', NULL, NULL, 256, NULL, NULL, 17242),
(29887, '1k7wA02', NULL, NULL, 228, NULL, NULL, 17242),
(29888, '1yfmA02', NULL, NULL, 269, NULL, NULL, 17242);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(29889, '4admC02', NULL, NULL, 270, NULL, NULL, 17242),
(29890, '5vkwB02', NULL, NULL, 336, NULL, NULL, 17242),
(29891, '1yisA02', NULL, NULL, 338, NULL, NULL, 17242),
(29892, '1y2mC02', NULL, NULL, 342, NULL, NULL, 17242),
(29893, '2felA00', NULL, NULL, 359, NULL, NULL, 17242),
(29894, '2x75A02', NULL, NULL, 256, NULL, NULL, 17242),
(29895, '4mx2D02', NULL, NULL, 270, NULL, NULL, 17242),
(29896, '4c5sA02', NULL, NULL, 337, NULL, NULL, 17242),
(29897, '1vdkA02', NULL, NULL, 266, NULL, NULL, 17242),
(29898, '3gtdA02', NULL, NULL, 269, NULL, NULL, 17242),
(29899, '2o6yA02', NULL, NULL, 319, NULL, NULL, 17242),
(29900, '1furA02', NULL, NULL, 269, NULL, NULL, 17242),
(29901, '1i0aA02', NULL, NULL, 231, NULL, NULL, 17242),
(29902, '1re5D02', NULL, NULL, 256, NULL, NULL, 17242),
(29903, '5v4lD02', NULL, NULL, 337, NULL, NULL, 17242),
(29904, '1dofA01', NULL, NULL, 253, NULL, NULL, 17242),
(29905, '2nynA02', NULL, NULL, 342, NULL, NULL, 17242),
(29906, '4hgvD02', NULL, NULL, 268, NULL, NULL, 17242),
(29907, '2nyfA02', NULL, NULL, 335, NULL, NULL, 17242),
(29908, '5xnyA02', NULL, NULL, 265, NULL, NULL, 17242),
(29909, '3tv2A02', NULL, NULL, 269, NULL, NULL, 17242),
(29910, '2j91C02', NULL, NULL, 332, NULL, NULL, 17242),
(29911, '2qgaC02', NULL, NULL, 283, NULL, NULL, 17242),
(29912, '3rd8A02', NULL, NULL, 270, NULL, NULL, 17242),
(29913, '4nleA01', NULL, NULL, 259, NULL, NULL, 17242),
(29914, '3bhgA02', NULL, NULL, 275, NULL, NULL, 17242),
(29915, '2pfmA02', NULL, NULL, 256, NULL, NULL, 17242),
(29916, '3r6qA02', NULL, NULL, 268, NULL, NULL, 17242),
(29917, '4efcA02', NULL, NULL, 273, NULL, NULL, 17242),
(29918, '2b2nB01', NULL, NULL, 232, NULL, NULL, 17243),
(29919, '3hjhA01', NULL, NULL, 267, NULL, NULL, 17243),
(29920, '4gu4A01', NULL, NULL, 56, NULL, NULL, 17244),
(29921, '2vrsA02', NULL, NULL, 40, NULL, NULL, 17244),
(29922, '1v1hD00', NULL, NULL, 103, NULL, NULL, 17244),
(29923, '2bsfA01', NULL, NULL, 31, NULL, NULL, 17244),
(29924, '1v1hF01', NULL, NULL, 73, NULL, NULL, 17244),
(29925, '3s6xC03', NULL, NULL, 40, NULL, NULL, 17244),
(29926, '2jxmB01', NULL, NULL, 191, NULL, NULL, 17245),
(29927, '1hczA01', NULL, NULL, 193, NULL, NULL, 17245),
(29928, '4ogqC01', NULL, NULL, 192, NULL, NULL, 17245),
(29929, '1ci3M01', NULL, NULL, 190, NULL, NULL, 17245),
(29930, '1e2wA01', NULL, NULL, 191, NULL, NULL, 17245),
(29931, '4i7zC01', NULL, NULL, 192, NULL, NULL, 17245),
(29932, '1r9wA00', NULL, NULL, 145, NULL, NULL, 17246),
(29933, '1f08B00', NULL, NULL, 148, NULL, NULL, 17246),
(29934, '2knjA00', NULL, NULL, 90, NULL, NULL, 17247),
(29935, '3q23A03', NULL, NULL, 72, NULL, NULL, 17248),
(29936, '1zvaA00', NULL, NULL, 77, NULL, NULL, 17249),
(29937, '3swfC00', NULL, NULL, 54, NULL, NULL, 17249),
(29938, '2bezC00', NULL, NULL, 77, NULL, NULL, 17249),
(29939, '1zv8G00', NULL, NULL, 50, NULL, NULL, 17249),
(29940, '4njlA00', NULL, NULL, 131, NULL, NULL, 17249),
(29941, '3efgA00', NULL, NULL, 58, NULL, NULL, 17249),
(29942, '1wdgB00', NULL, NULL, 94, NULL, NULL, 17249),
(29943, '1wdfA00', NULL, NULL, 95, NULL, NULL, 17249),
(29944, '5zvkA00', NULL, NULL, 80, NULL, NULL, 17249),
(29945, '4n6jA00', NULL, NULL, 50, NULL, NULL, 17249),
(29946, '1svfA00', NULL, NULL, 64, NULL, NULL, 17249),
(29947, '2ieqA00', NULL, NULL, 109, NULL, NULL, 17249),
(29948, '2fyzE00', NULL, NULL, 63, NULL, NULL, 17249),
(29949, '4n6jB00', NULL, NULL, 50, NULL, NULL, 17249),
(29950, '1wncA00', NULL, NULL, 80, NULL, NULL, 17249),
(29951, '1wncB00', NULL, NULL, 112, NULL, NULL, 17249),
(29952, '4eijA00', NULL, NULL, 65, NULL, NULL, 17249),
(29953, '3kpeA00', NULL, NULL, 51, NULL, NULL, 17249),
(29954, '4modA00', NULL, NULL, 90, NULL, NULL, 17249),
(29955, '3swyA00', NULL, NULL, 46, NULL, NULL, 17249),
(29956, '1wyyB00', NULL, NULL, 149, NULL, NULL, 17249),
(29957, '1mswD04', NULL, NULL, 78, NULL, NULL, 17250),
(29958, '3gmfA02', NULL, NULL, 103, NULL, NULL, 17251),
(29959, '4o8uA00', NULL, NULL, 229, NULL, NULL, 17252),
(29960, '4yorB00', NULL, NULL, 229, NULL, NULL, 17252),
(29961, '5o7oC01', NULL, NULL, 125, NULL, NULL, 17253);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(29962, '2x0qA01', NULL, NULL, 140, NULL, NULL, 17253),
(29963, '1qwyA01', NULL, NULL, 62, NULL, NULL, 17254),
(29964, '4fw1A02', NULL, NULL, 55, NULL, NULL, 17255),
(29965, '5tc2A00', NULL, NULL, 56, NULL, NULL, 17255),
(29966, '1ihvA00', NULL, NULL, 52, NULL, NULL, 17255),
(29967, '1c6vX00', NULL, NULL, 58, NULL, NULL, 17255),
(29968, '5d7uA00', NULL, NULL, 58, NULL, NULL, 17255),
(29969, '1ex4B02', NULL, NULL, 59, NULL, NULL, 17255),
(29970, '3iwpH00', NULL, NULL, 249, NULL, NULL, 17256),
(29971, '4r9xA00', NULL, NULL, 233, NULL, NULL, 17256),
(29972, '1x7iA00', NULL, NULL, 256, NULL, NULL, 17256),
(29973, '2bdqA00', NULL, NULL, 224, NULL, NULL, 17256),
(29974, '4flaC00', NULL, NULL, 131, NULL, NULL, 17257),
(29975, '2wujA00', NULL, NULL, 57, NULL, NULL, 17258),
(29976, '3s6xC01', NULL, NULL, 58, NULL, NULL, 17259),
(29977, '2zihC00', NULL, NULL, 283, NULL, NULL, 17260),
(29978, '3kn1A00', NULL, NULL, 249, NULL, NULL, 17260),
(29979, '1afoA00', NULL, NULL, 40, NULL, NULL, 17261),
(29980, '2j58A04', NULL, NULL, 35, NULL, NULL, 17261),
(29981, '5tw4A02', NULL, NULL, 69, NULL, NULL, 17262),
(29982, '2r33B00', NULL, NULL, 58, NULL, NULL, 17263),
(29983, '2aihA00', NULL, NULL, 67, NULL, NULL, 17263),
(29984, '1bi6H00', NULL, NULL, 41, NULL, NULL, 17263),
(29985, '2qn5B02', NULL, NULL, 66, NULL, NULL, 17263),
(29986, '2qn5B01', NULL, NULL, 67, NULL, NULL, 17263),
(29987, '3mywI00', NULL, NULL, 72, NULL, NULL, 17263),
(29988, '5j4sB00', NULL, NULL, 71, NULL, NULL, 17263),
(29989, '2fj8A01', NULL, NULL, 63, NULL, NULL, 17263),
(29990, '1pi2A00', NULL, NULL, 63, NULL, NULL, 17263),
(29991, '2fj8A02', NULL, NULL, 62, NULL, NULL, 17263),
(29992, '2ilnI00', NULL, NULL, 62, NULL, NULL, 17263),
(29993, '1d6rI00', NULL, NULL, 58, NULL, NULL, 17263),
(29994, '1h34A00', NULL, NULL, 83, NULL, NULL, 17263),
(29995, '2g81I00', NULL, NULL, 67, NULL, NULL, 17263),
(29996, '1pbiA00', NULL, NULL, 72, NULL, NULL, 17263),
(29997, '2ot6B00', NULL, NULL, 62, NULL, NULL, 17263),
(29998, '1vhmB00', NULL, NULL, 175, NULL, NULL, 17264),
(29999, '4rq9A02', NULL, NULL, 202, NULL, NULL, 17264),
(30000, '3oovA00', NULL, NULL, 169, NULL, NULL, 17264),
(30001, '3e98B00', NULL, NULL, 188, NULL, NULL, 17264),
(30002, '3lfvB02', NULL, NULL, 214, NULL, NULL, 17264),
(30003, '3mq0B02', NULL, NULL, 177, NULL, NULL, 17264),
(30004, '4q0jA01', NULL, NULL, 236, NULL, NULL, 17264),
(30005, '3lfvB01', NULL, NULL, 217, NULL, NULL, 17264),
(30006, '1yspA00', NULL, NULL, 181, NULL, NULL, 17264),
(30007, '4lrzE01', NULL, NULL, 190, NULL, NULL, 17264),
(30008, '3zq5A01', NULL, NULL, 225, NULL, NULL, 17264),
(30009, '3k2nA00', NULL, NULL, 177, NULL, NULL, 17264),
(30010, '3ci6B00', NULL, NULL, 171, NULL, NULL, 17264),
(30011, '3kshA00', NULL, NULL, 160, NULL, NULL, 17264),
(30012, '2w3gA00', NULL, NULL, 153, NULL, NULL, 17264),
(30013, '4g3kA00', NULL, NULL, 175, NULL, NULL, 17264),
(30014, '2zmfA00', NULL, NULL, 189, NULL, NULL, 17264),
(30015, '2qybA00', NULL, NULL, 159, NULL, NULL, 17264),
(30016, '4s21B01', NULL, NULL, 199, NULL, NULL, 17264),
(30017, '2xssA00', NULL, NULL, 181, NULL, NULL, 17264),
(30018, '2vzwB00', NULL, NULL, 149, NULL, NULL, 17264),
(30019, '4cqhA02', NULL, NULL, 172, NULL, NULL, 17264),
(30020, '3mmhA00', NULL, NULL, 167, NULL, NULL, 17264),
(30021, '5hpfA00', NULL, NULL, 178, NULL, NULL, 17264),
(30022, '4glqA00', NULL, NULL, 171, NULL, NULL, 17264),
(30023, '4r70B01', NULL, NULL, 210, NULL, NULL, 17264),
(30024, '5tjjB02', NULL, NULL, 183, NULL, NULL, 17264),
(30025, '4g3vA00', NULL, NULL, 172, NULL, NULL, 17264),
(30026, '2g7uA02', NULL, NULL, 178, NULL, NULL, 17264),
(30027, '3o5yB00', NULL, NULL, 149, NULL, NULL, 17264),
(30028, '3citA00', NULL, NULL, 160, NULL, NULL, 17264),
(30029, '2k2nA00', NULL, NULL, 172, NULL, NULL, 17264),
(30030, '3bjnA00', NULL, NULL, 165, NULL, NULL, 17264),
(30031, '3d3oB00', NULL, NULL, 178, NULL, NULL, 17264),
(30032, '4e04A02', NULL, NULL, 205, NULL, NULL, 17264),
(30033, '2xrnA02', NULL, NULL, 177, NULL, NULL, 17264),
(30034, '2gx5C00', NULL, NULL, 170, NULL, NULL, 17264),
(30035, '1ztuA02', NULL, NULL, 170, NULL, NULL, 17264);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(30036, '5llyA02', NULL, NULL, 185, NULL, NULL, 17264),
(30037, '6mghD00', NULL, NULL, 163, NULL, NULL, 17264),
(30038, '1mc0A01', NULL, NULL, 166, NULL, NULL, 17264),
(30039, '4q0hA02', NULL, NULL, 170, NULL, NULL, 17264),
(30040, '2o0yB02', NULL, NULL, 177, NULL, NULL, 17264),
(30041, '3ibjA01', NULL, NULL, 177, NULL, NULL, 17264),
(30042, '3ibjA02', NULL, NULL, 182, NULL, NULL, 17264),
(30043, '2oolB02', NULL, NULL, 201, NULL, NULL, 17264),
(30044, '4y2fA00', NULL, NULL, 149, NULL, NULL, 17264),
(30045, '2ia2A02', NULL, NULL, 182, NULL, NULL, 17264),
(30046, '1f5mA00', NULL, NULL, 180, NULL, NULL, 17264),
(30047, '4mn7A00', NULL, NULL, 149, NULL, NULL, 17264),
(30048, '3e0yA00', NULL, NULL, 181, NULL, NULL, 17264),
(30049, '3hcyA00', NULL, NULL, 151, NULL, NULL, 17264),
(30050, '4mcwB01', NULL, NULL, 166, NULL, NULL, 17264),
(30051, '3r4kA02', NULL, NULL, 183, NULL, NULL, 17264),
(30052, '5hsqA01', NULL, NULL, 212, NULL, NULL, 17264),
(30053, '4etxA01', NULL, NULL, 164, NULL, NULL, 17264),
(30054, '2o99B00', NULL, NULL, 182, NULL, NULL, 17264),
(30055, '5ey1B00', NULL, NULL, 168, NULL, NULL, 17264),
(30056, '3nhqB01', NULL, NULL, 214, NULL, NULL, 17264),
(30057, '3eeaA00', NULL, NULL, 162, NULL, NULL, 17264),
(30058, '1mkmB02', NULL, NULL, 171, NULL, NULL, 17264),
(30059, '4gw9A01', NULL, NULL, 215, NULL, NULL, 17264),
(30060, '3dbaA00', NULL, NULL, 180, NULL, NULL, 17264),
(30061, '5zohA00', NULL, NULL, 178, NULL, NULL, 17264),
(30062, '5hl6B00', NULL, NULL, 178, NULL, NULL, 17264),
(30063, '4iuhA00', NULL, NULL, 145, NULL, NULL, 17264),
(30064, '3trcA00', NULL, NULL, 171, NULL, NULL, 17264),
(30065, '1tf1B00', NULL, NULL, 181, NULL, NULL, 17264),
(30066, '1ysqA00', NULL, NULL, 193, NULL, NULL, 17264),
(30067, '5ajgA02', NULL, NULL, 172, NULL, NULL, 17264),
(30068, '3d3oA00', NULL, NULL, 178, NULL, NULL, 17264),
(30069, '2vjwA00', NULL, NULL, 149, NULL, NULL, 17264),
(30070, '1stzA02', NULL, NULL, 151, NULL, NULL, 17264),
(30071, '2w1rA00', NULL, NULL, 123, NULL, NULL, 17264),
(30072, '3rfbB00', NULL, NULL, 171, NULL, NULL, 17264),
(30073, '6bhnA00', NULL, NULL, 164, NULL, NULL, 17264),
(30074, '4bwiB02', NULL, NULL, 199, NULL, NULL, 17264),
(30075, '5dfyA00', NULL, NULL, 167, NULL, NULL, 17264),
(30076, '1ykdB01', NULL, NULL, 197, NULL, NULL, 17264),
(30077, '6baoA01', NULL, NULL, 219, NULL, NULL, 17264),
(30078, '3obfA00', NULL, NULL, 176, NULL, NULL, 17264),
(30079, '1ykdB02', NULL, NULL, 201, NULL, NULL, 17264),
(30080, '4pauA00', NULL, NULL, 133, NULL, NULL, 17264),
(30081, '2k31A00', NULL, NULL, 150, NULL, NULL, 17264),
(30082, '4bwiB01', NULL, NULL, 202, NULL, NULL, 17264),
(30083, '2qneA01', NULL, NULL, 468, NULL, NULL, 17265),
(30084, '4yycA00', NULL, NULL, 490, NULL, NULL, 17265),
(30085, '3df7A01', NULL, NULL, 98, NULL, NULL, 17266),
(30086, '3sxmA00', NULL, NULL, 140, NULL, NULL, 17267),
(30087, '2di3B02', NULL, NULL, 163, NULL, NULL, 17267),
(30088, '3c7jA02', NULL, NULL, 146, NULL, NULL, 17267),
(30089, '2hs5A02', NULL, NULL, 146, NULL, NULL, 17267),
(30090, '3ihuA02', NULL, NULL, 141, NULL, NULL, 17267),
(30091, '3sxyA02', NULL, NULL, 141, NULL, NULL, 17267),
(30092, '1hw1A02', NULL, NULL, 160, NULL, NULL, 17267),
(30093, '4p9fA02', NULL, NULL, 145, NULL, NULL, 17267),
(30094, '5tpmB00', NULL, NULL, 141, NULL, NULL, 17267),
(30095, '1c89A02', NULL, NULL, 64, NULL, NULL, 17268),
(30096, '5xqvA00', NULL, NULL, 67, NULL, NULL, 17268),
(30097, '3ameA00', NULL, NULL, 66, NULL, NULL, 17268),
(30098, '2wqpA02', NULL, NULL, 73, NULL, NULL, 17268),
(30099, '1ucsA00', NULL, NULL, 64, NULL, NULL, 17268),
(30100, '1vliA02', NULL, NULL, 70, NULL, NULL, 17268),
(30101, '4ny6A00', NULL, NULL, 65, NULL, NULL, 17268),
(30102, '3frnA02', NULL, NULL, 68, NULL, NULL, 17268),
(30103, '4ur4A00', NULL, NULL, 67, NULL, NULL, 17268),
(30104, '1wvoA00', NULL, NULL, 79, NULL, NULL, 17268),
(30105, '2lx2A00', NULL, NULL, 67, NULL, NULL, 17268),
(30106, '1msiA00', NULL, NULL, 70, NULL, NULL, 17268),
(30107, '1opsA00', NULL, NULL, 64, NULL, NULL, 17268),
(30108, '3qf6A00', NULL, NULL, 66, NULL, NULL, 17268);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(30109, '3g8rB02', NULL, NULL, 90, NULL, NULL, 17268),
(30110, '3w5mA06', NULL, NULL, 111, NULL, NULL, 17269),
(30111, '4ktpB02', NULL, NULL, 90, NULL, NULL, 17269),
(30112, '1h54A03', NULL, NULL, 74, NULL, NULL, 17269),
(30113, '3qdeA03', NULL, NULL, 86, NULL, NULL, 17269),
(30114, '3rrsA03', NULL, NULL, 84, NULL, NULL, 17269),
(30115, '1v7wA02', NULL, NULL, 90, NULL, NULL, 17269),
(30116, '2okxA04', NULL, NULL, 92, NULL, NULL, 17269),
(30117, '3actA03', NULL, NULL, 84, NULL, NULL, 17269),
(30118, '3wirA03', NULL, NULL, 77, NULL, NULL, 17269),
(30119, '4l4yA00', NULL, NULL, 249, NULL, NULL, 17270),
(30120, '3nzeA00', NULL, NULL, 267, NULL, NULL, 17270),
(30121, '1y89A00', NULL, NULL, 238, NULL, NULL, 17270),
(30122, '3tx2A00', NULL, NULL, 251, NULL, NULL, 17270),
(30123, '3kv1A00', NULL, NULL, 267, NULL, NULL, 17270),
(30124, '1lk5A01', NULL, NULL, 150, NULL, NULL, 17270),
(30125, '1xtzA01', NULL, NULL, 162, NULL, NULL, 17270),
(30126, '6eepA01', NULL, NULL, 146, NULL, NULL, 17270),
(30127, '3cssA00', NULL, NULL, 267, NULL, NULL, 17270),
(30128, '1o8bB01', NULL, NULL, 147, NULL, NULL, 17270),
(30129, '4tm7A00', NULL, NULL, 256, NULL, NULL, 17270),
(30130, '3ixqA01', NULL, NULL, 148, NULL, NULL, 17270),
(30131, '2bkxA00', NULL, NULL, 242, NULL, NULL, 17270),
(30132, '3e15A00', NULL, NULL, 312, NULL, NULL, 17270),
(30133, '2r5fA00', NULL, NULL, 264, NULL, NULL, 17270),
(30134, '3hheA01', NULL, NULL, 142, NULL, NULL, 17270),
(30135, '3icoA00', NULL, NULL, 245, NULL, NULL, 17270),
(30136, '3eb9A00', NULL, NULL, 266, NULL, NULL, 17270),
(30137, '5uf2A01', NULL, NULL, 150, NULL, NULL, 17270),
(30138, '3l7oA01', NULL, NULL, 142, NULL, NULL, 17270),
(30139, '2gnpA00', NULL, NULL, 266, NULL, NULL, 17270),
(30140, '3nwpA00', NULL, NULL, 233, NULL, NULL, 17270),
(30141, '1vl1A00', NULL, NULL, 232, NULL, NULL, 17270),
(30142, '6j1kA01', NULL, NULL, 144, NULL, NULL, 17270),
(30143, '4nmlA01', NULL, NULL, 149, NULL, NULL, 17270),
(30144, '2w48C02', NULL, NULL, 261, NULL, NULL, 17270),
(30145, '2ri0A00', NULL, NULL, 234, NULL, NULL, 17270),
(30146, '1fs5A00', NULL, NULL, 266, NULL, NULL, 17270),
(30147, '1m0sA01', NULL, NULL, 146, NULL, NULL, 17270),
(30148, '4gmkA01', NULL, NULL, 147, NULL, NULL, 17270),
(30149, '4r9nA00', NULL, NULL, 254, NULL, NULL, 17270),
(30150, '3uw1A01', NULL, NULL, 162, NULL, NULL, 17270),
(30151, '4io1A01', NULL, NULL, 152, NULL, NULL, 17270),
(30152, '5hj5A00', NULL, NULL, 267, NULL, NULL, 17270),
(30153, '3lhiA00', NULL, NULL, 232, NULL, NULL, 17270),
(30154, '3hn6F00', NULL, NULL, 271, NULL, NULL, 17270),
(30155, '3enqA01', NULL, NULL, 145, NULL, NULL, 17270),
(30156, '4x84B01', NULL, NULL, 159, NULL, NULL, 17270),
(30157, '2f8mA01', NULL, NULL, 152, NULL, NULL, 17270),
(30158, '1uj6A01', NULL, NULL, 146, NULL, NULL, 17270),
(30159, '3efbC00', NULL, NULL, 266, NULL, NULL, 17270),
(30160, '1ne7B00', NULL, NULL, 289, NULL, NULL, 17270),
(30161, '4oqpA00', NULL, NULL, 264, NULL, NULL, 17270),
(30162, '2okgA00', NULL, NULL, 255, NULL, NULL, 17270),
(30163, '2o0mA00', NULL, NULL, 251, NULL, NULL, 17270),
(30164, '3lwdA00', NULL, NULL, 226, NULL, NULL, 17270),
(30165, '3s28A02', NULL, NULL, 130, NULL, NULL, 17271),
(30166, '4rbnA02', NULL, NULL, 131, NULL, NULL, 17271),
(30167, '3drwA02', NULL, NULL, 119, NULL, NULL, 17272),
(30168, '5k27A02', NULL, NULL, 118, NULL, NULL, 17272),
(30169, '4b8rA02', NULL, NULL, 106, NULL, NULL, 17272),
(30170, '5od2A02', NULL, NULL, 118, NULL, NULL, 17272),
(30171, '5o0jA02', NULL, NULL, 106, NULL, NULL, 17272),
(30172, '6c8zA02', NULL, NULL, 115, NULL, NULL, 17272),
(30173, '1ua4A02', NULL, NULL, 112, NULL, NULL, 17272),
(30174, '2aw4201', NULL, NULL, 29, NULL, NULL, 17273),
(30175, '3tw8A02', NULL, NULL, 164, NULL, NULL, 17274),
(30176, '3aiiA02', NULL, NULL, 64, NULL, NULL, 17275),
(30177, '1w1wE00', NULL, NULL, 82, NULL, NULL, 17276),
(30178, '5xnsC00', NULL, NULL, 74, NULL, NULL, 17276),
(30179, '4hsaC01', NULL, NULL, 167, NULL, NULL, 17277),
(30180, '3lq9A00', NULL, NULL, 134, NULL, NULL, 17278),
(30181, '4iveA01', NULL, NULL, 72, NULL, NULL, 17279);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(30182, '4iveB01', NULL, NULL, 74, NULL, NULL, 17279),
(30183, '3kujA01', NULL, NULL, 73, NULL, NULL, 17279),
(30184, '2o3lA00', NULL, NULL, 85, NULL, NULL, 17279),
(30185, '1ifwA00', NULL, NULL, 92, NULL, NULL, 17279),
(30186, '2o3lB00', NULL, NULL, 85, NULL, NULL, 17279),
(30187, '1jgnA00', NULL, NULL, 98, NULL, NULL, 17279),
(30188, '1i2tA00', NULL, NULL, 61, NULL, NULL, 17279),
(30189, '2dydA00', NULL, NULL, 85, NULL, NULL, 17279),
(30190, '2o4tA00', NULL, NULL, 100, NULL, NULL, 17279),
(30191, '6h7bA01', NULL, NULL, 75, NULL, NULL, 17279),
(30192, '1nmrA01', NULL, NULL, 76, NULL, NULL, 17279),
(30193, '4iveC01', NULL, NULL, 73, NULL, NULL, 17279),
(30194, '2hh6A00', NULL, NULL, 113, NULL, NULL, 17279),
(30195, '4iveD01', NULL, NULL, 73, NULL, NULL, 17279),
(30196, '2l1iA00', NULL, NULL, 122, NULL, NULL, 17280),
(30197, '3k2yA00', NULL, NULL, 109, NULL, NULL, 17280),
(30198, '5iq6A01', NULL, NULL, 99, NULL, NULL, 17281),
(30199, '5u0cF01', NULL, NULL, 97, NULL, NULL, 17281),
(30200, '4hdhA01', NULL, NULL, 96, NULL, NULL, 17281),
(30201, '5hmyA01', NULL, NULL, 92, NULL, NULL, 17281),
(30202, '5k5mA01', NULL, NULL, 83, NULL, NULL, 17281),
(30203, '4hhjA01', NULL, NULL, 91, NULL, NULL, 17281),
(30204, '2hfzA01', NULL, NULL, 96, NULL, NULL, 17281),
(30205, '4c11A01', NULL, NULL, 96, NULL, NULL, 17281),
(30206, '4muqA01', NULL, NULL, 104, NULL, NULL, 17282),
(30207, '3kk7A03', NULL, NULL, 62, NULL, NULL, 17283),
(30208, '3dwlG00', NULL, NULL, 121, NULL, NULL, 17284),
(30209, '1k8kG00', NULL, NULL, 151, NULL, NULL, 17284),
(30210, '2dlaA02', NULL, NULL, 54, NULL, NULL, 17285),
(30211, '4onsB00', NULL, NULL, 69, NULL, NULL, 17286),
(30212, '2qdjA03', NULL, NULL, 151, NULL, NULL, 17287),
(30213, '1o75A01', NULL, NULL, 83, NULL, NULL, 17288),
(30214, '3os4A00', NULL, NULL, 407, NULL, NULL, 17289),
(30215, '4hl7A00', NULL, NULL, 428, NULL, NULL, 17289),
(30216, '1ybeB01', NULL, NULL, 416, NULL, NULL, 17289),
(30217, '1vlpD00', NULL, NULL, 441, NULL, NULL, 17289),
(30218, '1yirA00', NULL, NULL, 408, NULL, NULL, 17289),
(30219, '4mzyA01', NULL, NULL, 326, NULL, NULL, 17289),
(30220, '4yubB01', NULL, NULL, 310, NULL, NULL, 17289),
(30221, '2im5A00', NULL, NULL, 394, NULL, NULL, 17289),
(30222, '3aahB00', NULL, NULL, 57, NULL, NULL, 17290),
(30223, '1lrwB00', NULL, NULL, 83, NULL, NULL, 17290),
(30224, '4tqoI00', NULL, NULL, 72, NULL, NULL, 17290),
(30225, '2ad6B00', NULL, NULL, 69, NULL, NULL, 17290),
(30226, '2d0vE00', NULL, NULL, 72, NULL, NULL, 17290),
(30227, '5xm3B00', NULL, NULL, 66, NULL, NULL, 17290),
(30228, '1w6sB00', NULL, NULL, 74, NULL, NULL, 17290),
(30229, '1xakA00', NULL, NULL, 83, NULL, NULL, 17291),
(30230, '3gs9A02', NULL, NULL, 92, NULL, NULL, 17292),
(30231, '3qb2D00', NULL, NULL, 159, NULL, NULL, 17293),
(30232, '3qb2A00', NULL, NULL, 156, NULL, NULL, 17293),
(30233, '4kt6B00', NULL, NULL, 161, NULL, NULL, 17293),
(30234, '4a4yA01', NULL, NULL, 102, NULL, NULL, 17294),
(30235, '6ig5A03', NULL, NULL, 72, NULL, NULL, 17295),
(30236, '4mx2B03', NULL, NULL, 66, NULL, NULL, 17295),
(30237, '5uppA03', NULL, NULL, 52, NULL, NULL, 17295),
(30238, '3ocfB03', NULL, NULL, 35, NULL, NULL, 17295),
(30239, '3ocfA03', NULL, NULL, 51, NULL, NULL, 17295),
(30240, '1re5A03', NULL, NULL, 89, NULL, NULL, 17295),
(30241, '3qbpA03', NULL, NULL, 56, NULL, NULL, 17295),
(30242, '4eeiA03', NULL, NULL, 90, NULL, NULL, 17295),
(30243, '1i0aA03', NULL, NULL, 72, NULL, NULL, 17295),
(30244, '1furB03', NULL, NULL, 51, NULL, NULL, 17295),
(30245, '1k62A03', NULL, NULL, 72, NULL, NULL, 17295),
(30246, '1jswB03', NULL, NULL, 50, NULL, NULL, 17295),
(30247, '1furA03', NULL, NULL, 60, NULL, NULL, 17295),
(30248, '6n1mA03', NULL, NULL, 52, NULL, NULL, 17295),
(30249, '1dofA03', NULL, NULL, 56, NULL, NULL, 17295),
(30250, '1hy0A03', NULL, NULL, 72, NULL, NULL, 17295),
(30251, '1c3cA03', NULL, NULL, 81, NULL, NULL, 17295),
(30252, '4hgvA03', NULL, NULL, 51, NULL, NULL, 17295),
(30253, '3c8tA03', NULL, NULL, 92, NULL, NULL, 17295),
(30254, '3tv2A03', NULL, NULL, 56, NULL, NULL, 17295),
(30255, '2ptrB03', NULL, NULL, 64, NULL, NULL, 17295);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(30256, '3rrpA03', NULL, NULL, 56, NULL, NULL, 17295),
(30257, '2e9fA03', NULL, NULL, 71, NULL, NULL, 17295),
(30258, '1tj7A03', NULL, NULL, 71, NULL, NULL, 17295),
(30259, '4nleA03', NULL, NULL, 76, NULL, NULL, 17295),
(30260, '1q5nA03', NULL, NULL, 81, NULL, NULL, 17295),
(30261, '1k7wA03', NULL, NULL, 72, NULL, NULL, 17295),
(30262, '4nslA03', NULL, NULL, 64, NULL, NULL, 17295),
(30263, '1yfmA03', NULL, NULL, 52, NULL, NULL, 17295),
(30264, '2qgaB03', NULL, NULL, 66, NULL, NULL, 17295),
(30265, '3oceA03', NULL, NULL, 64, NULL, NULL, 17295),
(30266, '3rd8A03', NULL, NULL, 56, NULL, NULL, 17295),
(30267, '3gtdA03', NULL, NULL, 48, NULL, NULL, 17295),
(30268, '4admA03', NULL, NULL, 56, NULL, NULL, 17295),
(30269, '3bhgA03', NULL, NULL, 64, NULL, NULL, 17295),
(30270, '2pfmA03', NULL, NULL, 85, NULL, NULL, 17295),
(30271, '1vdkB03', NULL, NULL, 62, NULL, NULL, 17295),
(30272, '3r6qA03', NULL, NULL, 52, NULL, NULL, 17295),
(30273, '2x75A03', NULL, NULL, 83, NULL, NULL, 17295),
(30274, '4efcA03', NULL, NULL, 66, NULL, NULL, 17295),
(30275, '1s2kA00', NULL, NULL, 206, NULL, NULL, 17296),
(30276, '1y43B00', NULL, NULL, 173, NULL, NULL, 17296),
(30277, '4rnaA02', NULL, NULL, 127, NULL, NULL, 17297),
(30278, '4m0wA02', NULL, NULL, 124, NULL, NULL, 17297),
(30279, '2z14A00', NULL, NULL, 133, NULL, NULL, 17298),
(30280, '2lmzA00', NULL, NULL, 42, NULL, NULL, 17299),
(30281, '2aj4B03', NULL, NULL, 175, NULL, NULL, 17300),
(30282, '2a2cA03', NULL, NULL, 138, NULL, NULL, 17300),
(30283, '3v5rA03', NULL, NULL, 173, NULL, NULL, 17300),
(30284, '4lgdB02', NULL, NULL, 95, NULL, NULL, 17301),
(30285, '4lgdD02', NULL, NULL, 68, NULL, NULL, 17301),
(30286, '4wkgC01', NULL, NULL, 304, NULL, NULL, 17302),
(30287, '4lxqB00', NULL, NULL, 274, NULL, NULL, 17302),
(30288, '2vixB03', NULL, NULL, 113, NULL, NULL, 17303),
(30289, '2vixC03', NULL, NULL, 113, NULL, NULL, 17303),
(30290, '2vixA03', NULL, NULL, 113, NULL, NULL, 17303),
(30291, '2vj4B03', NULL, NULL, 113, NULL, NULL, 17303),
(30292, '2vj5A03', NULL, NULL, 113, NULL, NULL, 17303),
(30293, '2vj4A03', NULL, NULL, 113, NULL, NULL, 17303),
(30294, '3weeA03', NULL, NULL, 111, NULL, NULL, 17304),
(30295, '2m4gA00', NULL, NULL, 75, NULL, NULL, 17305),
(30296, '1a0rP02', NULL, NULL, 83, NULL, NULL, 17306),
(30297, '2trcP02', NULL, NULL, 83, NULL, NULL, 17306),
(30298, '1b9xC02', NULL, NULL, 48, NULL, NULL, 17306),
(30299, '2ckzB01', NULL, NULL, 79, NULL, NULL, 17307),
(30300, '4aybE01', NULL, NULL, 81, NULL, NULL, 17307),
(30301, '2rf4C01', NULL, NULL, 110, NULL, NULL, 17307),
(30302, '4qjfA01', NULL, NULL, 81, NULL, NULL, 17307),
(30303, '1go3E02', NULL, NULL, 81, NULL, NULL, 17307),
(30304, '3h0gG01', NULL, NULL, 83, NULL, NULL, 17307),
(30305, '5xogG01', NULL, NULL, 82, NULL, NULL, 17307),
(30306, '3ayhB01', NULL, NULL, 79, NULL, NULL, 17307),
(30307, '1y14D01', NULL, NULL, 84, NULL, NULL, 17307),
(30308, '2c35B01', NULL, NULL, 80, NULL, NULL, 17307),
(30309, '1kyqA03', NULL, NULL, 85, NULL, NULL, 17308),
(30310, '1t6aA01', NULL, NULL, 46, NULL, NULL, 17309),
(30311, '3lxuX03', NULL, NULL, 62, NULL, NULL, 17310),
(30312, '2ov7A01', NULL, NULL, 64, NULL, NULL, 17311),
(30313, '2fgyA01', NULL, NULL, 107, NULL, NULL, 17312),
(30314, '3ilxA02', NULL, NULL, 44, NULL, NULL, 17313),
(30315, '6dgcC02', NULL, NULL, 43, NULL, NULL, 17313),
(30316, '3lhkC02', NULL, NULL, 52, NULL, NULL, 17313),
(30317, '3lhfD02', NULL, NULL, 42, NULL, NULL, 17313),
(30318, '5vf3O00', NULL, NULL, 80, NULL, NULL, 17314),
(30319, '3ig9B00', NULL, NULL, 78, NULL, NULL, 17314),
(30320, '4e6yA01', NULL, NULL, 53, NULL, NULL, 17315),
(30321, '2h12A01', NULL, NULL, 57, NULL, NULL, 17315),
(30322, '4jadA01', NULL, NULL, 49, NULL, NULL, 17315),
(30323, '4xghA01', NULL, NULL, 50, NULL, NULL, 17315),
(30324, '4tvmA01', NULL, NULL, 52, NULL, NULL, 17315),
(30325, '3msuA01', NULL, NULL, 58, NULL, NULL, 17315),
(30326, '3neuA02', NULL, NULL, 46, NULL, NULL, 17316),
(30327, '4r1hA02', NULL, NULL, 51, NULL, NULL, 17316),
(30328, '2jlnA00', NULL, NULL, 471, NULL, NULL, 17317),
(30329, '2fpnA01', NULL, NULL, 140, NULL, NULL, 17318); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(30330, '4ga7A01', NULL, NULL, 235, NULL, NULL, 17319),
(30331, '1yxaB01', NULL, NULL, 225, NULL, NULL, 17319),
(30332, '1mtpA01', NULL, NULL, 230, NULL, NULL, 17319),
(30333, '3nddA01', NULL, NULL, 248, NULL, NULL, 17319),
(30334, '2wxzA02', NULL, NULL, 219, NULL, NULL, 17319),
(30335, '1wz9A01', NULL, NULL, 221, NULL, NULL, 17319),
(30336, '2h4pA01', NULL, NULL, 272, NULL, NULL, 17319),
(30337, '6hgeB01', NULL, NULL, 226, NULL, NULL, 17319),
(30338, '4r9iA01', NULL, NULL, 278, NULL, NULL, 17319),
(30339, '1imvA02', NULL, NULL, 206, NULL, NULL, 17319),
(30340, '3dy0A01', NULL, NULL, 226, NULL, NULL, 17319),
(30341, '3kcgI01', NULL, NULL, 271, NULL, NULL, 17319),
(30342, '1jjoC01', NULL, NULL, 166, NULL, NULL, 17319),
(30343, '2oayA01', NULL, NULL, 206, NULL, NULL, 17319),
(30344, '6f4vA01', NULL, NULL, 226, NULL, NULL, 17319),
(30345, '5c98A01', NULL, NULL, 233, NULL, NULL, 17319),
(30346, '1k9oI01', NULL, NULL, 217, NULL, NULL, 17319),
(30347, '2wxyC02', NULL, NULL, 210, NULL, NULL, 17319),
(30348, '2znhB01', NULL, NULL, 188, NULL, NULL, 17319),
(30349, '3cvmA01', NULL, NULL, 231, NULL, NULL, 17319),
(30350, '3f02A01', NULL, NULL, 237, NULL, NULL, 17319),
(30351, '1hp7A02', NULL, NULL, 241, NULL, NULL, 17319),
(30352, '3le2A01', NULL, NULL, 236, NULL, NULL, 17319),
(30353, '4kdsA01', NULL, NULL, 222, NULL, NULL, 17319),
(30354, '4c41A01', NULL, NULL, 228, NULL, NULL, 17319),
(30355, '3stoA01', NULL, NULL, 250, NULL, NULL, 17319),
(30356, '3pzfA02', NULL, NULL, 197, NULL, NULL, 17319),
(30357, '4dteA01', NULL, NULL, 190, NULL, NULL, 17319),
(30358, '4zk3A01', NULL, NULL, 239, NULL, NULL, 17319),
(30359, '1ovaB02', NULL, NULL, 236, NULL, NULL, 17319),
(30360, '4ajtA01', NULL, NULL, 231, NULL, NULL, 17319),
(30361, '1jmoA01', NULL, NULL, 227, NULL, NULL, 17319),
(30362, '1m93B01', NULL, NULL, 127, NULL, NULL, 17319),
(30363, '3lw2A01', NULL, NULL, 190, NULL, NULL, 17319),
(30364, '5hgcA01', NULL, NULL, 241, NULL, NULL, 17319),
(30365, '1f0cA01', NULL, NULL, 170, NULL, NULL, 17319),
(30366, '2arrA01', NULL, NULL, 229, NULL, NULL, 17319),
(30367, '6hgmA01', NULL, NULL, 222, NULL, NULL, 17319),
(30368, '5cdzA01', NULL, NULL, 217, NULL, NULL, 17319),
(30369, '2xn6A01', NULL, NULL, 254, NULL, NULL, 17319),
(30370, '6hgeA01', NULL, NULL, 224, NULL, NULL, 17319),
(30371, '2pefA01', NULL, NULL, 250, NULL, NULL, 17319),
(30372, '1lj5A01', NULL, NULL, 225, NULL, NULL, 17319),
(30373, '5inwA01', NULL, NULL, 232, NULL, NULL, 17319),
(30374, '1hleA02', NULL, NULL, 241, NULL, NULL, 17319),
(30375, '1attB02', NULL, NULL, 269, NULL, NULL, 17319),
(30376, '3vvjA01', NULL, NULL, 236, NULL, NULL, 17319),
(30377, '3ozqA02', NULL, NULL, 176, NULL, NULL, 17319),
(30378, '2wxwA02', NULL, NULL, 207, NULL, NULL, 17319),
(30379, '4p0fA01', NULL, NULL, 229, NULL, NULL, 17319),
(30380, '1a7cA01', NULL, NULL, 193, NULL, NULL, 17319),
(30381, '4au2B01', NULL, NULL, 243, NULL, NULL, 17319),
(30382, '3ndaA01', NULL, NULL, 242, NULL, NULL, 17319),
(30383, '5nbuA01', NULL, NULL, 246, NULL, NULL, 17319),
(30384, '2v95A01', NULL, NULL, 226, NULL, NULL, 17319),
(30385, '3fgqA02', NULL, NULL, 189, NULL, NULL, 17319),
(30386, '2h4qA01', NULL, NULL, 250, NULL, NULL, 17319),
(30387, '2peeA01', NULL, NULL, 241, NULL, NULL, 17319),
(30388, '4dy0B01', NULL, NULL, 193, NULL, NULL, 17319),
(30389, '4if8B01', NULL, NULL, 285, NULL, NULL, 17319),
(30390, '1sekA01', NULL, NULL, 192, NULL, NULL, 17319),
(30391, '2r9yA01', NULL, NULL, 230, NULL, NULL, 17319),
(30392, '3f1sA01', NULL, NULL, 235, NULL, NULL, 17319),
(30393, '5xx1H04', NULL, NULL, 125, NULL, NULL, 17320),
(30394, '1c4kA04', NULL, NULL, 129, NULL, NULL, 17320),
(30395, '2vycA04', NULL, NULL, 125, NULL, NULL, 17320),
(30396, '3n75A04', NULL, NULL, 121, NULL, NULL, 17320),
(30397, '4ixjA01', NULL, NULL, 90, NULL, NULL, 17321),
(30398, '4dguA02', NULL, NULL, 104, NULL, NULL, 17322),
(30399, '1uvjA03', NULL, NULL, 176, NULL, NULL, 17323),
(30400, '1hi8A03', NULL, NULL, 176, NULL, NULL, 17323),
(30401, '1v65A00', NULL, NULL, 64, NULL, NULL, 17324),
(30402, '1n7lA00', NULL, NULL, 53, NULL, NULL, 17325);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(30403, '1zllA00', NULL, NULL, 52, NULL, NULL, 17325),
(30404, '1fjkA00', NULL, NULL, 52, NULL, NULL, 17325),
(30405, '2jd3A01', NULL, NULL, 79, NULL, NULL, 17326),
(30406, '2p35A02', NULL, NULL, 70, NULL, NULL, 17327),
(30407, '1go3F01', NULL, NULL, 60, NULL, NULL, 17328),
(30408, '2e1fA01', NULL, NULL, 89, NULL, NULL, 17328),
(30409, '3cymA03', NULL, NULL, 94, NULL, NULL, 17328),
(30410, '2rhfA00', NULL, NULL, 77, NULL, NULL, 17328),
(30411, '4nlcA02', NULL, NULL, 101, NULL, NULL, 17328),
(30412, '1wudB00', NULL, NULL, 89, NULL, NULL, 17328),
(30413, '1wudA00', NULL, NULL, 89, NULL, NULL, 17328),
(30414, '1wudD00', NULL, NULL, 89, NULL, NULL, 17328),
(30415, '4aybF02', NULL, NULL, 40, NULL, NULL, 17328),
(30416, '2ma1A00', NULL, NULL, 75, NULL, NULL, 17328),
(30417, '2pmzF02', NULL, NULL, 39, NULL, NULL, 17328),
(30418, '3cymA02', NULL, NULL, 119, NULL, NULL, 17328),
(30419, '4cdgA04', NULL, NULL, 85, NULL, NULL, 17328),
(30420, '4qjfB02', NULL, NULL, 68, NULL, NULL, 17328),
(30421, '5c0yA02', NULL, NULL, 96, NULL, NULL, 17328),
(30422, '1yt3A02', NULL, NULL, 99, NULL, NULL, 17328),
(30423, '1yt3A03', NULL, NULL, 82, NULL, NULL, 17328),
(30424, '1d8bA00', NULL, NULL, 81, NULL, NULL, 17328),
(30425, '3safA02', NULL, NULL, 100, NULL, NULL, 17328),
(30426, '4o3mA04', NULL, NULL, 92, NULL, NULL, 17328),
(30427, '3r4rA02', NULL, NULL, 128, NULL, NULL, 17329),
(30428, '2xauA04', NULL, NULL, 47, NULL, NULL, 17330),
(30429, '2v9kA01', NULL, NULL, 50, NULL, NULL, 17331),
(30430, '1eu1A03', NULL, NULL, 87, NULL, NULL, 17332),
(30431, '1dmrA03', NULL, NULL, 87, NULL, NULL, 17332),
(30432, '1tmoA03', NULL, NULL, 86, NULL, NULL, 17332),
(30433, '1oruA00', NULL, NULL, 195, NULL, NULL, 17333),
(30434, '1o65B00', NULL, NULL, 246, NULL, NULL, 17333),
(30435, '1o67C00', NULL, NULL, 246, NULL, NULL, 17333),
(30436, '3ju0A00', NULL, NULL, 108, NULL, NULL, 17334),
(30437, '3jtzA00', NULL, NULL, 88, NULL, NULL, 17334),
(30438, '3u7qB03', NULL, NULL, 83, NULL, NULL, 17335),
(30439, '5kohB03', NULL, NULL, 83, NULL, NULL, 17335),
(30440, '4wesB03', NULL, NULL, 79, NULL, NULL, 17335),
(30441, '1qguB04', NULL, NULL, 83, NULL, NULL, 17335),
(30442, '4pswA03', NULL, NULL, 54, NULL, NULL, 17336),
(30443, '2p0wA03', NULL, NULL, 54, NULL, NULL, 17336),
(30444, '1krlB00', NULL, NULL, 50, NULL, NULL, 17337),
(30445, '1vomA05', NULL, NULL, 72, NULL, NULL, 17338),
(30446, '2zixB01', NULL, NULL, 62, NULL, NULL, 17339),
(30447, '4bmjA00', NULL, NULL, 69, NULL, NULL, 17340),
(30448, '4kt6A01', NULL, NULL, 78, NULL, NULL, 17341),
(30449, '3pntA01', NULL, NULL, 87, NULL, NULL, 17341),
(30450, '3lmlB01', NULL, NULL, 123, NULL, NULL, 17342),
(30451, '3dclA03', NULL, NULL, 39, NULL, NULL, 17343),
(30452, '2qtfA02', NULL, NULL, 68, NULL, NULL, 17344),
(30453, '3bzcA04', NULL, NULL, 132, NULL, NULL, 17345),
(30454, '4ogqA00', NULL, NULL, 215, NULL, NULL, 17346),
(30455, '2yiuA00', NULL, NULL, 430, NULL, NULL, 17346),
(30456, '1zrtC00', NULL, NULL, 437, NULL, NULL, 17346),
(30457, '1q90B00', NULL, NULL, 215, NULL, NULL, 17346),
(30458, '3tguC00', NULL, NULL, 380, NULL, NULL, 17346),
(30459, '3cx5C00', NULL, NULL, 385, NULL, NULL, 17346),
(30460, '5xteJ00', NULL, NULL, 378, NULL, NULL, 17346),
(30461, '2qjyA00', NULL, NULL, 445, NULL, NULL, 17346),
(30462, '1pp9P00', NULL, NULL, 379, NULL, NULL, 17346),
(30463, '4ar2A02', NULL, NULL, 298, NULL, NULL, 17347),
(30464, '1x9tA02', NULL, NULL, 280, NULL, NULL, 17347),
(30465, '4g7xA00', NULL, NULL, 105, NULL, NULL, 17348),
(30466, '4g7wA00', NULL, NULL, 98, NULL, NULL, 17348),
(30467, '2bn8A00', NULL, NULL, 67, NULL, NULL, 17349),
(30468, '4kzsA02', NULL, NULL, 70, NULL, NULL, 17350),
(30469, '2joeA01', NULL, NULL, 128, NULL, NULL, 17351),
(30470, '3lfrB01', NULL, NULL, 69, NULL, NULL, 17352),
(30471, '3lfrA02', NULL, NULL, 67, NULL, NULL, 17352),
(30472, '3nqrA02', NULL, NULL, 66, NULL, NULL, 17352),
(30473, '3nqrB01', NULL, NULL, 61, NULL, NULL, 17352),
(30474, '3nqrB02', NULL, NULL, 66, NULL, NULL, 17352),
(30475, '3nqrC02', NULL, NULL, 66, NULL, NULL, 17352),
(30476, '3nqrD02', NULL, NULL, 66, NULL, NULL, 17352);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(30477, '3jtfB01', NULL, NULL, 66, NULL, NULL, 17352),
(30478, '3jtfA02', NULL, NULL, 62, NULL, NULL, 17352),
(30479, '3oi8A02', NULL, NULL, 65, NULL, NULL, 17352),
(30480, '2j9lF01', NULL, NULL, 93, NULL, NULL, 17352),
(30481, '5yz2A02', NULL, NULL, 66, NULL, NULL, 17352),
(30482, '5yz2A01', NULL, NULL, 78, NULL, NULL, 17352),
(30483, '1vr9A01', NULL, NULL, 77, NULL, NULL, 17352),
(30484, '3ghdA00', NULL, NULL, 70, NULL, NULL, 17352),
(30485, '2e6iA00', NULL, NULL, 64, NULL, NULL, 17353),
(30486, '4m8aA00', NULL, NULL, 72, NULL, NULL, 17354),
(30487, '4v0bA00', NULL, NULL, 82, NULL, NULL, 17354),
(30488, '1b4uA00', NULL, NULL, 139, NULL, NULL, 17355),
(30489, '3wrbB02', NULL, NULL, 113, NULL, NULL, 17355),
(30490, '5aunA01', NULL, NULL, 84, NULL, NULL, 17356),
(30491, '2sliA03', NULL, NULL, 100, NULL, NULL, 17357),
(30492, '4x4aA02', NULL, NULL, 96, NULL, NULL, 17357),
(30493, '4xjwA03', NULL, NULL, 98, NULL, NULL, 17357),
(30494, '4yz1B03', NULL, NULL, 98, NULL, NULL, 17357),
(30495, '2bf6A02', NULL, NULL, 66, NULL, NULL, 17357),
(30496, '2w20A02', NULL, NULL, 80, NULL, NULL, 17357),
(30497, '1i82A00', NULL, NULL, 189, NULL, NULL, 17358),
(30498, '1ulvA04', NULL, NULL, 247, NULL, NULL, 17358),
(30499, '2ivfC00', NULL, NULL, 214, NULL, NULL, 17358),
(30500, '4jpqB00', NULL, NULL, 220, NULL, NULL, 17358),
(30501, '1kmiZ01', NULL, NULL, 34, NULL, NULL, 17359),
(30502, '4uzzB00', NULL, NULL, 68, NULL, NULL, 17360),
(30503, '2eqgA01', NULL, NULL, 38, NULL, NULL, 17361),
(30504, '5dnyA03', NULL, NULL, 47, NULL, NULL, 17362),
(30505, '3f3hA00', NULL, NULL, 111, NULL, NULL, 17363),
(30506, '1osyB00', NULL, NULL, 115, NULL, NULL, 17363),
(30507, '3kcwA00', NULL, NULL, 111, NULL, NULL, 17363),
(30508, '2d6fA01', NULL, NULL, 85, NULL, NULL, 17364),
(30509, '1zq1A01', NULL, NULL, 78, NULL, NULL, 17364),
(30510, '2npmB00', NULL, NULL, 237, NULL, NULL, 17365),
(30511, '5n10A00', NULL, NULL, 246, NULL, NULL, 17365),
(30512, '5lhoA00', NULL, NULL, 235, NULL, NULL, 17365),
(30513, '4dx0A00', NULL, NULL, 243, NULL, NULL, 17365),
(30514, '5yqgD00', NULL, NULL, 252, NULL, NULL, 17365),
(30515, '2o8pA00', NULL, NULL, 227, NULL, NULL, 17365),
(30516, '4zdrB00', NULL, NULL, 266, NULL, NULL, 17365),
(30517, '5nwjA00', NULL, NULL, 245, NULL, NULL, 17365),
(30518, '3axyJ00', NULL, NULL, 240, NULL, NULL, 17365),
(30519, '5lu1F00', NULL, NULL, 234, NULL, NULL, 17365),
(30520, '3efzB00', NULL, NULL, 239, NULL, NULL, 17365),
(30521, '6bcrA00', NULL, NULL, 245, NULL, NULL, 17365),
(30522, '2br9A00', NULL, NULL, 234, NULL, NULL, 17365),
(30523, '5n6nA00', NULL, NULL, 240, NULL, NULL, 17365),
(30524, '4dnkB00', NULL, NULL, 247, NULL, NULL, 17365),
(30525, '4zq0D00', NULL, NULL, 234, NULL, NULL, 17365),
(30526, '3iquA00', NULL, NULL, 236, NULL, NULL, 17365),
(30527, '2o02B00', NULL, NULL, 230, NULL, NULL, 17365),
(30528, '3uzdA00', NULL, NULL, 248, NULL, NULL, 17365),
(30529, '5mmiN01', NULL, NULL, 114, NULL, NULL, 17366),
(30530, '4a17H01', NULL, NULL, 174, NULL, NULL, 17366),
(30531, '3u5eI01', NULL, NULL, 174, NULL, NULL, 17366),
(30532, '3o58J00', NULL, NULL, 221, NULL, NULL, 17366),
(30533, '1jj2H00', NULL, NULL, 167, NULL, NULL, 17366),
(30534, '1wkiA01', NULL, NULL, 109, NULL, NULL, 17366),
(30535, '1vx7Q01', NULL, NULL, 174, NULL, NULL, 17366),
(30536, '6qklF01', NULL, NULL, 174, NULL, NULL, 17366),
(30537, '5v7qM01', NULL, NULL, 116, NULL, NULL, 17366),
(30538, '6hmaK01', NULL, NULL, 115, NULL, NULL, 17366),
(30539, '1vwxI01', NULL, NULL, 173, NULL, NULL, 17366),
(30540, '2pa2A00', NULL, NULL, 151, NULL, NULL, 17366),
(30541, '6qulN01', NULL, NULL, 116, NULL, NULL, 17366),
(30542, '5dm6J01', NULL, NULL, 119, NULL, NULL, 17366),
(30543, '1vw4K00', NULL, NULL, 195, NULL, NULL, 17366),
(30544, '5xymM01', NULL, NULL, 116, NULL, NULL, 17366),
(30545, '1vq8H00', NULL, NULL, 171, NULL, NULL, 17366),
(30546, '2zuqA00', NULL, NULL, 176, NULL, NULL, 17367),
(30547, '2hd0A01', NULL, NULL, 79, NULL, NULL, 17368),
(30548, '2w7vA00', NULL, NULL, 95, NULL, NULL, 17369),
(30549, '5hl8C00', NULL, NULL, 92, NULL, NULL, 17369),
(30550, '1uv7A00', NULL, NULL, 88, NULL, NULL, 17369);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(30551, '3haxC00', NULL, NULL, 60, NULL, NULL, 17370),
(30552, '2aqcA00', NULL, NULL, 63, NULL, NULL, 17370),
(30553, '2ausB00', NULL, NULL, 60, NULL, NULL, 17370),
(30554, '2apoB00', NULL, NULL, 60, NULL, NULL, 17370),
(30555, '4i4tF01', NULL, NULL, 63, NULL, NULL, 17371),
(30556, '3tigA01', NULL, NULL, 66, NULL, NULL, 17371),
(30557, '1xezA01', NULL, NULL, 85, NULL, NULL, 17372),
(30558, '3u8vA00', NULL, NULL, 93, NULL, NULL, 17373),
(30559, '2lfdA00', NULL, NULL, 115, NULL, NULL, 17373),
(30560, '1y4cA03', NULL, NULL, 114, NULL, NULL, 17373),
(30561, '2hz8A00', NULL, NULL, 115, NULL, NULL, 17373),
(30562, '4m0nA01', NULL, NULL, 135, NULL, NULL, 17374),
(30563, '4m0hA01', NULL, NULL, 154, NULL, NULL, 17374),
(30564, '3pvzA02', NULL, NULL, 79, NULL, NULL, 17375),
(30565, '5iucA00', NULL, NULL, 127, NULL, NULL, 17376),
(30566, '1twfA09', NULL, NULL, 135, NULL, NULL, 17377),
(30567, '3h0gA08', NULL, NULL, 138, NULL, NULL, 17377),
(30568, '2azeC00', NULL, NULL, 46, NULL, NULL, 17378),
(30569, '2gfpA00', NULL, NULL, 375, NULL, NULL, 17379),
(30570, '3fcnA00', NULL, NULL, 164, NULL, NULL, 17380),
(30571, '3lmbA01', NULL, NULL, 157, NULL, NULL, 17381),
(30572, '5hd6D00', NULL, NULL, 175, NULL, NULL, 17381),
(30573, '6n3pA00', NULL, NULL, 154, NULL, NULL, 17381),
(30574, '4e3eA00', NULL, NULL, 352, NULL, NULL, 17381),
(30575, '4ffuD00', NULL, NULL, 151, NULL, NULL, 17381),
(30576, '3bnvD00', NULL, NULL, 152, NULL, NULL, 17381),
(30577, '3hduB00', NULL, NULL, 157, NULL, NULL, 17381),
(30578, '1sbkA00', NULL, NULL, 144, NULL, NULL, 17381),
(30579, '3kh8B01', NULL, NULL, 162, NULL, NULL, 17381),
(30580, '2gvhB02', NULL, NULL, 134, NULL, NULL, 17381),
(30581, '4ordA00', NULL, NULL, 149, NULL, NULL, 17381),
(30582, '5hmbA00', NULL, NULL, 141, NULL, NULL, 17381),
(30583, '1q4tA00', NULL, NULL, 151, NULL, NULL, 17381),
(30584, '1pn2D02', NULL, NULL, 128, NULL, NULL, 17381),
(30585, '3f1tB00', NULL, NULL, 148, NULL, NULL, 17381),
(30586, '3lbeB00', NULL, NULL, 126, NULL, NULL, 17381),
(30587, '4rmmA00', NULL, NULL, 154, NULL, NULL, 17381),
(30588, '2uv8G08', NULL, NULL, 289, NULL, NULL, 17381),
(30589, '2nujA01', NULL, NULL, 148, NULL, NULL, 17381),
(30590, '3d6xF00', NULL, NULL, 146, NULL, NULL, 17381),
(30591, '3esiA00', NULL, NULL, 129, NULL, NULL, 17381),
(30592, '3hm0A00', NULL, NULL, 134, NULL, NULL, 17381),
(30593, '4xy5A00', NULL, NULL, 137, NULL, NULL, 17381),
(30594, '4rv2B00', NULL, NULL, 141, NULL, NULL, 17381),
(30595, '2uvaG08', NULL, NULL, 293, NULL, NULL, 17381),
(30596, '1njkA00', NULL, NULL, 156, NULL, NULL, 17381),
(30597, '2gllF00', NULL, NULL, 149, NULL, NULL, 17381),
(30598, '2qq2J00', NULL, NULL, 157, NULL, NULL, 17381),
(30599, '4ae7A00', NULL, NULL, 196, NULL, NULL, 17381),
(30600, '4h4gD00', NULL, NULL, 160, NULL, NULL, 17381),
(30601, '1t82B00', NULL, NULL, 155, NULL, NULL, 17381),
(30602, '4mobA02', NULL, NULL, 154, NULL, NULL, 17381),
(30603, '4mobA01', NULL, NULL, 148, NULL, NULL, 17381),
(30604, '5hd6E00', NULL, NULL, 175, NULL, NULL, 17381),
(30605, '3d6xB00', NULL, NULL, 146, NULL, NULL, 17381),
(30606, '2fs2B00', NULL, NULL, 151, NULL, NULL, 17381),
(30607, '3f5oA00', NULL, NULL, 148, NULL, NULL, 17381),
(30608, '1ixlA00', NULL, NULL, 131, NULL, NULL, 17381),
(30609, '3qooA00', NULL, NULL, 138, NULL, NULL, 17381),
(30610, '5hd6C00', NULL, NULL, 175, NULL, NULL, 17381),
(30611, '3ck1A00', NULL, NULL, 150, NULL, NULL, 17381),
(30612, '2f3xA00', NULL, NULL, 157, NULL, NULL, 17381),
(30613, '4i4jF00', NULL, NULL, 159, NULL, NULL, 17381),
(30614, '3e1eC00', NULL, NULL, 141, NULL, NULL, 17381),
(30615, '2o5uA00', NULL, NULL, 148, NULL, NULL, 17381),
(30616, '1s9cC01', NULL, NULL, 163, NULL, NULL, 17381),
(30617, '2eisA00', NULL, NULL, 133, NULL, NULL, 17381),
(30618, '1sc0A00', NULL, NULL, 138, NULL, NULL, 17381),
(30619, '2ownA00', NULL, NULL, 262, NULL, NULL, 17381),
(30620, '1lo7A00', NULL, NULL, 141, NULL, NULL, 17381),
(30621, '5dm5A00', NULL, NULL, 135, NULL, NULL, 17381),
(30622, '2hx5A00', NULL, NULL, 152, NULL, NULL, 17381),
(30623, '1zkiA00', NULL, NULL, 133, NULL, NULL, 17381);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(30624, '3bjkC00', NULL, NULL, 153, NULL, NULL, 17381),
(30625, '2gvhC01', NULL, NULL, 136, NULL, NULL, 17381),
(30626, '5eo4A01', NULL, NULL, 142, NULL, NULL, 17381),
(30627, '3hduA00', NULL, NULL, 157, NULL, NULL, 17381),
(30628, '2w3xC00', NULL, NULL, 147, NULL, NULL, 17381),
(30629, '2bi0A01', NULL, NULL, 160, NULL, NULL, 17381),
(30630, '2bi0A02', NULL, NULL, 147, NULL, NULL, 17381),
(30631, '3nwzC00', NULL, NULL, 176, NULL, NULL, 17381),
(30632, '3wewA00', NULL, NULL, 258, NULL, NULL, 17381),
(30633, '6b7jB00', NULL, NULL, 175, NULL, NULL, 17381),
(30634, '3d6xE00', NULL, NULL, 146, NULL, NULL, 17381),
(30635, '3s4kA00', NULL, NULL, 126, NULL, NULL, 17381),
(30636, '3lw3B00', NULL, NULL, 145, NULL, NULL, 17381),
(30637, '3exzA00', NULL, NULL, 154, NULL, NULL, 17381),
(30638, '5cpgA00', NULL, NULL, 155, NULL, NULL, 17381),
(30639, '5vpjC00', NULL, NULL, 159, NULL, NULL, 17381),
(30640, '5tz6A01', NULL, NULL, 150, NULL, NULL, 17381),
(30641, '1s5uE00', NULL, NULL, 138, NULL, NULL, 17381),
(30642, '2gf6A00', NULL, NULL, 135, NULL, NULL, 17381),
(30643, '4m20A00', NULL, NULL, 127, NULL, NULL, 17381),
(30644, '1y7uA00', NULL, NULL, 174, NULL, NULL, 17381),
(30645, '1u1zB00', NULL, NULL, 146, NULL, NULL, 17381),
(30646, '1wluA00', NULL, NULL, 117, NULL, NULL, 17381),
(30647, '3qy3A00', NULL, NULL, 132, NULL, NULL, 17381),
(30648, '5buyB00', NULL, NULL, 156, NULL, NULL, 17381),
(30649, '3d6xA00', NULL, NULL, 146, NULL, NULL, 17381),
(30650, '5byuA00', NULL, NULL, 133, NULL, NULL, 17381),
(30651, '1z54A00', NULL, NULL, 132, NULL, NULL, 17381),
(30652, '5hd6H00', NULL, NULL, 175, NULL, NULL, 17381),
(30653, '4k02A00', NULL, NULL, 139, NULL, NULL, 17381),
(30654, '5hd6B00', NULL, NULL, 175, NULL, NULL, 17381),
(30655, '2c2iA00', NULL, NULL, 151, NULL, NULL, 17381),
(30656, '3khpC02', NULL, NULL, 134, NULL, NULL, 17381),
(30657, '2egjA00', NULL, NULL, 128, NULL, NULL, 17381),
(30658, '5dm5B00', NULL, NULL, 136, NULL, NULL, 17381),
(30659, '4a0zB00', NULL, NULL, 139, NULL, NULL, 17381),
(30660, '1zkiB00', NULL, NULL, 133, NULL, NULL, 17381),
(30661, '5v10A00', NULL, NULL, 151, NULL, NULL, 17381),
(30662, '2pimA00', NULL, NULL, 141, NULL, NULL, 17381),
(30663, '3k67A00', NULL, NULL, 159, NULL, NULL, 17381),
(30664, '4i83A00', NULL, NULL, 152, NULL, NULL, 17381),
(30665, '3omlA03', NULL, NULL, 296, NULL, NULL, 17381),
(30666, '1yocA00', NULL, NULL, 147, NULL, NULL, 17381),
(30667, '1tbuB00', NULL, NULL, 118, NULL, NULL, 17381),
(30668, '1q6wG00', NULL, NULL, 161, NULL, NULL, 17381),
(30669, '3b7kC02', NULL, NULL, 110, NULL, NULL, 17381),
(30670, '4w78F00', NULL, NULL, 127, NULL, NULL, 17381),
(30671, '4ae8D00', NULL, NULL, 211, NULL, NULL, 17381),
(30672, '4mocA02', NULL, NULL, 151, NULL, NULL, 17381),
(30673, '2cyeC00', NULL, NULL, 133, NULL, NULL, 17381),
(30674, '2v1oB00', NULL, NULL, 151, NULL, NULL, 17381),
(30675, '4mtuA00', NULL, NULL, 144, NULL, NULL, 17381),
(30676, '2hljA01', NULL, NULL, 140, NULL, NULL, 17381),
(30677, '4a12A02', NULL, NULL, 110, NULL, NULL, 17381),
(30678, '4qd8A00', NULL, NULL, 152, NULL, NULL, 17381),
(30679, '3d6xD00', NULL, NULL, 146, NULL, NULL, 17381),
(30680, '2pzhA00', NULL, NULL, 135, NULL, NULL, 17381),
(30681, '2prxA00', NULL, NULL, 160, NULL, NULL, 17381),
(30682, '4rljA00', NULL, NULL, 158, NULL, NULL, 17381),
(30683, '1vpmB00', NULL, NULL, 169, NULL, NULL, 17381),
(30684, '1z6bA00', NULL, NULL, 154, NULL, NULL, 17381),
(30685, '2h4uD00', NULL, NULL, 145, NULL, NULL, 17381),
(30686, '2qwzA01', NULL, NULL, 135, NULL, NULL, 17381),
(30687, '4b0bB00', NULL, NULL, 171, NULL, NULL, 17381),
(30688, '2cy9B00', NULL, NULL, 140, NULL, NULL, 17381),
(30689, '4k00A00', NULL, NULL, 141, NULL, NULL, 17381),
(30690, '5hd6G00', NULL, NULL, 175, NULL, NULL, 17381),
(30691, '5hd6A00', NULL, NULL, 175, NULL, NULL, 17381),
(30692, '2cwzA00', NULL, NULL, 141, NULL, NULL, 17381),
(30693, '1s9cE02', NULL, NULL, 136, NULL, NULL, 17381),
(30694, '3khpD01', NULL, NULL, 154, NULL, NULL, 17381),
(30695, '2oafB00', NULL, NULL, 151, NULL, NULL, 17381),
(30696, '2f41B00', NULL, NULL, 121, NULL, NULL, 17381);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(30697, '2essA02', NULL, NULL, 99, NULL, NULL, 17381),
(30698, '2q78F00', NULL, NULL, 153, NULL, NULL, 17381),
(30699, '6qsrA00', NULL, NULL, 119, NULL, NULL, 17381),
(30700, '2q2bA00', NULL, NULL, 162, NULL, NULL, 17381),
(30701, '4gakA00', NULL, NULL, 250, NULL, NULL, 17381),
(30702, '5eglA00', NULL, NULL, 176, NULL, NULL, 17381),
(30703, '3hduC00', NULL, NULL, 157, NULL, NULL, 17381),
(30704, '4zw0C00', NULL, NULL, 161, NULL, NULL, 17381),
(30705, '3kh8A02', NULL, NULL, 134, NULL, NULL, 17381),
(30706, '1pn2C01', NULL, NULL, 152, NULL, NULL, 17381),
(30707, '2essA01', NULL, NULL, 149, NULL, NULL, 17381),
(30708, '4w78G00', NULL, NULL, 178, NULL, NULL, 17381),
(30709, '2oiwA00', NULL, NULL, 136, NULL, NULL, 17381),
(30710, '2hboA01', NULL, NULL, 145, NULL, NULL, 17381),
(30711, '1c8uA02', NULL, NULL, 115, NULL, NULL, 17381),
(30712, '3e29B00', NULL, NULL, 144, NULL, NULL, 17381),
(30713, '3dkzA00', NULL, NULL, 142, NULL, NULL, 17381),
(30714, '1c8uA01', NULL, NULL, 156, NULL, NULL, 17381),
(30715, '3d6xC00', NULL, NULL, 146, NULL, NULL, 17381),
(30716, '3ir3A00', NULL, NULL, 148, NULL, NULL, 17381),
(30717, '4rv2A00', NULL, NULL, 146, NULL, NULL, 17381),
(30718, '3gekA00', NULL, NULL, 146, NULL, NULL, 17381),
(30719, '4rljB00', NULL, NULL, 147, NULL, NULL, 17381),
(30720, '2xemA00', NULL, NULL, 150, NULL, NULL, 17381),
(30721, '1vh5A00', NULL, NULL, 148, NULL, NULL, 17381),
(30722, '4hzpA00', NULL, NULL, 318, NULL, NULL, 17381),
(30723, '3kuvB00', NULL, NULL, 139, NULL, NULL, 17381),
(30724, '4kehB00', NULL, NULL, 171, NULL, NULL, 17381),
(30725, '1sh8B00', NULL, NULL, 154, NULL, NULL, 17381),
(30726, '5szvA00', NULL, NULL, 160, NULL, NULL, 17381),
(30727, '5f6rB00', NULL, NULL, 175, NULL, NULL, 17381),
(30728, '1iq6B00', NULL, NULL, 134, NULL, NULL, 17381),
(30729, '3r87A00', NULL, NULL, 135, NULL, NULL, 17381),
(30730, '3d6lA00', NULL, NULL, 137, NULL, NULL, 17381),
(30731, '3e8pA00', NULL, NULL, 164, NULL, NULL, 17381),
(30732, '2ov9B01', NULL, NULL, 157, NULL, NULL, 17381),
(30733, '2cy9A00', NULL, NULL, 140, NULL, NULL, 17381),
(30734, '5hd6F00', NULL, NULL, 175, NULL, NULL, 17381),
(30735, '4k4cA00', NULL, NULL, 137, NULL, NULL, 17381),
(30736, '2fujA00', NULL, NULL, 137, NULL, NULL, 17381),
(30737, '5buwA00', NULL, NULL, 144, NULL, NULL, 17381),
(30738, '2w2sA00', NULL, NULL, 173, NULL, NULL, 17382),
(30739, '6az1E02', NULL, NULL, 51, NULL, NULL, 17383),
(30740, '4bpnW02', NULL, NULL, 51, NULL, NULL, 17383),
(30741, '3j7aF02', NULL, NULL, 51, NULL, NULL, 17383),
(30742, '5optL02', NULL, NULL, 51, NULL, NULL, 17383),
(30743, '5xxuE02', NULL, NULL, 51, NULL, NULL, 17383),
(30744, '5flxE02', NULL, NULL, 51, NULL, NULL, 17383),
(30745, '6faiE02', NULL, NULL, 51, NULL, NULL, 17383),
(30746, '3jamE02', NULL, NULL, 51, NULL, NULL, 17383),
(30747, '5xyiE02', NULL, NULL, 51, NULL, NULL, 17383),
(30748, '6g5iE02', NULL, NULL, 51, NULL, NULL, 17383),
(30749, '3kbgA02', NULL, NULL, 53, NULL, NULL, 17383),
(30750, '2m3eA00', NULL, NULL, 50, NULL, NULL, 17384),
(30751, '2k1aA00', NULL, NULL, 42, NULL, NULL, 17384),
(30752, '2kncA00', NULL, NULL, 54, NULL, NULL, 17384),
(30753, '1cksB00', NULL, NULL, 79, NULL, NULL, 17385),
(30754, '2astC00', NULL, NULL, 69, NULL, NULL, 17385),
(30755, '3qy2A00', NULL, NULL, 117, NULL, NULL, 17385),
(30756, '1pucA00', NULL, NULL, 105, NULL, NULL, 17385),
(30757, '4lpaA00', NULL, NULL, 119, NULL, NULL, 17385),
(30758, '4q5gA00', NULL, NULL, 104, NULL, NULL, 17386),
(30759, '4ip8A00', NULL, NULL, 105, NULL, NULL, 17386),
(30760, '3w54B00', NULL, NULL, 266, NULL, NULL, 17387),
(30761, '1dmrA01', NULL, NULL, 219, NULL, NULL, 17388),
(30762, '1eu1A01', NULL, NULL, 219, NULL, NULL, 17388),
(30763, '1g8kA02', NULL, NULL, 253, NULL, NULL, 17388),
(30764, '3ml1A02', NULL, NULL, 267, NULL, NULL, 17388),
(30765, '2vpzA02', NULL, NULL, 171, NULL, NULL, 17388),
(30766, '1h0hA02', NULL, NULL, 239, NULL, NULL, 17388),
(30767, '1tmoA01', NULL, NULL, 222, NULL, NULL, 17388),
(30768, '1ogyA02', NULL, NULL, 267, NULL, NULL, 17388),
(30769, '2napA02', NULL, NULL, 295, NULL, NULL, 17388);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(30770, '1q16A05', NULL, NULL, 234, NULL, NULL, 17388),
(30771, '5nqdA02', NULL, NULL, 244, NULL, NULL, 17388),
(30772, '1ti2A02', NULL, NULL, 362, NULL, NULL, 17388),
(30773, '1kqfA02', NULL, NULL, 239, NULL, NULL, 17388),
(30774, '2iv2X02', NULL, NULL, 268, NULL, NULL, 17388),
(30775, '2e7zA02', NULL, NULL, 304, NULL, NULL, 17388),
(30776, '2nyaA02', NULL, NULL, 267, NULL, NULL, 17388),
(30777, '1wpbB02', NULL, NULL, 112, NULL, NULL, 17389),
(30778, '2hzdA00', NULL, NULL, 82, NULL, NULL, 17390),
(30779, '1fd6A00', NULL, NULL, 57, NULL, NULL, 17391),
(30780, '4kgsA00', NULL, NULL, 57, NULL, NULL, 17391),
(30781, '1fclA00', NULL, NULL, 56, NULL, NULL, 17391),
(30782, '1em7A00', NULL, NULL, 56, NULL, NULL, 17391),
(30783, '2zw0A00', NULL, NULL, 57, NULL, NULL, 17391),
(30784, '5uceA00', NULL, NULL, 56, NULL, NULL, 17391),
(30785, '4ozaA00', NULL, NULL, 57, NULL, NULL, 17391),
(30786, '1ibxB00', NULL, NULL, 89, NULL, NULL, 17391),
(30787, '6nl7A00', NULL, NULL, 56, NULL, NULL, 17391),
(30788, '1vx7U01', NULL, NULL, 78, NULL, NULL, 17391),
(30789, '6nlaA00', NULL, NULL, 56, NULL, NULL, 17391),
(30790, '1vx7U02', NULL, NULL, 76, NULL, NULL, 17391),
(30791, '4ikgA00', NULL, NULL, 81, NULL, NULL, 17391),
(30792, '1mhxA00', NULL, NULL, 65, NULL, NULL, 17391),
(30793, '2pw9D02', NULL, NULL, 79, NULL, NULL, 17391),
(30794, '4kgrD00', NULL, NULL, 57, NULL, NULL, 17391),
(30795, '1xf5M00', NULL, NULL, 80, NULL, NULL, 17391),
(30796, '4kgrB00', NULL, NULL, 57, NULL, NULL, 17391),
(30797, '5ofsA00', NULL, NULL, 56, NULL, NULL, 17391),
(30798, '4kgrH00', NULL, NULL, 57, NULL, NULL, 17391),
(30799, '3mp9A00', NULL, NULL, 64, NULL, NULL, 17391),
(30800, '1ymhE00', NULL, NULL, 65, NULL, NULL, 17391),
(30801, '4kgrF00', NULL, NULL, 57, NULL, NULL, 17391),
(30802, '5hg2B00', NULL, NULL, 57, NULL, NULL, 17391),
(30803, '5hg2D00', NULL, NULL, 57, NULL, NULL, 17391),
(30804, '4d2kB00', NULL, NULL, 87, NULL, NULL, 17391),
(30805, '4kgtA00', NULL, NULL, 55, NULL, NULL, 17391),
(30806, '2jxtA01', NULL, NULL, 76, NULL, NULL, 17391),
(30807, '5hi1A00', NULL, NULL, 57, NULL, NULL, 17391),
(30808, '5hi1C00', NULL, NULL, 57, NULL, NULL, 17391),
(30809, '5hi1E00', NULL, NULL, 57, NULL, NULL, 17391),
(30810, '5hfyA00', NULL, NULL, 57, NULL, NULL, 17391),
(30811, '5u6aE00', NULL, NULL, 63, NULL, NULL, 17391),
(30812, '5hi1G00', NULL, NULL, 57, NULL, NULL, 17391),
(30813, '4ozbB00', NULL, NULL, 57, NULL, NULL, 17391),
(30814, '6nl6A00', NULL, NULL, 56, NULL, NULL, 17391),
(30815, '1igdA00', NULL, NULL, 61, NULL, NULL, 17391),
(30816, '2qsdA01', NULL, NULL, 80, NULL, NULL, 17391),
(30817, '2kdmA00', NULL, NULL, 56, NULL, NULL, 17391),
(30818, '1f2rI00', NULL, NULL, 100, NULL, NULL, 17391),
(30819, '1zxhA00', NULL, NULL, 56, NULL, NULL, 17391),
(30820, '4kgsB00', NULL, NULL, 57, NULL, NULL, 17391),
(30821, '3u4eG00', NULL, NULL, 124, NULL, NULL, 17391),
(30822, '3v3xA00', NULL, NULL, 56, NULL, NULL, 17391),
(30823, '4i4m600', NULL, NULL, 56, NULL, NULL, 17391),
(30824, '1ibxA00', NULL, NULL, 86, NULL, NULL, 17391),
(30825, '1gb4A00', NULL, NULL, 57, NULL, NULL, 17391),
(30826, '4ozcA00', NULL, NULL, 57, NULL, NULL, 17391),
(30827, '2on8A00', NULL, NULL, 56, NULL, NULL, 17391),
(30828, '1c9fA00', NULL, NULL, 90, NULL, NULL, 17391),
(30829, '4a18X02', NULL, NULL, 76, NULL, NULL, 17391),
(30830, '4a18X01', NULL, NULL, 80, NULL, NULL, 17391),
(30831, '1qkzA00', NULL, NULL, 64, NULL, NULL, 17391),
(30832, '1hz6A00', NULL, NULL, 72, NULL, NULL, 17391),
(30833, '2kacA00', NULL, NULL, 64, NULL, NULL, 17391),
(30834, '1mvkH00', NULL, NULL, 56, NULL, NULL, 17391),
(30835, '2zw1A00', NULL, NULL, 57, NULL, NULL, 17391),
(30836, '2jzpA00', NULL, NULL, 64, NULL, NULL, 17391),
(30837, '4kgrE00', NULL, NULL, 57, NULL, NULL, 17391),
(30838, '2pw9C02', NULL, NULL, 58, NULL, NULL, 17391),
(30839, '4kgrC00', NULL, NULL, 57, NULL, NULL, 17391),
(30840, '2rpvA00', NULL, NULL, 75, NULL, NULL, 17391),
(30841, '5ubsA00', NULL, NULL, 56, NULL, NULL, 17391),
(30842, '2qmtA00', NULL, NULL, 56, NULL, NULL, 17391),
(30843, '6em3S01', NULL, NULL, 69, NULL, NULL, 17391);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(30844, '4kgrG00', NULL, NULL, 57, NULL, NULL, 17391),
(30845, '1d4bA00', NULL, NULL, 122, NULL, NULL, 17391),
(30846, '2ptlA00', NULL, NULL, 78, NULL, NULL, 17391),
(30847, '5hg2C00', NULL, NULL, 57, NULL, NULL, 17391),
(30848, '6em3S02', NULL, NULL, 77, NULL, NULL, 17391),
(30849, '1pgxA00', NULL, NULL, 83, NULL, NULL, 17391),
(30850, '5xpcA00', NULL, NULL, 100, NULL, NULL, 17391),
(30851, '4kgrA00', NULL, NULL, 57, NULL, NULL, 17391),
(30852, '4kgtB00', NULL, NULL, 55, NULL, NULL, 17391),
(30853, '5hi1B00', NULL, NULL, 57, NULL, NULL, 17391),
(30854, '5hg2A00', NULL, NULL, 57, NULL, NULL, 17391),
(30855, '1kh0A00', NULL, NULL, 65, NULL, NULL, 17391),
(30856, '4glsC00', NULL, NULL, 56, NULL, NULL, 17391),
(30857, '5hi1D00', NULL, NULL, 57, NULL, NULL, 17391),
(30858, '3filB00', NULL, NULL, 56, NULL, NULL, 17391),
(30859, '5hi1F00', NULL, NULL, 57, NULL, NULL, 17391),
(30860, '5hfyB00', NULL, NULL, 57, NULL, NULL, 17391),
(30861, '4ozbA00', NULL, NULL, 57, NULL, NULL, 17391),
(30862, '1jmlA00', NULL, NULL, 72, NULL, NULL, 17391),
(30863, '5hi1H00', NULL, NULL, 57, NULL, NULL, 17391),
(30864, '1mi0B00', NULL, NULL, 65, NULL, NULL, 17391),
(30865, '4wh4A00', NULL, NULL, 56, NULL, NULL, 17391),
(30866, '2eelA00', NULL, NULL, 91, NULL, NULL, 17391),
(30867, '2jwuA00', NULL, NULL, 56, NULL, NULL, 17391),
(30868, '3u2sC00', NULL, NULL, 124, NULL, NULL, 17391),
(30869, '1vwxS02', NULL, NULL, 76, NULL, NULL, 17391),
(30870, '1vwxS01', NULL, NULL, 71, NULL, NULL, 17391),
(30871, '2jroA01', NULL, NULL, 65, NULL, NULL, 17392),
(30872, '3qc1A02', NULL, NULL, 39, NULL, NULL, 17393),
(30873, '3urgA02', NULL, NULL, 66, NULL, NULL, 17394),
(30874, '3fhnA01', NULL, NULL, 193, NULL, NULL, 17395),
(30875, '1r94A00', NULL, NULL, 97, NULL, NULL, 17396),
(30876, '2k4zA01', NULL, NULL, 113, NULL, NULL, 17396),
(30877, '2qgoA00', NULL, NULL, 141, NULL, NULL, 17396),
(30878, '2p2eA00', NULL, NULL, 128, NULL, NULL, 17396),
(30879, '1x0gA00', NULL, NULL, 112, NULL, NULL, 17396),
(30880, '1nwbA00', NULL, NULL, 101, NULL, NULL, 17396),
(30881, '2d2aB01', NULL, NULL, 106, NULL, NULL, 17396),
(30882, '2apnA01', NULL, NULL, 96, NULL, NULL, 17396),
(30883, '5enqB05', NULL, NULL, 101, NULL, NULL, 17397),
(30884, '3w9iA07', NULL, NULL, 100, NULL, NULL, 17397),
(30885, '4dx5A07', NULL, NULL, 94, NULL, NULL, 17397),
(30886, '4mt1A07', NULL, NULL, 104, NULL, NULL, 17397),
(30887, '5jmnB07', NULL, NULL, 99, NULL, NULL, 17397),
(30888, '2nrjA01', NULL, NULL, 337, NULL, NULL, 17398),
(30889, '4phqA00', NULL, NULL, 298, NULL, NULL, 17398),
(30890, '4k1pE00', NULL, NULL, 342, NULL, NULL, 17398),
(30891, '1hruA00', NULL, NULL, 188, NULL, NULL, 17399),
(30892, '1k4iA00', NULL, NULL, 233, NULL, NULL, 17399),
(30893, '2eqaA01', NULL, NULL, 214, NULL, NULL, 17399),
(30894, '1jcuA00', NULL, NULL, 208, NULL, NULL, 17399),
(30895, '1tksA00', NULL, NULL, 204, NULL, NULL, 17399),
(30896, '4ffjA00', NULL, NULL, 210, NULL, NULL, 17399),
(30897, '3l7vA00', NULL, NULL, 263, NULL, NULL, 17399),
(30898, '1g57A00', NULL, NULL, 217, NULL, NULL, 17399),
(30899, '1snnA00', NULL, NULL, 227, NULL, NULL, 17399),
(30900, '3h07B00', NULL, NULL, 220, NULL, NULL, 17399),
(30901, '4p6dB00', NULL, NULL, 213, NULL, NULL, 17399),
(30902, '1k7jA00', NULL, NULL, 206, NULL, NULL, 17399),
(30903, '3mioA00', NULL, NULL, 206, NULL, NULL, 17399),
(30904, '2lopA00', NULL, NULL, 108, NULL, NULL, 17400),
(30905, '2losA00', NULL, NULL, 121, NULL, NULL, 17400),
(30906, '2looA02', NULL, NULL, 75, NULL, NULL, 17400),
(30907, '4x9tA01', NULL, NULL, 171, NULL, NULL, 17401),
(30908, '2f5xA01', NULL, NULL, 188, NULL, NULL, 17401),
(30909, '2qpqA01', NULL, NULL, 177, NULL, NULL, 17401),
(30910, '2dvzA01', NULL, NULL, 190, NULL, NULL, 17401),
(30911, '4ddpA00', NULL, NULL, 210, NULL, NULL, 17402),
(30912, '3vp7A00', NULL, NULL, 220, NULL, NULL, 17402),
(30913, '3x1lB03', NULL, NULL, 105, NULL, NULL, 17403),
(30914, '2ka6B00', NULL, NULL, 45, NULL, NULL, 17404),
(30915, '5f7uA02', NULL, NULL, 226, NULL, NULL, 17405),
(30916, '3topA02', NULL, NULL, 238, NULL, NULL, 17405),
(30917, '5nn4A02', NULL, NULL, 232, NULL, NULL, 17405);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(30918, '2g3mF01', NULL, NULL, 153, NULL, NULL, 17405),
(30919, '3weoA01', NULL, NULL, 276, NULL, NULL, 17405),
(30920, '2xvlA01', NULL, NULL, 234, NULL, NULL, 17405),
(30921, '4ba0A01', NULL, NULL, 201, NULL, NULL, 17405),
(30922, '4amwA01', NULL, NULL, 320, NULL, NULL, 17405),
(30923, '3lppA02', NULL, NULL, 237, NULL, NULL, 17405),
(30924, '6c9xA01', NULL, NULL, 156, NULL, NULL, 17405),
(30925, '2f2hA01', NULL, NULL, 245, NULL, NULL, 17405),
(30926, '3l4yA02', NULL, NULL, 238, NULL, NULL, 17405),
(30927, '5jouA01', NULL, NULL, 238, NULL, NULL, 17405),
(30928, '3h20A02', NULL, NULL, 107, NULL, NULL, 17406),
(30929, '3d2yA02', NULL, NULL, 84, NULL, NULL, 17407),
(30930, '1lbuA01', NULL, NULL, 84, NULL, NULL, 17407),
(30931, '1l6jA01', NULL, NULL, 65, NULL, NULL, 17407),
(30932, '4bolA02', NULL, NULL, 80, NULL, NULL, 17407),
(30933, '1eakA01', NULL, NULL, 63, NULL, NULL, 17407),
(30934, '4lpqA01', NULL, NULL, 78, NULL, NULL, 17407),
(30935, '4bxjA02', NULL, NULL, 83, NULL, NULL, 17407),
(30936, '3bkhA01', NULL, NULL, 86, NULL, NULL, 17407),
(30937, '4g54A02', NULL, NULL, 72, NULL, NULL, 17407),
(30938, '3axjA02', NULL, NULL, 102, NULL, NULL, 17408),
(30939, '3qb5K02', NULL, NULL, 86, NULL, NULL, 17408),
(30940, '3axjB02', NULL, NULL, 85, NULL, NULL, 17408),
(30941, '1j1jA02', NULL, NULL, 96, NULL, NULL, 17408),
(30942, '1tlyA00', NULL, NULL, 278, NULL, NULL, 17409),
(30943, '3h6pA00', NULL, NULL, 60, NULL, NULL, 17410),
(30944, '1n2dC00', NULL, NULL, 48, NULL, NULL, 17410),
(30945, '2ix7C00', NULL, NULL, 58, NULL, NULL, 17410),
(30946, '1kfnA00', NULL, NULL, 56, NULL, NULL, 17410),
(30947, '2guvA00', NULL, NULL, 56, NULL, NULL, 17410),
(30948, '1eq7A00', NULL, NULL, 56, NULL, NULL, 17410),
(30949, '1jcdB00', NULL, NULL, 52, NULL, NULL, 17410),
(30950, '1jccC00', NULL, NULL, 56, NULL, NULL, 17410),
(30951, '1t8zC00', NULL, NULL, 53, NULL, NULL, 17410),
(30952, '3qi7A02', NULL, NULL, 166, NULL, NULL, 17411),
(30953, '3b21A00', NULL, NULL, 192, NULL, NULL, 17412),
(30954, '3tqnB02', NULL, NULL, 38, NULL, NULL, 17413),
(30955, '5jrbA01', NULL, NULL, 148, NULL, NULL, 17414),
(30956, '5b1aM00', NULL, NULL, 46, NULL, NULL, 17415),
(30957, '5z62M00', NULL, NULL, 43, NULL, NULL, 17415),
(30958, '3fp5A00', NULL, NULL, 106, NULL, NULL, 17416),
(30959, '3ivfA03', NULL, NULL, 110, NULL, NULL, 17416),
(30960, '1mixA01', NULL, NULL, 98, NULL, NULL, 17416),
(30961, '3qijA02', NULL, NULL, 106, NULL, NULL, 17416),
(30962, '3flvA00', NULL, NULL, 98, NULL, NULL, 17416),
(30963, '2lbbA00', NULL, NULL, 96, NULL, NULL, 17416),
(30964, '5f3yA03', NULL, NULL, 117, NULL, NULL, 17416),
(30965, '4hdoA02', NULL, NULL, 119, NULL, NULL, 17416),
(30966, '1h4rA02', NULL, NULL, 117, NULL, NULL, 17416),
(30967, '6cb0B02', NULL, NULL, 125, NULL, NULL, 17416),
(30968, '5ijmA00', NULL, NULL, 106, NULL, NULL, 17416),
(30969, '2copA00', NULL, NULL, 109, NULL, NULL, 17416),
(30970, '1ni2A02', NULL, NULL, 117, NULL, NULL, 17416),
(30971, '4yl8A02', NULL, NULL, 116, NULL, NULL, 17416),
(30972, '2cquA00', NULL, NULL, 116, NULL, NULL, 17416),
(30973, '5h3iD00', NULL, NULL, 95, NULL, NULL, 17416),
(30974, '5h3gA00', NULL, NULL, 94, NULL, NULL, 17416),
(30975, '2zpyA02', NULL, NULL, 117, NULL, NULL, 17416),
(30976, '6d2kA02', NULL, NULL, 104, NULL, NULL, 17416),
(30977, '6d2qA02', NULL, NULL, 104, NULL, NULL, 17416),
(30978, '6ibeA02', NULL, NULL, 108, NULL, NULL, 17416),
(30979, '3epyA00', NULL, NULL, 89, NULL, NULL, 17416),
(30980, '3g9wA01', NULL, NULL, 99, NULL, NULL, 17416),
(30981, '1hb6A00', NULL, NULL, 86, NULL, NULL, 17416),
(30982, '2wh5A00', NULL, NULL, 106, NULL, NULL, 17416),
(30983, '1st7A00', NULL, NULL, 86, NULL, NULL, 17416),
(30984, '6d21A02', NULL, NULL, 104, NULL, NULL, 17416),
(30985, '3au5A03', NULL, NULL, 141, NULL, NULL, 17416),
(30986, '2i1jA02', NULL, NULL, 117, NULL, NULL, 17416),
(30987, '2cb8A00', NULL, NULL, 87, NULL, NULL, 17416),
(30988, '3pvlA03', NULL, NULL, 118, NULL, NULL, 17416),
(30989, '1hbkA00', NULL, NULL, 89, NULL, NULL, 17416),
(30990, '4ekuA02', NULL, NULL, 124, NULL, NULL, 17416),
(30991, '1regX00', NULL, NULL, 122, NULL, NULL, 17417);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(30992, '4af8A00', NULL, NULL, 345, NULL, NULL, 17418),
(30993, '2vpzC00', NULL, NULL, 253, NULL, NULL, 17419),
(30994, '3umvA02', NULL, NULL, 171, NULL, NULL, 17420),
(30995, '1owlA02', NULL, NULL, 123, NULL, NULL, 17420),
(30996, '1np7B02', NULL, NULL, 171, NULL, NULL, 17420),
(30997, '5zm0A02', NULL, NULL, 128, NULL, NULL, 17420),
(30998, '4mlpA02', NULL, NULL, 127, NULL, NULL, 17420),
(30999, '4cdnB02', NULL, NULL, 178, NULL, NULL, 17420),
(31000, '3cvvA02', NULL, NULL, 131, NULL, NULL, 17420),
(31001, '2e0iA02', NULL, NULL, 98, NULL, NULL, 17420),
(31002, '2j07A02', NULL, NULL, 108, NULL, NULL, 17420),
(31003, '1np7A02', NULL, NULL, 119, NULL, NULL, 17420),
(31004, '4djaA02', NULL, NULL, 157, NULL, NULL, 17420),
(31005, '3fy4A02', NULL, NULL, 129, NULL, NULL, 17420),
(31006, '1dnpA02', NULL, NULL, 123, NULL, NULL, 17420),
(31007, '4u63A02', NULL, NULL, 121, NULL, NULL, 17420),
(31008, '4jzyA02', NULL, NULL, 138, NULL, NULL, 17420),
(31009, '1u3dA02', NULL, NULL, 134, NULL, NULL, 17420),
(31010, '3zxsC02', NULL, NULL, 157, NULL, NULL, 17420),
(31011, '2j4dA02', NULL, NULL, 170, NULL, NULL, 17420),
(31012, '5t5xA02', NULL, NULL, 136, NULL, NULL, 17420),
(31013, '2c5zA00', NULL, NULL, 104, NULL, NULL, 17421),
(31014, '2a7oA00', NULL, NULL, 112, NULL, NULL, 17421),
(31015, '2ju4A00', NULL, NULL, 86, NULL, NULL, 17422),
(31016, '1c0aA03', NULL, NULL, 150, NULL, NULL, 17423),
(31017, '4ah6A03', NULL, NULL, 152, NULL, NULL, 17423),
(31018, '4wj4A03', NULL, NULL, 150, NULL, NULL, 17423),
(31019, '4rmfA03', NULL, NULL, 142, NULL, NULL, 17423),
(31020, '2d6fC02', NULL, NULL, 125, NULL, NULL, 17423),
(31021, '2p8tA02', NULL, NULL, 109, NULL, NULL, 17423),
(31022, '1l0wA03', NULL, NULL, 138, NULL, NULL, 17423),
(31023, '5w25A03', NULL, NULL, 142, NULL, NULL, 17423),
(31024, '1zq1C02', NULL, NULL, 131, NULL, NULL, 17423),
(31025, '5xluA02', NULL, NULL, 128, NULL, NULL, 17424),
(31026, '4gdxA02', NULL, NULL, 111, NULL, NULL, 17424),
(31027, '2z8iA02', NULL, NULL, 114, NULL, NULL, 17424),
(31028, '2qmcC02', NULL, NULL, 114, NULL, NULL, 17424),
(31029, '3whrA02', NULL, NULL, 128, NULL, NULL, 17424),
(31030, '5zjgA02', NULL, NULL, 112, NULL, NULL, 17424),
(31031, '1rquA01', NULL, NULL, 52, NULL, NULL, 17425),
(31032, '1rquB01', NULL, NULL, 31, NULL, NULL, 17425),
(31033, '1dd4D01', NULL, NULL, 30, NULL, NULL, 17425),
(31034, '1dd3A01', NULL, NULL, 57, NULL, NULL, 17425),
(31035, '4lmsC00', NULL, NULL, 70, NULL, NULL, 17426),
(31036, '4lmxE00', NULL, NULL, 67, NULL, NULL, 17426),
(31037, '4lmxC00', NULL, NULL, 67, NULL, NULL, 17426),
(31038, '4lmsA00', NULL, NULL, 80, NULL, NULL, 17426),
(31039, '4lm6A00', NULL, NULL, 62, NULL, NULL, 17426),
(31040, '1xg0A00', NULL, NULL, 76, NULL, NULL, 17426),
(31041, '1xg0B00', NULL, NULL, 67, NULL, NULL, 17426),
(31042, '2f48A03', NULL, NULL, 75, NULL, NULL, 17427),
(31043, '3efoB04', NULL, NULL, 245, NULL, NULL, 17428),
(31044, '2xggB00', NULL, NULL, 160, NULL, NULL, 17428),
(31045, '4jduA00', NULL, NULL, 215, NULL, NULL, 17428),
(31046, '4igiA00', NULL, NULL, 203, NULL, NULL, 17428),
(31047, '2odpA01', NULL, NULL, 218, NULL, NULL, 17428),
(31048, '1u0oC00', NULL, NULL, 208, NULL, NULL, 17428),
(31049, '1n3yA00', NULL, NULL, 198, NULL, NULL, 17428),
(31050, '4cn9A01', NULL, NULL, 206, NULL, NULL, 17428),
(31051, '4cn9A02', NULL, NULL, 203, NULL, NULL, 17428),
(31052, '3zqkA00', NULL, NULL, 181, NULL, NULL, 17428),
(31053, '2nutB04', NULL, NULL, 239, NULL, NULL, 17428),
(31054, '2x5nA01', NULL, NULL, 182, NULL, NULL, 17428),
(31055, '1ck4B00', NULL, NULL, 198, NULL, NULL, 17428),
(31056, '1atzB00', NULL, NULL, 189, NULL, NULL, 17428),
(31057, '2iueA00', NULL, NULL, 212, NULL, NULL, 17428),
(31058, '3ibsA00', NULL, NULL, 218, NULL, NULL, 17428),
(31059, '4f1jA00', NULL, NULL, 203, NULL, NULL, 17428),
(31060, '1pcxA04', NULL, NULL, 248, NULL, NULL, 17428),
(31061, '4rckB00', NULL, NULL, 204, NULL, NULL, 17428),
(31062, '1v7pC00', NULL, NULL, 200, NULL, NULL, 17428),
(31063, '1jeyA01', NULL, NULL, 216, NULL, NULL, 17428),
(31064, '3v4vB02', NULL, NULL, 247, NULL, NULL, 17428);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(31065, '4fx5A02', NULL, NULL, 184, NULL, NULL, 17428),
(31066, '5ln1A01', NULL, NULL, 185, NULL, NULL, 17428),
(31067, '5hgjA00', NULL, NULL, 195, NULL, NULL, 17428),
(31068, '5ffgB00', NULL, NULL, 257, NULL, NULL, 17428),
(31069, '1shuX00', NULL, NULL, 182, NULL, NULL, 17428),
(31070, '4hqfA00', NULL, NULL, 215, NULL, NULL, 17428),
(31071, '1mf7A00', NULL, NULL, 194, NULL, NULL, 17428),
(31072, '3eh1A04', NULL, NULL, 240, NULL, NULL, 17428),
(31073, '2qtvA03', NULL, NULL, 278, NULL, NULL, 17428),
(31074, '3n2nA00', NULL, NULL, 185, NULL, NULL, 17428),
(31075, '4wk0B03', NULL, NULL, 240, NULL, NULL, 17428),
(31076, '3t3pB03', NULL, NULL, 249, NULL, NULL, 17428),
(31077, '4wfqA00', NULL, NULL, 192, NULL, NULL, 17428),
(31078, '4hqoA02', NULL, NULL, 189, NULL, NULL, 17428),
(31079, '2nutA03', NULL, NULL, 273, NULL, NULL, 17428),
(31080, '1q0pA00', NULL, NULL, 223, NULL, NULL, 17428),
(31081, '1yvrA01', NULL, NULL, 206, NULL, NULL, 17428),
(31082, '3eh2B04', NULL, NULL, 245, NULL, NULL, 17428),
(31083, '5e6sB03', NULL, NULL, 246, NULL, NULL, 17428),
(31084, '1jeyB01', NULL, NULL, 242, NULL, NULL, 17428),
(31085, '5bv8A00', NULL, NULL, 214, NULL, NULL, 17428),
(31086, '5nusA00', NULL, NULL, 229, NULL, NULL, 17428),
(31087, '3ragB00', NULL, NULL, 242, NULL, NULL, 17428),
(31088, '2ww8A03', NULL, NULL, 304, NULL, NULL, 17428),
(31089, '2nvoA01', NULL, NULL, 207, NULL, NULL, 17428),
(31090, '3tw0D01', NULL, NULL, 311, NULL, NULL, 17428),
(31091, '1rrkA01', NULL, NULL, 209, NULL, NULL, 17428),
(31092, '1mjnA00', NULL, NULL, 179, NULL, NULL, 17428),
(31093, '4odjA01', NULL, NULL, 113, NULL, NULL, 17429),
(31094, '4odjA03', NULL, NULL, 132, NULL, NULL, 17429),
(31095, '1xrbA02', NULL, NULL, 101, NULL, NULL, 17429),
(31096, '5h9uA01', NULL, NULL, 109, NULL, NULL, 17429),
(31097, '5a1iA02', NULL, NULL, 141, NULL, NULL, 17429),
(31098, '3imlD01', NULL, NULL, 118, NULL, NULL, 17429),
(31099, '3imlC03', NULL, NULL, 129, NULL, NULL, 17429),
(31100, '5a1iA01', NULL, NULL, 125, NULL, NULL, 17429),
(31101, '5t8sB03', NULL, NULL, 152, NULL, NULL, 17429),
(31102, '5h9uA03', NULL, NULL, 150, NULL, NULL, 17429),
(31103, '5t8sA01', NULL, NULL, 117, NULL, NULL, 17429),
(31104, '3imlD03', NULL, NULL, 91, NULL, NULL, 17429),
(31105, '5h9uA02', NULL, NULL, 129, NULL, NULL, 17429),
(31106, '4l4qA03', NULL, NULL, 125, NULL, NULL, 17429),
(31107, '5t8sA02', NULL, NULL, 128, NULL, NULL, 17429),
(31108, '3so4A03', NULL, NULL, 157, NULL, NULL, 17429),
(31109, '3so4A02', NULL, NULL, 128, NULL, NULL, 17429),
(31110, '3tqiA03', NULL, NULL, 109, NULL, NULL, 17429),
(31111, '3imlA02', NULL, NULL, 128, NULL, NULL, 17429),
(31112, '3so4A01', NULL, NULL, 109, NULL, NULL, 17429),
(31113, '2ywbA03', NULL, NULL, 108, NULL, NULL, 17429),
(31114, '1gpmA03', NULL, NULL, 108, NULL, NULL, 17429),
(31115, '1qm4A03', NULL, NULL, 110, NULL, NULL, 17429),
(31116, '3tdeB01', NULL, NULL, 119, NULL, NULL, 17429),
(31117, '3tdeA03', NULL, NULL, 132, NULL, NULL, 17429),
(31118, '3uowB03', NULL, NULL, 115, NULL, NULL, 17429),
(31119, '1p7lA02', NULL, NULL, 129, NULL, NULL, 17429),
(31120, '1p7lA01', NULL, NULL, 141, NULL, NULL, 17429),
(31121, '4le5B03', NULL, NULL, 135, NULL, NULL, 17429),
(31122, '2obvA01', NULL, NULL, 114, NULL, NULL, 17429),
(31123, '4le5A02', NULL, NULL, 148, NULL, NULL, 17429),
(31124, '6c07D02', NULL, NULL, 125, NULL, NULL, 17429),
(31125, '4le5A01', NULL, NULL, 111, NULL, NULL, 17429),
(31126, '2dplA02', NULL, NULL, 123, NULL, NULL, 17429),
(31127, '3s82A03', NULL, NULL, 132, NULL, NULL, 17429),
(31128, '2obvA03', NULL, NULL, 128, NULL, NULL, 17429),
(31129, '3s82A02', NULL, NULL, 131, NULL, NULL, 17429),
(31130, '3s82B01', NULL, NULL, 118, NULL, NULL, 17429),
(31131, '2obvA02', NULL, NULL, 141, NULL, NULL, 17429),
(31132, '5a1iA03', NULL, NULL, 128, NULL, NULL, 17429),
(31133, '1p7lA03', NULL, NULL, 106, NULL, NULL, 17429),
(31134, '3rv2A01', NULL, NULL, 118, NULL, NULL, 17429),
(31135, '4l7iB03', NULL, NULL, 121, NULL, NULL, 17429),
(31136, '1khvA01', NULL, NULL, 63, NULL, NULL, 17430),
(31137, '2frxA02', NULL, NULL, 169, NULL, NULL, 17431);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(31138, '1pzwA00', NULL, NULL, 80, NULL, NULL, 17432),
(31139, '1av1A00', NULL, NULL, 201, NULL, NULL, 17433),
(31140, '4c2vD00', NULL, NULL, 44, NULL, NULL, 17434),
(31141, '3ukvC01', NULL, NULL, 46, NULL, NULL, 17435),
(31142, '2qmaA01', NULL, NULL, 99, NULL, NULL, 17436),
(31143, '2xdpA02', NULL, NULL, 54, NULL, NULL, 17437),
(31144, '4uc4A02', NULL, NULL, 55, NULL, NULL, 17437),
(31145, '2qqrA02', NULL, NULL, 53, NULL, NULL, 17437),
(31146, '2np9A01', NULL, NULL, 146, NULL, NULL, 17438),
(31147, '1t8sA01', NULL, NULL, 172, NULL, NULL, 17439),
(31148, '2guwB01', NULL, NULL, 152, NULL, NULL, 17439),
(31149, '4hfvA01', NULL, NULL, 119, NULL, NULL, 17440),
(31150, '2f4mA01', NULL, NULL, 230, NULL, NULL, 17441),
(31151, '4fgqB00', NULL, NULL, 193, NULL, NULL, 17441),
(31152, '3kd4A02', NULL, NULL, 160, NULL, NULL, 17441),
(31153, '2zk9X00', NULL, NULL, 185, NULL, NULL, 17441),
(31154, '4u65E00', NULL, NULL, 197, NULL, NULL, 17441),
(31155, '3isrA01', NULL, NULL, 192, NULL, NULL, 17441),
(31156, '3eswA01', NULL, NULL, 262, NULL, NULL, 17441),
(31157, '2oyyA00', NULL, NULL, 76, NULL, NULL, 17442),
(31158, '2r5jA00', NULL, NULL, 423, NULL, NULL, 17443),
(31159, '5y9eE00', NULL, NULL, 431, NULL, NULL, 17443),
(31160, '5w1oD00', NULL, NULL, 427, NULL, NULL, 17443),
(31161, '2r5kA00', NULL, NULL, 424, NULL, NULL, 17443),
(31162, '5y9fA00', NULL, NULL, 431, NULL, NULL, 17443),
(31163, '6igfB00', NULL, NULL, 431, NULL, NULL, 17443),
(31164, '5w1xA00', NULL, NULL, 427, NULL, NULL, 17443),
(31165, '6igeI00', NULL, NULL, 424, NULL, NULL, 17443),
(31166, '3k6oA02', NULL, NULL, 138, NULL, NULL, 17444),
(31167, '4pqxA02', NULL, NULL, 137, NULL, NULL, 17444),
(31168, '3k0yA02', NULL, NULL, 146, NULL, NULL, 17444),
(31169, '4j8qA02', NULL, NULL, 126, NULL, NULL, 17444),
(31170, '3qwnA02', NULL, NULL, 136, NULL, NULL, 17444),
(31171, '1u96A01', NULL, NULL, 34, NULL, NULL, 17445),
(31172, '1u97A00', NULL, NULL, 69, NULL, NULL, 17445),
(31173, '1hp8A00', NULL, NULL, 68, NULL, NULL, 17445),
(31174, '2lgqA00', NULL, NULL, 67, NULL, NULL, 17445),
(31175, '4ksnD00', NULL, NULL, 78, NULL, NULL, 17446),
(31176, '3d37B01', NULL, NULL, 188, NULL, NULL, 17447),
(31177, '1wruA01', NULL, NULL, 177, NULL, NULL, 17447),
(31178, '3cddF01', NULL, NULL, 199, NULL, NULL, 17447),
(31179, '2outA02', NULL, NULL, 41, NULL, NULL, 17448),
(31180, '1v66A00', NULL, NULL, 65, NULL, NULL, 17448),
(31181, '4bitA02', NULL, NULL, 56, NULL, NULL, 17448),
(31182, '2wqgA00', NULL, NULL, 51, NULL, NULL, 17448),
(31183, '2jvwA01', NULL, NULL, 60, NULL, NULL, 17448),
(31184, '1zbhA01', NULL, NULL, 74, NULL, NULL, 17448),
(31185, '2kvdA02', NULL, NULL, 58, NULL, NULL, 17448),
(31186, '1jeqA05', NULL, NULL, 51, NULL, NULL, 17448),
(31187, '2w51A02', NULL, NULL, 41, NULL, NULL, 17448),
(31188, '2kvuA00', NULL, NULL, 75, NULL, NULL, 17448),
(31189, '2rqyA02', NULL, NULL, 37, NULL, NULL, 17448),
(31190, '4jzaA02', NULL, NULL, 116, NULL, NULL, 17449),
(31191, '1hgvA00', NULL, NULL, 46, NULL, NULL, 17450),
(31192, '2c0wA00', NULL, NULL, 50, NULL, NULL, 17450),
(31193, '6a7fA00', NULL, NULL, 53, NULL, NULL, 17450),
(31194, '4fxxB01', NULL, NULL, 82, NULL, NULL, 17451),
(31195, '2au3A02', NULL, NULL, 127, NULL, NULL, 17452),
(31196, '4edgA01', NULL, NULL, 134, NULL, NULL, 17452),
(31197, '5gujA01', NULL, NULL, 132, NULL, NULL, 17452),
(31198, '1dd9A01', NULL, NULL, 126, NULL, NULL, 17452),
(31199, '5vazA01', NULL, NULL, 130, NULL, NULL, 17452),
(31200, '5w36B01', NULL, NULL, 136, NULL, NULL, 17452),
(31201, '5ao2B02', NULL, NULL, 90, NULL, NULL, 17453),
(31202, '3u1nC02', NULL, NULL, 131, NULL, NULL, 17453),
(31203, '1x74A05', NULL, NULL, 34, NULL, NULL, 17454),
(31204, '5lznA00', NULL, NULL, 119, NULL, NULL, 17455),
(31205, '2ihr102', NULL, NULL, 158, NULL, NULL, 17456),
(31206, '1gqeA02', NULL, NULL, 145, NULL, NULL, 17456),
(31207, '1zbtA02', NULL, NULL, 164, NULL, NULL, 17456),
(31208, '2b3tB02', NULL, NULL, 157, NULL, NULL, 17456),
(31209, '3d5aX02', NULL, NULL, 159, NULL, NULL, 17456),
(31210, '1rq0A02', NULL, NULL, 166, NULL, NULL, 17456),
(31211, '3t38A01', NULL, NULL, 79, NULL, NULL, 17457);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(31212, '4dncD00', NULL, NULL, 48, NULL, NULL, 17458),
(31213, '2i32A00', NULL, NULL, 157, NULL, NULL, 17459),
(31214, '5ueaX00', NULL, NULL, 154, NULL, NULL, 17459),
(31215, '6a6yA00', NULL, NULL, 161, NULL, NULL, 17459),
(31216, '5zbaB00', NULL, NULL, 154, NULL, NULL, 17459),
(31217, '2dzeA00', NULL, NULL, 161, NULL, NULL, 17459),
(31218, '5bnxD00', NULL, NULL, 158, NULL, NULL, 17459),
(31219, '1rocA00', NULL, NULL, 155, NULL, NULL, 17459),
(31220, '1nd7A01', NULL, NULL, 181, NULL, NULL, 17460),
(31221, '1zvdA01', NULL, NULL, 182, NULL, NULL, 17460),
(31222, '3jw0D01', NULL, NULL, 187, NULL, NULL, 17460),
(31223, '3olmA01', NULL, NULL, 231, NULL, NULL, 17460),
(31224, '2xbfA01', NULL, NULL, 188, NULL, NULL, 17460),
(31225, '2oniA01', NULL, NULL, 203, NULL, NULL, 17460),
(31226, '3h1dA01', NULL, NULL, 205, NULL, NULL, 17460),
(31227, '1c4zA01', NULL, NULL, 162, NULL, NULL, 17460),
(31228, '3tugA01', NULL, NULL, 181, NULL, NULL, 17460),
(31229, '1h5wB02', NULL, NULL, 130, NULL, NULL, 17461),
(31230, '4nsmA00', NULL, NULL, 87, NULL, NULL, 17462),
(31231, '3thtA02', NULL, NULL, 146, NULL, NULL, 17463),
(31232, '2a3lA02', NULL, NULL, 91, NULL, NULL, 17464),
(31233, '3d3zA00', NULL, NULL, 247, NULL, NULL, 17465),
(31234, '1iqqA00', NULL, NULL, 200, NULL, NULL, 17465),
(31235, '1iooA00', NULL, NULL, 196, NULL, NULL, 17465),
(31236, '1ucdA00', NULL, NULL, 190, NULL, NULL, 17465),
(31237, '3t0oA00', NULL, NULL, 238, NULL, NULL, 17465),
(31238, '1bolA00', NULL, NULL, 222, NULL, NULL, 17465),
(31239, '1vd1A00', NULL, NULL, 217, NULL, NULL, 17465),
(31240, '1dixA00', NULL, NULL, 208, NULL, NULL, 17465),
(31241, '1iybA00', NULL, NULL, 208, NULL, NULL, 17465),
(31242, '1sglA00', NULL, NULL, 209, NULL, NULL, 17465),
(31243, '1jy5A00', NULL, NULL, 212, NULL, NULL, 17465),
(31244, '2pqxA00', NULL, NULL, 245, NULL, NULL, 17465),
(31245, '4dw4B00', NULL, NULL, 167, NULL, NULL, 17465),
(31246, '3fawA01', NULL, NULL, 95, NULL, NULL, 17466),
(31247, '2c9qA00', NULL, NULL, 102, NULL, NULL, 17466),
(31248, '6nfrA00', NULL, NULL, 98, NULL, NULL, 17466),
(31249, '4aq1A01', NULL, NULL, 94, NULL, NULL, 17466),
(31250, '2ya1A03', NULL, NULL, 97, NULL, NULL, 17466),
(31251, '1o6vA02', NULL, NULL, 82, NULL, NULL, 17466),
(31252, '1xeuA02', NULL, NULL, 83, NULL, NULL, 17466),
(31253, '3bz5A02', NULL, NULL, 86, NULL, NULL, 17466),
(31254, '4aw4A03', NULL, NULL, 103, NULL, NULL, 17466),
(31255, '1h6uA03', NULL, NULL, 103, NULL, NULL, 17466),
(31256, '2ra1A04', NULL, NULL, 97, NULL, NULL, 17466),
(31257, '5icuA00', NULL, NULL, 102, NULL, NULL, 17466),
(31258, '3bc9A01', NULL, NULL, 93, NULL, NULL, 17466),
(31259, '4cilA02', NULL, NULL, 76, NULL, NULL, 17466),
(31260, '1ix2A00', NULL, NULL, 104, NULL, NULL, 17466),
(31261, '1qmoE01', NULL, NULL, 84, NULL, NULL, 17467),
(31262, '2iqcA00', NULL, NULL, 210, NULL, NULL, 17468),
(31263, '1n7vA03', NULL, NULL, 254, NULL, NULL, 17469),
(31264, '3agtA00', NULL, NULL, 136, NULL, NULL, 17470),
(31265, '2hmqA00', NULL, NULL, 113, NULL, NULL, 17470),
(31266, '1i4yA00', NULL, NULL, 114, NULL, NULL, 17470),
(31267, '2mhrA00', NULL, NULL, 118, NULL, NULL, 17470),
(31268, '4xpxA00', NULL, NULL, 130, NULL, NULL, 17470),
(31269, '2oaaB01', NULL, NULL, 109, NULL, NULL, 17471),
(31270, '2odiA01', NULL, NULL, 123, NULL, NULL, 17471),
(31271, '3gb8A03', NULL, NULL, 33, NULL, NULL, 17472),
(31272, '3l9fA02', NULL, NULL, 81, NULL, NULL, 17473),
(31273, '2v9bA00', NULL, NULL, 46, NULL, NULL, 17474),
(31274, '1ejgA00', NULL, NULL, 46, NULL, NULL, 17474),
(31275, '3ue7B00', NULL, NULL, 46, NULL, NULL, 17474),
(31276, '1wuwA00', NULL, NULL, 45, NULL, NULL, 17474),
(31277, '1bhpA00', NULL, NULL, 45, NULL, NULL, 17474),
(31278, '1jmnA00', NULL, NULL, 46, NULL, NULL, 17474),
(31279, '3nirA00', NULL, NULL, 46, NULL, NULL, 17474),
(31280, '1okhA00', NULL, NULL, 46, NULL, NULL, 17474),
(31281, '1orlA00', NULL, NULL, 46, NULL, NULL, 17474),
(31282, '3szsB00', NULL, NULL, 46, NULL, NULL, 17474),
(31283, '2plhA00', NULL, NULL, 45, NULL, NULL, 17474),
(31284, '3c8pA00', NULL, NULL, 46, NULL, NULL, 17474),
(31285, '1nltA02', NULL, NULL, 66, NULL, NULL, 17475);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(31286, '1exkA00', NULL, NULL, 79, NULL, NULL, 17475),
(31287, '2cttA01', NULL, NULL, 69, NULL, NULL, 17475),
(31288, '3fgxA00', NULL, NULL, 114, NULL, NULL, 17476),
(31289, '3m71A00', NULL, NULL, 314, NULL, NULL, 17477),
(31290, '5o6uB00', NULL, NULL, 182, NULL, NULL, 17478),
(31291, '2xlkB00', NULL, NULL, 191, NULL, NULL, 17478),
(31292, '4r7rA00', NULL, NULL, 128, NULL, NULL, 17479),
(31293, '6a02A02', NULL, NULL, 71, NULL, NULL, 17480),
(31294, '3dzaA02', NULL, NULL, 65, NULL, NULL, 17480),
(31295, '1jo0A00', NULL, NULL, 98, NULL, NULL, 17481),
(31296, '1ln4A00', NULL, NULL, 104, NULL, NULL, 17481),
(31297, '1rq8A00', NULL, NULL, 104, NULL, NULL, 17481),
(31298, '2xgjB04', NULL, NULL, 127, NULL, NULL, 17482),
(31299, '4a4kA01', NULL, NULL, 123, NULL, NULL, 17482),
(31300, '2mprA00', NULL, NULL, 427, NULL, NULL, 17483),
(31301, '1a0sP00', NULL, NULL, 413, NULL, NULL, 17483),
(31302, '1af6A00', NULL, NULL, 421, NULL, NULL, 17483),
(31303, '6gamT01', NULL, NULL, 186, NULL, NULL, 17484),
(31304, '5jskA01', NULL, NULL, 202, NULL, NULL, 17484),
(31305, '4omfG01', NULL, NULL, 159, NULL, NULL, 17484),
(31306, '5mdlS01', NULL, NULL, 181, NULL, NULL, 17484),
(31307, '1yq9A01', NULL, NULL, 179, NULL, NULL, 17484),
(31308, '4c3oB01', NULL, NULL, 181, NULL, NULL, 17484),
(31309, '4kn9S01', NULL, NULL, 202, NULL, NULL, 17484),
(31310, '3ayxB01', NULL, NULL, 190, NULL, NULL, 17484),
(31311, '4uqlB01', NULL, NULL, 179, NULL, NULL, 17484),
(31312, '3myrA01', NULL, NULL, 179, NULL, NULL, 17484),
(31313, '6fpoS01', NULL, NULL, 181, NULL, NULL, 17484),
(31314, '4u9hS01', NULL, NULL, 180, NULL, NULL, 17484),
(31315, '1e3dA01', NULL, NULL, 181, NULL, NULL, 17484),
(31316, '4i8oA04', NULL, NULL, 108, NULL, NULL, 17485),
(31317, '4i8oB04', NULL, NULL, 108, NULL, NULL, 17485),
(31318, '2lhrA00', NULL, NULL, 78, NULL, NULL, 17486),
(31319, '2yfaA02', NULL, NULL, 116, NULL, NULL, 17487),
(31320, '2yfaB01', NULL, NULL, 124, NULL, NULL, 17487),
(31321, '2b8iA00', NULL, NULL, 77, NULL, NULL, 17488),
(31322, '1rlhA01', NULL, NULL, 54, NULL, NULL, 17489),
(31323, '4eqaC00', NULL, NULL, 153, NULL, NULL, 17490),
(31324, '1jztA00', NULL, NULL, 246, NULL, NULL, 17491),
(31325, '3rssA01', NULL, NULL, 218, NULL, NULL, 17491),
(31326, '2o8nA00', NULL, NULL, 239, NULL, NULL, 17491),
(31327, '3d3kA00', NULL, NULL, 259, NULL, NULL, 17491),
(31328, '3k5wA01', NULL, NULL, 211, NULL, NULL, 17491),
(31329, '3vpbE00', NULL, NULL, 56, NULL, NULL, 17492),
(31330, '3wwlA00', NULL, NULL, 54, NULL, NULL, 17492),
(31331, '5k2mF00', NULL, NULL, 53, NULL, NULL, 17492),
(31332, '6gm5A02', NULL, NULL, 222, NULL, NULL, 17493),
(31333, '1hfeL03', NULL, NULL, 143, NULL, NULL, 17493),
(31334, '4rv9A01', NULL, NULL, 64, NULL, NULL, 17494),
(31335, '5t67A01', NULL, NULL, 64, NULL, NULL, 17494),
(31336, '4e2xA01', NULL, NULL, 64, NULL, NULL, 17494),
(31337, '3ztaA00', NULL, NULL, 146, NULL, NULL, 17495),
(31338, '3up6A02', NULL, NULL, 168, NULL, NULL, 17496),
(31339, '4apxB01', NULL, NULL, 120, NULL, NULL, 17497),
(31340, '4rnaA03', NULL, NULL, 139, NULL, NULL, 17498),
(31341, '4m0wA03', NULL, NULL, 145, NULL, NULL, 17498),
(31342, '1m1cA00', NULL, NULL, 651, NULL, NULL, 17499),
(31343, '1u8sA01', NULL, NULL, 87, NULL, NULL, 17500),
(31344, '3tuiC02', NULL, NULL, 111, NULL, NULL, 17500),
(31345, '1ygyA04', NULL, NULL, 76, NULL, NULL, 17500),
(31346, '3mtjA03', NULL, NULL, 83, NULL, NULL, 17500),
(31347, '1u8sA02', NULL, NULL, 104, NULL, NULL, 17500),
(31348, '4pwuC00', NULL, NULL, 81, NULL, NULL, 17500),
(31349, '2iq8B03', NULL, NULL, 77, NULL, NULL, 17500),
(31350, '3ibwA00', NULL, NULL, 88, NULL, NULL, 17500),
(31351, '3l7oA02', NULL, NULL, 72, NULL, NULL, 17500),
(31352, '5uf2A02', NULL, NULL, 71, NULL, NULL, 17500),
(31353, '2pc6A01', NULL, NULL, 81, NULL, NULL, 17500),
(31354, '1sc6A03', NULL, NULL, 82, NULL, NULL, 17500),
(31355, '2cdqA03', NULL, NULL, 84, NULL, NULL, 17500),
(31356, '2cdqA04', NULL, NULL, 76, NULL, NULL, 17500),
(31357, '3s1tA01', NULL, NULL, 81, NULL, NULL, 17500),
(31358, '5yppA00', NULL, NULL, 98, NULL, NULL, 17500),
(31359, '4nmlA02', NULL, NULL, 97, NULL, NULL, 17500);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(31360, '2lqjA00', NULL, NULL, 94, NULL, NULL, 17500),
(31361, '3k5pA03', NULL, NULL, 83, NULL, NULL, 17500),
(31362, '3s1tA02', NULL, NULL, 80, NULL, NULL, 17500),
(31363, '6j1kA02', NULL, NULL, 78, NULL, NULL, 17500),
(31364, '3ghfA00', NULL, NULL, 120, NULL, NULL, 17500),
(31365, '2qswA00', NULL, NULL, 100, NULL, NULL, 17500),
(31366, '4io1A02', NULL, NULL, 72, NULL, NULL, 17500),
(31367, '2dtjA02', NULL, NULL, 80, NULL, NULL, 17500),
(31368, '2jheA01', NULL, NULL, 81, NULL, NULL, 17500),
(31369, '3n0vA01', NULL, NULL, 90, NULL, NULL, 17500),
(31370, '2i9sA00', NULL, NULL, 97, NULL, NULL, 17500),
(31371, '3offA00', NULL, NULL, 90, NULL, NULL, 17500),
(31372, '3ofhB00', NULL, NULL, 89, NULL, NULL, 17500),
(31373, '2re1A02', NULL, NULL, 78, NULL, NULL, 17500),
(31374, '1uj6A02', NULL, NULL, 72, NULL, NULL, 17500),
(31375, '3luyA03', NULL, NULL, 89, NULL, NULL, 17500),
(31376, '2qmwB03', NULL, NULL, 77, NULL, NULL, 17500),
(31377, '3o1lB01', NULL, NULL, 88, NULL, NULL, 17500),
(31378, '2joqA01', NULL, NULL, 75, NULL, NULL, 17500),
(31379, '5fiiB00', NULL, NULL, 85, NULL, NULL, 17500),
(31380, '6eepA02', NULL, NULL, 72, NULL, NULL, 17500),
(31381, '3mahA01', NULL, NULL, 88, NULL, NULL, 17500),
(31382, '3ab4D01', NULL, NULL, 77, NULL, NULL, 17500),
(31383, '1o8bA02', NULL, NULL, 72, NULL, NULL, 17500),
(31384, '1lk5A02', NULL, NULL, 79, NULL, NULL, 17500),
(31385, '1xtzA02', NULL, NULL, 84, NULL, NULL, 17500),
(31386, '3mahA02', NULL, NULL, 69, NULL, NULL, 17500),
(31387, '2rqkA00', NULL, NULL, 109, NULL, NULL, 17500),
(31388, '3ixqA02', NULL, NULL, 78, NULL, NULL, 17500),
(31389, '3hheA02', NULL, NULL, 78, NULL, NULL, 17500),
(31390, '3w7bA01', NULL, NULL, 88, NULL, NULL, 17500),
(31391, '3ofgB00', NULL, NULL, 95, NULL, NULL, 17500),
(31392, '2iq8A03', NULL, NULL, 77, NULL, NULL, 17500),
(31393, '2j0wA03', NULL, NULL, 81, NULL, NULL, 17500),
(31394, '2j0wA04', NULL, NULL, 75, NULL, NULL, 17500),
(31395, '1zpvA00', NULL, NULL, 91, NULL, NULL, 17500),
(31396, '2qmxA03', NULL, NULL, 91, NULL, NULL, 17500),
(31397, '4l1cA00', NULL, NULL, 103, NULL, NULL, 17500),
(31398, '3mwbB03', NULL, NULL, 98, NULL, NULL, 17500),
(31399, '5yeiB02', NULL, NULL, 78, NULL, NULL, 17500),
(31400, '2p9cA03', NULL, NULL, 82, NULL, NULL, 17500),
(31401, '3nrbB01', NULL, NULL, 88, NULL, NULL, 17500),
(31402, '3louB01', NULL, NULL, 95, NULL, NULL, 17500),
(31403, '5yeiB01', NULL, NULL, 86, NULL, NULL, 17500),
(31404, '3obiA01', NULL, NULL, 89, NULL, NULL, 17500),
(31405, '4go7X01', NULL, NULL, 120, NULL, NULL, 17500),
(31406, '1y7pB01', NULL, NULL, 80, NULL, NULL, 17500),
(31407, '2qrrA00', NULL, NULL, 101, NULL, NULL, 17500),
(31408, '4gmkA02', NULL, NULL, 73, NULL, NULL, 17500),
(31409, '2dtjB01', NULL, NULL, 98, NULL, NULL, 17500),
(31410, '5is2A01', NULL, NULL, 91, NULL, NULL, 17500),
(31411, '2fgcA01', NULL, NULL, 76, NULL, NULL, 17500),
(31412, '3uw1A02', NULL, NULL, 77, NULL, NULL, 17500),
(31413, '1m0sA02', NULL, NULL, 72, NULL, NULL, 17500),
(31414, '2mdaA00', NULL, NULL, 95, NULL, NULL, 17500),
(31415, '2nyiA01', NULL, NULL, 82, NULL, NULL, 17500),
(31416, '2nyiA02', NULL, NULL, 90, NULL, NULL, 17500),
(31417, '2re1B01', NULL, NULL, 89, NULL, NULL, 17500),
(31418, '2dt9A01', NULL, NULL, 88, NULL, NULL, 17500),
(31419, '4lubB02', NULL, NULL, 91, NULL, NULL, 17500),
(31420, '3dhxA00', NULL, NULL, 106, NULL, NULL, 17500),
(31421, '5is2A02', NULL, NULL, 84, NULL, NULL, 17500),
(31422, '4x84A02', NULL, NULL, 72, NULL, NULL, 17500),
(31423, '2dt9A02', NULL, NULL, 79, NULL, NULL, 17500),
(31424, '2f8mA02', NULL, NULL, 79, NULL, NULL, 17500),
(31425, '3enqA02', NULL, NULL, 72, NULL, NULL, 17500),
(31426, '3cedA00', NULL, NULL, 98, NULL, NULL, 17500),
(31427, '2qmwA03', NULL, NULL, 77, NULL, NULL, 17500),
(31428, '1rwuA00', NULL, NULL, 87, NULL, NULL, 17500),
(31429, '2f1fA01', NULL, NULL, 80, NULL, NULL, 17500),
(31430, '3drxB03', NULL, NULL, 57, NULL, NULL, 17501),
(31431, '3pe5A00', NULL, NULL, 277, NULL, NULL, 17502),
(31432, '3okzB00', NULL, NULL, 306, NULL, NULL, 17502),
(31433, '3nroA00', NULL, NULL, 262, NULL, NULL, 17502);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(31434, '3owqB00', NULL, NULL, 252, NULL, NULL, 17502),
(31435, '6mptA02', NULL, NULL, 95, NULL, NULL, 17502),
(31436, '3nxhA00', NULL, NULL, 269, NULL, NULL, 17502),
(31437, '2xxpA02', NULL, NULL, 279, NULL, NULL, 17502),
(31438, '4obmA00', NULL, NULL, 259, NULL, NULL, 17502),
(31439, '3qfiA00', NULL, NULL, 301, NULL, NULL, 17502),
(31440, '2o8gI00', NULL, NULL, 96, NULL, NULL, 17503),
(31441, '4ewcA01', NULL, NULL, 82, NULL, NULL, 17504),
(31442, '5kxhA02', NULL, NULL, 165, NULL, NULL, 17505),
(31443, '5ux6B02', NULL, NULL, 176, NULL, NULL, 17505),
(31444, '2hhcA02', NULL, NULL, 180, NULL, NULL, 17505),
(31445, '4ap5A02', NULL, NULL, 172, NULL, NULL, 17505),
(31446, '3zy2A02', NULL, NULL, 169, NULL, NULL, 17505),
(31447, '2vovA00', NULL, NULL, 290, NULL, NULL, 17506),
(31448, '4bz4B00', NULL, NULL, 204, NULL, NULL, 17506),
(31449, '2od0A00', NULL, NULL, 105, NULL, NULL, 17507),
(31450, '2w9yA00', NULL, NULL, 140, NULL, NULL, 17508),
(31451, '2eplX01', NULL, NULL, 81, NULL, NULL, 17509),
(31452, '5a6bA01', NULL, NULL, 81, NULL, NULL, 17509),
(31453, '2vobB03', NULL, NULL, 82, NULL, NULL, 17510),
(31454, '2lmdA00', NULL, NULL, 174, NULL, NULL, 17511),
(31455, '1mijA00', NULL, NULL, 152, NULL, NULL, 17511),
(31456, '1htrP00', NULL, NULL, 43, NULL, NULL, 17512),
(31457, '3e2lD02', NULL, NULL, 91, NULL, NULL, 17513),
(31458, '3n4iB01', NULL, NULL, 74, NULL, NULL, 17513),
(31459, '2pxgA01', NULL, NULL, 77, NULL, NULL, 17513),
(31460, '4dm5A00', NULL, NULL, 103, NULL, NULL, 17513),
(31461, '2yh9B00', NULL, NULL, 88, NULL, NULL, 17513),
(31462, '3d4eA01', NULL, NULL, 84, NULL, NULL, 17513),
(31463, '3d4eA02', NULL, NULL, 78, NULL, NULL, 17513),
(31464, '1iojA00', NULL, NULL, 57, NULL, NULL, 17514),
(31465, '4kzsA03', NULL, NULL, 97, NULL, NULL, 17515),
(31466, '3hl6A02', NULL, NULL, 150, NULL, NULL, 17516),
(31467, '3floA02', NULL, NULL, 242, NULL, NULL, 17517),
(31468, '3obwA02', NULL, NULL, 118, NULL, NULL, 17518),
(31469, '3agkA02', NULL, NULL, 136, NULL, NULL, 17518),
(31470, '2qi2A02', NULL, NULL, 118, NULL, NULL, 17518),
(31471, '3mcaB02', NULL, NULL, 133, NULL, NULL, 17518),
(31472, '3obyA02', NULL, NULL, 117, NULL, NULL, 17518),
(31473, '4af1A02', NULL, NULL, 126, NULL, NULL, 17518),
(31474, '3wxmB02', NULL, NULL, 122, NULL, NULL, 17518),
(31475, '1dt9A02', NULL, NULL, 112, NULL, NULL, 17518),
(31476, '2vgnB02', NULL, NULL, 136, NULL, NULL, 17518),
(31477, '3e1yC02', NULL, NULL, 145, NULL, NULL, 17518),
(31478, '2c5uA02', NULL, NULL, 131, NULL, NULL, 17519),
(31479, '2outA01', NULL, NULL, 57, NULL, NULL, 17520),
(31480, '3kasA03', NULL, NULL, 142, NULL, NULL, 17521),
(31481, '3bi1A03', NULL, NULL, 156, NULL, NULL, 17521),
(31482, '3fedA03', NULL, NULL, 156, NULL, NULL, 17521),
(31483, '4mt0A01', NULL, NULL, 366, NULL, NULL, 17522),
(31484, '5azsC01', NULL, NULL, 367, NULL, NULL, 17522),
(31485, '5bunB00', NULL, NULL, 425, NULL, NULL, 17522),
(31486, '4k7kA00', NULL, NULL, 384, NULL, NULL, 17522),
(31487, '3d5kA01', NULL, NULL, 371, NULL, NULL, 17522),
(31488, '1ek9A00', NULL, NULL, 428, NULL, NULL, 17522),
(31489, '4k7rA01', NULL, NULL, 368, NULL, NULL, 17522),
(31490, '4mt4A00', NULL, NULL, 479, NULL, NULL, 17522),
(31491, '5azpB01', NULL, NULL, 374, NULL, NULL, 17522),
(31492, '1yc9A01', NULL, NULL, 334, NULL, NULL, 17522),
(31493, '1wp1B01', NULL, NULL, 425, NULL, NULL, 17522),
(31494, '3o1lA02', NULL, NULL, 198, NULL, NULL, 17523),
(31495, '3aufA00', NULL, NULL, 229, NULL, NULL, 17523),
(31496, '3tqrA00', NULL, NULL, 215, NULL, NULL, 17523),
(31497, '4s1nA00', NULL, NULL, 184, NULL, NULL, 17523),
(31498, '1s3iA01', NULL, NULL, 205, NULL, NULL, 17523),
(31499, '2blnA01', NULL, NULL, 202, NULL, NULL, 17523),
(31500, '3da8B00', NULL, NULL, 215, NULL, NULL, 17523),
(31501, '5vyqA01', NULL, NULL, 177, NULL, NULL, 17523),
(31502, '3q0iA01', NULL, NULL, 212, NULL, NULL, 17523),
(31503, '2bw0A01', NULL, NULL, 207, NULL, NULL, 17523),
(31504, '3p9xA00', NULL, NULL, 211, NULL, NULL, 17523),
(31505, '1fmtB01', NULL, NULL, 208, NULL, NULL, 17523),
(31506, '5cjjB00', NULL, NULL, 191, NULL, NULL, 17523);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(31507, '3w7bA02', NULL, NULL, 197, NULL, NULL, 17523),
(31508, '3obiA02', NULL, NULL, 199, NULL, NULL, 17523),
(31509, '3tqqA01', NULL, NULL, 207, NULL, NULL, 17523),
(31510, '3nrbA02', NULL, NULL, 199, NULL, NULL, 17523),
(31511, '4yfvA01', NULL, NULL, 186, NULL, NULL, 17523),
(31512, '3louA02', NULL, NULL, 197, NULL, NULL, 17523),
(31513, '4iqfB01', NULL, NULL, 209, NULL, NULL, 17523),
(31514, '6nbpA01', NULL, NULL, 206, NULL, NULL, 17523),
(31515, '4ts4A01', NULL, NULL, 205, NULL, NULL, 17523),
(31516, '5uaiA01', NULL, NULL, 217, NULL, NULL, 17523),
(31517, '1zghA01', NULL, NULL, 194, NULL, NULL, 17523),
(31518, '4ds3A00', NULL, NULL, 209, NULL, NULL, 17523),
(31519, '4zz1A00', NULL, NULL, 210, NULL, NULL, 17523),
(31520, '3kcqB00', NULL, NULL, 215, NULL, NULL, 17523),
(31521, '3av3A00', NULL, NULL, 189, NULL, NULL, 17523),
(31522, '2ywrA00', NULL, NULL, 216, NULL, NULL, 17523),
(31523, '3n0vA02', NULL, NULL, 196, NULL, NULL, 17523),
(31524, '3r8xA01', NULL, NULL, 212, NULL, NULL, 17523),
(31525, '1jkxA00', NULL, NULL, 212, NULL, NULL, 17523),
(31526, '4nv1E01', NULL, NULL, 186, NULL, NULL, 17523),
(31527, '2kjwA00', NULL, NULL, 96, NULL, NULL, 17524),
(31528, '6neqF00', NULL, NULL, 124, NULL, NULL, 17524),
(31529, '3r3tA00', NULL, NULL, 99, NULL, NULL, 17524),
(31530, '2j5aA00', NULL, NULL, 110, NULL, NULL, 17524),
(31531, '1louA00', NULL, NULL, 101, NULL, NULL, 17524),
(31532, '5aj3F00', NULL, NULL, 124, NULL, NULL, 17524),
(31533, '1b64A00', NULL, NULL, 91, NULL, NULL, 17524),
(31534, '2yy3A00', NULL, NULL, 91, NULL, NULL, 17524),
(31535, '1gh8A00', NULL, NULL, 89, NULL, NULL, 17524),
(31536, '1vs5F01', NULL, NULL, 92, NULL, NULL, 17524),
(31537, '1f60B00', NULL, NULL, 94, NULL, NULL, 17524),
(31538, '3zzpA00', NULL, NULL, 77, NULL, NULL, 17524),
(31539, '2rjzA02', NULL, NULL, 110, NULL, NULL, 17524),
(31540, '1vmbA00', NULL, NULL, 107, NULL, NULL, 17524),
(31541, '1cqmA00', NULL, NULL, 101, NULL, NULL, 17524),
(31542, '3hglA00', NULL, NULL, 85, NULL, NULL, 17525),
(31543, '3sviA00', NULL, NULL, 83, NULL, NULL, 17525),
(31544, '3tjyA00', NULL, NULL, 78, NULL, NULL, 17525),
(31545, '2r3sA02', NULL, NULL, 37, NULL, NULL, 17526),
(31546, '2kinB02', NULL, NULL, 20, NULL, NULL, 17527),
(31547, '4l3fA02', NULL, NULL, 143, NULL, NULL, 17528),
(31548, '4l3aA03', NULL, NULL, 112, NULL, NULL, 17528),
(31549, '3ci0J01', NULL, NULL, 113, NULL, NULL, 17529),
(31550, '3cf2A06', NULL, NULL, 109, NULL, NULL, 17530),
(31551, '2xolB00', NULL, NULL, 176, NULL, NULL, 17531),
(31552, '1s9uA00', NULL, NULL, 207, NULL, NULL, 17531),
(31553, '3efpA00', NULL, NULL, 208, NULL, NULL, 17531),
(31554, '1nt2B01', NULL, NULL, 71, NULL, NULL, 17532),
(31555, '2cwoA02', NULL, NULL, 83, NULL, NULL, 17533),
(31556, '4xwwA02', NULL, NULL, 150, NULL, NULL, 17534),
(31557, '3zq4A02', NULL, NULL, 151, NULL, NULL, 17534),
(31558, '2az4A02', NULL, NULL, 154, NULL, NULL, 17534),
(31559, '3bk2A02', NULL, NULL, 150, NULL, NULL, 17534),
(31560, '5a0tA02', NULL, NULL, 158, NULL, NULL, 17534),
(31561, '1l8qA03', NULL, NULL, 109, NULL, NULL, 17535),
(31562, '3pvvA00', NULL, NULL, 101, NULL, NULL, 17535),
(31563, '1j1vA00', NULL, NULL, 94, NULL, NULL, 17535),
(31564, '2m5zA00', NULL, NULL, 44, NULL, NULL, 17536),
(31565, '2m60A00', NULL, NULL, 43, NULL, NULL, 17536),
(31566, '3thoB03', NULL, NULL, 59, NULL, NULL, 17537),
(31567, '2zshB00', NULL, NULL, 66, NULL, NULL, 17538),
(31568, '6if7A00', NULL, NULL, 183, NULL, NULL, 17539),
(31569, '5l2vA00', NULL, NULL, 166, NULL, NULL, 17539),
(31570, '5fjqA00', NULL, NULL, 180, NULL, NULL, 17539),
(31571, '4a02A00', NULL, NULL, 166, NULL, NULL, 17539),
(31572, '2yoyA00', NULL, NULL, 178, NULL, NULL, 17539),
(31573, '5ftzA00', NULL, NULL, 172, NULL, NULL, 17539),
(31574, '4oy6A00', NULL, NULL, 186, NULL, NULL, 17539),
(31575, '2xwxA01', NULL, NULL, 179, NULL, NULL, 17539),
(31576, '3uamC00', NULL, NULL, 193, NULL, NULL, 17539),
(31577, '5opfA00', NULL, NULL, 194, NULL, NULL, 17539),
(31578, '2bemA00', NULL, NULL, 170, NULL, NULL, 17539),
(31579, '4oy7E00', NULL, NULL, 196, NULL, NULL, 17539);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(31580, '4gboA00', NULL, NULL, 186, NULL, NULL, 17539),
(31581, '5aa7A00', NULL, NULL, 142, NULL, NULL, 17539),
(31582, '5wszA00', NULL, NULL, 169, NULL, NULL, 17539),
(31583, '4iiwA01', NULL, NULL, 76, NULL, NULL, 17540),
(31584, '3woeB00', NULL, NULL, 106, NULL, NULL, 17541),
(31585, '3wodG00', NULL, NULL, 141, NULL, NULL, 17541),
(31586, '2dvtA00', NULL, NULL, 327, NULL, NULL, 17542),
(31587, '3qgaC02', NULL, NULL, 380, NULL, NULL, 17542),
(31588, '2yxoB00', NULL, NULL, 267, NULL, NULL, 17542),
(31589, '1kcxA02', NULL, NULL, 373, NULL, NULL, 17542),
(31590, '2gzxA00', NULL, NULL, 265, NULL, NULL, 17542),
(31591, '4m51A02', NULL, NULL, 300, NULL, NULL, 17542),
(31592, '3lgdA00', NULL, NULL, 484, NULL, NULL, 17542),
(31593, '3feqC02', NULL, NULL, 303, NULL, NULL, 17542),
(31594, '4g2dA00', NULL, NULL, 315, NULL, NULL, 17542),
(31595, '2anuA00', NULL, NULL, 239, NULL, NULL, 17542),
(31596, '1vflA00', NULL, NULL, 356, NULL, NULL, 17542),
(31597, '2ftyD02', NULL, NULL, 415, NULL, NULL, 17542),
(31598, '2gwnA02', NULL, NULL, 336, NULL, NULL, 17542),
(31599, '1zzmA00', NULL, NULL, 259, NULL, NULL, 17542),
(31600, '3rcmA00', NULL, NULL, 287, NULL, NULL, 17542),
(31601, '4gx8B00', NULL, NULL, 315, NULL, NULL, 17542),
(31602, '5nksA02', NULL, NULL, 373, NULL, NULL, 17542),
(31603, '4cqbA02', NULL, NULL, 301, NULL, NULL, 17542),
(31604, '4tqtA01', NULL, NULL, 450, NULL, NULL, 17542),
(31605, '3sfwA02', NULL, NULL, 328, NULL, NULL, 17542),
(31606, '2oodA02', NULL, NULL, 323, NULL, NULL, 17542),
(31607, '1o12B02', NULL, NULL, 290, NULL, NULL, 17542),
(31608, '1ynyA02', NULL, NULL, 328, NULL, NULL, 17542),
(31609, '5lewA01', NULL, NULL, 289, NULL, NULL, 17542),
(31610, '3e74B02', NULL, NULL, 348, NULL, NULL, 17542),
(31611, '4lanB00', NULL, NULL, 376, NULL, NULL, 17542),
(31612, '3jzeB00', NULL, NULL, 343, NULL, NULL, 17542),
(31613, '1m65A00', NULL, NULL, 245, NULL, NULL, 17542),
(31614, '4hjwA00', NULL, NULL, 378, NULL, NULL, 17542),
(31615, '1xrtA02', NULL, NULL, 310, NULL, NULL, 17542),
(31616, '4di9A00', NULL, NULL, 303, NULL, NULL, 17542),
(31617, '3rhgA00', NULL, NULL, 365, NULL, NULL, 17542),
(31618, '4xd3A00', NULL, NULL, 333, NULL, NULL, 17542),
(31619, '2ob3A00', NULL, NULL, 330, NULL, NULL, 17542),
(31620, '2vunA02', NULL, NULL, 258, NULL, NULL, 17542),
(31621, '3mtwA02', NULL, NULL, 302, NULL, NULL, 17542),
(31622, '2hbvB00', NULL, NULL, 334, NULL, NULL, 17542),
(31623, '2ftwA01', NULL, NULL, 450, NULL, NULL, 17542),
(31624, '4dzhA02', NULL, NULL, 291, NULL, NULL, 17542),
(31625, '4do7A00', NULL, NULL, 303, NULL, NULL, 17542),
(31626, '3ly0A00', NULL, NULL, 364, NULL, NULL, 17542),
(31627, '3f2bA02', NULL, NULL, 263, NULL, NULL, 17542),
(31628, '3lu2A00', NULL, NULL, 311, NULL, NULL, 17542),
(31629, '1p1mA02', NULL, NULL, 281, NULL, NULL, 17542),
(31630, '1k1dA02', NULL, NULL, 328, NULL, NULL, 17542),
(31631, '2puzA02', NULL, NULL, 299, NULL, NULL, 17542),
(31632, '3griA02', NULL, NULL, 313, NULL, NULL, 17542),
(31633, '3e2vB00', NULL, NULL, 401, NULL, NULL, 17542),
(31634, '5xgwA02', NULL, NULL, 283, NULL, NULL, 17542),
(31635, '3guwA00', NULL, NULL, 261, NULL, NULL, 17542),
(31636, '5lxxA02', NULL, NULL, 373, NULL, NULL, 17542),
(31637, '2vhlA02', NULL, NULL, 301, NULL, NULL, 17542),
(31638, '1gkpB02', NULL, NULL, 329, NULL, NULL, 17542),
(31639, '4mupB00', NULL, NULL, 289, NULL, NULL, 17542),
(31640, '3tn4A00', NULL, NULL, 324, NULL, NULL, 17542),
(31641, '4i6kA00', NULL, NULL, 270, NULL, NULL, 17542),
(31642, '4i6vA01', NULL, NULL, 349, NULL, NULL, 17542),
(31643, '4yiwA02', NULL, NULL, 313, NULL, NULL, 17542),
(31644, '2vr2A01', NULL, NULL, 447, NULL, NULL, 17542),
(31645, '4c65A02', NULL, NULL, 318, NULL, NULL, 17542),
(31646, '3hpaA02', NULL, NULL, 332, NULL, NULL, 17542),
(31647, '1v77A00', NULL, NULL, 212, NULL, NULL, 17542),
(31648, '1e9yB02', NULL, NULL, 380, NULL, NULL, 17542),
(31649, '3gg7A00', NULL, NULL, 254, NULL, NULL, 17542),
(31650, '1yrrA02', NULL, NULL, 290, NULL, NULL, 17542),
(31651, '3id7A00', NULL, NULL, 400, NULL, NULL, 17542),
(31652, '4whbA02', NULL, NULL, 348, NULL, NULL, 17542);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(31653, '3ooqA02', NULL, NULL, 291, NULL, NULL, 17542),
(31654, '3pnuB00', NULL, NULL, 359, NULL, NULL, 17542),
(31655, '1ituA00', NULL, NULL, 369, NULL, NULL, 17542),
(31656, '3ovgA00', NULL, NULL, 363, NULL, NULL, 17542),
(31657, '3lnpA02', NULL, NULL, 296, NULL, NULL, 17542),
(31658, '3ij6A00', NULL, NULL, 312, NULL, NULL, 17542),
(31659, '4rdzB00', NULL, NULL, 316, NULL, NULL, 17542),
(31660, '2bb0A02', NULL, NULL, 298, NULL, NULL, 17542),
(31661, '3rysB00', NULL, NULL, 343, NULL, NULL, 17542),
(31662, '2i9uA02', NULL, NULL, 308, NULL, NULL, 17542),
(31663, '3nqbA02', NULL, NULL, 246, NULL, NULL, 17542),
(31664, '4lfyA00', NULL, NULL, 356, NULL, NULL, 17542),
(31665, '6bh7G00', NULL, NULL, 333, NULL, NULL, 17542),
(31666, '2z26B00', NULL, NULL, 347, NULL, NULL, 17542),
(31667, '4qrnB00', NULL, NULL, 348, NULL, NULL, 17542),
(31668, '2hpiA01', NULL, NULL, 284, NULL, NULL, 17542),
(31669, '3b0xA05', NULL, NULL, 249, NULL, NULL, 17542),
(31670, '1onwB02', NULL, NULL, 279, NULL, NULL, 17542),
(31671, '4f0lA02', NULL, NULL, 343, NULL, NULL, 17542),
(31672, '2imrA02', NULL, NULL, 311, NULL, NULL, 17542),
(31673, '6hfqA00', NULL, NULL, 368, NULL, NULL, 17542),
(31674, '1yixA00', NULL, NULL, 265, NULL, NULL, 17542),
(31675, '6gbjA00', NULL, NULL, 336, NULL, NULL, 17542),
(31676, '4ub9A02', NULL, NULL, 345, NULL, NULL, 17542),
(31677, '2yb1A01', NULL, NULL, 219, NULL, NULL, 17542),
(31678, '6ctyE00', NULL, NULL, 344, NULL, NULL, 17542),
(31679, '1gkrB02', NULL, NULL, 321, NULL, NULL, 17542),
(31680, '3hm7A02', NULL, NULL, 345, NULL, NULL, 17542),
(31681, '2wjeA00', NULL, NULL, 247, NULL, NULL, 17542),
(31682, '3nehA00', NULL, NULL, 318, NULL, NULL, 17542),
(31683, '4r85A02', NULL, NULL, 309, NULL, NULL, 17542),
(31684, '2w9mA05', NULL, NULL, 263, NULL, NULL, 17542),
(31685, '2z00A02', NULL, NULL, 319, NULL, NULL, 17542),
(31686, '3mviA00', NULL, NULL, 349, NULL, NULL, 17542),
(31687, '5vrkA00', NULL, NULL, 314, NULL, NULL, 17542),
(31688, '4qroG00', NULL, NULL, 332, NULL, NULL, 17542),
(31689, '2amxB00', NULL, NULL, 376, NULL, NULL, 17542),
(31690, '2ragA00', NULL, NULL, 381, NULL, NULL, 17542),
(31691, '1rk6A02', NULL, NULL, 297, NULL, NULL, 17542),
(31692, '4f0rA02', NULL, NULL, 291, NULL, NULL, 17542),
(31693, '2qs8A02', NULL, NULL, 307, NULL, NULL, 17542),
(31694, '3mkvA02', NULL, NULL, 306, NULL, NULL, 17542),
(31695, '4z42C02', NULL, NULL, 381, NULL, NULL, 17542),
(31696, '6bhlA00', NULL, NULL, 324, NULL, NULL, 17542),
(31697, '2wm1A00', NULL, NULL, 336, NULL, NULL, 17542),
(31698, '3ipwA00', NULL, NULL, 303, NULL, NULL, 17542),
(31699, '4lcqA01', NULL, NULL, 444, NULL, NULL, 17542),
(31700, '3dcpA00', NULL, NULL, 283, NULL, NULL, 17542),
(31701, '2gwgA00', NULL, NULL, 350, NULL, NULL, 17542),
(31702, '4l6dA00', NULL, NULL, 335, NULL, NULL, 17542),
(31703, '1j6oA00', NULL, NULL, 268, NULL, NULL, 17542),
(31704, '3k2gA00', NULL, NULL, 364, NULL, NULL, 17542),
(31705, '2icsA02', NULL, NULL, 267, NULL, NULL, 17542),
(31706, '2y1hB00', NULL, NULL, 272, NULL, NULL, 17542),
(31707, '2q09A02', NULL, NULL, 299, NULL, NULL, 17542),
(31708, '3nurA00', NULL, NULL, 335, NULL, NULL, 17542),
(31709, '4v1xA02', NULL, NULL, 356, NULL, NULL, 17542),
(31710, '3dc8A01', NULL, NULL, 438, NULL, NULL, 17542),
(31711, '4gbdA02', NULL, NULL, 291, NULL, NULL, 17542),
(31712, '5e5cA01', NULL, NULL, 441, NULL, NULL, 17542),
(31713, '1j5sA01', NULL, NULL, 360, NULL, NULL, 17542),
(31714, '2ffiA00', NULL, NULL, 288, NULL, NULL, 17542),
(31715, '3cjpA00', NULL, NULL, 272, NULL, NULL, 17542),
(31716, '3ls9A02', NULL, NULL, 324, NULL, NULL, 17542),
(31717, '5ol4C02', NULL, NULL, 381, NULL, NULL, 17542),
(31718, '3iacC01', NULL, NULL, 380, NULL, NULL, 17542),
(31719, '1bf6A00', NULL, NULL, 291, NULL, NULL, 17542),
(31720, '2a3lA01', NULL, NULL, 537, NULL, NULL, 17542),
(31721, '2q01A01', NULL, NULL, 391, NULL, NULL, 17542),
(31722, '4b91A01', NULL, NULL, 451, NULL, NULL, 17542),
(31723, '4if2A00', NULL, NULL, 326, NULL, NULL, 17542),
(31724, '4bknA02', NULL, NULL, 373, NULL, NULL, 17542),
(31725, '3iv8A02', NULL, NULL, 287, NULL, NULL, 17542);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(31726, '2f6kA00', NULL, NULL, 307, NULL, NULL, 17542),
(31727, '3icjA02', NULL, NULL, 287, NULL, NULL, 17542),
(31728, '4gxwB00', NULL, NULL, 380, NULL, NULL, 17542),
(31729, '3irsA00', NULL, NULL, 291, NULL, NULL, 17542),
(31730, '3e38B01', NULL, NULL, 245, NULL, NULL, 17542),
(31731, '3a4jA00', NULL, NULL, 329, NULL, NULL, 17542),
(31732, '3wyzA00', NULL, NULL, 220, NULL, NULL, 17542),
(31733, '3iarA00', NULL, NULL, 367, NULL, NULL, 17542),
(31734, '4aqlA02', NULL, NULL, 311, NULL, NULL, 17542),
(31735, '3paoB00', NULL, NULL, 326, NULL, NULL, 17542),
(31736, '3gtxA00', NULL, NULL, 339, NULL, NULL, 17542),
(31737, '4dziB00', NULL, NULL, 394, NULL, NULL, 17542),
(31738, '4pbeA00', NULL, NULL, 333, NULL, NULL, 17542),
(31739, '5nnlA00', NULL, NULL, 342, NULL, NULL, 17542),
(31740, '4g7eA04', NULL, NULL, 363, NULL, NULL, 17542),
(31741, '1ejxC02', NULL, NULL, 379, NULL, NULL, 17542),
(31742, '3b40A01', NULL, NULL, 359, NULL, NULL, 17542),
(31743, '2ogjA02', NULL, NULL, 266, NULL, NULL, 17542),
(31744, '6ii7A00', NULL, NULL, 367, NULL, NULL, 17542),
(31745, '4gy7A04', NULL, NULL, 363, NULL, NULL, 17542),
(31746, '2pajA02', NULL, NULL, 330, NULL, NULL, 17542),
(31747, '3be7A02', NULL, NULL, 300, NULL, NULL, 17542),
(31748, '6g23A00', NULL, NULL, 332, NULL, NULL, 17542),
(31749, '3ighX02', NULL, NULL, 294, NULL, NULL, 17542),
(31750, '4p5uA00', NULL, NULL, 262, NULL, NULL, 17542),
(31751, '2i5gA00', NULL, NULL, 325, NULL, NULL, 17542),
(31752, '3o0fA01', NULL, NULL, 227, NULL, NULL, 17542),
(31753, '4gc3A00', NULL, NULL, 264, NULL, NULL, 17542),
(31754, '3mduA02', NULL, NULL, 344, NULL, NULL, 17542),
(31755, '2xioA00', NULL, NULL, 301, NULL, NULL, 17542),
(31756, '3qy7A00', NULL, NULL, 262, NULL, NULL, 17542),
(31757, '3gipA02', NULL, NULL, 297, NULL, NULL, 17542),
(31758, '1ra0A02', NULL, NULL, 308, NULL, NULL, 17542),
(31759, '2pgfA00', NULL, NULL, 371, NULL, NULL, 17542),
(31760, '2qpxA00', NULL, NULL, 376, NULL, NULL, 17542),
(31761, '1nfgA02', NULL, NULL, 350, NULL, NULL, 17542),
(31762, '3pnzC00', NULL, NULL, 330, NULL, NULL, 17542),
(31763, '5nryA00', NULL, NULL, 385, NULL, NULL, 17542),
(31764, '5vgmA00', NULL, NULL, 345, NULL, NULL, 17542),
(31765, '4zmhA02', NULL, NULL, 288, NULL, NULL, 17543),
(31766, '4c91A02', NULL, NULL, 290, NULL, NULL, 17543),
(31767, '2kesA00', NULL, NULL, 48, NULL, NULL, 17544),
(31768, '4ae4B00', NULL, NULL, 118, NULL, NULL, 17545),
(31769, '4ae4A00', NULL, NULL, 118, NULL, NULL, 17545),
(31770, '2wssW01', NULL, NULL, 95, NULL, NULL, 17546),
(31771, '1abvA00', NULL, NULL, 105, NULL, NULL, 17546),
(31772, '3hxlA01', NULL, NULL, 68, NULL, NULL, 17547),
(31773, '2wb7A03', NULL, NULL, 137, NULL, NULL, 17548),
(31774, '1xdsA02', NULL, NULL, 73, NULL, NULL, 17549),
(31775, '3i53A02', NULL, NULL, 71, NULL, NULL, 17549),
(31776, '6clxA02', NULL, NULL, 76, NULL, NULL, 17549),
(31777, '5eehA02', NULL, NULL, 75, NULL, NULL, 17549),
(31778, '1qzzA02', NULL, NULL, 76, NULL, NULL, 17549),
(31779, '4dq5B00', NULL, NULL, 173, NULL, NULL, 17550),
(31780, '2a9uA01', NULL, NULL, 129, NULL, NULL, 17551),
(31781, '4it4A02', NULL, NULL, 91, NULL, NULL, 17551),
(31782, '1wcrA00', NULL, NULL, 103, NULL, NULL, 17551),
(31783, '2w2uA00', NULL, NULL, 83, NULL, NULL, 17551),
(31784, '3eabD01', NULL, NULL, 88, NULL, NULL, 17551),
(31785, '3zssA02', NULL, NULL, 79, NULL, NULL, 17551),
(31786, '3k1sF00', NULL, NULL, 109, NULL, NULL, 17551),
(31787, '3k1sG00', NULL, NULL, 109, NULL, NULL, 17551),
(31788, '2xzeB00', NULL, NULL, 146, NULL, NULL, 17551),
(31789, '3k1sH00', NULL, NULL, 109, NULL, NULL, 17551),
(31790, '5fvkA00', NULL, NULL, 82, NULL, NULL, 17551),
(31791, '4u33A02', NULL, NULL, 81, NULL, NULL, 17551),
(31792, '3k1sI00', NULL, NULL, 109, NULL, NULL, 17551),
(31793, '4u7yA00', NULL, NULL, 90, NULL, NULL, 17551),
(31794, '3k1sB00', NULL, NULL, 109, NULL, NULL, 17551),
(31795, '3k1sC00', NULL, NULL, 109, NULL, NULL, 17551),
(31796, '3k1sD00', NULL, NULL, 109, NULL, NULL, 17551),
(31797, '3k1sE00', NULL, NULL, 109, NULL, NULL, 17551),
(31798, '2mpkA00', NULL, NULL, 74, NULL, NULL, 17551);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(31799, '2crbA00', NULL, NULL, 97, NULL, NULL, 17551),
(31800, '3k1sA00', NULL, NULL, 109, NULL, NULL, 17551),
(31801, '4a5xA00', NULL, NULL, 86, NULL, NULL, 17551),
(31802, '2v6yA00', NULL, NULL, 83, NULL, NULL, 17551),
(31803, '2e2aC00', NULL, NULL, 105, NULL, NULL, 17551),
(31804, '5lb7B00', NULL, NULL, 80, NULL, NULL, 17551),
(31805, '4wzxA01', NULL, NULL, 78, NULL, NULL, 17551),
(31806, '2rpaA00', NULL, NULL, 78, NULL, NULL, 17551),
(31807, '4u7iA00', NULL, NULL, 95, NULL, NULL, 17551),
(31808, '1wfdA00', NULL, NULL, 93, NULL, NULL, 17551),
(31809, '5cgmA02', NULL, NULL, 81, NULL, NULL, 17551),
(31810, '1yxrA01', NULL, NULL, 74, NULL, NULL, 17551),
(31811, '3l8rA00', NULL, NULL, 103, NULL, NULL, 17551),
(31812, '4zeyA00', NULL, NULL, 84, NULL, NULL, 17551),
(31813, '2ba3A01', NULL, NULL, 29, NULL, NULL, 17552),
(31814, '3qoqC00', NULL, NULL, 69, NULL, NULL, 17552),
(31815, '2bsqE01', NULL, NULL, 50, NULL, NULL, 17552),
(31816, '4hv0C00', NULL, NULL, 106, NULL, NULL, 17552),
(31817, '3ft7B00', NULL, NULL, 55, NULL, NULL, 17552),
(31818, '2wvbA01', NULL, NULL, 35, NULL, NULL, 17552),
(31819, '3qoqD00', NULL, NULL, 51, NULL, NULL, 17552),
(31820, '2bj7A01', NULL, NULL, 41, NULL, NULL, 17552),
(31821, '2gpeD01', NULL, NULL, 42, NULL, NULL, 17552),
(31822, '1mntA00', NULL, NULL, 76, NULL, NULL, 17552),
(31823, '1nlaA00', NULL, NULL, 64, NULL, NULL, 17552),
(31824, '2k6lA00', NULL, NULL, 51, NULL, NULL, 17552),
(31825, '4d8jB02', NULL, NULL, 53, NULL, NULL, 17552),
(31826, '3veaA02', NULL, NULL, 54, NULL, NULL, 17552),
(31827, '4me7F00', NULL, NULL, 94, NULL, NULL, 17552),
(31828, '2hzaA01', NULL, NULL, 47, NULL, NULL, 17552),
(31829, '4me7E00', NULL, NULL, 94, NULL, NULL, 17552),
(31830, '2wvfA01', NULL, NULL, 38, NULL, NULL, 17552),
(31831, '2cpgB00', NULL, NULL, 45, NULL, NULL, 17552),
(31832, '3vw4A02', NULL, NULL, 33, NULL, NULL, 17552),
(31833, '1mylA00', NULL, NULL, 53, NULL, NULL, 17552),
(31834, '2k5jA01', NULL, NULL, 55, NULL, NULL, 17552),
(31835, '4fxeA00', NULL, NULL, 79, NULL, NULL, 17552),
(31836, '2jxgA01', NULL, NULL, 35, NULL, NULL, 17552),
(31837, '1bazC00', NULL, NULL, 53, NULL, NULL, 17552),
(31838, '3gxqA00', NULL, NULL, 54, NULL, NULL, 17552),
(31839, '2k29A00', NULL, NULL, 53, NULL, NULL, 17552),
(31840, '1u9pA00', NULL, NULL, 120, NULL, NULL, 17552),
(31841, '1p94A00', NULL, NULL, 76, NULL, NULL, 17552),
(31842, '3fmtE01', NULL, NULL, 41, NULL, NULL, 17552),
(31843, '1y9bB01', NULL, NULL, 49, NULL, NULL, 17552),
(31844, '2kelA00', NULL, NULL, 56, NULL, NULL, 17552),
(31845, '1irqA00', NULL, NULL, 48, NULL, NULL, 17552),
(31846, '1x93A01', NULL, NULL, 47, NULL, NULL, 17552),
(31847, '3h87D01', NULL, NULL, 65, NULL, NULL, 17552),
(31848, '2k1oA00', NULL, NULL, 66, NULL, NULL, 17552),
(31849, '2w8aC02', NULL, NULL, 21, NULL, NULL, 17553),
(31850, '4ipbA00', NULL, NULL, 142, NULL, NULL, 17554),
(31851, '3u1wA01', NULL, NULL, 187, NULL, NULL, 17554),
(31852, '3u1wA02', NULL, NULL, 66, NULL, NULL, 17554),
(31853, '4hbrD00', NULL, NULL, 140, NULL, NULL, 17554),
(31854, '4k61B00', NULL, NULL, 140, NULL, NULL, 17554),
(31855, '4fr9A00', NULL, NULL, 144, NULL, NULL, 17554),
(31856, '1jeyA04', NULL, NULL, 94, NULL, NULL, 17555),
(31857, '1jeyB03', NULL, NULL, 102, NULL, NULL, 17555),
(31858, '1nqjB00', NULL, NULL, 119, NULL, NULL, 17556),
(31859, '3afgA03', NULL, NULL, 102, NULL, NULL, 17556),
(31860, '3jqwC00', NULL, NULL, 121, NULL, NULL, 17556),
(31861, '2xvlA02', NULL, NULL, 147, NULL, NULL, 17556),
(31862, '4g9sB00', NULL, NULL, 111, NULL, NULL, 17556),
(31863, '4dzgA00', NULL, NULL, 114, NULL, NULL, 17556),
(31864, '5fbzA02', NULL, NULL, 117, NULL, NULL, 17556),
(31865, '1df0A03', NULL, NULL, 151, NULL, NULL, 17556),
(31866, '2luwA00', NULL, NULL, 101, NULL, NULL, 17556),
(31867, '4i3gA03', NULL, NULL, 107, NULL, NULL, 17556),
(31868, '2qfeA00', NULL, NULL, 148, NULL, NULL, 17556),
(31869, '5jouA02', NULL, NULL, 142, NULL, NULL, 17556),
(31870, '1wmdA02', NULL, NULL, 117, NULL, NULL, 17556),
(31871, '5sv5A00', NULL, NULL, 105, NULL, NULL, 17556),
(31872, '1kfuL03', NULL, NULL, 161, NULL, NULL, 17556);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(31873, '1qxpA03', NULL, NULL, 160, NULL, NULL, 17556),
(31874, '4dy5A00', NULL, NULL, 111, NULL, NULL, 17556),
(31875, '3fnnA03', NULL, NULL, 52, NULL, NULL, 17557),
(31876, '3gwcB03', NULL, NULL, 52, NULL, NULL, 17557),
(31877, '4gl6A01', NULL, NULL, 86, NULL, NULL, 17558),
(31878, '2glzA00', NULL, NULL, 153, NULL, NULL, 17559),
(31879, '3d00A01', NULL, NULL, 161, NULL, NULL, 17559),
(31880, '4jpbB00', NULL, NULL, 90, NULL, NULL, 17560),
(31881, '2gscC00', NULL, NULL, 128, NULL, NULL, 17561),
(31882, '2rldB00', NULL, NULL, 121, NULL, NULL, 17561),
(31883, '4dwlB00', NULL, NULL, 114, NULL, NULL, 17561),
(31884, '2h6oA03', NULL, NULL, 110, NULL, NULL, 17562),
(31885, '4c98A02', NULL, NULL, 141, NULL, NULL, 17563),
(31886, '5yi6A02', NULL, NULL, 118, NULL, NULL, 17563),
(31887, '4c97A02', NULL, NULL, 134, NULL, NULL, 17563),
(31888, '3i4hX02', NULL, NULL, 115, NULL, NULL, 17563),
(31889, '3qjlA02', NULL, NULL, 119, NULL, NULL, 17563),
(31890, '4illA02', NULL, NULL, 168, NULL, NULL, 17563),
(31891, '3ufcX02', NULL, NULL, 121, NULL, NULL, 17563),
(31892, '3zfvA02', NULL, NULL, 167, NULL, NULL, 17563),
(31893, '3oaaD03', NULL, NULL, 116, NULL, NULL, 17564),
(31894, '3gqbA04', NULL, NULL, 149, NULL, NULL, 17564),
(31895, '3qjyA04', NULL, NULL, 151, NULL, NULL, 17564),
(31896, '3ziaD03', NULL, NULL, 121, NULL, NULL, 17564),
(31897, '4q4lA03', NULL, NULL, 117, NULL, NULL, 17564),
(31898, '6focD03', NULL, NULL, 120, NULL, NULL, 17564),
(31899, '6fkfB03', NULL, NULL, 124, NULL, NULL, 17564),
(31900, '2ck3D03', NULL, NULL, 121, NULL, NULL, 17564),
(31901, '5fl7D03', NULL, NULL, 121, NULL, NULL, 17564),
(31902, '6f5dD03', NULL, NULL, 123, NULL, NULL, 17564),
(31903, '1skyE03', NULL, NULL, 116, NULL, NULL, 17564),
(31904, '5cdfE03', NULL, NULL, 121, NULL, NULL, 17564),
(31905, '5bn3A04', NULL, NULL, 146, NULL, NULL, 17564),
(31906, '3vr4B04', NULL, NULL, 158, NULL, NULL, 17564),
(31907, '5ik2D03', NULL, NULL, 116, NULL, NULL, 17564),
(31908, '2ghjB02', NULL, NULL, 66, NULL, NULL, 17565),
(31909, '1vs9O02', NULL, NULL, 62, NULL, NULL, 17565),
(31910, '1vq8M00', NULL, NULL, 194, NULL, NULL, 17566),
(31911, '1vwxN01', NULL, NULL, 197, NULL, NULL, 17566),
(31912, '6em3N00', NULL, NULL, 204, NULL, NULL, 17566),
(31913, '1jj2L00', NULL, NULL, 194, NULL, NULL, 17566),
(31914, '4a17L01', NULL, NULL, 197, NULL, NULL, 17566),
(31915, '1vx7P01', NULL, NULL, 198, NULL, NULL, 17566),
(31916, '2wzpR02', NULL, NULL, 99, NULL, NULL, 17567),
(31917, '5xteF00', NULL, NULL, 106, NULL, NULL, 17568),
(31918, '2fyuF00', NULL, NULL, 110, NULL, NULL, 17568),
(31919, '3tguF00', NULL, NULL, 110, NULL, NULL, 17568),
(31920, '1bccF00', NULL, NULL, 109, NULL, NULL, 17568),
(31921, '3cx5G00', NULL, NULL, 126, NULL, NULL, 17568),
(31922, '4a3pA01', NULL, NULL, 126, NULL, NULL, 17569),
(31923, '4memA01', NULL, NULL, 127, NULL, NULL, 17569),
(31924, '4melA01', NULL, NULL, 120, NULL, NULL, 17569),
(31925, '3pv1A01', NULL, NULL, 123, NULL, NULL, 17569),
(31926, '5ctrC01', NULL, NULL, 139, NULL, NULL, 17569),
(31927, '3jyuB01', NULL, NULL, 138, NULL, NULL, 17569),
(31928, '3cniA00', NULL, NULL, 156, NULL, NULL, 17570),
(31929, '1wlgA02', NULL, NULL, 140, NULL, NULL, 17571),
(31930, '4dczA00', NULL, NULL, 67, NULL, NULL, 17572),
(31931, '2cxaA01', NULL, NULL, 60, NULL, NULL, 17573),
(31932, '1zatA01', NULL, NULL, 125, NULL, NULL, 17574),
(31933, '2z0jH00', NULL, NULL, 237, NULL, NULL, 17575),
(31934, '1vr0C00', NULL, NULL, 247, NULL, NULL, 17575),
(31935, '2yyvB00', NULL, NULL, 227, NULL, NULL, 17575),
(31936, '4oj5A02', NULL, NULL, 71, NULL, NULL, 17576),
(31937, '4qnlA02', NULL, NULL, 59, NULL, NULL, 17576),
(31938, '1vsrA00', NULL, NULL, 136, NULL, NULL, 17577),
(31939, '3r3pB00', NULL, NULL, 105, NULL, NULL, 17577),
(31940, '3td7A02', NULL, NULL, 136, NULL, NULL, 17578),
(31941, '3s57A00', NULL, NULL, 204, NULL, NULL, 17579),
(31942, '4qkdA00', NULL, NULL, 200, NULL, NULL, 17579),
(31943, '4ie5A01', NULL, NULL, 301, NULL, NULL, 17579),
(31944, '2iuwA00', NULL, NULL, 220, NULL, NULL, 17579),
(31945, '4o7xA00', NULL, NULL, 230, NULL, NULL, 17579);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(31946, '4jhtA00', NULL, NULL, 206, NULL, NULL, 17579),
(31947, '4nplA00', NULL, NULL, 225, NULL, NULL, 17579),
(31948, '2incC00', NULL, NULL, 83, NULL, NULL, 17580),
(31949, '3ge3C00', NULL, NULL, 84, NULL, NULL, 17580),
(31950, '3a6mB01', NULL, NULL, 114, NULL, NULL, 17581),
(31951, '1dkgA01', NULL, NULL, 104, NULL, NULL, 17581),
(31952, '3i4uA01', NULL, NULL, 110, NULL, NULL, 17582),
(31953, '1z67A00', NULL, NULL, 135, NULL, NULL, 17583),
(31954, '3cqxC00', NULL, NULL, 88, NULL, NULL, 17584),
(31955, '1pjqA03', NULL, NULL, 65, NULL, NULL, 17585),
(31956, '2o2cA03', NULL, NULL, 55, NULL, NULL, 17586),
(31957, '1hm5A03', NULL, NULL, 41, NULL, NULL, 17586),
(31958, '2cxnA03', NULL, NULL, 41, NULL, NULL, 17586),
(31959, '3qkiA03', NULL, NULL, 45, NULL, NULL, 17586),
(31960, '3ujhA03', NULL, NULL, 48, NULL, NULL, 17586),
(31961, '1t10A03', NULL, NULL, 49, NULL, NULL, 17586),
(31962, '3hjbA03', NULL, NULL, 39, NULL, NULL, 17586),
(31963, '2wu8A03', NULL, NULL, 45, NULL, NULL, 17586),
(31964, '1iatA03', NULL, NULL, 41, NULL, NULL, 17586),
(31965, '3nbuA03', NULL, NULL, 39, NULL, NULL, 17586),
(31966, '3ljkA03', NULL, NULL, 39, NULL, NULL, 17586),
(31967, '4em6A03', NULL, NULL, 40, NULL, NULL, 17586),
(31968, '1gzdA03', NULL, NULL, 43, NULL, NULL, 17586),
(31969, '5dyfA02', NULL, NULL, 85, NULL, NULL, 17587),
(31970, '2gtqA02', NULL, NULL, 85, NULL, NULL, 17587),
(31971, '4qpeA02', NULL, NULL, 85, NULL, NULL, 17587),
(31972, '4pu2A02', NULL, NULL, 85, NULL, NULL, 17587),
(31973, '4pw4A02', NULL, NULL, 85, NULL, NULL, 17587),
(31974, '5dllA02', NULL, NULL, 85, NULL, NULL, 17587),
(31975, '4qmeA02', NULL, NULL, 85, NULL, NULL, 17587),
(31976, '4qirA02', NULL, NULL, 85, NULL, NULL, 17587),
(31977, '5zi7A02', NULL, NULL, 85, NULL, NULL, 17587),
(31978, '2xq0A02', NULL, NULL, 98, NULL, NULL, 17587),
(31979, '3b34A02', NULL, NULL, 85, NULL, NULL, 17587),
(31980, '4pvbA02', NULL, NULL, 85, NULL, NULL, 17587),
(31981, '4quoA02', NULL, NULL, 85, NULL, NULL, 17587),
(31982, '3ciaA02', NULL, NULL, 97, NULL, NULL, 17587),
(31983, '4qhpA02', NULL, NULL, 85, NULL, NULL, 17587),
(31984, '4gaaA02', NULL, NULL, 97, NULL, NULL, 17587),
(31985, '6ea2A02', NULL, NULL, 86, NULL, NULL, 17587),
(31986, '3u9wA02', NULL, NULL, 97, NULL, NULL, 17587),
(31987, '4qnlA01', NULL, NULL, 96, NULL, NULL, 17588),
(31988, '4oj5A01', NULL, NULL, 95, NULL, NULL, 17588),
(31989, '3f8tA01', NULL, NULL, 84, NULL, NULL, 17589),
(31990, '4ar9A02', NULL, NULL, 142, NULL, NULL, 17590),
(31991, '4arfA02', NULL, NULL, 142, NULL, NULL, 17590),
(31992, '1x3lA01', NULL, NULL, 195, NULL, NULL, 17591),
(31993, '2b8nA01', NULL, NULL, 202, NULL, NULL, 17591),
(31994, '3nbxX03', NULL, NULL, 102, NULL, NULL, 17592),
(31995, '1c1kA02', NULL, NULL, 115, NULL, NULL, 17593),
(31996, '1uf5A00', NULL, NULL, 303, NULL, NULL, 17594),
(31997, '2vhhA00', NULL, NULL, 386, NULL, NULL, 17594),
(31998, '4hg5C00', NULL, NULL, 303, NULL, NULL, 17594),
(31999, '4f4hB01', NULL, NULL, 280, NULL, NULL, 17594),
(32000, '5g3pC00', NULL, NULL, 326, NULL, NULL, 17594),
(32001, '1f89A00', NULL, NULL, 291, NULL, NULL, 17594),
(32002, '3ivzA00', NULL, NULL, 262, NULL, NULL, 17594),
(32003, '2w1vA00', NULL, NULL, 276, NULL, NULL, 17594),
(32004, '1emsA01', NULL, NULL, 280, NULL, NULL, 17594),
(32005, '4cyfA01', NULL, NULL, 305, NULL, NULL, 17594),
(32006, '2uxyA00', NULL, NULL, 341, NULL, NULL, 17594),
(32007, '3sdbA01', NULL, NULL, 323, NULL, NULL, 17594),
(32008, '3wuyA00', NULL, NULL, 294, NULL, NULL, 17594),
(32009, '6mg6A00', NULL, NULL, 300, NULL, NULL, 17594),
(32010, '2dyuA01', NULL, NULL, 306, NULL, NULL, 17594),
(32011, '3ilvA01', NULL, NULL, 280, NULL, NULL, 17594),
(32012, '3n05A01', NULL, NULL, 304, NULL, NULL, 17594),
(32013, '1j31A00', NULL, NULL, 262, NULL, NULL, 17594),
(32014, '3p8kA00', NULL, NULL, 281, NULL, NULL, 17594),
(32015, '5khaB01', NULL, NULL, 268, NULL, NULL, 17594),
(32016, '2e11A00', NULL, NULL, 266, NULL, NULL, 17594),
(32017, '5h8iB00', NULL, NULL, 304, NULL, NULL, 17594),
(32018, '5jqnA00', NULL, NULL, 266, NULL, NULL, 17594),
(32019, '4lf0A00', NULL, NULL, 348, NULL, NULL, 17594);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(32020, '1amuA03', NULL, NULL, 81, NULL, NULL, 17595),
(32021, '4rlqA03', NULL, NULL, 112, NULL, NULL, 17595),
(32022, '1lciA03', NULL, NULL, 77, NULL, NULL, 17595),
(32023, '5u95B03', NULL, NULL, 75, NULL, NULL, 17595),
(32024, '3cw9A03', NULL, NULL, 80, NULL, NULL, 17595),
(32025, '3a9uA03', NULL, NULL, 75, NULL, NULL, 17595),
(32026, '2vsqA05', NULL, NULL, 77, NULL, NULL, 17595),
(32027, '1mdbA03', NULL, NULL, 76, NULL, NULL, 17595),
(32028, '6aaaA01', NULL, NULL, 95, NULL, NULL, 17595),
(32029, '2d1sA01', NULL, NULL, 94, NULL, NULL, 17595),
(32030, '5kytA01', NULL, NULL, 94, NULL, NULL, 17595),
(32031, '3bh1A03', NULL, NULL, 146, NULL, NULL, 17596),
(32032, '4i66A00', NULL, NULL, 209, NULL, NULL, 17597),
(32033, '5aa5A02', NULL, NULL, 79, NULL, NULL, 17598),
(32034, '5jskA02', NULL, NULL, 81, NULL, NULL, 17598),
(32035, '6gamS02', NULL, NULL, 90, NULL, NULL, 17598),
(32036, '6g94Q02', NULL, NULL, 111, NULL, NULL, 17598),
(32037, '4c3oF02', NULL, NULL, 98, NULL, NULL, 17598),
(32038, '3myrA02', NULL, NULL, 90, NULL, NULL, 17598),
(32039, '1yq9A02', NULL, NULL, 85, NULL, NULL, 17598),
(32040, '5a4mS02', NULL, NULL, 97, NULL, NULL, 17598),
(32041, '4kn9S02', NULL, NULL, 81, NULL, NULL, 17598),
(32042, '4uqlA02', NULL, NULL, 85, NULL, NULL, 17598),
(32043, '1e3dA02', NULL, NULL, 85, NULL, NULL, 17598),
(32044, '6fpoS02', NULL, NULL, 86, NULL, NULL, 17598),
(32045, '4u9hS02', NULL, NULL, 85, NULL, NULL, 17598),
(32046, '5d51S02', NULL, NULL, 87, NULL, NULL, 17598),
(32047, '3ayxD02', NULL, NULL, 93, NULL, NULL, 17598),
(32048, '2p63A01', NULL, NULL, 47, NULL, NULL, 17599),
(32049, '1i78B00', NULL, NULL, 297, NULL, NULL, 17600),
(32050, '2x55A00', NULL, NULL, 293, NULL, NULL, 17600),
(32051, '3u4qB04', NULL, NULL, 69, NULL, NULL, 17601),
(32052, '4k05A01', NULL, NULL, 245, NULL, NULL, 17602),
(32053, '1cfrA00', NULL, NULL, 285, NULL, NULL, 17603),
(32054, '1dc1A01', NULL, NULL, 235, NULL, NULL, 17603),
(32055, '3dvoA00', NULL, NULL, 338, NULL, NULL, 17603),
(32056, '1knvB00', NULL, NULL, 293, NULL, NULL, 17603),
(32057, '3js8A04', NULL, NULL, 50, NULL, NULL, 17604),
(32058, '3pm9C05', NULL, NULL, 41, NULL, NULL, 17604),
(32059, '3pm9B05', NULL, NULL, 41, NULL, NULL, 17604),
(32060, '2i0kA04', NULL, NULL, 50, NULL, NULL, 17604),
(32061, '5fxdA04', NULL, NULL, 55, NULL, NULL, 17604),
(32062, '3pm9A05', NULL, NULL, 41, NULL, NULL, 17604),
(32063, '1e8gA04', NULL, NULL, 53, NULL, NULL, 17604),
(32064, '2vfrA05', NULL, NULL, 39, NULL, NULL, 17604),
(32065, '3pm9F05', NULL, NULL, 41, NULL, NULL, 17604),
(32066, '3pm9E05', NULL, NULL, 41, NULL, NULL, 17604),
(32067, '3pm9D05', NULL, NULL, 41, NULL, NULL, 17604),
(32068, '4bbyA06', NULL, NULL, 41, NULL, NULL, 17604),
(32069, '1wvfA04', NULL, NULL, 48, NULL, NULL, 17604),
(32070, '3p01A02', NULL, NULL, 95, NULL, NULL, 17605),
(32071, '2l6uA00', NULL, NULL, 163, NULL, NULL, 17606),
(32072, '2ky6A00', NULL, NULL, 166, NULL, NULL, 17606),
(32073, '2l23A00', NULL, NULL, 167, NULL, NULL, 17606),
(32074, '3mxnA02', NULL, NULL, 55, NULL, NULL, 17607),
(32075, '4illB01', NULL, NULL, 121, NULL, NULL, 17608),
(32076, '2pagA00', NULL, NULL, 135, NULL, NULL, 17609),
(32077, '2icgA00', NULL, NULL, 160, NULL, NULL, 17609),
(32078, '2prvB00', NULL, NULL, 153, NULL, NULL, 17609),
(32079, '3d5pA00', NULL, NULL, 144, NULL, NULL, 17609),
(32080, '2mjmA00', NULL, NULL, 101, NULL, NULL, 17610),
(32081, '3wguA01', NULL, NULL, 161, NULL, NULL, 17611),
(32082, '2kijA00', NULL, NULL, 124, NULL, NULL, 17611),
(32083, '2dqsA01', NULL, NULL, 174, NULL, NULL, 17611),
(32084, '5mpmA01', NULL, NULL, 171, NULL, NULL, 17611),
(32085, '2hc8A00', NULL, NULL, 113, NULL, NULL, 17611),
(32086, '3ar4A01', NULL, NULL, 171, NULL, NULL, 17611),
(32087, '4umvA02', NULL, NULL, 106, NULL, NULL, 17611),
(32088, '4bbjA02', NULL, NULL, 113, NULL, NULL, 17611),
(32089, '1wpgA01', NULL, NULL, 153, NULL, NULL, 17611),
(32090, '1su4A01', NULL, NULL, 162, NULL, NULL, 17611),
(32091, '5ylvA01', NULL, NULL, 160, NULL, NULL, 17611),
(32092, '2zxeA01', NULL, NULL, 166, NULL, NULL, 17611),
(32093, '5ksdA02', NULL, NULL, 85, NULL, NULL, 17611);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(32094, '3na2D00', NULL, NULL, 148, NULL, NULL, 17612),
(32095, '4ksfA02', NULL, NULL, 289, NULL, NULL, 17613),
(32096, '2ygwA02', NULL, NULL, 299, NULL, NULL, 17613),
(32097, '4ks9B02', NULL, NULL, 292, NULL, NULL, 17613),
(32098, '4ksaD02', NULL, NULL, 284, NULL, NULL, 17613),
(32099, '4j32A00', NULL, NULL, 174, NULL, NULL, 17614),
(32100, '4hffA00', NULL, NULL, 175, NULL, NULL, 17614),
(32101, '4hflA00', NULL, NULL, 176, NULL, NULL, 17614),
(32102, '3evyA00', NULL, NULL, 92, NULL, NULL, 17615),
(32103, '2j6bA00', NULL, NULL, 109, NULL, NULL, 17616),
(32104, '2j85B00', NULL, NULL, 122, NULL, NULL, 17616),
(32105, '2x4iA00', NULL, NULL, 114, NULL, NULL, 17616),
(32106, '4o1gA00', NULL, NULL, 324, NULL, NULL, 17617),
(32107, '5b6aA00', NULL, NULL, 288, NULL, NULL, 17617),
(32108, '5zwbA00', NULL, NULL, 296, NULL, NULL, 17617),
(32109, '1l2lA01', NULL, NULL, 347, NULL, NULL, 17617),
(32110, '1vi9A00', NULL, NULL, 299, NULL, NULL, 17617),
(32111, '5trwA00', NULL, NULL, 296, NULL, NULL, 17617),
(32112, '4gm6A00', NULL, NULL, 327, NULL, NULL, 17617),
(32113, '3umoA00', NULL, NULL, 309, NULL, NULL, 17617),
(32114, '1esjA00', NULL, NULL, 284, NULL, NULL, 17617),
(32115, '2jg5A00', NULL, NULL, 306, NULL, NULL, 17617),
(32116, '3vasA01', NULL, NULL, 287, NULL, NULL, 17617),
(32117, '2v78A00', NULL, NULL, 313, NULL, NULL, 17617),
(32118, '3ry7A00', NULL, NULL, 304, NULL, NULL, 17617),
(32119, '4s1hA00', NULL, NULL, 287, NULL, NULL, 17617),
(32120, '4c5kD00', NULL, NULL, 276, NULL, NULL, 17617),
(32121, '3drwB01', NULL, NULL, 333, NULL, NULL, 17617),
(32122, '3looB01', NULL, NULL, 282, NULL, NULL, 17617),
(32123, '3rssA02', NULL, NULL, 284, NULL, NULL, 17617),
(32124, '2absA01', NULL, NULL, 284, NULL, NULL, 17617),
(32125, '4xdaA00', NULL, NULL, 309, NULL, NULL, 17617),
(32126, '3bgkA00', NULL, NULL, 276, NULL, NULL, 17617),
(32127, '2yxtA00', NULL, NULL, 312, NULL, NULL, 17617),
(32128, '1v1aA00', NULL, NULL, 309, NULL, NULL, 17617),
(32129, '4ywrA00', NULL, NULL, 246, NULL, NULL, 17617),
(32130, '2ajrA01', NULL, NULL, 265, NULL, NULL, 17617),
(32131, '5eynA00', NULL, NULL, 306, NULL, NULL, 17617),
(32132, '3dzvA00', NULL, NULL, 273, NULL, NULL, 17617),
(32133, '3ktnA00', NULL, NULL, 346, NULL, NULL, 17617),
(32134, '4wjmA00', NULL, NULL, 312, NULL, NULL, 17617),
(32135, '2ddmB00', NULL, NULL, 283, NULL, NULL, 17617),
(32136, '4jjpA00', NULL, NULL, 248, NULL, NULL, 17617),
(32137, '3b1nA00', NULL, NULL, 326, NULL, NULL, 17617),
(32138, '3bf5A01', NULL, NULL, 256, NULL, NULL, 17617),
(32139, '3ljsA00', NULL, NULL, 338, NULL, NULL, 17617),
(32140, '2c4eA00', NULL, NULL, 302, NULL, NULL, 17617),
(32141, '5cgeE00', NULL, NULL, 277, NULL, NULL, 17617),
(32142, '3rpzA00', NULL, NULL, 279, NULL, NULL, 17617),
(32143, '3ikhA00', NULL, NULL, 299, NULL, NULL, 17617),
(32144, '3go6A00', NULL, NULL, 292, NULL, NULL, 17617),
(32145, '2rbcA00', NULL, NULL, 316, NULL, NULL, 17617),
(32146, '1lhpA00', NULL, NULL, 312, NULL, NULL, 17617),
(32147, '5c40B00', NULL, NULL, 330, NULL, NULL, 17617),
(32148, '3iq0A00', NULL, NULL, 313, NULL, NULL, 17617),
(32149, '3hpdA00', NULL, NULL, 265, NULL, NULL, 17617),
(32150, '1tyyA00', NULL, NULL, 315, NULL, NULL, 17617),
(32151, '3w4sA00', NULL, NULL, 273, NULL, NULL, 17617),
(32152, '2afbB00', NULL, NULL, 351, NULL, NULL, 17617),
(32153, '4du5B00', NULL, NULL, 311, NULL, NULL, 17617),
(32154, '2i5bA00', NULL, NULL, 271, NULL, NULL, 17617),
(32155, '3otxB01', NULL, NULL, 284, NULL, NULL, 17617),
(32156, '3pzsA00', NULL, NULL, 289, NULL, NULL, 17617),
(32157, '2dcnA00', NULL, NULL, 311, NULL, NULL, 17617),
(32158, '3ie7A00', NULL, NULL, 320, NULL, NULL, 17617),
(32159, '2f02B00', NULL, NULL, 323, NULL, NULL, 17617),
(32160, '3mbhA00', NULL, NULL, 291, NULL, NULL, 17617),
(32161, '4b8rA01', NULL, NULL, 360, NULL, NULL, 17617),
(32162, '5k27B01', NULL, NULL, 333, NULL, NULL, 17617),
(32163, '1vm7B00', NULL, NULL, 311, NULL, NULL, 17617),
(32164, '2abqA00', NULL, NULL, 306, NULL, NULL, 17617),
(32165, '3kd6A00', NULL, NULL, 313, NULL, NULL, 17617),
(32166, '3nl6C02', NULL, NULL, 310, NULL, NULL, 17617);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(32167, '3k5wA02', NULL, NULL, 264, NULL, NULL, 17617),
(32168, '3lhxA00', NULL, NULL, 319, NULL, NULL, 17617),
(32169, '2qhpA00', NULL, NULL, 296, NULL, NULL, 17617),
(32170, '3rm5B01', NULL, NULL, 314, NULL, NULL, 17617),
(32171, '6ilsA00', NULL, NULL, 313, NULL, NULL, 17617),
(32172, '2qcvA01', NULL, NULL, 278, NULL, NULL, 17617),
(32173, '2hlzA00', NULL, NULL, 296, NULL, NULL, 17617),
(32174, '3h49B00', NULL, NULL, 325, NULL, NULL, 17617),
(32175, '1jxhA00', NULL, NULL, 266, NULL, NULL, 17617),
(32176, '5wbmA00', NULL, NULL, 296, NULL, NULL, 17617),
(32177, '5kb6A01', NULL, NULL, 280, NULL, NULL, 17617),
(32178, '3kzhB00', NULL, NULL, 328, NULL, NULL, 17617),
(32179, '1bx4A01', NULL, NULL, 282, NULL, NULL, 17617),
(32180, '1rkdA00', NULL, NULL, 309, NULL, NULL, 17617),
(32181, '1ua4A01', NULL, NULL, 343, NULL, NULL, 17617),
(32182, '3zs7A00', NULL, NULL, 300, NULL, NULL, 17617),
(32183, '5ysqB00', NULL, NULL, 286, NULL, NULL, 17617),
(32184, '3uboB00', NULL, NULL, 330, NULL, NULL, 17617),
(32185, '5tqiA00', NULL, NULL, 294, NULL, NULL, 17617),
(32186, '3ewmA00', NULL, NULL, 313, NULL, NULL, 17617),
(32187, '2r3bA01', NULL, NULL, 290, NULL, NULL, 17617),
(32188, '5od2A01', NULL, NULL, 340, NULL, NULL, 17617),
(32189, '3pl2A01', NULL, NULL, 268, NULL, NULL, 17617),
(32190, '4k8kB00', NULL, NULL, 329, NULL, NULL, 17617),
(32191, '3h74A00', NULL, NULL, 282, NULL, NULL, 17617),
(32192, '1ub0A00', NULL, NULL, 258, NULL, NULL, 17617),
(32193, '4e69A00', NULL, NULL, 328, NULL, NULL, 17617),
(32194, '2nwhA00', NULL, NULL, 317, NULL, NULL, 17617),
(32195, '6c8zA01', NULL, NULL, 366, NULL, NULL, 17617),
(32196, '4e84B00', NULL, NULL, 310, NULL, NULL, 17617),
(32197, '2jg1D00', NULL, NULL, 313, NULL, NULL, 17617),
(32198, '2pf4F02', NULL, NULL, 103, NULL, NULL, 17618),
(32199, '3i0wA03', NULL, NULL, 56, NULL, NULL, 17619),
(32200, '4unfA01', NULL, NULL, 131, NULL, NULL, 17619),
(32201, '2jhnA03', NULL, NULL, 62, NULL, NULL, 17619),
(32202, '3fhfA01', NULL, NULL, 104, NULL, NULL, 17619),
(32203, '3fhgA01', NULL, NULL, 94, NULL, NULL, 17619),
(32204, '1keaA01', NULL, NULL, 108, NULL, NULL, 17619),
(32205, '3n0uC01', NULL, NULL, 110, NULL, NULL, 17619),
(32206, '5kn8A01', NULL, NULL, 120, NULL, NULL, 17619),
(32207, '4ejyA03', NULL, NULL, 64, NULL, NULL, 17619),
(32208, '3f0zA03', NULL, NULL, 58, NULL, NULL, 17619),
(32209, '1xg7B01', NULL, NULL, 107, NULL, NULL, 17619),
(32210, '3g0qA01', NULL, NULL, 114, NULL, NULL, 17619),
(32211, '3n5nX01', NULL, NULL, 124, NULL, NULL, 17619),
(32212, '6g3xC02', NULL, NULL, 82, NULL, NULL, 17619),
(32213, '1kg2A01', NULL, NULL, 113, NULL, NULL, 17619),
(32214, '1pu6A01', NULL, NULL, 95, NULL, NULL, 17619),
(32215, '1mpgA03', NULL, NULL, 52, NULL, NULL, 17619),
(32216, '4uobA01', NULL, NULL, 126, NULL, NULL, 17619),
(32217, '2xhiA02', NULL, NULL, 80, NULL, NULL, 17619),
(32218, '1ornA02', NULL, NULL, 100, NULL, NULL, 17619),
(32219, '2abkA02', NULL, NULL, 99, NULL, NULL, 17619),
(32220, '1xqoA01', NULL, NULL, 121, NULL, NULL, 17619),
(32221, '1za7A00', NULL, NULL, 165, NULL, NULL, 17620),
(32222, '1stmA00', NULL, NULL, 141, NULL, NULL, 17620),
(32223, '1yc6100', NULL, NULL, 154, NULL, NULL, 17620),
(32224, '4oq8A00', NULL, NULL, 159, NULL, NULL, 17620),
(32225, '3mqgA02', NULL, NULL, 39, NULL, NULL, 17621),
(32226, '5wlzC01', NULL, NULL, 120, NULL, NULL, 17622),
(32227, '5cj4A01', NULL, NULL, 121, NULL, NULL, 17622),
(32228, '5cj4B01', NULL, NULL, 121, NULL, NULL, 17622),
(32229, '5cj4C01', NULL, NULL, 121, NULL, NULL, 17622),
(32230, '3mudA01', NULL, NULL, 121, NULL, NULL, 17622),
(32231, '5cj4D01', NULL, NULL, 121, NULL, NULL, 17622),
(32232, '2qm4D01', NULL, NULL, 142, NULL, NULL, 17622),
(32233, '5chxB01', NULL, NULL, 121, NULL, NULL, 17622),
(32234, '5chxA01', NULL, NULL, 121, NULL, NULL, 17622),
(32235, '1oryB00', NULL, NULL, 55, NULL, NULL, 17623),
(32236, '1sg5A01', NULL, NULL, 77, NULL, NULL, 17624),
(32237, '2ayaA00', NULL, NULL, 128, NULL, NULL, 17625),
(32238, '3d3qB02', NULL, NULL, 76, NULL, NULL, 17626),
(32239, '3ephA02', NULL, NULL, 72, NULL, NULL, 17626);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(32240, '2zm5A02', NULL, NULL, 72, NULL, NULL, 17626),
(32241, '3pg6A00', NULL, NULL, 135, NULL, NULL, 17627),
(32242, '1uvjA02', NULL, NULL, 144, NULL, NULL, 17628),
(32243, '4divA02', NULL, NULL, 71, NULL, NULL, 17629),
(32244, '1rp3B02', NULL, NULL, 37, NULL, NULL, 17630),
(32245, '3og2A02', NULL, NULL, 184, NULL, NULL, 17631),
(32246, '1tg7A02', NULL, NULL, 181, NULL, NULL, 17631),
(32247, '4iugA02', NULL, NULL, 179, NULL, NULL, 17631),
(32248, '5ifpA02', NULL, NULL, 179, NULL, NULL, 17631),
(32249, '3rfaA01', NULL, NULL, 62, NULL, NULL, 17632),
(32250, '3rf9B01', NULL, NULL, 78, NULL, NULL, 17632),
(32251, '2p22D00', NULL, NULL, 79, NULL, NULL, 17633),
(32252, '4pmwA02', NULL, NULL, 85, NULL, NULL, 17634),
(32253, '2vnuD02', NULL, NULL, 77, NULL, NULL, 17634),
(32254, '2idoB00', NULL, NULL, 83, NULL, NULL, 17635),
(32255, '1du2A00', NULL, NULL, 76, NULL, NULL, 17635),
(32256, '2xfvA00', NULL, NULL, 108, NULL, NULL, 17636),
(32257, '1j27A00', NULL, NULL, 102, NULL, NULL, 17637),
(32258, '4bryB00', NULL, NULL, 73, NULL, NULL, 17638),
(32259, '3wutG00', NULL, NULL, 63, NULL, NULL, 17638),
(32260, '4bryA00', NULL, NULL, 78, NULL, NULL, 17638),
(32261, '1wlqD00', NULL, NULL, 65, NULL, NULL, 17638),
(32262, '2zxxD00', NULL, NULL, 79, NULL, NULL, 17638),
(32263, '1uiiA00', NULL, NULL, 61, NULL, NULL, 17638),
(32264, '2q6qA00', NULL, NULL, 74, NULL, NULL, 17638),
(32265, '4zemA02', NULL, NULL, 197, NULL, NULL, 17639),
(32266, '2yvkA02', NULL, NULL, 205, NULL, NULL, 17639),
(32267, '1vb5B02', NULL, NULL, 181, NULL, NULL, 17639),
(32268, '1t5oA02', NULL, NULL, 209, NULL, NULL, 17639),
(32269, '5yfjA02', NULL, NULL, 201, NULL, NULL, 17639),
(32270, '6a34A02', NULL, NULL, 208, NULL, NULL, 17639),
(32271, '4zeoH02', NULL, NULL, 179, NULL, NULL, 17639),
(32272, '1w2wB00', NULL, NULL, 191, NULL, NULL, 17639),
(32273, '1t9kA02', NULL, NULL, 203, NULL, NULL, 17639),
(32274, '2a0uA02', NULL, NULL, 207, NULL, NULL, 17639),
(32275, '3ecsD02', NULL, NULL, 211, NULL, NULL, 17639),
(32276, '4ldrB02', NULL, NULL, 210, NULL, NULL, 17639),
(32277, '3a11B02', NULL, NULL, 201, NULL, NULL, 17639),
(32278, '2d46A00', NULL, NULL, 61, NULL, NULL, 17640),
(32279, '4i3mA00', NULL, NULL, 159, NULL, NULL, 17641),
(32280, '1q5zA00', NULL, NULL, 157, NULL, NULL, 17642),
(32281, '3rwxA02', NULL, NULL, 134, NULL, NULL, 17643),
(32282, '3sb1A01', NULL, NULL, 100, NULL, NULL, 17644),
(32283, '2iruA02', NULL, NULL, 138, NULL, NULL, 17645),
(32284, '2fa8B00', NULL, NULL, 105, NULL, NULL, 17646),
(32285, '1q98A00', NULL, NULL, 165, NULL, NULL, 17646),
(32286, '2dlxA01', NULL, NULL, 113, NULL, NULL, 17646),
(32287, '3vwvA00', NULL, NULL, 190, NULL, NULL, 17646),
(32288, '3i9v202', NULL, NULL, 107, NULL, NULL, 17646),
(32289, '4wxtA00', NULL, NULL, 125, NULL, NULL, 17646),
(32290, '4gltA01', NULL, NULL, 95, NULL, NULL, 17646),
(32291, '3ga4A00', NULL, NULL, 178, NULL, NULL, 17646),
(32292, '2obiA00', NULL, NULL, 165, NULL, NULL, 17646),
(32293, '1egoA00', NULL, NULL, 85, NULL, NULL, 17646),
(32294, '2in3A01', NULL, NULL, 89, NULL, NULL, 17646),
(32295, '2h66E00', NULL, NULL, 161, NULL, NULL, 17646),
(32296, '4pngB01', NULL, NULL, 86, NULL, NULL, 17646),
(32297, '4isdA01', NULL, NULL, 111, NULL, NULL, 17646),
(32298, '1a0rP01', NULL, NULL, 129, NULL, NULL, 17646),
(32299, '5y7iA01', NULL, NULL, 95, NULL, NULL, 17646),
(32300, '3m3mA01', NULL, NULL, 81, NULL, NULL, 17646),
(32301, '3mdkB01', NULL, NULL, 111, NULL, NULL, 17646),
(32302, '4zxgA01', NULL, NULL, 83, NULL, NULL, 17646),
(32303, '3ed3B02', NULL, NULL, 155, NULL, NULL, 17646),
(32304, '4o7hA01', NULL, NULL, 102, NULL, NULL, 17646),
(32305, '1t1vA00', NULL, NULL, 93, NULL, NULL, 17646),
(32306, '5a4uA01', NULL, NULL, 87, NULL, NULL, 17646),
(32307, '2j23A00', NULL, NULL, 121, NULL, NULL, 17646),
(32308, '4wkwB00', NULL, NULL, 199, NULL, NULL, 17646),
(32309, '3h79A00', NULL, NULL, 127, NULL, NULL, 17646),
(32310, '1z9hA01', NULL, NULL, 92, NULL, NULL, 17646),
(32311, '2c0gA01', NULL, NULL, 136, NULL, NULL, 17646),
(32312, '4la1A01', NULL, NULL, 111, NULL, NULL, 17646),
(32313, '1jzoA02', NULL, NULL, 139, NULL, NULL, 17646);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(32314, '3ixrA00', NULL, NULL, 162, NULL, NULL, 17646),
(32315, '1z6nA00', NULL, NULL, 167, NULL, NULL, 17646),
(32316, '3h8qA00', NULL, NULL, 114, NULL, NULL, 17646),
(32317, '1m0uA01', NULL, NULL, 91, NULL, NULL, 17646),
(32318, '4fo5A00', NULL, NULL, 143, NULL, NULL, 17646),
(32319, '2h8lA01', NULL, NULL, 118, NULL, NULL, 17646),
(32320, '4gtuA01', NULL, NULL, 112, NULL, NULL, 17646),
(32321, '2h8lA02', NULL, NULL, 112, NULL, NULL, 17646),
(32322, '4ruvA00', NULL, NULL, 114, NULL, NULL, 17646),
(32323, '4d73B00', NULL, NULL, 180, NULL, NULL, 17646),
(32324, '4i8bA00', NULL, NULL, 105, NULL, NULL, 17646),
(32325, '1vglB00', NULL, NULL, 108, NULL, NULL, 17646),
(32326, '5ld0A01', NULL, NULL, 113, NULL, NULL, 17646),
(32327, '2r37B00', NULL, NULL, 207, NULL, NULL, 17646),
(32328, '5c04A00', NULL, NULL, 153, NULL, NULL, 17646),
(32329, '3kjyA01', NULL, NULL, 115, NULL, NULL, 17646),
(32330, '3lxzA01', NULL, NULL, 80, NULL, NULL, 17646),
(32331, '2qgvA00', NULL, NULL, 140, NULL, NULL, 17646),
(32332, '2lrcA00', NULL, NULL, 114, NULL, NULL, 17646),
(32333, '3fw2A00', NULL, NULL, 150, NULL, NULL, 17646),
(32334, '1r5aA01', NULL, NULL, 79, NULL, NULL, 17646),
(32335, '2pwjA00', NULL, NULL, 171, NULL, NULL, 17646),
(32336, '1b4pA01', NULL, NULL, 112, NULL, NULL, 17646),
(32337, '2ju5A01', NULL, NULL, 124, NULL, NULL, 17646),
(32338, '2ht9B00', NULL, NULL, 111, NULL, NULL, 17646),
(32339, '6j3gB01', NULL, NULL, 117, NULL, NULL, 17646),
(32340, '2m80A00', NULL, NULL, 117, NULL, NULL, 17646),
(32341, '4qq7A01', NULL, NULL, 99, NULL, NULL, 17646),
(32342, '3cbuA01', NULL, NULL, 78, NULL, NULL, 17646),
(32343, '5hqpD02', NULL, NULL, 101, NULL, NULL, 17646),
(32344, '2khpA00', NULL, NULL, 92, NULL, NULL, 17646),
(32345, '5xbsD01', NULL, NULL, 146, NULL, NULL, 17646),
(32346, '6mwsA00', NULL, NULL, 115, NULL, NULL, 17646),
(32347, '3vurA01', NULL, NULL, 91, NULL, NULL, 17646),
(32348, '5hqpD01', NULL, NULL, 117, NULL, NULL, 17646),
(32349, '2trcP01', NULL, NULL, 134, NULL, NULL, 17646),
(32350, '2vafA01', NULL, NULL, 112, NULL, NULL, 17646),
(32351, '3eytB00', NULL, NULL, 158, NULL, NULL, 17646),
(32352, '2lnsA00', NULL, NULL, 140, NULL, NULL, 17646),
(32353, '3gmfA01', NULL, NULL, 102, NULL, NULL, 17646),
(32354, '4fh8E00', NULL, NULL, 175, NULL, NULL, 17646),
(32355, '2ynxA00', NULL, NULL, 106, NULL, NULL, 17646),
(32356, '1e2yF00', NULL, NULL, 166, NULL, NULL, 17646),
(32357, '3vk9A01', NULL, NULL, 80, NULL, NULL, 17646),
(32358, '4exjB01', NULL, NULL, 117, NULL, NULL, 17646),
(32359, '2f9sB00', NULL, NULL, 151, NULL, NULL, 17646),
(32360, '1t3bA02', NULL, NULL, 162, NULL, NULL, 17646),
(32361, '4fiwA00', NULL, NULL, 77, NULL, NULL, 17646),
(32362, '2yv9A01', NULL, NULL, 110, NULL, NULL, 17646),
(32363, '1m2dA00', NULL, NULL, 110, NULL, NULL, 17646),
(32364, '2yanA01', NULL, NULL, 97, NULL, NULL, 17646),
(32365, '1f2eA01', NULL, NULL, 95, NULL, NULL, 17646),
(32366, '2ljaA00', NULL, NULL, 152, NULL, NULL, 17646),
(32367, '2dc5A01', NULL, NULL, 126, NULL, NULL, 17646),
(32368, '2obkF00', NULL, NULL, 103, NULL, NULL, 17646),
(32369, '2jacA00', NULL, NULL, 110, NULL, NULL, 17646),
(32370, '5zfgA01', NULL, NULL, 80, NULL, NULL, 17646),
(32371, '2r2jA03', NULL, NULL, 163, NULL, NULL, 17646),
(32372, '5kqaA00', NULL, NULL, 115, NULL, NULL, 17646),
(32373, '4ju5A01', NULL, NULL, 105, NULL, NULL, 17646),
(32374, '3ir4A01', NULL, NULL, 78, NULL, NULL, 17646),
(32375, '3ia1B00', NULL, NULL, 154, NULL, NULL, 17646),
(32376, '4grfA00', NULL, NULL, 152, NULL, NULL, 17646),
(32377, '4npbA02', NULL, NULL, 139, NULL, NULL, 17646),
(32378, '5crwA02', NULL, NULL, 123, NULL, NULL, 17646),
(32379, '3fz5B00', NULL, NULL, 202, NULL, NULL, 17646),
(32380, '3zrdB00', NULL, NULL, 166, NULL, NULL, 17646),
(32381, '3d22A00', NULL, NULL, 139, NULL, NULL, 17646),
(32382, '3kzqA00', NULL, NULL, 208, NULL, NULL, 17646),
(32383, '3dexH00', NULL, NULL, 107, NULL, NULL, 17646),
(32384, '1zgmA01', NULL, NULL, 103, NULL, NULL, 17646),
(32385, '4nmuD00', NULL, NULL, 147, NULL, NULL, 17646),
(32386, '4j2fA01', NULL, NULL, 86, NULL, NULL, 17646);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(32387, '6g2jS00', NULL, NULL, 99, NULL, NULL, 17646),
(32388, '2cz2A01', NULL, NULL, 78, NULL, NULL, 17646),
(32389, '5yx1A01', NULL, NULL, 90, NULL, NULL, 17646),
(32390, '2cvbA00', NULL, NULL, 188, NULL, NULL, 17646),
(32391, '3kgkB00', NULL, NULL, 110, NULL, NULL, 17646),
(32392, '5crwA01', NULL, NULL, 124, NULL, NULL, 17646),
(32393, '3uvtC00', NULL, NULL, 111, NULL, NULL, 17646),
(32394, '2b5xA00', NULL, NULL, 148, NULL, NULL, 17646),
(32395, '2h30A00', NULL, NULL, 164, NULL, NULL, 17646),
(32396, '4eo3A01', NULL, NULL, 139, NULL, NULL, 17646),
(32397, '4nhzB01', NULL, NULL, 140, NULL, NULL, 17646),
(32398, '3vfiA00', NULL, NULL, 104, NULL, NULL, 17646),
(32399, '3c7mA00', NULL, NULL, 195, NULL, NULL, 17646),
(32400, '3gkxB00', NULL, NULL, 120, NULL, NULL, 17646),
(32401, '5imaA00', NULL, NULL, 160, NULL, NULL, 17646),
(32402, '2qsiA01', NULL, NULL, 83, NULL, NULL, 17646),
(32403, '2hyxA01', NULL, NULL, 201, NULL, NULL, 17646),
(32404, '2av4A00', NULL, NULL, 160, NULL, NULL, 17646),
(32405, '2zctA01', NULL, NULL, 145, NULL, NULL, 17646),
(32406, '5xbrA01', NULL, NULL, 144, NULL, NULL, 17646),
(32407, '5h5lB01', NULL, NULL, 91, NULL, NULL, 17646),
(32408, '1xccD01', NULL, NULL, 152, NULL, NULL, 17646),
(32409, '6bo0A00', NULL, NULL, 200, NULL, NULL, 17646),
(32410, '3ubkA01', NULL, NULL, 82, NULL, NULL, 17646),
(32411, '4jrrB00', NULL, NULL, 189, NULL, NULL, 17646),
(32412, '2dj3A01', NULL, NULL, 109, NULL, NULL, 17646),
(32413, '1v57A03', NULL, NULL, 155, NULL, NULL, 17646),
(32414, '3fz4A00', NULL, NULL, 120, NULL, NULL, 17646),
(32415, '3f0iA00', NULL, NULL, 119, NULL, NULL, 17646),
(32416, '5hr1G00', NULL, NULL, 81, NULL, NULL, 17646),
(32417, '4mzcA00', NULL, NULL, 111, NULL, NULL, 17646),
(32418, '5f0gA01', NULL, NULL, 77, NULL, NULL, 17646),
(32419, '4tw5A01', NULL, NULL, 122, NULL, NULL, 17646),
(32420, '1u6tA00', NULL, NULL, 121, NULL, NULL, 17646),
(32421, '4f0bA01', NULL, NULL, 112, NULL, NULL, 17646),
(32422, '6q6tA00', NULL, NULL, 113, NULL, NULL, 17646),
(32423, '4wbjA00', NULL, NULL, 164, NULL, NULL, 17646),
(32424, '5jy5A00', NULL, NULL, 110, NULL, NULL, 17646),
(32425, '3r2qA01', NULL, NULL, 89, NULL, NULL, 17646),
(32426, '1pn9A01', NULL, NULL, 77, NULL, NULL, 17646),
(32427, '4hqsA00', NULL, NULL, 136, NULL, NULL, 17646),
(32428, '2imiB01', NULL, NULL, 80, NULL, NULL, 17646),
(32429, '4p3yB00', NULL, NULL, 182, NULL, NULL, 17646),
(32430, '4cw9B00', NULL, NULL, 109, NULL, NULL, 17646),
(32431, '5lolA01', NULL, NULL, 90, NULL, NULL, 17646),
(32432, '2ct6A00', NULL, NULL, 111, NULL, NULL, 17646),
(32433, '3zl5E00', NULL, NULL, 161, NULL, NULL, 17646),
(32434, '1i5gA00', NULL, NULL, 144, NULL, NULL, 17646),
(32435, '6ji6A01', NULL, NULL, 108, NULL, NULL, 17646),
(32436, '4ip6A00', NULL, NULL, 132, NULL, NULL, 17646),
(32437, '3m8nD01', NULL, NULL, 104, NULL, NULL, 17646),
(32438, '3t58C01', NULL, NULL, 131, NULL, NULL, 17646),
(32439, '2k8sA00', NULL, NULL, 80, NULL, NULL, 17646),
(32440, '1xvqA00', NULL, NULL, 175, NULL, NULL, 17646),
(32441, '4f0cA01', NULL, NULL, 91, NULL, NULL, 17646),
(32442, '3hjpA00', NULL, NULL, 164, NULL, NULL, 17646),
(32443, '2remB00', NULL, NULL, 193, NULL, NULL, 17646),
(32444, '1x5eA01', NULL, NULL, 109, NULL, NULL, 17646),
(32445, '2yzuA00', NULL, NULL, 109, NULL, NULL, 17646),
(32446, '3bj5A00', NULL, NULL, 147, NULL, NULL, 17646),
(32447, '4ecjA01', NULL, NULL, 96, NULL, NULL, 17646),
(32448, '3nivC01', NULL, NULL, 78, NULL, NULL, 17646),
(32449, '6bkvB00', NULL, NULL, 114, NULL, NULL, 17646),
(32450, '3drnB00', NULL, NULL, 161, NULL, NULL, 17646),
(32451, '3nznA00', NULL, NULL, 103, NULL, NULL, 17646),
(32452, '3l9sA00', NULL, NULL, 191, NULL, NULL, 17646),
(32453, '4owyA00', NULL, NULL, 174, NULL, NULL, 17646),
(32454, '3c8eB01', NULL, NULL, 131, NULL, NULL, 17646),
(32455, '3w8sA01', NULL, NULL, 91, NULL, NULL, 17646),
(32456, '2okaA00', NULL, NULL, 87, NULL, NULL, 17646),
(32457, '2pn8H00', NULL, NULL, 193, NULL, NULL, 17646),
(32458, '4i5qA02', NULL, NULL, 139, NULL, NULL, 17646),
(32459, '5an1A01', NULL, NULL, 116, NULL, NULL, 17646);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(32460, '4mjeA01', NULL, NULL, 89, NULL, NULL, 17646),
(32461, '4o92A01', NULL, NULL, 101, NULL, NULL, 17646),
(32462, '4yapA01', NULL, NULL, 129, NULL, NULL, 17646),
(32463, '4euyA00', NULL, NULL, 105, NULL, NULL, 17646),
(32464, '4bpyA00', NULL, NULL, 175, NULL, NULL, 17646),
(32465, '3dieA01', NULL, NULL, 76, NULL, NULL, 17646),
(32466, '5zvlB00', NULL, NULL, 108, NULL, NULL, 17646),
(32467, '5oomk00', NULL, NULL, 96, NULL, NULL, 17646),
(32468, '4kh7B01', NULL, NULL, 89, NULL, NULL, 17646),
(32469, '1sjiA01', NULL, NULL, 124, NULL, NULL, 17646),
(32470, '1qq2A00', NULL, NULL, 175, NULL, NULL, 17646),
(32471, '1sjiA03', NULL, NULL, 124, NULL, NULL, 17646),
(32472, '1sjiA02', NULL, NULL, 102, NULL, NULL, 17646),
(32473, '3kp8A00', NULL, NULL, 106, NULL, NULL, 17646),
(32474, '1hyuA02', NULL, NULL, 95, NULL, NULL, 17646),
(32475, '1hyuA04', NULL, NULL, 94, NULL, NULL, 17646),
(32476, '2dmlA01', NULL, NULL, 118, NULL, NULL, 17646),
(32477, '3f3qA00', NULL, NULL, 109, NULL, NULL, 17646),
(32478, '3tdgA02', NULL, NULL, 142, NULL, NULL, 17646),
(32479, '2fheA01', NULL, NULL, 107, NULL, NULL, 17646),
(32480, '1a8lA01', NULL, NULL, 117, NULL, NULL, 17646),
(32481, '3lefA00', NULL, NULL, 172, NULL, NULL, 17646),
(32482, '1a8lA02', NULL, NULL, 106, NULL, NULL, 17646),
(32483, '4agsA03', NULL, NULL, 85, NULL, NULL, 17646),
(32484, '4agsA01', NULL, NULL, 85, NULL, NULL, 17646),
(32485, '4gciA01', NULL, NULL, 104, NULL, NULL, 17646),
(32486, '4lmwA01', NULL, NULL, 106, NULL, NULL, 17646),
(32487, '5epfA00', NULL, NULL, 162, NULL, NULL, 17646),
(32488, '5kn3A03', NULL, NULL, 133, NULL, NULL, 17646),
(32489, '3feuA00', NULL, NULL, 185, NULL, NULL, 17646),
(32490, '5kn3A02', NULL, NULL, 102, NULL, NULL, 17646),
(32491, '1fo5A00', NULL, NULL, 85, NULL, NULL, 17646),
(32492, '3f9uA00', NULL, NULL, 145, NULL, NULL, 17646),
(32493, '1x5dA01', NULL, NULL, 120, NULL, NULL, 17646),
(32494, '4mzwA01', NULL, NULL, 151, NULL, NULL, 17646),
(32495, '3qdnA01', NULL, NULL, 115, NULL, NULL, 17646),
(32496, '3f8uC04', NULL, NULL, 119, NULL, NULL, 17646),
(32497, '4dssB00', NULL, NULL, 112, NULL, NULL, 17646),
(32498, '2dj2A01', NULL, NULL, 117, NULL, NULL, 17646),
(32499, '3zmlB01', NULL, NULL, 82, NULL, NULL, 17646),
(32500, '2lkuA01', NULL, NULL, 97, NULL, NULL, 17646),
(32501, '2rliA00', NULL, NULL, 171, NULL, NULL, 17646),
(32502, '4lmvA01', NULL, NULL, 105, NULL, NULL, 17646),
(32503, '5ijtC00', NULL, NULL, 164, NULL, NULL, 17646),
(32504, '4ml1A02', NULL, NULL, 131, NULL, NULL, 17646),
(32505, '1zmaA00', NULL, NULL, 118, NULL, NULL, 17646),
(32506, '3emxA00', NULL, NULL, 135, NULL, NULL, 17646),
(32507, '3f6fA01', NULL, NULL, 78, NULL, NULL, 17646),
(32508, '2ojlA00', NULL, NULL, 85, NULL, NULL, 17646),
(32509, '4fybA00', NULL, NULL, 167, NULL, NULL, 17646),
(32510, '4tveA01', NULL, NULL, 131, NULL, NULL, 17646),
(32511, '3fz9A00', NULL, NULL, 112, NULL, NULL, 17646),
(32512, '3q6oA02', NULL, NULL, 109, NULL, NULL, 17646),
(32513, '5dvbD00', NULL, NULL, 170, NULL, NULL, 17646),
(32514, '2nbsA00', NULL, NULL, 122, NULL, NULL, 17646),
(32515, '3ha9A00', NULL, NULL, 165, NULL, NULL, 17646),
(32516, '4n30A00', NULL, NULL, 182, NULL, NULL, 17646),
(32517, '3lypB01', NULL, NULL, 109, NULL, NULL, 17646),
(32518, '3mngA00', NULL, NULL, 173, NULL, NULL, 17646),
(32519, '2mcsA00', NULL, NULL, 128, NULL, NULL, 17646),
(32520, '3q6oA01', NULL, NULL, 135, NULL, NULL, 17646),
(32521, '4q5nA01', NULL, NULL, 121, NULL, NULL, 17646),
(32522, '5d73A01', NULL, NULL, 99, NULL, NULL, 17646),
(32523, '3tueB00', NULL, NULL, 164, NULL, NULL, 17646),
(32524, '2c3nA01', NULL, NULL, 87, NULL, NULL, 17646),
(32525, '3dxbD01', NULL, NULL, 117, NULL, NULL, 17646),
(32526, '4kx4A01', NULL, NULL, 78, NULL, NULL, 17646),
(32527, '3tcoA00', NULL, NULL, 109, NULL, NULL, 17646),
(32528, '6e0gA00', NULL, NULL, 165, NULL, NULL, 17646),
(32529, '2wfcA00', NULL, NULL, 167, NULL, NULL, 17646),
(32530, '3sbcD00', NULL, NULL, 195, NULL, NULL, 17646),
(32531, '4jedA01', NULL, NULL, 98, NULL, NULL, 17646),
(32532, '3us3A02', NULL, NULL, 102, NULL, NULL, 17646);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(32533, '3us3A01', NULL, NULL, 126, NULL, NULL, 17646),
(32534, '1vf1A01', NULL, NULL, 120, NULL, NULL, 17646),
(32535, '2ypmA00', NULL, NULL, 106, NULL, NULL, 17646),
(32536, '3us3A03', NULL, NULL, 139, NULL, NULL, 17646),
(32537, '4ussA01', NULL, NULL, 197, NULL, NULL, 17646),
(32538, '4gxzD00', NULL, NULL, 173, NULL, NULL, 17646),
(32539, '2es7A00', NULL, NULL, 125, NULL, NULL, 17646),
(32540, '3hz4A00', NULL, NULL, 123, NULL, NULL, 17646),
(32541, '2qc7A01', NULL, NULL, 122, NULL, NULL, 17646),
(32542, '3gx8A01', NULL, NULL, 100, NULL, NULL, 17646),
(32543, '3erwC00', NULL, NULL, 145, NULL, NULL, 17646),
(32544, '5jwoB00', NULL, NULL, 99, NULL, NULL, 17646),
(32545, '2vupA00', NULL, NULL, 167, NULL, NULL, 17646),
(32546, '5d9xA01', NULL, NULL, 89, NULL, NULL, 17646),
(32547, '3kh7A00', NULL, NULL, 176, NULL, NULL, 17646),
(32548, '1u3iA01', NULL, NULL, 83, NULL, NULL, 17646),
(32549, '4mf5A01', NULL, NULL, 122, NULL, NULL, 17646),
(32550, '1t4yA01', NULL, NULL, 89, NULL, NULL, 17646),
(32551, '2dj0A01', NULL, NULL, 126, NULL, NULL, 17646),
(32552, '1senA00', NULL, NULL, 143, NULL, NULL, 17646),
(32553, '1z6mA01', NULL, NULL, 114, NULL, NULL, 17646),
(32554, '1k0dB01', NULL, NULL, 102, NULL, NULL, 17646),
(32555, '3ipzA01', NULL, NULL, 97, NULL, NULL, 17646),
(32556, '2fgxA00', NULL, NULL, 85, NULL, NULL, 17646),
(32557, '3hxsA01', NULL, NULL, 89, NULL, NULL, 17646),
(32558, '3dwvA00', NULL, NULL, 168, NULL, NULL, 17646),
(32559, '5jlyC00', NULL, NULL, 172, NULL, NULL, 17646),
(32560, '1gsuA01', NULL, NULL, 114, NULL, NULL, 17646),
(32561, '4ielB01', NULL, NULL, 82, NULL, NULL, 17646),
(32562, '5xtbF00', NULL, NULL, 83, NULL, NULL, 17646),
(32563, '3idvA01', NULL, NULL, 122, NULL, NULL, 17646),
(32564, '3s9fA00', NULL, NULL, 144, NULL, NULL, 17646),
(32565, '3idvA02', NULL, NULL, 119, NULL, NULL, 17646),
(32566, '1thxA00', NULL, NULL, 115, NULL, NULL, 17646),
(32567, '5hfiA00', NULL, NULL, 216, NULL, NULL, 17646),
(32568, '4aj8A00', NULL, NULL, 105, NULL, NULL, 17646),
(32569, '4ptsA01', NULL, NULL, 130, NULL, NULL, 17646),
(32570, '4hz4A01', NULL, NULL, 86, NULL, NULL, 17646),
(32571, '4i97A01', NULL, NULL, 77, NULL, NULL, 17646),
(32572, '2l57A00', NULL, NULL, 126, NULL, NULL, 17646),
(32573, '4mp4A01', NULL, NULL, 108, NULL, NULL, 17646),
(32574, '2e0qA00', NULL, NULL, 104, NULL, NULL, 17646),
(32575, '4wf5A00', NULL, NULL, 189, NULL, NULL, 17646),
(32576, '3or5A00', NULL, NULL, 165, NULL, NULL, 17646),
(32577, '1m7tA00', NULL, NULL, 107, NULL, NULL, 17646),
(32578, '2ywiB00', NULL, NULL, 196, NULL, NULL, 17646),
(32579, '1ttzA00', NULL, NULL, 87, NULL, NULL, 17646),
(32580, '3wgdC00', NULL, NULL, 113, NULL, NULL, 17646),
(32581, '4je1B00', NULL, NULL, 175, NULL, NULL, 17646),
(32582, '2ljkA01', NULL, NULL, 81, NULL, NULL, 17646),
(32583, '3gl5A01', NULL, NULL, 212, NULL, NULL, 17646),
(32584, '4l8eA01', NULL, NULL, 97, NULL, NULL, 17646),
(32585, '1gwcA01', NULL, NULL, 83, NULL, NULL, 17646),
(32586, '4k2dA00', NULL, NULL, 200, NULL, NULL, 17646),
(32587, '6f05A01', NULL, NULL, 85, NULL, NULL, 17646),
(32588, '1yy7A01', NULL, NULL, 108, NULL, NULL, 17646),
(32589, '3hczA00', NULL, NULL, 148, NULL, NULL, 17646),
(32590, '1v2aA01', NULL, NULL, 76, NULL, NULL, 17646),
(32591, '3gtuB01', NULL, NULL, 112, NULL, NULL, 17646),
(32592, '3ibhA01', NULL, NULL, 97, NULL, NULL, 17646),
(32593, '3cxgA00', NULL, NULL, 133, NULL, NULL, 17646),
(32594, '2e7pC00', NULL, NULL, 116, NULL, NULL, 17646),
(32595, '3uemA03', NULL, NULL, 123, NULL, NULL, 17646),
(32596, '2m72A00', NULL, NULL, 156, NULL, NULL, 17646),
(32597, '3uemA01', NULL, NULL, 114, NULL, NULL, 17646),
(32598, '3uemA02', NULL, NULL, 124, NULL, NULL, 17646),
(32599, '5iqyA01', NULL, NULL, 93, NULL, NULL, 17646),
(32600, '6i1cA00', NULL, NULL, 109, NULL, NULL, 17646),
(32601, '3ph9A00', NULL, NULL, 151, NULL, NULL, 17646),
(32602, '1gh2A00', NULL, NULL, 107, NULL, NULL, 17646),
(32603, '3rhbA00', NULL, NULL, 113, NULL, NULL, 17646),
(32604, '3f8uA01', NULL, NULL, 109, NULL, NULL, 17646),
(32605, '6gwwA01', NULL, NULL, 148, NULL, NULL, 17646);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(32606, '4ma9A00', NULL, NULL, 163, NULL, NULL, 17646),
(32607, '4z7xB00', NULL, NULL, 238, NULL, NULL, 17646),
(32608, '3mszB00', NULL, NULL, 89, NULL, NULL, 17646),
(32609, '1wmjA01', NULL, NULL, 108, NULL, NULL, 17646),
(32610, '3ic4A00', NULL, NULL, 92, NULL, NULL, 17646),
(32611, '3l78A00', NULL, NULL, 120, NULL, NULL, 17646),
(32612, '6ghfA01', NULL, NULL, 89, NULL, NULL, 17646),
(32613, '2l5lA00', NULL, NULL, 136, NULL, NULL, 17646),
(32614, '3r3eB01', NULL, NULL, 217, NULL, NULL, 17646),
(32615, '4ptsB01', NULL, NULL, 170, NULL, NULL, 17646),
(32616, '2l6cA00', NULL, NULL, 110, NULL, NULL, 17646),
(32617, '4v1ag00', NULL, NULL, 159, NULL, NULL, 17646),
(32618, '2ls5A00', NULL, NULL, 159, NULL, NULL, 17646),
(32619, '5nr1A01', NULL, NULL, 108, NULL, NULL, 17646),
(32620, '2p31A00', NULL, NULL, 155, NULL, NULL, 17646),
(32621, '4nwyC00', NULL, NULL, 134, NULL, NULL, 17646),
(32622, '5f05A01', NULL, NULL, 86, NULL, NULL, 17646),
(32623, '2wciA01', NULL, NULL, 108, NULL, NULL, 17646),
(32624, '3wgxB00', NULL, NULL, 113, NULL, NULL, 17646),
(32625, '3uarA01', NULL, NULL, 97, NULL, NULL, 17646),
(32626, '2dj1A00', NULL, NULL, 140, NULL, NULL, 17646),
(32627, '1oyjA01', NULL, NULL, 93, NULL, NULL, 17646),
(32628, '2wz9A00', NULL, NULL, 131, NULL, NULL, 17646),
(32629, '2r5gA01', NULL, NULL, 103, NULL, NULL, 17646),
(32630, '3qavA01', NULL, NULL, 79, NULL, NULL, 17646),
(32631, '5y63E00', NULL, NULL, 183, NULL, NULL, 17646),
(32632, '3lorD00', NULL, NULL, 160, NULL, NULL, 17646),
(32633, '4jbbA01', NULL, NULL, 101, NULL, NULL, 17646),
(32634, '4ikhA01', NULL, NULL, 106, NULL, NULL, 17646),
(32635, '2f51A00', NULL, NULL, 118, NULL, NULL, 17646),
(32636, '4ef0A01', NULL, NULL, 110, NULL, NULL, 17646),
(32637, '2vm1C01', NULL, NULL, 111, NULL, NULL, 17646),
(32638, '1fovA00', NULL, NULL, 82, NULL, NULL, 17646),
(32639, '2lrtA00', NULL, NULL, 152, NULL, NULL, 17646),
(32640, '3hhvA00', NULL, NULL, 110, NULL, NULL, 17646),
(32641, '4hi7B01', NULL, NULL, 80, NULL, NULL, 17646),
(32642, '3umaB00', NULL, NULL, 160, NULL, NULL, 17646),
(32643, '4mzwB01', NULL, NULL, 143, NULL, NULL, 17646),
(32644, '4mk3A01', NULL, NULL, 89, NULL, NULL, 17646),
(32645, '4oo4A00', NULL, NULL, 105, NULL, NULL, 17646),
(32646, '2jsyA00', NULL, NULL, 167, NULL, NULL, 17646),
(32647, '3rppA01', NULL, NULL, 208, NULL, NULL, 17646),
(32648, '5y4uA01', NULL, NULL, 106, NULL, NULL, 17646),
(32649, '2he3A00', NULL, NULL, 186, NULL, NULL, 17646),
(32650, '2lstA00', NULL, NULL, 130, NULL, NULL, 17646),
(32651, '2i1uA00', NULL, NULL, 121, NULL, NULL, 17646),
(32652, '5dbqA00', NULL, NULL, 109, NULL, NULL, 17646),
(32653, '2wulA01', NULL, NULL, 98, NULL, NULL, 17646),
(32654, '1r26A00', NULL, NULL, 125, NULL, NULL, 17646),
(32655, '3wywB01', NULL, NULL, 80, NULL, NULL, 17646),
(32656, '1tp9D00', NULL, NULL, 162, NULL, NULL, 17646),
(32657, '6g62A00', NULL, NULL, 115, NULL, NULL, 17646),
(32658, '3i6aB01', NULL, NULL, 113, NULL, NULL, 17646),
(32659, '1wryA00', NULL, NULL, 121, NULL, NULL, 17646),
(32660, '2vimA00', NULL, NULL, 104, NULL, NULL, 17646),
(32661, '4mcuD00', NULL, NULL, 190, NULL, NULL, 17646),
(32662, '4pomA00', NULL, NULL, 109, NULL, NULL, 17646),
(32663, '6atrA01', NULL, NULL, 112, NULL, NULL, 17646),
(32664, '2kokA00', NULL, NULL, 120, NULL, NULL, 17646),
(32665, '4zb6A01', NULL, NULL, 92, NULL, NULL, 17646),
(32666, '3razA00', NULL, NULL, 151, NULL, NULL, 17646),
(32667, '5f07A01', NULL, NULL, 85, NULL, NULL, 17646),
(32668, '1gp1A00', NULL, NULL, 198, NULL, NULL, 17646),
(32669, '4ivfF01', NULL, NULL, 115, NULL, NULL, 17646),
(32670, '4k9zA00', NULL, NULL, 151, NULL, NULL, 17646),
(32671, '2g2qB01', NULL, NULL, 115, NULL, NULL, 17646),
(32672, '1vw4400', NULL, NULL, 140, NULL, NULL, 17646),
(32673, '4f03A01', NULL, NULL, 106, NULL, NULL, 17646),
(32674, '5eckB01', NULL, NULL, 93, NULL, NULL, 17646),
(32675, '5vo7A00', NULL, NULL, 110, NULL, NULL, 17646),
(32676, '2ltkA01', NULL, NULL, 97, NULL, NULL, 17646),
(32677, '5k2iA00', NULL, NULL, 164, NULL, NULL, 17646),
(32678, '2v2gA01', NULL, NULL, 151, NULL, NULL, 17646);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(32679, '3eurA00', NULL, NULL, 142, NULL, NULL, 17646),
(32680, '1oe8A01', NULL, NULL, 83, NULL, NULL, 17646),
(32681, '4llrA00', NULL, NULL, 197, NULL, NULL, 17646),
(32682, '5u56C01', NULL, NULL, 106, NULL, NULL, 17646),
(32683, '2on5A01', NULL, NULL, 91, NULL, NULL, 17646),
(32684, '4puaA01', NULL, NULL, 145, NULL, NULL, 17646),
(32685, '1abaA00', NULL, NULL, 87, NULL, NULL, 17646),
(32686, '4kgiC01', NULL, NULL, 101, NULL, NULL, 17646),
(32687, '3touB01', NULL, NULL, 88, NULL, NULL, 17646),
(32688, '4pobA00', NULL, NULL, 117, NULL, NULL, 17646),
(32689, '3ktbA00', NULL, NULL, 106, NULL, NULL, 17646),
(32690, '4xcsB00', NULL, NULL, 176, NULL, NULL, 17646),
(32691, '4hdeA00', NULL, NULL, 170, NULL, NULL, 17646),
(32692, '2b1lA00', NULL, NULL, 129, NULL, NULL, 17646),
(32693, '4fyuA00', NULL, NULL, 145, NULL, NULL, 17646),
(32694, '4hs1A00', NULL, NULL, 85, NULL, NULL, 17646),
(32695, '1wwjA00', NULL, NULL, 105, NULL, NULL, 17646),
(32696, '6ap5A00', NULL, NULL, 115, NULL, NULL, 17646),
(32697, '4mpgB01', NULL, NULL, 104, NULL, NULL, 17646),
(32698, '2f8aB00', NULL, NULL, 185, NULL, NULL, 17646),
(32699, '4jr6B00', NULL, NULL, 198, NULL, NULL, 17646),
(32700, '3iv4A00', NULL, NULL, 112, NULL, NULL, 17646),
(32701, '1e6bA01', NULL, NULL, 85, NULL, NULL, 17646),
(32702, '6hf1A01', NULL, NULL, 130, NULL, NULL, 17646),
(32703, '1z3eA00', NULL, NULL, 132, NULL, NULL, 17646),
(32704, '1v9wA00', NULL, NULL, 130, NULL, NULL, 17646),
(32705, '6hf1A02', NULL, NULL, 108, NULL, NULL, 17646),
(32706, '1rw1A00', NULL, NULL, 114, NULL, NULL, 17646),
(32707, '3kebB00', NULL, NULL, 176, NULL, NULL, 17646),
(32708, '1psqA00', NULL, NULL, 163, NULL, NULL, 17646),
(32709, '1r7hA00', NULL, NULL, 75, NULL, NULL, 17646),
(32710, '4gf0A01', NULL, NULL, 102, NULL, NULL, 17646),
(32711, '5zwpA01', NULL, NULL, 77, NULL, NULL, 17646),
(32712, '5j7dC00', NULL, NULL, 112, NULL, NULL, 17646),
(32713, '1yq1A01', NULL, NULL, 92, NULL, NULL, 17646),
(32714, '2hnlA01', NULL, NULL, 92, NULL, NULL, 17646),
(32715, '5aykA06', NULL, NULL, 113, NULL, NULL, 17646),
(32716, '5c00D00', NULL, NULL, 208, NULL, NULL, 17646),
(32717, '5aykA05', NULL, NULL, 102, NULL, NULL, 17646),
(32718, '1f3aA01', NULL, NULL, 99, NULL, NULL, 17646),
(32719, '1jlvA01', NULL, NULL, 77, NULL, NULL, 17646),
(32720, '4chsA01', NULL, NULL, 87, NULL, NULL, 17646),
(32721, '2ws2A01', NULL, NULL, 91, NULL, NULL, 17646),
(32722, '3hd5A01', NULL, NULL, 146, NULL, NULL, 17646),
(32723, '5aykA04', NULL, NULL, 105, NULL, NULL, 17646),
(32724, '2bmxA00', NULL, NULL, 170, NULL, NULL, 17646),
(32725, '5aykA03', NULL, NULL, 116, NULL, NULL, 17646),
(32726, '1lbkA01', NULL, NULL, 99, NULL, NULL, 17646),
(32727, '4ksoB00', NULL, NULL, 102, NULL, NULL, 17646),
(32728, '1sj6A00', NULL, NULL, 101, NULL, NULL, 17646),
(32729, '1cqgA00', NULL, NULL, 105, NULL, NULL, 17646),
(32730, '5j4uA01', NULL, NULL, 99, NULL, NULL, 17646),
(32731, '5caxA00', NULL, NULL, 101, NULL, NULL, 17646),
(32732, '3rbtD01', NULL, NULL, 129, NULL, NULL, 17646),
(32733, '6g61A00', NULL, NULL, 111, NULL, NULL, 17646),
(32734, '5ucxA00', NULL, NULL, 201, NULL, NULL, 17646),
(32735, '4mh2E00', NULL, NULL, 163, NULL, NULL, 17646),
(32736, '3touA01', NULL, NULL, 111, NULL, NULL, 17646),
(32737, '3zitB00', NULL, NULL, 78, NULL, NULL, 17646),
(32738, '3ppuB01', NULL, NULL, 186, NULL, NULL, 17646),
(32739, '5f06A01', NULL, NULL, 85, NULL, NULL, 17646),
(32740, '2yoiA00', NULL, NULL, 106, NULL, NULL, 17646),
(32741, '2oe3A00', NULL, NULL, 114, NULL, NULL, 17646),
(32742, '1zl9A01', NULL, NULL, 93, NULL, NULL, 17646),
(32743, '4q5fD01', NULL, NULL, 103, NULL, NULL, 17646),
(32744, '2p0gB00', NULL, NULL, 81, NULL, NULL, 17646),
(32745, '4mpgA01', NULL, NULL, 81, NULL, NULL, 17646),
(32746, '1zofA00', NULL, NULL, 170, NULL, NULL, 17646),
(32747, '5crgA01', NULL, NULL, 126, NULL, NULL, 17646),
(32748, '5ganD00', NULL, NULL, 143, NULL, NULL, 17646),
(32749, '5fhiA01', NULL, NULL, 76, NULL, NULL, 17646),
(32750, '3apsA00', NULL, NULL, 122, NULL, NULL, 17646),
(32751, '2k6vA00', NULL, NULL, 172, NULL, NULL, 17646);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(32752, '1qgvA00', NULL, NULL, 142, NULL, NULL, 17646),
(32753, '2b7kA00', NULL, NULL, 184, NULL, NULL, 17646),
(32754, '4xvwL00', NULL, NULL, 205, NULL, NULL, 17646),
(32755, '2xhfB00', NULL, NULL, 171, NULL, NULL, 17646),
(32756, '1pmtA01', NULL, NULL, 96, NULL, NULL, 17646),
(32757, '4hojA01', NULL, NULL, 104, NULL, NULL, 17646),
(32758, '6dxnC00', NULL, NULL, 192, NULL, NULL, 17646),
(32759, '4k0nA01', NULL, NULL, 99, NULL, NULL, 17646),
(32760, '2p5qB00', NULL, NULL, 170, NULL, NULL, 17646),
(32761, '3kcmF00', NULL, NULL, 154, NULL, NULL, 17646),
(32762, '5g5aA01', NULL, NULL, 87, NULL, NULL, 17646),
(32763, '4cdoC00', NULL, NULL, 185, NULL, NULL, 17646),
(32764, '4e8hA01', NULL, NULL, 83, NULL, NULL, 17646),
(32765, '1nhyA01', NULL, NULL, 78, NULL, NULL, 17646),
(32766, '3dmlA00', NULL, NULL, 98, NULL, NULL, 17646),
(32767, '4bvxA01', NULL, NULL, 110, NULL, NULL, 17646),
(32768, '3fkfD00', NULL, NULL, 148, NULL, NULL, 17646),
(32769, '2gsrA01', NULL, NULL, 97, NULL, NULL, 17646),
(32770, '3hdcA01', NULL, NULL, 135, NULL, NULL, 17646),
(32771, '4x1uA00', NULL, NULL, 159, NULL, NULL, 17646),
(32772, '3cmiA00', NULL, NULL, 171, NULL, NULL, 17646),
(32773, '3hd5B01', NULL, NULL, 170, NULL, NULL, 17646),
(32774, '4g2eA00', NULL, NULL, 157, NULL, NULL, 17646),
(32775, '2wb9A01', NULL, NULL, 83, NULL, NULL, 17646),
(32776, '2i3yA01', NULL, NULL, 184, NULL, NULL, 17646),
(32777, '5abrA00', NULL, NULL, 104, NULL, NULL, 17646),
(32778, '6gsvA01', NULL, NULL, 112, NULL, NULL, 17646),
(32779, '2aheA01', NULL, NULL, 108, NULL, NULL, 17646),
(32780, '3f6dA01', NULL, NULL, 80, NULL, NULL, 17646),
(32781, '1nswA00', NULL, NULL, 105, NULL, NULL, 17646),
(32782, '5u56A01', NULL, NULL, 92, NULL, NULL, 17646),
(32783, '4tr3A00', NULL, NULL, 191, NULL, NULL, 17646),
(32784, '1fheA01', NULL, NULL, 107, NULL, NULL, 17646),
(32785, '3fhkA02', NULL, NULL, 120, NULL, NULL, 17646),
(32786, '4bwqC00', NULL, NULL, 142, NULL, NULL, 17646),
(32787, '6fmuA01', NULL, NULL, 105, NULL, NULL, 17646),
(32788, '3p7xB00', NULL, NULL, 166, NULL, NULL, 17646),
(32789, '5ft3B01', NULL, NULL, 80, NULL, NULL, 17646),
(32790, '1wouA00', NULL, NULL, 123, NULL, NULL, 17646),
(32791, '3isoA01', NULL, NULL, 108, NULL, NULL, 17646),
(32792, '3wd6A01', NULL, NULL, 138, NULL, NULL, 17646),
(32793, '1h75A00', NULL, NULL, 81, NULL, NULL, 17646),
(32794, '2ycdA01', NULL, NULL, 86, NULL, NULL, 17646),
(32795, '2l5oA00', NULL, NULL, 153, NULL, NULL, 17646),
(32796, '2gsqA01', NULL, NULL, 94, NULL, NULL, 17646),
(32797, '2yj7A00', NULL, NULL, 106, NULL, NULL, 17646),
(32798, '3f4sA01', NULL, NULL, 143, NULL, NULL, 17646),
(32799, '3qcpA01', NULL, NULL, 184, NULL, NULL, 17646),
(32800, '4zl8A00', NULL, NULL, 192, NULL, NULL, 17646),
(32801, '3ay8A01', NULL, NULL, 80, NULL, NULL, 17646),
(32802, '5b7cA01', NULL, NULL, 95, NULL, NULL, 17646),
(32803, '4pq1A01', NULL, NULL, 146, NULL, NULL, 17646),
(32804, '4iw9B01', NULL, NULL, 102, NULL, NULL, 17646),
(32805, '4n0vA01', NULL, NULL, 106, NULL, NULL, 17646),
(32806, '2npbA00', NULL, NULL, 96, NULL, NULL, 17646),
(32807, '4zbaA01', NULL, NULL, 92, NULL, NULL, 17646),
(32808, '4ri6A01', NULL, NULL, 87, NULL, NULL, 17646),
(32809, '5zteG00', NULL, NULL, 203, NULL, NULL, 17646),
(32810, '5hfkA01', NULL, NULL, 105, NULL, NULL, 17646),
(32811, '4hz2A01', NULL, NULL, 81, NULL, NULL, 17646),
(32812, '4pxoA01', NULL, NULL, 77, NULL, NULL, 17646),
(32813, '1jfuA00', NULL, NULL, 186, NULL, NULL, 17646),
(32814, '2yn1A00', NULL, NULL, 106, NULL, NULL, 17646),
(32815, '4bl7A01', NULL, NULL, 103, NULL, NULL, 17646),
(32816, '3hz8A00', NULL, NULL, 193, NULL, NULL, 17646),
(32817, '4f82B00', NULL, NULL, 176, NULL, NULL, 17646),
(32818, '3h1nB01', NULL, NULL, 132, NULL, NULL, 17646),
(32819, '3fk8A00', NULL, NULL, 133, NULL, NULL, 17646),
(32820, '4fquB01', NULL, NULL, 202, NULL, NULL, 17646),
(32821, '5hr3A00', NULL, NULL, 109, NULL, NULL, 17646),
(32822, '1nhoA00', NULL, NULL, 85, NULL, NULL, 17646),
(32823, '1rk4A01', NULL, NULL, 76, NULL, NULL, 17646),
(32824, '1kteA00', NULL, NULL, 105, NULL, NULL, 17646);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(32825, '2hlsA02', NULL, NULL, 102, NULL, NULL, 17646),
(32826, '5h5qA00', NULL, NULL, 169, NULL, NULL, 17646),
(32827, '2hlsA01', NULL, NULL, 121, NULL, NULL, 17646),
(32828, '4dejD01', NULL, NULL, 109, NULL, NULL, 17646),
(32829, '5w1jA01', NULL, NULL, 101, NULL, NULL, 17646),
(32830, '2znmD00', NULL, NULL, 195, NULL, NULL, 17646),
(32831, '2ggtB00', NULL, NULL, 164, NULL, NULL, 17646),
(32832, '1r5pB00', NULL, NULL, 108, NULL, NULL, 17646),
(32833, '2fwgA00', NULL, NULL, 134, NULL, NULL, 17646),
(32834, '3u5rE00', NULL, NULL, 193, NULL, NULL, 17646),
(32835, '3m0fA01', NULL, NULL, 81, NULL, NULL, 17646),
(32836, '4pqhA01', NULL, NULL, 104, NULL, NULL, 17646),
(32837, '4i6xA00', NULL, NULL, 131, NULL, NULL, 17646),
(32838, '1b48A01', NULL, NULL, 96, NULL, NULL, 17646),
(32839, '1faaA00', NULL, NULL, 124, NULL, NULL, 17646),
(32840, '1prxB01', NULL, NULL, 155, NULL, NULL, 17646),
(32841, '2hzeA00', NULL, NULL, 114, NULL, NULL, 17646),
(32842, '3tjjA00', NULL, NULL, 167, NULL, NULL, 17646),
(32843, '4huaA00', NULL, NULL, 108, NULL, NULL, 17646),
(32844, '2v1mA00', NULL, NULL, 169, NULL, NULL, 17646),
(32845, '4ekzA01', NULL, NULL, 112, NULL, NULL, 17646),
(32846, '1bjxA00', NULL, NULL, 110, NULL, NULL, 17646),
(32847, '3lwaA01', NULL, NULL, 158, NULL, NULL, 17646),
(32848, '1j9bA00', NULL, NULL, 141, NULL, NULL, 17646),
(32849, '5y9zA01', NULL, NULL, 91, NULL, NULL, 17646),
(32850, '5j9cA00', NULL, NULL, 175, NULL, NULL, 17646),
(32851, '1lu4A00', NULL, NULL, 136, NULL, NULL, 17646),
(32852, '3gl3D00', NULL, NULL, 152, NULL, NULL, 17646),
(32853, '1iloA00', NULL, NULL, 77, NULL, NULL, 17646),
(32854, '1axdA01', NULL, NULL, 82, NULL, NULL, 17646),
(32855, '5g5eA01', NULL, NULL, 81, NULL, NULL, 17646),
(32856, '3gykB00', NULL, NULL, 175, NULL, NULL, 17646),
(32857, '4id0A01', NULL, NULL, 102, NULL, NULL, 17646),
(32858, '2fnoB01', NULL, NULL, 103, NULL, NULL, 17646),
(32859, '2gdrA01', NULL, NULL, 96, NULL, NULL, 17646),
(32860, '3zywA01', NULL, NULL, 97, NULL, NULL, 17646),
(32861, '5yvnA01', NULL, NULL, 126, NULL, NULL, 17646),
(32862, '1fw1A01', NULL, NULL, 78, NULL, NULL, 17646),
(32863, '4gqcA00', NULL, NULL, 164, NULL, NULL, 17646),
(32864, '3uiwA00', NULL, NULL, 110, NULL, NULL, 17646),
(32865, '4ba7A00', NULL, NULL, 106, NULL, NULL, 17646),
(32866, '2i4aA00', NULL, NULL, 107, NULL, NULL, 17646),
(32867, '5xftA01', NULL, NULL, 90, NULL, NULL, 17646),
(32868, '1r4wA01', NULL, NULL, 208, NULL, NULL, 17646),
(32869, '2vocA00', NULL, NULL, 112, NULL, NULL, 17646),
(32870, '4nhwD01', NULL, NULL, 114, NULL, NULL, 17646),
(32871, '4kceB00', NULL, NULL, 163, NULL, NULL, 17646),
(32872, '1tw9A01', NULL, NULL, 91, NULL, NULL, 17646),
(32873, '3l4nA00', NULL, NULL, 127, NULL, NULL, 17646),
(32874, '4od7A00', NULL, NULL, 190, NULL, NULL, 17646),
(32875, '4gwrA00', NULL, NULL, 123, NULL, NULL, 17646),
(32876, '4mdcD01', NULL, NULL, 110, NULL, NULL, 17646),
(32877, '3vwxA01', NULL, NULL, 80, NULL, NULL, 17646),
(32878, '1nm3A01', NULL, NULL, 159, NULL, NULL, 17646),
(32879, '2ec4A00', NULL, NULL, 178, NULL, NULL, 17646),
(32880, '3ec3A01', NULL, NULL, 116, NULL, NULL, 17646),
(32881, '3ec3A02', NULL, NULL, 134, NULL, NULL, 17646),
(32882, '3fygA01', NULL, NULL, 99, NULL, NULL, 17646),
(32883, '2lqoA00', NULL, NULL, 92, NULL, NULL, 17646),
(32884, '3kijC00', NULL, NULL, 180, NULL, NULL, 17646),
(32885, '4l0wA00', NULL, NULL, 173, NULL, NULL, 17646),
(32886, '2mygA00', NULL, NULL, 97, NULL, NULL, 17646),
(32887, '2m46A00', NULL, NULL, 118, NULL, NULL, 17646),
(32888, '2c4jA01', NULL, NULL, 113, NULL, NULL, 17646),
(32889, '3gnjA00', NULL, NULL, 111, NULL, NULL, 17646),
(32890, '3rdwA00', NULL, NULL, 121, NULL, NULL, 17646),
(32891, '3m1gA01', NULL, NULL, 118, NULL, NULL, 17646),
(32892, '1wjkA01', NULL, NULL, 78, NULL, NULL, 17646),
(32893, '1tu7A01', NULL, NULL, 99, NULL, NULL, 17646),
(32894, '2n5fA01', NULL, NULL, 89, NULL, NULL, 17646),
(32895, '5cnwA01', NULL, NULL, 219, NULL, NULL, 17646),
(32896, '1usbA01', NULL, NULL, 103, NULL, NULL, 17646),
(32897, '3apqA02', NULL, NULL, 118, NULL, NULL, 17646);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(32898, '2vcvA01', NULL, NULL, 113, NULL, NULL, 17646),
(32899, '3einA01', NULL, NULL, 78, NULL, NULL, 17646),
(32900, '4xvwI01', NULL, NULL, 163, NULL, NULL, 17646),
(32901, '3e0uA00', NULL, NULL, 166, NULL, NULL, 17646),
(32902, '3p2aA02', NULL, NULL, 111, NULL, NULL, 17646),
(32903, '2a4vA01', NULL, NULL, 149, NULL, NULL, 17646),
(32904, '1xwaA00', NULL, NULL, 111, NULL, NULL, 17646),
(32905, '2pvqA01', NULL, NULL, 95, NULL, NULL, 17646),
(32906, '5l71A00', NULL, NULL, 171, NULL, NULL, 17646),
(32907, '4j56E00', NULL, NULL, 114, NULL, NULL, 17646),
(32908, '3zivA00', NULL, NULL, 106, NULL, NULL, 17646),
(32909, '1kngA00', NULL, NULL, 156, NULL, NULL, 17646),
(32910, '1w4vA00', NULL, NULL, 119, NULL, NULL, 17646),
(32911, '2ywmA01', NULL, NULL, 116, NULL, NULL, 17646),
(32912, '3bd2A00', NULL, NULL, 186, NULL, NULL, 17646),
(32913, '2ywmA02', NULL, NULL, 109, NULL, NULL, 17646),
(32914, '3lykB01', NULL, NULL, 92, NULL, NULL, 17646),
(32915, '3qouA01', NULL, NULL, 115, NULL, NULL, 17646),
(32916, '1nm3A02', NULL, NULL, 72, NULL, NULL, 17646),
(32917, '3ctgA00', NULL, NULL, 108, NULL, NULL, 17646),
(32918, '6gxgA00', NULL, NULL, 145, NULL, NULL, 17646),
(32919, '2lusA00', NULL, NULL, 143, NULL, NULL, 17646),
(32920, '1xw6A01', NULL, NULL, 113, NULL, NULL, 17646),
(32921, '5enuB00', NULL, NULL, 161, NULL, NULL, 17646),
(32922, '4kdxA01', NULL, NULL, 83, NULL, NULL, 17646),
(32923, '1dbyA00', NULL, NULL, 107, NULL, NULL, 17646),
(32924, '3fygB01', NULL, NULL, 99, NULL, NULL, 17646),
(32925, '3ik7A01', NULL, NULL, 100, NULL, NULL, 17646),
(32926, '2b5eA03', NULL, NULL, 127, NULL, NULL, 17646),
(32927, '2b5eA04', NULL, NULL, 140, NULL, NULL, 17646),
(32928, '2o7kA00', NULL, NULL, 107, NULL, NULL, 17646),
(32929, '3ewlB00', NULL, NULL, 142, NULL, NULL, 17646),
(32930, '2b5eA01', NULL, NULL, 122, NULL, NULL, 17646),
(32931, '3l9vC00', NULL, NULL, 189, NULL, NULL, 17646),
(32932, '4kunA00', NULL, NULL, 91, NULL, NULL, 17646),
(32933, '3gn3A00', NULL, NULL, 182, NULL, NULL, 17646),
(32934, '2b5eA02', NULL, NULL, 97, NULL, NULL, 17646),
(32935, '4dvcA00', NULL, NULL, 184, NULL, NULL, 17646),
(32936, '3me8B00', NULL, NULL, 170, NULL, NULL, 17646),
(32937, '2auvA00', NULL, NULL, 85, NULL, NULL, 17646),
(32938, '3m8nA01', NULL, NULL, 81, NULL, NULL, 17646),
(32939, '2v6kA01', NULL, NULL, 76, NULL, NULL, 17646),
(32940, '5agyA01', NULL, NULL, 87, NULL, NULL, 17646),
(32941, '1v98A00', NULL, NULL, 92, NULL, NULL, 17646),
(32942, '4yh2D01', NULL, NULL, 80, NULL, NULL, 17646),
(32943, '3iosA00', NULL, NULL, 150, NULL, NULL, 17646),
(32944, '3n5oA01', NULL, NULL, 89, NULL, NULL, 17646),
(32945, '4v1ap00', NULL, NULL, 112, NULL, NULL, 17646),
(32946, '2wrtA01', NULL, NULL, 108, NULL, NULL, 17646),
(32947, '4f9zA01', NULL, NULL, 111, NULL, NULL, 17646),
(32948, '4kndA00', NULL, NULL, 112, NULL, NULL, 17646),
(32949, '6eryA01', NULL, NULL, 94, NULL, NULL, 17646),
(32950, '4kdyB01', NULL, NULL, 80, NULL, NULL, 17646),
(32951, '3gv1A00', NULL, NULL, 147, NULL, NULL, 17646),
(32952, '1fb6A00', NULL, NULL, 105, NULL, NULL, 17646),
(32953, '1xzoB00', NULL, NULL, 174, NULL, NULL, 17646),
(32954, '4hqzA00', NULL, NULL, 141, NULL, NULL, 17646),
(32955, '3bbyA01', NULL, NULL, 85, NULL, NULL, 17646),
(32956, '2klxA00', NULL, NULL, 89, NULL, NULL, 17646),
(32957, '2vluA01', NULL, NULL, 109, NULL, NULL, 17646),
(32958, '3l9uA00', NULL, NULL, 201, NULL, NULL, 17646),
(32959, '2yv7A01', NULL, NULL, 115, NULL, NULL, 17646),
(32960, '2x64B01', NULL, NULL, 94, NULL, NULL, 17646),
(32961, '4nxiA00', NULL, NULL, 208, NULL, NULL, 17646),
(32962, '2yzhA00', NULL, NULL, 171, NULL, NULL, 17646),
(32963, '2pptA02', NULL, NULL, 109, NULL, NULL, 17646),
(32964, '1ti3A00', NULL, NULL, 113, NULL, NULL, 17646),
(32965, '4f9zA02', NULL, NULL, 116, NULL, NULL, 17646),
(32966, '1wpiA00', NULL, NULL, 133, NULL, NULL, 17646),
(32967, '4q5qA01', NULL, NULL, 114, NULL, NULL, 17646),
(32968, '6ep6A01', NULL, NULL, 87, NULL, NULL, 17646),
(32969, '1t00A00', NULL, NULL, 112, NULL, NULL, 17646),
(32970, '2dbcA00', NULL, NULL, 135, NULL, NULL, 17646);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(32971, '2c0dA00', NULL, NULL, 168, NULL, NULL, 17646),
(32972, '3hvvA00', NULL, NULL, 167, NULL, NULL, 17646),
(32973, '1un2A00', NULL, NULL, 197, NULL, NULL, 17646),
(32974, '3qpmB00', NULL, NULL, 197, NULL, NULL, 17646),
(32975, '5oomb00', NULL, NULL, 149, NULL, NULL, 17646),
(32976, '6jwkB01', NULL, NULL, 78, NULL, NULL, 17646),
(32977, '5j41A01', NULL, NULL, 100, NULL, NULL, 17646),
(32978, '3o76A01', NULL, NULL, 99, NULL, NULL, 17646),
(32979, '3ed3A01', NULL, NULL, 143, NULL, NULL, 17646),
(32980, '1xflA00', NULL, NULL, 124, NULL, NULL, 17646),
(32981, '6j3eA01', NULL, NULL, 104, NULL, NULL, 17646),
(32982, '3ghaA00', NULL, NULL, 202, NULL, NULL, 17646),
(32983, '1we0A00', NULL, NULL, 166, NULL, NULL, 17646),
(32984, '5jpoD01', NULL, NULL, 82, NULL, NULL, 17646),
(32985, '4q5rA01', NULL, NULL, 92, NULL, NULL, 17646),
(32986, '1wikA01', NULL, NULL, 97, NULL, NULL, 17646),
(32987, '2b1kA00', NULL, NULL, 150, NULL, NULL, 17646),
(32988, '2imfA00', NULL, NULL, 203, NULL, NULL, 17646),
(32989, '3iraA00', NULL, NULL, 173, NULL, NULL, 17646),
(32990, '3q18A01', NULL, NULL, 123, NULL, NULL, 17646),
(32991, '1o8xA00', NULL, NULL, 146, NULL, NULL, 17646),
(32992, '4pqiA01', NULL, NULL, 109, NULL, NULL, 17646),
(32993, '2fnoA01', NULL, NULL, 103, NULL, NULL, 17646),
(32994, '5y4tA00', NULL, NULL, 122, NULL, NULL, 17646),
(32995, '2xc2A00', NULL, NULL, 117, NULL, NULL, 17646),
(32996, '4xhmA00', NULL, NULL, 110, NULL, NULL, 17646),
(32997, '4i2uA00', NULL, NULL, 114, NULL, NULL, 17646),
(32998, '4wr4A01', NULL, NULL, 107, NULL, NULL, 17646),
(32999, '1aw9A01', NULL, NULL, 85, NULL, NULL, 17646),
(33000, '1j08A01', NULL, NULL, 117, NULL, NULL, 17646),
(33001, '4tr1A00', NULL, NULL, 92, NULL, NULL, 17646),
(33002, '1ev4A01', NULL, NULL, 99, NULL, NULL, 17646),
(33003, '5elgA01', NULL, NULL, 89, NULL, NULL, 17646),
(33004, '1j08A02', NULL, NULL, 106, NULL, NULL, 17646),
(33005, '2lv3A00', NULL, NULL, 102, NULL, NULL, 17646),
(33006, '5ey6A01', NULL, NULL, 89, NULL, NULL, 17646),
(33007, '3lszA01', NULL, NULL, 93, NULL, NULL, 17646),
(33008, '2on7A01', NULL, NULL, 91, NULL, NULL, 17646),
(33009, '4naxA01', NULL, NULL, 134, NULL, NULL, 17646),
(33010, '1vrsD00', NULL, NULL, 134, NULL, NULL, 17646),
(33011, '2kucA00', NULL, NULL, 130, NULL, NULL, 17646),
(33012, '3eviA00', NULL, NULL, 118, NULL, NULL, 17646),
(33013, '4rqrA00', NULL, NULL, 109, NULL, NULL, 17646),
(33014, '4zbdA01', NULL, NULL, 91, NULL, NULL, 17646),
(33015, '5uuoB01', NULL, NULL, 135, NULL, NULL, 17646),
(33016, '4o32C00', NULL, NULL, 93, NULL, NULL, 17646),
(33017, '3gixA00', NULL, NULL, 149, NULL, NULL, 17646),
(33018, '3u5eQ00', NULL, NULL, 186, NULL, NULL, 17647),
(33019, '1vq8L02', NULL, NULL, 99, NULL, NULL, 17647),
(33020, '1vq8O00', NULL, NULL, 116, NULL, NULL, 17647),
(33021, '4a17K02', NULL, NULL, 90, NULL, NULL, 17647),
(33022, '4a17N00', NULL, NULL, 181, NULL, NULL, 17647),
(33023, '1vx7S00', NULL, NULL, 187, NULL, NULL, 17647),
(33024, '1vx7O02', NULL, NULL, 91, NULL, NULL, 17647),
(33025, '1vwxa02', NULL, NULL, 91, NULL, NULL, 17647),
(33026, '3o58Y02', NULL, NULL, 92, NULL, NULL, 17647),
(33027, '5v7qL01', NULL, NULL, 73, NULL, NULL, 17647),
(33028, '1vwxQ00', NULL, NULL, 188, NULL, NULL, 17647),
(33029, '1vs9J01', NULL, NULL, 79, NULL, NULL, 17647),
(33030, '6em3Q00', NULL, NULL, 145, NULL, NULL, 17647),
(33031, '4bx8A04', NULL, NULL, 92, NULL, NULL, 17648),
(33032, '4jc8A04', NULL, NULL, 98, NULL, NULL, 17648),
(33033, '1jrmA00', NULL, NULL, 104, NULL, NULL, 17649),
(33034, '1n91A00', NULL, NULL, 108, NULL, NULL, 17649),
(33035, '4f5cF00', NULL, NULL, 158, NULL, NULL, 17650),
(33036, '3kbhE00', NULL, NULL, 136, NULL, NULL, 17650),
(33037, '1w5rA02', NULL, NULL, 100, NULL, NULL, 17651),
(33038, '4nv8A02', NULL, NULL, 97, NULL, NULL, 17651),
(33039, '3d9wA02', NULL, NULL, 102, NULL, NULL, 17651),
(33040, '1w4tA02', NULL, NULL, 99, NULL, NULL, 17651),
(33041, '4c5pA02', NULL, NULL, 100, NULL, NULL, 17651),
(33042, '4guzA02', NULL, NULL, 103, NULL, NULL, 17651),
(33043, '1e2tA03', NULL, NULL, 117, NULL, NULL, 17651);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(33044, '4bgfA02', NULL, NULL, 100, NULL, NULL, 17651),
(33045, '4bfaA02', NULL, NULL, 73, NULL, NULL, 17652),
(33046, '3ke4B01', NULL, NULL, 182, NULL, NULL, 17653),
(33047, '5cy5B00', NULL, NULL, 163, NULL, NULL, 17653),
(33048, '3ci3A01', NULL, NULL, 177, NULL, NULL, 17653),
(33049, '1wy1B00', NULL, NULL, 149, NULL, NULL, 17653),
(33050, '1wozA00', NULL, NULL, 159, NULL, NULL, 17653),
(33051, '6d5xA00', NULL, NULL, 172, NULL, NULL, 17653),
(33052, '4nwpD00', NULL, NULL, 150, NULL, NULL, 17653),
(33053, '1wvtA00', NULL, NULL, 151, NULL, NULL, 17653),
(33054, '5cy5A00', NULL, NULL, 149, NULL, NULL, 17653),
(33055, '1rtyA00', NULL, NULL, 172, NULL, NULL, 17653),
(33056, '2zhyC01', NULL, NULL, 167, NULL, NULL, 17653),
(33057, '2g2dA00', NULL, NULL, 165, NULL, NULL, 17653),
(33058, '2ah6B00', NULL, NULL, 162, NULL, NULL, 17653),
(33059, '1nigA00', NULL, NULL, 152, NULL, NULL, 17653),
(33060, '1nogA00', NULL, NULL, 155, NULL, NULL, 17653),
(33061, '3irpX01', NULL, NULL, 153, NULL, NULL, 17654),
(33062, '4mboA01', NULL, NULL, 158, NULL, NULL, 17654),
(33063, '4lebA01', NULL, NULL, 161, NULL, NULL, 17654),
(33064, '3v10A01', NULL, NULL, 171, NULL, NULL, 17654),
(33065, '4f27A01', NULL, NULL, 149, NULL, NULL, 17654),
(33066, '4mbrA01', NULL, NULL, 150, NULL, NULL, 17654),
(33067, '4je0B01', NULL, NULL, 155, NULL, NULL, 17654),
(33068, '2y7lA01', NULL, NULL, 161, NULL, NULL, 17654),
(33069, '3au0A01', NULL, NULL, 149, NULL, NULL, 17654),
(33070, '4b60A01', NULL, NULL, 153, NULL, NULL, 17654),
(33071, '2z1pA01', NULL, NULL, 152, NULL, NULL, 17654),
(33072, '5ihwA01', NULL, NULL, 148, NULL, NULL, 17654),
(33073, '1r17B01', NULL, NULL, 165, NULL, NULL, 17654),
(33074, '2f68X01', NULL, NULL, 143, NULL, NULL, 17654),
(33075, '5cfaA01', NULL, NULL, 165, NULL, NULL, 17654),
(33076, '1n67A01', NULL, NULL, 141, NULL, NULL, 17654),
(33077, '2k87A00', NULL, NULL, 116, NULL, NULL, 17655),
(33078, '1u5kA03', NULL, NULL, 35, NULL, NULL, 17656),
(33079, '1z9bA01', NULL, NULL, 84, NULL, NULL, 17657),
(33080, '1g7sA03', NULL, NULL, 81, NULL, NULL, 17657),
(33081, '4n3sA03', NULL, NULL, 106, NULL, NULL, 17657),
(33082, '4kjzB04', NULL, NULL, 108, NULL, NULL, 17657),
(33083, '5fg3A03', NULL, NULL, 115, NULL, NULL, 17657),
(33084, '4nclB03', NULL, NULL, 106, NULL, NULL, 17657),
(33085, '2wb6A00', NULL, NULL, 130, NULL, NULL, 17658),
(33086, '4e54B01', NULL, NULL, 85, NULL, NULL, 17659),
(33087, '6amgA00', NULL, NULL, 160, NULL, NULL, 17660),
(33088, '2je2A00', NULL, NULL, 186, NULL, NULL, 17660),
(33089, '3jsrA00', NULL, NULL, 119, NULL, NULL, 17661),
(33090, '5m2pA00', NULL, NULL, 109, NULL, NULL, 17661),
(33091, '3hzeA00', NULL, NULL, 114, NULL, NULL, 17661),
(33092, '3mogA03', NULL, NULL, 94, NULL, NULL, 17662),
(33093, '2q35A02', NULL, NULL, 47, NULL, NULL, 17663),
(33094, '4q1kB02', NULL, NULL, 49, NULL, NULL, 17663),
(33095, '1td9D01', NULL, NULL, 175, NULL, NULL, 17664),
(33096, '2af4C01', NULL, NULL, 172, NULL, NULL, 17664),
(33097, '6iowA01', NULL, NULL, 179, NULL, NULL, 17664),
(33098, '1r5jA01', NULL, NULL, 181, NULL, NULL, 17664),
(33099, '1vmiA01', NULL, NULL, 178, NULL, NULL, 17664),
(33100, '4e4rA01', NULL, NULL, 173, NULL, NULL, 17664),
(33101, '1f0lB02', NULL, NULL, 179, NULL, NULL, 17665),
(33102, '1iuzA00', NULL, NULL, 98, NULL, NULL, 17666),
(33103, '1aozA02', NULL, NULL, 206, NULL, NULL, 17666),
(33104, '1aozA03', NULL, NULL, 216, NULL, NULL, 17666),
(33105, '2wo3B00', NULL, NULL, 157, NULL, NULL, 17666),
(33106, '2hzhA02', NULL, NULL, 177, NULL, NULL, 17666),
(33107, '1v10A01', NULL, NULL, 129, NULL, NULL, 17666),
(33108, '2hzhA01', NULL, NULL, 132, NULL, NULL, 17666),
(33109, '1v10A02', NULL, NULL, 184, NULL, NULL, 17666),
(33110, '1aozA01', NULL, NULL, 130, NULL, NULL, 17666),
(33111, '2xu9A01', NULL, NULL, 134, NULL, NULL, 17666),
(33112, '2xu9A02', NULL, NULL, 177, NULL, NULL, 17666),
(33113, '1joiA00', NULL, NULL, 128, NULL, NULL, 17666),
(33114, '2xu9A03', NULL, NULL, 128, NULL, NULL, 17666),
(33115, '7pcyA00', NULL, NULL, 98, NULL, NULL, 17666),
(33116, '2hrgA03', NULL, NULL, 188, NULL, NULL, 17666);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(33117, '3erxA00', NULL, NULL, 123, NULL, NULL, 17666),
(33118, '2hrgA02', NULL, NULL, 176, NULL, NULL, 17666),
(33119, '2ov0A00', NULL, NULL, 105, NULL, NULL, 17666),
(33120, '4e9sA01', NULL, NULL, 146, NULL, NULL, 17666),
(33121, '1plaA00', NULL, NULL, 97, NULL, NULL, 17666),
(33122, '5i5mA02', NULL, NULL, 120, NULL, NULL, 17666),
(33123, '2wsdA02', NULL, NULL, 181, NULL, NULL, 17666),
(33124, '2wsdA01', NULL, NULL, 175, NULL, NULL, 17666),
(33125, '1ibyA00', NULL, NULL, 112, NULL, NULL, 17666),
(33126, '4e9sA03', NULL, NULL, 173, NULL, NULL, 17666),
(33127, '4e9sA02', NULL, NULL, 152, NULL, NULL, 17666),
(33128, '3fsaA00', NULL, NULL, 125, NULL, NULL, 17666),
(33129, '2i7sA00', NULL, NULL, 128, NULL, NULL, 17666),
(33130, '5nq8A01', NULL, NULL, 132, NULL, NULL, 17666),
(33131, '5nq8A02', NULL, NULL, 177, NULL, NULL, 17666),
(33132, '5nq8A03', NULL, NULL, 188, NULL, NULL, 17666),
(33133, '2hzhA03', NULL, NULL, 190, NULL, NULL, 17666),
(33134, '3heiB00', NULL, NULL, 132, NULL, NULL, 17666),
(33135, '3nsyA03', NULL, NULL, 178, NULL, NULL, 17666),
(33136, '3cvbA00', NULL, NULL, 105, NULL, NULL, 17666),
(33137, '3gdcA02', NULL, NULL, 130, NULL, NULL, 17666),
(33138, '1ndtA01', NULL, NULL, 151, NULL, NULL, 17666),
(33139, '3gyrA02', NULL, NULL, 204, NULL, NULL, 17666),
(33140, '3gyrA03', NULL, NULL, 215, NULL, NULL, 17666),
(33141, '3n2jA00', NULL, NULL, 128, NULL, NULL, 17666),
(33142, '1pcsA00', NULL, NULL, 98, NULL, NULL, 17666),
(33143, '4e9xA02', NULL, NULL, 162, NULL, NULL, 17666),
(33144, '3gyrA01', NULL, NULL, 193, NULL, NULL, 17666),
(33145, '2ve0A03', NULL, NULL, 185, NULL, NULL, 17666),
(33146, '3hb3B01', NULL, NULL, 171, NULL, NULL, 17666),
(33147, '4f2fA00', NULL, NULL, 100, NULL, NULL, 17666),
(33148, '4zk8A00', NULL, NULL, 306, NULL, NULL, 17666),
(33149, '2dv6A01', NULL, NULL, 113, NULL, NULL, 17666),
(33150, '2dv6A02', NULL, NULL, 311, NULL, NULL, 17666),
(33151, '6im8A03', NULL, NULL, 175, NULL, NULL, 17666),
(33152, '5o4iB02', NULL, NULL, 137, NULL, NULL, 17666),
(33153, '1v10A03', NULL, NULL, 187, NULL, NULL, 17666),
(33154, '2iwkA02', NULL, NULL, 124, NULL, NULL, 17666),
(33155, '2yxwB03', NULL, NULL, 139, NULL, NULL, 17666),
(33156, '2yevB02', NULL, NULL, 226, NULL, NULL, 17666),
(33157, '3ziyA02', NULL, NULL, 173, NULL, NULL, 17666),
(33158, '6ri6A02', NULL, NULL, 180, NULL, NULL, 17666),
(33159, '6ri6A01', NULL, NULL, 133, NULL, NULL, 17666),
(33160, '5n0kA04', NULL, NULL, 152, NULL, NULL, 17666),
(33161, '5n0kA03', NULL, NULL, 206, NULL, NULL, 17666),
(33162, '5n0kA06', NULL, NULL, 158, NULL, NULL, 17666),
(33163, '1ws8A00', NULL, NULL, 109, NULL, NULL, 17666),
(33164, '3ziyA01', NULL, NULL, 159, NULL, NULL, 17666),
(33165, '1mzyA01', NULL, NULL, 152, NULL, NULL, 17666),
(33166, '5n0kA05', NULL, NULL, 183, NULL, NULL, 17666),
(33167, '1gycA02', NULL, NULL, 177, NULL, NULL, 17666),
(33168, '1mzyA02', NULL, NULL, 181, NULL, NULL, 17666),
(33169, '1gycA01', NULL, NULL, 132, NULL, NULL, 17666),
(33170, '5a7eA03', NULL, NULL, 188, NULL, NULL, 17666),
(33171, '3ef4A00', NULL, NULL, 124, NULL, NULL, 17666),
(33172, '5a7eA01', NULL, NULL, 132, NULL, NULL, 17666),
(33173, '1gycA03', NULL, NULL, 190, NULL, NULL, 17666),
(33174, '5a7eA02', NULL, NULL, 176, NULL, NULL, 17666),
(33175, '1bxvA00', NULL, NULL, 91, NULL, NULL, 17666),
(33176, '4dp9X00', NULL, NULL, 99, NULL, NULL, 17666),
(33177, '4uf7E00', NULL, NULL, 153, NULL, NULL, 17666),
(33178, '1cyxA00', NULL, NULL, 172, NULL, NULL, 17666),
(33179, '5nq7A03', NULL, NULL, 188, NULL, NULL, 17666),
(33180, '2gsmB02', NULL, NULL, 153, NULL, NULL, 17666),
(33181, '5nq7A02', NULL, NULL, 177, NULL, NULL, 17666),
(33182, '5ehfA01', NULL, NULL, 132, NULL, NULL, 17666),
(33183, '5ehfA02', NULL, NULL, 179, NULL, NULL, 17666),
(33184, '5ehfA03', NULL, NULL, 186, NULL, NULL, 17666),
(33185, '5n0kA02', NULL, NULL, 150, NULL, NULL, 17666),
(33186, '5n0kA01', NULL, NULL, 191, NULL, NULL, 17666),
(33187, '1kyaA03', NULL, NULL, 190, NULL, NULL, 17666),
(33188, '5fc9A00', NULL, NULL, 95, NULL, NULL, 17666),
(33189, '1kyaA01', NULL, NULL, 132, NULL, NULL, 17666);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(33190, '3ay2A00', NULL, NULL, 126, NULL, NULL, 17666),
(33191, '1kyaA02', NULL, NULL, 177, NULL, NULL, 17666),
(33192, '2cbpA00', NULL, NULL, 96, NULL, NULL, 17666),
(33193, '2cakA00', NULL, NULL, 154, NULL, NULL, 17666),
(33194, '1fwxA02', NULL, NULL, 121, NULL, NULL, 17666),
(33195, '4rh4A00', NULL, NULL, 123, NULL, NULL, 17666),
(33196, '4jhvA02', NULL, NULL, 176, NULL, NULL, 17666),
(33197, '4jhvA01', NULL, NULL, 132, NULL, NULL, 17666),
(33198, '2ccwA00', NULL, NULL, 129, NULL, NULL, 17666),
(33199, '5o4iA01', NULL, NULL, 146, NULL, NULL, 17666),
(33200, '5z1xA02', NULL, NULL, 177, NULL, NULL, 17666),
(33201, '5z1xA01', NULL, NULL, 132, NULL, NULL, 17666),
(33202, '5akrA02', NULL, NULL, 167, NULL, NULL, 17666),
(33203, '5z1xA03', NULL, NULL, 186, NULL, NULL, 17666),
(33204, '1pmyA00', NULL, NULL, 123, NULL, NULL, 17666),
(33205, '4bxsV02', NULL, NULL, 128, NULL, NULL, 17666),
(33206, '4bxsV01', NULL, NULL, 178, NULL, NULL, 17666),
(33207, '3t9wA01', NULL, NULL, 139, NULL, NULL, 17666),
(33208, '1nwpA00', NULL, NULL, 128, NULL, NULL, 17666),
(33209, '3t9wA02', NULL, NULL, 134, NULL, NULL, 17666),
(33210, '3kw7A02', NULL, NULL, 177, NULL, NULL, 17666),
(33211, '3aw5A03', NULL, NULL, 145, NULL, NULL, 17666),
(33212, '3kw7A01', NULL, NULL, 132, NULL, NULL, 17666),
(33213, '4jhvA03', NULL, NULL, 188, NULL, NULL, 17666),
(33214, '3kw7A03', NULL, NULL, 193, NULL, NULL, 17666),
(33215, '9pcyA00', NULL, NULL, 99, NULL, NULL, 17666),
(33216, '3zx1A03', NULL, NULL, 150, NULL, NULL, 17666),
(33217, '4gybA01', NULL, NULL, 149, NULL, NULL, 17666),
(33218, '3zx1A02', NULL, NULL, 161, NULL, NULL, 17666),
(33219, '4bxsV05', NULL, NULL, 149, NULL, NULL, 17666),
(33220, '3zx1A01', NULL, NULL, 170, NULL, NULL, 17666),
(33221, '3aw5A02', NULL, NULL, 178, NULL, NULL, 17666),
(33222, '4bxsV04', NULL, NULL, 173, NULL, NULL, 17666),
(33223, '3aw5A01', NULL, NULL, 125, NULL, NULL, 17666),
(33224, '4bxsV03', NULL, NULL, 354, NULL, NULL, 17666),
(33225, '5u7nB00', NULL, NULL, 124, NULL, NULL, 17666),
(33226, '5zlmA03', NULL, NULL, 157, NULL, NULL, 17666),
(33227, '2iaaC00', NULL, NULL, 128, NULL, NULL, 17666),
(33228, '5e9nA03', NULL, NULL, 182, NULL, NULL, 17666),
(33229, '2q9oA01', NULL, NULL, 158, NULL, NULL, 17666),
(33230, '2q9oA03', NULL, NULL, 217, NULL, NULL, 17666),
(33231, '2q9oA02', NULL, NULL, 184, NULL, NULL, 17666),
(33232, '4n8uA01', NULL, NULL, 149, NULL, NULL, 17666),
(33233, '4kocA00', NULL, NULL, 128, NULL, NULL, 17666),
(33234, '4f7kA03', NULL, NULL, 151, NULL, NULL, 17666),
(33235, '4f7kA02', NULL, NULL, 148, NULL, NULL, 17666),
(33236, '4f7kA01', NULL, NULL, 126, NULL, NULL, 17666),
(33237, '4f2eA00', NULL, NULL, 98, NULL, NULL, 17666),
(33238, '2xybA01', NULL, NULL, 132, NULL, NULL, 17666),
(33239, '2r7eA02', NULL, NULL, 144, NULL, NULL, 17666),
(33240, '3sbqA02', NULL, NULL, 120, NULL, NULL, 17666),
(33241, '2r7eA04', NULL, NULL, 159, NULL, NULL, 17666),
(33242, '2r7eA03', NULL, NULL, 189, NULL, NULL, 17666),
(33243, '5b1aB02', NULL, NULL, 136, NULL, NULL, 17666),
(33244, '2xybA03', NULL, NULL, 188, NULL, NULL, 17666),
(33245, '2xybA02', NULL, NULL, 177, NULL, NULL, 17666),
(33246, '2ft6A00', NULL, NULL, 124, NULL, NULL, 17666),
(33247, '4yseA01', NULL, NULL, 148, NULL, NULL, 17666),
(33248, '3x1bA03', NULL, NULL, 190, NULL, NULL, 17666),
(33249, '4yseA02', NULL, NULL, 167, NULL, NULL, 17666),
(33250, '2bw4A01', NULL, NULL, 158, NULL, NULL, 17666),
(33251, '3g5wA01', NULL, NULL, 155, NULL, NULL, 17666),
(33252, '3x1bA02', NULL, NULL, 178, NULL, NULL, 17666),
(33253, '3g5wA02', NULL, NULL, 163, NULL, NULL, 17666),
(33254, '3x1bA01', NULL, NULL, 132, NULL, NULL, 17666),
(33255, '5tb7B00', NULL, NULL, 337, NULL, NULL, 17666),
(33256, '3njnA00', NULL, NULL, 119, NULL, NULL, 17666),
(33257, '4knuA01', NULL, NULL, 126, NULL, NULL, 17666),
(33258, '4knuA02', NULL, NULL, 159, NULL, NULL, 17666),
(33259, '5tk4A00', NULL, NULL, 100, NULL, NULL, 17666),
(33260, '3u25A00', NULL, NULL, 127, NULL, NULL, 17666),
(33261, '2qt6A03', NULL, NULL, 190, NULL, NULL, 17666),
(33262, '2qt6A02', NULL, NULL, 176, NULL, NULL, 17666);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(33263, '2qt6A01', NULL, NULL, 132, NULL, NULL, 17666),
(33264, '3abgA02', NULL, NULL, 153, NULL, NULL, 17666),
(33265, '5z62B02', NULL, NULL, 136, NULL, NULL, 17666),
(33266, '4n8uB02', NULL, NULL, 132, NULL, NULL, 17666),
(33267, '3sqrA01', NULL, NULL, 151, NULL, NULL, 17666),
(33268, '3sqrA02', NULL, NULL, 192, NULL, NULL, 17666),
(33269, '1qhqA00', NULL, NULL, 140, NULL, NULL, 17666),
(33270, '3sqrA03', NULL, NULL, 200, NULL, NULL, 17666),
(33271, '4w9zA00', NULL, NULL, 139, NULL, NULL, 17666),
(33272, '1x9uA00', NULL, NULL, 116, NULL, NULL, 17666),
(33273, '3kw8A02', NULL, NULL, 133, NULL, NULL, 17666),
(33274, '6giqb02', NULL, NULL, 140, NULL, NULL, 17666),
(33275, '3divA01', NULL, NULL, 132, NULL, NULL, 17666),
(33276, '6iqxA02', NULL, NULL, 198, NULL, NULL, 17666),
(33277, '3divA02', NULL, NULL, 177, NULL, NULL, 17666),
(33278, '6iqxA01', NULL, NULL, 203, NULL, NULL, 17666),
(33279, '3divA03', NULL, NULL, 190, NULL, NULL, 17666),
(33280, '6iqxA03', NULL, NULL, 137, NULL, NULL, 17666),
(33281, '1id2A00', NULL, NULL, 106, NULL, NULL, 17666),
(33282, '2calA00', NULL, NULL, 154, NULL, NULL, 17666),
(33283, '1kbvA02', NULL, NULL, 167, NULL, NULL, 17666),
(33284, '1kbvA01', NULL, NULL, 156, NULL, NULL, 17666),
(33285, '1oe1A02', NULL, NULL, 167, NULL, NULL, 17666),
(33286, '1oe1A01', NULL, NULL, 152, NULL, NULL, 17666),
(33287, '3d12B00', NULL, NULL, 141, NULL, NULL, 17666),
(33288, '4w1tA01', NULL, NULL, 150, NULL, NULL, 17666),
(33289, '2cuaB00', NULL, NULL, 135, NULL, NULL, 17666),
(33290, '3abgB01', NULL, NULL, 162, NULL, NULL, 17666),
(33291, '3abgB03', NULL, NULL, 186, NULL, NULL, 17666),
(33292, '1aizA00', NULL, NULL, 129, NULL, NULL, 17666),
(33293, '1hfuA01', NULL, NULL, 132, NULL, NULL, 17666),
(33294, '3gdcB01', NULL, NULL, 158, NULL, NULL, 17666),
(33295, '1hfuA02', NULL, NULL, 180, NULL, NULL, 17666),
(33296, '1hfuA03', NULL, NULL, 190, NULL, NULL, 17666),
(33297, '2pltA00', NULL, NULL, 98, NULL, NULL, 17666),
(33298, '2uxtA03', NULL, NULL, 133, NULL, NULL, 17666),
(33299, '2uxtA02', NULL, NULL, 181, NULL, NULL, 17666),
(33300, '4e9xB01', NULL, NULL, 155, NULL, NULL, 17666),
(33301, '2uxtA01', NULL, NULL, 137, NULL, NULL, 17666),
(33302, '3cdzA01', NULL, NULL, 190, NULL, NULL, 17666),
(33303, '1sddA01', NULL, NULL, 181, NULL, NULL, 17666),
(33304, '1sddA02', NULL, NULL, 125, NULL, NULL, 17666),
(33305, '2aanA00', NULL, NULL, 123, NULL, NULL, 17666),
(33306, '3tu6A00', NULL, NULL, 127, NULL, NULL, 17666),
(33307, '5ztdA00', NULL, NULL, 124, NULL, NULL, 17666),
(33308, '1f56A00', NULL, NULL, 91, NULL, NULL, 17666),
(33309, '1cuoA00', NULL, NULL, 129, NULL, NULL, 17666),
(33310, '5lwxA01', NULL, NULL, 149, NULL, NULL, 17666),
(33311, '5lwxA02', NULL, NULL, 191, NULL, NULL, 17666),
(33312, '1b3iA00', NULL, NULL, 97, NULL, NULL, 17666),
(33313, '1zpuA02', NULL, NULL, 180, NULL, NULL, 17666),
(33314, '4bdvB01', NULL, NULL, 179, NULL, NULL, 17666),
(33315, '1zpuA01', NULL, NULL, 126, NULL, NULL, 17666),
(33316, '5lwxA03', NULL, NULL, 214, NULL, NULL, 17666),
(33317, '1zpuA03', NULL, NULL, 198, NULL, NULL, 17666),
(33318, '6evgA01', NULL, NULL, 132, NULL, NULL, 17666),
(33319, '6evgA02', NULL, NULL, 166, NULL, NULL, 17666),
(33320, '6evgA03', NULL, NULL, 146, NULL, NULL, 17666),
(33321, '2gimA00', NULL, NULL, 106, NULL, NULL, 17666),
(33322, '1pf3A03', NULL, NULL, 182, NULL, NULL, 17666),
(33323, '4enzA01', NULL, NULL, 192, NULL, NULL, 17666),
(33324, '4enzA02', NULL, NULL, 150, NULL, NULL, 17666),
(33325, '2r7eB02', NULL, NULL, 146, NULL, NULL, 17666),
(33326, '4enzA03', NULL, NULL, 211, NULL, NULL, 17666),
(33327, '6f5kA03', NULL, NULL, 217, NULL, NULL, 17666),
(33328, '2vmjA01', NULL, NULL, 145, NULL, NULL, 17666),
(33329, '6f5kA02', NULL, NULL, 184, NULL, NULL, 17666),
(33330, '6f5kA01', NULL, NULL, 158, NULL, NULL, 17666),
(33331, '1rkrA00', NULL, NULL, 129, NULL, NULL, 17666),
(33332, '3tasA02', NULL, NULL, 161, NULL, NULL, 17666),
(33333, '4enzA04', NULL, NULL, 152, NULL, NULL, 17666),
(33334, '1jerA00', NULL, NULL, 110, NULL, NULL, 17666),
(33335, '4enzA05', NULL, NULL, 185, NULL, NULL, 17666);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(33336, '4enzA06', NULL, NULL, 156, NULL, NULL, 17666),
(33337, '3tasA01', NULL, NULL, 152, NULL, NULL, 17666),
(33338, '5anhA02', NULL, NULL, 176, NULL, NULL, 17666),
(33339, '3pxlA01', NULL, NULL, 132, NULL, NULL, 17666),
(33340, '3pxlA03', NULL, NULL, 190, NULL, NULL, 17666),
(33341, '3pxlA02', NULL, NULL, 177, NULL, NULL, 17666),
(33342, '1sddB02', NULL, NULL, 140, NULL, NULL, 17666),
(33343, '1sddB01', NULL, NULL, 186, NULL, NULL, 17666),
(33344, '4w1tC02', NULL, NULL, 143, NULL, NULL, 17666),
(33345, '2zooA01', NULL, NULL, 319, NULL, NULL, 17666),
(33346, '4dp1X00', NULL, NULL, 99, NULL, NULL, 17666),
(33347, '1qniF02', NULL, NULL, 130, NULL, NULL, 17666),
(33348, '1shxA00', NULL, NULL, 138, NULL, NULL, 17666),
(33349, '1bypA00', NULL, NULL, 99, NULL, NULL, 17666),
(33350, '3ppsA03', NULL, NULL, 222, NULL, NULL, 17666),
(33351, '1kdjA00', NULL, NULL, 102, NULL, NULL, 17666),
(33352, '3t6vA03', NULL, NULL, 182, NULL, NULL, 17666),
(33353, '2h5uA02', NULL, NULL, 177, NULL, NULL, 17666),
(33354, '3t6vA02', NULL, NULL, 180, NULL, NULL, 17666),
(33355, '1ag6A00', NULL, NULL, 99, NULL, NULL, 17666),
(33356, '3ppsA01', NULL, NULL, 159, NULL, NULL, 17666),
(33357, '3t6vA01', NULL, NULL, 133, NULL, NULL, 17666),
(33358, '3ppsA02', NULL, NULL, 183, NULL, NULL, 17666),
(33359, '2o70B00', NULL, NULL, 174, NULL, NULL, 17667),
(33360, '2o8iA00', NULL, NULL, 165, NULL, NULL, 17667),
(33361, '3o7iA00', NULL, NULL, 166, NULL, NULL, 17667),
(33362, '2q37A00', NULL, NULL, 156, NULL, NULL, 17667),
(33363, '4mveA00', NULL, NULL, 151, NULL, NULL, 17668),
(33364, '1n5uA03', NULL, NULL, 92, NULL, NULL, 17669),
(33365, '4f5sA01', NULL, NULL, 107, NULL, NULL, 17669),
(33366, '4f5sA02', NULL, NULL, 89, NULL, NULL, 17669),
(33367, '1n5uA02', NULL, NULL, 90, NULL, NULL, 17669),
(33368, '1n5uA01', NULL, NULL, 103, NULL, NULL, 17669),
(33369, '4f5sA05', NULL, NULL, 112, NULL, NULL, 17669),
(33370, '4f5sA06', NULL, NULL, 78, NULL, NULL, 17669),
(33371, '4f5sA03', NULL, NULL, 92, NULL, NULL, 17669),
(33372, '4f5sA04', NULL, NULL, 86, NULL, NULL, 17669),
(33373, '1n5uA05', NULL, NULL, 112, NULL, NULL, 17669),
(33374, '1n5uA04', NULL, NULL, 86, NULL, NULL, 17669),
(33375, '5oswA06', NULL, NULL, 78, NULL, NULL, 17669),
(33376, '5oswA05', NULL, NULL, 112, NULL, NULL, 17669),
(33377, '5oswA04', NULL, NULL, 86, NULL, NULL, 17669),
(33378, '5oswA03', NULL, NULL, 92, NULL, NULL, 17669),
(33379, '5oswA02', NULL, NULL, 89, NULL, NULL, 17669),
(33380, '5oswA01', NULL, NULL, 107, NULL, NULL, 17669),
(33381, '3sqjA06', NULL, NULL, 80, NULL, NULL, 17669),
(33382, '1kxpD04', NULL, NULL, 77, NULL, NULL, 17669),
(33383, '4zbqA01', NULL, NULL, 107, NULL, NULL, 17669),
(33384, '1kxpD05', NULL, NULL, 61, NULL, NULL, 17669),
(33385, '4zbqA02', NULL, NULL, 89, NULL, NULL, 17669),
(33386, '1kxpD02', NULL, NULL, 88, NULL, NULL, 17669),
(33387, '4zbqA03', NULL, NULL, 92, NULL, NULL, 17669),
(33388, '1kxpD03', NULL, NULL, 88, NULL, NULL, 17669),
(33389, '1kxpD01', NULL, NULL, 105, NULL, NULL, 17669),
(33390, '5ghkA04', NULL, NULL, 86, NULL, NULL, 17669),
(33391, '5ghkA05', NULL, NULL, 112, NULL, NULL, 17669),
(33392, '5ghkA06', NULL, NULL, 78, NULL, NULL, 17669),
(33393, '5ghkA01', NULL, NULL, 107, NULL, NULL, 17669),
(33394, '5ghkA02', NULL, NULL, 90, NULL, NULL, 17669),
(33395, '5ghkA03', NULL, NULL, 92, NULL, NULL, 17669),
(33396, '4zbqA04', NULL, NULL, 86, NULL, NULL, 17669),
(33397, '4zbqA05', NULL, NULL, 112, NULL, NULL, 17669),
(33398, '4zbqA06', NULL, NULL, 78, NULL, NULL, 17669),
(33399, '3v09A03', NULL, NULL, 92, NULL, NULL, 17669),
(33400, '3v09A04', NULL, NULL, 86, NULL, NULL, 17669),
(33401, '3v09A05', NULL, NULL, 112, NULL, NULL, 17669),
(33402, '3v09A06', NULL, NULL, 78, NULL, NULL, 17669),
(33403, '4luhA06', NULL, NULL, 78, NULL, NULL, 17669),
(33404, '3v09A01', NULL, NULL, 107, NULL, NULL, 17669),
(33405, '4k71A06', NULL, NULL, 75, NULL, NULL, 17669),
(33406, '3v09A02', NULL, NULL, 90, NULL, NULL, 17669),
(33407, '5yxeA06', NULL, NULL, 78, NULL, NULL, 17669),
(33408, '5yxeA04', NULL, NULL, 86, NULL, NULL, 17669),
(33409, '5yxeA05', NULL, NULL, 112, NULL, NULL, 17669);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(33410, '5yxeA02', NULL, NULL, 90, NULL, NULL, 17669),
(33411, '5yxeA03', NULL, NULL, 92, NULL, NULL, 17669),
(33412, '5yxeA01', NULL, NULL, 107, NULL, NULL, 17669),
(33413, '5e1vB00', NULL, NULL, 274, NULL, NULL, 17670),
(33414, '3kg7C00', NULL, NULL, 293, NULL, NULL, 17670),
(33415, '3kg6B00', NULL, NULL, 285, NULL, NULL, 17670),
(33416, '5o16B00', NULL, NULL, 293, NULL, NULL, 17670),
(33417, '2vz8A04', NULL, NULL, 254, NULL, NULL, 17670),
(33418, '4ln9A00', NULL, NULL, 299, NULL, NULL, 17670),
(33419, '3el6A00', NULL, NULL, 288, NULL, NULL, 17670),
(33420, '5kbzB00', NULL, NULL, 332, NULL, NULL, 17670),
(33421, '5tz5A00', NULL, NULL, 296, NULL, NULL, 17670),
(33422, '5njiA00', NULL, NULL, 296, NULL, NULL, 17670),
(33423, '4u3vA00', NULL, NULL, 263, NULL, NULL, 17670),
(33424, '5bp3B00', NULL, NULL, 305, NULL, NULL, 17670),
(33425, '5o15B00', NULL, NULL, 294, NULL, NULL, 17670),
(33426, '4kc5C03', NULL, NULL, 306, NULL, NULL, 17670),
(33427, '5kkuD00', NULL, NULL, 300, NULL, NULL, 17670),
(33428, '3hrpA02', NULL, NULL, 304, NULL, NULL, 17671),
(33429, '2ojhA00', NULL, NULL, 280, NULL, NULL, 17671),
(33430, '4o5sB00', NULL, NULL, 337, NULL, NULL, 17671),
(33431, '6f0qA00', NULL, NULL, 256, NULL, NULL, 17671),
(33432, '1pjxA00', NULL, NULL, 314, NULL, NULL, 17671),
(33433, '1ijqA01', NULL, NULL, 262, NULL, NULL, 17671),
(33434, '4gn8A00', NULL, NULL, 299, NULL, NULL, 17671),
(33435, '2fp8B00', NULL, NULL, 322, NULL, NULL, 17671),
(33436, '2p4oA01', NULL, NULL, 292, NULL, NULL, 17671),
(33437, '3v64C02', NULL, NULL, 307, NULL, NULL, 17671),
(33438, '3dasA00', NULL, NULL, 347, NULL, NULL, 17671),
(33439, '3tc9A02', NULL, NULL, 323, NULL, NULL, 17671),
(33440, '3a9gA00', NULL, NULL, 354, NULL, NULL, 17671),
(33441, '4a0pA02', NULL, NULL, 335, NULL, NULL, 17671),
(33442, '3q6kA00', NULL, NULL, 381, NULL, NULL, 17671),
(33443, '5gtqA00', NULL, NULL, 311, NULL, NULL, 17671),
(33444, '4a0pA01', NULL, NULL, 293, NULL, NULL, 17671),
(33445, '2g8sB00', NULL, NULL, 353, NULL, NULL, 17671),
(33446, '3sreA00', NULL, NULL, 339, NULL, NULL, 17671),
(33447, '1h6lA00', NULL, NULL, 353, NULL, NULL, 17671),
(33448, '2ghsA00', NULL, NULL, 295, NULL, NULL, 17671),
(33449, '1q7fB00', NULL, NULL, 286, NULL, NULL, 17671),
(33450, '3fvzA00', NULL, NULL, 329, NULL, NULL, 17671),
(33451, '3kyaA02', NULL, NULL, 367, NULL, NULL, 17671),
(33452, '4pwzA02', NULL, NULL, 266, NULL, NULL, 17671),
(33453, '3e5zA00', NULL, NULL, 296, NULL, NULL, 17671),
(33454, '3dr2A00', NULL, NULL, 305, NULL, NULL, 17671),
(33455, '1npeA00', NULL, NULL, 267, NULL, NULL, 17671),
(33456, '3g4eA00', NULL, NULL, 297, NULL, NULL, 17671),
(33457, '1cruA00', NULL, NULL, 454, NULL, NULL, 17671),
(33458, '4hw6A02', NULL, NULL, 327, NULL, NULL, 17671),
(33459, '3i1cA00', NULL, NULL, 324, NULL, NULL, 17671),
(33460, '3amrA00', NULL, NULL, 355, NULL, NULL, 17671),
(33461, '3sovA01', NULL, NULL, 262, NULL, NULL, 17671),
(33462, '2hqsA02', NULL, NULL, 272, NULL, NULL, 17671),
(33463, '2dg1C00', NULL, NULL, 333, NULL, NULL, 17671),
(33464, '1rwiA00', NULL, NULL, 270, NULL, NULL, 17671),
(33465, '2qe8A00', NULL, NULL, 343, NULL, NULL, 17671),
(33466, '2ismA00', NULL, NULL, 333, NULL, NULL, 17671),
(33467, '3s94B02', NULL, NULL, 318, NULL, NULL, 17671),
(33468, '1wlfA02', NULL, NULL, 82, NULL, NULL, 17672),
(33469, '2jv2A00', NULL, NULL, 83, NULL, NULL, 17672),
(33470, '4rv0G02', NULL, NULL, 82, NULL, NULL, 17672),
(33471, '3qwzA02', NULL, NULL, 101, NULL, NULL, 17672),
(33472, '2yujA02', NULL, NULL, 75, NULL, NULL, 17672),
(33473, '5b6cA02', NULL, NULL, 85, NULL, NULL, 17672),
(33474, '1zc1A02', NULL, NULL, 77, NULL, NULL, 17672),
(33475, '1cz4A02', NULL, NULL, 81, NULL, NULL, 17672),
(33476, '2m3xA01', NULL, NULL, 82, NULL, NULL, 17672),
(33477, '1qcsA02', NULL, NULL, 112, NULL, NULL, 17672),
(33478, '1cr5B02', NULL, NULL, 104, NULL, NULL, 17672),
(33479, '3u61A01', NULL, NULL, 33, NULL, NULL, 17673),
(33480, '1chkA02', NULL, NULL, 95, NULL, NULL, 17674),
(33481, '4oltA02', NULL, NULL, 95, NULL, NULL, 17674),
(33482, '5hwaA01', NULL, NULL, 147, NULL, NULL, 17674); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(33483, '4ilyA02', NULL, NULL, 95, NULL, NULL, 17674),
(33484, '2k35A00', NULL, NULL, 60, NULL, NULL, 17675),
(33485, '2ln8A00', NULL, NULL, 75, NULL, NULL, 17675),
(33486, '2kr1A00', NULL, NULL, 64, NULL, NULL, 17676),
(33487, '4au7A02', NULL, NULL, 145, NULL, NULL, 17677),
(33488, '5lszA00', NULL, NULL, 278, NULL, NULL, 17677),
(33489, '4ynmB00', NULL, NULL, 226, NULL, NULL, 17677),
(33490, '4mi0A00', NULL, NULL, 210, NULL, NULL, 17677),
(33491, '4wuyA01', NULL, NULL, 95, NULL, NULL, 17677),
(33492, '4ijdA01', NULL, NULL, 183, NULL, NULL, 17677),
(33493, '4qenA03', NULL, NULL, 263, NULL, NULL, 17677),
(33494, '4c1qA00', NULL, NULL, 175, NULL, NULL, 17677),
(33495, '6p0rB00', NULL, NULL, 242, NULL, NULL, 17677),
(33496, '4yz8A00', NULL, NULL, 217, NULL, NULL, 17677),
(33497, '3dalA00', NULL, NULL, 196, NULL, NULL, 17677),
(33498, '3s8pA02', NULL, NULL, 145, NULL, NULL, 17677),
(33499, '6a5kA03', NULL, NULL, 293, NULL, NULL, 17677),
(33500, '2qpwA01', NULL, NULL, 126, NULL, NULL, 17677),
(33501, '2rfiB00', NULL, NULL, 258, NULL, NULL, 17677),
(33502, '5f5eA00', NULL, NULL, 158, NULL, NULL, 17677),
(33503, '3f9xD00', NULL, NULL, 166, NULL, NULL, 17677),
(33504, '5vacA00', NULL, NULL, 229, NULL, NULL, 17677),
(33505, '4rz0A00', NULL, NULL, 146, NULL, NULL, 17677),
(33506, '3ep0A00', NULL, NULL, 129, NULL, NULL, 17677),
(33507, '3n71A01', NULL, NULL, 93, NULL, NULL, 17677),
(33508, '3db5A00', NULL, NULL, 151, NULL, NULL, 17677),
(33509, '5f6kC00', NULL, NULL, 159, NULL, NULL, 17677),
(33510, '3ooiA00', NULL, NULL, 232, NULL, NULL, 17677),
(33511, '3bo5A00', NULL, NULL, 290, NULL, NULL, 17677),
(33512, '3ihxC01', NULL, NULL, 139, NULL, NULL, 17677),
(33513, '1ml9A00', NULL, NULL, 302, NULL, NULL, 17677),
(33514, '4ldgA00', NULL, NULL, 240, NULL, NULL, 17677),
(33515, '5lsuB00', NULL, NULL, 228, NULL, NULL, 17677),
(33516, '3qwwA01', NULL, NULL, 95, NULL, NULL, 17677),
(33517, '5v37A01', NULL, NULL, 138, NULL, NULL, 17677),
(33518, '1mvhA00', NULL, NULL, 270, NULL, NULL, 17677),
(33519, '3kmaA00', NULL, NULL, 119, NULL, NULL, 17677),
(33520, '2f69A02', NULL, NULL, 143, NULL, NULL, 17677),
(33521, '3rq4A02', NULL, NULL, 147, NULL, NULL, 17677),
(33522, '5vscA00', NULL, NULL, 275, NULL, NULL, 17677),
(33523, '4nj5A02', NULL, NULL, 292, NULL, NULL, 17677),
(33524, '5tegA00', NULL, NULL, 160, NULL, NULL, 17677),
(33525, '4z4pA00', NULL, NULL, 166, NULL, NULL, 17677),
(33526, '6chgC00', NULL, NULL, 153, NULL, NULL, 17677),
(33527, '3rayA00', NULL, NULL, 164, NULL, NULL, 17677),
(33528, '4p1wE00', NULL, NULL, 151, NULL, NULL, 17678),
(33529, '4xotA03', NULL, NULL, 86, NULL, NULL, 17679),
(33530, '3gmxA00', NULL, NULL, 154, NULL, NULL, 17680),
(33531, '3gmvX00', NULL, NULL, 156, NULL, NULL, 17680),
(33532, '3j7a400', NULL, NULL, 82, NULL, NULL, 17681),
(33533, '5optS00', NULL, NULL, 86, NULL, NULL, 17681),
(33534, '6g5ib00', NULL, NULL, 84, NULL, NULL, 17681),
(33535, '5xxub00', NULL, NULL, 82, NULL, NULL, 17681),
(33536, '6az1c00', NULL, NULL, 86, NULL, NULL, 17681),
(33537, '5xyib00', NULL, NULL, 86, NULL, NULL, 17681),
(33538, '2xzm600', NULL, NULL, 81, NULL, NULL, 17681),
(33539, '6faib00', NULL, NULL, 82, NULL, NULL, 17681),
(33540, '1qxfA00', NULL, NULL, 66, NULL, NULL, 17681),
(33541, '3l4bH02', NULL, NULL, 101, NULL, NULL, 17682),
(33542, '4gx0B03', NULL, NULL, 78, NULL, NULL, 17682),
(33543, '4gx0B05', NULL, NULL, 86, NULL, NULL, 17682),
(33544, '2bkoA02', NULL, NULL, 88, NULL, NULL, 17682),
(33545, '4j91C02', NULL, NULL, 85, NULL, NULL, 17682),
(33546, '2aefA03', NULL, NULL, 80, NULL, NULL, 17682),
(33547, '4g65A04', NULL, NULL, 92, NULL, NULL, 17682),
(33548, '4g65B02', NULL, NULL, 93, NULL, NULL, 17682),
(33549, '4j9vB04', NULL, NULL, 92, NULL, NULL, 17682),
(33550, '4xttA00', NULL, NULL, 85, NULL, NULL, 17682),
(33551, '5f29B00', NULL, NULL, 73, NULL, NULL, 17682),
(33552, '3jxoA00', NULL, NULL, 86, NULL, NULL, 17682),
(33553, '3m4yA01', NULL, NULL, 50, NULL, NULL, 17683),
(33554, '3fy6D01', NULL, NULL, 116, NULL, NULL, 17684),
(33555, '5b2nA00', NULL, NULL, 279, NULL, NULL, 17685),
(33556, '1uazA00', NULL, NULL, 236, NULL, NULL, 17685);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(33557, '3oduB01', NULL, NULL, 277, NULL, NULL, 17685),
(33558, '4hyjA00', NULL, NULL, 241, NULL, NULL, 17685),
(33559, '4qi1A00', NULL, NULL, 238, NULL, NULL, 17685),
(33560, '4ea3B02', NULL, NULL, 285, NULL, NULL, 17685),
(33561, '6b73B00', NULL, NULL, 281, NULL, NULL, 17685),
(33562, '4ldeA02', NULL, NULL, 291, NULL, NULL, 17685),
(33563, '1h2sA00', NULL, NULL, 225, NULL, NULL, 17685),
(33564, '5azdB00', NULL, NULL, 252, NULL, NULL, 17685),
(33565, '2z73B01', NULL, NULL, 346, NULL, NULL, 17685),
(33566, '4buoA00', NULL, NULL, 335, NULL, NULL, 17685),
(33567, '2jafA00', NULL, NULL, 253, NULL, NULL, 17685),
(33568, '5ax0A00', NULL, NULL, 244, NULL, NULL, 17685),
(33569, '4mbsA00', NULL, NULL, 346, NULL, NULL, 17685),
(33570, '3pblB01', NULL, NULL, 281, NULL, NULL, 17685),
(33571, '4jq6B00', NULL, NULL, 235, NULL, NULL, 17685),
(33572, '5b0wD00', NULL, NULL, 274, NULL, NULL, 17685),
(33573, '5tgzA01', NULL, NULL, 305, NULL, NULL, 17685),
(33574, '3uonA01', NULL, NULL, 289, NULL, NULL, 17685),
(33575, '1u19B00', NULL, NULL, 349, NULL, NULL, 17685),
(33576, '4klyB00', NULL, NULL, 238, NULL, NULL, 17685),
(33577, '4k5yA01', NULL, NULL, 264, NULL, NULL, 17685),
(33578, '3kj6A00', NULL, NULL, 274, NULL, NULL, 17685),
(33579, '1c8rA00', NULL, NULL, 231, NULL, NULL, 17685),
(33580, '2ks9A00', NULL, NULL, 364, NULL, NULL, 17685),
(33581, '4jkvB02', NULL, NULL, 366, NULL, NULL, 17685),
(33582, '1xioA00', NULL, NULL, 226, NULL, NULL, 17685),
(33583, '2rh1A01', NULL, NULL, 282, NULL, NULL, 17685),
(33584, '2lnlA00', NULL, NULL, 309, NULL, NULL, 17685),
(33585, '5zimA00', NULL, NULL, 228, NULL, NULL, 17685),
(33586, '5lweA00', NULL, NULL, 310, NULL, NULL, 17685),
(33587, '4bv0A00', NULL, NULL, 338, NULL, NULL, 17685),
(33588, '4l35A00', NULL, NULL, 250, NULL, NULL, 17685),
(33589, '3am6A00', NULL, NULL, 229, NULL, NULL, 17685),
(33590, '4fbzA00', NULL, NULL, 241, NULL, NULL, 17685),
(33591, '4xtlA00', NULL, NULL, 288, NULL, NULL, 17685),
(33592, '4eiyA01', NULL, NULL, 298, NULL, NULL, 17685),
(33593, '4pxkA00', NULL, NULL, 238, NULL, NULL, 17685),
(33594, '4iarA01', NULL, NULL, 295, NULL, NULL, 17685),
(33595, '4xt1A00', NULL, NULL, 296, NULL, NULL, 17685),
(33596, '3ug9A02', NULL, NULL, 233, NULL, NULL, 17685),
(33597, '5c1mA00', NULL, NULL, 296, NULL, NULL, 17685),
(33598, '3v2yA01', NULL, NULL, 302, NULL, NULL, 17685),
(33599, '3s8fB01', NULL, NULL, 46, NULL, NULL, 17685),
(33600, '4x1hA00', NULL, NULL, 326, NULL, NULL, 17685),
(33601, '4bvnA00', NULL, NULL, 315, NULL, NULL, 17685),
(33602, '6gyhA00', NULL, NULL, 236, NULL, NULL, 17685),
(33603, '4knfC00', NULL, NULL, 240, NULL, NULL, 17685),
(33604, '4grvA01', NULL, NULL, 301, NULL, NULL, 17685),
(33605, '4l6rA02', NULL, NULL, 319, NULL, NULL, 17685),
(33606, '3rzeA01', NULL, NULL, 292, NULL, NULL, 17685),
(33607, '4ib4A01', NULL, NULL, 302, NULL, NULL, 17685),
(33608, '4n6hA02', NULL, NULL, 286, NULL, NULL, 17685),
(33609, '2l6xA00', NULL, NULL, 243, NULL, NULL, 17685),
(33610, '4dajA01', NULL, NULL, 265, NULL, NULL, 17685),
(33611, '3ddlB00', NULL, NULL, 273, NULL, NULL, 17685),
(33612, '3wqjA00', NULL, NULL, 240, NULL, NULL, 17685),
(33613, '6d9hR00', NULL, NULL, 297, NULL, NULL, 17685),
(33614, '3vw7A01', NULL, NULL, 295, NULL, NULL, 17685),
(33615, '3ghmA03', NULL, NULL, 154, NULL, NULL, 17686),
(33616, '2etnA02', NULL, NULL, 74, NULL, NULL, 17687),
(33617, '2f23A02', NULL, NULL, 74, NULL, NULL, 17687),
(33618, '2pn0A02', NULL, NULL, 94, NULL, NULL, 17687),
(33619, '1grjA02', NULL, NULL, 83, NULL, NULL, 17687),
(33620, '3bmbA02', NULL, NULL, 92, NULL, NULL, 17687),
(33621, '3gtyX02', NULL, NULL, 84, NULL, NULL, 17687),
(33622, '2p4vA02', NULL, NULL, 82, NULL, NULL, 17687),
(33623, '3lazA01', NULL, NULL, 79, NULL, NULL, 17688),
(33624, '3k3sH01', NULL, NULL, 83, NULL, NULL, 17688),
(33625, '4cc0B02', NULL, NULL, 46, NULL, NULL, 17689),
(33626, '4xbmA02', NULL, NULL, 46, NULL, NULL, 17689),
(33627, '4g6uA01', NULL, NULL, 88, NULL, NULL, 17690),
(33628, '3g4nA01', NULL, NULL, 90, NULL, NULL, 17691),
(33629, '1bcpC01', NULL, NULL, 89, NULL, NULL, 17691);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(33630, '1bcpB01', NULL, NULL, 86, NULL, NULL, 17691),
(33631, '2vlaA02', NULL, NULL, 87, NULL, NULL, 17692),
(33632, '3ah5B00', NULL, NULL, 216, NULL, NULL, 17693),
(33633, '4p5aC00', NULL, NULL, 239, NULL, NULL, 17693),
(33634, '3n3yC00', NULL, NULL, 216, NULL, NULL, 17693),
(33635, '4gt9A00', NULL, NULL, 232, NULL, NULL, 17693),
(33636, '4fzbC01', NULL, NULL, 168, NULL, NULL, 17693),
(33637, '4xpkA00', NULL, NULL, 163, NULL, NULL, 17694),
(33638, '1yreC00', NULL, NULL, 197, NULL, NULL, 17694),
(33639, '2arhA01', NULL, NULL, 158, NULL, NULL, 17694),
(33640, '3f8kA00', NULL, NULL, 160, NULL, NULL, 17694),
(33641, '2aj6A00', NULL, NULL, 130, NULL, NULL, 17694),
(33642, '2z10A00', NULL, NULL, 194, NULL, NULL, 17694),
(33643, '2qecA00', NULL, NULL, 204, NULL, NULL, 17694),
(33644, '2g0bH01', NULL, NULL, 185, NULL, NULL, 17694),
(33645, '2fckA00', NULL, NULL, 181, NULL, NULL, 17694),
(33646, '2ozgA01', NULL, NULL, 128, NULL, NULL, 17694),
(33647, '2ozgA02', NULL, NULL, 164, NULL, NULL, 17694),
(33648, '2pdoA01', NULL, NULL, 126, NULL, NULL, 17694),
(33649, '1ro5A01', NULL, NULL, 187, NULL, NULL, 17694),
(33650, '3efaA00', NULL, NULL, 147, NULL, NULL, 17694),
(33651, '2hv2B01', NULL, NULL, 99, NULL, NULL, 17694),
(33652, '4avaA02', NULL, NULL, 188, NULL, NULL, 17694),
(33653, '3i3gA00', NULL, NULL, 143, NULL, NULL, 17694),
(33654, '4zbgA00', NULL, NULL, 172, NULL, NULL, 17694),
(33655, '2cy2A00', NULL, NULL, 174, NULL, NULL, 17694),
(33656, '2jdcA00', NULL, NULL, 146, NULL, NULL, 17694),
(33657, '1rxtC02', NULL, NULL, 195, NULL, NULL, 17694),
(33658, '1i12D00', NULL, NULL, 160, NULL, NULL, 17694),
(33659, '2r7hB00', NULL, NULL, 159, NULL, NULL, 17694),
(33660, '1y9kB00', NULL, NULL, 157, NULL, NULL, 17694),
(33661, '1rxtC01', NULL, NULL, 140, NULL, NULL, 17694),
(33662, '5jphC00', NULL, NULL, 144, NULL, NULL, 17694),
(33663, '2b5gA00', NULL, NULL, 171, NULL, NULL, 17694),
(33664, '4rs2A00', NULL, NULL, 188, NULL, NULL, 17694),
(33665, '4pv6A00', NULL, NULL, 162, NULL, NULL, 17694),
(33666, '2d4pA00', NULL, NULL, 141, NULL, NULL, 17694),
(33667, '1iykA01', NULL, NULL, 147, NULL, NULL, 17694),
(33668, '4h89A00', NULL, NULL, 173, NULL, NULL, 17694),
(33669, '1iykA02', NULL, NULL, 245, NULL, NULL, 17694),
(33670, '3eo4D00', NULL, NULL, 164, NULL, NULL, 17694),
(33671, '4ab7H02', NULL, NULL, 163, NULL, NULL, 17694),
(33672, '4xnhB00', NULL, NULL, 238, NULL, NULL, 17694),
(33673, '3sxnA02', NULL, NULL, 156, NULL, NULL, 17694),
(33674, '3sxnA01', NULL, NULL, 139, NULL, NULL, 17694),
(33675, '2r1iA01', NULL, NULL, 130, NULL, NULL, 17694),
(33676, '2i79D00', NULL, NULL, 172, NULL, NULL, 17694),
(33677, '6bffA00', NULL, NULL, 178, NULL, NULL, 17694),
(33678, '3d8pB00', NULL, NULL, 163, NULL, NULL, 17694),
(33679, '4fd4A00', NULL, NULL, 217, NULL, NULL, 17694),
(33680, '2hv2A03', NULL, NULL, 149, NULL, NULL, 17694),
(33681, '3fixA00', NULL, NULL, 165, NULL, NULL, 17694),
(33682, '2hv2A01', NULL, NULL, 99, NULL, NULL, 17694),
(33683, '3owcB00', NULL, NULL, 188, NULL, NULL, 17694),
(33684, '1y7rA00', NULL, NULL, 133, NULL, NULL, 17694),
(33685, '1iicA02', NULL, NULL, 248, NULL, NULL, 17694),
(33686, '1iicA01', NULL, NULL, 173, NULL, NULL, 17694),
(33687, '3f5bA00', NULL, NULL, 182, NULL, NULL, 17694),
(33688, '3dsbA01', NULL, NULL, 105, NULL, NULL, 17694),
(33689, '1q2yA00', NULL, NULL, 140, NULL, NULL, 17694),
(33690, '4k30A00', NULL, NULL, 160, NULL, NULL, 17694),
(33691, '3fxtA00', NULL, NULL, 93, NULL, NULL, 17694),
(33692, '2p0wA02', NULL, NULL, 133, NULL, NULL, 17694),
(33693, '4nf1D00', NULL, NULL, 150, NULL, NULL, 17694),
(33694, '3ld2B00', NULL, NULL, 165, NULL, NULL, 17694),
(33695, '3qb8A00', NULL, NULL, 197, NULL, NULL, 17694),
(33696, '1yghA00', NULL, NULL, 164, NULL, NULL, 17694),
(33697, '1wwzA00', NULL, NULL, 159, NULL, NULL, 17694),
(33698, '3t90A00', NULL, NULL, 149, NULL, NULL, 17694),
(33699, '2cntA00', NULL, NULL, 160, NULL, NULL, 17694),
(33700, '5f47B00', NULL, NULL, 157, NULL, NULL, 17694),
(33701, '4xnhC00', NULL, NULL, 176, NULL, NULL, 17694),
(33702, '1nslA00', NULL, NULL, 184, NULL, NULL, 17694);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(33703, '4r3lA00', NULL, NULL, 173, NULL, NULL, 17694),
(33704, '3igrA00', NULL, NULL, 184, NULL, NULL, 17694),
(33705, '1vhsA00', NULL, NULL, 175, NULL, NULL, 17694),
(33706, '5ib0A00', NULL, NULL, 137, NULL, NULL, 17694),
(33707, '5vd6A00', NULL, NULL, 162, NULL, NULL, 17694),
(33708, '1n71B00', NULL, NULL, 180, NULL, NULL, 17694),
(33709, '3juwA00', NULL, NULL, 175, NULL, NULL, 17694),
(33710, '3gkrA02', NULL, NULL, 165, NULL, NULL, 17694),
(33711, '2jlmA00', NULL, NULL, 182, NULL, NULL, 17694),
(33712, '3n7zA01', NULL, NULL, 136, NULL, NULL, 17694),
(33713, '3n7zA02', NULL, NULL, 157, NULL, NULL, 17694),
(33714, '2pq8A02', NULL, NULL, 146, NULL, NULL, 17694),
(33715, '1y7rB00', NULL, NULL, 133, NULL, NULL, 17694),
(33716, '5ix3A00', NULL, NULL, 168, NULL, NULL, 17694),
(33717, '2prbA00', NULL, NULL, 196, NULL, NULL, 17694),
(33718, '4kvmE00', NULL, NULL, 156, NULL, NULL, 17694),
(33719, '3gkrA01', NULL, NULL, 165, NULL, NULL, 17694),
(33720, '5k9nB00', NULL, NULL, 216, NULL, NULL, 17694),
(33721, '2atrA00', NULL, NULL, 138, NULL, NULL, 17694),
(33722, '2vzyC00', NULL, NULL, 218, NULL, NULL, 17694),
(33723, '2o28A01', NULL, NULL, 161, NULL, NULL, 17694),
(33724, '3p2hA00', NULL, NULL, 201, NULL, NULL, 17694),
(33725, '1tiqA00', NULL, NULL, 180, NULL, NULL, 17694),
(33726, '3ey5A01', NULL, NULL, 160, NULL, NULL, 17694),
(33727, '1xebA00', NULL, NULL, 150, NULL, NULL, 17694),
(33728, '3tthB00', NULL, NULL, 170, NULL, NULL, 17694),
(33729, '1rxtA01', NULL, NULL, 123, NULL, NULL, 17694),
(33730, '6bvcA00', NULL, NULL, 154, NULL, NULL, 17694),
(33731, '2fe7B00', NULL, NULL, 166, NULL, NULL, 17694),
(33732, '5dwmB00', NULL, NULL, 187, NULL, NULL, 17694),
(33733, '1kzfA00', NULL, NULL, 210, NULL, NULL, 17694),
(33734, '1yk3B00', NULL, NULL, 210, NULL, NULL, 17694),
(33735, '4ri1C00', NULL, NULL, 186, NULL, NULL, 17694),
(33736, '4bmhA00', NULL, NULL, 207, NULL, NULL, 17694),
(33737, '2ou2A02', NULL, NULL, 135, NULL, NULL, 17694),
(33738, '2fsrA00', NULL, NULL, 195, NULL, NULL, 17694),
(33739, '3d2mA02', NULL, NULL, 150, NULL, NULL, 17694),
(33740, '5ls7B00', NULL, NULL, 137, NULL, NULL, 17694),
(33741, '2ae6A00', NULL, NULL, 166, NULL, NULL, 17694),
(33742, '3h4qA00', NULL, NULL, 188, NULL, NULL, 17694),
(33743, '4ag7A01', NULL, NULL, 149, NULL, NULL, 17694),
(33744, '1s7kA00', NULL, NULL, 182, NULL, NULL, 17694),
(33745, '1qstA00', NULL, NULL, 160, NULL, NULL, 17694),
(33746, '2zw5A01', NULL, NULL, 182, NULL, NULL, 17694),
(33747, '3fynA00', NULL, NULL, 176, NULL, NULL, 17694),
(33748, '2g3aA02', NULL, NULL, 105, NULL, NULL, 17694),
(33749, '2fl4A02', NULL, NULL, 106, NULL, NULL, 17694),
(33750, '3n7zB01', NULL, NULL, 136, NULL, NULL, 17694),
(33751, '5hmnB00', NULL, NULL, 159, NULL, NULL, 17694),
(33752, '3mgdB00', NULL, NULL, 157, NULL, NULL, 17694),
(33753, '4hkfA00', NULL, NULL, 191, NULL, NULL, 17694),
(33754, '2wpwC00', NULL, NULL, 339, NULL, NULL, 17694),
(33755, '3g8wB00', NULL, NULL, 169, NULL, NULL, 17694),
(33756, '1z4rA00', NULL, NULL, 168, NULL, NULL, 17694),
(33757, '3dnsA00', NULL, NULL, 135, NULL, NULL, 17694),
(33758, '4fd5A00', NULL, NULL, 222, NULL, NULL, 17694),
(33759, '1gheA00', NULL, NULL, 177, NULL, NULL, 17694),
(33760, '5fvjA00', NULL, NULL, 166, NULL, NULL, 17694),
(33761, '2pc1A00', NULL, NULL, 201, NULL, NULL, 17694),
(33762, '3d3sA00', NULL, NULL, 164, NULL, NULL, 17694),
(33763, '1yvkA00', NULL, NULL, 163, NULL, NULL, 17694),
(33764, '4ollA02', NULL, NULL, 191, NULL, NULL, 17694),
(33765, '2hqyA02', NULL, NULL, 168, NULL, NULL, 17694),
(33766, '2hqyA01', NULL, NULL, 137, NULL, NULL, 17694),
(33767, '5icwB00', NULL, NULL, 182, NULL, NULL, 17694),
(33768, '3exnA00', NULL, NULL, 160, NULL, NULL, 17694),
(33769, '2ozhA01', NULL, NULL, 133, NULL, NULL, 17694),
(33770, '5z6nB00', NULL, NULL, 153, NULL, NULL, 17694),
(33771, '6ao7A00', NULL, NULL, 162, NULL, NULL, 17694),
(33772, '4uwjA02', NULL, NULL, 248, NULL, NULL, 17694),
(33773, '4jxqA00', NULL, NULL, 186, NULL, NULL, 17694),
(33774, '4uwjA01', NULL, NULL, 159, NULL, NULL, 17694),
(33775, '2q7bA00', NULL, NULL, 165, NULL, NULL, 17694);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(33776, '5isvA00', NULL, NULL, 165, NULL, NULL, 17694),
(33777, '3c26A00', NULL, NULL, 266, NULL, NULL, 17694),
(33778, '3s6kA02', NULL, NULL, 151, NULL, NULL, 17694),
(33779, '2kcwA00', NULL, NULL, 147, NULL, NULL, 17694),
(33780, '3zj0A00', NULL, NULL, 206, NULL, NULL, 17694),
(33781, '1m4iB00', NULL, NULL, 181, NULL, NULL, 17694),
(33782, '3fncB00', NULL, NULL, 163, NULL, NULL, 17694),
(33783, '2hv2F01', NULL, NULL, 99, NULL, NULL, 17694),
(33784, '3n7zC01', NULL, NULL, 136, NULL, NULL, 17694),
(33785, '2fiwA00', NULL, NULL, 172, NULL, NULL, 17694),
(33786, '1vkcA01', NULL, NULL, 148, NULL, NULL, 17694),
(33787, '2ge3A00', NULL, NULL, 170, NULL, NULL, 17694),
(33788, '2qmlA00', NULL, NULL, 198, NULL, NULL, 17694),
(33789, '2ganA01', NULL, NULL, 145, NULL, NULL, 17694),
(33790, '1u6mA00', NULL, NULL, 199, NULL, NULL, 17694),
(33791, '1qsmD00', NULL, NULL, 152, NULL, NULL, 17694),
(33792, '4h6zA02', NULL, NULL, 139, NULL, NULL, 17694),
(33793, '5nnpF00', NULL, NULL, 178, NULL, NULL, 17694),
(33794, '4e2aA00', NULL, NULL, 171, NULL, NULL, 17694),
(33795, '3blnA00', NULL, NULL, 143, NULL, NULL, 17694),
(33796, '2ft0A00', NULL, NULL, 235, NULL, NULL, 17694),
(33797, '4fd7A00', NULL, NULL, 238, NULL, NULL, 17694),
(33798, '2vezA01', NULL, NULL, 162, NULL, NULL, 17694),
(33799, '3s6fA00', NULL, NULL, 145, NULL, NULL, 17694),
(33800, '2i00A02', NULL, NULL, 159, NULL, NULL, 17694),
(33801, '1yr0A00', NULL, NULL, 175, NULL, NULL, 17694),
(33802, '5i0cA00', NULL, NULL, 93, NULL, NULL, 17694),
(33803, '4my0A02', NULL, NULL, 140, NULL, NULL, 17694),
(33804, '5jtfB00', NULL, NULL, 179, NULL, NULL, 17694),
(33805, '3tt2A00', NULL, NULL, 330, NULL, NULL, 17694),
(33806, '6d72A00', NULL, NULL, 184, NULL, NULL, 17694),
(33807, '2fiaB00', NULL, NULL, 162, NULL, NULL, 17694),
(33808, '4y49B00', NULL, NULL, 169, NULL, NULL, 17694),
(33809, '3shpA00', NULL, NULL, 176, NULL, NULL, 17694),
(33810, '2hv2E01', NULL, NULL, 99, NULL, NULL, 17694),
(33811, '1mk4A00', NULL, NULL, 157, NULL, NULL, 17694),
(33812, '4j3gA00', NULL, NULL, 164, NULL, NULL, 17694),
(33813, '3n7zD01', NULL, NULL, 136, NULL, NULL, 17694),
(33814, '5jq4A00', NULL, NULL, 146, NULL, NULL, 17694),
(33815, '3frmA00', NULL, NULL, 254, NULL, NULL, 17694),
(33816, '3to7A02', NULL, NULL, 135, NULL, NULL, 17694),
(33817, '3ec4B00', NULL, NULL, 228, NULL, NULL, 17694),
(33818, '2dxqA00', NULL, NULL, 150, NULL, NULL, 17694),
(33819, '2q0yA01', NULL, NULL, 138, NULL, NULL, 17694),
(33820, '3w6sC00', NULL, NULL, 225, NULL, NULL, 17694),
(33821, '3r1kA02', NULL, NULL, 158, NULL, NULL, 17694),
(33822, '3lodA00', NULL, NULL, 162, NULL, NULL, 17694),
(33823, '3jvnA00', NULL, NULL, 136, NULL, NULL, 17694),
(33824, '3r1kA01', NULL, NULL, 137, NULL, NULL, 17694),
(33825, '3gy9A00', NULL, NULL, 150, NULL, NULL, 17694),
(33826, '4ua3A00', NULL, NULL, 194, NULL, NULL, 17694),
(33827, '4qc6A00', NULL, NULL, 179, NULL, NULL, 17694),
(33828, '6cy6A00', NULL, NULL, 186, NULL, NULL, 17694),
(33829, '4kvxB00', NULL, NULL, 156, NULL, NULL, 17694),
(33830, '4mi4B00', NULL, NULL, 171, NULL, NULL, 17694),
(33831, '4e8oB00', NULL, NULL, 148, NULL, NULL, 17694),
(33832, '5c82A00', NULL, NULL, 190, NULL, NULL, 17694),
(33833, '4m3sA00', NULL, NULL, 162, NULL, NULL, 17694),
(33834, '2ob0C01', NULL, NULL, 166, NULL, NULL, 17694),
(33835, '3t9yA00', NULL, NULL, 150, NULL, NULL, 17694),
(33836, '1s3zA00', NULL, NULL, 147, NULL, NULL, 17694),
(33837, '4pswA02', NULL, NULL, 133, NULL, NULL, 17694),
(33838, '5ktaA00', NULL, NULL, 188, NULL, NULL, 17694),
(33839, '5gi7A00', NULL, NULL, 215, NULL, NULL, 17694),
(33840, '2oh1C00', NULL, NULL, 179, NULL, NULL, 17694),
(33841, '1cjwA00', NULL, NULL, 166, NULL, NULL, 17694),
(33842, '2pr1A00', NULL, NULL, 163, NULL, NULL, 17694),
(33843, '4luaA00', NULL, NULL, 167, NULL, NULL, 17694),
(33844, '3s6gA02', NULL, NULL, 146, NULL, NULL, 17694),
(33845, '2g3tB00', NULL, NULL, 179, NULL, NULL, 17694),
(33846, '2zpaA03', NULL, NULL, 204, NULL, NULL, 17694),
(33847, '2hv2D01', NULL, NULL, 99, NULL, NULL, 17694),
(33848, '5jq4B00', NULL, NULL, 146, NULL, NULL, 17694);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(33849, '4iusA00', NULL, NULL, 261, NULL, NULL, 17694),
(33850, '3e0kA00', NULL, NULL, 150, NULL, NULL, 17694),
(33851, '4evyA00', NULL, NULL, 147, NULL, NULL, 17694),
(33852, '1y9wA01', NULL, NULL, 104, NULL, NULL, 17694),
(33853, '3iwgA02', NULL, NULL, 140, NULL, NULL, 17694),
(33854, '3n7zE01', NULL, NULL, 136, NULL, NULL, 17694),
(33855, '1lrzA02', NULL, NULL, 207, NULL, NULL, 17694),
(33856, '3fbuA00', NULL, NULL, 168, NULL, NULL, 17694),
(33857, '3pp9B00', NULL, NULL, 187, NULL, NULL, 17694),
(33858, '1ufhA00', NULL, NULL, 155, NULL, NULL, 17694),
(33859, '3dddA01', NULL, NULL, 130, NULL, NULL, 17694),
(33860, '2euiA01', NULL, NULL, 141, NULL, NULL, 17694),
(33861, '4nxyA00', NULL, NULL, 176, NULL, NULL, 17694),
(33862, '1z4eA00', NULL, NULL, 153, NULL, NULL, 17694),
(33863, '2q04F00', NULL, NULL, 211, NULL, NULL, 17694),
(33864, '3dr6B00', NULL, NULL, 174, NULL, NULL, 17694),
(33865, '4my0C01', NULL, NULL, 143, NULL, NULL, 17694),
(33866, '2i00C01', NULL, NULL, 152, NULL, NULL, 17694),
(33867, '5jphA00', NULL, NULL, 144, NULL, NULL, 17694),
(33868, '4kvxA00', NULL, NULL, 156, NULL, NULL, 17694),
(33869, '1cm0A00', NULL, NULL, 168, NULL, NULL, 17694),
(33870, '4m85C00', NULL, NULL, 186, NULL, NULL, 17694),
(33871, '1r57A00', NULL, NULL, 102, NULL, NULL, 17694),
(33872, '2ozuA02', NULL, NULL, 147, NULL, NULL, 17694),
(33873, '1p0hA00', NULL, NULL, 318, NULL, NULL, 17694),
(33874, '3tcvA00', NULL, NULL, 222, NULL, NULL, 17694),
(33875, '2hv2C01', NULL, NULL, 99, NULL, NULL, 17694),
(33876, '4yfjB00', NULL, NULL, 161, NULL, NULL, 17694),
(33877, '2j8mB00', NULL, NULL, 172, NULL, NULL, 17694),
(33878, '3n7zF01', NULL, NULL, 136, NULL, NULL, 17694),
(33879, '2beiB00', NULL, NULL, 170, NULL, NULL, 17694),
(33880, '1yx0A00', NULL, NULL, 159, NULL, NULL, 17694),
(33881, '1sqhA02', NULL, NULL, 131, NULL, NULL, 17694),
(33882, '1sqhA01', NULL, NULL, 181, NULL, NULL, 17694),
(33883, '2reeA00', NULL, NULL, 224, NULL, NULL, 17694),
(33884, '2vi7C00', NULL, NULL, 177, NULL, NULL, 17694),
(33885, '1lrzA01', NULL, NULL, 157, NULL, NULL, 17694),
(33886, '4b5oA00', NULL, NULL, 200, NULL, NULL, 17694),
(33887, '3r96B00', NULL, NULL, 188, NULL, NULL, 17694),
(33888, '1y9kA01', NULL, NULL, 113, NULL, NULL, 17694),
(33889, '4mbuA00', NULL, NULL, 166, NULL, NULL, 17694),
(33890, '3g3sA02', NULL, NULL, 133, NULL, NULL, 17694),
(33891, '3pzjB00', NULL, NULL, 189, NULL, NULL, 17694),
(33892, '4e0aA00', NULL, NULL, 164, NULL, NULL, 17694),
(33893, '3i9sA00', NULL, NULL, 161, NULL, NULL, 17694),
(33894, '5jphB00', NULL, NULL, 144, NULL, NULL, 17694),
(33895, '6c9mB00', NULL, NULL, 161, NULL, NULL, 17694),
(33896, '4qusB00', NULL, NULL, 149, NULL, NULL, 17694),
(33897, '1xmtA00', NULL, NULL, 103, NULL, NULL, 17694),
(33898, '1s2xA00', NULL, NULL, 186, NULL, NULL, 17695),
(33899, '3mp7B00', NULL, NULL, 61, NULL, NULL, 17696),
(33900, '3jc2200', NULL, NULL, 62, NULL, NULL, 17696),
(33901, '1rh5B00', NULL, NULL, 74, NULL, NULL, 17696),
(33902, '4k7bA00', NULL, NULL, 124, NULL, NULL, 17697),
(33903, '1vajA02', NULL, NULL, 74, NULL, NULL, 17698),
(33904, '1zq7A02', NULL, NULL, 73, NULL, NULL, 17698),
(33905, '1wscA02', NULL, NULL, 76, NULL, NULL, 17698),
(33906, '1js8B02', NULL, NULL, 105, NULL, NULL, 17699),
(33907, '1lnlA02', NULL, NULL, 101, NULL, NULL, 17699),
(33908, '3qjoA02', NULL, NULL, 112, NULL, NULL, 17699),
(33909, '1jqoA03', NULL, NULL, 137, NULL, NULL, 17700),
(33910, '2yk0A03', NULL, NULL, 227, NULL, NULL, 17701),
(33911, '2ex3B01', NULL, NULL, 96, NULL, NULL, 17702),
(33912, '3pieC05', NULL, NULL, 172, NULL, NULL, 17703),
(33913, '5b1aF00', NULL, NULL, 98, NULL, NULL, 17704),
(33914, '5z62F00', NULL, NULL, 98, NULL, NULL, 17704),
(33915, '6a02A01', NULL, NULL, 114, NULL, NULL, 17705),
(33916, '3dzaC01', NULL, NULL, 125, NULL, NULL, 17705),
(33917, '3gjnA00', NULL, NULL, 86, NULL, NULL, 17706),
(33918, '2vlqA00', NULL, NULL, 86, NULL, NULL, 17706),
(33919, '4uhpD00', NULL, NULL, 98, NULL, NULL, 17706),
(33920, '1gxgA00', NULL, NULL, 85, NULL, NULL, 17706),
(33921, '6er6A00', NULL, NULL, 93, NULL, NULL, 17706);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(33922, '4qkoG00', NULL, NULL, 95, NULL, NULL, 17706),
(33923, '1ceiA00', NULL, NULL, 94, NULL, NULL, 17706),
(33924, '2k0dX00', NULL, NULL, 101, NULL, NULL, 17706),
(33925, '4f37A00', NULL, NULL, 102, NULL, NULL, 17706),
(33926, '2wptA00', NULL, NULL, 86, NULL, NULL, 17706),
(33927, '1znvA00', NULL, NULL, 93, NULL, NULL, 17706),
(33928, '3gklC00', NULL, NULL, 86, NULL, NULL, 17706),
(33929, '6ereC00', NULL, NULL, 95, NULL, NULL, 17706),
(33930, '4ixjA02', NULL, NULL, 147, NULL, NULL, 17707),
(33931, '1j8rA00', NULL, NULL, 196, NULL, NULL, 17708),
(33932, '4z3gA00', NULL, NULL, 198, NULL, NULL, 17708),
(33933, '4hg2A02', NULL, NULL, 68, NULL, NULL, 17709),
(33934, '2q73C00', NULL, NULL, 100, NULL, NULL, 17710),
(33935, '3crcA01', NULL, NULL, 99, NULL, NULL, 17710),
(33936, '3craB01', NULL, NULL, 127, NULL, NULL, 17710),
(33937, '3craA02', NULL, NULL, 135, NULL, NULL, 17710),
(33938, '2gtaD00', NULL, NULL, 119, NULL, NULL, 17710),
(33939, '2a7wA00', NULL, NULL, 94, NULL, NULL, 17710),
(33940, '2gtaB00', NULL, NULL, 100, NULL, NULL, 17710),
(33941, '2p06B00', NULL, NULL, 98, NULL, NULL, 17710),
(33942, '4qgpB00', NULL, NULL, 118, NULL, NULL, 17710),
(33943, '1y6xA00', NULL, NULL, 93, NULL, NULL, 17710),
(33944, '2gtaC00', NULL, NULL, 99, NULL, NULL, 17710),
(33945, '2oieD00', NULL, NULL, 111, NULL, NULL, 17710),
(33946, '2a3qB00', NULL, NULL, 109, NULL, NULL, 17710),
(33947, '2gtaA00', NULL, NULL, 98, NULL, NULL, 17710),
(33948, '2yxhA00', NULL, NULL, 116, NULL, NULL, 17710),
(33949, '5ie9A00', NULL, NULL, 103, NULL, NULL, 17710),
(33950, '1yvwA00', NULL, NULL, 95, NULL, NULL, 17710),
(33951, '1yxbA00', NULL, NULL, 98, NULL, NULL, 17710),
(33952, '1vmgA00', NULL, NULL, 95, NULL, NULL, 17710),
(33953, '4aj5S00', NULL, NULL, 123, NULL, NULL, 17711),
(33954, '4c1bB01', NULL, NULL, 68, NULL, NULL, 17712),
(33955, '3g4nA02', NULL, NULL, 173, NULL, NULL, 17713),
(33956, '3k63A01', NULL, NULL, 102, NULL, NULL, 17714),
(33957, '4l4hA03', NULL, NULL, 139, NULL, NULL, 17715),
(33958, '4i2sA03', NULL, NULL, 143, NULL, NULL, 17715),
(33959, '1n4kA02', NULL, NULL, 165, NULL, NULL, 17715),
(33960, '1x9yA01', NULL, NULL, 176, NULL, NULL, 17716),
(33961, '3d55C02', NULL, NULL, 53, NULL, NULL, 17717),
(33962, '3g5oA02', NULL, NULL, 60, NULL, NULL, 17717),
(33963, '1mswD01', NULL, NULL, 318, NULL, NULL, 17718),
(33964, '3kk4A01', NULL, NULL, 109, NULL, NULL, 17719),
(33965, '4x9rA01', NULL, NULL, 140, NULL, NULL, 17720),
(33966, '3p34A02', NULL, NULL, 97, NULL, NULL, 17720),
(33967, '3q1iA01', NULL, NULL, 136, NULL, NULL, 17720),
(33968, '4rs6A02', NULL, NULL, 95, NULL, NULL, 17720),
(33969, '4j7bB01', NULL, NULL, 140, NULL, NULL, 17720),
(33970, '4j7bB02', NULL, NULL, 97, NULL, NULL, 17720),
(33971, '4rs6A01', NULL, NULL, 121, NULL, NULL, 17720),
(33972, '5dmsC01', NULL, NULL, 140, NULL, NULL, 17720),
(33973, '5j19A01', NULL, NULL, 138, NULL, NULL, 17720),
(33974, '4yypA00', NULL, NULL, 87, NULL, NULL, 17720),
(33975, '4xfjA03', NULL, NULL, 39, NULL, NULL, 17721),
(33976, '2nz2A03', NULL, NULL, 41, NULL, NULL, 17721),
(33977, '1vl2B03', NULL, NULL, 30, NULL, NULL, 17721),
(33978, '1korA03', NULL, NULL, 31, NULL, NULL, 17721),
(33979, '1vl2A03', NULL, NULL, 40, NULL, NULL, 17721),
(33980, '16vpA00', NULL, NULL, 321, NULL, NULL, 17722),
(33981, '1wruA02', NULL, NULL, 88, NULL, NULL, 17723),
(33982, '3d37A02', NULL, NULL, 85, NULL, NULL, 17723),
(33983, '3cddA02', NULL, NULL, 85, NULL, NULL, 17723),
(33984, '2p5zX02', NULL, NULL, 97, NULL, NULL, 17723),
(33985, '4uhvA02', NULL, NULL, 92, NULL, NULL, 17723),
(33986, '4ghbA00', NULL, NULL, 272, NULL, NULL, 17724),
(33987, '1rp5A01', NULL, NULL, 51, NULL, NULL, 17725),
(33988, '5u47A01', NULL, NULL, 32, NULL, NULL, 17725),
(33989, '3vkhB01', NULL, NULL, 64, NULL, NULL, 17726),
(33990, '3vldA01', NULL, NULL, 304, NULL, NULL, 17727),
(33991, '4g2aA01', NULL, NULL, 235, NULL, NULL, 17728),
(33992, '3iylB03', NULL, NULL, 226, NULL, NULL, 17729),
(33993, '1jmuB04', NULL, NULL, 207, NULL, NULL, 17729),
(33994, '2vkjA00', NULL, NULL, 106, NULL, NULL, 17730),
(33995, '4e8uA00', NULL, NULL, 172, NULL, NULL, 17731);
INSERT INTO "PUBLIC"."MODEL" VALUES
(33996, '2xubA05', NULL, NULL, 106, NULL, NULL, 17732),
(33997, '1yvuA02', NULL, NULL, 93, NULL, NULL, 17733),
(33998, '4cidA01', NULL, NULL, 184, NULL, NULL, 17734),
(33999, '2qptA01', NULL, NULL, 146, NULL, NULL, 17734),
(34000, '5mtvA01', NULL, NULL, 160, NULL, NULL, 17734),
(34001, '2ex3B02', NULL, NULL, 95, NULL, NULL, 17735),
(34002, '2hzmA02', NULL, NULL, 89, NULL, NULL, 17736),
(34003, '2e52B01', NULL, NULL, 226, NULL, NULL, 17737),
(34004, '2yxlA02', NULL, NULL, 28, NULL, NULL, 17738),
(34005, '1sqgA02', NULL, NULL, 27, NULL, NULL, 17738),
(34006, '2kddA00', NULL, NULL, 57, NULL, NULL, 17739),
(34007, '1pv5A00', NULL, NULL, 264, NULL, NULL, 17740),
(34008, '5xteE00', NULL, NULL, 75, NULL, NULL, 17741),
(34009, '1pp9H00', NULL, NULL, 78, NULL, NULL, 17741),
(34010, '3cx5F00', NULL, NULL, 74, NULL, NULL, 17741),
(34011, '3tguH00', NULL, NULL, 77, NULL, NULL, 17741),
(34012, '2o01L01', NULL, NULL, 111, NULL, NULL, 17742),
(34013, '5l8rL00', NULL, NULL, 157, NULL, NULL, 17742),
(34014, '1jb0L00', NULL, NULL, 154, NULL, NULL, 17742),
(34015, '5oy0000', NULL, NULL, 154, NULL, NULL, 17742),
(34016, '4xk8L00', NULL, NULL, 153, NULL, NULL, 17742),
(34017, '2wscL00', NULL, NULL, 164, NULL, NULL, 17742),
(34018, '5dzsA01', NULL, NULL, 144, NULL, NULL, 17743),
(34019, '3pwzA01', NULL, NULL, 150, NULL, NULL, 17743),
(34020, '3donA01', NULL, NULL, 144, NULL, NULL, 17743),
(34021, '5swvC02', NULL, NULL, 136, NULL, NULL, 17743),
(34022, '6apeA02', NULL, NULL, 86, NULL, NULL, 17743),
(34023, '1npdB01', NULL, NULL, 139, NULL, NULL, 17743),
(34024, '6acfA01', NULL, NULL, 154, NULL, NULL, 17743),
(34025, '5gudA02', NULL, NULL, 136, NULL, NULL, 17743),
(34026, '6dhqA02', NULL, NULL, 149, NULL, NULL, 17743),
(34027, '3aoeC02', NULL, NULL, 136, NULL, NULL, 17743),
(34028, '4k28A01', NULL, NULL, 122, NULL, NULL, 17743),
(34029, '3tnlA01', NULL, NULL, 137, NULL, NULL, 17743),
(34030, '4a26A02', NULL, NULL, 87, NULL, NULL, 17743),
(34031, '2o7sA02', NULL, NULL, 98, NULL, NULL, 17743),
(34032, '1lehA01', NULL, NULL, 151, NULL, NULL, 17743),
(34033, '3p2oA02', NULL, NULL, 86, NULL, NULL, 17743),
(34034, '4omuA01', NULL, NULL, 114, NULL, NULL, 17743),
(34035, '5tc4A02', NULL, NULL, 86, NULL, NULL, 17743),
(34036, '1b0aA02', NULL, NULL, 86, NULL, NULL, 17743),
(34037, '3o8qA01', NULL, NULL, 122, NULL, NULL, 17743),
(34038, '3k92A02', NULL, NULL, 136, NULL, NULL, 17743),
(34039, '2eggA01', NULL, NULL, 138, NULL, NULL, 17743),
(34040, '4omuB01', NULL, NULL, 160, NULL, NULL, 17743),
(34041, '4b4uA02', NULL, NULL, 86, NULL, NULL, 17743),
(34042, '3k8zA02', NULL, NULL, 135, NULL, NULL, 17743),
(34043, '3vpxA01', NULL, NULL, 151, NULL, NULL, 17743),
(34044, '1bgvA02', NULL, NULL, 136, NULL, NULL, 17743),
(34045, '1bvuA01', NULL, NULL, 146, NULL, NULL, 17743),
(34046, '2c2xA02', NULL, NULL, 154, NULL, NULL, 17743),
(34047, '1npyA01', NULL, NULL, 100, NULL, NULL, 17743),
(34048, '4a5oA02', NULL, NULL, 86, NULL, NULL, 17743),
(34049, '1o9bA01', NULL, NULL, 139, NULL, NULL, 17743),
(34050, '5b37E01', NULL, NULL, 150, NULL, NULL, 17743),
(34051, '1gtmA01', NULL, NULL, 146, NULL, NULL, 17743),
(34052, '3fbtA01', NULL, NULL, 150, NULL, NULL, 17743),
(34053, '1nvtA01', NULL, NULL, 145, NULL, NULL, 17743),
(34054, '3ngxA02', NULL, NULL, 84, NULL, NULL, 17743),
(34055, '4fccA02', NULL, NULL, 136, NULL, NULL, 17743),
(34056, '3l07A02', NULL, NULL, 86, NULL, NULL, 17743),
(34057, '1v9lA01', NULL, NULL, 144, NULL, NULL, 17743),
(34058, '4fshA01', NULL, NULL, 138, NULL, NULL, 17743),
(34059, '1npdA01', NULL, NULL, 137, NULL, NULL, 17743),
(34060, '4p4gA01', NULL, NULL, 138, NULL, NULL, 17743),
(34061, '1c1dA01', NULL, NULL, 141, NULL, NULL, 17743),
(34062, '3phhA01', NULL, NULL, 136, NULL, NULL, 17743),
(34063, '4cjxA02', NULL, NULL, 87, NULL, NULL, 17743),
(34064, '3jyoA01', NULL, NULL, 140, NULL, NULL, 17743),
(34065, '3t4eA01', NULL, NULL, 132, NULL, NULL, 17743),
(34066, '1nytA01', NULL, NULL, 115, NULL, NULL, 17743),
(34067, '1o9bB01', NULL, NULL, 137, NULL, NULL, 17743),
(34068, '2hk9B01', NULL, NULL, 145, NULL, NULL, 17743);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(34069, '3u62A01', NULL, NULL, 125, NULL, NULL, 17743),
(34070, '1p77A01', NULL, NULL, 149, NULL, NULL, 17743),
(34071, '2yfqA02', NULL, NULL, 137, NULL, NULL, 17743),
(34072, '3aogA02', NULL, NULL, 136, NULL, NULL, 17743),
(34073, '2d5cA01', NULL, NULL, 113, NULL, NULL, 17743),
(34074, '4xgiA02', NULL, NULL, 136, NULL, NULL, 17743),
(34075, '1vi2A01', NULL, NULL, 149, NULL, NULL, 17743),
(34076, '3sefC01', NULL, NULL, 153, NULL, NULL, 17743),
(34077, '1euzA01', NULL, NULL, 146, NULL, NULL, 17743),
(34078, '1a4iA02', NULL, NULL, 89, NULL, NULL, 17743),
(34079, '1edzA02', NULL, NULL, 132, NULL, NULL, 17743),
(34080, '4xijA01', NULL, NULL, 136, NULL, NULL, 17743),
(34081, '2tmgA01', NULL, NULL, 144, NULL, NULL, 17743),
(34082, '2qqpD00', NULL, NULL, 40, NULL, NULL, 17744),
(34083, '1ahsA00', NULL, NULL, 126, NULL, NULL, 17745),
(34084, '1bvp102', NULL, NULL, 133, NULL, NULL, 17745),
(34085, '1uf2C02', NULL, NULL, 157, NULL, NULL, 17745),
(34086, '1qhdA01', NULL, NULL, 170, NULL, NULL, 17745),
(34087, '5l44A01', NULL, NULL, 399, NULL, NULL, 17746),
(34088, '1y79101', NULL, NULL, 406, NULL, NULL, 17746),
(34089, '4ka7A01', NULL, NULL, 435, NULL, NULL, 17746),
(34090, '4putA01', NULL, NULL, 417, NULL, NULL, 17746),
(34091, '3nuhB03', NULL, NULL, 92, NULL, NULL, 17747),
(34092, '4f8lA00', NULL, NULL, 145, NULL, NULL, 17748),
(34093, '5lndB00', NULL, NULL, 132, NULL, NULL, 17748),
(34094, '1zhxA04', NULL, NULL, 127, NULL, NULL, 17749),
(34095, '3nqiA02', NULL, NULL, 167, NULL, NULL, 17750),
(34096, '2q7tA02', NULL, NULL, 33, NULL, NULL, 17751),
(34097, '4gqzD00', NULL, NULL, 161, NULL, NULL, 17752),
(34098, '2mbyA00', NULL, NULL, 46, NULL, NULL, 17753),
(34099, '1t50A00', NULL, NULL, 58, NULL, NULL, 17754),
(34100, '2jz7A00', NULL, NULL, 81, NULL, NULL, 17755),
(34101, '3hxlA05', NULL, NULL, 82, NULL, NULL, 17756),
(34102, '2h8eA00', NULL, NULL, 120, NULL, NULL, 17757),
(34103, '4a4kA02', NULL, NULL, 133, NULL, NULL, 17758),
(34104, '6f9wA00', NULL, NULL, 87, NULL, NULL, 17759),
(34105, '3jb9b00', NULL, NULL, 87, NULL, NULL, 17759),
(34106, '1ycyB00', NULL, NULL, 71, NULL, NULL, 17759),
(34107, '2rb6A00', NULL, NULL, 61, NULL, NULL, 17759),
(34108, '3jb9Z00', NULL, NULL, 81, NULL, NULL, 17759),
(34109, '4c92A00', NULL, NULL, 130, NULL, NULL, 17759),
(34110, '2ra2E00', NULL, NULL, 64, NULL, NULL, 17759),
(34111, '4emkB00', NULL, NULL, 75, NULL, NULL, 17759),
(34112, '2ra2A00', NULL, NULL, 64, NULL, NULL, 17759),
(34113, '3jb9J00', NULL, NULL, 77, NULL, NULL, 17759),
(34114, '2rm4A01', NULL, NULL, 66, NULL, NULL, 17759),
(34115, '1b34B00', NULL, NULL, 93, NULL, NULL, 17759),
(34116, '4c8qA00', NULL, NULL, 101, NULL, NULL, 17759),
(34117, '2eayB02', NULL, NULL, 49, NULL, NULL, 17759),
(34118, '3jb9F00', NULL, NULL, 82, NULL, NULL, 17759),
(34119, '3fifB00', NULL, NULL, 61, NULL, NULL, 17759),
(34120, '1mgqF00', NULL, NULL, 83, NULL, NULL, 17759),
(34121, '3fifF00', NULL, NULL, 61, NULL, NULL, 17759),
(34122, '5szdC00', NULL, NULL, 83, NULL, NULL, 17759),
(34123, '4emhA00', NULL, NULL, 60, NULL, NULL, 17759),
(34124, '4a54A00', NULL, NULL, 96, NULL, NULL, 17759),
(34125, '4f7uG00', NULL, NULL, 76, NULL, NULL, 17759),
(34126, '2jn0A00', NULL, NULL, 61, NULL, NULL, 17759),
(34127, '1i8fA00', NULL, NULL, 81, NULL, NULL, 17759),
(34128, '4m7dI00', NULL, NULL, 95, NULL, NULL, 17759),
(34129, '4f7uC00', NULL, NULL, 82, NULL, NULL, 17759),
(34130, '6bk8o00', NULL, NULL, 85, NULL, NULL, 17759),
(34131, '6gwkR00', NULL, NULL, 82, NULL, NULL, 17759),
(34132, '2ej9A02', NULL, NULL, 49, NULL, NULL, 17759),
(34133, '4m7dA00', NULL, NULL, 67, NULL, NULL, 17759),
(34134, '1ljoA00', NULL, NULL, 77, NULL, NULL, 17759),
(34135, '3bfmA02', NULL, NULL, 44, NULL, NULL, 17759),
(34136, '2vc8A00', NULL, NULL, 84, NULL, NULL, 17759),
(34137, '3hsbB00', NULL, NULL, 78, NULL, NULL, 17759),
(34138, '4c92F00', NULL, NULL, 86, NULL, NULL, 17759),
(34139, '2rb6B00', NULL, NULL, 61, NULL, NULL, 17759),
(34140, '4c92B00', NULL, NULL, 105, NULL, NULL, 17759),
(34141, '1ycyA00', NULL, NULL, 71, NULL, NULL, 17759),
(34142, '1y96D00', NULL, NULL, 85, NULL, NULL, 17759);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(34143, '1i4kC00', NULL, NULL, 77, NULL, NULL, 17759),
(34144, '4a53A01', NULL, NULL, 62, NULL, NULL, 17759),
(34145, '4emgA00', NULL, NULL, 93, NULL, NULL, 17759),
(34146, '2ra2F00', NULL, NULL, 64, NULL, NULL, 17759),
(34147, '2fb7A00', NULL, NULL, 95, NULL, NULL, 17759),
(34148, '2ra2B00', NULL, NULL, 64, NULL, NULL, 17759),
(34149, '6bk8d00', NULL, NULL, 77, NULL, NULL, 17759),
(34150, '3jb9I00', NULL, NULL, 78, NULL, NULL, 17759),
(34151, '3swnS00', NULL, NULL, 82, NULL, NULL, 17759),
(34152, '3fifC00', NULL, NULL, 61, NULL, NULL, 17759),
(34153, '3bduA00', NULL, NULL, 62, NULL, NULL, 17759),
(34154, '4y91F00', NULL, NULL, 75, NULL, NULL, 17759),
(34155, '3pggA00', NULL, NULL, 97, NULL, NULL, 17759),
(34156, '3fifG00', NULL, NULL, 61, NULL, NULL, 17759),
(34157, '3swnC00', NULL, NULL, 88, NULL, NULL, 17759),
(34158, '4f7uF00', NULL, NULL, 86, NULL, NULL, 17759),
(34159, '4f7uB00', NULL, NULL, 97, NULL, NULL, 17759),
(34160, '4xq3B00', NULL, NULL, 91, NULL, NULL, 17759),
(34161, '1m5q101', NULL, NULL, 68, NULL, NULL, 17759),
(34162, '1ycyD00', NULL, NULL, 71, NULL, NULL, 17759),
(34163, '4c92G00', NULL, NULL, 90, NULL, NULL, 17759),
(34164, '1n9rB00', NULL, NULL, 69, NULL, NULL, 17759),
(34165, '1d3bC00', NULL, NULL, 75, NULL, NULL, 17759),
(34166, '1y96A00', NULL, NULL, 86, NULL, NULL, 17759),
(34167, '4c92C00', NULL, NULL, 89, NULL, NULL, 17759),
(34168, '1th7A00', NULL, NULL, 81, NULL, NULL, 17759),
(34169, '4xtvB02', NULL, NULL, 48, NULL, NULL, 17759),
(34170, '2ra2C00', NULL, NULL, 64, NULL, NULL, 17759),
(34171, '4wf2A03', NULL, NULL, 57, NULL, NULL, 17759),
(34172, '4pjoQ00', NULL, NULL, 91, NULL, NULL, 17759),
(34173, '5gmkm00', NULL, NULL, 109, NULL, NULL, 17759),
(34174, '3jb9H00', NULL, NULL, 84, NULL, NULL, 17759),
(34175, '4jliA00', NULL, NULL, 68, NULL, NULL, 17759),
(34176, '5gmke00', NULL, NULL, 67, NULL, NULL, 17759),
(34177, '4x9cD00', NULL, NULL, 71, NULL, NULL, 17759),
(34178, '5gan800', NULL, NULL, 67, NULL, NULL, 17759),
(34179, '6bk8q00', NULL, NULL, 110, NULL, NULL, 17759),
(34180, '2ylbC00', NULL, NULL, 74, NULL, NULL, 17759),
(34181, '3fifD00', NULL, NULL, 61, NULL, NULL, 17759),
(34182, '1kq1H00', NULL, NULL, 77, NULL, NULL, 17759),
(34183, '3rkxA03', NULL, NULL, 47, NULL, NULL, 17759),
(34184, '4f7uE00', NULL, NULL, 92, NULL, NULL, 17759),
(34185, '3fifH00', NULL, NULL, 61, NULL, NULL, 17759),
(34186, '6j6gi00', NULL, NULL, 94, NULL, NULL, 17759),
(34187, '4nl2B00', NULL, NULL, 77, NULL, NULL, 17759),
(34188, '3hfoB00', NULL, NULL, 70, NULL, NULL, 17759),
(34189, '4m7dC00', NULL, NULL, 89, NULL, NULL, 17759),
(34190, '3sb2A00', NULL, NULL, 79, NULL, NULL, 17759),
(34191, '2rd1B00', NULL, NULL, 62, NULL, NULL, 17759),
(34192, '4m78N00', NULL, NULL, 93, NULL, NULL, 17759),
(34193, '1d3bB00', NULL, NULL, 91, NULL, NULL, 17759),
(34194, '1ycyC00', NULL, NULL, 71, NULL, NULL, 17759),
(34195, '2k57A00', NULL, NULL, 61, NULL, NULL, 17759),
(34196, '2ra2D00', NULL, NULL, 64, NULL, NULL, 17759),
(34197, '4emkA00', NULL, NULL, 75, NULL, NULL, 17759),
(34198, '3hfnA00', NULL, NULL, 72, NULL, NULL, 17759),
(34199, '3by7E00', NULL, NULL, 100, NULL, NULL, 17759),
(34200, '2i2lB02', NULL, NULL, 71, NULL, NULL, 17759),
(34201, '1h64100', NULL, NULL, 75, NULL, NULL, 17759),
(34202, '5caiA00', NULL, NULL, 56, NULL, NULL, 17759),
(34203, '4m75F00', NULL, NULL, 115, NULL, NULL, 17759),
(34204, '2e10A02', NULL, NULL, 48, NULL, NULL, 17759),
(34205, '4m77A00', NULL, NULL, 109, NULL, NULL, 17759),
(34206, '5mkiH00', NULL, NULL, 72, NULL, NULL, 17759),
(34207, '2vxeA00', NULL, NULL, 88, NULL, NULL, 17759),
(34208, '3fifA00', NULL, NULL, 61, NULL, NULL, 17759),
(34209, '1hxdA03', NULL, NULL, 43, NULL, NULL, 17759),
(34210, '3fb9B00', NULL, NULL, 90, NULL, NULL, 17759),
(34211, '3inzF00', NULL, NULL, 82, NULL, NULL, 17759),
(34212, '3fifE00', NULL, NULL, 61, NULL, NULL, 17759),
(34213, '6j6gh00', NULL, NULL, 86, NULL, NULL, 17759),
(34214, '3jb9l00', NULL, NULL, 97, NULL, NULL, 17759),
(34215, '4m7dL00', NULL, NULL, 93, NULL, NULL, 17759),
(34216, '2za4B00', NULL, NULL, 90, NULL, NULL, 17760); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(34217, '5f4cA00', NULL, NULL, 93, NULL, NULL, 17760),
(34218, '2cx6A00', NULL, NULL, 90, NULL, NULL, 17760),
(34219, '2hxxA00', NULL, NULL, 89, NULL, NULL, 17760),
(34220, '2kvvA00', NULL, NULL, 78, NULL, NULL, 17761),
(34221, '4e27B00', NULL, NULL, 175, NULL, NULL, 17762),
(34222, '4dmiA02', NULL, NULL, 137, NULL, NULL, 17762),
(34223, '3ikoC02', NULL, NULL, 149, NULL, NULL, 17763),
(34224, '2rslA00', NULL, NULL, 122, NULL, NULL, 17764),
(34225, '5c35A00', NULL, NULL, 128, NULL, NULL, 17764),
(34226, '3bvpB00', NULL, NULL, 138, NULL, NULL, 17764),
(34227, '5c35B00', NULL, NULL, 128, NULL, NULL, 17764),
(34228, '2gm5D00', NULL, NULL, 139, NULL, NULL, 17764),
(34229, '2mhcA00', NULL, NULL, 120, NULL, NULL, 17764),
(34230, '3ilxA01', NULL, NULL, 99, NULL, NULL, 17764),
(34231, '5c31C00', NULL, NULL, 128, NULL, NULL, 17764),
(34232, '6dgbA01', NULL, NULL, 96, NULL, NULL, 17764),
(34233, '5c31D00', NULL, NULL, 128, NULL, NULL, 17764),
(34234, '5c31E00', NULL, NULL, 128, NULL, NULL, 17764),
(34235, '5c31F00', NULL, NULL, 128, NULL, NULL, 17764),
(34236, '5c31G00', NULL, NULL, 128, NULL, NULL, 17764),
(34237, '5c31H00', NULL, NULL, 128, NULL, NULL, 17764),
(34238, '5c31I00', NULL, NULL, 128, NULL, NULL, 17764),
(34239, '5c31J00', NULL, NULL, 128, NULL, NULL, 17764),
(34240, '4bqqA01', NULL, NULL, 149, NULL, NULL, 17764),
(34241, '3lhfC01', NULL, NULL, 99, NULL, NULL, 17764),
(34242, '5c31K00', NULL, NULL, 128, NULL, NULL, 17764),
(34243, '5c31L00', NULL, NULL, 128, NULL, NULL, 17764),
(34244, '3g13A00', NULL, NULL, 169, NULL, NULL, 17764),
(34245, '3pkzG00', NULL, NULL, 124, NULL, NULL, 17764),
(34246, '3guvA00', NULL, NULL, 167, NULL, NULL, 17764),
(34247, '3g13B00', NULL, NULL, 139, NULL, NULL, 17764),
(34248, '5c31B00', NULL, NULL, 128, NULL, NULL, 17764),
(34249, '5c31A00', NULL, NULL, 128, NULL, NULL, 17764),
(34250, '3lhkA01', NULL, NULL, 102, NULL, NULL, 17764),
(34251, '5c34B00', NULL, NULL, 128, NULL, NULL, 17764),
(34252, '5c32A00', NULL, NULL, 128, NULL, NULL, 17764),
(34253, '5c34C00', NULL, NULL, 128, NULL, NULL, 17764),
(34254, '5c32B00', NULL, NULL, 128, NULL, NULL, 17764),
(34255, '5c32C00', NULL, NULL, 128, NULL, NULL, 17764),
(34256, '6dgcA01', NULL, NULL, 101, NULL, NULL, 17764),
(34257, '5c32D00', NULL, NULL, 128, NULL, NULL, 17764),
(34258, '3uj3X00', NULL, NULL, 125, NULL, NULL, 17764),
(34259, '1xn8A00', NULL, NULL, 131, NULL, NULL, 17765),
(34260, '2j42A02', NULL, NULL, 225, NULL, NULL, 17766),
(34261, '3tewA02', NULL, NULL, 207, NULL, NULL, 17766),
(34262, '3pjvD02', NULL, NULL, 51, NULL, NULL, 17767),
(34263, '3pa8B00', NULL, NULL, 254, NULL, NULL, 17768),
(34264, '3fzyA00', NULL, NULL, 234, NULL, NULL, 17768),
(34265, '3ho6B00', NULL, NULL, 267, NULL, NULL, 17768),
(34266, '3r6nA02', NULL, NULL, 155, NULL, NULL, 17769),
(34267, '3cxbA02', NULL, NULL, 111, NULL, NULL, 17770),
(34268, '1wiwA01', NULL, NULL, 126, NULL, NULL, 17771),
(34269, '2kvcA01', NULL, NULL, 88, NULL, NULL, 17772),
(34270, '2m0nA00', NULL, NULL, 112, NULL, NULL, 17772),
(34271, '2lkyA00', NULL, NULL, 112, NULL, NULL, 17772),
(34272, '6o39C00', NULL, NULL, 123, NULL, NULL, 17773),
(34273, '3hklA00', NULL, NULL, 141, NULL, NULL, 17773),
(34274, '6ahyE00', NULL, NULL, 118, NULL, NULL, 17773),
(34275, '2mahA00', NULL, NULL, 128, NULL, NULL, 17773),
(34276, '5un5A00', NULL, NULL, 129, NULL, NULL, 17773),
(34277, '6ahyC00', NULL, NULL, 125, NULL, NULL, 17773),
(34278, '4c7aA00', NULL, NULL, 131, NULL, NULL, 17773),
(34279, '1ijyA00', NULL, NULL, 130, NULL, NULL, 17773),
(34280, '6c0bB00', NULL, NULL, 122, NULL, NULL, 17773),
(34281, '5cl1D00', NULL, NULL, 131, NULL, NULL, 17773),
(34282, '5t44A00', NULL, NULL, 131, NULL, NULL, 17773),
(34283, '1ijxD00', NULL, NULL, 127, NULL, NULL, 17773),
(34284, '5l7dA01', NULL, NULL, 135, NULL, NULL, 17773),
(34285, '6o3bH00', NULL, NULL, 124, NULL, NULL, 17773),
(34286, '5kzzA00', NULL, NULL, 127, NULL, NULL, 17773),
(34287, '4f0aA00', NULL, NULL, 132, NULL, NULL, 17773),
(34288, '5bpbA00', NULL, NULL, 124, NULL, NULL, 17773),
(34289, '4m0mA02', NULL, NULL, 100, NULL, NULL, 17774);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(34290, '2oyoA01', NULL, NULL, 52, NULL, NULL, 17775),
(34291, '3c1lA01', NULL, NULL, 50, NULL, NULL, 17775),
(34292, '2prrA01', NULL, NULL, 53, NULL, NULL, 17775),
(34293, '2pfxB01', NULL, NULL, 51, NULL, NULL, 17775),
(34294, '2pfxA01', NULL, NULL, 51, NULL, NULL, 17775),
(34295, '1q16A10', NULL, NULL, 89, NULL, NULL, 17776),
(34296, '4a0tA03', NULL, NULL, 90, NULL, NULL, 17777),
(34297, '1m5q102', NULL, NULL, 58, NULL, NULL, 17778),
(34298, '1m5qB02', NULL, NULL, 57, NULL, NULL, 17778),
(34299, '4zc3A00', NULL, NULL, 68, NULL, NULL, 17779),
(34300, '2b39A03', NULL, NULL, 125, NULL, NULL, 17780),
(34301, '2pn5A03', NULL, NULL, 105, NULL, NULL, 17780),
(34302, '3hrzA03', NULL, NULL, 120, NULL, NULL, 17780),
(34303, '2qkiA03', NULL, NULL, 122, NULL, NULL, 17780),
(34304, '5jtwA03', NULL, NULL, 127, NULL, NULL, 17780),
(34305, '3cu7A03', NULL, NULL, 128, NULL, NULL, 17780),
(34306, '2ixsA02', NULL, NULL, 162, NULL, NULL, 17781),
(34307, '5k2lA00', NULL, NULL, 49, NULL, NULL, 17782),
(34308, '4b8vA03', NULL, NULL, 49, NULL, NULL, 17782),
(34309, '4uz3C00', NULL, NULL, 48, NULL, NULL, 17782),
(34310, '5ylgD00', NULL, NULL, 49, NULL, NULL, 17782),
(34311, '5bumA00', NULL, NULL, 50, NULL, NULL, 17782),
(34312, '4a1kA01', NULL, NULL, 48, NULL, NULL, 17782),
(34313, '1e0gA00', NULL, NULL, 48, NULL, NULL, 17782),
(34314, '2mkxA00', NULL, NULL, 58, NULL, NULL, 17782),
(34315, '4b8vA01', NULL, NULL, 67, NULL, NULL, 17782),
(34316, '2djpA00', NULL, NULL, 77, NULL, NULL, 17782),
(34317, '4b8vA02', NULL, NULL, 77, NULL, NULL, 17782),
(34318, '5c8qB02', NULL, NULL, 46, NULL, NULL, 17782),
(34319, '3p4gD00', NULL, NULL, 323, NULL, NULL, 17783),
(34320, '2qyzA01', NULL, NULL, 56, NULL, NULL, 17784),
(34321, '4wjwA00', NULL, NULL, 77, NULL, NULL, 17785),
(34322, '1ss6A01', NULL, NULL, 65, NULL, NULL, 17786),
(34323, '5lqbA00', NULL, NULL, 132, NULL, NULL, 17787),
(34324, '2o27A00', NULL, NULL, 145, NULL, NULL, 17787),
(34325, '1d9cA00', NULL, NULL, 121, NULL, NULL, 17787),
(34326, '3ux9A00', NULL, NULL, 169, NULL, NULL, 17787),
(34327, '1lk3A00', NULL, NULL, 160, NULL, NULL, 17787),
(34328, '5knhI00', NULL, NULL, 112, NULL, NULL, 17787),
(34329, '1au1B00', NULL, NULL, 166, NULL, NULL, 17787),
(34330, '1a7mA00', NULL, NULL, 180, NULL, NULL, 17787),
(34331, '3l5xA00', NULL, NULL, 113, NULL, NULL, 17787),
(34332, '3ejjB00', NULL, NULL, 155, NULL, NULL, 17787),
(34333, '1pvhB00', NULL, NULL, 169, NULL, NULL, 17787),
(34334, '3se4B00', NULL, NULL, 177, NULL, NULL, 17787),
(34335, '4yueC00', NULL, NULL, 130, NULL, NULL, 17787),
(34336, '1exzB00', NULL, NULL, 141, NULL, NULL, 17787),
(34337, '1bgeA00', NULL, NULL, 175, NULL, NULL, 17787),
(34338, '5gw9A00', NULL, NULL, 163, NULL, NULL, 17787),
(34339, '1lkiA00', NULL, NULL, 180, NULL, NULL, 17787),
(34340, '3qb1A00', NULL, NULL, 136, NULL, NULL, 17787),
(34341, '1huwA00', NULL, NULL, 191, NULL, NULL, 17787),
(34342, '1f6fA00', NULL, NULL, 199, NULL, NULL, 17787),
(34343, '1v7mV00', NULL, NULL, 163, NULL, NULL, 17787),
(34344, '5lxfA00', NULL, NULL, 159, NULL, NULL, 17787),
(34345, '3qb7B00', NULL, NULL, 132, NULL, NULL, 17787),
(34346, '4zf7B00', NULL, NULL, 138, NULL, NULL, 17787),
(34347, '3d48P00', NULL, NULL, 188, NULL, NULL, 17787),
(34348, '1fyhA02', NULL, NULL, 133, NULL, NULL, 17787),
(34349, '2l3yA00', NULL, NULL, 190, NULL, NULL, 17787),
(34350, '5d22B00', NULL, NULL, 127, NULL, NULL, 17787),
(34351, '1hguA00', NULL, NULL, 191, NULL, NULL, 17787),
(34352, '1aluA00', NULL, NULL, 166, NULL, NULL, 17787),
(34353, '1lqsL01', NULL, NULL, 114, NULL, NULL, 17787),
(34354, '1ax8A00', NULL, NULL, 146, NULL, NULL, 17787),
(34355, '1jliA00', NULL, NULL, 112, NULL, NULL, 17787),
(34356, '1hulA00', NULL, NULL, 108, NULL, NULL, 17787),
(34357, '1axiA00', NULL, NULL, 191, NULL, NULL, 17787),
(34358, '3d85C00', NULL, NULL, 178, NULL, NULL, 17787),
(34359, '3b5kB00', NULL, NULL, 113, NULL, NULL, 17787),
(34360, '4o6kA00', NULL, NULL, 144, NULL, NULL, 17787),
(34361, '3uf5B00', NULL, NULL, 153, NULL, NULL, 17787),
(34362, '4mhlA00', NULL, NULL, 177, NULL, NULL, 17787);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(34363, '1i1rB00', NULL, NULL, 181, NULL, NULL, 17787),
(34364, '3pivA00', NULL, NULL, 164, NULL, NULL, 17787),
(34365, '1vlkA00', NULL, NULL, 145, NULL, NULL, 17787),
(34366, '1eerA00', NULL, NULL, 166, NULL, NULL, 17787),
(34367, '1evsA00', NULL, NULL, 187, NULL, NULL, 17787),
(34368, '3ew3A00', NULL, NULL, 203, NULL, NULL, 17787),
(34369, '5uwcI00', NULL, NULL, 122, NULL, NULL, 17787),
(34370, '1bgcA00', NULL, NULL, 174, NULL, NULL, 17787),
(34371, '2d48A00', NULL, NULL, 129, NULL, NULL, 17787),
(34372, '5m5eD00', NULL, NULL, 138, NULL, NULL, 17787),
(34373, '1z7cA00', NULL, NULL, 191, NULL, NULL, 17787),
(34374, '3s9dA00', NULL, NULL, 168, NULL, NULL, 17787),
(34375, '3dlqI00', NULL, NULL, 151, NULL, NULL, 17787),
(34376, '3oq3A00', NULL, NULL, 166, NULL, NULL, 17787),
(34377, '1cnt200', NULL, NULL, 187, NULL, NULL, 17787),
(34378, '1eteA00', NULL, NULL, 134, NULL, NULL, 17787),
(34379, '1n1fA00', NULL, NULL, 159, NULL, NULL, 17787),
(34380, '4x51B00', NULL, NULL, 162, NULL, NULL, 17787),
(34381, '3piwA00', NULL, NULL, 161, NULL, NULL, 17787),
(34382, '4dohA00', NULL, NULL, 153, NULL, NULL, 17787),
(34383, '2l3oA00', NULL, NULL, 127, NULL, NULL, 17787),
(34384, '1wu3I00', NULL, NULL, 161, NULL, NULL, 17787),
(34385, '5e4eA00', NULL, NULL, 113, NULL, NULL, 17787),
(34386, '1b5lA00', NULL, NULL, 172, NULL, NULL, 17787),
(34387, '3besL00', NULL, NULL, 139, NULL, NULL, 17787),
(34388, '5d70A00', NULL, NULL, 127, NULL, NULL, 17787),
(34389, '1f45B00', NULL, NULL, 178, NULL, NULL, 17787),
(34390, '3jszA03', NULL, NULL, 124, NULL, NULL, 17788),
(34391, '2wzfA03', NULL, NULL, 124, NULL, NULL, 17788),
(34392, '4mv7A03', NULL, NULL, 73, NULL, NULL, 17789),
(34393, '6c5xD02', NULL, NULL, 39, NULL, NULL, 17790),
(34394, '2c9wA02', NULL, NULL, 36, NULL, NULL, 17790),
(34395, '3zkjA02', NULL, NULL, 39, NULL, NULL, 17790),
(34396, '2aegA02', NULL, NULL, 141, NULL, NULL, 17791),
(34397, '2kdtA00', NULL, NULL, 45, NULL, NULL, 17792),
(34398, '2ke3A01', NULL, NULL, 33, NULL, NULL, 17792),
(34399, '2kl5A00', NULL, NULL, 110, NULL, NULL, 17793),
(34400, '6c1wA01', NULL, NULL, 197, NULL, NULL, 17794),
(34401, '2yjgA01', NULL, NULL, 196, NULL, NULL, 17794),
(34402, '4narA02', NULL, NULL, 176, NULL, NULL, 17794),
(34403, '1f5nA01', NULL, NULL, 296, NULL, NULL, 17795),
(34404, '3i9v201', NULL, NULL, 74, NULL, NULL, 17796),
(34405, '3a44C02', NULL, NULL, 21, NULL, NULL, 17797),
(34406, '3vutA01', NULL, NULL, 40, NULL, NULL, 17798),
(34407, '3rrrG01', NULL, NULL, 19, NULL, NULL, 17799),
(34408, '2g7zA01', NULL, NULL, 157, NULL, NULL, 17800),
(34409, '3lupA01', NULL, NULL, 157, NULL, NULL, 17800),
(34410, '6alwA01', NULL, NULL, 153, NULL, NULL, 17800),
(34411, '3nyiB01', NULL, NULL, 158, NULL, NULL, 17800),
(34412, '2dt8A01', NULL, NULL, 150, NULL, NULL, 17800),
(34413, '1vpvA01', NULL, NULL, 166, NULL, NULL, 17800),
(34414, '4x9xA01', NULL, NULL, 149, NULL, NULL, 17800),
(34415, '1mgpA01', NULL, NULL, 179, NULL, NULL, 17800),
(34416, '6dj6B01', NULL, NULL, 152, NULL, NULL, 17800),
(34417, '6dkeA01', NULL, NULL, 155, NULL, NULL, 17800),
(34418, '3fysA01', NULL, NULL, 153, NULL, NULL, 17800),
(34419, '3cygA01', NULL, NULL, 121, NULL, NULL, 17801),
(34420, '2hhiA01', NULL, NULL, 118, NULL, NULL, 17801),
(34421, '3s5tA01', NULL, NULL, 165, NULL, NULL, 17801),
(34422, '5jenA01', NULL, NULL, 111, NULL, NULL, 17801),
(34423, '4e72A01', NULL, NULL, 131, NULL, NULL, 17801),
(34424, '2ilxA00', NULL, NULL, 219, NULL, NULL, 17802),
(34425, '2i3eA00', NULL, NULL, 222, NULL, NULL, 17802),
(34426, '5ae0A00', NULL, NULL, 221, NULL, NULL, 17802),
(34427, '1wojA00', NULL, NULL, 214, NULL, NULL, 17802),
(34428, '3hrgA01', NULL, NULL, 143, NULL, NULL, 17803),
(34429, '4j5tA01', NULL, NULL, 316, NULL, NULL, 17804),
(34430, '1qhhD01', NULL, NULL, 76, NULL, NULL, 17805),
(34431, '4r84A01', NULL, NULL, 88, NULL, NULL, 17806),
(34432, '2z4tA01', NULL, NULL, 92, NULL, NULL, 17806),
(34433, '2pc6A02', NULL, NULL, 77, NULL, NULL, 17807),
(34434, '3phtA01', NULL, NULL, 107, NULL, NULL, 17807),
(34435, '2wvbA02', NULL, NULL, 97, NULL, NULL, 17807);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(34436, '2wvfA02', NULL, NULL, 94, NULL, NULL, 17807),
(34437, '2fgdD03', NULL, NULL, 81, NULL, NULL, 17807),
(34438, '1q5yB00', NULL, NULL, 85, NULL, NULL, 17807),
(34439, '2fgcA03', NULL, NULL, 82, NULL, NULL, 17807),
(34440, '2nzcB00', NULL, NULL, 86, NULL, NULL, 17807),
(34441, '2f1fA02', NULL, NULL, 78, NULL, NULL, 17807),
(34442, '2bj3D02', NULL, NULL, 88, NULL, NULL, 17807),
(34443, '2kpoA00', NULL, NULL, 110, NULL, NULL, 17808),
(34444, '2l82A00', NULL, NULL, 162, NULL, NULL, 17808),
(34445, '2l69A00', NULL, NULL, 134, NULL, NULL, 17808),
(34446, '2mr5A00', NULL, NULL, 136, NULL, NULL, 17808),
(34447, '4j29A00', NULL, NULL, 134, NULL, NULL, 17808),
(34448, '2mr6A00', NULL, NULL, 136, NULL, NULL, 17808),
(34449, '2lciA00', NULL, NULL, 134, NULL, NULL, 17808),
(34450, '2n3zA00', NULL, NULL, 99, NULL, NULL, 17808),
(34451, '2lndA00', NULL, NULL, 112, NULL, NULL, 17808),
(34452, '3j26N01', NULL, NULL, 186, NULL, NULL, 17809),
(34453, '3m6zA03', NULL, NULL, 75, NULL, NULL, 17810),
(34454, '2b1eA01', NULL, NULL, 97, NULL, NULL, 17811),
(34455, '3zrgA00', NULL, NULL, 67, NULL, NULL, 17812),
(34456, '1qv9A01', NULL, NULL, 155, NULL, NULL, 17813),
(34457, '1u6kB01', NULL, NULL, 155, NULL, NULL, 17813),
(34458, '1u6kC01', NULL, NULL, 155, NULL, NULL, 17813),
(34459, '3iqeA01', NULL, NULL, 156, NULL, NULL, 17813),
(34460, '1u6kA01', NULL, NULL, 155, NULL, NULL, 17813),
(34461, '1qv9B01', NULL, NULL, 155, NULL, NULL, 17813),
(34462, '1qv9C01', NULL, NULL, 155, NULL, NULL, 17813),
(34463, '1ew4A00', NULL, NULL, 106, NULL, NULL, 17814),
(34464, '3oeqA01', NULL, NULL, 104, NULL, NULL, 17814),
(34465, '4hs5A00', NULL, NULL, 105, NULL, NULL, 17814),
(34466, '3t3lA00', NULL, NULL, 129, NULL, NULL, 17814),
(34467, '4jpdA00', NULL, NULL, 112, NULL, NULL, 17814),
(34468, '6fcoD00', NULL, NULL, 126, NULL, NULL, 17814),
(34469, '2xzlA04', NULL, NULL, 53, NULL, NULL, 17815),
(34470, '2gk6A03', NULL, NULL, 54, NULL, NULL, 17815),
(34471, '3wnzA04', NULL, NULL, 96, NULL, NULL, 17816),
(34472, '1io1A03', NULL, NULL, 95, NULL, NULL, 17817),
(34473, '2zu0D00', NULL, NULL, 60, NULL, NULL, 17818),
(34474, '4bj6B01', NULL, NULL, 140, NULL, NULL, 17819),
(34475, '3addB02', NULL, NULL, 63, NULL, NULL, 17820),
(34476, '3a4mA02', NULL, NULL, 72, NULL, NULL, 17820),
(34477, '3q5wA00', NULL, NULL, 207, NULL, NULL, 17821),
(34478, '1hfeL01', NULL, NULL, 202, NULL, NULL, 17822),
(34479, '6gm5A01', NULL, NULL, 187, NULL, NULL, 17822),
(34480, '4bl7B01', NULL, NULL, 67, NULL, NULL, 17823),
(34481, '2uz8A01', NULL, NULL, 55, NULL, NULL, 17823),
(34482, '4bvxB01', NULL, NULL, 57, NULL, NULL, 17823),
(34483, '2re3A01', NULL, NULL, 93, NULL, NULL, 17824),
(34484, '2ra9A01', NULL, NULL, 54, NULL, NULL, 17824),
(34485, '5xzgA02', NULL, NULL, 180, NULL, NULL, 17825),
(34486, '5x9cA02', NULL, NULL, 192, NULL, NULL, 17825),
(34487, '4jlxA02', NULL, NULL, 180, NULL, NULL, 17825),
(34488, '4woyA02', NULL, NULL, 193, NULL, NULL, 17825),
(34489, '4levA02', NULL, NULL, 177, NULL, NULL, 17825),
(34490, '4ph8A00', NULL, NULL, 156, NULL, NULL, 17826),
(34491, '2mpvA00', NULL, NULL, 145, NULL, NULL, 17826),
(34492, '1x4qA01', NULL, NULL, 71, NULL, NULL, 17827),
(34493, '3v53E00', NULL, NULL, 119, NULL, NULL, 17827),
(34494, '6ff4Y00', NULL, NULL, 95, NULL, NULL, 17827),
(34495, '4axpA01', NULL, NULL, 45, NULL, NULL, 17828),
(34496, '4xboA02', NULL, NULL, 64, NULL, NULL, 17829),
(34497, '3ilkA02', NULL, NULL, 71, NULL, NULL, 17829),
(34498, '4xboB02', NULL, NULL, 89, NULL, NULL, 17829),
(34499, '1xrsA00', NULL, NULL, 516, NULL, NULL, 17830),
(34500, '3kp1A01', NULL, NULL, 413, NULL, NULL, 17830),
(34501, '2a3dA00', NULL, NULL, 73, NULL, NULL, 17831),
(34502, '4nn5A00', NULL, NULL, 130, NULL, NULL, 17832),
(34503, '5j13A00', NULL, NULL, 127, NULL, NULL, 17832),
(34504, '4ft6A01', NULL, NULL, 383, NULL, NULL, 17833),
(34505, '4frtA00', NULL, NULL, 400, NULL, NULL, 17833),
(34506, '1phoA00', NULL, NULL, 330, NULL, NULL, 17833),
(34507, '4d65A00', NULL, NULL, 343, NULL, NULL, 17833),
(34508, '3sybA00', NULL, NULL, 467, NULL, NULL, 17833),
(34509, '4fspA01', NULL, NULL, 387, NULL, NULL, 17833);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(34510, '1osmA00', NULL, NULL, 342, NULL, NULL, 17833),
(34511, '4auiA00', NULL, NULL, 308, NULL, NULL, 17833),
(34512, '5nupA00', NULL, NULL, 344, NULL, NULL, 17833),
(34513, '4rjwA00', NULL, NULL, 429, NULL, NULL, 17833),
(34514, '5dl6A00', NULL, NULL, 413, NULL, NULL, 17833),
(34515, '3upgA00', NULL, NULL, 338, NULL, NULL, 17833),
(34516, '2o4vA00', NULL, NULL, 411, NULL, NULL, 17833),
(34517, '2y0lA01', NULL, NULL, 386, NULL, NULL, 17833),
(34518, '4frxA01', NULL, NULL, 426, NULL, NULL, 17833),
(34519, '3sy7A01', NULL, NULL, 404, NULL, NULL, 17833),
(34520, '3sy9C01', NULL, NULL, 410, NULL, NULL, 17833),
(34521, '2fgqX00', NULL, NULL, 332, NULL, NULL, 17833),
(34522, '5dl8A00', NULL, NULL, 391, NULL, NULL, 17833),
(34523, '5nxrA00', NULL, NULL, 352, NULL, NULL, 17833),
(34524, '4c69X00', NULL, NULL, 295, NULL, NULL, 17833),
(34525, '2y0hA01', NULL, NULL, 387, NULL, NULL, 17833),
(34526, '3nsgA00', NULL, NULL, 341, NULL, NULL, 17833),
(34527, '2porA00', NULL, NULL, 301, NULL, NULL, 17833),
(34528, '3t24C01', NULL, NULL, 390, NULL, NULL, 17833),
(34529, '3vy8X00', NULL, NULL, 355, NULL, NULL, 17833),
(34530, '2zfgA00', NULL, NULL, 340, NULL, NULL, 17833),
(34531, '2xe1A00', NULL, NULL, 354, NULL, NULL, 17833),
(34532, '4fsoB00', NULL, NULL, 406, NULL, NULL, 17833),
(34533, '2xe5A00', NULL, NULL, 343, NULL, NULL, 17833),
(34534, '3szvA01', NULL, NULL, 380, NULL, NULL, 17833),
(34535, '4bumX00', NULL, NULL, 289, NULL, NULL, 17833),
(34536, '5dl5A00', NULL, NULL, 430, NULL, NULL, 17833),
(34537, '2j1nA00', NULL, NULL, 346, NULL, NULL, 17833),
(34538, '5fvnA00', NULL, NULL, 342, NULL, NULL, 17833),
(34539, '3szdA01', NULL, NULL, 394, NULL, NULL, 17833),
(34540, '3jtyB01', NULL, NULL, 393, NULL, NULL, 17833),
(34541, '6eneA00', NULL, NULL, 329, NULL, NULL, 17833),
(34542, '5dl7A00', NULL, NULL, 402, NULL, NULL, 17833),
(34543, '3prnA00', NULL, NULL, 289, NULL, NULL, 17833),
(34544, '3wi5A00', NULL, NULL, 312, NULL, NULL, 17833),
(34545, '2y2xA01', NULL, NULL, 383, NULL, NULL, 17833),
(34546, '1vi7A01', NULL, NULL, 137, NULL, NULL, 17834),
(34547, '2cveA01', NULL, NULL, 125, NULL, NULL, 17834),
(34548, '3k8wA02', NULL, NULL, 109, NULL, NULL, 17835),
(34549, '3prbA03', NULL, NULL, 82, NULL, NULL, 17836),
(34550, '2gttJ02', NULL, NULL, 215, NULL, NULL, 17837),
(34551, '3hhwK02', NULL, NULL, 200, NULL, NULL, 17837),
(34552, '3nj2A00', NULL, NULL, 151, NULL, NULL, 17838),
(34553, '3g7pA00', NULL, NULL, 156, NULL, NULL, 17838),
(34554, '3iu0A00', NULL, NULL, 382, NULL, NULL, 17839),
(34555, '2dnfA01', NULL, NULL, 89, NULL, NULL, 17840),
(34556, '5ip4E00', NULL, NULL, 91, NULL, NULL, 17840),
(34557, '5io9A00', NULL, NULL, 106, NULL, NULL, 17840),
(34558, '1mg4A00', NULL, NULL, 113, NULL, NULL, 17840),
(34559, '2bqqA00', NULL, NULL, 113, NULL, NULL, 17840),
(34560, '1uf0A00', NULL, NULL, 116, NULL, NULL, 17840),
(34561, '4i8oA01', NULL, NULL, 93, NULL, NULL, 17841),
(34562, '4dqnA01', NULL, NULL, 163, NULL, NULL, 17842),
(34563, '5cm0B01', NULL, NULL, 129, NULL, NULL, 17842),
(34564, '6nstB01', NULL, NULL, 122, NULL, NULL, 17842),
(34565, '3wwhA01', NULL, NULL, 154, NULL, NULL, 17842),
(34566, '3wwjA01', NULL, NULL, 154, NULL, NULL, 17842),
(34567, '1iyeA01', NULL, NULL, 139, NULL, NULL, 17842),
(34568, '3cswC01', NULL, NULL, 116, NULL, NULL, 17842),
(34569, '4tviA01', NULL, NULL, 126, NULL, NULL, 17842),
(34570, '4chiB01', NULL, NULL, 145, NULL, NULL, 17842),
(34571, '5k3wA01', NULL, NULL, 139, NULL, NULL, 17842),
(34572, '2eiyB01', NULL, NULL, 126, NULL, NULL, 17842),
(34573, '4pbcB01', NULL, NULL, 144, NULL, NULL, 17842),
(34574, '3qqmA01', NULL, NULL, 88, NULL, NULL, 17842),
(34575, '6bb9A01', NULL, NULL, 114, NULL, NULL, 17842),
(34576, '4tm5A01', NULL, NULL, 145, NULL, NULL, 17842),
(34577, '3u0gD01', NULL, NULL, 131, NULL, NULL, 17842),
(34578, '2hhfA01', NULL, NULL, 183, NULL, NULL, 17842),
(34579, '4jxuA01', NULL, NULL, 137, NULL, NULL, 17842),
(34580, '4cmfA01', NULL, NULL, 145, NULL, NULL, 17842),
(34581, '2zgiA01', NULL, NULL, 100, NULL, NULL, 17842),
(34582, '3snoA01', NULL, NULL, 132, NULL, NULL, 17842);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(34583, '2y4rA01', NULL, NULL, 110, NULL, NULL, 17842),
(34584, '3lulA01', NULL, NULL, 116, NULL, NULL, 17842),
(34585, '4ce5A01', NULL, NULL, 146, NULL, NULL, 17842),
(34586, '1i2kA01', NULL, NULL, 108, NULL, NULL, 17842),
(34587, '5ce8A01', NULL, NULL, 134, NULL, NULL, 17842),
(34588, '3uzoA01', NULL, NULL, 155, NULL, NULL, 17842),
(34589, '5mr0D01', NULL, NULL, 128, NULL, NULL, 17842),
(34590, '3dtgA01', NULL, NULL, 199, NULL, NULL, 17842),
(34591, '2coiB01', NULL, NULL, 183, NULL, NULL, 17842),
(34592, '6fteB01', NULL, NULL, 145, NULL, NULL, 17842),
(34593, '3daaA01', NULL, NULL, 118, NULL, NULL, 17842),
(34594, '3cebA01', NULL, NULL, 85, NULL, NULL, 17842),
(34595, '5u3fB01', NULL, NULL, 140, NULL, NULL, 17842),
(34596, '3sgfH02', NULL, NULL, 35, NULL, NULL, 17843),
(34597, '3u2aA00', NULL, NULL, 129, NULL, NULL, 17844),
(34598, '4fhdA01', NULL, NULL, 113, NULL, NULL, 17845),
(34599, '2pxtA00', NULL, NULL, 69, NULL, NULL, 17846),
(34600, '2pxuA00', NULL, NULL, 69, NULL, NULL, 17846),
(34601, '2v3cC03', NULL, NULL, 124, NULL, NULL, 17846),
(34602, '2pxvA00', NULL, NULL, 69, NULL, NULL, 17846),
(34603, '5gadi03', NULL, NULL, 115, NULL, NULL, 17846),
(34604, '5gagi00', NULL, NULL, 126, NULL, NULL, 17846),
(34605, '5gahi00', NULL, NULL, 126, NULL, NULL, 17846),
(34606, '2pxbA00', NULL, NULL, 69, NULL, NULL, 17846),
(34607, '2pxdA00', NULL, NULL, 69, NULL, NULL, 17846),
(34608, '2pxlA00', NULL, NULL, 69, NULL, NULL, 17846),
(34609, '2pxpA00', NULL, NULL, 69, NULL, NULL, 17846),
(34610, '1dulA00', NULL, NULL, 69, NULL, NULL, 17846),
(34611, '2pxqA00', NULL, NULL, 69, NULL, NULL, 17846),
(34612, '1qb2A00', NULL, NULL, 109, NULL, NULL, 17846),
(34613, '2pxkA00', NULL, NULL, 69, NULL, NULL, 17846),
(34614, '1hq1A00', NULL, NULL, 105, NULL, NULL, 17846),
(34615, '2jqeA00', NULL, NULL, 119, NULL, NULL, 17846),
(34616, '2pxfA00', NULL, NULL, 69, NULL, NULL, 17846),
(34617, '2pxeA00', NULL, NULL, 69, NULL, NULL, 17846),
(34618, '3dm5B03', NULL, NULL, 134, NULL, NULL, 17846),
(34619, '3lqxA00', NULL, NULL, 72, NULL, NULL, 17846),
(34620, '3kl4A03', NULL, NULL, 129, NULL, NULL, 17846),
(34621, '2ffhA03', NULL, NULL, 107, NULL, NULL, 17846),
(34622, '2mgyA01', NULL, NULL, 160, NULL, NULL, 17847),
(34623, '2wkdA00', NULL, NULL, 89, NULL, NULL, 17848),
(34624, '3hjhA03', NULL, NULL, 97, NULL, NULL, 17849),
(34625, '2hjeA01', NULL, NULL, 157, NULL, NULL, 17850),
(34626, '3c38A01', NULL, NULL, 156, NULL, NULL, 17850),
(34627, '4uqlQ00', NULL, NULL, 544, NULL, NULL, 17851),
(34628, '3iam400', NULL, NULL, 385, NULL, NULL, 17851),
(34629, '6fpoL00', NULL, NULL, 582, NULL, NULL, 17851),
(34630, '4u9hL00', NULL, NULL, 533, NULL, NULL, 17851),
(34631, '4c3oA00', NULL, NULL, 585, NULL, NULL, 17851),
(34632, '5aa5E00', NULL, NULL, 559, NULL, NULL, 17851),
(34633, '5xvdL00', NULL, NULL, 552, NULL, NULL, 17851),
(34634, '5jskB00', NULL, NULL, 507, NULL, NULL, 17851),
(34635, '1yq9H00', NULL, NULL, 536, NULL, NULL, 17851),
(34636, '4kn9L00', NULL, NULL, 499, NULL, NULL, 17851),
(34637, '4omfA00', NULL, NULL, 386, NULL, NULL, 17851),
(34638, '3ayxA00', NULL, NULL, 596, NULL, NULL, 17851),
(34639, '5mdlL00', NULL, NULL, 603, NULL, NULL, 17851),
(34640, '6gamL00', NULL, NULL, 567, NULL, NULL, 17851),
(34641, '3myrB00', NULL, NULL, 561, NULL, NULL, 17851),
(34642, '6g2jD01', NULL, NULL, 385, NULL, NULL, 17851),
(34643, '1e3dB00', NULL, NULL, 542, NULL, NULL, 17851),
(34644, '3u6gA00', NULL, NULL, 126, NULL, NULL, 17852),
(34645, '4qeyA00', NULL, NULL, 132, NULL, NULL, 17852),
(34646, '1fjrA01', NULL, NULL, 63, NULL, NULL, 17853),
(34647, '4lleA00', NULL, NULL, 130, NULL, NULL, 17854),
(34648, '2hdwA02', NULL, NULL, 91, NULL, NULL, 17855),
(34649, '3umhA00', NULL, NULL, 192, NULL, NULL, 17856),
(34650, '5tptA00', NULL, NULL, 197, NULL, NULL, 17856),
(34651, '3nyjA00', NULL, NULL, 189, NULL, NULL, 17856),
(34652, '3k66A01', NULL, NULL, 209, NULL, NULL, 17856),
(34653, '3pmrA00', NULL, NULL, 219, NULL, NULL, 17856),
(34654, '4injA01', NULL, NULL, 161, NULL, NULL, 17857),
(34655, '3tlaA01', NULL, NULL, 164, NULL, NULL, 17857);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(34656, '3g23A01', NULL, NULL, 167, NULL, NULL, 17857),
(34657, '5jybA01', NULL, NULL, 168, NULL, NULL, 17857),
(34658, '4e5sC01', NULL, NULL, 161, NULL, NULL, 17857),
(34659, '4h1hA01', NULL, NULL, 161, NULL, NULL, 17857),
(34660, '4eysA01', NULL, NULL, 161, NULL, NULL, 17857),
(34661, '4jvoB01', NULL, NULL, 167, NULL, NULL, 17857),
(34662, '1zl0B01', NULL, NULL, 172, NULL, NULL, 17857),
(34663, '2r7fA03', NULL, NULL, 21, NULL, NULL, 17858),
(34664, '2py5A06', NULL, NULL, 44, NULL, NULL, 17858),
(34665, '2pw9A01', NULL, NULL, 33, NULL, NULL, 17858),
(34666, '3fi7A02', NULL, NULL, 27, NULL, NULL, 17858),
(34667, '1zi7A02', NULL, NULL, 50, NULL, NULL, 17859),
(34668, '3n5bB02', NULL, NULL, 37, NULL, NULL, 17860),
(34669, '2xkoC02', NULL, NULL, 37, NULL, NULL, 17860),
(34670, '3crvA02', NULL, NULL, 108, NULL, NULL, 17861),
(34671, '2vl7A02', NULL, NULL, 110, NULL, NULL, 17861),
(34672, '2yb1A02', NULL, NULL, 73, NULL, NULL, 17862),
(34673, '3o0fA02', NULL, NULL, 74, NULL, NULL, 17862),
(34674, '3ghmA01', NULL, NULL, 103, NULL, NULL, 17863),
(34675, '2rjqA02', NULL, NULL, 73, NULL, NULL, 17863),
(34676, '3b2zB02', NULL, NULL, 73, NULL, NULL, 17863),
(34677, '2v4bA02', NULL, NULL, 79, NULL, NULL, 17863),
(34678, '3zyyX04', NULL, NULL, 188, NULL, NULL, 17864),
(34679, '2py5A03', NULL, NULL, 98, NULL, NULL, 17865),
(34680, '4mewA02', NULL, NULL, 88, NULL, NULL, 17866),
(34681, '4i5jA01', NULL, NULL, 116, NULL, NULL, 17866),
(34682, '6f2rD01', NULL, NULL, 76, NULL, NULL, 17867),
(34683, '4eldB00', NULL, NULL, 114, NULL, NULL, 17867),
(34684, '2wj5A01', NULL, NULL, 77, NULL, NULL, 17867),
(34685, '4rzkA00', NULL, NULL, 90, NULL, NULL, 17867),
(34686, '1wfiA00', NULL, NULL, 131, NULL, NULL, 17867),
(34687, '1wgvA00', NULL, NULL, 124, NULL, NULL, 17867),
(34688, '3igfA02', NULL, NULL, 79, NULL, NULL, 17867),
(34689, '5ds1A00', NULL, NULL, 95, NULL, NULL, 17867),
(34690, '3w1zD00', NULL, NULL, 110, NULL, NULL, 17867),
(34691, '2y1zB00', NULL, NULL, 94, NULL, NULL, 17867),
(34692, '3w1zC00', NULL, NULL, 143, NULL, NULL, 17867),
(34693, '5j7nA00', NULL, NULL, 120, NULL, NULL, 17867),
(34694, '1gmeA00', NULL, NULL, 151, NULL, NULL, 17867),
(34695, '6ewnA00', NULL, NULL, 99, NULL, NULL, 17867),
(34696, '3eudB00', NULL, NULL, 115, NULL, NULL, 17867),
(34697, '2bolB02', NULL, NULL, 142, NULL, NULL, 17867),
(34698, '2bolA03', NULL, NULL, 93, NULL, NULL, 17867),
(34699, '1gmeB00', NULL, NULL, 109, NULL, NULL, 17867),
(34700, '1x5mA01', NULL, NULL, 106, NULL, NULL, 17867),
(34701, '2k8qA00', NULL, NULL, 134, NULL, NULL, 17867),
(34702, '3aabB00', NULL, NULL, 123, NULL, NULL, 17867),
(34703, '4jutE00', NULL, NULL, 107, NULL, NULL, 17867),
(34704, '1ejfA00', NULL, NULL, 125, NULL, NULL, 17867),
(34705, '4mjhA00', NULL, NULL, 93, NULL, NULL, 17867),
(34706, '3qorD00', NULL, NULL, 121, NULL, NULL, 17867),
(34707, '2o30A00', NULL, NULL, 89, NULL, NULL, 17867),
(34708, '3q9pA00', NULL, NULL, 85, NULL, NULL, 17867),
(34709, '3n3eB00', NULL, NULL, 106, NULL, NULL, 17867),
(34710, '1wh0A01', NULL, NULL, 111, NULL, NULL, 17867),
(34711, '3glaA00', NULL, NULL, 100, NULL, NULL, 17867),
(34712, '5ds2A00', NULL, NULL, 95, NULL, NULL, 17867),
(34713, '2n0kA00', NULL, NULL, 89, NULL, NULL, 17867),
(34714, '2rh0A01', NULL, NULL, 64, NULL, NULL, 17867),
(34715, '5lumA01', NULL, NULL, 76, NULL, NULL, 17867),
(34716, '4m5sA00', NULL, NULL, 87, NULL, NULL, 17867),
(34717, '2y1yA00', NULL, NULL, 90, NULL, NULL, 17867),
(34718, '4zj9A00', NULL, NULL, 108, NULL, NULL, 17867),
(34719, '2xcmC00', NULL, NULL, 92, NULL, NULL, 17867),
(34720, '4pbdA00', NULL, NULL, 110, NULL, NULL, 17867),
(34721, '4ye0A00', NULL, NULL, 100, NULL, NULL, 17867),
(34722, '2cr0A00', NULL, NULL, 121, NULL, NULL, 17867),
(34723, '2cg9X01', NULL, NULL, 119, NULL, NULL, 17867),
(34724, '4feiA00', NULL, NULL, 102, NULL, NULL, 17867),
(34725, '1rl1A00', NULL, NULL, 114, NULL, NULL, 17867),
(34726, '4ylbB00', NULL, NULL, 128, NULL, NULL, 17867),
(34727, '2kmwA01', NULL, NULL, 104, NULL, NULL, 17867),
(34728, '4ydzA00', NULL, NULL, 142, NULL, NULL, 17867),
(34729, '3l1eA01', NULL, NULL, 77, NULL, NULL, 17867);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(34730, '1iomA01', NULL, NULL, 242, NULL, NULL, 17868),
(34731, '5uquB01', NULL, NULL, 315, NULL, NULL, 17868),
(34732, '2ibpA01', NULL, NULL, 252, NULL, NULL, 17868),
(34733, '4e6yA02', NULL, NULL, 253, NULL, NULL, 17868),
(34734, '4jadA02', NULL, NULL, 254, NULL, NULL, 17868),
(34735, '2ifcA01', NULL, NULL, 244, NULL, NULL, 17868),
(34736, '1aj8A01', NULL, NULL, 242, NULL, NULL, 17868),
(34737, '4tvmA02', NULL, NULL, 253, NULL, NULL, 17868),
(34738, '3hwkA01', NULL, NULL, 239, NULL, NULL, 17868),
(34739, '3msuA02', NULL, NULL, 251, NULL, NULL, 17868),
(34740, '6abwA01', NULL, NULL, 240, NULL, NULL, 17868),
(34741, '2p2wA01', NULL, NULL, 234, NULL, NULL, 17868),
(34742, '6abxA01', NULL, NULL, 236, NULL, NULL, 17868),
(34743, '1a59A01', NULL, NULL, 241, NULL, NULL, 17868),
(34744, '2h12B02', NULL, NULL, 243, NULL, NULL, 17868),
(34745, '3tqgB01', NULL, NULL, 258, NULL, NULL, 17868),
(34746, '2c6xA01', NULL, NULL, 236, NULL, NULL, 17868),
(34747, '1vgpA01', NULL, NULL, 237, NULL, NULL, 17868),
(34748, '1o7xA01', NULL, NULL, 240, NULL, NULL, 17868),
(34749, '3o8jA01', NULL, NULL, 247, NULL, NULL, 17868),
(34750, '4xghA02', NULL, NULL, 254, NULL, NULL, 17868),
(34751, '1vgmA01', NULL, NULL, 240, NULL, NULL, 17868),
(34752, '5uqsA01', NULL, NULL, 305, NULL, NULL, 17868),
(34753, '1cshA01', NULL, NULL, 306, NULL, NULL, 17868),
(34754, '3zh5A00', NULL, NULL, 134, NULL, NULL, 17869),
(34755, '3zh7B00', NULL, NULL, 129, NULL, NULL, 17869),
(34756, '1p35C00', NULL, NULL, 299, NULL, NULL, 17870),
(34757, '3bhwA00', NULL, NULL, 209, NULL, NULL, 17871),
(34758, '3lmlA02', NULL, NULL, 92, NULL, NULL, 17872),
(34759, '1cf4B00', NULL, NULL, 44, NULL, NULL, 17873),
(34760, '1izmA00', NULL, NULL, 184, NULL, NULL, 17874),
(34761, '4gytA00', NULL, NULL, 194, NULL, NULL, 17874),
(34762, '2pebA00', NULL, NULL, 122, NULL, NULL, 17875),
(34763, '2p8iC00', NULL, NULL, 117, NULL, NULL, 17875),
(34764, '1vx7F02', NULL, NULL, 75, NULL, NULL, 17876),
(34765, '4bwcA01', NULL, NULL, 53, NULL, NULL, 17877),
(34766, '3fgrA01', NULL, NULL, 52, NULL, NULL, 17877),
(34767, '3fgtA01', NULL, NULL, 68, NULL, NULL, 17877),
(34768, '3fjuB00', NULL, NULL, 65, NULL, NULL, 17878),
(34769, '4i43B02', NULL, NULL, 119, NULL, NULL, 17879),
(34770, '1q16A09', NULL, NULL, 45, NULL, NULL, 17880),
(34771, '3k4tB00', NULL, NULL, 73, NULL, NULL, 17881),
(34772, '4i1sB00', NULL, NULL, 52, NULL, NULL, 17882),
(34773, '2l1qA00', NULL, NULL, 40, NULL, NULL, 17883),
(34774, '2aj4B01', NULL, NULL, 250, NULL, NULL, 17884),
(34775, '1s4eB01', NULL, NULL, 186, NULL, NULL, 17884),
(34776, '4hy1A02', NULL, NULL, 176, NULL, NULL, 17884),
(34777, '6az1L00', NULL, NULL, 149, NULL, NULL, 17884),
(34778, '3ltoA01', NULL, NULL, 181, NULL, NULL, 17884),
(34779, '3zkbI02', NULL, NULL, 173, NULL, NULL, 17884),
(34780, '5x8ri00', NULL, NULL, 135, NULL, NULL, 17884),
(34781, '3v5rA01', NULL, NULL, 232, NULL, NULL, 17884),
(34782, '2hfsA01', NULL, NULL, 183, NULL, NULL, 17884),
(34783, '2x7iA01', NULL, NULL, 170, NULL, NULL, 17884),
(34784, '5xxuC02', NULL, NULL, 94, NULL, NULL, 17884),
(34785, '6emlF00', NULL, NULL, 143, NULL, NULL, 17884),
(34786, '1b63A02', NULL, NULL, 114, NULL, NULL, 17884),
(34787, '3qt5B01', NULL, NULL, 186, NULL, NULL, 17884),
(34788, '6n0iA04', NULL, NULL, 139, NULL, NULL, 17884),
(34789, '2xexA04', NULL, NULL, 140, NULL, NULL, 17884),
(34790, '1pkpA02', NULL, NULL, 77, NULL, NULL, 17884),
(34791, '5j5pA02', NULL, NULL, 183, NULL, NULL, 17884),
(34792, '5xyiC02', NULL, NULL, 94, NULL, NULL, 17884),
(34793, '5optd02', NULL, NULL, 94, NULL, NULL, 17884),
(34794, '1pieA01', NULL, NULL, 214, NULL, NULL, 17884),
(34795, '2gs8A01', NULL, NULL, 177, NULL, NULL, 17884),
(34796, '2r3vB01', NULL, NULL, 248, NULL, NULL, 17884),
(34797, '5o5jI00', NULL, NULL, 126, NULL, NULL, 17884),
(34798, '1kvkA01', NULL, NULL, 247, NULL, NULL, 17884),
(34799, '6faiC02', NULL, NULL, 94, NULL, NULL, 17884),
(34800, '4fwgA03', NULL, NULL, 240, NULL, NULL, 17884),
(34801, '1s4eG01', NULL, NULL, 152, NULL, NULL, 17884),
(34802, '6enhA02', NULL, NULL, 174, NULL, NULL, 17884);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(34803, '4fn5A04', NULL, NULL, 126, NULL, NULL, 17884),
(34804, '4jg4A00', NULL, NULL, 119, NULL, NULL, 17884),
(34805, '1z5bB03', NULL, NULL, 156, NULL, NULL, 17884),
(34806, '2v8pA01', NULL, NULL, 156, NULL, NULL, 17884),
(34807, '2oi2A01', NULL, NULL, 158, NULL, NULL, 17884),
(34808, '3gonA01', NULL, NULL, 194, NULL, NULL, 17884),
(34809, '3jamQ00', NULL, NULL, 143, NULL, NULL, 17884),
(34810, '3wu4A01', NULL, NULL, 188, NULL, NULL, 17884),
(34811, '2cz9A01', NULL, NULL, 175, NULL, NULL, 17884),
(34812, '4p7aA02', NULL, NULL, 127, NULL, NULL, 17884),
(34813, '3k1jB03', NULL, NULL, 210, NULL, NULL, 17884),
(34814, '6q3wD01', NULL, NULL, 221, NULL, NULL, 17884),
(34815, '1oj4A01', NULL, NULL, 164, NULL, NULL, 17884),
(34816, '4rpfC01', NULL, NULL, 177, NULL, NULL, 17884),
(34817, '4uskA01', NULL, NULL, 192, NULL, NULL, 17884),
(34818, '1h72C01', NULL, NULL, 161, NULL, NULL, 17884),
(34819, '3j7aM00', NULL, NULL, 144, NULL, NULL, 17884),
(34820, '1darA04', NULL, NULL, 119, NULL, NULL, 17884),
(34821, '6az1F02', NULL, NULL, 94, NULL, NULL, 17884),
(34822, '1s16A02', NULL, NULL, 175, NULL, NULL, 17884),
(34823, '2xzmE02', NULL, NULL, 95, NULL, NULL, 17884),
(34824, '4urlA02', NULL, NULL, 183, NULL, NULL, 17884),
(34825, '2ljpA00', NULL, NULL, 119, NULL, NULL, 17884),
(34826, '3pyfA01', NULL, NULL, 163, NULL, NULL, 17884),
(34827, '1z0wA00', NULL, NULL, 207, NULL, NULL, 17884),
(34828, '2a2cA01', NULL, NULL, 221, NULL, NULL, 17884),
(34829, '3lnuA02', NULL, NULL, 172, NULL, NULL, 17884),
(34830, '6g5iC02', NULL, NULL, 94, NULL, NULL, 17884),
(34831, '2xzmI00', NULL, NULL, 145, NULL, NULL, 17884),
(34832, '2x36D00', NULL, NULL, 207, NULL, NULL, 17884),
(34833, '5v2mA01', NULL, NULL, 183, NULL, NULL, 17884),
(34834, '6notA04', NULL, NULL, 128, NULL, NULL, 17884),
(34835, '5optr00', NULL, NULL, 149, NULL, NULL, 17884),
(34836, '1mg7A02', NULL, NULL, 167, NULL, NULL, 17884),
(34837, '4prxA02', NULL, NULL, 173, NULL, NULL, 17884),
(34838, '3cwvA02', NULL, NULL, 163, NULL, NULL, 17884),
(34839, '2hk2A01', NULL, NULL, 185, NULL, NULL, 17884),
(34840, '3hulB01', NULL, NULL, 169, NULL, NULL, 17884),
(34841, '5xxuQ00', NULL, NULL, 148, NULL, NULL, 17884),
(34842, '4emdA01', NULL, NULL, 175, NULL, NULL, 17884),
(34843, '1h7sA02', NULL, NULL, 133, NULL, NULL, 17884),
(34844, '5xyiQ00', NULL, NULL, 140, NULL, NULL, 17884),
(34845, '1vs5I00', NULL, NULL, 130, NULL, NULL, 17884),
(34846, '1qzrA02', NULL, NULL, 128, NULL, NULL, 17884),
(34847, '1uekA01', NULL, NULL, 148, NULL, NULL, 17884),
(34848, '5a2qQ00', NULL, NULL, 146, NULL, NULL, 17884),
(34849, '3k17A01', NULL, NULL, 225, NULL, NULL, 17884),
(34850, '1nz0D00', NULL, NULL, 118, NULL, NULL, 17884),
(34851, '2vqeI00', NULL, NULL, 128, NULL, NULL, 17884),
(34852, '3d4jB01', NULL, NULL, 205, NULL, NULL, 17884),
(34853, '6d1rA00', NULL, NULL, 119, NULL, NULL, 17884),
(34854, '1kkhA01', NULL, NULL, 181, NULL, NULL, 17884),
(34855, '3f0nB01', NULL, NULL, 199, NULL, NULL, 17884),
(34856, '1xhkA00', NULL, NULL, 187, NULL, NULL, 17884),
(34857, '2vqeE02', NULL, NULL, 75, NULL, NULL, 17884),
(34858, '3b82A05', NULL, NULL, 154, NULL, NULL, 17884),
(34859, '2vhoE02', NULL, NULL, 94, NULL, NULL, 17884),
(34860, '5gmdA01', NULL, NULL, 183, NULL, NULL, 17884),
(34861, '3m6aA04', NULL, NULL, 192, NULL, NULL, 17884),
(34862, '1zxmB02', NULL, NULL, 124, NULL, NULL, 17884),
(34863, '2zbkB03', NULL, NULL, 223, NULL, NULL, 17884),
(34864, '2q2eB03', NULL, NULL, 160, NULL, NULL, 17884),
(34865, '3jamC02', NULL, NULL, 94, NULL, NULL, 17884),
(34866, '4p52A01', NULL, NULL, 180, NULL, NULL, 17884),
(34867, '4hacB01', NULL, NULL, 192, NULL, NULL, 17884),
(34868, '2hkeB01', NULL, NULL, 184, NULL, NULL, 17884),
(34869, '3h4lB02', NULL, NULL, 146, NULL, NULL, 17884),
(34870, '3j7aG02', NULL, NULL, 94, NULL, NULL, 17884),
(34871, '1fi4A01', NULL, NULL, 196, NULL, NULL, 17884),
(34872, '1lj2A00', NULL, NULL, 110, NULL, NULL, 17885),
(34873, '2f76X00', NULL, NULL, 100, NULL, NULL, 17886),
(34874, '3u97A00', NULL, NULL, 94, NULL, NULL, 17887),
(34875, '3urgA01', NULL, NULL, 60, NULL, NULL, 17888);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(34876, '3c9aA03', NULL, NULL, 77, NULL, NULL, 17889),
(34877, '3c9aA01', NULL, NULL, 85, NULL, NULL, 17889),
(34878, '2bnkA00', NULL, NULL, 67, NULL, NULL, 17890),
(34879, '3axjA01', NULL, NULL, 147, NULL, NULL, 17891),
(34880, '3axjB01', NULL, NULL, 175, NULL, NULL, 17891),
(34881, '1j1jA01', NULL, NULL, 144, NULL, NULL, 17891),
(34882, '1keyD01', NULL, NULL, 139, NULL, NULL, 17891),
(34883, '3pjaJ01', NULL, NULL, 155, NULL, NULL, 17891),
(34884, '4lo6B01', NULL, NULL, 141, NULL, NULL, 17892),
(34885, '2zoeA00', NULL, NULL, 168, NULL, NULL, 17892),
(34886, '3ziwA01', NULL, NULL, 171, NULL, NULL, 17892),
(34887, '4lo6A00', NULL, NULL, 170, NULL, NULL, 17892),
(34888, '4en6B01', NULL, NULL, 140, NULL, NULL, 17892),
(34889, '3fzeA00', NULL, NULL, 196, NULL, NULL, 17893),
(34890, '2looA01', NULL, NULL, 33, NULL, NULL, 17894),
(34891, '1vs5U01', NULL, NULL, 39, NULL, NULL, 17895),
(34892, '3eq2A02', NULL, NULL, 53, NULL, NULL, 17896),
(34893, '1jocA01', NULL, NULL, 62, NULL, NULL, 17896),
(34894, '3cl3E00', NULL, NULL, 58, NULL, NULL, 17896),
(34895, '3brvB00', NULL, NULL, 70, NULL, NULL, 17896),
(34896, '3l4fC00', NULL, NULL, 61, NULL, NULL, 17896),
(34897, '2ykoA01', NULL, NULL, 50, NULL, NULL, 17896),
(34898, '2w6bA00', NULL, NULL, 56, NULL, NULL, 17896),
(34899, '2qklB00', NULL, NULL, 95, NULL, NULL, 17897),
(34900, '2qkmB01', NULL, NULL, 102, NULL, NULL, 17897),
(34901, '2a6tB01', NULL, NULL, 59, NULL, NULL, 17897),
(34902, '3lczA00', NULL, NULL, 53, NULL, NULL, 17898),
(34903, '2bx9A00', NULL, NULL, 53, NULL, NULL, 17898),
(34904, '5wvoC02', NULL, NULL, 97, NULL, NULL, 17899),
(34905, '1iw7D12', NULL, NULL, 23, NULL, NULL, 17900),
(34906, '4fzvA01', NULL, NULL, 132, NULL, NULL, 17901),
(34907, '1sziA01', NULL, NULL, 78, NULL, NULL, 17902),
(34908, '1hbxA01', NULL, NULL, 71, NULL, NULL, 17903),
(34909, '1egwB01', NULL, NULL, 66, NULL, NULL, 17903),
(34910, '1n6jB01', NULL, NULL, 82, NULL, NULL, 17903),
(34911, '1mnmA01', NULL, NULL, 73, NULL, NULL, 17903),
(34912, '6byyD01', NULL, NULL, 83, NULL, NULL, 17903),
(34913, '5f28B00', NULL, NULL, 77, NULL, NULL, 17903),
(34914, '3mu6A01', NULL, NULL, 60, NULL, NULL, 17903),
(34915, '3qjoA03', NULL, NULL, 93, NULL, NULL, 17904),
(34916, '3fhnA05', NULL, NULL, 67, NULL, NULL, 17905),
(34917, '1zroA02', NULL, NULL, 35, NULL, NULL, 17906),
(34918, '4gf2A02', NULL, NULL, 35, NULL, NULL, 17906),
(34919, '2ynqA00', NULL, NULL, 161, NULL, NULL, 17907),
(34920, '3bt3A01', NULL, NULL, 88, NULL, NULL, 17908),
(34921, '3tl4X01', NULL, NULL, 115, NULL, NULL, 17909),
(34922, '6hr7A02', NULL, NULL, 211, NULL, NULL, 17910),
(34923, '3qaeA01', NULL, NULL, 260, NULL, NULL, 17910),
(34924, '4i6yB01', NULL, NULL, 260, NULL, NULL, 17910),
(34925, '2r4fA02', NULL, NULL, 221, NULL, NULL, 17910),
(34926, '4oe6B02', NULL, NULL, 205, NULL, NULL, 17911),
(34927, '4e3xA02', NULL, NULL, 199, NULL, NULL, 17911),
(34928, '4i8pA02', NULL, NULL, 192, NULL, NULL, 17911),
(34929, '5iuvA02', NULL, NULL, 193, NULL, NULL, 17911),
(34930, '3iwkA02', NULL, NULL, 192, NULL, NULL, 17911),
(34931, '3pqaA02', NULL, NULL, 186, NULL, NULL, 17911),
(34932, '4f3xA02', NULL, NULL, 191, NULL, NULL, 17911),
(34933, '4iymA02', NULL, NULL, 203, NULL, NULL, 17911),
(34934, '5a2dA02', NULL, NULL, 192, NULL, NULL, 17911),
(34935, '3ifgA02', NULL, NULL, 190, NULL, NULL, 17911),
(34936, '3b4wA02', NULL, NULL, 191, NULL, NULL, 17911),
(34937, '3jz4A02', NULL, NULL, 190, NULL, NULL, 17911),
(34938, '4i3vA02', NULL, NULL, 198, NULL, NULL, 17911),
(34939, '3szaA02', NULL, NULL, 195, NULL, NULL, 17911),
(34940, '4zz7A02', NULL, NULL, 203, NULL, NULL, 17911),
(34941, '4qtoA02', NULL, NULL, 194, NULL, NULL, 17911),
(34942, '2d4eA02', NULL, NULL, 197, NULL, NULL, 17911),
(34943, '1uxtA02', NULL, NULL, 198, NULL, NULL, 17911),
(34944, '5mz5A02', NULL, NULL, 189, NULL, NULL, 17911),
(34945, '5fhzA02', NULL, NULL, 190, NULL, NULL, 17911),
(34946, '4ogdA02', NULL, NULL, 190, NULL, NULL, 17911),
(34947, '3rjlA02', NULL, NULL, 191, NULL, NULL, 17911),
(34948, '4h7nA02', NULL, NULL, 191, NULL, NULL, 17911),
(34949, '2impA02', NULL, NULL, 191, NULL, NULL, 17911);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(34950, '3r64A02', NULL, NULL, 203, NULL, NULL, 17911),
(34951, '4cbbA02', NULL, NULL, 194, NULL, NULL, 17911),
(34952, '5mypA02', NULL, NULL, 208, NULL, NULL, 17911),
(34953, '1ad3A02', NULL, NULL, 195, NULL, NULL, 17911),
(34954, '1t90A02', NULL, NULL, 199, NULL, NULL, 17911),
(34955, '1o20A02', NULL, NULL, 149, NULL, NULL, 17911),
(34956, '3etfA02', NULL, NULL, 190, NULL, NULL, 17911),
(34957, '1o9jC02', NULL, NULL, 190, NULL, NULL, 17911),
(34958, '4o5hA02', NULL, NULL, 190, NULL, NULL, 17911),
(34959, '1a4sA02', NULL, NULL, 196, NULL, NULL, 17911),
(34960, '2o2pA02', NULL, NULL, 192, NULL, NULL, 17911),
(34961, '1ag8A02', NULL, NULL, 190, NULL, NULL, 17911),
(34962, '5u0lA02', NULL, NULL, 190, NULL, NULL, 17911),
(34963, '1ez0A02', NULL, NULL, 185, NULL, NULL, 17911),
(34964, '2jg7A02', NULL, NULL, 193, NULL, NULL, 17911),
(34965, '5abmA02', NULL, NULL, 190, NULL, NULL, 17911),
(34966, '5j6bA02', NULL, NULL, 190, NULL, NULL, 17911),
(34967, '6dbbA02', NULL, NULL, 194, NULL, NULL, 17911),
(34968, '4dngA02', NULL, NULL, 183, NULL, NULL, 17911),
(34969, '5j78A02', NULL, NULL, 184, NULL, NULL, 17911),
(34970, '4itaA02', NULL, NULL, 190, NULL, NULL, 17911),
(34971, '5vbfA02', NULL, NULL, 190, NULL, NULL, 17911),
(34972, '3rh9A02', NULL, NULL, 191, NULL, NULL, 17911),
(34973, '1uzbA02', NULL, NULL, 190, NULL, NULL, 17911),
(34974, '4oe5A02', NULL, NULL, 196, NULL, NULL, 17911),
(34975, '3v4cA02', NULL, NULL, 191, NULL, NULL, 17911),
(34976, '4qgkA02', NULL, NULL, 196, NULL, NULL, 17911),
(34977, '2h5gB02', NULL, NULL, 152, NULL, NULL, 17911),
(34978, '3prlA02', NULL, NULL, 193, NULL, NULL, 17911),
(34979, '4jdcA02', NULL, NULL, 198, NULL, NULL, 17911),
(34980, '4ghkB02', NULL, NULL, 154, NULL, NULL, 17911),
(34981, '4pz2A02', NULL, NULL, 193, NULL, NULL, 17911),
(34982, '4nmkA02', NULL, NULL, 189, NULL, NULL, 17911),
(34983, '3k9dA02', NULL, NULL, 185, NULL, NULL, 17911),
(34984, '1bi9D02', NULL, NULL, 190, NULL, NULL, 17911),
(34985, '4knaA02', NULL, NULL, 191, NULL, NULL, 17911),
(34986, '3vz0A02', NULL, NULL, 190, NULL, NULL, 17911),
(34987, '4qf6A02', NULL, NULL, 190, NULL, NULL, 17911),
(34988, '4pxnA02', NULL, NULL, 192, NULL, NULL, 17911),
(34989, '4c3sA02', NULL, NULL, 186, NULL, NULL, 17911),
(34990, '3my7A02', NULL, NULL, 216, NULL, NULL, 17911),
(34991, '5jryA02', NULL, NULL, 190, NULL, NULL, 17911),
(34992, '3i44A02', NULL, NULL, 191, NULL, NULL, 17911),
(34993, '3iwjA02', NULL, NULL, 192, NULL, NULL, 17911),
(34994, '1euhA02', NULL, NULL, 193, NULL, NULL, 17911),
(34995, '4go3A02', NULL, NULL, 193, NULL, NULL, 17911),
(34996, '6qapA02', NULL, NULL, 211, NULL, NULL, 17911),
(34997, '3u4jA02', NULL, NULL, 191, NULL, NULL, 17911),
(34998, '1wndA02', NULL, NULL, 191, NULL, NULL, 17911),
(34999, '4pxlB02', NULL, NULL, 190, NULL, NULL, 17911),
(35000, '1vluB02', NULL, NULL, 161, NULL, NULL, 17911),
(35001, '3ju8A02', NULL, NULL, 191, NULL, NULL, 17911),
(35002, '4i9bA02', NULL, NULL, 193, NULL, NULL, 17911),
(35003, '4qyjA02', NULL, NULL, 192, NULL, NULL, 17911),
(35004, '4lihA02', NULL, NULL, 192, NULL, NULL, 17911),
(35005, '4u3wA02', NULL, NULL, 195, NULL, NULL, 17911),
(35006, '5ucdA02', NULL, NULL, 194, NULL, NULL, 17911),
(35007, '2j6lA02', NULL, NULL, 193, NULL, NULL, 17911),
(35008, '4jbeA02', NULL, NULL, 140, NULL, NULL, 17911),
(35009, '3rosA02', NULL, NULL, 190, NULL, NULL, 17911),
(35010, '5kf0A02', NULL, NULL, 190, NULL, NULL, 17911),
(35011, '1o04A02', NULL, NULL, 190, NULL, NULL, 17911),
(35012, '5l2mA02', NULL, NULL, 190, NULL, NULL, 17911),
(35013, '5jfnA02', NULL, NULL, 187, NULL, NULL, 17911),
(35014, '3qanA02', NULL, NULL, 191, NULL, NULL, 17911),
(35015, '2y5dB02', NULL, NULL, 221, NULL, NULL, 17911),
(35016, '4jz6A02', NULL, NULL, 231, NULL, NULL, 17911),
(35017, '3r31A02', NULL, NULL, 193, NULL, NULL, 17911),
(35018, '3k2wB02', NULL, NULL, 194, NULL, NULL, 17911),
(35019, '5kloA02', NULL, NULL, 195, NULL, NULL, 17911),
(35020, '4yweH02', NULL, NULL, 193, NULL, NULL, 17911),
(35021, '3ty7A02', NULL, NULL, 189, NULL, NULL, 17911),
(35022, '4o6rA02', NULL, NULL, 194, NULL, NULL, 17911);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(35023, '2w8nA02', NULL, NULL, 191, NULL, NULL, 17911),
(35024, '3ek1A02', NULL, NULL, 188, NULL, NULL, 17911),
(35025, '1oisA01', NULL, NULL, 92, NULL, NULL, 17912),
(35026, '2b9sA02', NULL, NULL, 87, NULL, NULL, 17912),
(35027, '1k4tA02', NULL, NULL, 88, NULL, NULL, 17912),
(35028, '3o4hA01', NULL, NULL, 300, NULL, NULL, 17913),
(35029, '1gxlA02', NULL, NULL, 86, NULL, NULL, 17914),
(35030, '2h7oA01', NULL, NULL, 152, NULL, NULL, 17915),
(35031, '3pl8A02', NULL, NULL, 62, NULL, NULL, 17916),
(35032, '1mufA01', NULL, NULL, 113, NULL, NULL, 17917),
(35033, '3m58A01', NULL, NULL, 88, NULL, NULL, 17917),
(35034, '1n6aA01', NULL, NULL, 86, NULL, NULL, 17917),
(35035, '5yltA01', NULL, NULL, 90, NULL, NULL, 17917),
(35036, '1xxqA00', NULL, NULL, 161, NULL, NULL, 17918),
(35037, '3mitA00', NULL, NULL, 141, NULL, NULL, 17918),
(35038, '1toqA00', NULL, NULL, 133, NULL, NULL, 17918),
(35039, '1vboA00', NULL, NULL, 149, NULL, NULL, 17918),
(35040, '1zgrA01', NULL, NULL, 149, NULL, NULL, 17918),
(35041, '1zgrA02', NULL, NULL, 146, NULL, NULL, 17918),
(35042, '3aqgB00', NULL, NULL, 158, NULL, NULL, 17918),
(35043, '1c3kA00', NULL, NULL, 147, NULL, NULL, 17918),
(35044, '5krpA00', NULL, NULL, 150, NULL, NULL, 17918),
(35045, '3apaA00', NULL, NULL, 141, NULL, NULL, 17918),
(35046, '4pitA00', NULL, NULL, 149, NULL, NULL, 17918),
(35047, '4ddnA00', NULL, NULL, 160, NULL, NULL, 17918),
(35048, '5bn6E00', NULL, NULL, 138, NULL, NULL, 17918),
(35049, '6flwA00', NULL, NULL, 144, NULL, NULL, 17918),
(35050, '4akdC00', NULL, NULL, 150, NULL, NULL, 17918),
(35051, '1ouwA00', NULL, NULL, 152, NULL, NULL, 17918),
(35052, '5gvyA00', NULL, NULL, 145, NULL, NULL, 17918),
(35053, '3llzA00', NULL, NULL, 133, NULL, NULL, 17918),
(35054, '5exgB00', NULL, NULL, 150, NULL, NULL, 17918),
(35055, '3ll2A00', NULL, NULL, 123, NULL, NULL, 17918),
(35056, '3wocA00', NULL, NULL, 151, NULL, NULL, 17918),
(35057, '5gqtA01', NULL, NULL, 145, NULL, NULL, 17918),
(35058, '1xezA04', NULL, NULL, 135, NULL, NULL, 17918),
(35059, '2jz4A02', NULL, NULL, 151, NULL, NULL, 17918),
(35060, '4mq0A02', NULL, NULL, 145, NULL, NULL, 17918),
(35061, '2jz4A01', NULL, NULL, 148, NULL, NULL, 17918),
(35062, '4mq0A01', NULL, NULL, 149, NULL, NULL, 17918),
(35063, '4r6rA00', NULL, NULL, 133, NULL, NULL, 17918),
(35064, '5v6fA00', NULL, NULL, 138, NULL, NULL, 17918),
(35065, '4mq0A03', NULL, NULL, 152, NULL, NULL, 17918),
(35066, '2vh3A00', NULL, NULL, 113, NULL, NULL, 17919),
(35067, '1tkeA03', NULL, NULL, 58, NULL, NULL, 17920),
(35068, '2ztgA05', NULL, NULL, 55, NULL, NULL, 17920),
(35069, '2zzeB05', NULL, NULL, 56, NULL, NULL, 17920),
(35070, '2zzfA05', NULL, NULL, 56, NULL, NULL, 17920),
(35071, '1v4pA02', NULL, NULL, 47, NULL, NULL, 17920),
(35072, '2zzeA05', NULL, NULL, 56, NULL, NULL, 17920),
(35073, '4yrvA02', NULL, NULL, 68, NULL, NULL, 17921),
(35074, '4izzB02', NULL, NULL, 68, NULL, NULL, 17921),
(35075, '1wkvA01', NULL, NULL, 78, NULL, NULL, 17922),
(35076, '1m8oB00', NULL, NULL, 47, NULL, NULL, 17923),
(35077, '4opxA01', NULL, NULL, 91, NULL, NULL, 17924),
(35078, '3odcA00', NULL, NULL, 111, NULL, NULL, 17924),
(35079, '2l31A00', NULL, NULL, 112, NULL, NULL, 17924),
(35080, '3od8F00', NULL, NULL, 92, NULL, NULL, 17924),
(35081, '1uw0A01', NULL, NULL, 96, NULL, NULL, 17924),
(35082, '1v9xA00', NULL, NULL, 114, NULL, NULL, 17924),
(35083, '2ztbA03', NULL, NULL, 52, NULL, NULL, 17925),
(35084, '4b6zA01', NULL, NULL, 113, NULL, NULL, 17926),
(35085, '3l2nA01', NULL, NULL, 111, NULL, NULL, 17926),
(35086, '4a37A01', NULL, NULL, 126, NULL, NULL, 17926),
(35087, '3k2kA01', NULL, NULL, 113, NULL, NULL, 17926),
(35088, '1xeeA01', NULL, NULL, 82, NULL, NULL, 17927),
(35089, '2l6qA00', NULL, NULL, 62, NULL, NULL, 17928),
(35090, '3omlA02', NULL, NULL, 55, NULL, NULL, 17929),
(35091, '1zbqA02', NULL, NULL, 60, NULL, NULL, 17929),
(35092, '1gz6A02', NULL, NULL, 73, NULL, NULL, 17929),
(35093, '3h3aA04', NULL, NULL, 50, NULL, NULL, 17930),
(35094, '6q52A04', NULL, NULL, 61, NULL, NULL, 17930),
(35095, '1miwA04', NULL, NULL, 64, NULL, NULL, 17930),
(35096, '2f5tX02', NULL, NULL, 90, NULL, NULL, 17931);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(35097, '3tixA02', NULL, NULL, 79, NULL, NULL, 17932),
(35098, '1rifA01', NULL, NULL, 90, NULL, NULL, 17933),
(35099, '2vf1A02', NULL, NULL, 48, NULL, NULL, 17934),
(35100, '4khbC00', NULL, NULL, 127, NULL, NULL, 17935),
(35101, '1cseI00', NULL, NULL, 70, NULL, NULL, 17936),
(35102, '3rdyA00', NULL, NULL, 79, NULL, NULL, 17936),
(35103, '1hymA00', NULL, NULL, 45, NULL, NULL, 17936),
(35104, '4h4fB00', NULL, NULL, 70, NULL, NULL, 17936),
(35105, '1to2I00', NULL, NULL, 64, NULL, NULL, 17936),
(35106, '1tinA00', NULL, NULL, 69, NULL, NULL, 17936),
(35107, '5ffnI00', NULL, NULL, 72, NULL, NULL, 17936),
(35108, '3w0eA00', NULL, NULL, 68, NULL, NULL, 17936),
(35109, '1ypcI00', NULL, NULL, 64, NULL, NULL, 17936),
(35110, '1cisA00', NULL, NULL, 66, NULL, NULL, 17936),
(35111, '1dwmA00', NULL, NULL, 70, NULL, NULL, 17936),
(35112, '1vbwA00', NULL, NULL, 68, NULL, NULL, 17936),
(35113, '2yadA00', NULL, NULL, 76, NULL, NULL, 17937),
(35114, '2yadD00', NULL, NULL, 79, NULL, NULL, 17937),
(35115, '2yadB00', NULL, NULL, 109, NULL, NULL, 17937),
(35116, '1x9zA02', NULL, NULL, 89, NULL, NULL, 17938),
(35117, '3ncvA02', NULL, NULL, 96, NULL, NULL, 17938),
(35118, '3kdgA02', NULL, NULL, 98, NULL, NULL, 17938),
(35119, '3nctB00', NULL, NULL, 144, NULL, NULL, 17939),
(35120, '2dlbA00', NULL, NULL, 80, NULL, NULL, 17940),
(35121, '2uvaG11', NULL, NULL, 55, NULL, NULL, 17941),
(35122, '2uv8G11', NULL, NULL, 54, NULL, NULL, 17941),
(35123, '4zy7A00', NULL, NULL, 143, NULL, NULL, 17942),
(35124, '3cuqC01', NULL, NULL, 101, NULL, NULL, 17943),
(35125, '1xb4B01', NULL, NULL, 125, NULL, NULL, 17943),
(35126, '1vajA01', NULL, NULL, 140, NULL, NULL, 17944),
(35127, '1zq7B01', NULL, NULL, 134, NULL, NULL, 17944),
(35128, '1wscB01', NULL, NULL, 154, NULL, NULL, 17944),
(35129, '1cwvA04', NULL, NULL, 91, NULL, NULL, 17945),
(35130, '2mh4A00', NULL, NULL, 101, NULL, NULL, 17945),
(35131, '4hu8A01', NULL, NULL, 78, NULL, NULL, 17945),
(35132, '1f00I02', NULL, NULL, 89, NULL, NULL, 17945),
(35133, '2l04A00', NULL, NULL, 91, NULL, NULL, 17945),
(35134, '2mogA00', NULL, NULL, 95, NULL, NULL, 17945),
(35135, '3ncxB01', NULL, NULL, 96, NULL, NULL, 17945),
(35136, '4aq1A02', NULL, NULL, 91, NULL, NULL, 17945),
(35137, '1iioA00', NULL, NULL, 84, NULL, NULL, 17946),
(35138, '2krxA01', NULL, NULL, 72, NULL, NULL, 17947),
(35139, '4divC02', NULL, NULL, 45, NULL, NULL, 17948),
(35140, '2hraB01', NULL, NULL, 102, NULL, NULL, 17949),
(35141, '2hraA01', NULL, NULL, 100, NULL, NULL, 17949),
(35142, '4fixA01', NULL, NULL, 403, NULL, NULL, 17950),
(35143, '3n2qA02', NULL, NULL, 117, NULL, NULL, 17951),
(35144, '4ia6A02', NULL, NULL, 145, NULL, NULL, 17952),
(35145, '4uirA02', NULL, NULL, 141, NULL, NULL, 17952),
(35146, '3i08B01', NULL, NULL, 29, NULL, NULL, 17953),
(35147, '1sx5B00', NULL, NULL, 244, NULL, NULL, 17954),
(35148, '2gigB00', NULL, NULL, 257, NULL, NULL, 17954),
(35149, '1ev7A01', NULL, NULL, 176, NULL, NULL, 17954),
(35150, '1azoA00', NULL, NULL, 232, NULL, NULL, 17954),
(35151, '2aorB00', NULL, NULL, 223, NULL, NULL, 17954),
(35152, '3vtiA06', NULL, NULL, 105, NULL, NULL, 17955),
(35153, '2kdcA00', NULL, NULL, 121, NULL, NULL, 17956),
(35154, '1he1A00', NULL, NULL, 135, NULL, NULL, 17957),
(35155, '1hy5B00', NULL, NULL, 136, NULL, NULL, 17957),
(35156, '1he9A00', NULL, NULL, 134, NULL, NULL, 17957),
(35157, '1g4uS01', NULL, NULL, 133, NULL, NULL, 17957),
(35158, '1r4tA00', NULL, NULL, 135, NULL, NULL, 17957),
(35159, '3rlfF01', NULL, NULL, 95, NULL, NULL, 17958),
(35160, '2xqhA03', NULL, NULL, 68, NULL, NULL, 17959),
(35161, '3fprA00', NULL, NULL, 100, NULL, NULL, 17960),
(35162, '2e2fA00', NULL, NULL, 41, NULL, NULL, 17961),
(35163, '1x3aA00', NULL, NULL, 100, NULL, NULL, 17962),
(35164, '3mlgA00', NULL, NULL, 189, NULL, NULL, 17963),
(35165, '6g1iA00', NULL, NULL, 223, NULL, NULL, 17964),
(35166, '4xsgB00', NULL, NULL, 219, NULL, NULL, 17965),
(35167, '5urpA00', NULL, NULL, 201, NULL, NULL, 17965),
(35168, '4elnA00', NULL, NULL, 237, NULL, NULL, 17965),
(35169, '2gwmA00', NULL, NULL, 200, NULL, NULL, 17965),
(35170, '5wtzA01', NULL, NULL, 214, NULL, NULL, 17965); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(35171, '2c8hB00', NULL, NULL, 211, NULL, NULL, 17965),
(35172, '1gxyA00', NULL, NULL, 226, NULL, NULL, 17965),
(35173, '5wtzA02', NULL, NULL, 207, NULL, NULL, 17965),
(35174, '1r45A00', NULL, NULL, 204, NULL, NULL, 17965),
(35175, '4dv8A01', NULL, NULL, 218, NULL, NULL, 17965),
(35176, '3bw8A00', NULL, NULL, 217, NULL, NULL, 17965),
(35177, '5dzqO00', NULL, NULL, 186, NULL, NULL, 17965),
(35178, '4h03A01', NULL, NULL, 216, NULL, NULL, 17965),
(35179, '4fk7A00', NULL, NULL, 229, NULL, NULL, 17965),
(35180, '4fmlA00', NULL, NULL, 204, NULL, NULL, 17965),
(35181, '4h03A02', NULL, NULL, 202, NULL, NULL, 17965),
(35182, '1qs1A01', NULL, NULL, 203, NULL, NULL, 17965),
(35183, '1qs1A02', NULL, NULL, 198, NULL, NULL, 17965),
(35184, '2wn4A02', NULL, NULL, 202, NULL, NULL, 17965),
(35185, '1ojqA00', NULL, NULL, 212, NULL, NULL, 17965),
(35186, '2j3xA02', NULL, NULL, 212, NULL, NULL, 17965),
(35187, '2wn6A01', NULL, NULL, 202, NULL, NULL, 17965),
(35188, '2j3xA01', NULL, NULL, 219, NULL, NULL, 17965),
(35189, '3u0jA00', NULL, NULL, 236, NULL, NULL, 17965),
(35190, '3n91A02', NULL, NULL, 136, NULL, NULL, 17966),
(35191, '2jubA01', NULL, NULL, 37, NULL, NULL, 17967),
(35192, '4zg4E04', NULL, NULL, 151, NULL, NULL, 17968),
(35193, '2v26A05', NULL, NULL, 163, NULL, NULL, 17968),
(35194, '1lkxA04', NULL, NULL, 188, NULL, NULL, 17968),
(35195, '2mysA05', NULL, NULL, 151, NULL, NULL, 17968),
(35196, '1vomA04', NULL, NULL, 160, NULL, NULL, 17968),
(35197, '1lvkA05', NULL, NULL, 150, NULL, NULL, 17968),
(35198, '1b7tA04', NULL, NULL, 159, NULL, NULL, 17968),
(35199, '1br2A04', NULL, NULL, 206, NULL, NULL, 17968),
(35200, '1iokA02', NULL, NULL, 92, NULL, NULL, 17969),
(35201, '4d8qA02', NULL, NULL, 102, NULL, NULL, 17969),
(35202, '1kp8A02', NULL, NULL, 94, NULL, NULL, 17969),
(35203, '3ruvA02', NULL, NULL, 104, NULL, NULL, 17969),
(35204, '4d8qC02', NULL, NULL, 114, NULL, NULL, 17969),
(35205, '3p9dD02', NULL, NULL, 105, NULL, NULL, 17969),
(35206, '3p9dE02', NULL, NULL, 105, NULL, NULL, 17969),
(35207, '3rtkA02', NULL, NULL, 88, NULL, NULL, 17969),
(35208, '5cdiA02', NULL, NULL, 90, NULL, NULL, 17969),
(35209, '3kttB02', NULL, NULL, 105, NULL, NULL, 17969),
(35210, '4ki8A02', NULL, NULL, 66, NULL, NULL, 17969),
(35211, '1q3qA02', NULL, NULL, 107, NULL, NULL, 17969),
(35212, '4aolB02', NULL, NULL, 120, NULL, NULL, 17969),
(35213, '3aq1B02', NULL, NULL, 110, NULL, NULL, 17969),
(35214, '1we3A02', NULL, NULL, 92, NULL, NULL, 17969),
(35215, '3p9dH02', NULL, NULL, 113, NULL, NULL, 17969),
(35216, '3ko1A02', NULL, NULL, 107, NULL, NULL, 17969),
(35217, '3p9dF02', NULL, NULL, 107, NULL, NULL, 17969),
(35218, '4pj1A02', NULL, NULL, 92, NULL, NULL, 17969),
(35219, '3p9dG02', NULL, NULL, 106, NULL, NULL, 17969),
(35220, '4xciB02', NULL, NULL, 106, NULL, NULL, 17969),
(35221, '4xcgA02', NULL, NULL, 113, NULL, NULL, 17969),
(35222, '1a6dB02', NULL, NULL, 107, NULL, NULL, 17969),
(35223, '1a6dA02', NULL, NULL, 106, NULL, NULL, 17969),
(35224, '5da8A02', NULL, NULL, 94, NULL, NULL, 17969),
(35225, '2lpeA01', NULL, NULL, 78, NULL, NULL, 17970),
(35226, '2wm9A03', NULL, NULL, 122, NULL, NULL, 17971),
(35227, '2yinA03', NULL, NULL, 130, NULL, NULL, 17971),
(35228, '6ajlA02', NULL, NULL, 123, NULL, NULL, 17971),
(35229, '3vhlA02', NULL, NULL, 123, NULL, NULL, 17971),
(35230, '6h9nA01', NULL, NULL, 70, NULL, NULL, 17972),
(35231, '2mhjA00', NULL, NULL, 95, NULL, NULL, 17972),
(35232, '4k3cA02', NULL, NULL, 76, NULL, NULL, 17972),
(35233, '4k3cA01', NULL, NULL, 82, NULL, NULL, 17972),
(35234, '2vh2B01', NULL, NULL, 72, NULL, NULL, 17972),
(35235, '4k3bA05', NULL, NULL, 79, NULL, NULL, 17972),
(35236, '2qdfA03', NULL, NULL, 91, NULL, NULL, 17972),
(35237, '2qdfA02', NULL, NULL, 83, NULL, NULL, 17972),
(35238, '2x8xX01', NULL, NULL, 76, NULL, NULL, 17972),
(35239, '2qdfA01', NULL, NULL, 75, NULL, NULL, 17972),
(35240, '3mc9A01', NULL, NULL, 79, NULL, NULL, 17972),
(35241, '2x8xX02', NULL, NULL, 76, NULL, NULL, 17972),
(35242, '2x8xX03', NULL, NULL, 83, NULL, NULL, 17972),
(35243, '3mc9A02', NULL, NULL, 86, NULL, NULL, 17972);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(35244, '3njtA02', NULL, NULL, 73, NULL, NULL, 17972),
(35245, '3njtA03', NULL, NULL, 73, NULL, NULL, 17972),
(35246, '4k3bA03', NULL, NULL, 92, NULL, NULL, 17972),
(35247, '4k3bA04', NULL, NULL, 78, NULL, NULL, 17972),
(35248, '4k3bA01', NULL, NULL, 69, NULL, NULL, 17972),
(35249, '4k3bA02', NULL, NULL, 84, NULL, NULL, 17972),
(35250, '4bzaA03', NULL, NULL, 79, NULL, NULL, 17972),
(35251, '4bzaA02', NULL, NULL, 87, NULL, NULL, 17972),
(35252, '4bzaA01', NULL, NULL, 81, NULL, NULL, 17972),
(35253, '3q6bA02', NULL, NULL, 74, NULL, NULL, 17972),
(35254, '3q6bA01', NULL, NULL, 81, NULL, NULL, 17972),
(35255, '3og5A01', NULL, NULL, 86, NULL, NULL, 17972),
(35256, '3og5A02', NULL, NULL, 80, NULL, NULL, 17972),
(35257, '3mc8A03', NULL, NULL, 97, NULL, NULL, 17972),
(35258, '1qw2A00', NULL, NULL, 102, NULL, NULL, 17973),
(35259, '5tz6B02', NULL, NULL, 158, NULL, NULL, 17974),
(35260, '4kzsA01', NULL, NULL, 102, NULL, NULL, 17975),
(35261, '2f4lA03', NULL, NULL, 82, NULL, NULL, 17975),
(35262, '1tt4A00', NULL, NULL, 368, NULL, NULL, 17976),
(35263, '3ln7A01', NULL, NULL, 430, NULL, NULL, 17976),
(35264, '3ln6A01', NULL, NULL, 426, NULL, NULL, 17976),
(35265, '3nztA00', NULL, NULL, 500, NULL, NULL, 17976),
(35266, '2gwcB00', NULL, NULL, 449, NULL, NULL, 17976),
(35267, '1va6B02', NULL, NULL, 447, NULL, NULL, 17976),
(35268, '1r8gB00', NULL, NULL, 372, NULL, NULL, 17976),
(35269, '6fbcA01', NULL, NULL, 155, NULL, NULL, 17977),
(35270, '4fw1B01', NULL, NULL, 167, NULL, NULL, 17977),
(35271, '3u3gA00', NULL, NULL, 140, NULL, NULL, 17977),
(35272, '3l3uA00', NULL, NULL, 163, NULL, NULL, 17977),
(35273, '3tr8A00', NULL, NULL, 186, NULL, NULL, 17977),
(35274, '1x9mA01', NULL, NULL, 226, NULL, NULL, 17977),
(35275, '2gbzA00', NULL, NULL, 194, NULL, NULL, 17977),
(35276, '3qipA05', NULL, NULL, 126, NULL, NULL, 17977),
(35277, '1vk0A00', NULL, NULL, 206, NULL, NULL, 17977),
(35278, '4fzxD00', NULL, NULL, 175, NULL, NULL, 17977),
(35279, '2gv9A03', NULL, NULL, 231, NULL, NULL, 17977),
(35280, '2yhaA02', NULL, NULL, 239, NULL, NULL, 17977),
(35281, '4ah9A00', NULL, NULL, 157, NULL, NULL, 17977),
(35282, '1jl1A00', NULL, NULL, 155, NULL, NULL, 17977),
(35283, '4e19A00', NULL, NULL, 133, NULL, NULL, 17977),
(35284, '6a4dB00', NULL, NULL, 184, NULL, NULL, 17977),
(35285, '4nlcA01', NULL, NULL, 272, NULL, NULL, 17977),
(35286, '1ekeB01', NULL, NULL, 175, NULL, NULL, 17977),
(35287, '3f2kB00', NULL, NULL, 226, NULL, NULL, 17977),
(35288, '1lwcA05', NULL, NULL, 106, NULL, NULL, 17977),
(35289, '4ibnA01', NULL, NULL, 197, NULL, NULL, 17977),
(35290, '2z1iA00', NULL, NULL, 155, NULL, NULL, 17977),
(35291, '1kcfB00', NULL, NULL, 258, NULL, NULL, 17977),
(35292, '2py5A01', NULL, NULL, 188, NULL, NULL, 17977),
(35293, '2d0bA02', NULL, NULL, 220, NULL, NULL, 17977),
(35294, '4fzyA00', NULL, NULL, 175, NULL, NULL, 17977),
(35295, '2rpiA00', NULL, NULL, 112, NULL, NULL, 17977),
(35296, '2ehgA00', NULL, NULL, 149, NULL, NULL, 17977),
(35297, '3o3fA00', NULL, NULL, 222, NULL, NULL, 17977),
(35298, '1mu2A05', NULL, NULL, 127, NULL, NULL, 17977),
(35299, '3vn5A02', NULL, NULL, 187, NULL, NULL, 17977),
(35300, '4mdaA00', NULL, NULL, 225, NULL, NULL, 17977),
(35301, '1yvuA04', NULL, NULL, 214, NULL, NULL, 17977),
(35302, '3v1oA00', NULL, NULL, 180, NULL, NULL, 17977),
(35303, '2kfnA01', NULL, NULL, 217, NULL, NULL, 17977),
(35304, '4yfuA01', NULL, NULL, 194, NULL, NULL, 17977),
(35305, '2p51A00', NULL, NULL, 255, NULL, NULL, 17977),
(35306, '1j9aA00', NULL, NULL, 184, NULL, NULL, 17977),
(35307, '5ywtA01', NULL, NULL, 220, NULL, NULL, 17977),
(35308, '2lsnA00', NULL, NULL, 165, NULL, NULL, 17977),
(35309, '3pufG01', NULL, NULL, 204, NULL, NULL, 17977),
(35310, '1noyB02', NULL, NULL, 232, NULL, NULL, 17977),
(35311, '5cr4A00', NULL, NULL, 230, NULL, NULL, 17977),
(35312, '5gq9A05', NULL, NULL, 219, NULL, NULL, 17977),
(35313, '5dmrA00', NULL, NULL, 172, NULL, NULL, 17977),
(35314, '3kksB00', NULL, NULL, 152, NULL, NULL, 17977),
(35315, '1hjrA00', NULL, NULL, 158, NULL, NULL, 17977),
(35316, '3h08B00', NULL, NULL, 146, NULL, NULL, 17977);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(35317, '4kreA04', NULL, NULL, 278, NULL, NULL, 17977),
(35318, '1io2A01', NULL, NULL, 160, NULL, NULL, 17977),
(35319, '4zhrA05', NULL, NULL, 126, NULL, NULL, 17977),
(35320, '2kw4A00', NULL, NULL, 147, NULL, NULL, 17977),
(35321, '1wljA00', NULL, NULL, 189, NULL, NULL, 17977),
(35322, '6q4tA02', NULL, NULL, 217, NULL, NULL, 17977),
(35323, '5dk5A01', NULL, NULL, 213, NULL, NULL, 17977),
(35324, '4qclA03', NULL, NULL, 300, NULL, NULL, 17977),
(35325, '2x78A00', NULL, NULL, 200, NULL, NULL, 17977),
(35326, '2jguA02', NULL, NULL, 217, NULL, NULL, 17977),
(35327, '2d5rA00', NULL, NULL, 252, NULL, NULL, 17977),
(35328, '5omvA02', NULL, NULL, 217, NULL, NULL, 17977),
(35329, '2e6mA00', NULL, NULL, 208, NULL, NULL, 17977),
(35330, '3iayA03', NULL, NULL, 219, NULL, NULL, 17977),
(35331, '5v5fA00', NULL, NULL, 200, NULL, NULL, 17977),
(35332, '2yv0X00', NULL, NULL, 155, NULL, NULL, 17977),
(35333, '3v9wB00', NULL, NULL, 207, NULL, NULL, 17977),
(35334, '1y97A01', NULL, NULL, 216, NULL, NULL, 17977),
(35335, '3oymA03', NULL, NULL, 134, NULL, NULL, 17977),
(35336, '3cymA01', NULL, NULL, 212, NULL, NULL, 17977),
(35337, '4ly7A00', NULL, NULL, 155, NULL, NULL, 17977),
(35338, '1tgoA02', NULL, NULL, 217, NULL, NULL, 17977),
(35339, '5vm9C04', NULL, NULL, 278, NULL, NULL, 17977),
(35340, '1b9fA00', NULL, NULL, 163, NULL, NULL, 17977),
(35341, '5c0yA01', NULL, NULL, 306, NULL, NULL, 17977),
(35342, '3safB01', NULL, NULL, 310, NULL, NULL, 17977),
(35343, '3dlbA04', NULL, NULL, 175, NULL, NULL, 17977),
(35344, '4ogeA01', NULL, NULL, 198, NULL, NULL, 17977),
(35345, '1cxqA00', NULL, NULL, 162, NULL, NULL, 17977),
(35346, '1s5jA02', NULL, NULL, 196, NULL, NULL, 17977),
(35347, '1uocB00', NULL, NULL, 289, NULL, NULL, 17977),
(35348, '3p5jA01', NULL, NULL, 202, NULL, NULL, 17977),
(35349, '1d5aA02', NULL, NULL, 217, NULL, NULL, 17977),
(35350, '2igiB00', NULL, NULL, 180, NULL, NULL, 17977),
(35351, '3qioA00', NULL, NULL, 150, NULL, NULL, 17977),
(35352, '2xriA01', NULL, NULL, 206, NULL, NULL, 17977),
(35353, '5jl4A00', NULL, NULL, 163, NULL, NULL, 17977),
(35354, '2f96A00', NULL, NULL, 206, NULL, NULL, 17977),
(35355, '1bcoA01', NULL, NULL, 240, NULL, NULL, 17977),
(35356, '6a45B01', NULL, NULL, 216, NULL, NULL, 17977),
(35357, '1rnhA00', NULL, NULL, 155, NULL, NULL, 17977),
(35358, '2qxfA01', NULL, NULL, 201, NULL, NULL, 17977),
(35359, '4rg8A01', NULL, NULL, 194, NULL, NULL, 17977),
(35360, '5cy4B00', NULL, NULL, 196, NULL, NULL, 17977),
(35361, '1c9rA05', NULL, NULL, 130, NULL, NULL, 17977),
(35362, '1i39A01', NULL, NULL, 155, NULL, NULL, 17977),
(35363, '5h12A02', NULL, NULL, 217, NULL, NULL, 17977),
(35364, '4ahcA02', NULL, NULL, 217, NULL, NULL, 17977),
(35365, '3hstB00', NULL, NULL, 141, NULL, NULL, 17977),
(35366, '5t3aA01', NULL, NULL, 154, NULL, NULL, 17977),
(35367, '1rilA00', NULL, NULL, 166, NULL, NULL, 17977),
(35368, '1exqA00', NULL, NULL, 154, NULL, NULL, 17977),
(35369, '4dleA01', NULL, NULL, 154, NULL, NULL, 17977),
(35370, '3p1gA00', NULL, NULL, 165, NULL, NULL, 17977),
(35371, '4qozB02', NULL, NULL, 242, NULL, NULL, 17977),
(35372, '2p1jA01', NULL, NULL, 150, NULL, NULL, 17977),
(35373, '4z4dA04', NULL, NULL, 278, NULL, NULL, 17977),
(35374, '4ktwA00', NULL, NULL, 161, NULL, NULL, 17977),
(35375, '2hb5A00', NULL, NULL, 164, NULL, NULL, 17977),
(35376, '4g1qA05', NULL, NULL, 129, NULL, NULL, 17977),
(35377, '1jl2A00', NULL, NULL, 156, NULL, NULL, 17977),
(35378, '1uaxA00', NULL, NULL, 220, NULL, NULL, 17977),
(35379, '2guiA00', NULL, NULL, 194, NULL, NULL, 17977),
(35380, '3p83D00', NULL, NULL, 217, NULL, NULL, 17977),
(35381, '3d45B01', NULL, NULL, 327, NULL, NULL, 17977),
(35382, '2z1hA00', NULL, NULL, 155, NULL, NULL, 17977),
(35383, '4ep4A00', NULL, NULL, 166, NULL, NULL, 17977),
(35384, '4okeA00', NULL, NULL, 168, NULL, NULL, 17977),
(35385, '4ogcA01', NULL, NULL, 200, NULL, NULL, 17977),
(35386, '4py5A02', NULL, NULL, 199, NULL, NULL, 17977),
(35387, '4fzxC00', NULL, NULL, 175, NULL, NULL, 17977),
(35388, '4mq3A00', NULL, NULL, 132, NULL, NULL, 17977),
(35389, '1w0hA00', NULL, NULL, 204, NULL, NULL, 17977);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(35390, '6dopA00', NULL, NULL, 142, NULL, NULL, 17977),
(35391, '2a1rB01', NULL, NULL, 313, NULL, NULL, 17977),
(35392, '2etjA00', NULL, NULL, 233, NULL, NULL, 17977),
(35393, '4flwA02', NULL, NULL, 217, NULL, NULL, 17977),
(35394, '2w42B02', NULL, NULL, 255, NULL, NULL, 17977),
(35395, '1c6vA00', NULL, NULL, 164, NULL, NULL, 17977),
(35396, '1u04A04', NULL, NULL, 224, NULL, NULL, 17977),
(35397, '2e4lA00', NULL, NULL, 158, NULL, NULL, 17977),
(35398, '3qexA02', NULL, NULL, 231, NULL, NULL, 17977),
(35399, '1aswA00', NULL, NULL, 162, NULL, NULL, 17977),
(35400, '5cz1A00', NULL, NULL, 169, NULL, NULL, 17977),
(35401, '2fbyA00', NULL, NULL, 205, NULL, NULL, 17977),
(35402, '2qkbA00', NULL, NULL, 154, NULL, NULL, 17977),
(35403, '4fvmA03', NULL, NULL, 236, NULL, NULL, 17977),
(35404, '1q8iA03', NULL, NULL, 197, NULL, NULL, 17977),
(35405, '1yt3A01', NULL, NULL, 194, NULL, NULL, 17977),
(35406, '4b3oA05', NULL, NULL, 126, NULL, NULL, 17977),
(35407, '3f9kA02', NULL, NULL, 154, NULL, NULL, 17977),
(35408, '1vs9G01', NULL, NULL, 59, NULL, NULL, 17978),
(35409, '4uy8H00', NULL, NULL, 50, NULL, NULL, 17978),
(35410, '1vw4G00', NULL, NULL, 64, NULL, NULL, 17978),
(35411, '2hbaA00', NULL, NULL, 52, NULL, NULL, 17978),
(35412, '1pmiA02', NULL, NULL, 136, NULL, NULL, 17979),
(35413, '2wfpA03', NULL, NULL, 113, NULL, NULL, 17979),
(35414, '2k4yA00', NULL, NULL, 86, NULL, NULL, 17980),
(35415, '2qq9A03', NULL, NULL, 77, NULL, NULL, 17980),
(35416, '1fx7B03', NULL, NULL, 80, NULL, NULL, 17980),
(35417, '4o5vA03', NULL, NULL, 78, NULL, NULL, 17980),
(35418, '5cviB02', NULL, NULL, 76, NULL, NULL, 17980),
(35419, '3e19B01', NULL, NULL, 64, NULL, NULL, 17980),
(35420, '2k5fA01', NULL, NULL, 83, NULL, NULL, 17980),
(35421, '3mhxB00', NULL, NULL, 85, NULL, NULL, 17980),
(35422, '2h3jA01', NULL, NULL, 68, NULL, NULL, 17980),
(35423, '2k5lA00', NULL, NULL, 81, NULL, NULL, 17980),
(35424, '1bymA00', NULL, NULL, 97, NULL, NULL, 17980),
(35425, '2k5iA01', NULL, NULL, 84, NULL, NULL, 17980),
(35426, '3hrsA02', NULL, NULL, 76, NULL, NULL, 17980),
(35427, '2gcxA01', NULL, NULL, 69, NULL, NULL, 17980),
(35428, '2lx9A00', NULL, NULL, 83, NULL, NULL, 17980),
(35429, '2k5iA02', NULL, NULL, 78, NULL, NULL, 17980),
(35430, '2j8pA00', NULL, NULL, 49, NULL, NULL, 17981),
(35431, '5uv8A01', NULL, NULL, 81, NULL, NULL, 17982),
(35432, '1xrdA01', NULL, NULL, 43, NULL, NULL, 17983),
(35433, '6et5300', NULL, NULL, 59, NULL, NULL, 17983),
(35434, '1nkzA00', NULL, NULL, 53, NULL, NULL, 17983),
(35435, '5y5s100', NULL, NULL, 61, NULL, NULL, 17983),
(35436, '1lghA00', NULL, NULL, 56, NULL, NULL, 17983),
(35437, '1ijdA00', NULL, NULL, 53, NULL, NULL, 17983),
(35438, '4e0pA02', NULL, NULL, 226, NULL, NULL, 17984),
(35439, '2v6eA03', NULL, NULL, 225, NULL, NULL, 17984),
(35440, '4a0tA01', NULL, NULL, 61, NULL, NULL, 17985),
(35441, '4zadA03', NULL, NULL, 36, NULL, NULL, 17986),
(35442, '4zacA03', NULL, NULL, 37, NULL, NULL, 17986),
(35443, '4ip2A03', NULL, NULL, 39, NULL, NULL, 17986),
(35444, '3kihD00', NULL, NULL, 97, NULL, NULL, 17987),
(35445, '3kifD00', NULL, NULL, 106, NULL, NULL, 17987),
(35446, '1r8oB01', NULL, NULL, 66, NULL, NULL, 17988),
(35447, '2olvA01', NULL, NULL, 108, NULL, NULL, 17989),
(35448, '3dwkB01', NULL, NULL, 103, NULL, NULL, 17989),
(35449, '4bbyA02', NULL, NULL, 44, NULL, NULL, 17990),
(35450, '3n7sD00', NULL, NULL, 96, NULL, NULL, 17991),
(35451, '3aqeA00', NULL, NULL, 91, NULL, NULL, 17991),
(35452, '2yx8A00', NULL, NULL, 93, NULL, NULL, 17991),
(35453, '2xvtC00', NULL, NULL, 94, NULL, NULL, 17991),
(35454, '3lmmA02', NULL, NULL, 79, NULL, NULL, 17992),
(35455, '3pieC08', NULL, NULL, 22, NULL, NULL, 17993),
(35456, '3sb1A02', NULL, NULL, 20, NULL, NULL, 17993),
(35457, '4ps6A00', NULL, NULL, 130, NULL, NULL, 17994),
(35458, '1xs0A00', NULL, NULL, 136, NULL, NULL, 17994),
(35459, '1d0qA00', NULL, NULL, 103, NULL, NULL, 17995),
(35460, '2au3A01', NULL, NULL, 99, NULL, NULL, 17995),
(35461, '1x74A03', NULL, NULL, 23, NULL, NULL, 17996),
(35462, '4id2A00', NULL, NULL, 142, NULL, NULL, 17997),
(35463, '3nisA01', NULL, NULL, 72, NULL, NULL, 17998);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(35464, '4wpyA01', NULL, NULL, 80, NULL, NULL, 17999),
(35465, '2fggA01', NULL, NULL, 89, NULL, NULL, 17999),
(35466, '2jbvA02', NULL, NULL, 71, NULL, NULL, 18000),
(35467, '1gpeA02', NULL, NULL, 64, NULL, NULL, 18000),
(35468, '3qvpA02', NULL, NULL, 64, NULL, NULL, 18000),
(35469, '2e30B01', NULL, NULL, 22, NULL, NULL, 18001),
(35470, '1chdA00', NULL, NULL, 203, NULL, NULL, 18002),
(35471, '3sftA00', NULL, NULL, 193, NULL, NULL, 18002),
(35472, '1g4mA01', NULL, NULL, 171, NULL, NULL, 18003),
(35473, '3uguA01', NULL, NULL, 172, NULL, NULL, 18003),
(35474, '3p2dA01', NULL, NULL, 177, NULL, NULL, 18003),
(35475, '1sujA01', NULL, NULL, 171, NULL, NULL, 18003),
(35476, '3gf6A00', NULL, NULL, 224, NULL, NULL, 18004),
(35477, '2z2mD02', NULL, NULL, 42, NULL, NULL, 18005),
(35478, '3f1iH00', NULL, NULL, 98, NULL, NULL, 18006),
(35479, '3f1iS00', NULL, NULL, 77, NULL, NULL, 18006),
(35480, '2pjwV00', NULL, NULL, 91, NULL, NULL, 18006),
(35481, '2pjwH00', NULL, NULL, 88, NULL, NULL, 18006),
(35482, '4iikA00', NULL, NULL, 319, NULL, NULL, 18007),
(35483, '1pm4A00', NULL, NULL, 119, NULL, NULL, 18008),
(35484, '2b3tB01', NULL, NULL, 71, NULL, NULL, 18009),
(35485, '1wkbA02', NULL, NULL, 243, NULL, NULL, 18010),
(35486, '4k47A00', NULL, NULL, 192, NULL, NULL, 18010),
(35487, '2ajgA00', NULL, NULL, 196, NULL, NULL, 18010),
(35488, '3pz6D00', NULL, NULL, 279, NULL, NULL, 18010),
(35489, '1wkaA00', NULL, NULL, 147, NULL, NULL, 18010),
(35490, '2v0cA02', NULL, NULL, 190, NULL, NULL, 18010),
(35491, '5agrA00', NULL, NULL, 201, NULL, NULL, 18010),
(35492, '2wfdA00', NULL, NULL, 252, NULL, NULL, 18010),
(35493, '3o0aA00', NULL, NULL, 219, NULL, NULL, 18010),
(35494, '1wk8B00', NULL, NULL, 194, NULL, NULL, 18010),
(35495, '1ffyA02', NULL, NULL, 207, NULL, NULL, 18010),
(35496, '5agiA00', NULL, NULL, 261, NULL, NULL, 18010),
(35497, '3oh3A02', NULL, NULL, 138, NULL, NULL, 18011),
(35498, '1kyqA02', NULL, NULL, 37, NULL, NULL, 18012),
(35499, '3c6mC01', NULL, NULL, 57, NULL, NULL, 18012),
(35500, '3c6kA01', NULL, NULL, 114, NULL, NULL, 18012),
(35501, '1pjqA02', NULL, NULL, 36, NULL, NULL, 18012),
(35502, '3c6mD01', NULL, NULL, 35, NULL, NULL, 18012),
(35503, '3ziwA02', NULL, NULL, 115, NULL, NULL, 18013),
(35504, '3am2A02', NULL, NULL, 124, NULL, NULL, 18013),
(35505, '3dsoA00', NULL, NULL, 74, NULL, NULL, 18014),
(35506, '2vokA00', NULL, NULL, 188, NULL, NULL, 18015),
(35507, '3uv9A00', NULL, NULL, 186, NULL, NULL, 18015),
(35508, '4p9jA00', NULL, NULL, 180, NULL, NULL, 18015),
(35509, '4b8eB00', NULL, NULL, 195, NULL, NULL, 18015),
(35510, '3kb5A00', NULL, NULL, 193, NULL, NULL, 18015),
(35511, '2wl1A00', NULL, NULL, 191, NULL, NULL, 18015),
(35512, '5vsnA00', NULL, NULL, 169, NULL, NULL, 18015),
(35513, '4wvmB04', NULL, NULL, 196, NULL, NULL, 18015),
(35514, '2yyoA00', NULL, NULL, 171, NULL, NULL, 18015),
(35515, '6itaA00', NULL, NULL, 196, NULL, NULL, 18015),
(35516, '4wvmA04', NULL, NULL, 196, NULL, NULL, 18015),
(35517, '4xw3A00', NULL, NULL, 205, NULL, NULL, 18015),
(35518, '4qt6A00', NULL, NULL, 159, NULL, NULL, 18015),
(35519, '5lygA00', NULL, NULL, 187, NULL, NULL, 18015),
(35520, '5ji7A00', NULL, NULL, 204, NULL, NULL, 18015),
(35521, '6flmA00', NULL, NULL, 199, NULL, NULL, 18015),
(35522, '2e63A00', NULL, NULL, 170, NULL, NULL, 18015),
(35523, '5c33A00', NULL, NULL, 198, NULL, NULL, 18015),
(35524, '2fbeD00', NULL, NULL, 201, NULL, NULL, 18015),
(35525, '5f6lB00', NULL, NULL, 184, NULL, NULL, 18015),
(35526, '2iwgB00', NULL, NULL, 181, NULL, NULL, 18015),
(35527, '5jiaJ00', NULL, NULL, 210, NULL, NULL, 18015),
(35528, '4kg0A01', NULL, NULL, 153, NULL, NULL, 18015),
(35529, '6j0gC00', NULL, NULL, 190, NULL, NULL, 18015),
(35530, '1m1eB01', NULL, NULL, 54, NULL, NULL, 18016),
(35531, '2qrvD02', NULL, NULL, 56, NULL, NULL, 18017),
(35532, '4ys4A02', NULL, NULL, 141, NULL, NULL, 18018),
(35533, '2ymoA02', NULL, NULL, 136, NULL, NULL, 18018),
(35534, '4q0yA00', NULL, NULL, 134, NULL, NULL, 18019),
(35535, '1m56D00', NULL, NULL, 51, NULL, NULL, 18020),
(35536, '1qleD00', NULL, NULL, 43, NULL, NULL, 18020);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(35537, '1hfeS00', NULL, NULL, 88, NULL, NULL, 18021),
(35538, '5oomJ01', NULL, NULL, 66, NULL, NULL, 18022),
(35539, '3cjsB00', NULL, NULL, 72, NULL, NULL, 18022),
(35540, '5d8hC01', NULL, NULL, 69, NULL, NULL, 18022),
(35541, '2qa4I01', NULL, NULL, 67, NULL, NULL, 18022),
(35542, '5o60J01', NULL, NULL, 73, NULL, NULL, 18022),
(35543, '1wibA00', NULL, NULL, 92, NULL, NULL, 18022),
(35544, '1mmsA01', NULL, NULL, 70, NULL, NULL, 18022),
(35545, '5dm6F01', NULL, NULL, 70, NULL, NULL, 18022),
(35546, '6i0yI01', NULL, NULL, 71, NULL, NULL, 18022),
(35547, '5mmiJ01', NULL, NULL, 64, NULL, NULL, 18022),
(35548, '5colA01', NULL, NULL, 83, NULL, NULL, 18022),
(35549, '4v19K01', NULL, NULL, 67, NULL, NULL, 18022),
(35550, '2lw6A00', NULL, NULL, 80, NULL, NULL, 18023),
(35551, '4h63H01', NULL, NULL, 74, NULL, NULL, 18024),
(35552, '3gnfB06', NULL, NULL, 51, NULL, NULL, 18025),
(35553, '3gnfB02', NULL, NULL, 62, NULL, NULL, 18025),
(35554, '2zuoA02', NULL, NULL, 54, NULL, NULL, 18025),
(35555, '5xogD02', NULL, NULL, 128, NULL, NULL, 18026),
(35556, '2c35A00', NULL, NULL, 129, NULL, NULL, 18026),
(35557, '1y14A01', NULL, NULL, 128, NULL, NULL, 18026),
(35558, '3h0gD00', NULL, NULL, 135, NULL, NULL, 18026),
(35559, '2ckzC01', NULL, NULL, 123, NULL, NULL, 18026),
(35560, '3ayhA00', NULL, NULL, 136, NULL, NULL, 18026),
(35561, '4izkA00', NULL, NULL, 210, NULL, NULL, 18027),
(35562, '2pnlA00', NULL, NULL, 203, NULL, NULL, 18027),
(35563, '3p06A00', NULL, NULL, 194, NULL, NULL, 18027),
(35564, '3ismB00', NULL, NULL, 267, NULL, NULL, 18028),
(35565, '3s5bB00', NULL, NULL, 249, NULL, NULL, 18028),
(35566, '1zm8A00', NULL, NULL, 239, NULL, NULL, 18028),
(35567, '4a1nA01', NULL, NULL, 240, NULL, NULL, 18028),
(35568, '3nkrA04', NULL, NULL, 327, NULL, NULL, 18028),
(35569, '4zg6A04', NULL, NULL, 331, NULL, NULL, 18028),
(35570, '4qgoA00', NULL, NULL, 225, NULL, NULL, 18028),
(35571, '3owvB00', NULL, NULL, 232, NULL, NULL, 18028),
(35572, '2xgrA00', NULL, NULL, 220, NULL, NULL, 18028),
(35573, '4gtwB02', NULL, NULL, 323, NULL, NULL, 18028),
(35574, '4e3yA00', NULL, NULL, 245, NULL, NULL, 18028),
(35575, '1qsaA01', NULL, NULL, 363, NULL, NULL, 18029),
(35576, '4h63H04', NULL, NULL, 30, NULL, NULL, 18030),
(35577, '2bezF00', NULL, NULL, 42, NULL, NULL, 18030),
(35578, '2beqD00', NULL, NULL, 48, NULL, NULL, 18030),
(35579, '3wcnA01', NULL, NULL, 189, NULL, NULL, 18031),
(35580, '5yacA01', NULL, NULL, 59, NULL, NULL, 18032),
(35581, '2yx1A01', NULL, NULL, 67, NULL, NULL, 18032),
(35582, '1lmlA02', NULL, NULL, 124, NULL, NULL, 18033),
(35583, '2aeuA01', NULL, NULL, 157, NULL, NULL, 18034),
(35584, '1lgpA00', NULL, NULL, 116, NULL, NULL, 18035),
(35585, '4a0eA00', NULL, NULL, 123, NULL, NULL, 18035),
(35586, '3gqsB00', NULL, NULL, 106, NULL, NULL, 18035),
(35587, '3va4A00', NULL, NULL, 113, NULL, NULL, 18035),
(35588, '2kklA00', NULL, NULL, 140, NULL, NULL, 18035),
(35589, '3fm8A00', NULL, NULL, 98, NULL, NULL, 18035),
(35590, '1g3gA00', NULL, NULL, 164, NULL, NULL, 18035),
(35591, '4h87A00', NULL, NULL, 130, NULL, NULL, 18035),
(35592, '6c4uD00', NULL, NULL, 134, NULL, NULL, 18035),
(35593, '2eh0A01', NULL, NULL, 111, NULL, NULL, 18035),
(35594, '1wv3A01', NULL, NULL, 77, NULL, NULL, 18035),
(35595, '2jpeA00', NULL, NULL, 140, NULL, NULL, 18035),
(35596, '3po8A00', NULL, NULL, 100, NULL, NULL, 18035),
(35597, '3uotA00', NULL, NULL, 122, NULL, NULL, 18035),
(35598, '3i0nA01', NULL, NULL, 116, NULL, NULL, 18035),
(35599, '3i0nB01', NULL, NULL, 116, NULL, NULL, 18035),
(35600, '3vpyA00', NULL, NULL, 145, NULL, NULL, 18035),
(35601, '1r21A00', NULL, NULL, 108, NULL, NULL, 18035),
(35602, '5a8iA00', NULL, NULL, 118, NULL, NULL, 18035),
(35603, '2jqjA01', NULL, NULL, 132, NULL, NULL, 18035),
(35604, '3elsA00', NULL, NULL, 158, NULL, NULL, 18035),
(35605, '2kfuA01', NULL, NULL, 93, NULL, NULL, 18035),
(35606, '1wlnA00', NULL, NULL, 120, NULL, NULL, 18035),
(35607, '2pieA01', NULL, NULL, 132, NULL, NULL, 18035),
(35608, '1yjmA00', NULL, NULL, 110, NULL, NULL, 18035),
(35609, '4qcjA01', NULL, NULL, 97, NULL, NULL, 18035),
(35610, '1g6gB00', NULL, NULL, 127, NULL, NULL, 18035);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(35611, '3hufA01', NULL, NULL, 116, NULL, NULL, 18035),
(35612, '5w7wT01', NULL, NULL, 102, NULL, NULL, 18035),
(35613, '4ejqA02', NULL, NULL, 117, NULL, NULL, 18035),
(35614, '2g1lA00', NULL, NULL, 104, NULL, NULL, 18035),
(35615, '1mzkA00', NULL, NULL, 139, NULL, NULL, 18035),
(35616, '1dmzA00', NULL, NULL, 158, NULL, NULL, 18035),
(35617, '4g2sA00', NULL, NULL, 111, NULL, NULL, 18035),
(35618, '2kb3A01', NULL, NULL, 120, NULL, NULL, 18035),
(35619, '2brfA00', NULL, NULL, 110, NULL, NULL, 18035),
(35620, '3kt9A00', NULL, NULL, 102, NULL, NULL, 18035),
(35621, '1uhtA00', NULL, NULL, 118, NULL, NULL, 18035),
(35622, '5djoA02', NULL, NULL, 109, NULL, NULL, 18035),
(35623, '2ff4A03', NULL, NULL, 100, NULL, NULL, 18035),
(35624, '1wv3A02', NULL, NULL, 109, NULL, NULL, 18035),
(35625, '4jonC00', NULL, NULL, 127, NULL, NULL, 18035),
(35626, '3hx1B00', NULL, NULL, 131, NULL, NULL, 18035),
(35627, '6i2sB01', NULL, NULL, 104, NULL, NULL, 18035),
(35628, '3uv0B00', NULL, NULL, 102, NULL, NULL, 18035),
(35629, '1gxcA00', NULL, NULL, 121, NULL, NULL, 18035),
(35630, '3cqcA00', NULL, NULL, 270, NULL, NULL, 18036),
(35631, '2in3A02', NULL, NULL, 123, NULL, NULL, 18037),
(35632, '4l7tA00', NULL, NULL, 506, NULL, NULL, 18038),
(35633, '4f7aA00', NULL, NULL, 511, NULL, NULL, 18038),
(35634, '5fq4A00', NULL, NULL, 463, NULL, NULL, 18038),
(35635, '3p1uA00', NULL, NULL, 529, NULL, NULL, 18038),
(35636, '3jq0A00', NULL, NULL, 493, NULL, NULL, 18038),
(35637, '3ckcA01', NULL, NULL, 230, NULL, NULL, 18038),
(35638, '4mruB00', NULL, NULL, 488, NULL, NULL, 18038),
(35639, '3l22A00', NULL, NULL, 441, NULL, NULL, 18038),
(35640, '3i4gA00', NULL, NULL, 528, NULL, NULL, 18038),
(35641, '5j90A00', NULL, NULL, 482, NULL, NULL, 18038),
(35642, '3iv0A00', NULL, NULL, 481, NULL, NULL, 18038),
(35643, '3ejnA01', NULL, NULL, 218, NULL, NULL, 18038),
(35644, '3myvA01', NULL, NULL, 237, NULL, NULL, 18038),
(35645, '3sghA00', NULL, NULL, 499, NULL, NULL, 18038),
(35646, '3fdhA01', NULL, NULL, 250, NULL, NULL, 18038),
(35647, '3cghA00', NULL, NULL, 516, NULL, NULL, 18038),
(35648, '3gzsA00', NULL, NULL, 495, NULL, NULL, 18038),
(35649, '3mcxA01', NULL, NULL, 242, NULL, NULL, 18038),
(35650, '3mx3A01', NULL, NULL, 198, NULL, NULL, 18038),
(35651, '5lx8A00', NULL, NULL, 539, NULL, NULL, 18038),
(35652, '3jq1B01', NULL, NULL, 320, NULL, NULL, 18038),
(35653, '4f53A00', NULL, NULL, 498, NULL, NULL, 18038),
(35654, '3ehmA01', NULL, NULL, 310, NULL, NULL, 18038),
(35655, '4q69B00', NULL, NULL, 462, NULL, NULL, 18038),
(35656, '3kezA01', NULL, NULL, 235, NULL, NULL, 18038),
(35657, '3jysA01', NULL, NULL, 237, NULL, NULL, 18038),
(35658, '4lerA01', NULL, NULL, 209, NULL, NULL, 18038),
(35659, '5e75A00', NULL, NULL, 519, NULL, NULL, 18038),
(35660, '3otnA00', NULL, NULL, 482, NULL, NULL, 18038),
(35661, '3hdxA00', NULL, NULL, 478, NULL, NULL, 18038),
(35662, '4pucA00', NULL, NULL, 488, NULL, NULL, 18038),
(35663, '3snxA00', NULL, NULL, 460, NULL, NULL, 18038),
(35664, '3lewA01', NULL, NULL, 338, NULL, NULL, 18038),
(35665, '3nqpA00', NULL, NULL, 498, NULL, NULL, 18038),
(35666, '3qnkC00', NULL, NULL, 517, NULL, NULL, 18038),
(35667, '3qwnD01', NULL, NULL, 78, NULL, NULL, 18039),
(35668, '3k0yA01', NULL, NULL, 83, NULL, NULL, 18039),
(35669, '3k6oA01', NULL, NULL, 86, NULL, NULL, 18039),
(35670, '3nqiA01', NULL, NULL, 79, NULL, NULL, 18039),
(35671, '4j8qA01', NULL, NULL, 81, NULL, NULL, 18039),
(35672, '4pqxA01', NULL, NULL, 80, NULL, NULL, 18039),
(35673, '4bofA02', NULL, NULL, 87, NULL, NULL, 18040),
(35674, '2a9gA02', NULL, NULL, 85, NULL, NULL, 18040),
(35675, '4e4jA02', NULL, NULL, 77, NULL, NULL, 18040),
(35676, '1s9rA02', NULL, NULL, 78, NULL, NULL, 18040),
(35677, '1khcA02', NULL, NULL, 69, NULL, NULL, 18041),
(35678, '3llrA02', NULL, NULL, 76, NULL, NULL, 18041),
(35679, '1yukA02', NULL, NULL, 44, NULL, NULL, 18042),
(35680, '3vsmA02', NULL, NULL, 192, NULL, NULL, 18043),
(35681, '1yq5A00', NULL, NULL, 144, NULL, NULL, 18044),
(35682, '2l9sA00', NULL, NULL, 45, NULL, NULL, 18045),
(35683, '1b8tA02', NULL, NULL, 63, NULL, NULL, 18046);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(35684, '2mbvA00', NULL, NULL, 96, NULL, NULL, 18046),
(35685, '1b8tA01', NULL, NULL, 69, NULL, NULL, 18046),
(35686, '4jcjC02', NULL, NULL, 58, NULL, NULL, 18046),
(35687, '2d8yA01', NULL, NULL, 72, NULL, NULL, 18046),
(35688, '3ixeB00', NULL, NULL, 72, NULL, NULL, 18046),
(35689, '2o10A00', NULL, NULL, 60, NULL, NULL, 18046),
(35690, '1x3hA00', NULL, NULL, 80, NULL, NULL, 18046),
(35691, '1a7iA00', NULL, NULL, 81, NULL, NULL, 18046),
(35692, '1x68A00', NULL, NULL, 76, NULL, NULL, 18046),
(35693, '1x64A01', NULL, NULL, 63, NULL, NULL, 18046),
(35694, '1wyhA00', NULL, NULL, 72, NULL, NULL, 18046),
(35695, '2cuqA00', NULL, NULL, 80, NULL, NULL, 18046),
(35696, '2l4zA01', NULL, NULL, 65, NULL, NULL, 18046),
(35697, '2lzuA00', NULL, NULL, 72, NULL, NULL, 18046),
(35698, '2cu8A00', NULL, NULL, 76, NULL, NULL, 18046),
(35699, '4hi8B00', NULL, NULL, 72, NULL, NULL, 18046),
(35700, '2d8zA00', NULL, NULL, 70, NULL, NULL, 18046),
(35701, '1x4lA00', NULL, NULL, 72, NULL, NULL, 18046),
(35702, '2dj7A00', NULL, NULL, 80, NULL, NULL, 18046),
(35703, '2dloA00', NULL, NULL, 81, NULL, NULL, 18046),
(35704, '6cmeA02', NULL, NULL, 91, NULL, NULL, 18046),
(35705, '6cmeA01', NULL, NULL, 78, NULL, NULL, 18046),
(35706, '1m3vA00', NULL, NULL, 122, NULL, NULL, 18046),
(35707, '1x61A00', NULL, NULL, 72, NULL, NULL, 18046),
(35708, '1cxxA00', NULL, NULL, 59, NULL, NULL, 18046),
(35709, '2cupA01', NULL, NULL, 67, NULL, NULL, 18046),
(35710, '1v6gA00', NULL, NULL, 81, NULL, NULL, 18046),
(35711, '2iybE00', NULL, NULL, 65, NULL, NULL, 18046),
(35712, '1g47A00', NULL, NULL, 77, NULL, NULL, 18046),
(35713, '2xjyA02', NULL, NULL, 68, NULL, NULL, 18046),
(35714, '2xjyA01', NULL, NULL, 63, NULL, NULL, 18046),
(35715, '1x6aA01', NULL, NULL, 62, NULL, NULL, 18046),
(35716, '1j2oA00', NULL, NULL, 114, NULL, NULL, 18046),
(35717, '4jcjB01', NULL, NULL, 69, NULL, NULL, 18046),
(35718, '2miuA00', NULL, NULL, 98, NULL, NULL, 18046),
(35719, '2corA00', NULL, NULL, 79, NULL, NULL, 18046),
(35720, '2rgtB02', NULL, NULL, 61, NULL, NULL, 18046),
(35721, '2l6yB00', NULL, NULL, 96, NULL, NULL, 18046),
(35722, '2lxdA00', NULL, NULL, 125, NULL, NULL, 18046),
(35723, '2rgtB01', NULL, NULL, 66, NULL, NULL, 18046),
(35724, '2darA01', NULL, NULL, 72, NULL, NULL, 18046),
(35725, '1x62A01', NULL, NULL, 60, NULL, NULL, 18046),
(35726, '1rutX01', NULL, NULL, 93, NULL, NULL, 18046),
(35727, '1rutX02', NULL, NULL, 95, NULL, NULL, 18046),
(35728, '1imlA00', NULL, NULL, 76, NULL, NULL, 18046),
(35729, '1ctlA00', NULL, NULL, 85, NULL, NULL, 18046),
(35730, '1wigA00', NULL, NULL, 73, NULL, NULL, 18046),
(35731, '2d8xA00', NULL, NULL, 70, NULL, NULL, 18046),
(35732, '4kfzA01', NULL, NULL, 83, NULL, NULL, 18046),
(35733, '2eheA00', NULL, NULL, 82, NULL, NULL, 18046),
(35734, '1nypA00', NULL, NULL, 66, NULL, NULL, 18046),
(35735, '2o13A00', NULL, NULL, 58, NULL, NULL, 18046),
(35736, '2egqA00', NULL, NULL, 77, NULL, NULL, 18046),
(35737, '1x63A00', NULL, NULL, 82, NULL, NULL, 18046),
(35738, '2co8A00', NULL, NULL, 82, NULL, NULL, 18046),
(35739, '2xqnT01', NULL, NULL, 63, NULL, NULL, 18046),
(35740, '2curA00', NULL, NULL, 69, NULL, NULL, 18046),
(35741, '4nooB00', NULL, NULL, 98, NULL, NULL, 18047),
(35742, '4nsoB00', NULL, NULL, 108, NULL, NULL, 18047),
(35743, '6blqA01', NULL, NULL, 80, NULL, NULL, 18048),
(35744, '2iadB01', NULL, NULL, 88, NULL, NULL, 18048),
(35745, '1ktdB01', NULL, NULL, 118, NULL, NULL, 18048),
(35746, '1mujB01', NULL, NULL, 95, NULL, NULL, 18048),
(35747, '5ujtB01', NULL, NULL, 90, NULL, NULL, 18048),
(35748, '1iakA01', NULL, NULL, 80, NULL, NULL, 18048),
(35749, '1fv1B01', NULL, NULL, 92, NULL, NULL, 18048),
(35750, '4p5kB01', NULL, NULL, 112, NULL, NULL, 18048),
(35751, '4mdjB01', NULL, NULL, 93, NULL, NULL, 18048),
(35752, '4p23D01', NULL, NULL, 118, NULL, NULL, 18048),
(35753, '1a6aB01', NULL, NULL, 89, NULL, NULL, 18048),
(35754, '3lqzB01', NULL, NULL, 112, NULL, NULL, 18048),
(35755, '5ksaA01', NULL, NULL, 79, NULL, NULL, 18048),
(35756, '6bgaB01', NULL, NULL, 116, NULL, NULL, 18048),
(35757, '5ksvB01', NULL, NULL, 92, NULL, NULL, 18048);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(35758, '4mayB01', NULL, NULL, 94, NULL, NULL, 18048),
(35759, '1fneB01', NULL, NULL, 88, NULL, NULL, 18048),
(35760, '2p24A01', NULL, NULL, 80, NULL, NULL, 18048),
(35761, '6atfB01', NULL, NULL, 93, NULL, NULL, 18048),
(35762, '1uvqB01', NULL, NULL, 90, NULL, NULL, 18048),
(35763, '4p5mB01', NULL, NULL, 112, NULL, NULL, 18048),
(35764, '1k8iB01', NULL, NULL, 91, NULL, NULL, 18048),
(35765, '4ah2B01', NULL, NULL, 122, NULL, NULL, 18048),
(35766, '4x5wA01', NULL, NULL, 82, NULL, NULL, 18048),
(35767, '2icwA01', NULL, NULL, 79, NULL, NULL, 18048),
(35768, '4i0pD01', NULL, NULL, 88, NULL, NULL, 18048),
(35769, '3wexB01', NULL, NULL, 109, NULL, NULL, 18048),
(35770, '2bc4B01', NULL, NULL, 92, NULL, NULL, 18048),
(35771, '4p57D01', NULL, NULL, 112, NULL, NULL, 18048),
(35772, '1mujA01', NULL, NULL, 80, NULL, NULL, 18048),
(35773, '6blqB01', NULL, NULL, 88, NULL, NULL, 18048),
(35774, '5ujtA01', NULL, NULL, 80, NULL, NULL, 18048),
(35775, '1iakB01', NULL, NULL, 87, NULL, NULL, 18048),
(35776, '3o6fB01', NULL, NULL, 120, NULL, NULL, 18048),
(35777, '6cpoB01', NULL, NULL, 91, NULL, NULL, 18048),
(35778, '1iebB01', NULL, NULL, 122, NULL, NULL, 18048),
(35779, '3c5jB01', NULL, NULL, 93, NULL, NULL, 18048),
(35780, '5ni9B01', NULL, NULL, 91, NULL, NULL, 18048),
(35781, '5v4nC01', NULL, NULL, 117, NULL, NULL, 18048),
(35782, '6cpnB01', NULL, NULL, 93, NULL, NULL, 18048),
(35783, '4i0pC01', NULL, NULL, 80, NULL, NULL, 18048),
(35784, '1uvqA01', NULL, NULL, 80, NULL, NULL, 18048),
(35785, '1fneA01', NULL, NULL, 79, NULL, NULL, 18048),
(35786, '4d8pB01', NULL, NULL, 124, NULL, NULL, 18048),
(35787, '2p24B01', NULL, NULL, 87, NULL, NULL, 18048),
(35788, '4p5mA01', NULL, NULL, 81, NULL, NULL, 18048),
(35789, '6mffC01', NULL, NULL, 117, NULL, NULL, 18048),
(35790, '4x5wB01', NULL, NULL, 93, NULL, NULL, 18048),
(35791, '2q6wB01', NULL, NULL, 93, NULL, NULL, 18048),
(35792, '1k8iA01', NULL, NULL, 87, NULL, NULL, 18048),
(35793, '2bc4C01', NULL, NULL, 91, NULL, NULL, 18048),
(35794, '5v4mC01', NULL, NULL, 117, NULL, NULL, 18048),
(35795, '2ojrA01', NULL, NULL, 33, NULL, NULL, 18049),
(35796, '3vdzA01', NULL, NULL, 33, NULL, NULL, 18049),
(35797, '1vsy300', NULL, NULL, 76, NULL, NULL, 18050),
(35798, '3n6rA03', NULL, NULL, 133, NULL, NULL, 18051),
(35799, '1vhkA01', NULL, NULL, 76, NULL, NULL, 18052),
(35800, '4l69A01', NULL, NULL, 73, NULL, NULL, 18052),
(35801, '2nwaG01', NULL, NULL, 77, NULL, NULL, 18052),
(35802, '2nwaH01', NULL, NULL, 77, NULL, NULL, 18052),
(35803, '2nwaE01', NULL, NULL, 77, NULL, NULL, 18052),
(35804, '2nwaF01', NULL, NULL, 77, NULL, NULL, 18052),
(35805, '1v6zA01', NULL, NULL, 66, NULL, NULL, 18052),
(35806, '4e8bA01', NULL, NULL, 73, NULL, NULL, 18052),
(35807, '1vhyA01', NULL, NULL, 75, NULL, NULL, 18052),
(35808, '1z85A01', NULL, NULL, 80, NULL, NULL, 18052),
(35809, '2egvA01', NULL, NULL, 66, NULL, NULL, 18052),
(35810, '3kw2A01', NULL, NULL, 72, NULL, NULL, 18052),
(35811, '2nwaC01', NULL, NULL, 77, NULL, NULL, 18052),
(35812, '2nwaD01', NULL, NULL, 77, NULL, NULL, 18052),
(35813, '2nwaA01', NULL, NULL, 77, NULL, NULL, 18052),
(35814, '2nwaB01', NULL, NULL, 77, NULL, NULL, 18052),
(35815, '4j3cB01', NULL, NULL, 69, NULL, NULL, 18052),
(35816, '5o95D01', NULL, NULL, 76, NULL, NULL, 18052),
(35817, '3v42A01', NULL, NULL, 132, NULL, NULL, 18053),
(35818, '1l4dB00', NULL, NULL, 122, NULL, NULL, 18054),
(35819, '1l4zB00', NULL, NULL, 136, NULL, NULL, 18054),
(35820, '1qqrB00', NULL, NULL, 138, NULL, NULL, 18054),
(35821, '3zn6A02', NULL, NULL, 87, NULL, NULL, 18055),
(35822, '2wxfA04', NULL, NULL, 152, NULL, NULL, 18056),
(35823, '5dxuA04', NULL, NULL, 154, NULL, NULL, 18056),
(35824, '4jpsA04', NULL, NULL, 157, NULL, NULL, 18056),
(35825, '4uwhA02', NULL, NULL, 154, NULL, NULL, 18056),
(35826, '4bfrA04', NULL, NULL, 153, NULL, NULL, 18056),
(35827, '1cjaA01', NULL, NULL, 165, NULL, NULL, 18056),
(35828, '1e7uA04', NULL, NULL, 158, NULL, NULL, 18056),
(35829, '2x6hA02', NULL, NULL, 157, NULL, NULL, 18056),
(35830, '2zfuA01', NULL, NULL, 52, NULL, NULL, 18057),
(35831, '4bgbB01', NULL, NULL, 140, NULL, NULL, 18058);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(35832, '3cskA02', NULL, NULL, 162, NULL, NULL, 18059),
(35833, '5e33A02', NULL, NULL, 163, NULL, NULL, 18059),
(35834, '4k12B00', NULL, NULL, 84, NULL, NULL, 18060),
(35835, '4hgzA02', NULL, NULL, 60, NULL, NULL, 18061),
(35836, '2w9jB00', NULL, NULL, 91, NULL, NULL, 18062),
(35837, '4uyjC00', NULL, NULL, 85, NULL, NULL, 18062),
(35838, '5aoxE00', NULL, NULL, 94, NULL, NULL, 18062),
(35839, '1914A00', NULL, NULL, 213, NULL, NULL, 18062),
(35840, '5aoxA00', NULL, NULL, 85, NULL, NULL, 18062),
(35841, '4uykB00', NULL, NULL, 107, NULL, NULL, 18062),
(35842, '4uyjA00', NULL, NULL, 85, NULL, NULL, 18062),
(35843, '4uykA00', NULL, NULL, 85, NULL, NULL, 18062),
(35844, '4q63A00', NULL, NULL, 105, NULL, NULL, 18063),
(35845, '1dgfA03', NULL, NULL, 114, NULL, NULL, 18064),
(35846, '4b7hA03', NULL, NULL, 115, NULL, NULL, 18064),
(35847, '3rgpA03', NULL, NULL, 115, NULL, NULL, 18064),
(35848, '2ksfA00', NULL, NULL, 107, NULL, NULL, 18065),
(35849, '4m70I00', NULL, NULL, 126, NULL, NULL, 18066),
(35850, '3qflA00', NULL, NULL, 115, NULL, NULL, 18066),
(35851, '3sxuB00', NULL, NULL, 105, NULL, NULL, 18067),
(35852, '4ag6A02', NULL, NULL, 121, NULL, NULL, 18068),
(35853, '2p0tA01', NULL, NULL, 76, NULL, NULL, 18069),
(35854, '2p0tA02', NULL, NULL, 76, NULL, NULL, 18069),
(35855, '5tuuA00', NULL, NULL, 155, NULL, NULL, 18070),
(35856, '2p9bA04', NULL, NULL, 92, NULL, NULL, 18071),
(35857, '2zvfA01', NULL, NULL, 65, NULL, NULL, 18072),
(35858, '1m7lA00', NULL, NULL, 40, NULL, NULL, 18073),
(35859, '3e0zB00', NULL, NULL, 109, NULL, NULL, 18074),
(35860, '2ahmG01', NULL, NULL, 104, NULL, NULL, 18075),
(35861, '3d9rB00', NULL, NULL, 135, NULL, NULL, 18076),
(35862, '3gzbB00', NULL, NULL, 137, NULL, NULL, 18076),
(35863, '3fkaB00', NULL, NULL, 120, NULL, NULL, 18076),
(35864, '1of5B00', NULL, NULL, 149, NULL, NULL, 18076),
(35865, '5drvA00', NULL, NULL, 142, NULL, NULL, 18076),
(35866, '3cu3A00', NULL, NULL, 172, NULL, NULL, 18076),
(35867, '3g16B00', NULL, NULL, 156, NULL, NULL, 18076),
(35868, '2a15A00', NULL, NULL, 139, NULL, NULL, 18076),
(35869, '6c1xA00', NULL, NULL, 131, NULL, NULL, 18076),
(35870, '4lehA00', NULL, NULL, 185, NULL, NULL, 18076),
(35871, '2owpA00', NULL, NULL, 129, NULL, NULL, 18076),
(35872, '3dmcA00', NULL, NULL, 134, NULL, NULL, 18076),
(35873, '3kkgA00', NULL, NULL, 146, NULL, NULL, 18076),
(35874, '4orlA00', NULL, NULL, 110, NULL, NULL, 18076),
(35875, '3b7cA00', NULL, NULL, 122, NULL, NULL, 18076),
(35876, '3gzbF00', NULL, NULL, 137, NULL, NULL, 18076),
(35877, '2jq5A00', NULL, NULL, 128, NULL, NULL, 18076),
(35878, '3kspA00', NULL, NULL, 129, NULL, NULL, 18076),
(35879, '6fejA00', NULL, NULL, 124, NULL, NULL, 18076),
(35880, '4hm8B00', NULL, NULL, 194, NULL, NULL, 18076),
(35881, '2bmoB00', NULL, NULL, 194, NULL, NULL, 18076),
(35882, '2chcC00', NULL, NULL, 170, NULL, NULL, 18076),
(35883, '1gy7B00', NULL, NULL, 125, NULL, NULL, 18076),
(35884, '4r1kB00', NULL, NULL, 138, NULL, NULL, 18076),
(35885, '5ig3A00', NULL, NULL, 153, NULL, NULL, 18076),
(35886, '3fljA00', NULL, NULL, 155, NULL, NULL, 18076),
(35887, '4hz9B00', NULL, NULL, 123, NULL, NULL, 18076),
(35888, '2r4iA00', NULL, NULL, 123, NULL, NULL, 18076),
(35889, '2f86B00', NULL, NULL, 143, NULL, NULL, 18076),
(35890, '2w2cH00', NULL, NULL, 144, NULL, NULL, 18076),
(35891, '2imjD01', NULL, NULL, 152, NULL, NULL, 18076),
(35892, '3ff0A01', NULL, NULL, 141, NULL, NULL, 18076),
(35893, '3h51A00', NULL, NULL, 156, NULL, NULL, 18076),
(35894, '1sjwA00', NULL, NULL, 144, NULL, NULL, 18076),
(35895, '3dxoB00', NULL, NULL, 121, NULL, NULL, 18076),
(35896, '2f99C00', NULL, NULL, 153, NULL, NULL, 18076),
(35897, '1jkgB00', NULL, NULL, 186, NULL, NULL, 18076),
(35898, '3ebyA00', NULL, NULL, 163, NULL, NULL, 18076),
(35899, '5kvbA01', NULL, NULL, 146, NULL, NULL, 18076),
(35900, '3f8hA00', NULL, NULL, 150, NULL, NULL, 18076),
(35901, '1q40D00', NULL, NULL, 219, NULL, NULL, 18076),
(35902, '3f9sB00', NULL, NULL, 146, NULL, NULL, 18076),
(35903, '3fsdA00', NULL, NULL, 134, NULL, NULL, 18076),
(35904, '3ef8A00', NULL, NULL, 150, NULL, NULL, 18076); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(35905, '1s5aB00', NULL, NULL, 150, NULL, NULL, 18076),
(35906, '1ohpA00', NULL, NULL, 125, NULL, NULL, 18076),
(35907, '5cxoB00', NULL, NULL, 148, NULL, NULL, 18076),
(35908, '3soaA03', NULL, NULL, 142, NULL, NULL, 18076),
(35909, '3lygA00', NULL, NULL, 120, NULL, NULL, 18076),
(35910, '4gb5A00', NULL, NULL, 159, NULL, NULL, 18076),
(35911, '3gzxB00', NULL, NULL, 186, NULL, NULL, 18076),
(35912, '3b8lA01', NULL, NULL, 141, NULL, NULL, 18076),
(35913, '3gzbA00', NULL, NULL, 154, NULL, NULL, 18076),
(35914, '5tgnA00', NULL, NULL, 111, NULL, NULL, 18076),
(35915, '6of9B00', NULL, NULL, 134, NULL, NULL, 18076),
(35916, '5tuxA02', NULL, NULL, 136, NULL, NULL, 18076),
(35917, '1of5A00', NULL, NULL, 183, NULL, NULL, 18076),
(35918, '5hgrA02', NULL, NULL, 136, NULL, NULL, 18076),
(35919, '2rgqB00', NULL, NULL, 144, NULL, NULL, 18076),
(35920, '4l8pA00', NULL, NULL, 187, NULL, NULL, 18076),
(35921, '4lehB00', NULL, NULL, 185, NULL, NULL, 18076),
(35922, '4u13A00', NULL, NULL, 109, NULL, NULL, 18076),
(35923, '2ckfB00', NULL, NULL, 174, NULL, NULL, 18076),
(35924, '3gzbE00', NULL, NULL, 154, NULL, NULL, 18076),
(35925, '4cdlA00', NULL, NULL, 141, NULL, NULL, 18076),
(35926, '3owuA00', NULL, NULL, 131, NULL, NULL, 18076),
(35927, '4ovmC00', NULL, NULL, 144, NULL, NULL, 18076),
(35928, '4xdwF00', NULL, NULL, 155, NULL, NULL, 18076),
(35929, '4xbxB00', NULL, NULL, 155, NULL, NULL, 18076),
(35930, '3jumA01', NULL, NULL, 141, NULL, NULL, 18076),
(35931, '3en1B00', NULL, NULL, 187, NULL, NULL, 18076),
(35932, '3soyA00', NULL, NULL, 145, NULL, NULL, 18076),
(35933, '3fh1A00', NULL, NULL, 129, NULL, NULL, 18076),
(35934, '3dm8A00', NULL, NULL, 143, NULL, NULL, 18076),
(35935, '5ieoA00', NULL, NULL, 137, NULL, NULL, 18076),
(35936, '4x2oA00', NULL, NULL, 193, NULL, NULL, 18076),
(35937, '3stdA00', NULL, NULL, 165, NULL, NULL, 18076),
(35938, '4q53B00', NULL, NULL, 110, NULL, NULL, 18076),
(35939, '4pejB00', NULL, NULL, 141, NULL, NULL, 18076),
(35940, '6of8A00', NULL, NULL, 135, NULL, NULL, 18076),
(35941, '3nv0B00', NULL, NULL, 136, NULL, NULL, 18076),
(35942, '3ke7B00', NULL, NULL, 134, NULL, NULL, 18076),
(35943, '2rfrA00', NULL, NULL, 155, NULL, NULL, 18076),
(35944, '1jkgA00', NULL, NULL, 140, NULL, NULL, 18076),
(35945, '1nwwA00', NULL, NULL, 149, NULL, NULL, 18076),
(35946, '1idpA00', NULL, NULL, 155, NULL, NULL, 18076),
(35947, '3grdA00', NULL, NULL, 134, NULL, NULL, 18076),
(35948, '3a76A01', NULL, NULL, 139, NULL, NULL, 18076),
(35949, '3k7cA00', NULL, NULL, 114, NULL, NULL, 18076),
(35950, '3cnxA00', NULL, NULL, 170, NULL, NULL, 18076),
(35951, '2qiyA00', NULL, NULL, 154, NULL, NULL, 18076),
(35952, '5aewJ00', NULL, NULL, 188, NULL, NULL, 18076),
(35953, '5xbpC00', NULL, NULL, 193, NULL, NULL, 18076),
(35954, '2gxfA00', NULL, NULL, 142, NULL, NULL, 18076),
(35955, '3ec9A00', NULL, NULL, 140, NULL, NULL, 18076),
(35956, '5ig4E00', NULL, NULL, 145, NULL, NULL, 18076),
(35957, '3bb9B00', NULL, NULL, 125, NULL, NULL, 18076),
(35958, '3g8zA00', NULL, NULL, 128, NULL, NULL, 18076),
(35959, '4lehC00', NULL, NULL, 185, NULL, NULL, 18076),
(35960, '3gzbH00', NULL, NULL, 137, NULL, NULL, 18076),
(35961, '3ehcB00', NULL, NULL, 128, NULL, NULL, 18076),
(35962, '3lzaA00', NULL, NULL, 141, NULL, NULL, 18076),
(35963, '3f40A00', NULL, NULL, 114, NULL, NULL, 18076),
(35964, '5evhA00', NULL, NULL, 127, NULL, NULL, 18076),
(35965, '3gzbD00', NULL, NULL, 137, NULL, NULL, 18076),
(35966, '3k0zA00', NULL, NULL, 159, NULL, NULL, 18076),
(35967, '3kztA00', NULL, NULL, 143, NULL, NULL, 18076),
(35968, '3gwrB00', NULL, NULL, 144, NULL, NULL, 18076),
(35969, '3hk4A00', NULL, NULL, 136, NULL, NULL, 18076),
(35970, '5if6A00', NULL, NULL, 134, NULL, NULL, 18076),
(35971, '3rgaA02', NULL, NULL, 150, NULL, NULL, 18076),
(35972, '3rgaA01', NULL, NULL, 133, NULL, NULL, 18076),
(35973, '2b1xB00', NULL, NULL, 172, NULL, NULL, 18076),
(35974, '2gexA00', NULL, NULL, 152, NULL, NULL, 18076),
(35975, '2qguA01', NULL, NULL, 101, NULL, NULL, 18076),
(35976, '3f7sA00', NULL, NULL, 142, NULL, NULL, 18076),
(35977, '1uliB00', NULL, NULL, 187, NULL, NULL, 18076);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(35978, '3dukA00', NULL, NULL, 125, NULL, NULL, 18076),
(35979, '3robA00', NULL, NULL, 139, NULL, NULL, 18076),
(35980, '3ejvA00', NULL, NULL, 159, NULL, NULL, 18076),
(35981, '2rcdA00', NULL, NULL, 129, NULL, NULL, 18076),
(35982, '3nv0A00', NULL, NULL, 205, NULL, NULL, 18076),
(35983, '3g0kA00', NULL, NULL, 128, NULL, NULL, 18076),
(35984, '3i0yA00', NULL, NULL, 140, NULL, NULL, 18076),
(35985, '4mjdA00', NULL, NULL, 113, NULL, NULL, 18076),
(35986, '3f7xA00', NULL, NULL, 151, NULL, NULL, 18076),
(35987, '4i4kA00', NULL, NULL, 143, NULL, NULL, 18076),
(35988, '5ui2A02', NULL, NULL, 128, NULL, NULL, 18076),
(35989, '4h3uA00', NULL, NULL, 133, NULL, NULL, 18076),
(35990, '1wqlB00', NULL, NULL, 186, NULL, NULL, 18076),
(35991, '2gbwB00', NULL, NULL, 174, NULL, NULL, 18076),
(35992, '4lmiB00', NULL, NULL, 139, NULL, NULL, 18076),
(35993, '1tuhA00', NULL, NULL, 131, NULL, NULL, 18076),
(35994, '6f54A00', NULL, NULL, 125, NULL, NULL, 18076),
(35995, '2i9wA00', NULL, NULL, 184, NULL, NULL, 18076),
(35996, '3ecfA00', NULL, NULL, 130, NULL, NULL, 18076),
(35997, '3ov4B00', NULL, NULL, 125, NULL, NULL, 18076),
(35998, '5iepA00', NULL, NULL, 137, NULL, NULL, 18076),
(35999, '2geyB00', NULL, NULL, 134, NULL, NULL, 18076),
(36000, '2k54A00', NULL, NULL, 123, NULL, NULL, 18076),
(36001, '5bvbA00', NULL, NULL, 132, NULL, NULL, 18076),
(36002, '3en8A01', NULL, NULL, 112, NULL, NULL, 18076),
(36003, '1q42A00', NULL, NULL, 179, NULL, NULL, 18076),
(36004, '6bjuA00', NULL, NULL, 132, NULL, NULL, 18076),
(36005, '4fcjA00', NULL, NULL, 142, NULL, NULL, 18076),
(36006, '1z1sA00', NULL, NULL, 163, NULL, NULL, 18076),
(36007, '1tp6A00', NULL, NULL, 128, NULL, NULL, 18076),
(36008, '4j8tA00', NULL, NULL, 137, NULL, NULL, 18076),
(36009, '1zo2A00', NULL, NULL, 129, NULL, NULL, 18076),
(36010, '3gzbC00', NULL, NULL, 154, NULL, NULL, 18076),
(36011, '3hx8A00', NULL, NULL, 129, NULL, NULL, 18076),
(36012, '3blzA00', NULL, NULL, 128, NULL, NULL, 18076),
(36013, '2bngC00', NULL, NULL, 149, NULL, NULL, 18076),
(36014, '3h3hB00', NULL, NULL, 122, NULL, NULL, 18076),
(36015, '3ebtA00', NULL, NULL, 132, NULL, NULL, 18076),
(36016, '3gzbG00', NULL, NULL, 154, NULL, NULL, 18076),
(36017, '6d34A00', NULL, NULL, 132, NULL, NULL, 18076),
(36018, '4r9kA00', NULL, NULL, 148, NULL, NULL, 18076),
(36019, '3fgyA00', NULL, NULL, 135, NULL, NULL, 18076),
(36020, '3hzpA00', NULL, NULL, 131, NULL, NULL, 18076),
(36021, '5ig5E00', NULL, NULL, 145, NULL, NULL, 18076),
(36022, '4ouqA00', NULL, NULL, 110, NULL, NULL, 18076),
(36023, '3er7B00', NULL, NULL, 131, NULL, NULL, 18076),
(36024, '5z3rF00', NULL, NULL, 145, NULL, NULL, 18076),
(36025, '3ff2A00', NULL, NULL, 117, NULL, NULL, 18076),
(36026, '4l8oA00', NULL, NULL, 169, NULL, NULL, 18076),
(36027, '3s5cA01', NULL, NULL, 139, NULL, NULL, 18076),
(36028, '1nu3A00', NULL, NULL, 149, NULL, NULL, 18076),
(36029, '3msoB00', NULL, NULL, 143, NULL, NULL, 18076),
(36030, '4lgqA00', NULL, NULL, 140, NULL, NULL, 18076),
(36031, '5aigA00', NULL, NULL, 125, NULL, NULL, 18076),
(36032, '3ujmA00', NULL, NULL, 120, NULL, NULL, 18076),
(36033, '5aiiH00', NULL, NULL, 135, NULL, NULL, 18076),
(36034, '2ux0A00', NULL, NULL, 143, NULL, NULL, 18076),
(36035, '3f8xB00', NULL, NULL, 132, NULL, NULL, 18076),
(36036, '1gy6A00', NULL, NULL, 127, NULL, NULL, 18076),
(36037, '3wmdA00', NULL, NULL, 144, NULL, NULL, 18076),
(36038, '3gzrB00', NULL, NULL, 146, NULL, NULL, 18076),
(36039, '3e99A00', NULL, NULL, 164, NULL, NULL, 18076),
(36040, '3f14A00', NULL, NULL, 112, NULL, NULL, 18076),
(36041, '5ig0A00', NULL, NULL, 148, NULL, NULL, 18076),
(36042, '5ienA00', NULL, NULL, 137, NULL, NULL, 18076),
(36043, '4khbD02', NULL, NULL, 100, NULL, NULL, 18077),
(36044, '3v67A01', NULL, NULL, 126, NULL, NULL, 18078),
(36045, '1b35D00', NULL, NULL, 57, NULL, NULL, 18079),
(36046, '2wyrB02', NULL, NULL, 91, NULL, NULL, 18080),
(36047, '4x8iA02', NULL, NULL, 94, NULL, NULL, 18080),
(36048, '3cpxA02', NULL, NULL, 62, NULL, NULL, 18080),
(36049, '2pe3D02', NULL, NULL, 94, NULL, NULL, 18080),
(36050, '2fvgA02', NULL, NULL, 87, NULL, NULL, 18080);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(36051, '5ds0A02', NULL, NULL, 88, NULL, NULL, 18080),
(36052, '1vhoA02', NULL, NULL, 85, NULL, NULL, 18080),
(36053, '1yloE02', NULL, NULL, 84, NULL, NULL, 18080),
(36054, '2greF02', NULL, NULL, 96, NULL, NULL, 18080),
(36055, '1vheA02', NULL, NULL, 88, NULL, NULL, 18080),
(36056, '1y0yA02', NULL, NULL, 94, NULL, NULL, 18080),
(36057, '4wwvB02', NULL, NULL, 94, NULL, NULL, 18080),
(36058, '3isxA02', NULL, NULL, 89, NULL, NULL, 18080),
(36059, '3kl9A02', NULL, NULL, 89, NULL, NULL, 18080),
(36060, '1vprA01', NULL, NULL, 112, NULL, NULL, 18081),
(36061, '2jsxA01', NULL, NULL, 71, NULL, NULL, 18082),
(36062, '2zbcA01', NULL, NULL, 74, NULL, NULL, 18082),
(36063, '2pn6A02', NULL, NULL, 98, NULL, NULL, 18082),
(36064, '2zbcC01', NULL, NULL, 74, NULL, NULL, 18082),
(36065, '2zbcB01', NULL, NULL, 74, NULL, NULL, 18082),
(36066, '2zbcE01', NULL, NULL, 74, NULL, NULL, 18082),
(36067, '2zbcD01', NULL, NULL, 74, NULL, NULL, 18082),
(36068, '2zbcG01', NULL, NULL, 74, NULL, NULL, 18082),
(36069, '2zbcF01', NULL, NULL, 74, NULL, NULL, 18082),
(36070, '2cviA01', NULL, NULL, 74, NULL, NULL, 18082),
(36071, '2gqqA02', NULL, NULL, 85, NULL, NULL, 18082),
(36072, '3i4pA02', NULL, NULL, 84, NULL, NULL, 18082),
(36073, '2djwA01', NULL, NULL, 74, NULL, NULL, 18082),
(36074, '2ia0B02', NULL, NULL, 104, NULL, NULL, 18082),
(36075, '2cg4A02', NULL, NULL, 84, NULL, NULL, 18082),
(36076, '2p5vA02', NULL, NULL, 84, NULL, NULL, 18082),
(36077, '4pcqA02', NULL, NULL, 84, NULL, NULL, 18082),
(36078, '1i1gA02', NULL, NULL, 77, NULL, NULL, 18082),
(36079, '2zbcH01', NULL, NULL, 74, NULL, NULL, 18082),
(36080, '2w25A02', NULL, NULL, 81, NULL, NULL, 18082),
(36081, '2cyyA02', NULL, NULL, 95, NULL, NULL, 18082),
(36082, '2cfxA02', NULL, NULL, 94, NULL, NULL, 18082),
(36083, '2dbbA02', NULL, NULL, 93, NULL, NULL, 18082),
(36084, '1rzhM02', NULL, NULL, 164, NULL, NULL, 18083),
(36085, '1l9bM01', NULL, NULL, 109, NULL, NULL, 18083),
(36086, '5y5sL02', NULL, NULL, 100, NULL, NULL, 18083),
(36087, '5y5sM01', NULL, NULL, 143, NULL, NULL, 18083),
(36088, '5y5sM02', NULL, NULL, 159, NULL, NULL, 18083),
(36089, '5y5sL01', NULL, NULL, 172, NULL, NULL, 18083),
(36090, '2wjnL02', NULL, NULL, 108, NULL, NULL, 18083),
(36091, '2wjnM01', NULL, NULL, 144, NULL, NULL, 18083),
(36092, '2wjnL01', NULL, NULL, 166, NULL, NULL, 18083),
(36093, '2wjnM02', NULL, NULL, 159, NULL, NULL, 18083),
(36094, '1rzhL02', NULL, NULL, 100, NULL, NULL, 18083),
(36095, '1rzhM01', NULL, NULL, 143, NULL, NULL, 18083),
(36096, '1rzhL01', NULL, NULL, 163, NULL, NULL, 18083),
(36097, '5cecA02', NULL, NULL, 171, NULL, NULL, 18084),
(36098, '5cerG02', NULL, NULL, 163, NULL, NULL, 18084),
(36099, '3a3dA02', NULL, NULL, 102, NULL, NULL, 18084),
(36100, '2ex2A02', NULL, NULL, 103, NULL, NULL, 18084),
(36101, '1w5dA02', NULL, NULL, 102, NULL, NULL, 18084),
(36102, '1w79A02', NULL, NULL, 105, NULL, NULL, 18084),
(36103, '3qq2B00', NULL, NULL, 266, NULL, NULL, 18085),
(36104, '3aehA00', NULL, NULL, 308, NULL, NULL, 18085),
(36105, '3kvnA02', NULL, NULL, 308, NULL, NULL, 18085),
(36106, '4meeA00', NULL, NULL, 325, NULL, NULL, 18085),
(36107, '1uynX00', NULL, NULL, 308, NULL, NULL, 18085),
(36108, '3sltA00', NULL, NULL, 313, NULL, NULL, 18085),
(36109, '2jtxA01', NULL, NULL, 46, NULL, NULL, 18086),
(36110, '3lm3A01', NULL, NULL, 313, NULL, NULL, 18087),
(36111, '2q8vB00', NULL, NULL, 63, NULL, NULL, 18088),
(36112, '3cs5A00', NULL, NULL, 59, NULL, NULL, 18088),
(36113, '1ojhA00', NULL, NULL, 65, NULL, NULL, 18088),
(36114, '2spcA00', NULL, NULL, 107, NULL, NULL, 18089),
(36115, '1hciA04', NULL, NULL, 114, NULL, NULL, 18089),
(36116, '1quuA02', NULL, NULL, 124, NULL, NULL, 18089),
(36117, '1hciA01', NULL, NULL, 127, NULL, NULL, 18089),
(36118, '1s35A01', NULL, NULL, 102, NULL, NULL, 18089),
(36119, '1quuA01', NULL, NULL, 126, NULL, NULL, 18089),
(36120, '1s35A02', NULL, NULL, 112, NULL, NULL, 18089),
(36121, '2odvA01', NULL, NULL, 120, NULL, NULL, 18089),
(36122, '2odvA02', NULL, NULL, 115, NULL, NULL, 18089),
(36123, '3uunA00', NULL, NULL, 119, NULL, NULL, 18089),
(36124, '3eduA00', NULL, NULL, 218, NULL, NULL, 18089);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(36125, '1g8xA06', NULL, NULL, 319, NULL, NULL, 18089),
(36126, '1cunA01', NULL, NULL, 102, NULL, NULL, 18089),
(36127, '3fb2A01', NULL, NULL, 112, NULL, NULL, 18089),
(36128, '5j1gA00', NULL, NULL, 234, NULL, NULL, 18089),
(36129, '3pe0A01', NULL, NULL, 107, NULL, NULL, 18089),
(36130, '3kbtA00', NULL, NULL, 309, NULL, NULL, 18089),
(36131, '3pe0A02', NULL, NULL, 109, NULL, NULL, 18089),
(36132, '1wlxA01', NULL, NULL, 127, NULL, NULL, 18089),
(36133, '1cunA02', NULL, NULL, 103, NULL, NULL, 18089),
(36134, '3f57B00', NULL, NULL, 209, NULL, NULL, 18089),
(36135, '3r6nB01', NULL, NULL, 225, NULL, NULL, 18089),
(36136, '3uumB00', NULL, NULL, 123, NULL, NULL, 18089),
(36137, '3f31B00', NULL, NULL, 149, NULL, NULL, 18089),
(36138, '3fb2B02', NULL, NULL, 104, NULL, NULL, 18089),
(36139, '2iakA01', NULL, NULL, 215, NULL, NULL, 18089),
(36140, '1owaA02', NULL, NULL, 106, NULL, NULL, 18089),
(36141, '3edvA02', NULL, NULL, 183, NULL, NULL, 18089),
(36142, '3lbxB02', NULL, NULL, 76, NULL, NULL, 18089),
(36143, '3edvA01', NULL, NULL, 137, NULL, NULL, 18089),
(36144, '3lbxB01', NULL, NULL, 109, NULL, NULL, 18089),
(36145, '1u5pA01', NULL, NULL, 109, NULL, NULL, 18089),
(36146, '3lbxA00', NULL, NULL, 140, NULL, NULL, 18089),
(36147, '3pdyA00', NULL, NULL, 210, NULL, NULL, 18089),
(36148, '1nhwC00', NULL, NULL, 60, NULL, NULL, 18090),
(36149, '4hwmA00', NULL, NULL, 130, NULL, NULL, 18091),
(36150, '2if6B00', NULL, NULL, 186, NULL, NULL, 18092),
(36151, '4cgkA02', NULL, NULL, 102, NULL, NULL, 18092),
(36152, '3m1uA01', NULL, NULL, 171, NULL, NULL, 18092),
(36153, '3m1uB01', NULL, NULL, 171, NULL, NULL, 18092),
(36154, '4f0wA00', NULL, NULL, 152, NULL, NULL, 18092),
(36155, '4r0kA03', NULL, NULL, 163, NULL, NULL, 18092),
(36156, '4q4gX00', NULL, NULL, 207, NULL, NULL, 18092),
(36157, '3pbiA00', NULL, NULL, 214, NULL, NULL, 18092),
(36158, '2vobB02', NULL, NULL, 214, NULL, NULL, 18092),
(36159, '2vpmA01', NULL, NULL, 203, NULL, NULL, 18092),
(36160, '2k3aA01', NULL, NULL, 100, NULL, NULL, 18092),
(36161, '2hbwA02', NULL, NULL, 148, NULL, NULL, 18092),
(36162, '4dpzX00', NULL, NULL, 137, NULL, NULL, 18092),
(36163, '4fdyA02', NULL, NULL, 134, NULL, NULL, 18092),
(36164, '3i86B00', NULL, NULL, 141, NULL, NULL, 18092),
(36165, '4q95A00', NULL, NULL, 149, NULL, NULL, 18092),
(36166, '4lj1A00', NULL, NULL, 147, NULL, NULL, 18092),
(36167, '4hz9A00', NULL, NULL, 119, NULL, NULL, 18092),
(36168, '2k1gA00', NULL, NULL, 135, NULL, NULL, 18092),
(36169, '2lktA00', NULL, NULL, 125, NULL, NULL, 18092),
(36170, '3kw0A00', NULL, NULL, 194, NULL, NULL, 18092),
(36171, '4hpeA02', NULL, NULL, 126, NULL, NULL, 18092),
(36172, '2evrA02', NULL, NULL, 148, NULL, NULL, 18092),
(36173, '3gt2A00', NULL, NULL, 142, NULL, NULL, 18092),
(36174, '2lrjA00', NULL, NULL, 113, NULL, NULL, 18092),
(36175, '4dotA00', NULL, NULL, 140, NULL, NULL, 18092),
(36176, '3a2zA00', NULL, NULL, 197, NULL, NULL, 18092),
(36177, '3h41A03', NULL, NULL, 126, NULL, NULL, 18092),
(36178, '4ct3A00', NULL, NULL, 165, NULL, NULL, 18092),
(36179, '3npfA03', NULL, NULL, 161, NULL, NULL, 18092),
(36180, '1lcuA02', NULL, NULL, 34, NULL, NULL, 18093),
(36181, '6av9A02', NULL, NULL, 34, NULL, NULL, 18093),
(36182, '6av9B02', NULL, NULL, 34, NULL, NULL, 18093),
(36183, '6av9C02', NULL, NULL, 34, NULL, NULL, 18093),
(36184, '1yagA02', NULL, NULL, 34, NULL, NULL, 18093),
(36185, '1k8kA02', NULL, NULL, 41, NULL, NULL, 18093),
(36186, '2pbdA02', NULL, NULL, 41, NULL, NULL, 18093),
(36187, '6avbC02', NULL, NULL, 34, NULL, NULL, 18093),
(36188, '6avbA02', NULL, NULL, 34, NULL, NULL, 18093),
(36189, '6avbB02', NULL, NULL, 34, NULL, NULL, 18093),
(36190, '5uboA02', NULL, NULL, 41, NULL, NULL, 18093),
(36191, '1lkxA01', NULL, NULL, 260, NULL, NULL, 18094),
(36192, '4zg4E02', NULL, NULL, 252, NULL, NULL, 18094),
(36193, '3h4sA01', NULL, NULL, 337, NULL, NULL, 18094),
(36194, '1bg2A00', NULL, NULL, 325, NULL, NULL, 18094),
(36195, '1gojA00', NULL, NULL, 355, NULL, NULL, 18094),
(36196, '6b0cK00', NULL, NULL, 338, NULL, NULL, 18094),
(36197, '5gszA00', NULL, NULL, 353, NULL, NULL, 18094); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(36198, '5wdeA00', NULL, NULL, 330, NULL, NULL, 18094),
(36199, '3cobC00', NULL, NULL, 369, NULL, NULL, 18094),
(36200, '2mysA02', NULL, NULL, 253, NULL, NULL, 18094),
(36201, '1kk7A02', NULL, NULL, 252, NULL, NULL, 18094),
(36202, '3u06B00', NULL, NULL, 385, NULL, NULL, 18094),
(36203, '1v8kA00', NULL, NULL, 369, NULL, NULL, 18094),
(36204, '3b6vA00', NULL, NULL, 334, NULL, NULL, 18094),
(36205, '5zbrC00', NULL, NULL, 375, NULL, NULL, 18094),
(36206, '3nwnA00', NULL, NULL, 336, NULL, NULL, 18094),
(36207, '1ry6A00', NULL, NULL, 330, NULL, NULL, 18094),
(36208, '2zfiA00', NULL, NULL, 366, NULL, NULL, 18094),
(36209, '3x2tA00', NULL, NULL, 341, NULL, NULL, 18094),
(36210, '3zfdA00', NULL, NULL, 351, NULL, NULL, 18094),
(36211, '1vomA01', NULL, NULL, 345, NULL, NULL, 18094),
(36212, '6njeA00', NULL, NULL, 348, NULL, NULL, 18094),
(36213, '4a14A00', NULL, NULL, 344, NULL, NULL, 18094),
(36214, '2hehA00', NULL, NULL, 365, NULL, NULL, 18094),
(36215, '4h1gA02', NULL, NULL, 344, NULL, NULL, 18094),
(36216, '3lreB00', NULL, NULL, 355, NULL, NULL, 18094),
(36217, '2kinA00', NULL, NULL, 238, NULL, NULL, 18094),
(36218, '4pfoA02', NULL, NULL, 255, NULL, NULL, 18094),
(36219, '1t5cB00', NULL, NULL, 349, NULL, NULL, 18094),
(36220, '2vvgB00', NULL, NULL, 350, NULL, NULL, 18094),
(36221, '2owmD00', NULL, NULL, 386, NULL, NULL, 18094),
(36222, '3dc4A00', NULL, NULL, 326, NULL, NULL, 18094),
(36223, '3zcwA00', NULL, NULL, 348, NULL, NULL, 18094),
(36224, '3b6uA00', NULL, NULL, 352, NULL, NULL, 18094),
(36225, '4bn2C00', NULL, NULL, 361, NULL, NULL, 18094),
(36226, '1f9vA00', NULL, NULL, 347, NULL, NULL, 18094),
(36227, '5hleA00', NULL, NULL, 336, NULL, NULL, 18094),
(36228, '4gkrB00', NULL, NULL, 344, NULL, NULL, 18094),
(36229, '5wdhA00', NULL, NULL, 355, NULL, NULL, 18094),
(36230, '3t0qA00', NULL, NULL, 349, NULL, NULL, 18094),
(36231, '2y65A00', NULL, NULL, 365, NULL, NULL, 18094),
(36232, '1br2A01', NULL, NULL, 316, NULL, NULL, 18094),
(36233, '2gryA00', NULL, NULL, 358, NULL, NULL, 18094),
(36234, '1lvkA02', NULL, NULL, 245, NULL, NULL, 18094),
(36235, '3b0pA02', NULL, NULL, 75, NULL, NULL, 18095),
(36236, '3uc9A00', NULL, NULL, 184, NULL, NULL, 18096),
(36237, '6fqcA02', NULL, NULL, 44, NULL, NULL, 18097),
(36238, '3besR03', NULL, NULL, 56, NULL, NULL, 18098),
(36239, '4df9C01', NULL, NULL, 140, NULL, NULL, 18099),
(36240, '3p1vA01', NULL, NULL, 139, NULL, NULL, 18099),
(36241, '3p24A01', NULL, NULL, 153, NULL, NULL, 18100),
(36242, '4on1A01', NULL, NULL, 168, NULL, NULL, 18100),
(36243, '2oojB00', NULL, NULL, 141, NULL, NULL, 18101),
(36244, '2q03B00', NULL, NULL, 138, NULL, NULL, 18101),
(36245, '3if8A02', NULL, NULL, 78, NULL, NULL, 18102),
(36246, '2p4wA02', NULL, NULL, 99, NULL, NULL, 18103),
(36247, '2ww8A04', NULL, NULL, 74, NULL, NULL, 18104),
(36248, '3tvyA02', NULL, NULL, 59, NULL, NULL, 18104),
(36249, '2kz4A00', NULL, NULL, 112, NULL, NULL, 18105),
(36250, '2kcaA00', NULL, NULL, 109, NULL, NULL, 18105),
(36251, '1wn2A00', NULL, NULL, 121, NULL, NULL, 18106),
(36252, '2zv3B00', NULL, NULL, 115, NULL, NULL, 18106),
(36253, '1q7sA00', NULL, NULL, 117, NULL, NULL, 18106),
(36254, '1xtyA00', NULL, NULL, 120, NULL, NULL, 18106),
(36255, '3erjA00', NULL, NULL, 123, NULL, NULL, 18106),
(36256, '2gaxA00', NULL, NULL, 135, NULL, NULL, 18106),
(36257, '1rlkA00', NULL, NULL, 117, NULL, NULL, 18106),
(36258, '3mmyB00', NULL, NULL, 56, NULL, NULL, 18107),
(36259, '3h4sA02', NULL, NULL, 49, NULL, NULL, 18108),
(36260, '2yfvC00', NULL, NULL, 63, NULL, NULL, 18109),
(36261, '5j3pA00', NULL, NULL, 253, NULL, NULL, 18110),
(36262, '5j8nA00', NULL, NULL, 258, NULL, NULL, 18110),
(36263, '2imqX00', NULL, NULL, 282, NULL, NULL, 18110),
(36264, '2a40B00', NULL, NULL, 260, NULL, NULL, 18110),
(36265, '2j63A00', NULL, NULL, 358, NULL, NULL, 18110),
(36266, '3tebB00', NULL, NULL, 266, NULL, NULL, 18110),
(36267, '5dffB00', NULL, NULL, 276, NULL, NULL, 18110),
(36268, '2o3cA00', NULL, NULL, 282, NULL, NULL, 18110),
(36269, '5ht2A00', NULL, NULL, 256, NULL, NULL, 18110),
(36270, '6ca4B00', NULL, NULL, 250, NULL, NULL, 18110);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(36271, '2ei9A00', NULL, NULL, 219, NULL, NULL, 18110),
(36272, '3g91A00', NULL, NULL, 265, NULL, NULL, 18110),
(36273, '1vybA00', NULL, NULL, 238, NULL, NULL, 18110),
(36274, '2xswB00', NULL, NULL, 357, NULL, NULL, 18110),
(36275, '3wcxA00', NULL, NULL, 298, NULL, NULL, 18110),
(36276, '2ddrA00', NULL, NULL, 306, NULL, NULL, 18110),
(36277, '4ruwA01', NULL, NULL, 286, NULL, NULL, 18110),
(36278, '4cmlA00', NULL, NULL, 313, NULL, NULL, 18110),
(36279, '4cmnA00', NULL, NULL, 354, NULL, NULL, 18110),
(36280, '3mprB00', NULL, NULL, 298, NULL, NULL, 18110),
(36281, '2jc4A00', NULL, NULL, 256, NULL, NULL, 18110),
(36282, '3g6sA00', NULL, NULL, 267, NULL, NULL, 18110),
(36283, '1akoA00', NULL, NULL, 268, NULL, NULL, 18110),
(36284, '3ngqA00', NULL, NULL, 398, NULL, NULL, 18110),
(36285, '3l1wA00', NULL, NULL, 257, NULL, NULL, 18110),
(36286, '3i41A00', NULL, NULL, 290, NULL, NULL, 18110),
(36287, '1i9zA00', NULL, NULL, 347, NULL, NULL, 18110),
(36288, '4a9cA00', NULL, NULL, 316, NULL, NULL, 18110),
(36289, '2jc5A00', NULL, NULL, 259, NULL, NULL, 18110),
(36290, '5cfeA00', NULL, NULL, 252, NULL, NULL, 18110),
(36291, '5ewtA00', NULL, NULL, 247, NULL, NULL, 18110),
(36292, '1wduB00', NULL, NULL, 227, NULL, NULL, 18110),
(36293, '1zwxA00', NULL, NULL, 301, NULL, NULL, 18110),
(36294, '1sr4B00', NULL, NULL, 261, NULL, NULL, 18110),
(36295, '4jg3A00', NULL, NULL, 262, NULL, NULL, 18110),
(36296, '4awnA00', NULL, NULL, 260, NULL, NULL, 18110),
(36297, '2voaA00', NULL, NULL, 257, NULL, NULL, 18110),
(36298, '4fvaC00', NULL, NULL, 256, NULL, NULL, 18110),
(36299, '4fpvB00', NULL, NULL, 257, NULL, NULL, 18110),
(36300, '2f1nA00', NULL, NULL, 262, NULL, NULL, 18110),
(36301, '4k6lF00', NULL, NULL, 255, NULL, NULL, 18110),
(36302, '2j5uA03', NULL, NULL, 80, NULL, NULL, 18111),
(36303, '2qf4A02', NULL, NULL, 91, NULL, NULL, 18111),
(36304, '5y5qC00', NULL, NULL, 153, NULL, NULL, 18112),
(36305, '4lhrA00', NULL, NULL, 140, NULL, NULL, 18112),
(36306, '1pkhB00', NULL, NULL, 175, NULL, NULL, 18112),
(36307, '3mdxA00', NULL, NULL, 150, NULL, NULL, 18112),
(36308, '3ca9A00', NULL, NULL, 141, NULL, NULL, 18112),
(36309, '5ccoA00', NULL, NULL, 170, NULL, NULL, 18112),
(36310, '3km3B00', NULL, NULL, 158, NULL, NULL, 18112),
(36311, '1f7dA00', NULL, NULL, 118, NULL, NULL, 18112),
(36312, '1sjnB00', NULL, NULL, 140, NULL, NULL, 18112),
(36313, '1dunA00', NULL, NULL, 134, NULL, NULL, 18112),
(36314, '3h6xB00', NULL, NULL, 132, NULL, NULL, 18112),
(36315, '4b0hB00', NULL, NULL, 144, NULL, NULL, 18112),
(36316, '4gv8D00', NULL, NULL, 169, NULL, NULL, 18112),
(36317, '3c3iB00', NULL, NULL, 141, NULL, NULL, 18112),
(36318, '6mjkA00', NULL, NULL, 155, NULL, NULL, 18112),
(36319, '3so2A00', NULL, NULL, 146, NULL, NULL, 18112),
(36320, '2bsyA02', NULL, NULL, 106, NULL, NULL, 18112),
(36321, '2bsyA01', NULL, NULL, 150, NULL, NULL, 18112),
(36322, '4oopB00', NULL, NULL, 142, NULL, NULL, 18112),
(36323, '1euwA00', NULL, NULL, 136, NULL, NULL, 18112),
(36324, '6maiA00', NULL, NULL, 160, NULL, NULL, 18112),
(36325, '3ecyA00', NULL, NULL, 126, NULL, NULL, 18112),
(36326, '1sixA00', NULL, NULL, 174, NULL, NULL, 18112),
(36327, '2okbA00', NULL, NULL, 113, NULL, NULL, 18112),
(36328, '3t64A01', NULL, NULL, 152, NULL, NULL, 18112),
(36329, '4xjcF00', NULL, NULL, 177, NULL, NULL, 18112),
(36330, '2v9xJ01', NULL, NULL, 163, NULL, NULL, 18112),
(36331, '3ehwA00', NULL, NULL, 141, NULL, NULL, 18112),
(36332, '4gk6A00', NULL, NULL, 138, NULL, NULL, 18112),
(36333, '2ol1C00', NULL, NULL, 131, NULL, NULL, 18112),
(36334, '4ao5B01', NULL, NULL, 119, NULL, NULL, 18112),
(36335, '2qlpA01', NULL, NULL, 154, NULL, NULL, 18112),
(36336, '3p48C00', NULL, NULL, 147, NULL, NULL, 18112),
(36337, '2yzjA01', NULL, NULL, 151, NULL, NULL, 18112),
(36338, '5f9kB00', NULL, NULL, 130, NULL, NULL, 18112),
(36339, '3tqzA00', NULL, NULL, 155, NULL, NULL, 18112),
(36340, '3lqwA00', NULL, NULL, 141, NULL, NULL, 18112),
(36341, '2r9qC01', NULL, NULL, 172, NULL, NULL, 18112),
(36342, '4dhkB00', NULL, NULL, 163, NULL, NULL, 18112),
(36343, '3tq5A01', NULL, NULL, 105, NULL, NULL, 18112);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(36344, '2r9qA02', NULL, NULL, 173, NULL, NULL, 18112),
(36345, '3hzaA01', NULL, NULL, 139, NULL, NULL, 18112),
(36346, '1uzrB00', NULL, NULL, 296, NULL, NULL, 18113),
(36347, '4bmoA00', NULL, NULL, 290, NULL, NULL, 18113),
(36348, '2rccA01', NULL, NULL, 259, NULL, NULL, 18113),
(36349, '1r2fA00', NULL, NULL, 288, NULL, NULL, 18113),
(36350, '1za0A00', NULL, NULL, 275, NULL, NULL, 18113),
(36351, '2uw1B00', NULL, NULL, 338, NULL, NULL, 18113),
(36352, '2innD00', NULL, NULL, 333, NULL, NULL, 18113),
(36353, '3ge3B00', NULL, NULL, 306, NULL, NULL, 18113),
(36354, '2innC00', NULL, NULL, 333, NULL, NULL, 18113),
(36355, '1mxrA00', NULL, NULL, 339, NULL, NULL, 18113),
(36356, '1h0oA00', NULL, NULL, 288, NULL, NULL, 18113),
(36357, '4n83A00', NULL, NULL, 287, NULL, NULL, 18113),
(36358, '3oljA00', NULL, NULL, 286, NULL, NULL, 18113),
(36359, '2o1zA01', NULL, NULL, 279, NULL, NULL, 18113),
(36360, '4dr0B00', NULL, NULL, 291, NULL, NULL, 18113),
(36361, '4m1hB00', NULL, NULL, 348, NULL, NULL, 18113),
(36362, '3chtA00', NULL, NULL, 313, NULL, NULL, 18113),
(36363, '3n37A00', NULL, NULL, 288, NULL, NULL, 18113),
(36364, '3u52D00', NULL, NULL, 333, NULL, NULL, 18113),
(36365, '4a5hA00', NULL, NULL, 271, NULL, NULL, 18113),
(36366, '5hyhA00', NULL, NULL, 317, NULL, NULL, 18113),
(36367, '3u52B00', NULL, NULL, 511, NULL, NULL, 18113),
(36368, '3mjoA00', NULL, NULL, 296, NULL, NULL, 18113),
(36369, '3pf7B00', NULL, NULL, 481, NULL, NULL, 18113),
(36370, '1oq4A00', NULL, NULL, 346, NULL, NULL, 18113),
(36371, '1mtyB00', NULL, NULL, 384, NULL, NULL, 18113),
(36372, '1jk0A00', NULL, NULL, 334, NULL, NULL, 18113),
(36373, '1mtyD00', NULL, NULL, 512, NULL, NULL, 18113),
(36374, '6f6mB00', NULL, NULL, 284, NULL, NULL, 18113),
(36375, '1mhyD00', NULL, NULL, 521, NULL, NULL, 18113),
(36376, '2incA00', NULL, NULL, 491, NULL, NULL, 18113),
(36377, '2incB00', NULL, NULL, 322, NULL, NULL, 18113),
(36378, '1mhyB00', NULL, NULL, 395, NULL, NULL, 18113),
(36379, '3ge3A00', NULL, NULL, 500, NULL, NULL, 18113),
(36380, '1smsA00', NULL, NULL, 325, NULL, NULL, 18113),
(36381, '4djnA00', NULL, NULL, 295, NULL, NULL, 18113),
(36382, '6qrzA00', NULL, NULL, 285, NULL, NULL, 18113),
(36383, '3ee4A00', NULL, NULL, 299, NULL, NULL, 18113),
(36384, '3qh6A00', NULL, NULL, 157, NULL, NULL, 18114),
(36385, '3dwlE00', NULL, NULL, 92, NULL, NULL, 18115),
(36386, '2kjzA01', NULL, NULL, 54, NULL, NULL, 18116),
(36387, '3sk1C01', NULL, NULL, 62, NULL, NULL, 18116),
(36388, '3itwB01', NULL, NULL, 67, NULL, NULL, 18116),
(36389, '3vcxA01', NULL, NULL, 54, NULL, NULL, 18116),
(36390, '4dx5A08', NULL, NULL, 89, NULL, NULL, 18117),
(36391, '4mt1A04', NULL, NULL, 96, NULL, NULL, 18117),
(36392, '3w9iA04', NULL, NULL, 96, NULL, NULL, 18117),
(36393, '5t0oA04', NULL, NULL, 96, NULL, NULL, 18117),
(36394, '4dx5A04', NULL, NULL, 96, NULL, NULL, 18117),
(36395, '3w9iA08', NULL, NULL, 89, NULL, NULL, 18117),
(36396, '4mt1A08', NULL, NULL, 89, NULL, NULL, 18117),
(36397, '1y55X00', NULL, NULL, 126, NULL, NULL, 18118),
(36398, '2zscA00', NULL, NULL, 124, NULL, NULL, 18118),
(36399, '2c1sA00', NULL, NULL, 126, NULL, NULL, 18118),
(36400, '3ew1E00', NULL, NULL, 135, NULL, NULL, 18118),
(36401, '1wbiB00', NULL, NULL, 129, NULL, NULL, 18118),
(36402, '4bcsB00', NULL, NULL, 125, NULL, NULL, 18118),
(36403, '4bx5A00', NULL, NULL, 138, NULL, NULL, 18118),
(36404, '5f2bA00', NULL, NULL, 134, NULL, NULL, 18118),
(36405, '4ggtB00', NULL, NULL, 115, NULL, NULL, 18118),
(36406, '3wyqB00', NULL, NULL, 127, NULL, NULL, 18118),
(36407, '3rdsA00', NULL, NULL, 129, NULL, NULL, 18118),
(36408, '6gmiA00', NULL, NULL, 156, NULL, NULL, 18118),
(36409, '6aueA00', NULL, NULL, 133, NULL, NULL, 18118),
(36410, '4ekvA00', NULL, NULL, 143, NULL, NULL, 18118),
(36411, '1moyA00', NULL, NULL, 130, NULL, NULL, 18118),
(36412, '4bj8K00', NULL, NULL, 126, NULL, NULL, 18118),
(36413, '2jgsB00', NULL, NULL, 130, NULL, NULL, 18118),
(36414, '2y3eA00', NULL, NULL, 134, NULL, NULL, 18118),
(36415, '4gdaB00', NULL, NULL, 131, NULL, NULL, 18118),
(36416, '2c4iA01', NULL, NULL, 132, NULL, NULL, 18118);
INSERT INTO "PUBLIC"."MODEL" VALUES
(36417, '2c4iA02', NULL, NULL, 135, NULL, NULL, 18118),
(36418, '4jnjA00', NULL, NULL, 115, NULL, NULL, 18118),
(36419, '1rxjA00', NULL, NULL, 121, NULL, NULL, 18118),
(36420, '2f01B00', NULL, NULL, 127, NULL, NULL, 18118),
(36421, '1vyoA00', NULL, NULL, 128, NULL, NULL, 18118),
(36422, '4bboA00', NULL, NULL, 118, NULL, NULL, 18118),
(36423, '5n8jB00', NULL, NULL, 120, NULL, NULL, 18118),
(36424, '3szhC00', NULL, NULL, 122, NULL, NULL, 18118),
(36425, '4z2oA00', NULL, NULL, 134, NULL, NULL, 18118),
(36426, '2uywA00', NULL, NULL, 130, NULL, NULL, 18118),
(36427, '6hdtB00', NULL, NULL, 133, NULL, NULL, 18118),
(36428, '4u46A00', NULL, NULL, 138, NULL, NULL, 18118),
(36429, '2cp6A01', NULL, NULL, 80, NULL, NULL, 18119),
(36430, '2cp3A00', NULL, NULL, 84, NULL, NULL, 18119),
(36431, '2cp5A01', NULL, NULL, 79, NULL, NULL, 18119),
(36432, '2cp2A00', NULL, NULL, 95, NULL, NULL, 18119),
(36433, '2e3iA00', NULL, NULL, 86, NULL, NULL, 18119),
(36434, '3tq7P00', NULL, NULL, 71, NULL, NULL, 18119),
(36435, '2hknA00', NULL, NULL, 97, NULL, NULL, 18119),
(36436, '2z0wA00', NULL, NULL, 96, NULL, NULL, 18119),
(36437, '2cowA01', NULL, NULL, 82, NULL, NULL, 18119),
(36438, '1lplA00', NULL, NULL, 95, NULL, NULL, 18119),
(36439, '1whjA00', NULL, NULL, 102, NULL, NULL, 18119),
(36440, '1whkA00', NULL, NULL, 91, NULL, NULL, 18119),
(36441, '1whgA01', NULL, NULL, 86, NULL, NULL, 18119),
(36442, '2e3hA00', NULL, NULL, 90, NULL, NULL, 18119),
(36443, '1whhA01', NULL, NULL, 82, NULL, NULL, 18119),
(36444, '4b6mB00', NULL, NULL, 84, NULL, NULL, 18119),
(36445, '2cp0A00', NULL, NULL, 95, NULL, NULL, 18119),
(36446, '1whmA01', NULL, NULL, 72, NULL, NULL, 18119),
(36447, '1ixdA00', NULL, NULL, 104, NULL, NULL, 18119),
(36448, '1whlA00', NULL, NULL, 95, NULL, NULL, 18119),
(36449, '2cozA01', NULL, NULL, 86, NULL, NULL, 18119),
(36450, '3me5A01', NULL, NULL, 71, NULL, NULL, 18120),
(36451, '3nqvA00', NULL, NULL, 253, NULL, NULL, 18121),
(36452, '2yx0A00', NULL, NULL, 342, NULL, NULL, 18121),
(36453, '1sflB00', NULL, NULL, 238, NULL, NULL, 18121),
(36454, '4mjmA00', NULL, NULL, 336, NULL, NULL, 18121),
(36455, '5zknA00', NULL, NULL, 225, NULL, NULL, 18121),
(36456, '4fb7A00', NULL, NULL, 275, NULL, NULL, 18121),
(36457, '1r2rB00', NULL, NULL, 248, NULL, NULL, 18121),
(36458, '3oixA01', NULL, NULL, 268, NULL, NULL, 18121),
(36459, '2b7oA01', NULL, NULL, 353, NULL, NULL, 18121),
(36460, '5lnuB00', NULL, NULL, 278, NULL, NULL, 18121),
(36461, '2g95B02', NULL, NULL, 259, NULL, NULL, 18121),
(36462, '4ohqB00', NULL, NULL, 256, NULL, NULL, 18121),
(36463, '2zbtA00', NULL, NULL, 278, NULL, NULL, 18121),
(36464, '4rv8C00', NULL, NULL, 361, NULL, NULL, 18121),
(36465, '2fiqD01', NULL, NULL, 296, NULL, NULL, 18121),
(36466, '4iqlA00', NULL, NULL, 313, NULL, NULL, 18121),
(36467, '4xkyA00', NULL, NULL, 300, NULL, NULL, 18121),
(36468, '1tqjC00', NULL, NULL, 230, NULL, NULL, 18121),
(36469, '4oriA00', NULL, NULL, 372, NULL, NULL, 18121),
(36470, '3no5E00', NULL, NULL, 275, NULL, NULL, 18121),
(36471, '3hpxA01', NULL, NULL, 298, NULL, NULL, 18121),
(36472, '6bngA00', NULL, NULL, 289, NULL, NULL, 18121),
(36473, '2r14A00', NULL, NULL, 377, NULL, NULL, 18121),
(36474, '1vcfB00', NULL, NULL, 310, NULL, NULL, 18121),
(36475, '1ea0A02', NULL, NULL, 358, NULL, NULL, 18121),
(36476, '5e1qA02', NULL, NULL, 273, NULL, NULL, 18121),
(36477, '5lntA00', NULL, NULL, 273, NULL, NULL, 18121),
(36478, '1o5xA00', NULL, NULL, 248, NULL, NULL, 18121),
(36479, '4uxdA00', NULL, NULL, 274, NULL, NULL, 18121),
(36480, '4nnaA01', NULL, NULL, 354, NULL, NULL, 18121),
(36481, '4ogzA02', NULL, NULL, 296, NULL, NULL, 18121),
(36482, '5u4nA00', NULL, NULL, 362, NULL, NULL, 18121),
(36483, '5ucsA00', NULL, NULL, 307, NULL, NULL, 18121),
(36484, '3tfxA00', NULL, NULL, 259, NULL, NULL, 18121),
(36485, '4grsA02', NULL, NULL, 263, NULL, NULL, 18121),
(36486, '5ahmB00', NULL, NULL, 380, NULL, NULL, 18121),
(36487, '4fhaA00', NULL, NULL, 311, NULL, NULL, 18121),
(36488, '2nv2I00', NULL, NULL, 272, NULL, NULL, 18121),
(36489, '3a9iA01', NULL, NULL, 271, NULL, NULL, 18121);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(36490, '4xwuA00', NULL, NULL, 338, NULL, NULL, 18121),
(36491, '2z0iA00', NULL, NULL, 330, NULL, NULL, 18121),
(36492, '3hjzA00', NULL, NULL, 334, NULL, NULL, 18121),
(36493, '4xq6A00', NULL, NULL, 323, NULL, NULL, 18121),
(36494, '4i7wA00', NULL, NULL, 308, NULL, NULL, 18121),
(36495, '1jcnA00', NULL, NULL, 464, NULL, NULL, 18121),
(36496, '4h3dB00', NULL, NULL, 258, NULL, NULL, 18121),
(36497, '4nu7C00', NULL, NULL, 230, NULL, NULL, 18121),
(36498, '1xi3A00', NULL, NULL, 215, NULL, NULL, 18121),
(36499, '4lt9A00', NULL, NULL, 269, NULL, NULL, 18121),
(36500, '1me8A00', NULL, NULL, 383, NULL, NULL, 18121),
(36501, '4k36B00', NULL, NULL, 370, NULL, NULL, 18121),
(36502, '3pm6A00', NULL, NULL, 306, NULL, NULL, 18121),
(36503, '5o0wB00', NULL, NULL, 359, NULL, NULL, 18121),
(36504, '1ydoA00', NULL, NULL, 307, NULL, NULL, 18121),
(36505, '5uprA00', NULL, NULL, 265, NULL, NULL, 18121),
(36506, '1rqbA01', NULL, NULL, 284, NULL, NULL, 18121),
(36507, '1wx0A00', NULL, NULL, 223, NULL, NULL, 18121),
(36508, '2b7nA02', NULL, NULL, 146, NULL, NULL, 18121),
(36509, '2yxgB00', NULL, NULL, 289, NULL, NULL, 18121),
(36510, '3exrA00', NULL, NULL, 221, NULL, NULL, 18121),
(36511, '1f6kC00', NULL, NULL, 293, NULL, NULL, 18121),
(36512, '4axkB00', NULL, NULL, 250, NULL, NULL, 18121),
(36513, '1v5xA00', NULL, NULL, 203, NULL, NULL, 18121),
(36514, '2nuwA00', NULL, NULL, 288, NULL, NULL, 18121),
(36515, '1b3oA00', NULL, NULL, 344, NULL, NULL, 18121),
(36516, '1ea0B03', NULL, NULL, 413, NULL, NULL, 18121),
(36517, '1f05A00', NULL, NULL, 337, NULL, NULL, 18121),
(36518, '4awtA00', NULL, NULL, 365, NULL, NULL, 18121),
(36519, '3tfcB02', NULL, NULL, 272, NULL, NULL, 18121),
(36520, '3cwoX00', NULL, NULL, 237, NULL, NULL, 18121),
(36521, '4mknA00', NULL, NULL, 254, NULL, NULL, 18121),
(36522, '1w5qB00', NULL, NULL, 337, NULL, NULL, 18121),
(36523, '3ktsA00', NULL, NULL, 192, NULL, NULL, 18121),
(36524, '5hqaA02', NULL, NULL, 416, NULL, NULL, 18121),
(36525, '1m6jA00', NULL, NULL, 261, NULL, NULL, 18121),
(36526, '5swvC01', NULL, NULL, 249, NULL, NULL, 18121),
(36527, '6arhA00', NULL, NULL, 314, NULL, NULL, 18121),
(36528, '2o7sA01', NULL, NULL, 233, NULL, NULL, 18121),
(36529, '4dppA00', NULL, NULL, 307, NULL, NULL, 18121),
(36530, '1geqB00', NULL, NULL, 248, NULL, NULL, 18121),
(36531, '3ndoA00', NULL, NULL, 231, NULL, NULL, 18121),
(36532, '5fewA00', NULL, NULL, 358, NULL, NULL, 18121),
(36533, '3cu2A00', NULL, NULL, 237, NULL, NULL, 18121),
(36534, '3clmA00', NULL, NULL, 352, NULL, NULL, 18121),
(36535, '4z0gA00', NULL, NULL, 413, NULL, NULL, 18121),
(36536, '6agmA00', NULL, NULL, 355, NULL, NULL, 18121),
(36537, '1yxyA00', NULL, NULL, 234, NULL, NULL, 18121),
(36538, '3ngjD00', NULL, NULL, 222, NULL, NULL, 18121),
(36539, '5ujwD00', NULL, NULL, 253, NULL, NULL, 18121),
(36540, '3ve9A00', NULL, NULL, 215, NULL, NULL, 18121),
(36541, '5h91A00', NULL, NULL, 227, NULL, NULL, 18121),
(36542, '4ml9A00', NULL, NULL, 286, NULL, NULL, 18121),
(36543, '1mxsA00', NULL, NULL, 225, NULL, NULL, 18121),
(36544, '2yyuB00', NULL, NULL, 246, NULL, NULL, 18121),
(36545, '1vhnA01', NULL, NULL, 238, NULL, NULL, 18121),
(36546, '5cgqA00', NULL, NULL, 268, NULL, NULL, 18121),
(36547, '5dxxA00', NULL, NULL, 387, NULL, NULL, 18121),
(36548, '4gj1A00', NULL, NULL, 243, NULL, NULL, 18121),
(36549, '2yr1A00', NULL, NULL, 257, NULL, NULL, 18121),
(36550, '1b9bB00', NULL, NULL, 255, NULL, NULL, 18121),
(36551, '3o6cA00', NULL, NULL, 260, NULL, NULL, 18121),
(36552, '5k9xA00', NULL, NULL, 275, NULL, NULL, 18121),
(36553, '3qfeB00', NULL, NULL, 318, NULL, NULL, 18121),
(36554, '4eivA00', NULL, NULL, 297, NULL, NULL, 18121),
(36555, '4utuA00', NULL, NULL, 229, NULL, NULL, 18121),
(36556, '5n6gA00', NULL, NULL, 379, NULL, NULL, 18121),
(36557, '5a5wA00', NULL, NULL, 253, NULL, NULL, 18121),
(36558, '5tchA00', NULL, NULL, 276, NULL, NULL, 18121),
(36559, '1vkfB00', NULL, NULL, 188, NULL, NULL, 18121),
(36560, '3q94A00', NULL, NULL, 288, NULL, NULL, 18121),
(36561, '4lu0D00', NULL, NULL, 287, NULL, NULL, 18121),
(36562, '5ui3A00', NULL, NULL, 307, NULL, NULL, 18121);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(36563, '1pv8B00', NULL, NULL, 330, NULL, NULL, 18121),
(36564, '1goxA00', NULL, NULL, 370, NULL, NULL, 18121),
(36565, '3ng3C00', NULL, NULL, 227, NULL, NULL, 18121),
(36566, '1h5yB00', NULL, NULL, 253, NULL, NULL, 18121),
(36567, '5u7sB00', NULL, NULL, 353, NULL, NULL, 18121),
(36568, '1piiA01', NULL, NULL, 261, NULL, NULL, 18121),
(36569, '5zkaA00', NULL, NULL, 307, NULL, NULL, 18121),
(36570, '1piiA02', NULL, NULL, 191, NULL, NULL, 18121),
(36571, '4tr9A00', NULL, NULL, 352, NULL, NULL, 18121),
(36572, '1f76A00', NULL, NULL, 336, NULL, NULL, 18121),
(36573, '2d73A02', NULL, NULL, 320, NULL, NULL, 18121),
(36574, '1n7kA00', NULL, NULL, 234, NULL, NULL, 18121),
(36575, '3navA00', NULL, NULL, 271, NULL, NULL, 18121),
(36576, '2yw3E00', NULL, NULL, 207, NULL, NULL, 18121),
(36577, '4rz4A00', NULL, NULL, 226, NULL, NULL, 18121),
(36578, '2a5hA02', NULL, NULL, 286, NULL, NULL, 18121),
(36579, '4p61A00', NULL, NULL, 248, NULL, NULL, 18121),
(36580, '2xn2A02', NULL, NULL, 323, NULL, NULL, 18121),
(36581, '1n8fA00', NULL, NULL, 350, NULL, NULL, 18121),
(36582, '4lvfB02', NULL, NULL, 269, NULL, NULL, 18121),
(36583, '5epdA00', NULL, NULL, 361, NULL, NULL, 18121),
(36584, '1p0kA00', NULL, NULL, 329, NULL, NULL, 18121),
(36585, '5f4wA00', NULL, NULL, 327, NULL, NULL, 18121),
(36586, '2nliB00', NULL, NULL, 326, NULL, NULL, 18121),
(36587, '1p1xB00', NULL, NULL, 260, NULL, NULL, 18121),
(36588, '5c54G00', NULL, NULL, 312, NULL, NULL, 18121),
(36589, '4a29A00', NULL, NULL, 258, NULL, NULL, 18121),
(36590, '1vrdB00', NULL, NULL, 354, NULL, NULL, 18121),
(36591, '3dz1A00', NULL, NULL, 313, NULL, NULL, 18121),
(36592, '5j6fA02', NULL, NULL, 274, NULL, NULL, 18121),
(36593, '3hblA05', NULL, NULL, 306, NULL, NULL, 18121),
(36594, '4y8fA00', NULL, NULL, 251, NULL, NULL, 18121),
(36595, '2y70A00', NULL, NULL, 245, NULL, NULL, 18121),
(36596, '5swuA00', NULL, NULL, 263, NULL, NULL, 18121),
(36597, '4qshA04', NULL, NULL, 305, NULL, NULL, 18121),
(36598, '1thfD00', NULL, NULL, 253, NULL, NULL, 18121),
(36599, '3s6dA00', NULL, NULL, 282, NULL, NULL, 18121),
(36600, '5ahnA00', NULL, NULL, 297, NULL, NULL, 18121),
(36601, '2z6iA00', NULL, NULL, 332, NULL, NULL, 18121),
(36602, '6ofuB00', NULL, NULL, 286, NULL, NULL, 18121),
(36603, '4mzyA02', NULL, NULL, 168, NULL, NULL, 18121),
(36604, '1vs1D00', NULL, NULL, 276, NULL, NULL, 18121),
(36605, '3cprA00', NULL, NULL, 304, NULL, NULL, 18121),
(36606, '4jdyA00', NULL, NULL, 264, NULL, NULL, 18121),
(36607, '3c61A01', NULL, NULL, 270, NULL, NULL, 18121),
(36608, '5lsmG00', NULL, NULL, 359, NULL, NULL, 18121),
(36609, '1aw2A00', NULL, NULL, 256, NULL, NULL, 18121),
(36610, '3wjsA00', NULL, NULL, 315, NULL, NULL, 18121),
(36611, '2h6rB00', NULL, NULL, 219, NULL, NULL, 18121),
(36612, '6mguB00', NULL, NULL, 363, NULL, NULL, 18121),
(36613, '2jbmA02', NULL, NULL, 146, NULL, NULL, 18121),
(36614, '2uv8G04', NULL, NULL, 289, NULL, NULL, 18121),
(36615, '5kinC00', NULL, NULL, 258, NULL, NULL, 18121),
(36616, '2w6rA00', NULL, NULL, 233, NULL, NULL, 18121),
(36617, '3q58A00', NULL, NULL, 229, NULL, NULL, 18121),
(36618, '2jkeA02', NULL, NULL, 430, NULL, NULL, 18121),
(36619, '3lm7A00', NULL, NULL, 249, NULL, NULL, 18121),
(36620, '1neyA00', NULL, NULL, 247, NULL, NULL, 18121),
(36621, '3chvA00', NULL, NULL, 284, NULL, NULL, 18121),
(36622, '4nvtA00', NULL, NULL, 262, NULL, NULL, 18121),
(36623, '5gvjA00', NULL, NULL, 314, NULL, NULL, 18121),
(36624, '1ep3A00', NULL, NULL, 311, NULL, NULL, 18121),
(36625, '3l21B00', NULL, NULL, 304, NULL, NULL, 18121),
(36626, '6htoB00', NULL, NULL, 400, NULL, NULL, 18121),
(36627, '4pfmA00', NULL, NULL, 295, NULL, NULL, 18121),
(36628, '2r8wA00', NULL, NULL, 303, NULL, NULL, 18121),
(36629, '3tsmA00', NULL, NULL, 272, NULL, NULL, 18121),
(36630, '5c5yA00', NULL, NULL, 263, NULL, NULL, 18121),
(36631, '5d38A00', NULL, NULL, 264, NULL, NULL, 18121),
(36632, '5uqgD00', NULL, NULL, 383, NULL, NULL, 18121),
(36633, '4iwwA00', NULL, NULL, 258, NULL, NULL, 18121),
(36634, '1xkyA00', NULL, NULL, 301, NULL, NULL, 18121),
(36635, '3tqvB02', NULL, NULL, 147, NULL, NULL, 18121);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(36636, '5czjA00', NULL, NULL, 320, NULL, NULL, 18121),
(36637, '2aamA00', NULL, NULL, 309, NULL, NULL, 18121),
(36638, '4lrtA01', NULL, NULL, 275, NULL, NULL, 18121),
(36639, '2v82A00', NULL, NULL, 212, NULL, NULL, 18121),
(36640, '4x2rA00', NULL, NULL, 250, NULL, NULL, 18121),
(36641, '3uy7A00', NULL, NULL, 252, NULL, NULL, 18121),
(36642, '1yadB00', NULL, NULL, 205, NULL, NULL, 18121),
(36643, '1vyrA00', NULL, NULL, 364, NULL, NULL, 18121),
(36644, '2p0oA01', NULL, NULL, 241, NULL, NULL, 18121),
(36645, '2wsrA00', NULL, NULL, 242, NULL, NULL, 18121),
(36646, '3uycB00', NULL, NULL, 249, NULL, NULL, 18121),
(36647, '4muzA00', NULL, NULL, 212, NULL, NULL, 18121),
(36648, '4umaA00', NULL, NULL, 335, NULL, NULL, 18121),
(36649, '3ajxA00', NULL, NULL, 207, NULL, NULL, 18121),
(36650, '3mbdA00', NULL, NULL, 342, NULL, NULL, 18121),
(36651, '1fdjA00', NULL, NULL, 363, NULL, NULL, 18121),
(36652, '2ox1A00', NULL, NULL, 196, NULL, NULL, 18121),
(36653, '1ub3A00', NULL, NULL, 220, NULL, NULL, 18121),
(36654, '4y9aB00', NULL, NULL, 261, NULL, NULL, 18121),
(36655, '3q37C00', NULL, NULL, 251, NULL, NULL, 18121),
(36656, '3b0pA01', NULL, NULL, 243, NULL, NULL, 18121),
(36657, '2vepA00', NULL, NULL, 244, NULL, NULL, 18121),
(36658, '5ud6A00', NULL, NULL, 303, NULL, NULL, 18121),
(36659, '4o4vA00', NULL, NULL, 252, NULL, NULL, 18121),
(36660, '3gkaA00', NULL, NULL, 361, NULL, NULL, 18121),
(36661, '4i9aA02', NULL, NULL, 146, NULL, NULL, 18121),
(36662, '1to3A00', NULL, NULL, 304, NULL, NULL, 18121),
(36663, '4nq1A00', NULL, NULL, 290, NULL, NULL, 18121),
(36664, '1qwgA00', NULL, NULL, 251, NULL, NULL, 18121),
(36665, '3hojA00', NULL, NULL, 248, NULL, NULL, 18121),
(36666, '1vpxE00', NULL, NULL, 230, NULL, NULL, 18121),
(36667, '3hg3A01', NULL, NULL, 293, NULL, NULL, 18121),
(36668, '4evzA00', NULL, NULL, 258, NULL, NULL, 18121),
(36669, '3eegB00', NULL, NULL, 279, NULL, NULL, 18121),
(36670, '6bmaA00', NULL, NULL, 261, NULL, NULL, 18121),
(36671, '4oqvA00', NULL, NULL, 377, NULL, NULL, 18121),
(36672, '1tqxA00', NULL, NULL, 227, NULL, NULL, 18121),
(36673, '3kx6B00', NULL, NULL, 357, NULL, NULL, 18121),
(36674, '6gjvE00', NULL, NULL, 430, NULL, NULL, 18121),
(36675, '4mjzB00', NULL, NULL, 298, NULL, NULL, 18121),
(36676, '2ftpA00', NULL, NULL, 302, NULL, NULL, 18121),
(36677, '3qm3H00', NULL, NULL, 357, NULL, NULL, 18121),
(36678, '3l0gA02', NULL, NULL, 153, NULL, NULL, 18121),
(36679, '1eepA00', NULL, NULL, 330, NULL, NULL, 18121),
(36680, '4qitB00', NULL, NULL, 357, NULL, NULL, 18121),
(36681, '3gdmA00', NULL, NULL, 267, NULL, NULL, 18121),
(36682, '3c8fA00', NULL, NULL, 245, NULL, NULL, 18121),
(36683, '4tu1D00', NULL, NULL, 339, NULL, NULL, 18121),
(36684, '3l5lA00', NULL, NULL, 363, NULL, NULL, 18121),
(36685, '2p10C01', NULL, NULL, 259, NULL, NULL, 18121),
(36686, '3thaB00', NULL, NULL, 252, NULL, NULL, 18121),
(36687, '3e02A00', NULL, NULL, 311, NULL, NULL, 18121),
(36688, '3tqkA00', NULL, NULL, 346, NULL, NULL, 18121),
(36689, '3lbmC00', NULL, NULL, 295, NULL, NULL, 18121),
(36690, '1wbhB00', NULL, NULL, 214, NULL, NULL, 18121),
(36691, '2issC00', NULL, NULL, 293, NULL, NULL, 18121),
(36692, '2fdsA00', NULL, NULL, 333, NULL, NULL, 18121),
(36693, '5hjlA00', NULL, NULL, 333, NULL, NULL, 18121),
(36694, '4ot7A00', NULL, NULL, 327, NULL, NULL, 18121),
(36695, '2i9eB00', NULL, NULL, 259, NULL, NULL, 18121),
(36696, '5z9yB00', NULL, NULL, 252, NULL, NULL, 18121),
(36697, '4qq3A00', NULL, NULL, 344, NULL, NULL, 18121),
(36698, '5upxA00', NULL, NULL, 386, NULL, NULL, 18121),
(36699, '1dbtA00', NULL, NULL, 239, NULL, NULL, 18121),
(36700, '4qslD03', NULL, NULL, 527, NULL, NULL, 18121),
(36701, '3og3A00', NULL, NULL, 251, NULL, NULL, 18121),
(36702, '3k30A01', NULL, NULL, 386, NULL, NULL, 18121),
(36703, '2ekcB00', NULL, NULL, 262, NULL, NULL, 18121),
(36704, '3a5fA00', NULL, NULL, 291, NULL, NULL, 18121),
(36705, '1r30A00', NULL, NULL, 312, NULL, NULL, 18121),
(36706, '5k7jB00', NULL, NULL, 249, NULL, NULL, 18121),
(36707, '2oczA00', NULL, NULL, 231, NULL, NULL, 18121),
(36708, '4nzfB01', NULL, NULL, 358, NULL, NULL, 18121);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(36709, '1rpxA00', NULL, NULL, 230, NULL, NULL, 18121),
(36710, '2i1oA02', NULL, NULL, 190, NULL, NULL, 18121),
(36711, '2nx9A01', NULL, NULL, 287, NULL, NULL, 18121),
(36712, '3m16A00', NULL, NULL, 329, NULL, NULL, 18121),
(36713, '5ysnA03', NULL, NULL, 312, NULL, NULL, 18121),
(36714, '3fokA00', NULL, NULL, 307, NULL, NULL, 18121),
(36715, '3gnnA02', NULL, NULL, 143, NULL, NULL, 18121),
(36716, '5x8oA01', NULL, NULL, 309, NULL, NULL, 18121),
(36717, '3th6A00', NULL, NULL, 249, NULL, NULL, 18121),
(36718, '6hxgA00', NULL, NULL, 267, NULL, NULL, 18121),
(36719, '2agkA00', NULL, NULL, 260, NULL, NULL, 18121),
(36720, '2cu0B00', NULL, NULL, 375, NULL, NULL, 18121),
(36721, '1q6oB00', NULL, NULL, 216, NULL, NULL, 18121),
(36722, '3tmqA00', NULL, NULL, 285, NULL, NULL, 18121),
(36723, '1nvmA01', NULL, NULL, 271, NULL, NULL, 18121),
(36724, '4gbuA00', NULL, NULL, 400, NULL, NULL, 18121),
(36725, '5im5100', NULL, NULL, 219, NULL, NULL, 18121),
(36726, '3w07A00', NULL, NULL, 228, NULL, NULL, 18121),
(36727, '2fliC00', NULL, NULL, 220, NULL, NULL, 18121),
(36728, '1o94A01', NULL, NULL, 384, NULL, NULL, 18121),
(36729, '3nl6B01', NULL, NULL, 230, NULL, NULL, 18121),
(36730, '2aqwA00', NULL, NULL, 332, NULL, NULL, 18121),
(36731, '1o60A00', NULL, NULL, 292, NULL, NULL, 18121),
(36732, '4ccdA02', NULL, NULL, 176, NULL, NULL, 18121),
(36733, '1uasA01', NULL, NULL, 274, NULL, NULL, 18121),
(36734, '3d0cB00', NULL, NULL, 314, NULL, NULL, 18121),
(36735, '3daqA00', NULL, NULL, 292, NULL, NULL, 18121),
(36736, '4qslC03', NULL, NULL, 418, NULL, NULL, 18121),
(36737, '5huoA02', NULL, NULL, 143, NULL, NULL, 18121),
(36738, '1yyaA00', NULL, NULL, 250, NULL, NULL, 18121),
(36739, '3nyzA00', NULL, NULL, 261, NULL, NULL, 18121),
(36740, '5kzmA00', NULL, NULL, 272, NULL, NULL, 18121),
(36741, '1vhcF00', NULL, NULL, 224, NULL, NULL, 18121),
(36742, '4njhA00', NULL, NULL, 209, NULL, NULL, 18121),
(36743, '5uwxD00', NULL, NULL, 363, NULL, NULL, 18121),
(36744, '1vr6A02', NULL, NULL, 268, NULL, NULL, 18121),
(36745, '6fz6A02', NULL, NULL, 286, NULL, NULL, 18121),
(36746, '3hgjA00', NULL, NULL, 349, NULL, NULL, 18121),
(36747, '1wa3D00', NULL, NULL, 205, NULL, NULL, 18121),
(36748, '3l5aA00', NULL, NULL, 380, NULL, NULL, 18121),
(36749, '4zqmA00', NULL, NULL, 357, NULL, NULL, 18121),
(36750, '3l9cA00', NULL, NULL, 259, NULL, NULL, 18121),
(36751, '2e6fA01', NULL, NULL, 270, NULL, NULL, 18121),
(36752, '2i14A02', NULL, NULL, 191, NULL, NULL, 18121),
(36753, '1ypfA00', NULL, NULL, 336, NULL, NULL, 18121),
(36754, '1w0mA00', NULL, NULL, 226, NULL, NULL, 18121),
(36755, '1qpoA02', NULL, NULL, 156, NULL, NULL, 18121),
(36756, '1jubA01', NULL, NULL, 267, NULL, NULL, 18121),
(36757, '4do4A01', NULL, NULL, 290, NULL, NULL, 18121),
(36758, '5ey5A00', NULL, NULL, 273, NULL, NULL, 18121),
(36759, '5tleD00', NULL, NULL, 363, NULL, NULL, 18121),
(36760, '3gnnB02', NULL, NULL, 103, NULL, NULL, 18121),
(36761, '3cc1B01', NULL, NULL, 345, NULL, NULL, 18121),
(36762, '1vc4A00', NULL, NULL, 254, NULL, NULL, 18121),
(36763, '4to8A00', NULL, NULL, 292, NULL, NULL, 18121),
(36764, '1sznA01', NULL, NULL, 315, NULL, NULL, 18121),
(36765, '2uvaG04', NULL, NULL, 289, NULL, NULL, 18121),
(36766, '1nfbA00', NULL, NULL, 429, NULL, NULL, 18121),
(36767, '3rfaA02', NULL, NULL, 271, NULL, NULL, 18121),
(36768, '4z1dA00', NULL, NULL, 276, NULL, NULL, 18121),
(36769, '3mi6A02', NULL, NULL, 323, NULL, NULL, 18121),
(36770, '2egzC00', NULL, NULL, 219, NULL, NULL, 18121),
(36771, '4ov4A01', NULL, NULL, 278, NULL, NULL, 18121),
(36772, '3iv3A00', NULL, NULL, 332, NULL, NULL, 18121),
(36773, '1m5wA00', NULL, NULL, 243, NULL, NULL, 18121),
(36774, '3r12A00', NULL, NULL, 260, NULL, NULL, 18121),
(36775, '3dxiA00', NULL, NULL, 304, NULL, NULL, 18121),
(36776, '3vkjA00', NULL, NULL, 368, NULL, NULL, 18121),
(36777, '4ur7D00', NULL, NULL, 311, NULL, NULL, 18121),
(36778, '1jvnA02', NULL, NULL, 314, NULL, NULL, 18121),
(36779, '3kruC00', NULL, NULL, 343, NULL, NULL, 18121),
(36780, '3pajA02', NULL, NULL, 147, NULL, NULL, 18121),
(36781, '4wy0B00', NULL, NULL, 282, NULL, NULL, 18121);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(36782, '4wd0A00', NULL, NULL, 250, NULL, NULL, 18121),
(36783, '1kbiB01', NULL, NULL, 381, NULL, NULL, 18121),
(36784, '1nsjA00', NULL, NULL, 205, NULL, NULL, 18121),
(36785, '1f2jA00', NULL, NULL, 370, NULL, NULL, 18121),
(36786, '6cg9B00', NULL, NULL, 256, NULL, NULL, 18121),
(36787, '1eixC00', NULL, NULL, 245, NULL, NULL, 18121),
(36788, '2qr6A02', NULL, NULL, 359, NULL, NULL, 18121),
(36789, '5ocsA00', NULL, NULL, 371, NULL, NULL, 18121),
(36790, '2czdB00', NULL, NULL, 208, NULL, NULL, 18121),
(36791, '3jr2C00', NULL, NULL, 218, NULL, NULL, 18121),
(36792, '3ceuA00', NULL, NULL, 210, NULL, NULL, 18121),
(36793, '5lhfB00', NULL, NULL, 209, NULL, NULL, 18121),
(36794, '3ovpB00', NULL, NULL, 228, NULL, NULL, 18121),
(36795, '5c6mA00', NULL, NULL, 248, NULL, NULL, 18121),
(36796, '1fcqA00', NULL, NULL, 330, NULL, NULL, 18121),
(36797, '1q45A00', NULL, NULL, 391, NULL, NULL, 18121),
(36798, '3b4uA00', NULL, NULL, 294, NULL, NULL, 18121),
(36799, '4p2vF00', NULL, NULL, 293, NULL, NULL, 18121),
(36800, '1w1zA00', NULL, NULL, 328, NULL, NULL, 18121),
(36801, '1vqtA00', NULL, NULL, 213, NULL, NULL, 18121),
(36802, '4y96A00', NULL, NULL, 255, NULL, NULL, 18121),
(36803, '2vxnA00', NULL, NULL, 251, NULL, NULL, 18121),
(36804, '3myoA00', NULL, NULL, 333, NULL, NULL, 18121),
(36805, '3b5vA00', NULL, NULL, 248, NULL, NULL, 18121),
(36806, '3igsB00', NULL, NULL, 232, NULL, NULL, 18121),
(36807, '6f4cB01', NULL, NULL, 274, NULL, NULL, 18121),
(36808, '2rfgA00', NULL, NULL, 297, NULL, NULL, 18121),
(36809, '1vjiA00', NULL, NULL, 372, NULL, NULL, 18121),
(36810, '6b8sA00', NULL, NULL, 359, NULL, NULL, 18121),
(36811, '3nzrA00', NULL, NULL, 248, NULL, NULL, 18121),
(36812, '3r5eA00', NULL, NULL, 360, NULL, NULL, 18121),
(36813, '3ru6B00', NULL, NULL, 228, NULL, NULL, 18121),
(36814, '3mmtB00', NULL, NULL, 347, NULL, NULL, 18121),
(36815, '2iqtA00', NULL, NULL, 296, NULL, NULL, 18121),
(36816, '2iswB00', NULL, NULL, 323, NULL, NULL, 18121),
(36817, '3krsA00', NULL, NULL, 249, NULL, NULL, 18121),
(36818, '1xm3B00', NULL, NULL, 264, NULL, NULL, 18121),
(36819, '2y88A00', NULL, NULL, 244, NULL, NULL, 18121),
(36820, '1rd5A00', NULL, NULL, 262, NULL, NULL, 18121),
(36821, '4wuiA00', NULL, NULL, 207, NULL, NULL, 18121),
(36822, '1vcvA00', NULL, NULL, 226, NULL, NULL, 18121),
(36823, '1x7fA01', NULL, NULL, 242, NULL, NULL, 18121),
(36824, '4ph6A00', NULL, NULL, 256, NULL, NULL, 18121),
(36825, '1ps9A01', NULL, NULL, 368, NULL, NULL, 18121),
(36826, '2v2hA00', NULL, NULL, 242, NULL, NULL, 18121),
(36827, '3fkrA00', NULL, NULL, 309, NULL, NULL, 18121),
(36828, '4adsA00', NULL, NULL, 282, NULL, NULL, 18121),
(36829, '3kaoA00', NULL, NULL, 329, NULL, NULL, 18121),
(36830, '2qezE03', NULL, NULL, 313, NULL, NULL, 18121),
(36831, '3vcrA00', NULL, NULL, 217, NULL, NULL, 18121),
(36832, '3c6cA00', NULL, NULL, 296, NULL, NULL, 18121),
(36833, '3lrkA01', NULL, NULL, 287, NULL, NULL, 18121),
(36834, '3rmjA00', NULL, NULL, 330, NULL, NULL, 18121),
(36835, '1hg3A00', NULL, NULL, 225, NULL, NULL, 18121),
(36836, '2j27A00', NULL, NULL, 250, NULL, NULL, 18121),
(36837, '3fs2A00', NULL, NULL, 275, NULL, NULL, 18121),
(36838, '3ctlA00', NULL, NULL, 231, NULL, NULL, 18121),
(36839, '4u28A00', NULL, NULL, 245, NULL, NULL, 18121),
(36840, '3g8rA01', NULL, NULL, 260, NULL, NULL, 18121),
(36841, '3s1xA00', NULL, NULL, 223, NULL, NULL, 18121),
(36842, '2a4aA00', NULL, NULL, 260, NULL, NULL, 18121),
(36843, '1rvgA00', NULL, NULL, 305, NULL, NULL, 18121),
(36844, '2pcqA00', NULL, NULL, 283, NULL, NULL, 18121),
(36845, '3ewbX00', NULL, NULL, 277, NULL, NULL, 18121),
(36846, '4fiqA00', NULL, NULL, 316, NULL, NULL, 18121),
(36847, '3tjlA00', NULL, NULL, 407, NULL, NULL, 18121),
(36848, '4m7tA00', NULL, NULL, 250, NULL, NULL, 18121),
(36849, '3elfA00', NULL, NULL, 349, NULL, NULL, 18121),
(36850, '4locA02', NULL, NULL, 288, NULL, NULL, 18121),
(36851, '1z41A00', NULL, NULL, 338, NULL, NULL, 18121),
(36852, '4bfaA01', NULL, NULL, 244, NULL, NULL, 18121),
(36853, '2htmC00', NULL, NULL, 241, NULL, NULL, 18121),
(36854, '3sgzB00', NULL, NULL, 352, NULL, NULL, 18121);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(36855, '3tw6B03', NULL, NULL, 528, NULL, NULL, 18121),
(36856, '1phwA00', NULL, NULL, 284, NULL, NULL, 18121),
(36857, '3bg3B02', NULL, NULL, 289, NULL, NULL, 18121),
(36858, '3cwnA00', NULL, NULL, 316, NULL, NULL, 18121),
(36859, '3vndA00', NULL, NULL, 267, NULL, NULL, 18121),
(36860, '2btmA00', NULL, NULL, 252, NULL, NULL, 18121),
(36861, '4x9sA00', NULL, NULL, 246, NULL, NULL, 18121),
(36862, '5dbuJ00', NULL, NULL, 223, NULL, NULL, 18121),
(36863, '2pe4A00', NULL, NULL, 424, NULL, NULL, 18121),
(36864, '2ehhC00', NULL, NULL, 294, NULL, NULL, 18121),
(36865, '3m6yA00', NULL, NULL, 252, NULL, NULL, 18121),
(36866, '2atmA00', NULL, NULL, 331, NULL, NULL, 18121),
(36867, '1xcfA00', NULL, NULL, 268, NULL, NULL, 18121),
(36868, '6i55B00', NULL, NULL, 382, NULL, NULL, 18121),
(36869, '3takA00', NULL, NULL, 291, NULL, NULL, 18121),
(36870, '2c6qG00', NULL, NULL, 333, NULL, NULL, 18121),
(36871, '1h1yA00', NULL, NULL, 228, NULL, NULL, 18121),
(36872, '2tpsB00', NULL, NULL, 227, NULL, NULL, 18121),
(36873, '3ldvA00', NULL, NULL, 232, NULL, NULL, 18121),
(36874, '1ujpA00', NULL, NULL, 271, NULL, NULL, 18121),
(36875, '3m0zD00', NULL, NULL, 249, NULL, NULL, 18121),
(36876, '4j9jA00', NULL, NULL, 246, NULL, NULL, 18121),
(36877, '2ffcA00', NULL, NULL, 334, NULL, NULL, 18121),
(36878, '3txvA01', NULL, NULL, 269, NULL, NULL, 18121),
(36879, '2jgqA00', NULL, NULL, 233, NULL, NULL, 18121),
(36880, '1wv2A00', NULL, NULL, 265, NULL, NULL, 18121),
(36881, '2gjlA00', NULL, NULL, 328, NULL, NULL, 18121),
(36882, '4e38C00', NULL, NULL, 232, NULL, NULL, 18121),
(36883, '3ta6B00', NULL, NULL, 267, NULL, NULL, 18121),
(36884, '4c1lA00', NULL, NULL, 262, NULL, NULL, 18121),
(36885, '3ivsA01', NULL, NULL, 277, NULL, NULL, 18121),
(36886, '3g0sB00', NULL, NULL, 294, NULL, NULL, 18121),
(36887, '3fluB00', NULL, NULL, 297, NULL, NULL, 18121),
(36888, '5k4xA00', NULL, NULL, 368, NULL, NULL, 18121),
(36889, '3upbB00', NULL, NULL, 319, NULL, NULL, 18121),
(36890, '2ojpA00', NULL, NULL, 292, NULL, NULL, 18121),
(36891, '3r8rA00', NULL, NULL, 212, NULL, NULL, 18121),
(36892, '4ymzA00', NULL, NULL, 251, NULL, NULL, 18121),
(36893, '2cw6D00', NULL, NULL, 298, NULL, NULL, 18121),
(36894, '4fnqA02', NULL, NULL, 323, NULL, NULL, 18121),
(36895, '4wozC00', NULL, NULL, 302, NULL, NULL, 18121),
(36896, '1gvfB00', NULL, NULL, 286, NULL, NULL, 18121),
(36897, '4dnhA01', NULL, NULL, 383, NULL, NULL, 18121),
(36898, '4ou1A00', NULL, NULL, 258, NULL, NULL, 18121),
(36899, '3uzjA00', NULL, NULL, 252, NULL, NULL, 18121),
(36900, '3oa3A00', NULL, NULL, 267, NULL, NULL, 18121),
(36901, '2qapA00', NULL, NULL, 371, NULL, NULL, 18121),
(36902, '2nzlA00', NULL, NULL, 367, NULL, NULL, 18121),
(36903, '3e96A00', NULL, NULL, 316, NULL, NULL, 18121),
(36904, '4n4pD00', NULL, NULL, 296, NULL, NULL, 18121),
(36905, '3hq1A01', NULL, NULL, 377, NULL, NULL, 18121),
(36906, '4o0kA00', NULL, NULL, 329, NULL, NULL, 18121),
(36907, '6djtA00', NULL, NULL, 312, NULL, NULL, 18121),
(36908, '6mqhA00', NULL, NULL, 308, NULL, NULL, 18121),
(36909, '2vc6A00', NULL, NULL, 292, NULL, NULL, 18121),
(36910, '5lkyB00', NULL, NULL, 300, NULL, NULL, 18121),
(36911, '2hsaB00', NULL, NULL, 386, NULL, NULL, 18121),
(36912, '3tuuA00', NULL, NULL, 307, NULL, NULL, 18121),
(36913, '4ly8B00', NULL, NULL, 306, NULL, NULL, 18121),
(36914, '3nq8A00', NULL, NULL, 251, NULL, NULL, 18121),
(36915, '1y0eA00', NULL, NULL, 223, NULL, NULL, 18121),
(36916, '2cwnB00', NULL, NULL, 332, NULL, NULL, 18121),
(36917, '1xfbA00', NULL, NULL, 344, NULL, NULL, 18121),
(36918, '4fezA00', NULL, NULL, 332, NULL, NULL, 18121),
(36919, '3o6yX00', NULL, NULL, 258, NULL, NULL, 18121),
(36920, '3obkA00', NULL, NULL, 356, NULL, NULL, 18121),
(36921, '1w3iA00', NULL, NULL, 293, NULL, NULL, 18121),
(36922, '2nwrA00', NULL, NULL, 267, NULL, NULL, 18121),
(36923, '3e49A00', NULL, NULL, 311, NULL, NULL, 18121),
(36924, '4qnwA00', NULL, NULL, 376, NULL, NULL, 18121),
(36925, '1w8sE00', NULL, NULL, 263, NULL, NULL, 18121),
(36926, '6neeB00', NULL, NULL, 252, NULL, NULL, 18121),
(36927, '2bleA00', NULL, NULL, 345, NULL, NULL, 18121);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(36928, '3eb2A00', NULL, NULL, 300, NULL, NULL, 18121),
(36929, '4jtfB00', NULL, NULL, 280, NULL, NULL, 18121),
(36930, '3f4nC00', NULL, NULL, 246, NULL, NULL, 18121),
(36931, '4mvaA00', NULL, NULL, 255, NULL, NULL, 18121),
(36932, '3m9yB00', NULL, NULL, 254, NULL, NULL, 18121),
(36933, '2yfoA02', NULL, NULL, 315, NULL, NULL, 18121),
(36934, '3gk0A00', NULL, NULL, 255, NULL, NULL, 18121),
(36935, '4dbdA00', NULL, NULL, 222, NULL, NULL, 18121),
(36936, '3ewwA00', NULL, NULL, 260, NULL, NULL, 18121),
(36937, '4ef8B01', NULL, NULL, 278, NULL, NULL, 18121),
(36938, '4n6fA00', NULL, NULL, 256, NULL, NULL, 18121),
(36939, '3a5vA01', NULL, NULL, 298, NULL, NULL, 18121),
(36940, '4nzjA02', NULL, NULL, 296, NULL, NULL, 18121),
(36941, '4aduA00', NULL, NULL, 297, NULL, NULL, 18121),
(36942, '6gvdA02', NULL, NULL, 325, NULL, NULL, 18121),
(36943, '3o1nA00', NULL, NULL, 252, NULL, NULL, 18121),
(36944, '5kswC00', NULL, NULL, 306, NULL, NULL, 18121),
(36945, '4luiB00', NULL, NULL, 215, NULL, NULL, 18121),
(36946, '1gteB05', NULL, NULL, 312, NULL, NULL, 18121),
(36947, '3sr7A00', NULL, NULL, 314, NULL, NULL, 18121),
(36948, '4cnnB00', NULL, NULL, 252, NULL, NULL, 18121),
(36949, '4jn6A01', NULL, NULL, 269, NULL, NULL, 18121),
(36950, '1o4uB02', NULL, NULL, 155, NULL, NULL, 18121),
(36951, '3qzeB00', NULL, NULL, 291, NULL, NULL, 18121),
(36952, '2w79A00', NULL, NULL, 241, NULL, NULL, 18121),
(36953, '5zg5A00', NULL, NULL, 248, NULL, NULL, 18121),
(36954, '1h7nA00', NULL, NULL, 342, NULL, NULL, 18121),
(36955, '3o63A00', NULL, NULL, 223, NULL, NULL, 18121),
(36956, '4af0A00', NULL, NULL, 422, NULL, NULL, 18121),
(36957, '3f4wA00', NULL, NULL, 211, NULL, NULL, 18121),
(36958, '2qjgA00', NULL, NULL, 273, NULL, NULL, 18121),
(36959, '1o5kA00', NULL, NULL, 306, NULL, NULL, 18121),
(36960, '5cg7B00', NULL, NULL, 249, NULL, NULL, 18121),
(36961, '4obtA00', NULL, NULL, 257, NULL, NULL, 18121),
(36962, '3ffsC00', NULL, NULL, 311, NULL, NULL, 18121),
(36963, '3qw3A01', NULL, NULL, 254, NULL, NULL, 18121),
(36964, '2fjkD00', NULL, NULL, 305, NULL, NULL, 18121),
(36965, '1x1oA02', NULL, NULL, 143, NULL, NULL, 18121),
(36966, '3inpA00', NULL, NULL, 220, NULL, NULL, 18121),
(36967, '2hmcA00', NULL, NULL, 327, NULL, NULL, 18121),
(36968, '2y7eB00', NULL, NULL, 282, NULL, NULL, 18121),
(36969, '5ibxC00', NULL, NULL, 255, NULL, NULL, 18121),
(36970, '3a21B01', NULL, NULL, 295, NULL, NULL, 18121),
(36971, '4n02A00', NULL, NULL, 335, NULL, NULL, 18121),
(36972, '3tdnB00', NULL, NULL, 247, NULL, NULL, 18121),
(36973, '4mozD00', NULL, NULL, 319, NULL, NULL, 18121),
(36974, '3lotA00', NULL, NULL, 314, NULL, NULL, 18121),
(36975, '3o07A00', NULL, NULL, 268, NULL, NULL, 18121),
(36976, '4aajA00', NULL, NULL, 209, NULL, NULL, 18121),
(36977, '2yzrC00', NULL, NULL, 313, NULL, NULL, 18121),
(36978, '1qapA02', NULL, NULL, 153, NULL, NULL, 18121),
(36979, '3r2gA00', NULL, NULL, 328, NULL, NULL, 18121),
(36980, '3s5oA00', NULL, NULL, 307, NULL, NULL, 18121),
(36981, '3bleA00', NULL, NULL, 319, NULL, NULL, 18121),
(36982, '1ktbA01', NULL, NULL, 291, NULL, NULL, 18121),
(36983, '4d2jA00', NULL, NULL, 353, NULL, NULL, 18121),
(36984, '4b5nA00', NULL, NULL, 355, NULL, NULL, 18121),
(36985, '3fa5A00', NULL, NULL, 282, NULL, NULL, 18121),
(36986, '3qc3B00', NULL, NULL, 225, NULL, NULL, 18121),
(36987, '4e2bA00', NULL, NULL, 382, NULL, NULL, 18121),
(36988, '3t7vA00', NULL, NULL, 350, NULL, NULL, 18121),
(36989, '4wzhA01', NULL, NULL, 269, NULL, NULL, 18121),
(36990, '3kxqA00', NULL, NULL, 250, NULL, NULL, 18121),
(36991, '5csrC00', NULL, NULL, 226, NULL, NULL, 18121),
(36992, '5xfwD01', NULL, NULL, 271, NULL, NULL, 18121),
(36993, '4df0A00', NULL, NULL, 202, NULL, NULL, 18121),
(36994, '1fbaA00', NULL, NULL, 361, NULL, NULL, 18121),
(36995, '4y90A00', NULL, NULL, 247, NULL, NULL, 18121),
(36996, '3c2eA02', NULL, NULL, 149, NULL, NULL, 18121),
(36997, '4ipiA01', NULL, NULL, 271, NULL, NULL, 18121),
(36998, '5xseA00', NULL, NULL, 208, NULL, NULL, 18121),
(36999, '1ofdA02', NULL, NULL, 345, NULL, NULL, 18121),
(37000, '1mo0A00', NULL, NULL, 275, NULL, NULL, 18121);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(37001, '1of8A00', NULL, NULL, 348, NULL, NULL, 18121),
(37002, '4oe7A00', NULL, NULL, 298, NULL, NULL, 18121),
(37003, '3hblD04', NULL, NULL, 420, NULL, NULL, 18121),
(37004, '5ktlA00', NULL, NULL, 295, NULL, NULL, 18121),
(37005, '1u83A00', NULL, NULL, 252, NULL, NULL, 18121),
(37006, '1ka9F00', NULL, NULL, 252, NULL, NULL, 18121),
(37007, '4tmbB00', NULL, NULL, 403, NULL, NULL, 18121),
(37008, '5vjeA00', NULL, NULL, 358, NULL, NULL, 18121),
(37009, '1vliA01', NULL, NULL, 315, NULL, NULL, 18121),
(37010, '4hhpB00', NULL, NULL, 251, NULL, NULL, 18121),
(37011, '1ofdA03', NULL, NULL, 469, NULL, NULL, 18121),
(37012, '5eywA00', NULL, NULL, 249, NULL, NULL, 18121),
(37013, '6mdyD00', NULL, NULL, 282, NULL, NULL, 18121),
(37014, '3tc6A00', NULL, NULL, 258, NULL, NULL, 18121),
(37015, '3na8B00', NULL, NULL, 293, NULL, NULL, 18121),
(37016, '3usbB00', NULL, NULL, 443, NULL, NULL, 18121),
(37017, '3r89A00', NULL, NULL, 290, NULL, NULL, 18121),
(37018, '1jr1A00', NULL, NULL, 498, NULL, NULL, 18121),
(37019, '3n3mB00', NULL, NULL, 324, NULL, NULL, 18121),
(37020, '3tmlB00', NULL, NULL, 288, NULL, NULL, 18121),
(37021, '4ijbA00', NULL, NULL, 256, NULL, NULL, 18121),
(37022, '5lzlA00', NULL, NULL, 338, NULL, NULL, 18121),
(37023, '5kmyA00', NULL, NULL, 275, NULL, NULL, 18121),
(37024, '1rqhA01', NULL, NULL, 284, NULL, NULL, 18121),
(37025, '3gr7A00', NULL, NULL, 340, NULL, NULL, 18121),
(37026, '1p4cA00', NULL, NULL, 356, NULL, NULL, 18121),
(37027, '4imeA00', NULL, NULL, 293, NULL, NULL, 18121),
(37028, '4a2rA00', NULL, NULL, 258, NULL, NULL, 18121),
(37029, '5afdA00', NULL, NULL, 300, NULL, NULL, 18121),
(37030, '1mzhA00', NULL, NULL, 225, NULL, NULL, 18121),
(37031, '3qc3A00', NULL, NULL, 225, NULL, NULL, 18121),
(37032, '3si9B00', NULL, NULL, 295, NULL, NULL, 18121),
(37033, '2r91A00', NULL, NULL, 286, NULL, NULL, 18121),
(37034, '5an7A00', NULL, NULL, 258, NULL, NULL, 18121),
(37035, '5dlcA00', NULL, NULL, 256, NULL, NULL, 18121),
(37036, '5zjbA00', NULL, NULL, 234, NULL, NULL, 18121),
(37037, '3e9aA00', NULL, NULL, 286, NULL, NULL, 18121),
(37038, '1tv8B00', NULL, NULL, 340, NULL, NULL, 18121),
(37039, '1i4nA00', NULL, NULL, 251, NULL, NULL, 18121),
(37040, '1l6sA00', NULL, NULL, 323, NULL, NULL, 18121),
(37041, '4ab4A00', NULL, NULL, 362, NULL, NULL, 18121),
(37042, '4bi6A00', NULL, NULL, 257, NULL, NULL, 18121),
(37043, '3bw2A00', NULL, NULL, 352, NULL, NULL, 18121),
(37044, '5umfC00', NULL, NULL, 235, NULL, NULL, 18121),
(37045, '3tr2B00', NULL, NULL, 239, NULL, NULL, 18121),
(37046, '3cq0B00', NULL, NULL, 339, NULL, NULL, 18121),
(37047, '1ydnA00', NULL, NULL, 295, NULL, NULL, 18121),
(37048, '3v75A01', NULL, NULL, 276, NULL, NULL, 18121),
(37049, '1icpA00', NULL, NULL, 376, NULL, NULL, 18121),
(37050, '1jr1B00', NULL, NULL, 394, NULL, NULL, 18121),
(37051, '1zfjA00', NULL, NULL, 491, NULL, NULL, 18121),
(37052, '4g1kA00', NULL, NULL, 248, NULL, NULL, 18121),
(37053, '6bveA00', NULL, NULL, 245, NULL, NULL, 18121),
(37054, '3opbA01', NULL, NULL, 295, NULL, NULL, 18122),
(37055, '2vqcA00', NULL, NULL, 79, NULL, NULL, 18123),
(37056, '2fo1D00', NULL, NULL, 67, NULL, NULL, 18124),
(37057, '3l32A00', NULL, NULL, 45, NULL, NULL, 18125),
(37058, '4u8uO01', NULL, NULL, 56, NULL, NULL, 18126),
(37059, '2gtlO01', NULL, NULL, 52, NULL, NULL, 18126),
(37060, '3uafA00', NULL, NULL, 117, NULL, NULL, 18127),
(37061, '3sf4D00', NULL, NULL, 52, NULL, NULL, 18128),
(37062, '2l7qA01', NULL, NULL, 102, NULL, NULL, 18129),
(37063, '2l3bA00', NULL, NULL, 130, NULL, NULL, 18129),
(37064, '4lbaA01', NULL, NULL, 101, NULL, NULL, 18129),
(37065, '4f7zA04', NULL, NULL, 161, NULL, NULL, 18130),
(37066, '4l9mA01', NULL, NULL, 137, NULL, NULL, 18130),
(37067, '4jgwA01', NULL, NULL, 173, NULL, NULL, 18130),
(37068, '6eieA01', NULL, NULL, 217, NULL, NULL, 18130),
(37069, '6d55B01', NULL, NULL, 217, NULL, NULL, 18130),
(37070, '3cf6E03', NULL, NULL, 161, NULL, NULL, 18130),
(37071, '2qupA00', NULL, NULL, 122, NULL, NULL, 18131),
(37072, '2p61A00', NULL, NULL, 127, NULL, NULL, 18131),
(37073, '2ap3A00', NULL, NULL, 199, NULL, NULL, 18132);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(37074, '3d6wB02', NULL, NULL, 40, NULL, NULL, 18133),
(37075, '1zb9A01', NULL, NULL, 48, NULL, NULL, 18133),
(37076, '2p3yB01', NULL, NULL, 30, NULL, NULL, 18133),
(37077, '2de6A03', NULL, NULL, 55, NULL, NULL, 18133),
(37078, '1x3wA04', NULL, NULL, 40, NULL, NULL, 18133),
(37079, '1tfiA00', NULL, NULL, 50, NULL, NULL, 18133),
(37080, '4mh4A01', NULL, NULL, 53, NULL, NULL, 18133),
(37081, '2pk7A01', NULL, NULL, 62, NULL, NULL, 18133),
(37082, '2js4A01', NULL, NULL, 47, NULL, NULL, 18133),
(37083, '2bjoA01', NULL, NULL, 42, NULL, NULL, 18133),
(37084, '1uspB01', NULL, NULL, 44, NULL, NULL, 18133),
(37085, '3lusB01', NULL, NULL, 51, NULL, NULL, 18133),
(37086, '2f4mA02', NULL, NULL, 50, NULL, NULL, 18133),
(37087, '3q87A00', NULL, NULL, 125, NULL, NULL, 18133),
(37088, '1vlaA01', NULL, NULL, 48, NULL, NULL, 18133),
(37089, '1yuaA02', NULL, NULL, 58, NULL, NULL, 18133),
(37090, '1vlaC01', NULL, NULL, 48, NULL, NULL, 18133),
(37091, '1x3zA04', NULL, NULL, 54, NULL, NULL, 18133),
(37092, '6d9nB01', NULL, NULL, 52, NULL, NULL, 18133),
(37093, '3u50C02', NULL, NULL, 35, NULL, NULL, 18133),
(37094, '1l1oC02', NULL, NULL, 38, NULL, NULL, 18133),
(37095, '3vb9B01', NULL, NULL, 30, NULL, NULL, 18133),
(37096, '3vb9D01', NULL, NULL, 29, NULL, NULL, 18133),
(37097, '4nozB01', NULL, NULL, 55, NULL, NULL, 18133),
(37098, '2jr6A01', NULL, NULL, 61, NULL, NULL, 18133),
(37099, '2jnyA01', NULL, NULL, 58, NULL, NULL, 18133),
(37100, '2j6aA00', NULL, NULL, 141, NULL, NULL, 18133),
(37101, '2p3yA01', NULL, NULL, 30, NULL, NULL, 18133),
(37102, '2hf1A01', NULL, NULL, 61, NULL, NULL, 18133),
(37103, '3po3S02', NULL, NULL, 74, NULL, NULL, 18133),
(37104, '1dl6A00', NULL, NULL, 58, NULL, NULL, 18133),
(37105, '1ml8A01', NULL, NULL, 34, NULL, NULL, 18133),
(37106, '1lqlC01', NULL, NULL, 42, NULL, NULL, 18133),
(37107, '1lqlA01', NULL, NULL, 26, NULL, NULL, 18133),
(37108, '5cm2M00', NULL, NULL, 130, NULL, NULL, 18133),
(37109, '3i07B01', NULL, NULL, 51, NULL, NULL, 18133),
(37110, '3h0gI01', NULL, NULL, 46, NULL, NULL, 18133),
(37111, '3h0gI02', NULL, NULL, 67, NULL, NULL, 18133),
(37112, '1nuiA01', NULL, NULL, 56, NULL, NULL, 18133),
(37113, '2aklA01', NULL, NULL, 43, NULL, NULL, 18133),
(37114, '5flmI02', NULL, NULL, 69, NULL, NULL, 18133),
(37115, '3lusA01', NULL, NULL, 51, NULL, NULL, 18133),
(37116, '1vlaB01', NULL, NULL, 48, NULL, NULL, 18133),
(37117, '5flmI01', NULL, NULL, 56, NULL, NULL, 18133),
(37118, '1z01A03', NULL, NULL, 87, NULL, NULL, 18133),
(37119, '1twfI02', NULL, NULL, 76, NULL, NULL, 18133),
(37120, '1n2fA01', NULL, NULL, 47, NULL, NULL, 18133),
(37121, '1vlaD01', NULL, NULL, 48, NULL, NULL, 18133),
(37122, '1twfI01', NULL, NULL, 46, NULL, NULL, 18133),
(37123, '1qypA00', NULL, NULL, 57, NULL, NULL, 18133),
(37124, '3gcfA03', NULL, NULL, 55, NULL, NULL, 18133),
(37125, '2rblA01', NULL, NULL, 30, NULL, NULL, 18133),
(37126, '6mjnB01', NULL, NULL, 51, NULL, NULL, 18133),
(37127, '3vb9A01', NULL, NULL, 29, NULL, NULL, 18133),
(37128, '3vb9C01', NULL, NULL, 29, NULL, NULL, 18133),
(37129, '3gkqA03', NULL, NULL, 55, NULL, NULL, 18133),
(37130, '1pftA00', NULL, NULL, 50, NULL, NULL, 18133),
(37131, '2kpiA01', NULL, NULL, 39, NULL, NULL, 18133),
(37132, '3l0iA02', NULL, NULL, 115, NULL, NULL, 18134),
(37133, '3ioyA02', NULL, NULL, 58, NULL, NULL, 18135),
(37134, '2re3A02', NULL, NULL, 70, NULL, NULL, 18136),
(37135, '2ra9A02', NULL, NULL, 75, NULL, NULL, 18136),
(37136, '1iq8A02', NULL, NULL, 70, NULL, NULL, 18137),
(37137, '1mjtA02', NULL, NULL, 95, NULL, NULL, 18138),
(37138, '2orpA02', NULL, NULL, 103, NULL, NULL, 18138),
(37139, '1d0cA02', NULL, NULL, 103, NULL, NULL, 18138),
(37140, '2flqA02', NULL, NULL, 102, NULL, NULL, 18138),
(37141, '6ngmA02', NULL, NULL, 103, NULL, NULL, 18138),
(37142, '1m7vA02', NULL, NULL, 103, NULL, NULL, 18138),
(37143, '3e7gA02', NULL, NULL, 103, NULL, NULL, 18138),
(37144, '4d3tA02', NULL, NULL, 103, NULL, NULL, 18138),
(37145, '3iuoA00', NULL, NULL, 122, NULL, NULL, 18139),
(37146, '4ar9A03', NULL, NULL, 108, NULL, NULL, 18140),
(37147, '4arfA03', NULL, NULL, 109, NULL, NULL, 18140);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(37148, '4areA02', NULL, NULL, 114, NULL, NULL, 18140),
(37149, '2i6hA01', NULL, NULL, 82, NULL, NULL, 18141),
(37150, '2mcaA00', NULL, NULL, 103, NULL, NULL, 18142),
(37151, '2k4nA00', NULL, NULL, 111, NULL, NULL, 18143),
(37152, '2czrA01', NULL, NULL, 106, NULL, NULL, 18144),
(37153, '2wq4A01', NULL, NULL, 130, NULL, NULL, 18145),
(37154, '3l5oA01', NULL, NULL, 128, NULL, NULL, 18146),
(37155, '4p02B02', NULL, NULL, 122, NULL, NULL, 18147),
(37156, '1yarO01', NULL, NULL, 227, NULL, NULL, 18148),
(37157, '1avoB00', NULL, NULL, 140, NULL, NULL, 18148),
(37158, '4j32B00', NULL, NULL, 101, NULL, NULL, 18149),
(37159, '3zibC00', NULL, NULL, 103, NULL, NULL, 18149),
(37160, '4hfkB00', NULL, NULL, 105, NULL, NULL, 18149),
(37161, '4ax2A01', NULL, NULL, 119, NULL, NULL, 18149),
(37162, '4b6iA00', NULL, NULL, 102, NULL, NULL, 18149),
(37163, '2qgqB01', NULL, NULL, 236, NULL, NULL, 18150),
(37164, '3bbjA00', NULL, NULL, 272, NULL, NULL, 18151),
(37165, '3u0aA00', NULL, NULL, 285, NULL, NULL, 18151),
(37166, '3cjyA00', NULL, NULL, 259, NULL, NULL, 18151),
(37167, '4r9zB00', NULL, NULL, 278, NULL, NULL, 18151),
(37168, '3rd7A00', NULL, NULL, 286, NULL, NULL, 18151),
(37169, '3rqbB00', NULL, NULL, 275, NULL, NULL, 18151),
(37170, '4qfwA00', NULL, NULL, 288, NULL, NULL, 18151),
(37171, '1ep3B03', NULL, NULL, 42, NULL, NULL, 18152),
(37172, '5kiuA00', NULL, NULL, 81, NULL, NULL, 18153),
(37173, '2q2fA00', NULL, NULL, 72, NULL, NULL, 18153),
(37174, '2w3qA01', NULL, NULL, 52, NULL, NULL, 18154),
(37175, '2x3gA00', NULL, NULL, 119, NULL, NULL, 18155),
(37176, '2qsfA02', NULL, NULL, 58, NULL, NULL, 18156),
(37177, '4kq7A01', NULL, NULL, 163, NULL, NULL, 18157),
(37178, '4kq7A02', NULL, NULL, 211, NULL, NULL, 18157),
(37179, '2psmC01', NULL, NULL, 52, NULL, NULL, 18158),
(37180, '3iu3I02', NULL, NULL, 59, NULL, NULL, 18158),
(37181, '2z3qD01', NULL, NULL, 55, NULL, NULL, 18158),
(37182, '2b5iD02', NULL, NULL, 60, NULL, NULL, 18158),
(37183, '4ok9A00', NULL, NULL, 149, NULL, NULL, 18159),
(37184, '1wpuA00', NULL, NULL, 147, NULL, NULL, 18159),
(37185, '2a5hA01', NULL, NULL, 53, NULL, NULL, 18160),
(37186, '4o6yB00', NULL, NULL, 230, NULL, NULL, 18161),
(37187, '3vpvA00', NULL, NULL, 85, NULL, NULL, 18162),
(37188, '3rq9A00', NULL, NULL, 85, NULL, NULL, 18162),
(37189, '3stqF00', NULL, NULL, 82, NULL, NULL, 18162),
(37190, '3ihvA01', NULL, NULL, 164, NULL, NULL, 18163),
(37191, '3qyeB01', NULL, NULL, 82, NULL, NULL, 18164),
(37192, '3qybA01', NULL, NULL, 74, NULL, NULL, 18164),
(37193, '2xsjB01', NULL, NULL, 133, NULL, NULL, 18165),
(37194, '3mm5B01', NULL, NULL, 116, NULL, NULL, 18165),
(37195, '2v4jB01', NULL, NULL, 133, NULL, NULL, 18165),
(37196, '3or1B01', NULL, NULL, 133, NULL, NULL, 18165),
(37197, '2wtpA00', NULL, NULL, 96, NULL, NULL, 18166),
(37198, '1iq8A01', NULL, NULL, 360, NULL, NULL, 18167),
(37199, '5n6fA00', NULL, NULL, 375, NULL, NULL, 18167),
(37200, '2ashA00', NULL, NULL, 381, NULL, NULL, 18167),
(37201, '3hj4A02', NULL, NULL, 131, NULL, NULL, 18168),
(37202, '1ou5A01', NULL, NULL, 152, NULL, NULL, 18168),
(37203, '1v4aA02', NULL, NULL, 174, NULL, NULL, 18168),
(37204, '1q79A02', NULL, NULL, 156, NULL, NULL, 18168),
(37205, '2nrkA00', NULL, NULL, 173, NULL, NULL, 18168),
(37206, '2pbeA01', NULL, NULL, 147, NULL, NULL, 18168),
(37207, '3jyyA01', NULL, NULL, 136, NULL, NULL, 18168),
(37208, '2rffA00', NULL, NULL, 111, NULL, NULL, 18168),
(37209, '1vj7B02', NULL, NULL, 133, NULL, NULL, 18168),
(37210, '4at7A02', NULL, NULL, 152, NULL, NULL, 18168),
(37211, '4ud4A02', NULL, NULL, 125, NULL, NULL, 18168),
(37212, '3k7dA02', NULL, NULL, 250, NULL, NULL, 18168),
(37213, '3wfrF01', NULL, NULL, 167, NULL, NULL, 18168),
(37214, '3h37A01', NULL, NULL, 160, NULL, NULL, 18168),
(37215, '2hhpA02', NULL, NULL, 156, NULL, NULL, 18168),
(37216, '3uxoA03', NULL, NULL, 123, NULL, NULL, 18168),
(37217, '2ihmB03', NULL, NULL, 138, NULL, NULL, 18168),
(37218, '4wbyA01', NULL, NULL, 148, NULL, NULL, 18168),
(37219, '3wfrH01', NULL, NULL, 167, NULL, NULL, 18168),
(37220, '4ebjA01', NULL, NULL, 142, NULL, NULL, 18168);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(37221, '4p4mA02', NULL, NULL, 123, NULL, NULL, 18168),
(37222, '2o5aA01', NULL, NULL, 108, NULL, NULL, 18168),
(37223, '1wotA00', NULL, NULL, 98, NULL, NULL, 18168),
(37224, '1miwA01', NULL, NULL, 144, NULL, NULL, 18168),
(37225, '4ig8A01', NULL, NULL, 161, NULL, NULL, 18168),
(37226, '4s3nA01', NULL, NULL, 157, NULL, NULL, 18168),
(37227, '3wfsC01', NULL, NULL, 167, NULL, NULL, 18168),
(37228, '6fgjA01', NULL, NULL, 150, NULL, NULL, 18168),
(37229, '3wfqF01', NULL, NULL, 167, NULL, NULL, 18168),
(37230, '3wfqH01', NULL, NULL, 167, NULL, NULL, 18168),
(37231, '5decC01', NULL, NULL, 154, NULL, NULL, 18168),
(37232, '2bcqA03', NULL, NULL, 123, NULL, NULL, 18168),
(37233, '4lt6A02', NULL, NULL, 156, NULL, NULL, 18168),
(37234, '2id1A01', NULL, NULL, 105, NULL, NULL, 18168),
(37235, '1px5A01', NULL, NULL, 160, NULL, NULL, 18168),
(37236, '4xq7A01', NULL, NULL, 165, NULL, NULL, 18168),
(37237, '5xnxA02', NULL, NULL, 134, NULL, NULL, 18168),
(37238, '1ylqA00', NULL, NULL, 96, NULL, NULL, 18168),
(37239, '5hrbA01', NULL, NULL, 109, NULL, NULL, 18168),
(37240, '3wfoA01', NULL, NULL, 167, NULL, NULL, 18168),
(37241, '6fgkC01', NULL, NULL, 145, NULL, NULL, 18168),
(37242, '6q52A01', NULL, NULL, 143, NULL, NULL, 18168),
(37243, '1knyA01', NULL, NULL, 125, NULL, NULL, 18168),
(37244, '4at7B02', NULL, NULL, 198, NULL, NULL, 18168),
(37245, '2w9mB03', NULL, NULL, 81, NULL, NULL, 18168),
(37246, '4wcwA01', NULL, NULL, 112, NULL, NULL, 18168),
(37247, '3wfrE01', NULL, NULL, 167, NULL, NULL, 18168),
(37248, '5vzaA03', NULL, NULL, 124, NULL, NULL, 18168),
(37249, '3upsA00', NULL, NULL, 120, NULL, NULL, 18168),
(37250, '3wfrG01', NULL, NULL, 167, NULL, NULL, 18168),
(37251, '4qz9A03', NULL, NULL, 139, NULL, NULL, 18168),
(37252, '3upqA03', NULL, NULL, 118, NULL, NULL, 18168),
(37253, '1no5B00', NULL, NULL, 114, NULL, NULL, 18168),
(37254, '3l9dB01', NULL, NULL, 142, NULL, NULL, 18168),
(37255, '1r89A02', NULL, NULL, 128, NULL, NULL, 18168),
(37256, '4kliA03', NULL, NULL, 123, NULL, NULL, 18168),
(37257, '3c18A01', NULL, NULL, 115, NULL, NULL, 18168),
(37258, '3wfsD01', NULL, NULL, 167, NULL, NULL, 18168),
(37259, '3nybA02', NULL, NULL, 110, NULL, NULL, 18168),
(37260, '3aqlA01', NULL, NULL, 163, NULL, NULL, 18168),
(37261, '3wfqE01', NULL, NULL, 167, NULL, NULL, 18168),
(37262, '3wfqG01', NULL, NULL, 167, NULL, NULL, 18168),
(37263, '3b0xA03', NULL, NULL, 105, NULL, NULL, 18168),
(37264, '2be3B01', NULL, NULL, 149, NULL, NULL, 18168),
(37265, '2jwhA00', NULL, NULL, 48, NULL, NULL, 18169),
(37266, '3rp8A02', NULL, NULL, 224, NULL, NULL, 18170),
(37267, '4bjyA02', NULL, NULL, 227, NULL, NULL, 18170),
(37268, '3c96A02', NULL, NULL, 239, NULL, NULL, 18170),
(37269, '1x79A00', NULL, NULL, 98, NULL, NULL, 18171),
(37270, '1nwmX00', NULL, NULL, 113, NULL, NULL, 18171),
(37271, '1wr6A00', NULL, NULL, 92, NULL, NULL, 18171),
(37272, '1yd8G00', NULL, NULL, 98, NULL, NULL, 18171),
(37273, '1nafA02', NULL, NULL, 105, NULL, NULL, 18171),
(37274, '1o3xA00', NULL, NULL, 114, NULL, NULL, 18171),
(37275, '1wrdA00', NULL, NULL, 103, NULL, NULL, 18171),
(37276, '3keyA01', NULL, NULL, 89, NULL, NULL, 18172),
(37277, '5grmB01', NULL, NULL, 43, NULL, NULL, 18173),
(37278, '4ksyA01', NULL, NULL, 57, NULL, NULL, 18173),
(37279, '6mx3A01', NULL, NULL, 41, NULL, NULL, 18173),
(37280, '5cflA01', NULL, NULL, 40, NULL, NULL, 18173),
(37281, '4kc0A01', NULL, NULL, 56, NULL, NULL, 18173),
(37282, '5xnlo02', NULL, NULL, 39, NULL, NULL, 18174),
(37283, '3jcuO02', NULL, NULL, 39, NULL, NULL, 18174),
(37284, '5b66O02', NULL, NULL, 36, NULL, NULL, 18174),
(37285, '3dorA01', NULL, NULL, 145, NULL, NULL, 18175),
(37286, '2hekA02', NULL, NULL, 90, NULL, NULL, 18176),
(37287, '3l48A01', NULL, NULL, 76, NULL, NULL, 18177),
(37288, '3rfzE05', NULL, NULL, 93, NULL, NULL, 18177),
(37289, '2xetB00', NULL, NULL, 89, NULL, NULL, 18177),
(37290, '1ztmA01', NULL, NULL, 111, NULL, NULL, 18178),
(37291, '1g5gA01', NULL, NULL, 111, NULL, NULL, 18178),
(37292, '2b9bA01', NULL, NULL, 119, NULL, NULL, 18178),
(37293, '4gipD02', NULL, NULL, 89, NULL, NULL, 18178);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(37294, '1y60A00', NULL, NULL, 169, NULL, NULL, 18179),
(37295, '4fe9A01', NULL, NULL, 120, NULL, NULL, 18180),
(37296, '4h6cB00', NULL, NULL, 195, NULL, NULL, 18181),
(37297, '2brjA00', NULL, NULL, 188, NULL, NULL, 18181),
(37298, '1zvcA00', NULL, NULL, 189, NULL, NULL, 18181),
(37299, '4h6aD00', NULL, NULL, 194, NULL, NULL, 18181),
(37300, '4fo0A02', NULL, NULL, 44, NULL, NULL, 18182),
(37301, '3d3uA02', NULL, NULL, 105, NULL, NULL, 18183),
(37302, '3eh7A02', NULL, NULL, 105, NULL, NULL, 18183),
(37303, '2oasA02', NULL, NULL, 104, NULL, NULL, 18183),
(37304, '3gk7A02', NULL, NULL, 105, NULL, NULL, 18183),
(37305, '3vtiA03', NULL, NULL, 121, NULL, NULL, 18184),
(37306, '2dpmA02', NULL, NULL, 103, NULL, NULL, 18185),
(37307, '2g1pA02', NULL, NULL, 100, NULL, NULL, 18185),
(37308, '1yf3A02', NULL, NULL, 95, NULL, NULL, 18185),
(37309, '3nqkA01', NULL, NULL, 159, NULL, NULL, 18186),
(37310, '3n91A01', NULL, NULL, 187, NULL, NULL, 18186),
(37311, '3pohA01', NULL, NULL, 143, NULL, NULL, 18186),
(37312, '3p02A01', NULL, NULL, 156, NULL, NULL, 18186),
(37313, '4dqaA01', NULL, NULL, 138, NULL, NULL, 18186),
(37314, '2clyC01', NULL, NULL, 52, NULL, NULL, 18187),
(37315, '2o01G01', NULL, NULL, 75, NULL, NULL, 18188),
(37316, '2wscG00', NULL, NULL, 95, NULL, NULL, 18188),
(37317, '3lw5K00', NULL, NULL, 84, NULL, NULL, 18188),
(37318, '2wscK00', NULL, NULL, 89, NULL, NULL, 18188),
(37319, '3lw5G00', NULL, NULL, 95, NULL, NULL, 18188),
(37320, '3lxmA01', NULL, NULL, 152, NULL, NULL, 18189),
(37321, '3lxmA02', NULL, NULL, 158, NULL, NULL, 18189),
(37322, '6fbaB02', NULL, NULL, 172, NULL, NULL, 18189),
(37323, '4iv5A01', NULL, NULL, 162, NULL, NULL, 18189),
(37324, '1duvG02', NULL, NULL, 183, NULL, NULL, 18189),
(37325, '1duvG01', NULL, NULL, 150, NULL, NULL, 18189),
(37326, '3csuC02', NULL, NULL, 158, NULL, NULL, 18189),
(37327, '4h31A01', NULL, NULL, 154, NULL, NULL, 18189),
(37328, '4a8pF01', NULL, NULL, 172, NULL, NULL, 18189),
(37329, '1js1X02', NULL, NULL, 152, NULL, NULL, 18189),
(37330, '1dxhA01', NULL, NULL, 183, NULL, NULL, 18189),
(37331, '2ef0A01', NULL, NULL, 150, NULL, NULL, 18189),
(37332, '1pvvA02', NULL, NULL, 160, NULL, NULL, 18189),
(37333, '1dxhA02', NULL, NULL, 136, NULL, NULL, 18189),
(37334, '2ef0A02', NULL, NULL, 151, NULL, NULL, 18189),
(37335, '3sdsA02', NULL, NULL, 176, NULL, NULL, 18189),
(37336, '3tpfB01', NULL, NULL, 146, NULL, NULL, 18189),
(37337, '5g1nE01', NULL, NULL, 156, NULL, NULL, 18189),
(37338, '1pvvA01', NULL, NULL, 153, NULL, NULL, 18189),
(37339, '5g1nA02', NULL, NULL, 158, NULL, NULL, 18189),
(37340, '5nnnA01', NULL, NULL, 156, NULL, NULL, 18189),
(37341, '5nnnA02', NULL, NULL, 159, NULL, NULL, 18189),
(37342, '2atcA02', NULL, NULL, 153, NULL, NULL, 18189),
(37343, '3grfA01', NULL, NULL, 152, NULL, NULL, 18189),
(37344, '3grfA02', NULL, NULL, 173, NULL, NULL, 18189),
(37345, '4a8tA01', NULL, NULL, 149, NULL, NULL, 18189),
(37346, '4a8tA02', NULL, NULL, 164, NULL, NULL, 18189),
(37347, '4kwtA02', NULL, NULL, 182, NULL, NULL, 18189),
(37348, '2yfkA01', NULL, NULL, 201, NULL, NULL, 18189),
(37349, '2yfkA02', NULL, NULL, 196, NULL, NULL, 18189),
(37350, '4f2gA01', NULL, NULL, 152, NULL, NULL, 18189),
(37351, '2be7A02', NULL, NULL, 158, NULL, NULL, 18189),
(37352, '2be7A01', NULL, NULL, 151, NULL, NULL, 18189),
(37353, '4f2gA02', NULL, NULL, 154, NULL, NULL, 18189),
(37354, '1ml4A01', NULL, NULL, 150, NULL, NULL, 18189),
(37355, '2be9A01', NULL, NULL, 152, NULL, NULL, 18189),
(37356, '4fyyA01', NULL, NULL, 152, NULL, NULL, 18189),
(37357, '1ml4A02', NULL, NULL, 158, NULL, NULL, 18189),
(37358, '4eknB02', NULL, NULL, 157, NULL, NULL, 18189),
(37359, '6fbaC01', NULL, NULL, 177, NULL, NULL, 18189),
(37360, '3gd5A02', NULL, NULL, 160, NULL, NULL, 18189),
(37361, '3gd5A01', NULL, NULL, 163, NULL, NULL, 18189),
(37362, '3r7fA01', NULL, NULL, 162, NULL, NULL, 18189),
(37363, '2w37A01', NULL, NULL, 140, NULL, NULL, 18189),
(37364, '3r7fA02', NULL, NULL, 142, NULL, NULL, 18189),
(37365, '3q98A02', NULL, NULL, 196, NULL, NULL, 18189),
(37366, '2w37A02', NULL, NULL, 180, NULL, NULL, 18189);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(37367, '3q98A01', NULL, NULL, 203, NULL, NULL, 18189),
(37368, '4amuA01', NULL, NULL, 176, NULL, NULL, 18189),
(37369, '4amuA02', NULL, NULL, 168, NULL, NULL, 18189),
(37370, '4nf2A01', NULL, NULL, 153, NULL, NULL, 18189),
(37371, '4nf2A02', NULL, NULL, 159, NULL, NULL, 18189),
(37372, '4bjhB01', NULL, NULL, 147, NULL, NULL, 18189),
(37373, '4iv5D02', NULL, NULL, 172, NULL, NULL, 18189),
(37374, '4eknB01', NULL, NULL, 149, NULL, NULL, 18189),
(37375, '1js1Y01', NULL, NULL, 170, NULL, NULL, 18189),
(37376, '4bjhB02', NULL, NULL, 144, NULL, NULL, 18189),
(37377, '2i6uA02', NULL, NULL, 161, NULL, NULL, 18189),
(37378, '2i6uA01', NULL, NULL, 146, NULL, NULL, 18189),
(37379, '1vlvA02', NULL, NULL, 157, NULL, NULL, 18189),
(37380, '1pg5A02', NULL, NULL, 148, NULL, NULL, 18189),
(37381, '3sdsB01', NULL, NULL, 153, NULL, NULL, 18189),
(37382, '3tpfA02', NULL, NULL, 161, NULL, NULL, 18189),
(37383, '1vlvA01', NULL, NULL, 168, NULL, NULL, 18189),
(37384, '3kznA01', NULL, NULL, 166, NULL, NULL, 18189),
(37385, '3kznA02', NULL, NULL, 171, NULL, NULL, 18189),
(37386, '3updA01', NULL, NULL, 197, NULL, NULL, 18189),
(37387, '6ovwA01', NULL, NULL, 150, NULL, NULL, 18189),
(37388, '4oh7A02', NULL, NULL, 155, NULL, NULL, 18189),
(37389, '4oh7A01', NULL, NULL, 165, NULL, NULL, 18189),
(37390, '6ovwA02', NULL, NULL, 183, NULL, NULL, 18189),
(37391, '1othA01', NULL, NULL, 153, NULL, NULL, 18189),
(37392, '1othA02', NULL, NULL, 159, NULL, NULL, 18189),
(37393, '4tweA02', NULL, NULL, 228, NULL, NULL, 18190),
(37394, '3i6sA03', NULL, NULL, 130, NULL, NULL, 18190),
(37395, '3icuA01', NULL, NULL, 161, NULL, NULL, 18190),
(37396, '3iibA02', NULL, NULL, 150, NULL, NULL, 18190),
(37397, '4cdjB00', NULL, NULL, 164, NULL, NULL, 18190),
(37398, '4kngE00', NULL, NULL, 160, NULL, NULL, 18190),
(37399, '5ib9A02', NULL, NULL, 127, NULL, NULL, 18190),
(37400, '4c9rA00', NULL, NULL, 161, NULL, NULL, 18190),
(37401, '4tjvA00', NULL, NULL, 165, NULL, NULL, 18190),
(37402, '5of0A02', NULL, NULL, 226, NULL, NULL, 18190),
(37403, '4c84A00', NULL, NULL, 164, NULL, NULL, 18190),
(37404, '3fedA02', NULL, NULL, 226, NULL, NULL, 18190),
(37405, '4c9vA00', NULL, NULL, 158, NULL, NULL, 18190),
(37406, '3kasA02', NULL, NULL, 181, NULL, NULL, 18190),
(37407, '1xf1A02', NULL, NULL, 148, NULL, NULL, 18190),
(37408, '3eifA02', NULL, NULL, 148, NULL, NULL, 18190),
(37409, '4yn3A02', NULL, NULL, 135, NULL, NULL, 18190),
(37410, '1y9zA02', NULL, NULL, 145, NULL, NULL, 18190),
(37411, '2b1eA03', NULL, NULL, 172, NULL, NULL, 18191),
(37412, '1g43A00', NULL, NULL, 160, NULL, NULL, 18192),
(37413, '3zucA00', NULL, NULL, 153, NULL, NULL, 18192),
(37414, '4b97A00', NULL, NULL, 151, NULL, NULL, 18192),
(37415, '4b9pA00', NULL, NULL, 166, NULL, NULL, 18192),
(37416, '6d5bA00', NULL, NULL, 170, NULL, NULL, 18192),
(37417, '1tf4A02', NULL, NULL, 147, NULL, NULL, 18192),
(37418, '1g87A02', NULL, NULL, 160, NULL, NULL, 18192),
(37419, '4b96A00', NULL, NULL, 151, NULL, NULL, 18192),
(37420, '5gxxA02', NULL, NULL, 157, NULL, NULL, 18192),
(37421, '3zqxA00', NULL, NULL, 146, NULL, NULL, 18192),
(37422, '2xfgB01', NULL, NULL, 163, NULL, NULL, 18192),
(37423, '4b9fA00', NULL, NULL, 152, NULL, NULL, 18192),
(37424, '4b9cA00', NULL, NULL, 150, NULL, NULL, 18192),
(37425, '2l8aA00', NULL, NULL, 149, NULL, NULL, 18192),
(37426, '2xbtA00', NULL, NULL, 160, NULL, NULL, 18192),
(37427, '2wnxA00', NULL, NULL, 170, NULL, NULL, 18192),
(37428, '2yjlA00', NULL, NULL, 125, NULL, NULL, 18193),
(37429, '3zn4A00', NULL, NULL, 155, NULL, NULL, 18194),
(37430, '1xouA00', NULL, NULL, 74, NULL, NULL, 18195),
(37431, '3zwcA03', NULL, NULL, 238, NULL, NULL, 18196),
(37432, '3k6jA02', NULL, NULL, 208, NULL, NULL, 18196),
(37433, '2wtbA03', NULL, NULL, 215, NULL, NULL, 18196),
(37434, '6iumA03', NULL, NULL, 225, NULL, NULL, 18196),
(37435, '3mogC02', NULL, NULL, 199, NULL, NULL, 18196),
(37436, '1wdkB03', NULL, NULL, 212, NULL, NULL, 18196),
(37437, '4b3hA03', NULL, NULL, 212, NULL, NULL, 18196),
(37438, '2lu1A00', NULL, NULL, 89, NULL, NULL, 18197),
(37439, '4egcB00', NULL, NULL, 271, NULL, NULL, 18198);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(37440, '3fd9B02', NULL, NULL, 95, NULL, NULL, 18199),
(37441, '3kvpC00', NULL, NULL, 52, NULL, NULL, 18200),
(37442, '2zt5A02', NULL, NULL, 84, NULL, NULL, 18201),
(37443, '2uv9A02', NULL, NULL, 56, NULL, NULL, 18202),
(37444, '2uv8A03', NULL, NULL, 56, NULL, NULL, 18202),
(37445, '3pvlA01', NULL, NULL, 232, NULL, NULL, 18203),
(37446, '3au4A01', NULL, NULL, 198, NULL, NULL, 18203),
(37447, '2pfdA01', NULL, NULL, 181, NULL, NULL, 18204),
(37448, '1qd1A01', NULL, NULL, 180, NULL, NULL, 18204),
(37449, '4bwpA03', NULL, NULL, 98, NULL, NULL, 18205),
(37450, '4xr7F02', NULL, NULL, 100, NULL, NULL, 18205),
(37451, '4bwxA03', NULL, NULL, 90, NULL, NULL, 18205),
(37452, '4czxB00', NULL, NULL, 118, NULL, NULL, 18205),
(37453, '4d0kB00', NULL, NULL, 105, NULL, NULL, 18205),
(37454, '4cyiB03', NULL, NULL, 92, NULL, NULL, 18205),
(37455, '2yreA01', NULL, NULL, 50, NULL, NULL, 18206),
(37456, '4h3wA02', NULL, NULL, 149, NULL, NULL, 18207),
(37457, '4h3wB02', NULL, NULL, 149, NULL, NULL, 18207),
(37458, '3rfzB04', NULL, NULL, 91, NULL, NULL, 18208),
(37459, '4ackB00', NULL, NULL, 156, NULL, NULL, 18209),
(37460, '4v3iA00', NULL, NULL, 160, NULL, NULL, 18209),
(37461, '3u66A00', NULL, NULL, 183, NULL, NULL, 18209),
(37462, '4hetA02', NULL, NULL, 254, NULL, NULL, 18210),
(37463, '3s30A00', NULL, NULL, 258, NULL, NULL, 18210),
(37464, '3hbzA02', NULL, NULL, 248, NULL, NULL, 18210),
(37465, '4jrlA02', NULL, NULL, 255, NULL, NULL, 18210),
(37466, '2jwkA00', NULL, NULL, 74, NULL, NULL, 18211),
(37467, '2pfuA01', NULL, NULL, 70, NULL, NULL, 18211),
(37468, '2yi9A05', NULL, NULL, 77, NULL, NULL, 18212),
(37469, '2hc0A00', NULL, NULL, 99, NULL, NULL, 18213),
(37470, '1hvcA01', NULL, NULL, 99, NULL, NULL, 18213),
(37471, '2rspA00', NULL, NULL, 124, NULL, NULL, 18213),
(37472, '3hboB00', NULL, NULL, 99, NULL, NULL, 18213),
(37473, '4belB02', NULL, NULL, 236, NULL, NULL, 18213),
(37474, '4ehcA00', NULL, NULL, 296, NULL, NULL, 18213),
(37475, '2h6tA01', NULL, NULL, 171, NULL, NULL, 18213),
(37476, '2h6tA02', NULL, NULL, 169, NULL, NULL, 18213),
(37477, '1sipA00', NULL, NULL, 99, NULL, NULL, 18213),
(37478, '5kr1A00', NULL, NULL, 99, NULL, NULL, 18213),
(37479, '3nygA00', NULL, NULL, 99, NULL, NULL, 18213),
(37480, '2i4dA00', NULL, NULL, 99, NULL, NULL, 18213),
(37481, '3gi0B02', NULL, NULL, 101, NULL, NULL, 18213),
(37482, '3gi0B01', NULL, NULL, 102, NULL, NULL, 18213),
(37483, '1t7iA00', NULL, NULL, 99, NULL, NULL, 18213),
(37484, '5yq8A00', NULL, NULL, 130, NULL, NULL, 18213),
(37485, '1j71A02', NULL, NULL, 161, NULL, NULL, 18213),
(37486, '2hahA00', NULL, NULL, 116, NULL, NULL, 18213),
(37487, '2je4A00', NULL, NULL, 99, NULL, NULL, 18213),
(37488, '2qzwA02', NULL, NULL, 169, NULL, NULL, 18213),
(37489, '1j71A01', NULL, NULL, 173, NULL, NULL, 18213),
(37490, '2qzwA01', NULL, NULL, 172, NULL, NULL, 18213),
(37491, '2r8nA00', NULL, NULL, 99, NULL, NULL, 18213),
(37492, '1dpjA01', NULL, NULL, 174, NULL, NULL, 18213),
(37493, '1dpjA02', NULL, NULL, 154, NULL, NULL, 18213),
(37494, '3d3tA00', NULL, NULL, 99, NULL, NULL, 18213),
(37495, '3dckB00', NULL, NULL, 99, NULL, NULL, 18213),
(37496, '3qrvA01', NULL, NULL, 182, NULL, NULL, 18213),
(37497, '3ia9A00', NULL, NULL, 99, NULL, NULL, 18213),
(37498, '3qrvA02', NULL, NULL, 154, NULL, NULL, 18213),
(37499, '3nygB00', NULL, NULL, 99, NULL, NULL, 18213),
(37500, '2bjuA02', NULL, NULL, 154, NULL, NULL, 18213),
(37501, '2qzxA01', NULL, NULL, 173, NULL, NULL, 18213),
(37502, '2qzxA02', NULL, NULL, 169, NULL, NULL, 18213),
(37503, '3ttpA00', NULL, NULL, 99, NULL, NULL, 18213),
(37504, '3nxeA01', NULL, NULL, 102, NULL, NULL, 18213),
(37505, '3nxeA02', NULL, NULL, 101, NULL, NULL, 18213),
(37506, '5c9fA00', NULL, NULL, 139, NULL, NULL, 18213),
(37507, '1nh0A00', NULL, NULL, 99, NULL, NULL, 18213),
(37508, '2fxdA00', NULL, NULL, 99, NULL, NULL, 18213),
(37509, '5cokA00', NULL, NULL, 99, NULL, NULL, 18213),
(37510, '3bxrA00', NULL, NULL, 99, NULL, NULL, 18213),
(37511, '2pmaA01', NULL, NULL, 136, NULL, NULL, 18213),
(37512, '2j9jB00', NULL, NULL, 99, NULL, NULL, 18213),
(37513, '1pfzB01', NULL, NULL, 161, NULL, NULL, 18213);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(37514, '3hawA00', NULL, NULL, 99, NULL, NULL, 18213),
(37515, '3fv3D01', NULL, NULL, 175, NULL, NULL, 18213),
(37516, '3ogpA00', NULL, NULL, 116, NULL, NULL, 18213),
(37517, '4od9A00', NULL, NULL, 103, NULL, NULL, 18213),
(37518, '5b18A00', NULL, NULL, 99, NULL, NULL, 18213),
(37519, '1kzkA00', NULL, NULL, 99, NULL, NULL, 18213),
(37520, '5jodA01', NULL, NULL, 175, NULL, NULL, 18213),
(37521, '5jodA02', NULL, NULL, 153, NULL, NULL, 18213),
(37522, '3dckA00', NULL, NULL, 99, NULL, NULL, 18213),
(37523, '4fivA00', NULL, NULL, 113, NULL, NULL, 18213),
(37524, '2j9kB00', NULL, NULL, 99, NULL, NULL, 18213),
(37525, '1c6xA00', NULL, NULL, 99, NULL, NULL, 18213),
(37526, '2p3cA00', NULL, NULL, 99, NULL, NULL, 18213),
(37527, '3ec0A00', NULL, NULL, 99, NULL, NULL, 18213),
(37528, '4y9wA01', NULL, NULL, 166, NULL, NULL, 18213),
(37529, '4rghA00', NULL, NULL, 129, NULL, NULL, 18213),
(37530, '1htrB01', NULL, NULL, 171, NULL, NULL, 18213),
(37531, '1htrB02', NULL, NULL, 157, NULL, NULL, 18213),
(37532, '3zkqA01', NULL, NULL, 133, NULL, NULL, 18213),
(37533, '1az5A00', NULL, NULL, 99, NULL, NULL, 18213),
(37534, '3hawB00', NULL, NULL, 99, NULL, NULL, 18213),
(37535, '1pfzA02', NULL, NULL, 218, NULL, NULL, 18213),
(37536, '2j9jA00', NULL, NULL, 99, NULL, NULL, 18213),
(37537, '2hs1A00', NULL, NULL, 99, NULL, NULL, 18213),
(37538, '4od9B00', NULL, NULL, 243, NULL, NULL, 18213),
(37539, '3nwqB00', NULL, NULL, 99, NULL, NULL, 18213),
(37540, '4aucA02', NULL, NULL, 152, NULL, NULL, 18213),
(37541, '3u7sA00', NULL, NULL, 99, NULL, NULL, 18213),
(37542, '3fsmA02', NULL, NULL, 101, NULL, NULL, 18213),
(37543, '3fsmA01', NULL, NULL, 102, NULL, NULL, 18213),
(37544, '2anlA01', NULL, NULL, 175, NULL, NULL, 18213),
(37545, '2anlA02', NULL, NULL, 152, NULL, NULL, 18213),
(37546, '5n7nA01', NULL, NULL, 139, NULL, NULL, 18213),
(37547, '4aucA01', NULL, NULL, 169, NULL, NULL, 18213),
(37548, '4epjA01', NULL, NULL, 99, NULL, NULL, 18213),
(37549, '3gi0A02', NULL, NULL, 101, NULL, NULL, 18213),
(37550, '4z2zB00', NULL, NULL, 146, NULL, NULL, 18213),
(37551, '4y9wA02', NULL, NULL, 168, NULL, NULL, 18213),
(37552, '3gi0A01', NULL, NULL, 102, NULL, NULL, 18213),
(37553, '2j9kA00', NULL, NULL, 99, NULL, NULL, 18213),
(37554, '2i4vA00', NULL, NULL, 99, NULL, NULL, 18213),
(37555, '1qdmA01', NULL, NULL, 212, NULL, NULL, 18213),
(37556, '5ux4A01', NULL, NULL, 181, NULL, NULL, 18213),
(37557, '1qdmA02', NULL, NULL, 162, NULL, NULL, 18213),
(37558, '5ux4A02', NULL, NULL, 159, NULL, NULL, 18213),
(37559, '1miqA02', NULL, NULL, 152, NULL, NULL, 18213),
(37560, '3vlaA01', NULL, NULL, 196, NULL, NULL, 18213),
(37561, '1miqA01', NULL, NULL, 175, NULL, NULL, 18213),
(37562, '3vlaA02', NULL, NULL, 217, NULL, NULL, 18213),
(37563, '3aupD01', NULL, NULL, 200, NULL, NULL, 18213),
(37564, '3aupD02', NULL, NULL, 203, NULL, NULL, 18213),
(37565, '1qrpE02', NULL, NULL, 155, NULL, NULL, 18213),
(37566, '1qrpE01', NULL, NULL, 170, NULL, NULL, 18213),
(37567, '1yg9A03', NULL, NULL, 117, NULL, NULL, 18213),
(37568, '1am5A01', NULL, NULL, 170, NULL, NULL, 18213),
(37569, '3lzuA00', NULL, NULL, 99, NULL, NULL, 18213),
(37570, '1am5A02', NULL, NULL, 152, NULL, NULL, 18213),
(37571, '1yg9A02', NULL, NULL, 130, NULL, NULL, 18213),
(37572, '2o40A01', NULL, NULL, 102, NULL, NULL, 18213),
(37573, '3hzcA01', NULL, NULL, 102, NULL, NULL, 18213),
(37574, '3hzcA02', NULL, NULL, 101, NULL, NULL, 18213),
(37575, '1sguA00', NULL, NULL, 99, NULL, NULL, 18213),
(37576, '2p3dA00', NULL, NULL, 99, NULL, NULL, 18213),
(37577, '5mlgA01', NULL, NULL, 140, NULL, NULL, 18213),
(37578, '3qvcA02', NULL, NULL, 161, NULL, NULL, 18213),
(37579, '5nfgB02', NULL, NULL, 161, NULL, NULL, 18213),
(37580, '1b5fC00', NULL, NULL, 239, NULL, NULL, 18213),
(37581, '3qvcA01', NULL, NULL, 214, NULL, NULL, 18213),
(37582, '3ixoA00', NULL, NULL, 99, NULL, NULL, 18213),
(37583, '3k1wA02', NULL, NULL, 158, NULL, NULL, 18213),
(37584, '3k1wA01', NULL, NULL, 175, NULL, NULL, 18213),
(37585, '5mlgA02', NULL, NULL, 193, NULL, NULL, 18213),
(37586, '3pvkA02', NULL, NULL, 170, NULL, NULL, 18213);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(37587, '3pvkA01', NULL, NULL, 172, NULL, NULL, 18213),
(37588, '3dcrB00', NULL, NULL, 99, NULL, NULL, 18213),
(37589, '1ibqA02', NULL, NULL, 155, NULL, NULL, 18213),
(37590, '1ibqA01', NULL, NULL, 165, NULL, NULL, 18213),
(37591, '3oadA00', NULL, NULL, 166, NULL, NULL, 18213),
(37592, '3fv3A02', NULL, NULL, 164, NULL, NULL, 18213),
(37593, '3psgA01', NULL, NULL, 170, NULL, NULL, 18213),
(37594, '1oewA02', NULL, NULL, 155, NULL, NULL, 18213),
(37595, '3psgA02', NULL, NULL, 155, NULL, NULL, 18213),
(37596, '4rvjA00', NULL, NULL, 99, NULL, NULL, 18213),
(37597, '2rkgA00', NULL, NULL, 100, NULL, NULL, 18213),
(37598, '2fddA00', NULL, NULL, 100, NULL, NULL, 18213),
(37599, '3ka2A02', NULL, NULL, 101, NULL, NULL, 18213),
(37600, '3hauA00', NULL, NULL, 99, NULL, NULL, 18213),
(37601, '3ka2A01', NULL, NULL, 102, NULL, NULL, 18213),
(37602, '5nfgA01', NULL, NULL, 177, NULL, NULL, 18213),
(37603, '1tcxA00', NULL, NULL, 99, NULL, NULL, 18213),
(37604, '1tzsA02', NULL, NULL, 158, NULL, NULL, 18213),
(37605, '1mppA02', NULL, NULL, 175, NULL, NULL, 18213),
(37606, '1tzsA01', NULL, NULL, 183, NULL, NULL, 18213),
(37607, '1mppA01', NULL, NULL, 181, NULL, NULL, 18213),
(37608, '3hloA02', NULL, NULL, 101, NULL, NULL, 18213),
(37609, '3hloA01', NULL, NULL, 102, NULL, NULL, 18213),
(37610, '3slzA00', NULL, NULL, 115, NULL, NULL, 18213),
(37611, '1fmbA00', NULL, NULL, 104, NULL, NULL, 18213),
(37612, '4qj6A00', NULL, NULL, 99, NULL, NULL, 18213),
(37613, '1izdA02', NULL, NULL, 152, NULL, NULL, 18213),
(37614, '1izdA01', NULL, NULL, 165, NULL, NULL, 18213),
(37615, '1qdmC02', NULL, NULL, 129, NULL, NULL, 18213),
(37616, '3dcrA00', NULL, NULL, 99, NULL, NULL, 18213),
(37617, '2aprA01', NULL, NULL, 169, NULL, NULL, 18213),
(37618, '2aprA02', NULL, NULL, 149, NULL, NULL, 18213),
(37619, '3hdkB00', NULL, NULL, 99, NULL, NULL, 18213),
(37620, '4dqeA00', NULL, NULL, 99, NULL, NULL, 18213),
(37621, '3nwqA00', NULL, NULL, 99, NULL, NULL, 18213),
(37622, '3hauB00', NULL, NULL, 99, NULL, NULL, 18213),
(37623, '4l7gA02', NULL, NULL, 255, NULL, NULL, 18213),
(37624, '6eqmA01', NULL, NULL, 133, NULL, NULL, 18213),
(37625, '3ia9B00', NULL, NULL, 99, NULL, NULL, 18213),
(37626, '3i2lA00', NULL, NULL, 99, NULL, NULL, 18213),
(37627, '5yojA00', NULL, NULL, 100, NULL, NULL, 18213),
(37628, '3ekwA00', NULL, NULL, 99, NULL, NULL, 18213),
(37629, '3nwxA00', NULL, NULL, 99, NULL, NULL, 18213),
(37630, '3s43A00', NULL, NULL, 99, NULL, NULL, 18213),
(37631, '1smrA01', NULL, NULL, 172, NULL, NULL, 18213),
(37632, '2jysA00', NULL, NULL, 107, NULL, NULL, 18213),
(37633, '3c9xA01', NULL, NULL, 170, NULL, NULL, 18213),
(37634, '3c9xA02', NULL, NULL, 155, NULL, NULL, 18213),
(37635, '1smrA02', NULL, NULL, 159, NULL, NULL, 18213),
(37636, '4yhqA00', NULL, NULL, 99, NULL, NULL, 18213),
(37637, '1bdqA00', NULL, NULL, 99, NULL, NULL, 18213),
(37638, '3q6yA01', NULL, NULL, 170, NULL, NULL, 18213),
(37639, '1t6eX02', NULL, NULL, 201, NULL, NULL, 18213),
(37640, '5t2eA00', NULL, NULL, 99, NULL, NULL, 18213),
(37641, '5ivtA00', NULL, NULL, 99, NULL, NULL, 18213),
(37642, '1wkrA02', NULL, NULL, 170, NULL, NULL, 18213),
(37643, '1t6eX01', NULL, NULL, 180, NULL, NULL, 18213),
(37644, '3hdkA00', NULL, NULL, 99, NULL, NULL, 18213),
(37645, '3iawA01', NULL, NULL, 102, NULL, NULL, 18213),
(37646, '3sqfA00', NULL, NULL, 114, NULL, NULL, 18213),
(37647, '1wkrA01', NULL, NULL, 170, NULL, NULL, 18213),
(37648, '3iawA02', NULL, NULL, 101, NULL, NULL, 18213),
(37649, '4npuA00', NULL, NULL, 99, NULL, NULL, 18213),
(37650, '3t3cA00', NULL, NULL, 99, NULL, NULL, 18213),
(37651, '3gguA00', NULL, NULL, 99, NULL, NULL, 18213),
(37652, '4aa9A02', NULL, NULL, 152, NULL, NULL, 18213),
(37653, '4aa9A01', NULL, NULL, 168, NULL, NULL, 18213),
(37654, '1b5fB00', NULL, NULL, 87, NULL, NULL, 18213),
(37655, '3hd8C01', NULL, NULL, 182, NULL, NULL, 18213),
(37656, '3hd8C02', NULL, NULL, 207, NULL, NULL, 18213),
(37657, '2fntA00', NULL, NULL, 99, NULL, NULL, 18213),
(37658, '3i2lB00', NULL, NULL, 99, NULL, NULL, 18213),
(37659, '3nwxB00', NULL, NULL, 99, NULL, NULL, 18213),
(37660, '2o4nA00', NULL, NULL, 99, NULL, NULL, 18213);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(37661, '2asiA02', NULL, NULL, 174, NULL, NULL, 18213),
(37662, '2asiA01', NULL, NULL, 181, NULL, NULL, 18213),
(37663, '1bxoA01', NULL, NULL, 165, NULL, NULL, 18213),
(37664, '1bxoA02', NULL, NULL, 152, NULL, NULL, 18213),
(37665, '5mktA02', NULL, NULL, 193, NULL, NULL, 18213),
(37666, '2p3aA00', NULL, NULL, 99, NULL, NULL, 18213),
(37667, '5n7qA02', NULL, NULL, 161, NULL, NULL, 18213),
(37668, '3mwsA00', NULL, NULL, 99, NULL, NULL, 18213),
(37669, '3liyA00', NULL, NULL, 116, NULL, NULL, 18213),
(37670, '3s8iA00', NULL, NULL, 127, NULL, NULL, 18213),
(37671, '3nxnA01', NULL, NULL, 102, NULL, NULL, 18213),
(37672, '3hboA00', NULL, NULL, 99, NULL, NULL, 18213),
(37673, '3spkA00', NULL, NULL, 99, NULL, NULL, 18213),
(37674, '3qviA02', NULL, NULL, 153, NULL, NULL, 18213),
(37675, '3nxnA02', NULL, NULL, 101, NULL, NULL, 18213),
(37676, '4pphA02', NULL, NULL, 212, NULL, NULL, 18213),
(37677, '4pphA01', NULL, NULL, 205, NULL, NULL, 18213),
(37678, '5n7qA01', NULL, NULL, 177, NULL, NULL, 18213),
(37679, '5agzA00', NULL, NULL, 99, NULL, NULL, 18213),
(37680, '1baiA00', NULL, NULL, 124, NULL, NULL, 18213),
(37681, '2pynA00', NULL, NULL, 99, NULL, NULL, 18213),
(37682, '2kz9A00', NULL, NULL, 69, NULL, NULL, 18214),
(37683, '2bh8A02', NULL, NULL, 33, NULL, NULL, 18215),
(37684, '3nrfA00', NULL, NULL, 106, NULL, NULL, 18216),
(37685, '3fhnA04', NULL, NULL, 137, NULL, NULL, 18217),
(37686, '2a2fX02', NULL, NULL, 145, NULL, NULL, 18217),
(37687, '3tuoC00', NULL, NULL, 105, NULL, NULL, 18218),
(37688, '2obeB02', NULL, NULL, 186, NULL, NULL, 18219),
(37689, '1p2zA01', NULL, NULL, 181, NULL, NULL, 18219),
(37690, '1p30A01', NULL, NULL, 204, NULL, NULL, 18219),
(37691, '1dhxA01', NULL, NULL, 181, NULL, NULL, 18219),
(37692, '1iuqA01', NULL, NULL, 76, NULL, NULL, 18220),
(37693, '3rc3A01', NULL, NULL, 129, NULL, NULL, 18221),
(37694, '3bzcA03', NULL, NULL, 128, NULL, NULL, 18222),
(37695, '1vhxB00', NULL, NULL, 150, NULL, NULL, 18222),
(37696, '1nu0A00', NULL, NULL, 138, NULL, NULL, 18222),
(37697, '3psfA04', NULL, NULL, 164, NULL, NULL, 18222),
(37698, '1iv0A00', NULL, NULL, 98, NULL, NULL, 18222),
(37699, '4n6qA00', NULL, NULL, 200, NULL, NULL, 18223),
(37700, '4n6rB00', NULL, NULL, 201, NULL, NULL, 18223),
(37701, '1n93X02', NULL, NULL, 135, NULL, NULL, 18224),
(37702, '5gipA01', NULL, NULL, 134, NULL, NULL, 18225),
(37703, '3t7zA00', NULL, NULL, 119, NULL, NULL, 18225),
(37704, '2nnwA01', NULL, NULL, 135, NULL, NULL, 18225),
(37705, '3id6A01', NULL, NULL, 107, NULL, NULL, 18225),
(37706, '2ykfA01', NULL, NULL, 137, NULL, NULL, 18226),
(37707, '3zbdA00', NULL, NULL, 113, NULL, NULL, 18227),
(37708, '5anrA00', NULL, NULL, 258, NULL, NULL, 18228),
(37709, '1h6kA01', NULL, NULL, 225, NULL, NULL, 18228),
(37710, '2nszA00', NULL, NULL, 129, NULL, NULL, 18228),
(37711, '1ug3A02', NULL, NULL, 134, NULL, NULL, 18228),
(37712, '1ug3A01', NULL, NULL, 205, NULL, NULL, 18228),
(37713, '2zu6B02', NULL, NULL, 140, NULL, NULL, 18228),
(37714, '4c9bB00', NULL, NULL, 291, NULL, NULL, 18228),
(37715, '3rk6A00', NULL, NULL, 217, NULL, NULL, 18228),
(37716, '2i2oA00', NULL, NULL, 224, NULL, NULL, 18228),
(37717, '3juiA00', NULL, NULL, 182, NULL, NULL, 18228),
(37718, '4lunU00', NULL, NULL, 316, NULL, NULL, 18228),
(37719, '4b89A00', NULL, NULL, 249, NULL, NULL, 18228),
(37720, '3eijA01', NULL, NULL, 158, NULL, NULL, 18228),
(37721, '2iu1A00', NULL, NULL, 179, NULL, NULL, 18228),
(37722, '4iulB00', NULL, NULL, 246, NULL, NULL, 18228),
(37723, '1h2uA01', NULL, NULL, 262, NULL, NULL, 18228),
(37724, '3feyA01', NULL, NULL, 289, NULL, NULL, 18228),
(37725, '1paqA00', NULL, NULL, 169, NULL, NULL, 18228),
(37726, '3feyA02', NULL, NULL, 192, NULL, NULL, 18228),
(37727, '3l6aA01', NULL, NULL, 194, NULL, NULL, 18228),
(37728, '1h2tC03', NULL, NULL, 252, NULL, NULL, 18228),
(37729, '2iosA00', NULL, NULL, 128, NULL, NULL, 18228),
(37730, '3d3mA00', NULL, NULL, 168, NULL, NULL, 18228),
(37731, '2rg8A00', NULL, NULL, 149, NULL, NULL, 18228),
(37732, '2ggfA00', NULL, NULL, 137, NULL, NULL, 18228),
(37733, '1uw4B00', NULL, NULL, 248, NULL, NULL, 18228);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(37734, '2vsoF01', NULL, NULL, 258, NULL, NULL, 18228),
(37735, '4crwA00', NULL, NULL, 231, NULL, NULL, 18228),
(37736, '1hu3A00', NULL, NULL, 243, NULL, NULL, 18228),
(37737, '2fulB00', NULL, NULL, 159, NULL, NULL, 18228),
(37738, '4cemA00', NULL, NULL, 312, NULL, NULL, 18228),
(37739, '2m6xB00', NULL, NULL, 63, NULL, NULL, 18229),
(37740, '1f2lA00', NULL, NULL, 76, NULL, NULL, 18230),
(37741, '2hdmA00', NULL, NULL, 74, NULL, NULL, 18230),
(37742, '5e4wC02', NULL, NULL, 58, NULL, NULL, 18230),
(37743, '2d9uA00', NULL, NULL, 74, NULL, NULL, 18230),
(37744, '3tn2A00', NULL, NULL, 68, NULL, NULL, 18230),
(37745, '3f2uA00', NULL, NULL, 55, NULL, NULL, 18230),
(37746, '1ha6A00', NULL, NULL, 70, NULL, NULL, 18230),
(37747, '4cj0B00', NULL, NULL, 81, NULL, NULL, 18230),
(37748, '1rjtA00', NULL, NULL, 73, NULL, NULL, 18230),
(37749, '5eplB00', NULL, NULL, 60, NULL, NULL, 18230),
(37750, '3n52A00', NULL, NULL, 73, NULL, NULL, 18230),
(37751, '3fdtA00', NULL, NULL, 59, NULL, NULL, 18230),
(37752, '1nr4C00', NULL, NULL, 71, NULL, NULL, 18230),
(37753, '2mgsA00', NULL, NULL, 78, NULL, NULL, 18230),
(37754, '4zltF00', NULL, NULL, 70, NULL, NULL, 18230),
(37755, '3tzdA00', NULL, NULL, 58, NULL, NULL, 18230),
(37756, '4iupB01', NULL, NULL, 62, NULL, NULL, 18230),
(37757, '4rwsC00', NULL, NULL, 80, NULL, NULL, 18230),
(37758, '5wb2B00', NULL, NULL, 76, NULL, NULL, 18230),
(37759, '5coyA00', NULL, NULL, 65, NULL, NULL, 18230),
(37760, '2h1eA02', NULL, NULL, 56, NULL, NULL, 18230),
(37761, '1ap0A00', NULL, NULL, 73, NULL, NULL, 18230),
(37762, '1eigA00', NULL, NULL, 73, NULL, NULL, 18230),
(37763, '2rvlA00', NULL, NULL, 83, NULL, NULL, 18230),
(37764, '2mp1A00', NULL, NULL, 77, NULL, NULL, 18230),
(37765, '2ffkB00', NULL, NULL, 69, NULL, NULL, 18230),
(37766, '1pfbA00', NULL, NULL, 55, NULL, NULL, 18230),
(37767, '5izbA00', NULL, NULL, 89, NULL, NULL, 18230),
(37768, '5afwA01', NULL, NULL, 93, NULL, NULL, 18230),
(37769, '2ra4A00', NULL, NULL, 76, NULL, NULL, 18230),
(37770, '5afwA02', NULL, NULL, 70, NULL, NULL, 18230),
(37771, '3kbxA00', NULL, NULL, 70, NULL, NULL, 18230),
(37772, '4oijA00', NULL, NULL, 74, NULL, NULL, 18230),
(37773, '1x3qA00', NULL, NULL, 57, NULL, NULL, 18230),
(37774, '2m2lA00', NULL, NULL, 67, NULL, NULL, 18230),
(37775, '4hsvA00', NULL, NULL, 71, NULL, NULL, 18230),
(37776, '1j8iA00', NULL, NULL, 93, NULL, NULL, 18230),
(37777, '3gv6A00', NULL, NULL, 58, NULL, NULL, 18230),
(37778, '5t1iA00', NULL, NULL, 68, NULL, NULL, 18230),
(37779, '1plfB00', NULL, NULL, 72, NULL, NULL, 18230),
(37780, '1xyiA00', NULL, NULL, 66, NULL, NULL, 18230),
(37781, '3i3cB00', NULL, NULL, 75, NULL, NULL, 18230),
(37782, '1g91A00', NULL, NULL, 77, NULL, NULL, 18230),
(37783, '5yamA00', NULL, NULL, 69, NULL, NULL, 18230),
(37784, '4zkcB00', NULL, NULL, 82, NULL, NULL, 18230),
(37785, '3deoA01', NULL, NULL, 37, NULL, NULL, 18230),
(37786, '3g7lA00', NULL, NULL, 61, NULL, NULL, 18230),
(37787, '3p7jB00', NULL, NULL, 68, NULL, NULL, 18230),
(37788, '3gv3A00', NULL, NULL, 63, NULL, NULL, 18230),
(37789, '4mheA00', NULL, NULL, 70, NULL, NULL, 18230),
(37790, '2h1eB01', NULL, NULL, 121, NULL, NULL, 18230),
(37791, '2dy7A00', NULL, NULL, 81, NULL, NULL, 18230),
(37792, '2fhtA00', NULL, NULL, 71, NULL, NULL, 18230),
(37793, '2ee1A00', NULL, NULL, 64, NULL, NULL, 18230),
(37794, '2q8rE00', NULL, NULL, 66, NULL, NULL, 18230),
(37795, '2b2tC00', NULL, NULL, 97, NULL, NULL, 18230),
(37796, '3ifdA00', NULL, NULL, 76, NULL, NULL, 18230),
(37797, '3ui2A03', NULL, NULL, 60, NULL, NULL, 18230),
(37798, '2mj8A00', NULL, NULL, 64, NULL, NULL, 18230),
(37799, '1g2sA00', NULL, NULL, 71, NULL, NULL, 18230),
(37800, '6ftoA00', NULL, NULL, 66, NULL, NULL, 18230),
(37801, '3d6wB01', NULL, NULL, 71, NULL, NULL, 18230),
(37802, '1x32A00', NULL, NULL, 47, NULL, NULL, 18230),
(37803, '1e0bA00', NULL, NULL, 68, NULL, NULL, 18230),
(37804, '2fmmD00', NULL, NULL, 74, NULL, NULL, 18230),
(37805, '1q3lA00', NULL, NULL, 69, NULL, NULL, 18230),
(37806, '5ekiC00', NULL, NULL, 79, NULL, NULL, 18230),
(37807, '4cj2C00', NULL, NULL, 78, NULL, NULL, 18230);
INSERT INTO "PUBLIC"."MODEL" VALUES
(37808, '1eotA00', NULL, NULL, 74, NULL, NULL, 18230),
(37809, '2epbA00', NULL, NULL, 68, NULL, NULL, 18230),
(37810, '5ltlA00', NULL, NULL, 78, NULL, NULL, 18230),
(37811, '1esrA00', NULL, NULL, 76, NULL, NULL, 18230),
(37812, '5ufqD00', NULL, NULL, 61, NULL, NULL, 18230),
(37813, '1qe6C00', NULL, NULL, 72, NULL, NULL, 18230),
(37814, '3lweA00', NULL, NULL, 62, NULL, NULL, 18230),
(37815, '1c8cA00', NULL, NULL, 64, NULL, NULL, 18230),
(37816, '2kumA01', NULL, NULL, 57, NULL, NULL, 18230),
(37817, '4u68A00', NULL, NULL, 75, NULL, NULL, 18230),
(37818, '5eq0A00', NULL, NULL, 55, NULL, NULL, 18230),
(37819, '1f9rA00', NULL, NULL, 70, NULL, NULL, 18230),
(37820, '3fpuB00', NULL, NULL, 70, NULL, NULL, 18230),
(37821, '3dm1E00', NULL, NULL, 58, NULL, NULL, 18230),
(37822, '1u4rB00', NULL, NULL, 68, NULL, NULL, 18230),
(37823, '4cj1B00', NULL, NULL, 81, NULL, NULL, 18230),
(37824, '4x3kA00', NULL, NULL, 64, NULL, NULL, 18230),
(37825, '1zxtA01', NULL, NULL, 61, NULL, NULL, 18230),
(37826, '2rsoA00', NULL, NULL, 92, NULL, NULL, 18230),
(37827, '1rodA00', NULL, NULL, 72, NULL, NULL, 18230),
(37828, '2xiwB00', NULL, NULL, 79, NULL, NULL, 18230),
(37829, '5cbeF00', NULL, NULL, 88, NULL, NULL, 18230),
(37830, '4hcsA00', NULL, NULL, 81, NULL, NULL, 18230),
(37831, '5uiwB00', NULL, NULL, 75, NULL, NULL, 18230),
(37832, '2vxwA00', NULL, NULL, 69, NULL, NULL, 18230),
(37833, '2r3zB00', NULL, NULL, 68, NULL, NULL, 18230),
(37834, '3mtsA00', NULL, NULL, 64, NULL, NULL, 18230),
(37835, '1f9qD00', NULL, NULL, 70, NULL, NULL, 18230),
(37836, '1msgA00', NULL, NULL, 72, NULL, NULL, 18230),
(37837, '1tvxA00', NULL, NULL, 75, NULL, NULL, 18230),
(37838, '2nyzE00', NULL, NULL, 72, NULL, NULL, 18230),
(37839, '2k01A00', NULL, NULL, 70, NULL, NULL, 18230),
(37840, '5ejwA00', NULL, NULL, 91, NULL, NULL, 18230),
(37841, '2n55A00', NULL, NULL, 70, NULL, NULL, 18230),
(37842, '3q6sA00', NULL, NULL, 78, NULL, NULL, 18230),
(37843, '2n88A00', NULL, NULL, 58, NULL, NULL, 18230),
(37844, '1o7zA00', NULL, NULL, 77, NULL, NULL, 18230),
(37845, '1pfmA00', NULL, NULL, 68, NULL, NULL, 18230),
(37846, '2hdlA00', NULL, NULL, 78, NULL, NULL, 18230),
(37847, '1g6zA00', NULL, NULL, 70, NULL, NULL, 18230),
(37848, '3h91A00', NULL, NULL, 54, NULL, NULL, 18230),
(37849, '5ob5A00', NULL, NULL, 63, NULL, NULL, 18230),
(37850, '4haeA00', NULL, NULL, 81, NULL, NULL, 18230),
(37851, '4xdxA00', NULL, NULL, 70, NULL, NULL, 18230),
(37852, '1eqtA00', NULL, NULL, 68, NULL, NULL, 18230),
(37853, '2hciB00', NULL, NULL, 69, NULL, NULL, 18230),
(37854, '5cbeE00', NULL, NULL, 69, NULL, NULL, 18230),
(37855, '2hccA00', NULL, NULL, 66, NULL, NULL, 18230),
(37856, '1vwxg01', NULL, NULL, 38, NULL, NULL, 18231),
(37857, '3u5eg01', NULL, NULL, 38, NULL, NULL, 18231),
(37858, '1vx7a01', NULL, NULL, 38, NULL, NULL, 18231),
(37859, '4a18L01', NULL, NULL, 38, NULL, NULL, 18231),
(37860, '4nzvA02', NULL, NULL, 54, NULL, NULL, 18232),
(37861, '3qg5D02', NULL, NULL, 66, NULL, NULL, 18232),
(37862, '3n40P02', NULL, NULL, 217, NULL, NULL, 18233),
(37863, '3muuC01', NULL, NULL, 173, NULL, NULL, 18233),
(37864, '2raaA00', NULL, NULL, 188, NULL, NULL, 18234),
(37865, '3g2eB00', NULL, NULL, 194, NULL, NULL, 18234),
(37866, '2c42A03', NULL, NULL, 212, NULL, NULL, 18234),
(37867, '3on3B00', NULL, NULL, 183, NULL, NULL, 18234),
(37868, '4mu3A02', NULL, NULL, 109, NULL, NULL, 18235),
(37869, '2ae8B01', NULL, NULL, 88, NULL, NULL, 18235),
(37870, '2ae8A02', NULL, NULL, 105, NULL, NULL, 18235),
(37871, '5xdsA01', NULL, NULL, 104, NULL, NULL, 18235),
(37872, '5xdsA02', NULL, NULL, 112, NULL, NULL, 18235),
(37873, '5ekwA01', NULL, NULL, 96, NULL, NULL, 18235),
(37874, '5dnlA02', NULL, NULL, 101, NULL, NULL, 18235),
(37875, '5dnlA01', NULL, NULL, 75, NULL, NULL, 18235),
(37876, '1rhyA02', NULL, NULL, 106, NULL, NULL, 18235),
(37877, '1rhyA01', NULL, NULL, 96, NULL, NULL, 18235),
(37878, '2f1dA01', NULL, NULL, 98, NULL, NULL, 18235),
(37879, '2xtcB00', NULL, NULL, 66, NULL, NULL, 18236),
(37880, '2xtcA00', NULL, NULL, 90, NULL, NULL, 18236),
(37881, '1uujB00', NULL, NULL, 88, NULL, NULL, 18236);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(37882, '1tkvA00', NULL, NULL, 90, NULL, NULL, 18237),
(37883, '2m38A00', NULL, NULL, 153, NULL, NULL, 18238),
(37884, '3ljuX03', NULL, NULL, 131, NULL, NULL, 18238),
(37885, '3ljuX02', NULL, NULL, 111, NULL, NULL, 18238),
(37886, '2dfkC02', NULL, NULL, 155, NULL, NULL, 18238),
(37887, '3so6A00', NULL, NULL, 137, NULL, NULL, 18238),
(37888, '2codA01', NULL, NULL, 96, NULL, NULL, 18238),
(37889, '1wjmA00', NULL, NULL, 123, NULL, NULL, 18238),
(37890, '3pg7A02', NULL, NULL, 110, NULL, NULL, 18238),
(37891, '1h4rA03', NULL, NULL, 91, NULL, NULL, 18238),
(37892, '6bc0A00', NULL, NULL, 150, NULL, NULL, 18238),
(37893, '2ej8B00', NULL, NULL, 160, NULL, NULL, 18238),
(37894, '2dtcA00', NULL, NULL, 126, NULL, NULL, 18238),
(37895, '5njjB00', NULL, NULL, 156, NULL, NULL, 18238),
(37896, '4a6hA00', NULL, NULL, 120, NULL, NULL, 18238),
(37897, '2x18E00', NULL, NULL, 119, NULL, NULL, 18238),
(37898, '2lulA00', NULL, NULL, 164, NULL, NULL, 18238),
(37899, '2yf0A01', NULL, NULL, 98, NULL, NULL, 18238),
(37900, '1kz7C02', NULL, NULL, 158, NULL, NULL, 18238),
(37901, '5umsA02', NULL, NULL, 109, NULL, NULL, 18238),
(37902, '1x11B00', NULL, NULL, 172, NULL, NULL, 18238),
(37903, '1x1fA00', NULL, NULL, 149, NULL, NULL, 18238),
(37904, '1u5dA00', NULL, NULL, 108, NULL, NULL, 18238),
(37905, '1x05A00', NULL, NULL, 129, NULL, NULL, 18238),
(37906, '4khoB02', NULL, NULL, 132, NULL, NULL, 18238),
(37907, '3tfmA02', NULL, NULL, 109, NULL, NULL, 18238),
(37908, '2d9wA01', NULL, NULL, 110, NULL, NULL, 18238),
(37909, '3tfmA01', NULL, NULL, 99, NULL, NULL, 18238),
(37910, '2i5fA00', NULL, NULL, 109, NULL, NULL, 18238),
(37911, '2y7bA00', NULL, NULL, 134, NULL, NULL, 18238),
(37912, '5u78C00', NULL, NULL, 123, NULL, NULL, 18238),
(37913, '2kcjA00', NULL, NULL, 108, NULL, NULL, 18238),
(37914, '4d0nB02', NULL, NULL, 128, NULL, NULL, 18238),
(37915, '3f5rA00', NULL, NULL, 113, NULL, NULL, 18238),
(37916, '2zpyA03', NULL, NULL, 91, NULL, NULL, 18238),
(37917, '3hk0B02', NULL, NULL, 163, NULL, NULL, 18238),
(37918, '2ec1A00', NULL, NULL, 125, NULL, NULL, 18238),
(37919, '1v61A00', NULL, NULL, 132, NULL, NULL, 18238),
(37920, '1x1gA00', NULL, NULL, 129, NULL, NULL, 18238),
(37921, '1ntvA00', NULL, NULL, 152, NULL, NULL, 18238),
(37922, '3p6aB02', NULL, NULL, 143, NULL, NULL, 18238),
(37923, '2ys3A00', NULL, NULL, 137, NULL, NULL, 18238),
(37924, '1maiA00', NULL, NULL, 131, NULL, NULL, 18238),
(37925, '1fhoA00', NULL, NULL, 119, NULL, NULL, 18238),
(37926, '5c79A00', NULL, NULL, 118, NULL, NULL, 18238),
(37927, '1upqA00', NULL, NULL, 123, NULL, NULL, 18238),
(37928, '1v5mA00', NULL, NULL, 136, NULL, NULL, 18238),
(37929, '1wi1A01', NULL, NULL, 111, NULL, NULL, 18238),
(37930, '1ddwA00', NULL, NULL, 120, NULL, NULL, 18238),
(37931, '5zz9A00', NULL, NULL, 123, NULL, NULL, 18238),
(37932, '3sv1B00', NULL, NULL, 169, NULL, NULL, 18238),
(37933, '1faoA00', NULL, NULL, 126, NULL, NULL, 18238),
(37934, '1btnA00', NULL, NULL, 106, NULL, NULL, 18238),
(37935, '1x11A00', NULL, NULL, 172, NULL, NULL, 18238),
(37936, '6bnmA00', NULL, NULL, 162, NULL, NULL, 18238),
(37937, '1unqA00', NULL, NULL, 125, NULL, NULL, 18238),
(37938, '1qqgA01', NULL, NULL, 111, NULL, NULL, 18238),
(37939, '3fssA02', NULL, NULL, 86, NULL, NULL, 18238),
(37940, '1v89A00', NULL, NULL, 118, NULL, NULL, 18238),
(37941, '3hqcA00', NULL, NULL, 157, NULL, NULL, 18238),
(37942, '2fjlA00', NULL, NULL, 150, NULL, NULL, 18238),
(37943, '3ml4A02', NULL, NULL, 110, NULL, NULL, 18238),
(37944, '1xkeA00', NULL, NULL, 130, NULL, NULL, 18238),
(37945, '1v5pA01', NULL, NULL, 103, NULL, NULL, 18238),
(37946, '5cllB00', NULL, NULL, 167, NULL, NULL, 18238),
(37947, '5l81B00', NULL, NULL, 150, NULL, NULL, 18238),
(37948, '3au4A04', NULL, NULL, 105, NULL, NULL, 18238),
(37949, '4hdoA03', NULL, NULL, 102, NULL, NULL, 18238),
(37950, '4k81A02', NULL, NULL, 162, NULL, NULL, 18238),
(37951, '1fgyA00', NULL, NULL, 127, NULL, NULL, 18238),
(37952, '6d2kA03', NULL, NULL, 96, NULL, NULL, 18238),
(37953, '2kupA01', NULL, NULL, 91, NULL, NULL, 18238),
(37954, '3mpxA02', NULL, NULL, 102, NULL, NULL, 18238);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(37955, '6ibeA03', NULL, NULL, 95, NULL, NULL, 18238),
(37956, '3d8dA00', NULL, NULL, 148, NULL, NULL, 18238),
(37957, '2dlwA00', NULL, NULL, 113, NULL, NULL, 18238),
(37958, '2dx5A00', NULL, NULL, 139, NULL, NULL, 18238),
(37959, '4gzuB03', NULL, NULL, 104, NULL, NULL, 18238),
(37960, '4iapA01', NULL, NULL, 96, NULL, NULL, 18238),
(37961, '2d9vA01', NULL, NULL, 108, NULL, NULL, 18238),
(37962, '2adzA01', NULL, NULL, 109, NULL, NULL, 18238),
(37963, '1j0wB00', NULL, NULL, 103, NULL, NULL, 18238),
(37964, '1wguA01', NULL, NULL, 115, NULL, NULL, 18238),
(37965, '1eazA00', NULL, NULL, 125, NULL, NULL, 18238),
(37966, '1q67A01', NULL, NULL, 140, NULL, NULL, 18238),
(37967, '1wvhA00', NULL, NULL, 134, NULL, NULL, 18238),
(37968, '4pq0A02', NULL, NULL, 102, NULL, NULL, 18238),
(37969, '2y8gB00', NULL, NULL, 138, NULL, NULL, 18238),
(37970, '6bcbA00', NULL, NULL, 146, NULL, NULL, 18238),
(37971, '1p6sA00', NULL, NULL, 111, NULL, NULL, 18238),
(37972, '2rloA00', NULL, NULL, 128, NULL, NULL, 18238),
(37973, '4bbkA00', NULL, NULL, 140, NULL, NULL, 18238),
(37974, '3pvlA04', NULL, NULL, 99, NULL, NULL, 18238),
(37975, '1tqzA01', NULL, NULL, 123, NULL, NULL, 18238),
(37976, '2lydA00', NULL, NULL, 134, NULL, NULL, 18238),
(37977, '5efxA00', NULL, NULL, 144, NULL, NULL, 18238),
(37978, '4b6hA00', NULL, NULL, 134, NULL, NULL, 18238),
(37979, '5c16A01', NULL, NULL, 100, NULL, NULL, 18238),
(37980, '2cofA00', NULL, NULL, 107, NULL, NULL, 18238),
(37981, '4l6eA00', NULL, NULL, 126, NULL, NULL, 18238),
(37982, '3ulbA01', NULL, NULL, 92, NULL, NULL, 18238),
(37983, '2dyqA00', NULL, NULL, 144, NULL, NULL, 18238),
(37984, '1mi1A01', NULL, NULL, 105, NULL, NULL, 18238),
(37985, '1foeC02', NULL, NULL, 161, NULL, NULL, 18238),
(37986, '4chmB00', NULL, NULL, 126, NULL, NULL, 18238),
(37987, '1zsqA01', NULL, NULL, 101, NULL, NULL, 18238),
(37988, '1y5oA00', NULL, NULL, 115, NULL, NULL, 18238),
(37989, '6cb0B03', NULL, NULL, 119, NULL, NULL, 18238),
(37990, '2w2xC00', NULL, NULL, 124, NULL, NULL, 18238),
(37991, '4yl8A03', NULL, NULL, 97, NULL, NULL, 18238),
(37992, '5d3xB00', NULL, NULL, 167, NULL, NULL, 18238),
(37993, '6d2qA03', NULL, NULL, 96, NULL, NULL, 18238),
(37994, '4ioyX02', NULL, NULL, 115, NULL, NULL, 18238),
(37995, '1w1hD00', NULL, NULL, 151, NULL, NULL, 18238),
(37996, '4gn1C02', NULL, NULL, 163, NULL, NULL, 18238),
(37997, '1u29A00', NULL, NULL, 129, NULL, NULL, 18238),
(37998, '5ncgA00', NULL, NULL, 113, NULL, NULL, 18238),
(37999, '1xodB00', NULL, NULL, 118, NULL, NULL, 18238),
(38000, '5a3fC03', NULL, NULL, 123, NULL, NULL, 18238),
(38001, '2j59N00', NULL, NULL, 135, NULL, NULL, 18238),
(38002, '2dkpA01', NULL, NULL, 98, NULL, NULL, 18238),
(38003, '5c5bD02', NULL, NULL, 100, NULL, NULL, 18238),
(38004, '3qwmA00', NULL, NULL, 140, NULL, NULL, 18238),
(38005, '1qc6A00', NULL, NULL, 112, NULL, NULL, 18238),
(38006, '1zc3B00', NULL, NULL, 113, NULL, NULL, 18238),
(38007, '3gypA02', NULL, NULL, 97, NULL, NULL, 18238),
(38008, '3ml4C01', NULL, NULL, 114, NULL, NULL, 18238),
(38009, '2v76B00', NULL, NULL, 107, NULL, NULL, 18238),
(38010, '2pz1A03', NULL, NULL, 121, NULL, NULL, 18238),
(38011, '2dhjA00', NULL, NULL, 125, NULL, NULL, 18238),
(38012, '4f7uP00', NULL, NULL, 129, NULL, NULL, 18238),
(38013, '3a8pB01', NULL, NULL, 133, NULL, NULL, 18238),
(38014, '4kvgB02', NULL, NULL, 170, NULL, NULL, 18238),
(38015, '4tyzA00', NULL, NULL, 110, NULL, NULL, 18238),
(38016, '2q13A02', NULL, NULL, 122, NULL, NULL, 18238),
(38017, '3syxA00', NULL, NULL, 130, NULL, NULL, 18238),
(38018, '2vszB02', NULL, NULL, 117, NULL, NULL, 18238),
(38019, '2hthB00', NULL, NULL, 140, NULL, NULL, 18238),
(38020, '1droA00', NULL, NULL, 122, NULL, NULL, 18238),
(38021, '2crfA01', NULL, NULL, 125, NULL, NULL, 18238),
(38022, '2ys1A00', NULL, NULL, 113, NULL, NULL, 18238),
(38023, '2p8vA00', NULL, NULL, 117, NULL, NULL, 18238),
(38024, '3g9wA02', NULL, NULL, 98, NULL, NULL, 18238),
(38025, '2coaA01', NULL, NULL, 118, NULL, NULL, 18238),
(38026, '4k17D01', NULL, NULL, 115, NULL, NULL, 18238),
(38027, '1wgqA00', NULL, NULL, 109, NULL, NULL, 18238);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(38028, '1zyiA00', NULL, NULL, 116, NULL, NULL, 18238),
(38029, '2oqbA00', NULL, NULL, 117, NULL, NULL, 18238),
(38030, '2d9zA01', NULL, NULL, 122, NULL, NULL, 18238),
(38031, '3rcpA00', NULL, NULL, 103, NULL, NULL, 18238),
(38032, '6d21A03', NULL, NULL, 96, NULL, NULL, 18238),
(38033, '5jhhA02', NULL, NULL, 139, NULL, NULL, 18238),
(38034, '2kuqA00', NULL, NULL, 153, NULL, NULL, 18238),
(38035, '1ntyA02', NULL, NULL, 124, NULL, NULL, 18238),
(38036, '1pfjA00', NULL, NULL, 108, NULL, NULL, 18238),
(38037, '3zvrA03', NULL, NULL, 135, NULL, NULL, 18238),
(38038, '5uklA05', NULL, NULL, 107, NULL, NULL, 18238),
(38039, '1vu2300', NULL, NULL, 127, NULL, NULL, 18238),
(38040, '3ksyA03', NULL, NULL, 112, NULL, NULL, 18238),
(38041, '4gxbA03', NULL, NULL, 118, NULL, NULL, 18238),
(38042, '3oanA00', NULL, NULL, 130, NULL, NULL, 18238),
(38043, '1plsA00', NULL, NULL, 113, NULL, NULL, 18238),
(38044, '1fhwA00', NULL, NULL, 129, NULL, NULL, 18238),
(38045, '3dxeA00', NULL, NULL, 140, NULL, NULL, 18238),
(38046, '2aehA03', NULL, NULL, 111, NULL, NULL, 18238),
(38047, '1v5uA00', NULL, NULL, 117, NULL, NULL, 18238),
(38048, '6am0B01', NULL, NULL, 167, NULL, NULL, 18238),
(38049, '3qbvB02', NULL, NULL, 152, NULL, NULL, 18238),
(38050, '3f0wA00', NULL, NULL, 168, NULL, NULL, 18238),
(38051, '4k17C01', NULL, NULL, 115, NULL, NULL, 18238),
(38052, '4gzuA02', NULL, NULL, 156, NULL, NULL, 18238),
(38053, '3gyoA02', NULL, NULL, 86, NULL, NULL, 18238),
(38054, '2z0qA02', NULL, NULL, 136, NULL, NULL, 18238),
(38055, '2dhkA01', NULL, NULL, 100, NULL, NULL, 18238),
(38056, '4xwxA00', NULL, NULL, 167, NULL, NULL, 18238),
(38057, '2mfqA00', NULL, NULL, 115, NULL, NULL, 18238),
(38058, '5u1mA00', NULL, NULL, 105, NULL, NULL, 18238),
(38059, '4khbB01', NULL, NULL, 95, NULL, NULL, 18238),
(38060, '3wyfE00', NULL, NULL, 194, NULL, NULL, 18238),
(38061, '2cy5A00', NULL, NULL, 140, NULL, NULL, 18238),
(38062, '4ekuA03', NULL, NULL, 107, NULL, NULL, 18238),
(38063, '1u5fA01', NULL, NULL, 110, NULL, NULL, 18238),
(38064, '2dn6A00', NULL, NULL, 115, NULL, NULL, 18238),
(38065, '1mixA02', NULL, NULL, 93, NULL, NULL, 18238),
(38066, '2da0A00', NULL, NULL, 114, NULL, NULL, 18238),
(38067, '2vrwB02', NULL, NULL, 129, NULL, NULL, 18238),
(38068, '3qijB03', NULL, NULL, 93, NULL, NULL, 18238),
(38069, '1p5tA00', NULL, NULL, 110, NULL, NULL, 18238),
(38070, '3voqA00', NULL, NULL, 125, NULL, NULL, 18238),
(38071, '2d9yA00', NULL, NULL, 117, NULL, NULL, 18238),
(38072, '1btkA00', NULL, NULL, 169, NULL, NULL, 18238),
(38073, '5j3tA00', NULL, NULL, 130, NULL, NULL, 18238),
(38074, '2jp2A00', NULL, NULL, 126, NULL, NULL, 18238),
(38075, '3cxbB00', NULL, NULL, 112, NULL, NULL, 18238),
(38076, '4nswA02', NULL, NULL, 122, NULL, NULL, 18238),
(38077, '4k17B01', NULL, NULL, 115, NULL, NULL, 18238),
(38078, '1aqcA00', NULL, NULL, 172, NULL, NULL, 18238),
(38079, '2rgnB02', NULL, NULL, 150, NULL, NULL, 18238),
(38080, '2dhiA00', NULL, NULL, 120, NULL, NULL, 18238),
(38081, '1mkeA00', NULL, NULL, 152, NULL, NULL, 18238),
(38082, '4wsfA00', NULL, NULL, 122, NULL, NULL, 18238),
(38083, '4hatB00', NULL, NULL, 122, NULL, NULL, 18238),
(38084, '1p3rC00', NULL, NULL, 160, NULL, NULL, 18238),
(38085, '1k5dB00', NULL, NULL, 146, NULL, NULL, 18238),
(38086, '1t77A01', NULL, NULL, 105, NULL, NULL, 18238),
(38087, '3aj4A00', NULL, NULL, 112, NULL, NULL, 18238),
(38088, '3pp2A00', NULL, NULL, 124, NULL, NULL, 18238),
(38089, '4emoC00', NULL, NULL, 129, NULL, NULL, 18238),
(38090, '1dbhA02', NULL, NULL, 129, NULL, NULL, 18238),
(38091, '2yryA00', NULL, NULL, 122, NULL, NULL, 18238),
(38092, '1xr0B01', NULL, NULL, 91, NULL, NULL, 18238),
(38093, '4dx8D00', NULL, NULL, 154, NULL, NULL, 18238),
(38094, '1dynA00', NULL, NULL, 125, NULL, NULL, 18238),
(38095, '2cayB00', NULL, NULL, 145, NULL, NULL, 18238),
(38096, '1egxA00', NULL, NULL, 115, NULL, NULL, 18238),
(38097, '5f3yA04', NULL, NULL, 95, NULL, NULL, 18238),
(38098, '1ddvA00', NULL, NULL, 111, NULL, NULL, 18238),
(38099, '4hhvA00', NULL, NULL, 105, NULL, NULL, 18238),
(38100, '4f7hA00', NULL, NULL, 135, NULL, NULL, 18238);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(38101, '1txdA02', NULL, NULL, 152, NULL, NULL, 18238),
(38102, '2lg1A02', NULL, NULL, 115, NULL, NULL, 18238),
(38103, '1aqcB00', NULL, NULL, 172, NULL, NULL, 18238),
(38104, '2p0hA00', NULL, NULL, 129, NULL, NULL, 18238),
(38105, '4k17A01', NULL, NULL, 115, NULL, NULL, 18238),
(38106, '2d9xA01', NULL, NULL, 110, NULL, NULL, 18238),
(38107, '2rovA00', NULL, NULL, 117, NULL, NULL, 18238),
(38108, '5yi7A00', NULL, NULL, 141, NULL, NULL, 18238),
(38109, '4dbbA00', NULL, NULL, 162, NULL, NULL, 18238),
(38110, '2yszA01', NULL, NULL, 136, NULL, NULL, 18238),
(38111, '2cocA01', NULL, NULL, 100, NULL, NULL, 18238),
(38112, '4chjA00', NULL, NULL, 164, NULL, NULL, 18238),
(38113, '4wj7D00', NULL, NULL, 148, NULL, NULL, 18238),
(38114, '2yt0A01', NULL, NULL, 166, NULL, NULL, 18238),
(38115, '2i1jA03', NULL, NULL, 101, NULL, NULL, 18238),
(38116, '5umuA02', NULL, NULL, 128, NULL, NULL, 18238),
(38117, '6hhjA01', NULL, NULL, 113, NULL, NULL, 18238),
(38118, '4k2pD01', NULL, NULL, 130, NULL, NULL, 18238),
(38119, '2fz4A01', NULL, NULL, 57, NULL, NULL, 18239),
(38120, '1sxvA00', NULL, NULL, 172, NULL, NULL, 18240),
(38121, '3sw5A00', NULL, NULL, 180, NULL, NULL, 18240),
(38122, '3q46A00', NULL, NULL, 178, NULL, NULL, 18240),
(38123, '1twlA00', NULL, NULL, 186, NULL, NULL, 18240),
(38124, '5c5vA02', NULL, NULL, 254, NULL, NULL, 18240),
(38125, '3tr4B00', NULL, NULL, 178, NULL, NULL, 18240),
(38126, '3fq3A00', NULL, NULL, 176, NULL, NULL, 18240),
(38127, '6n1cA00', NULL, NULL, 186, NULL, NULL, 18240),
(38128, '1udeA00', NULL, NULL, 175, NULL, NULL, 18240),
(38129, '4qlzB00', NULL, NULL, 287, NULL, NULL, 18240),
(38130, '3i4qA00', NULL, NULL, 176, NULL, NULL, 18240),
(38131, '2au7A00', NULL, NULL, 175, NULL, NULL, 18240),
(38132, '2prdA00', NULL, NULL, 174, NULL, NULL, 18240),
(38133, '3lo0A00', NULL, NULL, 169, NULL, NULL, 18240),
(38134, '3ld3A00', NULL, NULL, 174, NULL, NULL, 18240),
(38135, '1e9gB00', NULL, NULL, 286, NULL, NULL, 18240),
(38136, '4ecpB00', NULL, NULL, 167, NULL, NULL, 18240),
(38137, '1qezA00', NULL, NULL, 173, NULL, NULL, 18240),
(38138, '6c45B00', NULL, NULL, 289, NULL, NULL, 18240),
(38139, '2bqxA00', NULL, NULL, 173, NULL, NULL, 18240),
(38140, '3eizA00', NULL, NULL, 196, NULL, NULL, 18240),
(38141, '5wrtB00', NULL, NULL, 235, NULL, NULL, 18240),
(38142, '5ls0B00', NULL, NULL, 179, NULL, NULL, 18240),
(38143, '3d53C00', NULL, NULL, 173, NULL, NULL, 18240),
(38144, '5cuxB00', NULL, NULL, 263, NULL, NULL, 18240),
(38145, '4xelA00', NULL, NULL, 183, NULL, NULL, 18240),
(38146, '5teaB00', NULL, NULL, 185, NULL, NULL, 18240),
(38147, '3gs9A01', NULL, NULL, 90, NULL, NULL, 18241),
(38148, '4g7nA01', NULL, NULL, 122, NULL, NULL, 18242),
(38149, '4n9jA01', NULL, NULL, 120, NULL, NULL, 18242),
(38150, '4nkbA01', NULL, NULL, 114, NULL, NULL, 18242),
(38151, '2xmoA02', NULL, NULL, 86, NULL, NULL, 18243),
(38152, '2xr7A02', NULL, NULL, 220, NULL, NULL, 18244),
(38153, '5falA02', NULL, NULL, 227, NULL, NULL, 18244),
(38154, '5falA01', NULL, NULL, 217, NULL, NULL, 18244),
(38155, '6dd2A01', NULL, NULL, 209, NULL, NULL, 18244),
(38156, '2xr7A01', NULL, NULL, 233, NULL, NULL, 18244),
(38157, '2debB02', NULL, NULL, 287, NULL, NULL, 18244),
(38158, '1xl8B03', NULL, NULL, 179, NULL, NULL, 18244),
(38159, '2fy4A01', NULL, NULL, 294, NULL, NULL, 18244),
(38160, '4hvmB01', NULL, NULL, 210, NULL, NULL, 18244),
(38161, '4n72B00', NULL, NULL, 249, NULL, NULL, 18244),
(38162, '1nm8A01', NULL, NULL, 284, NULL, NULL, 18244),
(38163, '2bghA02', NULL, NULL, 211, NULL, NULL, 18244),
(38164, '2bghA01', NULL, NULL, 210, NULL, NULL, 18244),
(38165, '2rkvA02', NULL, NULL, 222, NULL, NULL, 18244),
(38166, '2zbaB02', NULL, NULL, 221, NULL, NULL, 18244),
(38167, '2rkvA01', NULL, NULL, 215, NULL, NULL, 18244),
(38168, '4g22A02', NULL, NULL, 211, NULL, NULL, 18244),
(38169, '1xl7A03', NULL, NULL, 179, NULL, NULL, 18244),
(38170, '3claA00', NULL, NULL, 213, NULL, NULL, 18244),
(38171, '3l60A01', NULL, NULL, 220, NULL, NULL, 18244),
(38172, '2jgpA02', NULL, NULL, 192, NULL, NULL, 18244),
(38173, '2vsqA01', NULL, NULL, 219, NULL, NULL, 18244);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(38174, '1q23B00', NULL, NULL, 219, NULL, NULL, 18244),
(38175, '2ii3A01', NULL, NULL, 224, NULL, NULL, 18244),
(38176, '6dd2B02', NULL, NULL, 236, NULL, NULL, 18244),
(38177, '5kjsA01', NULL, NULL, 205, NULL, NULL, 18244),
(38178, '2i9dA00', NULL, NULL, 217, NULL, NULL, 18244),
(38179, '1q9jB01', NULL, NULL, 227, NULL, NULL, 18244),
(38180, '1l5aA01', NULL, NULL, 191, NULL, NULL, 18244),
(38181, '5kjsA02', NULL, NULL, 224, NULL, NULL, 18244),
(38182, '2e1vA01', NULL, NULL, 238, NULL, NULL, 18244),
(38183, '1dpbA00', NULL, NULL, 243, NULL, NULL, 18244),
(38184, '2e1vA02', NULL, NULL, 216, NULL, NULL, 18244),
(38185, '1xl8A03', NULL, NULL, 179, NULL, NULL, 18244),
(38186, '4ke4A01', NULL, NULL, 214, NULL, NULL, 18244),
(38187, '3maeA00', NULL, NULL, 256, NULL, NULL, 18244),
(38188, '2zbaA01', NULL, NULL, 224, NULL, NULL, 18244),
(38189, '5t3eB01', NULL, NULL, 184, NULL, NULL, 18244),
(38190, '5kjvA02', NULL, NULL, 218, NULL, NULL, 18244),
(38191, '1xmcB03', NULL, NULL, 179, NULL, NULL, 18244),
(38192, '5kjvA01', NULL, NULL, 205, NULL, NULL, 18244),
(38193, '4g22B01', NULL, NULL, 210, NULL, NULL, 18244),
(38194, '1xl7B03', NULL, NULL, 179, NULL, NULL, 18244),
(38195, '1ndbA01', NULL, NULL, 280, NULL, NULL, 18244),
(38196, '1sczA00', NULL, NULL, 233, NULL, NULL, 18244),
(38197, '3fotA01', NULL, NULL, 255, NULL, NULL, 18244),
(38198, '5du9A01', NULL, NULL, 215, NULL, NULL, 18244),
(38199, '1t1uA01', NULL, NULL, 276, NULL, NULL, 18244),
(38200, '2xhgA01', NULL, NULL, 183, NULL, NULL, 18244),
(38201, '3l8iA01', NULL, NULL, 54, NULL, NULL, 18245),
(38202, '4gehB00', NULL, NULL, 69, NULL, NULL, 18245),
(38203, '3ajmA01', NULL, NULL, 61, NULL, NULL, 18245),
(38204, '3w8hB00', NULL, NULL, 78, NULL, NULL, 18245),
(38205, '1t23A00', NULL, NULL, 93, NULL, NULL, 18246),
(38206, '2doaA00', NULL, NULL, 104, NULL, NULL, 18247),
(38207, '2e5nA00', NULL, NULL, 100, NULL, NULL, 18247),
(38208, '3vtoQ02', NULL, NULL, 61, NULL, NULL, 18248),
(38209, '1ye9A03', NULL, NULL, 57, NULL, NULL, 18249),
(38210, '2w83C00', NULL, NULL, 77, NULL, NULL, 18250),
(38211, '2p12A01', NULL, NULL, 170, NULL, NULL, 18251),
(38212, '3exmA01', NULL, NULL, 195, NULL, NULL, 18251),
(38213, '3d9xA01', NULL, NULL, 61, NULL, NULL, 18252),
(38214, '1y1uA02', NULL, NULL, 139, NULL, NULL, 18253),
(38215, '1bg1A02', NULL, NULL, 145, NULL, NULL, 18253),
(38216, '1yvlA03', NULL, NULL, 145, NULL, NULL, 18253),
(38217, '4hkrA00', NULL, NULL, 214, NULL, NULL, 18254),
(38218, '1d7cA00', NULL, NULL, 190, NULL, NULL, 18255),
(38219, '4qi3A00', NULL, NULL, 208, NULL, NULL, 18255),
(38220, '3favA00', NULL, NULL, 85, NULL, NULL, 18256),
(38221, '3gwkE00', NULL, NULL, 98, NULL, NULL, 18256),
(38222, '3favD00', NULL, NULL, 94, NULL, NULL, 18256),
(38223, '3txsC01', NULL, NULL, 78, NULL, NULL, 18256),
(38224, '4gzrD00', NULL, NULL, 99, NULL, NULL, 18256),
(38225, '4gzrC00', NULL, NULL, 69, NULL, NULL, 18256),
(38226, '3q4hD00', NULL, NULL, 81, NULL, NULL, 18256),
(38227, '3q4hB00', NULL, NULL, 86, NULL, NULL, 18256),
(38228, '3q4hC00', NULL, NULL, 98, NULL, NULL, 18256),
(38229, '3fd9A03', NULL, NULL, 73, NULL, NULL, 18256),
(38230, '3h6pC00', NULL, NULL, 56, NULL, NULL, 18256),
(38231, '3zbhA00', NULL, NULL, 99, NULL, NULL, 18256),
(38232, '2de0X01', NULL, NULL, 67, NULL, NULL, 18256),
(38233, '4i0xK00', NULL, NULL, 94, NULL, NULL, 18256),
(38234, '3hr0B01', NULL, NULL, 93, NULL, NULL, 18256),
(38235, '3ogiD00', NULL, NULL, 99, NULL, NULL, 18256),
(38236, '4i0xG00', NULL, NULL, 70, NULL, NULL, 18256),
(38237, '4i0xH00', NULL, NULL, 87, NULL, NULL, 18256),
(38238, '3ogiB00', NULL, NULL, 99, NULL, NULL, 18256),
(38239, '4abmA00', NULL, NULL, 79, NULL, NULL, 18256),
(38240, '2kg7B00', NULL, NULL, 97, NULL, NULL, 18256),
(38241, '2kg7A00', NULL, NULL, 97, NULL, NULL, 18256),
(38242, '2az0B00', NULL, NULL, 73, NULL, NULL, 18256),
(38243, '3g80A00', NULL, NULL, 74, NULL, NULL, 18256),
(38244, '4lwsA00', NULL, NULL, 101, NULL, NULL, 18256),
(38245, '2vs0A00', NULL, NULL, 97, NULL, NULL, 18256),
(38246, '4lwsB00', NULL, NULL, 103, NULL, NULL, 18256),
(38247, '3n54B01', NULL, NULL, 67, NULL, NULL, 18257);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(38248, '3aj1E01', NULL, NULL, 55, NULL, NULL, 18258),
(38249, '3aj1H01', NULL, NULL, 55, NULL, NULL, 18258),
(38250, '2z9eB01', NULL, NULL, 55, NULL, NULL, 18258),
(38251, '2z9eC01', NULL, NULL, 55, NULL, NULL, 18258),
(38252, '2z9eD01', NULL, NULL, 55, NULL, NULL, 18258),
(38253, '2z9eE01', NULL, NULL, 55, NULL, NULL, 18258),
(38254, '2z9eH01', NULL, NULL, 55, NULL, NULL, 18258),
(38255, '3aj1A01', NULL, NULL, 39, NULL, NULL, 18258),
(38256, '3aj1B01', NULL, NULL, 55, NULL, NULL, 18258),
(38257, '3vkwA01', NULL, NULL, 156, NULL, NULL, 18259),
(38258, '2xq2B01', NULL, NULL, 538, NULL, NULL, 18260),
(38259, '3dh4A01', NULL, NULL, 529, NULL, NULL, 18260),
(38260, '1vx7T01', NULL, NULL, 55, NULL, NULL, 18261),
(38261, '1vq8P01', NULL, NULL, 56, NULL, NULL, 18261),
(38262, '3o58S01', NULL, NULL, 56, NULL, NULL, 18261),
(38263, '4a17O01', NULL, NULL, 56, NULL, NULL, 18261),
(38264, '1vwxR01', NULL, NULL, 56, NULL, NULL, 18261),
(38265, '1ig0A01', NULL, NULL, 187, NULL, NULL, 18262),
(38266, '3l8mA00', NULL, NULL, 212, NULL, NULL, 18262),
(38267, '3s4yA00', NULL, NULL, 228, NULL, NULL, 18262),
(38268, '3lm8D00', NULL, NULL, 222, NULL, NULL, 18262),
(38269, '2omkB00', NULL, NULL, 209, NULL, NULL, 18262),
(38270, '3cq9A00', NULL, NULL, 227, NULL, NULL, 18262),
(38271, '2g9zA02', NULL, NULL, 182, NULL, NULL, 18262),
(38272, '3ihkA00', NULL, NULL, 218, NULL, NULL, 18262),
(38273, '3k94A00', NULL, NULL, 223, NULL, NULL, 18262),
(38274, '1ig3A02', NULL, NULL, 147, NULL, NULL, 18262),
(38275, '3melA00', NULL, NULL, 222, NULL, NULL, 18262),
(38276, '2kw3C00', NULL, NULL, 62, NULL, NULL, 18263),
(38277, '4ywsA01', NULL, NULL, 125, NULL, NULL, 18264),
(38278, '2o56A01', NULL, NULL, 143, NULL, NULL, 18264),
(38279, '4m0xA01', NULL, NULL, 134, NULL, NULL, 18264),
(38280, '2gl5A01', NULL, NULL, 142, NULL, NULL, 18264),
(38281, '4dwdB01', NULL, NULL, 111, NULL, NULL, 18264),
(38282, '3p0wA01', NULL, NULL, 140, NULL, NULL, 18264),
(38283, '1tkkA01', NULL, NULL, 115, NULL, NULL, 18264),
(38284, '2al1A01', NULL, NULL, 126, NULL, NULL, 18264),
(38285, '3vc5A01', NULL, NULL, 150, NULL, NULL, 18264),
(38286, '3tj4A01', NULL, NULL, 135, NULL, NULL, 18264),
(38287, '1ec7C01', NULL, NULL, 150, NULL, NULL, 18264),
(38288, '3i4kA01', NULL, NULL, 122, NULL, NULL, 18264),
(38289, '3dgbA01', NULL, NULL, 137, NULL, NULL, 18264),
(38290, '6j36A01', NULL, NULL, 129, NULL, NULL, 18264),
(38291, '2pozA01', NULL, NULL, 136, NULL, NULL, 18264),
(38292, '4mggC01', NULL, NULL, 132, NULL, NULL, 18264),
(38293, '3i6tB01', NULL, NULL, 122, NULL, NULL, 18264),
(38294, '2qddA01', NULL, NULL, 140, NULL, NULL, 18264),
(38295, '4ip4A01', NULL, NULL, 129, NULL, NULL, 18264),
(38296, '2nqlA01', NULL, NULL, 168, NULL, NULL, 18264),
(38297, '3r0uA01', NULL, NULL, 117, NULL, NULL, 18264),
(38298, '4kemA01', NULL, NULL, 127, NULL, NULL, 18264),
(38299, '4ropA01', NULL, NULL, 124, NULL, NULL, 18264),
(38300, '3ik4B01', NULL, NULL, 119, NULL, NULL, 18264),
(38301, '1kd0A01', NULL, NULL, 164, NULL, NULL, 18264),
(38302, '3v3wA01', NULL, NULL, 140, NULL, NULL, 18264),
(38303, '2oqhB01', NULL, NULL, 144, NULL, NULL, 18264),
(38304, '3eezA01', NULL, NULL, 140, NULL, NULL, 18264),
(38305, '3boxA01', NULL, NULL, 173, NULL, NULL, 18264),
(38306, '3cawA01', NULL, NULL, 105, NULL, NULL, 18264),
(38307, '3n4eB01', NULL, NULL, 111, NULL, NULL, 18264),
(38308, '3thuB01', NULL, NULL, 142, NULL, NULL, 18264),
(38309, '3tcsB01', NULL, NULL, 113, NULL, NULL, 18264),
(38310, '3jvaA01', NULL, NULL, 114, NULL, NULL, 18264),
(38311, '3vcnA01', NULL, NULL, 141, NULL, NULL, 18264),
(38312, '4hnlA01', NULL, NULL, 148, NULL, NULL, 18264),
(38313, '4jn7A01', NULL, NULL, 119, NULL, NULL, 18264),
(38314, '3sbfA01', NULL, NULL, 148, NULL, NULL, 18264),
(38315, '2xsxB01', NULL, NULL, 128, NULL, NULL, 18264),
(38316, '2chrA01', NULL, NULL, 127, NULL, NULL, 18264),
(38317, '3sszA01', NULL, NULL, 143, NULL, NULL, 18264),
(38318, '4fi4B01', NULL, NULL, 141, NULL, NULL, 18264),
(38319, '3nxlC01', NULL, NULL, 144, NULL, NULL, 18264),
(38320, '1nu5A01', NULL, NULL, 116, NULL, NULL, 18264);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(38321, '1iyxA01', NULL, NULL, 125, NULL, NULL, 18264),
(38322, '3ugvA01', NULL, NULL, 126, NULL, NULL, 18264),
(38323, '5wroA01', NULL, NULL, 133, NULL, NULL, 18264),
(38324, '6nb2A01', NULL, NULL, 125, NULL, NULL, 18264),
(38325, '4a3rA01', NULL, NULL, 125, NULL, NULL, 18264),
(38326, '3mznA01', NULL, NULL, 153, NULL, NULL, 18264),
(38327, '2ovlA01', NULL, NULL, 138, NULL, NULL, 18264),
(38328, '3u4fA01', NULL, NULL, 117, NULL, NULL, 18264),
(38329, '4dwdA01', NULL, NULL, 111, NULL, NULL, 18264),
(38330, '3va8A01', NULL, NULL, 159, NULL, NULL, 18264),
(38331, '3t6cB01', NULL, NULL, 144, NULL, NULL, 18264),
(38332, '1pdzA01', NULL, NULL, 127, NULL, NULL, 18264),
(38333, '3dg6A01', NULL, NULL, 114, NULL, NULL, 18264),
(38334, '2ps2A01', NULL, NULL, 133, NULL, NULL, 18264),
(38335, '4dxkA01', NULL, NULL, 125, NULL, NULL, 18264),
(38336, '4ihcA01', NULL, NULL, 145, NULL, NULL, 18264),
(38337, '1wueB01', NULL, NULL, 149, NULL, NULL, 18264),
(38338, '3zlgA01', NULL, NULL, 125, NULL, NULL, 18264),
(38339, '3qkeA01', NULL, NULL, 142, NULL, NULL, 18264),
(38340, '2ptzA01', NULL, NULL, 124, NULL, NULL, 18264),
(38341, '3fcpA01', NULL, NULL, 136, NULL, NULL, 18264),
(38342, '2rdxA01', NULL, NULL, 142, NULL, NULL, 18264),
(38343, '2pgeA01', NULL, NULL, 136, NULL, NULL, 18264),
(38344, '4gfiC01', NULL, NULL, 107, NULL, NULL, 18264),
(38345, '4mksA01', NULL, NULL, 127, NULL, NULL, 18264),
(38346, '4gypC01', NULL, NULL, 149, NULL, NULL, 18264),
(38347, '3rcyB01', NULL, NULL, 142, NULL, NULL, 18264),
(38348, '1jpdX01', NULL, NULL, 105, NULL, NULL, 18264),
(38349, '4dhgD01', NULL, NULL, 198, NULL, NULL, 18264),
(38350, '4j1oA01', NULL, NULL, 131, NULL, NULL, 18264),
(38351, '2oztA01', NULL, NULL, 129, NULL, NULL, 18264),
(38352, '3cyjA01', NULL, NULL, 135, NULL, NULL, 18264),
(38353, '3vfcA01', NULL, NULL, 156, NULL, NULL, 18264),
(38354, '3gd6A01', NULL, NULL, 142, NULL, NULL, 18264),
(38355, '3n4eA01', NULL, NULL, 111, NULL, NULL, 18264),
(38356, '1r6wA02', NULL, NULL, 124, NULL, NULL, 18264),
(38357, '3tw9A01', NULL, NULL, 145, NULL, NULL, 18264),
(38358, '1mucA01', NULL, NULL, 137, NULL, NULL, 18264),
(38359, '3my9A01', NULL, NULL, 120, NULL, NULL, 18264),
(38360, '4j3zB01', NULL, NULL, 134, NULL, NULL, 18264),
(38361, '3t9pA01', NULL, NULL, 114, NULL, NULL, 18264),
(38362, '2gdqA01', NULL, NULL, 109, NULL, NULL, 18264),
(38363, '2podB01', NULL, NULL, 133, NULL, NULL, 18264),
(38364, '3ozyA01', NULL, NULL, 146, NULL, NULL, 18264),
(38365, '3gc2A01', NULL, NULL, 124, NULL, NULL, 18264),
(38366, '1sjdB01', NULL, NULL, 131, NULL, NULL, 18264),
(38367, '4jhmA01', NULL, NULL, 120, NULL, NULL, 18264),
(38368, '3otrA01', NULL, NULL, 132, NULL, NULL, 18264),
(38369, '2ox4A01', NULL, NULL, 140, NULL, NULL, 18264),
(38370, '4g7fA01', NULL, NULL, 124, NULL, NULL, 18264),
(38371, '2qq6B01', NULL, NULL, 118, NULL, NULL, 18264),
(38372, '2p8bA01', NULL, NULL, 134, NULL, NULL, 18264),
(38373, '4k8gA01', NULL, NULL, 141, NULL, NULL, 18264),
(38374, '4dyeA01', NULL, NULL, 135, NULL, NULL, 18264),
(38375, '4e5tE01', NULL, NULL, 129, NULL, NULL, 18264),
(38376, '3sqsA01', NULL, NULL, 143, NULL, NULL, 18264),
(38377, '3u9iA01', NULL, NULL, 118, NULL, NULL, 18264),
(38378, '4hpnA01', NULL, NULL, 114, NULL, NULL, 18264),
(38379, '2hxtA01', NULL, NULL, 131, NULL, NULL, 18264),
(38380, '2zc8A01', NULL, NULL, 139, NULL, NULL, 18264),
(38381, '1r0mA01', NULL, NULL, 145, NULL, NULL, 18264),
(38382, '2psnA01', NULL, NULL, 127, NULL, NULL, 18264),
(38383, '2og9A01', NULL, NULL, 160, NULL, NULL, 18264),
(38384, '4hchA01', NULL, NULL, 119, NULL, NULL, 18264),
(38385, '2hzgB01', NULL, NULL, 153, NULL, NULL, 18264),
(38386, '2fymA01', NULL, NULL, 125, NULL, NULL, 18264),
(38387, '4il2A01', NULL, NULL, 139, NULL, NULL, 18264),
(38388, '3ekgA01', NULL, NULL, 162, NULL, NULL, 18264),
(38389, '4e4uA01', NULL, NULL, 157, NULL, NULL, 18264),
(38390, '4hn8B01', NULL, NULL, 174, NULL, NULL, 18264),
(38391, '4g8tA01', NULL, NULL, 150, NULL, NULL, 18264),
(38392, '3ro6C01', NULL, NULL, 115, NULL, NULL, 18264),
(38393, '3q45A01', NULL, NULL, 126, NULL, NULL, 18264);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(38394, '6o4nA01', NULL, NULL, 125, NULL, NULL, 18264),
(38395, '5olcA01', NULL, NULL, 122, NULL, NULL, 18264),
(38396, '3rr1A01', NULL, NULL, 141, NULL, NULL, 18264),
(38397, '3qn3A01', NULL, NULL, 124, NULL, NULL, 18264),
(38398, '2pa6A01', NULL, NULL, 124, NULL, NULL, 18264),
(38399, '2pgwA01', NULL, NULL, 163, NULL, NULL, 18264),
(38400, '4h1zF01', NULL, NULL, 167, NULL, NULL, 18264),
(38401, '3qtpB01', NULL, NULL, 130, NULL, NULL, 18264),
(38402, '5boeB01', NULL, NULL, 128, NULL, NULL, 18264),
(38403, '4h2hA01', NULL, NULL, 139, NULL, NULL, 18264),
(38404, '3tjiA01', NULL, NULL, 146, NULL, NULL, 18264),
(38405, '3ijlA01', NULL, NULL, 109, NULL, NULL, 18264),
(38406, '2qdeA01', NULL, NULL, 158, NULL, NULL, 18264),
(38407, '1kkoA01', NULL, NULL, 164, NULL, NULL, 18264),
(38408, '4it1B01', NULL, NULL, 153, NULL, NULL, 18264),
(38409, '3qldB01', NULL, NULL, 157, NULL, NULL, 18264),
(38410, '3t4wA01', NULL, NULL, 157, NULL, NULL, 18264),
(38411, '3sjnA01', NULL, NULL, 120, NULL, NULL, 18264),
(38412, '2akzA01', NULL, NULL, 126, NULL, NULL, 18264),
(38413, '3tqpA01', NULL, NULL, 125, NULL, NULL, 18264),
(38414, '3mkcA01', NULL, NULL, 157, NULL, NULL, 18264),
(38415, '3go2A01', NULL, NULL, 115, NULL, NULL, 18264),
(38416, '3mwcA01', NULL, NULL, 147, NULL, NULL, 18264),
(38417, '5xd7A01', NULL, NULL, 136, NULL, NULL, 18264),
(38418, '2p0iB01', NULL, NULL, 167, NULL, NULL, 18264),
(38419, '3bjsA01', NULL, NULL, 120, NULL, NULL, 18264),
(38420, '2i5qA01', NULL, NULL, 174, NULL, NULL, 18264),
(38421, '4gghA01', NULL, NULL, 144, NULL, NULL, 18264),
(38422, '1bqgA01', NULL, NULL, 161, NULL, NULL, 18264),
(38423, '4hyrB01', NULL, NULL, 153, NULL, NULL, 18264),
(38424, '4h83F01', NULL, NULL, 133, NULL, NULL, 18264),
(38425, '2pp0A01', NULL, NULL, 147, NULL, NULL, 18264),
(38426, '2oz8A01', NULL, NULL, 137, NULL, NULL, 18264),
(38427, '4e4fA01', NULL, NULL, 141, NULL, NULL, 18264),
(38428, '2opjA01', NULL, NULL, 102, NULL, NULL, 18264),
(38429, '3stpA01', NULL, NULL, 142, NULL, NULL, 18264),
(38430, '2zadA01', NULL, NULL, 115, NULL, NULL, 18264),
(38431, '2qgyB01', NULL, NULL, 153, NULL, NULL, 18264),
(38432, '3ddmA01', NULL, NULL, 154, NULL, NULL, 18264),
(38433, '4a35A01', NULL, NULL, 134, NULL, NULL, 18264),
(38434, '3v5cA01', NULL, NULL, 129, NULL, NULL, 18264),
(38435, '2oktA01', NULL, NULL, 128, NULL, NULL, 18264),
(38436, '3mqtA01', NULL, NULL, 157, NULL, NULL, 18264),
(38437, '1wufA01', NULL, NULL, 131, NULL, NULL, 18264),
(38438, '3uj2A01', NULL, NULL, 125, NULL, NULL, 18264),
(38439, '3fv9C01', NULL, NULL, 143, NULL, NULL, 18264),
(38440, '3s47A01', NULL, NULL, 148, NULL, NULL, 18264),
(38441, '3i6eA01', NULL, NULL, 122, NULL, NULL, 18264),
(38442, '3t8qB01', NULL, NULL, 116, NULL, NULL, 18264),
(38443, '3toyA01', NULL, NULL, 127, NULL, NULL, 18264),
(38444, '1tzzB01', NULL, NULL, 132, NULL, NULL, 18264),
(38445, '3pfrA01', NULL, NULL, 156, NULL, NULL, 18264),
(38446, '3dipA01', NULL, NULL, 136, NULL, NULL, 18264),
(38447, '1yeyD01', NULL, NULL, 182, NULL, NULL, 18264),
(38448, '4x2pA01', NULL, NULL, 126, NULL, NULL, 18264),
(38449, '3s5sA01', NULL, NULL, 120, NULL, NULL, 18264),
(38450, '3fd9A01', NULL, NULL, 72, NULL, NULL, 18265),
(38451, '2ganA02', NULL, NULL, 45, NULL, NULL, 18266),
(38452, '2krhA00', NULL, NULL, 85, NULL, NULL, 18267),
(38453, '2l2oA00', NULL, NULL, 89, NULL, NULL, 18267),
(38454, '4uzbA00', NULL, NULL, 141, NULL, NULL, 18268),
(38455, '4blgA00', NULL, NULL, 141, NULL, NULL, 18268),
(38456, '6nppB00', NULL, NULL, 134, NULL, NULL, 18268),
(38457, '5t7xA00', NULL, NULL, 149, NULL, NULL, 18268),
(38458, '2yq1C00', NULL, NULL, 139, NULL, NULL, 18268),
(38459, '4k2jB00', NULL, NULL, 140, NULL, NULL, 18268),
(38460, '4lvpA00', NULL, NULL, 127, NULL, NULL, 18269),
(38461, '3u5ch02', NULL, NULL, 93, NULL, NULL, 18270),
(38462, '4ujfi02', NULL, NULL, 93, NULL, NULL, 18270),
(38463, '2wp7A00', NULL, NULL, 168, NULL, NULL, 18271),
(38464, '3a54A01', NULL, NULL, 90, NULL, NULL, 18272),
(38465, '4hsaF02', NULL, NULL, 105, NULL, NULL, 18273),
(38466, '3eziA00', NULL, NULL, 107, NULL, NULL, 18274);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(38467, '2hzmH00', NULL, NULL, 253, NULL, NULL, 18275),
(38468, '3typB00', NULL, NULL, 155, NULL, NULL, 18275),
(38469, '2acaA00', NULL, NULL, 189, NULL, NULL, 18275),
(38470, '3tj7C00', NULL, NULL, 179, NULL, NULL, 18275),
(38471, '3c0tA00', NULL, NULL, 207, NULL, NULL, 18275),
(38472, '2hzsF00', NULL, NULL, 242, NULL, NULL, 18275),
(38473, '2gfgA00', NULL, NULL, 193, NULL, NULL, 18275),
(38474, '5a65B00', NULL, NULL, 217, NULL, NULL, 18275),
(38475, '2eenA00', NULL, NULL, 183, NULL, NULL, 18275),
(38476, '3bhdB00', NULL, NULL, 213, NULL, NULL, 18275),
(38477, '5a67A00', NULL, NULL, 212, NULL, NULL, 18275),
(38478, '2dc4A00', NULL, NULL, 165, NULL, NULL, 18275),
(38479, '3n10A00', NULL, NULL, 179, NULL, NULL, 18275),
(38480, '1yemB00', NULL, NULL, 179, NULL, NULL, 18275),
(38481, '1k3iA02', NULL, NULL, 388, NULL, NULL, 18276),
(38482, '5c86A01', NULL, NULL, 382, NULL, NULL, 18276),
(38483, '3h0gA05', NULL, NULL, 146, NULL, NULL, 18277),
(38484, '5fj8A06', NULL, NULL, 147, NULL, NULL, 18277),
(38485, '4aybA07', NULL, NULL, 120, NULL, NULL, 18277),
(38486, '1iw7N06', NULL, NULL, 141, NULL, NULL, 18277),
(38487, '2o5iN07', NULL, NULL, 116, NULL, NULL, 18277),
(38488, '1twfA06', NULL, NULL, 146, NULL, NULL, 18277),
(38489, '4c2mA06', NULL, NULL, 164, NULL, NULL, 18277),
(38490, '1ynjD06', NULL, NULL, 141, NULL, NULL, 18277),
(38491, '4qiwA05', NULL, NULL, 148, NULL, NULL, 18277),
(38492, '1dvoA00', NULL, NULL, 152, NULL, NULL, 18278),
(38493, '3mw6B00', NULL, NULL, 94, NULL, NULL, 18278),
(38494, '3mw6C00', NULL, NULL, 119, NULL, NULL, 18278),
(38495, '3rwxA01', NULL, NULL, 127, NULL, NULL, 18279),
(38496, '4abxA02', NULL, NULL, 87, NULL, NULL, 18280),
(38497, '4qhbD01', NULL, NULL, 216, NULL, NULL, 18281),
(38498, '4r4xA02', NULL, NULL, 189, NULL, NULL, 18281),
(38499, '3ks7B01', NULL, NULL, 218, NULL, NULL, 18281),
(38500, '2freA00', NULL, NULL, 200, NULL, NULL, 18282),
(38501, '3pxvC00', NULL, NULL, 189, NULL, NULL, 18282),
(38502, '4urpA00', NULL, NULL, 193, NULL, NULL, 18282),
(38503, '2wqfA00', NULL, NULL, 202, NULL, NULL, 18282),
(38504, '3pxvA00', NULL, NULL, 189, NULL, NULL, 18282),
(38505, '1f5vA00', NULL, NULL, 240, NULL, NULL, 18282),
(38506, '3eo8A00', NULL, NULL, 219, NULL, NULL, 18282),
(38507, '5j6cA00', NULL, NULL, 173, NULL, NULL, 18282),
(38508, '5heiC00', NULL, NULL, 253, NULL, NULL, 18282),
(38509, '5krdB00', NULL, NULL, 228, NULL, NULL, 18282),
(38510, '3ge6A00', NULL, NULL, 212, NULL, NULL, 18282),
(38511, '5yakE01', NULL, NULL, 184, NULL, NULL, 18282),
(38512, '2wzvA01', NULL, NULL, 231, NULL, NULL, 18282),
(38513, '3h4oA00', NULL, NULL, 171, NULL, NULL, 18282),
(38514, '3hj9B00', NULL, NULL, 223, NULL, NULL, 18282),
(38515, '3hznC00', NULL, NULL, 220, NULL, NULL, 18282),
(38516, '5hdjA00', NULL, NULL, 257, NULL, NULL, 18282),
(38517, '4eo3A02', NULL, NULL, 183, NULL, NULL, 18282),
(38518, '3gagA00', NULL, NULL, 206, NULL, NULL, 18282),
(38519, '1noxA00', NULL, NULL, 205, NULL, NULL, 18282),
(38520, '3k6hA01', NULL, NULL, 167, NULL, NULL, 18282),
(38521, '3kwkA00', NULL, NULL, 175, NULL, NULL, 18282),
(38522, '3e39A00', NULL, NULL, 178, NULL, NULL, 18282),
(38523, '2h0uA00', NULL, NULL, 217, NULL, NULL, 18282),
(38524, '6czpG00', NULL, NULL, 220, NULL, NULL, 18282),
(38525, '3e10A00', NULL, NULL, 168, NULL, NULL, 18282),
(38526, '3bemB00', NULL, NULL, 218, NULL, NULL, 18282),
(38527, '3gr3A00', NULL, NULL, 230, NULL, NULL, 18282),
(38528, '1ywqA00', NULL, NULL, 200, NULL, NULL, 18282),
(38529, '3ge5A00', NULL, NULL, 176, NULL, NULL, 18282),
(38530, '4xomB00', NULL, NULL, 207, NULL, NULL, 18282),
(38531, '2iskA01', NULL, NULL, 204, NULL, NULL, 18282),
(38532, '3gfaA00', NULL, NULL, 198, NULL, NULL, 18282),
(38533, '3ek3A01', NULL, NULL, 171, NULL, NULL, 18282),
(38534, '2ymvA02', NULL, NULL, 225, NULL, NULL, 18282),
(38535, '3eofB00', NULL, NULL, 248, NULL, NULL, 18282),
(38536, '1kqbA00', NULL, NULL, 217, NULL, NULL, 18282),
(38537, '1icrA00', NULL, NULL, 217, NULL, NULL, 18282),
(38538, '3bm1A00', NULL, NULL, 183, NULL, NULL, 18282),
(38539, '4g8sA00', NULL, NULL, 191, NULL, NULL, 18282);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(38540, '4dn2A00', NULL, NULL, 192, NULL, NULL, 18282),
(38541, '3g14B00', NULL, NULL, 193, NULL, NULL, 18282),
(38542, '3pxvD00', NULL, NULL, 189, NULL, NULL, 18282),
(38543, '3pxvB00', NULL, NULL, 189, NULL, NULL, 18282),
(38544, '5j62B00', NULL, NULL, 215, NULL, NULL, 18282),
(38545, '1vfrA00', NULL, NULL, 218, NULL, NULL, 18282),
(38546, '1zchA00', NULL, NULL, 255, NULL, NULL, 18282),
(38547, '3hoiA00', NULL, NULL, 193, NULL, NULL, 18282),
(38548, '3gbhA00', NULL, NULL, 213, NULL, NULL, 18282),
(38549, '3ge6B00', NULL, NULL, 212, NULL, NULL, 18282),
(38550, '4qlxB00', NULL, NULL, 219, NULL, NULL, 18282),
(38551, '1vkwA01', NULL, NULL, 122, NULL, NULL, 18282),
(38552, '2r01A01', NULL, NULL, 166, NULL, NULL, 18282),
(38553, '3n2sD00', NULL, NULL, 249, NULL, NULL, 18282),
(38554, '2i7hA00', NULL, NULL, 189, NULL, NULL, 18282),
(38555, '3eo7A02', NULL, NULL, 257, NULL, NULL, 18282),
(38556, '3eo7A01', NULL, NULL, 240, NULL, NULL, 18282),
(38557, '3gb5A00', NULL, NULL, 224, NULL, NULL, 18282),
(38558, '3of4A00', NULL, NULL, 209, NULL, NULL, 18282),
(38559, '2hayC00', NULL, NULL, 224, NULL, NULL, 18282),
(38560, '3m5kA00', NULL, NULL, 172, NULL, NULL, 18282),
(38561, '3bemA00', NULL, NULL, 218, NULL, NULL, 18282),
(38562, '1bkjA00', NULL, NULL, 240, NULL, NULL, 18282),
(38563, '2b67A00', NULL, NULL, 204, NULL, NULL, 18282),
(38564, '5uu6A00', NULL, NULL, 243, NULL, NULL, 18282),
(38565, '2ifaB00', NULL, NULL, 208, NULL, NULL, 18282),
(38566, '3qdlA00', NULL, NULL, 178, NULL, NULL, 18282),
(38567, '2w5qA01', NULL, NULL, 93, NULL, NULL, 18283),
(38568, '2w8dB01', NULL, NULL, 94, NULL, NULL, 18283),
(38569, '4uopA01', NULL, NULL, 93, NULL, NULL, 18283),
(38570, '4uorC01', NULL, NULL, 91, NULL, NULL, 18283),
(38571, '1pbuA00', NULL, NULL, 162, NULL, NULL, 18284),
(38572, '1x1pA02', NULL, NULL, 45, NULL, NULL, 18285),
(38573, '1i39A02', NULL, NULL, 50, NULL, NULL, 18285),
(38574, '2dffA02', NULL, NULL, 47, NULL, NULL, 18285),
(38575, '3pufA02', NULL, NULL, 51, NULL, NULL, 18285),
(38576, '1io2A02', NULL, NULL, 47, NULL, NULL, 18285),
(38577, '3kioA02', NULL, NULL, 49, NULL, NULL, 18285),
(38578, '2dfeA02', NULL, NULL, 48, NULL, NULL, 18285),
(38579, '1ekeB02', NULL, NULL, 47, NULL, NULL, 18285),
(38580, '3n1eA01', NULL, NULL, 46, NULL, NULL, 18286),
(38581, '1k6kA00', NULL, NULL, 143, NULL, NULL, 18287),
(38582, '3zriA01', NULL, NULL, 155, NULL, NULL, 18287),
(38583, '1khyD00', NULL, NULL, 148, NULL, NULL, 18287),
(38584, '4uqwB00', NULL, NULL, 163, NULL, NULL, 18287),
(38585, '2y1qA00', NULL, NULL, 150, NULL, NULL, 18287),
(38586, '3wdcA00', NULL, NULL, 153, NULL, NULL, 18287),
(38587, '4hh5A00', NULL, NULL, 163, NULL, NULL, 18287),
(38588, '4p15A00', NULL, NULL, 146, NULL, NULL, 18287),
(38589, '3fesA00', NULL, NULL, 145, NULL, NULL, 18287),
(38590, '1qvrC01', NULL, NULL, 142, NULL, NULL, 18287),
(38591, '5guiA00', NULL, NULL, 153, NULL, NULL, 18287),
(38592, '3fh2A00', NULL, NULL, 146, NULL, NULL, 18287),
(38593, '4y0cB00', NULL, NULL, 157, NULL, NULL, 18287),
(38594, '4y0bA00', NULL, NULL, 144, NULL, NULL, 18287),
(38595, '4irfB00', NULL, NULL, 156, NULL, NULL, 18287),
(38596, '1o75A03', NULL, NULL, 128, NULL, NULL, 18288),
(38597, '3dktA01', NULL, NULL, 169, NULL, NULL, 18289),
(38598, '1tvsA00', NULL, NULL, 75, NULL, NULL, 18290),
(38599, '4y97D00', NULL, NULL, 180, NULL, NULL, 18291),
(38600, '3floB00', NULL, NULL, 190, NULL, NULL, 18291),
(38601, '2wyoC01', NULL, NULL, 113, NULL, NULL, 18292),
(38602, '3s24F02', NULL, NULL, 53, NULL, NULL, 18293),
(38603, '1ckmA03', NULL, NULL, 54, NULL, NULL, 18293),
(38604, '4hfxC00', NULL, NULL, 97, NULL, NULL, 18294),
(38605, '2lqvA00', NULL, NULL, 105, NULL, NULL, 18295),
(38606, '2xglA00', NULL, NULL, 103, NULL, NULL, 18295),
(38607, '3t4rA00', NULL, NULL, 81, NULL, NULL, 18296),
(38608, '1g5zA00', NULL, NULL, 164, NULL, NULL, 18297),
(38609, '1f1mA00', NULL, NULL, 164, NULL, NULL, 18297),
(38610, '1ggqA00', NULL, NULL, 174, NULL, NULL, 18297),
(38611, '1yjgA00', NULL, NULL, 158, NULL, NULL, 18297),
(38612, '1ig0A02', NULL, NULL, 132, NULL, NULL, 18298);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(38613, '2g9zB01', NULL, NULL, 139, NULL, NULL, 18298),
(38614, '1ig3A01', NULL, NULL, 97, NULL, NULL, 18298),
(38615, '4nx9A02', NULL, NULL, 121, NULL, NULL, 18299),
(38616, '2v7kA01', NULL, NULL, 118, NULL, NULL, 18300),
(38617, '2ozaA03', NULL, NULL, 68, NULL, NULL, 18301),
(38618, '3blxE00', NULL, NULL, 349, NULL, NULL, 18302),
(38619, '1tyoB00', NULL, NULL, 435, NULL, NULL, 18302),
(38620, '2iv0A00', NULL, NULL, 412, NULL, NULL, 18302),
(38621, '3vmkA00', NULL, NULL, 375, NULL, NULL, 18302),
(38622, '2qfyA00', NULL, NULL, 427, NULL, NULL, 18302),
(38623, '3tsnA00', NULL, NULL, 367, NULL, NULL, 18302),
(38624, '1x0lA00', NULL, NULL, 333, NULL, NULL, 18302),
(38625, '3ty4B00', NULL, NULL, 366, NULL, NULL, 18302),
(38626, '1vi1A00', NULL, NULL, 345, NULL, NULL, 18302),
(38627, '1yxoA00', NULL, NULL, 328, NULL, NULL, 18302),
(38628, '3lxyA00', NULL, NULL, 334, NULL, NULL, 18302),
(38629, '3dmsA00', NULL, NULL, 427, NULL, NULL, 18302),
(38630, '4jqpA00', NULL, NULL, 342, NULL, NULL, 18302),
(38631, '1ycoA00', NULL, NULL, 279, NULL, NULL, 18302),
(38632, '5hn3A00', NULL, NULL, 332, NULL, NULL, 18302),
(38633, '4xxvA00', NULL, NULL, 363, NULL, NULL, 18302),
(38634, '1zorB00', NULL, NULL, 399, NULL, NULL, 18302),
(38635, '3us8A00', NULL, NULL, 403, NULL, NULL, 18302),
(38636, '2y3zA00', NULL, NULL, 359, NULL, NULL, 18302),
(38637, '4atyA00', NULL, NULL, 349, NULL, NULL, 18302),
(38638, '1ptmA00', NULL, NULL, 329, NULL, NULL, 18302),
(38639, '2hi1A00', NULL, NULL, 330, NULL, NULL, 18302),
(38640, '1v53A00', NULL, NULL, 366, NULL, NULL, 18302),
(38641, '5j34A00', NULL, NULL, 365, NULL, NULL, 18302),
(38642, '5griA00', NULL, NULL, 339, NULL, NULL, 18302),
(38643, '1pb1A00', NULL, NULL, 416, NULL, NULL, 18302),
(38644, '2d1cA01', NULL, NULL, 385, NULL, NULL, 18302),
(38645, '1xacA00', NULL, NULL, 345, NULL, NULL, 18302),
(38646, '3blxB00', NULL, NULL, 354, NULL, NULL, 18302),
(38647, '6e85A00', NULL, NULL, 331, NULL, NULL, 18302),
(38648, '1r8kA00', NULL, NULL, 329, NULL, NULL, 18302),
(38649, '3u1hB00', NULL, NULL, 368, NULL, NULL, 18302),
(38650, '5m2eA00', NULL, NULL, 418, NULL, NULL, 18302),
(38651, '3uduA00', NULL, NULL, 361, NULL, NULL, 18302),
(38652, '1w0dA00', NULL, NULL, 337, NULL, NULL, 18302),
(38653, '3vmlA00', NULL, NULL, 375, NULL, NULL, 18302),
(38654, '1u7nA00', NULL, NULL, 336, NULL, NULL, 18302),
(38655, '4aoyA00', NULL, NULL, 402, NULL, NULL, 18302),
(38656, '1a05A00', NULL, NULL, 358, NULL, NULL, 18302),
(38657, '4hcxA00', NULL, NULL, 409, NULL, NULL, 18302),
(38658, '1hqsA00', NULL, NULL, 423, NULL, NULL, 18302),
(38659, '1cm7A00', NULL, NULL, 363, NULL, NULL, 18302),
(38660, '3flkA00', NULL, NULL, 364, NULL, NULL, 18302),
(38661, '4ja8B00', NULL, NULL, 416, NULL, NULL, 18302),
(38662, '2d4vA00', NULL, NULL, 429, NULL, NULL, 18302),
(38663, '3wzyA00', NULL, NULL, 375, NULL, NULL, 18302),
(38664, '1cnzA00', NULL, NULL, 363, NULL, NULL, 18302),
(38665, '1vlcA00', NULL, NULL, 366, NULL, NULL, 18302),
(38666, '3uf6B00', NULL, NULL, 291, NULL, NULL, 18302),
(38667, '2uxqB00', NULL, NULL, 402, NULL, NULL, 18302),
(38668, '6bkxA00', NULL, NULL, 425, NULL, NULL, 18302),
(38669, '6c0eB00', NULL, NULL, 419, NULL, NULL, 18302),
(38670, '1wpwA00', NULL, NULL, 336, NULL, NULL, 18302),
(38671, '2e0cA00', NULL, NULL, 409, NULL, NULL, 18302),
(38672, '4y1pB00', NULL, NULL, 337, NULL, NULL, 18302),
(38673, '5yzhB00', NULL, NULL, 414, NULL, NULL, 18302),
(38674, '5griB00', NULL, NULL, 354, NULL, NULL, 18302),
(38675, '1z2nX01', NULL, NULL, 109, NULL, NULL, 18303),
(38676, '3hjlA03', NULL, NULL, 41, NULL, NULL, 18304),
(38677, '3uswA02', NULL, NULL, 42, NULL, NULL, 18304),
(38678, '4jo7A00', NULL, NULL, 89, NULL, NULL, 18305),
(38679, '3t98B00', NULL, NULL, 93, NULL, NULL, 18305),
(38680, '2x43S00', NULL, NULL, 67, NULL, NULL, 18306),
(38681, '5o5jM02', NULL, NULL, 52, NULL, NULL, 18307),
(38682, '2vhoM02', NULL, NULL, 47, NULL, NULL, 18307),
(38683, '5mmjm02', NULL, NULL, 56, NULL, NULL, 18307),
(38684, '1i94M02', NULL, NULL, 30, NULL, NULL, 18307),
(38685, '5x8rm02', NULL, NULL, 44, NULL, NULL, 18307);
INSERT INTO "PUBLIC"."MODEL" VALUES
(38686, '3o30L02', NULL, NULL, 53, NULL, NULL, 18307),
(38687, '2vqeM02', NULL, NULL, 54, NULL, NULL, 18307),
(38688, '1pprM02', NULL, NULL, 157, NULL, NULL, 18308),
(38689, '3iisM00', NULL, NULL, 151, NULL, NULL, 18308),
(38690, '1ug7A00', NULL, NULL, 128, NULL, NULL, 18309),
(38691, '2qgmA02', NULL, NULL, 72, NULL, NULL, 18310),
(38692, '3b55A02', NULL, NULL, 72, NULL, NULL, 18310),
(38693, '1l8dA00', NULL, NULL, 112, NULL, NULL, 18311),
(38694, '3tcqA01', NULL, NULL, 144, NULL, NULL, 18312),
(38695, '4lddA00', NULL, NULL, 159, NULL, NULL, 18312),
(38696, '1h2cA00', NULL, NULL, 140, NULL, NULL, 18312),
(38697, '5b0vA01', NULL, NULL, 150, NULL, NULL, 18312),
(38698, '2l0jA00', NULL, NULL, 44, NULL, NULL, 18313),
(38699, '2n70A00', NULL, NULL, 43, NULL, NULL, 18313),
(38700, '1odhA01', NULL, NULL, 71, NULL, NULL, 18314),
(38701, '3myvA03', NULL, NULL, 117, NULL, NULL, 18315),
(38702, '3ihvA03', NULL, NULL, 139, NULL, NULL, 18315),
(38703, '3kezA03', NULL, NULL, 117, NULL, NULL, 18315),
(38704, '3mcxA03', NULL, NULL, 127, NULL, NULL, 18315),
(38705, '6o9qA02', NULL, NULL, 315, NULL, NULL, 18316),
(38706, '3kb9A00', NULL, NULL, 346, NULL, NULL, 18316),
(38707, '3aq0B00', NULL, NULL, 348, NULL, NULL, 18316),
(38708, '3qkcA00', NULL, NULL, 273, NULL, NULL, 18316),
(38709, '3wjkA00', NULL, NULL, 337, NULL, NULL, 18316),
(38710, '3pdeD00', NULL, NULL, 309, NULL, NULL, 18316),
(38711, '2h8oA00', NULL, NULL, 303, NULL, NULL, 18316),
(38712, '2j5cA02', NULL, NULL, 329, NULL, NULL, 18316),
(38713, '4jxyA00', NULL, NULL, 345, NULL, NULL, 18316),
(38714, '1v4eA00', NULL, NULL, 299, NULL, NULL, 18316),
(38715, '3zcdA00', NULL, NULL, 296, NULL, NULL, 18316),
(38716, '3p41A00', NULL, NULL, 303, NULL, NULL, 18316),
(38717, '6b04C00', NULL, NULL, 341, NULL, NULL, 18316),
(38718, '3lomA00', NULL, NULL, 313, NULL, NULL, 18316),
(38719, '2q80A00', NULL, NULL, 301, NULL, NULL, 18316),
(38720, '3mzvA00', NULL, NULL, 341, NULL, NULL, 18316),
(38721, '3ts7B00', NULL, NULL, 324, NULL, NULL, 18316),
(38722, '4jxnA00', NULL, NULL, 334, NULL, NULL, 18316),
(38723, '1yyqB00', NULL, NULL, 354, NULL, NULL, 18316),
(38724, '5xn6D00', NULL, NULL, 304, NULL, NULL, 18316),
(38725, '1n1bB02', NULL, NULL, 313, NULL, NULL, 18316),
(38726, '3wcaA00', NULL, NULL, 341, NULL, NULL, 18316),
(38727, '1di1A00', NULL, NULL, 300, NULL, NULL, 18316),
(38728, '4omhB00', NULL, NULL, 294, NULL, NULL, 18316),
(38729, '1ubyA00', NULL, NULL, 348, NULL, NULL, 18316),
(38730, '1rtrA00', NULL, NULL, 301, NULL, NULL, 18316),
(38731, '4lfgA00', NULL, NULL, 290, NULL, NULL, 18316),
(38732, '3n0fA02', NULL, NULL, 316, NULL, NULL, 18316),
(38733, '2j1pB00', NULL, NULL, 293, NULL, NULL, 18316),
(38734, '4fjqA01', NULL, NULL, 367, NULL, NULL, 18316),
(38735, '5jfqB00', NULL, NULL, 322, NULL, NULL, 18316),
(38736, '5e8hA00', NULL, NULL, 312, NULL, NULL, 18316),
(38737, '3p8rA00', NULL, NULL, 302, NULL, NULL, 18316),
(38738, '2z4vA00', NULL, NULL, 340, NULL, NULL, 18316),
(38739, '4llsA00', NULL, NULL, 311, NULL, NULL, 18316),
(38740, '5e8kA00', NULL, NULL, 313, NULL, NULL, 18316),
(38741, '3vj8A00', NULL, NULL, 343, NULL, NULL, 18316),
(38742, '4fp4A00', NULL, NULL, 254, NULL, NULL, 18316),
(38743, '1yhlA00', NULL, NULL, 362, NULL, NULL, 18316),
(38744, '3m0gB00', NULL, NULL, 297, NULL, NULL, 18316),
(38745, '5jo7A02', NULL, NULL, 313, NULL, NULL, 18316),
(38746, '4wk5A00', NULL, NULL, 273, NULL, NULL, 18316),
(38747, '2ftzA00', NULL, NULL, 284, NULL, NULL, 18316),
(38748, '1wmwB00', NULL, NULL, 330, NULL, NULL, 18316),
(38749, '4nuaA00', NULL, NULL, 345, NULL, NULL, 18316),
(38750, '5hn9C00', NULL, NULL, 375, NULL, NULL, 18316),
(38751, '3we9A00', NULL, NULL, 274, NULL, NULL, 18316),
(38752, '3pkoB00', NULL, NULL, 334, NULL, NULL, 18316),
(38753, '5e8lB00', NULL, NULL, 309, NULL, NULL, 18316),
(38754, '5b02B01', NULL, NULL, 278, NULL, NULL, 18316),
(38755, '5i1uA00', NULL, NULL, 316, NULL, NULL, 18316),
(38756, '3nf2A00', NULL, NULL, 352, NULL, NULL, 18316),
(38757, '3lsnA00', NULL, NULL, 304, NULL, NULL, 18316),
(38758, '3rmgA00', NULL, NULL, 334, NULL, NULL, 18316);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(38759, '5xn5A00', NULL, NULL, 305, NULL, NULL, 18316),
(38760, '4okmD00', NULL, NULL, 348, NULL, NULL, 18316),
(38761, '1rqjA00', NULL, NULL, 299, NULL, NULL, 18316),
(38762, '4dhdA00', NULL, NULL, 337, NULL, NULL, 18316),
(38763, '3npkA00', NULL, NULL, 291, NULL, NULL, 18316),
(38764, '5dz2A00', NULL, NULL, 338, NULL, NULL, 18316),
(38765, '3tc1B00', NULL, NULL, 315, NULL, NULL, 18316),
(38766, '3aqbB00', NULL, NULL, 325, NULL, NULL, 18316),
(38767, '3acxA00', NULL, NULL, 293, NULL, NULL, 18316),
(38768, '5h9dA00', NULL, NULL, 319, NULL, NULL, 18316),
(38769, '3q1oA00', NULL, NULL, 310, NULL, NULL, 18316),
(38770, '3g4dA01', NULL, NULL, 369, NULL, NULL, 18316),
(38771, '3p8lA00', NULL, NULL, 302, NULL, NULL, 18316),
(38772, '4jzxA00', NULL, NULL, 362, NULL, NULL, 18316),
(38773, '3v1vA00', NULL, NULL, 325, NULL, NULL, 18316),
(38774, '3kroD00', NULL, NULL, 295, NULL, NULL, 18316),
(38775, '2azjA00', NULL, NULL, 289, NULL, NULL, 18316),
(38776, '3ucaA00', NULL, NULL, 291, NULL, NULL, 18316),
(38777, '4kwdA00', NULL, NULL, 314, NULL, NULL, 18316),
(38778, '5eroA00', NULL, NULL, 307, NULL, NULL, 18316),
(38779, '5ermB00', NULL, NULL, 343, NULL, NULL, 18316),
(38780, '4f62A00', NULL, NULL, 292, NULL, NULL, 18316),
(38781, '4kk2B00', NULL, NULL, 338, NULL, NULL, 18316),
(38782, '4lixA03', NULL, NULL, 279, NULL, NULL, 18316),
(38783, '4hd1A00', NULL, NULL, 264, NULL, NULL, 18316),
(38784, '3lk5A00', NULL, NULL, 380, NULL, NULL, 18316),
(38785, '4kkmB00', NULL, NULL, 298, NULL, NULL, 18316),
(38786, '3kraC00', NULL, NULL, 274, NULL, NULL, 18316),
(38787, '5nx5B00', NULL, NULL, 309, NULL, NULL, 18316),
(38788, '1ps1A00', NULL, NULL, 313, NULL, NULL, 18316),
(38789, '5uv2A02', NULL, NULL, 330, NULL, NULL, 18316),
(38790, '1wy0A00', NULL, NULL, 342, NULL, NULL, 18316),
(38791, '5c05B02', NULL, NULL, 313, NULL, NULL, 18316),
(38792, '3sdrA03', NULL, NULL, 316, NULL, NULL, 18316),
(38793, '3oyrB00', NULL, NULL, 328, NULL, NULL, 18316),
(38794, '4lobA00', NULL, NULL, 347, NULL, NULL, 18316),
(38795, '2ongA02', NULL, NULL, 313, NULL, NULL, 18316),
(38796, '3p5pA03', NULL, NULL, 320, NULL, NULL, 18316),
(38797, '6oh6A00', NULL, NULL, 320, NULL, NULL, 18316),
(38798, '3s9vB03', NULL, NULL, 312, NULL, NULL, 18316),
(38799, '3q2qA00', NULL, NULL, 332, NULL, NULL, 18316),
(38800, '5il3A01', NULL, NULL, 371, NULL, NULL, 18316),
(38801, '2q58B00', NULL, NULL, 346, NULL, NULL, 18316),
(38802, '5aypB00', NULL, NULL, 297, NULL, NULL, 18316),
(38803, '4zq8A00', NULL, NULL, 325, NULL, NULL, 18316),
(38804, '4mc3A00', NULL, NULL, 310, NULL, NULL, 18316),
(38805, '3ipiA00', NULL, NULL, 295, NULL, NULL, 18316),
(38806, '3dyhA00', NULL, NULL, 367, NULL, NULL, 18316),
(38807, '3tufB00', NULL, NULL, 158, NULL, NULL, 18317),
(38808, '5kvpA00', NULL, NULL, 159, NULL, NULL, 18317),
(38809, '1f3zA00', NULL, NULL, 161, NULL, NULL, 18317),
(38810, '3csqA02', NULL, NULL, 168, NULL, NULL, 18317),
(38811, '4qp5A00', NULL, NULL, 140, NULL, NULL, 18317),
(38812, '3ourB00', NULL, NULL, 150, NULL, NULL, 18317),
(38813, '5b0hA00', NULL, NULL, 135, NULL, NULL, 18317),
(38814, '1qwyA02', NULL, NULL, 174, NULL, NULL, 18317),
(38815, '4rnyA03', NULL, NULL, 132, NULL, NULL, 18317),
(38816, '2hsiB02', NULL, NULL, 159, NULL, NULL, 18317),
(38817, '2gu1A03', NULL, NULL, 132, NULL, NULL, 18317),
(38818, '2gprA00', NULL, NULL, 154, NULL, NULL, 18317),
(38819, '3it5G00', NULL, NULL, 182, NULL, NULL, 18317),
(38820, '4bh5A00', NULL, NULL, 142, NULL, NULL, 18317),
(38821, '3uz0B00', NULL, NULL, 152, NULL, NULL, 18317),
(38822, '1gprA00', NULL, NULL, 162, NULL, NULL, 18317),
(38823, '4zybA00', NULL, NULL, 134, NULL, NULL, 18317),
(38824, '5kqbA00', NULL, NULL, 145, NULL, NULL, 18317),
(38825, '3sluB03', NULL, NULL, 129, NULL, NULL, 18317),
(38826, '2e28A04', NULL, NULL, 112, NULL, NULL, 18318),
(38827, '2hwgA01', NULL, NULL, 99, NULL, NULL, 18318),
(38828, '3t05A04', NULL, NULL, 112, NULL, NULL, 18318),
(38829, '5jvjA05', NULL, NULL, 125, NULL, NULL, 18318),
(38830, '2hroA01', NULL, NULL, 101, NULL, NULL, 18318),
(38831, '2olsA03', NULL, NULL, 106, NULL, NULL, 18318);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(38832, '1vbhA05', NULL, NULL, 125, NULL, NULL, 18318),
(38833, '5woyA01', NULL, NULL, 120, NULL, NULL, 18318),
(38834, '1zymA01', NULL, NULL, 132, NULL, NULL, 18318),
(38835, '2x0sA05', NULL, NULL, 121, NULL, NULL, 18318),
(38836, '1kblA03', NULL, NULL, 125, NULL, NULL, 18318),
(38837, '2hi6A00', NULL, NULL, 141, NULL, NULL, 18318),
(38838, '1pbyC00', NULL, NULL, 79, NULL, NULL, 18319),
(38839, '1jmxG00', NULL, NULL, 79, NULL, NULL, 18319),
(38840, '3rsiB02', NULL, NULL, 135, NULL, NULL, 18320),
(38841, '2lw3A00', NULL, NULL, 90, NULL, NULL, 18321),
(38842, '4ei0A01', NULL, NULL, 151, NULL, NULL, 18322),
(38843, '5jxdA00', NULL, NULL, 198, NULL, NULL, 18323),
(38844, '4q9vA00', NULL, NULL, 186, NULL, NULL, 18323),
(38845, '3f4mA00', NULL, NULL, 161, NULL, NULL, 18323),
(38846, '6ccgB00', NULL, NULL, 73, NULL, NULL, 18324),
(38847, '6ogjA00', NULL, NULL, 82, NULL, NULL, 18324),
(38848, '6ogkA00', NULL, NULL, 99, NULL, NULL, 18324),
(38849, '5bt2A01', NULL, NULL, 64, NULL, NULL, 18324),
(38850, '2ky8A00', NULL, NULL, 72, NULL, NULL, 18324),
(38851, '6c1tA00', NULL, NULL, 79, NULL, NULL, 18324),
(38852, '1ub1A00', NULL, NULL, 133, NULL, NULL, 18324),
(38853, '3vxvA00', NULL, NULL, 69, NULL, NULL, 18324),
(38854, '4lg7A00', NULL, NULL, 68, NULL, NULL, 18324),
(38855, '6d1tA00', NULL, NULL, 79, NULL, NULL, 18324),
(38856, '5bnzA02', NULL, NULL, 109, NULL, NULL, 18325),
(38857, '3afhA02', NULL, NULL, 104, NULL, NULL, 18325),
(38858, '4griA02', NULL, NULL, 123, NULL, NULL, 18325),
(38859, '4p2bA02', NULL, NULL, 109, NULL, NULL, 18325),
(38860, '2o5rA02', NULL, NULL, 123, NULL, NULL, 18325),
(38861, '6b1pA02', NULL, NULL, 109, NULL, NULL, 18325),
(38862, '2hz7A02', NULL, NULL, 109, NULL, NULL, 18325),
(38863, '1j09A03', NULL, NULL, 116, NULL, NULL, 18325),
(38864, '2cfoA02', NULL, NULL, 120, NULL, NULL, 18325),
(38865, '1qtqA04', NULL, NULL, 109, NULL, NULL, 18325),
(38866, '6b1zA02', NULL, NULL, 129, NULL, NULL, 18325),
(38867, '5h4vA02', NULL, NULL, 109, NULL, NULL, 18325),
(38868, '2ja2A02', NULL, NULL, 120, NULL, NULL, 18325),
(38869, '2llmA00', NULL, NULL, 43, NULL, NULL, 18326),
(38870, '4m70B00', NULL, NULL, 99, NULL, NULL, 18327),
(38871, '4hynA00', NULL, NULL, 202, NULL, NULL, 18328),
(38872, '4hynB00', NULL, NULL, 202, NULL, NULL, 18328),
(38873, '3hzhB00', NULL, NULL, 172, NULL, NULL, 18328),
(38874, '4fhrA00', NULL, NULL, 187, NULL, NULL, 18328),
(38875, '3hm4A00', NULL, NULL, 156, NULL, NULL, 18328),
(38876, '3h4yA00', NULL, NULL, 156, NULL, NULL, 18328),
(38877, '4gc8B00', NULL, NULL, 190, NULL, NULL, 18328),
(38878, '3iicA00', NULL, NULL, 155, NULL, NULL, 18328),
(38879, '3iicB00', NULL, NULL, 155, NULL, NULL, 18328),
(38880, '3qtaB00', NULL, NULL, 199, NULL, NULL, 18328),
(38881, '1xkoB00', NULL, NULL, 159, NULL, NULL, 18328),
(38882, '1xkrA00', NULL, NULL, 206, NULL, NULL, 18328),
(38883, '3h2dA00', NULL, NULL, 155, NULL, NULL, 18328),
(38884, '3h2dB00', NULL, NULL, 155, NULL, NULL, 18328),
(38885, '3esmA00', NULL, NULL, 152, NULL, NULL, 18329),
(38886, '3kdrA02', NULL, NULL, 140, NULL, NULL, 18330),
(38887, '3hhyA01', NULL, NULL, 71, NULL, NULL, 18331),
(38888, '3sxuA00', NULL, NULL, 150, NULL, NULL, 18332),
(38889, '4gywA03', NULL, NULL, 207, NULL, NULL, 18333),
(38890, '2vsyA02', NULL, NULL, 227, NULL, NULL, 18333),
(38891, '5a01A02', NULL, NULL, 188, NULL, NULL, 18333),
(38892, '3q3eA02', NULL, NULL, 166, NULL, NULL, 18333),
(38893, '1ixmB02', NULL, NULL, 119, NULL, NULL, 18334),
(38894, '2fojA00', NULL, NULL, 155, NULL, NULL, 18335),
(38895, '5h9mA02', NULL, NULL, 133, NULL, NULL, 18335),
(38896, '4ca1B02', NULL, NULL, 134, NULL, NULL, 18335),
(38897, '4ysiA00', NULL, NULL, 143, NULL, NULL, 18335),
(38898, '1lb6A00', NULL, NULL, 160, NULL, NULL, 18335),
(38899, '3ivvA01', NULL, NULL, 138, NULL, NULL, 18335),
(38900, '1f3vB00', NULL, NULL, 171, NULL, NULL, 18335),
(38901, '3zjbA00', NULL, NULL, 197, NULL, NULL, 18335),
(38902, '2f1zB01', NULL, NULL, 152, NULL, NULL, 18335),
(38903, '4ghuA00', NULL, NULL, 198, NULL, NULL, 18335),
(38904, '6mydA00', NULL, NULL, 157, NULL, NULL, 18335);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(38905, '4gwmB03', NULL, NULL, 164, NULL, NULL, 18335),
(38906, '5e1tC00', NULL, NULL, 197, NULL, NULL, 18335),
(38907, '4gjhA00', NULL, NULL, 178, NULL, NULL, 18335),
(38908, '1xaxA00', NULL, NULL, 154, NULL, NULL, 18336),
(38909, '1tviA00', NULL, NULL, 150, NULL, NULL, 18336),
(38910, '1oz9A00', NULL, NULL, 150, NULL, NULL, 18336),
(38911, '1xm5C00', NULL, NULL, 155, NULL, NULL, 18336),
(38912, '1vicA00', NULL, NULL, 262, NULL, NULL, 18337),
(38913, '5vctA00', NULL, NULL, 302, NULL, NULL, 18337),
(38914, '4jd0A00', NULL, NULL, 251, NULL, NULL, 18337),
(38915, '4jisA00', NULL, NULL, 247, NULL, NULL, 18337),
(38916, '6ckmA00', NULL, NULL, 228, NULL, NULL, 18337),
(38917, '4y7uA00', NULL, NULL, 231, NULL, NULL, 18337),
(38918, '5ddtA00', NULL, NULL, 232, NULL, NULL, 18337),
(38919, '3k8dA00', NULL, NULL, 247, NULL, NULL, 18337),
(38920, '2ux8B00', NULL, NULL, 297, NULL, NULL, 18337),
(38921, '1qwjB00', NULL, NULL, 229, NULL, NULL, 18337),
(38922, '1e5kA00', NULL, NULL, 201, NULL, NULL, 18337),
(38923, '4d48A00', NULL, NULL, 302, NULL, NULL, 18337),
(38924, '3jukA00', NULL, NULL, 281, NULL, NULL, 18337),
(38925, '2i5kA01', NULL, NULL, 376, NULL, NULL, 18337),
(38926, '1yp2D01', NULL, NULL, 316, NULL, NULL, 18337),
(38927, '4p02A02', NULL, NULL, 242, NULL, NULL, 18337),
(38928, '3ngwA00', NULL, NULL, 208, NULL, NULL, 18337),
(38929, '5j49A00', NULL, NULL, 301, NULL, NULL, 18337),
(38930, '2d0jA00', NULL, NULL, 246, NULL, NULL, 18337),
(38931, '4irqC00', NULL, NULL, 251, NULL, NULL, 18337),
(38932, '2i5eA01', NULL, NULL, 168, NULL, NULL, 18337),
(38933, '1jv1B01', NULL, NULL, 437, NULL, NULL, 18337),
(38934, '6b5kB00', NULL, NULL, 296, NULL, NULL, 18337),
(38935, '2qh5B00', NULL, NULL, 268, NULL, NULL, 18337),
(38936, '3zf8A00', NULL, NULL, 305, NULL, NULL, 18337),
(38937, '3f1yA00', NULL, NULL, 326, NULL, NULL, 18337),
(38938, '2wawA00', NULL, NULL, 199, NULL, NULL, 18337),
(38939, '2nxvA01', NULL, NULL, 233, NULL, NULL, 18337),
(38940, '3d5nA00', NULL, NULL, 178, NULL, NULL, 18337),
(38941, '3ogzA01', NULL, NULL, 472, NULL, NULL, 18337),
(38942, '1tzfA00', NULL, NULL, 259, NULL, NULL, 18337),
(38943, '1fgxA00', NULL, NULL, 272, NULL, NULL, 18337),
(38944, '3tztA00', NULL, NULL, 272, NULL, NULL, 18337),
(38945, '5nzgA01', NULL, NULL, 379, NULL, NULL, 18337),
(38946, '3oc9A00', NULL, NULL, 405, NULL, NULL, 18337),
(38947, '3tqdA00', NULL, NULL, 256, NULL, NULL, 18337),
(38948, '1jykA00', NULL, NULL, 232, NULL, NULL, 18337),
(38949, '3rsbB00', NULL, NULL, 196, NULL, NULL, 18337),
(38950, '1iimA00', NULL, NULL, 292, NULL, NULL, 18337),
(38951, '5wegB01', NULL, NULL, 366, NULL, NULL, 18337),
(38952, '3u2uA00', NULL, NULL, 263, NULL, NULL, 18337),
(38953, '1hv9B01', NULL, NULL, 248, NULL, NULL, 18337),
(38954, '3i0gA00', NULL, NULL, 287, NULL, NULL, 18337),
(38955, '4kt7A00', NULL, NULL, 237, NULL, NULL, 18337),
(38956, '3cgxA00', NULL, NULL, 242, NULL, NULL, 18337),
(38957, '3ckjA00', NULL, NULL, 329, NULL, NULL, 18337),
(38958, '2vshA00', NULL, NULL, 236, NULL, NULL, 18337),
(38959, '2yqcA01', NULL, NULL, 450, NULL, NULL, 18337),
(38960, '5vmkA01', NULL, NULL, 232, NULL, NULL, 18337),
(38961, '2z86D02', NULL, NULL, 281, NULL, NULL, 18337),
(38962, '2yc3A00', NULL, NULL, 228, NULL, NULL, 18337),
(38963, '4g3qA01', NULL, NULL, 269, NULL, NULL, 18337),
(38964, '2ggoA01', NULL, NULL, 210, NULL, NULL, 18337),
(38965, '4evwA00', NULL, NULL, 255, NULL, NULL, 18337),
(38966, '1g9rA00', NULL, NULL, 282, NULL, NULL, 18337),
(38967, '2wvlB00', NULL, NULL, 391, NULL, NULL, 18337),
(38968, '3gueB01', NULL, NULL, 375, NULL, NULL, 18337),
(38969, '3cu0A00', NULL, NULL, 261, NULL, NULL, 18337),
(38970, '5ajoA01', NULL, NULL, 363, NULL, NULL, 18337),
(38971, '1mc3A00', NULL, NULL, 296, NULL, NULL, 18337),
(38972, '4ho4A00', NULL, NULL, 297, NULL, NULL, 18337),
(38973, '2icyA01', NULL, NULL, 359, NULL, NULL, 18337),
(38974, '1lvwD00', NULL, NULL, 295, NULL, NULL, 18337),
(38975, '2xwlB00', NULL, NULL, 223, NULL, NULL, 18337),
(38976, '2weeB00', NULL, NULL, 197, NULL, NULL, 18337),
(38977, '1xhbA01', NULL, NULL, 257, NULL, NULL, 18337);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(38978, '5i1fA00', NULL, NULL, 302, NULL, NULL, 18337),
(38979, '1h7eA00', NULL, NULL, 245, NULL, NULL, 18337),
(38980, '2xmeF00', NULL, NULL, 232, NULL, NULL, 18337),
(38981, '4ecmA00', NULL, NULL, 250, NULL, NULL, 18337),
(38982, '3r3iC01', NULL, NULL, 369, NULL, NULL, 18337),
(38983, '2dpwA00', NULL, NULL, 232, NULL, NULL, 18337),
(38984, '4uegB00', NULL, NULL, 263, NULL, NULL, 18337),
(38985, '2e8bA00', NULL, NULL, 201, NULL, NULL, 18337),
(38986, '6g9vA01', NULL, NULL, 440, NULL, NULL, 18337),
(38987, '1w55A01', NULL, NULL, 208, NULL, NULL, 18337),
(38988, '4fceA01', NULL, NULL, 230, NULL, NULL, 18337),
(38989, '4cvhA01', NULL, NULL, 241, NULL, NULL, 18337),
(38990, '4aylA00', NULL, NULL, 246, NULL, NULL, 18337),
(38991, '1h5rA00', NULL, NULL, 293, NULL, NULL, 18337),
(38992, '4mybA00', NULL, NULL, 228, NULL, NULL, 18337),
(38993, '4fcuA00', NULL, NULL, 253, NULL, NULL, 18337),
(38994, '2fy7A00', NULL, NULL, 287, NULL, NULL, 18337),
(38995, '2z86D01', NULL, NULL, 344, NULL, NULL, 18337),
(38996, '2bo4A01', NULL, NULL, 193, NULL, NULL, 18337),
(38997, '1i52A00', NULL, NULL, 236, NULL, NULL, 18337),
(38998, '2d7iA01', NULL, NULL, 386, NULL, NULL, 18337),
(38999, '3f1cB00', NULL, NULL, 246, NULL, NULL, 18337),
(39000, '1vm8B01', NULL, NULL, 449, NULL, NULL, 18337),
(39001, '5l6vI01', NULL, NULL, 300, NULL, NULL, 18337),
(39002, '1ll3A00', NULL, NULL, 266, NULL, NULL, 18337),
(39003, '1hm9A01', NULL, NULL, 260, NULL, NULL, 18337),
(39004, '3bcvA00', NULL, NULL, 218, NULL, NULL, 18337),
(39005, '1o7qA00', NULL, NULL, 289, NULL, NULL, 18337),
(39006, '3brkX01', NULL, NULL, 293, NULL, NULL, 18337),
(39007, '1vgwB00', NULL, NULL, 231, NULL, NULL, 18337),
(39008, '4d11F00', NULL, NULL, 287, NULL, NULL, 18337),
(39009, '3lw6A00', NULL, NULL, 241, NULL, NULL, 18337),
(39010, '6n0uD00', NULL, NULL, 305, NULL, NULL, 18337),
(39011, '3jtjA00', NULL, NULL, 253, NULL, NULL, 18337),
(39012, '5idsC00', NULL, NULL, 302, NULL, NULL, 18337),
(39013, '2e3dD00', NULL, NULL, 302, NULL, NULL, 18337),
(39014, '5ifyC00', NULL, NULL, 305, NULL, NULL, 18337),
(39015, '2x65A00', NULL, NULL, 336, NULL, NULL, 18337),
(39016, '4decA00', NULL, NULL, 306, NULL, NULL, 18337),
(39017, '1v84A00', NULL, NULL, 253, NULL, NULL, 18337),
(39018, '2cu2A00', NULL, NULL, 337, NULL, NULL, 18337),
(39019, '2p6wA00', NULL, NULL, 213, NULL, NULL, 18337),
(39020, '2zu9B00', NULL, NULL, 394, NULL, NULL, 18337),
(39021, '1omzB00', NULL, NULL, 269, NULL, NULL, 18337),
(39022, '3iohA00', NULL, NULL, 298, NULL, NULL, 18337),
(39023, '4zdqA00', NULL, NULL, 241, NULL, NULL, 18337),
(39024, '3oamA00', NULL, NULL, 252, NULL, NULL, 18337),
(39025, '4xwiA00', NULL, NULL, 262, NULL, NULL, 18337),
(39026, '2v0hA01', NULL, NULL, 227, NULL, NULL, 18337),
(39027, '2px7A00', NULL, NULL, 213, NULL, NULL, 18337),
(39028, '1vpaA00', NULL, NULL, 234, NULL, NULL, 18337),
(39029, '2pa4A00', NULL, NULL, 305, NULL, NULL, 18337),
(39030, '2apcA01', NULL, NULL, 226, NULL, NULL, 18337),
(39031, '3q80A00', NULL, NULL, 231, NULL, NULL, 18337),
(39032, '1s4nB00', NULL, NULL, 348, NULL, NULL, 18337),
(39033, '1yroB00', NULL, NULL, 286, NULL, NULL, 18337),
(39034, '3pnnA00', NULL, NULL, 303, NULL, NULL, 18337),
(39035, '5fuhD00', NULL, NULL, 303, NULL, NULL, 18337),
(39036, '1qg8A00', NULL, NULL, 255, NULL, NULL, 18337),
(39037, '4bqhA00', NULL, NULL, 549, NULL, NULL, 18337),
(39038, '2y6pB00', NULL, NULL, 234, NULL, NULL, 18337),
(39039, '1f35A00', NULL, NULL, 162, NULL, NULL, 18338),
(39040, '4qclA01', NULL, NULL, 88, NULL, NULL, 18339),
(39041, '4fvmA01', NULL, NULL, 82, NULL, NULL, 18339),
(39042, '3iayA01', NULL, NULL, 98, NULL, NULL, 18339),
(39043, '4fxdA01', NULL, NULL, 91, NULL, NULL, 18339),
(39044, '4esuA01', NULL, NULL, 168, NULL, NULL, 18340),
(39045, '4ervA01', NULL, NULL, 166, NULL, NULL, 18340),
(39046, '4etvA01', NULL, NULL, 166, NULL, NULL, 18340),
(39047, '2qg8A00', NULL, NULL, 163, NULL, NULL, 18341),
(39048, '5xu7A00', NULL, NULL, 126, NULL, NULL, 18341),
(39049, '1qr0A01', NULL, NULL, 125, NULL, NULL, 18341),
(39050, '1qr0A02', NULL, NULL, 103, NULL, NULL, 18341);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(39051, '2cg5A01', NULL, NULL, 157, NULL, NULL, 18341),
(39052, '5cxdB01', NULL, NULL, 120, NULL, NULL, 18341),
(39053, '1fthA00', NULL, NULL, 122, NULL, NULL, 18341),
(39054, '3hykA00', NULL, NULL, 122, NULL, NULL, 18341),
(39055, '5suvC00', NULL, NULL, 126, NULL, NULL, 18341),
(39056, '2c43A01', NULL, NULL, 145, NULL, NULL, 18341),
(39057, '1f7lA00', NULL, NULL, 121, NULL, NULL, 18341),
(39058, '2c43A02', NULL, NULL, 125, NULL, NULL, 18341),
(39059, '3qmnS00', NULL, NULL, 129, NULL, NULL, 18341),
(39060, '4hc6A00', NULL, NULL, 129, NULL, NULL, 18341),
(39061, '2wdsA00', NULL, NULL, 123, NULL, NULL, 18341),
(39062, '3nfdD00', NULL, NULL, 153, NULL, NULL, 18341),
(39063, '3gwmA00', NULL, NULL, 129, NULL, NULL, 18341),
(39064, '5xukA00', NULL, NULL, 119, NULL, NULL, 18341),
(39065, '2wasB00', NULL, NULL, 122, NULL, NULL, 18341),
(39066, '2wzpP02', NULL, NULL, 26, NULL, NULL, 18342),
(39067, '4co9A00', NULL, NULL, 211, NULL, NULL, 18343),
(39068, '4cobA00', NULL, NULL, 215, NULL, NULL, 18343),
(39069, '2b0aA00', NULL, NULL, 186, NULL, NULL, 18343),
(39070, '4cogA00', NULL, NULL, 215, NULL, NULL, 18343),
(39071, '5nmpB00', NULL, NULL, 265, NULL, NULL, 18343),
(39072, '4m8dA00', NULL, NULL, 263, NULL, NULL, 18343),
(39073, '1r61A00', NULL, NULL, 207, NULL, NULL, 18343),
(39074, '5nnaA00', NULL, NULL, 264, NULL, NULL, 18343),
(39075, '3pufL00', NULL, NULL, 135, NULL, NULL, 18344),
(39076, '3kioC01', NULL, NULL, 93, NULL, NULL, 18344),
(39077, '3p5jC01', NULL, NULL, 92, NULL, NULL, 18344),
(39078, '2nnuA02', NULL, NULL, 100, NULL, NULL, 18345),
(39079, '1tueG02', NULL, NULL, 94, NULL, NULL, 18345),
(39080, '1qqhA00', NULL, NULL, 144, NULL, NULL, 18345),
(39081, '2jexA02', NULL, NULL, 111, NULL, NULL, 18345),
(39082, '1r6nA02', NULL, NULL, 107, NULL, NULL, 18345),
(39083, '3g1jA00', NULL, NULL, 93, NULL, NULL, 18346),
(39084, '2r7rA03', NULL, NULL, 76, NULL, NULL, 18347),
(39085, '1qexA03', NULL, NULL, 114, NULL, NULL, 18348),
(39086, '2wvoA00', NULL, NULL, 233, NULL, NULL, 18349),
(39087, '2wvqA00', NULL, NULL, 225, NULL, NULL, 18349),
(39088, '2wvnA01', NULL, NULL, 225, NULL, NULL, 18349),
(39089, '2dbsA00', NULL, NULL, 90, NULL, NULL, 18350),
(39090, '3onqA01', NULL, NULL, 50, NULL, NULL, 18351),
(39091, '3onqD01', NULL, NULL, 30, NULL, NULL, 18351),
(39092, '3onqB01', NULL, NULL, 50, NULL, NULL, 18351),
(39093, '3onqC01', NULL, NULL, 31, NULL, NULL, 18351),
(39094, '4cgkA01', NULL, NULL, 214, NULL, NULL, 18352),
(39095, '3mp6A05', NULL, NULL, 72, NULL, NULL, 18353),
(39096, '2m0oA00', NULL, NULL, 79, NULL, NULL, 18353),
(39097, '2e6nA00', NULL, NULL, 104, NULL, NULL, 18353),
(39098, '2eqjA00', NULL, NULL, 66, NULL, NULL, 18353),
(39099, '2g3rA01', NULL, NULL, 58, NULL, NULL, 18353),
(39100, '4hczA00', NULL, NULL, 58, NULL, NULL, 18353),
(39101, '3meuB02', NULL, NULL, 76, NULL, NULL, 18353),
(39102, '5ygbA02', NULL, NULL, 80, NULL, NULL, 18353),
(39103, '2qqrA01', NULL, NULL, 65, NULL, NULL, 18353),
(39104, '2hqxA01', NULL, NULL, 81, NULL, NULL, 18353),
(39105, '3oq5A01', NULL, NULL, 113, NULL, NULL, 18353),
(39106, '4ld6A00', NULL, NULL, 117, NULL, NULL, 18353),
(39107, '5c6sA01', NULL, NULL, 120, NULL, NULL, 18353),
(39108, '1oz2A03', NULL, NULL, 108, NULL, NULL, 18353),
(39109, '5vqhA02', NULL, NULL, 80, NULL, NULL, 18353),
(39110, '3m9qB00', NULL, NULL, 101, NULL, NULL, 18353),
(39111, '3pnwL00', NULL, NULL, 61, NULL, NULL, 18353),
(39112, '4c5eA03', NULL, NULL, 115, NULL, NULL, 18353),
(39113, '4c5eA04', NULL, NULL, 78, NULL, NULL, 18353),
(39114, '4pliA00', NULL, NULL, 59, NULL, NULL, 18353),
(39115, '6a7kA00', NULL, NULL, 74, NULL, NULL, 18353),
(39116, '2ckkA01', NULL, NULL, 53, NULL, NULL, 18353),
(39117, '3kufA02', NULL, NULL, 86, NULL, NULL, 18353),
(39118, '4c5eA01', NULL, NULL, 153, NULL, NULL, 18353),
(39119, '3lx7A01', NULL, NULL, 58, NULL, NULL, 18353),
(39120, '4rg2B01', NULL, NULL, 57, NULL, NULL, 18353),
(39121, '3askA01', NULL, NULL, 68, NULL, NULL, 18353),
(39122, '2mamA00', NULL, NULL, 118, NULL, NULL, 18353),
(39123, '1wjrA00', NULL, NULL, 127, NULL, NULL, 18353),
(39124, '2xk0A00', NULL, NULL, 69, NULL, NULL, 18353);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(39125, '2xdpA01', NULL, NULL, 69, NULL, NULL, 18353),
(39126, '3pmiA01', NULL, NULL, 65, NULL, NULL, 18353),
(39127, '4ovaA01', NULL, NULL, 53, NULL, NULL, 18353),
(39128, '4ii1A02', NULL, NULL, 56, NULL, NULL, 18353),
(39129, '6bybA02', NULL, NULL, 101, NULL, NULL, 18353),
(39130, '3pmtA00', NULL, NULL, 59, NULL, NULL, 18353),
(39131, '2l89A00', NULL, NULL, 108, NULL, NULL, 18353),
(39132, '3ntkA02', NULL, NULL, 80, NULL, NULL, 18353),
(39133, '2k3yA01', NULL, NULL, 117, NULL, NULL, 18353),
(39134, '2f5kA01', NULL, NULL, 50, NULL, NULL, 18353),
(39135, '3vytA00', NULL, NULL, 53, NULL, NULL, 18353),
(39136, '5j39A02', NULL, NULL, 70, NULL, NULL, 18353),
(39137, '1wjsA00', NULL, NULL, 127, NULL, NULL, 18353),
(39138, '2digA00', NULL, NULL, 68, NULL, NULL, 18353),
(39139, '2e5qA00', NULL, NULL, 63, NULL, NULL, 18353),
(39140, '3qbyB00', NULL, NULL, 94, NULL, NULL, 18353),
(39141, '4iupA02', NULL, NULL, 73, NULL, NULL, 18353),
(39142, '2eqmA01', NULL, NULL, 53, NULL, NULL, 18353),
(39143, '3oa6A01', NULL, NULL, 60, NULL, NULL, 18353),
(39144, '3ceyB01', NULL, NULL, 146, NULL, NULL, 18353),
(39145, '3oymA02', NULL, NULL, 70, NULL, NULL, 18353),
(39146, '2budA00', NULL, NULL, 92, NULL, NULL, 18353),
(39147, '2m1hA00', NULL, NULL, 118, NULL, NULL, 18353),
(39148, '2equA00', NULL, NULL, 74, NULL, NULL, 18353),
(39149, '2bivA01', NULL, NULL, 108, NULL, NULL, 18353),
(39150, '2r58A01', NULL, NULL, 111, NULL, NULL, 18353),
(39151, '3o8vA01', NULL, NULL, 45, NULL, NULL, 18353),
(39152, '2ot2A01', NULL, NULL, 59, NULL, NULL, 18353),
(39153, '1ssfA01', NULL, NULL, 62, NULL, NULL, 18353),
(39154, '2fhdA01', NULL, NULL, 63, NULL, NULL, 18353),
(39155, '1ri0A01', NULL, NULL, 81, NULL, NULL, 18353),
(39156, '1khcA01', NULL, NULL, 65, NULL, NULL, 18353),
(39157, '2r58A02', NULL, NULL, 104, NULL, NULL, 18353),
(39158, '3feoB03', NULL, NULL, 107, NULL, NULL, 18353),
(39159, '3feoB01', NULL, NULL, 151, NULL, NULL, 18353),
(39160, '3feoB02', NULL, NULL, 96, NULL, NULL, 18353),
(39161, '5d6wA01', NULL, NULL, 66, NULL, NULL, 18353),
(39162, '3c4sA00', NULL, NULL, 66, NULL, NULL, 18353),
(39163, '4qw2B02', NULL, NULL, 68, NULL, NULL, 18353),
(39164, '3goxA01', NULL, NULL, 51, NULL, NULL, 18353),
(39165, '1h3zA00', NULL, NULL, 109, NULL, NULL, 18353),
(39166, '3d3rA00', NULL, NULL, 103, NULL, NULL, 18353),
(39167, '3ceyB02', NULL, NULL, 104, NULL, NULL, 18353),
(39168, '2lrqA00', NULL, NULL, 85, NULL, NULL, 18353),
(39169, '3pfsB00', NULL, NULL, 134, NULL, NULL, 18353),
(39170, '3p8dA00', NULL, NULL, 67, NULL, NULL, 18353),
(39171, '1wjqA01', NULL, NULL, 78, NULL, NULL, 18353),
(39172, '2l8dA00', NULL, NULL, 66, NULL, NULL, 18353),
(39173, '2rhyA01', NULL, NULL, 107, NULL, NULL, 18353),
(39174, '3fdrA00', NULL, NULL, 94, NULL, NULL, 18353),
(39175, '3sd4A00', NULL, NULL, 69, NULL, NULL, 18353),
(39176, '3h8zA01', NULL, NULL, 48, NULL, NULL, 18353),
(39177, '6bogA01', NULL, NULL, 53, NULL, NULL, 18353),
(39178, '6bhdA01', NULL, NULL, 60, NULL, NULL, 18353),
(39179, '3qiiA00', NULL, NULL, 65, NULL, NULL, 18353),
(39180, '4c5eC02', NULL, NULL, 105, NULL, NULL, 18353),
(39181, '4c5iA04', NULL, NULL, 79, NULL, NULL, 18353),
(39182, '4b9wA02', NULL, NULL, 56, NULL, NULL, 18353),
(39183, '2eqkA01', NULL, NULL, 73, NULL, NULL, 18353),
(39184, '2z1cB00', NULL, NULL, 75, NULL, NULL, 18353),
(39185, '6bhdA03', NULL, NULL, 67, NULL, NULL, 18353),
(39186, '3h8zA02', NULL, NULL, 80, NULL, NULL, 18353),
(39187, '2wacA02', NULL, NULL, 91, NULL, NULL, 18353),
(39188, '2ltoA00', NULL, NULL, 58, NULL, NULL, 18353),
(39189, '4qq6A00', NULL, NULL, 67, NULL, NULL, 18353),
(39190, '5in1A01', NULL, NULL, 50, NULL, NULL, 18353),
(39191, '2daqA00', NULL, NULL, 110, NULL, NULL, 18353),
(39192, '6bphA00', NULL, NULL, 69, NULL, NULL, 18353),
(39193, '3ut1A02', NULL, NULL, 104, NULL, NULL, 18353),
(39194, '3ut1A03', NULL, NULL, 108, NULL, NULL, 18353),
(39195, '2jtfA00', NULL, NULL, 83, NULL, NULL, 18353),
(39196, '3ut1A01', NULL, NULL, 112, NULL, NULL, 18353),
(39197, '1oyxA01', NULL, NULL, 119, NULL, NULL, 18353),
(39198, '4ns5A02', NULL, NULL, 105, NULL, NULL, 18353);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(39199, '2p0kA01', NULL, NULL, 108, NULL, NULL, 18353),
(39200, '2p0kA02', NULL, NULL, 104, NULL, NULL, 18353),
(39201, '3e9fA00', NULL, NULL, 121, NULL, NULL, 18353),
(39202, '3llrB01', NULL, NULL, 74, NULL, NULL, 18353),
(39203, '4qqdB01', NULL, NULL, 85, NULL, NULL, 18353),
(39204, '3f70A04', NULL, NULL, 78, NULL, NULL, 18353),
(39205, '4fu6A00', NULL, NULL, 109, NULL, NULL, 18353),
(39206, '2efiA00', NULL, NULL, 100, NULL, NULL, 18353),
(39207, '4z02B01', NULL, NULL, 118, NULL, NULL, 18353),
(39208, '3ceyA03', NULL, NULL, 106, NULL, NULL, 18353),
(39209, '4a4fA00', NULL, NULL, 64, NULL, NULL, 18353),
(39210, '5yj8A00', NULL, NULL, 60, NULL, NULL, 18353),
(39211, '3f70A02', NULL, NULL, 72, NULL, NULL, 18353),
(39212, '2ekoA00', NULL, NULL, 87, NULL, NULL, 18353),
(39213, '2m16A00', NULL, NULL, 97, NULL, NULL, 18353),
(39214, '4uc4A01', NULL, NULL, 64, NULL, NULL, 18353),
(39215, '5kcoA01', NULL, NULL, 70, NULL, NULL, 18353),
(39216, '3pnwO00', NULL, NULL, 77, NULL, NULL, 18353),
(39217, '4qqgG00', NULL, NULL, 81, NULL, NULL, 18353),
(39218, '1wgsA00', NULL, NULL, 133, NULL, NULL, 18353),
(39219, '2gfuA00', NULL, NULL, 134, NULL, NULL, 18353),
(39220, '2yrvA01', NULL, NULL, 113, NULL, NULL, 18353),
(39221, '2bivC02', NULL, NULL, 104, NULL, NULL, 18353),
(39222, '3zehA00', NULL, NULL, 105, NULL, NULL, 18353),
(39223, '4q5wA02', NULL, NULL, 85, NULL, NULL, 18353),
(39224, '1n27A00', NULL, NULL, 96, NULL, NULL, 18353),
(39225, '2vugA04', NULL, NULL, 90, NULL, NULL, 18354),
(39226, '1t6t200', NULL, NULL, 118, NULL, NULL, 18355),
(39227, '4edgA02', NULL, NULL, 125, NULL, NULL, 18355),
(39228, '1vddA03', NULL, NULL, 92, NULL, NULL, 18355),
(39229, '1dd9A02', NULL, NULL, 127, NULL, NULL, 18355),
(39230, '5z2vA01', NULL, NULL, 93, NULL, NULL, 18355),
(39231, '2q2eA02', NULL, NULL, 224, NULL, NULL, 18355),
(39232, '2fcjB00', NULL, NULL, 119, NULL, NULL, 18355),
(39233, '5zvqA01', NULL, NULL, 92, NULL, NULL, 18355),
(39234, '1q57G02', NULL, NULL, 126, NULL, NULL, 18355),
(39235, '2zbkA02', NULL, NULL, 231, NULL, NULL, 18355),
(39236, '3ve5A03', NULL, NULL, 122, NULL, NULL, 18355),
(39237, '2au3A03', NULL, NULL, 124, NULL, NULL, 18355),
(39238, '5gujA02', NULL, NULL, 125, NULL, NULL, 18355),
(39239, '1d3yB02', NULL, NULL, 226, NULL, NULL, 18355),
(39240, '3vdpA03', NULL, NULL, 94, NULL, NULL, 18355),
(39241, '5vazA02', NULL, NULL, 128, NULL, NULL, 18355),
(39242, '6g94A00', NULL, NULL, 207, NULL, NULL, 18356),
(39243, '1kqfC00', NULL, NULL, 217, NULL, NULL, 18356),
(39244, '1y5iC01', NULL, NULL, 216, NULL, NULL, 18356),
(39245, '3vtiA07', NULL, NULL, 147, NULL, NULL, 18357),
(39246, '1u5tA01', NULL, NULL, 67, NULL, NULL, 18358),
(39247, '3kp1E01', NULL, NULL, 44, NULL, NULL, 18359),
(39248, '3kr9A02', NULL, NULL, 64, NULL, NULL, 18360),
(39249, '3gnlB02', NULL, NULL, 76, NULL, NULL, 18360),
(39250, '3lecA02', NULL, NULL, 63, NULL, NULL, 18360),
(39251, '2kwpA00', NULL, NULL, 129, NULL, NULL, 18361),
(39252, '2mt4A00', NULL, NULL, 124, NULL, NULL, 18361),
(39253, '4mtnA01', NULL, NULL, 100, NULL, NULL, 18361),
(39254, '1k0rA01', NULL, NULL, 99, NULL, NULL, 18361),
(39255, '1hh2P01', NULL, NULL, 125, NULL, NULL, 18361),
(39256, '2ixsA01', NULL, NULL, 160, NULL, NULL, 18362),
(39257, '2kjyA00', NULL, NULL, 60, NULL, NULL, 18363),
(39258, '1r7lA00', NULL, NULL, 110, NULL, NULL, 18364),
(39259, '6bn1A00', NULL, NULL, 57, NULL, NULL, 18365),
(39260, '3kypE01', NULL, NULL, 45, NULL, NULL, 18365),
(39261, '3zy1A00', NULL, NULL, 46, NULL, NULL, 18365),
(39262, '5hobA00', NULL, NULL, 50, NULL, NULL, 18365),
(39263, '4a9zB00', NULL, NULL, 61, NULL, NULL, 18365),
(39264, '3wwsA00', NULL, NULL, 51, NULL, NULL, 18365),
(39265, '3wwsB00', NULL, NULL, 49, NULL, NULL, 18365),
(39266, '4l0nJ00', NULL, NULL, 51, NULL, NULL, 18365),
(39267, '3wwsC00', NULL, NULL, 49, NULL, NULL, 18365),
(39268, '4d1lD00', NULL, NULL, 48, NULL, NULL, 18365),
(39269, '2mw4A00', NULL, NULL, 47, NULL, NULL, 18365),
(39270, '1olgA00', NULL, NULL, 42, NULL, NULL, 18365),
(39271, '3wwsD00', NULL, NULL, 49, NULL, NULL, 18365),
(39272, '2wqiA00', NULL, NULL, 51, NULL, NULL, 18365);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(39273, '4hkdC00', NULL, NULL, 53, NULL, NULL, 18365),
(39274, '4hkdD00', NULL, NULL, 53, NULL, NULL, 18365),
(39275, '4hkdA00', NULL, NULL, 53, NULL, NULL, 18365),
(39276, '4hkdB00', NULL, NULL, 53, NULL, NULL, 18365),
(39277, '4nr2B00', NULL, NULL, 51, NULL, NULL, 18365),
(39278, '1qveB00', NULL, NULL, 126, NULL, NULL, 18366),
(39279, '4v1jA00', NULL, NULL, 142, NULL, NULL, 18366),
(39280, '3fu1A01', NULL, NULL, 109, NULL, NULL, 18366),
(39281, '3g20A01', NULL, NULL, 116, NULL, NULL, 18366),
(39282, '3jyzA00', NULL, NULL, 150, NULL, NULL, 18366),
(39283, '3gn9A01', NULL, NULL, 109, NULL, NULL, 18366),
(39284, '2hi2A00', NULL, NULL, 158, NULL, NULL, 18366),
(39285, '3sokB00', NULL, NULL, 151, NULL, NULL, 18366),
(39286, '2kepA01', NULL, NULL, 108, NULL, NULL, 18366),
(39287, '3sojB00', NULL, NULL, 115, NULL, NULL, 18366),
(39288, '1oqwA00', NULL, NULL, 144, NULL, NULL, 18366),
(39289, '1t92A01', NULL, NULL, 100, NULL, NULL, 18366),
(39290, '5jw8A00', NULL, NULL, 137, NULL, NULL, 18366),
(39291, '1x6zA00', NULL, NULL, 123, NULL, NULL, 18366),
(39292, '1x3lA02', NULL, NULL, 245, NULL, NULL, 18367),
(39293, '2b8nA02', NULL, NULL, 227, NULL, NULL, 18367),
(39294, '1pvtA00', NULL, NULL, 238, NULL, NULL, 18368),
(39295, '2fk5A00', NULL, NULL, 200, NULL, NULL, 18368),
(39296, '2v9lA00', NULL, NULL, 274, NULL, NULL, 18368),
(39297, '1k0wA00', NULL, NULL, 231, NULL, NULL, 18368),
(39298, '3m4rA01', NULL, NULL, 208, NULL, NULL, 18368),
(39299, '2opiB00', NULL, NULL, 212, NULL, NULL, 18368),
(39300, '2irpA00', NULL, NULL, 208, NULL, NULL, 18368),
(39301, '2z7bA00', NULL, NULL, 237, NULL, NULL, 18368),
(39302, '1e4cP00', NULL, NULL, 215, NULL, NULL, 18368),
(39303, '3ocrB00', NULL, NULL, 253, NULL, NULL, 18368),
(39304, '6btdA00', NULL, NULL, 203, NULL, NULL, 18368),
(39305, '2pb9A00', NULL, NULL, 195, NULL, NULL, 18368),
(39306, '4xxfA00', NULL, NULL, 258, NULL, NULL, 18368),
(39307, '4c24A00', NULL, NULL, 217, NULL, NULL, 18368),
(39308, '4m6rA00', NULL, NULL, 224, NULL, NULL, 18368),
(39309, '2phpB00', NULL, NULL, 192, NULL, NULL, 18368),
(39310, '2g0qA02', NULL, NULL, 49, NULL, NULL, 18369),
(39311, '2j5dA01', NULL, NULL, 32, NULL, NULL, 18370),
(39312, '2p2vA00', NULL, NULL, 288, NULL, NULL, 18371),
(39313, '1ro7C00', NULL, NULL, 259, NULL, NULL, 18371),
(39314, '1rrzA00', NULL, NULL, 66, NULL, NULL, 18372),
(39315, '2x6uA00', NULL, NULL, 182, NULL, NULL, 18373),
(39316, '4a04A00', NULL, NULL, 203, NULL, NULL, 18373),
(39317, '5t1jA00', NULL, NULL, 204, NULL, NULL, 18373),
(39318, '6f59A00', NULL, NULL, 192, NULL, NULL, 18373),
(39319, '1h6fA00', NULL, NULL, 193, NULL, NULL, 18373),
(39320, '1xbrB00', NULL, NULL, 184, NULL, NULL, 18373),
(39321, '5bqdB00', NULL, NULL, 194, NULL, NULL, 18373),
(39322, '3d3qA03', NULL, NULL, 81, NULL, NULL, 18374),
(39323, '3exaA03', NULL, NULL, 81, NULL, NULL, 18374),
(39324, '3a8tA02', NULL, NULL, 111, NULL, NULL, 18374),
(39325, '2ze7A02', NULL, NULL, 102, NULL, NULL, 18374),
(39326, '3crmA02', NULL, NULL, 84, NULL, NULL, 18374),
(39327, '4iefA00', NULL, NULL, 210, NULL, NULL, 18375),
(39328, '3m8aC00', NULL, NULL, 76, NULL, NULL, 18376),
(39329, '2lw7A01', NULL, NULL, 56, NULL, NULL, 18376),
(39330, '5optR02', NULL, NULL, 70, NULL, NULL, 18376),
(39331, '1yzbA02', NULL, NULL, 46, NULL, NULL, 18376),
(39332, '6g5iN02', NULL, NULL, 70, NULL, NULL, 18376),
(39333, '2n74A00', NULL, NULL, 73, NULL, NULL, 18376),
(39334, '5mmjo00', NULL, NULL, 90, NULL, NULL, 18376),
(39335, '2vqeO00', NULL, NULL, 89, NULL, NULL, 18376),
(39336, '1a32A00', NULL, NULL, 88, NULL, NULL, 18376),
(39337, '2z0aA00', NULL, NULL, 79, NULL, NULL, 18376),
(39338, '3o65A02', NULL, NULL, 46, NULL, NULL, 18376),
(39339, '6az1T02', NULL, NULL, 70, NULL, NULL, 18376),
(39340, '3o65C02', NULL, NULL, 46, NULL, NULL, 18376),
(39341, '4opaA01', NULL, NULL, 80, NULL, NULL, 18376),
(39342, '1xeqB00', NULL, NULL, 103, NULL, NULL, 18376),
(39343, '3o65E02', NULL, NULL, 46, NULL, NULL, 18376),
(39344, '5h5nA00', NULL, NULL, 74, NULL, NULL, 18376),
(39345, '3o65G02', NULL, NULL, 46, NULL, NULL, 18376),
(39346, '6e5uK00', NULL, NULL, 77, NULL, NULL, 18376);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(39347, '5by1A00', NULL, NULL, 84, NULL, NULL, 18376),
(39348, '1dk1A00', NULL, NULL, 86, NULL, NULL, 18376),
(39349, '4xpzA02', NULL, NULL, 44, NULL, NULL, 18376),
(39350, '1g1xB00', NULL, NULL, 88, NULL, NULL, 18376),
(39351, '6faiN02', NULL, NULL, 70, NULL, NULL, 18376),
(39352, '2xzmO02', NULL, NULL, 70, NULL, NULL, 18376),
(39353, '1fyjA00', NULL, NULL, 57, NULL, NULL, 18376),
(39354, '3j7aU02', NULL, NULL, 70, NULL, NULL, 18376),
(39355, '2zkoA00', NULL, NULL, 73, NULL, NULL, 18376),
(39356, '5o5jO00', NULL, NULL, 89, NULL, NULL, 18376),
(39357, '5xxuN02', NULL, NULL, 70, NULL, NULL, 18376),
(39358, '5xyiN02', NULL, NULL, 70, NULL, NULL, 18376),
(39359, '4iylA01', NULL, NULL, 57, NULL, NULL, 18376),
(39360, '1d2dA00', NULL, NULL, 59, NULL, NULL, 18376),
(39361, '5ujjA01', NULL, NULL, 62, NULL, NULL, 18376),
(39362, '4a5uB00', NULL, NULL, 88, NULL, NULL, 18376),
(39363, '1ailA00', NULL, NULL, 73, NULL, NULL, 18376),
(39364, '1ygtA01', NULL, NULL, 100, NULL, NULL, 18377),
(39365, '1xdxA01', NULL, NULL, 100, NULL, NULL, 18377),
(39366, '4iq4E03', NULL, NULL, 91, NULL, NULL, 18378),
(39367, '2z16A02', NULL, NULL, 78, NULL, NULL, 18378),
(39368, '1aa7A02', NULL, NULL, 78, NULL, NULL, 18378),
(39369, '5v6gA02', NULL, NULL, 78, NULL, NULL, 18378),
(39370, '1gw3A00', NULL, NULL, 46, NULL, NULL, 18379),
(39371, '3r2pA02', NULL, NULL, 46, NULL, NULL, 18379),
(39372, '4ckbA01', NULL, NULL, 183, NULL, NULL, 18380),
(39373, '4a5gA02', NULL, NULL, 144, NULL, NULL, 18381),
(39374, '5aboA02', NULL, NULL, 137, NULL, NULL, 18381),
(39375, '5jhxA02', NULL, NULL, 210, NULL, NULL, 18381),
(39376, '1llpA02', NULL, NULL, 164, NULL, NULL, 18381),
(39377, '3fmuA02', NULL, NULL, 165, NULL, NULL, 18381),
(39378, '2vcnA02', NULL, NULL, 107, NULL, NULL, 18381),
(39379, '4cuoA02', NULL, NULL, 144, NULL, NULL, 18381),
(39380, '3hdlA02', NULL, NULL, 144, NULL, NULL, 18381),
(39381, '2ccaA04', NULL, NULL, 128, NULL, NULL, 18381),
(39382, '5whsA04', NULL, NULL, 124, NULL, NULL, 18381),
(39383, '1apxA02', NULL, NULL, 107, NULL, NULL, 18381),
(39384, '2ccaA02', NULL, NULL, 133, NULL, NULL, 18381),
(39385, '1jdrA02', NULL, NULL, 121, NULL, NULL, 18381),
(39386, '1gwuA02', NULL, NULL, 146, NULL, NULL, 18381),
(39387, '1fhfA02', NULL, NULL, 144, NULL, NULL, 18381),
(39388, '5twtA02', NULL, NULL, 134, NULL, NULL, 18381),
(39389, '4cznA02', NULL, NULL, 176, NULL, NULL, 18381),
(39390, '6a6qA02', NULL, NULL, 164, NULL, NULL, 18381),
(39391, '5whsA02', NULL, NULL, 225, NULL, NULL, 18381),
(39392, '1qgjA02', NULL, NULL, 146, NULL, NULL, 18381),
(39393, '1bgpA02', NULL, NULL, 136, NULL, NULL, 18381),
(39394, '5aogA02', NULL, NULL, 136, NULL, NULL, 18381),
(39395, '1ub2A04', NULL, NULL, 122, NULL, NULL, 18381),
(39396, '4bm1A02', NULL, NULL, 163, NULL, NULL, 18381),
(39397, '1iynA02', NULL, NULL, 124, NULL, NULL, 18381),
(39398, '1u2kA02', NULL, NULL, 128, NULL, NULL, 18381),
(39399, '1schA02', NULL, NULL, 135, NULL, NULL, 18381),
(39400, '1pa2A02', NULL, NULL, 144, NULL, NULL, 18381),
(39401, '1qpaA02', NULL, NULL, 165, NULL, NULL, 18381),
(39402, '2e39A02', NULL, NULL, 163, NULL, NULL, 18381),
(39403, '3m5qA02', NULL, NULL, 172, NULL, NULL, 18381),
(39404, '5sxwA04', NULL, NULL, 124, NULL, NULL, 18381),
(39405, '3wxoA02', NULL, NULL, 207, NULL, NULL, 18381),
(39406, '3q3uA02', NULL, NULL, 164, NULL, NULL, 18381),
(39407, '3wxoA04', NULL, NULL, 122, NULL, NULL, 18381),
(39408, '4bllA02', NULL, NULL, 153, NULL, NULL, 18381),
(39409, '5al9A02', NULL, NULL, 122, NULL, NULL, 18381),
(39410, '3vliA04', NULL, NULL, 129, NULL, NULL, 18381),
(39411, '5jhxA04', NULL, NULL, 124, NULL, NULL, 18381),
(39412, '3vlmB02', NULL, NULL, 203, NULL, NULL, 18381),
(39413, '4uscA02', NULL, NULL, 144, NULL, NULL, 18381),
(39414, '3e2oA02', NULL, NULL, 121, NULL, NULL, 18381),
(39415, '3vliA02', NULL, NULL, 134, NULL, NULL, 18381),
(39416, '5sxwA02', NULL, NULL, 205, NULL, NULL, 18381),
(39417, '2w00A05', NULL, NULL, 112, NULL, NULL, 18382),
(39418, '3fnnA01', NULL, NULL, 142, NULL, NULL, 18383),
(39419, '3gwcD01', NULL, NULL, 144, NULL, NULL, 18383);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(39420, '1pm6A00', NULL, NULL, 72, NULL, NULL, 18384),
(39421, '1rh6A00', NULL, NULL, 55, NULL, NULL, 18384),
(39422, '1vs7S00', NULL, NULL, 92, NULL, NULL, 18385),
(39423, '1vx2P00', NULL, NULL, 99, NULL, NULL, 18385),
(39424, '5mmjs00', NULL, NULL, 92, NULL, NULL, 18385),
(39425, '3j7aX01', NULL, NULL, 99, NULL, NULL, 18385),
(39426, '5xyuS00', NULL, NULL, 93, NULL, NULL, 18385),
(39427, '3o30I00', NULL, NULL, 142, NULL, NULL, 18385),
(39428, '3a1pB00', NULL, NULL, 93, NULL, NULL, 18385),
(39429, '4jejA00', NULL, NULL, 244, NULL, NULL, 18386),
(39430, '3vk5B00', NULL, NULL, 265, NULL, NULL, 18386),
(39431, '3w01A00', NULL, NULL, 235, NULL, NULL, 18386),
(39432, '6nkeA00', NULL, NULL, 252, NULL, NULL, 18386),
(39433, '3vzxB00', NULL, NULL, 228, NULL, NULL, 18386),
(39434, '2f6uA00', NULL, NULL, 234, NULL, NULL, 18386),
(39435, '4nafA00', NULL, NULL, 226, NULL, NULL, 18386),
(39436, '5ndyD00', NULL, NULL, 256, NULL, NULL, 18386),
(39437, '6jo3A00', NULL, NULL, 253, NULL, NULL, 18386),
(39438, '2pd0D01', NULL, NULL, 119, NULL, NULL, 18387),
(39439, '4fbdA01', NULL, NULL, 124, NULL, NULL, 18387),
(39440, '3c12A01', NULL, NULL, 51, NULL, NULL, 18388),
(39441, '3osvC01', NULL, NULL, 51, NULL, NULL, 18388),
(39442, '3f7wA03', NULL, NULL, 101, NULL, NULL, 18389),
(39443, '3ctwB00', NULL, NULL, 131, NULL, NULL, 18390),
(39444, '1hi9A01', NULL, NULL, 198, NULL, NULL, 18391),
(39445, '3fxhA00', NULL, NULL, 116, NULL, NULL, 18392),
(39446, '2gmqA00', NULL, NULL, 118, NULL, NULL, 18393),
(39447, '1aooA00', NULL, NULL, 40, NULL, NULL, 18394),
(39448, '1aqsA00', NULL, NULL, 53, NULL, NULL, 18394),
(39449, '5dnyA02', NULL, NULL, 58, NULL, NULL, 18395),
(39450, '5lzhA00', NULL, NULL, 103, NULL, NULL, 18396),
(39451, '2wv6H00', NULL, NULL, 103, NULL, NULL, 18396),
(39452, '1fnuA01', NULL, NULL, 80, NULL, NULL, 18396),
(39453, '1ty0A02', NULL, NULL, 75, NULL, NULL, 18396),
(39454, '1bxtB01', NULL, NULL, 87, NULL, NULL, 18396),
(39455, '2g9hD02', NULL, NULL, 70, NULL, NULL, 18396),
(39456, '2iciA02', NULL, NULL, 78, NULL, NULL, 18396),
(39457, '4l63F00', NULL, NULL, 112, NULL, NULL, 18396),
(39458, '2rdgA02', NULL, NULL, 71, NULL, NULL, 18396),
(39459, '1kluD01', NULL, NULL, 88, NULL, NULL, 18396),
(39460, '1v1pB02', NULL, NULL, 74, NULL, NULL, 18396),
(39461, '1an8A02', NULL, NULL, 75, NULL, NULL, 18396),
(39462, '4dxfA02', NULL, NULL, 76, NULL, NULL, 18396),
(39463, '3o13A02', NULL, NULL, 72, NULL, NULL, 18396),
(39464, '5i4dA02', NULL, NULL, 76, NULL, NULL, 18396),
(39465, '5whuC00', NULL, NULL, 128, NULL, NULL, 18396),
(39466, '4rfbA02', NULL, NULL, 75, NULL, NULL, 18396),
(39467, '3r2tA02', NULL, NULL, 74, NULL, NULL, 18396),
(39468, '1enfA01', NULL, NULL, 78, NULL, NULL, 18396),
(39469, '5lzgA00', NULL, NULL, 103, NULL, NULL, 18396),
(39470, '1et9A02', NULL, NULL, 92, NULL, NULL, 18396),
(39471, '1eu3A02', NULL, NULL, 80, NULL, NULL, 18396),
(39472, '4rhsA00', NULL, NULL, 122, NULL, NULL, 18396),
(39473, '1dyqA01', NULL, NULL, 83, NULL, NULL, 18396),
(39474, '2z8lA02', NULL, NULL, 75, NULL, NULL, 18396),
(39475, '2qejC02', NULL, NULL, 74, NULL, NULL, 18396),
(39476, '2j4xA02', NULL, NULL, 86, NULL, NULL, 18396),
(39477, '3efxF00', NULL, NULL, 103, NULL, NULL, 18396),
(39478, '6ialG00', NULL, NULL, 103, NULL, NULL, 18396),
(39479, '1steA01', NULL, NULL, 88, NULL, NULL, 18396),
(39480, '3sebA01', NULL, NULL, 90, NULL, NULL, 18396),
(39481, '4zysA02', NULL, NULL, 75, NULL, NULL, 18396),
(39482, '1bcpC02', NULL, NULL, 110, NULL, NULL, 18396),
(39483, '1bcpD00', NULL, NULL, 110, NULL, NULL, 18396),
(39484, '1bcpB02', NULL, NULL, 110, NULL, NULL, 18396),
(39485, '4z9cB00', NULL, NULL, 127, NULL, NULL, 18396),
(39486, '1ck1A01', NULL, NULL, 88, NULL, NULL, 18396),
(39487, '5fkaC02', NULL, NULL, 83, NULL, NULL, 18396),
(39488, '4o1nA02', NULL, NULL, 75, NULL, NULL, 18396),
(39489, '2aq2B02', NULL, NULL, 86, NULL, NULL, 18396),
(39490, '3r2iA02', NULL, NULL, 74, NULL, NULL, 18396),
(39491, '3mc0B02', NULL, NULL, 89, NULL, NULL, 18396),
(39492, '3ea6A02', NULL, NULL, 70, NULL, NULL, 18396),
(39493, '1bcpF00', NULL, NULL, 99, NULL, NULL, 18396);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(39494, '4ohjA02', NULL, NULL, 71, NULL, NULL, 18396),
(39495, '4bwgB00', NULL, NULL, 120, NULL, NULL, 18396),
(39496, '1kqfB03', NULL, NULL, 48, NULL, NULL, 18397),
(39497, '1hr7C02', NULL, NULL, 234, NULL, NULL, 18398),
(39498, '3cwwA02', NULL, NULL, 230, NULL, NULL, 18398),
(39499, '4nnzA02', NULL, NULL, 198, NULL, NULL, 18398),
(39500, '3cwwA01', NULL, NULL, 256, NULL, NULL, 18398),
(39501, '4nnzA01', NULL, NULL, 225, NULL, NULL, 18398),
(39502, '3cwwA04', NULL, NULL, 251, NULL, NULL, 18398),
(39503, '3cwwA03', NULL, NULL, 227, NULL, NULL, 18398),
(39504, '3eoqA01', NULL, NULL, 212, NULL, NULL, 18398),
(39505, '3amiA01', NULL, NULL, 225, NULL, NULL, 18398),
(39506, '3amiA02', NULL, NULL, 199, NULL, NULL, 18398),
(39507, '4rpuB02', NULL, NULL, 235, NULL, NULL, 18398),
(39508, '3ivlA00', NULL, NULL, 208, NULL, NULL, 18398),
(39509, '4rpuB03', NULL, NULL, 226, NULL, NULL, 18398),
(39510, '2fgeA01', NULL, NULL, 265, NULL, NULL, 18398),
(39511, '2fgeA02', NULL, NULL, 239, NULL, NULL, 18398),
(39512, '2fgeA03', NULL, NULL, 241, NULL, NULL, 18398),
(39513, '2fgeA04', NULL, NULL, 250, NULL, NULL, 18398),
(39514, '3cx5A01', NULL, NULL, 202, NULL, NULL, 18398),
(39515, '2a06A02', NULL, NULL, 208, NULL, NULL, 18398),
(39516, '3cx5A02', NULL, NULL, 223, NULL, NULL, 18398),
(39517, '4l3tA03', NULL, NULL, 226, NULL, NULL, 18398),
(39518, '3gwbA01', NULL, NULL, 213, NULL, NULL, 18398),
(39519, '4l3tA02', NULL, NULL, 235, NULL, NULL, 18398),
(39520, '4l3tA01', NULL, NULL, 270, NULL, NULL, 18398),
(39521, '1bccA01', NULL, NULL, 214, NULL, NULL, 18398),
(39522, '3gwbA02', NULL, NULL, 206, NULL, NULL, 18398),
(39523, '1bccA02', NULL, NULL, 204, NULL, NULL, 18398),
(39524, '1hr6B02', NULL, NULL, 208, NULL, NULL, 18398),
(39525, '5eufA02', NULL, NULL, 190, NULL, NULL, 18398),
(39526, '1hr6B01', NULL, NULL, 217, NULL, NULL, 18398),
(39527, '3d3yA01', NULL, NULL, 235, NULL, NULL, 18398),
(39528, '3tguB02', NULL, NULL, 201, NULL, NULL, 18398),
(39529, '3d3yA02', NULL, NULL, 190, NULL, NULL, 18398),
(39530, '3amjB02', NULL, NULL, 203, NULL, NULL, 18398),
(39531, '3amjB01', NULL, NULL, 216, NULL, NULL, 18398),
(39532, '5xteL01', NULL, NULL, 214, NULL, NULL, 18398),
(39533, '5xteL02', NULL, NULL, 204, NULL, NULL, 18398),
(39534, '1q2lA04', NULL, NULL, 230, NULL, NULL, 18398),
(39535, '1q2lA03', NULL, NULL, 230, NULL, NULL, 18398),
(39536, '1q2lA02', NULL, NULL, 231, NULL, NULL, 18398),
(39537, '1q2lA01', NULL, NULL, 248, NULL, NULL, 18398),
(39538, '4ngeA03', NULL, NULL, 226, NULL, NULL, 18398),
(39539, '4iofB01', NULL, NULL, 189, NULL, NULL, 18398),
(39540, '4rpuA03', NULL, NULL, 226, NULL, NULL, 18398),
(39541, '3tguO01', NULL, NULL, 210, NULL, NULL, 18398),
(39542, '2a06B02', NULL, NULL, 204, NULL, NULL, 18398),
(39543, '2a06B01', NULL, NULL, 235, NULL, NULL, 18398),
(39544, '3cx5B02', NULL, NULL, 135, NULL, NULL, 18398),
(39545, '3eoqB02', NULL, NULL, 183, NULL, NULL, 18398),
(39546, '3cx5B01', NULL, NULL, 211, NULL, NULL, 18398),
(39547, '4l3tB02', NULL, NULL, 235, NULL, NULL, 18398),
(39548, '4l3tB01', NULL, NULL, 270, NULL, NULL, 18398),
(39549, '3go9A01', NULL, NULL, 249, NULL, NULL, 18398),
(39550, '3go9A02', NULL, NULL, 216, NULL, NULL, 18398),
(39551, '4l3tB04', NULL, NULL, 283, NULL, NULL, 18398),
(39552, '1bccB02', NULL, NULL, 201, NULL, NULL, 18398),
(39553, '4l3tB03', NULL, NULL, 226, NULL, NULL, 18398),
(39554, '1bccB01', NULL, NULL, 210, NULL, NULL, 18398),
(39555, '5eufB01', NULL, NULL, 228, NULL, NULL, 18398),
(39556, '3tguA01', NULL, NULL, 214, NULL, NULL, 18398),
(39557, '3p7lA01', NULL, NULL, 244, NULL, NULL, 18398),
(39558, '3tguA02', NULL, NULL, 204, NULL, NULL, 18398),
(39559, '3p7lA04', NULL, NULL, 251, NULL, NULL, 18398),
(39560, '4xeaA02', NULL, NULL, 192, NULL, NULL, 18398),
(39561, '4xeaA01', NULL, NULL, 231, NULL, NULL, 18398),
(39562, '3hdiA02', NULL, NULL, 204, NULL, NULL, 18398),
(39563, '1hr6A01', NULL, NULL, 214, NULL, NULL, 18398),
(39564, '1pp9A01', NULL, NULL, 214, NULL, NULL, 18398),
(39565, '3hdiA01', NULL, NULL, 217, NULL, NULL, 18398),
(39566, '5xteK02', NULL, NULL, 204, NULL, NULL, 18398);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(39567, '5xteK01', NULL, NULL, 215, NULL, NULL, 18398),
(39568, '3tbiB02', NULL, NULL, 100, NULL, NULL, 18399),
(39569, '3v5wA01', NULL, NULL, 111, NULL, NULL, 18400),
(39570, '3nynA02', NULL, NULL, 92, NULL, NULL, 18400),
(39571, '6at7B03', NULL, NULL, 120, NULL, NULL, 18401),
(39572, '1w27A03', NULL, NULL, 122, NULL, NULL, 18401),
(39573, '4c5sC03', NULL, NULL, 106, NULL, NULL, 18401),
(39574, '1y2mA03', NULL, NULL, 103, NULL, NULL, 18401),
(39575, '3ermB00', NULL, NULL, 70, NULL, NULL, 18402),
(39576, '3u02A02', NULL, NULL, 97, NULL, NULL, 18403),
(39577, '2yguC00', NULL, NULL, 125, NULL, NULL, 18404),
(39578, '4hzeA00', NULL, NULL, 306, NULL, NULL, 18405),
(39579, '4q40D00', NULL, NULL, 347, NULL, NULL, 18405),
(39580, '2a0mA00', NULL, NULL, 316, NULL, NULL, 18405),
(39581, '1gq6B00', NULL, NULL, 313, NULL, NULL, 18405),
(39582, '4rhmA00', NULL, NULL, 308, NULL, NULL, 18405),
(39583, '6nfpA00', NULL, NULL, 299, NULL, NULL, 18405),
(39584, '2aebB00', NULL, NULL, 322, NULL, NULL, 18405),
(39585, '1wohA00', NULL, NULL, 305, NULL, NULL, 18405),
(39586, '3nioA00', NULL, NULL, 319, NULL, NULL, 18405),
(39587, '5hj9A00', NULL, NULL, 330, NULL, NULL, 18405),
(39588, '3m1rB01', NULL, NULL, 294, NULL, NULL, 18405),
(39589, '4dz4A00', NULL, NULL, 324, NULL, NULL, 18405),
(39590, '3lhlA00', NULL, NULL, 287, NULL, NULL, 18405),
(39591, '1xfkA00', NULL, NULL, 336, NULL, NULL, 18405),
(39592, '1d3vA00', NULL, NULL, 323, NULL, NULL, 18405),
(39593, '3niqB00', NULL, NULL, 326, NULL, NULL, 18405),
(39594, '2cevA00', NULL, NULL, 299, NULL, NULL, 18405),
(39595, '4rhiA00', NULL, NULL, 335, NULL, NULL, 18405),
(39596, '3pzlB00', NULL, NULL, 313, NULL, NULL, 18405),
(39597, '3sl1A00', NULL, NULL, 308, NULL, NULL, 18405),
(39598, '2ef5A00', NULL, NULL, 290, NULL, NULL, 18405),
(39599, '6nbkA00', NULL, NULL, 297, NULL, NULL, 18405),
(39600, '4g3hC00', NULL, NULL, 311, NULL, NULL, 18405),
(39601, '4tqoA00', NULL, NULL, 573, NULL, NULL, 18406),
(39602, '1kv9A01', NULL, NULL, 561, NULL, NULL, 18406),
(39603, '4cvbA00', NULL, NULL, 572, NULL, NULL, 18406),
(39604, '2d0vI00', NULL, NULL, 597, NULL, NULL, 18406),
(39605, '1w6sA00', NULL, NULL, 599, NULL, NULL, 18406),
(39606, '1flgA00', NULL, NULL, 582, NULL, NULL, 18406),
(39607, '4mh1B00', NULL, NULL, 560, NULL, NULL, 18406),
(39608, '1yiqA01', NULL, NULL, 578, NULL, NULL, 18406),
(39609, '2ad6A00', NULL, NULL, 571, NULL, NULL, 18406),
(39610, '6damA00', NULL, NULL, 591, NULL, NULL, 18406),
(39611, '1kb0A01', NULL, NULL, 580, NULL, NULL, 18406),
(39612, '1lrwA00', NULL, NULL, 600, NULL, NULL, 18406),
(39613, '6fkwA00', NULL, NULL, 577, NULL, NULL, 18406),
(39614, '5xm3A00', NULL, NULL, 596, NULL, NULL, 18406),
(39615, '2y8yA01', NULL, NULL, 91, NULL, NULL, 18407),
(39616, '4dzdA01', NULL, NULL, 76, NULL, NULL, 18407),
(39617, '5hkgA00', NULL, NULL, 107, NULL, NULL, 18408),
(39618, '3kz7A00', NULL, NULL, 119, NULL, NULL, 18408),
(39619, '5ez1A01', NULL, NULL, 100, NULL, NULL, 18408),
(39620, '2jzvA00', NULL, NULL, 111, NULL, NULL, 18408),
(39621, '4g2pA00', NULL, NULL, 110, NULL, NULL, 18408),
(39622, '1kt0A02', NULL, NULL, 114, NULL, NULL, 18408),
(39623, '4layA01', NULL, NULL, 118, NULL, NULL, 18408),
(39624, '1yw5A02', NULL, NULL, 114, NULL, NULL, 18408),
(39625, '4layA02', NULL, NULL, 121, NULL, NULL, 18408),
(39626, '2kgjA00', NULL, NULL, 102, NULL, NULL, 18408),
(39627, '1zk6A00', NULL, NULL, 93, NULL, NULL, 18408),
(39628, '1pinA02', NULL, NULL, 110, NULL, NULL, 18408),
(39629, '1hxvA00', NULL, NULL, 85, NULL, NULL, 18408),
(39630, '3jxvA01', NULL, NULL, 118, NULL, NULL, 18408),
(39631, '1yatA00', NULL, NULL, 113, NULL, NULL, 18408),
(39632, '3jxvA02', NULL, NULL, 121, NULL, NULL, 18408),
(39633, '5hwcA00', NULL, NULL, 115, NULL, NULL, 18408),
(39634, '4mspA01', NULL, NULL, 125, NULL, NULL, 18408),
(39635, '1u79A00', NULL, NULL, 129, NULL, NULL, 18408),
(39636, '3prbA01', NULL, NULL, 105, NULL, NULL, 18408),
(39637, '1kt1A01', NULL, NULL, 106, NULL, NULL, 18408),
(39638, '6gmpA00', NULL, NULL, 122, NULL, NULL, 18408),
(39639, '1t11A03', NULL, NULL, 97, NULL, NULL, 18408);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(39640, '1kt1A02', NULL, NULL, 114, NULL, NULL, 18408),
(39641, '5b8iC00', NULL, NULL, 130, NULL, NULL, 18408),
(39642, '3i6cA00', NULL, NULL, 123, NULL, NULL, 18408),
(39643, '3ui4A00', NULL, NULL, 101, NULL, NULL, 18408),
(39644, '1ix5A00', NULL, NULL, 151, NULL, NULL, 18408),
(39645, '3pr9A00', NULL, NULL, 157, NULL, NULL, 18408),
(39646, '4o2tA00', NULL, NULL, 168, NULL, NULL, 18408),
(39647, '5huaA00', NULL, NULL, 115, NULL, NULL, 18408),
(39648, '2mf9A00', NULL, NULL, 157, NULL, NULL, 18408),
(39649, '2pv1A00', NULL, NULL, 103, NULL, NULL, 18408),
(39650, '6b4pB00', NULL, NULL, 127, NULL, NULL, 18408),
(39651, '3b7xA00', NULL, NULL, 134, NULL, NULL, 18408),
(39652, '5i7qA01', NULL, NULL, 113, NULL, NULL, 18408),
(39653, '1j6yA00', NULL, NULL, 120, NULL, NULL, 18408),
(39654, '2y78A00', NULL, NULL, 133, NULL, NULL, 18408),
(39655, '3ey6A00', NULL, NULL, 121, NULL, NULL, 18408),
(39656, '2pbcA00', NULL, NULL, 102, NULL, NULL, 18408),
(39657, '2lj4A00', NULL, NULL, 115, NULL, NULL, 18408),
(39658, '3ni6A01', NULL, NULL, 120, NULL, NULL, 18408),
(39659, '1jvwA00', NULL, NULL, 167, NULL, NULL, 18408),
(39660, '1rotA00', NULL, NULL, 129, NULL, NULL, 18408),
(39661, '2nd5A00', NULL, NULL, 111, NULL, NULL, 18408),
(39662, '4qt3A01', NULL, NULL, 120, NULL, NULL, 18408),
(39663, '1jnsA00', NULL, NULL, 92, NULL, NULL, 18408),
(39664, '2m1iA00', NULL, NULL, 97, NULL, NULL, 18408),
(39665, '3rgcA02', NULL, NULL, 78, NULL, NULL, 18408),
(39666, '5xb0A02', NULL, NULL, 102, NULL, NULL, 18408),
(39667, '2kfwA01', NULL, NULL, 113, NULL, NULL, 18408),
(39668, '2lknA00', NULL, NULL, 165, NULL, NULL, 18408),
(39669, '4odkA00', NULL, NULL, 158, NULL, NULL, 18408),
(39670, '5gpgA00', NULL, NULL, 117, NULL, NULL, 18408),
(39671, '3jymB01', NULL, NULL, 116, NULL, NULL, 18408),
(39672, '1fd9A01', NULL, NULL, 107, NULL, NULL, 18408),
(39673, '4driA00', NULL, NULL, 121, NULL, NULL, 18408),
(39674, '3nrkA02', NULL, NULL, 109, NULL, NULL, 18408),
(39675, '1w26A03', NULL, NULL, 97, NULL, NULL, 18408),
(39676, '5i7pA01', NULL, NULL, 113, NULL, NULL, 18408),
(39677, '2m08A00', NULL, NULL, 93, NULL, NULL, 18408),
(39678, '1p5qA01', NULL, NULL, 116, NULL, NULL, 18408),
(39679, '3uqiA00', NULL, NULL, 108, NULL, NULL, 18408),
(39680, '2kr7A01', NULL, NULL, 94, NULL, NULL, 18408),
(39681, '2f4eB00', NULL, NULL, 127, NULL, NULL, 18408),
(39682, '3rfwA03', NULL, NULL, 108, NULL, NULL, 18408),
(39683, '3gpkA00', NULL, NULL, 112, NULL, NULL, 18408),
(39684, '3o5qA00', NULL, NULL, 128, NULL, NULL, 18408),
(39685, '1m5yA03', NULL, NULL, 107, NULL, NULL, 18408),
(39686, '4dt4A01', NULL, NULL, 79, NULL, NULL, 18408),
(39687, '1m5yC02', NULL, NULL, 136, NULL, NULL, 18408),
(39688, '4dipH00', NULL, NULL, 125, NULL, NULL, 18408),
(39689, '2ppnA00', NULL, NULL, 107, NULL, NULL, 18408),
(39690, '4jysB00', NULL, NULL, 118, NULL, NULL, 18408),
(39691, '4bf8A00', NULL, NULL, 117, NULL, NULL, 18408),
(39692, '4odpA00', NULL, NULL, 110, NULL, NULL, 18408),
(39693, '5i98B00', NULL, NULL, 120, NULL, NULL, 18408),
(39694, '1r9hA00', NULL, NULL, 135, NULL, NULL, 18408),
(39695, '2lgoA00', NULL, NULL, 130, NULL, NULL, 18408),
(39696, '1q6hA02', NULL, NULL, 103, NULL, NULL, 18408),
(39697, '4p02B05', NULL, NULL, 102, NULL, NULL, 18409),
(39698, '3ce2A02', NULL, NULL, 47, NULL, NULL, 18410),
(39699, '2qr4A02', NULL, NULL, 47, NULL, NULL, 18410),
(39700, '2feaA02', NULL, NULL, 98, NULL, NULL, 18411),
(39701, '2feaB02', NULL, NULL, 98, NULL, NULL, 18411),
(39702, '5teqA01', NULL, NULL, 236, NULL, NULL, 18412),
(39703, '2mkgA00', NULL, NULL, 63, NULL, NULL, 18413),
(39704, '1poiA02', NULL, NULL, 53, NULL, NULL, 18414),
(39705, '2ljwA00', NULL, NULL, 110, NULL, NULL, 18415),
(39706, '1wjvA01', NULL, NULL, 51, NULL, NULL, 18416),
(39707, '2n1uA00', NULL, NULL, 70, NULL, NULL, 18417),
(39708, '2kdpA00', NULL, NULL, 71, NULL, NULL, 18417),
(39709, '2f8xM00', NULL, NULL, 63, NULL, NULL, 18418),
(39710, '3b4sB01', NULL, NULL, 51, NULL, NULL, 18419),
(39711, '3h2tA01', NULL, NULL, 77, NULL, NULL, 18420),
(39712, '3rwrB02', NULL, NULL, 45, NULL, NULL, 18421);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(39713, '1ik9B02', NULL, NULL, 95, NULL, NULL, 18421),
(39714, '5cj4A02', NULL, NULL, 59, NULL, NULL, 18421),
(39715, '5cj4B02', NULL, NULL, 59, NULL, NULL, 18421),
(39716, '5cj4C02', NULL, NULL, 59, NULL, NULL, 18421),
(39717, '5cj4D02', NULL, NULL, 59, NULL, NULL, 18421),
(39718, '3mudA02', NULL, NULL, 54, NULL, NULL, 18421),
(39719, '3ii6A02', NULL, NULL, 58, NULL, NULL, 18421),
(39720, '5chxB02', NULL, NULL, 58, NULL, NULL, 18421),
(39721, '5chxA02', NULL, NULL, 58, NULL, NULL, 18421),
(39722, '5wlzC02', NULL, NULL, 55, NULL, NULL, 18421),
(39723, '1fu1B02', NULL, NULL, 56, NULL, NULL, 18421),
(39724, '1fu1A02', NULL, NULL, 60, NULL, NULL, 18421),
(39725, '4xa4A02', NULL, NULL, 56, NULL, NULL, 18421),
(39726, '5cj0B02', NULL, NULL, 59, NULL, NULL, 18421),
(39727, '1z56B00', NULL, NULL, 91, NULL, NULL, 18421),
(39728, '5wj7A02', NULL, NULL, 54, NULL, NULL, 18421),
(39729, '2aqxB01', NULL, NULL, 265, NULL, NULL, 18422),
(39730, '2iewB00', NULL, NULL, 304, NULL, NULL, 18422),
(39731, '4frfA00', NULL, NULL, 246, NULL, NULL, 18422),
(39732, '2a98A00', NULL, NULL, 259, NULL, NULL, 18422),
(39733, '1w2dB00', NULL, NULL, 265, NULL, NULL, 18422),
(39734, '1tzdA00', NULL, NULL, 257, NULL, NULL, 18422),
(39735, '4o4fA00', NULL, NULL, 248, NULL, NULL, 18422),
(39736, '3kt7A02', NULL, NULL, 359, NULL, NULL, 18423),
(39737, '5tuxA01', NULL, NULL, 147, NULL, NULL, 18424),
(39738, '5hgrB01', NULL, NULL, 149, NULL, NULL, 18424),
(39739, '6mcjA00', NULL, NULL, 163, NULL, NULL, 18424),
(39740, '5ui2A01', NULL, NULL, 151, NULL, NULL, 18424),
(39741, '5fcyA00', NULL, NULL, 169, NULL, NULL, 18424),
(39742, '4xb4B00', NULL, NULL, 152, NULL, NULL, 18424),
(39743, '2j8gA03', NULL, NULL, 58, NULL, NULL, 18425),
(39744, '2jhnA01', NULL, NULL, 113, NULL, NULL, 18426),
(39745, '1mpgA01', NULL, NULL, 112, NULL, NULL, 18426),
(39746, '5v37A02', NULL, NULL, 49, NULL, NULL, 18427),
(39747, '4a24A00', NULL, NULL, 47, NULL, NULL, 18427),
(39748, '2oddA00', NULL, NULL, 64, NULL, NULL, 18427),
(39749, '2jw6A00', NULL, NULL, 52, NULL, NULL, 18427),
(39750, '2od1A00', NULL, NULL, 60, NULL, NULL, 18427),
(39751, '2joiA00', NULL, NULL, 96, NULL, NULL, 18428),
(39752, '1uoyA01', NULL, NULL, 57, NULL, NULL, 18429),
(39753, '3u88M00', NULL, NULL, 57, NULL, NULL, 18430),
(39754, '1ej6A01', NULL, NULL, 385, NULL, NULL, 18431),
(39755, '3iylW01', NULL, NULL, 389, NULL, NULL, 18431),
(39756, '1ytfC00', NULL, NULL, 46, NULL, NULL, 18432),
(39757, '1nvpC00', NULL, NULL, 47, NULL, NULL, 18432),
(39758, '1nvpD02', NULL, NULL, 56, NULL, NULL, 18432),
(39759, '1nh2D02', NULL, NULL, 61, NULL, NULL, 18432),
(39760, '1nh2C00', NULL, NULL, 59, NULL, NULL, 18432),
(39761, '4p1wA00', NULL, NULL, 74, NULL, NULL, 18433),
(39762, '4hpqD00', NULL, NULL, 69, NULL, NULL, 18433),
(39763, '4hpqA00', NULL, NULL, 69, NULL, NULL, 18433),
(39764, '5jhfA00', NULL, NULL, 87, NULL, NULL, 18433),
(39765, '4p1wD00', NULL, NULL, 74, NULL, NULL, 18433),
(39766, '4jg9A00', NULL, NULL, 139, NULL, NULL, 18434),
(39767, '4af3D01', NULL, NULL, 37, NULL, NULL, 18435),
(39768, '2vgoC01', NULL, NULL, 29, NULL, NULL, 18435),
(39769, '3vdpA04', NULL, NULL, 25, NULL, NULL, 18436),
(39770, '1vddC04', NULL, NULL, 29, NULL, NULL, 18436),
(39771, '1vjvA02', NULL, NULL, 74, NULL, NULL, 18437),
(39772, '2b9wA02', NULL, NULL, 118, NULL, NULL, 18438),
(39773, '1f0xA01', NULL, NULL, 100, NULL, NULL, 18439),
(39774, '2pffB06', NULL, NULL, 30, NULL, NULL, 18440),
(39775, '4bwnA00', NULL, NULL, 86, NULL, NULL, 18441),
(39776, '2v4hB00', NULL, NULL, 91, NULL, NULL, 18441),
(39777, '4owfA00', NULL, NULL, 90, NULL, NULL, 18441),
(39778, '2ksdA00', NULL, NULL, 89, NULL, NULL, 18442),
(39779, '1vziA01', NULL, NULL, 39, NULL, NULL, 18443),
(39780, '3eojA00', NULL, NULL, 366, NULL, NULL, 18444),
(39781, '3vdiA00', NULL, NULL, 367, NULL, NULL, 18444),
(39782, '5h8zA00', NULL, NULL, 365, NULL, NULL, 18444),
(39783, '2wb7A02', NULL, NULL, 155, NULL, NULL, 18445),
(39784, '2cs7A00', NULL, NULL, 55, NULL, NULL, 18446),
(39785, '2lezA00', NULL, NULL, 120, NULL, NULL, 18447),
(39786, '4aq1A05', NULL, NULL, 110, NULL, NULL, 18448);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(39787, '3qwuA03', NULL, NULL, 139, NULL, NULL, 18449),
(39788, '1vgjA00', NULL, NULL, 184, NULL, NULL, 18450),
(39789, '2fyhA00', NULL, NULL, 190, NULL, NULL, 18450),
(39790, '2fsqA00', NULL, NULL, 243, NULL, NULL, 18450),
(39791, '2d4gA00', NULL, NULL, 171, NULL, NULL, 18450),
(39792, '5ldqA00', NULL, NULL, 177, NULL, NULL, 18450),
(39793, '4h7wA00', NULL, NULL, 193, NULL, NULL, 18450),
(39794, '5h7eA00', NULL, NULL, 182, NULL, NULL, 18450),
(39795, '1iuhA00', NULL, NULL, 198, NULL, NULL, 18450),
(39796, '2vfkA00', NULL, NULL, 205, NULL, NULL, 18450),
(39797, '1jh6A00', NULL, NULL, 189, NULL, NULL, 18450),
(39798, '5jj2A00', NULL, NULL, 211, NULL, NULL, 18450),
(39799, '2m1sA01', NULL, NULL, 35, NULL, NULL, 18451),
(39800, '4nc6A01', NULL, NULL, 47, NULL, NULL, 18452),
(39801, '3hzjC01', NULL, NULL, 49, NULL, NULL, 18452),
(39802, '2qq8A01', NULL, NULL, 61, NULL, NULL, 18452),
(39803, '5ejcA01', NULL, NULL, 60, NULL, NULL, 18452),
(39804, '3qwlA01', NULL, NULL, 59, NULL, NULL, 18452),
(39805, '5oomm00', NULL, NULL, 45, NULL, NULL, 18453),
(39806, '4v19400', NULL, NULL, 45, NULL, NULL, 18453),
(39807, '5udhA02', NULL, NULL, 239, NULL, NULL, 18454),
(39808, '3cu7A07', NULL, NULL, 60, NULL, NULL, 18455),
(39809, '4cy8A03', NULL, NULL, 159, NULL, NULL, 18456),
(39810, '5koxA03', NULL, NULL, 95, NULL, NULL, 18456),
(39811, '5xgvA03', NULL, NULL, 89, NULL, NULL, 18456),
(39812, '2r0cA03', NULL, NULL, 125, NULL, NULL, 18456),
(39813, '4k2xA03', NULL, NULL, 113, NULL, NULL, 18456),
(39814, '4k5sA03', NULL, NULL, 115, NULL, NULL, 18456),
(39815, '6brdA03', NULL, NULL, 97, NULL, NULL, 18456),
(39816, '6j0zC03', NULL, NULL, 109, NULL, NULL, 18456),
(39817, '3ihgA03', NULL, NULL, 142, NULL, NULL, 18456),
(39818, '2qa1A03', NULL, NULL, 114, NULL, NULL, 18456),
(39819, '2qa2A03', NULL, NULL, 112, NULL, NULL, 18456),
(39820, '4x4jA03', NULL, NULL, 110, NULL, NULL, 18456),
(39821, '3zuqA02', NULL, NULL, 376, NULL, NULL, 18457),
(39822, '3v0aA02', NULL, NULL, 333, NULL, NULL, 18457),
(39823, '1epwA02', NULL, NULL, 331, NULL, NULL, 18457),
(39824, '5bqmB00', NULL, NULL, 403, NULL, NULL, 18457),
(39825, '4zktB02', NULL, NULL, 330, NULL, NULL, 18457),
(39826, '5bqnA02', NULL, NULL, 375, NULL, NULL, 18457),
(39827, '2w2dD01', NULL, NULL, 426, NULL, NULL, 18457),
(39828, '2nyyA02', NULL, NULL, 323, NULL, NULL, 18457),
(39829, '3vuoA02', NULL, NULL, 330, NULL, NULL, 18457),
(39830, '3v0aB02', NULL, NULL, 331, NULL, NULL, 18457),
(39831, '3ffzA02', NULL, NULL, 333, NULL, NULL, 18457),
(39832, '4akgA03', NULL, NULL, 83, NULL, NULL, 18458),
(39833, '3vkgA03', NULL, NULL, 100, NULL, NULL, 18458),
(39834, '3vsjD00', NULL, NULL, 312, NULL, NULL, 18459),
(39835, '3vsjA00', NULL, NULL, 271, NULL, NULL, 18459),
(39836, '2pw6A00', NULL, NULL, 271, NULL, NULL, 18459),
(39837, '3wraA01', NULL, NULL, 303, NULL, NULL, 18459),
(39838, '5heeA00', NULL, NULL, 262, NULL, NULL, 18459),
(39839, '1b4uB00', NULL, NULL, 302, NULL, NULL, 18459),
(39840, '3bczA00', NULL, NULL, 293, NULL, NULL, 18459),
(39841, '4ogeA05', NULL, NULL, 97, NULL, NULL, 18460),
(39842, '3u4qA02', NULL, NULL, 150, NULL, NULL, 18461),
(39843, '1ceuA00', NULL, NULL, 51, NULL, NULL, 18462),
(39844, '3ptyA02', NULL, NULL, 208, NULL, NULL, 18463),
(39845, '4abnA02', NULL, NULL, 158, NULL, NULL, 18464),
(39846, '2xvsA00', NULL, NULL, 166, NULL, NULL, 18464),
(39847, '4r55A00', NULL, NULL, 55, NULL, NULL, 18465),
(39848, '3kxtA00', NULL, NULL, 56, NULL, NULL, 18465),
(39849, '3eslA01', NULL, NULL, 77, NULL, NULL, 18466),
(39850, '6atgC00', NULL, NULL, 214, NULL, NULL, 18467),
(39851, '3q10D02', NULL, NULL, 45, NULL, NULL, 18468),
(39852, '3k2tA01', NULL, NULL, 47, NULL, NULL, 18469),
(39853, '3lyvB01', NULL, NULL, 55, NULL, NULL, 18469),
(39854, '5ooxA01', NULL, NULL, 55, NULL, NULL, 18469),
(39855, '2lc2A01', NULL, NULL, 68, NULL, NULL, 18470),
(39856, '3zr8X00', NULL, NULL, 65, NULL, NULL, 18470),
(39857, '1q8dA00', NULL, NULL, 108, NULL, NULL, 18471),
(39858, '2jbwB01', NULL, NULL, 105, NULL, NULL, 18472),
(39859, '3fnbB01', NULL, NULL, 114, NULL, NULL, 18472);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(39860, '3fnbA01', NULL, NULL, 114, NULL, NULL, 18472),
(39861, '3ug9A01', NULL, NULL, 36, NULL, NULL, 18473),
(39862, '2lxoA00', NULL, NULL, 44, NULL, NULL, 18474),
(39863, '2lwlA00', NULL, NULL, 49, NULL, NULL, 18474),
(39864, '1fd3A00', NULL, NULL, 41, NULL, NULL, 18474),
(39865, '2mjkA00', NULL, NULL, 41, NULL, NULL, 18474),
(39866, '1kj6A00', NULL, NULL, 45, NULL, NULL, 18474),
(39867, '1neeA01', NULL, NULL, 91, NULL, NULL, 18475),
(39868, '2nxuA01', NULL, NULL, 73, NULL, NULL, 18475),
(39869, '2d74B01', NULL, NULL, 91, NULL, NULL, 18475),
(39870, '3d03A01', NULL, NULL, 131, NULL, NULL, 18476),
(39871, '1xl7A01', NULL, NULL, 113, NULL, NULL, 18477),
(39872, '3v8uA03', NULL, NULL, 158, NULL, NULL, 18478),
(39873, '3ve2B03', NULL, NULL, 158, NULL, NULL, 18478),
(39874, '3holA03', NULL, NULL, 89, NULL, NULL, 18478),
(39875, '4o4uA03', NULL, NULL, 90, NULL, NULL, 18478),
(39876, '3pquA03', NULL, NULL, 89, NULL, NULL, 18478),
(39877, '5kkxB01', NULL, NULL, 92, NULL, NULL, 18478),
(39878, '4qq1C03', NULL, NULL, 93, NULL, NULL, 18478),
(39879, '3pqsA03', NULL, NULL, 88, NULL, NULL, 18478),
(39880, '4c1nA01', NULL, NULL, 57, NULL, NULL, 18479),
(39881, '3duzA02', NULL, NULL, 54, NULL, NULL, 18480),
(39882, '1ucuA01', NULL, NULL, 68, NULL, NULL, 18481),
(39883, '1vszR00', NULL, NULL, 54, NULL, NULL, 18482),
(39884, '1y02A01', NULL, NULL, 82, NULL, NULL, 18483),
(39885, '2wjvD02', NULL, NULL, 32, NULL, NULL, 18484),
(39886, '2gu1A02', NULL, NULL, 105, NULL, NULL, 18485),
(39887, '2gu1A01', NULL, NULL, 94, NULL, NULL, 18485),
(39888, '4rnyA02', NULL, NULL, 155, NULL, NULL, 18485),
(39889, '3sluA02', NULL, NULL, 141, NULL, NULL, 18485),
(39890, '3sluB01', NULL, NULL, 99, NULL, NULL, 18485),
(39891, '2ywqC00', NULL, NULL, 105, NULL, NULL, 18486),
(39892, '1imuA00', NULL, NULL, 107, NULL, NULL, 18486),
(39893, '4heiB00', NULL, NULL, 95, NULL, NULL, 18486),
(39894, '1l4sA01', NULL, NULL, 91, NULL, NULL, 18486),
(39895, '2rqlA00', NULL, NULL, 95, NULL, NULL, 18486),
(39896, '3tqmC00', NULL, NULL, 96, NULL, NULL, 18486),
(39897, '2eefA01', NULL, NULL, 127, NULL, NULL, 18487),
(39898, '4bfoA00', NULL, NULL, 106, NULL, NULL, 18487),
(39899, '4eibA00', NULL, NULL, 109, NULL, NULL, 18487),
(39900, '2m83A00', NULL, NULL, 139, NULL, NULL, 18487),
(39901, '1ezgA00', NULL, NULL, 84, NULL, NULL, 18488),
(39902, '3vm9A02', NULL, NULL, 57, NULL, NULL, 18489),
(39903, '2wwxB00', NULL, NULL, 200, NULL, NULL, 18490),
(39904, '3jz9A00', NULL, NULL, 197, NULL, NULL, 18490),
(39905, '3l0mA01', NULL, NULL, 213, NULL, NULL, 18490),
(39906, '2w8sA02', NULL, NULL, 44, NULL, NULL, 18491),
(39907, '4upkA02', NULL, NULL, 46, NULL, NULL, 18491),
(39908, '2vqrA02', NULL, NULL, 44, NULL, NULL, 18491),
(39909, '3imnA02', NULL, NULL, 70, NULL, NULL, 18492),
(39910, '3ikwA02', NULL, NULL, 70, NULL, NULL, 18492),
(39911, '2lfvA00', NULL, NULL, 106, NULL, NULL, 18493),
(39912, '1x60A01', NULL, NULL, 72, NULL, NULL, 18493),
(39913, '1utaA00', NULL, NULL, 81, NULL, NULL, 18493),
(39914, '2zi0B00', NULL, NULL, 58, NULL, NULL, 18494),
(39915, '2zi0A00', NULL, NULL, 75, NULL, NULL, 18494),
(39916, '1dl5A02', NULL, NULL, 116, NULL, NULL, 18495),
(39917, '4eo0A00', NULL, NULL, 115, NULL, NULL, 18496),
(39918, '1l1lA03', NULL, NULL, 109, NULL, NULL, 18497),
(39919, '3seoB02', NULL, NULL, 101, NULL, NULL, 18498),
(39920, '1zhxA01', NULL, NULL, 33, NULL, NULL, 18499),
(39921, '3tklB02', NULL, NULL, 131, NULL, NULL, 18500),
(39922, '2p5zX03', NULL, NULL, 16, NULL, NULL, 18501),
(39923, '1snzB00', NULL, NULL, 344, NULL, NULL, 18502),
(39924, '2htaA00', NULL, NULL, 309, NULL, NULL, 18502),
(39925, '1jovA00', NULL, NULL, 270, NULL, NULL, 18502),
(39926, '3mwxA00', NULL, NULL, 326, NULL, NULL, 18502),
(39927, '4rnlD00', NULL, NULL, 343, NULL, NULL, 18502),
(39928, '2cirA00', NULL, NULL, 297, NULL, NULL, 18502),
(39929, '1yq2A05', NULL, NULL, 300, NULL, NULL, 18502),
(39930, '1rwhA02', NULL, NULL, 271, NULL, NULL, 18502),
(39931, '3k25A00', NULL, NULL, 289, NULL, NULL, 18502),
(39932, '3decA05', NULL, NULL, 271, NULL, NULL, 18502),
(39933, '3imhA00', NULL, NULL, 338, NULL, NULL, 18502);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(39934, '1jz8A05', NULL, NULL, 293, NULL, NULL, 18502),
(39935, '1lurA00', NULL, NULL, 339, NULL, NULL, 18502),
(39936, '3bgaA05', NULL, NULL, 270, NULL, NULL, 18502),
(39937, '2ww2A01', NULL, NULL, 304, NULL, NULL, 18502),
(39938, '2d73A01', NULL, NULL, 284, NULL, NULL, 18502),
(39939, '1k1yB02', NULL, NULL, 274, NULL, NULL, 18502),
(39940, '3obaA05', NULL, NULL, 293, NULL, NULL, 18502),
(39941, '2zxqA01', NULL, NULL, 283, NULL, NULL, 18502),
(39942, '1cb8A02', NULL, NULL, 246, NULL, NULL, 18502),
(39943, '1ygaA00', NULL, NULL, 342, NULL, NULL, 18502),
(39944, '2wcoA02', NULL, NULL, 256, NULL, NULL, 18502),
(39945, '2q1fA03', NULL, NULL, 277, NULL, NULL, 18502),
(39946, '1x1iA02', NULL, NULL, 273, NULL, NULL, 18502),
(39947, '5a57A01', NULL, NULL, 284, NULL, NULL, 18502),
(39948, '1lf6A01', NULL, NULL, 273, NULL, NULL, 18502),
(39949, '2wvxA01', NULL, NULL, 299, NULL, NULL, 18502),
(39950, '1hn0A03', NULL, NULL, 281, NULL, NULL, 18502),
(39951, '2xsgB01', NULL, NULL, 292, NULL, NULL, 18502),
(39952, '1f1sA01', NULL, NULL, 275, NULL, NULL, 18502),
(39953, '1z45A03', NULL, NULL, 343, NULL, NULL, 18502),
(39954, '3dcdA00', NULL, NULL, 307, NULL, NULL, 18502),
(39955, '1nsxA00', NULL, NULL, 347, NULL, NULL, 18502),
(39956, '1n7oA01', NULL, NULL, 257, NULL, NULL, 18502),
(39957, '3q1nA00', NULL, NULL, 294, NULL, NULL, 18502),
(39958, '1nkgA01', NULL, NULL, 251, NULL, NULL, 18502),
(39959, '1ulvA01', NULL, NULL, 273, NULL, NULL, 18502),
(39960, '3os7A00', NULL, NULL, 341, NULL, NULL, 18502),
(39961, '3ty1A00', NULL, NULL, 384, NULL, NULL, 18502),
(39962, '5e1qB01', NULL, NULL, 286, NULL, NULL, 18502),
(39963, '3nreA00', NULL, NULL, 291, NULL, NULL, 18502),
(39964, '1txkA01', NULL, NULL, 376, NULL, NULL, 18502),
(39965, '3mkqA03', NULL, NULL, 214, NULL, NULL, 18503),
(39966, '3mkqB00', NULL, NULL, 177, NULL, NULL, 18503),
(39967, '3p5nA00', NULL, NULL, 189, NULL, NULL, 18504),
(39968, '5d0yA00', NULL, NULL, 164, NULL, NULL, 18504),
(39969, '4huqS00', NULL, NULL, 174, NULL, NULL, 18504),
(39970, '4dveC00', NULL, NULL, 198, NULL, NULL, 18504),
(39971, '4z7fB00', NULL, NULL, 174, NULL, NULL, 18504),
(39972, '4tkrA00', NULL, NULL, 184, NULL, NULL, 18504),
(39973, '4m5bA00', NULL, NULL, 217, NULL, NULL, 18504),
(39974, '4rfsS00', NULL, NULL, 203, NULL, NULL, 18504),
(39975, '3rlbA00', NULL, NULL, 176, NULL, NULL, 18504),
(39976, '5kbwB00', NULL, NULL, 181, NULL, NULL, 18504),
(39977, '4hzuS00', NULL, NULL, 166, NULL, NULL, 18504),
(39978, '5jszC00', NULL, NULL, 184, NULL, NULL, 18504),
(39979, '3bmzA00', NULL, NULL, 199, NULL, NULL, 18505),
(39980, '3o2zG01', NULL, NULL, 49, NULL, NULL, 18506),
(39981, '2f20A00', NULL, NULL, 240, NULL, NULL, 18507),
(39982, '2icuB00', NULL, NULL, 229, NULL, NULL, 18507),
(39983, '2bdvA00', NULL, NULL, 231, NULL, NULL, 18507),
(39984, '5ko9A00', NULL, NULL, 277, NULL, NULL, 18507),
(39985, '1zn6A00', NULL, NULL, 227, NULL, NULL, 18507),
(39986, '3tfgA00', NULL, NULL, 189, NULL, NULL, 18508),
(39987, '4u9bA00', NULL, NULL, 187, NULL, NULL, 18508),
(39988, '3sj5A00', NULL, NULL, 188, NULL, NULL, 18508),
(39989, '2vszA01', NULL, NULL, 32, NULL, NULL, 18509),
(39990, '4he8D00', NULL, NULL, 160, NULL, NULL, 18510),
(39991, '3rkoF01', NULL, NULL, 160, NULL, NULL, 18510),
(39992, '3ihmA03', NULL, NULL, 49, NULL, NULL, 18511),
(39993, '3qp1A00', NULL, NULL, 182, NULL, NULL, 18512),
(39994, '4y13A01', NULL, NULL, 176, NULL, NULL, 18512),
(39995, '6cc0A01', NULL, NULL, 167, NULL, NULL, 18512),
(39996, '5l10B00', NULL, NULL, 173, NULL, NULL, 18512),
(39997, '1l3lA01', NULL, NULL, 171, NULL, NULL, 18512),
(39998, '5l09B00', NULL, NULL, 179, NULL, NULL, 18512),
(39999, '2q0oA01', NULL, NULL, 169, NULL, NULL, 18512),
(40000, '4lfuA01', NULL, NULL, 176, NULL, NULL, 18512),
(40001, '3ix3A00', NULL, NULL, 173, NULL, NULL, 18512),
(40002, '3qp8A00', NULL, NULL, 184, NULL, NULL, 18512),
(40003, '2uv0H00', NULL, NULL, 175, NULL, NULL, 18512),
(40004, '1jv1B02', NULL, NULL, 68, NULL, NULL, 18513),
(40005, '2ae0X02', NULL, NULL, 138, NULL, NULL, 18514),
(40006, '2pnwA02', NULL, NULL, 161, NULL, NULL, 18514);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(40007, '3czbA02', NULL, NULL, 161, NULL, NULL, 18514),
(40008, '2g5dA02', NULL, NULL, 133, NULL, NULL, 18514),
(40009, '2g6gA02', NULL, NULL, 195, NULL, NULL, 18514),
(40010, '1nxhA00', NULL, NULL, 126, NULL, NULL, 18515),
(40011, '2uv1A00', NULL, NULL, 79, NULL, NULL, 18516),
(40012, '2uuzB00', NULL, NULL, 99, NULL, NULL, 18516),
(40013, '1urjA02', NULL, NULL, 217, NULL, NULL, 18517),
(40014, '2ffgA00', NULL, NULL, 87, NULL, NULL, 18518),
(40015, '3dpuB03', NULL, NULL, 111, NULL, NULL, 18519),
(40016, '1sx3A01', NULL, NULL, 250, NULL, NULL, 18520),
(40017, '5cdiA01', NULL, NULL, 257, NULL, NULL, 18520),
(40018, '1iokA01', NULL, NULL, 253, NULL, NULL, 18520),
(40019, '4aolZ01', NULL, NULL, 277, NULL, NULL, 18520),
(40020, '5x9vA01', NULL, NULL, 254, NULL, NULL, 18520),
(40021, '3ruvA01', NULL, NULL, 263, NULL, NULL, 18520),
(40022, '4pj1A01', NULL, NULL, 257, NULL, NULL, 18520),
(40023, '4aolQ01', NULL, NULL, 281, NULL, NULL, 18520),
(40024, '5da8X01', NULL, NULL, 252, NULL, NULL, 18520),
(40025, '3p9dB01', NULL, NULL, 271, NULL, NULL, 18520),
(40026, '3rtkA01', NULL, NULL, 182, NULL, NULL, 18520),
(40027, '4aolA01', NULL, NULL, 290, NULL, NULL, 18520),
(40028, '4aolD01', NULL, NULL, 262, NULL, NULL, 18520),
(40029, '1q3qA01', NULL, NULL, 267, NULL, NULL, 18520),
(40030, '4aolE01', NULL, NULL, 261, NULL, NULL, 18520),
(40031, '4aolG01', NULL, NULL, 267, NULL, NULL, 18520),
(40032, '3aq1B01', NULL, NULL, 165, NULL, NULL, 18520),
(40033, '3kttB01', NULL, NULL, 255, NULL, NULL, 18520),
(40034, '3p9dG01', NULL, NULL, 268, NULL, NULL, 18520),
(40035, '3ko1A01', NULL, NULL, 244, NULL, NULL, 18520),
(40036, '4xciB01', NULL, NULL, 248, NULL, NULL, 18520),
(40037, '4xcgA01', NULL, NULL, 246, NULL, NULL, 18520),
(40038, '1a6dA01', NULL, NULL, 244, NULL, NULL, 18520),
(40039, '1a6dB01', NULL, NULL, 242, NULL, NULL, 18520),
(40040, '1we3G01', NULL, NULL, 253, NULL, NULL, 18520),
(40041, '1vw3C02', NULL, NULL, 67, NULL, NULL, 18521),
(40042, '3qxyA02', NULL, NULL, 173, NULL, NULL, 18522),
(40043, '2h21A02', NULL, NULL, 165, NULL, NULL, 18522),
(40044, '3smtA02', NULL, NULL, 170, NULL, NULL, 18522),
(40045, '2loqA01', NULL, NULL, 84, NULL, NULL, 18523),
(40046, '2pqrC00', NULL, NULL, 44, NULL, NULL, 18524),
(40047, '1u2zA01', NULL, NULL, 212, NULL, NULL, 18525),
(40048, '1vkyB02', NULL, NULL, 79, NULL, NULL, 18526),
(40049, '1wdiA02', NULL, NULL, 89, NULL, NULL, 18526),
(40050, '1yy3A02', NULL, NULL, 99, NULL, NULL, 18526),
(40051, '3p3gA02', NULL, NULL, 172, NULL, NULL, 18527),
(40052, '4ozeB02', NULL, NULL, 160, NULL, NULL, 18527),
(40053, '3nzkA02', NULL, NULL, 178, NULL, NULL, 18527),
(40054, '3p3eA02', NULL, NULL, 172, NULL, NULL, 18527),
(40055, '3p3cA02', NULL, NULL, 153, NULL, NULL, 18527),
(40056, '4jkjA00', NULL, NULL, 228, NULL, NULL, 18528),
(40057, '4i6nA00', NULL, NULL, 231, NULL, NULL, 18528),
(40058, '1cmxA00', NULL, NULL, 235, NULL, NULL, 18528),
(40059, '3riiB00', NULL, NULL, 233, NULL, NULL, 18528),
(40060, '1xd3C00', NULL, NULL, 230, NULL, NULL, 18528),
(40061, '2dcfA01', NULL, NULL, 24, NULL, NULL, 18529),
(40062, '2ymsA00', NULL, NULL, 130, NULL, NULL, 18530),
(40063, '4dhiB01', NULL, NULL, 102, NULL, NULL, 18531),
(40064, '4fjvC01', NULL, NULL, 93, NULL, NULL, 18531),
(40065, '2zfyA01', NULL, NULL, 90, NULL, NULL, 18531),
(40066, '4ldtA01', NULL, NULL, 121, NULL, NULL, 18531),
(40067, '1t72D01', NULL, NULL, 106, NULL, NULL, 18532),
(40068, '1t72A01', NULL, NULL, 117, NULL, NULL, 18532),
(40069, '1t72B01', NULL, NULL, 116, NULL, NULL, 18532),
(40070, '1t72G01', NULL, NULL, 116, NULL, NULL, 18532),
(40071, '1t72D02', NULL, NULL, 121, NULL, NULL, 18532),
(40072, '1t72E01', NULL, NULL, 116, NULL, NULL, 18532),
(40073, '1t72F01', NULL, NULL, 117, NULL, NULL, 18532),
(40074, '3l39A01', NULL, NULL, 200, NULL, NULL, 18532),
(40075, '1xwmA00', NULL, NULL, 217, NULL, NULL, 18532),
(40076, '4q25A02', NULL, NULL, 98, NULL, NULL, 18532),
(40077, '4q25A01', NULL, NULL, 124, NULL, NULL, 18532),
(40078, '1t8bA01', NULL, NULL, 117, NULL, NULL, 18532),
(40079, '2i0mA02', NULL, NULL, 105, NULL, NULL, 18532); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(40080, '2oltB00', NULL, NULL, 227, NULL, NULL, 18532),
(40081, '2i0mA01', NULL, NULL, 111, NULL, NULL, 18532),
(40082, '1sumB01', NULL, NULL, 108, NULL, NULL, 18532),
(40083, '1vctA01', NULL, NULL, 117, NULL, NULL, 18532),
(40084, '1sumB02', NULL, NULL, 127, NULL, NULL, 18532),
(40085, '4aqfC02', NULL, NULL, 113, NULL, NULL, 18533),
(40086, '4aqgA02', NULL, NULL, 110, NULL, NULL, 18533),
(40087, '4aklA02', NULL, NULL, 113, NULL, NULL, 18533),
(40088, '4xzcA02', NULL, NULL, 119, NULL, NULL, 18533),
(40089, '3u3iA02', NULL, NULL, 109, NULL, NULL, 18533),
(40090, '3rklA00', NULL, NULL, 87, NULL, NULL, 18534),
(40091, '1bk4A02', NULL, NULL, 135, NULL, NULL, 18535),
(40092, '1dcuA02', NULL, NULL, 131, NULL, NULL, 18535),
(40093, '2gq1A02', NULL, NULL, 138, NULL, NULL, 18535),
(40094, '2pcrA02', NULL, NULL, 115, NULL, NULL, 18535),
(40095, '1nuwA02', NULL, NULL, 135, NULL, NULL, 18535),
(40096, '5i3sC02', NULL, NULL, 136, NULL, NULL, 18535),
(40097, '1lbvA02', NULL, NULL, 114, NULL, NULL, 18535),
(40098, '2bjiB02', NULL, NULL, 131, NULL, NULL, 18535),
(40099, '2q74A02', NULL, NULL, 135, NULL, NULL, 18535),
(40100, '5oezA02', NULL, NULL, 146, NULL, NULL, 18535),
(40101, '2p3nA02', NULL, NULL, 121, NULL, NULL, 18535),
(40102, '4n81A02', NULL, NULL, 117, NULL, NULL, 18535),
(40103, '6giuA02', NULL, NULL, 131, NULL, NULL, 18535),
(40104, '1xi6A02', NULL, NULL, 114, NULL, NULL, 18535),
(40105, '4qxdB02', NULL, NULL, 135, NULL, NULL, 18535),
(40106, '2wefA02', NULL, NULL, 136, NULL, NULL, 18535),
(40107, '5eq7A02', NULL, NULL, 124, NULL, NULL, 18535),
(40108, '1g0hA02', NULL, NULL, 115, NULL, NULL, 18535),
(40109, '5esyA02', NULL, NULL, 132, NULL, NULL, 18535),
(40110, '1spiA02', NULL, NULL, 132, NULL, NULL, 18535),
(40111, '4he2A02', NULL, NULL, 134, NULL, NULL, 18535),
(40112, '4as5A02', NULL, NULL, 131, NULL, NULL, 18535),
(40113, '5pzrA02', NULL, NULL, 135, NULL, NULL, 18535),
(40114, '6ib8B02', NULL, NULL, 127, NULL, NULL, 18535),
(40115, '1inpA03', NULL, NULL, 166, NULL, NULL, 18535),
(40116, '1vdwA02', NULL, NULL, 114, NULL, NULL, 18535),
(40117, '3lv0A02', NULL, NULL, 121, NULL, NULL, 18535),
(40118, '1ka1A02', NULL, NULL, 137, NULL, NULL, 18535),
(40119, '5iz3B02', NULL, NULL, 142, NULL, NULL, 18535),
(40120, '3b8bA02', NULL, NULL, 112, NULL, NULL, 18535),
(40121, '4o7iA02', NULL, NULL, 143, NULL, NULL, 18535),
(40122, '1jp4A02', NULL, NULL, 129, NULL, NULL, 18535),
(40123, '2fvzA02', NULL, NULL, 131, NULL, NULL, 18535),
(40124, '4ir8B02', NULL, NULL, 132, NULL, NULL, 18535),
(40125, '5zhhA02', NULL, NULL, 118, NULL, NULL, 18535),
(40126, '5iz1A02', NULL, NULL, 131, NULL, NULL, 18535),
(40127, '4i3yA02', NULL, NULL, 120, NULL, NULL, 18535),
(40128, '4ba6A00', NULL, NULL, 144, NULL, NULL, 18536),
(40129, '4afmA00', NULL, NULL, 134, NULL, NULL, 18536),
(40130, '4q6vA00', NULL, NULL, 136, NULL, NULL, 18537),
(40131, '4hrvB00', NULL, NULL, 167, NULL, NULL, 18537),
(40132, '3w1eA02', NULL, NULL, 177, NULL, NULL, 18537),
(40133, '4q6zA00', NULL, NULL, 136, NULL, NULL, 18537),
(40134, '4uv3E01', NULL, NULL, 217, NULL, NULL, 18537),
(40135, '2iqiB00', NULL, NULL, 192, NULL, NULL, 18537),
(40136, '2qtpA00', NULL, NULL, 172, NULL, NULL, 18538),
(40137, '3byqA00', NULL, NULL, 193, NULL, NULL, 18538),
(40138, '1n0eA00', NULL, NULL, 145, NULL, NULL, 18539),
(40139, '3c8yA01', NULL, NULL, 124, NULL, NULL, 18540),
(40140, '4jdoA01', NULL, NULL, 71, NULL, NULL, 18541),
(40141, '2ahrA02', NULL, NULL, 106, NULL, NULL, 18542),
(40142, '5uavB02', NULL, NULL, 103, NULL, NULL, 18542),
(40143, '2rcyA02', NULL, NULL, 108, NULL, NULL, 18542),
(40144, '1yqgA02', NULL, NULL, 113, NULL, NULL, 18542),
(40145, '3triA02', NULL, NULL, 110, NULL, NULL, 18542),
(40146, '5bseA02', NULL, NULL, 99, NULL, NULL, 18542),
(40147, '4lr3A01', NULL, NULL, 54, NULL, NULL, 18543),
(40148, '1wpbG01', NULL, NULL, 58, NULL, NULL, 18543),
(40149, '5d1pA01', NULL, NULL, 70, NULL, NULL, 18544),
(40150, '3qwuA01', NULL, NULL, 51, NULL, NULL, 18544),
(40151, '2vugA01', NULL, NULL, 61, NULL, NULL, 18544),
(40152, '1vtmP00', NULL, NULL, 158, NULL, NULL, 18545);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(40153, '1cgmE00', NULL, NULL, 161, NULL, NULL, 18545),
(40154, '6i5aA00', NULL, NULL, 159, NULL, NULL, 18545),
(40155, '1rmvA00', NULL, NULL, 157, NULL, NULL, 18545),
(40156, '3pdmP00', NULL, NULL, 162, NULL, NULL, 18545),
(40157, '3rlfF02', NULL, NULL, 86, NULL, NULL, 18546),
(40158, '3fidA00', NULL, NULL, 296, NULL, NULL, 18547),
(40159, '2cb9A02', NULL, NULL, 43, NULL, NULL, 18548),
(40160, '3lzdA01', NULL, NULL, 95, NULL, NULL, 18549),
(40161, '2qkwA00', NULL, NULL, 101, NULL, NULL, 18550),
(40162, '1xq4A00', NULL, NULL, 139, NULL, NULL, 18551),
(40163, '5hdwA00', NULL, NULL, 133, NULL, NULL, 18551),
(40164, '1xvsA00', NULL, NULL, 126, NULL, NULL, 18551),
(40165, '2f1eA00', NULL, NULL, 127, NULL, NULL, 18551),
(40166, '1tzaB00', NULL, NULL, 134, NULL, NULL, 18551),
(40167, '2lm0A01', NULL, NULL, 96, NULL, NULL, 18552),
(40168, '6gfxC02', NULL, NULL, 52, NULL, NULL, 18553),
(40169, '4phzA01', NULL, NULL, 153, NULL, NULL, 18554),
(40170, '4o65A00', NULL, NULL, 166, NULL, NULL, 18554),
(40171, '1yewA01', NULL, NULL, 149, NULL, NULL, 18554),
(40172, '3chxA01', NULL, NULL, 147, NULL, NULL, 18554),
(40173, '6cxhA01', NULL, NULL, 149, NULL, NULL, 18554),
(40174, '4i69A00', NULL, NULL, 87, NULL, NULL, 18555),
(40175, '5maoA00', NULL, NULL, 71, NULL, NULL, 18555),
(40176, '4awlA00', NULL, NULL, 62, NULL, NULL, 18556),
(40177, '4g92A00', NULL, NULL, 64, NULL, NULL, 18556),
(40178, '2czsA01', NULL, NULL, 63, NULL, NULL, 18557),
(40179, '4hj1A01', NULL, NULL, 166, NULL, NULL, 18558),
(40180, '5dqvB01', NULL, NULL, 106, NULL, NULL, 18559),
(40181, '2qgsB01', NULL, NULL, 99, NULL, NULL, 18559),
(40182, '3djbA01', NULL, NULL, 99, NULL, NULL, 18559),
(40183, '3b57A01', NULL, NULL, 100, NULL, NULL, 18559),
(40184, '2pjqA01', NULL, NULL, 104, NULL, NULL, 18559),
(40185, '3dtoA01', NULL, NULL, 100, NULL, NULL, 18559),
(40186, '1mj4A00', NULL, NULL, 82, NULL, NULL, 18560),
(40187, '1cyoA00', NULL, NULL, 93, NULL, NULL, 18560),
(40188, '3lf5A00', NULL, NULL, 88, NULL, NULL, 18560),
(40189, '1x3xA00', NULL, NULL, 82, NULL, NULL, 18560),
(40190, '1do9A00', NULL, NULL, 94, NULL, NULL, 18560),
(40191, '1ib7A00', NULL, NULL, 94, NULL, NULL, 18560),
(40192, '1j03A00', NULL, NULL, 102, NULL, NULL, 18560),
(40193, '1lj0C00', NULL, NULL, 92, NULL, NULL, 18560),
(40194, '4x8yB00', NULL, NULL, 110, NULL, NULL, 18560),
(40195, '1m2iA00', NULL, NULL, 82, NULL, NULL, 18560),
(40196, '2keoA00', NULL, NULL, 92, NULL, NULL, 18560),
(40197, '3nerA00', NULL, NULL, 92, NULL, NULL, 18560),
(40198, '2i96A01', NULL, NULL, 76, NULL, NULL, 18560),
(40199, '3x34A00', NULL, NULL, 94, NULL, NULL, 18560),
(40200, '3ozzB00', NULL, NULL, 82, NULL, NULL, 18560),
(40201, '3ks0A00', NULL, NULL, 95, NULL, NULL, 18560),
(40202, '1soxA01', NULL, NULL, 88, NULL, NULL, 18560),
(40203, '2ibjA00', NULL, NULL, 88, NULL, NULL, 18560),
(40204, '4b8nB00', NULL, NULL, 91, NULL, NULL, 18560),
(40205, '1cxyA00', NULL, NULL, 90, NULL, NULL, 18560),
(40206, '4hilA00', NULL, NULL, 87, NULL, NULL, 18560),
(40207, '1yozA00', NULL, NULL, 116, NULL, NULL, 18561),
(40208, '4tqrA02', NULL, NULL, 67, NULL, NULL, 18562),
(40209, '3osnA02', NULL, NULL, 62, NULL, NULL, 18562),
(40210, '5yuyA02', NULL, NULL, 53, NULL, NULL, 18562),
(40211, '3gqcD02', NULL, NULL, 44, NULL, NULL, 18562),
(40212, '4f4wA02', NULL, NULL, 67, NULL, NULL, 18562),
(40213, '3gqcA02', NULL, NULL, 65, NULL, NULL, 18562),
(40214, '3mfiA02', NULL, NULL, 97, NULL, NULL, 18562),
(40215, '5wm1A03', NULL, NULL, 72, NULL, NULL, 18562),
(40216, '6cstA03', NULL, NULL, 59, NULL, NULL, 18562),
(40217, '4dezA02', NULL, NULL, 67, NULL, NULL, 18562),
(40218, '5kfzA02', NULL, NULL, 70, NULL, NULL, 18562),
(40219, '2enxA02', NULL, NULL, 120, NULL, NULL, 18563),
(40220, '1i74A02', NULL, NULL, 119, NULL, NULL, 18563),
(40221, '1k20A02', NULL, NULL, 120, NULL, NULL, 18563),
(40222, '4rpaA02', NULL, NULL, 128, NULL, NULL, 18563),
(40223, '2qb7B02', NULL, NULL, 145, NULL, NULL, 18563),
(40224, '2hawA02', NULL, NULL, 120, NULL, NULL, 18563),
(40225, '2eb0B02', NULL, NULL, 119, NULL, NULL, 18563),
(40226, '2wr8A02', NULL, NULL, 96, NULL, NULL, 18564);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(40227, '2f4nB02', NULL, NULL, 105, NULL, NULL, 18564),
(40228, '2zbvA02', NULL, NULL, 105, NULL, NULL, 18564),
(40229, '1rqpA02', NULL, NULL, 107, NULL, NULL, 18564),
(40230, '2cw5A02', NULL, NULL, 89, NULL, NULL, 18564),
(40231, '2q6kA02', NULL, NULL, 120, NULL, NULL, 18564),
(40232, '5b6iA02', NULL, NULL, 107, NULL, NULL, 18564),
(40233, '3lnnB01', NULL, NULL, 95, NULL, NULL, 18565),
(40234, '3ne5C02', NULL, NULL, 102, NULL, NULL, 18565),
(40235, '4tkoB01', NULL, NULL, 124, NULL, NULL, 18565),
(40236, '1vf7F01', NULL, NULL, 102, NULL, NULL, 18565),
(40237, '3fppA01', NULL, NULL, 116, NULL, NULL, 18565),
(40238, '4kkuA02', NULL, NULL, 105, NULL, NULL, 18565),
(40239, '2f1mA01', NULL, NULL, 110, NULL, NULL, 18565),
(40240, '2f1mB01', NULL, NULL, 109, NULL, NULL, 18565),
(40241, '4l8jA02', NULL, NULL, 95, NULL, NULL, 18565),
(40242, '4dk0A02', NULL, NULL, 109, NULL, NULL, 18565),
(40243, '2f1mC01', NULL, NULL, 111, NULL, NULL, 18565),
(40244, '2f1mD01', NULL, NULL, 109, NULL, NULL, 18565),
(40245, '4bs9A04', NULL, NULL, 90, NULL, NULL, 18566),
(40246, '2qzbA00', NULL, NULL, 166, NULL, NULL, 18567),
(40247, '4hcwA02', NULL, NULL, 168, NULL, NULL, 18568),
(40248, '4oi4C01', NULL, NULL, 84, NULL, NULL, 18569),
(40249, '4ohyA01', NULL, NULL, 85, NULL, NULL, 18569),
(40250, '2f6mC00', NULL, NULL, 65, NULL, NULL, 18570),
(40251, '2z1dA02', NULL, NULL, 165, NULL, NULL, 18571),
(40252, '4fe9A02', NULL, NULL, 114, NULL, NULL, 18572),
(40253, '4fe9A03', NULL, NULL, 110, NULL, NULL, 18572),
(40254, '4fchA01', NULL, NULL, 117, NULL, NULL, 18572),
(40255, '2yeqA02', NULL, NULL, 418, NULL, NULL, 18573),
(40256, '3bjvA00', NULL, NULL, 161, NULL, NULL, 18574),
(40257, '6mtoT00', NULL, NULL, 160, NULL, NULL, 18574),
(40258, '3t43A00', NULL, NULL, 162, NULL, NULL, 18574),
(40259, '4ky9P00', NULL, NULL, 306, NULL, NULL, 18574),
(40260, '2a0jA00', NULL, NULL, 149, NULL, NULL, 18574),
(40261, '2oqtD00', NULL, NULL, 162, NULL, NULL, 18574),
(40262, '2oq3A00', NULL, NULL, 150, NULL, NULL, 18574),
(40263, '1a3aC00', NULL, NULL, 148, NULL, NULL, 18574),
(40264, '5sy8O00', NULL, NULL, 163, NULL, NULL, 18574),
(40265, '3oxpA00', NULL, NULL, 150, NULL, NULL, 18574),
(40266, '1xizB00', NULL, NULL, 159, NULL, NULL, 18574),
(40267, '3urrA00', NULL, NULL, 153, NULL, NULL, 18574),
(40268, '1a6jB00', NULL, NULL, 163, NULL, NULL, 18574),
(40269, '3i9v102', NULL, NULL, 179, NULL, NULL, 18575),
(40270, '6g2jF02', NULL, NULL, 180, NULL, NULL, 18575),
(40271, '4d0gC00', NULL, NULL, 69, NULL, NULL, 18576),
(40272, '3tsoC00', NULL, NULL, 75, NULL, NULL, 18576),
(40273, '2d7cC00', NULL, NULL, 42, NULL, NULL, 18576),
(40274, '2hv8D00', NULL, NULL, 64, NULL, NULL, 18576),
(40275, '2k6sA00', NULL, NULL, 41, NULL, NULL, 18576),
(40276, '1k7bA00', NULL, NULL, 47, NULL, NULL, 18577),
(40277, '1n7dA04', NULL, NULL, 42, NULL, NULL, 18577),
(40278, '2i1pA00', NULL, NULL, 48, NULL, NULL, 18577),
(40279, '1n7dA03', NULL, NULL, 40, NULL, NULL, 18577),
(40280, '1n7dA01', NULL, NULL, 53, NULL, NULL, 18577),
(40281, '1n7dA06', NULL, NULL, 40, NULL, NULL, 18577),
(40282, '1n7dA05', NULL, NULL, 42, NULL, NULL, 18577),
(40283, '1f5yA02', NULL, NULL, 41, NULL, NULL, 18577),
(40284, '1cr8A00', NULL, NULL, 42, NULL, NULL, 18577),
(40285, '2fcwB01', NULL, NULL, 36, NULL, NULL, 18577),
(40286, '1f5yA01', NULL, NULL, 44, NULL, NULL, 18577),
(40287, '1j8eA00', NULL, NULL, 44, NULL, NULL, 18577),
(40288, '2fcwB02', NULL, NULL, 44, NULL, NULL, 18577),
(40289, '2knxA00', NULL, NULL, 50, NULL, NULL, 18577),
(40290, '2jm4A00', NULL, NULL, 43, NULL, NULL, 18577),
(40291, '2m0pA00', NULL, NULL, 52, NULL, NULL, 18577),
(40292, '5oylD00', NULL, NULL, 46, NULL, NULL, 18577),
(40293, '1jrfA00', NULL, NULL, 47, NULL, NULL, 18577),
(40294, '1d2lA00', NULL, NULL, 45, NULL, NULL, 18577),
(40295, '2m96A00', NULL, NULL, 44, NULL, NULL, 18577),
(40296, '1xfeA01', NULL, NULL, 38, NULL, NULL, 18577),
(40297, '2m7pA00', NULL, NULL, 42, NULL, NULL, 18577),
(40298, '1wjwA01', NULL, NULL, 85, NULL, NULL, 18578),
(40299, '3uw2A04', NULL, NULL, 94, NULL, NULL, 18578),
(40300, '3pmgA04', NULL, NULL, 161, NULL, NULL, 18578);
INSERT INTO "PUBLIC"."MODEL" VALUES
(40301, '2f7lA04', NULL, NULL, 85, NULL, NULL, 18578),
(40302, '2jpiA00', NULL, NULL, 96, NULL, NULL, 18578),
(40303, '5o9xA03', NULL, NULL, 93, NULL, NULL, 18578),
(40304, '6gyzA04', NULL, NULL, 84, NULL, NULL, 18578),
(40305, '4qg5A04', NULL, NULL, 143, NULL, NULL, 18578),
(40306, '1p5dX04', NULL, NULL, 93, NULL, NULL, 18578),
(40307, '1wqaA04', NULL, NULL, 85, NULL, NULL, 18578),
(40308, '4wxaA00', NULL, NULL, 94, NULL, NULL, 18578),
(40309, '3encA00', NULL, NULL, 87, NULL, NULL, 18578),
(40310, '3pdkA04', NULL, NULL, 79, NULL, NULL, 18578),
(40311, '5bmnA04', NULL, NULL, 83, NULL, NULL, 18578),
(40312, '1tuoA04', NULL, NULL, 85, NULL, NULL, 18578),
(40313, '4hjhA04', NULL, NULL, 103, NULL, NULL, 18578),
(40314, '3na5A04', NULL, NULL, 104, NULL, NULL, 18578),
(40315, '2dkdA03', NULL, NULL, 80, NULL, NULL, 18578),
(40316, '5jn5B04', NULL, NULL, 152, NULL, NULL, 18578),
(40317, '3i3wA04', NULL, NULL, 77, NULL, NULL, 18578),
(40318, '2z0fA04', NULL, NULL, 102, NULL, NULL, 18578),
(40319, '1kfiA04', NULL, NULL, 125, NULL, NULL, 18578),
(40320, '4fx5A01', NULL, NULL, 144, NULL, NULL, 18579),
(40321, '2o3bB00', NULL, NULL, 136, NULL, NULL, 18580),
(40322, '2xi9A03', NULL, NULL, 101, NULL, NULL, 18581),
(40323, '4c0zA02', NULL, NULL, 96, NULL, NULL, 18581),
(40324, '5a0lA02', NULL, NULL, 99, NULL, NULL, 18581),
(40325, '1yhpA02', NULL, NULL, 120, NULL, NULL, 18582),
(40326, '2ra1A01', NULL, NULL, 98, NULL, NULL, 18583),
(40327, '5bv3D02', NULL, NULL, 220, NULL, NULL, 18584),
(40328, '2fitA00', NULL, NULL, 147, NULL, NULL, 18584),
(40329, '5waaA00', NULL, NULL, 129, NULL, NULL, 18584),
(40330, '6iq1A00', NULL, NULL, 160, NULL, NULL, 18584),
(40331, '3bl9A02', NULL, NULL, 191, NULL, NULL, 18584),
(40332, '4xbaB00', NULL, NULL, 200, NULL, NULL, 18584),
(40333, '6gqdA01', NULL, NULL, 141, NULL, NULL, 18584),
(40334, '6gqdA02', NULL, NULL, 184, NULL, NULL, 18584),
(40335, '5uvmA00', NULL, NULL, 115, NULL, NULL, 18584),
(40336, '3i24B00', NULL, NULL, 149, NULL, NULL, 18584),
(40337, '1gupB01', NULL, NULL, 173, NULL, NULL, 18584),
(40338, '1gupA02', NULL, NULL, 132, NULL, NULL, 18584),
(40339, '3bl9B03', NULL, NULL, 119, NULL, NULL, 18584),
(40340, '3oj7A00', NULL, NULL, 117, NULL, NULL, 18584),
(40341, '1z84A02', NULL, NULL, 133, NULL, NULL, 18584),
(40342, '1z84B01', NULL, NULL, 198, NULL, NULL, 18584),
(40343, '3i4sA00', NULL, NULL, 149, NULL, NULL, 18584),
(40344, '3nrdA00', NULL, NULL, 135, NULL, NULL, 18584),
(40345, '3p0tA00', NULL, NULL, 138, NULL, NULL, 18584),
(40346, '3o0mB00', NULL, NULL, 149, NULL, NULL, 18584),
(40347, '3n1sJ00', NULL, NULL, 119, NULL, NULL, 18584),
(40348, '2oikA00', NULL, NULL, 154, NULL, NULL, 18584),
(40349, '3ksvA01', NULL, NULL, 122, NULL, NULL, 18584),
(40350, '2oikB00', NULL, NULL, 154, NULL, NULL, 18584),
(40351, '3r6fA00', NULL, NULL, 135, NULL, NULL, 18584),
(40352, '1y23A00', NULL, NULL, 145, NULL, NULL, 18584),
(40353, '2oikC00', NULL, NULL, 154, NULL, NULL, 18584),
(40354, '2oikD00', NULL, NULL, 154, NULL, NULL, 18584),
(40355, '3l7xA00', NULL, NULL, 173, NULL, NULL, 18584),
(40356, '1vlrB03', NULL, NULL, 119, NULL, NULL, 18584),
(40357, '1emsA02', NULL, NULL, 149, NULL, NULL, 18584),
(40358, '4zglD00', NULL, NULL, 112, NULL, NULL, 18584),
(40359, '3imiC00', NULL, NULL, 147, NULL, NULL, 18584),
(40360, '6cvqA00', NULL, NULL, 180, NULL, NULL, 18584),
(40361, '2eo4A00', NULL, NULL, 149, NULL, NULL, 18584),
(40362, '3lb5B00', NULL, NULL, 138, NULL, NULL, 18584),
(40363, '5cs2A00', NULL, NULL, 150, NULL, NULL, 18584),
(40364, '1vkvB01', NULL, NULL, 197, NULL, NULL, 18584),
(40365, '4incB00', NULL, NULL, 112, NULL, NULL, 18584),
(40366, '1vkvA01', NULL, NULL, 196, NULL, NULL, 18584),
(40367, '3anoA00', NULL, NULL, 190, NULL, NULL, 18584),
(40368, '3oheA00', NULL, NULL, 137, NULL, NULL, 18584),
(40369, '3o1cA00', NULL, NULL, 126, NULL, NULL, 18584),
(40370, '4eguA00', NULL, NULL, 119, NULL, NULL, 18584),
(40371, '6d6jB00', NULL, NULL, 121, NULL, NULL, 18584),
(40372, '4qbuA02', NULL, NULL, 241, NULL, NULL, 18585),
(40373, '3im8A01', NULL, NULL, 234, NULL, NULL, 18585);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(40374, '3sbmA01', NULL, NULL, 213, NULL, NULL, 18585),
(40375, '5dz6A01', NULL, NULL, 219, NULL, NULL, 18585),
(40376, '4rl1A01', NULL, NULL, 257, NULL, NULL, 18585),
(40377, '4rr5A01', NULL, NULL, 229, NULL, NULL, 18585),
(40378, '2jfkA02', NULL, NULL, 248, NULL, NULL, 18585),
(40379, '2uvaG02', NULL, NULL, 306, NULL, NULL, 18585),
(40380, '5czcB01', NULL, NULL, 235, NULL, NULL, 18585),
(40381, '2uv8G02', NULL, NULL, 308, NULL, NULL, 18585),
(40382, '5dz7A01', NULL, NULL, 219, NULL, NULL, 18585),
(40383, '5my2A03', NULL, NULL, 175, NULL, NULL, 18585),
(40384, '3tqeA01', NULL, NULL, 243, NULL, NULL, 18585),
(40385, '3tzyA01', NULL, NULL, 397, NULL, NULL, 18585),
(40386, '2cuyA01', NULL, NULL, 236, NULL, NULL, 18585),
(40387, '5ypvA01', NULL, NULL, 240, NULL, NULL, 18585),
(40388, '1nm2A02', NULL, NULL, 239, NULL, NULL, 18585),
(40389, '3g87A01', NULL, NULL, 226, NULL, NULL, 18585),
(40390, '1mlaA02', NULL, NULL, 236, NULL, NULL, 18585),
(40391, '3h0pA01', NULL, NULL, 239, NULL, NULL, 18585),
(40392, '3hjvA01', NULL, NULL, 239, NULL, NULL, 18585),
(40393, '3im9A01', NULL, NULL, 242, NULL, NULL, 18585),
(40394, '2qc3A01', NULL, NULL, 239, NULL, NULL, 18585),
(40395, '2vz8B03', NULL, NULL, 299, NULL, NULL, 18585),
(40396, '4ammA00', NULL, NULL, 401, NULL, NULL, 18585),
(40397, '3k89A01', NULL, NULL, 241, NULL, NULL, 18585),
(40398, '3hhdA03', NULL, NULL, 175, NULL, NULL, 18585),
(40399, '3qatA01', NULL, NULL, 245, NULL, NULL, 18585),
(40400, '2c2nA01', NULL, NULL, 240, NULL, NULL, 18585),
(40401, '2uvaJ10', NULL, NULL, 170, NULL, NULL, 18585),
(40402, '3ptwA01', NULL, NULL, 247, NULL, NULL, 18585),
(40403, '2hg4D03', NULL, NULL, 304, NULL, NULL, 18585),
(40404, '3ezoA01', NULL, NULL, 245, NULL, NULL, 18585),
(40405, '2qo3A03', NULL, NULL, 305, NULL, NULL, 18585),
(40406, '2h1yB01', NULL, NULL, 251, NULL, NULL, 18585),
(40407, '5nrgS02', NULL, NULL, 82, NULL, NULL, 18586),
(40408, '5dm6S02', NULL, NULL, 89, NULL, NULL, 18586),
(40409, '1feuA02', NULL, NULL, 94, NULL, NULL, 18586),
(40410, '2ovsA00', NULL, NULL, 118, NULL, NULL, 18587),
(40411, '4kt5A00', NULL, NULL, 127, NULL, NULL, 18587),
(40412, '3g43E00', NULL, NULL, 81, NULL, NULL, 18588),
(40413, '3oxqE00', NULL, NULL, 78, NULL, NULL, 18588),
(40414, '3l5oA02', NULL, NULL, 119, NULL, NULL, 18589),
(40415, '1sg6A02', NULL, NULL, 209, NULL, NULL, 18590),
(40416, '4qgsA02', NULL, NULL, 204, NULL, NULL, 18590),
(40417, '3qbeA02', NULL, NULL, 188, NULL, NULL, 18590),
(40418, '3jzdA02', NULL, NULL, 194, NULL, NULL, 18590),
(40419, '3ce9A02', NULL, NULL, 194, NULL, NULL, 18590),
(40420, '1xaiA02', NULL, NULL, 188, NULL, NULL, 18590),
(40421, '3uhjF02', NULL, NULL, 206, NULL, NULL, 18590),
(40422, '5hvnA02', NULL, NULL, 187, NULL, NULL, 18590),
(40423, '4p53A02', NULL, NULL, 197, NULL, NULL, 18590),
(40424, '3rf7A02', NULL, NULL, 172, NULL, NULL, 18590),
(40425, '3w5sA02', NULL, NULL, 191, NULL, NULL, 18590),
(40426, '1vljA02', NULL, NULL, 211, NULL, NULL, 18590),
(40427, '3ox4A02', NULL, NULL, 199, NULL, NULL, 18590),
(40428, '5br4A02', NULL, NULL, 205, NULL, NULL, 18590),
(40429, '3hl0A02', NULL, NULL, 191, NULL, NULL, 18590),
(40430, '5fb3A02', NULL, NULL, 193, NULL, NULL, 18590),
(40431, '5eksA02', NULL, NULL, 189, NULL, NULL, 18590),
(40432, '3clhA02', NULL, NULL, 181, NULL, NULL, 18590),
(40433, '1o2dA02', NULL, NULL, 179, NULL, NULL, 18590),
(40434, '1ujnA02', NULL, NULL, 177, NULL, NULL, 18590),
(40435, '5k8cA02', NULL, NULL, 172, NULL, NULL, 18590),
(40436, '4fr2A02', NULL, NULL, 202, NULL, NULL, 18590),
(40437, '1jq5A02', NULL, NULL, 209, NULL, NULL, 18590),
(40438, '4rflA02', NULL, NULL, 199, NULL, NULL, 18590),
(40439, '4mcaB02', NULL, NULL, 208, NULL, NULL, 18590),
(40440, '5zxlA02', NULL, NULL, 208, NULL, NULL, 18590),
(40441, '3zdrA02', NULL, NULL, 218, NULL, NULL, 18590),
(40442, '5xn8A02', NULL, NULL, 206, NULL, NULL, 18590),
(40443, '3iv7A02', NULL, NULL, 201, NULL, NULL, 18590),
(40444, '6c5cB02', NULL, NULL, 208, NULL, NULL, 18590),
(40445, '3okfA02', NULL, NULL, 190, NULL, NULL, 18590),
(40446, '3bfjA02', NULL, NULL, 199, NULL, NULL, 18590);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(40447, '6c7lA02', NULL, NULL, 195, NULL, NULL, 18590),
(40448, '5tprA02', NULL, NULL, 224, NULL, NULL, 18590),
(40449, '3zokA02', NULL, NULL, 191, NULL, NULL, 18590),
(40450, '2gruA02', NULL, NULL, 197, NULL, NULL, 18590),
(40451, '1ta9A02', NULL, NULL, 230, NULL, NULL, 18590),
(40452, '1kq3A02', NULL, NULL, 207, NULL, NULL, 18590),
(40453, '4fwwA02', NULL, NULL, 46, NULL, NULL, 18591),
(40454, '4gz8A02', NULL, NULL, 53, NULL, NULL, 18591),
(40455, '1yukA01', NULL, NULL, 59, NULL, NULL, 18591),
(40456, '3nvqA02', NULL, NULL, 57, NULL, NULL, 18591),
(40457, '4gz8B02', NULL, NULL, 76, NULL, NULL, 18591),
(40458, '4k3jB02', NULL, NULL, 57, NULL, NULL, 18591),
(40459, '5b4wE02', NULL, NULL, 47, NULL, NULL, 18591),
(40460, '2uzyB02', NULL, NULL, 45, NULL, NULL, 18591),
(40461, '1olzA02', NULL, NULL, 57, NULL, NULL, 18591),
(40462, '3ol2B02', NULL, NULL, 63, NULL, NULL, 18591),
(40463, '4wk0B01', NULL, NULL, 61, NULL, NULL, 18591),
(40464, '3t3pB01', NULL, NULL, 57, NULL, NULL, 18591),
(40465, '3al9A02', NULL, NULL, 60, NULL, NULL, 18591),
(40466, '3okyB02', NULL, NULL, 66, NULL, NULL, 18591),
(40467, '3al8B02', NULL, NULL, 33, NULL, NULL, 18591),
(40468, '4um9D01', NULL, NULL, 61, NULL, NULL, 18591),
(40469, '4o9bC00', NULL, NULL, 104, NULL, NULL, 18592),
(40470, '3p8cD01', NULL, NULL, 65, NULL, NULL, 18592),
(40471, '1wt6B00', NULL, NULL, 81, NULL, NULL, 18592),
(40472, '3basB00', NULL, NULL, 89, NULL, NULL, 18592),
(40473, '4n78D01', NULL, NULL, 85, NULL, NULL, 18592),
(40474, '1ic2A00', NULL, NULL, 81, NULL, NULL, 18592),
(40475, '1d7mA00', NULL, NULL, 101, NULL, NULL, 18592),
(40476, '3ojaB03', NULL, NULL, 95, NULL, NULL, 18592),
(40477, '5bu5A01', NULL, NULL, 97, NULL, NULL, 18592),
(40478, '3hrnA00', NULL, NULL, 64, NULL, NULL, 18592),
(40479, '2qihA00', NULL, NULL, 141, NULL, NULL, 18592),
(40480, '1x79B00', NULL, NULL, 92, NULL, NULL, 18592),
(40481, '4i1lA00', NULL, NULL, 76, NULL, NULL, 18592),
(40482, '6h9mA00', NULL, NULL, 96, NULL, NULL, 18592),
(40483, '3u1cA00', NULL, NULL, 101, NULL, NULL, 18592),
(40484, '3vp9B00', NULL, NULL, 92, NULL, NULL, 18592),
(40485, '2pohA01', NULL, NULL, 156, NULL, NULL, 18592),
(40486, '2fxmB00', NULL, NULL, 129, NULL, NULL, 18592),
(40487, '5ktbA01', NULL, NULL, 63, NULL, NULL, 18592),
(40488, '5ktbB01', NULL, NULL, 82, NULL, NULL, 18592),
(40489, '2pohF01', NULL, NULL, 143, NULL, NULL, 18592),
(40490, '3u59D00', NULL, NULL, 101, NULL, NULL, 18592),
(40491, '3o0zB00', NULL, NULL, 168, NULL, NULL, 18592),
(40492, '4zkpA01', NULL, NULL, 102, NULL, NULL, 18592),
(40493, '2jeeA00', NULL, NULL, 81, NULL, NULL, 18592),
(40494, '4rmpA00', NULL, NULL, 161, NULL, NULL, 18593),
(40495, '1b33B00', NULL, NULL, 161, NULL, NULL, 18593),
(40496, '1cpcB00', NULL, NULL, 172, NULL, NULL, 18593),
(40497, '2bv8A00', NULL, NULL, 162, NULL, NULL, 18593),
(40498, '4f0uA00', NULL, NULL, 160, NULL, NULL, 18593),
(40499, '1gh0A00', NULL, NULL, 162, NULL, NULL, 18593),
(40500, '1kn1B00', NULL, NULL, 161, NULL, NULL, 18593),
(40501, '1allA00', NULL, NULL, 160, NULL, NULL, 18593),
(40502, '3dbjB00', NULL, NULL, 161, NULL, NULL, 18593),
(40503, '4yjjB00', NULL, NULL, 172, NULL, NULL, 18593),
(40504, '2vjhB00', NULL, NULL, 177, NULL, NULL, 18593),
(40505, '2c7lB00', NULL, NULL, 172, NULL, NULL, 18593),
(40506, '4f0tB00', NULL, NULL, 172, NULL, NULL, 18593),
(40507, '4h0mB00', NULL, NULL, 173, NULL, NULL, 18593),
(40508, '3v57B00', NULL, NULL, 177, NULL, NULL, 18593),
(40509, '3kvsA00', NULL, NULL, 162, NULL, NULL, 18593),
(40510, '2uunB00', NULL, NULL, 172, NULL, NULL, 18593),
(40511, '1eyxB00', NULL, NULL, 177, NULL, NULL, 18593),
(40512, '5tjfB00', NULL, NULL, 161, NULL, NULL, 18593),
(40513, '2vjhA00', NULL, NULL, 164, NULL, NULL, 18593),
(40514, '5nb4A00', NULL, NULL, 164, NULL, NULL, 18593),
(40515, '1xg0C00', NULL, NULL, 177, NULL, NULL, 18593),
(40516, '4lm6D00', NULL, NULL, 177, NULL, NULL, 18593),
(40517, '1b8dA00', NULL, NULL, 164, NULL, NULL, 18593),
(40518, '2vjtA00', NULL, NULL, 161, NULL, NULL, 18593),
(40519, '3l0fB00', NULL, NULL, 172, NULL, NULL, 18593),
(40520, '1f99B00', NULL, NULL, 172, NULL, NULL, 18593);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(40521, '5touA00', NULL, NULL, 162, NULL, NULL, 18593),
(40522, '4po5B00', NULL, NULL, 161, NULL, NULL, 18593),
(40523, '2vmlB00', NULL, NULL, 172, NULL, NULL, 18593),
(40524, '1liaA00', NULL, NULL, 164, NULL, NULL, 18593),
(40525, '1gh0B00', NULL, NULL, 172, NULL, NULL, 18593),
(40526, '4rmpB00', NULL, NULL, 161, NULL, NULL, 18593),
(40527, '1b33A00', NULL, NULL, 160, NULL, NULL, 18593),
(40528, '1cpcA00', NULL, NULL, 162, NULL, NULL, 18593),
(40529, '4lmxD00', NULL, NULL, 177, NULL, NULL, 18593),
(40530, '4po5A00', NULL, NULL, 167, NULL, NULL, 18593),
(40531, '4f0uB00', NULL, NULL, 161, NULL, NULL, 18593),
(40532, '1kn1A00', NULL, NULL, 160, NULL, NULL, 18593),
(40533, '1allB00', NULL, NULL, 161, NULL, NULL, 18593),
(40534, '3dbjA00', NULL, NULL, 161, NULL, NULL, 18593),
(40535, '5b13G00', NULL, NULL, 177, NULL, NULL, 18593),
(40536, '4yjjA00', NULL, NULL, 162, NULL, NULL, 18593),
(40537, '2j96A00', NULL, NULL, 162, NULL, NULL, 18593),
(40538, '2bv8B00', NULL, NULL, 172, NULL, NULL, 18593),
(40539, '5b13A00', NULL, NULL, 164, NULL, NULL, 18593),
(40540, '5nb4M00', NULL, NULL, 184, NULL, NULL, 18593),
(40541, '3v57A00', NULL, NULL, 164, NULL, NULL, 18593),
(40542, '4lmsD00', NULL, NULL, 177, NULL, NULL, 18593),
(40543, '4h0mA00', NULL, NULL, 163, NULL, NULL, 18593),
(40544, '1eyxA00', NULL, NULL, 164, NULL, NULL, 18593),
(40545, '3kvsB00', NULL, NULL, 172, NULL, NULL, 18593),
(40546, '2uunA00', NULL, NULL, 162, NULL, NULL, 18593),
(40547, '5tjfA00', NULL, NULL, 160, NULL, NULL, 18593),
(40548, '4f0tA00', NULL, NULL, 162, NULL, NULL, 18593),
(40549, '2vjtB00', NULL, NULL, 161, NULL, NULL, 18593),
(40550, '1b8dB00', NULL, NULL, 177, NULL, NULL, 18593),
(40551, '3l0fA00', NULL, NULL, 162, NULL, NULL, 18593),
(40552, '1f99A00', NULL, NULL, 162, NULL, NULL, 18593),
(40553, '5touB00', NULL, NULL, 172, NULL, NULL, 18593),
(40554, '4xxiA00', NULL, NULL, 157, NULL, NULL, 18593),
(40555, '2vmlA00', NULL, NULL, 162, NULL, NULL, 18593),
(40556, '1liaB00', NULL, NULL, 177, NULL, NULL, 18593),
(40557, '2cw8A02', NULL, NULL, 146, NULL, NULL, 18594),
(40558, '4uqfG01', NULL, NULL, 67, NULL, NULL, 18595),
(40559, '4du6E01', NULL, NULL, 87, NULL, NULL, 18595),
(40560, '1wurA01', NULL, NULL, 54, NULL, NULL, 18595),
(40561, '1is8A01', NULL, NULL, 60, NULL, NULL, 18595),
(40562, '1a8rA01', NULL, NULL, 85, NULL, NULL, 18595),
(40563, '3gygC02', NULL, NULL, 86, NULL, NULL, 18596),
(40564, '4driB00', NULL, NULL, 98, NULL, NULL, 18597),
(40565, '5gpgB00', NULL, NULL, 93, NULL, NULL, 18597),
(40566, '1a6sA00', NULL, NULL, 87, NULL, NULL, 18598),
(40567, '1ed1A00', NULL, NULL, 119, NULL, NULL, 18598),
(40568, '4jmuA00', NULL, NULL, 112, NULL, NULL, 18598),
(40569, '4ic9A00', NULL, NULL, 133, NULL, NULL, 18598),
(40570, '2nv3A01', NULL, NULL, 113, NULL, NULL, 18598),
(40571, '2h3qA01', NULL, NULL, 116, NULL, NULL, 18598),
(40572, '1tamA00', NULL, NULL, 132, NULL, NULL, 18598),
(40573, '1hekA00', NULL, NULL, 131, NULL, NULL, 18598),
(40574, '2k4hA01', NULL, NULL, 109, NULL, NULL, 18598),
(40575, '4icaA00', NULL, NULL, 134, NULL, NULL, 18598),
(40576, '3mq1A01', NULL, NULL, 92, NULL, NULL, 18599),
(40577, '2jmhA01', NULL, NULL, 101, NULL, NULL, 18599),
(40578, '2lm9A00', NULL, NULL, 96, NULL, NULL, 18599),
(40579, '3c24B02', NULL, NULL, 104, NULL, NULL, 18600),
(40580, '3c24A02', NULL, NULL, 104, NULL, NULL, 18600),
(40581, '4v19W00', NULL, NULL, 166, NULL, NULL, 18601),
(40582, '6qulT00', NULL, NULL, 110, NULL, NULL, 18601),
(40583, '1vq8R00', NULL, NULL, 155, NULL, NULL, 18601),
(40584, '4a17Q00', NULL, NULL, 158, NULL, NULL, 18601),
(40585, '5x8tT00', NULL, NULL, 144, NULL, NULL, 18601),
(40586, '5dm6P00', NULL, NULL, 127, NULL, NULL, 18601),
(40587, '1vx7W00', NULL, NULL, 203, NULL, NULL, 18601),
(40588, '5xymS00', NULL, NULL, 117, NULL, NULL, 18601),
(40589, '5v7qS00', NULL, NULL, 121, NULL, NULL, 18601),
(40590, '1vwxP00', NULL, NULL, 153, NULL, NULL, 18601),
(40591, '6hmaQ00', NULL, NULL, 112, NULL, NULL, 18601),
(40592, '5oomT00', NULL, NULL, 166, NULL, NULL, 18601),
(40593, '3o58Q00', NULL, NULL, 156, NULL, NULL, 18601);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(40594, '1i4jA00', NULL, NULL, 110, NULL, NULL, 18601),
(40595, '5tkwA01', NULL, NULL, 171, NULL, NULL, 18602),
(40596, '4phtX01', NULL, NULL, 176, NULL, NULL, 18602),
(40597, '2bh1A01', NULL, NULL, 175, NULL, NULL, 18602),
(40598, '2p3yA03', NULL, NULL, 148, NULL, NULL, 18603),
(40599, '4q37A00', NULL, NULL, 128, NULL, NULL, 18604),
(40600, '3bulA02', NULL, NULL, 153, NULL, NULL, 18604),
(40601, '2xijA02', NULL, NULL, 164, NULL, NULL, 18604),
(40602, '1reqB02', NULL, NULL, 139, NULL, NULL, 18604),
(40603, '2yxbA00', NULL, NULL, 161, NULL, NULL, 18604),
(40604, '4hh3C02', NULL, NULL, 139, NULL, NULL, 18604),
(40605, '1reqA02', NULL, NULL, 164, NULL, NULL, 18604),
(40606, '3whpA02', NULL, NULL, 126, NULL, NULL, 18604),
(40607, '4jgiB02', NULL, NULL, 131, NULL, NULL, 18604),
(40608, '1xrsB02', NULL, NULL, 161, NULL, NULL, 18604),
(40609, '1ccwA00', NULL, NULL, 137, NULL, NULL, 18604),
(40610, '4r3uC00', NULL, NULL, 158, NULL, NULL, 18604),
(40611, '3ezxA02', NULL, NULL, 129, NULL, NULL, 18604),
(40612, '1y80A00', NULL, NULL, 126, NULL, NULL, 18604),
(40613, '1be1A00', NULL, NULL, 137, NULL, NULL, 18604),
(40614, '3kp1A04', NULL, NULL, 150, NULL, NULL, 18604),
(40615, '2i2xB02', NULL, NULL, 137, NULL, NULL, 18604),
(40616, '4xc7B01', NULL, NULL, 144, NULL, NULL, 18604),
(40617, '4k17A02', NULL, NULL, 44, NULL, NULL, 18605),
(40618, '4f27A02', NULL, NULL, 171, NULL, NULL, 18606),
(40619, '4mboA02', NULL, NULL, 160, NULL, NULL, 18606),
(40620, '3irpX02', NULL, NULL, 148, NULL, NULL, 18606),
(40621, '4bbwA01', NULL, NULL, 161, NULL, NULL, 18606),
(40622, '4mbrA02', NULL, NULL, 177, NULL, NULL, 18606),
(40623, '3at0A02', NULL, NULL, 181, NULL, NULL, 18606),
(40624, '4fj6D01', NULL, NULL, 163, NULL, NULL, 18606),
(40625, '5ihwA02', NULL, NULL, 166, NULL, NULL, 18606),
(40626, '4je0A02', NULL, NULL, 161, NULL, NULL, 18606),
(40627, '2vr3B02', NULL, NULL, 158, NULL, NULL, 18606),
(40628, '4q6kA01', NULL, NULL, 166, NULL, NULL, 18606),
(40629, '4b60A02', NULL, NULL, 168, NULL, NULL, 18606),
(40630, '4rmbB00', NULL, NULL, 166, NULL, NULL, 18606),
(40631, '1r17A02', NULL, NULL, 158, NULL, NULL, 18606),
(40632, '5cfaA02', NULL, NULL, 166, NULL, NULL, 18606),
(40633, '1zmbA02', NULL, NULL, 42, NULL, NULL, 18607),
(40634, '1gkuB07', NULL, NULL, 102, NULL, NULL, 18608),
(40635, '4dduA07', NULL, NULL, 107, NULL, NULL, 18608),
(40636, '6myiB00', NULL, NULL, 139, NULL, NULL, 18609),
(40637, '4oebA00', NULL, NULL, 138, NULL, NULL, 18609),
(40638, '4joxA00', NULL, NULL, 123, NULL, NULL, 18609),
(40639, '5v3sB00', NULL, NULL, 154, NULL, NULL, 18609),
(40640, '1k90C03', NULL, NULL, 155, NULL, NULL, 18610),
(40641, '1k90B03', NULL, NULL, 121, NULL, NULL, 18610),
(40642, '2b3wA00', NULL, NULL, 168, NULL, NULL, 18611),
(40643, '3gw6A03', NULL, NULL, 59, NULL, NULL, 18612),
(40644, '2lp4A02', NULL, NULL, 80, NULL, NULL, 18613),
(40645, '1eayD00', NULL, NULL, 74, NULL, NULL, 18613),
(40646, '1xhhA00', NULL, NULL, 91, NULL, NULL, 18614),
(40647, '1pl4A01', NULL, NULL, 64, NULL, NULL, 18615),
(40648, '1b06A01', NULL, NULL, 67, NULL, NULL, 18615),
(40649, '1mngA01', NULL, NULL, 71, NULL, NULL, 18615),
(40650, '3ceiA01', NULL, NULL, 63, NULL, NULL, 18615),
(40651, '1wb7A01', NULL, NULL, 67, NULL, NULL, 18615),
(40652, '6ex3C01', NULL, NULL, 70, NULL, NULL, 18615),
(40653, '4e4eB01', NULL, NULL, 71, NULL, NULL, 18615),
(40654, '6ex5A01', NULL, NULL, 70, NULL, NULL, 18615),
(40655, '1ma1A01', NULL, NULL, 64, NULL, NULL, 18615),
(40656, '4e4eA01', NULL, NULL, 71, NULL, NULL, 18615),
(40657, '4e4eD01', NULL, NULL, 71, NULL, NULL, 18615),
(40658, '4ffkA01', NULL, NULL, 65, NULL, NULL, 18615),
(40659, '4e4eC01', NULL, NULL, 71, NULL, NULL, 18615),
(40660, '4br6A01', NULL, NULL, 64, NULL, NULL, 18615),
(40661, '4yioA01', NULL, NULL, 70, NULL, NULL, 18615),
(40662, '1idsA01', NULL, NULL, 64, NULL, NULL, 18615),
(40663, '3lsuA01', NULL, NULL, 71, NULL, NULL, 18615),
(40664, '2rcvB01', NULL, NULL, 71, NULL, NULL, 18615),
(40665, '3lsuD01', NULL, NULL, 71, NULL, NULL, 18615),
(40666, '6elkA01', NULL, NULL, 64, NULL, NULL, 18615),
(40667, '3lsuC01', NULL, NULL, 71, NULL, NULL, 18615);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(40668, '6bejA01', NULL, NULL, 70, NULL, NULL, 18615),
(40669, '3lsuB01', NULL, NULL, 71, NULL, NULL, 18615),
(40670, '4gunA01', NULL, NULL, 64, NULL, NULL, 18615),
(40671, '5tirA01', NULL, NULL, 64, NULL, NULL, 18615),
(40672, '1xuqA01', NULL, NULL, 71, NULL, NULL, 18615),
(40673, '1xreA01', NULL, NULL, 71, NULL, NULL, 18615),
(40674, '4c7uA01', NULL, NULL, 64, NULL, NULL, 18615),
(40675, '1bsmA01', NULL, NULL, 64, NULL, NULL, 18615),
(40676, '5x2jA01', NULL, NULL, 70, NULL, NULL, 18615),
(40677, '1kkcA01', NULL, NULL, 64, NULL, NULL, 18615),
(40678, '3tjtA01', NULL, NULL, 71, NULL, NULL, 18615),
(40679, '3kkyA01', NULL, NULL, 70, NULL, NULL, 18615),
(40680, '4yipA01', NULL, NULL, 70, NULL, NULL, 18615),
(40681, '3ic9A02', NULL, NULL, 70, NULL, NULL, 18615),
(40682, '3rn4A01', NULL, NULL, 71, NULL, NULL, 18615),
(40683, '3ak2A01', NULL, NULL, 64, NULL, NULL, 18615),
(40684, '1jr9A01', NULL, NULL, 71, NULL, NULL, 18615),
(40685, '6gscA01', NULL, NULL, 66, NULL, NULL, 18615),
(40686, '4f6eB01', NULL, NULL, 71, NULL, NULL, 18615),
(40687, '4f6eC01', NULL, NULL, 71, NULL, NULL, 18615),
(40688, '4f6eA01', NULL, NULL, 71, NULL, NULL, 18615),
(40689, '3evkA01', NULL, NULL, 64, NULL, NULL, 18615),
(40690, '1ix9A01', NULL, NULL, 71, NULL, NULL, 18615),
(40691, '4f6eD01', NULL, NULL, 71, NULL, NULL, 18615),
(40692, '4bt9A01', NULL, NULL, 94, NULL, NULL, 18616),
(40693, '2kzkA00', NULL, NULL, 107, NULL, NULL, 18617),
(40694, '2kzbA00', NULL, NULL, 118, NULL, NULL, 18617),
(40695, '3euhD01', NULL, NULL, 78, NULL, NULL, 18618),
(40696, '3eukL01', NULL, NULL, 81, NULL, NULL, 18618),
(40697, '2ve7C02', NULL, NULL, 65, NULL, NULL, 18619),
(40698, '5ft9A02', NULL, NULL, 185, NULL, NULL, 18620),
(40699, '4g26A02', NULL, NULL, 176, NULL, NULL, 18620),
(40700, '3v33A00', NULL, NULL, 163, NULL, NULL, 18620),
(40701, '2k1hA00', NULL, NULL, 94, NULL, NULL, 18621),
(40702, '2ffmA00', NULL, NULL, 91, NULL, NULL, 18621),
(40703, '2ltmA00', NULL, NULL, 107, NULL, NULL, 18621),
(40704, '2ltlA00', NULL, NULL, 119, NULL, NULL, 18621),
(40705, '4bjjA00', NULL, NULL, 112, NULL, NULL, 18622),
(40706, '3mxaA02', NULL, NULL, 150, NULL, NULL, 18623),
(40707, '3e54A00', NULL, NULL, 169, NULL, NULL, 18623),
(40708, '4yisB02', NULL, NULL, 147, NULL, NULL, 18623),
(40709, '2xe0A00', NULL, NULL, 152, NULL, NULL, 18623),
(40710, '2ex5A00', NULL, NULL, 207, NULL, NULL, 18623),
(40711, '2qojZ01', NULL, NULL, 119, NULL, NULL, 18623),
(40712, '2vblA00', NULL, NULL, 153, NULL, NULL, 18623),
(40713, '2qojZ02', NULL, NULL, 135, NULL, NULL, 18623),
(40714, '2vs7A02', NULL, NULL, 78, NULL, NULL, 18623),
(40715, '2vs7A01', NULL, NULL, 101, NULL, NULL, 18623),
(40716, '2dchX02', NULL, NULL, 111, NULL, NULL, 18623),
(40717, '2dchX01', NULL, NULL, 105, NULL, NULL, 18623),
(40718, '6fb0B00', NULL, NULL, 154, NULL, NULL, 18623),
(40719, '1jvaB02', NULL, NULL, 121, NULL, NULL, 18623),
(40720, '4loxA02', NULL, NULL, 148, NULL, NULL, 18623),
(40721, '1mowG02', NULL, NULL, 143, NULL, NULL, 18623),
(40722, '4loxA01', NULL, NULL, 147, NULL, NULL, 18623),
(40723, '3r7pA02', NULL, NULL, 156, NULL, NULL, 18623),
(40724, '3r7pA01', NULL, NULL, 152, NULL, NULL, 18623),
(40725, '2fldA00', NULL, NULL, 165, NULL, NULL, 18623),
(40726, '1ef0B02', NULL, NULL, 236, NULL, NULL, 18623),
(40727, '2ab5B02', NULL, NULL, 134, NULL, NULL, 18623),
(40728, '3mxaA01', NULL, NULL, 153, NULL, NULL, 18623),
(40729, '4efjA01', NULL, NULL, 145, NULL, NULL, 18623),
(40730, '3uvfA01', NULL, NULL, 120, NULL, NULL, 18623),
(40731, '3uvfA02', NULL, NULL, 135, NULL, NULL, 18623),
(40732, '4yisA01', NULL, NULL, 139, NULL, NULL, 18623),
(40733, '3hyiA01', NULL, NULL, 201, NULL, NULL, 18623),
(40734, '4lq0A02', NULL, NULL, 147, NULL, NULL, 18623),
(40735, '2xe0B00', NULL, NULL, 152, NULL, NULL, 18623),
(40736, '4lq0A01', NULL, NULL, 150, NULL, NULL, 18623),
(40737, '6fb0A00', NULL, NULL, 153, NULL, NULL, 18623),
(40738, '1mowA01', NULL, NULL, 117, NULL, NULL, 18623),
(40739, '3qqyA02', NULL, NULL, 149, NULL, NULL, 18623),
(40740, '2vs7D02', NULL, NULL, 98, NULL, NULL, 18623),
(40741, '3qqyA01', NULL, NULL, 151, NULL, NULL, 18623);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(40742, '2vblB00', NULL, NULL, 153, NULL, NULL, 18623),
(40743, '4yhxA02', NULL, NULL, 153, NULL, NULL, 18623),
(40744, '3c0wA01', NULL, NULL, 122, NULL, NULL, 18623),
(40745, '4yhxA01', NULL, NULL, 144, NULL, NULL, 18623),
(40746, '3c0wA02', NULL, NULL, 113, NULL, NULL, 18623),
(40747, '5a74A00', NULL, NULL, 172, NULL, NULL, 18623),
(40748, '4yitA02', NULL, NULL, 144, NULL, NULL, 18623),
(40749, '4yitA01', NULL, NULL, 137, NULL, NULL, 18623),
(40750, '1dq3A03', NULL, NULL, 87, NULL, NULL, 18623),
(40751, '4z1xA02', NULL, NULL, 147, NULL, NULL, 18623),
(40752, '1dq3A04', NULL, NULL, 114, NULL, NULL, 18623),
(40753, '1dfaA03', NULL, NULL, 95, NULL, NULL, 18623),
(40754, '1t9iA00', NULL, NULL, 163, NULL, NULL, 18623),
(40755, '2ab5A02', NULL, NULL, 134, NULL, NULL, 18623),
(40756, '2ab5A01', NULL, NULL, 135, NULL, NULL, 18623),
(40757, '2cw8A03', NULL, NULL, 169, NULL, NULL, 18623),
(40758, '3ndhA00', NULL, NULL, 225, NULL, NULL, 18624),
(40759, '3w0oA01', NULL, NULL, 78, NULL, NULL, 18625),
(40760, '3f2bA08', NULL, NULL, 137, NULL, NULL, 18626),
(40761, '5z29A00', NULL, NULL, 312, NULL, NULL, 18627),
(40762, '4mb8D00', NULL, NULL, 304, NULL, NULL, 18627),
(40763, '2yzcA00', NULL, NULL, 302, NULL, NULL, 18627),
(40764, '2r5rA00', NULL, NULL, 249, NULL, NULL, 18627),
(40765, '5ll1A00', NULL, NULL, 298, NULL, NULL, 18627),
(40766, '3l8wA00', NULL, NULL, 296, NULL, NULL, 18627),
(40767, '4r8xC00', NULL, NULL, 322, NULL, NULL, 18627),
(40768, '5k9gA00', NULL, NULL, 257, NULL, NULL, 18627),
(40769, '2lutA01', NULL, NULL, 57, NULL, NULL, 18628),
(40770, '1mknA00', NULL, NULL, 59, NULL, NULL, 18628),
(40771, '3o0lB00', NULL, NULL, 112, NULL, NULL, 18629),
(40772, '4gioA00', NULL, NULL, 107, NULL, NULL, 18629),
(40773, '3l7yA02', NULL, NULL, 110, NULL, NULL, 18630),
(40774, '1nf2A02', NULL, NULL, 106, NULL, NULL, 18630),
(40775, '2b30A02', NULL, NULL, 109, NULL, NULL, 18630),
(40776, '4dw8A02', NULL, NULL, 106, NULL, NULL, 18630),
(40777, '1nrwA02', NULL, NULL, 130, NULL, NULL, 18630),
(40778, '2pq0A02', NULL, NULL, 100, NULL, NULL, 18630),
(40779, '3r4cA02', NULL, NULL, 101, NULL, NULL, 18630),
(40780, '2hf2B02', NULL, NULL, 107, NULL, NULL, 18630),
(40781, '3daoB02', NULL, NULL, 107, NULL, NULL, 18630),
(40782, '3pgvA02', NULL, NULL, 106, NULL, NULL, 18630),
(40783, '2rbkA02', NULL, NULL, 101, NULL, NULL, 18630),
(40784, '1rkqA02', NULL, NULL, 107, NULL, NULL, 18630),
(40785, '3fzqB02', NULL, NULL, 115, NULL, NULL, 18630),
(40786, '3mpoA02', NULL, NULL, 107, NULL, NULL, 18630),
(40787, '3dnpA02', NULL, NULL, 113, NULL, NULL, 18630),
(40788, '4zevA02', NULL, NULL, 107, NULL, NULL, 18630),
(40789, '1go4H00', NULL, NULL, 100, NULL, NULL, 18631),
(40790, '1xiqA00', NULL, NULL, 157, NULL, NULL, 18632),
(40791, '1nhkR00', NULL, NULL, 144, NULL, NULL, 18632),
(40792, '3em1A00', NULL, NULL, 146, NULL, NULL, 18632),
(40793, '3mpdA00', NULL, NULL, 151, NULL, NULL, 18632),
(40794, '5u2iA00', NULL, NULL, 159, NULL, NULL, 18632),
(40795, '3bh7B02', NULL, NULL, 121, NULL, NULL, 18632),
(40796, '1ucnA00', NULL, NULL, 152, NULL, NULL, 18632),
(40797, '4w98A00', NULL, NULL, 145, NULL, NULL, 18632),
(40798, '1pkuA00', NULL, NULL, 150, NULL, NULL, 18632),
(40799, '5iolA00', NULL, NULL, 150, NULL, NULL, 18632),
(40800, '1zs6A00', NULL, NULL, 152, NULL, NULL, 18632),
(40801, '2hurA00', NULL, NULL, 142, NULL, NULL, 18632),
(40802, '1w7wB00', NULL, NULL, 153, NULL, NULL, 18632),
(40803, '3ztpA00', NULL, NULL, 142, NULL, NULL, 18632),
(40804, '4uohB00', NULL, NULL, 151, NULL, NULL, 18632),
(40805, '1wkjA00', NULL, NULL, 137, NULL, NULL, 18632),
(40806, '5go1A00', NULL, NULL, 151, NULL, NULL, 18632),
(40807, '3vvtA00', NULL, NULL, 139, NULL, NULL, 18632),
(40808, '4fkxB00', NULL, NULL, 161, NULL, NULL, 18632),
(40809, '3r9lA00', NULL, NULL, 155, NULL, NULL, 18632),
(40810, '3pj9D00', NULL, NULL, 140, NULL, NULL, 18632),
(40811, '3q8uA00', NULL, NULL, 157, NULL, NULL, 18632),
(40812, '3wx8C00', NULL, NULL, 153, NULL, NULL, 18632),
(40813, '3prvE00', NULL, NULL, 157, NULL, NULL, 18632),
(40814, '4c6aA00', NULL, NULL, 154, NULL, NULL, 18632);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(40815, '6agyA00', NULL, NULL, 161, NULL, NULL, 18632),
(40816, '3bbbC00', NULL, NULL, 151, NULL, NULL, 18632),
(40817, '2vu5A00', NULL, NULL, 148, NULL, NULL, 18632),
(40818, '2dxfA00', NULL, NULL, 160, NULL, NULL, 18632),
(40819, '3vgsA00', NULL, NULL, 141, NULL, NULL, 18632),
(40820, '6ay1A00', NULL, NULL, 145, NULL, NULL, 18632),
(40821, '3js9A00', NULL, NULL, 156, NULL, NULL, 18632),
(40822, '3b54A00', NULL, NULL, 161, NULL, NULL, 18632),
(40823, '6aesA00', NULL, NULL, 143, NULL, NULL, 18632),
(40824, '5x00A00', NULL, NULL, 144, NULL, NULL, 18632),
(40825, '2az3B00', NULL, NULL, 164, NULL, NULL, 18632),
(40826, '4hr2A00', NULL, NULL, 145, NULL, NULL, 18632),
(40827, '4aneA00', NULL, NULL, 136, NULL, NULL, 18632),
(40828, '1xqiA00', NULL, NULL, 195, NULL, NULL, 18632),
(40829, '3gp9A00', NULL, NULL, 142, NULL, NULL, 18632),
(40830, '4kpcA00', NULL, NULL, 150, NULL, NULL, 18632),
(40831, '1ehwA00', NULL, NULL, 143, NULL, NULL, 18632),
(40832, '3ngsB00', NULL, NULL, 151, NULL, NULL, 18632),
(40833, '2zuaB00', NULL, NULL, 152, NULL, NULL, 18632),
(40834, '4dz6A00', NULL, NULL, 168, NULL, NULL, 18632),
(40835, '1s57B00', NULL, NULL, 153, NULL, NULL, 18632),
(40836, '3vvuA00', NULL, NULL, 139, NULL, NULL, 18632),
(40837, '5bxiC00', NULL, NULL, 160, NULL, NULL, 18632),
(40838, '1be4A00', NULL, NULL, 151, NULL, NULL, 18632),
(40839, '1nb2A00', NULL, NULL, 150, NULL, NULL, 18632),
(40840, '1vyaA00', NULL, NULL, 149, NULL, NULL, 18632),
(40841, '1u8wA00', NULL, NULL, 149, NULL, NULL, 18632),
(40842, '5v6dF00', NULL, NULL, 149, NULL, NULL, 18632),
(40843, '2vh2A02', NULL, NULL, 133, NULL, NULL, 18633),
(40844, '6h9nA02', NULL, NULL, 134, NULL, NULL, 18633),
(40845, '3mopG00', NULL, NULL, 113, NULL, NULL, 18634),
(40846, '4ewiA00', NULL, NULL, 97, NULL, NULL, 18634),
(40847, '4zbwA02', NULL, NULL, 91, NULL, NULL, 18634),
(40848, '4zbwA01', NULL, NULL, 99, NULL, NULL, 18634),
(40849, '3mopA00', NULL, NULL, 110, NULL, NULL, 18634),
(40850, '1a1wA00', NULL, NULL, 91, NULL, NULL, 18634),
(40851, '2bbrA01', NULL, NULL, 90, NULL, NULL, 18634),
(40852, '4d8oA04', NULL, NULL, 76, NULL, NULL, 18634),
(40853, '2bbrA02', NULL, NULL, 105, NULL, NULL, 18634),
(40854, '4n1lA00', NULL, NULL, 105, NULL, NULL, 18634),
(40855, '4uz0A00', NULL, NULL, 95, NULL, NULL, 18634),
(40856, '2l6aA00', NULL, NULL, 102, NULL, NULL, 18634),
(40857, '1wxpA01', NULL, NULL, 84, NULL, NULL, 18634),
(40858, '2nz7A00', NULL, NULL, 98, NULL, NULL, 18634),
(40859, '4f42A00', NULL, NULL, 94, NULL, NULL, 18634),
(40860, '2mb9A00', NULL, NULL, 118, NULL, NULL, 18634),
(40861, '6bzhC02', NULL, NULL, 92, NULL, NULL, 18634),
(40862, '4i16A00', NULL, NULL, 93, NULL, NULL, 18634),
(40863, '3cl3A02', NULL, NULL, 93, NULL, NULL, 18634),
(40864, '3cl3A01', NULL, NULL, 90, NULL, NULL, 18634),
(40865, '2n1fA00', NULL, NULL, 89, NULL, NULL, 18634),
(40866, '3mopK00', NULL, NULL, 93, NULL, NULL, 18634),
(40867, '2lwdA00', NULL, NULL, 100, NULL, NULL, 18634),
(40868, '4rhwE00', NULL, NULL, 108, NULL, NULL, 18634),
(40869, '4o7qA00', NULL, NULL, 94, NULL, NULL, 18634),
(40870, '1d2zA00', NULL, NULL, 108, NULL, NULL, 18634),
(40871, '4a2qA02', NULL, NULL, 93, NULL, NULL, 18634),
(40872, '4a2qA01', NULL, NULL, 96, NULL, NULL, 18634),
(40873, '6aciH00', NULL, NULL, 92, NULL, NULL, 18634),
(40874, '4e9mB00', NULL, NULL, 95, NULL, NULL, 18634),
(40875, '3t6pA03', NULL, NULL, 128, NULL, NULL, 18634),
(40876, '2do9A01', NULL, NULL, 84, NULL, NULL, 18634),
(40877, '2km6A00', NULL, NULL, 106, NULL, NULL, 18634),
(40878, '3ezqA00', NULL, NULL, 115, NULL, NULL, 18634),
(40879, '4p4hB02', NULL, NULL, 104, NULL, NULL, 18634),
(40880, '2dbfA01', NULL, NULL, 91, NULL, NULL, 18634),
(40881, '3crdA00', NULL, NULL, 100, NULL, NULL, 18634),
(40882, '3j63A00', NULL, NULL, 91, NULL, NULL, 18634),
(40883, '2mn4A00', NULL, NULL, 106, NULL, NULL, 18634),
(40884, '2mpcA00', NULL, NULL, 100, NULL, NULL, 18634),
(40885, '1ichA00', NULL, NULL, 112, NULL, NULL, 18634),
(40886, '2g7rA00', NULL, NULL, 98, NULL, NULL, 18634),
(40887, '2d96A01', NULL, NULL, 91, NULL, NULL, 18634),
(40888, '1pn5A00', NULL, NULL, 101, NULL, NULL, 18634);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(40889, '2gf5A01', NULL, NULL, 86, NULL, NULL, 18634),
(40890, '4qobA00', NULL, NULL, 97, NULL, NULL, 18634),
(40891, '1wmgA00', NULL, NULL, 103, NULL, NULL, 18634),
(40892, '1cy5A00', NULL, NULL, 97, NULL, NULL, 18634),
(40893, '4e9mE00', NULL, NULL, 87, NULL, NULL, 18634),
(40894, '1dgnA00', NULL, NULL, 89, NULL, NULL, 18634),
(40895, '4iz5E00', NULL, NULL, 98, NULL, NULL, 18634),
(40896, '2n80A00', NULL, NULL, 94, NULL, NULL, 18634),
(40897, '3katA00', NULL, NULL, 89, NULL, NULL, 18634),
(40898, '6ncvA00', NULL, NULL, 106, NULL, NULL, 18634),
(40899, '6bzhD01', NULL, NULL, 102, NULL, NULL, 18634),
(40900, '2dbgA00', NULL, NULL, 103, NULL, NULL, 18634),
(40901, '2ib1A00', NULL, NULL, 91, NULL, NULL, 18634),
(40902, '2n00A00', NULL, NULL, 95, NULL, NULL, 18634),
(40903, '2of5H00', NULL, NULL, 100, NULL, NULL, 18634),
(40904, '2vgqA03', NULL, NULL, 89, NULL, NULL, 18634),
(40905, '4fh0A00', NULL, NULL, 102, NULL, NULL, 18634),
(40906, '2yu0A00', NULL, NULL, 94, NULL, NULL, 18634),
(40907, '2yviA00', NULL, NULL, 111, NULL, NULL, 18634),
(40908, '1d2zB00', NULL, NULL, 153, NULL, NULL, 18634),
(40909, '1n3kA00', NULL, NULL, 130, NULL, NULL, 18634),
(40910, '2l9mA00', NULL, NULL, 132, NULL, NULL, 18634),
(40911, '1fadA00', NULL, NULL, 99, NULL, NULL, 18634),
(40912, '2n7zA00', NULL, NULL, 106, NULL, NULL, 18634),
(40913, '4o9lA00', NULL, NULL, 97, NULL, NULL, 18634),
(40914, '2a5yB01', NULL, NULL, 109, NULL, NULL, 18634),
(40915, '3qf2A00', NULL, NULL, 92, NULL, NULL, 18634),
(40916, '4izaB00', NULL, NULL, 97, NULL, NULL, 18634),
(40917, '2a9iA00', NULL, NULL, 113, NULL, NULL, 18634),
(40918, '2o71A00', NULL, NULL, 115, NULL, NULL, 18634),
(40919, '6n1hA00', NULL, NULL, 83, NULL, NULL, 18634),
(40920, '2dbhA01', NULL, NULL, 79, NULL, NULL, 18634),
(40921, '4o6xB00', NULL, NULL, 101, NULL, NULL, 18634),
(40922, '2m5vA00', NULL, NULL, 102, NULL, NULL, 18634),
(40923, '4p4hA01', NULL, NULL, 101, NULL, NULL, 18634),
(40924, '2nsnA00', NULL, NULL, 95, NULL, NULL, 18634),
(40925, '2m5yA01', NULL, NULL, 90, NULL, NULL, 18635),
(40926, '4gk9A01', NULL, NULL, 144, NULL, NULL, 18636),
(40927, '3oblA00', NULL, NULL, 132, NULL, NULL, 18636),
(40928, '4gk9A02', NULL, NULL, 135, NULL, NULL, 18636),
(40929, '4fboA00', NULL, NULL, 133, NULL, NULL, 18636),
(40930, '4fbrA01', NULL, NULL, 133, NULL, NULL, 18636),
(40931, '4fbrA02', NULL, NULL, 134, NULL, NULL, 18636),
(40932, '4aybB08', NULL, NULL, 109, NULL, NULL, 18637),
(40933, '3h0gB08', NULL, NULL, 99, NULL, NULL, 18637),
(40934, '4c2mB08', NULL, NULL, 149, NULL, NULL, 18637),
(40935, '1twfB08', NULL, NULL, 85, NULL, NULL, 18637),
(40936, '4qiwB08', NULL, NULL, 81, NULL, NULL, 18637),
(40937, '3cqzB08', NULL, NULL, 97, NULL, NULL, 18637),
(40938, '3p12A01', NULL, NULL, 124, NULL, NULL, 18638),
(40939, '1ogdA01', NULL, NULL, 121, NULL, NULL, 18638),
(40940, '4a34A01', NULL, NULL, 129, NULL, NULL, 18638),
(40941, '3e7nA01', NULL, NULL, 129, NULL, NULL, 18638),
(40942, '3mvkD01', NULL, NULL, 133, NULL, NULL, 18638),
(40943, '2wcuA01', NULL, NULL, 135, NULL, NULL, 18638),
(40944, '2wcvA01', NULL, NULL, 128, NULL, NULL, 18638),
(40945, '2ob5A00', NULL, NULL, 153, NULL, NULL, 18638),
(40946, '4z8lB00', NULL, NULL, 100, NULL, NULL, 18639),
(40947, '1m8lA01', NULL, NULL, 64, NULL, NULL, 18639),
(40948, '5jk7F00', NULL, NULL, 74, NULL, NULL, 18639),
(40949, '4cc9B00', NULL, NULL, 119, NULL, NULL, 18639),
(40950, '5ajaB00', NULL, NULL, 102, NULL, NULL, 18639),
(40951, '1esxA01', NULL, NULL, 86, NULL, NULL, 18639),
(40952, '1hf2A01', NULL, NULL, 100, NULL, NULL, 18640),
(40953, '6neqN01', NULL, NULL, 91, NULL, NULL, 18641),
(40954, '1vs5N01', NULL, NULL, 91, NULL, NULL, 18641),
(40955, '5mmjn01', NULL, NULL, 90, NULL, NULL, 18641),
(40956, '6dzkN01', NULL, NULL, 90, NULL, NULL, 18641),
(40957, '4a1nA02', NULL, NULL, 53, NULL, NULL, 18642),
(40958, '3ei3A04', NULL, NULL, 97, NULL, NULL, 18643),
(40959, '2jv7A00', NULL, NULL, 78, NULL, NULL, 18644),
(40960, '1f0xA04', NULL, NULL, 85, NULL, NULL, 18645),
(40961, '2f4mB00', NULL, NULL, 61, NULL, NULL, 18646),
(40962, '1x3wB01', NULL, NULL, 51, NULL, NULL, 18646); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(40963, '1oqyA03', NULL, NULL, 58, NULL, NULL, 18646),
(40964, '2qsfX01', NULL, NULL, 55, NULL, NULL, 18646),
(40965, '1tp4A00', NULL, NULL, 68, NULL, NULL, 18646),
(40966, '2ko6A00', NULL, NULL, 89, NULL, NULL, 18647),
(40967, '3i9wA00', NULL, NULL, 274, NULL, NULL, 18648),
(40968, '3i9yA00', NULL, NULL, 237, NULL, NULL, 18648),
(40969, '2ekgA02', NULL, NULL, 243, NULL, NULL, 18649),
(40970, '6fnuA00', NULL, NULL, 308, NULL, NULL, 18649),
(40971, '4h6qA00', NULL, NULL, 294, NULL, NULL, 18649),
(40972, '3fstA00', NULL, NULL, 304, NULL, NULL, 18649),
(40973, '3aptA00', NULL, NULL, 292, NULL, NULL, 18649),
(40974, '3e2qA01', NULL, NULL, 430, NULL, NULL, 18649),
(40975, '5umeE00', NULL, NULL, 295, NULL, NULL, 18649),
(40976, '4o8aA01', NULL, NULL, 432, NULL, NULL, 18649),
(40977, '3ijdA00', NULL, NULL, 315, NULL, NULL, 18649),
(40978, '3m6nC02', NULL, NULL, 60, NULL, NULL, 18650),
(40979, '5fusA02', NULL, NULL, 61, NULL, NULL, 18650),
(40980, '2r5oA01', NULL, NULL, 151, NULL, NULL, 18651),
(40981, '5hnoA00', NULL, NULL, 170, NULL, NULL, 18651),
(40982, '2vvfA02', NULL, NULL, 128, NULL, NULL, 18652),
(40983, '2vvfA01', NULL, NULL, 141, NULL, NULL, 18652),
(40984, '2ov9A02', NULL, NULL, 59, NULL, NULL, 18653),
(40985, '1u02A02', NULL, NULL, 76, NULL, NULL, 18654),
(40986, '2w02B02', NULL, NULL, 70, NULL, NULL, 18655),
(40987, '2au5A00', NULL, NULL, 139, NULL, NULL, 18656),
(40988, '3t5qG03', NULL, NULL, 18, NULL, NULL, 18657),
(40989, '2lh0A00', NULL, NULL, 70, NULL, NULL, 18658),
(40990, '3lsoA03', NULL, NULL, 158, NULL, NULL, 18659),
(40991, '1hw7A02', NULL, NULL, 50, NULL, NULL, 18660),
(40992, '1x91A00', NULL, NULL, 153, NULL, NULL, 18661),
(40993, '2cj4A00', NULL, NULL, 150, NULL, NULL, 18661),
(40994, '1xg2B00', NULL, NULL, 153, NULL, NULL, 18661),
(40995, '1yu0A03', NULL, NULL, 179, NULL, NULL, 18662),
(40996, '2y3cA00', NULL, NULL, 278, NULL, NULL, 18662),
(40997, '1z70X00', NULL, NULL, 311, NULL, NULL, 18662),
(40998, '5nyyA00', NULL, NULL, 300, NULL, NULL, 18662),
(40999, '2q17D00', NULL, NULL, 295, NULL, NULL, 18662),
(41000, '1y4jA00', NULL, NULL, 268, NULL, NULL, 18662),
(41001, '1yu2A03', NULL, NULL, 179, NULL, NULL, 18662),
(41002, '2vugA05', NULL, NULL, 48, NULL, NULL, 18663),
(41003, '3dpuA03', NULL, NULL, 88, NULL, NULL, 18664),
(41004, '5lewA03', NULL, NULL, 81, NULL, NULL, 18665),
(41005, '2hnhA03', NULL, NULL, 78, NULL, NULL, 18665),
(41006, '2hpiA03', NULL, NULL, 76, NULL, NULL, 18665),
(41007, '4k51B00', NULL, NULL, 166, NULL, NULL, 18666),
(41008, '4h63H02', NULL, NULL, 44, NULL, NULL, 18667),
(41009, '3ksxA03', NULL, NULL, 34, NULL, NULL, 18668),
(41010, '2x26B03', NULL, NULL, 34, NULL, NULL, 18668),
(41011, '2kslA00', NULL, NULL, 51, NULL, NULL, 18669),
(41012, '2hh8A00', NULL, NULL, 133, NULL, NULL, 18670),
(41013, '2auwA01', NULL, NULL, 87, NULL, NULL, 18671),
(41014, '4gfcB00', NULL, NULL, 189, NULL, NULL, 18672),
(41015, '3q0yC00', NULL, NULL, 161, NULL, NULL, 18672),
(41016, '3q0xA01', NULL, NULL, 155, NULL, NULL, 18672),
(41017, '4g79A00', NULL, NULL, 142, NULL, NULL, 18672),
(41018, '4cknD00', NULL, NULL, 190, NULL, NULL, 18672),
(41019, '4ckmB00', NULL, NULL, 145, NULL, NULL, 18672),
(41020, '2y3vD00', NULL, NULL, 159, NULL, NULL, 18672),
(41021, '1r5sA01', NULL, NULL, 36, NULL, NULL, 18673),
(41022, '1edxA00', NULL, NULL, 40, NULL, NULL, 18674),
(41023, '5klaA00', NULL, NULL, 337, NULL, NULL, 18675),
(41024, '4rv1D00', NULL, NULL, 420, NULL, NULL, 18675),
(41025, '2w3cA01', NULL, NULL, 290, NULL, NULL, 18675),
(41026, '3dadA00', NULL, NULL, 339, NULL, NULL, 18675),
(41027, '2w3cA02', NULL, NULL, 287, NULL, NULL, 18675),
(41028, '4i2zA03', NULL, NULL, 429, NULL, NULL, 18675),
(41029, '3bwtA00', NULL, NULL, 333, NULL, NULL, 18675),
(41030, '3w3uA01', NULL, NULL, 1047, NULL, NULL, 18675),
(41031, '4i2zA02', NULL, NULL, 368, NULL, NULL, 18675),
(41032, '4bqkB00', NULL, NULL, 424, NULL, NULL, 18675),
(41033, '4p6zB00', NULL, NULL, 571, NULL, NULL, 18675),
(41034, '1lrvA00', NULL, NULL, 244, NULL, NULL, 18675),
(41035, '1te4A01', NULL, NULL, 89, NULL, NULL, 18675);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(41036, '3o2tA00', NULL, NULL, 311, NULL, NULL, 18675),
(41037, '5owuA00', NULL, NULL, 861, NULL, NULL, 18675),
(41038, '4c0qB00', NULL, NULL, 923, NULL, NULL, 18675),
(41039, '5dn7A00', NULL, NULL, 250, NULL, NULL, 18675),
(41040, '1g3jC00', NULL, NULL, 442, NULL, NULL, 18675),
(41041, '3c2gB01', NULL, NULL, 551, NULL, NULL, 18675),
(41042, '4g3aB00', NULL, NULL, 237, NULL, NULL, 18675),
(41043, '4xriA00', NULL, NULL, 882, NULL, NULL, 18675),
(41044, '3opbA02', NULL, NULL, 483, NULL, NULL, 18675),
(41045, '4uadA00', NULL, NULL, 425, NULL, NULL, 18675),
(41046, '4qmhA00', NULL, NULL, 241, NULL, NULL, 18675),
(41047, '3fgaB00', NULL, NULL, 403, NULL, NULL, 18675),
(41048, '3gb8A01', NULL, NULL, 651, NULL, NULL, 18675),
(41049, '4rzpA00', NULL, NULL, 252, NULL, NULL, 18675),
(41050, '2qk1A01', NULL, NULL, 240, NULL, NULL, 18675),
(41051, '4l7mA00', NULL, NULL, 269, NULL, NULL, 18675),
(41052, '5jjaA00', NULL, NULL, 352, NULL, NULL, 18675),
(41053, '4jw3C00', NULL, NULL, 104, NULL, NULL, 18675),
(41054, '4u2xF00', NULL, NULL, 175, NULL, NULL, 18675),
(41055, '4y5jA00', NULL, NULL, 248, NULL, NULL, 18675),
(41056, '5mfiB00', NULL, NULL, 243, NULL, NULL, 18675),
(41057, '1b3uA00', NULL, NULL, 588, NULL, NULL, 18675),
(41058, '4v3oA00', NULL, NULL, 289, NULL, NULL, 18675),
(41059, '1ibrD00', NULL, NULL, 439, NULL, NULL, 18675),
(41060, '4ffbC00', NULL, NULL, 278, NULL, NULL, 18675),
(41061, '3zkvA00', NULL, NULL, 918, NULL, NULL, 18675),
(41062, '2qnaA00', NULL, NULL, 762, NULL, NULL, 18675),
(41063, '1ee4A00', NULL, NULL, 423, NULL, NULL, 18675),
(41064, '5bz1A00', NULL, NULL, 400, NULL, NULL, 18675),
(41065, '4r0zA00', NULL, NULL, 563, NULL, NULL, 18675),
(41066, '3ltmA00', NULL, NULL, 211, NULL, NULL, 18675),
(41067, '2jdqA00', NULL, NULL, 429, NULL, NULL, 18675),
(41068, '1upkA01', NULL, NULL, 333, NULL, NULL, 18675),
(41069, '2iw3B01', NULL, NULL, 333, NULL, NULL, 18675),
(41070, '4cv5D00', NULL, NULL, 272, NULL, NULL, 18675),
(41071, '4hxtA00', NULL, NULL, 252, NULL, NULL, 18675),
(41072, '2x19B00', NULL, NULL, 946, NULL, NULL, 18675),
(41073, '4cruB00', NULL, NULL, 273, NULL, NULL, 18675),
(41074, '4k92A00', NULL, NULL, 257, NULL, NULL, 18675),
(41075, '3a6pA00', NULL, NULL, 1136, NULL, NULL, 18675),
(41076, '3grlA00', NULL, NULL, 615, NULL, NULL, 18675),
(41077, '3ltjA00', NULL, NULL, 201, NULL, NULL, 18675),
(41078, '3gaeA00', NULL, NULL, 253, NULL, NULL, 18675),
(41079, '4uwxA00', NULL, NULL, 239, NULL, NULL, 18675),
(41080, '4imiA00', NULL, NULL, 339, NULL, NULL, 18675),
(41081, '4k6jB00', NULL, NULL, 516, NULL, NULL, 18675),
(41082, '3v71A00', NULL, NULL, 382, NULL, NULL, 18675),
(41083, '4d4eA00', NULL, NULL, 251, NULL, NULL, 18675),
(41084, '4plrA00', NULL, NULL, 289, NULL, NULL, 18675),
(41085, '1gw5A00', NULL, NULL, 592, NULL, NULL, 18675),
(41086, '5ewpA00', NULL, NULL, 252, NULL, NULL, 18675),
(41087, '1ho8A01', NULL, NULL, 356, NULL, NULL, 18675),
(41088, '1xqrA00', NULL, NULL, 276, NULL, NULL, 18675),
(41089, '4qmiA00', NULL, NULL, 240, NULL, NULL, 18675),
(41090, '3qmlD00', NULL, NULL, 297, NULL, NULL, 18675),
(41091, '3nowA02', NULL, NULL, 428, NULL, NULL, 18675),
(41092, '2vglB00', NULL, NULL, 591, NULL, NULL, 18675),
(41093, '3gjxD00', NULL, NULL, 1057, NULL, NULL, 18675),
(41094, '4fddA00', NULL, NULL, 852, NULL, NULL, 18675),
(41095, '3zhpB01', NULL, NULL, 318, NULL, NULL, 18675),
(41096, '3wozB00', NULL, NULL, 232, NULL, NULL, 18675),
(41097, '3sl9B00', NULL, NULL, 167, NULL, NULL, 18675),
(41098, '4db8A00', NULL, NULL, 252, NULL, NULL, 18675),
(41099, '2qk2A01', NULL, NULL, 234, NULL, NULL, 18675),
(41100, '5izaA00', NULL, NULL, 354, NULL, NULL, 18675),
(41101, '3ifqB00', NULL, NULL, 553, NULL, NULL, 18675),
(41102, '3l6xA01', NULL, NULL, 447, NULL, NULL, 18675),
(41103, '4kzgC00', NULL, NULL, 327, NULL, NULL, 18675),
(41104, '4neeB00', NULL, NULL, 398, NULL, NULL, 18675),
(41105, '3c5wA00', NULL, NULL, 232, NULL, NULL, 18675),
(41106, '5aeiB00', NULL, NULL, 286, NULL, NULL, 18675),
(41107, '1w9cA00', NULL, NULL, 321, NULL, NULL, 18675),
(41108, '3ebbA00', NULL, NULL, 264, NULL, NULL, 18675);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(41109, '3k62A00', NULL, NULL, 412, NULL, NULL, 18675),
(41110, '3k49A00', NULL, NULL, 369, NULL, NULL, 18675),
(41111, '4uafB00', NULL, NULL, 433, NULL, NULL, 18675),
(41112, '3tjzB00', NULL, NULL, 292, NULL, NULL, 18675),
(41113, '3nmzA00', NULL, NULL, 414, NULL, NULL, 18675),
(41114, '1gw5B00', NULL, NULL, 591, NULL, NULL, 18675),
(41115, '3nowA01', NULL, NULL, 358, NULL, NULL, 18675),
(41116, '3ibvB00', NULL, NULL, 957, NULL, NULL, 18675),
(41117, '3gs3A00', NULL, NULL, 257, NULL, NULL, 18675),
(41118, '4adyA02', NULL, NULL, 449, NULL, NULL, 18675),
(41119, '4rxhB00', NULL, NULL, 426, NULL, NULL, 18675),
(41120, '3vwaA03', NULL, NULL, 307, NULL, NULL, 18675),
(41121, '3gvoA00', NULL, NULL, 351, NULL, NULL, 18675),
(41122, '2vglA00', NULL, NULL, 621, NULL, NULL, 18675),
(41123, '4uaeA00', NULL, NULL, 421, NULL, NULL, 18675),
(41124, '4hnmA00', NULL, NULL, 489, NULL, NULL, 18675),
(41125, '4p6zG00', NULL, NULL, 602, NULL, NULL, 18675),
(41126, '4tnmA00', NULL, NULL, 421, NULL, NULL, 18675),
(41127, '2db0B00', NULL, NULL, 253, NULL, NULL, 18675),
(41128, '3tt9A00', NULL, NULL, 233, NULL, NULL, 18675),
(41129, '4dvgB00', NULL, NULL, 312, NULL, NULL, 18675),
(41130, '4jw2A00', NULL, NULL, 85, NULL, NULL, 18675),
(41131, '1gcjA00', NULL, NULL, 460, NULL, NULL, 18675),
(41132, '2of3A00', NULL, NULL, 266, NULL, NULL, 18675),
(41133, '1jdhA00', NULL, NULL, 529, NULL, NULL, 18675),
(41134, '5vgzU02', NULL, NULL, 440, NULL, NULL, 18675),
(41135, '5vjcA00', NULL, NULL, 271, NULL, NULL, 18675),
(41136, '1u6gC00', NULL, NULL, 1174, NULL, NULL, 18675),
(41137, '3woyA00', NULL, NULL, 251, NULL, NULL, 18675),
(41138, '3wyfC02', NULL, NULL, 370, NULL, NULL, 18675),
(41139, '4wv6A00', NULL, NULL, 439, NULL, NULL, 18675),
(41140, '3wyfC01', NULL, NULL, 679, NULL, NULL, 18675),
(41141, '4gmoA00', NULL, NULL, 578, NULL, NULL, 18675),
(41142, '3au3A00', NULL, NULL, 318, NULL, NULL, 18675),
(41143, '1wa5C00', NULL, NULL, 960, NULL, NULL, 18675),
(41144, '1m8zA00', NULL, NULL, 349, NULL, NULL, 18675),
(41145, '1oyzA00', NULL, NULL, 280, NULL, NULL, 18675),
(41146, '1xm9A01', NULL, NULL, 447, NULL, NULL, 18675),
(41147, '5mfoF00', NULL, NULL, 202, NULL, NULL, 18675),
(41148, '3ifuA01', NULL, NULL, 51, NULL, NULL, 18676),
(41149, '1bvp101', NULL, NULL, 120, NULL, NULL, 18677),
(41150, '2oo4A02', NULL, NULL, 116, NULL, NULL, 18678),
(41151, '3etoA02', NULL, NULL, 120, NULL, NULL, 18678),
(41152, '5czxA02', NULL, NULL, 143, NULL, NULL, 18678),
(41153, '3nuhB02', NULL, NULL, 121, NULL, NULL, 18679),
(41154, '3myvA02', NULL, NULL, 41, NULL, NULL, 18680),
(41155, '3kezA02', NULL, NULL, 42, NULL, NULL, 18680),
(41156, '3mcxA02', NULL, NULL, 42, NULL, NULL, 18680),
(41157, '2vouA02', NULL, NULL, 147, NULL, NULL, 18681),
(41158, '3pdiA02', NULL, NULL, 273, NULL, NULL, 18682),
(41159, '1x0cA01', NULL, NULL, 171, NULL, NULL, 18683),
(41160, '1ogoX01', NULL, NULL, 203, NULL, NULL, 18683),
(41161, '2eplX03', NULL, NULL, 225, NULL, NULL, 18684),
(41162, '4a4aA04', NULL, NULL, 295, NULL, NULL, 18684),
(41163, '5a6bA03', NULL, NULL, 225, NULL, NULL, 18684),
(41164, '5gnpA02', NULL, NULL, 167, NULL, NULL, 18685),
(41165, '5dkoA02', NULL, NULL, 167, NULL, NULL, 18685),
(41166, '2oezB02', NULL, NULL, 167, NULL, NULL, 18685),
(41167, '3oaaD01', NULL, NULL, 74, NULL, NULL, 18686),
(41168, '6fkfB01', NULL, NULL, 80, NULL, NULL, 18686),
(41169, '3ziaF01', NULL, NULL, 82, NULL, NULL, 18686),
(41170, '3dclE02', NULL, NULL, 91, NULL, NULL, 18686),
(41171, '6focF01', NULL, NULL, 85, NULL, NULL, 18686),
(41172, '4q4lA01', NULL, NULL, 74, NULL, NULL, 18686),
(41173, '3dclD02', NULL, NULL, 91, NULL, NULL, 18686),
(41174, '3dclC02', NULL, NULL, 91, NULL, NULL, 18686),
(41175, '3mlqG00', NULL, NULL, 52, NULL, NULL, 18686),
(41176, '3dclB02', NULL, NULL, 91, NULL, NULL, 18686),
(41177, '3mlqH00', NULL, NULL, 54, NULL, NULL, 18686),
(41178, '3dclA02', NULL, NULL, 91, NULL, NULL, 18686),
(41179, '5fl7E01', NULL, NULL, 75, NULL, NULL, 18686),
(41180, '2ck3D01', NULL, NULL, 85, NULL, NULL, 18686),
(41181, '4kbmB01', NULL, NULL, 60, NULL, NULL, 18686);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(41182, '4l5gB01', NULL, NULL, 62, NULL, NULL, 18686),
(41183, '2eyqA05', NULL, NULL, 59, NULL, NULL, 18686),
(41184, '2lt1A00', NULL, NULL, 75, NULL, NULL, 18686),
(41185, '5ik2E01', NULL, NULL, 76, NULL, NULL, 18686),
(41186, '2lt4A00', NULL, NULL, 71, NULL, NULL, 18686),
(41187, '5cdfE01', NULL, NULL, 76, NULL, NULL, 18686),
(41188, '1skyE01', NULL, NULL, 82, NULL, NULL, 18686),
(41189, '6f5dD01', NULL, NULL, 76, NULL, NULL, 18686),
(41190, '3n99H02', NULL, NULL, 90, NULL, NULL, 18686),
(41191, '2ahmE01', NULL, NULL, 51, NULL, NULL, 18687),
(41192, '2lxnA00', NULL, NULL, 188, NULL, NULL, 18688),
(41193, '4l8fA00', NULL, NULL, 287, NULL, NULL, 18688),
(41194, '3bhnA00', NULL, NULL, 216, NULL, NULL, 18688),
(41195, '2nv0A00', NULL, NULL, 196, NULL, NULL, 18688),
(41196, '3m3pA00', NULL, NULL, 250, NULL, NULL, 18688),
(41197, '4p5pA00', NULL, NULL, 225, NULL, NULL, 18688),
(41198, '5xr2F00', NULL, NULL, 300, NULL, NULL, 18688),
(41199, '4e5vB00', NULL, NULL, 281, NULL, NULL, 18688),
(41200, '3efeC00', NULL, NULL, 212, NULL, NULL, 18688),
(41201, '4zdjA02', NULL, NULL, 255, NULL, NULL, 18688),
(41202, '2ywjA00', NULL, NULL, 186, NULL, NULL, 18688),
(41203, '2w7tA00', NULL, NULL, 273, NULL, NULL, 18688),
(41204, '3f5dA00', NULL, NULL, 206, NULL, NULL, 18688),
(41205, '2ywbA01', NULL, NULL, 188, NULL, NULL, 18688),
(41206, '4qytA00', NULL, NULL, 194, NULL, NULL, 18688),
(41207, '2rk3A00', NULL, NULL, 197, NULL, NULL, 18688),
(41208, '4gudB00', NULL, NULL, 211, NULL, NULL, 18688),
(41209, '3ttvA03', NULL, NULL, 154, NULL, NULL, 18688),
(41210, '1n57A00', NULL, NULL, 291, NULL, NULL, 18688),
(41211, '1i1qB00', NULL, NULL, 192, NULL, NULL, 18688),
(41212, '1ka9H00', NULL, NULL, 200, NULL, NULL, 18688),
(41213, '2gk3A00', NULL, NULL, 256, NULL, NULL, 18688),
(41214, '5lirA00', NULL, NULL, 219, NULL, NULL, 18688),
(41215, '3en0C00', NULL, NULL, 268, NULL, NULL, 18688),
(41216, '4e08A00', NULL, NULL, 190, NULL, NULL, 18688),
(41217, '1jvnA01', NULL, NULL, 240, NULL, NULL, 18688),
(41218, '1s1mA02', NULL, NULL, 260, NULL, NULL, 18688),
(41219, '1oy1C00', NULL, NULL, 228, NULL, NULL, 18688),
(41220, '3ttyA02', NULL, NULL, 220, NULL, NULL, 18688),
(41221, '3l3bA00', NULL, NULL, 219, NULL, NULL, 18688),
(41222, '1qdlB00', NULL, NULL, 195, NULL, NULL, 18688),
(41223, '1a9xB02', NULL, NULL, 228, NULL, NULL, 18688),
(41224, '3ot1A00', NULL, NULL, 208, NULL, NULL, 18688),
(41225, '3graA00', NULL, NULL, 202, NULL, NULL, 18688),
(41226, '5txwA00', NULL, NULL, 166, NULL, NULL, 18688),
(41227, '4oggA01', NULL, NULL, 190, NULL, NULL, 18688),
(41228, '3cneA00', NULL, NULL, 175, NULL, NULL, 18688),
(41229, '1sy7A03', NULL, NULL, 195, NULL, NULL, 18688),
(41230, '1vcnA02', NULL, NULL, 254, NULL, NULL, 18688),
(41231, '2issD00', NULL, NULL, 189, NULL, NULL, 18688),
(41232, '3rhtA00', NULL, NULL, 259, NULL, NULL, 18688),
(41233, '2abwA00', NULL, NULL, 227, NULL, NULL, 18688),
(41234, '1i7qB00', NULL, NULL, 193, NULL, NULL, 18688),
(41235, '2a9vD00', NULL, NULL, 212, NULL, NULL, 18688),
(41236, '1l9xA00', NULL, NULL, 288, NULL, NULL, 18688),
(41237, '4i4nA00', NULL, NULL, 281, NULL, NULL, 18688),
(41238, '3l18A00', NULL, NULL, 168, NULL, NULL, 18688),
(41239, '2iufA03', NULL, NULL, 162, NULL, NULL, 18688),
(41240, '1kwgA02', NULL, NULL, 200, NULL, NULL, 18688),
(41241, '1gpmA01', NULL, NULL, 198, NULL, NULL, 18688),
(41242, '4y1rA00', NULL, NULL, 179, NULL, NULL, 18688),
(41243, '5sy4A00', NULL, NULL, 199, NULL, NULL, 18688),
(41244, '3nvaA02', NULL, NULL, 246, NULL, NULL, 18688),
(41245, '3l4eA00', NULL, NULL, 206, NULL, NULL, 18688),
(41246, '1q7rA00', NULL, NULL, 202, NULL, NULL, 18688),
(41247, '2vrnA00', NULL, NULL, 190, NULL, NULL, 18688),
(41248, '3ewnA00', NULL, NULL, 253, NULL, NULL, 18688),
(41249, '1vhqB00', NULL, NULL, 232, NULL, NULL, 18688),
(41250, '4xllA00', NULL, NULL, 188, NULL, NULL, 18688),
(41251, '4pxyA00', NULL, NULL, 250, NULL, NULL, 18688),
(41252, '6f2fA00', NULL, NULL, 166, NULL, NULL, 18688),
(41253, '2vktA00', NULL, NULL, 268, NULL, NULL, 18688),
(41254, '1u9cA00', NULL, NULL, 224, NULL, NULL, 18688);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(41255, '4uzsB02', NULL, NULL, 221, NULL, NULL, 18688),
(41256, '4qyxA00', NULL, NULL, 245, NULL, NULL, 18688),
(41257, '1o1yA00', NULL, NULL, 239, NULL, NULL, 18688),
(41258, '3r75A02', NULL, NULL, 199, NULL, NULL, 18688),
(41259, '1wl8A00', NULL, NULL, 189, NULL, NULL, 18688),
(41260, '3uowB01', NULL, NULL, 233, NULL, NULL, 18688),
(41261, '4uozA02', NULL, NULL, 223, NULL, NULL, 18688),
(41262, '4lruA00', NULL, NULL, 239, NULL, NULL, 18688),
(41263, '4aj9C03', NULL, NULL, 154, NULL, NULL, 18688),
(41264, '1fy2A00', NULL, NULL, 229, NULL, NULL, 18688),
(41265, '2fexA00', NULL, NULL, 188, NULL, NULL, 18688),
(41266, '3er6A00', NULL, NULL, 209, NULL, NULL, 18688),
(41267, '2vdjA01', NULL, NULL, 268, NULL, NULL, 18688),
(41268, '5e9aA02', NULL, NULL, 224, NULL, NULL, 18688),
(41269, '2ywdA00', NULL, NULL, 191, NULL, NULL, 18688),
(41270, '2h2wA00', NULL, NULL, 312, NULL, NULL, 18688),
(41271, '1oi4A00', NULL, NULL, 193, NULL, NULL, 18688),
(41272, '4oggC02', NULL, NULL, 198, NULL, NULL, 18688),
(41273, '3n7tA00', NULL, NULL, 247, NULL, NULL, 18688),
(41274, '3noqA00', NULL, NULL, 231, NULL, NULL, 18688),
(41275, '2vpiA00', NULL, NULL, 196, NULL, NULL, 18688),
(41276, '4oifA02', NULL, NULL, 217, NULL, NULL, 18688),
(41277, '3tqiA01', NULL, NULL, 198, NULL, NULL, 18688),
(41278, '3d54D00', NULL, NULL, 213, NULL, NULL, 18688),
(41279, '3fseA01', NULL, NULL, 207, NULL, NULL, 18688),
(41280, '1t0bA00', NULL, NULL, 252, NULL, NULL, 18688),
(41281, '3kklA00', NULL, NULL, 244, NULL, NULL, 18688),
(41282, '4wxyF00', NULL, NULL, 196, NULL, NULL, 18688),
(41283, '4hcjA00', NULL, NULL, 177, NULL, NULL, 18688),
(41284, '4lgyA04', NULL, NULL, 318, NULL, NULL, 18688),
(41285, '3fijC00', NULL, NULL, 254, NULL, NULL, 18688),
(41286, '1gpwB00', NULL, NULL, 200, NULL, NULL, 18688),
(41287, '3l7nA00', NULL, NULL, 236, NULL, NULL, 18688),
(41288, '2zuvA03', NULL, NULL, 261, NULL, NULL, 18688),
(41289, '5xzmB03', NULL, NULL, 152, NULL, NULL, 18688),
(41290, '3mgkA00', NULL, NULL, 211, NULL, NULL, 18688),
(41291, '3sozA00', NULL, NULL, 248, NULL, NULL, 18688),
(41292, '4k2hD00', NULL, NULL, 188, NULL, NULL, 18688),
(41293, '2kjxA01', NULL, NULL, 53, NULL, NULL, 18689),
(41294, '2wy3B00', NULL, NULL, 137, NULL, NULL, 18690),
(41295, '4jgpA02', NULL, NULL, 99, NULL, NULL, 18691),
(41296, '2kdkA01', NULL, NULL, 109, NULL, NULL, 18691),
(41297, '3mqqB00', NULL, NULL, 120, NULL, NULL, 18691),
(41298, '5f68A00', NULL, NULL, 103, NULL, NULL, 18691),
(41299, '4jgpA01', NULL, NULL, 92, NULL, NULL, 18691),
(41300, '2oolA01', NULL, NULL, 111, NULL, NULL, 18691),
(41301, '2m1cA00', NULL, NULL, 113, NULL, NULL, 18691),
(41302, '2h28A01', NULL, NULL, 92, NULL, NULL, 18691),
(41303, '3lidA03', NULL, NULL, 96, NULL, NULL, 18691),
(41304, '3lidA02', NULL, NULL, 134, NULL, NULL, 18691),
(41305, '3li9A02', NULL, NULL, 138, NULL, NULL, 18691),
(41306, '3li9A01', NULL, NULL, 134, NULL, NULL, 18691),
(41307, '1oj5A00', NULL, NULL, 114, NULL, NULL, 18691),
(41308, '1jnuA00', NULL, NULL, 104, NULL, NULL, 18691),
(41309, '1ot6A00', NULL, NULL, 125, NULL, NULL, 18691),
(41310, '3gdiA01', NULL, NULL, 151, NULL, NULL, 18691),
(41311, '4dj2A01', NULL, NULL, 162, NULL, NULL, 18691),
(41312, '4l9eA00', NULL, NULL, 115, NULL, NULL, 18691),
(41313, '4hi4A00', NULL, NULL, 121, NULL, NULL, 18691),
(41314, '4s21B02', NULL, NULL, 134, NULL, NULL, 18691),
(41315, '3nhqA02', NULL, NULL, 119, NULL, NULL, 18691),
(41316, '5y7wA00', NULL, NULL, 127, NULL, NULL, 18691),
(41317, '2z6cA00', NULL, NULL, 129, NULL, NULL, 18691),
(41318, '2r78C00', NULL, NULL, 117, NULL, NULL, 18691),
(41319, '2ykfA02', NULL, NULL, 151, NULL, NULL, 18691),
(41320, '3njaA01', NULL, NULL, 60, NULL, NULL, 18691),
(41321, '4r70B02', NULL, NULL, 138, NULL, NULL, 18691),
(41322, '3by9A02', NULL, NULL, 122, NULL, NULL, 18691),
(41323, '5hwvA00', NULL, NULL, 130, NULL, NULL, 18691),
(41324, '4gczB01', NULL, NULL, 126, NULL, NULL, 18691),
(41325, '2vv6D00', NULL, NULL, 119, NULL, NULL, 18691),
(41326, '3a0sA00', NULL, NULL, 96, NULL, NULL, 18691),
(41327, '4hh3A01', NULL, NULL, 125, NULL, NULL, 18691);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(41328, '3e4pA03', NULL, NULL, 113, NULL, NULL, 18691),
(41329, '3e4pA02', NULL, NULL, 81, NULL, NULL, 18691),
(41330, '4hp4B00', NULL, NULL, 130, NULL, NULL, 18691),
(41331, '1mzuB00', NULL, NULL, 129, NULL, NULL, 18691),
(41332, '3c8cB01', NULL, NULL, 127, NULL, NULL, 18691),
(41333, '3p7nA01', NULL, NULL, 126, NULL, NULL, 18691),
(41334, '3c8cB02', NULL, NULL, 113, NULL, NULL, 18691),
(41335, '4dj3B01', NULL, NULL, 136, NULL, NULL, 18691),
(41336, '3ue6C00', NULL, NULL, 122, NULL, NULL, 18691),
(41337, '3mxqC00', NULL, NULL, 152, NULL, NULL, 18691),
(41338, '4dj3B02', NULL, NULL, 157, NULL, NULL, 18691),
(41339, '4h6jA00', NULL, NULL, 113, NULL, NULL, 18691),
(41340, '4r3aB01', NULL, NULL, 171, NULL, NULL, 18691),
(41341, '6gpuA00', NULL, NULL, 115, NULL, NULL, 18691),
(41342, '3icyA00', NULL, NULL, 118, NULL, NULL, 18691),
(41343, '4eetB00', NULL, NULL, 115, NULL, NULL, 18691),
(41344, '2w0nA00', NULL, NULL, 118, NULL, NULL, 18691),
(41345, '2qkpD00', NULL, NULL, 151, NULL, NULL, 18691),
(41346, '3lyxB00', NULL, NULL, 124, NULL, NULL, 18691),
(41347, '4hh2C04', NULL, NULL, 118, NULL, NULL, 18691),
(41348, '6iouA02', NULL, NULL, 112, NULL, NULL, 18691),
(41349, '3bwlB00', NULL, NULL, 126, NULL, NULL, 18691),
(41350, '3k3dA00', NULL, NULL, 149, NULL, NULL, 18691),
(41351, '1p97A00', NULL, NULL, 114, NULL, NULL, 18691),
(41352, '4r38A00', NULL, NULL, 120, NULL, NULL, 18691),
(41353, '3libA02', NULL, NULL, 138, NULL, NULL, 18691),
(41354, '3by8A00', NULL, NULL, 142, NULL, NULL, 18691),
(41355, '3fg8A00', NULL, NULL, 118, NULL, NULL, 18691),
(41356, '2vlgC00', NULL, NULL, 111, NULL, NULL, 18691),
(41357, '5djtA00', NULL, NULL, 145, NULL, NULL, 18691),
(41358, '3t50A00', NULL, NULL, 128, NULL, NULL, 18691),
(41359, '2pr5B00', NULL, NULL, 132, NULL, NULL, 18691),
(41360, '5dkkA00', NULL, NULL, 145, NULL, NULL, 18691),
(41361, '2j80B00', NULL, NULL, 135, NULL, NULL, 18691),
(41362, '3gdiB02', NULL, NULL, 158, NULL, NULL, 18691),
(41363, '4ywzB00', NULL, NULL, 152, NULL, NULL, 18691),
(41364, '5hsqA02', NULL, NULL, 129, NULL, NULL, 18691),
(41365, '4dj2B02', NULL, NULL, 158, NULL, NULL, 18691),
(41366, '5kizA00', NULL, NULL, 114, NULL, NULL, 18691),
(41367, '2basB03', NULL, NULL, 116, NULL, NULL, 18691),
(41368, '3f1pA00', NULL, NULL, 117, NULL, NULL, 18691),
(41369, '4gw9A02', NULL, NULL, 92, NULL, NULL, 18691),
(41370, '3cloC01', NULL, NULL, 194, NULL, NULL, 18691),
(41371, '3luqB00', NULL, NULL, 114, NULL, NULL, 18691),
(41372, '3by9B01', NULL, NULL, 133, NULL, NULL, 18691),
(41373, '5g4zA00', NULL, NULL, 158, NULL, NULL, 18691),
(41374, '5ajgA01', NULL, NULL, 157, NULL, NULL, 18691),
(41375, '4exoA00', NULL, NULL, 146, NULL, NULL, 18691),
(41376, '4hhdA00', NULL, NULL, 166, NULL, NULL, 18691),
(41377, '4m4xA00', NULL, NULL, 161, NULL, NULL, 18691),
(41378, '4gw9A04', NULL, NULL, 124, NULL, NULL, 18691),
(41379, '3caxA02', NULL, NULL, 148, NULL, NULL, 18691),
(41380, '2pd8B00', NULL, NULL, 149, NULL, NULL, 18691),
(41381, '4q0jA02', NULL, NULL, 137, NULL, NULL, 18691),
(41382, '3f1pB01', NULL, NULL, 110, NULL, NULL, 18691),
(41383, '4rq9A01', NULL, NULL, 111, NULL, NULL, 18691),
(41384, '4eepA00', NULL, NULL, 115, NULL, NULL, 18691),
(41385, '2z6dA00', NULL, NULL, 130, NULL, NULL, 18691),
(41386, '4hiaA00', NULL, NULL, 176, NULL, NULL, 18691),
(41387, '4lrzE02', NULL, NULL, 106, NULL, NULL, 18691),
(41388, '3libH01', NULL, NULL, 152, NULL, NULL, 18691),
(41389, '1nwzA00', NULL, NULL, 125, NULL, NULL, 18691),
(41390, '1n9lA00', NULL, NULL, 109, NULL, NULL, 18691),
(41391, '4f3lA03', NULL, NULL, 122, NULL, NULL, 18691),
(41392, '4f3lA02', NULL, NULL, 144, NULL, NULL, 18691),
(41393, '4mn6A00', NULL, NULL, 107, NULL, NULL, 18691),
(41394, '3b33A00', NULL, NULL, 115, NULL, NULL, 18691),
(41395, '4lloB00', NULL, NULL, 134, NULL, NULL, 18691),
(41396, '4ew7A00', NULL, NULL, 127, NULL, NULL, 18691),
(41397, '1xfnA00', NULL, NULL, 113, NULL, NULL, 18691),
(41398, '4nxfA00', NULL, NULL, 118, NULL, NULL, 18691),
(41399, '2basA03', NULL, NULL, 116, NULL, NULL, 18691),
(41400, '4eeuA00', NULL, NULL, 118, NULL, NULL, 18691);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(41401, '6gg9A00', NULL, NULL, 144, NULL, NULL, 18691),
(41402, '4kukA00', NULL, NULL, 127, NULL, NULL, 18691),
(41403, '1s67L00', NULL, NULL, 119, NULL, NULL, 18691),
(41404, '3ewkA01', NULL, NULL, 103, NULL, NULL, 18691),
(41405, '2gj3A00', NULL, NULL, 120, NULL, NULL, 18691),
(41406, '3ewkA03', NULL, NULL, 107, NULL, NULL, 18691),
(41407, '3lifB01', NULL, NULL, 150, NULL, NULL, 18691),
(41408, '3licA02', NULL, NULL, 96, NULL, NULL, 18691),
(41409, '2jheA02', NULL, NULL, 109, NULL, NULL, 18691),
(41410, '3licA01', NULL, NULL, 178, NULL, NULL, 18691),
(41411, '2ea9A01', NULL, NULL, 96, NULL, NULL, 18691),
(41412, '4kqdB00', NULL, NULL, 121, NULL, NULL, 18691),
(41413, '1d06A00', NULL, NULL, 130, NULL, NULL, 18691),
(41414, '4k08A00', NULL, NULL, 153, NULL, NULL, 18691),
(41415, '4l9fA00', NULL, NULL, 115, NULL, NULL, 18691),
(41416, '4i5sA02', NULL, NULL, 98, NULL, NULL, 18691),
(41417, '5j7eC00', NULL, NULL, 121, NULL, NULL, 18691),
(41418, '6rhfA00', NULL, NULL, 113, NULL, NULL, 18691),
(41419, '4f3lB03', NULL, NULL, 120, NULL, NULL, 18691),
(41420, '4f3lB02', NULL, NULL, 193, NULL, NULL, 18691),
(41421, '3cwfA00', NULL, NULL, 122, NULL, NULL, 18691),
(41422, '2l1mA00', NULL, NULL, 150, NULL, NULL, 18691),
(41423, '4wn5A00', NULL, NULL, 115, NULL, NULL, 18691),
(41424, '5iu1B00', NULL, NULL, 116, NULL, NULL, 18691),
(41425, '3ub8A00', NULL, NULL, 181, NULL, NULL, 18691),
(41426, '3mr0A01', NULL, NULL, 121, NULL, NULL, 18691),
(41427, '1ll8A00', NULL, NULL, 114, NULL, NULL, 18691),
(41428, '5luvA00', NULL, NULL, 146, NULL, NULL, 18691),
(41429, '2w27A03', NULL, NULL, 116, NULL, NULL, 18691),
(41430, '4wujD00', NULL, NULL, 147, NULL, NULL, 18691),
(41431, '3eehA00', NULL, NULL, 125, NULL, NULL, 18691),
(41432, '4wf0A00', NULL, NULL, 158, NULL, NULL, 18691),
(41433, '3h9wA00', NULL, NULL, 115, NULL, NULL, 18691),
(41434, '3rtyB01', NULL, NULL, 138, NULL, NULL, 18691),
(41435, '3fc7A00', NULL, NULL, 100, NULL, NULL, 18691),
(41436, '3mfxB00', NULL, NULL, 129, NULL, NULL, 18691),
(41437, '3njaB01', NULL, NULL, 76, NULL, NULL, 18691),
(41438, '4hp9A00', NULL, NULL, 128, NULL, NULL, 18691),
(41439, '6i20C00', NULL, NULL, 130, NULL, NULL, 18691),
(41440, '3mjqA00', NULL, NULL, 108, NULL, NULL, 18691),
(41441, '4mn5A00', NULL, NULL, 128, NULL, NULL, 18691),
(41442, '2inwA01', NULL, NULL, 107, NULL, NULL, 18691),
(41443, '2veaA02', NULL, NULL, 140, NULL, NULL, 18691),
(41444, '3lifA02', NULL, NULL, 90, NULL, NULL, 18691),
(41445, '3oloA00', NULL, NULL, 118, NULL, NULL, 18691),
(41446, '4e04B01', NULL, NULL, 122, NULL, NULL, 18691),
(41447, '1wa9A02', NULL, NULL, 168, NULL, NULL, 18691),
(41448, '4hp4A00', NULL, NULL, 130, NULL, NULL, 18691),
(41449, '5svvD00', NULL, NULL, 137, NULL, NULL, 18691),
(41450, '6baoA02', NULL, NULL, 143, NULL, NULL, 18691),
(41451, '1otdA00', NULL, NULL, 105, NULL, NULL, 18691),
(41452, '3ol1A00', NULL, NULL, 119, NULL, NULL, 18692),
(41453, '1useA00', NULL, NULL, 45, NULL, NULL, 18692),
(41454, '3mudD00', NULL, NULL, 48, NULL, NULL, 18692),
(41455, '3swkB00', NULL, NULL, 86, NULL, NULL, 18692),
(41456, '3ssuA00', NULL, NULL, 46, NULL, NULL, 18692),
(41457, '5khtA00', NULL, NULL, 47, NULL, NULL, 18692),
(41458, '4ypcA00', NULL, NULL, 83, NULL, NULL, 18692),
(41459, '4epsA01', NULL, NULL, 141, NULL, NULL, 18693),
(41460, '3t2lA01', NULL, NULL, 135, NULL, NULL, 18693),
(41461, '3sy6B01', NULL, NULL, 141, NULL, NULL, 18693),
(41462, '4k4kB01', NULL, NULL, 141, NULL, NULL, 18693),
(41463, '3ufiA01', NULL, NULL, 162, NULL, NULL, 18693),
(41464, '6dcjA02', NULL, NULL, 112, NULL, NULL, 18694),
(41465, '2mhkA02', NULL, NULL, 109, NULL, NULL, 18694),
(41466, '1qh5A00', NULL, NULL, 260, NULL, NULL, 18695),
(41467, '3iogA00', NULL, NULL, 227, NULL, NULL, 18695),
(41468, '5ls3A00', NULL, NULL, 250, NULL, NULL, 18695),
(41469, '2ycbA03', NULL, NULL, 266, NULL, NULL, 18695),
(41470, '3md7A00', NULL, NULL, 270, NULL, NULL, 18695),
(41471, '3iekA01', NULL, NULL, 249, NULL, NULL, 18695),
(41472, '3dhaA01', NULL, NULL, 245, NULL, NULL, 18695),
(41473, '5iqkA00', NULL, NULL, 271, NULL, NULL, 18695);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(41474, '5aebA00', NULL, NULL, 272, NULL, NULL, 18695),
(41475, '2cbnA00', NULL, NULL, 306, NULL, NULL, 18695),
(41476, '4ax1B00', NULL, NULL, 277, NULL, NULL, 18695),
(41477, '6n9iA00', NULL, NULL, 276, NULL, NULL, 18695),
(41478, '6i1dA01', NULL, NULL, 287, NULL, NULL, 18695),
(41479, '6cgyL00', NULL, NULL, 282, NULL, NULL, 18695),
(41480, '6aufB00', NULL, NULL, 277, NULL, NULL, 18695),
(41481, '5q22A01', NULL, NULL, 195, NULL, NULL, 18695),
(41482, '4d02A01', NULL, NULL, 247, NULL, NULL, 18695),
(41483, '4ubqA00', NULL, NULL, 229, NULL, NULL, 18695),
(41484, '2p97A00', NULL, NULL, 201, NULL, NULL, 18695),
(41485, '5ve3A01', NULL, NULL, 244, NULL, NULL, 18695),
(41486, '3zwfA00', NULL, NULL, 320, NULL, NULL, 18695),
(41487, '3l6nA00', NULL, NULL, 219, NULL, NULL, 18695),
(41488, '2vw8A00', NULL, NULL, 303, NULL, NULL, 18695),
(41489, '5naiA00', NULL, NULL, 236, NULL, NULL, 18695),
(41490, '2i7xA01', NULL, NULL, 279, NULL, NULL, 18695),
(41491, '4xukA00', NULL, NULL, 291, NULL, NULL, 18695),
(41492, '6frnA01', NULL, NULL, 253, NULL, NULL, 18695),
(41493, '3rpcA00', NULL, NULL, 264, NULL, NULL, 18695),
(41494, '5ahoA01', NULL, NULL, 191, NULL, NULL, 18695),
(41495, '1wraA01', NULL, NULL, 303, NULL, NULL, 18695),
(41496, '5k0wA00', NULL, NULL, 274, NULL, NULL, 18695),
(41497, '3bk2A01', NULL, NULL, 313, NULL, NULL, 18695),
(41498, '3af5A03', NULL, NULL, 272, NULL, NULL, 18695),
(41499, '2e7yB00', NULL, NULL, 280, NULL, NULL, 18695),
(41500, '4d1tA00', NULL, NULL, 236, NULL, NULL, 18695),
(41501, '1xm8A00', NULL, NULL, 254, NULL, NULL, 18695),
(41502, '2p18A00', NULL, NULL, 295, NULL, NULL, 18695),
(41503, '5ew0A00', NULL, NULL, 234, NULL, NULL, 18695),
(41504, '4zo2A00', NULL, NULL, 294, NULL, NULL, 18695),
(41505, '5jqjA00', NULL, NULL, 228, NULL, NULL, 18695),
(41506, '2qedA00', NULL, NULL, 258, NULL, NULL, 18695),
(41507, '4ysbA00', NULL, NULL, 233, NULL, NULL, 18695),
(41508, '4c1hA00', NULL, NULL, 227, NULL, NULL, 18695),
(41509, '1zkpC00', NULL, NULL, 245, NULL, NULL, 18695),
(41510, '3x30A00', NULL, NULL, 227, NULL, NULL, 18695),
(41511, '4fekB00', NULL, NULL, 262, NULL, NULL, 18695),
(41512, '3r2uB01', NULL, NULL, 266, NULL, NULL, 18695),
(41513, '4v0hD00', NULL, NULL, 239, NULL, NULL, 18695),
(41514, '1e5dA02', NULL, NULL, 248, NULL, NULL, 18695),
(41515, '6brmH00', NULL, NULL, 269, NULL, NULL, 18695),
(41516, '4zejA00', NULL, NULL, 232, NULL, NULL, 18695),
(41517, '3eshA01', NULL, NULL, 263, NULL, NULL, 18695),
(41518, '6e0sA00', NULL, NULL, 264, NULL, NULL, 18695),
(41519, '1vjnA00', NULL, NULL, 220, NULL, NULL, 18695),
(41520, '5y5bA00', NULL, NULL, 228, NULL, NULL, 18695),
(41521, '3tp9A01', NULL, NULL, 262, NULL, NULL, 18695),
(41522, '5lm6A00', NULL, NULL, 235, NULL, NULL, 18695),
(41523, '2p4zA00', NULL, NULL, 284, NULL, NULL, 18695),
(41524, '2zwrB00', NULL, NULL, 207, NULL, NULL, 18695),
(41525, '1ycgA01', NULL, NULL, 247, NULL, NULL, 18695),
(41526, '1y44A00', NULL, NULL, 282, NULL, NULL, 18695),
(41527, '4z67A00', NULL, NULL, 309, NULL, NULL, 18695),
(41528, '5acsA00', NULL, NULL, 229, NULL, NULL, 18695),
(41529, '2xf4A00', NULL, NULL, 210, NULL, NULL, 18695),
(41530, '5axoA00', NULL, NULL, 262, NULL, NULL, 18695),
(41531, '2r2dA00', NULL, NULL, 276, NULL, NULL, 18695),
(41532, '3zq4A01', NULL, NULL, 297, NULL, NULL, 18695),
(41533, '4yslA00', NULL, NULL, 294, NULL, NULL, 18695),
(41534, '3g1pA00', NULL, NULL, 258, NULL, NULL, 18695),
(41535, '4efzB00', NULL, NULL, 298, NULL, NULL, 18695),
(41536, '4chlA01', NULL, NULL, 233, NULL, NULL, 18695),
(41537, '1p9eA00', NULL, NULL, 296, NULL, NULL, 18695),
(41538, '1ztcA00', NULL, NULL, 221, NULL, NULL, 18695),
(41539, '5a0tB01', NULL, NULL, 294, NULL, NULL, 18695),
(41540, '1znbB00', NULL, NULL, 232, NULL, NULL, 18695),
(41541, '3kl7A00', NULL, NULL, 235, NULL, NULL, 18695),
(41542, '3adrB00', NULL, NULL, 261, NULL, NULL, 18695),
(41543, '4le6D00', NULL, NULL, 252, NULL, NULL, 18695),
(41544, '2xr1A03', NULL, NULL, 265, NULL, NULL, 18695),
(41545, '5hifA00', NULL, NULL, 299, NULL, NULL, 18695),
(41546, '2wylC00', NULL, NULL, 337, NULL, NULL, 18695);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(41547, '5xp6A00', NULL, NULL, 243, NULL, NULL, 18695),
(41548, '2i7tA01', NULL, NULL, 279, NULL, NULL, 18695),
(41549, '4xwwB01', NULL, NULL, 311, NULL, NULL, 18695),
(41550, '5wcmA00', NULL, NULL, 263, NULL, NULL, 18695),
(41551, '1m2xA00', NULL, NULL, 223, NULL, NULL, 18695),
(41552, '3aj3A00', NULL, NULL, 274, NULL, NULL, 18695),
(41553, '2gcuB01', NULL, NULL, 229, NULL, NULL, 18695),
(41554, '3bv6A00', NULL, NULL, 353, NULL, NULL, 18695),
(41555, '1k07A00', NULL, NULL, 263, NULL, NULL, 18695),
(41556, '4ad9A01', NULL, NULL, 205, NULL, NULL, 18695),
(41557, '5evkA00', NULL, NULL, 271, NULL, NULL, 18695),
(41558, '3h3eA00', NULL, NULL, 267, NULL, NULL, 18695),
(41559, '6n36A00', NULL, NULL, 271, NULL, NULL, 18695),
(41560, '2q9uB01', NULL, NULL, 251, NULL, NULL, 18695),
(41561, '2zo4A01', NULL, NULL, 261, NULL, NULL, 18695),
(41562, '2ohhA01', NULL, NULL, 252, NULL, NULL, 18695),
(41563, '4z7rB00', NULL, NULL, 299, NULL, NULL, 18695),
(41564, '5mmdE00', NULL, NULL, 229, NULL, NULL, 18695),
(41565, '2az4A01', NULL, NULL, 275, NULL, NULL, 18695),
(41566, '5v8sA01', NULL, NULL, 261, NULL, NULL, 18695),
(41567, '5b3rB00', NULL, NULL, 228, NULL, NULL, 18695),
(41568, '2p3yA04', NULL, NULL, 184, NULL, NULL, 18696),
(41569, '2fi2A00', NULL, NULL, 94, NULL, NULL, 18697),
(41570, '4bhxB00', NULL, NULL, 94, NULL, NULL, 18697),
(41571, '4e6sA00', NULL, NULL, 93, NULL, NULL, 18697),
(41572, '1y7qA00', NULL, NULL, 98, NULL, NULL, 18697),
(41573, '3lhrB00', NULL, NULL, 93, NULL, NULL, 18697),
(41574, '3ux3A02', NULL, NULL, 33, NULL, NULL, 18698),
(41575, '2cb0A01', NULL, NULL, 159, NULL, NULL, 18699),
(41576, '1hm5A01', NULL, NULL, 320, NULL, NULL, 18699),
(41577, '3qkiB01', NULL, NULL, 380, NULL, NULL, 18699),
(41578, '2xhzB00', NULL, NULL, 183, NULL, NULL, 18699),
(41579, '3ff1B01', NULL, NULL, 231, NULL, NULL, 18699),
(41580, '1hm5A02', NULL, NULL, 195, NULL, NULL, 18699),
(41581, '3ff1B02', NULL, NULL, 184, NULL, NULL, 18699),
(41582, '2a3nA02', NULL, NULL, 161, NULL, NULL, 18699),
(41583, '2a3nA01', NULL, NULL, 162, NULL, NULL, 18699),
(41584, '2cb0A02', NULL, NULL, 152, NULL, NULL, 18699),
(41585, '3hbaA02', NULL, NULL, 126, NULL, NULL, 18699),
(41586, '3hbaA01', NULL, NULL, 193, NULL, NULL, 18699),
(41587, '3hjbA01', NULL, NULL, 318, NULL, NULL, 18699),
(41588, '3hjbA02', NULL, NULL, 194, NULL, NULL, 18699),
(41589, '1nriA00', NULL, NULL, 259, NULL, NULL, 18699),
(41590, '5lu5D00', NULL, NULL, 197, NULL, NULL, 18699),
(41591, '4ivnA02', NULL, NULL, 188, NULL, NULL, 18699),
(41592, '2vhoB01', NULL, NULL, 150, NULL, NULL, 18699),
(41593, '3ljkA01', NULL, NULL, 309, NULL, NULL, 18699),
(41594, '3g68B01', NULL, NULL, 207, NULL, NULL, 18699),
(41595, '3ljkA02', NULL, NULL, 195, NULL, NULL, 18699),
(41596, '2amlB01', NULL, NULL, 226, NULL, NULL, 18699),
(41597, '3jx9A00', NULL, NULL, 170, NULL, NULL, 18699),
(41598, '3odpA01', NULL, NULL, 204, NULL, NULL, 18699),
(41599, '3odpA02', NULL, NULL, 182, NULL, NULL, 18699),
(41600, '3ujhA02', NULL, NULL, 203, NULL, NULL, 18699),
(41601, '4toiA01', NULL, NULL, 182, NULL, NULL, 18699),
(41602, '3fj1A02', NULL, NULL, 136, NULL, NULL, 18699),
(41603, '3fj1A01', NULL, NULL, 193, NULL, NULL, 18699),
(41604, '3nbuA01', NULL, NULL, 316, NULL, NULL, 18699),
(41605, '3i0zA02', NULL, NULL, 176, NULL, NULL, 18699),
(41606, '3i0zA01', NULL, NULL, 205, NULL, NULL, 18699),
(41607, '2o2cC01', NULL, NULL, 379, NULL, NULL, 18699),
(41608, '3trjD00', NULL, NULL, 201, NULL, NULL, 18699),
(41609, '1wiwA02', NULL, NULL, 133, NULL, NULL, 18699),
(41610, '1x92A00', NULL, NULL, 199, NULL, NULL, 18699),
(41611, '1iatA02', NULL, NULL, 195, NULL, NULL, 18699),
(41612, '2yvaA00', NULL, NULL, 196, NULL, NULL, 18699),
(41613, '1m3sB00', NULL, NULL, 186, NULL, NULL, 18699),
(41614, '3jamA01', NULL, NULL, 197, NULL, NULL, 18699),
(41615, '2i2wA00', NULL, NULL, 192, NULL, NULL, 18699),
(41616, '3g68A02', NULL, NULL, 145, NULL, NULL, 18699),
(41617, '3tbfA02', NULL, NULL, 149, NULL, NULL, 18699),
(41618, '2amlA02', NULL, NULL, 147, NULL, NULL, 18699),
(41619, '1iatA01', NULL, NULL, 319, NULL, NULL, 18699);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(41620, '4em6C01', NULL, NULL, 320, NULL, NULL, 18699),
(41621, '1moqA01', NULL, NULL, 220, NULL, NULL, 18699),
(41622, '1moqA02', NULL, NULL, 148, NULL, NULL, 18699),
(41623, '4s12B01', NULL, NULL, 221, NULL, NULL, 18699),
(41624, '3fxaA00', NULL, NULL, 201, NULL, NULL, 18699),
(41625, '5o5jV01', NULL, NULL, 137, NULL, NULL, 18699),
(41626, '3etnB00', NULL, NULL, 220, NULL, NULL, 18699),
(41627, '1vi6C01', NULL, NULL, 197, NULL, NULL, 18699),
(41628, '5by2A00', NULL, NULL, 199, NULL, NULL, 18699),
(41629, '1vimA00', NULL, NULL, 200, NULL, NULL, 18699),
(41630, '6az1B01', NULL, NULL, 195, NULL, NULL, 18699),
(41631, '3fkjA01', NULL, NULL, 174, NULL, NULL, 18699),
(41632, '2vqeB01', NULL, NULL, 177, NULL, NULL, 18699),
(41633, '5mmjb01', NULL, NULL, 141, NULL, NULL, 18699),
(41634, '1j5xA02', NULL, NULL, 150, NULL, NULL, 18699),
(41635, '1tk9A00', NULL, NULL, 188, NULL, NULL, 18699),
(41636, '1j5xA01', NULL, NULL, 181, NULL, NULL, 18699),
(41637, '2e5fA02', NULL, NULL, 152, NULL, NULL, 18699),
(41638, '2e5lB01', NULL, NULL, 136, NULL, NULL, 18699),
(41639, '2e5fA01', NULL, NULL, 159, NULL, NULL, 18699),
(41640, '4bpeB01', NULL, NULL, 194, NULL, NULL, 18699),
(41641, '3tbfB01', NULL, NULL, 222, NULL, NULL, 18699),
(41642, '3ifsA02', NULL, NULL, 188, NULL, NULL, 18699),
(41643, '5i01A00', NULL, NULL, 204, NULL, NULL, 18699),
(41644, '5xxuA01', NULL, NULL, 195, NULL, NULL, 18699),
(41645, '3w0lD02', NULL, NULL, 347, NULL, NULL, 18699),
(41646, '3knzA01', NULL, NULL, 194, NULL, NULL, 18699),
(41647, '3knzA02', NULL, NULL, 146, NULL, NULL, 18699),
(41648, '5xyiA01', NULL, NULL, 206, NULL, NULL, 18699),
(41649, '1tzbA02', NULL, NULL, 139, NULL, NULL, 18699),
(41650, '3c3jA02', NULL, NULL, 179, NULL, NULL, 18699),
(41651, '5uqiA00', NULL, NULL, 198, NULL, NULL, 18699),
(41652, '3c3jA01', NULL, NULL, 197, NULL, NULL, 18699),
(41653, '1gzdA01', NULL, NULL, 319, NULL, NULL, 18699),
(41654, '1gzdA02', NULL, NULL, 195, NULL, NULL, 18699),
(41655, '3euaF01', NULL, NULL, 156, NULL, NULL, 18699),
(41656, '5optf01', NULL, NULL, 194, NULL, NULL, 18699),
(41657, '1tzbA01', NULL, NULL, 163, NULL, NULL, 18699),
(41658, '3qkiA02', NULL, NULL, 151, NULL, NULL, 18699),
(41659, '3cvjC00', NULL, NULL, 243, NULL, NULL, 18699),
(41660, '2o2cA02', NULL, NULL, 134, NULL, NULL, 18699),
(41661, '2zj3A01', NULL, NULL, 227, NULL, NULL, 18699),
(41662, '2zj3A02', NULL, NULL, 148, NULL, NULL, 18699),
(41663, '2wu8A02', NULL, NULL, 194, NULL, NULL, 18699),
(41664, '4lc9A01', NULL, NULL, 348, NULL, NULL, 18699),
(41665, '2wu8A01', NULL, NULL, 310, NULL, NULL, 18699),
(41666, '2cxnA02', NULL, NULL, 195, NULL, NULL, 18699),
(41667, '1zzgA02', NULL, NULL, 169, NULL, NULL, 18699),
(41668, '1zzgA01', NULL, NULL, 246, NULL, NULL, 18699),
(41669, '1t10A01', NULL, NULL, 374, NULL, NULL, 18699),
(41670, '6faiA01', NULL, NULL, 195, NULL, NULL, 18699),
(41671, '1t10A02', NULL, NULL, 134, NULL, NULL, 18699),
(41672, '2cxnA01', NULL, NULL, 320, NULL, NULL, 18699),
(41673, '2pocB01', NULL, NULL, 205, NULL, NULL, 18699),
(41674, '2pocB02', NULL, NULL, 162, NULL, NULL, 18699),
(41675, '4s1wB01', NULL, NULL, 201, NULL, NULL, 18699),
(41676, '4s1wB02', NULL, NULL, 157, NULL, NULL, 18699),
(41677, '3ifsB01', NULL, NULL, 233, NULL, NULL, 18699),
(41678, '4em6A02', NULL, NULL, 193, NULL, NULL, 18699),
(41679, '4bb9A02', NULL, NULL, 348, NULL, NULL, 18699),
(41680, '3t1yB01', NULL, NULL, 175, NULL, NULL, 18699),
(41681, '1b0zA02', NULL, NULL, 184, NULL, NULL, 18699),
(41682, '3ujhB01', NULL, NULL, 316, NULL, NULL, 18699),
(41683, '1jeoA00', NULL, NULL, 180, NULL, NULL, 18699),
(41684, '1x94A00', NULL, NULL, 191, NULL, NULL, 18699),
(41685, '1b0zA01', NULL, NULL, 228, NULL, NULL, 18699),
(41686, '3j7aC01', NULL, NULL, 192, NULL, NULL, 18699),
(41687, '3bchA01', NULL, NULL, 207, NULL, NULL, 18699),
(41688, '3shoA00', NULL, NULL, 187, NULL, NULL, 18699),
(41689, '3nbuB02', NULL, NULL, 194, NULL, NULL, 18699),
(41690, '2q8nA02', NULL, NULL, 164, NULL, NULL, 18699),
(41691, '2q8nA01', NULL, NULL, 296, NULL, NULL, 18699),
(41692, '4a9aA01', NULL, NULL, 126, NULL, NULL, 18700);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(41693, '2y8nB01', NULL, NULL, 42, NULL, NULL, 18701),
(41694, '2y8nB02', NULL, NULL, 44, NULL, NULL, 18701),
(41695, '4fxkB02', NULL, NULL, 58, NULL, NULL, 18702),
(41696, '3hrzB01', NULL, NULL, 80, NULL, NULL, 18702),
(41697, '2qkiE01', NULL, NULL, 79, NULL, NULL, 18702),
(41698, '5fo8B01', NULL, NULL, 62, NULL, NULL, 18702),
(41699, '2b39A06', NULL, NULL, 124, NULL, NULL, 18702),
(41700, '3cu7A06', NULL, NULL, 111, NULL, NULL, 18702),
(41701, '2pn5A06', NULL, NULL, 94, NULL, NULL, 18702),
(41702, '2zf8A01', NULL, NULL, 154, NULL, NULL, 18703),
(41703, '3zoqC00', NULL, NULL, 56, NULL, NULL, 18704),
(41704, '4l5nC00', NULL, NULL, 55, NULL, NULL, 18704),
(41705, '2w02B01', NULL, NULL, 80, NULL, NULL, 18705),
(41706, '1ei5A02', NULL, NULL, 82, NULL, NULL, 18706),
(41707, '5cybA00', NULL, NULL, 89, NULL, NULL, 18706),
(41708, '1ei5A03', NULL, NULL, 102, NULL, NULL, 18706),
(41709, '2ejqB00', NULL, NULL, 130, NULL, NULL, 18707),
(41710, '3e11A00', NULL, NULL, 114, NULL, NULL, 18707),
(41711, '3imoC00', NULL, NULL, 112, NULL, NULL, 18708),
(41712, '5dqxA00', NULL, NULL, 252, NULL, NULL, 18709),
(41713, '1qd5A00', NULL, NULL, 257, NULL, NULL, 18709),
(41714, '1hhnA00', NULL, NULL, 101, NULL, NULL, 18710),
(41715, '1k9cA00', NULL, NULL, 74, NULL, NULL, 18710),
(41716, '1jhnA02', NULL, NULL, 146, NULL, NULL, 18710),
(41717, '5ez3A02', NULL, NULL, 54, NULL, NULL, 18711),
(41718, '3djlA02', NULL, NULL, 54, NULL, NULL, 18711),
(41719, '6ha4A00', NULL, NULL, 55, NULL, NULL, 18712),
(41720, '1afpA00', NULL, NULL, 51, NULL, NULL, 18712),
(41721, '2xnxM00', NULL, NULL, 114, NULL, NULL, 18713),
(41722, '4l3uA00', NULL, NULL, 139, NULL, NULL, 18714),
(41723, '3f4sA02', NULL, NULL, 64, NULL, NULL, 18715),
(41724, '1u6zA04', NULL, NULL, 57, NULL, NULL, 18716),
(41725, '2lseA00', NULL, NULL, 101, NULL, NULL, 18717),
(41726, '2zpaA01', NULL, NULL, 191, NULL, NULL, 18718),
(41727, '2z4tA02', NULL, NULL, 225, NULL, NULL, 18719),
(41728, '3s44A01', NULL, NULL, 209, NULL, NULL, 18719),
(41729, '4r84A02', NULL, NULL, 224, NULL, NULL, 18719),
(41730, '2zwiA01', NULL, NULL, 218, NULL, NULL, 18719),
(41731, '4v3cA01', NULL, NULL, 209, NULL, NULL, 18719),
(41732, '3vepC00', NULL, NULL, 58, NULL, NULL, 18720),
(41733, '3gmgA00', NULL, NULL, 152, NULL, NULL, 18721),
(41734, '2w82A02', NULL, NULL, 42, NULL, NULL, 18722),
(41735, '4l6v600', NULL, NULL, 125, NULL, NULL, 18723),
(41736, '1jb0F00', NULL, NULL, 141, NULL, NULL, 18723),
(41737, '6igzF00', NULL, NULL, 165, NULL, NULL, 18723),
(41738, '5zjiF00', NULL, NULL, 159, NULL, NULL, 18723),
(41739, '4xk8F00', NULL, NULL, 151, NULL, NULL, 18723),
(41740, '5zgbF00', NULL, NULL, 156, NULL, NULL, 18723),
(41741, '5oy0600', NULL, NULL, 143, NULL, NULL, 18723),
(41742, '6ijjF00', NULL, NULL, 165, NULL, NULL, 18723),
(41743, '5l8rF00', NULL, NULL, 154, NULL, NULL, 18723),
(41744, '6i0y501', NULL, NULL, 130, NULL, NULL, 18724),
(41745, '3jsyA01', NULL, NULL, 133, NULL, NULL, 18724),
(41746, '1zavA01', NULL, NULL, 135, NULL, NULL, 18724),
(41747, '2qa4G01', NULL, NULL, 122, NULL, NULL, 18724),
(41748, '4v19J00', NULL, NULL, 168, NULL, NULL, 18724),
(41749, '4nwbA01', NULL, NULL, 132, NULL, NULL, 18724),
(41750, '1vx4q01', NULL, NULL, 133, NULL, NULL, 18724),
(41751, '5o60I00', NULL, NULL, 126, NULL, NULL, 18724),
(41752, '5oomI00', NULL, NULL, 168, NULL, NULL, 18724),
(41753, '3kitJ00', NULL, NULL, 133, NULL, NULL, 18724),
(41754, '3u5iq00', NULL, NULL, 145, NULL, NULL, 18724),
(41755, '3a1yG01', NULL, NULL, 134, NULL, NULL, 18724),
(41756, '4hubG01', NULL, NULL, 175, NULL, NULL, 18724),
(41757, '3o5hM00', NULL, NULL, 132, NULL, NULL, 18724),
(41758, '4ebgA00', NULL, NULL, 101, NULL, NULL, 18725),
(41759, '3tbiA00', NULL, NULL, 81, NULL, NULL, 18726),
(41760, '3rbyA02', NULL, NULL, 95, NULL, NULL, 18727),
(41761, '3c6aA00', NULL, NULL, 206, NULL, NULL, 18728),
(41762, '3cpeA03', NULL, NULL, 213, NULL, NULL, 18728),
(41763, '5c15A00', NULL, NULL, 241, NULL, NULL, 18728),
(41764, '5m1pB00', NULL, NULL, 191, NULL, NULL, 18728),
(41765, '3wajA02', NULL, NULL, 168, NULL, NULL, 18729);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(41766, '3vu1A01', NULL, NULL, 164, NULL, NULL, 18729),
(41767, '3vu0B00', NULL, NULL, 162, NULL, NULL, 18729),
(41768, '3wovA01', NULL, NULL, 154, NULL, NULL, 18729),
(41769, '2zaiA01', NULL, NULL, 156, NULL, NULL, 18729),
(41770, '3vgpA00', NULL, NULL, 164, NULL, NULL, 18729),
(41771, '1hc8B00', NULL, NULL, 76, NULL, NULL, 18730),
(41772, '4hubI02', NULL, NULL, 92, NULL, NULL, 18730),
(41773, '5mmiJ02', NULL, NULL, 82, NULL, NULL, 18730),
(41774, '6i0yI02', NULL, NULL, 70, NULL, NULL, 18730),
(41775, '1mmsB00', NULL, NULL, 71, NULL, NULL, 18730),
(41776, '5oomJ02', NULL, NULL, 74, NULL, NULL, 18730),
(41777, '2zjrF00', NULL, NULL, 71, NULL, NULL, 18730),
(41778, '2nxnB02', NULL, NULL, 77, NULL, NULL, 18730),
(41779, '1vx4K02', NULL, NULL, 88, NULL, NULL, 18730),
(41780, '5o60J02', NULL, NULL, 69, NULL, NULL, 18730),
(41781, '1vq8I00', NULL, NULL, 70, NULL, NULL, 18730),
(41782, '4pw8F02', NULL, NULL, 51, NULL, NULL, 18731),
(41783, '4hkaA02', NULL, NULL, 51, NULL, NULL, 18731),
(41784, '2rjbC00', NULL, NULL, 420, NULL, NULL, 18732),
(41785, '2rjbD00', NULL, NULL, 438, NULL, NULL, 18732),
(41786, '2f4lA01', NULL, NULL, 172, NULL, NULL, 18733),
(41787, '3ii6X02', NULL, NULL, 41, NULL, NULL, 18734),
(41788, '3m7vA02', NULL, NULL, 121, NULL, NULL, 18735),
(41789, '3ot9A02', NULL, NULL, 119, NULL, NULL, 18735),
(41790, '6humC00', NULL, NULL, 132, NULL, NULL, 18736),
(41791, '3rkoA00', NULL, NULL, 126, NULL, NULL, 18736),
(41792, '5lnkA00', NULL, NULL, 115, NULL, NULL, 18736),
(41793, '5xtcj00', NULL, NULL, 115, NULL, NULL, 18736),
(41794, '4heaA00', NULL, NULL, 119, NULL, NULL, 18736),
(41795, '6g2jA00', NULL, NULL, 115, NULL, NULL, 18736),
(41796, '1coyA02', NULL, NULL, 157, NULL, NULL, 18737),
(41797, '4rekA02', NULL, NULL, 157, NULL, NULL, 18737),
(41798, '1kdgA02', NULL, NULL, 204, NULL, NULL, 18737),
(41799, '2j42A01', NULL, NULL, 246, NULL, NULL, 18738),
(41800, '3tewA01', NULL, NULL, 258, NULL, NULL, 18738),
(41801, '4b3fX02', NULL, NULL, 108, NULL, NULL, 18739),
(41802, '2ns6A00', NULL, NULL, 185, NULL, NULL, 18740),
(41803, '4lviA01', NULL, NULL, 185, NULL, NULL, 18740),
(41804, '4ht4A00', NULL, NULL, 195, NULL, NULL, 18740),
(41805, '4emcC01', NULL, NULL, 28, NULL, NULL, 18741),
(41806, '2endA00', NULL, NULL, 138, NULL, NULL, 18742),
(41807, '4fxdA06', NULL, NULL, 172, NULL, NULL, 18743),
(41808, '3iayA07', NULL, NULL, 152, NULL, NULL, 18743),
(41809, '2gv9B06', NULL, NULL, 203, NULL, NULL, 18743),
(41810, '3k59A07', NULL, NULL, 145, NULL, NULL, 18743),
(41811, '1tgoA05', NULL, NULL, 167, NULL, NULL, 18743),
(41812, '4qclA05', NULL, NULL, 181, NULL, NULL, 18743),
(41813, '4ahcA05', NULL, NULL, 134, NULL, NULL, 18743),
(41814, '3ig5A03', NULL, NULL, 84, NULL, NULL, 18744),
(41815, '1vu2201', NULL, NULL, 170, NULL, NULL, 18745),
(41816, '2lehA00', NULL, NULL, 189, NULL, NULL, 18745),
(41817, '3fhnA03', NULL, NULL, 174, NULL, NULL, 18746),
(41818, '2ykoA03', NULL, NULL, 84, NULL, NULL, 18747),
(41819, '2jrbA00', NULL, NULL, 88, NULL, NULL, 18747),
(41820, '3sooA01', NULL, NULL, 71, NULL, NULL, 18747),
(41821, '3sooB01', NULL, NULL, 71, NULL, NULL, 18747),
(41822, '3sooC01', NULL, NULL, 71, NULL, NULL, 18747),
(41823, '2conA00', NULL, NULL, 79, NULL, NULL, 18748),
(41824, '4hteA03', NULL, NULL, 81, NULL, NULL, 18749),
(41825, '5ok4A02', NULL, NULL, 90, NULL, NULL, 18750),
(41826, '2b0jA02', NULL, NULL, 106, NULL, NULL, 18750),
(41827, '4yt2A02', NULL, NULL, 106, NULL, NULL, 18750),
(41828, '1vddA02', NULL, NULL, 23, NULL, NULL, 18751),
(41829, '3vdpA02', NULL, NULL, 23, NULL, NULL, 18751),
(41830, '3d00A02', NULL, NULL, 30, NULL, NULL, 18751),
(41831, '4cq4B00', NULL, NULL, 102, NULL, NULL, 18752),
(41832, '1kn7A00', NULL, NULL, 78, NULL, NULL, 18753),
(41833, '1zzaA00', NULL, NULL, 90, NULL, NULL, 18754),
(41834, '1fo8A02', NULL, NULL, 80, NULL, NULL, 18755),
(41835, '4g1qA01', NULL, NULL, 133, NULL, NULL, 18756),
(41836, '5c24A01', NULL, NULL, 129, NULL, NULL, 18756),
(41837, '1lweB01', NULL, NULL, 139, NULL, NULL, 18756),
(41838, '6mihA02', NULL, NULL, 92, NULL, NULL, 18756),
(41839, '4ol8B02', NULL, NULL, 125, NULL, NULL, 18756);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(41840, '1c9rA01', NULL, NULL, 131, NULL, NULL, 18756),
(41841, '1harA01', NULL, NULL, 134, NULL, NULL, 18756),
(41842, '1mu2B01', NULL, NULL, 126, NULL, NULL, 18756),
(41843, '3dlkB01', NULL, NULL, 128, NULL, NULL, 18756),
(41844, '4rw6A01', NULL, NULL, 131, NULL, NULL, 18756),
(41845, '3dlkA01', NULL, NULL, 132, NULL, NULL, 18756),
(41846, '3kliA01', NULL, NULL, 133, NULL, NULL, 18756),
(41847, '4g1qB01', NULL, NULL, 131, NULL, NULL, 18756),
(41848, '1vpqA00', NULL, NULL, 273, NULL, NULL, 18757),
(41849, '1vpyA00', NULL, NULL, 289, NULL, NULL, 18757),
(41850, '3a9sA01', NULL, NULL, 180, NULL, NULL, 18758),
(41851, '1fuiA01', NULL, NULL, 175, NULL, NULL, 18758),
(41852, '4c20A01', NULL, NULL, 172, NULL, NULL, 18758),
(41853, '2pffB01', NULL, NULL, 63, NULL, NULL, 18759),
(41854, '3u02A01', NULL, NULL, 155, NULL, NULL, 18760),
(41855, '2dgyA02', NULL, NULL, 32, NULL, NULL, 18761),
(41856, '4e6nA02', NULL, NULL, 77, NULL, NULL, 18762),
(41857, '3ha4B00', NULL, NULL, 131, NULL, NULL, 18763),
(41858, '4az3B00', NULL, NULL, 155, NULL, NULL, 18764),
(41859, '4fvmA07', NULL, NULL, 65, NULL, NULL, 18765),
(41860, '1h7cA00', NULL, NULL, 108, NULL, NULL, 18766),
(41861, '3p7iA03', NULL, NULL, 62, NULL, NULL, 18766),
(41862, '4cqiA00', NULL, NULL, 107, NULL, NULL, 18766),
(41863, '1zkeA00', NULL, NULL, 83, NULL, NULL, 18766),
(41864, '2mbgA02', NULL, NULL, 66, NULL, NULL, 18766),
(41865, '4fi5A00', NULL, NULL, 71, NULL, NULL, 18766),
(41866, '1ij5A01', NULL, NULL, 80, NULL, NULL, 18766),
(41867, '3mxzA00', NULL, NULL, 116, NULL, NULL, 18766),
(41868, '3fxdB00', NULL, NULL, 73, NULL, NULL, 18766),
(41869, '2xtlA04', NULL, NULL, 64, NULL, NULL, 18766),
(41870, '2x9xA04', NULL, NULL, 60, NULL, NULL, 18766),
(41871, '1qsdA00', NULL, NULL, 106, NULL, NULL, 18766),
(41872, '1lrzA03', NULL, NULL, 62, NULL, NULL, 18766),
(41873, '2g0uA01', NULL, NULL, 70, NULL, NULL, 18766),
(41874, '1lvfB00', NULL, NULL, 110, NULL, NULL, 18766),
(41875, '2k48A01', NULL, NULL, 78, NULL, NULL, 18766),
(41876, '4l0rB00', NULL, NULL, 79, NULL, NULL, 18766),
(41877, '1z0pA00', NULL, NULL, 84, NULL, NULL, 18766),
(41878, '3ckdA03', NULL, NULL, 77, NULL, NULL, 18766),
(41879, '3tklB01', NULL, NULL, 62, NULL, NULL, 18766),
(41880, '3l3pA03', NULL, NULL, 78, NULL, NULL, 18766),
(41881, '2ic6A00', NULL, NULL, 78, NULL, NULL, 18766),
(41882, '4j2cC00', NULL, NULL, 110, NULL, NULL, 18766),
(41883, '2ca5B00', NULL, NULL, 85, NULL, NULL, 18766),
(41884, '2ca5A00', NULL, NULL, 66, NULL, NULL, 18766),
(41885, '2c5jA00', NULL, NULL, 95, NULL, NULL, 18766),
(41886, '2kwhA00', NULL, NULL, 56, NULL, NULL, 18766),
(41887, '3n5lA03', NULL, NULL, 60, NULL, NULL, 18766),
(41888, '4dndA00', NULL, NULL, 104, NULL, NULL, 18766),
(41889, '4b6xA00', NULL, NULL, 69, NULL, NULL, 18766),
(41890, '2x1dA02', NULL, NULL, 74, NULL, NULL, 18767),
(41891, '3jckC00', NULL, NULL, 381, NULL, NULL, 18768),
(41892, '4lctB00', NULL, NULL, 348, NULL, NULL, 18768),
(41893, '3txnA00', NULL, NULL, 362, NULL, NULL, 18768),
(41894, '2mhdA00', NULL, NULL, 110, NULL, NULL, 18769),
(41895, '4rgdA00', NULL, NULL, 70, NULL, NULL, 18770),
(41896, '2mp8A00', NULL, NULL, 64, NULL, NULL, 18770),
(41897, '2kjfA00', NULL, NULL, 60, NULL, NULL, 18770),
(41898, '3m92A01', NULL, NULL, 69, NULL, NULL, 18771),
(41899, '3g3sA01', NULL, NULL, 116, NULL, NULL, 18772),
(41900, '5jmcD00', NULL, NULL, 102, NULL, NULL, 18773),
(41901, '4yc5A00', NULL, NULL, 216, NULL, NULL, 18773),
(41902, '2xtyB00', NULL, NULL, 217, NULL, NULL, 18773),
(41903, '3du1X00', NULL, NULL, 238, NULL, NULL, 18773),
(41904, '2bm5B00', NULL, NULL, 186, NULL, NULL, 18773),
(41905, '3pssA00', NULL, NULL, 216, NULL, NULL, 18773),
(41906, '3n90A00', NULL, NULL, 152, NULL, NULL, 18773),
(41907, '2j8iA01', NULL, NULL, 102, NULL, NULL, 18773),
(41908, '2xt2B00', NULL, NULL, 200, NULL, NULL, 18773),
(41909, '2qyuA01', NULL, NULL, 164, NULL, NULL, 18773),
(41910, '5jlvC00', NULL, NULL, 98, NULL, NULL, 18773),
(41911, '2qzaB01', NULL, NULL, 170, NULL, NULL, 18773),
(41912, '2f3lA00', NULL, NULL, 133, NULL, NULL, 18773),
(41913, '2j8kA01', NULL, NULL, 187, NULL, NULL, 18773);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(41914, '3nb2A01', NULL, NULL, 178, NULL, NULL, 18773),
(41915, '4yfoA00', NULL, NULL, 239, NULL, NULL, 18773),
(41916, '2w7zA00', NULL, NULL, 214, NULL, NULL, 18773),
(41917, '5moyB00', NULL, NULL, 111, NULL, NULL, 18773),
(41918, '5dnsA00', NULL, NULL, 227, NULL, NULL, 18773),
(41919, '2j5iA02', NULL, NULL, 39, NULL, NULL, 18774),
(41920, '2k3dA00', NULL, NULL, 87, NULL, NULL, 18775),
(41921, '2kafA00', NULL, NULL, 67, NULL, NULL, 18776),
(41922, '2e5sA00', NULL, NULL, 98, NULL, NULL, 18777),
(41923, '3d2nA00', NULL, NULL, 83, NULL, NULL, 18777),
(41924, '3d2qD00', NULL, NULL, 70, NULL, NULL, 18777),
(41925, '2gnxA02', NULL, NULL, 135, NULL, NULL, 18778),
(41926, '5tj5E00', NULL, NULL, 150, NULL, NULL, 18779),
(41927, '4bemJ00', NULL, NULL, 182, NULL, NULL, 18779),
(41928, '2bl2A00', NULL, NULL, 156, NULL, NULL, 18779),
(41929, '1vpuA00', NULL, NULL, 45, NULL, NULL, 18780),
(41930, '3vwnX02', NULL, NULL, 100, NULL, NULL, 18781),
(41931, '2zg6A02', NULL, NULL, 77, NULL, NULL, 18782),
(41932, '3shgB00', NULL, NULL, 61, NULL, NULL, 18783),
(41933, '2pfcA00', NULL, NULL, 164, NULL, NULL, 18784),
(41934, '1n02A00', NULL, NULL, 102, NULL, NULL, 18785),
(41935, '2l2fA00', NULL, NULL, 108, NULL, NULL, 18785),
(41936, '2y1sA00', NULL, NULL, 108, NULL, NULL, 18785),
(41937, '2jzlA00', NULL, NULL, 114, NULL, NULL, 18785),
(41938, '2rdkA00', NULL, NULL, 109, NULL, NULL, 18785),
(41939, '3hnxA00', NULL, NULL, 110, NULL, NULL, 18785),
(41940, '2jzkA00', NULL, NULL, 106, NULL, NULL, 18785),
(41941, '2jzjA01', NULL, NULL, 111, NULL, NULL, 18785),
(41942, '3ezmA00', NULL, NULL, 101, NULL, NULL, 18785),
(41943, '3czzA00', NULL, NULL, 101, NULL, NULL, 18785),
(41944, '5c8qB01', NULL, NULL, 108, NULL, NULL, 18785),
(41945, '1rsoA01', NULL, NULL, 51, NULL, NULL, 18786),
(41946, '2f93B00', NULL, NULL, 51, NULL, NULL, 18786),
(41947, '3lnnB03', NULL, NULL, 67, NULL, NULL, 18786),
(41948, '5d5pC01', NULL, NULL, 36, NULL, NULL, 18786),
(41949, '3wb0A01', NULL, NULL, 37, NULL, NULL, 18786),
(41950, '1vf7A03', NULL, NULL, 60, NULL, NULL, 18786),
(41951, '2f1mA03', NULL, NULL, 74, NULL, NULL, 18786),
(41952, '4l8jA04', NULL, NULL, 59, NULL, NULL, 18786),
(41953, '3brcA01', NULL, NULL, 35, NULL, NULL, 18786),
(41954, '1b8xA03', NULL, NULL, 48, NULL, NULL, 18787),
(41955, '2jn4A00', NULL, NULL, 66, NULL, NULL, 18788),
(41956, '3d5aX01', NULL, NULL, 102, NULL, NULL, 18789),
(41957, '1zbtA01', NULL, NULL, 120, NULL, NULL, 18789),
(41958, '1t6uD00', NULL, NULL, 117, NULL, NULL, 18790),
(41959, '1q0gA00', NULL, NULL, 117, NULL, NULL, 18790),
(41960, '3n05A03', NULL, NULL, 81, NULL, NULL, 18791),
(41961, '4pg7A03', NULL, NULL, 81, NULL, NULL, 18792),
(41962, '4pg4B03', NULL, NULL, 75, NULL, NULL, 18792),
(41963, '2w56B00', NULL, NULL, 147, NULL, NULL, 18793),
(41964, '2v1lA00', NULL, NULL, 148, NULL, NULL, 18793),
(41965, '1xu1A00', NULL, NULL, 138, NULL, NULL, 18794),
(41966, '4qpyB00', NULL, NULL, 136, NULL, NULL, 18794),
(41967, '1dg6A00', NULL, NULL, 162, NULL, NULL, 18794),
(41968, '1alyA00', NULL, NULL, 146, NULL, NULL, 18794),
(41969, '2rjlA01', NULL, NULL, 157, NULL, NULL, 18794),
(41970, '5ybzA00', NULL, NULL, 138, NULL, NULL, 18794),
(41971, '4d7yA00', NULL, NULL, 146, NULL, NULL, 18794),
(41972, '4f3jA00', NULL, NULL, 148, NULL, NULL, 18794),
(41973, '2zjcA00', NULL, NULL, 157, NULL, NULL, 18794),
(41974, '2hevF00', NULL, NULL, 137, NULL, NULL, 18794),
(41975, '2ka3A00', NULL, NULL, 162, NULL, NULL, 18794),
(41976, '3urfA00', NULL, NULL, 162, NULL, NULL, 18794),
(41977, '6mgpA00', NULL, NULL, 153, NULL, NULL, 18794),
(41978, '6mkbA00', NULL, NULL, 171, NULL, NULL, 18794),
(41979, '4douA02', NULL, NULL, 148, NULL, NULL, 18794),
(41980, '2q8oA00', NULL, NULL, 136, NULL, NULL, 18794),
(41981, '2wnvB00', NULL, NULL, 136, NULL, NULL, 18794),
(41982, '4mxwD00', NULL, NULL, 166, NULL, NULL, 18794),
(41983, '2wnvD00', NULL, NULL, 134, NULL, NULL, 18794),
(41984, '2wnvC00', NULL, NULL, 131, NULL, NULL, 18794),
(41985, '4ousA00', NULL, NULL, 143, NULL, NULL, 18794),
(41986, '5hbaA00', NULL, NULL, 134, NULL, NULL, 18794);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(41987, '2z5wA00', NULL, NULL, 136, NULL, NULL, 18794),
(41988, '4oumA00', NULL, NULL, 140, NULL, NULL, 18794),
(41989, '2tnfA00', NULL, NULL, 156, NULL, NULL, 18794),
(41990, '2e7aB00', NULL, NULL, 157, NULL, NULL, 18794),
(41991, '5l19A00', NULL, NULL, 153, NULL, NULL, 18794),
(41992, '1kxgA00', NULL, NULL, 152, NULL, NULL, 18794),
(41993, '2hewF00', NULL, NULL, 152, NULL, NULL, 18794),
(41994, '3b93A00', NULL, NULL, 133, NULL, NULL, 18794),
(41995, '1s55A00', NULL, NULL, 156, NULL, NULL, 18794),
(41996, '5h4cB00', NULL, NULL, 135, NULL, NULL, 18794),
(41997, '4qqhA00', NULL, NULL, 137, NULL, NULL, 18794),
(41998, '4g4fA00', NULL, NULL, 126, NULL, NULL, 18794),
(41999, '5kwrA00', NULL, NULL, 143, NULL, NULL, 18794),
(42000, '4rsuB00', NULL, NULL, 165, NULL, NULL, 18794),
(42001, '4ht1T00', NULL, NULL, 154, NULL, NULL, 18794),
(42002, '4db5A00', NULL, NULL, 125, NULL, NULL, 18794),
(42003, '1gr3A00', NULL, NULL, 132, NULL, NULL, 18794),
(42004, '4kgqA00', NULL, NULL, 158, NULL, NULL, 18794),
(42005, '1c3hA00', NULL, NULL, 137, NULL, NULL, 18794),
(42006, '4e4sE00', NULL, NULL, 125, NULL, NULL, 18794),
(42007, '1rj8A00', NULL, NULL, 142, NULL, NULL, 18794),
(42008, '1tnrA00', NULL, NULL, 144, NULL, NULL, 18794),
(42009, '1o91A00', NULL, NULL, 131, NULL, NULL, 18794),
(42010, '5uuiA00', NULL, NULL, 158, NULL, NULL, 18794),
(42011, '4tsvA00', NULL, NULL, 150, NULL, NULL, 18794),
(42012, '4citA00', NULL, NULL, 429, NULL, NULL, 18795),
(42013, '2nw8B00', NULL, NULL, 270, NULL, NULL, 18796),
(42014, '4pw8D01', NULL, NULL, 298, NULL, NULL, 18796),
(42015, '4hkaA01', NULL, NULL, 296, NULL, NULL, 18796),
(42016, '2v7kA02', NULL, NULL, 228, NULL, NULL, 18796),
(42017, '2nwbA02', NULL, NULL, 254, NULL, NULL, 18796),
(42018, '3bk9F00', NULL, NULL, 261, NULL, NULL, 18796),
(42019, '2noxC00', NULL, NULL, 260, NULL, NULL, 18796),
(42020, '4u72A01', NULL, NULL, 253, NULL, NULL, 18796),
(42021, '2l9qA00', NULL, NULL, 109, NULL, NULL, 18797),
(42022, '2ga1A01', NULL, NULL, 32, NULL, NULL, 18798),
(42023, '2ga1B01', NULL, NULL, 32, NULL, NULL, 18798),
(42024, '3pqhA02', NULL, NULL, 25, NULL, NULL, 18799),
(42025, '1zcdA00', NULL, NULL, 388, NULL, NULL, 18800),
(42026, '3kwlA03', NULL, NULL, 152, NULL, NULL, 18801),
(42027, '1r6vA01', NULL, NULL, 125, NULL, NULL, 18802),
(42028, '3qxyA01', NULL, NULL, 258, NULL, NULL, 18803),
(42029, '2h21C01', NULL, NULL, 255, NULL, NULL, 18803),
(42030, '3smtA01', NULL, NULL, 308, NULL, NULL, 18803),
(42031, '2xrhA00', NULL, NULL, 100, NULL, NULL, 18804),
(42032, '3zfiA00', NULL, NULL, 104, NULL, NULL, 18805),
(42033, '2vxzA02', NULL, NULL, 95, NULL, NULL, 18806),
(42034, '4iaoC01', NULL, NULL, 68, NULL, NULL, 18807),
(42035, '4yhbA02', NULL, NULL, 138, NULL, NULL, 18808),
(42036, '1tvcA02', NULL, NULL, 141, NULL, NULL, 18808),
(42037, '5kswB02', NULL, NULL, 117, NULL, NULL, 18808),
(42038, '4dqlA03', NULL, NULL, 161, NULL, NULL, 18808),
(42039, '4fk8A02', NULL, NULL, 160, NULL, NULL, 18808),
(42040, '1gawA02', NULL, NULL, 163, NULL, NULL, 18808),
(42041, '1cqxA03', NULL, NULL, 142, NULL, NULL, 18808),
(42042, '1a8pA02', NULL, NULL, 162, NULL, NULL, 18808),
(42043, '2rc5A02', NULL, NULL, 161, NULL, NULL, 18808),
(42044, '3lo8A02', NULL, NULL, 162, NULL, NULL, 18808),
(42045, '2cndA02', NULL, NULL, 154, NULL, NULL, 18808),
(42046, '4eh1B02', NULL, NULL, 133, NULL, NULL, 18808),
(42047, '3w5hA02', NULL, NULL, 154, NULL, NULL, 18808),
(42048, '2bpoA04', NULL, NULL, 166, NULL, NULL, 18808),
(42049, '2piaA02', NULL, NULL, 121, NULL, NULL, 18808),
(42050, '5gxuB03', NULL, NULL, 154, NULL, NULL, 18808),
(42051, '1umkA02', NULL, NULL, 154, NULL, NULL, 18808),
(42052, '2b5oA02', NULL, NULL, 163, NULL, NULL, 18808),
(42053, '2eixA02', NULL, NULL, 136, NULL, NULL, 18808),
(42054, '2qtlA03', NULL, NULL, 161, NULL, NULL, 18808),
(42055, '3vo1A02', NULL, NULL, 163, NULL, NULL, 18808),
(42056, '1f20A01', NULL, NULL, 163, NULL, NULL, 18808),
(42057, '4wqmA03', NULL, NULL, 133, NULL, NULL, 18808),
(42058, '5ylyA02', NULL, NULL, 149, NULL, NULL, 18808),
(42059, '3qfsA03', NULL, NULL, 157, NULL, NULL, 18808);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(42060, '1ja1A04', NULL, NULL, 158, NULL, NULL, 18808),
(42061, '3fpkA02', NULL, NULL, 152, NULL, NULL, 18808),
(42062, '2bmwA02', NULL, NULL, 167, NULL, NULL, 18808),
(42063, '1fnbA02', NULL, NULL, 163, NULL, NULL, 18808),
(42064, '4u9uA02', NULL, NULL, 119, NULL, NULL, 18808),
(42065, '3jqqD02', NULL, NULL, 159, NULL, NULL, 18808),
(42066, '1ddgA03', NULL, NULL, 155, NULL, NULL, 18808),
(42067, '3vo2A02', NULL, NULL, 163, NULL, NULL, 18808),
(42068, '5o0xA02', NULL, NULL, 183, NULL, NULL, 18808),
(42069, '2qdxA02', NULL, NULL, 162, NULL, NULL, 18808),
(42070, '1fdrA02', NULL, NULL, 152, NULL, NULL, 18808),
(42071, '4g1vA03', NULL, NULL, 136, NULL, NULL, 18808),
(42072, '1ep3B02', NULL, NULL, 117, NULL, NULL, 18808),
(42073, '5tr9A02', NULL, NULL, 158, NULL, NULL, 18808),
(42074, '2gpjA02', NULL, NULL, 147, NULL, NULL, 18808),
(42075, '3lyuA01', NULL, NULL, 112, NULL, NULL, 18808),
(42076, '1krhA03', NULL, NULL, 134, NULL, NULL, 18808),
(42077, '1qfjA02', NULL, NULL, 135, NULL, NULL, 18808),
(42078, '4b4dA02', NULL, NULL, 162, NULL, NULL, 18808),
(42079, '1qfzA02', NULL, NULL, 163, NULL, NULL, 18808),
(42080, '2r6hA02', NULL, NULL, 118, NULL, NULL, 18808),
(42081, '5thxA02', NULL, NULL, 162, NULL, NULL, 18808),
(42082, '3a1fA00', NULL, NULL, 186, NULL, NULL, 18808),
(42083, '1sm4A02', NULL, NULL, 163, NULL, NULL, 18808),
(42084, '1gvhA03', NULL, NULL, 142, NULL, NULL, 18808),
(42085, '1qx4A02', NULL, NULL, 155, NULL, NULL, 18808),
(42086, '2bgiA02', NULL, NULL, 154, NULL, NULL, 18808),
(42087, '1z00B00', NULL, NULL, 84, NULL, NULL, 18809),
(42088, '4f4wA03', NULL, NULL, 67, NULL, NULL, 18809),
(42089, '3n4mB00', NULL, NULL, 84, NULL, NULL, 18809),
(42090, '3ntuA01', NULL, NULL, 63, NULL, NULL, 18809),
(42091, '3k4gB00', NULL, NULL, 86, NULL, NULL, 18809),
(42092, '1tk5A04', NULL, NULL, 112, NULL, NULL, 18809),
(42093, '1z3eB00', NULL, NULL, 73, NULL, NULL, 18809),
(42094, '2q0zX02', NULL, NULL, 58, NULL, NULL, 18809),
(42095, '3k4gF00', NULL, NULL, 86, NULL, NULL, 18809),
(42096, '1y88A02', NULL, NULL, 59, NULL, NULL, 18809),
(42097, '2dflA01', NULL, NULL, 72, NULL, NULL, 18809),
(42098, '1kftA00', NULL, NULL, 56, NULL, NULL, 18809),
(42099, '1d8lA01', NULL, NULL, 69, NULL, NULL, 18809),
(42100, '1b43A02', NULL, NULL, 61, NULL, NULL, 18809),
(42101, '1b22A00', NULL, NULL, 85, NULL, NULL, 18809),
(42102, '1cukA02', NULL, NULL, 76, NULL, NULL, 18809),
(42103, '2kfnA04', NULL, NULL, 144, NULL, NULL, 18809),
(42104, '1bgxT02', NULL, NULL, 73, NULL, NULL, 18809),
(42105, '1ixrB02', NULL, NULL, 75, NULL, NULL, 18809),
(42106, '4i2aA02', NULL, NULL, 59, NULL, NULL, 18809),
(42107, '5hmlA02', NULL, NULL, 80, NULL, NULL, 18809),
(42108, '2z43B01', NULL, NULL, 64, NULL, NULL, 18809),
(42109, '2zubB01', NULL, NULL, 50, NULL, NULL, 18809),
(42110, '1mc8A02', NULL, NULL, 61, NULL, NULL, 18809),
(42111, '4dezA03', NULL, NULL, 72, NULL, NULL, 18809),
(42112, '1pznA01', NULL, NULL, 66, NULL, NULL, 18809),
(42113, '3k4gA00', NULL, NULL, 86, NULL, NULL, 18809),
(42114, '3ewaA01', NULL, NULL, 66, NULL, NULL, 18809),
(42115, '3k4gE00', NULL, NULL, 86, NULL, NULL, 18809),
(42116, '3osnA03', NULL, NULL, 77, NULL, NULL, 18809),
(42117, '3rr7A04', NULL, NULL, 144, NULL, NULL, 18809),
(42118, '3im1A02', NULL, NULL, 58, NULL, NULL, 18809),
(42119, '1doqA00', NULL, NULL, 69, NULL, NULL, 18809),
(42120, '2vanA01', NULL, NULL, 58, NULL, NULL, 18809),
(42121, '2va8A04', NULL, NULL, 56, NULL, NULL, 18809),
(42122, '5k97A02', NULL, NULL, 68, NULL, NULL, 18809),
(42123, '4kliA02', NULL, NULL, 57, NULL, NULL, 18809),
(42124, '4bxoA02', NULL, NULL, 80, NULL, NULL, 18809),
(42125, '1bvsA02', NULL, NULL, 83, NULL, NULL, 18809),
(42126, '4yfkA03', NULL, NULL, 67, NULL, NULL, 18809),
(42127, '3b0xA02', NULL, NULL, 69, NULL, NULL, 18809),
(42128, '3mabA00', NULL, NULL, 93, NULL, NULL, 18809),
(42129, '3oryA02', NULL, NULL, 65, NULL, NULL, 18809),
(42130, '1rxwA02', NULL, NULL, 62, NULL, NULL, 18809),
(42131, '5kfzA03', NULL, NULL, 58, NULL, NULL, 18809),
(42132, '2p6rA04', NULL, NULL, 56, NULL, NULL, 18809),
(42133, '5cb1A02', NULL, NULL, 63, NULL, NULL, 18809);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(42134, '4f92B05', NULL, NULL, 57, NULL, NULL, 18809),
(42135, '2w9mA02', NULL, NULL, 68, NULL, NULL, 18809),
(42136, '5dcaA07', NULL, NULL, 58, NULL, NULL, 18809),
(42137, '5m59A11', NULL, NULL, 65, NULL, NULL, 18809),
(42138, '4ez6A04', NULL, NULL, 113, NULL, NULL, 18809),
(42139, '2a1jA00', NULL, NULL, 63, NULL, NULL, 18809),
(42140, '3gqcA03', NULL, NULL, 54, NULL, NULL, 18809),
(42141, '3k4gD00', NULL, NULL, 86, NULL, NULL, 18809),
(42142, '3k4gH00', NULL, NULL, 86, NULL, NULL, 18809),
(42143, '4p4mA01', NULL, NULL, 63, NULL, NULL, 18809),
(42144, '4tqrA03', NULL, NULL, 67, NULL, NULL, 18809),
(42145, '3gfkB00', NULL, NULL, 79, NULL, NULL, 18809),
(42146, '1u9lB00', NULL, NULL, 70, NULL, NULL, 18809),
(42147, '6ib8C01', NULL, NULL, 60, NULL, NULL, 18809),
(42148, '3mfiA03', NULL, NULL, 79, NULL, NULL, 18809),
(42149, '5wm1A04', NULL, NULL, 89, NULL, NULL, 18809),
(42150, '2nrtA02', NULL, NULL, 63, NULL, NULL, 18809),
(42151, '3h7iA02', NULL, NULL, 77, NULL, NULL, 18809),
(42152, '1dgsA05', NULL, NULL, 69, NULL, NULL, 18809),
(42153, '5yuyA03', NULL, NULL, 55, NULL, NULL, 18809),
(42154, '4bxoB02', NULL, NULL, 72, NULL, NULL, 18809),
(42155, '3c1yA03', NULL, NULL, 65, NULL, NULL, 18809),
(42156, '4dleA04', NULL, NULL, 144, NULL, NULL, 18809),
(42157, '2bgwA02', NULL, NULL, 74, NULL, NULL, 18809),
(42158, '1aroP05', NULL, NULL, 231, NULL, NULL, 18809),
(42159, '2zj8A04', NULL, NULL, 57, NULL, NULL, 18809),
(42160, '4f92B11', NULL, NULL, 57, NULL, NULL, 18809),
(42161, '5m59A05', NULL, NULL, 57, NULL, NULL, 18809),
(42162, '3ldaA01', NULL, NULL, 74, NULL, NULL, 18809),
(42163, '1bpbA01', NULL, NULL, 61, NULL, NULL, 18809),
(42164, '2bcqA02', NULL, NULL, 54, NULL, NULL, 18809),
(42165, '2ztdA02', NULL, NULL, 68, NULL, NULL, 18809),
(42166, '5tt5A04', NULL, NULL, 79, NULL, NULL, 18809),
(42167, '4m6wA02', NULL, NULL, 69, NULL, NULL, 18809),
(42168, '1dgsA06', NULL, NULL, 83, NULL, NULL, 18809),
(42169, '5tt5A05', NULL, NULL, 77, NULL, NULL, 18809),
(42170, '2m9nA00', NULL, NULL, 63, NULL, NULL, 18809),
(42171, '1a76A02', NULL, NULL, 60, NULL, NULL, 18809),
(42172, '3zdbA02', NULL, NULL, 90, NULL, NULL, 18809),
(42173, '5nwlA01', NULL, NULL, 73, NULL, NULL, 18809),
(42174, '4dsfA04', NULL, NULL, 113, NULL, NULL, 18809),
(42175, '5vzaA02', NULL, NULL, 57, NULL, NULL, 18809),
(42176, '2ihmA02', NULL, NULL, 58, NULL, NULL, 18809),
(42177, '3k4gC00', NULL, NULL, 86, NULL, NULL, 18809),
(42178, '2a1jB01', NULL, NULL, 69, NULL, NULL, 18809),
(42179, '3k4gG00', NULL, NULL, 86, NULL, NULL, 18809),
(42180, '1x2iA00', NULL, NULL, 75, NULL, NULL, 18809),
(42181, '5v07Z02', NULL, NULL, 78, NULL, NULL, 18809),
(42182, '2mutA00', NULL, NULL, 96, NULL, NULL, 18809),
(42183, '3px4A04', NULL, NULL, 144, NULL, NULL, 18809),
(42184, '4gl6A02', NULL, NULL, 160, NULL, NULL, 18810),
(42185, '4it5A02', NULL, NULL, 93, NULL, NULL, 18811),
(42186, '3bvoA02', NULL, NULL, 86, NULL, NULL, 18811),
(42187, '2rkhA02', NULL, NULL, 78, NULL, NULL, 18811),
(42188, '1n1cB02', NULL, NULL, 89, NULL, NULL, 18811),
(42189, '4it5C02', NULL, NULL, 93, NULL, NULL, 18811),
(42190, '3uo3A02', NULL, NULL, 86, NULL, NULL, 18811),
(42191, '3hhoA02', NULL, NULL, 93, NULL, NULL, 18811),
(42192, '3hhoC02', NULL, NULL, 93, NULL, NULL, 18811),
(42193, '1fpoC02', NULL, NULL, 91, NULL, NULL, 18811),
(42194, '2zttC00', NULL, NULL, 79, NULL, NULL, 18812),
(42195, '2zttA00', NULL, NULL, 79, NULL, NULL, 18812),
(42196, '3a1gA00', NULL, NULL, 80, NULL, NULL, 18812),
(42197, '2hg6A00', NULL, NULL, 106, NULL, NULL, 18813),
(42198, '4aaiA01', NULL, NULL, 57, NULL, NULL, 18814),
(42199, '4htiA00', NULL, NULL, 99, NULL, NULL, 18815),
(42200, '3n01A00', NULL, NULL, 89, NULL, NULL, 18815),
(42201, '4k05A02', NULL, NULL, 154, NULL, NULL, 18816),
(42202, '1f6vA00', NULL, NULL, 91, NULL, NULL, 18817),
(42203, '2pn5A02', NULL, NULL, 101, NULL, NULL, 18818),
(42204, '2p9rA00', NULL, NULL, 102, NULL, NULL, 18818),
(42205, '2a74D01', NULL, NULL, 138, NULL, NULL, 18818),
(42206, '2a74A05', NULL, NULL, 105, NULL, NULL, 18818),
(42207, '3cu7A02', NULL, NULL, 99, NULL, NULL, 18818);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(42208, '2a74A02', NULL, NULL, 101, NULL, NULL, 18818),
(42209, '5jtwA05', NULL, NULL, 121, NULL, NULL, 18818),
(42210, '3cu7A05', NULL, NULL, 106, NULL, NULL, 18818),
(42211, '2b39A05', NULL, NULL, 110, NULL, NULL, 18818),
(42212, '5jtwA02', NULL, NULL, 100, NULL, NULL, 18818),
(42213, '5jtwA01', NULL, NULL, 144, NULL, NULL, 18818),
(42214, '2b39A01', NULL, NULL, 96, NULL, NULL, 18818),
(42215, '2b39A02', NULL, NULL, 100, NULL, NULL, 18818),
(42216, '3hrzA01', NULL, NULL, 136, NULL, NULL, 18818),
(42217, '3hrzA02', NULL, NULL, 95, NULL, NULL, 18818),
(42218, '4kh9B02', NULL, NULL, 113, NULL, NULL, 18818),
(42219, '2pn5A05', NULL, NULL, 96, NULL, NULL, 18818),
(42220, '3hrzA05', NULL, NULL, 101, NULL, NULL, 18818),
(42221, '5b71E00', NULL, NULL, 110, NULL, NULL, 18818),
(42222, '3ufeA02', NULL, NULL, 53, NULL, NULL, 18819),
(42223, '2xppA00', NULL, NULL, 145, NULL, NULL, 18820),
(42224, '1eo0A00', NULL, NULL, 77, NULL, NULL, 18820),
(42225, '3nfqB02', NULL, NULL, 108, NULL, NULL, 18820),
(42226, '3hphH00', NULL, NULL, 94, NULL, NULL, 18820),
(42227, '1wjtA00', NULL, NULL, 103, NULL, NULL, 18820),
(42228, '2b4jC00', NULL, NULL, 82, NULL, NULL, 18820),
(42229, '1taqA01', NULL, NULL, 175, NULL, NULL, 18821),
(42230, '1a76A01', NULL, NULL, 208, NULL, NULL, 18821),
(42231, '3zdbA01', NULL, NULL, 161, NULL, NULL, 18821),
(42232, '3i8oA01', NULL, NULL, 130, NULL, NULL, 18821),
(42233, '4mj7A00', NULL, NULL, 159, NULL, NULL, 18821),
(42234, '1rxwA01', NULL, NULL, 219, NULL, NULL, 18821),
(42235, '2fe1A00', NULL, NULL, 131, NULL, NULL, 18821),
(42236, '1mc8A01', NULL, NULL, 220, NULL, NULL, 18821),
(42237, '4chgA00', NULL, NULL, 133, NULL, NULL, 18821),
(42238, '1o4wA00', NULL, NULL, 126, NULL, NULL, 18821),
(42239, '6nklB00', NULL, NULL, 143, NULL, NULL, 18821),
(42240, '2wp8J01', NULL, NULL, 210, NULL, NULL, 18821),
(42241, '5ecdA00', NULL, NULL, 138, NULL, NULL, 18821),
(42242, '1v96A00', NULL, NULL, 149, NULL, NULL, 18821),
(42243, '1y82B00', NULL, NULL, 157, NULL, NULL, 18821),
(42244, '3zvkA00', NULL, NULL, 134, NULL, NULL, 18821),
(42245, '1y82C00', NULL, NULL, 157, NULL, NULL, 18821),
(42246, '5sv2A00', NULL, NULL, 146, NULL, NULL, 18821),
(42247, '1y82D00', NULL, NULL, 157, NULL, NULL, 18821),
(42248, '2qipA00', NULL, NULL, 165, NULL, NULL, 18821),
(42249, '2hwyA00', NULL, NULL, 164, NULL, NULL, 18821),
(42250, '2hwwB00', NULL, NULL, 181, NULL, NULL, 18821),
(42251, '1y82A00', NULL, NULL, 157, NULL, NULL, 18821),
(42252, '2h1cA00', NULL, NULL, 139, NULL, NULL, 18821),
(42253, '3h87B00', NULL, NULL, 140, NULL, NULL, 18821),
(42254, '1w8iA00', NULL, NULL, 156, NULL, NULL, 18821),
(42255, '2lcqA01', NULL, NULL, 127, NULL, NULL, 18821),
(42256, '5k97A01', NULL, NULL, 216, NULL, NULL, 18821),
(42257, '3ix7A00', NULL, NULL, 134, NULL, NULL, 18821),
(42258, '1b43A01', NULL, NULL, 220, NULL, NULL, 18821),
(42259, '3h7iA01', NULL, NULL, 207, NULL, NULL, 18821),
(42260, '5v07Z01', NULL, NULL, 207, NULL, NULL, 18821),
(42261, '2mdtA00', NULL, NULL, 119, NULL, NULL, 18821),
(42262, '3oryA01', NULL, NULL, 234, NULL, NULL, 18821),
(42263, '4xgqA00', NULL, NULL, 132, NULL, NULL, 18821),
(42264, '5hmmA01', NULL, NULL, 186, NULL, NULL, 18821),
(42265, '5k8jB00', NULL, NULL, 128, NULL, NULL, 18821),
(42266, '1cmwA01', NULL, NULL, 151, NULL, NULL, 18821),
(42267, '3dboB00', NULL, NULL, 131, NULL, NULL, 18821),
(42268, '1v8pF00', NULL, NULL, 158, NULL, NULL, 18821),
(42269, '4akgA14', NULL, NULL, 109, NULL, NULL, 18822),
(42270, '1wjxA00', NULL, NULL, 122, NULL, NULL, 18823),
(42271, '1p6vA00', NULL, NULL, 130, NULL, NULL, 18823),
(42272, '4i8oA03', NULL, NULL, 67, NULL, NULL, 18824),
(42273, '3nkgA00', NULL, NULL, 174, NULL, NULL, 18825),
(42274, '3a2kA02', NULL, NULL, 81, NULL, NULL, 18826),
(42275, '2w02B06', NULL, NULL, 92, NULL, NULL, 18827),
(42276, '1mkcA00', NULL, NULL, 43, NULL, NULL, 18828),
(42277, '2pv4A00', NULL, NULL, 145, NULL, NULL, 18829),
(42278, '3udcA02', NULL, NULL, 50, NULL, NULL, 18830),
(42279, '2rh2A00', NULL, NULL, 62, NULL, NULL, 18830),
(42280, '5ajiB02', NULL, NULL, 50, NULL, NULL, 18830);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(42281, '3eg5B01', NULL, NULL, 55, NULL, NULL, 18831),
(42282, '1ob0A02', NULL, NULL, 102, NULL, NULL, 18832),
(42283, '1wpcA02', NULL, NULL, 105, NULL, NULL, 18832),
(42284, '1ud2A02', NULL, NULL, 102, NULL, NULL, 18832),
(42285, '6gxvA02', NULL, NULL, 103, NULL, NULL, 18832),
(42286, '3bh4A02', NULL, NULL, 104, NULL, NULL, 18832),
(42287, '2dieA02', NULL, NULL, 105, NULL, NULL, 18832),
(42288, '3bc9A03', NULL, NULL, 93, NULL, NULL, 18832),
(42289, '2gjpA02', NULL, NULL, 105, NULL, NULL, 18832),
(42290, '4uzuA02', NULL, NULL, 102, NULL, NULL, 18832),
(42291, '4qncB00', NULL, NULL, 93, NULL, NULL, 18833),
(42292, '4x5mA00', NULL, NULL, 100, NULL, NULL, 18833),
(42293, '4rngC00', NULL, NULL, 94, NULL, NULL, 18833),
(42294, '4qndA00', NULL, NULL, 101, NULL, NULL, 18833),
(42295, '1sf9A02', NULL, NULL, 54, NULL, NULL, 18834),
(42296, '2yxyA02', NULL, NULL, 59, NULL, NULL, 18834),
(42297, '1nbwA03', NULL, NULL, 154, NULL, NULL, 18835),
(42298, '2d0oA03', NULL, NULL, 151, NULL, NULL, 18835),
(42299, '2xvoB00', NULL, NULL, 192, NULL, NULL, 18836),
(42300, '2qtsA04', NULL, NULL, 84, NULL, NULL, 18837),
(42301, '2hh2A00', NULL, NULL, 85, NULL, NULL, 18838),
(42302, '2axyA00', NULL, NULL, 73, NULL, NULL, 18838),
(42303, '2je6I03', NULL, NULL, 69, NULL, NULL, 18838),
(42304, '2ctjA00', NULL, NULL, 95, NULL, NULL, 18838),
(42305, '4lijC00', NULL, NULL, 90, NULL, NULL, 18838),
(42306, '2ctfA00', NULL, NULL, 102, NULL, NULL, 18838),
(42307, '4wanG00', NULL, NULL, 129, NULL, NULL, 18838),
(42308, '4nbqB04', NULL, NULL, 79, NULL, NULL, 18838),
(42309, '1dtjA00', NULL, NULL, 76, NULL, NULL, 18838),
(42310, '3v69B00', NULL, NULL, 122, NULL, NULL, 18838),
(42311, '2bl5A00', NULL, NULL, 140, NULL, NULL, 18838),
(42312, '2mjhA00', NULL, NULL, 142, NULL, NULL, 18838),
(42313, '2opvA00', NULL, NULL, 85, NULL, NULL, 18838),
(42314, '4b8tA00', NULL, NULL, 106, NULL, NULL, 18838),
(42315, '1j4wA01', NULL, NULL, 74, NULL, NULL, 18838),
(42316, '5wwxA01', NULL, NULL, 71, NULL, NULL, 18838),
(42317, '1j4wA02', NULL, NULL, 71, NULL, NULL, 18838),
(42318, '2ctkA00', NULL, NULL, 104, NULL, NULL, 18838),
(42319, '3u1kB04', NULL, NULL, 73, NULL, NULL, 18838),
(42320, '3l7zF03', NULL, NULL, 96, NULL, NULL, 18838),
(42321, '2qndB01', NULL, NULL, 64, NULL, NULL, 18838),
(42322, '4qmfB01', NULL, NULL, 88, NULL, NULL, 18838),
(42323, '4am3A04', NULL, NULL, 74, NULL, NULL, 18838),
(42324, '4qmfD02', NULL, NULL, 103, NULL, NULL, 18838),
(42325, '1vigA00', NULL, NULL, 71, NULL, NULL, 18838),
(42326, '2opuA00', NULL, NULL, 89, NULL, NULL, 18838),
(42327, '1we8A01', NULL, NULL, 84, NULL, NULL, 18838),
(42328, '2ctlA00', NULL, NULL, 97, NULL, NULL, 18838),
(42329, '1x4mA01', NULL, NULL, 72, NULL, NULL, 18838),
(42330, '2yqrA01', NULL, NULL, 103, NULL, NULL, 18838),
(42331, '2p2rA00', NULL, NULL, 76, NULL, NULL, 18838),
(42332, '2jzxA02', NULL, NULL, 79, NULL, NULL, 18838),
(42333, '4jvhA00', NULL, NULL, 209, NULL, NULL, 18838),
(42334, '1zzkA00', NULL, NULL, 82, NULL, NULL, 18838),
(42335, '2nn6G03', NULL, NULL, 88, NULL, NULL, 18838),
(42336, '1tuaA01', NULL, NULL, 84, NULL, NULL, 18838),
(42337, '1tuaA02', NULL, NULL, 107, NULL, NULL, 18838),
(42338, '2cpqA01', NULL, NULL, 64, NULL, NULL, 18838),
(42339, '2jvzA01', NULL, NULL, 80, NULL, NULL, 18838),
(42340, '2jvzA02', NULL, NULL, 84, NULL, NULL, 18838),
(42341, '2cteA01', NULL, NULL, 79, NULL, NULL, 18838),
(42342, '2z0sA02', NULL, NULL, 87, NULL, NULL, 18838),
(42343, '2ja9A02', NULL, NULL, 84, NULL, NULL, 18838),
(42344, '2e3uA01', NULL, NULL, 82, NULL, NULL, 18838),
(42345, '1k1gA00', NULL, NULL, 131, NULL, NULL, 18838),
(42346, '2e3uA02', NULL, NULL, 105, NULL, NULL, 18838),
(42347, '2hh3A00', NULL, NULL, 82, NULL, NULL, 18838),
(42348, '2ba0A03', NULL, NULL, 93, NULL, NULL, 18838),
(42349, '1x4nA00', NULL, NULL, 92, NULL, NULL, 18838),
(42350, '3vkeA00', NULL, NULL, 76, NULL, NULL, 18838),
(42351, '2qndA02', NULL, NULL, 80, NULL, NULL, 18838),
(42352, '2ctmA00', NULL, NULL, 95, NULL, NULL, 18838),
(42353, '2anrA01', NULL, NULL, 82, NULL, NULL, 18838),
(42354, '1wvnA00', NULL, NULL, 82, NULL, NULL, 18838);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(42355, '2anrA02', NULL, NULL, 79, NULL, NULL, 18838),
(42356, '4jvyB00', NULL, NULL, 196, NULL, NULL, 18838),
(42357, '2dgrA01', NULL, NULL, 67, NULL, NULL, 18838),
(42358, '5wwwA01', NULL, NULL, 77, NULL, NULL, 18838),
(42359, '1dt4A00', NULL, NULL, 73, NULL, NULL, 18838),
(42360, '2wdcA02', NULL, NULL, 53, NULL, NULL, 18839),
(42361, '4mo1A00', NULL, NULL, 154, NULL, NULL, 18840),
(42362, '1wthD03', NULL, NULL, 104, NULL, NULL, 18841),
(42363, '2hy5C00', NULL, NULL, 102, NULL, NULL, 18842),
(42364, '1l1sA00', NULL, NULL, 113, NULL, NULL, 18842),
(42365, '1jx7A00', NULL, NULL, 117, NULL, NULL, 18842),
(42366, '2hy5B00', NULL, NULL, 136, NULL, NULL, 18842),
(42367, '2qs7B00', NULL, NULL, 144, NULL, NULL, 18842),
(42368, '2qs7A00', NULL, NULL, 144, NULL, NULL, 18842),
(42369, '2d1pC00', NULL, NULL, 95, NULL, NULL, 18842),
(42370, '2d1pA00', NULL, NULL, 140, NULL, NULL, 18842),
(42371, '2d1pB00', NULL, NULL, 119, NULL, NULL, 18842),
(42372, '3pnxA00', NULL, NULL, 160, NULL, NULL, 18842),
(42373, '2qs7D00', NULL, NULL, 144, NULL, NULL, 18842),
(42374, '3pnxB00', NULL, NULL, 160, NULL, NULL, 18842),
(42375, '2qs7C00', NULL, NULL, 144, NULL, NULL, 18842),
(42376, '2pd2A00', NULL, NULL, 108, NULL, NULL, 18842),
(42377, '1rhxA00', NULL, NULL, 87, NULL, NULL, 18842),
(42378, '3pnxE00', NULL, NULL, 160, NULL, NULL, 18842),
(42379, '2fb6A00', NULL, NULL, 117, NULL, NULL, 18842),
(42380, '3pnxF00', NULL, NULL, 160, NULL, NULL, 18842),
(42381, '3mc3A00', NULL, NULL, 134, NULL, NULL, 18842),
(42382, '2hy5A00', NULL, NULL, 130, NULL, NULL, 18842),
(42383, '3pnxC00', NULL, NULL, 160, NULL, NULL, 18842),
(42384, '3pnxD00', NULL, NULL, 160, NULL, NULL, 18842),
(42385, '4esnA00', NULL, NULL, 104, NULL, NULL, 18843),
(42386, '3ld7A00', NULL, NULL, 101, NULL, NULL, 18843),
(42387, '1m1hA02', NULL, NULL, 82, NULL, NULL, 18843),
(42388, '4obiA00', NULL, NULL, 106, NULL, NULL, 18843),
(42389, '1p1hB01', NULL, NULL, 192, NULL, NULL, 18844),
(42390, '4od4A02', NULL, NULL, 126, NULL, NULL, 18845),
(42391, '4b8cD02', NULL, NULL, 92, NULL, NULL, 18846),
(42392, '3pfyA01', NULL, NULL, 74, NULL, NULL, 18847),
(42393, '3tmoA01', NULL, NULL, 93, NULL, NULL, 18847),
(42394, '2b3yA02', NULL, NULL, 128, NULL, NULL, 18848),
(42395, '1c96A02', NULL, NULL, 113, NULL, NULL, 18848),
(42396, '1l5jA03', NULL, NULL, 173, NULL, NULL, 18848),
(42397, '5vkwA03', NULL, NULL, 41, NULL, NULL, 18849),
(42398, '5nx8B03', NULL, NULL, 41, NULL, NULL, 18849),
(42399, '5eytA03', NULL, NULL, 41, NULL, NULL, 18849),
(42400, '5v4lA03', NULL, NULL, 41, NULL, NULL, 18849),
(42401, '3agkA01', NULL, NULL, 139, NULL, NULL, 18850),
(42402, '1dt9A01', NULL, NULL, 105, NULL, NULL, 18850),
(42403, '3e1yA01', NULL, NULL, 136, NULL, NULL, 18850),
(42404, '3e20B01', NULL, NULL, 145, NULL, NULL, 18850),
(42405, '4ioxC00', NULL, NULL, 260, NULL, NULL, 18851),
(42406, '3n4pC00', NULL, NULL, 246, NULL, NULL, 18851),
(42407, '4a0tA02', NULL, NULL, 33, NULL, NULL, 18852),
(42408, '3rqsB01', NULL, NULL, 33, NULL, NULL, 18853),
(42409, '1aafA00', NULL, NULL, 55, NULL, NULL, 18854),
(42410, '1a1tA00', NULL, NULL, 55, NULL, NULL, 18854),
(42411, '2ec7A00', NULL, NULL, 49, NULL, NULL, 18854),
(42412, '2cqfA00', NULL, NULL, 63, NULL, NULL, 18854),
(42413, '1u6pA00', NULL, NULL, 56, NULL, NULL, 18854),
(42414, '3nybB00', NULL, NULL, 83, NULL, NULL, 18854),
(42415, '5udzA02', NULL, NULL, 54, NULL, NULL, 18854),
(42416, '1a6bB00', NULL, NULL, 40, NULL, NULL, 18854),
(42417, '2li8A00', NULL, NULL, 74, NULL, NULL, 18854),
(42418, '2l4lA00', NULL, NULL, 45, NULL, NULL, 18854),
(42419, '2ysaA00', NULL, NULL, 55, NULL, NULL, 18854),
(42420, '2ihxA00', NULL, NULL, 61, NULL, NULL, 18854),
(42421, '4kkrA02', NULL, NULL, 113, NULL, NULL, 18855),
(42422, '4kkrA01', NULL, NULL, 128, NULL, NULL, 18855),
(42423, '1mr1D00', NULL, NULL, 99, NULL, NULL, 18856),
(42424, '1h5pA00', NULL, NULL, 95, NULL, NULL, 18856),
(42425, '5c4vF00', NULL, NULL, 102, NULL, NULL, 18856),
(42426, '1ufnA00', NULL, NULL, 94, NULL, NULL, 18856),
(42427, '1oqjA00', NULL, NULL, 97, NULL, NULL, 18856),
(42428, '4dw1A02', NULL, NULL, 274, NULL, NULL, 18857);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(42429, '5u1xA02', NULL, NULL, 275, NULL, NULL, 18857),
(42430, '5xw6A02', NULL, NULL, 262, NULL, NULL, 18857),
(42431, '5svkA02', NULL, NULL, 265, NULL, NULL, 18857),
(42432, '5f1cA02', NULL, NULL, 284, NULL, NULL, 18857),
(42433, '1el6A03', NULL, NULL, 109, NULL, NULL, 18858),
(42434, '1wv8A00', NULL, NULL, 73, NULL, NULL, 18859),
(42435, '3od1A02', NULL, NULL, 72, NULL, NULL, 18860),
(42436, '3mp7A00', NULL, NULL, 457, NULL, NULL, 18861),
(42437, '5awwY00', NULL, NULL, 424, NULL, NULL, 18861),
(42438, '1rh5A00', NULL, NULL, 436, NULL, NULL, 18861),
(42439, '4phtB01', NULL, NULL, 79, NULL, NULL, 18862),
(42440, '2d28C02', NULL, NULL, 86, NULL, NULL, 18862),
(42441, '2bh1X00', NULL, NULL, 96, NULL, NULL, 18862),
(42442, '5ffgA01', NULL, NULL, 439, NULL, NULL, 18863),
(42443, '5e6sC01', NULL, NULL, 400, NULL, NULL, 18863),
(42444, '4wk0A00', NULL, NULL, 452, NULL, NULL, 18863),
(42445, '3t3pC00', NULL, NULL, 457, NULL, NULL, 18863),
(42446, '4irzA01', NULL, NULL, 433, NULL, NULL, 18863),
(42447, '4nehA01', NULL, NULL, 390, NULL, NULL, 18863),
(42448, '2wzpR01', NULL, NULL, 196, NULL, NULL, 18864),
(42449, '2lwxA00', NULL, NULL, 88, NULL, NULL, 18865),
(42450, '4gmqA00', NULL, NULL, 103, NULL, NULL, 18865),
(42451, '1fn9A02', NULL, NULL, 225, NULL, NULL, 18866),
(42452, '2lnhC00', NULL, NULL, 48, NULL, NULL, 18867),
(42453, '2m20A00', NULL, NULL, 60, NULL, NULL, 18868),
(42454, '2n5sA00', NULL, NULL, 54, NULL, NULL, 18868),
(42455, '2rrlA01', NULL, NULL, 115, NULL, NULL, 18869),
(42456, '2x4jA01', NULL, NULL, 114, NULL, NULL, 18870),
(42457, '1t94A01', NULL, NULL, 102, NULL, NULL, 18871),
(42458, '6cstB01', NULL, NULL, 150, NULL, NULL, 18871),
(42459, '6c80A03', NULL, NULL, 236, NULL, NULL, 18872),
(42460, '5fxdA03', NULL, NULL, 233, NULL, NULL, 18872),
(42461, '4mlaA03', NULL, NULL, 233, NULL, NULL, 18872),
(42462, '3js8A03', NULL, NULL, 274, NULL, NULL, 18872),
(42463, '4o95A03', NULL, NULL, 240, NULL, NULL, 18872),
(42464, '1w1oA03', NULL, NULL, 244, NULL, NULL, 18872),
(42465, '2exrA03', NULL, NULL, 238, NULL, NULL, 18872),
(42466, '2i0kA03', NULL, NULL, 291, NULL, NULL, 18872),
(42467, '1e8gA03', NULL, NULL, 231, NULL, NULL, 18872),
(42468, '1wvfA03', NULL, NULL, 231, NULL, NULL, 18872),
(42469, '1pp0B00', NULL, NULL, 199, NULL, NULL, 18873),
(42470, '3ronA00', NULL, NULL, 212, NULL, NULL, 18873),
(42471, '1cbyA00', NULL, NULL, 241, NULL, NULL, 18873),
(42472, '2rciA00', NULL, NULL, 204, NULL, NULL, 18873),
(42473, '2mz8A00', NULL, NULL, 133, NULL, NULL, 18874),
(42474, '4q11A00', NULL, NULL, 133, NULL, NULL, 18874),
(42475, '1zavA02', NULL, NULL, 45, NULL, NULL, 18875),
(42476, '4bpeY02', NULL, NULL, 98, NULL, NULL, 18876),
(42477, '5ll6T02', NULL, NULL, 106, NULL, NULL, 18876),
(42478, '5xxuG02', NULL, NULL, 91, NULL, NULL, 18876),
(42479, '3j7aH02', NULL, NULL, 83, NULL, NULL, 18876),
(42480, '5a2qG02', NULL, NULL, 100, NULL, NULL, 18876),
(42481, '3jamG02', NULL, NULL, 106, NULL, NULL, 18876),
(42482, '3vu1B03', NULL, NULL, 123, NULL, NULL, 18877),
(42483, '3wovA03', NULL, NULL, 105, NULL, NULL, 18877),
(42484, '2zaiC03', NULL, NULL, 110, NULL, NULL, 18877),
(42485, '2vkhA03', NULL, NULL, 69, NULL, NULL, 18878),
(42486, '5uqmA03', NULL, NULL, 69, NULL, NULL, 18878),
(42487, '3lynB00', NULL, NULL, 136, NULL, NULL, 18879),
(42488, '5ii8A00', NULL, NULL, 138, NULL, NULL, 18879),
(42489, '1gakA00', NULL, NULL, 141, NULL, NULL, 18879),
(42490, '4f88102', NULL, NULL, 236, NULL, NULL, 18880),
(42491, '2lexA00', NULL, NULL, 78, NULL, NULL, 18881),
(42492, '2aydA01', NULL, NULL, 67, NULL, NULL, 18881),
(42493, '5w3xD01', NULL, NULL, 72, NULL, NULL, 18881),
(42494, '6amyA02', NULL, NULL, 170, NULL, NULL, 18882),
(42495, '1krrA00', NULL, NULL, 203, NULL, NULL, 18882),
(42496, '1xatA00', NULL, NULL, 212, NULL, NULL, 18882),
(42497, '2iu8C02', NULL, NULL, 211, NULL, NULL, 18882),
(42498, '1hm9A02', NULL, NULL, 189, NULL, NULL, 18882),
(42499, '5wegA02', NULL, NULL, 110, NULL, NULL, 18882),
(42500, '3jqyC00', NULL, NULL, 225, NULL, NULL, 18882),
(42501, '3otmA00', NULL, NULL, 212, NULL, NULL, 18882);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(42502, '3tioB00', NULL, NULL, 183, NULL, NULL, 18882),
(42503, '3mqgC01', NULL, NULL, 153, NULL, NULL, 18882),
(42504, '3hjjC00', NULL, NULL, 190, NULL, NULL, 18882),
(42505, '5jxxA01', NULL, NULL, 191, NULL, NULL, 18882),
(42506, '3pmoA02', NULL, NULL, 212, NULL, NULL, 18882),
(42507, '1ssqA02', NULL, NULL, 103, NULL, NULL, 18882),
(42508, '3fsyD03', NULL, NULL, 160, NULL, NULL, 18882),
(42509, '4mfgA00', NULL, NULL, 168, NULL, NULL, 18882),
(42510, '2i5kA02', NULL, NULL, 112, NULL, NULL, 18882),
(42511, '3cj8A03', NULL, NULL, 155, NULL, NULL, 18882),
(42512, '4fceA02', NULL, NULL, 229, NULL, NULL, 18882),
(42513, '3gueA02', NULL, NULL, 109, NULL, NULL, 18882),
(42514, '3r0sA01', NULL, NULL, 197, NULL, NULL, 18882),
(42515, '3eg4A02', NULL, NULL, 176, NULL, NULL, 18882),
(42516, '4n6aA02', NULL, NULL, 102, NULL, NULL, 18882),
(42517, '3tv0A00', NULL, NULL, 163, NULL, NULL, 18882),
(42518, '3bfpA02', NULL, NULL, 119, NULL, NULL, 18882),
(42519, '3r3rA00', NULL, NULL, 187, NULL, NULL, 18882),
(42520, '2wlgB00', NULL, NULL, 215, NULL, NULL, 18882),
(42521, '1j2zA01', NULL, NULL, 193, NULL, NULL, 18882),
(42522, '3nz2A00', NULL, NULL, 195, NULL, NULL, 18882),
(42523, '3hsqA01', NULL, NULL, 191, NULL, NULL, 18882),
(42524, '3ixcA00', NULL, NULL, 170, NULL, NULL, 18882),
(42525, '6iveA00', NULL, NULL, 171, NULL, NULL, 18882),
(42526, '5l6vE02', NULL, NULL, 131, NULL, NULL, 18882),
(42527, '1kgqA02', NULL, NULL, 170, NULL, NULL, 18882),
(42528, '2icyB02', NULL, NULL, 110, NULL, NULL, 18882),
(42529, '3tk8B02', NULL, NULL, 170, NULL, NULL, 18882),
(42530, '2rijA03', NULL, NULL, 180, NULL, NULL, 18882),
(42531, '5nzgA02', NULL, NULL, 109, NULL, NULL, 18882),
(42532, '5f42A01', NULL, NULL, 194, NULL, NULL, 18882),
(42533, '4mzuB01', NULL, NULL, 153, NULL, NULL, 18882),
(42534, '1xhdA00', NULL, NULL, 173, NULL, NULL, 18882),
(42535, '4h7oA02', NULL, NULL, 120, NULL, NULL, 18882),
(42536, '3brkX02', NULL, NULL, 127, NULL, NULL, 18882),
(42537, '4hzdA02', NULL, NULL, 108, NULL, NULL, 18882),
(42538, '3q1xA02', NULL, NULL, 103, NULL, NULL, 18882),
(42539, '4eqyC01', NULL, NULL, 190, NULL, NULL, 18882),
(42540, '5ux9A00', NULL, NULL, 221, NULL, NULL, 18882),
(42541, '3vnpA00', NULL, NULL, 183, NULL, NULL, 18882),
(42542, '3srtA00', NULL, NULL, 188, NULL, NULL, 18882),
(42543, '1hv9B02', NULL, NULL, 189, NULL, NULL, 18882),
(42544, '4r7pA02', NULL, NULL, 113, NULL, NULL, 18882),
(42545, '3t57A01', NULL, NULL, 221, NULL, NULL, 18882),
(42546, '1t3dA02', NULL, NULL, 131, NULL, NULL, 18882),
(42547, '3gvdA02', NULL, NULL, 131, NULL, NULL, 18882),
(42548, '5e3qA03', NULL, NULL, 155, NULL, NULL, 18882),
(42549, '3r8yA02', NULL, NULL, 137, NULL, NULL, 18882),
(42550, '1ssqD02', NULL, NULL, 129, NULL, NULL, 18882),
(42551, '3fs8A01', NULL, NULL, 223, NULL, NULL, 18882),
(42552, '5vmkC02', NULL, NULL, 230, NULL, NULL, 18882),
(42553, '3r1wA00', NULL, NULL, 189, NULL, NULL, 18882),
(42554, '3d98A02', NULL, NULL, 152, NULL, NULL, 18882),
(42555, '3kwdA00', NULL, NULL, 177, NULL, NULL, 18882),
(42556, '1yp2A02', NULL, NULL, 135, NULL, NULL, 18882),
(42557, '5v0zA00', NULL, NULL, 202, NULL, NULL, 18882),
(42558, '3vbiA01', NULL, NULL, 171, NULL, NULL, 18882),
(42559, '6mfkA00', NULL, NULL, 216, NULL, NULL, 18882),
(42560, '4e6uA01', NULL, NULL, 198, NULL, NULL, 18882),
(42561, '5afuV00', NULL, NULL, 165, NULL, NULL, 18882),
(42562, '3f1xA02', NULL, NULL, 119, NULL, NULL, 18882),
(42563, '2ggoA02', NULL, NULL, 191, NULL, NULL, 18882),
(42564, '3c8vC03', NULL, NULL, 166, NULL, NULL, 18882),
(42565, '3eevB00', NULL, NULL, 212, NULL, NULL, 18882),
(42566, '2p2oD00', NULL, NULL, 185, NULL, NULL, 18882),
(42567, '6f1tU00', NULL, NULL, 190, NULL, NULL, 18882),
(42568, '4g87A02', NULL, NULL, 189, NULL, NULL, 18882),
(42569, '6hy2X01', NULL, NULL, 196, NULL, NULL, 18882),
(42570, '3r5dA03', NULL, NULL, 172, NULL, NULL, 18882),
(42571, '4m98A02', NULL, NULL, 110, NULL, NULL, 18882),
(42572, '4eggC00', NULL, NULL, 187, NULL, NULL, 18882),
(42573, '1v3wA00', NULL, NULL, 173, NULL, NULL, 18882),
(42574, '1ocxA00', NULL, NULL, 182, NULL, NULL, 18882);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(42575, '3c8vA02', NULL, NULL, 251, NULL, NULL, 18882),
(42576, '3eh0A02', NULL, NULL, 210, NULL, NULL, 18882),
(42577, '2v0hA02', NULL, NULL, 229, NULL, NULL, 18882),
(42578, '4e79A02', NULL, NULL, 210, NULL, NULL, 18882),
(42579, '1mr7C00', NULL, NULL, 209, NULL, NULL, 18882),
(42580, '4n27A00', NULL, NULL, 175, NULL, NULL, 18882),
(42581, '4hurC00', NULL, NULL, 220, NULL, NULL, 18882),
(42582, '4r36A01', NULL, NULL, 189, NULL, NULL, 18882),
(42583, '4m9cA02', NULL, NULL, 115, NULL, NULL, 18882),
(42584, '4ea9A02', NULL, NULL, 110, NULL, NULL, 18882),
(42585, '1fxjA02', NULL, NULL, 95, NULL, NULL, 18882),
(42586, '3gosA02', NULL, NULL, 170, NULL, NULL, 18882),
(42587, '5demC01', NULL, NULL, 192, NULL, NULL, 18882),
(42588, '2l0zA00', NULL, NULL, 42, NULL, NULL, 18883),
(42589, '2hpuA02', NULL, NULL, 78, NULL, NULL, 18884),
(42590, '3rtxA02', NULL, NULL, 107, NULL, NULL, 18885),
(42591, '1yx5A02', NULL, NULL, 41, NULL, NULL, 18886),
(42592, '1uelB00', NULL, NULL, 48, NULL, NULL, 18886),
(42593, '1v64A00', NULL, NULL, 108, NULL, NULL, 18887),
(42594, '2cs1A00', NULL, NULL, 92, NULL, NULL, 18887),
(42595, '3u2bC00', NULL, NULL, 79, NULL, NULL, 18887),
(42596, '4qr9A00', NULL, NULL, 76, NULL, NULL, 18887),
(42597, '2lefA00', NULL, NULL, 86, NULL, NULL, 18887),
(42598, '1wxlA00', NULL, NULL, 73, NULL, NULL, 18887),
(42599, '3fghA00', NULL, NULL, 67, NULL, NULL, 18887),
(42600, '1l8yA00', NULL, NULL, 91, NULL, NULL, 18887),
(42601, '1i11A00', NULL, NULL, 81, NULL, NULL, 18887),
(42602, '2d7lA01', NULL, NULL, 53, NULL, NULL, 18887),
(42603, '2yrqA01', NULL, NULL, 87, NULL, NULL, 18887),
(42604, '2yukA00', NULL, NULL, 90, NULL, NULL, 18887),
(42605, '2yrqA02', NULL, NULL, 86, NULL, NULL, 18887),
(42606, '1wz6A01', NULL, NULL, 60, NULL, NULL, 18887),
(42607, '1j3cA00', NULL, NULL, 79, NULL, NULL, 18887),
(42608, '2co9A00', NULL, NULL, 102, NULL, NULL, 18887),
(42609, '2yqiA00', NULL, NULL, 81, NULL, NULL, 18887),
(42610, '2hdzA00', NULL, NULL, 69, NULL, NULL, 18887),
(42611, '3tq6B02', NULL, NULL, 82, NULL, NULL, 18887),
(42612, '1hsmA00', NULL, NULL, 79, NULL, NULL, 18887),
(42613, '1v63A00', NULL, NULL, 101, NULL, NULL, 18887),
(42614, '1k99A00', NULL, NULL, 99, NULL, NULL, 18887),
(42615, '1wgfA01', NULL, NULL, 53, NULL, NULL, 18887),
(42616, '3tmmA01', NULL, NULL, 109, NULL, NULL, 18887),
(42617, '2eqzA00', NULL, NULL, 86, NULL, NULL, 18887),
(42618, '2crjA00', NULL, NULL, 92, NULL, NULL, 18887),
(42619, '2e6oA00', NULL, NULL, 87, NULL, NULL, 18887),
(42620, '3f27D00', NULL, NULL, 83, NULL, NULL, 18887),
(42621, '4y60C00', NULL, NULL, 80, NULL, NULL, 18887),
(42622, '2lhjA01', NULL, NULL, 80, NULL, NULL, 18887),
(42623, '2ctoA01', NULL, NULL, 61, NULL, NULL, 18887),
(42624, '6edbB00', NULL, NULL, 73, NULL, NULL, 18887),
(42625, '1j46A00', NULL, NULL, 85, NULL, NULL, 18887),
(42626, '4s2qD00', NULL, NULL, 76, NULL, NULL, 18887),
(42627, '5vweA00', NULL, NULL, 69, NULL, NULL, 18887),
(42628, '2yulA00', NULL, NULL, 82, NULL, NULL, 18887),
(42629, '1cg7A00', NULL, NULL, 93, NULL, NULL, 18887),
(42630, '1j3xA00', NULL, NULL, 77, NULL, NULL, 18887),
(42631, '1qrvA00', NULL, NULL, 73, NULL, NULL, 18887),
(42632, '1gt0D00', NULL, NULL, 80, NULL, NULL, 18887),
(42633, '1xl3C00', NULL, NULL, 92, NULL, NULL, 18888),
(42634, '2jq3A00', NULL, NULL, 79, NULL, NULL, 18889),
(42635, '2qyuA03', NULL, NULL, 75, NULL, NULL, 18890),
(42636, '3nb2A03', NULL, NULL, 103, NULL, NULL, 18890),
(42637, '1rp3A01', NULL, NULL, 87, NULL, NULL, 18891),
(42638, '2wpgA01', NULL, NULL, 91, NULL, NULL, 18891),
(42639, '1r0kC03', NULL, NULL, 87, NULL, NULL, 18891),
(42640, '4nqwA01', NULL, NULL, 85, NULL, NULL, 18891),
(42641, '1g5aA01', NULL, NULL, 97, NULL, NULL, 18891),
(42642, '4zn6A03', NULL, NULL, 87, NULL, NULL, 18891),
(42643, '5jazA03', NULL, NULL, 93, NULL, NULL, 18891),
(42644, '2o7gB00', NULL, NULL, 91, NULL, NULL, 18891),
(42645, '4zqeA03', NULL, NULL, 100, NULL, NULL, 18891),
(42646, '3a06B03', NULL, NULL, 90, NULL, NULL, 18891),
(42647, '3czgA01', NULL, NULL, 90, NULL, NULL, 18891),
(42648, '3iieB03', NULL, NULL, 87, NULL, NULL, 18891);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(42649, '4aysA01', NULL, NULL, 71, NULL, NULL, 18891),
(42650, '3t0yA01', NULL, NULL, 79, NULL, NULL, 18891),
(42651, '5or5A00', NULL, NULL, 95, NULL, NULL, 18891),
(42652, '5krvA03', NULL, NULL, 91, NULL, NULL, 18891),
(42653, '1h3lB00', NULL, NULL, 87, NULL, NULL, 18891),
(42654, '2y1eA03', NULL, NULL, 87, NULL, NULL, 18891),
(42655, '4lupA00', NULL, NULL, 106, NULL, NULL, 18891),
(42656, '4cxfA01', NULL, NULL, 91, NULL, NULL, 18891),
(42657, '1or7B01', NULL, NULL, 123, NULL, NULL, 18891),
(42658, '3ucqA01', NULL, NULL, 95, NULL, NULL, 18891),
(42659, '1q0qA03', NULL, NULL, 87, NULL, NULL, 18891),
(42660, '4innA00', NULL, NULL, 146, NULL, NULL, 18892),
(42661, '3cnlA02', NULL, NULL, 91, NULL, NULL, 18893),
(42662, '1pujA02', NULL, NULL, 93, NULL, NULL, 18893),
(42663, '4whiA00', NULL, NULL, 102, NULL, NULL, 18894),
(42664, '1szhA02', NULL, NULL, 93, NULL, NULL, 18895),
(42665, '2k0sA00', NULL, NULL, 130, NULL, NULL, 18896),
(42666, '3doeB00', NULL, NULL, 116, NULL, NULL, 18896),
(42667, '4zi3D00', NULL, NULL, 133, NULL, NULL, 18896),
(42668, '1sr8A03', NULL, NULL, 90, NULL, NULL, 18897),
(42669, '2ixnA02', NULL, NULL, 118, NULL, NULL, 18898),
(42670, '2ixmA02', NULL, NULL, 111, NULL, NULL, 18898),
(42671, '2ixoA02', NULL, NULL, 120, NULL, NULL, 18898),
(42672, '2d7dA03', NULL, NULL, 99, NULL, NULL, 18899),
(42673, '3fwlA03', NULL, NULL, 90, NULL, NULL, 18899),
(42674, '3fpnB00', NULL, NULL, 106, NULL, NULL, 18899),
(42675, '3vmaA03', NULL, NULL, 90, NULL, NULL, 18899),
(42676, '3hjhA02', NULL, NULL, 86, NULL, NULL, 18899),
(42677, '1d2mA02', NULL, NULL, 99, NULL, NULL, 18899),
(42678, '1iqoA00', NULL, NULL, 88, NULL, NULL, 18900),
(42679, '4cdpA02', NULL, NULL, 174, NULL, NULL, 18901),
(42680, '5exvC00', NULL, NULL, 167, NULL, NULL, 18901),
(42681, '2oviA00', NULL, NULL, 164, NULL, NULL, 18901),
(42682, '2hqvA00', NULL, NULL, 195, NULL, NULL, 18901),
(42683, '2ph0B00', NULL, NULL, 174, NULL, NULL, 18901),
(42684, '2j0pA02', NULL, NULL, 173, NULL, NULL, 18901),
(42685, '3fm2A00', NULL, NULL, 135, NULL, NULL, 18901),
(42686, '2j0pA01', NULL, NULL, 162, NULL, NULL, 18901),
(42687, '4mf9A02', NULL, NULL, 176, NULL, NULL, 18901),
(42688, '4mf9B01', NULL, NULL, 165, NULL, NULL, 18901),
(42689, '4cdpA01', NULL, NULL, 174, NULL, NULL, 18901),
(42690, '1hy9A00', NULL, NULL, 41, NULL, NULL, 18902),
(42691, '3kvwA01', NULL, NULL, 73, NULL, NULL, 18903),
(42692, '3o4xE01', NULL, NULL, 73, NULL, NULL, 18904),
(42693, '4eogA01', NULL, NULL, 301, NULL, NULL, 18905),
(42694, '2i71A01', NULL, NULL, 223, NULL, NULL, 18905),
(42695, '2gl5A02', NULL, NULL, 268, NULL, NULL, 18906),
(42696, '4m0xA02', NULL, NULL, 235, NULL, NULL, 18906),
(42697, '3t6cA02', NULL, NULL, 270, NULL, NULL, 18906),
(42698, '3tj4A02', NULL, NULL, 237, NULL, NULL, 18906),
(42699, '3qkeD02', NULL, NULL, 263, NULL, NULL, 18906),
(42700, '3vc5A02', NULL, NULL, 243, NULL, NULL, 18906),
(42701, '1wueA02', NULL, NULL, 220, NULL, NULL, 18906),
(42702, '3dgbA02', NULL, NULL, 236, NULL, NULL, 18906),
(42703, '3i4kA02', NULL, NULL, 261, NULL, NULL, 18906),
(42704, '4hyrA02', NULL, NULL, 261, NULL, NULL, 18906),
(42705, '2pozA02', NULL, NULL, 256, NULL, NULL, 18906),
(42706, '4kemA02', NULL, NULL, 263, NULL, NULL, 18906),
(42707, '4ropA02', NULL, NULL, 299, NULL, NULL, 18906),
(42708, '4ip4A02', NULL, NULL, 296, NULL, NULL, 18906),
(42709, '2nqlA02', NULL, NULL, 220, NULL, NULL, 18906),
(42710, '2fymC02', NULL, NULL, 305, NULL, NULL, 18906),
(42711, '2qgyA02', NULL, NULL, 238, NULL, NULL, 18906),
(42712, '2qddA02', NULL, NULL, 238, NULL, NULL, 18906),
(42713, '3v5cB02', NULL, NULL, 263, NULL, NULL, 18906),
(42714, '2oz3E02', NULL, NULL, 242, NULL, NULL, 18906),
(42715, '2ovlA02', NULL, NULL, 233, NULL, NULL, 18906),
(42716, '3eezA02', NULL, NULL, 238, NULL, NULL, 18906),
(42717, '1kd0A02', NULL, NULL, 249, NULL, NULL, 18906),
(42718, '3v3wA02', NULL, NULL, 262, NULL, NULL, 18906),
(42719, '3ro6A02', NULL, NULL, 241, NULL, NULL, 18906),
(42720, '3cawA02', NULL, NULL, 225, NULL, NULL, 18906),
(42721, '3boxA02', NULL, NULL, 242, NULL, NULL, 18906);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(42722, '1rvkA02', NULL, NULL, 265, NULL, NULL, 18906),
(42723, '4jn7A02', NULL, NULL, 276, NULL, NULL, 18906),
(42724, '4e4fA02', NULL, NULL, 264, NULL, NULL, 18906),
(42725, '3vcnA02', NULL, NULL, 262, NULL, NULL, 18906),
(42726, '4hnlA02', NULL, NULL, 253, NULL, NULL, 18906),
(42727, '2podA02', NULL, NULL, 277, NULL, NULL, 18906),
(42728, '3t8qA02', NULL, NULL, 254, NULL, NULL, 18906),
(42729, '3sbfA02', NULL, NULL, 253, NULL, NULL, 18906),
(42730, '5wroA02', NULL, NULL, 306, NULL, NULL, 18906),
(42731, '1iyxA02', NULL, NULL, 304, NULL, NULL, 18906),
(42732, '3ugvA02', NULL, NULL, 236, NULL, NULL, 18906),
(42733, '3sszA02', NULL, NULL, 248, NULL, NULL, 18906),
(42734, '1sjdA02', NULL, NULL, 237, NULL, NULL, 18906),
(42735, '1nu5A02', NULL, NULL, 254, NULL, NULL, 18906),
(42736, '3vdgA02', NULL, NULL, 242, NULL, NULL, 18906),
(42737, '1tkkA02', NULL, NULL, 251, NULL, NULL, 18906),
(42738, '4a3rA02', NULL, NULL, 303, NULL, NULL, 18906),
(42739, '2oz3A02', NULL, NULL, 242, NULL, NULL, 18906),
(42740, '3mznA02', NULL, NULL, 260, NULL, NULL, 18906),
(42741, '2chrA02', NULL, NULL, 202, NULL, NULL, 18906),
(42742, '3u4fA02', NULL, NULL, 254, NULL, NULL, 18906),
(42743, '4dwdA02', NULL, NULL, 263, NULL, NULL, 18906),
(42744, '4gisA02', NULL, NULL, 253, NULL, NULL, 18906),
(42745, '3va8A02', NULL, NULL, 244, NULL, NULL, 18906),
(42746, '2ps2A02', NULL, NULL, 238, NULL, NULL, 18906),
(42747, '1pdzA02', NULL, NULL, 307, NULL, NULL, 18906),
(42748, '3gc2A02', NULL, NULL, 198, NULL, NULL, 18906),
(42749, '3zlgA02', NULL, NULL, 308, NULL, NULL, 18906),
(42750, '3fcpA02', NULL, NULL, 235, NULL, NULL, 18906),
(42751, '2ptwA02', NULL, NULL, 304, NULL, NULL, 18906),
(42752, '2hzgA02', NULL, NULL, 248, NULL, NULL, 18906),
(42753, '3i6tA02', NULL, NULL, 259, NULL, NULL, 18906),
(42754, '2rdxA02', NULL, NULL, 237, NULL, NULL, 18906),
(42755, '2pgeA02', NULL, NULL, 241, NULL, NULL, 18906),
(42756, '3qn3A02', NULL, NULL, 287, NULL, NULL, 18906),
(42757, '6j36B02', NULL, NULL, 329, NULL, NULL, 18906),
(42758, '4gypC02', NULL, NULL, 261, NULL, NULL, 18906),
(42759, '3r0uB02', NULL, NULL, 262, NULL, NULL, 18906),
(42760, '2oz3D02', NULL, NULL, 242, NULL, NULL, 18906),
(42761, '4hn8A02', NULL, NULL, 261, NULL, NULL, 18906),
(42762, '1jpdX02', NULL, NULL, 207, NULL, NULL, 18906),
(42763, '2oztA02', NULL, NULL, 203, NULL, NULL, 18906),
(42764, '3ik4A02', NULL, NULL, 246, NULL, NULL, 18906),
(42765, '2oz3H02', NULL, NULL, 242, NULL, NULL, 18906),
(42766, '4j1oA02', NULL, NULL, 234, NULL, NULL, 18906),
(42767, '3cyjA02', NULL, NULL, 237, NULL, NULL, 18906),
(42768, '3gd6A02', NULL, NULL, 226, NULL, NULL, 18906),
(42769, '3fv9A02', NULL, NULL, 243, NULL, NULL, 18906),
(42770, '1r6wA01', NULL, NULL, 198, NULL, NULL, 18906),
(42771, '3jvaB02', NULL, NULL, 240, NULL, NULL, 18906),
(42772, '1mucA02', NULL, NULL, 236, NULL, NULL, 18906),
(42773, '3thuA02', NULL, NULL, 262, NULL, NULL, 18906),
(42774, '3my9A02', NULL, NULL, 257, NULL, NULL, 18906),
(42775, '3t9pA02', NULL, NULL, 254, NULL, NULL, 18906),
(42776, '3qtpA02', NULL, NULL, 311, NULL, NULL, 18906),
(42777, '2gdqA02', NULL, NULL, 273, NULL, NULL, 18906),
(42778, '4fi4A02', NULL, NULL, 262, NULL, NULL, 18906),
(42779, '3tqpB02', NULL, NULL, 300, NULL, NULL, 18906),
(42780, '4jhmA02', NULL, NULL, 263, NULL, NULL, 18906),
(42781, '4it1A02', NULL, NULL, 246, NULL, NULL, 18906),
(42782, '3qldA02', NULL, NULL, 231, NULL, NULL, 18906),
(42783, '4g7fA02', NULL, NULL, 302, NULL, NULL, 18906),
(42784, '6nb2B02', NULL, NULL, 296, NULL, NULL, 18906),
(42785, '3ozyA02', NULL, NULL, 243, NULL, NULL, 18906),
(42786, '2ox4A02', NULL, NULL, 263, NULL, NULL, 18906),
(42787, '2akzB02', NULL, NULL, 313, NULL, NULL, 18906),
(42788, '2p8bA02', NULL, NULL, 235, NULL, NULL, 18906),
(42789, '4k8gA02', NULL, NULL, 262, NULL, NULL, 18906),
(42790, '4dyeA02', NULL, NULL, 241, NULL, NULL, 18906),
(42791, '2qvhA02', NULL, NULL, 225, NULL, NULL, 18906),
(42792, '4hpnA02', NULL, NULL, 264, NULL, NULL, 18906),
(42793, '3cb3A02', NULL, NULL, 233, NULL, NULL, 18906),
(42794, '3sqsA02', NULL, NULL, 248, NULL, NULL, 18906);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(42795, '3nxlA02', NULL, NULL, 261, NULL, NULL, 18906),
(42796, '1ec7A02', NULL, NULL, 261, NULL, NULL, 18906),
(42797, '2o56G02', NULL, NULL, 264, NULL, NULL, 18906),
(42798, '2zc8A02', NULL, NULL, 230, NULL, NULL, 18906),
(42799, '4il2A02', NULL, NULL, 264, NULL, NULL, 18906),
(42800, '4mggA02', NULL, NULL, 237, NULL, NULL, 18906),
(42801, '1r0mA02', NULL, NULL, 230, NULL, NULL, 18906),
(42802, '3zviA02', NULL, NULL, 234, NULL, NULL, 18906),
(42803, '4h83A02', NULL, NULL, 237, NULL, NULL, 18906),
(42804, '4mksB02', NULL, NULL, 313, NULL, NULL, 18906),
(42805, '3rcyA02', NULL, NULL, 254, NULL, NULL, 18906),
(42806, '3ekgA02', NULL, NULL, 242, NULL, NULL, 18906),
(42807, '3dg3A02', NULL, NULL, 253, NULL, NULL, 18906),
(42808, '4e4uA02', NULL, NULL, 255, NULL, NULL, 18906),
(42809, '2oz3G02', NULL, NULL, 242, NULL, NULL, 18906),
(42810, '3q45A02', NULL, NULL, 242, NULL, NULL, 18906),
(42811, '4g8tA02', NULL, NULL, 261, NULL, NULL, 18906),
(42812, '5olcA02', NULL, NULL, 274, NULL, NULL, 18906),
(42813, '4j3zA02', NULL, NULL, 253, NULL, NULL, 18906),
(42814, '2pgwA02', NULL, NULL, 221, NULL, NULL, 18906),
(42815, '3otrF02', NULL, NULL, 320, NULL, NULL, 18906),
(42816, '5boeB02', NULL, NULL, 312, NULL, NULL, 18906),
(42817, '1tzzA02', NULL, NULL, 260, NULL, NULL, 18906),
(42818, '3tjiA02', NULL, NULL, 253, NULL, NULL, 18906),
(42819, '4dxkA02', NULL, NULL, 241, NULL, NULL, 18906),
(42820, '4h2hA02', NULL, NULL, 234, NULL, NULL, 18906),
(42821, '2pa6A02', NULL, NULL, 289, NULL, NULL, 18906),
(42822, '3fxgA02', NULL, NULL, 241, NULL, NULL, 18906),
(42823, '2qdeA02', NULL, NULL, 239, NULL, NULL, 18906),
(42824, '3go2A02', NULL, NULL, 272, NULL, NULL, 18906),
(42825, '3ijlA02', NULL, NULL, 229, NULL, NULL, 18906),
(42826, '3gy1B02', NULL, NULL, 253, NULL, NULL, 18906),
(42827, '3p0wC02', NULL, NULL, 261, NULL, NULL, 18906),
(42828, '1kkoA02', NULL, NULL, 249, NULL, NULL, 18906),
(42829, '6o4nA02', NULL, NULL, 295, NULL, NULL, 18906),
(42830, '3t4wA02', NULL, NULL, 254, NULL, NULL, 18906),
(42831, '3sjnA02', NULL, NULL, 254, NULL, NULL, 18906),
(42832, '3mkcA02', NULL, NULL, 237, NULL, NULL, 18906),
(42833, '2oz3C02', NULL, NULL, 242, NULL, NULL, 18906),
(42834, '2qq6A02', NULL, NULL, 267, NULL, NULL, 18906),
(42835, '4ywsB02', NULL, NULL, 298, NULL, NULL, 18906),
(42836, '3mwcA02', NULL, NULL, 253, NULL, NULL, 18906),
(42837, '5xd7A02', NULL, NULL, 232, NULL, NULL, 18906),
(42838, '3bjsA02', NULL, NULL, 254, NULL, NULL, 18906),
(42839, '4e5tD02', NULL, NULL, 261, NULL, NULL, 18906),
(42840, '1bqgA02', NULL, NULL, 260, NULL, NULL, 18906),
(42841, '3u9iB02', NULL, NULL, 252, NULL, NULL, 18906),
(42842, '1w6tA02', NULL, NULL, 307, NULL, NULL, 18906),
(42843, '2psnD02', NULL, NULL, 307, NULL, NULL, 18906),
(42844, '2pp0A02', NULL, NULL, 233, NULL, NULL, 18906),
(42845, '2zadA02', NULL, NULL, 230, NULL, NULL, 18906),
(42846, '3tw9C02', NULL, NULL, 270, NULL, NULL, 18906),
(42847, '2al1B02', NULL, NULL, 310, NULL, NULL, 18906),
(42848, '3stpA02', NULL, NULL, 248, NULL, NULL, 18906),
(42849, '4gfiA02', NULL, NULL, 222, NULL, NULL, 18906),
(42850, '2oz8A02', NULL, NULL, 232, NULL, NULL, 18906),
(42851, '3ekgB02', NULL, NULL, 242, NULL, NULL, 18906),
(42852, '3ddmA02', NULL, NULL, 238, NULL, NULL, 18906),
(42853, '4h1zA02', NULL, NULL, 221, NULL, NULL, 18906),
(42854, '1kd0B02', NULL, NULL, 234, NULL, NULL, 18906),
(42855, '3rr1B02', NULL, NULL, 243, NULL, NULL, 18906),
(42856, '2oz3F02', NULL, NULL, 242, NULL, NULL, 18906),
(42857, '4a35A02', NULL, NULL, 307, NULL, NULL, 18906),
(42858, '2oktA02', NULL, NULL, 206, NULL, NULL, 18906),
(42859, '3tcsA02', NULL, NULL, 254, NULL, NULL, 18906),
(42860, '3mqtA02', NULL, NULL, 237, NULL, NULL, 18906),
(42861, '3uj2A02', NULL, NULL, 298, NULL, NULL, 18906),
(42862, '3i6eA02', NULL, NULL, 263, NULL, NULL, 18906),
(42863, '1wufA02', NULL, NULL, 244, NULL, NULL, 18906),
(42864, '2xsxA02', NULL, NULL, 307, NULL, NULL, 18906),
(42865, '3pfrA02', NULL, NULL, 261, NULL, NULL, 18906),
(42866, '3dipA02', NULL, NULL, 274, NULL, NULL, 18906),
(42867, '1yeyD02', NULL, NULL, 262, NULL, NULL, 18906);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(42868, '3toyA02', NULL, NULL, 230, NULL, NULL, 18906),
(42869, '2oz3B02', NULL, NULL, 242, NULL, NULL, 18906),
(42870, '3s5sA02', NULL, NULL, 253, NULL, NULL, 18906),
(42871, '4x2pA02', NULL, NULL, 230, NULL, NULL, 18906),
(42872, '3vtnA01', NULL, NULL, 32, NULL, NULL, 18907),
(42873, '3wx7A02', NULL, NULL, 95, NULL, NULL, 18908),
(42874, '4nz5A02', NULL, NULL, 108, NULL, NULL, 18908),
(42875, '1ygmA01', NULL, NULL, 90, NULL, NULL, 18909),
(42876, '2m2fA00', NULL, NULL, 62, NULL, NULL, 18910),
(42877, '1qsaA02', NULL, NULL, 70, NULL, NULL, 18911),
(42878, '3bjdA01', NULL, NULL, 88, NULL, NULL, 18911),
(42879, '2gttC01', NULL, NULL, 194, NULL, NULL, 18912),
(42880, '3hhwK01', NULL, NULL, 183, NULL, NULL, 18912),
(42881, '5dmzA01', NULL, NULL, 63, NULL, NULL, 18913),
(42882, '6f7bA01', NULL, NULL, 59, NULL, NULL, 18913),
(42883, '4qpmA01', NULL, NULL, 54, NULL, NULL, 18913),
(42884, '2gnxA01', NULL, NULL, 209, NULL, NULL, 18914),
(42885, '5m04A01', NULL, NULL, 161, NULL, NULL, 18915),
(42886, '1lnzA01', NULL, NULL, 157, NULL, NULL, 18915),
(42887, '1udxA01', NULL, NULL, 154, NULL, NULL, 18915),
(42888, '1cw5A00', NULL, NULL, 48, NULL, NULL, 18916),
(42889, '2a2bA00', NULL, NULL, 41, NULL, NULL, 18916),
(42890, '1ohnA00', NULL, NULL, 43, NULL, NULL, 18916),
(42891, '3zedA04', NULL, NULL, 108, NULL, NULL, 18917),
(42892, '2pusA04', NULL, NULL, 108, NULL, NULL, 18917),
(42893, '3hl1A02', NULL, NULL, 65, NULL, NULL, 18918),
(42894, '3ontA00', NULL, NULL, 152, NULL, NULL, 18919),
(42895, '4gkwA00', NULL, NULL, 167, NULL, NULL, 18920),
(42896, '1l6kA00', NULL, NULL, 77, NULL, NULL, 18921),
(42897, '1zvdA02', NULL, NULL, 78, NULL, NULL, 18922),
(42898, '1nd7A02', NULL, NULL, 80, NULL, NULL, 18922),
(42899, '2xbfA02', NULL, NULL, 78, NULL, NULL, 18922),
(42900, '3olmA02', NULL, NULL, 78, NULL, NULL, 18922),
(42901, '2oniA02', NULL, NULL, 78, NULL, NULL, 18922),
(42902, '3h1dA02', NULL, NULL, 80, NULL, NULL, 18922),
(42903, '1c4zA02', NULL, NULL, 81, NULL, NULL, 18922),
(42904, '1o0sA02', NULL, NULL, 108, NULL, NULL, 18923),
(42905, '3h35C00', NULL, NULL, 150, NULL, NULL, 18924),
(42906, '3pjsK02', NULL, NULL, 45, NULL, NULL, 18925),
(42907, '1ifpA00', NULL, NULL, 44, NULL, NULL, 18925),
(42908, '1jekA00', NULL, NULL, 42, NULL, NULL, 18925),
(42909, '4wvzD01', NULL, NULL, 45, NULL, NULL, 18925),
(42910, '4qmaA01', NULL, NULL, 51, NULL, NULL, 18925),
(42911, '2jdiH02', NULL, NULL, 43, NULL, NULL, 18925),
(42912, '4djgB00', NULL, NULL, 52, NULL, NULL, 18925),
(42913, '2qe7H02', NULL, NULL, 47, NULL, NULL, 18925),
(42914, '1fs0E02', NULL, NULL, 44, NULL, NULL, 18925),
(42915, '2e5yA02', NULL, NULL, 45, NULL, NULL, 18925),
(42916, '3effK02', NULL, NULL, 45, NULL, NULL, 18925),
(42917, '2dosA01', NULL, NULL, 115, NULL, NULL, 18926),
(42918, '1yzbA01', NULL, NULL, 124, NULL, NULL, 18926),
(42919, '3o65E01', NULL, NULL, 132, NULL, NULL, 18926),
(42920, '3ecsE01', NULL, NULL, 104, NULL, NULL, 18927),
(42921, '3u5cI02', NULL, NULL, 112, NULL, NULL, 18928),
(42922, '1vx2I02', NULL, NULL, 114, NULL, NULL, 18928),
(42923, '2xzm202', NULL, NULL, 121, NULL, NULL, 18928),
(42924, '1hq0A00', NULL, NULL, 295, NULL, NULL, 18929),
(42925, '2x7aA00', NULL, NULL, 61, NULL, NULL, 18930),
(42926, '2qa7A00', NULL, NULL, 114, NULL, NULL, 18930),
(42927, '3mkxD00', NULL, NULL, 112, NULL, NULL, 18930),
(42928, '4pkyE00', NULL, NULL, 50, NULL, NULL, 18930),
(42929, '3cveB00', NULL, NULL, 72, NULL, NULL, 18930),
(42930, '3cvfA00', NULL, NULL, 79, NULL, NULL, 18930),
(42931, '3i00A00', NULL, NULL, 85, NULL, NULL, 18930),
(42932, '2xg7C00', NULL, NULL, 77, NULL, NULL, 18930),
(42933, '2lyxA00', NULL, NULL, 87, NULL, NULL, 18931),
(42934, '3dtnA02', NULL, NULL, 37, NULL, NULL, 18932),
(42935, '2af5A01', NULL, NULL, 59, NULL, NULL, 18933),
(42936, '2ol6O01', NULL, NULL, 104, NULL, NULL, 18933),
(42937, '1ospO01', NULL, NULL, 111, NULL, NULL, 18933),
(42938, '3ckfA01', NULL, NULL, 81, NULL, NULL, 18933),
(42939, '2fkgA01', NULL, NULL, 82, NULL, NULL, 18933),
(42940, '3aumO01', NULL, NULL, 105, NULL, NULL, 18933),
(42941, '2i5vO01', NULL, NULL, 105, NULL, NULL, 18933);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(42942, '2g8cO01', NULL, NULL, 105, NULL, NULL, 18933),
(42943, '1vqqA03', NULL, NULL, 70, NULL, NULL, 18934),
(42944, '3bamA00', NULL, NULL, 213, NULL, NULL, 18935),
(42945, '1sdoA00', NULL, NULL, 203, NULL, NULL, 18935),
(42946, '3odhA00', NULL, NULL, 194, NULL, NULL, 18935),
(42947, '1dfmB00', NULL, NULL, 223, NULL, NULL, 18935),
(42948, '4qbuA01', NULL, NULL, 134, NULL, NULL, 18936),
(42949, '2jfkD01', NULL, NULL, 135, NULL, NULL, 18936),
(42950, '2hg4A02', NULL, NULL, 141, NULL, NULL, 18936),
(42951, '2vz9A02', NULL, NULL, 130, NULL, NULL, 18936),
(42952, '2vz8B02', NULL, NULL, 129, NULL, NULL, 18936),
(42953, '4oqjA02', NULL, NULL, 126, NULL, NULL, 18936),
(42954, '5elpD02', NULL, NULL, 154, NULL, NULL, 18936),
(42955, '4kc5D02', NULL, NULL, 127, NULL, NULL, 18936),
(42956, '2qo3A02', NULL, NULL, 136, NULL, NULL, 18936),
(42957, '2jfkC01', NULL, NULL, 99, NULL, NULL, 18936),
(42958, '3hhdA02', NULL, NULL, 104, NULL, NULL, 18936),
(42959, '3fewX03', NULL, NULL, 81, NULL, NULL, 18937),
(42960, '3fewX02', NULL, NULL, 95, NULL, NULL, 18937),
(42961, '1bm8A00', NULL, NULL, 99, NULL, NULL, 18938),
(42962, '1l3gA00', NULL, NULL, 136, NULL, NULL, 18938),
(42963, '4ux5A00', NULL, NULL, 136, NULL, NULL, 18938),
(42964, '1vw4M01', NULL, NULL, 135, NULL, NULL, 18939),
(42965, '5wm1A01', NULL, NULL, 39, NULL, NULL, 18940),
(42966, '4aybF01', NULL, NULL, 44, NULL, NULL, 18941),
(42967, '2pmzF01', NULL, NULL, 44, NULL, NULL, 18941),
(42968, '3akjA01', NULL, NULL, 94, NULL, NULL, 18942),
(42969, '2ehwA00', NULL, NULL, 120, NULL, NULL, 18943),
(42970, '3anuA01', NULL, NULL, 150, NULL, NULL, 18944),
(42971, '4v15A01', NULL, NULL, 144, NULL, NULL, 18944),
(42972, '3gwqB01', NULL, NULL, 170, NULL, NULL, 18944),
(42973, '3wqcA01', NULL, NULL, 167, NULL, NULL, 18944),
(42974, '3llxA01', NULL, NULL, 157, NULL, NULL, 18944),
(42975, '2f6mD00', NULL, NULL, 109, NULL, NULL, 18945),
(42976, '2p22B00', NULL, NULL, 118, NULL, NULL, 18945),
(42977, '2cazE00', NULL, NULL, 102, NULL, NULL, 18945),
(42978, '4i5qA01', NULL, NULL, 67, NULL, NULL, 18946),
(42979, '1eejA01', NULL, NULL, 61, NULL, NULL, 18946),
(42980, '5g1lA01', NULL, NULL, 70, NULL, NULL, 18946),
(42981, '4npbA01', NULL, NULL, 64, NULL, NULL, 18946),
(42982, '1t3bA01', NULL, NULL, 49, NULL, NULL, 18946),
(42983, '1fx3B00', NULL, NULL, 169, NULL, NULL, 18947),
(42984, '1fx3D00', NULL, NULL, 135, NULL, NULL, 18947),
(42985, '2o2aB00', NULL, NULL, 128, NULL, NULL, 18947),
(42986, '1qynD00', NULL, NULL, 153, NULL, NULL, 18947),
(42987, '2hngA00', NULL, NULL, 127, NULL, NULL, 18947),
(42988, '3o4xE02', NULL, NULL, 108, NULL, NULL, 18948),
(42989, '1v9dA01', NULL, NULL, 91, NULL, NULL, 18948),
(42990, '2d2sA02', NULL, NULL, 104, NULL, NULL, 18949),
(42991, '4bgpA02', NULL, NULL, 104, NULL, NULL, 18950),
(42992, '4jngA02', NULL, NULL, 103, NULL, NULL, 18950),
(42993, '3zlaA02', NULL, NULL, 103, NULL, NULL, 18950),
(42994, '4j1jA02', NULL, NULL, 103, NULL, NULL, 18950),
(42995, '3qexA06', NULL, NULL, 92, NULL, NULL, 18951),
(42996, '1yu0A01', NULL, NULL, 55, NULL, NULL, 18952),
(42997, '4hfvA02', NULL, NULL, 71, NULL, NULL, 18953),
(42998, '1vyiA00', NULL, NULL, 112, NULL, NULL, 18954),
(42999, '2wzlA00', NULL, NULL, 107, NULL, NULL, 18954),
(43000, '2mvgA01', NULL, NULL, 146, NULL, NULL, 18955),
(43001, '4onrA00', NULL, NULL, 166, NULL, NULL, 18955),
(43002, '2lquA01', NULL, NULL, 154, NULL, NULL, 18955),
(43003, '2mtdA00', NULL, NULL, 164, NULL, NULL, 18955),
(43004, '2mtcA00', NULL, NULL, 166, NULL, NULL, 18955),
(43005, '1apyB00', NULL, NULL, 141, NULL, NULL, 18956),
(43006, '1k2xB00', NULL, NULL, 143, NULL, NULL, 18956),
(43007, '6nq6B00', NULL, NULL, 144, NULL, NULL, 18956),
(43008, '4pv2B00', NULL, NULL, 131, NULL, NULL, 18956),
(43009, '2gezB00', NULL, NULL, 133, NULL, NULL, 18956),
(43010, '1lu9A01', NULL, NULL, 136, NULL, NULL, 18957),
(43011, '1vsaa00', NULL, NULL, 65, NULL, NULL, 18958),
(43012, '5dm6300', NULL, NULL, 65, NULL, NULL, 18958),
(43013, '1vw4Z00', NULL, NULL, 62, NULL, NULL, 18958),
(43014, '3hzqA00', NULL, NULL, 94, NULL, NULL, 18959);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(43015, '2oarB00', NULL, NULL, 125, NULL, NULL, 18959),
(43016, '2oarC01', NULL, NULL, 96, NULL, NULL, 18959),
(43017, '4m5dA03', NULL, NULL, 136, NULL, NULL, 18960),
(43018, '2vk9A04', NULL, NULL, 104, NULL, NULL, 18961),
(43019, '2v8iA03', NULL, NULL, 63, NULL, NULL, 18962),
(43020, '5a29A03', NULL, NULL, 64, NULL, NULL, 18962),
(43021, '3m6jA01', NULL, NULL, 126, NULL, NULL, 18963),
(43022, '3h95A02', NULL, NULL, 34, NULL, NULL, 18964),
(43023, '2vpzA04', NULL, NULL, 61, NULL, NULL, 18965),
(43024, '1vwxO02', NULL, NULL, 54, NULL, NULL, 18966),
(43025, '3o58P02', NULL, NULL, 50, NULL, NULL, 18966),
(43026, '1tueG01', NULL, NULL, 108, NULL, NULL, 18967),
(43027, '2jexA01', NULL, NULL, 98, NULL, NULL, 18967),
(43028, '1r6nA01', NULL, NULL, 104, NULL, NULL, 18967),
(43029, '2nnuA01', NULL, NULL, 105, NULL, NULL, 18967),
(43030, '3cwzB03', NULL, NULL, 121, NULL, NULL, 18968),
(43031, '1olpA02', NULL, NULL, 121, NULL, NULL, 18968),
(43032, '1gplA02', NULL, NULL, 110, NULL, NULL, 18968),
(43033, '1ethA02', NULL, NULL, 109, NULL, NULL, 18968),
(43034, '3fg1A01', NULL, NULL, 118, NULL, NULL, 18968),
(43035, '1loxA02', NULL, NULL, 111, NULL, NULL, 18968),
(43036, '2iujA01', NULL, NULL, 163, NULL, NULL, 18968),
(43037, '2oxeB02', NULL, NULL, 125, NULL, NULL, 18968),
(43038, '1w52X02', NULL, NULL, 113, NULL, NULL, 18968),
(43039, '2iukA01', NULL, NULL, 175, NULL, NULL, 18968),
(43040, '4wfoA01', NULL, NULL, 159, NULL, NULL, 18968),
(43041, '1hplA02', NULL, NULL, 111, NULL, NULL, 18968),
(43042, '1khoA02', NULL, NULL, 120, NULL, NULL, 18968),
(43043, '3v98B01', NULL, NULL, 132, NULL, NULL, 18968),
(43044, '2wxuA02', NULL, NULL, 120, NULL, NULL, 18968),
(43045, '1bu8A02', NULL, NULL, 112, NULL, NULL, 18968),
(43046, '1ik3A01', NULL, NULL, 167, NULL, NULL, 18968),
(43047, '3vf1A01', NULL, NULL, 118, NULL, NULL, 18968),
(43048, '1rp1A02', NULL, NULL, 110, NULL, NULL, 18968),
(43049, '2pplA02', NULL, NULL, 110, NULL, NULL, 18968),
(43050, '4nreA01', NULL, NULL, 120, NULL, NULL, 18968),
(43051, '1e1rG00', NULL, NULL, 122, NULL, NULL, 18969),
(43052, '2r9iA00', NULL, NULL, 75, NULL, NULL, 18969),
(43053, '2qe7G01', NULL, NULL, 99, NULL, NULL, 18969),
(43054, '5dn6G01', NULL, NULL, 67, NULL, NULL, 18969),
(43055, '3oaaG01', NULL, NULL, 140, NULL, NULL, 18969),
(43056, '5fl7G01', NULL, NULL, 66, NULL, NULL, 18969),
(43057, '3ziaG01', NULL, NULL, 67, NULL, NULL, 18969),
(43058, '2ck3G01', NULL, NULL, 61, NULL, NULL, 18969),
(43059, '1ohhG00', NULL, NULL, 94, NULL, NULL, 18969),
(43060, '3ofnY00', NULL, NULL, 117, NULL, NULL, 18969),
(43061, '2dw4A03', NULL, NULL, 116, NULL, NULL, 18969),
(43062, '1fs0G02', NULL, NULL, 89, NULL, NULL, 18969),
(43063, '1mabG00', NULL, NULL, 152, NULL, NULL, 18969),
(43064, '4hr6A00', NULL, NULL, 41, NULL, NULL, 18970),
(43065, '2b39A07', NULL, NULL, 41, NULL, NULL, 18971),
(43066, '2wscN00', NULL, NULL, 85, NULL, NULL, 18972),
(43067, '2v0cA03', NULL, NULL, 57, NULL, NULL, 18973),
(43068, '2r01A02', NULL, NULL, 44, NULL, NULL, 18974),
(43069, '3iv1A00', NULL, NULL, 78, NULL, NULL, 18975),
(43070, '1q57G01', NULL, NULL, 73, NULL, NULL, 18976),
(43071, '3fwbB00', NULL, NULL, 55, NULL, NULL, 18977),
(43072, '2gv5C00', NULL, NULL, 73, NULL, NULL, 18977),
(43073, '2c34A00', NULL, NULL, 116, NULL, NULL, 18978),
(43074, '2wgnB01', NULL, NULL, 97, NULL, NULL, 18978),
(43075, '3m86A00', NULL, NULL, 111, NULL, NULL, 18978),
(43076, '2nnrA00', NULL, NULL, 110, NULL, NULL, 18978),
(43077, '3pnrB00', NULL, NULL, 129, NULL, NULL, 18978),
(43078, '4o6mA01', NULL, NULL, 135, NULL, NULL, 18979),
(43079, '4lb8A02', NULL, NULL, 137, NULL, NULL, 18980),
(43080, '3lyyA00', NULL, NULL, 107, NULL, NULL, 18981),
(43081, '3i57A02', NULL, NULL, 110, NULL, NULL, 18981),
(43082, '3q69A00', NULL, NULL, 105, NULL, NULL, 18981),
(43083, '4mt5A02', NULL, NULL, 112, NULL, NULL, 18981),
(43084, '3nz3A00', NULL, NULL, 112, NULL, NULL, 18981),
(43085, '3zc0D00', NULL, NULL, 199, NULL, NULL, 18982),
(43086, '5jrcA00', NULL, NULL, 186, NULL, NULL, 18982),
(43087, '3kf8A00', NULL, NULL, 220, NULL, NULL, 18983),
(43088, '2ebrA00', NULL, NULL, 47, NULL, NULL, 18984);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(43089, '2ebqA00', NULL, NULL, 47, NULL, NULL, 18984),
(43090, '1n0zA00', NULL, NULL, 45, NULL, NULL, 18984),
(43091, '3iynQ01', NULL, NULL, 81, NULL, NULL, 18985),
(43092, '5vqfB01', NULL, NULL, 35, NULL, NULL, 18986),
(43093, '1u57A00', NULL, NULL, 48, NULL, NULL, 18987),
(43094, '3cqlA02', NULL, NULL, 58, NULL, NULL, 18988),
(43095, '3w3eA02', NULL, NULL, 56, NULL, NULL, 18988),
(43096, '4dygA02', NULL, NULL, 58, NULL, NULL, 18988),
(43097, '2baaA02', NULL, NULL, 58, NULL, NULL, 18988),
(43098, '4mstA02', NULL, NULL, 58, NULL, NULL, 18988),
(43099, '3hbeX02', NULL, NULL, 58, NULL, NULL, 18988),
(43100, '3wh1A02', NULL, NULL, 59, NULL, NULL, 18988),
(43101, '4mckA02', NULL, NULL, 58, NULL, NULL, 18988),
(43102, '1wvvA02', NULL, NULL, 61, NULL, NULL, 18988),
(43103, '5h7tA02', NULL, NULL, 59, NULL, NULL, 18988),
(43104, '4tx7A02', NULL, NULL, 57, NULL, NULL, 18988),
(43105, '2dkvA03', NULL, NULL, 57, NULL, NULL, 18988),
(43106, '2z37A02', NULL, NULL, 59, NULL, NULL, 18988),
(43107, '1dxjA02', NULL, NULL, 56, NULL, NULL, 18988),
(43108, '2cjlA02', NULL, NULL, 61, NULL, NULL, 18988),
(43109, '2k6xA00', NULL, NULL, 72, NULL, NULL, 18989),
(43110, '4kn7X01', NULL, NULL, 64, NULL, NULL, 18989),
(43111, '1z8sA02', NULL, NULL, 42, NULL, NULL, 18990),
(43112, '2r6cI02', NULL, NULL, 42, NULL, NULL, 18990),
(43113, '2r6cH02', NULL, NULL, 42, NULL, NULL, 18990),
(43114, '2r6cG02', NULL, NULL, 42, NULL, NULL, 18990),
(43115, '2r6aC02', NULL, NULL, 42, NULL, NULL, 18990),
(43116, '4pabA03', NULL, NULL, 188, NULL, NULL, 18991),
(43117, '5l46A03', NULL, NULL, 189, NULL, NULL, 18991),
(43118, '1x31A02', NULL, NULL, 392, NULL, NULL, 18991),
(43119, '1x31C01', NULL, NULL, 105, NULL, NULL, 18991),
(43120, '3tfiA00', NULL, NULL, 369, NULL, NULL, 18991),
(43121, '1xzpB00', NULL, NULL, 131, NULL, NULL, 18991),
(43122, '1pj5A03', NULL, NULL, 198, NULL, NULL, 18991),
(43123, '2gahA02', NULL, NULL, 392, NULL, NULL, 18991),
(43124, '1vloA01', NULL, NULL, 155, NULL, NULL, 18991),
(43125, '2gagC01', NULL, NULL, 115, NULL, NULL, 18991),
(43126, '3gehA01', NULL, NULL, 129, NULL, NULL, 18991),
(43127, '1wosA01', NULL, NULL, 147, NULL, NULL, 18991),
(43128, '3ttgA00', NULL, NULL, 355, NULL, NULL, 18991),
(43129, '3geeA01', NULL, NULL, 137, NULL, NULL, 18991),
(43130, '1v5vA01', NULL, NULL, 166, NULL, NULL, 18991),
(43131, '1wsrA01', NULL, NULL, 149, NULL, NULL, 18991),
(43132, '3girA01', NULL, NULL, 141, NULL, NULL, 18991),
(43133, '1yx2A01', NULL, NULL, 152, NULL, NULL, 18991),
(43134, '2dsmA00', NULL, NULL, 72, NULL, NULL, 18992),
(43135, '3zzoA00', NULL, NULL, 95, NULL, NULL, 18993),
(43136, '3hj6A03', NULL, NULL, 35, NULL, NULL, 18994),
(43137, '4guaA03', NULL, NULL, 157, NULL, NULL, 18995),
(43138, '2dx6A00', NULL, NULL, 159, NULL, NULL, 18995),
(43139, '4d86A01', NULL, NULL, 197, NULL, NULL, 18995),
(43140, '5d8nA01', NULL, NULL, 200, NULL, NULL, 18995),
(43141, '1gytL01', NULL, NULL, 180, NULL, NULL, 18995),
(43142, '3sigA00', NULL, NULL, 277, NULL, NULL, 18995),
(43143, '3jruA01', NULL, NULL, 163, NULL, NULL, 18995),
(43144, '6fy5B00', NULL, NULL, 198, NULL, NULL, 18995),
(43145, '3ewoA00', NULL, NULL, 177, NULL, NULL, 18995),
(43146, '4zi6C01', NULL, NULL, 190, NULL, NULL, 18995),
(43147, '4etkA00', NULL, NULL, 167, NULL, NULL, 18995),
(43148, '2vriA00', NULL, NULL, 174, NULL, NULL, 18995),
(43149, '1njrA00', NULL, NULL, 284, NULL, NULL, 18995),
(43150, '4kybA00', NULL, NULL, 167, NULL, NULL, 18995),
(43151, '1zr5B00', NULL, NULL, 190, NULL, NULL, 18995),
(43152, '5o2dA00', NULL, NULL, 200, NULL, NULL, 18995),
(43153, '1lamA01', NULL, NULL, 165, NULL, NULL, 18995),
(43154, '5e3bA00', NULL, NULL, 159, NULL, NULL, 18995),
(43155, '4j4zA00', NULL, NULL, 167, NULL, NULL, 18995),
(43156, '5dusA00', NULL, NULL, 168, NULL, NULL, 18995),
(43157, '1yd9B00', NULL, NULL, 193, NULL, NULL, 18995),
(43158, '3q71A00', NULL, NULL, 221, NULL, NULL, 18995),
(43159, '3kqxL01', NULL, NULL, 198, NULL, NULL, 18995),
(43160, '4j5rA00', NULL, NULL, 146, NULL, NULL, 18995),
(43161, '5fszA00', NULL, NULL, 268, NULL, NULL, 18995),
(43162, '5fsvA00', NULL, NULL, 266, NULL, NULL, 18995);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(43163, '3ejfA00', NULL, NULL, 176, NULL, NULL, 18995),
(43164, '3etiA00', NULL, NULL, 168, NULL, NULL, 18995),
(43165, '3gqeA00', NULL, NULL, 168, NULL, NULL, 18995),
(43166, '2acfD00', NULL, NULL, 182, NULL, NULL, 18995),
(43167, '1vhuA00', NULL, NULL, 211, NULL, NULL, 18995),
(43168, '5lauA00', NULL, NULL, 187, NULL, NULL, 18995),
(43169, '5cb3A00', NULL, NULL, 183, NULL, NULL, 18995),
(43170, '5ailB00', NULL, NULL, 186, NULL, NULL, 18995),
(43171, '2afcA00', NULL, NULL, 168, NULL, NULL, 18995),
(43172, '3peiA01', NULL, NULL, 147, NULL, NULL, 18995),
(43173, '5iq5A00', NULL, NULL, 166, NULL, NULL, 18995),
(43174, '4iqyB00', NULL, NULL, 240, NULL, NULL, 18995),
(43175, '3h8gA01', NULL, NULL, 161, NULL, NULL, 18995),
(43176, '4jgkD00', NULL, NULL, 167, NULL, NULL, 18995),
(43177, '3v2bA00', NULL, NULL, 181, NULL, NULL, 18995),
(43178, '2fg1A00', NULL, NULL, 158, NULL, NULL, 18995),
(43179, '2x47A00', NULL, NULL, 235, NULL, NULL, 18995),
(43180, '3gpgA00', NULL, NULL, 168, NULL, NULL, 18995),
(43181, '3ejgA00', NULL, NULL, 165, NULL, NULL, 18995),
(43182, '3kzwA01', NULL, NULL, 158, NULL, NULL, 18995),
(43183, '4gvwA00', NULL, NULL, 199, NULL, NULL, 18995),
(43184, '5qhtA00', NULL, NULL, 183, NULL, NULL, 18995),
(43185, '3ij3A01', NULL, NULL, 131, NULL, NULL, 18995),
(43186, '4umlA00', NULL, NULL, 229, NULL, NULL, 18995),
(43187, '2erlA00', NULL, NULL, 40, NULL, NULL, 18996),
(43188, '2xwsA00', NULL, NULL, 133, NULL, NULL, 18997),
(43189, '2xvyA02', NULL, NULL, 124, NULL, NULL, 18997),
(43190, '2xvyA01', NULL, NULL, 145, NULL, NULL, 18997),
(43191, '2jh3A02', NULL, NULL, 132, NULL, NULL, 18997),
(43192, '2c8jB01', NULL, NULL, 169, NULL, NULL, 18997),
(43193, '2c8jA02', NULL, NULL, 142, NULL, NULL, 18997),
(43194, '1lbqB01', NULL, NULL, 223, NULL, NULL, 18997),
(43195, '1lbqA02', NULL, NULL, 139, NULL, NULL, 18997),
(43196, '2h1vA02', NULL, NULL, 142, NULL, NULL, 18997),
(43197, '2jh3A01', NULL, NULL, 142, NULL, NULL, 18997),
(43198, '3lyhB00', NULL, NULL, 126, NULL, NULL, 18997),
(43199, '3hcnA02', NULL, NULL, 143, NULL, NULL, 18997),
(43200, '4ccsA02', NULL, NULL, 122, NULL, NULL, 18997),
(43201, '3hcnA01', NULL, NULL, 216, NULL, NULL, 18997),
(43202, '2xwpA02', NULL, NULL, 123, NULL, NULL, 18997),
(43203, '2xwpA01', NULL, NULL, 141, NULL, NULL, 18997),
(43204, '4ccsA01', NULL, NULL, 109, NULL, NULL, 18997),
(43205, '2h1vA01', NULL, NULL, 168, NULL, NULL, 18997),
(43206, '3oqgB00', NULL, NULL, 180, NULL, NULL, 18998),
(43207, '1bjtA01', NULL, NULL, 43, NULL, NULL, 18999),
(43208, '3l4jA02', NULL, NULL, 47, NULL, NULL, 18999),
(43209, '4fm9A02', NULL, NULL, 44, NULL, NULL, 18999),
(43210, '4f98A00', NULL, NULL, 69, NULL, NULL, 19000),
(43211, '1vjeB00', NULL, NULL, 166, NULL, NULL, 19001),
(43212, '1j6xB00', NULL, NULL, 160, NULL, NULL, 19001),
(43213, '4xchA00', NULL, NULL, 149, NULL, NULL, 19001),
(43214, '5e68A00', NULL, NULL, 179, NULL, NULL, 19001),
(43215, '1j98A00', NULL, NULL, 157, NULL, NULL, 19001),
(43216, '1j6wB00', NULL, NULL, 175, NULL, NULL, 19001),
(43217, '4fqgA01', NULL, NULL, 62, NULL, NULL, 19002),
(43218, '4fqgA02', NULL, NULL, 61, NULL, NULL, 19002),
(43219, '2cqnA00', NULL, NULL, 77, NULL, NULL, 19002),
(43220, '2lksA00', NULL, NULL, 50, NULL, NULL, 19002),
(43221, '4fqgB03', NULL, NULL, 67, NULL, NULL, 19002),
(43222, '1uzcA00', NULL, NULL, 71, NULL, NULL, 19002),
(43223, '2kiqA00', NULL, NULL, 62, NULL, NULL, 19002),
(43224, '2b7eA00', NULL, NULL, 59, NULL, NULL, 19002),
(43225, '2jucA00', NULL, NULL, 59, NULL, NULL, 19002),
(43226, '2kfdA00', NULL, NULL, 69, NULL, NULL, 19002),
(43227, '2kisA00', NULL, NULL, 71, NULL, NULL, 19002),
(43228, '2k85A00', NULL, NULL, 69, NULL, NULL, 19002),
(43229, '2e71A00', NULL, NULL, 83, NULL, NULL, 19002),
(43230, '2dodA00', NULL, NULL, 82, NULL, NULL, 19002),
(43231, '2doeA00', NULL, NULL, 83, NULL, NULL, 19002),
(43232, '2dofA00', NULL, NULL, 85, NULL, NULL, 19002),
(43233, '6f1dA00', NULL, NULL, 117, NULL, NULL, 19003),
(43234, '3pojB00', NULL, NULL, 115, NULL, NULL, 19003),
(43235, '4losA01', NULL, NULL, 118, NULL, NULL, 19003);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(43236, '6gh8A00', NULL, NULL, 133, NULL, NULL, 19003),
(43237, '4gz9A02', NULL, NULL, 124, NULL, NULL, 19003),
(43238, '4gz9A01', NULL, NULL, 127, NULL, NULL, 19003),
(43239, '1sfpA00', NULL, NULL, 114, NULL, NULL, 19003),
(43240, '1szbB01', NULL, NULL, 125, NULL, NULL, 19003),
(43241, '3kq4B02', NULL, NULL, 118, NULL, NULL, 19003),
(43242, '1sppB00', NULL, NULL, 116, NULL, NULL, 19003),
(43243, '3demA01', NULL, NULL, 120, NULL, NULL, 19003),
(43244, '3kq4B01', NULL, NULL, 116, NULL, NULL, 19003),
(43245, '3kq4B04', NULL, NULL, 111, NULL, NULL, 19003),
(43246, '3demA03', NULL, NULL, 114, NULL, NULL, 19003),
(43247, '3kq4B03', NULL, NULL, 112, NULL, NULL, 19003),
(43248, '2qqmA01', NULL, NULL, 129, NULL, NULL, 19003),
(43249, '2qqoA01', NULL, NULL, 126, NULL, NULL, 19003),
(43250, '1sppA00', NULL, NULL, 109, NULL, NULL, 19003),
(43251, '2wnoA01', NULL, NULL, 113, NULL, NULL, 19003),
(43252, '1nziA01', NULL, NULL, 117, NULL, NULL, 19003),
(43253, '5cisA03', NULL, NULL, 116, NULL, NULL, 19003),
(43254, '5cisA01', NULL, NULL, 118, NULL, NULL, 19003),
(43255, '1kptA00', NULL, NULL, 105, NULL, NULL, 19004),
(43256, '6az1E01', NULL, NULL, 114, NULL, NULL, 19005),
(43257, '2istA01', NULL, NULL, 75, NULL, NULL, 19005),
(43258, '1vs5D02', NULL, NULL, 94, NULL, NULL, 19005),
(43259, '5o5jD02', NULL, NULL, 94, NULL, NULL, 19005),
(43260, '6faiE01', NULL, NULL, 117, NULL, NULL, 19005),
(43261, '3kbgA01', NULL, NULL, 84, NULL, NULL, 19005),
(43262, '5mmjd02', NULL, NULL, 97, NULL, NULL, 19005),
(43263, '4lgtA01', NULL, NULL, 65, NULL, NULL, 19005),
(43264, '6g5iE01', NULL, NULL, 117, NULL, NULL, 19005),
(43265, '2vqeD02', NULL, NULL, 97, NULL, NULL, 19005),
(43266, '2k6pA00', NULL, NULL, 92, NULL, NULL, 19005),
(43267, '2xzmW01', NULL, NULL, 119, NULL, NULL, 19005),
(43268, '1jh3A00', NULL, NULL, 107, NULL, NULL, 19005),
(43269, '5optL01', NULL, NULL, 114, NULL, NULL, 19005),
(43270, '2janA03', NULL, NULL, 108, NULL, NULL, 19005),
(43271, '1h3fA03', NULL, NULL, 79, NULL, NULL, 19005),
(43272, '5z81A00', NULL, NULL, 106, NULL, NULL, 19005),
(43273, '5xxuE01', NULL, NULL, 117, NULL, NULL, 19005),
(43274, '5flxE01', NULL, NULL, 117, NULL, NULL, 19005),
(43275, '1c05A02', NULL, NULL, 88, NULL, NULL, 19005),
(43276, '1dm9A00', NULL, NULL, 108, NULL, NULL, 19005),
(43277, '3dh3B01', NULL, NULL, 62, NULL, NULL, 19005),
(43278, '1p9kA00', NULL, NULL, 79, NULL, NULL, 19005),
(43279, '3j7aF01', NULL, NULL, 117, NULL, NULL, 19005),
(43280, '4oudA03', NULL, NULL, 95, NULL, NULL, 19005),
(43281, '5xyiE01', NULL, NULL, 117, NULL, NULL, 19005),
(43282, '3hp7A01', NULL, NULL, 67, NULL, NULL, 19005),
(43283, '1h3eA03', NULL, NULL, 76, NULL, NULL, 19005),
(43284, '1kskA01', NULL, NULL, 66, NULL, NULL, 19005),
(43285, '1vioA01', NULL, NULL, 59, NULL, NULL, 19005),
(43286, '1vkwA02', NULL, NULL, 96, NULL, NULL, 19006),
(43287, '2hj1A00', NULL, NULL, 97, NULL, NULL, 19007),
(43288, '4hsiA02', NULL, NULL, 99, NULL, NULL, 19008),
(43289, '6escA02', NULL, NULL, 98, NULL, NULL, 19008),
(43290, '2gumA02', NULL, NULL, 101, NULL, NULL, 19008),
(43291, '3fvcA02', NULL, NULL, 100, NULL, NULL, 19008),
(43292, '4ofzA03', NULL, NULL, 96, NULL, NULL, 19009),
(43293, '1el6A02', NULL, NULL, 47, NULL, NULL, 19010),
(43294, '3on9A00', NULL, NULL, 163, NULL, NULL, 19011),
(43295, '3opxA02', NULL, NULL, 70, NULL, NULL, 19012),
(43296, '3nuqA01', NULL, NULL, 101, NULL, NULL, 19012),
(43297, '2hx0A01', NULL, NULL, 137, NULL, NULL, 19013),
(43298, '5xneA02', NULL, NULL, 123, NULL, NULL, 19013),
(43299, '3hwuA00', NULL, NULL, 147, NULL, NULL, 19013),
(43300, '2p6yA00', NULL, NULL, 142, NULL, NULL, 19013),
(43301, '3htnB00', NULL, NULL, 149, NULL, NULL, 19013),
(43302, '2dt4A00', NULL, NULL, 143, NULL, NULL, 19013),
(43303, '1xv2C01', NULL, NULL, 115, NULL, NULL, 19013),
(43304, '1xv2D02', NULL, NULL, 123, NULL, NULL, 19013),
(43305, '4bt2A02', NULL, NULL, 123, NULL, NULL, 19013),
(43306, '4bt2A01', NULL, NULL, 115, NULL, NULL, 19013),
(43307, '2h6lA00', NULL, NULL, 146, NULL, NULL, 19013),
(43308, '1ytlA00', NULL, NULL, 158, NULL, NULL, 19014);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(43309, '6eqsD01', NULL, NULL, 161, NULL, NULL, 19014),
(43310, '5ow0A02', NULL, NULL, 129, NULL, NULL, 19014),
(43311, '1q6zA02', NULL, NULL, 162, NULL, NULL, 19014),
(43312, '2pgnA02', NULL, NULL, 182, NULL, NULL, 19014),
(43313, '1m2kA01', NULL, NULL, 156, NULL, NULL, 19014),
(43314, '1pnoB00', NULL, NULL, 180, NULL, NULL, 19014),
(43315, '4i5iA01', NULL, NULL, 173, NULL, NULL, 19014),
(43316, '4rjjA02', NULL, NULL, 175, NULL, NULL, 19014),
(43317, '4zzjA02', NULL, NULL, 175, NULL, NULL, 19014),
(43318, '5ej8A02', NULL, NULL, 126, NULL, NULL, 19014),
(43319, '1q1aA01', NULL, NULL, 178, NULL, NULL, 19014),
(43320, '1efpA01', NULL, NULL, 126, NULL, NULL, 19014),
(43321, '5npuA02', NULL, NULL, 154, NULL, NULL, 19014),
(43322, '4kgdA02', NULL, NULL, 167, NULL, NULL, 19014),
(43323, '3eyaA02', NULL, NULL, 156, NULL, NULL, 19014),
(43324, '3cf4G01', NULL, NULL, 160, NULL, NULL, 19014),
(43325, '1q14A01', NULL, NULL, 201, NULL, NULL, 19014),
(43326, '2vbiA02', NULL, NULL, 161, NULL, NULL, 19014),
(43327, '1d4oA00', NULL, NULL, 184, NULL, NULL, 19014),
(43328, '1ybhA02', NULL, NULL, 201, NULL, NULL, 19014),
(43329, '5tmaA02', NULL, NULL, 163, NULL, NULL, 19014),
(43330, '4kxqA01', NULL, NULL, 167, NULL, NULL, 19014),
(43331, '3clsD02', NULL, NULL, 132, NULL, NULL, 19014),
(43332, '1yc5A01', NULL, NULL, 151, NULL, NULL, 19014),
(43333, '2x7jA02', NULL, NULL, 182, NULL, NULL, 19014),
(43334, '5imsA02', NULL, NULL, 178, NULL, NULL, 19014),
(43335, '6enxA01', NULL, NULL, 157, NULL, NULL, 19014),
(43336, '4j1tC00', NULL, NULL, 185, NULL, NULL, 19014),
(43337, '1s5pA01', NULL, NULL, 140, NULL, NULL, 19014),
(43338, '4y6lA01', NULL, NULL, 183, NULL, NULL, 19014),
(43339, '5ahkA02', NULL, NULL, 187, NULL, NULL, 19014),
(43340, '3lq1A02', NULL, NULL, 173, NULL, NULL, 19014),
(43341, '4q9dA02', NULL, NULL, 163, NULL, NULL, 19014),
(43342, '5dx6B02', NULL, NULL, 169, NULL, NULL, 19014),
(43343, '2nxwA02', NULL, NULL, 161, NULL, NULL, 19014),
(43344, '2panA02', NULL, NULL, 167, NULL, NULL, 19014),
(43345, '6isoK00', NULL, NULL, 227, NULL, NULL, 19014),
(43346, '2c31A02', NULL, NULL, 159, NULL, NULL, 19014),
(43347, '4cokA02', NULL, NULL, 159, NULL, NULL, 19014),
(43348, '2vbfA02', NULL, NULL, 163, NULL, NULL, 19014),
(43349, '2bruC00', NULL, NULL, 167, NULL, NULL, 19014),
(43350, '1ovmA02', NULL, NULL, 170, NULL, NULL, 19014),
(43351, '2vk8A02', NULL, NULL, 164, NULL, NULL, 19014),
(43352, '2uz1A02', NULL, NULL, 180, NULL, NULL, 19014),
(43353, '4k9qA02', NULL, NULL, 162, NULL, NULL, 19014),
(43354, '1v5eA02', NULL, NULL, 165, NULL, NULL, 19014),
(43355, '3u31A01', NULL, NULL, 165, NULL, NULL, 19014),
(43356, '2b4yA01', NULL, NULL, 156, NULL, NULL, 19014),
(43357, '4bn4A01', NULL, NULL, 176, NULL, NULL, 19014),
(43358, '2ihtA02', NULL, NULL, 164, NULL, NULL, 19014),
(43359, '4l2iA02', NULL, NULL, 139, NULL, NULL, 19014),
(43360, '2a1uA02', NULL, NULL, 129, NULL, NULL, 19014),
(43361, '2q28A02', NULL, NULL, 158, NULL, NULL, 19014),
(43362, '2vk4A02', NULL, NULL, 164, NULL, NULL, 19014),
(43363, '6hoyA01', NULL, NULL, 204, NULL, NULL, 19014),
(43364, '2hjhB01', NULL, NULL, 215, NULL, NULL, 19014),
(43365, '4twjA01', NULL, NULL, 154, NULL, NULL, 19014),
(43366, '6denA02', NULL, NULL, 180, NULL, NULL, 19014),
(43367, '1u7lA02', NULL, NULL, 183, NULL, NULL, 19015),
(43368, '1hn3A01', NULL, NULL, 30, NULL, NULL, 19016),
(43369, '4yfsA01', NULL, NULL, 170, NULL, NULL, 19017),
(43370, '3bqkA02', NULL, NULL, 164, NULL, NULL, 19017),
(43371, '3rrcA01', NULL, NULL, 176, NULL, NULL, 19017),
(43372, '2y8dA01', NULL, NULL, 175, NULL, NULL, 19017),
(43373, '2wauA01', NULL, NULL, 155, NULL, NULL, 19017),
(43374, '5x6nA01', NULL, NULL, 184, NULL, NULL, 19017),
(43375, '4hteA02', NULL, NULL, 117, NULL, NULL, 19018),
(43376, '2pusA01', NULL, NULL, 343, NULL, NULL, 19019),
(43377, '2yi9A01', NULL, NULL, 338, NULL, NULL, 19019),
(43378, '4aflB00', NULL, NULL, 104, NULL, NULL, 19020),
(43379, '5nn4A04', NULL, NULL, 116, NULL, NULL, 19021),
(43380, '5nn4A05', NULL, NULL, 132, NULL, NULL, 19021),
(43381, '5a6mA01', NULL, NULL, 106, NULL, NULL, 19021);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(43382, '1cgtA02', NULL, NULL, 94, NULL, NULL, 19021),
(43383, '1e43A03', NULL, NULL, 87, NULL, NULL, 19021),
(43384, '2e8yA04', NULL, NULL, 96, NULL, NULL, 19021),
(43385, '2y2wD01', NULL, NULL, 152, NULL, NULL, 19021),
(43386, '2y24A01', NULL, NULL, 107, NULL, NULL, 19021),
(43387, '4do4A02', NULL, NULL, 104, NULL, NULL, 19021),
(43388, '1sznA02', NULL, NULL, 102, NULL, NULL, 19021),
(43389, '3klkA04', NULL, NULL, 143, NULL, NULL, 19021),
(43390, '4aw7A01', NULL, NULL, 119, NULL, NULL, 19021),
(43391, '3fawA04', NULL, NULL, 95, NULL, NULL, 19021),
(43392, '4j27A02', NULL, NULL, 89, NULL, NULL, 19021),
(43393, '2f2hA03', NULL, NULL, 48, NULL, NULL, 19021),
(43394, '3hjeA05', NULL, NULL, 62, NULL, NULL, 19021),
(43395, '2f2hA04', NULL, NULL, 109, NULL, NULL, 19021),
(43396, '2yocA05', NULL, NULL, 93, NULL, NULL, 19021),
(43397, '3vsvA02', NULL, NULL, 128, NULL, NULL, 19021),
(43398, '4mb1A03', NULL, NULL, 78, NULL, NULL, 19021),
(43399, '1h3gB03', NULL, NULL, 80, NULL, NULL, 19021),
(43400, '5e1qA03', NULL, NULL, 96, NULL, NULL, 19021),
(43401, '3wn6A02', NULL, NULL, 58, NULL, NULL, 19021),
(43402, '3wdhA04', NULL, NULL, 87, NULL, NULL, 19021),
(43403, '1ud2A03', NULL, NULL, 87, NULL, NULL, 19021),
(43404, '4e2oA02', NULL, NULL, 88, NULL, NULL, 19021),
(43405, '3qgvA02', NULL, NULL, 98, NULL, NULL, 19021),
(43406, '3weoA04', NULL, NULL, 157, NULL, NULL, 19021),
(43407, '3bc9A04', NULL, NULL, 92, NULL, NULL, 19021),
(43408, '3weoA03', NULL, NULL, 101, NULL, NULL, 19021),
(43409, '4ogzA03', NULL, NULL, 83, NULL, NULL, 19021),
(43410, '1gcyA02', NULL, NULL, 56, NULL, NULL, 19021),
(43411, '4qawA01', NULL, NULL, 107, NULL, NULL, 19021),
(43412, '1qw9A01', NULL, NULL, 138, NULL, NULL, 19021),
(43413, '3amkA03', NULL, NULL, 117, NULL, NULL, 19021),
(43414, '5x7gA04', NULL, NULL, 124, NULL, NULL, 19021),
(43415, '5a2bA02', NULL, NULL, 98, NULL, NULL, 19021),
(43416, '3ucqA04', NULL, NULL, 83, NULL, NULL, 19021),
(43417, '3vx0A02', NULL, NULL, 104, NULL, NULL, 19021),
(43418, '3bh4A03', NULL, NULL, 87, NULL, NULL, 19021),
(43419, '4psrA02', NULL, NULL, 122, NULL, NULL, 19021),
(43420, '4howA03', NULL, NULL, 79, NULL, NULL, 19021),
(43421, '6f4cB02', NULL, NULL, 89, NULL, NULL, 19021),
(43422, '3k1dA03', NULL, NULL, 104, NULL, NULL, 19021),
(43423, '2g3mA04', NULL, NULL, 89, NULL, NULL, 19021),
(43424, '2g3mA03', NULL, NULL, 75, NULL, NULL, 19021),
(43425, '1hx0A02', NULL, NULL, 93, NULL, NULL, 19021),
(43426, '5lfcA05', NULL, NULL, 134, NULL, NULL, 19021),
(43427, '5jouA04', NULL, NULL, 79, NULL, NULL, 19021),
(43428, '5jouA05', NULL, NULL, 116, NULL, NULL, 19021),
(43429, '2wnwA01', NULL, NULL, 108, NULL, NULL, 19021),
(43430, '1h3gA03', NULL, NULL, 80, NULL, NULL, 19021),
(43431, '1kwgA03', NULL, NULL, 51, NULL, NULL, 19021),
(43432, '2wc7A02', NULL, NULL, 91, NULL, NULL, 19021),
(43433, '5e6zA03', NULL, NULL, 106, NULL, NULL, 19021),
(43434, '5do8B03', NULL, NULL, 77, NULL, NULL, 19021),
(43435, '5x7uA03', NULL, NULL, 89, NULL, NULL, 19021),
(43436, '1ht6A02', NULL, NULL, 58, NULL, NULL, 19021),
(43437, '3lrkA02', NULL, NULL, 156, NULL, NULL, 19021),
(43438, '5axgA03', NULL, NULL, 133, NULL, NULL, 19021),
(43439, '5cxpA01', NULL, NULL, 111, NULL, NULL, 19021),
(43440, '4aieA03', NULL, NULL, 81, NULL, NULL, 19021),
(43441, '3czgA04', NULL, NULL, 83, NULL, NULL, 19021),
(43442, '3topA04', NULL, NULL, 99, NULL, NULL, 19021),
(43443, '4ba0A04', NULL, NULL, 149, NULL, NULL, 19021),
(43444, '3topA05', NULL, NULL, 146, NULL, NULL, 19021),
(43445, '2xvlA05', NULL, NULL, 119, NULL, NULL, 19021),
(43446, '4uozA03', NULL, NULL, 62, NULL, NULL, 19021),
(43447, '2xvlA04', NULL, NULL, 79, NULL, NULL, 19021),
(43448, '2dh2A02', NULL, NULL, 91, NULL, NULL, 19021),
(43449, '4ba0A03', NULL, NULL, 51, NULL, NULL, 19021),
(43450, '4gklA02', NULL, NULL, 88, NULL, NULL, 19021),
(43451, '1d3cA02', NULL, NULL, 95, NULL, NULL, 19021),
(43452, '2zutA04', NULL, NULL, 64, NULL, NULL, 19021),
(43453, '3zr5A01', NULL, NULL, 139, NULL, NULL, 19021),
(43454, '1smaA04', NULL, NULL, 83, NULL, NULL, 19021),
(43455, '2fhfA05', NULL, NULL, 109, NULL, NULL, 19021);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(43456, '3fw6A01', NULL, NULL, 132, NULL, NULL, 19021),
(43457, '1uokA03', NULL, NULL, 78, NULL, NULL, 19021),
(43458, '3vm7A02', NULL, NULL, 99, NULL, NULL, 19021),
(43459, '2wanA05', NULL, NULL, 88, NULL, NULL, 19021),
(43460, '3dc0A02', NULL, NULL, 78, NULL, NULL, 19021),
(43461, '2e4tA01', NULL, NULL, 131, NULL, NULL, 19021),
(43462, '2d73A03', NULL, NULL, 113, NULL, NULL, 19021),
(43463, '6gxvA03', NULL, NULL, 87, NULL, NULL, 19021),
(43464, '4aeeA05', NULL, NULL, 79, NULL, NULL, 19021),
(43465, '1wzaA03', NULL, NULL, 79, NULL, NULL, 19021),
(43466, '3cc1A02', NULL, NULL, 88, NULL, NULL, 19021),
(43467, '4u33A04', NULL, NULL, 104, NULL, NULL, 19021),
(43468, '2aaaA02', NULL, NULL, 110, NULL, NULL, 19021),
(43469, '5i0fB04', NULL, NULL, 85, NULL, NULL, 19021),
(43470, '4bzyB03', NULL, NULL, 104, NULL, NULL, 19021),
(43471, '3lppD05', NULL, NULL, 138, NULL, NULL, 19021),
(43472, '2fgzA04', NULL, NULL, 87, NULL, NULL, 19021),
(43473, '2xn2A03', NULL, NULL, 96, NULL, NULL, 19021),
(43474, '3m07A04', NULL, NULL, 75, NULL, NULL, 19021),
(43475, '2c7fE01', NULL, NULL, 145, NULL, NULL, 19021),
(43476, '1jaeA02', NULL, NULL, 92, NULL, NULL, 19021),
(43477, '1m53A03', NULL, NULL, 77, NULL, NULL, 19021),
(43478, '1gjwA02', NULL, NULL, 69, NULL, NULL, 19021),
(43479, '3mi6B03', NULL, NULL, 112, NULL, NULL, 19021),
(43480, '5a57A03', NULL, NULL, 157, NULL, NULL, 19021),
(43481, '1wzlA04', NULL, NULL, 83, NULL, NULL, 19021),
(43482, '1zjaA03', NULL, NULL, 78, NULL, NULL, 19021),
(43483, '1cygA02', NULL, NULL, 95, NULL, NULL, 19021),
(43484, '4fnqA03', NULL, NULL, 97, NULL, NULL, 19021),
(43485, '2chnB04', NULL, NULL, 125, NULL, NULL, 19021),
(43486, '2ze0A03', NULL, NULL, 79, NULL, NULL, 19021),
(43487, '3ug3D01', NULL, NULL, 142, NULL, NULL, 19021),
(43488, '5f7uA04', NULL, NULL, 76, NULL, NULL, 19021),
(43489, '1mxgA02', NULL, NULL, 98, NULL, NULL, 19021),
(43490, '4xb3A03', NULL, NULL, 72, NULL, NULL, 19021),
(43491, '1o7dC02', NULL, NULL, 89, NULL, NULL, 19021),
(43492, '4amwA03', NULL, NULL, 71, NULL, NULL, 19021),
(43493, '4amwA04', NULL, NULL, 148, NULL, NULL, 19021),
(43494, '2zxqA03', NULL, NULL, 176, NULL, NULL, 19021),
(43495, '3l4yA05', NULL, NULL, 144, NULL, NULL, 19021),
(43496, '3vgfA03', NULL, NULL, 63, NULL, NULL, 19021),
(43497, '3edfA03', NULL, NULL, 80, NULL, NULL, 19021),
(43498, '3l4yA04', NULL, NULL, 98, NULL, NULL, 19021),
(43499, '1r75A00', NULL, NULL, 122, NULL, NULL, 19021),
(43500, '3bvxA03', NULL, NULL, 147, NULL, NULL, 19021),
(43501, '4j3vA04', NULL, NULL, 78, NULL, NULL, 19021),
(43502, '4jcmA02', NULL, NULL, 95, NULL, NULL, 19021),
(43503, '5cgmA04', NULL, NULL, 104, NULL, NULL, 19021),
(43504, '2wpgA04', NULL, NULL, 75, NULL, NULL, 19021),
(43505, '3a5vA02', NULL, NULL, 99, NULL, NULL, 19021),
(43506, '3ttyA03', NULL, NULL, 62, NULL, NULL, 19021),
(43507, '4j7rB03', NULL, NULL, 123, NULL, NULL, 19021),
(43508, '2yihA01', NULL, NULL, 135, NULL, NULL, 19021),
(43509, '4aysA04', NULL, NULL, 80, NULL, NULL, 19021),
(43510, '2yfoA03', NULL, NULL, 96, NULL, NULL, 19021),
(43511, '4nzjA03', NULL, NULL, 87, NULL, NULL, 19021),
(43512, '1iv8A05', NULL, NULL, 66, NULL, NULL, 19021),
(43513, '4aefA04', NULL, NULL, 62, NULL, NULL, 19021),
(43514, '1ua7A02', NULL, NULL, 78, NULL, NULL, 19021),
(43515, '1bf2A03', NULL, NULL, 114, NULL, NULL, 19021),
(43516, '4lxfA03', NULL, NULL, 101, NULL, NULL, 19021),
(43517, '4jclA02', NULL, NULL, 95, NULL, NULL, 19021),
(43518, '4fmvA01', NULL, NULL, 116, NULL, NULL, 19021),
(43519, '2ya0A03', NULL, NULL, 104, NULL, NULL, 19021),
(43520, '5gqwA04', NULL, NULL, 109, NULL, NULL, 19021),
(43521, '5h2tA03', NULL, NULL, 81, NULL, NULL, 19021),
(43522, '5i0dA05', NULL, NULL, 139, NULL, NULL, 19021),
(43523, '3aj7A03', NULL, NULL, 77, NULL, NULL, 19021),
(43524, '4uzsA03', NULL, NULL, 62, NULL, NULL, 19021),
(43525, '6q6nA02', NULL, NULL, 109, NULL, NULL, 19021),
(43526, '3s5zA02', NULL, NULL, 105, NULL, NULL, 19021),
(43527, '1g94A02', NULL, NULL, 93, NULL, NULL, 19021),
(43528, '2vncB03', NULL, NULL, 107, NULL, NULL, 19021),
(43529, '1ea9C04', NULL, NULL, 81, NULL, NULL, 19021);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(43530, '2bhzA04', NULL, NULL, 72, NULL, NULL, 19021),
(43531, '2fe0A01', NULL, NULL, 107, NULL, NULL, 19021),
(43532, '1avaA02', NULL, NULL, 58, NULL, NULL, 19021),
(43533, '3vmnA03', NULL, NULL, 148, NULL, NULL, 19021),
(43534, '2gjpA03', NULL, NULL, 87, NULL, NULL, 19021),
(43535, '6bs6B01', NULL, NULL, 92, NULL, NULL, 19021),
(43536, '5z0uA03', NULL, NULL, 90, NULL, NULL, 19021),
(43537, '3wnoB04', NULL, NULL, 132, NULL, NULL, 19021),
(43538, '4wf7A03', NULL, NULL, 84, NULL, NULL, 19021),
(43539, '3clwC01', NULL, NULL, 116, NULL, NULL, 19021),
(43540, '4nzfD02', NULL, NULL, 90, NULL, NULL, 19021),
(43541, '1ktbA02', NULL, NULL, 91, NULL, NULL, 19021),
(43542, '3vm5A02', NULL, NULL, 101, NULL, NULL, 19021),
(43543, '3lppA04', NULL, NULL, 99, NULL, NULL, 19021),
(43544, '4uzuA03', NULL, NULL, 88, NULL, NULL, 19021),
(43545, '2vrqA01', NULL, NULL, 135, NULL, NULL, 19021),
(43546, '3kl0D01', NULL, NULL, 118, NULL, NULL, 19021),
(43547, '3dhuA02', NULL, NULL, 75, NULL, NULL, 19021),
(43548, '5u3aA02', NULL, NULL, 93, NULL, NULL, 19021),
(43549, '3ik2A01', NULL, NULL, 127, NULL, NULL, 19021),
(43550, '2eabB03', NULL, NULL, 128, NULL, NULL, 19021),
(43551, '2dieA03', NULL, NULL, 87, NULL, NULL, 19021),
(43552, '5f7cA03', NULL, NULL, 49, NULL, NULL, 19021),
(43553, '3a21A02', NULL, NULL, 91, NULL, NULL, 19021),
(43554, '5l77A01', NULL, NULL, 133, NULL, NULL, 19021),
(43555, '3bmvA02', NULL, NULL, 95, NULL, NULL, 19021),
(43556, '3wy2A03', NULL, NULL, 73, NULL, NULL, 19021),
(43557, '4oifA03', NULL, NULL, 62, NULL, NULL, 19021),
(43558, '3zssA04', NULL, NULL, 102, NULL, NULL, 19021),
(43559, '2wskA03', NULL, NULL, 85, NULL, NULL, 19021),
(43560, '1lwjA03', NULL, NULL, 50, NULL, NULL, 19021),
(43561, '2osxA01', NULL, NULL, 99, NULL, NULL, 19021),
(43562, '1g5aA04', NULL, NULL, 74, NULL, NULL, 19021),
(43563, '3zo9B03', NULL, NULL, 101, NULL, NULL, 19021),
(43564, '1j0hA04', NULL, NULL, 83, NULL, NULL, 19021),
(43565, '5brqA03', NULL, NULL, 83, NULL, NULL, 19021),
(43566, '2igtA02', NULL, NULL, 68, NULL, NULL, 19021),
(43567, '1pamA02', NULL, NULL, 95, NULL, NULL, 19021),
(43568, '5zceA03', NULL, NULL, 79, NULL, NULL, 19021),
(43569, '1uasA02', NULL, NULL, 88, NULL, NULL, 19021),
(43570, '2z1kA02', NULL, NULL, 85, NULL, NULL, 19021),
(43571, '1qhoA02', NULL, NULL, 94, NULL, NULL, 19021),
(43572, '1wpcA03', NULL, NULL, 87, NULL, NULL, 19021),
(43573, '5e9aB03', NULL, NULL, 64, NULL, NULL, 19021),
(43574, '3gbeA03', NULL, NULL, 79, NULL, NULL, 19021),
(43575, '2zxdA02', NULL, NULL, 99, NULL, NULL, 19021),
(43576, '4kjzA04', NULL, NULL, 36, NULL, NULL, 19022),
(43577, '6ecsA00', NULL, NULL, 149, NULL, NULL, 19023),
(43578, '6cvkC00', NULL, NULL, 159, NULL, NULL, 19023),
(43579, '6hu4A00', NULL, NULL, 144, NULL, NULL, 19023),
(43580, '5gmzA00', NULL, NULL, 155, NULL, NULL, 19023),
(43581, '4il7A00', NULL, NULL, 92, NULL, NULL, 19024),
(43582, '2xv9A00', NULL, NULL, 134, NULL, NULL, 19025),
(43583, '5fbfA00', NULL, NULL, 267, NULL, NULL, 19026),
(43584, '3sngA00', NULL, NULL, 277, NULL, NULL, 19026),
(43585, '1olpA01', NULL, NULL, 249, NULL, NULL, 19026),
(43586, '1khoA01', NULL, NULL, 250, NULL, NULL, 19026),
(43587, '1ah7A00', NULL, NULL, 245, NULL, NULL, 19026),
(43588, '4cxpA00', NULL, NULL, 269, NULL, NULL, 19026),
(43589, '1ak0A00', NULL, NULL, 270, NULL, NULL, 19026),
(43590, '1ca1A01', NULL, NULL, 250, NULL, NULL, 19026),
(43591, '4oq1A01', NULL, NULL, 121, NULL, NULL, 19027),
(43592, '5aboA01', NULL, NULL, 178, NULL, NULL, 19028),
(43593, '1llpA01', NULL, NULL, 165, NULL, NULL, 19028),
(43594, '3vlmB01', NULL, NULL, 195, NULL, NULL, 19028),
(43595, '4a5gA01', NULL, NULL, 158, NULL, NULL, 19028),
(43596, '1fhfA01', NULL, NULL, 158, NULL, NULL, 19028),
(43597, '2vcnA01', NULL, NULL, 154, NULL, NULL, 19028),
(43598, '3hdlA01', NULL, NULL, 160, NULL, NULL, 19028),
(43599, '4cuoA01', NULL, NULL, 158, NULL, NULL, 19028),
(43600, '2ccaA03', NULL, NULL, 168, NULL, NULL, 19028),
(43601, '1apxA01', NULL, NULL, 142, NULL, NULL, 19028),
(43602, '2ccaA01', NULL, NULL, 142, NULL, NULL, 19028),
(43603, '1gwuA01', NULL, NULL, 158, NULL, NULL, 19028);
INSERT INTO "PUBLIC"."MODEL" VALUES
(43604, '5twtA01', NULL, NULL, 159, NULL, NULL, 19028),
(43605, '1c8iA01', NULL, NULL, 201, NULL, NULL, 19028),
(43606, '5whsA01', NULL, NULL, 211, NULL, NULL, 19028),
(43607, '3e2nA01', NULL, NULL, 166, NULL, NULL, 19028),
(43608, '5whsA03', NULL, NULL, 187, NULL, NULL, 19028),
(43609, '1qgjA01', NULL, NULL, 152, NULL, NULL, 19028),
(43610, '6a6qA01', NULL, NULL, 162, NULL, NULL, 19028),
(43611, '5jhyB01', NULL, NULL, 218, NULL, NULL, 19028),
(43612, '4cznA01', NULL, NULL, 159, NULL, NULL, 19028),
(43613, '5aogA01', NULL, NULL, 161, NULL, NULL, 19028),
(43614, '1bgpA01', NULL, NULL, 161, NULL, NULL, 19028),
(43615, '4bm1A01', NULL, NULL, 162, NULL, NULL, 19028),
(43616, '1schA01', NULL, NULL, 159, NULL, NULL, 19028),
(43617, '1pa2A01', NULL, NULL, 158, NULL, NULL, 19028),
(43618, '1qpaA01', NULL, NULL, 162, NULL, NULL, 19028),
(43619, '1iynA01', NULL, NULL, 151, NULL, NULL, 19028),
(43620, '1u2kA01', NULL, NULL, 164, NULL, NULL, 19028),
(43621, '3m5qA01', NULL, NULL, 159, NULL, NULL, 19028),
(43622, '2e39A01', NULL, NULL, 162, NULL, NULL, 19028),
(43623, '3q3uA01', NULL, NULL, 163, NULL, NULL, 19028),
(43624, '5al9A01', NULL, NULL, 148, NULL, NULL, 19028),
(43625, '3wxoA03', NULL, NULL, 170, NULL, NULL, 19028),
(43626, '4bllA01', NULL, NULL, 179, NULL, NULL, 19028),
(43627, '3vliA03', NULL, NULL, 173, NULL, NULL, 19028),
(43628, '3e2oA01', NULL, NULL, 173, NULL, NULL, 19028),
(43629, '3wxoA01', NULL, NULL, 211, NULL, NULL, 19028),
(43630, '4uscA01', NULL, NULL, 159, NULL, NULL, 19028),
(43631, '3rrwB01', NULL, NULL, 198, NULL, NULL, 19028),
(43632, '5sxwA01', NULL, NULL, 217, NULL, NULL, 19028),
(43633, '5jhxB03', NULL, NULL, 184, NULL, NULL, 19028),
(43634, '3vliA01', NULL, NULL, 142, NULL, NULL, 19028),
(43635, '5sxwA03', NULL, NULL, 182, NULL, NULL, 19028),
(43636, '4xbmA01', NULL, NULL, 159, NULL, NULL, 19029),
(43637, '4cc0A01', NULL, NULL, 156, NULL, NULL, 19029),
(43638, '1q4gA02', NULL, NULL, 510, NULL, NULL, 19030),
(43639, '5fiwC00', NULL, NULL, 466, NULL, NULL, 19030),
(43640, '3q9kA00', NULL, NULL, 595, NULL, NULL, 19030),
(43641, '3nt1A02', NULL, NULL, 511, NULL, NULL, 19030),
(43642, '5mfaA00', NULL, NULL, 589, NULL, NULL, 19030),
(43643, '4hhrA01', NULL, NULL, 614, NULL, NULL, 19030),
(43644, '5f19A02', NULL, NULL, 511, NULL, NULL, 19030),
(43645, '4kvlA00', NULL, NULL, 621, NULL, NULL, 19030),
(43646, '2rp4A00', NULL, NULL, 76, NULL, NULL, 19031),
(43647, '3g8qB03', NULL, NULL, 85, NULL, NULL, 19032),
(43648, '1vbkA02', NULL, NULL, 82, NULL, NULL, 19032),
(43649, '2dirA01', NULL, NULL, 87, NULL, NULL, 19032),
(43650, '2bnxA02', NULL, NULL, 130, NULL, NULL, 19033),
(43651, '2bnxB02', NULL, NULL, 99, NULL, NULL, 19033),
(43652, '3obvB02', NULL, NULL, 90, NULL, NULL, 19033),
(43653, '2bapA02', NULL, NULL, 68, NULL, NULL, 19033),
(43654, '3eg5B03', NULL, NULL, 90, NULL, NULL, 19033),
(43655, '3thfA00', NULL, NULL, 190, NULL, NULL, 19034),
(43656, '1zq9A02', NULL, NULL, 98, NULL, NULL, 19035),
(43657, '2h1rA02', NULL, NULL, 99, NULL, NULL, 19035),
(43658, '3fssA01', NULL, NULL, 141, NULL, NULL, 19036),
(43659, '2d5bA02', NULL, NULL, 111, NULL, NULL, 19037),
(43660, '2x1lA02', NULL, NULL, 114, NULL, NULL, 19037),
(43661, '4zt6B02', NULL, NULL, 121, NULL, NULL, 19037),
(43662, '2x1lC02', NULL, NULL, 77, NULL, NULL, 19037),
(43663, '3kflA02', NULL, NULL, 121, NULL, NULL, 19037),
(43664, '5xgqA02', NULL, NULL, 113, NULL, NULL, 19037),
(43665, '2ct8A02', NULL, NULL, 79, NULL, NULL, 19037),
(43666, '4py2A02', NULL, NULL, 113, NULL, NULL, 19037),
(43667, '1rqgA02', NULL, NULL, 154, NULL, NULL, 19037),
(43668, '4dlpB02', NULL, NULL, 81, NULL, NULL, 19037),
(43669, '4qreA02', NULL, NULL, 120, NULL, NULL, 19037),
(43670, '2o5nA02', NULL, NULL, 157, NULL, NULL, 19038),
(43671, '4g59C02', NULL, NULL, 158, NULL, NULL, 19038),
(43672, '2nykA01', NULL, NULL, 165, NULL, NULL, 19038),
(43673, '4jo8A01', NULL, NULL, 168, NULL, NULL, 19038),
(43674, '1lmmA01', NULL, NULL, 28, NULL, NULL, 19039),
(43675, '2ld7A00', NULL, NULL, 94, NULL, NULL, 19040),
(43676, '1td6A02', NULL, NULL, 92, NULL, NULL, 19041);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(43677, '2l8kA00', NULL, NULL, 123, NULL, NULL, 19042),
(43678, '2qeaB00', NULL, NULL, 160, NULL, NULL, 19043),
(43679, '1rz1A00', NULL, NULL, 161, NULL, NULL, 19043),
(43680, '2iabA01', NULL, NULL, 143, NULL, NULL, 19043),
(43681, '3tgvA00', NULL, NULL, 148, NULL, NULL, 19043),
(43682, '4ybnB00', NULL, NULL, 224, NULL, NULL, 19043),
(43683, '3r5lA00', NULL, NULL, 122, NULL, NULL, 19043),
(43684, '3k86A00', NULL, NULL, 185, NULL, NULL, 19043),
(43685, '3bpkA01', NULL, NULL, 183, NULL, NULL, 19043),
(43686, '6h00A00', NULL, NULL, 211, NULL, NULL, 19043),
(43687, '4hmwA00', NULL, NULL, 215, NULL, NULL, 19043),
(43688, '3u35A00', NULL, NULL, 142, NULL, NULL, 19043),
(43689, '2rdeB01', NULL, NULL, 114, NULL, NULL, 19043),
(43690, '3gasB02', NULL, NULL, 179, NULL, NULL, 19043),
(43691, '3fkhD00', NULL, NULL, 138, NULL, NULL, 19043),
(43692, '2qckA01', NULL, NULL, 159, NULL, NULL, 19043),
(43693, '2a2jA00', NULL, NULL, 203, NULL, NULL, 19043),
(43694, '6eciP00', NULL, NULL, 132, NULL, NULL, 19043),
(43695, '4hmsA00', NULL, NULL, 202, NULL, NULL, 19043),
(43696, '2fhqA00', NULL, NULL, 141, NULL, NULL, 19043),
(43697, '3in6A02', NULL, NULL, 118, NULL, NULL, 19043),
(43698, '4ywnB00', NULL, NULL, 165, NULL, NULL, 19043),
(43699, '2hhzA00', NULL, NULL, 150, NULL, NULL, 19043),
(43700, '5jabA00', NULL, NULL, 135, NULL, NULL, 19043),
(43701, '2htdB00', NULL, NULL, 124, NULL, NULL, 19043),
(43702, '4y9iA00', NULL, NULL, 114, NULL, NULL, 19043),
(43703, '2aq6A00', NULL, NULL, 147, NULL, NULL, 19043),
(43704, '3f7eA00', NULL, NULL, 131, NULL, NULL, 19043),
(43705, '3a6rA00', NULL, NULL, 122, NULL, NULL, 19043),
(43706, '2hq7B00', NULL, NULL, 146, NULL, NULL, 19043),
(43707, '3r5yD00', NULL, NULL, 147, NULL, NULL, 19043),
(43708, '2i51B00', NULL, NULL, 195, NULL, NULL, 19043),
(43709, '5jv4A00', NULL, NULL, 154, NULL, NULL, 19043),
(43710, '2r6vA01', NULL, NULL, 164, NULL, NULL, 19043),
(43711, '3bnkA00', NULL, NULL, 196, NULL, NULL, 19043),
(43712, '3cb0D00', NULL, NULL, 173, NULL, NULL, 19043),
(43713, '2ou5A00', NULL, NULL, 175, NULL, NULL, 19043),
(43714, '1i0rA00', NULL, NULL, 169, NULL, NULL, 19043),
(43715, '3hmzA00', NULL, NULL, 199, NULL, NULL, 19043),
(43716, '2ig6A00', NULL, NULL, 150, NULL, NULL, 19043),
(43717, '3nfwA00', NULL, NULL, 186, NULL, NULL, 19043),
(43718, '4l82A00', NULL, NULL, 168, NULL, NULL, 19043),
(43719, '3r5zA00', NULL, NULL, 145, NULL, NULL, 19043),
(43720, '2htiA00', NULL, NULL, 166, NULL, NULL, 19043),
(43721, '1ci0B00', NULL, NULL, 204, NULL, NULL, 19043),
(43722, '3pftA00', NULL, NULL, 157, NULL, NULL, 19043),
(43723, '2ptfA01', NULL, NULL, 149, NULL, NULL, 19043),
(43724, '2imlA01', NULL, NULL, 115, NULL, NULL, 19043),
(43725, '2furB00', NULL, NULL, 190, NULL, NULL, 19043),
(43726, '4f07E00', NULL, NULL, 156, NULL, NULL, 19043),
(43727, '3h96C00', NULL, NULL, 143, NULL, NULL, 19043),
(43728, '1rfeA01', NULL, NULL, 136, NULL, NULL, 19043),
(43729, '2vpaA00', NULL, NULL, 216, NULL, NULL, 19043),
(43730, '2ecuA00', NULL, NULL, 149, NULL, NULL, 19043),
(43731, '2i02A00', NULL, NULL, 148, NULL, NULL, 19043),
(43732, '3b5mA01', NULL, NULL, 120, NULL, NULL, 19043),
(43733, '2d5mA00', NULL, NULL, 190, NULL, NULL, 19043),
(43734, '2nr4A01', NULL, NULL, 134, NULL, NULL, 19043),
(43735, '2fg9A01', NULL, NULL, 165, NULL, NULL, 19043),
(43736, '1yoaA00', NULL, NULL, 159, NULL, NULL, 19043),
(43737, '3in6B00', NULL, NULL, 148, NULL, NULL, 19043),
(43738, '5choF00', NULL, NULL, 164, NULL, NULL, 19043),
(43739, '2ol5A00', NULL, NULL, 202, NULL, NULL, 19043),
(43740, '3dnhA01', NULL, NULL, 173, NULL, NULL, 19043),
(43741, '2arzA01', NULL, NULL, 154, NULL, NULL, 19043),
(43742, '3u5wA00', NULL, NULL, 148, NULL, NULL, 19043),
(43743, '3cp3A00', NULL, NULL, 148, NULL, NULL, 19043),
(43744, '3ec6A00', NULL, NULL, 139, NULL, NULL, 19043),
(43745, '5bncB01', NULL, NULL, 159, NULL, NULL, 19043),
(43746, '2r0xA00', NULL, NULL, 158, NULL, NULL, 19043),
(43747, '3e4vA01', NULL, NULL, 177, NULL, NULL, 19043),
(43748, '2re7A00', NULL, NULL, 134, NULL, NULL, 19043),
(43749, '2hq9B00', NULL, NULL, 149, NULL, NULL, 19043);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(43750, '3ba3B00', NULL, NULL, 145, NULL, NULL, 19043),
(43751, '1dnlA00', NULL, NULL, 199, NULL, NULL, 19043),
(43752, '5escA00', NULL, NULL, 133, NULL, NULL, 19043),
(43753, '1wv4B00', NULL, NULL, 154, NULL, NULL, 19043),
(43754, '1vl7A00', NULL, NULL, 135, NULL, NULL, 19043),
(43755, '3swjA02', NULL, NULL, 171, NULL, NULL, 19043),
(43756, '3rh7B01', NULL, NULL, 171, NULL, NULL, 19043),
(43757, '2d37A00', NULL, NULL, 156, NULL, NULL, 19043),
(43758, '2q9kA00', NULL, NULL, 151, NULL, NULL, 19043),
(43759, '3kyfA01', NULL, NULL, 114, NULL, NULL, 19043),
(43760, '4r82B00', NULL, NULL, 185, NULL, NULL, 19043),
(43761, '5yjlD01', NULL, NULL, 142, NULL, NULL, 19043),
(43762, '1t9mA00', NULL, NULL, 214, NULL, NULL, 19043),
(43763, '3dmbA00', NULL, NULL, 147, NULL, NULL, 19043),
(43764, '1xhnA01', NULL, NULL, 168, NULL, NULL, 19043),
(43765, '3fgeA01', NULL, NULL, 175, NULL, NULL, 19043),
(43766, '1uscA00', NULL, NULL, 178, NULL, NULL, 19043),
(43767, '4xhyA00', NULL, NULL, 188, NULL, NULL, 19043),
(43768, '1ejeA00', NULL, NULL, 192, NULL, NULL, 19043),
(43769, '3db0B00', NULL, NULL, 128, NULL, NULL, 19043),
(43770, '4z85A00', NULL, NULL, 216, NULL, NULL, 19043),
(43771, '3cqbB01', NULL, NULL, 94, NULL, NULL, 19044),
(43772, '3cqbA01', NULL, NULL, 94, NULL, NULL, 19044),
(43773, '4qhfA00', NULL, NULL, 110, NULL, NULL, 19044),
(43774, '4aw6A02', NULL, NULL, 84, NULL, NULL, 19044),
(43775, '4jixB00', NULL, NULL, 112, NULL, NULL, 19044),
(43776, '4jiuA00', NULL, NULL, 105, NULL, NULL, 19044),
(43777, '4il3A02', NULL, NULL, 84, NULL, NULL, 19044),
(43778, '4fvmA04', NULL, NULL, 46, NULL, NULL, 19045),
(43779, '5mu9A02', NULL, NULL, 139, NULL, NULL, 19046),
(43780, '5muaA02', NULL, NULL, 138, NULL, NULL, 19046),
(43781, '2gsvB00', NULL, NULL, 80, NULL, NULL, 19047),
(43782, '3ce2A03', NULL, NULL, 379, NULL, NULL, 19048),
(43783, '2qr4A03', NULL, NULL, 332, NULL, NULL, 19048),
(43784, '3uc2A00', NULL, NULL, 139, NULL, NULL, 19049),
(43785, '2w82A03', NULL, NULL, 62, NULL, NULL, 19050),
(43786, '2j9lA02', NULL, NULL, 92, NULL, NULL, 19051),
(43787, '3nrhA00', NULL, NULL, 182, NULL, NULL, 19052),
(43788, '3no8A00', NULL, NULL, 176, NULL, NULL, 19053),
(43789, '3gbwA00', NULL, NULL, 164, NULL, NULL, 19053),
(43790, '3hwjB00', NULL, NULL, 172, NULL, NULL, 19053),
(43791, '4dkkA01', NULL, NULL, 35, NULL, NULL, 19054),
(43792, '4qdcA02', NULL, NULL, 229, NULL, NULL, 19055),
(43793, '2ckfC01', NULL, NULL, 326, NULL, NULL, 19055),
(43794, '1z01A01', NULL, NULL, 298, NULL, NULL, 19055),
(43795, '3gkeA02', NULL, NULL, 218, NULL, NULL, 19055),
(43796, '3gcfA01', NULL, NULL, 281, NULL, NULL, 19055),
(43797, '2zylA02', NULL, NULL, 231, NULL, NULL, 19055),
(43798, '2gbwC01', NULL, NULL, 333, NULL, NULL, 19055),
(43799, '1wqlA01', NULL, NULL, 310, NULL, NULL, 19055),
(43800, '3n0qA01', NULL, NULL, 290, NULL, NULL, 19055),
(43801, '4qdfB02', NULL, NULL, 238, NULL, NULL, 19055),
(43802, '5aewU01', NULL, NULL, 311, NULL, NULL, 19055),
(43803, '3gkqA01', NULL, NULL, 276, NULL, NULL, 19055),
(43804, '3eqqA01', NULL, NULL, 323, NULL, NULL, 19055),
(43805, '4hm8A01', NULL, NULL, 320, NULL, NULL, 19055),
(43806, '2bmoA01', NULL, NULL, 318, NULL, NULL, 19055),
(43807, '2b1xA01', NULL, NULL, 315, NULL, NULL, 19055),
(43808, '3vcaA01', NULL, NULL, 293, NULL, NULL, 19055),
(43809, '5xbpA01', NULL, NULL, 317, NULL, NULL, 19055),
(43810, '2de6A01', NULL, NULL, 267, NULL, NULL, 19055),
(43811, '1uliA01', NULL, NULL, 317, NULL, NULL, 19055),
(43812, '3gzxA01', NULL, NULL, 309, NULL, NULL, 19055),
(43813, '2zw3A00', NULL, NULL, 226, NULL, NULL, 19056),
(43814, '2igpA00', NULL, NULL, 120, NULL, NULL, 19057),
(43815, '4a57A01', NULL, NULL, 245, NULL, NULL, 19058),
(43816, '3agrA01', NULL, NULL, 238, NULL, NULL, 19058),
(43817, '4dduA04', NULL, NULL, 74, NULL, NULL, 19059),
(43818, '3do6A02', NULL, NULL, 119, NULL, NULL, 19060),
(43819, '3do6B02', NULL, NULL, 119, NULL, NULL, 19060),
(43820, '4jimA02', NULL, NULL, 119, NULL, NULL, 19060),
(43821, '5a5gA02', NULL, NULL, 119, NULL, NULL, 19060),
(43822, '5a4jA02', NULL, NULL, 119, NULL, NULL, 19060);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(43823, '1bg5A03', NULL, NULL, 41, NULL, NULL, 19061),
(43824, '2xgjA03', NULL, NULL, 215, NULL, NULL, 19062),
(43825, '2zj8A03', NULL, NULL, 233, NULL, NULL, 19062),
(43826, '2va8A03', NULL, NULL, 222, NULL, NULL, 19062),
(43827, '2p6rA03', NULL, NULL, 218, NULL, NULL, 19062),
(43828, '4a4zA03', NULL, NULL, 229, NULL, NULL, 19062),
(43829, '2b6cA01', NULL, NULL, 121, NULL, NULL, 19063),
(43830, '1ydxA02', NULL, NULL, 99, NULL, NULL, 19064),
(43831, '1yf2A02', NULL, NULL, 107, NULL, NULL, 19064),
(43832, '1lbuA02', NULL, NULL, 129, NULL, NULL, 19065),
(43833, '4murA00', NULL, NULL, 190, NULL, NULL, 19065),
(43834, '1tzpB00', NULL, NULL, 255, NULL, NULL, 19065),
(43835, '4muqA02', NULL, NULL, 146, NULL, NULL, 19065),
(43836, '2wfqA00', NULL, NULL, 165, NULL, NULL, 19065),
(43837, '1vhhA00', NULL, NULL, 162, NULL, NULL, 19065),
(43838, '4ox3A00', NULL, NULL, 219, NULL, NULL, 19065),
(43839, '4mphA00', NULL, NULL, 192, NULL, NULL, 19065),
(43840, '1r44A00', NULL, NULL, 202, NULL, NULL, 19065),
(43841, '2ibgE00', NULL, NULL, 150, NULL, NULL, 19065),
(43842, '5hnmC00', NULL, NULL, 181, NULL, NULL, 19065),
(43843, '3k7iB00', NULL, NULL, 162, NULL, NULL, 19065),
(43844, '4nt9A00', NULL, NULL, 185, NULL, NULL, 19065),
(43845, '4c4mA00', NULL, NULL, 164, NULL, NULL, 19065),
(43846, '5zhfA00', NULL, NULL, 189, NULL, NULL, 19065),
(43847, '3n1mB00', NULL, NULL, 169, NULL, NULL, 19065),
(43848, '6akvA01', NULL, NULL, 132, NULL, NULL, 19065),
(43849, '2vo9A01', NULL, NULL, 133, NULL, NULL, 19065),
(43850, '1n7dA02', NULL, NULL, 34, NULL, NULL, 19066),
(43851, '3ijmA00', NULL, NULL, 151, NULL, NULL, 19067),
(43852, '3f2bA05', NULL, NULL, 48, NULL, NULL, 19068),
(43853, '3qdrB00', NULL, NULL, 63, NULL, NULL, 19069),
(43854, '4hl6A02', NULL, NULL, 92, NULL, NULL, 19070),
(43855, '4ed9A02', NULL, NULL, 92, NULL, NULL, 19070),
(43856, '1xk7A02', NULL, NULL, 103, NULL, NULL, 19070),
(43857, '2yimA02', NULL, NULL, 89, NULL, NULL, 19070),
(43858, '2vjqA02', NULL, NULL, 97, NULL, NULL, 19070),
(43859, '3ubmA02', NULL, NULL, 97, NULL, NULL, 19070),
(43860, '2g04A02', NULL, NULL, 89, NULL, NULL, 19070),
(43861, '1q7eA02', NULL, NULL, 97, NULL, NULL, 19070),
(43862, '1nbwB00', NULL, NULL, 117, NULL, NULL, 19071),
(43863, '5d5pA02', NULL, NULL, 131, NULL, NULL, 19071),
(43864, '2d0oB00', NULL, NULL, 125, NULL, NULL, 19071),
(43865, '3brcB02', NULL, NULL, 121, NULL, NULL, 19071),
(43866, '3wb0A02', NULL, NULL, 129, NULL, NULL, 19071),
(43867, '5yrvE00', NULL, NULL, 179, NULL, NULL, 19071),
(43868, '1iwpB00', NULL, NULL, 194, NULL, NULL, 19071),
(43869, '1vccA00', NULL, NULL, 77, NULL, NULL, 19072),
(43870, '2f4qA01', NULL, NULL, 90, NULL, NULL, 19072),
(43871, '3lmmC03', NULL, NULL, 171, NULL, NULL, 19073),
(43872, '2nogA01', NULL, NULL, 70, NULL, NULL, 19074),
(43873, '2y9yA01', NULL, NULL, 92, NULL, NULL, 19074),
(43874, '2y9zA01', NULL, NULL, 94, NULL, NULL, 19074),
(43875, '1ofcX01', NULL, NULL, 108, NULL, NULL, 19074),
(43876, '3wwfA00', NULL, NULL, 90, NULL, NULL, 19075),
(43877, '4zcnA00', NULL, NULL, 87, NULL, NULL, 19075),
(43878, '2ot2A02', NULL, NULL, 31, NULL, NULL, 19076),
(43879, '3qlbB02', NULL, NULL, 541, NULL, NULL, 19077),
(43880, '1xkwA02', NULL, NULL, 538, NULL, NULL, 19077),
(43881, '1fepA02', NULL, NULL, 573, NULL, NULL, 19077),
(43882, '4b7oA02', NULL, NULL, 574, NULL, NULL, 19077),
(43883, '3fhhA02', NULL, NULL, 516, NULL, NULL, 19077),
(43884, '3v8xA02', NULL, NULL, 610, NULL, NULL, 19077),
(43885, '4cu4A02', NULL, NULL, 565, NULL, NULL, 19077),
(43886, '2hdiA02', NULL, NULL, 501, NULL, NULL, 19077),
(43887, '4aipA02', NULL, NULL, 571, NULL, NULL, 19077),
(43888, '4epaA00', NULL, NULL, 639, NULL, NULL, 19077),
(43889, '3efmA02', NULL, NULL, 518, NULL, NULL, 19077),
(43890, '5c58A02', NULL, NULL, 625, NULL, NULL, 19077),
(43891, '2w16A03', NULL, NULL, 543, NULL, NULL, 19077),
(43892, '5fokB02', NULL, NULL, 573, NULL, NULL, 19077),
(43893, '2gskA02', NULL, NULL, 464, NULL, NULL, 19077),
(43894, '1kmoA02', NULL, NULL, 519, NULL, NULL, 19077),
(43895, '4lt6A01', NULL, NULL, 190, NULL, NULL, 19078);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(43896, '1q79A03', NULL, NULL, 190, NULL, NULL, 19078),
(43897, '2b4vA01', NULL, NULL, 234, NULL, NULL, 19078),
(43898, '4ud4A01', NULL, NULL, 215, NULL, NULL, 19078),
(43899, '4m5dA01', NULL, NULL, 208, NULL, NULL, 19078),
(43900, '3nybA01', NULL, NULL, 213, NULL, NULL, 19078),
(43901, '3hj4A01', NULL, NULL, 253, NULL, NULL, 19078),
(43902, '2hhpA01', NULL, NULL, 196, NULL, NULL, 19078),
(43903, '6b6uB01', NULL, NULL, 182, NULL, NULL, 19079),
(43904, '1vp8A00', NULL, NULL, 201, NULL, NULL, 19079),
(43905, '1pkmA01', NULL, NULL, 187, NULL, NULL, 19079),
(43906, '2e28A03', NULL, NULL, 135, NULL, NULL, 19079),
(43907, '3g2gA01', NULL, NULL, 173, NULL, NULL, 19079),
(43908, '3qv9A01', NULL, NULL, 163, NULL, NULL, 19079),
(43909, '6du6A01', NULL, NULL, 164, NULL, NULL, 19079),
(43910, '1e0tA01', NULL, NULL, 132, NULL, NULL, 19079),
(43911, '2g50A01', NULL, NULL, 187, NULL, NULL, 19079),
(43912, '3qtgA03', NULL, NULL, 115, NULL, NULL, 19079),
(43913, '2vggB01', NULL, NULL, 178, NULL, NULL, 19079),
(43914, '3khdA01', NULL, NULL, 166, NULL, NULL, 19079),
(43915, '3hqnD01', NULL, NULL, 163, NULL, NULL, 19079),
(43916, '1a3wA01', NULL, NULL, 161, NULL, NULL, 19079),
(43917, '3t05A03', NULL, NULL, 135, NULL, NULL, 19079),
(43918, '4ip7A01', NULL, NULL, 175, NULL, NULL, 19079),
(43919, '1t57A00', NULL, NULL, 185, NULL, NULL, 19079),
(43920, '4kctA01', NULL, NULL, 163, NULL, NULL, 19079),
(43921, '3gg8C01', NULL, NULL, 173, NULL, NULL, 19079),
(43922, '3me3C01', NULL, NULL, 174, NULL, NULL, 19079),
(43923, '3ma8B01', NULL, NULL, 156, NULL, NULL, 19079),
(43924, '3eeqA02', NULL, NULL, 77, NULL, NULL, 19080),
(43925, '4n7bA01', NULL, NULL, 116, NULL, NULL, 19081),
(43926, '4n7bA03', NULL, NULL, 97, NULL, NULL, 19081),
(43927, '3dnfA03', NULL, NULL, 99, NULL, NULL, 19081),
(43928, '3dnfB01', NULL, NULL, 115, NULL, NULL, 19081),
(43929, '4h4dA03', NULL, NULL, 100, NULL, NULL, 19081),
(43930, '4h4dA01', NULL, NULL, 121, NULL, NULL, 19081),
(43931, '5bu9A00', NULL, NULL, 340, NULL, NULL, 19082),
(43932, '2oxnA00', NULL, NULL, 340, NULL, NULL, 19082),
(43933, '5g1mA00', NULL, NULL, 333, NULL, NULL, 19082),
(43934, '5bzaB01', NULL, NULL, 332, NULL, NULL, 19082),
(43935, '6gfvA00', NULL, NULL, 343, NULL, NULL, 19082),
(43936, '5m6gA01', NULL, NULL, 361, NULL, NULL, 19082),
(43937, '4gvfA00', NULL, NULL, 349, NULL, NULL, 19082),
(43938, '5fjiA01', NULL, NULL, 330, NULL, NULL, 19082),
(43939, '4g6cA00', NULL, NULL, 348, NULL, NULL, 19082),
(43940, '3wliA01', NULL, NULL, 377, NULL, NULL, 19082),
(43941, '4iibA01', NULL, NULL, 329, NULL, NULL, 19082),
(43942, '3zyzA01', NULL, NULL, 304, NULL, NULL, 19082),
(43943, '4zocA01', NULL, NULL, 359, NULL, NULL, 19082),
(43944, '5z9sB01', NULL, NULL, 344, NULL, NULL, 19082),
(43945, '3bmxA01', NULL, NULL, 394, NULL, NULL, 19082),
(43946, '3rrxA01', NULL, NULL, 364, NULL, NULL, 19082),
(43947, '5ju6A01', NULL, NULL, 325, NULL, NULL, 19082),
(43948, '3abzA01', NULL, NULL, 339, NULL, NULL, 19082),
(43949, '5iobG00', NULL, NULL, 348, NULL, NULL, 19082),
(43950, '5nbsA01', NULL, NULL, 345, NULL, NULL, 19082),
(43951, '3u48B01', NULL, NULL, 349, NULL, NULL, 19082),
(43952, '3tevB00', NULL, NULL, 335, NULL, NULL, 19082),
(43953, '5tf0B01', NULL, NULL, 358, NULL, NULL, 19082),
(43954, '3sqlB01', NULL, NULL, 379, NULL, NULL, 19082),
(43955, '2x41A01', NULL, NULL, 312, NULL, NULL, 19082),
(43956, '5fjjA01', NULL, NULL, 330, NULL, NULL, 19082),
(43957, '3wo8A01', NULL, NULL, 343, NULL, NULL, 19082),
(43958, '1tr9A00', NULL, NULL, 341, NULL, NULL, 19082),
(43959, '4i3gA01', NULL, NULL, 354, NULL, NULL, 19082),
(43960, '5xxlA01', NULL, NULL, 355, NULL, NULL, 19082),
(43961, '4yyfA00', NULL, NULL, 332, NULL, NULL, 19082),
(43962, '4zm6A01', NULL, NULL, 371, NULL, NULL, 19082),
(43963, '2qmiA02', NULL, NULL, 100, NULL, NULL, 19083),
(43964, '4g6vA00', NULL, NULL, 135, NULL, NULL, 19084),
(43965, '3tcmA02', NULL, NULL, 51, NULL, NULL, 19085),
(43966, '3ihjA02', NULL, NULL, 38, NULL, NULL, 19085),
(43967, '2bh7A01', NULL, NULL, 27, NULL, NULL, 19086),
(43968, '2pqrA01', NULL, NULL, 93, NULL, NULL, 19087);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(43969, '1ouvA00', NULL, NULL, 273, NULL, NULL, 19087),
(43970, '3e4bA00', NULL, NULL, 434, NULL, NULL, 19087),
(43971, '3ro3A00', NULL, NULL, 164, NULL, NULL, 19087),
(43972, '4kbqA00', NULL, NULL, 139, NULL, NULL, 19087),
(43973, '2ifuD00', NULL, NULL, 277, NULL, NULL, 19087),
(43974, '1klxA00', NULL, NULL, 138, NULL, NULL, 19087),
(43975, '4w9rA02', NULL, NULL, 94, NULL, NULL, 19087),
(43976, '4i2zA01', NULL, NULL, 133, NULL, NULL, 19087),
(43977, '4h7yA00', NULL, NULL, 161, NULL, NULL, 19087),
(43978, '5jjtB01', NULL, NULL, 131, NULL, NULL, 19087),
(43979, '4jhrB00', NULL, NULL, 308, NULL, NULL, 19087),
(43980, '2uy1B00', NULL, NULL, 455, NULL, NULL, 19087),
(43981, '4kyoD00', NULL, NULL, 328, NULL, NULL, 19087),
(43982, '3wxxE00', NULL, NULL, 151, NULL, NULL, 19087),
(43983, '3zn3A00', NULL, NULL, 291, NULL, NULL, 19087),
(43984, '1w3bB00', NULL, NULL, 388, NULL, NULL, 19087),
(43985, '3lpzA01', NULL, NULL, 313, NULL, NULL, 19087),
(43986, '4gywA02', NULL, NULL, 111, NULL, NULL, 19087),
(43987, '4u04B01', NULL, NULL, 91, NULL, NULL, 19087),
(43988, '4gywA01', NULL, NULL, 110, NULL, NULL, 19087),
(43989, '4i17A00', NULL, NULL, 228, NULL, NULL, 19087),
(43990, '3q15B00', NULL, NULL, 378, NULL, NULL, 19087),
(43991, '3as8A01', NULL, NULL, 178, NULL, NULL, 19087),
(43992, '2l6jA00', NULL, NULL, 111, NULL, NULL, 19087),
(43993, '4eqfA00', NULL, NULL, 313, NULL, NULL, 19087),
(43994, '3kaeA00', NULL, NULL, 242, NULL, NULL, 19087),
(43995, '4ja7A01', NULL, NULL, 138, NULL, NULL, 19087),
(43996, '1na0A00', NULL, NULL, 125, NULL, NULL, 19087),
(43997, '1qqeA00', NULL, NULL, 292, NULL, NULL, 19087),
(43998, '2pziA04', NULL, NULL, 188, NULL, NULL, 19087),
(43999, '4abnA01', NULL, NULL, 279, NULL, NULL, 19087),
(44000, '1elwA00', NULL, NULL, 118, NULL, NULL, 19087),
(44001, '4cgwA00', NULL, NULL, 117, NULL, NULL, 19087),
(44002, '1xnfA00', NULL, NULL, 275, NULL, NULL, 19087),
(44003, '4j8eA00', NULL, NULL, 119, NULL, NULL, 19087),
(44004, '2y4tB01', NULL, NULL, 334, NULL, NULL, 19087),
(44005, '2fo7A00', NULL, NULL, 136, NULL, NULL, 19087),
(44006, '2e2eA01', NULL, NULL, 151, NULL, NULL, 19087),
(44007, '3ru0A05', NULL, NULL, 83, NULL, NULL, 19087),
(44008, '2mhkA01', NULL, NULL, 125, NULL, NULL, 19087),
(44009, '1hh8A00', NULL, NULL, 193, NULL, NULL, 19087),
(44010, '4ga2A00', NULL, NULL, 150, NULL, NULL, 19087),
(44011, '5waqA00', NULL, NULL, 251, NULL, NULL, 19087),
(44012, '1ihgA02', NULL, NULL, 150, NULL, NULL, 19087),
(44013, '4apoB00', NULL, NULL, 165, NULL, NULL, 19087),
(44014, '2q7fA00', NULL, NULL, 202, NULL, NULL, 19087),
(44015, '3hymL00', NULL, NULL, 311, NULL, NULL, 19087),
(44016, '4wnfA00', NULL, NULL, 259, NULL, NULL, 19087),
(44017, '1elrA00', NULL, NULL, 131, NULL, NULL, 19087),
(44018, '3gw4A00', NULL, NULL, 203, NULL, NULL, 19087),
(44019, '2ff4A02', NULL, NULL, 182, NULL, NULL, 19087),
(44020, '3ma5A00', NULL, NULL, 100, NULL, NULL, 19087),
(44021, '4uqxA01', NULL, NULL, 89, NULL, NULL, 19087),
(44022, '4g1tA03', NULL, NULL, 255, NULL, NULL, 19087),
(44023, '3fp3A01', NULL, NULL, 147, NULL, NULL, 19087),
(44024, '4g1tA02', NULL, NULL, 61, NULL, NULL, 19087),
(44025, '4g1tA01', NULL, NULL, 131, NULL, NULL, 19087),
(44026, '2pziB03', NULL, NULL, 156, NULL, NULL, 19087),
(44027, '1hz4A00', NULL, NULL, 373, NULL, NULL, 19087),
(44028, '2ho1B00', NULL, NULL, 221, NULL, NULL, 19087),
(44029, '2gw1A02', NULL, NULL, 387, NULL, NULL, 19087),
(44030, '2gw1A01', NULL, NULL, 127, NULL, NULL, 19087),
(44031, '2qfcA00', NULL, NULL, 293, NULL, NULL, 19087),
(44032, '3q49B00', NULL, NULL, 137, NULL, NULL, 19087),
(44033, '3nf1A00', NULL, NULL, 311, NULL, NULL, 19087),
(44034, '4in3B00', NULL, NULL, 671, NULL, NULL, 19087),
(44035, '1nznA00', NULL, NULL, 126, NULL, NULL, 19087),
(44036, '4a1sB00', NULL, NULL, 342, NULL, NULL, 19087),
(44037, '2ooeA01', NULL, NULL, 190, NULL, NULL, 19087),
(44038, '3uq3A01', NULL, NULL, 133, NULL, NULL, 19087),
(44039, '2ondA00', NULL, NULL, 308, NULL, NULL, 19087),
(44040, '5g05P02', NULL, NULL, 211, NULL, NULL, 19087),
(44041, '5g05P01', NULL, NULL, 302, NULL, NULL, 19087);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(44042, '4cgvB00', NULL, NULL, 136, NULL, NULL, 19087),
(44043, '4rg9B01', NULL, NULL, 173, NULL, NULL, 19087),
(44044, '4rg9B04', NULL, NULL, 104, NULL, NULL, 19087),
(44045, '2avpA00', NULL, NULL, 70, NULL, NULL, 19087),
(44046, '1pc2A00', NULL, NULL, 152, NULL, NULL, 19087),
(44047, '4i1aA00', NULL, NULL, 274, NULL, NULL, 19087),
(44048, '1iygA00', NULL, NULL, 133, NULL, NULL, 19087),
(44049, '4gcnA00', NULL, NULL, 127, NULL, NULL, 19087),
(44050, '4n5cD06', NULL, NULL, 134, NULL, NULL, 19087),
(44051, '3k9iA01', NULL, NULL, 109, NULL, NULL, 19087),
(44052, '3zheC01', NULL, NULL, 193, NULL, NULL, 19087),
(44053, '3mekA05', NULL, NULL, 75, NULL, NULL, 19087),
(44054, '2fbnA00', NULL, NULL, 153, NULL, NULL, 19087),
(44055, '2vq2A00', NULL, NULL, 225, NULL, NULL, 19087),
(44056, '2v5fA00', NULL, NULL, 104, NULL, NULL, 19087),
(44057, '3beeA00', NULL, NULL, 93, NULL, NULL, 19087),
(44058, '1p5qA02', NULL, NULL, 166, NULL, NULL, 19087),
(44059, '3zfwB00', NULL, NULL, 245, NULL, NULL, 19087),
(44060, '2kckA00', NULL, NULL, 112, NULL, NULL, 19087),
(44061, '4yvoA00', NULL, NULL, 119, NULL, NULL, 19087),
(44062, '2i6hA02', NULL, NULL, 102, NULL, NULL, 19087),
(44063, '4gpkF02', NULL, NULL, 265, NULL, NULL, 19087),
(44064, '3as5A01', NULL, NULL, 178, NULL, NULL, 19087),
(44065, '2vsyA01', NULL, NULL, 142, NULL, NULL, 19087),
(44066, '4g26A01', NULL, NULL, 302, NULL, NULL, 19087),
(44067, '3ks2A00', NULL, NULL, 151, NULL, NULL, 19087),
(44068, '2xgsB01', NULL, NULL, 73, NULL, NULL, 19087),
(44069, '2xgmA01', NULL, NULL, 106, NULL, NULL, 19087),
(44070, '4i1aB01', NULL, NULL, 155, NULL, NULL, 19087),
(44071, '5v37A05', NULL, NULL, 75, NULL, NULL, 19087),
(44072, '1kt0A03', NULL, NULL, 158, NULL, NULL, 19087),
(44073, '4i1aB02', NULL, NULL, 236, NULL, NULL, 19087),
(44074, '2katA00', NULL, NULL, 115, NULL, NULL, 19087),
(44075, '3zheD01', NULL, NULL, 209, NULL, NULL, 19087),
(44076, '3mkrA00', NULL, NULL, 291, NULL, NULL, 19087),
(44077, '3mv2B00', NULL, NULL, 310, NULL, NULL, 19087),
(44078, '4f3vB01', NULL, NULL, 280, NULL, NULL, 19087),
(44079, '2vgxB00', NULL, NULL, 148, NULL, NULL, 19087),
(44080, '2dbaA01', NULL, NULL, 118, NULL, NULL, 19087),
(44081, '6evnA00', NULL, NULL, 102, NULL, NULL, 19087),
(44082, '2xcbA00', NULL, NULL, 142, NULL, NULL, 19087),
(44083, '2pl2A00', NULL, NULL, 197, NULL, NULL, 19087),
(44084, '2xevB00', NULL, NULL, 129, NULL, NULL, 19087),
(44085, '1hxiA00', NULL, NULL, 121, NULL, NULL, 19087),
(44086, '4me2A00', NULL, NULL, 194, NULL, NULL, 19087),
(44087, '3u4tB00', NULL, NULL, 272, NULL, NULL, 19087),
(44088, '3qkyA00', NULL, NULL, 261, NULL, NULL, 19087),
(44089, '3ma5D00', NULL, NULL, 77, NULL, NULL, 19087),
(44090, '3kd7A00', NULL, NULL, 108, NULL, NULL, 19087),
(44091, '3qdnA03', NULL, NULL, 88, NULL, NULL, 19087),
(44092, '4gyoA02', NULL, NULL, 222, NULL, NULL, 19087),
(44093, '3upvA00', NULL, NULL, 126, NULL, NULL, 19087),
(44094, '3qdnA02', NULL, NULL, 84, NULL, NULL, 19087),
(44095, '2if4A02', NULL, NULL, 133, NULL, NULL, 19087),
(44096, '2r5sA01', NULL, NULL, 88, NULL, NULL, 19087),
(44097, '2r5sA02', NULL, NULL, 88, NULL, NULL, 19087),
(44098, '4ui9Y03', NULL, NULL, 80, NULL, NULL, 19087),
(44099, '4j8dD00', NULL, NULL, 175, NULL, NULL, 19087),
(44100, '4leuA00', NULL, NULL, 187, NULL, NULL, 19087),
(44101, '3ulqA00', NULL, NULL, 383, NULL, NULL, 19087),
(44102, '5fzsA00', NULL, NULL, 109, NULL, NULL, 19087),
(44103, '3urzA00', NULL, NULL, 208, NULL, NULL, 19087),
(44104, '4g2vA00', NULL, NULL, 340, NULL, NULL, 19087),
(44105, '6fdpA00', NULL, NULL, 120, NULL, NULL, 19087),
(44106, '2p58C00', NULL, NULL, 116, NULL, NULL, 19087),
(44107, '5ft9A01', NULL, NULL, 303, NULL, NULL, 19087),
(44108, '2vgxA00', NULL, NULL, 148, NULL, NULL, 19087),
(44109, '4houB00', NULL, NULL, 273, NULL, NULL, 19087),
(44110, '2bugA00', NULL, NULL, 140, NULL, NULL, 19087),
(44111, '2uwjG00', NULL, NULL, 115, NULL, NULL, 19087),
(44112, '4gcoA00', NULL, NULL, 126, NULL, NULL, 19087),
(44113, '2kc7A00', NULL, NULL, 99, NULL, NULL, 19087),
(44114, '1zu2A00', NULL, NULL, 158, NULL, NULL, 19087);
INSERT INTO "PUBLIC"."MODEL" VALUES
(44115, '3fflA00', NULL, NULL, 147, NULL, NULL, 19087),
(44116, '4gyoB01', NULL, NULL, 151, NULL, NULL, 19087),
(44117, '3qouA02', NULL, NULL, 84, NULL, NULL, 19087),
(44118, '3iegA00', NULL, NULL, 359, NULL, NULL, 19087),
(44119, '4wuyA03', NULL, NULL, 200, NULL, NULL, 19087),
(44120, '3ly7A02', NULL, NULL, 162, NULL, NULL, 19087),
(44121, '4nq0A00', NULL, NULL, 266, NULL, NULL, 19087),
(44122, '4horA02', NULL, NULL, 65, NULL, NULL, 19087),
(44123, '3qouA03', NULL, NULL, 88, NULL, NULL, 19087),
(44124, '3rjvA01', NULL, NULL, 147, NULL, NULL, 19087),
(44125, '2hr2A00', NULL, NULL, 159, NULL, NULL, 19087),
(44126, '4horA01', NULL, NULL, 133, NULL, NULL, 19087),
(44127, '4bwrA00', NULL, NULL, 467, NULL, NULL, 19087),
(44128, '3n71A03', NULL, NULL, 213, NULL, NULL, 19087),
(44129, '4i9cA01', NULL, NULL, 153, NULL, NULL, 19087),
(44130, '3asdA00', NULL, NULL, 137, NULL, NULL, 19087),
(44131, '2yhcA00', NULL, NULL, 225, NULL, NULL, 19087),
(44132, '4i9cA02', NULL, NULL, 228, NULL, NULL, 19087),
(44133, '1na3A00', NULL, NULL, 91, NULL, NULL, 19087),
(44134, '5m72A00', NULL, NULL, 160, NULL, NULL, 19087),
(44135, '1a17A00', NULL, NULL, 166, NULL, NULL, 19087),
(44136, '3sz7A00', NULL, NULL, 164, NULL, NULL, 19087),
(44137, '2lniA00', NULL, NULL, 133, NULL, NULL, 19087),
(44138, '5a7dD00', NULL, NULL, 345, NULL, NULL, 19087),
(44139, '1ya0A01', NULL, NULL, 206, NULL, NULL, 19087),
(44140, '2wpvE00', NULL, NULL, 292, NULL, NULL, 19087),
(44141, '4gywC01', NULL, NULL, 83, NULL, NULL, 19087),
(44142, '4wndA00', NULL, NULL, 341, NULL, NULL, 19087),
(44143, '4nrhB00', NULL, NULL, 178, NULL, NULL, 19087),
(44144, '2vyiA00', NULL, NULL, 131, NULL, NULL, 19087),
(44145, '5lypA00', NULL, NULL, 140, NULL, NULL, 19087),
(44146, '3ckcA02', NULL, NULL, 177, NULL, NULL, 19087),
(44147, '3e4bD01', NULL, NULL, 316, NULL, NULL, 19087),
(44148, '4bt9A02', NULL, NULL, 130, NULL, NULL, 19087),
(44149, '4xi0D00', NULL, NULL, 177, NULL, NULL, 19087),
(44150, '1b89A00', NULL, NULL, 341, NULL, NULL, 19087),
(44151, '3ceqA00', NULL, NULL, 283, NULL, NULL, 19087),
(44152, '4y6wA00', NULL, NULL, 229, NULL, NULL, 19087),
(44153, '3o48A01', NULL, NULL, 118, NULL, NULL, 19087),
(44154, '4rg6A03', NULL, NULL, 133, NULL, NULL, 19087),
(44155, '4rg6A02', NULL, NULL, 77, NULL, NULL, 19087),
(44156, '3zpjA00', NULL, NULL, 359, NULL, NULL, 19087),
(44157, '3vtxA00', NULL, NULL, 184, NULL, NULL, 19087),
(44158, '3jysA02', NULL, NULL, 186, NULL, NULL, 19087),
(44159, '1zbpA01', NULL, NULL, 86, NULL, NULL, 19087),
(44160, '3cvpA00', NULL, NULL, 327, NULL, NULL, 19087),
(44161, '3rkvA00', NULL, NULL, 162, NULL, NULL, 19087),
(44162, '3u3wA02', NULL, NULL, 222, NULL, NULL, 19087),
(44163, '5jj6B01', NULL, NULL, 107, NULL, NULL, 19087),
(44164, '3gz1A00', NULL, NULL, 151, NULL, NULL, 19087),
(44165, '2vgyA00', NULL, NULL, 148, NULL, NULL, 19087),
(44166, '2xpiD00', NULL, NULL, 553, NULL, NULL, 19087),
(44167, '5g05K00', NULL, NULL, 494, NULL, NULL, 19087),
(44168, '2uvaG13', NULL, NULL, 37, NULL, NULL, 19088),
(44169, '2uv8G13', NULL, NULL, 39, NULL, NULL, 19088),
(44170, '2lw1A00', NULL, NULL, 85, NULL, NULL, 19089),
(44171, '1gaxA05', NULL, NULL, 73, NULL, NULL, 19089),
(44172, '1wleA01', NULL, NULL, 114, NULL, NULL, 19090),
(44173, '1serA01', NULL, NULL, 53, NULL, NULL, 19090),
(44174, '1sesA01', NULL, NULL, 102, NULL, NULL, 19090),
(44175, '6h9xA01', NULL, NULL, 104, NULL, NULL, 19090),
(44176, '2dq3A01', NULL, NULL, 106, NULL, NULL, 19090),
(44177, '3qneA01', NULL, NULL, 109, NULL, NULL, 19090),
(44178, '2dq0A01', NULL, NULL, 107, NULL, NULL, 19090),
(44179, '3lssA01', NULL, NULL, 142, NULL, NULL, 19090),
(44180, '3vbbE01', NULL, NULL, 136, NULL, NULL, 19090),
(44181, '4rlbA00', NULL, NULL, 213, NULL, NULL, 19091),
(44182, '4fuvA00', NULL, NULL, 233, NULL, NULL, 19091),
(44183, '4rl9A00', NULL, NULL, 212, NULL, NULL, 19091),
(44184, '1d6gA00', NULL, NULL, 47, NULL, NULL, 19092),
(44185, '2hdeA01', NULL, NULL, 123, NULL, NULL, 19093),
(44186, '4a90A00', NULL, NULL, 143, NULL, NULL, 19093),
(44187, '4a6qA00', NULL, NULL, 143, NULL, NULL, 19093); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(44188, '1s6yA02', NULL, NULL, 277, NULL, NULL, 19094),
(44189, '7mdhA02', NULL, NULL, 173, NULL, NULL, 19094),
(44190, '3wswA02', NULL, NULL, 175, NULL, NULL, 19094),
(44191, '1smkA02', NULL, NULL, 173, NULL, NULL, 19094),
(44192, '5nueB02', NULL, NULL, 177, NULL, NULL, 19094),
(44193, '2v65A02', NULL, NULL, 168, NULL, NULL, 19094),
(44194, '5c3mC02', NULL, NULL, 277, NULL, NULL, 19094),
(44195, '3p7mA02', NULL, NULL, 174, NULL, NULL, 19094),
(44196, '4bguA02', NULL, NULL, 161, NULL, NULL, 19094),
(44197, '4uuoA02', NULL, NULL, 188, NULL, NULL, 19094),
(44198, '5zi2A02', NULL, NULL, 198, NULL, NULL, 19094),
(44199, '3h3jB02', NULL, NULL, 169, NULL, NULL, 19094),
(44200, '1b8pA02', NULL, NULL, 172, NULL, NULL, 19094),
(44201, '3pqeA02', NULL, NULL, 166, NULL, NULL, 19094),
(44202, '1y6jA02', NULL, NULL, 170, NULL, NULL, 19094),
(44203, '1oc4A02', NULL, NULL, 171, NULL, NULL, 19094),
(44204, '1a5zA02', NULL, NULL, 166, NULL, NULL, 19094),
(44205, '1y7tA02', NULL, NULL, 172, NULL, NULL, 19094),
(44206, '5ujkA02', NULL, NULL, 175, NULL, NULL, 19094),
(44207, '1mldA02', NULL, NULL, 167, NULL, NULL, 19094),
(44208, '4m1qA02', NULL, NULL, 167, NULL, NULL, 19094),
(44209, '2d4aA02', NULL, NULL, 160, NULL, NULL, 19094),
(44210, '3tl2A02', NULL, NULL, 161, NULL, NULL, 19094),
(44211, '4uupB02', NULL, NULL, 188, NULL, NULL, 19094),
(44212, '4bgvA02', NULL, NULL, 174, NULL, NULL, 19094),
(44213, '3fi9A02', NULL, NULL, 192, NULL, NULL, 19094),
(44214, '1pzgC02', NULL, NULL, 176, NULL, NULL, 19094),
(44215, '1ldnA02', NULL, NULL, 168, NULL, NULL, 19094),
(44216, '4cl3A02', NULL, NULL, 161, NULL, NULL, 19094),
(44217, '1u8xX02', NULL, NULL, 281, NULL, NULL, 19094),
(44218, '2dfdA02', NULL, NULL, 167, NULL, NULL, 19094),
(44219, '4pltA02', NULL, NULL, 180, NULL, NULL, 19094),
(44220, '1sovA02', NULL, NULL, 175, NULL, NULL, 19094),
(44221, '2hjrB02', NULL, NULL, 172, NULL, NULL, 19094),
(44222, '5hs4A02', NULL, NULL, 167, NULL, NULL, 19094),
(44223, '3nepX02', NULL, NULL, 160, NULL, NULL, 19094),
(44224, '4tvoB02', NULL, NULL, 175, NULL, NULL, 19094),
(44225, '6ldhA02', NULL, NULL, 167, NULL, NULL, 19094),
(44226, '9ldtA02', NULL, NULL, 170, NULL, NULL, 19094),
(44227, '3hhpA02', NULL, NULL, 166, NULL, NULL, 19094),
(44228, '6ct6A02', NULL, NULL, 182, NULL, NULL, 19094),
(44229, '6duxB02', NULL, NULL, 274, NULL, NULL, 19094),
(44230, '2ldxA02', NULL, NULL, 170, NULL, NULL, 19094),
(44231, '3gviD02', NULL, NULL, 175, NULL, NULL, 19094),
(44232, '5nfrA02', NULL, NULL, 177, NULL, NULL, 19094),
(44233, '1ez4A02', NULL, NULL, 165, NULL, NULL, 19094),
(44234, '2x0jA02', NULL, NULL, 152, NULL, NULL, 19094),
(44235, '1guzA02', NULL, NULL, 162, NULL, NULL, 19094),
(44236, '6h9sA02', NULL, NULL, 162, NULL, NULL, 19094),
(44237, '6balA02', NULL, NULL, 165, NULL, NULL, 19094),
(44238, '1gv0A02', NULL, NULL, 161, NULL, NULL, 19094),
(44239, '4aj2A02', NULL, NULL, 168, NULL, NULL, 19094),
(44240, '1civA02', NULL, NULL, 175, NULL, NULL, 19094),
(44241, '5nqbA02', NULL, NULL, 170, NULL, NULL, 19094),
(44242, '4ln1A02', NULL, NULL, 167, NULL, NULL, 19094),
(44243, '3ldhA02', NULL, NULL, 167, NULL, NULL, 19094),
(44244, '4h7pA02', NULL, NULL, 170, NULL, NULL, 19094),
(44245, '1v6aA02', NULL, NULL, 168, NULL, NULL, 19094),
(44246, '1up6E02', NULL, NULL, 280, NULL, NULL, 19094),
(44247, '1hyeA02', NULL, NULL, 163, NULL, NULL, 19094),
(44248, '4uulA02', NULL, NULL, 188, NULL, NULL, 19094),
(44249, '6cepA02', NULL, NULL, 168, NULL, NULL, 19094),
(44250, '4plgA02', NULL, NULL, 179, NULL, NULL, 19094),
(44251, '4nd2A02', NULL, NULL, 175, NULL, NULL, 19094),
(44252, '2v6bC02', NULL, NULL, 165, NULL, NULL, 19094),
(44253, '1lldA02', NULL, NULL, 170, NULL, NULL, 19094),
(44254, '4jcoA02', NULL, NULL, 161, NULL, NULL, 19094),
(44255, '5w8jA02', NULL, NULL, 168, NULL, NULL, 19094),
(44256, '4e0bA02', NULL, NULL, 164, NULL, NULL, 19094),
(44257, '3d5tA02', NULL, NULL, 172, NULL, NULL, 19094),
(44258, '4q3nA02', NULL, NULL, 169, NULL, NULL, 19094),
(44259, '4plzA02', NULL, NULL, 173, NULL, NULL, 19094),
(44260, '3vpgA02', NULL, NULL, 169, NULL, NULL, 19094);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(44261, '5mdhA02', NULL, NULL, 180, NULL, NULL, 19094),
(44262, '6j9sB02', NULL, NULL, 176, NULL, NULL, 19094),
(44263, '1hyhC02', NULL, NULL, 159, NULL, NULL, 19094),
(44264, '2i6tA02', NULL, NULL, 153, NULL, NULL, 19094),
(44265, '5k0zA02', NULL, NULL, 168, NULL, NULL, 19094),
(44266, '2p38A01', NULL, NULL, 94, NULL, NULL, 19095),
(44267, '1sqwA01', NULL, NULL, 93, NULL, NULL, 19095),
(44268, '3c3dA02', NULL, NULL, 88, NULL, NULL, 19096),
(44269, '3m4aA02', NULL, NULL, 136, NULL, NULL, 19097),
(44270, '3ka7A02', NULL, NULL, 206, NULL, NULL, 19098),
(44271, '3nrnA02', NULL, NULL, 197, NULL, NULL, 19098),
(44272, '1qexA01', NULL, NULL, 35, NULL, NULL, 19099),
(44273, '4egvA02', NULL, NULL, 75, NULL, NULL, 19100),
(44274, '3w7tA04', NULL, NULL, 32, NULL, NULL, 19101),
(44275, '1u6kA02', NULL, NULL, 103, NULL, NULL, 19102),
(44276, '3iqeA02', NULL, NULL, 103, NULL, NULL, 19102),
(44277, '1u6kB02', NULL, NULL, 103, NULL, NULL, 19102),
(44278, '1qv9C02', NULL, NULL, 103, NULL, NULL, 19102),
(44279, '1qv9A02', NULL, NULL, 103, NULL, NULL, 19102),
(44280, '1u6kC02', NULL, NULL, 103, NULL, NULL, 19102),
(44281, '1qv9B02', NULL, NULL, 103, NULL, NULL, 19102),
(44282, '5b66O01', NULL, NULL, 187, NULL, NULL, 19103),
(44283, '5g38A00', NULL, NULL, 172, NULL, NULL, 19103),
(44284, '5xnlo01', NULL, NULL, 176, NULL, NULL, 19103),
(44285, '3jcuO01', NULL, NULL, 177, NULL, NULL, 19103),
(44286, '1mabA03', NULL, NULL, 130, NULL, NULL, 19104),
(44287, '3oaaA03', NULL, NULL, 131, NULL, NULL, 19104),
(44288, '3ziaA03', NULL, NULL, 129, NULL, NULL, 19104),
(44289, '1fx0A03', NULL, NULL, 135, NULL, NULL, 19104),
(44290, '2qe7A03', NULL, NULL, 126, NULL, NULL, 19104),
(44291, '2ck3A03', NULL, NULL, 131, NULL, NULL, 19104),
(44292, '5fl7A03', NULL, NULL, 131, NULL, NULL, 19104),
(44293, '2r9vA03', NULL, NULL, 128, NULL, NULL, 19104),
(44294, '5cdfA03', NULL, NULL, 131, NULL, NULL, 19104),
(44295, '1skyB03', NULL, NULL, 128, NULL, NULL, 19104),
(44296, '3bxjA02', NULL, NULL, 104, NULL, NULL, 19105),
(44297, '3sfvB02', NULL, NULL, 200, NULL, NULL, 19106),
(44298, '2l37A00', NULL, NULL, 43, NULL, NULL, 19107),
(44299, '5aysC00', NULL, NULL, 112, NULL, NULL, 19108),
(44300, '2kcdA00', NULL, NULL, 120, NULL, NULL, 19108),
(44301, '3fkqA01', NULL, NULL, 116, NULL, NULL, 19109),
(44302, '1k92A03', NULL, NULL, 64, NULL, NULL, 19110),
(44303, '6e5yA03', NULL, NULL, 69, NULL, NULL, 19110),
(44304, '3rmhA00', NULL, NULL, 149, NULL, NULL, 19111),
(44305, '3zqjA06', NULL, NULL, 139, NULL, NULL, 19112),
(44306, '3zqjE02', NULL, NULL, 169, NULL, NULL, 19112),
(44307, '2vf7A02', NULL, NULL, 153, NULL, NULL, 19112),
(44308, '2vf8B05', NULL, NULL, 158, NULL, NULL, 19112),
(44309, '2r6fA02', NULL, NULL, 155, NULL, NULL, 19112),
(44310, '2r6fA06', NULL, NULL, 138, NULL, NULL, 19112),
(44311, '3me5A03', NULL, NULL, 115, NULL, NULL, 19113),
(44312, '1kn6A00', NULL, NULL, 90, NULL, NULL, 19114),
(44313, '5z62J00', NULL, NULL, 56, NULL, NULL, 19115),
(44314, '5b1aJ00', NULL, NULL, 59, NULL, NULL, 19115),
(44315, '1g6eA00', NULL, NULL, 87, NULL, NULL, 19116),
(44316, '1c01A00', NULL, NULL, 76, NULL, NULL, 19116),
(44317, '1bhuA00', NULL, NULL, 102, NULL, NULL, 19116),
(44318, '1f53A00', NULL, NULL, 84, NULL, NULL, 19116),
(44319, '3do9A01', NULL, NULL, 125, NULL, NULL, 19117),
(44320, '1z2nX03', NULL, NULL, 106, NULL, NULL, 19118),
(44321, '1whsB01', NULL, NULL, 40, NULL, NULL, 19119),
(44322, '1gxsB01', NULL, NULL, 40, NULL, NULL, 19119),
(44323, '4qhpA05', NULL, NULL, 327, NULL, NULL, 19120),
(44324, '5dllA05', NULL, NULL, 318, NULL, NULL, 19120),
(44325, '3b34A05', NULL, NULL, 325, NULL, NULL, 19120),
(44326, '6ea2A05', NULL, NULL, 339, NULL, NULL, 19120),
(44327, '5t1dB00', NULL, NULL, 112, NULL, NULL, 19121),
(44328, '2dhmA01', NULL, NULL, 90, NULL, NULL, 19122),
(44329, '3o2eA00', NULL, NULL, 87, NULL, NULL, 19122),
(44330, '2mcqA01', NULL, NULL, 75, NULL, NULL, 19122),
(44331, '1ny8A00', NULL, NULL, 97, NULL, NULL, 19122),
(44332, '2nclA00', NULL, NULL, 81, NULL, NULL, 19122),
(44333, '3tr3B00', NULL, NULL, 82, NULL, NULL, 19122);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(44334, '5nfmA00', NULL, NULL, 75, NULL, NULL, 19122),
(44335, '2kz0A01', NULL, NULL, 71, NULL, NULL, 19122),
(44336, '4puhA00', NULL, NULL, 93, NULL, NULL, 19122),
(44337, '4pugB01', NULL, NULL, 95, NULL, NULL, 19122),
(44338, '4puiB01', NULL, NULL, 93, NULL, NULL, 19122),
(44339, '1xs3A01', NULL, NULL, 75, NULL, NULL, 19122),
(44340, '2n8qA01', NULL, NULL, 94, NULL, NULL, 19122),
(44341, '2kdnA00', NULL, NULL, 108, NULL, NULL, 19122),
(44342, '5lciA00', NULL, NULL, 88, NULL, NULL, 19122),
(44343, '1v60A01', NULL, NULL, 82, NULL, NULL, 19122),
(44344, '5h0iA01', NULL, NULL, 292, NULL, NULL, 19123),
(44345, '1cvrA02', NULL, NULL, 231, NULL, NULL, 19123),
(44346, '3uoaB01', NULL, NULL, 228, NULL, NULL, 19123),
(44347, '3bijB00', NULL, NULL, 285, NULL, NULL, 19123),
(44348, '4hq0A00', NULL, NULL, 240, NULL, NULL, 19123),
(44349, '4jr2A00', NULL, NULL, 250, NULL, NULL, 19123),
(44350, '3sipC00', NULL, NULL, 157, NULL, NULL, 19123),
(44351, '4jj7A00', NULL, NULL, 275, NULL, NULL, 19123),
(44352, '4n6oA00', NULL, NULL, 278, NULL, NULL, 19123),
(44353, '1nw9B00', NULL, NULL, 277, NULL, NULL, 19123),
(44354, '3sirA00', NULL, NULL, 259, NULL, NULL, 19123),
(44355, '4jb8A00', NULL, NULL, 145, NULL, NULL, 19123),
(44356, '3od5A00', NULL, NULL, 278, NULL, NULL, 19123),
(44357, '2dkoA00', NULL, NULL, 146, NULL, NULL, 19123),
(44358, '6f6rA00', NULL, NULL, 180, NULL, NULL, 19123),
(44359, '1m72A00', NULL, NULL, 272, NULL, NULL, 19123),
(44360, '2fqqA01', NULL, NULL, 133, NULL, NULL, 19123),
(44361, '1qtnA00', NULL, NULL, 164, NULL, NULL, 19123),
(44362, '5jftB00', NULL, NULL, 249, NULL, NULL, 19123),
(44363, '4d3xA00', NULL, NULL, 262, NULL, NULL, 19123),
(44364, '1pyoC00', NULL, NULL, 167, NULL, NULL, 19123),
(44365, '3e4cB00', NULL, NULL, 277, NULL, NULL, 19123),
(44366, '2fp3A01', NULL, NULL, 228, NULL, NULL, 19123),
(44367, '4hvaA00', NULL, NULL, 265, NULL, NULL, 19123),
(44368, '3v4oA00', NULL, NULL, 245, NULL, NULL, 19123),
(44369, '3p4uA00', NULL, NULL, 157, NULL, NULL, 19123),
(44370, '4m9rB00', NULL, NULL, 259, NULL, NULL, 19123),
(44371, '4nomA01', NULL, NULL, 283, NULL, NULL, 19123),
(44372, '3h11A00', NULL, NULL, 212, NULL, NULL, 19123),
(44373, '2j32A00', NULL, NULL, 250, NULL, NULL, 19123),
(44374, '3psfA03', NULL, NULL, 328, NULL, NULL, 19124),
(44375, '3bzcA02', NULL, NULL, 260, NULL, NULL, 19124),
(44376, '3g74A00', NULL, NULL, 100, NULL, NULL, 19125),
(44377, '3g74B00', NULL, NULL, 100, NULL, NULL, 19125),
(44378, '3g74C00', NULL, NULL, 100, NULL, NULL, 19125),
(44379, '3g74D00', NULL, NULL, 100, NULL, NULL, 19125),
(44380, '3g74E00', NULL, NULL, 100, NULL, NULL, 19125),
(44381, '3g74F00', NULL, NULL, 100, NULL, NULL, 19125),
(44382, '3g74G00', NULL, NULL, 100, NULL, NULL, 19125),
(44383, '3g74H00', NULL, NULL, 100, NULL, NULL, 19125),
(44384, '2v0xA01', NULL, NULL, 179, NULL, NULL, 19126),
(44385, '3dohA01', NULL, NULL, 140, NULL, NULL, 19127),
(44386, '4a17H02', NULL, NULL, 41, NULL, NULL, 19128),
(44387, '1vwxI02', NULL, NULL, 40, NULL, NULL, 19128),
(44388, '3u5eI02', NULL, NULL, 47, NULL, NULL, 19128),
(44389, '5an9F02', NULL, NULL, 43, NULL, NULL, 19128),
(44390, '1vx7Q02', NULL, NULL, 45, NULL, NULL, 19128),
(44391, '2g8lA01', NULL, NULL, 80, NULL, NULL, 19129),
(44392, '2g8lB01', NULL, NULL, 80, NULL, NULL, 19129),
(44393, '2ffjA01', NULL, NULL, 62, NULL, NULL, 19129),
(44394, '1y8aA02', NULL, NULL, 116, NULL, NULL, 19130),
(44395, '2jh3A03', NULL, NULL, 112, NULL, NULL, 19131),
(44396, '4m1xD00', NULL, NULL, 72, NULL, NULL, 19132),
(44397, '3hg9A02', NULL, NULL, 46, NULL, NULL, 19133),
(44398, '4b0zA00', NULL, NULL, 229, NULL, NULL, 19134),
(44399, '3t5vA00', NULL, NULL, 316, NULL, NULL, 19134),
(44400, '4akmB00', NULL, NULL, 166, NULL, NULL, 19135),
(44401, '5gv0A00', NULL, NULL, 168, NULL, NULL, 19135),
(44402, '6hu9j00', NULL, NULL, 82, NULL, NULL, 19136),
(44403, '5z62H00', NULL, NULL, 82, NULL, NULL, 19136),
(44404, '5b1aH00', NULL, NULL, 85, NULL, NULL, 19136),
(44405, '3aquA02', NULL, NULL, 67, NULL, NULL, 19137),
(44406, '6epbA02', NULL, NULL, 63, NULL, NULL, 19137);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(44407, '1kfwA02', NULL, NULL, 63, NULL, NULL, 19137),
(44408, '3oa5A01', NULL, NULL, 132, NULL, NULL, 19137),
(44409, '1vf8A02', NULL, NULL, 71, NULL, NULL, 19137),
(44410, '4s3kA03', NULL, NULL, 60, NULL, NULL, 19137),
(44411, '4mnkA02', NULL, NULL, 65, NULL, NULL, 19137),
(44412, '2pi6A02', NULL, NULL, 68, NULL, NULL, 19137),
(44413, '3arxA03', NULL, NULL, 86, NULL, NULL, 19137),
(44414, '4dwsC01', NULL, NULL, 125, NULL, NULL, 19137),
(44415, '5gqbA03', NULL, NULL, 76, NULL, NULL, 19137),
(44416, '3fy1A02', NULL, NULL, 71, NULL, NULL, 19137),
(44417, '3g6mA02', NULL, NULL, 63, NULL, NULL, 19137),
(44418, '5dezA03', NULL, NULL, 74, NULL, NULL, 19137),
(44419, '3bxwA03', NULL, NULL, 55, NULL, NULL, 19137),
(44420, '4nzcA02', NULL, NULL, 97, NULL, NULL, 19137),
(44421, '1w9pA02', NULL, NULL, 63, NULL, NULL, 19137),
(44422, '5jh8A02', NULL, NULL, 67, NULL, NULL, 19137),
(44423, '4wiwA02', NULL, NULL, 69, NULL, NULL, 19137),
(44424, '3w4rA02', NULL, NULL, 78, NULL, NULL, 19137),
(44425, '1edqA03', NULL, NULL, 76, NULL, NULL, 19137),
(44426, '4p8vA02', NULL, NULL, 69, NULL, NULL, 19137),
(44427, '1hjxA02', NULL, NULL, 70, NULL, NULL, 19137),
(44428, '4uriA02', NULL, NULL, 59, NULL, NULL, 19137),
(44429, '3cz8A02', NULL, NULL, 57, NULL, NULL, 19137),
(44430, '1xrvA02', NULL, NULL, 68, NULL, NULL, 19137),
(44431, '4s3jA03', NULL, NULL, 60, NULL, NULL, 19137),
(44432, '4wkaA02', NULL, NULL, 69, NULL, NULL, 19137),
(44433, '1goiA02', NULL, NULL, 90, NULL, NULL, 19137),
(44434, '2escA02', NULL, NULL, 68, NULL, NULL, 19137),
(44435, '4w5uA02', NULL, NULL, 61, NULL, NULL, 19137),
(44436, '1ll7A02', NULL, NULL, 63, NULL, NULL, 19137),
(44437, '3qokA02', NULL, NULL, 97, NULL, NULL, 19137),
(44438, '1jndA02', NULL, NULL, 94, NULL, NULL, 19137),
(44439, '4q7nA02', NULL, NULL, 68, NULL, NULL, 19137),
(44440, '3alfA02', NULL, NULL, 70, NULL, NULL, 19137),
(44441, '1itxA02', NULL, NULL, 73, NULL, NULL, 19137),
(44442, '1v9mA02', NULL, NULL, 101, NULL, NULL, 19138),
(44443, '1v9mA03', NULL, NULL, 96, NULL, NULL, 19138),
(44444, '1vsgA02', NULL, NULL, 161, NULL, NULL, 19139),
(44445, '2vsgA02', NULL, NULL, 160, NULL, NULL, 19139),
(44446, '2fpnA02', NULL, NULL, 76, NULL, NULL, 19140),
(44447, '3fdeB01', NULL, NULL, 195, NULL, NULL, 19141),
(44448, '4pw7E01', NULL, NULL, 191, NULL, NULL, 19141),
(44449, '2zkgC00', NULL, NULL, 210, NULL, NULL, 19141),
(44450, '3q0bX00', NULL, NULL, 167, NULL, NULL, 19141),
(44451, '3olnA00', NULL, NULL, 192, NULL, NULL, 19141),
(44452, '3bi7A01', NULL, NULL, 195, NULL, NULL, 19141),
(44453, '2g7zA02', NULL, NULL, 125, NULL, NULL, 19142),
(44454, '3lupA02', NULL, NULL, 128, NULL, NULL, 19142),
(44455, '2dt8A02', NULL, NULL, 130, NULL, NULL, 19142),
(44456, '3nyiA02', NULL, NULL, 137, NULL, NULL, 19142),
(44457, '4x9xA02', NULL, NULL, 129, NULL, NULL, 19142),
(44458, '3fdjA03', NULL, NULL, 128, NULL, NULL, 19142),
(44459, '3jr7A03', NULL, NULL, 125, NULL, NULL, 19142),
(44460, '1pzxA03', NULL, NULL, 132, NULL, NULL, 19142),
(44461, '3pl5A03', NULL, NULL, 129, NULL, NULL, 19142),
(44462, '3fysA02', NULL, NULL, 129, NULL, NULL, 19142),
(44463, '6dj6A02', NULL, NULL, 126, NULL, NULL, 19142),
(44464, '1mgpA02', NULL, NULL, 134, NULL, NULL, 19142),
(44465, '2lvaA02', NULL, NULL, 27, NULL, NULL, 19143),
(44466, '2j0wA02', NULL, NULL, 93, NULL, NULL, 19144),
(44467, '2cdqA02', NULL, NULL, 97, NULL, NULL, 19144),
(44468, '1xu0A00', NULL, NULL, 102, NULL, NULL, 19145),
(44469, '1tqbA00', NULL, NULL, 102, NULL, NULL, 19145),
(44470, '2prp000', NULL, NULL, 142, NULL, NULL, 19145),
(44471, '1b10A00', NULL, NULL, 107, NULL, NULL, 19145),
(44472, '1i17A00', NULL, NULL, 107, NULL, NULL, 19145),
(44473, '2ktmA00', NULL, NULL, 68, NULL, NULL, 19145),
(44474, '3o79B00', NULL, NULL, 105, NULL, NULL, 19145),
(44475, '1u5lA00', NULL, NULL, 108, NULL, NULL, 19145),
(44476, '2mv8A01', NULL, NULL, 96, NULL, NULL, 19145),
(44477, '2k56A00', NULL, NULL, 113, NULL, NULL, 19145),
(44478, '1xyqA00', NULL, NULL, 111, NULL, NULL, 19145),
(44479, '6aq7A00', NULL, NULL, 101, NULL, NULL, 19145),
(44480, '1xyjA00', NULL, NULL, 111, NULL, NULL, 19145);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(44481, '1lg4A00', NULL, NULL, 101, NULL, NULL, 19145),
(44482, '1u3mA00', NULL, NULL, 117, NULL, NULL, 19145),
(44483, '3hakA00', NULL, NULL, 103, NULL, NULL, 19145),
(44484, '1uw3A00', NULL, NULL, 106, NULL, NULL, 19145),
(44485, '2lsbA00', NULL, NULL, 142, NULL, NULL, 19145),
(44486, '1i4mA00', NULL, NULL, 108, NULL, NULL, 19145),
(44487, '2ku4A00', NULL, NULL, 113, NULL, NULL, 19145),
(44488, '2kflA00', NULL, NULL, 112, NULL, NULL, 19145),
(44489, '1lpbA00', NULL, NULL, 95, NULL, NULL, 19146),
(44490, '2n8kA00', NULL, NULL, 76, NULL, NULL, 19146),
(44491, '1imtA00', NULL, NULL, 80, NULL, NULL, 19146),
(44492, '3s2kC00', NULL, NULL, 97, NULL, NULL, 19146),
(44493, '2kraA00', NULL, NULL, 77, NULL, NULL, 19146),
(44494, '2jtkA00', NULL, NULL, 90, NULL, NULL, 19146),
(44495, '4apmA03', NULL, NULL, 76, NULL, NULL, 19147),
(44496, '1v74B00', NULL, NULL, 87, NULL, NULL, 19148),
(44497, '3rw0A02', NULL, NULL, 107, NULL, NULL, 19149),
(44498, '5hk7B00', NULL, NULL, 152, NULL, NULL, 19149),
(44499, '1qleC01', NULL, NULL, 77, NULL, NULL, 19149),
(44500, '2a9hA00', NULL, NULL, 110, NULL, NULL, 19149),
(44501, '3oufB00', NULL, NULL, 97, NULL, NULL, 19149),
(44502, '4bw5C00', NULL, NULL, 265, NULL, NULL, 19149),
(44503, '3sypA02', NULL, NULL, 130, NULL, NULL, 19149),
(44504, '2r9rB03', NULL, NULL, 111, NULL, NULL, 19149),
(44505, '3k04B00', NULL, NULL, 96, NULL, NULL, 19149),
(44506, '6hu9c01', NULL, NULL, 78, NULL, NULL, 19149),
(44507, '2qksA01', NULL, NULL, 106, NULL, NULL, 19149),
(44508, '6cq9A00', NULL, NULL, 312, NULL, NULL, 19149),
(44509, '5cbgA00', NULL, NULL, 106, NULL, NULL, 19149),
(44510, '4x89A00', NULL, NULL, 97, NULL, NULL, 19149),
(44511, '2h8pC00', NULL, NULL, 57, NULL, NULL, 19149),
(44512, '4ekwC02', NULL, NULL, 99, NULL, NULL, 19149),
(44513, '1orqC01', NULL, NULL, 218, NULL, NULL, 19149),
(44514, '5vk6C00', NULL, NULL, 96, NULL, NULL, 19149),
(44515, '2ih3C00', NULL, NULL, 99, NULL, NULL, 19149),
(44516, '2k1eA00', NULL, NULL, 103, NULL, NULL, 19149),
(44517, '3rvyA02', NULL, NULL, 107, NULL, NULL, 19149),
(44518, '2yevA02', NULL, NULL, 74, NULL, NULL, 19149),
(44519, '4ekwA02', NULL, NULL, 105, NULL, NULL, 19149),
(44520, '5b1aC01', NULL, NULL, 70, NULL, NULL, 19149),
(44521, '3rw0B02', NULL, NULL, 107, NULL, NULL, 19149),
(44522, '4mswC00', NULL, NULL, 103, NULL, NULL, 19149),
(44523, '3behB02', NULL, NULL, 105, NULL, NULL, 19149),
(44524, '4j9zB00', NULL, NULL, 102, NULL, NULL, 19149),
(44525, '4dxwC02', NULL, NULL, 113, NULL, NULL, 19149),
(44526, '4gx0A01', NULL, NULL, 117, NULL, NULL, 19149),
(44527, '6jb1A02', NULL, NULL, 129, NULL, NULL, 19149),
(44528, '4h33A00', NULL, NULL, 102, NULL, NULL, 19149),
(44529, '1r3jC00', NULL, NULL, 103, NULL, NULL, 19149),
(44530, '3kg2A05', NULL, NULL, 169, NULL, NULL, 19149),
(44531, '3vouB00', NULL, NULL, 148, NULL, NULL, 19149),
(44532, '4lp8A01', NULL, NULL, 104, NULL, NULL, 19149),
(44533, '4twkB00', NULL, NULL, 266, NULL, NULL, 19149),
(44534, '5wbxB00', NULL, NULL, 95, NULL, NULL, 19149),
(44535, '5vkhC00', NULL, NULL, 103, NULL, NULL, 19149),
(44536, '2q67A00', NULL, NULL, 114, NULL, NULL, 19149),
(44537, '4wfeA00', NULL, NULL, 272, NULL, NULL, 19149),
(44538, '3ukmA01', NULL, NULL, 274, NULL, NULL, 19149),
(44539, '3um7A03', NULL, NULL, 105, NULL, NULL, 19149),
(44540, '3rbzA01', NULL, NULL, 68, NULL, NULL, 19149),
(44541, '3um7A01', NULL, NULL, 110, NULL, NULL, 19149),
(44542, '3ldcA00', NULL, NULL, 82, NULL, NULL, 19149),
(44543, '4ekwD02', NULL, NULL, 103, NULL, NULL, 19149),
(44544, '1m56C01', NULL, NULL, 70, NULL, NULL, 19149),
(44545, '5kukA02', NULL, NULL, 132, NULL, NULL, 19149),
(44546, '1lnqA01', NULL, NULL, 80, NULL, NULL, 19149),
(44547, '1p7bA01', NULL, NULL, 108, NULL, NULL, 19149),
(44548, '4ekwB02', NULL, NULL, 105, NULL, NULL, 19149),
(44549, '2fmlA01', NULL, NULL, 35, NULL, NULL, 19150),
(44550, '3vb8B00', NULL, NULL, 161, NULL, NULL, 19151),
(44551, '3ii2A00', NULL, NULL, 157, NULL, NULL, 19151),
(44552, '1lkxA02', NULL, NULL, 58, NULL, NULL, 19152),
(44553, '1br2A02', NULL, NULL, 56, NULL, NULL, 19152),
(44554, '1lvkA03', NULL, NULL, 60, NULL, NULL, 19152);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(44555, '2mysA03', NULL, NULL, 60, NULL, NULL, 19152),
(44556, '2x51A03', NULL, NULL, 57, NULL, NULL, 19152),
(44557, '3zuaA01', NULL, NULL, 131, NULL, NULL, 19153),
(44558, '1aecA00', NULL, NULL, 218, NULL, NULL, 19153),
(44559, '2pnsA00', NULL, NULL, 208, NULL, NULL, 19153),
(44560, '4q8gA00', NULL, NULL, 376, NULL, NULL, 19153),
(44561, '3pw3D00', NULL, NULL, 383, NULL, NULL, 19153),
(44562, '1pciA00', NULL, NULL, 322, NULL, NULL, 19153),
(44563, '2y6eE00', NULL, NULL, 367, NULL, NULL, 19153),
(44564, '1qxpA02', NULL, NULL, 144, NULL, NULL, 19153),
(44565, '3rvvA00', NULL, NULL, 223, NULL, NULL, 19153),
(44566, '5ef4B00', NULL, NULL, 328, NULL, NULL, 19153),
(44567, '6ffaA00', NULL, NULL, 167, NULL, NULL, 19153),
(44568, '6gh9B00', NULL, NULL, 346, NULL, NULL, 19153),
(44569, '1ppoA00', NULL, NULL, 216, NULL, NULL, 19153),
(44570, '4msxA02', NULL, NULL, 327, NULL, NULL, 19153),
(44571, '6czsA00', NULL, NULL, 312, NULL, NULL, 19153),
(44572, '3bcnA00', NULL, NULL, 209, NULL, NULL, 19153),
(44573, '4x6hA00', NULL, NULL, 215, NULL, NULL, 19153),
(44574, '5a24A00', NULL, NULL, 222, NULL, NULL, 19153),
(44575, '2vhfB00', NULL, NULL, 374, NULL, NULL, 19153),
(44576, '1o0eA00', NULL, NULL, 208, NULL, NULL, 19153),
(44577, '1iwdA00', NULL, NULL, 215, NULL, NULL, 19153),
(44578, '1pxvA00', NULL, NULL, 183, NULL, NULL, 19153),
(44579, '6bdtB02', NULL, NULL, 150, NULL, NULL, 19153),
(44580, '1m6dA00', NULL, NULL, 214, NULL, NULL, 19153),
(44581, '2vhsA00', NULL, NULL, 217, NULL, NULL, 19153),
(44582, '3ioqA00', NULL, NULL, 213, NULL, NULL, 19153),
(44583, '2dccA00', NULL, NULL, 256, NULL, NULL, 19153),
(44584, '1mirA00', NULL, NULL, 322, NULL, NULL, 19153),
(44585, '5ef4A00', NULL, NULL, 345, NULL, NULL, 19153),
(44586, '8pchA00', NULL, NULL, 220, NULL, NULL, 19153),
(44587, '2xu3A00', NULL, NULL, 220, NULL, NULL, 19153),
(44588, '2cb5A01', NULL, NULL, 401, NULL, NULL, 19153),
(44589, '3ervA00', NULL, NULL, 208, NULL, NULL, 19153),
(44590, '4yyqA00', NULL, NULL, 217, NULL, NULL, 19153),
(44591, '4yywA00', NULL, NULL, 220, NULL, NULL, 19153),
(44592, '3pdfA02', NULL, NULL, 235, NULL, NULL, 19153),
(44593, '5fpwA00', NULL, NULL, 321, NULL, NULL, 19153),
(44594, '1zcmA02', NULL, NULL, 134, NULL, NULL, 19153),
(44595, '3oisB00', NULL, NULL, 268, NULL, NULL, 19153),
(44596, '4bs6A00', NULL, NULL, 225, NULL, NULL, 19153),
(44597, '1kfuL02', NULL, NULL, 143, NULL, NULL, 19153),
(44598, '1gecE00', NULL, NULL, 216, NULL, NULL, 19153),
(44599, '2c0yA00', NULL, NULL, 315, NULL, NULL, 19153),
(44600, '4ry2A01', NULL, NULL, 155, NULL, NULL, 19153),
(44601, '1vjvA01', NULL, NULL, 317, NULL, NULL, 19153),
(44602, '1theA00', NULL, NULL, 260, NULL, NULL, 19153),
(44603, '3b79A00', NULL, NULL, 129, NULL, NULL, 19153),
(44604, '4k7cA01', NULL, NULL, 394, NULL, NULL, 19153),
(44605, '1jqpA02', NULL, NULL, 233, NULL, NULL, 19153),
(44606, '3wxfA00', NULL, NULL, 312, NULL, NULL, 19153),
(44607, '5cvmA00', NULL, NULL, 334, NULL, NULL, 19153),
(44608, '3u8eA00', NULL, NULL, 222, NULL, NULL, 19153),
(44609, '1yalA00', NULL, NULL, 218, NULL, NULL, 19153),
(44610, '1cqdA00', NULL, NULL, 221, NULL, NULL, 19153),
(44611, '6ml1A00', NULL, NULL, 349, NULL, NULL, 19153),
(44612, '2fo5A00', NULL, NULL, 226, NULL, NULL, 19153),
(44613, '5chtB00', NULL, NULL, 326, NULL, NULL, 19153),
(44614, '2b1mA00', NULL, NULL, 226, NULL, NULL, 19153),
(44615, '3qj3B00', NULL, NULL, 315, NULL, NULL, 19153),
(44616, '2cioA00', NULL, NULL, 212, NULL, NULL, 19153),
(44617, '2oulA00', NULL, NULL, 241, NULL, NULL, 19153),
(44618, '5k16A00', NULL, NULL, 355, NULL, NULL, 19153),
(44619, '4i07A00', NULL, NULL, 254, NULL, NULL, 19153),
(44620, '3hhiA00', NULL, NULL, 270, NULL, NULL, 19153),
(44621, '1df0A02', NULL, NULL, 114, NULL, NULL, 19153),
(44622, '3i06A00', NULL, NULL, 215, NULL, NULL, 19153),
(44623, '1x9yA02', NULL, NULL, 191, NULL, NULL, 19153),
(44624, '3k8uA01', NULL, NULL, 146, NULL, NULL, 19153),
(44625, '2wbfX00', NULL, NULL, 265, NULL, NULL, 19153),
(44626, '4qrvA00', NULL, NULL, 316, NULL, NULL, 19153),
(44627, '1mhwA00', NULL, NULL, 175, NULL, NULL, 19153);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(44628, '1cv8A00', NULL, NULL, 174, NULL, NULL, 19153),
(44629, '3p5uA00', NULL, NULL, 220, NULL, NULL, 19153),
(44630, '4g54A01', NULL, NULL, 125, NULL, NULL, 19153),
(44631, '1mdwB02', NULL, NULL, 137, NULL, NULL, 19153),
(44632, '3f75A00', NULL, NULL, 224, NULL, NULL, 19153),
(44633, '2p86A00', NULL, NULL, 215, NULL, NULL, 19153),
(44634, '3f5vA00', NULL, NULL, 222, NULL, NULL, 19153),
(44635, '2e01A01', NULL, NULL, 400, NULL, NULL, 19153),
(44636, '2r9fA02', NULL, NULL, 145, NULL, NULL, 19153),
(44637, '2actA00', NULL, NULL, 220, NULL, NULL, 19153),
(44638, '2gfoA00', NULL, NULL, 349, NULL, NULL, 19153),
(44639, '4oelA02', NULL, NULL, 156, NULL, NULL, 19153),
(44640, '3qt4A00', NULL, NULL, 310, NULL, NULL, 19153),
(44641, '1zivA02', NULL, NULL, 146, NULL, NULL, 19153),
(44642, '5z5oA00', NULL, NULL, 314, NULL, NULL, 19153),
(44643, '2bdzA00', NULL, NULL, 214, NULL, NULL, 19153),
(44644, '3bwkC00', NULL, NULL, 243, NULL, NULL, 19153),
(44645, '1cs8A00', NULL, NULL, 316, NULL, NULL, 19153),
(44646, '2f7dA00', NULL, NULL, 215, NULL, NULL, 19153),
(44647, '4yyuA00', NULL, NULL, 222, NULL, NULL, 19153),
(44648, '5mblA00', NULL, NULL, 256, NULL, NULL, 19153),
(44649, '3ihpA03', NULL, NULL, 357, NULL, NULL, 19153),
(44650, '1deuB00', NULL, NULL, 277, NULL, NULL, 19153),
(44651, '3i3tA00', NULL, NULL, 355, NULL, NULL, 19153),
(44652, '2nqaA02', NULL, NULL, 137, NULL, NULL, 19153),
(44653, '6okjA00', NULL, NULL, 215, NULL, NULL, 19153),
(44654, '2avwD01', NULL, NULL, 155, NULL, NULL, 19153),
(44655, '4fk5A02', NULL, NULL, 343, NULL, NULL, 19153),
(44656, '5t6uA00', NULL, NULL, 215, NULL, NULL, 19153),
(44657, '4i05A00', NULL, NULL, 285, NULL, NULL, 19153),
(44658, '6ay2B00', NULL, NULL, 255, NULL, NULL, 19153),
(44659, '1fh0A00', NULL, NULL, 221, NULL, NULL, 19153),
(44660, '5xveA00', NULL, NULL, 356, NULL, NULL, 19153),
(44661, '2o6xA00', NULL, NULL, 310, NULL, NULL, 19153),
(44662, '4czwA01', NULL, NULL, 404, NULL, NULL, 19153),
(44663, '1xkgA00', NULL, NULL, 312, NULL, NULL, 19153),
(44664, '6iikB00', NULL, NULL, 399, NULL, NULL, 19153),
(44665, '1s4vB00', NULL, NULL, 229, NULL, NULL, 19153),
(44666, '2h7jA00', NULL, NULL, 220, NULL, NULL, 19153),
(44667, '3otxA02', NULL, NULL, 63, NULL, NULL, 19154),
(44668, '3looA02', NULL, NULL, 63, NULL, NULL, 19154),
(44669, '2absA02', NULL, NULL, 62, NULL, NULL, 19154),
(44670, '5kb6A02', NULL, NULL, 63, NULL, NULL, 19154),
(44671, '3vasA02', NULL, NULL, 63, NULL, NULL, 19154),
(44672, '1q90D02', NULL, NULL, 93, NULL, NULL, 19155),
(44673, '4ogqB02', NULL, NULL, 94, NULL, NULL, 19155),
(44674, '4i7zB02', NULL, NULL, 94, NULL, NULL, 19155),
(44675, '4lj0A00', NULL, NULL, 66, NULL, NULL, 19156),
(44676, '4indA03', NULL, NULL, 123, NULL, NULL, 19157),
(44677, '4b45A02', NULL, NULL, 126, NULL, NULL, 19158),
(44678, '4b46A02', NULL, NULL, 138, NULL, NULL, 19158),
(44679, '4e6eA02', NULL, NULL, 96, NULL, NULL, 19158),
(44680, '4u3jB02', NULL, NULL, 114, NULL, NULL, 19158),
(44681, '4ffbA02', NULL, NULL, 115, NULL, NULL, 19158),
(44682, '3cb2A02', NULL, NULL, 112, NULL, NULL, 19158),
(44683, '2r75102', NULL, NULL, 118, NULL, NULL, 19158),
(44684, '3c8lB00', NULL, NULL, 122, NULL, NULL, 19158),
(44685, '2rhjA02', NULL, NULL, 115, NULL, NULL, 19158),
(44686, '1rq2B02', NULL, NULL, 96, NULL, NULL, 19158),
(44687, '5n5nA02', NULL, NULL, 114, NULL, NULL, 19158),
(44688, '4i4tA02', NULL, NULL, 115, NULL, NULL, 19158),
(44689, '2vapA02', NULL, NULL, 115, NULL, NULL, 19158),
(44690, '1w5fA02', NULL, NULL, 121, NULL, NULL, 19158),
(44691, '5mn7A02', NULL, NULL, 139, NULL, NULL, 19158),
(44692, '2gviA02', NULL, NULL, 97, NULL, NULL, 19158),
(44693, '2btoB02', NULL, NULL, 106, NULL, NULL, 19158),
(44694, '4i4tD02', NULL, NULL, 114, NULL, NULL, 19158),
(44695, '4m8iA02', NULL, NULL, 101, NULL, NULL, 19158),
(44696, '6e7bB02', NULL, NULL, 114, NULL, NULL, 19158),
(44697, '1ofuA02', NULL, NULL, 96, NULL, NULL, 19158),
(44698, '2btqB02', NULL, NULL, 107, NULL, NULL, 19158),
(44699, '2fgtA03', NULL, NULL, 144, NULL, NULL, 19159),
(44700, '2o3oA02', NULL, NULL, 120, NULL, NULL, 19159); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(44701, '4bqnA02', NULL, NULL, 127, NULL, NULL, 19160),
(44702, '2iu8C01', NULL, NULL, 104, NULL, NULL, 19161),
(44703, '4c12A01', NULL, NULL, 98, NULL, NULL, 19161),
(44704, '1e8cA01', NULL, NULL, 103, NULL, NULL, 19161),
(44705, '4e79B01', NULL, NULL, 104, NULL, NULL, 19161),
(44706, '3pmoA01', NULL, NULL, 119, NULL, NULL, 19161),
(44707, '3zm6A01', NULL, NULL, 80, NULL, NULL, 19161),
(44708, '4bubB01', NULL, NULL, 98, NULL, NULL, 19161),
(44709, '3zl8A01', NULL, NULL, 62, NULL, NULL, 19161),
(44710, '4ihfA01', NULL, NULL, 106, NULL, NULL, 19161),
(44711, '1gg4A03', NULL, NULL, 80, NULL, NULL, 19161),
(44712, '2wtzC01', NULL, NULL, 110, NULL, NULL, 19161),
(44713, '4cvkA01', NULL, NULL, 82, NULL, NULL, 19161),
(44714, '4ziyA01', NULL, NULL, 101, NULL, NULL, 19161),
(44715, '3it4B01', NULL, NULL, 79, NULL, NULL, 19162),
(44716, '2v4iB01', NULL, NULL, 78, NULL, NULL, 19162),
(44717, '1vraB01', NULL, NULL, 85, NULL, NULL, 19162),
(44718, '1rp0A01', NULL, NULL, 21, NULL, NULL, 19163),
(44719, '5fo8B03', NULL, NULL, 121, NULL, NULL, 19164),
(44720, '2b39A10', NULL, NULL, 116, NULL, NULL, 19164),
(44721, '3cu7A10', NULL, NULL, 115, NULL, NULL, 19164),
(44722, '2pn5A08', NULL, NULL, 111, NULL, NULL, 19164),
(44723, '5jpnB04', NULL, NULL, 121, NULL, NULL, 19164),
(44724, '4lnvA08', NULL, NULL, 111, NULL, NULL, 19164),
(44725, '2qdjA02', NULL, NULL, 77, NULL, NULL, 19165),
(44726, '2vhjA02', NULL, NULL, 62, NULL, NULL, 19166),
(44727, '2fknA01', NULL, NULL, 344, NULL, NULL, 19167),
(44728, '1x87A01', NULL, NULL, 333, NULL, NULL, 19167),
(44729, '1uwkB01', NULL, NULL, 349, NULL, NULL, 19167),
(44730, '3hhsB02', NULL, NULL, 277, NULL, NULL, 19168),
(44731, '3w6wB01', NULL, NULL, 457, NULL, NULL, 19168),
(44732, '4z0zA00', NULL, NULL, 350, NULL, NULL, 19168),
(44733, '2p3xA00', NULL, NULL, 339, NULL, NULL, 19168),
(44734, '1hcyA02', NULL, NULL, 228, NULL, NULL, 19168),
(44735, '3gwjA02', NULL, NULL, 233, NULL, NULL, 19168),
(44736, '5ce9B00', NULL, NULL, 339, NULL, NULL, 19168),
(44737, '3qjoA01', NULL, NULL, 286, NULL, NULL, 19168),
(44738, '1js8A01', NULL, NULL, 284, NULL, NULL, 19168),
(44739, '3hhsA02', NULL, NULL, 276, NULL, NULL, 19168),
(44740, '4hd4A00', NULL, NULL, 303, NULL, NULL, 19168),
(44741, '3wjmA02', NULL, NULL, 233, NULL, NULL, 19168),
(44742, '5z0fA00', NULL, NULL, 281, NULL, NULL, 19168),
(44743, '3wjmB02', NULL, NULL, 233, NULL, NULL, 19168),
(44744, '4yzwA02', NULL, NULL, 276, NULL, NULL, 19168),
(44745, '1llaA03', NULL, NULL, 268, NULL, NULL, 19168),
(44746, '2y9wA00', NULL, NULL, 391, NULL, NULL, 19168),
(44747, '5or3A00', NULL, NULL, 383, NULL, NULL, 19168),
(44748, '1lnlA01', NULL, NULL, 307, NULL, NULL, 19168),
(44749, '1bt3A00', NULL, NULL, 345, NULL, NULL, 19168),
(44750, '4ouaB01', NULL, NULL, 378, NULL, NULL, 19168),
(44751, '3wkyA02', NULL, NULL, 281, NULL, NULL, 19168),
(44752, '1zk5A00', NULL, NULL, 176, NULL, NULL, 19169),
(44753, '2bscA00', NULL, NULL, 177, NULL, NULL, 19169),
(44754, '2pwwA00', NULL, NULL, 127, NULL, NULL, 19170),
(44755, '2r5xA00', NULL, NULL, 129, NULL, NULL, 19170),
(44756, '3snhA02', NULL, NULL, 246, NULL, NULL, 19171),
(44757, '3zvrA02', NULL, NULL, 238, NULL, NULL, 19171),
(44758, '5a3fA02', NULL, NULL, 245, NULL, NULL, 19171),
(44759, '4bejD02', NULL, NULL, 256, NULL, NULL, 19171),
(44760, '3ljbA00', NULL, NULL, 231, NULL, NULL, 19171),
(44761, '4x0rB00', NULL, NULL, 239, NULL, NULL, 19171),
(44762, '1or7C00', NULL, NULL, 66, NULL, NULL, 19172),
(44763, '1nepA00', NULL, NULL, 130, NULL, NULL, 19173),
(44764, '1xwvA00', NULL, NULL, 129, NULL, NULL, 19173),
(44765, '3b2dC00', NULL, NULL, 144, NULL, NULL, 19173),
(44766, '3vq2C00', NULL, NULL, 144, NULL, NULL, 19173),
(44767, '3m7oA00', NULL, NULL, 137, NULL, NULL, 19173),
(44768, '2e56A00', NULL, NULL, 144, NULL, NULL, 19173),
(44769, '1ktjA00', NULL, NULL, 129, NULL, NULL, 19173),
(44770, '3mtxA00', NULL, NULL, 151, NULL, NULL, 19173),
(44771, '3webA00', NULL, NULL, 132, NULL, NULL, 19173),
(44772, '5kwyC00', NULL, NULL, 133, NULL, NULL, 19173),
(44773, '3rg1P00', NULL, NULL, 147, NULL, NULL, 19173); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(44774, '4jzaA03', NULL, NULL, 154, NULL, NULL, 19174),
(44775, '4bhqA00', NULL, NULL, 114, NULL, NULL, 19175),
(44776, '2jwyA01', NULL, NULL, 135, NULL, NULL, 19176),
(44777, '4c47A01', NULL, NULL, 136, NULL, NULL, 19176),
(44778, '4oazA00', NULL, NULL, 92, NULL, NULL, 19177),
(44779, '5tzdB00', NULL, NULL, 91, NULL, NULL, 19177),
(44780, '2wmfA03', NULL, NULL, 126, NULL, NULL, 19178),
(44781, '4d6gA03', NULL, NULL, 142, NULL, NULL, 19178),
(44782, '1hn0A04', NULL, NULL, 122, NULL, NULL, 19178),
(44783, '1rwhA03', NULL, NULL, 114, NULL, NULL, 19178),
(44784, '1f1sA03', NULL, NULL, 82, NULL, NULL, 19178),
(44785, '1cb8A03', NULL, NULL, 110, NULL, NULL, 19178),
(44786, '2q1fA04', NULL, NULL, 152, NULL, NULL, 19178),
(44787, '2wcoA03', NULL, NULL, 115, NULL, NULL, 19178),
(44788, '1x1iA03', NULL, NULL, 118, NULL, NULL, 19178),
(44789, '1n7oA03', NULL, NULL, 85, NULL, NULL, 19178),
(44790, '2z84A00', NULL, NULL, 218, NULL, NULL, 19179),
(44791, '3oqcA02', NULL, NULL, 212, NULL, NULL, 19179),
(44792, '2d16B00', NULL, NULL, 162, NULL, NULL, 19180),
(44793, '1vggA00', NULL, NULL, 161, NULL, NULL, 19180),
(44794, '1wvqC00', NULL, NULL, 167, NULL, NULL, 19180),
(44795, '2ekmA00', NULL, NULL, 162, NULL, NULL, 19180),
(44796, '1rlhA02', NULL, NULL, 101, NULL, NULL, 19180),
(44797, '3cqcB01', NULL, NULL, 92, NULL, NULL, 19181),
(44798, '1xszA03', NULL, NULL, 157, NULL, NULL, 19182),
(44799, '4d7qA03', NULL, NULL, 149, NULL, NULL, 19182),
(44800, '3ieyB00', NULL, NULL, 153, NULL, NULL, 19183),
(44801, '3p1yA01', NULL, NULL, 138, NULL, NULL, 19183),
(44802, '4ncbA02', NULL, NULL, 76, NULL, NULL, 19184),
(44803, '1g5gA03', NULL, NULL, 60, NULL, NULL, 19185),
(44804, '1ztmA03', NULL, NULL, 53, NULL, NULL, 19185),
(44805, '4gipD03', NULL, NULL, 57, NULL, NULL, 19185),
(44806, '4tkzA00', NULL, NULL, 130, NULL, NULL, 19186),
(44807, '5t3uB00', NULL, NULL, 148, NULL, NULL, 19186),
(44808, '3iprA00', NULL, NULL, 150, NULL, NULL, 19186),
(44809, '2iacB00', NULL, NULL, 142, NULL, NULL, 19186),
(44810, '2iacA00', NULL, NULL, 142, NULL, NULL, 19186),
(44811, '3gdwB00', NULL, NULL, 139, NULL, NULL, 19186),
(44812, '3bedB00', NULL, NULL, 142, NULL, NULL, 19186),
(44813, '3gdwA00', NULL, NULL, 139, NULL, NULL, 19186),
(44814, '3b48F00', NULL, NULL, 135, NULL, NULL, 19186),
(44815, '5im4F00', NULL, NULL, 138, NULL, NULL, 19186),
(44816, '3bedA00', NULL, NULL, 142, NULL, NULL, 19186),
(44817, '3ct6A00', NULL, NULL, 131, NULL, NULL, 19186),
(44818, '3gx1B00', NULL, NULL, 130, NULL, NULL, 19186),
(44819, '3gx1A00', NULL, NULL, 130, NULL, NULL, 19186),
(44820, '3lfhA00', NULL, NULL, 144, NULL, NULL, 19186),
(44821, '1pdoA00', NULL, NULL, 135, NULL, NULL, 19186),
(44822, '3mtqB00', NULL, NULL, 159, NULL, NULL, 19186),
(44823, '3wwjA02', NULL, NULL, 176, NULL, NULL, 19187),
(44824, '5cm0A02', NULL, NULL, 156, NULL, NULL, 19187),
(44825, '4dqnA02', NULL, NULL, 182, NULL, NULL, 19187),
(44826, '6nstA02', NULL, NULL, 163, NULL, NULL, 19187),
(44827, '3wwhA02', NULL, NULL, 176, NULL, NULL, 19187),
(44828, '4jxuB02', NULL, NULL, 157, NULL, NULL, 19187),
(44829, '1iyeA02', NULL, NULL, 160, NULL, NULL, 19187),
(44830, '5k3wB02', NULL, NULL, 174, NULL, NULL, 19187),
(44831, '4chiA02', NULL, NULL, 187, NULL, NULL, 19187),
(44832, '2eiyB02', NULL, NULL, 164, NULL, NULL, 19187),
(44833, '4pbcA02', NULL, NULL, 142, NULL, NULL, 19187),
(44834, '4tm5A02', NULL, NULL, 166, NULL, NULL, 19187),
(44835, '3qqmA02', NULL, NULL, 133, NULL, NULL, 19187),
(44836, '4tviA02', NULL, NULL, 154, NULL, NULL, 19187),
(44837, '3cswA02', NULL, NULL, 169, NULL, NULL, 19187),
(44838, '3u0gF02', NULL, NULL, 167, NULL, NULL, 19187),
(44839, '3lulB02', NULL, NULL, 157, NULL, NULL, 19187),
(44840, '4ce5A02', NULL, NULL, 187, NULL, NULL, 19187),
(44841, '4cmfA02', NULL, NULL, 177, NULL, NULL, 19187),
(44842, '2y4rA02', NULL, NULL, 160, NULL, NULL, 19187),
(44843, '3snoA02', NULL, NULL, 130, NULL, NULL, 19187),
(44844, '2zgiD02', NULL, NULL, 146, NULL, NULL, 19187),
(44845, '5ce8A02', NULL, NULL, 161, NULL, NULL, 19187),
(44846, '1i2kA02', NULL, NULL, 145, NULL, NULL, 19187);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(44847, '3uzoA02', NULL, NULL, 180, NULL, NULL, 19187),
(44848, '6h65A02', NULL, NULL, 165, NULL, NULL, 19187),
(44849, '5mr0A02', NULL, NULL, 156, NULL, NULL, 19187),
(44850, '3dtgA02', NULL, NULL, 173, NULL, NULL, 19187),
(44851, '5cr5A02', NULL, NULL, 175, NULL, NULL, 19187),
(44852, '6bb9A02', NULL, NULL, 158, NULL, NULL, 19187),
(44853, '2coiA02', NULL, NULL, 180, NULL, NULL, 19187),
(44854, '4k6nA02', NULL, NULL, 153, NULL, NULL, 19187),
(44855, '6fteB02', NULL, NULL, 190, NULL, NULL, 19187),
(44856, '6q8eA02', NULL, NULL, 165, NULL, NULL, 19187),
(44857, '3cebA02', NULL, NULL, 109, NULL, NULL, 19187),
(44858, '3lqsA02', NULL, NULL, 162, NULL, NULL, 19187),
(44859, '5u3fA02', NULL, NULL, 187, NULL, NULL, 19187),
(44860, '4epsA02', NULL, NULL, 125, NULL, NULL, 19188),
(44861, '3f42A00', NULL, NULL, 99, NULL, NULL, 19189),
(44862, '3f42B00', NULL, NULL, 99, NULL, NULL, 19189),
(44863, '1pugB00', NULL, NULL, 74, NULL, NULL, 19189),
(44864, '1pugC00', NULL, NULL, 109, NULL, NULL, 19189),
(44865, '5yrxA00', NULL, NULL, 71, NULL, NULL, 19189),
(44866, '1ybxA00', NULL, NULL, 101, NULL, NULL, 19189),
(44867, '1j8bA00', NULL, NULL, 112, NULL, NULL, 19189),
(44868, '1mnnA00', NULL, NULL, 308, NULL, NULL, 19190),
(44869, '2q97T00', NULL, NULL, 109, NULL, NULL, 19191),
(44870, '4hvzA01', NULL, NULL, 112, NULL, NULL, 19192),
(44871, '3o3mB01', NULL, NULL, 103, NULL, NULL, 19193),
(44872, '2i15A02', NULL, NULL, 91, NULL, NULL, 19194),
(44873, '4k7jA02', NULL, NULL, 123, NULL, NULL, 19195),
(44874, '5luzA02', NULL, NULL, 378, NULL, NULL, 19196),
(44875, '2o36A02', NULL, NULL, 387, NULL, NULL, 19196),
(44876, '2o3eA02', NULL, NULL, 375, NULL, NULL, 19196),
(44877, '4e18B00', NULL, NULL, 59, NULL, NULL, 19197),
(44878, '2zyrB03', NULL, NULL, 153, NULL, NULL, 19198),
(44879, '3i1aA03', NULL, NULL, 125, NULL, NULL, 19199),
(44880, '2m7oA00', NULL, NULL, 70, NULL, NULL, 19200),
(44881, '4kf8B00', NULL, NULL, 319, NULL, NULL, 19201),
(44882, '3khiA01', NULL, NULL, 125, NULL, NULL, 19202),
(44883, '4h4nA00', NULL, NULL, 67, NULL, NULL, 19203),
(44884, '5i34A02', NULL, NULL, 95, NULL, NULL, 19204),
(44885, '3ue9A02', NULL, NULL, 100, NULL, NULL, 19204),
(44886, '3r7tA02', NULL, NULL, 99, NULL, NULL, 19204),
(44887, '1dj3A02', NULL, NULL, 99, NULL, NULL, 19204),
(44888, '2v40A02', NULL, NULL, 100, NULL, NULL, 19204),
(44889, '1adeA02', NULL, NULL, 100, NULL, NULL, 19204),
(44890, '1iweA02', NULL, NULL, 100, NULL, NULL, 19204),
(44891, '3hidA02', NULL, NULL, 100, NULL, NULL, 19204),
(44892, '4m9dA02', NULL, NULL, 100, NULL, NULL, 19204),
(44893, '1dj2A02', NULL, NULL, 99, NULL, NULL, 19204),
(44894, '1p9bA02', NULL, NULL, 98, NULL, NULL, 19204),
(44895, '3ii7A00', NULL, NULL, 306, NULL, NULL, 19205),
(44896, '6gy5A00', NULL, NULL, 304, NULL, NULL, 19205),
(44897, '2zwaA02', NULL, NULL, 327, NULL, NULL, 19205),
(44898, '4chbA00', NULL, NULL, 302, NULL, NULL, 19205),
(44899, '4ascA00', NULL, NULL, 315, NULL, NULL, 19205),
(44900, '4ch9A00', NULL, NULL, 292, NULL, NULL, 19205),
(44901, '1zgkA00', NULL, NULL, 288, NULL, NULL, 19205),
(44902, '1x2jA00', NULL, NULL, 316, NULL, NULL, 19205),
(44903, '2vpjA00', NULL, NULL, 301, NULL, NULL, 19205),
(44904, '2wozA00', NULL, NULL, 318, NULL, NULL, 19205),
(44905, '5wfvB00', NULL, NULL, 300, NULL, NULL, 19205),
(44906, '4yy8A02', NULL, NULL, 299, NULL, NULL, 19205),
(44907, '3oyxA02', NULL, NULL, 68, NULL, NULL, 19206),
(44908, '5taoA02', NULL, NULL, 101, NULL, NULL, 19206),
(44909, '1fvpA00', NULL, NULL, 231, NULL, NULL, 19207),
(44910, '2i7gB00', NULL, NULL, 376, NULL, NULL, 19207),
(44911, '4uwmA00', NULL, NULL, 378, NULL, NULL, 19207),
(44912, '1z69A00', NULL, NULL, 327, NULL, NULL, 19207),
(44913, '5lxeA00', NULL, NULL, 335, NULL, NULL, 19207),
(44914, '1lucB00', NULL, NULL, 324, NULL, NULL, 19207),
(44915, '6askA00', NULL, NULL, 444, NULL, NULL, 19207),
(44916, '1lucA00', NULL, NULL, 355, NULL, NULL, 19207),
(44917, '1rhcA00', NULL, NULL, 330, NULL, NULL, 19207),
(44918, '2b81C00', NULL, NULL, 323, NULL, NULL, 19207),
(44919, '3raoB00', NULL, NULL, 353, NULL, NULL, 19207);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(44920, '5xkcA00', NULL, NULL, 453, NULL, NULL, 19207),
(44921, '5w4zA00', NULL, NULL, 461, NULL, NULL, 19207),
(44922, '1ezwA00', NULL, NULL, 349, NULL, NULL, 19207),
(44923, '1nfpA00', NULL, NULL, 228, NULL, NULL, 19207),
(44924, '3c8nA00', NULL, NULL, 356, NULL, NULL, 19207),
(44925, '6friA00', NULL, NULL, 325, NULL, NULL, 19207),
(44926, '5dqpB00', NULL, NULL, 430, NULL, NULL, 19207),
(44927, '3b9oA00', NULL, NULL, 440, NULL, NULL, 19207),
(44928, '4us5C00', NULL, NULL, 338, NULL, NULL, 19207),
(44929, '3sdoB00', NULL, NULL, 418, NULL, NULL, 19207),
(44930, '1nqkA00', NULL, NULL, 362, NULL, NULL, 19207),
(44931, '1f07A00', NULL, NULL, 321, NULL, NULL, 19207),
(44932, '5vqpA01', NULL, NULL, 253, NULL, NULL, 19208),
(44933, '5vqfD01', NULL, NULL, 244, NULL, NULL, 19208),
(44934, '2ch0A01', NULL, NULL, 98, NULL, NULL, 19209),
(44935, '4me3A01', NULL, NULL, 106, NULL, NULL, 19210),
(44936, '3jc6301', NULL, NULL, 113, NULL, NULL, 19210),
(44937, '3jc6201', NULL, NULL, 102, NULL, NULL, 19210),
(44938, '4ywkA01', NULL, NULL, 100, NULL, NULL, 19210),
(44939, '3ja8601', NULL, NULL, 105, NULL, NULL, 19210),
(44940, '4r7yA01', NULL, NULL, 104, NULL, NULL, 19210),
(44941, '1ltlA01', NULL, NULL, 98, NULL, NULL, 19210),
(44942, '3hwcA01', NULL, NULL, 147, NULL, NULL, 19211),
(44943, '1u8vA01', NULL, NULL, 143, NULL, NULL, 19211),
(44944, '2yykA01', NULL, NULL, 138, NULL, NULL, 19211),
(44945, '4g5eA01', NULL, NULL, 148, NULL, NULL, 19211),
(44946, '3slkA01', NULL, NULL, 177, NULL, NULL, 19212),
(44947, '4impA02', NULL, NULL, 211, NULL, NULL, 19212),
(44948, '2pmvA02', NULL, NULL, 108, NULL, NULL, 19213),
(44949, '4kkiA02', NULL, NULL, 104, NULL, NULL, 19213),
(44950, '3u7zA00', NULL, NULL, 101, NULL, NULL, 19213),
(44951, '5nsaA00', NULL, NULL, 108, NULL, NULL, 19213),
(44952, '2bb6A02', NULL, NULL, 106, NULL, NULL, 19213),
(44953, '1pyvA00', NULL, NULL, 54, NULL, NULL, 19214),
(44954, '2a6hD09', NULL, NULL, 46, NULL, NULL, 19215),
(44955, '4dwfA00', NULL, NULL, 90, NULL, NULL, 19216),
(44956, '2gbrA00', NULL, NULL, 81, NULL, NULL, 19216),
(44957, '2v3sA00', NULL, NULL, 96, NULL, NULL, 19216),
(44958, '1j8cA00', NULL, NULL, 103, NULL, NULL, 19216),
(44959, '2byeA01', NULL, NULL, 101, NULL, NULL, 19216),
(44960, '5chwA02', NULL, NULL, 80, NULL, NULL, 19216),
(44961, '3v62D00', NULL, NULL, 84, NULL, NULL, 19216),
(44962, '5chwA01', NULL, NULL, 75, NULL, NULL, 19216),
(44963, '3m95A00', NULL, NULL, 125, NULL, NULL, 19216),
(44964, '4dbgA00', NULL, NULL, 86, NULL, NULL, 19216),
(44965, '2bkfA01', NULL, NULL, 83, NULL, NULL, 19216),
(44966, '1se9A00', NULL, NULL, 110, NULL, NULL, 19216),
(44967, '2lgxA00', NULL, NULL, 112, NULL, NULL, 19216),
(44968, '3h6nA00', NULL, NULL, 105, NULL, NULL, 19216),
(44969, '1h4rA01', NULL, NULL, 78, NULL, NULL, 19216),
(44970, '1yqbA01', NULL, NULL, 71, NULL, NULL, 19216),
(44971, '3hk0A01', NULL, NULL, 93, NULL, NULL, 19216),
(44972, '4bfrA01', NULL, NULL, 186, NULL, NULL, 19216),
(44973, '2mrpA00', NULL, NULL, 94, NULL, NULL, 19216),
(44974, '2mp2B00', NULL, NULL, 90, NULL, NULL, 19216),
(44975, '5d94A00', NULL, NULL, 130, NULL, NULL, 19216),
(44976, '5ia8A00', NULL, NULL, 97, NULL, NULL, 19216),
(44977, '5azfA00', NULL, NULL, 119, NULL, NULL, 19216),
(44978, '4npnA00', NULL, NULL, 78, NULL, NULL, 19216),
(44979, '2wxfA02', NULL, NULL, 136, NULL, NULL, 19216),
(44980, '1wghA01', NULL, NULL, 83, NULL, NULL, 19216),
(44981, '2mlbA00', NULL, NULL, 79, NULL, NULL, 19216),
(44982, '3hhmA01', NULL, NULL, 132, NULL, NULL, 19216),
(44983, '5e6oC00', NULL, NULL, 118, NULL, NULL, 19216),
(44984, '3hhmA03', NULL, NULL, 141, NULL, NULL, 19216),
(44985, '6aafA00', NULL, NULL, 119, NULL, NULL, 19216),
(44986, '4i6pA00', NULL, NULL, 88, NULL, NULL, 19216),
(44987, '1wgyA01', NULL, NULL, 76, NULL, NULL, 19216),
(44988, '4mjsA00', NULL, NULL, 91, NULL, NULL, 19216),
(44989, '1wz3A01', NULL, NULL, 85, NULL, NULL, 19216),
(44990, '5x3pA00', NULL, NULL, 83, NULL, NULL, 19216),
(44991, '2lxaA00', NULL, NULL, 87, NULL, NULL, 19216),
(44992, '1wxaA00', NULL, NULL, 116, NULL, NULL, 19216),
(44993, '2dzmA01', NULL, NULL, 72, NULL, NULL, 19216);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(44994, '2jvcA00', NULL, NULL, 82, NULL, NULL, 19216),
(44995, '2cs4A00', NULL, NULL, 95, NULL, NULL, 19216),
(44996, '2bpsA00', NULL, NULL, 81, NULL, NULL, 19216),
(44997, '1rlfA00', NULL, NULL, 90, NULL, NULL, 19216),
(44998, '2kqsA00', NULL, NULL, 99, NULL, NULL, 19216),
(44999, '1wh3A01', NULL, NULL, 71, NULL, NULL, 19216),
(45000, '3wamA00', NULL, NULL, 120, NULL, NULL, 19216),
(45001, '4zynB01', NULL, NULL, 81, NULL, NULL, 19216),
(45002, '1t0yA00', NULL, NULL, 92, NULL, NULL, 19216),
(45003, '3rd2A00', NULL, NULL, 82, NULL, NULL, 19216),
(45004, '2lwpA00', NULL, NULL, 97, NULL, NULL, 19216),
(45005, '1wiaA01', NULL, NULL, 70, NULL, NULL, 19216),
(45006, '6h77Q00', NULL, NULL, 78, NULL, NULL, 19216),
(45007, '2zpyA01', NULL, NULL, 79, NULL, NULL, 19216),
(45008, '4kikB02', NULL, NULL, 89, NULL, NULL, 19216),
(45009, '2pjhA00', NULL, NULL, 80, NULL, NULL, 19216),
(45010, '4bfrB02', NULL, NULL, 140, NULL, NULL, 19216),
(45011, '4gmvA01', NULL, NULL, 118, NULL, NULL, 19216),
(45012, '4b6wA00', NULL, NULL, 86, NULL, NULL, 19216),
(45013, '1ttnA01', NULL, NULL, 74, NULL, NULL, 19216),
(45014, '6ffaB00', NULL, NULL, 78, NULL, NULL, 19216),
(45015, '6elmA00', NULL, NULL, 98, NULL, NULL, 19216),
(45016, '4kv2A00', NULL, NULL, 92, NULL, NULL, 19216),
(45017, '4gn1A01', NULL, NULL, 92, NULL, NULL, 19216),
(45018, '2wyqA00', NULL, NULL, 85, NULL, NULL, 19216),
(45019, '2c7hA00', NULL, NULL, 86, NULL, NULL, 19216),
(45020, '2k25A00', NULL, NULL, 103, NULL, NULL, 19216),
(45021, '5yecD00', NULL, NULL, 119, NULL, NULL, 19216),
(45022, '1v86A00', NULL, NULL, 95, NULL, NULL, 19216),
(45023, '4melA02', NULL, NULL, 94, NULL, NULL, 19216),
(45024, '4tq1A01', NULL, NULL, 113, NULL, NULL, 19216),
(45025, '4ny0A01', NULL, NULL, 99, NULL, NULL, 19216),
(45026, '4efoA00', NULL, NULL, 94, NULL, NULL, 19216),
(45027, '6fj7A00', NULL, NULL, 80, NULL, NULL, 19216),
(45028, '3w1sC00', NULL, NULL, 91, NULL, NULL, 19216),
(45029, '4i6lB00', NULL, NULL, 76, NULL, NULL, 19216),
(45030, '1wxvA01', NULL, NULL, 76, NULL, NULL, 19216),
(45031, '1oeyA00', NULL, NULL, 83, NULL, NULL, 19216),
(45032, '2kmcA00', NULL, NULL, 102, NULL, NULL, 19216),
(45033, '1nddB00', NULL, NULL, 76, NULL, NULL, 19216),
(45034, '2c5lC01', NULL, NULL, 107, NULL, NULL, 19216),
(45035, '3kuzB00', NULL, NULL, 109, NULL, NULL, 19216),
(45036, '5d2mE00', NULL, NULL, 83, NULL, NULL, 19216),
(45037, '3d32B00', NULL, NULL, 119, NULL, NULL, 19216),
(45038, '2kd0A01', NULL, NULL, 71, NULL, NULL, 19216),
(45039, '2z0dB00', NULL, NULL, 125, NULL, NULL, 19216),
(45040, '3pluA00', NULL, NULL, 74, NULL, NULL, 19216),
(45041, '1zw7A00', NULL, NULL, 82, NULL, NULL, 19216),
(45042, '4f7zA05', NULL, NULL, 115, NULL, NULL, 19216),
(45043, '1wggA01', NULL, NULL, 73, NULL, NULL, 19216),
(45044, '1raxA00', NULL, NULL, 93, NULL, NULL, 19216),
(45045, '4icvA00', NULL, NULL, 85, NULL, NULL, 19216),
(45046, '2kzrA00', NULL, NULL, 86, NULL, NULL, 19216),
(45047, '2bwfA00', NULL, NULL, 77, NULL, NULL, 19216),
(45048, '3ai5A02', NULL, NULL, 76, NULL, NULL, 19216),
(45049, '5ms5B00', NULL, NULL, 137, NULL, NULL, 19216),
(45050, '1u4aA00', NULL, NULL, 87, NULL, NULL, 19216),
(45051, '3v6cB00', NULL, NULL, 91, NULL, NULL, 19216),
(45052, '4hdoA01', NULL, NULL, 101, NULL, NULL, 19216),
(45053, '4k81A01', NULL, NULL, 96, NULL, NULL, 19216),
(45054, '3au4A02', NULL, NULL, 94, NULL, NULL, 19216),
(45055, '6d2kA01', NULL, NULL, 86, NULL, NULL, 19216),
(45056, '6ibeA01', NULL, NULL, 83, NULL, NULL, 19216),
(45057, '5dptA00', NULL, NULL, 132, NULL, NULL, 19216),
(45058, '2lrwA00', NULL, NULL, 84, NULL, NULL, 19216),
(45059, '1c1yB00', NULL, NULL, 77, NULL, NULL, 19216),
(45060, '2zeqA00', NULL, NULL, 78, NULL, NULL, 19216),
(45061, '2rexA00', NULL, NULL, 121, NULL, NULL, 19216),
(45062, '1c3tA00', NULL, NULL, 76, NULL, NULL, 19216),
(45063, '2kxjA00', NULL, NULL, 90, NULL, NULL, 19216),
(45064, '2kmaA02', NULL, NULL, 83, NULL, NULL, 19216),
(45065, '3vtvA00', NULL, NULL, 134, NULL, NULL, 19216),
(45066, '3jyuA02', NULL, NULL, 93, NULL, NULL, 19216),
(45067, '4hjkA00', NULL, NULL, 77, NULL, NULL, 19216);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(45068, '1v2yA00', NULL, NULL, 105, NULL, NULL, 19216),
(45069, '1wmhA00', NULL, NULL, 89, NULL, NULL, 19216),
(45070, '2l7rA00', NULL, NULL, 74, NULL, NULL, 19216),
(45071, '4nnjB00', NULL, NULL, 79, NULL, NULL, 19216),
(45072, '2kfjA00', NULL, NULL, 87, NULL, NULL, 19216),
(45073, '3pvlA02', NULL, NULL, 96, NULL, NULL, 19216),
(45074, '1wjnA00', NULL, NULL, 97, NULL, NULL, 19216),
(45075, '4gu2A00', NULL, NULL, 80, NULL, NULL, 19216),
(45076, '4hk2D00', NULL, NULL, 78, NULL, NULL, 19216),
(45077, '1euvB00', NULL, NULL, 86, NULL, NULL, 19216),
(45078, '3a4rA00', NULL, NULL, 79, NULL, NULL, 19216),
(45079, '2bkrB00', NULL, NULL, 77, NULL, NULL, 19216),
(45080, '3ddcB00', NULL, NULL, 163, NULL, NULL, 19216),
(45081, '2mx2A00', NULL, NULL, 81, NULL, NULL, 19216),
(45082, '2gowA01', NULL, NULL, 105, NULL, NULL, 19216),
(45083, '5e6pA02', NULL, NULL, 135, NULL, NULL, 19216),
(45084, '3gznI00', NULL, NULL, 82, NULL, NULL, 19216),
(45085, '2kanA01', NULL, NULL, 73, NULL, NULL, 19216),
(45086, '2al3A00', NULL, NULL, 90, NULL, NULL, 19216),
(45087, '2kx3A00', NULL, NULL, 81, NULL, NULL, 19216),
(45088, '2m0xA00', NULL, NULL, 78, NULL, NULL, 19216),
(45089, '3vqiD03', NULL, NULL, 77, NULL, NULL, 19216),
(45090, '3vtuA00', NULL, NULL, 123, NULL, NULL, 19216),
(45091, '3rytB02', NULL, NULL, 126, NULL, NULL, 19216),
(45092, '2gbmA00', NULL, NULL, 84, NULL, NULL, 19216),
(45093, '6cb0B01', NULL, NULL, 100, NULL, NULL, 19216),
(45094, '4nj6B00', NULL, NULL, 95, NULL, NULL, 19216),
(45095, '2n7eA00', NULL, NULL, 86, NULL, NULL, 19216),
(45096, '2r2qA00', NULL, NULL, 110, NULL, NULL, 19216),
(45097, '2kdbA00', NULL, NULL, 77, NULL, NULL, 19216),
(45098, '1oqyA01', NULL, NULL, 84, NULL, NULL, 19216),
(45099, '4yl8A01', NULL, NULL, 90, NULL, NULL, 19216),
(45100, '2k1fA00', NULL, NULL, 88, NULL, NULL, 19216),
(45101, '3mtnB00', NULL, NULL, 85, NULL, NULL, 19216),
(45102, '6d2qA01', NULL, NULL, 83, NULL, NULL, 19216),
(45103, '3kh0A00', NULL, NULL, 118, NULL, NULL, 19216),
(45104, '1sifA00', NULL, NULL, 88, NULL, NULL, 19216),
(45105, '3hizA01', NULL, NULL, 137, NULL, NULL, 19216),
(45106, '3t9lA02', NULL, NULL, 98, NULL, NULL, 19216),
(45107, '5xacC00', NULL, NULL, 130, NULL, NULL, 19216),
(45108, '4pyuA00', NULL, NULL, 76, NULL, NULL, 19216),
(45109, '2l76A00', NULL, NULL, 95, NULL, NULL, 19216),
(45110, '4e71A00', NULL, NULL, 111, NULL, NULL, 19216),
(45111, '1zkhA00', NULL, NULL, 86, NULL, NULL, 19216),
(45112, '1wmhB00', NULL, NULL, 86, NULL, NULL, 19216),
(45113, '4a3pA02', NULL, NULL, 91, NULL, NULL, 19216),
(45114, '4eoyB00', NULL, NULL, 128, NULL, NULL, 19216),
(45115, '3n3kB00', NULL, NULL, 85, NULL, NULL, 19216),
(45116, '1wj4A01', NULL, NULL, 83, NULL, NULL, 19216),
(45117, '1uh6A00', NULL, NULL, 100, NULL, NULL, 19216),
(45118, '3rt3B01', NULL, NULL, 77, NULL, NULL, 19216),
(45119, '5dxtA01', NULL, NULL, 220, NULL, NULL, 19216),
(45120, '2cr5A01', NULL, NULL, 80, NULL, NULL, 19216),
(45121, '1v9jA00', NULL, NULL, 113, NULL, NULL, 19216),
(45122, '4chkB00', NULL, NULL, 91, NULL, NULL, 19216),
(45123, '1wm3A00', NULL, NULL, 72, NULL, NULL, 19216),
(45124, '4kvgB01', NULL, NULL, 90, NULL, NULL, 19216),
(45125, '2gbkC00', NULL, NULL, 83, NULL, NULL, 19216),
(45126, '2n1vA00', NULL, NULL, 111, NULL, NULL, 19216),
(45127, '2uwqA00', NULL, NULL, 86, NULL, NULL, 19216),
(45128, '2dzjA00', NULL, NULL, 88, NULL, NULL, 19216),
(45129, '2lruA00', NULL, NULL, 98, NULL, NULL, 19216),
(45130, '1rrbA00', NULL, NULL, 89, NULL, NULL, 19216),
(45131, '1wjuA00', NULL, NULL, 100, NULL, NULL, 19216),
(45132, '1ef5A00', NULL, NULL, 103, NULL, NULL, 19216),
(45133, '1lfdA00', NULL, NULL, 87, NULL, NULL, 19216),
(45134, '2dajA00', NULL, NULL, 91, NULL, NULL, 19216),
(45135, '1v5oA00', NULL, NULL, 102, NULL, NULL, 19216),
(45136, '2k8hA01', NULL, NULL, 84, NULL, NULL, 19216),
(45137, '2ylmA03', NULL, NULL, 97, NULL, NULL, 19216),
(45138, '1wx9A00', NULL, NULL, 86, NULL, NULL, 19216),
(45139, '2ylmA02', NULL, NULL, 116, NULL, NULL, 19216),
(45140, '1wf9A00', NULL, NULL, 107, NULL, NULL, 19216),
(45141, '4eutA03', NULL, NULL, 87, NULL, NULL, 19216);
INSERT INTO "PUBLIC"."MODEL" VALUES
(45142, '1oeyL00', NULL, NULL, 107, NULL, NULL, 19216),
(45143, '6d21A01', NULL, NULL, 82, NULL, NULL, 19216),
(45144, '2n7dA00', NULL, NULL, 97, NULL, NULL, 19216),
(45145, '1wywB00', NULL, NULL, 79, NULL, NULL, 19216),
(45146, '2pphA01', NULL, NULL, 68, NULL, NULL, 19216),
(45147, '4g50A01', NULL, NULL, 77, NULL, NULL, 19216),
(45148, '4kdiD00', NULL, NULL, 90, NULL, NULL, 19216),
(45149, '3v62A00', NULL, NULL, 84, NULL, NULL, 19216),
(45150, '4yknA03', NULL, NULL, 95, NULL, NULL, 19216),
(45151, '4gxbA01', NULL, NULL, 100, NULL, NULL, 19216),
(45152, '1wx8A00', NULL, NULL, 96, NULL, NULL, 19216),
(45153, '2nptB01', NULL, NULL, 81, NULL, NULL, 19216),
(45154, '2byvE05', NULL, NULL, 79, NULL, NULL, 19216),
(45155, '2kk8A01', NULL, NULL, 73, NULL, NULL, 19216),
(45156, '1bt0A00', NULL, NULL, 76, NULL, NULL, 19216),
(45157, '4v0iA01', NULL, NULL, 187, NULL, NULL, 19216),
(45158, '5fr6A00', NULL, NULL, 115, NULL, NULL, 19216),
(45159, '2m1mA00', NULL, NULL, 107, NULL, NULL, 19216),
(45160, '5x0wF00', NULL, NULL, 108, NULL, NULL, 19216),
(45161, '4a20A00', NULL, NULL, 81, NULL, NULL, 19216),
(45162, '1i42A00', NULL, NULL, 89, NULL, NULL, 19216),
(45163, '5o2cA03', NULL, NULL, 94, NULL, NULL, 19216),
(45164, '2dybA03', NULL, NULL, 108, NULL, NULL, 19216),
(45165, '4eewB00', NULL, NULL, 88, NULL, NULL, 19216),
(45166, '1wfyA01', NULL, NULL, 72, NULL, NULL, 19216),
(45167, '1we7A00', NULL, NULL, 115, NULL, NULL, 19216),
(45168, '2m4nA00', NULL, NULL, 108, NULL, NULL, 19216),
(45169, '4hpmD00', NULL, NULL, 93, NULL, NULL, 19216),
(45170, '5khqA00', NULL, NULL, 138, NULL, NULL, 19216),
(45171, '3cf6E04', NULL, NULL, 94, NULL, NULL, 19216),
(45172, '1uelA00', NULL, NULL, 95, NULL, NULL, 19216),
(45173, '5c1zA01', NULL, NULL, 76, NULL, NULL, 19216),
(45174, '4ekuA01', NULL, NULL, 118, NULL, NULL, 19216),
(45175, '3vvwB00', NULL, NULL, 128, NULL, NULL, 19216),
(45176, '1wxsA00', NULL, NULL, 90, NULL, NULL, 19216),
(45177, '2d07B00', NULL, NULL, 93, NULL, NULL, 19216),
(45178, '4ii2B00', NULL, NULL, 83, NULL, NULL, 19216),
(45179, '2gbjB00', NULL, NULL, 84, NULL, NULL, 19216),
(45180, '5v6rA02', NULL, NULL, 146, NULL, NULL, 19216),
(45181, '3qa8G02', NULL, NULL, 86, NULL, NULL, 19216),
(45182, '2kjrA01', NULL, NULL, 80, NULL, NULL, 19216),
(45183, '2dzkA01', NULL, NULL, 77, NULL, NULL, 19216),
(45184, '5v4kB00', NULL, NULL, 132, NULL, NULL, 19216),
(45185, '1we6A00', NULL, NULL, 111, NULL, NULL, 19216),
(45186, '4zdvA00', NULL, NULL, 132, NULL, NULL, 19216),
(45187, '3ixsI00', NULL, NULL, 111, NULL, NULL, 19216),
(45188, '2dyoA03', NULL, NULL, 88, NULL, NULL, 19216),
(45189, '4hwiB01', NULL, NULL, 72, NULL, NULL, 19216),
(45190, '1eo6A00', NULL, NULL, 117, NULL, NULL, 19216),
(45191, '5l83A00', NULL, NULL, 112, NULL, NULL, 19216),
(45192, '2nptA01', NULL, NULL, 92, NULL, NULL, 19216),
(45193, '2ktrB00', NULL, NULL, 100, NULL, NULL, 19216),
(45194, '4x57D00', NULL, NULL, 92, NULL, NULL, 19216),
(45195, '2r2oA00', NULL, NULL, 117, NULL, NULL, 19216),
(45196, '1wgrA01', NULL, NULL, 82, NULL, NULL, 19216),
(45197, '4nawA00', NULL, NULL, 91, NULL, NULL, 19216),
(45198, '3qq8B00', NULL, NULL, 85, NULL, NULL, 19216),
(45199, '4mjsX00', NULL, NULL, 104, NULL, NULL, 19216),
(45200, '3q3jA00', NULL, NULL, 112, NULL, NULL, 19216),
(45201, '3ec8A00', NULL, NULL, 166, NULL, NULL, 19216),
(45202, '4m8mA02', NULL, NULL, 152, NULL, NULL, 19216),
(45203, '5dpsC00', NULL, NULL, 132, NULL, NULL, 19216),
(45204, '2fazA00', NULL, NULL, 78, NULL, NULL, 19216),
(45205, '3walA00', NULL, NULL, 125, NULL, NULL, 19216),
(45206, '1wgdA00', NULL, NULL, 93, NULL, NULL, 19216),
(45207, '1x1mA00', NULL, NULL, 107, NULL, NULL, 19216),
(45208, '1wxmA01', NULL, NULL, 71, NULL, NULL, 19216),
(45209, '2v1yA00', NULL, NULL, 92, NULL, NULL, 19216),
(45210, '3qx1A00', NULL, NULL, 84, NULL, NULL, 19216),
(45211, '4wjqA00', NULL, NULL, 83, NULL, NULL, 19216),
(45212, '2dafA01', NULL, NULL, 76, NULL, NULL, 19216),
(45213, '3shqA01', NULL, NULL, 81, NULL, NULL, 19216),
(45214, '1ud7A00', NULL, NULL, 76, NULL, NULL, 19216),
(45215, '2nbvB00', NULL, NULL, 78, NULL, NULL, 19216);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(45216, '3goeA00', NULL, NULL, 82, NULL, NULL, 19216),
(45217, '3a9jB00', NULL, NULL, 77, NULL, NULL, 19216),
(45218, '5jh5C00', NULL, NULL, 109, NULL, NULL, 19216),
(45219, '2c60A01', NULL, NULL, 81, NULL, NULL, 19216),
(45220, '3m62B00', NULL, NULL, 74, NULL, NULL, 19216),
(45221, '4ic7E00', NULL, NULL, 126, NULL, NULL, 19216),
(45222, '3rulA00', NULL, NULL, 79, NULL, NULL, 19216),
(45223, '2kdiA00', NULL, NULL, 114, NULL, NULL, 19216),
(45224, '1ip9A00', NULL, NULL, 85, NULL, NULL, 19216),
(45225, '2dziA00', NULL, NULL, 81, NULL, NULL, 19216),
(45226, '4memA02', NULL, NULL, 100, NULL, NULL, 19216),
(45227, '3ivfA01', NULL, NULL, 84, NULL, NULL, 19216),
(45228, '3ivfA02', NULL, NULL, 66, NULL, NULL, 19216),
(45229, '3h9dA00', NULL, NULL, 119, NULL, NULL, 19216),
(45230, '2mbeA00', NULL, NULL, 75, NULL, NULL, 19216),
(45231, '3qijA01', NULL, NULL, 79, NULL, NULL, 19216),
(45232, '1yj1C00', NULL, NULL, 76, NULL, NULL, 19216),
(45233, '4e74A00', NULL, NULL, 117, NULL, NULL, 19216),
(45234, '3ig3A02', NULL, NULL, 114, NULL, NULL, 19216),
(45235, '3kucB00', NULL, NULL, 81, NULL, NULL, 19216),
(45236, '4wwoA01', NULL, NULL, 178, NULL, NULL, 19216),
(45237, '2juoA00', NULL, NULL, 89, NULL, NULL, 19216),
(45238, '5f3yA02', NULL, NULL, 97, NULL, NULL, 19216),
(45239, '2n9pC00', NULL, NULL, 100, NULL, NULL, 19216),
(45240, '1s3sH00', NULL, NULL, 127, NULL, NULL, 19216),
(45241, '2fnjB00', NULL, NULL, 98, NULL, NULL, 19216),
(45242, '2uyzB00', NULL, NULL, 79, NULL, NULL, 19216),
(45243, '4rm8A01', NULL, NULL, 87, NULL, NULL, 19216),
(45244, '1k8rB00', NULL, NULL, 110, NULL, NULL, 19216),
(45245, '2kj6A01', NULL, NULL, 83, NULL, NULL, 19216),
(45246, '4waaB00', NULL, NULL, 134, NULL, NULL, 19216),
(45247, '3x0wB00', NULL, NULL, 134, NULL, NULL, 19216),
(45248, '3w1yB00', NULL, NULL, 137, NULL, NULL, 19216),
(45249, '2dhzA01', NULL, NULL, 85, NULL, NULL, 19216),
(45250, '1v5tA00', NULL, NULL, 90, NULL, NULL, 19216),
(45251, '4jlcA03', NULL, NULL, 80, NULL, NULL, 19216),
(45252, '4n9fe00', NULL, NULL, 79, NULL, NULL, 19216),
(45253, '1tz1A00', NULL, NULL, 80, NULL, NULL, 19216),
(45254, '1e7uA01', NULL, NULL, 178, NULL, NULL, 19216),
(45255, '3ny5B01', NULL, NULL, 71, NULL, NULL, 19216),
(45256, '5xdaG00', NULL, NULL, 84, NULL, NULL, 19216),
(45257, '1gjzA00', NULL, NULL, 53, NULL, NULL, 19216),
(45258, '1wy8A00', NULL, NULL, 89, NULL, NULL, 19216),
(45259, '2i1jA01', NULL, NULL, 79, NULL, NULL, 19216),
(45260, '1v6eA01', NULL, NULL, 80, NULL, NULL, 19216),
(45261, '5yxiA00', NULL, NULL, 79, NULL, NULL, 19216),
(45262, '4lcdE00', NULL, NULL, 83, NULL, NULL, 19216),
(45263, '5dprA00', NULL, NULL, 136, NULL, NULL, 19216),
(45264, '2klcA00', NULL, NULL, 79, NULL, NULL, 19216),
(45265, '1iznB03', NULL, NULL, 31, NULL, NULL, 19217),
(45266, '3f6gA02', NULL, NULL, 69, NULL, NULL, 19218),
(45267, '3okgA02', NULL, NULL, 194, NULL, NULL, 19219),
(45268, '1yf2A03', NULL, NULL, 147, NULL, NULL, 19219),
(45269, '3okgA01', NULL, NULL, 218, NULL, NULL, 19219),
(45270, '1ydxA01', NULL, NULL, 128, NULL, NULL, 19219),
(45271, '1ydxA03', NULL, NULL, 144, NULL, NULL, 19219),
(45272, '1yf2A01', NULL, NULL, 171, NULL, NULL, 19219),
(45273, '2dhrA03', NULL, NULL, 196, NULL, NULL, 19220),
(45274, '2ce7C03', NULL, NULL, 211, NULL, NULL, 19220),
(45275, '2di4A00', NULL, NULL, 211, NULL, NULL, 19220),
(45276, '4rg8A04', NULL, NULL, 62, NULL, NULL, 19221),
(45277, '3hl8A04', NULL, NULL, 62, NULL, NULL, 19221),
(45278, '4m4pA02', NULL, NULL, 59, NULL, NULL, 19222),
(45279, '3fl7A02', NULL, NULL, 61, NULL, NULL, 19222),
(45280, '3mbwA02', NULL, NULL, 59, NULL, NULL, 19222),
(45281, '3j81j03', NULL, NULL, 84, NULL, NULL, 19223),
(45282, '1yz7A02', NULL, NULL, 90, NULL, NULL, 19223),
(45283, '2qn6B00', NULL, NULL, 93, NULL, NULL, 19223),
(45284, '1q8kA03', NULL, NULL, 124, NULL, NULL, 19223),
(45285, '4jndA01', NULL, NULL, 146, NULL, NULL, 19224),
(45286, '3tixB03', NULL, NULL, 153, NULL, NULL, 19225),
(45287, '5mp4A00', NULL, NULL, 198, NULL, NULL, 19226),
(45288, '1ydgA00', NULL, NULL, 211, NULL, NULL, 19226),
(45289, '3fvwB00', NULL, NULL, 192, NULL, NULL, 19226);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(45290, '2hnaA00', NULL, NULL, 147, NULL, NULL, 19226),
(45291, '4lafC00', NULL, NULL, 207, NULL, NULL, 19226),
(45292, '6fsgA00', NULL, NULL, 147, NULL, NULL, 19226),
(45293, '3hlyC00', NULL, NULL, 161, NULL, NULL, 19226),
(45294, '3fjoA01', NULL, NULL, 172, NULL, NULL, 19226),
(45295, '2bmvA00', NULL, NULL, 164, NULL, NULL, 19226),
(45296, '1ykgA00', NULL, NULL, 167, NULL, NULL, 19226),
(45297, '3kapA00', NULL, NULL, 147, NULL, NULL, 19226),
(45298, '4fglA00', NULL, NULL, 233, NULL, NULL, 19226),
(45299, '3d7nA00', NULL, NULL, 193, NULL, NULL, 19226),
(45300, '4oxxA00', NULL, NULL, 162, NULL, NULL, 19226),
(45301, '4ltnA00', NULL, NULL, 197, NULL, NULL, 19226),
(45302, '2q9uA02', NULL, NULL, 145, NULL, NULL, 19226),
(45303, '3l9wB02', NULL, NULL, 182, NULL, NULL, 19226),
(45304, '4h2dA00', NULL, NULL, 165, NULL, NULL, 19226),
(45305, '4d02A02', NULL, NULL, 143, NULL, NULL, 19226),
(45306, '1ja1A01', NULL, NULL, 172, NULL, NULL, 19226),
(45307, '3qfcA01', NULL, NULL, 181, NULL, NULL, 19226),
(45308, '2wc1A00', NULL, NULL, 182, NULL, NULL, 19226),
(45309, '4j8pA00', NULL, NULL, 159, NULL, NULL, 19226),
(45310, '3ha2A00', NULL, NULL, 177, NULL, NULL, 19226),
(45311, '6ebqA00', NULL, NULL, 140, NULL, NULL, 19226),
(45312, '2xodA00', NULL, NULL, 119, NULL, NULL, 19226),
(45313, '1t5bB00', NULL, NULL, 201, NULL, NULL, 19226),
(45314, '6frnA02', NULL, NULL, 145, NULL, NULL, 19226),
(45315, '2hpvA00', NULL, NULL, 208, NULL, NULL, 19226),
(45316, '2amjB00', NULL, NULL, 204, NULL, NULL, 19226),
(45317, '6dxpC00', NULL, NULL, 200, NULL, NULL, 19226),
(45318, '5b3kA00', NULL, NULL, 150, NULL, NULL, 19226),
(45319, '5vegB00', NULL, NULL, 149, NULL, NULL, 19226),
(45320, '1rliD00', NULL, NULL, 184, NULL, NULL, 19226),
(45321, '5lvaA00', NULL, NULL, 174, NULL, NULL, 19226),
(45322, '4heqA00', NULL, NULL, 146, NULL, NULL, 19226),
(45323, '6gaqA00', NULL, NULL, 154, NULL, NULL, 19226),
(45324, '3k1yA00', NULL, NULL, 191, NULL, NULL, 19226),
(45325, '3svlB00', NULL, NULL, 193, NULL, NULL, 19226),
(45326, '3u7rA00', NULL, NULL, 190, NULL, NULL, 19226),
(45327, '2fzvD00', NULL, NULL, 255, NULL, NULL, 19226),
(45328, '1dxqA00', NULL, NULL, 273, NULL, NULL, 19226),
(45329, '1bvyF00', NULL, NULL, 152, NULL, NULL, 19226),
(45330, '2mt9A00', NULL, NULL, 173, NULL, NULL, 19226),
(45331, '1qrdA00', NULL, NULL, 273, NULL, NULL, 19226),
(45332, '5ljpA00', NULL, NULL, 169, NULL, NULL, 19226),
(45333, '1e5dA01', NULL, NULL, 143, NULL, NULL, 19226),
(45334, '1t0iA00', NULL, NULL, 191, NULL, NULL, 19226),
(45335, '5yobA00', NULL, NULL, 148, NULL, NULL, 19226),
(45336, '2fcrA00', NULL, NULL, 173, NULL, NULL, 19226),
(45337, '5k9bA00', NULL, NULL, 180, NULL, NULL, 19226),
(45338, '4r81C00', NULL, NULL, 206, NULL, NULL, 19226),
(45339, '3fniA00', NULL, NULL, 159, NULL, NULL, 19226),
(45340, '1ycgA02', NULL, NULL, 143, NULL, NULL, 19226),
(45341, '2z98A00', NULL, NULL, 200, NULL, NULL, 19226),
(45342, '3klbA00', NULL, NULL, 162, NULL, NULL, 19226),
(45343, '5f4bA00', NULL, NULL, 202, NULL, NULL, 19226),
(45344, '2fzvA00', NULL, NULL, 235, NULL, NULL, 19226),
(45345, '4n65B00', NULL, NULL, 212, NULL, NULL, 19226),
(45346, '2bpoA01', NULL, NULL, 172, NULL, NULL, 19226),
(45347, '2zkiD00', NULL, NULL, 199, NULL, NULL, 19226),
(45348, '4hs4A00', NULL, NULL, 199, NULL, NULL, 19226),
(45349, '4gi5A00', NULL, NULL, 280, NULL, NULL, 19226),
(45350, '4c76A00', NULL, NULL, 182, NULL, NULL, 19226),
(45351, '3f2vA00', NULL, NULL, 192, NULL, NULL, 19226),
(45352, '3zhoA00', NULL, NULL, 197, NULL, NULL, 19226),
(45353, '4n82B00', NULL, NULL, 157, NULL, NULL, 19226),
(45354, '3edoA00', NULL, NULL, 151, NULL, NULL, 19226),
(45355, '3w7aA00', NULL, NULL, 211, NULL, NULL, 19226),
(45356, '6dqpB00', NULL, NULL, 173, NULL, NULL, 19226),
(45357, '1rljA00', NULL, NULL, 139, NULL, NULL, 19226),
(45358, '1sqsA00', NULL, NULL, 242, NULL, NULL, 19226),
(45359, '3f6rA00', NULL, NULL, 148, NULL, NULL, 19226),
(45360, '2m6rA00', NULL, NULL, 149, NULL, NULL, 19226),
(45361, '1cznA00', NULL, NULL, 169, NULL, NULL, 19226),
(45362, '3rpeB00', NULL, NULL, 195, NULL, NULL, 19226);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(45363, '3lcmB00', NULL, NULL, 196, NULL, NULL, 19226),
(45364, '4iciA00', NULL, NULL, 171, NULL, NULL, 19226),
(45365, '5nulA00', NULL, NULL, 138, NULL, NULL, 19226),
(45366, '3p0rA00', NULL, NULL, 211, NULL, NULL, 19226),
(45367, '1tllA01', NULL, NULL, 209, NULL, NULL, 19226),
(45368, '4cetA00', NULL, NULL, 222, NULL, NULL, 19226),
(45369, '1ag9A00', NULL, NULL, 175, NULL, NULL, 19226),
(45370, '2fz5A00', NULL, NULL, 137, NULL, NULL, 19226),
(45371, '4c0xA00', NULL, NULL, 203, NULL, NULL, 19226),
(45372, '2a5lB00', NULL, NULL, 200, NULL, NULL, 19226),
(45373, '2arkA00', NULL, NULL, 188, NULL, NULL, 19226),
(45374, '2ohhA02', NULL, NULL, 144, NULL, NULL, 19226),
(45375, '3gfsC00', NULL, NULL, 174, NULL, NULL, 19226),
(45376, '3u7iA00', NULL, NULL, 223, NULL, NULL, 19226),
(45377, '3w77A00', NULL, NULL, 208, NULL, NULL, 19226),
(45378, '1rttA00', NULL, NULL, 193, NULL, NULL, 19226),
(45379, '3n3aC00', NULL, NULL, 131, NULL, NULL, 19226),
(45380, '5ljlA00', NULL, NULL, 149, NULL, NULL, 19226),
(45381, '2q62G01', NULL, NULL, 205, NULL, NULL, 19226),
(45382, '5v8sA02', NULL, NULL, 149, NULL, NULL, 19226),
(45383, '3hr4E00', NULL, NULL, 203, NULL, NULL, 19226),
(45384, '4eseA00', NULL, NULL, 204, NULL, NULL, 19226),
(45385, '1zt3A00', NULL, NULL, 80, NULL, NULL, 19227),
(45386, '2h7tA01', NULL, NULL, 74, NULL, NULL, 19227),
(45387, '2dsrG00', NULL, NULL, 82, NULL, NULL, 19227),
(45388, '1rmjA01', NULL, NULL, 75, NULL, NULL, 19227),
(45389, '1icfI00', NULL, NULL, 65, NULL, NULL, 19227),
(45390, '2v3bB00', NULL, NULL, 55, NULL, NULL, 19228),
(45391, '1qcvA00', NULL, NULL, 53, NULL, NULL, 19228),
(45392, '1iu5A00', NULL, NULL, 53, NULL, NULL, 19228),
(45393, '5xpdA02', NULL, NULL, 58, NULL, NULL, 19228),
(45394, '4tpuA02', NULL, NULL, 37, NULL, NULL, 19228),
(45395, '2kn9A01', NULL, NULL, 64, NULL, NULL, 19228),
(45396, '2k2dA00', NULL, NULL, 47, NULL, NULL, 19228),
(45397, '1h7vA00', NULL, NULL, 60, NULL, NULL, 19228),
(45398, '2pvxA00', NULL, NULL, 54, NULL, NULL, 19228),
(45399, '2m4yA00', NULL, NULL, 56, NULL, NULL, 19228),
(45400, '3a43B02', NULL, NULL, 55, NULL, NULL, 19228),
(45401, '1rb9A00', NULL, NULL, 52, NULL, NULL, 19228),
(45402, '4me3A03', NULL, NULL, 55, NULL, NULL, 19228),
(45403, '4rxnA00', NULL, NULL, 54, NULL, NULL, 19228),
(45404, '1lkoA02', NULL, NULL, 45, NULL, NULL, 19228),
(45405, '2rdvA00', NULL, NULL, 52, NULL, NULL, 19228),
(45406, '1yk4A00', NULL, NULL, 52, NULL, NULL, 19228),
(45407, '1t9pA00', NULL, NULL, 54, NULL, NULL, 19228),
(45408, '1ltlA03', NULL, NULL, 49, NULL, NULL, 19228),
(45409, '2ms3A00', NULL, NULL, 57, NULL, NULL, 19228),
(45410, '2dsxA00', NULL, NULL, 52, NULL, NULL, 19228),
(45411, '1yuzA02', NULL, NULL, 38, NULL, NULL, 19228),
(45412, '1b2jA00', NULL, NULL, 54, NULL, NULL, 19228),
(45413, '5nw3A00', NULL, NULL, 54, NULL, NULL, 19228),
(45414, '6rxnA00', NULL, NULL, 46, NULL, NULL, 19228),
(45415, '4r7yA03', NULL, NULL, 48, NULL, NULL, 19228),
(45416, '3pwfA02', NULL, NULL, 39, NULL, NULL, 19228),
(45417, '2pveA00', NULL, NULL, 54, NULL, NULL, 19228),
(45418, '2lcqA02', NULL, NULL, 38, NULL, NULL, 19228),
(45419, '1iroA00', NULL, NULL, 54, NULL, NULL, 19228),
(45420, '2rxn000', NULL, NULL, 55, NULL, NULL, 19228),
(45421, '1yk5C00', NULL, NULL, 53, NULL, NULL, 19228),
(45422, '1s24A00', NULL, NULL, 56, NULL, NULL, 19228),
(45423, '4pofA03', NULL, NULL, 50, NULL, NULL, 19228),
(45424, '3p42A02', NULL, NULL, 70, NULL, NULL, 19229),
(45425, '1y2oA00', NULL, NULL, 250, NULL, NULL, 19230),
(45426, '3lllA01', NULL, NULL, 278, NULL, NULL, 19230),
(45427, '4atmA00', NULL, NULL, 224, NULL, NULL, 19230),
(45428, '3cazB00', NULL, NULL, 224, NULL, NULL, 19230),
(45429, '3i2wA01', NULL, NULL, 278, NULL, NULL, 19230),
(45430, '4bneA01', NULL, NULL, 279, NULL, NULL, 19230),
(45431, '2eflA00', NULL, NULL, 305, NULL, NULL, 19230),
(45432, '4fzsA00', NULL, NULL, 224, NULL, NULL, 19230),
(45433, '2c08A00', NULL, NULL, 204, NULL, NULL, 19230),
(45434, '4akvA02', NULL, NULL, 191, NULL, NULL, 19230),
(45435, '2ficB00', NULL, NULL, 202, NULL, NULL, 19230),
(45436, '1uruA01', NULL, NULL, 211, NULL, NULL, 19230);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(45437, '4nqiD00', NULL, NULL, 244, NULL, NULL, 19230),
(45438, '2d1lA00', NULL, NULL, 253, NULL, NULL, 19230),
(45439, '3abhA01', NULL, NULL, 278, NULL, NULL, 19230),
(45440, '3pltA00', NULL, NULL, 217, NULL, NULL, 19230),
(45441, '2x3wC01', NULL, NULL, 291, NULL, NULL, 19230),
(45442, '2yktA00', NULL, NULL, 237, NULL, NULL, 19230),
(45443, '3hahB01', NULL, NULL, 294, NULL, NULL, 19230),
(45444, '1zwwA00', NULL, NULL, 230, NULL, NULL, 19230),
(45445, '4dylA01', NULL, NULL, 271, NULL, NULL, 19230),
(45446, '3ok8A00', NULL, NULL, 222, NULL, NULL, 19230),
(45447, '3syvC01', NULL, NULL, 263, NULL, NULL, 19230),
(45448, '4nswB01', NULL, NULL, 260, NULL, NULL, 19230),
(45449, '4wpeA00', NULL, NULL, 281, NULL, NULL, 19230),
(45450, '2z0oA01', NULL, NULL, 265, NULL, NULL, 19230),
(45451, '1x04A00', NULL, NULL, 200, NULL, NULL, 19230),
(45452, '4avmA00', NULL, NULL, 237, NULL, NULL, 19230),
(45453, '2d4cB00', NULL, NULL, 256, NULL, NULL, 19230),
(45454, '4wpcA00', NULL, NULL, 317, NULL, NULL, 19230),
(45455, '3m3wA01', NULL, NULL, 291, NULL, NULL, 19230),
(45456, '2efkA01', NULL, NULL, 275, NULL, NULL, 19230),
(45457, '3g9gA00', NULL, NULL, 264, NULL, NULL, 19230),
(45458, '1i4dA00', NULL, NULL, 201, NULL, NULL, 19230),
(45459, '2z0vA00', NULL, NULL, 240, NULL, NULL, 19230),
(45460, '2q12A00', NULL, NULL, 265, NULL, NULL, 19230),
(45461, '2v0oB00', NULL, NULL, 276, NULL, NULL, 19230),
(45462, '3dytA02', NULL, NULL, 191, NULL, NULL, 19230),
(45463, '3qweA00', NULL, NULL, 279, NULL, NULL, 19230),
(45464, '5c5bB01', NULL, NULL, 230, NULL, NULL, 19230),
(45465, '4riqN00', NULL, NULL, 56, NULL, NULL, 19231),
(45466, '5hvzB00', NULL, NULL, 50, NULL, NULL, 19231),
(45467, '3g36B00', NULL, NULL, 55, NULL, NULL, 19231),
(45468, '2l9uA00', NULL, NULL, 40, NULL, NULL, 19231),
(45469, '4f9kD00', NULL, NULL, 58, NULL, NULL, 19231),
(45470, '2hwnB00', NULL, NULL, 45, NULL, NULL, 19231),
(45471, '2izxB00', NULL, NULL, 41, NULL, NULL, 19231),
(45472, '3aibB01', NULL, NULL, 74, NULL, NULL, 19232),
(45473, '1wfxA02', NULL, NULL, 94, NULL, NULL, 19233),
(45474, '4gi2B01', NULL, NULL, 283, NULL, NULL, 19234),
(45475, '5dp2A01', NULL, NULL, 201, NULL, NULL, 19234),
(45476, '3s2eA01', NULL, NULL, 202, NULL, NULL, 19234),
(45477, '3widA01', NULL, NULL, 186, NULL, NULL, 19234),
(45478, '3hzzA01', NULL, NULL, 299, NULL, NULL, 19234),
(45479, '3pi7A01', NULL, NULL, 202, NULL, NULL, 19234),
(45480, '1pl8A01', NULL, NULL, 217, NULL, NULL, 19234),
(45481, '1vj1A01', NULL, NULL, 181, NULL, NULL, 19234),
(45482, '3jynA01', NULL, NULL, 179, NULL, NULL, 19234),
(45483, '2jhfA01', NULL, NULL, 235, NULL, NULL, 19234),
(45484, '1p0fA01', NULL, NULL, 234, NULL, NULL, 19234),
(45485, '3cosA01', NULL, NULL, 242, NULL, NULL, 19234),
(45486, '3qwbA01', NULL, NULL, 189, NULL, NULL, 19234),
(45487, '5ylnC01', NULL, NULL, 219, NULL, NULL, 19234),
(45488, '3uogA01', NULL, NULL, 197, NULL, NULL, 19234),
(45489, '5o9fC01', NULL, NULL, 215, NULL, NULL, 19234),
(45490, '1kolA01', NULL, NULL, 231, NULL, NULL, 19234),
(45491, '4c4oB01', NULL, NULL, 206, NULL, NULL, 19234),
(45492, '3iupA01', NULL, NULL, 191, NULL, NULL, 19234),
(45493, '5zxnA01', NULL, NULL, 158, NULL, NULL, 19234),
(45494, '3ukoA01', NULL, NULL, 239, NULL, NULL, 19234),
(45495, '5vm2A01', NULL, NULL, 208, NULL, NULL, 19234),
(45496, '5k1sB00', NULL, NULL, 346, NULL, NULL, 19234),
(45497, '2b5wA01', NULL, NULL, 224, NULL, NULL, 19234),
(45498, '3gazA01', NULL, NULL, 175, NULL, NULL, 19234),
(45499, '6n7lC01', NULL, NULL, 215, NULL, NULL, 19234),
(45500, '1h2bB01', NULL, NULL, 219, NULL, NULL, 19234),
(45501, '4idcA01', NULL, NULL, 217, NULL, NULL, 19234),
(45502, '2j8zA01', NULL, NULL, 190, NULL, NULL, 19234),
(45503, '2dphA01', NULL, NULL, 232, NULL, NULL, 19234),
(45504, '1cdoA01', NULL, NULL, 236, NULL, NULL, 19234),
(45505, '4a27A01', NULL, NULL, 161, NULL, NULL, 19234),
(45506, '2vcyA01', NULL, NULL, 192, NULL, NULL, 19234),
(45507, '4uejA01', NULL, NULL, 208, NULL, NULL, 19234),
(45508, '3fpcA01', NULL, NULL, 221, NULL, NULL, 19234),
(45509, '4eezB01', NULL, NULL, 208, NULL, NULL, 19234);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(45510, '5yatA01', NULL, NULL, 208, NULL, NULL, 19234),
(45511, '1piwA01', NULL, NULL, 223, NULL, NULL, 19234),
(45512, '5fi3A01', NULL, NULL, 200, NULL, NULL, 19234),
(45513, '4oh1A01', NULL, NULL, 214, NULL, NULL, 19234),
(45514, '1u3wA01', NULL, NULL, 235, NULL, NULL, 19234),
(45515, '4gkvA01', NULL, NULL, 198, NULL, NULL, 19234),
(45516, '2fzwA01', NULL, NULL, 234, NULL, NULL, 19234),
(45517, '1v3vA01', NULL, NULL, 155, NULL, NULL, 19234),
(45518, '4jxkA01', NULL, NULL, 162, NULL, NULL, 19234),
(45519, '3nx4A01', NULL, NULL, 157, NULL, NULL, 19234),
(45520, '4oaqA01', NULL, NULL, 226, NULL, NULL, 19234),
(45521, '2j3hB01', NULL, NULL, 168, NULL, NULL, 19234),
(45522, '2vn8A01', NULL, NULL, 175, NULL, NULL, 19234),
(45523, '1e3jA02', NULL, NULL, 209, NULL, NULL, 19234),
(45524, '5gxeA01', NULL, NULL, 162, NULL, NULL, 19234),
(45525, '1yqdA01', NULL, NULL, 209, NULL, NULL, 19234),
(45526, '3gmsA01', NULL, NULL, 214, NULL, NULL, 19234),
(45527, '1u3tA01', NULL, NULL, 235, NULL, NULL, 19234),
(45528, '2vz8A07', NULL, NULL, 359, NULL, NULL, 19234),
(45529, '1o89A01', NULL, NULL, 157, NULL, NULL, 19234),
(45530, '4ej6A01', NULL, NULL, 211, NULL, NULL, 19234),
(45531, '2zb3A01', NULL, NULL, 171, NULL, NULL, 19234),
(45532, '3fbgA01', NULL, NULL, 199, NULL, NULL, 19234),
(45533, '2h6eA01', NULL, NULL, 201, NULL, NULL, 19234),
(45534, '4jlwA01', NULL, NULL, 232, NULL, NULL, 19234),
(45535, '2dfvA01', NULL, NULL, 212, NULL, NULL, 19234),
(45536, '1rjwA01', NULL, NULL, 202, NULL, NULL, 19234),
(45537, '4nh4A01', NULL, NULL, 181, NULL, NULL, 19234),
(45538, '5h81B01', NULL, NULL, 207, NULL, NULL, 19234),
(45539, '3twoB01', NULL, NULL, 195, NULL, NULL, 19234),
(45540, '5h83A01', NULL, NULL, 203, NULL, NULL, 19234),
(45541, '5z0cA01', NULL, NULL, 217, NULL, NULL, 19234),
(45542, '1u3uA01', NULL, NULL, 235, NULL, NULL, 19234),
(45543, '1jvbA01', NULL, NULL, 206, NULL, NULL, 19234),
(45544, '3ip1A01', NULL, NULL, 242, NULL, NULL, 19234),
(45545, '5zxuA01', NULL, NULL, 155, NULL, NULL, 19234),
(45546, '2zb4A01', NULL, NULL, 175, NULL, NULL, 19234),
(45547, '4dl9A01', NULL, NULL, 240, NULL, NULL, 19234),
(45548, '4eyeA01', NULL, NULL, 152, NULL, NULL, 19234),
(45549, '2ouiA01', NULL, NULL, 229, NULL, NULL, 19234),
(45550, '3gohA01', NULL, NULL, 189, NULL, NULL, 19234),
(45551, '2y05A01', NULL, NULL, 150, NULL, NULL, 19234),
(45552, '3krtC01', NULL, NULL, 309, NULL, NULL, 19234),
(45553, '4ilkA01', NULL, NULL, 203, NULL, NULL, 19234),
(45554, '3fplA01', NULL, NULL, 213, NULL, NULL, 19234),
(45555, '5tnxA01', NULL, NULL, 246, NULL, NULL, 19234),
(45556, '4jbgA01', NULL, NULL, 199, NULL, NULL, 19234),
(45557, '4w6zA01', NULL, NULL, 205, NULL, NULL, 19234),
(45558, '5dp1A01', NULL, NULL, 192, NULL, NULL, 19234),
(45559, '3gqvA01', NULL, NULL, 178, NULL, NULL, 19234),
(45560, '5vktA01', NULL, NULL, 205, NULL, NULL, 19234),
(45561, '2c0cA01', NULL, NULL, 183, NULL, NULL, 19234),
(45562, '5dovB01', NULL, NULL, 197, NULL, NULL, 19234),
(45563, '4hfmA01', NULL, NULL, 174, NULL, NULL, 19234),
(45564, '1yb5A01', NULL, NULL, 156, NULL, NULL, 19234),
(45565, '1n9gA01', NULL, NULL, 207, NULL, NULL, 19234),
(45566, '3qe3A01', NULL, NULL, 216, NULL, NULL, 19234),
(45567, '3tqhA01', NULL, NULL, 188, NULL, NULL, 19234),
(45568, '1uufA01', NULL, NULL, 191, NULL, NULL, 19234),
(45569, '6eowA01', NULL, NULL, 164, NULL, NULL, 19234),
(45570, '2eerA01', NULL, NULL, 210, NULL, NULL, 19234),
(45571, '2eihA01', NULL, NULL, 200, NULL, NULL, 19234),
(45572, '3slkA02', NULL, NULL, 327, NULL, NULL, 19234),
(45573, '1f8fA01', NULL, NULL, 234, NULL, NULL, 19234),
(45574, '4b7cA01', NULL, NULL, 159, NULL, NULL, 19234),
(45575, '4rqtA01', NULL, NULL, 236, NULL, NULL, 19234),
(45576, '5a3vB01', NULL, NULL, 184, NULL, NULL, 19234),
(45577, '2cdcA01', NULL, NULL, 176, NULL, NULL, 19234),
(45578, '4dvjB01', NULL, NULL, 199, NULL, NULL, 19234),
(45579, '4cpdC01', NULL, NULL, 212, NULL, NULL, 19234),
(45580, '3m6iA01', NULL, NULL, 222, NULL, NULL, 19234),
(45581, '1d1tA01', NULL, NULL, 234, NULL, NULL, 19234),
(45582, '4j6fA01', NULL, NULL, 203, NULL, NULL, 19234);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(45583, '3gfbA01', NULL, NULL, 215, NULL, NULL, 19234),
(45584, '4dupA01', NULL, NULL, 187, NULL, NULL, 19234),
(45585, '1lluA01', NULL, NULL, 204, NULL, NULL, 19234),
(45586, '1tt7A01', NULL, NULL, 164, NULL, NULL, 19234),
(45587, '3meqA01', NULL, NULL, 202, NULL, NULL, 19234),
(45588, '1zsyA01', NULL, NULL, 180, NULL, NULL, 19234),
(45589, '2cf5A01', NULL, NULL, 200, NULL, NULL, 19234),
(45590, '2dq4A01', NULL, NULL, 209, NULL, NULL, 19234),
(45591, '1vj0B01', NULL, NULL, 233, NULL, NULL, 19234),
(45592, '5kiaA01', NULL, NULL, 217, NULL, NULL, 19234),
(45593, '4rvuA01', NULL, NULL, 184, NULL, NULL, 19234),
(45594, '4w82A01', NULL, NULL, 163, NULL, NULL, 19234),
(45595, '1wlyA01', NULL, NULL, 186, NULL, NULL, 19234),
(45596, '1xa0A01', NULL, NULL, 164, NULL, NULL, 19234),
(45597, '1qorA01', NULL, NULL, 181, NULL, NULL, 19234),
(45598, '1e3iB01', NULL, NULL, 239, NULL, NULL, 19234),
(45599, '4a0sC01', NULL, NULL, 300, NULL, NULL, 19234),
(45600, '1iz0A01', NULL, NULL, 141, NULL, NULL, 19234),
(45601, '4z6kA01', NULL, NULL, 208, NULL, NULL, 19234),
(45602, '2m3aA00', NULL, NULL, 67, NULL, NULL, 19235),
(45603, '1b79B00', NULL, NULL, 103, NULL, NULL, 19236),
(45604, '2r5uC00', NULL, NULL, 144, NULL, NULL, 19236),
(45605, '3gxvB00', NULL, NULL, 123, NULL, NULL, 19236),
(45606, '4ehsA00', NULL, NULL, 130, NULL, NULL, 19236),
(45607, '4im9B00', NULL, NULL, 152, NULL, NULL, 19236),
(45608, '2r6aA01', NULL, NULL, 151, NULL, NULL, 19236),
(45609, '3bgwA01', NULL, NULL, 150, NULL, NULL, 19236),
(45610, '2vyfB01', NULL, NULL, 131, NULL, NULL, 19236),
(45611, '2r6aB01', NULL, NULL, 166, NULL, NULL, 19236),
(45612, '2lznA00', NULL, NULL, 143, NULL, NULL, 19236),
(45613, '2q6tB01', NULL, NULL, 149, NULL, NULL, 19236),
(45614, '6cbrB00', NULL, NULL, 166, NULL, NULL, 19236),
(45615, '2r6aC01', NULL, NULL, 96, NULL, NULL, 19236),
(45616, '1rp3H01', NULL, NULL, 49, NULL, NULL, 19237),
(45617, '3ripA02', NULL, NULL, 304, NULL, NULL, 19238),
(45618, '2klqA00', NULL, NULL, 114, NULL, NULL, 19239),
(45619, '1gjjA00', NULL, NULL, 108, NULL, NULL, 19240),
(45620, '6ghdG00', NULL, NULL, 45, NULL, NULL, 19240),
(45621, '1h9eA00', NULL, NULL, 56, NULL, NULL, 19240),
(45622, '1h9fA00', NULL, NULL, 57, NULL, NULL, 19240),
(45623, '5xteD00', NULL, NULL, 62, NULL, NULL, 19241),
(45624, '1pp9J00', NULL, NULL, 62, NULL, NULL, 19241),
(45625, '3tguW00', NULL, NULL, 61, NULL, NULL, 19241),
(45626, '3cx5I00', NULL, NULL, 65, NULL, NULL, 19241),
(45627, '1vwxg02', NULL, NULL, 79, NULL, NULL, 19242),
(45628, '3u5eg02', NULL, NULL, 83, NULL, NULL, 19242),
(45629, '4a18L02', NULL, NULL, 85, NULL, NULL, 19242),
(45630, '1vx7a02', NULL, NULL, 69, NULL, NULL, 19242),
(45631, '3e35A01', NULL, NULL, 232, NULL, NULL, 19243),
(45632, '2wamC01', NULL, NULL, 232, NULL, NULL, 19243),
(45633, '3mnfA00', NULL, NULL, 250, NULL, NULL, 19243),
(45634, '3vr0A00', NULL, NULL, 244, NULL, NULL, 19243),
(45635, '4g4sP00', NULL, NULL, 213, NULL, NULL, 19243),
(45636, '5un0100', NULL, NULL, 251, NULL, NULL, 19243),
(45637, '3gaaB00', NULL, NULL, 252, NULL, NULL, 19243),
(45638, '3wz2B00', NULL, NULL, 245, NULL, NULL, 19243),
(45639, '2p90A01', NULL, NULL, 229, NULL, NULL, 19243),
(45640, '5xzgA01', NULL, NULL, 182, NULL, NULL, 19244),
(45641, '5x9cA01', NULL, NULL, 144, NULL, NULL, 19244),
(45642, '4at7A01', NULL, NULL, 183, NULL, NULL, 19244),
(45643, '4at7B01', NULL, NULL, 140, NULL, NULL, 19244),
(45644, '4woyA01', NULL, NULL, 136, NULL, NULL, 19244),
(45645, '4mkpA01', NULL, NULL, 187, NULL, NULL, 19244),
(45646, '4jlxA01', NULL, NULL, 186, NULL, NULL, 19244),
(45647, '6qm7D00', NULL, NULL, 248, NULL, NULL, 19245),
(45648, '4hnzA00', NULL, NULL, 179, NULL, NULL, 19245),
(45649, '1ea0A01', NULL, NULL, 422, NULL, NULL, 19245),
(45650, '1g3kA00', NULL, NULL, 174, NULL, NULL, 19245),
(45651, '1ryp200', NULL, NULL, 233, NULL, NULL, 19245),
(45652, '1cp9B01', NULL, NULL, 298, NULL, NULL, 19245),
(45653, '5fmgE00', NULL, NULL, 256, NULL, NULL, 19245),
(45654, '5fmgI00', NULL, NULL, 190, NULL, NULL, 19245),
(45655, '1yarH00', NULL, NULL, 217, NULL, NULL, 19245);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(45656, '5fmgA00', NULL, NULL, 260, NULL, NULL, 19245),
(45657, '2imhA01', NULL, NULL, 218, NULL, NULL, 19245),
(45658, '1rypK00', NULL, NULL, 198, NULL, NULL, 19245),
(45659, '1jgtB01', NULL, NULL, 207, NULL, NULL, 19245),
(45660, '5fmgN00', NULL, NULL, 202, NULL, NULL, 19245),
(45661, '4e57A01', NULL, NULL, 343, NULL, NULL, 19245),
(45662, '6qm7M00', NULL, NULL, 214, NULL, NULL, 19245),
(45663, '1rypG00', NULL, NULL, 244, NULL, NULL, 19245),
(45664, '6qm7I00', NULL, NULL, 225, NULL, NULL, 19245),
(45665, '5le5K00', NULL, NULL, 204, NULL, NULL, 19245),
(45666, '1rypC00', NULL, NULL, 244, NULL, NULL, 19245),
(45667, '1fm2B01', NULL, NULL, 262, NULL, NULL, 19245),
(45668, '5le5F00', NULL, NULL, 255, NULL, NULL, 19245),
(45669, '1q5qA00', NULL, NULL, 235, NULL, NULL, 19245),
(45670, '6qm7A00', NULL, NULL, 250, NULL, NULL, 19245),
(45671, '4hstB01', NULL, NULL, 329, NULL, NULL, 19245),
(45672, '1q15A01', NULL, NULL, 206, NULL, NULL, 19245),
(45673, '5fmgF00', NULL, NULL, 237, NULL, NULL, 19245),
(45674, '6avoA00', NULL, NULL, 199, NULL, NULL, 19245),
(45675, '5fmgJ00', NULL, NULL, 218, NULL, NULL, 19245),
(45676, '1j2qH00', NULL, NULL, 202, NULL, NULL, 19245),
(45677, '5fmgB00', NULL, NULL, 235, NULL, NULL, 19245),
(45678, '1rypL00', NULL, NULL, 212, NULL, NULL, 19245),
(45679, '5le5b00', NULL, NULL, 205, NULL, NULL, 19245),
(45680, '1m4yA00', NULL, NULL, 171, NULL, NULL, 19245),
(45681, '1rypH00', NULL, NULL, 205, NULL, NULL, 19245),
(45682, '6hv3H00', NULL, NULL, 226, NULL, NULL, 19245),
(45683, '5fmgK00', NULL, NULL, 195, NULL, NULL, 19245),
(45684, '3unfN00', NULL, NULL, 199, NULL, NULL, 19245),
(45685, '6qm7N00', NULL, NULL, 220, NULL, NULL, 19245),
(45686, '1rypD00', NULL, NULL, 241, NULL, NULL, 19245),
(45687, '4zflD00', NULL, NULL, 234, NULL, NULL, 19245),
(45688, '4pemB01', NULL, NULL, 302, NULL, NULL, 19245),
(45689, '6qm7J00', NULL, NULL, 205, NULL, NULL, 19245),
(45690, '3k3wB01', NULL, NULL, 296, NULL, NULL, 19245),
(45691, '5le5J00', NULL, NULL, 201, NULL, NULL, 19245),
(45692, '6qm7F00', NULL, NULL, 238, NULL, NULL, 19245),
(45693, '5le5E00', NULL, NULL, 237, NULL, NULL, 19245),
(45694, '3mkaZ00', NULL, NULL, 272, NULL, NULL, 19245),
(45695, '5le5A00', NULL, NULL, 234, NULL, NULL, 19245),
(45696, '1q5qH00', NULL, NULL, 235, NULL, NULL, 19245),
(45697, '5fmgC00', NULL, NULL, 246, NULL, NULL, 19245),
(45698, '3ty6A00', NULL, NULL, 183, NULL, NULL, 19245),
(45699, '5fmgG00', NULL, NULL, 252, NULL, NULL, 19245),
(45700, '1e94A00', NULL, NULL, 175, NULL, NULL, 19245),
(45701, '6avoB00', NULL, NULL, 234, NULL, NULL, 19245),
(45702, '2advC01', NULL, NULL, 210, NULL, NULL, 19245),
(45703, '1xffA00', NULL, NULL, 240, NULL, NULL, 19245),
(45704, '3mi0F00', NULL, NULL, 248, NULL, NULL, 19245),
(45705, '1ofdA01', NULL, NULL, 430, NULL, NULL, 19245),
(45706, '1te5A00', NULL, NULL, 257, NULL, NULL, 19245),
(45707, '1rypI00', NULL, NULL, 222, NULL, NULL, 19245),
(45708, '5l5yK00', NULL, NULL, 211, NULL, NULL, 19245),
(45709, '2z3bA00', NULL, NULL, 180, NULL, NULL, 19245),
(45710, '5fmgL00', NULL, NULL, 194, NULL, NULL, 19245),
(45711, '4yfbC01', NULL, NULL, 287, NULL, NULL, 19245),
(45712, '3mi0200', NULL, NULL, 223, NULL, NULL, 19245),
(45713, '5le5U00', NULL, NULL, 246, NULL, NULL, 19245),
(45714, '6qm7S00', NULL, NULL, 238, NULL, NULL, 19245),
(45715, '3mdnD00', NULL, NULL, 274, NULL, NULL, 19245),
(45716, '3unfK00', NULL, NULL, 204, NULL, NULL, 19245),
(45717, '5le5Q00', NULL, NULL, 248, NULL, NULL, 19245),
(45718, '5le5M00', NULL, NULL, 219, NULL, NULL, 19245),
(45719, '6qm7K00', NULL, NULL, 206, NULL, NULL, 19245),
(45720, '1rypE00', NULL, NULL, 242, NULL, NULL, 19245),
(45721, '1ao0A01', NULL, NULL, 304, NULL, NULL, 19245),
(45722, '6qm7G00', NULL, NULL, 238, NULL, NULL, 19245),
(45723, '5le5I00', NULL, NULL, 205, NULL, NULL, 19245),
(45724, '1or0B01', NULL, NULL, 259, NULL, NULL, 19245),
(45725, '1rypA00', NULL, NULL, 243, NULL, NULL, 19245),
(45726, '3hfa100', NULL, NULL, 240, NULL, NULL, 19245),
(45727, '5le5D00', NULL, NULL, 241, NULL, NULL, 19245),
(45728, '5l5aK00', NULL, NULL, 211, NULL, NULL, 19245);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(45729, '1ryp100', NULL, NULL, 222, NULL, NULL, 19245),
(45730, '5fmgD00', NULL, NULL, 241, NULL, NULL, 19245),
(45731, '4wksC01', NULL, NULL, 277, NULL, NULL, 19245),
(45732, '5fmgH00', NULL, NULL, 196, NULL, NULL, 19245),
(45733, '6avoC00', NULL, NULL, 204, NULL, NULL, 19245),
(45734, '1yarA00', NULL, NULL, 233, NULL, NULL, 19245),
(45735, '1rypJ00', NULL, NULL, 204, NULL, NULL, 19245),
(45736, '1g0uD00', NULL, NULL, 241, NULL, NULL, 19245),
(45737, '5fmgM00', NULL, NULL, 209, NULL, NULL, 19245),
(45738, '3unfH00', NULL, NULL, 234, NULL, NULL, 19245),
(45739, '1gk9B01', NULL, NULL, 302, NULL, NULL, 19245),
(45740, '1j2pA00', NULL, NULL, 246, NULL, NULL, 19245),
(45741, '6czfA01', NULL, NULL, 321, NULL, NULL, 19245),
(45742, '1ct9A01', NULL, NULL, 192, NULL, NULL, 19245),
(45743, '5le5P00', NULL, NULL, 261, NULL, NULL, 19245),
(45744, '1rypF00', NULL, NULL, 233, NULL, NULL, 19245),
(45745, '6qm7L00', NULL, NULL, 203, NULL, NULL, 19245),
(45746, '5le5L00', NULL, NULL, 213, NULL, NULL, 19245),
(45747, '1rypB00', NULL, NULL, 250, NULL, NULL, 19245),
(45748, '5le5H00', NULL, NULL, 234, NULL, NULL, 19245),
(45749, '4wepA02', NULL, NULL, 114, NULL, NULL, 19246),
(45750, '3o66B02', NULL, NULL, 105, NULL, NULL, 19246),
(45751, '6eygA02', NULL, NULL, 105, NULL, NULL, 19246),
(45752, '5teuA02', NULL, NULL, 114, NULL, NULL, 19246),
(45753, '4z7eA02', NULL, NULL, 104, NULL, NULL, 19246),
(45754, '1sw5A02', NULL, NULL, 104, NULL, NULL, 19246),
(45755, '4ne4A02', NULL, NULL, 114, NULL, NULL, 19246),
(45756, '3ppqA02', NULL, NULL, 105, NULL, NULL, 19246),
(45757, '1bhaA00', NULL, NULL, 71, NULL, NULL, 19247),
(45758, '5xtbC00', NULL, NULL, 156, NULL, NULL, 19248),
(45759, '3i9v600', NULL, NULL, 181, NULL, NULL, 19248),
(45760, '6cfwJ00', NULL, NULL, 167, NULL, NULL, 19248),
(45761, '6g2jB00', NULL, NULL, 155, NULL, NULL, 19248),
(45762, '5b66Z00', NULL, NULL, 62, NULL, NULL, 19249),
(45763, '5xnlZ00', NULL, NULL, 62, NULL, NULL, 19249),
(45764, '3ga9L02', NULL, NULL, 101, NULL, NULL, 19250),
(45765, '3g9kD02', NULL, NULL, 101, NULL, NULL, 19250),
(45766, '3g9kL02', NULL, NULL, 101, NULL, NULL, 19250),
(45767, '5uj1A04', NULL, NULL, 131, NULL, NULL, 19251),
(45768, '1i7dA04', NULL, NULL, 127, NULL, NULL, 19251),
(45769, '4cgyA04', NULL, NULL, 125, NULL, NULL, 19251),
(45770, '1gkuB08', NULL, NULL, 119, NULL, NULL, 19251),
(45771, '4dduA08', NULL, NULL, 122, NULL, NULL, 19251),
(45772, '1mw9X04', NULL, NULL, 125, NULL, NULL, 19251),
(45773, '2gaiA04', NULL, NULL, 134, NULL, NULL, 19251),
(45774, '5gvcA04', NULL, NULL, 126, NULL, NULL, 19251),
(45775, '3kxlA02', NULL, NULL, 26, NULL, NULL, 19252),
(45776, '2w2gA02', NULL, NULL, 128, NULL, NULL, 19253),
(45777, '5kycB02', NULL, NULL, 53, NULL, NULL, 19254),
(45778, '4ypoA02', NULL, NULL, 154, NULL, NULL, 19255),
(45779, '4xiyA02', NULL, NULL, 157, NULL, NULL, 19255),
(45780, '4tskA02', NULL, NULL, 153, NULL, NULL, 19255),
(45781, '4xdyA02', NULL, NULL, 152, NULL, NULL, 19255),
(45782, '4xdzA02', NULL, NULL, 161, NULL, NULL, 19255),
(45783, '5yeqA02', NULL, NULL, 158, NULL, NULL, 19255),
(45784, '1np3A02', NULL, NULL, 157, NULL, NULL, 19255),
(45785, '4kqwA02', NULL, NULL, 158, NULL, NULL, 19255),
(45786, '5yeqB02', NULL, NULL, 158, NULL, NULL, 19255),
(45787, '6aqjA02', NULL, NULL, 159, NULL, NULL, 19255),
(45788, '3egwA01', NULL, NULL, 42, NULL, NULL, 19256),
(45789, '1q16A01', NULL, NULL, 28, NULL, NULL, 19256),
(45790, '2ymsD00', NULL, NULL, 74, NULL, NULL, 19257),
(45791, '2ymsB00', NULL, NULL, 74, NULL, NULL, 19257),
(45792, '3owrB00', NULL, NULL, 134, NULL, NULL, 19258),
(45793, '5kdiA00', NULL, NULL, 211, NULL, NULL, 19259),
(45794, '2i3fA00', NULL, NULL, 224, NULL, NULL, 19259),
(45795, '4k84A00', NULL, NULL, 215, NULL, NULL, 19259),
(45796, '3kv0A01', NULL, NULL, 171, NULL, NULL, 19259),
(45797, '4kbrD00', NULL, NULL, 217, NULL, NULL, 19259),
(45798, '4nt1D00', NULL, NULL, 207, NULL, NULL, 19259),
(45799, '3rznA01', NULL, NULL, 185, NULL, NULL, 19259),
(45800, '4gucA00', NULL, NULL, 120, NULL, NULL, 19260),
(45801, '2l6oA01', NULL, NULL, 72, NULL, NULL, 19261);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(45802, '5luzA01', NULL, NULL, 138, NULL, NULL, 19262),
(45803, '2o36A01', NULL, NULL, 136, NULL, NULL, 19262),
(45804, '2o3eA01', NULL, NULL, 152, NULL, NULL, 19262),
(45805, '3e7jA02', NULL, NULL, 320, NULL, NULL, 19263),
(45806, '4ok4A02', NULL, NULL, 364, NULL, NULL, 19263),
(45807, '4mmhA02', NULL, NULL, 279, NULL, NULL, 19263),
(45808, '3a0oA03', NULL, NULL, 281, NULL, NULL, 19263),
(45809, '4fnvA02', NULL, NULL, 282, NULL, NULL, 19263),
(45810, '5jmfA02', NULL, NULL, 271, NULL, NULL, 19263),
(45811, '4xgwA00', NULL, NULL, 340, NULL, NULL, 19264),
(45812, '1vrmA01', NULL, NULL, 208, NULL, NULL, 19264),
(45813, '3pndB00', NULL, NULL, 337, NULL, NULL, 19264),
(45814, '6nxiA00', NULL, NULL, 328, NULL, NULL, 19264),
(45815, '5mgyA00', NULL, NULL, 332, NULL, NULL, 19264),
(45816, '2o34A00', NULL, NULL, 250, NULL, NULL, 19264),
(45817, '4xduA00', NULL, NULL, 340, NULL, NULL, 19264),
(45818, '4uuwB02', NULL, NULL, 74, NULL, NULL, 19265),
(45819, '3fbqA01', NULL, NULL, 147, NULL, NULL, 19266),
(45820, '2z5yA03', NULL, NULL, 52, NULL, NULL, 19267),
(45821, '1o5wC03', NULL, NULL, 54, NULL, NULL, 19267),
(45822, '1p2zA03', NULL, NULL, 265, NULL, NULL, 19268),
(45823, '1dhxA03', NULL, NULL, 254, NULL, NULL, 19268),
(45824, '2obeA01', NULL, NULL, 265, NULL, NULL, 19268),
(45825, '2l1tA00', NULL, NULL, 109, NULL, NULL, 19269),
(45826, '2ymbA00', NULL, NULL, 161, NULL, NULL, 19270),
(45827, '4a5zB00', NULL, NULL, 163, NULL, NULL, 19270),
(45828, '2qguA02', NULL, NULL, 82, NULL, NULL, 19271),
(45829, '1l1cA00', NULL, NULL, 55, NULL, NULL, 19272),
(45830, '3rioA01', NULL, NULL, 80, NULL, NULL, 19272),
(45831, '1auuA00', NULL, NULL, 55, NULL, NULL, 19272),
(45832, '2l0cA00', NULL, NULL, 97, NULL, NULL, 19273),
(45833, '3rd4B00', NULL, NULL, 100, NULL, NULL, 19273),
(45834, '4ntqA00', NULL, NULL, 76, NULL, NULL, 19274),
(45835, '4rlqA02', NULL, NULL, 75, NULL, NULL, 19275),
(45836, '3zw0B01', NULL, NULL, 82, NULL, NULL, 19276),
(45837, '5o7vA01', NULL, NULL, 84, NULL, NULL, 19276),
(45838, '5o7wA01', NULL, NULL, 84, NULL, NULL, 19276),
(45839, '5o7uB01', NULL, NULL, 84, NULL, NULL, 19276),
(45840, '5o7uA01', NULL, NULL, 84, NULL, NULL, 19276),
(45841, '5o7vB01', NULL, NULL, 84, NULL, NULL, 19276),
(45842, '5o7wB01', NULL, NULL, 84, NULL, NULL, 19276),
(45843, '6f7wA01', NULL, NULL, 84, NULL, NULL, 19276),
(45844, '2bt9C01', NULL, NULL, 84, NULL, NULL, 19276),
(45845, '1fm2A00', NULL, NULL, 169, NULL, NULL, 19277),
(45846, '4yfbJ00', NULL, NULL, 178, NULL, NULL, 19277),
(45847, '1cp9A01', NULL, NULL, 147, NULL, NULL, 19277),
(45848, '4e57A02', NULL, NULL, 111, NULL, NULL, 19277),
(45849, '4pemC01', NULL, NULL, 147, NULL, NULL, 19277),
(45850, '4wksA00', NULL, NULL, 165, NULL, NULL, 19277),
(45851, '4hstA01', NULL, NULL, 164, NULL, NULL, 19277),
(45852, '3k3wA01', NULL, NULL, 150, NULL, NULL, 19277),
(45853, '1gk9A01', NULL, NULL, 149, NULL, NULL, 19277),
(45854, '3k7dA01', NULL, NULL, 113, NULL, NULL, 19278),
(45855, '1vprA02', NULL, NULL, 84, NULL, NULL, 19279),
(45856, '3kihC01', NULL, NULL, 36, NULL, NULL, 19280),
(45857, '2obeA03', NULL, NULL, 152, NULL, NULL, 19281),
(45858, '1p2zA02', NULL, NULL, 152, NULL, NULL, 19281),
(45859, '2wxfA05', NULL, NULL, 198, NULL, NULL, 19282),
(45860, '5dxtA05', NULL, NULL, 199, NULL, NULL, 19282),
(45861, '1e8yA05', NULL, NULL, 201, NULL, NULL, 19282),
(45862, '1cjaA02', NULL, NULL, 177, NULL, NULL, 19282),
(45863, '2x6hA03', NULL, NULL, 201, NULL, NULL, 19282),
(45864, '4uwhA03', NULL, NULL, 193, NULL, NULL, 19282),
(45865, '4bfrA05', NULL, NULL, 205, NULL, NULL, 19282),
(45866, '2gumB05', NULL, NULL, 65, NULL, NULL, 19283),
(45867, '6escA05', NULL, NULL, 59, NULL, NULL, 19283),
(45868, '3fvcA05', NULL, NULL, 69, NULL, NULL, 19283),
(45869, '4jjjA03', NULL, NULL, 73, NULL, NULL, 19284),
(45870, '4xwmA03', NULL, NULL, 65, NULL, NULL, 19284),
(45871, '4l6xA03', NULL, NULL, 66, NULL, NULL, 19284),
(45872, '1l1yA03', NULL, NULL, 66, NULL, NULL, 19284),
(45873, '1g9gA03', NULL, NULL, 66, NULL, NULL, 19284),
(45874, '4fusA03', NULL, NULL, 65, NULL, NULL, 19284),
(45875, '1go3F02', NULL, NULL, 47, NULL, NULL, 19285);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(45876, '4qjfB01', NULL, NULL, 54, NULL, NULL, 19285),
(45877, '1pzqA01', NULL, NULL, 41, NULL, NULL, 19286),
(45878, '3k1lA01', NULL, NULL, 96, NULL, NULL, 19287),
(45879, '2zciD03', NULL, NULL, 280, NULL, NULL, 19288),
(45880, '1ytmA03', NULL, NULL, 253, NULL, NULL, 19288),
(45881, '1j3bA03', NULL, NULL, 253, NULL, NULL, 19288),
(45882, '4gmuA03', NULL, NULL, 268, NULL, NULL, 19288),
(45883, '4wl8A03', NULL, NULL, 278, NULL, NULL, 19288),
(45884, '2fafA03', NULL, NULL, 276, NULL, NULL, 19288),
(45885, '6at4A03', NULL, NULL, 251, NULL, NULL, 19288),
(45886, '1ylhA03', NULL, NULL, 253, NULL, NULL, 19288),
(45887, '1ii2A03', NULL, NULL, 256, NULL, NULL, 19288),
(45888, '1khbA03', NULL, NULL, 276, NULL, NULL, 19288),
(45889, '4lg3A02', NULL, NULL, 43, NULL, NULL, 19289),
(45890, '3iylW02', NULL, NULL, 148, NULL, NULL, 19290),
(45891, '1ej6A02', NULL, NULL, 148, NULL, NULL, 19290),
(45892, '1pyoB00', NULL, NULL, 105, NULL, NULL, 19291),
(45893, '1qtnB00', NULL, NULL, 95, NULL, NULL, 19291),
(45894, '4jb8B00', NULL, NULL, 105, NULL, NULL, 19291),
(45895, '5k20B00', NULL, NULL, 113, NULL, NULL, 19291),
(45896, '1sc3B00', NULL, NULL, 88, NULL, NULL, 19291),
(45897, '3p4uB00', NULL, NULL, 108, NULL, NULL, 19291),
(45898, '3sipD00', NULL, NULL, 109, NULL, NULL, 19291),
(45899, '2dkoB00', NULL, NULL, 103, NULL, NULL, 19291),
(45900, '1aolA00', NULL, NULL, 228, NULL, NULL, 19292),
(45901, '1lcsA00', NULL, NULL, 211, NULL, NULL, 19292),
(45902, '4c0eA02', NULL, NULL, 229, NULL, NULL, 19293),
(45903, '4by6D02', NULL, NULL, 230, NULL, NULL, 19293),
(45904, '2mjfB00', NULL, NULL, 95, NULL, NULL, 19294),
(45905, '5xluB01', NULL, NULL, 179, NULL, NULL, 19295),
(45906, '2dg5B00', NULL, NULL, 190, NULL, NULL, 19295),
(45907, '4gdxB00', NULL, NULL, 195, NULL, NULL, 19295),
(45908, '2qmcB00', NULL, NULL, 188, NULL, NULL, 19295),
(45909, '5hftD00', NULL, NULL, 187, NULL, NULL, 19295),
(45910, '3g9kS01', NULL, NULL, 174, NULL, NULL, 19295),
(45911, '3whrB01', NULL, NULL, 179, NULL, NULL, 19295),
(45912, '5zjgB00', NULL, NULL, 194, NULL, NULL, 19295),
(45913, '2o8sA01', NULL, NULL, 250, NULL, NULL, 19296),
(45914, '2oxlA00', NULL, NULL, 64, NULL, NULL, 19297),
(45915, '3gztB01', NULL, NULL, 150, NULL, NULL, 19298),
(45916, '3fmgA01', NULL, NULL, 162, NULL, NULL, 19298),
(45917, '2pfdA02', NULL, NULL, 145, NULL, NULL, 19299),
(45918, '1qd1B02', NULL, NULL, 145, NULL, NULL, 19299),
(45919, '6b5fA01', NULL, NULL, 78, NULL, NULL, 19300),
(45920, '4hdrD01', NULL, NULL, 73, NULL, NULL, 19300),
(45921, '4hdrA01', NULL, NULL, 73, NULL, NULL, 19300),
(45922, '1l5mA01', NULL, NULL, 74, NULL, NULL, 19300),
(45923, '4kqkB01', NULL, NULL, 81, NULL, NULL, 19300),
(45924, '1wx1A01', NULL, NULL, 62, NULL, NULL, 19300),
(45925, '2gqcA01', NULL, NULL, 56, NULL, NULL, 19301),
(45926, '2fz6C00', NULL, NULL, 75, NULL, NULL, 19302),
(45927, '2k6aA00', NULL, NULL, 68, NULL, NULL, 19302),
(45928, '4aogA00', NULL, NULL, 80, NULL, NULL, 19302),
(45929, '2b97A00', NULL, NULL, 71, NULL, NULL, 19302),
(45930, '4bwhA00', NULL, NULL, 88, NULL, NULL, 19302),
(45931, '6baqB00', NULL, NULL, 210, NULL, NULL, 19303),
(45932, '2obdA02', NULL, NULL, 189, NULL, NULL, 19303),
(45933, '3zpmA00', NULL, NULL, 211, NULL, NULL, 19303),
(45934, '4m4dA02', NULL, NULL, 178, NULL, NULL, 19303),
(45935, '5i7jA00', NULL, NULL, 214, NULL, NULL, 19303),
(45936, '1ewfA01', NULL, NULL, 180, NULL, NULL, 19303),
(45937, '3o39B00', NULL, NULL, 108, NULL, NULL, 19304),
(45938, '3layJ00', NULL, NULL, 81, NULL, NULL, 19304),
(45939, '3itfA00', NULL, NULL, 111, NULL, NULL, 19304),
(45940, '3itfB00', NULL, NULL, 111, NULL, NULL, 19304),
(45941, '5wnwA00', NULL, NULL, 97, NULL, NULL, 19304),
(45942, '3qzcA00', NULL, NULL, 117, NULL, NULL, 19304),
(45943, '3o39A00', NULL, NULL, 108, NULL, NULL, 19304),
(45944, '2y39A00', NULL, NULL, 118, NULL, NULL, 19304),
(45945, '2bs2A04', NULL, NULL, 94, NULL, NULL, 19305),
(45946, '1b3qA01', NULL, NULL, 62, NULL, NULL, 19306),
(45947, '1c4qA00', NULL, NULL, 69, NULL, NULL, 19307),
(45948, '4m1uB00', NULL, NULL, 70, NULL, NULL, 19307),
(45949, '2bosA00', NULL, NULL, 68, NULL, NULL, 19307);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(45950, '4bvqA02', NULL, NULL, 147, NULL, NULL, 19308),
(45951, '5hweA02', NULL, NULL, 145, NULL, NULL, 19308),
(45952, '4nq3A02', NULL, NULL, 148, NULL, NULL, 19308),
(45953, '5hy4G02', NULL, NULL, 149, NULL, NULL, 19308),
(45954, '3gzfD00', NULL, NULL, 96, NULL, NULL, 19309),
(45955, '3vc8B00', NULL, NULL, 94, NULL, NULL, 19309),
(45956, '2kpqA01', NULL, NULL, 74, NULL, NULL, 19310),
(45957, '1lqsL02', NULL, NULL, 43, NULL, NULL, 19311),
(45958, '3l9dA02', NULL, NULL, 54, NULL, NULL, 19312),
(45959, '5dedF02', NULL, NULL, 48, NULL, NULL, 19312),
(45960, '5decA02', NULL, NULL, 64, NULL, NULL, 19312),
(45961, '2be3B02', NULL, NULL, 54, NULL, NULL, 19312),
(45962, '3d9xA03', NULL, NULL, 24, NULL, NULL, 19313),
(45963, '3e7jA03', NULL, NULL, 96, NULL, NULL, 19314),
(45964, '2qggA02', NULL, NULL, 84, NULL, NULL, 19315),
(45965, '3htrB00', NULL, NULL, 95, NULL, NULL, 19315),
(45966, '1pm3A00', NULL, NULL, 78, NULL, NULL, 19315),
(45967, '3h9nA02', NULL, NULL, 88, NULL, NULL, 19315),
(45968, '2dyiA02', NULL, NULL, 71, NULL, NULL, 19315),
(45969, '2f1lA02', NULL, NULL, 75, NULL, NULL, 19315),
(45970, '2o0aA00', NULL, NULL, 298, NULL, NULL, 19316),
(45971, '4gkpB00', NULL, NULL, 275, NULL, NULL, 19316),
(45972, '2e52A02', NULL, NULL, 74, NULL, NULL, 19317),
(45973, '2hlyA00', NULL, NULL, 207, NULL, NULL, 19318),
(45974, '5xogF00', NULL, NULL, 85, NULL, NULL, 19319),
(45975, '3h0gF00', NULL, NULL, 83, NULL, NULL, 19319),
(45976, '2a6hE00', NULL, NULL, 99, NULL, NULL, 19319),
(45977, '4aybK00', NULL, NULL, 95, NULL, NULL, 19319),
(45978, '2waqK00', NULL, NULL, 95, NULL, NULL, 19319),
(45979, '4qiwK00', NULL, NULL, 57, NULL, NULL, 19319),
(45980, '5uagE00', NULL, NULL, 90, NULL, NULL, 19319),
(45981, '6gmhF00', NULL, NULL, 82, NULL, NULL, 19319),
(45982, '1qklA00', NULL, NULL, 127, NULL, NULL, 19319),
(45983, '1twfF00', NULL, NULL, 84, NULL, NULL, 19319),
(45984, '5tjgE00', NULL, NULL, 99, NULL, NULL, 19319),
(45985, '5t57A01', NULL, NULL, 175, NULL, NULL, 19320),
(45986, '3widA02', NULL, NULL, 183, NULL, NULL, 19320),
(45987, '3pwzA02', NULL, NULL, 122, NULL, NULL, 19320),
(45988, '4gx0B04', NULL, NULL, 131, NULL, NULL, 19320),
(45989, '3f1lB00', NULL, NULL, 252, NULL, NULL, 19320),
(45990, '1xdwA02', NULL, NULL, 197, NULL, NULL, 19320),
(45991, '3gg2A01', NULL, NULL, 204, NULL, NULL, 19320),
(45992, '1xdwA01', NULL, NULL, 133, NULL, NULL, 19320),
(45993, '3c8mA01', NULL, NULL, 176, NULL, NULL, 19320),
(45994, '3wb9A01', NULL, NULL, 191, NULL, NULL, 19320),
(45995, '3l6dA01', NULL, NULL, 164, NULL, NULL, 19320),
(45996, '2bd0A01', NULL, NULL, 235, NULL, NULL, 19320),
(45997, '1hdgO01', NULL, NULL, 167, NULL, NULL, 19320),
(45998, '3evnA01', NULL, NULL, 123, NULL, NULL, 19320),
(45999, '3euwA01', NULL, NULL, 122, NULL, NULL, 19320),
(46000, '3un1C00', NULL, NULL, 234, NULL, NULL, 19320),
(46001, '4r1sB00', NULL, NULL, 337, NULL, NULL, 19320),
(46002, '4rf5A00', NULL, NULL, 251, NULL, NULL, 19320),
(46003, '1eq2A01', NULL, NULL, 203, NULL, NULL, 19320),
(46004, '2amfA01', NULL, NULL, 149, NULL, NULL, 19320),
(46005, '1a5zA01', NULL, NULL, 141, NULL, NULL, 19320),
(46006, '1kolA02', NULL, NULL, 167, NULL, NULL, 19320),
(46007, '4nr0A00', NULL, NULL, 273, NULL, NULL, 19320),
(46008, '5yecC00', NULL, NULL, 340, NULL, NULL, 19320),
(46009, '3h2sA00', NULL, NULL, 224, NULL, NULL, 19320),
(46010, '2bgkA00', NULL, NULL, 278, NULL, NULL, 19320),
(46011, '5kvsB01', NULL, NULL, 199, NULL, NULL, 19320),
(46012, '3kb6A01', NULL, NULL, 132, NULL, NULL, 19320),
(46013, '3kb6A02', NULL, NULL, 202, NULL, NULL, 19320),
(46014, '2b5wA02', NULL, NULL, 133, NULL, NULL, 19320),
(46015, '3b1jA01', NULL, NULL, 174, NULL, NULL, 19320),
(46016, '3gt0A01', NULL, NULL, 160, NULL, NULL, 19320),
(46017, '4xdzA01', NULL, NULL, 182, NULL, NULL, 19320),
(46018, '3pgxA00', NULL, NULL, 280, NULL, NULL, 19320),
(46019, '3l4bC01', NULL, NULL, 117, NULL, NULL, 19320),
(46020, '4h15A00', NULL, NULL, 261, NULL, NULL, 19320),
(46021, '1z45A01', NULL, NULL, 278, NULL, NULL, 19320),
(46022, '4x54A00', NULL, NULL, 243, NULL, NULL, 19320),
(46023, '4a27A02', NULL, NULL, 188, NULL, NULL, 19320);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(46024, '4k6fA00', NULL, NULL, 255, NULL, NULL, 19320),
(46025, '4pzcA01', NULL, NULL, 189, NULL, NULL, 19320),
(46026, '2uv9E03', NULL, NULL, 455, NULL, NULL, 19320),
(46027, '4rziA00', NULL, NULL, 240, NULL, NULL, 19320),
(46028, '2cvoA01', NULL, NULL, 168, NULL, NULL, 19320),
(46029, '4fccA03', NULL, NULL, 165, NULL, NULL, 19320),
(46030, '5loaA01', NULL, NULL, 167, NULL, NULL, 19320),
(46031, '1mx3A02', NULL, NULL, 194, NULL, NULL, 19320),
(46032, '1yovD01', NULL, NULL, 242, NULL, NULL, 19320),
(46033, '4hy3A02', NULL, NULL, 187, NULL, NULL, 19320),
(46034, '4hy3A01', NULL, NULL, 151, NULL, NULL, 19320),
(46035, '3nx4A02', NULL, NULL, 167, NULL, NULL, 19320),
(46036, '3ennD00', NULL, NULL, 249, NULL, NULL, 19320),
(46037, '4cpdA02', NULL, NULL, 135, NULL, NULL, 19320),
(46038, '2vn8A02', NULL, NULL, 183, NULL, NULL, 19320),
(46039, '1mx3A01', NULL, NULL, 133, NULL, NULL, 19320),
(46040, '2ldxA01', NULL, NULL, 161, NULL, NULL, 19320),
(46041, '3oidC00', NULL, NULL, 258, NULL, NULL, 19320),
(46042, '3e82B01', NULL, NULL, 148, NULL, NULL, 19320),
(46043, '2z1mB01', NULL, NULL, 238, NULL, NULL, 19320),
(46044, '3k31B00', NULL, NULL, 276, NULL, NULL, 19320),
(46045, '3t4xA00', NULL, NULL, 267, NULL, NULL, 19320),
(46046, '2ptgA01', NULL, NULL, 247, NULL, NULL, 19320),
(46047, '3awdA00', NULL, NULL, 260, NULL, NULL, 19320),
(46048, '1c1dA02', NULL, NULL, 202, NULL, NULL, 19320),
(46049, '1civA01', NULL, NULL, 153, NULL, NULL, 19320),
(46050, '2pkqT01', NULL, NULL, 176, NULL, NULL, 19320),
(46051, '1yxmC00', NULL, NULL, 303, NULL, NULL, 19320),
(46052, '2ejwA01', NULL, NULL, 183, NULL, NULL, 19320),
(46053, '6bi4A01', NULL, NULL, 221, NULL, NULL, 19320),
(46054, '3vpxB02', NULL, NULL, 203, NULL, NULL, 19320),
(46055, '4ypoA01', NULL, NULL, 179, NULL, NULL, 19320),
(46056, '3tjrA00', NULL, NULL, 278, NULL, NULL, 19320),
(46057, '3f1kA00', NULL, NULL, 252, NULL, NULL, 19320),
(46058, '4npcA00', NULL, NULL, 265, NULL, NULL, 19320),
(46059, '4b4uB01', NULL, NULL, 133, NULL, NULL, 19320),
(46060, '1bxkA01', NULL, NULL, 252, NULL, NULL, 19320),
(46061, '4yxfB00', NULL, NULL, 237, NULL, NULL, 19320),
(46062, '5z75A00', NULL, NULL, 308, NULL, NULL, 19320),
(46063, '4nd2A01', NULL, NULL, 146, NULL, NULL, 19320),
(46064, '4ej6A02', NULL, NULL, 139, NULL, NULL, 19320),
(46065, '3uw3B01', NULL, NULL, 156, NULL, NULL, 19320),
(46066, '4jcoA01', NULL, NULL, 143, NULL, NULL, 19320),
(46067, '1q7bB00', NULL, NULL, 244, NULL, NULL, 19320),
(46068, '2cvzA01', NULL, NULL, 157, NULL, NULL, 19320),
(46069, '2v6fA00', NULL, NULL, 364, NULL, NULL, 19320),
(46070, '2vq3A00', NULL, NULL, 187, NULL, NULL, 19320),
(46071, '3pidA01', NULL, NULL, 199, NULL, NULL, 19320),
(46072, '1euzA02', NULL, NULL, 237, NULL, NULL, 19320),
(46073, '1zh8A01', NULL, NULL, 158, NULL, NULL, 19320),
(46074, '4b7cB02', NULL, NULL, 177, NULL, NULL, 19320),
(46075, '3pidA03', NULL, NULL, 109, NULL, NULL, 19320),
(46076, '7mdhA01', NULL, NULL, 153, NULL, NULL, 19320),
(46077, '5f5nA00', NULL, NULL, 289, NULL, NULL, 19320),
(46078, '3e48A01', NULL, NULL, 184, NULL, NULL, 19320),
(46079, '4mkxA01', NULL, NULL, 162, NULL, NULL, 19320),
(46080, '4m55E00', NULL, NULL, 177, NULL, NULL, 19320),
(46081, '3wfiA01', NULL, NULL, 178, NULL, NULL, 19320),
(46082, '4fshB02', NULL, NULL, 133, NULL, NULL, 19320),
(46083, '5t67A04', NULL, NULL, 99, NULL, NULL, 19320),
(46084, '3eheA01', NULL, NULL, 197, NULL, NULL, 19320),
(46085, '3qv1A01', NULL, NULL, 170, NULL, NULL, 19320),
(46086, '5je8B01', NULL, NULL, 170, NULL, NULL, 19320),
(46087, '3c1aA01', NULL, NULL, 170, NULL, NULL, 19320),
(46088, '2py6A02', NULL, NULL, 120, NULL, NULL, 19320),
(46089, '1z82A01', NULL, NULL, 188, NULL, NULL, 19320),
(46090, '4b79B00', NULL, NULL, 242, NULL, NULL, 19320),
(46091, '1y6jA01', NULL, NULL, 148, NULL, NULL, 19320),
(46092, '4mowC00', NULL, NULL, 256, NULL, NULL, 19320),
(46093, '2o7sA03', NULL, NULL, 184, NULL, NULL, 19320),
(46094, '1yo6F00', NULL, NULL, 250, NULL, NULL, 19320),
(46095, '1nffA00', NULL, NULL, 260, NULL, NULL, 19320),
(46096, '5o9fA02', NULL, NULL, 137, NULL, NULL, 19320);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(46097, '3gohA02', NULL, NULL, 126, NULL, NULL, 19320),
(46098, '1qmgB01', NULL, NULL, 230, NULL, NULL, 19320),
(46099, '1vj0A02', NULL, NULL, 147, NULL, NULL, 19320),
(46100, '3i23A01', NULL, NULL, 122, NULL, NULL, 19320),
(46101, '3gnqA01', NULL, NULL, 179, NULL, NULL, 19320),
(46102, '2b69A01', NULL, NULL, 232, NULL, NULL, 19320),
(46103, '1kc0A00', NULL, NULL, 299, NULL, NULL, 19320),
(46104, '4iiuC00', NULL, NULL, 242, NULL, NULL, 19320),
(46105, '3k8zC03', NULL, NULL, 154, NULL, NULL, 19320),
(46106, '3nklB00', NULL, NULL, 125, NULL, NULL, 19320),
(46107, '2ph3B00', NULL, NULL, 245, NULL, NULL, 19320),
(46108, '3tqhA02', NULL, NULL, 133, NULL, NULL, 19320),
(46109, '4ijkB00', NULL, NULL, 247, NULL, NULL, 19320),
(46110, '6biiA02', NULL, NULL, 193, NULL, NULL, 19320),
(46111, '6biiA01', NULL, NULL, 140, NULL, NULL, 19320),
(46112, '3u9lA00', NULL, NULL, 299, NULL, NULL, 19320),
(46113, '4trrG00', NULL, NULL, 269, NULL, NULL, 19320),
(46114, '3dfuA01', NULL, NULL, 131, NULL, NULL, 19320),
(46115, '1yj8A01', NULL, NULL, 214, NULL, NULL, 19320),
(46116, '3h9eP01', NULL, NULL, 179, NULL, NULL, 19320),
(46117, '5z76D00', NULL, NULL, 314, NULL, NULL, 19320),
(46118, '3tl3B00', NULL, NULL, 257, NULL, NULL, 19320),
(46119, '4da9B00', NULL, NULL, 255, NULL, NULL, 19320),
(46120, '3ajrB00', NULL, NULL, 317, NULL, NULL, 19320),
(46121, '1sbyA00', NULL, NULL, 254, NULL, NULL, 19320),
(46122, '2jl1A01', NULL, NULL, 171, NULL, NULL, 19320),
(46123, '3gafH00', NULL, NULL, 256, NULL, NULL, 19320),
(46124, '4hy3C01', NULL, NULL, 128, NULL, NULL, 19320),
(46125, '4tklB00', NULL, NULL, 258, NULL, NULL, 19320),
(46126, '2fr1A00', NULL, NULL, 486, NULL, NULL, 19320),
(46127, '4j0eA01', NULL, NULL, 205, NULL, NULL, 19320),
(46128, '3ojoA01', NULL, NULL, 207, NULL, NULL, 19320),
(46129, '3ew7A00', NULL, NULL, 221, NULL, NULL, 19320),
(46130, '4k26A00', NULL, NULL, 276, NULL, NULL, 19320),
(46131, '3oetA02', NULL, NULL, 166, NULL, NULL, 19320),
(46132, '5l53A00', NULL, NULL, 324, NULL, NULL, 19320),
(46133, '3wyeB00', NULL, NULL, 256, NULL, NULL, 19320),
(46134, '4dupA02', NULL, NULL, 143, NULL, NULL, 19320),
(46135, '5l4lA00', NULL, NULL, 283, NULL, NULL, 19320),
(46136, '3wmwA00', NULL, NULL, 309, NULL, NULL, 19320),
(46137, '5axaA02', NULL, NULL, 160, NULL, NULL, 19320),
(46138, '1lluA02', NULL, NULL, 138, NULL, NULL, 19320),
(46139, '1lc0A01', NULL, NULL, 143, NULL, NULL, 19320),
(46140, '4eueA00', NULL, NULL, 397, NULL, NULL, 19320),
(46141, '4mo2B01', NULL, NULL, 192, NULL, NULL, 19320),
(46142, '5jnmA01', NULL, NULL, 203, NULL, NULL, 19320),
(46143, '5dt9A01', NULL, NULL, 133, NULL, NULL, 19320),
(46144, '5gy7A01', NULL, NULL, 212, NULL, NULL, 19320),
(46145, '5dt9A02', NULL, NULL, 166, NULL, NULL, 19320),
(46146, '1mxhA00', NULL, NULL, 276, NULL, NULL, 19320),
(46147, '5aovA01', NULL, NULL, 143, NULL, NULL, 19320),
(46148, '3uf0A00', NULL, NULL, 249, NULL, NULL, 19320),
(46149, '1h6dA01', NULL, NULL, 170, NULL, NULL, 19320),
(46150, '2h63A01', NULL, NULL, 141, NULL, NULL, 19320),
(46151, '1v3uB02', NULL, NULL, 178, NULL, NULL, 19320),
(46152, '2z1nA00', NULL, NULL, 260, NULL, NULL, 19320),
(46153, '4b4oG00', NULL, NULL, 298, NULL, NULL, 19320),
(46154, '4esoD00', NULL, NULL, 255, NULL, NULL, 19320),
(46155, '5aovA02', NULL, NULL, 193, NULL, NULL, 19320),
(46156, '4nk4F00', NULL, NULL, 266, NULL, NULL, 19320),
(46157, '5xi0A00', NULL, NULL, 400, NULL, NULL, 19320),
(46158, '4oneC00', NULL, NULL, 262, NULL, NULL, 19320),
(46159, '4lswA02', NULL, NULL, 186, NULL, NULL, 19320),
(46160, '4lswA01', NULL, NULL, 132, NULL, NULL, 19320),
(46161, '1p3dA01', NULL, NULL, 88, NULL, NULL, 19320),
(46162, '2hunA01', NULL, NULL, 221, NULL, NULL, 19320),
(46163, '5a3vA02', NULL, NULL, 145, NULL, NULL, 19320),
(46164, '5i7sA00', NULL, NULL, 258, NULL, NULL, 19320),
(46165, '4lrtB01', NULL, NULL, 158, NULL, NULL, 19320),
(46166, '1h5qA00', NULL, NULL, 265, NULL, NULL, 19320),
(46167, '3d64A02', NULL, NULL, 158, NULL, NULL, 19320),
(46168, '4wojB01', NULL, NULL, 158, NULL, NULL, 19320),
(46169, '2eklA01', NULL, NULL, 122, NULL, NULL, 19320);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(46170, '2eklA02', NULL, NULL, 191, NULL, NULL, 19320),
(46171, '2yjzA00', NULL, NULL, 183, NULL, NULL, 19320),
(46172, '5zi2A01', NULL, NULL, 147, NULL, NULL, 19320),
(46173, '6acfA02', NULL, NULL, 203, NULL, NULL, 19320),
(46174, '5ceeA02', NULL, NULL, 233, NULL, NULL, 19320),
(46175, '3g79A01', NULL, NULL, 227, NULL, NULL, 19320),
(46176, '3g79A02', NULL, NULL, 251, NULL, NULL, 19320),
(46177, '1ks9A01', NULL, NULL, 167, NULL, NULL, 19320),
(46178, '3uxyD00', NULL, NULL, 241, NULL, NULL, 19320),
(46179, '1nvmB01', NULL, NULL, 158, NULL, NULL, 19320),
(46180, '5thkA00', NULL, NULL, 266, NULL, NULL, 19320),
(46181, '1f0yA01', NULL, NULL, 207, NULL, NULL, 19320),
(46182, '3s2eA02', NULL, NULL, 138, NULL, NULL, 19320),
(46183, '4m8sD00', NULL, NULL, 248, NULL, NULL, 19320),
(46184, '6e08L01', NULL, NULL, 193, NULL, NULL, 19320),
(46185, '2bmaA02', NULL, NULL, 224, NULL, NULL, 19320),
(46186, '4bvaA02', NULL, NULL, 162, NULL, NULL, 19320),
(46187, '3tl2A01', NULL, NULL, 152, NULL, NULL, 19320),
(46188, '3dhnA00', NULL, NULL, 227, NULL, NULL, 19320),
(46189, '3tz6A01', NULL, NULL, 146, NULL, NULL, 19320),
(46190, '4nbrA00', NULL, NULL, 273, NULL, NULL, 19320),
(46191, '5yw4A00', NULL, NULL, 334, NULL, NULL, 19320),
(46192, '1l7eA01', NULL, NULL, 183, NULL, NULL, 19320),
(46193, '4bnwB00', NULL, NULL, 252, NULL, NULL, 19320),
(46194, '4qedA00', NULL, NULL, 248, NULL, NULL, 19320),
(46195, '3hn2B01', NULL, NULL, 177, NULL, NULL, 19320),
(46196, '3g0oA01', NULL, NULL, 172, NULL, NULL, 19320),
(46197, '1xq1A00', NULL, NULL, 266, NULL, NULL, 19320),
(46198, '3ay3A01', NULL, NULL, 227, NULL, NULL, 19320),
(46199, '2p4qA01', NULL, NULL, 187, NULL, NULL, 19320),
(46200, '2ew2B01', NULL, NULL, 182, NULL, NULL, 19320),
(46201, '2uyyA01', NULL, NULL, 169, NULL, NULL, 19320),
(46202, '2ae2A00', NULL, NULL, 260, NULL, NULL, 19320),
(46203, '4d3dA01', NULL, NULL, 158, NULL, NULL, 19320),
(46204, '4n18A02', NULL, NULL, 183, NULL, NULL, 19320),
(46205, '2glxA01', NULL, NULL, 121, NULL, NULL, 19320),
(46206, '3nepX01', NULL, NULL, 143, NULL, NULL, 19320),
(46207, '4n18A01', NULL, NULL, 130, NULL, NULL, 19320),
(46208, '5zecA00', NULL, NULL, 342, NULL, NULL, 19320),
(46209, '1r0kA01', NULL, NULL, 150, NULL, NULL, 19320),
(46210, '4nheB01', NULL, NULL, 116, NULL, NULL, 19320),
(46211, '1lqtA01', NULL, NULL, 220, NULL, NULL, 19320),
(46212, '4ywjA01', NULL, NULL, 168, NULL, NULL, 19320),
(46213, '2wm3A01', NULL, NULL, 197, NULL, NULL, 19320),
(46214, '4yrdA01', NULL, NULL, 240, NULL, NULL, 19320),
(46215, '4xcvA01', NULL, NULL, 133, NULL, NULL, 19320),
(46216, '4ospD00', NULL, NULL, 263, NULL, NULL, 19320),
(46217, '4bkrA00', NULL, NULL, 406, NULL, NULL, 19320),
(46218, '4yqyB00', NULL, NULL, 247, NULL, NULL, 19320),
(46219, '4dyvA00', NULL, NULL, 245, NULL, NULL, 19320),
(46220, '5t5qB00', NULL, NULL, 247, NULL, NULL, 19320),
(46221, '1e3jA01', NULL, NULL, 138, NULL, NULL, 19320),
(46222, '4xcvA02', NULL, NULL, 187, NULL, NULL, 19320),
(46223, '4qqrB00', NULL, NULL, 301, NULL, NULL, 19320),
(46224, '4h7pA01', NULL, NULL, 154, NULL, NULL, 19320),
(46225, '5b4tA00', NULL, NULL, 260, NULL, NULL, 19320),
(46226, '3fr7A01', NULL, NULL, 230, NULL, NULL, 19320),
(46227, '5u4qB00', NULL, NULL, 337, NULL, NULL, 19320),
(46228, '3ulkA01', NULL, NULL, 208, NULL, NULL, 19320),
(46229, '1iy8A00', NULL, NULL, 267, NULL, NULL, 19320),
(46230, '3i6iA01', NULL, NULL, 195, NULL, NULL, 19320),
(46231, '4zn6A01', NULL, NULL, 159, NULL, NULL, 19320),
(46232, '3s8mA00', NULL, NULL, 391, NULL, NULL, 19320),
(46233, '4plgA01', NULL, NULL, 155, NULL, NULL, 19320),
(46234, '3llvA00', NULL, NULL, 141, NULL, NULL, 19320),
(46235, '4a0sA02', NULL, NULL, 147, NULL, NULL, 19320),
(46236, '4a5oB01', NULL, NULL, 133, NULL, NULL, 19320),
(46237, '6aqzF01', NULL, NULL, 241, NULL, NULL, 19320),
(46238, '1rpnA01', NULL, NULL, 243, NULL, NULL, 19320),
(46239, '4z0pA02', NULL, NULL, 187, NULL, NULL, 19320),
(46240, '6iheA01', NULL, NULL, 140, NULL, NULL, 19320),
(46241, '4z0pA01', NULL, NULL, 133, NULL, NULL, 19320),
(46242, '3u0bA01', NULL, NULL, 178, NULL, NULL, 19320);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(46243, '3u0bA02', NULL, NULL, 247, NULL, NULL, 19320),
(46244, '4xijA02', NULL, NULL, 139, NULL, NULL, 19320),
(46245, '2gasA01', NULL, NULL, 188, NULL, NULL, 19320),
(46246, '6j9sB01', NULL, NULL, 150, NULL, NULL, 19320),
(46247, '4ol9A01', NULL, NULL, 177, NULL, NULL, 19320),
(46248, '3sxpA01', NULL, NULL, 215, NULL, NULL, 19320),
(46249, '1s6yA01', NULL, NULL, 173, NULL, NULL, 19320),
(46250, '2eezA01', NULL, NULL, 193, NULL, NULL, 19320),
(46251, '1xygA01', NULL, NULL, 179, NULL, NULL, 19320),
(46252, '2eezA02', NULL, NULL, 176, NULL, NULL, 19320),
(46253, '3grkG00', NULL, NULL, 267, NULL, NULL, 19320),
(46254, '3gg2C03', NULL, NULL, 214, NULL, NULL, 19320),
(46255, '3rkrA00', NULL, NULL, 238, NULL, NULL, 19320),
(46256, '3dl2A01', NULL, NULL, 150, NULL, NULL, 19320),
(46257, '2yv1A01', NULL, NULL, 128, NULL, NULL, 19320),
(46258, '1dljA01', NULL, NULL, 204, NULL, NULL, 19320),
(46259, '4g65A01', NULL, NULL, 138, NULL, NULL, 19320),
(46260, '4kmsB00', NULL, NULL, 249, NULL, NULL, 19320),
(46261, '1dljA02', NULL, NULL, 108, NULL, NULL, 19320),
(46262, '4g65A03', NULL, NULL, 134, NULL, NULL, 19320),
(46263, '1vl0A01', NULL, NULL, 214, NULL, NULL, 19320),
(46264, '6cauA01', NULL, NULL, 100, NULL, NULL, 19320),
(46265, '2zb4A02', NULL, NULL, 181, NULL, NULL, 19320),
(46266, '1ez4B01', NULL, NULL, 146, NULL, NULL, 19320),
(46267, '3v5nA01', NULL, NULL, 177, NULL, NULL, 19320),
(46268, '3fi9A01', NULL, NULL, 151, NULL, NULL, 19320),
(46269, '1zemA00', NULL, NULL, 262, NULL, NULL, 19320),
(46270, '3pqeA01', NULL, NULL, 147, NULL, NULL, 19320),
(46271, '4k28A02', NULL, NULL, 147, NULL, NULL, 19320),
(46272, '3rufA01', NULL, NULL, 243, NULL, NULL, 19320),
(46273, '1gu7A02', NULL, NULL, 181, NULL, NULL, 19320),
(46274, '2y05A02', NULL, NULL, 178, NULL, NULL, 19320),
(46275, '3k96A01', NULL, NULL, 187, NULL, NULL, 19320),
(46276, '3fplA02', NULL, NULL, 138, NULL, NULL, 19320),
(46277, '6huyA01', NULL, NULL, 205, NULL, NULL, 19320),
(46278, '4yrbA00', NULL, NULL, 235, NULL, NULL, 19320),
(46279, '4xkjA02', NULL, NULL, 195, NULL, NULL, 19320),
(46280, '1snyA00', NULL, NULL, 267, NULL, NULL, 19320),
(46281, '3b1fA01', NULL, NULL, 179, NULL, NULL, 19320),
(46282, '2ztuB00', NULL, NULL, 260, NULL, NULL, 19320),
(46283, '4r16A01', NULL, NULL, 196, NULL, NULL, 19320),
(46284, '3qvoA00', NULL, NULL, 236, NULL, NULL, 19320),
(46285, '3ckyA01', NULL, NULL, 166, NULL, NULL, 19320),
(46286, '2i99A02', NULL, NULL, 162, NULL, NULL, 19320),
(46287, '3k30A02', NULL, NULL, 160, NULL, NULL, 19320),
(46288, '3gvxA02', NULL, NULL, 177, NULL, NULL, 19320),
(46289, '3slkA03', NULL, NULL, 247, NULL, NULL, 19320),
(46290, '6aqjA01', NULL, NULL, 180, NULL, NULL, 19320),
(46291, '4e5nC01', NULL, NULL, 133, NULL, NULL, 19320),
(46292, '5ff5B02', NULL, NULL, 288, NULL, NULL, 19320),
(46293, '3p19B00', NULL, NULL, 266, NULL, NULL, 19320),
(46294, '4xwyA00', NULL, NULL, 258, NULL, NULL, 19320),
(46295, '2zatA00', NULL, NULL, 260, NULL, NULL, 19320),
(46296, '4e12A01', NULL, NULL, 193, NULL, NULL, 19320),
(46297, '4r16A02', NULL, NULL, 189, NULL, NULL, 19320),
(46298, '5h82B02', NULL, NULL, 157, NULL, NULL, 19320),
(46299, '3e9qA00', NULL, NULL, 255, NULL, NULL, 19320),
(46300, '4p4gA02', NULL, NULL, 139, NULL, NULL, 19320),
(46301, '1edoA00', NULL, NULL, 244, NULL, NULL, 19320),
(46302, '4wokA01', NULL, NULL, 213, NULL, NULL, 19320),
(46303, '2d1yA00', NULL, NULL, 256, NULL, NULL, 19320),
(46304, '3tscA00', NULL, NULL, 277, NULL, NULL, 19320),
(46305, '2rh8A00', NULL, NULL, 338, NULL, NULL, 19320),
(46306, '2b4rO01', NULL, NULL, 176, NULL, NULL, 19320),
(46307, '4nbtA00', NULL, NULL, 240, NULL, NULL, 19320),
(46308, '3jtmA01', NULL, NULL, 160, NULL, NULL, 19320),
(46309, '3jtmA02', NULL, NULL, 191, NULL, NULL, 19320),
(46310, '3op4B00', NULL, NULL, 248, NULL, NULL, 19320),
(46311, '3sc6A01', NULL, NULL, 208, NULL, NULL, 19320),
(46312, '6cepA01', NULL, NULL, 148, NULL, NULL, 19320),
(46313, '1oi7A01', NULL, NULL, 122, NULL, NULL, 19320),
(46314, '1yb1B01', NULL, NULL, 241, NULL, NULL, 19320),
(46315, '1h2bA02', NULL, NULL, 140, NULL, NULL, 19320);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(46316, '3v2uA01', NULL, NULL, 186, NULL, NULL, 19320),
(46317, '5zxnB02', NULL, NULL, 182, NULL, NULL, 19320),
(46318, '4jp2A00', NULL, NULL, 239, NULL, NULL, 19320),
(46319, '5z1zA01', NULL, NULL, 132, NULL, NULL, 19320),
(46320, '2q1sA01', NULL, NULL, 258, NULL, NULL, 19320),
(46321, '3d5tC01', NULL, NULL, 159, NULL, NULL, 19320),
(46322, '2rafB01', NULL, NULL, 188, NULL, NULL, 19320),
(46323, '1vknA01', NULL, NULL, 173, NULL, NULL, 19320),
(46324, '1xu9C00', NULL, NULL, 286, NULL, NULL, 19320),
(46325, '1x13B01', NULL, NULL, 202, NULL, NULL, 19320),
(46326, '1edzA01', NULL, NULL, 158, NULL, NULL, 19320),
(46327, '2tmgA02', NULL, NULL, 237, NULL, NULL, 19320),
(46328, '3db2A01', NULL, NULL, 142, NULL, NULL, 19320),
(46329, '3o26A00', NULL, NULL, 311, NULL, NULL, 19320),
(46330, '2nm0A00', NULL, NULL, 234, NULL, NULL, 19320),
(46331, '6dc6A04', NULL, NULL, 223, NULL, NULL, 19320),
(46332, '2q2qF00', NULL, NULL, 255, NULL, NULL, 19320),
(46333, '4uuoA01', NULL, NULL, 152, NULL, NULL, 19320),
(46334, '4lgvA01', NULL, NULL, 189, NULL, NULL, 19320),
(46335, '4pvdD00', NULL, NULL, 342, NULL, NULL, 19320),
(46336, '3qp9D00', NULL, NULL, 499, NULL, NULL, 19320),
(46337, '2fwmX00', NULL, NULL, 214, NULL, NULL, 19320),
(46338, '4gqaB01', NULL, NULL, 134, NULL, NULL, 19320),
(46339, '3qhaA01', NULL, NULL, 173, NULL, NULL, 19320),
(46340, '3a28A00', NULL, NULL, 258, NULL, NULL, 19320),
(46341, '1gz6B01', NULL, NULL, 246, NULL, NULL, 19320),
(46342, '1sc6A01', NULL, NULL, 133, NULL, NULL, 19320),
(46343, '2axqA01', NULL, NULL, 174, NULL, NULL, 19320),
(46344, '3p2oA01', NULL, NULL, 132, NULL, NULL, 19320),
(46345, '3krtA02', NULL, NULL, 147, NULL, NULL, 19320),
(46346, '4yrbC00', NULL, NULL, 329, NULL, NULL, 19320),
(46347, '3hnpA01', NULL, NULL, 122, NULL, NULL, 19320),
(46348, '2et6A01', NULL, NULL, 292, NULL, NULL, 19320),
(46349, '1ys4A01', NULL, NULL, 178, NULL, NULL, 19320),
(46350, '2gdzA00', NULL, NULL, 267, NULL, NULL, 19320),
(46351, '2et6A02', NULL, NULL, 304, NULL, NULL, 19320),
(46352, '3k5pA02', NULL, NULL, 189, NULL, NULL, 19320),
(46353, '4bmnD00', NULL, NULL, 253, NULL, NULL, 19320),
(46354, '3rc1A01', NULL, NULL, 126, NULL, NULL, 19320),
(46355, '3gazA02', NULL, NULL, 168, NULL, NULL, 19320),
(46356, '1yl5A01', NULL, NULL, 140, NULL, NULL, 19320),
(46357, '3pymA01', NULL, NULL, 166, NULL, NULL, 19320),
(46358, '2v6bB01', NULL, NULL, 139, NULL, NULL, 19320),
(46359, '4j2oD01', NULL, NULL, 236, NULL, NULL, 19320),
(46360, '1bgvA01', NULL, NULL, 167, NULL, NULL, 19320),
(46361, '3e18A01', NULL, NULL, 138, NULL, NULL, 19320),
(46362, '5y1fA00', NULL, NULL, 311, NULL, NULL, 19320),
(46363, '4kzpB00', NULL, NULL, 300, NULL, NULL, 19320),
(46364, '1u8xX01', NULL, NULL, 166, NULL, NULL, 19320),
(46365, '5b6kA00', NULL, NULL, 346, NULL, NULL, 19320),
(46366, '4pltA01', NULL, NULL, 151, NULL, NULL, 19320),
(46367, '2a35A00', NULL, NULL, 215, NULL, NULL, 19320),
(46368, '3kvoA00', NULL, NULL, 275, NULL, NULL, 19320),
(46369, '3sc4A00', NULL, NULL, 285, NULL, NULL, 19320),
(46370, '5fydB00', NULL, NULL, 263, NULL, NULL, 19320),
(46371, '1yqgA01', NULL, NULL, 150, NULL, NULL, 19320),
(46372, '1a4iB01', NULL, NULL, 138, NULL, NULL, 19320),
(46373, '4a7pA03', NULL, NULL, 206, NULL, NULL, 19320),
(46374, '3k5pA01', NULL, NULL, 142, NULL, NULL, 19320),
(46375, '4cr6A00', NULL, NULL, 271, NULL, NULL, 19320),
(46376, '1gtmA02', NULL, NULL, 238, NULL, NULL, 19320),
(46377, '4p22A01', NULL, NULL, 232, NULL, NULL, 19320),
(46378, '3iusB00', NULL, NULL, 286, NULL, NULL, 19320),
(46379, '2pd4A00', NULL, NULL, 275, NULL, NULL, 19320),
(46380, '1u8fO01', NULL, NULL, 168, NULL, NULL, 19320),
(46381, '4hv4A01', NULL, NULL, 88, NULL, NULL, 19320),
(46382, '1u3wA02', NULL, NULL, 139, NULL, NULL, 19320),
(46383, '2p4hX00', NULL, NULL, 322, NULL, NULL, 19320),
(46384, '1v9lA02', NULL, NULL, 242, NULL, NULL, 19320),
(46385, '4g2nA01', NULL, NULL, 129, NULL, NULL, 19320),
(46386, '4xb1A01', NULL, NULL, 185, NULL, NULL, 19320),
(46387, '3ai3A00', NULL, NULL, 263, NULL, NULL, 19320),
(46388, '3oecB00', NULL, NULL, 276, NULL, NULL, 19320);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(46389, '5xtfA00', NULL, NULL, 257, NULL, NULL, 19320),
(46390, '4g2nA02', NULL, NULL, 182, NULL, NULL, 19320),
(46391, '2x0jA01', NULL, NULL, 142, NULL, NULL, 19320),
(46392, '1bg6A01', NULL, NULL, 195, NULL, NULL, 19320),
(46393, '4zqbB01', NULL, NULL, 133, NULL, NULL, 19320),
(46394, '3c24A01', NULL, NULL, 182, NULL, NULL, 19320),
(46395, '1wzeA01', NULL, NULL, 153, NULL, NULL, 19320),
(46396, '4bucA01', NULL, NULL, 109, NULL, NULL, 19320),
(46397, '3wfjH01', NULL, NULL, 142, NULL, NULL, 19320),
(46398, '3wohA00', NULL, NULL, 251, NULL, NULL, 19320),
(46399, '3mz0A01', NULL, NULL, 221, NULL, NULL, 19320),
(46400, '3dmyA01', NULL, NULL, 149, NULL, NULL, 19320),
(46401, '3iccA00', NULL, NULL, 255, NULL, NULL, 19320),
(46402, '4oqyA01', NULL, NULL, 160, NULL, NULL, 19320),
(46403, '4oo3A01', NULL, NULL, 147, NULL, NULL, 19320),
(46404, '2jahA00', NULL, NULL, 247, NULL, NULL, 19320),
(46405, '3r1iB00', NULL, NULL, 255, NULL, NULL, 19320),
(46406, '2o3sA02', NULL, NULL, 128, NULL, NULL, 19320),
(46407, '6bacA01', NULL, NULL, 162, NULL, NULL, 19320),
(46408, '5n2iD00', NULL, NULL, 232, NULL, NULL, 19320),
(46409, '3ws7A01', NULL, NULL, 182, NULL, NULL, 19320),
(46410, '5ayvA01', NULL, NULL, 171, NULL, NULL, 19320),
(46411, '2h6eA02', NULL, NULL, 143, NULL, NULL, 19320),
(46412, '2c07A00', NULL, NULL, 251, NULL, NULL, 19320),
(46413, '4j9vA03', NULL, NULL, 134, NULL, NULL, 19320),
(46414, '3ay7B00', NULL, NULL, 269, NULL, NULL, 19320),
(46415, '4j9vA01', NULL, NULL, 139, NULL, NULL, 19320),
(46416, '3wtcA00', NULL, NULL, 262, NULL, NULL, 19320),
(46417, '1lldA01', NULL, NULL, 149, NULL, NULL, 19320),
(46418, '4fdaA00', NULL, NULL, 273, NULL, NULL, 19320),
(46419, '5u8pA00', NULL, NULL, 292, NULL, NULL, 19320),
(46420, '4q3nA01', NULL, NULL, 145, NULL, NULL, 19320),
(46421, '3abiA01', NULL, NULL, 188, NULL, NULL, 19320),
(46422, '5yabA01', NULL, NULL, 131, NULL, NULL, 19320),
(46423, '3lz6A00', NULL, NULL, 263, NULL, NULL, 19320),
(46424, '5br7A01', NULL, NULL, 216, NULL, NULL, 19320),
(46425, '3ksuB00', NULL, NULL, 262, NULL, NULL, 19320),
(46426, '3ktdC01', NULL, NULL, 207, NULL, NULL, 19320),
(46427, '5h83A02', NULL, NULL, 157, NULL, NULL, 19320),
(46428, '1xkqB00', NULL, NULL, 280, NULL, NULL, 19320),
(46429, '3vpgA01', NULL, NULL, 141, NULL, NULL, 19320),
(46430, '3qljF00', NULL, NULL, 300, NULL, NULL, 19320),
(46431, '5msoA00', NULL, NULL, 443, NULL, NULL, 19320),
(46432, '1ps9A02', NULL, NULL, 145, NULL, NULL, 19320),
(46433, '6oz7B00', NULL, NULL, 254, NULL, NULL, 19320),
(46434, '6ct6B01', NULL, NULL, 156, NULL, NULL, 19320),
(46435, '3rfxA01', NULL, NULL, 228, NULL, NULL, 19320),
(46436, '2q1wC00', NULL, NULL, 314, NULL, NULL, 19320),
(46437, '1dssG01', NULL, NULL, 166, NULL, NULL, 19320),
(46438, '5gudE02', NULL, NULL, 221, NULL, NULL, 19320),
(46439, '2pv7A01', NULL, NULL, 171, NULL, NULL, 19320),
(46440, '4gqaD01', NULL, NULL, 135, NULL, NULL, 19320),
(46441, '4xa8A02', NULL, NULL, 183, NULL, NULL, 19320),
(46442, '5t8kA02', NULL, NULL, 162, NULL, NULL, 19320),
(46443, '5tt0B00', NULL, NULL, 263, NULL, NULL, 19320),
(46444, '5yeqA01', NULL, NULL, 182, NULL, NULL, 19320),
(46445, '3gg9A02', NULL, NULL, 198, NULL, NULL, 19320),
(46446, '4w6zA02', NULL, NULL, 142, NULL, NULL, 19320),
(46447, '3rihC00', NULL, NULL, 259, NULL, NULL, 19320),
(46448, '3gg9A01', NULL, NULL, 154, NULL, NULL, 19320),
(46449, '4ilkA02', NULL, NULL, 134, NULL, NULL, 19320),
(46450, '4xa8A01', NULL, NULL, 137, NULL, NULL, 19320),
(46451, '2f1kA01', NULL, NULL, 165, NULL, NULL, 19320),
(46452, '1j5pA01', NULL, NULL, 130, NULL, NULL, 19320),
(46453, '5nc8A00', NULL, NULL, 163, NULL, NULL, 19320),
(46454, '1pzgA01', NULL, NULL, 155, NULL, NULL, 19320),
(46455, '1hdoA00', NULL, NULL, 206, NULL, NULL, 19320),
(46456, '1a7aA02', NULL, NULL, 160, NULL, NULL, 19320),
(46457, '2r6jA01', NULL, NULL, 190, NULL, NULL, 19320),
(46458, '2czcA01', NULL, NULL, 172, NULL, NULL, 19320),
(46459, '3d4oB01', NULL, NULL, 146, NULL, NULL, 19320),
(46460, '4e21A01', NULL, NULL, 201, NULL, NULL, 19320),
(46461, '4nbvA00', NULL, NULL, 246, NULL, NULL, 19320);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(46462, '4fflA01', NULL, NULL, 94, NULL, NULL, 19320),
(46463, '5bseA01', NULL, NULL, 178, NULL, NULL, 19320),
(46464, '3hjaA01', NULL, NULL, 168, NULL, NULL, 19320),
(46465, '3ghyA01', NULL, NULL, 197, NULL, NULL, 19320),
(46466, '3qe3A02', NULL, NULL, 139, NULL, NULL, 19320),
(46467, '4jigA00', NULL, NULL, 261, NULL, NULL, 19320),
(46468, '6eowA02', NULL, NULL, 177, NULL, NULL, 19320),
(46469, '1xhlA00', NULL, NULL, 275, NULL, NULL, 19320),
(46470, '2g76A01', NULL, NULL, 120, NULL, NULL, 19320),
(46471, '3e9nA00', NULL, NULL, 245, NULL, NULL, 19320),
(46472, '4rqtA02', NULL, NULL, 139, NULL, NULL, 19320),
(46473, '2belB00', NULL, NULL, 260, NULL, NULL, 19320),
(46474, '2eihA02', NULL, NULL, 143, NULL, NULL, 19320),
(46475, '5bntB01', NULL, NULL, 161, NULL, NULL, 19320),
(46476, '9ldtA01', NULL, NULL, 162, NULL, NULL, 19320),
(46477, '3wgqB01', NULL, NULL, 172, NULL, NULL, 19320),
(46478, '1dihA01', NULL, NULL, 165, NULL, NULL, 19320),
(46479, '5hs4A01', NULL, NULL, 146, NULL, NULL, 19320),
(46480, '2yutA00', NULL, NULL, 207, NULL, NULL, 19320),
(46481, '2dc1A01', NULL, NULL, 135, NULL, NULL, 19320),
(46482, '2cdcA02', NULL, NULL, 190, NULL, NULL, 19320),
(46483, '3tpcB00', NULL, NULL, 257, NULL, NULL, 19320),
(46484, '5ycxA00', NULL, NULL, 266, NULL, NULL, 19320),
(46485, '4z9fA00', NULL, NULL, 244, NULL, NULL, 19320),
(46486, '4u5qB00', NULL, NULL, 437, NULL, NULL, 19320),
(46487, '3adoA01', NULL, NULL, 192, NULL, NULL, 19320),
(46488, '2o3jA03', NULL, NULL, 230, NULL, NULL, 19320),
(46489, '3osuB00', NULL, NULL, 246, NULL, NULL, 19320),
(46490, '1vc2A01', NULL, NULL, 167, NULL, NULL, 19320),
(46491, '2ggsA01', NULL, NULL, 205, NULL, NULL, 19320),
(46492, '3s55E00', NULL, NULL, 281, NULL, NULL, 19320),
(46493, '1guzA01', NULL, NULL, 143, NULL, NULL, 19320),
(46494, '1wvgA01', NULL, NULL, 193, NULL, NULL, 19320),
(46495, '1tltA01', NULL, NULL, 122, NULL, NULL, 19320),
(46496, '1k2wA00', NULL, NULL, 256, NULL, NULL, 19320),
(46497, '5nqbA01', NULL, NULL, 162, NULL, NULL, 19320),
(46498, '4d3sA01', NULL, NULL, 164, NULL, NULL, 19320),
(46499, '5tqmA00', NULL, NULL, 315, NULL, NULL, 19320),
(46500, '6d9yA00', NULL, NULL, 258, NULL, NULL, 19320),
(46501, '1yrlB01', NULL, NULL, 153, NULL, NULL, 19320),
(46502, '2obnD01', NULL, NULL, 135, NULL, NULL, 19320),
(46503, '3cinA01', NULL, NULL, 290, NULL, NULL, 19320),
(46504, '6c49A02', NULL, NULL, 155, NULL, NULL, 19320),
(46505, '1zud100', NULL, NULL, 251, NULL, NULL, 19320),
(46506, '3gemD00', NULL, NULL, 234, NULL, NULL, 19320),
(46507, '1np3B01', NULL, NULL, 182, NULL, NULL, 19320),
(46508, '5gz3A01', NULL, NULL, 172, NULL, NULL, 19320),
(46509, '3hskA01', NULL, NULL, 177, NULL, NULL, 19320),
(46510, '3h8vB00', NULL, NULL, 260, NULL, NULL, 19320),
(46511, '3slgF01', NULL, NULL, 235, NULL, NULL, 19320),
(46512, '3aogA03', NULL, NULL, 155, NULL, NULL, 19320),
(46513, '3ijpB01', NULL, NULL, 160, NULL, NULL, 19320),
(46514, '3o4rD00', NULL, NULL, 261, NULL, NULL, 19320),
(46515, '3vvbA00', NULL, NULL, 341, NULL, NULL, 19320),
(46516, '1lj8A01', NULL, NULL, 285, NULL, NULL, 19320),
(46517, '1ae1A00', NULL, NULL, 273, NULL, NULL, 19320),
(46518, '5vmlA00', NULL, NULL, 245, NULL, NULL, 19320),
(46519, '2o23A00', NULL, NULL, 265, NULL, NULL, 19320),
(46520, '2i5pO01', NULL, NULL, 177, NULL, NULL, 19320),
(46521, '5dp2A02', NULL, NULL, 141, NULL, NULL, 19320),
(46522, '2y0eB01', NULL, NULL, 214, NULL, NULL, 19320),
(46523, '3mtjA01', NULL, NULL, 183, NULL, NULL, 19320),
(46524, '1pl8A02', NULL, NULL, 139, NULL, NULL, 19320),
(46525, '2g6tA01', NULL, NULL, 99, NULL, NULL, 19320),
(46526, '4xiyA01', NULL, NULL, 181, NULL, NULL, 19320),
(46527, '4impD00', NULL, NULL, 517, NULL, NULL, 19320),
(46528, '2d59A00', NULL, NULL, 144, NULL, NULL, 19320),
(46529, '1ooeA00', NULL, NULL, 236, NULL, NULL, 19320),
(46530, '2y0eB03', NULL, NULL, 232, NULL, NULL, 19320),
(46531, '3oh8A02', NULL, NULL, 289, NULL, NULL, 19320),
(46532, '3jynA02', NULL, NULL, 146, NULL, NULL, 19320),
(46533, '5uzhA01', NULL, NULL, 240, NULL, NULL, 19320),
(46534, '6dhqA03', NULL, NULL, 295, NULL, NULL, 19320);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(46535, '2a4kB01', NULL, NULL, 236, NULL, NULL, 19320),
(46536, '4xgnE00', NULL, NULL, 260, NULL, NULL, 19320),
(46537, '3hn7A01', NULL, NULL, 109, NULL, NULL, 19320),
(46538, '2hjsA01', NULL, NULL, 156, NULL, NULL, 19320),
(46539, '4zgwB00', NULL, NULL, 245, NULL, NULL, 19320),
(46540, '2nqtA01', NULL, NULL, 174, NULL, NULL, 19320),
(46541, '6g2uA03', NULL, NULL, 296, NULL, NULL, 19320),
(46542, '3k92A03', NULL, NULL, 154, NULL, NULL, 19320),
(46543, '1p1hB02', NULL, NULL, 225, NULL, NULL, 19320),
(46544, '3iupA02', NULL, NULL, 188, NULL, NULL, 19320),
(46545, '3wgtA01', NULL, NULL, 198, NULL, NULL, 19320),
(46546, '1obfO01', NULL, NULL, 170, NULL, NULL, 19320),
(46547, '3qvsA01', NULL, NULL, 291, NULL, NULL, 19320),
(46548, '2vynD01', NULL, NULL, 167, NULL, NULL, 19320),
(46549, '4bgvA01', NULL, NULL, 149, NULL, NULL, 19320),
(46550, '3ucxA00', NULL, NULL, 264, NULL, NULL, 19320),
(46551, '4l4xA00', NULL, NULL, 518, NULL, NULL, 19320),
(46552, '1dpgA01', NULL, NULL, 175, NULL, NULL, 19320),
(46553, '4mp8A02', NULL, NULL, 173, NULL, NULL, 19320),
(46554, '1xa0B02', NULL, NULL, 164, NULL, NULL, 19320),
(46555, '3svtA00', NULL, NULL, 281, NULL, NULL, 19320),
(46556, '6eoiB01', NULL, NULL, 165, NULL, NULL, 19320),
(46557, '4ew6A01', NULL, NULL, 120, NULL, NULL, 19320),
(46558, '3wr5C01', NULL, NULL, 190, NULL, NULL, 19320),
(46559, '5tx7A02', NULL, NULL, 190, NULL, NULL, 19320),
(46560, '5tx7A01', NULL, NULL, 137, NULL, NULL, 19320),
(46561, '6melA01', NULL, NULL, 123, NULL, NULL, 19320),
(46562, '3rwbA00', NULL, NULL, 247, NULL, NULL, 19320),
(46563, '5itwA00', NULL, NULL, 255, NULL, NULL, 19320),
(46564, '4alkB00', NULL, NULL, 255, NULL, NULL, 19320),
(46565, '3zgyD01', NULL, NULL, 178, NULL, NULL, 19320),
(46566, '5yatA02', NULL, NULL, 142, NULL, NULL, 19320),
(46567, '1i24A01', NULL, NULL, 246, NULL, NULL, 19320),
(46568, '5uscB01', NULL, NULL, 172, NULL, NULL, 19320),
(46569, '2g17A01', NULL, NULL, 177, NULL, NULL, 19320),
(46570, '1i36A01', NULL, NULL, 159, NULL, NULL, 19320),
(46571, '1yb4A01', NULL, NULL, 161, NULL, NULL, 19320),
(46572, '4oh1A02', NULL, NULL, 136, NULL, NULL, 19320),
(46573, '4ni5A00', NULL, NULL, 254, NULL, NULL, 19320),
(46574, '1j4aD01', NULL, NULL, 136, NULL, NULL, 19320),
(46575, '6fqzA01', NULL, NULL, 179, NULL, NULL, 19320),
(46576, '3r3sA00', NULL, NULL, 294, NULL, NULL, 19320),
(46577, '4iboB00', NULL, NULL, 253, NULL, NULL, 19320),
(46578, '3h2zA01', NULL, NULL, 205, NULL, NULL, 19320),
(46579, '1b7gO01', NULL, NULL, 156, NULL, NULL, 19320),
(46580, '1xeaA01', NULL, NULL, 120, NULL, NULL, 19320),
(46581, '5idqB00', NULL, NULL, 233, NULL, NULL, 19320),
(46582, '5if3B00', NULL, NULL, 230, NULL, NULL, 19320),
(46583, '3imfC00', NULL, NULL, 257, NULL, NULL, 19320),
(46584, '6f9qA00', NULL, NULL, 272, NULL, NULL, 19320),
(46585, '5uaxA01', NULL, NULL, 192, NULL, NULL, 19320),
(46586, '1e6uA01', NULL, NULL, 220, NULL, NULL, 19320),
(46587, '1y8qB01', NULL, NULL, 227, NULL, NULL, 19320),
(46588, '4fgsB00', NULL, NULL, 250, NULL, NULL, 19320),
(46589, '3lylD00', NULL, NULL, 247, NULL, NULL, 19320),
(46590, '5jy6B01', NULL, NULL, 169, NULL, NULL, 19320),
(46591, '2vz8A06', NULL, NULL, 347, NULL, NULL, 19320),
(46592, '2x4gA00', NULL, NULL, 342, NULL, NULL, 19320),
(46593, '1v6aA01', NULL, NULL, 148, NULL, NULL, 19320),
(46594, '3d3wA00', NULL, NULL, 244, NULL, NULL, 19320),
(46595, '3ohsX01', NULL, NULL, 122, NULL, NULL, 19320),
(46596, '3l9wA01', NULL, NULL, 166, NULL, NULL, 19320),
(46597, '1c0pA01', NULL, NULL, 199, NULL, NULL, 19320),
(46598, '1uzmB00', NULL, NULL, 247, NULL, NULL, 19320),
(46599, '5jazA01', NULL, NULL, 165, NULL, NULL, 19320),
(46600, '1o89A02', NULL, NULL, 167, NULL, NULL, 19320),
(46601, '4jgbB00', NULL, NULL, 213, NULL, NULL, 19320),
(46602, '5g6rA01', NULL, NULL, 159, NULL, NULL, 19320),
(46603, '1rjwA02', NULL, NULL, 137, NULL, NULL, 19320),
(46604, '3pk0D00', NULL, NULL, 262, NULL, NULL, 19320),
(46605, '3eagA01', NULL, NULL, 95, NULL, NULL, 19320),
(46606, '2w2kA01', NULL, NULL, 152, NULL, NULL, 19320),
(46607, '2w2kA02', NULL, NULL, 196, NULL, NULL, 19320);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(46608, '5k0zA01', NULL, NULL, 146, NULL, NULL, 19320),
(46609, '3wswA01', NULL, NULL, 147, NULL, NULL, 19320),
(46610, '2gsdA02', NULL, NULL, 192, NULL, NULL, 19320),
(46611, '5ldgA00', NULL, NULL, 316, NULL, NULL, 19320),
(46612, '2gsdA01', NULL, NULL, 210, NULL, NULL, 19320),
(46613, '3g1uA02', NULL, NULL, 160, NULL, NULL, 19320),
(46614, '1f8fA02', NULL, NULL, 137, NULL, NULL, 19320),
(46615, '3l07B01', NULL, NULL, 131, NULL, NULL, 19320),
(46616, '4zicB01', NULL, NULL, 172, NULL, NULL, 19320),
(46617, '6duxA01', NULL, NULL, 169, NULL, NULL, 19320),
(46618, '3aoeC03', NULL, NULL, 151, NULL, NULL, 19320),
(46619, '2c20A01', NULL, NULL, 204, NULL, NULL, 19320),
(46620, '6apeA01', NULL, NULL, 142, NULL, NULL, 19320),
(46621, '1vl6B02', NULL, NULL, 223, NULL, NULL, 19320),
(46622, '5zz5B02', NULL, NULL, 133, NULL, NULL, 19320),
(46623, '5gudA03', NULL, NULL, 163, NULL, NULL, 19320),
(46624, '5f1pA00', NULL, NULL, 265, NULL, NULL, 19320),
(46625, '6a3fA01', NULL, NULL, 135, NULL, NULL, 19320),
(46626, '3tzqB01', NULL, NULL, 249, NULL, NULL, 19320),
(46627, '4dl9A02', NULL, NULL, 139, NULL, NULL, 19320),
(46628, '3f4bC00', NULL, NULL, 323, NULL, NULL, 19320),
(46629, '3rkuA00', NULL, NULL, 268, NULL, NULL, 19320),
(46630, '2a9fB02', NULL, NULL, 237, NULL, NULL, 19320),
(46631, '5tnxA02', NULL, NULL, 137, NULL, NULL, 19320),
(46632, '3i3oG00', NULL, NULL, 262, NULL, NULL, 19320),
(46633, '3m1aJ00', NULL, NULL, 281, NULL, NULL, 19320),
(46634, '3omlA01', NULL, NULL, 262, NULL, NULL, 19320),
(46635, '6jnjB01', NULL, NULL, 119, NULL, NULL, 19320),
(46636, '4hfmA02', NULL, NULL, 177, NULL, NULL, 19320),
(46637, '2wyuD00', NULL, NULL, 261, NULL, NULL, 19320),
(46638, '4d79A00', NULL, NULL, 276, NULL, NULL, 19320),
(46639, '3gqvA02', NULL, NULL, 193, NULL, NULL, 19320),
(46640, '2c0cA02', NULL, NULL, 179, NULL, NULL, 19320),
(46641, '4cujA02', NULL, NULL, 196, NULL, NULL, 19320),
(46642, '3r3jA02', NULL, NULL, 224, NULL, NULL, 19320),
(46643, '4cujA01', NULL, NULL, 141, NULL, NULL, 19320),
(46644, '3gvhA01', NULL, NULL, 149, NULL, NULL, 19320),
(46645, '4dgsA02', NULL, NULL, 185, NULL, NULL, 19320),
(46646, '4dgsA01', NULL, NULL, 123, NULL, NULL, 19320),
(46647, '3t7cD00', NULL, NULL, 277, NULL, NULL, 19320),
(46648, '3pvzB00', NULL, NULL, 326, NULL, NULL, 19320),
(46649, '3wr5A02', NULL, NULL, 190, NULL, NULL, 19320),
(46650, '1uufA02', NULL, NULL, 156, NULL, NULL, 19320),
(46651, '6om4B02', NULL, NULL, 258, NULL, NULL, 19320),
(46652, '5ig2A00', NULL, NULL, 297, NULL, NULL, 19320),
(46653, '4f6cB00', NULL, NULL, 391, NULL, NULL, 19320),
(46654, '2v65A01', NULL, NULL, 147, NULL, NULL, 19320),
(46655, '4e2xA04', NULL, NULL, 99, NULL, NULL, 19320),
(46656, '3v1yB01', NULL, NULL, 171, NULL, NULL, 19320),
(46657, '3asuB01', NULL, NULL, 235, NULL, NULL, 19320),
(46658, '5ktkA00', NULL, NULL, 473, NULL, NULL, 19320),
(46659, '1pquA01', NULL, NULL, 153, NULL, NULL, 19320),
(46660, '3ip3A01', NULL, NULL, 125, NULL, NULL, 19320),
(46661, '4ezbA01', NULL, NULL, 195, NULL, NULL, 19320),
(46662, '3h7aA00', NULL, NULL, 252, NULL, NULL, 19320),
(46663, '2ehdA00', NULL, NULL, 234, NULL, NULL, 19320),
(46664, '4fb5A01', NULL, NULL, 127, NULL, NULL, 19320),
(46665, '2f00A01', NULL, NULL, 88, NULL, NULL, 19320),
(46666, '5ovkC00', NULL, NULL, 256, NULL, NULL, 19320),
(46667, '4iuyA00', NULL, NULL, 254, NULL, NULL, 19320),
(46668, '5iz4A00', NULL, NULL, 271, NULL, NULL, 19320),
(46669, '1p1jB01', NULL, NULL, 418, NULL, NULL, 19320),
(46670, '3evtA02', NULL, NULL, 182, NULL, NULL, 19320),
(46671, '1zsyA02', NULL, NULL, 177, NULL, NULL, 19320),
(46672, '3evtA01', NULL, NULL, 134, NULL, NULL, 19320),
(46673, '6dzsA01', NULL, NULL, 174, NULL, NULL, 19320),
(46674, '6abjB01', NULL, NULL, 132, NULL, NULL, 19320),
(46675, '4ycaB01', NULL, NULL, 160, NULL, NULL, 19320),
(46676, '3ceaA01', NULL, NULL, 153, NULL, NULL, 19320),
(46677, '1uayB00', NULL, NULL, 242, NULL, NULL, 19320),
(46678, '2cfcA00', NULL, NULL, 250, NULL, NULL, 19320),
(46679, '1nhwA00', NULL, NULL, 229, NULL, NULL, 19320),
(46680, '2dq4A02', NULL, NULL, 134, NULL, NULL, 19320);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(46681, '3oa2A01', NULL, NULL, 133, NULL, NULL, 19320),
(46682, '4omuA02', NULL, NULL, 145, NULL, NULL, 19320),
(46683, '1qycA01', NULL, NULL, 188, NULL, NULL, 19320),
(46684, '5dcyB00', NULL, NULL, 368, NULL, NULL, 19320),
(46685, '3mwdB01', NULL, NULL, 138, NULL, NULL, 19320),
(46686, '1gy8D02', NULL, NULL, 241, NULL, NULL, 19320),
(46687, '1gdhA02', NULL, NULL, 184, NULL, NULL, 19320),
(46688, '1gdhA01', NULL, NULL, 128, NULL, NULL, 19320),
(46689, '3lt0A00', NULL, NULL, 287, NULL, NULL, 19320),
(46690, '2vt3B02', NULL, NULL, 133, NULL, NULL, 19320),
(46691, '4xr9B01', NULL, NULL, 212, NULL, NULL, 19320),
(46692, '1qp8A02', NULL, NULL, 181, NULL, NULL, 19320),
(46693, '4xr9B02', NULL, NULL, 211, NULL, NULL, 19320),
(46694, '1vm6B01', NULL, NULL, 145, NULL, NULL, 19320),
(46695, '1qp8A01', NULL, NULL, 122, NULL, NULL, 19320),
(46696, '4s1vA02', NULL, NULL, 191, NULL, NULL, 19320),
(46697, '2d5cA02', NULL, NULL, 136, NULL, NULL, 19320),
(46698, '6gpkC01', NULL, NULL, 241, NULL, NULL, 19320),
(46699, '3tfoB00', NULL, NULL, 239, NULL, NULL, 19320),
(46700, '3gpdG01', NULL, NULL, 170, NULL, NULL, 19320),
(46701, '4z0tA00', NULL, NULL, 254, NULL, NULL, 19320),
(46702, '3kuxA01', NULL, NULL, 148, NULL, NULL, 19320),
(46703, '6abiA01', NULL, NULL, 136, NULL, NULL, 19320),
(46704, '6abiA02', NULL, NULL, 197, NULL, NULL, 19320),
(46705, '2dtxA00', NULL, NULL, 264, NULL, NULL, 19320),
(46706, '5b37B02', NULL, NULL, 201, NULL, NULL, 19320),
(46707, '4u8gA00', NULL, NULL, 278, NULL, NULL, 19320),
(46708, '1smkA01', NULL, NULL, 153, NULL, NULL, 19320),
(46709, '6balF01', NULL, NULL, 149, NULL, NULL, 19320),
(46710, '6bdxA01', NULL, NULL, 162, NULL, NULL, 19320),
(46711, '2ntvA00', NULL, NULL, 268, NULL, NULL, 19320),
(46712, '4w9nC02', NULL, NULL, 174, NULL, NULL, 19320),
(46713, '1wmaA00', NULL, NULL, 276, NULL, NULL, 19320),
(46714, '1yovC01', NULL, NULL, 328, NULL, NULL, 19320),
(46715, '5eesA01', NULL, NULL, 138, NULL, NULL, 19320),
(46716, '3cosA02', NULL, NULL, 139, NULL, NULL, 19320),
(46717, '5einA01', NULL, NULL, 164, NULL, NULL, 19320),
(46718, '1cjcA01', NULL, NULL, 219, NULL, NULL, 19320),
(46719, '3ojoB02', NULL, NULL, 191, NULL, NULL, 19320),
(46720, '1kyqB01', NULL, NULL, 150, NULL, NULL, 19320),
(46721, '3ftpD00', NULL, NULL, 248, NULL, NULL, 19320),
(46722, '2zcuA01', NULL, NULL, 168, NULL, NULL, 19320),
(46723, '3uogA02', NULL, NULL, 142, NULL, NULL, 19320),
(46724, '1gegA00', NULL, NULL, 256, NULL, NULL, 19320),
(46725, '3do5A01', NULL, NULL, 182, NULL, NULL, 19320),
(46726, '5jlaA00', NULL, NULL, 274, NULL, NULL, 19320),
(46727, '3i1jB00', NULL, NULL, 247, NULL, NULL, 19320),
(46728, '2ep5A01', NULL, NULL, 173, NULL, NULL, 19320),
(46729, '3wnvA02', NULL, NULL, 185, NULL, NULL, 19320),
(46730, '3wnvA01', NULL, NULL, 145, NULL, NULL, 19320),
(46731, '4rzhA00', NULL, NULL, 247, NULL, NULL, 19320),
(46732, '4lsmA01', NULL, NULL, 180, NULL, NULL, 19320),
(46733, '4g81A00', NULL, NULL, 255, NULL, NULL, 19320),
(46734, '4j1qA00', NULL, NULL, 426, NULL, NULL, 19320),
(46735, '3d0oA01', NULL, NULL, 148, NULL, NULL, 19320),
(46736, '3grpD00', NULL, NULL, 246, NULL, NULL, 19320),
(46737, '3c7aA01', NULL, NULL, 206, NULL, NULL, 19320),
(46738, '3triA01', NULL, NULL, 170, NULL, NULL, 19320),
(46739, '4idcA02', NULL, NULL, 115, NULL, NULL, 19320),
(46740, '2dphA02', NULL, NULL, 166, NULL, NULL, 19320),
(46741, '6nrpC00', NULL, NULL, 240, NULL, NULL, 19320),
(46742, '1nvtA02', NULL, NULL, 142, NULL, NULL, 19320),
(46743, '1cdoA02', NULL, NULL, 138, NULL, NULL, 19320),
(46744, '4s1vB01', NULL, NULL, 124, NULL, NULL, 19320),
(46745, '3pvzD01', NULL, NULL, 319, NULL, NULL, 19320),
(46746, '4yacA01', NULL, NULL, 254, NULL, NULL, 19320),
(46747, '3fbtA02', NULL, NULL, 132, NULL, NULL, 19320),
(46748, '4n5mA00', NULL, NULL, 246, NULL, NULL, 19320),
(46749, '4bkoA00', NULL, NULL, 417, NULL, NULL, 19320),
(46750, '2g0tB01', NULL, NULL, 157, NULL, NULL, 19320),
(46751, '4o5oA00', NULL, NULL, 263, NULL, NULL, 19320),
(46752, '4gx0A02', NULL, NULL, 142, NULL, NULL, 19320),
(46753, '4oaqA02', NULL, NULL, 141, NULL, NULL, 19320);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(46754, '4bs9A02', NULL, NULL, 228, NULL, NULL, 19320),
(46755, '4j2hA00', NULL, NULL, 257, NULL, NULL, 19320),
(46756, '3vtfA02', NULL, NULL, 208, NULL, NULL, 19320),
(46757, '1pj3A02', NULL, NULL, 307, NULL, NULL, 19320),
(46758, '3vtfA01', NULL, NULL, 215, NULL, NULL, 19320),
(46759, '3u5tC00', NULL, NULL, 239, NULL, NULL, 19320),
(46760, '1zmtA00', NULL, NULL, 254, NULL, NULL, 19320),
(46761, '4okiA00', NULL, NULL, 182, NULL, NULL, 19320),
(46762, '3wdsA00', NULL, NULL, 263, NULL, NULL, 19320),
(46763, '4xdyA01', NULL, NULL, 186, NULL, NULL, 19320),
(46764, '4imrB00', NULL, NULL, 253, NULL, NULL, 19320),
(46765, '4xymA01', NULL, NULL, 129, NULL, NULL, 19320),
(46766, '3cmcO01', NULL, NULL, 169, NULL, NULL, 19320),
(46767, '1orrC00', NULL, NULL, 347, NULL, NULL, 19320),
(46768, '6d4bA02', NULL, NULL, 197, NULL, NULL, 19320),
(46769, '6d4bA01', NULL, NULL, 167, NULL, NULL, 19320),
(46770, '2fmuA00', NULL, NULL, 248, NULL, NULL, 19320),
(46771, '4z0hR01', NULL, NULL, 168, NULL, NULL, 19320),
(46772, '4dllA01', NULL, NULL, 160, NULL, NULL, 19320),
(46773, '1g0oA00', NULL, NULL, 283, NULL, NULL, 19320),
(46774, '3ba1A02', NULL, NULL, 184, NULL, NULL, 19320),
(46775, '3sx2H00', NULL, NULL, 278, NULL, NULL, 19320),
(46776, '5wqoB00', NULL, NULL, 234, NULL, NULL, 19320),
(46777, '4zd6C00', NULL, NULL, 227, NULL, NULL, 19320),
(46778, '3ba1A01', NULL, NULL, 128, NULL, NULL, 19320),
(46779, '3i83A01', NULL, NULL, 179, NULL, NULL, 19320),
(46780, '2zb3A02', NULL, NULL, 181, NULL, NULL, 19320),
(46781, '4r01A00', NULL, NULL, 210, NULL, NULL, 19320),
(46782, '2g1uA00', NULL, NULL, 155, NULL, NULL, 19320),
(46783, '4rgbA00', NULL, NULL, 274, NULL, NULL, 19320),
(46784, '3ckyD01', NULL, NULL, 126, NULL, NULL, 19320),
(46785, '4id9A01', NULL, NULL, 211, NULL, NULL, 19320),
(46786, '5u2wB00', NULL, NULL, 254, NULL, NULL, 19320),
(46787, '1zejA01', NULL, NULL, 174, NULL, NULL, 19320),
(46788, '4xybA01', NULL, NULL, 185, NULL, NULL, 19320),
(46789, '5k9zA00', NULL, NULL, 285, NULL, NULL, 19320),
(46790, '4xybA02', NULL, NULL, 190, NULL, NULL, 19320),
(46791, '3mogC01', NULL, NULL, 190, NULL, NULL, 19320),
(46792, '3obbA01', NULL, NULL, 165, NULL, NULL, 19320),
(46793, '3is3A00', NULL, NULL, 270, NULL, NULL, 19320),
(46794, '5mdhA01', NULL, NULL, 153, NULL, NULL, 19320),
(46795, '3ip1A02', NULL, NULL, 150, NULL, NULL, 19320),
(46796, '2nwqA01', NULL, NULL, 238, NULL, NULL, 19320),
(46797, '3v2gA00', NULL, NULL, 252, NULL, NULL, 19320),
(46798, '4lmpA01', NULL, NULL, 195, NULL, NULL, 19320),
(46799, '1d7oA00', NULL, NULL, 297, NULL, NULL, 19320),
(46800, '4hy3B01', NULL, NULL, 151, NULL, NULL, 19320),
(46801, '3dttA00', NULL, NULL, 245, NULL, NULL, 19320),
(46802, '4lmpA02', NULL, NULL, 176, NULL, NULL, 19320),
(46803, '5zxuA02', NULL, NULL, 182, NULL, NULL, 19320),
(46804, '4za2C00', NULL, NULL, 253, NULL, NULL, 19320),
(46805, '1ff9A01', NULL, NULL, 172, NULL, NULL, 19320),
(46806, '2x5jQ01', NULL, NULL, 174, NULL, NULL, 19320),
(46807, '2aefA01', NULL, NULL, 124, NULL, NULL, 19320),
(46808, '3hdhA01', NULL, NULL, 207, NULL, NULL, 19320),
(46809, '2ixaA01', NULL, NULL, 169, NULL, NULL, 19320),
(46810, '4om8A01', NULL, NULL, 185, NULL, NULL, 19320),
(46811, '2g82A01', NULL, NULL, 167, NULL, NULL, 19320),
(46812, '5krvA01', NULL, NULL, 151, NULL, NULL, 19320),
(46813, '1ebfA01', NULL, NULL, 183, NULL, NULL, 19320),
(46814, '2uv8A04', NULL, NULL, 537, NULL, NULL, 19320),
(46815, '3oqbA01', NULL, NULL, 141, NULL, NULL, 19320),
(46816, '3dojA01', NULL, NULL, 167, NULL, NULL, 19320),
(46817, '6g4lA00', NULL, NULL, 270, NULL, NULL, 19320),
(46818, '4ln1B01', NULL, NULL, 169, NULL, NULL, 19320),
(46819, '1b0aA01', NULL, NULL, 131, NULL, NULL, 19320),
(46820, '1mldA01', NULL, NULL, 145, NULL, NULL, 19320),
(46821, '1gr0A01', NULL, NULL, 256, NULL, NULL, 19320),
(46822, '5jo9A00', NULL, NULL, 242, NULL, NULL, 19320),
(46823, '4o59O01', NULL, NULL, 165, NULL, NULL, 19320),
(46824, '2xoxA00', NULL, NULL, 288, NULL, NULL, 19320),
(46825, '2w90B01', NULL, NULL, 181, NULL, NULL, 19320),
(46826, '3pzrA01', NULL, NULL, 153, NULL, NULL, 19320);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(46827, '3q2kA01', NULL, NULL, 161, NULL, NULL, 19320),
(46828, '3l0dA01', NULL, NULL, 170, NULL, NULL, 19320),
(46829, '1y1pA01', NULL, NULL, 327, NULL, NULL, 19320),
(46830, '2x0nA01', NULL, NULL, 184, NULL, NULL, 19320),
(46831, '5cdyB00', NULL, NULL, 244, NULL, NULL, 19320),
(46832, '3i4fC00', NULL, NULL, 264, NULL, NULL, 19320),
(46833, '3on5B02', NULL, NULL, 162, NULL, NULL, 19320),
(46834, '3gpiA00', NULL, NULL, 286, NULL, NULL, 19320),
(46835, '3c85A00', NULL, NULL, 151, NULL, NULL, 19320),
(46836, '5epoA00', NULL, NULL, 262, NULL, NULL, 19320),
(46837, '2aw5A02', NULL, NULL, 297, NULL, NULL, 19320),
(46838, '2eerA02', NULL, NULL, 137, NULL, NULL, 19320),
(46839, '6ixjC00', NULL, NULL, 256, NULL, NULL, 19320),
(46840, '3twoA02', NULL, NULL, 153, NULL, NULL, 19320),
(46841, '2uvdA00', NULL, NULL, 246, NULL, NULL, 19320),
(46842, '1oaaA00', NULL, NULL, 259, NULL, NULL, 19320),
(46843, '4pcvB00', NULL, NULL, 240, NULL, NULL, 19320),
(46844, '1lssA00', NULL, NULL, 140, NULL, NULL, 19320),
(46845, '5y8lB01', NULL, NULL, 161, NULL, NULL, 19320),
(46846, '1jqbA02', NULL, NULL, 138, NULL, NULL, 19320),
(46847, '6ci8B00', NULL, NULL, 262, NULL, NULL, 19320),
(46848, '1sb8A01', NULL, NULL, 245, NULL, NULL, 19320),
(46849, '4m55F00', NULL, NULL, 273, NULL, NULL, 19320),
(46850, '3hg7A02', NULL, NULL, 185, NULL, NULL, 19320),
(46851, '2rirA02', NULL, NULL, 147, NULL, NULL, 19320),
(46852, '3hg7A01', NULL, NULL, 139, NULL, NULL, 19320),
(46853, '5ocmB01', NULL, NULL, 160, NULL, NULL, 19320),
(46854, '2g5cA01', NULL, NULL, 170, NULL, NULL, 19320),
(46855, '4wecC00', NULL, NULL, 253, NULL, NULL, 19320),
(46856, '3m6iA02', NULL, NULL, 141, NULL, NULL, 19320),
(46857, '1oc2A01', NULL, NULL, 251, NULL, NULL, 19320),
(46858, '3gdoA01', NULL, NULL, 137, NULL, NULL, 19320),
(46859, '3zv4A00', NULL, NULL, 281, NULL, NULL, 19320),
(46860, '1teaA01', NULL, NULL, 168, NULL, NULL, 19320),
(46861, '1xq6A00', NULL, NULL, 253, NULL, NULL, 19320),
(46862, '1tt7A02', NULL, NULL, 166, NULL, NULL, 19320),
(46863, '5koiC00', NULL, NULL, 271, NULL, NULL, 19320),
(46864, '3egoA01', NULL, NULL, 172, NULL, NULL, 19320),
(46865, '2cf5A02', NULL, NULL, 157, NULL, NULL, 19320),
(46866, '5kiaA02', NULL, NULL, 134, NULL, NULL, 19320),
(46867, '6mggA01', NULL, NULL, 123, NULL, NULL, 19320),
(46868, '3v2hB00', NULL, NULL, 281, NULL, NULL, 19320),
(46869, '4yt2A01', NULL, NULL, 207, NULL, NULL, 19320),
(46870, '4uulA01', NULL, NULL, 153, NULL, NULL, 19320),
(46871, '3l6eA00', NULL, NULL, 235, NULL, NULL, 19320),
(46872, '5ilgB00', NULL, NULL, 271, NULL, NULL, 19320),
(46873, '3u62A02', NULL, NULL, 128, NULL, NULL, 19320),
(46874, '2nu8A01', NULL, NULL, 122, NULL, NULL, 19320),
(46875, '2we8A02', NULL, NULL, 155, NULL, NULL, 19320),
(46876, '4yqzB00', NULL, NULL, 233, NULL, NULL, 19320),
(46877, '4xgiA03', NULL, NULL, 155, NULL, NULL, 19320),
(46878, '3idsA01', NULL, NULL, 183, NULL, NULL, 19320),
(46879, '2csuA01', NULL, NULL, 128, NULL, NULL, 19320),
(46880, '2p91C00', NULL, NULL, 268, NULL, NULL, 19320),
(46881, '3afmB00', NULL, NULL, 258, NULL, NULL, 19320),
(46882, '1txgA01', NULL, NULL, 180, NULL, NULL, 19320),
(46883, '1hyhA01', NULL, NULL, 148, NULL, NULL, 19320),
(46884, '2pd6A00', NULL, NULL, 264, NULL, NULL, 19320),
(46885, '3donA02', NULL, NULL, 133, NULL, NULL, 19320),
(46886, '2nvwB01', NULL, NULL, 232, NULL, NULL, 19320),
(46887, '4hadA01', NULL, NULL, 142, NULL, NULL, 19320),
(46888, '4h3vA01', NULL, NULL, 140, NULL, NULL, 19320),
(46889, '5v7nA01', NULL, NULL, 137, NULL, NULL, 19320),
(46890, '4dioA02', NULL, NULL, 183, NULL, NULL, 19320),
(46891, '2c29D00', NULL, NULL, 337, NULL, NULL, 19320),
(46892, '4dioA01', NULL, NULL, 179, NULL, NULL, 19320),
(46893, '6ixmB00', NULL, NULL, 249, NULL, NULL, 19320),
(46894, '1o0sA04', NULL, NULL, 185, NULL, NULL, 19320),
(46895, '3oetH01', NULL, NULL, 129, NULL, NULL, 19320),
(46896, '4fgwA01', NULL, NULL, 201, NULL, NULL, 19320),
(46897, '2dbqA01', NULL, NULL, 141, NULL, NULL, 19320),
(46898, '6h9sB01', NULL, NULL, 141, NULL, NULL, 19320),
(46899, '2dbqA02', NULL, NULL, 193, NULL, NULL, 19320);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(46900, '1n2sA01', NULL, NULL, 213, NULL, NULL, 19320),
(46901, '1t4bA01', NULL, NULL, 151, NULL, NULL, 19320),
(46902, '5uzxA00', NULL, NULL, 245, NULL, NULL, 19320),
(46903, '3h9uA02', NULL, NULL, 160, NULL, NULL, 19320),
(46904, '6jcvA01', NULL, NULL, 182, NULL, NULL, 19320),
(46905, '4rplA01', NULL, NULL, 216, NULL, NULL, 19320),
(46906, '3lf2A01', NULL, NULL, 250, NULL, NULL, 19320),
(46907, '4r1uA00', NULL, NULL, 323, NULL, NULL, 19320),
(46908, '6bwlA01', NULL, NULL, 207, NULL, NULL, 19320),
(46909, '3op4A00', NULL, NULL, 248, NULL, NULL, 19320),
(46910, '4kwhA00', NULL, NULL, 263, NULL, NULL, 19320),
(46911, '4zjuA00', NULL, NULL, 275, NULL, NULL, 19320),
(46912, '3ic5A00', NULL, NULL, 118, NULL, NULL, 19320),
(46913, '2j8zA02', NULL, NULL, 144, NULL, NULL, 19320),
(46914, '5zxnA02', NULL, NULL, 182, NULL, NULL, 19320),
(46915, '5yjlA02', NULL, NULL, 153, NULL, NULL, 19320),
(46916, '2hk9A02', NULL, NULL, 130, NULL, NULL, 19320),
(46917, '5itgA01', NULL, NULL, 285, NULL, NULL, 19320),
(46918, '4zqeA01', NULL, NULL, 150, NULL, NULL, 19320),
(46919, '1bvuA02', NULL, NULL, 237, NULL, NULL, 19320),
(46920, '5mlrA00', NULL, NULL, 364, NULL, NULL, 19320),
(46921, '4qukA00', NULL, NULL, 319, NULL, NULL, 19320),
(46922, '2c2xA01', NULL, NULL, 127, NULL, NULL, 19320),
(46923, '3iahA00', NULL, NULL, 256, NULL, NULL, 19320),
(46924, '1npyA02', NULL, NULL, 171, NULL, NULL, 19320),
(46925, '4uejA02', NULL, NULL, 138, NULL, NULL, 19320),
(46926, '6dntA01', NULL, NULL, 202, NULL, NULL, 19320),
(46927, '4ii2A04', NULL, NULL, 226, NULL, NULL, 19320),
(46928, '5jy1A00', NULL, NULL, 274, NULL, NULL, 19320),
(46929, '4koaA01', NULL, NULL, 122, NULL, NULL, 19320),
(46930, '5nzoA00', NULL, NULL, 195, NULL, NULL, 19320),
(46931, '5u9cA01', NULL, NULL, 215, NULL, NULL, 19320),
(46932, '1x13A02', NULL, NULL, 182, NULL, NULL, 19320),
(46933, '3e03A00', NULL, NULL, 274, NULL, NULL, 19320),
(46934, '1t2dA01', NULL, NULL, 149, NULL, NULL, 19320),
(46935, '2qytA01', NULL, NULL, 192, NULL, NULL, 19320),
(46936, '5mh5A02', NULL, NULL, 186, NULL, NULL, 19320),
(46937, '2ag5C00', NULL, NULL, 246, NULL, NULL, 19320),
(46938, '4gkvA02', NULL, NULL, 138, NULL, NULL, 19320),
(46939, '5u9pC00', NULL, NULL, 265, NULL, NULL, 19320),
(46940, '1ek6A02', NULL, NULL, 218, NULL, NULL, 19320),
(46941, '1lu9A02', NULL, NULL, 151, NULL, NULL, 19320),
(46942, '1hxhA00', NULL, NULL, 253, NULL, NULL, 19320),
(46943, '1zk4A00', NULL, NULL, 251, NULL, NULL, 19320),
(46944, '1isiA02', NULL, NULL, 142, NULL, NULL, 19320),
(46945, '3wg9A02', NULL, NULL, 147, NULL, NULL, 19320),
(46946, '1geeA00', NULL, NULL, 261, NULL, NULL, 19320),
(46947, '1yqdA02', NULL, NULL, 157, NULL, NULL, 19320),
(46948, '1vkoA01', NULL, NULL, 402, NULL, NULL, 19320),
(46949, '3v1tC02', NULL, NULL, 247, NULL, NULL, 19320),
(46950, '3v1tC01', NULL, NULL, 179, NULL, NULL, 19320),
(46951, '3d7lA00', NULL, NULL, 202, NULL, NULL, 19320),
(46952, '2x9gD00', NULL, NULL, 267, NULL, NULL, 19320),
(46953, '5jc8C00', NULL, NULL, 276, NULL, NULL, 19320),
(46954, '3l77A00', NULL, NULL, 235, NULL, NULL, 19320),
(46955, '4cjxA01', NULL, NULL, 140, NULL, NULL, 19320),
(46956, '1pjqA01', NULL, NULL, 112, NULL, NULL, 19320),
(46957, '1dxyA01', NULL, NULL, 136, NULL, NULL, 19320),
(46958, '1dxyA02', NULL, NULL, 196, NULL, NULL, 19320),
(46959, '3k6jA01', NULL, NULL, 233, NULL, NULL, 19320),
(46960, '3t4eA02', NULL, NULL, 151, NULL, NULL, 19320),
(46961, '3fbgA02', NULL, NULL, 147, NULL, NULL, 19320),
(46962, '1w6uD00', NULL, NULL, 302, NULL, NULL, 19320),
(46963, '4dmmD00', NULL, NULL, 246, NULL, NULL, 19320),
(46964, '5tdeB01', NULL, NULL, 138, NULL, NULL, 19320),
(46965, '3docA01', NULL, NULL, 170, NULL, NULL, 19320),
(46966, '4z9xA00', NULL, NULL, 264, NULL, NULL, 19320),
(46967, '4gbjC01', NULL, NULL, 162, NULL, NULL, 19320),
(46968, '3qivA00', NULL, NULL, 222, NULL, NULL, 19320),
(46969, '4miyA01', NULL, NULL, 214, NULL, NULL, 19320),
(46970, '4yaeA00', NULL, NULL, 234, NULL, NULL, 19320),
(46971, '4edfC03', NULL, NULL, 221, NULL, NULL, 19320),
(46972, '3dqpA00', NULL, NULL, 219, NULL, NULL, 19320);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(46973, '5z0cA02', NULL, NULL, 157, NULL, NULL, 19320),
(46974, '4gvlA01', NULL, NULL, 139, NULL, NULL, 19320),
(46975, '4cqmG00', NULL, NULL, 244, NULL, NULL, 19320),
(46976, '4yteA00', NULL, NULL, 194, NULL, NULL, 19320),
(46977, '3vpsB01', NULL, NULL, 211, NULL, NULL, 19320),
(46978, '3iieA01', NULL, NULL, 153, NULL, NULL, 19320),
(46979, '4a26A01', NULL, NULL, 142, NULL, NULL, 19320),
(46980, '1y7tA01', NULL, NULL, 153, NULL, NULL, 19320),
(46981, '1kewA01', NULL, NULL, 259, NULL, NULL, 19320),
(46982, '3ioyB01', NULL, NULL, 229, NULL, NULL, 19320),
(46983, '4b3hA02', NULL, NULL, 184, NULL, NULL, 19320),
(46984, '2omeA01', NULL, NULL, 136, NULL, NULL, 19320),
(46985, '2omeA02', NULL, NULL, 194, NULL, NULL, 19320),
(46986, '3o8qA02', NULL, NULL, 143, NULL, NULL, 19320),
(46987, '3ff4A00', NULL, NULL, 122, NULL, NULL, 19320),
(46988, '3cpsA01', NULL, NULL, 168, NULL, NULL, 19320),
(46989, '1wdkA02', NULL, NULL, 184, NULL, NULL, 19320),
(46990, '3moiA01', NULL, NULL, 175, NULL, NULL, 19320),
(46991, '6e8yA01', NULL, NULL, 192, NULL, NULL, 19320),
(46992, '5tf4B00', NULL, NULL, 274, NULL, NULL, 19320),
(46993, '2iz1B01', NULL, NULL, 183, NULL, NULL, 19320),
(46994, '6n7lA02', NULL, NULL, 138, NULL, NULL, 19320),
(46995, '1evyA01', NULL, NULL, 206, NULL, NULL, 19320),
(46996, '4wkgA02', NULL, NULL, 347, NULL, NULL, 19320),
(46997, '1ldnA01', NULL, NULL, 148, NULL, NULL, 19320),
(46998, '3vtzC00', NULL, NULL, 269, NULL, NULL, 19320),
(46999, '3mjeB00', NULL, NULL, 478, NULL, NULL, 19320),
(47000, '4fn4A00', NULL, NULL, 254, NULL, NULL, 19320),
(47001, '3gedA00', NULL, NULL, 247, NULL, NULL, 19320),
(47002, '4is2A00', NULL, NULL, 248, NULL, NULL, 19320),
(47003, '3u09A00', NULL, NULL, 251, NULL, NULL, 19320),
(47004, '1iukA00', NULL, NULL, 140, NULL, NULL, 19320),
(47005, '3znnA01', NULL, NULL, 206, NULL, NULL, 19320),
(47006, '2pgdA01', NULL, NULL, 180, NULL, NULL, 19320),
(47007, '5vpsA00', NULL, NULL, 267, NULL, NULL, 19320),
(47008, '4boyA01', NULL, NULL, 173, NULL, NULL, 19320),
(47009, '2eggA02', NULL, NULL, 140, NULL, NULL, 19320),
(47010, '5zfmA00', NULL, NULL, 248, NULL, NULL, 19320),
(47011, '4pg7A01', NULL, NULL, 169, NULL, NULL, 19320),
(47012, '4lw8A01', NULL, NULL, 237, NULL, NULL, 19320),
(47013, '2rirE01', NULL, NULL, 153, NULL, NULL, 19320),
(47014, '4gi2A02', NULL, NULL, 160, NULL, NULL, 19320),
(47015, '2rhcA00', NULL, NULL, 257, NULL, NULL, 19320),
(47016, '3wxbB00', NULL, NULL, 256, NULL, NULL, 19320),
(47017, '4ggpA00', NULL, NULL, 401, NULL, NULL, 19320),
(47018, '1x7dA02', NULL, NULL, 170, NULL, NULL, 19320),
(47019, '1cf2O01', NULL, NULL, 172, NULL, NULL, 19320),
(47020, '3hwrA01', NULL, NULL, 169, NULL, NULL, 19320),
(47021, '4r3nA01', NULL, NULL, 166, NULL, NULL, 19320),
(47022, '1gq2A02', NULL, NULL, 300, NULL, NULL, 19320),
(47023, '1rm4A01', NULL, NULL, 171, NULL, NULL, 19320),
(47024, '1l7dA02', NULL, NULL, 188, NULL, NULL, 19320),
(47025, '4urfA00', NULL, NULL, 248, NULL, NULL, 19320),
(47026, '1i32A01', NULL, NULL, 183, NULL, NULL, 19320),
(47027, '1q0hA01', NULL, NULL, 158, NULL, NULL, 19320),
(47028, '1qorA02', NULL, NULL, 146, NULL, NULL, 19320),
(47029, '2d8aA02', NULL, NULL, 135, NULL, NULL, 19320),
(47030, '2yv2A01', NULL, NULL, 129, NULL, NULL, 19320),
(47031, '1o94A02', NULL, NULL, 168, NULL, NULL, 19320),
(47032, '5a04A01', NULL, NULL, 166, NULL, NULL, 19320),
(47033, '6aa8B01', NULL, NULL, 188, NULL, NULL, 19320),
(47034, '3pduA01', NULL, NULL, 164, NULL, NULL, 19320),
(47035, '2i76A01', NULL, NULL, 155, NULL, NULL, 19320),
(47036, '1bdbA00', NULL, NULL, 277, NULL, NULL, 19320),
(47037, '1wwkA01', NULL, NULL, 116, NULL, NULL, 19320),
(47038, '1wwkA02', NULL, NULL, 191, NULL, NULL, 19320),
(47039, '5cefA01', NULL, NULL, 189, NULL, NULL, 19320),
(47040, '3hdqA01', NULL, NULL, 207, NULL, NULL, 19320),
(47041, '5dovA02', NULL, NULL, 141, NULL, NULL, 19320),
(47042, '4lisA01', NULL, NULL, 230, NULL, NULL, 19320),
(47043, '5t2vA00', NULL, NULL, 248, NULL, NULL, 19320),
(47044, '1db3A01', NULL, NULL, 241, NULL, NULL, 19320),
(47045, '2qrjA02', NULL, NULL, 191, NULL, NULL, 19320);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(47046, '3q2iA01', NULL, NULL, 164, NULL, NULL, 19320),
(47047, '3gc6A02', NULL, NULL, 113, NULL, NULL, 19320),
(47048, '5a9tA01', NULL, NULL, 161, NULL, NULL, 19320),
(47049, '4f3yA01', NULL, NULL, 164, NULL, NULL, 19320),
(47050, '5tqvB00', NULL, NULL, 233, NULL, NULL, 19320),
(47051, '4z6kA02', NULL, NULL, 138, NULL, NULL, 19320),
(47052, '5unlB00', NULL, NULL, 273, NULL, NULL, 19320),
(47053, '4inaA01', NULL, NULL, 208, NULL, NULL, 19320),
(47054, '4eezA02', NULL, NULL, 140, NULL, NULL, 19320),
(47055, '6nnaA02', NULL, NULL, 355, NULL, NULL, 19320),
(47056, '2hrbA00', NULL, NULL, 274, NULL, NULL, 19320),
(47057, '1iz0A02', NULL, NULL, 161, NULL, NULL, 19320),
(47058, '2o4cA01', NULL, NULL, 126, NULL, NULL, 19320),
(47059, '3gvxB01', NULL, NULL, 113, NULL, NULL, 19320),
(47060, '4ydrA01', NULL, NULL, 167, NULL, NULL, 19320),
(47061, '2o4cA02', NULL, NULL, 166, NULL, NULL, 19320),
(47062, '3pp8A01', NULL, NULL, 131, NULL, NULL, 19320),
(47063, '3pp8A02', NULL, NULL, 183, NULL, NULL, 19320),
(47064, '2z5lA00', NULL, NULL, 490, NULL, NULL, 19320),
(47065, '5vt6D00', NULL, NULL, 245, NULL, NULL, 19320),
(47066, '1ygyA02', NULL, NULL, 182, NULL, NULL, 19320),
(47067, '3o03A00', NULL, NULL, 268, NULL, NULL, 19320),
(47068, '1ygyA01', NULL, NULL, 138, NULL, NULL, 19320),
(47069, '4dvjA02', NULL, NULL, 146, NULL, NULL, 19320),
(47070, '3pxxD00', NULL, NULL, 287, NULL, NULL, 19320),
(47071, '2yy7A00', NULL, NULL, 312, NULL, NULL, 19320),
(47072, '1jtvA00', NULL, NULL, 285, NULL, NULL, 19320),
(47073, '3a06B01', NULL, NULL, 142, NULL, NULL, 19320),
(47074, '2o3jB01', NULL, NULL, 219, NULL, NULL, 19320),
(47075, '2ydyA00', NULL, NULL, 298, NULL, NULL, 19320),
(47076, '2pk3A01', NULL, NULL, 231, NULL, NULL, 19320),
(47077, '4kqwA01', NULL, NULL, 192, NULL, NULL, 19320),
(47078, '2b0jA01', NULL, NULL, 252, NULL, NULL, 19320),
(47079, '3qwbA02', NULL, NULL, 145, NULL, NULL, 19320),
(47080, '3sjuA00', NULL, NULL, 255, NULL, NULL, 19320),
(47081, '3o38B01', NULL, NULL, 262, NULL, NULL, 19320),
(47082, '1hdcA00', NULL, NULL, 254, NULL, NULL, 19320),
(47083, '4dplA01', NULL, NULL, 177, NULL, NULL, 19320),
(47084, '4zqbA02', NULL, NULL, 183, NULL, NULL, 19320),
(47085, '1pjcA02', NULL, NULL, 176, NULL, NULL, 19320),
(47086, '1pjcA01', NULL, NULL, 185, NULL, NULL, 19320),
(47087, '3x2fA02', NULL, NULL, 160, NULL, NULL, 19320),
(47088, '3fhlA01', NULL, NULL, 140, NULL, NULL, 19320),
(47089, '5va8A00', NULL, NULL, 267, NULL, NULL, 19320),
(47090, '4ej0A01', NULL, NULL, 215, NULL, NULL, 19320),
(47091, '5b1yA00', NULL, NULL, 250, NULL, NULL, 19320),
(47092, '3g1tA00', NULL, NULL, 258, NULL, NULL, 19320),
(47093, '5g4kA00', NULL, NULL, 264, NULL, NULL, 19320),
(47094, '4hxyA00', NULL, NULL, 438, NULL, NULL, 19320),
(47095, '1xgkA01', NULL, NULL, 234, NULL, NULL, 19320),
(47096, '4iy1A00', NULL, NULL, 254, NULL, NULL, 19320),
(47097, '3dfzB01', NULL, NULL, 127, NULL, NULL, 19320),
(47098, '3mtgA02', NULL, NULL, 159, NULL, NULL, 19320),
(47099, '2qrlA01', NULL, NULL, 180, NULL, NULL, 19320),
(47100, '4k9dA01', NULL, NULL, 180, NULL, NULL, 19320),
(47101, '1omoA02', NULL, NULL, 171, NULL, NULL, 19320),
(47102, '1ja9A00', NULL, NULL, 274, NULL, NULL, 19320),
(47103, '2b4qB00', NULL, NULL, 256, NULL, NULL, 19320),
(47104, '2yv3A01', NULL, NULL, 142, NULL, NULL, 19320),
(47105, '2dvmB02', NULL, NULL, 280, NULL, NULL, 19320),
(47106, '3ezyA01', NULL, NULL, 121, NULL, NULL, 19320),
(47107, '3oigA00', NULL, NULL, 266, NULL, NULL, 19320),
(47108, '1piwA02', NULL, NULL, 137, NULL, NULL, 19320),
(47109, '3ec7A01', NULL, NULL, 213, NULL, NULL, 19320),
(47110, '2bkaA00', NULL, NULL, 242, NULL, NULL, 19320),
(47111, '3fpcA02', NULL, NULL, 131, NULL, NULL, 19320),
(47112, '4nbuA00', NULL, NULL, 250, NULL, NULL, 19320),
(47113, '4zgsA02', NULL, NULL, 202, NULL, NULL, 19320),
(47114, '4e5nA02', NULL, NULL, 197, NULL, NULL, 19320),
(47115, '4zgsA01', NULL, NULL, 143, NULL, NULL, 19320),
(47116, '2bllA01', NULL, NULL, 243, NULL, NULL, 19320),
(47117, '5l9aB00', NULL, NULL, 321, NULL, NULL, 19320),
(47118, '3p7mB01', NULL, NULL, 147, NULL, NULL, 19320);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(47119, '2fzwA02', NULL, NULL, 139, NULL, NULL, 19320),
(47120, '1n5dA00', NULL, NULL, 288, NULL, NULL, 19320),
(47121, '1vjtA01', NULL, NULL, 126, NULL, NULL, 19320),
(47122, '5er6C00', NULL, NULL, 251, NULL, NULL, 19320),
(47123, '1pgjA01', NULL, NULL, 186, NULL, NULL, 19320),
(47124, '4dryA00', NULL, NULL, 248, NULL, NULL, 19320),
(47125, '4gqaC01', NULL, NULL, 134, NULL, NULL, 19320),
(47126, '4e5yC01', NULL, NULL, 221, NULL, NULL, 19320),
(47127, '5gxeA02', NULL, NULL, 169, NULL, NULL, 19320),
(47128, '4dqxB00', NULL, NULL, 254, NULL, NULL, 19320),
(47129, '4izhA02', NULL, NULL, 179, NULL, NULL, 19320),
(47130, '3n58A02', NULL, NULL, 158, NULL, NULL, 19320),
(47131, '6b9uB00', NULL, NULL, 257, NULL, NULL, 19320),
(47132, '3f3sA01', NULL, NULL, 189, NULL, NULL, 19320),
(47133, '4p8rA01', NULL, NULL, 173, NULL, NULL, 19320),
(47134, '3phhA02', NULL, NULL, 133, NULL, NULL, 19320),
(47135, '4xkjA01', NULL, NULL, 139, NULL, NULL, 19320),
(47136, '1mg5A00', NULL, NULL, 255, NULL, NULL, 19320),
(47137, '2qq5A00', NULL, NULL, 260, NULL, NULL, 19320),
(47138, '3qsgA01', NULL, NULL, 168, NULL, NULL, 19320),
(47139, '2rcyA01', NULL, NULL, 154, NULL, NULL, 19320),
(47140, '4uupA01', NULL, NULL, 153, NULL, NULL, 19320),
(47141, '2eg9A02', NULL, NULL, 112, NULL, NULL, 19320),
(47142, '3p2yA02', NULL, NULL, 179, NULL, NULL, 19320),
(47143, '3p2yA01', NULL, NULL, 175, NULL, NULL, 19320),
(47144, '4jlwA02', NULL, NULL, 167, NULL, NULL, 19320),
(47145, '3gvcA00', NULL, NULL, 251, NULL, NULL, 19320),
(47146, '1nytA02', NULL, NULL, 143, NULL, NULL, 19320),
(47147, '3qy9B01', NULL, NULL, 138, NULL, NULL, 19320),
(47148, '3dtyA01', NULL, NULL, 187, NULL, NULL, 19320),
(47149, '4tqgA00', NULL, NULL, 323, NULL, NULL, 19320),
(47150, '1p77A02', NULL, NULL, 123, NULL, NULL, 19320),
(47151, '1vi2A02', NULL, NULL, 150, NULL, NULL, 19320),
(47152, '4o6vA00', NULL, NULL, 242, NULL, NULL, 19320),
(47153, '3lk7A01', NULL, NULL, 86, NULL, NULL, 19320),
(47154, '5jw6A01', NULL, NULL, 185, NULL, NULL, 19320),
(47155, '1q0qA01', NULL, NULL, 158, NULL, NULL, 19320),
(47156, '3lvfP01', NULL, NULL, 171, NULL, NULL, 19320),
(47157, '3guyA00', NULL, NULL, 230, NULL, NULL, 19320),
(47158, '4tvoA01', NULL, NULL, 155, NULL, NULL, 19320),
(47159, '1j4aA02', NULL, NULL, 196, NULL, NULL, 19320),
(47160, '1jvbA02', NULL, NULL, 141, NULL, NULL, 19320),
(47161, '2fp4A01', NULL, NULL, 123, NULL, NULL, 19320),
(47162, '1vl8A00', NULL, NULL, 251, NULL, NULL, 19320),
(47163, '3ko8A01', NULL, NULL, 200, NULL, NULL, 19320),
(47164, '1b8pA01', NULL, NULL, 157, NULL, NULL, 19320),
(47165, '6bwcB01', NULL, NULL, 237, NULL, NULL, 19320),
(47166, '5v7gA02', NULL, NULL, 186, NULL, NULL, 19320),
(47167, '3dzbA01', NULL, NULL, 185, NULL, NULL, 19320),
(47168, '4d44A00', NULL, NULL, 254, NULL, NULL, 19320),
(47169, '5ok4A01', NULL, NULL, 254, NULL, NULL, 19320),
(47170, '1jayA00', NULL, NULL, 212, NULL, NULL, 19320),
(47171, '3dr3A01', NULL, NULL, 177, NULL, NULL, 19320),
(47172, '3uuwA01', NULL, NULL, 123, NULL, NULL, 19320),
(47173, '4eyeA02', NULL, NULL, 168, NULL, NULL, 19320),
(47174, '3vvcA01', NULL, NULL, 238, NULL, NULL, 19320),
(47175, '5fffA00', NULL, NULL, 257, NULL, NULL, 19320),
(47176, '1zcjA02', NULL, NULL, 184, NULL, NULL, 19320),
(47177, '3r6dA00', NULL, NULL, 221, NULL, NULL, 19320),
(47178, '2plaA01', NULL, NULL, 194, NULL, NULL, 19320),
(47179, '5mspA02', NULL, NULL, 444, NULL, NULL, 19320),
(47180, '2q3eD01', NULL, NULL, 213, NULL, NULL, 19320),
(47181, '4wuvA00', NULL, NULL, 280, NULL, NULL, 19320),
(47182, '6hrdA01', NULL, NULL, 191, NULL, NULL, 19320),
(47183, '5vktA02', NULL, NULL, 157, NULL, NULL, 19320),
(47184, '3gvpA02', NULL, NULL, 159, NULL, NULL, 19320),
(47185, '4izhA01', NULL, NULL, 180, NULL, NULL, 19320),
(47186, '5mlnA00', NULL, NULL, 241, NULL, NULL, 19320),
(47187, '2duwA00', NULL, NULL, 145, NULL, NULL, 19320),
(47188, '2zydB01', NULL, NULL, 192, NULL, NULL, 19320),
(47189, '6g4qA01', NULL, NULL, 123, NULL, NULL, 19320),
(47190, '1e3iA02', NULL, NULL, 137, NULL, NULL, 19320),
(47191, '1p33A00', NULL, NULL, 289, NULL, NULL, 19320);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(47192, '4r1nA01', NULL, NULL, 187, NULL, NULL, 19320),
(47193, '1y81A00', NULL, NULL, 138, NULL, NULL, 19320),
(47194, '3ctmC00', NULL, NULL, 279, NULL, NULL, 19320),
(47195, '2yq5A02', NULL, NULL, 197, NULL, NULL, 19320),
(47196, '1jw9B00', NULL, NULL, 249, NULL, NULL, 19320),
(47197, '3bioB01', NULL, NULL, 190, NULL, NULL, 19320),
(47198, '3f9iA00', NULL, NULL, 249, NULL, NULL, 19320),
(47199, '5tr4A04', NULL, NULL, 226, NULL, NULL, 19320),
(47200, '3ngxA01', NULL, NULL, 126, NULL, NULL, 19320),
(47201, '4dibA01', NULL, NULL, 180, NULL, NULL, 19320),
(47202, '4im7A01', NULL, NULL, 275, NULL, NULL, 19320),
(47203, '3nv9A02', NULL, NULL, 295, NULL, NULL, 19320),
(47204, '2gf2A01', NULL, NULL, 162, NULL, NULL, 19320),
(47205, '4iqgA00', NULL, NULL, 248, NULL, NULL, 19320),
(47206, '3kzvA00', NULL, NULL, 254, NULL, NULL, 19320),
(47207, '3rd5A00', NULL, NULL, 291, NULL, NULL, 19320),
(47208, '5ojiA00', NULL, NULL, 260, NULL, NULL, 19320),
(47209, '4j6fA02', NULL, NULL, 159, NULL, NULL, 19320),
(47210, '4tskA01', NULL, NULL, 181, NULL, NULL, 19320),
(47211, '1xg5B00', NULL, NULL, 257, NULL, NULL, 19320),
(47212, '1e6wB00', NULL, NULL, 260, NULL, NULL, 19320),
(47213, '5ej2A00', NULL, NULL, 277, NULL, NULL, 19320),
(47214, '3gfbA02', NULL, NULL, 135, NULL, NULL, 19320),
(47215, '1gv0A01', NULL, NULL, 143, NULL, NULL, 19320),
(47216, '3meqA02', NULL, NULL, 140, NULL, NULL, 19320),
(47217, '5vvwA01', NULL, NULL, 96, NULL, NULL, 19320),
(47218, '4c4oA02', NULL, NULL, 130, NULL, NULL, 19320),
(47219, '1dhrA00', NULL, NULL, 241, NULL, NULL, 19320),
(47220, '2d4aD01', NULL, NULL, 141, NULL, NULL, 19320),
(47221, '2hmtA00', NULL, NULL, 144, NULL, NULL, 19320),
(47222, '3d4oA02', NULL, NULL, 147, NULL, NULL, 19320),
(47223, '2dt5A02', NULL, NULL, 138, NULL, NULL, 19320),
(47224, '4rvuA02', NULL, NULL, 148, NULL, NULL, 19320),
(47225, '2yyyA01', NULL, NULL, 175, NULL, NULL, 19320),
(47226, '2hrzA01', NULL, NULL, 231, NULL, NULL, 19320),
(47227, '1fjhA00', NULL, NULL, 257, NULL, NULL, 19320),
(47228, '3e8xA00', NULL, NULL, 236, NULL, NULL, 19320),
(47229, '4lvuA00', NULL, NULL, 254, NULL, NULL, 19320),
(47230, '4gkbA00', NULL, NULL, 258, NULL, NULL, 19320),
(47231, '3d1lB01', NULL, NULL, 167, NULL, NULL, 19320),
(47232, '2pzmB00', NULL, NULL, 330, NULL, NULL, 19320),
(47233, '3ondA02', NULL, NULL, 162, NULL, NULL, 19320),
(47234, '4a7pB01', NULL, NULL, 208, NULL, NULL, 19320),
(47235, '3m2pB00', NULL, NULL, 295, NULL, NULL, 19320),
(47236, '4w4tB00', NULL, NULL, 394, NULL, NULL, 19320),
(47237, '2x5oA01', NULL, NULL, 92, NULL, NULL, 19320),
(47238, '4cv2A00', NULL, NULL, 270, NULL, NULL, 19320),
(47239, '4e6pA00', NULL, NULL, 259, NULL, NULL, 19320),
(47240, '1rkxA01', NULL, NULL, 193, NULL, NULL, 19320),
(47241, '4q9nA00', NULL, NULL, 298, NULL, NULL, 19320),
(47242, '3pi7A02', NULL, NULL, 147, NULL, NULL, 19320),
(47243, '4nbwA00', NULL, NULL, 257, NULL, NULL, 19320),
(47244, '3qa9A00', NULL, NULL, 149, NULL, NULL, 19320),
(47245, '4hy3D01', NULL, NULL, 152, NULL, NULL, 19320),
(47246, '1up7A01', NULL, NULL, 137, NULL, NULL, 19320),
(47247, '1qydA01', NULL, NULL, 192, NULL, NULL, 19320),
(47248, '4egfD00', NULL, NULL, 266, NULL, NULL, 19320),
(47249, '1p0fA02', NULL, NULL, 139, NULL, NULL, 19320),
(47250, '2j3hA02', NULL, NULL, 177, NULL, NULL, 19320),
(47251, '2jhfA02', NULL, NULL, 139, NULL, NULL, 19320),
(47252, '3ce6A02', NULL, NULL, 161, NULL, NULL, 19320),
(47253, '2ew8B00', NULL, NULL, 249, NULL, NULL, 19320),
(47254, '5h5xI00', NULL, NULL, 263, NULL, NULL, 19320),
(47255, '4o1mB00', NULL, NULL, 315, NULL, NULL, 19320),
(47256, '1sowB01', NULL, NULL, 153, NULL, NULL, 19320),
(47257, '5ujkA01', NULL, NULL, 145, NULL, NULL, 19320),
(47258, '1lehA02', NULL, NULL, 203, NULL, NULL, 19320),
(47259, '5t6bB04', NULL, NULL, 99, NULL, NULL, 19320),
(47260, '2c5aA01', NULL, NULL, 183, NULL, NULL, 19320),
(47261, '3toxB00', NULL, NULL, 257, NULL, NULL, 19320),
(47262, '4gwgA01', NULL, NULL, 182, NULL, NULL, 19320),
(47263, '4pg4B01', NULL, NULL, 159, NULL, NULL, 19320),
(47264, '1gpjA02', NULL, NULL, 154, NULL, NULL, 19320);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(47265, '6abjA02', NULL, NULL, 196, NULL, NULL, 19320),
(47266, '1hyeA01', NULL, NULL, 147, NULL, NULL, 19320),
(47267, '3ukoA02', NULL, NULL, 139, NULL, NULL, 19320),
(47268, '4m1qA01', NULL, NULL, 144, NULL, NULL, 19320),
(47269, '3edmD00', NULL, NULL, 259, NULL, NULL, 19320),
(47270, '3v8bC00', NULL, NULL, 255, NULL, NULL, 19320),
(47271, '2p68B00', NULL, NULL, 248, NULL, NULL, 19320),
(47272, '3oj0A00', NULL, NULL, 144, NULL, NULL, 19320),
(47273, '4rl6A01', NULL, NULL, 230, NULL, NULL, 19320),
(47274, '2p2sA01', NULL, NULL, 140, NULL, NULL, 19320),
(47275, '5fi3A02', NULL, NULL, 157, NULL, NULL, 19320),
(47276, '3eagB01', NULL, NULL, 95, NULL, NULL, 19320),
(47277, '6iumA02', NULL, NULL, 191, NULL, NULL, 19320),
(47278, '4e4yA00', NULL, NULL, 244, NULL, NULL, 19320),
(47279, '3fwzA00', NULL, NULL, 140, NULL, NULL, 19320),
(47280, '3ppiC00', NULL, NULL, 258, NULL, NULL, 19320),
(47281, '2yq5C01', NULL, NULL, 145, NULL, NULL, 19320),
(47282, '1fmcA00', NULL, NULL, 255, NULL, NULL, 19320),
(47283, '4j3fA00', NULL, NULL, 259, NULL, NULL, 19320),
(47284, '3hdjA02', NULL, NULL, 171, NULL, NULL, 19320),
(47285, '4fc7D00', NULL, NULL, 277, NULL, NULL, 19320),
(47286, '3u49D00', NULL, NULL, 260, NULL, NULL, 19320),
(47287, '4rv9A04', NULL, NULL, 109, NULL, NULL, 19320),
(47288, '4yrbF00', NULL, NULL, 250, NULL, NULL, 19320),
(47289, '6ldhA01', NULL, NULL, 163, NULL, NULL, 19320),
(47290, '3o9zA01', NULL, NULL, 132, NULL, NULL, 19320),
(47291, '5dzsB02', NULL, NULL, 132, NULL, NULL, 19320),
(47292, '4jxkA02', NULL, NULL, 165, NULL, NULL, 19320),
(47293, '5nfrA01', NULL, NULL, 143, NULL, NULL, 19320),
(47294, '3wtbC00', NULL, NULL, 246, NULL, NULL, 19320),
(47295, '3u3xA01', NULL, NULL, 137, NULL, NULL, 19320),
(47296, '5bt9D00', NULL, NULL, 253, NULL, NULL, 19320),
(47297, '3e9mA01', NULL, NULL, 123, NULL, NULL, 19320),
(47298, '2cukA01', NULL, NULL, 129, NULL, NULL, 19320),
(47299, '1r6dA01', NULL, NULL, 218, NULL, NULL, 19320),
(47300, '1zbqA01', NULL, NULL, 244, NULL, NULL, 19320),
(47301, '5thqA00', NULL, NULL, 248, NULL, NULL, 19320),
(47302, '5o1pA01', NULL, NULL, 173, NULL, NULL, 19320),
(47303, '2y1eA01', NULL, NULL, 141, NULL, NULL, 19320),
(47304, '2cukA02', NULL, NULL, 182, NULL, NULL, 19320),
(47305, '4gh5B00', NULL, NULL, 253, NULL, NULL, 19320),
(47306, '3sthC01', NULL, NULL, 171, NULL, NULL, 19320),
(47307, '3gmsA02', NULL, NULL, 126, NULL, NULL, 19320),
(47308, '1ydwA01', NULL, NULL, 133, NULL, NULL, 19320),
(47309, '1e7wB00', NULL, NULL, 291, NULL, NULL, 19320),
(47310, '2wsbA00', NULL, NULL, 254, NULL, NULL, 19320),
(47311, '1ulsC00', NULL, NULL, 245, NULL, NULL, 19320),
(47312, '1spxA00', NULL, NULL, 278, NULL, NULL, 19320),
(47313, '1i8tA01', NULL, NULL, 190, NULL, NULL, 19320),
(47314, '3jyoA02', NULL, NULL, 143, NULL, NULL, 19320),
(47315, '5g0tC00', NULL, NULL, 269, NULL, NULL, 19320),
(47316, '4j4hA02', NULL, NULL, 124, NULL, NULL, 19320),
(47317, '3f4lA01', NULL, NULL, 122, NULL, NULL, 19320),
(47318, '3wj7A00', NULL, NULL, 342, NULL, NULL, 19320),
(47319, '4o0lA00', NULL, NULL, 275, NULL, NULL, 19320),
(47320, '4jroB00', NULL, NULL, 247, NULL, NULL, 19320),
(47321, '3m2tB01', NULL, NULL, 194, NULL, NULL, 19320),
(47322, '3keoB02', NULL, NULL, 135, NULL, NULL, 19320),
(47323, '4nh4A02', NULL, NULL, 177, NULL, NULL, 19320),
(47324, '5m67A02', NULL, NULL, 158, NULL, NULL, 19320),
(47325, '6el3B00', NULL, NULL, 364, NULL, NULL, 19320),
(47326, '5bnfB02', NULL, NULL, 110, NULL, NULL, 19320),
(47327, '2hjrA01', NULL, NULL, 156, NULL, NULL, 19320),
(47328, '4xqcA01', NULL, NULL, 178, NULL, NULL, 19320),
(47329, '5temA01', NULL, NULL, 161, NULL, NULL, 19320),
(47330, '4hp8A00', NULL, NULL, 247, NULL, NULL, 19320),
(47331, '4bguA01', NULL, NULL, 142, NULL, NULL, 19320),
(47332, '2d0iA01', NULL, NULL, 141, NULL, NULL, 19320),
(47333, '4jn6B01', NULL, NULL, 160, NULL, NULL, 19320),
(47334, '2d0iA02', NULL, NULL, 192, NULL, NULL, 19320),
(47335, '1vpdA01', NULL, NULL, 168, NULL, NULL, 19320),
(47336, '3orfA00', NULL, NULL, 230, NULL, NULL, 19320),
(47337, '4zrmA01', NULL, NULL, 204, NULL, NULL, 19320);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(47338, '4e3zB00', NULL, NULL, 247, NULL, NULL, 19320),
(47339, '4nimA00', NULL, NULL, 277, NULL, NULL, 19320),
(47340, '4hktA01', NULL, NULL, 120, NULL, NULL, 19320),
(47341, '4jbgA02', NULL, NULL, 134, NULL, NULL, 19320),
(47342, '5yssA00', NULL, NULL, 256, NULL, NULL, 19320),
(47343, '6dv2G02', NULL, NULL, 184, NULL, NULL, 19320),
(47344, '2gcgA01', NULL, NULL, 141, NULL, NULL, 19320),
(47345, '3tnlA02', NULL, NULL, 151, NULL, NULL, 19320),
(47346, '2nacA02', NULL, NULL, 190, NULL, NULL, 19320),
(47347, '2nacA01', NULL, NULL, 184, NULL, NULL, 19320),
(47348, '2gcgA02', NULL, NULL, 189, NULL, NULL, 19320),
(47349, '1y8qC00', NULL, NULL, 346, NULL, NULL, 19320),
(47350, '1o5iA00', NULL, NULL, 249, NULL, NULL, 19320),
(47351, '5tc4A01', NULL, NULL, 146, NULL, NULL, 19320),
(47352, '3ingA01', NULL, NULL, 172, NULL, NULL, 19320),
(47353, '2ep7B01', NULL, NULL, 170, NULL, NULL, 19320),
(47354, '1yb5A02', NULL, NULL, 168, NULL, NULL, 19320),
(47355, '4y9dA00', NULL, NULL, 237, NULL, NULL, 19320),
(47356, '3uveA00', NULL, NULL, 286, NULL, NULL, 19320),
(47357, '5dp1A02', NULL, NULL, 140, NULL, NULL, 19320),
(47358, '4weoA00', NULL, NULL, 266, NULL, NULL, 19320),
(47359, '3enkA01', NULL, NULL, 211, NULL, NULL, 19320),
(47360, '5aq1A01', NULL, NULL, 205, NULL, NULL, 19320),
(47361, '1gadO01', NULL, NULL, 164, NULL, NULL, 19320),
(47362, '4e0bB01', NULL, NULL, 149, NULL, NULL, 19320),
(47363, '2yfqB03', NULL, NULL, 160, NULL, NULL, 19320),
(47364, '4cl3A01', NULL, NULL, 144, NULL, NULL, 19320),
(47365, '4m89A00', NULL, NULL, 261, NULL, NULL, 19320),
(47366, '4prkA02', NULL, NULL, 195, NULL, NULL, 19320),
(47367, '6c85A01', NULL, NULL, 190, NULL, NULL, 19320),
(47368, '4prkA01', NULL, NULL, 140, NULL, NULL, 19320),
(47369, '4iptA00', NULL, NULL, 221, NULL, NULL, 19320),
(47370, '5o98A00', NULL, NULL, 293, NULL, NULL, 19320),
(47371, '2r00A01', NULL, NULL, 149, NULL, NULL, 19320),
(47372, '2ph5A01', NULL, NULL, 177, NULL, NULL, 19320),
(47373, '4oqzA01', NULL, NULL, 159, NULL, NULL, 19320),
(47374, '4hujA00', NULL, NULL, 204, NULL, NULL, 19320),
(47375, '3hhpA01', NULL, NULL, 146, NULL, NULL, 19320),
(47376, '5v96A02', NULL, NULL, 161, NULL, NULL, 19320),
(47377, '5nueA01', NULL, NULL, 155, NULL, NULL, 19320),
(47378, '4impA03', NULL, NULL, 256, NULL, NULL, 19320),
(47379, '1j6uA01', NULL, NULL, 87, NULL, NULL, 19320),
(47380, '2gn4B01', NULL, NULL, 242, NULL, NULL, 19320),
(47381, '6ih3A02', NULL, NULL, 198, NULL, NULL, 19320),
(47382, '6ih3A01', NULL, NULL, 138, NULL, NULL, 19320),
(47383, '1mv8A03', NULL, NULL, 202, NULL, NULL, 19320),
(47384, '1mv8A01', NULL, NULL, 202, NULL, NULL, 19320),
(47385, '1d1tA02', NULL, NULL, 139, NULL, NULL, 19320),
(47386, '2hq1A00', NULL, NULL, 247, NULL, NULL, 19320),
(47387, '3nywD00', NULL, NULL, 250, NULL, NULL, 19320),
(47388, '2p5yA01', NULL, NULL, 200, NULL, NULL, 19320),
(47389, '3uceA00', NULL, NULL, 223, NULL, NULL, 19320),
(47390, '3gdgA00', NULL, NULL, 267, NULL, NULL, 19320),
(47391, '1cydA00', NULL, NULL, 244, NULL, NULL, 19320),
(47392, '3ldhA01', NULL, NULL, 163, NULL, NULL, 19320),
(47393, '1ybaA02', NULL, NULL, 189, NULL, NULL, 19320),
(47394, '5c7iO01', NULL, NULL, 166, NULL, NULL, 19320),
(47395, '2dldA01', NULL, NULL, 139, NULL, NULL, 19320),
(47396, '3plnA03', NULL, NULL, 167, NULL, NULL, 19320),
(47397, '4njmA01', NULL, NULL, 143, NULL, NULL, 19320),
(47398, '2dldA02', NULL, NULL, 196, NULL, NULL, 19320),
(47399, '1r12A02', NULL, NULL, 139, NULL, NULL, 19320),
(47400, '4wpgA01', NULL, NULL, 210, NULL, NULL, 19320),
(47401, '4bmvI00', NULL, NULL, 262, NULL, NULL, 19320),
(47402, '3c1oA01', NULL, NULL, 188, NULL, NULL, 19320),
(47403, '4njmA02', NULL, NULL, 166, NULL, NULL, 19320),
(47404, '2wtbA02', NULL, NULL, 184, NULL, NULL, 19320),
(47405, '1n7hA02', NULL, NULL, 239, NULL, NULL, 19320),
(47406, '5er9B01', NULL, NULL, 213, NULL, NULL, 19320),
(47407, '1id1A00', NULL, NULL, 153, NULL, NULL, 19320),
(47408, '2bi7A01', NULL, NULL, 202, NULL, NULL, 19320),
(47409, '4gqaA01', NULL, NULL, 134, NULL, NULL, 19320),
(47410, '5kvcA00', NULL, NULL, 254, NULL, NULL, 19320);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(47411, '1v8bA02', NULL, NULL, 161, NULL, NULL, 19320),
(47412, '1wlyA02', NULL, NULL, 147, NULL, NULL, 19320),
(47413, '2dknB00', NULL, NULL, 255, NULL, NULL, 19320),
(47414, '3pefA01', NULL, NULL, 164, NULL, NULL, 19320),
(47415, '2l1nA00', NULL, NULL, 120, NULL, NULL, 19321),
(47416, '4udxX01', NULL, NULL, 175, NULL, NULL, 19322),
(47417, '1jqkA03', NULL, NULL, 175, NULL, NULL, 19322),
(47418, '3i01A01', NULL, NULL, 177, NULL, NULL, 19322),
(47419, '6b6wA01', NULL, NULL, 179, NULL, NULL, 19322),
(47420, '6elqA01', NULL, NULL, 176, NULL, NULL, 19322),
(47421, '4zqwB00', NULL, NULL, 177, NULL, NULL, 19323),
(47422, '4zqvA00', NULL, NULL, 175, NULL, NULL, 19323),
(47423, '2gkpA00', NULL, NULL, 167, NULL, NULL, 19323),
(47424, '4zquB00', NULL, NULL, 185, NULL, NULL, 19323),
(47425, '1krlA00', NULL, NULL, 44, NULL, NULL, 19324),
(47426, '2ewrA00', NULL, NULL, 170, NULL, NULL, 19325),
(47427, '4wh5A00', NULL, NULL, 162, NULL, NULL, 19325),
(47428, '4wqkA00', NULL, NULL, 178, NULL, NULL, 19325),
(47429, '2fclA00', NULL, NULL, 169, NULL, NULL, 19325),
(47430, '5c5zA00', NULL, NULL, 137, NULL, NULL, 19326),
(47431, '2qikA01', NULL, NULL, 119, NULL, NULL, 19326),
(47432, '3judA00', NULL, NULL, 153, NULL, NULL, 19326),
(47433, '4issA03', NULL, NULL, 144, NULL, NULL, 19326),
(47434, '3cryA00', NULL, NULL, 188, NULL, NULL, 19326),
(47435, '2qikA02', NULL, NULL, 165, NULL, NULL, 19326),
(47436, '1xhsA00', NULL, NULL, 121, NULL, NULL, 19326),
(47437, '1vkbA00', NULL, NULL, 161, NULL, NULL, 19326),
(47438, '2jqvA01', NULL, NULL, 115, NULL, NULL, 19326),
(47439, '1v30A00', NULL, NULL, 124, NULL, NULL, 19326),
(47440, '2g0qA01', NULL, NULL, 124, NULL, NULL, 19326),
(47441, '4j07A00', NULL, NULL, 153, NULL, NULL, 19327),
(47442, '2b99C00', NULL, NULL, 156, NULL, NULL, 19327),
(47443, '1hqkA00', NULL, NULL, 154, NULL, NULL, 19327),
(47444, '1kz1C00', NULL, NULL, 159, NULL, NULL, 19327),
(47445, '4kq6E00', NULL, NULL, 158, NULL, NULL, 19327),
(47446, '1c41A00', NULL, NULL, 200, NULL, NULL, 19327),
(47447, '2i0fA00', NULL, NULL, 157, NULL, NULL, 19327),
(47448, '2obxA00', NULL, NULL, 157, NULL, NULL, 19327),
(47449, '1vsw100', NULL, NULL, 153, NULL, NULL, 19327),
(47450, '2jfbH00', NULL, NULL, 164, NULL, NULL, 19327),
(47451, '3nq4100', NULL, NULL, 156, NULL, NULL, 19327),
(47452, '1c2yA00', NULL, NULL, 156, NULL, NULL, 19327),
(47453, '1di0A00', NULL, NULL, 158, NULL, NULL, 19327),
(47454, '5im5A00', NULL, NULL, 156, NULL, NULL, 19327),
(47455, '2c92A00', NULL, NULL, 160, NULL, NULL, 19327),
(47456, '1ejbA00', NULL, NULL, 168, NULL, NULL, 19327),
(47457, '5im4M00', NULL, NULL, 162, NULL, NULL, 19327),
(47458, '1rvv100', NULL, NULL, 154, NULL, NULL, 19327),
(47459, '2vldA01', NULL, NULL, 120, NULL, NULL, 19328),
(47460, '2k7iA01', NULL, NULL, 48, NULL, NULL, 19329),
(47461, '3bidA01', NULL, NULL, 47, NULL, NULL, 19329),
(47462, '2bcoA02', NULL, NULL, 65, NULL, NULL, 19330),
(47463, '2g9dA02', NULL, NULL, 65, NULL, NULL, 19330),
(47464, '4acoA02', NULL, NULL, 356, NULL, NULL, 19331),
(47465, '3sqiA02', NULL, NULL, 298, NULL, NULL, 19331),
(47466, '4hn9A03', NULL, NULL, 101, NULL, NULL, 19332),
(47467, '5m29A02', NULL, NULL, 126, NULL, NULL, 19332),
(47468, '6allB01', NULL, NULL, 106, NULL, NULL, 19332),
(47469, '3r5tA01', NULL, NULL, 116, NULL, NULL, 19332),
(47470, '3be6A02', NULL, NULL, 181, NULL, NULL, 19332),
(47471, '3be6A01', NULL, NULL, 116, NULL, NULL, 19332),
(47472, '3r5tA02', NULL, NULL, 189, NULL, NULL, 19332),
(47473, '4pm4A01', NULL, NULL, 135, NULL, NULL, 19332),
(47474, '5khlB01', NULL, NULL, 135, NULL, NULL, 19332),
(47475, '4fkmA01', NULL, NULL, 90, NULL, NULL, 19332),
(47476, '4hn9A01', NULL, NULL, 130, NULL, NULL, 19332),
(47477, '4fkmA02', NULL, NULL, 171, NULL, NULL, 19332),
(47478, '3lhsA01', NULL, NULL, 112, NULL, NULL, 19332),
(47479, '5jg7B00', NULL, NULL, 160, NULL, NULL, 19332),
(47480, '3pdiB02', NULL, NULL, 123, NULL, NULL, 19332),
(47481, '6an0A02', NULL, NULL, 193, NULL, NULL, 19332),
(47482, '6an0A01', NULL, NULL, 155, NULL, NULL, 19332),
(47483, '3pdiB01', NULL, NULL, 145, NULL, NULL, 19332);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(47484, '4cl2A01', NULL, NULL, 155, NULL, NULL, 19332),
(47485, '4oxrA01', NULL, NULL, 155, NULL, NULL, 19332),
(47486, '4cl2A02', NULL, NULL, 115, NULL, NULL, 19332),
(47487, '4oxrA02', NULL, NULL, 130, NULL, NULL, 19332),
(47488, '3eixA02', NULL, NULL, 184, NULL, NULL, 19332),
(47489, '3ujpA02', NULL, NULL, 115, NULL, NULL, 19332),
(47490, '3tlkB02', NULL, NULL, 181, NULL, NULL, 19332),
(47491, '3cx3B01', NULL, NULL, 175, NULL, NULL, 19332),
(47492, '2xdqB04', NULL, NULL, 94, NULL, NULL, 19332),
(47493, '1toaA01', NULL, NULL, 143, NULL, NULL, 19332),
(47494, '1toaA02', NULL, NULL, 131, NULL, NULL, 19332),
(47495, '2xdqB01', NULL, NULL, 147, NULL, NULL, 19332),
(47496, '2xdqB02', NULL, NULL, 90, NULL, NULL, 19332),
(47497, '4wesA03', NULL, NULL, 112, NULL, NULL, 19332),
(47498, '4wesA02', NULL, NULL, 143, NULL, NULL, 19332),
(47499, '4m7oA02', NULL, NULL, 134, NULL, NULL, 19332),
(47500, '4m7oA01', NULL, NULL, 125, NULL, NULL, 19332),
(47501, '1qguA03', NULL, NULL, 114, NULL, NULL, 19332),
(47502, '1qguA01', NULL, NULL, 196, NULL, NULL, 19332),
(47503, '1qguA02', NULL, NULL, 143, NULL, NULL, 19332),
(47504, '4pm4B02', NULL, NULL, 166, NULL, NULL, 19332),
(47505, '5jpdA01', NULL, NULL, 159, NULL, NULL, 19332),
(47506, '4inoA01', NULL, NULL, 136, NULL, NULL, 19332),
(47507, '5jpdA02', NULL, NULL, 131, NULL, NULL, 19332),
(47508, '4inoA02', NULL, NULL, 166, NULL, NULL, 19332),
(47509, '3tnyA01', NULL, NULL, 107, NULL, NULL, 19332),
(47510, '3tnyA02', NULL, NULL, 180, NULL, NULL, 19332),
(47511, '2etvA02', NULL, NULL, 197, NULL, NULL, 19332),
(47512, '2etvA01', NULL, NULL, 149, NULL, NULL, 19332),
(47513, '1efdN02', NULL, NULL, 174, NULL, NULL, 19332),
(47514, '4mdyA02', NULL, NULL, 149, NULL, NULL, 19332),
(47515, '3md9A01', NULL, NULL, 122, NULL, NULL, 19332),
(47516, '4mdyA01', NULL, NULL, 146, NULL, NULL, 19332),
(47517, '1efdN01', NULL, NULL, 92, NULL, NULL, 19332),
(47518, '2r7aB01', NULL, NULL, 122, NULL, NULL, 19332),
(47519, '2ynmD01', NULL, NULL, 147, NULL, NULL, 19332),
(47520, '2x4lA02', NULL, NULL, 149, NULL, NULL, 19332),
(47521, '3md9A02', NULL, NULL, 133, NULL, NULL, 19332),
(47522, '3pdiA01', NULL, NULL, 154, NULL, NULL, 19332),
(47523, '3tefA01', NULL, NULL, 188, NULL, NULL, 19332),
(47524, '2x4lA01', NULL, NULL, 139, NULL, NULL, 19332),
(47525, '3tefA02', NULL, NULL, 104, NULL, NULL, 19332),
(47526, '3mfqA02', NULL, NULL, 135, NULL, NULL, 19332),
(47527, '3mfqA01', NULL, NULL, 145, NULL, NULL, 19332),
(47528, '4mx8A02', NULL, NULL, 112, NULL, NULL, 19332),
(47529, '3cx3A02', NULL, NULL, 109, NULL, NULL, 19332),
(47530, '4fkmB02', NULL, NULL, 171, NULL, NULL, 19332),
(47531, '5m3bB01', NULL, NULL, 120, NULL, NULL, 19332),
(47532, '5w56B02', NULL, NULL, 128, NULL, NULL, 19332),
(47533, '5w56B01', NULL, NULL, 156, NULL, NULL, 19332),
(47534, '5uxsA01', NULL, NULL, 153, NULL, NULL, 19332),
(47535, '1kaeA02', NULL, NULL, 192, NULL, NULL, 19332),
(47536, '1kaeA01', NULL, NULL, 157, NULL, NULL, 19332),
(47537, '3gfvA02', NULL, NULL, 103, NULL, NULL, 19332),
(47538, '5ggyA01', NULL, NULL, 103, NULL, NULL, 19332),
(47539, '3g9qA02', NULL, NULL, 164, NULL, NULL, 19332),
(47540, '1qguB02', NULL, NULL, 105, NULL, NULL, 19332),
(47541, '1qguB03', NULL, NULL, 106, NULL, NULL, 19332),
(47542, '4mlzA02', NULL, NULL, 175, NULL, NULL, 19332),
(47543, '1qguB01', NULL, NULL, 144, NULL, NULL, 19332),
(47544, '3aekC01', NULL, NULL, 156, NULL, NULL, 19332),
(47545, '4mlzA01', NULL, NULL, 126, NULL, NULL, 19332),
(47546, '5cr9A02', NULL, NULL, 177, NULL, NULL, 19332),
(47547, '5cr9A01', NULL, NULL, 134, NULL, NULL, 19332),
(47548, '5n6yA01', NULL, NULL, 194, NULL, NULL, 19332),
(47549, '4k3vA01', NULL, NULL, 158, NULL, NULL, 19332),
(47550, '4ljsA02', NULL, NULL, 146, NULL, NULL, 19332),
(47551, '1h1lD03', NULL, NULL, 133, NULL, NULL, 19332),
(47552, '5kohC01', NULL, NULL, 217, NULL, NULL, 19332),
(47553, '4b8yA02', NULL, NULL, 165, NULL, NULL, 19332),
(47554, '4ljsA01', NULL, NULL, 177, NULL, NULL, 19332),
(47555, '5mbqB01', NULL, NULL, 189, NULL, NULL, 19332),
(47556, '5ad1A02', NULL, NULL, 102, NULL, NULL, 19332);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(47557, '3pdiH04', NULL, NULL, 125, NULL, NULL, 19332),
(47558, '2etvB01', NULL, NULL, 149, NULL, NULL, 19332),
(47559, '2etvB02', NULL, NULL, 197, NULL, NULL, 19332),
(47560, '6mflA02', NULL, NULL, 104, NULL, NULL, 19332),
(47561, '3u7qA01', NULL, NULL, 197, NULL, NULL, 19332),
(47562, '3u7qA02', NULL, NULL, 143, NULL, NULL, 19332),
(47563, '3u7qA03', NULL, NULL, 115, NULL, NULL, 19332),
(47564, '4pagA01', NULL, NULL, 137, NULL, NULL, 19332),
(47565, '4pagA03', NULL, NULL, 104, NULL, NULL, 19332),
(47566, '2ynmC01', NULL, NULL, 164, NULL, NULL, 19332),
(47567, '2ynmC02', NULL, NULL, 139, NULL, NULL, 19332),
(47568, '2r7aA02', NULL, NULL, 134, NULL, NULL, 19332),
(47569, '4g07A01', NULL, NULL, 158, NULL, NULL, 19332),
(47570, '3pshA02', NULL, NULL, 161, NULL, NULL, 19332),
(47571, '2o1eA02', NULL, NULL, 124, NULL, NULL, 19332),
(47572, '3pshA01', NULL, NULL, 165, NULL, NULL, 19332),
(47573, '4nnoA02', NULL, NULL, 130, NULL, NULL, 19332),
(47574, '3hh8A01', NULL, NULL, 163, NULL, NULL, 19332),
(47575, '3hh8A02', NULL, NULL, 131, NULL, NULL, 19332),
(47576, '4n01B01', NULL, NULL, 117, NULL, NULL, 19332),
(47577, '5gj3A01', NULL, NULL, 126, NULL, NULL, 19332),
(47578, '4nnoA01', NULL, NULL, 161, NULL, NULL, 19332),
(47579, '1l5hA02', NULL, NULL, 148, NULL, NULL, 19332),
(47580, '2wi8A01', NULL, NULL, 126, NULL, NULL, 19332),
(47581, '2wi8A02', NULL, NULL, 169, NULL, NULL, 19332),
(47582, '4gicA01', NULL, NULL, 143, NULL, NULL, 19332),
(47583, '4wesC01', NULL, NULL, 240, NULL, NULL, 19332),
(47584, '4gicA02', NULL, NULL, 239, NULL, NULL, 19332),
(47585, '3aekB01', NULL, NULL, 137, NULL, NULL, 19332),
(47586, '3gfvB01', NULL, NULL, 200, NULL, NULL, 19332),
(47587, '2ynmD02', NULL, NULL, 123, NULL, NULL, 19332),
(47588, '2ynmD03', NULL, NULL, 181, NULL, NULL, 19332),
(47589, '3aekB02', NULL, NULL, 90, NULL, NULL, 19332),
(47590, '3aekB04', NULL, NULL, 94, NULL, NULL, 19332),
(47591, '2q8pA02', NULL, NULL, 172, NULL, NULL, 19332),
(47592, '5kohB02', NULL, NULL, 103, NULL, NULL, 19332),
(47593, '3gi1B01', NULL, NULL, 177, NULL, NULL, 19332),
(47594, '5kohB01', NULL, NULL, 144, NULL, NULL, 19332),
(47595, '5kohB04', NULL, NULL, 99, NULL, NULL, 19332),
(47596, '2q8pA01', NULL, NULL, 88, NULL, NULL, 19332),
(47597, '1pq4A02', NULL, NULL, 105, NULL, NULL, 19332),
(47598, '2r79A02', NULL, NULL, 157, NULL, NULL, 19332),
(47599, '1pq4A01', NULL, NULL, 152, NULL, NULL, 19332),
(47600, '2r79A01', NULL, NULL, 122, NULL, NULL, 19332),
(47601, '4g09A02', NULL, NULL, 192, NULL, NULL, 19332),
(47602, '3zk9A02', NULL, NULL, 131, NULL, NULL, 19332),
(47603, '3zk9A01', NULL, NULL, 147, NULL, NULL, 19332),
(47604, '5flyA02', NULL, NULL, 167, NULL, NULL, 19332),
(47605, '3u7qB01', NULL, NULL, 146, NULL, NULL, 19332),
(47606, '3u7qB02', NULL, NULL, 105, NULL, NULL, 19332),
(47607, '5vlcE02', NULL, NULL, 193, NULL, NULL, 19332),
(47608, '3u7qB04', NULL, NULL, 106, NULL, NULL, 19332),
(47609, '5vlcA01', NULL, NULL, 158, NULL, NULL, 19332),
(47610, '5gizA02', NULL, NULL, 142, NULL, NULL, 19332),
(47611, '2o1eB01', NULL, NULL, 168, NULL, NULL, 19332),
(47612, '3tlkA01', NULL, NULL, 119, NULL, NULL, 19332),
(47613, '4mx8C01', NULL, NULL, 203, NULL, NULL, 19332),
(47614, '4n01A01', NULL, NULL, 117, NULL, NULL, 19332),
(47615, '3ujpB01', NULL, NULL, 153, NULL, NULL, 19332),
(47616, '4h0fA02', NULL, NULL, 109, NULL, NULL, 19332),
(47617, '4n01A02', NULL, NULL, 179, NULL, NULL, 19332),
(47618, '3mwfA02', NULL, NULL, 188, NULL, NULL, 19332),
(47619, '2xdqA02', NULL, NULL, 136, NULL, NULL, 19332),
(47620, '2xdqA03', NULL, NULL, 153, NULL, NULL, 19332),
(47621, '3mwfA01', NULL, NULL, 110, NULL, NULL, 19332),
(47622, '5yscA02', NULL, NULL, 132, NULL, NULL, 19332),
(47623, '5yscA01', NULL, NULL, 123, NULL, NULL, 19332),
(47624, '4wesB02', NULL, NULL, 104, NULL, NULL, 19332),
(47625, '4h59A02', NULL, NULL, 166, NULL, NULL, 19332),
(47626, '4jccA01', NULL, NULL, 182, NULL, NULL, 19332),
(47627, '3aekA02', NULL, NULL, 139, NULL, NULL, 19332),
(47628, '4wesB01', NULL, NULL, 141, NULL, NULL, 19332),
(47629, '4h59A01', NULL, NULL, 141, NULL, NULL, 19332);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(47630, '4jccA02', NULL, NULL, 104, NULL, NULL, 19332),
(47631, '4wesB04', NULL, NULL, 98, NULL, NULL, 19332),
(47632, '6feaB01', NULL, NULL, 146, NULL, NULL, 19332),
(47633, '5joqA02', NULL, NULL, 172, NULL, NULL, 19332),
(47634, '2ogwA01', NULL, NULL, 170, NULL, NULL, 19332),
(47635, '2ynmC03', NULL, NULL, 123, NULL, NULL, 19332),
(47636, '5gizA01', NULL, NULL, 129, NULL, NULL, 19332),
(47637, '3aekA03', NULL, NULL, 123, NULL, NULL, 19332),
(47638, '2prsA02', NULL, NULL, 114, NULL, NULL, 19332),
(47639, '5joqA01', NULL, NULL, 86, NULL, NULL, 19332),
(47640, '5kohA03', NULL, NULL, 115, NULL, NULL, 19332),
(47641, '5kohA02', NULL, NULL, 143, NULL, NULL, 19332),
(47642, '2xy4A02', NULL, NULL, 114, NULL, NULL, 19332),
(47643, '2xdqA01', NULL, NULL, 171, NULL, NULL, 19332),
(47644, '2xy4A01', NULL, NULL, 174, NULL, NULL, 19332),
(47645, '3pt1A02', NULL, NULL, 120, NULL, NULL, 19333),
(47646, '1x74A02', NULL, NULL, 30, NULL, NULL, 19334),
(47647, '3mkoA00', NULL, NULL, 121, NULL, NULL, 19335),
(47648, '4i6jB01', NULL, NULL, 42, NULL, NULL, 19336),
(47649, '1fs1A00', NULL, NULL, 53, NULL, NULL, 19336),
(47650, '5ibkE00', NULL, NULL, 63, NULL, NULL, 19336),
(47651, '3ogkB01', NULL, NULL, 52, NULL, NULL, 19336),
(47652, '2e31A01', NULL, NULL, 67, NULL, NULL, 19336),
(47653, '5ibkB00', NULL, NULL, 47, NULL, NULL, 19336),
(47654, '1ldkE00', NULL, NULL, 41, NULL, NULL, 19336),
(47655, '3l2oB01', NULL, NULL, 92, NULL, NULL, 19336),
(47656, '3wsoA01', NULL, NULL, 67, NULL, NULL, 19336),
(47657, '3v7dD01', NULL, NULL, 109, NULL, NULL, 19336),
(47658, '2p1oB01', NULL, NULL, 45, NULL, NULL, 19336),
(47659, '6m90A01', NULL, NULL, 108, NULL, NULL, 19336),
(47660, '2ovrB01', NULL, NULL, 87, NULL, NULL, 19336),
(47661, '3q1pA01', NULL, NULL, 40, NULL, NULL, 19337),
(47662, '5hpeA00', NULL, NULL, 350, NULL, NULL, 19338),
(47663, '3av0A01', NULL, NULL, 250, NULL, NULL, 19338),
(47664, '3icfB00', NULL, NULL, 335, NULL, NULL, 19338),
(47665, '4b2oA00', NULL, NULL, 264, NULL, NULL, 19338),
(47666, '2wdcA01', NULL, NULL, 289, NULL, NULL, 19338),
(47667, '1s70A00', NULL, NULL, 311, NULL, NULL, 19338),
(47668, '4ltyA01', NULL, NULL, 290, NULL, NULL, 19338),
(47669, '5h7wA01', NULL, NULL, 311, NULL, NULL, 19338),
(47670, '3gveA00', NULL, NULL, 341, NULL, NULL, 19338),
(47671, '4ykeA01', NULL, NULL, 301, NULL, NULL, 19338),
(47672, '4h2gA01', NULL, NULL, 311, NULL, NULL, 19338),
(47673, '1nnwB00', NULL, NULL, 252, NULL, NULL, 19338),
(47674, '1uf3A00', NULL, NULL, 228, NULL, NULL, 19338),
(47675, '5eqvA00', NULL, NULL, 340, NULL, NULL, 19338),
(47676, '4j6oA00', NULL, NULL, 264, NULL, NULL, 19338),
(47677, '1xm7A00', NULL, NULL, 195, NULL, NULL, 19338),
(47678, '3ck2A00', NULL, NULL, 176, NULL, NULL, 19338),
(47679, '1t70A00', NULL, NULL, 255, NULL, NULL, 19338),
(47680, '2bq8X00', NULL, NULL, 304, NULL, NULL, 19338),
(47681, '3iveA01', NULL, NULL, 311, NULL, NULL, 19338),
(47682, '3c9fA01', NULL, NULL, 327, NULL, NULL, 19338),
(47683, '2a22B00', NULL, NULL, 215, NULL, NULL, 19338),
(47684, '5b8iA00', NULL, NULL, 361, NULL, NULL, 19338),
(47685, '3rl5A00', NULL, NULL, 296, NULL, NULL, 19338),
(47686, '2xmoA01', NULL, NULL, 325, NULL, NULL, 19338),
(47687, '4f0zA00', NULL, NULL, 372, NULL, NULL, 19338),
(47688, '4nzvA01', NULL, NULL, 266, NULL, NULL, 19338),
(47689, '2z1aA01', NULL, NULL, 305, NULL, NULL, 19338),
(47690, '3rqzC00', NULL, NULL, 246, NULL, NULL, 19338),
(47691, '2nxfA01', NULL, NULL, 314, NULL, NULL, 19338),
(47692, '4or9A00', NULL, NULL, 427, NULL, NULL, 19338),
(47693, '4fbwB01', NULL, NULL, 306, NULL, NULL, 19338),
(47694, '4q7fA01', NULL, NULL, 302, NULL, NULL, 19338),
(47695, '4i5lC00', NULL, NULL, 311, NULL, NULL, 19338),
(47696, '5uq6A00', NULL, NULL, 313, NULL, NULL, 19338),
(47697, '2kknA00', NULL, NULL, 157, NULL, NULL, 19338),
(47698, '1t71A00', NULL, NULL, 281, NULL, NULL, 19338),
(47699, '2qjcA00', NULL, NULL, 262, NULL, NULL, 19338),
(47700, '2gjuA00', NULL, NULL, 252, NULL, NULL, 19338),
(47701, '5gtuA00', NULL, NULL, 186, NULL, NULL, 19338),
(47702, '3h63A00', NULL, NULL, 315, NULL, NULL, 19338);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(47703, '3jyfB00', NULL, NULL, 339, NULL, NULL, 19338),
(47704, '5w8mB00', NULL, NULL, 203, NULL, NULL, 19338),
(47705, '5jjtA02', NULL, NULL, 348, NULL, NULL, 19338),
(47706, '1g5bB00', NULL, NULL, 221, NULL, NULL, 19338),
(47707, '3tghA00', NULL, NULL, 342, NULL, NULL, 19338),
(47708, '1su1A00', NULL, NULL, 184, NULL, NULL, 19338),
(47709, '2z06A00', NULL, NULL, 252, NULL, NULL, 19338),
(47710, '1xzwA02', NULL, NULL, 305, NULL, NULL, 19338),
(47711, '6hwrA02', NULL, NULL, 310, NULL, NULL, 19338),
(47712, '3ztvA01', NULL, NULL, 356, NULL, NULL, 19338),
(47713, '3t1iD01', NULL, NULL, 298, NULL, NULL, 19338),
(47714, '1hp1A01', NULL, NULL, 328, NULL, NULL, 19338),
(47715, '2dfjA00', NULL, NULL, 280, NULL, NULL, 19338),
(47716, '1ii7A01', NULL, NULL, 249, NULL, NULL, 19338),
(47717, '1qhwA00', NULL, NULL, 302, NULL, NULL, 19338),
(47718, '1s3lA00', NULL, NULL, 165, NULL, NULL, 19338),
(47719, '5inbA00', NULL, NULL, 305, NULL, NULL, 19338),
(47720, '5xcjB00', NULL, NULL, 193, NULL, NULL, 19338),
(47721, '4il1A02', NULL, NULL, 330, NULL, NULL, 19338),
(47722, '5jpfA00', NULL, NULL, 297, NULL, NULL, 19338),
(47723, '4orcA01', NULL, NULL, 325, NULL, NULL, 19338),
(47724, '4movB00', NULL, NULL, 299, NULL, NULL, 19338),
(47725, '2yvtA00', NULL, NULL, 260, NULL, NULL, 19338),
(47726, '2z72A00', NULL, NULL, 342, NULL, NULL, 19338),
(47727, '3qfmA00', NULL, NULL, 270, NULL, NULL, 19338),
(47728, '3ib7A00', NULL, NULL, 310, NULL, NULL, 19338),
(47729, '1np6A02', NULL, NULL, 27, NULL, NULL, 19339),
(47730, '1i7wD00', NULL, NULL, 97, NULL, NULL, 19340),
(47731, '1g3jB00', NULL, NULL, 61, NULL, NULL, 19340),
(47732, '3ouxB00', NULL, NULL, 67, NULL, NULL, 19340),
(47733, '1i7wB00', NULL, NULL, 68, NULL, NULL, 19340),
(47734, '3d3uA03', NULL, NULL, 149, NULL, NULL, 19341),
(47735, '2oasA03', NULL, NULL, 152, NULL, NULL, 19341),
(47736, '3eh7A03', NULL, NULL, 141, NULL, NULL, 19341),
(47737, '3gk7A03', NULL, NULL, 159, NULL, NULL, 19341),
(47738, '4mloA01', NULL, NULL, 164, NULL, NULL, 19342),
(47739, '3qgaA02', NULL, NULL, 122, NULL, NULL, 19343),
(47740, '1e9yA01', NULL, NULL, 133, NULL, NULL, 19343),
(47741, '4gy7A03', NULL, NULL, 113, NULL, NULL, 19343),
(47742, '4z42B00', NULL, NULL, 114, NULL, NULL, 19343),
(47743, '4g7eB03', NULL, NULL, 113, NULL, NULL, 19343),
(47744, '4ep8B00', NULL, NULL, 101, NULL, NULL, 19343),
(47745, '5ol4B00', NULL, NULL, 122, NULL, NULL, 19343),
(47746, '1kpsB00', NULL, NULL, 171, NULL, NULL, 19344),
(47747, '2grrB00', NULL, NULL, 170, NULL, NULL, 19344),
(47748, '1qu7A00', NULL, NULL, 227, NULL, NULL, 19345),
(47749, '2ch7B00', NULL, NULL, 309, NULL, NULL, 19345),
(47750, '3zx6A00', NULL, NULL, 305, NULL, NULL, 19345),
(47751, '3g67A00', NULL, NULL, 213, NULL, NULL, 19345),
(47752, '1mjtB01', NULL, NULL, 129, NULL, NULL, 19346),
(47753, '2amoB01', NULL, NULL, 134, NULL, NULL, 19346),
(47754, '2flqA01', NULL, NULL, 140, NULL, NULL, 19346),
(47755, '6ngmB01', NULL, NULL, 168, NULL, NULL, 19346),
(47756, '1m7vA01', NULL, NULL, 132, NULL, NULL, 19346),
(47757, '3e7mA01', NULL, NULL, 174, NULL, NULL, 19346),
(47758, '4culB01', NULL, NULL, 224, NULL, NULL, 19346),
(47759, '3e7gA01', NULL, NULL, 169, NULL, NULL, 19346),
(47760, '6ng4B01', NULL, NULL, 168, NULL, NULL, 19346),
(47761, '4d1pA01', NULL, NULL, 169, NULL, NULL, 19346),
(47762, '4d3tA01', NULL, NULL, 132, NULL, NULL, 19346),
(47763, '1q2oA01', NULL, NULL, 169, NULL, NULL, 19346),
(47764, '2ortA01', NULL, NULL, 135, NULL, NULL, 19346),
(47765, '2ia9F00', NULL, NULL, 100, NULL, NULL, 19347),
(47766, '2i9xB00', NULL, NULL, 87, NULL, NULL, 19347),
(47767, '2i9xA00', NULL, NULL, 87, NULL, NULL, 19347),
(47768, '2i9zA00', NULL, NULL, 105, NULL, NULL, 19347),
(47769, '2i9zB00', NULL, NULL, 87, NULL, NULL, 19347),
(47770, '3wvtA02', NULL, NULL, 46, NULL, NULL, 19348),
(47771, '3wvtA01', NULL, NULL, 60, NULL, NULL, 19348),
(47772, '1d4vA03', NULL, NULL, 46, NULL, NULL, 19348),
(47773, '1d4vA02', NULL, NULL, 31, NULL, NULL, 19348),
(47774, '1extA02', NULL, NULL, 51, NULL, NULL, 19348),
(47775, '1extA01', NULL, NULL, 87, NULL, NULL, 19348);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(47776, '4mxwR02', NULL, NULL, 85, NULL, NULL, 19348),
(47777, '4mxwS00', NULL, NULL, 83, NULL, NULL, 19348),
(47778, '2h9gS00', NULL, NULL, 64, NULL, NULL, 19348),
(47779, '2uwiA01', NULL, NULL, 84, NULL, NULL, 19348),
(47780, '2uwiA02', NULL, NULL, 58, NULL, NULL, 19348),
(47781, '5dmjA02', NULL, NULL, 82, NULL, NULL, 19348),
(47782, '2heyT02', NULL, NULL, 85, NULL, NULL, 19348),
(47783, '5dmjF01', NULL, NULL, 84, NULL, NULL, 19348),
(47784, '1sg1X01', NULL, NULL, 82, NULL, NULL, 19348),
(47785, '3thmF00', NULL, NULL, 79, NULL, NULL, 19348),
(47786, '3mi8D02', NULL, NULL, 34, NULL, NULL, 19348),
(47787, '3fl7A03', NULL, NULL, 65, NULL, NULL, 19348),
(47788, '2heyR01', NULL, NULL, 52, NULL, NULL, 19348),
(47789, '3me4B02', NULL, NULL, 79, NULL, NULL, 19348),
(47790, '3me4B01', NULL, NULL, 80, NULL, NULL, 19348),
(47791, '1sg1X02', NULL, NULL, 79, NULL, NULL, 19348),
(47792, '3u3pA02', NULL, NULL, 81, NULL, NULL, 19348),
(47793, '3u3pA01', NULL, NULL, 92, NULL, NULL, 19348),
(47794, '5cirE02', NULL, NULL, 40, NULL, NULL, 19348),
(47795, '3qd6R02', NULL, NULL, 40, NULL, NULL, 19348),
(47796, '3alqU01', NULL, NULL, 88, NULL, NULL, 19348),
(47797, '3alqR02', NULL, NULL, 85, NULL, NULL, 19348),
(47798, '5t2qA01', NULL, NULL, 61, NULL, NULL, 19348),
(47799, '3mhdD02', NULL, NULL, 51, NULL, NULL, 19348),
(47800, '5t2qB02', NULL, NULL, 47, NULL, NULL, 19348),
(47801, '3tjeF02', NULL, NULL, 42, NULL, NULL, 19348),
(47802, '4yn0A01', NULL, NULL, 94, NULL, NULL, 19348),
(47803, '5cirE01', NULL, NULL, 41, NULL, NULL, 19348),
(47804, '4kgqC01', NULL, NULL, 86, NULL, NULL, 19348),
(47805, '4i9xC02', NULL, NULL, 40, NULL, NULL, 19348),
(47806, '4e4dR01', NULL, NULL, 86, NULL, NULL, 19348),
(47807, '4m4pA03', NULL, NULL, 64, NULL, NULL, 19348),
(47808, '4e4dR02', NULL, NULL, 55, NULL, NULL, 19348),
(47809, '3urfZ02', NULL, NULL, 85, NULL, NULL, 19348),
(47810, '3tjeF01', NULL, NULL, 48, NULL, NULL, 19348),
(47811, '4yn0A02', NULL, NULL, 96, NULL, NULL, 19348),
(47812, '3urfZ01', NULL, NULL, 86, NULL, NULL, 19348),
(47813, '4kgqD02', NULL, NULL, 88, NULL, NULL, 19348),
(47814, '2rt6A00', NULL, NULL, 98, NULL, NULL, 19349),
(47815, '3l4gC03', NULL, NULL, 53, NULL, NULL, 19350),
(47816, '3facA00', NULL, NULL, 118, NULL, NULL, 19351),
(47817, '2ecsA00', NULL, NULL, 66, NULL, NULL, 19352),
(47818, '1d1mA00', NULL, NULL, 65, NULL, NULL, 19352),
(47819, '2a63A00', NULL, NULL, 66, NULL, NULL, 19352),
(47820, '2cw1A00', NULL, NULL, 65, NULL, NULL, 19352),
(47821, '3k50A01', NULL, NULL, 104, NULL, NULL, 19353),
(47822, '1im3D00', NULL, NULL, 95, NULL, NULL, 19354),
(47823, '2wmoA01', NULL, NULL, 149, NULL, NULL, 19355),
(47824, '2yinA01', NULL, NULL, 151, NULL, NULL, 19355),
(47825, '3bu2A02', NULL, NULL, 72, NULL, NULL, 19356),
(47826, '1yueA03', NULL, NULL, 126, NULL, NULL, 19357),
(47827, '3i5pA03', NULL, NULL, 244, NULL, NULL, 19358),
(47828, '2pfzA00', NULL, NULL, 301, NULL, NULL, 19359),
(47829, '4nguA00', NULL, NULL, 319, NULL, NULL, 19359),
(47830, '4nx1A00', NULL, NULL, 326, NULL, NULL, 19359),
(47831, '4o94B00', NULL, NULL, 309, NULL, NULL, 19359),
(47832, '4n8gD00', NULL, NULL, 325, NULL, NULL, 19359),
(47833, '4nq8A00', NULL, NULL, 300, NULL, NULL, 19359),
(47834, '4ovrA00', NULL, NULL, 299, NULL, NULL, 19359),
(47835, '2vpnA00', NULL, NULL, 316, NULL, NULL, 19359),
(47836, '4uabB00', NULL, NULL, 317, NULL, NULL, 19359),
(47837, '4x8rA00', NULL, NULL, 304, NULL, NULL, 19359),
(47838, '3fxbA00', NULL, NULL, 326, NULL, NULL, 19359),
(47839, '4petA01', NULL, NULL, 218, NULL, NULL, 19359),
(47840, '4nf0A00', NULL, NULL, 291, NULL, NULL, 19359),
(47841, '4pfiA00', NULL, NULL, 309, NULL, NULL, 19359),
(47842, '4mx6A00', NULL, NULL, 312, NULL, NULL, 19359),
(47843, '4mncA00', NULL, NULL, 305, NULL, NULL, 19359),
(47844, '3u65A00', NULL, NULL, 328, NULL, NULL, 19359),
(47845, '4mcoA00', NULL, NULL, 316, NULL, NULL, 19359),
(47846, '4x26A01', NULL, NULL, 219, NULL, NULL, 19359),
(47847, '4mijA00', NULL, NULL, 307, NULL, NULL, 19359),
(47848, '4pe3A00', NULL, NULL, 315, NULL, NULL, 19359),
(47849, '4mmpA00', NULL, NULL, 308, NULL, NULL, 19359);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(47850, '5cm6B01', NULL, NULL, 218, NULL, NULL, 19359),
(47851, '4pfbA00', NULL, NULL, 308, NULL, NULL, 19359),
(47852, '2zzvA00', NULL, NULL, 330, NULL, NULL, 19359),
(47853, '4ovsA00', NULL, NULL, 309, NULL, NULL, 19359),
(47854, '4pf6A00', NULL, NULL, 306, NULL, NULL, 19359),
(47855, '4oanB00', NULL, NULL, 310, NULL, NULL, 19359),
(47856, '4nhbA00', NULL, NULL, 313, NULL, NULL, 19359),
(47857, '4pf8B00', NULL, NULL, 302, NULL, NULL, 19359),
(47858, '4pakA00', NULL, NULL, 303, NULL, NULL, 19359),
(47859, '4yzzA01', NULL, NULL, 218, NULL, NULL, 19359),
(47860, '4p1eA00', NULL, NULL, 298, NULL, NULL, 19359),
(47861, '4napD00', NULL, NULL, 312, NULL, NULL, 19359),
(47862, '4napB00', NULL, NULL, 312, NULL, NULL, 19359),
(47863, '4p47A00', NULL, NULL, 320, NULL, NULL, 19359),
(47864, '4pc9A00', NULL, NULL, 322, NULL, NULL, 19359),
(47865, '4pgnA00', NULL, NULL, 310, NULL, NULL, 19359),
(47866, '2hpgC00', NULL, NULL, 327, NULL, NULL, 19359),
(47867, '2hzlB01', NULL, NULL, 218, NULL, NULL, 19359),
(47868, '5im2A00', NULL, NULL, 322, NULL, NULL, 19359),
(47869, '4pbhA00', NULL, NULL, 308, NULL, NULL, 19359),
(47870, '4magA00', NULL, NULL, 307, NULL, NULL, 19359),
(47871, '4ovtA00', NULL, NULL, 301, NULL, NULL, 19359),
(47872, '4xfeA00', NULL, NULL, 317, NULL, NULL, 19359),
(47873, '4p1lA00', NULL, NULL, 302, NULL, NULL, 19359),
(47874, '4pfrA00', NULL, NULL, 307, NULL, NULL, 19359),
(47875, '4n6kA00', NULL, NULL, 323, NULL, NULL, 19359),
(47876, '5i7iA00', NULL, NULL, 318, NULL, NULL, 19359),
(47877, '4pdhA00', NULL, NULL, 301, NULL, NULL, 19359),
(47878, '4pddA00', NULL, NULL, 303, NULL, NULL, 19359),
(47879, '4x26B01', NULL, NULL, 219, NULL, NULL, 19359),
(47880, '5cm6A01', NULL, NULL, 218, NULL, NULL, 19359),
(47881, '4xeqA00', NULL, NULL, 305, NULL, NULL, 19359),
(47882, '4n91A00', NULL, NULL, 318, NULL, NULL, 19359),
(47883, '4petB01', NULL, NULL, 217, NULL, NULL, 19359),
(47884, '4n8yA00', NULL, NULL, 308, NULL, NULL, 19359),
(47885, '4mnpA00', NULL, NULL, 312, NULL, NULL, 19359),
(47886, '4o8mD00', NULL, NULL, 301, NULL, NULL, 19359),
(47887, '4p56A00', NULL, NULL, 317, NULL, NULL, 19359),
(47888, '4n17A00', NULL, NULL, 309, NULL, NULL, 19359),
(47889, '4ng7A00', NULL, NULL, 305, NULL, NULL, 19359),
(47890, '4pf8A00', NULL, NULL, 301, NULL, NULL, 19359),
(47891, '4ovqA00', NULL, NULL, 302, NULL, NULL, 19359),
(47892, '4pbqA00', NULL, NULL, 304, NULL, NULL, 19359),
(47893, '4n4uB00', NULL, NULL, 302, NULL, NULL, 19359),
(47894, '4o7mD00', NULL, NULL, 304, NULL, NULL, 19359),
(47895, '4n6dA00', NULL, NULL, 319, NULL, NULL, 19359),
(47896, '4napC00', NULL, NULL, 312, NULL, NULL, 19359),
(47897, '2pfyA00', NULL, NULL, 301, NULL, NULL, 19359),
(47898, '4napA00', NULL, NULL, 312, NULL, NULL, 19359),
(47899, '2xwvA00', NULL, NULL, 312, NULL, NULL, 19359),
(47900, '4nn3A00', NULL, NULL, 311, NULL, NULL, 19359),
(47901, '4p8bA00', NULL, NULL, 314, NULL, NULL, 19359),
(47902, '4x04A00', NULL, NULL, 300, NULL, NULL, 19359),
(47903, '1mrzB02', NULL, NULL, 134, NULL, NULL, 19360),
(47904, '5trdA02', NULL, NULL, 140, NULL, NULL, 19360),
(47905, '1nb0A00', NULL, NULL, 147, NULL, NULL, 19360),
(47906, '5a89A00', NULL, NULL, 156, NULL, NULL, 19360),
(47907, '2vbuA01', NULL, NULL, 134, NULL, NULL, 19360),
(47908, '3bnwB00', NULL, NULL, 181, NULL, NULL, 19360),
(47909, '1n08A00', NULL, NULL, 163, NULL, NULL, 19360),
(47910, '3op1B02', NULL, NULL, 119, NULL, NULL, 19360),
(47911, '3ungC02', NULL, NULL, 88, NULL, NULL, 19361),
(47912, '4xjxB01', NULL, NULL, 197, NULL, NULL, 19362),
(47913, '2kkeA00', NULL, NULL, 53, NULL, NULL, 19363),
(47914, '4bsxA00', NULL, NULL, 156, NULL, NULL, 19364),
(47915, '2odyA00', NULL, NULL, 49, NULL, NULL, 19365),
(47916, '3e6pL02', NULL, NULL, 68, NULL, NULL, 19365),
(47917, '1a0hA02', NULL, NULL, 70, NULL, NULL, 19365),
(47918, '3b9fL00', NULL, NULL, 49, NULL, NULL, 19365),
(47919, '2puxA00', NULL, NULL, 44, NULL, NULL, 19365),
(47920, '1a8vA01', NULL, NULL, 50, NULL, NULL, 19366),
(47921, '1e7lA02', NULL, NULL, 55, NULL, NULL, 19366),
(47922, '3l0oA01', NULL, NULL, 52, NULL, NULL, 19366);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(47923, '1a62A01', NULL, NULL, 47, NULL, NULL, 19366),
(47924, '2hjqA02', NULL, NULL, 53, NULL, NULL, 19366),
(47925, '2bpoA02', NULL, NULL, 145, NULL, NULL, 19367),
(47926, '2qtlA01', NULL, NULL, 179, NULL, NULL, 19367),
(47927, '1f20A02', NULL, NULL, 159, NULL, NULL, 19367),
(47928, '1ja1A03', NULL, NULL, 126, NULL, NULL, 19367),
(47929, '5gxuB02', NULL, NULL, 132, NULL, NULL, 19367),
(47930, '1ddgA02', NULL, NULL, 105, NULL, NULL, 19367),
(47931, '4dqlA02', NULL, NULL, 122, NULL, NULL, 19367),
(47932, '3qfsA02', NULL, NULL, 129, NULL, NULL, 19367),
(47933, '3n6yA01', NULL, NULL, 112, NULL, NULL, 19368),
(47934, '3amuA02', NULL, NULL, 150, NULL, NULL, 19369),
(47935, '3au7A02', NULL, NULL, 112, NULL, NULL, 19369),
(47936, '4i9fA03', NULL, NULL, 93, NULL, NULL, 19370),
(47937, '2i06A01', NULL, NULL, 214, NULL, NULL, 19371),
(47938, '1nd9A00', NULL, NULL, 49, NULL, NULL, 19372),
(47939, '1v9vA01', NULL, NULL, 95, NULL, NULL, 19373),
(47940, '2m9xA01', NULL, NULL, 95, NULL, NULL, 19373),
(47941, '3f0dA00', NULL, NULL, 162, NULL, NULL, 19374),
(47942, '2pmpA00', NULL, NULL, 160, NULL, NULL, 19374),
(47943, '1vh8A00', NULL, NULL, 170, NULL, NULL, 19374),
(47944, '5b8fB00', NULL, NULL, 164, NULL, NULL, 19374),
(47945, '3fpiA00', NULL, NULL, 165, NULL, NULL, 19374),
(47946, '1gx1A00', NULL, NULL, 160, NULL, NULL, 19374),
(47947, '2uzhA00', NULL, NULL, 165, NULL, NULL, 19374),
(47948, '1w55A02', NULL, NULL, 163, NULL, NULL, 19374),
(47949, '3re3A00', NULL, NULL, 162, NULL, NULL, 19374),
(47950, '1iv3A00', NULL, NULL, 152, NULL, NULL, 19374),
(47951, '1t0aA00', NULL, NULL, 159, NULL, NULL, 19374),
(47952, '4c81A00', NULL, NULL, 184, NULL, NULL, 19374),
(47953, '4c8gA00', NULL, NULL, 161, NULL, NULL, 19374),
(47954, '3b6nA00', NULL, NULL, 187, NULL, NULL, 19374),
(47955, '3kh2E01', NULL, NULL, 49, NULL, NULL, 19375),
(47956, '3hryA01', NULL, NULL, 49, NULL, NULL, 19375),
(47957, '2a6qB00', NULL, NULL, 58, NULL, NULL, 19375),
(47958, '2a6qA01', NULL, NULL, 43, NULL, NULL, 19375),
(47959, '4zlxA00', NULL, NULL, 53, NULL, NULL, 19375),
(47960, '3d55A01', NULL, NULL, 38, NULL, NULL, 19375),
(47961, '2odkA00', NULL, NULL, 53, NULL, NULL, 19375),
(47962, '3ctoD00', NULL, NULL, 66, NULL, NULL, 19375),
(47963, '3g5oA01', NULL, NULL, 48, NULL, NULL, 19375),
(47964, '3k6qA01', NULL, NULL, 48, NULL, NULL, 19375),
(47965, '1ldjA05', NULL, NULL, 74, NULL, NULL, 19376),
(47966, '1korC02', NULL, NULL, 229, NULL, NULL, 19377),
(47967, '1k92A02', NULL, NULL, 215, NULL, NULL, 19377),
(47968, '4xfjA02', NULL, NULL, 187, NULL, NULL, 19377),
(47969, '2nz2A02', NULL, NULL, 192, NULL, NULL, 19377),
(47970, '1j20A02', NULL, NULL, 213, NULL, NULL, 19377),
(47971, '4nzpA02', NULL, NULL, 214, NULL, NULL, 19377),
(47972, '6e5yA02', NULL, NULL, 215, NULL, NULL, 19377),
(47973, '1vl2D02', NULL, NULL, 233, NULL, NULL, 19377),
(47974, '3kfwX02', NULL, NULL, 82, NULL, NULL, 19378),
(47975, '3c9qA00', NULL, NULL, 205, NULL, NULL, 19379),
(47976, '3njaA02', NULL, NULL, 49, NULL, NULL, 19380),
(47977, '1ng6A01', NULL, NULL, 91, NULL, NULL, 19381),
(47978, '4fzlA01', NULL, NULL, 87, NULL, NULL, 19382),
(47979, '1musA02', NULL, NULL, 276, NULL, NULL, 19383),
(47980, '2auaA02', NULL, NULL, 91, NULL, NULL, 19384),
(47981, '2icwG01', NULL, NULL, 124, NULL, NULL, 19385),
(47982, '4bvaB01', NULL, NULL, 150, NULL, NULL, 19386),
(47983, '1x7dB01', NULL, NULL, 180, NULL, NULL, 19386),
(47984, '4mp8A01', NULL, NULL, 166, NULL, NULL, 19386),
(47985, '2i99A01', NULL, NULL, 150, NULL, NULL, 19386),
(47986, '1omoA01', NULL, NULL, 151, NULL, NULL, 19386),
(47987, '3hdjA01', NULL, NULL, 142, NULL, NULL, 19386),
(47988, '3n6zA01', NULL, NULL, 265, NULL, NULL, 19387),
(47989, '5b1cA00', NULL, NULL, 107, NULL, NULL, 19388),
(47990, '3uypB00', NULL, NULL, 114, NULL, NULL, 19388),
(47991, '3muuA04', NULL, NULL, 100, NULL, NULL, 19388),
(47992, '6j5fA00', NULL, NULL, 101, NULL, NULL, 19388),
(47993, '6dfjE00', NULL, NULL, 99, NULL, NULL, 19388),
(47994, '5kvfE00', NULL, NULL, 110, NULL, NULL, 19388),
(47995, '5lbsB04', NULL, NULL, 114, NULL, NULL, 19388);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(47996, '5jhmB04', NULL, NULL, 115, NULL, NULL, 19388),
(47997, '3n40F03', NULL, NULL, 100, NULL, NULL, 19388),
(47998, '6a0pA04', NULL, NULL, 116, NULL, NULL, 19388),
(47999, '6j5dA00', NULL, NULL, 101, NULL, NULL, 19388),
(48000, '4bz2A00', NULL, NULL, 101, NULL, NULL, 19388),
(48001, '6iw4A04', NULL, NULL, 103, NULL, NULL, 19388),
(48002, '6ivzA04', NULL, NULL, 103, NULL, NULL, 19388),
(48003, '6epkA04', NULL, NULL, 115, NULL, NULL, 19388),
(48004, '4fg0A04', NULL, NULL, 110, NULL, NULL, 19388),
(48005, '4utaB04', NULL, NULL, 104, NULL, NULL, 19388),
(48006, '1ztxE00', NULL, NULL, 108, NULL, NULL, 19388),
(48007, '1ok8A04', NULL, NULL, 100, NULL, NULL, 19388),
(48008, '5lcvB04', NULL, NULL, 123, NULL, NULL, 19388),
(48009, '2v33A00', NULL, NULL, 91, NULL, NULL, 19388),
(48010, '1pjwA00', NULL, NULL, 111, NULL, NULL, 19388),
(48011, '1z66A00', NULL, NULL, 96, NULL, NULL, 19388),
(48012, '3vttA00', NULL, NULL, 107, NULL, NULL, 19388),
(48013, '5mv2A04', NULL, NULL, 110, NULL, NULL, 19388),
(48014, '6j5gA04', NULL, NULL, 104, NULL, NULL, 19388),
(48015, '2hg0A04', NULL, NULL, 111, NULL, NULL, 19388),
(48016, '3uzqB00', NULL, NULL, 114, NULL, NULL, 19388),
(48017, '4al8C00', NULL, NULL, 101, NULL, NULL, 19388),
(48018, '5n09A04', NULL, NULL, 100, NULL, NULL, 19388),
(48019, '2p5pA00', NULL, NULL, 117, NULL, NULL, 19388),
(48020, '1z3rA00', NULL, NULL, 99, NULL, NULL, 19388),
(48021, '4x42B00', NULL, NULL, 107, NULL, NULL, 19388),
(48022, '4c2xA00', NULL, NULL, 388, NULL, NULL, 19389),
(48023, '4c68A00', NULL, NULL, 384, NULL, NULL, 19389),
(48024, '5o6hA00', NULL, NULL, 391, NULL, NULL, 19389),
(48025, '4c7iA00', NULL, NULL, 411, NULL, NULL, 19389),
(48026, '2hb0A01', NULL, NULL, 177, NULL, NULL, 19390),
(48027, '4h9nC00', NULL, NULL, 212, NULL, NULL, 19391),
(48028, '1n6zA00', NULL, NULL, 105, NULL, NULL, 19392),
(48029, '4dglB01', NULL, NULL, 102, NULL, NULL, 19393),
(48030, '1qf8A01', NULL, NULL, 107, NULL, NULL, 19393),
(48031, '4ag6D01', NULL, NULL, 101, NULL, NULL, 19394),
(48032, '4kp3C00', NULL, NULL, 84, NULL, NULL, 19395),
(48033, '3sggA02', NULL, NULL, 254, NULL, NULL, 19396),
(48034, '2j1dG01', NULL, NULL, 408, NULL, NULL, 19397),
(48035, '3obvF03', NULL, NULL, 295, NULL, NULL, 19397),
(48036, '1v9dC02', NULL, NULL, 212, NULL, NULL, 19397),
(48037, '1v9dB00', NULL, NULL, 340, NULL, NULL, 19397),
(48038, '4eahA00', NULL, NULL, 386, NULL, NULL, 19397),
(48039, '1ux5A03', NULL, NULL, 239, NULL, NULL, 19397),
(48040, '3coqA00', NULL, NULL, 89, NULL, NULL, 19398),
(48041, '1d66A00', NULL, NULL, 66, NULL, NULL, 19398),
(48042, '1d66B01', NULL, NULL, 40, NULL, NULL, 19398),
(48043, '1pyiA01', NULL, NULL, 62, NULL, NULL, 19398),
(48044, '1zmeC01', NULL, NULL, 31, NULL, NULL, 19398),
(48045, '1hwtC01', NULL, NULL, 34, NULL, NULL, 19398),
(48046, '1f4sP00', NULL, NULL, 65, NULL, NULL, 19398),
(48047, '2ereA00', NULL, NULL, 72, NULL, NULL, 19398),
(48048, '1pycA00', NULL, NULL, 45, NULL, NULL, 19398),
(48049, '4c2m400', NULL, NULL, 64, NULL, NULL, 19399),
(48050, '1vx7X00', NULL, NULL, 100, NULL, NULL, 19400),
(48051, '3u5eU00', NULL, NULL, 121, NULL, NULL, 19400),
(48052, '4a18M00', NULL, NULL, 118, NULL, NULL, 19400),
(48053, '1vwxU00', NULL, NULL, 112, NULL, NULL, 19400),
(48054, '3gnaA00', NULL, NULL, 76, NULL, NULL, 19401),
(48055, '5intB00', NULL, NULL, 220, NULL, NULL, 19402),
(48056, '2gk4B00', NULL, NULL, 232, NULL, NULL, 19402),
(48057, '4qjiB00', NULL, NULL, 237, NULL, NULL, 19402),
(48058, '1p9oA00', NULL, NULL, 294, NULL, NULL, 19402),
(48059, '1u7zA00', NULL, NULL, 226, NULL, NULL, 19402),
(48060, '6hoyA02', NULL, NULL, 56, NULL, NULL, 19403),
(48061, '2lcuA01', NULL, NULL, 185, NULL, NULL, 19404),
(48062, '4co6D00', NULL, NULL, 52, NULL, NULL, 19405),
(48063, '3c2qA02', NULL, NULL, 242, NULL, NULL, 19406),
(48064, '3dteA03', NULL, NULL, 97, NULL, NULL, 19407),
(48065, '3w0lD01', NULL, NULL, 122, NULL, NULL, 19408),
(48066, '4bb9A01', NULL, NULL, 124, NULL, NULL, 19408),
(48067, '4s12A02', NULL, NULL, 77, NULL, NULL, 19408),
(48068, '4lzjA02', NULL, NULL, 79, NULL, NULL, 19408);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(48069, '5h3xA03', NULL, NULL, 39, NULL, NULL, 19409),
(48070, '3doaA03', NULL, NULL, 53, NULL, NULL, 19409),
(48071, '3teqB00', NULL, NULL, 101, NULL, NULL, 19410),
(48072, '3terA00', NULL, NULL, 136, NULL, NULL, 19410),
(48073, '4h7aA00', NULL, NULL, 168, NULL, NULL, 19411),
(48074, '5h9fB00', NULL, NULL, 165, NULL, NULL, 19411),
(48075, '4h79A00', NULL, NULL, 196, NULL, NULL, 19411),
(48076, '3wa8B00', NULL, NULL, 205, NULL, NULL, 19411),
(48077, '2zcaB00', NULL, NULL, 169, NULL, NULL, 19411),
(48078, '3k1tA02', NULL, NULL, 139, NULL, NULL, 19412),
(48079, '2q2eB05', NULL, NULL, 111, NULL, NULL, 19413),
(48080, '3ep6A00', NULL, NULL, 260, NULL, NULL, 19414),
(48081, '1i7mA00', NULL, NULL, 267, NULL, NULL, 19414),
(48082, '2iiiA00', NULL, NULL, 135, NULL, NULL, 19414),
(48083, '5tvoA00', NULL, NULL, 284, NULL, NULL, 19414),
(48084, '1vr7A00', NULL, NULL, 142, NULL, NULL, 19414),
(48085, '1mhmA00', NULL, NULL, 265, NULL, NULL, 19414),
(48086, '1jl0A00', NULL, NULL, 334, NULL, NULL, 19414),
(48087, '1bcpA00', NULL, NULL, 235, NULL, NULL, 19415),
(48088, '1lt3A00', NULL, NULL, 240, NULL, NULL, 19415),
(48089, '1ltsA00', NULL, NULL, 185, NULL, NULL, 19415),
(48090, '5h6kA00', NULL, NULL, 227, NULL, NULL, 19415),
(48091, '4z9cA00', NULL, NULL, 223, NULL, NULL, 19415),
(48092, '1tiiA00', NULL, NULL, 190, NULL, NULL, 19415),
(48093, '1s5dA00', NULL, NULL, 240, NULL, NULL, 19415),
(48094, '2cb4A00', NULL, NULL, 291, NULL, NULL, 19415),
(48095, '4k6lG00', NULL, NULL, 224, NULL, NULL, 19415),
(48096, '1aqzA00', NULL, NULL, 149, NULL, NULL, 19416),
(48097, '1rdsA00', NULL, NULL, 105, NULL, NULL, 19416),
(48098, '5gy6A00', NULL, NULL, 100, NULL, NULL, 19416),
(48099, '1q9eA00', NULL, NULL, 104, NULL, NULL, 19416),
(48100, '1gouA00', NULL, NULL, 116, NULL, NULL, 19416),
(48101, '1pylA00', NULL, NULL, 97, NULL, NULL, 19416),
(48102, '1mgrA00', NULL, NULL, 99, NULL, NULL, 19416),
(48103, '1fusA00', NULL, NULL, 106, NULL, NULL, 19416),
(48104, '4haaA00', NULL, NULL, 109, NULL, NULL, 19416),
(48105, '3agnA00', NULL, NULL, 114, NULL, NULL, 19416),
(48106, '1lniA00', NULL, NULL, 96, NULL, NULL, 19416),
(48107, '3wr2A00', NULL, NULL, 101, NULL, NULL, 19416),
(48108, '2c4bA00', NULL, NULL, 143, NULL, NULL, 19416),
(48109, '1r4yA00', NULL, NULL, 136, NULL, NULL, 19416),
(48110, '1a2pA00', NULL, NULL, 110, NULL, NULL, 19416),
(48111, '2kaaA00', NULL, NULL, 130, NULL, NULL, 19416),
(48112, '1i0vA00', NULL, NULL, 104, NULL, NULL, 19416),
(48113, '3a5eA00', NULL, NULL, 96, NULL, NULL, 19416),
(48114, '1vt0M05', NULL, NULL, 74, NULL, NULL, 19417),
(48115, '6f7iB02', NULL, NULL, 148, NULL, NULL, 19418),
(48116, '3uoaB02', NULL, NULL, 148, NULL, NULL, 19418),
(48117, '2l9dA00', NULL, NULL, 108, NULL, NULL, 19419),
(48118, '3zx4A02', NULL, NULL, 87, NULL, NULL, 19420),
(48119, '1xviA02', NULL, NULL, 94, NULL, NULL, 19420),
(48120, '2zosA02', NULL, NULL, 83, NULL, NULL, 19420),
(48121, '4b6dB00', NULL, NULL, 61, NULL, NULL, 19421),
(48122, '4uxhB02', NULL, NULL, 47, NULL, NULL, 19421),
(48123, '2rowA01', NULL, NULL, 71, NULL, NULL, 19421),
(48124, '2vrwB03', NULL, NULL, 64, NULL, NULL, 19421),
(48125, '5fuwA02', NULL, NULL, 47, NULL, NULL, 19421),
(48126, '1rfhA01', NULL, NULL, 41, NULL, NULL, 19421),
(48127, '2ja1A02', NULL, NULL, 54, NULL, NULL, 19421),
(48128, '4l9mA04', NULL, NULL, 69, NULL, NULL, 19421),
(48129, '2orwB02', NULL, NULL, 48, NULL, NULL, 19421),
(48130, '3uejA01', NULL, NULL, 59, NULL, NULL, 19421),
(48131, '1xa6A02', NULL, NULL, 69, NULL, NULL, 19421),
(48132, '2eliA01', NULL, NULL, 58, NULL, NULL, 19421),
(48133, '2yuuA00', NULL, NULL, 83, NULL, NULL, 19421),
(48134, '2e73A01', NULL, NULL, 73, NULL, NULL, 19421),
(48135, '2j9rA02', NULL, NULL, 53, NULL, NULL, 19421),
(48136, '1r79A01', NULL, NULL, 55, NULL, NULL, 19421),
(48137, '2j87A02', NULL, NULL, 43, NULL, NULL, 19421),
(48138, '2b8tB02', NULL, NULL, 74, NULL, NULL, 19421),
(48139, '3cxlA02', NULL, NULL, 73, NULL, NULL, 19421),
(48140, '2db6A01', NULL, NULL, 60, NULL, NULL, 19421),
(48141, '1tbnA00', NULL, NULL, 82, NULL, NULL, 19421),
(48142, '1w4rA02', NULL, NULL, 45, NULL, NULL, 19421);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(48143, '3e2iA02', NULL, NULL, 58, NULL, NULL, 19421),
(48144, '4fkdA01', NULL, NULL, 60, NULL, NULL, 19421),
(48145, '2enzA01', NULL, NULL, 56, NULL, NULL, 19421),
(48146, '3ky9A04', NULL, NULL, 52, NULL, NULL, 19421),
(48147, '1xx6A02', NULL, NULL, 50, NULL, NULL, 19421),
(48148, '1faqA00', NULL, NULL, 52, NULL, NULL, 19421),
(48149, '2gviA03', NULL, NULL, 36, NULL, NULL, 19421),
(48150, '1y8fA00', NULL, NULL, 66, NULL, NULL, 19421),
(48151, '2ennA01', NULL, NULL, 70, NULL, NULL, 19421),
(48152, '1kbeA00', NULL, NULL, 49, NULL, NULL, 19421),
(48153, '2fl4A01', NULL, NULL, 43, NULL, NULL, 19422),
(48154, '4fxiA00', NULL, NULL, 95, NULL, NULL, 19423),
(48155, '4q2uL00', NULL, NULL, 102, NULL, NULL, 19423),
(48156, '3kxeA00', NULL, NULL, 110, NULL, NULL, 19423),
(48157, '3bpqD00', NULL, NULL, 88, NULL, NULL, 19423),
(48158, '3oeiC00', NULL, NULL, 96, NULL, NULL, 19423),
(48159, '5iwhA00', NULL, NULL, 98, NULL, NULL, 19423),
(48160, '5czfD00', NULL, NULL, 92, NULL, NULL, 19423),
(48161, '3g5oC00', NULL, NULL, 102, NULL, NULL, 19423),
(48162, '1wmiA00', NULL, NULL, 90, NULL, NULL, 19423),
(48163, '5cegD00', NULL, NULL, 101, NULL, NULL, 19423),
(48164, '4lttA00', NULL, NULL, 93, NULL, NULL, 19423),
(48165, '4ml2A00', NULL, NULL, 95, NULL, NULL, 19423),
(48166, '4ls4A00', NULL, NULL, 91, NULL, NULL, 19423),
(48167, '4nrnA00', NULL, NULL, 94, NULL, NULL, 19423),
(48168, '2a6sB00', NULL, NULL, 84, NULL, NULL, 19423),
(48169, '2kheA00', NULL, NULL, 89, NULL, NULL, 19423),
(48170, '3fvqA02', NULL, NULL, 44, NULL, NULL, 19424),
(48171, '2b9bA04', NULL, NULL, 76, NULL, NULL, 19425),
(48172, '1q16B03', NULL, NULL, 77, NULL, NULL, 19426),
(48173, '1dquA02', NULL, NULL, 109, NULL, NULL, 19427),
(48174, '4o2hA00', NULL, NULL, 150, NULL, NULL, 19428),
(48175, '3ljuX01', NULL, NULL, 144, NULL, NULL, 19429),
(48176, '2owaA01', NULL, NULL, 120, NULL, NULL, 19429),
(48177, '2olmA00', NULL, NULL, 140, NULL, NULL, 19429),
(48178, '3t9kA01', NULL, NULL, 120, NULL, NULL, 19429),
(48179, '3subB00', NULL, NULL, 138, NULL, NULL, 19429),
(48180, '2d9lA00', NULL, NULL, 134, NULL, NULL, 19429),
(48181, '2crwA00', NULL, NULL, 149, NULL, NULL, 19429),
(48182, '2crrA01', NULL, NULL, 121, NULL, NULL, 19429),
(48183, '2b0oG01', NULL, NULL, 122, NULL, NULL, 19429),
(48184, '2p57A00', NULL, NULL, 127, NULL, NULL, 19429),
(48185, '1dcqA01', NULL, NULL, 121, NULL, NULL, 19429),
(48186, '3dwdA00', NULL, NULL, 126, NULL, NULL, 19429),
(48187, '2iqjB00', NULL, NULL, 134, NULL, NULL, 19429),
(48188, '2kk2A00', NULL, NULL, 61, NULL, NULL, 19430),
(48189, '2nswA00', NULL, NULL, 60, NULL, NULL, 19430),
(48190, '2jmsA01', NULL, NULL, 47, NULL, NULL, 19430),
(48191, '2kc6A01', NULL, NULL, 38, NULL, NULL, 19430),
(48192, '1wyuB01', NULL, NULL, 78, NULL, NULL, 19431),
(48193, '1ztmB04', NULL, NULL, 57, NULL, NULL, 19432),
(48194, '1wp7A00', NULL, NULL, 89, NULL, NULL, 19432),
(48195, '2qtsD01', NULL, NULL, 72, NULL, NULL, 19432),
(48196, '4ntwA01', NULL, NULL, 69, NULL, NULL, 19432),
(48197, '2fb5A01', NULL, NULL, 73, NULL, NULL, 19432),
(48198, '3n27C00', NULL, NULL, 80, NULL, NULL, 19432),
(48199, '3s3xB01', NULL, NULL, 44, NULL, NULL, 19432),
(48200, '2l35A00', NULL, NULL, 63, NULL, NULL, 19432),
(48201, '2ntxA01', NULL, NULL, 247, NULL, NULL, 19433),
(48202, '2ntxB01', NULL, NULL, 206, NULL, NULL, 19433),
(48203, '4he8F02', NULL, NULL, 77, NULL, NULL, 19434),
(48204, '3rkoB02', NULL, NULL, 77, NULL, NULL, 19434),
(48205, '2rawB00', NULL, NULL, 68, NULL, NULL, 19435),
(48206, '2qfaB00', NULL, NULL, 62, NULL, NULL, 19435),
(48207, '1m55A00', NULL, NULL, 197, NULL, NULL, 19436),
(48208, '4fb3A00', NULL, NULL, 122, NULL, NULL, 19436),
(48209, '4kw3A00', NULL, NULL, 271, NULL, NULL, 19436),
(48210, '1l2mA00', NULL, NULL, 118, NULL, NULL, 19436),
(48211, '5bygD00', NULL, NULL, 213, NULL, NULL, 19436),
(48212, '6h8oA00', NULL, NULL, 95, NULL, NULL, 19436),
(48213, '2fufA00', NULL, NULL, 134, NULL, NULL, 19436),
(48214, '3qfqB00', NULL, NULL, 135, NULL, NULL, 19436),
(48215, '2iprA00', NULL, NULL, 133, NULL, NULL, 19436),
(48216, '4nbpA00', NULL, NULL, 132, NULL, NULL, 19436);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(48217, '5xorB00', NULL, NULL, 112, NULL, NULL, 19436),
(48218, '4q0jA03', NULL, NULL, 151, NULL, NULL, 19437),
(48219, '3nhqC03', NULL, NULL, 162, NULL, NULL, 19437),
(48220, '4r70B03', NULL, NULL, 157, NULL, NULL, 19437),
(48221, '3zq5A03', NULL, NULL, 155, NULL, NULL, 19437),
(48222, '5hsqA03', NULL, NULL, 162, NULL, NULL, 19437),
(48223, '4s21B03', NULL, NULL, 150, NULL, NULL, 19437),
(48224, '4gw9B03', NULL, NULL, 179, NULL, NULL, 19437),
(48225, '6baoA03', NULL, NULL, 151, NULL, NULL, 19437),
(48226, '2g0jB00', NULL, NULL, 112, NULL, NULL, 19438),
(48227, '2idlA01', NULL, NULL, 114, NULL, NULL, 19438),
(48228, '1s12A00', NULL, NULL, 94, NULL, NULL, 19438),
(48229, '4peoB00', NULL, NULL, 106, NULL, NULL, 19438),
(48230, '2g0iA00', NULL, NULL, 113, NULL, NULL, 19438),
(48231, '3rj2X00', NULL, NULL, 138, NULL, NULL, 19439),
(48232, '2py6A01', NULL, NULL, 87, NULL, NULL, 19440),
(48233, '3pm2A00', NULL, NULL, 173, NULL, NULL, 19441),
(48234, '4ij7A00', NULL, NULL, 172, NULL, NULL, 19441),
(48235, '3r15A00', NULL, NULL, 93, NULL, NULL, 19442),
(48236, '3d1bB00', NULL, NULL, 124, NULL, NULL, 19443),
(48237, '1zc1A01', NULL, NULL, 103, NULL, NULL, 19444),
(48238, '2yujA01', NULL, NULL, 115, NULL, NULL, 19444),
(48239, '4iumA00', NULL, NULL, 142, NULL, NULL, 19445),
(48240, '3da7E00', NULL, NULL, 111, NULL, NULL, 19446),
(48241, '3vhxF00', NULL, NULL, 120, NULL, NULL, 19447),
(48242, '3vhxH00', NULL, NULL, 95, NULL, NULL, 19447),
(48243, '1lxmA04', NULL, NULL, 78, NULL, NULL, 19448),
(48244, '2i82B00', NULL, NULL, 217, NULL, NULL, 19449),
(48245, '1sgvA01', NULL, NULL, 221, NULL, NULL, 19449),
(48246, '3dh3A02', NULL, NULL, 181, NULL, NULL, 19449),
(48247, '3u28A02', NULL, NULL, 207, NULL, NULL, 19449),
(48248, '2ey4A02', NULL, NULL, 204, NULL, NULL, 19449),
(48249, '1r3eA01', NULL, NULL, 221, NULL, NULL, 19449),
(48250, '1v9kA00', NULL, NULL, 228, NULL, NULL, 19449),
(48251, '1r3fA01', NULL, NULL, 249, NULL, NULL, 19449),
(48252, '2ausC02', NULL, NULL, 204, NULL, NULL, 19449),
(48253, '4lgtA02', NULL, NULL, 190, NULL, NULL, 19449),
(48254, '1kskA02', NULL, NULL, 167, NULL, NULL, 19449),
(48255, '1v9fA01', NULL, NULL, 195, NULL, NULL, 19449),
(48256, '2a6mB01', NULL, NULL, 133, NULL, NULL, 19450),
(48257, '4er8A00', NULL, NULL, 165, NULL, NULL, 19450),
(48258, '2fyxA00', NULL, NULL, 143, NULL, NULL, 19450),
(48259, '2f5gA00', NULL, NULL, 133, NULL, NULL, 19450),
(48260, '2ec2B00', NULL, NULL, 136, NULL, NULL, 19450),
(48261, '2vjvA00', NULL, NULL, 134, NULL, NULL, 19450),
(48262, '2xqcD00', NULL, NULL, 140, NULL, NULL, 19450),
(48263, '3uebF00', NULL, NULL, 110, NULL, NULL, 19451),
(48264, '1pu1A00', NULL, NULL, 94, NULL, NULL, 19451),
(48265, '2rjiA00', NULL, NULL, 84, NULL, NULL, 19452),
(48266, '2jc2A01', NULL, NULL, 34, NULL, NULL, 19453),
(48267, '3akjA02', NULL, NULL, 201, NULL, NULL, 19454),
(48268, '4l9hA00', NULL, NULL, 160, NULL, NULL, 19455),
(48269, '4ouhC00', NULL, NULL, 163, NULL, NULL, 19455),
(48270, '3h52A01', NULL, NULL, 21, NULL, NULL, 19456),
(48271, '2py5A05', NULL, NULL, 30, NULL, NULL, 19457),
(48272, '1z5zA02', NULL, NULL, 76, NULL, NULL, 19458),
(48273, '1z3iX03', NULL, NULL, 99, NULL, NULL, 19458),
(48274, '1z63A03', NULL, NULL, 104, NULL, NULL, 19458),
(48275, '3fwcB00', NULL, NULL, 85, NULL, NULL, 19459),
(48276, '1mgtA01', NULL, NULL, 88, NULL, NULL, 19460),
(48277, '4zyeA01', NULL, NULL, 80, NULL, NULL, 19460),
(48278, '1sfeA01', NULL, NULL, 93, NULL, NULL, 19460),
(48279, '4bhbA01', NULL, NULL, 70, NULL, NULL, 19460),
(48280, '3l00A01', NULL, NULL, 80, NULL, NULL, 19460),
(48281, '1wrjA01', NULL, NULL, 67, NULL, NULL, 19460),
(48282, '4ofqB01', NULL, NULL, 191, NULL, NULL, 19461),
(48283, '4ofqA02', NULL, NULL, 156, NULL, NULL, 19461),
(48284, '3qdhA01', NULL, NULL, 159, NULL, NULL, 19461),
(48285, '3v10A02', NULL, NULL, 150, NULL, NULL, 19461),
(48286, '4uzgA01', NULL, NULL, 166, NULL, NULL, 19461),
(48287, '3pf2A01', NULL, NULL, 177, NULL, NULL, 19461),
(48288, '2y1vA02', NULL, NULL, 152, NULL, NULL, 19461),
(48289, '2xtlB01', NULL, NULL, 153, NULL, NULL, 19461);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(48290, '2x9zA01', NULL, NULL, 149, NULL, NULL, 19461),
(48291, '4p0dA02', NULL, NULL, 172, NULL, NULL, 19461),
(48292, '4z1pA02', NULL, NULL, 155, NULL, NULL, 19461),
(48293, '2woyA02', NULL, NULL, 158, NULL, NULL, 19461),
(48294, '3opuA01', NULL, NULL, 180, NULL, NULL, 19461),
(48295, '3opuA02', NULL, NULL, 159, NULL, NULL, 19461),
(48296, '3qe5A01', NULL, NULL, 149, NULL, NULL, 19461),
(48297, '2woyA01', NULL, NULL, 175, NULL, NULL, 19461),
(48298, '3qe5A03', NULL, NULL, 160, NULL, NULL, 19461),
(48299, '3kptA02', NULL, NULL, 141, NULL, NULL, 19461),
(48300, '4hsqA01', NULL, NULL, 148, NULL, NULL, 19461),
(48301, '2okmA00', NULL, NULL, 147, NULL, NULL, 19461),
(48302, '3uxfA02', NULL, NULL, 166, NULL, NULL, 19461),
(48303, '4igbB02', NULL, NULL, 143, NULL, NULL, 19461),
(48304, '2f68X02', NULL, NULL, 170, NULL, NULL, 19461),
(48305, '5dzaA01', NULL, NULL, 173, NULL, NULL, 19461),
(48306, '3hr6A02', NULL, NULL, 157, NULL, NULL, 19461),
(48307, '3h0dA02', NULL, NULL, 84, NULL, NULL, 19462),
(48308, '3h0dB02', NULL, NULL, 84, NULL, NULL, 19462),
(48309, '3zfnA02', NULL, NULL, 57, NULL, NULL, 19463),
(48310, '3zfpA02', NULL, NULL, 57, NULL, NULL, 19463),
(48311, '4h9jA02', NULL, NULL, 57, NULL, NULL, 19463),
(48312, '4ni6A00', NULL, NULL, 150, NULL, NULL, 19464),
(48313, '4mkmA02', NULL, NULL, 146, NULL, NULL, 19464),
(48314, '4mkmA01', NULL, NULL, 151, NULL, NULL, 19464),
(48315, '2fhdA02', NULL, NULL, 72, NULL, NULL, 19465),
(48316, '3mtvA02', NULL, NULL, 123, NULL, NULL, 19466),
(48317, '2v6zM00', NULL, NULL, 75, NULL, NULL, 19467),
(48318, '1in4A03', NULL, NULL, 75, NULL, NULL, 19467),
(48319, '2chgA02', NULL, NULL, 66, NULL, NULL, 19467),
(48320, '1um8A02', NULL, NULL, 105, NULL, NULL, 19467),
(48321, '1l8qA02', NULL, NULL, 49, NULL, NULL, 19467),
(48322, '3uk6A02', NULL, NULL, 83, NULL, NULL, 19467),
(48323, '2qenA02', NULL, NULL, 78, NULL, NULL, 19467),
(48324, '3pvsA02', NULL, NULL, 76, NULL, NULL, 19467),
(48325, '3bosA02', NULL, NULL, 67, NULL, NULL, 19467),
(48326, '3u61C02', NULL, NULL, 67, NULL, NULL, 19467),
(48327, '3whkA02', NULL, NULL, 72, NULL, NULL, 19467),
(48328, '3hwsA02', NULL, NULL, 109, NULL, NULL, 19467),
(48329, '2v1uA01', NULL, NULL, 107, NULL, NULL, 19467),
(48330, '3pfiA02', NULL, NULL, 75, NULL, NULL, 19467),
(48331, '4fwdA02', NULL, NULL, 78, NULL, NULL, 19467),
(48332, '1sxjC02', NULL, NULL, 69, NULL, NULL, 19467),
(48333, '4d81A02', NULL, NULL, 100, NULL, NULL, 19467),
(48334, '2qz4A02', NULL, NULL, 77, NULL, NULL, 19467),
(48335, '4lcbA02', NULL, NULL, 99, NULL, NULL, 19467),
(48336, '2fnaA02', NULL, NULL, 76, NULL, NULL, 19467),
(48337, '1d2nA02', NULL, NULL, 67, NULL, NULL, 19467),
(48338, '3u60E02', NULL, NULL, 59, NULL, NULL, 19467),
(48339, '3ajiB00', NULL, NULL, 83, NULL, NULL, 19467),
(48340, '1qzmA00', NULL, NULL, 94, NULL, NULL, 19467),
(48341, '5eqtA02', NULL, NULL, 72, NULL, NULL, 19467),
(48342, '2qbyA01', NULL, NULL, 108, NULL, NULL, 19467),
(48343, '5m32h03', NULL, NULL, 72, NULL, NULL, 19467),
(48344, '4lgmA02', NULL, NULL, 100, NULL, NULL, 19467),
(48345, '3h4mA02', NULL, NULL, 72, NULL, NULL, 19467),
(48346, '5ftnA06', NULL, NULL, 101, NULL, NULL, 19467),
(48347, '3sc3B02', NULL, NULL, 67, NULL, NULL, 19467),
(48348, '6gcnD02', NULL, NULL, 80, NULL, NULL, 19467),
(48349, '2ce7D02', NULL, NULL, 78, NULL, NULL, 19467),
(48350, '1hqcA02', NULL, NULL, 76, NULL, NULL, 19467),
(48351, '3bosB02', NULL, NULL, 67, NULL, NULL, 19467),
(48352, '2z4sA02', NULL, NULL, 72, NULL, NULL, 19467),
(48353, '2dznF00', NULL, NULL, 82, NULL, NULL, 19467),
(48354, '1sxjB02', NULL, NULL, 64, NULL, NULL, 19467),
(48355, '1fnnA01', NULL, NULL, 102, NULL, NULL, 19467),
(48356, '3kw6A01', NULL, NULL, 75, NULL, NULL, 19467),
(48357, '5c1bA06', NULL, NULL, 79, NULL, NULL, 19467),
(48358, '1im2A03', NULL, NULL, 98, NULL, NULL, 19467),
(48359, '1qvrC03', NULL, NULL, 96, NULL, NULL, 19467),
(48360, '3b9pA02', NULL, NULL, 84, NULL, NULL, 19467),
(48361, '5ep2A02', NULL, NULL, 82, NULL, NULL, 19467),
(48362, '1ixzA02', NULL, NULL, 68, NULL, NULL, 19467),
(48363, '4l15A02', NULL, NULL, 83, NULL, NULL, 19467);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(48364, '1xwiA02', NULL, NULL, 123, NULL, NULL, 19467),
(48365, '2qbyB01', NULL, NULL, 108, NULL, NULL, 19467),
(48366, '1iqpA02', NULL, NULL, 64, NULL, NULL, 19467),
(48367, '3te6A02', NULL, NULL, 121, NULL, NULL, 19467),
(48368, '1jqjD03', NULL, NULL, 89, NULL, NULL, 19467),
(48369, '6blbA02', NULL, NULL, 76, NULL, NULL, 19467),
(48370, '2x8aA02', NULL, NULL, 97, NULL, NULL, 19467),
(48371, '1lv7A02', NULL, NULL, 76, NULL, NULL, 19467),
(48372, '3sc3A02', NULL, NULL, 67, NULL, NULL, 19467),
(48373, '3mhvC00', NULL, NULL, 117, NULL, NULL, 19467),
(48374, '2zanA02', NULL, NULL, 123, NULL, NULL, 19467),
(48375, '1e94E03', NULL, NULL, 106, NULL, NULL, 19467),
(48376, '4zpxA02', NULL, NULL, 93, NULL, NULL, 19467),
(48377, '1njgA02', NULL, NULL, 66, NULL, NULL, 19467),
(48378, '1ojlD02', NULL, NULL, 82, NULL, NULL, 19467),
(48379, '6az0A02', NULL, NULL, 73, NULL, NULL, 19467),
(48380, '4gitA00', NULL, NULL, 94, NULL, NULL, 19467),
(48381, '1sxjE02', NULL, NULL, 64, NULL, NULL, 19467),
(48382, '3d8bB02', NULL, NULL, 84, NULL, NULL, 19467),
(48383, '1c1kA01', NULL, NULL, 102, NULL, NULL, 19467),
(48384, '1sxjA02', NULL, NULL, 72, NULL, NULL, 19467),
(48385, '4ko8B04', NULL, NULL, 90, NULL, NULL, 19467),
(48386, '1jr3D03', NULL, NULL, 71, NULL, NULL, 19467),
(48387, '4lrtC02', NULL, NULL, 74, NULL, NULL, 19467),
(48388, '3dzdA03', NULL, NULL, 69, NULL, NULL, 19467),
(48389, '3vfdA02', NULL, NULL, 84, NULL, NULL, 19467),
(48390, '4l4uA03', NULL, NULL, 73, NULL, NULL, 19467),
(48391, '4jn6C02', NULL, NULL, 71, NULL, NULL, 19467),
(48392, '5ftjA04', NULL, NULL, 95, NULL, NULL, 19467),
(48393, '2r62A02', NULL, NULL, 86, NULL, NULL, 19467),
(48394, '1nvmA02', NULL, NULL, 68, NULL, NULL, 19467),
(48395, '3m6aA03', NULL, NULL, 86, NULL, NULL, 19467),
(48396, '4lj9A02', NULL, NULL, 98, NULL, NULL, 19467),
(48397, '2c9oB03', NULL, NULL, 91, NULL, NULL, 19467),
(48398, '1njgB01', NULL, NULL, 84, NULL, NULL, 19467),
(48399, '3sykA02', NULL, NULL, 93, NULL, NULL, 19467),
(48400, '1sxjD02', NULL, NULL, 70, NULL, NULL, 19467),
(48401, '5expA02', NULL, NULL, 77, NULL, NULL, 19467),
(48402, '4qosA02', NULL, NULL, 86, NULL, NULL, 19467),
(48403, '5ftjA06', NULL, NULL, 99, NULL, NULL, 19467),
(48404, '6b5cA02', NULL, NULL, 86, NULL, NULL, 19467),
(48405, '3zh9B02', NULL, NULL, 70, NULL, NULL, 19467),
(48406, '1r6bX03', NULL, NULL, 88, NULL, NULL, 19467),
(48407, '5dygA04', NULL, NULL, 97, NULL, NULL, 19467),
(48408, '5m7oA03', NULL, NULL, 87, NULL, NULL, 19467),
(48409, '1r6bX05', NULL, NULL, 106, NULL, NULL, 19467),
(48410, '2xszD02', NULL, NULL, 101, NULL, NULL, 19467),
(48411, '1w5sA01', NULL, NULL, 94, NULL, NULL, 19467),
(48412, '4a3vB01', NULL, NULL, 72, NULL, NULL, 19467),
(48413, '4qhsA02', NULL, NULL, 79, NULL, NULL, 19467),
(48414, '3pxgA03', NULL, NULL, 83, NULL, NULL, 19467),
(48415, '3hvnA01', NULL, NULL, 174, NULL, NULL, 19468),
(48416, '1s3rA01', NULL, NULL, 180, NULL, NULL, 19468),
(48417, '3cqfA01', NULL, NULL, 180, NULL, NULL, 19468),
(48418, '1pfoA01', NULL, NULL, 183, NULL, NULL, 19468),
(48419, '4hscX01', NULL, NULL, 181, NULL, NULL, 19468),
(48420, '3onrJ00', NULL, NULL, 72, NULL, NULL, 19469),
(48421, '4evuB00', NULL, NULL, 72, NULL, NULL, 19469),
(48422, '2jnaA01', NULL, NULL, 69, NULL, NULL, 19469),
(48423, '2nocA01', NULL, NULL, 71, NULL, NULL, 19469),
(48424, '2m2jA00', NULL, NULL, 71, NULL, NULL, 19469),
(48425, '6r1eA00', NULL, NULL, 71, NULL, NULL, 19469),
(48426, '2ux9C00', NULL, NULL, 69, NULL, NULL, 19469),
(48427, '2yizA00', NULL, NULL, 69, NULL, NULL, 19469),
(48428, '2cc6A00', NULL, NULL, 68, NULL, NULL, 19469),
(48429, '2vxaA00', NULL, NULL, 72, NULL, NULL, 19469),
(48430, '3c19A02', NULL, NULL, 86, NULL, NULL, 19470),
(48431, '3dkxA02', NULL, NULL, 74, NULL, NULL, 19471),
(48432, '2lvlA01', NULL, NULL, 113, NULL, NULL, 19472),
(48433, '1gccA00', NULL, NULL, 63, NULL, NULL, 19473),
(48434, '3cxnB00', NULL, NULL, 209, NULL, NULL, 19474),
(48435, '4f0aB02', NULL, NULL, 68, NULL, NULL, 19475),
(48436, '1y1uA01', NULL, NULL, 205, NULL, NULL, 19476),
(48437, '1bg1A01', NULL, NULL, 184, NULL, NULL, 19476);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(48438, '1yvlA02', NULL, NULL, 183, NULL, NULL, 19476),
(48439, '2fphX01', NULL, NULL, 77, NULL, NULL, 19477),
(48440, '2m86A00', NULL, NULL, 51, NULL, NULL, 19478),
(48441, '5yvdA02', NULL, NULL, 123, NULL, NULL, 19479),
(48442, '2gtiA02', NULL, NULL, 131, NULL, NULL, 19479),
(48443, '4s1tA02', NULL, NULL, 127, NULL, NULL, 19479),
(48444, '2h85A02', NULL, NULL, 126, NULL, NULL, 19479),
(48445, '3qc7A02', NULL, NULL, 58, NULL, NULL, 19480),
(48446, '2adlA01', NULL, NULL, 30, NULL, NULL, 19481),
(48447, '2odiA02', NULL, NULL, 115, NULL, NULL, 19482),
(48448, '2oa9B02', NULL, NULL, 140, NULL, NULL, 19482),
(48449, '2w62A02', NULL, NULL, 113, NULL, NULL, 19483),
(48450, '2w61A03', NULL, NULL, 120, NULL, NULL, 19483),
(48451, '4mjgA00', NULL, NULL, 183, NULL, NULL, 19484),
(48452, '2h88A04', NULL, NULL, 65, NULL, NULL, 19485),
(48453, '4ysxA04', NULL, NULL, 65, NULL, NULL, 19485),
(48454, '3gqhA02', NULL, NULL, 40, NULL, NULL, 19485),
(48455, '1kf6A04', NULL, NULL, 35, NULL, NULL, 19485),
(48456, '1zoyA04', NULL, NULL, 65, NULL, NULL, 19485),
(48457, '2wdqA04', NULL, NULL, 41, NULL, NULL, 19485),
(48458, '2k5qA00', NULL, NULL, 105, NULL, NULL, 19486),
(48459, '2k5wA00', NULL, NULL, 117, NULL, NULL, 19486),
(48460, '3nppA00', NULL, NULL, 87, NULL, NULL, 19486),
(48461, '2j5uA01', NULL, NULL, 39, NULL, NULL, 19487),
(48462, '4r4mA00', NULL, NULL, 49, NULL, NULL, 19487),
(48463, '2j5uB01', NULL, NULL, 40, NULL, NULL, 19487),
(48464, '1dipA01', NULL, NULL, 46, NULL, NULL, 19487),
(48465, '2oqqA00', NULL, NULL, 42, NULL, NULL, 19487),
(48466, '1r8eA03', NULL, NULL, 44, NULL, NULL, 19487),
(48467, '3g9rA00', NULL, NULL, 42, NULL, NULL, 19487),
(48468, '3t97B00', NULL, NULL, 65, NULL, NULL, 19487),
(48469, '3whjA00', NULL, NULL, 122, NULL, NULL, 19488),
(48470, '2f8lA01', NULL, NULL, 98, NULL, NULL, 19489),
(48471, '1ynjJ03', NULL, NULL, 64, NULL, NULL, 19490),
(48472, '4qiwC02', NULL, NULL, 46, NULL, NULL, 19490),
(48473, '4aybC02', NULL, NULL, 46, NULL, NULL, 19490),
(48474, '3a2kA03', NULL, NULL, 86, NULL, NULL, 19491),
(48475, '3p3kA00', NULL, NULL, 183, NULL, NULL, 19492),
(48476, '2fu5A00', NULL, NULL, 117, NULL, NULL, 19492),
(48477, '1txjA00', NULL, NULL, 171, NULL, NULL, 19492),
(48478, '2kwbA00', NULL, NULL, 189, NULL, NULL, 19492),
(48479, '1hxrB00', NULL, NULL, 115, NULL, NULL, 19492),
(48480, '1h6qA00', NULL, NULL, 168, NULL, NULL, 19492),
(48481, '5o9mA00', NULL, NULL, 180, NULL, NULL, 19492),
(48482, '3ebmA00', NULL, NULL, 180, NULL, NULL, 19492),
(48483, '2cv8B01', NULL, NULL, 85, NULL, NULL, 19493),
(48484, '2zyzB01', NULL, NULL, 88, NULL, NULL, 19493),
(48485, '1r0vA02', NULL, NULL, 75, NULL, NULL, 19493),
(48486, '3ajvA01', NULL, NULL, 78, NULL, NULL, 19493),
(48487, '1a79A02', NULL, NULL, 71, NULL, NULL, 19493),
(48488, '3p1yA02', NULL, NULL, 85, NULL, NULL, 19493),
(48489, '4fz2A01', NULL, NULL, 76, NULL, NULL, 19493),
(48490, '3ajvD01', NULL, NULL, 93, NULL, NULL, 19493),
(48491, '1kmxA00', NULL, NULL, 55, NULL, NULL, 19494),
(48492, '4deqA02', NULL, NULL, 53, NULL, NULL, 19494),
(48493, '2xwxA02', NULL, NULL, 108, NULL, NULL, 19495),
(48494, '2bwqA00', NULL, NULL, 129, NULL, NULL, 19496),
(48495, '3jzyA00', NULL, NULL, 125, NULL, NULL, 19496),
(48496, '5dxtA02', NULL, NULL, 152, NULL, NULL, 19496),
(48497, '6cxwA00', NULL, NULL, 128, NULL, NULL, 19496),
(48498, '3w57A00', NULL, NULL, 111, NULL, NULL, 19496),
(48499, '2jqzA00', NULL, NULL, 131, NULL, NULL, 19496),
(48500, '2r83A01', NULL, NULL, 136, NULL, NULL, 19496),
(48501, '4lcvB00', NULL, NULL, 138, NULL, NULL, 19496),
(48502, '2zkmX04', NULL, NULL, 130, NULL, NULL, 19496),
(48503, '4f92B06', NULL, NULL, 109, NULL, NULL, 19496),
(48504, '6fljA00', NULL, NULL, 137, NULL, NULL, 19496),
(48505, '5ccjA00', NULL, NULL, 152, NULL, NULL, 19496),
(48506, '5dcaA08', NULL, NULL, 110, NULL, NULL, 19496),
(48507, '2z0uA00', NULL, NULL, 128, NULL, NULL, 19496),
(48508, '5m59A12', NULL, NULL, 121, NULL, NULL, 19496),
(48509, '1rlwA00', NULL, NULL, 126, NULL, NULL, 19496),
(48510, '4bfrA02', NULL, NULL, 172, NULL, NULL, 19496),
(48511, '2q0zX03', NULL, NULL, 122, NULL, NULL, 19496);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(48512, '4ts6A00', NULL, NULL, 132, NULL, NULL, 19496),
(48513, '2fk9A00', NULL, NULL, 157, NULL, NULL, 19496),
(48514, '2qz5A00', NULL, NULL, 155, NULL, NULL, 19496),
(48515, '4y1sA00', NULL, NULL, 126, NULL, NULL, 19496),
(48516, '1rh8A00', NULL, NULL, 142, NULL, NULL, 19496),
(48517, '5h4yA00', NULL, NULL, 150, NULL, NULL, 19496),
(48518, '1bdyA00', NULL, NULL, 123, NULL, NULL, 19496),
(48519, '2nq3A00', NULL, NULL, 143, NULL, NULL, 19496),
(48520, '2enjA00', NULL, NULL, 138, NULL, NULL, 19496),
(48521, '2b3rA00', NULL, NULL, 134, NULL, NULL, 19496),
(48522, '3b7yA00', NULL, NULL, 153, NULL, NULL, 19496),
(48523, '6nytA00', NULL, NULL, 148, NULL, NULL, 19496),
(48524, '1ugkA00', NULL, NULL, 138, NULL, NULL, 19496),
(48525, '4iqhA00', NULL, NULL, 130, NULL, NULL, 19496),
(48526, '4ihbD00', NULL, NULL, 133, NULL, NULL, 19496),
(48527, '4ns0A00', NULL, NULL, 133, NULL, NULL, 19496),
(48528, '3ohmB04', NULL, NULL, 169, NULL, NULL, 19496),
(48529, '5m59A06', NULL, NULL, 112, NULL, NULL, 19496),
(48530, '2dmgA00', NULL, NULL, 142, NULL, NULL, 19496),
(48531, '6eelA00', NULL, NULL, 129, NULL, NULL, 19496),
(48532, '1djxA03', NULL, NULL, 131, NULL, NULL, 19496),
(48533, '4icxC00', NULL, NULL, 146, NULL, NULL, 19496),
(48534, '1yrkA00', NULL, NULL, 126, NULL, NULL, 19496),
(48535, '4npjB02', NULL, NULL, 150, NULL, NULL, 19496),
(48536, '1wfmA00', NULL, NULL, 138, NULL, NULL, 19496),
(48537, '3qr1A04', NULL, NULL, 139, NULL, NULL, 19496),
(48538, '2cm5A00', NULL, NULL, 166, NULL, NULL, 19496),
(48539, '3l4cA00', NULL, NULL, 195, NULL, NULL, 19496),
(48540, '1gmiA00', NULL, NULL, 136, NULL, NULL, 19496),
(48541, '3twyA00', NULL, NULL, 137, NULL, NULL, 19496),
(48542, '2q3xA00', NULL, NULL, 150, NULL, NULL, 19496),
(48543, '2yrbA01', NULL, NULL, 135, NULL, NULL, 19496),
(48544, '3n5aA00', NULL, NULL, 138, NULL, NULL, 19496),
(48545, '2nsqA00', NULL, NULL, 155, NULL, NULL, 19496),
(48546, '4ldcA00', NULL, NULL, 149, NULL, NULL, 19496),
(48547, '6iejA00', NULL, NULL, 127, NULL, NULL, 19496),
(48548, '6ewlA00', NULL, NULL, 139, NULL, NULL, 19496),
(48549, '6btyB00', NULL, NULL, 131, NULL, NULL, 19496),
(48550, '5dxuA02', NULL, NULL, 160, NULL, NULL, 19496),
(48551, '4qamB00', NULL, NULL, 201, NULL, NULL, 19496),
(48552, '1w15A00', NULL, NULL, 153, NULL, NULL, 19496),
(48553, '2cjtC00', NULL, NULL, 131, NULL, NULL, 19496),
(48554, '4npjB01', NULL, NULL, 149, NULL, NULL, 19496),
(48555, '2d8kA00', NULL, NULL, 141, NULL, NULL, 19496),
(48556, '1tjxA00', NULL, NULL, 159, NULL, NULL, 19496),
(48557, '2uzpA00', NULL, NULL, 144, NULL, NULL, 19496),
(48558, '4mjjA00', NULL, NULL, 138, NULL, NULL, 19496),
(48559, '3l9bA00', NULL, NULL, 126, NULL, NULL, 19496),
(48560, '3fbkA00', NULL, NULL, 153, NULL, NULL, 19496),
(48561, '3qr0A04', NULL, NULL, 137, NULL, NULL, 19496),
(48562, '1wfjA01', NULL, NULL, 124, NULL, NULL, 19496),
(48563, '3pycA00', NULL, NULL, 132, NULL, NULL, 19496),
(48564, '3im1A03', NULL, NULL, 115, NULL, NULL, 19496),
(48565, '4weeA01', NULL, NULL, 127, NULL, NULL, 19496),
(48566, '3m7fB00', NULL, NULL, 176, NULL, NULL, 19496),
(48567, '1dqvA01', NULL, NULL, 131, NULL, NULL, 19496),
(48568, '6anjA00', NULL, NULL, 148, NULL, NULL, 19496),
(48569, '1dqvA02', NULL, NULL, 146, NULL, NULL, 19496),
(48570, '4npkA01', NULL, NULL, 143, NULL, NULL, 19496),
(48571, '1e7uA02', NULL, NULL, 166, NULL, NULL, 19496),
(48572, '1e8yA02', NULL, NULL, 166, NULL, NULL, 19496),
(48573, '2qzqA00', NULL, NULL, 152, NULL, NULL, 19496),
(48574, '2ep6A01', NULL, NULL, 122, NULL, NULL, 19496),
(48575, '5nczA03', NULL, NULL, 168, NULL, NULL, 19496),
(48576, '3fdwA00', NULL, NULL, 148, NULL, NULL, 19496),
(48577, '1a25A00', NULL, NULL, 133, NULL, NULL, 19496),
(48578, '2enpA00', NULL, NULL, 147, NULL, NULL, 19496),
(48579, '4l8kA01', NULL, NULL, 95, NULL, NULL, 19497),
(48580, '1k32A03', NULL, NULL, 72, NULL, NULL, 19497),
(48581, '1fc6A01', NULL, NULL, 99, NULL, NULL, 19497),
(48582, '1j7xA01', NULL, NULL, 88, NULL, NULL, 19497),
(48583, '4ghnA01', NULL, NULL, 114, NULL, NULL, 19497),
(48584, '3zx7A01', NULL, NULL, 163, NULL, NULL, 19498);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(48585, '4c9qA00', NULL, NULL, 304, NULL, NULL, 19499),
(48586, '4c9gA00', NULL, NULL, 295, NULL, NULL, 19499),
(48587, '1okcA00', NULL, NULL, 297, NULL, NULL, 19499),
(48588, '2lckA00', NULL, NULL, 303, NULL, NULL, 19499),
(48589, '1gttA01', NULL, NULL, 211, NULL, NULL, 19500),
(48590, '3qdfA02', NULL, NULL, 207, NULL, NULL, 19500),
(48591, '6iymA02', NULL, NULL, 220, NULL, NULL, 19500),
(48592, '3v77A00', NULL, NULL, 224, NULL, NULL, 19500),
(48593, '1wzoB02', NULL, NULL, 206, NULL, NULL, 19500),
(48594, '3rr6A02', NULL, NULL, 204, NULL, NULL, 19500),
(48595, '4pfzB02', NULL, NULL, 205, NULL, NULL, 19500),
(48596, '2dfuA02', NULL, NULL, 220, NULL, NULL, 19500),
(48597, '4qkuC02', NULL, NULL, 303, NULL, NULL, 19500),
(48598, '2eb4D00', NULL, NULL, 267, NULL, NULL, 19500),
(48599, '1hyoA02', NULL, NULL, 286, NULL, NULL, 19500),
(48600, '5ti1A02', NULL, NULL, 302, NULL, NULL, 19500),
(48601, '3lzkB00', NULL, NULL, 340, NULL, NULL, 19500),
(48602, '1i7oA02', NULL, NULL, 218, NULL, NULL, 19500),
(48603, '2q18X02', NULL, NULL, 223, NULL, NULL, 19500),
(48604, '2wqtA00', NULL, NULL, 270, NULL, NULL, 19500),
(48605, '4dbhA02', NULL, NULL, 211, NULL, NULL, 19500),
(48606, '6fohB00', NULL, NULL, 224, NULL, NULL, 19500),
(48607, '4maqB00', NULL, NULL, 240, NULL, NULL, 19500),
(48608, '6jvvB02', NULL, NULL, 204, NULL, NULL, 19500),
(48609, '5d2kA00', NULL, NULL, 269, NULL, NULL, 19500),
(48610, '3r6oA02', NULL, NULL, 230, NULL, NULL, 19500),
(48611, '3s52A00', NULL, NULL, 221, NULL, NULL, 19500),
(48612, '1nr9A00', NULL, NULL, 223, NULL, NULL, 19500),
(48613, '1nkqE00', NULL, NULL, 259, NULL, NULL, 19500),
(48614, '5l6hA05', NULL, NULL, 273, NULL, NULL, 19501),
(48615, '4ii2A05', NULL, NULL, 269, NULL, NULL, 19501),
(48616, '1z7lA00', NULL, NULL, 276, NULL, NULL, 19501),
(48617, '4qfrB02', NULL, NULL, 99, NULL, NULL, 19502),
(48618, '2v8qB00', NULL, NULL, 87, NULL, NULL, 19502),
(48619, '3psfA05', NULL, NULL, 106, NULL, NULL, 19503),
(48620, '4fxtA02', NULL, NULL, 107, NULL, NULL, 19504),
(48621, '4iykA02', NULL, NULL, 118, NULL, NULL, 19504),
(48622, '3hn5A02', NULL, NULL, 115, NULL, NULL, 19504),
(48623, '4eiuA02', NULL, NULL, 137, NULL, NULL, 19504),
(48624, '4yokA02', NULL, NULL, 105, NULL, NULL, 19504),
(48625, '2px0A01', NULL, NULL, 73, NULL, NULL, 19505),
(48626, '2lfuA01', NULL, NULL, 31, NULL, NULL, 19506),
(48627, '5mu3B00', NULL, NULL, 165, NULL, NULL, 19507),
(48628, '1xu6A00', NULL, NULL, 80, NULL, NULL, 19508),
(48629, '3ie4A00', NULL, NULL, 107, NULL, NULL, 19509),
(48630, '3aqxA00', NULL, NULL, 104, NULL, NULL, 19509),
(48631, '3aqyA00', NULL, NULL, 106, NULL, NULL, 19509),
(48632, '3ez9A01', NULL, NULL, 70, NULL, NULL, 19510),
(48633, '3ez2A01', NULL, NULL, 70, NULL, NULL, 19510),
(48634, '2czrA02', NULL, NULL, 120, NULL, NULL, 19511),
(48635, '2ocyA00', NULL, NULL, 154, NULL, NULL, 19512),
(48636, '2fqmA01', NULL, NULL, 50, NULL, NULL, 19513),
(48637, '3sbtB01', NULL, NULL, 143, NULL, NULL, 19514),
(48638, '2iukA03', NULL, NULL, 89, NULL, NULL, 19515),
(48639, '4wfoA03', NULL, NULL, 89, NULL, NULL, 19515),
(48640, '1ik3A03', NULL, NULL, 89, NULL, NULL, 19515),
(48641, '2iujA03', NULL, NULL, 89, NULL, NULL, 19515),
(48642, '1zhxA02', NULL, NULL, 87, NULL, NULL, 19516),
(48643, '3pmiA02', NULL, NULL, 57, NULL, NULL, 19517),
(48644, '4ga6A02', NULL, NULL, 152, NULL, NULL, 19518),
(48645, '1ngmJ00', NULL, NULL, 53, NULL, NULL, 19519),
(48646, '1ngmB00', NULL, NULL, 72, NULL, NULL, 19519),
(48647, '2nwtA00', NULL, NULL, 69, NULL, NULL, 19520),
(48648, '4mndA02', NULL, NULL, 195, NULL, NULL, 19521),
(48649, '5d91A02', NULL, NULL, 199, NULL, NULL, 19521),
(48650, '4o6mB02', NULL, NULL, 203, NULL, NULL, 19521),
(48651, '1opaA00', NULL, NULL, 134, NULL, NULL, 19522),
(48652, '1n0sA00', NULL, NULL, 184, NULL, NULL, 19522),
(48653, '2fwvA00', NULL, NULL, 200, NULL, NULL, 19522),
(48654, '3zuiA00', NULL, NULL, 150, NULL, NULL, 19522),
(48655, '3apuB00', NULL, NULL, 174, NULL, NULL, 19522),
(48656, '5n48C00', NULL, NULL, 188, NULL, NULL, 19522),
(48657, '1yupE00', NULL, NULL, 162, NULL, NULL, 19522);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(48658, '1kqwA00', NULL, NULL, 134, NULL, NULL, 19522),
(48659, '2o62A02', NULL, NULL, 137, NULL, NULL, 19522),
(48660, '3bx8F00', NULL, NULL, 178, NULL, NULL, 19522),
(48661, '2hlvA00', NULL, NULL, 160, NULL, NULL, 19522),
(48662, '2o62A01', NULL, NULL, 133, NULL, NULL, 19522),
(48663, '1pmpA00', NULL, NULL, 131, NULL, NULL, 19522),
(48664, '3nadB00', NULL, NULL, 161, NULL, NULL, 19522),
(48665, '1ew3A00', NULL, NULL, 159, NULL, NULL, 19522),
(48666, '5xm5A00', NULL, NULL, 193, NULL, NULL, 19522),
(48667, '2ra6C00', NULL, NULL, 143, NULL, NULL, 19522),
(48668, '2k23A00', NULL, NULL, 178, NULL, NULL, 19522),
(48669, '5bvqA00', NULL, NULL, 132, NULL, NULL, 19522),
(48670, '4a60A00', NULL, NULL, 154, NULL, NULL, 19522),
(48671, '1dzkA00', NULL, NULL, 157, NULL, NULL, 19522),
(48672, '6gqzA00', NULL, NULL, 174, NULL, NULL, 19522),
(48673, '2yg2B00', NULL, NULL, 172, NULL, NULL, 19522),
(48674, '4ykoA00', NULL, NULL, 137, NULL, NULL, 19522),
(48675, '1avgI00', NULL, NULL, 142, NULL, NULL, 19522),
(48676, '2g7bA00', NULL, NULL, 137, NULL, NULL, 19522),
(48677, '1lfoA00', NULL, NULL, 128, NULL, NULL, 19522),
(48678, '1pm1X00', NULL, NULL, 180, NULL, NULL, 19522),
(48679, '1xkiA00', NULL, NULL, 146, NULL, NULL, 19522),
(48680, '4boeA00', NULL, NULL, 160, NULL, NULL, 19522),
(48681, '2w2aA00', NULL, NULL, 177, NULL, NULL, 19522),
(48682, '4nyqA00', NULL, NULL, 164, NULL, NULL, 19522),
(48683, '4zhcB00', NULL, NULL, 180, NULL, NULL, 19522),
(48684, '2gc9B00', NULL, NULL, 160, NULL, NULL, 19522),
(48685, '5n47E00', NULL, NULL, 188, NULL, NULL, 19522),
(48686, '1bwyA00', NULL, NULL, 132, NULL, NULL, 19522),
(48687, '6c1zA00', NULL, NULL, 138, NULL, NULL, 19522),
(48688, '1kt6A00', NULL, NULL, 183, NULL, NULL, 19522),
(48689, '1lf7A00', NULL, NULL, 182, NULL, NULL, 19522),
(48690, '5l8iB00', NULL, NULL, 128, NULL, NULL, 19522),
(48691, '2n93A00', NULL, NULL, 130, NULL, NULL, 19522),
(48692, '4ymyA00', NULL, NULL, 153, NULL, NULL, 19522),
(48693, '3dszA00', NULL, NULL, 186, NULL, NULL, 19522),
(48694, '2hzrA00', NULL, NULL, 174, NULL, NULL, 19522),
(48695, '2ftbA00', NULL, NULL, 125, NULL, NULL, 19522),
(48696, '3ebkB00', NULL, NULL, 176, NULL, NULL, 19522),
(48697, '3bdrA00', NULL, NULL, 190, NULL, NULL, 19522),
(48698, '4bvmA00', NULL, NULL, 133, NULL, NULL, 19522),
(48699, '4tkbA00', NULL, NULL, 133, NULL, NULL, 19522),
(48700, '4gkcA00', NULL, NULL, 133, NULL, NULL, 19522),
(48701, '4gnyA00', NULL, NULL, 162, NULL, NULL, 19522),
(48702, '5bvtA00', NULL, NULL, 134, NULL, NULL, 19522),
(48703, '1tvqA00', NULL, NULL, 125, NULL, NULL, 19522),
(48704, '4albA00', NULL, NULL, 161, NULL, NULL, 19522),
(48705, '1i4uB00', NULL, NULL, 181, NULL, NULL, 19522),
(48706, '4ck4A00', NULL, NULL, 162, NULL, NULL, 19522),
(48707, '3pptA00', NULL, NULL, 133, NULL, NULL, 19522),
(48708, '1epaA00', NULL, NULL, 164, NULL, NULL, 19522),
(48709, '4qaeC00', NULL, NULL, 188, NULL, NULL, 19522),
(48710, '2cztA00', NULL, NULL, 167, NULL, NULL, 19522),
(48711, '2nndA00', NULL, NULL, 178, NULL, NULL, 19522),
(48712, '1ftpA00', NULL, NULL, 133, NULL, NULL, 19522),
(48713, '4mvkA00', NULL, NULL, 188, NULL, NULL, 19522),
(48714, '3s26A00', NULL, NULL, 190, NULL, NULL, 19522),
(48715, '2fr2A00', NULL, NULL, 172, NULL, NULL, 19522),
(48716, '1exsA00', NULL, NULL, 160, NULL, NULL, 19522),
(48717, '5jr8A00', NULL, NULL, 178, NULL, NULL, 19522),
(48718, '1qftB00', NULL, NULL, 175, NULL, NULL, 19522),
(48719, '3mbtA00', NULL, NULL, 168, NULL, NULL, 19522),
(48720, '2l5pA00', NULL, NULL, 184, NULL, NULL, 19522),
(48721, '2a0aA00', NULL, NULL, 131, NULL, NULL, 19522),
(48722, '4uu3B00', NULL, NULL, 168, NULL, NULL, 19522),
(48723, '5x7yD00', NULL, NULL, 177, NULL, NULL, 19522),
(48724, '3vg7A00', NULL, NULL, 132, NULL, NULL, 19522),
(48725, '2rcqA00', NULL, NULL, 141, NULL, NULL, 19522),
(48726, '4runB00', NULL, NULL, 161, NULL, NULL, 19522),
(48727, '2qo5A00', NULL, NULL, 129, NULL, NULL, 19522),
(48728, '5nghA00', NULL, NULL, 168, NULL, NULL, 19522),
(48729, '2xstA00', NULL, NULL, 161, NULL, NULL, 19522),
(48730, '1lkeA00', NULL, NULL, 166, NULL, NULL, 19522);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(48731, '3brnA00', NULL, NULL, 157, NULL, NULL, 19522),
(48732, '3o22A00', NULL, NULL, 162, NULL, NULL, 19522),
(48733, '4iawC00', NULL, NULL, 188, NULL, NULL, 19522),
(48734, '1mdcA00', NULL, NULL, 132, NULL, NULL, 19522),
(48735, '1gm6A00', NULL, NULL, 165, NULL, NULL, 19522),
(48736, '4r0bA00', NULL, NULL, 169, NULL, NULL, 19522),
(48737, '3saoB01', NULL, NULL, 145, NULL, NULL, 19522),
(48738, '4i3bA00', NULL, NULL, 139, NULL, NULL, 19522),
(48739, '2jozA01', NULL, NULL, 96, NULL, NULL, 19522),
(48740, '1p6pA00', NULL, NULL, 125, NULL, NULL, 19522),
(48741, '5ggeA00', NULL, NULL, 130, NULL, NULL, 19522),
(48742, '5uraB00', NULL, NULL, 135, NULL, NULL, 19522),
(48743, '4xmeA00', NULL, NULL, 184, NULL, NULL, 19522),
(48744, '6at8A00', NULL, NULL, 137, NULL, NULL, 19522),
(48745, '5hbsA00', NULL, NULL, 140, NULL, NULL, 19522),
(48746, '1o8vA00', NULL, NULL, 134, NULL, NULL, 19522),
(48747, '5hz8A00', NULL, NULL, 135, NULL, NULL, 19522),
(48748, '4gh7A00', NULL, NULL, 188, NULL, NULL, 19522),
(48749, '1bbpA00', NULL, NULL, 173, NULL, NULL, 19522),
(48750, '2l9cA01', NULL, NULL, 155, NULL, NULL, 19522),
(48751, '4iaxA00', NULL, NULL, 188, NULL, NULL, 19522),
(48752, '5nu2A00', NULL, NULL, 182, NULL, NULL, 19522),
(48753, '1z24A00', NULL, NULL, 189, NULL, NULL, 19522),
(48754, '3ia8A00', NULL, NULL, 163, NULL, NULL, 19522),
(48755, '1r0uA00', NULL, NULL, 148, NULL, NULL, 19522),
(48756, '3l4rA00', NULL, NULL, 170, NULL, NULL, 19522),
(48757, '1vprA03', NULL, NULL, 157, NULL, NULL, 19522),
(48758, '1u17A00', NULL, NULL, 185, NULL, NULL, 19522),
(48759, '4oddB00', NULL, NULL, 158, NULL, NULL, 19522),
(48760, '3kzaA00', NULL, NULL, 162, NULL, NULL, 19522),
(48761, '5mhhA00', NULL, NULL, 188, NULL, NULL, 19522),
(48762, '1zndA00', NULL, NULL, 174, NULL, NULL, 19522),
(48763, '4mvlD00', NULL, NULL, 188, NULL, NULL, 19522),
(48764, '4es7A00', NULL, NULL, 166, NULL, NULL, 19522),
(48765, '5hz5A00', NULL, NULL, 134, NULL, NULL, 19522),
(48766, '4aw8A00', NULL, NULL, 186, NULL, NULL, 19522),
(48767, '3elxA00', NULL, NULL, 138, NULL, NULL, 19522),
(48768, '1ifcA00', NULL, NULL, 132, NULL, NULL, 19522),
(48769, '3zq3A00', NULL, NULL, 173, NULL, NULL, 19522),
(48770, '1yivA00', NULL, NULL, 131, NULL, NULL, 19522),
(48771, '4tq2A00', NULL, NULL, 189, NULL, NULL, 19522),
(48772, '1iiuA00', NULL, NULL, 174, NULL, NULL, 19522),
(48773, '2x46A00', NULL, NULL, 144, NULL, NULL, 19522),
(48774, '1crbA00', NULL, NULL, 134, NULL, NULL, 19522),
(48775, '1vyfA00', NULL, NULL, 135, NULL, NULL, 19522),
(48776, '1jzuA00', NULL, NULL, 157, NULL, NULL, 19522),
(48777, '3cqnB00', NULL, NULL, 185, NULL, NULL, 19522),
(48778, '3fiqA00', NULL, NULL, 157, NULL, NULL, 19522),
(48779, '1ealA00', NULL, NULL, 127, NULL, NULL, 19522),
(48780, '1gglA00', NULL, NULL, 134, NULL, NULL, 19522),
(48781, '1qwdB00', NULL, NULL, 177, NULL, NULL, 19522),
(48782, '3bs2A00', NULL, NULL, 148, NULL, NULL, 19522),
(48783, '1x8pA00', NULL, NULL, 184, NULL, NULL, 19522),
(48784, '1cbiA00', NULL, NULL, 136, NULL, NULL, 19522),
(48785, '5h9nA00', NULL, NULL, 156, NULL, NULL, 19522),
(48786, '4wfvA00', NULL, NULL, 156, NULL, NULL, 19522),
(48787, '3kffA00', NULL, NULL, 162, NULL, NULL, 19522),
(48788, '4azqA00', NULL, NULL, 138, NULL, NULL, 19522),
(48789, '3ebwA01', NULL, NULL, 148, NULL, NULL, 19522),
(48790, '3kq0A00', NULL, NULL, 175, NULL, NULL, 19522),
(48791, '4ge1C00', NULL, NULL, 197, NULL, NULL, 19522),
(48792, '2xklA00', NULL, NULL, 171, NULL, NULL, 19522),
(48793, '3akmA00', NULL, NULL, 131, NULL, NULL, 19522),
(48794, '5ez2A00', NULL, NULL, 183, NULL, NULL, 19522),
(48795, '2p8gA00', NULL, NULL, 162, NULL, NULL, 19522),
(48796, '1ab0A00', NULL, NULL, 131, NULL, NULL, 19522),
(48797, '1gkaB00', NULL, NULL, 174, NULL, NULL, 19522),
(48798, '5nknA00', NULL, NULL, 174, NULL, NULL, 19522),
(48799, '3p6dA00', NULL, NULL, 139, NULL, NULL, 19522),
(48800, '1g7nA00', NULL, NULL, 131, NULL, NULL, 19522),
(48801, '2a2uA00', NULL, NULL, 162, NULL, NULL, 19522),
(48802, '1e5pA00', NULL, NULL, 151, NULL, NULL, 19522),
(48803, '2lbaA00', NULL, NULL, 136, NULL, NULL, 19522);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(48804, '3bt3A02', NULL, NULL, 60, NULL, NULL, 19523),
(48805, '2kjzA02', NULL, NULL, 57, NULL, NULL, 19523),
(48806, '3sk1A02', NULL, NULL, 59, NULL, NULL, 19523),
(48807, '3omsA02', NULL, NULL, 61, NULL, NULL, 19523),
(48808, '1u7iA02', NULL, NULL, 62, NULL, NULL, 19523),
(48809, '3itwA02', NULL, NULL, 70, NULL, NULL, 19523),
(48810, '3vcxA02', NULL, NULL, 55, NULL, NULL, 19523),
(48811, '2r7rA02', NULL, NULL, 153, NULL, NULL, 19524),
(48812, '2a01A02', NULL, NULL, 51, NULL, NULL, 19525),
(48813, '4pkwA02', NULL, NULL, 83, NULL, NULL, 19526),
(48814, '2fzlA02', NULL, NULL, 62, NULL, NULL, 19527),
(48815, '4ihqA02', NULL, NULL, 64, NULL, NULL, 19528),
(48816, '4xvvB00', NULL, NULL, 77, NULL, NULL, 19529),
(48817, '4xvvA00', NULL, NULL, 77, NULL, NULL, 19529),
(48818, '1dj8A00', NULL, NULL, 89, NULL, NULL, 19529),
(48819, '2myjA00', NULL, NULL, 79, NULL, NULL, 19529),
(48820, '2xuvC00', NULL, NULL, 79, NULL, NULL, 19529),
(48821, '2xuvD00', NULL, NULL, 79, NULL, NULL, 19529),
(48822, '2xuvA00', NULL, NULL, 79, NULL, NULL, 19529),
(48823, '2xuvB00', NULL, NULL, 79, NULL, NULL, 19529),
(48824, '3hjlA02', NULL, NULL, 106, NULL, NULL, 19530),
(48825, '3hjlA04', NULL, NULL, 92, NULL, NULL, 19530),
(48826, '1lkvX02', NULL, NULL, 140, NULL, NULL, 19530),
(48827, '1lkvX01', NULL, NULL, 92, NULL, NULL, 19530),
(48828, '3hjlA01', NULL, NULL, 90, NULL, NULL, 19530),
(48829, '4fhrB01', NULL, NULL, 124, NULL, NULL, 19530),
(48830, '4fhrB02', NULL, NULL, 92, NULL, NULL, 19530),
(48831, '3usyA01', NULL, NULL, 96, NULL, NULL, 19530),
(48832, '3ajcA01', NULL, NULL, 113, NULL, NULL, 19530),
(48833, '3uswA03', NULL, NULL, 98, NULL, NULL, 19530),
(48834, '3ug9A03', NULL, NULL, 39, NULL, NULL, 19531),
(48835, '4akgA04', NULL, NULL, 156, NULL, NULL, 19532),
(48836, '3vkgB03', NULL, NULL, 156, NULL, NULL, 19532),
(48837, '3alrB00', NULL, NULL, 72, NULL, NULL, 19533),
(48838, '5kl1B00', NULL, NULL, 70, NULL, NULL, 19533),
(48839, '2vf1A01', NULL, NULL, 24, NULL, NULL, 19534),
(48840, '5bq1A00', NULL, NULL, 209, NULL, NULL, 19535),
(48841, '3lasA00', NULL, NULL, 166, NULL, NULL, 19535),
(48842, '1i6pA00', NULL, NULL, 220, NULL, NULL, 19535),
(48843, '3teoA01', NULL, NULL, 180, NULL, NULL, 19535),
(48844, '3vqjA00', NULL, NULL, 219, NULL, NULL, 19535),
(48845, '5cxkA00', NULL, NULL, 222, NULL, NULL, 19535),
(48846, '3eyxA00', NULL, NULL, 216, NULL, NULL, 19535),
(48847, '2w3qA02', NULL, NULL, 178, NULL, NULL, 19535),
(48848, '1ym3A00', NULL, NULL, 215, NULL, NULL, 19535),
(48849, '1g5cA00', NULL, NULL, 170, NULL, NULL, 19535),
(48850, '5ztpA00', NULL, NULL, 169, NULL, NULL, 19535),
(48851, '3ucjA00', NULL, NULL, 227, NULL, NULL, 19535),
(48852, '1ekjA00', NULL, NULL, 221, NULL, NULL, 19535),
(48853, '3e3iJ00', NULL, NULL, 229, NULL, NULL, 19535),
(48854, '1ddzA02', NULL, NULL, 223, NULL, NULL, 19535),
(48855, '1ddzA01', NULL, NULL, 242, NULL, NULL, 19535),
(48856, '5swcD00', NULL, NULL, 206, NULL, NULL, 19535),
(48857, '4yf4A00', NULL, NULL, 172, NULL, NULL, 19535),
(48858, '3qy1A00', NULL, NULL, 223, NULL, NULL, 19535),
(48859, '4o1jA00', NULL, NULL, 211, NULL, NULL, 19535),
(48860, '3e24A00', NULL, NULL, 195, NULL, NULL, 19535),
(48861, '4o1kA00', NULL, NULL, 233, NULL, NULL, 19535),
(48862, '5swcF00', NULL, NULL, 223, NULL, NULL, 19535),
(48863, '1g6q102', NULL, NULL, 184, NULL, NULL, 19536),
(48864, '3ua3A03', NULL, NULL, 212, NULL, NULL, 19536),
(48865, '5dstA02', NULL, NULL, 177, NULL, NULL, 19536),
(48866, '4m37A02', NULL, NULL, 174, NULL, NULL, 19536),
(48867, '4qqkA02', NULL, NULL, 188, NULL, NULL, 19536),
(48868, '4gqbA03', NULL, NULL, 171, NULL, NULL, 19536),
(48869, '3q7eA02', NULL, NULL, 177, NULL, NULL, 19536),
(48870, '2fytA02', NULL, NULL, 170, NULL, NULL, 19536),
(48871, '6cu3A02', NULL, NULL, 176, NULL, NULL, 19536),
(48872, '6dvrB02', NULL, NULL, 201, NULL, NULL, 19536),
(48873, '5fubA02', NULL, NULL, 187, NULL, NULL, 19536),
(48874, '4c4aA04', NULL, NULL, 179, NULL, NULL, 19536),
(48875, '1f3lA02', NULL, NULL, 170, NULL, NULL, 19536),
(48876, '4c4aA02', NULL, NULL, 193, NULL, NULL, 19536),
(48877, '5fwaA02', NULL, NULL, 190, NULL, NULL, 19536);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(48878, '4g56A03', NULL, NULL, 171, NULL, NULL, 19536),
(48879, '4lwoB02', NULL, NULL, 186, NULL, NULL, 19536),
(48880, '3r0qA02', NULL, NULL, 208, NULL, NULL, 19536),
(48881, '3x0dA02', NULL, NULL, 176, NULL, NULL, 19536),
(48882, '4c08A02', NULL, NULL, 188, NULL, NULL, 19536),
(48883, '2d4uB00', NULL, NULL, 176, NULL, NULL, 19537),
(48884, '4h54A01', NULL, NULL, 134, NULL, NULL, 19537),
(48885, '1vlsA00', NULL, NULL, 146, NULL, NULL, 19537),
(48886, '4z9hB00', NULL, NULL, 161, NULL, NULL, 19537),
(48887, '3t9oB00', NULL, NULL, 135, NULL, NULL, 19537),
(48888, '3bs6B00', NULL, NULL, 280, NULL, NULL, 19538),
(48889, '2ikbB00', NULL, NULL, 167, NULL, NULL, 19539),
(48890, '1chkA01', NULL, NULL, 143, NULL, NULL, 19539),
(48891, '4oltB01', NULL, NULL, 153, NULL, NULL, 19539),
(48892, '4ilyA01', NULL, NULL, 155, NULL, NULL, 19539),
(48893, '5hwaA02', NULL, NULL, 111, NULL, NULL, 19539),
(48894, '2nr7A00', NULL, NULL, 195, NULL, NULL, 19539),
(48895, '2vixC02', NULL, NULL, 89, NULL, NULL, 19540),
(48896, '2vixA02', NULL, NULL, 89, NULL, NULL, 19540),
(48897, '2vixB02', NULL, NULL, 89, NULL, NULL, 19540),
(48898, '2vj4A02', NULL, NULL, 89, NULL, NULL, 19540),
(48899, '2vj5A02', NULL, NULL, 89, NULL, NULL, 19540),
(48900, '2vj4B02', NULL, NULL, 89, NULL, NULL, 19540),
(48901, '4ritB01', NULL, NULL, 242, NULL, NULL, 19541),
(48902, '2okkA01', NULL, NULL, 248, NULL, NULL, 19541),
(48903, '2jisA01', NULL, NULL, 239, NULL, NULL, 19541),
(48904, '3vp6B01', NULL, NULL, 262, NULL, NULL, 19541),
(48905, '6enzA01', NULL, NULL, 244, NULL, NULL, 19541),
(48906, '4obuA01', NULL, NULL, 249, NULL, NULL, 19541),
(48907, '3kz5E00', NULL, NULL, 52, NULL, NULL, 19542),
(48908, '2l5yA02', NULL, NULL, 68, NULL, NULL, 19543),
(48909, '2qarD00', NULL, NULL, 86, NULL, NULL, 19543),
(48910, '2e8mA01', NULL, NULL, 84, NULL, NULL, 19543),
(48911, '1v85A00', NULL, NULL, 91, NULL, NULL, 19543),
(48912, '3senB02', NULL, NULL, 76, NULL, NULL, 19543),
(48913, '2d3dA00', NULL, NULL, 88, NULL, NULL, 19543),
(48914, '6fxfA00', NULL, NULL, 65, NULL, NULL, 19543),
(48915, '1x9xA00', NULL, NULL, 68, NULL, NULL, 19543),
(48916, '1sv0D00', NULL, NULL, 82, NULL, NULL, 19543),
(48917, '2kmdA01', NULL, NULL, 97, NULL, NULL, 19543),
(48918, '3kkaD00', NULL, NULL, 69, NULL, NULL, 19543),
(48919, '3tadD01', NULL, NULL, 62, NULL, NULL, 19543),
(48920, '2f3nA00', NULL, NULL, 76, NULL, NULL, 19543),
(48921, '4is7A02', NULL, NULL, 78, NULL, NULL, 19543),
(48922, '4is7A01', NULL, NULL, 68, NULL, NULL, 19543),
(48923, '1z1vA00', NULL, NULL, 80, NULL, NULL, 19543),
(48924, '2d8cA01', NULL, NULL, 76, NULL, NULL, 19543),
(48925, '1b0xA00', NULL, NULL, 72, NULL, NULL, 19543),
(48926, '1lkyA00', NULL, NULL, 77, NULL, NULL, 19543),
(48927, '1ucvA00', NULL, NULL, 81, NULL, NULL, 19543),
(48928, '2lpeA02', NULL, NULL, 71, NULL, NULL, 19543),
(48929, '2dl0A01', NULL, NULL, 59, NULL, NULL, 19543),
(48930, '3bs7A00', NULL, NULL, 78, NULL, NULL, 19543),
(48931, '3h8mA00', NULL, NULL, 72, NULL, NULL, 19543),
(48932, '5zrzA00', NULL, NULL, 80, NULL, NULL, 19543),
(48933, '2k60A02', NULL, NULL, 68, NULL, NULL, 19543),
(48934, '2e8pA01', NULL, NULL, 71, NULL, NULL, 19543),
(48935, '4mhvA00', NULL, NULL, 97, NULL, NULL, 19543),
(48936, '5j8yA00', NULL, NULL, 80, NULL, NULL, 19543),
(48937, '1x40A00', NULL, NULL, 91, NULL, NULL, 19543),
(48938, '3tacB01', NULL, NULL, 138, NULL, NULL, 19543),
(48939, '2qb1A00', NULL, NULL, 78, NULL, NULL, 19543),
(48940, '3tacB02', NULL, NULL, 80, NULL, NULL, 19543),
(48941, '2y9uA00', NULL, NULL, 69, NULL, NULL, 19543),
(48942, '1dxsA00', NULL, NULL, 64, NULL, NULL, 19543),
(48943, '3tacB03', NULL, NULL, 96, NULL, NULL, 19543),
(48944, '3bs5B00', NULL, NULL, 80, NULL, NULL, 19543),
(48945, '1pk1A00', NULL, NULL, 89, NULL, NULL, 19543),
(48946, '2dkzA01', NULL, NULL, 61, NULL, NULL, 19543),
(48947, '4pzoE00', NULL, NULL, 82, NULL, NULL, 19543),
(48948, '2eapA01', NULL, NULL, 77, NULL, NULL, 19543),
(48949, '1b4fG00', NULL, NULL, 82, NULL, NULL, 19543),
(48950, '1sv0A00', NULL, NULL, 85, NULL, NULL, 19543),
(48951, '2ke7A00', NULL, NULL, 63, NULL, NULL, 19543);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(48952, '2e8oA01', NULL, NULL, 62, NULL, NULL, 19543),
(48953, '5jrtA00', NULL, NULL, 77, NULL, NULL, 19543),
(48954, '3senA01', NULL, NULL, 81, NULL, NULL, 19543),
(48955, '3bq7C00', NULL, NULL, 81, NULL, NULL, 19543),
(48956, '3hilA00', NULL, NULL, 63, NULL, NULL, 19543),
(48957, '2gleA00', NULL, NULL, 74, NULL, NULL, 19543),
(48958, '1sxeA00', NULL, NULL, 97, NULL, NULL, 19543),
(48959, '1ji7A00', NULL, NULL, 89, NULL, NULL, 19543),
(48960, '2kivA01', NULL, NULL, 76, NULL, NULL, 19543),
(48961, '2kivA02', NULL, NULL, 60, NULL, NULL, 19543),
(48962, '1x66A01', NULL, NULL, 70, NULL, NULL, 19543),
(48963, '3tadC02', NULL, NULL, 102, NULL, NULL, 19543),
(48964, '1sggA00', NULL, NULL, 75, NULL, NULL, 19543),
(48965, '3tadC03', NULL, NULL, 101, NULL, NULL, 19543),
(48966, '4nl9B01', NULL, NULL, 62, NULL, NULL, 19543),
(48967, '2eaoA01', NULL, NULL, 60, NULL, NULL, 19543),
(48968, '3seiB02', NULL, NULL, 76, NULL, NULL, 19543),
(48969, '4nl9D01', NULL, NULL, 64, NULL, NULL, 19543),
(48970, '1wwuA01', NULL, NULL, 64, NULL, NULL, 19543),
(48971, '2qkqA00', NULL, NULL, 83, NULL, NULL, 19543),
(48972, '4rqmA01', NULL, NULL, 65, NULL, NULL, 19543),
(48973, '1v38A00', NULL, NULL, 78, NULL, NULL, 19543),
(48974, '2e8nA00', NULL, NULL, 88, NULL, NULL, 19543),
(48975, '3seiA01', NULL, NULL, 73, NULL, NULL, 19543),
(48976, '1kw4A00', NULL, NULL, 89, NULL, NULL, 19543),
(48977, '2kg5A01', NULL, NULL, 64, NULL, NULL, 19543),
(48978, '3tadB01', NULL, NULL, 110, NULL, NULL, 19543),
(48979, '1sxdA00', NULL, NULL, 91, NULL, NULL, 19543),
(48980, '5zrzB00', NULL, NULL, 70, NULL, NULL, 19543),
(48981, '1rg6A00', NULL, NULL, 75, NULL, NULL, 19543),
(48982, '3k1rB00', NULL, NULL, 74, NULL, NULL, 19543),
(48983, '5f3xB00', NULL, NULL, 81, NULL, NULL, 19543),
(48984, '2k4pA00', NULL, NULL, 65, NULL, NULL, 19543),
(48985, '2lmrA01', NULL, NULL, 60, NULL, NULL, 19543),
(48986, '1oxjA01', NULL, NULL, 63, NULL, NULL, 19543),
(48987, '2dkxA00', NULL, NULL, 96, NULL, NULL, 19543),
(48988, '1pk1B00', NULL, NULL, 89, NULL, NULL, 19543),
(48989, '5j8yD00', NULL, NULL, 89, NULL, NULL, 19543),
(48990, '5n2oA00', NULL, NULL, 70, NULL, NULL, 19543),
(48991, '1wwvA00', NULL, NULL, 91, NULL, NULL, 19543),
(48992, '3idwA00', NULL, NULL, 72, NULL, NULL, 19543),
(48993, '5ju5C00', NULL, NULL, 79, NULL, NULL, 19543),
(48994, '2eanA00', NULL, NULL, 83, NULL, NULL, 19543),
(48995, '2id0A02', NULL, NULL, 73, NULL, NULL, 19544),
(48996, '3c8iA00', NULL, NULL, 141, NULL, NULL, 19545),
(48997, '1h6wA03', NULL, NULL, 67, NULL, NULL, 19546),
(48998, '2xgfA01', NULL, NULL, 56, NULL, NULL, 19546),
(48999, '4h61A00', NULL, NULL, 139, NULL, NULL, 19547),
(49000, '3j27A05', NULL, NULL, 100, NULL, NULL, 19548),
(49001, '6co8A05', NULL, NULL, 100, NULL, NULL, 19548),
(49002, '5o6aA05', NULL, NULL, 100, NULL, NULL, 19548),
(49003, '1xdpA01', NULL, NULL, 105, NULL, NULL, 19549),
(49004, '2o8rB01', NULL, NULL, 126, NULL, NULL, 19549),
(49005, '2j3tD01', NULL, NULL, 135, NULL, NULL, 19550),
(49006, '2j3tC00', NULL, NULL, 145, NULL, NULL, 19550),
(49007, '2j3wC00', NULL, NULL, 142, NULL, NULL, 19550),
(49008, '3pr6A00', NULL, NULL, 162, NULL, NULL, 19550),
(49009, '3cueC00', NULL, NULL, 159, NULL, NULL, 19550),
(49010, '3cueA01', NULL, NULL, 157, NULL, NULL, 19550),
(49011, '2qlzA02', NULL, NULL, 86, NULL, NULL, 19551),
(49012, '2wb0X01', NULL, NULL, 120, NULL, NULL, 19552),
(49013, '3nw0B01', NULL, NULL, 84, NULL, NULL, 19553),
(49014, '2wa0A01', NULL, NULL, 114, NULL, NULL, 19553),
(49015, '1m6nA05', NULL, NULL, 85, NULL, NULL, 19554),
(49016, '1ei6A02', NULL, NULL, 111, NULL, NULL, 19555),
(49017, '3szyA02', NULL, NULL, 111, NULL, NULL, 19555),
(49018, '2htvA00', NULL, NULL, 390, NULL, NULL, 19556),
(49019, '5hx0A00', NULL, NULL, 365, NULL, NULL, 19556),
(49020, '4qn3A00', NULL, NULL, 390, NULL, NULL, 19556),
(49021, '3ti4A00', NULL, NULL, 388, NULL, NULL, 19556),
(49022, '2xziA00', NULL, NULL, 386, NULL, NULL, 19556),
(49023, '4yz1A02', NULL, NULL, 369, NULL, NULL, 19556),
(49024, '5hunA00', NULL, NULL, 400, NULL, NULL, 19556),
(49025, '6jjmA00', NULL, NULL, 460, NULL, NULL, 19556);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(49026, '4q6kA02', NULL, NULL, 359, NULL, NULL, 19556),
(49027, '6br5A00', NULL, NULL, 387, NULL, NULL, 19556),
(49028, '4cpyA00', NULL, NULL, 390, NULL, NULL, 19556),
(49029, '6hfcA00', NULL, NULL, 388, NULL, NULL, 19556),
(49030, '1s0iA01', NULL, NULL, 411, NULL, NULL, 19556),
(49031, '4hzzA00', NULL, NULL, 387, NULL, NULL, 19556),
(49032, '4k3yC00', NULL, NULL, 369, NULL, NULL, 19556),
(49033, '2aepA00', NULL, NULL, 395, NULL, NULL, 19556),
(49034, '1n1tA01', NULL, NULL, 386, NULL, NULL, 19556),
(49035, '4j9tA00', NULL, NULL, 363, NULL, NULL, 19556),
(49036, '4wa3A00', NULL, NULL, 388, NULL, NULL, 19556),
(49037, '4gdiA00', NULL, NULL, 373, NULL, NULL, 19556),
(49038, '5humA00', NULL, NULL, 391, NULL, NULL, 19556),
(49039, '1so7A00', NULL, NULL, 382, NULL, NULL, 19556),
(49040, '4gjtA00', NULL, NULL, 473, NULL, NULL, 19556),
(49041, '4mwjA00', NULL, NULL, 388, NULL, NULL, 19556),
(49042, '2rkcA00', NULL, NULL, 429, NULL, NULL, 19556),
(49043, '2vsmA00', NULL, NULL, 416, NULL, NULL, 19556),
(49044, '4bbwA02', NULL, NULL, 359, NULL, NULL, 19556),
(49045, '1nscA00', NULL, NULL, 390, NULL, NULL, 19556),
(49046, '2w20B01', NULL, NULL, 391, NULL, NULL, 19556),
(49047, '4hizA02', NULL, NULL, 378, NULL, NULL, 19556),
(49048, '4xjwA02', NULL, NULL, 370, NULL, NULL, 19556),
(49049, '4fj6A02', NULL, NULL, 360, NULL, NULL, 19556),
(49050, '3ju4A02', NULL, NULL, 357, NULL, NULL, 19556),
(49051, '4mzaA00', NULL, NULL, 437, NULL, NULL, 19556),
(49052, '3silA00', NULL, NULL, 379, NULL, NULL, 19556),
(49053, '3b7eA00', NULL, NULL, 385, NULL, NULL, 19556),
(49054, '3ckzA00', NULL, NULL, 385, NULL, NULL, 19556),
(49055, '4h53A00', NULL, NULL, 388, NULL, NULL, 19556),
(49056, '4uf7B00', NULL, NULL, 422, NULL, NULL, 19556),
(49057, '2sliA02', NULL, NULL, 383, NULL, NULL, 19556),
(49058, '3t1eB00', NULL, NULL, 446, NULL, NULL, 19556),
(49059, '4x4aA01', NULL, NULL, 393, NULL, NULL, 19556),
(49060, '2ydtA00', NULL, NULL, 367, NULL, NULL, 19556),
(49061, '1z4vA00', NULL, NULL, 448, NULL, NULL, 19556),
(49062, '3h6jA01', NULL, NULL, 315, NULL, NULL, 19556),
(49063, '1e8uA00', NULL, NULL, 446, NULL, NULL, 19556),
(49064, '1w0pA02', NULL, NULL, 381, NULL, NULL, 19556),
(49065, '3o9jA00', NULL, NULL, 387, NULL, NULL, 19556),
(49066, '6cmgA00', NULL, NULL, 428, NULL, NULL, 19556),
(49067, '2bf6A01', NULL, NULL, 383, NULL, NULL, 19556),
(49068, '3salA00', NULL, NULL, 395, NULL, NULL, 19556),
(49069, '6hgbA00', NULL, NULL, 389, NULL, NULL, 19556),
(49070, '1b9vA00', NULL, NULL, 390, NULL, NULL, 19556),
(49071, '3a72A00', NULL, NULL, 355, NULL, NULL, 19556),
(49072, '5hukA00', NULL, NULL, 402, NULL, NULL, 19556),
(49073, '5hugA00', NULL, NULL, 397, NULL, NULL, 19556),
(49074, '2yilA02', NULL, NULL, 55, NULL, NULL, 19557),
(49075, '3vm9A01', NULL, NULL, 96, NULL, NULL, 19558),
(49076, '3bk3C00', NULL, NULL, 67, NULL, NULL, 19559),
(49077, '3emfB00', NULL, NULL, 116, NULL, NULL, 19560),
(49078, '1s7mA02', NULL, NULL, 90, NULL, NULL, 19560),
(49079, '3emiA00', NULL, NULL, 116, NULL, NULL, 19560),
(49080, '4a1rC00', NULL, NULL, 149, NULL, NULL, 19561),
(49081, '3zhnA00', NULL, NULL, 131, NULL, NULL, 19561),
(49082, '3rx9A00', NULL, NULL, 134, NULL, NULL, 19561),
(49083, '2oqrA02', NULL, NULL, 39, NULL, NULL, 19562),
(49084, '2e4uA03', NULL, NULL, 77, NULL, NULL, 19563),
(49085, '3lnoD00', NULL, NULL, 108, NULL, NULL, 19564),
(49086, '3lnoE00', NULL, NULL, 108, NULL, NULL, 19564),
(49087, '3lnoB00', NULL, NULL, 108, NULL, NULL, 19564),
(49088, '3lnoC00', NULL, NULL, 108, NULL, NULL, 19564),
(49089, '1uwdA00', NULL, NULL, 103, NULL, NULL, 19564),
(49090, '3lnoF00', NULL, NULL, 108, NULL, NULL, 19564),
(49091, '1th5A00', NULL, NULL, 74, NULL, NULL, 19564),
(49092, '3lnoA00', NULL, NULL, 108, NULL, NULL, 19564),
(49093, '3cq2A00', NULL, NULL, 103, NULL, NULL, 19564),
(49094, '3ux3A01', NULL, NULL, 97, NULL, NULL, 19564),
(49095, '2z51A01', NULL, NULL, 82, NULL, NULL, 19564),
(49096, '1vehA01', NULL, NULL, 75, NULL, NULL, 19564),
(49097, '2z51A02', NULL, NULL, 72, NULL, NULL, 19564),
(49098, '1xhjA00', NULL, NULL, 88, NULL, NULL, 19564);
INSERT INTO "PUBLIC"."MODEL" VALUES
(49099, '2m5oA01', NULL, NULL, 75, NULL, NULL, 19564),
(49100, '2jnvA00', NULL, NULL, 91, NULL, NULL, 19564),
(49101, '2ovbA02', NULL, NULL, 80, NULL, NULL, 19565),
(49102, '3mgbA02', NULL, NULL, 97, NULL, NULL, 19565),
(49103, '3uitA01', NULL, NULL, 133, NULL, NULL, 19566),
(49104, '1z3xA01', NULL, NULL, 162, NULL, NULL, 19567),
(49105, '4xkbA01', NULL, NULL, 154, NULL, NULL, 19567),
(49106, '5glkA00', NULL, NULL, 344, NULL, NULL, 19568),
(49107, '1w2tA01', NULL, NULL, 283, NULL, NULL, 19568),
(49108, '2ac1A01', NULL, NULL, 333, NULL, NULL, 19568),
(49109, '5flwA00', NULL, NULL, 304, NULL, NULL, 19568),
(49110, '5b6tA00', NULL, NULL, 327, NULL, NULL, 19568),
(49111, '6b7kA00', NULL, NULL, 301, NULL, NULL, 19568),
(49112, '3c7fA02', NULL, NULL, 345, NULL, NULL, 19568),
(49113, '4novA00', NULL, NULL, 306, NULL, NULL, 19568),
(49114, '3lv4A01', NULL, NULL, 321, NULL, NULL, 19568),
(49115, '3ligA01', NULL, NULL, 422, NULL, NULL, 19568),
(49116, '4ak5B00', NULL, NULL, 369, NULL, NULL, 19568),
(49117, '1uv4A00', NULL, NULL, 293, NULL, NULL, 19568),
(49118, '4kc7A01', NULL, NULL, 327, NULL, NULL, 19568),
(49119, '4ffhA01', NULL, NULL, 327, NULL, NULL, 19568),
(49120, '3wasA00', NULL, NULL, 390, NULL, NULL, 19568),
(49121, '3kf3A01', NULL, NULL, 332, NULL, NULL, 19568),
(49122, '3kstA00', NULL, NULL, 306, NULL, NULL, 19568),
(49123, '3wmyA00', NULL, NULL, 302, NULL, NULL, 19568),
(49124, '3r67A00', NULL, NULL, 356, NULL, NULL, 19568),
(49125, '5a7vB00', NULL, NULL, 359, NULL, NULL, 19568),
(49126, '4n4bA00', NULL, NULL, 319, NULL, NULL, 19568),
(49127, '4u6dA00', NULL, NULL, 387, NULL, NULL, 19568),
(49128, '4eqvA01', NULL, NULL, 336, NULL, NULL, 19568),
(49129, '5ayeA00', NULL, NULL, 335, NULL, NULL, 19568),
(49130, '4udgB00', NULL, NULL, 321, NULL, NULL, 19568),
(49131, '2x8sA01', NULL, NULL, 325, NULL, NULL, 19568),
(49132, '2b4wA00', NULL, NULL, 315, NULL, NULL, 19568),
(49133, '3nqhA01', NULL, NULL, 305, NULL, NULL, 19568),
(49134, '3qeeB00', NULL, NULL, 307, NULL, NULL, 19568),
(49135, '3sc7X01', NULL, NULL, 336, NULL, NULL, 19568),
(49136, '4onzA00', NULL, NULL, 359, NULL, NULL, 19568),
(49137, '6frwA00', NULL, NULL, 411, NULL, NULL, 19568),
(49138, '3pijA01', NULL, NULL, 377, NULL, NULL, 19568),
(49139, '4d47A00', NULL, NULL, 415, NULL, NULL, 19568),
(49140, '3zxkA01', NULL, NULL, 315, NULL, NULL, 19568),
(49141, '5m8eA00', NULL, NULL, 323, NULL, NULL, 19568),
(49142, '3vsfC01', NULL, NULL, 342, NULL, NULL, 19568),
(49143, '4pvaA00', NULL, NULL, 342, NULL, NULL, 19568),
(49144, '5nslA01', NULL, NULL, 428, NULL, NULL, 19568),
(49145, '6ms3A01', NULL, NULL, 311, NULL, NULL, 19568),
(49146, '5jowA01', NULL, NULL, 312, NULL, NULL, 19568),
(49147, '1w18A00', NULL, NULL, 493, NULL, NULL, 19568),
(49148, '3p2nB02', NULL, NULL, 342, NULL, NULL, 19568),
(49149, '1vkdA00', NULL, NULL, 338, NULL, NULL, 19568),
(49150, '5ubjA00', NULL, NULL, 303, NULL, NULL, 19568),
(49151, '3ugfA01', NULL, NULL, 333, NULL, NULL, 19568),
(49152, '5ho9B01', NULL, NULL, 400, NULL, NULL, 19568),
(49153, '3akhA01', NULL, NULL, 319, NULL, NULL, 19568),
(49154, '5c0pA00', NULL, NULL, 298, NULL, NULL, 19568),
(49155, '5ta7A00', NULL, NULL, 369, NULL, NULL, 19568),
(49156, '1oygA01', NULL, NULL, 441, NULL, NULL, 19568),
(49157, '4qqsB00', NULL, NULL, 315, NULL, NULL, 19568),
(49158, '3r4zA00', NULL, NULL, 374, NULL, NULL, 19568),
(49159, '5zqjA01', NULL, NULL, 326, NULL, NULL, 19568),
(49160, '3c2uA01', NULL, NULL, 328, NULL, NULL, 19568),
(49161, '2yfrA01', NULL, NULL, 484, NULL, NULL, 19568),
(49162, '1gyhA00', NULL, NULL, 318, NULL, NULL, 19568),
(49163, '5m8bA00', NULL, NULL, 325, NULL, NULL, 19568),
(49164, '3cu9A00', NULL, NULL, 314, NULL, NULL, 19568),
(49165, '1st8A01', NULL, NULL, 338, NULL, NULL, 19568),
(49166, '3tawA00', NULL, NULL, 356, NULL, NULL, 19568),
(49167, '4kcbB00', NULL, NULL, 324, NULL, NULL, 19568),
(49168, '1yrzA01', NULL, NULL, 320, NULL, NULL, 19568),
(49169, '3k1uA00', NULL, NULL, 330, NULL, NULL, 19568),
(49170, '5a8cA00', NULL, NULL, 300, NULL, NULL, 19568),
(49171, '6ifeA01', NULL, NULL, 326, NULL, NULL, 19568);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(49172, '6f1jB00', NULL, NULL, 302, NULL, NULL, 19568),
(49173, '1yifA01', NULL, NULL, 326, NULL, NULL, 19568),
(49174, '5jozA01', NULL, NULL, 307, NULL, NULL, 19568),
(49175, '2exhA01', NULL, NULL, 327, NULL, NULL, 19568),
(49176, '4u6bA00', NULL, NULL, 358, NULL, NULL, 19568),
(49177, '3qz4A00', NULL, NULL, 311, NULL, NULL, 19568),
(49178, '1y4wA01', NULL, NULL, 355, NULL, NULL, 19568),
(49179, '3qc2B00', NULL, NULL, 364, NULL, NULL, 19568),
(49180, '5aycA00', NULL, NULL, 386, NULL, NULL, 19568),
(49181, '5xh8A01', NULL, NULL, 427, NULL, NULL, 19568),
(49182, '1y7bA01', NULL, NULL, 326, NULL, NULL, 19568),
(49183, '4n1iA00', NULL, NULL, 334, NULL, NULL, 19568),
(49184, '4kcaA02', NULL, NULL, 393, NULL, NULL, 19568),
(49185, '4mlgG00', NULL, NULL, 324, NULL, NULL, 19568),
(49186, '3wpuA01', NULL, NULL, 487, NULL, NULL, 19568),
(49187, '4o8oA00', NULL, NULL, 303, NULL, NULL, 19568),
(49188, '5z5dA01', NULL, NULL, 305, NULL, NULL, 19568),
(49189, '3om4A01', NULL, NULL, 449, NULL, NULL, 19568),
(49190, '3dfuA02', NULL, NULL, 101, NULL, NULL, 19569),
(49191, '2fy2A02', NULL, NULL, 318, NULL, NULL, 19570),
(49192, '1t1uA02', NULL, NULL, 321, NULL, NULL, 19570),
(49193, '1xl7A02', NULL, NULL, 320, NULL, NULL, 19570),
(49194, '1nm8A02', NULL, NULL, 315, NULL, NULL, 19570),
(49195, '1ndbA02', NULL, NULL, 314, NULL, NULL, 19570),
(49196, '2debA03', NULL, NULL, 282, NULL, NULL, 19570),
(49197, '1dgfA01', NULL, NULL, 64, NULL, NULL, 19571),
(49198, '4b7hA01', NULL, NULL, 63, NULL, NULL, 19571),
(49199, '3rgpA01', NULL, NULL, 65, NULL, NULL, 19571),
(49200, '2debA01', NULL, NULL, 49, NULL, NULL, 19572),
(49201, '4mi7A00', NULL, NULL, 140, NULL, NULL, 19573),
(49202, '1jmuB02', NULL, NULL, 124, NULL, NULL, 19574),
(49203, '4bl0B00', NULL, NULL, 58, NULL, NULL, 19575),
(49204, '3if8B01', NULL, NULL, 64, NULL, NULL, 19576),
(49205, '3beyD00', NULL, NULL, 96, NULL, NULL, 19577),
(49206, '3d7iB00', NULL, NULL, 105, NULL, NULL, 19577),
(49207, '2q0tB01', NULL, NULL, 254, NULL, NULL, 19577),
(49208, '4g9qA00', NULL, NULL, 238, NULL, NULL, 19577),
(49209, '3c1lC02', NULL, NULL, 124, NULL, NULL, 19577),
(49210, '3c1lD02', NULL, NULL, 124, NULL, NULL, 19577),
(49211, '2ouwB00', NULL, NULL, 138, NULL, NULL, 19577),
(49212, '3lvyE01', NULL, NULL, 173, NULL, NULL, 19577),
(49213, '3c1lA02', NULL, NULL, 124, NULL, NULL, 19577),
(49214, '3c1lB02', NULL, NULL, 124, NULL, NULL, 19577),
(49215, '3c1lG02', NULL, NULL, 124, NULL, NULL, 19577),
(49216, '3c1lH02', NULL, NULL, 124, NULL, NULL, 19577),
(49217, '3c1lE02', NULL, NULL, 124, NULL, NULL, 19577),
(49218, '3c1lF02', NULL, NULL, 124, NULL, NULL, 19577),
(49219, '2prrA02', NULL, NULL, 129, NULL, NULL, 19577),
(49220, '2pfxA02', NULL, NULL, 125, NULL, NULL, 19577),
(49221, '2o4dA00', NULL, NULL, 144, NULL, NULL, 19577),
(49222, '1vkeE00', NULL, NULL, 133, NULL, NULL, 19577),
(49223, '1vkeB00', NULL, NULL, 101, NULL, NULL, 19577),
(49224, '2pfxB02', NULL, NULL, 125, NULL, NULL, 19577),
(49225, '2qeuB00', NULL, NULL, 141, NULL, NULL, 19577),
(49226, '1gu9C00', NULL, NULL, 177, NULL, NULL, 19577),
(49227, '2oyoA02', NULL, NULL, 125, NULL, NULL, 19577),
(49228, '3c1lK02', NULL, NULL, 124, NULL, NULL, 19577),
(49229, '2gmyD00', NULL, NULL, 153, NULL, NULL, 19577),
(49230, '2af7D00', NULL, NULL, 125, NULL, NULL, 19577),
(49231, '3c1lL02', NULL, NULL, 124, NULL, NULL, 19577),
(49232, '3c1lI02', NULL, NULL, 124, NULL, NULL, 19577),
(49233, '3c1lJ02', NULL, NULL, 124, NULL, NULL, 19577),
(49234, '5dikA00', NULL, NULL, 121, NULL, NULL, 19577),
(49235, '2cwqA00', NULL, NULL, 137, NULL, NULL, 19577),
(49236, '2bicA01', NULL, NULL, 28, NULL, NULL, 19578),
(49237, '5bvrA01', NULL, NULL, 120, NULL, NULL, 19579),
(49238, '5bvrA02', NULL, NULL, 116, NULL, NULL, 19579),
(49239, '1dxxA01', NULL, NULL, 121, NULL, NULL, 19579),
(49240, '2qjxA00', NULL, NULL, 127, NULL, NULL, 19579),
(49241, '1wkuA01', NULL, NULL, 112, NULL, NULL, 19579),
(49242, '3co1A00', NULL, NULL, 132, NULL, NULL, 19579),
(49243, '2wa7A02', NULL, NULL, 116, NULL, NULL, 19579),
(49244, '1wylA01', NULL, NULL, 103, NULL, NULL, 19579);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(49245, '1p2xA00', NULL, NULL, 159, NULL, NULL, 19579),
(49246, '4edmA00', NULL, NULL, 133, NULL, NULL, 19579),
(49247, '1rt8A04', NULL, NULL, 115, NULL, NULL, 19579),
(49248, '1dxxA02', NULL, NULL, 125, NULL, NULL, 19579),
(49249, '2d88A01', NULL, NULL, 105, NULL, NULL, 19579),
(49250, '1wypA00', NULL, NULL, 136, NULL, NULL, 19579),
(49251, '2wa7A01', NULL, NULL, 129, NULL, NULL, 19579),
(49252, '1pxyB01', NULL, NULL, 128, NULL, NULL, 19579),
(49253, '5l0oA00', NULL, NULL, 164, NULL, NULL, 19579),
(49254, '1pxyB03', NULL, NULL, 118, NULL, NULL, 19579),
(49255, '1pxyB02', NULL, NULL, 129, NULL, NULL, 19579),
(49256, '3hopA01', NULL, NULL, 117, NULL, NULL, 19579),
(49257, '1v5kA00', NULL, NULL, 115, NULL, NULL, 19579),
(49258, '3ky9A01', NULL, NULL, 167, NULL, NULL, 19579),
(49259, '4txiA03', NULL, NULL, 109, NULL, NULL, 19579),
(49260, '2r0oA02', NULL, NULL, 118, NULL, NULL, 19579),
(49261, '3ferA02', NULL, NULL, 125, NULL, NULL, 19579),
(49262, '1h67A00', NULL, NULL, 108, NULL, NULL, 19579),
(49263, '1wymA01', NULL, NULL, 132, NULL, NULL, 19579),
(49264, '2d87A01', NULL, NULL, 108, NULL, NULL, 19579),
(49265, '1wyqA01', NULL, NULL, 105, NULL, NULL, 19579),
(49266, '1aoaA01', NULL, NULL, 118, NULL, NULL, 19579),
(49267, '1aoaA02', NULL, NULL, 136, NULL, NULL, 19579),
(49268, '2ee7A01', NULL, NULL, 115, NULL, NULL, 19579),
(49269, '1wkuB02', NULL, NULL, 120, NULL, NULL, 19579),
(49270, '5a37A02', NULL, NULL, 120, NULL, NULL, 19579),
(49271, '2eyiA02', NULL, NULL, 120, NULL, NULL, 19579),
(49272, '2qjzA00', NULL, NULL, 123, NULL, NULL, 19579),
(49273, '2vzcB00', NULL, NULL, 131, NULL, NULL, 19579),
(49274, '1sh5A01', NULL, NULL, 104, NULL, NULL, 19579),
(49275, '2jv9A01', NULL, NULL, 108, NULL, NULL, 19579),
(49276, '1qagA01', NULL, NULL, 100, NULL, NULL, 19579),
(49277, '2d86A01', NULL, NULL, 125, NULL, NULL, 19579),
(49278, '4q57B01', NULL, NULL, 133, NULL, NULL, 19579),
(49279, '1wynA01', NULL, NULL, 108, NULL, NULL, 19579),
(49280, '4q57B02', NULL, NULL, 111, NULL, NULL, 19579),
(49281, '1wjoA01', NULL, NULL, 104, NULL, NULL, 19579),
(49282, '1wyrA00', NULL, NULL, 121, NULL, NULL, 19579),
(49283, '1bhdA00', NULL, NULL, 118, NULL, NULL, 19579),
(49284, '2d89A01', NULL, NULL, 112, NULL, NULL, 19579),
(49285, '1pxyA04', NULL, NULL, 111, NULL, NULL, 19579),
(49286, '4b7lA01', NULL, NULL, 126, NULL, NULL, 19579),
(49287, '1rt8A02', NULL, NULL, 115, NULL, NULL, 19579),
(49288, '1rt8A03', NULL, NULL, 117, NULL, NULL, 19579),
(49289, '3hopB02', NULL, NULL, 110, NULL, NULL, 19579),
(49290, '1rt8A01', NULL, NULL, 136, NULL, NULL, 19579),
(49291, '1wixA01', NULL, NULL, 153, NULL, NULL, 19579),
(49292, '1bkrA00', NULL, NULL, 109, NULL, NULL, 19579),
(49293, '2r8uA00', NULL, NULL, 131, NULL, NULL, 19579),
(49294, '2l3gA00', NULL, NULL, 126, NULL, NULL, 19579),
(49295, '2r0oB01', NULL, NULL, 119, NULL, NULL, 19579),
(49296, '2yrnA01', NULL, NULL, 125, NULL, NULL, 19579),
(49297, '5nl7A02', NULL, NULL, 111, NULL, NULL, 19579),
(49298, '5nl7A01', NULL, NULL, 123, NULL, NULL, 19579),
(49299, '2eyiA01', NULL, NULL, 114, NULL, NULL, 19579),
(49300, '6b9hA00', NULL, NULL, 161, NULL, NULL, 19579),
(49301, '2e9kA01', NULL, NULL, 105, NULL, NULL, 19579),
(49302, '2d85A01', NULL, NULL, 104, NULL, NULL, 19579),
(49303, '1ujoA00', NULL, NULL, 144, NULL, NULL, 19579),
(49304, '2wjvD01', NULL, NULL, 27, NULL, NULL, 19580),
(49305, '1xk5A01', NULL, NULL, 199, NULL, NULL, 19581),
(49306, '1p16A02', NULL, NULL, 238, NULL, NULL, 19581),
(49307, '1b04A01', NULL, NULL, 130, NULL, NULL, 19581),
(49308, '3vnnA00', NULL, NULL, 139, NULL, NULL, 19581),
(49309, '4d05B02', NULL, NULL, 101, NULL, NULL, 19581),
(49310, '1zauA02', NULL, NULL, 251, NULL, NULL, 19581),
(49311, '3uq8A03', NULL, NULL, 134, NULL, NULL, 19581),
(49312, '1v9pA03', NULL, NULL, 132, NULL, NULL, 19581),
(49313, '3gjxB00', NULL, NULL, 304, NULL, NULL, 19581),
(49314, '3l2pA03', NULL, NULL, 120, NULL, NULL, 19581),
(49315, '3jslA03', NULL, NULL, 130, NULL, NULL, 19581),
(49316, '4glxA02', NULL, NULL, 143, NULL, NULL, 19581),
(49317, '4pz7A02', NULL, NULL, 236, NULL, NULL, 19581);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(49318, '1ckmA01', NULL, NULL, 165, NULL, NULL, 19581),
(49319, '1vs0A02', NULL, NULL, 110, NULL, NULL, 19581),
(49320, '4lh6A03', NULL, NULL, 130, NULL, NULL, 19581),
(49321, '2vugA03', NULL, NULL, 102, NULL, NULL, 19581),
(49322, '3gdeA02', NULL, NULL, 197, NULL, NULL, 19581),
(49323, '3nbzB00', NULL, NULL, 313, NULL, NULL, 19581),
(49324, '4eq5A02', NULL, NULL, 201, NULL, NULL, 19581),
(49325, '3w1bA02', NULL, NULL, 213, NULL, NULL, 19581),
(49326, '5d1pA03', NULL, NULL, 103, NULL, NULL, 19581),
(49327, '3rr5A02', NULL, NULL, 202, NULL, NULL, 19581),
(49328, '1x9nA03', NULL, NULL, 126, NULL, NULL, 19581),
(49329, '3bacA01', NULL, NULL, 232, NULL, NULL, 19581),
(49330, '2hivA02', NULL, NULL, 206, NULL, NULL, 19581),
(49331, '4e6nA01', NULL, NULL, 350, NULL, NULL, 19581),
(49332, '3kyhC01', NULL, NULL, 252, NULL, NULL, 19581),
(49333, '3qwuA02', NULL, NULL, 180, NULL, NULL, 19581),
(49334, '1fviA03', NULL, NULL, 107, NULL, NULL, 19581),
(49335, '1dgsA03', NULL, NULL, 132, NULL, NULL, 19581),
(49336, '3ty5B01', NULL, NULL, 319, NULL, NULL, 19581),
(49337, '4glwA01', NULL, NULL, 222, NULL, NULL, 19581),
(49338, '1a0iA03', NULL, NULL, 156, NULL, NULL, 19581),
(49339, '1xdnA02', NULL, NULL, 155, NULL, NULL, 19581),
(49340, '5tt5A02', NULL, NULL, 254, NULL, NULL, 19581),
(49341, '2cfmA02', NULL, NULL, 201, NULL, NULL, 19581),
(49342, '1s68A02', NULL, NULL, 113, NULL, NULL, 19581),
(49343, '3rtxA01', NULL, NULL, 165, NULL, NULL, 19581),
(49344, '3eh2A03', NULL, NULL, 137, NULL, NULL, 19582),
(49345, '3eh1A03', NULL, NULL, 133, NULL, NULL, 19582),
(49346, '3efoB03', NULL, NULL, 137, NULL, NULL, 19582),
(49347, '2nutA01', NULL, NULL, 174, NULL, NULL, 19582),
(49348, '2nutB03', NULL, NULL, 133, NULL, NULL, 19582),
(49349, '1pcxA03', NULL, NULL, 136, NULL, NULL, 19582),
(49350, '1m2oA01', NULL, NULL, 175, NULL, NULL, 19582),
(49351, '3bsuA00', NULL, NULL, 53, NULL, NULL, 19583),
(49352, '1qhkA00', NULL, NULL, 47, NULL, NULL, 19583),
(49353, '6c6zB01', NULL, NULL, 145, NULL, NULL, 19584),
(49354, '5xgrA01', NULL, NULL, 147, NULL, NULL, 19584),
(49355, '3d0gE01', NULL, NULL, 130, NULL, NULL, 19584),
(49356, '2ghvC01', NULL, NULL, 152, NULL, NULL, 19584),
(49357, '4l3nA01', NULL, NULL, 149, NULL, NULL, 19584),
(49358, '4qzvB01', NULL, NULL, 154, NULL, NULL, 19584),
(49359, '2nydA02', NULL, NULL, 46, NULL, NULL, 19585),
(49360, '2mpnA00', NULL, NULL, 68, NULL, NULL, 19586),
(49361, '2kssA01', NULL, NULL, 63, NULL, NULL, 19587),
(49362, '3n1eA02', NULL, NULL, 95, NULL, NULL, 19588),
(49363, '2ekgB01', NULL, NULL, 84, NULL, NULL, 19589),
(49364, '2g37A01', NULL, NULL, 60, NULL, NULL, 19589),
(49365, '3k4iC02', NULL, NULL, 38, NULL, NULL, 19590),
(49366, '4fzbC02', NULL, NULL, 59, NULL, NULL, 19590),
(49367, '4fzbA02', NULL, NULL, 40, NULL, NULL, 19590),
(49368, '2mi6A00', NULL, NULL, 62, NULL, NULL, 19591),
(49369, '3pieC06', NULL, NULL, 61, NULL, NULL, 19591),
(49370, '4a17A02', NULL, NULL, 80, NULL, NULL, 19591),
(49371, '1vq8T00', NULL, NULL, 120, NULL, NULL, 19591),
(49372, '1vwxA02', NULL, NULL, 80, NULL, NULL, 19591),
(49373, '2l3rA02', NULL, NULL, 73, NULL, NULL, 19591),
(49374, '1ybyB01', NULL, NULL, 62, NULL, NULL, 19591),
(49375, '6g5iE03', NULL, NULL, 71, NULL, NULL, 19591),
(49376, '3kbgA03', NULL, NULL, 58, NULL, NULL, 19591),
(49377, '2g3rA02', NULL, NULL, 65, NULL, NULL, 19591),
(49378, '1uebA01', NULL, NULL, 63, NULL, NULL, 19591),
(49379, '3cpfA01', NULL, NULL, 70, NULL, NULL, 19591),
(49380, '2e70A00', NULL, NULL, 71, NULL, NULL, 19591),
(49381, '3db3A02', NULL, NULL, 76, NULL, NULL, 19591),
(49382, '1rl2A02', NULL, NULL, 80, NULL, NULL, 19591),
(49383, '1iz6A01', NULL, NULL, 70, NULL, NULL, 19591),
(49384, '1m1gB03', NULL, NULL, 63, NULL, NULL, 19591),
(49385, '2jufA00', NULL, NULL, 77, NULL, NULL, 19591),
(49386, '2jngA00', NULL, NULL, 80, NULL, NULL, 19591),
(49387, '5xxuE03', NULL, NULL, 71, NULL, NULL, 19591),
(49388, '3treA01', NULL, NULL, 68, NULL, NULL, 19591),
(49389, '2ckkA02', NULL, NULL, 57, NULL, NULL, 19591),
(49390, '1vs9S01', NULL, NULL, 72, NULL, NULL, 19591),
(49391, '4ytlA02', NULL, NULL, 49, NULL, NULL, 19591);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(49392, '4a17S00', NULL, NULL, 135, NULL, NULL, 19591),
(49393, '4ytlA01', NULL, NULL, 50, NULL, NULL, 19591),
(49394, '2j01D02', NULL, NULL, 78, NULL, NULL, 19591),
(49395, '3j7aF03', NULL, NULL, 71, NULL, NULL, 19591),
(49396, '5xyiE03', NULL, NULL, 71, NULL, NULL, 19591),
(49397, '1vx7D02', NULL, NULL, 80, NULL, NULL, 19591),
(49398, '4zn3A02', NULL, NULL, 62, NULL, NULL, 19591),
(49399, '6az1E03', NULL, NULL, 72, NULL, NULL, 19591),
(49400, '5optL03', NULL, NULL, 72, NULL, NULL, 19591),
(49401, '2xhcA03', NULL, NULL, 56, NULL, NULL, 19591),
(49402, '2jvvA00', NULL, NULL, 59, NULL, NULL, 19591),
(49403, '1bkbA01', NULL, NULL, 71, NULL, NULL, 19591),
(49404, '1vq8A02', NULL, NULL, 78, NULL, NULL, 19591),
(49405, '1vx7N01', NULL, NULL, 85, NULL, NULL, 19591),
(49406, '3hksA01', NULL, NULL, 69, NULL, NULL, 19591),
(49407, '5dm7R00', NULL, NULL, 110, NULL, NULL, 19591),
(49408, '3j7yD02', NULL, NULL, 81, NULL, NULL, 19591),
(49409, '1vx7Z00', NULL, NULL, 126, NULL, NULL, 19591),
(49410, '1khiA01', NULL, NULL, 75, NULL, NULL, 19591),
(49411, '2lclA00', NULL, NULL, 66, NULL, NULL, 19591),
(49412, '6faiE03', NULL, NULL, 71, NULL, NULL, 19591),
(49413, '5j3bA01', NULL, NULL, 73, NULL, NULL, 19591),
(49414, '3pioA02', NULL, NULL, 78, NULL, NULL, 19591),
(49415, '6em3M01', NULL, NULL, 83, NULL, NULL, 19591),
(49416, '1x6oA01', NULL, NULL, 68, NULL, NULL, 19591),
(49417, '3p8bB02', NULL, NULL, 66, NULL, NULL, 19591),
(49418, '1vwxY00', NULL, NULL, 145, NULL, NULL, 19591),
(49419, '6b9mC02', NULL, NULL, 79, NULL, NULL, 19591),
(49420, '3er0A01', NULL, NULL, 73, NULL, NULL, 19591),
(49421, '6em3Y00', NULL, NULL, 127, NULL, NULL, 19591),
(49422, '2xzmW03', NULL, NULL, 71, NULL, NULL, 19591),
(49423, '1vs6C02', NULL, NULL, 81, NULL, NULL, 19591),
(49424, '3o58B02', NULL, NULL, 80, NULL, NULL, 19591),
(49425, '2e6zA00', NULL, NULL, 59, NULL, NULL, 19591),
(49426, '2aw4U00', NULL, NULL, 103, NULL, NULL, 19591),
(49427, '5yyaA02', NULL, NULL, 76, NULL, NULL, 19591),
(49428, '3jamE03', NULL, NULL, 71, NULL, NULL, 19591),
(49429, '3oyyA01', NULL, NULL, 66, NULL, NULL, 19591),
(49430, '4tvrA02', NULL, NULL, 74, NULL, NULL, 19591),
(49431, '3a5zF01', NULL, NULL, 46, NULL, NULL, 19591),
(49432, '5hy6A01', NULL, NULL, 85, NULL, NULL, 19591),
(49433, '3a5zB01', NULL, NULL, 68, NULL, NULL, 19591),
(49434, '1vwxM01', NULL, NULL, 86, NULL, NULL, 19591),
(49435, '2eifA01', NULL, NULL, 70, NULL, NULL, 19591),
(49436, '2do3A01', NULL, NULL, 51, NULL, NULL, 19591),
(49437, '1nz9A00', NULL, NULL, 58, NULL, NULL, 19591),
(49438, '2kdsA01', NULL, NULL, 86, NULL, NULL, 19591),
(49439, '4jc0A03', NULL, NULL, 120, NULL, NULL, 19592),
(49440, '4go6A00', NULL, NULL, 45, NULL, NULL, 19593),
(49441, '1kp0B02', NULL, NULL, 246, NULL, NULL, 19594),
(49442, '1wy2A02', NULL, NULL, 226, NULL, NULL, 19594),
(49443, '2zsgA02', NULL, NULL, 228, NULL, NULL, 19594),
(49444, '4fukB01', NULL, NULL, 256, NULL, NULL, 19594),
(49445, '3cb6A02', NULL, NULL, 269, NULL, NULL, 19594),
(49446, '4zngA02', NULL, NULL, 230, NULL, NULL, 19594),
(49447, '4fo7B00', NULL, NULL, 261, NULL, NULL, 19594),
(49448, '1chmA02', NULL, NULL, 246, NULL, NULL, 19594),
(49449, '2v3zA02', NULL, NULL, 267, NULL, NULL, 19594),
(49450, '4egeA02', NULL, NULL, 231, NULL, NULL, 19594),
(49451, '5ce6A02', NULL, NULL, 262, NULL, NULL, 19594),
(49452, '3rvaA02', NULL, NULL, 294, NULL, NULL, 19594),
(49453, '3fm3A01', NULL, NULL, 232, NULL, NULL, 19594),
(49454, '3ig4A02', NULL, NULL, 256, NULL, NULL, 19594),
(49455, '3q6dA02', NULL, NULL, 228, NULL, NULL, 19594),
(49456, '6mrfA00', NULL, NULL, 270, NULL, NULL, 19594),
(49457, '5d6eA01', NULL, NULL, 231, NULL, NULL, 19594),
(49458, '5cnxA02', NULL, NULL, 236, NULL, NULL, 19594),
(49459, '1qxyA00', NULL, NULL, 252, NULL, NULL, 19594),
(49460, '4km3B00', NULL, NULL, 286, NULL, NULL, 19594),
(49461, '3s6bA01', NULL, NULL, 264, NULL, NULL, 19594),
(49462, '3biqA02', NULL, NULL, 274, NULL, NULL, 19594),
(49463, '1xgsA01', NULL, NULL, 218, NULL, NULL, 19594),
(49464, '1wn1A02', NULL, NULL, 227, NULL, NULL, 19594),
(49465, '2q8kA01', NULL, NULL, 307, NULL, NULL, 19594);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(49466, '1kp0A02', NULL, NULL, 246, NULL, NULL, 19594),
(49467, '3tb5A00', NULL, NULL, 264, NULL, NULL, 19594),
(49468, '4s2rQ03', NULL, NULL, 301, NULL, NULL, 19594),
(49469, '3ctzA03', NULL, NULL, 304, NULL, NULL, 19594),
(49470, '3l24B02', NULL, NULL, 283, NULL, NULL, 19594),
(49471, '1o0xA00', NULL, NULL, 262, NULL, NULL, 19594),
(49472, '6a9tA02', NULL, NULL, 269, NULL, NULL, 19594),
(49473, '4b28A02', NULL, NULL, 240, NULL, NULL, 19594),
(49474, '4ipaD01', NULL, NULL, 312, NULL, NULL, 19594),
(49475, '1qzyA01', NULL, NULL, 290, NULL, NULL, 19594),
(49476, '4r60A02', NULL, NULL, 235, NULL, NULL, 19594),
(49477, '4qr8A02', NULL, NULL, 284, NULL, NULL, 19594),
(49478, '5e5bA02', NULL, NULL, 260, NULL, NULL, 19594),
(49479, '2gg2A00', NULL, NULL, 263, NULL, NULL, 19594),
(49480, '4rzyA02', NULL, NULL, 240, NULL, NULL, 19594),
(49481, '4fkcA02', NULL, NULL, 229, NULL, NULL, 19594),
(49482, '5jr6B02', NULL, NULL, 298, NULL, NULL, 19594),
(49483, '3pkaA01', NULL, NULL, 244, NULL, NULL, 19594),
(49484, '1pv9A02', NULL, NULL, 226, NULL, NULL, 19594),
(49485, '2b3hA00', NULL, NULL, 304, NULL, NULL, 19594),
(49486, '6h2pA02', NULL, NULL, 307, NULL, NULL, 19594),
(49487, '5cdvA02', NULL, NULL, 225, NULL, NULL, 19594),
(49488, '4pv4A02', NULL, NULL, 274, NULL, NULL, 19594),
(49489, '3tavA00', NULL, NULL, 264, NULL, NULL, 19594),
(49490, '5wzeA02', NULL, NULL, 279, NULL, NULL, 19594),
(49491, '3mx6B00', NULL, NULL, 262, NULL, NULL, 19594),
(49492, '6a8mA02', NULL, NULL, 271, NULL, NULL, 19594),
(49493, '3rhaB02', NULL, NULL, 164, NULL, NULL, 19595),
(49494, '3we0A02', NULL, NULL, 142, NULL, NULL, 19595),
(49495, '4iv9A02', NULL, NULL, 146, NULL, NULL, 19595),
(49496, '5z2gA01', NULL, NULL, 177, NULL, NULL, 19595),
(49497, '3k7mX02', NULL, NULL, 206, NULL, NULL, 19595),
(49498, '1s3eA02', NULL, NULL, 174, NULL, NULL, 19595),
(49499, '3qj4A02', NULL, NULL, 181, NULL, NULL, 19595),
(49500, '3kkjA02', NULL, NULL, 175, NULL, NULL, 19595),
(49501, '4zcdB02', NULL, NULL, 175, NULL, NULL, 19595),
(49502, '2iidA01', NULL, NULL, 183, NULL, NULL, 19595),
(49503, '1reoA01', NULL, NULL, 180, NULL, NULL, 19595),
(49504, '5ts5A01', NULL, NULL, 183, NULL, NULL, 19595),
(49505, '2vvmA02', NULL, NULL, 222, NULL, NULL, 19595),
(49506, '1rsgA02', NULL, NULL, 259, NULL, NULL, 19595),
(49507, '2jaeA02', NULL, NULL, 192, NULL, NULL, 19595),
(49508, '2yg5A02', NULL, NULL, 164, NULL, NULL, 19595),
(49509, '3kveA01', NULL, NULL, 180, NULL, NULL, 19595),
(49510, '1o5wB02', NULL, NULL, 174, NULL, NULL, 19595),
(49511, '1b37A02', NULL, NULL, 218, NULL, NULL, 19595),
(49512, '2bxrA02', NULL, NULL, 169, NULL, NULL, 19595),
(49513, '4i59A02', NULL, NULL, 166, NULL, NULL, 19595),
(49514, '1o5wA02', NULL, NULL, 266, NULL, NULL, 19595),
(49515, '2z5yA02', NULL, NULL, 266, NULL, NULL, 19595),
(49516, '2hd0A02', NULL, NULL, 33, NULL, NULL, 19596),
(49517, '4p79A00', NULL, NULL, 198, NULL, NULL, 19597),
(49518, '6akeC00', NULL, NULL, 190, NULL, NULL, 19597),
(49519, '3x29A00', NULL, NULL, 185, NULL, NULL, 19597),
(49520, '5gjvE00', NULL, NULL, 222, NULL, NULL, 19597),
(49521, '2uvbC04', NULL, NULL, 46, NULL, NULL, 19598),
(49522, '3v0rA01', NULL, NULL, 120, NULL, NULL, 19599),
(49523, '3sp8A03', NULL, NULL, 80, NULL, NULL, 19600),
(49524, '2dohX00', NULL, NULL, 165, NULL, NULL, 19600),
(49525, '2sptA00', NULL, NULL, 145, NULL, NULL, 19600),
(49526, '1krnA00', NULL, NULL, 88, NULL, NULL, 19600),
(49527, '5hpgA00', NULL, NULL, 84, NULL, NULL, 19600),
(49528, '3k65A00', NULL, NULL, 93, NULL, NULL, 19600),
(49529, '5fwsA01', NULL, NULL, 83, NULL, NULL, 19600),
(49530, '1nl1A00', NULL, NULL, 147, NULL, NULL, 19600),
(49531, '2i9aC02', NULL, NULL, 94, NULL, NULL, 19600),
(49532, '2febA00', NULL, NULL, 102, NULL, NULL, 19600),
(49533, '1i71A00', NULL, NULL, 83, NULL, NULL, 19600),
(49534, '2pf1A01', NULL, NULL, 115, NULL, NULL, 19600),
(49535, '4durB05', NULL, NULL, 91, NULL, NULL, 19600),
(49536, '4durB06', NULL, NULL, 106, NULL, NULL, 19600),
(49537, '4nzqA01', NULL, NULL, 113, NULL, NULL, 19600),
(49538, '6ba5M00', NULL, NULL, 82, NULL, NULL, 19600);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(49539, '1a0hA01', NULL, NULL, 89, NULL, NULL, 19600),
(49540, '1pmlA00', NULL, NULL, 86, NULL, NULL, 19600),
(49541, '1ki0A02', NULL, NULL, 88, NULL, NULL, 19600),
(49542, '2qj2A02', NULL, NULL, 84, NULL, NULL, 19600),
(49543, '1ki0A03', NULL, NULL, 83, NULL, NULL, 19600),
(49544, '3e6pL01', NULL, NULL, 90, NULL, NULL, 19600),
(49545, '4bvvA00', NULL, NULL, 81, NULL, NULL, 19600),
(49546, '1ki0A01', NULL, NULL, 82, NULL, NULL, 19600),
(49547, '4bvcA00', NULL, NULL, 79, NULL, NULL, 19600),
(49548, '4iuaA03', NULL, NULL, 80, NULL, NULL, 19600),
(49549, '1nl2A00', NULL, NULL, 146, NULL, NULL, 19600),
(49550, '3laqA02', NULL, NULL, 84, NULL, NULL, 19600),
(49551, '4o03A01', NULL, NULL, 81, NULL, NULL, 19600),
(49552, '6dcmA00', NULL, NULL, 85, NULL, NULL, 19600),
(49553, '2k4rA00', NULL, NULL, 77, NULL, NULL, 19600),
(49554, '2pf2A00', NULL, NULL, 156, NULL, NULL, 19600),
(49555, '3c5nA00', NULL, NULL, 246, NULL, NULL, 19601),
(49556, '1i7eA00', NULL, NULL, 265, NULL, NULL, 19601),
(49557, '4dlqA03', NULL, NULL, 198, NULL, NULL, 19602),
(49558, '4dloA03', NULL, NULL, 186, NULL, NULL, 19602),
(49559, '4c8yA01', NULL, NULL, 109, NULL, NULL, 19603),
(49560, '4c98A01', NULL, NULL, 127, NULL, NULL, 19603),
(49561, '3i4hX01', NULL, NULL, 133, NULL, NULL, 19603),
(49562, '5yi6B01', NULL, NULL, 124, NULL, NULL, 19603),
(49563, '3ufcX01', NULL, NULL, 122, NULL, NULL, 19603),
(49564, '3qjlA01', NULL, NULL, 124, NULL, NULL, 19603),
(49565, '3h02F02', NULL, NULL, 37, NULL, NULL, 19604),
(49566, '1mj3A02', NULL, NULL, 57, NULL, NULL, 19604),
(49567, '6ojmA02', NULL, NULL, 51, NULL, NULL, 19604),
(49568, '3trrA02', NULL, NULL, 58, NULL, NULL, 19604),
(49569, '5c9gA02', NULL, NULL, 57, NULL, NULL, 19604),
(49570, '2vx2G02', NULL, NULL, 57, NULL, NULL, 19604),
(49571, '5jbxA02', NULL, NULL, 60, NULL, NULL, 19604),
(49572, '4izdB02', NULL, NULL, 67, NULL, NULL, 19604),
(49573, '4mouB02', NULL, NULL, 60, NULL, NULL, 19604),
(49574, '2pbpA02', NULL, NULL, 57, NULL, NULL, 19604),
(49575, '4nekA02', NULL, NULL, 56, NULL, NULL, 19604),
(49576, '3hinA02', NULL, NULL, 64, NULL, NULL, 19604),
(49577, '4jylA02', NULL, NULL, 49, NULL, NULL, 19604),
(49578, '3r0oA02', NULL, NULL, 61, NULL, NULL, 19604),
(49579, '3h02B02', NULL, NULL, 51, NULL, NULL, 19604),
(49580, '3t89A02', NULL, NULL, 51, NULL, NULL, 19604),
(49581, '3h02D02', NULL, NULL, 51, NULL, NULL, 19604),
(49582, '2gtrA02', NULL, NULL, 57, NULL, NULL, 19604),
(49583, '2vreA02', NULL, NULL, 57, NULL, NULL, 19604),
(49584, '5wydB02', NULL, NULL, 68, NULL, NULL, 19604),
(49585, '4jwvA02', NULL, NULL, 58, NULL, NULL, 19604),
(49586, '4k3wB02', NULL, NULL, 61, NULL, NULL, 19604),
(49587, '3t8aC02', NULL, NULL, 39, NULL, NULL, 19604),
(49588, '4di1C02', NULL, NULL, 41, NULL, NULL, 19604),
(49589, '5kjpA02', NULL, NULL, 58, NULL, NULL, 19604),
(49590, '4lk5B02', NULL, NULL, 57, NULL, NULL, 19604),
(49591, '2uzfA02', NULL, NULL, 51, NULL, NULL, 19604),
(49592, '2iexA02', NULL, NULL, 51, NULL, NULL, 19604),
(49593, '1dciA02', NULL, NULL, 63, NULL, NULL, 19604),
(49594, '3r9tC02', NULL, NULL, 61, NULL, NULL, 19604),
(49595, '3h81B02', NULL, NULL, 58, NULL, NULL, 19604),
(49596, '3qk8B02', NULL, NULL, 62, NULL, NULL, 19604),
(49597, '3p5mA02', NULL, NULL, 57, NULL, NULL, 19604),
(49598, '3tlfA02', NULL, NULL, 58, NULL, NULL, 19604),
(49599, '2ej5A02', NULL, NULL, 58, NULL, NULL, 19604),
(49600, '3fduA02', NULL, NULL, 46, NULL, NULL, 19604),
(49601, '3swxA02', NULL, NULL, 58, NULL, NULL, 19604),
(49602, '4jfcA02', NULL, NULL, 56, NULL, NULL, 19604),
(49603, '3h02E02', NULL, NULL, 51, NULL, NULL, 19604),
(49604, '4mi2A02', NULL, NULL, 58, NULL, NULL, 19604),
(49605, '3g64A02', NULL, NULL, 61, NULL, NULL, 19604),
(49606, '4u19B02', NULL, NULL, 52, NULL, NULL, 19604),
(49607, '3rsiA02', NULL, NULL, 58, NULL, NULL, 19604),
(49608, '4elsC02', NULL, NULL, 40, NULL, NULL, 19604),
(49609, '4wczA02', NULL, NULL, 54, NULL, NULL, 19604),
(49610, '3i47A02', NULL, NULL, 65, NULL, NULL, 19604),
(49611, '1hzdA02', NULL, NULL, 60, NULL, NULL, 19604),
(49612, '1jxzC02', NULL, NULL, 65, NULL, NULL, 19604);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(49613, '3moyA02', NULL, NULL, 58, NULL, NULL, 19604),
(49614, '4og1A02', NULL, NULL, 58, NULL, NULL, 19604),
(49615, '4mouC02', NULL, NULL, 60, NULL, NULL, 19604),
(49616, '4mouA02', NULL, NULL, 60, NULL, NULL, 19604),
(49617, '4izbB02', NULL, NULL, 43, NULL, NULL, 19604),
(49618, '6n92A02', NULL, NULL, 59, NULL, NULL, 19604),
(49619, '4jcsA02', NULL, NULL, 62, NULL, NULL, 19604),
(49620, '4jvtA02', NULL, NULL, 48, NULL, NULL, 19604),
(49621, '4qiiA02', NULL, NULL, 51, NULL, NULL, 19604),
(49622, '5z7rA02', NULL, NULL, 65, NULL, NULL, 19604),
(49623, '1uiyA02', NULL, NULL, 55, NULL, NULL, 19604),
(49624, '3hrxA02', NULL, NULL, 58, NULL, NULL, 19604),
(49625, '3sllA02', NULL, NULL, 61, NULL, NULL, 19604),
(49626, '3h02A02', NULL, NULL, 51, NULL, NULL, 19604),
(49627, '3h02C02', NULL, NULL, 51, NULL, NULL, 19604),
(49628, '2ppyA02', NULL, NULL, 60, NULL, NULL, 19604),
(49629, '3qxzA02', NULL, NULL, 61, NULL, NULL, 19604),
(49630, '4f47A02', NULL, NULL, 58, NULL, NULL, 19604),
(49631, '3oc7A02', NULL, NULL, 56, NULL, NULL, 19604),
(49632, '3qxiA02', NULL, NULL, 58, NULL, NULL, 19604),
(49633, '3kqfA02', NULL, NULL, 60, NULL, NULL, 19604),
(49634, '1wz8A02', NULL, NULL, 57, NULL, NULL, 19604),
(49635, '4i4zA02', NULL, NULL, 51, NULL, NULL, 19604),
(49636, '4fzwA02', NULL, NULL, 58, NULL, NULL, 19604),
(49637, '3mybB02', NULL, NULL, 63, NULL, NULL, 19604),
(49638, '4fzwC02', NULL, NULL, 58, NULL, NULL, 19604),
(49639, '2hw5A02', NULL, NULL, 57, NULL, NULL, 19604),
(49640, '4zu2A02', NULL, NULL, 65, NULL, NULL, 19604),
(49641, '2fw2D02', NULL, NULL, 57, NULL, NULL, 19604),
(49642, '3q1tC02', NULL, NULL, 62, NULL, NULL, 19604),
(49643, '4k2nA02', NULL, NULL, 56, NULL, NULL, 19604),
(49644, '2jx4A01', NULL, NULL, 50, NULL, NULL, 19605),
(49645, '2kgfA00', NULL, NULL, 140, NULL, NULL, 19606),
(49646, '1p7nA00', NULL, NULL, 176, NULL, NULL, 19606),
(49647, '2wlvA00', NULL, NULL, 144, NULL, NULL, 19606),
(49648, '2gonA00', NULL, NULL, 146, NULL, NULL, 19606),
(49649, '2gonC00', NULL, NULL, 146, NULL, NULL, 19606),
(49650, '1em9B00', NULL, NULL, 154, NULL, NULL, 19606),
(49651, '2gonB00', NULL, NULL, 146, NULL, NULL, 19606),
(49652, '1eiaA01', NULL, NULL, 133, NULL, NULL, 19606),
(49653, '4ph2A00', NULL, NULL, 134, NULL, NULL, 19606),
(49654, '2xguA00', NULL, NULL, 149, NULL, NULL, 19606),
(49655, '2xgvA00', NULL, NULL, 142, NULL, NULL, 19606),
(49656, '2xdeA00', NULL, NULL, 145, NULL, NULL, 19606),
(49657, '4dgaC00', NULL, NULL, 146, NULL, NULL, 19606),
(49658, '1u7kA00', NULL, NULL, 131, NULL, NULL, 19606),
(49659, '1g03A00', NULL, NULL, 134, NULL, NULL, 19606),
(49660, '2gonD00', NULL, NULL, 146, NULL, NULL, 19606),
(49661, '2pwoB00', NULL, NULL, 146, NULL, NULL, 19606),
(49662, '2v4xA00', NULL, NULL, 140, NULL, NULL, 19606),
(49663, '4htwA00', NULL, NULL, 143, NULL, NULL, 19606),
(49664, '3p5jB02', NULL, NULL, 140, NULL, NULL, 19607),
(49665, '2wyhA07', NULL, NULL, 77, NULL, NULL, 19608),
(49666, '5kbpA05', NULL, NULL, 78, NULL, NULL, 19608),
(49667, '2waqB05', NULL, NULL, 93, NULL, NULL, 19609),
(49668, '3h0gB05', NULL, NULL, 82, NULL, NULL, 19609),
(49669, '2pmzB05', NULL, NULL, 93, NULL, NULL, 19609),
(49670, '4qiwB05', NULL, NULL, 82, NULL, NULL, 19609),
(49671, '1twfB05', NULL, NULL, 82, NULL, NULL, 19609),
(49672, '4c2mB05', NULL, NULL, 92, NULL, NULL, 19609),
(49673, '3bq9A01', NULL, NULL, 115, NULL, NULL, 19610),
(49674, '3gh1A01', NULL, NULL, 122, NULL, NULL, 19610),
(49675, '6gflB01', NULL, NULL, 127, NULL, NULL, 19610),
(49676, '2ezvA01', NULL, NULL, 199, NULL, NULL, 19611),
(49677, '2y9yA03', NULL, NULL, 33, NULL, NULL, 19612),
(49678, '1ofcX03', NULL, NULL, 33, NULL, NULL, 19612),
(49679, '4dckA02', NULL, NULL, 45, NULL, NULL, 19612),
(49680, '4ovnF02', NULL, NULL, 35, NULL, NULL, 19612),
(49681, '4jpzB02', NULL, NULL, 38, NULL, NULL, 19612),
(49682, '5tsqA00', NULL, NULL, 312, NULL, NULL, 19613),
(49683, '3fz0D00', NULL, NULL, 360, NULL, NULL, 19613),
(49684, '1ezrA00', NULL, NULL, 314, NULL, NULL, 19613),
(49685, '4kl0A00', NULL, NULL, 379, NULL, NULL, 19613),
(49686, '2yhgA01', NULL, NULL, 301, NULL, NULL, 19613);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(49687, '4wr2A00', NULL, NULL, 318, NULL, NULL, 19613),
(49688, '3b9gB00', NULL, NULL, 328, NULL, NULL, 19613),
(49689, '2c40A00', NULL, NULL, 312, NULL, NULL, 19613),
(49690, '6ba1D00', NULL, NULL, 321, NULL, NULL, 19613),
(49691, '4kpoB00', NULL, NULL, 330, NULL, NULL, 19613),
(49692, '1yoeA00', NULL, NULL, 322, NULL, NULL, 19613),
(49693, '2masA00', NULL, NULL, 314, NULL, NULL, 19613),
(49694, '3t8jA00', NULL, NULL, 311, NULL, NULL, 19613),
(49695, '1q8fA00', NULL, NULL, 313, NULL, NULL, 19613),
(49696, '3t8iA00', NULL, NULL, 306, NULL, NULL, 19613),
(49697, '4kpnA00', NULL, NULL, 318, NULL, NULL, 19613),
(49698, '4i71A00', NULL, NULL, 330, NULL, NULL, 19613),
(49699, '6ba0A00', NULL, NULL, 315, NULL, NULL, 19613),
(49700, '3ayjA02', NULL, NULL, 309, NULL, NULL, 19614),
(49701, '3bulA04', NULL, NULL, 60, NULL, NULL, 19615),
(49702, '6bm5A02', NULL, NULL, 88, NULL, NULL, 19615),
(49703, '2o2kA02', NULL, NULL, 92, NULL, NULL, 19615),
(49704, '4akgA02', NULL, NULL, 168, NULL, NULL, 19616),
(49705, '3vkgA02', NULL, NULL, 152, NULL, NULL, 19616),
(49706, '4hyzA00', NULL, NULL, 114, NULL, NULL, 19617),
(49707, '3nvwB03', NULL, NULL, 116, NULL, NULL, 19618),
(49708, '2e1qC05', NULL, NULL, 118, NULL, NULL, 19618),
(49709, '1t3qC03', NULL, NULL, 114, NULL, NULL, 19618),
(49710, '3a7rA02', NULL, NULL, 89, NULL, NULL, 19618),
(49711, '5g5gB02', NULL, NULL, 96, NULL, NULL, 19618),
(49712, '1vqzA02', NULL, NULL, 88, NULL, NULL, 19618),
(49713, '1rm6B02', NULL, NULL, 108, NULL, NULL, 19618),
(49714, '2e5aA02', NULL, NULL, 107, NULL, NULL, 19618),
(49715, '2w3sA05', NULL, NULL, 104, NULL, NULL, 19618),
(49716, '3zyvA05', NULL, NULL, 117, NULL, NULL, 19618),
(49717, '1ffvC02', NULL, NULL, 105, NULL, NULL, 19618),
(49718, '5y6qB02', NULL, NULL, 106, NULL, NULL, 19618),
(49719, '3hrdC02', NULL, NULL, 118, NULL, NULL, 19618),
(49720, '3r07C00', NULL, NULL, 91, NULL, NULL, 19618),
(49721, '4zohB03', NULL, NULL, 106, NULL, NULL, 19618),
(49722, '1n62C02', NULL, NULL, 105, NULL, NULL, 19618),
(49723, '3an1A05', NULL, NULL, 118, NULL, NULL, 19618),
(49724, '5jzeA00', NULL, NULL, 159, NULL, NULL, 19619),
(49725, '4hxdB00', NULL, NULL, 157, NULL, NULL, 19619),
(49726, '4bopB00', NULL, NULL, 151, NULL, NULL, 19619),
(49727, '5v5hA00', NULL, NULL, 174, NULL, NULL, 19619),
(49728, '4bouA00', NULL, NULL, 141, NULL, NULL, 19619),
(49729, '3prmA00', NULL, NULL, 162, NULL, NULL, 19619),
(49730, '3tmpA01', NULL, NULL, 160, NULL, NULL, 19619),
(49731, '3by4A00', NULL, NULL, 174, NULL, NULL, 19619),
(49732, '4boqA00', NULL, NULL, 183, NULL, NULL, 19619),
(49733, '1mn8D00', NULL, NULL, 100, NULL, NULL, 19620),
(49734, '1uhuA00', NULL, NULL, 105, NULL, NULL, 19620),
(49735, '3p01B01', NULL, NULL, 89, NULL, NULL, 19621),
(49736, '2j7qA00', NULL, NULL, 232, NULL, NULL, 19622),
(49737, '2opcA00', NULL, NULL, 127, NULL, NULL, 19623),
(49738, '2qvtA00', NULL, NULL, 114, NULL, NULL, 19623),
(49739, '3vejB00', NULL, NULL, 41, NULL, NULL, 19624),
(49740, '2lo0A00', NULL, NULL, 45, NULL, NULL, 19624),
(49741, '4ebrA00', NULL, NULL, 169, NULL, NULL, 19625),
(49742, '3vx7B00', NULL, NULL, 152, NULL, NULL, 19625),
(49743, '3lsoA01', NULL, NULL, 168, NULL, NULL, 19626),
(49744, '1zylA01', NULL, NULL, 70, NULL, NULL, 19627),
(49745, '4rlcA00', NULL, NULL, 175, NULL, NULL, 19628),
(49746, '1p4tA00', NULL, NULL, 155, NULL, NULL, 19628),
(49747, '2lhfA00', NULL, NULL, 179, NULL, NULL, 19628),
(49748, '2jmmA00', NULL, NULL, 156, NULL, NULL, 19628),
(49749, '3gp6A00', NULL, NULL, 163, NULL, NULL, 19628),
(49750, '2ervA00', NULL, NULL, 150, NULL, NULL, 19628),
(49751, '2f1vA00', NULL, NULL, 197, NULL, NULL, 19628),
(49752, '1qj8A00', NULL, NULL, 148, NULL, NULL, 19628),
(49753, '2k0lA00', NULL, NULL, 216, NULL, NULL, 19628),
(49754, '4puxA00', NULL, NULL, 160, NULL, NULL, 19628),
(49755, '3qraA00', NULL, NULL, 157, NULL, NULL, 19628),
(49756, '3c5oB00', NULL, NULL, 157, NULL, NULL, 19628),
(49757, '3g7gH00', NULL, NULL, 158, NULL, NULL, 19628),
(49758, '2x27X00', NULL, NULL, 212, NULL, NULL, 19628),
(49759, '1qjpA00', NULL, NULL, 171, NULL, NULL, 19628);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(49760, '4ogrL00', NULL, NULL, 75, NULL, NULL, 19629),
(49761, '2l3lA01', NULL, NULL, 106, NULL, NULL, 19630),
(49762, '4ppuA00', NULL, NULL, 262, NULL, NULL, 19631),
(49763, '6hjwB00', NULL, NULL, 258, NULL, NULL, 19631),
(49764, '5w6yA00', NULL, NULL, 244, NULL, NULL, 19631),
(49765, '5csmA00', NULL, NULL, 256, NULL, NULL, 19631),
(49766, '6h3pA00', NULL, NULL, 253, NULL, NULL, 19631),
(49767, '2z3xA00', NULL, NULL, 63, NULL, NULL, 19632),
(49768, '1u0jA01', NULL, NULL, 55, NULL, NULL, 19633),
(49769, '3or1A01', NULL, NULL, 64, NULL, NULL, 19634),
(49770, '2xsjA01', NULL, NULL, 64, NULL, NULL, 19634),
(49771, '3mm5A01', NULL, NULL, 62, NULL, NULL, 19634),
(49772, '2v4jA01', NULL, NULL, 64, NULL, NULL, 19634),
(49773, '3nbiA02', NULL, NULL, 154, NULL, NULL, 19635),
(49774, '6g2jF04', NULL, NULL, 96, NULL, NULL, 19636),
(49775, '3i9v104', NULL, NULL, 103, NULL, NULL, 19636),
(49776, '3nd0A00', NULL, NULL, 425, NULL, NULL, 19637),
(49777, '4eneB00', NULL, NULL, 446, NULL, NULL, 19637),
(49778, '3orgA01', NULL, NULL, 444, NULL, NULL, 19637),
(49779, '1kplA00', NULL, NULL, 443, NULL, NULL, 19637),
(49780, '2nzwA01', NULL, NULL, 216, NULL, NULL, 19638),
(49781, '5wrkA01', NULL, NULL, 134, NULL, NULL, 19639),
(49782, '3l81A02', NULL, NULL, 122, NULL, NULL, 19639),
(49783, '3l81A01', NULL, NULL, 147, NULL, NULL, 19639),
(49784, '2vglM02', NULL, NULL, 167, NULL, NULL, 19639),
(49785, '2pr9A02', NULL, NULL, 112, NULL, NULL, 19639),
(49786, '2pr9A01', NULL, NULL, 165, NULL, NULL, 19639),
(49787, '4iknA02', NULL, NULL, 112, NULL, NULL, 19639),
(49788, '4iknA01', NULL, NULL, 149, NULL, NULL, 19639),
(49789, '4en2A02', NULL, NULL, 113, NULL, NULL, 19639),
(49790, '4en2A01', NULL, NULL, 153, NULL, NULL, 19639),
(49791, '4f9cB02', NULL, NULL, 41, NULL, NULL, 19640),
(49792, '2zj2A04', NULL, NULL, 174, NULL, NULL, 19641),
(49793, '1zeeA01', NULL, NULL, 123, NULL, NULL, 19642),
(49794, '1ztmA02', NULL, NULL, 199, NULL, NULL, 19643),
(49795, '1g5gA02', NULL, NULL, 170, NULL, NULL, 19643),
(49796, '3rkiA02', NULL, NULL, 171, NULL, NULL, 19643),
(49797, '4jdxF00', NULL, NULL, 115, NULL, NULL, 19644),
(49798, '3myuB02', NULL, NULL, 187, NULL, NULL, 19645),
(49799, '3ekiA02', NULL, NULL, 189, NULL, NULL, 19645),
(49800, '5yjlB01', NULL, NULL, 161, NULL, NULL, 19646),
(49801, '1gpjA01', NULL, NULL, 145, NULL, NULL, 19646),
(49802, '1yrtA03', NULL, NULL, 55, NULL, NULL, 19647),
(49803, '1ye9A01', NULL, NULL, 46, NULL, NULL, 19648),
(49804, '2zejB01', NULL, NULL, 79, NULL, NULL, 19649),
(49805, '2zejA01', NULL, NULL, 79, NULL, NULL, 19649),
(49806, '3d6tB01', NULL, NULL, 77, NULL, NULL, 19649),
(49807, '1yg9A01', NULL, NULL, 74, NULL, NULL, 19650),
(49808, '4b0eD00', NULL, NULL, 119, NULL, NULL, 19651),
(49809, '1ze3D00', NULL, NULL, 125, NULL, NULL, 19651),
(49810, '3rfzB01', NULL, NULL, 96, NULL, NULL, 19651),
(49811, '3al5A02', NULL, NULL, 52, NULL, NULL, 19652),
(49812, '2vveA01', NULL, NULL, 95, NULL, NULL, 19653),
(49813, '4ew5B00', NULL, NULL, 102, NULL, NULL, 19654),
(49814, '2l1sA00', NULL, NULL, 83, NULL, NULL, 19654),
(49815, '3q23A02', NULL, NULL, 149, NULL, NULL, 19655),
(49816, '2k2wA00', NULL, NULL, 118, NULL, NULL, 19656),
(49817, '2fc6A00', NULL, NULL, 50, NULL, NULL, 19657),
(49818, '1vibA00', NULL, NULL, 55, NULL, NULL, 19658),
(49819, '2a6hC04', NULL, NULL, 65, NULL, NULL, 19659),
(49820, '1ynjC04', NULL, NULL, 66, NULL, NULL, 19659),
(49821, '4kn7H04', NULL, NULL, 67, NULL, NULL, 19659),
(49822, '2idbC03', NULL, NULL, 35, NULL, NULL, 19660),
(49823, '2idbA03', NULL, NULL, 48, NULL, NULL, 19660),
(49824, '1xutA01', NULL, NULL, 35, NULL, NULL, 19661),
(49825, '2kn1A00', NULL, NULL, 51, NULL, NULL, 19661),
(49826, '2cwoA01', NULL, NULL, 86, NULL, NULL, 19662),
(49827, '4kx7A03', NULL, NULL, 88, NULL, NULL, 19663),
(49828, '1z5hA03', NULL, NULL, 73, NULL, NULL, 19663),
(49829, '4wz9A03', NULL, NULL, 88, NULL, NULL, 19663),
(49830, '5ab0A03', NULL, NULL, 89, NULL, NULL, 19663),
(49831, '4fytA03', NULL, NULL, 86, NULL, NULL, 19663),
(49832, '5mj6A03', NULL, NULL, 89, NULL, NULL, 19663),
(49833, '4fkeA03', NULL, NULL, 87, NULL, NULL, 19663);
INSERT INTO "PUBLIC"."MODEL" VALUES
(49834, '6q4rA03', NULL, NULL, 83, NULL, NULL, 19663),
(49835, '3wurA00', NULL, NULL, 171, NULL, NULL, 19664),
(49836, '2a7yA00', NULL, NULL, 83, NULL, NULL, 19665),
(49837, '2e0zA01', NULL, NULL, 107, NULL, NULL, 19666),
(49838, '2lzrA00', NULL, NULL, 55, NULL, NULL, 19667),
(49839, '2mn6A00', NULL, NULL, 50, NULL, NULL, 19667),
(49840, '2l16A00', NULL, NULL, 52, NULL, NULL, 19667),
(49841, '1v4aA01', NULL, NULL, 110, NULL, NULL, 19668),
(49842, '4iglD00', NULL, NULL, 690, NULL, NULL, 19669),
(49843, '5kisB00', NULL, NULL, 689, NULL, NULL, 19669),
(49844, '1li5A02', NULL, NULL, 87, NULL, NULL, 19670),
(49845, '3c8zA02', NULL, NULL, 83, NULL, NULL, 19670),
(49846, '3tqoA02', NULL, NULL, 87, NULL, NULL, 19670),
(49847, '3kv5A02', NULL, NULL, 286, NULL, NULL, 19671),
(49848, '6fqcA01', NULL, NULL, 290, NULL, NULL, 19671),
(49849, '3optA01', NULL, NULL, 328, NULL, NULL, 19671),
(49850, '3kv9A01', NULL, NULL, 285, NULL, NULL, 19671),
(49851, '5fyzA01', NULL, NULL, 334, NULL, NULL, 19671),
(49852, '4lxlA01', NULL, NULL, 334, NULL, NULL, 19671),
(49853, '6bgyA00', NULL, NULL, 330, NULL, NULL, 19671),
(49854, '5fjkA01', NULL, NULL, 332, NULL, NULL, 19671),
(49855, '4igqA00', NULL, NULL, 322, NULL, NULL, 19671),
(49856, '6g5xA01', NULL, NULL, 346, NULL, NULL, 19671),
(49857, '6f4qA00', NULL, NULL, 235, NULL, NULL, 19671),
(49858, '4qxbA01', NULL, NULL, 293, NULL, NULL, 19671),
(49859, '6fulA02', NULL, NULL, 344, NULL, NULL, 19671),
(49860, '5fzoA01', NULL, NULL, 351, NULL, NULL, 19671),
(49861, '6f6dA01', NULL, NULL, 301, NULL, NULL, 19671),
(49862, '3al5B01', NULL, NULL, 263, NULL, NULL, 19671),
(49863, '3puaA01', NULL, NULL, 286, NULL, NULL, 19671),
(49864, '3kv4A01', NULL, NULL, 361, NULL, NULL, 19671),
(49865, '5fwjA01', NULL, NULL, 312, NULL, NULL, 19671),
(49866, '2xxzA00', NULL, NULL, 332, NULL, NULL, 19671),
(49867, '3purA02', NULL, NULL, 299, NULL, NULL, 19671),
(49868, '4bxfA01', NULL, NULL, 240, NULL, NULL, 19671),
(49869, '4cswA01', NULL, NULL, 227, NULL, NULL, 19671),
(49870, '1vrbD01', NULL, NULL, 220, NULL, NULL, 19671),
(49871, '4c8dA00', NULL, NULL, 349, NULL, NULL, 19671),
(49872, '4litA01', NULL, NULL, 203, NULL, NULL, 19671),
(49873, '2wwuA01', NULL, NULL, 287, NULL, NULL, 19671),
(49874, '4ccjA01', NULL, NULL, 246, NULL, NULL, 19671),
(49875, '5phlA00', NULL, NULL, 332, NULL, NULL, 19671),
(49876, '2w2iC00', NULL, NULL, 324, NULL, NULL, 19671),
(49877, '3n6xA02', NULL, NULL, 99, NULL, NULL, 19672),
(49878, '2lzfA00', NULL, NULL, 68, NULL, NULL, 19673),
(49879, '3ck6C02', NULL, NULL, 125, NULL, NULL, 19674),
(49880, '3rkgA02', NULL, NULL, 167, NULL, NULL, 19674),
(49881, '4i0uA03', NULL, NULL, 78, NULL, NULL, 19674),
(49882, '4i0uA02', NULL, NULL, 118, NULL, NULL, 19674),
(49883, '4egwA02', NULL, NULL, 127, NULL, NULL, 19674),
(49884, '3nvoB02', NULL, NULL, 123, NULL, NULL, 19674),
(49885, '4ev6A03', NULL, NULL, 58, NULL, NULL, 19674),
(49886, '2hn1A02', NULL, NULL, 104, NULL, NULL, 19674),
(49887, '1tgrA00', NULL, NULL, 52, NULL, NULL, 19675),
(49888, '3lriA00', NULL, NULL, 83, NULL, NULL, 19675),
(49889, '2kqpA00', NULL, NULL, 86, NULL, NULL, 19675),
(49890, '1zeiA00', NULL, NULL, 53, NULL, NULL, 19675),
(49891, '2jzqA00', NULL, NULL, 57, NULL, NULL, 19675),
(49892, '5wdmD00', NULL, NULL, 57, NULL, NULL, 19675),
(49893, '3kr3D00', NULL, NULL, 67, NULL, NULL, 19675),
(49894, '1imxA00', NULL, NULL, 70, NULL, NULL, 19675),
(49895, '6insE00', NULL, NULL, 50, NULL, NULL, 19675),
(49896, '2kjiA00', NULL, NULL, 50, NULL, NULL, 19675),
(49897, '3lm6B00', NULL, NULL, 346, NULL, NULL, 19676),
(49898, '3lmaB00', NULL, NULL, 347, NULL, NULL, 19676),
(49899, '4aw7A03', NULL, NULL, 122, NULL, NULL, 19677),
(49900, '5ta0A03', NULL, NULL, 125, NULL, NULL, 19677),
(49901, '2wvxB04', NULL, NULL, 181, NULL, NULL, 19678),
(49902, '2ww3A04', NULL, NULL, 183, NULL, NULL, 19678),
(49903, '2ww2A04', NULL, NULL, 172, NULL, NULL, 19678),
(49904, '2f42A01', NULL, NULL, 78, NULL, NULL, 19679),
(49905, '5cyuA03', NULL, NULL, 83, NULL, NULL, 19680),
(49906, '4kk7A03', NULL, NULL, 83, NULL, NULL, 19680);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(49907, '1lshA02', NULL, NULL, 335, NULL, NULL, 19681),
(49908, '2v0pB00', NULL, NULL, 234, NULL, NULL, 19682),
(49909, '4iypA01', NULL, NULL, 211, NULL, NULL, 19682),
(49910, '3qc1A01', NULL, NULL, 175, NULL, NULL, 19682),
(49911, '1fftB01', NULL, NULL, 87, NULL, NULL, 19683),
(49912, '5b1aB01', NULL, NULL, 91, NULL, NULL, 19683),
(49913, '2gsmB01', NULL, NULL, 96, NULL, NULL, 19683),
(49914, '5z62B01', NULL, NULL, 91, NULL, NULL, 19683),
(49915, '6giqb01', NULL, NULL, 111, NULL, NULL, 19683),
(49916, '2yevB01', NULL, NULL, 93, NULL, NULL, 19683),
(49917, '3hb3B02', NULL, NULL, 81, NULL, NULL, 19683),
(49918, '1vp7D00', NULL, NULL, 76, NULL, NULL, 19684),
(49919, '2kvzA00', NULL, NULL, 85, NULL, NULL, 19685),
(49920, '2kywA00', NULL, NULL, 87, NULL, NULL, 19685),
(49921, '4m02A01', NULL, NULL, 81, NULL, NULL, 19685),
(49922, '2kt7A01', NULL, NULL, 85, NULL, NULL, 19685),
(49923, '2xmxA01', NULL, NULL, 141, NULL, NULL, 19686),
(49924, '4g75A01', NULL, NULL, 158, NULL, NULL, 19686),
(49925, '2xclA04', NULL, NULL, 98, NULL, NULL, 19687),
(49926, '2yw2A04', NULL, NULL, 96, NULL, NULL, 19687),
(49927, '2yrxA04', NULL, NULL, 106, NULL, NULL, 19687),
(49928, '5vevB04', NULL, NULL, 96, NULL, NULL, 19687),
(49929, '1vkzA04', NULL, NULL, 86, NULL, NULL, 19687),
(49930, '3lp8A04', NULL, NULL, 95, NULL, NULL, 19687),
(49931, '2qk4A04', NULL, NULL, 95, NULL, NULL, 19687),
(49932, '3mjfA04', NULL, NULL, 96, NULL, NULL, 19687),
(49933, '2ip4A04', NULL, NULL, 93, NULL, NULL, 19687),
(49934, '1gsoA04', NULL, NULL, 96, NULL, NULL, 19687),
(49935, '3vqiA01', NULL, NULL, 125, NULL, NULL, 19688),
(49936, '4tq1A02', NULL, NULL, 102, NULL, NULL, 19688),
(49937, '2dymC01', NULL, NULL, 122, NULL, NULL, 19688),
(49938, '2c42A07', NULL, NULL, 62, NULL, NULL, 19689),
(49939, '2qrdA00', NULL, NULL, 137, NULL, NULL, 19690),
(49940, '1v5sA00', NULL, NULL, 126, NULL, NULL, 19690),
(49941, '4zhxC03', NULL, NULL, 90, NULL, NULL, 19690),
(49942, '1ul7A00', NULL, NULL, 102, NULL, NULL, 19690),
(49943, '3oseA00', NULL, NULL, 100, NULL, NULL, 19690),
(49944, '3t4nA01', NULL, NULL, 126, NULL, NULL, 19690),
(49945, '2v8qA01', NULL, NULL, 89, NULL, NULL, 19690),
(49946, '2zfdB00', NULL, NULL, 123, NULL, NULL, 19690),
(49947, '2y8lA01', NULL, NULL, 91, NULL, NULL, 19690),
(49948, '2y94A03', NULL, NULL, 76, NULL, NULL, 19690),
(49949, '2ehbD00', NULL, NULL, 127, NULL, NULL, 19690),
(49950, '4eagA01', NULL, NULL, 117, NULL, NULL, 19690),
(49951, '2r2zA00', NULL, NULL, 93, NULL, NULL, 19691),
(49952, '2p13A00', NULL, NULL, 90, NULL, NULL, 19691),
(49953, '5d79A02', NULL, NULL, 213, NULL, NULL, 19691),
(49954, '2bvfA02', NULL, NULL, 141, NULL, NULL, 19691),
(49955, '2gqtA02', NULL, NULL, 121, NULL, NULL, 19691),
(49956, '2nqwA00', NULL, NULL, 93, NULL, NULL, 19691),
(49957, '5awvA01', NULL, NULL, 236, NULL, NULL, 19691),
(49958, '2uuuA02', NULL, NULL, 231, NULL, NULL, 19691),
(49959, '4ud8A02', NULL, NULL, 206, NULL, NULL, 19691),
(49960, '2y3sB01', NULL, NULL, 231, NULL, NULL, 19691),
(49961, '3hsuA01', NULL, NULL, 249, NULL, NULL, 19691),
(49962, '2w3sA04', NULL, NULL, 114, NULL, NULL, 19691),
(49963, '3pm9A02', NULL, NULL, 122, NULL, NULL, 19691),
(49964, '4pytA02', NULL, NULL, 128, NULL, NULL, 19691),
(49965, '1e8gA02', NULL, NULL, 111, NULL, NULL, 19691),
(49966, '6c80A02', NULL, NULL, 127, NULL, NULL, 19691),
(49967, '2oaiA00', NULL, NULL, 94, NULL, NULL, 19691),
(49968, '2vfrA02', NULL, NULL, 130, NULL, NULL, 19691),
(49969, '1zr6A02', NULL, NULL, 141, NULL, NULL, 19691),
(49970, '2exrA02', NULL, NULL, 128, NULL, NULL, 19691),
(49971, '3llbA00', NULL, NULL, 83, NULL, NULL, 19691),
(49972, '2p3hA00', NULL, NULL, 101, NULL, NULL, 19691),
(49973, '6foqA02', NULL, NULL, 140, NULL, NULL, 19691),
(49974, '2pliA00', NULL, NULL, 91, NULL, NULL, 19691),
(49975, '2p4pA00', NULL, NULL, 86, NULL, NULL, 19691),
(49976, '1t3qC02', NULL, NULL, 118, NULL, NULL, 19691),
(49977, '2e1qC04', NULL, NULL, 130, NULL, NULL, 19691),
(49978, '3js8A02', NULL, NULL, 128, NULL, NULL, 19691),
(49979, '2i0kA02', NULL, NULL, 126, NULL, NULL, 19691),
(49980, '3tx1A02', NULL, NULL, 127, NULL, NULL, 19691);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(49981, '2ipiA01', NULL, NULL, 231, NULL, NULL, 19691),
(49982, '4mlaA02', NULL, NULL, 121, NULL, NULL, 19691),
(49983, '1w1oA02', NULL, NULL, 127, NULL, NULL, 19691),
(49984, '1hskA01', NULL, NULL, 127, NULL, NULL, 19691),
(49985, '4jb1A02', NULL, NULL, 154, NULL, NULL, 19691),
(49986, '4dnsA02', NULL, NULL, 210, NULL, NULL, 19691),
(49987, '4bbyA03', NULL, NULL, 121, NULL, NULL, 19691),
(49988, '3rjaA01', NULL, NULL, 244, NULL, NULL, 19691),
(49989, '3i99A02', NULL, NULL, 149, NULL, NULL, 19691),
(49990, '3popA01', NULL, NULL, 237, NULL, NULL, 19691),
(49991, '3laeA00', NULL, NULL, 81, NULL, NULL, 19691),
(49992, '2o3gA00', NULL, NULL, 76, NULL, NULL, 19691),
(49993, '6eo5B01', NULL, NULL, 262, NULL, NULL, 19691),
(49994, '3dedC00', NULL, NULL, 91, NULL, NULL, 19691),
(49995, '2yvsA01', NULL, NULL, 114, NULL, NULL, 19691),
(49996, '1n62C03', NULL, NULL, 115, NULL, NULL, 19691),
(49997, '3an1A04', NULL, NULL, 130, NULL, NULL, 19691),
(49998, '3nvwB02', NULL, NULL, 126, NULL, NULL, 19691),
(49999, '4pvkA02', NULL, NULL, 214, NULL, NULL, 19691),
(50000, '2plsA00', NULL, NULL, 86, NULL, NULL, 19691),
(50001, '5fxdA02', NULL, NULL, 127, NULL, NULL, 19691),
(50002, '5l6gA01', NULL, NULL, 244, NULL, NULL, 19691),
(50003, '3vteA02', NULL, NULL, 218, NULL, NULL, 19691),
(50004, '4o95A02', NULL, NULL, 132, NULL, NULL, 19691),
(50005, '5jzxD02', NULL, NULL, 153, NULL, NULL, 19691),
(50006, '5i1vC01', NULL, NULL, 234, NULL, NULL, 19691),
(50007, '2rk5A00', NULL, NULL, 87, NULL, NULL, 19691),
(50008, '2p4pB00', NULL, NULL, 86, NULL, NULL, 19691),
(50009, '1ffvC03', NULL, NULL, 114, NULL, NULL, 19691),
(50010, '1uxyA03', NULL, NULL, 150, NULL, NULL, 19691),
(50011, '4hg0A02', NULL, NULL, 95, NULL, NULL, 19691),
(50012, '4zohB02', NULL, NULL, 109, NULL, NULL, 19691),
(50013, '1f0xA03', NULL, NULL, 163, NULL, NULL, 19691),
(50014, '3fw9A02', NULL, NULL, 211, NULL, NULL, 19691),
(50015, '1wvfA02', NULL, NULL, 128, NULL, NULL, 19691),
(50016, '1w98B02', NULL, NULL, 114, NULL, NULL, 19692),
(50017, '4yozA01', NULL, NULL, 181, NULL, NULL, 19692),
(50018, '1w98B01', NULL, NULL, 153, NULL, NULL, 19692),
(50019, '2r7gA01', NULL, NULL, 184, NULL, NULL, 19692),
(50020, '3k7aM01', NULL, NULL, 116, NULL, NULL, 19692),
(50021, '2r7gA02', NULL, NULL, 163, NULL, NULL, 19692),
(50022, '3g33B01', NULL, NULL, 119, NULL, NULL, 19692),
(50023, '2f2cA01', NULL, NULL, 112, NULL, NULL, 19692),
(50024, '3o0gD00', NULL, NULL, 149, NULL, NULL, 19692),
(50025, '2f2cA02', NULL, NULL, 106, NULL, NULL, 19692),
(50026, '1f5qB01', NULL, NULL, 109, NULL, NULL, 19692),
(50027, '1f5qB02', NULL, NULL, 143, NULL, NULL, 19692),
(50028, '4eojB02', NULL, NULL, 113, NULL, NULL, 19692),
(50029, '3ddqB01', NULL, NULL, 146, NULL, NULL, 19692),
(50030, '4eojD01', NULL, NULL, 139, NULL, NULL, 19692),
(50031, '1jkwA02', NULL, NULL, 101, NULL, NULL, 19692),
(50032, '3qhwB01', NULL, NULL, 139, NULL, NULL, 19692),
(50033, '1guxB00', NULL, NULL, 152, NULL, NULL, 19692),
(50034, '1c9bA01', NULL, NULL, 97, NULL, NULL, 19692),
(50035, '3g33B02', NULL, NULL, 113, NULL, NULL, 19692),
(50036, '1c9bA02', NULL, NULL, 106, NULL, NULL, 19692),
(50037, '1aisB01', NULL, NULL, 106, NULL, NULL, 19692),
(50038, '5xs2B01', NULL, NULL, 131, NULL, NULL, 19692),
(50039, '1aisB02', NULL, NULL, 94, NULL, NULL, 19692),
(50040, '3h4cA01', NULL, NULL, 104, NULL, NULL, 19692),
(50041, '5xs2B02', NULL, NULL, 132, NULL, NULL, 19692),
(50042, '3m03B00', NULL, NULL, 95, NULL, NULL, 19692),
(50043, '3pomB02', NULL, NULL, 165, NULL, NULL, 19692),
(50044, '1g3nC02', NULL, NULL, 113, NULL, NULL, 19692),
(50045, '2w96A02', NULL, NULL, 113, NULL, NULL, 19692),
(50046, '2w96A01', NULL, NULL, 158, NULL, NULL, 19692),
(50047, '1g3nC01', NULL, NULL, 144, NULL, NULL, 19692),
(50048, '4rocA01', NULL, NULL, 108, NULL, NULL, 19692),
(50049, '2i53A02', NULL, NULL, 111, NULL, NULL, 19692),
(50050, '6gu2B01', NULL, NULL, 149, NULL, NULL, 19692),
(50051, '2i53A01', NULL, NULL, 147, NULL, NULL, 19692),
(50052, '6gu2B02', NULL, NULL, 112, NULL, NULL, 19692),
(50053, '2pmiB00', NULL, NULL, 231, NULL, NULL, 19692);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(50054, '2ivxB01', NULL, NULL, 142, NULL, NULL, 19692),
(50055, '2ivxB02', NULL, NULL, 115, NULL, NULL, 19692),
(50056, '1kxuA01', NULL, NULL, 175, NULL, NULL, 19692),
(50057, '4yosA02', NULL, NULL, 188, NULL, NULL, 19692),
(50058, '1zp2A01', NULL, NULL, 123, NULL, NULL, 19692),
(50059, '4krdB00', NULL, NULL, 191, NULL, NULL, 19692),
(50060, '3mi9B01', NULL, NULL, 149, NULL, NULL, 19692),
(50061, '1zp2A02', NULL, NULL, 112, NULL, NULL, 19692),
(50062, '3mi9B02', NULL, NULL, 117, NULL, NULL, 19692),
(50063, '5iybM01', NULL, NULL, 98, NULL, NULL, 19692),
(50064, '3og2A03', NULL, NULL, 89, NULL, NULL, 19693),
(50065, '1tg7A03', NULL, NULL, 89, NULL, NULL, 19693),
(50066, '4iugA03', NULL, NULL, 89, NULL, NULL, 19693),
(50067, '5ifpA03', NULL, NULL, 89, NULL, NULL, 19693),
(50068, '3e0jA02', NULL, NULL, 127, NULL, NULL, 19694),
(50069, '3cxbA03', NULL, NULL, 90, NULL, NULL, 19695),
(50070, '4gu5A03', NULL, NULL, 214, NULL, NULL, 19696),
(50071, '3umvA03', NULL, NULL, 151, NULL, NULL, 19696),
(50072, '2wq7A03', NULL, NULL, 186, NULL, NULL, 19696),
(50073, '1owlA03', NULL, NULL, 176, NULL, NULL, 19696),
(50074, '1np7B03', NULL, NULL, 181, NULL, NULL, 19696),
(50075, '2xryA03', NULL, NULL, 143, NULL, NULL, 19696),
(50076, '5zm0A03', NULL, NULL, 186, NULL, NULL, 19696),
(50077, '4mlpA03', NULL, NULL, 186, NULL, NULL, 19696),
(50078, '2j07A03', NULL, NULL, 162, NULL, NULL, 19696),
(50079, '3fy4C03', NULL, NULL, 225, NULL, NULL, 19696),
(50080, '4djaA03', NULL, NULL, 121, NULL, NULL, 19696),
(50081, '1dnpA03', NULL, NULL, 183, NULL, NULL, 19696),
(50082, '2j4dB03', NULL, NULL, 156, NULL, NULL, 19696),
(50083, '1u3dA03', NULL, NULL, 202, NULL, NULL, 19696),
(50084, '4u63A03', NULL, NULL, 188, NULL, NULL, 19696),
(50085, '5t5xA03', NULL, NULL, 188, NULL, NULL, 19696),
(50086, '2e0iA03', NULL, NULL, 183, NULL, NULL, 19696),
(50087, '3zxsA03', NULL, NULL, 121, NULL, NULL, 19696),
(50088, '4i1oD02', NULL, NULL, 154, NULL, NULL, 19697),
(50089, '4jvsA02', NULL, NULL, 159, NULL, NULL, 19697),
(50090, '4jw1B02', NULL, NULL, 157, NULL, NULL, 19697),
(50091, '2gqtA01', NULL, NULL, 70, NULL, NULL, 19698),
(50092, '4dnsB01', NULL, NULL, 111, NULL, NULL, 19698),
(50093, '5d79B01', NULL, NULL, 106, NULL, NULL, 19698),
(50094, '2bvfA01', NULL, NULL, 79, NULL, NULL, 19698),
(50095, '3i99A01', NULL, NULL, 82, NULL, NULL, 19698),
(50096, '4bbyB01', NULL, NULL, 128, NULL, NULL, 19698),
(50097, '4ud8B01', NULL, NULL, 111, NULL, NULL, 19698),
(50098, '4pytA01', NULL, NULL, 88, NULL, NULL, 19698),
(50099, '1ffvC01', NULL, NULL, 54, NULL, NULL, 19698),
(50100, '3pm9A01', NULL, NULL, 104, NULL, NULL, 19698),
(50101, '6c80A01', NULL, NULL, 126, NULL, NULL, 19698),
(50102, '1zr6A01', NULL, NULL, 93, NULL, NULL, 19698),
(50103, '2exrA01', NULL, NULL, 123, NULL, NULL, 19698),
(50104, '2vfrA01', NULL, NULL, 72, NULL, NULL, 19698),
(50105, '1n62C01', NULL, NULL, 54, NULL, NULL, 19698),
(50106, '3an1B03', NULL, NULL, 66, NULL, NULL, 19698),
(50107, '6foqA01', NULL, NULL, 79, NULL, NULL, 19698),
(50108, '4o95A01', NULL, NULL, 101, NULL, NULL, 19698),
(50109, '4pvkA01', NULL, NULL, 109, NULL, NULL, 19698),
(50110, '2e1qC03', NULL, NULL, 62, NULL, NULL, 19698),
(50111, '1t3qC01', NULL, NULL, 56, NULL, NULL, 19698),
(50112, '3vteA01', NULL, NULL, 108, NULL, NULL, 19698),
(50113, '5fxdA01', NULL, NULL, 111, NULL, NULL, 19698),
(50114, '3js8A01', NULL, NULL, 76, NULL, NULL, 19698),
(50115, '3tx1A01', NULL, NULL, 84, NULL, NULL, 19698),
(50116, '2i0kA01', NULL, NULL, 76, NULL, NULL, 19698),
(50117, '3nvwB01', NULL, NULL, 92, NULL, NULL, 19698),
(50118, '3zyvD03', NULL, NULL, 67, NULL, NULL, 19698),
(50119, '1e8gA01', NULL, NULL, 128, NULL, NULL, 19698),
(50120, '2w3sA03', NULL, NULL, 50, NULL, NULL, 19698),
(50121, '1uxyA02', NULL, NULL, 66, NULL, NULL, 19698),
(50122, '4mlaB01', NULL, NULL, 117, NULL, NULL, 19698),
(50123, '4mlaA01', NULL, NULL, 147, NULL, NULL, 19698),
(50124, '3nvwK01', NULL, NULL, 63, NULL, NULL, 19698),
(50125, '1w1oA01', NULL, NULL, 124, NULL, NULL, 19698),
(50126, '1hskA02', NULL, NULL, 102, NULL, NULL, 19698),
(50127, '4zohB01', NULL, NULL, 53, NULL, NULL, 19698);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(50128, '1f0xB02', NULL, NULL, 152, NULL, NULL, 19698),
(50129, '1wvfA01', NULL, NULL, 113, NULL, NULL, 19698),
(50130, '4jb1A01', NULL, NULL, 75, NULL, NULL, 19698),
(50131, '3fw9A01', NULL, NULL, 100, NULL, NULL, 19698),
(50132, '4ak1A02', NULL, NULL, 121, NULL, NULL, 19699),
(50133, '4ak2A01', NULL, NULL, 118, NULL, NULL, 19700),
(50134, '3i0wA01', NULL, NULL, 113, NULL, NULL, 19701),
(50135, '4ejyA01', NULL, NULL, 126, NULL, NULL, 19701),
(50136, '2qqpA01', NULL, NULL, 58, NULL, NULL, 19702),
(50137, '1ntyA01', NULL, NULL, 187, NULL, NULL, 19703),
(50138, '2rgnB01', NULL, NULL, 204, NULL, NULL, 19703),
(50139, '1dbhA01', NULL, NULL, 224, NULL, NULL, 19703),
(50140, '3gf9A00', NULL, NULL, 201, NULL, NULL, 19703),
(50141, '2dfkC01', NULL, NULL, 212, NULL, NULL, 19703),
(50142, '2z0qA01', NULL, NULL, 216, NULL, NULL, 19703),
(50143, '3eo2A00', NULL, NULL, 187, NULL, NULL, 19703),
(50144, '2pz1A02', NULL, NULL, 237, NULL, NULL, 19703),
(50145, '2vrwB01', NULL, NULL, 193, NULL, NULL, 19703),
(50146, '3bjiA01', NULL, NULL, 194, NULL, NULL, 19703),
(50147, '1kz7A01', NULL, NULL, 195, NULL, NULL, 19703),
(50148, '4gouA03', NULL, NULL, 197, NULL, NULL, 19703),
(50149, '5o33B00', NULL, NULL, 180, NULL, NULL, 19703),
(50150, '4yonA01', NULL, NULL, 216, NULL, NULL, 19703),
(50151, '4gyvE00', NULL, NULL, 218, NULL, NULL, 19703),
(50152, '1by1A00', NULL, NULL, 209, NULL, NULL, 19703),
(50153, '4d0nB01', NULL, NULL, 245, NULL, NULL, 19703),
(50154, '3p6aA01', NULL, NULL, 213, NULL, NULL, 19703),
(50155, '5jhhA01', NULL, NULL, 230, NULL, NULL, 19703),
(50156, '3jv3A02', NULL, NULL, 217, NULL, NULL, 19703),
(50157, '1foeA01', NULL, NULL, 204, NULL, NULL, 19703),
(50158, '3mpxA01', NULL, NULL, 214, NULL, NULL, 19703),
(50159, '1txdA01', NULL, NULL, 233, NULL, NULL, 19703),
(50160, '5na1A00', NULL, NULL, 408, NULL, NULL, 19704),
(50161, '5wedA00', NULL, NULL, 405, NULL, NULL, 19704),
(50162, '3hywA00', NULL, NULL, 430, NULL, NULL, 19704),
(50163, '3sx6A00', NULL, NULL, 421, NULL, NULL, 19704),
(50164, '4g6hA00', NULL, NULL, 472, NULL, NULL, 19704),
(50165, '1j7gA00', NULL, NULL, 144, NULL, NULL, 19705),
(50166, '1tc5C00', NULL, NULL, 194, NULL, NULL, 19705),
(50167, '2okvA00', NULL, NULL, 149, NULL, NULL, 19705),
(50168, '4rrfA01', NULL, NULL, 136, NULL, NULL, 19705),
(50169, '4rrqA01', NULL, NULL, 139, NULL, NULL, 19705),
(50170, '2dboA00', NULL, NULL, 148, NULL, NULL, 19705),
(50171, '1jkeA00', NULL, NULL, 145, NULL, NULL, 19705),
(50172, '4s02A01', NULL, NULL, 139, NULL, NULL, 19705),
(50173, '4rriA01', NULL, NULL, 134, NULL, NULL, 19705),
(50174, '4nbiB00', NULL, NULL, 164, NULL, NULL, 19705),
(50175, '3c2qA01', NULL, NULL, 90, NULL, NULL, 19706),
(50176, '2llzA01', NULL, NULL, 90, NULL, NULL, 19707),
(50177, '2m3dA01', NULL, NULL, 78, NULL, NULL, 19708),
(50178, '2e29A01', NULL, NULL, 76, NULL, NULL, 19708),
(50179, '2x12A01', NULL, NULL, 190, NULL, NULL, 19709),
(50180, '1fn9A01', NULL, NULL, 140, NULL, NULL, 19710),
(50181, '4krgA02', NULL, NULL, 205, NULL, NULL, 19711),
(50182, '2fji102', NULL, NULL, 190, NULL, NULL, 19712),
(50183, '4ecnA02', NULL, NULL, 138, NULL, NULL, 19713),
(50184, '4ecnA01', NULL, NULL, 125, NULL, NULL, 19713),
(50185, '2zyrA02', NULL, NULL, 94, NULL, NULL, 19714),
(50186, '3nbhA01', NULL, NULL, 84, NULL, NULL, 19715),
(50187, '3mxnA01', NULL, NULL, 86, NULL, NULL, 19715),
(50188, '4tkdC00', NULL, NULL, 141, NULL, NULL, 19716),
(50189, '4qboA00', NULL, NULL, 92, NULL, NULL, 19716),
(50190, '1r0vA03', NULL, NULL, 92, NULL, NULL, 19716),
(50191, '2fcoA00', NULL, NULL, 171, NULL, NULL, 19716),
(50192, '2ostD00', NULL, NULL, 151, NULL, NULL, 19716),
(50193, '1r0vA01', NULL, NULL, 77, NULL, NULL, 19716),
(50194, '1rznA00', NULL, NULL, 173, NULL, NULL, 19716),
(50195, '2gw6A01', NULL, NULL, 116, NULL, NULL, 19716),
(50196, '2inbA00', NULL, NULL, 140, NULL, NULL, 19716),
(50197, '3ajvB02', NULL, NULL, 93, NULL, NULL, 19716),
(50198, '2wcwB00', NULL, NULL, 139, NULL, NULL, 19716),
(50199, '4f0qA02', NULL, NULL, 192, NULL, NULL, 19716),
(50200, '3ajvC02', NULL, NULL, 91, NULL, NULL, 19716);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(50201, '2okfA00', NULL, NULL, 140, NULL, NULL, 19716),
(50202, '1t0fA01', NULL, NULL, 162, NULL, NULL, 19716),
(50203, '1y88A01', NULL, NULL, 140, NULL, NULL, 19716),
(50204, '4oc8A02', NULL, NULL, 172, NULL, NULL, 19716),
(50205, '3ieyA02', NULL, NULL, 100, NULL, NULL, 19716),
(50206, '1a79A01', NULL, NULL, 100, NULL, NULL, 19716),
(50207, '2eo0B00', NULL, NULL, 147, NULL, NULL, 19716),
(50208, '4qblE00', NULL, NULL, 145, NULL, NULL, 19716),
(50209, '2cv8B02', NULL, NULL, 95, NULL, NULL, 19716),
(50210, '2zyzC00', NULL, NULL, 96, NULL, NULL, 19716),
(50211, '2zyzB02', NULL, NULL, 95, NULL, NULL, 19716),
(50212, '2vldA02', NULL, NULL, 114, NULL, NULL, 19716),
(50213, '1ob8B00', NULL, NULL, 135, NULL, NULL, 19716),
(50214, '4qbnA00', NULL, NULL, 93, NULL, NULL, 19716),
(50215, '3fovA00', NULL, NULL, 110, NULL, NULL, 19716),
(50216, '1gefA00', NULL, NULL, 123, NULL, NULL, 19716),
(50217, '5x89A03', NULL, NULL, 97, NULL, NULL, 19716),
(50218, '1xmxA02', NULL, NULL, 154, NULL, NULL, 19716),
(50219, '1lmlA01', NULL, NULL, 170, NULL, NULL, 19717),
(50220, '2zjsE00', NULL, NULL, 60, NULL, NULL, 19718),
(50221, '3gtyS00', NULL, NULL, 149, NULL, NULL, 19719),
(50222, '1rssA00', NULL, NULL, 151, NULL, NULL, 19719),
(50223, '1husA00', NULL, NULL, 155, NULL, NULL, 19719),
(50224, '6az1H00', NULL, NULL, 190, NULL, NULL, 19719),
(50225, '5optO00', NULL, NULL, 190, NULL, NULL, 19719),
(50226, '5xxuF00', NULL, NULL, 192, NULL, NULL, 19719),
(50227, '6faiF00', NULL, NULL, 206, NULL, NULL, 19719),
(50228, '2xzmG00', NULL, NULL, 200, NULL, NULL, 19719),
(50229, '1iqvA00', NULL, NULL, 201, NULL, NULL, 19719),
(50230, '3jamF00', NULL, NULL, 206, NULL, NULL, 19719),
(50231, '6g5iF00', NULL, NULL, 204, NULL, NULL, 19719),
(50232, '5mmjg00', NULL, NULL, 155, NULL, NULL, 19719),
(50233, '5xyiF00', NULL, NULL, 193, NULL, NULL, 19719),
(50234, '3j7aI00', NULL, NULL, 195, NULL, NULL, 19719),
(50235, '2vhpG00', NULL, NULL, 154, NULL, NULL, 19719),
(50236, '3c1yA02', NULL, NULL, 148, NULL, NULL, 19720),
(50237, '1x0tA02', NULL, NULL, 56, NULL, NULL, 19721),
(50238, '2k3rA02', NULL, NULL, 46, NULL, NULL, 19721),
(50239, '2pkeA02', NULL, NULL, 83, NULL, NULL, 19722),
(50240, '3u26A02', NULL, NULL, 83, NULL, NULL, 19722),
(50241, '2b0cA02', NULL, NULL, 66, NULL, NULL, 19722),
(50242, '3sd7A02', NULL, NULL, 66, NULL, NULL, 19722),
(50243, '4uasA02', NULL, NULL, 77, NULL, NULL, 19722),
(50244, '1qq5A02', NULL, NULL, 75, NULL, NULL, 19722),
(50245, '4gibA02', NULL, NULL, 79, NULL, NULL, 19722),
(50246, '3iruA02', NULL, NULL, 78, NULL, NULL, 19722),
(50247, '4g9bA02', NULL, NULL, 79, NULL, NULL, 19722),
(50248, '3ed5A02', NULL, NULL, 84, NULL, NULL, 19722),
(50249, '4uw9A02', NULL, NULL, 83, NULL, NULL, 19722),
(50250, '3e58A02', NULL, NULL, 66, NULL, NULL, 19722),
(50251, '2ymmA02', NULL, NULL, 73, NULL, NULL, 19722),
(50252, '1cqzB02', NULL, NULL, 80, NULL, NULL, 19722),
(50253, '2hcfA02', NULL, NULL, 68, NULL, NULL, 19722),
(50254, '2no4A02', NULL, NULL, 75, NULL, NULL, 19722),
(50255, '4ex6A02', NULL, NULL, 67, NULL, NULL, 19722),
(50256, '3s6jA02', NULL, NULL, 69, NULL, NULL, 19722),
(50257, '3um9A02', NULL, NULL, 75, NULL, NULL, 19722),
(50258, '3kbbA02', NULL, NULL, 70, NULL, NULL, 19722),
(50259, '2qltA02', NULL, NULL, 62, NULL, NULL, 19722),
(50260, '1swvA02', NULL, NULL, 78, NULL, NULL, 19722),
(50261, '3l5kA02', NULL, NULL, 68, NULL, NULL, 19722),
(50262, '3cnhB02', NULL, NULL, 68, NULL, NULL, 19722),
(50263, '3d6jA02', NULL, NULL, 67, NULL, NULL, 19722),
(50264, '3dv9A02', NULL, NULL, 70, NULL, NULL, 19722),
(50265, '3s6jC02', NULL, NULL, 69, NULL, NULL, 19722),
(50266, '3s6jE02', NULL, NULL, 69, NULL, NULL, 19722),
(50267, '3umcD02', NULL, NULL, 82, NULL, NULL, 19722),
(50268, '3ddhA02', NULL, NULL, 81, NULL, NULL, 19722),
(50269, '2w43A02', NULL, NULL, 57, NULL, NULL, 19722),
(50270, '2fi1A02', NULL, NULL, 64, NULL, NULL, 19722),
(50271, '1zrnA02', NULL, NULL, 75, NULL, NULL, 19722),
(50272, '2nyvA02', NULL, NULL, 64, NULL, NULL, 19722),
(50273, '2hdoA02', NULL, NULL, 64, NULL, NULL, 19722),
(50274, '2hi0A02', NULL, NULL, 89, NULL, NULL, 19722);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(50275, '3nasA02', NULL, NULL, 79, NULL, NULL, 19722),
(50276, '2wf7A02', NULL, NULL, 78, NULL, NULL, 19722),
(50277, '4eekA02', NULL, NULL, 66, NULL, NULL, 19722),
(50278, '3mc1A02', NULL, NULL, 67, NULL, NULL, 19722),
(50279, '2ah5A02', NULL, NULL, 65, NULL, NULL, 19722),
(50280, '1te2A02', NULL, NULL, 72, NULL, NULL, 19722),
(50281, '3umbA02', NULL, NULL, 79, NULL, NULL, 19722),
(50282, '2mu2A00', NULL, NULL, 86, NULL, NULL, 19722),
(50283, '3s6jF02', NULL, NULL, 69, NULL, NULL, 19722),
(50284, '3umgA02', NULL, NULL, 71, NULL, NULL, 19722),
(50285, '3qnmA02', NULL, NULL, 90, NULL, NULL, 19722),
(50286, '1x42A02', NULL, NULL, 83, NULL, NULL, 19722),
(50287, '3s6jB02', NULL, NULL, 69, NULL, NULL, 19722),
(50288, '4uavA02', NULL, NULL, 85, NULL, NULL, 19722),
(50289, '2go7A02', NULL, NULL, 67, NULL, NULL, 19722),
(50290, '3s6jD02', NULL, NULL, 69, NULL, NULL, 19722),
(50291, '5am2A02', NULL, NULL, 80, NULL, NULL, 19722),
(50292, '2fdrA02', NULL, NULL, 67, NULL, NULL, 19722),
(50293, '4dccA02', NULL, NULL, 74, NULL, NULL, 19722),
(50294, '2hszA02', NULL, NULL, 75, NULL, NULL, 19722),
(50295, '3qu5A02', NULL, NULL, 70, NULL, NULL, 19722),
(50296, '4jb3A02', NULL, NULL, 72, NULL, NULL, 19722),
(50297, '2i6xA02', NULL, NULL, 74, NULL, NULL, 19722),
(50298, '1xrhH02', NULL, NULL, 239, NULL, NULL, 19723),
(50299, '1xrhG02', NULL, NULL, 239, NULL, NULL, 19723),
(50300, '1xrhD02', NULL, NULL, 239, NULL, NULL, 19723),
(50301, '3uoeA02', NULL, NULL, 164, NULL, NULL, 19723),
(50302, '1xrhC02', NULL, NULL, 239, NULL, NULL, 19723),
(50303, '1xrhF02', NULL, NULL, 239, NULL, NULL, 19723),
(50304, '1xrhE02', NULL, NULL, 239, NULL, NULL, 19723),
(50305, '1xrhB02', NULL, NULL, 239, NULL, NULL, 19723),
(50306, '2g8yA02', NULL, NULL, 218, NULL, NULL, 19723),
(50307, '1v9nA02', NULL, NULL, 245, NULL, NULL, 19723),
(50308, '1xrhA02', NULL, NULL, 239, NULL, NULL, 19723),
(50309, '2x06A02', NULL, NULL, 211, NULL, NULL, 19723),
(50310, '3i0pA02', NULL, NULL, 253, NULL, NULL, 19723),
(50311, '1z2iA02', NULL, NULL, 157, NULL, NULL, 19723),
(50312, '1wtjA02', NULL, NULL, 191, NULL, NULL, 19723),
(50313, '1vbiA02', NULL, NULL, 237, NULL, NULL, 19723),
(50314, '4h8aA02', NULL, NULL, 239, NULL, NULL, 19723),
(50315, '1nxuB02', NULL, NULL, 159, NULL, NULL, 19723),
(50316, '3jqqC01', NULL, NULL, 121, NULL, NULL, 19724),
(50317, '4n3gA02', NULL, NULL, 101, NULL, NULL, 19724),
(50318, '1tvcA01', NULL, NULL, 109, NULL, NULL, 19724),
(50319, '5kswB01', NULL, NULL, 100, NULL, NULL, 19724),
(50320, '4yhbA01', NULL, NULL, 135, NULL, NULL, 19724),
(50321, '2crvA01', NULL, NULL, 93, NULL, NULL, 19724),
(50322, '4kiyV02', NULL, NULL, 108, NULL, NULL, 19724),
(50323, '5hxbA02', NULL, NULL, 109, NULL, NULL, 19724),
(50324, '5hxbA01', NULL, NULL, 90, NULL, NULL, 19724),
(50325, '5ty0A02', NULL, NULL, 128, NULL, NULL, 19724),
(50326, '3qftA01', NULL, NULL, 118, NULL, NULL, 19724),
(50327, '1gawA01', NULL, NULL, 133, NULL, NULL, 19724),
(50328, '5an9A02', NULL, NULL, 182, NULL, NULL, 19724),
(50329, '3p26A03', NULL, NULL, 116, NULL, NULL, 19724),
(50330, '2bm0A02', NULL, NULL, 103, NULL, NULL, 19724),
(50331, '1skqB03', NULL, NULL, 109, NULL, NULL, 19724),
(50332, '1cqxA02', NULL, NULL, 111, NULL, NULL, 19724),
(50333, '4c0sA02', NULL, NULL, 93, NULL, NULL, 19724),
(50334, '5w75A03', NULL, NULL, 95, NULL, NULL, 19724),
(50335, '6bk7A02', NULL, NULL, 119, NULL, NULL, 19724),
(50336, '6mijA02', NULL, NULL, 95, NULL, NULL, 19724),
(50337, '3w5hA01', NULL, NULL, 117, NULL, NULL, 19724),
(50338, '6mijA03', NULL, NULL, 93, NULL, NULL, 19724),
(50339, '1zunB02', NULL, NULL, 90, NULL, NULL, 19724),
(50340, '1f20A03', NULL, NULL, 113, NULL, NULL, 19724),
(50341, '2piaA01', NULL, NULL, 104, NULL, NULL, 19724),
(50342, '1zunB03', NULL, NULL, 106, NULL, NULL, 19724),
(50343, '2b5oA01', NULL, NULL, 129, NULL, NULL, 19724),
(50344, '1umkA01', NULL, NULL, 115, NULL, NULL, 19724),
(50345, '2xexA02', NULL, NULL, 119, NULL, NULL, 19724),
(50346, '5gxuB01', NULL, NULL, 122, NULL, NULL, 19724),
(50347, '1kjzA03', NULL, NULL, 92, NULL, NULL, 19724),
(50348, '3vo1A01', NULL, NULL, 132, NULL, NULL, 19724);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(50349, '3j81k02', NULL, NULL, 116, NULL, NULL, 19724),
(50350, '1vw3C01', NULL, NULL, 131, NULL, NULL, 19724),
(50351, '2qtlA02', NULL, NULL, 121, NULL, NULL, 19724),
(50352, '4zv4A02', NULL, NULL, 95, NULL, NULL, 19724),
(50353, '3fpkA01', NULL, NULL, 99, NULL, NULL, 19724),
(50354, '6gehA01', NULL, NULL, 113, NULL, NULL, 19724),
(50355, '4zciA02', NULL, NULL, 101, NULL, NULL, 19724),
(50356, '3wndA03', NULL, NULL, 94, NULL, NULL, 19724),
(50357, '3wndA02', NULL, NULL, 85, NULL, NULL, 19724),
(50358, '4a17B02', NULL, NULL, 180, NULL, NULL, 19724),
(50359, '1ddgA01', NULL, NULL, 114, NULL, NULL, 19724),
(50360, '4zv4A03', NULL, NULL, 93, NULL, NULL, 19724),
(50361, '2qdxA01', NULL, NULL, 95, NULL, NULL, 19724),
(50362, '3wy9A02', NULL, NULL, 95, NULL, NULL, 19724),
(50363, '4rd4A03', NULL, NULL, 93, NULL, NULL, 19724),
(50364, '4j0qA02', NULL, NULL, 95, NULL, NULL, 19724),
(50365, '4fn5A02', NULL, NULL, 114, NULL, NULL, 19724),
(50366, '4rd4A02', NULL, NULL, 115, NULL, NULL, 19724),
(50367, '4j0qA03', NULL, NULL, 93, NULL, NULL, 19724),
(50368, '1s0uA03', NULL, NULL, 92, NULL, NULL, 19724),
(50369, '4tmxA02', NULL, NULL, 113, NULL, NULL, 19724),
(50370, '3p26B02', NULL, NULL, 106, NULL, NULL, 19724),
(50371, '1s0uA02', NULL, NULL, 115, NULL, NULL, 19724),
(50372, '2bn4B03', NULL, NULL, 162, NULL, NULL, 19724),
(50373, '4he6A00', NULL, NULL, 89, NULL, NULL, 19724),
(50374, '3v76A02', NULL, NULL, 90, NULL, NULL, 19724),
(50375, '2gqfA02', NULL, NULL, 90, NULL, NULL, 19724),
(50376, '5w75B02', NULL, NULL, 96, NULL, NULL, 19724),
(50377, '3vmfA03', NULL, NULL, 108, NULL, NULL, 19724),
(50378, '2yweA02', NULL, NULL, 100, NULL, NULL, 19724),
(50379, '2derA03', NULL, NULL, 87, NULL, NULL, 19724),
(50380, '2gpjA01', NULL, NULL, 105, NULL, NULL, 19724),
(50381, '4eh1A01', NULL, NULL, 110, NULL, NULL, 19724),
(50382, '3cb4A02', NULL, NULL, 100, NULL, NULL, 19724),
(50383, '4n3nA04', NULL, NULL, 137, NULL, NULL, 19724),
(50384, '4b4dA01', NULL, NULL, 100, NULL, NULL, 19724),
(50385, '2d74A03', NULL, NULL, 100, NULL, NULL, 19724),
(50386, '3vmfA02', NULL, NULL, 94, NULL, NULL, 19724),
(50387, '1xe1A00', NULL, NULL, 91, NULL, NULL, 19724),
(50388, '5yt0A02', NULL, NULL, 127, NULL, NULL, 19724),
(50389, '2bgiA01', NULL, NULL, 87, NULL, NULL, 19724),
(50390, '1sm4A01', NULL, NULL, 133, NULL, NULL, 19724),
(50391, '1vx7E02', NULL, NULL, 176, NULL, NULL, 19724),
(50392, '1d1nA00', NULL, NULL, 99, NULL, NULL, 19724),
(50393, '6notA02', NULL, NULL, 97, NULL, NULL, 19724),
(50394, '4yalA02', NULL, NULL, 122, NULL, NULL, 19724),
(50395, '4n3sA02', NULL, NULL, 119, NULL, NULL, 19724),
(50396, '1vx4404', NULL, NULL, 140, NULL, NULL, 19724),
(50397, '1d2eA02', NULL, NULL, 91, NULL, NULL, 19724),
(50398, '2cndA01', NULL, NULL, 116, NULL, NULL, 19724),
(50399, '1a8pA01', NULL, NULL, 96, NULL, NULL, 19724),
(50400, '1d2eA03', NULL, NULL, 94, NULL, NULL, 19724),
(50401, '3lo8A01', NULL, NULL, 139, NULL, NULL, 19724),
(50402, '1kk1A02', NULL, NULL, 115, NULL, NULL, 19724),
(50403, '1aipE03', NULL, NULL, 56, NULL, NULL, 19724),
(50404, '6gfuA03', NULL, NULL, 100, NULL, NULL, 19724),
(50405, '1aipE02', NULL, NULL, 130, NULL, NULL, 19724),
(50406, '6gfuA02', NULL, NULL, 95, NULL, NULL, 19724),
(50407, '4zgnB00', NULL, NULL, 118, NULL, NULL, 19724),
(50408, '2dy1A02', NULL, NULL, 97, NULL, NULL, 19724),
(50409, '2hmaA03', NULL, NULL, 91, NULL, NULL, 19724),
(50410, '1jnyA02', NULL, NULL, 89, NULL, NULL, 19724),
(50411, '5o8wA02', NULL, NULL, 95, NULL, NULL, 19724),
(50412, '3mhpB01', NULL, NULL, 132, NULL, NULL, 19724),
(50413, '3o58C02', NULL, NULL, 153, NULL, NULL, 19724),
(50414, '2eixA01', NULL, NULL, 106, NULL, NULL, 19724),
(50415, '3wy9A03', NULL, NULL, 111, NULL, NULL, 19724),
(50416, '4qjty02', NULL, NULL, 101, NULL, NULL, 19724),
(50417, '2c78A02', NULL, NULL, 92, NULL, NULL, 19724),
(50418, '2c78A03', NULL, NULL, 94, NULL, NULL, 19724),
(50419, '5tv2A02', NULL, NULL, 112, NULL, NULL, 19724),
(50420, '4wqmA02', NULL, NULL, 98, NULL, NULL, 19724),
(50421, '3wbiA04', NULL, NULL, 145, NULL, NULL, 19724),
(50422, '1xb2A03', NULL, NULL, 102, NULL, NULL, 19724);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(50423, '5ylyA01', NULL, NULL, 118, NULL, NULL, 19724),
(50424, '4u9uA01', NULL, NULL, 138, NULL, NULL, 19724),
(50425, '1g7sA02', NULL, NULL, 112, NULL, NULL, 19724),
(50426, '2bmwA01', NULL, NULL, 137, NULL, NULL, 19724),
(50427, '1fnbA01', NULL, NULL, 133, NULL, NULL, 19724),
(50428, '1g7sA04', NULL, NULL, 89, NULL, NULL, 19724),
(50429, '4b43A03', NULL, NULL, 123, NULL, NULL, 19724),
(50430, '4dqlB01', NULL, NULL, 110, NULL, NULL, 19724),
(50431, '1vwxB02', NULL, NULL, 180, NULL, NULL, 19724),
(50432, '3vo2A01', NULL, NULL, 147, NULL, NULL, 19724),
(50433, '4fk8B01', NULL, NULL, 95, NULL, NULL, 19724),
(50434, '4ac9C02', NULL, NULL, 93, NULL, NULL, 19724),
(50435, '4g1vA02', NULL, NULL, 118, NULL, NULL, 19724),
(50436, '4ac9C03', NULL, NULL, 115, NULL, NULL, 19724),
(50437, '2rc5B01', NULL, NULL, 153, NULL, NULL, 19724),
(50438, '3b82A03', NULL, NULL, 137, NULL, NULL, 19724),
(50439, '4c0sB03', NULL, NULL, 108, NULL, NULL, 19724),
(50440, '1ep3B01', NULL, NULL, 100, NULL, NULL, 19724),
(50441, '5tr9A01', NULL, NULL, 109, NULL, NULL, 19724),
(50442, '1r5bA03', NULL, NULL, 110, NULL, NULL, 19724),
(50443, '6b8dA02', NULL, NULL, 112, NULL, NULL, 19724),
(50444, '1r5bA02', NULL, NULL, 89, NULL, NULL, 19724),
(50445, '6n0iB02', NULL, NULL, 116, NULL, NULL, 19724),
(50446, '1qfjA01', NULL, NULL, 97, NULL, NULL, 19724),
(50447, '5vh6A02', NULL, NULL, 121, NULL, NULL, 19724),
(50448, '1krhA02', NULL, NULL, 97, NULL, NULL, 19724),
(50449, '5w7qA02', NULL, NULL, 82, NULL, NULL, 19724),
(50450, '3mcaA03', NULL, NULL, 102, NULL, NULL, 19724),
(50451, '3mcaA01', NULL, NULL, 118, NULL, NULL, 19724),
(50452, '4pc3A03', NULL, NULL, 93, NULL, NULL, 19724),
(50453, '1vq8B02', NULL, NULL, 137, NULL, NULL, 19724),
(50454, '1gvhA02', NULL, NULL, 106, NULL, NULL, 19724),
(50455, '4pc3A02', NULL, NULL, 95, NULL, NULL, 19724),
(50456, '2r6hA01', NULL, NULL, 148, NULL, NULL, 19724),
(50457, '1f60A03', NULL, NULL, 108, NULL, NULL, 19724),
(50458, '2xnjA01', NULL, NULL, 115, NULL, NULL, 19724),
(50459, '5thxA01', NULL, NULL, 104, NULL, NULL, 19724),
(50460, '5w7qA03', NULL, NULL, 93, NULL, NULL, 19724),
(50461, '1qx4A01', NULL, NULL, 106, NULL, NULL, 19724),
(50462, '2h6oA01', NULL, NULL, 149, NULL, NULL, 19725),
(50463, '5an3D00', NULL, NULL, 131, NULL, NULL, 19726),
(50464, '5bxdB00', NULL, NULL, 107, NULL, NULL, 19726),
(50465, '3fkcA00', NULL, NULL, 116, NULL, NULL, 19726),
(50466, '5ftaA00', NULL, NULL, 112, NULL, NULL, 19726),
(50467, '3ohuC01', NULL, NULL, 112, NULL, NULL, 19726),
(50468, '2vpkA00', NULL, NULL, 116, NULL, NULL, 19726),
(50469, '3drxE01', NULL, NULL, 76, NULL, NULL, 19726),
(50470, '3b84A00', NULL, NULL, 119, NULL, NULL, 19726),
(50471, '4uyiA00', NULL, NULL, 135, NULL, NULL, 19726),
(50472, '4crhA00', NULL, NULL, 104, NULL, NULL, 19726),
(50473, '5dafA00', NULL, NULL, 140, NULL, NULL, 19726),
(50474, '2p1mA00', NULL, NULL, 118, NULL, NULL, 19726),
(50475, '3htmC01', NULL, NULL, 111, NULL, NULL, 19726),
(50476, '3htmA01', NULL, NULL, 111, NULL, NULL, 19726),
(50477, '2p1qA00', NULL, NULL, 160, NULL, NULL, 19726),
(50478, '2if5A00', NULL, NULL, 120, NULL, NULL, 19726),
(50479, '1cs3A00', NULL, NULL, 116, NULL, NULL, 19726),
(50480, '1fs1B00', NULL, NULL, 141, NULL, NULL, 19726),
(50481, '2z8hA01', NULL, NULL, 131, NULL, NULL, 19726),
(50482, '6i5nC00', NULL, NULL, 97, NULL, NULL, 19726),
(50483, '1t1dA00', NULL, NULL, 100, NULL, NULL, 19726),
(50484, '1exbE00', NULL, NULL, 103, NULL, NULL, 19726),
(50485, '2i2rD01', NULL, NULL, 128, NULL, NULL, 19726),
(50486, '4hxiA01', NULL, NULL, 112, NULL, NULL, 19726),
(50487, '5zb2B00', NULL, NULL, 86, NULL, NULL, 19726),
(50488, '4u2nA01', NULL, NULL, 156, NULL, NULL, 19726),
(50489, '1nexA00', NULL, NULL, 169, NULL, NULL, 19726),
(50490, '3i3nA01', NULL, NULL, 150, NULL, NULL, 19726),
(50491, '2q81A00', NULL, NULL, 119, NULL, NULL, 19726),
(50492, '3kvtA00', NULL, NULL, 115, NULL, NULL, 19726),
(50493, '3lnmD01', NULL, NULL, 101, NULL, NULL, 19726),
(50494, '3hqiA02', NULL, NULL, 153, NULL, NULL, 19726),
(50495, '3drzA00', NULL, NULL, 107, NULL, NULL, 19726); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(50496, '3m5bA00', NULL, NULL, 119, NULL, NULL, 19726),
(50497, '2yy9A00', NULL, NULL, 116, NULL, NULL, 19726),
(50498, '2vkpB00', NULL, NULL, 109, NULL, NULL, 19726),
(50499, '1qdvA00', NULL, NULL, 99, NULL, NULL, 19726),
(50500, '6er1A00', NULL, NULL, 131, NULL, NULL, 19726),
(50501, '5bxhA00', NULL, NULL, 106, NULL, NULL, 19726),
(50502, '4eozA00', NULL, NULL, 118, NULL, NULL, 19726),
(50503, '4u2mA01', NULL, NULL, 155, NULL, NULL, 19726),
(50504, '3e4uF00', NULL, NULL, 130, NULL, NULL, 19726),
(50505, '4u2mA02', NULL, NULL, 101, NULL, NULL, 19726),
(50506, '2ihcB01', NULL, NULL, 114, NULL, NULL, 19726),
(50507, '2ppiA01', NULL, NULL, 116, NULL, NULL, 19726),
(50508, '3htmD01', NULL, NULL, 111, NULL, NULL, 19726),
(50509, '4yy8B01', NULL, NULL, 90, NULL, NULL, 19726),
(50510, '3htmB01', NULL, NULL, 111, NULL, NULL, 19726),
(50511, '5a6rA00', NULL, NULL, 103, NULL, NULL, 19726),
(50512, '1r29A00', NULL, NULL, 127, NULL, NULL, 19726),
(50513, '4bgcA00', NULL, NULL, 102, NULL, NULL, 19726),
(50514, '3ga1A00', NULL, NULL, 129, NULL, NULL, 19726),
(50515, '1nn7A00', NULL, NULL, 105, NULL, NULL, 19726),
(50516, '2p1pA00', NULL, NULL, 109, NULL, NULL, 19726),
(50517, '1s1gA00', NULL, NULL, 124, NULL, NULL, 19726),
(50518, '4u2nB02', NULL, NULL, 99, NULL, NULL, 19726),
(50519, '4j8zA01', NULL, NULL, 166, NULL, NULL, 19726),
(50520, '4uijA00', NULL, NULL, 105, NULL, NULL, 19726),
(50521, '2ovrA00', NULL, NULL, 149, NULL, NULL, 19726),
(50522, '6ocrE00', NULL, NULL, 113, NULL, NULL, 19726),
(50523, '2l2gA00', NULL, NULL, 151, NULL, NULL, 19727),
(50524, '1q25A01', NULL, NULL, 129, NULL, NULL, 19727),
(50525, '2kvaA01', NULL, NULL, 141, NULL, NULL, 19727),
(50526, '3aihB01', NULL, NULL, 119, NULL, NULL, 19727),
(50527, '2l21A00', NULL, NULL, 154, NULL, NULL, 19727),
(50528, '2llaA00', NULL, NULL, 140, NULL, NULL, 19727),
(50529, '2v5oA02', NULL, NULL, 150, NULL, NULL, 19727),
(50530, '4xqmA00', NULL, NULL, 94, NULL, NULL, 19727),
(50531, '2v5oA03', NULL, NULL, 138, NULL, NULL, 19727),
(50532, '2rl8A00', NULL, NULL, 154, NULL, NULL, 19727),
(50533, '2v5oA05', NULL, NULL, 146, NULL, NULL, 19727),
(50534, '1q25A02', NULL, NULL, 156, NULL, NULL, 19727),
(50535, '1gp0A00', NULL, NULL, 143, NULL, NULL, 19727),
(50536, '5ieiA00', NULL, NULL, 142, NULL, NULL, 19727),
(50537, '2l29A00', NULL, NULL, 142, NULL, NULL, 19727),
(50538, '1q25A03', NULL, NULL, 147, NULL, NULL, 19727),
(50539, '2w02B07', NULL, NULL, 26, NULL, NULL, 19728),
(50540, '4cfsA02', NULL, NULL, 70, NULL, NULL, 19729),
(50541, '3ibtA02', NULL, NULL, 69, NULL, NULL, 19729),
(50542, '3buxB01', NULL, NULL, 129, NULL, NULL, 19730),
(50543, '4btfA01', NULL, NULL, 122, NULL, NULL, 19730),
(50544, '3zniI01', NULL, NULL, 134, NULL, NULL, 19730),
(50545, '3vrpA01', NULL, NULL, 134, NULL, NULL, 19730),
(50546, '5dmhB02', NULL, NULL, 180, NULL, NULL, 19731),
(50547, '1yzyA02', NULL, NULL, 178, NULL, NULL, 19731),
(50548, '3dqqB02', NULL, NULL, 178, NULL, NULL, 19731),
(50549, '1bcoA02', NULL, NULL, 68, NULL, NULL, 19732),
(50550, '5ly3A02', NULL, NULL, 224, NULL, NULL, 19733),
(50551, '2hldQ02', NULL, NULL, 41, NULL, NULL, 19734),
(50552, '4ii1A01', NULL, NULL, 86, NULL, NULL, 19735),
(50553, '3um7A02', NULL, NULL, 51, NULL, NULL, 19736),
(50554, '3oosA02', NULL, NULL, 56, NULL, NULL, 19737),
(50555, '2e1mC01', NULL, NULL, 68, NULL, NULL, 19738),
(50556, '3n28A02', NULL, NULL, 116, NULL, NULL, 19739),
(50557, '3o2zC02', NULL, NULL, 104, NULL, NULL, 19740),
(50558, '5optm02', NULL, NULL, 123, NULL, NULL, 19740),
(50559, '5o5jC02', NULL, NULL, 103, NULL, NULL, 19740),
(50560, '6az1C02', NULL, NULL, 128, NULL, NULL, 19740),
(50561, '5xxuD02', NULL, NULL, 122, NULL, NULL, 19740),
(50562, '2xzmC02', NULL, NULL, 148, NULL, NULL, 19740),
(50563, '3jamD02', NULL, NULL, 145, NULL, NULL, 19740),
(50564, '5flxD02', NULL, NULL, 129, NULL, NULL, 19740),
(50565, '3u5cD02', NULL, NULL, 148, NULL, NULL, 19740),
(50566, '5mmjc02', NULL, NULL, 100, NULL, NULL, 19740),
(50567, '2vqeC02', NULL, NULL, 101, NULL, NULL, 19740),
(50568, '3j7aD01', NULL, NULL, 96, NULL, NULL, 19740);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(50569, '2vhoC02', NULL, NULL, 101, NULL, NULL, 19740),
(50570, '5xyiD02', NULL, NULL, 123, NULL, NULL, 19740),
(50571, '1peqA03', NULL, NULL, 53, NULL, NULL, 19741),
(50572, '2mheA00', NULL, NULL, 74, NULL, NULL, 19742),
(50573, '3er9B01', NULL, NULL, 117, NULL, NULL, 19743),
(50574, '3owgA01', NULL, NULL, 112, NULL, NULL, 19743),
(50575, '3da0A01', NULL, NULL, 107, NULL, NULL, 19744),
(50576, '2f0cA02', NULL, NULL, 104, NULL, NULL, 19744),
(50577, '1ozhA03', NULL, NULL, 25, NULL, NULL, 19745),
(50578, '3o6qD01', NULL, NULL, 23, NULL, NULL, 19745),
(50579, '2rh0A02', NULL, NULL, 32, NULL, NULL, 19745),
(50580, '2o01N01', NULL, NULL, 22, NULL, NULL, 19745),
(50581, '2axcA02', NULL, NULL, 33, NULL, NULL, 19745),
(50582, '3f2bA04', NULL, NULL, 75, NULL, NULL, 19746),
(50583, '2x3mA00', NULL, NULL, 169, NULL, NULL, 19747),
(50584, '5cwtA00', NULL, NULL, 54, NULL, NULL, 19748),
(50585, '2qfaC00', NULL, NULL, 47, NULL, NULL, 19748),
(50586, '4l4qA02', NULL, NULL, 127, NULL, NULL, 19749),
(50587, '4l7iA02', NULL, NULL, 127, NULL, NULL, 19749),
(50588, '4adiA01', NULL, NULL, 78, NULL, NULL, 19750),
(50589, '3qi7A03', NULL, NULL, 45, NULL, NULL, 19751),
(50590, '2lq3A01', NULL, NULL, 75, NULL, NULL, 19752),
(50591, '1uptB00', NULL, NULL, 60, NULL, NULL, 19753),
(50592, '1uptD00', NULL, NULL, 60, NULL, NULL, 19753),
(50593, '1r4aE00', NULL, NULL, 51, NULL, NULL, 19753),
(50594, '1uptF00', NULL, NULL, 60, NULL, NULL, 19753),
(50595, '1uptH00', NULL, NULL, 60, NULL, NULL, 19753),
(50596, '1zxuA00', NULL, NULL, 194, NULL, NULL, 19754),
(50597, '1loxA03', NULL, NULL, 113, NULL, NULL, 19755),
(50598, '3fg1D03', NULL, NULL, 133, NULL, NULL, 19755),
(50599, '3rdeA02', NULL, NULL, 85, NULL, NULL, 19755),
(50600, '3v98A03', NULL, NULL, 116, NULL, NULL, 19755),
(50601, '3vf1A03', NULL, NULL, 116, NULL, NULL, 19755),
(50602, '4nreA03', NULL, NULL, 116, NULL, NULL, 19755),
(50603, '3d3lA02', NULL, NULL, 85, NULL, NULL, 19755),
(50604, '4wfoA04', NULL, NULL, 134, NULL, NULL, 19755),
(50605, '2iukA04', NULL, NULL, 136, NULL, NULL, 19755),
(50606, '2iujA04', NULL, NULL, 134, NULL, NULL, 19755),
(50607, '1ik3A04', NULL, NULL, 134, NULL, NULL, 19755),
(50608, '2jr3A00', NULL, NULL, 42, NULL, NULL, 19756),
(50609, '1zkdA03', NULL, NULL, 43, NULL, NULL, 19757),
(50610, '4aj5100', NULL, NULL, 101, NULL, NULL, 19758),
(50611, '3c6fA02', NULL, NULL, 64, NULL, NULL, 19759),
(50612, '3c6fA01', NULL, NULL, 77, NULL, NULL, 19759),
(50613, '2wl8C00', NULL, NULL, 126, NULL, NULL, 19760),
(50614, '1c0wC03', NULL, NULL, 62, NULL, NULL, 19761),
(50615, '1h54B01', NULL, NULL, 269, NULL, NULL, 19762),
(50616, '3qdeA01', NULL, NULL, 277, NULL, NULL, 19762),
(50617, '3rrsA01', NULL, NULL, 282, NULL, NULL, 19762),
(50618, '1v7wA01', NULL, NULL, 302, NULL, NULL, 19762),
(50619, '4ktpA01', NULL, NULL, 250, NULL, NULL, 19762),
(50620, '3wirA01', NULL, NULL, 255, NULL, NULL, 19762),
(50621, '3actA01', NULL, NULL, 282, NULL, NULL, 19762),
(50622, '4iaoA01', NULL, NULL, 138, NULL, NULL, 19763),
(50623, '3p42D01', NULL, NULL, 92, NULL, NULL, 19764),
(50624, '6ensA00', NULL, NULL, 193, NULL, NULL, 19765),
(50625, '2r77A00', NULL, NULL, 205, NULL, NULL, 19765),
(50626, '1vw4102', NULL, NULL, 217, NULL, NULL, 19765),
(50627, '3axyA00', NULL, NULL, 170, NULL, NULL, 19765),
(50628, '1behB00', NULL, NULL, 187, NULL, NULL, 19765),
(50629, '2evvB00', NULL, NULL, 184, NULL, NULL, 19765),
(50630, '1fjjA00', NULL, NULL, 159, NULL, NULL, 19765),
(50631, '1qouB00', NULL, NULL, 181, NULL, NULL, 19765),
(50632, '1kn3A00', NULL, NULL, 183, NULL, NULL, 19765),
(50633, '4begB00', NULL, NULL, 178, NULL, NULL, 19765),
(50634, '1wkoA00', NULL, NULL, 180, NULL, NULL, 19765),
(50635, '1fuxA00', NULL, NULL, 166, NULL, NULL, 19765),
(50636, '3n08B00', NULL, NULL, 153, NULL, NULL, 19765),
(50637, '1wkpA00', NULL, NULL, 171, NULL, NULL, 19765),
(50638, '2jyzA00', NULL, NULL, 179, NULL, NULL, 19765),
(50639, '2gzqA00', NULL, NULL, 200, NULL, NULL, 19765),
(50640, '2iqyA00', NULL, NULL, 190, NULL, NULL, 19765),
(50641, '1wpxB00', NULL, NULL, 220, NULL, NULL, 19765),
(50642, '1a44A00', NULL, NULL, 185, NULL, NULL, 19765);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(50643, '5tvdA00', NULL, NULL, 195, NULL, NULL, 19765),
(50644, '6e4lA00', NULL, NULL, 369, NULL, NULL, 19766),
(50645, '2oy9A01', NULL, NULL, 85, NULL, NULL, 19767),
(50646, '3hxlA03', NULL, NULL, 103, NULL, NULL, 19768),
(50647, '4ceiA03', NULL, NULL, 112, NULL, NULL, 19769),
(50648, '3pcrA01', NULL, NULL, 99, NULL, NULL, 19770),
(50649, '3q1cA01', NULL, NULL, 102, NULL, NULL, 19770),
(50650, '3ee1A01', NULL, NULL, 69, NULL, NULL, 19770),
(50651, '3eb8B01', NULL, NULL, 70, NULL, NULL, 19770),
(50652, '2vkcA00', NULL, NULL, 105, NULL, NULL, 19771),
(50653, '3fauB00', NULL, NULL, 82, NULL, NULL, 19771),
(50654, '2zqeA00', NULL, NULL, 83, NULL, NULL, 19771),
(50655, '3qd7X00', NULL, NULL, 137, NULL, NULL, 19771),
(50656, '4od6A00', NULL, NULL, 90, NULL, NULL, 19771),
(50657, '2x7xA03', NULL, NULL, 33, NULL, NULL, 19772),
(50658, '2vnuD01', NULL, NULL, 113, NULL, NULL, 19773),
(50659, '2i74A00', NULL, NULL, 189, NULL, NULL, 19774),
(50660, '4rnaA01', NULL, NULL, 58, NULL, NULL, 19775),
(50661, '4m0wA01', NULL, NULL, 58, NULL, NULL, 19775),
(50662, '4p16A01', NULL, NULL, 62, NULL, NULL, 19775),
(50663, '2yqlA00', NULL, NULL, 56, NULL, NULL, 19776),
(50664, '2zetC00', NULL, NULL, 153, NULL, NULL, 19776),
(50665, '2lriC00', NULL, NULL, 66, NULL, NULL, 19776),
(50666, '3eb5A00', NULL, NULL, 74, NULL, NULL, 19776),
(50667, '2yurA00', NULL, NULL, 74, NULL, NULL, 19776),
(50668, '4s3oC00', NULL, NULL, 101, NULL, NULL, 19776),
(50669, '1borA00', NULL, NULL, 56, NULL, NULL, 19776),
(50670, '4n4fA02', NULL, NULL, 44, NULL, NULL, 19776),
(50671, '2yt5A00', NULL, NULL, 66, NULL, NULL, 19776),
(50672, '4qf2A00', NULL, NULL, 58, NULL, NULL, 19776),
(50673, '3l11A00', NULL, NULL, 115, NULL, NULL, 19776),
(50674, '1xwhA00', NULL, NULL, 66, NULL, NULL, 19776),
(50675, '2cszA00', NULL, NULL, 76, NULL, NULL, 19776),
(50676, '2ku3A00', NULL, NULL, 71, NULL, NULL, 19776),
(50677, '2g43B01', NULL, NULL, 108, NULL, NULL, 19776),
(50678, '6nftB01', NULL, NULL, 101, NULL, NULL, 19776),
(50679, '2m6mA00', NULL, NULL, 83, NULL, NULL, 19776),
(50680, '1wepA00', NULL, NULL, 79, NULL, NULL, 19776),
(50681, '2y1nA04', NULL, NULL, 74, NULL, NULL, 19776),
(50682, '5g0fA00', NULL, NULL, 110, NULL, NULL, 19776),
(50683, '2g6qA00', NULL, NULL, 62, NULL, NULL, 19776),
(50684, '2ma6A00', NULL, NULL, 61, NULL, NULL, 19776),
(50685, '5i8gA02', NULL, NULL, 47, NULL, NULL, 19776),
(50686, '2vp7A00', NULL, NULL, 71, NULL, NULL, 19776),
(50687, '2l0bA00', NULL, NULL, 91, NULL, NULL, 19776),
(50688, '5trbA00', NULL, NULL, 75, NULL, NULL, 19776),
(50689, '1wilA00', NULL, NULL, 89, NULL, NULL, 19776),
(50690, '2qicA00', NULL, NULL, 62, NULL, NULL, 19776),
(50691, '2i50A00', NULL, NULL, 126, NULL, NULL, 19776),
(50692, '1vfyA00', NULL, NULL, 73, NULL, NULL, 19776),
(50693, '1weuA00', NULL, NULL, 91, NULL, NULL, 19776),
(50694, '1jm7B00', NULL, NULL, 97, NULL, NULL, 19776),
(50695, '6asbC01', NULL, NULL, 82, NULL, NULL, 19776),
(50696, '5vdcA00', NULL, NULL, 126, NULL, NULL, 19776),
(50697, '4mvtB02', NULL, NULL, 129, NULL, NULL, 19776),
(50698, '2lxhC00', NULL, NULL, 81, NULL, NULL, 19776),
(50699, '2vnfC00', NULL, NULL, 60, NULL, NULL, 19776),
(50700, '1weeA00', NULL, NULL, 72, NULL, NULL, 19776),
(50701, '5d0iB00', NULL, NULL, 55, NULL, NULL, 19776),
(50702, '2puyB00', NULL, NULL, 60, NULL, NULL, 19776),
(50703, '3zniI04', NULL, NULL, 87, NULL, NULL, 19776),
(50704, '1x4jA00', NULL, NULL, 75, NULL, NULL, 19776),
(50705, '4gb0A00', NULL, NULL, 103, NULL, NULL, 19776),
(50706, '2pnxA00', NULL, NULL, 55, NULL, NULL, 19776),
(50707, '5y20A00', NULL, NULL, 52, NULL, NULL, 19776),
(50708, '6g8rB01', NULL, NULL, 54, NULL, NULL, 19776),
(50709, '5tdrA00', NULL, NULL, 70, NULL, NULL, 19776),
(50710, '3purA01', NULL, NULL, 101, NULL, NULL, 19776),
(50711, '4p5oB00', NULL, NULL, 86, NULL, NULL, 19776),
(50712, '2yyrA00', NULL, NULL, 67, NULL, NULL, 19776),
(50713, '5mr8A01', NULL, NULL, 78, NULL, NULL, 19776),
(50714, '2m85A00', NULL, NULL, 73, NULL, NULL, 19776),
(50715, '3v43A00', NULL, NULL, 112, NULL, NULL, 19776),
(50716, '1x4uA01', NULL, NULL, 69, NULL, NULL, 19776); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(50717, '2csyA01', NULL, NULL, 60, NULL, NULL, 19776),
(50718, '5wlfA00', NULL, NULL, 62, NULL, NULL, 19776),
(50719, '5b8dA00', NULL, NULL, 107, NULL, NULL, 19776),
(50720, '2ldrA00', NULL, NULL, 82, NULL, NULL, 19776),
(50721, '4ic3B00', NULL, NULL, 74, NULL, NULL, 19776),
(50722, '2ecwA00', NULL, NULL, 85, NULL, NULL, 19776),
(50723, '3i2dA02', NULL, NULL, 130, NULL, NULL, 19776),
(50724, '2l5uA00', NULL, NULL, 61, NULL, NULL, 19776),
(50725, '2vpgC00', NULL, NULL, 63, NULL, NULL, 19776),
(50726, '3hctA00', NULL, NULL, 118, NULL, NULL, 19776),
(50727, '1wfkA01', NULL, NULL, 77, NULL, NULL, 19776),
(50728, '4up0A00', NULL, NULL, 99, NULL, NULL, 19776),
(50729, '2e6rA00', NULL, NULL, 92, NULL, NULL, 19776),
(50730, '3lrqB00', NULL, NULL, 100, NULL, NULL, 19776),
(50731, '1jm7A00', NULL, NULL, 112, NULL, NULL, 19776),
(50732, '2uzgA00', NULL, NULL, 97, NULL, NULL, 19776),
(50733, '1weoA00', NULL, NULL, 93, NULL, NULL, 19776),
(50734, '3gv4A00', NULL, NULL, 107, NULL, NULL, 19776),
(50735, '5mnjG00', NULL, NULL, 65, NULL, NULL, 19776),
(50736, '2bayE00', NULL, NULL, 61, NULL, NULL, 19776),
(50737, '5wleA00', NULL, NULL, 63, NULL, NULL, 19776),
(50738, '2yucA01', NULL, NULL, 66, NULL, NULL, 19776),
(50739, '2y43A00', NULL, NULL, 99, NULL, NULL, 19776),
(50740, '1zbdB00', NULL, NULL, 134, NULL, NULL, 19776),
(50741, '1wimA00', NULL, NULL, 94, NULL, NULL, 19776),
(50742, '1we9A00', NULL, NULL, 64, NULL, NULL, 19776),
(50743, '5c11A00', NULL, NULL, 52, NULL, NULL, 19776),
(50744, '4ccgY00', NULL, NULL, 88, NULL, NULL, 19776),
(50745, '1e4uA00', NULL, NULL, 78, NULL, NULL, 19776),
(50746, '4gnfA00', NULL, NULL, 107, NULL, NULL, 19776),
(50747, '2ri7A01', NULL, NULL, 63, NULL, NULL, 19776),
(50748, '1z6uA00', NULL, NULL, 115, NULL, NULL, 19776),
(50749, '4r7eA00', NULL, NULL, 69, NULL, NULL, 19776),
(50750, '2ysmA00', NULL, NULL, 111, NULL, NULL, 19776),
(50751, '2k16A00', NULL, NULL, 75, NULL, NULL, 19776),
(50752, '2oxqC00', NULL, NULL, 80, NULL, NULL, 19776),
(50753, '1x4iA00', NULL, NULL, 70, NULL, NULL, 19776),
(50754, '5yc3A00', NULL, NULL, 60, NULL, NULL, 19776),
(50755, '3puqA01', NULL, NULL, 70, NULL, NULL, 19776),
(50756, '4wz0A00', NULL, NULL, 109, NULL, NULL, 19776),
(50757, '2miqA00', NULL, NULL, 94, NULL, NULL, 19776),
(50758, '5o85D00', NULL, NULL, 70, NULL, NULL, 19776),
(50759, '3aslA00', NULL, NULL, 70, NULL, NULL, 19776),
(50760, '4l58A00', NULL, NULL, 69, NULL, NULL, 19776),
(50761, '2cklA00', NULL, NULL, 108, NULL, NULL, 19776),
(50762, '2egpA00', NULL, NULL, 79, NULL, NULL, 19776),
(50763, '2naaA00', NULL, NULL, 94, NULL, NULL, 19776),
(50764, '5szcA00', NULL, NULL, 115, NULL, NULL, 19776),
(50765, '5mnjH00', NULL, NULL, 64, NULL, NULL, 19776),
(50766, '2c2vV00', NULL, NULL, 78, NULL, NULL, 19776),
(50767, '2l43A00', NULL, NULL, 88, NULL, NULL, 19776),
(50768, '3hcsA02', NULL, NULL, 61, NULL, NULL, 19776),
(50769, '2yu4A00', NULL, NULL, 94, NULL, NULL, 19776),
(50770, '2ecvA00', NULL, NULL, 85, NULL, NULL, 19776),
(50771, '2kyuA00', NULL, NULL, 67, NULL, NULL, 19776),
(50772, '2eodA00', NULL, NULL, 66, NULL, NULL, 19776),
(50773, '1g25A00', NULL, NULL, 65, NULL, NULL, 19776),
(50774, '4ybmA01', NULL, NULL, 61, NULL, NULL, 19776),
(50775, '5wxhA00', NULL, NULL, 63, NULL, NULL, 19776),
(50776, '3zvzB00', NULL, NULL, 57, NULL, NULL, 19776),
(50777, '1wenA00', NULL, NULL, 71, NULL, NULL, 19776),
(50778, '3ztgA00', NULL, NULL, 92, NULL, NULL, 19776),
(50779, '4qf3A00', NULL, NULL, 58, NULL, NULL, 19776),
(50780, '1chcA00', NULL, NULL, 68, NULL, NULL, 19776),
(50781, '5vo0D02', NULL, NULL, 62, NULL, NULL, 19776),
(50782, '4bbqA01', NULL, NULL, 76, NULL, NULL, 19776),
(50783, '4xi1B00', NULL, NULL, 79, NULL, NULL, 19776),
(50784, '2jrjA00', NULL, NULL, 52, NULL, NULL, 19776),
(50785, '3vk6A01', NULL, NULL, 59, NULL, NULL, 19776),
(50786, '3lqhA01', NULL, NULL, 52, NULL, NULL, 19776),
(50787, '5dinA00', NULL, NULL, 130, NULL, NULL, 19776),
(50788, '5h7rD00', NULL, NULL, 128, NULL, NULL, 19776),
(50789, '2xeuA00', NULL, NULL, 64, NULL, NULL, 19776),
(50790, '3o70A00', NULL, NULL, 68, NULL, NULL, 19776);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(50791, '1wesA00', NULL, NULL, 71, NULL, NULL, 19776),
(50792, '2cklB01', NULL, NULL, 71, NULL, NULL, 19776),
(50793, '1iymA00', NULL, NULL, 55, NULL, NULL, 19776),
(50794, '4aycA02', NULL, NULL, 85, NULL, NULL, 19776),
(50795, '3jb9V01', NULL, NULL, 60, NULL, NULL, 19776),
(50796, '3knvA00', NULL, NULL, 141, NULL, NULL, 19776),
(50797, '1t1hA00', NULL, NULL, 78, NULL, NULL, 19776),
(50798, '5dkaA00', NULL, NULL, 96, NULL, NULL, 19776),
(50799, '3nw0A03', NULL, NULL, 58, NULL, NULL, 19776),
(50800, '5aiuA00', NULL, NULL, 133, NULL, NULL, 19776),
(50801, '2yhoE00', NULL, NULL, 79, NULL, NULL, 19776),
(50802, '5u2jB00', NULL, NULL, 111, NULL, NULL, 19776),
(50803, '2f42A02', NULL, NULL, 80, NULL, NULL, 19776),
(50804, '2e6sA00', NULL, NULL, 77, NULL, NULL, 19776),
(50805, '4msxA01', NULL, NULL, 93, NULL, NULL, 19776),
(50806, '5eyaF00', NULL, NULL, 86, NULL, NULL, 19776),
(50807, '5vnzA00', NULL, NULL, 118, NULL, NULL, 19776),
(50808, '2kwjA00', NULL, NULL, 114, NULL, NULL, 19776),
(50809, '2lxpC00', NULL, NULL, 58, NULL, NULL, 19776),
(50810, '5h9mA01', NULL, NULL, 59, NULL, NULL, 19776),
(50811, '4zdtC00', NULL, NULL, 73, NULL, NULL, 19776),
(50812, '5d1mB01', NULL, NULL, 97, NULL, NULL, 19776),
(50813, '3zyqA02', NULL, NULL, 71, NULL, NULL, 19776),
(50814, '1wemA00', NULL, NULL, 76, NULL, NULL, 19776),
(50815, '2ecjA00', NULL, NULL, 58, NULL, NULL, 19776),
(50816, '2d8sA00', NULL, NULL, 80, NULL, NULL, 19776),
(50817, '2ct2A00', NULL, NULL, 88, NULL, NULL, 19776),
(50818, '2mumA00', NULL, NULL, 50, NULL, NULL, 19776),
(50819, '4o64B01', NULL, NULL, 77, NULL, NULL, 19776),
(50820, '2lgvA00', NULL, NULL, 100, NULL, NULL, 19776),
(50821, '2jmiA00', NULL, NULL, 67, NULL, NULL, 19776),
(50822, '6hprA00', NULL, NULL, 65, NULL, NULL, 19776),
(50823, '1vd4A00', NULL, NULL, 62, NULL, NULL, 19776),
(50824, '1z2qA00', NULL, NULL, 84, NULL, NULL, 19776),
(50825, '1fp0A00', NULL, NULL, 88, NULL, NULL, 19776),
(50826, '1vyxA00', NULL, NULL, 60, NULL, NULL, 19776),
(50827, '3mhsA01', NULL, NULL, 131, NULL, NULL, 19776),
(50828, '5vabA00', NULL, NULL, 58, NULL, NULL, 19776),
(50829, '3t6rA00', NULL, NULL, 72, NULL, NULL, 19776),
(50830, '2yw8A00', NULL, NULL, 82, NULL, NULL, 19776),
(50831, '1wewA00', NULL, NULL, 78, NULL, NULL, 19776),
(50832, '5z4iA00', NULL, NULL, 99, NULL, NULL, 19776),
(50833, '1rmdA01', NULL, NULL, 86, NULL, NULL, 19776),
(50834, '5tbnA00', NULL, NULL, 57, NULL, NULL, 19776),
(50835, '3m62A02', NULL, NULL, 82, NULL, NULL, 19776),
(50836, '3u5nA01', NULL, NULL, 77, NULL, NULL, 19776),
(50837, '2mnyA00', NULL, NULL, 55, NULL, NULL, 19776),
(50838, '1mm2A00', NULL, NULL, 61, NULL, NULL, 19776),
(50839, '3zpv100', NULL, NULL, 62, NULL, NULL, 19776),
(50840, '5lktA03', NULL, NULL, 46, NULL, NULL, 19776),
(50841, '3kqiA00', NULL, NULL, 75, NULL, NULL, 19776),
(50842, '2rsdA00', NULL, NULL, 68, NULL, NULL, 19776),
(50843, '4ladB00', NULL, NULL, 70, NULL, NULL, 19776),
(50844, '2jmdA00', NULL, NULL, 63, NULL, NULL, 19776),
(50845, '2ma5A00', NULL, NULL, 61, NULL, NULL, 19776),
(50846, '2idaA01', NULL, NULL, 88, NULL, NULL, 19776),
(50847, '1f62A00', NULL, NULL, 51, NULL, NULL, 19776),
(50848, '2ectA00', NULL, NULL, 78, NULL, NULL, 19776),
(50849, '4fo9A02', NULL, NULL, 128, NULL, NULL, 19776),
(50850, '3c6wC00', NULL, NULL, 59, NULL, NULL, 19776),
(50851, '4tkpB00', NULL, NULL, 93, NULL, NULL, 19776),
(50852, '5fb0C01', NULL, NULL, 65, NULL, NULL, 19776),
(50853, '1wgmA01', NULL, NULL, 73, NULL, NULL, 19776),
(50854, '2lv9A00', NULL, NULL, 80, NULL, NULL, 19776),
(50855, '5hkxA04', NULL, NULL, 50, NULL, NULL, 19776),
(50856, '2eciA01', NULL, NULL, 45, NULL, NULL, 19776),
(50857, '3fl2A00', NULL, NULL, 124, NULL, NULL, 19776),
(50858, '2l80A01', NULL, NULL, 97, NULL, NULL, 19776),
(50859, '1v87A01', NULL, NULL, 85, NULL, NULL, 19776),
(50860, '5pxlB01', NULL, NULL, 60, NULL, NULL, 19776),
(50861, '3kv5D01', NULL, NULL, 64, NULL, NULL, 19776),
(50862, '3t7lA00', NULL, NULL, 90, NULL, NULL, 19776),
(50863, '4l7xA00', NULL, NULL, 63, NULL, NULL, 19776),
(50864, '1weqA00', NULL, NULL, 85, NULL, NULL, 19776);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(50865, '4b7yD00', NULL, NULL, 116, NULL, NULL, 19776),
(50866, '1jocA02', NULL, NULL, 63, NULL, NULL, 19776),
(50867, '3htkC02', NULL, NULL, 54, NULL, NULL, 19776),
(50868, '2ecnA01', NULL, NULL, 46, NULL, NULL, 19776),
(50869, '2ysjA00', NULL, NULL, 63, NULL, NULL, 19776),
(50870, '1mm3A00', NULL, NULL, 61, NULL, NULL, 19776),
(50871, '5xfoA02', NULL, NULL, 56, NULL, NULL, 19776),
(50872, '4nn2B00', NULL, NULL, 129, NULL, NULL, 19776),
(50873, '4r2yC00', NULL, NULL, 68, NULL, NULL, 19776),
(50874, '3ihpA01', NULL, NULL, 116, NULL, NULL, 19776),
(50875, '3o7aA00', NULL, NULL, 52, NULL, NULL, 19776),
(50876, '5tabA00', NULL, NULL, 53, NULL, NULL, 19776),
(50877, '4ca1A01', NULL, NULL, 61, NULL, NULL, 19776),
(50878, '2yqmA01', NULL, NULL, 58, NULL, NULL, 19776),
(50879, '5feyA00', NULL, NULL, 94, NULL, NULL, 19776),
(50880, '4v3lC00', NULL, NULL, 79, NULL, NULL, 19776),
(50881, '5o6tA00', NULL, NULL, 66, NULL, NULL, 19776),
(50882, '1wevA01', NULL, NULL, 64, NULL, NULL, 19776),
(50883, '4wz3B02', NULL, NULL, 71, NULL, NULL, 19776),
(50884, '4auqB00', NULL, NULL, 62, NULL, NULL, 19776),
(50885, '5o75A00', NULL, NULL, 78, NULL, NULL, 19776),
(50886, '1dvpA02', NULL, NULL, 66, NULL, NULL, 19776),
(50887, '2e8gA01', NULL, NULL, 124, NULL, NULL, 19777),
(50888, '4ysxA03', NULL, NULL, 117, NULL, NULL, 19778),
(50889, '5kxjA03', NULL, NULL, 88, NULL, NULL, 19778),
(50890, '2h88A03', NULL, NULL, 117, NULL, NULL, 19778),
(50891, '2e5vA03', NULL, NULL, 97, NULL, NULL, 19778),
(50892, '1jnrA03', NULL, NULL, 121, NULL, NULL, 19778),
(50893, '1kf6A03', NULL, NULL, 120, NULL, NULL, 19778),
(50894, '1zoyA03', NULL, NULL, 117, NULL, NULL, 19778),
(50895, '2bs2A03', NULL, NULL, 118, NULL, NULL, 19778),
(50896, '1knrA03', NULL, NULL, 116, NULL, NULL, 19778),
(50897, '2wdqA03', NULL, NULL, 117, NULL, NULL, 19778),
(50898, '5cdkA00', NULL, NULL, 183, NULL, NULL, 19779),
(50899, '5da8I03', NULL, NULL, 181, NULL, NULL, 19779),
(50900, '3vz6A00', NULL, NULL, 199, NULL, NULL, 19779),
(50901, '3ruvA03', NULL, NULL, 152, NULL, NULL, 19779),
(50902, '3kfeA03', NULL, NULL, 131, NULL, NULL, 19779),
(50903, '1fy9A00', NULL, NULL, 193, NULL, NULL, 19779),
(50904, '1srvA00', NULL, NULL, 145, NULL, NULL, 19779),
(50905, '3p9dC03', NULL, NULL, 152, NULL, NULL, 19779),
(50906, '1dk7A00', NULL, NULL, 146, NULL, NULL, 19779),
(50907, '3p9dD03', NULL, NULL, 161, NULL, NULL, 19779),
(50908, '3p9dA03', NULL, NULL, 161, NULL, NULL, 19779),
(50909, '3rtkA03', NULL, NULL, 185, NULL, NULL, 19779),
(50910, '1iokA03', NULL, NULL, 181, NULL, NULL, 19779),
(50911, '1la1A00', NULL, NULL, 192, NULL, NULL, 19779),
(50912, '3m6cA00', NULL, NULL, 194, NULL, NULL, 19779),
(50913, '5cdjA00', NULL, NULL, 186, NULL, NULL, 19779),
(50914, '3kttB03', NULL, NULL, 153, NULL, NULL, 19779),
(50915, '1q3qA03', NULL, NULL, 152, NULL, NULL, 19779),
(50916, '4ki8A03', NULL, NULL, 207, NULL, NULL, 19779),
(50917, '4aolB03', NULL, NULL, 136, NULL, NULL, 19779),
(50918, '3aq1B03', NULL, NULL, 152, NULL, NULL, 19779),
(50919, '4aolE03', NULL, NULL, 160, NULL, NULL, 19779),
(50920, '1gmlA00', NULL, NULL, 170, NULL, NULL, 19779),
(50921, '4xcdC03', NULL, NULL, 152, NULL, NULL, 19779),
(50922, '3p9dG03', NULL, NULL, 156, NULL, NULL, 19779),
(50923, '3ko1A03', NULL, NULL, 152, NULL, NULL, 19779),
(50924, '3p9dH03', NULL, NULL, 155, NULL, NULL, 19779),
(50925, '4pj1A03', NULL, NULL, 183, NULL, NULL, 19779),
(50926, '4xcgA03', NULL, NULL, 155, NULL, NULL, 19779),
(50927, '1assA00', NULL, NULL, 159, NULL, NULL, 19779),
(50928, '4d8qF03', NULL, NULL, 162, NULL, NULL, 19779),
(50929, '3osxA00', NULL, NULL, 201, NULL, NULL, 19779),
(50930, '1a6dB03', NULL, NULL, 152, NULL, NULL, 19779),
(50931, '1we3H03', NULL, NULL, 184, NULL, NULL, 19779),
(50932, '4h63Q04', NULL, NULL, 128, NULL, NULL, 19780),
(50933, '3o3mD03', NULL, NULL, 156, NULL, NULL, 19781),
(50934, '3madA01', NULL, NULL, 62, NULL, NULL, 19782),
(50935, '4q6rB01', NULL, NULL, 68, NULL, NULL, 19782),
(50936, '2x8kA02', NULL, NULL, 22, NULL, NULL, 19783),
(50937, '2v05A01', NULL, NULL, 128, NULL, NULL, 19784);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(50938, '4gysA02', NULL, NULL, 73, NULL, NULL, 19785),
(50939, '4issA02', NULL, NULL, 76, NULL, NULL, 19785),
(50940, '2bzrB02', NULL, NULL, 268, NULL, NULL, 19786),
(50941, '1y7oD00', NULL, NULL, 198, NULL, NULL, 19786),
(50942, '2vx2A01', NULL, NULL, 199, NULL, NULL, 19786),
(50943, '4zu2A01', NULL, NULL, 207, NULL, NULL, 19786),
(50944, '5c9gA01', NULL, NULL, 225, NULL, NULL, 19786),
(50945, '2f9yB00', NULL, NULL, 263, NULL, NULL, 19786),
(50946, '1fc6A03', NULL, NULL, 192, NULL, NULL, 19786),
(50947, '4ghnA03', NULL, NULL, 171, NULL, NULL, 19786),
(50948, '3hinA01', NULL, NULL, 211, NULL, NULL, 19786),
(50949, '1x0uA02', NULL, NULL, 257, NULL, NULL, 19786),
(50950, '1x0uA01', NULL, NULL, 265, NULL, NULL, 19786),
(50951, '3qxiB01', NULL, NULL, 207, NULL, NULL, 19786),
(50952, '5fusA01', NULL, NULL, 226, NULL, NULL, 19786),
(50953, '4fzwB01', NULL, NULL, 200, NULL, NULL, 19786),
(50954, '1xx4A01', NULL, NULL, 205, NULL, NULL, 19786),
(50955, '3qreA00', NULL, NULL, 227, NULL, NULL, 19786),
(50956, '3m6nC01', NULL, NULL, 216, NULL, NULL, 19786),
(50957, '2cbyD00', NULL, NULL, 208, NULL, NULL, 19786),
(50958, '2gtrA01', NULL, NULL, 204, NULL, NULL, 19786),
(50959, '3iavA02', NULL, NULL, 261, NULL, NULL, 19786),
(50960, '3fduF00', NULL, NULL, 235, NULL, NULL, 19786),
(50961, '1y7oE00', NULL, NULL, 198, NULL, NULL, 19786),
(50962, '2zl2A00', NULL, NULL, 177, NULL, NULL, 19786),
(50963, '2bzrA01', NULL, NULL, 260, NULL, NULL, 19786),
(50964, '6ojmB01', NULL, NULL, 223, NULL, NULL, 19786),
(50965, '4wz8C01', NULL, NULL, 252, NULL, NULL, 19786),
(50966, '3rsiA01', NULL, NULL, 207, NULL, NULL, 19786),
(50967, '3t3wB00', NULL, NULL, 245, NULL, NULL, 19786),
(50968, '3iavA01', NULL, NULL, 269, NULL, NULL, 19786),
(50969, '1uysA03', NULL, NULL, 342, NULL, NULL, 19786),
(50970, '5e0nX00', NULL, NULL, 236, NULL, NULL, 19786),
(50971, '3isaB00', NULL, NULL, 254, NULL, NULL, 19786),
(50972, '4i42C01', NULL, NULL, 222, NULL, NULL, 19786),
(50973, '4mouA01', NULL, NULL, 205, NULL, NULL, 19786),
(50974, '4z0mA01', NULL, NULL, 198, NULL, NULL, 19786),
(50975, '5z7rA01', NULL, NULL, 202, NULL, NULL, 19786),
(50976, '4zdfB00', NULL, NULL, 265, NULL, NULL, 19786),
(50977, '2f9iD00', NULL, NULL, 257, NULL, NULL, 19786),
(50978, '1pixA03', NULL, NULL, 299, NULL, NULL, 19786),
(50979, '1pixA02', NULL, NULL, 229, NULL, NULL, 19786),
(50980, '3tdcA03', NULL, NULL, 409, NULL, NULL, 19786),
(50981, '3tdcA01', NULL, NULL, 262, NULL, NULL, 19786),
(50982, '4jfcA01', NULL, NULL, 201, NULL, NULL, 19786),
(50983, '2vreB01', NULL, NULL, 217, NULL, NULL, 19786),
(50984, '3qxzA01', NULL, NULL, 204, NULL, NULL, 19786),
(50985, '2f9iC00', NULL, NULL, 327, NULL, NULL, 19786),
(50986, '4di1B01', NULL, NULL, 199, NULL, NULL, 19786),
(50987, '1wz8A01', NULL, NULL, 207, NULL, NULL, 19786),
(50988, '4l8kA02', NULL, NULL, 217, NULL, NULL, 19786),
(50989, '3laoB01', NULL, NULL, 228, NULL, NULL, 19786),
(50990, '1szoB00', NULL, NULL, 257, NULL, NULL, 19786),
(50991, '4fzwC01', NULL, NULL, 216, NULL, NULL, 19786),
(50992, '4q1iA00', NULL, NULL, 243, NULL, NULL, 19786),
(50993, '3h81A01', NULL, NULL, 198, NULL, NULL, 19786),
(50994, '4kpkA00', NULL, NULL, 265, NULL, NULL, 19786),
(50995, '3tlfD01', NULL, NULL, 216, NULL, NULL, 19786),
(50996, '3swxB01', NULL, NULL, 207, NULL, NULL, 19786),
(50997, '1y7oF00', NULL, NULL, 198, NULL, NULL, 19786),
(50998, '1mj3A01', NULL, NULL, 202, NULL, NULL, 19786),
(50999, '3gkbA00', NULL, NULL, 287, NULL, NULL, 19786),
(51000, '3k50A03', NULL, NULL, 179, NULL, NULL, 19786),
(51001, '5dufA00', NULL, NULL, 245, NULL, NULL, 19786),
(51002, '4jcqA00', NULL, NULL, 201, NULL, NULL, 19786),
(51003, '1nzyA01', NULL, NULL, 204, NULL, NULL, 19786),
(51004, '3peaF00', NULL, NULL, 261, NULL, NULL, 19786),
(51005, '5ve2I00', NULL, NULL, 251, NULL, NULL, 19786),
(51006, '2a7kB01', NULL, NULL, 197, NULL, NULL, 19786),
(51007, '3pe8A00', NULL, NULL, 235, NULL, NULL, 19786),
(51008, '2pbpA01', NULL, NULL, 200, NULL, NULL, 19786),
(51009, '4jyjB00', NULL, NULL, 275, NULL, NULL, 19786),
(51010, '5o34A01', NULL, NULL, 197, NULL, NULL, 19786);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(51011, '3ot6A00', NULL, NULL, 232, NULL, NULL, 19786),
(51012, '1k32A05', NULL, NULL, 216, NULL, NULL, 19786),
(51013, '5wydB01', NULL, NULL, 212, NULL, NULL, 19786),
(51014, '4asiE01', NULL, NULL, 271, NULL, NULL, 19786),
(51015, '2np9B02', NULL, NULL, 294, NULL, NULL, 19786),
(51016, '3u9rB01', NULL, NULL, 273, NULL, NULL, 19786),
(51017, '3u9rB02', NULL, NULL, 263, NULL, NULL, 19786),
(51018, '1j7xA02', NULL, NULL, 214, NULL, NULL, 19786),
(51019, '5fifC02', NULL, NULL, 252, NULL, NULL, 19786),
(51020, '1tg6E00', NULL, NULL, 205, NULL, NULL, 19786),
(51021, '3fduA01', NULL, NULL, 184, NULL, NULL, 19786),
(51022, '4wyoB03', NULL, NULL, 364, NULL, NULL, 19786),
(51023, '1y7oG00', NULL, NULL, 197, NULL, NULL, 19786),
(51024, '3g64A01', NULL, NULL, 218, NULL, NULL, 19786),
(51025, '2f9yA00', NULL, NULL, 316, NULL, NULL, 19786),
(51026, '4og1A01', NULL, NULL, 210, NULL, NULL, 19786),
(51027, '4hdtA00', NULL, NULL, 353, NULL, NULL, 19786),
(51028, '1hzdA01', NULL, NULL, 212, NULL, NULL, 19786),
(51029, '3qkaE01', NULL, NULL, 203, NULL, NULL, 19786),
(51030, '5dkpk00', NULL, NULL, 206, NULL, NULL, 19786),
(51031, '3ktiA00', NULL, NULL, 182, NULL, NULL, 19786),
(51032, '4izbB01', NULL, NULL, 208, NULL, NULL, 19786),
(51033, '3q7hB00', NULL, NULL, 195, NULL, NULL, 19786),
(51034, '4nnqC01', NULL, NULL, 193, NULL, NULL, 19786),
(51035, '4fn7B00', NULL, NULL, 231, NULL, NULL, 19786),
(51036, '4i4zA01', NULL, NULL, 212, NULL, NULL, 19786),
(51037, '4f47A01', NULL, NULL, 202, NULL, NULL, 19786),
(51038, '3oc7A01', NULL, NULL, 194, NULL, NULL, 19786),
(51039, '4k3wA01', NULL, NULL, 207, NULL, NULL, 19786),
(51040, '3ju1B00', NULL, NULL, 371, NULL, NULL, 19786),
(51041, '5c90B00', NULL, NULL, 195, NULL, NULL, 19786),
(51042, '4asiF03', NULL, NULL, 403, NULL, NULL, 19786),
(51043, '3kqfA01', NULL, NULL, 205, NULL, NULL, 19786),
(51044, '4kd6A00', NULL, NULL, 227, NULL, NULL, 19786),
(51045, '4jotA01', NULL, NULL, 212, NULL, NULL, 19786),
(51046, '6cfdI00', NULL, NULL, 191, NULL, NULL, 19786),
(51047, '4jjtB00', NULL, NULL, 232, NULL, NULL, 19786),
(51048, '2j5gK00', NULL, NULL, 263, NULL, NULL, 19786),
(51049, '3r9tB01', NULL, NULL, 206, NULL, NULL, 19786),
(51050, '2hw5A01', NULL, NULL, 202, NULL, NULL, 19786),
(51051, '2fw2B01', NULL, NULL, 203, NULL, NULL, 19786),
(51052, '1sg4A01', NULL, NULL, 204, NULL, NULL, 19786),
(51053, '5g1sG00', NULL, NULL, 201, NULL, NULL, 19786),
(51054, '5ingF01', NULL, NULL, 256, NULL, NULL, 19786),
(51055, '5e0sB00', NULL, NULL, 214, NULL, NULL, 19786),
(51056, '3gf3A02', NULL, NULL, 231, NULL, NULL, 19786),
(51057, '3lkeB00', NULL, NULL, 263, NULL, NULL, 19786),
(51058, '4kwbA01', NULL, NULL, 206, NULL, NULL, 19786),
(51059, '3gf3A03', NULL, NULL, 297, NULL, NULL, 19786),
(51060, '4q1hB01', NULL, NULL, 180, NULL, NULL, 19786),
(51061, '4nekA01', NULL, NULL, 196, NULL, NULL, 19786),
(51062, '3r0oA01', NULL, NULL, 212, NULL, NULL, 19786),
(51063, '5iklD02', NULL, NULL, 267, NULL, NULL, 19786),
(51064, '3r6hA00', NULL, NULL, 233, NULL, NULL, 19786),
(51065, '1on3B01', NULL, NULL, 261, NULL, NULL, 19786),
(51066, '2x24A03', NULL, NULL, 372, NULL, NULL, 19786),
(51067, '2x24A01', NULL, NULL, 250, NULL, NULL, 19786),
(51068, '4u0gJ00', NULL, NULL, 194, NULL, NULL, 19786),
(51069, '1dciA01', NULL, NULL, 212, NULL, NULL, 19786),
(51070, '3bptA00', NULL, NULL, 363, NULL, NULL, 19786),
(51071, '2uzfA01', NULL, NULL, 210, NULL, NULL, 19786),
(51072, '6iumA01', NULL, NULL, 279, NULL, NULL, 19786),
(51073, '4gm2A00', NULL, NULL, 184, NULL, NULL, 19786),
(51074, '5fifE01', NULL, NULL, 255, NULL, NULL, 19786),
(51075, '3qk8B01', NULL, NULL, 210, NULL, NULL, 19786),
(51076, '1uyvB02', NULL, NULL, 292, NULL, NULL, 19786),
(51077, '3q1tB01', NULL, NULL, 216, NULL, NULL, 19786),
(51078, '3bf0C03', NULL, NULL, 167, NULL, NULL, 19786),
(51079, '3l3sA01', NULL, NULL, 207, NULL, NULL, 19786),
(51080, '3t8bB00', NULL, NULL, 238, NULL, NULL, 19786),
(51081, '3bf0C01', NULL, NULL, 221, NULL, NULL, 19786),
(51082, '1y7oA00', NULL, NULL, 197, NULL, NULL, 19786),
(51083, '4wczC01', NULL, NULL, 218, NULL, NULL, 19786);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(51084, '3mybA01', NULL, NULL, 200, NULL, NULL, 19786),
(51085, '3n6rB01', NULL, NULL, 252, NULL, NULL, 19786),
(51086, '3moyA01', NULL, NULL, 205, NULL, NULL, 19786),
(51087, '3p85A00', NULL, NULL, 230, NULL, NULL, 19786),
(51088, '3n6rB02', NULL, NULL, 254, NULL, NULL, 19786),
(51089, '4rcnA04', NULL, NULL, 241, NULL, NULL, 19786),
(51090, '3hrxA01', NULL, NULL, 196, NULL, NULL, 19786),
(51091, '1uiyA01', NULL, NULL, 198, NULL, NULL, 19786),
(51092, '3h02A01', NULL, NULL, 225, NULL, NULL, 19786),
(51093, '3hp0A00', NULL, NULL, 267, NULL, NULL, 19786),
(51094, '3njdA00', NULL, NULL, 305, NULL, NULL, 19786),
(51095, '3rrvC00', NULL, NULL, 253, NULL, NULL, 19786),
(51096, '4qfeB01', NULL, NULL, 203, NULL, NULL, 19786),
(51097, '4lk5C01', NULL, NULL, 185, NULL, NULL, 19786),
(51098, '3p5mB01', NULL, NULL, 180, NULL, NULL, 19786),
(51099, '3omeB00', NULL, NULL, 261, NULL, NULL, 19786),
(51100, '6mx2J00', NULL, NULL, 194, NULL, NULL, 19786),
(51101, '2ej5B01', NULL, NULL, 199, NULL, NULL, 19786),
(51102, '4u19A01', NULL, NULL, 224, NULL, NULL, 19786),
(51103, '4mi2B01', NULL, NULL, 209, NULL, NULL, 19786),
(51104, '3dorA03', NULL, NULL, 254, NULL, NULL, 19786),
(51105, '1y7oB00', NULL, NULL, 198, NULL, NULL, 19786),
(51106, '3qmjA00', NULL, NULL, 219, NULL, NULL, 19786),
(51107, '1vrgA02', NULL, NULL, 257, NULL, NULL, 19786),
(51108, '3trrA01', NULL, NULL, 198, NULL, NULL, 19786),
(51109, '1vrgA01', NULL, NULL, 270, NULL, NULL, 19786),
(51110, '5ingD02', NULL, NULL, 262, NULL, NULL, 19786),
(51111, '4rcnB03', NULL, NULL, 274, NULL, NULL, 19786),
(51112, '2f6iC00', NULL, NULL, 194, NULL, NULL, 19786),
(51113, '4l6wA02', NULL, NULL, 223, NULL, NULL, 19786),
(51114, '4l6wA01', NULL, NULL, 205, NULL, NULL, 19786),
(51115, '1on9D02', NULL, NULL, 252, NULL, NULL, 19786),
(51116, '4jylA01', NULL, NULL, 200, NULL, NULL, 19786),
(51117, '3sllB01', NULL, NULL, 208, NULL, NULL, 19786),
(51118, '5iklF01', NULL, NULL, 223, NULL, NULL, 19786),
(51119, '1wdkA01', NULL, NULL, 313, NULL, NULL, 19786),
(51120, '5ctbB03', NULL, NULL, 342, NULL, NULL, 19786),
(51121, '4jwvA01', NULL, NULL, 201, NULL, NULL, 19786),
(51122, '4q0gA01', NULL, NULL, 266, NULL, NULL, 19786),
(51123, '3zwcA01', NULL, NULL, 279, NULL, NULL, 19786),
(51124, '5kjpA01', NULL, NULL, 207, NULL, NULL, 19786),
(51125, '2iexA01', NULL, NULL, 209, NULL, NULL, 19786),
(51126, '4jctA00', NULL, NULL, 193, NULL, NULL, 19786),
(51127, '2j5iA01', NULL, NULL, 211, NULL, NULL, 19786),
(51128, '1y7oC00', NULL, NULL, 198, NULL, NULL, 19786),
(51129, '3vivA00', NULL, NULL, 230, NULL, NULL, 19786),
(51130, '3i47A01', NULL, NULL, 203, NULL, NULL, 19786),
(51131, '5jbxB01', NULL, NULL, 201, NULL, NULL, 19786),
(51132, '6n92A01', NULL, NULL, 185, NULL, NULL, 19786),
(51133, '4jcsA01', NULL, NULL, 205, NULL, NULL, 19786),
(51134, '4g2rA01', NULL, NULL, 217, NULL, NULL, 19786),
(51135, '4lk5A00', NULL, NULL, 262, NULL, NULL, 19786),
(51136, '4jvtA01', NULL, NULL, 225, NULL, NULL, 19786),
(51137, '3r9qA01', NULL, NULL, 206, NULL, NULL, 19786),
(51138, '3h0uB00', NULL, NULL, 289, NULL, NULL, 19786),
(51139, '1yg6A00', NULL, NULL, 193, NULL, NULL, 19786),
(51140, '4b3hB01', NULL, NULL, 340, NULL, NULL, 19786),
(51141, '4k2nA01', NULL, NULL, 225, NULL, NULL, 19786),
(51142, '2ppyA01', NULL, NULL, 205, NULL, NULL, 19786),
(51143, '2w3pA01', NULL, NULL, 326, NULL, NULL, 19786),
(51144, '2w3pA02', NULL, NULL, 230, NULL, NULL, 19786),
(51145, '4k29B00', NULL, NULL, 271, NULL, NULL, 19786),
(51146, '2q35A01', NULL, NULL, 179, NULL, NULL, 19786),
(51147, '4j2uB00', NULL, NULL, 342, NULL, NULL, 19786),
(51148, '2wtbA01', NULL, NULL, 311, NULL, NULL, 19786),
(51149, '3u9tB01', NULL, NULL, 256, NULL, NULL, 19786),
(51150, '4q0gB02', NULL, NULL, 263, NULL, NULL, 19786),
(51151, '1k32A01', NULL, NULL, 284, NULL, NULL, 19787),
(51152, '1nijA02', NULL, NULL, 116, NULL, NULL, 19788),
(51153, '3rwnB00', NULL, NULL, 161, NULL, NULL, 19789),
(51154, '3uwpA01', NULL, NULL, 121, NULL, NULL, 19790),
(51155, '6as6A01', NULL, NULL, 455, NULL, NULL, 19791),
(51156, '4ex4A01', NULL, NULL, 466, NULL, NULL, 19791);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(51157, '5vfbA01', NULL, NULL, 458, NULL, NULL, 19791),
(51158, '3cuxA01', NULL, NULL, 406, NULL, NULL, 19791),
(51159, '1p7tB01', NULL, NULL, 459, NULL, NULL, 19791),
(51160, '6axeB01', NULL, NULL, 470, NULL, NULL, 19791),
(51161, '3cuzA01', NULL, NULL, 410, NULL, NULL, 19791),
(51162, '1h6wA02', NULL, NULL, 43, NULL, NULL, 19792),
(51163, '1hn6A00', NULL, NULL, 110, NULL, NULL, 19793),
(51164, '3ssoA01', NULL, NULL, 154, NULL, NULL, 19794),
(51165, '2e1mB01', NULL, NULL, 44, NULL, NULL, 19795),
(51166, '3u95C00', NULL, NULL, 477, NULL, NULL, 19796),
(51167, '3fefA00', NULL, NULL, 450, NULL, NULL, 19796),
(51168, '1obbB00', NULL, NULL, 480, NULL, NULL, 19796),
(51169, '1dc1A02', NULL, NULL, 88, NULL, NULL, 19797),
(51170, '2b56A03', NULL, NULL, 99, NULL, NULL, 19798),
(51171, '2b4vA03', NULL, NULL, 99, NULL, NULL, 19798),
(51172, '1mt1D00', NULL, NULL, 113, NULL, NULL, 19799),
(51173, '1n13B00', NULL, NULL, 113, NULL, NULL, 19799),
(51174, '1mt1B00', NULL, NULL, 113, NULL, NULL, 19799),
(51175, '1n2mC00', NULL, NULL, 165, NULL, NULL, 19799),
(51176, '1mt1H00', NULL, NULL, 113, NULL, NULL, 19799),
(51177, '1mt1F00', NULL, NULL, 113, NULL, NULL, 19799),
(51178, '1mt1L00', NULL, NULL, 113, NULL, NULL, 19799),
(51179, '1mt1J00', NULL, NULL, 113, NULL, NULL, 19799),
(51180, '1ibvB00', NULL, NULL, 228, NULL, NULL, 19799),
(51181, '2lg1A01', NULL, NULL, 70, NULL, NULL, 19800),
(51182, '1z4hA01', NULL, NULL, 58, NULL, NULL, 19801),
(51183, '1n7vA02', NULL, NULL, 123, NULL, NULL, 19802),
(51184, '5ig6A00', NULL, NULL, 115, NULL, NULL, 19803),
(51185, '3lqhA02', NULL, NULL, 108, NULL, NULL, 19803),
(51186, '4qylA00', NULL, NULL, 117, NULL, NULL, 19803),
(51187, '4qzsA01', NULL, NULL, 105, NULL, NULL, 19803),
(51188, '3tlpA00', NULL, NULL, 134, NULL, NULL, 19803),
(51189, '5mwzA00', NULL, NULL, 116, NULL, NULL, 19803),
(51190, '4kcxA01', NULL, NULL, 113, NULL, NULL, 19803),
(51191, '4qc3A00', NULL, NULL, 107, NULL, NULL, 19803),
(51192, '2g4aA00', NULL, NULL, 116, NULL, NULL, 19803),
(51193, '2dvrB00', NULL, NULL, 122, NULL, NULL, 19803),
(51194, '2dvsC00', NULL, NULL, 122, NULL, NULL, 19803),
(51195, '3jvlA00', NULL, NULL, 120, NULL, NULL, 19803),
(51196, '5czgA00', NULL, NULL, 116, NULL, NULL, 19803),
(51197, '2yynB00', NULL, NULL, 135, NULL, NULL, 19803),
(51198, '1x0jA00', NULL, NULL, 122, NULL, NULL, 19803),
(51199, '5fh7A00', NULL, NULL, 124, NULL, NULL, 19803),
(51200, '3aqaB00', NULL, NULL, 128, NULL, NULL, 19803),
(51201, '2h60A00', NULL, NULL, 128, NULL, NULL, 19803),
(51202, '3qztA00', NULL, NULL, 115, NULL, NULL, 19803),
(51203, '5enfA00', NULL, NULL, 131, NULL, NULL, 19803),
(51204, '4ldfA00', NULL, NULL, 116, NULL, NULL, 19803),
(51205, '4pklA00', NULL, NULL, 119, NULL, NULL, 19803),
(51206, '3mqmA00', NULL, NULL, 126, NULL, NULL, 19803),
(51207, '3nxbA00', NULL, NULL, 116, NULL, NULL, 19803),
(51208, '3tlpB00', NULL, NULL, 132, NULL, NULL, 19803),
(51209, '6fggA00', NULL, NULL, 106, NULL, NULL, 19803),
(51210, '5n13A00', NULL, NULL, 109, NULL, NULL, 19803),
(51211, '4aknA00', NULL, NULL, 125, NULL, NULL, 19803),
(51212, '5ko4A00', NULL, NULL, 107, NULL, NULL, 19803),
(51213, '2dkwA00', NULL, NULL, 131, NULL, NULL, 19803),
(51214, '5k29A00', NULL, NULL, 126, NULL, NULL, 19803),
(51215, '6nimA00', NULL, NULL, 121, NULL, NULL, 19803),
(51216, '2dvrC00', NULL, NULL, 122, NULL, NULL, 19803),
(51217, '3iu5A00', NULL, NULL, 116, NULL, NULL, 19803),
(51218, '6g8rB02', NULL, NULL, 118, NULL, NULL, 19803),
(51219, '5vs7A00', NULL, NULL, 119, NULL, NULL, 19803),
(51220, '2yw5A00', NULL, NULL, 138, NULL, NULL, 19803),
(51221, '3aqaC00', NULL, NULL, 128, NULL, NULL, 19803),
(51222, '5mr8A02', NULL, NULL, 116, NULL, NULL, 19803),
(51223, '6df4A00', NULL, NULL, 138, NULL, NULL, 19803),
(51224, '3q2eA00', NULL, NULL, 123, NULL, NULL, 19803),
(51225, '4n4gA01', NULL, NULL, 115, NULL, NULL, 19803),
(51226, '4algA00', NULL, NULL, 129, NULL, NULL, 19803),
(51227, '5dkhA00', NULL, NULL, 123, NULL, NULL, 19803),
(51228, '2dvqA00', NULL, NULL, 122, NULL, NULL, 19803),
(51229, '5c4qB00', NULL, NULL, 125, NULL, NULL, 19803);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(51230, '3u5nA02', NULL, NULL, 130, NULL, NULL, 19803),
(51231, '5ibnA00', NULL, NULL, 111, NULL, NULL, 19803),
(51232, '2dwwA00', NULL, NULL, 114, NULL, NULL, 19803),
(51233, '4z93A00', NULL, NULL, 112, NULL, NULL, 19803),
(51234, '5ji8A00', NULL, NULL, 111, NULL, NULL, 19803),
(51235, '2datA00', NULL, NULL, 123, NULL, NULL, 19803),
(51236, '3k2jA00', NULL, NULL, 130, NULL, NULL, 19803),
(51237, '3hmhA00', NULL, NULL, 155, NULL, NULL, 19803),
(51238, '5pg1A00', NULL, NULL, 117, NULL, NULL, 19803),
(51239, '2i8nA00', NULL, NULL, 114, NULL, NULL, 19803),
(51240, '5mkxB00', NULL, NULL, 119, NULL, NULL, 19803),
(51241, '4qb3A01', NULL, NULL, 105, NULL, NULL, 19803),
(51242, '5uiyA00', NULL, NULL, 116, NULL, NULL, 19803),
(51243, '2dvsA00', NULL, NULL, 122, NULL, NULL, 19803),
(51244, '4qnsA00', NULL, NULL, 106, NULL, NULL, 19803),
(51245, '6j3pA00', NULL, NULL, 109, NULL, NULL, 19803),
(51246, '5epbA00', NULL, NULL, 130, NULL, NULL, 19803),
(51247, '2nxbA01', NULL, NULL, 106, NULL, NULL, 19803),
(51248, '1x0jC00', NULL, NULL, 122, NULL, NULL, 19803),
(51249, '3ljwA00', NULL, NULL, 120, NULL, NULL, 19803),
(51250, '5mq1A00', NULL, NULL, 112, NULL, NULL, 19803),
(51251, '2ri7A02', NULL, NULL, 111, NULL, NULL, 19803),
(51252, '6bqaA00', NULL, NULL, 102, NULL, NULL, 19803),
(51253, '2wp1B00', NULL, NULL, 126, NULL, NULL, 19803),
(51254, '2dvqB00', NULL, NULL, 122, NULL, NULL, 19803),
(51255, '5fg6A00', NULL, NULL, 128, NULL, NULL, 19803),
(51256, '4uitA00', NULL, NULL, 106, NULL, NULL, 19803),
(51257, '3iu6A00', NULL, NULL, 147, NULL, NULL, 19803),
(51258, '4j1pA00', NULL, NULL, 114, NULL, NULL, 19803),
(51259, '2r0yA01', NULL, NULL, 114, NULL, NULL, 19803),
(51260, '2r0yA02', NULL, NULL, 145, NULL, NULL, 19803),
(51261, '5n17A01', NULL, NULL, 104, NULL, NULL, 19803),
(51262, '5u9nB00', NULL, NULL, 151, NULL, NULL, 19803),
(51263, '6g5pB02', NULL, NULL, 120, NULL, NULL, 19803),
(51264, '1e6iA00', NULL, NULL, 121, NULL, NULL, 19803),
(51265, '5ulcX00', NULL, NULL, 142, NULL, NULL, 19803),
(51266, '2wp2A01', NULL, NULL, 105, NULL, NULL, 19803),
(51267, '5bt3A00', NULL, NULL, 116, NULL, NULL, 19803),
(51268, '5ml0A00', NULL, NULL, 110, NULL, NULL, 19803),
(51269, '6cw0A00', NULL, NULL, 106, NULL, NULL, 19803),
(51270, '3aadA01', NULL, NULL, 163, NULL, NULL, 19803),
(51271, '6neyA00', NULL, NULL, 131, NULL, NULL, 19803),
(51272, '5tcmB00', NULL, NULL, 130, NULL, NULL, 19803),
(51273, '2dvrA00', NULL, NULL, 122, NULL, NULL, 19803),
(51274, '5pqiA00', NULL, NULL, 135, NULL, NULL, 19803),
(51275, '3uv5A01', NULL, NULL, 125, NULL, NULL, 19803),
(51276, '3uv5A02', NULL, NULL, 140, NULL, NULL, 19803),
(51277, '2dvsB00', NULL, NULL, 122, NULL, NULL, 19803),
(51278, '5helA00', NULL, NULL, 126, NULL, NULL, 19803),
(51279, '4ybmA02', NULL, NULL, 123, NULL, NULL, 19803),
(51280, '5i86A00', NULL, NULL, 118, NULL, NULL, 19803),
(51281, '3aqaA00', NULL, NULL, 128, NULL, NULL, 19803),
(51282, '1n72A00', NULL, NULL, 118, NULL, NULL, 19803),
(51283, '3lxjD00', NULL, NULL, 136, NULL, NULL, 19803),
(51284, '1x0jB00', NULL, NULL, 122, NULL, NULL, 19803),
(51285, '2d9eA00', NULL, NULL, 121, NULL, NULL, 19803),
(51286, '4py6C00', NULL, NULL, 129, NULL, NULL, 19803),
(51287, '2grcA00', NULL, NULL, 129, NULL, NULL, 19803),
(51288, '2dvqC00', NULL, NULL, 122, NULL, NULL, 19803),
(51289, '5c8gB00', NULL, NULL, 136, NULL, NULL, 19803),
(51290, '3s92A00', NULL, NULL, 113, NULL, NULL, 19803),
(51291, '3l7iA01', NULL, NULL, 232, NULL, NULL, 19804),
(51292, '3cr8A01', NULL, NULL, 143, NULL, NULL, 19805),
(51293, '1m8pA02', NULL, NULL, 188, NULL, NULL, 19805),
(51294, '1jhdA02', NULL, NULL, 193, NULL, NULL, 19805),
(51295, '2gksB01', NULL, NULL, 143, NULL, NULL, 19805),
(51296, '1r6xA01', NULL, NULL, 161, NULL, NULL, 19805),
(51297, '4dnxA01', NULL, NULL, 193, NULL, NULL, 19805),
(51298, '1t62B00', NULL, NULL, 166, NULL, NULL, 19805),
(51299, '3s9xA00', NULL, NULL, 159, NULL, NULL, 19805),
(51300, '1v47A01', NULL, NULL, 136, NULL, NULL, 19805),
(51301, '1x6vA02', NULL, NULL, 158, NULL, NULL, 19805),
(51302, '4mafA01', NULL, NULL, 170, NULL, NULL, 19805);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(51303, '3dt5A00', NULL, NULL, 135, NULL, NULL, 19806),
(51304, '2ky4A01', NULL, NULL, 131, NULL, NULL, 19807),
(51305, '3osjA01', NULL, NULL, 129, NULL, NULL, 19807),
(51306, '3nphB00', NULL, NULL, 148, NULL, NULL, 19807),
(51307, '2l8vA01', NULL, NULL, 128, NULL, NULL, 19807),
(51308, '3pruA01', NULL, NULL, 128, NULL, NULL, 19807),
(51309, '2l3wA01', NULL, NULL, 128, NULL, NULL, 19807),
(51310, '3ohwA00', NULL, NULL, 128, NULL, NULL, 19807),
(51311, '3f6zB01', NULL, NULL, 87, NULL, NULL, 19808),
(51312, '2f09A00', NULL, NULL, 82, NULL, NULL, 19808),
(51313, '3oe3F00', NULL, NULL, 98, NULL, NULL, 19808),
(51314, '3oe3E00', NULL, NULL, 98, NULL, NULL, 19808),
(51315, '3oe3D00', NULL, NULL, 98, NULL, NULL, 19808),
(51316, '3oe3C00', NULL, NULL, 98, NULL, NULL, 19808),
(51317, '3oe3B00', NULL, NULL, 98, NULL, NULL, 19808),
(51318, '3oe3A00', NULL, NULL, 98, NULL, NULL, 19808),
(51319, '4ml7B01', NULL, NULL, 85, NULL, NULL, 19808),
(51320, '3u9sE04', NULL, NULL, 125, NULL, NULL, 19809),
(51321, '3u9tA04', NULL, NULL, 118, NULL, NULL, 19809),
(51322, '3tcqA02', NULL, NULL, 105, NULL, NULL, 19810),
(51323, '1es6A02', NULL, NULL, 111, NULL, NULL, 19810),
(51324, '5zcrA03', NULL, NULL, 85, NULL, NULL, 19811),
(51325, '1iv8A03', NULL, NULL, 85, NULL, NULL, 19811),
(51326, '3hjeA03', NULL, NULL, 91, NULL, NULL, 19811),
(51327, '5ek0C01', NULL, NULL, 125, NULL, NULL, 19812),
(51328, '1orsC00', NULL, NULL, 132, NULL, NULL, 19812),
(51329, '3lutB02', NULL, NULL, 162, NULL, NULL, 19812),
(51330, '3lnmD02', NULL, NULL, 175, NULL, NULL, 19812),
(51331, '4g80T00', NULL, NULL, 139, NULL, NULL, 19812),
(51332, '3rvyA01', NULL, NULL, 114, NULL, NULL, 19812),
(51333, '4dxwB01', NULL, NULL, 116, NULL, NULL, 19812),
(51334, '3t7aA01', NULL, NULL, 128, NULL, NULL, 19813),
(51335, '3zqsA02', NULL, NULL, 98, NULL, NULL, 19814),
(51336, '3b0gA01', NULL, NULL, 227, NULL, NULL, 19815),
(51337, '3b0hA01', NULL, NULL, 226, NULL, NULL, 19815),
(51338, '2akjA01', NULL, NULL, 224, NULL, NULL, 19815),
(51339, '3i2kA02', NULL, NULL, 95, NULL, NULL, 19816),
(51340, '2b9vA02', NULL, NULL, 76, NULL, NULL, 19816),
(51341, '4pf1A02', NULL, NULL, 68, NULL, NULL, 19816),
(51342, '1mpxA02', NULL, NULL, 67, NULL, NULL, 19816),
(51343, '4bk0A01', NULL, NULL, 64, NULL, NULL, 19817),
(51344, '1nnvA01', NULL, NULL, 100, NULL, NULL, 19818),
(51345, '1s7mB01', NULL, NULL, 47, NULL, NULL, 19819),
(51346, '3d9xA02', NULL, NULL, 40, NULL, NULL, 19819),
(51347, '4adiB04', NULL, NULL, 94, NULL, NULL, 19820),
(51348, '2o0bA01', NULL, NULL, 209, NULL, NULL, 19821),
(51349, '3sweA02', NULL, NULL, 210, NULL, NULL, 19821),
(51350, '2o0bA02', NULL, NULL, 215, NULL, NULL, 19821),
(51351, '2pqcA01', NULL, NULL, 231, NULL, NULL, 19821),
(51352, '2pqcA02', NULL, NULL, 214, NULL, NULL, 19821),
(51353, '6nkjA01', NULL, NULL, 216, NULL, NULL, 19821),
(51354, '2rl1A01', NULL, NULL, 211, NULL, NULL, 19821),
(51355, '6nkjA02', NULL, NULL, 211, NULL, NULL, 19821),
(51356, '5bufA02', NULL, NULL, 211, NULL, NULL, 19821),
(51357, '5bufA01', NULL, NULL, 247, NULL, NULL, 19821),
(51358, '4r7uC01', NULL, NULL, 211, NULL, NULL, 19821),
(51359, '3sg1A02', NULL, NULL, 210, NULL, NULL, 19821),
(51360, '4fqdA01', NULL, NULL, 226, NULL, NULL, 19821),
(51361, '3sg1A01', NULL, NULL, 221, NULL, NULL, 19821),
(51362, '3rmtA02', NULL, NULL, 209, NULL, NULL, 19821),
(51363, '3nvsA01', NULL, NULL, 203, NULL, NULL, 19821),
(51364, '3nvsA02', NULL, NULL, 205, NULL, NULL, 19821),
(51365, '4r7uA02', NULL, NULL, 208, NULL, NULL, 19821),
(51366, '3zh4A02', NULL, NULL, 210, NULL, NULL, 19821),
(51367, '3zh4A01', NULL, NULL, 206, NULL, NULL, 19821),
(51368, '5u4hA01', NULL, NULL, 209, NULL, NULL, 19821),
(51369, '5u4hA02', NULL, NULL, 209, NULL, NULL, 19821),
(51370, '4n3pA02', NULL, NULL, 210, NULL, NULL, 19821),
(51371, '3swgA01', NULL, NULL, 216, NULL, NULL, 19821),
(51372, '1g6sA01', NULL, NULL, 205, NULL, NULL, 19821),
(51373, '1g6sA02', NULL, NULL, 204, NULL, NULL, 19821),
(51374, '1ejdA01', NULL, NULL, 207, NULL, NULL, 19821),
(51375, '3slhA02', NULL, NULL, 210, NULL, NULL, 19821);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(51376, '1ejdA02', NULL, NULL, 208, NULL, NULL, 19821),
(51377, '3slhA01', NULL, NULL, 231, NULL, NULL, 19821),
(51378, '2yvwA02', NULL, NULL, 206, NULL, NULL, 19821),
(51379, '5bq2A02', NULL, NULL, 211, NULL, NULL, 19821),
(51380, '5bq2A01', NULL, NULL, 215, NULL, NULL, 19821),
(51381, '1rf6A01', NULL, NULL, 217, NULL, NULL, 19821),
(51382, '1rf6A02', NULL, NULL, 210, NULL, NULL, 19821),
(51383, '5ujsA01', NULL, NULL, 208, NULL, NULL, 19821),
(51384, '3rmtB01', NULL, NULL, 229, NULL, NULL, 19821),
(51385, '4fqdB02', NULL, NULL, 229, NULL, NULL, 19821),
(51386, '5ujsA02', NULL, NULL, 209, NULL, NULL, 19821),
(51387, '3kqjA01', NULL, NULL, 208, NULL, NULL, 19821),
(51388, '3vcyA01', NULL, NULL, 219, NULL, NULL, 19821),
(51389, '3vcyA02', NULL, NULL, 208, NULL, NULL, 19821),
(51390, '3kqjA02', NULL, NULL, 208, NULL, NULL, 19821),
(51391, '3r38A02', NULL, NULL, 211, NULL, NULL, 19821),
(51392, '3r38A01', NULL, NULL, 243, NULL, NULL, 19821),
(51393, '6cn1A02', NULL, NULL, 211, NULL, NULL, 19821),
(51394, '6cn1A01', NULL, NULL, 210, NULL, NULL, 19821),
(51395, '5xwbA01', NULL, NULL, 203, NULL, NULL, 19821),
(51396, '5xwbA02', NULL, NULL, 205, NULL, NULL, 19821),
(51397, '3hnpE01', NULL, NULL, 86, NULL, NULL, 19822),
(51398, '1dqaD01', NULL, NULL, 60, NULL, NULL, 19822),
(51399, '1hw8A01', NULL, NULL, 88, NULL, NULL, 19822),
(51400, '2r4fD01', NULL, NULL, 79, NULL, NULL, 19822),
(51401, '4qq1C01', NULL, NULL, 120, NULL, NULL, 19823),
(51402, '3uaqB01', NULL, NULL, 110, NULL, NULL, 19823),
(51403, '3ve2A01', NULL, NULL, 137, NULL, NULL, 19823),
(51404, '3holA01', NULL, NULL, 83, NULL, NULL, 19823),
(51405, '3v8uA01', NULL, NULL, 135, NULL, NULL, 19823),
(51406, '4o4uA01', NULL, NULL, 88, NULL, NULL, 19823),
(51407, '3pqsA01', NULL, NULL, 88, NULL, NULL, 19823),
(51408, '3pquA01', NULL, NULL, 119, NULL, NULL, 19823),
(51409, '4u9cA01', NULL, NULL, 133, NULL, NULL, 19823),
(51410, '5nbsA02', NULL, NULL, 272, NULL, NULL, 19824),
(51411, '3u48A02', NULL, NULL, 272, NULL, NULL, 19824),
(51412, '1x38A02', NULL, NULL, 229, NULL, NULL, 19824),
(51413, '5tf0A02', NULL, NULL, 278, NULL, NULL, 19824),
(51414, '5fjiA02', NULL, NULL, 272, NULL, NULL, 19824),
(51415, '5fjjA02', NULL, NULL, 272, NULL, NULL, 19824),
(51416, '5xxlA02', NULL, NULL, 282, NULL, NULL, 19824),
(51417, '2x41A02', NULL, NULL, 283, NULL, NULL, 19824),
(51418, '4iibA02', NULL, NULL, 272, NULL, NULL, 19824),
(51419, '4zocA02', NULL, NULL, 247, NULL, NULL, 19824),
(51420, '3zyzA02', NULL, NULL, 266, NULL, NULL, 19824),
(51421, '4i3gA02', NULL, NULL, 203, NULL, NULL, 19824),
(51422, '3bmxA02', NULL, NULL, 223, NULL, NULL, 19824),
(51423, '3rrxA02', NULL, NULL, 229, NULL, NULL, 19824),
(51424, '5ju6A02', NULL, NULL, 271, NULL, NULL, 19824),
(51425, '3abzA02', NULL, NULL, 177, NULL, NULL, 19824),
(51426, '1z6tA03', NULL, NULL, 81, NULL, NULL, 19825),
(51427, '3sfzA02', NULL, NULL, 91, NULL, NULL, 19825),
(51428, '1p32B00', NULL, NULL, 209, NULL, NULL, 19826),
(51429, '1yqfB00', NULL, NULL, 182, NULL, NULL, 19826),
(51430, '3jv1A00', NULL, NULL, 182, NULL, NULL, 19826),
(51431, '3qv0A00', NULL, NULL, 227, NULL, NULL, 19826),
(51432, '2gm4A02', NULL, NULL, 39, NULL, NULL, 19827),
(51433, '1gdtB02', NULL, NULL, 40, NULL, NULL, 19827),
(51434, '1zr4A02', NULL, NULL, 39, NULL, NULL, 19827),
(51435, '3pubA01', NULL, NULL, 79, NULL, NULL, 19828),
(51436, '1s9rA01', NULL, NULL, 319, NULL, NULL, 19829),
(51437, '6b10B00', NULL, NULL, 333, NULL, NULL, 19829),
(51438, '2ewoA00', NULL, NULL, 377, NULL, NULL, 19829),
(51439, '5hp5A03', NULL, NULL, 372, NULL, NULL, 19829),
(51440, '3i4aA00', NULL, NULL, 278, NULL, NULL, 19829),
(51441, '1x72A00', NULL, NULL, 334, NULL, NULL, 19829),
(51442, '1g62A00', NULL, NULL, 224, NULL, NULL, 19829),
(51443, '5an9I00', NULL, NULL, 224, NULL, NULL, 19829),
(51444, '2ci1A00', NULL, NULL, 275, NULL, NULL, 19829),
(51445, '4e4jA01', NULL, NULL, 318, NULL, NULL, 19829),
(51446, '5wpiA00', NULL, NULL, 364, NULL, NULL, 19829),
(51447, '2dewX03', NULL, NULL, 370, NULL, NULL, 19829),
(51448, '4bofA01', NULL, NULL, 317, NULL, NULL, 19829); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(51449, '4n2kA03', NULL, NULL, 375, NULL, NULL, 19829),
(51450, '1xknA00', NULL, NULL, 355, NULL, NULL, 19829),
(51451, '2jerB00', NULL, NULL, 365, NULL, NULL, 19829),
(51452, '4a18J00', NULL, NULL, 228, NULL, NULL, 19829),
(51453, '4ytbA01', NULL, NULL, 316, NULL, NULL, 19829),
(51454, '1bwdA00', NULL, NULL, 348, NULL, NULL, 19829),
(51455, '5m3qA00', NULL, NULL, 225, NULL, NULL, 19829),
(51456, '6nibA00', NULL, NULL, 367, NULL, NULL, 19829),
(51457, '2aafB01', NULL, NULL, 333, NULL, NULL, 19829),
(51458, '6ce1A03', NULL, NULL, 371, NULL, NULL, 19829),
(51459, '3hvmA00', NULL, NULL, 330, NULL, NULL, 19829),
(51460, '1zbrA00', NULL, NULL, 349, NULL, NULL, 19829),
(51461, '1g61A00', NULL, NULL, 228, NULL, NULL, 19829),
(51462, '1h70A00', NULL, NULL, 255, NULL, NULL, 19829),
(51463, '1vkpB00', NULL, NULL, 383, NULL, NULL, 19829),
(51464, '1jdwA00', NULL, NULL, 360, NULL, NULL, 19829),
(51465, '2cjaA01', NULL, NULL, 182, NULL, NULL, 19830),
(51466, '3w3sA01', NULL, NULL, 169, NULL, NULL, 19830),
(51467, '4fwvA02', NULL, NULL, 146, NULL, NULL, 19831),
(51468, '2ekdA00', NULL, NULL, 207, NULL, NULL, 19832),
(51469, '4z49A02', NULL, NULL, 90, NULL, NULL, 19833),
(51470, '2ju0B00', NULL, NULL, 52, NULL, NULL, 19834),
(51471, '4nq3A03', NULL, NULL, 109, NULL, NULL, 19835),
(51472, '5t13A03', NULL, NULL, 116, NULL, NULL, 19835),
(51473, '4bvqA03', NULL, NULL, 110, NULL, NULL, 19835),
(51474, '5hweA03', NULL, NULL, 118, NULL, NULL, 19835),
(51475, '5hy0D03', NULL, NULL, 118, NULL, NULL, 19835),
(51476, '4akgA16', NULL, NULL, 165, NULL, NULL, 19836),
(51477, '3vkgA18', NULL, NULL, 173, NULL, NULL, 19836),
(51478, '1ru3A01', NULL, NULL, 124, NULL, NULL, 19837),
(51479, '1oaoC01', NULL, NULL, 120, NULL, NULL, 19837),
(51480, '1jvrA00', NULL, NULL, 137, NULL, NULL, 19838),
(51481, '1tulA00', NULL, NULL, 108, NULL, NULL, 19839),
(51482, '1sedA00', NULL, NULL, 117, NULL, NULL, 19840),
(51483, '3d0wD00', NULL, NULL, 85, NULL, NULL, 19841),
(51484, '3errA01', NULL, NULL, 210, NULL, NULL, 19842),
(51485, '4p02B04', NULL, NULL, 171, NULL, NULL, 19843),
(51486, '1r9lA02', NULL, NULL, 141, NULL, NULL, 19844),
(51487, '2rinA02', NULL, NULL, 110, NULL, NULL, 19844),
(51488, '3tmgA02', NULL, NULL, 109, NULL, NULL, 19844),
(51489, '3l6gA02', NULL, NULL, 99, NULL, NULL, 19844),
(51490, '2b4lA01', NULL, NULL, 111, NULL, NULL, 19844),
(51491, '3zcoA00', NULL, NULL, 141, NULL, NULL, 19845),
(51492, '2welA03', NULL, NULL, 36, NULL, NULL, 19846),
(51493, '3ckdA02', NULL, NULL, 134, NULL, NULL, 19847),
(51494, '3k59A05', NULL, NULL, 33, NULL, NULL, 19848),
(51495, '2yayA02', NULL, NULL, 135, NULL, NULL, 19849),
(51496, '4dk2A02', NULL, NULL, 164, NULL, NULL, 19849),
(51497, '1oglA02', NULL, NULL, 152, NULL, NULL, 19849),
(51498, '2kkrA01', NULL, NULL, 27, NULL, NULL, 19850),
(51499, '2yg9B01', NULL, NULL, 94, NULL, NULL, 19851),
(51500, '4b21A01', NULL, NULL, 95, NULL, NULL, 19851),
(51501, '3s6iD01', NULL, NULL, 112, NULL, NULL, 19851),
(51502, '2h56B01', NULL, NULL, 119, NULL, NULL, 19851),
(51503, '5eb4B02', NULL, NULL, 181, NULL, NULL, 19852),
(51504, '4udqA02', NULL, NULL, 180, NULL, NULL, 19852),
(51505, '3redA02', NULL, NULL, 181, NULL, NULL, 19852),
(51506, '1ju2A02', NULL, NULL, 181, NULL, NULL, 19852),
(51507, '2jbvA04', NULL, NULL, 174, NULL, NULL, 19852),
(51508, '1b33N01', NULL, NULL, 55, NULL, NULL, 19853),
(51509, '4axsA00', NULL, NULL, 307, NULL, NULL, 19854),
(51510, '3l76A01', NULL, NULL, 259, NULL, NULL, 19854),
(51511, '1ybdC00', NULL, NULL, 239, NULL, NULL, 19854),
(51512, '3wwnA00', NULL, NULL, 269, NULL, NULL, 19854),
(51513, '1ybdA00', NULL, NULL, 239, NULL, NULL, 19854),
(51514, '3s6kA01', NULL, NULL, 287, NULL, NULL, 19854),
(51515, '2ap9B00', NULL, NULL, 299, NULL, NULL, 19854),
(51516, '2rd5A00', NULL, NULL, 281, NULL, NULL, 19854),
(51517, '2va1B00', NULL, NULL, 256, NULL, NULL, 19854),
(51518, '3ek6A00', NULL, NULL, 243, NULL, NULL, 19854),
(51519, '3tviA01', NULL, NULL, 279, NULL, NULL, 19854),
(51520, '2cdqA01', NULL, NULL, 204, NULL, NULL, 19854),
(51521, '2akoA00', NULL, NULL, 251, NULL, NULL, 19854);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(51522, '2we5A00', NULL, NULL, 310, NULL, NULL, 19854),
(51523, '4q1tB01', NULL, NULL, 273, NULL, NULL, 19854),
(51524, '2w21A00', NULL, NULL, 259, NULL, NULL, 19854),
(51525, '3l86A00', NULL, NULL, 245, NULL, NULL, 19854),
(51526, '2jjxA00', NULL, NULL, 255, NULL, NULL, 19854),
(51527, '5yeiA01', NULL, NULL, 243, NULL, NULL, 19854),
(51528, '1z9dA00', NULL, NULL, 252, NULL, NULL, 19854),
(51529, '2a1fC00', NULL, NULL, 247, NULL, NULL, 19854),
(51530, '2btyA00', NULL, NULL, 282, NULL, NULL, 19854),
(51531, '3c1mA01', NULL, NULL, 302, NULL, NULL, 19854),
(51532, '2v5hA00', NULL, NULL, 294, NULL, NULL, 19854),
(51533, '2ij9B00', NULL, NULL, 219, NULL, NULL, 19854),
(51534, '3s6gY01', NULL, NULL, 284, NULL, NULL, 19854),
(51535, '2j5vB01', NULL, NULL, 233, NULL, NULL, 19854),
(51536, '3aawC01', NULL, NULL, 244, NULL, NULL, 19854),
(51537, '4ndoA00', NULL, NULL, 245, NULL, NULL, 19854),
(51538, '3nwyB00', NULL, NULL, 236, NULL, NULL, 19854),
(51539, '2bnfA00', NULL, NULL, 241, NULL, NULL, 19854),
(51540, '2bufK00', NULL, NULL, 300, NULL, NULL, 19854),
(51541, '3zzhC00', NULL, NULL, 307, NULL, NULL, 19854),
(51542, '2brxA00', NULL, NULL, 226, NULL, NULL, 19854),
(51543, '1e19A00', NULL, NULL, 314, NULL, NULL, 19854),
(51544, '2j4jF00', NULL, NULL, 226, NULL, NULL, 19854),
(51545, '3d2mA01', NULL, NULL, 282, NULL, NULL, 19854),
(51546, '1ybdB00', NULL, NULL, 239, NULL, NULL, 19854),
(51547, '3k4oA00', NULL, NULL, 266, NULL, NULL, 19854),
(51548, '1gs5A00', NULL, NULL, 258, NULL, NULL, 19854),
(51549, '3t7bB00', NULL, NULL, 260, NULL, NULL, 19854),
(51550, '2bneB00', NULL, NULL, 241, NULL, NULL, 19854),
(51551, '3lkkB00', NULL, NULL, 249, NULL, NULL, 19854),
(51552, '2j0wA01', NULL, NULL, 200, NULL, NULL, 19854),
(51553, '4a7wA00', NULL, NULL, 240, NULL, NULL, 19854),
(51554, '3d40A00', NULL, NULL, 286, NULL, NULL, 19854),
(51555, '2e9yB00', NULL, NULL, 316, NULL, NULL, 19854),
(51556, '3ll9B00', NULL, NULL, 269, NULL, NULL, 19854),
(51557, '4ndoB00', NULL, NULL, 270, NULL, NULL, 19854),
(51558, '4jz8B00', NULL, NULL, 317, NULL, NULL, 19854),
(51559, '6bogA06', NULL, NULL, 52, NULL, NULL, 19855),
(51560, '3drxA02', NULL, NULL, 46, NULL, NULL, 19856),
(51561, '3txvA02', NULL, NULL, 137, NULL, NULL, 19857),
(51562, '2fiqA02', NULL, NULL, 124, NULL, NULL, 19857),
(51563, '4n7wA00', NULL, NULL, 307, NULL, NULL, 19858),
(51564, '3zuxA00', NULL, NULL, 314, NULL, NULL, 19858),
(51565, '5bz3A00', NULL, NULL, 385, NULL, NULL, 19858),
(51566, '2fm9A00', NULL, NULL, 215, NULL, NULL, 19859),
(51567, '2fftA01', NULL, NULL, 15, NULL, NULL, 19860),
(51568, '1nktA02', NULL, NULL, 122, NULL, NULL, 19861),
(51569, '2ipcA02', NULL, NULL, 134, NULL, NULL, 19861),
(51570, '1tf5A02', NULL, NULL, 122, NULL, NULL, 19861),
(51571, '5k9tA02', NULL, NULL, 138, NULL, NULL, 19861),
(51572, '4hu2A01', NULL, NULL, 98, NULL, NULL, 19862),
(51573, '3x1lB02', NULL, NULL, 63, NULL, NULL, 19863),
(51574, '2aneA00', NULL, NULL, 125, NULL, NULL, 19864),
(51575, '1zboA01', NULL, NULL, 114, NULL, NULL, 19864),
(51576, '3m65A01', NULL, NULL, 115, NULL, NULL, 19864),
(51577, '5fqdE02', NULL, NULL, 125, NULL, NULL, 19864),
(51578, '4ci2B02', NULL, NULL, 125, NULL, NULL, 19864),
(51579, '4e6nB00', NULL, NULL, 230, NULL, NULL, 19865),
(51580, '4tpsA00', NULL, NULL, 154, NULL, NULL, 19866),
(51581, '4da2A02', NULL, NULL, 152, NULL, NULL, 19867),
(51582, '4dapA02', NULL, NULL, 154, NULL, NULL, 19867),
(51583, '4a2nB00', NULL, NULL, 194, NULL, NULL, 19868),
(51584, '3p5jB01', NULL, NULL, 80, NULL, NULL, 19869),
(51585, '2p01A02', NULL, NULL, 105, NULL, NULL, 19870),
(51586, '2fcwA00', NULL, NULL, 109, NULL, NULL, 19870),
(51587, '1op1A00', NULL, NULL, 82, NULL, NULL, 19870),
(51588, '4myzC00', NULL, NULL, 79, NULL, NULL, 19871),
(51589, '1ib8A02', NULL, NULL, 67, NULL, NULL, 19872),
(51590, '3fn2A00', NULL, NULL, 106, NULL, NULL, 19873),
(51591, '2msbB00', NULL, NULL, 115, NULL, NULL, 19874),
(51592, '1sb2A00', NULL, NULL, 133, NULL, NULL, 19874),
(51593, '1byfA00', NULL, NULL, 125, NULL, NULL, 19874),
(51594, '1afb100', NULL, NULL, 154, NULL, NULL, 19874);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(51595, '1oz7A00', NULL, NULL, 131, NULL, NULL, 19874),
(51596, '1f00I03', NULL, NULL, 98, NULL, NULL, 19874),
(51597, '1sl6A00', NULL, NULL, 184, NULL, NULL, 19874),
(51598, '1ypqA00', NULL, NULL, 135, NULL, NULL, 19874),
(51599, '2bphA00', NULL, NULL, 140, NULL, NULL, 19874),
(51600, '3bx4D00', NULL, NULL, 123, NULL, NULL, 19874),
(51601, '6nd8B00', NULL, NULL, 124, NULL, NULL, 19874),
(51602, '2py2A00', NULL, NULL, 136, NULL, NULL, 19874),
(51603, '1litA00', NULL, NULL, 144, NULL, NULL, 19874),
(51604, '1wt9B00', NULL, NULL, 123, NULL, NULL, 19874),
(51605, '1tdqB00', NULL, NULL, 130, NULL, NULL, 19874),
(51606, '2h2tB01', NULL, NULL, 121, NULL, NULL, 19874),
(51607, '4uwwA00', NULL, NULL, 132, NULL, NULL, 19874),
(51608, '3ubuB00', NULL, NULL, 126, NULL, NULL, 19874),
(51609, '1xphA00', NULL, NULL, 150, NULL, NULL, 19874),
(51610, '2ls8A00', NULL, NULL, 156, NULL, NULL, 19874),
(51611, '1pwbC00', NULL, NULL, 150, NULL, NULL, 19874),
(51612, '3rs1A00', NULL, NULL, 122, NULL, NULL, 19874),
(51613, '1umrC00', NULL, NULL, 125, NULL, NULL, 19874),
(51614, '1rtm100', NULL, NULL, 149, NULL, NULL, 19874),
(51615, '3ff7C00', NULL, NULL, 112, NULL, NULL, 19874),
(51616, '2e3xB00', NULL, NULL, 134, NULL, NULL, 19874),
(51617, '3g8kA00', NULL, NULL, 130, NULL, NULL, 19874),
(51618, '4wreA00', NULL, NULL, 148, NULL, NULL, 19874),
(51619, '5b1xA00', NULL, NULL, 134, NULL, NULL, 19874),
(51620, '5vc1A01', NULL, NULL, 119, NULL, NULL, 19874),
(51621, '2vuvA00', NULL, NULL, 129, NULL, NULL, 19874),
(51622, '2yhfA00', NULL, NULL, 118, NULL, NULL, 19874),
(51623, '1jwiB00', NULL, NULL, 125, NULL, NULL, 19874),
(51624, '3wbpA00', NULL, NULL, 129, NULL, NULL, 19874),
(51625, '5tznA00', NULL, NULL, 137, NULL, NULL, 19874),
(51626, '1jznA00', NULL, NULL, 135, NULL, NULL, 19874),
(51627, '1oz7B00', NULL, NULL, 123, NULL, NULL, 19874),
(51628, '4qkhA00', NULL, NULL, 135, NULL, NULL, 19874),
(51629, '1egiA00', NULL, NULL, 147, NULL, NULL, 19874),
(51630, '6bbdA00', NULL, NULL, 154, NULL, NULL, 19874),
(51631, '3c8jD00', NULL, NULL, 130, NULL, NULL, 19874),
(51632, '2ox9A00', NULL, NULL, 140, NULL, NULL, 19874),
(51633, '2bpdB00', NULL, NULL, 142, NULL, NULL, 19874),
(51634, '6e7dE00', NULL, NULL, 124, NULL, NULL, 19874),
(51635, '5m62A00', NULL, NULL, 151, NULL, NULL, 19874),
(51636, '3bx4A00', NULL, NULL, 136, NULL, NULL, 19874),
(51637, '1sb2B00', NULL, NULL, 129, NULL, NULL, 19874),
(51638, '2pf5D00', NULL, NULL, 98, NULL, NULL, 19874),
(51639, '5f2qA00', NULL, NULL, 135, NULL, NULL, 19874),
(51640, '1c3aA00', NULL, NULL, 135, NULL, NULL, 19874),
(51641, '1bnlA00', NULL, NULL, 178, NULL, NULL, 19874),
(51642, '1dy2A00', NULL, NULL, 180, NULL, NULL, 19874),
(51643, '3vppB00', NULL, NULL, 132, NULL, NULL, 19874),
(51644, '5ffsA00', NULL, NULL, 148, NULL, NULL, 19874),
(51645, '1wt9A00', NULL, NULL, 129, NULL, NULL, 19874),
(51646, '1wk1A01', NULL, NULL, 120, NULL, NULL, 19874),
(51647, '1v7pB00', NULL, NULL, 128, NULL, NULL, 19874),
(51648, '4ak8A00', NULL, NULL, 133, NULL, NULL, 19874),
(51649, '1cwvA05', NULL, NULL, 100, NULL, NULL, 19874),
(51650, '3ubuA00', NULL, NULL, 131, NULL, NULL, 19874),
(51651, '4m1gA00', NULL, NULL, 97, NULL, NULL, 19874),
(51652, '1ja3A00', NULL, NULL, 127, NULL, NULL, 19874),
(51653, '1g1sA01', NULL, NULL, 119, NULL, NULL, 19874),
(51654, '4pdcA00', NULL, NULL, 123, NULL, NULL, 19874),
(51655, '1fvuA00', NULL, NULL, 133, NULL, NULL, 19874),
(51656, '3fd4A00', NULL, NULL, 141, NULL, NULL, 19874),
(51657, '2e3xC00', NULL, NULL, 122, NULL, NULL, 19874),
(51658, '3cadB00', NULL, NULL, 125, NULL, NULL, 19874),
(51659, '3ff9A00', NULL, NULL, 115, NULL, NULL, 19874),
(51660, '3aluA00', NULL, NULL, 157, NULL, NULL, 19874),
(51661, '1jwiA00', NULL, NULL, 131, NULL, NULL, 19874),
(51662, '3ncxA02', NULL, NULL, 93, NULL, NULL, 19874),
(51663, '5mgsH00', NULL, NULL, 146, NULL, NULL, 19874),
(51664, '3bdwA00', NULL, NULL, 123, NULL, NULL, 19874),
(51665, '1g1tA01', NULL, NULL, 119, NULL, NULL, 19874),
(51666, '1j34A00', NULL, NULL, 129, NULL, NULL, 19874),
(51667, '1c3aB00', NULL, NULL, 125, NULL, NULL, 19874);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(51668, '5b1rA00', NULL, NULL, 127, NULL, NULL, 19874),
(51669, '3m9zA00', NULL, NULL, 139, NULL, NULL, 19874),
(51670, '4yliE00', NULL, NULL, 155, NULL, NULL, 19874),
(51671, '1hupA00', NULL, NULL, 141, NULL, NULL, 19874),
(51672, '1koeA00', NULL, NULL, 172, NULL, NULL, 19874),
(51673, '4mthA00', NULL, NULL, 139, NULL, NULL, 19874),
(51674, '4kzvA00', NULL, NULL, 134, NULL, NULL, 19874),
(51675, '2afpA00', NULL, NULL, 129, NULL, NULL, 19874),
(51676, '5j2sA00', NULL, NULL, 131, NULL, NULL, 19874),
(51677, '2xr6A00', NULL, NULL, 130, NULL, NULL, 19874),
(51678, '4iopA00', NULL, NULL, 142, NULL, NULL, 19874),
(51679, '3zhgA00', NULL, NULL, 135, NULL, NULL, 19874),
(51680, '2kv3A00', NULL, NULL, 131, NULL, NULL, 19874),
(51681, '1ukmA00', NULL, NULL, 134, NULL, NULL, 19874),
(51682, '1umrA00', NULL, NULL, 135, NULL, NULL, 19874),
(51683, '3whdA00', NULL, NULL, 156, NULL, NULL, 19874),
(51684, '5jq1A00', NULL, NULL, 145, NULL, NULL, 19874),
(51685, '1v4lB00', NULL, NULL, 125, NULL, NULL, 19874),
(51686, '1ixxA00', NULL, NULL, 129, NULL, NULL, 19874),
(51687, '1fvuB00', NULL, NULL, 125, NULL, NULL, 19874),
(51688, '1h8uB00', NULL, NULL, 117, NULL, NULL, 19874),
(51689, '1eslA00', NULL, NULL, 162, NULL, NULL, 19874),
(51690, '2c6uA00', NULL, NULL, 122, NULL, NULL, 19874),
(51691, '5vybA00', NULL, NULL, 147, NULL, NULL, 19874),
(51692, '1sl4A00', NULL, NULL, 135, NULL, NULL, 19874),
(51693, '1gz2A00', NULL, NULL, 142, NULL, NULL, 19874),
(51694, '1j34B00', NULL, NULL, 123, NULL, NULL, 19874),
(51695, '6nd8A00', NULL, NULL, 135, NULL, NULL, 19874),
(51696, '1wmzA00', NULL, NULL, 140, NULL, NULL, 19874),
(51697, '4pp8A00', NULL, NULL, 125, NULL, NULL, 19874),
(51698, '1kza100', NULL, NULL, 115, NULL, NULL, 19874),
(51699, '2zibA00', NULL, NULL, 133, NULL, NULL, 19874),
(51700, '1rjhA00', NULL, NULL, 118, NULL, NULL, 19874),
(51701, '3l9jC00', NULL, NULL, 134, NULL, NULL, 19874),
(51702, '1qo3C00', NULL, NULL, 137, NULL, NULL, 19874),
(51703, '3hupA00', NULL, NULL, 130, NULL, NULL, 19874),
(51704, '1y17A00', NULL, NULL, 129, NULL, NULL, 19874),
(51705, '4iopB00', NULL, NULL, 121, NULL, NULL, 19874),
(51706, '3bdwB00', NULL, NULL, 120, NULL, NULL, 19874),
(51707, '1tn3A00', NULL, NULL, 137, NULL, NULL, 19874),
(51708, '3wh3A00', NULL, NULL, 147, NULL, NULL, 19874),
(51709, '2ox8A00', NULL, NULL, 140, NULL, NULL, 19874),
(51710, '3vykA00', NULL, NULL, 129, NULL, NULL, 19874),
(51711, '2m6pA00', NULL, NULL, 46, NULL, NULL, 19875),
(51712, '2m6oA00', NULL, NULL, 48, NULL, NULL, 19875),
(51713, '2m4vA00', NULL, NULL, 80, NULL, NULL, 19875),
(51714, '2d42A02', NULL, NULL, 65, NULL, NULL, 19876),
(51715, '1k8bA00', NULL, NULL, 52, NULL, NULL, 19877),
(51716, '1xouB00', NULL, NULL, 95, NULL, NULL, 19878),
(51717, '6hx1A03', NULL, NULL, 130, NULL, NULL, 19879),
(51718, '2rioA03', NULL, NULL, 133, NULL, NULL, 19879),
(51719, '4oavD03', NULL, NULL, 131, NULL, NULL, 19879),
(51720, '4pl3A03', NULL, NULL, 143, NULL, NULL, 19879),
(51721, '4o1pA03', NULL, NULL, 147, NULL, NULL, 19879),
(51722, '2hcuA00', NULL, NULL, 189, NULL, NULL, 19880),
(51723, '2pkpA01', NULL, NULL, 159, NULL, NULL, 19880),
(51724, '3vbaA00', NULL, NULL, 176, NULL, NULL, 19880),
(51725, '3h5jA00', NULL, NULL, 171, NULL, NULL, 19880),
(51726, '3q3wB00', NULL, NULL, 183, NULL, NULL, 19880),
(51727, '2b3yA05', NULL, NULL, 235, NULL, NULL, 19880),
(51728, '1l5jA02', NULL, NULL, 200, NULL, NULL, 19880),
(51729, '1c96A04', NULL, NULL, 221, NULL, NULL, 19880),
(51730, '1v7lA01', NULL, NULL, 157, NULL, NULL, 19880),
(51731, '3snpA03', NULL, NULL, 230, NULL, NULL, 19880),
(51732, '3h0gA03', NULL, NULL, 63, NULL, NULL, 19881),
(51733, '1twfA04', NULL, NULL, 63, NULL, NULL, 19881),
(51734, '4c2mA04', NULL, NULL, 77, NULL, NULL, 19881),
(51735, '5fj8A04', NULL, NULL, 62, NULL, NULL, 19881),
(51736, '4aybA03', NULL, NULL, 66, NULL, NULL, 19881),
(51737, '4qiwA03', NULL, NULL, 62, NULL, NULL, 19881),
(51738, '3vu1A04', NULL, NULL, 132, NULL, NULL, 19882),
(51739, '3wovA04', NULL, NULL, 132, NULL, NULL, 19882),
(51740, '2zaiA04', NULL, NULL, 132, NULL, NULL, 19882);
INSERT INTO "PUBLIC"."MODEL" VALUES
(51741, '1tfpA00', NULL, NULL, 130, NULL, NULL, 19883),
(51742, '1f86A00', NULL, NULL, 115, NULL, NULL, 19883),
(51743, '1kgiA00', NULL, NULL, 127, NULL, NULL, 19883),
(51744, '4q14A00', NULL, NULL, 118, NULL, NULL, 19883),
(51745, '3iwvB00', NULL, NULL, 117, NULL, NULL, 19883),
(51746, '3qvaA00', NULL, NULL, 116, NULL, NULL, 19883),
(51747, '4tlsA00', NULL, NULL, 125, NULL, NULL, 19883),
(51748, '2qpfA00', NULL, NULL, 128, NULL, NULL, 19883),
(51749, '1oo2A00', NULL, NULL, 119, NULL, NULL, 19883),
(51750, '2h0eB00', NULL, NULL, 121, NULL, NULL, 19883),
(51751, '2g2nC00', NULL, NULL, 114, NULL, NULL, 19883),
(51752, '4hiqA00', NULL, NULL, 127, NULL, NULL, 19883),
(51753, '2gpzA00', NULL, NULL, 111, NULL, NULL, 19883),
(51754, '3efoB01', NULL, NULL, 154, NULL, NULL, 19884),
(51755, '3eh2C01', NULL, NULL, 151, NULL, NULL, 19884),
(51756, '1pcxA01', NULL, NULL, 164, NULL, NULL, 19884),
(51757, '1m2oA04', NULL, NULL, 151, NULL, NULL, 19884),
(51758, '2nutA04', NULL, NULL, 134, NULL, NULL, 19884),
(51759, '2nutB01', NULL, NULL, 163, NULL, NULL, 19884),
(51760, '3eh1A01', NULL, NULL, 160, NULL, NULL, 19884),
(51761, '1zhxA03', NULL, NULL, 191, NULL, NULL, 19885),
(51762, '2lklA01', NULL, NULL, 72, NULL, NULL, 19886),
(51763, '3pesA00', NULL, NULL, 85, NULL, NULL, 19887),
(51764, '2wjnH01', NULL, NULL, 119, NULL, NULL, 19888),
(51765, '5y5sH01', NULL, NULL, 118, NULL, NULL, 19888),
(51766, '1rzhH01', NULL, NULL, 105, NULL, NULL, 19888),
(51767, '1epuA02', NULL, NULL, 115, NULL, NULL, 19889),
(51768, '4bx8A03', NULL, NULL, 125, NULL, NULL, 19889),
(51769, '1fvhA03', NULL, NULL, 114, NULL, NULL, 19889),
(51770, '2xheA03', NULL, NULL, 121, NULL, NULL, 19889),
(51771, '4ccaA03', NULL, NULL, 113, NULL, NULL, 19889),
(51772, '1mqsA03', NULL, NULL, 158, NULL, NULL, 19889),
(51773, '4jc8A03', NULL, NULL, 132, NULL, NULL, 19889),
(51774, '4jehA03', NULL, NULL, 114, NULL, NULL, 19889),
(51775, '3pukA03', NULL, NULL, 109, NULL, NULL, 19889),
(51776, '2eeyA00', NULL, NULL, 162, NULL, NULL, 19890),
(51777, '2ohdF00', NULL, NULL, 151, NULL, NULL, 19890),
(51778, '1ekrA00', NULL, NULL, 161, NULL, NULL, 19890),
(51779, '4pydF00', NULL, NULL, 122, NULL, NULL, 19890),
(51780, '2iihA00', NULL, NULL, 157, NULL, NULL, 19890),
(51781, '2eknA00', NULL, NULL, 159, NULL, NULL, 19890),
(51782, '4fdfB00', NULL, NULL, 153, NULL, NULL, 19890),
(51783, '2hzmG01', NULL, NULL, 123, NULL, NULL, 19891),
(51784, '3bjqJ00', NULL, NULL, 316, NULL, NULL, 19892),
(51785, '1ciiA01', NULL, NULL, 344, NULL, NULL, 19893),
(51786, '3l4gC01', NULL, NULL, 105, NULL, NULL, 19894),
(51787, '2db7A01', NULL, NULL, 55, NULL, NULL, 19895),
(51788, '2dewX02', NULL, NULL, 175, NULL, NULL, 19896),
(51789, '4n2kA02', NULL, NULL, 173, NULL, NULL, 19896),
(51790, '6ce1A02', NULL, NULL, 173, NULL, NULL, 19896),
(51791, '5hp5A02', NULL, NULL, 171, NULL, NULL, 19896),
(51792, '4b2sA02', NULL, NULL, 59, NULL, NULL, 19897),
(51793, '2wiiC02', NULL, NULL, 61, NULL, NULL, 19897),
(51794, '2wiiC03', NULL, NULL, 64, NULL, NULL, 19897),
(51795, '1tpmA00', NULL, NULL, 50, NULL, NULL, 19897),
(51796, '2wiiC04', NULL, NULL, 57, NULL, NULL, 19897),
(51797, '3t5oA04', NULL, NULL, 63, NULL, NULL, 19897),
(51798, '3t5oA03', NULL, NULL, 62, NULL, NULL, 19897),
(51799, '2kmsA02', NULL, NULL, 58, NULL, NULL, 19897),
(51800, '6atgA00', NULL, NULL, 61, NULL, NULL, 19897),
(51801, '3zd2A02', NULL, NULL, 60, NULL, NULL, 19897),
(51802, '4c16A04', NULL, NULL, 61, NULL, NULL, 19897),
(51803, '4c16A03', NULL, NULL, 62, NULL, NULL, 19897),
(51804, '1ly2A02', NULL, NULL, 59, NULL, NULL, 19897),
(51805, '1ly2A01', NULL, NULL, 65, NULL, NULL, 19897),
(51806, '4kkdB02', NULL, NULL, 77, NULL, NULL, 19897),
(51807, '1zjkA02', NULL, NULL, 76, NULL, NULL, 19897),
(51808, '1zjkA01', NULL, NULL, 80, NULL, NULL, 19897),
(51809, '5i0qB02', NULL, NULL, 62, NULL, NULL, 19897),
(51810, '2xwbF01', NULL, NULL, 68, NULL, NULL, 19897),
(51811, '5i0qB01', NULL, NULL, 66, NULL, NULL, 19897),
(51812, '2qy0A01', NULL, NULL, 69, NULL, NULL, 19897),
(51813, '3erbA03', NULL, NULL, 60, NULL, NULL, 19897);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(51814, '3erbA02', NULL, NULL, 60, NULL, NULL, 19897),
(51815, '2ybyA01', NULL, NULL, 65, NULL, NULL, 19897),
(51816, '3erbA01', NULL, NULL, 66, NULL, NULL, 19897),
(51817, '2ybyA02', NULL, NULL, 59, NULL, NULL, 19897),
(51818, '2cg7A01', NULL, NULL, 46, NULL, NULL, 19897),
(51819, '2cg7A02', NULL, NULL, 44, NULL, NULL, 19897),
(51820, '1hfiA00', NULL, NULL, 62, NULL, NULL, 19897),
(51821, '1h03P01', NULL, NULL, 62, NULL, NULL, 19897),
(51822, '2mczA01', NULL, NULL, 65, NULL, NULL, 19897),
(51823, '2xrbA02', NULL, NULL, 62, NULL, NULL, 19897),
(51824, '2xrbA01', NULL, NULL, 60, NULL, NULL, 19897),
(51825, '2xrbA04', NULL, NULL, 61, NULL, NULL, 19897),
(51826, '3sw0X02', NULL, NULL, 61, NULL, NULL, 19897),
(51827, '1h03P02', NULL, NULL, 61, NULL, NULL, 19897),
(51828, '3sw0X01', NULL, NULL, 60, NULL, NULL, 19897),
(51829, '2xrbA03', NULL, NULL, 71, NULL, NULL, 19897),
(51830, '4ayiA02', NULL, NULL, 58, NULL, NULL, 19897),
(51831, '2iz4A01', NULL, NULL, 52, NULL, NULL, 19897),
(51832, '4ayiE01', NULL, NULL, 67, NULL, NULL, 19897),
(51833, '1ok3A02', NULL, NULL, 64, NULL, NULL, 19897),
(51834, '1ok3A01', NULL, NULL, 64, NULL, NULL, 19897),
(51835, '2rkyC02', NULL, NULL, 47, NULL, NULL, 19897),
(51836, '3o8eD02', NULL, NULL, 64, NULL, NULL, 19897),
(51837, '1srzA00', NULL, NULL, 68, NULL, NULL, 19897),
(51838, '4b2rA01', NULL, NULL, 63, NULL, NULL, 19897),
(51839, '4b2rA02', NULL, NULL, 63, NULL, NULL, 19897),
(51840, '1qubA03', NULL, NULL, 62, NULL, NULL, 19897),
(51841, '2uwnA03', NULL, NULL, 61, NULL, NULL, 19897),
(51842, '1qubA02', NULL, NULL, 59, NULL, NULL, 19897),
(51843, '1qubA01', NULL, NULL, 62, NULL, NULL, 19897),
(51844, '1gkgA02', NULL, NULL, 69, NULL, NULL, 19897),
(51845, '4a5wB03', NULL, NULL, 68, NULL, NULL, 19897),
(51846, '4a5wB04', NULL, NULL, 63, NULL, NULL, 19897),
(51847, '1qubA04', NULL, NULL, 60, NULL, NULL, 19897),
(51848, '1hccA00', NULL, NULL, 59, NULL, NULL, 19897),
(51849, '4losA02', NULL, NULL, 69, NULL, NULL, 19897),
(51850, '3ix0B01', NULL, NULL, 52, NULL, NULL, 19897),
(51851, '2ehfA00', NULL, NULL, 73, NULL, NULL, 19897),
(51852, '3ejhA02', NULL, NULL, 50, NULL, NULL, 19897),
(51853, '3ejhA01', NULL, NULL, 43, NULL, NULL, 19897),
(51854, '1h04P01', NULL, NULL, 62, NULL, NULL, 19897),
(51855, '3op8A00', NULL, NULL, 85, NULL, NULL, 19897),
(51856, '2mcyA01', NULL, NULL, 66, NULL, NULL, 19897),
(51857, '1u5mA01', NULL, NULL, 36, NULL, NULL, 19897),
(51858, '4f4oC01', NULL, NULL, 57, NULL, NULL, 19897),
(51859, '4ynxB00', NULL, NULL, 42, NULL, NULL, 19897),
(51860, '1e5gA02', NULL, NULL, 58, NULL, NULL, 19897),
(51861, '1e5gA01', NULL, NULL, 62, NULL, NULL, 19897),
(51862, '2lojA01', NULL, NULL, 39, NULL, NULL, 19897),
(51863, '1g44C01', NULL, NULL, 65, NULL, NULL, 19897),
(51864, '4wjg201', NULL, NULL, 57, NULL, NULL, 19897),
(51865, '2yraA00', NULL, NULL, 74, NULL, NULL, 19897),
(51866, '3tvjA01', NULL, NULL, 68, NULL, NULL, 19897),
(51867, '2jraA01', NULL, NULL, 42, NULL, NULL, 19897),
(51868, '1g44C04', NULL, NULL, 44, NULL, NULL, 19897),
(51869, '4igdA01', NULL, NULL, 71, NULL, NULL, 19897),
(51870, '4igdA02', NULL, NULL, 77, NULL, NULL, 19897),
(51871, '1gknA02', NULL, NULL, 48, NULL, NULL, 19897),
(51872, '1gknA01', NULL, NULL, 67, NULL, NULL, 19897),
(51873, '3zd2B01', NULL, NULL, 65, NULL, NULL, 19897),
(51874, '4k12A00', NULL, NULL, 64, NULL, NULL, 19897),
(51875, '2rkyA01', NULL, NULL, 46, NULL, NULL, 19897),
(51876, '2b5iD01', NULL, NULL, 67, NULL, NULL, 19897),
(51877, '3o8eB01', NULL, NULL, 62, NULL, NULL, 19897),
(51878, '1o9aA01', NULL, NULL, 44, NULL, NULL, 19897),
(51879, '5hzpB01', NULL, NULL, 66, NULL, NULL, 19897),
(51880, '2rlpA01', NULL, NULL, 73, NULL, NULL, 19897),
(51881, '2ec3A01', NULL, NULL, 60, NULL, NULL, 19897),
(51882, '5fo8C02', NULL, NULL, 61, NULL, NULL, 19897),
(51883, '5fo8C01', NULL, NULL, 68, NULL, NULL, 19897),
(51884, '3kxvA01', NULL, NULL, 50, NULL, NULL, 19897),
(51885, '3zd1A02', NULL, NULL, 65, NULL, NULL, 19897),
(51886, '1vvcA02', NULL, NULL, 60, NULL, NULL, 19897),
(51887, '3zd1A01', NULL, NULL, 50, NULL, NULL, 19897);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(51888, '1ppqA01', NULL, NULL, 63, NULL, NULL, 19897),
(51889, '1elvA03', NULL, NULL, 69, NULL, NULL, 19897),
(51890, '3m7pA01', NULL, NULL, 39, NULL, NULL, 19897),
(51891, '3mqlA04', NULL, NULL, 57, NULL, NULL, 19897),
(51892, '1md8A03', NULL, NULL, 76, NULL, NULL, 19897),
(51893, '3r62A02', NULL, NULL, 66, NULL, NULL, 19897),
(51894, '2wiiC01', NULL, NULL, 70, NULL, NULL, 19897),
(51895, '6f6dA03', NULL, NULL, 67, NULL, NULL, 19898),
(51896, '4uf0A03', NULL, NULL, 65, NULL, NULL, 19898),
(51897, '6fulA03', NULL, NULL, 67, NULL, NULL, 19898),
(51898, '6az1Y00', NULL, NULL, 90, NULL, NULL, 19899),
(51899, '2xzmZ00', NULL, NULL, 97, NULL, NULL, 19899),
(51900, '5xxuV00', NULL, NULL, 82, NULL, NULL, 19899),
(51901, '6faiV00', NULL, NULL, 87, NULL, NULL, 19899),
(51902, '3jamV00', NULL, NULL, 87, NULL, NULL, 19899),
(51903, '5xyiV00', NULL, NULL, 89, NULL, NULL, 19899),
(51904, '3j7aZ00', NULL, NULL, 82, NULL, NULL, 19899),
(51905, '5optg00', NULL, NULL, 86, NULL, NULL, 19899),
(51906, '6g5iV00', NULL, NULL, 83, NULL, NULL, 19899),
(51907, '2honA02', NULL, NULL, 178, NULL, NULL, 19900),
(51908, '4lrlB02', NULL, NULL, 166, NULL, NULL, 19900),
(51909, '2q14H02', NULL, NULL, 172, NULL, NULL, 19900),
(51910, '4rlzA02', NULL, NULL, 110, NULL, NULL, 19901),
(51911, '4rdlA02', NULL, NULL, 107, NULL, NULL, 19901),
(51912, '4qv2A02', NULL, NULL, 148, NULL, NULL, 19901),
(51913, '6jyrA02', NULL, NULL, 110, NULL, NULL, 19901),
(51914, '5e6tA02', NULL, NULL, 94, NULL, NULL, 19901),
(51915, '4p1vA02', NULL, NULL, 100, NULL, NULL, 19901),
(51916, '5iypA02', NULL, NULL, 107, NULL, NULL, 19901),
(51917, '6gw4A02', NULL, NULL, 114, NULL, NULL, 19901),
(51918, '2obsA02', NULL, NULL, 107, NULL, NULL, 19901),
(51919, '6gw0A02', NULL, NULL, 108, NULL, NULL, 19901),
(51920, '6e48A02', NULL, NULL, 114, NULL, NULL, 19901),
(51921, '4qvaA02', NULL, NULL, 117, NULL, NULL, 19901),
(51922, '5f4jA02', NULL, NULL, 111, NULL, NULL, 19901),
(51923, '3astA02', NULL, NULL, 101, NULL, NULL, 19901),
(51924, '3q39B02', NULL, NULL, 118, NULL, NULL, 19901),
(51925, '5zuqA02', NULL, NULL, 111, NULL, NULL, 19901),
(51926, '4ooxA02', NULL, NULL, 113, NULL, NULL, 19901),
(51927, '5j35A02', NULL, NULL, 113, NULL, NULL, 19901),
(51928, '4oovA02', NULL, NULL, 113, NULL, NULL, 19901),
(51929, '5konA02', NULL, NULL, 113, NULL, NULL, 19901),
(51930, '2zl7A02', NULL, NULL, 91, NULL, NULL, 19901),
(51931, '5lkkA02', NULL, NULL, 110, NULL, NULL, 19901),
(51932, '5ysxA02', NULL, NULL, 115, NULL, NULL, 19901),
(51933, '3pvdA02', NULL, NULL, 107, NULL, NULL, 19901),
(51934, '4rpdA02', NULL, NULL, 108, NULL, NULL, 19901),
(51935, '6jyoA02', NULL, NULL, 111, NULL, NULL, 19901),
(51936, '5o02A02', NULL, NULL, 109, NULL, NULL, 19901),
(51937, '4rpbA02', NULL, NULL, 115, NULL, NULL, 19901),
(51938, '3sjpA02', NULL, NULL, 107, NULL, NULL, 19901),
(51939, '3r6kA02', NULL, NULL, 108, NULL, NULL, 19901),
(51940, '4d8mA03', NULL, NULL, 199, NULL, NULL, 19902),
(51941, '1vx7e00', NULL, NULL, 51, NULL, NULL, 19903),
(51942, '1vwxl00', NULL, NULL, 51, NULL, NULL, 19903),
(51943, '1vq8200', NULL, NULL, 50, NULL, NULL, 19903),
(51944, '4a18B00', NULL, NULL, 52, NULL, NULL, 19903),
(51945, '3o58e00', NULL, NULL, 51, NULL, NULL, 19903),
(51946, '3i0nA03', NULL, NULL, 107, NULL, NULL, 19904),
(51947, '3i0nB03', NULL, NULL, 107, NULL, NULL, 19904),
(51948, '3hufB03', NULL, NULL, 108, NULL, NULL, 19904),
(51949, '5u91A02', NULL, NULL, 200, NULL, NULL, 19905),
(51950, '5dcfA01', NULL, NULL, 183, NULL, NULL, 19905),
(51951, '1xo0A02', NULL, NULL, 200, NULL, NULL, 19905),
(51952, '2a3vA02', NULL, NULL, 217, NULL, NULL, 19905),
(51953, '4a8eA02', NULL, NULL, 197, NULL, NULL, 19905),
(51954, '3vcfA00', NULL, NULL, 163, NULL, NULL, 19905),
(51955, '1floC02', NULL, NULL, 268, NULL, NULL, 19905),
(51956, '5c6kB00', NULL, NULL, 175, NULL, NULL, 19905),
(51957, '1ae9A00', NULL, NULL, 179, NULL, NULL, 19905),
(51958, '1aihA00', NULL, NULL, 170, NULL, NULL, 19905),
(51959, '3nkhA00', NULL, NULL, 224, NULL, NULL, 19905),
(51960, '1s3rA02', NULL, NULL, 53, NULL, NULL, 19906),
(51961, '3hvnA02', NULL, NULL, 53, NULL, NULL, 19906);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(51962, '4hscX02', NULL, NULL, 53, NULL, NULL, 19906),
(51963, '1pfoA02', NULL, NULL, 53, NULL, NULL, 19906),
(51964, '3cqfA02', NULL, NULL, 53, NULL, NULL, 19906),
(51965, '3cqcB02', NULL, NULL, 135, NULL, NULL, 19907),
(51966, '3f6gA01', NULL, NULL, 58, NULL, NULL, 19908),
(51967, '6az1V01', NULL, NULL, 62, NULL, NULL, 19909),
(51968, '1rq6A00', NULL, NULL, 62, NULL, NULL, 19909),
(51969, '5xxuR01', NULL, NULL, 62, NULL, NULL, 19909),
(51970, '3j7aW01', NULL, NULL, 62, NULL, NULL, 19909),
(51971, '2xzmV01', NULL, NULL, 62, NULL, NULL, 19909),
(51972, '3jamR01', NULL, NULL, 62, NULL, NULL, 19909),
(51973, '5xyiR01', NULL, NULL, 62, NULL, NULL, 19909),
(51974, '5optk01', NULL, NULL, 60, NULL, NULL, 19909),
(51975, '5a2qR01', NULL, NULL, 62, NULL, NULL, 19909),
(51976, '1w9zA01', NULL, NULL, 46, NULL, NULL, 19910),
(51977, '3bk6A02', NULL, NULL, 54, NULL, NULL, 19911),
(51978, '2lgnA00', NULL, NULL, 66, NULL, NULL, 19912),
(51979, '1rkuA02', NULL, NULL, 95, NULL, NULL, 19913),
(51980, '3c0uA00', NULL, NULL, 183, NULL, NULL, 19914),
(51981, '2g3wA00', NULL, NULL, 182, NULL, NULL, 19914),
(51982, '2ot9A01', NULL, NULL, 177, NULL, NULL, 19914),
(51983, '4mtmA01', NULL, NULL, 96, NULL, NULL, 19915),
(51984, '2knrA00', NULL, NULL, 121, NULL, NULL, 19916),
(51985, '4goqA00', NULL, NULL, 110, NULL, NULL, 19916),
(51986, '3znuA00', NULL, NULL, 94, NULL, NULL, 19917),
(51987, '4lbhA00', NULL, NULL, 100, NULL, NULL, 19917),
(51988, '1mwqA00', NULL, NULL, 101, NULL, NULL, 19917),
(51989, '1s7iA00', NULL, NULL, 124, NULL, NULL, 19917),
(51990, '3ze3E00', NULL, NULL, 86, NULL, NULL, 19918),
(51991, '3ze3A00', NULL, NULL, 130, NULL, NULL, 19918),
(51992, '3ze4C00', NULL, NULL, 94, NULL, NULL, 19918),
(51993, '3ze3B00', NULL, NULL, 98, NULL, NULL, 19918),
(51994, '3ze4A00', NULL, NULL, 130, NULL, NULL, 19918),
(51995, '2kwzA00', NULL, NULL, 40, NULL, NULL, 19919),
(51996, '1k1xB01', NULL, NULL, 381, NULL, NULL, 19920),
(51997, '4n3oB00', NULL, NULL, 342, NULL, NULL, 19921),
(51998, '3k85A00', NULL, NULL, 357, NULL, NULL, 19921),
(51999, '3vthA03', NULL, NULL, 119, NULL, NULL, 19922),
(52000, '3vtiA05', NULL, NULL, 119, NULL, NULL, 19922),
(52001, '3ttcA03', NULL, NULL, 121, NULL, NULL, 19922),
(52002, '6dftF00', NULL, NULL, 342, NULL, NULL, 19923),
(52003, '1rozB00', NULL, NULL, 342, NULL, NULL, 19923),
(52004, '4p63A00', NULL, NULL, 342, NULL, NULL, 19923),
(52005, '4kt3B00', NULL, NULL, 137, NULL, NULL, 19924),
(52006, '3i2dA01', NULL, NULL, 155, NULL, NULL, 19925),
(52007, '4mvtB01', NULL, NULL, 154, NULL, NULL, 19925),
(52008, '4fo9A01', NULL, NULL, 154, NULL, NULL, 19925),
(52009, '1euvA02', NULL, NULL, 105, NULL, NULL, 19926),
(52010, '3eayA02', NULL, NULL, 131, NULL, NULL, 19926),
(52011, '4jpnA00', NULL, NULL, 79, NULL, NULL, 19927),
(52012, '3frnA01', NULL, NULL, 140, NULL, NULL, 19928),
(52013, '2kj1A00', NULL, NULL, 72, NULL, NULL, 19929),
(52014, '1mw9X01', NULL, NULL, 163, NULL, NULL, 19930),
(52015, '5uj1A01', NULL, NULL, 145, NULL, NULL, 19930),
(52016, '4cgyA01', NULL, NULL, 176, NULL, NULL, 19930),
(52017, '2gaiA01', NULL, NULL, 135, NULL, NULL, 19930),
(52018, '1gkuB05', NULL, NULL, 121, NULL, NULL, 19930),
(52019, '4dduA05', NULL, NULL, 122, NULL, NULL, 19930),
(52020, '5gvcB01', NULL, NULL, 173, NULL, NULL, 19930),
(52021, '1i7dA01', NULL, NULL, 156, NULL, NULL, 19930),
(52022, '2fknA02', NULL, NULL, 208, NULL, NULL, 19931),
(52023, '1x87A02', NULL, NULL, 218, NULL, NULL, 19931),
(52024, '1uwkA02', NULL, NULL, 208, NULL, NULL, 19931),
(52025, '3zs3A00', NULL, NULL, 222, NULL, NULL, 19932),
(52026, '1aunA00', NULL, NULL, 208, NULL, NULL, 19932),
(52027, '4bctA00', NULL, NULL, 201, NULL, NULL, 19932),
(52028, '2ahnA00', NULL, NULL, 222, NULL, NULL, 19932),
(52029, '4mbtA00', NULL, NULL, 198, NULL, NULL, 19932),
(52030, '4jruA00', NULL, NULL, 201, NULL, NULL, 19932),
(52031, '3g7mA00', NULL, NULL, 151, NULL, NULL, 19932),
(52032, '5x9lA00', NULL, NULL, 207, NULL, NULL, 19932),
(52033, '4l2jA00', NULL, NULL, 206, NULL, NULL, 19932),
(52034, '1du5A00', NULL, NULL, 206, NULL, NULL, 19932);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(52035, '1pcvA00', NULL, NULL, 205, NULL, NULL, 19932),
(52036, '1z3qA00', NULL, NULL, 200, NULL, NULL, 19932),
(52037, '3gd0A01', NULL, NULL, 252, NULL, NULL, 19932),
(52038, '2i0wA00', NULL, NULL, 207, NULL, NULL, 19932),
(52039, '2an1C02', NULL, NULL, 137, NULL, NULL, 19933),
(52040, '2q5fA02', NULL, NULL, 139, NULL, NULL, 19933),
(52041, '4haoA02', NULL, NULL, 137, NULL, NULL, 19933),
(52042, '1u0tA02', NULL, NULL, 137, NULL, NULL, 19933),
(52043, '3afoB02', NULL, NULL, 171, NULL, NULL, 19933),
(52044, '3pfnC02', NULL, NULL, 164, NULL, NULL, 19933),
(52045, '1yt5A02', NULL, NULL, 126, NULL, NULL, 19933),
(52046, '1z0sA02', NULL, NULL, 125, NULL, NULL, 19933),
(52047, '2edmA00', NULL, NULL, 161, NULL, NULL, 19934),
(52048, '2ed6A01', NULL, NULL, 154, NULL, NULL, 19934),
(52049, '1vfiA00', NULL, NULL, 95, NULL, NULL, 19935),
(52050, '5mlc900', NULL, NULL, 107, NULL, NULL, 19936),
(52051, '5wp3B00', NULL, NULL, 121, NULL, NULL, 19936),
(52052, '4kddA01', NULL, NULL, 110, NULL, NULL, 19936),
(52053, '5jsnB00', NULL, NULL, 118, NULL, NULL, 19936),
(52054, '1is1A01', NULL, NULL, 109, NULL, NULL, 19936),
(52055, '3lhpT00', NULL, NULL, 123, NULL, NULL, 19936),
(52056, '1ge9A01', NULL, NULL, 106, NULL, NULL, 19936),
(52057, '4jlrC00', NULL, NULL, 123, NULL, NULL, 19936),
(52058, '4l8iB00', NULL, NULL, 115, NULL, NULL, 19936),
(52059, '1dd5A01', NULL, NULL, 110, NULL, NULL, 19936),
(52060, '5jsbB00', NULL, NULL, 116, NULL, NULL, 19936),
(52061, '3lf9A00', NULL, NULL, 121, NULL, NULL, 19936),
(52062, '1iseA01', NULL, NULL, 110, NULL, NULL, 19936),
(52063, '4oydB00', NULL, NULL, 117, NULL, NULL, 19936),
(52064, '4gfqA01', NULL, NULL, 109, NULL, NULL, 19936),
(52065, '1eh1A01', NULL, NULL, 108, NULL, NULL, 19936),
(52066, '3lm3A02', NULL, NULL, 108, NULL, NULL, 19937),
(52067, '4bs9A05', NULL, NULL, 124, NULL, NULL, 19938),
(52068, '1sigA00', NULL, NULL, 339, NULL, NULL, 19939),
(52069, '5uagF01', NULL, NULL, 313, NULL, NULL, 19939),
(52070, '1z47A02', NULL, NULL, 45, NULL, NULL, 19940),
(52071, '1fd9A02', NULL, NULL, 106, NULL, NULL, 19941),
(52072, '1q6hA01', NULL, NULL, 121, NULL, NULL, 19941),
(52073, '1umyA00', NULL, NULL, 407, NULL, NULL, 19942),
(52074, '4cczA01', NULL, NULL, 341, NULL, NULL, 19942),
(52075, '5dmmA00', NULL, NULL, 310, NULL, NULL, 19942),
(52076, '1q7zA01', NULL, NULL, 300, NULL, NULL, 19942),
(52077, '1lt7B00', NULL, NULL, 371, NULL, NULL, 19942),
(52078, '4a64C03', NULL, NULL, 105, NULL, NULL, 19943),
(52079, '4wqoD00', NULL, NULL, 163, NULL, NULL, 19943),
(52080, '4a64A02', NULL, NULL, 117, NULL, NULL, 19943),
(52081, '6i2mB01', NULL, NULL, 128, NULL, NULL, 19943),
(52082, '4n9f302', NULL, NULL, 175, NULL, NULL, 19943),
(52083, '6i2mB02', NULL, NULL, 122, NULL, NULL, 19943),
(52084, '6i2mB03', NULL, NULL, 109, NULL, NULL, 19943),
(52085, '3dplC01', NULL, NULL, 119, NULL, NULL, 19943),
(52086, '1ldjA04', NULL, NULL, 115, NULL, NULL, 19943),
(52087, '1ldjA03', NULL, NULL, 115, NULL, NULL, 19943),
(52088, '4a64A01', NULL, NULL, 132, NULL, NULL, 19943),
(52089, '1ldjA02', NULL, NULL, 123, NULL, NULL, 19943),
(52090, '1ldjA01', NULL, NULL, 160, NULL, NULL, 19943),
(52091, '4jghD01', NULL, NULL, 137, NULL, NULL, 19943),
(52092, '4eozB01', NULL, NULL, 133, NULL, NULL, 19943),
(52093, '4eozD02', NULL, NULL, 124, NULL, NULL, 19943),
(52094, '4eozD01', NULL, NULL, 133, NULL, NULL, 19943),
(52095, '2wzkA02', NULL, NULL, 127, NULL, NULL, 19943),
(52096, '2wzkA01', NULL, NULL, 146, NULL, NULL, 19943),
(52097, '3dqvD01', NULL, NULL, 119, NULL, NULL, 19943),
(52098, '3dqvC01', NULL, NULL, 119, NULL, NULL, 19943),
(52099, '2wzkA03', NULL, NULL, 110, NULL, NULL, 19943),
(52100, '2kxeA00', NULL, NULL, 75, NULL, NULL, 19944),
(52101, '1ynfA00', NULL, NULL, 458, NULL, NULL, 19945),
(52102, '6im5A00', NULL, NULL, 233, NULL, NULL, 19946),
(52103, '6gecA00', NULL, NULL, 219, NULL, NULL, 19946),
(52104, '5emvB00', NULL, NULL, 236, NULL, NULL, 19946),
(52105, '5xjdA00', NULL, NULL, 220, NULL, NULL, 19946),
(52106, '5emwA00', NULL, NULL, 217, NULL, NULL, 19946),
(52107, '4g1lA01', NULL, NULL, 195, NULL, NULL, 19947);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(52108, '3dcxE00', NULL, NULL, 117, NULL, NULL, 19948),
(52109, '3hsaE00', NULL, NULL, 126, NULL, NULL, 19948),
(52110, '3hsaD00', NULL, NULL, 126, NULL, NULL, 19948),
(52111, '3hsaC00', NULL, NULL, 126, NULL, NULL, 19948),
(52112, '3hsaB00', NULL, NULL, 126, NULL, NULL, 19948),
(52113, '3hsaA00', NULL, NULL, 126, NULL, NULL, 19948),
(52114, '3b77A01', NULL, NULL, 104, NULL, NULL, 19948),
(52115, '2uvaG06', NULL, NULL, 119, NULL, NULL, 19949),
(52116, '2uv8G06', NULL, NULL, 117, NULL, NULL, 19949),
(52117, '2quyF00', NULL, NULL, 335, NULL, NULL, 19950),
(52118, '5j9rA00', NULL, NULL, 326, NULL, NULL, 19950),
(52119, '5hkeA01', NULL, NULL, 314, NULL, NULL, 19950),
(52120, '2bjfA01', NULL, NULL, 319, NULL, NULL, 19950),
(52121, '3gvzA00', NULL, NULL, 274, NULL, NULL, 19950),
(52122, '2hf0A00', NULL, NULL, 316, NULL, NULL, 19950),
(52123, '3hbcA00', NULL, NULL, 320, NULL, NULL, 19950),
(52124, '2oqcA00', NULL, NULL, 327, NULL, NULL, 19950),
(52125, '4wl2A00', NULL, NULL, 355, NULL, NULL, 19950),
(52126, '5gs7A01', NULL, NULL, 313, NULL, NULL, 19950),
(52127, '2x1dA01', NULL, NULL, 283, NULL, NULL, 19950),
(52128, '2yqpA00', NULL, NULL, 60, NULL, NULL, 19951),
(52129, '3igmA00', NULL, NULL, 59, NULL, NULL, 19952),
(52130, '3igmB00', NULL, NULL, 77, NULL, NULL, 19952),
(52131, '2ychA02', NULL, NULL, 61, NULL, NULL, 19953),
(52132, '5eoxB02', NULL, NULL, 60, NULL, NULL, 19953),
(52133, '1fsuA01', NULL, NULL, 371, NULL, NULL, 19954),
(52134, '3lxqA02', NULL, NULL, 287, NULL, NULL, 19954),
(52135, '4upiA01', NULL, NULL, 499, NULL, NULL, 19954),
(52136, '3a52A01', NULL, NULL, 315, NULL, NULL, 19954),
(52137, '3nvlA01', NULL, NULL, 305, NULL, NULL, 19954),
(52138, '2gsoA01', NULL, NULL, 290, NULL, NULL, 19954),
(52139, '4b56B01', NULL, NULL, 323, NULL, NULL, 19954),
(52140, '3mk1A00', NULL, NULL, 484, NULL, NULL, 19954),
(52141, '3kd8A01', NULL, NULL, 243, NULL, NULL, 19954),
(52142, '5veoA01', NULL, NULL, 288, NULL, NULL, 19954),
(52143, '4uplC01', NULL, NULL, 502, NULL, NULL, 19954),
(52144, '4uorA02', NULL, NULL, 309, NULL, NULL, 19954),
(52145, '4tn0A00', NULL, NULL, 325, NULL, NULL, 19954),
(52146, '3tg0A00', NULL, NULL, 449, NULL, NULL, 19954),
(52147, '4lr2A01', NULL, NULL, 305, NULL, NULL, 19954),
(52148, '4fdiB01', NULL, NULL, 402, NULL, NULL, 19954),
(52149, '5mx9A00', NULL, NULL, 324, NULL, NULL, 19954),
(52150, '4my4A01', NULL, NULL, 283, NULL, NULL, 19954),
(52151, '4uphA00', NULL, NULL, 504, NULL, NULL, 19954),
(52152, '5eghB01', NULL, NULL, 296, NULL, NULL, 19954),
(52153, '4gtwB01', NULL, NULL, 413, NULL, NULL, 19954),
(52154, '4kjdB00', NULL, NULL, 427, NULL, NULL, 19954),
(52155, '3m7vA01', NULL, NULL, 292, NULL, NULL, 19954),
(52156, '2w5vA00', NULL, NULL, 346, NULL, NULL, 19954),
(52157, '3ed4C01', NULL, NULL, 393, NULL, NULL, 19954),
(52158, '2w8dA02', NULL, NULL, 310, NULL, NULL, 19954),
(52159, '1hdhA01', NULL, NULL, 450, NULL, NULL, 19954),
(52160, '4kavA00', NULL, NULL, 335, NULL, NULL, 19954),
(52161, '5tcdA01', NULL, NULL, 284, NULL, NULL, 19954),
(52162, '4upkA01', NULL, NULL, 460, NULL, NULL, 19954),
(52163, '5xwiA01', NULL, NULL, 400, NULL, NULL, 19954),
(52164, '2ifyA01', NULL, NULL, 272, NULL, NULL, 19954),
(52165, '3ot9A01', NULL, NULL, 280, NULL, NULL, 19954),
(52166, '2d1gA02', NULL, NULL, 308, NULL, NULL, 19954),
(52167, '2x98A01', NULL, NULL, 358, NULL, NULL, 19954),
(52168, '6bncA00', NULL, NULL, 344, NULL, NULL, 19954),
(52169, '3szyA01', NULL, NULL, 316, NULL, NULL, 19954),
(52170, '2w8sA01', NULL, NULL, 468, NULL, NULL, 19954),
(52171, '5tj3A01', NULL, NULL, 432, NULL, NULL, 19954),
(52172, '3e2dA01', NULL, NULL, 381, NULL, NULL, 19954),
(52173, '4uopA02', NULL, NULL, 312, NULL, NULL, 19954),
(52174, '3wbhA01', NULL, NULL, 376, NULL, NULL, 19954),
(52175, '1o98A02', NULL, NULL, 273, NULL, NULL, 19954),
(52176, '1aukA01', NULL, NULL, 388, NULL, NULL, 19954),
(52177, '2w5qA02', NULL, NULL, 311, NULL, NULL, 19954),
(52178, '5g2uA00', NULL, NULL, 468, NULL, NULL, 19954),
(52179, '1k7hA00', NULL, NULL, 476, NULL, NULL, 19954),
(52180, '1ei6A01', NULL, NULL, 295, NULL, NULL, 19954);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(52181, '4mhxA01', NULL, NULL, 459, NULL, NULL, 19954),
(52182, '2qzuA01', NULL, NULL, 365, NULL, NULL, 19954),
(52183, '2zktB01', NULL, NULL, 262, NULL, NULL, 19954),
(52184, '3igzB01', NULL, NULL, 317, NULL, NULL, 19954),
(52185, '4zg7A03', NULL, NULL, 399, NULL, NULL, 19954),
(52186, '1p49A01', NULL, NULL, 391, NULL, NULL, 19954),
(52187, '5kgnB01', NULL, NULL, 299, NULL, NULL, 19954),
(52188, '5dltA03', NULL, NULL, 399, NULL, NULL, 19954),
(52189, '2vqrA01', NULL, NULL, 469, NULL, NULL, 19954),
(52190, '5k4pA00', NULL, NULL, 324, NULL, NULL, 19954),
(52191, '4dk1C01', NULL, NULL, 79, NULL, NULL, 19955),
(52192, '2b1eA04', NULL, NULL, 127, NULL, NULL, 19956),
(52193, '2b7mA00', NULL, NULL, 566, NULL, NULL, 19956),
(52194, '2pftA00', NULL, NULL, 538, NULL, NULL, 19956),
(52195, '4rl5A00', NULL, NULL, 529, NULL, NULL, 19956),
(52196, '1g8mA04', NULL, NULL, 190, NULL, NULL, 19957),
(52197, '1a9xA08', NULL, NULL, 106, NULL, NULL, 19957),
(52198, '1wo8A00', NULL, NULL, 126, NULL, NULL, 19957),
(52199, '6f2cA00', NULL, NULL, 124, NULL, NULL, 19957),
(52200, '1zczA01', NULL, NULL, 168, NULL, NULL, 19957),
(52201, '5uz0D01', NULL, NULL, 206, NULL, NULL, 19957),
(52202, '1b93B00', NULL, NULL, 152, NULL, NULL, 19957),
(52203, '5h3lA00', NULL, NULL, 151, NULL, NULL, 19957),
(52204, '4ehiB01', NULL, NULL, 215, NULL, NULL, 19957),
(52205, '4ehiA01', NULL, NULL, 184, NULL, NULL, 19957),
(52206, '2yvqA00', NULL, NULL, 143, NULL, NULL, 19957),
(52207, '1c30A08', NULL, NULL, 137, NULL, NULL, 19957),
(52208, '1vmdA00', NULL, NULL, 162, NULL, NULL, 19957),
(52209, '3zzmB01', NULL, NULL, 204, NULL, NULL, 19957),
(52210, '2xw6A00', NULL, NULL, 134, NULL, NULL, 19957),
(52211, '2dm9A00', NULL, NULL, 118, NULL, NULL, 19958),
(52212, '4efaE02', NULL, NULL, 136, NULL, NULL, 19958),
(52213, '3v6iA02', NULL, NULL, 91, NULL, NULL, 19958),
(52214, '2ntkB00', NULL, NULL, 202, NULL, NULL, 19959),
(52215, '2uvaG09', NULL, NULL, 116, NULL, NULL, 19960),
(52216, '2uv8G09', NULL, NULL, 115, NULL, NULL, 19960),
(52217, '2yicD03', NULL, NULL, 254, NULL, NULL, 19961),
(52218, '2xt6B03', NULL, NULL, 259, NULL, NULL, 19961),
(52219, '2jgdA03', NULL, NULL, 243, NULL, NULL, 19961),
(52220, '1w36D01', NULL, NULL, 110, NULL, NULL, 19962),
(52221, '4mkvA01', NULL, NULL, 127, NULL, NULL, 19963),
(52222, '3kdnI01', NULL, NULL, 136, NULL, NULL, 19963),
(52223, '1bxnA01', NULL, NULL, 127, NULL, NULL, 19963),
(52224, '3zxwA01', NULL, NULL, 127, NULL, NULL, 19963),
(52225, '1rblA01', NULL, NULL, 127, NULL, NULL, 19963),
(52226, '5oyaC01', NULL, NULL, 128, NULL, NULL, 19963),
(52227, '5rubA01', NULL, NULL, 132, NULL, NULL, 19963),
(52228, '1ykwA01', NULL, NULL, 145, NULL, NULL, 19963),
(52229, '1svdA01', NULL, NULL, 140, NULL, NULL, 19963),
(52230, '1wddA01', NULL, NULL, 127, NULL, NULL, 19963),
(52231, '1gk8A01', NULL, NULL, 127, NULL, NULL, 19963),
(52232, '4nasB01', NULL, NULL, 123, NULL, NULL, 19963),
(52233, '3nwrA01', NULL, NULL, 142, NULL, NULL, 19963),
(52234, '5nv3A01', NULL, NULL, 128, NULL, NULL, 19963),
(52235, '2d69B01', NULL, NULL, 133, NULL, NULL, 19963),
(52236, '2oemA01', NULL, NULL, 120, NULL, NULL, 19963),
(52237, '5macE01', NULL, NULL, 140, NULL, NULL, 19963),
(52238, '3rubL01', NULL, NULL, 127, NULL, NULL, 19963),
(52239, '6ftlA01', NULL, NULL, 128, NULL, NULL, 19963),
(52240, '5c2cA01', NULL, NULL, 132, NULL, NULL, 19963),
(52241, '5iu0A01', NULL, NULL, 127, NULL, NULL, 19963),
(52242, '5hjxA01', NULL, NULL, 133, NULL, NULL, 19963),
(52243, '3fk4B01', NULL, NULL, 121, NULL, NULL, 19963),
(52244, '2zviA01', NULL, NULL, 113, NULL, NULL, 19963),
(52245, '2qygA01', NULL, NULL, 145, NULL, NULL, 19963),
(52246, '3qfwA01', NULL, NULL, 112, NULL, NULL, 19963),
(52247, '8rucA01', NULL, NULL, 127, NULL, NULL, 19963),
(52248, '4f0hA01', NULL, NULL, 127, NULL, NULL, 19963),
(52249, '1vs6X01', NULL, NULL, 46, NULL, NULL, 19964),
(52250, '3cqfA04', NULL, NULL, 109, NULL, NULL, 19965),
(52251, '4hscX04', NULL, NULL, 110, NULL, NULL, 19965),
(52252, '1s3rA04', NULL, NULL, 115, NULL, NULL, 19965),
(52253, '5cr8A00', NULL, NULL, 113, NULL, NULL, 19965);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(52254, '1pfoA04', NULL, NULL, 110, NULL, NULL, 19965),
(52255, '3hvnA04', NULL, NULL, 117, NULL, NULL, 19965),
(52256, '2hepA00', NULL, NULL, 42, NULL, NULL, 19966),
(52257, '4cs4A01', NULL, NULL, 53, NULL, NULL, 19966),
(52258, '3rg0A03', NULL, NULL, 42, NULL, NULL, 19966),
(52259, '5zwlE02', NULL, NULL, 50, NULL, NULL, 19966),
(52260, '3dsqA01', NULL, NULL, 69, NULL, NULL, 19966),
(52261, '2yi9A02', NULL, NULL, 52, NULL, NULL, 19966),
(52262, '1o9gA02', NULL, NULL, 43, NULL, NULL, 19966),
(52263, '2pusA02', NULL, NULL, 53, NULL, NULL, 19966),
(52264, '2rjzA01', NULL, NULL, 37, NULL, NULL, 19966),
(52265, '3bhpA00', NULL, NULL, 60, NULL, NULL, 19966),
(52266, '1g6uA00', NULL, NULL, 48, NULL, NULL, 19966),
(52267, '3tw8A03', NULL, NULL, 41, NULL, NULL, 19967),
(52268, '1t60O00', NULL, NULL, 227, NULL, NULL, 19968),
(52269, '1t60D00', NULL, NULL, 229, NULL, NULL, 19968),
(52270, '5nb0D00', NULL, NULL, 230, NULL, NULL, 19968),
(52271, '5a5hH00', NULL, NULL, 209, NULL, NULL, 19969),
(52272, '4akgA01', NULL, NULL, 221, NULL, NULL, 19969),
(52273, '4zb7A00', NULL, NULL, 222, NULL, NULL, 19969),
(52274, '4w66B00', NULL, NULL, 243, NULL, NULL, 19969),
(52275, '5a1nA00', NULL, NULL, 175, NULL, NULL, 19969),
(52276, '4q5qB00', NULL, NULL, 201, NULL, NULL, 19969),
(52277, '1kvdA00', NULL, NULL, 63, NULL, NULL, 19970),
(52278, '4hquA00', NULL, NULL, 109, NULL, NULL, 19971),
(52279, '2v5eB00', NULL, NULL, 101, NULL, NULL, 19971),
(52280, '1wq9A00', NULL, NULL, 96, NULL, NULL, 19971),
(52281, '2arpA00', NULL, NULL, 116, NULL, NULL, 19971),
(52282, '5e4gA00', NULL, NULL, 109, NULL, NULL, 19971),
(52283, '4n1dA00', NULL, NULL, 116, NULL, NULL, 19971),
(52284, '5f3bD00', NULL, NULL, 109, NULL, NULL, 19971),
(52285, '5n92A00', NULL, NULL, 132, NULL, NULL, 19971),
(52286, '4ec7A00', NULL, NULL, 116, NULL, NULL, 19971),
(52287, '2askA00', NULL, NULL, 113, NULL, NULL, 19971),
(52288, '1fzvA00', NULL, NULL, 115, NULL, NULL, 19971),
(52289, '2r53A00', NULL, NULL, 116, NULL, NULL, 19971),
(52290, '1mkkB00', NULL, NULL, 96, NULL, NULL, 19971),
(52291, '3mjkA00', NULL, NULL, 169, NULL, NULL, 19971),
(52292, '4x1jA00', NULL, NULL, 116, NULL, NULL, 19971),
(52293, '1b8kA00', NULL, NULL, 119, NULL, NULL, 19971),
(52294, '1hcnB00', NULL, NULL, 111, NULL, NULL, 19971),
(52295, '3jvfB01', NULL, NULL, 87, NULL, NULL, 19971),
(52296, '2c7wA00', NULL, NULL, 99, NULL, NULL, 19971),
(52297, '5bq8A00', NULL, NULL, 122, NULL, NULL, 19971),
(52298, '1wwwV00', NULL, NULL, 120, NULL, NULL, 19971),
(52299, '1aocA00', NULL, NULL, 175, NULL, NULL, 19971),
(52300, '3e07A00', NULL, NULL, 114, NULL, NULL, 19971),
(52301, '1agqB00', NULL, NULL, 98, NULL, NULL, 19971),
(52302, '5aejB00', NULL, NULL, 113, NULL, NULL, 19971),
(52303, '1mjvA00', NULL, NULL, 96, NULL, NULL, 19971),
(52304, '2qcqA00', NULL, NULL, 110, NULL, NULL, 19971),
(52305, '5vb9A01', NULL, NULL, 92, NULL, NULL, 19971),
(52306, '4mplA00', NULL, NULL, 116, NULL, NULL, 19971),
(52307, '3rjrB02', NULL, NULL, 112, NULL, NULL, 19971),
(52308, '5n92F00', NULL, NULL, 120, NULL, NULL, 19971),
(52309, '1nyuD00', NULL, NULL, 82, NULL, NULL, 19971),
(52310, '2xv7A00', NULL, NULL, 112, NULL, NULL, 19971),
(52311, '1betA00', NULL, NULL, 107, NULL, NULL, 19971),
(52312, '2h62B00', NULL, NULL, 114, NULL, NULL, 19971),
(52313, '4efvA00', NULL, NULL, 117, NULL, NULL, 19971),
(52314, '1bndA00', NULL, NULL, 119, NULL, NULL, 19971),
(52315, '4jphB00', NULL, NULL, 119, NULL, NULL, 19971),
(52316, '2gnnB00', NULL, NULL, 103, NULL, NULL, 19971),
(52317, '5tx4B00', NULL, NULL, 92, NULL, NULL, 19971),
(52318, '4midA00', NULL, NULL, 115, NULL, NULL, 19971),
(52319, '2tgiA00', NULL, NULL, 112, NULL, NULL, 19971),
(52320, '1b98A00', NULL, NULL, 130, NULL, NULL, 19971),
(52321, '4ay9D00', NULL, NULL, 92, NULL, NULL, 19971),
(52322, '3ij2A00', NULL, NULL, 120, NULL, NULL, 19971),
(52323, '4ay9B00', NULL, NULL, 111, NULL, NULL, 19971),
(52324, '1tgjA00', NULL, NULL, 112, NULL, NULL, 19971),
(52325, '1lxiA00', NULL, NULL, 104, NULL, NULL, 19971),
(52326, '2kd3A00', NULL, NULL, 97, NULL, NULL, 19971);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(52327, '1wq8A00', NULL, NULL, 110, NULL, NULL, 19971),
(52328, '1m4uA01', NULL, NULL, 129, NULL, NULL, 19971),
(52329, '3mjgB00', NULL, NULL, 110, NULL, NULL, 19971),
(52330, '5nmzA00', NULL, NULL, 101, NULL, NULL, 19971),
(52331, '1mkgA00', NULL, NULL, 96, NULL, NULL, 19971),
(52332, '2gyzA00', NULL, NULL, 105, NULL, NULL, 19971),
(52333, '3evsB00', NULL, NULL, 117, NULL, NULL, 19971),
(52334, '3mjkX00', NULL, NULL, 131, NULL, NULL, 19971),
(52335, '2x1wD00', NULL, NULL, 110, NULL, NULL, 19971),
(52336, '1oenA02', NULL, NULL, 79, NULL, NULL, 19972),
(52337, '1khbA02', NULL, NULL, 102, NULL, NULL, 19972),
(52338, '1ylhA02', NULL, NULL, 79, NULL, NULL, 19972),
(52339, '1ytmA02', NULL, NULL, 76, NULL, NULL, 19972),
(52340, '1j3bA02', NULL, NULL, 77, NULL, NULL, 19972),
(52341, '4gmuA02', NULL, NULL, 108, NULL, NULL, 19972),
(52342, '2fafA02', NULL, NULL, 102, NULL, NULL, 19972),
(52343, '4wptA02', NULL, NULL, 109, NULL, NULL, 19972),
(52344, '6at4A02', NULL, NULL, 79, NULL, NULL, 19972),
(52345, '2zciA02', NULL, NULL, 110, NULL, NULL, 19972),
(52346, '1ii2A02', NULL, NULL, 79, NULL, NULL, 19972),
(52347, '6c9xA03', NULL, NULL, 127, NULL, NULL, 19973),
(52348, '1jsgA00', NULL, NULL, 114, NULL, NULL, 19974),
(52349, '1jnpA00', NULL, NULL, 116, NULL, NULL, 19974),
(52350, '1a1xA00', NULL, NULL, 108, NULL, NULL, 19974),
(52351, '3nf5B00', NULL, NULL, 164, NULL, NULL, 19975),
(52352, '3pbpB00', NULL, NULL, 148, NULL, NULL, 19975),
(52353, '2q5xA00', NULL, NULL, 155, NULL, NULL, 19975),
(52354, '3kepB00', NULL, NULL, 155, NULL, NULL, 19975),
(52355, '5hb6B00', NULL, NULL, 144, NULL, NULL, 19975),
(52356, '5e0qB00', NULL, NULL, 153, NULL, NULL, 19975),
(52357, '3i5qA02', NULL, NULL, 81, NULL, NULL, 19976),
(52358, '3eapD00', NULL, NULL, 271, NULL, NULL, 19977),
(52359, '2ovjA00', NULL, NULL, 201, NULL, NULL, 19977),
(52360, '1pbwB00', NULL, NULL, 216, NULL, NULL, 19977),
(52361, '5my3A00', NULL, NULL, 208, NULL, NULL, 19977),
(52362, '3msxB00', NULL, NULL, 201, NULL, NULL, 19977),
(52363, '2qv2A02', NULL, NULL, 168, NULL, NULL, 19977),
(52364, '5c5sB00', NULL, NULL, 216, NULL, NULL, 19977),
(52365, '2mbgA01', NULL, NULL, 199, NULL, NULL, 19977),
(52366, '1xa6A03', NULL, NULL, 190, NULL, NULL, 19977),
(52367, '3iugB00', NULL, NULL, 210, NULL, NULL, 19977),
(52368, '2xs6A00', NULL, NULL, 190, NULL, NULL, 19977),
(52369, '5jcpB01', NULL, NULL, 204, NULL, NULL, 19977),
(52370, '3kuqA00', NULL, NULL, 228, NULL, NULL, 19977),
(52371, '1f7cA00', NULL, NULL, 201, NULL, NULL, 19977),
(52372, '3wpsA00', NULL, NULL, 208, NULL, NULL, 19977),
(52373, '2osaA00', NULL, NULL, 202, NULL, NULL, 19977),
(52374, '6d85A00', NULL, NULL, 193, NULL, NULL, 19977),
(52375, '1tx4A00', NULL, NULL, 198, NULL, NULL, 19977),
(52376, '5ircB00', NULL, NULL, 201, NULL, NULL, 19977),
(52377, '3byiD00', NULL, NULL, 214, NULL, NULL, 19977),
(52378, '2ee4A01', NULL, NULL, 192, NULL, NULL, 19977),
(52379, '3ialA03', NULL, NULL, 78, NULL, NULL, 19978),
(52380, '1nj1A03', NULL, NULL, 70, NULL, NULL, 19978),
(52381, '4wi1A03', NULL, NULL, 91, NULL, NULL, 19978),
(52382, '4hvcA03', NULL, NULL, 88, NULL, NULL, 19978),
(52383, '1hc7A03', NULL, NULL, 74, NULL, NULL, 19978),
(52384, '1nj8A03', NULL, NULL, 61, NULL, NULL, 19978),
(52385, '3ue9C01', NULL, NULL, 180, NULL, NULL, 19979),
(52386, '5i34A01', NULL, NULL, 170, NULL, NULL, 19979),
(52387, '2v40A01', NULL, NULL, 169, NULL, NULL, 19979),
(52388, '1dj2A01', NULL, NULL, 166, NULL, NULL, 19979),
(52389, '3r7tA01', NULL, NULL, 165, NULL, NULL, 19979),
(52390, '1dj3A01', NULL, NULL, 166, NULL, NULL, 19979),
(52391, '1adeA01', NULL, NULL, 165, NULL, NULL, 19979),
(52392, '1iweA01', NULL, NULL, 167, NULL, NULL, 19979),
(52393, '3hidA01', NULL, NULL, 166, NULL, NULL, 19979),
(52394, '4m9dB01', NULL, NULL, 167, NULL, NULL, 19979),
(52395, '1p9bA01', NULL, NULL, 175, NULL, NULL, 19979),
(52396, '2hdiB00', NULL, NULL, 113, NULL, NULL, 19980),
(52397, '4ncbA01', NULL, NULL, 155, NULL, NULL, 19981),
(52398, '2x5hA00', NULL, NULL, 97, NULL, NULL, 19982),
(52399, '3fvvA02', NULL, NULL, 75, NULL, NULL, 19983);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(52400, '4f15J02', NULL, NULL, 58, NULL, NULL, 19984),
(52401, '2jmkA00', NULL, NULL, 111, NULL, NULL, 19985),
(52402, '3ec1A01', NULL, NULL, 169, NULL, NULL, 19986),
(52403, '2nzjB00', NULL, NULL, 175, NULL, NULL, 19986),
(52404, '2hjvA00', NULL, NULL, 163, NULL, NULL, 19986),
(52405, '2pzeB00', NULL, NULL, 229, NULL, NULL, 19986),
(52406, '4kbfA02', NULL, NULL, 158, NULL, NULL, 19986),
(52407, '2if2A00', NULL, NULL, 204, NULL, NULL, 19986),
(52408, '4lpsA00', NULL, NULL, 215, NULL, NULL, 19986),
(52409, '3ievA01', NULL, NULL, 192, NULL, NULL, 19986),
(52410, '3oaaA02', NULL, NULL, 289, NULL, NULL, 19986),
(52411, '2p65A00', NULL, NULL, 187, NULL, NULL, 19986),
(52412, '3geeA03', NULL, NULL, 171, NULL, NULL, 19986),
(52413, '3crmA01', NULL, NULL, 154, NULL, NULL, 19986),
(52414, '3dkpA00', NULL, NULL, 245, NULL, NULL, 19986),
(52415, '4zdjA01', NULL, NULL, 298, NULL, NULL, 19986),
(52416, '3p4xB02', NULL, NULL, 188, NULL, NULL, 19986),
(52417, '5l3sA02', NULL, NULL, 207, NULL, NULL, 19986),
(52418, '5jrjA01', NULL, NULL, 244, NULL, NULL, 19986),
(52419, '5lc9A00', NULL, NULL, 267, NULL, NULL, 19986),
(52420, '3q85B00', NULL, NULL, 169, NULL, NULL, 19986),
(52421, '1j99A00', NULL, NULL, 293, NULL, NULL, 19986),
(52422, '3lfuA03', NULL, NULL, 207, NULL, NULL, 19986),
(52423, '5y4zA02', NULL, NULL, 143, NULL, NULL, 19986),
(52424, '5y4zA01', NULL, NULL, 183, NULL, NULL, 19986),
(52425, '1texA00', NULL, NULL, 265, NULL, NULL, 19986),
(52426, '5ffmA01', NULL, NULL, 181, NULL, NULL, 19986),
(52427, '4ceiB01', NULL, NULL, 181, NULL, NULL, 19986),
(52428, '6mijA01', NULL, NULL, 205, NULL, NULL, 19986),
(52429, '2lkcA01', NULL, NULL, 176, NULL, NULL, 19986),
(52430, '3lfuA01', NULL, NULL, 202, NULL, NULL, 19986),
(52431, '2iutA02', NULL, NULL, 302, NULL, NULL, 19986),
(52432, '5mtvA02', NULL, NULL, 225, NULL, NULL, 19986),
(52433, '5tizA00', NULL, NULL, 263, NULL, NULL, 19986),
(52434, '6c6bB00', NULL, NULL, 211, NULL, NULL, 19986),
(52435, '3oiyB01', NULL, NULL, 222, NULL, NULL, 19986),
(52436, '3j81k01', NULL, NULL, 210, NULL, NULL, 19986),
(52437, '1ki9B00', NULL, NULL, 192, NULL, NULL, 19986),
(52438, '2wojC00', NULL, NULL, 354, NULL, NULL, 19986),
(52439, '5xz2A00', NULL, NULL, 196, NULL, NULL, 19986),
(52440, '2d62A01', NULL, NULL, 247, NULL, NULL, 19986),
(52441, '3eieA01', NULL, NULL, 205, NULL, NULL, 19986),
(52442, '5lj9B00', NULL, NULL, 231, NULL, NULL, 19986),
(52443, '2nq2D00', NULL, NULL, 253, NULL, NULL, 19986),
(52444, '5gjuA00', NULL, NULL, 205, NULL, NULL, 19986),
(52445, '5a4jB01', NULL, NULL, 326, NULL, NULL, 19986),
(52446, '4r7zN00', NULL, NULL, 338, NULL, NULL, 19986),
(52447, '4ileA00', NULL, NULL, 184, NULL, NULL, 19986),
(52448, '2qg6A00', NULL, NULL, 199, NULL, NULL, 19986),
(52449, '2qbyA02', NULL, NULL, 175, NULL, NULL, 19986),
(52450, '2grjA00', NULL, NULL, 192, NULL, NULL, 19986),
(52451, '5uf8A00', NULL, NULL, 165, NULL, NULL, 19986),
(52452, '3mfyA01', NULL, NULL, 302, NULL, NULL, 19986),
(52453, '2eryB00', NULL, NULL, 172, NULL, NULL, 19986),
(52454, '3neyA01', NULL, NULL, 134, NULL, NULL, 19986),
(52455, '1m2oB00', NULL, NULL, 167, NULL, NULL, 19986),
(52456, '3u4qA04', NULL, NULL, 290, NULL, NULL, 19986),
(52457, '4yonB00', NULL, NULL, 179, NULL, NULL, 19986),
(52458, '3ah8A01', NULL, NULL, 237, NULL, NULL, 19986),
(52459, '1zd1B00', NULL, NULL, 267, NULL, NULL, 19986),
(52460, '1znwA01', NULL, NULL, 126, NULL, NULL, 19986),
(52461, '2fg5A00', NULL, NULL, 172, NULL, NULL, 19986),
(52462, '3u4qA01', NULL, NULL, 240, NULL, NULL, 19986),
(52463, '1z0fA01', NULL, NULL, 167, NULL, NULL, 19986),
(52464, '1sulB00', NULL, NULL, 195, NULL, NULL, 19986),
(52465, '5ko2B03', NULL, NULL, 263, NULL, NULL, 19986),
(52466, '6g2gA01', NULL, NULL, 281, NULL, NULL, 19986),
(52467, '3ibgA00', NULL, NULL, 348, NULL, NULL, 19986),
(52468, '6hs3A00', NULL, NULL, 260, NULL, NULL, 19986),
(52469, '1mh1A00', NULL, NULL, 186, NULL, NULL, 19986),
(52470, '5d3qA00', NULL, NULL, 345, NULL, NULL, 19986),
(52471, '4dheA00', NULL, NULL, 223, NULL, NULL, 19986),
(52472, '2a5jA01', NULL, NULL, 173, NULL, NULL, 19986);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(52473, '2d74A01', NULL, NULL, 204, NULL, NULL, 19986),
(52474, '2vp4D00', NULL, NULL, 210, NULL, NULL, 19986),
(52475, '3cb4A01', NULL, NULL, 185, NULL, NULL, 19986),
(52476, '2rhdA00', NULL, NULL, 175, NULL, NULL, 19986),
(52477, '3vmfA01', NULL, NULL, 228, NULL, NULL, 19986),
(52478, '3sbdA00', NULL, NULL, 187, NULL, NULL, 19986),
(52479, '4c7oA02', NULL, NULL, 194, NULL, NULL, 19986),
(52480, '2gzaB02', NULL, NULL, 233, NULL, NULL, 19986),
(52481, '3ftqD00', NULL, NULL, 274, NULL, NULL, 19986),
(52482, '3ch4B00', NULL, NULL, 202, NULL, NULL, 19986),
(52483, '5h66A00', NULL, NULL, 199, NULL, NULL, 19986),
(52484, '1udxA02', NULL, NULL, 174, NULL, NULL, 19986),
(52485, '5dcaA10', NULL, NULL, 202, NULL, NULL, 19986),
(52486, '5xktA00', NULL, NULL, 200, NULL, NULL, 19986),
(52487, '5g3yA00', NULL, NULL, 226, NULL, NULL, 19986),
(52488, '1xwiA01', NULL, NULL, 196, NULL, NULL, 19986),
(52489, '2g0tA02', NULL, NULL, 193, NULL, NULL, 19986),
(52490, '3cr8A03', NULL, NULL, 191, NULL, NULL, 19986),
(52491, '1jjvA00', NULL, NULL, 206, NULL, NULL, 19986),
(52492, '1htwA00', NULL, NULL, 158, NULL, NULL, 19986),
(52493, '2x77A00', NULL, NULL, 189, NULL, NULL, 19986),
(52494, '2ygrF01', NULL, NULL, 309, NULL, NULL, 19986),
(52495, '2ocaA03', NULL, NULL, 215, NULL, NULL, 19986),
(52496, '6blbA01', NULL, NULL, 162, NULL, NULL, 19986),
(52497, '4r7zA00', NULL, NULL, 338, NULL, NULL, 19986),
(52498, '3m1iA00', NULL, NULL, 219, NULL, NULL, 19986),
(52499, '1tueD00', NULL, NULL, 212, NULL, NULL, 19986),
(52500, '5dcaA09', NULL, NULL, 210, NULL, NULL, 19986),
(52501, '4j0qB01', NULL, NULL, 198, NULL, NULL, 19986),
(52502, '6notA01', NULL, NULL, 293, NULL, NULL, 19986),
(52503, '3cklA00', NULL, NULL, 298, NULL, NULL, 19986),
(52504, '3bs4A00', NULL, NULL, 260, NULL, NULL, 19986),
(52505, '1z5zB01', NULL, NULL, 169, NULL, NULL, 19986),
(52506, '5dcaA04', NULL, NULL, 231, NULL, NULL, 19986),
(52507, '5dcaA03', NULL, NULL, 227, NULL, NULL, 19986),
(52508, '1g8fA03', NULL, NULL, 122, NULL, NULL, 19986),
(52509, '1u8zA00', NULL, NULL, 168, NULL, NULL, 19986),
(52510, '4cvnA00', NULL, NULL, 191, NULL, NULL, 19986),
(52511, '2xgjB02', NULL, NULL, 258, NULL, NULL, 19986),
(52512, '2xgjB01', NULL, NULL, 206, NULL, NULL, 19986),
(52513, '1oxxK01', NULL, NULL, 244, NULL, NULL, 19986),
(52514, '6gfuA01', NULL, NULL, 194, NULL, NULL, 19986),
(52515, '2ntyC00', NULL, NULL, 180, NULL, NULL, 19986),
(52516, '2j45A02', NULL, NULL, 191, NULL, NULL, 19986),
(52517, '2ze6A01', NULL, NULL, 124, NULL, NULL, 19986),
(52518, '2erxA00', NULL, NULL, 172, NULL, NULL, 19986),
(52519, '1sxjE01', NULL, NULL, 193, NULL, NULL, 19986),
(52520, '5mekA00', NULL, NULL, 322, NULL, NULL, 19986),
(52521, '2il1A00', NULL, NULL, 171, NULL, NULL, 19986),
(52522, '4dcuA02', NULL, NULL, 184, NULL, NULL, 19986),
(52523, '1zu4A02', NULL, NULL, 224, NULL, NULL, 19986),
(52524, '1qf9A00', NULL, NULL, 194, NULL, NULL, 19986),
(52525, '4jimB01', NULL, NULL, 326, NULL, NULL, 19986),
(52526, '3w6pA00', NULL, NULL, 364, NULL, NULL, 19986),
(52527, '3lw7A00', NULL, NULL, 179, NULL, NULL, 19986),
(52528, '1ak2A00', NULL, NULL, 233, NULL, NULL, 19986),
(52529, '1nijA01', NULL, NULL, 202, NULL, NULL, 19986),
(52530, '5ck4A00', NULL, NULL, 247, NULL, NULL, 19986),
(52531, '1n0wA00', NULL, NULL, 243, NULL, NULL, 19986),
(52532, '3auxA00', NULL, NULL, 371, NULL, NULL, 19986),
(52533, '5tnuA02', NULL, NULL, 176, NULL, NULL, 19986),
(52534, '5nt7B00', NULL, NULL, 163, NULL, NULL, 19986),
(52535, '5tnuA03', NULL, NULL, 207, NULL, NULL, 19986),
(52536, '3r7wB01', NULL, NULL, 176, NULL, NULL, 19986),
(52537, '2awnD01', NULL, NULL, 146, NULL, NULL, 19986),
(52538, '3be4A00', NULL, NULL, 217, NULL, NULL, 19986),
(52539, '4r7zP00', NULL, NULL, 338, NULL, NULL, 19986),
(52540, '4eq6B00', NULL, NULL, 256, NULL, NULL, 19986),
(52541, '3dl0A00', NULL, NULL, 216, NULL, NULL, 19986),
(52542, '2p67A02', NULL, NULL, 211, NULL, NULL, 19986),
(52543, '2r8rA00', NULL, NULL, 211, NULL, NULL, 19986),
(52544, '2it1B01', NULL, NULL, 238, NULL, NULL, 19986),
(52545, '3r8cB00', NULL, NULL, 228, NULL, NULL, 19986);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(52546, '2bbwA00', NULL, NULL, 221, NULL, NULL, 19986),
(52547, '1mkyA02', NULL, NULL, 169, NULL, NULL, 19986),
(52548, '1mkyA01', NULL, NULL, 170, NULL, NULL, 19986),
(52549, '5l3qA02', NULL, NULL, 206, NULL, NULL, 19986),
(52550, '2pjzA00', NULL, NULL, 263, NULL, NULL, 19986),
(52551, '3l82B00', NULL, NULL, 190, NULL, NULL, 19986),
(52552, '4cbgD02', NULL, NULL, 161, NULL, NULL, 19986),
(52553, '1ymfA01', NULL, NULL, 181, NULL, NULL, 19986),
(52554, '2gksB03', NULL, NULL, 182, NULL, NULL, 19986),
(52555, '6gcnB01', NULL, NULL, 196, NULL, NULL, 19986),
(52556, '2r2aA00', NULL, NULL, 199, NULL, NULL, 19986),
(52557, '1tevA00', NULL, NULL, 196, NULL, NULL, 19986),
(52558, '2q3hA00', NULL, NULL, 182, NULL, NULL, 19986),
(52559, '5fl3A02', NULL, NULL, 259, NULL, NULL, 19986),
(52560, '5x4bA00', NULL, NULL, 162, NULL, NULL, 19986),
(52561, '1u0lA02', NULL, NULL, 164, NULL, NULL, 19986),
(52562, '2yjtD00', NULL, NULL, 170, NULL, NULL, 19986),
(52563, '3vx4A00', NULL, NULL, 245, NULL, NULL, 19986),
(52564, '1r2qA00', NULL, NULL, 170, NULL, NULL, 19986),
(52565, '3hdtA00', NULL, NULL, 181, NULL, NULL, 19986),
(52566, '4ko8A03', NULL, NULL, 170, NULL, NULL, 19986),
(52567, '3r20A00', NULL, NULL, 233, NULL, NULL, 19986),
(52568, '4kaxA00', NULL, NULL, 169, NULL, NULL, 19986),
(52569, '3mgcA00', NULL, NULL, 272, NULL, NULL, 19986),
(52570, '2no7B00', NULL, NULL, 241, NULL, NULL, 19986),
(52571, '1uaaB03', NULL, NULL, 211, NULL, NULL, 19986),
(52572, '3gd7C01', NULL, NULL, 257, NULL, NULL, 19986),
(52573, '3igfA01', NULL, NULL, 260, NULL, NULL, 19986),
(52574, '1z6aA02', NULL, NULL, 152, NULL, NULL, 19986),
(52575, '5kutA00', NULL, NULL, 189, NULL, NULL, 19986),
(52576, '2efeB00', NULL, NULL, 181, NULL, NULL, 19986),
(52577, '1qdeA00', NULL, NULL, 224, NULL, NULL, 19986),
(52578, '3tk1B02', NULL, NULL, 211, NULL, NULL, 19986),
(52579, '2odeC01', NULL, NULL, 202, NULL, NULL, 19986),
(52580, '2jlqA02', NULL, NULL, 160, NULL, NULL, 19986),
(52581, '2gk6A01', NULL, NULL, 267, NULL, NULL, 19986),
(52582, '2jlqA01', NULL, NULL, 192, NULL, NULL, 19986),
(52583, '2kjqA01', NULL, NULL, 126, NULL, NULL, 19986),
(52584, '3mgbB00', NULL, NULL, 285, NULL, NULL, 19986),
(52585, '3ja8604', NULL, NULL, 331, NULL, NULL, 19986),
(52586, '1zd9A00', NULL, NULL, 170, NULL, NULL, 19986),
(52587, '1y63A00', NULL, NULL, 184, NULL, NULL, 19986),
(52588, '1zunB01', NULL, NULL, 238, NULL, NULL, 19986),
(52589, '2g9nA00', NULL, NULL, 221, NULL, NULL, 19986),
(52590, '6fkfB02', NULL, NULL, 277, NULL, NULL, 19986),
(52591, '3ephA01', NULL, NULL, 283, NULL, NULL, 19986),
(52592, '3l0oB02', NULL, NULL, 291, NULL, NULL, 19986),
(52593, '5oiuC02', NULL, NULL, 277, NULL, NULL, 19986),
(52594, '2z6vA00', NULL, NULL, 393, NULL, NULL, 19986),
(52595, '3tr5A02', NULL, NULL, 194, NULL, NULL, 19986),
(52596, '3tr5A01', NULL, NULL, 190, NULL, NULL, 19986),
(52597, '1wcv100', NULL, NULL, 257, NULL, NULL, 19986),
(52598, '2f7sA00', NULL, NULL, 197, NULL, NULL, 19986),
(52599, '5c4mA00', NULL, NULL, 193, NULL, NULL, 19986),
(52600, '5ucvA00', NULL, NULL, 217, NULL, NULL, 19986),
(52601, '4rkeA01', NULL, NULL, 169, NULL, NULL, 19986),
(52602, '5h68A00', NULL, NULL, 340, NULL, NULL, 19986),
(52603, '1ni3A01', NULL, NULL, 197, NULL, NULL, 19986),
(52604, '4v03A00', NULL, NULL, 257, NULL, NULL, 19986),
(52605, '1jalA01', NULL, NULL, 179, NULL, NULL, 19986),
(52606, '1q0uB00', NULL, NULL, 219, NULL, NULL, 19986),
(52607, '4nhoA02', NULL, NULL, 189, NULL, NULL, 19986),
(52608, '4r7zJ00', NULL, NULL, 338, NULL, NULL, 19986),
(52609, '4nhoA01', NULL, NULL, 280, NULL, NULL, 19986),
(52610, '1ls6A00', NULL, NULL, 295, NULL, NULL, 19986),
(52611, '3of5B00', NULL, NULL, 228, NULL, NULL, 19986),
(52612, '4a82A02', NULL, NULL, 252, NULL, NULL, 19986),
(52613, '2gf9A00', NULL, NULL, 189, NULL, NULL, 19986),
(52614, '5ee0A01', NULL, NULL, 181, NULL, NULL, 19986),
(52615, '4huqA00', NULL, NULL, 290, NULL, NULL, 19986),
(52616, '4fn5A01', NULL, NULL, 296, NULL, NULL, 19986),
(52617, '6q93D00', NULL, NULL, 273, NULL, NULL, 19986),
(52618, '4jmpA00', NULL, NULL, 250, NULL, NULL, 19986);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(52619, '4a8jB00', NULL, NULL, 232, NULL, NULL, 19986),
(52620, '4kfuA00', NULL, NULL, 212, NULL, NULL, 19986),
(52621, '3nkvA00', NULL, NULL, 175, NULL, NULL, 19986),
(52622, '4fidA01', NULL, NULL, 212, NULL, NULL, 19986),
(52623, '1dekA01', NULL, NULL, 118, NULL, NULL, 19986),
(52624, '5b57D00', NULL, NULL, 273, NULL, NULL, 19986),
(52625, '2ew1A00', NULL, NULL, 180, NULL, NULL, 19986),
(52626, '2ff7A00', NULL, NULL, 247, NULL, NULL, 19986),
(52627, '3d8bA01', NULL, NULL, 217, NULL, NULL, 19986),
(52628, '2va8A01', NULL, NULL, 192, NULL, NULL, 19986),
(52629, '4xd7B02', NULL, NULL, 271, NULL, NULL, 19986),
(52630, '1kgdA01', NULL, NULL, 117, NULL, NULL, 19986),
(52631, '1a7jA00', NULL, NULL, 290, NULL, NULL, 19986),
(52632, '3fhoB02', NULL, NULL, 156, NULL, NULL, 19986),
(52633, '4eunA00', NULL, NULL, 173, NULL, NULL, 19986),
(52634, '2yc4C00', NULL, NULL, 208, NULL, NULL, 19986),
(52635, '3thxB05', NULL, NULL, 289, NULL, NULL, 19986),
(52636, '4mkfA00', NULL, NULL, 217, NULL, NULL, 19986),
(52637, '5yt0A01', NULL, NULL, 237, NULL, NULL, 19986),
(52638, '2e9sA00', NULL, NULL, 171, NULL, NULL, 19986),
(52639, '3bxzA01', NULL, NULL, 272, NULL, NULL, 19986),
(52640, '2f9lA01', NULL, NULL, 174, NULL, NULL, 19986),
(52641, '1pjrA01', NULL, NULL, 202, NULL, NULL, 19986),
(52642, '3t61A00', NULL, NULL, 202, NULL, NULL, 19986),
(52643, '4ag5C01', NULL, NULL, 159, NULL, NULL, 19986),
(52644, '1pjrA03', NULL, NULL, 213, NULL, NULL, 19986),
(52645, '2ax4A00', NULL, NULL, 198, NULL, NULL, 19986),
(52646, '1odfA00', NULL, NULL, 290, NULL, NULL, 19986),
(52647, '1t8tA00', NULL, NULL, 271, NULL, NULL, 19986),
(52648, '5jajA01', NULL, NULL, 269, NULL, NULL, 19986),
(52649, '5jajA02', NULL, NULL, 151, NULL, NULL, 19986),
(52650, '1e94E01', NULL, NULL, 197, NULL, NULL, 19986),
(52651, '1vx4401', NULL, NULL, 238, NULL, NULL, 19986),
(52652, '4n3sA01', NULL, NULL, 232, NULL, NULL, 19986),
(52653, '4ihqC03', NULL, NULL, 289, NULL, NULL, 19986),
(52654, '4ydsA00', NULL, NULL, 228, NULL, NULL, 19986),
(52655, '1pujA01', NULL, NULL, 168, NULL, NULL, 19986),
(52656, '4n0dA01', NULL, NULL, 204, NULL, NULL, 19986),
(52657, '1ko7A02', NULL, NULL, 159, NULL, NULL, 19986),
(52658, '1kk1A01', NULL, NULL, 203, NULL, NULL, 19986),
(52659, '2g6bA00', NULL, NULL, 180, NULL, NULL, 19986),
(52660, '3vaaA00', NULL, NULL, 176, NULL, NULL, 19986),
(52661, '3llmA01', NULL, NULL, 225, NULL, NULL, 19986),
(52662, '1osnC00', NULL, NULL, 341, NULL, NULL, 19986),
(52663, '3kb2A00', NULL, NULL, 173, NULL, NULL, 19986),
(52664, '3hwsC01', NULL, NULL, 254, NULL, NULL, 19986),
(52665, '5xlvA00', NULL, NULL, 312, NULL, NULL, 19986),
(52666, '5tivA00', NULL, NULL, 253, NULL, NULL, 19986),
(52667, '2gnoA01', NULL, NULL, 139, NULL, NULL, 19986),
(52668, '1e6cA00', NULL, NULL, 173, NULL, NULL, 19986),
(52669, '3do6A01', NULL, NULL, 310, NULL, NULL, 19986),
(52670, '1ly1A00', NULL, NULL, 152, NULL, NULL, 19986),
(52671, '5m59A01', NULL, NULL, 231, NULL, NULL, 19986),
(52672, '5m59A02', NULL, NULL, 227, NULL, NULL, 19986),
(52673, '2pl3A00', NULL, NULL, 236, NULL, NULL, 19986),
(52674, '5m59A07', NULL, NULL, 230, NULL, NULL, 19986),
(52675, '5m59A08', NULL, NULL, 206, NULL, NULL, 19986),
(52676, '3ez2A02', NULL, NULL, 292, NULL, NULL, 19986),
(52677, '2xauA03', NULL, NULL, 183, NULL, NULL, 19986),
(52678, '1d9xA01', NULL, NULL, 248, NULL, NULL, 19986),
(52679, '4ak9A02', NULL, NULL, 211, NULL, NULL, 19986),
(52680, '4finB01', NULL, NULL, 285, NULL, NULL, 19986),
(52681, '4finB02', NULL, NULL, 270, NULL, NULL, 19986),
(52682, '2xauA02', NULL, NULL, 232, NULL, NULL, 19986),
(52683, '1d9xA04', NULL, NULL, 182, NULL, NULL, 19986),
(52684, '4a15A01', NULL, NULL, 188, NULL, NULL, 19986),
(52685, '2hupA00', NULL, NULL, 176, NULL, NULL, 19986),
(52686, '1viaA00', NULL, NULL, 175, NULL, NULL, 19986),
(52687, '1cjmA00', NULL, NULL, 249, NULL, NULL, 19986),
(52688, '2pcjA00', NULL, NULL, 224, NULL, NULL, 19986),
(52689, '4r7zL00', NULL, NULL, 338, NULL, NULL, 19986),
(52690, '5cb8B00', NULL, NULL, 176, NULL, NULL, 19986),
(52691, '4l4uA02', NULL, NULL, 173, NULL, NULL, 19986);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(52692, '4nh0B01', NULL, NULL, 309, NULL, NULL, 19986),
(52693, '2qu8A00', NULL, NULL, 207, NULL, NULL, 19986),
(52694, '3cm0A00', NULL, NULL, 186, NULL, NULL, 19986),
(52695, '1svmA03', NULL, NULL, 153, NULL, NULL, 19986),
(52696, '2zu6A02', NULL, NULL, 169, NULL, NULL, 19986),
(52697, '2zptX00', NULL, NULL, 295, NULL, NULL, 19986),
(52698, '2wwwD02', NULL, NULL, 216, NULL, NULL, 19986),
(52699, '2ixeD01', NULL, NULL, 241, NULL, NULL, 19986),
(52700, '3cpjB01', NULL, NULL, 197, NULL, NULL, 19986),
(52701, '4mqbB00', NULL, NULL, 208, NULL, NULL, 19986),
(52702, '2r62A01', NULL, NULL, 181, NULL, NULL, 19986),
(52703, '3a8tA01', NULL, NULL, 191, NULL, NULL, 19986),
(52704, '4rkfB00', NULL, NULL, 173, NULL, NULL, 19986),
(52705, '3f5fA02', NULL, NULL, 288, NULL, NULL, 19986),
(52706, '3cwqA00', NULL, NULL, 209, NULL, NULL, 19986),
(52707, '1skyE02', NULL, NULL, 269, NULL, NULL, 19986),
(52708, '2r9vA02', NULL, NULL, 278, NULL, NULL, 19986),
(52709, '2w0mA00', NULL, NULL, 235, NULL, NULL, 19986),
(52710, '5fpkA00', NULL, NULL, 231, NULL, NULL, 19986),
(52711, '2v3cD02', NULL, NULL, 207, NULL, NULL, 19986),
(52712, '3crvA01', NULL, NULL, 246, NULL, NULL, 19986),
(52713, '2fn4A00', NULL, NULL, 181, NULL, NULL, 19986),
(52714, '3e2iA01', NULL, NULL, 135, NULL, NULL, 19986),
(52715, '3d3qB01', NULL, NULL, 156, NULL, NULL, 19986),
(52716, '3fdiB00', NULL, NULL, 201, NULL, NULL, 19986),
(52717, '1e69A00', NULL, NULL, 322, NULL, NULL, 19986),
(52718, '5lstA02', NULL, NULL, 151, NULL, NULL, 19986),
(52719, '5lstA01', NULL, NULL, 215, NULL, NULL, 19986),
(52720, '2d2eA00', NULL, NULL, 250, NULL, NULL, 19986),
(52721, '4bzpA00', NULL, NULL, 174, NULL, NULL, 19986),
(52722, '5ik2A02', NULL, NULL, 278, NULL, NULL, 19986),
(52723, '3crvA03', NULL, NULL, 197, NULL, NULL, 19986),
(52724, '3zvlA02', NULL, NULL, 185, NULL, NULL, 19986),
(52725, '1zcaA01', NULL, NULL, 204, NULL, NULL, 19986),
(52726, '1w5sA02', NULL, NULL, 190, NULL, NULL, 19986),
(52727, '3sfzA01', NULL, NULL, 183, NULL, NULL, 19986),
(52728, '1darA01', NULL, NULL, 286, NULL, NULL, 19986),
(52729, '2b6hA00', NULL, NULL, 176, NULL, NULL, 19986),
(52730, '4tmkA00', NULL, NULL, 213, NULL, NULL, 19986),
(52731, '6hviA01', NULL, NULL, 211, NULL, NULL, 19986),
(52732, '4b3fX01', NULL, NULL, 331, NULL, NULL, 19986),
(52733, '4zkdA01', NULL, NULL, 270, NULL, NULL, 19986),
(52734, '5ck3F00', NULL, NULL, 227, NULL, NULL, 19986),
(52735, '4b3fX03', NULL, NULL, 207, NULL, NULL, 19986),
(52736, '1uptG00', NULL, NULL, 171, NULL, NULL, 19986),
(52737, '3kb1A01', NULL, NULL, 241, NULL, NULL, 19986),
(52738, '3b9qA02', NULL, NULL, 211, NULL, NULL, 19986),
(52739, '3tauA01', NULL, NULL, 148, NULL, NULL, 19986),
(52740, '3kjhA00', NULL, NULL, 254, NULL, NULL, 19986),
(52741, '4bloG01', NULL, NULL, 253, NULL, NULL, 19986),
(52742, '4tmvA01', NULL, NULL, 232, NULL, NULL, 19986),
(52743, '2qenA01', NULL, NULL, 202, NULL, NULL, 19986),
(52744, '2dpyB02', NULL, NULL, 269, NULL, NULL, 19986),
(52745, '3ja8204', NULL, NULL, 347, NULL, NULL, 19986),
(52746, '3uanB00', NULL, NULL, 269, NULL, NULL, 19986),
(52747, '1skyB02', NULL, NULL, 278, NULL, NULL, 19986),
(52748, '2ocpA00', NULL, NULL, 241, NULL, NULL, 19986),
(52749, '3qxcA00', NULL, NULL, 224, NULL, NULL, 19986),
(52750, '2w2tA00', NULL, NULL, 185, NULL, NULL, 19986),
(52751, '2c9oA01', NULL, NULL, 237, NULL, NULL, 19986),
(52752, '2atvA00', NULL, NULL, 170, NULL, NULL, 19986),
(52753, '1xp8A01', NULL, NULL, 243, NULL, NULL, 19986),
(52754, '5k9tA01', NULL, NULL, 266, NULL, NULL, 19986),
(52755, '4hutA00', NULL, NULL, 191, NULL, NULL, 19986),
(52756, '5do9A01', NULL, NULL, 196, NULL, NULL, 19986),
(52757, '1kagA00', NULL, NULL, 173, NULL, NULL, 19986),
(52758, '1akyA00', NULL, NULL, 220, NULL, NULL, 19986),
(52759, '5dgxA00', NULL, NULL, 256, NULL, NULL, 19986),
(52760, '4zv4A01', NULL, NULL, 206, NULL, NULL, 19986),
(52761, '6aibA00', NULL, NULL, 214, NULL, NULL, 19986),
(52762, '1s1mA01', NULL, NULL, 285, NULL, NULL, 19986),
(52763, '3io3A01', NULL, NULL, 238, NULL, NULL, 19986),
(52764, '2h92A00', NULL, NULL, 219, NULL, NULL, 19986);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(52765, '2zjoA02', NULL, NULL, 136, NULL, NULL, 19986),
(52766, '1d2nA01', NULL, NULL, 172, NULL, NULL, 19986),
(52767, '3ug7C00', NULL, NULL, 308, NULL, NULL, 19986),
(52768, '2qorA01', NULL, NULL, 139, NULL, NULL, 19986),
(52769, '1f2uB00', NULL, NULL, 148, NULL, NULL, 19986),
(52770, '1puiA00', NULL, NULL, 210, NULL, NULL, 19986),
(52771, '4a0gD01', NULL, NULL, 295, NULL, NULL, 19986),
(52772, '4crwB00', NULL, NULL, 163, NULL, NULL, 19986),
(52773, '3tuiD01', NULL, NULL, 232, NULL, NULL, 19986),
(52774, '5llbA00', NULL, NULL, 246, NULL, NULL, 19986),
(52775, '3c5cB00', NULL, NULL, 168, NULL, NULL, 19986),
(52776, '2px0A02', NULL, NULL, 185, NULL, NULL, 19986),
(52777, '4dzzA00', NULL, NULL, 206, NULL, NULL, 19986),
(52778, '4r7zF00', NULL, NULL, 338, NULL, NULL, 19986),
(52779, '2zu6C01', NULL, NULL, 220, NULL, NULL, 19986),
(52780, '4y0vA00', NULL, NULL, 178, NULL, NULL, 19986),
(52781, '3fe2A00', NULL, NULL, 242, NULL, NULL, 19986),
(52782, '4qbiB00', NULL, NULL, 217, NULL, NULL, 19986),
(52783, '4b3xA02', NULL, NULL, 172, NULL, NULL, 19986),
(52784, '4a8jF00', NULL, NULL, 280, NULL, NULL, 19986),
(52785, '2xj4A00', NULL, NULL, 286, NULL, NULL, 19986),
(52786, '3q3jB00', NULL, NULL, 188, NULL, NULL, 19986),
(52787, '3tszA03', NULL, NULL, 176, NULL, NULL, 19986),
(52788, '1nktA03', NULL, NULL, 218, NULL, NULL, 19986),
(52789, '5x40A00', NULL, NULL, 292, NULL, NULL, 19986),
(52790, '1nktA01', NULL, NULL, 305, NULL, NULL, 19986),
(52791, '4edhB00', NULL, NULL, 213, NULL, NULL, 19986),
(52792, '3vr4A02', NULL, NULL, 294, NULL, NULL, 19986),
(52793, '5supC01', NULL, NULL, 220, NULL, NULL, 19986),
(52794, '2xzlA05', NULL, NULL, 212, NULL, NULL, 19986),
(52795, '4ag6A01', NULL, NULL, 252, NULL, NULL, 19986),
(52796, '2xzlA03', NULL, NULL, 214, NULL, NULL, 19986),
(52797, '1gkuB02', NULL, NULL, 213, NULL, NULL, 19986),
(52798, '1gkuB03', NULL, NULL, 186, NULL, NULL, 19986),
(52799, '5f9fA02', NULL, NULL, 177, NULL, NULL, 19986),
(52800, '4loaA00', NULL, NULL, 173, NULL, NULL, 19986),
(52801, '6if3B00', NULL, NULL, 186, NULL, NULL, 19986),
(52802, '2xtmA00', NULL, NULL, 214, NULL, NULL, 19986),
(52803, '3tw4B00', NULL, NULL, 271, NULL, NULL, 19986),
(52804, '3tsoA00', NULL, NULL, 178, NULL, NULL, 19986),
(52805, '1nrjB00', NULL, NULL, 218, NULL, NULL, 19986),
(52806, '5xc5A00', NULL, NULL, 176, NULL, NULL, 19986),
(52807, '5cdfA02', NULL, NULL, 287, NULL, NULL, 19986),
(52808, '3dmnA00', NULL, NULL, 174, NULL, NULL, 19986),
(52809, '2qm8A02', NULL, NULL, 212, NULL, NULL, 19986),
(52810, '3n70A00', NULL, NULL, 145, NULL, NULL, 19986),
(52811, '4hseA02', NULL, NULL, 201, NULL, NULL, 19986),
(52812, '4hseA01', NULL, NULL, 196, NULL, NULL, 19986),
(52813, '1g3mB00', NULL, NULL, 294, NULL, NULL, 19986),
(52814, '1t9hA02', NULL, NULL, 165, NULL, NULL, 19986),
(52815, '1q3tA00', NULL, NULL, 236, NULL, NULL, 19986),
(52816, '4lv5B02', NULL, NULL, 183, NULL, NULL, 19986),
(52817, '2gj8D00', NULL, NULL, 172, NULL, NULL, 19986),
(52818, '4jlvA00', NULL, NULL, 269, NULL, NULL, 19986),
(52819, '2qnrA00', NULL, NULL, 284, NULL, NULL, 19986),
(52820, '3peyA02', NULL, NULL, 187, NULL, NULL, 19986),
(52821, '2d7cA00', NULL, NULL, 167, NULL, NULL, 19986),
(52822, '2fwrA03', NULL, NULL, 199, NULL, NULL, 19986),
(52823, '3peyA01', NULL, NULL, 208, NULL, NULL, 19986),
(52824, '5de3A00', NULL, NULL, 169, NULL, NULL, 19986),
(52825, '2fwrA02', NULL, NULL, 178, NULL, NULL, 19986),
(52826, '1cipA01', NULL, NULL, 204, NULL, NULL, 19986),
(52827, '1rifA02', NULL, NULL, 192, NULL, NULL, 19986),
(52828, '4wsiB03', NULL, NULL, 209, NULL, NULL, 19986),
(52829, '1yksA01', NULL, NULL, 181, NULL, NULL, 19986),
(52830, '1yksA02', NULL, NULL, 143, NULL, NULL, 19986),
(52831, '2zr9A01', NULL, NULL, 242, NULL, NULL, 19986),
(52832, '2gcoA01', NULL, NULL, 180, NULL, NULL, 19986),
(52833, '1wmsA00', NULL, NULL, 177, NULL, NULL, 19986),
(52834, '1njgA01', NULL, NULL, 184, NULL, NULL, 19986),
(52835, '3cbqA00', NULL, NULL, 174, NULL, NULL, 19986),
(52836, '2dy1A01', NULL, NULL, 280, NULL, NULL, 19986),
(52837, '2iyvA00', NULL, NULL, 184, NULL, NULL, 19986);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(52838, '2cvhA01', NULL, NULL, 214, NULL, NULL, 19986),
(52839, '3gj0A00', NULL, NULL, 221, NULL, NULL, 19986),
(52840, '5hciC00', NULL, NULL, 261, NULL, NULL, 19986),
(52841, '2bbsB00', NULL, NULL, 252, NULL, NULL, 19986),
(52842, '2a5yC01', NULL, NULL, 182, NULL, NULL, 19986),
(52843, '5xr6A00', NULL, NULL, 175, NULL, NULL, 19986),
(52844, '3l43C00', NULL, NULL, 251, NULL, NULL, 19986),
(52845, '3doeA00', NULL, NULL, 192, NULL, NULL, 19986),
(52846, '2c78A01', NULL, NULL, 213, NULL, NULL, 19986),
(52847, '5bn3A02', NULL, NULL, 292, NULL, NULL, 19986),
(52848, '5bykA00', NULL, NULL, 259, NULL, NULL, 19986),
(52849, '1xmvA01', NULL, NULL, 243, NULL, NULL, 19986),
(52850, '2yogA00', NULL, NULL, 210, NULL, NULL, 19986),
(52851, '1ofuX00', NULL, NULL, 119, NULL, NULL, 19986),
(52852, '3aq4A00', NULL, NULL, 184, NULL, NULL, 19986),
(52853, '3vfdA01', NULL, NULL, 209, NULL, NULL, 19986),
(52854, '1xzpA03', NULL, NULL, 167, NULL, NULL, 19986),
(52855, '4r7zH00', NULL, NULL, 338, NULL, NULL, 19986),
(52856, '4r98B01', NULL, NULL, 175, NULL, NULL, 19986),
(52857, '5c78A02', NULL, NULL, 226, NULL, NULL, 19986),
(52858, '2rb4A00', NULL, NULL, 175, NULL, NULL, 19986),
(52859, '4q03A00', NULL, NULL, 170, NULL, NULL, 19986),
(52860, '3pvsB01', NULL, NULL, 164, NULL, NULL, 19986),
(52861, '3zgxA01', NULL, NULL, 302, NULL, NULL, 19986),
(52862, '4mkgA00', NULL, NULL, 217, NULL, NULL, 19986),
(52863, '4hziB00', NULL, NULL, 263, NULL, NULL, 19986),
(52864, '3ozxA01', NULL, NULL, 253, NULL, NULL, 19986),
(52865, '5x86A00', NULL, NULL, 198, NULL, NULL, 19986),
(52866, '3ozxA02', NULL, NULL, 268, NULL, NULL, 19986),
(52867, '2z0mA01', NULL, NULL, 191, NULL, NULL, 19986),
(52868, '3rnlA00', NULL, NULL, 258, NULL, NULL, 19986),
(52869, '2z0mA02', NULL, NULL, 146, NULL, NULL, 19986),
(52870, '3ziaD02', NULL, NULL, 275, NULL, NULL, 19986),
(52871, '4abyD00', NULL, NULL, 378, NULL, NULL, 19986),
(52872, '2bdtA00', NULL, NULL, 189, NULL, NULL, 19986),
(52873, '3bd9A00', NULL, NULL, 262, NULL, NULL, 19986),
(52874, '4qm6A00', NULL, NULL, 171, NULL, NULL, 19986),
(52875, '3zh9B01', NULL, NULL, 143, NULL, NULL, 19986),
(52876, '5vh6A01', NULL, NULL, 288, NULL, NULL, 19986),
(52877, '5aunB01', NULL, NULL, 230, NULL, NULL, 19986),
(52878, '2wooA00', NULL, NULL, 329, NULL, NULL, 19986),
(52879, '3rabA00', NULL, NULL, 169, NULL, NULL, 19986),
(52880, '5w7qA01', NULL, NULL, 194, NULL, NULL, 19986),
(52881, '2j0vB00', NULL, NULL, 184, NULL, NULL, 19986),
(52882, '2j1lA00', NULL, NULL, 183, NULL, NULL, 19986),
(52883, '2wjiA00', NULL, NULL, 165, NULL, NULL, 19986),
(52884, '2atxA00', NULL, NULL, 194, NULL, NULL, 19986),
(52885, '3io5A00', NULL, NULL, 315, NULL, NULL, 19986),
(52886, '1xjcA00', NULL, NULL, 169, NULL, NULL, 19986),
(52887, '1q44A00', NULL, NULL, 326, NULL, NULL, 19986),
(52888, '4kj0V01', NULL, NULL, 303, NULL, NULL, 19986),
(52889, '2cdnA00', NULL, NULL, 201, NULL, NULL, 19986),
(52890, '6mjpA00', NULL, NULL, 241, NULL, NULL, 19986),
(52891, '2p5tF00', NULL, NULL, 253, NULL, NULL, 19986),
(52892, '4q7kA00', NULL, NULL, 226, NULL, NULL, 19986),
(52893, '2chgA01', NULL, NULL, 160, NULL, NULL, 19986),
(52894, '6n4lA00', NULL, NULL, 289, NULL, NULL, 19986),
(52895, '2v1xA02', NULL, NULL, 200, NULL, NULL, 19986),
(52896, '4ohxA02', NULL, NULL, 232, NULL, NULL, 19986),
(52897, '3trfA00', NULL, NULL, 185, NULL, NULL, 19986),
(52898, '2v1xA01', NULL, NULL, 235, NULL, NULL, 19986),
(52899, '3tlxA00', NULL, NULL, 243, NULL, NULL, 19986),
(52900, '3gehA03', NULL, NULL, 166, NULL, NULL, 19986),
(52901, '3nxsA02', NULL, NULL, 211, NULL, NULL, 19986),
(52902, '4zw2A02', NULL, NULL, 184, NULL, NULL, 19986),
(52903, '3p26A01', NULL, NULL, 256, NULL, NULL, 19986),
(52904, '5v2qA02', NULL, NULL, 199, NULL, NULL, 19986),
(52905, '2ov8A01', NULL, NULL, 189, NULL, NULL, 19986),
(52906, '3a58F00', NULL, NULL, 188, NULL, NULL, 19986),
(52907, '4gbmA00', NULL, NULL, 295, NULL, NULL, 19986),
(52908, '5h8wA04', NULL, NULL, 206, NULL, NULL, 19986),
(52909, '1dg3A02', NULL, NULL, 283, NULL, NULL, 19986),
(52910, '6aqeA00', NULL, NULL, 266, NULL, NULL, 19986);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(52911, '3pfiA01', NULL, NULL, 162, NULL, NULL, 19986),
(52912, '1u0jA02', NULL, NULL, 212, NULL, NULL, 19986),
(52913, '4z51A00', NULL, NULL, 271, NULL, NULL, 19986),
(52914, '4ppfA01', NULL, NULL, 242, NULL, NULL, 19986),
(52915, '2an9A01', NULL, NULL, 147, NULL, NULL, 19986),
(52916, '4r7yA04', NULL, NULL, 344, NULL, NULL, 19986),
(52917, '5ee5B00', NULL, NULL, 171, NULL, NULL, 19986),
(52918, '3gmtA00', NULL, NULL, 212, NULL, NULL, 19986),
(52919, '1vmaA02', NULL, NULL, 211, NULL, NULL, 19986),
(52920, '2qgnA01', NULL, NULL, 171, NULL, NULL, 19986),
(52921, '3sjbA00', NULL, NULL, 327, NULL, NULL, 19986),
(52922, '2fh5B00', NULL, NULL, 214, NULL, NULL, 19986),
(52923, '2bmfA02', NULL, NULL, 160, NULL, NULL, 19986),
(52924, '1lvgA02', NULL, NULL, 129, NULL, NULL, 19986),
(52925, '1mozA00', NULL, NULL, 183, NULL, NULL, 19986),
(52926, '2jaqA00', NULL, NULL, 205, NULL, NULL, 19986),
(52927, '3nbzC00', NULL, NULL, 176, NULL, NULL, 19986),
(52928, '1gotA01', NULL, NULL, 212, NULL, NULL, 19986),
(52929, '3wndA01', NULL, NULL, 172, NULL, NULL, 19986),
(52930, '4ad8A01', NULL, NULL, 300, NULL, NULL, 19986),
(52931, '3i5xA01', NULL, NULL, 247, NULL, NULL, 19986),
(52932, '3i5xA02', NULL, NULL, 260, NULL, NULL, 19986),
(52933, '3t34A00', NULL, NULL, 360, NULL, NULL, 19986),
(52934, '2yyzA01', NULL, NULL, 238, NULL, NULL, 19986),
(52935, '4o0mC02', NULL, NULL, 251, NULL, NULL, 19986),
(52936, '4lgmA01', NULL, NULL, 174, NULL, NULL, 19986),
(52937, '4r7zB00', NULL, NULL, 338, NULL, NULL, 19986),
(52938, '1z08C00', NULL, NULL, 170, NULL, NULL, 19986),
(52939, '2al7A00', NULL, NULL, 168, NULL, NULL, 19986),
(52940, '1pf4A02', NULL, NULL, 247, NULL, NULL, 19986),
(52941, '3clvA00', NULL, NULL, 177, NULL, NULL, 19986),
(52942, '4nkrE00', NULL, NULL, 166, NULL, NULL, 19986),
(52943, '2hcjB01', NULL, NULL, 144, NULL, NULL, 19986),
(52944, '6au6A01', NULL, NULL, 220, NULL, NULL, 19986),
(52945, '2vliB00', NULL, NULL, 183, NULL, NULL, 19986),
(52946, '4q4hB02', NULL, NULL, 255, NULL, NULL, 19986),
(52947, '1vg8A00', NULL, NULL, 190, NULL, NULL, 19986),
(52948, '3adkA00', NULL, NULL, 195, NULL, NULL, 19986),
(52949, '4tl9F00', NULL, NULL, 236, NULL, NULL, 19986),
(52950, '4pzlD00', NULL, NULL, 219, NULL, NULL, 19986),
(52951, '1yqtA02', NULL, NULL, 263, NULL, NULL, 19986),
(52952, '5upkC00', NULL, NULL, 185, NULL, NULL, 19986),
(52953, '1byiA00', NULL, NULL, 224, NULL, NULL, 19986),
(52954, '2j87D01', NULL, NULL, 134, NULL, NULL, 19986),
(52955, '3c7kC01', NULL, NULL, 202, NULL, NULL, 19986),
(52956, '2zq5A00', NULL, NULL, 384, NULL, NULL, 19986),
(52957, '1yqtA01', NULL, NULL, 251, NULL, NULL, 19986),
(52958, '2qtfA03', NULL, NULL, 186, NULL, NULL, 19986),
(52959, '3zqjA05', NULL, NULL, 203, NULL, NULL, 19986),
(52960, '4hatA00', NULL, NULL, 216, NULL, NULL, 19986),
(52961, '1ye8A00', NULL, NULL, 178, NULL, NULL, 19986),
(52962, '2ce2X00', NULL, NULL, 166, NULL, NULL, 19986),
(52963, '3zqjA01', NULL, NULL, 199, NULL, NULL, 19986),
(52964, '5mkkA02', NULL, NULL, 271, NULL, NULL, 19986),
(52965, '1sxjB01', NULL, NULL, 166, NULL, NULL, 19986),
(52966, '1yzqA00', NULL, NULL, 170, NULL, NULL, 19986),
(52967, '2ga8A00', NULL, NULL, 359, NULL, NULL, 19986),
(52968, '1m7bA00', NULL, NULL, 184, NULL, NULL, 19986),
(52969, '1aztB01', NULL, NULL, 220, NULL, NULL, 19986),
(52970, '3tlxC02', NULL, NULL, 148, NULL, NULL, 19986),
(52971, '6b5dA01', NULL, NULL, 221, NULL, NULL, 19986),
(52972, '4wxpA01', NULL, NULL, 147, NULL, NULL, 19986),
(52973, '2vf7B01', NULL, NULL, 335, NULL, NULL, 19986),
(52974, '3vkhA08', NULL, NULL, 354, NULL, NULL, 19986),
(52975, '1khtB00', NULL, NULL, 192, NULL, NULL, 19986),
(52976, '4wxpA02', NULL, NULL, 136, NULL, NULL, 19986),
(52977, '1z06A00', NULL, NULL, 171, NULL, NULL, 19986),
(52978, '3defA00', NULL, NULL, 262, NULL, NULL, 19986),
(52979, '5fuwA01', NULL, NULL, 135, NULL, NULL, 19986),
(52980, '2zejB02', NULL, NULL, 105, NULL, NULL, 19986),
(52981, '2yhsA02', NULL, NULL, 219, NULL, NULL, 19986),
(52982, '2zpaA02', NULL, NULL, 136, NULL, NULL, 19986),
(52983, '1hyqA00', NULL, NULL, 233, NULL, NULL, 19986);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(52984, '3ktaB00', NULL, NULL, 173, NULL, NULL, 19986),
(52985, '2fdcA01', NULL, NULL, 157, NULL, NULL, 19986),
(52986, '2vf7B03', NULL, NULL, 300, NULL, NULL, 19986),
(52987, '2wv9A02', NULL, NULL, 147, NULL, NULL, 19986),
(52988, '4ne2B00', NULL, NULL, 308, NULL, NULL, 19986),
(52989, '3qf7A01', NULL, NULL, 296, NULL, NULL, 19986),
(52990, '4lhwB00', NULL, NULL, 174, NULL, NULL, 19986),
(52991, '3k9gA00', NULL, NULL, 242, NULL, NULL, 19986),
(52992, '5ub8A01', NULL, NULL, 174, NULL, NULL, 19986),
(52993, '5jszA00', NULL, NULL, 282, NULL, NULL, 19986),
(52994, '3fwyA00', NULL, NULL, 268, NULL, NULL, 19986),
(52995, '4mitC00', NULL, NULL, 186, NULL, NULL, 19986),
(52996, '3ihlB00', NULL, NULL, 238, NULL, NULL, 19986),
(52997, '1ixsB01', NULL, NULL, 167, NULL, NULL, 19986),
(52998, '1ryhA00', NULL, NULL, 171, NULL, NULL, 19986),
(52999, '4ernA00', NULL, NULL, 237, NULL, NULL, 19986),
(53000, '2o8bB05', NULL, NULL, 263, NULL, NULL, 19986),
(53001, '5cyoB00', NULL, NULL, 274, NULL, NULL, 19986),
(53002, '5o8wA01', NULL, NULL, 236, NULL, NULL, 19986),
(53003, '2ohfA01', NULL, NULL, 189, NULL, NULL, 19986),
(53004, '3vkhA12', NULL, NULL, 174, NULL, NULL, 19986),
(53005, '2pt7A02', NULL, NULL, 187, NULL, NULL, 19986),
(53006, '3iuyA00', NULL, NULL, 228, NULL, NULL, 19986),
(53007, '3jvvB02', NULL, NULL, 256, NULL, NULL, 19986),
(53008, '2zj8A01', NULL, NULL, 193, NULL, NULL, 19986),
(53009, '5yk4B05', NULL, NULL, 225, NULL, NULL, 19986),
(53010, '5wriB00', NULL, NULL, 278, NULL, NULL, 19986),
(53011, '5jbqA01', NULL, NULL, 194, NULL, NULL, 19986),
(53012, '2zj8A02', NULL, NULL, 198, NULL, NULL, 19986),
(53013, '1v43A01', NULL, NULL, 246, NULL, NULL, 19986),
(53014, '2qt1A00', NULL, NULL, 207, NULL, NULL, 19986),
(53015, '1n0uA01', NULL, NULL, 212, NULL, NULL, 19986),
(53016, '1u9iA02', NULL, NULL, 248, NULL, NULL, 19986),
(53017, '3ea0A00', NULL, NULL, 245, NULL, NULL, 19986),
(53018, '1s2mA01', NULL, NULL, 205, NULL, NULL, 19986),
(53019, '3czpA02', NULL, NULL, 259, NULL, NULL, 19986),
(53020, '1fx0A02', NULL, NULL, 278, NULL, NULL, 19986),
(53021, '4uxhA01', NULL, NULL, 137, NULL, NULL, 19986),
(53022, '1s2mA02', NULL, NULL, 175, NULL, NULL, 19986),
(53023, '1kjwA02', NULL, NULL, 121, NULL, NULL, 19986),
(53024, '2iwrA00', NULL, NULL, 178, NULL, NULL, 19986),
(53025, '2z83A01', NULL, NULL, 194, NULL, NULL, 19986),
(53026, '3rwoA01', NULL, NULL, 178, NULL, NULL, 19986),
(53027, '1rz3A00', NULL, NULL, 201, NULL, NULL, 19986),
(53028, '1d5cA00', NULL, NULL, 162, NULL, NULL, 19986),
(53029, '4c9bA01', NULL, NULL, 222, NULL, NULL, 19986),
(53030, '4r7zD00', NULL, NULL, 338, NULL, NULL, 19986),
(53031, '4c9bA02', NULL, NULL, 169, NULL, NULL, 19986),
(53032, '1ji0A00', NULL, NULL, 240, NULL, NULL, 19986),
(53033, '4fw9A01', NULL, NULL, 283, NULL, NULL, 19986),
(53034, '5xu1A00', NULL, NULL, 245, NULL, NULL, 19986),
(53035, '3berA00', NULL, NULL, 220, NULL, NULL, 19986),
(53036, '2reoA01', NULL, NULL, 207, NULL, NULL, 19986),
(53037, '2i3bA00', NULL, NULL, 189, NULL, NULL, 19986),
(53038, '2ja1A01', NULL, NULL, 143, NULL, NULL, 19986),
(53039, '4b3bA00', NULL, NULL, 231, NULL, NULL, 19986),
(53040, '2f1rA00', NULL, NULL, 171, NULL, NULL, 19986),
(53041, '2oljA00', NULL, NULL, 242, NULL, NULL, 19986),
(53042, '2yz2B00', NULL, NULL, 266, NULL, NULL, 19986),
(53043, '5supA02', NULL, NULL, 170, NULL, NULL, 19986),
(53044, '2qagB00', NULL, NULL, 291, NULL, NULL, 19986),
(53045, '4qbgB00', NULL, NULL, 217, NULL, NULL, 19986),
(53046, '6mitE00', NULL, NULL, 241, NULL, NULL, 19986),
(53047, '4phtA03', NULL, NULL, 274, NULL, NULL, 19986),
(53048, '2ce7A01', NULL, NULL, 185, NULL, NULL, 19986),
(53049, '2w83E00', NULL, NULL, 165, NULL, NULL, 19986),
(53050, '4r2hA00', NULL, NULL, 210, NULL, NULL, 19986),
(53051, '2z83A02', NULL, NULL, 143, NULL, NULL, 19986),
(53052, '4blpB00', NULL, NULL, 270, NULL, NULL, 19986),
(53053, '3mcaA02', NULL, NULL, 164, NULL, NULL, 19986),
(53054, '3tqfA00', NULL, NULL, 181, NULL, NULL, 19986),
(53055, '4r7zO00', NULL, NULL, 338, NULL, NULL, 19986),
(53056, '3tifA00', NULL, NULL, 235, NULL, NULL, 19986);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(53057, '2db3A01', NULL, NULL, 267, NULL, NULL, 19986),
(53058, '3r7wA01', NULL, NULL, 182, NULL, NULL, 19986),
(53059, '5x5yA00', NULL, NULL, 247, NULL, NULL, 19986),
(53060, '1p72A00', NULL, NULL, 334, NULL, NULL, 19986),
(53061, '3w34A00', NULL, NULL, 211, NULL, NULL, 19986),
(53062, '2ynmA00', NULL, NULL, 268, NULL, NULL, 19986),
(53063, '1np6B01', NULL, NULL, 141, NULL, NULL, 19986),
(53064, '2dykA00', NULL, NULL, 161, NULL, NULL, 19986),
(53065, '3qi2A01', NULL, NULL, 191, NULL, NULL, 19986),
(53066, '1knxE02', NULL, NULL, 176, NULL, NULL, 19986),
(53067, '3e1sA03', NULL, NULL, 141, NULL, NULL, 19986),
(53068, '3e1sA02', NULL, NULL, 216, NULL, NULL, 19986),
(53069, '5ty0A01', NULL, NULL, 294, NULL, NULL, 19986),
(53070, '4cidA02', NULL, NULL, 245, NULL, NULL, 19986),
(53071, '5gvrA00', NULL, NULL, 234, NULL, NULL, 19986),
(53072, '3u4qB03', NULL, NULL, 218, NULL, NULL, 19986),
(53073, '3a1sB01', NULL, NULL, 169, NULL, NULL, 19986),
(53074, '2o0jA02', NULL, NULL, 254, NULL, NULL, 19986),
(53075, '5ko2A02', NULL, NULL, 249, NULL, NULL, 19986),
(53076, '6bk7A01', NULL, NULL, 288, NULL, NULL, 19986),
(53077, '4xjxA03', NULL, NULL, 191, NULL, NULL, 19986),
(53078, '4xjxA04', NULL, NULL, 270, NULL, NULL, 19986),
(53079, '2v1uA02', NULL, NULL, 180, NULL, NULL, 19986),
(53080, '2i4iA01', NULL, NULL, 241, NULL, NULL, 19986),
(53081, '1g8pA01', NULL, NULL, 199, NULL, NULL, 19986),
(53082, '4on9B01', NULL, NULL, 263, NULL, NULL, 19986),
(53083, '3fvqA01', NULL, NULL, 242, NULL, NULL, 19986),
(53084, '3a00A01', NULL, NULL, 92, NULL, NULL, 19986),
(53085, '5fl7D02', NULL, NULL, 275, NULL, NULL, 19986),
(53086, '5tshA02', NULL, NULL, 281, NULL, NULL, 19986),
(53087, '1wxqA01', NULL, NULL, 228, NULL, NULL, 19986),
(53088, '1e3mA05', NULL, NULL, 234, NULL, NULL, 19986),
(53089, '3gqbA02', NULL, NULL, 291, NULL, NULL, 19986),
(53090, '2fnaA01', NULL, NULL, 208, NULL, NULL, 19986),
(53091, '2r6fA01', NULL, NULL, 189, NULL, NULL, 19986),
(53092, '5h66B00', NULL, NULL, 188, NULL, NULL, 19986),
(53093, '4mycA02', NULL, NULL, 270, NULL, NULL, 19986),
(53094, '2r6fA05', NULL, NULL, 223, NULL, NULL, 19986),
(53095, '4zciA01', NULL, NULL, 198, NULL, NULL, 19986),
(53096, '1k6mA01', NULL, NULL, 205, NULL, NULL, 19986),
(53097, '4wbsA00', NULL, NULL, 246, NULL, NULL, 19986),
(53098, '4ry2B03', NULL, NULL, 244, NULL, NULL, 19986),
(53099, '2iusA02', NULL, NULL, 303, NULL, NULL, 19986),
(53100, '1ckeA00', NULL, NULL, 227, NULL, NULL, 19986),
(53101, '6bsxA00', NULL, NULL, 178, NULL, NULL, 19986),
(53102, '1e2kA00', NULL, NULL, 331, NULL, NULL, 19986),
(53103, '4blqA00', NULL, NULL, 280, NULL, NULL, 19986),
(53104, '5jxtD00', NULL, NULL, 308, NULL, NULL, 19986),
(53105, '3a4lB01', NULL, NULL, 188, NULL, NULL, 19986),
(53106, '1jqlB00', NULL, NULL, 140, NULL, NULL, 19986),
(53107, '5l3sB02', NULL, NULL, 210, NULL, NULL, 19986),
(53108, '3c5hA00', NULL, NULL, 255, NULL, NULL, 19986),
(53109, '2h17A00', NULL, NULL, 161, NULL, NULL, 19986),
(53110, '2vo1B00', NULL, NULL, 234, NULL, NULL, 19986),
(53111, '1kshA00', NULL, NULL, 170, NULL, NULL, 19986),
(53112, '2yweA01', NULL, NULL, 187, NULL, NULL, 19986),
(53113, '4o3mA02', NULL, NULL, 214, NULL, NULL, 19986),
(53114, '4o3mA01', NULL, NULL, 219, NULL, NULL, 19986),
(53115, '4i99A00', NULL, NULL, 337, NULL, NULL, 19986),
(53116, '3la6M00', NULL, NULL, 286, NULL, NULL, 19986),
(53117, '1hv8A02', NULL, NULL, 151, NULL, NULL, 19986),
(53118, '1hv8A01', NULL, NULL, 210, NULL, NULL, 19986),
(53119, '3bfxB00', NULL, NULL, 296, NULL, NULL, 19986),
(53120, '4d25A01', NULL, NULL, 267, NULL, NULL, 19986),
(53121, '2zu0C00', NULL, NULL, 248, NULL, NULL, 19986),
(53122, '1qhhA00', NULL, NULL, 167, NULL, NULL, 19986),
(53123, '1gvnD00', NULL, NULL, 287, NULL, NULL, 19986),
(53124, '4rz3A00', NULL, NULL, 244, NULL, NULL, 19986),
(53125, '3n2eA00', NULL, NULL, 168, NULL, NULL, 19986),
(53126, '4d25A02', NULL, NULL, 167, NULL, NULL, 19986),
(53127, '5l3rA02', NULL, NULL, 193, NULL, NULL, 19986),
(53128, '3k53A01', NULL, NULL, 170, NULL, NULL, 19986),
(53129, '3oesA00', NULL, NULL, 179, NULL, NULL, 19986);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(53130, '4l15A01', NULL, NULL, 226, NULL, NULL, 19986),
(53131, '3pxgC02', NULL, NULL, 171, NULL, NULL, 19986),
(53132, '4goxA00', NULL, NULL, 313, NULL, NULL, 19986),
(53133, '6cesA01', NULL, NULL, 184, NULL, NULL, 19986),
(53134, '3te6A01', NULL, NULL, 197, NULL, NULL, 19986),
(53135, '1vplA00', NULL, NULL, 256, NULL, NULL, 19986),
(53136, '2vl7A03', NULL, NULL, 193, NULL, NULL, 19986),
(53137, '2vl7A01', NULL, NULL, 179, NULL, NULL, 19986),
(53138, '2o52A01', NULL, NULL, 178, NULL, NULL, 19986),
(53139, '2wsmA00', NULL, NULL, 221, NULL, NULL, 19986),
(53140, '3lluA00', NULL, NULL, 177, NULL, NULL, 19986),
(53141, '2e87A02', NULL, NULL, 196, NULL, NULL, 19986),
(53142, '4f92B08', NULL, NULL, 206, NULL, NULL, 19986),
(53143, '4a8jA00', NULL, NULL, 296, NULL, NULL, 19986),
(53144, '1lv7A01', NULL, NULL, 180, NULL, NULL, 19986),
(53145, '4f92B07', NULL, NULL, 230, NULL, NULL, 19986),
(53146, '4f92B02', NULL, NULL, 228, NULL, NULL, 19986),
(53147, '1yrbA01', NULL, NULL, 258, NULL, NULL, 19986),
(53148, '4f92B01', NULL, NULL, 229, NULL, NULL, 19986),
(53149, '3fb4A00', NULL, NULL, 216, NULL, NULL, 19986),
(53150, '2x19A00', NULL, NULL, 172, NULL, NULL, 19986),
(53151, '2gxqA00', NULL, NULL, 207, NULL, NULL, 19986),
(53152, '1fqjA01', NULL, NULL, 191, NULL, NULL, 19986),
(53153, '3uatA02', NULL, NULL, 121, NULL, NULL, 19986),
(53154, '1z47B01', NULL, NULL, 250, NULL, NULL, 19986),
(53155, '5vcuA00', NULL, NULL, 208, NULL, NULL, 19986),
(53156, '2ipcB01', NULL, NULL, 276, NULL, NULL, 19986),
(53157, '3lrpA00', NULL, NULL, 181, NULL, NULL, 19986),
(53158, '2ck3D02', NULL, NULL, 276, NULL, NULL, 19986),
(53159, '2pezA00', NULL, NULL, 179, NULL, NULL, 19986),
(53160, '5g41A00', NULL, NULL, 223, NULL, NULL, 19986),
(53161, '4a9aA02', NULL, NULL, 172, NULL, NULL, 19986),
(53162, '6an9A00', NULL, NULL, 305, NULL, NULL, 19986),
(53163, '2c95A00', NULL, NULL, 196, NULL, NULL, 19986),
(53164, '4gl2A01', NULL, NULL, 284, NULL, NULL, 19986),
(53165, '5ik2D02', NULL, NULL, 268, NULL, NULL, 19986),
(53166, '4gl2A02', NULL, NULL, 154, NULL, NULL, 19986),
(53167, '4ymuA00', NULL, NULL, 240, NULL, NULL, 19986),
(53168, '2plrA00', NULL, NULL, 213, NULL, NULL, 19986),
(53169, '3oaaD02', NULL, NULL, 269, NULL, NULL, 19986),
(53170, '3qq5A01', NULL, NULL, 180, NULL, NULL, 19986),
(53171, '1uaaA01', NULL, NULL, 196, NULL, NULL, 19986),
(53172, '3nwjA00', NULL, NULL, 219, NULL, NULL, 19986),
(53173, '3regA00', NULL, NULL, 174, NULL, NULL, 19986),
(53174, '4u00A00', NULL, NULL, 244, NULL, NULL, 19986),
(53175, '2wblD00', NULL, NULL, 180, NULL, NULL, 19986),
(53176, '1kaoA00', NULL, NULL, 167, NULL, NULL, 19986),
(53177, '1aquB00', NULL, NULL, 297, NULL, NULL, 19986),
(53178, '2fshB01', NULL, NULL, 262, NULL, NULL, 19986),
(53179, '2qmhB00', NULL, NULL, 188, NULL, NULL, 19986),
(53180, '2dr3A00', NULL, NULL, 247, NULL, NULL, 19986),
(53181, '5he9A00', NULL, NULL, 174, NULL, NULL, 19986),
(53182, '1jbkA00', NULL, NULL, 195, NULL, NULL, 19986),
(53183, '3pg5A00', NULL, NULL, 327, NULL, NULL, 19986),
(53184, '1dpfA00', NULL, NULL, 180, NULL, NULL, 19986),
(53185, '3v9pB00', NULL, NULL, 205, NULL, NULL, 19986),
(53186, '2qi9C00', NULL, NULL, 249, NULL, NULL, 19986),
(53187, '1g3qA00', NULL, NULL, 237, NULL, NULL, 19986),
(53188, '5cm8B00', NULL, NULL, 181, NULL, NULL, 19986),
(53189, '4g1uD00', NULL, NULL, 266, NULL, NULL, 19986),
(53190, '5g53C00', NULL, NULL, 229, NULL, NULL, 19986),
(53191, '6b8dA01', NULL, NULL, 296, NULL, NULL, 19986),
(53192, '2ocbA00', NULL, NULL, 180, NULL, NULL, 19986),
(53193, '2g9nB00', NULL, NULL, 221, NULL, NULL, 19986),
(53194, '4qosA01', NULL, NULL, 179, NULL, NULL, 19986),
(53195, '4s35A00', NULL, NULL, 195, NULL, NULL, 19986),
(53196, '1sxjD01', NULL, NULL, 167, NULL, NULL, 19986),
(53197, '2xzpA01', NULL, NULL, 266, NULL, NULL, 19986),
(53198, '6f7uA00', NULL, NULL, 214, NULL, NULL, 19986),
(53199, '3b85A00', NULL, NULL, 208, NULL, NULL, 19986),
(53200, '3lxxA00', NULL, NULL, 193, NULL, NULL, 19986),
(53201, '5m7oA02', NULL, NULL, 173, NULL, NULL, 19986),
(53202, '2iezA00', NULL, NULL, 192, NULL, NULL, 19986);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(53203, '3q72B00', NULL, NULL, 166, NULL, NULL, 19986),
(53204, '4cz2B00', NULL, NULL, 179, NULL, NULL, 19986),
(53205, '4djtB00', NULL, NULL, 218, NULL, NULL, 19986),
(53206, '3vkwA02', NULL, NULL, 142, NULL, NULL, 19986),
(53207, '1um8A01', NULL, NULL, 271, NULL, NULL, 19986),
(53208, '2j7pD02', NULL, NULL, 208, NULL, NULL, 19986),
(53209, '3vkwA03', NULL, NULL, 148, NULL, NULL, 19986),
(53210, '5jedA00', NULL, NULL, 231, NULL, NULL, 19986),
(53211, '3t5gA00', NULL, NULL, 181, NULL, NULL, 19986),
(53212, '2z43C02', NULL, NULL, 240, NULL, NULL, 19986),
(53213, '5d0uA02', NULL, NULL, 185, NULL, NULL, 19986),
(53214, '4r7zK00', NULL, NULL, 338, NULL, NULL, 19986),
(53215, '3dz8A00', NULL, NULL, 191, NULL, NULL, 19986),
(53216, '5d0uA01', NULL, NULL, 215, NULL, NULL, 19986),
(53217, '1zakA00', NULL, NULL, 222, NULL, NULL, 19986),
(53218, '1l8qA01', NULL, NULL, 166, NULL, NULL, 19986),
(53219, '4q4lA02', NULL, NULL, 269, NULL, NULL, 19986),
(53220, '4ku4A00', NULL, NULL, 206, NULL, NULL, 19986),
(53221, '5x2bJ00', NULL, NULL, 282, NULL, NULL, 19986),
(53222, '5j4lA00', NULL, NULL, 231, NULL, NULL, 19986),
(53223, '4p32B00', NULL, NULL, 230, NULL, NULL, 19986),
(53224, '4tquS01', NULL, NULL, 239, NULL, NULL, 19986),
(53225, '2fsfB03', NULL, NULL, 204, NULL, NULL, 19986),
(53226, '2ht1A02', NULL, NULL, 225, NULL, NULL, 19986),
(53227, '3wmgA02', NULL, NULL, 260, NULL, NULL, 19986),
(53228, '4c0sA01', NULL, NULL, 238, NULL, NULL, 19986),
(53229, '1mv5D00', NULL, NULL, 243, NULL, NULL, 19986),
(53230, '3zd7A02', NULL, NULL, 152, NULL, NULL, 19986),
(53231, '2oap202', NULL, NULL, 281, NULL, NULL, 19986),
(53232, '3p32A02', NULL, NULL, 211, NULL, NULL, 19986),
(53233, '1fuuB01', NULL, NULL, 227, NULL, NULL, 19986),
(53234, '5lddC00', NULL, NULL, 180, NULL, NULL, 19986),
(53235, '1tf5A01', NULL, NULL, 277, NULL, NULL, 19986),
(53236, '6focE02', NULL, NULL, 268, NULL, NULL, 19986),
(53237, '4basA00', NULL, NULL, 199, NULL, NULL, 19986),
(53238, '1tf5A03', NULL, NULL, 202, NULL, NULL, 19986),
(53239, '2ihyA00', NULL, NULL, 279, NULL, NULL, 19986),
(53240, '4ejsA00', NULL, NULL, 239, NULL, NULL, 19986),
(53241, '3dm5A02', NULL, NULL, 194, NULL, NULL, 19986),
(53242, '3fhoA01', NULL, NULL, 192, NULL, NULL, 19986),
(53243, '2qz4A01', NULL, NULL, 176, NULL, NULL, 19986),
(53244, '3thxA05', NULL, NULL, 315, NULL, NULL, 19986),
(53245, '2qeqA02', NULL, NULL, 143, NULL, NULL, 19986),
(53246, '3d3qA01', NULL, NULL, 162, NULL, NULL, 19986),
(53247, '5jwoA00', NULL, NULL, 247, NULL, NULL, 19986),
(53248, '2qeqA01', NULL, NULL, 175, NULL, NULL, 19986),
(53249, '4lcbA01', NULL, NULL, 174, NULL, NULL, 19986),
(53250, '2ph1A00', NULL, NULL, 262, NULL, NULL, 19986),
(53251, '4qrhB01', NULL, NULL, 150, NULL, NULL, 19986),
(53252, '1w1wA00', NULL, NULL, 328, NULL, NULL, 19986),
(53253, '5m32h02', NULL, NULL, 190, NULL, NULL, 19986),
(53254, '4ag5D01', NULL, NULL, 173, NULL, NULL, 19986),
(53255, '3wy9A01', NULL, NULL, 213, NULL, NULL, 19986),
(53256, '1r0xD00', NULL, NULL, 286, NULL, NULL, 19986),
(53257, '2hxsA00', NULL, NULL, 178, NULL, NULL, 19986),
(53258, '2p5sB00', NULL, NULL, 172, NULL, NULL, 19986),
(53259, '3lncA01', NULL, NULL, 150, NULL, NULL, 19986),
(53260, '3h4mA01', NULL, NULL, 187, NULL, NULL, 19986),
(53261, '4p4sA00', NULL, NULL, 303, NULL, NULL, 19986),
(53262, '1yzlA00', NULL, NULL, 179, NULL, NULL, 19986),
(53263, '4rd4A01', NULL, NULL, 207, NULL, NULL, 19986),
(53264, '1gzsA00', NULL, NULL, 180, NULL, NULL, 19986),
(53265, '5idvA01', NULL, NULL, 236, NULL, NULL, 19986),
(53266, '4oi4A02', NULL, NULL, 240, NULL, NULL, 19986),
(53267, '4aytA02', NULL, NULL, 236, NULL, NULL, 19986),
(53268, '3ld9A00', NULL, NULL, 205, NULL, NULL, 19986),
(53269, '4aurA01', NULL, NULL, 279, NULL, NULL, 19986),
(53270, '1bifA01', NULL, NULL, 206, NULL, NULL, 19986),
(53271, '3mgbA01', NULL, NULL, 222, NULL, NULL, 19986),
(53272, '2cbzA00', NULL, NULL, 237, NULL, NULL, 19986),
(53273, '2kwiA00', NULL, NULL, 178, NULL, NULL, 19986),
(53274, '1sq5C00', NULL, NULL, 308, NULL, NULL, 19986),
(53275, '5wdrA00', NULL, NULL, 171, NULL, NULL, 19986);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(53276, '1vcnA01', NULL, NULL, 296, NULL, NULL, 19986),
(53277, '2z4sA01', NULL, NULL, 168, NULL, NULL, 19986),
(53278, '3rc3A03', NULL, NULL, 159, NULL, NULL, 19986),
(53279, '6g2zA01', NULL, NULL, 189, NULL, NULL, 19986),
(53280, '3rc3A04', NULL, NULL, 156, NULL, NULL, 19986),
(53281, '1vhtA00', NULL, NULL, 218, NULL, NULL, 19986),
(53282, '4kxfL01', NULL, NULL, 208, NULL, NULL, 19986),
(53283, '5j47A03', NULL, NULL, 153, NULL, NULL, 19986),
(53284, '3tjzA00', NULL, NULL, 164, NULL, NULL, 19986),
(53285, '3hr8A01', NULL, NULL, 243, NULL, NULL, 19986),
(53286, '3h1tA03', NULL, NULL, 230, NULL, NULL, 19986),
(53287, '2eyqA06', NULL, NULL, 240, NULL, NULL, 19986),
(53288, '5if9B00', NULL, NULL, 273, NULL, NULL, 19986),
(53289, '2eyqA04', NULL, NULL, 249, NULL, NULL, 19986),
(53290, '3h1tA02', NULL, NULL, 202, NULL, NULL, 19986),
(53291, '2ykgA01', NULL, NULL, 224, NULL, NULL, 19986),
(53292, '1o3yA00', NULL, NULL, 166, NULL, NULL, 19986),
(53293, '5cdfE02', NULL, NULL, 277, NULL, NULL, 19986),
(53294, '3fgnD00', NULL, NULL, 225, NULL, NULL, 19986),
(53295, '4r7zM00', NULL, NULL, 338, NULL, NULL, 19986),
(53296, '5l22A02', NULL, NULL, 242, NULL, NULL, 19986),
(53297, '1iqpA01', NULL, NULL, 169, NULL, NULL, 19986),
(53298, '3nvaA01', NULL, NULL, 289, NULL, NULL, 19986),
(53299, '2vhjA01', NULL, NULL, 238, NULL, NULL, 19986),
(53300, '3lv8A00', NULL, NULL, 211, NULL, NULL, 19986),
(53301, '2qbyB02', NULL, NULL, 175, NULL, NULL, 19986),
(53302, '5ocoB00', NULL, NULL, 187, NULL, NULL, 19986),
(53303, '1z6xA00', NULL, NULL, 180, NULL, NULL, 19986),
(53304, '3eccA01', NULL, NULL, 165, NULL, NULL, 19986),
(53305, '4nh0A02', NULL, NULL, 308, NULL, NULL, 19986),
(53306, '4nh0A03', NULL, NULL, 242, NULL, NULL, 19986),
(53307, '3l0iD00', NULL, NULL, 199, NULL, NULL, 19986),
(53308, '4w7sA01', NULL, NULL, 277, NULL, NULL, 19986),
(53309, '2ad1A00', NULL, NULL, 265, NULL, NULL, 19986),
(53310, '1wp9A02', NULL, NULL, 164, NULL, NULL, 19986),
(53311, '4huqB00', NULL, NULL, 279, NULL, NULL, 19986),
(53312, '1nstA00', NULL, NULL, 304, NULL, NULL, 19986),
(53313, '1wp9A01', NULL, NULL, 199, NULL, NULL, 19986),
(53314, '4w7sA02', NULL, NULL, 186, NULL, NULL, 19986),
(53315, '3hjnA00', NULL, NULL, 197, NULL, NULL, 19986),
(53316, '1jr6A00', NULL, NULL, 142, NULL, NULL, 19986),
(53317, '1d2eA01', NULL, NULL, 196, NULL, NULL, 19986),
(53318, '3d31A01', NULL, NULL, 231, NULL, NULL, 19986),
(53319, '3vqtA01', NULL, NULL, 196, NULL, NULL, 19986),
(53320, '3hr7B00', NULL, NULL, 168, NULL, NULL, 19986),
(53321, '5w75C01', NULL, NULL, 198, NULL, NULL, 19986),
(53322, '1lnzA02', NULL, NULL, 185, NULL, NULL, 19986),
(53323, '1heiA02', NULL, NULL, 138, NULL, NULL, 19986),
(53324, '2f6rA00', NULL, NULL, 254, NULL, NULL, 19986),
(53325, '3f8tA03', NULL, NULL, 319, NULL, NULL, 19986),
(53326, '3nbxX01', NULL, NULL, 223, NULL, NULL, 19986),
(53327, '5lbaD01', NULL, NULL, 212, NULL, NULL, 19986),
(53328, '2va8B02', NULL, NULL, 214, NULL, NULL, 19986),
(53329, '5hr5A01', NULL, NULL, 211, NULL, NULL, 19986),
(53330, '1heiA01', NULL, NULL, 135, NULL, NULL, 19986),
(53331, '1oixA00', NULL, NULL, 168, NULL, NULL, 19986),
(53332, '4a4zA02', NULL, NULL, 232, NULL, NULL, 19986),
(53333, '2qmeA00', NULL, NULL, 179, NULL, NULL, 19986),
(53334, '4a4zA01', NULL, NULL, 214, NULL, NULL, 19986),
(53335, '1uj2A00', NULL, NULL, 213, NULL, NULL, 19986),
(53336, '4fwiB00', NULL, NULL, 334, NULL, NULL, 19986),
(53337, '5lbaD02', NULL, NULL, 233, NULL, NULL, 19986),
(53338, '1zd8A00', NULL, NULL, 227, NULL, NULL, 19986),
(53339, '3dzdA02', NULL, NULL, 165, NULL, NULL, 19986),
(53340, '5m04A02', NULL, NULL, 182, NULL, NULL, 19986),
(53341, '1gtvA00', NULL, NULL, 214, NULL, NULL, 19986),
(53342, '3t15A01', NULL, NULL, 185, NULL, NULL, 19986),
(53343, '5ksoA00', NULL, NULL, 170, NULL, NULL, 19986),
(53344, '2heiB00', NULL, NULL, 179, NULL, NULL, 19986),
(53345, '1vytB02', NULL, NULL, 189, NULL, NULL, 19986),
(53346, '2gf0B00', NULL, NULL, 177, NULL, NULL, 19986),
(53347, '3kkqA00', NULL, NULL, 183, NULL, NULL, 19986),
(53348, '5x6lA00', NULL, NULL, 195, NULL, NULL, 19986);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(53349, '1rflA00', NULL, NULL, 172, NULL, NULL, 19986),
(53350, '3kfvA02', NULL, NULL, 149, NULL, NULL, 19986),
(53351, '2gedA00', NULL, NULL, 193, NULL, NULL, 19986),
(53352, '3uk6F01', NULL, NULL, 237, NULL, NULL, 19986),
(53353, '1uf9A00', NULL, NULL, 203, NULL, NULL, 19986),
(53354, '3vu9B00', NULL, NULL, 213, NULL, NULL, 19986),
(53355, '2orwB01', NULL, NULL, 136, NULL, NULL, 19986),
(53356, '2pjrA03', NULL, NULL, 106, NULL, NULL, 19986),
(53357, '3bh0A00', NULL, NULL, 290, NULL, NULL, 19986),
(53358, '4ag6C01', NULL, NULL, 170, NULL, NULL, 19986),
(53359, '1ionA00', NULL, NULL, 243, NULL, NULL, 19986),
(53360, '5expA01', NULL, NULL, 183, NULL, NULL, 19986),
(53361, '5kszA03', NULL, NULL, 103, NULL, NULL, 19986),
(53362, '2ghiD00', NULL, NULL, 260, NULL, NULL, 19986),
(53363, '1w4rA01', NULL, NULL, 132, NULL, NULL, 19986),
(53364, '1r6bX02', NULL, NULL, 182, NULL, NULL, 19986),
(53365, '3e70C02', NULL, NULL, 197, NULL, NULL, 19986),
(53366, '1r6bX04', NULL, NULL, 214, NULL, NULL, 19986),
(53367, '3akeA00', NULL, NULL, 208, NULL, NULL, 19986),
(53368, '3kqnA02', NULL, NULL, 136, NULL, NULL, 19986),
(53369, '2h5eA02', NULL, NULL, 187, NULL, NULL, 19986),
(53370, '1zrhA00', NULL, NULL, 274, NULL, NULL, 19986),
(53371, '1ewqB05', NULL, NULL, 224, NULL, NULL, 19986),
(53372, '3gfoA00', NULL, NULL, 254, NULL, NULL, 19986),
(53373, '2h5eA01', NULL, NULL, 171, NULL, NULL, 19986),
(53374, '4c2uA03', NULL, NULL, 210, NULL, NULL, 19986),
(53375, '4c2uA01', NULL, NULL, 202, NULL, NULL, 19986),
(53376, '4nckB01', NULL, NULL, 339, NULL, NULL, 19986),
(53377, '3bwdD00', NULL, NULL, 182, NULL, NULL, 19986),
(53378, '5eumB00', NULL, NULL, 258, NULL, NULL, 19986),
(53379, '1jj7A01', NULL, NULL, 241, NULL, NULL, 19986),
(53380, '1in4A01', NULL, NULL, 164, NULL, NULL, 19986),
(53381, '3tvtA02', NULL, NULL, 121, NULL, NULL, 19986),
(53382, '6d4gA00', NULL, NULL, 253, NULL, NULL, 19986),
(53383, '2jeoA00', NULL, NULL, 223, NULL, NULL, 19986),
(53384, '3rhfD00', NULL, NULL, 289, NULL, NULL, 19986),
(53385, '1g16C00', NULL, NULL, 170, NULL, NULL, 19986),
(53386, '4r7zG00', NULL, NULL, 338, NULL, NULL, 19986),
(53387, '4w5wA01', NULL, NULL, 185, NULL, NULL, 19986),
(53388, '6bzsA00', NULL, NULL, 238, NULL, NULL, 19986),
(53389, '1xtiA02', NULL, NULL, 166, NULL, NULL, 19986),
(53390, '1vyvB02', NULL, NULL, 168, NULL, NULL, 19986),
(53391, '1ex7A02', NULL, NULL, 126, NULL, NULL, 19986),
(53392, '5uhvA00', NULL, NULL, 166, NULL, NULL, 19986),
(53393, '4c0kA03', NULL, NULL, 103, NULL, NULL, 19986),
(53394, '5x6jA00', NULL, NULL, 217, NULL, NULL, 19986),
(53395, '1z6tA02', NULL, NULL, 177, NULL, NULL, 19986),
(53396, '1efhA00', NULL, NULL, 292, NULL, NULL, 19986),
(53397, '4i1sA02', NULL, NULL, 116, NULL, NULL, 19986),
(53398, '4zo4A00', NULL, NULL, 204, NULL, NULL, 19986),
(53399, '2rcnA02', NULL, NULL, 173, NULL, NULL, 19986),
(53400, '1ojlB01', NULL, NULL, 175, NULL, NULL, 19986),
(53401, '2dbyA01', NULL, NULL, 171, NULL, NULL, 19986),
(53402, '2obnA02', NULL, NULL, 214, NULL, NULL, 19986),
(53403, '2ztsA00', NULL, NULL, 251, NULL, NULL, 19986),
(53404, '3vqtD02', NULL, NULL, 191, NULL, NULL, 19986),
(53405, '2xexA01', NULL, NULL, 285, NULL, NULL, 19986),
(53406, '6n0iA01', NULL, NULL, 297, NULL, NULL, 19986),
(53407, '3fkqA02', NULL, NULL, 237, NULL, NULL, 19986),
(53408, '3l2oB02', NULL, NULL, 205, NULL, NULL, 19986),
(53409, '1h65B00', NULL, NULL, 270, NULL, NULL, 19986),
(53410, '2cjwA00', NULL, NULL, 192, NULL, NULL, 19986),
(53411, '3w9yA01', NULL, NULL, 139, NULL, NULL, 19986),
(53412, '1mr3F00', NULL, NULL, 181, NULL, NULL, 19986),
(53413, '4nphA01', NULL, NULL, 270, NULL, NULL, 19986),
(53414, '3cioA00', NULL, NULL, 275, NULL, NULL, 19986),
(53415, '1c4oA01', NULL, NULL, 153, NULL, NULL, 19986),
(53416, '4e22A00', NULL, NULL, 230, NULL, NULL, 19986),
(53417, '1c4oA03', NULL, NULL, 175, NULL, NULL, 19986),
(53418, '3ly5A00', NULL, NULL, 217, NULL, NULL, 19986),
(53419, '1qhxA00', NULL, NULL, 178, NULL, NULL, 19986),
(53420, '3h86A00', NULL, NULL, 192, NULL, NULL, 19986),
(53421, '1c9kB00', NULL, NULL, 180, NULL, NULL, 19986);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(53422, '4nu0A00', NULL, NULL, 217, NULL, NULL, 19986),
(53423, '4mkiB00', NULL, NULL, 298, NULL, NULL, 19986),
(53424, '3tauB01', NULL, NULL, 148, NULL, NULL, 19986),
(53425, '2a5dA00', NULL, NULL, 175, NULL, NULL, 19986),
(53426, '3t1oA00', NULL, NULL, 198, NULL, NULL, 19986),
(53427, '3ez9A02', NULL, NULL, 294, NULL, NULL, 19986),
(53428, '5eqtA01', NULL, NULL, 175, NULL, NULL, 19986),
(53429, '2h57B00', NULL, NULL, 171, NULL, NULL, 19986),
(53430, '4f4cA03', NULL, NULL, 254, NULL, NULL, 19986),
(53431, '1fmjA00', NULL, NULL, 351, NULL, NULL, 19986),
(53432, '4f4cA02', NULL, NULL, 253, NULL, NULL, 19986),
(53433, '2onkA00', NULL, NULL, 240, NULL, NULL, 19986),
(53434, '2d7dA01', NULL, NULL, 163, NULL, NULL, 19986),
(53435, '2fzlA01', NULL, NULL, 135, NULL, NULL, 19986),
(53436, '3b9pA01', NULL, NULL, 213, NULL, NULL, 19986),
(53437, '1vecA00', NULL, NULL, 206, NULL, NULL, 19986),
(53438, '5ep2A01', NULL, NULL, 174, NULL, NULL, 19986),
(53439, '1tadC01', NULL, NULL, 205, NULL, NULL, 19986),
(53440, '2d7dA04', NULL, NULL, 177, NULL, NULL, 19986),
(53441, '1ixzA01', NULL, NULL, 185, NULL, NULL, 19986),
(53442, '1z3iX02', NULL, NULL, 243, NULL, NULL, 19986),
(53443, '3iqwB00', NULL, NULL, 264, NULL, NULL, 19986),
(53444, '5szjA00', NULL, NULL, 177, NULL, NULL, 19986),
(53445, '3tbkA01', NULL, NULL, 247, NULL, NULL, 19986),
(53446, '3tbkA02', NULL, NULL, 166, NULL, NULL, 19986),
(53447, '1f2uA00', NULL, NULL, 149, NULL, NULL, 19986),
(53448, '1j8mF02', NULL, NULL, 194, NULL, NULL, 19986),
(53449, '1x3sA00', NULL, NULL, 195, NULL, NULL, 19986),
(53450, '5x7kB00', NULL, NULL, 241, NULL, NULL, 19986),
(53451, '4hluD00', NULL, NULL, 268, NULL, NULL, 19986),
(53452, '1nksA00', NULL, NULL, 194, NULL, NULL, 19986),
(53453, '4r7zI00', NULL, NULL, 338, NULL, NULL, 19986),
(53454, '4y0aA00', NULL, NULL, 179, NULL, NULL, 19986),
(53455, '2p6rA01', NULL, NULL, 197, NULL, NULL, 19986),
(53456, '2p6rA02', NULL, NULL, 196, NULL, NULL, 19986),
(53457, '1z29A00', NULL, NULL, 295, NULL, NULL, 19986),
(53458, '1ek0A00', NULL, NULL, 170, NULL, NULL, 19986),
(53459, '2zu6F01', NULL, NULL, 159, NULL, NULL, 19986),
(53460, '4hi0E00', NULL, NULL, 199, NULL, NULL, 19986),
(53461, '2q6tD02', NULL, NULL, 260, NULL, NULL, 19986),
(53462, '4p4uA00', NULL, NULL, 363, NULL, NULL, 19986),
(53463, '3pqcB00', NULL, NULL, 195, NULL, NULL, 19986),
(53464, '4jl5A00', NULL, NULL, 203, NULL, NULL, 19986),
(53465, '6b4kB02', NULL, NULL, 176, NULL, NULL, 19986),
(53466, '3tqcA00', NULL, NULL, 321, NULL, NULL, 19986),
(53467, '2bmeA01', NULL, NULL, 179, NULL, NULL, 19986),
(53468, '5ycdB00', NULL, NULL, 193, NULL, NULL, 19986),
(53469, '2yvuA00', NULL, NULL, 186, NULL, NULL, 19986),
(53470, '1d2mA01', NULL, NULL, 243, NULL, NULL, 19986),
(53471, '6f5dD02', NULL, NULL, 275, NULL, NULL, 19986),
(53472, '4zpxA01', NULL, NULL, 244, NULL, NULL, 19986),
(53473, '2o5vA01', NULL, NULL, 182, NULL, NULL, 19986),
(53474, '1jnyA01', NULL, NULL, 225, NULL, NULL, 19986),
(53475, '1t6nA00', NULL, NULL, 220, NULL, NULL, 19986),
(53476, '1cp2A00', NULL, NULL, 269, NULL, NULL, 19986),
(53477, '2pt5B00', NULL, NULL, 168, NULL, NULL, 19986),
(53478, '2rhmC00', NULL, NULL, 193, NULL, NULL, 19986),
(53479, '4mkhA00', NULL, NULL, 222, NULL, NULL, 19986),
(53480, '1fukA00', NULL, NULL, 165, NULL, NULL, 19986),
(53481, '5tv2A01', NULL, NULL, 293, NULL, NULL, 19986),
(53482, '2ngrA00', NULL, NULL, 191, NULL, NULL, 19986),
(53483, '6hufA00', NULL, NULL, 182, NULL, NULL, 19986),
(53484, '2vyfB02', NULL, NULL, 260, NULL, NULL, 19986),
(53485, '1e9rD01', NULL, NULL, 321, NULL, NULL, 19986),
(53486, '3ldaA02', NULL, NULL, 249, NULL, NULL, 19986),
(53487, '3mwyW04', NULL, NULL, 299, NULL, NULL, 19986),
(53488, '1wrbA00', NULL, NULL, 253, NULL, NULL, 19986),
(53489, '2wicA01', NULL, NULL, 174, NULL, NULL, 19986),
(53490, '2qgzA01', NULL, NULL, 195, NULL, NULL, 19986),
(53491, '3uieB00', NULL, NULL, 200, NULL, NULL, 19986),
(53492, '4akgA05', NULL, NULL, 150, NULL, NULL, 19986),
(53493, '4akgA07', NULL, NULL, 190, NULL, NULL, 19986),
(53494, '1a5tA01', NULL, NULL, 167, NULL, NULL, 19986);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(53495, '4idhA01', NULL, NULL, 208, NULL, NULL, 19986),
(53496, '3x1dA01', NULL, NULL, 316, NULL, NULL, 19986),
(53497, '4v0kB00', NULL, NULL, 169, NULL, NULL, 19986),
(53498, '6r3pA00', NULL, NULL, 261, NULL, NULL, 19986),
(53499, '2xb4A00', NULL, NULL, 223, NULL, NULL, 19986),
(53500, '2wwxA00', NULL, NULL, 175, NULL, NULL, 19986),
(53501, '4klzA00', NULL, NULL, 173, NULL, NULL, 19986),
(53502, '4ac9C01', NULL, NULL, 194, NULL, NULL, 19986),
(53503, '1oywA02', NULL, NULL, 132, NULL, NULL, 19986),
(53504, '1oywA01', NULL, NULL, 208, NULL, NULL, 19986),
(53505, '1m7gC00', NULL, NULL, 211, NULL, NULL, 19986),
(53506, '2r6aB02', NULL, NULL, 288, NULL, NULL, 19986),
(53507, '4akgA15', NULL, NULL, 128, NULL, NULL, 19986),
(53508, '2eyuA00', NULL, NULL, 261, NULL, NULL, 19986),
(53509, '3w5jA00', NULL, NULL, 204, NULL, NULL, 19986),
(53510, '2oblA01', NULL, NULL, 273, NULL, NULL, 19986),
(53511, '4akgA12', NULL, NULL, 117, NULL, NULL, 19986),
(53512, '3tmkD00', NULL, NULL, 216, NULL, NULL, 19986),
(53513, '4arzA01', NULL, NULL, 186, NULL, NULL, 19986),
(53514, '1gm5A05', NULL, NULL, 173, NULL, NULL, 19986),
(53515, '3h2yA01', NULL, NULL, 170, NULL, NULL, 19986),
(53516, '4pl0A02', NULL, NULL, 245, NULL, NULL, 19986),
(53517, '1gm5A04', NULL, NULL, 204, NULL, NULL, 19986),
(53518, '1w36F03', NULL, NULL, 276, NULL, NULL, 19986),
(53519, '1lw7A02', NULL, NULL, 169, NULL, NULL, 19986),
(53520, '4q48A02', NULL, NULL, 133, NULL, NULL, 19986),
(53521, '2zm5B01', NULL, NULL, 235, NULL, NULL, 19986),
(53522, '2xtzB01', NULL, NULL, 228, NULL, NULL, 19986),
(53523, '4q48A01', NULL, NULL, 207, NULL, NULL, 19986),
(53524, '5a5gA01', NULL, NULL, 325, NULL, NULL, 19986),
(53525, '2ak3B00', NULL, NULL, 226, NULL, NULL, 19986),
(53526, '2xszD01', NULL, NULL, 232, NULL, NULL, 19986),
(53527, '2v8oA02', NULL, NULL, 143, NULL, NULL, 19986),
(53528, '2yv5A02', NULL, NULL, 165, NULL, NULL, 19986),
(53529, '2wzqA02', NULL, NULL, 148, NULL, NULL, 19986),
(53530, '4qhsE01', NULL, NULL, 188, NULL, NULL, 19986),
(53531, '2v8oA01', NULL, NULL, 185, NULL, NULL, 19986),
(53532, '4akgA09', NULL, NULL, 354, NULL, NULL, 19986),
(53533, '2awnC01', NULL, NULL, 239, NULL, NULL, 19986),
(53534, '3nibA00', NULL, NULL, 276, NULL, NULL, 19986),
(53535, '4a2pA02', NULL, NULL, 167, NULL, NULL, 19986),
(53536, '1ky2A00', NULL, NULL, 182, NULL, NULL, 19986),
(53537, '5di3B00', NULL, NULL, 205, NULL, NULL, 19986),
(53538, '1g41A01', NULL, NULL, 198, NULL, NULL, 19986),
(53539, '4a2pA01', NULL, NULL, 249, NULL, NULL, 19986),
(53540, '2p6nA00', NULL, NULL, 164, NULL, NULL, 19986),
(53541, '3co5A00', NULL, NULL, 143, NULL, NULL, 19986),
(53542, '4nl4H03', NULL, NULL, 196, NULL, NULL, 19986),
(53543, '3c8uA00', NULL, NULL, 208, NULL, NULL, 19986),
(53544, '4r7zC00', NULL, NULL, 338, NULL, NULL, 19986),
(53545, '3dpuA02', NULL, NULL, 174, NULL, NULL, 19986),
(53546, '2waxC00', NULL, NULL, 177, NULL, NULL, 19986),
(53547, '3u61C01', NULL, NULL, 166, NULL, NULL, 19986),
(53548, '2akaB00', NULL, NULL, 299, NULL, NULL, 19986),
(53549, '5l3qB02', NULL, NULL, 237, NULL, NULL, 19986),
(53550, '2iw3A03', NULL, NULL, 219, NULL, NULL, 19986),
(53551, '1g29101', NULL, NULL, 244, NULL, NULL, 19986),
(53552, '6iubA00', NULL, NULL, 276, NULL, NULL, 19986),
(53553, '2iw3A04', NULL, NULL, 235, NULL, NULL, 19986),
(53554, '4ql3A00', NULL, NULL, 170, NULL, NULL, 19986),
(53555, '2v9pD02', NULL, NULL, 203, NULL, NULL, 19986),
(53556, '3fyhA02', NULL, NULL, 256, NULL, NULL, 19986),
(53557, '3vkgA07', NULL, NULL, 387, NULL, NULL, 19986),
(53558, '4d2iA02', NULL, NULL, 270, NULL, NULL, 19986),
(53559, '1s96A01', NULL, NULL, 159, NULL, NULL, 19986),
(53560, '3vkgA05', NULL, NULL, 152, NULL, NULL, 19986),
(53561, '1sxjC01', NULL, NULL, 169, NULL, NULL, 19986),
(53562, '4d81A01', NULL, NULL, 183, NULL, NULL, 19986),
(53563, '2bwjA00', NULL, NULL, 199, NULL, NULL, 19986),
(53564, '1z07A00', NULL, NULL, 166, NULL, NULL, 19986),
(53565, '3bk7A01', NULL, NULL, 344, NULL, NULL, 19986),
(53566, '3cx8A01', NULL, NULL, 212, NULL, NULL, 19986),
(53567, '3wp0A00', NULL, NULL, 187, NULL, NULL, 19986);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(53568, '5mkkB02', NULL, NULL, 250, NULL, NULL, 19986),
(53569, '5kh0A01', NULL, NULL, 174, NULL, NULL, 19986),
(53570, '1zp6A00', NULL, NULL, 191, NULL, NULL, 19986),
(53571, '3x1xA00', NULL, NULL, 167, NULL, NULL, 19986),
(53572, '1ukvY00', NULL, NULL, 206, NULL, NULL, 19986),
(53573, '2gaoB00', NULL, NULL, 185, NULL, NULL, 19986),
(53574, '5wdxA04', NULL, NULL, 158, NULL, NULL, 19986),
(53575, '5wdxA03', NULL, NULL, 149, NULL, NULL, 19986),
(53576, '3bk7A02', NULL, NULL, 263, NULL, NULL, 19986),
(53577, '1yzgA00', NULL, NULL, 179, NULL, NULL, 19986),
(53578, '1fzqA00', NULL, NULL, 181, NULL, NULL, 19986),
(53579, '4wiaC00', NULL, NULL, 233, NULL, NULL, 19986),
(53580, '3bc1A00', NULL, NULL, 195, NULL, NULL, 19986),
(53581, '1z2aA00', NULL, NULL, 168, NULL, NULL, 19986),
(53582, '3ihwA00', NULL, NULL, 184, NULL, NULL, 19986),
(53583, '3bfkB01', NULL, NULL, 177, NULL, NULL, 19986),
(53584, '2xzoA03', NULL, NULL, 213, NULL, NULL, 19986),
(53585, '4ttrA00', NULL, NULL, 215, NULL, NULL, 19986),
(53586, '1ihuA01', NULL, NULL, 274, NULL, NULL, 19986),
(53587, '2v6iA02', NULL, NULL, 143, NULL, NULL, 19986),
(53588, '4i1uA00', NULL, NULL, 210, NULL, NULL, 19986),
(53589, '3ihlA00', NULL, NULL, 242, NULL, NULL, 19986),
(53590, '1s0uA01', NULL, NULL, 201, NULL, NULL, 19986),
(53591, '3lxwA00', NULL, NULL, 228, NULL, NULL, 19986),
(53592, '1ihuA02', NULL, NULL, 296, NULL, NULL, 19986),
(53593, '1w36D03', NULL, NULL, 173, NULL, NULL, 19986),
(53594, '2v6iA01', NULL, NULL, 175, NULL, NULL, 19986),
(53595, '3ewaA02', NULL, NULL, 256, NULL, NULL, 19986),
(53596, '1w36D02', NULL, NULL, 245, NULL, NULL, 19986),
(53597, '1q1zA00', NULL, NULL, 299, NULL, NULL, 19986),
(53598, '1egaA01', NULL, NULL, 184, NULL, NULL, 19986),
(53599, '3bosB01', NULL, NULL, 173, NULL, NULL, 19986),
(53600, '5jszB00', NULL, NULL, 287, NULL, NULL, 19986),
(53601, '3fhtB01', NULL, NULL, 235, NULL, NULL, 19986),
(53602, '4q7lC00', NULL, NULL, 256, NULL, NULL, 19986),
(53603, '5fl7A02', NULL, NULL, 286, NULL, NULL, 19986),
(53604, '4yc7A00', NULL, NULL, 181, NULL, NULL, 19986),
(53605, '2f55A02', NULL, NULL, 136, NULL, NULL, 19986),
(53606, '3borA00', NULL, NULL, 211, NULL, NULL, 19986),
(53607, '1f6bB00', NULL, NULL, 198, NULL, NULL, 19986),
(53608, '6o62A00', NULL, NULL, 184, NULL, NULL, 19986),
(53609, '5mfxA01', NULL, NULL, 188, NULL, NULL, 19986),
(53610, '3iijA00', NULL, NULL, 180, NULL, NULL, 19986),
(53611, '3zq6C00', NULL, NULL, 324, NULL, NULL, 19986),
(53612, '6ff8A00', NULL, NULL, 181, NULL, NULL, 19986),
(53613, '3tahB01', NULL, NULL, 173, NULL, NULL, 19986),
(53614, '3tr0A01', NULL, NULL, 145, NULL, NULL, 19986),
(53615, '1fnnA02', NULL, NULL, 174, NULL, NULL, 19986),
(53616, '3ap1A01', NULL, NULL, 307, NULL, NULL, 19986),
(53617, '2r44A02', NULL, NULL, 167, NULL, NULL, 19986),
(53618, '1wf3A01', NULL, NULL, 184, NULL, NULL, 19986),
(53619, '2bmfB01', NULL, NULL, 192, NULL, NULL, 19986),
(53620, '2xszB01', NULL, NULL, 259, NULL, NULL, 19986),
(53621, '4p0tB00', NULL, NULL, 157, NULL, NULL, 19986),
(53622, '4np6B00', NULL, NULL, 217, NULL, NULL, 19986),
(53623, '4ljyA02', NULL, NULL, 202, NULL, NULL, 19986),
(53624, '1p9rA02', NULL, NULL, 280, NULL, NULL, 19986),
(53625, '3czpB01', NULL, NULL, 238, NULL, NULL, 19986),
(53626, '4ljyA01', NULL, NULL, 265, NULL, NULL, 19986),
(53627, '5bq5B00', NULL, NULL, 189, NULL, NULL, 19986),
(53628, '3i8sB01', NULL, NULL, 174, NULL, NULL, 19986),
(53629, '4r7zE00', NULL, NULL, 338, NULL, NULL, 19986),
(53630, '2cxxA00', NULL, NULL, 190, NULL, NULL, 19986),
(53631, '3v4rA01', NULL, NULL, 254, NULL, NULL, 19986),
(53632, '4mrsB02', NULL, NULL, 265, NULL, NULL, 19986),
(53633, '2x8aA01', NULL, NULL, 177, NULL, NULL, 19986),
(53634, '4o0mB01', NULL, NULL, 249, NULL, NULL, 19986),
(53635, '4u5xA00', NULL, NULL, 178, NULL, NULL, 19986),
(53636, '1shzD01', NULL, NULL, 214, NULL, NULL, 19986),
(53637, '3ibyB01', NULL, NULL, 172, NULL, NULL, 19986),
(53638, '2c9yA00', NULL, NULL, 242, NULL, NULL, 19986),
(53639, '5zbzA00', NULL, NULL, 220, NULL, NULL, 19986),
(53640, '3upuA02', NULL, NULL, 130, NULL, NULL, 19986);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(53641, '3sylA01', NULL, NULL, 202, NULL, NULL, 19986),
(53642, '1ukzA00', NULL, NULL, 203, NULL, NULL, 19986),
(53643, '5uivA00', NULL, NULL, 227, NULL, NULL, 19986),
(53644, '2o8bA05', NULL, NULL, 236, NULL, NULL, 19986),
(53645, '3upuA01', NULL, NULL, 176, NULL, NULL, 19986),
(53646, '6az0A01', NULL, NULL, 170, NULL, NULL, 19986),
(53647, '3ziaA02', NULL, NULL, 286, NULL, NULL, 19986),
(53648, '2q3fA00', NULL, NULL, 181, NULL, NULL, 19986),
(53649, '4idoA01', NULL, NULL, 311, NULL, NULL, 19986),
(53650, '4lyaA01', NULL, NULL, 288, NULL, NULL, 19986),
(53651, '1z0jA00', NULL, NULL, 170, NULL, NULL, 19986),
(53652, '2v54A00', NULL, NULL, 204, NULL, NULL, 19986),
(53653, '1m8pA03', NULL, NULL, 184, NULL, NULL, 19986),
(53654, '2b8tA01', NULL, NULL, 149, NULL, NULL, 19986),
(53655, '1knqA00', NULL, NULL, 175, NULL, NULL, 19986),
(53656, '4qjty01', NULL, NULL, 186, NULL, NULL, 19986),
(53657, '1cr2A00', NULL, NULL, 277, NULL, NULL, 19986),
(53658, '4kv9A00', NULL, NULL, 267, NULL, NULL, 19986),
(53659, '2jgnB00', NULL, NULL, 185, NULL, NULL, 19986),
(53660, '1sxjA01', NULL, NULL, 183, NULL, NULL, 19986),
(53661, '4k46A00', NULL, NULL, 214, NULL, NULL, 19986),
(53662, '3idqA01', NULL, NULL, 317, NULL, NULL, 19986),
(53663, '1g7sA01', NULL, NULL, 225, NULL, NULL, 19986),
(53664, '1z6gA01', NULL, NULL, 129, NULL, NULL, 19986),
(53665, '4q66F00', NULL, NULL, 175, NULL, NULL, 19986),
(53666, '3b6eA00', NULL, NULL, 199, NULL, NULL, 19986),
(53667, '1g6hA00', NULL, NULL, 257, NULL, NULL, 19986),
(53668, '3vkhB07', NULL, NULL, 189, NULL, NULL, 19986),
(53669, '3vkgA17', NULL, NULL, 126, NULL, NULL, 19986),
(53670, '3vkhB09', NULL, NULL, 183, NULL, NULL, 19986),
(53671, '2vf7A01', NULL, NULL, 221, NULL, NULL, 19986),
(53672, '1zinA00', NULL, NULL, 217, NULL, NULL, 19986),
(53673, '3vkgA13', NULL, NULL, 139, NULL, NULL, 19986),
(53674, '3vkgA10', NULL, NULL, 210, NULL, NULL, 19986),
(53675, '1b0uA00', NULL, NULL, 262, NULL, NULL, 19986),
(53676, '4rvcA00', NULL, NULL, 245, NULL, NULL, 19986),
(53677, '1w36B01', NULL, NULL, 248, NULL, NULL, 19986),
(53678, '3umfA00', NULL, NULL, 194, NULL, NULL, 19986),
(53679, '2fv8A00', NULL, NULL, 189, NULL, NULL, 19986),
(53680, '6bogA05', NULL, NULL, 209, NULL, NULL, 19986),
(53681, '2w58B01', NULL, NULL, 196, NULL, NULL, 19986),
(53682, '1w36B03', NULL, NULL, 299, NULL, NULL, 19986),
(53683, '5ar1A00', NULL, NULL, 278, NULL, NULL, 19986),
(53684, '3exaA01', NULL, NULL, 170, NULL, NULL, 19986),
(53685, '3ktaA00', NULL, NULL, 182, NULL, NULL, 19986),
(53686, '3m6aA02', NULL, NULL, 179, NULL, NULL, 19986),
(53687, '4lj9A01', NULL, NULL, 241, NULL, NULL, 19986),
(53688, '3nh6A01', NULL, NULL, 236, NULL, NULL, 19986),
(53689, '2ozeA00', NULL, NULL, 298, NULL, NULL, 19986),
(53690, '1sgwA00', NULL, NULL, 214, NULL, NULL, 19986),
(53691, '4ww0B01', NULL, NULL, 189, NULL, NULL, 19986),
(53692, '2c9oB01', NULL, NULL, 205, NULL, NULL, 19986),
(53693, '6bmfB01', NULL, NULL, 222, NULL, NULL, 19986),
(53694, '3czqC00', NULL, NULL, 287, NULL, NULL, 19986),
(53695, '1r5bA01', NULL, NULL, 249, NULL, NULL, 19986),
(53696, '5jjiF02', NULL, NULL, 288, NULL, NULL, 19986),
(53697, '2ck3A02', NULL, NULL, 286, NULL, NULL, 19986),
(53698, '4a1fB00', NULL, NULL, 319, NULL, NULL, 19986),
(53699, '6b5cA01', NULL, NULL, 221, NULL, NULL, 19986),
(53700, '1nlfA00', NULL, NULL, 279, NULL, NULL, 19986),
(53701, '3b60A02', NULL, NULL, 251, NULL, NULL, 19986),
(53702, '2oxcA00', NULL, NULL, 207, NULL, NULL, 19986),
(53703, '1nn3A00', NULL, NULL, 215, NULL, NULL, 19986),
(53704, '3o8bA03', NULL, NULL, 149, NULL, NULL, 19986),
(53705, '3o8bA04', NULL, NULL, 158, NULL, NULL, 19986),
(53706, '3q9lA00', NULL, NULL, 260, NULL, NULL, 19986),
(53707, '1xx6A01', NULL, NULL, 141, NULL, NULL, 19986),
(53708, '2y8eB00', NULL, NULL, 179, NULL, NULL, 19986),
(53709, '3cnlA01', NULL, NULL, 156, NULL, NULL, 19986),
(53710, '2vf8B04', NULL, NULL, 196, NULL, NULL, 19986),
(53711, '2hf9A00', NULL, NULL, 226, NULL, NULL, 19986),
(53712, '3bywB00', NULL, NULL, 177, NULL, NULL, 19987),
(53713, '4g29A00', NULL, NULL, 186, NULL, NULL, 19988);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(53714, '2ebfX01', NULL, NULL, 193, NULL, NULL, 19988),
(53715, '3ic3A01', NULL, NULL, 64, NULL, NULL, 19989),
(53716, '2w00A06', NULL, NULL, 42, NULL, NULL, 19990),
(53717, '1td4A00', NULL, NULL, 115, NULL, NULL, 19991),
(53718, '1c5eA00', NULL, NULL, 95, NULL, NULL, 19991),
(53719, '5mfdB00', NULL, NULL, 109, NULL, NULL, 19991),
(53720, '3gqhA01', NULL, NULL, 123, NULL, NULL, 19991),
(53721, '1el6A01', NULL, NULL, 63, NULL, NULL, 19992),
(53722, '3jciA00', NULL, NULL, 190, NULL, NULL, 19993),
(53723, '5j09A00', NULL, NULL, 202, NULL, NULL, 19993),
(53724, '3r0rA00', NULL, NULL, 194, NULL, NULL, 19993),
(53725, '1x6mA00', NULL, NULL, 196, NULL, NULL, 19994),
(53726, '1dp3A00', NULL, NULL, 55, NULL, NULL, 19995),
(53727, '3omyA00', NULL, NULL, 52, NULL, NULL, 19995),
(53728, '4qpoD00', NULL, NULL, 53, NULL, NULL, 19995),
(53729, '4r4kA00', NULL, NULL, 154, NULL, NULL, 19996),
(53730, '2ml5A00', NULL, NULL, 155, NULL, NULL, 19996),
(53731, '2ml6A00', NULL, NULL, 148, NULL, NULL, 19996),
(53732, '1e0aB00', NULL, NULL, 46, NULL, NULL, 19997),
(53733, '4mitG00', NULL, NULL, 43, NULL, NULL, 19997),
(53734, '1f3mA00', NULL, NULL, 80, NULL, NULL, 19997),
(53735, '2k42A00', NULL, NULL, 72, NULL, NULL, 19997),
(53736, '1ej5A00', NULL, NULL, 107, NULL, NULL, 19997),
(53737, '2lnhA00', NULL, NULL, 65, NULL, NULL, 19997),
(53738, '1eesB00', NULL, NULL, 46, NULL, NULL, 19997),
(53739, '1ceeB00', NULL, NULL, 59, NULL, NULL, 19997),
(53740, '2oyhE01', NULL, NULL, 37, NULL, NULL, 19998),
(53741, '1fzcB03', NULL, NULL, 51, NULL, NULL, 19998),
(53742, '2a45G00', NULL, NULL, 57, NULL, NULL, 19998),
(53743, '1m1jC03', NULL, NULL, 138, NULL, NULL, 19998),
(53744, '1m1jB03', NULL, NULL, 144, NULL, NULL, 19998),
(53745, '1fzcA00', NULL, NULL, 87, NULL, NULL, 19998),
(53746, '1jy2N00', NULL, NULL, 53, NULL, NULL, 19998),
(53747, '1jy2O00', NULL, NULL, 56, NULL, NULL, 19998),
(53748, '2a45H00', NULL, NULL, 52, NULL, NULL, 19998),
(53749, '1fzcC03', NULL, NULL, 56, NULL, NULL, 19998),
(53750, '3e1iA00', NULL, NULL, 64, NULL, NULL, 19998),
(53751, '1n73D00', NULL, NULL, 100, NULL, NULL, 19998),
(53752, '2oyhA00', NULL, NULL, 66, NULL, NULL, 19998),
(53753, '2a45L00', NULL, NULL, 45, NULL, NULL, 19998),
(53754, '1lwuC03', NULL, NULL, 66, NULL, NULL, 19998),
(53755, '3ghgJ01', NULL, NULL, 150, NULL, NULL, 19998),
(53756, '1lwuB03', NULL, NULL, 66, NULL, NULL, 19998),
(53757, '1jy2S00', NULL, NULL, 48, NULL, NULL, 19998),
(53758, '1t3uA02', NULL, NULL, 56, NULL, NULL, 19998),
(53759, '1m1jA00', NULL, NULL, 192, NULL, NULL, 19998),
(53760, '3ghgB01', NULL, NULL, 139, NULL, NULL, 19998),
(53761, '3ghgC01', NULL, NULL, 143, NULL, NULL, 19998),
(53762, '4xotA01', NULL, NULL, 78, NULL, NULL, 19999),
(53763, '1wcuA00', NULL, NULL, 153, NULL, NULL, 20000),
(53764, '2q1fA01', NULL, NULL, 180, NULL, NULL, 20000),
(53765, '5z6pA01', NULL, NULL, 182, NULL, NULL, 20000),
(53766, '1hn0A01', NULL, NULL, 210, NULL, NULL, 20000),
(53767, '1wmxA00', NULL, NULL, 180, NULL, NULL, 20000),
(53768, '4ywaA00', NULL, NULL, 121, NULL, NULL, 20000),
(53769, '2jwpA00', NULL, NULL, 174, NULL, NULL, 20000),
(53770, '2o14A01', NULL, NULL, 161, NULL, NULL, 20000),
(53771, '1v0aA01', NULL, NULL, 171, NULL, NULL, 20000),
(53772, '1w8uA00', NULL, NULL, 149, NULL, NULL, 20000),
(53773, '4bq2D01', NULL, NULL, 197, NULL, NULL, 20000),
(53774, '3f95B00', NULL, NULL, 193, NULL, NULL, 20000),
(53775, '5oduA00', NULL, NULL, 122, NULL, NULL, 20000),
(53776, '4h4kA01', NULL, NULL, 124, NULL, NULL, 20001),
(53777, '3i16A01', NULL, NULL, 210, NULL, NULL, 20002),
(53778, '3jzlA01', NULL, NULL, 195, NULL, NULL, 20002),
(53779, '3hvyA01', NULL, NULL, 211, NULL, NULL, 20002),
(53780, '3fd0A01', NULL, NULL, 195, NULL, NULL, 20002),
(53781, '3ht4C01', NULL, NULL, 201, NULL, NULL, 20002),
(53782, '3fmgA02', NULL, NULL, 87, NULL, NULL, 20003),
(53783, '2ot3A02', NULL, NULL, 170, NULL, NULL, 20004),
(53784, '2efeA02', NULL, NULL, 168, NULL, NULL, 20004),
(53785, '5dqvA02', NULL, NULL, 105, NULL, NULL, 20005),
(53786, '2qgsA02', NULL, NULL, 117, NULL, NULL, 20005),
(53787, '2pjqA02', NULL, NULL, 126, NULL, NULL, 20005);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(53788, '3dtoA02', NULL, NULL, 113, NULL, NULL, 20005),
(53789, '3b57A02', NULL, NULL, 109, NULL, NULL, 20005),
(53790, '3djbA02', NULL, NULL, 112, NULL, NULL, 20005),
(53791, '2yweA05', NULL, NULL, 68, NULL, NULL, 20006),
(53792, '3cb4A05', NULL, NULL, 75, NULL, NULL, 20006),
(53793, '2liyA00', NULL, NULL, 45, NULL, NULL, 20007),
(53794, '1y0nA00', NULL, NULL, 78, NULL, NULL, 20008),
(53795, '2j9wB00', NULL, NULL, 102, NULL, NULL, 20009),
(53796, '2j9uA00', NULL, NULL, 96, NULL, NULL, 20009),
(53797, '3thrA01', NULL, NULL, 83, NULL, NULL, 20010),
(53798, '1r74B01', NULL, NULL, 83, NULL, NULL, 20010),
(53799, '1kiaA01', NULL, NULL, 83, NULL, NULL, 20010),
(53800, '2gmhA02', NULL, NULL, 203, NULL, NULL, 20011),
(53801, '2hwjE01', NULL, NULL, 134, NULL, NULL, 20012),
(53802, '5x0jA01', NULL, NULL, 112, NULL, NULL, 20012),
(53803, '1xw3A01', NULL, NULL, 96, NULL, NULL, 20012),
(53804, '1vk1A01', NULL, NULL, 112, NULL, NULL, 20012),
(53805, '3bg2A03', NULL, NULL, 115, NULL, NULL, 20013),
(53806, '2pgsA03', NULL, NULL, 113, NULL, NULL, 20013),
(53807, '2pofA00', NULL, NULL, 227, NULL, NULL, 20014),
(53808, '6as6A03', NULL, NULL, 157, NULL, NULL, 20015),
(53809, '1p7tA03', NULL, NULL, 144, NULL, NULL, 20015),
(53810, '3cuxA02', NULL, NULL, 122, NULL, NULL, 20015),
(53811, '4ex4A03', NULL, NULL, 139, NULL, NULL, 20015),
(53812, '5vfbA03', NULL, NULL, 140, NULL, NULL, 20015),
(53813, '3cuzA02', NULL, NULL, 122, NULL, NULL, 20015),
(53814, '6axeA03', NULL, NULL, 140, NULL, NULL, 20015),
(53815, '2bteA05', NULL, NULL, 64, NULL, NULL, 20016),
(53816, '4arcA05', NULL, NULL, 62, NULL, NULL, 20016),
(53817, '2qyaA01', NULL, NULL, 110, NULL, NULL, 20017),
(53818, '1i5jA00', NULL, NULL, 79, NULL, NULL, 20018),
(53819, '2yevC00', NULL, NULL, 66, NULL, NULL, 20019),
(53820, '3u6xS00', NULL, NULL, 105, NULL, NULL, 20020),
(53821, '2hqsA01', NULL, NULL, 143, NULL, NULL, 20021),
(53822, '4pwzA01', NULL, NULL, 146, NULL, NULL, 20021),
(53823, '1vr4C00', NULL, NULL, 103, NULL, NULL, 20022),
(53824, '2gtcC00', NULL, NULL, 111, NULL, NULL, 20022),
(53825, '2gtcB00', NULL, NULL, 111, NULL, NULL, 20022),
(53826, '2gtcA00', NULL, NULL, 111, NULL, NULL, 20022),
(53827, '2l8yA00', NULL, NULL, 105, NULL, NULL, 20022),
(53828, '2y1bA00', NULL, NULL, 96, NULL, NULL, 20022),
(53829, '2gtcE00', NULL, NULL, 111, NULL, NULL, 20022),
(53830, '2gtcD00', NULL, NULL, 111, NULL, NULL, 20022),
(53831, '3qkbA00', NULL, NULL, 95, NULL, NULL, 20022),
(53832, '1y2iA00', NULL, NULL, 108, NULL, NULL, 20022),
(53833, '1qa4A00', NULL, NULL, 57, NULL, NULL, 20023),
(53834, '2jubA02', NULL, NULL, 39, NULL, NULL, 20024),
(53835, '3ajwA00', NULL, NULL, 150, NULL, NULL, 20025),
(53836, '3etzB00', NULL, NULL, 119, NULL, NULL, 20025),
(53837, '4mh6A00', NULL, NULL, 177, NULL, NULL, 20025),
(53838, '3k29A00', NULL, NULL, 169, NULL, NULL, 20025),
(53839, '3l4gC02', NULL, NULL, 45, NULL, NULL, 20026),
(53840, '4aj5H00', NULL, NULL, 91, NULL, NULL, 20027),
(53841, '5o6aD00', NULL, NULL, 75, NULL, NULL, 20028),
(53842, '6co8B00', NULL, NULL, 75, NULL, NULL, 20028),
(53843, '3j27B00', NULL, NULL, 75, NULL, NULL, 20028),
(53844, '4bkxA01', NULL, NULL, 126, NULL, NULL, 20029),
(53845, '2g7jA00', NULL, NULL, 124, NULL, NULL, 20030),
(53846, '2clyA00', NULL, NULL, 105, NULL, NULL, 20031),
(53847, '2wssT00', NULL, NULL, 93, NULL, NULL, 20031),
(53848, '1t11A01', NULL, NULL, 115, NULL, NULL, 20032),
(53849, '2nscA01', NULL, NULL, 78, NULL, NULL, 20032),
(53850, '2mlxA01', NULL, NULL, 121, NULL, NULL, 20032),
(53851, '3gtyX01', NULL, NULL, 125, NULL, NULL, 20032),
(53852, '2d3o100', NULL, NULL, 112, NULL, NULL, 20032),
(53853, '1omsA00', NULL, NULL, 121, NULL, NULL, 20032),
(53854, '3fcgB00', NULL, NULL, 90, NULL, NULL, 20033),
(53855, '3rfzB03', NULL, NULL, 66, NULL, NULL, 20033),
(53856, '3rkgA01', NULL, NULL, 94, NULL, NULL, 20034),
(53857, '4ei7B01', NULL, NULL, 155, NULL, NULL, 20035),
(53858, '3frnA03', NULL, NULL, 70, NULL, NULL, 20036),
(53859, '3teeA02', NULL, NULL, 82, NULL, NULL, 20036),
(53860, '3vkiA02', NULL, NULL, 60, NULL, NULL, 20036),
(53861, '5ot0A01', NULL, NULL, 200, NULL, NULL, 20037);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(53862, '1o7jA01', NULL, NULL, 218, NULL, NULL, 20037),
(53863, '2d6fA02', NULL, NULL, 212, NULL, NULL, 20037),
(53864, '4q0mA01', NULL, NULL, 199, NULL, NULL, 20037),
(53865, '2ocdB01', NULL, NULL, 209, NULL, NULL, 20037),
(53866, '3nxkD01', NULL, NULL, 221, NULL, NULL, 20037),
(53867, '1zq1A02', NULL, NULL, 222, NULL, NULL, 20037),
(53868, '3ntxA01', NULL, NULL, 211, NULL, NULL, 20037),
(53869, '2p2dD01', NULL, NULL, 208, NULL, NULL, 20037),
(53870, '5dncA01', NULL, NULL, 228, NULL, NULL, 20037),
(53871, '5k4gA01', NULL, NULL, 216, NULL, NULL, 20037),
(53872, '4pgaA01', NULL, NULL, 214, NULL, NULL, 20037),
(53873, '2gvnA01', NULL, NULL, 218, NULL, NULL, 20037),
(53874, '2wltA01', NULL, NULL, 219, NULL, NULL, 20037),
(53875, '1agxA01', NULL, NULL, 216, NULL, NULL, 20037),
(53876, '5mq5B01', NULL, NULL, 218, NULL, NULL, 20037),
(53877, '1wlsA01', NULL, NULL, 198, NULL, NULL, 20037),
(53878, '3e20H01', NULL, NULL, 145, NULL, NULL, 20038),
(53879, '4dgwB02', NULL, NULL, 44, NULL, NULL, 20039),
(53880, '1ghhA00', NULL, NULL, 81, NULL, NULL, 20040),
(53881, '3egrA00', NULL, NULL, 66, NULL, NULL, 20041),
(53882, '1f15B00', NULL, NULL, 190, NULL, NULL, 20042),
(53883, '1lajB00', NULL, NULL, 182, NULL, NULL, 20042),
(53884, '2zuoC11', NULL, NULL, 156, NULL, NULL, 20043),
(53885, '2c52B00', NULL, NULL, 59, NULL, NULL, 20044),
(53886, '4g6tB00', NULL, NULL, 82, NULL, NULL, 20045),
(53887, '1dekA02', NULL, NULL, 122, NULL, NULL, 20046),
(53888, '4fasA02', NULL, NULL, 233, NULL, NULL, 20047),
(53889, '6cgvM01', NULL, NULL, 134, NULL, NULL, 20048),
(53890, '4ksfA01', NULL, NULL, 133, NULL, NULL, 20049),
(53891, '4ksaC02', NULL, NULL, 143, NULL, NULL, 20049),
(53892, '2ygwA01', NULL, NULL, 161, NULL, NULL, 20049),
(53893, '4ks9A01', NULL, NULL, 136, NULL, NULL, 20049),
(53894, '5a0yC00', NULL, NULL, 249, NULL, NULL, 20050),
(53895, '5a8wC00', NULL, NULL, 265, NULL, NULL, 20050),
(53896, '1e6vC00', NULL, NULL, 258, NULL, NULL, 20050),
(53897, '1e6yC00', NULL, NULL, 247, NULL, NULL, 20050),
(53898, '5n1qC00', NULL, NULL, 261, NULL, NULL, 20050),
(53899, '5n28F00', NULL, NULL, 260, NULL, NULL, 20050),
(53900, '3sqgC00', NULL, NULL, 279, NULL, NULL, 20050),
(53901, '3epnB01', NULL, NULL, 317, NULL, NULL, 20051),
(53902, '4n7qA02', NULL, NULL, 303, NULL, NULL, 20051),
(53903, '3thxB02', NULL, NULL, 175, NULL, NULL, 20052),
(53904, '3thxA02', NULL, NULL, 173, NULL, NULL, 20052),
(53905, '1wb9A02', NULL, NULL, 136, NULL, NULL, 20052),
(53906, '1ewqA02', NULL, NULL, 118, NULL, NULL, 20052),
(53907, '2o8bB02', NULL, NULL, 197, NULL, NULL, 20052),
(53908, '3vnrA02', NULL, NULL, 107, NULL, NULL, 20053),
(53909, '2y4oB02', NULL, NULL, 108, NULL, NULL, 20053),
(53910, '4fuqA02', NULL, NULL, 106, NULL, NULL, 20053),
(53911, '4r0mA02', NULL, NULL, 108, NULL, NULL, 20053),
(53912, '4gxqB02', NULL, NULL, 109, NULL, NULL, 20053),
(53913, '3pbkA02', NULL, NULL, 108, NULL, NULL, 20053),
(53914, '3l8cA02', NULL, NULL, 120, NULL, NULL, 20053),
(53915, '1ry2A02', NULL, NULL, 137, NULL, NULL, 20053),
(53916, '2v7bA02', NULL, NULL, 102, NULL, NULL, 20053),
(53917, '4oycB00', NULL, NULL, 109, NULL, NULL, 20053),
(53918, '4d57A02', NULL, NULL, 80, NULL, NULL, 20053),
(53919, '3r44A02', NULL, NULL, 106, NULL, NULL, 20053),
(53920, '3fceA02', NULL, NULL, 115, NULL, NULL, 20053),
(53921, '4gxrA02', NULL, NULL, 106, NULL, NULL, 20053),
(53922, '5ifiC02', NULL, NULL, 83, NULL, NULL, 20053),
(53923, '1mdbA04', NULL, NULL, 110, NULL, NULL, 20053),
(53924, '4dg8A02', NULL, NULL, 96, NULL, NULL, 20053),
(53925, '5uptA02', NULL, NULL, 116, NULL, NULL, 20053),
(53926, '4wv3B02', NULL, NULL, 117, NULL, NULL, 20053),
(53927, '5buqA02', NULL, NULL, 81, NULL, NULL, 20053),
(53928, '4rvnC02', NULL, NULL, 105, NULL, NULL, 20053),
(53929, '2d1sA04', NULL, NULL, 109, NULL, NULL, 20053),
(53930, '4iz6A02', NULL, NULL, 106, NULL, NULL, 20053),
(53931, '5gxdA02', NULL, NULL, 135, NULL, NULL, 20053),
(53932, '2vsqA06', NULL, NULL, 105, NULL, NULL, 20053),
(53933, '4gs5A02', NULL, NULL, 110, NULL, NULL, 20053),
(53934, '2y27A02', NULL, NULL, 104, NULL, NULL, 20053);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(53935, '5ey8G02', NULL, NULL, 146, NULL, NULL, 20053),
(53936, '3nyqA02', NULL, NULL, 100, NULL, NULL, 20053),
(53937, '1amuA04', NULL, NULL, 96, NULL, NULL, 20053),
(53938, '4gxqA02', NULL, NULL, 109, NULL, NULL, 20053),
(53939, '3iteB02', NULL, NULL, 105, NULL, NULL, 20053),
(53940, '1pg4A02', NULL, NULL, 135, NULL, NULL, 20053),
(53941, '3c5eA02', NULL, NULL, 112, NULL, NULL, 20053),
(53942, '3laxA00', NULL, NULL, 109, NULL, NULL, 20053),
(53943, '1ultA02', NULL, NULL, 101, NULL, NULL, 20053),
(53944, '3g7sB02', NULL, NULL, 87, NULL, NULL, 20053),
(53945, '5keiA02', NULL, NULL, 101, NULL, NULL, 20053),
(53946, '3kxwA02', NULL, NULL, 133, NULL, NULL, 20053),
(53947, '1yj7D02', NULL, NULL, 93, NULL, NULL, 20053),
(53948, '3ni2A02', NULL, NULL, 103, NULL, NULL, 20053),
(53949, '4gxqC02', NULL, NULL, 109, NULL, NULL, 20053),
(53950, '4rlqB04', NULL, NULL, 91, NULL, NULL, 20053),
(53951, '3iplA02', NULL, NULL, 83, NULL, NULL, 20053),
(53952, '3etcB02', NULL, NULL, 88, NULL, NULL, 20053),
(53953, '1lciA04', NULL, NULL, 110, NULL, NULL, 20053),
(53954, '3e7wA02', NULL, NULL, 114, NULL, NULL, 20053),
(53955, '3cw9A04', NULL, NULL, 103, NULL, NULL, 20053),
(53956, '5x8fB02', NULL, NULL, 102, NULL, NULL, 20053),
(53957, '5ifiB02', NULL, NULL, 136, NULL, NULL, 20053),
(53958, '5u2aA02', NULL, NULL, 111, NULL, NULL, 20053),
(53959, '4futA02', NULL, NULL, 106, NULL, NULL, 20053),
(53960, '4oxiA02', NULL, NULL, 108, NULL, NULL, 20053),
(53961, '4isbB02', NULL, NULL, 116, NULL, NULL, 20053),
(53962, '5n9xB02', NULL, NULL, 107, NULL, NULL, 20053),
(53963, '5bsrA02', NULL, NULL, 106, NULL, NULL, 20053),
(53964, '4o8sA01', NULL, NULL, 125, NULL, NULL, 20054),
(53965, '5v75A02', NULL, NULL, 108, NULL, NULL, 20055),
(53966, '4qivA00', NULL, NULL, 92, NULL, NULL, 20055),
(53967, '3gfhA01', NULL, NULL, 121, NULL, NULL, 20055),
(53968, '3fchA02', NULL, NULL, 101, NULL, NULL, 20055),
(53969, '4ox8A01', NULL, NULL, 86, NULL, NULL, 20055),
(53970, '5v75A01', NULL, NULL, 104, NULL, NULL, 20055),
(53971, '3ssrA00', NULL, NULL, 110, NULL, NULL, 20055),
(53972, '3cimC00', NULL, NULL, 99, NULL, NULL, 20055),
(53973, '5djbA01', NULL, NULL, 85, NULL, NULL, 20055),
(53974, '4ox6A00', NULL, NULL, 127, NULL, NULL, 20055),
(53975, '4ox6B00', NULL, NULL, 93, NULL, NULL, 20055),
(53976, '3n79A01', NULL, NULL, 79, NULL, NULL, 20055),
(53977, '3n79A02', NULL, NULL, 113, NULL, NULL, 20055),
(53978, '4liwA00', NULL, NULL, 99, NULL, NULL, 20055),
(53979, '4axjB00', NULL, NULL, 104, NULL, NULL, 20055),
(53980, '4p7tB00', NULL, NULL, 91, NULL, NULL, 20055),
(53981, '4oloB00', NULL, NULL, 109, NULL, NULL, 20055),
(53982, '6fdbA01', NULL, NULL, 79, NULL, NULL, 20055),
(53983, '5lt5A02', NULL, NULL, 102, NULL, NULL, 20055),
(53984, '5lt5A01', NULL, NULL, 104, NULL, NULL, 20055),
(53985, '3vcdB02', NULL, NULL, 113, NULL, NULL, 20055),
(53986, '5l38A00', NULL, NULL, 101, NULL, NULL, 20055),
(53987, '3f56D01', NULL, NULL, 103, NULL, NULL, 20055),
(53988, '3pacA01', NULL, NULL, 78, NULL, NULL, 20055),
(53989, '3u27A02', NULL, NULL, 104, NULL, NULL, 20055),
(53990, '3u27A01', NULL, NULL, 116, NULL, NULL, 20055),
(53991, '5v76A01', NULL, NULL, 102, NULL, NULL, 20055),
(53992, '4ox7A00', NULL, NULL, 116, NULL, NULL, 20055),
(53993, '5v76A02', NULL, NULL, 104, NULL, NULL, 20055),
(53994, '3cgiA00', NULL, NULL, 124, NULL, NULL, 20055),
(53995, '3sssB00', NULL, NULL, 110, NULL, NULL, 20055),
(53996, '4qifA00', NULL, NULL, 102, NULL, NULL, 20055),
(53997, '3i96A00', NULL, NULL, 119, NULL, NULL, 20055),
(53998, '4ppdA00', NULL, NULL, 100, NULL, NULL, 20055),
(53999, '2ewhA01', NULL, NULL, 90, NULL, NULL, 20055),
(54000, '2a10D00', NULL, NULL, 105, NULL, NULL, 20055),
(54001, '4olpB00', NULL, NULL, 107, NULL, NULL, 20055),
(54002, '4axiB00', NULL, NULL, 125, NULL, NULL, 20055),
(54003, '5vguB00', NULL, NULL, 102, NULL, NULL, 20055),
(54004, '5diiA01', NULL, NULL, 79, NULL, NULL, 20055),
(54005, '5l39E02', NULL, NULL, 97, NULL, NULL, 20055),
(54006, '3i87A02', NULL, NULL, 104, NULL, NULL, 20055),
(54007, '3nwgA02', NULL, NULL, 103, NULL, NULL, 20055);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(54008, '3nwgA01', NULL, NULL, 79, NULL, NULL, 20055),
(54009, '5l39C01', NULL, NULL, 102, NULL, NULL, 20055),
(54010, '5suhB01', NULL, NULL, 106, NULL, NULL, 20055),
(54011, '5suhA02', NULL, NULL, 103, NULL, NULL, 20055),
(54012, '3mpyA00', NULL, NULL, 103, NULL, NULL, 20055),
(54013, '4bhuA00', NULL, NULL, 130, NULL, NULL, 20056),
(54014, '5mkdD00', NULL, NULL, 124, NULL, NULL, 20056),
(54015, '4fccA01', NULL, NULL, 81, NULL, NULL, 20057),
(54016, '1bgvA03', NULL, NULL, 76, NULL, NULL, 20057),
(54017, '5gudB01', NULL, NULL, 77, NULL, NULL, 20057),
(54018, '2hgsA03', NULL, NULL, 81, NULL, NULL, 20058),
(54019, '5oesA03', NULL, NULL, 80, NULL, NULL, 20058),
(54020, '3kalA03', NULL, NULL, 80, NULL, NULL, 20058),
(54021, '1m0wA03', NULL, NULL, 85, NULL, NULL, 20058),
(54022, '2wyoA03', NULL, NULL, 75, NULL, NULL, 20058),
(54023, '2rvhA00', NULL, NULL, 108, NULL, NULL, 20059),
(54024, '1d1rA00', NULL, NULL, 89, NULL, NULL, 20059),
(54025, '4mo0A00', NULL, NULL, 79, NULL, NULL, 20059),
(54026, '5zcyA00', NULL, NULL, 83, NULL, NULL, 20059),
(54027, '2if1A00', NULL, NULL, 126, NULL, NULL, 20059),
(54028, '1vw4700', NULL, NULL, 106, NULL, NULL, 20059),
(54029, '4v1al00', NULL, NULL, 133, NULL, NULL, 20059),
(54030, '2xzmF00', NULL, NULL, 101, NULL, NULL, 20059),
(54031, '5oomg00', NULL, NULL, 129, NULL, NULL, 20059),
(54032, '3jamj00', NULL, NULL, 86, NULL, NULL, 20059),
(54033, '4hpsB00', NULL, NULL, 209, NULL, NULL, 20060),
(54034, '2ebjA00', NULL, NULL, 192, NULL, NULL, 20060),
(54035, '3lacA00', NULL, NULL, 215, NULL, NULL, 20060),
(54036, '5z48A00', NULL, NULL, 220, NULL, NULL, 20060),
(54037, '3ro0A00', NULL, NULL, 223, NULL, NULL, 20060),
(54038, '1a2zA00', NULL, NULL, 220, NULL, NULL, 20060),
(54039, '1x10A00', NULL, NULL, 208, NULL, NULL, 20060),
(54040, '1iu8A00', NULL, NULL, 206, NULL, NULL, 20060),
(54041, '3giuA00', NULL, NULL, 215, NULL, NULL, 20060),
(54042, '3mvnA00', NULL, NULL, 137, NULL, NULL, 20061),
(54043, '4hv4A03', NULL, NULL, 167, NULL, NULL, 20061),
(54044, '4cvkA03', NULL, NULL, 133, NULL, NULL, 20061),
(54045, '1gg4A01', NULL, NULL, 141, NULL, NULL, 20061),
(54046, '3zl8A03', NULL, NULL, 149, NULL, NULL, 20061),
(54047, '3nrsA02', NULL, NULL, 135, NULL, NULL, 20061),
(54048, '4c12A03', NULL, NULL, 165, NULL, NULL, 20061),
(54049, '4qdiA03', NULL, NULL, 144, NULL, NULL, 20061),
(54050, '1e8cB03', NULL, NULL, 142, NULL, NULL, 20061),
(54051, '1j6uA03', NULL, NULL, 160, NULL, NULL, 20061),
(54052, '2f00A03', NULL, NULL, 167, NULL, NULL, 20061),
(54053, '3zm6A03', NULL, NULL, 162, NULL, NULL, 20061),
(54054, '4bubA03', NULL, NULL, 170, NULL, NULL, 20061),
(54055, '2xjaD03', NULL, NULL, 160, NULL, NULL, 20061),
(54056, '4bucA03', NULL, NULL, 136, NULL, NULL, 20061),
(54057, '1p3dA03', NULL, NULL, 152, NULL, NULL, 20061),
(54058, '3lk7A03', NULL, NULL, 134, NULL, NULL, 20061),
(54059, '1jbwA02', NULL, NULL, 130, NULL, NULL, 20061),
(54060, '3hn7A03', NULL, NULL, 148, NULL, NULL, 20061),
(54061, '1o5zA02', NULL, NULL, 137, NULL, NULL, 20061),
(54062, '1w78A02', NULL, NULL, 135, NULL, NULL, 20061),
(54063, '2x5oA03', NULL, NULL, 135, NULL, NULL, 20061),
(54064, '2vosA02', NULL, NULL, 151, NULL, NULL, 20061),
(54065, '1ut7B01', NULL, NULL, 146, NULL, NULL, 20062),
(54066, '3ulxA01', NULL, NULL, 151, NULL, NULL, 20062),
(54067, '3h0nA00', NULL, NULL, 188, NULL, NULL, 20063),
(54068, '4hbeA00', NULL, NULL, 98, NULL, NULL, 20064),
(54069, '4hboC00', NULL, NULL, 99, NULL, NULL, 20064),
(54070, '2kvtA00', NULL, NULL, 71, NULL, NULL, 20065),
(54071, '1w36C01', NULL, NULL, 217, NULL, NULL, 20066),
(54072, '1w36F01', NULL, NULL, 175, NULL, NULL, 20066),
(54073, '3py9A04', NULL, NULL, 78, NULL, NULL, 20067),
(54074, '3ufeB01', NULL, NULL, 58, NULL, NULL, 20068),
(54075, '3x27A01', NULL, NULL, 148, NULL, NULL, 20069),
(54076, '2nnzA01', NULL, NULL, 124, NULL, NULL, 20069),
(54077, '3kopF01', NULL, NULL, 168, NULL, NULL, 20069),
(54078, '1zx8A01', NULL, NULL, 128, NULL, NULL, 20069),
(54079, '2yq3A03', NULL, NULL, 44, NULL, NULL, 20070),
(54080, '2bpa100', NULL, NULL, 426, NULL, NULL, 20071);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(54081, '1gff100', NULL, NULL, 426, NULL, NULL, 20071),
(54082, '1m06F00', NULL, NULL, 431, NULL, NULL, 20071),
(54083, '2bu3B00', NULL, NULL, 212, NULL, NULL, 20072),
(54084, '3lpeB00', NULL, NULL, 59, NULL, NULL, 20073),
(54085, '1ryqA00', NULL, NULL, 69, NULL, NULL, 20073),
(54086, '2ynzC02', NULL, NULL, 26, NULL, NULL, 20074),
(54087, '4p5nA00', NULL, NULL, 77, NULL, NULL, 20075),
(54088, '4fcaA01', NULL, NULL, 123, NULL, NULL, 20076),
(54089, '2kj5A00', NULL, NULL, 116, NULL, NULL, 20077),
(54090, '2keyA00', NULL, NULL, 112, NULL, NULL, 20077),
(54091, '2kobA01', NULL, NULL, 93, NULL, NULL, 20077),
(54092, '2oxoA00', NULL, NULL, 103, NULL, NULL, 20077),
(54093, '2kj8A00', NULL, NULL, 118, NULL, NULL, 20077),
(54094, '5u91F01', NULL, NULL, 109, NULL, NULL, 20077),
(54095, '2khvA01', NULL, NULL, 85, NULL, NULL, 20077),
(54096, '4a8eA01', NULL, NULL, 95, NULL, NULL, 20077),
(54097, '2kkpA00', NULL, NULL, 117, NULL, NULL, 20077),
(54098, '2kj9A00', NULL, NULL, 118, NULL, NULL, 20077),
(54099, '3nrwA00', NULL, NULL, 117, NULL, NULL, 20077),
(54100, '1xo0A01', NULL, NULL, 111, NULL, NULL, 20077),
(54101, '2a3vB01', NULL, NULL, 94, NULL, NULL, 20077),
(54102, '3lysD00', NULL, NULL, 112, NULL, NULL, 20077),
(54103, '2kkvA01', NULL, NULL, 83, NULL, NULL, 20077),
(54104, '2kiwA01', NULL, NULL, 86, NULL, NULL, 20077),
(54105, '4acoA01', NULL, NULL, 125, NULL, NULL, 20077),
(54106, '2khqA01', NULL, NULL, 102, NULL, NULL, 20077),
(54107, '2kd1A00', NULL, NULL, 118, NULL, NULL, 20077),
(54108, '1a0pA01', NULL, NULL, 98, NULL, NULL, 20077),
(54109, '4esjA01', NULL, NULL, 167, NULL, NULL, 20078),
(54110, '5ysnB02', NULL, NULL, 185, NULL, NULL, 20079),
(54111, '4gfxA00', NULL, NULL, 151, NULL, NULL, 20080),
(54112, '5f0pB02', NULL, NULL, 144, NULL, NULL, 20080),
(54113, '2r51A01', NULL, NULL, 158, NULL, NULL, 20080),
(54114, '2r51A02', NULL, NULL, 142, NULL, NULL, 20080),
(54115, '4p2aA01', NULL, NULL, 156, NULL, NULL, 20080),
(54116, '2fauA01', NULL, NULL, 158, NULL, NULL, 20080),
(54117, '4geiA00', NULL, NULL, 150, NULL, NULL, 20080),
(54118, '4r7vA00', NULL, NULL, 173, NULL, NULL, 20080),
(54119, '4ll1C02', NULL, NULL, 146, NULL, NULL, 20080),
(54120, '6md5A01', NULL, NULL, 148, NULL, NULL, 20080),
(54121, '6md5A02', NULL, NULL, 143, NULL, NULL, 20080),
(54122, '3uguA02', NULL, NULL, 186, NULL, NULL, 20080),
(54123, '5f0jB02', NULL, NULL, 183, NULL, NULL, 20080),
(54124, '1g4mA02', NULL, NULL, 207, NULL, NULL, 20080),
(54125, '5tv1A02', NULL, NULL, 169, NULL, NULL, 20080),
(54126, '1sujA02', NULL, NULL, 179, NULL, NULL, 20080),
(54127, '2k5cA00', NULL, NULL, 95, NULL, NULL, 20081),
(54128, '1ka2A00', NULL, NULL, 499, NULL, NULL, 20082),
(54129, '3hoaA00', NULL, NULL, 509, NULL, NULL, 20082),
(54130, '5e3xA00', NULL, NULL, 489, NULL, NULL, 20082),
(54131, '5givB00', NULL, NULL, 503, NULL, NULL, 20082),
(54132, '3dwcB00', NULL, NULL, 505, NULL, NULL, 20082),
(54133, '3hq2B00', NULL, NULL, 501, NULL, NULL, 20082),
(54134, '2h1nA00', NULL, NULL, 567, NULL, NULL, 20082),
(54135, '3sksA00', NULL, NULL, 567, NULL, NULL, 20082),
(54136, '3ahnB00', NULL, NULL, 564, NULL, NULL, 20082),
(54137, '1yu0A02', NULL, NULL, 147, NULL, NULL, 20083),
(54138, '4py9A02', NULL, NULL, 128, NULL, NULL, 20084),
(54139, '2zxrA03', NULL, NULL, 116, NULL, NULL, 20084),
(54140, '5ippB02', NULL, NULL, 115, NULL, NULL, 20084),
(54141, '4ls9B02', NULL, NULL, 123, NULL, NULL, 20084),
(54142, '3devA02', NULL, NULL, 120, NULL, NULL, 20084),
(54143, '5f56A03', NULL, NULL, 116, NULL, NULL, 20084),
(54144, '3clqA04', NULL, NULL, 168, NULL, NULL, 20085),
(54145, '3mk7B01', NULL, NULL, 40, NULL, NULL, 20086),
(54146, '1y7jA00', NULL, NULL, 53, NULL, NULL, 20087),
(54147, '1hykA00', NULL, NULL, 46, NULL, NULL, 20087),
(54148, '4c91A04', NULL, NULL, 191, NULL, NULL, 20088),
(54149, '1x9lA01', NULL, NULL, 117, NULL, NULL, 20089),
(54150, '2k6wA01', NULL, NULL, 114, NULL, NULL, 20089),
(54151, '3zjaA01', NULL, NULL, 106, NULL, NULL, 20089),
(54152, '3m7kA00', NULL, NULL, 142, NULL, NULL, 20090),
(54153, '1hj0A00', NULL, NULL, 41, NULL, NULL, 20091);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(54154, '1vq8P03', NULL, NULL, 60, NULL, NULL, 20092),
(54155, '2b5dX01', NULL, NULL, 404, NULL, NULL, 20093),
(54156, '5kbpA01', NULL, NULL, 290, NULL, NULL, 20093),
(54157, '1o7dA01', NULL, NULL, 285, NULL, NULL, 20093),
(54158, '3n98A01', NULL, NULL, 416, NULL, NULL, 20093),
(54159, '5wu7A01', NULL, NULL, 417, NULL, NULL, 20093),
(54160, '3p0bA01', NULL, NULL, 415, NULL, NULL, 20093),
(54161, '3bvxA01', NULL, NULL, 382, NULL, NULL, 20093),
(54162, '4fmhO00', NULL, NULL, 289, NULL, NULL, 20094),
(54163, '4pcgB00', NULL, NULL, 276, NULL, NULL, 20094),
(54164, '4pchB00', NULL, NULL, 273, NULL, NULL, 20094),
(54165, '1sidF00', NULL, NULL, 366, NULL, NULL, 20094),
(54166, '3bwrA00', NULL, NULL, 272, NULL, NULL, 20094),
(54167, '4u60C00', NULL, NULL, 280, NULL, NULL, 20094),
(54168, '5cpuB00', NULL, NULL, 284, NULL, NULL, 20094),
(54169, '4mj0D00', NULL, NULL, 275, NULL, NULL, 20094),
(54170, '4mbyH00', NULL, NULL, 278, NULL, NULL, 20094),
(54171, '3s7xA00', NULL, NULL, 267, NULL, NULL, 20094),
(54172, '3s7vC00', NULL, NULL, 277, NULL, NULL, 20094),
(54173, '6esb400', NULL, NULL, 318, NULL, NULL, 20094),
(54174, '1sva400', NULL, NULL, 343, NULL, NULL, 20094),
(54175, '4x0yE00', NULL, NULL, 272, NULL, NULL, 20094),
(54176, '4poqJ00', NULL, NULL, 278, NULL, NULL, 20094),
(54177, '2yf2E00', NULL, NULL, 65, NULL, NULL, 20095),
(54178, '4b0fB00', NULL, NULL, 65, NULL, NULL, 20095),
(54179, '2q82A00', NULL, NULL, 129, NULL, NULL, 20096),
(54180, '4q1vA01', NULL, NULL, 451, NULL, NULL, 20097),
(54181, '4wjlA01', NULL, NULL, 465, NULL, NULL, 20097),
(54182, '4a5sA02', NULL, NULL, 443, NULL, NULL, 20097),
(54183, '1z68A01', NULL, NULL, 464, NULL, NULL, 20097),
(54184, '4ffvA02', NULL, NULL, 446, NULL, NULL, 20097),
(54185, '1orvA01', NULL, NULL, 470, NULL, NULL, 20097),
(54186, '2z3zA01', NULL, NULL, 417, NULL, NULL, 20097),
(54187, '2ecfA01', NULL, NULL, 460, NULL, NULL, 20097),
(54188, '1xfdA01', NULL, NULL, 464, NULL, NULL, 20097),
(54189, '1t95A02', NULL, NULL, 75, NULL, NULL, 20098),
(54190, '2wbmA02', NULL, NULL, 75, NULL, NULL, 20098),
(54191, '2kdoA02', NULL, NULL, 73, NULL, NULL, 20098),
(54192, '2d68A00', NULL, NULL, 82, NULL, NULL, 20099),
(54193, '1xfjA00', NULL, NULL, 261, NULL, NULL, 20100),
(54194, '1z9tA00', NULL, NULL, 255, NULL, NULL, 20100),
(54195, '1t8hA00', NULL, NULL, 277, NULL, NULL, 20100),
(54196, '1rw0A00', NULL, NULL, 243, NULL, NULL, 20100),
(54197, '1rv9A00', NULL, NULL, 259, NULL, NULL, 20100),
(54198, '2pp6A02', NULL, NULL, 77, NULL, NULL, 20101),
(54199, '3bqwA02', NULL, NULL, 137, NULL, NULL, 20102),
(54200, '4ihqA01', NULL, NULL, 160, NULL, NULL, 20103),
(54201, '3bpdB01', NULL, NULL, 88, NULL, NULL, 20104),
(54202, '2raqB01', NULL, NULL, 87, NULL, NULL, 20104),
(54203, '2x3dF01', NULL, NULL, 87, NULL, NULL, 20104),
(54204, '2j58H01', NULL, NULL, 109, NULL, NULL, 20105),
(54205, '2w8hA01', NULL, NULL, 114, NULL, NULL, 20105),
(54206, '2j58F01', NULL, NULL, 109, NULL, NULL, 20105),
(54207, '2j58G01', NULL, NULL, 109, NULL, NULL, 20105),
(54208, '2j58D01', NULL, NULL, 109, NULL, NULL, 20105),
(54209, '2j58E01', NULL, NULL, 109, NULL, NULL, 20105),
(54210, '2j58B01', NULL, NULL, 109, NULL, NULL, 20105),
(54211, '2j58A02', NULL, NULL, 95, NULL, NULL, 20105),
(54212, '2j58C01', NULL, NULL, 109, NULL, NULL, 20105),
(54213, '3p42A03', NULL, NULL, 74, NULL, NULL, 20105),
(54214, '2j58A01', NULL, NULL, 109, NULL, NULL, 20105),
(54215, '3sxqA01', NULL, NULL, 62, NULL, NULL, 20106),
(54216, '3fo3A01', NULL, NULL, 62, NULL, NULL, 20106),
(54217, '3o6uA00', NULL, NULL, 128, NULL, NULL, 20107),
(54218, '2kzxA00', NULL, NULL, 131, NULL, NULL, 20107),
(54219, '1a5tA03', NULL, NULL, 122, NULL, NULL, 20108),
(54220, '3bgeA01', NULL, NULL, 99, NULL, NULL, 20108),
(54221, '1iqpA03', NULL, NULL, 94, NULL, NULL, 20108),
(54222, '1sxjC03', NULL, NULL, 102, NULL, NULL, 20108),
(54223, '1jqjD02', NULL, NULL, 86, NULL, NULL, 20108),
(54224, '1sxjD03', NULL, NULL, 91, NULL, NULL, 20108),
(54225, '1sxjA03', NULL, NULL, 117, NULL, NULL, 20108),
(54226, '1sxjB03', NULL, NULL, 93, NULL, NULL, 20108);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(54227, '3zh9B03', NULL, NULL, 134, NULL, NULL, 20108),
(54228, '2r9gL01', NULL, NULL, 105, NULL, NULL, 20108),
(54229, '1sxjE03', NULL, NULL, 97, NULL, NULL, 20108),
(54230, '1jqjC02', NULL, NULL, 98, NULL, NULL, 20108),
(54231, '2gnoA03', NULL, NULL, 106, NULL, NULL, 20108),
(54232, '3pvsA03', NULL, NULL, 105, NULL, NULL, 20108),
(54233, '1jr3C02', NULL, NULL, 122, NULL, NULL, 20108),
(54234, '3ctdA01', NULL, NULL, 94, NULL, NULL, 20108),
(54235, '1jr3D02', NULL, NULL, 130, NULL, NULL, 20108),
(54236, '3u61D03', NULL, NULL, 91, NULL, NULL, 20108),
(54237, '2chqA03', NULL, NULL, 94, NULL, NULL, 20108),
(54238, '5tzbG00', NULL, NULL, 369, NULL, NULL, 20109),
(54239, '4iheA00', NULL, NULL, 374, NULL, NULL, 20109),
(54240, '2drhB00', NULL, NULL, 361, NULL, NULL, 20109),
(54241, '2v4iA00', NULL, NULL, 173, NULL, NULL, 20109),
(54242, '5y0mA00', NULL, NULL, 337, NULL, NULL, 20109),
(54243, '1vz6A01', NULL, NULL, 260, NULL, NULL, 20109),
(54244, '1vraA00', NULL, NULL, 191, NULL, NULL, 20109),
(54245, '3n2wD00', NULL, NULL, 373, NULL, NULL, 20109),
(54246, '3it4A00', NULL, NULL, 199, NULL, NULL, 20109),
(54247, '1b65A00', NULL, NULL, 375, NULL, NULL, 20109),
(54248, '4n8nC00', NULL, NULL, 115, NULL, NULL, 20110),
(54249, '4fxkC01', NULL, NULL, 134, NULL, NULL, 20111),
(54250, '2b39A12', NULL, NULL, 157, NULL, NULL, 20111),
(54251, '4lnvA10', NULL, NULL, 151, NULL, NULL, 20111),
(54252, '2a74C01', NULL, NULL, 146, NULL, NULL, 20111),
(54253, '2pn5A10', NULL, NULL, 153, NULL, NULL, 20111),
(54254, '1ayoA00', NULL, NULL, 130, NULL, NULL, 20111),
(54255, '3cu7A12', NULL, NULL, 150, NULL, NULL, 20111),
(54256, '1edyA00', NULL, NULL, 134, NULL, NULL, 20111),
(54257, '1bv8A00', NULL, NULL, 138, NULL, NULL, 20111),
(54258, '3hrzC02', NULL, NULL, 142, NULL, NULL, 20111),
(54259, '3es5A02', NULL, NULL, 122, NULL, NULL, 20112),
(54260, '4gnkE00', NULL, NULL, 259, NULL, NULL, 20113),
(54261, '1jadA00', NULL, NULL, 251, NULL, NULL, 20113),
(54262, '1l9lA00', NULL, NULL, 74, NULL, NULL, 20114),
(54263, '1of9A00', NULL, NULL, 77, NULL, NULL, 20114),
(54264, '1qdmA03', NULL, NULL, 104, NULL, NULL, 20114),
(54265, '2qypB00', NULL, NULL, 91, NULL, NULL, 20114),
(54266, '5nxbC00', NULL, NULL, 87, NULL, NULL, 20114),
(54267, '3s63A00', NULL, NULL, 88, NULL, NULL, 20114),
(54268, '2rqyA01', NULL, NULL, 77, NULL, NULL, 20114),
(54269, '2w50B00', NULL, NULL, 102, NULL, NULL, 20114),
(54270, '3rfiA00', NULL, NULL, 108, NULL, NULL, 20114),
(54271, '2js9A00', NULL, NULL, 81, NULL, NULL, 20114),
(54272, '2w51A01', NULL, NULL, 96, NULL, NULL, 20114),
(54273, '3s64A00', NULL, NULL, 87, NULL, NULL, 20114),
(54274, '4v2oB00', NULL, NULL, 82, NULL, NULL, 20114),
(54275, '2gtgA00', NULL, NULL, 83, NULL, NULL, 20114),
(54276, '3bqpA00', NULL, NULL, 80, NULL, NULL, 20114),
(54277, '5u85A00', NULL, NULL, 83, NULL, NULL, 20114),
(54278, '4uexA00', NULL, NULL, 85, NULL, NULL, 20114),
(54279, '1nklA00', NULL, NULL, 78, NULL, NULL, 20114),
(54280, '3kdrA01', NULL, NULL, 118, NULL, NULL, 20115),
(54281, '1vs9O01', NULL, NULL, 55, NULL, NULL, 20116),
(54282, '3qyfA03', NULL, NULL, 61, NULL, NULL, 20117),
(54283, '4ww7B00', NULL, NULL, 187, NULL, NULL, 20118),
(54284, '3enpA00', NULL, NULL, 177, NULL, NULL, 20118),
(54285, '1zd0A01', NULL, NULL, 135, NULL, NULL, 20118),
(54286, '3enhC01', NULL, NULL, 142, NULL, NULL, 20118),
(54287, '2yicA04', NULL, NULL, 162, NULL, NULL, 20119),
(54288, '2jgdA04', NULL, NULL, 159, NULL, NULL, 20119),
(54289, '3rv1A01', NULL, NULL, 84, NULL, NULL, 20120),
(54290, '2kxyA01', NULL, NULL, 85, NULL, NULL, 20121),
(54291, '3zyyX03', NULL, NULL, 87, NULL, NULL, 20122),
(54292, '3rrwA02', NULL, NULL, 70, NULL, NULL, 20123),
(54293, '3vywA01', NULL, NULL, 70, NULL, NULL, 20124),
(54294, '4oi3A00', NULL, NULL, 89, NULL, NULL, 20125),
(54295, '3wsxA03', NULL, NULL, 87, NULL, NULL, 20126),
(54296, '3f6kA03', NULL, NULL, 78, NULL, NULL, 20126),
(54297, '4alzA01', NULL, NULL, 66, NULL, NULL, 20127),
(54298, '4alzA02', NULL, NULL, 68, NULL, NULL, 20127),
(54299, '2fh0A00', NULL, NULL, 81, NULL, NULL, 20128),
(54300, '2jxnA01', NULL, NULL, 106, NULL, NULL, 20128);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(54301, '2cruA01', NULL, NULL, 77, NULL, NULL, 20128),
(54302, '1eijA00', NULL, NULL, 80, NULL, NULL, 20128),
(54303, '4bjsC00', NULL, NULL, 60, NULL, NULL, 20129),
(54304, '2cx0A01', NULL, NULL, 104, NULL, NULL, 20130),
(54305, '3d79A01', NULL, NULL, 85, NULL, NULL, 20130),
(54306, '1q7hA01', NULL, NULL, 67, NULL, NULL, 20130),
(54307, '5ycqA00', NULL, NULL, 105, NULL, NULL, 20131),
(54308, '4nv0A02', NULL, NULL, 82, NULL, NULL, 20132),
(54309, '2vkqA02', NULL, NULL, 85, NULL, NULL, 20132),
(54310, '4fe3A02', NULL, NULL, 74, NULL, NULL, 20132),
(54311, '4ts4A02', NULL, NULL, 113, NULL, NULL, 20133),
(54312, '4iqfA02', NULL, NULL, 108, NULL, NULL, 20133),
(54313, '1fmtA02', NULL, NULL, 105, NULL, NULL, 20133),
(54314, '5uaiA02', NULL, NULL, 103, NULL, NULL, 20133),
(54315, '1s3iA02', NULL, NULL, 105, NULL, NULL, 20133),
(54316, '3r8xA02', NULL, NULL, 106, NULL, NULL, 20133),
(54317, '2blnA02', NULL, NULL, 103, NULL, NULL, 20133),
(54318, '3q0iA02', NULL, NULL, 105, NULL, NULL, 20133),
(54319, '2bw0A02', NULL, NULL, 102, NULL, NULL, 20133),
(54320, '3tqqA02', NULL, NULL, 106, NULL, NULL, 20133),
(54321, '2xgjA05', NULL, NULL, 130, NULL, NULL, 20134),
(54322, '3r4iA02', NULL, NULL, 71, NULL, NULL, 20135),
(54323, '3n40P04', NULL, NULL, 73, NULL, NULL, 20136),
(54324, '3muuB02', NULL, NULL, 90, NULL, NULL, 20136),
(54325, '1qpoA01', NULL, NULL, 119, NULL, NULL, 20137),
(54326, '1x1oA01', NULL, NULL, 143, NULL, NULL, 20137),
(54327, '3tqvA01', NULL, NULL, 140, NULL, NULL, 20137),
(54328, '3c2eA01', NULL, NULL, 145, NULL, NULL, 20137),
(54329, '4i9aA01', NULL, NULL, 142, NULL, NULL, 20137),
(54330, '2i1oA01', NULL, NULL, 116, NULL, NULL, 20137),
(54331, '2i14A01', NULL, NULL, 112, NULL, NULL, 20137),
(54332, '3gnnA01', NULL, NULL, 144, NULL, NULL, 20137),
(54333, '1o4uA01', NULL, NULL, 130, NULL, NULL, 20137),
(54334, '3l0gB01', NULL, NULL, 122, NULL, NULL, 20137),
(54335, '2jbmD01', NULL, NULL, 153, NULL, NULL, 20137),
(54336, '2b7nA01', NULL, NULL, 127, NULL, NULL, 20137),
(54337, '3pajB01', NULL, NULL, 152, NULL, NULL, 20137),
(54338, '1qapA01', NULL, NULL, 122, NULL, NULL, 20137),
(54339, '5huoE01', NULL, NULL, 141, NULL, NULL, 20137),
(54340, '5iroD00', NULL, NULL, 108, NULL, NULL, 20138),
(54341, '4e5xG00', NULL, NULL, 100, NULL, NULL, 20138),
(54342, '4hn9A02', NULL, NULL, 68, NULL, NULL, 20139),
(54343, '4pagA02', NULL, NULL, 82, NULL, NULL, 20139),
(54344, '2z5bB01', NULL, NULL, 166, NULL, NULL, 20140),
(54345, '6jptA00', NULL, NULL, 122, NULL, NULL, 20140),
(54346, '4jwhA00', NULL, NULL, 189, NULL, NULL, 20141),
(54347, '4jwjA00', NULL, NULL, 202, NULL, NULL, 20141),
(54348, '4fmwA00', NULL, NULL, 197, NULL, NULL, 20141),
(54349, '1uwyA02', NULL, NULL, 107, NULL, NULL, 20142),
(54350, '5m0yB01', NULL, NULL, 102, NULL, NULL, 20142),
(54351, '3kcpA02', NULL, NULL, 99, NULL, NULL, 20142),
(54352, '3mn8B02', NULL, NULL, 98, NULL, NULL, 20142),
(54353, '1h8lA02', NULL, NULL, 79, NULL, NULL, 20142),
(54354, '5aq0B00', NULL, NULL, 82, NULL, NULL, 20142),
(54355, '4u3sB01', NULL, NULL, 94, NULL, NULL, 20142),
(54356, '4yokA01', NULL, NULL, 99, NULL, NULL, 20142),
(54357, '1nkgA02', NULL, NULL, 85, NULL, NULL, 20142),
(54358, '4iykA01', NULL, NULL, 107, NULL, NULL, 20142),
(54359, '3e8vA00', NULL, NULL, 82, NULL, NULL, 20142),
(54360, '4fxtG01', NULL, NULL, 95, NULL, NULL, 20142),
(54361, '3hn5A01', NULL, NULL, 100, NULL, NULL, 20142),
(54362, '2nsmA02', NULL, NULL, 78, NULL, NULL, 20142),
(54363, '4eiuA01', NULL, NULL, 112, NULL, NULL, 20142),
(54364, '1r89A04', NULL, NULL, 44, NULL, NULL, 20143),
(54365, '3h9nA01', NULL, NULL, 89, NULL, NULL, 20144),
(54366, '2qggA01', NULL, NULL, 98, NULL, NULL, 20144),
(54367, '2dyiA01', NULL, NULL, 84, NULL, NULL, 20144),
(54368, '2f1lA01', NULL, NULL, 89, NULL, NULL, 20144),
(54369, '2kbzA00', NULL, NULL, 99, NULL, NULL, 20145),
(54370, '3rmrB01', NULL, NULL, 54, NULL, NULL, 20146),
(54371, '3rmrC01', NULL, NULL, 70, NULL, NULL, 20146),
(54372, '3iylW03', NULL, NULL, 263, NULL, NULL, 20147),
(54373, '1ej6A03', NULL, NULL, 263, NULL, NULL, 20147),
(54374, '4bbyB04', NULL, NULL, 125, NULL, NULL, 20148);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(54375, '3s9zA02', NULL, NULL, 129, NULL, NULL, 20149),
(54376, '4ex4B02', NULL, NULL, 130, NULL, NULL, 20149),
(54377, '1d8cA02', NULL, NULL, 128, NULL, NULL, 20149),
(54378, '3jstA00', NULL, NULL, 97, NULL, NULL, 20150),
(54379, '4wilB00', NULL, NULL, 105, NULL, NULL, 20150),
(54380, '4lowA00', NULL, NULL, 89, NULL, NULL, 20150),
(54381, '3hxaC00', NULL, NULL, 104, NULL, NULL, 20150),
(54382, '4c45A00', NULL, NULL, 104, NULL, NULL, 20150),
(54383, '1usmA00', NULL, NULL, 80, NULL, NULL, 20150),
(54384, '2ebbA00', NULL, NULL, 101, NULL, NULL, 20150),
(54385, '2v6uB00', NULL, NULL, 104, NULL, NULL, 20150),
(54386, '1us7B02', NULL, NULL, 53, NULL, NULL, 20151),
(54387, '4az6A02', NULL, NULL, 68, NULL, NULL, 20152),
(54388, '4azcB02', NULL, NULL, 64, NULL, NULL, 20152),
(54389, '3rpmA02', NULL, NULL, 97, NULL, NULL, 20152),
(54390, '2oo2A00', NULL, NULL, 86, NULL, NULL, 20152),
(54391, '2pmrA00', NULL, NULL, 87, NULL, NULL, 20152),
(54392, '4fzpB00', NULL, NULL, 82, NULL, NULL, 20152),
(54393, '2oznB01', NULL, NULL, 81, NULL, NULL, 20152),
(54394, '2uv9A05', NULL, NULL, 45, NULL, NULL, 20153),
(54395, '5bnzA03', NULL, NULL, 79, NULL, NULL, 20154),
(54396, '4griA03', NULL, NULL, 84, NULL, NULL, 20154),
(54397, '3afhA03', NULL, NULL, 83, NULL, NULL, 20154),
(54398, '6b1pA03', NULL, NULL, 83, NULL, NULL, 20154),
(54399, '4p2bA03', NULL, NULL, 79, NULL, NULL, 20154),
(54400, '2o5rA03', NULL, NULL, 83, NULL, NULL, 20154),
(54401, '2hz7A03', NULL, NULL, 79, NULL, NULL, 20154),
(54402, '2cfoA03', NULL, NULL, 85, NULL, NULL, 20154),
(54403, '1j09A02', NULL, NULL, 85, NULL, NULL, 20154),
(54404, '6b1zA03', NULL, NULL, 102, NULL, NULL, 20154),
(54405, '5h4vA03', NULL, NULL, 83, NULL, NULL, 20154),
(54406, '2ja2A03', NULL, NULL, 84, NULL, NULL, 20154),
(54407, '1qtqA03', NULL, NULL, 79, NULL, NULL, 20154),
(54408, '6bogA08', NULL, NULL, 80, NULL, NULL, 20155),
(54409, '4bs9A03', NULL, NULL, 156, NULL, NULL, 20156),
(54410, '3u61A02', NULL, NULL, 74, NULL, NULL, 20157),
(54411, '2yo3A03', NULL, NULL, 58, NULL, NULL, 20158),
(54412, '2xzn800', NULL, NULL, 93, NULL, NULL, 20159),
(54413, '2bw3B01', NULL, NULL, 73, NULL, NULL, 20160),
(54414, '2bw3A01', NULL, NULL, 56, NULL, NULL, 20160),
(54415, '2kdxA00', NULL, NULL, 119, NULL, NULL, 20161),
(54416, '3qyfA02', NULL, NULL, 45, NULL, NULL, 20162),
(54417, '2jooA00', NULL, NULL, 66, NULL, NULL, 20163),
(54418, '2pw8I00', NULL, NULL, 65, NULL, NULL, 20163),
(54419, '4htcI00', NULL, NULL, 65, NULL, NULL, 20163),
(54420, '2hirA00', NULL, NULL, 49, NULL, NULL, 20163),
(54421, '1e0fI01', NULL, NULL, 33, NULL, NULL, 20163),
(54422, '3kxeC01', NULL, NULL, 78, NULL, NULL, 20164),
(54423, '3u13A02', NULL, NULL, 55, NULL, NULL, 20165),
(54424, '4mumA02', NULL, NULL, 55, NULL, NULL, 20165),
(54425, '3bwvA02', NULL, NULL, 49, NULL, NULL, 20165),
(54426, '3bwvB02', NULL, NULL, 49, NULL, NULL, 20165),
(54427, '4l57A02', NULL, NULL, 55, NULL, NULL, 20165),
(54428, '2jarA02', NULL, NULL, 55, NULL, NULL, 20165),
(54429, '3hl6A01', NULL, NULL, 75, NULL, NULL, 20166),
(54430, '6dc6A01', NULL, NULL, 120, NULL, NULL, 20167),
(54431, '4ii2A01', NULL, NULL, 116, NULL, NULL, 20167),
(54432, '5tr4A01', NULL, NULL, 120, NULL, NULL, 20167),
(54433, '3veaA01', NULL, NULL, 89, NULL, NULL, 20168),
(54434, '4d8jA01', NULL, NULL, 89, NULL, NULL, 20168),
(54435, '3dgsA02', NULL, NULL, 104, NULL, NULL, 20169),
(54436, '1g3pA02', NULL, NULL, 104, NULL, NULL, 20169),
(54437, '3knqA02', NULL, NULL, 101, NULL, NULL, 20169),
(54438, '1cpyA02', NULL, NULL, 72, NULL, NULL, 20170),
(54439, '1heiA03', NULL, NULL, 157, NULL, NULL, 20171),
(54440, '5wdxA05', NULL, NULL, 134, NULL, NULL, 20171),
(54441, '2zjoA03', NULL, NULL, 175, NULL, NULL, 20171),
(54442, '4wxpA03', NULL, NULL, 168, NULL, NULL, 20171),
(54443, '3o8bA05', NULL, NULL, 134, NULL, NULL, 20171),
(54444, '6ijfC02', NULL, NULL, 70, NULL, NULL, 20172),
(54445, '4bi3A02', NULL, NULL, 72, NULL, NULL, 20172),
(54446, '1ii7B02', NULL, NULL, 84, NULL, NULL, 20173),
(54447, '1g71A01', NULL, NULL, 239, NULL, NULL, 20174),
(54448, '2faoA01', NULL, NULL, 285, NULL, NULL, 20174);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(54449, '5of3A00', NULL, NULL, 330, NULL, NULL, 20174),
(54450, '1v33A01', NULL, NULL, 243, NULL, NULL, 20174),
(54451, '4limA00', NULL, NULL, 391, NULL, NULL, 20174),
(54452, '4likA00', NULL, NULL, 392, NULL, NULL, 20174),
(54453, '3lovA02', NULL, NULL, 216, NULL, NULL, 20175),
(54454, '1sezA02', NULL, NULL, 185, NULL, NULL, 20175),
(54455, '3i6dA02', NULL, NULL, 192, NULL, NULL, 20175),
(54456, '2ivdA02', NULL, NULL, 188, NULL, NULL, 20175),
(54457, '1pzrA00', NULL, NULL, 60, NULL, NULL, 20176),
(54458, '2jpnA00', NULL, NULL, 79, NULL, NULL, 20177),
(54459, '2lmkA00', NULL, NULL, 57, NULL, NULL, 20178),
(54460, '2g5gX02', NULL, NULL, 59, NULL, NULL, 20179),
(54461, '4zdlA01', NULL, NULL, 74, NULL, NULL, 20180),
(54462, '3bc8A01', NULL, NULL, 74, NULL, NULL, 20180),
(54463, '3dkxA01', NULL, NULL, 136, NULL, NULL, 20181),
(54464, '1busA00', NULL, NULL, 57, NULL, NULL, 20182),
(54465, '2p6aD02', NULL, NULL, 68, NULL, NULL, 20182),
(54466, '4hguA00', NULL, NULL, 40, NULL, NULL, 20182),
(54467, '1tihA00', NULL, NULL, 53, NULL, NULL, 20182),
(54468, '1kmaA00', NULL, NULL, 55, NULL, NULL, 20182),
(54469, '2f3cI00', NULL, NULL, 55, NULL, NULL, 20182),
(54470, '1cgiI00', NULL, NULL, 56, NULL, NULL, 20182),
(54471, '1iw4A00', NULL, NULL, 55, NULL, NULL, 20182),
(54472, '2m25A00', NULL, NULL, 75, NULL, NULL, 20182),
(54473, '1tbrR02', NULL, NULL, 52, NULL, NULL, 20182),
(54474, '1z7kB00', NULL, NULL, 62, NULL, NULL, 20182),
(54475, '1tbrR01', NULL, NULL, 51, NULL, NULL, 20182),
(54476, '3hh2C02', NULL, NULL, 73, NULL, NULL, 20182),
(54477, '2n71A00', NULL, NULL, 50, NULL, NULL, 20182),
(54478, '3sekC02', NULL, NULL, 67, NULL, NULL, 20182),
(54479, '1uvgA01', NULL, NULL, 60, NULL, NULL, 20182),
(54480, '1iy6A00', NULL, NULL, 54, NULL, NULL, 20182),
(54481, '1pceA00', NULL, NULL, 60, NULL, NULL, 20182),
(54482, '2jzmA00', NULL, NULL, 53, NULL, NULL, 20182),
(54483, '1r0rI00', NULL, NULL, 51, NULL, NULL, 20182),
(54484, '4sgbI00', NULL, NULL, 51, NULL, NULL, 20182),
(54485, '5daeA00', NULL, NULL, 65, NULL, NULL, 20182),
(54486, '1hdlA00', NULL, NULL, 55, NULL, NULL, 20182),
(54487, '2jxdA00', NULL, NULL, 62, NULL, NULL, 20182),
(54488, '2arpF01', NULL, NULL, 63, NULL, NULL, 20182),
(54489, '2arpF02', NULL, NULL, 72, NULL, NULL, 20182),
(54490, '1y1bA00', NULL, NULL, 48, NULL, NULL, 20182),
(54491, '2erwA00', NULL, NULL, 56, NULL, NULL, 20182),
(54492, '1ldtL00', NULL, NULL, 46, NULL, NULL, 20182),
(54493, '2jyyA00', NULL, NULL, 53, NULL, NULL, 20182),
(54494, '2wcyA01', NULL, NULL, 75, NULL, NULL, 20182),
(54495, '1ds3I00', NULL, NULL, 51, NULL, NULL, 20182),
(54496, '2leoA00', NULL, NULL, 66, NULL, NULL, 20182),
(54497, '2wcyA02', NULL, NULL, 80, NULL, NULL, 20182),
(54498, '3sekC03', NULL, NULL, 76, NULL, NULL, 20182),
(54499, '2xrcA02', NULL, NULL, 48, NULL, NULL, 20182),
(54500, '4gi3C00', NULL, NULL, 63, NULL, NULL, 20182),
(54501, '1pjuA01', NULL, NULL, 63, NULL, NULL, 20182),
(54502, '1pjuA02', NULL, NULL, 52, NULL, NULL, 20182),
(54503, '1h0zA00', NULL, NULL, 68, NULL, NULL, 20182),
(54504, '2n17A00', NULL, NULL, 58, NULL, NULL, 20182),
(54505, '2n52A00', NULL, NULL, 60, NULL, NULL, 20182),
(54506, '1ce3A00', NULL, NULL, 54, NULL, NULL, 20182),
(54507, '1y1cA00', NULL, NULL, 48, NULL, NULL, 20182),
(54508, '3hh2D04', NULL, NULL, 76, NULL, NULL, 20182),
(54509, '3hh2D03', NULL, NULL, 39, NULL, NULL, 20182),
(54510, '3ovoA00', NULL, NULL, 56, NULL, NULL, 20182),
(54511, '1n13E00', NULL, NULL, 52, NULL, NULL, 20182),
(54512, '5zfoA00', NULL, NULL, 50, NULL, NULL, 20182),
(54513, '1nubA01', NULL, NULL, 85, NULL, NULL, 20182),
(54514, '1tgsI00', NULL, NULL, 56, NULL, NULL, 20182),
(54515, '3hlzB01', NULL, NULL, 140, NULL, NULL, 20183),
(54516, '2xb3A00', NULL, NULL, 165, NULL, NULL, 20183),
(54517, '2vu4A00', NULL, NULL, 171, NULL, NULL, 20183),
(54518, '4bq6F00', NULL, NULL, 153, NULL, NULL, 20183),
(54519, '1v2bB00', NULL, NULL, 177, NULL, NULL, 20183),
(54520, '1tu1A00', NULL, NULL, 148, NULL, NULL, 20183),
(54521, '2lnjA00', NULL, NULL, 170, NULL, NULL, 20183),
(54522, '1jhsA00', NULL, NULL, 188, NULL, NULL, 20183);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(54523, '3v7bA00', NULL, NULL, 151, NULL, NULL, 20183),
(54524, '3lydA01', NULL, NULL, 142, NULL, NULL, 20183),
(54525, '4rthB00', NULL, NULL, 186, NULL, NULL, 20183),
(54526, '5xnlP00', NULL, NULL, 186, NULL, NULL, 20183),
(54527, '3kewB02', NULL, NULL, 155, NULL, NULL, 20184),
(54528, '1tkeA02', NULL, NULL, 102, NULL, NULL, 20184),
(54529, '2ztgA04', NULL, NULL, 96, NULL, NULL, 20184),
(54530, '3rhuA01', NULL, NULL, 113, NULL, NULL, 20184),
(54531, '3wqyB04', NULL, NULL, 98, NULL, NULL, 20184),
(54532, '1nyrB02', NULL, NULL, 158, NULL, NULL, 20184),
(54533, '3rfnA01', NULL, NULL, 112, NULL, NULL, 20184),
(54534, '1v4pC01', NULL, NULL, 110, NULL, NULL, 20184),
(54535, '2zzeA04', NULL, NULL, 95, NULL, NULL, 20184),
(54536, '2e1bA02', NULL, NULL, 129, NULL, NULL, 20184),
(54537, '2gv1A00', NULL, NULL, 92, NULL, NULL, 20185),
(54538, '2bycB00', NULL, NULL, 137, NULL, NULL, 20185),
(54539, '1kviA00', NULL, NULL, 79, NULL, NULL, 20185),
(54540, '2pgcA02', NULL, NULL, 106, NULL, NULL, 20185),
(54541, '6fu9A00', NULL, NULL, 81, NULL, NULL, 20185),
(54542, '2rilA00', NULL, NULL, 99, NULL, NULL, 20185),
(54543, '1ulrA00', NULL, NULL, 88, NULL, NULL, 20185),
(54544, '2kyzA00', NULL, NULL, 67, NULL, NULL, 20185),
(54545, '2ftrB00', NULL, NULL, 108, NULL, NULL, 20185),
(54546, '2kkhA01', NULL, NULL, 75, NULL, NULL, 20185),
(54547, '1q8bA00', NULL, NULL, 105, NULL, NULL, 20185),
(54548, '5xztJ00', NULL, NULL, 107, NULL, NULL, 20185),
(54549, '2kb2A00', NULL, NULL, 148, NULL, NULL, 20185),
(54550, '1cc8A00', NULL, NULL, 73, NULL, NULL, 20185),
(54551, '1x0pA01', NULL, NULL, 97, NULL, NULL, 20185),
(54552, '2lxfA00', NULL, NULL, 121, NULL, NULL, 20185),
(54553, '1iujA00', NULL, NULL, 106, NULL, NULL, 20185),
(54554, '3kg0A00', NULL, NULL, 108, NULL, NULL, 20185),
(54555, '3qmqA00', NULL, NULL, 99, NULL, NULL, 20185),
(54556, '1u7lA03', NULL, NULL, 90, NULL, NULL, 20185),
(54557, '3bm7A00', NULL, NULL, 115, NULL, NULL, 20185),
(54558, '6cbuA00', NULL, NULL, 100, NULL, NULL, 20185),
(54559, '4zosB00', NULL, NULL, 106, NULL, NULL, 20185),
(54560, '1yg0A00', NULL, NULL, 66, NULL, NULL, 20185),
(54561, '1yrxC01', NULL, NULL, 106, NULL, NULL, 20185),
(54562, '2iygB00', NULL, NULL, 124, NULL, NULL, 20185),
(54563, '2roeA00', NULL, NULL, 66, NULL, NULL, 20185),
(54564, '2ifxA01', NULL, NULL, 88, NULL, NULL, 20185),
(54565, '4q2lA00', NULL, NULL, 70, NULL, NULL, 20185),
(54566, '2bjdA00', NULL, NULL, 101, NULL, NULL, 20185),
(54567, '2kt2A00', NULL, NULL, 69, NULL, NULL, 20185),
(54568, '2qlxA01', NULL, NULL, 101, NULL, NULL, 20185),
(54569, '2op5B01', NULL, NULL, 109, NULL, NULL, 20185),
(54570, '4hl9A00', NULL, NULL, 95, NULL, NULL, 20185),
(54571, '1y3jA00', NULL, NULL, 77, NULL, NULL, 20185),
(54572, '4u9rA02', NULL, NULL, 65, NULL, NULL, 20185),
(54573, '4u9rA01', NULL, NULL, 82, NULL, NULL, 20185),
(54574, '3tnvA00', NULL, NULL, 91, NULL, NULL, 20185),
(54575, '2od6B00', NULL, NULL, 110, NULL, NULL, 20185),
(54576, '3f44A00', NULL, NULL, 220, NULL, NULL, 20185),
(54577, '4efaC00', NULL, NULL, 130, NULL, NULL, 20185),
(54578, '4y2mA00', NULL, NULL, 65, NULL, NULL, 20185),
(54579, '1lq9A00', NULL, NULL, 112, NULL, NULL, 20185),
(54580, '3fgvA00', NULL, NULL, 106, NULL, NULL, 20185),
(54581, '3bb5F00', NULL, NULL, 121, NULL, NULL, 20185),
(54582, '5zneA00', NULL, NULL, 73, NULL, NULL, 20185),
(54583, '1xbwB00', NULL, NULL, 109, NULL, NULL, 20185),
(54584, '4dn9B00', NULL, NULL, 122, NULL, NULL, 20185),
(54585, '3bb5B00', NULL, NULL, 121, NULL, NULL, 20185),
(54586, '1apsA00', NULL, NULL, 98, NULL, NULL, 20185),
(54587, '5ixuA00', NULL, NULL, 117, NULL, NULL, 20185),
(54588, '2qycA00', NULL, NULL, 103, NULL, NULL, 20185),
(54589, '1s6oA00', NULL, NULL, 76, NULL, NULL, 20185),
(54590, '1y0hB00', NULL, NULL, 102, NULL, NULL, 20185),
(54591, '1aw0A00', NULL, NULL, 72, NULL, NULL, 20185),
(54592, '2okqB00', NULL, NULL, 141, NULL, NULL, 20185),
(54593, '2aj0A00', NULL, NULL, 71, NULL, NULL, 20185),
(54594, '2n7yA00', NULL, NULL, 76, NULL, NULL, 20185),
(54595, '2hiqA00', NULL, NULL, 113, NULL, NULL, 20185),
(54596, '5kakA00', NULL, NULL, 126, NULL, NULL, 20185);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(54597, '3bb5A00', NULL, NULL, 121, NULL, NULL, 20185),
(54598, '3hhlA00', NULL, NULL, 143, NULL, NULL, 20185),
(54599, '3bf4A01', NULL, NULL, 99, NULL, NULL, 20185),
(54600, '4a47A00', NULL, NULL, 63, NULL, NULL, 20185),
(54601, '2ftrA00', NULL, NULL, 108, NULL, NULL, 20185),
(54602, '1x8dA01', NULL, NULL, 97, NULL, NULL, 20185),
(54603, '6ff2A00', NULL, NULL, 68, NULL, NULL, 20185),
(54604, '1tz0B00', NULL, NULL, 114, NULL, NULL, 20185),
(54605, '2fiuA00', NULL, NULL, 99, NULL, NULL, 20185),
(54606, '3vtiA01', NULL, NULL, 103, NULL, NULL, 20185),
(54607, '2qifA00', NULL, NULL, 69, NULL, NULL, 20185),
(54608, '2k2pA00', NULL, NULL, 64, NULL, NULL, 20185),
(54609, '2od6C00', NULL, NULL, 110, NULL, NULL, 20185),
(54610, '2rsqA00', NULL, NULL, 89, NULL, NULL, 20185),
(54611, '2gffA00', NULL, NULL, 106, NULL, NULL, 20185),
(54612, '1afiA00', NULL, NULL, 72, NULL, NULL, 20185),
(54613, '2qlxB01', NULL, NULL, 101, NULL, NULL, 20185),
(54614, '1x7vA00', NULL, NULL, 99, NULL, NULL, 20185),
(54615, '4ae5C00', NULL, NULL, 167, NULL, NULL, 20185),
(54616, '3br8A00', NULL, NULL, 91, NULL, NULL, 20185),
(54617, '4dpoB00', NULL, NULL, 102, NULL, NULL, 20185),
(54618, '3bb5E00', NULL, NULL, 104, NULL, NULL, 20185),
(54619, '2ew9A01', NULL, NULL, 77, NULL, NULL, 20185),
(54620, '2ew9A02', NULL, NULL, 72, NULL, NULL, 20185),
(54621, '2pd1A01', NULL, NULL, 95, NULL, NULL, 20185),
(54622, '1vqsA00', NULL, NULL, 116, NULL, NULL, 20185),
(54623, '3fmbA01', NULL, NULL, 100, NULL, NULL, 20185),
(54624, '2pgcC01', NULL, NULL, 101, NULL, NULL, 20185),
(54625, '3cjkB00', NULL, NULL, 75, NULL, NULL, 20185),
(54626, '2g9oA00', NULL, NULL, 90, NULL, NULL, 20185),
(54627, '3bf4B01', NULL, NULL, 99, NULL, NULL, 20185),
(54628, '1vqyB01', NULL, NULL, 95, NULL, NULL, 20185),
(54629, '1osdA00', NULL, NULL, 72, NULL, NULL, 20185),
(54630, '2qlwA01', NULL, NULL, 101, NULL, NULL, 20185),
(54631, '2xmjA00', NULL, NULL, 64, NULL, NULL, 20185),
(54632, '2omoD01', NULL, NULL, 103, NULL, NULL, 20185),
(54633, '2acyA00', NULL, NULL, 98, NULL, NULL, 20185),
(54634, '2go8A01', NULL, NULL, 93, NULL, NULL, 20185),
(54635, '1tuvA00', NULL, NULL, 114, NULL, NULL, 20185),
(54636, '1w2iA00', NULL, NULL, 91, NULL, NULL, 20185),
(54637, '3fj2A00', NULL, NULL, 186, NULL, NULL, 20185),
(54638, '1tr0A00', NULL, NULL, 108, NULL, NULL, 20185),
(54639, '1rjjA00', NULL, NULL, 111, NULL, NULL, 20185),
(54640, '3kngA00', NULL, NULL, 109, NULL, NULL, 20185),
(54641, '4a4jA00', NULL, NULL, 69, NULL, NULL, 20185),
(54642, '3e8oB00', NULL, NULL, 100, NULL, NULL, 20185),
(54643, '2bbeA00', NULL, NULL, 108, NULL, NULL, 20185),
(54644, '3kkfA00', NULL, NULL, 105, NULL, NULL, 20185),
(54645, '2od6D00', NULL, NULL, 110, NULL, NULL, 20185),
(54646, '2l3mA00', NULL, NULL, 71, NULL, NULL, 20185),
(54647, '2ap6A00', NULL, NULL, 112, NULL, NULL, 20185),
(54648, '1qupA01', NULL, NULL, 70, NULL, NULL, 20185),
(54649, '3mcsA00', NULL, NULL, 219, NULL, NULL, 20185),
(54650, '3bb5D00', NULL, NULL, 121, NULL, NULL, 20185),
(54651, '3lo3A00', NULL, NULL, 94, NULL, NULL, 20185),
(54652, '3bdeB00', NULL, NULL, 120, NULL, NULL, 20185),
(54653, '2hfnA01', NULL, NULL, 100, NULL, NULL, 20185),
(54654, '2fb0A00', NULL, NULL, 94, NULL, NULL, 20185),
(54655, '2lqbA00', NULL, NULL, 76, NULL, NULL, 20185),
(54656, '4ydxA00', NULL, NULL, 67, NULL, NULL, 20185),
(54657, '1q8lA00', NULL, NULL, 84, NULL, NULL, 20185),
(54658, '3fryA01', NULL, NULL, 64, NULL, NULL, 20185),
(54659, '1opzA00', NULL, NULL, 76, NULL, NULL, 20185),
(54660, '1cpzA00', NULL, NULL, 68, NULL, NULL, 20185),
(54661, '1yjrA00', NULL, NULL, 75, NULL, NULL, 20185),
(54662, '2jdjA00', NULL, NULL, 105, NULL, NULL, 20185),
(54663, '3fezA00', NULL, NULL, 186, NULL, NULL, 20185),
(54664, '4f67A01', NULL, NULL, 107, NULL, NULL, 20185),
(54665, '3hhlC00', NULL, NULL, 143, NULL, NULL, 20185),
(54666, '2qlwB01', NULL, NULL, 101, NULL, NULL, 20185),
(54667, '3dcaA00', NULL, NULL, 142, NULL, NULL, 20185),
(54668, '2ropA01', NULL, NULL, 71, NULL, NULL, 20185),
(54669, '1q4rA00', NULL, NULL, 112, NULL, NULL, 20185),
(54670, '1mwyA00', NULL, NULL, 73, NULL, NULL, 20185); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(54671, '2ldiA00', NULL, NULL, 71, NULL, NULL, 20185),
(54672, '2ofhX00', NULL, NULL, 76, NULL, NULL, 20185),
(54673, '3wdoA02', NULL, NULL, 61, NULL, NULL, 20185),
(54674, '4kiaA00', NULL, NULL, 167, NULL, NULL, 20185),
(54675, '3bguA01', NULL, NULL, 96, NULL, NULL, 20185),
(54676, '3dxsX00', NULL, NULL, 74, NULL, NULL, 20185),
(54677, '1jwwA00', NULL, NULL, 80, NULL, NULL, 20185),
(54678, '3gz7B00', NULL, NULL, 98, NULL, NULL, 20185),
(54679, '1fvqA00', NULL, NULL, 72, NULL, NULL, 20185),
(54680, '3hx9B00', NULL, NULL, 99, NULL, NULL, 20185),
(54681, '2crlA01', NULL, NULL, 69, NULL, NULL, 20185),
(54682, '5b08A00', NULL, NULL, 104, NULL, NULL, 20185),
(54683, '6a71A00', NULL, NULL, 72, NULL, NULL, 20185),
(54684, '2vh7A00', NULL, NULL, 99, NULL, NULL, 20185),
(54685, '3bn7A00', NULL, NULL, 120, NULL, NULL, 20185),
(54686, '1gxuA00', NULL, NULL, 91, NULL, NULL, 20185),
(54687, '3gfzA01', NULL, NULL, 148, NULL, NULL, 20185),
(54688, '5ajiB03', NULL, NULL, 95, NULL, NULL, 20185),
(54689, '4za1C00', NULL, NULL, 103, NULL, NULL, 20185),
(54690, '2od4B01', NULL, NULL, 89, NULL, NULL, 20185),
(54691, '5k9fA00', NULL, NULL, 112, NULL, NULL, 20185),
(54692, '3hf5D01', NULL, NULL, 113, NULL, NULL, 20185),
(54693, '3trgA00', NULL, NULL, 98, NULL, NULL, 20185),
(54694, '2od6A00', NULL, NULL, 110, NULL, NULL, 20185),
(54695, '1urrA00', NULL, NULL, 102, NULL, NULL, 20185),
(54696, '6g10B00', NULL, NULL, 80, NULL, NULL, 20185),
(54697, '3udcA03', NULL, NULL, 88, NULL, NULL, 20185),
(54698, '2k7jA00', NULL, NULL, 99, NULL, NULL, 20185),
(54699, '3bb5C00', NULL, NULL, 121, NULL, NULL, 20185),
(54700, '3tvzB00', NULL, NULL, 172, NULL, NULL, 20185),
(54701, '2qycB00', NULL, NULL, 103, NULL, NULL, 20185),
(54702, '1sqeA00', NULL, NULL, 109, NULL, NULL, 20185),
(54703, '3toqA00', NULL, NULL, 99, NULL, NULL, 20185),
(54704, '4hi1A00', NULL, NULL, 91, NULL, NULL, 20185),
(54705, '2gd7B00', NULL, NULL, 107, NULL, NULL, 20186),
(54706, '1k87A01', NULL, NULL, 52, NULL, NULL, 20187),
(54707, '2iukA02', NULL, NULL, 97, NULL, NULL, 20188),
(54708, '2iujA02', NULL, NULL, 99, NULL, NULL, 20188),
(54709, '4wfoA02', NULL, NULL, 100, NULL, NULL, 20188),
(54710, '1ik3A02', NULL, NULL, 100, NULL, NULL, 20188),
(54711, '2mf3A00', NULL, NULL, 47, NULL, NULL, 20189),
(54712, '3e2dA02', NULL, NULL, 28, NULL, NULL, 20190),
(54713, '3onqA02', NULL, NULL, 81, NULL, NULL, 20191),
(54714, '4i4tE01', NULL, NULL, 102, NULL, NULL, 20192),
(54715, '5jcbE01', NULL, NULL, 112, NULL, NULL, 20192),
(54716, '4fxkB01', NULL, NULL, 94, NULL, NULL, 20193),
(54717, '4p39A00', NULL, NULL, 77, NULL, NULL, 20193),
(54718, '2a73B01', NULL, NULL, 79, NULL, NULL, 20193),
(54719, '4uu9D00', NULL, NULL, 75, NULL, NULL, 20193),
(54720, '4p3aA00', NULL, NULL, 79, NULL, NULL, 20193),
(54721, '1c5aA00', NULL, NULL, 73, NULL, NULL, 20193),
(54722, '4hw5A00', NULL, NULL, 83, NULL, NULL, 20193),
(54723, '3cu7A08', NULL, NULL, 81, NULL, NULL, 20193),
(54724, '2b39A08', NULL, NULL, 81, NULL, NULL, 20193),
(54725, '1a73A00', NULL, NULL, 163, NULL, NULL, 20194),
(54726, '4kvmA02', NULL, NULL, 228, NULL, NULL, 20195),
(54727, '4dbfA01', NULL, NULL, 58, NULL, NULL, 20196),
(54728, '3qdfA01', NULL, NULL, 61, NULL, NULL, 20196),
(54729, '3rr6A01', NULL, NULL, 61, NULL, NULL, 20196),
(54730, '4pfzB01', NULL, NULL, 54, NULL, NULL, 20196),
(54731, '1wzoA01', NULL, NULL, 40, NULL, NULL, 20196),
(54732, '2dfuA01', NULL, NULL, 44, NULL, NULL, 20196),
(54733, '4lsbA02', NULL, NULL, 52, NULL, NULL, 20197),
(54734, '3qnfA04', NULL, NULL, 190, NULL, NULL, 20198),
(54735, '1ro2A01', NULL, NULL, 70, NULL, NULL, 20199),
(54736, '3m1mA01', NULL, NULL, 67, NULL, NULL, 20199),
(54737, '2cs8A01', NULL, NULL, 35, NULL, NULL, 20200),
(54738, '2cs8A02', NULL, NULL, 36, NULL, NULL, 20200),
(54739, '2mxrA00', NULL, NULL, 56, NULL, NULL, 20201),
(54740, '2g3vA00', NULL, NULL, 161, NULL, NULL, 20202),
(54741, '2g3vB00', NULL, NULL, 161, NULL, NULL, 20202),
(54742, '2g3vC00', NULL, NULL, 161, NULL, NULL, 20202),
(54743, '2g3vD00', NULL, NULL, 161, NULL, NULL, 20202),
(54744, '6es5B00', NULL, NULL, 50, NULL, NULL, 20203);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(54745, '6es7B00', NULL, NULL, 50, NULL, NULL, 20203),
(54746, '6es6B00', NULL, NULL, 50, NULL, NULL, 20203),
(54747, '1zoqC00', NULL, NULL, 47, NULL, NULL, 20203),
(54748, '3rfwA01', NULL, NULL, 61, NULL, NULL, 20204),
(54749, '2w2rA00', NULL, NULL, 189, NULL, NULL, 20205),
(54750, '1lg7A00', NULL, NULL, 182, NULL, NULL, 20205),
(54751, '4as2A02', NULL, NULL, 103, NULL, NULL, 20206),
(54752, '4ex8A00', NULL, NULL, 316, NULL, NULL, 20207),
(54753, '1vkmA00', NULL, NULL, 297, NULL, NULL, 20207),
(54754, '4gimC00', NULL, NULL, 307, NULL, NULL, 20207),
(54755, '2b9dA01', NULL, NULL, 39, NULL, NULL, 20208),
(54756, '2ewlA00', NULL, NULL, 56, NULL, NULL, 20208),
(54757, '3ujzA03', NULL, NULL, 100, NULL, NULL, 20209),
(54758, '2jbvA03', NULL, NULL, 57, NULL, NULL, 20210),
(54759, '2mhgA00', NULL, NULL, 75, NULL, NULL, 20211),
(54760, '3n5bB01', NULL, NULL, 50, NULL, NULL, 20212),
(54761, '2xkoC01', NULL, NULL, 52, NULL, NULL, 20212),
(54762, '3gcmA02', NULL, NULL, 80, NULL, NULL, 20213),
(54763, '3h36A00', NULL, NULL, 93, NULL, NULL, 20213),
(54764, '4nbqB02', NULL, NULL, 88, NULL, NULL, 20213),
(54765, '4aidA02', NULL, NULL, 82, NULL, NULL, 20213),
(54766, '1e3pA02', NULL, NULL, 83, NULL, NULL, 20213),
(54767, '3u1kA02', NULL, NULL, 86, NULL, NULL, 20213),
(54768, '1whuA00', NULL, NULL, 104, NULL, NULL, 20213),
(54769, '5ymrC00', NULL, NULL, 808, NULL, NULL, 20214),
(54770, '3o0qA00', NULL, NULL, 644, NULL, NULL, 20214),
(54771, '2xapA02', NULL, NULL, 507, NULL, NULL, 20214),
(54772, '1peqA02', NULL, NULL, 506, NULL, NULL, 20214),
(54773, '1l1lA01', NULL, NULL, 518, NULL, NULL, 20214),
(54774, '6cgmA02', NULL, NULL, 500, NULL, NULL, 20214),
(54775, '1h16A00', NULL, NULL, 759, NULL, NULL, 20214),
(54776, '3k8tA00', NULL, NULL, 657, NULL, NULL, 20214),
(54777, '2ha9B00', NULL, NULL, 446, NULL, NULL, 20214),
(54778, '2f3oA00', NULL, NULL, 776, NULL, NULL, 20214),
(54779, '2wghA00', NULL, NULL, 676, NULL, NULL, 20214),
(54780, '1hk8A00', NULL, NULL, 561, NULL, NULL, 20214),
(54781, '5a0uA01', NULL, NULL, 789, NULL, NULL, 20214),
(54782, '1r9dA01', NULL, NULL, 779, NULL, NULL, 20214),
(54783, '5favA00', NULL, NULL, 815, NULL, NULL, 20214),
(54784, '5i2gA01', NULL, NULL, 792, NULL, NULL, 20214),
(54785, '2y8nA00', NULL, NULL, 869, NULL, NULL, 20214),
(54786, '1xmbA02', NULL, NULL, 118, NULL, NULL, 20215),
(54787, '1vixA02', NULL, NULL, 112, NULL, NULL, 20215),
(54788, '3ct9A02', NULL, NULL, 107, NULL, NULL, 20215),
(54789, '3tx8A02', NULL, NULL, 114, NULL, NULL, 20215),
(54790, '1fnoA02', NULL, NULL, 110, NULL, NULL, 20215),
(54791, '2pokA02', NULL, NULL, 170, NULL, NULL, 20215),
(54792, '5uejA02', NULL, NULL, 114, NULL, NULL, 20215),
(54793, '3pfoA02', NULL, NULL, 128, NULL, NULL, 20215),
(54794, '2zogA02', NULL, NULL, 174, NULL, NULL, 20215),
(54795, '2f7vA02', NULL, NULL, 114, NULL, NULL, 20215),
(54796, '5xoyB02', NULL, NULL, 107, NULL, NULL, 20215),
(54797, '4q7aC02', NULL, NULL, 108, NULL, NULL, 20215),
(54798, '4ewtA02', NULL, NULL, 115, NULL, NULL, 20215),
(54799, '4pxeA02', NULL, NULL, 117, NULL, NULL, 20215),
(54800, '2v8hA02', NULL, NULL, 116, NULL, NULL, 20215),
(54801, '3ifeA02', NULL, NULL, 111, NULL, NULL, 20215),
(54802, '4g1pA02', NULL, NULL, 174, NULL, NULL, 20215),
(54803, '5tp4A02', NULL, NULL, 115, NULL, NULL, 20215),
(54804, '1cg2A02', NULL, NULL, 110, NULL, NULL, 20215),
(54805, '5vo3A02', NULL, NULL, 114, NULL, NULL, 20215),
(54806, '1lfwA02', NULL, NULL, 106, NULL, NULL, 20215),
(54807, '1lfwA03', NULL, NULL, 88, NULL, NULL, 20215),
(54808, '3pfeA02', NULL, NULL, 130, NULL, NULL, 20215),
(54809, '5i4mA02', NULL, NULL, 115, NULL, NULL, 20215),
(54810, '3dljA02', NULL, NULL, 174, NULL, NULL, 20215),
(54811, '2rb7A02', NULL, NULL, 107, NULL, NULL, 20215),
(54812, '1ysjA02', NULL, NULL, 113, NULL, NULL, 20215),
(54813, '3io1A02', NULL, NULL, 116, NULL, NULL, 20215),
(54814, '4pxdA02', NULL, NULL, 115, NULL, NULL, 20215),
(54815, '3ramA02', NULL, NULL, 118, NULL, NULL, 20215),
(54816, '3rzaA02', NULL, NULL, 111, NULL, NULL, 20215),
(54817, '3n5fA02', NULL, NULL, 114, NULL, NULL, 20215);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(54818, '5k8pA02', NULL, NULL, 131, NULL, NULL, 20215),
(54819, '3gb0A02', NULL, NULL, 112, NULL, NULL, 20215),
(54820, '4ruhB02', NULL, NULL, 174, NULL, NULL, 20215),
(54821, '4mmoA02', NULL, NULL, 167, NULL, NULL, 20215),
(54822, '4wjbA02', NULL, NULL, 115, NULL, NULL, 20215),
(54823, '3ieeA01', NULL, NULL, 166, NULL, NULL, 20216),
(54824, '4yjwA00', NULL, NULL, 169, NULL, NULL, 20216),
(54825, '3rh3A01', NULL, NULL, 158, NULL, NULL, 20216),
(54826, '1nh1A01', NULL, NULL, 209, NULL, NULL, 20217),
(54827, '1ufiD01', NULL, NULL, 42, NULL, NULL, 20218),
(54828, '1ufiC01', NULL, NULL, 58, NULL, NULL, 20218),
(54829, '3o6wA01', NULL, NULL, 58, NULL, NULL, 20219),
(54830, '1hkgA01', NULL, NULL, 57, NULL, NULL, 20219),
(54831, '2yhxA01', NULL, NULL, 57, NULL, NULL, 20219),
(54832, '3b8aX01', NULL, NULL, 76, NULL, NULL, 20219),
(54833, '1ig8A01', NULL, NULL, 59, NULL, NULL, 20219),
(54834, '3o8mA01', NULL, NULL, 76, NULL, NULL, 20219),
(54835, '2zwsA02', NULL, NULL, 135, NULL, NULL, 20220),
(54836, '4wgkA02', NULL, NULL, 145, NULL, NULL, 20220),
(54837, '1xfiA02', NULL, NULL, 90, NULL, NULL, 20221),
(54838, '2x5iD00', NULL, NULL, 70, NULL, NULL, 20222),
(54839, '1z7s400', NULL, NULL, 68, NULL, NULL, 20222),
(54840, '1bev400', NULL, NULL, 47, NULL, NULL, 20222),
(54841, '1ncqD00', NULL, NULL, 40, NULL, NULL, 20222),
(54842, '4gb3400', NULL, NULL, 68, NULL, NULL, 20222),
(54843, '5osnD00', NULL, NULL, 45, NULL, NULL, 20222),
(54844, '1pvc400', NULL, NULL, 68, NULL, NULL, 20222),
(54845, '1ev1400', NULL, NULL, 68, NULL, NULL, 20222),
(54846, '1pov001', NULL, NULL, 68, NULL, NULL, 20222),
(54847, '1d4m400', NULL, NULL, 68, NULL, NULL, 20222),
(54848, '1oopD00', NULL, NULL, 69, NULL, NULL, 20222),
(54849, '4q4w400', NULL, NULL, 69, NULL, NULL, 20222),
(54850, '4im0A04', NULL, NULL, 252, NULL, NULL, 20223),
(54851, '4jlcA04', NULL, NULL, 251, NULL, NULL, 20223),
(54852, '2mctA00', NULL, NULL, 102, NULL, NULL, 20224),
(54853, '4irvA00', NULL, NULL, 221, NULL, NULL, 20225),
(54854, '4ysxB02', NULL, NULL, 144, NULL, NULL, 20226),
(54855, '2h88B02', NULL, NULL, 138, NULL, NULL, 20226),
(54856, '5xmjB02', NULL, NULL, 124, NULL, NULL, 20226),
(54857, '1kf6B02', NULL, NULL, 138, NULL, NULL, 20226),
(54858, '1zoyB02', NULL, NULL, 138, NULL, NULL, 20226),
(54859, '1gteA02', NULL, NULL, 157, NULL, NULL, 20226),
(54860, '2bs2B02', NULL, NULL, 124, NULL, NULL, 20226),
(54861, '2wdqB02', NULL, NULL, 132, NULL, NULL, 20226),
(54862, '1tbaA00', NULL, NULL, 67, NULL, NULL, 20227),
(54863, '2micA00', NULL, NULL, 41, NULL, NULL, 20228),
(54864, '2wadB03', NULL, NULL, 103, NULL, NULL, 20229),
(54865, '3vskA02', NULL, NULL, 140, NULL, NULL, 20229),
(54866, '1h7dA00', NULL, NULL, 49, NULL, NULL, 20230),
(54867, '3deeA02', NULL, NULL, 114, NULL, NULL, 20231),
(54868, '4ildA03', NULL, NULL, 98, NULL, NULL, 20232),
(54869, '4od4A01', NULL, NULL, 156, NULL, NULL, 20233),
(54870, '1aggA00', NULL, NULL, 48, NULL, NULL, 20234),
(54871, '1ivaA00', NULL, NULL, 48, NULL, NULL, 20234),
(54872, '2rooA00', NULL, NULL, 43, NULL, NULL, 20234),
(54873, '1qdpA00', NULL, NULL, 42, NULL, NULL, 20234),
(54874, '1vtxA00', NULL, NULL, 42, NULL, NULL, 20234),
(54875, '1g9pA00', NULL, NULL, 45, NULL, NULL, 20234),
(54876, '4i43B04', NULL, NULL, 172, NULL, NULL, 20235),
(54877, '1u94A02', NULL, NULL, 59, NULL, NULL, 20236),
(54878, '2g88A02', NULL, NULL, 79, NULL, NULL, 20236),
(54879, '5jrjA02', NULL, NULL, 59, NULL, NULL, 20236),
(54880, '2zr9A02', NULL, NULL, 60, NULL, NULL, 20236),
(54881, '4ppfA02', NULL, NULL, 61, NULL, NULL, 20236),
(54882, '3hr8A02', NULL, NULL, 86, NULL, NULL, 20236),
(54883, '1xp8A02', NULL, NULL, 60, NULL, NULL, 20236),
(54884, '4hstA02', NULL, NULL, 65, NULL, NULL, 20237),
(54885, '1pl5A00', NULL, NULL, 87, NULL, NULL, 20238),
(54886, '3fgaD00', NULL, NULL, 47, NULL, NULL, 20238),
(54887, '2kwyA00', NULL, NULL, 43, NULL, NULL, 20238),
(54888, '1tu3J00', NULL, NULL, 61, NULL, NULL, 20238),
(54889, '1uixB00', NULL, NULL, 71, NULL, NULL, 20238),
(54890, '1s1cX00', NULL, NULL, 71, NULL, NULL, 20238),
(54891, '3kluA01', NULL, NULL, 121, NULL, NULL, 20239);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(54892, '5uv2A01', NULL, NULL, 200, NULL, NULL, 20240),
(54893, '6o9qA01', NULL, NULL, 200, NULL, NULL, 20240),
(54894, '3sdrA01', NULL, NULL, 252, NULL, NULL, 20240),
(54895, '5il3A02', NULL, NULL, 160, NULL, NULL, 20240),
(54896, '5jo7D01', NULL, NULL, 198, NULL, NULL, 20240),
(54897, '4gaxA02', NULL, NULL, 162, NULL, NULL, 20240),
(54898, '2j5cA01', NULL, NULL, 179, NULL, NULL, 20240),
(54899, '3p5pA01', NULL, NULL, 242, NULL, NULL, 20240),
(54900, '3s9vA01', NULL, NULL, 244, NULL, NULL, 20240),
(54901, '1n1bA01', NULL, NULL, 206, NULL, NULL, 20240),
(54902, '2ongA01', NULL, NULL, 204, NULL, NULL, 20240),
(54903, '3g4dA02', NULL, NULL, 160, NULL, NULL, 20240),
(54904, '4lixA01', NULL, NULL, 237, NULL, NULL, 20240),
(54905, '3n0fA01', NULL, NULL, 200, NULL, NULL, 20240),
(54906, '5c05A01', NULL, NULL, 202, NULL, NULL, 20240),
(54907, '2wmfA02', NULL, NULL, 90, NULL, NULL, 20241),
(54908, '4d6gA02', NULL, NULL, 94, NULL, NULL, 20241),
(54909, '6q4tA01', NULL, NULL, 151, NULL, NULL, 20242),
(54910, '1noyA01', NULL, NULL, 135, NULL, NULL, 20242),
(54911, '2p5gB01', NULL, NULL, 204, NULL, NULL, 20242),
(54912, '5h12A01', NULL, NULL, 151, NULL, NULL, 20242),
(54913, '5omvA01', NULL, NULL, 151, NULL, NULL, 20242),
(54914, '1tgoA01', NULL, NULL, 151, NULL, NULL, 20242),
(54915, '3qexA01', NULL, NULL, 151, NULL, NULL, 20242),
(54916, '4ahcA01', NULL, NULL, 151, NULL, NULL, 20242),
(54917, '1d5aA01', NULL, NULL, 151, NULL, NULL, 20242),
(54918, '4flwA01', NULL, NULL, 154, NULL, NULL, 20242),
(54919, '3e9lA02', NULL, NULL, 95, NULL, NULL, 20243),
(54920, '4jk8A02', NULL, NULL, 69, NULL, NULL, 20243),
(54921, '3sbtA02', NULL, NULL, 99, NULL, NULL, 20243),
(54922, '3bt7A02', NULL, NULL, 145, NULL, NULL, 20244),
(54923, '2jjqA03', NULL, NULL, 144, NULL, NULL, 20244),
(54924, '1uwvA03', NULL, NULL, 137, NULL, NULL, 20244),
(54925, '2vfrA04', NULL, NULL, 94, NULL, NULL, 20245),
(54926, '3oipA01', NULL, NULL, 149, NULL, NULL, 20246),
(54927, '2mblA01', NULL, NULL, 108, NULL, NULL, 20247),
(54928, '1qysA00', NULL, NULL, 106, NULL, NULL, 20247),
(54929, '2n41A00', NULL, NULL, 106, NULL, NULL, 20247),
(54930, '2mraA00', NULL, NULL, 117, NULL, NULL, 20247),
(54931, '2jvfA00', NULL, NULL, 96, NULL, NULL, 20247),
(54932, '3imiB02', NULL, NULL, 27, NULL, NULL, 20248),
(54933, '1y23D02', NULL, NULL, 29, NULL, NULL, 20248),
(54934, '3hhdA05', NULL, NULL, 60, NULL, NULL, 20249),
(54935, '5my2A05', NULL, NULL, 60, NULL, NULL, 20249),
(54936, '2jjqA01', NULL, NULL, 57, NULL, NULL, 20250),
(54937, '4ex5B01', NULL, NULL, 139, NULL, NULL, 20250),
(54938, '3f2bA01', NULL, NULL, 102, NULL, NULL, 20250),
(54939, '2mfiA00', NULL, NULL, 96, NULL, NULL, 20250),
(54940, '6nrzA01', NULL, NULL, 155, NULL, NULL, 20250),
(54941, '1v1qA00', NULL, NULL, 134, NULL, NULL, 20250),
(54942, '1vwxA01', NULL, NULL, 86, NULL, NULL, 20250),
(54943, '2vqeL00', NULL, NULL, 135, NULL, NULL, 20250),
(54944, '2it1A03', NULL, NULL, 61, NULL, NULL, 20250),
(54945, '3jami00', NULL, NULL, 96, NULL, NULL, 20250),
(54946, '5yzwB01', NULL, NULL, 104, NULL, NULL, 20250),
(54947, '2ytvA01', NULL, NULL, 73, NULL, NULL, 20250),
(54948, '5xogG02', NULL, NULL, 89, NULL, NULL, 20250),
(54949, '4up7A01', NULL, NULL, 153, NULL, NULL, 20250),
(54950, '4wj4A01', NULL, NULL, 115, NULL, NULL, 20250),
(54951, '3w1gA03', NULL, NULL, 156, NULL, NULL, 20250),
(54952, '4pz7A01', NULL, NULL, 137, NULL, NULL, 20250),
(54953, '4mz9A00', NULL, NULL, 115, NULL, NULL, 20250),
(54954, '2cwpA00', NULL, NULL, 112, NULL, NULL, 20250),
(54955, '1iz6A02', NULL, NULL, 64, NULL, NULL, 20250),
(54956, '2k50A01', NULL, NULL, 109, NULL, NULL, 20250),
(54957, '5ytxA00', NULL, NULL, 83, NULL, NULL, 20250),
(54958, '4gnxB00', NULL, NULL, 136, NULL, NULL, 20250),
(54959, '1ntgA00', NULL, NULL, 172, NULL, NULL, 20250),
(54960, '2vl6A02', NULL, NULL, 115, NULL, NULL, 20250),
(54961, '1ah9A00', NULL, NULL, 71, NULL, NULL, 20250),
(54962, '2kctA01', NULL, NULL, 93, NULL, NULL, 20250),
(54963, '1nbwA05', NULL, NULL, 45, NULL, NULL, 20250),
(54964, '2wg5F02', NULL, NULL, 72, NULL, NULL, 20250);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(54965, '2d62A03', NULL, NULL, 45, NULL, NULL, 20250),
(54966, '5u4jl00', NULL, NULL, 124, NULL, NULL, 20250),
(54967, '3kdfB00', NULL, NULL, 132, NULL, NULL, 20250),
(54968, '5yzwA02', NULL, NULL, 97, NULL, NULL, 20250),
(54969, '1vs0A03', NULL, NULL, 121, NULL, NULL, 20250),
(54970, '6aqgA01', NULL, NULL, 141, NULL, NULL, 20250),
(54971, '4gnxC02', NULL, NULL, 141, NULL, NULL, 20250),
(54972, '4gnxC03', NULL, NULL, 192, NULL, NULL, 20250),
(54973, '3pioA01', NULL, NULL, 96, NULL, NULL, 20250),
(54974, '4gnxC01', NULL, NULL, 111, NULL, NULL, 20250),
(54975, '3dm3A00', NULL, NULL, 105, NULL, NULL, 20250),
(54976, '2q2iB00', NULL, NULL, 116, NULL, NULL, 20250),
(54977, '1miuA05', NULL, NULL, 145, NULL, NULL, 20250),
(54978, '1miuA03', NULL, NULL, 117, NULL, NULL, 20250),
(54979, '1bvsA01', NULL, NULL, 65, NULL, NULL, 20250),
(54980, '3ulpD00', NULL, NULL, 124, NULL, NULL, 20250),
(54981, '1miuA02', NULL, NULL, 130, NULL, NULL, 20250),
(54982, '3vdyA00', NULL, NULL, 116, NULL, NULL, 20250),
(54983, '2k14A00', NULL, NULL, 84, NULL, NULL, 20250),
(54984, '2a19A01', NULL, NULL, 89, NULL, NULL, 20250),
(54985, '3u4zA00', NULL, NULL, 109, NULL, NULL, 20250),
(54986, '3kdfA00', NULL, NULL, 121, NULL, NULL, 20250),
(54987, '3pf4A00', NULL, NULL, 67, NULL, NULL, 20250),
(54988, '2bh8B01', NULL, NULL, 68, NULL, NULL, 20250),
(54989, '3ebeB00', NULL, NULL, 181, NULL, NULL, 20250),
(54990, '3j7a500', NULL, NULL, 67, NULL, NULL, 20250),
(54991, '3i4oA00', NULL, NULL, 79, NULL, NULL, 20250),
(54992, '5xv9A00', NULL, NULL, 68, NULL, NULL, 20250),
(54993, '4a17A01', NULL, NULL, 87, NULL, NULL, 20250),
(54994, '3f1zI00', NULL, NULL, 116, NULL, NULL, 20250),
(54995, '2c35B02', NULL, NULL, 92, NULL, NULL, 20250),
(54996, '3gdeA03', NULL, NULL, 137, NULL, NULL, 20250),
(54997, '1oxxK02', NULL, NULL, 45, NULL, NULL, 20250),
(54998, '1x9nA04', NULL, NULL, 147, NULL, NULL, 20250),
(54999, '1uwvA01', NULL, NULL, 87, NULL, NULL, 20250),
(55000, '4gn5B00', NULL, NULL, 113, NULL, NULL, 20250),
(55001, '5j3bB03', NULL, NULL, 58, NULL, NULL, 20250),
(55002, '3kojB00', NULL, NULL, 108, NULL, NULL, 20250),
(55003, '3m9bB02', NULL, NULL, 59, NULL, NULL, 20250),
(55004, '5o5jQ00', NULL, NULL, 98, NULL, NULL, 20250),
(55005, '2rhsD02', NULL, NULL, 122, NULL, NULL, 20250),
(55006, '3sgiA03', NULL, NULL, 87, NULL, NULL, 20250),
(55007, '4klkA00', NULL, NULL, 180, NULL, NULL, 20250),
(55008, '1a0iA02', NULL, NULL, 109, NULL, NULL, 20250),
(55009, '3ayhB02', NULL, NULL, 124, NULL, NULL, 20250),
(55010, '2asbA01', NULL, NULL, 78, NULL, NULL, 20250),
(55011, '4dkaC00', NULL, NULL, 105, NULL, NULL, 20250),
(55012, '1luzA00', NULL, NULL, 88, NULL, NULL, 20250),
(55013, '1bkbA02', NULL, NULL, 65, NULL, NULL, 20250),
(55014, '1vq8A01', NULL, NULL, 79, NULL, NULL, 20250),
(55015, '3aevA01', NULL, NULL, 70, NULL, NULL, 20250),
(55016, '1ybyA02', NULL, NULL, 64, NULL, NULL, 20250),
(55017, '1c0aA01', NULL, NULL, 106, NULL, NULL, 20250),
(55018, '1ybyA03', NULL, NULL, 58, NULL, NULL, 20250),
(55019, '5yuoD00', NULL, NULL, 121, NULL, NULL, 20250),
(55020, '2nchA00', NULL, NULL, 87, NULL, NULL, 20250),
(55021, '4oxpA01', NULL, NULL, 106, NULL, NULL, 20250),
(55022, '5xogH00', NULL, NULL, 145, NULL, NULL, 20250),
(55023, '5odnC00', NULL, NULL, 110, NULL, NULL, 20250),
(55024, '5j3bA02', NULL, NULL, 66, NULL, NULL, 20250),
(55025, '2ja9A01', NULL, NULL, 83, NULL, NULL, 20250),
(55026, '5xyic00', NULL, NULL, 68, NULL, NULL, 20250),
(55027, '2ytxA01', NULL, NULL, 70, NULL, NULL, 20250),
(55028, '4eq5A03', NULL, NULL, 138, NULL, NULL, 20250),
(55029, '1fguB01', NULL, NULL, 105, NULL, NULL, 20250),
(55030, '5eayC00', NULL, NULL, 118, NULL, NULL, 20250),
(55031, '3rloA02', NULL, NULL, 99, NULL, NULL, 20250),
(55032, '1xtdA02', NULL, NULL, 80, NULL, NULL, 20250),
(55033, '3rloA01', NULL, NULL, 105, NULL, NULL, 20250),
(55034, '1u0lA01', NULL, NULL, 72, NULL, NULL, 20250),
(55035, '5jx4B00', NULL, NULL, 66, NULL, NULL, 20250),
(55036, '1z47A03', NULL, NULL, 49, NULL, NULL, 20250),
(55037, '3m9bA03', NULL, NULL, 96, NULL, NULL, 20250),
(55038, '5nh2A02', NULL, NULL, 65, NULL, NULL, 20250);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(55039, '3a5zD03', NULL, NULL, 59, NULL, NULL, 20250),
(55040, '3a5zD02', NULL, NULL, 64, NULL, NULL, 20250),
(55041, '3psiA06', NULL, NULL, 100, NULL, NULL, 20250),
(55042, '5hy6A02', NULL, NULL, 75, NULL, NULL, 20250),
(55043, '4l5tB01', NULL, NULL, 95, NULL, NULL, 20250),
(55044, '4l5tB02', NULL, NULL, 94, NULL, NULL, 20250),
(55045, '6aqhA01', NULL, NULL, 142, NULL, NULL, 20250),
(55046, '2je6I02', NULL, NULL, 88, NULL, NULL, 20250),
(55047, '2zjrA01', NULL, NULL, 86, NULL, NULL, 20250),
(55048, '4joiA00', NULL, NULL, 166, NULL, NULL, 20250),
(55049, '5h34A00', NULL, NULL, 111, NULL, NULL, 20250),
(55050, '4apvA00', NULL, NULL, 112, NULL, NULL, 20250),
(55051, '2ht1A01', NULL, NULL, 99, NULL, NULL, 20250),
(55052, '1kxlA00', NULL, NULL, 199, NULL, NULL, 20250),
(55053, '2i5hA01', NULL, NULL, 72, NULL, NULL, 20250),
(55054, '4p72A02', NULL, NULL, 115, NULL, NULL, 20250),
(55055, '6c00A00', NULL, NULL, 83, NULL, NULL, 20250),
(55056, '1uebA03', NULL, NULL, 58, NULL, NULL, 20250),
(55057, '4tquS03', NULL, NULL, 45, NULL, NULL, 20250),
(55058, '3s24A03', NULL, NULL, 94, NULL, NULL, 20250),
(55059, '1uebA02', NULL, NULL, 63, NULL, NULL, 20250),
(55060, '2exdA00', NULL, NULL, 80, NULL, NULL, 20250),
(55061, '3stbC00', NULL, NULL, 111, NULL, NULL, 20250),
(55062, '1fl0A00', NULL, NULL, 171, NULL, NULL, 20250),
(55063, '2k75A01', NULL, NULL, 103, NULL, NULL, 20250),
(55064, '3wwvA00', NULL, NULL, 80, NULL, NULL, 20250),
(55065, '1ripA00', NULL, NULL, 81, NULL, NULL, 20250),
(55066, '4ywkB02', NULL, NULL, 106, NULL, NULL, 20250),
(55067, '2ytyA00', NULL, NULL, 88, NULL, NULL, 20250),
(55068, '1b7yB02', NULL, NULL, 116, NULL, NULL, 20250),
(55069, '4r1jA00', NULL, NULL, 174, NULL, NULL, 20250),
(55070, '1k3rA02', NULL, NULL, 59, NULL, NULL, 20250),
(55071, '3ullB00', NULL, NULL, 132, NULL, NULL, 20250),
(55072, '5aj3L00', NULL, NULL, 109, NULL, NULL, 20250),
(55073, '2n78A00', NULL, NULL, 72, NULL, NULL, 20250),
(55074, '5mmiC01', NULL, NULL, 95, NULL, NULL, 20250),
(55075, '2i5lX00', NULL, NULL, 67, NULL, NULL, 20250),
(55076, '2nzhB00', NULL, NULL, 113, NULL, NULL, 20250),
(55077, '3e0eA00', NULL, NULL, 97, NULL, NULL, 20250),
(55078, '3rn5A02', NULL, NULL, 99, NULL, NULL, 20250),
(55079, '3rn5A01', NULL, NULL, 109, NULL, NULL, 20250),
(55080, '3pgzA00', NULL, NULL, 114, NULL, NULL, 20250),
(55081, '1gd7A00', NULL, NULL, 109, NULL, NULL, 20250),
(55082, '1ckmA02', NULL, NULL, 83, NULL, NULL, 20250),
(55083, '1z9fA00', NULL, NULL, 120, NULL, NULL, 20250),
(55084, '1mjcA00', NULL, NULL, 69, NULL, NULL, 20250),
(55085, '1u5kA01', NULL, NULL, 84, NULL, NULL, 20250),
(55086, '4hikA00', NULL, NULL, 143, NULL, NULL, 20250),
(55087, '1pybA00', NULL, NULL, 111, NULL, NULL, 20250),
(55088, '1o7iB00', NULL, NULL, 119, NULL, NULL, 20250),
(55089, '1jb7A03', NULL, NULL, 169, NULL, NULL, 20250),
(55090, '1jb7A01', NULL, NULL, 174, NULL, NULL, 20250),
(55091, '1jb7A02', NULL, NULL, 116, NULL, NULL, 20250),
(55092, '4mtnA02', NULL, NULL, 63, NULL, NULL, 20250),
(55093, '3l0oA02', NULL, NULL, 78, NULL, NULL, 20250),
(55094, '2hivA03', NULL, NULL, 164, NULL, NULL, 20250),
(55095, '2xgtB01', NULL, NULL, 103, NULL, NULL, 20250),
(55096, '4aybG00', NULL, NULL, 132, NULL, NULL, 20250),
(55097, '2e8gA02', NULL, NULL, 117, NULL, NULL, 20250),
(55098, '6qulC01', NULL, NULL, 114, NULL, NULL, 20250),
(55099, '3a0jA00', NULL, NULL, 73, NULL, NULL, 20250),
(55100, '4joiC00', NULL, NULL, 122, NULL, NULL, 20250),
(55101, '2oqkA00', NULL, NULL, 96, NULL, NULL, 20250),
(55102, '3m4pA01', NULL, NULL, 127, NULL, NULL, 20250),
(55103, '3uljB00', NULL, NULL, 90, NULL, NULL, 20250),
(55104, '1wydA01', NULL, NULL, 102, NULL, NULL, 20250),
(55105, '4c2mV02', NULL, NULL, 82, NULL, NULL, 20250),
(55106, '4glvB00', NULL, NULL, 107, NULL, NULL, 20250),
(55107, '2hqlA01', NULL, NULL, 97, NULL, NULL, 20250),
(55108, '5o5jL00', NULL, NULL, 124, NULL, NULL, 20250),
(55109, '3eivD00', NULL, NULL, 120, NULL, NULL, 20250),
(55110, '4aimA04', NULL, NULL, 76, NULL, NULL, 20250),
(55111, '3camA00', NULL, NULL, 67, NULL, NULL, 20250),
(55112, '1sr3A00', NULL, NULL, 114, NULL, NULL, 20250);
INSERT INTO "PUBLIC"."MODEL" VALUES
(55113, '1rl2A01', NULL, NULL, 56, NULL, NULL, 20250),
(55114, '3d31A02', NULL, NULL, 46, NULL, NULL, 20250),
(55115, '4jbmB01', NULL, NULL, 96, NULL, NULL, 20250),
(55116, '3i2zA00', NULL, NULL, 71, NULL, NULL, 20250),
(55117, '3f8tA02', NULL, NULL, 80, NULL, NULL, 20250),
(55118, '5v7qC01', NULL, NULL, 115, NULL, NULL, 20250),
(55119, '3kf6B00', NULL, NULL, 105, NULL, NULL, 20250),
(55120, '2eqsA01', NULL, NULL, 89, NULL, NULL, 20250),
(55121, '3k7uC00', NULL, NULL, 118, NULL, NULL, 20250),
(55122, '4glaC00', NULL, NULL, 92, NULL, NULL, 20250),
(55123, '5yyuB00', NULL, NULL, 112, NULL, NULL, 20250),
(55124, '3nemA01', NULL, NULL, 105, NULL, NULL, 20250),
(55125, '1xjvA01', NULL, NULL, 145, NULL, NULL, 20250),
(55126, '3cqzH00', NULL, NULL, 146, NULL, NULL, 20250),
(55127, '1smxA00', NULL, NULL, 96, NULL, NULL, 20250),
(55128, '1xjvA02', NULL, NULL, 149, NULL, NULL, 20250),
(55129, '2n3sA00', NULL, NULL, 72, NULL, NULL, 20250),
(55130, '4me3A02', NULL, NULL, 105, NULL, NULL, 20250),
(55131, '3k8aB00', NULL, NULL, 103, NULL, NULL, 20250),
(55132, '4jbmA02', NULL, NULL, 97, NULL, NULL, 20250),
(55133, '1a62A02', NULL, NULL, 70, NULL, NULL, 20250),
(55134, '2k5hA01', NULL, NULL, 73, NULL, NULL, 20250),
(55135, '1ltlA02', NULL, NULL, 100, NULL, NULL, 20250),
(55136, '2dgyA01', NULL, NULL, 79, NULL, NULL, 20250),
(55137, '2q2tA03', NULL, NULL, 111, NULL, NULL, 20250),
(55138, '1wocC00', NULL, NULL, 103, NULL, NULL, 20250),
(55139, '4gnxA00', NULL, NULL, 114, NULL, NULL, 20250),
(55140, '4jg2A00', NULL, NULL, 188, NULL, NULL, 20250),
(55141, '2wfwA01', NULL, NULL, 64, NULL, NULL, 20250),
(55142, '4aybE02', NULL, NULL, 99, NULL, NULL, 20250),
(55143, '3kf6A00', NULL, NULL, 159, NULL, NULL, 20250),
(55144, '1vs7Q00', NULL, NULL, 84, NULL, NULL, 20250),
(55145, '1jt8A00', NULL, NULL, 102, NULL, NULL, 20250),
(55146, '4qqbX01', NULL, NULL, 68, NULL, NULL, 20250),
(55147, '1bbuA01', NULL, NULL, 140, NULL, NULL, 20250),
(55148, '4ah6A01', NULL, NULL, 116, NULL, NULL, 20250),
(55149, '2n8nA00', NULL, NULL, 72, NULL, NULL, 20250),
(55150, '2k52A00', NULL, NULL, 80, NULL, NULL, 20250),
(55151, '4gs3A00', NULL, NULL, 107, NULL, NULL, 20250),
(55152, '5aj3Q00', NULL, NULL, 110, NULL, NULL, 20250),
(55153, '3fhwA00', NULL, NULL, 115, NULL, NULL, 20250),
(55154, '1hr0W00', NULL, NULL, 71, NULL, NULL, 20250),
(55155, '3u4vA00', NULL, NULL, 117, NULL, NULL, 20250),
(55156, '2pi2D00', NULL, NULL, 132, NULL, NULL, 20250),
(55157, '1hh2P02', NULL, NULL, 63, NULL, NULL, 20250),
(55158, '2mo0A00', NULL, NULL, 68, NULL, NULL, 20250),
(55159, '2qgqA02', NULL, NULL, 68, NULL, NULL, 20250),
(55160, '4dniA01', NULL, NULL, 133, NULL, NULL, 20250),
(55161, '2rcnA01', NULL, NULL, 68, NULL, NULL, 20250),
(55162, '1jjgA00', NULL, NULL, 102, NULL, NULL, 20250),
(55163, '4rg1A02', NULL, NULL, 67, NULL, NULL, 20250),
(55164, '1pfsA00', NULL, NULL, 78, NULL, NULL, 20250),
(55165, '4j15A01', NULL, NULL, 132, NULL, NULL, 20250),
(55166, '3tqyC00', NULL, NULL, 113, NULL, NULL, 20250),
(55167, '1mjeA03', NULL, NULL, 165, NULL, NULL, 20250),
(55168, '3afpA00', NULL, NULL, 120, NULL, NULL, 20250),
(55169, '5zdiA00', NULL, NULL, 107, NULL, NULL, 20250),
(55170, '3mxnB00', NULL, NULL, 131, NULL, NULL, 20250),
(55171, '2ihfA02', NULL, NULL, 113, NULL, NULL, 20250),
(55172, '2ckzB02', NULL, NULL, 108, NULL, NULL, 20250),
(55173, '2ahoB01', NULL, NULL, 85, NULL, NULL, 20250),
(55174, '3m7nA02', NULL, NULL, 86, NULL, NULL, 20250),
(55175, '1lm0A00', NULL, NULL, 107, NULL, NULL, 20250),
(55176, '3hkzG00', NULL, NULL, 132, NULL, NULL, 20250),
(55177, '2wfwB02', NULL, NULL, 89, NULL, NULL, 20250),
(55178, '3g48B00', NULL, NULL, 112, NULL, NULL, 20250),
(55179, '1e1oA01', NULL, NULL, 140, NULL, NULL, 20250),
(55180, '1ynxA01', NULL, NULL, 109, NULL, NULL, 20250),
(55181, '2d0oA05', NULL, NULL, 45, NULL, NULL, 20250),
(55182, '1wfqA01', NULL, NULL, 73, NULL, NULL, 20250),
(55183, '1je5A00', NULL, NULL, 206, NULL, NULL, 20250),
(55184, '1go3E01', NULL, NULL, 101, NULL, NULL, 20250),
(55185, '5o6fA00', NULL, NULL, 82, NULL, NULL, 20250),
(55186, '2haxA01', NULL, NULL, 43, NULL, NULL, 20250);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(55187, '2nn6I02', NULL, NULL, 139, NULL, NULL, 20250),
(55188, '2oq0C01', NULL, NULL, 113, NULL, NULL, 20250),
(55189, '3cpfB02', NULL, NULL, 68, NULL, NULL, 20250),
(55190, '1eovA01', NULL, NULL, 134, NULL, NULL, 20250),
(55191, '1x6oA02', NULL, NULL, 80, NULL, NULL, 20250),
(55192, '4gn3D00', NULL, NULL, 113, NULL, NULL, 20250),
(55193, '3o2zF00', NULL, NULL, 88, NULL, NULL, 20250),
(55194, '1vw3B01', NULL, NULL, 93, NULL, NULL, 20250),
(55195, '5zg8A01', NULL, NULL, 102, NULL, NULL, 20250),
(55196, '3kf8B00', NULL, NULL, 123, NULL, NULL, 20250),
(55197, '1se8A01', NULL, NULL, 116, NULL, NULL, 20250),
(55198, '4v19D01', NULL, NULL, 107, NULL, NULL, 20250),
(55199, '1se8A02', NULL, NULL, 117, NULL, NULL, 20250),
(55200, '4bpe000', NULL, NULL, 99, NULL, NULL, 20250),
(55201, '2kbnA00', NULL, NULL, 109, NULL, NULL, 20250),
(55202, '2eifA02', NULL, NULL, 62, NULL, NULL, 20250),
(55203, '4npsA02', NULL, NULL, 58, NULL, NULL, 20250),
(55204, '4mnoA00', NULL, NULL, 115, NULL, NULL, 20250),
(55205, '1qvcD00', NULL, NULL, 145, NULL, NULL, 20250),
(55206, '1t9hA01', NULL, NULL, 74, NULL, NULL, 20250),
(55207, '1n9wA01', NULL, NULL, 92, NULL, NULL, 20250),
(55208, '2vnuD04', NULL, NULL, 90, NULL, NULL, 20250),
(55209, '5gqoB00', NULL, NULL, 115, NULL, NULL, 20250),
(55210, '3q8dA01', NULL, NULL, 78, NULL, NULL, 20250),
(55211, '1mkhA00', NULL, NULL, 107, NULL, NULL, 20250),
(55212, '5zkgA00', NULL, NULL, 165, NULL, NULL, 20250),
(55213, '6g5ic00', NULL, NULL, 69, NULL, NULL, 20250),
(55214, '4glxA04', NULL, NULL, 74, NULL, NULL, 20250),
(55215, '1qzgA00', NULL, NULL, 187, NULL, NULL, 20250),
(55216, '5xgtA00', NULL, NULL, 111, NULL, NULL, 20250),
(55217, '5w25A01', NULL, NULL, 111, NULL, NULL, 20250),
(55218, '3treA02', NULL, NULL, 62, NULL, NULL, 20250),
(55219, '2lssA00', NULL, NULL, 70, NULL, NULL, 20250),
(55220, '4rmfA01', NULL, NULL, 107, NULL, NULL, 20250),
(55221, '3a74A01', NULL, NULL, 141, NULL, NULL, 20250),
(55222, '3cp0A00', NULL, NULL, 63, NULL, NULL, 20250),
(55223, '1vx7D01', NULL, NULL, 86, NULL, NULL, 20250),
(55224, '4pmwA04', NULL, NULL, 91, NULL, NULL, 20250),
(55225, '3l2pA04', NULL, NULL, 146, NULL, NULL, 20250),
(55226, '1jmcA02', NULL, NULL, 126, NULL, NULL, 20250),
(55227, '3fp9A02', NULL, NULL, 94, NULL, NULL, 20250),
(55228, '3fp9A01', NULL, NULL, 59, NULL, NULL, 20250),
(55229, '4ql5A00', NULL, NULL, 73, NULL, NULL, 20250),
(55230, '5ie8A00', NULL, NULL, 89, NULL, NULL, 20250),
(55231, '2ba0A02', NULL, NULL, 87, NULL, NULL, 20250),
(55232, '2ix0A01', NULL, NULL, 79, NULL, NULL, 20250),
(55233, '5hgqA01', NULL, NULL, 149, NULL, NULL, 20250),
(55234, '1gm5A03', NULL, NULL, 102, NULL, NULL, 20250),
(55235, '6hcwA01', NULL, NULL, 144, NULL, NULL, 20250),
(55236, '3bzcA05', NULL, NULL, 96, NULL, NULL, 20250),
(55237, '5groA00', NULL, NULL, 115, NULL, NULL, 20250),
(55238, '2yv5A01', NULL, NULL, 67, NULL, NULL, 20250),
(55239, '1gvpA00', NULL, NULL, 87, NULL, NULL, 20250),
(55240, '3bu2A01', NULL, NULL, 127, NULL, NULL, 20250),
(55241, '6gmhH01', NULL, NULL, 145, NULL, NULL, 20250),
(55242, '2cqoA01', NULL, NULL, 92, NULL, NULL, 20250),
(55243, '3lgjB00', NULL, NULL, 114, NULL, NULL, 20250),
(55244, '2k5nA00', NULL, NULL, 74, NULL, NULL, 20250),
(55245, '4gn4B00', NULL, NULL, 108, NULL, NULL, 20250),
(55246, '5mmjl00', NULL, NULL, 123, NULL, NULL, 20250),
(55247, '6bhwC00', NULL, NULL, 119, NULL, NULL, 20250),
(55248, '3h0gH00', NULL, NULL, 125, NULL, NULL, 20250),
(55249, '1g29102', NULL, NULL, 45, NULL, NULL, 20250),
(55250, '2wg6D00', NULL, NULL, 109, NULL, NULL, 20250),
(55251, '5jjiE01', NULL, NULL, 132, NULL, NULL, 20250),
(55252, '3u50C01', NULL, NULL, 137, NULL, NULL, 20250),
(55253, '5fj8G02', NULL, NULL, 133, NULL, NULL, 20250),
(55254, '3jc6602', NULL, NULL, 98, NULL, NULL, 20250),
(55255, '1x54A01', NULL, NULL, 104, NULL, NULL, 20250),
(55256, '3rr5A03', NULL, NULL, 137, NULL, NULL, 20250),
(55257, '2vw9B00', NULL, NULL, 106, NULL, NULL, 20250),
(55258, '5odpG00', NULL, NULL, 112, NULL, NULL, 20250),
(55259, '1g6pA00', NULL, NULL, 66, NULL, NULL, 20250),
(55260, '3kyhC02', NULL, NULL, 165, NULL, NULL, 20250);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(55261, '1x65A01', NULL, NULL, 73, NULL, NULL, 20250),
(55262, '1wjjA01', NULL, NULL, 110, NULL, NULL, 20250),
(55263, '4qjfA02', NULL, NULL, 109, NULL, NULL, 20250),
(55264, '4a4iB00', NULL, NULL, 90, NULL, NULL, 20250),
(55265, '1cukA01', NULL, NULL, 66, NULL, NULL, 20250),
(55266, '4ifdI02', NULL, NULL, 167, NULL, NULL, 20250),
(55267, '3hksA02', NULL, NULL, 75, NULL, NULL, 20250),
(55268, '1sroA00', NULL, NULL, 76, NULL, NULL, 20250),
(55269, '2kcmA00', NULL, NULL, 74, NULL, NULL, 20250),
(55270, '3d0fA01', NULL, NULL, 73, NULL, NULL, 20250),
(55271, '3u5eA01', NULL, NULL, 86, NULL, NULL, 20250),
(55272, '2yyzA03', NULL, NULL, 63, NULL, NULL, 20250),
(55273, '3j7yD01', NULL, NULL, 106, NULL, NULL, 20250),
(55274, '2z0sA01', NULL, NULL, 89, NULL, NULL, 20250),
(55275, '3h0gG02', NULL, NULL, 89, NULL, NULL, 20250),
(55276, '3go5A03', NULL, NULL, 70, NULL, NULL, 20250),
(55277, '3go5A02', NULL, NULL, 79, NULL, NULL, 20250),
(55278, '5xixB01', NULL, NULL, 103, NULL, NULL, 20250),
(55279, '3er0A02', NULL, NULL, 73, NULL, NULL, 20250),
(55280, '1l1oF01', NULL, NULL, 141, NULL, NULL, 20250),
(55281, '1p16B02', NULL, NULL, 151, NULL, NULL, 20250),
(55282, '2awnC03', NULL, NULL, 58, NULL, NULL, 20250),
(55283, '1ixrA01', NULL, NULL, 63, NULL, NULL, 20250),
(55284, '1ny4A00', NULL, NULL, 82, NULL, NULL, 20250),
(55285, '1v43A03', NULL, NULL, 68, NULL, NULL, 20250),
(55286, '3irbA02', NULL, NULL, 68, NULL, NULL, 20250),
(55287, '2cwaA01', NULL, NULL, 126, NULL, NULL, 20250),
(55288, '2cwaA02', NULL, NULL, 102, NULL, NULL, 20250),
(55289, '6hmaC01', NULL, NULL, 113, NULL, NULL, 20250),
(55290, '1y14D02', NULL, NULL, 87, NULL, NULL, 20250),
(55291, '1c9oA00', NULL, NULL, 66, NULL, NULL, 20250),
(55292, '2k4kA01', NULL, NULL, 87, NULL, NULL, 20250),
(55293, '2mqhA00', NULL, NULL, 82, NULL, NULL, 20250),
(55294, '3ersX00', NULL, NULL, 118, NULL, NULL, 20250),
(55295, '4oonA03', NULL, NULL, 104, NULL, NULL, 20250),
(55296, '3zjyC00', NULL, NULL, 85, NULL, NULL, 20250),
(55297, '1yezA00', NULL, NULL, 68, NULL, NULL, 20250),
(55298, '2oq0B02', NULL, NULL, 93, NULL, NULL, 20250),
(55299, '2lxjA00', NULL, NULL, 66, NULL, NULL, 20250),
(55300, '4qy7A01', NULL, NULL, 87, NULL, NULL, 20250),
(55301, '2khjA00', NULL, NULL, 89, NULL, NULL, 20250),
(55302, '2id0A04', NULL, NULL, 87, NULL, NULL, 20250),
(55303, '2fxqA01', NULL, NULL, 126, NULL, NULL, 20250),
(55304, '3oyyB03', NULL, NULL, 60, NULL, NULL, 20250),
(55305, '2id0A01', NULL, NULL, 82, NULL, NULL, 20250),
(55306, '1iyjB02', NULL, NULL, 131, NULL, NULL, 20250),
(55307, '2fxqA02', NULL, NULL, 103, NULL, NULL, 20250),
(55308, '1q8kA01', NULL, NULL, 87, NULL, NULL, 20250),
(55309, '1iyjB03', NULL, NULL, 142, NULL, NULL, 20250),
(55310, '1iyjB04', NULL, NULL, 138, NULL, NULL, 20250),
(55311, '5yzpA02', NULL, NULL, 97, NULL, NULL, 20250),
(55312, '5xymC01', NULL, NULL, 115, NULL, NULL, 20250),
(55313, '5yzpA01', NULL, NULL, 113, NULL, NULL, 20250),
(55314, '6ildA01', NULL, NULL, 144, NULL, NULL, 20250),
(55315, '6faic00', NULL, NULL, 67, NULL, NULL, 20250),
(55316, '1dgsA04', NULL, NULL, 73, NULL, NULL, 20250),
(55317, '2cfmA03', NULL, NULL, 140, NULL, NULL, 20250),
(55318, '2ztdA01', NULL, NULL, 80, NULL, NULL, 20250),
(55319, '2xzm100', NULL, NULL, 68, NULL, NULL, 20250),
(55320, '5xxuc00', NULL, NULL, 68, NULL, NULL, 20250),
(55321, '2vqeQ00', NULL, NULL, 105, NULL, NULL, 20250),
(55322, '3aqqA00', NULL, NULL, 107, NULL, NULL, 20250),
(55323, '1i94Q00', NULL, NULL, 104, NULL, NULL, 20250),
(55324, '1d7qA00', NULL, NULL, 143, NULL, NULL, 20250),
(55325, '5udzA01', NULL, NULL, 94, NULL, NULL, 20250),
(55326, '1kl9A01', NULL, NULL, 89, NULL, NULL, 20250),
(55327, '4fdbA00', NULL, NULL, 101, NULL, NULL, 20250),
(55328, '2zteA01', NULL, NULL, 79, NULL, NULL, 20250),
(55329, '2nn6G02', NULL, NULL, 77, NULL, NULL, 20250),
(55330, '3udfA03', NULL, NULL, 95, NULL, NULL, 20250),
(55331, '4damC00', NULL, NULL, 128, NULL, NULL, 20250),
(55332, '1l0wA01', NULL, NULL, 106, NULL, NULL, 20250),
(55333, '1khiA02', NULL, NULL, 75, NULL, NULL, 20250),
(55334, '4l5rC01', NULL, NULL, 109, NULL, NULL, 20250);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(55335, '2r7dA03', NULL, NULL, 66, NULL, NULL, 20250),
(55336, '6neqQ00', NULL, NULL, 109, NULL, NULL, 20250),
(55337, '6az1d00', NULL, NULL, 66, NULL, NULL, 20250),
(55338, '3o2zP00', NULL, NULL, 119, NULL, NULL, 20250),
(55339, '6hcuB01', NULL, NULL, 149, NULL, NULL, 20250),
(55340, '3oyyA02', NULL, NULL, 65, NULL, NULL, 20250),
(55341, '1wi5A01', NULL, NULL, 75, NULL, NULL, 20250),
(55342, '1yvcA00', NULL, NULL, 70, NULL, NULL, 20250),
(55343, '4owwB00', NULL, NULL, 111, NULL, NULL, 20250),
(55344, '1vvmD01', NULL, NULL, 115, NULL, NULL, 20250),
(55345, '3pcoB02', NULL, NULL, 116, NULL, NULL, 20250),
(55346, '1ne3A00', NULL, NULL, 68, NULL, NULL, 20250),
(55347, '1x3eA00', NULL, NULL, 120, NULL, NULL, 20250),
(55348, '3i7fA01', NULL, NULL, 128, NULL, NULL, 20250),
(55349, '4l5rC02', NULL, NULL, 89, NULL, NULL, 20250),
(55350, '2khiA00', NULL, NULL, 95, NULL, NULL, 20250),
(55351, '3tmaA01', NULL, NULL, 155, NULL, NULL, 20251),
(55352, '3tm4A01', NULL, NULL, 189, NULL, NULL, 20251),
(55353, '2c5sA01', NULL, NULL, 184, NULL, NULL, 20251),
(55354, '3v97B01', NULL, NULL, 211, NULL, NULL, 20251),
(55355, '3lduA01', NULL, NULL, 184, NULL, NULL, 20251),
(55356, '3ldgA01', NULL, NULL, 195, NULL, NULL, 20251),
(55357, '4kr6A01', NULL, NULL, 171, NULL, NULL, 20251),
(55358, '3k0bA01', NULL, NULL, 202, NULL, NULL, 20251),
(55359, '2cxhA01', NULL, NULL, 174, NULL, NULL, 20252),
(55360, '1w94A00', NULL, NULL, 156, NULL, NULL, 20252),
(55361, '3w15B00', NULL, NULL, 101, NULL, NULL, 20253),
(55362, '2w57A02', NULL, NULL, 49, NULL, NULL, 20254),
(55363, '5fd5A02', NULL, NULL, 55, NULL, NULL, 20254),
(55364, '4rayA02', NULL, NULL, 59, NULL, NULL, 20254),
(55365, '4lmyA02', NULL, NULL, 68, NULL, NULL, 20254),
(55366, '3eyyA02', NULL, NULL, 61, NULL, NULL, 20254),
(55367, '1mzbA02', NULL, NULL, 51, NULL, NULL, 20254),
(55368, '6d57A02', NULL, NULL, 61, NULL, NULL, 20254),
(55369, '2xigA02', NULL, NULL, 57, NULL, NULL, 20254),
(55370, '2fe3A02', NULL, NULL, 58, NULL, NULL, 20254),
(55371, '2o03A02', NULL, NULL, 56, NULL, NULL, 20254),
(55372, '3mwmA02', NULL, NULL, 55, NULL, NULL, 20254),
(55373, '4mtdA02', NULL, NULL, 63, NULL, NULL, 20254),
(55374, '5cknA02', NULL, NULL, 44, NULL, NULL, 20255),
(55375, '1ataA00', NULL, NULL, 62, NULL, NULL, 20255),
(55376, '2flbL01', NULL, NULL, 42, NULL, NULL, 20255),
(55377, '1fakL01', NULL, NULL, 51, NULL, NULL, 20255),
(55378, '5l0rB00', NULL, NULL, 42, NULL, NULL, 20255),
(55379, '3v64C01', NULL, NULL, 42, NULL, NULL, 20255),
(55380, '2mgpA02', NULL, NULL, 52, NULL, NULL, 20255),
(55381, '2mgpA01', NULL, NULL, 47, NULL, NULL, 20255),
(55382, '2y38A02', NULL, NULL, 113, NULL, NULL, 20255),
(55383, '4xl1D01', NULL, NULL, 43, NULL, NULL, 20255),
(55384, '2i9aB01', NULL, NULL, 51, NULL, NULL, 20255),
(55385, '3fbyA01', NULL, NULL, 61, NULL, NULL, 20255),
(55386, '4cc0B03', NULL, NULL, 65, NULL, NULL, 20255),
(55387, '3sobB02', NULL, NULL, 57, NULL, NULL, 20255),
(55388, '5wb7E00', NULL, NULL, 62, NULL, NULL, 20255),
(55389, '3f6uL01', NULL, NULL, 45, NULL, NULL, 20255),
(55390, '1p0sL02', NULL, NULL, 45, NULL, NULL, 20255),
(55391, '1yukB02', NULL, NULL, 31, NULL, NULL, 20255),
(55392, '3v65D01', NULL, NULL, 44, NULL, NULL, 20255),
(55393, '5lf2A03', NULL, NULL, 47, NULL, NULL, 20255),
(55394, '1hx2A00', NULL, NULL, 60, NULL, NULL, 20255),
(55395, '1u8cB04', NULL, NULL, 40, NULL, NULL, 20255),
(55396, '3zyjB01', NULL, NULL, 86, NULL, NULL, 20255),
(55397, '5f19A01', NULL, NULL, 41, NULL, NULL, 20255),
(55398, '5vygA00', NULL, NULL, 50, NULL, NULL, 20255),
(55399, '3demA02', NULL, NULL, 44, NULL, NULL, 20255),
(55400, '3laqB01', NULL, NULL, 50, NULL, NULL, 20255),
(55401, '3fcsB05', NULL, NULL, 42, NULL, NULL, 20255),
(55402, '5ky2B00', NULL, NULL, 40, NULL, NULL, 20255),
(55403, '3k6sH04', NULL, NULL, 38, NULL, NULL, 20255),
(55404, '3k6sD05', NULL, NULL, 57, NULL, NULL, 20255),
(55405, '1ccvA00', NULL, NULL, 56, NULL, NULL, 20255),
(55406, '3fcsB04', NULL, NULL, 87, NULL, NULL, 20255),
(55407, '1pfxL02', NULL, NULL, 40, NULL, NULL, 20255),
(55408, '2w2qE00', NULL, NULL, 47, NULL, NULL, 20255);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(55409, '1l3yA00', NULL, NULL, 41, NULL, NULL, 20255),
(55410, '1lmjA00', NULL, NULL, 86, NULL, NULL, 20255),
(55411, '5vc1A02', NULL, NULL, 38, NULL, NULL, 20255),
(55412, '4bdxA00', NULL, NULL, 85, NULL, NULL, 20255),
(55413, '1kloA01', NULL, NULL, 53, NULL, NULL, 20255),
(55414, '1kloA03', NULL, NULL, 53, NULL, NULL, 20255),
(55415, '2k2sB00', NULL, NULL, 61, NULL, NULL, 20255),
(55416, '1kloA02', NULL, NULL, 56, NULL, NULL, 20255),
(55417, '3zygB01', NULL, NULL, 90, NULL, NULL, 20255),
(55418, '1z6cA00', NULL, NULL, 87, NULL, NULL, 20255),
(55419, '1ijqA02', NULL, NULL, 54, NULL, NULL, 20255),
(55420, '1nziB02', NULL, NULL, 42, NULL, NULL, 20255),
(55421, '1n1iC02', NULL, NULL, 51, NULL, NULL, 20255),
(55422, '6mv4L00', NULL, NULL, 54, NULL, NULL, 20255),
(55423, '2bz6L00', NULL, NULL, 53, NULL, NULL, 20255),
(55424, '3k9xA02', NULL, NULL, 50, NULL, NULL, 20255),
(55425, '4bxwA01', NULL, NULL, 38, NULL, NULL, 20255),
(55426, '3k9xA01', NULL, NULL, 41, NULL, NULL, 20255),
(55427, '1n7dA08', NULL, NULL, 45, NULL, NULL, 20255),
(55428, '1n7dA07', NULL, NULL, 38, NULL, NULL, 20255),
(55429, '2bouA01', NULL, NULL, 47, NULL, NULL, 20255),
(55430, '1haeA00', NULL, NULL, 63, NULL, NULL, 20255),
(55431, '2bouA02', NULL, NULL, 49, NULL, NULL, 20255),
(55432, '3qcwA03', NULL, NULL, 43, NULL, NULL, 20255),
(55433, '2bouA03', NULL, NULL, 47, NULL, NULL, 20255),
(55434, '1a3pA00', NULL, NULL, 45, NULL, NULL, 20255),
(55435, '1emnA01', NULL, NULL, 27, NULL, NULL, 20255),
(55436, '3sovA02', NULL, NULL, 56, NULL, NULL, 20255),
(55437, '2p26A03', NULL, NULL, 41, NULL, NULL, 20255),
(55438, '2p26A04', NULL, NULL, 55, NULL, NULL, 20255),
(55439, '1tpgA02', NULL, NULL, 45, NULL, NULL, 20255),
(55440, '1eaiC00', NULL, NULL, 61, NULL, NULL, 20255),
(55441, '1g1sA02', NULL, NULL, 38, NULL, NULL, 20255),
(55442, '4d90A01', NULL, NULL, 48, NULL, NULL, 20255),
(55443, '2m74A02', NULL, NULL, 67, NULL, NULL, 20255),
(55444, '2m74A01', NULL, NULL, 69, NULL, NULL, 20255),
(55445, '4d90A02', NULL, NULL, 95, NULL, NULL, 20255),
(55446, '2wg3D02', NULL, NULL, 55, NULL, NULL, 20255),
(55447, '1ob1C01', NULL, NULL, 44, NULL, NULL, 20255),
(55448, '2p3fN00', NULL, NULL, 78, NULL, NULL, 20255),
(55449, '3u7uK00', NULL, NULL, 55, NULL, NULL, 20255),
(55450, '1eqgA01', NULL, NULL, 53, NULL, NULL, 20255),
(55451, '1szbA02', NULL, NULL, 45, NULL, NULL, 20255),
(55452, '1ob1C02', NULL, NULL, 55, NULL, NULL, 20255),
(55453, '2wfxB02', NULL, NULL, 87, NULL, NULL, 20255),
(55454, '1yo8A02', NULL, NULL, 56, NULL, NULL, 20255),
(55455, '1yo8A03', NULL, NULL, 40, NULL, NULL, 20255),
(55456, '1b9wA02', NULL, NULL, 38, NULL, NULL, 20255),
(55457, '1yo8A01', NULL, NULL, 50, NULL, NULL, 20255),
(55458, '1p9jA00', NULL, NULL, 54, NULL, NULL, 20255),
(55459, '1b9wA01', NULL, NULL, 51, NULL, NULL, 20255),
(55460, '5l0vB00', NULL, NULL, 42, NULL, NULL, 20255),
(55461, '1g1tA02', NULL, NULL, 38, NULL, NULL, 20255),
(55462, '1jv2B03', NULL, NULL, 73, NULL, NULL, 20255),
(55463, '3cfwA02', NULL, NULL, 45, NULL, NULL, 20255),
(55464, '2ygoA02', NULL, NULL, 38, NULL, NULL, 20255),
(55465, '1apoA00', NULL, NULL, 42, NULL, NULL, 20255),
(55466, '3h5cB01', NULL, NULL, 39, NULL, NULL, 20255),
(55467, '1ioxA00', NULL, NULL, 50, NULL, NULL, 20255),
(55468, '3fcsD04', NULL, NULL, 40, NULL, NULL, 20255),
(55469, '3fcsD05', NULL, NULL, 48, NULL, NULL, 20255),
(55470, '4xbmA03', NULL, NULL, 66, NULL, NULL, 20255),
(55471, '1xdtR00', NULL, NULL, 41, NULL, NULL, 20255),
(55472, '3c9aC00', NULL, NULL, 52, NULL, NULL, 20255),
(55473, '1moxD00', NULL, NULL, 50, NULL, NULL, 20255),
(55474, '2jkhL00', NULL, NULL, 55, NULL, NULL, 20255),
(55475, '1nqlB00', NULL, NULL, 53, NULL, NULL, 20255),
(55476, '2kb9A00', NULL, NULL, 44, NULL, NULL, 20255),
(55477, '3f1sB01', NULL, NULL, 53, NULL, NULL, 20255),
(55478, '4jzeL00', NULL, NULL, 55, NULL, NULL, 20255),
(55479, '1autL02', NULL, NULL, 52, NULL, NULL, 20255),
(55480, '5e8dA00', NULL, NULL, 44, NULL, NULL, 20255),
(55481, '2h9eC01', NULL, NULL, 75, NULL, NULL, 20255),
(55482, '2rnlA00', NULL, NULL, 50, NULL, NULL, 20255);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(55483, '1n1iA01', NULL, NULL, 54, NULL, NULL, 20255),
(55484, '4d0eA03', NULL, NULL, 52, NULL, NULL, 20255),
(55485, '4d0eA01', NULL, NULL, 45, NULL, NULL, 20255),
(55486, '4xl1A02', NULL, NULL, 38, NULL, NULL, 20255),
(55487, '4xl1A03', NULL, NULL, 37, NULL, NULL, 20255),
(55488, '4aqtA02', NULL, NULL, 99, NULL, NULL, 20255),
(55489, '1kigL00', NULL, NULL, 51, NULL, NULL, 20255),
(55490, '2nprA02', NULL, NULL, 38, NULL, NULL, 20255),
(55491, '2nprA01', NULL, NULL, 52, NULL, NULL, 20255),
(55492, '1dx5I01', NULL, NULL, 45, NULL, NULL, 20255),
(55493, '1gk5A00', NULL, NULL, 49, NULL, NULL, 20255),
(55494, '4cufA02', NULL, NULL, 38, NULL, NULL, 20255),
(55495, '1dx5I02', NULL, NULL, 33, NULL, NULL, 20255),
(55496, '5jb9E00', NULL, NULL, 58, NULL, NULL, 20255),
(55497, '1emoA00', NULL, NULL, 82, NULL, NULL, 20255),
(55498, '1dx5I03', NULL, NULL, 40, NULL, NULL, 20255),
(55499, '2w86A03', NULL, NULL, 42, NULL, NULL, 20255),
(55500, '2fd6A01', NULL, NULL, 39, NULL, NULL, 20255),
(55501, '3kl6B00', NULL, NULL, 57, NULL, NULL, 20255),
(55502, '3ho3A02', NULL, NULL, 90, NULL, NULL, 20255),
(55503, '3k9xC02', NULL, NULL, 44, NULL, NULL, 20255),
(55504, '3k9xC01', NULL, NULL, 26, NULL, NULL, 20255),
(55505, '2ygqA02', NULL, NULL, 93, NULL, NULL, 20255),
(55506, '1apqA00', NULL, NULL, 53, NULL, NULL, 20255),
(55507, '3nt1A01', NULL, NULL, 41, NULL, NULL, 20255),
(55508, '2w86A01', NULL, NULL, 45, NULL, NULL, 20255),
(55509, '1uzkA01', NULL, NULL, 45, NULL, NULL, 20255),
(55510, '1ygcL00', NULL, NULL, 63, NULL, NULL, 20255),
(55511, '1tozA02', NULL, NULL, 73, NULL, NULL, 20255),
(55512, '1cejA02', NULL, NULL, 52, NULL, NULL, 20255),
(55513, '1uzkA03', NULL, NULL, 42, NULL, NULL, 20255),
(55514, '2p28B03', NULL, NULL, 52, NULL, NULL, 20255),
(55515, '3p5bL03', NULL, NULL, 46, NULL, NULL, 20255),
(55516, '2p28B04', NULL, NULL, 38, NULL, NULL, 20255),
(55517, '2dduA02', NULL, NULL, 35, NULL, NULL, 20255),
(55518, '3p5bL01', NULL, NULL, 75, NULL, NULL, 20255),
(55519, '3asiA02', NULL, NULL, 42, NULL, NULL, 20255),
(55520, '1x7aL02', NULL, NULL, 42, NULL, NULL, 20255),
(55521, '1q4gA01', NULL, NULL, 41, NULL, NULL, 20255),
(55522, '1wznA02', NULL, NULL, 63, NULL, NULL, 20256),
(55523, '3d2lA02', NULL, NULL, 63, NULL, NULL, 20256),
(55524, '1y8cA02', NULL, NULL, 60, NULL, NULL, 20256),
(55525, '1yn5A00', NULL, NULL, 103, NULL, NULL, 20257),
(55526, '1fnuA02', NULL, NULL, 138, NULL, NULL, 20257),
(55527, '1yn3A00', NULL, NULL, 98, NULL, NULL, 20257),
(55528, '1bxtA02', NULL, NULL, 144, NULL, NULL, 20257),
(55529, '1ty0B01', NULL, NULL, 136, NULL, NULL, 20257),
(55530, '1v1oA01', NULL, NULL, 122, NULL, NULL, 20257),
(55531, '2iciA01', NULL, NULL, 149, NULL, NULL, 20257),
(55532, '2g9hD01', NULL, NULL, 148, NULL, NULL, 20257),
(55533, '3o13A01', NULL, NULL, 126, NULL, NULL, 20257),
(55534, '1an8A01', NULL, NULL, 133, NULL, NULL, 20257),
(55535, '4dxfA01', NULL, NULL, 128, NULL, NULL, 20257),
(55536, '3r2tA01', NULL, NULL, 121, NULL, NULL, 20257),
(55537, '5i4dB01', NULL, NULL, 117, NULL, NULL, 20257),
(55538, '4rfbA01', NULL, NULL, 119, NULL, NULL, 20257),
(55539, '1enfA02', NULL, NULL, 133, NULL, NULL, 20257),
(55540, '1yn4A00', NULL, NULL, 99, NULL, NULL, 20257),
(55541, '1et9A01', NULL, NULL, 110, NULL, NULL, 20257),
(55542, '1eu3A01', NULL, NULL, 122, NULL, NULL, 20257),
(55543, '2z8lA01', NULL, NULL, 117, NULL, NULL, 20257),
(55544, '2qejD01', NULL, NULL, 127, NULL, NULL, 20257),
(55545, '1dyqA02', NULL, NULL, 148, NULL, NULL, 20257),
(55546, '2j4xA01', NULL, NULL, 127, NULL, NULL, 20257),
(55547, '1sebD02', NULL, NULL, 138, NULL, NULL, 20257),
(55548, '2rdgA01', NULL, NULL, 125, NULL, NULL, 20257),
(55549, '3sebA02', NULL, NULL, 134, NULL, NULL, 20257),
(55550, '4zysA01', NULL, NULL, 122, NULL, NULL, 20257),
(55551, '5fkaC01', NULL, NULL, 147, NULL, NULL, 20257),
(55552, '3mc0D01', NULL, NULL, 150, NULL, NULL, 20257),
(55553, '3r2iA01', NULL, NULL, 120, NULL, NULL, 20257),
(55554, '3ea6A01', NULL, NULL, 149, NULL, NULL, 20257),
(55555, '4o1nD01', NULL, NULL, 115, NULL, NULL, 20257),
(55556, '4ohjB01', NULL, NULL, 140, NULL, NULL, 20257);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(55557, '2aq2B01', NULL, NULL, 151, NULL, NULL, 20257),
(55558, '3vw4A01', NULL, NULL, 95, NULL, NULL, 20258),
(55559, '3cesB02', NULL, NULL, 150, NULL, NULL, 20259),
(55560, '3cp8A02', NULL, NULL, 139, NULL, NULL, 20259),
(55561, '3cp2A02', NULL, NULL, 99, NULL, NULL, 20259),
(55562, '2zxiD02', NULL, NULL, 145, NULL, NULL, 20259),
(55563, '3bs1A00', NULL, NULL, 103, NULL, NULL, 20260),
(55564, '4cbvC02', NULL, NULL, 123, NULL, NULL, 20260),
(55565, '3zbeA00', NULL, NULL, 71, NULL, NULL, 20261),
(55566, '2hg7A00', NULL, NULL, 60, NULL, NULL, 20262),
(55567, '5ffnA00', NULL, NULL, 311, NULL, NULL, 20263),
(55568, '4dztA00', NULL, NULL, 276, NULL, NULL, 20263),
(55569, '2x8jB01', NULL, NULL, 312, NULL, NULL, 20263),
(55570, '6f9mB00', NULL, NULL, 310, NULL, NULL, 20263),
(55571, '1r6vA03', NULL, NULL, 347, NULL, NULL, 20263),
(55572, '3edyA02', NULL, NULL, 366, NULL, NULL, 20263),
(55573, '1t1gA00', NULL, NULL, 364, NULL, NULL, 20263),
(55574, '4m1zB00', NULL, NULL, 345, NULL, NULL, 20263),
(55575, '3f7oA00', NULL, NULL, 284, NULL, NULL, 20263),
(55576, '1sh7A00', NULL, NULL, 284, NULL, NULL, 20263),
(55577, '1ga6A00', NULL, NULL, 372, NULL, NULL, 20263),
(55578, '2xrmA00', NULL, NULL, 311, NULL, NULL, 20263),
(55579, '3vyvA00', NULL, NULL, 275, NULL, NULL, 20263),
(55580, '2gkoA00', NULL, NULL, 309, NULL, NULL, 20263),
(55581, '1xf1A01', NULL, NULL, 331, NULL, NULL, 20263),
(55582, '2ixtA00', NULL, NULL, 310, NULL, NULL, 20263),
(55583, '1sueA00', NULL, NULL, 266, NULL, NULL, 20263),
(55584, '3ti9A00', NULL, NULL, 352, NULL, NULL, 20263),
(55585, '1sbtA00', NULL, NULL, 275, NULL, NULL, 20263),
(55586, '2qtwB01', NULL, NULL, 298, NULL, NULL, 20263),
(55587, '2id4A01', NULL, NULL, 339, NULL, NULL, 20263),
(55588, '4zoqM00', NULL, NULL, 343, NULL, NULL, 20263),
(55589, '5wslA00', NULL, NULL, 282, NULL, NULL, 20263),
(55590, '5jxgA01', NULL, NULL, 325, NULL, NULL, 20263),
(55591, '1dbiA00', NULL, NULL, 280, NULL, NULL, 20263),
(55592, '5fbzA01', NULL, NULL, 316, NULL, NULL, 20263),
(55593, '1r0rE00', NULL, NULL, 274, NULL, NULL, 20263),
(55594, '1sioC00', NULL, NULL, 364, NULL, NULL, 20263),
(55595, '3lpcA00', NULL, NULL, 340, NULL, NULL, 20263),
(55596, '1wmdA01', NULL, NULL, 317, NULL, NULL, 20263),
(55597, '1thmA00', NULL, NULL, 279, NULL, NULL, 20263),
(55598, '3lxuX01', NULL, NULL, 358, NULL, NULL, 20263),
(55599, '4hvlA00', NULL, NULL, 377, NULL, NULL, 20263),
(55600, '1y9zB01', NULL, NULL, 296, NULL, NULL, 20263),
(55601, '1gciA00', NULL, NULL, 269, NULL, NULL, 20263),
(55602, '4h6wA00', NULL, NULL, 306, NULL, NULL, 20263),
(55603, '5yl7A00', NULL, NULL, 347, NULL, NULL, 20263),
(55604, '5vl7B01', NULL, NULL, 278, NULL, NULL, 20263),
(55605, '2b6nA00', NULL, NULL, 278, NULL, NULL, 20263),
(55606, '1to2E00', NULL, NULL, 281, NULL, NULL, 20263),
(55607, '4i0wB01', NULL, NULL, 335, NULL, NULL, 20263),
(55608, '4lvnA00', NULL, NULL, 344, NULL, NULL, 20263),
(55609, '4mzdA00', NULL, NULL, 356, NULL, NULL, 20263),
(55610, '4kg7A00', NULL, NULL, 381, NULL, NULL, 20263),
(55611, '4yn3A01', NULL, NULL, 355, NULL, NULL, 20263),
(55612, '1bh6A00', NULL, NULL, 274, NULL, NULL, 20263),
(55613, '3f7mA00', NULL, NULL, 279, NULL, NULL, 20263),
(55614, '3f49S00', NULL, NULL, 266, NULL, NULL, 20263),
(55615, '3t41B02', NULL, NULL, 364, NULL, NULL, 20263),
(55616, '2iy9A00', NULL, NULL, 325, NULL, NULL, 20263),
(55617, '3afgA02', NULL, NULL, 312, NULL, NULL, 20263),
(55618, '4h6xA00', NULL, NULL, 357, NULL, NULL, 20263),
(55619, '2pwaA00', NULL, NULL, 279, NULL, NULL, 20263),
(55620, '2z30A00', NULL, NULL, 320, NULL, NULL, 20263),
(55621, '3vv3A00', NULL, NULL, 334, NULL, NULL, 20263),
(55622, '3wqbA01', NULL, NULL, 412, NULL, NULL, 20263),
(55623, '3zxyA00', NULL, NULL, 282, NULL, NULL, 20263),
(55624, '3g2mB01', NULL, NULL, 67, NULL, NULL, 20264),
(55625, '3g2oB01', NULL, NULL, 99, NULL, NULL, 20264),
(55626, '4nurA02', NULL, NULL, 141, NULL, NULL, 20265),
(55627, '2yheA02', NULL, NULL, 142, NULL, NULL, 20265),
(55628, '4pdxA02', NULL, NULL, 141, NULL, NULL, 20265),
(55629, '2cfuA02', NULL, NULL, 141, NULL, NULL, 20265);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(55630, '1j3eA00', NULL, NULL, 115, NULL, NULL, 20266),
(55631, '3fmtB00', NULL, NULL, 162, NULL, NULL, 20266),
(55632, '3sk7A00', NULL, NULL, 116, NULL, NULL, 20266),
(55633, '2ksnA01', NULL, NULL, 78, NULL, NULL, 20267),
(55634, '2m05A00', NULL, NULL, 65, NULL, NULL, 20268),
(55635, '2fmaA00', NULL, NULL, 59, NULL, NULL, 20268),
(55636, '2gumB03', NULL, NULL, 150, NULL, NULL, 20269),
(55637, '2gumC03', NULL, NULL, 119, NULL, NULL, 20269),
(55638, '6escA03', NULL, NULL, 124, NULL, NULL, 20269),
(55639, '3fvcA03', NULL, NULL, 110, NULL, NULL, 20269),
(55640, '5cxfC02', NULL, NULL, 110, NULL, NULL, 20269),
(55641, '4osnA00', NULL, NULL, 129, NULL, NULL, 20269),
(55642, '2iboA00', NULL, NULL, 104, NULL, NULL, 20270),
(55643, '1vk8A00', NULL, NULL, 106, NULL, NULL, 20270),
(55644, '1s7hA02', NULL, NULL, 89, NULL, NULL, 20270),
(55645, '1yqhB00', NULL, NULL, 109, NULL, NULL, 20270),
(55646, '1sbrA02', NULL, NULL, 89, NULL, NULL, 20270),
(55647, '2epiB00', NULL, NULL, 100, NULL, NULL, 20270),
(55648, '1lxnA00', NULL, NULL, 99, NULL, NULL, 20270),
(55649, '1sbrB02', NULL, NULL, 89, NULL, NULL, 20270),
(55650, '1s99A01', NULL, NULL, 87, NULL, NULL, 20270),
(55651, '1lxjA00', NULL, NULL, 104, NULL, NULL, 20270),
(55652, '1s99A02', NULL, NULL, 89, NULL, NULL, 20270),
(55653, '1s99B02', NULL, NULL, 89, NULL, NULL, 20270),
(55654, '1k1fD00', NULL, NULL, 72, NULL, NULL, 20271),
(55655, '3pjyB00', NULL, NULL, 136, NULL, NULL, 20272),
(55656, '3m7aA01', NULL, NULL, 136, NULL, NULL, 20272),
(55657, '3pjyA00', NULL, NULL, 136, NULL, NULL, 20272),
(55658, '2rhqB04', NULL, NULL, 75, NULL, NULL, 20273),
(55659, '2cxiA03', NULL, NULL, 70, NULL, NULL, 20273),
(55660, '3l4gB01', NULL, NULL, 89, NULL, NULL, 20273),
(55661, '2cxiA01', NULL, NULL, 80, NULL, NULL, 20273),
(55662, '2rhqB01', NULL, NULL, 69, NULL, NULL, 20273),
(55663, '1b7yB04', NULL, NULL, 74, NULL, NULL, 20273),
(55664, '3pcoB01', NULL, NULL, 69, NULL, NULL, 20273),
(55665, '4p72A01', NULL, NULL, 69, NULL, NULL, 20273),
(55666, '1b7yB01', NULL, NULL, 70, NULL, NULL, 20273),
(55667, '3l4gB03', NULL, NULL, 74, NULL, NULL, 20273),
(55668, '3pcoB04', NULL, NULL, 75, NULL, NULL, 20273),
(55669, '4p72A04', NULL, NULL, 76, NULL, NULL, 20273),
(55670, '2fsdA00', NULL, NULL, 110, NULL, NULL, 20274),
(55671, '4khoB01', NULL, NULL, 167, NULL, NULL, 20275),
(55672, '4pq0A01', NULL, NULL, 140, NULL, NULL, 20275),
(55673, '4z2nA01', NULL, NULL, 155, NULL, NULL, 20275),
(55674, '5umsA01', NULL, NULL, 136, NULL, NULL, 20275),
(55675, '5umuA01', NULL, NULL, 155, NULL, NULL, 20275),
(55676, '4ioyX01', NULL, NULL, 153, NULL, NULL, 20275),
(55677, '3zymA02', NULL, NULL, 157, NULL, NULL, 20276),
(55678, '3zylA02', NULL, NULL, 118, NULL, NULL, 20276),
(55679, '1hx8A02', NULL, NULL, 122, NULL, NULL, 20276),
(55680, '3zykB02', NULL, NULL, 130, NULL, NULL, 20276),
(55681, '3s1sA02', NULL, NULL, 407, NULL, NULL, 20277),
(55682, '4d4oC00', NULL, NULL, 83, NULL, NULL, 20278),
(55683, '1wgeA00', NULL, NULL, 83, NULL, NULL, 20278),
(55684, '5ax2A00', NULL, NULL, 89, NULL, NULL, 20278),
(55685, '2jr7A01', NULL, NULL, 75, NULL, NULL, 20278),
(55686, '4x33A00', NULL, NULL, 63, NULL, NULL, 20278),
(55687, '2l6lA02', NULL, NULL, 65, NULL, NULL, 20278),
(55688, '5c2mA00', NULL, NULL, 250, NULL, NULL, 20279),
(55689, '1tl2A00', NULL, NULL, 236, NULL, NULL, 20279),
(55690, '2vqgA00', NULL, NULL, 99, NULL, NULL, 20280),
(55691, '2wzpP01', NULL, NULL, 109, NULL, NULL, 20281),
(55692, '3hgfB00', NULL, NULL, 107, NULL, NULL, 20282),
(55693, '3ca8A01', NULL, NULL, 111, NULL, NULL, 20283),
(55694, '2l7kA00', NULL, NULL, 76, NULL, NULL, 20284),
(55695, '1mw7A03', NULL, NULL, 75, NULL, NULL, 20285),
(55696, '4f3qA03', NULL, NULL, 76, NULL, NULL, 20285),
(55697, '1lfpA03', NULL, NULL, 73, NULL, NULL, 20285),
(55698, '1lfpA02', NULL, NULL, 95, NULL, NULL, 20285),
(55699, '4f3qA02', NULL, NULL, 87, NULL, NULL, 20285),
(55700, '1konA03', NULL, NULL, 75, NULL, NULL, 20285),
(55701, '1konA02', NULL, NULL, 90, NULL, NULL, 20285),
(55702, '1mw7A02', NULL, NULL, 87, NULL, NULL, 20285),
(55703, '3rrrG02', NULL, NULL, 44, NULL, NULL, 20286);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(55704, '2kluA00', NULL, NULL, 70, NULL, NULL, 20287),
(55705, '3o0pA00', NULL, NULL, 216, NULL, NULL, 20288),
(55706, '5uttA00', NULL, NULL, 190, NULL, NULL, 20288),
(55707, '2w1jA00', NULL, NULL, 212, NULL, NULL, 20288),
(55708, '2oqzA00', NULL, NULL, 223, NULL, NULL, 20288),
(55709, '5jcvA00', NULL, NULL, 183, NULL, NULL, 20288),
(55710, '5b23A00', NULL, NULL, 191, NULL, NULL, 20288),
(55711, '6bweB00', NULL, NULL, 193, NULL, NULL, 20288),
(55712, '5cuwA00', NULL, NULL, 195, NULL, NULL, 20288),
(55713, '2kw8A00', NULL, NULL, 158, NULL, NULL, 20288),
(55714, '4o8tA00', NULL, NULL, 187, NULL, NULL, 20288),
(55715, '2xwgC00', NULL, NULL, 182, NULL, NULL, 20288),
(55716, '4d7wA00', NULL, NULL, 208, NULL, NULL, 20288),
(55717, '4g1jB00', NULL, NULL, 205, NULL, NULL, 20288),
(55718, '1ng5B00', NULL, NULL, 215, NULL, NULL, 20288),
(55719, '3g66A00', NULL, NULL, 212, NULL, NULL, 20288),
(55720, '3re9A00', NULL, NULL, 187, NULL, NULL, 20288),
(55721, '4d70A00', NULL, NULL, 160, NULL, NULL, 20288),
(55722, '4g1hA00', NULL, NULL, 195, NULL, NULL, 20288),
(55723, '3psqB00', NULL, NULL, 186, NULL, NULL, 20288),
(55724, '1t2wA00', NULL, NULL, 145, NULL, NULL, 20288),
(55725, '3rccN00', NULL, NULL, 160, NULL, NULL, 20288),
(55726, '5go5A00', NULL, NULL, 157, NULL, NULL, 20288),
(55727, '2w1kA00', NULL, NULL, 212, NULL, NULL, 20288),
(55728, '4y4qA00', NULL, NULL, 185, NULL, NULL, 20288),
(55729, '2ln7A00', NULL, NULL, 147, NULL, NULL, 20288),
(55730, '5gyjA00', NULL, NULL, 196, NULL, NULL, 20288),
(55731, '3fn5B00', NULL, NULL, 163, NULL, NULL, 20288),
(55732, '3fo8D02', NULL, NULL, 91, NULL, NULL, 20289),
(55733, '3kcnA00', NULL, NULL, 151, NULL, NULL, 20290),
(55734, '1peaA02', NULL, NULL, 186, NULL, NULL, 20290),
(55735, '3rotA01', NULL, NULL, 137, NULL, NULL, 20290),
(55736, '4irxA02', NULL, NULL, 162, NULL, NULL, 20290),
(55737, '3rotA02', NULL, NULL, 137, NULL, NULL, 20290),
(55738, '2a9oA00', NULL, NULL, 120, NULL, NULL, 20290),
(55739, '4irxA01', NULL, NULL, 134, NULL, NULL, 20290),
(55740, '3grcA00', NULL, NULL, 140, NULL, NULL, 20290),
(55741, '2r48A00', NULL, NULL, 106, NULL, NULL, 20290),
(55742, '1peaA01', NULL, NULL, 199, NULL, NULL, 20290),
(55743, '8abpA01', NULL, NULL, 139, NULL, NULL, 20290),
(55744, '5hkoA01', NULL, NULL, 166, NULL, NULL, 20290),
(55745, '3ctpA01', NULL, NULL, 128, NULL, NULL, 20290),
(55746, '1dcfA00', NULL, NULL, 136, NULL, NULL, 20290),
(55747, '3ctpA02', NULL, NULL, 143, NULL, NULL, 20290),
(55748, '5hkoA02', NULL, NULL, 150, NULL, NULL, 20290),
(55749, '4n0pA00', NULL, NULL, 151, NULL, NULL, 20290),
(55750, '3kkeB01', NULL, NULL, 147, NULL, NULL, 20290),
(55751, '5dleA00', NULL, NULL, 113, NULL, NULL, 20290),
(55752, '8abpA02', NULL, NULL, 167, NULL, NULL, 20290),
(55753, '4m88A02', NULL, NULL, 143, NULL, NULL, 20290),
(55754, '6br7B00', NULL, NULL, 133, NULL, NULL, 20290),
(55755, '4m88A01', NULL, NULL, 214, NULL, NULL, 20290),
(55756, '3czcA00', NULL, NULL, 93, NULL, NULL, 20290),
(55757, '3n75A01', NULL, NULL, 129, NULL, NULL, 20290),
(55758, '2qvcD01', NULL, NULL, 149, NULL, NULL, 20290),
(55759, '1i3cA00', NULL, NULL, 149, NULL, NULL, 20290),
(55760, '3h5lA01', NULL, NULL, 244, NULL, NULL, 20290),
(55761, '2wjwA02', NULL, NULL, 177, NULL, NULL, 20290),
(55762, '3h5lA02', NULL, NULL, 175, NULL, NULL, 20290),
(55763, '2wjwA01', NULL, NULL, 211, NULL, NULL, 20290),
(55764, '3gbvA01', NULL, NULL, 146, NULL, NULL, 20290),
(55765, '3gbvA02', NULL, NULL, 158, NULL, NULL, 20290),
(55766, '2n9uA00', NULL, NULL, 129, NULL, NULL, 20290),
(55767, '3hdgA00', NULL, NULL, 137, NULL, NULL, 20290),
(55768, '3gybA02', NULL, NULL, 146, NULL, NULL, 20290),
(55769, '3gybA01', NULL, NULL, 134, NULL, NULL, 20290),
(55770, '2rgyA02', NULL, NULL, 135, NULL, NULL, 20290),
(55771, '3ckmA02', NULL, NULL, 148, NULL, NULL, 20290),
(55772, '2rgyA01', NULL, NULL, 131, NULL, NULL, 20290),
(55773, '3ckmA01', NULL, NULL, 179, NULL, NULL, 20290),
(55774, '2h0aA01', NULL, NULL, 127, NULL, NULL, 20290),
(55775, '3luaA00', NULL, NULL, 140, NULL, NULL, 20290),
(55776, '3eodA00', NULL, NULL, 130, NULL, NULL, 20290);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(55777, '2h0aA02', NULL, NULL, 139, NULL, NULL, 20290),
(55778, '1yvuA03', NULL, NULL, 174, NULL, NULL, 20290),
(55779, '4wwhA02', NULL, NULL, 181, NULL, NULL, 20290),
(55780, '4wwhA01', NULL, NULL, 148, NULL, NULL, 20290),
(55781, '3w9sB00', NULL, NULL, 131, NULL, NULL, 20290),
(55782, '4nicA00', NULL, NULL, 128, NULL, NULL, 20290),
(55783, '4q6bA02', NULL, NULL, 147, NULL, NULL, 20290),
(55784, '3egcA01', NULL, NULL, 139, NULL, NULL, 20290),
(55785, '2r25B00', NULL, NULL, 133, NULL, NULL, 20290),
(55786, '4q6bA01', NULL, NULL, 209, NULL, NULL, 20290),
(55787, '3jy6A01', NULL, NULL, 133, NULL, NULL, 20290),
(55788, '3h1gA00', NULL, NULL, 129, NULL, NULL, 20290),
(55789, '3qk7C02', NULL, NULL, 152, NULL, NULL, 20290),
(55790, '3kkeA02', NULL, NULL, 158, NULL, NULL, 20290),
(55791, '1jdpB02', NULL, NULL, 221, NULL, NULL, 20290),
(55792, '4rk1A02', NULL, NULL, 140, NULL, NULL, 20290),
(55793, '1k68A00', NULL, NULL, 140, NULL, NULL, 20290),
(55794, '5dteA02', NULL, NULL, 153, NULL, NULL, 20290),
(55795, '4p98A01', NULL, NULL, 144, NULL, NULL, 20290),
(55796, '4p98A02', NULL, NULL, 155, NULL, NULL, 20290),
(55797, '3t95A01', NULL, NULL, 161, NULL, NULL, 20290),
(55798, '2r47A01', NULL, NULL, 138, NULL, NULL, 20290),
(55799, '5wq0D00', NULL, NULL, 129, NULL, NULL, 20290),
(55800, '3t95A02', NULL, NULL, 153, NULL, NULL, 20290),
(55801, '1jx6A02', NULL, NULL, 151, NULL, NULL, 20290),
(55802, '1jx6A01', NULL, NULL, 185, NULL, NULL, 20290),
(55803, '1vkrA00', NULL, NULL, 107, NULL, NULL, 20290),
(55804, '1dz3A00', NULL, NULL, 130, NULL, NULL, 20290),
(55805, '3hutA01', NULL, NULL, 198, NULL, NULL, 20290),
(55806, '1u2pA00', NULL, NULL, 163, NULL, NULL, 20290),
(55807, '3hutA02', NULL, NULL, 160, NULL, NULL, 20290),
(55808, '2jk1A00', NULL, NULL, 139, NULL, NULL, 20290),
(55809, '3eq2B01', NULL, NULL, 110, NULL, NULL, 20290),
(55810, '4kv7A02', NULL, NULL, 158, NULL, NULL, 20290),
(55811, '4kv7A01', NULL, NULL, 223, NULL, NULL, 20290),
(55812, '3h5vA02', NULL, NULL, 175, NULL, NULL, 20290),
(55813, '1p6qA00', NULL, NULL, 129, NULL, NULL, 20290),
(55814, '3n53A00', NULL, NULL, 140, NULL, NULL, 20290),
(55815, '5dclA00', NULL, NULL, 120, NULL, NULL, 20290),
(55816, '4rweA01', NULL, NULL, 131, NULL, NULL, 20290),
(55817, '4rweA02', NULL, NULL, 161, NULL, NULL, 20290),
(55818, '5bq3C01', NULL, NULL, 157, NULL, NULL, 20290),
(55819, '2x7xA01', NULL, NULL, 135, NULL, NULL, 20290),
(55820, '4maaA01', NULL, NULL, 203, NULL, NULL, 20290),
(55821, '4maaA02', NULL, NULL, 171, NULL, NULL, 20290),
(55822, '1xhfA00', NULL, NULL, 123, NULL, NULL, 20290),
(55823, '5xx1A01', NULL, NULL, 140, NULL, NULL, 20290),
(55824, '4etnA00', NULL, NULL, 151, NULL, NULL, 20290),
(55825, '4evqA01', NULL, NULL, 216, NULL, NULL, 20290),
(55826, '3lftA01', NULL, NULL, 149, NULL, NULL, 20290),
(55827, '4evqA02', NULL, NULL, 159, NULL, NULL, 20290),
(55828, '2x7xA02', NULL, NULL, 138, NULL, NULL, 20290),
(55829, '2wb4B01', NULL, NULL, 288, NULL, NULL, 20290),
(55830, '3huuC02', NULL, NULL, 147, NULL, NULL, 20290),
(55831, '2gwrA01', NULL, NULL, 125, NULL, NULL, 20290),
(55832, '5ibqA01', NULL, NULL, 134, NULL, NULL, 20290),
(55833, '3jy6D02', NULL, NULL, 143, NULL, NULL, 20290),
(55834, '3n0xA01', NULL, NULL, 210, NULL, NULL, 20290),
(55835, '3e61B01', NULL, NULL, 119, NULL, NULL, 20290),
(55836, '4mldA00', NULL, NULL, 143, NULL, NULL, 20290),
(55837, '4kzkA02', NULL, NULL, 165, NULL, NULL, 20290),
(55838, '4kzkA01', NULL, NULL, 136, NULL, NULL, 20290),
(55839, '1k66A00', NULL, NULL, 149, NULL, NULL, 20290),
(55840, '3kloA01', NULL, NULL, 144, NULL, NULL, 20290),
(55841, '6fpjC01', NULL, NULL, 220, NULL, NULL, 20290),
(55842, '6fpjC02', NULL, NULL, 170, NULL, NULL, 20290),
(55843, '4dadA01', NULL, NULL, 128, NULL, NULL, 20290),
(55844, '3eulB00', NULL, NULL, 136, NULL, NULL, 20290),
(55845, '5dteB01', NULL, NULL, 134, NULL, NULL, 20290),
(55846, '3hzhA00', NULL, NULL, 134, NULL, NULL, 20290),
(55847, '3ks9B02', NULL, NULL, 184, NULL, NULL, 20290),
(55848, '3ks9B01', NULL, NULL, 312, NULL, NULL, 20290),
(55849, '3cg0A00', NULL, NULL, 140, NULL, NULL, 20290);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(55850, '1dbqA02', NULL, NULL, 147, NULL, NULL, 20290),
(55851, '2qvcB01', NULL, NULL, 149, NULL, NULL, 20290),
(55852, '1dbqA01', NULL, NULL, 141, NULL, NULL, 20290),
(55853, '3m9wA01', NULL, NULL, 145, NULL, NULL, 20290),
(55854, '3m9wA02', NULL, NULL, 168, NULL, NULL, 20290),
(55855, '3k4hA02', NULL, NULL, 146, NULL, NULL, 20290),
(55856, '1qkkA00', NULL, NULL, 155, NULL, NULL, 20290),
(55857, '2qsjB00', NULL, NULL, 132, NULL, NULL, 20290),
(55858, '1zy2A00', NULL, NULL, 150, NULL, NULL, 20290),
(55859, '2m1zA00', NULL, NULL, 106, NULL, NULL, 20290),
(55860, '4yo7A01', NULL, NULL, 130, NULL, NULL, 20290),
(55861, '4rv5A01', NULL, NULL, 209, NULL, NULL, 20290),
(55862, '2pl1A00', NULL, NULL, 121, NULL, NULL, 20290),
(55863, '3lftB02', NULL, NULL, 147, NULL, NULL, 20290),
(55864, '4yo7A02', NULL, NULL, 156, NULL, NULL, 20290),
(55865, '4rv5A02', NULL, NULL, 155, NULL, NULL, 20290),
(55866, '3q7rA00', NULL, NULL, 121, NULL, NULL, 20290),
(55867, '2p4uA00', NULL, NULL, 168, NULL, NULL, 20290),
(55868, '3huuD01', NULL, NULL, 138, NULL, NULL, 20290),
(55869, '3n0wA01', NULL, NULL, 209, NULL, NULL, 20290),
(55870, '3n0wA02', NULL, NULL, 132, NULL, NULL, 20290),
(55871, '4ldaB00', NULL, NULL, 131, NULL, NULL, 20290),
(55872, '5gqsA00', NULL, NULL, 92, NULL, NULL, 20290),
(55873, '3b2nA00', NULL, NULL, 133, NULL, NULL, 20290),
(55874, '3kjxA02', NULL, NULL, 133, NULL, NULL, 20290),
(55875, '3snkA00', NULL, NULL, 135, NULL, NULL, 20290),
(55876, '2qxyA00', NULL, NULL, 121, NULL, NULL, 20290),
(55877, '2l2qA00', NULL, NULL, 109, NULL, NULL, 20290),
(55878, '3kjxA03', NULL, NULL, 143, NULL, NULL, 20290),
(55879, '2qvcC01', NULL, NULL, 149, NULL, NULL, 20290),
(55880, '2cwdA00', NULL, NULL, 161, NULL, NULL, 20290),
(55881, '1srrC00', NULL, NULL, 124, NULL, NULL, 20290),
(55882, '3jteA00', NULL, NULL, 143, NULL, NULL, 20290),
(55883, '1sxhA01', NULL, NULL, 140, NULL, NULL, 20290),
(55884, '3uugA02', NULL, NULL, 181, NULL, NULL, 20290),
(55885, '3uugA01', NULL, NULL, 149, NULL, NULL, 20290),
(55886, '3e3mA01', NULL, NULL, 133, NULL, NULL, 20290),
(55887, '3e3mA02', NULL, NULL, 152, NULL, NULL, 20290),
(55888, '3lmkA01', NULL, NULL, 313, NULL, NULL, 20290),
(55889, '3crnA00', NULL, NULL, 132, NULL, NULL, 20290),
(55890, '4kvfA01', NULL, NULL, 160, NULL, NULL, 20290),
(55891, '4kvfA02', NULL, NULL, 154, NULL, NULL, 20290),
(55892, '5m7oA01', NULL, NULL, 134, NULL, NULL, 20290),
(55893, '3lmkA02', NULL, NULL, 179, NULL, NULL, 20290),
(55894, '4n0qA01', NULL, NULL, 210, NULL, NULL, 20290),
(55895, '3o1iD02', NULL, NULL, 161, NULL, NULL, 20290),
(55896, '2b4aA00', NULL, NULL, 138, NULL, NULL, 20290),
(55897, '4n0qA02', NULL, NULL, 144, NULL, NULL, 20290),
(55898, '1mb3A00', NULL, NULL, 124, NULL, NULL, 20290),
(55899, '3sy8A01', NULL, NULL, 139, NULL, NULL, 20290),
(55900, '4o1iD00', NULL, NULL, 118, NULL, NULL, 20290),
(55901, '3h5oA02', NULL, NULL, 150, NULL, NULL, 20290),
(55902, '2qzjA00', NULL, NULL, 136, NULL, NULL, 20290),
(55903, '3ilhA00', NULL, NULL, 146, NULL, NULL, 20290),
(55904, '3ktoA00', NULL, NULL, 136, NULL, NULL, 20290),
(55905, '3h5oA01', NULL, NULL, 127, NULL, NULL, 20290),
(55906, '3mizA01', NULL, NULL, 146, NULL, NULL, 20290),
(55907, '4ycsA00', NULL, NULL, 128, NULL, NULL, 20290),
(55908, '3f6pA00', NULL, NULL, 120, NULL, NULL, 20290),
(55909, '2qu7A01', NULL, NULL, 135, NULL, NULL, 20290),
(55910, '2qu7A02', NULL, NULL, 138, NULL, NULL, 20290),
(55911, '3s99A02', NULL, NULL, 195, NULL, NULL, 20290),
(55912, '4yleA02', NULL, NULL, 147, NULL, NULL, 20290),
(55913, '2yhaA01', NULL, NULL, 143, NULL, NULL, 20290),
(55914, '4wzzA01', NULL, NULL, 162, NULL, NULL, 20290),
(55915, '4yleA01', NULL, NULL, 137, NULL, NULL, 20290),
(55916, '3s99A01', NULL, NULL, 136, NULL, NULL, 20290),
(55917, '3nndA02', NULL, NULL, 155, NULL, NULL, 20290),
(55918, '3nndA01', NULL, NULL, 211, NULL, NULL, 20290),
(55919, '3k9cA02', NULL, NULL, 150, NULL, NULL, 20290),
(55920, '4wzzA02', NULL, NULL, 159, NULL, NULL, 20290),
(55921, '4rk1D01', NULL, NULL, 140, NULL, NULL, 20290),
(55922, '3olzB02', NULL, NULL, 185, NULL, NULL, 20290);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(55923, '4etmB00', NULL, NULL, 173, NULL, NULL, 20290),
(55924, '1y1lA00', NULL, NULL, 124, NULL, NULL, 20290),
(55925, '3jvdA02', NULL, NULL, 144, NULL, NULL, 20290),
(55926, '1yioA01', NULL, NULL, 141, NULL, NULL, 20290),
(55927, '3cg4A00', NULL, NULL, 142, NULL, NULL, 20290),
(55928, '2r4qA00', NULL, NULL, 106, NULL, NULL, 20290),
(55929, '3ipcA02', NULL, NULL, 156, NULL, NULL, 20290),
(55930, '1gcaA01', NULL, NULL, 148, NULL, NULL, 20290),
(55931, '3o1iC01', NULL, NULL, 143, NULL, NULL, 20290),
(55932, '3ipcA01', NULL, NULL, 200, NULL, NULL, 20290),
(55933, '1gcaA02', NULL, NULL, 161, NULL, NULL, 20290),
(55934, '6bgdA02', NULL, NULL, 182, NULL, NULL, 20290),
(55935, '1zgzA00', NULL, NULL, 122, NULL, NULL, 20290),
(55936, '4mptA01', NULL, NULL, 231, NULL, NULL, 20290),
(55937, '4mptA02', NULL, NULL, 149, NULL, NULL, 20290),
(55938, '4rk0D01', NULL, NULL, 140, NULL, NULL, 20290),
(55939, '3mizB02', NULL, NULL, 155, NULL, NULL, 20290),
(55940, '2hqbA02', NULL, NULL, 156, NULL, NULL, 20290),
(55941, '3i09A01', NULL, NULL, 205, NULL, NULL, 20290),
(55942, '1p8aA00', NULL, NULL, 146, NULL, NULL, 20290),
(55943, '3i09A02', NULL, NULL, 132, NULL, NULL, 20290),
(55944, '2hqbA01', NULL, NULL, 140, NULL, NULL, 20290),
(55945, '6ekgY00', NULL, NULL, 123, NULL, NULL, 20290),
(55946, '2j48A00', NULL, NULL, 119, NULL, NULL, 20290),
(55947, '3nnnA00', NULL, NULL, 122, NULL, NULL, 20290),
(55948, '4kreA03', NULL, NULL, 170, NULL, NULL, 20290),
(55949, '3c3mA00', NULL, NULL, 138, NULL, NULL, 20290),
(55950, '4f06A01', NULL, NULL, 200, NULL, NULL, 20290),
(55951, '4dn6A01', NULL, NULL, 128, NULL, NULL, 20290),
(55952, '4q7eA00', NULL, NULL, 129, NULL, NULL, 20290),
(55953, '4f06A02', NULL, NULL, 171, NULL, NULL, 20290),
(55954, '2fekA00', NULL, NULL, 147, NULL, NULL, 20290),
(55955, '5ix8A01', NULL, NULL, 159, NULL, NULL, 20290),
(55956, '5iebA00', NULL, NULL, 130, NULL, NULL, 20290),
(55957, '5ix8A02', NULL, NULL, 162, NULL, NULL, 20290),
(55958, '3k9cB01', NULL, NULL, 139, NULL, NULL, 20290),
(55959, '3brsA01', NULL, NULL, 141, NULL, NULL, 20290),
(55960, '3brsA02', NULL, NULL, 148, NULL, NULL, 20290),
(55961, '4wxmB00', NULL, NULL, 143, NULL, NULL, 20290),
(55962, '2qr3A00', NULL, NULL, 140, NULL, NULL, 20290),
(55963, '4kq9A02', NULL, NULL, 201, NULL, NULL, 20290),
(55964, '2e4uA02', NULL, NULL, 173, NULL, NULL, 20290),
(55965, '2qvcA01', NULL, NULL, 149, NULL, NULL, 20290),
(55966, '3n0xA02', NULL, NULL, 164, NULL, NULL, 20290),
(55967, '4kq9A01', NULL, NULL, 98, NULL, NULL, 20290),
(55968, '3fmvH01', NULL, NULL, 139, NULL, NULL, 20290),
(55969, '5ibqA02', NULL, NULL, 154, NULL, NULL, 20290),
(55970, '4p1zA00', NULL, NULL, 128, NULL, NULL, 20290),
(55971, '3jvdB01', NULL, NULL, 126, NULL, NULL, 20290),
(55972, '1d1qB00', NULL, NULL, 161, NULL, NULL, 20290),
(55973, '1usgA01', NULL, NULL, 201, NULL, NULL, 20290),
(55974, '3k4hB01', NULL, NULL, 146, NULL, NULL, 20290),
(55975, '1usgA02', NULL, NULL, 144, NULL, NULL, 20290),
(55976, '3ukjA01', NULL, NULL, 209, NULL, NULL, 20290),
(55977, '2iksB02', NULL, NULL, 180, NULL, NULL, 20290),
(55978, '1a04A01', NULL, NULL, 127, NULL, NULL, 20290),
(55979, '4egsA00', NULL, NULL, 147, NULL, NULL, 20290),
(55980, '3ukjA02', NULL, NULL, 153, NULL, NULL, 20290),
(55981, '2gi4A00', NULL, NULL, 156, NULL, NULL, 20290),
(55982, '3hv2A00', NULL, NULL, 153, NULL, NULL, 20290),
(55983, '3lucA01', NULL, NULL, 129, NULL, NULL, 20290),
(55984, '4o1hA00', NULL, NULL, 139, NULL, NULL, 20290),
(55985, '3h6gA01', NULL, NULL, 210, NULL, NULL, 20290),
(55986, '5x5jA00', NULL, NULL, 137, NULL, NULL, 20290),
(55987, '3h6gA02', NULL, NULL, 179, NULL, NULL, 20290),
(55988, '3hsyA01', NULL, NULL, 211, NULL, NULL, 20290),
(55989, '3cz5C00', NULL, NULL, 153, NULL, NULL, 20290),
(55990, '4rk0A02', NULL, NULL, 134, NULL, NULL, 20290),
(55991, '3hsyA02', NULL, NULL, 165, NULL, NULL, 20290),
(55992, '3i09B01', NULL, NULL, 206, NULL, NULL, 20290),
(55993, '5kwsA01', NULL, NULL, 153, NULL, NULL, 20290),
(55994, '5kwsA02', NULL, NULL, 160, NULL, NULL, 20290),
(55995, '2rjoA01', NULL, NULL, 151, NULL, NULL, 20290);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(55996, '4rxtA02', NULL, NULL, 162, NULL, NULL, 20290),
(55997, '1jdpA01', NULL, NULL, 179, NULL, NULL, 20290),
(55998, '4rxtA01', NULL, NULL, 137, NULL, NULL, 20290),
(55999, '2rjoA02', NULL, NULL, 181, NULL, NULL, 20290),
(56000, '4h60A00', NULL, NULL, 120, NULL, NULL, 20290),
(56001, '4kqcA01', NULL, NULL, 159, NULL, NULL, 20290),
(56002, '4kqcA02', NULL, NULL, 160, NULL, NULL, 20290),
(56003, '4rkrB01', NULL, NULL, 143, NULL, NULL, 20290),
(56004, '3c3wA01', NULL, NULL, 98, NULL, NULL, 20290),
(56005, '4qpjD00', NULL, NULL, 121, NULL, NULL, 20290),
(56006, '3fmvG01', NULL, NULL, 139, NULL, NULL, 20290),
(56007, '2q5cA01', NULL, NULL, 106, NULL, NULL, 20290),
(56008, '4y9tA02', NULL, NULL, 176, NULL, NULL, 20290),
(56009, '4y9tA01', NULL, NULL, 145, NULL, NULL, 20290),
(56010, '2ioyA01', NULL, NULL, 125, NULL, NULL, 20290),
(56011, '2ioyA02', NULL, NULL, 158, NULL, NULL, 20290),
(56012, '2iksA01', NULL, NULL, 96, NULL, NULL, 20290),
(56013, '1tjyA02', NULL, NULL, 153, NULL, NULL, 20290),
(56014, '1tjyA01', NULL, NULL, 163, NULL, NULL, 20290),
(56015, '3sg0A01', NULL, NULL, 209, NULL, NULL, 20290),
(56016, '3t38A02', NULL, NULL, 134, NULL, NULL, 20290),
(56017, '3sg0A02', NULL, NULL, 153, NULL, NULL, 20290),
(56018, '4l4uA01', NULL, NULL, 145, NULL, NULL, 20290),
(56019, '5tqjA00', NULL, NULL, 136, NULL, NULL, 20290),
(56020, '3dzdA01', NULL, NULL, 121, NULL, NULL, 20290),
(56021, '4g0oA00', NULL, NULL, 139, NULL, NULL, 20290),
(56022, '4eygA02', NULL, NULL, 170, NULL, NULL, 20290),
(56023, '2wrzA01', NULL, NULL, 139, NULL, NULL, 20290),
(56024, '5c5cA01', NULL, NULL, 303, NULL, NULL, 20290),
(56025, '4eygA01', NULL, NULL, 198, NULL, NULL, 20290),
(56026, '4b09A01', NULL, NULL, 126, NULL, NULL, 20290),
(56027, '5c5cA02', NULL, NULL, 178, NULL, NULL, 20290),
(56028, '3qk7A01', NULL, NULL, 142, NULL, NULL, 20290),
(56029, '4d74A00', NULL, NULL, 151, NULL, NULL, 20290),
(56030, '2w42B01', NULL, NULL, 172, NULL, NULL, 20290),
(56031, '5hqjA02', NULL, NULL, 150, NULL, NULL, 20290),
(56032, '5hqjA01', NULL, NULL, 138, NULL, NULL, 20290),
(56033, '4pevA01', NULL, NULL, 131, NULL, NULL, 20290),
(56034, '2nt4A00', NULL, NULL, 127, NULL, NULL, 20290),
(56035, '4rkrD02', NULL, NULL, 151, NULL, NULL, 20290),
(56036, '6dspA02', NULL, NULL, 164, NULL, NULL, 20290),
(56037, '5uxwA02', NULL, NULL, 138, NULL, NULL, 20290),
(56038, '3fmvF01', NULL, NULL, 139, NULL, NULL, 20290),
(56039, '6dspA01', NULL, NULL, 162, NULL, NULL, 20290),
(56040, '3olzA01', NULL, NULL, 213, NULL, NULL, 20290),
(56041, '2nzuG01', NULL, NULL, 140, NULL, NULL, 20290),
(56042, '3lopA02', NULL, NULL, 149, NULL, NULL, 20290),
(56043, '3a0uA00', NULL, NULL, 116, NULL, NULL, 20290),
(56044, '3lopA01', NULL, NULL, 214, NULL, NULL, 20290),
(56045, '2fqxA01', NULL, NULL, 133, NULL, NULL, 20290),
(56046, '4rxuA02', NULL, NULL, 193, NULL, NULL, 20290),
(56047, '5vm9A03', NULL, NULL, 170, NULL, NULL, 20290),
(56048, '3sajB02', NULL, NULL, 166, NULL, NULL, 20290),
(56049, '3sajB01', NULL, NULL, 218, NULL, NULL, 20290),
(56050, '3om0A02', NULL, NULL, 161, NULL, NULL, 20290),
(56051, '4rxuA01', NULL, NULL, 147, NULL, NULL, 20290),
(56052, '5lnnA00', NULL, NULL, 169, NULL, NULL, 20290),
(56053, '3lkvA02', NULL, NULL, 146, NULL, NULL, 20290),
(56054, '4ru1A01', NULL, NULL, 140, NULL, NULL, 20290),
(56055, '2fqxA02', NULL, NULL, 185, NULL, NULL, 20290),
(56056, '3om0A01', NULL, NULL, 214, NULL, NULL, 20290),
(56057, '3lkvA01', NULL, NULL, 156, NULL, NULL, 20290),
(56058, '4ru1A02', NULL, NULL, 148, NULL, NULL, 20290),
(56059, '3ejwA02', NULL, NULL, 154, NULL, NULL, 20290),
(56060, '3tx6A02', NULL, NULL, 153, NULL, NULL, 20290),
(56061, '2mswA00', NULL, NULL, 125, NULL, NULL, 20290),
(56062, '4h3kE01', NULL, NULL, 134, NULL, NULL, 20290),
(56063, '3ejwA01', NULL, NULL, 161, NULL, NULL, 20290),
(56064, '3tx6A01', NULL, NULL, 209, NULL, NULL, 20290),
(56065, '5jntA00', NULL, NULL, 160, NULL, NULL, 20290),
(56066, '1gudA02', NULL, NULL, 149, NULL, NULL, 20290),
(56067, '1gudA01', NULL, NULL, 139, NULL, NULL, 20290),
(56068, '3breB01', NULL, NULL, 155, NULL, NULL, 20290);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(56069, '3t6kA00', NULL, NULL, 136, NULL, NULL, 20290),
(56070, '3fdfA01', NULL, NULL, 139, NULL, NULL, 20290),
(56071, '3i42A00', NULL, NULL, 127, NULL, NULL, 20290),
(56072, '3c3kA02', NULL, NULL, 145, NULL, NULL, 20290),
(56073, '4ywhA01', NULL, NULL, 145, NULL, NULL, 20290),
(56074, '4ms4A02', NULL, NULL, 193, NULL, NULL, 20290),
(56075, '4ms4A01', NULL, NULL, 227, NULL, NULL, 20290),
(56076, '4joqA01', NULL, NULL, 141, NULL, NULL, 20290),
(56077, '4joqA02', NULL, NULL, 155, NULL, NULL, 20290),
(56078, '1u8tB00', NULL, NULL, 128, NULL, NULL, 20290),
(56079, '4gnrA01', NULL, NULL, 206, NULL, NULL, 20290),
(56080, '3uk0A02', NULL, NULL, 153, NULL, NULL, 20290),
(56081, '3tb6A01', NULL, NULL, 152, NULL, NULL, 20290),
(56082, '3uk0A01', NULL, NULL, 209, NULL, NULL, 20290),
(56083, '4eukA00', NULL, NULL, 153, NULL, NULL, 20290),
(56084, '4gnrA02', NULL, NULL, 147, NULL, NULL, 20290),
(56085, '3fmvE01', NULL, NULL, 139, NULL, NULL, 20290),
(56086, '2v0nA02', NULL, NULL, 146, NULL, NULL, 20290),
(56087, '1p2fA01', NULL, NULL, 119, NULL, NULL, 20290),
(56088, '3cnbA00', NULL, NULL, 143, NULL, NULL, 20290),
(56089, '4z0nA01', NULL, NULL, 148, NULL, NULL, 20290),
(56090, '4z0nA02', NULL, NULL, 159, NULL, NULL, 20290),
(56091, '2rjnA00', NULL, NULL, 138, NULL, NULL, 20290),
(56092, '1dp4C02', NULL, NULL, 210, NULL, NULL, 20290),
(56093, '3kyjB00', NULL, NULL, 145, NULL, NULL, 20290),
(56094, '1zh2A00', NULL, NULL, 121, NULL, NULL, 20290),
(56095, '5ufhA02', NULL, NULL, 154, NULL, NULL, 20290),
(56096, '1e6mA00', NULL, NULL, 128, NULL, NULL, 20290),
(56097, '3sm9A02', NULL, NULL, 175, NULL, NULL, 20290),
(56098, '2qv0A00', NULL, NULL, 143, NULL, NULL, 20290),
(56099, '3lufB01', NULL, NULL, 123, NULL, NULL, 20290),
(56100, '3f6cA00', NULL, NULL, 134, NULL, NULL, 20290),
(56101, '3lufB02', NULL, NULL, 136, NULL, NULL, 20290),
(56102, '4ywhB02', NULL, NULL, 164, NULL, NULL, 20290),
(56103, '4hyeA01', NULL, NULL, 131, NULL, NULL, 20290),
(56104, '3c3kB01', NULL, NULL, 140, NULL, NULL, 20290),
(56105, '4ry8C02', NULL, NULL, 166, NULL, NULL, 20290),
(56106, '5ic5A00', NULL, NULL, 166, NULL, NULL, 20290),
(56107, '4wutA02', NULL, NULL, 152, NULL, NULL, 20290),
(56108, '4xaqB01', NULL, NULL, 294, NULL, NULL, 20290),
(56109, '4wutA01', NULL, NULL, 138, NULL, NULL, 20290),
(56110, '1jl3A00', NULL, NULL, 139, NULL, NULL, 20290),
(56111, '3nhmA00', NULL, NULL, 133, NULL, NULL, 20290),
(56112, '3tb6B02', NULL, NULL, 146, NULL, NULL, 20290),
(56113, '3brqB02', NULL, NULL, 145, NULL, NULL, 20290),
(56114, '3brqB01', NULL, NULL, 132, NULL, NULL, 20290),
(56115, '4kmrA02', NULL, NULL, 146, NULL, NULL, 20290),
(56116, '3cs3A01', NULL, NULL, 131, NULL, NULL, 20290),
(56117, '3lkbA01', NULL, NULL, 217, NULL, NULL, 20290),
(56118, '4kmrA01', NULL, NULL, 133, NULL, NULL, 20290),
(56119, '3cs3A02', NULL, NULL, 146, NULL, NULL, 20290),
(56120, '3lkbA02', NULL, NULL, 175, NULL, NULL, 20290),
(56121, '3fmvD01', NULL, NULL, 139, NULL, NULL, 20290),
(56122, '4ja2A00', NULL, NULL, 122, NULL, NULL, 20290),
(56123, '1r8jB01', NULL, NULL, 162, NULL, NULL, 20290),
(56124, '3p9yA01', NULL, NULL, 142, NULL, NULL, 20290),
(56125, '1s8nA01', NULL, NULL, 142, NULL, NULL, 20290),
(56126, '3vnbA00', NULL, NULL, 155, NULL, NULL, 20290),
(56127, '3lteD00', NULL, NULL, 132, NULL, NULL, 20290),
(56128, '1xwwA00', NULL, NULL, 157, NULL, NULL, 20290),
(56129, '2jbaA00', NULL, NULL, 127, NULL, NULL, 20290),
(56130, '3q9sA01', NULL, NULL, 121, NULL, NULL, 20290),
(56131, '4xltA00', NULL, NULL, 133, NULL, NULL, 20290),
(56132, '3h75A02', NULL, NULL, 139, NULL, NULL, 20290),
(56133, '4g0xA00', NULL, NULL, 147, NULL, NULL, 20290),
(56134, '4tn5A00', NULL, NULL, 113, NULL, NULL, 20290),
(56135, '1dbwB00', NULL, NULL, 126, NULL, NULL, 20290),
(56136, '2hsgA03', NULL, NULL, 143, NULL, NULL, 20290),
(56137, '3rh0B00', NULL, NULL, 129, NULL, NULL, 20290),
(56138, '3o74A02', NULL, NULL, 177, NULL, NULL, 20290),
(56139, '3o74A01', NULL, NULL, 95, NULL, NULL, 20290),
(56140, '4g0mA00', NULL, NULL, 150, NULL, NULL, 20290),
(56141, '3fdfC01', NULL, NULL, 139, NULL, NULL, 20290);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(56142, '4g97A02', NULL, NULL, 132, NULL, NULL, 20290),
(56143, '4o5aA02', NULL, NULL, 140, NULL, NULL, 20290),
(56144, '1dc7A00', NULL, NULL, 124, NULL, NULL, 20290),
(56145, '4xxhA01', NULL, NULL, 138, NULL, NULL, 20290),
(56146, '3h75A01', NULL, NULL, 211, NULL, NULL, 20290),
(56147, '4xxhA02', NULL, NULL, 117, NULL, NULL, 20290),
(56148, '4xaqA02', NULL, NULL, 185, NULL, NULL, 20290),
(56149, '4o5aA01', NULL, NULL, 140, NULL, NULL, 20290),
(56150, '6e7rD01', NULL, NULL, 195, NULL, NULL, 20290),
(56151, '1a2oA01', NULL, NULL, 133, NULL, NULL, 20290),
(56152, '3to5A00', NULL, NULL, 134, NULL, NULL, 20290),
(56153, '4pz0A01', NULL, NULL, 171, NULL, NULL, 20290),
(56154, '4pz0A02', NULL, NULL, 153, NULL, NULL, 20290),
(56155, '1jbeA00', NULL, NULL, 128, NULL, NULL, 20290),
(56156, '4fe7A02', NULL, NULL, 146, NULL, NULL, 20290),
(56157, '4fe7A01', NULL, NULL, 134, NULL, NULL, 20290),
(56158, '4lrqC00', NULL, NULL, 155, NULL, NULL, 20290),
(56159, '3n0rA02', NULL, NULL, 129, NULL, NULL, 20290),
(56160, '3fmvC01', NULL, NULL, 139, NULL, NULL, 20290),
(56161, '4rxmB02', NULL, NULL, 163, NULL, NULL, 20290),
(56162, '2wmyC00', NULL, NULL, 150, NULL, NULL, 20290),
(56163, '4picA00', NULL, NULL, 156, NULL, NULL, 20290),
(56164, '1qo0D01', NULL, NULL, 128, NULL, NULL, 20290),
(56165, '2hqoA00', NULL, NULL, 123, NULL, NULL, 20290),
(56166, '3d8uB01', NULL, NULL, 125, NULL, NULL, 20290),
(56167, '4rsmA02', NULL, NULL, 150, NULL, NULL, 20290),
(56168, '4if4A01', NULL, NULL, 140, NULL, NULL, 20290),
(56169, '2pjuC01', NULL, NULL, 112, NULL, NULL, 20290),
(56170, '3d8uB02', NULL, NULL, 150, NULL, NULL, 20290),
(56171, '5t3yA00', NULL, NULL, 125, NULL, NULL, 20290),
(56172, '3i5aA01', NULL, NULL, 153, NULL, NULL, 20290),
(56173, '5te9A00', NULL, NULL, 158, NULL, NULL, 20290),
(56174, '5uicB00', NULL, NULL, 127, NULL, NULL, 20290),
(56175, '3fdfB01', NULL, NULL, 139, NULL, NULL, 20290),
(56176, '4ncbA05', NULL, NULL, 147, NULL, NULL, 20290),
(56177, '4ry8A01', NULL, NULL, 162, NULL, NULL, 20290),
(56178, '3gt7A00', NULL, NULL, 154, NULL, NULL, 20290),
(56179, '3td9A01', NULL, NULL, 214, NULL, NULL, 20290),
(56180, '3td9A02', NULL, NULL, 152, NULL, NULL, 20290),
(56181, '3fmvB01', NULL, NULL, 139, NULL, NULL, 20290),
(56182, '3bblA02', NULL, NULL, 147, NULL, NULL, 20290),
(56183, '3bblA01', NULL, NULL, 140, NULL, NULL, 20290),
(56184, '2qvgA00', NULL, NULL, 143, NULL, NULL, 20290),
(56185, '4le1A00', NULL, NULL, 139, NULL, NULL, 20290),
(56186, '3l6uA01', NULL, NULL, 134, NULL, NULL, 20290),
(56187, '3nhzC00', NULL, NULL, 125, NULL, NULL, 20290),
(56188, '3l6uA02', NULL, NULL, 153, NULL, NULL, 20290),
(56189, '4rxmA01', NULL, NULL, 129, NULL, NULL, 20290),
(56190, '4ys6A01', NULL, NULL, 146, NULL, NULL, 20290),
(56191, '4ys6A02', NULL, NULL, 178, NULL, NULL, 20290),
(56192, '4xarA01', NULL, NULL, 300, NULL, NULL, 20290),
(56193, '5bq3A02', NULL, NULL, 155, NULL, NULL, 20290),
(56194, '3gv0A01', NULL, NULL, 142, NULL, NULL, 20290),
(56195, '3gv0A02', NULL, NULL, 146, NULL, NULL, 20290),
(56196, '2kyrA00', NULL, NULL, 111, NULL, NULL, 20290),
(56197, '4zylB00', NULL, NULL, 163, NULL, NULL, 20290),
(56198, '4zjpA01', NULL, NULL, 125, NULL, NULL, 20290),
(56199, '6m8oA00', NULL, NULL, 118, NULL, NULL, 20290),
(56200, '3i45A01', NULL, NULL, 199, NULL, NULL, 20290),
(56201, '4zjpA02', NULL, NULL, 144, NULL, NULL, 20290),
(56202, '4gvpA01', NULL, NULL, 206, NULL, NULL, 20290),
(56203, '1ys7A01', NULL, NULL, 128, NULL, NULL, 20290),
(56204, '3i45A02', NULL, NULL, 188, NULL, NULL, 20290),
(56205, '3qekB01', NULL, NULL, 193, NULL, NULL, 20290),
(56206, '3eqzB00', NULL, NULL, 135, NULL, NULL, 20290),
(56207, '1mvoA00', NULL, NULL, 136, NULL, NULL, 20290),
(56208, '4myrC00', NULL, NULL, 128, NULL, NULL, 20290),
(56209, '3cfyA00', NULL, NULL, 137, NULL, NULL, 20290),
(56210, '3g85A02', NULL, NULL, 126, NULL, NULL, 20290),
(56211, '4jb0A02', NULL, NULL, 154, NULL, NULL, 20290),
(56212, '3g85A01', NULL, NULL, 162, NULL, NULL, 20290),
(56213, '6e7rB02', NULL, NULL, 168, NULL, NULL, 20290),
(56214, '3q41A01', NULL, NULL, 194, NULL, NULL, 20290);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(56215, '3fmvA01', NULL, NULL, 139, NULL, NULL, 20290),
(56216, '3h5tA03', NULL, NULL, 165, NULL, NULL, 20290),
(56217, '2driA02', NULL, NULL, 146, NULL, NULL, 20290),
(56218, '2driA01', NULL, NULL, 125, NULL, NULL, 20290),
(56219, '3ksmA02', NULL, NULL, 150, NULL, NULL, 20290),
(56220, '2oqrA01', NULL, NULL, 83, NULL, NULL, 20290),
(56221, '3ksmA01', NULL, NULL, 126, NULL, NULL, 20290),
(56222, '3nbmA00', NULL, NULL, 108, NULL, NULL, 20290),
(56223, '4ry9A01', NULL, NULL, 140, NULL, NULL, 20290),
(56224, '2lpmA00', NULL, NULL, 123, NULL, NULL, 20290),
(56225, '4ry9A02', NULL, NULL, 162, NULL, NULL, 20290),
(56226, '2vk2A02', NULL, NULL, 174, NULL, NULL, 20290),
(56227, '2h3hB02', NULL, NULL, 165, NULL, NULL, 20290),
(56228, '3h5tA02', NULL, NULL, 133, NULL, NULL, 20290),
(56229, '2vk2A01', NULL, NULL, 132, NULL, NULL, 20290),
(56230, '3rofA00', NULL, NULL, 158, NULL, NULL, 20290),
(56231, '4gpaA01', NULL, NULL, 219, NULL, NULL, 20290),
(56232, '5brjA00', NULL, NULL, 141, NULL, NULL, 20290),
(56233, '4gpaA02', NULL, NULL, 170, NULL, NULL, 20290),
(56234, '3g1wA01', NULL, NULL, 149, NULL, NULL, 20290),
(56235, '3g1wA02', NULL, NULL, 156, NULL, NULL, 20290),
(56236, '3l49A01', NULL, NULL, 129, NULL, NULL, 20290),
(56237, '3l49A02', NULL, NULL, 147, NULL, NULL, 20290),
(56238, '3h5iA00', NULL, NULL, 140, NULL, NULL, 20290),
(56239, '2fepA01', NULL, NULL, 148, NULL, NULL, 20290),
(56240, '3fdfD01', NULL, NULL, 139, NULL, NULL, 20290),
(56241, '2fepA02', NULL, NULL, 141, NULL, NULL, 20290),
(56242, '2o20B01', NULL, NULL, 138, NULL, NULL, 20290),
(56243, '3e61A02', NULL, NULL, 153, NULL, NULL, 20290),
(56244, '5jnvA00', NULL, NULL, 159, NULL, NULL, 20290),
(56245, '5kc8A02', NULL, NULL, 170, NULL, NULL, 20290),
(56246, '3jviA00', NULL, NULL, 161, NULL, NULL, 20290),
(56247, '5kc8A01', NULL, NULL, 239, NULL, NULL, 20290),
(56248, '4tllB02', NULL, NULL, 177, NULL, NULL, 20290),
(56249, '3rqiA01', NULL, NULL, 133, NULL, NULL, 20290),
(56250, '3clkA02', NULL, NULL, 149, NULL, NULL, 20290),
(56251, '3hcwA02', NULL, NULL, 149, NULL, NULL, 20290),
(56252, '6ifhA00', NULL, NULL, 119, NULL, NULL, 20290),
(56253, '3hcwA01', NULL, NULL, 146, NULL, NULL, 20290),
(56254, '2rdmA00', NULL, NULL, 132, NULL, NULL, 20290),
(56255, '2ayzA00', NULL, NULL, 133, NULL, NULL, 20290),
(56256, '3sqnB04', NULL, NULL, 90, NULL, NULL, 20290),
(56257, '4rk4A02', NULL, NULL, 142, NULL, NULL, 20290),
(56258, '1jyeA02', NULL, NULL, 141, NULL, NULL, 20290),
(56259, '3hdvB00', NULL, NULL, 136, NULL, NULL, 20290),
(56260, '1jyeA01', NULL, NULL, 130, NULL, NULL, 20290),
(56261, '5kc9B01', NULL, NULL, 238, NULL, NULL, 20290),
(56262, '4rsmD01', NULL, NULL, 177, NULL, NULL, 20290),
(56263, '5i4cA00', NULL, NULL, 147, NULL, NULL, 20290),
(56264, '5ed4A01', NULL, NULL, 122, NULL, NULL, 20290),
(56265, '4iilA01', NULL, NULL, 137, NULL, NULL, 20290),
(56266, '4xfkA01', NULL, NULL, 223, NULL, NULL, 20290),
(56267, '4qicA02', NULL, NULL, 100, NULL, NULL, 20290),
(56268, '4iilA02', NULL, NULL, 179, NULL, NULL, 20290),
(56269, '4xfkA02', NULL, NULL, 176, NULL, NULL, 20290),
(56270, '3cu5B00', NULL, NULL, 141, NULL, NULL, 20290),
(56271, '1heyA00', NULL, NULL, 128, NULL, NULL, 20290),
(56272, '3egcD02', NULL, NULL, 135, NULL, NULL, 20290),
(56273, '2fn9A02', NULL, NULL, 162, NULL, NULL, 20290),
(56274, '4zpjA01', NULL, NULL, 200, NULL, NULL, 20290),
(56275, '4zpjA02', NULL, NULL, 171, NULL, NULL, 20290),
(56276, '2fn9A01', NULL, NULL, 128, NULL, NULL, 20290),
(56277, '4n03A01', NULL, NULL, 213, NULL, NULL, 20290),
(56278, '2o20A02', NULL, NULL, 137, NULL, NULL, 20290),
(56279, '4n03A02', NULL, NULL, 176, NULL, NULL, 20290),
(56280, '4rzsC01', NULL, NULL, 131, NULL, NULL, 20290),
(56281, '3kg2B01', NULL, NULL, 161, NULL, NULL, 20290),
(56282, '1z15A01', NULL, NULL, 199, NULL, NULL, 20290),
(56283, '1z15A02', NULL, NULL, 145, NULL, NULL, 20290),
(56284, '5hsgA02', NULL, NULL, 161, NULL, NULL, 20290),
(56285, '3m6mD00', NULL, NULL, 143, NULL, NULL, 20290),
(56286, '5hsgA01', NULL, NULL, 125, NULL, NULL, 20290),
(56287, '2vycA01', NULL, NULL, 139, NULL, NULL, 20290);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(56288, '3c97A01', NULL, NULL, 67, NULL, NULL, 20290),
(56289, '5braA01', NULL, NULL, 186, NULL, NULL, 20290),
(56290, '5braA02', NULL, NULL, 136, NULL, NULL, 20290),
(56291, '1udrA00', NULL, NULL, 129, NULL, NULL, 20290),
(56292, '3clkB01', NULL, NULL, 141, NULL, NULL, 20290),
(56293, '3hs3A02', NULL, NULL, 144, NULL, NULL, 20290),
(56294, '3hs3A01', NULL, NULL, 133, NULL, NULL, 20290),
(56295, '4z4dA03', NULL, NULL, 170, NULL, NULL, 20290),
(56296, '4rk6A01', NULL, NULL, 140, NULL, NULL, 20290),
(56297, '1dp4A01', NULL, NULL, 215, NULL, NULL, 20290),
(56298, '5kc9C02', NULL, NULL, 169, NULL, NULL, 20290),
(56299, '2plnA00', NULL, NULL, 137, NULL, NULL, 20290),
(56300, '3khtA00', NULL, NULL, 144, NULL, NULL, 20290),
(56301, '3bilA01', NULL, NULL, 132, NULL, NULL, 20290),
(56302, '1w25A01', NULL, NULL, 141, NULL, NULL, 20290),
(56303, '3bilA02', NULL, NULL, 149, NULL, NULL, 20290),
(56304, '1iibA00', NULL, NULL, 106, NULL, NULL, 20290),
(56305, '4evsA02', NULL, NULL, 171, NULL, NULL, 20290),
(56306, '4evsA01', NULL, NULL, 200, NULL, NULL, 20290),
(56307, '3kcnB00', NULL, NULL, 151, NULL, NULL, 20290),
(56308, '4uhjA00', NULL, NULL, 136, NULL, NULL, 20290),
(56309, '4pyrA01', NULL, NULL, 185, NULL, NULL, 20290),
(56310, '3qekA02', NULL, NULL, 191, NULL, NULL, 20290),
(56311, '4pyrA02', NULL, NULL, 120, NULL, NULL, 20290),
(56312, '3kloD00', NULL, NULL, 185, NULL, NULL, 20290),
(56313, '2fvyA02', NULL, NULL, 161, NULL, NULL, 20290),
(56314, '3eafA02', NULL, NULL, 183, NULL, NULL, 20290),
(56315, '4rk5A01', NULL, NULL, 141, NULL, NULL, 20290),
(56316, '4mgeA00', NULL, NULL, 116, NULL, NULL, 20290),
(56317, '5gotA00', NULL, NULL, 153, NULL, NULL, 20290),
(56318, '3eafA01', NULL, NULL, 208, NULL, NULL, 20290),
(56319, '3kg2A02', NULL, NULL, 167, NULL, NULL, 20290),
(56320, '2fvyA01', NULL, NULL, 148, NULL, NULL, 20290),
(56321, '4ms4B01', NULL, NULL, 236, NULL, NULL, 20290),
(56322, '4ms4B02', NULL, NULL, 197, NULL, NULL, 20290),
(56323, '1tvmA01', NULL, NULL, 93, NULL, NULL, 20290),
(56324, '1jf8A00', NULL, NULL, 131, NULL, NULL, 20290),
(56325, '3hebA00', NULL, NULL, 152, NULL, NULL, 20290),
(56326, '4tllD01', NULL, NULL, 202, NULL, NULL, 20290),
(56327, '5fbkB02', NULL, NULL, 190, NULL, NULL, 20290),
(56328, '5fbkB01', NULL, NULL, 331, NULL, NULL, 20290),
(56329, '1u04A03', NULL, NULL, 215, NULL, NULL, 20290),
(56330, '4yv7A02', NULL, NULL, 157, NULL, NULL, 20290),
(56331, '4yv7A01', NULL, NULL, 131, NULL, NULL, 20290),
(56332, '3q41B02', NULL, NULL, 190, NULL, NULL, 20290),
(56333, '5tq0B02', NULL, NULL, 166, NULL, NULL, 20290),
(56334, '3d02A02', NULL, NULL, 153, NULL, NULL, 20290),
(56335, '5tq0B01', NULL, NULL, 194, NULL, NULL, 20290),
(56336, '2l17A00', NULL, NULL, 134, NULL, NULL, 20290),
(56337, '4wt7B02', NULL, NULL, 190, NULL, NULL, 20290),
(56338, '4qywA00', NULL, NULL, 119, NULL, NULL, 20290),
(56339, '3d02A01', NULL, NULL, 150, NULL, NULL, 20290),
(56340, '4rk6B02', NULL, NULL, 147, NULL, NULL, 20290),
(56341, '2zayA00', NULL, NULL, 130, NULL, NULL, 20290),
(56342, '1kgsA01', NULL, NULL, 122, NULL, NULL, 20290),
(56343, '5jnuA00', NULL, NULL, 160, NULL, NULL, 20290),
(56344, '5vfaA01', NULL, NULL, 123, NULL, NULL, 20290),
(56345, '4d6yA00', NULL, NULL, 131, NULL, NULL, 20290),
(56346, '2h3hA01', NULL, NULL, 148, NULL, NULL, 20290),
(56347, '5z3mB00', NULL, NULL, 166, NULL, NULL, 20290),
(56348, '3t8yB00', NULL, NULL, 142, NULL, NULL, 20290),
(56349, '6ei3A00', NULL, NULL, 514, NULL, NULL, 20291),
(56350, '4zw9A00', NULL, NULL, 470, NULL, NULL, 20291),
(56351, '4oh3A00', NULL, NULL, 534, NULL, NULL, 20291),
(56352, '4j05A00', NULL, NULL, 432, NULL, NULL, 20291),
(56353, '4ja3A03', NULL, NULL, 190, NULL, NULL, 20291),
(56354, '3o7qA02', NULL, NULL, 195, NULL, NULL, 20291),
(56355, '3o7qA01', NULL, NULL, 222, NULL, NULL, 20291),
(56356, '3wdoA01', NULL, NULL, 392, NULL, NULL, 20291),
(56357, '1pw4A02', NULL, NULL, 213, NULL, NULL, 20291),
(56358, '1pw4A01', NULL, NULL, 209, NULL, NULL, 20291),
(56359, '4uvmA00', NULL, NULL, 524, NULL, NULL, 20291),
(56360, '4yb9D00', NULL, NULL, 444, NULL, NULL, 20291);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(56361, '4tpjA00', NULL, NULL, 492, NULL, NULL, 20291),
(56362, '4w6vA00', NULL, NULL, 502, NULL, NULL, 20291),
(56363, '4u4vA02', NULL, NULL, 238, NULL, NULL, 20291),
(56364, '4ldsA00', NULL, NULL, 427, NULL, NULL, 20291),
(56365, '4u4vA01', NULL, NULL, 237, NULL, NULL, 20291),
(56366, '4jr9A00', NULL, NULL, 466, NULL, NULL, 20291),
(56367, '4ikvA00', NULL, NULL, 507, NULL, NULL, 20291),
(56368, '4q65A00', NULL, NULL, 493, NULL, NULL, 20291),
(56369, '2y5yB02', NULL, NULL, 205, NULL, NULL, 20291),
(56370, '4qiqA00', NULL, NULL, 479, NULL, NULL, 20291),
(56371, '6gs4A00', NULL, NULL, 472, NULL, NULL, 20291),
(56372, '5eqgA00', NULL, NULL, 455, NULL, NULL, 20291),
(56373, '5oxoA00', NULL, NULL, 490, NULL, NULL, 20291),
(56374, '4gc0A02', NULL, NULL, 238, NULL, NULL, 20291),
(56375, '4gc0A01', NULL, NULL, 253, NULL, NULL, 20291),
(56376, '4iu9A00', NULL, NULL, 468, NULL, NULL, 20291),
(56377, '4iu9B01', NULL, NULL, 235, NULL, NULL, 20291),
(56378, '4iu9B02', NULL, NULL, 227, NULL, NULL, 20291),
(56379, '4ybqA00', NULL, NULL, 480, NULL, NULL, 20291),
(56380, '2cfqA02', NULL, NULL, 212, NULL, NULL, 20291),
(56381, '2cfqA01', NULL, NULL, 205, NULL, NULL, 20291),
(56382, '4ceiA05', NULL, NULL, 162, NULL, NULL, 20292),
(56383, '3lfuA04', NULL, NULL, 156, NULL, NULL, 20292),
(56384, '1w36C04', NULL, NULL, 209, NULL, NULL, 20292),
(56385, '1pjrA04', NULL, NULL, 152, NULL, NULL, 20292),
(56386, '1w36B04', NULL, NULL, 146, NULL, NULL, 20292),
(56387, '4c2uA04', NULL, NULL, 169, NULL, NULL, 20292),
(56388, '1uaaA04', NULL, NULL, 162, NULL, NULL, 20292),
(56389, '1qhhC00', NULL, NULL, 115, NULL, NULL, 20292),
(56390, '1jhfB00', NULL, NULL, 128, NULL, NULL, 20293),
(56391, '3iiqA01', NULL, NULL, 136, NULL, NULL, 20293),
(56392, '3bdnA02', NULL, NULL, 139, NULL, NULL, 20293),
(56393, '2fjrA02', NULL, NULL, 113, NULL, NULL, 20293),
(56394, '1umuB00', NULL, NULL, 116, NULL, NULL, 20293),
(56395, '4me8A00', NULL, NULL, 129, NULL, NULL, 20293),
(56396, '4nv4B00', NULL, NULL, 126, NULL, NULL, 20293),
(56397, '6a2qA00', NULL, NULL, 98, NULL, NULL, 20293),
(56398, '4k8wA00', NULL, NULL, 129, NULL, NULL, 20293),
(56399, '2hnfA00', NULL, NULL, 133, NULL, NULL, 20293),
(56400, '3k2zA02', NULL, NULL, 119, NULL, NULL, 20293),
(56401, '1f39A00', NULL, NULL, 101, NULL, NULL, 20293),
(56402, '2ve7C01', NULL, NULL, 172, NULL, NULL, 20294),
(56403, '2j0aA00', NULL, NULL, 280, NULL, NULL, 20295),
(56404, '2avuA00', NULL, NULL, 78, NULL, NULL, 20296),
(56405, '2avuB00', NULL, NULL, 116, NULL, NULL, 20296),
(56406, '1g8eB00', NULL, NULL, 82, NULL, NULL, 20296),
(56407, '5hxgB00', NULL, NULL, 69, NULL, NULL, 20296),
(56408, '2nwlC00', NULL, NULL, 422, NULL, NULL, 20297),
(56409, '5lm4A00', NULL, NULL, 448, NULL, NULL, 20297),
(56410, '6r7rB00', NULL, NULL, 422, NULL, NULL, 20297),
(56411, '1ykhA00', NULL, NULL, 108, NULL, NULL, 20298),
(56412, '2lxeA01', NULL, NULL, 69, NULL, NULL, 20299),
(56413, '2mysA06', NULL, NULL, 133, NULL, NULL, 20300),
(56414, '4anjA06', NULL, NULL, 113, NULL, NULL, 20300),
(56415, '2ze3A02', NULL, NULL, 43, NULL, NULL, 20301),
(56416, '5c5oA03', NULL, NULL, 109, NULL, NULL, 20302),
(56417, '2q6fB03', NULL, NULL, 112, NULL, NULL, 20302),
(56418, '2ynaB03', NULL, NULL, 106, NULL, NULL, 20302),
(56419, '5zqgA03', NULL, NULL, 111, NULL, NULL, 20302),
(56420, '3d23A03', NULL, NULL, 103, NULL, NULL, 20302),
(56421, '4wmeB03', NULL, NULL, 106, NULL, NULL, 20302),
(56422, '4zroA03', NULL, NULL, 103, NULL, NULL, 20302),
(56423, '2zu2A03', NULL, NULL, 106, NULL, NULL, 20302),
(56424, '3ea8A03', NULL, NULL, 104, NULL, NULL, 20302),
(56425, '3tloA03', NULL, NULL, 106, NULL, NULL, 20302),
(56426, '2qcyA03', NULL, NULL, 107, NULL, NULL, 20302),
(56427, '6jijC03', NULL, NULL, 106, NULL, NULL, 20302),
(56428, '5gwzA03', NULL, NULL, 106, NULL, NULL, 20302),
(56429, '1lvoA03', NULL, NULL, 106, NULL, NULL, 20302),
(56430, '4mxuA02', NULL, NULL, 48, NULL, NULL, 20303),
(56431, '3nh4A02', NULL, NULL, 48, NULL, NULL, 20303),
(56432, '2q4zA02', NULL, NULL, 48, NULL, NULL, 20303),
(56433, '3ov5A00', NULL, NULL, 85, NULL, NULL, 20304);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(56434, '2lxwA00', NULL, NULL, 55, NULL, NULL, 20305),
(56435, '2qezA01', NULL, NULL, 54, NULL, NULL, 20306),
(56436, '5ysnA01', NULL, NULL, 54, NULL, NULL, 20306),
(56437, '2ejbA00', NULL, NULL, 189, NULL, NULL, 20307),
(56438, '1sbzB00', NULL, NULL, 176, NULL, NULL, 20307),
(56439, '1sbzC00', NULL, NULL, 176, NULL, NULL, 20307),
(56440, '1sbzD00', NULL, NULL, 197, NULL, NULL, 20307),
(56441, '4zavA00', NULL, NULL, 209, NULL, NULL, 20307),
(56442, '1g63B00', NULL, NULL, 181, NULL, NULL, 20307),
(56443, '1sbzA00', NULL, NULL, 197, NULL, NULL, 20307),
(56444, '1mvlA00', NULL, NULL, 191, NULL, NULL, 20307),
(56445, '4rhfA00', NULL, NULL, 209, NULL, NULL, 20307),
(56446, '3qjgA00', NULL, NULL, 175, NULL, NULL, 20307),
(56447, '3mcuC00', NULL, NULL, 207, NULL, NULL, 20307),
(56448, '3mcuB00', NULL, NULL, 207, NULL, NULL, 20307),
(56449, '3mcuA00', NULL, NULL, 207, NULL, NULL, 20307),
(56450, '1qzuA00', NULL, NULL, 206, NULL, NULL, 20307),
(56451, '3wisA00', NULL, NULL, 181, NULL, NULL, 20307),
(56452, '1p3y100', NULL, NULL, 194, NULL, NULL, 20307),
(56453, '3lqkA00', NULL, NULL, 201, NULL, NULL, 20307),
(56454, '3mcuF00', NULL, NULL, 207, NULL, NULL, 20307),
(56455, '3mcuE00', NULL, NULL, 207, NULL, NULL, 20307),
(56456, '3mcuD00', NULL, NULL, 207, NULL, NULL, 20307),
(56457, '1kblA02', NULL, NULL, 63, NULL, NULL, 20308),
(56458, '5jvjA04', NULL, NULL, 63, NULL, NULL, 20308),
(56459, '2x0sA04', NULL, NULL, 65, NULL, NULL, 20308),
(56460, '1vbgA04', NULL, NULL, 63, NULL, NULL, 20308),
(56461, '4g84A02', NULL, NULL, 102, NULL, NULL, 20309),
(56462, '2i4lB02', NULL, NULL, 101, NULL, NULL, 20309),
(56463, '1v95A01', NULL, NULL, 116, NULL, NULL, 20309),
(56464, '4e51A02', NULL, NULL, 101, NULL, NULL, 20309),
(56465, '4wi1B02', NULL, NULL, 108, NULL, NULL, 20309),
(56466, '2j3lA01', NULL, NULL, 120, NULL, NULL, 20309),
(56467, '3uh0A02', NULL, NULL, 124, NULL, NULL, 20309),
(56468, '3iklA02', NULL, NULL, 112, NULL, NULL, 20309),
(56469, '1hc7A02', NULL, NULL, 104, NULL, NULL, 20309),
(56470, '5ucmA01', NULL, NULL, 125, NULL, NULL, 20309),
(56471, '3lc0A02', NULL, NULL, 102, NULL, NULL, 20309),
(56472, '1nj8A02', NULL, NULL, 103, NULL, NULL, 20309),
(56473, '1wu7A03', NULL, NULL, 105, NULL, NULL, 20309),
(56474, '1qe0A02', NULL, NULL, 91, NULL, NULL, 20309),
(56475, '1g5hB02', NULL, NULL, 117, NULL, NULL, 20309),
(56476, '4kr2A02', NULL, NULL, 118, NULL, NULL, 20309),
(56477, '1h4vB02', NULL, NULL, 95, NULL, NULL, 20309),
(56478, '5znjA01', NULL, NULL, 116, NULL, NULL, 20309),
(56479, '5e3iA02', NULL, NULL, 99, NULL, NULL, 20309),
(56480, '1evlA02', NULL, NULL, 112, NULL, NULL, 20309),
(56481, '4hvcB02', NULL, NULL, 110, NULL, NULL, 20309),
(56482, '1nyrA04', NULL, NULL, 106, NULL, NULL, 20309),
(56483, '4hwtA02', NULL, NULL, 122, NULL, NULL, 20309),
(56484, '1nj1A02', NULL, NULL, 104, NULL, NULL, 20309),
(56485, '3netB02', NULL, NULL, 98, NULL, NULL, 20309),
(56486, '1httA02', NULL, NULL, 98, NULL, NULL, 20309),
(56487, '3ialA02', NULL, NULL, 128, NULL, NULL, 20309),
(56488, '1atiB02', NULL, NULL, 112, NULL, NULL, 20309),
(56489, '2zt5A03', NULL, NULL, 121, NULL, NULL, 20309),
(56490, '3hriA02', NULL, NULL, 102, NULL, NULL, 20309),
(56491, '3a32A02', NULL, NULL, 141, NULL, NULL, 20309),
(56492, '3h4cA02', NULL, NULL, 123, NULL, NULL, 20310),
(56493, '3duzA05', NULL, NULL, 48, NULL, NULL, 20311),
(56494, '1pfkA02', NULL, NULL, 126, NULL, NULL, 20312),
(56495, '3o8oA02', NULL, NULL, 157, NULL, NULL, 20312),
(56496, '3o8oB02', NULL, NULL, 158, NULL, NULL, 20312),
(56497, '5xz7A02', NULL, NULL, 123, NULL, NULL, 20312),
(56498, '3o8oB04', NULL, NULL, 154, NULL, NULL, 20312),
(56499, '3k2qA02', NULL, NULL, 189, NULL, NULL, 20312),
(56500, '4i7eA02', NULL, NULL, 125, NULL, NULL, 20312),
(56501, '3hnoD02', NULL, NULL, 189, NULL, NULL, 20312),
(56502, '3o8oG04', NULL, NULL, 165, NULL, NULL, 20312),
(56503, '3opyB05', NULL, NULL, 150, NULL, NULL, 20312),
(56504, '3opyA05', NULL, NULL, 153, NULL, NULL, 20312),
(56505, '1zxxA02', NULL, NULL, 125, NULL, NULL, 20312),
(56506, '3opyB03', NULL, NULL, 153, NULL, NULL, 20312); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(56507, '4u1rA04', NULL, NULL, 144, NULL, NULL, 20312),
(56508, '4u1rA02', NULL, NULL, 155, NULL, NULL, 20312),
(56509, '2higB03', NULL, NULL, 163, NULL, NULL, 20312),
(56510, '3opyA03', NULL, NULL, 159, NULL, NULL, 20312),
(56511, '2f48A02', NULL, NULL, 188, NULL, NULL, 20312),
(56512, '4a3sA02', NULL, NULL, 125, NULL, NULL, 20312),
(56513, '3o8lA04', NULL, NULL, 153, NULL, NULL, 20312),
(56514, '3o8lA02', NULL, NULL, 155, NULL, NULL, 20312),
(56515, '1v7zA00', NULL, NULL, 260, NULL, NULL, 20313),
(56516, '3no4B00', NULL, NULL, 267, NULL, NULL, 20313),
(56517, '3lubA01', NULL, NULL, 239, NULL, NULL, 20313),
(56518, '3etvA01', NULL, NULL, 117, NULL, NULL, 20314),
(56519, '3etuA01', NULL, NULL, 65, NULL, NULL, 20314),
(56520, '3ksyA04', NULL, NULL, 37, NULL, NULL, 20315),
(56521, '4x7rA03', NULL, NULL, 169, NULL, NULL, 20316),
(56522, '5du2B01', NULL, NULL, 229, NULL, NULL, 20316),
(56523, '2vsyA03', NULL, NULL, 179, NULL, NULL, 20316),
(56524, '2iuyA02', NULL, NULL, 176, NULL, NULL, 20316),
(56525, '3ot5B01', NULL, NULL, 218, NULL, NULL, 20316),
(56526, '2r60A02', NULL, NULL, 215, NULL, NULL, 20316),
(56527, '4hwgA01', NULL, NULL, 223, NULL, NULL, 20316),
(56528, '4x7rA01', NULL, NULL, 204, NULL, NULL, 20316),
(56529, '2x0dA02', NULL, NULL, 176, NULL, NULL, 20316),
(56530, '4hwgA02', NULL, NULL, 162, NULL, NULL, 20316),
(56531, '2r60A01', NULL, NULL, 247, NULL, NULL, 20316),
(56532, '4w6qB01', NULL, NULL, 176, NULL, NULL, 20316),
(56533, '1pn3A02', NULL, NULL, 170, NULL, NULL, 20316),
(56534, '1z8dA02', NULL, NULL, 327, NULL, NULL, 20316),
(56535, '2iuyA01', NULL, NULL, 161, NULL, NULL, 20316),
(56536, '3ia7A02', NULL, NULL, 167, NULL, NULL, 20316),
(56537, '3ia7A01', NULL, NULL, 235, NULL, NULL, 20316),
(56538, '5du2B02', NULL, NULL, 160, NULL, NULL, 20316),
(56539, '4g2tA01', NULL, NULL, 222, NULL, NULL, 20316),
(56540, '3s2uA02', NULL, NULL, 178, NULL, NULL, 20316),
(56541, '3uykA01', NULL, NULL, 210, NULL, NULL, 20316),
(56542, '4g2tA02', NULL, NULL, 175, NULL, NULL, 20316),
(56543, '6d9tA02', NULL, NULL, 182, NULL, NULL, 20316),
(56544, '6d9tA01', NULL, NULL, 201, NULL, NULL, 20316),
(56545, '1l5wA02', NULL, NULL, 329, NULL, NULL, 20316),
(56546, '2iyaA01', NULL, NULL, 261, NULL, NULL, 20316),
(56547, '3ddsA02', NULL, NULL, 327, NULL, NULL, 20316),
(56548, '1l5wA01', NULL, NULL, 467, NULL, NULL, 20316),
(56549, '5v0tA02', NULL, NULL, 209, NULL, NULL, 20316),
(56550, '2iyaA02', NULL, NULL, 163, NULL, NULL, 20316),
(56551, '3hbfA02', NULL, NULL, 176, NULL, NULL, 20316),
(56552, '1vgvA02', NULL, NULL, 170, NULL, NULL, 20316),
(56553, '1vgvA01', NULL, NULL, 214, NULL, NULL, 20316),
(56554, '1jg7A01', NULL, NULL, 183, NULL, NULL, 20316),
(56555, '1jg7A02', NULL, NULL, 166, NULL, NULL, 20316),
(56556, '2o6lB00', NULL, NULL, 170, NULL, NULL, 20316),
(56557, '5ikoA01', NULL, NULL, 487, NULL, NULL, 20316),
(56558, '5ikoA02', NULL, NULL, 327, NULL, NULL, 20316),
(56559, '4amgB01', NULL, NULL, 224, NULL, NULL, 20316),
(56560, '4nesA02', NULL, NULL, 165, NULL, NULL, 20316),
(56561, '4nesA01', NULL, NULL, 209, NULL, NULL, 20316),
(56562, '2bfwA01', NULL, NULL, 189, NULL, NULL, 20316),
(56563, '2pq6A02', NULL, NULL, 177, NULL, NULL, 20316),
(56564, '3rhzA01', NULL, NULL, 182, NULL, NULL, 20316),
(56565, '6gnfB02', NULL, NULL, 216, NULL, NULL, 20316),
(56566, '5nlmA02', NULL, NULL, 198, NULL, NULL, 20316),
(56567, '5hvmA02', NULL, NULL, 208, NULL, NULL, 20316),
(56568, '3rhzA02', NULL, NULL, 157, NULL, NULL, 20316),
(56569, '6gnfB01', NULL, NULL, 328, NULL, NULL, 20316),
(56570, '5nlmA01', NULL, NULL, 266, NULL, NULL, 20316),
(56571, '4fkzA02', NULL, NULL, 161, NULL, NULL, 20316),
(56572, '3dzcA02', NULL, NULL, 170, NULL, NULL, 20316),
(56573, '2c4mA01', NULL, NULL, 462, NULL, NULL, 20316),
(56574, '4fkzA01', NULL, NULL, 227, NULL, NULL, 20316),
(56575, '3dzcA01', NULL, NULL, 203, NULL, NULL, 20316),
(56576, '2c4mA02', NULL, NULL, 334, NULL, NULL, 20316),
(56577, '3beoA02', NULL, NULL, 161, NULL, NULL, 20316),
(56578, '4gywA05', NULL, NULL, 161, NULL, NULL, 20316),
(56579, '3beoA01', NULL, NULL, 214, NULL, NULL, 20316);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(56580, '3t5tA02', NULL, NULL, 188, NULL, NULL, 20316),
(56581, '3nb0B02', NULL, NULL, 244, NULL, NULL, 20316),
(56582, '1uqtA02', NULL, NULL, 208, NULL, NULL, 20316),
(56583, '1v4vA01', NULL, NULL, 219, NULL, NULL, 20316),
(56584, '1v4vA02', NULL, NULL, 157, NULL, NULL, 20316),
(56585, '3okpA02', NULL, NULL, 189, NULL, NULL, 20316),
(56586, '1uqtA01', NULL, NULL, 248, NULL, NULL, 20316),
(56587, '3okpA01', NULL, NULL, 205, NULL, NULL, 20316),
(56588, '5i45A00', NULL, NULL, 199, NULL, NULL, 20316),
(56589, '1f0kA02', NULL, NULL, 176, NULL, NULL, 20316),
(56590, '4qlbB01', NULL, NULL, 336, NULL, NULL, 20316),
(56591, '1f0kA01', NULL, NULL, 188, NULL, NULL, 20316),
(56592, '4w6qA02', NULL, NULL, 157, NULL, NULL, 20316),
(56593, '2p6pA02', NULL, NULL, 164, NULL, NULL, 20316),
(56594, '5hvlA02', NULL, NULL, 208, NULL, NULL, 20316),
(56595, '3otgA01', NULL, NULL, 228, NULL, NULL, 20316),
(56596, '3otgA02', NULL, NULL, 167, NULL, NULL, 20316),
(56597, '2atiA01', NULL, NULL, 480, NULL, NULL, 20316),
(56598, '2pq6A01', NULL, NULL, 252, NULL, NULL, 20316),
(56599, '1rzuB01', NULL, NULL, 276, NULL, NULL, 20316),
(56600, '2yjnA02', NULL, NULL, 171, NULL, NULL, 20316),
(56601, '5hvoA02', NULL, NULL, 208, NULL, NULL, 20316),
(56602, '2gt1A01', NULL, NULL, 163, NULL, NULL, 20316),
(56603, '2gt1A02', NULL, NULL, 163, NULL, NULL, 20316),
(56604, '4rigA01', NULL, NULL, 210, NULL, NULL, 20316),
(56605, '3oy2A02', NULL, NULL, 232, NULL, NULL, 20316),
(56606, '1rrvA02', NULL, NULL, 166, NULL, NULL, 20316),
(56607, '3vueA02', NULL, NULL, 211, NULL, NULL, 20316),
(56608, '2x6rB01', NULL, NULL, 219, NULL, NULL, 20316),
(56609, '1rrvA01', NULL, NULL, 250, NULL, NULL, 20316),
(56610, '4hlnA01', NULL, NULL, 307, NULL, NULL, 20316),
(56611, '5hxaA01', NULL, NULL, 256, NULL, NULL, 20316),
(56612, '4hlnA02', NULL, NULL, 211, NULL, NULL, 20316),
(56613, '2yjnA01', NULL, NULL, 252, NULL, NULL, 20316),
(56614, '5hxaA02', NULL, NULL, 209, NULL, NULL, 20316),
(56615, '5uofA02', NULL, NULL, 209, NULL, NULL, 20316),
(56616, '1xv5A01', NULL, NULL, 191, NULL, NULL, 20316),
(56617, '5dldA02', NULL, NULL, 170, NULL, NULL, 20316),
(56618, '1xv5A02', NULL, NULL, 210, NULL, NULL, 20316),
(56619, '3t5tB01', NULL, NULL, 288, NULL, NULL, 20316),
(56620, '5dldA01', NULL, NULL, 243, NULL, NULL, 20316),
(56621, '3vueA01', NULL, NULL, 302, NULL, NULL, 20316),
(56622, '5uofA01', NULL, NULL, 257, NULL, NULL, 20316),
(56623, '2xciA02', NULL, NULL, 187, NULL, NULL, 20316),
(56624, '5tvgA02', NULL, NULL, 209, NULL, NULL, 20316),
(56625, '5tvgA01', NULL, NULL, 257, NULL, NULL, 20316),
(56626, '1ygpA02', NULL, NULL, 345, NULL, NULL, 20316),
(56627, '1ygpA01', NULL, NULL, 495, NULL, NULL, 20316),
(56628, '2iyfB02', NULL, NULL, 164, NULL, NULL, 20316),
(56629, '2jzcA00', NULL, NULL, 201, NULL, NULL, 20316),
(56630, '3qhpA00', NULL, NULL, 166, NULL, NULL, 20316),
(56631, '2jjmA01', NULL, NULL, 212, NULL, NULL, 20316),
(56632, '2acvA02', NULL, NULL, 187, NULL, NULL, 20316),
(56633, '4qlbA02', NULL, NULL, 253, NULL, NULL, 20316),
(56634, '5lqdD01', NULL, NULL, 258, NULL, NULL, 20316),
(56635, '2acvA01', NULL, NULL, 274, NULL, NULL, 20316),
(56636, '2p6pB01', NULL, NULL, 210, NULL, NULL, 20316),
(56637, '2x6qA02', NULL, NULL, 197, NULL, NULL, 20316),
(56638, '2jjmA02', NULL, NULL, 182, NULL, NULL, 20316),
(56639, '3otiA02', NULL, NULL, 158, NULL, NULL, 20316),
(56640, '3otiA01', NULL, NULL, 222, NULL, NULL, 20316),
(56641, '4rifA02', NULL, NULL, 159, NULL, NULL, 20316),
(56642, '2vchA02', NULL, NULL, 196, NULL, NULL, 20316),
(56643, '3hbmA02', NULL, NULL, 141, NULL, NULL, 20316),
(56644, '2vchA01', NULL, NULL, 269, NULL, NULL, 20316),
(56645, '5lr8A02', NULL, NULL, 333, NULL, NULL, 20316),
(56646, '6bk0A02', NULL, NULL, 192, NULL, NULL, 20316),
(56647, '3froA01', NULL, NULL, 245, NULL, NULL, 20316),
(56648, '6bk0A01', NULL, NULL, 275, NULL, NULL, 20316),
(56649, '3tovA01', NULL, NULL, 163, NULL, NULL, 20316),
(56650, '3tovA02', NULL, NULL, 186, NULL, NULL, 20316),
(56651, '1pswA02', NULL, NULL, 186, NULL, NULL, 20316),
(56652, '3rscA01', NULL, NULL, 252, NULL, NULL, 20316);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(56653, '3rscA02', NULL, NULL, 163, NULL, NULL, 20316),
(56654, '2hy7A02', NULL, NULL, 156, NULL, NULL, 20316),
(56655, '1rzuA02', NULL, NULL, 209, NULL, NULL, 20316),
(56656, '1pswA01', NULL, NULL, 151, NULL, NULL, 20316),
(56657, '3h4tA01', NULL, NULL, 240, NULL, NULL, 20316),
(56658, '3tsaA02', NULL, NULL, 177, NULL, NULL, 20316),
(56659, '3h4tA02', NULL, NULL, 164, NULL, NULL, 20316),
(56660, '3s28A03', NULL, NULL, 312, NULL, NULL, 20316),
(56661, '3s28A04', NULL, NULL, 227, NULL, NULL, 20316),
(56662, '3c48A01', NULL, NULL, 230, NULL, NULL, 20316),
(56663, '5enzA02', NULL, NULL, 161, NULL, NULL, 20316),
(56664, '3hbjA01', NULL, NULL, 277, NULL, NULL, 20316),
(56665, '3wadA02', NULL, NULL, 172, NULL, NULL, 20316),
(56666, '3nb0D01', NULL, NULL, 310, NULL, NULL, 20316),
(56667, '4n9wA02', NULL, NULL, 177, NULL, NULL, 20316),
(56668, '4pqgA03', NULL, NULL, 174, NULL, NULL, 20316),
(56669, '4n9wA01', NULL, NULL, 213, NULL, NULL, 20316),
(56670, '2c1xA02', NULL, NULL, 172, NULL, NULL, 20316),
(56671, '2qzsA02', NULL, NULL, 210, NULL, NULL, 20316),
(56672, '2qzsA01', NULL, NULL, 275, NULL, NULL, 20316),
(56673, '5v2jA02', NULL, NULL, 194, NULL, NULL, 20316),
(56674, '5d01B02', NULL, NULL, 182, NULL, NULL, 20316),
(56675, '5dxfB01', NULL, NULL, 310, NULL, NULL, 20316),
(56676, '5lqdA02', NULL, NULL, 207, NULL, NULL, 20316),
(56677, '3ot5A02', NULL, NULL, 161, NULL, NULL, 20316),
(56678, '2gj4A01', NULL, NULL, 497, NULL, NULL, 20316),
(56679, '4rifB01', NULL, NULL, 210, NULL, NULL, 20316),
(56680, '2gj4A02', NULL, NULL, 327, NULL, NULL, 20316),
(56681, '5lr8B01', NULL, NULL, 499, NULL, NULL, 20316),
(56682, '1iirA02', NULL, NULL, 164, NULL, NULL, 20316),
(56683, '2iw1A01', NULL, NULL, 188, NULL, NULL, 20316),
(56684, '2iw1A02', NULL, NULL, 186, NULL, NULL, 20316),
(56685, '1iirA01', NULL, NULL, 251, NULL, NULL, 20316),
(56686, '4rbnA03', NULL, NULL, 303, NULL, NULL, 20316),
(56687, '4rbnA04', NULL, NULL, 228, NULL, NULL, 20316),
(56688, '5v0tE01', NULL, NULL, 257, NULL, NULL, 20316),
(56689, '4bqeA01', NULL, NULL, 495, NULL, NULL, 20316),
(56690, '4bqeA02', NULL, NULL, 332, NULL, NULL, 20316),
(56691, '4l22A02', NULL, NULL, 328, NULL, NULL, 20316),
(56692, '5enzB01', NULL, NULL, 224, NULL, NULL, 20316),
(56693, '4l22A01', NULL, NULL, 430, NULL, NULL, 20316),
(56694, '3s2uA01', NULL, NULL, 187, NULL, NULL, 20316),
(56695, '5jioA02', NULL, NULL, 209, NULL, NULL, 20316),
(56696, '3wadB01', NULL, NULL, 247, NULL, NULL, 20316),
(56697, '4relA01', NULL, NULL, 268, NULL, NULL, 20316),
(56698, '4relA02', NULL, NULL, 176, NULL, NULL, 20316),
(56699, '5a01A04', NULL, NULL, 164, NULL, NULL, 20316),
(56700, '3c48B02', NULL, NULL, 190, NULL, NULL, 20316),
(56701, '4ambB02', NULL, NULL, 156, NULL, NULL, 20316),
(56702, '5d01A01', NULL, NULL, 197, NULL, NULL, 20316),
(56703, '2f9fA00', NULL, NULL, 177, NULL, NULL, 20316),
(56704, '3q3eA03', NULL, NULL, 191, NULL, NULL, 20316),
(56705, '2c1zA01', NULL, NULL, 270, NULL, NULL, 20316),
(56706, '4ldpA01', NULL, NULL, 237, NULL, NULL, 20316),
(56707, '4ldpA02', NULL, NULL, 182, NULL, NULL, 20316),
(56708, '4bfcA00', NULL, NULL, 193, NULL, NULL, 20316),
(56709, '4m83A01', NULL, NULL, 253, NULL, NULL, 20316),
(56710, '5dxfA02', NULL, NULL, 207, NULL, NULL, 20316),
(56711, '4w4kB00', NULL, NULL, 174, NULL, NULL, 20317),
(56712, '1yz7A01', NULL, NULL, 85, NULL, NULL, 20318),
(56713, '2a19A02', NULL, NULL, 86, NULL, NULL, 20318),
(56714, '3cw2C02', NULL, NULL, 93, NULL, NULL, 20318),
(56715, '1kl9A02', NULL, NULL, 92, NULL, NULL, 20318),
(56716, '3aevA02', NULL, NULL, 86, NULL, NULL, 20318),
(56717, '2vpzA03', NULL, NULL, 241, NULL, NULL, 20319),
(56718, '1g8kA03', NULL, NULL, 247, NULL, NULL, 20319),
(56719, '1dmrA02', NULL, NULL, 246, NULL, NULL, 20319),
(56720, '1eu1A02', NULL, NULL, 246, NULL, NULL, 20319),
(56721, '3ml1A03', NULL, NULL, 275, NULL, NULL, 20319),
(56722, '2nyaA03', NULL, NULL, 274, NULL, NULL, 20319),
(56723, '1tmoA02', NULL, NULL, 250, NULL, NULL, 20319),
(56724, '1ogyA03', NULL, NULL, 275, NULL, NULL, 20319),
(56725, '1h0hA03', NULL, NULL, 269, NULL, NULL, 20319);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(56726, '2napA03', NULL, NULL, 238, NULL, NULL, 20319),
(56727, '2iv2X03', NULL, NULL, 195, NULL, NULL, 20319),
(56728, '1q16A07', NULL, NULL, 128, NULL, NULL, 20319),
(56729, '1kqfA03', NULL, NULL, 267, NULL, NULL, 20319),
(56730, '1ti2A03', NULL, NULL, 292, NULL, NULL, 20319),
(56731, '2e7zA03', NULL, NULL, 205, NULL, NULL, 20319),
(56732, '5nqdA03', NULL, NULL, 271, NULL, NULL, 20319),
(56733, '2mkvA00', NULL, NULL, 64, NULL, NULL, 20320),
(56734, '2jo1A00', NULL, NULL, 72, NULL, NULL, 20320),
(56735, '1y9bA00', NULL, NULL, 90, NULL, NULL, 20320),
(56736, '2jp3A00', NULL, NULL, 67, NULL, NULL, 20320),
(56737, '5xo1F00', NULL, NULL, 219, NULL, NULL, 20321),
(56738, '2a67B00', NULL, NULL, 167, NULL, NULL, 20321),
(56739, '3hb7A00', NULL, NULL, 188, NULL, NULL, 20321),
(56740, '1x9gA00', NULL, NULL, 200, NULL, NULL, 20321),
(56741, '2b34A00', NULL, NULL, 199, NULL, NULL, 20321),
(56742, '3v8eA00', NULL, NULL, 216, NULL, NULL, 20321),
(56743, '3s2sA00', NULL, NULL, 182, NULL, NULL, 20321),
(56744, '3r2jC00', NULL, NULL, 202, NULL, NULL, 20321),
(56745, '3kl2I00', NULL, NULL, 207, NULL, NULL, 20321),
(56746, '3oqpA00', NULL, NULL, 211, NULL, NULL, 20321),
(56747, '1im5A00', NULL, NULL, 180, NULL, NULL, 20321),
(56748, '3pl1A00', NULL, NULL, 186, NULL, NULL, 20321),
(56749, '3eefA00', NULL, NULL, 182, NULL, NULL, 20321),
(56750, '6a8lA00', NULL, NULL, 183, NULL, NULL, 20321),
(56751, '5xo0A00', NULL, NULL, 218, NULL, NULL, 20321),
(56752, '1j2rA00', NULL, NULL, 199, NULL, NULL, 20321),
(56753, '1yzvA00', NULL, NULL, 204, NULL, NULL, 20321),
(56754, '3r77A00', NULL, NULL, 209, NULL, NULL, 20321),
(56755, '3tg2A00', NULL, NULL, 206, NULL, NULL, 20321),
(56756, '3ot4A00', NULL, NULL, 210, NULL, NULL, 20321),
(56757, '1yacA00', NULL, NULL, 208, NULL, NULL, 20321),
(56758, '3o94B00', NULL, NULL, 191, NULL, NULL, 20321),
(56759, '4h17A00', NULL, NULL, 197, NULL, NULL, 20321),
(56760, '4l07A00', NULL, NULL, 208, NULL, NULL, 20321),
(56761, '1nf9A00', NULL, NULL, 207, NULL, NULL, 20321),
(56762, '3irvA01', NULL, NULL, 216, NULL, NULL, 20321),
(56763, '4wgfA00', NULL, NULL, 205, NULL, NULL, 20321),
(56764, '2wt9A00', NULL, NULL, 210, NULL, NULL, 20321),
(56765, '3hu5A00', NULL, NULL, 204, NULL, NULL, 20321),
(56766, '3lqyA00', NULL, NULL, 190, NULL, NULL, 20321),
(56767, '3mcwA00', NULL, NULL, 198, NULL, NULL, 20321),
(56768, '2fq1A01', NULL, NULL, 209, NULL, NULL, 20321),
(56769, '3txyA00', NULL, NULL, 199, NULL, NULL, 20321),
(56770, '1nbaB00', NULL, NULL, 264, NULL, NULL, 20321),
(56771, '6o6dA00', NULL, NULL, 80, NULL, NULL, 20322),
(56772, '1tifA00', NULL, NULL, 78, NULL, NULL, 20322),
(56773, '1k28D02', NULL, NULL, 88, NULL, NULL, 20323),
(56774, '1wthD02', NULL, NULL, 88, NULL, NULL, 20323),
(56775, '2v3aA03', NULL, NULL, 64, NULL, NULL, 20324),
(56776, '1s0pA01', NULL, NULL, 171, NULL, NULL, 20325),
(56777, '3no7A00', NULL, NULL, 80, NULL, NULL, 20326),
(56778, '3ut4A00', NULL, NULL, 134, NULL, NULL, 20327),
(56779, '3aonA00', NULL, NULL, 201, NULL, NULL, 20328),
(56780, '3w3aG00', NULL, NULL, 210, NULL, NULL, 20328),
(56781, '3qi7A01', NULL, NULL, 158, NULL, NULL, 20329),
(56782, '2wlbB00', NULL, NULL, 103, NULL, NULL, 20330),
(56783, '1v8cA01', NULL, NULL, 85, NULL, NULL, 20330),
(56784, '1wgkA01', NULL, NULL, 96, NULL, NULL, 20330),
(56785, '1rm6C01', NULL, NULL, 78, NULL, NULL, 20330),
(56786, '2wdqB01', NULL, NULL, 106, NULL, NULL, 20330),
(56787, '5ldaB00', NULL, NULL, 69, NULL, NULL, 20330),
(56788, '1ffvA01', NULL, NULL, 76, NULL, NULL, 20330),
(56789, '1i7hC00', NULL, NULL, 111, NULL, NULL, 20330),
(56790, '4itkA00', NULL, NULL, 105, NULL, NULL, 20330),
(56791, '4zhpA00', NULL, NULL, 106, NULL, NULL, 20330),
(56792, '1czpA00', NULL, NULL, 98, NULL, NULL, 20330),
(56793, '1frrA00', NULL, NULL, 95, NULL, NULL, 20330),
(56794, '2mjdA00', NULL, NULL, 115, NULL, NULL, 20330),
(56795, '3zyyX01', NULL, NULL, 95, NULL, NULL, 20330),
(56796, '4wwmA00', NULL, NULL, 91, NULL, NULL, 20330),
(56797, '2jx5A00', NULL, NULL, 69, NULL, NULL, 20330),
(56798, '2dbyA02', NULL, NULL, 107, NULL, NULL, 20330);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(56799, '2piaA03', NULL, NULL, 96, NULL, NULL, 20330),
(56800, '2n0sB00', NULL, NULL, 94, NULL, NULL, 20330),
(56801, '1t3qA01', NULL, NULL, 87, NULL, NULL, 20330),
(56802, '4idiB00', NULL, NULL, 124, NULL, NULL, 20330),
(56803, '3rpfC00', NULL, NULL, 74, NULL, NULL, 20330),
(56804, '1rfkA00', NULL, NULL, 98, NULL, NULL, 20330),
(56805, '3ah7A00', NULL, NULL, 113, NULL, NULL, 20330),
(56806, '3b2gA00', NULL, NULL, 98, NULL, NULL, 20330),
(56807, '1wxqA03', NULL, NULL, 79, NULL, NULL, 20330),
(56808, '2ekiA00', NULL, NULL, 93, NULL, NULL, 20330),
(56809, '4zohC01', NULL, NULL, 84, NULL, NULL, 20330),
(56810, '1ni3A02', NULL, NULL, 104, NULL, NULL, 20330),
(56811, '3wcqA00', NULL, NULL, 97, NULL, NULL, 20330),
(56812, '4usaA01', NULL, NULL, 74, NULL, NULL, 20330),
(56813, '5ee0A02', NULL, NULL, 109, NULL, NULL, 20330),
(56814, '1jalA02', NULL, NULL, 103, NULL, NULL, 20330),
(56815, '1zoyB01', NULL, NULL, 114, NULL, NULL, 20330),
(56816, '2g1eA00', NULL, NULL, 90, NULL, NULL, 20330),
(56817, '3hvzA00', NULL, NULL, 78, NULL, NULL, 20330),
(56818, '3kwlA01', NULL, NULL, 97, NULL, NULL, 20330),
(56819, '1kf6B01', NULL, NULL, 104, NULL, NULL, 20330),
(56820, '2kmmA00', NULL, NULL, 73, NULL, NULL, 20330),
(56821, '3p1mA00', NULL, NULL, 132, NULL, NULL, 20330),
(56822, '2bs2B01', NULL, NULL, 106, NULL, NULL, 20330),
(56823, '2l52A00', NULL, NULL, 99, NULL, NULL, 20330),
(56824, '4ysxB01', NULL, NULL, 106, NULL, NULL, 20330),
(56825, '2mj3A00', NULL, NULL, 116, NULL, NULL, 20330),
(56826, '3an1A01', NULL, NULL, 94, NULL, NULL, 20330),
(56827, '4n6eB00', NULL, NULL, 90, NULL, NULL, 20330),
(56828, '4hrsA00', NULL, NULL, 67, NULL, NULL, 20330),
(56829, '1wriA00', NULL, NULL, 93, NULL, NULL, 20330),
(56830, '1dgjA01', NULL, NULL, 74, NULL, NULL, 20330),
(56831, '1n62A01', NULL, NULL, 79, NULL, NULL, 20330),
(56832, '4fxcA00', NULL, NULL, 98, NULL, NULL, 20330),
(56833, '2lekA00', NULL, NULL, 73, NULL, NULL, 20330),
(56834, '1nyrB01', NULL, NULL, 65, NULL, NULL, 20330),
(56835, '5auiA00', NULL, NULL, 97, NULL, NULL, 20330),
(56836, '4zhoA00', NULL, NULL, 105, NULL, NULL, 20330),
(56837, '1doiA00', NULL, NULL, 128, NULL, NULL, 20330),
(56838, '4n58A01', NULL, NULL, 93, NULL, NULL, 20330),
(56839, '2bt6B00', NULL, NULL, 108, NULL, NULL, 20330),
(56840, '1pfdA00', NULL, NULL, 96, NULL, NULL, 20330),
(56841, '4ltuA00', NULL, NULL, 107, NULL, NULL, 20330),
(56842, '2k9xA00', NULL, NULL, 110, NULL, NULL, 20330),
(56843, '5mpoB00', NULL, NULL, 84, NULL, NULL, 20330),
(56844, '4hroB00', NULL, NULL, 90, NULL, NULL, 20330),
(56845, '3n9yC00', NULL, NULL, 68, NULL, NULL, 20330),
(56846, '3av8A00', NULL, NULL, 97, NULL, NULL, 20330),
(56847, '5aukA00', NULL, NULL, 96, NULL, NULL, 20330),
(56848, '1a70A00', NULL, NULL, 97, NULL, NULL, 20330),
(56849, '3huiA00', NULL, NULL, 126, NULL, NULL, 20330),
(56850, '3zyvA01', NULL, NULL, 94, NULL, NULL, 20330),
(56851, '2h88B01', NULL, NULL, 114, NULL, NULL, 20330),
(56852, '5y6qA01', NULL, NULL, 80, NULL, NULL, 20330),
(56853, '3hrdD01', NULL, NULL, 79, NULL, NULL, 20330),
(56854, '1awdA00', NULL, NULL, 94, NULL, NULL, 20330),
(56855, '4p6vF01', NULL, NULL, 95, NULL, NULL, 20330),
(56856, '2ohfA02', NULL, NULL, 110, NULL, NULL, 20330),
(56857, '1zud400', NULL, NULL, 66, NULL, NULL, 20330),
(56858, '2cu3B00', NULL, NULL, 64, NULL, NULL, 20330),
(56859, '5xmjB01', NULL, NULL, 105, NULL, NULL, 20330),
(56860, '2e1qC01', NULL, NULL, 94, NULL, NULL, 20330),
(56861, '1xlqA00', NULL, NULL, 106, NULL, NULL, 20330),
(56862, '3lxfA00', NULL, NULL, 104, NULL, NULL, 20330),
(56863, '1tygB00', NULL, NULL, 66, NULL, NULL, 20330),
(56864, '3nvwA01', NULL, NULL, 85, NULL, NULL, 20330),
(56865, '1vjkA00', NULL, NULL, 98, NULL, NULL, 20330),
(56866, '1l5pA00', NULL, NULL, 93, NULL, NULL, 20330),
(56867, '2qjlA00', NULL, NULL, 99, NULL, NULL, 20330),
(56868, '4a9aA03', NULL, NULL, 78, NULL, NULL, 20330),
(56869, '5ffiE00', NULL, NULL, 122, NULL, NULL, 20330),
(56870, '1wwtA01', NULL, NULL, 62, NULL, NULL, 20330),
(56871, '4wqmA01', NULL, NULL, 95, NULL, NULL, 20330),
(56872, '1jq4A00', NULL, NULL, 98, NULL, NULL, 20330);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(56873, '1iueA00', NULL, NULL, 98, NULL, NULL, 20330),
(56874, '2y5cA00', NULL, NULL, 109, NULL, NULL, 20330),
(56875, '1frdA00', NULL, NULL, 98, NULL, NULL, 20330),
(56876, '3cwiA00', NULL, NULL, 78, NULL, NULL, 20330),
(56877, '3b2fA00', NULL, NULL, 98, NULL, NULL, 20330),
(56878, '5g5gA01', NULL, NULL, 85, NULL, NULL, 20330),
(56879, '1e0zA00', NULL, NULL, 128, NULL, NULL, 20330),
(56880, '1krhA01', NULL, NULL, 104, NULL, NULL, 20330),
(56881, '2q5wD00', NULL, NULL, 77, NULL, NULL, 20330),
(56882, '1uwmA00', NULL, NULL, 106, NULL, NULL, 20330),
(56883, '2w3sA01', NULL, NULL, 80, NULL, NULL, 20330),
(56884, '1tkeA01', NULL, NULL, 64, NULL, NULL, 20330),
(56885, '1b9rA00', NULL, NULL, 105, NULL, NULL, 20330),
(56886, '1fm0D00', NULL, NULL, 81, NULL, NULL, 20330),
(56887, '1ryjA00', NULL, NULL, 70, NULL, NULL, 20330),
(56888, '2m19A00', NULL, NULL, 106, NULL, NULL, 20330),
(56889, '3dwgC00', NULL, NULL, 93, NULL, NULL, 20330),
(56890, '3cesA03', NULL, NULL, 92, NULL, NULL, 20331),
(56891, '2zxiA03', NULL, NULL, 97, NULL, NULL, 20331),
(56892, '3cp8D03', NULL, NULL, 106, NULL, NULL, 20331),
(56893, '1mkfA01', NULL, NULL, 210, NULL, NULL, 20332),
(56894, '3duzA03', NULL, NULL, 77, NULL, NULL, 20333),
(56895, '3s2rA01', NULL, NULL, 47, NULL, NULL, 20334),
(56896, '4ooaA01', NULL, NULL, 49, NULL, NULL, 20334),
(56897, '3tboA00', NULL, NULL, 60, NULL, NULL, 20334),
(56898, '2qh7B01', NULL, NULL, 48, NULL, NULL, 20334),
(56899, '1a9xA01', NULL, NULL, 116, NULL, NULL, 20335),
(56900, '3tqtB01', NULL, NULL, 128, NULL, NULL, 20335),
(56901, '2w70A01', NULL, NULL, 85, NULL, NULL, 20335),
(56902, '2pvpA01', NULL, NULL, 119, NULL, NULL, 20335),
(56903, '3orqA01', NULL, NULL, 100, NULL, NULL, 20335),
(56904, '1a9xA05', NULL, NULL, 110, NULL, NULL, 20335),
(56905, '5mlkA01', NULL, NULL, 86, NULL, NULL, 20335),
(56906, '5i47A01', NULL, NULL, 106, NULL, NULL, 20335),
(56907, '1bxrA05', NULL, NULL, 140, NULL, NULL, 20335),
(56908, '3r5xA01', NULL, NULL, 85, NULL, NULL, 20335),
(56909, '1gsaA01', NULL, NULL, 130, NULL, NULL, 20335),
(56910, '3r5xC01', NULL, NULL, 85, NULL, NULL, 20335),
(56911, '4egjD01', NULL, NULL, 107, NULL, NULL, 20335),
(56912, '3n6rA01', NULL, NULL, 130, NULL, NULL, 20335),
(56913, '4fu0A01', NULL, NULL, 128, NULL, NULL, 20335),
(56914, '3mjfA01', NULL, NULL, 94, NULL, NULL, 20335),
(56915, '2w6pB01', NULL, NULL, 131, NULL, NULL, 20335),
(56916, '2fb9A01', NULL, NULL, 107, NULL, NULL, 20335),
(56917, '2p0aA01', NULL, NULL, 117, NULL, NULL, 20335),
(56918, '2z04A01', NULL, NULL, 91, NULL, NULL, 20335),
(56919, '3r23B01', NULL, NULL, 85, NULL, NULL, 20335),
(56920, '3vpbA01', NULL, NULL, 101, NULL, NULL, 20335),
(56921, '4wd3A01', NULL, NULL, 121, NULL, NULL, 20335),
(56922, '2i87B01', NULL, NULL, 117, NULL, NULL, 20335),
(56923, '3q2oA01', NULL, NULL, 121, NULL, NULL, 20335),
(56924, '5k2mA01', NULL, NULL, 96, NULL, NULL, 20335),
(56925, '3va7A01', NULL, NULL, 134, NULL, NULL, 20335),
(56926, '3wnzA01', NULL, NULL, 138, NULL, NULL, 20335),
(56927, '3hblB01', NULL, NULL, 134, NULL, NULL, 20335),
(56928, '1e4eA03', NULL, NULL, 121, NULL, NULL, 20335),
(56929, '3hblD01', NULL, NULL, 106, NULL, NULL, 20335),
(56930, '3lp8A01', NULL, NULL, 92, NULL, NULL, 20335),
(56931, '5zctA01', NULL, NULL, 114, NULL, NULL, 20335),
(56932, '3ax6A01', NULL, NULL, 109, NULL, NULL, 20335),
(56933, '2yl2A01', NULL, NULL, 141, NULL, NULL, 20335),
(56934, '3votA01', NULL, NULL, 102, NULL, NULL, 20335),
(56935, '2vqdA01', NULL, NULL, 85, NULL, NULL, 20335),
(56936, '1ulzA01', NULL, NULL, 129, NULL, NULL, 20335),
(56937, '3se7D01', NULL, NULL, 121, NULL, NULL, 20335),
(56938, '3u9tA01', NULL, NULL, 90, NULL, NULL, 20335),
(56939, '4egqA01', NULL, NULL, 95, NULL, NULL, 20335),
(56940, '2yrxA01', NULL, NULL, 92, NULL, NULL, 20335),
(56941, '5vevA01', NULL, NULL, 92, NULL, NULL, 20335),
(56942, '3lwbA01', NULL, NULL, 126, NULL, NULL, 20335),
(56943, '2ip4A01', NULL, NULL, 92, NULL, NULL, 20335),
(56944, '5mlkB01', NULL, NULL, 132, NULL, NULL, 20335),
(56945, '4izoA01', NULL, NULL, 113, NULL, NULL, 20335),
(56946, '3r5xB01', NULL, NULL, 85, NULL, NULL, 20335);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(56947, '4m9cA01', NULL, NULL, 91, NULL, NULL, 20335),
(56948, '2r85A01', NULL, NULL, 87, NULL, NULL, 20335),
(56949, '3glkA01', NULL, NULL, 144, NULL, NULL, 20335),
(56950, '3r5xD01', NULL, NULL, 85, NULL, NULL, 20335),
(56951, '1gsoA01', NULL, NULL, 94, NULL, NULL, 20335),
(56952, '4dimA01', NULL, NULL, 124, NULL, NULL, 20335),
(56953, '1i7nA02', NULL, NULL, 116, NULL, NULL, 20335),
(56954, '2xclA01', NULL, NULL, 93, NULL, NULL, 20335),
(56955, '3ouzA01', NULL, NULL, 89, NULL, NULL, 20335),
(56956, '2dwcA01', NULL, NULL, 131, NULL, NULL, 20335),
(56957, '3tw7B01', NULL, NULL, 118, NULL, NULL, 20335),
(56958, '3u9sC01', NULL, NULL, 135, NULL, NULL, 20335),
(56959, '1pk8B02', NULL, NULL, 115, NULL, NULL, 20335),
(56960, '2r7kA01', NULL, NULL, 111, NULL, NULL, 20335),
(56961, '3k5iD01', NULL, NULL, 112, NULL, NULL, 20335),
(56962, '1ehiA01', NULL, NULL, 122, NULL, NULL, 20335),
(56963, '3q1kD01', NULL, NULL, 131, NULL, NULL, 20335),
(56964, '5h80A01', NULL, NULL, 128, NULL, NULL, 20335),
(56965, '3vpdA01', NULL, NULL, 103, NULL, NULL, 20335),
(56966, '2pn1A01', NULL, NULL, 123, NULL, NULL, 20335),
(56967, '2vheA01', NULL, NULL, 75, NULL, NULL, 20335),
(56968, '3k3pA01', NULL, NULL, 113, NULL, NULL, 20335),
(56969, '4e4tB01', NULL, NULL, 113, NULL, NULL, 20335),
(56970, '3r23A01', NULL, NULL, 85, NULL, NULL, 20335),
(56971, '2qk4A01', NULL, NULL, 94, NULL, NULL, 20335),
(56972, '2pbzA01', NULL, NULL, 85, NULL, NULL, 20335),
(56973, '5bphA01', NULL, NULL, 84, NULL, NULL, 20335),
(56974, '3e5nA01', NULL, NULL, 127, NULL, NULL, 20335),
(56975, '1vkzA01', NULL, NULL, 97, NULL, NULL, 20335),
(56976, '2dzdA01', NULL, NULL, 135, NULL, NULL, 20335),
(56977, '4c5cA01', NULL, NULL, 84, NULL, NULL, 20335),
(56978, '4m98A01', NULL, NULL, 91, NULL, NULL, 20335),
(56979, '4qshA01', NULL, NULL, 136, NULL, NULL, 20335),
(56980, '2vpqA01', NULL, NULL, 84, NULL, NULL, 20335),
(56981, '4j6eA01', NULL, NULL, 132, NULL, NULL, 20335),
(56982, '1kjqA01', NULL, NULL, 121, NULL, NULL, 20335),
(56983, '4mamA01', NULL, NULL, 96, NULL, NULL, 20335),
(56984, '4mv4A01', NULL, NULL, 85, NULL, NULL, 20335),
(56985, '2qf7B01', NULL, NULL, 150, NULL, NULL, 20335),
(56986, '5d8dA01', NULL, NULL, 87, NULL, NULL, 20335),
(56987, '4ea9A01', NULL, NULL, 99, NULL, NULL, 20335),
(56988, '2yw2A01', NULL, NULL, 92, NULL, NULL, 20335),
(56989, '3ethA01', NULL, NULL, 70, NULL, NULL, 20335),
(56990, '4eg0A01', NULL, NULL, 95, NULL, NULL, 20335),
(56991, '3aw8A01', NULL, NULL, 95, NULL, NULL, 20335),
(56992, '1w96C01', NULL, NULL, 165, NULL, NULL, 20335),
(56993, '5dayB02', NULL, NULL, 147, NULL, NULL, 20336),
(56994, '3gywA02', NULL, NULL, 189, NULL, NULL, 20336),
(56995, '2e50B02', NULL, NULL, 146, NULL, NULL, 20336),
(56996, '5x7vF02', NULL, NULL, 147, NULL, NULL, 20336),
(56997, '3l09A01', NULL, NULL, 98, NULL, NULL, 20337),
(56998, '3kfwX03', NULL, NULL, 88, NULL, NULL, 20337),
(56999, '1ijdB00', NULL, NULL, 42, NULL, NULL, 20338),
(57000, '1nkzB00', NULL, NULL, 41, NULL, NULL, 20338),
(57001, '5y5s200', NULL, NULL, 47, NULL, NULL, 20338),
(57002, '1dx7A00', NULL, NULL, 48, NULL, NULL, 20338),
(57003, '1jmmA01', NULL, NULL, 32, NULL, NULL, 20338),
(57004, '1lghB00', NULL, NULL, 45, NULL, NULL, 20338),
(57005, '1wrgA01', NULL, NULL, 37, NULL, NULL, 20338),
(57006, '1n7vA01', NULL, NULL, 177, NULL, NULL, 20339),
(57007, '3t5qG01', NULL, NULL, 105, NULL, NULL, 20340),
(57008, '5xnlC02', NULL, NULL, 96, NULL, NULL, 20341),
(57009, '5b66C02', NULL, NULL, 96, NULL, NULL, 20341),
(57010, '2oap101', NULL, NULL, 230, NULL, NULL, 20342),
(57011, '1yueA02', NULL, NULL, 80, NULL, NULL, 20343),
(57012, '5lz6A00', NULL, NULL, 129, NULL, NULL, 20344),
(57013, '4uybA02', NULL, NULL, 110, NULL, NULL, 20344),
(57014, '1olmA02', NULL, NULL, 110, NULL, NULL, 20344),
(57015, '4tlgB02', NULL, NULL, 110, NULL, NULL, 20344),
(57016, '1s4kA00', NULL, NULL, 120, NULL, NULL, 20345),
(57017, '2ox6D00', NULL, NULL, 166, NULL, NULL, 20345),
(57018, '4nphA02', NULL, NULL, 81, NULL, NULL, 20346),
(57019, '2oblA02', NULL, NULL, 74, NULL, NULL, 20346),
(57020, '3ibpA01', NULL, NULL, 91, NULL, NULL, 20347);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(57021, '3lycD00', NULL, NULL, 241, NULL, NULL, 20348),
(57022, '3petA00', NULL, NULL, 221, NULL, NULL, 20348),
(57023, '3jx8D00', NULL, NULL, 250, NULL, NULL, 20348),
(57024, '3ljyB00', NULL, NULL, 243, NULL, NULL, 20348),
(57025, '4opwB00', NULL, NULL, 241, NULL, NULL, 20348),
(57026, '3cetB02', NULL, NULL, 223, NULL, NULL, 20349),
(57027, '2o3iA02', NULL, NULL, 141, NULL, NULL, 20350),
(57028, '2p84A01', NULL, NULL, 62, NULL, NULL, 20351),
(57029, '4fbwA02', NULL, NULL, 111, NULL, NULL, 20352),
(57030, '4ykeB02', NULL, NULL, 111, NULL, NULL, 20352),
(57031, '3t1iA02', NULL, NULL, 106, NULL, NULL, 20352),
(57032, '1xsqB00', NULL, NULL, 168, NULL, NULL, 20353),
(57033, '2bdrA00', NULL, NULL, 175, NULL, NULL, 20353),
(57034, '1bh9B00', NULL, NULL, 89, NULL, NULL, 20354),
(57035, '2nqbD00', NULL, NULL, 95, NULL, NULL, 20354),
(57036, '5ay8E00', NULL, NULL, 98, NULL, NULL, 20354),
(57037, '1kx3G00', NULL, NULL, 128, NULL, NULL, 20354),
(57038, '4csrB00', NULL, NULL, 94, NULL, NULL, 20354),
(57039, '2yfvB00', NULL, NULL, 74, NULL, NULL, 20354),
(57040, '2ly8A00', NULL, NULL, 121, NULL, NULL, 20354),
(57041, '2bykD00', NULL, NULL, 98, NULL, NULL, 20354),
(57042, '1ulyA02', NULL, NULL, 102, NULL, NULL, 20354),
(57043, '1kx5B00', NULL, NULL, 102, NULL, NULL, 20354),
(57044, '1tzyE00', NULL, NULL, 129, NULL, NULL, 20354),
(57045, '1kx5D00', NULL, NULL, 125, NULL, NULL, 20354),
(57046, '5b0zG00', NULL, NULL, 115, NULL, NULL, 20354),
(57047, '5x7xA00', NULL, NULL, 98, NULL, NULL, 20354),
(57048, '1r4vA00', NULL, NULL, 151, NULL, NULL, 20354),
(57049, '4khaB00', NULL, NULL, 92, NULL, NULL, 20354),
(57050, '1tzyC00', NULL, NULL, 95, NULL, NULL, 20354),
(57051, '1wwiA00', NULL, NULL, 148, NULL, NULL, 20354),
(57052, '3v9rB00', NULL, NULL, 88, NULL, NULL, 20354),
(57053, '1kx3A00', NULL, NULL, 98, NULL, NULL, 20354),
(57054, '3v9rD00', NULL, NULL, 88, NULL, NULL, 20354),
(57055, '2rvqD00', NULL, NULL, 129, NULL, NULL, 20354),
(57056, '2io5B00', NULL, NULL, 76, NULL, NULL, 20354),
(57057, '5y0dA00', NULL, NULL, 98, NULL, NULL, 20354),
(57058, '2l5aA00', NULL, NULL, 235, NULL, NULL, 20354),
(57059, '4jjnF00', NULL, NULL, 102, NULL, NULL, 20354),
(57060, '1h3oB00', NULL, NULL, 76, NULL, NULL, 20354),
(57061, '1jfiB00', NULL, NULL, 146, NULL, NULL, 20354),
(57062, '5omxG00', NULL, NULL, 129, NULL, NULL, 20354),
(57063, '2yfwE00', NULL, NULL, 92, NULL, NULL, 20354),
(57064, '6nj9A00', NULL, NULL, 99, NULL, NULL, 20354),
(57065, '1q9cA01', NULL, NULL, 155, NULL, NULL, 20354),
(57066, '5g49A00', NULL, NULL, 97, NULL, NULL, 20354),
(57067, '1tafA00', NULL, NULL, 68, NULL, NULL, 20354),
(57068, '1b67A00', NULL, NULL, 68, NULL, NULL, 20354),
(57069, '3x1tC00', NULL, NULL, 128, NULL, NULL, 20354),
(57070, '2hueC00', NULL, NULL, 84, NULL, NULL, 20354),
(57071, '2bykA00', NULL, NULL, 72, NULL, NULL, 20354),
(57072, '3b0dB00', NULL, NULL, 111, NULL, NULL, 20354),
(57073, '4wnnD00', NULL, NULL, 102, NULL, NULL, 20354),
(57074, '5chlB00', NULL, NULL, 193, NULL, NULL, 20354),
(57075, '4g92C00', NULL, NULL, 119, NULL, NULL, 20354),
(57076, '1ku5A00', NULL, NULL, 70, NULL, NULL, 20354),
(57077, '4drbD00', NULL, NULL, 120, NULL, NULL, 20354),
(57078, '4cayA00', NULL, NULL, 91, NULL, NULL, 20354),
(57079, '4x23A00', NULL, NULL, 98, NULL, NULL, 20354),
(57080, '5veyA00', NULL, NULL, 194, NULL, NULL, 20354),
(57081, '1a7wA00', NULL, NULL, 69, NULL, NULL, 20354),
(57082, '3ksyA01', NULL, NULL, 155, NULL, NULL, 20354),
(57083, '3azjG00', NULL, NULL, 96, NULL, NULL, 20354),
(57084, '5y27A00', NULL, NULL, 107, NULL, NULL, 20354),
(57085, '4wzsB00', NULL, NULL, 149, NULL, NULL, 20354),
(57086, '2nqbG00', NULL, NULL, 123, NULL, NULL, 20354),
(57087, '4h9nA00', NULL, NULL, 99, NULL, NULL, 20354),
(57088, '3b0dC00', NULL, NULL, 76, NULL, NULL, 20354),
(57089, '4wnnA00', NULL, NULL, 86, NULL, NULL, 20354),
(57090, '3b0bB00', NULL, NULL, 107, NULL, NULL, 20354),
(57091, '6a7uA00', NULL, NULL, 204, NULL, NULL, 20354),
(57092, '4wv4B00', NULL, NULL, 97, NULL, NULL, 20354),
(57093, '4csrA00', NULL, NULL, 94, NULL, NULL, 20354),
(57094, '2yfvA00', NULL, NULL, 73, NULL, NULL, 20354);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(57095, '5zbxA00', NULL, NULL, 100, NULL, NULL, 20354),
(57096, '1kx5A00', NULL, NULL, 135, NULL, NULL, 20354),
(57097, '4z5tE00', NULL, NULL, 97, NULL, NULL, 20354),
(57098, '5z23G00', NULL, NULL, 104, NULL, NULL, 20354),
(57099, '5gt0C00', NULL, NULL, 130, NULL, NULL, 20354),
(57100, '2f8nG00', NULL, NULL, 120, NULL, NULL, 20354),
(57101, '1kx3D00', NULL, NULL, 94, NULL, NULL, 20354),
(57102, '3v9rA00', NULL, NULL, 90, NULL, NULL, 20354),
(57103, '1tzyF00', NULL, NULL, 93, NULL, NULL, 20354),
(57104, '3wkjD00', NULL, NULL, 94, NULL, NULL, 20354),
(57105, '6ae8A00', NULL, NULL, 193, NULL, NULL, 20354),
(57106, '1jfiA00', NULL, NULL, 75, NULL, NULL, 20354),
(57107, '4jjnE00', NULL, NULL, 97, NULL, NULL, 20354),
(57108, '1h3oA00', NULL, NULL, 50, NULL, NULL, 20354),
(57109, '4jjnC00', NULL, NULL, 131, NULL, NULL, 20354),
(57110, '2yfwB00', NULL, NULL, 74, NULL, NULL, 20354),
(57111, '5g49B00', NULL, NULL, 95, NULL, NULL, 20354),
(57112, '5z23C00', NULL, NULL, 121, NULL, NULL, 20354),
(57113, '6e0pA00', NULL, NULL, 99, NULL, NULL, 20354),
(57114, '5b1mD00', NULL, NULL, 95, NULL, NULL, 20354),
(57115, '2hueB00', NULL, NULL, 77, NULL, NULL, 20354),
(57116, '1tafB00', NULL, NULL, 70, NULL, NULL, 20354),
(57117, '4g92B00', NULL, NULL, 92, NULL, NULL, 20354),
(57118, '5b31G00', NULL, NULL, 112, NULL, NULL, 20354),
(57119, '4cayB00', NULL, NULL, 97, NULL, NULL, 20354),
(57120, '4ne3A00', NULL, NULL, 93, NULL, NULL, 20354),
(57121, '1f1eA00', NULL, NULL, 154, NULL, NULL, 20354),
(57122, '1bh9A00', NULL, NULL, 45, NULL, NULL, 20354),
(57123, '3sdbA03', NULL, NULL, 123, NULL, NULL, 20355),
(57124, '3u2gA02', NULL, NULL, 129, NULL, NULL, 20356),
(57125, '4ag1C00', NULL, NULL, 68, NULL, NULL, 20357),
(57126, '2cubA00', NULL, NULL, 88, NULL, NULL, 20357),
(57127, '3tvtA01', NULL, NULL, 98, NULL, NULL, 20357),
(57128, '1wx6A01', NULL, NULL, 66, NULL, NULL, 20357),
(57129, '3zl7C00', NULL, NULL, 67, NULL, NULL, 20357),
(57130, '2kxcA00', NULL, NULL, 67, NULL, NULL, 20357),
(57131, '1e6gA00', NULL, NULL, 62, NULL, NULL, 20357),
(57132, '4f14A00', NULL, NULL, 64, NULL, NULL, 20357),
(57133, '2jteA00', NULL, NULL, 64, NULL, NULL, 20357),
(57134, '3a98A01', NULL, NULL, 76, NULL, NULL, 20357),
(57135, '5o99A00', NULL, NULL, 60, NULL, NULL, 20357),
(57136, '1bb9A00', NULL, NULL, 83, NULL, NULL, 20357),
(57137, '4lnpA00', NULL, NULL, 61, NULL, NULL, 20357),
(57138, '2i0nA01', NULL, NULL, 57, NULL, NULL, 20357),
(57139, '3ua7A00', NULL, NULL, 64, NULL, NULL, 20357),
(57140, '1wfwA00', NULL, NULL, 74, NULL, NULL, 20357),
(57141, '5gjvB00', NULL, NULL, 106, NULL, NULL, 20357),
(57142, '4rugB00', NULL, NULL, 92, NULL, NULL, 20357),
(57143, '2rn8A00', NULL, NULL, 64, NULL, NULL, 20357),
(57144, '2gncA00', NULL, NULL, 60, NULL, NULL, 20357),
(57145, '2dmoA00', NULL, NULL, 68, NULL, NULL, 20357),
(57146, '2qdlA01', NULL, NULL, 62, NULL, NULL, 20357),
(57147, '5np2B00', NULL, NULL, 61, NULL, NULL, 20357),
(57148, '6edfA00', NULL, NULL, 79, NULL, NULL, 20357),
(57149, '2vvkA00', NULL, NULL, 56, NULL, NULL, 20357),
(57150, '2frwA00', NULL, NULL, 57, NULL, NULL, 20357),
(57151, '2feiA00', NULL, NULL, 65, NULL, NULL, 20357),
(57152, '2rqrA00', NULL, NULL, 119, NULL, NULL, 20357),
(57153, '2lj0A00', NULL, NULL, 65, NULL, NULL, 20357),
(57154, '6gbuD00', NULL, NULL, 65, NULL, NULL, 20357),
(57155, '6ghmC02', NULL, NULL, 64, NULL, NULL, 20357),
(57156, '2egcA00', NULL, NULL, 75, NULL, NULL, 20357),
(57157, '1g2bA00', NULL, NULL, 62, NULL, NULL, 20357),
(57158, '6h5tA00', NULL, NULL, 65, NULL, NULL, 20357),
(57159, '4krtB03', NULL, NULL, 67, NULL, NULL, 20357),
(57160, '1fmkA01', NULL, NULL, 64, NULL, NULL, 20357),
(57161, '2oawA00', NULL, NULL, 65, NULL, NULL, 20357),
(57162, '3reaB00', NULL, NULL, 61, NULL, NULL, 20357),
(57163, '3iqlA00', NULL, NULL, 71, NULL, NULL, 20357),
(57164, '2keaA00', NULL, NULL, 63, NULL, NULL, 20357),
(57165, '1ug1A00', NULL, NULL, 92, NULL, NULL, 20357),
(57166, '2dnuA00', NULL, NULL, 71, NULL, NULL, 20357),
(57167, '1ue9A00', NULL, NULL, 80, NULL, NULL, 20357),
(57168, '2k2mA00', NULL, NULL, 68, NULL, NULL, 20357);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(57169, '2js2A00', NULL, NULL, 63, NULL, NULL, 20357),
(57170, '4afqC00', NULL, NULL, 66, NULL, NULL, 20357),
(57171, '2lqwA02', NULL, NULL, 67, NULL, NULL, 20357),
(57172, '1s1nA00', NULL, NULL, 68, NULL, NULL, 20357),
(57173, '2iimA00', NULL, NULL, 62, NULL, NULL, 20357),
(57174, '1k9aA01', NULL, NULL, 67, NULL, NULL, 20357),
(57175, '5veiA00', NULL, NULL, 80, NULL, NULL, 20357),
(57176, '6ipyA00', NULL, NULL, 81, NULL, NULL, 20357),
(57177, '6ipzZ00', NULL, NULL, 70, NULL, NULL, 20357),
(57178, '1gl5A00', NULL, NULL, 67, NULL, NULL, 20357),
(57179, '5ixfA00', NULL, NULL, 70, NULL, NULL, 20357),
(57180, '1y0mA00', NULL, NULL, 61, NULL, NULL, 20357),
(57181, '1efnA00', NULL, NULL, 59, NULL, NULL, 20357),
(57182, '2eyyA02', NULL, NULL, 80, NULL, NULL, 20357),
(57183, '6nmwA00', NULL, NULL, 69, NULL, NULL, 20357),
(57184, '4ag2C00', NULL, NULL, 63, NULL, NULL, 20357),
(57185, '4j9fA00', NULL, NULL, 63, NULL, NULL, 20357),
(57186, '1negA00', NULL, NULL, 67, NULL, NULL, 20357),
(57187, '3tszA02', NULL, NULL, 71, NULL, NULL, 20357),
(57188, '4iioA00', NULL, NULL, 66, NULL, NULL, 20357),
(57189, '1vyuA01', NULL, NULL, 104, NULL, NULL, 20357),
(57190, '2kt8A00', NULL, NULL, 76, NULL, NULL, 20357),
(57191, '1zlmA00', NULL, NULL, 58, NULL, NULL, 20357),
(57192, '4orzA00', NULL, NULL, 67, NULL, NULL, 20357),
(57193, '1x6bA01', NULL, NULL, 64, NULL, NULL, 20357),
(57194, '2kgtA00', NULL, NULL, 72, NULL, NULL, 20357),
(57195, '2csiA00', NULL, NULL, 76, NULL, NULL, 20357),
(57196, '1yn8A00', NULL, NULL, 59, NULL, NULL, 20357),
(57197, '3i35A00', NULL, NULL, 60, NULL, NULL, 20357),
(57198, '2lmjA00', NULL, NULL, 66, NULL, NULL, 20357),
(57199, '1zuuA00', NULL, NULL, 58, NULL, NULL, 20357),
(57200, '2eyzA03', NULL, NULL, 91, NULL, NULL, 20357),
(57201, '6c4sA00', NULL, NULL, 74, NULL, NULL, 20357),
(57202, '2ebpA00', NULL, NULL, 73, NULL, NULL, 20357),
(57203, '1awwA00', NULL, NULL, 67, NULL, NULL, 20357),
(57204, '3qwxX02', NULL, NULL, 59, NULL, NULL, 20357),
(57205, '3m0rA00', NULL, NULL, 62, NULL, NULL, 20357),
(57206, '1tucA00', NULL, NULL, 63, NULL, NULL, 20357),
(57207, '1x6gA00', NULL, NULL, 81, NULL, NULL, 20357),
(57208, '4esrA00', NULL, NULL, 69, NULL, NULL, 20357),
(57209, '5nuhD00', NULL, NULL, 60, NULL, NULL, 20357),
(57210, '2dybB02', NULL, NULL, 59, NULL, NULL, 20357),
(57211, '3uatA01', NULL, NULL, 105, NULL, NULL, 20357),
(57212, '1t0hA00', NULL, NULL, 105, NULL, NULL, 20357),
(57213, '2drmA00', NULL, NULL, 58, NULL, NULL, 20357),
(57214, '1k4uS00', NULL, NULL, 62, NULL, NULL, 20357),
(57215, '2ew3A00', NULL, NULL, 68, NULL, NULL, 20357),
(57216, '4glmA00', NULL, NULL, 72, NULL, NULL, 20357),
(57217, '2v1qA00', NULL, NULL, 60, NULL, NULL, 20357),
(57218, '2fpeA00', NULL, NULL, 62, NULL, NULL, 20357),
(57219, '2m0yA00', NULL, NULL, 74, NULL, NULL, 20357),
(57220, '1wi7A00', NULL, NULL, 68, NULL, NULL, 20357),
(57221, '3ulrB00', NULL, NULL, 65, NULL, NULL, 20357),
(57222, '3i9qA00', NULL, NULL, 57, NULL, NULL, 20357),
(57223, '2b86A00', NULL, NULL, 67, NULL, NULL, 20357),
(57224, '1ng2A02', NULL, NULL, 68, NULL, NULL, 20357),
(57225, '1ng2A01', NULL, NULL, 53, NULL, NULL, 20357),
(57226, '2yunA00', NULL, NULL, 79, NULL, NULL, 20357),
(57227, '2e5kA01', NULL, NULL, 64, NULL, NULL, 20357),
(57228, '2gqiA00', NULL, NULL, 71, NULL, NULL, 20357),
(57229, '3h41A02', NULL, NULL, 68, NULL, NULL, 20357),
(57230, '1u3oA01', NULL, NULL, 75, NULL, NULL, 20357),
(57231, '1sshA00', NULL, NULL, 60, NULL, NULL, 20357),
(57232, '2kbtA00', NULL, NULL, 69, NULL, NULL, 20357),
(57233, '1i07A00', NULL, NULL, 60, NULL, NULL, 20357),
(57234, '3pvlA05', NULL, NULL, 82, NULL, NULL, 20357),
(57235, '2d8jA00', NULL, NULL, 77, NULL, NULL, 20357),
(57236, '1gcqC00', NULL, NULL, 70, NULL, NULL, 20357),
(57237, '2v1rA00', NULL, NULL, 80, NULL, NULL, 20357),
(57238, '2a36A00', NULL, NULL, 59, NULL, NULL, 20357),
(57239, '5ul6A00', NULL, NULL, 58, NULL, NULL, 20357),
(57240, '1wxuA01', NULL, NULL, 66, NULL, NULL, 20357),
(57241, '1vyvA01', NULL, NULL, 108, NULL, NULL, 20357),
(57242, '5xhzA00', NULL, NULL, 66, NULL, NULL, 20357);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(57243, '1x2qA00', NULL, NULL, 88, NULL, NULL, 20357),
(57244, '2rqvA01', NULL, NULL, 86, NULL, NULL, 20357),
(57245, '2bzyA00', NULL, NULL, 67, NULL, NULL, 20357),
(57246, '1ov3A01', NULL, NULL, 55, NULL, NULL, 20357),
(57247, '2a08A00', NULL, NULL, 60, NULL, NULL, 20357),
(57248, '2bz8A00', NULL, NULL, 58, NULL, NULL, 20357),
(57249, '1x43A01', NULL, NULL, 62, NULL, NULL, 20357),
(57250, '1arkA00', NULL, NULL, 60, NULL, NULL, 20357),
(57251, '1uffA00', NULL, NULL, 93, NULL, NULL, 20357),
(57252, '1qcfA01', NULL, NULL, 63, NULL, NULL, 20357),
(57253, '2da9A00', NULL, NULL, 70, NULL, NULL, 20357),
(57254, '1ov3A02', NULL, NULL, 57, NULL, NULL, 20357),
(57255, '1r77A00', NULL, NULL, 103, NULL, NULL, 20357),
(57256, '2hbwA01', NULL, NULL, 87, NULL, NULL, 20357),
(57257, '1uhcA00', NULL, NULL, 79, NULL, NULL, 20357),
(57258, '2enmA00', NULL, NULL, 77, NULL, NULL, 20357),
(57259, '5yprA01', NULL, NULL, 109, NULL, NULL, 20357),
(57260, '3u23A00', NULL, NULL, 65, NULL, NULL, 20357),
(57261, '1b07A00', NULL, NULL, 65, NULL, NULL, 20357),
(57262, '1w1fA00', NULL, NULL, 65, NULL, NULL, 20357),
(57263, '1x27B01', NULL, NULL, 62, NULL, NULL, 20357),
(57264, '3lh5A01', NULL, NULL, 98, NULL, NULL, 20357),
(57265, '2xmfA00', NULL, NULL, 60, NULL, NULL, 20357),
(57266, '1ad5A01', NULL, NULL, 63, NULL, NULL, 20357),
(57267, '1j3tA00', NULL, NULL, 74, NULL, NULL, 20357),
(57268, '2j05A00', NULL, NULL, 65, NULL, NULL, 20357),
(57269, '5k26B00', NULL, NULL, 86, NULL, NULL, 20357),
(57270, '1uj0A00', NULL, NULL, 62, NULL, NULL, 20357),
(57271, '2pqhB00', NULL, NULL, 80, NULL, NULL, 20357),
(57272, '1pwtA00', NULL, NULL, 61, NULL, NULL, 20357),
(57273, '1b3qB03', NULL, NULL, 69, NULL, NULL, 20357),
(57274, '2egeA00', NULL, NULL, 75, NULL, NULL, 20357),
(57275, '5o1qA00', NULL, NULL, 106, NULL, NULL, 20357),
(57276, '1zuyA00', NULL, NULL, 58, NULL, NULL, 20357),
(57277, '1hsqA00', NULL, NULL, 71, NULL, NULL, 20357),
(57278, '2akkA00', NULL, NULL, 74, NULL, NULL, 20357),
(57279, '4wciC00', NULL, NULL, 65, NULL, NULL, 20357),
(57280, '3ehrB01', NULL, NULL, 74, NULL, NULL, 20357),
(57281, '2nwmA00', NULL, NULL, 65, NULL, NULL, 20357),
(57282, '3pvqB01', NULL, NULL, 75, NULL, NULL, 20357),
(57283, '3i5rA00', NULL, NULL, 83, NULL, NULL, 20357),
(57284, '4z8aA00', NULL, NULL, 75, NULL, NULL, 20357),
(57285, '2js0A00', NULL, NULL, 61, NULL, NULL, 20357),
(57286, '1nloC00', NULL, NULL, 64, NULL, NULL, 20357),
(57287, '2pz1A01', NULL, NULL, 87, NULL, NULL, 20357),
(57288, '2dlpA00', NULL, NULL, 85, NULL, NULL, 20357),
(57289, '2ke9A00', NULL, NULL, 67, NULL, NULL, 20357),
(57290, '2heqA01', NULL, NULL, 54, NULL, NULL, 20357),
(57291, '2yuoA00', NULL, NULL, 78, NULL, NULL, 20357),
(57292, '4zw2A01', NULL, NULL, 145, NULL, NULL, 20357),
(57293, '5leoA00', NULL, NULL, 94, NULL, NULL, 20357),
(57294, '5v2qA01', NULL, NULL, 115, NULL, NULL, 20357),
(57295, '2kybA00', NULL, NULL, 60, NULL, NULL, 20357),
(57296, '4cc2A00', NULL, NULL, 67, NULL, NULL, 20357),
(57297, '1ruwA01', NULL, NULL, 60, NULL, NULL, 20357),
(57298, '6cpjA00', NULL, NULL, 61, NULL, NULL, 20357),
(57299, '2dl4A00', NULL, NULL, 68, NULL, NULL, 20357),
(57300, '3rnjA00', NULL, NULL, 67, NULL, NULL, 20357),
(57301, '4iimA00', NULL, NULL, 70, NULL, NULL, 20357),
(57302, '1semA00', NULL, NULL, 58, NULL, NULL, 20357),
(57303, '1x2kA00', NULL, NULL, 68, NULL, NULL, 20357),
(57304, '1ri9A00', NULL, NULL, 83, NULL, NULL, 20357),
(57305, '1wxtA00', NULL, NULL, 68, NULL, NULL, 20357),
(57306, '4deyA01', NULL, NULL, 121, NULL, NULL, 20357),
(57307, '2ak5B00', NULL, NULL, 64, NULL, NULL, 20357),
(57308, '2jmcA00', NULL, NULL, 77, NULL, NULL, 20357),
(57309, '2evrA01', NULL, NULL, 74, NULL, NULL, 20357),
(57310, '2dx1A01', NULL, NULL, 69, NULL, NULL, 20357),
(57311, '2gtjA01', NULL, NULL, 74, NULL, NULL, 20357),
(57312, '4e6rA00', NULL, NULL, 58, NULL, NULL, 20357),
(57313, '2dk3A00', NULL, NULL, 86, NULL, NULL, 20357),
(57314, '6cpiA00', NULL, NULL, 61, NULL, NULL, 20357),
(57315, '2dl5A00', NULL, NULL, 78, NULL, NULL, 20357),
(57316, '2creA00', NULL, NULL, 71, NULL, NULL, 20357);
INSERT INTO "PUBLIC"."MODEL" VALUES
(57317, '2krsA01', NULL, NULL, 60, NULL, NULL, 20357),
(57318, '5np5A00', NULL, NULL, 61, NULL, NULL, 20357),
(57319, '3pvqA01', NULL, NULL, 75, NULL, NULL, 20357),
(57320, '2ysqA00', NULL, NULL, 81, NULL, NULL, 20357),
(57321, '2rolA00', NULL, NULL, 64, NULL, NULL, 20357),
(57322, '2ed0A00', NULL, NULL, 78, NULL, NULL, 20357),
(57323, '1k1zA00', NULL, NULL, 78, NULL, NULL, 20357),
(57324, '1zx6A00', NULL, NULL, 58, NULL, NULL, 20357),
(57325, '1i1jB00', NULL, NULL, 108, NULL, NULL, 20357),
(57326, '2o2oA00', NULL, NULL, 92, NULL, NULL, 20357),
(57327, '2epdA00', NULL, NULL, 76, NULL, NULL, 20357),
(57328, '4wsiA02', NULL, NULL, 66, NULL, NULL, 20357),
(57329, '1ugvA00', NULL, NULL, 72, NULL, NULL, 20357),
(57330, '3cqtA00', NULL, NULL, 62, NULL, NULL, 20357),
(57331, '5fwbA00', NULL, NULL, 62, NULL, NULL, 20357),
(57332, '2dm1A00', NULL, NULL, 73, NULL, NULL, 20357),
(57333, '2dilA00', NULL, NULL, 69, NULL, NULL, 20357),
(57334, '2dybA02', NULL, NULL, 79, NULL, NULL, 20357),
(57335, '5sxpA00', NULL, NULL, 62, NULL, NULL, 20357),
(57336, '1opkA01', NULL, NULL, 63, NULL, NULL, 20357),
(57337, '2lx7A00', NULL, NULL, 60, NULL, NULL, 20357),
(57338, '3r6nA03', NULL, NULL, 69, NULL, NULL, 20357),
(57339, '2aklA02', NULL, NULL, 73, NULL, NULL, 20357),
(57340, '2csqA01', NULL, NULL, 65, NULL, NULL, 20357),
(57341, '1v1cA00', NULL, NULL, 71, NULL, NULL, 20357),
(57342, '5xggE00', NULL, NULL, 66, NULL, NULL, 20357),
(57343, '2eczA00', NULL, NULL, 70, NULL, NULL, 20357),
(57344, '2krnA00', NULL, NULL, 60, NULL, NULL, 20357),
(57345, '2l3sA01', NULL, NULL, 57, NULL, NULL, 20357),
(57346, '2l3sA02', NULL, NULL, 76, NULL, NULL, 20357),
(57347, '4ln2A00', NULL, NULL, 68, NULL, NULL, 20357),
(57348, '2mioA00', NULL, NULL, 70, NULL, NULL, 20357),
(57349, '2yupA01', NULL, NULL, 65, NULL, NULL, 20357),
(57350, '4j9cA00', NULL, NULL, 63, NULL, NULL, 20357),
(57351, '2ydlA00', NULL, NULL, 69, NULL, NULL, 20357),
(57352, '6b26A01', NULL, NULL, 54, NULL, NULL, 20357),
(57353, '1z9qA00', NULL, NULL, 79, NULL, NULL, 20357),
(57354, '3jv3A01', NULL, NULL, 64, NULL, NULL, 20357),
(57355, '5v2pA01', NULL, NULL, 130, NULL, NULL, 20357),
(57356, '2ggrA00', NULL, NULL, 76, NULL, NULL, 20357),
(57357, '3npfA01', NULL, NULL, 75, NULL, NULL, 20357),
(57358, '2egaA00', NULL, NULL, 70, NULL, NULL, 20357),
(57359, '3h0hA00', NULL, NULL, 73, NULL, NULL, 20357),
(57360, '4e6rB00', NULL, NULL, 58, NULL, NULL, 20357),
(57361, '2d8hA00', NULL, NULL, 80, NULL, NULL, 20357),
(57362, '3npfA02', NULL, NULL, 70, NULL, NULL, 20357),
(57363, '2rf0A00', NULL, NULL, 62, NULL, NULL, 20357),
(57364, '4r0kB01', NULL, NULL, 75, NULL, NULL, 20357),
(57365, '4jpbW01', NULL, NULL, 72, NULL, NULL, 20357),
(57366, '1awoA00', NULL, NULL, 62, NULL, NULL, 20357),
(57367, '2djqA00', NULL, NULL, 68, NULL, NULL, 20357),
(57368, '2dl3A00', NULL, NULL, 68, NULL, NULL, 20357),
(57369, '1vytA01', NULL, NULL, 138, NULL, NULL, 20357),
(57370, '2rqtA00', NULL, NULL, 61, NULL, NULL, 20357),
(57371, '2ct4A00', NULL, NULL, 70, NULL, NULL, 20357),
(57372, '6gbuA00', NULL, NULL, 63, NULL, NULL, 20357),
(57373, '2ekhA00', NULL, NULL, 80, NULL, NULL, 20357),
(57374, '2dbmA00', NULL, NULL, 73, NULL, NULL, 20357),
(57375, '2x3wD00', NULL, NULL, 60, NULL, NULL, 20357),
(57376, '1m3cA00', NULL, NULL, 60, NULL, NULL, 20357),
(57377, '5nvjA00', NULL, NULL, 60, NULL, NULL, 20357),
(57378, '1xovA02', NULL, NULL, 66, NULL, NULL, 20357),
(57379, '2de0X03', NULL, NULL, 58, NULL, NULL, 20357),
(57380, '4hvwA00', NULL, NULL, 61, NULL, NULL, 20357),
(57381, '1griA01', NULL, NULL, 54, NULL, NULL, 20357),
(57382, '3pe0A03', NULL, NULL, 67, NULL, NULL, 20357),
(57383, '1xovA03', NULL, NULL, 72, NULL, NULL, 20357),
(57384, '2d0nA00', NULL, NULL, 59, NULL, NULL, 20357),
(57385, '1ujyA00', NULL, NULL, 76, NULL, NULL, 20357),
(57386, '1awjA00', NULL, NULL, 77, NULL, NULL, 20357),
(57387, '2dl8A00', NULL, NULL, 72, NULL, NULL, 20357),
(57388, '1spkA00', NULL, NULL, 72, NULL, NULL, 20357),
(57389, '5ecaA00', NULL, NULL, 60, NULL, NULL, 20357),
(57390, '2hdaA00', NULL, NULL, 64, NULL, NULL, 20357);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(57391, '2o9sA00', NULL, NULL, 67, NULL, NULL, 20357),
(57392, '2a28A00', NULL, NULL, 54, NULL, NULL, 20357),
(57393, '1uecA01', NULL, NULL, 53, NULL, NULL, 20357),
(57394, '2yt6A01', NULL, NULL, 89, NULL, NULL, 20357),
(57395, '4m4zA01', NULL, NULL, 65, NULL, NULL, 20357),
(57396, '1x69A00', NULL, NULL, 79, NULL, NULL, 20357),
(57397, '3npfB01', NULL, NULL, 75, NULL, NULL, 20357),
(57398, '2vwfA00', NULL, NULL, 58, NULL, NULL, 20357),
(57399, '3c0cA00', NULL, NULL, 73, NULL, NULL, 20357),
(57400, '1utiA00', NULL, NULL, 58, NULL, NULL, 20357),
(57401, '2kt1A00', NULL, NULL, 88, NULL, NULL, 20357),
(57402, '2cudA00', NULL, NULL, 79, NULL, NULL, 20357),
(57403, '4r0kA02', NULL, NULL, 70, NULL, NULL, 20357),
(57404, '3o5zB00', NULL, NULL, 90, NULL, NULL, 20357),
(57405, '4r0kA01', NULL, NULL, 75, NULL, NULL, 20357),
(57406, '2k6dA00', NULL, NULL, 62, NULL, NULL, 20357),
(57407, '3ngpA00', NULL, NULL, 62, NULL, NULL, 20357),
(57408, '5f3yA05', NULL, NULL, 78, NULL, NULL, 20357),
(57409, '2vknA00', NULL, NULL, 70, NULL, NULL, 20357),
(57410, '1gbqA00', NULL, NULL, 74, NULL, NULL, 20357),
(57411, '3kfvA01', NULL, NULL, 124, NULL, NULL, 20357),
(57412, '6f55A00', NULL, NULL, 67, NULL, NULL, 20357),
(57413, '1jegA00', NULL, NULL, 83, NULL, NULL, 20357),
(57414, '6b25A01', NULL, NULL, 54, NULL, NULL, 20357),
(57415, '1jo8A00', NULL, NULL, 58, NULL, NULL, 20357),
(57416, '1wieA01', NULL, NULL, 64, NULL, NULL, 20357),
(57417, '4z88A00', NULL, NULL, 73, NULL, NULL, 20357),
(57418, '1wxbA00', NULL, NULL, 68, NULL, NULL, 20357),
(57419, '1w70A00', NULL, NULL, 60, NULL, NULL, 20357),
(57420, '1wyxA00', NULL, NULL, 69, NULL, NULL, 20357),
(57421, '2l0aA00', NULL, NULL, 72, NULL, NULL, 20357),
(57422, '2eqiA00', NULL, NULL, 69, NULL, NULL, 20357),
(57423, '4le9A00', NULL, NULL, 59, NULL, NULL, 20357),
(57424, '1tg0A00', NULL, NULL, 68, NULL, NULL, 20357),
(57425, '2g6fX00', NULL, NULL, 59, NULL, NULL, 20357),
(57426, '2ct3A00', NULL, NULL, 70, NULL, NULL, 20357),
(57427, '1jxmA01', NULL, NULL, 100, NULL, NULL, 20357),
(57428, '3dkmA00', NULL, NULL, 89, NULL, NULL, 20357),
(57429, '1nm7A00', NULL, NULL, 69, NULL, NULL, 20357),
(57430, '4krtA02', NULL, NULL, 68, NULL, NULL, 20357),
(57431, '2kymA01', NULL, NULL, 93, NULL, NULL, 20357),
(57432, '5k28A00', NULL, NULL, 64, NULL, NULL, 20357),
(57433, '1uhfA00', NULL, NULL, 69, NULL, NULL, 20357),
(57434, '1udlA00', NULL, NULL, 98, NULL, NULL, 20357),
(57435, '2jxbA00', NULL, NULL, 86, NULL, NULL, 20357),
(57436, '1xruA01', NULL, NULL, 124, NULL, NULL, 20358),
(57437, '2dulA02', NULL, NULL, 60, NULL, NULL, 20359),
(57438, '3axsA02', NULL, NULL, 70, NULL, NULL, 20359),
(57439, '1ok8A03', NULL, NULL, 81, NULL, NULL, 20360),
(57440, '6j5cA03', NULL, NULL, 80, NULL, NULL, 20360),
(57441, '4utaA03', NULL, NULL, 79, NULL, NULL, 20360),
(57442, '1uzgA03', NULL, NULL, 79, NULL, NULL, 20360),
(57443, '1svbA03', NULL, NULL, 80, NULL, NULL, 20360),
(57444, '5mv2A03', NULL, NULL, 79, NULL, NULL, 20360),
(57445, '5jhmA03', NULL, NULL, 79, NULL, NULL, 20360),
(57446, '2hg0A03', NULL, NULL, 85, NULL, NULL, 20360),
(57447, '3uajA03', NULL, NULL, 80, NULL, NULL, 20360),
(57448, '6a0pA03', NULL, NULL, 85, NULL, NULL, 20360),
(57449, '6ivzA03', NULL, NULL, 81, NULL, NULL, 20360),
(57450, '4fg0A03', NULL, NULL, 81, NULL, NULL, 20360),
(57451, '4gsxA03', NULL, NULL, 81, NULL, NULL, 20360),
(57452, '3venA03', NULL, NULL, 205, NULL, NULL, 20361),
(57453, '5wtuC00', NULL, NULL, 110, NULL, NULL, 20362),
(57454, '4lrvF00', NULL, NULL, 109, NULL, NULL, 20362),
(57455, '4hr1A00', NULL, NULL, 126, NULL, NULL, 20363),
(57456, '2l3uA00', NULL, NULL, 98, NULL, NULL, 20364),
(57457, '3lywA00', NULL, NULL, 90, NULL, NULL, 20364),
(57458, '2kq1A01', NULL, NULL, 93, NULL, NULL, 20364),
(57459, '5hqhA00', NULL, NULL, 109, NULL, NULL, 20364),
(57460, '5v01B00', NULL, NULL, 173, NULL, NULL, 20365),
(57461, '4uuwA03', NULL, NULL, 147, NULL, NULL, 20365),
(57462, '5vu3H00', NULL, NULL, 170, NULL, NULL, 20365),
(57463, '5kvkA00', NULL, NULL, 170, NULL, NULL, 20365),
(57464, '5kolD00', NULL, NULL, 173, NULL, NULL, 20365);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(57465, '2a9sB00', NULL, NULL, 171, NULL, NULL, 20365),
(57466, '5ot1A03', NULL, NULL, 54, NULL, NULL, 20366),
(57467, '4lxfA02', NULL, NULL, 70, NULL, NULL, 20366),
(57468, '1uokA02', NULL, NULL, 70, NULL, NULL, 20366),
(57469, '4xb3A02', NULL, NULL, 65, NULL, NULL, 20366),
(57470, '3wy2A02', NULL, NULL, 71, NULL, NULL, 20366),
(57471, '1g5aA03', NULL, NULL, 72, NULL, NULL, 20366),
(57472, '5do8A02', NULL, NULL, 67, NULL, NULL, 20366),
(57473, '1lwjA02', NULL, NULL, 65, NULL, NULL, 20366),
(57474, '1wzaA02', NULL, NULL, 64, NULL, NULL, 20366),
(57475, '4aeeA04', NULL, NULL, 79, NULL, NULL, 20366),
(57476, '3czgA03', NULL, NULL, 73, NULL, NULL, 20366),
(57477, '1j0hA03', NULL, NULL, 54, NULL, NULL, 20366),
(57478, '3zo9A02', NULL, NULL, 70, NULL, NULL, 20366),
(57479, '5brqA02', NULL, NULL, 71, NULL, NULL, 20366),
(57480, '3ucqA03', NULL, NULL, 77, NULL, NULL, 20366),
(57481, '4aieA02', NULL, NULL, 70, NULL, NULL, 20366),
(57482, '3aj7A02', NULL, NULL, 76, NULL, NULL, 20366),
(57483, '1m53A02', NULL, NULL, 70, NULL, NULL, 20366),
(57484, '1zjaA02', NULL, NULL, 70, NULL, NULL, 20366),
(57485, '3k8kA03', NULL, NULL, 77, NULL, NULL, 20366),
(57486, '5m99A02', NULL, NULL, 65, NULL, NULL, 20366),
(57487, '4wf7A02', NULL, NULL, 76, NULL, NULL, 20366),
(57488, '1ea9C03', NULL, NULL, 55, NULL, NULL, 20366),
(57489, '1wzlA03', NULL, NULL, 55, NULL, NULL, 20366),
(57490, '4howA02', NULL, NULL, 70, NULL, NULL, 20366),
(57491, '2wpgA03', NULL, NULL, 73, NULL, NULL, 20366),
(57492, '1smaA03', NULL, NULL, 54, NULL, NULL, 20366),
(57493, '4aysA03', NULL, NULL, 73, NULL, NULL, 20366),
(57494, '6fmeA02', NULL, NULL, 81, NULL, NULL, 20366),
(57495, '3gbeA02', NULL, NULL, 70, NULL, NULL, 20366),
(57496, '4mb1A02', NULL, NULL, 71, NULL, NULL, 20366),
(57497, '2ze0A02', NULL, NULL, 72, NULL, NULL, 20366),
(57498, '1debB00', NULL, NULL, 54, NULL, NULL, 20367),
(57499, '1mz9A00', NULL, NULL, 45, NULL, NULL, 20367),
(57500, '1u7lA01', NULL, NULL, 119, NULL, NULL, 20368),
(57501, '2l14B00', NULL, NULL, 49, NULL, NULL, 20369),
(57502, '2z3qA00', NULL, NULL, 119, NULL, NULL, 20370),
(57503, '3tgxB00', NULL, NULL, 134, NULL, NULL, 20370),
(57504, '2psmA00', NULL, NULL, 121, NULL, NULL, 20370),
(57505, '4gs7A00', NULL, NULL, 116, NULL, NULL, 20370),
(57506, '2f0cB01', NULL, NULL, 44, NULL, NULL, 20371),
(57507, '4hepA01', NULL, NULL, 59, NULL, NULL, 20371),
(57508, '3aieA03', NULL, NULL, 417, NULL, NULL, 20372),
(57509, '5lfcA04', NULL, NULL, 415, NULL, NULL, 20372),
(57510, '5jbdA03', NULL, NULL, 403, NULL, NULL, 20372),
(57511, '4amcA04', NULL, NULL, 425, NULL, NULL, 20372),
(57512, '3klkA03', NULL, NULL, 369, NULL, NULL, 20372),
(57513, '4tvcA04', NULL, NULL, 421, NULL, NULL, 20372),
(57514, '3bwsA01', NULL, NULL, 84, NULL, NULL, 20373),
(57515, '4i5tB00', NULL, NULL, 333, NULL, NULL, 20374),
(57516, '3k93A00', NULL, NULL, 223, NULL, NULL, 20375),
(57517, '1w36B05', NULL, NULL, 292, NULL, NULL, 20375),
(57518, '3h4rA00', NULL, NULL, 231, NULL, NULL, 20375),
(57519, '3sm4A00', NULL, NULL, 229, NULL, NULL, 20375),
(57520, '4ic1D00', NULL, NULL, 206, NULL, NULL, 20375),
(57521, '5ld2B05', NULL, NULL, 291, NULL, NULL, 20375),
(57522, '4r5qA00', NULL, NULL, 216, NULL, NULL, 20375),
(57523, '3l0aA00', NULL, NULL, 266, NULL, NULL, 20375),
(57524, '3syyA00', NULL, NULL, 216, NULL, NULL, 20375),
(57525, '3u4qA06', NULL, NULL, 244, NULL, NULL, 20375),
(57526, '4dmgA01', NULL, NULL, 72, NULL, NULL, 20376),
(57527, '3zv0C01', NULL, NULL, 170, NULL, NULL, 20376),
(57528, '2b78A01', NULL, NULL, 66, NULL, NULL, 20376),
(57529, '1sgvA02', NULL, NULL, 63, NULL, NULL, 20376),
(57530, '2cx0A02', NULL, NULL, 83, NULL, NULL, 20376),
(57531, '3u28A01', NULL, NULL, 143, NULL, NULL, 20376),
(57532, '1sqwA02', NULL, NULL, 95, NULL, NULL, 20376),
(57533, '1r3eA02', NULL, NULL, 88, NULL, NULL, 20376),
(57534, '2ey4B01', NULL, NULL, 129, NULL, NULL, 20376),
(57535, '1wxxA01', NULL, NULL, 66, NULL, NULL, 20376),
(57536, '1q7hA02', NULL, NULL, 86, NULL, NULL, 20376),
(57537, '2apoA01', NULL, NULL, 104, NULL, NULL, 20376),
(57538, '2j5vA02', NULL, NULL, 94, NULL, NULL, 20376);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(57539, '3vseA01', NULL, NULL, 69, NULL, NULL, 20376),
(57540, '3d79A02', NULL, NULL, 94, NULL, NULL, 20376),
(57541, '3c0kA01', NULL, NULL, 72, NULL, NULL, 20376),
(57542, '2ausA01', NULL, NULL, 130, NULL, NULL, 20376),
(57543, '1iq8A04', NULL, NULL, 78, NULL, NULL, 20376),
(57544, '2q07A03', NULL, NULL, 76, NULL, NULL, 20376),
(57545, '1r3fA02', NULL, NULL, 65, NULL, NULL, 20376),
(57546, '4q1tA02', NULL, NULL, 103, NULL, NULL, 20376),
(57547, '2as0A01', NULL, NULL, 71, NULL, NULL, 20376),
(57548, '2p38A02', NULL, NULL, 72, NULL, NULL, 20376),
(57549, '1opoA02', NULL, NULL, 103, NULL, NULL, 20377),
(57550, '5uwvA03', NULL, NULL, 142, NULL, NULL, 20378),
(57551, '4a1iA02', NULL, NULL, 117, NULL, NULL, 20378),
(57552, '4z7aA03', NULL, NULL, 137, NULL, NULL, 20378),
(57553, '4lpqA02', NULL, NULL, 129, NULL, NULL, 20378),
(57554, '1zatA02', NULL, NULL, 125, NULL, NULL, 20378),
(57555, '4qrbA03', NULL, NULL, 142, NULL, NULL, 20378),
(57556, '5e5lB02', NULL, NULL, 128, NULL, NULL, 20378),
(57557, '4xvoA02', NULL, NULL, 128, NULL, NULL, 20378),
(57558, '6d4kA02', NULL, NULL, 146, NULL, NULL, 20378),
(57559, '3w9iA06', NULL, NULL, 102, NULL, NULL, 20379),
(57560, '5t0oA02', NULL, NULL, 103, NULL, NULL, 20379),
(57561, '4mt1A02', NULL, NULL, 103, NULL, NULL, 20379),
(57562, '5enqA04', NULL, NULL, 99, NULL, NULL, 20379),
(57563, '4dx5A06', NULL, NULL, 105, NULL, NULL, 20379),
(57564, '4dx5A02', NULL, NULL, 103, NULL, NULL, 20379),
(57565, '3w9iA02', NULL, NULL, 103, NULL, NULL, 20379),
(57566, '4mt1A06', NULL, NULL, 101, NULL, NULL, 20379),
(57567, '3nqkA02', NULL, NULL, 160, NULL, NULL, 20380),
(57568, '3p02A02', NULL, NULL, 161, NULL, NULL, 20380),
(57569, '4qniA02', NULL, NULL, 163, NULL, NULL, 20380),
(57570, '1t77A02', NULL, NULL, 289, NULL, NULL, 20381),
(57571, '1mi1A02', NULL, NULL, 289, NULL, NULL, 20381),
(57572, '2l5qA02', NULL, NULL, 92, NULL, NULL, 20382),
(57573, '5uj1A03', NULL, NULL, 171, NULL, NULL, 20383),
(57574, '1mw9X03', NULL, NULL, 136, NULL, NULL, 20383),
(57575, '4cgyA03', NULL, NULL, 128, NULL, NULL, 20383),
(57576, '2gaiA03', NULL, NULL, 123, NULL, NULL, 20383),
(57577, '1i7dA03', NULL, NULL, 141, NULL, NULL, 20383),
(57578, '4i0wB02', NULL, NULL, 142, NULL, NULL, 20384),
(57579, '4c2mA08', NULL, NULL, 127, NULL, NULL, 20385),
(57580, '1y9lA00', NULL, NULL, 115, NULL, NULL, 20386),
(57581, '3hynA00', NULL, NULL, 189, NULL, NULL, 20387),
(57582, '4fl4F02', NULL, NULL, 165, NULL, NULL, 20388),
(57583, '5h3xA01', NULL, NULL, 166, NULL, NULL, 20389),
(57584, '3doaA01', NULL, NULL, 165, NULL, NULL, 20389),
(57585, '5j1nA02', NULL, NULL, 85, NULL, NULL, 20390),
(57586, '4i1tA02', NULL, NULL, 84, NULL, NULL, 20390),
(57587, '5ltnA02', NULL, NULL, 85, NULL, NULL, 20390),
(57588, '2rsxA00', NULL, NULL, 159, NULL, NULL, 20391),
(57589, '3hj6A01', NULL, NULL, 187, NULL, NULL, 20392),
(57590, '3nzpB04', NULL, NULL, 51, NULL, NULL, 20393),
(57591, '3nzpA04', NULL, NULL, 65, NULL, NULL, 20393),
(57592, '3n2oA04', NULL, NULL, 61, NULL, NULL, 20393),
(57593, '3nzqA04', NULL, NULL, 62, NULL, NULL, 20393),
(57594, '2qvwA03', NULL, NULL, 33, NULL, NULL, 20394),
(57595, '2jn9A01', NULL, NULL, 91, NULL, NULL, 20395),
(57596, '3ezxA01', NULL, NULL, 86, NULL, NULL, 20396),
(57597, '3bulA01', NULL, NULL, 89, NULL, NULL, 20396),
(57598, '4hh3C01', NULL, NULL, 85, NULL, NULL, 20396),
(57599, '2i2xB01', NULL, NULL, 100, NULL, NULL, 20396),
(57600, '4hh0A02', NULL, NULL, 136, NULL, NULL, 20396),
(57601, '4jgiA01', NULL, NULL, 80, NULL, NULL, 20396),
(57602, '3whpA01', NULL, NULL, 79, NULL, NULL, 20396),
(57603, '1ya5T01', NULL, NULL, 84, NULL, NULL, 20397),
(57604, '4fm3A00', NULL, NULL, 98, NULL, NULL, 20398),
(57605, '2lh9A00', NULL, NULL, 78, NULL, NULL, 20399),
(57606, '2ly1A03', NULL, NULL, 81, NULL, NULL, 20399),
(57607, '3s93A00', NULL, NULL, 80, NULL, NULL, 20399),
(57608, '2ly1A01', NULL, NULL, 79, NULL, NULL, 20399),
(57609, '2kzvA01', NULL, NULL, 73, NULL, NULL, 20399),
(57610, '2kpmA01', NULL, NULL, 75, NULL, NULL, 20399),
(57611, '3rcoB00', NULL, NULL, 89, NULL, NULL, 20399),
(57612, '5nt7A00', NULL, NULL, 107, NULL, NULL, 20399);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(57613, '2de3A02', NULL, NULL, 153, NULL, NULL, 20400),
(57614, '1ykhB00', NULL, NULL, 132, NULL, NULL, 20401),
(57615, '3udcA01', NULL, NULL, 127, NULL, NULL, 20402),
(57616, '5ajiB01', NULL, NULL, 102, NULL, NULL, 20402),
(57617, '1v57A02', NULL, NULL, 24, NULL, NULL, 20403),
(57618, '1cixA00', NULL, NULL, 44, NULL, NULL, 20404),
(57619, '1xi7A00', NULL, NULL, 61, NULL, NULL, 20404),
(57620, '1h59B00', NULL, NULL, 54, NULL, NULL, 20404),
(57621, '2dcvA00', NULL, NULL, 42, NULL, NULL, 20404),
(57622, '3zxcA00', NULL, NULL, 77, NULL, NULL, 20404),
(57623, '1wqjB01', NULL, NULL, 73, NULL, NULL, 20404),
(57624, '1vs5D01', NULL, NULL, 112, NULL, NULL, 20405),
(57625, '1c05A01', NULL, NULL, 71, NULL, NULL, 20405),
(57626, '5o5jD01', NULL, NULL, 107, NULL, NULL, 20405),
(57627, '2vqeD01', NULL, NULL, 112, NULL, NULL, 20405),
(57628, '1fkaD01', NULL, NULL, 67, NULL, NULL, 20405),
(57629, '5mmjd01', NULL, NULL, 104, NULL, NULL, 20405),
(57630, '4h40A02', NULL, NULL, 145, NULL, NULL, 20406),
(57631, '2x3aA01', NULL, NULL, 139, NULL, NULL, 20407),
(57632, '2gn4A02', NULL, NULL, 85, NULL, NULL, 20408),
(57633, '4g5hA02', NULL, NULL, 105, NULL, NULL, 20408),
(57634, '3tpqM02', NULL, NULL, 57, NULL, NULL, 20409),
(57635, '5xxua00', NULL, NULL, 112, NULL, NULL, 20410),
(57636, '3j7a300', NULL, NULL, 107, NULL, NULL, 20410),
(57637, '5optT00', NULL, NULL, 112, NULL, NULL, 20410),
(57638, '6g5ha00', NULL, NULL, 115, NULL, NULL, 20410),
(57639, '5xyia00', NULL, NULL, 102, NULL, NULL, 20410),
(57640, '5ll6e00', NULL, NULL, 98, NULL, NULL, 20410),
(57641, '6az1b00', NULL, NULL, 112, NULL, NULL, 20410),
(57642, '3jama00', NULL, NULL, 99, NULL, NULL, 20410),
(57643, '2xzm500', NULL, NULL, 99, NULL, NULL, 20410),
(57644, '3l2dB01', NULL, NULL, 113, NULL, NULL, 20411),
(57645, '1qh4A01', NULL, NULL, 97, NULL, NULL, 20411),
(57646, '3ju5A01', NULL, NULL, 93, NULL, NULL, 20411),
(57647, '4z9mC01', NULL, NULL, 96, NULL, NULL, 20411),
(57648, '3jpzA01', NULL, NULL, 89, NULL, NULL, 20411),
(57649, '1u6rA01', NULL, NULL, 101, NULL, NULL, 20411),
(57650, '1i0eA01', NULL, NULL, 102, NULL, NULL, 20411),
(57651, '5u92A01', NULL, NULL, 95, NULL, NULL, 20411),
(57652, '1vrpB01', NULL, NULL, 102, NULL, NULL, 20411),
(57653, '4q2rA01', NULL, NULL, 102, NULL, NULL, 20411),
(57654, '2j1qA01', NULL, NULL, 95, NULL, NULL, 20411),
(57655, '1crkA01', NULL, NULL, 98, NULL, NULL, 20411),
(57656, '3l2eA01', NULL, NULL, 97, NULL, NULL, 20411),
(57657, '3l2dA01', NULL, NULL, 90, NULL, NULL, 20411),
(57658, '4am1A01', NULL, NULL, 95, NULL, NULL, 20411),
(57659, '3b6rA01', NULL, NULL, 102, NULL, NULL, 20411),
(57660, '5zhqA01', NULL, NULL, 95, NULL, NULL, 20411),
(57661, '4rf6A03', NULL, NULL, 86, NULL, NULL, 20411),
(57662, '4rf6A01', NULL, NULL, 105, NULL, NULL, 20411),
(57663, '1qk1A01', NULL, NULL, 98, NULL, NULL, 20411),
(57664, '1m15A01', NULL, NULL, 95, NULL, NULL, 20411),
(57665, '2m3lA00', NULL, NULL, 76, NULL, NULL, 20412),
(57666, '4xr8F01', NULL, NULL, 66, NULL, NULL, 20412),
(57667, '2ljyA00', NULL, NULL, 84, NULL, NULL, 20412),
(57668, '4xr8H02', NULL, NULL, 76, NULL, NULL, 20412),
(57669, '3nynA05', NULL, NULL, 25, NULL, NULL, 20413),
(57670, '2kdlA00', NULL, NULL, 56, NULL, NULL, 20414),
(57671, '2lhgA00', NULL, NULL, 56, NULL, NULL, 20414),
(57672, '2jwsA00', NULL, NULL, 56, NULL, NULL, 20414),
(57673, '2n35A00', NULL, NULL, 52, NULL, NULL, 20414),
(57674, '2j5yA00', NULL, NULL, 61, NULL, NULL, 20414),
(57675, '2mh8A00', NULL, NULL, 56, NULL, NULL, 20414),
(57676, '1gjsA00', NULL, NULL, 65, NULL, NULL, 20414),
(57677, '2fs1A00', NULL, NULL, 56, NULL, NULL, 20414),
(57678, '4akgA06', NULL, NULL, 107, NULL, NULL, 20415),
(57679, '3vkgB04', NULL, NULL, 131, NULL, NULL, 20415),
(57680, '1floA01', NULL, NULL, 105, NULL, NULL, 20416),
(57681, '4m4dA01', NULL, NULL, 289, NULL, NULL, 20417),
(57682, '1ewfA02', NULL, NULL, 276, NULL, NULL, 20417),
(57683, '2obdA01', NULL, NULL, 287, NULL, NULL, 20417),
(57684, '1jqpA01', NULL, NULL, 112, NULL, NULL, 20418),
(57685, '4oelA01', NULL, NULL, 117, NULL, NULL, 20418),
(57686, '1f32A01', NULL, NULL, 89, NULL, NULL, 20419);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(57687, '1f32A02', NULL, NULL, 60, NULL, NULL, 20419),
(57688, '4jglA00', NULL, NULL, 152, NULL, NULL, 20420),
(57689, '1wy5A02', NULL, NULL, 100, NULL, NULL, 20421),
(57690, '1ni5A02', NULL, NULL, 86, NULL, NULL, 20421),
(57691, '3nrtB00', NULL, NULL, 103, NULL, NULL, 20422),
(57692, '1ny9A00', NULL, NULL, 94, NULL, NULL, 20423),
(57693, '1hczA02', NULL, NULL, 59, NULL, NULL, 20424),
(57694, '2awnC02', NULL, NULL, 84, NULL, NULL, 20424),
(57695, '2je6I01', NULL, NULL, 66, NULL, NULL, 20424),
(57696, '1zkoA00', NULL, NULL, 136, NULL, NULL, 20424),
(57697, '4iqzB01', NULL, NULL, 75, NULL, NULL, 20424),
(57698, '2edgA00', NULL, NULL, 130, NULL, NULL, 20424),
(57699, '5a35A00', NULL, NULL, 120, NULL, NULL, 20424),
(57700, '3n6rA04', NULL, NULL, 69, NULL, NULL, 20424),
(57701, '1iyuA00', NULL, NULL, 79, NULL, NULL, 20424),
(57702, '2nn6H01', NULL, NULL, 55, NULL, NULL, 20424),
(57703, '2it1A02', NULL, NULL, 63, NULL, NULL, 20424),
(57704, '4tquS02', NULL, NULL, 64, NULL, NULL, 20424),
(57705, '2ejmA01', NULL, NULL, 68, NULL, NULL, 20424),
(57706, '1gutA00', NULL, NULL, 68, NULL, NULL, 20424),
(57707, '1g29103', NULL, NULL, 65, NULL, NULL, 20424),
(57708, '3fppA02', NULL, NULL, 74, NULL, NULL, 20424),
(57709, '3lnnA03', NULL, NULL, 73, NULL, NULL, 20424),
(57710, '6d6qH01', NULL, NULL, 58, NULL, NULL, 20424),
(57711, '2dncA01', NULL, NULL, 79, NULL, NULL, 20424),
(57712, '1labA00', NULL, NULL, 80, NULL, NULL, 20424),
(57713, '3va7A07', NULL, NULL, 76, NULL, NULL, 20424),
(57714, '3mxuA00', NULL, NULL, 143, NULL, NULL, 20424),
(57715, '3m7nA01', NULL, NULL, 52, NULL, NULL, 20424),
(57716, '1ynjC05', NULL, NULL, 75, NULL, NULL, 20424),
(57717, '5jeaH01', NULL, NULL, 63, NULL, NULL, 20424),
(57718, '1ci3M02', NULL, NULL, 58, NULL, NULL, 20424),
(57719, '4kksA03', NULL, NULL, 72, NULL, NULL, 20424),
(57720, '3gqbA03', NULL, NULL, 67, NULL, NULL, 20424),
(57721, '2d62A02', NULL, NULL, 64, NULL, NULL, 20424),
(57722, '2qf7A07', NULL, NULL, 80, NULL, NULL, 20424),
(57723, '5oomW00', NULL, NULL, 109, NULL, NULL, 20424),
(57724, '2awnD02', NULL, NULL, 107, NULL, NULL, 20424),
(57725, '2o5iN10', NULL, NULL, 63, NULL, NULL, 20424),
(57726, '2lmcB00', NULL, NULL, 61, NULL, NULL, 20424),
(57727, '2yyzA02', NULL, NULL, 58, NULL, NULL, 20424),
(57728, '2nn6I01', NULL, NULL, 51, NULL, NULL, 20424),
(57729, '1fr3A00', NULL, NULL, 67, NULL, NULL, 20424),
(57730, '1v8qA00', NULL, NULL, 66, NULL, NULL, 20424),
(57731, '3tzuA00', NULL, NULL, 137, NULL, NULL, 20424),
(57732, '1pmrA00', NULL, NULL, 80, NULL, NULL, 20424),
(57733, '1onlA00', NULL, NULL, 128, NULL, NULL, 20424),
(57734, '2dneA00', NULL, NULL, 108, NULL, NULL, 20424),
(57735, '3a7lA00', NULL, NULL, 128, NULL, NULL, 20424),
(57736, '5guaA00', NULL, NULL, 71, NULL, NULL, 20424),
(57737, '4v19000', NULL, NULL, 114, NULL, NULL, 20424),
(57738, '4dk0A03', NULL, NULL, 71, NULL, NULL, 20424),
(57739, '1z6hA00', NULL, NULL, 72, NULL, NULL, 20424),
(57740, '3bg3A05', NULL, NULL, 71, NULL, NULL, 20424),
(57741, '1k8mA00', NULL, NULL, 93, NULL, NULL, 20424),
(57742, '3lwuA02', NULL, NULL, 74, NULL, NULL, 20424),
(57743, '4rcnB02', NULL, NULL, 77, NULL, NULL, 20424),
(57744, '4iqzD02', NULL, NULL, 105, NULL, NULL, 20424),
(57745, '3rlfA02', NULL, NULL, 66, NULL, NULL, 20424),
(57746, '4l8jA03', NULL, NULL, 73, NULL, NULL, 20424),
(57747, '2jxmB02', NULL, NULL, 57, NULL, NULL, 20424),
(57748, '1h9sA02', NULL, NULL, 72, NULL, NULL, 20424),
(57749, '1y69U01', NULL, NULL, 71, NULL, NULL, 20424),
(57750, '1ghjA00', NULL, NULL, 79, NULL, NULL, 20424),
(57751, '2aujD04', NULL, NULL, 58, NULL, NULL, 20424),
(57752, '4ljzC06', NULL, NULL, 75, NULL, NULL, 20424),
(57753, '2aujD03', NULL, NULL, 62, NULL, NULL, 20424),
(57754, '1b9mB02', NULL, NULL, 79, NULL, NULL, 20424),
(57755, '3d31A03', NULL, NULL, 71, NULL, NULL, 20424),
(57756, '2aujD01', NULL, NULL, 66, NULL, NULL, 20424),
(57757, '3crkD00', NULL, NULL, 87, NULL, NULL, 20424),
(57758, '2a6hD03', NULL, NULL, 54, NULL, NULL, 20424),
(57759, '3ne5B03', NULL, NULL, 70, NULL, NULL, 20424),
(57760, '3hblD06', NULL, NULL, 82, NULL, NULL, 20424);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(57761, '1vf7A02', NULL, NULL, 71, NULL, NULL, 20424),
(57762, '3wdnA00', NULL, NULL, 125, NULL, NULL, 20424),
(57763, '5bn3A03', NULL, NULL, 65, NULL, NULL, 20424),
(57764, '1gjxA00', NULL, NULL, 81, NULL, NULL, 20424),
(57765, '1oxxK03', NULL, NULL, 46, NULL, NULL, 20424),
(57766, '1v43A02', NULL, NULL, 58, NULL, NULL, 20424),
(57767, '3d4rB02', NULL, NULL, 68, NULL, NULL, 20424),
(57768, '2dn8A01', NULL, NULL, 72, NULL, NULL, 20424),
(57769, '5ze9A03', NULL, NULL, 70, NULL, NULL, 20424),
(57770, '3qjyA03', NULL, NULL, 72, NULL, NULL, 20424),
(57771, '2nn6G01', NULL, NULL, 94, NULL, NULL, 20424),
(57772, '1qjoA00', NULL, NULL, 80, NULL, NULL, 20424),
(57773, '1dczA00', NULL, NULL, 77, NULL, NULL, 20424),
(57774, '1hpcA00', NULL, NULL, 131, NULL, NULL, 20424),
(57775, '3u9sA05', NULL, NULL, 72, NULL, NULL, 20424),
(57776, '2f1mA02', NULL, NULL, 71, NULL, NULL, 20424),
(57777, '2pnrC01', NULL, NULL, 76, NULL, NULL, 20424),
(57778, '1b9mA03', NULL, NULL, 71, NULL, NULL, 20424),
(57779, '4i7zC02', NULL, NULL, 62, NULL, NULL, 20424),
(57780, '3fmcA02', NULL, NULL, 74, NULL, NULL, 20424),
(57781, '4h44C02', NULL, NULL, 62, NULL, NULL, 20424),
(57782, '2a6hC05', NULL, NULL, 75, NULL, NULL, 20424),
(57783, '1ynjJ02', NULL, NULL, 62, NULL, NULL, 20424),
(57784, '2ba0A01', NULL, NULL, 49, NULL, NULL, 20424),
(57785, '1bdoA00', NULL, NULL, 80, NULL, NULL, 20424),
(57786, '1h9mA02', NULL, NULL, 75, NULL, NULL, 20424),
(57787, '1h9mA01', NULL, NULL, 70, NULL, NULL, 20424),
(57788, '1e2wA02', NULL, NULL, 60, NULL, NULL, 20424),
(57789, '2l5tA00', NULL, NULL, 77, NULL, NULL, 20424),
(57790, '4tkoB02', NULL, NULL, 66, NULL, NULL, 20424),
(57791, '3hgbA00', NULL, NULL, 135, NULL, NULL, 20424),
(57792, '5jeaG01', NULL, NULL, 65, NULL, NULL, 20424),
(57793, '2xzm901', NULL, NULL, 72, NULL, NULL, 20425),
(57794, '2xzn901', NULL, NULL, 72, NULL, NULL, 20425),
(57795, '2k4xA01', NULL, NULL, 35, NULL, NULL, 20425),
(57796, '4bpe901', NULL, NULL, 69, NULL, NULL, 20425),
(57797, '4fasA01', NULL, NULL, 240, NULL, NULL, 20426),
(57798, '2m4iA01', NULL, NULL, 81, NULL, NULL, 20427),
(57799, '3toeA00', NULL, NULL, 91, NULL, NULL, 20428),
(57800, '2ek0A00', NULL, NULL, 90, NULL, NULL, 20428),
(57801, '3iabB01', NULL, NULL, 132, NULL, NULL, 20428),
(57802, '1nfjA00', NULL, NULL, 89, NULL, NULL, 20428),
(57803, '2bkyX00', NULL, NULL, 89, NULL, NULL, 20428),
(57804, '2z7cA00', NULL, NULL, 93, NULL, NULL, 20428),
(57805, '3u6yA00', NULL, NULL, 102, NULL, NULL, 20428),
(57806, '1nh9A00', NULL, NULL, 87, NULL, NULL, 20428),
(57807, '1vm0A00', NULL, NULL, 112, NULL, NULL, 20428),
(57808, '4z9eA00', NULL, NULL, 97, NULL, NULL, 20428),
(57809, '2bkyA00', NULL, NULL, 97, NULL, NULL, 20428),
(57810, '2x49A02', NULL, NULL, 48, NULL, NULL, 20429),
(57811, '3v3kD00', NULL, NULL, 165, NULL, NULL, 20430),
(57812, '1ugiD00', NULL, NULL, 84, NULL, NULL, 20431),
(57813, '2wdtC02', NULL, NULL, 124, NULL, NULL, 20432),
(57814, '2nluA01', NULL, NULL, 18, NULL, NULL, 20433),
(57815, '1nu7D01', NULL, NULL, 135, NULL, NULL, 20434),
(57816, '6hikL01', NULL, NULL, 38, NULL, NULL, 20435),
(57817, '4re1C01', NULL, NULL, 38, NULL, NULL, 20435),
(57818, '6geiL01', NULL, NULL, 38, NULL, NULL, 20435),
(57819, '2ynmD04', NULL, NULL, 52, NULL, NULL, 20436),
(57820, '2kruA01', NULL, NULL, 52, NULL, NULL, 20436),
(57821, '2l09A01', NULL, NULL, 52, NULL, NULL, 20436),
(57822, '1mg7A01', NULL, NULL, 182, NULL, NULL, 20437),
(57823, '1v5iB00', NULL, NULL, 76, NULL, NULL, 20438),
(57824, '3t41B01', NULL, NULL, 66, NULL, NULL, 20438),
(57825, '3afgB01', NULL, NULL, 93, NULL, NULL, 20438),
(57826, '3whiA01', NULL, NULL, 70, NULL, NULL, 20438),
(57827, '1scjB00', NULL, NULL, 71, NULL, NULL, 20438),
(57828, '1r6vA02', NULL, NULL, 78, NULL, NULL, 20438),
(57829, '4nmxA01', NULL, NULL, 88, NULL, NULL, 20438),
(57830, '3cnqP00', NULL, NULL, 80, NULL, NULL, 20438),
(57831, '2z30B00', NULL, NULL, 65, NULL, NULL, 20438),
(57832, '3vv2B00', NULL, NULL, 69, NULL, NULL, 20438),
(57833, '1itpA00', NULL, NULL, 77, NULL, NULL, 20438),
(57834, '1spbP00', NULL, NULL, 78, NULL, NULL, 20438);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(57835, '4yn3B00', NULL, NULL, 96, NULL, NULL, 20438),
(57836, '4xjxA02', NULL, NULL, 73, NULL, NULL, 20439),
(57837, '4ch7A02', NULL, NULL, 191, NULL, NULL, 20440),
(57838, '3p8cD02', NULL, NULL, 163, NULL, NULL, 20441),
(57839, '2p09A00', NULL, NULL, 81, NULL, NULL, 20442),
(57840, '2k7vB01', NULL, NULL, 26, NULL, NULL, 20443),
(57841, '2yvyA01', NULL, NULL, 132, NULL, NULL, 20444),
(57842, '2ouxB01', NULL, NULL, 134, NULL, NULL, 20444),
(57843, '2ouxA01', NULL, NULL, 134, NULL, NULL, 20444),
(57844, '2cxaA02', NULL, NULL, 178, NULL, NULL, 20445),
(57845, '3d5kA02', NULL, NULL, 83, NULL, NULL, 20446),
(57846, '5azsA02', NULL, NULL, 83, NULL, NULL, 20446),
(57847, '4mt0A02', NULL, NULL, 77, NULL, NULL, 20446),
(57848, '4k7rA02', NULL, NULL, 77, NULL, NULL, 20446),
(57849, '5azpA02', NULL, NULL, 81, NULL, NULL, 20446),
(57850, '1yc9A02', NULL, NULL, 83, NULL, NULL, 20446),
(57851, '2a1sC02', NULL, NULL, 99, NULL, NULL, 20447),
(57852, '1whrA00', NULL, NULL, 124, NULL, NULL, 20447),
(57853, '1ug8A00', NULL, NULL, 87, NULL, NULL, 20447),
(57854, '2cpmA00', NULL, NULL, 94, NULL, NULL, 20447),
(57855, '2a1sA02', NULL, NULL, 76, NULL, NULL, 20447),
(57856, '2lrrA00', NULL, NULL, 86, NULL, NULL, 20447),
(57857, '3gkuA03', NULL, NULL, 85, NULL, NULL, 20447),
(57858, '3ajfD00', NULL, NULL, 94, NULL, NULL, 20448),
(57859, '1vx7V01', NULL, NULL, 99, NULL, NULL, 20449),
(57860, '1vq8Q00', NULL, NULL, 96, NULL, NULL, 20449),
(57861, '4a17P01', NULL, NULL, 98, NULL, NULL, 20449),
(57862, '3o58T01', NULL, NULL, 98, NULL, NULL, 20449),
(57863, '1vwxT01', NULL, NULL, 98, NULL, NULL, 20449),
(57864, '1ywyA00', NULL, NULL, 74, NULL, NULL, 20450),
(57865, '4nw4A02', NULL, NULL, 141, NULL, NULL, 20451),
(57866, '4kh8A02', NULL, NULL, 145, NULL, NULL, 20451),
(57867, '4kh8A01', NULL, NULL, 173, NULL, NULL, 20451),
(57868, '4nw4A01', NULL, NULL, 132, NULL, NULL, 20451),
(57869, '1utgA00', NULL, NULL, 70, NULL, NULL, 20452),
(57870, '1ccdA00', NULL, NULL, 77, NULL, NULL, 20452),
(57871, '3tutA02', NULL, NULL, 91, NULL, NULL, 20453),
(57872, '4clqA02', NULL, NULL, 97, NULL, NULL, 20453),
(57873, '4o89A02', NULL, NULL, 94, NULL, NULL, 20453),
(57874, '3pqvA02', NULL, NULL, 96, NULL, NULL, 20453),
(57875, '1qvrC04', NULL, NULL, 113, NULL, NULL, 20454),
(57876, '2etdA00', NULL, NULL, 171, NULL, NULL, 20455),
(57877, '2v6eA04', NULL, NULL, 97, NULL, NULL, 20456),
(57878, '3if4A01', NULL, NULL, 50, NULL, NULL, 20457),
(57879, '3eabG00', NULL, NULL, 50, NULL, NULL, 20458),
(57880, '3k1lA02', NULL, NULL, 90, NULL, NULL, 20459),
(57881, '1miwA03', NULL, NULL, 100, NULL, NULL, 20460),
(57882, '5b7wA01', NULL, NULL, 79, NULL, NULL, 20461),
(57883, '2jz5A00', NULL, NULL, 91, NULL, NULL, 20461),
(57884, '2khdA00', NULL, NULL, 108, NULL, NULL, 20461),
(57885, '1in0A01', NULL, NULL, 71, NULL, NULL, 20461),
(57886, '2k3iA01', NULL, NULL, 85, NULL, NULL, 20461),
(57887, '5tipA02', NULL, NULL, 215, NULL, NULL, 20462),
(57888, '2fgyA03', NULL, NULL, 117, NULL, NULL, 20463),
(57889, '3khkB01', NULL, NULL, 185, NULL, NULL, 20464),
(57890, '3lkdB01', NULL, NULL, 191, NULL, NULL, 20464),
(57891, '3ufbA01', NULL, NULL, 170, NULL, NULL, 20464),
(57892, '2okcB01', NULL, NULL, 127, NULL, NULL, 20464),
(57893, '2ar0A01', NULL, NULL, 155, NULL, NULL, 20464),
(57894, '1vbkA01', NULL, NULL, 83, NULL, NULL, 20465),
(57895, '2jxwA00', NULL, NULL, 75, NULL, NULL, 20466),
(57896, '2l4jA00', NULL, NULL, 46, NULL, NULL, 20466),
(57897, '1nmvA01', NULL, NULL, 47, NULL, NULL, 20466),
(57898, '2djyA01', NULL, NULL, 35, NULL, NULL, 20466),
(57899, '1zcnA01', NULL, NULL, 36, NULL, NULL, 20466),
(57900, '2e45A01', NULL, NULL, 23, NULL, NULL, 20466),
(57901, '2ez5W01', NULL, NULL, 36, NULL, NULL, 20466),
(57902, '1yw5A01', NULL, NULL, 63, NULL, NULL, 20466),
(57903, '2yshA01', NULL, NULL, 33, NULL, NULL, 20466),
(57904, '3cngA01', NULL, NULL, 37, NULL, NULL, 20466),
(57905, '4rohA01', NULL, NULL, 41, NULL, NULL, 20466),
(57906, '1pinA01', NULL, NULL, 37, NULL, NULL, 20466),
(57907, '2m3oW01', NULL, NULL, 36, NULL, NULL, 20466),
(57908, '5cq2A02', NULL, NULL, 51, NULL, NULL, 20466);
INSERT INTO "PUBLIC"."MODEL" VALUES
(57909, '2zajA01', NULL, NULL, 36, NULL, NULL, 20466),
(57910, '2zqvA01', NULL, NULL, 37, NULL, NULL, 20466),
(57911, '5dwsC01', NULL, NULL, 35, NULL, NULL, 20466),
(57912, '3m7nA03', NULL, NULL, 34, NULL, NULL, 20466),
(57913, '2m8iA01', NULL, NULL, 33, NULL, NULL, 20466),
(57914, '1eg3A01', NULL, NULL, 39, NULL, NULL, 20466),
(57915, '2re3B03', NULL, NULL, 30, NULL, NULL, 20466),
(57916, '2f21A01', NULL, NULL, 48, NULL, NULL, 20466),
(57917, '2ysiA01', NULL, NULL, 33, NULL, NULL, 20466),
(57918, '2lajA01', NULL, NULL, 37, NULL, NULL, 20466),
(57919, '2dk7A00', NULL, NULL, 73, NULL, NULL, 20466),
(57920, '2jv4A00', NULL, NULL, 54, NULL, NULL, 20466),
(57921, '2zr4A01', NULL, NULL, 37, NULL, NULL, 20466),
(57922, '2zquA01', NULL, NULL, 37, NULL, NULL, 20466),
(57923, '2jx8A00', NULL, NULL, 52, NULL, NULL, 20466),
(57924, '1wmvA01', NULL, NULL, 24, NULL, NULL, 20466),
(57925, '2kxqA02', NULL, NULL, 42, NULL, NULL, 20466),
(57926, '2kxqA01', NULL, NULL, 30, NULL, NULL, 20466),
(57927, '2dwvA01', NULL, NULL, 36, NULL, NULL, 20466),
(57928, '4e5rA00', NULL, NULL, 56, NULL, NULL, 20466),
(57929, '1tk7A01', NULL, NULL, 37, NULL, NULL, 20466),
(57930, '3tc5A01', NULL, NULL, 40, NULL, NULL, 20466),
(57931, '1tk7A02', NULL, NULL, 29, NULL, NULL, 20466),
(57932, '1i5hW00', NULL, NULL, 50, NULL, NULL, 20466),
(57933, '2dmvA01', NULL, NULL, 36, NULL, NULL, 20466),
(57934, '2ysbA01', NULL, NULL, 38, NULL, NULL, 20466),
(57935, '2jmfA01', NULL, NULL, 35, NULL, NULL, 20466),
(57936, '4u85A01', NULL, NULL, 31, NULL, NULL, 20466),
(57937, '2ysfA01', NULL, NULL, 33, NULL, NULL, 20466),
(57938, '4rexA00', NULL, NULL, 49, NULL, NULL, 20466),
(57939, '2mdiA00', NULL, NULL, 56, NULL, NULL, 20466),
(57940, '3le4A00', NULL, NULL, 56, NULL, NULL, 20466),
(57941, '1o6wA01', NULL, NULL, 26, NULL, NULL, 20466),
(57942, '1o6wA02', NULL, NULL, 33, NULL, NULL, 20466),
(57943, '2ysgA01', NULL, NULL, 33, NULL, NULL, 20466),
(57944, '2dk1A00', NULL, NULL, 50, NULL, NULL, 20466),
(57945, '1uouA03', NULL, NULL, 95, NULL, NULL, 20467),
(57946, '5olnA03', NULL, NULL, 93, NULL, NULL, 20467),
(57947, '4eadA03', NULL, NULL, 97, NULL, NULL, 20467),
(57948, '1brwA01', NULL, NULL, 94, NULL, NULL, 20467),
(57949, '3h5qA03', NULL, NULL, 93, NULL, NULL, 20467),
(57950, '2dsjA03', NULL, NULL, 92, NULL, NULL, 20467),
(57951, '4ga6A04', NULL, NULL, 81, NULL, NULL, 20467),
(57952, '5ey3A03', NULL, NULL, 97, NULL, NULL, 20467),
(57953, '2ph7A02', NULL, NULL, 96, NULL, NULL, 20468),
(57954, '2wmmA02', NULL, NULL, 113, NULL, NULL, 20469),
(57955, '3s0xA01', NULL, NULL, 157, NULL, NULL, 20470),
(57956, '3r72A00', NULL, NULL, 122, NULL, NULL, 20471),
(57957, '3k1eA01', NULL, NULL, 107, NULL, NULL, 20471),
(57958, '1ow4A00', NULL, NULL, 129, NULL, NULL, 20471),
(57959, '3cz1A00', NULL, NULL, 119, NULL, NULL, 20471),
(57960, '3l4aA00', NULL, NULL, 141, NULL, NULL, 20471),
(57961, '1qwvA00', NULL, NULL, 142, NULL, NULL, 20471),
(57962, '1c3yA00', NULL, NULL, 108, NULL, NULL, 20471),
(57963, '3dxlA02', NULL, NULL, 156, NULL, NULL, 20471),
(57964, '3dxlA01', NULL, NULL, 147, NULL, NULL, 20471),
(57965, '3nhiA02', NULL, NULL, 147, NULL, NULL, 20471),
(57966, '3nhiA01', NULL, NULL, 149, NULL, NULL, 20471),
(57967, '4jd9G00', NULL, NULL, 122, NULL, NULL, 20471),
(57968, '2qebA00', NULL, NULL, 145, NULL, NULL, 20471),
(57969, '3q8iA00', NULL, NULL, 124, NULL, NULL, 20471),
(57970, '1dqeA00', NULL, NULL, 137, NULL, NULL, 20471),
(57971, '3v2lA00', NULL, NULL, 120, NULL, NULL, 20471),
(57972, '1tujA00', NULL, NULL, 123, NULL, NULL, 20471),
(57973, '1oohA00', NULL, NULL, 126, NULL, NULL, 20471),
(57974, '4ozdA00', NULL, NULL, 122, NULL, NULL, 20471),
(57975, '3r1vA00', NULL, NULL, 127, NULL, NULL, 20471),
(57976, '4pt1B00', NULL, NULL, 131, NULL, NULL, 20471),
(57977, '4inwA00', NULL, NULL, 140, NULL, NULL, 20471),
(57978, '2wcjA00', NULL, NULL, 141, NULL, NULL, 20471),
(57979, '3ognA01', NULL, NULL, 107, NULL, NULL, 20471),
(57980, '2erbA01', NULL, NULL, 107, NULL, NULL, 20471),
(57981, '3s0aA00', NULL, NULL, 119, NULL, NULL, 20471),
(57982, '5dicA00', NULL, NULL, 117, NULL, NULL, 20471);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(57983, '2l2lA00', NULL, NULL, 43, NULL, NULL, 20472),
(57984, '5xnxA01', NULL, NULL, 197, NULL, NULL, 20473),
(57985, '3kh1A00', NULL, NULL, 200, NULL, NULL, 20473),
(57986, '1vj7B01', NULL, NULL, 196, NULL, NULL, 20473),
(57987, '1xx7A00', NULL, NULL, 184, NULL, NULL, 20473),
(57988, '2parB00', NULL, NULL, 201, NULL, NULL, 20473),
(57989, '3bg2A01', NULL, NULL, 208, NULL, NULL, 20473),
(57990, '2hekA01', NULL, NULL, 281, NULL, NULL, 20473),
(57991, '3nr1A00', NULL, NULL, 178, NULL, NULL, 20473),
(57992, '3p3qB00', NULL, NULL, 258, NULL, NULL, 20473),
(57993, '4mcwA02', NULL, NULL, 196, NULL, NULL, 20473),
(57994, '4mz7A01', NULL, NULL, 340, NULL, NULL, 20473),
(57995, '3mzoB00', NULL, NULL, 216, NULL, NULL, 20473),
(57996, '4r8zA00', NULL, NULL, 218, NULL, NULL, 20473),
(57997, '3tm8B00', NULL, NULL, 307, NULL, NULL, 20473),
(57998, '2dqbB00', NULL, NULL, 376, NULL, NULL, 20473),
(57999, '3memA02', NULL, NULL, 310, NULL, NULL, 20473),
(58000, '3i7aA00', NULL, NULL, 281, NULL, NULL, 20473),
(58001, '1ynbA00', NULL, NULL, 173, NULL, NULL, 20473),
(58002, '4l1jB00', NULL, NULL, 204, NULL, NULL, 20473),
(58003, '3rf0A00', NULL, NULL, 209, NULL, NULL, 20473),
(58004, '3nqwA00', NULL, NULL, 179, NULL, NULL, 20473),
(58005, '3m1tA00', NULL, NULL, 275, NULL, NULL, 20473),
(58006, '4l7wA00', NULL, NULL, 204, NULL, NULL, 20473),
(58007, '1vqrB00', NULL, NULL, 280, NULL, NULL, 20473),
(58008, '6oi7A01', NULL, NULL, 197, NULL, NULL, 20473),
(58009, '2pgsA01', NULL, NULL, 204, NULL, NULL, 20473),
(58010, '5tk8A00', NULL, NULL, 194, NULL, NULL, 20473),
(58011, '4mlmA00', NULL, NULL, 196, NULL, NULL, 20473),
(58012, '2honB01', NULL, NULL, 269, NULL, NULL, 20473),
(58013, '2q14C01', NULL, NULL, 241, NULL, NULL, 20473),
(58014, '1u6zA03', NULL, NULL, 146, NULL, NULL, 20473),
(58015, '2pq7A00', NULL, NULL, 182, NULL, NULL, 20473),
(58016, '3irhD01', NULL, NULL, 287, NULL, NULL, 20473),
(58017, '2gz4A00', NULL, NULL, 207, NULL, NULL, 20473),
(58018, '4l7eB00', NULL, NULL, 204, NULL, NULL, 20473),
(58019, '2o08A00', NULL, NULL, 188, NULL, NULL, 20473),
(58020, '3hi0A03', NULL, NULL, 201, NULL, NULL, 20473),
(58021, '3ccgA00', NULL, NULL, 190, NULL, NULL, 20473),
(58022, '3hc1A00', NULL, NULL, 305, NULL, NULL, 20473),
(58023, '2ogiB00', NULL, NULL, 196, NULL, NULL, 20473),
(58024, '2cqzA00', NULL, NULL, 177, NULL, NULL, 20473),
(58025, '2mzyA00', NULL, NULL, 91, NULL, NULL, 20474),
(58026, '1xs8A01', NULL, NULL, 75, NULL, NULL, 20474),
(58027, '1t07A00', NULL, NULL, 94, NULL, NULL, 20474),
(58028, '1yhdA01', NULL, NULL, 75, NULL, NULL, 20474),
(58029, '3ioxA01', NULL, NULL, 110, NULL, NULL, 20475),
(58030, '1w59A01', NULL, NULL, 37, NULL, NULL, 20476),
(58031, '1ohfA01', NULL, NULL, 102, NULL, NULL, 20477),
(58032, '1ohfB01', NULL, NULL, 114, NULL, NULL, 20477),
(58033, '3s6pD01', NULL, NULL, 97, NULL, NULL, 20477),
(58034, '2qqpG01', NULL, NULL, 92, NULL, NULL, 20477),
(58035, '4zquA00', NULL, NULL, 124, NULL, NULL, 20478),
(58036, '4g6uA02', NULL, NULL, 138, NULL, NULL, 20478),
(58037, '1vt2J00', NULL, NULL, 142, NULL, NULL, 20479),
(58038, '5oomK00', NULL, NULL, 178, NULL, NULL, 20479),
(58039, '4a17I01', NULL, NULL, 148, NULL, NULL, 20479),
(58040, '1vw4H00', NULL, NULL, 163, NULL, NULL, 20479),
(58041, '1j3aA00', NULL, NULL, 142, NULL, NULL, 20479),
(58042, '2zjrG00', NULL, NULL, 145, NULL, NULL, 20479),
(58043, '3uxqN00', NULL, NULL, 140, NULL, NULL, 20479),
(58044, '4v19N00', NULL, NULL, 178, NULL, NULL, 20479),
(58045, '6em3O01', NULL, NULL, 149, NULL, NULL, 20479),
(58046, '1vx7K01', NULL, NULL, 148, NULL, NULL, 20479),
(58047, '1vwxO01', NULL, NULL, 150, NULL, NULL, 20479),
(58048, '1vq8J00', NULL, NULL, 145, NULL, NULL, 20479),
(58049, '3bp8C00', NULL, NULL, 75, NULL, NULL, 20480),
(58050, '3ipjA01', NULL, NULL, 80, NULL, NULL, 20480),
(58051, '3bp3A00', NULL, NULL, 82, NULL, NULL, 20480),
(58052, '4evxA00', NULL, NULL, 106, NULL, NULL, 20481),
(58053, '1mhwC00', NULL, NULL, 42, NULL, NULL, 20482),
(58054, '4oelB00', NULL, NULL, 70, NULL, NULL, 20482),
(58055, '5uklG00', NULL, NULL, 62, NULL, NULL, 20483);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(58056, '5kdoG00', NULL, NULL, 74, NULL, NULL, 20483),
(58057, '2pbiA03', NULL, NULL, 54, NULL, NULL, 20483),
(58058, '1xhmB00', NULL, NULL, 58, NULL, NULL, 20483),
(58059, '6crkG00', NULL, NULL, 71, NULL, NULL, 20483),
(58060, '3pvuG00', NULL, NULL, 74, NULL, NULL, 20483),
(58061, '1gotG00', NULL, NULL, 73, NULL, NULL, 20483),
(58062, '3ah8G00', NULL, NULL, 61, NULL, NULL, 20483),
(58063, '4e1tA00', NULL, NULL, 245, NULL, NULL, 20484),
(58064, '4e1sA00', NULL, NULL, 242, NULL, NULL, 20484),
(58065, '4xb6F00', NULL, NULL, 194, NULL, NULL, 20485),
(58066, '4jx2A01', NULL, NULL, 41, NULL, NULL, 20486),
(58067, '2ifyA02', NULL, NULL, 236, NULL, NULL, 20487),
(58068, '3nvlA02', NULL, NULL, 244, NULL, NULL, 20487),
(58069, '3igzB02', NULL, NULL, 244, NULL, NULL, 20487),
(58070, '5kgnB02', NULL, NULL, 235, NULL, NULL, 20487),
(58071, '4my4A02', NULL, NULL, 230, NULL, NULL, 20487),
(58072, '1o98A01', NULL, NULL, 236, NULL, NULL, 20487),
(58073, '5ku7B00', NULL, NULL, 177, NULL, NULL, 20488),
(58074, '4domA01', NULL, NULL, 136, NULL, NULL, 20488),
(58075, '2j67A00', NULL, NULL, 149, NULL, NULL, 20488),
(58076, '5forA00', NULL, NULL, 139, NULL, NULL, 20488),
(58077, '3h16B00', NULL, NULL, 137, NULL, NULL, 20488),
(58078, '4lzpA00', NULL, NULL, 176, NULL, NULL, 20488),
(58079, '1t3gB00', NULL, NULL, 159, NULL, NULL, 20488),
(58080, '4lqcB00', NULL, NULL, 148, NULL, NULL, 20488),
(58081, '1fyxA00', NULL, NULL, 149, NULL, NULL, 20488),
(58082, '3ub2A00', NULL, NULL, 146, NULL, NULL, 20488),
(58083, '1fyvA00', NULL, NULL, 161, NULL, NULL, 20488),
(58084, '1fywA00', NULL, NULL, 149, NULL, NULL, 20488),
(58085, '5tebG00', NULL, NULL, 168, NULL, NULL, 20488),
(58086, '4w8hA00', NULL, NULL, 129, NULL, NULL, 20488),
(58087, '3jrnA00', NULL, NULL, 176, NULL, NULL, 20488),
(58088, '4c6sA00', NULL, NULL, 150, NULL, NULL, 20488),
(58089, '4c6rA00', NULL, NULL, 171, NULL, NULL, 20488),
(58090, '3oziB00', NULL, NULL, 171, NULL, NULL, 20488),
(58091, '4eo7A01', NULL, NULL, 137, NULL, NULL, 20488),
(58092, '4om7A00', NULL, NULL, 143, NULL, NULL, 20488),
(58093, '5tecB00', NULL, NULL, 174, NULL, NULL, 20488),
(58094, '2m1xA00', NULL, NULL, 160, NULL, NULL, 20488),
(58095, '6aeqA00', NULL, NULL, 72, NULL, NULL, 20489),
(58096, '4ou7A00', NULL, NULL, 71, NULL, NULL, 20489),
(58097, '4aq1A03', NULL, NULL, 115, NULL, NULL, 20490),
(58098, '3tguG00', NULL, NULL, 81, NULL, NULL, 20491),
(58099, '1pp9T00', NULL, NULL, 81, NULL, NULL, 20491),
(58100, '3cx5H00', NULL, NULL, 93, NULL, NULL, 20491),
(58101, '1bccG00', NULL, NULL, 81, NULL, NULL, 20491),
(58102, '5xteA00', NULL, NULL, 81, NULL, NULL, 20491),
(58103, '2iw3A02', NULL, NULL, 90, NULL, NULL, 20492),
(58104, '4by6A01', NULL, NULL, 280, NULL, NULL, 20493),
(58105, '4c0eB01', NULL, NULL, 299, NULL, NULL, 20493),
(58106, '5c24A02', NULL, NULL, 90, NULL, NULL, 20494),
(58107, '3hvaA00', NULL, NULL, 177, NULL, NULL, 20494),
(58108, '3fqlA03', NULL, NULL, 122, NULL, NULL, 20494),
(58109, '3lp1B03', NULL, NULL, 105, NULL, NULL, 20494),
(58110, '4kseB03', NULL, NULL, 59, NULL, NULL, 20494),
(58111, '4kseB02', NULL, NULL, 99, NULL, NULL, 20494),
(58112, '3lp1B04', NULL, NULL, 85, NULL, NULL, 20494),
(58113, '4dg1B04', NULL, NULL, 110, NULL, NULL, 20494),
(58114, '3ungC03', NULL, NULL, 142, NULL, NULL, 20494),
(58115, '3breB02', NULL, NULL, 185, NULL, NULL, 20494),
(58116, '3ignA00', NULL, NULL, 177, NULL, NULL, 20494),
(58117, '1hysB03', NULL, NULL, 77, NULL, NULL, 20494),
(58118, '3gqcC01', NULL, NULL, 171, NULL, NULL, 20494),
(58119, '4wxwA00', NULL, NULL, 165, NULL, NULL, 20494),
(58120, '3hvwA00', NULL, NULL, 176, NULL, NULL, 20494),
(58121, '6eibD00', NULL, NULL, 163, NULL, NULL, 20494),
(58122, '1jlcB04', NULL, NULL, 64, NULL, NULL, 20494),
(58123, '4ol8B03', NULL, NULL, 90, NULL, NULL, 20494),
(58124, '1sv5B02', NULL, NULL, 99, NULL, NULL, 20494),
(58125, '4ol8B01', NULL, NULL, 131, NULL, NULL, 20494),
(58126, '4uw2B03', NULL, NULL, 142, NULL, NULL, 20494),
(58127, '1jlcB03', NULL, NULL, 133, NULL, NULL, 20494),
(58128, '1ra6A02', NULL, NULL, 106, NULL, NULL, 20494);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(58129, '1harA02', NULL, NULL, 69, NULL, NULL, 20494),
(58130, '1xr5A02', NULL, NULL, 106, NULL, NULL, 20494),
(58131, '1mu2A02', NULL, NULL, 94, NULL, NULL, 20494),
(58132, '1mu2A03', NULL, NULL, 94, NULL, NULL, 20494),
(58133, '3qipA02', NULL, NULL, 94, NULL, NULL, 20494),
(58134, '1c0tB02', NULL, NULL, 59, NULL, NULL, 20494),
(58135, '5kfnA01', NULL, NULL, 184, NULL, NULL, 20494),
(58136, '1rthB04', NULL, NULL, 111, NULL, NULL, 20494),
(58137, '5m3cA01', NULL, NULL, 173, NULL, NULL, 20494),
(58138, '6cstA02', NULL, NULL, 120, NULL, NULL, 20494),
(58139, '2opsB03', NULL, NULL, 131, NULL, NULL, 20494),
(58140, '2ckwA03', NULL, NULL, 125, NULL, NULL, 20494),
(58141, '5ziuA02', NULL, NULL, 106, NULL, NULL, 20494),
(58142, '2opsB02', NULL, NULL, 49, NULL, NULL, 20494),
(58143, '2qv6B02', NULL, NULL, 122, NULL, NULL, 20494),
(58144, '5c24B02', NULL, NULL, 99, NULL, NULL, 20494),
(58145, '4f4wB01', NULL, NULL, 100, NULL, NULL, 20494),
(58146, '4zveA00', NULL, NULL, 172, NULL, NULL, 20494),
(58147, '3iclB00', NULL, NULL, 171, NULL, NULL, 20494),
(58148, '4dezA01', NULL, NULL, 100, NULL, NULL, 20494),
(58149, '1xr6A02', NULL, NULL, 108, NULL, NULL, 20494),
(58150, '3dlkB03', NULL, NULL, 75, NULL, NULL, 20494),
(58151, '3dlkB02', NULL, NULL, 110, NULL, NULL, 20494),
(58152, '4zhrA02', NULL, NULL, 94, NULL, NULL, 20494),
(58153, '4zhrA03', NULL, NULL, 94, NULL, NULL, 20494),
(58154, '5f8hA02', NULL, NULL, 106, NULL, NULL, 20494),
(58155, '4zpcA02', NULL, NULL, 106, NULL, NULL, 20494),
(58156, '4ol8A01', NULL, NULL, 145, NULL, NULL, 20494),
(58157, '2xhwA03', NULL, NULL, 81, NULL, NULL, 20494),
(58158, '6mihA01', NULL, NULL, 146, NULL, NULL, 20494),
(58159, '4urgA00', NULL, NULL, 150, NULL, NULL, 20494),
(58160, '4zmuA02', NULL, NULL, 155, NULL, NULL, 20494),
(58161, '2cjqA03', NULL, NULL, 102, NULL, NULL, 20494),
(58162, '3pjxA01', NULL, NULL, 181, NULL, NULL, 20494),
(58163, '4rnhA01', NULL, NULL, 173, NULL, NULL, 20494),
(58164, '4iobA00', NULL, NULL, 161, NULL, NULL, 20494),
(58165, '1khvA03', NULL, NULL, 130, NULL, NULL, 20494),
(58166, '1ikxB02', NULL, NULL, 104, NULL, NULL, 20494),
(58167, '4nldA02', NULL, NULL, 119, NULL, NULL, 20494),
(58168, '3qyyA00', NULL, NULL, 167, NULL, NULL, 20494),
(58169, '4nyzA02', NULL, NULL, 139, NULL, NULL, 20494),
(58170, '4zhrB02', NULL, NULL, 94, NULL, NULL, 20494),
(58171, '3dlkA02', NULL, NULL, 94, NULL, NULL, 20494),
(58172, '1s48A04', NULL, NULL, 111, NULL, NULL, 20494),
(58173, '2xhvB02', NULL, NULL, 86, NULL, NULL, 20494),
(58174, '1c9rA03', NULL, NULL, 94, NULL, NULL, 20494),
(58175, '1c9rA02', NULL, NULL, 94, NULL, NULL, 20494),
(58176, '4tqrA01', NULL, NULL, 98, NULL, NULL, 20494),
(58177, '3mtkA00', NULL, NULL, 178, NULL, NULL, 20494),
(58178, '1s1tA02', NULL, NULL, 94, NULL, NULL, 20494),
(58179, '3mfiA01', NULL, NULL, 209, NULL, NULL, 20494),
(58180, '4ymeA00', NULL, NULL, 158, NULL, NULL, 20494),
(58181, '3tvkA00', NULL, NULL, 179, NULL, NULL, 20494),
(58182, '5wm1A02', NULL, NULL, 109, NULL, NULL, 20494),
(58183, '3ezuA02', NULL, NULL, 153, NULL, NULL, 20494),
(58184, '3uqsA03', NULL, NULL, 123, NULL, NULL, 20494),
(58185, '3h5xA03', NULL, NULL, 123, NULL, NULL, 20494),
(58186, '5yuyA01', NULL, NULL, 122, NULL, NULL, 20494),
(58187, '3i5cA02', NULL, NULL, 176, NULL, NULL, 20494),
(58188, '4g1qA04', NULL, NULL, 107, NULL, NULL, 20494),
(58189, '4g1qA02', NULL, NULL, 94, NULL, NULL, 20494),
(58190, '4g1qA03', NULL, NULL, 94, NULL, NULL, 20494),
(58191, '3i5aA02', NULL, NULL, 181, NULL, NULL, 20494),
(58192, '1jkhA02', NULL, NULL, 94, NULL, NULL, 20494),
(58193, '2haiA03', NULL, NULL, 121, NULL, NULL, 20494),
(58194, '3hkwA03', NULL, NULL, 122, NULL, NULL, 20494),
(58195, '1yvfA03', NULL, NULL, 122, NULL, NULL, 20494),
(58196, '1xr7A02', NULL, NULL, 108, NULL, NULL, 20494),
(58197, '1c9rB03', NULL, NULL, 79, NULL, NULL, 20494),
(58198, '5euhC00', NULL, NULL, 172, NULL, NULL, 20494),
(58199, '2v0nB02', NULL, NULL, 172, NULL, NULL, 20494),
(58200, '3gv5B01', NULL, NULL, 132, NULL, NULL, 20494),
(58201, '2yngB03', NULL, NULL, 75, NULL, NULL, 20494);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(58202, '2yngB02', NULL, NULL, 111, NULL, NULL, 20494),
(58203, '3hhkA03', NULL, NULL, 120, NULL, NULL, 20494),
(58204, '4wywA02', NULL, NULL, 142, NULL, NULL, 20494),
(58205, '1mu2B04', NULL, NULL, 106, NULL, NULL, 20494),
(58206, '4hkqA01', NULL, NULL, 144, NULL, NULL, 20494),
(58207, '4g1qB02', NULL, NULL, 94, NULL, NULL, 20494),
(58208, '2im9A01', NULL, NULL, 125, NULL, NULL, 20495),
(58209, '2p1gA01', NULL, NULL, 139, NULL, NULL, 20495),
(58210, '4q68A01', NULL, NULL, 138, NULL, NULL, 20495),
(58211, '2d13A02', NULL, NULL, 101, NULL, NULL, 20496),
(58212, '3rk1B02', NULL, NULL, 96, NULL, NULL, 20496),
(58213, '6fhpD00', NULL, NULL, 62, NULL, NULL, 20497),
(58214, '4kx7A02', NULL, NULL, 249, NULL, NULL, 20497),
(58215, '3nqxA02', NULL, NULL, 153, NULL, NULL, 20497),
(58216, '5jviE02', NULL, NULL, 161, NULL, NULL, 20497),
(58217, '5mj6A02', NULL, NULL, 249, NULL, NULL, 20497),
(58218, '5ab0C02', NULL, NULL, 275, NULL, NULL, 20497),
(58219, '6f8bA02', NULL, NULL, 149, NULL, NULL, 20497),
(58220, '4fkeA02', NULL, NULL, 262, NULL, NULL, 20497),
(58221, '1bqbA02', NULL, NULL, 144, NULL, NULL, 20497),
(58222, '3b34A03', NULL, NULL, 164, NULL, NULL, 20497),
(58223, '4qhpA03', NULL, NULL, 164, NULL, NULL, 20497),
(58224, '4gaaA03', NULL, NULL, 157, NULL, NULL, 20497),
(58225, '4fgmA02', NULL, NULL, 275, NULL, NULL, 20497),
(58226, '3u9wA03', NULL, NULL, 157, NULL, NULL, 20497),
(58227, '1z5hA02', NULL, NULL, 245, NULL, NULL, 20497),
(58228, '3ciaA03', NULL, NULL, 155, NULL, NULL, 20497),
(58229, '6q4rA02', NULL, NULL, 250, NULL, NULL, 20497),
(58230, '4k90A02', NULL, NULL, 188, NULL, NULL, 20497),
(58231, '4wz9A02', NULL, NULL, 254, NULL, NULL, 20497),
(58232, '4fytA02', NULL, NULL, 261, NULL, NULL, 20497),
(58233, '5dllA03', NULL, NULL, 164, NULL, NULL, 20497),
(58234, '4gerA02', NULL, NULL, 156, NULL, NULL, 20497),
(58235, '5zi7A03', NULL, NULL, 153, NULL, NULL, 20497),
(58236, '1npcA02', NULL, NULL, 161, NULL, NULL, 20497),
(58237, '2xq0A03', NULL, NULL, 157, NULL, NULL, 20497),
(58238, '2vqxA02', NULL, NULL, 167, NULL, NULL, 20497),
(58239, '6ea2A03', NULL, NULL, 171, NULL, NULL, 20497),
(58240, '3qq5A03', NULL, NULL, 111, NULL, NULL, 20498),
(58241, '5kh0A03', NULL, NULL, 113, NULL, NULL, 20498),
(58242, '1mkfA02', NULL, NULL, 172, NULL, NULL, 20499),
(58243, '1j5yA02', NULL, NULL, 108, NULL, NULL, 20500),
(58244, '3w9aB00', NULL, NULL, 245, NULL, NULL, 20501),
(58245, '4le3C00', NULL, NULL, 252, NULL, NULL, 20501),
(58246, '1zylA03', NULL, NULL, 103, NULL, NULL, 20502),
(58247, '4lo4B02', NULL, NULL, 152, NULL, NULL, 20503),
(58248, '4en6B02', NULL, NULL, 152, NULL, NULL, 20503),
(58249, '3tewA04', NULL, NULL, 131, NULL, NULL, 20504),
(58250, '4injA02', NULL, NULL, 166, NULL, NULL, 20505),
(58251, '4eysA02', NULL, NULL, 185, NULL, NULL, 20505),
(58252, '3tlaA02', NULL, NULL, 174, NULL, NULL, 20505),
(58253, '4jvoA02', NULL, NULL, 169, NULL, NULL, 20505),
(58254, '5jybA02', NULL, NULL, 178, NULL, NULL, 20505),
(58255, '3g23A02', NULL, NULL, 107, NULL, NULL, 20505),
(58256, '4e5sA02', NULL, NULL, 170, NULL, NULL, 20505),
(58257, '1zl0B02', NULL, NULL, 139, NULL, NULL, 20505),
(58258, '2w4sA00', NULL, NULL, 92, NULL, NULL, 20506),
(58259, '2xc7A00', NULL, NULL, 104, NULL, NULL, 20506),
(58260, '3jamI03', NULL, NULL, 58, NULL, NULL, 20507),
(58261, '6faiI03', NULL, NULL, 57, NULL, NULL, 20507),
(58262, '6g5iI03', NULL, NULL, 63, NULL, NULL, 20507),
(58263, '2xzm203', NULL, NULL, 56, NULL, NULL, 20507),
(58264, '5xxuI03', NULL, NULL, 60, NULL, NULL, 20507),
(58265, '2qkdA03', NULL, NULL, 51, NULL, NULL, 20508),
(58266, '2qkdA01', NULL, NULL, 58, NULL, NULL, 20508),
(58267, '1djxA02', NULL, NULL, 289, NULL, NULL, 20509),
(58268, '3mz2A00', NULL, NULL, 292, NULL, NULL, 20509),
(58269, '3ks6A00', NULL, NULL, 250, NULL, NULL, 20509),
(58270, '2otdA01', NULL, NULL, 228, NULL, NULL, 20509),
(58271, '2zkmX03', NULL, NULL, 312, NULL, NULL, 20509),
(58272, '5t9cE00', NULL, NULL, 268, NULL, NULL, 20509),
(58273, '2plcA00', NULL, NULL, 274, NULL, NULL, 20509),
(58274, '3ea1A00', NULL, NULL, 298, NULL, NULL, 20509);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(58275, '4i90A00', NULL, NULL, 303, NULL, NULL, 20509),
(58276, '3rlgA00', NULL, NULL, 279, NULL, NULL, 20509),
(58277, '1ydyA00', NULL, NULL, 328, NULL, NULL, 20509),
(58278, '2o55A00', NULL, NULL, 258, NULL, NULL, 20509),
(58279, '3h4xA00', NULL, NULL, 315, NULL, NULL, 20509),
(58280, '2oogD00', NULL, NULL, 287, NULL, NULL, 20509),
(58281, '4oecA00', NULL, NULL, 248, NULL, NULL, 20509),
(58282, '3no3A00', NULL, NULL, 238, NULL, NULL, 20509),
(58283, '3qr0A03', NULL, NULL, 276, NULL, NULL, 20509),
(58284, '1xx1A00', NULL, NULL, 285, NULL, NULL, 20509),
(58285, '2pz0B00', NULL, NULL, 252, NULL, NULL, 20509),
(58286, '4q6xA00', NULL, NULL, 278, NULL, NULL, 20509),
(58287, '3qvqA00', NULL, NULL, 252, NULL, NULL, 20509),
(58288, '4r7oA00', NULL, NULL, 292, NULL, NULL, 20509),
(58289, '1vd6A00', NULL, NULL, 224, NULL, NULL, 20509),
(58290, '3ch0A00', NULL, NULL, 272, NULL, NULL, 20509),
(58291, '3ohmB03', NULL, NULL, 301, NULL, NULL, 20509),
(58292, '1zccA00', NULL, NULL, 248, NULL, NULL, 20509),
(58293, '3l12B00', NULL, NULL, 313, NULL, NULL, 20509),
(58294, '1o1zA00', NULL, NULL, 234, NULL, NULL, 20509),
(58295, '3i10A00', NULL, NULL, 278, NULL, NULL, 20509),
(58296, '2w70A03', NULL, NULL, 73, NULL, NULL, 20510),
(58297, '1bxrA07', NULL, NULL, 70, NULL, NULL, 20510),
(58298, '3k3pB03', NULL, NULL, 70, NULL, NULL, 20510),
(58299, '1a9xA03', NULL, NULL, 70, NULL, NULL, 20510),
(58300, '3ufxB02', NULL, NULL, 76, NULL, NULL, 20510),
(58301, '4egjB03', NULL, NULL, 70, NULL, NULL, 20510),
(58302, '4fu0A03', NULL, NULL, 63, NULL, NULL, 20510),
(58303, '3mjfA02', NULL, NULL, 70, NULL, NULL, 20510),
(58304, '5lxtF03', NULL, NULL, 92, NULL, NULL, 20510),
(58305, '2dwcB02', NULL, NULL, 72, NULL, NULL, 20510),
(58306, '3ouzB03', NULL, NULL, 72, NULL, NULL, 20510),
(58307, '2qk4B02', NULL, NULL, 71, NULL, NULL, 20510),
(58308, '2fb9A03', NULL, NULL, 57, NULL, NULL, 20510),
(58309, '4wd3A02', NULL, NULL, 75, NULL, NULL, 20510),
(58310, '3gidB02', NULL, NULL, 106, NULL, NULL, 20510),
(58311, '3tiiA03', NULL, NULL, 92, NULL, NULL, 20510),
(58312, '4qslF02', NULL, NULL, 71, NULL, NULL, 20510),
(58313, '3q2oA02', NULL, NULL, 69, NULL, NULL, 20510),
(58314, '5tdeA02', NULL, NULL, 82, NULL, NULL, 20510),
(58315, '3lp8A02', NULL, NULL, 70, NULL, NULL, 20510),
(58316, '1ulzA02', NULL, NULL, 72, NULL, NULL, 20510),
(58317, '4egqA03', NULL, NULL, 70, NULL, NULL, 20510),
(58318, '1gsaA03', NULL, NULL, 65, NULL, NULL, 20510),
(58319, '2olsA01', NULL, NULL, 195, NULL, NULL, 20510),
(58320, '2yrxA02', NULL, NULL, 70, NULL, NULL, 20510),
(58321, '2r6fA03', NULL, NULL, 72, NULL, NULL, 20510),
(58322, '3tqtA03', NULL, NULL, 71, NULL, NULL, 20510),
(58323, '2r7kA03', NULL, NULL, 64, NULL, NULL, 20510),
(58324, '1i7nA01', NULL, NULL, 60, NULL, NULL, 20510),
(58325, '4i50F03', NULL, NULL, 59, NULL, NULL, 20510),
(58326, '1auvA01', NULL, NULL, 60, NULL, NULL, 20510),
(58327, '2xclA02', NULL, NULL, 70, NULL, NULL, 20510),
(58328, '5h80A02', NULL, NULL, 72, NULL, NULL, 20510),
(58329, '1vbgA01', NULL, NULL, 161, NULL, NULL, 20510),
(58330, '2pbzA03', NULL, NULL, 54, NULL, NULL, 20510),
(58331, '2cqyA01', NULL, NULL, 72, NULL, NULL, 20510),
(58332, '3vpdA02', NULL, NULL, 69, NULL, NULL, 20510),
(58333, '1kblA01', NULL, NULL, 153, NULL, NULL, 20510),
(58334, '5jvlC01', NULL, NULL, 159, NULL, NULL, 20510),
(58335, '1vkzA02', NULL, NULL, 70, NULL, NULL, 20510),
(58336, '3hblC02', NULL, NULL, 71, NULL, NULL, 20510),
(58337, '3e5nA03', NULL, NULL, 70, NULL, NULL, 20510),
(58338, '1uc9A02', NULL, NULL, 69, NULL, NULL, 20510),
(58339, '4mamA02', NULL, NULL, 81, NULL, NULL, 20510),
(58340, '3ethA03', NULL, NULL, 62, NULL, NULL, 20510),
(58341, '4eg0A03', NULL, NULL, 70, NULL, NULL, 20510),
(58342, '3se7A03', NULL, NULL, 58, NULL, NULL, 20510),
(58343, '2yw2A02', NULL, NULL, 70, NULL, NULL, 20510),
(58344, '1w96A03', NULL, NULL, 63, NULL, NULL, 20510),
(58345, '3lwbA03', NULL, NULL, 66, NULL, NULL, 20510),
(58346, '2pvpA03', NULL, NULL, 64, NULL, NULL, 20510),
(58347, '3orqA03', NULL, NULL, 63, NULL, NULL, 20510),
(58348, '2x0sA01', NULL, NULL, 145, NULL, NULL, 20510);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(58349, '1uc8A02', NULL, NULL, 69, NULL, NULL, 20510),
(58350, '2c00A03', NULL, NULL, 73, NULL, NULL, 20510),
(58351, '2p0aA03', NULL, NULL, 60, NULL, NULL, 20510),
(58352, '3n6rG02', NULL, NULL, 72, NULL, NULL, 20510),
(58353, '1pk8A01', NULL, NULL, 60, NULL, NULL, 20510),
(58354, '3k5iA02', NULL, NULL, 70, NULL, NULL, 20510),
(58355, '5bphD03', NULL, NULL, 73, NULL, NULL, 20510),
(58356, '3vpbA02', NULL, NULL, 69, NULL, NULL, 20510),
(58357, '5k2mA02', NULL, NULL, 69, NULL, NULL, 20510),
(58358, '6dgiA03', NULL, NULL, 68, NULL, NULL, 20510),
(58359, '3ouuA03', NULL, NULL, 72, NULL, NULL, 20510),
(58360, '3wnzA02', NULL, NULL, 92, NULL, NULL, 20510),
(58361, '1e4eA02', NULL, NULL, 58, NULL, NULL, 20510),
(58362, '2dzdB02', NULL, NULL, 72, NULL, NULL, 20510),
(58363, '2yl2A03', NULL, NULL, 63, NULL, NULL, 20510),
(58364, '1uc9B02', NULL, NULL, 69, NULL, NULL, 20510),
(58365, '5zctA02', NULL, NULL, 66, NULL, NULL, 20510),
(58366, '2nu8B02', NULL, NULL, 84, NULL, NULL, 20510),
(58367, '1kjqB02', NULL, NULL, 74, NULL, NULL, 20510),
(58368, '3i12A03', NULL, NULL, 70, NULL, NULL, 20510),
(58369, '3u9tA03', NULL, NULL, 69, NULL, NULL, 20510),
(58370, '5d8dD03', NULL, NULL, 66, NULL, NULL, 20510),
(58371, '5i47B02', NULL, NULL, 67, NULL, NULL, 20510),
(58372, '4izoA02', NULL, NULL, 72, NULL, NULL, 20510),
(58373, '2fp4B02', NULL, NULL, 91, NULL, NULL, 20510),
(58374, '2r85A03', NULL, NULL, 62, NULL, NULL, 20510),
(58375, '1gsoA02', NULL, NULL, 70, NULL, NULL, 20510),
(58376, '3r5xD03', NULL, NULL, 67, NULL, NULL, 20510),
(58377, '1uc8B02', NULL, NULL, 69, NULL, NULL, 20510),
(58378, '2ip4A02', NULL, NULL, 66, NULL, NULL, 20510),
(58379, '3ouzA03', NULL, NULL, 72, NULL, NULL, 20510),
(58380, '3glkA03', NULL, NULL, 63, NULL, NULL, 20510),
(58381, '2pn1A02', NULL, NULL, 87, NULL, NULL, 20510),
(58382, '1ehiA03', NULL, NULL, 68, NULL, NULL, 20510),
(58383, '4e4tB02', NULL, NULL, 72, NULL, NULL, 20510),
(58384, '1wr2A02', NULL, NULL, 78, NULL, NULL, 20510),
(58385, '2i87A03', NULL, NULL, 73, NULL, NULL, 20510),
(58386, '3ouuB03', NULL, NULL, 72, NULL, NULL, 20510),
(58387, '4xylB02', NULL, NULL, 78, NULL, NULL, 20510),
(58388, '5hv6B01', NULL, NULL, 197, NULL, NULL, 20510),
(58389, '4c5cA03', NULL, NULL, 73, NULL, NULL, 20510),
(58390, '2vpqA03', NULL, NULL, 72, NULL, NULL, 20510),
(58391, '4mv4A03', NULL, NULL, 73, NULL, NULL, 20510),
(58392, '5vevB02', NULL, NULL, 70, NULL, NULL, 20510),
(58393, '2jchA01', NULL, NULL, 88, NULL, NULL, 20511),
(58394, '2y2pA01', NULL, NULL, 113, NULL, NULL, 20511),
(58395, '4bkwA03', NULL, NULL, 153, NULL, NULL, 20512),
(58396, '2arhA02', NULL, NULL, 45, NULL, NULL, 20513),
(58397, '3n54B03', NULL, NULL, 154, NULL, NULL, 20514),
(58398, '1k5oA00', NULL, NULL, 86, NULL, NULL, 20515),
(58399, '3kyzA00', NULL, NULL, 125, NULL, NULL, 20516),
(58400, '1vq8N00', NULL, NULL, 187, NULL, NULL, 20517),
(58401, '1ovyA00', NULL, NULL, 97, NULL, NULL, 20517),
(58402, '1ilyA00', NULL, NULL, 90, NULL, NULL, 20517),
(58403, '5v7qO01', NULL, NULL, 100, NULL, NULL, 20517),
(58404, '5mmiP01', NULL, NULL, 104, NULL, NULL, 20517),
(58405, '6qulP00', NULL, NULL, 117, NULL, NULL, 20517),
(58406, '5o60P01', NULL, NULL, 100, NULL, NULL, 20517),
(58407, '3o58E00', NULL, NULL, 297, NULL, NULL, 20517),
(58408, '6hmaM01', NULL, NULL, 99, NULL, NULL, 20517),
(58409, '5dm6L01', NULL, NULL, 94, NULL, NULL, 20517),
(58410, '1wn9A00', NULL, NULL, 131, NULL, NULL, 20518),
(58411, '3fdsD00', NULL, NULL, 245, NULL, NULL, 20519),
(58412, '3fdsC01', NULL, NULL, 244, NULL, NULL, 20519),
(58413, '1iz5A00', NULL, NULL, 249, NULL, NULL, 20519),
(58414, '3aizA01', NULL, NULL, 243, NULL, NULL, 20519),
(58415, '2z0lA00', NULL, NULL, 318, NULL, NULL, 20519),
(58416, '3ifvC00', NULL, NULL, 247, NULL, NULL, 20519),
(58417, '2avtA02', NULL, NULL, 200, NULL, NULL, 20519),
(58418, '5tupA00', NULL, NULL, 259, NULL, NULL, 20519),
(58419, '3aizC00', NULL, NULL, 246, NULL, NULL, 20519),
(58420, '5a6dA00', NULL, NULL, 249, NULL, NULL, 20519),
(58421, '4hk1A00', NULL, NULL, 263, NULL, NULL, 20519),
(58422, '3lx2A00', NULL, NULL, 259, NULL, NULL, 20519);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(58423, '5v7mA00', NULL, NULL, 265, NULL, NULL, 20519),
(58424, '3i2mX00', NULL, NULL, 309, NULL, NULL, 20519),
(58425, '3p91A00', NULL, NULL, 265, NULL, NULL, 20519),
(58426, '1b77A00', NULL, NULL, 228, NULL, NULL, 20519),
(58427, '2awaA02', NULL, NULL, 200, NULL, NULL, 20519),
(58428, '1u7bA00', NULL, NULL, 261, NULL, NULL, 20519),
(58429, '6drtA00', NULL, NULL, 236, NULL, NULL, 20519),
(58430, '1rwzA00', NULL, NULL, 245, NULL, NULL, 20519),
(58431, '1t6lA00', NULL, NULL, 270, NULL, NULL, 20519),
(58432, '1dmlA00', NULL, NULL, 291, NULL, NULL, 20519),
(58433, '4tr6A02', NULL, NULL, 200, NULL, NULL, 20519),
(58434, '2ijxA00', NULL, NULL, 244, NULL, NULL, 20519),
(58435, '6o09K00', NULL, NULL, 268, NULL, NULL, 20519),
(58436, '4cs5B00', NULL, NULL, 260, NULL, NULL, 20519),
(58437, '5h0tA00', NULL, NULL, 251, NULL, NULL, 20519),
(58438, '3a1jC00', NULL, NULL, 263, NULL, NULL, 20519),
(58439, '3a1jB00', NULL, NULL, 281, NULL, NULL, 20519),
(58440, '1ud9A00', NULL, NULL, 245, NULL, NULL, 20519),
(58441, '5daiA00', NULL, NULL, 255, NULL, NULL, 20519),
(58442, '3a1jA00', NULL, NULL, 266, NULL, NULL, 20519),
(58443, '2iirA01', NULL, NULL, 195, NULL, NULL, 20520),
(58444, '2iirA02', NULL, NULL, 208, NULL, NULL, 20520),
(58445, '6eofA02', NULL, NULL, 91, NULL, NULL, 20520),
(58446, '6eofA01', NULL, NULL, 215, NULL, NULL, 20520),
(58447, '5b8hA02', NULL, NULL, 123, NULL, NULL, 20520),
(58448, '2v7yA01', NULL, NULL, 180, NULL, NULL, 20520),
(58449, '2v7yA02', NULL, NULL, 97, NULL, NULL, 20520),
(58450, '5b8hA01', NULL, NULL, 142, NULL, NULL, 20520),
(58451, '3ll3B01', NULL, NULL, 247, NULL, NULL, 20520),
(58452, '3h1qA01', NULL, NULL, 157, NULL, NULL, 20520),
(58453, '3h1qA02', NULL, NULL, 115, NULL, NULL, 20520),
(58454, '1bdgA02', NULL, NULL, 165, NULL, NULL, 20520),
(58455, '4jneA02', NULL, NULL, 98, NULL, NULL, 20520),
(58456, '2nztA02', NULL, NULL, 187, NULL, NULL, 20520),
(58457, '4jneA01', NULL, NULL, 206, NULL, NULL, 20520),
(58458, '3ll3B02', NULL, NULL, 257, NULL, NULL, 20520),
(58459, '4c23B02', NULL, NULL, 235, NULL, NULL, 20520),
(58460, '5f0xA01', NULL, NULL, 154, NULL, NULL, 20520),
(58461, '4c23B01', NULL, NULL, 238, NULL, NULL, 20520),
(58462, '3cipA01', NULL, NULL, 172, NULL, NULL, 20520),
(58463, '4h0oA02', NULL, NULL, 205, NULL, NULL, 20520),
(58464, '4ijaA02', NULL, NULL, 157, NULL, NULL, 20520),
(58465, '2fxuA02', NULL, NULL, 109, NULL, NULL, 20520),
(58466, '3cipA02', NULL, NULL, 109, NULL, NULL, 20520),
(58467, '2fxuA01', NULL, NULL, 174, NULL, NULL, 20520),
(58468, '4xh4A02', NULL, NULL, 211, NULL, NULL, 20520),
(58469, '4xh4A01', NULL, NULL, 188, NULL, NULL, 20520),
(58470, '3l0qA01', NULL, NULL, 366, NULL, NULL, 20520),
(58471, '4m7xA01', NULL, NULL, 91, NULL, NULL, 20520),
(58472, '1zc6B01', NULL, NULL, 149, NULL, NULL, 20520),
(58473, '4ijaA03', NULL, NULL, 150, NULL, NULL, 20520),
(58474, '2itmB02', NULL, NULL, 243, NULL, NULL, 20520),
(58475, '4brcA01', NULL, NULL, 140, NULL, NULL, 20520),
(58476, '1nbwA04', NULL, NULL, 132, NULL, NULL, 20520),
(58477, '1nbwA01', NULL, NULL, 133, NULL, NULL, 20520),
(58478, '3hm8A02', NULL, NULL, 163, NULL, NULL, 20520),
(58479, '3hz6A02', NULL, NULL, 260, NULL, NULL, 20520),
(58480, '3vovB01', NULL, NULL, 148, NULL, NULL, 20520),
(58481, '5br9C01', NULL, NULL, 143, NULL, NULL, 20520),
(58482, '3hz6A01', NULL, NULL, 251, NULL, NULL, 20520),
(58483, '3g25C01', NULL, NULL, 255, NULL, NULL, 20520),
(58484, '1k8kA03', NULL, NULL, 133, NULL, NULL, 20520),
(58485, '4e1jD01', NULL, NULL, 249, NULL, NULL, 20520),
(58486, '5eoxB03', NULL, NULL, 128, NULL, NULL, 20520),
(58487, '1k8kA01', NULL, NULL, 132, NULL, NULL, 20520),
(58488, '4h0oA01', NULL, NULL, 199, NULL, NULL, 20520),
(58489, '3ifrA01', NULL, NULL, 244, NULL, NULL, 20520),
(58490, '3f9mA02', NULL, NULL, 169, NULL, NULL, 20520),
(58491, '4e1jD02', NULL, NULL, 246, NULL, NULL, 20520),
(58492, '4a2bA01', NULL, NULL, 144, NULL, NULL, 20520),
(58493, '4a2bA03', NULL, NULL, 95, NULL, NULL, 20520),
(58494, '2d0oA04', NULL, NULL, 132, NULL, NULL, 20520),
(58495, '2ychA01', NULL, NULL, 167, NULL, NULL, 20520);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(58496, '4h0pB02', NULL, NULL, 230, NULL, NULL, 20520),
(58497, '2d0oA01', NULL, NULL, 139, NULL, NULL, 20520),
(58498, '2p9uB01', NULL, NULL, 161, NULL, NULL, 20520),
(58499, '4rtfD02', NULL, NULL, 89, NULL, NULL, 20520),
(58500, '4fo0A01', NULL, NULL, 166, NULL, NULL, 20520),
(58501, '4rtfD01', NULL, NULL, 175, NULL, NULL, 20520),
(58502, '2ychA03', NULL, NULL, 149, NULL, NULL, 20520),
(58503, '4fo0A04', NULL, NULL, 116, NULL, NULL, 20520),
(58504, '1t6cA01', NULL, NULL, 134, NULL, NULL, 20520),
(58505, '2w40A02', NULL, NULL, 247, NULL, NULL, 20520),
(58506, '6ioyC02', NULL, NULL, 202, NULL, NULL, 20520),
(58507, '3qdkA02', NULL, NULL, 271, NULL, NULL, 20520),
(58508, '2w40A01', NULL, NULL, 256, NULL, NULL, 20520),
(58509, '3dwlA02', NULL, NULL, 131, NULL, NULL, 20520),
(58510, '3dwlA01', NULL, NULL, 195, NULL, NULL, 20520),
(58511, '5nckA01', NULL, NULL, 105, NULL, NULL, 20520),
(58512, '5nckA02', NULL, NULL, 186, NULL, NULL, 20520),
(58513, '6f1uB01', NULL, NULL, 177, NULL, NULL, 20520),
(58514, '3mdqA01', NULL, NULL, 126, NULL, NULL, 20520),
(58515, '2itmA01', NULL, NULL, 241, NULL, NULL, 20520),
(58516, '3d2fA03', NULL, NULL, 93, NULL, NULL, 20520),
(58517, '4bc3A01', NULL, NULL, 324, NULL, NULL, 20520),
(58518, '3d2fA01', NULL, NULL, 134, NULL, NULL, 20520),
(58519, '4bc3A02', NULL, NULL, 213, NULL, NULL, 20520),
(58520, '3r9pB01', NULL, NULL, 189, NULL, NULL, 20520),
(58521, '3qfuA01', NULL, NULL, 167, NULL, NULL, 20520),
(58522, '4pl7A02', NULL, NULL, 109, NULL, NULL, 20520),
(58523, '1u6zA01', NULL, NULL, 131, NULL, NULL, 20520),
(58524, '3qfuA03', NULL, NULL, 88, NULL, NULL, 20520),
(58525, '5jicA02', NULL, NULL, 182, NULL, NULL, 20520),
(58526, '3vovA02', NULL, NULL, 154, NULL, NULL, 20520),
(58527, '4dq8B02', NULL, NULL, 202, NULL, NULL, 20520),
(58528, '6f1uB02', NULL, NULL, 109, NULL, NULL, 20520),
(58529, '4dq8B01', NULL, NULL, 189, NULL, NULL, 20520),
(58530, '1k8kB01', NULL, NULL, 102, NULL, NULL, 20520),
(58531, '5brhB01', NULL, NULL, 175, NULL, NULL, 20520),
(58532, '3ifrB02', NULL, NULL, 264, NULL, NULL, 20520),
(58533, '5bn8A03', NULL, NULL, 90, NULL, NULL, 20520),
(58534, '4jd2B01', NULL, NULL, 185, NULL, NULL, 20520),
(58535, '3h6eB01', NULL, NULL, 101, NULL, NULL, 20520),
(58536, '5vm1B01', NULL, NULL, 251, NULL, NULL, 20520),
(58537, '3djcJ02', NULL, NULL, 177, NULL, NULL, 20520),
(58538, '4htlA01', NULL, NULL, 104, NULL, NULL, 20520),
(58539, '5bn8A01', NULL, NULL, 160, NULL, NULL, 20520),
(58540, '4b1yB02', NULL, NULL, 109, NULL, NULL, 20520),
(58541, '4htlA02', NULL, NULL, 193, NULL, NULL, 20520),
(58542, '5aqmA03', NULL, NULL, 89, NULL, NULL, 20520),
(58543, '5i9eB01', NULL, NULL, 172, NULL, NULL, 20520),
(58544, '4br4A01', NULL, NULL, 137, NULL, NULL, 20520),
(58545, '5i9eB02', NULL, NULL, 109, NULL, NULL, 20520),
(58546, '4bgbA02', NULL, NULL, 185, NULL, NULL, 20520),
(58547, '6n9aD01', NULL, NULL, 166, NULL, NULL, 20520),
(58548, '1jcfA02', NULL, NULL, 89, NULL, NULL, 20520),
(58549, '1zbsA01', NULL, NULL, 97, NULL, NULL, 20520),
(58550, '6n9aD02', NULL, NULL, 164, NULL, NULL, 20520),
(58551, '1zbsA02', NULL, NULL, 104, NULL, NULL, 20520),
(58552, '4h0pA01', NULL, NULL, 208, NULL, NULL, 20520),
(58553, '2q2rA01', NULL, NULL, 167, NULL, NULL, 20520),
(58554, '1yagA03', NULL, NULL, 108, NULL, NULL, 20520),
(58555, '1yagA01', NULL, NULL, 135, NULL, NULL, 20520),
(58556, '5br9A02', NULL, NULL, 91, NULL, NULL, 20520),
(58557, '3ohrA01', NULL, NULL, 106, NULL, NULL, 20520),
(58558, '3ohrA02', NULL, NULL, 197, NULL, NULL, 20520),
(58559, '1hkgA02', NULL, NULL, 130, NULL, NULL, 20520),
(58560, '3ub5A02', NULL, NULL, 108, NULL, NULL, 20520),
(58561, '3smpA02', NULL, NULL, 155, NULL, NULL, 20520),
(58562, '5e26A02', NULL, NULL, 155, NULL, NULL, 20520),
(58563, '4pl7B01', NULL, NULL, 242, NULL, NULL, 20520),
(58564, '3ezwD02', NULL, NULL, 247, NULL, NULL, 20520),
(58565, '3ezwD01', NULL, NULL, 253, NULL, NULL, 20520),
(58566, '4kboA03', NULL, NULL, 86, NULL, NULL, 20520),
(58567, '3cetB01', NULL, NULL, 111, NULL, NULL, 20520),
(58568, '3g25A02', NULL, NULL, 246, NULL, NULL, 20520);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(58569, '1huxA02', NULL, NULL, 140, NULL, NULL, 20520),
(58570, '1huxA01', NULL, NULL, 130, NULL, NULL, 20520),
(58571, '4k25A01', NULL, NULL, 193, NULL, NULL, 20520),
(58572, '5hg1A02', NULL, NULL, 185, NULL, NULL, 20520),
(58573, '5vm1A02', NULL, NULL, 240, NULL, NULL, 20520),
(58574, '3mn5A01', NULL, NULL, 161, NULL, NULL, 20520),
(58575, '2zf5O01', NULL, NULL, 247, NULL, NULL, 20520),
(58576, '2zf5O02', NULL, NULL, 250, NULL, NULL, 20520),
(58577, '5ly3A01', NULL, NULL, 208, NULL, NULL, 20520),
(58578, '4ehuA02', NULL, NULL, 143, NULL, NULL, 20520),
(58579, '2nztB04', NULL, NULL, 181, NULL, NULL, 20520),
(58580, '4ehuA01', NULL, NULL, 133, NULL, NULL, 20520),
(58581, '5nblA01', NULL, NULL, 180, NULL, NULL, 20520),
(58582, '5i9eA02', NULL, NULL, 112, NULL, NULL, 20520),
(58583, '4kboA01', NULL, NULL, 154, NULL, NULL, 20520),
(58584, '4cbuA01', NULL, NULL, 177, NULL, NULL, 20520),
(58585, '4cbuA02', NULL, NULL, 109, NULL, NULL, 20520),
(58586, '1czaN01', NULL, NULL, 187, NULL, NULL, 20520),
(58587, '6ioyA01', NULL, NULL, 201, NULL, NULL, 20520),
(58588, '3zeuA01', NULL, NULL, 136, NULL, NULL, 20520),
(58589, '5ljwB01', NULL, NULL, 177, NULL, NULL, 20520),
(58590, '1czaN03', NULL, NULL, 182, NULL, NULL, 20520),
(58591, '3zeuA02', NULL, NULL, 95, NULL, NULL, 20520),
(58592, '2qm1A02', NULL, NULL, 173, NULL, NULL, 20520),
(58593, '2ivnA02', NULL, NULL, 157, NULL, NULL, 20520),
(58594, '2ivnA01', NULL, NULL, 173, NULL, NULL, 20520),
(58595, '1bg3B01', NULL, NULL, 187, NULL, NULL, 20520),
(58596, '3fe1A01', NULL, NULL, 150, NULL, NULL, 20520),
(58597, '3h3nO02', NULL, NULL, 252, NULL, NULL, 20520),
(58598, '3fe1A03', NULL, NULL, 89, NULL, NULL, 20520),
(58599, '4fl9A01', NULL, NULL, 158, NULL, NULL, 20520),
(58600, '4czgA01', NULL, NULL, 155, NULL, NULL, 20520),
(58601, '4czgA02', NULL, NULL, 89, NULL, NULL, 20520),
(58602, '4o5fA01', NULL, NULL, 132, NULL, NULL, 20520),
(58603, '4o5fA02', NULL, NULL, 127, NULL, NULL, 20520),
(58604, '2hoeA03', NULL, NULL, 146, NULL, NULL, 20520),
(58605, '3lm2B01', NULL, NULL, 99, NULL, NULL, 20520),
(58606, '6gfaA03', NULL, NULL, 89, NULL, NULL, 20520),
(58607, '5aqmC01', NULL, NULL, 158, NULL, NULL, 20520),
(58608, '6gfaA01', NULL, NULL, 151, NULL, NULL, 20520),
(58609, '4i6mA01', NULL, NULL, 183, NULL, NULL, 20520),
(58610, '4i6mA02', NULL, NULL, 118, NULL, NULL, 20520),
(58611, '3venA02', NULL, NULL, 228, NULL, NULL, 20520),
(58612, '2hoeA02', NULL, NULL, 151, NULL, NULL, 20520),
(58613, '3venA01', NULL, NULL, 138, NULL, NULL, 20520),
(58614, '2yhwA01', NULL, NULL, 148, NULL, NULL, 20520),
(58615, '4am6A01', NULL, NULL, 210, NULL, NULL, 20520),
(58616, '2yhwA02', NULL, NULL, 168, NULL, NULL, 20520),
(58617, '3h46O01', NULL, NULL, 254, NULL, NULL, 20520),
(58618, '3gdqA03', NULL, NULL, 89, NULL, NULL, 20520),
(58619, '3gdqA01', NULL, NULL, 150, NULL, NULL, 20520),
(58620, '2uytA02', NULL, NULL, 253, NULL, NULL, 20520),
(58621, '2uytA01', NULL, NULL, 236, NULL, NULL, 20520),
(58622, '3o8mA02', NULL, NULL, 133, NULL, NULL, 20520),
(58623, '5ljwA02', NULL, NULL, 170, NULL, NULL, 20520),
(58624, '3zeuB01', NULL, NULL, 172, NULL, NULL, 20520),
(58625, '3zeuB02', NULL, NULL, 165, NULL, NULL, 20520),
(58626, '3gl1A03', NULL, NULL, 90, NULL, NULL, 20520),
(58627, '2qm1B01', NULL, NULL, 153, NULL, NULL, 20520),
(58628, '3htvA02', NULL, NULL, 196, NULL, NULL, 20520),
(58629, '3htvA01', NULL, NULL, 114, NULL, NULL, 20520),
(58630, '3en9A02', NULL, NULL, 158, NULL, NULL, 20520),
(58631, '4qs8A02', NULL, NULL, 171, NULL, NULL, 20520),
(58632, '3enoA02', NULL, NULL, 156, NULL, NULL, 20520),
(58633, '1bg3A03', NULL, NULL, 174, NULL, NULL, 20520),
(58634, '3sk3A02', NULL, NULL, 202, NULL, NULL, 20520),
(58635, '3vglA02', NULL, NULL, 173, NULL, NULL, 20520),
(58636, '2ap1A02', NULL, NULL, 166, NULL, NULL, 20520),
(58637, '3sk3A01', NULL, NULL, 196, NULL, NULL, 20520),
(58638, '3vglA01', NULL, NULL, 148, NULL, NULL, 20520),
(58639, '2ap1A01', NULL, NULL, 139, NULL, NULL, 20520),
(58640, '1dkgD03', NULL, NULL, 90, NULL, NULL, 20520),
(58641, '4ci6A01', NULL, NULL, 173, NULL, NULL, 20520);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(58642, '1jceA01', NULL, NULL, 156, NULL, NULL, 20520),
(58643, '4ci6A02', NULL, NULL, 109, NULL, NULL, 20520),
(58644, '3cqyB01', NULL, NULL, 186, NULL, NULL, 20520),
(58645, '1okjA02', NULL, NULL, 95, NULL, NULL, 20520),
(58646, '3b8aX02', NULL, NULL, 134, NULL, NULL, 20520),
(58647, '3kvgA03', NULL, NULL, 89, NULL, NULL, 20520),
(58648, '3kvgA01', NULL, NULL, 150, NULL, NULL, 20520),
(58649, '3h6eA03', NULL, NULL, 252, NULL, NULL, 20520),
(58650, '3i33A01', NULL, NULL, 152, NULL, NULL, 20520),
(58651, '1dkgD01', NULL, NULL, 150, NULL, NULL, 20520),
(58652, '3i33A03', NULL, NULL, 91, NULL, NULL, 20520),
(58653, '2zgyA01', NULL, NULL, 180, NULL, NULL, 20520),
(58654, '2zgyA02', NULL, NULL, 140, NULL, NULL, 20520),
(58655, '3wt0A02', NULL, NULL, 160, NULL, NULL, 20520),
(58656, '4db3A01', NULL, NULL, 145, NULL, NULL, 20520),
(58657, '4db3A02', NULL, NULL, 166, NULL, NULL, 20520),
(58658, '1woqA01', NULL, NULL, 122, NULL, NULL, 20520),
(58659, '1woqA02', NULL, NULL, 145, NULL, NULL, 20520),
(58660, '4gniA03', NULL, NULL, 87, NULL, NULL, 20520),
(58661, '4ijnA02', NULL, NULL, 200, NULL, NULL, 20520),
(58662, '3ttcA04', NULL, NULL, 250, NULL, NULL, 20520),
(58663, '6ediA01', NULL, NULL, 187, NULL, NULL, 20520),
(58664, '4yduC01', NULL, NULL, 142, NULL, NULL, 20520),
(58665, '1ig8A02', NULL, NULL, 134, NULL, NULL, 20520),
(58666, '1g99A01', NULL, NULL, 196, NULL, NULL, 20520),
(58667, '1g99A02', NULL, NULL, 212, NULL, NULL, 20520),
(58668, '3en9B01', NULL, NULL, 164, NULL, NULL, 20520),
(58669, '3enoB01', NULL, NULL, 178, NULL, NULL, 20520),
(58670, '3vpzA01', NULL, NULL, 131, NULL, NULL, 20520),
(58671, '2pbdA01', NULL, NULL, 136, NULL, NULL, 20520),
(58672, '2gupA02', NULL, NULL, 191, NULL, NULL, 20520),
(58673, '2gupA01', NULL, NULL, 101, NULL, NULL, 20520),
(58674, '4cbwA01', NULL, NULL, 174, NULL, NULL, 20520),
(58675, '3hi0A01', NULL, NULL, 120, NULL, NULL, 20520),
(58676, '1qz5A01', NULL, NULL, 130, NULL, NULL, 20520),
(58677, '3cqyA02', NULL, NULL, 184, NULL, NULL, 20520),
(58678, '5zqtA02', NULL, NULL, 171, NULL, NULL, 20520),
(58679, '3djcB01', NULL, NULL, 89, NULL, NULL, 20520),
(58680, '3vthA04', NULL, NULL, 249, NULL, NULL, 20520),
(58681, '2hf3A02', NULL, NULL, 109, NULL, NULL, 20520),
(58682, '1d4xA02', NULL, NULL, 109, NULL, NULL, 20520),
(58683, '2a6aA01', NULL, NULL, 149, NULL, NULL, 20520),
(58684, '3i8bA02', NULL, NULL, 233, NULL, NULL, 20520),
(58685, '3i8bA01', NULL, NULL, 282, NULL, NULL, 20520),
(58686, '2f9wA01', NULL, NULL, 153, NULL, NULL, 20520),
(58687, '2f9wA02', NULL, NULL, 118, NULL, NULL, 20520),
(58688, '3weeA01', NULL, NULL, 209, NULL, NULL, 20520),
(58689, '4gniB01', NULL, NULL, 160, NULL, NULL, 20520),
(58690, '3weeA02', NULL, NULL, 155, NULL, NULL, 20520),
(58691, '4ijnB01', NULL, NULL, 176, NULL, NULL, 20520),
(58692, '2e2oA02', NULL, NULL, 168, NULL, NULL, 20520),
(58693, '2e2oA01', NULL, NULL, 131, NULL, NULL, 20520),
(58694, '3mcpA02', NULL, NULL, 251, NULL, NULL, 20520),
(58695, '3qdkB01', NULL, NULL, 282, NULL, NULL, 20520),
(58696, '3epqA01', NULL, NULL, 105, NULL, NULL, 20520),
(58697, '2d4wA01', NULL, NULL, 253, NULL, NULL, 20520),
(58698, '3mcpA01', NULL, NULL, 115, NULL, NULL, 20520),
(58699, '3bexA02', NULL, NULL, 112, NULL, NULL, 20520),
(58700, '2d4wA02', NULL, NULL, 251, NULL, NULL, 20520),
(58701, '2p9iA01', NULL, NULL, 179, NULL, NULL, 20520),
(58702, '3bexA01', NULL, NULL, 137, NULL, NULL, 20520),
(58703, '1xc3A01', NULL, NULL, 105, NULL, NULL, 20520),
(58704, '3weeB02', NULL, NULL, 153, NULL, NULL, 20520),
(58705, '1zxoB01', NULL, NULL, 95, NULL, NULL, 20520),
(58706, '5tkyB01', NULL, NULL, 225, NULL, NULL, 20520),
(58707, '2yhxA02', NULL, NULL, 130, NULL, NULL, 20520),
(58708, '3r9pA02', NULL, NULL, 202, NULL, NULL, 20520),
(58709, '3cj1A01', NULL, NULL, 156, NULL, NULL, 20520),
(58710, '1sz2B01', NULL, NULL, 132, NULL, NULL, 20520),
(58711, '3cerC01', NULL, NULL, 139, NULL, NULL, 20520),
(58712, '2hf3A01', NULL, NULL, 171, NULL, NULL, 20520),
(58713, '2ch5B02', NULL, NULL, 205, NULL, NULL, 20520),
(58714, '3lm2A01', NULL, NULL, 99, NULL, NULL, 20520);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(58715, '6b3vA02', NULL, NULL, 155, NULL, NULL, 20520),
(58716, '4dchA02', NULL, NULL, 168, NULL, NULL, 20520),
(58717, '3lm2A02', NULL, NULL, 127, NULL, NULL, 20520),
(58718, '2aa4A02', NULL, NULL, 152, NULL, NULL, 20520),
(58719, '2aa4A01', NULL, NULL, 137, NULL, NULL, 20520),
(58720, '4cbxA01', NULL, NULL, 176, NULL, NULL, 20520),
(58721, '4cbxA02', NULL, NULL, 109, NULL, NULL, 20520),
(58722, '1z6rA02', NULL, NULL, 155, NULL, NULL, 20520),
(58723, '3wxlA02', NULL, NULL, 250, NULL, NULL, 20520),
(58724, '3wxlA01', NULL, NULL, 268, NULL, NULL, 20520),
(58725, '1z6rA03', NULL, NULL, 169, NULL, NULL, 20520),
(58726, '2fsjA02', NULL, NULL, 138, NULL, NULL, 20520),
(58727, '1sazA02', NULL, NULL, 197, NULL, NULL, 20520),
(58728, '1sazA01', NULL, NULL, 183, NULL, NULL, 20520),
(58729, '3khyA01', NULL, NULL, 190, NULL, NULL, 20520),
(58730, '3r8eA01', NULL, NULL, 160, NULL, NULL, 20520),
(58731, '4mo4A02', NULL, NULL, 184, NULL, NULL, 20520),
(58732, '2fsjA01', NULL, NULL, 188, NULL, NULL, 20520),
(58733, '3r8eA02', NULL, NULL, 161, NULL, NULL, 20520),
(58734, '4mo4A01', NULL, NULL, 187, NULL, NULL, 20520),
(58735, '3khyA02', NULL, NULL, 194, NULL, NULL, 20520),
(58736, '2p9iB01', NULL, NULL, 107, NULL, NULL, 20520),
(58737, '3zx3A01', NULL, NULL, 156, NULL, NULL, 20520),
(58738, '3gl1B01', NULL, NULL, 158, NULL, NULL, 20520),
(58739, '2h3gX01', NULL, NULL, 88, NULL, NULL, 20520),
(58740, '3wuhA02', NULL, NULL, 190, NULL, NULL, 20520),
(58741, '3js6A02', NULL, NULL, 140, NULL, NULL, 20520),
(58742, '3js6A01', NULL, NULL, 215, NULL, NULL, 20520),
(58743, '3w0lA02', NULL, NULL, 179, NULL, NULL, 20520),
(58744, '1z05A03', NULL, NULL, 170, NULL, NULL, 20520),
(58745, '2dpnA02', NULL, NULL, 245, NULL, NULL, 20520),
(58746, '1zc6A02', NULL, NULL, 156, NULL, NULL, 20520),
(58747, '1z05A02', NULL, NULL, 154, NULL, NULL, 20520),
(58748, '2dpnA01', NULL, NULL, 250, NULL, NULL, 20520),
(58749, '1zxoA02', NULL, NULL, 106, NULL, NULL, 20520),
(58750, '3uleB01', NULL, NULL, 131, NULL, NULL, 20520),
(58751, '5tkyA02', NULL, NULL, 97, NULL, NULL, 20520),
(58752, '2nrhB02', NULL, NULL, 159, NULL, NULL, 20520),
(58753, '2nrhB01', NULL, NULL, 60, NULL, NULL, 20520),
(58754, '4j8fA01', NULL, NULL, 231, NULL, NULL, 20520),
(58755, '3r6mA02', NULL, NULL, 95, NULL, NULL, 20520),
(58756, '3r6mA01', NULL, NULL, 118, NULL, NULL, 20520),
(58757, '2ch5A01', NULL, NULL, 142, NULL, NULL, 20520),
(58758, '2h3gX02', NULL, NULL, 180, NULL, NULL, 20520),
(58759, '2fhzB00', NULL, NULL, 108, NULL, NULL, 20521),
(58760, '4h22A00', NULL, NULL, 103, NULL, NULL, 20522),
(58761, '3ojaA03', NULL, NULL, 83, NULL, NULL, 20522),
(58762, '1lshA03', NULL, NULL, 98, NULL, NULL, 20523),
(58763, '4bxfA03', NULL, NULL, 139, NULL, NULL, 20524),
(58764, '4cckA03', NULL, NULL, 157, NULL, NULL, 20524),
(58765, '3hagA02', NULL, NULL, 141, NULL, NULL, 20525),
(58766, '2psbA00', NULL, NULL, 320, NULL, NULL, 20526),
(58767, '2df7A02', NULL, NULL, 140, NULL, NULL, 20527),
(58768, '3ideA02', NULL, NULL, 143, NULL, NULL, 20527),
(58769, '2gsyA02', NULL, NULL, 140, NULL, NULL, 20527),
(58770, '2g5cB02', NULL, NULL, 110, NULL, NULL, 20528),
(58771, '3b1fA02', NULL, NULL, 111, NULL, NULL, 20528),
(58772, '2pv7A02', NULL, NULL, 127, NULL, NULL, 20528),
(58773, '3ktdD02', NULL, NULL, 109, NULL, NULL, 20528),
(58774, '3dzbB02', NULL, NULL, 109, NULL, NULL, 20528),
(58775, '2f1kC02', NULL, NULL, 114, NULL, NULL, 20528),
(58776, '3dzbA02', NULL, NULL, 115, NULL, NULL, 20528),
(58777, '3gw6A02', NULL, NULL, 52, NULL, NULL, 20529),
(58778, '5kp7B00', NULL, NULL, 79, NULL, NULL, 20530),
(58779, '4bpfA00', NULL, NULL, 86, NULL, NULL, 20530),
(58780, '1x3oA00', NULL, NULL, 80, NULL, NULL, 20530),
(58781, '2dnwA00', NULL, NULL, 99, NULL, NULL, 20530),
(58782, '4r0mA03', NULL, NULL, 75, NULL, NULL, 20530),
(58783, '2gdyA01', NULL, NULL, 72, NULL, NULL, 20530),
(58784, '6h0jA00', NULL, NULL, 100, NULL, NULL, 20530),
(58785, '1af8A00', NULL, NULL, 86, NULL, NULL, 20530),
(58786, '3gzmB00', NULL, NULL, 81, NULL, NULL, 20530),
(58787, '2l22A02', NULL, NULL, 100, NULL, NULL, 20530);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(58788, '2l22A01', NULL, NULL, 91, NULL, NULL, 20530),
(58789, '2l4bA00', NULL, NULL, 88, NULL, NULL, 20530),
(58790, '2kooA00', NULL, NULL, 81, NULL, NULL, 20530),
(58791, '1vkuA00', NULL, NULL, 100, NULL, NULL, 20530),
(58792, '2n5hA00', NULL, NULL, 90, NULL, NULL, 20530),
(58793, '1nq4A00', NULL, NULL, 95, NULL, NULL, 20530),
(58794, '2mr7A00', NULL, NULL, 91, NULL, NULL, 20530),
(58795, '4h2wC00', NULL, NULL, 84, NULL, NULL, 20530),
(58796, '4h2uD00', NULL, NULL, 85, NULL, NULL, 20530),
(58797, '1t8kA00', NULL, NULL, 77, NULL, NULL, 20530),
(58798, '4ca3A01', NULL, NULL, 83, NULL, NULL, 20530),
(58799, '2n50A00', NULL, NULL, 79, NULL, NULL, 20530),
(58800, '1vw4801', NULL, NULL, 73, NULL, NULL, 20530),
(58801, '4neoA00', NULL, NULL, 93, NULL, NULL, 20530),
(58802, '2cg5B00', NULL, NULL, 91, NULL, NULL, 20530),
(58803, '4mrtC00', NULL, NULL, 90, NULL, NULL, 20530),
(58804, '2kr5A01', NULL, NULL, 76, NULL, NULL, 20530),
(58805, '1klpA00', NULL, NULL, 115, NULL, NULL, 20530),
(58806, '2roqA01', NULL, NULL, 97, NULL, NULL, 20530),
(58807, '5ejdA00', NULL, NULL, 77, NULL, NULL, 20530),
(58808, '2my5A00', NULL, NULL, 89, NULL, NULL, 20530),
(58809, '2mf4A01', NULL, NULL, 82, NULL, NULL, 20530),
(58810, '5czdB00', NULL, NULL, 85, NULL, NULL, 20530),
(58811, '4pxhB00', NULL, NULL, 90, NULL, NULL, 20530),
(58812, '2jgpA01', NULL, NULL, 79, NULL, NULL, 20530),
(58813, '2vsqA07', NULL, NULL, 75, NULL, NULL, 20530),
(58814, '2ehsA00', NULL, NULL, 77, NULL, NULL, 20530),
(58815, '2afdA00', NULL, NULL, 88, NULL, NULL, 20530),
(58816, '2lmlA00', NULL, NULL, 87, NULL, NULL, 20530),
(58817, '4hkgA00', NULL, NULL, 88, NULL, NULL, 20530),
(58818, '2pngA01', NULL, NULL, 72, NULL, NULL, 20530),
(58819, '2cgqA00', NULL, NULL, 88, NULL, NULL, 20530),
(58820, '2xz0D00', NULL, NULL, 82, NULL, NULL, 20530),
(58821, '3ce7A00', NULL, NULL, 107, NULL, NULL, 20530),
(58822, '2ju1A00', NULL, NULL, 95, NULL, NULL, 20530),
(58823, '4dg9A03', NULL, NULL, 82, NULL, NULL, 20530),
(58824, '6buhA00', NULL, NULL, 82, NULL, NULL, 20530),
(58825, '2l9fA00', NULL, NULL, 102, NULL, NULL, 20530),
(58826, '2cq8A01', NULL, NULL, 81, NULL, NULL, 20530),
(58827, '1or5A00', NULL, NULL, 83, NULL, NULL, 20530),
(58828, '2lolA00', NULL, NULL, 81, NULL, NULL, 20530),
(58829, '1f80D00', NULL, NULL, 81, NULL, NULL, 20530),
(58830, '2liuA01', NULL, NULL, 85, NULL, NULL, 20530),
(58831, '1dv5A00', NULL, NULL, 80, NULL, NULL, 20530),
(58832, '2lteA00', NULL, NULL, 103, NULL, NULL, 20530),
(58833, '2qnwA00', NULL, NULL, 82, NULL, NULL, 20530),
(58834, '2n98A00', NULL, NULL, 90, NULL, NULL, 20530),
(58835, '4iz6B03', NULL, NULL, 76, NULL, NULL, 20530),
(58836, '5hv8A00', NULL, NULL, 95, NULL, NULL, 20530),
(58837, '5ttbA00', NULL, NULL, 82, NULL, NULL, 20530),
(58838, '3lmoA00', NULL, NULL, 101, NULL, NULL, 20530),
(58839, '2l0qA00', NULL, NULL, 80, NULL, NULL, 20530),
(58840, '2lkiA00', NULL, NULL, 83, NULL, NULL, 20530),
(58841, '2m5rA00', NULL, NULL, 80, NULL, NULL, 20530),
(58842, '2kwlA00', NULL, NULL, 84, NULL, NULL, 20530),
(58843, '4dvzA02', NULL, NULL, 148, NULL, NULL, 20531),
(58844, '4dvyP03', NULL, NULL, 179, NULL, NULL, 20531),
(58845, '2c0nA00', NULL, NULL, 203, NULL, NULL, 20532),
(58846, '3my2A00', NULL, NULL, 133, NULL, NULL, 20533),
(58847, '2r19A00', NULL, NULL, 138, NULL, NULL, 20533),
(58848, '4uu4A00', NULL, NULL, 150, NULL, NULL, 20533),
(58849, '2i71A02', NULL, NULL, 159, NULL, NULL, 20534),
(58850, '3b4sA02', NULL, NULL, 43, NULL, NULL, 20535),
(58851, '4u8uM01', NULL, NULL, 58, NULL, NULL, 20536),
(58852, '2gtlM01', NULL, NULL, 51, NULL, NULL, 20536),
(58853, '2fztA00', NULL, NULL, 79, NULL, NULL, 20537),
(58854, '3djmD00', NULL, NULL, 116, NULL, NULL, 20538),
(58855, '4hkhA00', NULL, NULL, 169, NULL, NULL, 20539),
(58856, '3eaaA00', NULL, NULL, 163, NULL, NULL, 20539),
(58857, '5xeuC00', NULL, NULL, 161, NULL, NULL, 20539),
(58858, '5xhhA00', NULL, NULL, 161, NULL, NULL, 20539),
(58859, '4w64B00', NULL, NULL, 171, NULL, NULL, 20539),
(58860, '5mxn100', NULL, NULL, 170, NULL, NULL, 20539),
(58861, '6a2vE00', NULL, NULL, 171, NULL, NULL, 20539); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(58862, '3v4hA00', NULL, NULL, 158, NULL, NULL, 20539),
(58863, '1y12B00', NULL, NULL, 165, NULL, NULL, 20539),
(58864, '3he1A00', NULL, NULL, 172, NULL, NULL, 20539),
(58865, '4tv4A00', NULL, NULL, 160, NULL, NULL, 20539),
(58866, '3cjsA00', NULL, NULL, 59, NULL, NULL, 20540),
(58867, '3ajdA01', NULL, NULL, 68, NULL, NULL, 20540),
(58868, '2b9eA01', NULL, NULL, 86, NULL, NULL, 20540),
(58869, '3m6uA01', NULL, NULL, 90, NULL, NULL, 20540),
(58870, '2yxlA03', NULL, NULL, 58, NULL, NULL, 20540),
(58871, '3m4xA01', NULL, NULL, 94, NULL, NULL, 20540),
(58872, '1sqgA03', NULL, NULL, 58, NULL, NULL, 20540),
(58873, '1ixkA01', NULL, NULL, 107, NULL, NULL, 20540),
(58874, '2p3yA02', NULL, NULL, 107, NULL, NULL, 20541),
(58875, '1sd4A02', NULL, NULL, 54, NULL, NULL, 20542),
(58876, '1okrA02', NULL, NULL, 51, NULL, NULL, 20542),
(58877, '3wvoC02', NULL, NULL, 145, NULL, NULL, 20543),
(58878, '4an8A02', NULL, NULL, 139, NULL, NULL, 20543),
(58879, '4h3tA02', NULL, NULL, 150, NULL, NULL, 20543),
(58880, '4phtY02', NULL, NULL, 70, NULL, NULL, 20544),
(58881, '2bh1A02', NULL, NULL, 75, NULL, NULL, 20544),
(58882, '5tkwA02', NULL, NULL, 66, NULL, NULL, 20544),
(58883, '5cqeB01', NULL, NULL, 81, NULL, NULL, 20545),
(58884, '2z16B01', NULL, NULL, 86, NULL, NULL, 20545),
(58885, '3vdxB02', NULL, NULL, 85, NULL, NULL, 20545),
(58886, '1ybkA00', NULL, NULL, 52, NULL, NULL, 20546),
(58887, '3k6qA02', NULL, NULL, 89, NULL, NULL, 20547),
(58888, '2fsfB02', NULL, NULL, 31, NULL, NULL, 20548),
(58889, '2fsgB02', NULL, NULL, 38, NULL, NULL, 20548),
(58890, '1xezA03', NULL, NULL, 48, NULL, NULL, 20549),
(58891, '2kinB01', NULL, NULL, 80, NULL, NULL, 20550),
(58892, '3ddeB00', NULL, NULL, 239, NULL, NULL, 20551),
(58893, '3bjdA02', NULL, NULL, 228, NULL, NULL, 20551),
(58894, '1rcwB00', NULL, NULL, 231, NULL, NULL, 20551),
(58895, '2f2gA00', NULL, NULL, 221, NULL, NULL, 20551),
(58896, '3b5oA00', NULL, NULL, 244, NULL, NULL, 20551),
(58897, '5kzlA00', NULL, NULL, 212, NULL, NULL, 20551),
(58898, '3mvuA00', NULL, NULL, 226, NULL, NULL, 20551),
(58899, '3oqlC00', NULL, NULL, 262, NULL, NULL, 20551),
(58900, '1n45A00', NULL, NULL, 233, NULL, NULL, 20551),
(58901, '1wovA01', NULL, NULL, 227, NULL, NULL, 20551),
(58902, '4wx0B00', NULL, NULL, 263, NULL, NULL, 20551),
(58903, '3rm5B02', NULL, NULL, 236, NULL, NULL, 20551),
(58904, '1z72A00', NULL, NULL, 225, NULL, NULL, 20551),
(58905, '1wwmA00', NULL, NULL, 190, NULL, NULL, 20551),
(58906, '1irmC00', NULL, NULL, 196, NULL, NULL, 20551),
(58907, '2a2mA00', NULL, NULL, 237, NULL, NULL, 20551),
(58908, '2qzcA00', NULL, NULL, 214, NULL, NULL, 20551),
(58909, '1j02A00', NULL, NULL, 222, NULL, NULL, 20551),
(58910, '1rtwB00', NULL, NULL, 220, NULL, NULL, 20551),
(58911, '4rajA00', NULL, NULL, 230, NULL, NULL, 20551),
(58912, '4fn6A01', NULL, NULL, 218, NULL, NULL, 20551),
(58913, '5uc9B00', NULL, NULL, 226, NULL, NULL, 20551),
(58914, '2gm8A00', NULL, NULL, 221, NULL, NULL, 20551),
(58915, '1wzdA00', NULL, NULL, 215, NULL, NULL, 20551),
(58916, '3no6A00', NULL, NULL, 248, NULL, NULL, 20551),
(58917, '2qcxA00', NULL, NULL, 222, NULL, NULL, 20551),
(58918, '1we1D00', NULL, NULL, 223, NULL, NULL, 20551),
(58919, '1uddA00', NULL, NULL, 226, NULL, NULL, 20551),
(58920, '1j77A00', NULL, NULL, 209, NULL, NULL, 20551),
(58921, '4lqxA00', NULL, NULL, 322, NULL, NULL, 20551),
(58922, '3hlxA00', NULL, NULL, 258, NULL, NULL, 20551),
(58923, '3ibxD00', NULL, NULL, 221, NULL, NULL, 20551),
(58924, '1sk7A00', NULL, NULL, 198, NULL, NULL, 20551),
(58925, '1z6gA02', NULL, NULL, 60, NULL, NULL, 20552),
(58926, '3tvtA03', NULL, NULL, 61, NULL, NULL, 20552),
(58927, '3neyF02', NULL, NULL, 63, NULL, NULL, 20552),
(58928, '1kjwA03', NULL, NULL, 61, NULL, NULL, 20552),
(58929, '3tr0A02', NULL, NULL, 60, NULL, NULL, 20552),
(58930, '1kgdA02', NULL, NULL, 63, NULL, NULL, 20552),
(58931, '1s96A02', NULL, NULL, 60, NULL, NULL, 20552),
(58932, '1ex7A01', NULL, NULL, 60, NULL, NULL, 20552),
(58933, '3lncA02', NULL, NULL, 60, NULL, NULL, 20552),
(58934, '3tauA02', NULL, NULL, 60, NULL, NULL, 20552),
(58935, '1znwA02', NULL, NULL, 63, NULL, NULL, 20552);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(58936, '3w9yA02', NULL, NULL, 61, NULL, NULL, 20552),
(58937, '2qorA02', NULL, NULL, 60, NULL, NULL, 20552),
(58938, '1lvgA01', NULL, NULL, 60, NULL, NULL, 20552),
(58939, '4qrhA02', NULL, NULL, 60, NULL, NULL, 20552),
(58940, '2y73B03', NULL, NULL, 420, NULL, NULL, 20553),
(58941, '3hi7A03', NULL, NULL, 412, NULL, NULL, 20553),
(58942, '1w7cA01', NULL, NULL, 515, NULL, NULL, 20553),
(58943, '1ksiA03', NULL, NULL, 416, NULL, NULL, 20553),
(58944, '3sxxA03', NULL, NULL, 439, NULL, NULL, 20553),
(58945, '6grrA04', NULL, NULL, 410, NULL, NULL, 20553),
(58946, '3wa2X03', NULL, NULL, 424, NULL, NULL, 20553),
(58947, '3loyA03', NULL, NULL, 413, NULL, NULL, 20553),
(58948, '1tu5A03', NULL, NULL, 426, NULL, NULL, 20553),
(58949, '3pgbA01', NULL, NULL, 515, NULL, NULL, 20553),
(58950, '1wxqA02', NULL, NULL, 90, NULL, NULL, 20554),
(58951, '3a9sA02', NULL, NULL, 165, NULL, NULL, 20555),
(58952, '1fuiA02', NULL, NULL, 165, NULL, NULL, 20555),
(58953, '4c20A02', NULL, NULL, 165, NULL, NULL, 20555),
(58954, '1ohfC01', NULL, NULL, 166, NULL, NULL, 20556),
(58955, '3t69A02', NULL, NULL, 226, NULL, NULL, 20557),
(58956, '3r1xA02', NULL, NULL, 205, NULL, NULL, 20557),
(58957, '1ib8A01', NULL, NULL, 83, NULL, NULL, 20558),
(58958, '2d7eA01', NULL, NULL, 90, NULL, NULL, 20559),
(58959, '4nl4H01', NULL, NULL, 111, NULL, NULL, 20559),
(58960, '2a4hA01', NULL, NULL, 75, NULL, NULL, 20560),
(58961, '2a2pA01', NULL, NULL, 101, NULL, NULL, 20560),
(58962, '4a18U02', NULL, NULL, 42, NULL, NULL, 20561),
(58963, '2vqeR00', NULL, NULL, 88, NULL, NULL, 20562),
(58964, '5o5jR00', NULL, NULL, 68, NULL, NULL, 20562),
(58965, '1fkaR00', NULL, NULL, 54, NULL, NULL, 20562),
(58966, '2vhoR00', NULL, NULL, 56, NULL, NULL, 20562),
(58967, '4jyaR00', NULL, NULL, 70, NULL, NULL, 20562),
(58968, '5x8rr00', NULL, NULL, 64, NULL, NULL, 20562),
(58969, '1qu3A03', NULL, NULL, 56, NULL, NULL, 20563),
(58970, '5dzzA02', NULL, NULL, 241, NULL, NULL, 20564),
(58971, '1lm5B00', NULL, NULL, 214, NULL, NULL, 20564),
(58972, '4qmdA00', NULL, NULL, 193, NULL, NULL, 20564),
(58973, '2n03A00', NULL, NULL, 215, NULL, NULL, 20564),
(58974, '5dzzA01', NULL, NULL, 253, NULL, NULL, 20564),
(58975, '2o0qA00', NULL, NULL, 115, NULL, NULL, 20565),
(58976, '2m1lA00', NULL, NULL, 69, NULL, NULL, 20566),
(58977, '2kw6A00', NULL, NULL, 65, NULL, NULL, 20566),
(58978, '1mngA02', NULL, NULL, 112, NULL, NULL, 20567),
(58979, '4yioA02', NULL, NULL, 119, NULL, NULL, 20567),
(58980, '1pl4A02', NULL, NULL, 116, NULL, NULL, 20567),
(58981, '1b06A02', NULL, NULL, 118, NULL, NULL, 20567),
(58982, '4e4eA02', NULL, NULL, 118, NULL, NULL, 20567),
(58983, '1idsA02', NULL, NULL, 123, NULL, NULL, 20567),
(58984, '1ma1A02', NULL, NULL, 116, NULL, NULL, 20567),
(58985, '6ex5A02', NULL, NULL, 110, NULL, NULL, 20567),
(58986, '1wb7A02', NULL, NULL, 118, NULL, NULL, 20567),
(58987, '4e4eC02', NULL, NULL, 118, NULL, NULL, 20567),
(58988, '4e4eB02', NULL, NULL, 118, NULL, NULL, 20567),
(58989, '4br6B02', NULL, NULL, 115, NULL, NULL, 20567),
(58990, '4ffkA02', NULL, NULL, 123, NULL, NULL, 20567),
(58991, '4e4eD02', NULL, NULL, 118, NULL, NULL, 20567),
(58992, '6elkA02', NULL, NULL, 112, NULL, NULL, 20567),
(58993, '3lsuD02', NULL, NULL, 118, NULL, NULL, 20567),
(58994, '6bejA02', NULL, NULL, 114, NULL, NULL, 20567),
(58995, '3lsuC02', NULL, NULL, 118, NULL, NULL, 20567),
(58996, '2rcvA02', NULL, NULL, 112, NULL, NULL, 20567),
(58997, '3lsuB02', NULL, NULL, 118, NULL, NULL, 20567),
(58998, '3lsuA02', NULL, NULL, 118, NULL, NULL, 20567),
(58999, '1xuqA02', NULL, NULL, 112, NULL, NULL, 20567),
(59000, '1p7gH02', NULL, NULL, 124, NULL, NULL, 20567),
(59001, '3ceiB02', NULL, NULL, 132, NULL, NULL, 20567),
(59002, '4gunA02', NULL, NULL, 118, NULL, NULL, 20567),
(59003, '1y67C02', NULL, NULL, 131, NULL, NULL, 20567),
(59004, '3tjtA02', NULL, NULL, 115, NULL, NULL, 20567),
(59005, '5tirB02', NULL, NULL, 126, NULL, NULL, 20567),
(59006, '1xreA02', NULL, NULL, 117, NULL, NULL, 20567),
(59007, '4c7uB02', NULL, NULL, 120, NULL, NULL, 20567),
(59008, '1kkcA02', NULL, NULL, 125, NULL, NULL, 20567);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(59009, '1xilA02', NULL, NULL, 116, NULL, NULL, 20567),
(59010, '5x2jA02', NULL, NULL, 110, NULL, NULL, 20567),
(59011, '5n56A02', NULL, NULL, 110, NULL, NULL, 20567),
(59012, '1bsmA02', NULL, NULL, 118, NULL, NULL, 20567),
(59013, '3kkyA02', NULL, NULL, 122, NULL, NULL, 20567),
(59014, '4yipA02', NULL, NULL, 121, NULL, NULL, 20567),
(59015, '3ak2C02', NULL, NULL, 127, NULL, NULL, 20567),
(59016, '3dc6A02', NULL, NULL, 115, NULL, NULL, 20567),
(59017, '3rn4A02', NULL, NULL, 118, NULL, NULL, 20567),
(59018, '6gscA02', NULL, NULL, 117, NULL, NULL, 20567),
(59019, '1jr9A02', NULL, NULL, 112, NULL, NULL, 20567),
(59020, '4f6eA02', NULL, NULL, 118, NULL, NULL, 20567),
(59021, '4f6eB02', NULL, NULL, 118, NULL, NULL, 20567),
(59022, '4f6eC02', NULL, NULL, 118, NULL, NULL, 20567),
(59023, '1ix9A02', NULL, NULL, 116, NULL, NULL, 20567),
(59024, '4f6eD02', NULL, NULL, 118, NULL, NULL, 20567),
(59025, '6bq9A01', NULL, NULL, 278, NULL, NULL, 20568),
(59026, '3l4jA03', NULL, NULL, 184, NULL, NULL, 20568),
(59027, '4z4qA02', NULL, NULL, 286, NULL, NULL, 20568),
(59028, '4ddqF01', NULL, NULL, 282, NULL, NULL, 20568),
(59029, '3lpxA01', NULL, NULL, 278, NULL, NULL, 20568),
(59030, '2xcqA02', NULL, NULL, 274, NULL, NULL, 20568),
(59031, '4fm9A03', NULL, NULL, 184, NULL, NULL, 20568),
(59032, '1bjtA05', NULL, NULL, 249, NULL, NULL, 20568),
(59033, '4ckkB01', NULL, NULL, 271, NULL, NULL, 20568),
(59034, '3foeA01', NULL, NULL, 292, NULL, NULL, 20568),
(59035, '3qx3A02', NULL, NULL, 244, NULL, NULL, 20568),
(59036, '1vwxi01', NULL, NULL, 72, NULL, NULL, 20569),
(59037, '6em3i00', NULL, NULL, 74, NULL, NULL, 20569),
(59038, '4a18Q01', NULL, NULL, 70, NULL, NULL, 20569),
(59039, '1vx7b00', NULL, NULL, 112, NULL, NULL, 20569),
(59040, '4r80A00', NULL, NULL, 85, NULL, NULL, 20570),
(59041, '4wkzA02', NULL, NULL, 122, NULL, NULL, 20571),
(59042, '4uyqB00', NULL, NULL, 75, NULL, NULL, 20571),
(59043, '4uypB00', NULL, NULL, 75, NULL, NULL, 20571),
(59044, '2cclB00', NULL, NULL, 63, NULL, NULL, 20571),
(59045, '3kcpA03', NULL, NULL, 69, NULL, NULL, 20571),
(59046, '5m0yB02', NULL, NULL, 62, NULL, NULL, 20571),
(59047, '5nrkD00', NULL, NULL, 68, NULL, NULL, 20571),
(59048, '5lxvB00', NULL, NULL, 65, NULL, NULL, 20571),
(59049, '2vn5B00', NULL, NULL, 66, NULL, NULL, 20571),
(59050, '4u3sB02', NULL, NULL, 62, NULL, NULL, 20571),
(59051, '2vn6B00', NULL, NULL, 64, NULL, NULL, 20571),
(59052, '4fl4G00', NULL, NULL, 68, NULL, NULL, 20571),
(59053, '2y3nB00', NULL, NULL, 71, NULL, NULL, 20571),
(59054, '4dh2D00', NULL, NULL, 82, NULL, NULL, 20571),
(59055, '5nrmB00', NULL, NULL, 66, NULL, NULL, 20571),
(59056, '3ul4B00', NULL, NULL, 65, NULL, NULL, 20571),
(59057, '2oznB02', NULL, NULL, 59, NULL, NULL, 20571),
(59058, '2mteA00', NULL, NULL, 69, NULL, NULL, 20571),
(59059, '3r1jA00', NULL, NULL, 301, NULL, NULL, 20572),
(59060, '2q4aA00', NULL, NULL, 330, NULL, NULL, 20572),
(59061, '4c5wA02', NULL, NULL, 290, NULL, NULL, 20572),
(59062, '4oj8B00', NULL, NULL, 272, NULL, NULL, 20572),
(59063, '2wbqA00', NULL, NULL, 338, NULL, NULL, 20572),
(59064, '2og5A00', NULL, NULL, 324, NULL, NULL, 20572),
(59065, '1ds1A00', NULL, NULL, 324, NULL, NULL, 20572),
(59066, '5j92B00', NULL, NULL, 278, NULL, NULL, 20572),
(59067, '4m23B00', NULL, NULL, 336, NULL, NULL, 20572),
(59068, '5vn6A00', NULL, NULL, 290, NULL, NULL, 20572),
(59069, '1oihB00', NULL, NULL, 301, NULL, NULL, 20572),
(59070, '4y0eB00', NULL, NULL, 315, NULL, NULL, 20572),
(59071, '6dawB00', NULL, NULL, 342, NULL, NULL, 20572),
(59072, '6d3hM00', NULL, NULL, 295, NULL, NULL, 20572),
(59073, '1otjA00', NULL, NULL, 283, NULL, NULL, 20572),
(59074, '5hsxB00', NULL, NULL, 305, NULL, NULL, 20572),
(59075, '4cvyA00', NULL, NULL, 295, NULL, NULL, 20572),
(59076, '6d1oH00', NULL, NULL, 301, NULL, NULL, 20572),
(59077, '1jr7A00', NULL, NULL, 311, NULL, NULL, 20572),
(59078, '4ylmX00', NULL, NULL, 293, NULL, NULL, 20572),
(59079, '3swtB00', NULL, NULL, 302, NULL, NULL, 20572),
(59080, '4j5iB00', NULL, NULL, 304, NULL, NULL, 20572),
(59081, '6d0oD00', NULL, NULL, 301, NULL, NULL, 20572);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(59082, '5keuB00', NULL, NULL, 306, NULL, NULL, 20572),
(59083, '3pvjB00', NULL, NULL, 277, NULL, NULL, 20572),
(59084, '2xocA01', NULL, NULL, 105, NULL, NULL, 20573),
(59085, '4czzB00', NULL, NULL, 133, NULL, NULL, 20574),
(59086, '2iw5B00', NULL, NULL, 133, NULL, NULL, 20574),
(59087, '3towA00', NULL, NULL, 152, NULL, NULL, 20575),
(59088, '2qp2A02', NULL, NULL, 154, NULL, NULL, 20575),
(59089, '3h3aA03', NULL, NULL, 128, NULL, NULL, 20576),
(59090, '2ijrA01', NULL, NULL, 97, NULL, NULL, 20577),
(59091, '3ub0A02', NULL, NULL, 95, NULL, NULL, 20578),
(59092, '2ahmH02', NULL, NULL, 99, NULL, NULL, 20578),
(59093, '4icsA01', NULL, NULL, 183, NULL, NULL, 20579),
(59094, '2ayiA01', NULL, NULL, 177, NULL, NULL, 20579),
(59095, '1zjcA01', NULL, NULL, 185, NULL, NULL, 20579),
(59096, '2ioiA00', NULL, NULL, 201, NULL, NULL, 20580),
(59097, '4mziA00', NULL, NULL, 200, NULL, NULL, 20580),
(59098, '2xwcA00', NULL, NULL, 208, NULL, NULL, 20580),
(59099, '1eaqB00', NULL, NULL, 140, NULL, NULL, 20580),
(59100, '6ggcA00', NULL, NULL, 199, NULL, NULL, 20580),
(59101, '1t4wA00', NULL, NULL, 196, NULL, NULL, 20580),
(59102, '3qynD00', NULL, NULL, 203, NULL, NULL, 20580),
(59103, '5kbdA00', NULL, NULL, 207, NULL, NULL, 20580),
(59104, '4l18A01', NULL, NULL, 142, NULL, NULL, 20580),
(59105, '2xc8A00', NULL, NULL, 121, NULL, NULL, 20581),
(59106, '3ksrA01', NULL, NULL, 27, NULL, NULL, 20582),
(59107, '3ue9A03', NULL, NULL, 173, NULL, NULL, 20583),
(59108, '5i34A03', NULL, NULL, 160, NULL, NULL, 20583),
(59109, '2v40A03', NULL, NULL, 160, NULL, NULL, 20583),
(59110, '4m9dB03', NULL, NULL, 165, NULL, NULL, 20583),
(59111, '1iweA03', NULL, NULL, 160, NULL, NULL, 20583),
(59112, '1adeA03', NULL, NULL, 166, NULL, NULL, 20583),
(59113, '1dj2A03', NULL, NULL, 160, NULL, NULL, 20583),
(59114, '3r7tA03', NULL, NULL, 155, NULL, NULL, 20583),
(59115, '1dj3A03', NULL, NULL, 160, NULL, NULL, 20583),
(59116, '1p9bA03', NULL, NULL, 169, NULL, NULL, 20583),
(59117, '3hidA03', NULL, NULL, 166, NULL, NULL, 20583),
(59118, '2zixB02', NULL, NULL, 103, NULL, NULL, 20584),
(59119, '2qqpA03', NULL, NULL, 137, NULL, NULL, 20585),
(59120, '2x0dA01', NULL, NULL, 212, NULL, NULL, 20586),
(59121, '3a6mA02', NULL, NULL, 63, NULL, NULL, 20587),
(59122, '1dkgB02', NULL, NULL, 57, NULL, NULL, 20587),
(59123, '4bl6D00', NULL, NULL, 94, NULL, NULL, 20588),
(59124, '5tcsD00', NULL, NULL, 115, NULL, NULL, 20589),
(59125, '5t6jB00', NULL, NULL, 92, NULL, NULL, 20589),
(59126, '3vz9B00', NULL, NULL, 106, NULL, NULL, 20589),
(59127, '5ml3B00', NULL, NULL, 149, NULL, NULL, 20590),
(59128, '1ksjB00', NULL, NULL, 152, NULL, NULL, 20590),
(59129, '3gqqF00', NULL, NULL, 195, NULL, NULL, 20590),
(59130, '2m4hA00', NULL, NULL, 71, NULL, NULL, 20591),
(59131, '2mxdA00', NULL, NULL, 62, NULL, NULL, 20591),
(59132, '2r4gA01', NULL, NULL, 203, NULL, NULL, 20592),
(59133, '4lmoA00', NULL, NULL, 254, NULL, NULL, 20592),
(59134, '4o26B00', NULL, NULL, 257, NULL, NULL, 20592),
(59135, '5c9hB01', NULL, NULL, 202, NULL, NULL, 20592),
(59136, '5cqgA01', NULL, NULL, 150, NULL, NULL, 20592),
(59137, '3ip0A00', NULL, NULL, 158, NULL, NULL, 20593),
(59138, '1cbkA00', NULL, NULL, 160, NULL, NULL, 20593),
(59139, '2qx0A00', NULL, NULL, 159, NULL, NULL, 20593),
(59140, '5etrA00', NULL, NULL, 161, NULL, NULL, 20593),
(59141, '4pzvA01', NULL, NULL, 164, NULL, NULL, 20593),
(59142, '2bmbA01', NULL, NULL, 207, NULL, NULL, 20593),
(59143, '2cg8B02', NULL, NULL, 151, NULL, NULL, 20593),
(59144, '2lotA00', NULL, NULL, 64, NULL, NULL, 20594),
(59145, '2ojqA01', NULL, NULL, 149, NULL, NULL, 20595),
(59146, '4jioB01', NULL, NULL, 180, NULL, NULL, 20595),
(59147, '2xs1A02', NULL, NULL, 146, NULL, NULL, 20595),
(59148, '2mj6A00', NULL, NULL, 90, NULL, NULL, 20596),
(59149, '1xoyA00', NULL, NULL, 161, NULL, NULL, 20597),
(59150, '1wwyA00', NULL, NULL, 171, NULL, NULL, 20597),
(59151, '5gl2B00', NULL, NULL, 269, NULL, NULL, 20598),
(59152, '4h40A01', NULL, NULL, 182, NULL, NULL, 20599),
(59153, '3clqD02', NULL, NULL, 158, NULL, NULL, 20600),
(59154, '3clqC02', NULL, NULL, 158, NULL, NULL, 20600);
INSERT INTO "PUBLIC"."MODEL" VALUES
(59155, '3clqB02', NULL, NULL, 158, NULL, NULL, 20600),
(59156, '3clqA02', NULL, NULL, 158, NULL, NULL, 20600),
(59157, '3dd7C00', NULL, NULL, 135, NULL, NULL, 20601),
(59158, '2gb7D00', NULL, NULL, 305, NULL, NULL, 20602),
(59159, '1na6B02', NULL, NULL, 227, NULL, NULL, 20602),
(59160, '3bm3A00', NULL, NULL, 272, NULL, NULL, 20602),
(59161, '3nr7A00', NULL, NULL, 86, NULL, NULL, 20603),
(59162, '1ov9B00', NULL, NULL, 50, NULL, NULL, 20603),
(59163, '4icgA00', NULL, NULL, 46, NULL, NULL, 20603),
(59164, '1ni8A00', NULL, NULL, 46, NULL, NULL, 20603),
(59165, '1lr1A00', NULL, NULL, 61, NULL, NULL, 20603),
(59166, '3dd9D02', NULL, NULL, 41, NULL, NULL, 20604),
(59167, '3vldA02', NULL, NULL, 168, NULL, NULL, 20605),
(59168, '3h0gA04', NULL, NULL, 153, NULL, NULL, 20606),
(59169, '4c2mA05', NULL, NULL, 171, NULL, NULL, 20606),
(59170, '1twfA05', NULL, NULL, 153, NULL, NULL, 20606),
(59171, '4qiwA04', NULL, NULL, 194, NULL, NULL, 20606),
(59172, '1ynjD05', NULL, NULL, 180, NULL, NULL, 20606),
(59173, '2a6hD05', NULL, NULL, 186, NULL, NULL, 20606),
(59174, '2jwgA00', NULL, NULL, 46, NULL, NULL, 20607),
(59175, '3zqeB00', NULL, NULL, 265, NULL, NULL, 20608),
(59176, '4d3eD00', NULL, NULL, 208, NULL, NULL, 20608),
(59177, '3r9vA00', NULL, NULL, 201, NULL, NULL, 20608),
(59178, '3nzzB00', NULL, NULL, 308, NULL, NULL, 20608),
(59179, '5vxmA00', NULL, NULL, 289, NULL, NULL, 20608),
(59180, '2ym9C00', NULL, NULL, 216, NULL, NULL, 20608),
(59181, '2p7nA00', NULL, NULL, 361, NULL, NULL, 20608),
(59182, '3nftA00', NULL, NULL, 277, NULL, NULL, 20608),
(59183, '2ym9D00', NULL, NULL, 143, NULL, NULL, 20608),
(59184, '4e6zA02', NULL, NULL, 89, NULL, NULL, 20609),
(59185, '4e6zA01', NULL, NULL, 123, NULL, NULL, 20609),
(59186, '3o6qA02', NULL, NULL, 121, NULL, NULL, 20610),
(59187, '2v7qI00', NULL, NULL, 50, NULL, NULL, 20611),
(59188, '3oeeI00', NULL, NULL, 61, NULL, NULL, 20611),
(59189, '2y8yA02', NULL, NULL, 124, NULL, NULL, 20612),
(59190, '4dzdA02', NULL, NULL, 123, NULL, NULL, 20612),
(59191, '4bx8A01', NULL, NULL, 143, NULL, NULL, 20613),
(59192, '3pukA01', NULL, NULL, 135, NULL, NULL, 20613),
(59193, '1epuA01', NULL, NULL, 129, NULL, NULL, 20613),
(59194, '1fvhA02', NULL, NULL, 129, NULL, NULL, 20613),
(59195, '4jc8A01', NULL, NULL, 142, NULL, NULL, 20613),
(59196, '4ccaA01', NULL, NULL, 137, NULL, NULL, 20613),
(59197, '1y9jA01', NULL, NULL, 133, NULL, NULL, 20613),
(59198, '2xheA01', NULL, NULL, 128, NULL, NULL, 20613),
(59199, '1mqsA01', NULL, NULL, 140, NULL, NULL, 20613),
(59200, '4jehA01', NULL, NULL, 129, NULL, NULL, 20613),
(59201, '1okgA03', NULL, NULL, 71, NULL, NULL, 20614),
(59202, '1z2zA03', NULL, NULL, 89, NULL, NULL, 20615),
(59203, '4r84A03', NULL, NULL, 162, NULL, NULL, 20616),
(59204, '3s44A02', NULL, NULL, 176, NULL, NULL, 20616),
(59205, '2z4tA03', NULL, NULL, 176, NULL, NULL, 20616),
(59206, '4v3cA02', NULL, NULL, 176, NULL, NULL, 20616),
(59207, '2zwiB02', NULL, NULL, 155, NULL, NULL, 20616),
(59208, '1fiuA00', NULL, NULL, 286, NULL, NULL, 20617),
(59209, '2ivwA01', NULL, NULL, 80, NULL, NULL, 20618),
(59210, '2y4yA00', NULL, NULL, 93, NULL, NULL, 20618),
(59211, '3ossC00', NULL, NULL, 68, NULL, NULL, 20618),
(59212, '2lnvA01', NULL, NULL, 68, NULL, NULL, 20618),
(59213, '3k6cD00', NULL, NULL, 95, NULL, NULL, 20619),
(59214, '5n5fA00', NULL, NULL, 98, NULL, NULL, 20619),
(59215, '5da5C00', NULL, NULL, 96, NULL, NULL, 20619),
(59216, '3mzlB01', NULL, NULL, 46, NULL, NULL, 20620),
(59217, '2pm9A02', NULL, NULL, 31, NULL, NULL, 20620),
(59218, '2qsrA01', NULL, NULL, 166, NULL, NULL, 20621),
(59219, '2eyqA07', NULL, NULL, 148, NULL, NULL, 20621),
(59220, '3utkA00', NULL, NULL, 96, NULL, NULL, 20622),
(59221, '3solA00', NULL, NULL, 94, NULL, NULL, 20622),
(59222, '4a56A00', NULL, NULL, 93, NULL, NULL, 20622),
(59223, '2axqA03', NULL, NULL, 100, NULL, NULL, 20623),
(59224, '1ff9A03', NULL, NULL, 100, NULL, NULL, 20623),
(59225, '4ntqB00', NULL, NULL, 155, NULL, NULL, 20624),
(59226, '5b66U01', NULL, NULL, 93, NULL, NULL, 20625),
(59227, '2duyA00', NULL, NULL, 75, NULL, NULL, 20625),
(59228, '3es1A01', NULL, NULL, 40, NULL, NULL, 20626);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(59229, '6ereA00', NULL, NULL, 134, NULL, NULL, 20627),
(59230, '6er6B00', NULL, NULL, 134, NULL, NULL, 20627),
(59231, '3u43B00', NULL, NULL, 134, NULL, NULL, 20627),
(59232, '3zfkA00', NULL, NULL, 135, NULL, NULL, 20627),
(59233, '1mz8D00', NULL, NULL, 131, NULL, NULL, 20627),
(59234, '2gykB00', NULL, NULL, 134, NULL, NULL, 20627),
(59235, '2erhB00', NULL, NULL, 127, NULL, NULL, 20627),
(59236, '4qkoB00', NULL, NULL, 134, NULL, NULL, 20627),
(59237, '4uhqA00', NULL, NULL, 136, NULL, NULL, 20627),
(59238, '3iwcC00', NULL, NULL, 68, NULL, NULL, 20628),
(59239, '5bwaB00', NULL, NULL, 136, NULL, NULL, 20629),
(59240, '1zo0A00', NULL, NULL, 126, NULL, NULL, 20629),
(59241, '4zgyB00', NULL, NULL, 135, NULL, NULL, 20629),
(59242, '1v74A00', NULL, NULL, 107, NULL, NULL, 20630),
(59243, '5a6sA02', NULL, NULL, 80, NULL, NULL, 20631),
(59244, '4cu5A00', NULL, NULL, 85, NULL, NULL, 20631),
(59245, '2aplA02', NULL, NULL, 88, NULL, NULL, 20632),
(59246, '3pm9A03', NULL, NULL, 121, NULL, NULL, 20633),
(59247, '2m0mA00', NULL, NULL, 107, NULL, NULL, 20634),
(59248, '2mabA00', NULL, NULL, 109, NULL, NULL, 20634),
(59249, '2k3pA01', NULL, NULL, 116, NULL, NULL, 20634),
(59250, '2mfzA01', NULL, NULL, 109, NULL, NULL, 20634),
(59251, '2khmA01', NULL, NULL, 108, NULL, NULL, 20634),
(59252, '2ajrA02', NULL, NULL, 53, NULL, NULL, 20635),
(59253, '2qcvA02', NULL, NULL, 43, NULL, NULL, 20635),
(59254, '3pl2A02', NULL, NULL, 44, NULL, NULL, 20635),
(59255, '3bf5A02', NULL, NULL, 43, NULL, NULL, 20635),
(59256, '1yduA01', NULL, NULL, 139, NULL, NULL, 20636),
(59257, '5o7oC04', NULL, NULL, 208, NULL, NULL, 20637),
(59258, '2x0qA04', NULL, NULL, 208, NULL, NULL, 20637),
(59259, '3gi7A00', NULL, NULL, 122, NULL, NULL, 20638),
(59260, '3og6A00', NULL, NULL, 160, NULL, NULL, 20639),
(59261, '3hhcC00', NULL, NULL, 162, NULL, NULL, 20639),
(59262, '4nehA05', NULL, NULL, 188, NULL, NULL, 20640),
(59263, '5es4A05', NULL, NULL, 179, NULL, NULL, 20640),
(59264, '3fcsA04', NULL, NULL, 180, NULL, NULL, 20640),
(59265, '4g1eA04', NULL, NULL, 260, NULL, NULL, 20640),
(59266, '4g1mA04', NULL, NULL, 220, NULL, NULL, 20640),
(59267, '4f55A02', NULL, NULL, 36, NULL, NULL, 20641),
(59268, '2qvwB05', NULL, NULL, 83, NULL, NULL, 20642),
(59269, '1bbgA00', NULL, NULL, 40, NULL, NULL, 20643),
(59270, '4nleA02', NULL, NULL, 136, NULL, NULL, 20644),
(59271, '3mzkB01', NULL, NULL, 58, NULL, NULL, 20645),
(59272, '2o5iN05', NULL, NULL, 52, NULL, NULL, 20646),
(59273, '2hc5A01', NULL, NULL, 98, NULL, NULL, 20647),
(59274, '3liuA01', NULL, NULL, 118, NULL, NULL, 20648),
(59275, '1a87A02', NULL, NULL, 200, NULL, NULL, 20649),
(59276, '1rh1A02', NULL, NULL, 221, NULL, NULL, 20649),
(59277, '3fewX04', NULL, NULL, 211, NULL, NULL, 20649),
(59278, '2i88A00', NULL, NULL, 191, NULL, NULL, 20649),
(59279, '1ciiA03', NULL, NULL, 157, NULL, NULL, 20649),
(59280, '1colA00', NULL, NULL, 204, NULL, NULL, 20649),
(59281, '3w0lB03', NULL, NULL, 134, NULL, NULL, 20650),
(59282, '2xwxA03', NULL, NULL, 98, NULL, NULL, 20651),
(59283, '3qirD00', NULL, NULL, 118, NULL, NULL, 20652),
(59284, '1r4kA01', NULL, NULL, 133, NULL, NULL, 20652),
(59285, '4z4dA02', NULL, NULL, 126, NULL, NULL, 20652),
(59286, '4kreA02', NULL, NULL, 126, NULL, NULL, 20652),
(59287, '5vm9A02', NULL, NULL, 126, NULL, NULL, 20652),
(59288, '2qvwD02', NULL, NULL, 115, NULL, NULL, 20652),
(59289, '3o7vX00', NULL, NULL, 124, NULL, NULL, 20652),
(59290, '2xfmA00', NULL, NULL, 120, NULL, NULL, 20652),
(59291, '3mj0A00', NULL, NULL, 124, NULL, NULL, 20652),
(59292, '4ngfD02', NULL, NULL, 116, NULL, NULL, 20652),
(59293, '4nhaA02', NULL, NULL, 94, NULL, NULL, 20652),
(59294, '4ngdA02', NULL, NULL, 121, NULL, NULL, 20652),
(59295, '3tquA00', NULL, NULL, 203, NULL, NULL, 20653),
(59296, '1b78A00', NULL, NULL, 193, NULL, NULL, 20653),
(59297, '4oo0B00', NULL, NULL, 204, NULL, NULL, 20653),
(59298, '4p0eB00', NULL, NULL, 189, NULL, NULL, 20653),
(59299, '1u5wC00', NULL, NULL, 184, NULL, NULL, 20653),
(59300, '1v7rA00', NULL, NULL, 186, NULL, NULL, 20653),
(59301, '1ex2A00', NULL, NULL, 189, NULL, NULL, 20653);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(59302, '4bnqB00', NULL, NULL, 195, NULL, NULL, 20653),
(59303, '2carB00', NULL, NULL, 196, NULL, NULL, 20653),
(59304, '1k7kA00', NULL, NULL, 221, NULL, NULL, 20653),
(59305, '1vp2A00', NULL, NULL, 208, NULL, NULL, 20653),
(59306, '2p5xB00', NULL, NULL, 204, NULL, NULL, 20653),
(59307, '1u14A00', NULL, NULL, 172, NULL, NULL, 20653),
(59308, '2amhA00', NULL, NULL, 207, NULL, NULL, 20653),
(59309, '1zwyD00', NULL, NULL, 185, NULL, NULL, 20653),
(59310, '4jhcB00', NULL, NULL, 193, NULL, NULL, 20653),
(59311, '3mzkB03', NULL, NULL, 70, NULL, NULL, 20654),
(59312, '2iwxA00', NULL, NULL, 214, NULL, NULL, 20655),
(59313, '4i5sB04', NULL, NULL, 160, NULL, NULL, 20655),
(59314, '4urlA01', NULL, NULL, 206, NULL, NULL, 20655),
(59315, '1s14B00', NULL, NULL, 178, NULL, NULL, 20655),
(59316, '1tilA00', NULL, NULL, 146, NULL, NULL, 20655),
(59317, '4q20A02', NULL, NULL, 160, NULL, NULL, 20655),
(59318, '4e01A02', NULL, NULL, 195, NULL, NULL, 20655),
(59319, '4hy1A01', NULL, NULL, 214, NULL, NULL, 20655),
(59320, '1id0A00', NULL, NULL, 152, NULL, NULL, 20655),
(59321, '2gqpA00', NULL, NULL, 236, NULL, NULL, 20655),
(59322, '4mpcA02', NULL, NULL, 184, NULL, NULL, 20655),
(59323, '5idmA00', NULL, NULL, 179, NULL, NULL, 20655),
(59324, '5zxmA01', NULL, NULL, 208, NULL, NULL, 20655),
(59325, '5cphA00', NULL, NULL, 196, NULL, NULL, 20655),
(59326, '3lnuA01', NULL, NULL, 203, NULL, NULL, 20655),
(59327, '2cg9A01', NULL, NULL, 227, NULL, NULL, 20655),
(59328, '6cjiA00', NULL, NULL, 214, NULL, NULL, 20655),
(59329, '4xclA00', NULL, NULL, 223, NULL, NULL, 20655),
(59330, '4fppA02', NULL, NULL, 137, NULL, NULL, 20655),
(59331, '3cwvA01', NULL, NULL, 206, NULL, NULL, 20655),
(59332, '4gczB03', NULL, NULL, 166, NULL, NULL, 20655),
(59333, '5ucjC00', NULL, NULL, 220, NULL, NULL, 20655),
(59334, '1b63A01', NULL, NULL, 216, NULL, NULL, 20655),
(59335, '3u67A00', NULL, NULL, 231, NULL, NULL, 20655),
(59336, '1h7sA01', NULL, NULL, 203, NULL, NULL, 20655),
(59337, '1zxmA01', NULL, NULL, 239, NULL, NULL, 20655),
(59338, '4u7oB02', NULL, NULL, 171, NULL, NULL, 20655),
(59339, '1r62A00', NULL, NULL, 160, NULL, NULL, 20655),
(59340, '3cgzA00', NULL, NULL, 157, NULL, NULL, 20655),
(59341, '1gkxA01', NULL, NULL, 151, NULL, NULL, 20655),
(59342, '3h4lA01', NULL, NULL, 221, NULL, NULL, 20655),
(59343, '5h22A00', NULL, NULL, 215, NULL, NULL, 20655),
(59344, '3fv5B00', NULL, NULL, 201, NULL, NULL, 20655),
(59345, '4iynB01', NULL, NULL, 203, NULL, NULL, 20655),
(59346, '2c2aA02', NULL, NULL, 168, NULL, NULL, 20655),
(59347, '4baeD00', NULL, NULL, 205, NULL, NULL, 20655),
(59348, '4pl9A00', NULL, NULL, 183, NULL, NULL, 20655),
(59349, '3zxoA00', NULL, NULL, 129, NULL, NULL, 20655),
(59350, '4bizA02', NULL, NULL, 155, NULL, NULL, 20655),
(59351, '2e0aA02', NULL, NULL, 185, NULL, NULL, 20655),
(59352, '3pehA01', NULL, NULL, 217, NULL, NULL, 20655),
(59353, '3zxqB00', NULL, NULL, 124, NULL, NULL, 20655),
(59354, '4qpkB02', NULL, NULL, 134, NULL, NULL, 20655),
(59355, '5f3kB00', NULL, NULL, 213, NULL, NULL, 20655),
(59356, '2q8gA02', NULL, NULL, 185, NULL, NULL, 20655),
(59357, '3ke6A02', NULL, NULL, 142, NULL, NULL, 20655),
(59358, '2o1uB01', NULL, NULL, 165, NULL, NULL, 20655),
(59359, '4bxiA00', NULL, NULL, 153, NULL, NULL, 20655),
(59360, '3a0yB00', NULL, NULL, 152, NULL, NULL, 20655),
(59361, '3zkbP01', NULL, NULL, 202, NULL, NULL, 20655),
(59362, '1ysrA00', NULL, NULL, 150, NULL, NULL, 20655),
(59363, '1y8oA02', NULL, NULL, 185, NULL, NULL, 20655),
(59364, '6enhA01', NULL, NULL, 219, NULL, NULL, 20655),
(59365, '2iorA00', NULL, NULL, 216, NULL, NULL, 20655),
(59366, '4x9lA00', NULL, NULL, 215, NULL, NULL, 20655),
(59367, '6blkC00', NULL, NULL, 158, NULL, NULL, 20655),
(59368, '4duhA00', NULL, NULL, 220, NULL, NULL, 20655),
(59369, '1mu5A01', NULL, NULL, 221, NULL, NULL, 20655),
(59370, '4gqtA00', NULL, NULL, 227, NULL, NULL, 20655),
(59371, '5j80A00', NULL, NULL, 225, NULL, NULL, 20655),
(59372, '3iedA00', NULL, NULL, 240, NULL, NULL, 20655),
(59373, '4k4oA00', NULL, NULL, 215, NULL, NULL, 20655),
(59374, '3d36B01', NULL, NULL, 160, NULL, NULL, 20655);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(59375, '3nmqA00', NULL, NULL, 239, NULL, NULL, 20655),
(59376, '1i58A00', NULL, NULL, 189, NULL, NULL, 20655),
(59377, '4uroA00', NULL, NULL, 206, NULL, NULL, 20655),
(59378, '4p7aA01', NULL, NULL, 214, NULL, NULL, 20655),
(59379, '3k60A00', NULL, NULL, 223, NULL, NULL, 20655),
(59380, '2q2eB01', NULL, NULL, 234, NULL, NULL, 20655),
(59381, '1pvgA01', NULL, NULL, 244, NULL, NULL, 20655),
(59382, '3t0hA00', NULL, NULL, 228, NULL, NULL, 20655),
(59383, '4hymB00', NULL, NULL, 273, NULL, NULL, 20655),
(59384, '4gt8A00', NULL, NULL, 139, NULL, NULL, 20655),
(59385, '3ehgA00', NULL, NULL, 128, NULL, NULL, 20655),
(59386, '4emvA00', NULL, NULL, 210, NULL, NULL, 20655),
(59387, '2xcmA00', NULL, NULL, 214, NULL, NULL, 20655),
(59388, '4kp4A02', NULL, NULL, 157, NULL, NULL, 20655),
(59389, '3o6oB00', NULL, NULL, 214, NULL, NULL, 20655),
(59390, '1th8A00', NULL, NULL, 145, NULL, NULL, 20655),
(59391, '3jz3B01', NULL, NULL, 174, NULL, NULL, 20655),
(59392, '4hz5A00', NULL, NULL, 216, NULL, NULL, 20655),
(59393, '4r3aA02', NULL, NULL, 150, NULL, NULL, 20655),
(59394, '3sl2A00', NULL, NULL, 153, NULL, NULL, 20655),
(59395, '3b47A00', NULL, NULL, 134, NULL, NULL, 20656),
(59396, '3b42A00', NULL, NULL, 135, NULL, NULL, 20656),
(59397, '3pu6A00', NULL, NULL, 157, NULL, NULL, 20657),
(59398, '1c8bA00', NULL, NULL, 338, NULL, NULL, 20657),
(59399, '2e85B00', NULL, NULL, 159, NULL, NULL, 20657),
(59400, '1cfzA00', NULL, NULL, 162, NULL, NULL, 20657),
(59401, '5ijaA00', NULL, NULL, 148, NULL, NULL, 20657),
(59402, '2mmpA00', NULL, NULL, 77, NULL, NULL, 20658),
(59403, '6gvdA03', NULL, NULL, 43, NULL, NULL, 20659),
(59404, '4cfiA01', NULL, NULL, 148, NULL, NULL, 20660),
(59405, '3pwxA01', NULL, NULL, 199, NULL, NULL, 20660),
(59406, '5gy2C00', NULL, NULL, 183, NULL, NULL, 20660),
(59407, '4nx9A01', NULL, NULL, 171, NULL, NULL, 20660),
(59408, '1io1A01', NULL, NULL, 172, NULL, NULL, 20660),
(59409, '3k8wA01', NULL, NULL, 194, NULL, NULL, 20660),
(59410, '2d4xA00', NULL, NULL, 225, NULL, NULL, 20660),
(59411, '5kayA00', NULL, NULL, 201, NULL, NULL, 20660),
(59412, '3k8vA01', NULL, NULL, 219, NULL, NULL, 20660),
(59413, '5mawD00', NULL, NULL, 260, NULL, NULL, 20660),
(59414, '3v47D01', NULL, NULL, 168, NULL, NULL, 20660),
(59415, '4kxfB02', NULL, NULL, 57, NULL, NULL, 20661),
(59416, '4pvkA03', NULL, NULL, 177, NULL, NULL, 20662),
(59417, '4dnsA03', NULL, NULL, 176, NULL, NULL, 20662),
(59418, '5d79A03', NULL, NULL, 187, NULL, NULL, 20662),
(59419, '3rjaA02', NULL, NULL, 229, NULL, NULL, 20662),
(59420, '2bvfA03', NULL, NULL, 210, NULL, NULL, 20662),
(59421, '5l6gA02', NULL, NULL, 229, NULL, NULL, 20662),
(59422, '2y3sA02', NULL, NULL, 252, NULL, NULL, 20662),
(59423, '4ud8A03', NULL, NULL, 188, NULL, NULL, 20662),
(59424, '3popA02', NULL, NULL, 252, NULL, NULL, 20662),
(59425, '5i1vA02', NULL, NULL, 253, NULL, NULL, 20662),
(59426, '5awvA02', NULL, NULL, 250, NULL, NULL, 20662),
(59427, '2ipiA02', NULL, NULL, 248, NULL, NULL, 20662),
(59428, '1zr6A03', NULL, NULL, 203, NULL, NULL, 20662),
(59429, '3vteA03', NULL, NULL, 192, NULL, NULL, 20662),
(59430, '3fw9A03', NULL, NULL, 184, NULL, NULL, 20662),
(59431, '6foqA03', NULL, NULL, 210, NULL, NULL, 20662),
(59432, '4iajC00', NULL, NULL, 78, NULL, NULL, 20663),
(59433, '4n0rA03', NULL, NULL, 110, NULL, NULL, 20664),
(59434, '1ik7A00', NULL, NULL, 52, NULL, NULL, 20665),
(59435, '4lt6A03', NULL, NULL, 123, NULL, NULL, 20666),
(59436, '1q79A01', NULL, NULL, 123, NULL, NULL, 20666),
(59437, '1r89A03', NULL, NULL, 134, NULL, NULL, 20666),
(59438, '2hhpA03', NULL, NULL, 170, NULL, NULL, 20666),
(59439, '3kk7A01', NULL, NULL, 111, NULL, NULL, 20667),
(59440, '4fioA01', NULL, NULL, 118, NULL, NULL, 20668),
(59441, '1qlmA01', NULL, NULL, 118, NULL, NULL, 20668),
(59442, '4gvqA01', NULL, NULL, 118, NULL, NULL, 20668),
(59443, '2l1aA00', NULL, NULL, 107, NULL, NULL, 20669),
(59444, '1wijA00', NULL, NULL, 140, NULL, NULL, 20670),
(59445, '4zdsB00', NULL, NULL, 134, NULL, NULL, 20670),
(59446, '2uvaG12', NULL, NULL, 128, NULL, NULL, 20671),
(59447, '2uv8G12', NULL, NULL, 128, NULL, NULL, 20671);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(59448, '2jekA00', NULL, NULL, 145, NULL, NULL, 20672),
(59449, '4akrD02', NULL, NULL, 161, NULL, NULL, 20673),
(59450, '3aa0B02', NULL, NULL, 155, NULL, NULL, 20673),
(59451, '3aa0A02', NULL, NULL, 145, NULL, NULL, 20673),
(59452, '6f1uL02', NULL, NULL, 182, NULL, NULL, 20673),
(59453, '4akrA02', NULL, NULL, 147, NULL, NULL, 20673),
(59454, '6f1uK02', NULL, NULL, 145, NULL, NULL, 20673),
(59455, '4kmdA02', NULL, NULL, 133, NULL, NULL, 20674),
(59456, '4blbD03', NULL, NULL, 143, NULL, NULL, 20674),
(59457, '4kmaA02', NULL, NULL, 133, NULL, NULL, 20674),
(59458, '2cm0A00', NULL, NULL, 99, NULL, NULL, 20675),
(59459, '5ljmA00', NULL, NULL, 215, NULL, NULL, 20675),
(59460, '2ccqA00', NULL, NULL, 99, NULL, NULL, 20675),
(59461, '4p09A00', NULL, NULL, 184, NULL, NULL, 20675),
(59462, '2b9kA00', NULL, NULL, 47, NULL, NULL, 20676),
(59463, '4oj5C04', NULL, NULL, 193, NULL, NULL, 20677),
(59464, '2mn5A00', NULL, NULL, 57, NULL, NULL, 20678),
(59465, '3hh0B02', NULL, NULL, 72, NULL, NULL, 20679),
(59466, '2bo9B01', NULL, NULL, 97, NULL, NULL, 20680),
(59467, '2kxgA00', NULL, NULL, 95, NULL, NULL, 20680),
(59468, '1wnhA01', NULL, NULL, 100, NULL, NULL, 20680),
(59469, '1cewI00', NULL, NULL, 108, NULL, NULL, 20680),
(59470, '4ccvA00', NULL, NULL, 115, NULL, NULL, 20680),
(59471, '1wnhA02', NULL, NULL, 125, NULL, NULL, 20680),
(59472, '2bo9B02', NULL, NULL, 125, NULL, NULL, 20680),
(59473, '3l0rA00', NULL, NULL, 115, NULL, NULL, 20680),
(59474, '3mwzA00', NULL, NULL, 115, NULL, NULL, 20680),
(59475, '1eqkA00', NULL, NULL, 102, NULL, NULL, 20680),
(59476, '4lziA03', NULL, NULL, 93, NULL, NULL, 20680),
(59477, '4n6oB00', NULL, NULL, 131, NULL, NULL, 20680),
(59478, '4lziA02', NULL, NULL, 94, NULL, NULL, 20680),
(59479, '4lziA01', NULL, NULL, 95, NULL, NULL, 20680),
(59480, '1roaA00', NULL, NULL, 122, NULL, NULL, 20680),
(59481, '2mzvA01', NULL, NULL, 96, NULL, NULL, 20680),
(59482, '2l4vA00', NULL, NULL, 135, NULL, NULL, 20680),
(59483, '4eycB00', NULL, NULL, 107, NULL, NULL, 20680),
(59484, '5eljA00', NULL, NULL, 116, NULL, NULL, 20680),
(59485, '5lc7B00', NULL, NULL, 97, NULL, NULL, 20680),
(59486, '2octA00', NULL, NULL, 98, NULL, NULL, 20680),
(59487, '2w9qA00', NULL, NULL, 87, NULL, NULL, 20680),
(59488, '5a0oB00', NULL, NULL, 107, NULL, NULL, 20680),
(59489, '5eluA00', NULL, NULL, 118, NULL, NULL, 20680),
(59490, '2o9uX00', NULL, NULL, 97, NULL, NULL, 20680),
(59491, '4it7A00', NULL, NULL, 113, NULL, NULL, 20680),
(59492, '4tx4A00', NULL, NULL, 83, NULL, NULL, 20680),
(59493, '3kseD00', NULL, NULL, 98, NULL, NULL, 20680),
(59494, '3imaD00', NULL, NULL, 91, NULL, NULL, 20680),
(59495, '4n6tA00', NULL, NULL, 79, NULL, NULL, 20680),
(59496, '1kwiA00', NULL, NULL, 101, NULL, NULL, 20680),
(59497, '3ul5D00', NULL, NULL, 84, NULL, NULL, 20680),
(59498, '5mn2D00', NULL, NULL, 101, NULL, NULL, 20680),
(59499, '3gaxA00', NULL, NULL, 120, NULL, NULL, 20680),
(59500, '2ch9A01', NULL, NULL, 113, NULL, NULL, 20680),
(59501, '4zm8A00', NULL, NULL, 114, NULL, NULL, 20680),
(59502, '3htkC01', NULL, NULL, 213, NULL, NULL, 20681),
(59503, '1sg2B00', NULL, NULL, 119, NULL, NULL, 20682),
(59504, '1u2mB00', NULL, NULL, 143, NULL, NULL, 20682),
(59505, '1u2mA00', NULL, NULL, 86, NULL, NULL, 20682),
(59506, '3zgxC00', NULL, NULL, 76, NULL, NULL, 20683),
(59507, '4m5dA05', NULL, NULL, 144, NULL, NULL, 20684),
(59508, '4j3vA01', NULL, NULL, 120, NULL, NULL, 20685),
(59509, '2fgzA01', NULL, NULL, 115, NULL, NULL, 20685),
(59510, '2wanA01', NULL, NULL, 95, NULL, NULL, 20685),
(59511, '2yocA02', NULL, NULL, 115, NULL, NULL, 20685),
(59512, '2yocB02', NULL, NULL, 112, NULL, NULL, 20685),
(59513, '1dceA02', NULL, NULL, 103, NULL, NULL, 20685),
(59514, '2fhfA02', NULL, NULL, 114, NULL, NULL, 20685),
(59515, '2kkwA01', NULL, NULL, 105, NULL, NULL, 20686),
(59516, '1xq8A00', NULL, NULL, 140, NULL, NULL, 20686),
(59517, '3e2dA03', NULL, NULL, 61, NULL, NULL, 20687),
(59518, '3wbhA02', NULL, NULL, 61, NULL, NULL, 20687),
(59519, '4fgmA01', NULL, NULL, 173, NULL, NULL, 20688),
(59520, '5wkwA02', NULL, NULL, 151, NULL, NULL, 20689);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(59521, '3pmsA02', NULL, NULL, 184, NULL, NULL, 20689),
(59522, '4qhbA02', NULL, NULL, 179, NULL, NULL, 20689),
(59523, '4r4xA03', NULL, NULL, 173, NULL, NULL, 20689),
(59524, '3ks7A02', NULL, NULL, 179, NULL, NULL, 20689),
(59525, '3pmsA01', NULL, NULL, 135, NULL, NULL, 20689),
(59526, '2nr5G00', NULL, NULL, 67, NULL, NULL, 20690),
(59527, '2nr5H00', NULL, NULL, 67, NULL, NULL, 20690),
(59528, '2nr5C00', NULL, NULL, 67, NULL, NULL, 20690),
(59529, '2nr5D00', NULL, NULL, 67, NULL, NULL, 20690),
(59530, '2nr5E00', NULL, NULL, 67, NULL, NULL, 20690),
(59531, '2nr5F00', NULL, NULL, 67, NULL, NULL, 20690),
(59532, '2gboA00', NULL, NULL, 85, NULL, NULL, 20690),
(59533, '2odmA00', NULL, NULL, 91, NULL, NULL, 20690),
(59534, '2nr5A00', NULL, NULL, 67, NULL, NULL, 20690),
(59535, '2nr5B00', NULL, NULL, 67, NULL, NULL, 20690),
(59536, '1yi9A01', NULL, NULL, 156, NULL, NULL, 20691),
(59537, '4uelA02', NULL, NULL, 79, NULL, NULL, 20692),
(59538, '3ihrA02', NULL, NULL, 78, NULL, NULL, 20692),
(59539, '2znhA03', NULL, NULL, 47, NULL, NULL, 20693),
(59540, '2hgsA01', NULL, NULL, 89, NULL, NULL, 20694),
(59541, '5oesA01', NULL, NULL, 102, NULL, NULL, 20694),
(59542, '1m0wA01', NULL, NULL, 85, NULL, NULL, 20694),
(59543, '3kajA01', NULL, NULL, 90, NULL, NULL, 20694),
(59544, '3zcjA00', NULL, NULL, 220, NULL, NULL, 20695),
(59545, '3zciA00', NULL, NULL, 220, NULL, NULL, 20695),
(59546, '3zcjC00', NULL, NULL, 220, NULL, NULL, 20695),
(59547, '3zcjB00', NULL, NULL, 220, NULL, NULL, 20695),
(59548, '3zcjE00', NULL, NULL, 220, NULL, NULL, 20695),
(59549, '3zcjD00', NULL, NULL, 220, NULL, NULL, 20695),
(59550, '3zcjF00', NULL, NULL, 220, NULL, NULL, 20695),
(59551, '3n89A01', NULL, NULL, 216, NULL, NULL, 20696),
(59552, '2yo3A02', NULL, NULL, 54, NULL, NULL, 20697),
(59553, '2ln3A00', NULL, NULL, 83, NULL, NULL, 20698),
(59554, '2w0gA00', NULL, NULL, 129, NULL, NULL, 20699),
(59555, '5ktnA03', NULL, NULL, 82, NULL, NULL, 20700),
(59556, '4hheA01', NULL, NULL, 109, NULL, NULL, 20700),
(59557, '5ktnA02', NULL, NULL, 87, NULL, NULL, 20700),
(59558, '4hheA02', NULL, NULL, 105, NULL, NULL, 20700),
(59559, '5ktmA01', NULL, NULL, 104, NULL, NULL, 20700),
(59560, '4hheA03', NULL, NULL, 85, NULL, NULL, 20700),
(59561, '5f33A03', NULL, NULL, 84, NULL, NULL, 20700),
(59562, '5f33A02', NULL, NULL, 86, NULL, NULL, 20700),
(59563, '5f33A01', NULL, NULL, 103, NULL, NULL, 20700),
(59564, '1jmuB03', NULL, NULL, 157, NULL, NULL, 20701),
(59565, '3iylB02', NULL, NULL, 134, NULL, NULL, 20701),
(59566, '2vqeP00', NULL, NULL, 88, NULL, NULL, 20702),
(59567, '1vs5P00', NULL, NULL, 82, NULL, NULL, 20702),
(59568, '5aj3P00', NULL, NULL, 135, NULL, NULL, 20702),
(59569, '6neqP00', NULL, NULL, 135, NULL, NULL, 20702),
(59570, '5mmjp00', NULL, NULL, 88, NULL, NULL, 20702),
(59571, '3bn0A00', NULL, NULL, 112, NULL, NULL, 20702),
(59572, '4pwqA01', NULL, NULL, 107, NULL, NULL, 20703),
(59573, '2kicA00', NULL, NULL, 98, NULL, NULL, 20704),
(59574, '5gipC00', NULL, NULL, 130, NULL, NULL, 20705),
(59575, '6g5iM00', NULL, NULL, 132, NULL, NULL, 20705),
(59576, '2vgnA03', NULL, NULL, 110, NULL, NULL, 20705),
(59577, '2kg4A00', NULL, NULL, 165, NULL, NULL, 20705),
(59578, '1ipaA01', NULL, NULL, 104, NULL, NULL, 20705),
(59579, '2lbwA00', NULL, NULL, 121, NULL, NULL, 20705),
(59580, '4x3lA01', NULL, NULL, 97, NULL, NULL, 20705),
(59581, '3obwA03', NULL, NULL, 102, NULL, NULL, 20705),
(59582, '3v7qA00', NULL, NULL, 101, NULL, NULL, 20705),
(59583, '3agkA03', NULL, NULL, 98, NULL, NULL, 20705),
(59584, '4nutA00', NULL, NULL, 129, NULL, NULL, 20705),
(59585, '2xzmU00', NULL, NULL, 126, NULL, NULL, 20705),
(59586, '1dt9A03', NULL, NULL, 160, NULL, NULL, 20705),
(59587, '3v7eA00', NULL, NULL, 82, NULL, NULL, 20705),
(59588, '1nmuB00', NULL, NULL, 104, NULL, NULL, 20705),
(59589, '3j7aR00', NULL, NULL, 120, NULL, NULL, 20705),
(59590, '1w41A00', NULL, NULL, 101, NULL, NULL, 20705),
(59591, '3gyqA01', NULL, NULL, 107, NULL, NULL, 20705),
(59592, '3ir9A02', NULL, NULL, 122, NULL, NULL, 20705),
(59593, '3vi6A00', NULL, NULL, 106, NULL, NULL, 20705),
(59594, '5xxuM00', NULL, NULL, 123, NULL, NULL, 20705);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(59595, '3wxmB03', NULL, NULL, 108, NULL, NULL, 20705),
(59596, '3cg6B00', NULL, NULL, 146, NULL, NULL, 20705),
(59597, '3mcaB03', NULL, NULL, 123, NULL, NULL, 20705),
(59598, '5ewrA00', NULL, NULL, 122, NULL, NULL, 20705),
(59599, '5eo3A00', NULL, NULL, 121, NULL, NULL, 20705),
(59600, '3nviB00', NULL, NULL, 129, NULL, NULL, 20705),
(59601, '4bw0B00', NULL, NULL, 123, NULL, NULL, 20705),
(59602, '3cpqB00', NULL, NULL, 110, NULL, NULL, 20705),
(59603, '1xbiA00', NULL, NULL, 120, NULL, NULL, 20705),
(59604, '2aifA00', NULL, NULL, 118, NULL, NULL, 20705),
(59605, '4a17F01', NULL, NULL, 183, NULL, NULL, 20705),
(59606, '2walB00', NULL, NULL, 159, NULL, NULL, 20705),
(59607, '1vx7J01', NULL, NULL, 171, NULL, NULL, 20705),
(59608, '2bo1A00', NULL, NULL, 101, NULL, NULL, 20705),
(59609, '6az1Q00', NULL, NULL, 115, NULL, NULL, 20705),
(59610, '3nk7B01', NULL, NULL, 107, NULL, NULL, 20705),
(59611, '2fc3A00', NULL, NULL, 124, NULL, NULL, 20705),
(59612, '6em3G00', NULL, NULL, 164, NULL, NULL, 20705),
(59613, '6faiM00', NULL, NULL, 126, NULL, NULL, 20705),
(59614, '1x7pA01', NULL, NULL, 101, NULL, NULL, 20705),
(59615, '3obyA03', NULL, NULL, 107, NULL, NULL, 20705),
(59616, '1gz0F01', NULL, NULL, 86, NULL, NULL, 20705),
(59617, '3jamM00', NULL, NULL, 134, NULL, NULL, 20705),
(59618, '3o58H00', NULL, NULL, 179, NULL, NULL, 20705),
(59619, '4a18G00', NULL, NULL, 104, NULL, NULL, 20705),
(59620, '1jj2F00', NULL, NULL, 119, NULL, NULL, 20705),
(59621, '1pxwB00', NULL, NULL, 128, NULL, NULL, 20705),
(59622, '2ohwA00', NULL, NULL, 133, NULL, NULL, 20705),
(59623, '3n4zA00', NULL, NULL, 101, NULL, NULL, 20705),
(59624, '3on1A00', NULL, NULL, 101, NULL, NULL, 20705),
(59625, '1vx7600', NULL, NULL, 108, NULL, NULL, 20705),
(59626, '1x7oA01', NULL, NULL, 99, NULL, NULL, 20705),
(59627, '1vwxG01', NULL, NULL, 185, NULL, NULL, 20705),
(59628, '2i6dA01', NULL, NULL, 96, NULL, NULL, 20705),
(59629, '2qi2A03', NULL, NULL, 103, NULL, NULL, 20705),
(59630, '2ozbD00', NULL, NULL, 130, NULL, NULL, 20705),
(59631, '3e20B02', NULL, NULL, 159, NULL, NULL, 20705),
(59632, '1vq8F00', NULL, NULL, 120, NULL, NULL, 20705),
(59633, '3o85B00', NULL, NULL, 122, NULL, NULL, 20705),
(59634, '5opti00', NULL, NULL, 121, NULL, NULL, 20705),
(59635, '2rf4B01', NULL, NULL, 66, NULL, NULL, 20706),
(59636, '4c2mD01', NULL, NULL, 48, NULL, NULL, 20706),
(59637, '4c2mS01', NULL, NULL, 79, NULL, NULL, 20706),
(59638, '5y5sC01', NULL, NULL, 136, NULL, NULL, 20707),
(59639, '5y5sC02', NULL, NULL, 144, NULL, NULL, 20707),
(59640, '2wjnC01', NULL, NULL, 142, NULL, NULL, 20707),
(59641, '2wjnC02', NULL, NULL, 156, NULL, NULL, 20707),
(59642, '3s28A01', NULL, NULL, 121, NULL, NULL, 20708),
(59643, '4rbnA01', NULL, NULL, 132, NULL, NULL, 20708),
(59644, '2wb0X02', NULL, NULL, 176, NULL, NULL, 20709),
(59645, '1aduB02', NULL, NULL, 165, NULL, NULL, 20709),
(59646, '1z2zA02', NULL, NULL, 90, NULL, NULL, 20710),
(59647, '3bh1A02', NULL, NULL, 101, NULL, NULL, 20711),
(59648, '1rpuB00', NULL, NULL, 149, NULL, NULL, 20712),
(59649, '4j39A01', NULL, NULL, 113, NULL, NULL, 20712),
(59650, '2gzoA02', NULL, NULL, 89, NULL, NULL, 20713),
(59651, '2hafA02', NULL, NULL, 90, NULL, NULL, 20713),
(59652, '2ckxA00', NULL, NULL, 83, NULL, NULL, 20714),
(59653, '2ajeA00', NULL, NULL, 105, NULL, NULL, 20714),
(59654, '2rohA01', NULL, NULL, 79, NULL, NULL, 20714),
(59655, '1to6A01', NULL, NULL, 142, NULL, NULL, 20715),
(59656, '3cwcB01', NULL, NULL, 148, NULL, NULL, 20715),
(59657, '1r71A02', NULL, NULL, 58, NULL, NULL, 20716),
(59658, '1hufA00', NULL, NULL, 140, NULL, NULL, 20717),
(59659, '4od8D00', NULL, NULL, 52, NULL, NULL, 20718),
(59660, '4c2mA09', NULL, NULL, 196, NULL, NULL, 20719),
(59661, '1wq6B00', NULL, NULL, 72, NULL, NULL, 20720),
(59662, '1wq6A00', NULL, NULL, 72, NULL, NULL, 20720),
(59663, '4jolA00', NULL, NULL, 64, NULL, NULL, 20720),
(59664, '2yicA01', NULL, NULL, 86, NULL, NULL, 20721),
(59665, '2jgdA01', NULL, NULL, 83, NULL, NULL, 20721),
(59666, '4u8uN01', NULL, NULL, 49, NULL, NULL, 20722),
(59667, '2gtlN01', NULL, NULL, 50, NULL, NULL, 20722);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(59668, '4p78C00', NULL, NULL, 66, NULL, NULL, 20723),
(59669, '4c26A00', NULL, NULL, 66, NULL, NULL, 20723),
(59670, '5yrzB00', NULL, NULL, 58, NULL, NULL, 20723),
(59671, '6g26E00', NULL, NULL, 64, NULL, NULL, 20723),
(59672, '1whzA00', NULL, NULL, 70, NULL, NULL, 20723),
(59673, '4dexB00', NULL, NULL, 52, NULL, NULL, 20724),
(59674, '1b25A03', NULL, NULL, 221, NULL, NULL, 20725),
(59675, '1aorA03', NULL, NULL, 207, NULL, NULL, 20725),
(59676, '2qazD00', NULL, NULL, 128, NULL, NULL, 20726),
(59677, '1ou9B00', NULL, NULL, 129, NULL, NULL, 20726),
(59678, '1ou8A00', NULL, NULL, 111, NULL, NULL, 20726),
(59679, '2nysB00', NULL, NULL, 118, NULL, NULL, 20726),
(59680, '1yfnA00', NULL, NULL, 118, NULL, NULL, 20726),
(59681, '1zszC00', NULL, NULL, 113, NULL, NULL, 20726),
(59682, '3s13B01', NULL, NULL, 28, NULL, NULL, 20727),
(59683, '2ghjB01', NULL, NULL, 26, NULL, NULL, 20727),
(59684, '2ghjA01', NULL, NULL, 32, NULL, NULL, 20727),
(59685, '1rkiA01', NULL, NULL, 97, NULL, NULL, 20728),
(59686, '4u5hA00', NULL, NULL, 90, NULL, NULL, 20729),
(59687, '4jdeB01', NULL, NULL, 139, NULL, NULL, 20730),
(59688, '4jdeA01', NULL, NULL, 137, NULL, NULL, 20730),
(59689, '3df7A04', NULL, NULL, 29, NULL, NULL, 20731),
(59690, '1uz3B00', NULL, NULL, 102, NULL, NULL, 20732),
(59691, '2fmmE00', NULL, NULL, 133, NULL, NULL, 20732),
(59692, '4dguA01', NULL, NULL, 127, NULL, NULL, 20733),
(59693, '1m9oA00', NULL, NULL, 43, NULL, NULL, 20734),
(59694, '2d9nA00', NULL, NULL, 77, NULL, NULL, 20734),
(59695, '2rhkD00', NULL, NULL, 72, NULL, NULL, 20734),
(59696, '2ra1A03', NULL, NULL, 63, NULL, NULL, 20735),
(59697, '3sd2A01', NULL, NULL, 77, NULL, NULL, 20736),
(59698, '3d33B00', NULL, NULL, 108, NULL, NULL, 20736),
(59699, '4g5aA00', NULL, NULL, 99, NULL, NULL, 20736),
(59700, '1jb0A00', NULL, NULL, 755, NULL, NULL, 20737),
(59701, '1jb0B00', NULL, NULL, 740, NULL, NULL, 20737),
(59702, '4kt0A00', NULL, NULL, 751, NULL, NULL, 20737),
(59703, '4kt0B00', NULL, NULL, 731, NULL, NULL, 20737),
(59704, '5l8rB00', NULL, NULL, 734, NULL, NULL, 20737),
(59705, '5l8rA00', NULL, NULL, 758, NULL, NULL, 20737),
(59706, '3v76A03', NULL, NULL, 61, NULL, NULL, 20738),
(59707, '2gqfA03', NULL, NULL, 61, NULL, NULL, 20738),
(59708, '3vemA00', NULL, NULL, 83, NULL, NULL, 20739),
(59709, '4am6A03', NULL, NULL, 258, NULL, NULL, 20740),
(59710, '4exnB00', NULL, NULL, 175, NULL, NULL, 20741),
(59711, '4dkcB00', NULL, NULL, 190, NULL, NULL, 20741),
(59712, '4dkdB00', NULL, NULL, 185, NULL, NULL, 20741),
(59713, '4dkfB00', NULL, NULL, 146, NULL, NULL, 20741),
(59714, '3payC01', NULL, NULL, 177, NULL, NULL, 20742),
(59715, '3gf8A01', NULL, NULL, 170, NULL, NULL, 20742),
(59716, '4qdgA01', NULL, NULL, 171, NULL, NULL, 20742),
(59717, '2va0B00', NULL, NULL, 131, NULL, NULL, 20743),
(59718, '2va0A00', NULL, NULL, 105, NULL, NULL, 20743),
(59719, '3r75B01', NULL, NULL, 399, NULL, NULL, 20744),
(59720, '1qdlA00', NULL, NULL, 422, NULL, NULL, 20744),
(59721, '4grhA00', NULL, NULL, 457, NULL, NULL, 20744),
(59722, '5kckA00', NULL, NULL, 450, NULL, NULL, 20744),
(59723, '2fn0B00', NULL, NULL, 437, NULL, NULL, 20744),
(59724, '1k0eB00', NULL, NULL, 453, NULL, NULL, 20744),
(59725, '1i1qA00', NULL, NULL, 520, NULL, NULL, 20744),
(59726, '3os6C00', NULL, NULL, 399, NULL, NULL, 20744),
(59727, '3h9mA00', NULL, NULL, 436, NULL, NULL, 20744),
(59728, '5jxzA00', NULL, NULL, 391, NULL, NULL, 20744),
(59729, '3st6C00', NULL, NULL, 450, NULL, NULL, 20744),
(59730, '1i7qA00', NULL, NULL, 519, NULL, NULL, 20744),
(59731, '5cwaA00', NULL, NULL, 513, NULL, NULL, 20744),
(59732, '3bzmA00', NULL, NULL, 431, NULL, NULL, 20744),
(59733, '3gseA00', NULL, NULL, 458, NULL, NULL, 20744),
(59734, '1nr3A00', NULL, NULL, 122, NULL, NULL, 20745),
(59735, '1mhyG01', NULL, NULL, 68, NULL, NULL, 20746),
(59736, '1mtyG01', NULL, NULL, 68, NULL, NULL, 20746),
(59737, '2ko2A00', NULL, NULL, 79, NULL, NULL, 20747),
(59738, '2jv5A00', NULL, NULL, 54, NULL, NULL, 20747),
(59739, '2g31A01', NULL, NULL, 54, NULL, NULL, 20747),
(59740, '2phnA01', NULL, NULL, 159, NULL, NULL, 20748),
(59741, '5nhiB00', NULL, NULL, 134, NULL, NULL, 20749);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(59742, '6dnvA00', NULL, NULL, 125, NULL, NULL, 20749),
(59743, '3pfuA00', NULL, NULL, 139, NULL, NULL, 20749),
(59744, '1l6pA00', NULL, NULL, 125, NULL, NULL, 20749),
(59745, '2im8A00', NULL, NULL, 131, NULL, NULL, 20750),
(59746, '2hujA00', NULL, NULL, 140, NULL, NULL, 20750),
(59747, '2etsA00', NULL, NULL, 128, NULL, NULL, 20750),
(59748, '1xmxA01', NULL, NULL, 142, NULL, NULL, 20751),
(59749, '3qyfA01', NULL, NULL, 165, NULL, NULL, 20751),
(59750, '4ftdA01', NULL, NULL, 108, NULL, NULL, 20752),
(59751, '3hbzA01', NULL, NULL, 94, NULL, NULL, 20752),
(59752, '4jrlA01', NULL, NULL, 101, NULL, NULL, 20752),
(59753, '4hetA01', NULL, NULL, 106, NULL, NULL, 20752),
(59754, '1cd3B00', NULL, NULL, 68, NULL, NULL, 20753),
(59755, '1al0B00', NULL, NULL, 49, NULL, NULL, 20753),
(59756, '1z6tA05', NULL, NULL, 141, NULL, NULL, 20754),
(59757, '3sfzA04', NULL, NULL, 141, NULL, NULL, 20754),
(59758, '3ck6D01', NULL, NULL, 127, NULL, NULL, 20755),
(59759, '4egwA01', NULL, NULL, 131, NULL, NULL, 20755),
(59760, '3ck6E01', NULL, NULL, 127, NULL, NULL, 20755),
(59761, '3ck6B01', NULL, NULL, 127, NULL, NULL, 20755),
(59762, '3ck6C01', NULL, NULL, 127, NULL, NULL, 20755),
(59763, '3nvoA01', NULL, NULL, 141, NULL, NULL, 20755),
(59764, '2bbhA01', NULL, NULL, 168, NULL, NULL, 20755),
(59765, '3ck6A01', NULL, NULL, 127, NULL, NULL, 20755),
(59766, '4eebA01', NULL, NULL, 134, NULL, NULL, 20755),
(59767, '3bhcA01', NULL, NULL, 124, NULL, NULL, 20755),
(59768, '3bhcB01', NULL, NULL, 124, NULL, NULL, 20755),
(59769, '3bhcC01', NULL, NULL, 124, NULL, NULL, 20755),
(59770, '3bhcD01', NULL, NULL, 124, NULL, NULL, 20755),
(59771, '3bhcE01', NULL, NULL, 124, NULL, NULL, 20755),
(59772, '2hn1A01', NULL, NULL, 142, NULL, NULL, 20755),
(59773, '2v9kA03', NULL, NULL, 125, NULL, NULL, 20756),
(59774, '2mqdA00', NULL, NULL, 119, NULL, NULL, 20757),
(59775, '3hpeA00', NULL, NULL, 164, NULL, NULL, 20758),
(59776, '3q34B00', NULL, NULL, 184, NULL, NULL, 20758),
(59777, '1y0gA00', NULL, NULL, 169, NULL, NULL, 20758),
(59778, '1wubA00', NULL, NULL, 178, NULL, NULL, 20758),
(59779, '5w39A01', NULL, NULL, 159, NULL, NULL, 20758),
(59780, '5ixgA00', NULL, NULL, 169, NULL, NULL, 20758),
(59781, '2x34B00', NULL, NULL, 181, NULL, NULL, 20758),
(59782, '2x32A00', NULL, NULL, 179, NULL, NULL, 20758),
(59783, '4jj0B00', NULL, NULL, 188, NULL, NULL, 20759),
(59784, '2x5rA01', NULL, NULL, 118, NULL, NULL, 20760),
(59785, '1p65A00', NULL, NULL, 73, NULL, NULL, 20761),
(59786, '2i9fB00', NULL, NULL, 69, NULL, NULL, 20761),
(59787, '2eqpA00', NULL, NULL, 50, NULL, NULL, 20762),
(59788, '2kn0A00', NULL, NULL, 50, NULL, NULL, 20762),
(59789, '2yweA03', NULL, NULL, 82, NULL, NULL, 20763),
(59790, '4zckA01', NULL, NULL, 112, NULL, NULL, 20763),
(59791, '1n0uA04', NULL, NULL, 76, NULL, NULL, 20763),
(59792, '2dy1A03', NULL, NULL, 76, NULL, NULL, 20763),
(59793, '4kiyV03', NULL, NULL, 76, NULL, NULL, 20763),
(59794, '2xexA03', NULL, NULL, 78, NULL, NULL, 20763),
(59795, '3cb4A03', NULL, NULL, 82, NULL, NULL, 20763),
(59796, '6n0iA03', NULL, NULL, 80, NULL, NULL, 20763),
(59797, '2mzwA01', NULL, NULL, 76, NULL, NULL, 20763),
(59798, '3jcmH04', NULL, NULL, 77, NULL, NULL, 20763),
(59799, '4zciA03', NULL, NULL, 89, NULL, NULL, 20763),
(59800, '4fn5A03', NULL, NULL, 79, NULL, NULL, 20763),
(59801, '4qjty03', NULL, NULL, 82, NULL, NULL, 20763),
(59802, '3e3xA01', NULL, NULL, 113, NULL, NULL, 20763),
(59803, '2bm0A03', NULL, NULL, 51, NULL, NULL, 20763),
(59804, '1vx4405', NULL, NULL, 78, NULL, NULL, 20763),
(59805, '2bv3A03', NULL, NULL, 49, NULL, NULL, 20763),
(59806, '6notB03', NULL, NULL, 51, NULL, NULL, 20763),
(59807, '2wriY03', NULL, NULL, 76, NULL, NULL, 20763),
(59808, '1y71A00', NULL, NULL, 130, NULL, NULL, 20764),
(59809, '3q23A08', NULL, NULL, 154, NULL, NULL, 20765),
(59810, '2ckwA02', NULL, NULL, 56, NULL, NULL, 20766),
(59811, '3bsoA02', NULL, NULL, 57, NULL, NULL, 20766),
(59812, '3uqsA02', NULL, NULL, 56, NULL, NULL, 20766),
(59813, '3ly7A01', NULL, NULL, 161, NULL, NULL, 20767),
(59814, '1wa9B03', NULL, NULL, 34, NULL, NULL, 20768),
(59815, '3hkzY00', NULL, NULL, 45, NULL, NULL, 20769);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(59816, '2waqQ00', NULL, NULL, 45, NULL, NULL, 20769),
(59817, '1x3zA01', NULL, NULL, 26, NULL, NULL, 20770),
(59818, '1tdjA03', NULL, NULL, 177, NULL, NULL, 20771),
(59819, '4bgpA01', NULL, NULL, 132, NULL, NULL, 20772),
(59820, '3zlaD01', NULL, NULL, 132, NULL, NULL, 20772),
(59821, '4jngC01', NULL, NULL, 130, NULL, NULL, 20772),
(59822, '4j1jD01', NULL, NULL, 132, NULL, NULL, 20772),
(59823, '1at3A00', NULL, NULL, 231, NULL, NULL, 20773),
(59824, '4p3hA00', NULL, NULL, 193, NULL, NULL, 20773),
(59825, '1wpoB00', NULL, NULL, 256, NULL, NULL, 20773),
(59826, '1jq6A00', NULL, NULL, 230, NULL, NULL, 20773),
(59827, '1o6eA00', NULL, NULL, 235, NULL, NULL, 20773),
(59828, '4v08A00', NULL, NULL, 224, NULL, NULL, 20773),
(59829, '1vzvA00', NULL, NULL, 221, NULL, NULL, 20773),
(59830, '4k15B00', NULL, NULL, 130, NULL, NULL, 20774),
(59831, '3hlsB00', NULL, NULL, 66, NULL, NULL, 20775),
(59832, '2jqqA00', NULL, NULL, 154, NULL, NULL, 20776),
(59833, '2iz4A02', NULL, NULL, 42, NULL, NULL, 20777),
(59834, '3ix0A02', NULL, NULL, 42, NULL, NULL, 20777),
(59835, '2v66B00', NULL, NULL, 111, NULL, NULL, 20778),
(59836, '3foaB01', NULL, NULL, 231, NULL, NULL, 20779),
(59837, '1vwxT02', NULL, NULL, 62, NULL, NULL, 20780),
(59838, '1vx7V02', NULL, NULL, 62, NULL, NULL, 20780),
(59839, '4a17P02', NULL, NULL, 59, NULL, NULL, 20780),
(59840, '3u5eT02', NULL, NULL, 62, NULL, NULL, 20780),
(59841, '3godB02', NULL, NULL, 211, NULL, NULL, 20781),
(59842, '4n06A02', NULL, NULL, 265, NULL, NULL, 20781),
(59843, '5fclA02', NULL, NULL, 212, NULL, NULL, 20781),
(59844, '4xtkB02', NULL, NULL, 239, NULL, NULL, 20781),
(59845, '4w8kA02', NULL, NULL, 204, NULL, NULL, 20781),
(59846, '3nkeA00', NULL, NULL, 200, NULL, NULL, 20781),
(59847, '4wj0A02', NULL, NULL, 240, NULL, NULL, 20781),
(59848, '2yzsA02', NULL, NULL, 235, NULL, NULL, 20781),
(59849, '2x49A01', NULL, NULL, 96, NULL, NULL, 20782),
(59850, '4a5pB01', NULL, NULL, 142, NULL, NULL, 20782),
(59851, '3mixA01', NULL, NULL, 120, NULL, NULL, 20782),
(59852, '3lw9A00', NULL, NULL, 168, NULL, NULL, 20782),
(59853, '3mydA01', NULL, NULL, 144, NULL, NULL, 20782),
(59854, '6ch1A01', NULL, NULL, 144, NULL, NULL, 20782),
(59855, '3g0hA01', NULL, NULL, 31, NULL, NULL, 20783),
(59856, '3pieC01', NULL, NULL, 284, NULL, NULL, 20784),
(59857, '1nktA04', NULL, NULL, 192, NULL, NULL, 20785),
(59858, '2fsgB04', NULL, NULL, 213, NULL, NULL, 20785),
(59859, '2fsiB04', NULL, NULL, 189, NULL, NULL, 20785),
(59860, '2ipcA04', NULL, NULL, 242, NULL, NULL, 20785),
(59861, '1tf5A04', NULL, NULL, 182, NULL, NULL, 20785),
(59862, '1m6nA04', NULL, NULL, 135, NULL, NULL, 20785),
(59863, '3e59B02', NULL, NULL, 48, NULL, NULL, 20786),
(59864, '5v00A02', NULL, NULL, 103, NULL, NULL, 20787),
(59865, '5d1iA00', NULL, NULL, 131, NULL, NULL, 20787),
(59866, '3mdpA00', NULL, NULL, 142, NULL, NULL, 20787),
(59867, '4r52A01', NULL, NULL, 166, NULL, NULL, 20787),
(59868, '5wxuD01', NULL, NULL, 273, NULL, NULL, 20787),
(59869, '3u11B02', NULL, NULL, 137, NULL, NULL, 20787),
(59870, '1uikA01', NULL, NULL, 207, NULL, NULL, 20787),
(59871, '2o1qA01', NULL, NULL, 127, NULL, NULL, 20787),
(59872, '2qnkA00', NULL, NULL, 286, NULL, NULL, 20787),
(59873, '2qjvB01', NULL, NULL, 157, NULL, NULL, 20787),
(59874, '3shrA02', NULL, NULL, 137, NULL, NULL, 20787),
(59875, '3shrA01', NULL, NULL, 141, NULL, NULL, 20787),
(59876, '4d7sA02', NULL, NULL, 131, NULL, NULL, 20787),
(59877, '3h7jA01', NULL, NULL, 115, NULL, NULL, 20787),
(59878, '2qdrA01', NULL, NULL, 280, NULL, NULL, 20787),
(59879, '3h7jA02', NULL, NULL, 110, NULL, NULL, 20787),
(59880, '2i45D00', NULL, NULL, 107, NULL, NULL, 20787),
(59881, '2n7gA00', NULL, NULL, 131, NULL, NULL, 20787),
(59882, '5e1rB02', NULL, NULL, 186, NULL, NULL, 20787),
(59883, '5k8sB00', NULL, NULL, 148, NULL, NULL, 20787),
(59884, '2oz6A01', NULL, NULL, 132, NULL, NULL, 20787),
(59885, '2d40B00', NULL, NULL, 307, NULL, NULL, 20787),
(59886, '4avaA01', NULL, NULL, 145, NULL, NULL, 20787),
(59887, '3c3vA02', NULL, NULL, 170, NULL, NULL, 20787),
(59888, '5e16A00', NULL, NULL, 143, NULL, NULL, 20787);
INSERT INTO "PUBLIC"."MODEL" VALUES
(59889, '4e2gF00', NULL, NULL, 126, NULL, NULL, 20787),
(59890, '1yllC02', NULL, NULL, 109, NULL, NULL, 20787),
(59891, '4i2oA01', NULL, NULL, 118, NULL, NULL, 20787),
(59892, '5gylA01', NULL, NULL, 227, NULL, NULL, 20787),
(59893, '5gylA02', NULL, NULL, 173, NULL, NULL, 20787),
(59894, '5jixA00', NULL, NULL, 152, NULL, NULL, 20787),
(59895, '4rd7A00', NULL, NULL, 127, NULL, NULL, 20787),
(59896, '2pfwA00', NULL, NULL, 116, NULL, NULL, 20787),
(59897, '1nxmA00', NULL, NULL, 197, NULL, NULL, 20787),
(59898, '3c3vA01', NULL, NULL, 257, NULL, NULL, 20787),
(59899, '2xlgA00', NULL, NULL, 239, NULL, NULL, 20787),
(59900, '4ofgA00', NULL, NULL, 144, NULL, NULL, 20787),
(59901, '5l0nA00', NULL, NULL, 135, NULL, NULL, 20787),
(59902, '1juhA01', NULL, NULL, 145, NULL, NULL, 20787),
(59903, '4lukA00', NULL, NULL, 189, NULL, NULL, 20787),
(59904, '1juhA02', NULL, NULL, 145, NULL, NULL, 20787),
(59905, '5v00B01', NULL, NULL, 90, NULL, NULL, 20787),
(59906, '1o7fA01', NULL, NULL, 155, NULL, NULL, 20787),
(59907, '4yarA03', NULL, NULL, 124, NULL, NULL, 20787),
(59908, '4r8hA01', NULL, NULL, 130, NULL, NULL, 20787),
(59909, '3b02A01', NULL, NULL, 110, NULL, NULL, 20787),
(59910, '1o7fA03', NULL, NULL, 109, NULL, NULL, 20787),
(59911, '4yarA02', NULL, NULL, 123, NULL, NULL, 20787),
(59912, '2mhfA00', NULL, NULL, 143, NULL, NULL, 20787),
(59913, '5fljA00', NULL, NULL, 186, NULL, NULL, 20787),
(59914, '3es4A00', NULL, NULL, 116, NULL, NULL, 20787),
(59915, '3kmhA00', NULL, NULL, 226, NULL, NULL, 20787),
(59916, '2wfpA01', NULL, NULL, 98, NULL, NULL, 20787),
(59917, '5e44A01', NULL, NULL, 146, NULL, NULL, 20787),
(59918, '2wfpA02', NULL, NULL, 183, NULL, NULL, 20787),
(59919, '3la3A01', NULL, NULL, 112, NULL, NULL, 20787),
(59920, '4e2gE00', NULL, NULL, 126, NULL, NULL, 20787),
(59921, '3ww3A00', NULL, NULL, 256, NULL, NULL, 20787),
(59922, '3lwcA00', NULL, NULL, 119, NULL, NULL, 20787),
(59923, '5avpA00', NULL, NULL, 248, NULL, NULL, 20787),
(59924, '3nstA01', NULL, NULL, 322, NULL, NULL, 20787),
(59925, '4lloC00', NULL, NULL, 177, NULL, NULL, 20787),
(59926, '1j3qB00', NULL, NULL, 190, NULL, NULL, 20787),
(59927, '2o8qA00', NULL, NULL, 134, NULL, NULL, 20787),
(59928, '3ibmB00', NULL, NULL, 167, NULL, NULL, 20787),
(59929, '3balA01', NULL, NULL, 133, NULL, NULL, 20787),
(59930, '4qgnA00', NULL, NULL, 183, NULL, NULL, 20787),
(59931, '5vf5A01', NULL, NULL, 197, NULL, NULL, 20787),
(59932, '5vf5A02', NULL, NULL, 201, NULL, NULL, 20787),
(59933, '5nfoA00', NULL, NULL, 317, NULL, NULL, 20787),
(59934, '6h1hA02', NULL, NULL, 163, NULL, NULL, 20787),
(59935, '6h1hA01', NULL, NULL, 123, NULL, NULL, 20787),
(59936, '3d82E00', NULL, NULL, 102, NULL, NULL, 20787),
(59937, '3u0zA02', NULL, NULL, 137, NULL, NULL, 20787),
(59938, '3rnsA02', NULL, NULL, 101, NULL, NULL, 20787),
(59939, '5zbeA02', NULL, NULL, 107, NULL, NULL, 20787),
(59940, '3rnsA01', NULL, NULL, 110, NULL, NULL, 20787),
(59941, '1fxzA01', NULL, NULL, 237, NULL, NULL, 20787),
(59942, '1fxzA02', NULL, NULL, 170, NULL, NULL, 20787),
(59943, '3of1A02', NULL, NULL, 133, NULL, NULL, 20787),
(59944, '1sq4A02', NULL, NULL, 126, NULL, NULL, 20787),
(59945, '1yudA01', NULL, NULL, 166, NULL, NULL, 20787),
(59946, '1sq4A01', NULL, NULL, 152, NULL, NULL, 20787),
(59947, '6c46C00', NULL, NULL, 189, NULL, NULL, 20787),
(59948, '2phlB02', NULL, NULL, 159, NULL, NULL, 20787),
(59949, '2vpvA00', NULL, NULL, 94, NULL, NULL, 20787),
(59950, '3of1A01', NULL, NULL, 113, NULL, NULL, 20787),
(59951, '1zybA01', NULL, NULL, 223, NULL, NULL, 20787),
(59952, '1pmiA01', NULL, NULL, 185, NULL, NULL, 20787),
(59953, '1h2kA01', NULL, NULL, 303, NULL, NULL, 20787),
(59954, '1pmiA03', NULL, NULL, 119, NULL, NULL, 20787),
(59955, '3h8uA00', NULL, NULL, 125, NULL, NULL, 20787),
(59956, '2gu9A01', NULL, NULL, 104, NULL, NULL, 20787),
(59957, '1sefA01', NULL, NULL, 155, NULL, NULL, 20787),
(59958, '4e2gD00', NULL, NULL, 126, NULL, NULL, 20787),
(59959, '3bu7A00', NULL, NULL, 356, NULL, NULL, 20787),
(59960, '3myxA02', NULL, NULL, 115, NULL, NULL, 20787),
(59961, '4qmaA02', NULL, NULL, 143, NULL, NULL, 20787);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(59962, '3loiA01', NULL, NULL, 169, NULL, NULL, 20787),
(59963, '4f7zA03', NULL, NULL, 179, NULL, NULL, 20787),
(59964, '2pqqA00', NULL, NULL, 149, NULL, NULL, 20787),
(59965, '3h9aB01', NULL, NULL, 115, NULL, NULL, 20787),
(59966, '3jzvA00', NULL, NULL, 166, NULL, NULL, 20787),
(59967, '1zvfB01', NULL, NULL, 168, NULL, NULL, 20787),
(59968, '3smhE02', NULL, NULL, 188, NULL, NULL, 20787),
(59969, '1yhfA01', NULL, NULL, 110, NULL, NULL, 20787),
(59970, '2h6cA01', NULL, NULL, 129, NULL, NULL, 20787),
(59971, '4dinB02', NULL, NULL, 144, NULL, NULL, 20787),
(59972, '4dinB01', NULL, NULL, 134, NULL, NULL, 20787),
(59973, '1sefA02', NULL, NULL, 119, NULL, NULL, 20787),
(59974, '2z69B00', NULL, NULL, 154, NULL, NULL, 20787),
(59975, '1uijB01', NULL, NULL, 177, NULL, NULL, 20787),
(59976, '2vecA01', NULL, NULL, 103, NULL, NULL, 20787),
(59977, '2vecA02', NULL, NULL, 124, NULL, NULL, 20787),
(59978, '2xhkB01', NULL, NULL, 128, NULL, NULL, 20787),
(59979, '5j7mA00', NULL, NULL, 123, NULL, NULL, 20787),
(59980, '1o5lA00', NULL, NULL, 141, NULL, NULL, 20787),
(59981, '1znpA00', NULL, NULL, 154, NULL, NULL, 20787),
(59982, '4b29A00', NULL, NULL, 195, NULL, NULL, 20787),
(59983, '2qvsB02', NULL, NULL, 131, NULL, NULL, 20787),
(59984, '2qvsB01', NULL, NULL, 153, NULL, NULL, 20787),
(59985, '3iwzA01', NULL, NULL, 134, NULL, NULL, 20787),
(59986, '1x8mA02', NULL, NULL, 145, NULL, NULL, 20787),
(59987, '1fi2A00', NULL, NULL, 201, NULL, NULL, 20787),
(59988, '3i7dA00', NULL, NULL, 163, NULL, NULL, 20787),
(59989, '2p17A00', NULL, NULL, 249, NULL, NULL, 20787),
(59990, '3hqxA00', NULL, NULL, 111, NULL, NULL, 20787),
(59991, '3d0jA00', NULL, NULL, 140, NULL, NULL, 20787),
(59992, '2phlA01', NULL, NULL, 204, NULL, NULL, 20787),
(59993, '4zu4C00', NULL, NULL, 148, NULL, NULL, 20787),
(59994, '4la2A00', NULL, NULL, 198, NULL, NULL, 20787),
(59995, '1ep0A00', NULL, NULL, 185, NULL, NULL, 20787),
(59996, '1xe7A00', NULL, NULL, 203, NULL, NULL, 20787),
(59997, '3la7A01', NULL, NULL, 124, NULL, NULL, 20787),
(59998, '3kgzA00', NULL, NULL, 156, NULL, NULL, 20787),
(59999, '1uikB02', NULL, NULL, 187, NULL, NULL, 20787),
(60000, '1vr3A00', NULL, NULL, 191, NULL, NULL, 20787),
(60001, '3tnpB02', NULL, NULL, 122, NULL, NULL, 20787),
(60002, '4e2gC00', NULL, NULL, 126, NULL, NULL, 20787),
(60003, '5i8tA00', NULL, NULL, 179, NULL, NULL, 20787),
(60004, '4jvaA01', NULL, NULL, 144, NULL, NULL, 20787),
(60005, '1wgpA01', NULL, NULL, 121, NULL, NULL, 20787),
(60006, '3m70A01', NULL, NULL, 107, NULL, NULL, 20787),
(60007, '2d5fA02', NULL, NULL, 158, NULL, NULL, 20787),
(60008, '5u55A02', NULL, NULL, 122, NULL, NULL, 20787),
(60009, '1ne6A01', NULL, NULL, 122, NULL, NULL, 20787),
(60010, '3ht1A00', NULL, NULL, 145, NULL, NULL, 20787),
(60011, '3dl3E00', NULL, NULL, 119, NULL, NULL, 20787),
(60012, '3h9aA01', NULL, NULL, 115, NULL, NULL, 20787),
(60013, '1omiA01', NULL, NULL, 120, NULL, NULL, 20787),
(60014, '2ixkA00', NULL, NULL, 184, NULL, NULL, 20787),
(60015, '6exmA01', NULL, NULL, 111, NULL, NULL, 20787),
(60016, '2d5fA01', NULL, NULL, 266, NULL, NULL, 20787),
(60017, '3fx3B01', NULL, NULL, 140, NULL, NULL, 20787),
(60018, '5cadA02', NULL, NULL, 195, NULL, NULL, 20787),
(60019, '5cadA01', NULL, NULL, 197, NULL, NULL, 20787),
(60020, '3sxwA00', NULL, NULL, 201, NULL, NULL, 20787),
(60021, '3qacA01', NULL, NULL, 291, NULL, NULL, 20787),
(60022, '3qacA02', NULL, NULL, 174, NULL, NULL, 20787),
(60023, '1ft9A01', NULL, NULL, 132, NULL, NULL, 20787),
(60024, '2hkxB00', NULL, NULL, 149, NULL, NULL, 20787),
(60025, '4ollA01', NULL, NULL, 149, NULL, NULL, 20787),
(60026, '1dzrA00', NULL, NULL, 183, NULL, NULL, 20787),
(60027, '5i0uA00', NULL, NULL, 200, NULL, NULL, 20787),
(60028, '2fqpA00', NULL, NULL, 97, NULL, NULL, 20787),
(60029, '6cdhA00', NULL, NULL, 200, NULL, NULL, 20787),
(60030, '1cx4A02', NULL, NULL, 152, NULL, NULL, 20787),
(60031, '4cydB01', NULL, NULL, 145, NULL, NULL, 20787),
(60032, '3dn7B00', NULL, NULL, 147, NULL, NULL, 20787),
(60033, '4e2qA00', NULL, NULL, 266, NULL, NULL, 20787),
(60034, '5jr7B02', NULL, NULL, 115, NULL, NULL, 20787);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(60035, '2bnmA02', NULL, NULL, 120, NULL, NULL, 20787),
(60036, '1sfnA00', NULL, NULL, 246, NULL, NULL, 20787),
(60037, '1oi6A00', NULL, NULL, 205, NULL, NULL, 20787),
(60038, '2pa7A00', NULL, NULL, 141, NULL, NULL, 20787),
(60039, '5bpxA00', NULL, NULL, 153, NULL, NULL, 20787),
(60040, '4hn1A00', NULL, NULL, 201, NULL, NULL, 20787),
(60041, '1rc6A00', NULL, NULL, 261, NULL, NULL, 20787),
(60042, '3fz3A02', NULL, NULL, 169, NULL, NULL, 20787),
(60043, '3fz3A01', NULL, NULL, 263, NULL, NULL, 20787),
(60044, '3zdsA02', NULL, NULL, 145, NULL, NULL, 20787),
(60045, '1qwrB01', NULL, NULL, 230, NULL, NULL, 20787),
(60046, '3fjsC00', NULL, NULL, 114, NULL, NULL, 20787),
(60047, '4e2gB00', NULL, NULL, 126, NULL, NULL, 20787),
(60048, '3cewA01', NULL, NULL, 110, NULL, NULL, 20787),
(60049, '3idbB01', NULL, NULL, 134, NULL, NULL, 20787),
(60050, '6cb4A02', NULL, NULL, 180, NULL, NULL, 20787),
(60051, '3bcwA01', NULL, NULL, 105, NULL, NULL, 20787),
(60052, '6cb4A01', NULL, NULL, 199, NULL, NULL, 20787),
(60053, '1o5uA00', NULL, NULL, 101, NULL, NULL, 20787),
(60054, '1gqgC01', NULL, NULL, 142, NULL, NULL, 20787),
(60055, '1gqgC02', NULL, NULL, 200, NULL, NULL, 20787),
(60056, '2q1zB02', NULL, NULL, 94, NULL, NULL, 20787),
(60057, '3kscB02', NULL, NULL, 170, NULL, NULL, 20787),
(60058, '4qglA00', NULL, NULL, 174, NULL, NULL, 20787),
(60059, '4h7lB00', NULL, NULL, 130, NULL, NULL, 20787),
(60060, '1o4tA00', NULL, NULL, 115, NULL, NULL, 20787),
(60061, '3rykA00', NULL, NULL, 182, NULL, NULL, 20787),
(60062, '5cu1A00', NULL, NULL, 212, NULL, NULL, 20787),
(60063, '2opkB01', NULL, NULL, 94, NULL, NULL, 20787),
(60064, '3kglA02', NULL, NULL, 175, NULL, NULL, 20787),
(60065, '3d82B00', NULL, NULL, 102, NULL, NULL, 20787),
(60066, '2mngA00', NULL, NULL, 131, NULL, NULL, 20787),
(60067, '2ozjA00', NULL, NULL, 114, NULL, NULL, 20787),
(60068, '6ndrA00', NULL, NULL, 195, NULL, NULL, 20787),
(60069, '1sq4B01', NULL, NULL, 152, NULL, NULL, 20787),
(60070, '2b8mA00', NULL, NULL, 117, NULL, NULL, 20787),
(60071, '1tq5A02', NULL, NULL, 125, NULL, NULL, 20787),
(60072, '4lejA02', NULL, NULL, 183, NULL, NULL, 20787),
(60073, '3fe5A00', NULL, NULL, 285, NULL, NULL, 20787),
(60074, '4lejA01', NULL, NULL, 207, NULL, NULL, 20787),
(60075, '4q0pA00', NULL, NULL, 260, NULL, NULL, 20787),
(60076, '3lagB00', NULL, NULL, 98, NULL, NULL, 20787),
(60077, '1qwrA02', NULL, NULL, 89, NULL, NULL, 20787),
(60078, '1tq5A01', NULL, NULL, 117, NULL, NULL, 20787),
(60079, '1uijC02', NULL, NULL, 183, NULL, NULL, 20787),
(60080, '3myxB01', NULL, NULL, 125, NULL, NULL, 20787),
(60081, '3dv8A01', NULL, NULL, 143, NULL, NULL, 20787),
(60082, '2zcwA01', NULL, NULL, 117, NULL, NULL, 20787),
(60083, '4e2gA00', NULL, NULL, 126, NULL, NULL, 20787),
(60084, '3bb6C00', NULL, NULL, 127, NULL, NULL, 20787),
(60085, '2vqaA02', NULL, NULL, 177, NULL, NULL, 20787),
(60086, '4wvzA02', NULL, NULL, 143, NULL, NULL, 20787),
(60087, '5buvB00', NULL, NULL, 178, NULL, NULL, 20787),
(60088, '5yjsB02', NULL, NULL, 198, NULL, NULL, 20787),
(60089, '5vg3A01', NULL, NULL, 198, NULL, NULL, 20787),
(60090, '1q43B02', NULL, NULL, 137, NULL, NULL, 20787),
(60091, '5vg3A02', NULL, NULL, 174, NULL, NULL, 20787),
(60092, '4yrdA02', NULL, NULL, 119, NULL, NULL, 20787),
(60093, '5by5A00', NULL, NULL, 115, NULL, NULL, 20787),
(60094, '2c0zA01', NULL, NULL, 190, NULL, NULL, 20787),
(60095, '3cf6E02', NULL, NULL, 131, NULL, NULL, 20787),
(60096, '4uxaA00', NULL, NULL, 131, NULL, NULL, 20787),
(60097, '3kscC01', NULL, NULL, 228, NULL, NULL, 20787),
(60098, '3es1A02', NULL, NULL, 132, NULL, NULL, 20787),
(60099, '2y0oA00', NULL, NULL, 175, NULL, NULL, 20787),
(60100, '3kglB01', NULL, NULL, 236, NULL, NULL, 20787),
(60101, '3d82A00', NULL, NULL, 102, NULL, NULL, 20787),
(60102, '3gydA00', NULL, NULL, 187, NULL, NULL, 20787),
(60103, '3e6cC01', NULL, NULL, 147, NULL, NULL, 20787),
(60104, '5tpvB00', NULL, NULL, 153, NULL, NULL, 20787),
(60105, '3s7iB01', NULL, NULL, 213, NULL, NULL, 20787),
(60106, '2ptmA02', NULL, NULL, 129, NULL, NULL, 20787),
(60107, '1xruA02', NULL, NULL, 158, NULL, NULL, 20787);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(60108, '1ywkC00', NULL, NULL, 264, NULL, NULL, 20787),
(60109, '3ebrA00', NULL, NULL, 159, NULL, NULL, 20787),
(60110, '5fq0A00', NULL, NULL, 114, NULL, NULL, 20787),
(60111, '1upiA00', NULL, NULL, 205, NULL, NULL, 20787),
(60112, '6d0pA02', NULL, NULL, 170, NULL, NULL, 20787),
(60113, '5yjsA02', NULL, NULL, 198, NULL, NULL, 20787),
(60114, '5yjsA01', NULL, NULL, 192, NULL, NULL, 20787),
(60115, '2eaaA01', NULL, NULL, 209, NULL, NULL, 20787),
(60116, '1wltA00', NULL, NULL, 176, NULL, NULL, 20787),
(60117, '3e6dB00', NULL, NULL, 210, NULL, NULL, 20787),
(60118, '5fpzA00', NULL, NULL, 110, NULL, NULL, 20787),
(60119, '2oyzA00', NULL, NULL, 94, NULL, NULL, 20787),
(60120, '1y9qA02', NULL, NULL, 104, NULL, NULL, 20787),
(60121, '5tpuA00', NULL, NULL, 139, NULL, NULL, 20787),
(60122, '2d93A00', NULL, NULL, 134, NULL, NULL, 20787),
(60123, '6b4sA02', NULL, NULL, 160, NULL, NULL, 20787),
(60124, '5wpwB01', NULL, NULL, 254, NULL, NULL, 20787),
(60125, '3e97A01', NULL, NULL, 146, NULL, NULL, 20787),
(60126, '1zx5A01', NULL, NULL, 217, NULL, NULL, 20787),
(60127, '1zx5A02', NULL, NULL, 83, NULL, NULL, 20787),
(60128, '4e2gH00', NULL, NULL, 126, NULL, NULL, 20787),
(60129, '5wseB00', NULL, NULL, 118, NULL, NULL, 20787),
(60130, '2e9qA02', NULL, NULL, 169, NULL, NULL, 20787),
(60131, '5h5oA00', NULL, NULL, 129, NULL, NULL, 20787),
(60132, '1yllA01', NULL, NULL, 97, NULL, NULL, 20787),
(60133, '3d82D00', NULL, NULL, 102, NULL, NULL, 20787),
(60134, '4mv2A00', NULL, NULL, 128, NULL, NULL, 20787),
(60135, '2pytA00', NULL, NULL, 133, NULL, NULL, 20787),
(60136, '3cjxA01', NULL, NULL, 150, NULL, NULL, 20787),
(60137, '2gauA01', NULL, NULL, 151, NULL, NULL, 20787),
(60138, '2e9qA01', NULL, NULL, 265, NULL, NULL, 20787),
(60139, '2qjvA01', NULL, NULL, 157, NULL, NULL, 20787),
(60140, '2oa2A01', NULL, NULL, 127, NULL, NULL, 20787),
(60141, '3eo6A00', NULL, NULL, 106, NULL, NULL, 20787),
(60142, '3uknA02', NULL, NULL, 166, NULL, NULL, 20787),
(60143, '3pnaA01', NULL, NULL, 128, NULL, NULL, 20787),
(60144, '4axoB00', NULL, NULL, 151, NULL, NULL, 20787),
(60145, '1eybA02', NULL, NULL, 146, NULL, NULL, 20787),
(60146, '2f4pA00', NULL, NULL, 147, NULL, NULL, 20787),
(60147, '4qu2A00', NULL, NULL, 318, NULL, NULL, 20787),
(60148, '5wxuA02', NULL, NULL, 162, NULL, NULL, 20787),
(60149, '1v70A00', NULL, NULL, 105, NULL, NULL, 20787),
(60150, '2vqaC01', NULL, NULL, 184, NULL, NULL, 20787),
(60151, '3l2hA01', NULL, NULL, 147, NULL, NULL, 20787),
(60152, '1xruB02', NULL, NULL, 158, NULL, NULL, 20787),
(60153, '1y3tA01', NULL, NULL, 167, NULL, NULL, 20787),
(60154, '4ev0D01', NULL, NULL, 139, NULL, NULL, 20787),
(60155, '4qm9A00', NULL, NULL, 173, NULL, NULL, 20787),
(60156, '1y3tA02', NULL, NULL, 170, NULL, NULL, 20787),
(60157, '4muvA00', NULL, NULL, 142, NULL, NULL, 20787),
(60158, '4ku8B00', NULL, NULL, 122, NULL, NULL, 20787),
(60159, '2cv6A02', NULL, NULL, 175, NULL, NULL, 20787),
(60160, '2cv6A01', NULL, NULL, 205, NULL, NULL, 20787),
(60161, '3m3iB01', NULL, NULL, 193, NULL, NULL, 20787),
(60162, '2qjvA02', NULL, NULL, 113, NULL, NULL, 20787),
(60163, '5kjzA00', NULL, NULL, 150, NULL, NULL, 20787),
(60164, '2q30A01', NULL, NULL, 88, NULL, NULL, 20787),
(60165, '1lr5B00', NULL, NULL, 163, NULL, NULL, 20787),
(60166, '5e1rA01', NULL, NULL, 196, NULL, NULL, 20787),
(60167, '6cpbA00', NULL, NULL, 141, NULL, NULL, 20787),
(60168, '2hjiA00', NULL, NULL, 156, NULL, NULL, 20787),
(60169, '4hvqA00', NULL, NULL, 154, NULL, NULL, 20787),
(60170, '6b4sB01', NULL, NULL, 266, NULL, NULL, 20787),
(60171, '4zu5A00', NULL, NULL, 144, NULL, NULL, 20787),
(60172, '5wpwA02', NULL, NULL, 170, NULL, NULL, 20787),
(60173, '4e2gG00', NULL, NULL, 126, NULL, NULL, 20787),
(60174, '3o14A00', NULL, NULL, 223, NULL, NULL, 20787),
(60175, '3ejkA00', NULL, NULL, 174, NULL, NULL, 20787),
(60176, '3bpzA02', NULL, NULL, 132, NULL, NULL, 20787),
(60177, '4l11A02', NULL, NULL, 146, NULL, NULL, 20787),
(60178, '5c8wB00', NULL, NULL, 143, NULL, NULL, 20787),
(60179, '3d0sB01', NULL, NULL, 151, NULL, NULL, 20787),
(60180, '4n9iA01', NULL, NULL, 132, NULL, NULL, 20787);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(60181, '3d82C00', NULL, NULL, 102, NULL, NULL, 20787),
(60182, '3ocpB00', NULL, NULL, 139, NULL, NULL, 20787),
(60183, '2ea7C01', NULL, NULL, 210, NULL, NULL, 20787),
(60184, '5j3uA01', NULL, NULL, 124, NULL, NULL, 20787),
(60185, '5j3uA02', NULL, NULL, 137, NULL, NULL, 20787),
(60186, '5kbfA01', NULL, NULL, 127, NULL, NULL, 20787),
(60187, '2ea7C02', NULL, NULL, 174, NULL, NULL, 20787),
(60188, '1dtdB00', NULL, NULL, 61, NULL, NULL, 20788),
(60189, '4jc0A02', NULL, NULL, 111, NULL, NULL, 20789),
(60190, '1un8A02', NULL, NULL, 202, NULL, NULL, 20790),
(60191, '3pnlB00', NULL, NULL, 211, NULL, NULL, 20790),
(60192, '3cr3A00', NULL, NULL, 192, NULL, NULL, 20790),
(60193, '2napA01', NULL, NULL, 61, NULL, NULL, 20791),
(60194, '2vpzA01', NULL, NULL, 67, NULL, NULL, 20791),
(60195, '2e7zA01', NULL, NULL, 57, NULL, NULL, 20791),
(60196, '2iv2X01', NULL, NULL, 55, NULL, NULL, 20791),
(60197, '1q16A03', NULL, NULL, 47, NULL, NULL, 20791),
(60198, '5t13A01', NULL, NULL, 113, NULL, NULL, 20792),
(60199, '5hy0A01', NULL, NULL, 108, NULL, NULL, 20792),
(60200, '4bvqA01', NULL, NULL, 107, NULL, NULL, 20792),
(60201, '4nq3B01', NULL, NULL, 97, NULL, NULL, 20792),
(60202, '5hweA01', NULL, NULL, 107, NULL, NULL, 20792),
(60203, '4nq3A01', NULL, NULL, 99, NULL, NULL, 20792),
(60204, '4u8uN02', NULL, NULL, 170, NULL, NULL, 20793),
(60205, '4u8uO02', NULL, NULL, 162, NULL, NULL, 20793),
(60206, '4u8uM02', NULL, NULL, 166, NULL, NULL, 20793),
(60207, '2gtlO02', NULL, NULL, 163, NULL, NULL, 20793),
(60208, '2gtlN02', NULL, NULL, 170, NULL, NULL, 20793),
(60209, '2gtlM02', NULL, NULL, 166, NULL, NULL, 20793),
(60210, '2cn4A01', NULL, NULL, 127, NULL, NULL, 20794),
(60211, '4jerA00', NULL, NULL, 193, NULL, NULL, 20794),
(60212, '1dk0A00', NULL, NULL, 188, NULL, NULL, 20794),
(60213, '4o6uA00', NULL, NULL, 184, NULL, NULL, 20794),
(60214, '4xzdA00', NULL, NULL, 192, NULL, NULL, 20794),
(60215, '2r44A03', NULL, NULL, 118, NULL, NULL, 20795),
(60216, '1e9rA02', NULL, NULL, 113, NULL, NULL, 20795),
(60217, '1g8pA02', NULL, NULL, 90, NULL, NULL, 20795),
(60218, '2x8nA01', NULL, NULL, 97, NULL, NULL, 20796),
(60219, '3k8rA01', NULL, NULL, 68, NULL, NULL, 20796),
(60220, '2bf1A00', NULL, NULL, 316, NULL, NULL, 20797),
(60221, '4j6rG01', NULL, NULL, 359, NULL, NULL, 20797),
(60222, '3tihA01', NULL, NULL, 345, NULL, NULL, 20797),
(60223, '6cm3D01', NULL, NULL, 412, NULL, NULL, 20797),
(60224, '2i5yG00', NULL, NULL, 313, NULL, NULL, 20797),
(60225, '4r2gE00', NULL, NULL, 309, NULL, NULL, 20797),
(60226, '5vn3G01', NULL, NULL, 400, NULL, NULL, 20797),
(60227, '5te7G01', NULL, NULL, 350, NULL, NULL, 20797),
(60228, '4lstG01', NULL, NULL, 355, NULL, NULL, 20797),
(60229, '4r4nA01', NULL, NULL, 352, NULL, NULL, 20797),
(60230, '4jzzA01', NULL, NULL, 352, NULL, NULL, 20797),
(60231, '4xvsG01', NULL, NULL, 358, NULL, NULL, 20797),
(60232, '3hi1G00', NULL, NULL, 321, NULL, NULL, 20797),
(60233, '4i53B01', NULL, NULL, 358, NULL, NULL, 20797),
(60234, '2ny4A00', NULL, NULL, 317, NULL, NULL, 20797),
(60235, '3jwdB01', NULL, NULL, 370, NULL, NULL, 20797),
(60236, '5fa2A01', NULL, NULL, 353, NULL, NULL, 20797),
(60237, '4lssG01', NULL, NULL, 359, NULL, NULL, 20797),
(60238, '5t33G00', NULL, NULL, 357, NULL, NULL, 20797),
(60239, '5cayG01', NULL, NULL, 345, NULL, NULL, 20797),
(60240, '3lqaG00', NULL, NULL, 332, NULL, NULL, 20797),
(60241, '4ye4G01', NULL, NULL, 356, NULL, NULL, 20797),
(60242, '4jm2E00', NULL, NULL, 321, NULL, NULL, 20797),
(60243, '4xvtG01', NULL, NULL, 353, NULL, NULL, 20797),
(60244, '4xmpG01', NULL, NULL, 354, NULL, NULL, 20797),
(60245, '5te4G01', NULL, NULL, 360, NULL, NULL, 20797),
(60246, '2d2sA01', NULL, NULL, 129, NULL, NULL, 20798),
(60247, '1w36C06', NULL, NULL, 72, NULL, NULL, 20799),
(60248, '2zy2A02', NULL, NULL, 147, NULL, NULL, 20800),
(60249, '2zy4A02', NULL, NULL, 148, NULL, NULL, 20800),
(60250, '3f6tA02', NULL, NULL, 147, NULL, NULL, 20800),
(60251, '3b5iA02', NULL, NULL, 95, NULL, NULL, 20801),
(60252, '2c42A04', NULL, NULL, 41, NULL, NULL, 20802),
(60253, '3if8B02', NULL, NULL, 100, NULL, NULL, 20803);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(60254, '5fr1B00', NULL, NULL, 179, NULL, NULL, 20804),
(60255, '1qvyA00', NULL, NULL, 139, NULL, NULL, 20804),
(60256, '5h1dA00', NULL, NULL, 143, NULL, NULL, 20804),
(60257, '1ds6B00', NULL, NULL, 180, NULL, NULL, 20804),
(60258, '1hh4E00', NULL, NULL, 182, NULL, NULL, 20804),
(60259, '1kmtA00', NULL, NULL, 141, NULL, NULL, 20804),
(60260, '1rhoA00', NULL, NULL, 145, NULL, NULL, 20804),
(60261, '2oyrA01', NULL, NULL, 56, NULL, NULL, 20805),
(60262, '2pkwA01', NULL, NULL, 56, NULL, NULL, 20805),
(60263, '2pgxA01', NULL, NULL, 56, NULL, NULL, 20805),
(60264, '2r6zA01', NULL, NULL, 55, NULL, NULL, 20805),
(60265, '2x8kA03', NULL, NULL, 111, NULL, NULL, 20806),
(60266, '4divS02', NULL, NULL, 104, NULL, NULL, 20806),
(60267, '2ih2A02', NULL, NULL, 169, NULL, NULL, 20807),
(60268, '1avoA00', NULL, NULL, 60, NULL, NULL, 20808),
(60269, '3fajA00', NULL, NULL, 108, NULL, NULL, 20809),
(60270, '2ob9A00', NULL, NULL, 130, NULL, NULL, 20810),
(60271, '4mjkA00', NULL, NULL, 265, NULL, NULL, 20811),
(60272, '4c3iG02', NULL, NULL, 157, NULL, NULL, 20812),
(60273, '2j5uA02', NULL, NULL, 84, NULL, NULL, 20813),
(60274, '2qf4A01', NULL, NULL, 81, NULL, NULL, 20813),
(60275, '2jovA01', NULL, NULL, 71, NULL, NULL, 20814),
(60276, '3cwzB02', NULL, NULL, 65, NULL, NULL, 20815),
(60277, '2gefA01', NULL, NULL, 125, NULL, NULL, 20816),
(60278, '4lzkC00', NULL, NULL, 187, NULL, NULL, 20817),
(60279, '4q52B00', NULL, NULL, 184, NULL, NULL, 20817),
(60280, '4pibJ00', NULL, NULL, 176, NULL, NULL, 20817),
(60281, '1bdsA00', NULL, NULL, 43, NULL, NULL, 20818),
(60282, '2h9xA00', NULL, NULL, 47, NULL, NULL, 20818),
(60283, '1b8wA00', NULL, NULL, 42, NULL, NULL, 20818),
(60284, '1sh1A00', NULL, NULL, 48, NULL, NULL, 20818),
(60285, '1apfA00', NULL, NULL, 49, NULL, NULL, 20818),
(60286, '1wqkA00', NULL, NULL, 42, NULL, NULL, 20818),
(60287, '1ahlA00', NULL, NULL, 49, NULL, NULL, 20818),
(60288, '4gv5A00', NULL, NULL, 42, NULL, NULL, 20818),
(60289, '1wxnA00', NULL, NULL, 42, NULL, NULL, 20818),
(60290, '2rngA02', NULL, NULL, 40, NULL, NULL, 20818),
(60291, '1atxA00', NULL, NULL, 46, NULL, NULL, 20818),
(60292, '1zlhB02', NULL, NULL, 37, NULL, NULL, 20818),
(60293, '1d6bA00', NULL, NULL, 42, NULL, NULL, 20818),
(60294, '2mn3A00', NULL, NULL, 44, NULL, NULL, 20818),
(60295, '2rp5A00', NULL, NULL, 117, NULL, NULL, 20819),
(60296, '4egdA00', NULL, NULL, 234, NULL, NULL, 20820),
(60297, '2l48A00', NULL, NULL, 85, NULL, NULL, 20821),
(60298, '2wbnA00', NULL, NULL, 186, NULL, NULL, 20822),
(60299, '4dkwA00', NULL, NULL, 194, NULL, NULL, 20822),
(60300, '1dqcA00', NULL, NULL, 74, NULL, NULL, 20823),
(60301, '1g8lA04', NULL, NULL, 74, NULL, NULL, 20824),
(60302, '6fgdA04', NULL, NULL, 81, NULL, NULL, 20824),
(60303, '6gbcA04', NULL, NULL, 89, NULL, NULL, 20824),
(60304, '1xi8A03', NULL, NULL, 77, NULL, NULL, 20824),
(60305, '1wu2A04', NULL, NULL, 77, NULL, NULL, 20824),
(60306, '1uz5A04', NULL, NULL, 74, NULL, NULL, 20824),
(60307, '2kktA00', NULL, NULL, 57, NULL, NULL, 20825),
(60308, '3gu3A02', NULL, NULL, 108, NULL, NULL, 20826),
(60309, '1neiA00', NULL, NULL, 60, NULL, NULL, 20827),
(60310, '3krmA00', NULL, NULL, 163, NULL, NULL, 20828),
(60311, '3n89A02', NULL, NULL, 153, NULL, NULL, 20828),
(60312, '4fvsE00', NULL, NULL, 215, NULL, NULL, 20829),
(60313, '3fzxA00', NULL, NULL, 218, NULL, NULL, 20829),
(60314, '2p5tA00', NULL, NULL, 92, NULL, NULL, 20830),
(60315, '1gvnA00', NULL, NULL, 90, NULL, NULL, 20830),
(60316, '4b1zM01', NULL, NULL, 71, NULL, NULL, 20831),
(60317, '2l8tB01', NULL, NULL, 38, NULL, NULL, 20832),
(60318, '4py9A01', NULL, NULL, 215, NULL, NULL, 20833),
(60319, '4rpaA01', NULL, NULL, 189, NULL, NULL, 20833),
(60320, '1i74A01', NULL, NULL, 190, NULL, NULL, 20833),
(60321, '1wpnA00', NULL, NULL, 188, NULL, NULL, 20833),
(60322, '2enxA01', NULL, NULL, 190, NULL, NULL, 20833),
(60323, '2qb7A01', NULL, NULL, 252, NULL, NULL, 20833),
(60324, '5ippC01', NULL, NULL, 201, NULL, NULL, 20833),
(60325, '1k20A01', NULL, NULL, 190, NULL, NULL, 20833),
(60326, '3devA01', NULL, NULL, 199, NULL, NULL, 20833),
(60327, '4ls9A01', NULL, NULL, 209, NULL, NULL, 20833); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(60328, '2eb0A01', NULL, NULL, 188, NULL, NULL, 20833),
(60329, '2xjpA02', NULL, NULL, 34, NULL, NULL, 20834),
(60330, '4xkbA02', NULL, NULL, 79, NULL, NULL, 20835),
(60331, '1z3xA02', NULL, NULL, 76, NULL, NULL, 20835),
(60332, '1ohgA01', NULL, NULL, 146, NULL, NULL, 20836),
(60333, '3o6xA02', NULL, NULL, 149, NULL, NULL, 20837),
(60334, '2lpbA00', NULL, NULL, 81, NULL, NULL, 20838),
(60335, '3iayA06', NULL, NULL, 38, NULL, NULL, 20839),
(60336, '4aukA02', NULL, NULL, 96, NULL, NULL, 20840),
(60337, '4fp5D00', NULL, NULL, 98, NULL, NULL, 20841),
(60338, '3nwsA02', NULL, NULL, 57, NULL, NULL, 20842),
(60339, '3oiqA02', NULL, NULL, 65, NULL, NULL, 20842),
(60340, '1t0fC00', NULL, NULL, 54, NULL, NULL, 20843),
(60341, '1vw4U00', NULL, NULL, 86, NULL, NULL, 20844),
(60342, '1bxyA00', NULL, NULL, 60, NULL, NULL, 20844),
(60343, '6hmaX00', NULL, NULL, 58, NULL, NULL, 20844),
(60344, '5dm6W00', NULL, NULL, 55, NULL, NULL, 20844),
(60345, '6qula00', NULL, NULL, 59, NULL, NULL, 20844),
(60346, '5xymZ00', NULL, NULL, 61, NULL, NULL, 20844),
(60347, '1vq8W01', NULL, NULL, 98, NULL, NULL, 20844),
(60348, '5v7qZ00', NULL, NULL, 65, NULL, NULL, 20844),
(60349, '5dzuB00', NULL, NULL, 188, NULL, NULL, 20845),
(60350, '4efpA02', NULL, NULL, 161, NULL, NULL, 20845),
(60351, '3im6A00', NULL, NULL, 217, NULL, NULL, 20845),
(60352, '1epwA04', NULL, NULL, 191, NULL, NULL, 20845),
(60353, '1wbaA00', NULL, NULL, 175, NULL, NULL, 20845),
(60354, '1qqkA00', NULL, NULL, 140, NULL, NULL, 20845),
(60355, '5fzuA00', NULL, NULL, 187, NULL, NULL, 20845),
(60356, '1pwaA00', NULL, NULL, 142, NULL, NULL, 20845),
(60357, '1abrB01', NULL, NULL, 139, NULL, NULL, 20845),
(60358, '5vi4A00', NULL, NULL, 158, NULL, NULL, 20845),
(60359, '3mppG02', NULL, NULL, 205, NULL, NULL, 20845),
(60360, '1wd3A02', NULL, NULL, 162, NULL, NULL, 20845),
(60361, '1abrB02', NULL, NULL, 124, NULL, NULL, 20845),
(60362, '1ggpB02', NULL, NULL, 125, NULL, NULL, 20845),
(60363, '2j3pA00', NULL, NULL, 134, NULL, NULL, 20845),
(60364, '1ggpB01', NULL, NULL, 129, NULL, NULL, 20845),
(60365, '2esuA00', NULL, NULL, 186, NULL, NULL, 20845),
(60366, '2yugA00', NULL, NULL, 155, NULL, NULL, 20845),
(60367, '4ekxB00', NULL, NULL, 157, NULL, NULL, 20845),
(60368, '1m2tB02', NULL, NULL, 124, NULL, NULL, 20845),
(60369, '1m2tB01', NULL, NULL, 139, NULL, NULL, 20845),
(60370, '3rsjB02', NULL, NULL, 186, NULL, NULL, 20845),
(60371, '3uj4A01', NULL, NULL, 232, NULL, NULL, 20845),
(60372, '2x2sC00', NULL, NULL, 153, NULL, NULL, 20845),
(60373, '3q7yA00', NULL, NULL, 132, NULL, NULL, 20845),
(60374, '3p6jA00', NULL, NULL, 142, NULL, NULL, 20845),
(60375, '1ilr100', NULL, NULL, 152, NULL, NULL, 20845),
(60376, '2ffuA02', NULL, NULL, 130, NULL, NULL, 20845),
(60377, '3aj6B01', NULL, NULL, 141, NULL, NULL, 20845),
(60378, '1md6A00', NULL, NULL, 154, NULL, NULL, 20845),
(60379, '3ffzA04', NULL, NULL, 178, NULL, NULL, 20845),
(60380, '1t9fA00', NULL, NULL, 187, NULL, NULL, 20845),
(60381, '5ec5A02', NULL, NULL, 139, NULL, NULL, 20845),
(60382, '4i4sA00', NULL, NULL, 146, NULL, NULL, 20845),
(60383, '3qr5A00', NULL, NULL, 185, NULL, NULL, 20845),
(60384, '4hr6C01', NULL, NULL, 136, NULL, NULL, 20845),
(60385, '4hr6C02', NULL, NULL, 128, NULL, NULL, 20845),
(60386, '3o44A03', NULL, NULL, 126, NULL, NULL, 20845),
(60387, '1ijtA00', NULL, NULL, 128, NULL, NULL, 20845),
(60388, '2zr1B01', NULL, NULL, 143, NULL, NULL, 20845),
(60389, '3c9zA01', NULL, NULL, 130, NULL, NULL, 20845),
(60390, '3iagC02', NULL, NULL, 158, NULL, NULL, 20845),
(60391, '2zr1B02', NULL, NULL, 124, NULL, NULL, 20845),
(60392, '3c9zA02', NULL, NULL, 125, NULL, NULL, 20845),
(60393, '5dvhA00', NULL, NULL, 193, NULL, NULL, 20845),
(60394, '3zx7A02', NULL, NULL, 146, NULL, NULL, 20845),
(60395, '4a7kA03', NULL, NULL, 165, NULL, NULL, 20845),
(60396, '2nyyA04', NULL, NULL, 195, NULL, NULL, 20845),
(60397, '4dckC00', NULL, NULL, 158, NULL, NULL, 20845),
(60398, '3o4dA00', NULL, NULL, 126, NULL, NULL, 20845),
(60399, '3tc2B00', NULL, NULL, 187, NULL, NULL, 20845),
(60400, '5e24E02', NULL, NULL, 158, NULL, NULL, 20845);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(60401, '4oeeA00', NULL, NULL, 135, NULL, NULL, 20845),
(60402, '2qn4A00', NULL, NULL, 178, NULL, NULL, 20845),
(60403, '3s8kB00', NULL, NULL, 184, NULL, NULL, 20845),
(60404, '3hsmB00', NULL, NULL, 213, NULL, NULL, 20845),
(60405, '3wmvB00', NULL, NULL, 153, NULL, NULL, 20845),
(60406, '1xg6A00', NULL, NULL, 187, NULL, NULL, 20845),
(60407, '5ehaA00', NULL, NULL, 153, NULL, NULL, 20845),
(60408, '2e4mA01', NULL, NULL, 141, NULL, NULL, 20845),
(60409, '1xhbA03', NULL, NULL, 134, NULL, NULL, 20845),
(60410, '3o49A00', NULL, NULL, 142, NULL, NULL, 20845),
(60411, '3pg0A00', NULL, NULL, 140, NULL, NULL, 20845),
(60412, '1jt7B00', NULL, NULL, 146, NULL, NULL, 20845),
(60413, '4xfsA00', NULL, NULL, 157, NULL, NULL, 20845),
(60414, '3q7xA00', NULL, NULL, 132, NULL, NULL, 20845),
(60415, '3h6rA00', NULL, NULL, 152, NULL, NULL, 20845),
(60416, '1barB00', NULL, NULL, 140, NULL, NULL, 20845),
(60417, '2vseA05', NULL, NULL, 146, NULL, NULL, 20845),
(60418, '1vclA01', NULL, NULL, 150, NULL, NULL, 20845),
(60419, '1dqgA00', NULL, NULL, 135, NULL, NULL, 20845),
(60420, '5yh4A00', NULL, NULL, 179, NULL, NULL, 20845),
(60421, '1vclA02', NULL, NULL, 134, NULL, NULL, 20845),
(60422, '4jp0A01', NULL, NULL, 143, NULL, NULL, 20845),
(60423, '1r8nA00', NULL, NULL, 185, NULL, NULL, 20845),
(60424, '2d7iA02', NULL, NULL, 150, NULL, NULL, 20845),
(60425, '2vxtI00', NULL, NULL, 157, NULL, NULL, 20845),
(60426, '3a07B00', NULL, NULL, 118, NULL, NULL, 20845),
(60427, '3jrrA00', NULL, NULL, 226, NULL, NULL, 20845),
(60428, '4izxA00', NULL, NULL, 140, NULL, NULL, 20845),
(60429, '2vseA03', NULL, NULL, 141, NULL, NULL, 20845),
(60430, '2vseA04', NULL, NULL, 143, NULL, NULL, 20845),
(60431, '4ow4A00', NULL, NULL, 123, NULL, NULL, 20845),
(60432, '2vseA02', NULL, NULL, 142, NULL, NULL, 20845),
(60433, '3snvA00', NULL, NULL, 125, NULL, NULL, 20845),
(60434, '4g9mB00', NULL, NULL, 143, NULL, NULL, 20845),
(60435, '1tfmB02', NULL, NULL, 120, NULL, NULL, 20845),
(60436, '3akhA02', NULL, NULL, 149, NULL, NULL, 20845),
(60437, '4i4oA00', NULL, NULL, 146, NULL, NULL, 20845),
(60438, '1ybiA01', NULL, NULL, 147, NULL, NULL, 20845),
(60439, '5uc6A00', NULL, NULL, 159, NULL, NULL, 20845),
(60440, '1ybiA02', NULL, NULL, 141, NULL, NULL, 20845),
(60441, '3r4sA02', NULL, NULL, 203, NULL, NULL, 20845),
(60442, '1nunA00', NULL, NULL, 145, NULL, NULL, 20845),
(60443, '2p39A00', NULL, NULL, 155, NULL, NULL, 20845),
(60444, '3hbwA00', NULL, NULL, 160, NULL, NULL, 20845),
(60445, '1qqlA00', NULL, NULL, 140, NULL, NULL, 20845),
(60446, '4x3aA00', NULL, NULL, 168, NULL, NULL, 20845),
(60447, '1fmmS00', NULL, NULL, 132, NULL, NULL, 20845),
(60448, '3brdA02', NULL, NULL, 162, NULL, NULL, 20845),
(60449, '1onkB01', NULL, NULL, 139, NULL, NULL, 20845),
(60450, '1onkB02', NULL, NULL, 124, NULL, NULL, 20845),
(60451, '5b2hA02', NULL, NULL, 144, NULL, NULL, 20845),
(60452, '4usoA00', NULL, NULL, 136, NULL, NULL, 20845),
(60453, '3aj6A02', NULL, NULL, 145, NULL, NULL, 20845),
(60454, '3malA00', NULL, NULL, 199, NULL, NULL, 20845),
(60455, '3zc8A00', NULL, NULL, 190, NULL, NULL, 20845),
(60456, '6f0oA02', NULL, NULL, 197, NULL, NULL, 20845),
(60457, '3e8lC00', NULL, NULL, 185, NULL, NULL, 20845),
(60458, '3vwcA00', NULL, NULL, 149, NULL, NULL, 20845),
(60459, '4l4hA02', NULL, NULL, 189, NULL, NULL, 20845),
(60460, '5v38B02', NULL, NULL, 197, NULL, NULL, 20845),
(60461, '8i1bA00', NULL, NULL, 152, NULL, NULL, 20845),
(60462, '1tieA00', NULL, NULL, 172, NULL, NULL, 20845),
(60463, '4i96A01', NULL, NULL, 182, NULL, NULL, 20845),
(60464, '1l2hA00', NULL, NULL, 153, NULL, NULL, 20845),
(60465, '1knmA00', NULL, NULL, 130, NULL, NULL, 20845),
(60466, '1jlxA01', NULL, NULL, 159, NULL, NULL, 20845),
(60467, '1jlxA02', NULL, NULL, 144, NULL, NULL, 20845),
(60468, '1hcdA00', NULL, NULL, 118, NULL, NULL, 20845),
(60469, '4j2kB00', NULL, NULL, 176, NULL, NULL, 20845),
(60470, '3oggA02', NULL, NULL, 189, NULL, NULL, 20845),
(60471, '2fdbN00', NULL, NULL, 164, NULL, NULL, 20845),
(60472, '1rzoB01', NULL, NULL, 138, NULL, NULL, 20845),
(60473, '1rzoB02', NULL, NULL, 124, NULL, NULL, 20845);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(60474, '5dssB00', NULL, NULL, 185, NULL, NULL, 20845),
(60475, '1upsA02', NULL, NULL, 135, NULL, NULL, 20845),
(60476, '3bx1C00', NULL, NULL, 181, NULL, NULL, 20845),
(60477, '1sr4A00', NULL, NULL, 167, NULL, NULL, 20845),
(60478, '3h6qA00', NULL, NULL, 169, NULL, NULL, 20845),
(60479, '2dryA00', NULL, NULL, 130, NULL, NULL, 20845),
(60480, '4cjmA00', NULL, NULL, 141, NULL, NULL, 20845),
(60481, '4eb2B02', NULL, NULL, 124, NULL, NULL, 20845),
(60482, '3v0aB04', NULL, NULL, 156, NULL, NULL, 20845),
(60483, '4iy9A02', NULL, NULL, 161, NULL, NULL, 20845),
(60484, '4owkE00', NULL, NULL, 138, NULL, NULL, 20845),
(60485, '5hpzA00', NULL, NULL, 179, NULL, NULL, 20845),
(60486, '3nbcA00', NULL, NULL, 148, NULL, NULL, 20845),
(60487, '3o3qC00', NULL, NULL, 140, NULL, NULL, 20845),
(60488, '3ojvA00', NULL, NULL, 136, NULL, NULL, 20845),
(60489, '2d1zA02', NULL, NULL, 122, NULL, NULL, 20845),
(60490, '5bowA00', NULL, NULL, 151, NULL, NULL, 20845),
(60491, '2mc2A00', NULL, NULL, 219, NULL, NULL, 20845),
(60492, '2vlcA04', NULL, NULL, 125, NULL, NULL, 20845),
(60493, '2vlcA03', NULL, NULL, 135, NULL, NULL, 20845),
(60494, '1avwB00', NULL, NULL, 177, NULL, NULL, 20845),
(60495, '3pokA00', NULL, NULL, 167, NULL, NULL, 20845),
(60496, '2f2fC00', NULL, NULL, 162, NULL, NULL, 20845),
(60497, '1q1uA00', NULL, NULL, 144, NULL, NULL, 20845),
(60498, '5mu9A01', NULL, NULL, 154, NULL, NULL, 20845),
(60499, '4xftA00', NULL, NULL, 157, NULL, NULL, 20845),
(60500, '1n4kA01', NULL, NULL, 180, NULL, NULL, 20845),
(60501, '1xzzA00', NULL, NULL, 225, NULL, NULL, 20845),
(60502, '4an7B00', NULL, NULL, 185, NULL, NULL, 20845),
(60503, '1hwmB02', NULL, NULL, 125, NULL, NULL, 20845),
(60504, '4jkxB02', NULL, NULL, 124, NULL, NULL, 20845),
(60505, '2aaiB02', NULL, NULL, 124, NULL, NULL, 20845),
(60506, '2aaiB01', NULL, NULL, 138, NULL, NULL, 20845),
(60507, '4i4qA00', NULL, NULL, 146, NULL, NULL, 20845),
(60508, '3kmvE00', NULL, NULL, 157, NULL, NULL, 20845),
(60509, '3p6iA00', NULL, NULL, 142, NULL, NULL, 20845),
(60510, '5muaB01', NULL, NULL, 148, NULL, NULL, 20845),
(60511, '4pc4A02', NULL, NULL, 163, NULL, NULL, 20845),
(60512, '3f1rA00', NULL, NULL, 160, NULL, NULL, 20845),
(60513, '4kc3A00', NULL, NULL, 159, NULL, NULL, 20845),
(60514, '3a21A04', NULL, NULL, 127, NULL, NULL, 20845),
(60515, '6f0pA02', NULL, NULL, 197, NULL, NULL, 20845),
(60516, '5xg5A00', NULL, NULL, 145, NULL, NULL, 20845),
(60517, '5bxrA03', NULL, NULL, 141, NULL, NULL, 20845),
(60518, '2y9fA00', NULL, NULL, 150, NULL, NULL, 20845),
(60519, '1ce7B02', NULL, NULL, 120, NULL, NULL, 20845),
(60520, '2dreA00', NULL, NULL, 180, NULL, NULL, 20845),
(60521, '3vsfA02', NULL, NULL, 140, NULL, NULL, 20845),
(60522, '4p0lA00', NULL, NULL, 154, NULL, NULL, 20845),
(60523, '1rg8A00', NULL, NULL, 146, NULL, NULL, 20845),
(60524, '1sr4C00', NULL, NULL, 166, NULL, NULL, 20845),
(60525, '3wa1A01', NULL, NULL, 160, NULL, NULL, 20845),
(60526, '4zotA00', NULL, NULL, 168, NULL, NULL, 20845),
(60527, '3vuoA04', NULL, NULL, 159, NULL, NULL, 20845),
(60528, '5f8sA00', NULL, NULL, 156, NULL, NULL, 20845),
(60529, '4izeA00', NULL, NULL, 152, NULL, NULL, 20845),
(60530, '4zktB04', NULL, NULL, 160, NULL, NULL, 20845),
(60531, '4oujA02', NULL, NULL, 152, NULL, NULL, 20845),
(60532, '4q9gA00', NULL, NULL, 146, NULL, NULL, 20845),
(60533, '4oujA01', NULL, NULL, 155, NULL, NULL, 20845),
(60534, '3pmeA02', NULL, NULL, 195, NULL, NULL, 20845),
(60535, '4lo0C00', NULL, NULL, 147, NULL, NULL, 20845),
(60536, '4gaiB00', NULL, NULL, 153, NULL, NULL, 20845),
(60537, '1oqlB02', NULL, NULL, 124, NULL, NULL, 20845),
(60538, '2gzbB00', NULL, NULL, 166, NULL, NULL, 20845),
(60539, '1hwnB01', NULL, NULL, 138, NULL, NULL, 20845),
(60540, '1a8dA02', NULL, NULL, 206, NULL, NULL, 20845),
(60541, '3n7lA02', NULL, NULL, 189, NULL, NULL, 20845),
(60542, '6i18A03', NULL, NULL, 125, NULL, NULL, 20845),
(60543, '6i18A04', NULL, NULL, 107, NULL, NULL, 20845),
(60544, '6i18A01', NULL, NULL, 138, NULL, NULL, 20845),
(60545, '6i18A02', NULL, NULL, 123, NULL, NULL, 20845),
(60546, '4za3B01', NULL, NULL, 134, NULL, NULL, 20845);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(60547, '4za3B02', NULL, NULL, 126, NULL, NULL, 20845),
(60548, '1ihkA00', NULL, NULL, 157, NULL, NULL, 20845),
(60549, '2e4mC00', NULL, NULL, 146, NULL, NULL, 20845),
(60550, '5xozA00', NULL, NULL, 189, NULL, NULL, 20845),
(60551, '3h6sE00', NULL, NULL, 152, NULL, NULL, 20845),
(60552, '4ihzA00', NULL, NULL, 165, NULL, NULL, 20845),
(60553, '1whsB02', NULL, NULL, 95, NULL, NULL, 20846),
(60554, '1gxsB02', NULL, NULL, 98, NULL, NULL, 20846),
(60555, '1vr9A02', NULL, NULL, 56, NULL, NULL, 20847),
(60556, '4dokA01', NULL, NULL, 155, NULL, NULL, 20848),
(60557, '5wl5A01', NULL, NULL, 162, NULL, NULL, 20848),
(60558, '4dolA01', NULL, NULL, 166, NULL, NULL, 20848),
(60559, '5wl7A01', NULL, NULL, 166, NULL, NULL, 20848),
(60560, '5yx3A01', NULL, NULL, 161, NULL, NULL, 20848),
(60561, '4dooA01', NULL, NULL, 151, NULL, NULL, 20848),
(60562, '5wkrA01', NULL, NULL, 163, NULL, NULL, 20848),
(60563, '4doiA01', NULL, NULL, 173, NULL, NULL, 20848),
(60564, '5wl4A01', NULL, NULL, 163, NULL, NULL, 20848),
(60565, '1eyqA02', NULL, NULL, 162, NULL, NULL, 20848),
(60566, '3zn6A01', NULL, NULL, 139, NULL, NULL, 20849),
(60567, '3vkgB06', NULL, NULL, 245, NULL, NULL, 20850),
(60568, '4akgA11', NULL, NULL, 307, NULL, NULL, 20850),
(60569, '3vkhA11', NULL, NULL, 342, NULL, NULL, 20850),
(60570, '3vkhB12', NULL, NULL, 144, NULL, NULL, 20850),
(60571, '3vkgA11', NULL, NULL, 114, NULL, NULL, 20850),
(60572, '1bc9A01', NULL, NULL, 79, NULL, NULL, 20851),
(60573, '4a4pA01', NULL, NULL, 79, NULL, NULL, 20851),
(60574, '1ku1A01', NULL, NULL, 74, NULL, NULL, 20851),
(60575, '2r09A01', NULL, NULL, 78, NULL, NULL, 20851),
(60576, '4c0aA01', NULL, NULL, 96, NULL, NULL, 20851),
(60577, '1re0B01', NULL, NULL, 80, NULL, NULL, 20851),
(60578, '3ltlA01', NULL, NULL, 92, NULL, NULL, 20851),
(60579, '4jxhA01', NULL, NULL, 79, NULL, NULL, 20851),
(60580, '3ltlB01', NULL, NULL, 73, NULL, NULL, 20851),
(60581, '4d7rA01', NULL, NULL, 82, NULL, NULL, 20851),
(60582, '1xszA01', NULL, NULL, 84, NULL, NULL, 20851),
(60583, '4oiyA01', NULL, NULL, 83, NULL, NULL, 20851),
(60584, '3swvA01', NULL, NULL, 83, NULL, NULL, 20851),
(60585, '2afrA00', NULL, NULL, 231, NULL, NULL, 20852),
(60586, '4au1A00', NULL, NULL, 208, NULL, NULL, 20852),
(60587, '1ou0B00', NULL, NULL, 207, NULL, NULL, 20852),
(60588, '1v9cB00', NULL, NULL, 218, NULL, NULL, 20852),
(60589, '1f2vA00', NULL, NULL, 219, NULL, NULL, 20852),
(60590, '3e7dA00', NULL, NULL, 212, NULL, NULL, 20852),
(60591, '3zpeA00', NULL, NULL, 138, NULL, NULL, 20853),
(60592, '2d6fC03', NULL, NULL, 60, NULL, NULL, 20854),
(60593, '1zq1C03', NULL, NULL, 57, NULL, NULL, 20854),
(60594, '3u28B01', NULL, NULL, 30, NULL, NULL, 20855),
(60595, '3r90A00', NULL, NULL, 188, NULL, NULL, 20856),
(60596, '2q07A02', NULL, NULL, 65, NULL, NULL, 20857),
(60597, '1iq8A03', NULL, NULL, 74, NULL, NULL, 20857),
(60598, '2gjvA00', NULL, NULL, 136, NULL, NULL, 20858),
(60599, '3n40P01', NULL, NULL, 56, NULL, NULL, 20859),
(60600, '6immR00', NULL, NULL, 69, NULL, NULL, 20859),
(60601, '1ow1A00', NULL, NULL, 170, NULL, NULL, 20860),
(60602, '1jeyA02', NULL, NULL, 126, NULL, NULL, 20860),
(60603, '1jeyB02', NULL, NULL, 201, NULL, NULL, 20860),
(60604, '2e0gA00', NULL, NULL, 107, NULL, NULL, 20861),
(60605, '4tpsD00', NULL, NULL, 85, NULL, NULL, 20861),
(60606, '2wp0D00', NULL, NULL, 91, NULL, NULL, 20861),
(60607, '1vz0C02', NULL, NULL, 113, NULL, NULL, 20862),
(60608, '3mkyP00', NULL, NULL, 114, NULL, NULL, 20862),
(60609, '3vwbA00', NULL, NULL, 120, NULL, NULL, 20862),
(60610, '2dgmC03', NULL, NULL, 107, NULL, NULL, 20863),
(60611, '3hbxA03', NULL, NULL, 88, NULL, NULL, 20863),
(60612, '3wryA01', NULL, NULL, 201, NULL, NULL, 20864),
(60613, '2jopA00', NULL, NULL, 110, NULL, NULL, 20865),
(60614, '5a2eA03', NULL, NULL, 110, NULL, NULL, 20865),
(60615, '6h8mA00', NULL, NULL, 114, NULL, NULL, 20865),
(60616, '1by2A00', NULL, NULL, 119, NULL, NULL, 20865),
(60617, '2oyaA00', NULL, NULL, 102, NULL, NULL, 20865),
(60618, '5a2eA02', NULL, NULL, 104, NULL, NULL, 20865),
(60619, '2ja4A00', NULL, NULL, 101, NULL, NULL, 20865),
(60620, '2xrcB03', NULL, NULL, 106, NULL, NULL, 20865);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(60621, '1z8gA01', NULL, NULL, 107, NULL, NULL, 20865),
(60622, '5hrjA00', NULL, NULL, 109, NULL, NULL, 20865),
(60623, '3ub1A01', NULL, NULL, 144, NULL, NULL, 20866),
(60624, '3ub1D02', NULL, NULL, 117, NULL, NULL, 20866),
(60625, '4ec6A00', NULL, NULL, 109, NULL, NULL, 20866),
(60626, '6amyA01', NULL, NULL, 78, NULL, NULL, 20867),
(60627, '3eg4A01', NULL, NULL, 70, NULL, NULL, 20867),
(60628, '3gosA01', NULL, NULL, 72, NULL, NULL, 20867),
(60629, '1kgqA01', NULL, NULL, 70, NULL, NULL, 20867),
(60630, '3bxyA01', NULL, NULL, 81, NULL, NULL, 20867),
(60631, '3tk8B01', NULL, NULL, 70, NULL, NULL, 20867),
(60632, '5grmA02', NULL, NULL, 147, NULL, NULL, 20868),
(60633, '6mx3B02', NULL, NULL, 147, NULL, NULL, 20868),
(60634, '5cflA02', NULL, NULL, 147, NULL, NULL, 20868),
(60635, '4qxoA02', NULL, NULL, 147, NULL, NULL, 20868),
(60636, '4lojA02', NULL, NULL, 147, NULL, NULL, 20868),
(60637, '5ez3A03', NULL, NULL, 155, NULL, NULL, 20869),
(60638, '3djlA03', NULL, NULL, 156, NULL, NULL, 20869),
(60639, '2q18X01', NULL, NULL, 70, NULL, NULL, 20870),
(60640, '1d2tA00', NULL, NULL, 231, NULL, NULL, 20871),
(60641, '3bb0A01', NULL, NULL, 178, NULL, NULL, 20871),
(60642, '4px7A00', NULL, NULL, 262, NULL, NULL, 20871),
(60643, '2ipbA00', NULL, NULL, 230, NULL, NULL, 20871),
(60644, '2c3aA00', NULL, NULL, 286, NULL, NULL, 20872),
(60645, '2c36A00', NULL, NULL, 285, NULL, NULL, 20872),
(60646, '3w9eC00', NULL, NULL, 229, NULL, NULL, 20872),
(60647, '1l2gA00', NULL, NULL, 257, NULL, NULL, 20872),
(60648, '2omzB00', NULL, NULL, 105, NULL, NULL, 20873),
(60649, '1l3wA01', NULL, NULL, 107, NULL, NULL, 20873),
(60650, '1l3wA04', NULL, NULL, 106, NULL, NULL, 20873),
(60651, '5dzwA04', NULL, NULL, 114, NULL, NULL, 20873),
(60652, '5dzwA03', NULL, NULL, 109, NULL, NULL, 20873),
(60653, '5szmA04', NULL, NULL, 114, NULL, NULL, 20873),
(60654, '1l3wA05', NULL, NULL, 107, NULL, NULL, 20873),
(60655, '1l3wA02', NULL, NULL, 112, NULL, NULL, 20873),
(60656, '1l3wA03', NULL, NULL, 114, NULL, NULL, 20873),
(60657, '3k6iA00', NULL, NULL, 99, NULL, NULL, 20873),
(60658, '5dzwA02', NULL, NULL, 107, NULL, NULL, 20873),
(60659, '5kj4C02', NULL, NULL, 122, NULL, NULL, 20873),
(60660, '5dzwA01', NULL, NULL, 99, NULL, NULL, 20873),
(60661, '5cyxA02', NULL, NULL, 118, NULL, NULL, 20873),
(60662, '5cyxA03', NULL, NULL, 121, NULL, NULL, 20873),
(60663, '5cyxA01', NULL, NULL, 88, NULL, NULL, 20873),
(60664, '5i8dA01', NULL, NULL, 116, NULL, NULL, 20873),
(60665, '5co1B02', NULL, NULL, 114, NULL, NULL, 20873),
(60666, '3k6dA00', NULL, NULL, 99, NULL, NULL, 20873),
(60667, '5szpA03', NULL, NULL, 104, NULL, NULL, 20873),
(60668, '5szpA04', NULL, NULL, 114, NULL, NULL, 20873),
(60669, '6cgbA01', NULL, NULL, 99, NULL, NULL, 20873),
(60670, '3ppeA02', NULL, NULL, 106, NULL, NULL, 20873),
(60671, '2v37A00', NULL, NULL, 105, NULL, NULL, 20873),
(60672, '3ppeA01', NULL, NULL, 97, NULL, NULL, 20873),
(60673, '2ystA01', NULL, NULL, 105, NULL, NULL, 20873),
(60674, '3q2wA03', NULL, NULL, 119, NULL, NULL, 20873),
(60675, '2a4eA02', NULL, NULL, 115, NULL, NULL, 20873),
(60676, '3q2wA05', NULL, NULL, 101, NULL, NULL, 20873),
(60677, '3q2wA04', NULL, NULL, 105, NULL, NULL, 20873),
(60678, '3lndB02', NULL, NULL, 108, NULL, NULL, 20873),
(60679, '5wj8A02', NULL, NULL, 120, NULL, NULL, 20873),
(60680, '5wj8A01', NULL, NULL, 105, NULL, NULL, 20873),
(60681, '5czrA02', NULL, NULL, 127, NULL, NULL, 20873),
(60682, '5szpA01', NULL, NULL, 98, NULL, NULL, 20873),
(60683, '5szpA02', NULL, NULL, 107, NULL, NULL, 20873),
(60684, '4zpsA02', NULL, NULL, 108, NULL, NULL, 20873),
(60685, '4zpsA03', NULL, NULL, 116, NULL, NULL, 20873),
(60686, '4nqqD02', NULL, NULL, 112, NULL, NULL, 20873),
(60687, '3q2vB03', NULL, NULL, 114, NULL, NULL, 20873),
(60688, '4zpsA01', NULL, NULL, 97, NULL, NULL, 20873),
(60689, '5tpkA01', NULL, NULL, 104, NULL, NULL, 20873),
(60690, '5tpkA02', NULL, NULL, 114, NULL, NULL, 20873),
(60691, '1wyjA01', NULL, NULL, 95, NULL, NULL, 20873),
(60692, '3k5sA02', NULL, NULL, 117, NULL, NULL, 20873),
(60693, '5co1C01', NULL, NULL, 105, NULL, NULL, 20873);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(60694, '3mvsA01', NULL, NULL, 102, NULL, NULL, 20873),
(60695, '3mvsA02', NULL, NULL, 108, NULL, NULL, 20873),
(60696, '5vh2A01', NULL, NULL, 106, NULL, NULL, 20873),
(60697, '6cg6A01', NULL, NULL, 99, NULL, NULL, 20873),
(60698, '2x2uA02', NULL, NULL, 108, NULL, NULL, 20873),
(60699, '2x2uA01', NULL, NULL, 123, NULL, NULL, 20873),
(60700, '5dzxB01', NULL, NULL, 100, NULL, NULL, 20873),
(60701, '1zxkA01', NULL, NULL, 94, NULL, NULL, 20873),
(60702, '5vh2A02', NULL, NULL, 114, NULL, NULL, 20873),
(60703, '1zvnA01', NULL, NULL, 94, NULL, NULL, 20873),
(60704, '4nuqA02', NULL, NULL, 114, NULL, NULL, 20873),
(60705, '4zi8A03', NULL, NULL, 108, NULL, NULL, 20873),
(60706, '4zi8A02', NULL, NULL, 108, NULL, NULL, 20873),
(60707, '4apxB02', NULL, NULL, 122, NULL, NULL, 20873),
(60708, '3ubhA04', NULL, NULL, 99, NULL, NULL, 20873),
(60709, '5dzyB01', NULL, NULL, 100, NULL, NULL, 20873),
(60710, '3q2vA04', NULL, NULL, 106, NULL, NULL, 20873),
(60711, '3q2vA05', NULL, NULL, 114, NULL, NULL, 20873),
(60712, '5kj4A01', NULL, NULL, 112, NULL, NULL, 20873),
(60713, '4nqqA01', NULL, NULL, 99, NULL, NULL, 20873),
(60714, '4zpmA01', NULL, NULL, 99, NULL, NULL, 20873),
(60715, '1op4A01', NULL, NULL, 89, NULL, NULL, 20873),
(60716, '5dzvB05', NULL, NULL, 120, NULL, NULL, 20873),
(60717, '5dzxA04', NULL, NULL, 113, NULL, NULL, 20873),
(60718, '5dzvB02', NULL, NULL, 110, NULL, NULL, 20873),
(60719, '6cgsA01', NULL, NULL, 99, NULL, NULL, 20873),
(60720, '5iu9A02', NULL, NULL, 107, NULL, NULL, 20873),
(60721, '5dzxA03', NULL, NULL, 105, NULL, NULL, 20873),
(60722, '5dzxA02', NULL, NULL, 107, NULL, NULL, 20873),
(60723, '4zpmA03', NULL, NULL, 119, NULL, NULL, 20873),
(60724, '5t9tA05', NULL, NULL, 120, NULL, NULL, 20873),
(60725, '4zi8B01', NULL, NULL, 118, NULL, NULL, 20873),
(60726, '5t9tA02', NULL, NULL, 110, NULL, NULL, 20873),
(60727, '5t9tA01', NULL, NULL, 95, NULL, NULL, 20873),
(60728, '5t9tA04', NULL, NULL, 106, NULL, NULL, 20873),
(60729, '5t9tA03', NULL, NULL, 104, NULL, NULL, 20873),
(60730, '6cg7A01', NULL, NULL, 99, NULL, NULL, 20873),
(60731, '5vt8D02', NULL, NULL, 119, NULL, NULL, 20873),
(60732, '3ubfA02', NULL, NULL, 113, NULL, NULL, 20873),
(60733, '3ubfA03', NULL, NULL, 106, NULL, NULL, 20873),
(60734, '5dzyA04', NULL, NULL, 114, NULL, NULL, 20873),
(60735, '5dzyA02', NULL, NULL, 107, NULL, NULL, 20873),
(60736, '4zplA03', NULL, NULL, 116, NULL, NULL, 20873),
(60737, '4zpoA01', NULL, NULL, 97, NULL, NULL, 20873),
(60738, '4zt1A02', NULL, NULL, 112, NULL, NULL, 20873),
(60739, '4zpoA02', NULL, NULL, 108, NULL, NULL, 20873),
(60740, '4zplA02', NULL, NULL, 108, NULL, NULL, 20873),
(60741, '4zpoA03', NULL, NULL, 119, NULL, NULL, 20873),
(60742, '4zplA01', NULL, NULL, 98, NULL, NULL, 20873),
(60743, '3qrbA02', NULL, NULL, 112, NULL, NULL, 20873),
(60744, '3qrbA01', NULL, NULL, 99, NULL, NULL, 20873),
(60745, '2ee0A01', NULL, NULL, 100, NULL, NULL, 20873),
(60746, '5tflB02', NULL, NULL, 123, NULL, NULL, 20873),
(60747, '4ak1A03', NULL, NULL, 102, NULL, NULL, 20873),
(60748, '4zi9A02', NULL, NULL, 108, NULL, NULL, 20873),
(60749, '4zi9A01', NULL, NULL, 99, NULL, NULL, 20873),
(60750, '4zi9A03', NULL, NULL, 111, NULL, NULL, 20873),
(60751, '2yqgA00', NULL, NULL, 123, NULL, NULL, 20873),
(60752, '5t4nB03', NULL, NULL, 105, NULL, NULL, 20873),
(60753, '5sznA02', NULL, NULL, 110, NULL, NULL, 20873),
(60754, '5sznA01', NULL, NULL, 97, NULL, NULL, 20873),
(60755, '5sznA04', NULL, NULL, 106, NULL, NULL, 20873),
(60756, '2omwB00', NULL, NULL, 105, NULL, NULL, 20873),
(60757, '5sznA05', NULL, NULL, 120, NULL, NULL, 20873),
(60758, '3ubgB01', NULL, NULL, 97, NULL, NULL, 20873),
(60759, '5dzvA03', NULL, NULL, 107, NULL, NULL, 20873),
(60760, '3k6fA00', NULL, NULL, 100, NULL, NULL, 20873),
(60761, '5dzvA04', NULL, NULL, 106, NULL, NULL, 20873),
(60762, '6cguA01', NULL, NULL, 99, NULL, NULL, 20873),
(60763, '4zpmB02', NULL, NULL, 108, NULL, NULL, 20873),
(60764, '1nciA00', NULL, NULL, 110, NULL, NULL, 20873),
(60765, '6bx7A02', NULL, NULL, 110, NULL, NULL, 20873),
(60766, '5k8rA01', NULL, NULL, 98, NULL, NULL, 20873);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(60767, '5k8rA02', NULL, NULL, 107, NULL, NULL, 20873),
(60768, '6bx7A03', NULL, NULL, 108, NULL, NULL, 20873),
(60769, '4zmyA02', NULL, NULL, 112, NULL, NULL, 20873),
(60770, '6bx7A04', NULL, NULL, 130, NULL, NULL, 20873),
(60771, '3k5rA02', NULL, NULL, 117, NULL, NULL, 20873),
(60772, '5czrB01', NULL, NULL, 98, NULL, NULL, 20873),
(60773, '4zmyA01', NULL, NULL, 99, NULL, NULL, 20873),
(60774, '5vt8C01', NULL, NULL, 102, NULL, NULL, 20873),
(60775, '5wjmA02', NULL, NULL, 118, NULL, NULL, 20873),
(60776, '5k8rA03', NULL, NULL, 106, NULL, NULL, 20873),
(60777, '5wjmA01', NULL, NULL, 107, NULL, NULL, 20873),
(60778, '5k8rA04', NULL, NULL, 103, NULL, NULL, 20873),
(60779, '1eboC00', NULL, NULL, 113, NULL, NULL, 20874),
(60780, '4jf3A00', NULL, NULL, 104, NULL, NULL, 20874),
(60781, '1y66A00', NULL, NULL, 52, NULL, NULL, 20874),
(60782, '5ka5A00', NULL, NULL, 91, NULL, NULL, 20874),
(60783, '1envA00', NULL, NULL, 123, NULL, NULL, 20874),
(60784, '1jq0A00', NULL, NULL, 84, NULL, NULL, 20874),
(60785, '1qbzA00', NULL, NULL, 123, NULL, NULL, 20874),
(60786, '2p6jA00', NULL, NULL, 52, NULL, NULL, 20874),
(60787, '3wfvA00', NULL, NULL, 86, NULL, NULL, 20874),
(60788, '3b77C02', NULL, NULL, 89, NULL, NULL, 20874),
(60789, '5cn0A00', NULL, NULL, 73, NULL, NULL, 20874),
(60790, '1jpxA00', NULL, NULL, 84, NULL, NULL, 20874),
(60791, '5hfmA00', NULL, NULL, 82, NULL, NULL, 20874),
(60792, '1f23D00', NULL, NULL, 76, NULL, NULL, 20874),
(60793, '1y4mA00', NULL, NULL, 53, NULL, NULL, 20874),
(60794, '3cp1A00', NULL, NULL, 86, NULL, NULL, 20874),
(60795, '3p30A00', NULL, NULL, 96, NULL, NULL, 20874),
(60796, '4jgsE00', NULL, NULL, 105, NULL, NULL, 20874),
(60797, '3k9aA00', NULL, NULL, 108, NULL, NULL, 20874),
(60798, '2lp7A00', NULL, NULL, 59, NULL, NULL, 20874),
(60799, '5ha6B00', NULL, NULL, 94, NULL, NULL, 20874),
(60800, '2eboA00', NULL, NULL, 74, NULL, NULL, 20874),
(60801, '1mg1A03', NULL, NULL, 84, NULL, NULL, 20874),
(60802, '4e2lD02', NULL, NULL, 107, NULL, NULL, 20874),
(60803, '4g2kC00', NULL, NULL, 109, NULL, NULL, 20874),
(60804, '3mhsC01', NULL, NULL, 42, NULL, NULL, 20874),
(60805, '1mofA00', NULL, NULL, 55, NULL, NULL, 20874),
(60806, '3gwoA00', NULL, NULL, 54, NULL, NULL, 20874),
(60807, '5h9cA00', NULL, NULL, 78, NULL, NULL, 20874),
(60808, '2x7rB00', NULL, NULL, 45, NULL, NULL, 20874),
(60809, '1qr9A00', NULL, NULL, 68, NULL, NULL, 20874),
(60810, '4n21E00', NULL, NULL, 130, NULL, NULL, 20874),
(60811, '1y8qD02', NULL, NULL, 215, NULL, NULL, 20875),
(60812, '3kydB02', NULL, NULL, 174, NULL, NULL, 20875),
(60813, '1tt5B02', NULL, NULL, 77, NULL, NULL, 20875),
(60814, '4dx8K01', NULL, NULL, 92, NULL, NULL, 20876),
(60815, '4dx8J01', NULL, NULL, 156, NULL, NULL, 20876),
(60816, '1r8iA00', NULL, NULL, 194, NULL, NULL, 20877),
(60817, '2cq7A00', NULL, NULL, 49, NULL, NULL, 20878),
(60818, '1wvrA02', NULL, NULL, 41, NULL, NULL, 20878),
(60819, '2a05A00', NULL, NULL, 57, NULL, NULL, 20878),
(60820, '2ddbA02', NULL, NULL, 41, NULL, NULL, 20878),
(60821, '1xtaA02', NULL, NULL, 41, NULL, NULL, 20878),
(60822, '1rc9A02', NULL, NULL, 41, NULL, NULL, 20878),
(60823, '2kgyA00', NULL, NULL, 102, NULL, NULL, 20879),
(60824, '2lraA00', NULL, NULL, 81, NULL, NULL, 20879),
(60825, '4bbyA05', NULL, NULL, 108, NULL, NULL, 20880),
(60826, '6c6zA02', NULL, NULL, 67, NULL, NULL, 20881),
(60827, '4qzvB02', NULL, NULL, 68, NULL, NULL, 20881),
(60828, '2aegA03', NULL, NULL, 31, NULL, NULL, 20882),
(60829, '1lfpA01', NULL, NULL, 64, NULL, NULL, 20883),
(60830, '3hphB01', NULL, NULL, 58, NULL, NULL, 20883),
(60831, '4f3qA01', NULL, NULL, 84, NULL, NULL, 20883),
(60832, '5cz2G00', NULL, NULL, 41, NULL, NULL, 20883),
(60833, '3hphD01', NULL, NULL, 43, NULL, NULL, 20883),
(60834, '1k6yA01', NULL, NULL, 46, NULL, NULL, 20883),
(60835, '3f9kA01', NULL, NULL, 56, NULL, NULL, 20883),
(60836, '1mw7A01', NULL, NULL, 58, NULL, NULL, 20883),
(60837, '1konA01', NULL, NULL, 84, NULL, NULL, 20883),
(60838, '1k4tA01', NULL, NULL, 143, NULL, NULL, 20884),
(60839, '2b9sA01', NULL, NULL, 128, NULL, NULL, 20884),
(60840, '1oisA02', NULL, NULL, 128, NULL, NULL, 20884);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(60841, '1a31A02', NULL, NULL, 111, NULL, NULL, 20884),
(60842, '5b7wA02', NULL, NULL, 90, NULL, NULL, 20885),
(60843, '1in0A02', NULL, NULL, 92, NULL, NULL, 20885),
(60844, '3i3lA02', NULL, NULL, 125, NULL, NULL, 20886),
(60845, '1ciyA02', NULL, NULL, 196, NULL, NULL, 20887),
(60846, '4arxA03', NULL, NULL, 197, NULL, NULL, 20887),
(60847, '1ji6A03', NULL, NULL, 199, NULL, NULL, 20887),
(60848, '3eb7A03', NULL, NULL, 197, NULL, NULL, 20887),
(60849, '2c9kA03', NULL, NULL, 199, NULL, NULL, 20887),
(60850, '1i5pA03', NULL, NULL, 198, NULL, NULL, 20887),
(60851, '1w99A03', NULL, NULL, 180, NULL, NULL, 20887),
(60852, '1dlcA03', NULL, NULL, 197, NULL, NULL, 20887),
(60853, '1wdiA01', NULL, NULL, 231, NULL, NULL, 20888),
(60854, '1vkyB01', NULL, NULL, 237, NULL, NULL, 20888),
(60855, '1yy3A01', NULL, NULL, 218, NULL, NULL, 20888),
(60856, '4glkA00', NULL, NULL, 172, NULL, NULL, 20889),
(60857, '2xdbA00', NULL, NULL, 171, NULL, NULL, 20889),
(60858, '4atoA00', NULL, NULL, 172, NULL, NULL, 20889),
(60859, '4rmoA00', NULL, NULL, 155, NULL, NULL, 20889),
(60860, '3wttB00', NULL, NULL, 142, NULL, NULL, 20890),
(60861, '1e50B00', NULL, NULL, 134, NULL, NULL, 20890),
(60862, '1ci4A00', NULL, NULL, 89, NULL, NULL, 20891),
(60863, '6ghdA00', NULL, NULL, 88, NULL, NULL, 20891),
(60864, '3fyfA00', NULL, NULL, 176, NULL, NULL, 20892),
(60865, '4gdzA00', NULL, NULL, 149, NULL, NULL, 20892),
(60866, '1iq0A03', NULL, NULL, 116, NULL, NULL, 20893),
(60867, '2x1lA03', NULL, NULL, 175, NULL, NULL, 20893),
(60868, '3fnrA01', NULL, NULL, 157, NULL, NULL, 20893),
(60869, '3kflA03', NULL, NULL, 186, NULL, NULL, 20893),
(60870, '3ziuA01', NULL, NULL, 251, NULL, NULL, 20893),
(60871, '1qu3A04', NULL, NULL, 150, NULL, NULL, 20893),
(60872, '2zueA03', NULL, NULL, 119, NULL, NULL, 20893),
(60873, '2v0cA04', NULL, NULL, 159, NULL, NULL, 20893),
(60874, '4py2A03', NULL, NULL, 176, NULL, NULL, 20893),
(60875, '1f7uA02', NULL, NULL, 125, NULL, NULL, 20893),
(60876, '1ileA03', NULL, NULL, 191, NULL, NULL, 20893),
(60877, '1rqgA04', NULL, NULL, 151, NULL, NULL, 20893),
(60878, '2d5bA03', NULL, NULL, 164, NULL, NULL, 20893),
(60879, '5urbA03', NULL, NULL, 139, NULL, NULL, 20893),
(60880, '1wkbA03', NULL, NULL, 121, NULL, NULL, 20893),
(60881, '1gaxA02', NULL, NULL, 227, NULL, NULL, 20893),
(60882, '5xgqA03', NULL, NULL, 189, NULL, NULL, 20893),
(60883, '4qreA03', NULL, NULL, 173, NULL, NULL, 20893),
(60884, '3ziuB01', NULL, NULL, 189, NULL, NULL, 20893),
(60885, '4mw0B03', NULL, NULL, 180, NULL, NULL, 20893),
(60886, '3zgzA04', NULL, NULL, 177, NULL, NULL, 20893),
(60887, '3h99A03', NULL, NULL, 138, NULL, NULL, 20893),
(60888, '2csxA03', NULL, NULL, 163, NULL, NULL, 20893),
(60889, '4xwmA02', NULL, NULL, 133, NULL, NULL, 20894),
(60890, '5yj6A02', NULL, NULL, 130, NULL, NULL, 20894),
(60891, '4jjjA02', NULL, NULL, 136, NULL, NULL, 20894),
(60892, '4l6xA02', NULL, NULL, 132, NULL, NULL, 20894),
(60893, '1g9gA02', NULL, NULL, 136, NULL, NULL, 20894),
(60894, '4fusA02', NULL, NULL, 135, NULL, NULL, 20894),
(60895, '5bv9A02', NULL, NULL, 132, NULL, NULL, 20894),
(60896, '5ghrD00', NULL, NULL, 56, NULL, NULL, 20895),
(60897, '3anwA02', NULL, NULL, 60, NULL, NULL, 20895),
(60898, '2e9xB01', NULL, NULL, 66, NULL, NULL, 20895),
(60899, '5ghrB00', NULL, NULL, 55, NULL, NULL, 20895),
(60900, '3qr8A02', NULL, NULL, 73, NULL, NULL, 20896),
(60901, '5jm6A02', NULL, NULL, 152, NULL, NULL, 20897),
(60902, '4emeD02', NULL, NULL, 139, NULL, NULL, 20897),
(60903, '3wt4A02', NULL, NULL, 133, NULL, NULL, 20897),
(60904, '4dyoA02', NULL, NULL, 149, NULL, NULL, 20897),
(60905, '5jgfA02', NULL, NULL, 150, NULL, NULL, 20897),
(60906, '3vatA02', NULL, NULL, 149, NULL, NULL, 20897),
(60907, '1y7eA02', NULL, NULL, 138, NULL, NULL, 20897),
(60908, '2gljA02', NULL, NULL, 138, NULL, NULL, 20897),
(60909, '2glfA02', NULL, NULL, 135, NULL, NULL, 20897),
(60910, '3kp1E02', NULL, NULL, 77, NULL, NULL, 20898),
(60911, '3oetD03', NULL, NULL, 86, NULL, NULL, 20899),
(60912, '2o4cA03', NULL, NULL, 88, NULL, NULL, 20899),
(60913, '5dt9A03', NULL, NULL, 88, NULL, NULL, 20899); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(60914, '1fzdA02', NULL, NULL, 86, NULL, NULL, 20900),
(60915, '4m7hA02', NULL, NULL, 73, NULL, NULL, 20900),
(60916, '1m1jC02', NULL, NULL, 94, NULL, NULL, 20900),
(60917, '6qnvA02', NULL, NULL, 70, NULL, NULL, 20900),
(60918, '2wnpF02', NULL, NULL, 73, NULL, NULL, 20900),
(60919, '2fibA02', NULL, NULL, 94, NULL, NULL, 20900),
(60920, '2j1gB02', NULL, NULL, 73, NULL, NULL, 20900),
(60921, '4jzcA02', NULL, NULL, 75, NULL, NULL, 20900),
(60922, '6eubA02', NULL, NULL, 77, NULL, NULL, 20900),
(60923, '4epuA02', NULL, NULL, 75, NULL, NULL, 20900),
(60924, '1lwuC02', NULL, NULL, 94, NULL, NULL, 20900),
(60925, '1re3B02', NULL, NULL, 90, NULL, NULL, 20900),
(60926, '1lwuB02', NULL, NULL, 99, NULL, NULL, 20900),
(60927, '1jc9A02', NULL, NULL, 73, NULL, NULL, 20900),
(60928, '2j5zA02', NULL, NULL, 73, NULL, NULL, 20900),
(60929, '1m1jB02', NULL, NULL, 99, NULL, NULL, 20900),
(60930, '1z3uA02', NULL, NULL, 75, NULL, NULL, 20900),
(60931, '3bh1A01', NULL, NULL, 244, NULL, NULL, 20901),
(60932, '4m3oA00', NULL, NULL, 157, NULL, NULL, 20902),
(60933, '5c2yB00', NULL, NULL, 183, NULL, NULL, 20902),
(60934, '1gl9B01', NULL, NULL, 73, NULL, NULL, 20903),
(60935, '1gkuB01', NULL, NULL, 58, NULL, NULL, 20903),
(60936, '3v96A01', NULL, NULL, 91, NULL, NULL, 20904),
(60937, '2e2dC01', NULL, NULL, 85, NULL, NULL, 20904),
(60938, '1rm6A03', NULL, NULL, 132, NULL, NULL, 20905),
(60939, '1rm6A01', NULL, NULL, 119, NULL, NULL, 20905),
(60940, '1rm6A05', NULL, NULL, 173, NULL, NULL, 20905),
(60941, '3an1B08', NULL, NULL, 157, NULL, NULL, 20905),
(60942, '3hrdB01', NULL, NULL, 164, NULL, NULL, 20905),
(60943, '3hrdB02', NULL, NULL, 149, NULL, NULL, 20905),
(60944, '2e1qC10', NULL, NULL, 128, NULL, NULL, 20905),
(60945, '1n62B05', NULL, NULL, 97, NULL, NULL, 20905),
(60946, '1n62B04', NULL, NULL, 254, NULL, NULL, 20905),
(60947, '1n62B03', NULL, NULL, 166, NULL, NULL, 20905),
(60948, '1n62B02', NULL, NULL, 145, NULL, NULL, 20905),
(60949, '2e1qC06', NULL, NULL, 286, NULL, NULL, 20905),
(60950, '2e3tB06', NULL, NULL, 227, NULL, NULL, 20905),
(60951, '3nvwC02', NULL, NULL, 170, NULL, NULL, 20905),
(60952, '3nvwC03', NULL, NULL, 96, NULL, NULL, 20905),
(60953, '3nvwC05', NULL, NULL, 140, NULL, NULL, 20905),
(60954, '3zyvB08', NULL, NULL, 159, NULL, NULL, 20905),
(60955, '2e1qC09', NULL, NULL, 96, NULL, NULL, 20905),
(60956, '2e1qC08', NULL, NULL, 170, NULL, NULL, 20905),
(60957, '1ffvB05', NULL, NULL, 97, NULL, NULL, 20905),
(60958, '1ffvB04', NULL, NULL, 198, NULL, NULL, 20905),
(60959, '2w3sB02', NULL, NULL, 177, NULL, NULL, 20905),
(60960, '1ffvB03', NULL, NULL, 166, NULL, NULL, 20905),
(60961, '4usaA06', NULL, NULL, 201, NULL, NULL, 20905),
(60962, '4usaA07', NULL, NULL, 126, NULL, NULL, 20905),
(60963, '4zohA05', NULL, NULL, 150, NULL, NULL, 20905),
(60964, '4zohA04', NULL, NULL, 172, NULL, NULL, 20905),
(60965, '4usaA04', NULL, NULL, 157, NULL, NULL, 20905),
(60966, '4zohA03', NULL, NULL, 93, NULL, NULL, 20905),
(60967, '4zohA02', NULL, NULL, 133, NULL, NULL, 20905),
(60968, '4usaA05', NULL, NULL, 93, NULL, NULL, 20905),
(60969, '1dgjA07', NULL, NULL, 200, NULL, NULL, 20905),
(60970, '1dgjA05', NULL, NULL, 94, NULL, NULL, 20905),
(60971, '1dgjA06', NULL, NULL, 125, NULL, NULL, 20905),
(60972, '2w3sB03', NULL, NULL, 94, NULL, NULL, 20905),
(60973, '1ffvB02', NULL, NULL, 145, NULL, NULL, 20905),
(60974, '1rm6D04', NULL, NULL, 237, NULL, NULL, 20905),
(60975, '2w3sB04', NULL, NULL, 207, NULL, NULL, 20905),
(60976, '2w3sB05', NULL, NULL, 159, NULL, NULL, 20905),
(60977, '3an1A09', NULL, NULL, 96, NULL, NULL, 20905),
(60978, '3hrdA02', NULL, NULL, 176, NULL, NULL, 20905),
(60979, '1dgjA04', NULL, NULL, 158, NULL, NULL, 20905),
(60980, '3an1A06', NULL, NULL, 285, NULL, NULL, 20905),
(60981, '1t3qB03', NULL, NULL, 97, NULL, NULL, 20905),
(60982, '1t3qB04', NULL, NULL, 196, NULL, NULL, 20905),
(60983, '3an1A10', NULL, NULL, 128, NULL, NULL, 20905),
(60984, '3zyvC06', NULL, NULL, 295, NULL, NULL, 20905),
(60985, '5g5gC03', NULL, NULL, 93, NULL, NULL, 20905),
(60986, '3zyvA09', NULL, NULL, 96, NULL, NULL, 20905),
(60987, '3unaB06', NULL, NULL, 300, NULL, NULL, 20905);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(60988, '3zyvA10', NULL, NULL, 128, NULL, NULL, 20905),
(60989, '3nvwL04', NULL, NULL, 227, NULL, NULL, 20905),
(60990, '1vw4200', NULL, NULL, 114, NULL, NULL, 20906),
(60991, '5oom800', NULL, NULL, 99, NULL, NULL, 20906),
(60992, '4v1ad00', NULL, NULL, 99, NULL, NULL, 20906),
(60993, '4gipA00', NULL, NULL, 81, NULL, NULL, 20907),
(60994, '4aukA01', NULL, NULL, 79, NULL, NULL, 20908),
(60995, '2icwG02', NULL, NULL, 89, NULL, NULL, 20909),
(60996, '4f3nA00', NULL, NULL, 387, NULL, NULL, 20910),
(60997, '3e4oA01', NULL, NULL, 64, NULL, NULL, 20911),
(60998, '4wkbA00', NULL, NULL, 244, NULL, NULL, 20912),
(60999, '1vmkB00', NULL, NULL, 277, NULL, NULL, 20912),
(61000, '1yqqA00', NULL, NULL, 277, NULL, NULL, 20912),
(61001, '3bsfA00', NULL, NULL, 254, NULL, NULL, 20912),
(61002, '4mchA00', NULL, NULL, 249, NULL, NULL, 20912),
(61003, '1g2oA00', NULL, NULL, 268, NULL, NULL, 20912),
(61004, '1tcvA00', NULL, NULL, 287, NULL, NULL, 20912),
(61005, '2h8gA00', NULL, NULL, 246, NULL, NULL, 20912),
(61006, '3fucA00', NULL, NULL, 284, NULL, NULL, 20912),
(61007, '3emvA01', NULL, NULL, 249, NULL, NULL, 20912),
(61008, '4l0mA00', NULL, NULL, 236, NULL, NULL, 20912),
(61009, '2p4sA00', NULL, NULL, 284, NULL, NULL, 20912),
(61010, '3mb8A00', NULL, NULL, 250, NULL, NULL, 20912),
(61011, '4txjA00', NULL, NULL, 296, NULL, NULL, 20912),
(61012, '4qezB00', NULL, NULL, 239, NULL, NULL, 20912),
(61013, '1z34A00', NULL, NULL, 235, NULL, NULL, 20912),
(61014, '1vhwA00', NULL, NULL, 253, NULL, NULL, 20912),
(61015, '6aymA00', NULL, NULL, 238, NULL, NULL, 20912),
(61016, '3ozbA00', NULL, NULL, 259, NULL, NULL, 20912),
(61017, '4f1wB00', NULL, NULL, 248, NULL, NULL, 20912),
(61018, '1odkB00', NULL, NULL, 235, NULL, NULL, 20912),
(61019, '3u40D00', NULL, NULL, 242, NULL, NULL, 20912),
(61020, '4josB00', NULL, NULL, 230, NULL, NULL, 20912),
(61021, '3occD00', NULL, NULL, 239, NULL, NULL, 20912),
(61022, '4wkcA00', NULL, NULL, 245, NULL, NULL, 20912),
(61023, '3khsD00', NULL, NULL, 285, NULL, NULL, 20912),
(61024, '3bjeA01', NULL, NULL, 312, NULL, NULL, 20912),
(61025, '6if8B00', NULL, NULL, 237, NULL, NULL, 20912),
(61026, '4m3nA00', NULL, NULL, 231, NULL, NULL, 20912),
(61027, '1t8sA02', NULL, NULL, 312, NULL, NULL, 20912),
(61028, '3eufA00', NULL, NULL, 295, NULL, NULL, 20912),
(61029, '4lkrA00', NULL, NULL, 233, NULL, NULL, 20912),
(61030, '3la8A00', NULL, NULL, 268, NULL, NULL, 20912),
(61031, '2guwC02', NULL, NULL, 294, NULL, NULL, 20912),
(61032, '4m1eA00', NULL, NULL, 273, NULL, NULL, 20912),
(61033, '4earA00', NULL, NULL, 286, NULL, NULL, 20912),
(61034, '4g89A00', NULL, NULL, 237, NULL, NULL, 20912),
(61035, '5cyfC00', NULL, NULL, 296, NULL, NULL, 20912),
(61036, '4of4A00', NULL, NULL, 253, NULL, NULL, 20912),
(61037, '3uawA00', NULL, NULL, 235, NULL, NULL, 20912),
(61038, '4tymA00', NULL, NULL, 235, NULL, NULL, 20912),
(61039, '1qe5A00', NULL, NULL, 266, NULL, NULL, 20912),
(61040, '4ldnA00', NULL, NULL, 245, NULL, NULL, 20912),
(61041, '1v4nA00', NULL, NULL, 281, NULL, NULL, 20912),
(61042, '3qpbF00', NULL, NULL, 253, NULL, NULL, 20912),
(61043, '4rj2A00', NULL, NULL, 237, NULL, NULL, 20912),
(61044, '4kn5A00', NULL, NULL, 235, NULL, NULL, 20912),
(61045, '5ue1A00', NULL, NULL, 234, NULL, NULL, 20912),
(61046, '4r2xD00', NULL, NULL, 252, NULL, NULL, 20912),
(61047, '4d8yA00', NULL, NULL, 253, NULL, NULL, 20912),
(61048, '1zosA00', NULL, NULL, 230, NULL, NULL, 20912),
(61049, '5tc6A00', NULL, NULL, 275, NULL, NULL, 20912),
(61050, '5m2tA00', NULL, NULL, 253, NULL, NULL, 20912),
(61051, '4m7wA00', NULL, NULL, 235, NULL, NULL, 20912),
(61052, '5dk6A00', NULL, NULL, 248, NULL, NULL, 20912),
(61053, '4ns1C00', NULL, NULL, 272, NULL, NULL, 20912),
(61054, '3ku4C00', NULL, NULL, 309, NULL, NULL, 20912),
(61055, '4bmyA00', NULL, NULL, 230, NULL, NULL, 20912),
(61056, '4qasA00', NULL, NULL, 201, NULL, NULL, 20912),
(61057, '5f7jF00', NULL, NULL, 297, NULL, NULL, 20912),
(61058, '4r31A00', NULL, NULL, 261, NULL, NULL, 20912),
(61059, '5b7gA00', NULL, NULL, 249, NULL, NULL, 20912),
(61060, '4gljA00', NULL, NULL, 297, NULL, NULL, 20912);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(61061, '2a8yA00', NULL, NULL, 270, NULL, NULL, 20912),
(61062, '3p0fA00', NULL, NULL, 297, NULL, NULL, 20912),
(61063, '3ddoD00', NULL, NULL, 253, NULL, NULL, 20912),
(61064, '4oy3A00', NULL, NULL, 231, NULL, NULL, 20912),
(61065, '4pr3A00', NULL, NULL, 213, NULL, NULL, 20912),
(61066, '1je0C00', NULL, NULL, 236, NULL, NULL, 20912),
(61067, '4jwtA00', NULL, NULL, 259, NULL, NULL, 20912),
(61068, '4uc0A00', NULL, NULL, 267, NULL, NULL, 20912),
(61069, '4g41A00', NULL, NULL, 236, NULL, NULL, 20912),
(61070, '5ifkC00', NULL, NULL, 312, NULL, NULL, 20912),
(61071, '3bl6A00', NULL, NULL, 230, NULL, NULL, 20912),
(61072, '5zncA00', NULL, NULL, 245, NULL, NULL, 20912),
(61073, '5ko5A00', NULL, NULL, 287, NULL, NULL, 20912),
(61074, '1ybfA00', NULL, NULL, 250, NULL, NULL, 20912),
(61075, '1lx7A00', NULL, NULL, 253, NULL, NULL, 20912),
(61076, '3odgA00', NULL, NULL, 287, NULL, NULL, 20912),
(61077, '1sq6A00', NULL, NULL, 253, NULL, NULL, 20912),
(61078, '4lnaA00', NULL, NULL, 293, NULL, NULL, 20912),
(61079, '3eeiA00', NULL, NULL, 233, NULL, NULL, 20912),
(61080, '6f4xA00', NULL, NULL, 233, NULL, NULL, 20912),
(61081, '1wtaA00', NULL, NULL, 275, NULL, NULL, 20912),
(61082, '4h63Q01', NULL, NULL, 57, NULL, NULL, 20913),
(61083, '1zgwA01', NULL, NULL, 77, NULL, NULL, 20914),
(61084, '1wpkA01', NULL, NULL, 72, NULL, NULL, 20914),
(61085, '1u8bA01', NULL, NULL, 71, NULL, NULL, 20914),
(61086, '1vquB02', NULL, NULL, 270, NULL, NULL, 20915),
(61087, '1brwA02', NULL, NULL, 272, NULL, NULL, 20915),
(61088, '1o17D02', NULL, NULL, 240, NULL, NULL, 20915),
(61089, '3h5qA02', NULL, NULL, 272, NULL, NULL, 20915),
(61090, '2elcA02', NULL, NULL, 262, NULL, NULL, 20915),
(61091, '4ga4A02', NULL, NULL, 261, NULL, NULL, 20915),
(61092, '4ga6A03', NULL, NULL, 177, NULL, NULL, 20915),
(61093, '5bo3A02', NULL, NULL, 280, NULL, NULL, 20915),
(61094, '4eadA02', NULL, NULL, 229, NULL, NULL, 20915),
(61095, '4yi7A02', NULL, NULL, 279, NULL, NULL, 20915),
(61096, '1uouA02', NULL, NULL, 285, NULL, NULL, 20915),
(61097, '4muoA02', NULL, NULL, 256, NULL, NULL, 20915),
(61098, '2dsjA02', NULL, NULL, 264, NULL, NULL, 20915),
(61099, '4hkmB02', NULL, NULL, 273, NULL, NULL, 20915),
(61100, '5olnA02', NULL, NULL, 272, NULL, NULL, 20915),
(61101, '5noeA02', NULL, NULL, 227, NULL, NULL, 20915),
(61102, '1khdD02', NULL, NULL, 227, NULL, NULL, 20915),
(61103, '2uv8A06', NULL, NULL, 67, NULL, NULL, 20916),
(61104, '2uv9A07', NULL, NULL, 67, NULL, NULL, 20916),
(61105, '3cxbA01', NULL, NULL, 115, NULL, NULL, 20917),
(61106, '3keyA02', NULL, NULL, 96, NULL, NULL, 20918),
(61107, '3s1sA01', NULL, NULL, 174, NULL, NULL, 20919),
(61108, '3h1tA01', NULL, NULL, 157, NULL, NULL, 20919),
(61109, '2o79A00', NULL, NULL, 170, NULL, NULL, 20920),
(61110, '139lA00', NULL, NULL, 164, NULL, NULL, 20920),
(61111, '1cx6A00', NULL, NULL, 164, NULL, NULL, 20920),
(61112, '1l36A00', NULL, NULL, 164, NULL, NULL, 20920),
(61113, '5i14A00', NULL, NULL, 121, NULL, NULL, 20920),
(61114, '4aqnA02', NULL, NULL, 193, NULL, NULL, 20920),
(61115, '3sbbC00', NULL, NULL, 165, NULL, NULL, 20920),
(61116, '2o7aA00', NULL, NULL, 124, NULL, NULL, 20920),
(61117, '157lA00', NULL, NULL, 164, NULL, NULL, 20920),
(61118, '2f2qA00', NULL, NULL, 175, NULL, NULL, 20920),
(61119, '3hh6A00', NULL, NULL, 164, NULL, NULL, 20920),
(61120, '6et6A00', NULL, NULL, 149, NULL, NULL, 20920),
(61121, '1t8fA00', NULL, NULL, 164, NULL, NULL, 20920),
(61122, '192lA00', NULL, NULL, 164, NULL, NULL, 20920),
(61123, '3dkeX00', NULL, NULL, 164, NULL, NULL, 20920),
(61124, '174lA00', NULL, NULL, 164, NULL, NULL, 20920),
(61125, '3guiA00', NULL, NULL, 164, NULL, NULL, 20920),
(61126, '170lA00', NULL, NULL, 164, NULL, NULL, 20920),
(61127, '1wthA03', NULL, NULL, 169, NULL, NULL, 20920),
(61128, '4epiA02', NULL, NULL, 164, NULL, NULL, 20920),
(61129, '1lpyA00', NULL, NULL, 164, NULL, NULL, 20920),
(61130, '1d3nA00', NULL, NULL, 164, NULL, NULL, 20920),
(61131, '4iapA02', NULL, NULL, 163, NULL, NULL, 20920),
(61132, '1p36A00', NULL, NULL, 164, NULL, NULL, 20920),
(61133, '3hdeC00', NULL, NULL, 165, NULL, NULL, 20920);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(61134, '2anvA00', NULL, NULL, 146, NULL, NULL, 20920),
(61135, '1lwkA00', NULL, NULL, 164, NULL, NULL, 20920),
(61136, '1xjuA00', NULL, NULL, 163, NULL, NULL, 20920),
(61137, '1swyA00', NULL, NULL, 164, NULL, NULL, 20920),
(61138, '1lwgA00', NULL, NULL, 164, NULL, NULL, 20920),
(61139, '189lA00', NULL, NULL, 164, NULL, NULL, 20920),
(61140, '176lA00', NULL, NULL, 164, NULL, NULL, 20920),
(61141, '1pqiA00', NULL, NULL, 164, NULL, NULL, 20920),
(61142, '2o4wA00', NULL, NULL, 171, NULL, NULL, 20920),
(61143, '168lA00', NULL, NULL, 164, NULL, NULL, 20920),
(61144, '1p3nA00', NULL, NULL, 164, NULL, NULL, 20920),
(61145, '6h9dA00', NULL, NULL, 149, NULL, NULL, 20920),
(61146, '3anwA01', NULL, NULL, 113, NULL, NULL, 20921),
(61147, '2ehoE01', NULL, NULL, 153, NULL, NULL, 20921),
(61148, '2ehoF01', NULL, NULL, 129, NULL, NULL, 20921),
(61149, '3jc6D01', NULL, NULL, 167, NULL, NULL, 20921),
(61150, '2ehoB01', NULL, NULL, 129, NULL, NULL, 20921),
(61151, '2e9xD01', NULL, NULL, 143, NULL, NULL, 20921),
(61152, '2ehoA00', NULL, NULL, 203, NULL, NULL, 20921),
(61153, '2e9xA01', NULL, NULL, 128, NULL, NULL, 20921),
(61154, '2ehoI01', NULL, NULL, 153, NULL, NULL, 20921),
(61155, '2ehoJ01', NULL, NULL, 129, NULL, NULL, 20921),
(61156, '2ciuA00', NULL, NULL, 127, NULL, NULL, 20922),
(61157, '1vnaA00', NULL, NULL, 65, NULL, NULL, 20923),
(61158, '2kbhA00', NULL, NULL, 66, NULL, NULL, 20923),
(61159, '1wmtA00', NULL, NULL, 41, NULL, NULL, 20923),
(61160, '2gl1A00', NULL, NULL, 47, NULL, NULL, 20923),
(61161, '1omyA00', NULL, NULL, 65, NULL, NULL, 20923),
(61162, '4kypA00', NULL, NULL, 84, NULL, NULL, 20923),
(61163, '2m8bB00', NULL, NULL, 51, NULL, NULL, 20923),
(61164, '2lr3A00', NULL, NULL, 47, NULL, NULL, 20923),
(61165, '2n2qA00', NULL, NULL, 54, NULL, NULL, 20923),
(61166, '1b3cA00', NULL, NULL, 64, NULL, NULL, 20923),
(61167, '1npiA00', NULL, NULL, 61, NULL, NULL, 20923),
(61168, '1bmrA00', NULL, NULL, 68, NULL, NULL, 20923),
(61169, '2ny9X00', NULL, NULL, 41, NULL, NULL, 20923),
(61170, '1nraA00', NULL, NULL, 63, NULL, NULL, 20923),
(61171, '1kv0A00', NULL, NULL, 66, NULL, NULL, 20923),
(61172, '2yc1C00', NULL, NULL, 66, NULL, NULL, 20923),
(61173, '1t0zA00', NULL, NULL, 72, NULL, NULL, 20923),
(61174, '2e3gA00', NULL, NULL, 40, NULL, NULL, 20923),
(61175, '1jzaA00', NULL, NULL, 66, NULL, NULL, 20923),
(61176, '2kbkA00', NULL, NULL, 64, NULL, NULL, 20923),
(61177, '5kk4E00', NULL, NULL, 48, NULL, NULL, 20923),
(61178, '1n4nA00', NULL, NULL, 47, NULL, NULL, 20923),
(61179, '1mynA00', NULL, NULL, 44, NULL, NULL, 20923),
(61180, '2sn3A00', NULL, NULL, 65, NULL, NULL, 20923),
(61181, '1snbA00', NULL, NULL, 64, NULL, NULL, 20923),
(61182, '1wt7A00', NULL, NULL, 41, NULL, NULL, 20923),
(61183, '2n2rA00', NULL, NULL, 51, NULL, NULL, 20923),
(61184, '5nceA00', NULL, NULL, 50, NULL, NULL, 20923),
(61185, '2lj7A00', NULL, NULL, 47, NULL, NULL, 20923),
(61186, '4hhfA00', NULL, NULL, 66, NULL, NULL, 20923),
(61187, '1lqqA00', NULL, NULL, 64, NULL, NULL, 20923),
(61188, '2e3fA00', NULL, NULL, 43, NULL, NULL, 20923),
(61189, '1ne5A00', NULL, NULL, 42, NULL, NULL, 20923),
(61190, '1gpsA00', NULL, NULL, 47, NULL, NULL, 20923),
(61191, '2li7A00', NULL, NULL, 67, NULL, NULL, 20923),
(61192, '1jxcA00', NULL, NULL, 68, NULL, NULL, 20923),
(61193, '4aazA00', NULL, NULL, 47, NULL, NULL, 20923),
(61194, '2lt8A01', NULL, NULL, 36, NULL, NULL, 20923),
(61195, '2yeoA00', NULL, NULL, 65, NULL, NULL, 20923),
(61196, '2kskA00', NULL, NULL, 71, NULL, NULL, 20923),
(61197, '2lkbA00', NULL, NULL, 66, NULL, NULL, 20923),
(61198, '1djtA00', NULL, NULL, 64, NULL, NULL, 20923),
(61199, '1wwnA00', NULL, NULL, 69, NULL, NULL, 20923),
(61200, '1ozzA00', NULL, NULL, 44, NULL, NULL, 20923),
(61201, '2atbA00', NULL, NULL, 65, NULL, NULL, 20923),
(61202, '1bk8A00', NULL, NULL, 50, NULL, NULL, 20923),
(61203, '1c55A00', NULL, NULL, 40, NULL, NULL, 20923),
(61204, '6avdA00', NULL, NULL, 40, NULL, NULL, 20923),
(61205, '4uj0A00', NULL, NULL, 49, NULL, NULL, 20923),
(61206, '1ahoA00', NULL, NULL, 64, NULL, NULL, 20923),
(61207, '1t1tA00', NULL, NULL, 63, NULL, NULL, 20923);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(61208, '1gptA00', NULL, NULL, 47, NULL, NULL, 20923),
(61209, '1icaA00', NULL, NULL, 40, NULL, NULL, 20923),
(61210, '2b68A01', NULL, NULL, 37, NULL, NULL, 20923),
(61211, '1i6fA00', NULL, NULL, 60, NULL, NULL, 20923),
(61212, '1dq7A00', NULL, NULL, 64, NULL, NULL, 20923),
(61213, '5cy0A00', NULL, NULL, 64, NULL, NULL, 20923),
(61214, '3psmA00', NULL, NULL, 47, NULL, NULL, 20923),
(61215, '6dmzA00', NULL, NULL, 47, NULL, NULL, 20923),
(61216, '1pe4A00', NULL, NULL, 67, NULL, NULL, 20923),
(61217, '1sn4A00', NULL, NULL, 64, NULL, NULL, 20923),
(61218, '6ay8A00', NULL, NULL, 40, NULL, NULL, 20923),
(61219, '2ny8X00', NULL, NULL, 40, NULL, NULL, 20923),
(61220, '2ljmA01', NULL, NULL, 53, NULL, NULL, 20923),
(61221, '1chzA00', NULL, NULL, 64, NULL, NULL, 20923),
(61222, '1segA00', NULL, NULL, 64, NULL, NULL, 20923),
(61223, '2kpyA01', NULL, NULL, 53, NULL, NULL, 20923),
(61224, '1ayjA00', NULL, NULL, 51, NULL, NULL, 20923),
(61225, '1i2uA00', NULL, NULL, 44, NULL, NULL, 20923),
(61226, '3e7rL01', NULL, NULL, 30, NULL, NULL, 20923),
(61227, '2mz0A00', NULL, NULL, 55, NULL, NULL, 20923),
(61228, '1jkzA00', NULL, NULL, 46, NULL, NULL, 20923),
(61229, '1ti5A00', NULL, NULL, 46, NULL, NULL, 20923),
(61230, '1zywA00', NULL, NULL, 66, NULL, NULL, 20923),
(61231, '2kyqA00', NULL, NULL, 53, NULL, NULL, 20923),
(61232, '2i61A00', NULL, NULL, 62, NULL, NULL, 20923),
(61233, '4he7A00', NULL, NULL, 54, NULL, NULL, 20923),
(61234, '5mouA00', NULL, NULL, 66, NULL, NULL, 20923),
(61235, '2vy1A00', NULL, NULL, 170, NULL, NULL, 20924),
(61236, '4bhkA00', NULL, NULL, 171, NULL, NULL, 20924),
(61237, '1r8jA02', NULL, NULL, 117, NULL, NULL, 20925),
(61238, '1v2zA00', NULL, NULL, 111, NULL, NULL, 20925),
(61239, '1w53A00', NULL, NULL, 84, NULL, NULL, 20925),
(61240, '1r5qA00', NULL, NULL, 102, NULL, NULL, 20925),
(61241, '4djbA00', NULL, NULL, 130, NULL, NULL, 20926),
(61242, '1c4kA01', NULL, NULL, 107, NULL, NULL, 20927),
(61243, '3f2bA07', NULL, NULL, 86, NULL, NULL, 20928),
(61244, '4gvbB00', NULL, NULL, 81, NULL, NULL, 20929),
(61245, '4gvbA00', NULL, NULL, 80, NULL, NULL, 20929),
(61246, '2xljA02', NULL, NULL, 24, NULL, NULL, 20930),
(61247, '3i6sA04', NULL, NULL, 116, NULL, NULL, 20931),
(61248, '3vtaB03', NULL, NULL, 131, NULL, NULL, 20931),
(61249, '4yn3A03', NULL, NULL, 106, NULL, NULL, 20931),
(61250, '4dhiB02', NULL, NULL, 145, NULL, NULL, 20932),
(61251, '2zfyA02', NULL, NULL, 144, NULL, NULL, 20932),
(61252, '4fjvA02', NULL, NULL, 144, NULL, NULL, 20932),
(61253, '1m9sA03', NULL, NULL, 75, NULL, NULL, 20933),
(61254, '1m9sA04', NULL, NULL, 86, NULL, NULL, 20933),
(61255, '4epcA02', NULL, NULL, 71, NULL, NULL, 20933),
(61256, '1m9sA05', NULL, NULL, 87, NULL, NULL, 20933),
(61257, '4epcA01', NULL, NULL, 81, NULL, NULL, 20933),
(61258, '4fe9A04', NULL, NULL, 102, NULL, NULL, 20934),
(61259, '4fchA02', NULL, NULL, 104, NULL, NULL, 20934),
(61260, '3m1mA03', NULL, NULL, 110, NULL, NULL, 20935),
(61261, '3h20A04', NULL, NULL, 91, NULL, NULL, 20935),
(61262, '2vvyA01', NULL, NULL, 134, NULL, NULL, 20936),
(61263, '2vvwA00', NULL, NULL, 162, NULL, NULL, 20936),
(61264, '4lqkA00', NULL, NULL, 143, NULL, NULL, 20936),
(61265, '4m0sA00', NULL, NULL, 146, NULL, NULL, 20936),
(61266, '2uxeA00', NULL, NULL, 117, NULL, NULL, 20936),
(61267, '3jrvA00', NULL, NULL, 149, NULL, NULL, 20936),
(61268, '2uxeB00', NULL, NULL, 117, NULL, NULL, 20936),
(61269, '2i39B00', NULL, NULL, 121, NULL, NULL, 20936),
(61270, '2uxeC00', NULL, NULL, 117, NULL, NULL, 20936),
(61271, '2uxeD00', NULL, NULL, 117, NULL, NULL, 20936),
(61272, '2uxeE00', NULL, NULL, 117, NULL, NULL, 20936),
(61273, '2uxeF00', NULL, NULL, 117, NULL, NULL, 20936),
(61274, '3thxB01', NULL, NULL, 142, NULL, NULL, 20937),
(61275, '5yk4B01', NULL, NULL, 125, NULL, NULL, 20937),
(61276, '1e3mA01', NULL, NULL, 124, NULL, NULL, 20937),
(61277, '2o8bB01', NULL, NULL, 170, NULL, NULL, 20937),
(61278, '1ewqB01', NULL, NULL, 126, NULL, NULL, 20937),
(61279, '3zljB01', NULL, NULL, 99, NULL, NULL, 20937),
(61280, '2o8bA01', NULL, NULL, 124, NULL, NULL, 20937),
(61281, '6m9yA00', NULL, NULL, 58, NULL, NULL, 20938);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(61282, '3lf4A00', NULL, NULL, 66, NULL, NULL, 20938),
(61283, '2a50C00', NULL, NULL, 73, NULL, NULL, 20938),
(61284, '3cfaM00', NULL, NULL, 62, NULL, NULL, 20938),
(61285, '5excA00', NULL, NULL, 62, NULL, NULL, 20938),
(61286, '6gp1A00', NULL, NULL, 66, NULL, NULL, 20938),
(61287, '2g2sA00', NULL, NULL, 66, NULL, NULL, 20938),
(61288, '2gw4A00', NULL, NULL, 63, NULL, NULL, 20938),
(61289, '2v8sV00', NULL, NULL, 96, NULL, NULL, 20939),
(61290, '1vcsA00', NULL, NULL, 102, NULL, NULL, 20939),
(61291, '2qywA00', NULL, NULL, 102, NULL, NULL, 20939),
(61292, '3onjA00', NULL, NULL, 97, NULL, NULL, 20939),
(61293, '4d6wB02', NULL, NULL, 92, NULL, NULL, 20940),
(61294, '5i2mA02', NULL, NULL, 91, NULL, NULL, 20940),
(61295, '2k4qA00', NULL, NULL, 156, NULL, NULL, 20941),
(61296, '2w8mA00', NULL, NULL, 194, NULL, NULL, 20942),
(61297, '3g27A01', NULL, NULL, 75, NULL, NULL, 20943),
(61298, '3i5qA01', NULL, NULL, 171, NULL, NULL, 20944),
(61299, '6b0sC00', NULL, NULL, 82, NULL, NULL, 20945),
(61300, '4hqnA01', NULL, NULL, 77, NULL, NULL, 20945),
(61301, '3t5oA01', NULL, NULL, 58, NULL, NULL, 20945),
(61302, '1szlA01', NULL, NULL, 52, NULL, NULL, 20945),
(61303, '1vexA00', NULL, NULL, 56, NULL, NULL, 20945),
(61304, '1lslA02', NULL, NULL, 57, NULL, NULL, 20945),
(61305, '1lslA01', NULL, NULL, 56, NULL, NULL, 20945),
(61306, '3iiiA02', NULL, NULL, 52, NULL, NULL, 20946),
(61307, '4ecdA00', NULL, NULL, 340, NULL, NULL, 20947),
(61308, '1sq1A00', NULL, NULL, 330, NULL, NULL, 20947),
(61309, '4ob9A00', NULL, NULL, 363, NULL, NULL, 20947),
(61310, '1um0A00', NULL, NULL, 365, NULL, NULL, 20947),
(61311, '1qxoA00', NULL, NULL, 388, NULL, NULL, 20947),
(61312, '5z9aB00', NULL, NULL, 292, NULL, NULL, 20947),
(61313, '1r53A00', NULL, NULL, 341, NULL, NULL, 20947),
(61314, '1q1lA00', NULL, NULL, 370, NULL, NULL, 20947),
(61315, '2o11A00', NULL, NULL, 407, NULL, NULL, 20947),
(61316, '2l1pA00', NULL, NULL, 83, NULL, NULL, 20948),
(61317, '4q2jD02', NULL, NULL, 74, NULL, NULL, 20948),
(61318, '3nzlA00', NULL, NULL, 83, NULL, NULL, 20948),
(61319, '2kieA00', NULL, NULL, 124, NULL, NULL, 20949),
(61320, '2kigA00', NULL, NULL, 161, NULL, NULL, 20949),
(61321, '4eozD03', NULL, NULL, 50, NULL, NULL, 20950),
(61322, '4eozB03', NULL, NULL, 51, NULL, NULL, 20950),
(61323, '3cuqB01', NULL, NULL, 68, NULL, NULL, 20951),
(61324, '4nkgB00', NULL, NULL, 82, NULL, NULL, 20952),
(61325, '4nb5B02', NULL, NULL, 74, NULL, NULL, 20952),
(61326, '4iggA01', NULL, NULL, 67, NULL, NULL, 20952),
(61327, '1rfyB00', NULL, NULL, 102, NULL, NULL, 20952),
(61328, '2hjdA00', NULL, NULL, 102, NULL, NULL, 20952),
(61329, '4dylA02', NULL, NULL, 94, NULL, NULL, 20952),
(61330, '2q0oC00', NULL, NULL, 91, NULL, NULL, 20952),
(61331, '1cxzB00', NULL, NULL, 86, NULL, NULL, 20952),
(61332, '5nqdA01', NULL, NULL, 172, NULL, NULL, 20953),
(61333, '1g8kA01', NULL, NULL, 173, NULL, NULL, 20953),
(61334, '1io1A02', NULL, NULL, 131, NULL, NULL, 20954),
(61335, '3phuA02', NULL, NULL, 25, NULL, NULL, 20955),
(61336, '4eaeA00', NULL, NULL, 190, NULL, NULL, 20956),
(61337, '1iwpG02', NULL, NULL, 93, NULL, NULL, 20957),
(61338, '5yrvC02', NULL, NULL, 93, NULL, NULL, 20957),
(61339, '2eqbC00', NULL, NULL, 97, NULL, NULL, 20958),
(61340, '4li0C00', NULL, NULL, 84, NULL, NULL, 20958),
(61341, '4lhxE00', NULL, NULL, 78, NULL, NULL, 20958),
(61342, '4hi6C00', NULL, NULL, 142, NULL, NULL, 20959),
(61343, '1lshB00', NULL, NULL, 174, NULL, NULL, 20960),
(61344, '2ph5A02', NULL, NULL, 302, NULL, NULL, 20961),
(61345, '4xqcA02', NULL, NULL, 297, NULL, NULL, 20961),
(61346, '1v0dA01', NULL, NULL, 49, NULL, NULL, 20962),
(61347, '2xzmP00', NULL, NULL, 149, NULL, NULL, 20963),
(61348, '3j7a100', NULL, NULL, 133, NULL, NULL, 20963),
(61349, '6faiY00', NULL, NULL, 135, NULL, NULL, 20963),
(61350, '5xxuY00', NULL, NULL, 135, NULL, NULL, 20963),
(61351, '6g5iY00', NULL, NULL, 133, NULL, NULL, 20963),
(61352, '6az1Z00', NULL, NULL, 137, NULL, NULL, 20963),
(61353, '3jamY00', NULL, NULL, 135, NULL, NULL, 20963),
(61354, '5optY00', NULL, NULL, 137, NULL, NULL, 20963),
(61355, '5xyiY00', NULL, NULL, 117, NULL, NULL, 20963);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(61356, '3lmlA03', NULL, NULL, 85, NULL, NULL, 20964),
(61357, '3hxlA02', NULL, NULL, 90, NULL, NULL, 20964),
(61358, '1iw7D09', NULL, NULL, 73, NULL, NULL, 20965),
(61359, '1g8lA02', NULL, NULL, 57, NULL, NULL, 20965),
(61360, '1hqmD05', NULL, NULL, 75, NULL, NULL, 20965),
(61361, '1xi8A02', NULL, NULL, 65, NULL, NULL, 20965),
(61362, '6gbcA02', NULL, NULL, 58, NULL, NULL, 20965),
(61363, '1wu2B02', NULL, NULL, 60, NULL, NULL, 20965),
(61364, '2x3lB03', NULL, NULL, 59, NULL, NULL, 20965),
(61365, '1uz5A02', NULL, NULL, 57, NULL, NULL, 20965),
(61366, '6fgcA02', NULL, NULL, 58, NULL, NULL, 20965),
(61367, '1ea0B04', NULL, NULL, 274, NULL, NULL, 20966),
(61368, '1ofeB04', NULL, NULL, 280, NULL, NULL, 20966),
(61369, '1ofdA04', NULL, NULL, 276, NULL, NULL, 20966),
(61370, '4k2pA02', NULL, NULL, 114, NULL, NULL, 20967),
(61371, '3a8pA02', NULL, NULL, 114, NULL, NULL, 20967),
(61372, '4dixA02', NULL, NULL, 131, NULL, NULL, 20968),
(61373, '2orpA03', NULL, NULL, 48, NULL, NULL, 20969),
(61374, '1mjtA03', NULL, NULL, 89, NULL, NULL, 20969),
(61375, '6ngmA03', NULL, NULL, 89, NULL, NULL, 20969),
(61376, '1d0cA03', NULL, NULL, 89, NULL, NULL, 20969),
(61377, '2flqA03', NULL, NULL, 89, NULL, NULL, 20969),
(61378, '2ortA03', NULL, NULL, 46, NULL, NULL, 20969),
(61379, '4culA03', NULL, NULL, 87, NULL, NULL, 20969),
(61380, '3e7mA03', NULL, NULL, 89, NULL, NULL, 20969),
(61381, '3e7gA03', NULL, NULL, 89, NULL, NULL, 20969),
(61382, '4d3tA03', NULL, NULL, 89, NULL, NULL, 20969),
(61383, '3ci0K02', NULL, NULL, 113, NULL, NULL, 20970),
(61384, '3ci0K03', NULL, NULL, 70, NULL, NULL, 20970),
(61385, '2lzlA00', NULL, NULL, 43, NULL, NULL, 20971),
(61386, '4ilgA02', NULL, NULL, 199, NULL, NULL, 20972),
(61387, '4iliB02', NULL, NULL, 170, NULL, NULL, 20972),
(61388, '3sbtB02', NULL, NULL, 174, NULL, NULL, 20972),
(61389, '2vlaA01', NULL, NULL, 78, NULL, NULL, 20973),
(61390, '4pwwA00', NULL, NULL, 89, NULL, NULL, 20974),
(61391, '2vqeJ00', NULL, NULL, 105, NULL, NULL, 20974),
(61392, '5mmjj00', NULL, NULL, 99, NULL, NULL, 20974),
(61393, '4hhuA02', NULL, NULL, 88, NULL, NULL, 20974),
(61394, '4hhuA01', NULL, NULL, 82, NULL, NULL, 20974),
(61395, '2mewA00', NULL, NULL, 82, NULL, NULL, 20974),
(61396, '5o5jJ00', NULL, NULL, 101, NULL, NULL, 20974),
(61397, '5xyiU00', NULL, NULL, 103, NULL, NULL, 20974),
(61398, '6az1M00', NULL, NULL, 116, NULL, NULL, 20974),
(61399, '3d3bJ00', NULL, NULL, 87, NULL, NULL, 20974),
(61400, '4neyA01', NULL, NULL, 84, NULL, NULL, 20974),
(61401, '4neyB01', NULL, NULL, 84, NULL, NULL, 20974),
(61402, '4neyA02', NULL, NULL, 79, NULL, NULL, 20974),
(61403, '2mq8A00', NULL, NULL, 112, NULL, NULL, 20974),
(61404, '4kyzA00', NULL, NULL, 172, NULL, NULL, 20974),
(61405, '4neyB02', NULL, NULL, 79, NULL, NULL, 20974),
(61406, '2xzmJ00', NULL, NULL, 120, NULL, NULL, 20974),
(61407, '6faiU00', NULL, NULL, 103, NULL, NULL, 20974),
(61408, '6g5iU00', NULL, NULL, 103, NULL, NULL, 20974),
(61409, '2mtlA00', NULL, NULL, 88, NULL, NULL, 20974),
(61410, '3w1yC00', NULL, NULL, 103, NULL, NULL, 20974),
(61411, '3r2cK00', NULL, NULL, 83, NULL, NULL, 20974),
(61412, '4rjvA00', NULL, NULL, 87, NULL, NULL, 20974),
(61413, '4nezA01', NULL, NULL, 76, NULL, NULL, 20974),
(61414, '4nezA02', NULL, NULL, 75, NULL, NULL, 20974),
(61415, '5xxuU00', NULL, NULL, 105, NULL, NULL, 20974),
(61416, '5optl00', NULL, NULL, 117, NULL, NULL, 20974),
(61417, '3jamU00', NULL, NULL, 117, NULL, NULL, 20974),
(61418, '3j7aN00', NULL, NULL, 98, NULL, NULL, 20974),
(61419, '3agcB00', NULL, NULL, 276, NULL, NULL, 20975),
(61420, '2x9oA00', NULL, NULL, 244, NULL, NULL, 20975),
(61421, '2g18I00', NULL, NULL, 253, NULL, NULL, 20975),
(61422, '2vclA00', NULL, NULL, 212, NULL, NULL, 20975),
(61423, '5b4jA00', NULL, NULL, 248, NULL, NULL, 20975),
(61424, '4rt1A00', NULL, NULL, 112, NULL, NULL, 20976),
(61425, '4xrnC00', NULL, NULL, 111, NULL, NULL, 20976),
(61426, '4i86A00', NULL, NULL, 111, NULL, NULL, 20976),
(61427, '2rdeA02', NULL, NULL, 116, NULL, NULL, 20976),
(61428, '3kyfA02', NULL, NULL, 117, NULL, NULL, 20976),
(61429, '4p02A03', NULL, NULL, 122, NULL, NULL, 20976);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(61430, '3dsgB00', NULL, NULL, 99, NULL, NULL, 20976),
(61431, '5xlyB00', NULL, NULL, 133, NULL, NULL, 20976),
(61432, '5kecD02', NULL, NULL, 128, NULL, NULL, 20976),
(61433, '3cnrB00', NULL, NULL, 117, NULL, NULL, 20976),
(61434, '1gaxA04', NULL, NULL, 50, NULL, NULL, 20977),
(61435, '4dmiD01', NULL, NULL, 39, NULL, NULL, 20978),
(61436, '5j47A02', NULL, NULL, 118, NULL, NULL, 20979),
(61437, '1svmA02', NULL, NULL, 118, NULL, NULL, 20979),
(61438, '2an7A00', NULL, NULL, 83, NULL, NULL, 20980),
(61439, '3v46A00', NULL, NULL, 170, NULL, NULL, 20981),
(61440, '5gmkO00', NULL, NULL, 341, NULL, NULL, 20982),
(61441, '2hesX00', NULL, NULL, 330, NULL, NULL, 20982),
(61442, '4j82A01', NULL, NULL, 294, NULL, NULL, 20982),
(61443, '4nsxA02', NULL, NULL, 317, NULL, NULL, 20982),
(61444, '4yvdA01', NULL, NULL, 296, NULL, NULL, 20982),
(61445, '4nsxA01', NULL, NULL, 348, NULL, NULL, 20982),
(61446, '6fkkA01', NULL, NULL, 477, NULL, NULL, 20982),
(61447, '1pguB02', NULL, NULL, 325, NULL, NULL, 20982),
(61448, '1pguB01', NULL, NULL, 290, NULL, NULL, 20982),
(61449, '3sbqA01', NULL, NULL, 460, NULL, NULL, 20982),
(61450, '3a0fA02', NULL, NULL, 425, NULL, NULL, 20982),
(61451, '6mglA01', NULL, NULL, 340, NULL, NULL, 20982),
(61452, '3a0fA01', NULL, NULL, 338, NULL, NULL, 20982),
(61453, '3fm0A00', NULL, NULL, 345, NULL, NULL, 20982),
(61454, '4u7aA00', NULL, NULL, 356, NULL, NULL, 20982),
(61455, '4d0kA01', NULL, NULL, 322, NULL, NULL, 20982),
(61456, '6mglA02', NULL, NULL, 407, NULL, NULL, 20982),
(61457, '4aowA01', NULL, NULL, 310, NULL, NULL, 20982),
(61458, '4czxA00', NULL, NULL, 324, NULL, NULL, 20982),
(61459, '4ozuA01', NULL, NULL, 351, NULL, NULL, 20982),
(61460, '3okyB01', NULL, NULL, 499, NULL, NULL, 20982),
(61461, '4bh6D00', NULL, NULL, 308, NULL, NULL, 20982),
(61462, '5u69A00', NULL, NULL, 369, NULL, NULL, 20982),
(61463, '5fktA02', NULL, NULL, 414, NULL, NULL, 20982),
(61464, '5c2vB00', NULL, NULL, 352, NULL, NULL, 20982),
(61465, '5i5mA01', NULL, NULL, 454, NULL, NULL, 20982),
(61466, '3dwlH00', NULL, NULL, 377, NULL, NULL, 20982),
(61467, '4qrjA00', NULL, NULL, 353, NULL, NULL, 20982),
(61468, '2cn2A02', NULL, NULL, 411, NULL, NULL, 20982),
(61469, '3u4yA00', NULL, NULL, 331, NULL, NULL, 20982),
(61470, '1nr0A01', NULL, NULL, 299, NULL, NULL, 20982),
(61471, '2bbkH00', NULL, NULL, 355, NULL, NULL, 20982),
(61472, '4fwwA01', NULL, NULL, 481, NULL, NULL, 20982),
(61473, '5tf2A00', NULL, NULL, 344, NULL, NULL, 20982),
(61474, '2qc5A00', NULL, NULL, 300, NULL, NULL, 20982),
(61475, '5optp01', NULL, NULL, 313, NULL, NULL, 20982),
(61476, '1nr0A02', NULL, NULL, 312, NULL, NULL, 20982),
(61477, '4xyhA00', NULL, NULL, 414, NULL, NULL, 20982),
(61478, '3b7fA00', NULL, NULL, 394, NULL, NULL, 20982),
(61479, '4lg8A00', NULL, NULL, 310, NULL, NULL, 20982),
(61480, '1jofA00', NULL, NULL, 365, NULL, NULL, 20982),
(61481, '3bg1A00', NULL, NULL, 316, NULL, NULL, 20982),
(61482, '4zoxA00', NULL, NULL, 381, NULL, NULL, 20982),
(61483, '5h1mA01', NULL, NULL, 347, NULL, NULL, 20982),
(61484, '6fcvB00', NULL, NULL, 365, NULL, NULL, 20982),
(61485, '5wjcA00', NULL, NULL, 430, NULL, NULL, 20982),
(61486, '3v7dD02', NULL, NULL, 355, NULL, NULL, 20982),
(61487, '2ovrB02', NULL, NULL, 340, NULL, NULL, 20982),
(61488, '6m90A02', NULL, NULL, 295, NULL, NULL, 20982),
(61489, '2aq5A01', NULL, NULL, 352, NULL, NULL, 20982),
(61490, '4a2lB01', NULL, NULL, 311, NULL, NULL, 20982),
(61491, '4j0xA00', NULL, NULL, 451, NULL, NULL, 20982),
(61492, '5b4wA00', NULL, NULL, 456, NULL, NULL, 20982),
(61493, '1ri6A00', NULL, NULL, 343, NULL, NULL, 20982),
(61494, '5k19C00', NULL, NULL, 391, NULL, NULL, 20982),
(61495, '3nvxB00', NULL, NULL, 383, NULL, NULL, 20982),
(61496, '1sqjB01', NULL, NULL, 331, NULL, NULL, 20982),
(61497, '1sqjB02', NULL, NULL, 451, NULL, NULL, 20982),
(61498, '1jmxB00', NULL, NULL, 349, NULL, NULL, 20982),
(61499, '1erjB00', NULL, NULL, 393, NULL, NULL, 20982),
(61500, '4l9oA00', NULL, NULL, 349, NULL, NULL, 20982),
(61501, '3dm0A02', NULL, NULL, 324, NULL, NULL, 20982),
(61502, '3fgbA00', NULL, NULL, 361, NULL, NULL, 20982);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(61503, '4u1eI00', NULL, NULL, 347, NULL, NULL, 20982),
(61504, '4i79A00', NULL, NULL, 341, NULL, NULL, 20982),
(61505, '5fktB01', NULL, NULL, 319, NULL, NULL, 20982),
(61506, '2xzmR01', NULL, NULL, 330, NULL, NULL, 20982),
(61507, '3v9fA01', NULL, NULL, 342, NULL, NULL, 20982),
(61508, '4ql1A00', NULL, NULL, 312, NULL, NULL, 20982),
(61509, '3v9fA02', NULL, NULL, 313, NULL, NULL, 20982),
(61510, '3ei3B02', NULL, NULL, 318, NULL, NULL, 20982),
(61511, '3frxB01', NULL, NULL, 310, NULL, NULL, 20982),
(61512, '5gmkn00', NULL, NULL, 328, NULL, NULL, 20982),
(61513, '3jbtA06', NULL, NULL, 312, NULL, NULL, 20982),
(61514, '3jbtA05', NULL, NULL, 357, NULL, NULL, 20982),
(61515, '2z2nA00', NULL, NULL, 299, NULL, NULL, 20982),
(61516, '4hdjA00', NULL, NULL, 367, NULL, NULL, 20982),
(61517, '2pm9A01', NULL, NULL, 336, NULL, NULL, 20982),
(61518, '4h5iB00', NULL, NULL, 347, NULL, NULL, 20982),
(61519, '3mmyA00', NULL, NULL, 368, NULL, NULL, 20982),
(61520, '1mdaH00', NULL, NULL, 368, NULL, NULL, 20982),
(61521, '3c5mA00', NULL, NULL, 396, NULL, NULL, 20982),
(61522, '4wjvD00', NULL, NULL, 381, NULL, NULL, 20982),
(61523, '2iwkA01', NULL, NULL, 467, NULL, NULL, 20982),
(61524, '3pe7A00', NULL, NULL, 388, NULL, NULL, 20982),
(61525, '3f3fB01', NULL, NULL, 306, NULL, NULL, 20982),
(61526, '4j87A00', NULL, NULL, 327, NULL, NULL, 20982),
(61527, '5wbyC01', NULL, NULL, 313, NULL, NULL, 20982),
(61528, '1xksA00', NULL, NULL, 413, NULL, NULL, 20982),
(61529, '3dsmA00', NULL, NULL, 328, NULL, NULL, 20982),
(61530, '3w15A01', NULL, NULL, 365, NULL, NULL, 20982),
(61531, '2cn3A01', NULL, NULL, 326, NULL, NULL, 20982),
(61532, '4lg9A00', NULL, NULL, 363, NULL, NULL, 20982),
(61533, '4o9dA00', NULL, NULL, 428, NULL, NULL, 20982),
(61534, '3ottA01', NULL, NULL, 307, NULL, NULL, 20982),
(61535, '6nauA00', NULL, NULL, 334, NULL, NULL, 20982),
(61536, '3jamg01', NULL, NULL, 316, NULL, NULL, 20982),
(61537, '4aezA00', NULL, NULL, 343, NULL, NULL, 20982),
(61538, '4ui9R01', NULL, NULL, 303, NULL, NULL, 20982),
(61539, '3ei3A02', NULL, NULL, 342, NULL, NULL, 20982),
(61540, '3ei3A01', NULL, NULL, 385, NULL, NULL, 20982),
(61541, '4pxwB00', NULL, NULL, 322, NULL, NULL, 20982),
(61542, '1l0qA01', NULL, NULL, 301, NULL, NULL, 20982),
(61543, '4e54B02', NULL, NULL, 323, NULL, NULL, 20982),
(61544, '1gxrA00', NULL, NULL, 337, NULL, NULL, 20982),
(61545, '1vyhC01', NULL, NULL, 310, NULL, NULL, 20982),
(61546, '4zoyA00', NULL, NULL, 457, NULL, NULL, 20982),
(61547, '4gq1A00', NULL, NULL, 393, NULL, NULL, 20982),
(61548, '2ymuA01', NULL, NULL, 300, NULL, NULL, 20982),
(61549, '5ic7A00', NULL, NULL, 365, NULL, NULL, 20982),
(61550, '3ei3A03', NULL, NULL, 316, NULL, NULL, 20982),
(61551, '1xipA00', NULL, NULL, 388, NULL, NULL, 20982),
(61552, '3jb9L00', NULL, NULL, 299, NULL, NULL, 20982),
(61553, '3bwsA02', NULL, NULL, 323, NULL, NULL, 20982),
(61554, '6az1g01', NULL, NULL, 309, NULL, NULL, 20982),
(61555, '1k32A02', NULL, NULL, 350, NULL, NULL, 20982),
(61556, '6igbA00', NULL, NULL, 364, NULL, NULL, 20982),
(61557, '1fwxA01', NULL, NULL, 467, NULL, NULL, 20982),
(61558, '5cxbA02', NULL, NULL, 394, NULL, NULL, 20982),
(61559, '3odtA00', NULL, NULL, 313, NULL, NULL, 20982),
(61560, '2uzxB01', NULL, NULL, 490, NULL, NULL, 20982),
(61561, '4ggcA00', NULL, NULL, 318, NULL, NULL, 20982),
(61562, '5hqgA00', NULL, NULL, 341, NULL, NULL, 20982),
(61563, '1yfqA00', NULL, NULL, 342, NULL, NULL, 20982),
(61564, '1olzA01', NULL, NULL, 481, NULL, NULL, 20982),
(61565, '1s4uX00', NULL, NULL, 407, NULL, NULL, 20982),
(61566, '5kdoB00', NULL, NULL, 340, NULL, NULL, 20982),
(61567, '5kwnA00', NULL, NULL, 336, NULL, NULL, 20982),
(61568, '2oizA01', NULL, NULL, 344, NULL, NULL, 20982),
(61569, '3al9A01', NULL, NULL, 479, NULL, NULL, 20982),
(61570, '1k8kC00', NULL, NULL, 372, NULL, NULL, 20982),
(61571, '5teeA01', NULL, NULL, 369, NULL, NULL, 20982),
(61572, '4g56D00', NULL, NULL, 318, NULL, NULL, 20982),
(61573, '2xyiA00', NULL, NULL, 430, NULL, NULL, 20982),
(61574, '4a2lF02', NULL, NULL, 322, NULL, NULL, 20982),
(61575, '6e1zA00', NULL, NULL, 313, NULL, NULL, 20982);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(61576, '5teeA02', NULL, NULL, 351, NULL, NULL, 20982),
(61577, '2w18A00', NULL, NULL, 333, NULL, NULL, 20982),
(61578, '1pbyB00', NULL, NULL, 337, NULL, NULL, 20982),
(61579, '3hfqA00', NULL, NULL, 347, NULL, NULL, 20982),
(61580, '3ottB02', NULL, NULL, 317, NULL, NULL, 20982),
(61581, '3ow8C00', NULL, NULL, 301, NULL, NULL, 20982),
(61582, '3nvnA00', NULL, NULL, 389, NULL, NULL, 20982),
(61583, '4d6vA01', NULL, NULL, 307, NULL, NULL, 20982),
(61584, '4pswB00', NULL, NULL, 401, NULL, NULL, 20982),
(61585, '6id1E00', NULL, NULL, 304, NULL, NULL, 20982),
(61586, '3i2nA00', NULL, NULL, 357, NULL, NULL, 20982),
(61587, '4gqbB00', NULL, NULL, 322, NULL, NULL, 20982),
(61588, '5jwzA02', NULL, NULL, 411, NULL, NULL, 20982),
(61589, '5jwzA01', NULL, NULL, 313, NULL, NULL, 20982),
(61590, '2xu7A00', NULL, NULL, 425, NULL, NULL, 20982),
(61591, '1r5mA00', NULL, NULL, 392, NULL, NULL, 20982),
(61592, '5xyig01', NULL, NULL, 310, NULL, NULL, 20982),
(61593, '3jb9K01', NULL, NULL, 295, NULL, NULL, 20982),
(61594, '3sfzA05', NULL, NULL, 347, NULL, NULL, 20982),
(61595, '3sfzA06', NULL, NULL, 312, NULL, NULL, 20982),
(61596, '3cfsB00', NULL, NULL, 414, NULL, NULL, 20982),
(61597, '4j0wA00', NULL, NULL, 343, NULL, NULL, 20982),
(61598, '1q47A00', NULL, NULL, 495, NULL, NULL, 20982),
(61599, '5cxbB00', NULL, NULL, 369, NULL, NULL, 20982),
(61600, '4lgnA02', NULL, NULL, 414, NULL, NULL, 20982),
(61601, '3nvqA01', NULL, NULL, 448, NULL, NULL, 20982),
(61602, '4cy3A00', NULL, NULL, 316, NULL, NULL, 20982),
(61603, '2pm7D01', NULL, NULL, 288, NULL, NULL, 20982),
(61604, '3scyA00', NULL, NULL, 361, NULL, NULL, 20982),
(61605, '4lgnA01', NULL, NULL, 335, NULL, NULL, 20982),
(61606, '1qniF01', NULL, NULL, 439, NULL, NULL, 20982),
(61607, '4immA00', NULL, NULL, 355, NULL, NULL, 20982),
(61608, '4ci8A02', NULL, NULL, 313, NULL, NULL, 20982),
(61609, '3vgzC00', NULL, NULL, 323, NULL, NULL, 20982),
(61610, '2pbiB00', NULL, NULL, 354, NULL, NULL, 20982),
(61611, '4ci8A01', NULL, NULL, 342, NULL, NULL, 20982),
(61612, '3jrpA01', NULL, NULL, 363, NULL, NULL, 20982),
(61613, '3c75H00', NULL, NULL, 375, NULL, NULL, 20982),
(61614, '3pieC02', NULL, NULL, 139, NULL, NULL, 20983),
(61615, '4l9bA02', NULL, NULL, 218, NULL, NULL, 20984),
(61616, '3ed4A02', NULL, NULL, 83, NULL, NULL, 20985),
(61617, '2qzuA02', NULL, NULL, 94, NULL, NULL, 20985),
(61618, '1hdhA02', NULL, NULL, 86, NULL, NULL, 20985),
(61619, '1aukA02', NULL, NULL, 101, NULL, NULL, 20985),
(61620, '1fsuA02', NULL, NULL, 121, NULL, NULL, 20985),
(61621, '1p49A03', NULL, NULL, 112, NULL, NULL, 20985),
(61622, '4fdiA02', NULL, NULL, 100, NULL, NULL, 20985),
(61623, '2wx4C00', NULL, NULL, 46, NULL, NULL, 20986),
(61624, '2wx3A00', NULL, NULL, 51, NULL, NULL, 20986),
(61625, '2fj6A01', NULL, NULL, 72, NULL, NULL, 20987),
(61626, '2kvsA00', NULL, NULL, 80, NULL, NULL, 20987),
(61627, '2o6kB00', NULL, NULL, 81, NULL, NULL, 20987),
(61628, '3fkyC01', NULL, NULL, 87, NULL, NULL, 20988),
(61629, '3ng0A01', NULL, NULL, 103, NULL, NULL, 20988),
(61630, '4s17A01', NULL, NULL, 103, NULL, NULL, 20988),
(61631, '4baxA01', NULL, NULL, 90, NULL, NULL, 20988),
(61632, '2ojwE01', NULL, NULL, 106, NULL, NULL, 20988),
(61633, '4is4A01', NULL, NULL, 103, NULL, NULL, 20988),
(61634, '1f52A02', NULL, NULL, 103, NULL, NULL, 20988),
(61635, '2uu7A01', NULL, NULL, 110, NULL, NULL, 20988),
(61636, '4hppA01', NULL, NULL, 101, NULL, NULL, 20988),
(61637, '2d3aA01', NULL, NULL, 103, NULL, NULL, 20988),
(61638, '4lniJ01', NULL, NULL, 106, NULL, NULL, 20988),
(61639, '5zliA01', NULL, NULL, 113, NULL, NULL, 20988),
(61640, '4acfA01', NULL, NULL, 103, NULL, NULL, 20988),
(61641, '4bbrM00', NULL, NULL, 193, NULL, NULL, 20989),
(61642, '3e9vA00', NULL, NULL, 120, NULL, NULL, 20990),
(61643, '3djnB00', NULL, NULL, 118, NULL, NULL, 20990),
(61644, '2z15A00', NULL, NULL, 130, NULL, NULL, 20990),
(61645, '2kerA00', NULL, NULL, 78, NULL, NULL, 20991),
(61646, '1ok0A00', NULL, NULL, 74, NULL, NULL, 20991),
(61647, '3f9rA02', NULL, NULL, 102, NULL, NULL, 20992),
(61648, '4bndA02', NULL, NULL, 96, NULL, NULL, 20992); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(61649, '2fueA02', NULL, NULL, 102, NULL, NULL, 20992),
(61650, '2i54A02', NULL, NULL, 102, NULL, NULL, 20992),
(61651, '5ue7A02', NULL, NULL, 102, NULL, NULL, 20992),
(61652, '2amyA02', NULL, NULL, 102, NULL, NULL, 20992),
(61653, '2b6cB02', NULL, NULL, 99, NULL, NULL, 20993),
(61654, '6m9mA02', NULL, NULL, 119, NULL, NULL, 20993),
(61655, '2yfqB01', NULL, NULL, 56, NULL, NULL, 20994),
(61656, '3aogA01', NULL, NULL, 62, NULL, NULL, 20994),
(61657, '3k8zA01', NULL, NULL, 50, NULL, NULL, 20994),
(61658, '4xgiA01', NULL, NULL, 77, NULL, NULL, 20994),
(61659, '3aoeD01', NULL, NULL, 64, NULL, NULL, 20994),
(61660, '3k92A01', NULL, NULL, 66, NULL, NULL, 20994),
(61661, '5ysnB01', NULL, NULL, 67, NULL, NULL, 20995),
(61662, '3iynR02', NULL, NULL, 46, NULL, NULL, 20996),
(61663, '3ighX03', NULL, NULL, 102, NULL, NULL, 20997),
(61664, '3icjA03', NULL, NULL, 102, NULL, NULL, 20997),
(61665, '3n8hA02', NULL, NULL, 76, NULL, NULL, 20998),
(61666, '1v8fA02', NULL, NULL, 99, NULL, NULL, 20998),
(61667, '3mxtA02', NULL, NULL, 100, NULL, NULL, 20998),
(61668, '2ejcA02', NULL, NULL, 100, NULL, NULL, 20998),
(61669, '3innA02', NULL, NULL, 101, NULL, NULL, 20998),
(61670, '3mueC02', NULL, NULL, 105, NULL, NULL, 20998),
(61671, '5kwvA02', NULL, NULL, 99, NULL, NULL, 20998),
(61672, '3uk2A02', NULL, NULL, 103, NULL, NULL, 20998),
(61673, '3covA02', NULL, NULL, 115, NULL, NULL, 20998),
(61674, '3ag6A02', NULL, NULL, 100, NULL, NULL, 20998),
(61675, '3q12B02', NULL, NULL, 105, NULL, NULL, 20998),
(61676, '1ihoA02', NULL, NULL, 104, NULL, NULL, 20998),
(61677, '3aagA01', NULL, NULL, 160, NULL, NULL, 20999),
(61678, '3aagB01', NULL, NULL, 158, NULL, NULL, 20999),
(61679, '3nl9A00', NULL, NULL, 171, NULL, NULL, 21000),
(61680, '2yf4F00', NULL, NULL, 154, NULL, NULL, 21000),
(61681, '1k4tA04', NULL, NULL, 179, NULL, NULL, 21001),
(61682, '1rr8C04', NULL, NULL, 109, NULL, NULL, 21001),
(61683, '1a35A04', NULL, NULL, 97, NULL, NULL, 21001),
(61684, '3n6xA03', NULL, NULL, 61, NULL, NULL, 21002),
(61685, '3bmbA01', NULL, NULL, 44, NULL, NULL, 21003),
(61686, '2pn0A01', NULL, NULL, 47, NULL, NULL, 21003),
(61687, '1efuB04', NULL, NULL, 47, NULL, NULL, 21003),
(61688, '1tfeA02', NULL, NULL, 45, NULL, NULL, 21003),
(61689, '2v3cC01', NULL, NULL, 113, NULL, NULL, 21004),
(61690, '4ak9B01', NULL, NULL, 107, NULL, NULL, 21004),
(61691, '2q9bB01', NULL, NULL, 92, NULL, NULL, 21004),
(61692, '2j7pD01', NULL, NULL, 75, NULL, NULL, 21004),
(61693, '2v3cD01', NULL, NULL, 88, NULL, NULL, 21004),
(61694, '1ls1A01', NULL, NULL, 89, NULL, NULL, 21004),
(61695, '1j8mF01', NULL, NULL, 89, NULL, NULL, 21004),
(61696, '2iylD01', NULL, NULL, 68, NULL, NULL, 21004),
(61697, '3b9qA01', NULL, NULL, 91, NULL, NULL, 21004),
(61698, '3e70C01', NULL, NULL, 108, NULL, NULL, 21004),
(61699, '2qy9A01', NULL, NULL, 90, NULL, NULL, 21004),
(61700, '1wgwA00', NULL, NULL, 99, NULL, NULL, 21004),
(61701, '4c7oD01', NULL, NULL, 64, NULL, NULL, 21004),
(61702, '3dm5A01', NULL, NULL, 115, NULL, NULL, 21004),
(61703, '1vmaA01', NULL, NULL, 95, NULL, NULL, 21004),
(61704, '5l3vB01', NULL, NULL, 93, NULL, NULL, 21004),
(61705, '1zu4A01', NULL, NULL, 96, NULL, NULL, 21004),
(61706, '4c7oA01', NULL, NULL, 90, NULL, NULL, 21004),
(61707, '5l3qA01', NULL, NULL, 67, NULL, NULL, 21004),
(61708, '1rj9A01', NULL, NULL, 82, NULL, NULL, 21004),
(61709, '2ffhA01', NULL, NULL, 114, NULL, NULL, 21004),
(61710, '1fftC00', NULL, NULL, 186, NULL, NULL, 21005),
(61711, '1qleC02', NULL, NULL, 196, NULL, NULL, 21005),
(61712, '2yevA03', NULL, NULL, 184, NULL, NULL, 21005),
(61713, '5b1aC02', NULL, NULL, 191, NULL, NULL, 21005),
(61714, '6giqc02', NULL, NULL, 191, NULL, NULL, 21005),
(61715, '1m56C02', NULL, NULL, 196, NULL, NULL, 21005),
(61716, '2j8gA02', NULL, NULL, 82, NULL, NULL, 21006),
(61717, '2qj6A03', NULL, NULL, 94, NULL, NULL, 21006),
(61718, '2v05A02', NULL, NULL, 182, NULL, NULL, 21006),
(61719, '2g7cB03', NULL, NULL, 98, NULL, NULL, 21006),
(61720, '2g7cA02', NULL, NULL, 91, NULL, NULL, 21006),
(61721, '2qj6A01', NULL, NULL, 147, NULL, NULL, 21006),
(61722, '4x36A02', NULL, NULL, 136, NULL, NULL, 21006);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(61723, '2g7cB01', NULL, NULL, 66, NULL, NULL, 21006),
(61724, '3kllA01', NULL, NULL, 168, NULL, NULL, 21006),
(61725, '2f6eA00', NULL, NULL, 127, NULL, NULL, 21006),
(61726, '1h8gA00', NULL, NULL, 95, NULL, NULL, 21006),
(61727, '2bmlA00', NULL, NULL, 126, NULL, NULL, 21006),
(61728, '4tvcA01', NULL, NULL, 197, NULL, NULL, 21006),
(61729, '4nc0A01', NULL, NULL, 68, NULL, NULL, 21006),
(61730, '4nc2A00', NULL, NULL, 126, NULL, NULL, 21006),
(61731, '4iwtA00', NULL, NULL, 146, NULL, NULL, 21006),
(61732, '3klkA01', NULL, NULL, 167, NULL, NULL, 21006),
(61733, '3hiaA00', NULL, NULL, 94, NULL, NULL, 21006),
(61734, '3dd9D01', NULL, NULL, 94, NULL, NULL, 21007),
(61735, '1y07B01', NULL, NULL, 40, NULL, NULL, 21008),
(61736, '3vvmA02', NULL, NULL, 108, NULL, NULL, 21009),
(61737, '2b61A02', NULL, NULL, 104, NULL, NULL, 21009),
(61738, '2pl5A02', NULL, NULL, 101, NULL, NULL, 21009),
(61739, '2xanA01', NULL, NULL, 160, NULL, NULL, 21010),
(61740, '4axcA01', NULL, NULL, 156, NULL, NULL, 21010),
(61741, '3d34B01', NULL, NULL, 176, NULL, NULL, 21011),
(61742, '3q13A01', NULL, NULL, 213, NULL, NULL, 21011),
(61743, '4kncA02', NULL, NULL, 118, NULL, NULL, 21012),
(61744, '3fldA01', NULL, NULL, 40, NULL, NULL, 21013),
(61745, '2l9jA00', NULL, NULL, 121, NULL, NULL, 21014),
(61746, '4c3eE00', NULL, NULL, 179, NULL, NULL, 21014),
(61747, '4cs9B02', NULL, NULL, 107, NULL, NULL, 21014),
(61748, '4cs9A00', NULL, NULL, 172, NULL, NULL, 21014),
(61749, '2eo2A00', NULL, NULL, 71, NULL, NULL, 21015),
(61750, '1vclA03', NULL, NULL, 148, NULL, NULL, 21016),
(61751, '3q23A05', NULL, NULL, 55, NULL, NULL, 21017),
(61752, '5m59A10', NULL, NULL, 142, NULL, NULL, 21018),
(61753, '3im2A01', NULL, NULL, 133, NULL, NULL, 21018),
(61754, '5dcaA06', NULL, NULL, 130, NULL, NULL, 21018),
(61755, '4f92B04', NULL, NULL, 142, NULL, NULL, 21018),
(61756, '2q0zX01', NULL, NULL, 117, NULL, NULL, 21018),
(61757, '3im1A01', NULL, NULL, 141, NULL, NULL, 21018),
(61758, '5m59A04', NULL, NULL, 142, NULL, NULL, 21018),
(61759, '4pn0C00', NULL, NULL, 264, NULL, NULL, 21019),
(61760, '1d8hA00', NULL, NULL, 311, NULL, NULL, 21019),
(61761, '3bgyA00', NULL, NULL, 237, NULL, NULL, 21019),
(61762, '1zvzA01', NULL, NULL, 129, NULL, NULL, 21020),
(61763, '4iggB02', NULL, NULL, 121, NULL, NULL, 21020),
(61764, '5xflC02', NULL, NULL, 128, NULL, NULL, 21020),
(61765, '5h5mA02', NULL, NULL, 146, NULL, NULL, 21020),
(61766, '1h6gA01', NULL, NULL, 119, NULL, NULL, 21020),
(61767, '1h6gA02', NULL, NULL, 126, NULL, NULL, 21020),
(61768, '2l7aA00', NULL, NULL, 131, NULL, NULL, 21020),
(61769, '1rkeB00', NULL, NULL, 185, NULL, NULL, 21020),
(61770, '3rf3B01', NULL, NULL, 129, NULL, NULL, 21020),
(61771, '3rf3A02', NULL, NULL, 129, NULL, NULL, 21020),
(61772, '1u89A00', NULL, NULL, 139, NULL, NULL, 21020),
(61773, '2lqgA00', NULL, NULL, 138, NULL, NULL, 21020),
(61774, '2b0hA01', NULL, NULL, 128, NULL, NULL, 21020),
(61775, '4iggB06', NULL, NULL, 215, NULL, NULL, 21020),
(61776, '3myiA00', NULL, NULL, 172, NULL, NULL, 21020),
(61777, '1tr2A05', NULL, NULL, 171, NULL, NULL, 21020),
(61778, '1tr2A04', NULL, NULL, 117, NULL, NULL, 21020),
(61779, '1tr2B05', NULL, NULL, 171, NULL, NULL, 21020),
(61780, '1qkrB00', NULL, NULL, 188, NULL, NULL, 21020),
(61781, '1sj8A02', NULL, NULL, 129, NULL, NULL, 21020),
(61782, '6duwA00', NULL, NULL, 192, NULL, NULL, 21020),
(61783, '1dowA00', NULL, NULL, 205, NULL, NULL, 21020),
(61784, '1yo7A00', NULL, NULL, 120, NULL, NULL, 21020),
(61785, '4p9tA01', NULL, NULL, 132, NULL, NULL, 21020),
(61786, '5w93A00', NULL, NULL, 137, NULL, NULL, 21020),
(61787, '6dv1A00', NULL, NULL, 219, NULL, NULL, 21020),
(61788, '4w8pA02', NULL, NULL, 130, NULL, NULL, 21020),
(61789, '4p9tA02', NULL, NULL, 112, NULL, NULL, 21020),
(61790, '6iw3A00', NULL, NULL, 82, NULL, NULL, 21021),
(61791, '1wspA00', NULL, NULL, 84, NULL, NULL, 21021),
(61792, '3pz8A00', NULL, NULL, 86, NULL, NULL, 21021),
(61793, '3pz7A00', NULL, NULL, 91, NULL, NULL, 21021),
(61794, '5y3cA00', NULL, NULL, 85, NULL, NULL, 21021),
(61795, '5y3bA00', NULL, NULL, 86, NULL, NULL, 21021);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(61796, '1jfwA00', NULL, NULL, 86, NULL, NULL, 21022),
(61797, '1tacA00', NULL, NULL, 86, NULL, NULL, 21022),
(61798, '1k5kA00', NULL, NULL, 87, NULL, NULL, 21022),
(61799, '1tbcA00', NULL, NULL, 86, NULL, NULL, 21022),
(61800, '1vlyA01', NULL, NULL, 97, NULL, NULL, 21023),
(61801, '1aorA01', NULL, NULL, 211, NULL, NULL, 21024),
(61802, '1b25A01', NULL, NULL, 209, NULL, NULL, 21024),
(61803, '4z3xA01', NULL, NULL, 211, NULL, NULL, 21024),
(61804, '2e9hA01', NULL, NULL, 113, NULL, NULL, 21025),
(61805, '2qmuC00', NULL, NULL, 138, NULL, NULL, 21025),
(61806, '3v4yB01', NULL, NULL, 29, NULL, NULL, 21026),
(61807, '4p04A01', NULL, NULL, 106, NULL, NULL, 21027),
(61808, '4i14A02', NULL, NULL, 135, NULL, NULL, 21028),
(61809, '2bz1A00', NULL, NULL, 174, NULL, NULL, 21028),
(61810, '4rl4A00', NULL, NULL, 176, NULL, NULL, 21028),
(61811, '1wvkA00', NULL, NULL, 86, NULL, NULL, 21029),
(61812, '1nc5A00', NULL, NULL, 373, NULL, NULL, 21030),
(61813, '1h54A02', NULL, NULL, 367, NULL, NULL, 21030),
(61814, '3w5mA05', NULL, NULL, 337, NULL, NULL, 21030),
(61815, '5yj6A01', NULL, NULL, 434, NULL, NULL, 21030),
(61816, '5czlA00', NULL, NULL, 316, NULL, NULL, 21030),
(61817, '3wiwA00', NULL, NULL, 375, NULL, NULL, 21030),
(61818, '3wkgA00', NULL, NULL, 412, NULL, NULL, 21030),
(61819, '4z4jA00', NULL, NULL, 402, NULL, NULL, 21030),
(61820, '3rrsA04', NULL, NULL, 387, NULL, NULL, 21030),
(61821, '3w7tA03', NULL, NULL, 457, NULL, NULL, 21030),
(61822, '4doeA00', NULL, NULL, 454, NULL, NULL, 21030),
(61823, '4j5tA02', NULL, NULL, 495, NULL, NULL, 21030),
(61824, '1tf4A01', NULL, NULL, 454, NULL, NULL, 21030),
(61825, '1v5dA01', NULL, NULL, 357, NULL, NULL, 21030),
(61826, '1wzzA00', NULL, NULL, 334, NULL, NULL, 21030),
(61827, '5bv9A01', NULL, NULL, 484, NULL, NULL, 21030),
(61828, '2zblB00', NULL, NULL, 421, NULL, NULL, 21030),
(61829, '1g87A01', NULL, NULL, 450, NULL, NULL, 21030),
(61830, '5zigA00', NULL, NULL, 404, NULL, NULL, 21030),
(61831, '3qxfA00', NULL, NULL, 339, NULL, NULL, 21030),
(61832, '1ut9A02', NULL, NULL, 511, NULL, NULL, 21030),
(61833, '3gt5A00', NULL, NULL, 402, NULL, NULL, 21030),
(61834, '2yikA00', NULL, NULL, 494, NULL, NULL, 21030),
(61835, '3h7lB02', NULL, NULL, 492, NULL, NULL, 21030),
(61836, '3t33A00', NULL, NULL, 415, NULL, NULL, 21030),
(61837, '5z66A00', NULL, NULL, 522, NULL, NULL, 21030),
(61838, '3gzkA02', NULL, NULL, 452, NULL, NULL, 21030),
(61839, '1h12A00', NULL, NULL, 405, NULL, NULL, 21030),
(61840, '4ce7B00', NULL, NULL, 349, NULL, NULL, 21030),
(61841, '5noaA00', NULL, NULL, 354, NULL, NULL, 21030),
(61842, '1gaiA00', NULL, NULL, 472, NULL, NULL, 21030),
(61843, '3p2cA01', NULL, NULL, 433, NULL, NULL, 21030),
(61844, '5m7yA01', NULL, NULL, 423, NULL, NULL, 21030),
(61845, '4q88A00', NULL, NULL, 359, NULL, NULL, 21030),
(61846, '5dgrB02', NULL, NULL, 494, NULL, NULL, 21030),
(61847, '3actA04', NULL, NULL, 387, NULL, NULL, 21030),
(61848, '6gdtE02', NULL, NULL, 473, NULL, NULL, 21030),
(61849, '4q2bB00', NULL, NULL, 349, NULL, NULL, 21030),
(61850, '3on6A01', NULL, NULL, 429, NULL, NULL, 21030),
(61851, '1ks8A00', NULL, NULL, 433, NULL, NULL, 21030),
(61852, '5xd0A01', NULL, NULL, 351, NULL, NULL, 21030),
(61853, '1v7wA03', NULL, NULL, 415, NULL, NULL, 21030),
(61854, '1ulvA02', NULL, NULL, 414, NULL, NULL, 21030),
(61855, '3e6uA00', NULL, NULL, 411, NULL, NULL, 21030),
(61856, '1wu4A01', NULL, NULL, 374, NULL, NULL, 21030),
(61857, '1dl2A00', NULL, NULL, 511, NULL, NULL, 21030),
(61858, '4l6xA01', NULL, NULL, 437, NULL, NULL, 21030),
(61859, '4ayoA00', NULL, NULL, 447, NULL, NULL, 21030),
(61860, '1ia6A00', NULL, NULL, 441, NULL, NULL, 21030),
(61861, '2gz6A00', NULL, NULL, 388, NULL, NULL, 21030),
(61862, '3vw5A00', NULL, NULL, 389, NULL, NULL, 21030),
(61863, '6g00A01', NULL, NULL, 389, NULL, NULL, 21030),
(61864, '4wu0A00', NULL, NULL, 361, NULL, NULL, 21030),
(61865, '2rgkA00', NULL, NULL, 421, NULL, NULL, 21030),
(61866, '4ktpA03', NULL, NULL, 391, NULL, NULL, 21030),
(61867, '2vn4A01', NULL, NULL, 485, NULL, NULL, 21030),
(61868, '4fusA01', NULL, NULL, 434, NULL, NULL, 21030);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(61869, '4zh5A00', NULL, NULL, 426, NULL, NULL, 21030),
(61870, '1fp3A00', NULL, NULL, 402, NULL, NULL, 21030),
(61871, '3pmmA00', NULL, NULL, 382, NULL, NULL, 21030),
(61872, '4xuvA00', NULL, NULL, 373, NULL, NULL, 21030),
(61873, '4cj0A02', NULL, NULL, 439, NULL, NULL, 21030),
(61874, '2p0vA01', NULL, NULL, 437, NULL, NULL, 21030),
(61875, '5gxxA01', NULL, NULL, 439, NULL, NULL, 21030),
(61876, '2xfgA00', NULL, NULL, 446, NULL, NULL, 21030),
(61877, '3renA00', NULL, NULL, 350, NULL, NULL, 21030),
(61878, '2ahfA00', NULL, NULL, 377, NULL, NULL, 21030),
(61879, '3qwtA00', NULL, NULL, 381, NULL, NULL, 21030),
(61880, '3qryA01', NULL, NULL, 423, NULL, NULL, 21030),
(61881, '2zzrA00', NULL, NULL, 397, NULL, NULL, 21030),
(61882, '4wvaB00', NULL, NULL, 420, NULL, NULL, 21030),
(61883, '3wc3A00', NULL, NULL, 438, NULL, NULL, 21030),
(61884, '6f04A00', NULL, NULL, 399, NULL, NULL, 21030),
(61885, '5x32B00', NULL, NULL, 394, NULL, NULL, 21030),
(61886, '5yxtA01', NULL, NULL, 371, NULL, NULL, 21030),
(61887, '5cd2A00', NULL, NULL, 348, NULL, NULL, 21030),
(61888, '2jg0A00', NULL, NULL, 517, NULL, NULL, 21030),
(61889, '1kwfA00', NULL, NULL, 363, NULL, NULL, 21030),
(61890, '4jjjA01', NULL, NULL, 432, NULL, NULL, 21030),
(61891, '2okxA05', NULL, NULL, 334, NULL, NULL, 21030),
(61892, '4xwmA01', NULL, NULL, 440, NULL, NULL, 21030),
(61893, '1x9dA00', NULL, NULL, 455, NULL, NULL, 21030),
(61894, '3qdeA04', NULL, NULL, 381, NULL, NULL, 21030),
(61895, '1hcuC00', NULL, NULL, 503, NULL, NULL, 21030),
(61896, '1lf6A02', NULL, NULL, 392, NULL, NULL, 21030),
(61897, '2ri9A00', NULL, NULL, 475, NULL, NULL, 21030),
(61898, '1nxcA00', NULL, NULL, 478, NULL, NULL, 21030),
(61899, '3k11A00', NULL, NULL, 445, NULL, NULL, 21030),
(61900, '3x17A02', NULL, NULL, 446, NULL, NULL, 21030),
(61901, '1g9gA01', NULL, NULL, 425, NULL, NULL, 21030),
(61902, '2fbaA00', NULL, NULL, 492, NULL, NULL, 21030),
(61903, '2eabA02', NULL, NULL, 511, NULL, NULL, 21030),
(61904, '5gy3A00', NULL, NULL, 310, NULL, NULL, 21030),
(61905, '3wirA02', NULL, NULL, 386, NULL, NULL, 21030),
(61906, '3rbyA01', NULL, NULL, 150, NULL, NULL, 21031),
(61907, '4pj1100', NULL, NULL, 114, NULL, NULL, 21032),
(61908, '1p3hB00', NULL, NULL, 99, NULL, NULL, 21032),
(61909, '1pcqO00', NULL, NULL, 97, NULL, NULL, 21032),
(61910, '1g31A00', NULL, NULL, 111, NULL, NULL, 21032),
(61911, '1wnrG00', NULL, NULL, 94, NULL, NULL, 21032),
(61912, '3nx6A00', NULL, NULL, 95, NULL, NULL, 21032),
(61913, '4fioC02', NULL, NULL, 203, NULL, NULL, 21033),
(61914, '1qlmA02', NULL, NULL, 198, NULL, NULL, 21033),
(61915, '4gvqA02', NULL, NULL, 198, NULL, NULL, 21033),
(61916, '3vbcA00', NULL, NULL, 162, NULL, NULL, 21034),
(61917, '5me7A00', NULL, NULL, 186, NULL, NULL, 21035),
(61918, '2idrA00', NULL, NULL, 177, NULL, NULL, 21035),
(61919, '1ztpA01', NULL, NULL, 219, NULL, NULL, 21035),
(61920, '6fc0A00', NULL, NULL, 200, NULL, NULL, 21035),
(61921, '5m7zB00', NULL, NULL, 190, NULL, NULL, 21035),
(61922, '2wmcA00', NULL, NULL, 178, NULL, NULL, 21035),
(61923, '5t46C00', NULL, NULL, 188, NULL, NULL, 21035),
(61924, '5abxA00', NULL, NULL, 190, NULL, NULL, 21035),
(61925, '1ap8A00', NULL, NULL, 213, NULL, NULL, 21035),
(61926, '3m94A00', NULL, NULL, 189, NULL, NULL, 21035),
(61927, '4ue8A00', NULL, NULL, 184, NULL, NULL, 21035),
(61928, '4b6uA00', NULL, NULL, 207, NULL, NULL, 21035),
(61929, '2jgbA01', NULL, NULL, 173, NULL, NULL, 21035),
(61930, '3hxiA01', NULL, NULL, 171, NULL, NULL, 21035),
(61931, '1o75A02', NULL, NULL, 112, NULL, NULL, 21036),
(61932, '3d36C01', NULL, NULL, 34, NULL, NULL, 21037),
(61933, '1pv0A01', NULL, NULL, 34, NULL, NULL, 21037),
(61934, '2kn8A00', NULL, NULL, 68, NULL, NULL, 21038),
(61935, '2qrdB01', NULL, NULL, 38, NULL, NULL, 21039),
(61936, '3t4nB01', NULL, NULL, 39, NULL, NULL, 21039),
(61937, '2qlvB02', NULL, NULL, 38, NULL, NULL, 21039),
(61938, '2a2fX01', NULL, NULL, 180, NULL, NULL, 21040),
(61939, '1tuwA00', NULL, NULL, 109, NULL, NULL, 21041),
(61940, '3i08A02', NULL, NULL, 96, NULL, NULL, 21042),
(61941, '3i08A01', NULL, NULL, 81, NULL, NULL, 21042);
INSERT INTO "PUBLIC"."MODEL" VALUES
(61942, '6aaaA02', NULL, NULL, 181, NULL, NULL, 21043),
(61943, '1lciA02', NULL, NULL, 142, NULL, NULL, 21043),
(61944, '6aaaA03', NULL, NULL, 158, NULL, NULL, 21043),
(61945, '3a9uA02', NULL, NULL, 148, NULL, NULL, 21043),
(61946, '3cw9A02', NULL, NULL, 147, NULL, NULL, 21043),
(61947, '3a9uA01', NULL, NULL, 172, NULL, NULL, 21043),
(61948, '5u95B02', NULL, NULL, 148, NULL, NULL, 21043),
(61949, '3cw9A01', NULL, NULL, 174, NULL, NULL, 21043),
(61950, '1amuA02', NULL, NULL, 140, NULL, NULL, 21043),
(61951, '1amuA01', NULL, NULL, 170, NULL, NULL, 21043),
(61952, '1mdbA01', NULL, NULL, 158, NULL, NULL, 21043),
(61953, '1mdbA02', NULL, NULL, 174, NULL, NULL, 21043),
(61954, '5u95B01', NULL, NULL, 172, NULL, NULL, 21043),
(61955, '2d1sA02', NULL, NULL, 179, NULL, NULL, 21043),
(61956, '5kytA03', NULL, NULL, 159, NULL, NULL, 21043),
(61957, '5kytA02', NULL, NULL, 181, NULL, NULL, 21043),
(61958, '4rlqA01', NULL, NULL, 241, NULL, NULL, 21043),
(61959, '2d1sA03', NULL, NULL, 159, NULL, NULL, 21043),
(61960, '2vsqA03', NULL, NULL, 190, NULL, NULL, 21043),
(61961, '2vsqA04', NULL, NULL, 136, NULL, NULL, 21043),
(61962, '2mdfA00', NULL, NULL, 57, NULL, NULL, 21044),
(61963, '2gqtA03', NULL, NULL, 77, NULL, NULL, 21045),
(61964, '3i99A03', NULL, NULL, 126, NULL, NULL, 21045),
(61965, '1uxyA01', NULL, NULL, 124, NULL, NULL, 21045),
(61966, '3tx1A03', NULL, NULL, 87, NULL, NULL, 21045),
(61967, '1hskA03', NULL, NULL, 97, NULL, NULL, 21045),
(61968, '4pytA03', NULL, NULL, 93, NULL, NULL, 21045),
(61969, '4jb1A03', NULL, NULL, 111, NULL, NULL, 21045),
(61970, '5jzxD03', NULL, NULL, 127, NULL, NULL, 21045),
(61971, '1n7zA02', NULL, NULL, 158, NULL, NULL, 21046),
(61972, '5b3pA00', NULL, NULL, 134, NULL, NULL, 21047),
(61973, '3mcrA00', NULL, NULL, 155, NULL, NULL, 21047),
(61974, '5cqgA02', NULL, NULL, 72, NULL, NULL, 21048),
(61975, '2j42A03', NULL, NULL, 103, NULL, NULL, 21049),
(61976, '3tewA03', NULL, NULL, 119, NULL, NULL, 21049),
(61977, '2jhpA03', NULL, NULL, 121, NULL, NULL, 21050),
(61978, '4bjtA02', NULL, NULL, 50, NULL, NULL, 21051),
(61979, '2o9xA01', NULL, NULL, 103, NULL, NULL, 21052),
(61980, '3okqA00', NULL, NULL, 141, NULL, NULL, 21053),
(61981, '1wsrA03', NULL, NULL, 46, NULL, NULL, 21054),
(61982, '1wosA03', NULL, NULL, 41, NULL, NULL, 21054),
(61983, '3a8kA03', NULL, NULL, 45, NULL, NULL, 21054),
(61984, '3girA03', NULL, NULL, 46, NULL, NULL, 21054),
(61985, '1yx2A03', NULL, NULL, 44, NULL, NULL, 21054),
(61986, '1vloA03', NULL, NULL, 45, NULL, NULL, 21054),
(61987, '4ng0B00', NULL, NULL, 97, NULL, NULL, 21055),
(61988, '1yzmA00', NULL, NULL, 51, NULL, NULL, 21056),
(61989, '3dkqA02', NULL, NULL, 47, NULL, NULL, 21056),
(61990, '3v1aA00', NULL, NULL, 48, NULL, NULL, 21056),
(61991, '1z0kB00', NULL, NULL, 69, NULL, NULL, 21056),
(61992, '1z0jB00', NULL, NULL, 59, NULL, NULL, 21056),
(61993, '1dgfA02', NULL, NULL, 258, NULL, NULL, 21057),
(61994, '4qolA00', NULL, NULL, 491, NULL, NULL, 21057),
(61995, '1a4eA00', NULL, NULL, 488, NULL, NULL, 21057),
(61996, '3e4wA02', NULL, NULL, 207, NULL, NULL, 21057),
(61997, '1m7sB00', NULL, NULL, 484, NULL, NULL, 21057),
(61998, '4cabA00', NULL, NULL, 507, NULL, NULL, 21057),
(61999, '4e37A00', NULL, NULL, 484, NULL, NULL, 21057),
(62000, '1gweA00', NULL, NULL, 503, NULL, NULL, 21057),
(62001, '4b7hA02', NULL, NULL, 257, NULL, NULL, 21057),
(62002, '5bv2Q01', NULL, NULL, 493, NULL, NULL, 21057),
(62003, '1sy7A01', NULL, NULL, 361, NULL, NULL, 21057),
(62004, '3ttvA01', NULL, NULL, 386, NULL, NULL, 21057),
(62005, '1si8A00', NULL, NULL, 484, NULL, NULL, 21057),
(62006, '2j2mA00', NULL, NULL, 491, NULL, NULL, 21057),
(62007, '1u5uA00', NULL, NULL, 374, NULL, NULL, 21057),
(62008, '2xq1H00', NULL, NULL, 509, NULL, NULL, 21057),
(62009, '1qwmA00', NULL, NULL, 505, NULL, NULL, 21057),
(62010, '3dy5A01', NULL, NULL, 488, NULL, NULL, 21057),
(62011, '4aumB01', NULL, NULL, 426, NULL, NULL, 21057),
(62012, '1e93A00', NULL, NULL, 484, NULL, NULL, 21057),
(62013, '2isaA00', NULL, NULL, 483, NULL, NULL, 21057),
(62014, '1f4jA00', NULL, NULL, 479, NULL, NULL, 21057);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(62015, '4aj9A01', NULL, NULL, 430, NULL, NULL, 21057),
(62016, '3rgpA02', NULL, NULL, 258, NULL, NULL, 21057),
(62017, '2iufA01', NULL, NULL, 428, NULL, NULL, 21057),
(62018, '1vrbA02', NULL, NULL, 87, NULL, NULL, 21058),
(62019, '4lh9A00', NULL, NULL, 40, NULL, NULL, 21059),
(62020, '3pmqA02', NULL, NULL, 50, NULL, NULL, 21060),
(62021, '3suuA01', NULL, NULL, 365, NULL, NULL, 21061),
(62022, '1cgtA01', NULL, NULL, 400, NULL, NULL, 21061),
(62023, '6d5cA00', NULL, NULL, 350, NULL, NULL, 21061),
(62024, '5ns6A00', NULL, NULL, 439, NULL, NULL, 21061),
(62025, '4rl3A00', NULL, NULL, 272, NULL, NULL, 21061),
(62026, '4iugA01', NULL, NULL, 355, NULL, NULL, 21061),
(62027, '4lx4B00', NULL, NULL, 330, NULL, NULL, 21061),
(62028, '2e8yA03', NULL, NULL, 426, NULL, NULL, 21061),
(62029, '4yn5A00', NULL, NULL, 403, NULL, NULL, 21061),
(62030, '2y24A02', NULL, NULL, 276, NULL, NULL, 21061),
(62031, '1egzA00', NULL, NULL, 291, NULL, NULL, 21061),
(62032, '1vjzA00', NULL, NULL, 325, NULL, NULL, 21061),
(62033, '5bn7A01', NULL, NULL, 393, NULL, NULL, 21061),
(62034, '3pztB00', NULL, NULL, 297, NULL, NULL, 21061),
(62035, '6mvgA03', NULL, NULL, 299, NULL, NULL, 21061),
(62036, '3hjeA01', NULL, NULL, 295, NULL, NULL, 21061),
(62037, '5cpsB01', NULL, NULL, 499, NULL, NULL, 21061),
(62038, '4f66A00', NULL, NULL, 480, NULL, NULL, 21061),
(62039, '3cz8A01', NULL, NULL, 262, NULL, NULL, 21061),
(62040, '2f2hA02', NULL, NULL, 371, NULL, NULL, 21061),
(62041, '3thdA01', NULL, NULL, 282, NULL, NULL, 21061),
(62042, '3ayrA00', NULL, NULL, 376, NULL, NULL, 21061),
(62043, '4ee9A00', NULL, NULL, 321, NULL, NULL, 21061),
(62044, '6f8nB01', NULL, NULL, 317, NULL, NULL, 21061),
(62045, '5a6mA02', NULL, NULL, 283, NULL, NULL, 21061),
(62046, '4xx6B00', NULL, NULL, 321, NULL, NULL, 21061),
(62047, '4q7nA01', NULL, NULL, 293, NULL, NULL, 21061),
(62048, '3wn6A01', NULL, NULL, 346, NULL, NULL, 21061),
(62049, '3wdhA03', NULL, NULL, 421, NULL, NULL, 21061),
(62050, '2c0hA00', NULL, NULL, 353, NULL, NULL, 21061),
(62051, '6mvhA03', NULL, NULL, 299, NULL, NULL, 21061),
(62052, '4e2oA01', NULL, NULL, 366, NULL, NULL, 21061),
(62053, '4tufA00', NULL, NULL, 346, NULL, NULL, 21061),
(62054, '1v6yA00', NULL, NULL, 324, NULL, NULL, 21061),
(62055, '1gcyA01', NULL, NULL, 360, NULL, NULL, 21061),
(62056, '4hu8A02', NULL, NULL, 378, NULL, NULL, 21061),
(62057, '4d6gA01', NULL, NULL, 363, NULL, NULL, 21061),
(62058, '4qfuE01', NULL, NULL, 254, NULL, NULL, 21061),
(62059, '2wmfA01', NULL, NULL, 339, NULL, NULL, 21061),
(62060, '4qawA02', NULL, NULL, 283, NULL, NULL, 21061),
(62061, '5x7gA02', NULL, NULL, 343, NULL, NULL, 21061),
(62062, '4amcA03', NULL, NULL, 242, NULL, NULL, 21061),
(62063, '1pbgA00', NULL, NULL, 468, NULL, NULL, 21061),
(62064, '1uuqA00', NULL, NULL, 419, NULL, NULL, 21061),
(62065, '2xhyD00', NULL, NULL, 479, NULL, NULL, 21061),
(62066, '1hx0A01', NULL, NULL, 403, NULL, NULL, 21061),
(62067, '3wh7A00', NULL, NULL, 457, NULL, NULL, 21061),
(62068, '3mu7A00', NULL, NULL, 273, NULL, NULL, 21061),
(62069, '3k1dA02', NULL, NULL, 396, NULL, NULL, 21061),
(62070, '2g3mA02', NULL, NULL, 376, NULL, NULL, 21061),
(62071, '4fk9A00', NULL, NULL, 318, NULL, NULL, 21061),
(62072, '4w8lA00', NULL, NULL, 352, NULL, NULL, 21061),
(62073, '3rcnA02', NULL, NULL, 349, NULL, NULL, 21061),
(62074, '1yhtA00', NULL, NULL, 367, NULL, NULL, 21061),
(62075, '1qnrA00', NULL, NULL, 344, NULL, NULL, 21061),
(62076, '2wc7A01', NULL, NULL, 397, NULL, NULL, 21061),
(62077, '1itxA01', NULL, NULL, 346, NULL, NULL, 21061),
(62078, '3wdpP00', NULL, NULL, 473, NULL, NULL, 21061),
(62079, '3oa5B02', NULL, NULL, 382, NULL, NULL, 21061),
(62080, '4re2A00', NULL, NULL, 487, NULL, NULL, 21061),
(62081, '2x8rB00', NULL, NULL, 210, NULL, NULL, 21061),
(62082, '1ht6A01', NULL, NULL, 346, NULL, NULL, 21061),
(62083, '5y6tA00', NULL, NULL, 365, NULL, NULL, 21061),
(62084, '3obaA03', NULL, NULL, 312, NULL, NULL, 21061),
(62085, '1aq0A00', NULL, NULL, 306, NULL, NULL, 21061),
(62086, '3wdqA00', NULL, NULL, 330, NULL, NULL, 21061),
(62087, '3cbwA00', NULL, NULL, 353, NULL, NULL, 21061);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(62088, '1e4mM00', NULL, NULL, 501, NULL, NULL, 21061),
(62089, '5e6zA02', NULL, NULL, 383, NULL, NULL, 21061),
(62090, '4bzyA01', NULL, NULL, 443, NULL, NULL, 21061),
(62091, '2nw0A00', NULL, NULL, 189, NULL, NULL, 21061),
(62092, '4uzsB01', NULL, NULL, 406, NULL, NULL, 21061),
(62093, '6i6rA02', NULL, NULL, 354, NULL, NULL, 21061),
(62094, '5yhsA00', NULL, NULL, 475, NULL, NULL, 21061),
(62095, '3topA03', NULL, NULL, 379, NULL, NULL, 21061),
(62096, '2cygA00', NULL, NULL, 312, NULL, NULL, 21061),
(62097, '4w8bA00', NULL, NULL, 386, NULL, NULL, 21061),
(62098, '1i1wA00', NULL, NULL, 303, NULL, NULL, 21061),
(62099, '1jakA01', NULL, NULL, 321, NULL, NULL, 21061),
(62100, '4mdpA00', NULL, NULL, 477, NULL, NULL, 21061),
(62101, '2xvlA03', NULL, NULL, 365, NULL, NULL, 21061),
(62102, '2dh2A01', NULL, NULL, 333, NULL, NULL, 21061),
(62103, '5ndxA02', NULL, NULL, 358, NULL, NULL, 21061),
(62104, '1wcgA00', NULL, NULL, 464, NULL, NULL, 21061),
(62105, '1smaA02', NULL, NULL, 326, NULL, NULL, 21061),
(62106, '6fmeA01', NULL, NULL, 352, NULL, NULL, 21061),
(62107, '2uy2A00', NULL, NULL, 294, NULL, NULL, 21061),
(62108, '4bs0A00', NULL, NULL, 318, NULL, NULL, 21061),
(62109, '6d25A02', NULL, NULL, 361, NULL, NULL, 21061),
(62110, '3ndzA00', NULL, NULL, 345, NULL, NULL, 21061),
(62111, '5fipB00', NULL, NULL, 334, NULL, NULL, 21061),
(62112, '4h41B00', NULL, NULL, 340, NULL, NULL, 21061),
(62113, '3aieA02', NULL, NULL, 254, NULL, NULL, 21061),
(62114, '1uokA01', NULL, NULL, 410, NULL, NULL, 21061),
(62115, '1ceoA00', NULL, NULL, 343, NULL, NULL, 21061),
(62116, '1nowA02', NULL, NULL, 359, NULL, NULL, 21061),
(62117, '4yztA01', NULL, NULL, 314, NULL, NULL, 21061),
(62118, '3dc0A01', NULL, NULL, 344, NULL, NULL, 21061),
(62119, '5e0cA01', NULL, NULL, 339, NULL, NULL, 21061),
(62120, '2y2wC02', NULL, NULL, 382, NULL, NULL, 21061),
(62121, '5i0fB03', NULL, NULL, 363, NULL, NULL, 21061),
(62122, '4u33A03', NULL, NULL, 371, NULL, NULL, 21061),
(62123, '2aaaA01', NULL, NULL, 374, NULL, NULL, 21061),
(62124, '2e4tA02', NULL, NULL, 388, NULL, NULL, 21061),
(62125, '5mrjA00', NULL, NULL, 307, NULL, NULL, 21061),
(62126, '1wzaA01', NULL, NULL, 340, NULL, NULL, 21061),
(62127, '5i78A00', NULL, NULL, 305, NULL, NULL, 21061),
(62128, '3pzgA00', NULL, NULL, 357, NULL, NULL, 21061),
(62129, '5t9gB03', NULL, NULL, 326, NULL, NULL, 21061),
(62130, '3ahyA00', NULL, NULL, 473, NULL, NULL, 21061),
(62131, '5d9oA01', NULL, NULL, 338, NULL, NULL, 21061),
(62132, '3kl0A02', NULL, NULL, 283, NULL, NULL, 21061),
(62133, '4w88B00', NULL, NULL, 340, NULL, NULL, 21061),
(62134, '3gycA00', NULL, NULL, 393, NULL, NULL, 21061),
(62135, '4m29A02', NULL, NULL, 339, NULL, NULL, 21061),
(62136, '1m53A01', NULL, NULL, 423, NULL, NULL, 21061),
(62137, '4dwsA02', NULL, NULL, 421, NULL, NULL, 21061),
(62138, '4aeeA03', NULL, NULL, 324, NULL, NULL, 21061),
(62139, '4hpgA00', NULL, NULL, 316, NULL, NULL, 21061),
(62140, '1wzlA02', NULL, NULL, 326, NULL, NULL, 21061),
(62141, '5a57A02', NULL, NULL, 294, NULL, NULL, 21061),
(62142, '4w5zA00', NULL, NULL, 323, NULL, NULL, 21061),
(62143, '3zizA00', NULL, NULL, 359, NULL, NULL, 21061),
(62144, '1jz7A03', NULL, NULL, 291, NULL, NULL, 21061),
(62145, '4w7wA00', NULL, NULL, 313, NULL, NULL, 21061),
(62146, '4tx6B00', NULL, NULL, 310, NULL, NULL, 21061),
(62147, '2ddxA00', NULL, NULL, 333, NULL, NULL, 21061),
(62148, '1hjqA00', NULL, NULL, 332, NULL, NULL, 21061),
(62149, '2j78A00', NULL, NULL, 444, NULL, NULL, 21061),
(62150, '6gl2A00', NULL, NULL, 337, NULL, NULL, 21061),
(62151, '2yocB04', NULL, NULL, 580, NULL, NULL, 21061),
(62152, '4y7eA00', NULL, NULL, 311, NULL, NULL, 21061),
(62153, '6hpfA00', NULL, NULL, 312, NULL, NULL, 21061),
(62154, '4iplB00', NULL, NULL, 470, NULL, NULL, 21061),
(62155, '1g0cA00', NULL, NULL, 364, NULL, NULL, 21061),
(62156, '3clwA02', NULL, NULL, 391, NULL, NULL, 21061),
(62157, '1b31A00', NULL, NULL, 302, NULL, NULL, 21061),
(62158, '1tg7A01', NULL, NULL, 355, NULL, NULL, 21061),
(62159, '3edfA02', NULL, NULL, 419, NULL, NULL, 21061),
(62160, '3gnpA00', NULL, NULL, 488, NULL, NULL, 21061);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(62161, '4xb3A01', NULL, NULL, 399, NULL, NULL, 21061),
(62162, '1kfwA01', NULL, NULL, 372, NULL, NULL, 21061),
(62163, '3u7bA00', NULL, NULL, 327, NULL, NULL, 21061),
(62164, '2w5fA02', NULL, NULL, 361, NULL, NULL, 21061),
(62165, '2zxqA02', NULL, NULL, 296, NULL, NULL, 21061),
(62166, '6b6lA03', NULL, NULL, 281, NULL, NULL, 21061),
(62167, '3vgfA02', NULL, NULL, 362, NULL, NULL, 21061),
(62168, '2vzsA03', NULL, NULL, 339, NULL, NULL, 21061),
(62169, '4toqA00', NULL, NULL, 273, NULL, NULL, 21061),
(62170, '2w61A01', NULL, NULL, 324, NULL, NULL, 21061),
(62171, '3vupA00', NULL, NULL, 351, NULL, NULL, 21061),
(62172, '2v5cA02', NULL, NULL, 316, NULL, NULL, 21061),
(62173, '3gm8A03', NULL, NULL, 340, NULL, NULL, 21061),
(62174, '1gjwA01', NULL, NULL, 568, NULL, NULL, 21061),
(62175, '6q6nB01', NULL, NULL, 380, NULL, NULL, 21061),
(62176, '4j3vA03', NULL, NULL, 580, NULL, NULL, 21061),
(62177, '4e8dA01', NULL, NULL, 274, NULL, NULL, 21061),
(62178, '4ff5A00', NULL, NULL, 229, NULL, NULL, 21061),
(62179, '4jcmA01', NULL, NULL, 385, NULL, NULL, 21061),
(62180, '5ay7B00', NULL, NULL, 355, NULL, NULL, 21061),
(62181, '3viiA00', NULL, NULL, 487, NULL, NULL, 21061),
(62182, '3eypA01', NULL, NULL, 315, NULL, NULL, 21061),
(62183, '4cu7A03', NULL, NULL, 335, NULL, NULL, 21061),
(62184, '3nydA00', NULL, NULL, 316, NULL, NULL, 21061),
(62185, '1ll7A01', NULL, NULL, 329, NULL, NULL, 21061),
(62186, '4aysA02', NULL, NULL, 405, NULL, NULL, 21061),
(62187, '3ttyA01', NULL, NULL, 393, NULL, NULL, 21061),
(62188, '2wagA00', NULL, NULL, 220, NULL, NULL, 21061),
(62189, '1odzA00', NULL, NULL, 386, NULL, NULL, 21061),
(62190, '4aefA03', NULL, NULL, 385, NULL, NULL, 21061),
(62191, '1iv8A01', NULL, NULL, 305, NULL, NULL, 21061),
(62192, '2d1zA01', NULL, NULL, 300, NULL, NULL, 21061),
(62193, '5jbkA00', NULL, NULL, 466, NULL, NULL, 21061),
(62194, '2x1iA00', NULL, NULL, 500, NULL, NULL, 21061),
(62195, '1ghsA00', NULL, NULL, 306, NULL, NULL, 21061),
(62196, '5l9cA00', NULL, NULL, 314, NULL, NULL, 21061),
(62197, '5do8C01', NULL, NULL, 411, NULL, NULL, 21061),
(62198, '4jclA01', NULL, NULL, 401, NULL, NULL, 21061),
(62199, '2ebnA00', NULL, NULL, 289, NULL, NULL, 21061),
(62200, '4c7gA02', NULL, NULL, 321, NULL, NULL, 21061),
(62201, '3og2A01', NULL, NULL, 357, NULL, NULL, 21061),
(62202, '6gn6A01', NULL, NULL, 324, NULL, NULL, 21061),
(62203, '2ya0A02', NULL, NULL, 482, NULL, NULL, 21061),
(62204, '1v02A00', NULL, NULL, 484, NULL, NULL, 21061),
(62205, '5uhxA00', NULL, NULL, 323, NULL, NULL, 21061),
(62206, '3aj7A01', NULL, NULL, 436, NULL, NULL, 21061),
(62207, '1h4pA00', NULL, NULL, 408, NULL, NULL, 21061),
(62208, '5h2tA01', NULL, NULL, 393, NULL, NULL, 21061),
(62209, '5i0dA03', NULL, NULL, 381, NULL, NULL, 21061),
(62210, '3g6mA01', NULL, NULL, 325, NULL, NULL, 21061),
(62211, '2xfrA00', NULL, NULL, 489, NULL, NULL, 21061),
(62212, '2y8vA01', NULL, NULL, 273, NULL, NULL, 21061),
(62213, '4wf7A01', NULL, NULL, 395, NULL, NULL, 21061),
(62214, '5c71A03', NULL, NULL, 329, NULL, NULL, 21061),
(62215, '1ea9C02', NULL, NULL, 326, NULL, NULL, 21061),
(62216, '4zxoA00', NULL, NULL, 352, NULL, NULL, 21061),
(62217, '4nf7A00', NULL, NULL, 363, NULL, NULL, 21061),
(62218, '3tp4B01', NULL, NULL, 371, NULL, NULL, 21061),
(62219, '2y8kA01', NULL, NULL, 314, NULL, NULL, 21061),
(62220, '5okaA00', NULL, NULL, 485, NULL, NULL, 21061),
(62221, '4r27B00', NULL, NULL, 411, NULL, NULL, 21061),
(62222, '5xgzA00', NULL, NULL, 457, NULL, NULL, 21061),
(62223, '1gnxA00', NULL, NULL, 479, NULL, NULL, 21061),
(62224, '5idiA00', NULL, NULL, 452, NULL, NULL, 21061),
(62225, '6mvfA03', NULL, NULL, 301, NULL, NULL, 21061),
(62226, '1us2A02', NULL, NULL, 371, NULL, NULL, 21061),
(62227, '4lxfB01', NULL, NULL, 419, NULL, NULL, 21061),
(62228, '3wugA00', NULL, NULL, 313, NULL, NULL, 21061),
(62229, '3lppA03', NULL, NULL, 350, NULL, NULL, 21061),
(62230, '3emzA00', NULL, NULL, 331, NULL, NULL, 21061),
(62231, '3w53A00', NULL, NULL, 471, NULL, NULL, 21061),
(62232, '3qr3A00', NULL, NULL, 340, NULL, NULL, 21061),
(62233, '5gnxB00', NULL, NULL, 467, NULL, NULL, 21061);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(62234, '3zo9A01', NULL, NULL, 394, NULL, NULL, 21061),
(62235, '3hn3A03', NULL, NULL, 303, NULL, NULL, 21061),
(62236, '5z4tA00', NULL, NULL, 309, NULL, NULL, 21061),
(62237, '4bq2D02', NULL, NULL, 546, NULL, NULL, 21061),
(62238, '3ik2A02', NULL, NULL, 390, NULL, NULL, 21061),
(62239, '1rh9A00', NULL, NULL, 373, NULL, NULL, 21061),
(62240, '5un8C01', NULL, NULL, 281, NULL, NULL, 21061),
(62241, '2dieA01', NULL, NULL, 293, NULL, NULL, 21061),
(62242, '1ur1A00', NULL, NULL, 353, NULL, NULL, 21061),
(62243, '6ddtA03', NULL, NULL, 366, NULL, NULL, 21061),
(62244, '4im4A00', NULL, NULL, 336, NULL, NULL, 21061),
(62245, '3ii1A02', NULL, NULL, 402, NULL, NULL, 21061),
(62246, '3wh9A00', NULL, NULL, 345, NULL, NULL, 21061),
(62247, '2vr5A02', NULL, NULL, 445, NULL, NULL, 21061),
(62248, '4madA01', NULL, NULL, 284, NULL, NULL, 21061),
(62249, '2gsjA00', NULL, NULL, 271, NULL, NULL, 21061),
(62250, '4jklA03', NULL, NULL, 327, NULL, NULL, 21061),
(62251, '5l77A02', NULL, NULL, 325, NULL, NULL, 21061),
(62252, '4ypjA03', NULL, NULL, 320, NULL, NULL, 21061),
(62253, '3bmvA01', NULL, NULL, 400, NULL, NULL, 21061),
(62254, '4pmuB00', NULL, NULL, 356, NULL, NULL, 21061),
(62255, '3zssA03', NULL, NULL, 367, NULL, NULL, 21061),
(62256, '2osxA02', NULL, NULL, 350, NULL, NULL, 21061),
(62257, '1g5aA02', NULL, NULL, 385, NULL, NULL, 21061),
(62258, '3arxA02', NULL, NULL, 387, NULL, NULL, 21061),
(62259, '4jkmA03', NULL, NULL, 324, NULL, NULL, 21061),
(62260, '1j0hA02', NULL, NULL, 326, NULL, NULL, 21061),
(62261, '5brqA01', NULL, NULL, 414, NULL, NULL, 21061),
(62262, '3lpfA03', NULL, NULL, 330, NULL, NULL, 21061),
(62263, '5hosA00', NULL, NULL, 316, NULL, NULL, 21061),
(62264, '2c7fA02', NULL, NULL, 368, NULL, NULL, 21061),
(62265, '4atdA00', NULL, NULL, 513, NULL, NULL, 21061),
(62266, '5n6uA03', NULL, NULL, 338, NULL, NULL, 21061),
(62267, '4az6A01', NULL, NULL, 367, NULL, NULL, 21061),
(62268, '3u7vA01', NULL, NULL, 373, NULL, NULL, 21061),
(62269, '1h49A00', NULL, NULL, 512, NULL, NULL, 21061),
(62270, '2j8gA01', NULL, NULL, 188, NULL, NULL, 21061),
(62271, '2eplX02', NULL, NULL, 321, NULL, NULL, 21061),
(62272, '4p8vA01', NULL, NULL, 302, NULL, NULL, 21061),
(62273, '4ccdA01', NULL, NULL, 278, NULL, NULL, 21061),
(62274, '3wflA00', NULL, NULL, 342, NULL, NULL, 21061),
(62275, '1r85A00', NULL, NULL, 379, NULL, NULL, 21061),
(62276, '6bycA03', NULL, NULL, 354, NULL, NULL, 21061),
(62277, '4gxpC00', NULL, NULL, 467, NULL, NULL, 21061),
(62278, '2ww5A02', NULL, NULL, 202, NULL, NULL, 21061),
(62279, '3ahxC00', NULL, NULL, 453, NULL, NULL, 21061),
(62280, '5y3xA00', NULL, NULL, 329, NULL, NULL, 21061),
(62281, '1wpcA01', NULL, NULL, 293, NULL, NULL, 21061),
(62282, '1tz7B00', NULL, NULL, 487, NULL, NULL, 21061),
(62283, '2zuvA01', NULL, NULL, 328, NULL, NULL, 21061),
(62284, '4htyA00', NULL, NULL, 330, NULL, NULL, 21061),
(62285, '2zxdA01', NULL, NULL, 356, NULL, NULL, 21061),
(62286, '3alfA01', NULL, NULL, 283, NULL, NULL, 21061),
(62287, '4oouA00', NULL, NULL, 369, NULL, NULL, 21061),
(62288, '6epbA01', NULL, NULL, 326, NULL, NULL, 21061),
(62289, '5z6pA02', NULL, NULL, 543, NULL, NULL, 21061),
(62290, '5nn4A03', NULL, NULL, 344, NULL, NULL, 21061),
(62291, '3wq5B00', NULL, NULL, 474, NULL, NULL, 21061),
(62292, '3w0kA00', NULL, NULL, 330, NULL, NULL, 21061),
(62293, '5ihsA00', NULL, NULL, 306, NULL, NULL, 21061),
(62294, '3ebvA00', NULL, NULL, 302, NULL, NULL, 21061),
(62295, '5ifpA01', NULL, NULL, 354, NULL, NULL, 21061),
(62296, '2xsaA01', NULL, NULL, 277, NULL, NULL, 21061),
(62297, '3o2lA00', NULL, NULL, 317, NULL, NULL, 21061),
(62298, '1wkyA01', NULL, NULL, 304, NULL, NULL, 21061),
(62299, '4tvcA03', NULL, NULL, 248, NULL, NULL, 21061),
(62300, '2hvmA00', NULL, NULL, 273, NULL, NULL, 21061),
(62301, '3f5lA00', NULL, NULL, 481, NULL, NULL, 21061),
(62302, '1cbgA00', NULL, NULL, 490, NULL, NULL, 21061),
(62303, '1e4iA00', NULL, NULL, 447, NULL, NULL, 21061),
(62304, '1qoxA00', NULL, NULL, 449, NULL, NULL, 21061),
(62305, '3fawA03', NULL, NULL, 475, NULL, NULL, 21061),
(62306, '2jepB00', NULL, NULL, 362, NULL, NULL, 21061);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(62307, '6bjqA03', NULL, NULL, 324, NULL, NULL, 21061),
(62308, '4aw7A02', NULL, NULL, 331, NULL, NULL, 21061),
(62309, '5m17A00', NULL, NULL, 350, NULL, NULL, 21061),
(62310, '1l8nA02', NULL, NULL, 333, NULL, NULL, 21061),
(62311, '3qokA01', NULL, NULL, 323, NULL, NULL, 21061),
(62312, '4mb1A01', NULL, NULL, 412, NULL, NULL, 21061),
(62313, '1vemA01', NULL, NULL, 416, NULL, NULL, 21061),
(62314, '1ud2A01', NULL, NULL, 291, NULL, NULL, 21061),
(62315, '3aquA01', NULL, NULL, 289, NULL, NULL, 21061),
(62316, '3pohA02', NULL, NULL, 292, NULL, NULL, 21061),
(62317, '3weoA02', NULL, NULL, 342, NULL, NULL, 21061),
(62318, '3qgvA01', NULL, NULL, 337, NULL, NULL, 21061),
(62319, '4jz5A00', NULL, NULL, 206, NULL, NULL, 21061),
(62320, '1qw9A02', NULL, NULL, 364, NULL, NULL, 21061),
(62321, '5jawA01', NULL, NULL, 383, NULL, NULL, 21061),
(62322, '4bf7A00', NULL, NULL, 335, NULL, NULL, 21061),
(62323, '3zm8A02', NULL, NULL, 317, NULL, NULL, 21061),
(62324, '5a2bA01', NULL, NULL, 363, NULL, NULL, 21061),
(62325, '3oihA00', NULL, NULL, 272, NULL, NULL, 21061),
(62326, '3ucqA02', NULL, NULL, 400, NULL, NULL, 21061),
(62327, '4m82A00', NULL, NULL, 399, NULL, NULL, 21061),
(62328, '3w4rA01', NULL, NULL, 305, NULL, NULL, 21061),
(62329, '5ofkA00', NULL, NULL, 339, NULL, NULL, 21061),
(62330, '3dhpA01', NULL, NULL, 403, NULL, NULL, 21061),
(62331, '2gjxA02', NULL, NULL, 365, NULL, NULL, 21061),
(62332, '1gqiA02', NULL, NULL, 320, NULL, NULL, 21061),
(62333, '1eokA00', NULL, NULL, 290, NULL, NULL, 21061),
(62334, '4howA01', NULL, NULL, 410, NULL, NULL, 21061),
(62335, '4psrA01', NULL, NULL, 374, NULL, NULL, 21061),
(62336, '1c7sA03', NULL, NULL, 484, NULL, NULL, 21061),
(62337, '1hjxA01', NULL, NULL, 292, NULL, NULL, 21061),
(62338, '3vx0A01', NULL, NULL, 374, NULL, NULL, 21061),
(62339, '3bh4A01', NULL, NULL, 292, NULL, NULL, 21061),
(62340, '4s3jB02', NULL, NULL, 272, NULL, NULL, 21061),
(62341, '5fkyA02', NULL, NULL, 286, NULL, NULL, 21061),
(62342, '1fobA00', NULL, NULL, 334, NULL, NULL, 21061),
(62343, '1ug6A00', NULL, NULL, 431, NULL, NULL, 21061),
(62344, '6fheA00', NULL, NULL, 339, NULL, NULL, 21061),
(62345, '5a95A00', NULL, NULL, 338, NULL, NULL, 21061),
(62346, '5jouA03', NULL, NULL, 363, NULL, NULL, 21061),
(62347, '2wnwA02', NULL, NULL, 339, NULL, NULL, 21061),
(62348, '3bc9A02', NULL, NULL, 294, NULL, NULL, 21061),
(62349, '1n82A00', NULL, NULL, 331, NULL, NULL, 21061),
(62350, '4qp0A00', NULL, NULL, 359, NULL, NULL, 21061),
(62351, '5efdA00', NULL, NULL, 355, NULL, NULL, 21061),
(62352, '1kwgA01', NULL, NULL, 394, NULL, NULL, 21061),
(62353, '4lypB00', NULL, NULL, 417, NULL, NULL, 21061),
(62354, '1xyzA00', NULL, NULL, 322, NULL, NULL, 21061),
(62355, '6au1A00', NULL, NULL, 357, NULL, NULL, 21061),
(62356, '3niyA00', NULL, NULL, 341, NULL, NULL, 21061),
(62357, '3rdkB00', NULL, NULL, 341, NULL, NULL, 21061),
(62358, '3qomA00', NULL, NULL, 481, NULL, NULL, 21061),
(62359, '1eceA00', NULL, NULL, 358, NULL, NULL, 21061),
(62360, '3decA03', NULL, NULL, 281, NULL, NULL, 21061),
(62361, '5x7uA01', NULL, NULL, 390, NULL, NULL, 21061),
(62362, '5m0kA00', NULL, NULL, 299, NULL, NULL, 21061),
(62363, '4cd8A00', NULL, NULL, 320, NULL, NULL, 21061),
(62364, '3czgA02', NULL, NULL, 397, NULL, NULL, 21061),
(62365, '5axgA02', NULL, NULL, 340, NULL, NULL, 21061),
(62366, '3vmnA02', NULL, NULL, 380, NULL, NULL, 21061),
(62367, '1w32A00', NULL, NULL, 348, NULL, NULL, 21061),
(62368, '5cxpA02', NULL, NULL, 279, NULL, NULL, 21061),
(62369, '4aieA01', NULL, NULL, 398, NULL, NULL, 21061),
(62370, '3bxwA02', NULL, NULL, 273, NULL, NULL, 21061),
(62371, '5navA00', NULL, NULL, 461, NULL, NULL, 21061),
(62372, '1narA00', NULL, NULL, 290, NULL, NULL, 21061),
(62373, '1edqA02', NULL, NULL, 355, NULL, NULL, 21061),
(62374, '2vtfA01', NULL, NULL, 354, NULL, NULL, 21061),
(62375, '4uozA01', NULL, NULL, 410, NULL, NULL, 21061),
(62376, '4ba0A02', NULL, NULL, 378, NULL, NULL, 21061),
(62377, '4xuyA00', NULL, NULL, 302, NULL, NULL, 21061),
(62378, '4gklA01', NULL, NULL, 334, NULL, NULL, 21061),
(62379, '3zr5A02', NULL, NULL, 304, NULL, NULL, 21061);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(62380, '3hmcA00', NULL, NULL, 192, NULL, NULL, 21061),
(62381, '2je8A03', NULL, NULL, 347, NULL, NULL, 21061),
(62382, '2fhfA04', NULL, NULL, 580, NULL, NULL, 21061),
(62383, '5fooF00', NULL, NULL, 462, NULL, NULL, 21061),
(62384, '2dgaA00', NULL, NULL, 491, NULL, NULL, 21061),
(62385, '2wanA04', NULL, NULL, 422, NULL, NULL, 21061),
(62386, '1vffA00', NULL, NULL, 423, NULL, NULL, 21061),
(62387, '3vm7A01', NULL, NULL, 372, NULL, NULL, 21061),
(62388, '5a6sA01', NULL, NULL, 194, NULL, NULL, 21061),
(62389, '1np2A00', NULL, NULL, 436, NULL, NULL, 21061),
(62390, '4acyA00', NULL, NULL, 346, NULL, NULL, 21061),
(62391, '1ur4A00', NULL, NULL, 399, NULL, NULL, 21061),
(62392, '1edgA00', NULL, NULL, 380, NULL, NULL, 21061),
(62393, '1sfsA00', NULL, NULL, 213, NULL, NULL, 21061),
(62394, '5jbdA02', NULL, NULL, 254, NULL, NULL, 21061),
(62395, '5ecuA00', NULL, NULL, 351, NULL, NULL, 21061),
(62396, '5jiwA00', NULL, NULL, 500, NULL, NULL, 21061),
(62397, '4aziA01', NULL, NULL, 357, NULL, NULL, 21061),
(62398, '6gxvA01', NULL, NULL, 294, NULL, NULL, 21061),
(62399, '3n12A00', NULL, NULL, 333, NULL, NULL, 21061),
(62400, '1w9pA01', NULL, NULL, 332, NULL, NULL, 21061),
(62401, '1jaeA01', NULL, NULL, 379, NULL, NULL, 21061),
(62402, '3m07A02', NULL, NULL, 380, NULL, NULL, 21061),
(62403, '1zjaA01', NULL, NULL, 409, NULL, NULL, 21061),
(62404, '4eamA00', NULL, NULL, 489, NULL, NULL, 21061),
(62405, '4aweA00', NULL, NULL, 387, NULL, NULL, 21061),
(62406, '2ze0A01', NULL, NULL, 404, NULL, NULL, 21061),
(62407, '1h1nA00', NULL, NULL, 305, NULL, NULL, 21061),
(62408, '1qvbA00', NULL, NULL, 481, NULL, NULL, 21061),
(62409, '5bwiA02', NULL, NULL, 304, NULL, NULL, 21061),
(62410, '3aiuA00', NULL, NULL, 486, NULL, NULL, 21061),
(62411, '4uriB01', NULL, NULL, 278, NULL, NULL, 21061),
(62412, '5m7uB01', NULL, NULL, 284, NULL, NULL, 21061),
(62413, '2whlA00', NULL, NULL, 294, NULL, NULL, 21061),
(62414, '5zcrA01', NULL, NULL, 300, NULL, NULL, 21061),
(62415, '5xzoA00', NULL, NULL, 335, NULL, NULL, 21061),
(62416, '4j7rA02', NULL, NULL, 514, NULL, NULL, 21061),
(62417, '4w5uB01', NULL, NULL, 309, NULL, NULL, 21061),
(62418, '1cygA01', NULL, NULL, 396, NULL, NULL, 21061),
(62419, '4a4aA03', NULL, NULL, 331, NULL, NULL, 21061),
(62420, '5jboA00', NULL, NULL, 485, NULL, NULL, 21061),
(62421, '1jndA01', NULL, NULL, 326, NULL, NULL, 21061),
(62422, '5hbfA01', NULL, NULL, 390, NULL, NULL, 21061),
(62423, '4hz8A00', NULL, NULL, 444, NULL, NULL, 21061),
(62424, '4k68B00', NULL, NULL, 346, NULL, NULL, 21061),
(62425, '4ac1X01', NULL, NULL, 264, NULL, NULL, 21061),
(62426, '1mxgA01', NULL, NULL, 337, NULL, NULL, 21061),
(62427, '4s3kA02', NULL, NULL, 273, NULL, NULL, 21061),
(62428, '4mnkA01', NULL, NULL, 283, NULL, NULL, 21061),
(62429, '5gqbA02', NULL, NULL, 354, NULL, NULL, 21061),
(62430, '4xzwA00', NULL, NULL, 313, NULL, NULL, 21061),
(62431, '1w91A02', NULL, NULL, 345, NULL, NULL, 21061),
(62432, '4yheA00', NULL, NULL, 389, NULL, NULL, 21061),
(62433, '2depA00', NULL, NULL, 356, NULL, NULL, 21061),
(62434, '3l4yA03', NULL, NULL, 350, NULL, NULL, 21061),
(62435, '4xv0A00', NULL, NULL, 302, NULL, NULL, 21061),
(62436, '4pmxA00', NULL, NULL, 306, NULL, NULL, 21061),
(62437, '4v2xA01', NULL, NULL, 334, NULL, NULL, 21061),
(62438, '3qhoA00', NULL, NULL, 377, NULL, NULL, 21061),
(62439, '2wpgA02', NULL, NULL, 398, NULL, NULL, 21061),
(62440, '5cgmA03', NULL, NULL, 371, NULL, NULL, 21061),
(62441, '3cuiA00', NULL, NULL, 315, NULL, NULL, 21061),
(62442, '5cg0F00', NULL, NULL, 489, NULL, NULL, 21061),
(62443, '2yihA02', NULL, NULL, 389, NULL, NULL, 21061),
(62444, '3ur8A00', NULL, NULL, 323, NULL, NULL, 21061),
(62445, '3ug3A02', NULL, NULL, 341, NULL, NULL, 21061),
(62446, '1ta3A00', NULL, NULL, 274, NULL, NULL, 21061),
(62447, '4fmvA02', NULL, NULL, 280, NULL, NULL, 21061),
(62448, '1ua7A01', NULL, NULL, 344, NULL, NULL, 21061),
(62449, '5jipA01', NULL, NULL, 230, NULL, NULL, 21061),
(62450, '1v0lA00', NULL, NULL, 313, NULL, NULL, 21061),
(62451, '2bhuA02', NULL, NULL, 370, NULL, NULL, 21061),
(62452, '1bf2A02', NULL, NULL, 474, NULL, NULL, 21061);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(62453, '3bgaA03', NULL, NULL, 281, NULL, NULL, 21061),
(62454, '3ianA00', NULL, NULL, 321, NULL, NULL, 21061),
(62455, '4m1rA00', NULL, NULL, 296, NULL, NULL, 21061),
(62456, '1bqcA00', NULL, NULL, 302, NULL, NULL, 21061),
(62457, '1d3cA01', NULL, NULL, 400, NULL, NULL, 21061),
(62458, '3wnoA02', NULL, NULL, 343, NULL, NULL, 21061),
(62459, '4kruA00', NULL, NULL, 229, NULL, NULL, 21061),
(62460, '4f8xA00', NULL, NULL, 335, NULL, NULL, 21061),
(62461, '1tuxA00', NULL, NULL, 301, NULL, NULL, 21061),
(62462, '5gqwA03', NULL, NULL, 422, NULL, NULL, 21061),
(62463, '4ha4A00', NULL, NULL, 489, NULL, NULL, 21061),
(62464, '3aofA00', NULL, NULL, 317, NULL, NULL, 21061),
(62465, '2o9pA00', NULL, NULL, 454, NULL, NULL, 21061),
(62466, '6idnA00', NULL, NULL, 272, NULL, NULL, 21061),
(62467, '4n0rA02', NULL, NULL, 310, NULL, NULL, 21061),
(62468, '2dskA00', NULL, NULL, 311, NULL, NULL, 21061),
(62469, '5z1aA03', NULL, NULL, 308, NULL, NULL, 21061),
(62470, '1g94A01', NULL, NULL, 354, NULL, NULL, 21061),
(62471, '3ncoA00', NULL, NULL, 320, NULL, NULL, 21061),
(62472, '2gjpA01', NULL, NULL, 293, NULL, NULL, 21061),
(62473, '1avaA01', NULL, NULL, 345, NULL, NULL, 21061),
(62474, '3vocA00', NULL, NULL, 419, NULL, NULL, 21061),
(62475, '1e40A01', NULL, NULL, 396, NULL, NULL, 21061),
(62476, '5z0uA02', NULL, NULL, 412, NULL, NULL, 21061),
(62477, '2e3zB00', NULL, NULL, 465, NULL, NULL, 21061),
(62478, '3w25A00', NULL, NULL, 336, NULL, NULL, 21061),
(62479, '1tvnA00', NULL, NULL, 293, NULL, NULL, 21061),
(62480, '4wsjB01', NULL, NULL, 356, NULL, NULL, 21061),
(62481, '1goiA01', NULL, NULL, 358, NULL, NULL, 21061),
(62482, '4p7oB00', NULL, NULL, 367, NULL, NULL, 21061),
(62483, '2uwfA00', NULL, NULL, 356, NULL, NULL, 21061),
(62484, '7a3hA00', NULL, NULL, 303, NULL, NULL, 21061),
(62485, '1ta3B00', NULL, NULL, 303, NULL, NULL, 21061),
(62486, '5ot1A02', NULL, NULL, 357, NULL, NULL, 21061),
(62487, '3vm5A01', NULL, NULL, 404, NULL, NULL, 21061),
(62488, '2cksB00', NULL, NULL, 306, NULL, NULL, 21061),
(62489, '2jf7B00', NULL, NULL, 473, NULL, NULL, 21061),
(62490, '6ed1A03', NULL, NULL, 302, NULL, NULL, 21061),
(62491, '5d8zA00', NULL, NULL, 326, NULL, NULL, 21061),
(62492, '4oifB01', NULL, NULL, 407, NULL, NULL, 21061),
(62493, '4cd5A00', NULL, NULL, 367, NULL, NULL, 21061),
(62494, '3dhuA01', NULL, NULL, 353, NULL, NULL, 21061),
(62495, '1wdpA00', NULL, NULL, 495, NULL, NULL, 21061),
(62496, '5u3aA01', NULL, NULL, 403, NULL, NULL, 21061),
(62497, '2e9lA00', NULL, NULL, 469, NULL, NULL, 21061),
(62498, '4uzuA01', NULL, NULL, 292, NULL, NULL, 21061),
(62499, '3amlA01', NULL, NULL, 470, NULL, NULL, 21061),
(62500, '3ozoA02', NULL, NULL, 388, NULL, NULL, 21061),
(62501, '5h4rA00', NULL, NULL, 375, NULL, NULL, 21061),
(62502, '4b15A00', NULL, NULL, 266, NULL, NULL, 21061),
(62503, '4axnA00', NULL, NULL, 328, NULL, NULL, 21061),
(62504, '4wiwD01', NULL, NULL, 280, NULL, NULL, 21061),
(62505, '1nq6A00', NULL, NULL, 302, NULL, NULL, 21061),
(62506, '3wy1A01', NULL, NULL, 394, NULL, NULL, 21061),
(62507, '3simA00', NULL, NULL, 275, NULL, NULL, 21061),
(62508, '5dezA02', NULL, NULL, 356, NULL, NULL, 21061),
(62509, '5bxrA02', NULL, NULL, 345, NULL, NULL, 21061),
(62510, '5f7cA02', NULL, NULL, 315, NULL, NULL, 21061),
(62511, '1vjsA01', NULL, NULL, 294, NULL, NULL, 21061),
(62512, '4pysA02', NULL, NULL, 377, NULL, NULL, 21061),
(62513, '6c9xA02', NULL, NULL, 383, NULL, NULL, 21061),
(62514, '5dmyB03', NULL, NULL, 345, NULL, NULL, 21061),
(62515, '6bs6A02', NULL, NULL, 356, NULL, NULL, 21061),
(62516, '2vrqA02', NULL, NULL, 361, NULL, NULL, 21061),
(62517, '1hjsA00', NULL, NULL, 332, NULL, NULL, 21061),
(62518, '2v3gA00', NULL, NULL, 283, NULL, NULL, 21061),
(62519, '3uesB01', NULL, NULL, 356, NULL, NULL, 21061),
(62520, '1edtA00', NULL, NULL, 271, NULL, NULL, 21061),
(62521, '3d3aA01', NULL, NULL, 276, NULL, NULL, 21061),
(62522, '4ptxA00', NULL, NULL, 452, NULL, NULL, 21061),
(62523, '5e9aA01', NULL, NULL, 398, NULL, NULL, 21061),
(62524, '5bywE00', NULL, NULL, 323, NULL, NULL, 21061),
(62525, '5t99A03', NULL, NULL, 320, NULL, NULL, 21061);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(62526, '2pi6A01', NULL, NULL, 293, NULL, NULL, 21061),
(62527, '1yq2A03', NULL, NULL, 297, NULL, NULL, 21061),
(62528, '5wkaB00', NULL, NULL, 473, NULL, NULL, 21061),
(62529, '1x1nA01', NULL, NULL, 503, NULL, NULL, 21061),
(62530, '5i2uB00', NULL, NULL, 303, NULL, NULL, 21061),
(62531, '2w91A01', NULL, NULL, 355, NULL, NULL, 21061),
(62532, '2wskA02', NULL, NULL, 439, NULL, NULL, 21061),
(62533, '1lwjA01', NULL, NULL, 326, NULL, NULL, 21061),
(62534, '1vf8A01', NULL, NULL, 306, NULL, NULL, 21061),
(62535, '6fhfA00', NULL, NULL, 362, NULL, NULL, 21061),
(62536, '5wqsA00', NULL, NULL, 498, NULL, NULL, 21061),
(62537, '5uj6A03', NULL, NULL, 313, NULL, NULL, 21061),
(62538, '3fy1A01', NULL, NULL, 306, NULL, NULL, 21061),
(62539, '4pmdA00', NULL, NULL, 338, NULL, NULL, 21061),
(62540, '5zceA01', NULL, NULL, 406, NULL, NULL, 21061),
(62541, '5m99A01', NULL, NULL, 353, NULL, NULL, 21061),
(62542, '3gzaA01', NULL, NULL, 346, NULL, NULL, 21061),
(62543, '4tx8A02', NULL, NULL, 321, NULL, NULL, 21061),
(62544, '6cafA00', NULL, NULL, 299, NULL, NULL, 21061),
(62545, '2z1kA01', NULL, NULL, 390, NULL, NULL, 21061),
(62546, '1qhoA01', NULL, NULL, 401, NULL, NULL, 21061),
(62547, '4wkaA01', NULL, NULL, 308, NULL, NULL, 21061),
(62548, '1pamA01', NULL, NULL, 400, NULL, NULL, 21061),
(62549, '3kzsA01', NULL, NULL, 241, NULL, NULL, 21061),
(62550, '3fndA01', NULL, NULL, 268, NULL, NULL, 21061),
(62551, '1jfxA00', NULL, NULL, 217, NULL, NULL, 21061),
(62552, '3fn9A03', NULL, NULL, 302, NULL, NULL, 21061),
(62553, '6gerA00', NULL, NULL, 490, NULL, NULL, 21061),
(62554, '4pmoA00', NULL, NULL, 211, NULL, NULL, 21061),
(62555, '3zmrB02', NULL, NULL, 384, NULL, NULL, 21061),
(62556, '1uhvA02', NULL, NULL, 344, NULL, NULL, 21061),
(62557, '5ac5A02', NULL, NULL, 321, NULL, NULL, 21061),
(62558, '3ptmA00', NULL, NULL, 478, NULL, NULL, 21061),
(62559, '4xzbA00', NULL, NULL, 314, NULL, NULL, 21061),
(62560, '5dt7B00', NULL, NULL, 448, NULL, NULL, 21061),
(62561, '4cvuA03', NULL, NULL, 390, NULL, NULL, 21061),
(62562, '3gbeA01', NULL, NULL, 409, NULL, NULL, 21061),
(62563, '4qxaB00', NULL, NULL, 180, NULL, NULL, 21062),
(62564, '3oe7Q00', NULL, NULL, 137, NULL, NULL, 21063),
(62565, '5dn6I00', NULL, NULL, 84, NULL, NULL, 21063),
(62566, '5zwlE01', NULL, NULL, 88, NULL, NULL, 21063),
(62567, '2e5yA01', NULL, NULL, 88, NULL, NULL, 21063),
(62568, '5fl7H01', NULL, NULL, 94, NULL, NULL, 21063),
(62569, '6fkfe01', NULL, NULL, 87, NULL, NULL, 21063),
(62570, '1h8eH00', NULL, NULL, 103, NULL, NULL, 21063),
(62571, '2hldH01', NULL, NULL, 97, NULL, NULL, 21063),
(62572, '2qe7H01', NULL, NULL, 88, NULL, NULL, 21063),
(62573, '3oehH01', NULL, NULL, 90, NULL, NULL, 21063),
(62574, '1fs0E01', NULL, NULL, 88, NULL, NULL, 21063),
(62575, '2nwdX00', NULL, NULL, 130, NULL, NULL, 21064),
(62576, '6ip9A00', NULL, NULL, 123, NULL, NULL, 21064),
(62577, '1wvvB02', NULL, NULL, 196, NULL, NULL, 21064),
(62578, '5xuwA00', NULL, NULL, 129, NULL, NULL, 21064),
(62579, '5h7tA01', NULL, NULL, 153, NULL, NULL, 21064),
(62580, '2fbdA00', NULL, NULL, 122, NULL, NULL, 21064),
(62581, '2z2fA00', NULL, NULL, 129, NULL, NULL, 21064),
(62582, '1gbsA00', NULL, NULL, 185, NULL, NULL, 21064),
(62583, '6gi4B00', NULL, NULL, 194, NULL, NULL, 21064),
(62584, '1j8wA00', NULL, NULL, 123, NULL, NULL, 21064),
(62585, '1b9oA00', NULL, NULL, 123, NULL, NULL, 21064),
(62586, '2z37A01', NULL, NULL, 185, NULL, NULL, 21064),
(62587, '3vwoA01', NULL, NULL, 110, NULL, NULL, 21064),
(62588, '1xsfA00', NULL, NULL, 108, NULL, NULL, 21064),
(62589, '4ow1A00', NULL, NULL, 92, NULL, NULL, 21064),
(62590, '1ltmA02', NULL, NULL, 173, NULL, NULL, 21064),
(62591, '2gv0A00', NULL, NULL, 131, NULL, NULL, 21064),
(62592, '4yf2A00', NULL, NULL, 138, NULL, NULL, 21064),
(62593, '1hfxA00', NULL, NULL, 123, NULL, NULL, 21064),
(62594, '3w6bB00', NULL, NULL, 153, NULL, NULL, 21064),
(62595, '1ghlA00', NULL, NULL, 130, NULL, NULL, 21064),
(62596, '3wyhA00', NULL, NULL, 185, NULL, NULL, 21064),
(62597, '3hbeX01', NULL, NULL, 146, NULL, NULL, 21064),
(62598, '4hpeA01', NULL, NULL, 160, NULL, NULL, 21064);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(62599, '1qqyA00', NULL, NULL, 130, NULL, NULL, 21064),
(62600, '4cfpA02', NULL, NULL, 168, NULL, NULL, 21064),
(62601, '2dkvA02', NULL, NULL, 209, NULL, NULL, 21064),
(62602, '1gd6A00', NULL, NULL, 119, NULL, NULL, 21064),
(62603, '1am7A00', NULL, NULL, 158, NULL, NULL, 21064),
(62604, '5dn4A01', NULL, NULL, 104, NULL, NULL, 21064),
(62605, '1yroA00', NULL, NULL, 123, NULL, NULL, 21064),
(62606, '2dqaA00', NULL, NULL, 124, NULL, NULL, 21064),
(62607, '4anrA02', NULL, NULL, 187, NULL, NULL, 21064),
(62608, '1jseA00', NULL, NULL, 129, NULL, NULL, 21064),
(62609, '2cjlA01', NULL, NULL, 143, NULL, NULL, 21064),
(62610, '2vb1A00', NULL, NULL, 129, NULL, NULL, 21064),
(62611, '2baaA01', NULL, NULL, 185, NULL, NULL, 21064),
(62612, '4dygA01', NULL, NULL, 186, NULL, NULL, 21064),
(62613, '3gxrC00', NULL, NULL, 187, NULL, NULL, 21064),
(62614, '5v92A00', NULL, NULL, 129, NULL, NULL, 21064),
(62615, '4tx7A01', NULL, NULL, 188, NULL, NULL, 21064),
(62616, '3wh1A01', NULL, NULL, 147, NULL, NULL, 21064),
(62617, '1wvvA01', NULL, NULL, 148, NULL, NULL, 21064),
(62618, '4g9sA00', NULL, NULL, 187, NULL, NULL, 21064),
(62619, '2zycA01', NULL, NULL, 107, NULL, NULL, 21064),
(62620, '3cqlA01', NULL, NULL, 185, NULL, NULL, 21064),
(62621, '4fdyA01', NULL, NULL, 161, NULL, NULL, 21064),
(62622, '4qdnA00', NULL, NULL, 136, NULL, NULL, 21064),
(62623, '3b0kA00', NULL, NULL, 123, NULL, NULL, 21064),
(62624, '3ct5A00', NULL, NULL, 159, NULL, NULL, 21064),
(62625, '4cgeB00', NULL, NULL, 75, NULL, NULL, 21064),
(62626, '4kt3A00', NULL, NULL, 149, NULL, NULL, 21064),
(62627, '3zvqA00', NULL, NULL, 70, NULL, NULL, 21064),
(62628, '1dxjA01', NULL, NULL, 185, NULL, NULL, 21064),
(62629, '3w3eA01', NULL, NULL, 186, NULL, NULL, 21064),
(62630, '1jugA00', NULL, NULL, 125, NULL, NULL, 21064),
(62631, '1iizA00', NULL, NULL, 120, NULL, NULL, 21064),
(62632, '4mstB01', NULL, NULL, 184, NULL, NULL, 21064),
(62633, '4mckA01', NULL, NULL, 143, NULL, NULL, 21064),
(62634, '3fi7A01', NULL, NULL, 130, NULL, NULL, 21064),
(62635, '1alcA00', NULL, NULL, 123, NULL, NULL, 21064),
(62636, '132lA00', NULL, NULL, 129, NULL, NULL, 21064),
(62637, '4pj2C00', NULL, NULL, 122, NULL, NULL, 21064),
(62638, '1qsaA03', NULL, NULL, 173, NULL, NULL, 21064),
(62639, '3cb7A00', NULL, NULL, 126, NULL, NULL, 21064),
(62640, '1hhlA00', NULL, NULL, 129, NULL, NULL, 21064),
(62641, '1lmqA00', NULL, NULL, 129, NULL, NULL, 21064),
(62642, '2ihlA00', NULL, NULL, 129, NULL, NULL, 21064),
(62643, '3bkhA02', NULL, NULL, 182, NULL, NULL, 21064),
(62644, '1ivmA00', NULL, NULL, 130, NULL, NULL, 21064),
(62645, '4emnA00', NULL, NULL, 81, NULL, NULL, 21064),
(62646, '1ztdA00', NULL, NULL, 133, NULL, NULL, 21065),
(62647, '2b5dX02', NULL, NULL, 114, NULL, NULL, 21066),
(62648, '3n98A02', NULL, NULL, 146, NULL, NULL, 21066),
(62649, '5wu7A02', NULL, NULL, 133, NULL, NULL, 21066),
(62650, '3p0bA02', NULL, NULL, 107, NULL, NULL, 21066),
(62651, '2ac1A02', NULL, NULL, 192, NULL, NULL, 21067),
(62652, '1w2tA02', NULL, NULL, 134, NULL, NULL, 21067),
(62653, '3h3lC00', NULL, NULL, 241, NULL, NULL, 21067),
(62654, '4hxcA00', NULL, NULL, 263, NULL, NULL, 21067),
(62655, '3ligA02', NULL, NULL, 169, NULL, NULL, 21067),
(62656, '3hbkA00', NULL, NULL, 245, NULL, NULL, 21067),
(62657, '4ffhA02', NULL, NULL, 165, NULL, NULL, 21067),
(62658, '3nmbA00', NULL, NULL, 260, NULL, NULL, 21067),
(62659, '4b1mA00', NULL, NULL, 165, NULL, NULL, 21067),
(62660, '1st8A02', NULL, NULL, 190, NULL, NULL, 21067),
(62661, '3kf3A02', NULL, NULL, 177, NULL, NULL, 21067),
(62662, '4jqtA02', NULL, NULL, 230, NULL, NULL, 21067),
(62663, '4qhzB00', NULL, NULL, 246, NULL, NULL, 21067),
(62664, '4jqtA01', NULL, NULL, 201, NULL, NULL, 21067),
(62665, '4qhzA00', NULL, NULL, 246, NULL, NULL, 21067),
(62666, '4qhzD00', NULL, NULL, 246, NULL, NULL, 21067),
(62667, '4qhzC00', NULL, NULL, 246, NULL, NULL, 21067),
(62668, '4eqvA02', NULL, NULL, 176, NULL, NULL, 21067),
(62669, '4ccdA03', NULL, NULL, 200, NULL, NULL, 21067),
(62670, '1y4wA02', NULL, NULL, 163, NULL, NULL, 21067),
(62671, '3sc7X02', NULL, NULL, 157, NULL, NULL, 21067);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(62672, '3pijA02', NULL, NULL, 149, NULL, NULL, 21067),
(62673, '5xh8A02', NULL, NULL, 178, NULL, NULL, 21067),
(62674, '5nslA02', NULL, NULL, 196, NULL, NULL, 21067),
(62675, '3u1xA00', NULL, NULL, 236, NULL, NULL, 21067),
(62676, '3immA00', NULL, NULL, 201, NULL, NULL, 21067),
(62677, '3ugfB02', NULL, NULL, 187, NULL, NULL, 21067),
(62678, '3osdA00', NULL, NULL, 265, NULL, NULL, 21067),
(62679, '3s5qA00', NULL, NULL, 214, NULL, NULL, 21067),
(62680, '4mfkA02', NULL, NULL, 151, NULL, NULL, 21068),
(62681, '4mfzA02', NULL, NULL, 147, NULL, NULL, 21068),
(62682, '5xoxA00', NULL, NULL, 243, NULL, NULL, 21069),
(62683, '4kgmA00', NULL, NULL, 245, NULL, NULL, 21069),
(62684, '5axmB00', NULL, NULL, 251, NULL, NULL, 21069),
(62685, '3otdA00', NULL, NULL, 269, NULL, NULL, 21069),
(62686, '3wbzB00', NULL, NULL, 271, NULL, NULL, 21069),
(62687, '3zgxA02', NULL, NULL, 91, NULL, NULL, 21070),
(62688, '4g1gA02', NULL, NULL, 169, NULL, NULL, 21071),
(62689, '1ujrA01', NULL, NULL, 83, NULL, NULL, 21072),
(62690, '1x4rA01', NULL, NULL, 79, NULL, NULL, 21072),
(62691, '2a90A02', NULL, NULL, 70, NULL, NULL, 21072),
(62692, '2a90A01', NULL, NULL, 98, NULL, NULL, 21072),
(62693, '3v3lB00', NULL, NULL, 85, NULL, NULL, 21072),
(62694, '2dk6A01', NULL, NULL, 94, NULL, NULL, 21072),
(62695, '5tkyA04', NULL, NULL, 116, NULL, NULL, 21073),
(62696, '4f01A01', NULL, NULL, 139, NULL, NULL, 21073),
(62697, '1bprA00', NULL, NULL, 191, NULL, NULL, 21073),
(62698, '4r5kA01', NULL, NULL, 144, NULL, NULL, 21073),
(62699, '6eofA04', NULL, NULL, 116, NULL, NULL, 21073),
(62700, '2qxlB05', NULL, NULL, 152, NULL, NULL, 21073),
(62701, '4wv5B00', NULL, NULL, 151, NULL, NULL, 21073),
(62702, '2v7yA04', NULL, NULL, 150, NULL, NULL, 21073),
(62703, '1u00A01', NULL, NULL, 131, NULL, NULL, 21073),
(62704, '3n8eA00', NULL, NULL, 159, NULL, NULL, 21073),
(62705, '1ckrA00', NULL, NULL, 159, NULL, NULL, 21073),
(62706, '3dobA00', NULL, NULL, 152, NULL, NULL, 21073),
(62707, '3d2fA05', NULL, NULL, 136, NULL, NULL, 21073),
(62708, '3h0xA00', NULL, NULL, 152, NULL, NULL, 21073),
(62709, '4po2A01', NULL, NULL, 131, NULL, NULL, 21073),
(62710, '3dqgC00', NULL, NULL, 151, NULL, NULL, 21073),
(62711, '4jnfA01', NULL, NULL, 132, NULL, NULL, 21073),
(62712, '4fl9A05', NULL, NULL, 154, NULL, NULL, 21073),
(62713, '2op6A00', NULL, NULL, 152, NULL, NULL, 21073),
(62714, '4f01B01', NULL, NULL, 140, NULL, NULL, 21073),
(62715, '4k91A02', NULL, NULL, 91, NULL, NULL, 21074),
(62716, '1xp4C02', NULL, NULL, 101, NULL, NULL, 21074),
(62717, '3itbA02', NULL, NULL, 92, NULL, NULL, 21074),
(62718, '3mzfA02', NULL, NULL, 92, NULL, NULL, 21074),
(62719, '3a3jA02', NULL, NULL, 92, NULL, NULL, 21074),
(62720, '4bk0A02', NULL, NULL, 47, NULL, NULL, 21075),
(62721, '1tlqA00', NULL, NULL, 166, NULL, NULL, 21076),
(62722, '1rfzC00', NULL, NULL, 168, NULL, NULL, 21076),
(62723, '1y9iA00', NULL, NULL, 178, NULL, NULL, 21076),
(62724, '5e33A03', NULL, NULL, 79, NULL, NULL, 21077),
(62725, '3cskA03', NULL, NULL, 76, NULL, NULL, 21077),
(62726, '4i1tA01', NULL, NULL, 78, NULL, NULL, 21078),
(62727, '3jsbA01', NULL, NULL, 87, NULL, NULL, 21078),
(62728, '2c55A01', NULL, NULL, 41, NULL, NULL, 21079),
(62729, '2jobA00', NULL, NULL, 102, NULL, NULL, 21080),
(62730, '1e2tA02', NULL, NULL, 94, NULL, NULL, 21081),
(62731, '3vkgA14', NULL, NULL, 80, NULL, NULL, 21082),
(62732, '1urjA03', NULL, NULL, 98, NULL, NULL, 21083),
(62733, '3ip4B03', NULL, NULL, 65, NULL, NULL, 21084),
(62734, '1ng6A02', NULL, NULL, 57, NULL, NULL, 21084),
(62735, '3al0B03', NULL, NULL, 63, NULL, NULL, 21084),
(62736, '6e6qA00', NULL, NULL, 56, NULL, NULL, 21085),
(62737, '2hu9A02', NULL, NULL, 69, NULL, NULL, 21085),
(62738, '1y56A04', NULL, NULL, 77, NULL, NULL, 21085),
(62739, '1y64B01', NULL, NULL, 62, NULL, NULL, 21086),
(62740, '1ux5A01', NULL, NULL, 60, NULL, NULL, 21086),
(62741, '2e1qC07', NULL, NULL, 95, NULL, NULL, 21087),
(62742, '3nvwC01', NULL, NULL, 92, NULL, NULL, 21087),
(62743, '1t3qB01', NULL, NULL, 113, NULL, NULL, 21087),
(62744, '3zyvB07', NULL, NULL, 121, NULL, NULL, 21087),
(62745, '1rm6A02', NULL, NULL, 92, NULL, NULL, 21087);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(62746, '3unaB07', NULL, NULL, 123, NULL, NULL, 21087),
(62747, '1ffvB01', NULL, NULL, 141, NULL, NULL, 21087),
(62748, '3an1B07', NULL, NULL, 123, NULL, NULL, 21087),
(62749, '2w3sB01', NULL, NULL, 124, NULL, NULL, 21087),
(62750, '4usaA03', NULL, NULL, 101, NULL, NULL, 21087),
(62751, '1n62E01', NULL, NULL, 144, NULL, NULL, 21087),
(62752, '1dgjA03', NULL, NULL, 101, NULL, NULL, 21087),
(62753, '4zohA01', NULL, NULL, 106, NULL, NULL, 21087),
(62754, '3an1A07', NULL, NULL, 95, NULL, NULL, 21087),
(62755, '2giaB00', NULL, NULL, 154, NULL, NULL, 21088),
(62756, '2giaA00', NULL, NULL, 169, NULL, NULL, 21088),
(62757, '2g8gA00', NULL, NULL, 524, NULL, NULL, 21089),
(62758, '3kicA00', NULL, NULL, 520, NULL, NULL, 21089),
(62759, '4iovA00', NULL, NULL, 520, NULL, NULL, 21089),
(62760, '1c8eA00', NULL, NULL, 548, NULL, NULL, 21089),
(62761, '1k3vA00', NULL, NULL, 542, NULL, NULL, 21089),
(62762, '4qc8A00', NULL, NULL, 498, NULL, NULL, 21089),
(62763, '6nf9A00', NULL, NULL, 541, NULL, NULL, 21089),
(62764, '2qa0A00', NULL, NULL, 519, NULL, NULL, 21089),
(62765, '4g0rA00', NULL, NULL, 556, NULL, NULL, 21089),
(62766, '3ng9A00', NULL, NULL, 520, NULL, NULL, 21089),
(62767, '3nttA00', NULL, NULL, 516, NULL, NULL, 21089),
(62768, '6nn3A00', NULL, NULL, 534, NULL, NULL, 21089),
(62769, '6ihbA00', NULL, NULL, 517, NULL, NULL, 21089),
(62770, '3ux1A00', NULL, NULL, 518, NULL, NULL, 21089),
(62771, '4rsoA00', NULL, NULL, 520, NULL, NULL, 21089),
(62772, '5uf6A00', NULL, NULL, 517, NULL, NULL, 21089),
(62773, '1z14A00', NULL, NULL, 549, NULL, NULL, 21089),
(62774, '2gfhA02', NULL, NULL, 90, NULL, NULL, 21090),
(62775, '3ik3A01', NULL, NULL, 90, NULL, NULL, 21091),
(62776, '2i0yA01', NULL, NULL, 104, NULL, NULL, 21091),
(62777, '4otwA01', NULL, NULL, 95, NULL, NULL, 21091),
(62778, '3cc6A01', NULL, NULL, 93, NULL, NULL, 21091),
(62779, '2a19C01', NULL, NULL, 104, NULL, NULL, 21091),
(62780, '3lzhA01', NULL, NULL, 91, NULL, NULL, 21091),
(62781, '4yomB01', NULL, NULL, 98, NULL, NULL, 21091),
(62782, '1z57A01', NULL, NULL, 94, NULL, NULL, 21091),
(62783, '4aw2A01', NULL, NULL, 213, NULL, NULL, 21091),
(62784, '5xy1A01', NULL, NULL, 88, NULL, NULL, 21091),
(62785, '5cemA01', NULL, NULL, 82, NULL, NULL, 21091),
(62786, '3aoxA01', NULL, NULL, 107, NULL, NULL, 21091),
(62787, '5bq0A01', NULL, NULL, 100, NULL, NULL, 21091),
(62788, '2vd5B01', NULL, NULL, 204, NULL, NULL, 21091),
(62789, '3enmB01', NULL, NULL, 83, NULL, NULL, 21091),
(62790, '6dcgA01', NULL, NULL, 112, NULL, NULL, 21091),
(62791, '1p4oA01', NULL, NULL, 108, NULL, NULL, 21091),
(62792, '3qc4B01', NULL, NULL, 114, NULL, NULL, 21091),
(62793, '4uy9A01', NULL, NULL, 91, NULL, NULL, 21091),
(62794, '1blxA01', NULL, NULL, 92, NULL, NULL, 21091),
(62795, '4feuF01', NULL, NULL, 79, NULL, NULL, 21091),
(62796, '3d5vA01', NULL, NULL, 95, NULL, NULL, 21091),
(62797, '3vjnA01', NULL, NULL, 104, NULL, NULL, 21091),
(62798, '2vwiD01', NULL, NULL, 94, NULL, NULL, 21091),
(62799, '4usfA01', NULL, NULL, 94, NULL, NULL, 21091),
(62800, '5lwmA01', NULL, NULL, 96, NULL, NULL, 21091),
(62801, '2rkuA01', NULL, NULL, 89, NULL, NULL, 21091),
(62802, '3dlsB01', NULL, NULL, 112, NULL, NULL, 21091),
(62803, '1fvrA01', NULL, NULL, 107, NULL, NULL, 21091),
(62804, '2bujB01', NULL, NULL, 112, NULL, NULL, 21091),
(62805, '2y94A01', NULL, NULL, 97, NULL, NULL, 21091),
(62806, '3udbA01', NULL, NULL, 96, NULL, NULL, 21091),
(62807, '3eb0A01', NULL, NULL, 84, NULL, NULL, 21091),
(62808, '6cthA01', NULL, NULL, 93, NULL, NULL, 21091),
(62809, '4pmpA01', NULL, NULL, 91, NULL, NULL, 21091),
(62810, '3skjF00', NULL, NULL, 151, NULL, NULL, 21091),
(62811, '2cmwA01', NULL, NULL, 79, NULL, NULL, 21091),
(62812, '4hctA01', NULL, NULL, 86, NULL, NULL, 21091),
(62813, '5hu3A01', NULL, NULL, 94, NULL, NULL, 21091),
(62814, '2ozaA01', NULL, NULL, 98, NULL, NULL, 21091),
(62815, '3utoA02', NULL, NULL, 127, NULL, NULL, 21091),
(62816, '1yvjA01', NULL, NULL, 91, NULL, NULL, 21091),
(62817, '3a7fA01', NULL, NULL, 101, NULL, NULL, 21091),
(62818, '5oq5A01', NULL, NULL, 97, NULL, NULL, 21091),
(62819, '2qg7B01', NULL, NULL, 102, NULL, NULL, 21091);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(62820, '3enmC01', NULL, NULL, 84, NULL, NULL, 21091),
(62821, '6fngA01', NULL, NULL, 101, NULL, NULL, 21091),
(62822, '3n9xA01', NULL, NULL, 168, NULL, NULL, 21091),
(62823, '2ipxA01', NULL, NULL, 55, NULL, NULL, 21091),
(62824, '6fylA01', NULL, NULL, 108, NULL, NULL, 21091),
(62825, '2b9hA01', NULL, NULL, 110, NULL, NULL, 21091),
(62826, '2vz6B01', NULL, NULL, 83, NULL, NULL, 21091),
(62827, '6ferF01', NULL, NULL, 104, NULL, NULL, 21091),
(62828, '5jzjA01', NULL, NULL, 94, NULL, NULL, 21091),
(62829, '3g2fA01', NULL, NULL, 95, NULL, NULL, 21091),
(62830, '5x5oA01', NULL, NULL, 87, NULL, NULL, 21091),
(62831, '4wihA02', NULL, NULL, 125, NULL, NULL, 21091),
(62832, '3kk8A01', NULL, NULL, 86, NULL, NULL, 21091),
(62833, '2dq7X01', NULL, NULL, 86, NULL, NULL, 21091),
(62834, '3uiuA01', NULL, NULL, 115, NULL, NULL, 21091),
(62835, '4b6lA01', NULL, NULL, 89, NULL, NULL, 21091),
(62836, '2acxA02', NULL, NULL, 91, NULL, NULL, 21091),
(62837, '5zj6A01', NULL, NULL, 101, NULL, NULL, 21091),
(62838, '2i6lA01', NULL, NULL, 105, NULL, NULL, 21091),
(62839, '2wqbA01', NULL, NULL, 104, NULL, NULL, 21091),
(62840, '4nstA01', NULL, NULL, 105, NULL, NULL, 21091),
(62841, '4uakA01', NULL, NULL, 216, NULL, NULL, 21091),
(62842, '6cnhA01', NULL, NULL, 89, NULL, NULL, 21091),
(62843, '1nt2A01', NULL, NULL, 36, NULL, NULL, 21091),
(62844, '3c5iD01', NULL, NULL, 88, NULL, NULL, 21091),
(62845, '1x8bA01', NULL, NULL, 88, NULL, NULL, 21091),
(62846, '4e7wA01', NULL, NULL, 83, NULL, NULL, 21091),
(62847, '3cblA02', NULL, NULL, 90, NULL, NULL, 21091),
(62848, '5cnoB01', NULL, NULL, 100, NULL, NULL, 21091),
(62849, '4iz7A01', NULL, NULL, 121, NULL, NULL, 21091),
(62850, '2wntB01', NULL, NULL, 57, NULL, NULL, 21091),
(62851, '1rjbA01', NULL, NULL, 132, NULL, NULL, 21091),
(62852, '4lrjA01', NULL, NULL, 79, NULL, NULL, 21091),
(62853, '5drbA01', NULL, NULL, 94, NULL, NULL, 21091),
(62854, '2izrA01', NULL, NULL, 87, NULL, NULL, 21091),
(62855, '2v62A01', NULL, NULL, 110, NULL, NULL, 21091),
(62856, '3geqA01', NULL, NULL, 93, NULL, NULL, 21091),
(62857, '2ktyA01', NULL, NULL, 134, NULL, NULL, 21091),
(62858, '3fmeA01', NULL, NULL, 88, NULL, NULL, 21091),
(62859, '3atsA01', NULL, NULL, 116, NULL, NULL, 21091),
(62860, '4d9uA01', NULL, NULL, 97, NULL, NULL, 21091),
(62861, '4o38A01', NULL, NULL, 96, NULL, NULL, 21091),
(62862, '1fotA02', NULL, NULL, 125, NULL, NULL, 21091),
(62863, '3nynB01', NULL, NULL, 255, NULL, NULL, 21091),
(62864, '3w2rA01', NULL, NULL, 101, NULL, NULL, 21091),
(62865, '5nclA01', NULL, NULL, 128, NULL, NULL, 21091),
(62866, '4dhfA01', NULL, NULL, 96, NULL, NULL, 21091),
(62867, '4ymjA01', NULL, NULL, 98, NULL, NULL, 21091),
(62868, '2c47D01', NULL, NULL, 82, NULL, NULL, 21091),
(62869, '5l6oA01', NULL, NULL, 82, NULL, NULL, 21091),
(62870, '3bhhA01', NULL, NULL, 84, NULL, NULL, 21091),
(62871, '3lltA01', NULL, NULL, 93, NULL, NULL, 21091),
(62872, '2hakH01', NULL, NULL, 99, NULL, NULL, 21091),
(62873, '2pywB01', NULL, NULL, 122, NULL, NULL, 21091),
(62874, '2pmlX01', NULL, NULL, 124, NULL, NULL, 21091),
(62875, '4q9zB01', NULL, NULL, 131, NULL, NULL, 21091),
(62876, '2z02A01', NULL, NULL, 105, NULL, NULL, 21091),
(62877, '6egeD01', NULL, NULL, 106, NULL, NULL, 21091),
(62878, '2y6oA01', NULL, NULL, 96, NULL, NULL, 21091),
(62879, '4e1zA01', NULL, NULL, 94, NULL, NULL, 21091),
(62880, '3lm5A01', NULL, NULL, 89, NULL, NULL, 21091),
(62881, '3enmA01', NULL, NULL, 86, NULL, NULL, 21091),
(62882, '6o6qA02', NULL, NULL, 91, NULL, NULL, 21091),
(62883, '6gu2A01', NULL, NULL, 89, NULL, NULL, 21091),
(62884, '3pooA02', NULL, NULL, 125, NULL, NULL, 21091),
(62885, '1jpaA01', NULL, NULL, 96, NULL, NULL, 21091),
(62886, '1s9iB01', NULL, NULL, 97, NULL, NULL, 21091),
(62887, '1q8yA01', NULL, NULL, 97, NULL, NULL, 21091),
(62888, '3q5zA02', NULL, NULL, 143, NULL, NULL, 21091),
(62889, '4lrkA01', NULL, NULL, 77, NULL, NULL, 21091),
(62890, '3cd8A01', NULL, NULL, 113, NULL, NULL, 21091),
(62891, '3hmiA01', NULL, NULL, 85, NULL, NULL, 21091),
(62892, '5cenA01', NULL, NULL, 83, NULL, NULL, 21091),
(62893, '6di1A01', NULL, NULL, 88, NULL, NULL, 21091);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(62894, '3pp0A01', NULL, NULL, 99, NULL, NULL, 21091),
(62895, '4j7bA01', NULL, NULL, 89, NULL, NULL, 21091),
(62896, '2r0iA01', NULL, NULL, 94, NULL, NULL, 21091),
(62897, '4crsA01', NULL, NULL, 141, NULL, NULL, 21091),
(62898, '4yjqA01', NULL, NULL, 96, NULL, NULL, 21091),
(62899, '3qupA01', NULL, NULL, 112, NULL, NULL, 21091),
(62900, '4hvsA01', NULL, NULL, 131, NULL, NULL, 21091),
(62901, '3gu4A01', NULL, NULL, 91, NULL, NULL, 21091),
(62902, '3wf7A01', NULL, NULL, 108, NULL, NULL, 21091),
(62903, '4kujA01', NULL, NULL, 150, NULL, NULL, 21091),
(62904, '1q5kA01', NULL, NULL, 97, NULL, NULL, 21091),
(62905, '3c4zA02', NULL, NULL, 91, NULL, NULL, 21091),
(62906, '6cd7A01', NULL, NULL, 91, NULL, NULL, 21091),
(62907, '3ugcA01', NULL, NULL, 94, NULL, NULL, 21091),
(62908, '2w4oA01', NULL, NULL, 87, NULL, NULL, 21091),
(62909, '5o1vA01', NULL, NULL, 99, NULL, NULL, 21091),
(62910, '2reiA01', NULL, NULL, 107, NULL, NULL, 21091),
(62911, '6hjjA01', NULL, NULL, 98, NULL, NULL, 21091),
(62912, '2j0iA01', NULL, NULL, 109, NULL, NULL, 21091),
(62913, '3en9A03', NULL, NULL, 73, NULL, NULL, 21091),
(62914, '3bhyA01', NULL, NULL, 92, NULL, NULL, 21091),
(62915, '3e7oB01', NULL, NULL, 103, NULL, NULL, 21091),
(62916, '5xkaB01', NULL, NULL, 99, NULL, NULL, 21091),
(62917, '2oo8X01', NULL, NULL, 72, NULL, NULL, 21091),
(62918, '2q83B01', NULL, NULL, 113, NULL, NULL, 21091),
(62919, '3hyhA01', NULL, NULL, 94, NULL, NULL, 21091),
(62920, '4bgqA01', NULL, NULL, 94, NULL, NULL, 21091),
(62921, '4yhjA02', NULL, NULL, 91, NULL, NULL, 21091),
(62922, '6mibA01', NULL, NULL, 90, NULL, NULL, 21091),
(62923, '4czuA01', NULL, NULL, 92, NULL, NULL, 21091),
(62924, '3mvhA01', NULL, NULL, 139, NULL, NULL, 21091),
(62925, '3c0iA01', NULL, NULL, 88, NULL, NULL, 21091),
(62926, '4fieA01', NULL, NULL, 108, NULL, NULL, 21091),
(62927, '1csnA01', NULL, NULL, 87, NULL, NULL, 21091),
(62928, '2y7jA01', NULL, NULL, 90, NULL, NULL, 21091),
(62929, '4gcjA01', NULL, NULL, 84, NULL, NULL, 21091),
(62930, '3v5wA03', NULL, NULL, 108, NULL, NULL, 21091),
(62931, '3iecB01', NULL, NULL, 87, NULL, NULL, 21091),
(62932, '4r1vA01', NULL, NULL, 105, NULL, NULL, 21091),
(62933, '4mvfA01', NULL, NULL, 93, NULL, NULL, 21091),
(62934, '4csvA01', NULL, NULL, 88, NULL, NULL, 21091),
(62935, '4d28B01', NULL, NULL, 90, NULL, NULL, 21091),
(62936, '5ut3A01', NULL, NULL, 93, NULL, NULL, 21091),
(62937, '3hztA01', NULL, NULL, 95, NULL, NULL, 21091),
(62938, '5byzA01', NULL, NULL, 110, NULL, NULL, 21091),
(62939, '5efqA01', NULL, NULL, 103, NULL, NULL, 21091),
(62940, '5a9uA01', NULL, NULL, 114, NULL, NULL, 21091),
(62941, '3o0gA01', NULL, NULL, 84, NULL, NULL, 21091),
(62942, '4aqcB01', NULL, NULL, 100, NULL, NULL, 21091),
(62943, '5lmaA01', NULL, NULL, 92, NULL, NULL, 21091),
(62944, '6bfnA01', NULL, NULL, 102, NULL, NULL, 21091),
(62945, '4mwiA01', NULL, NULL, 110, NULL, NULL, 21091),
(62946, '2eu9A01', NULL, NULL, 99, NULL, NULL, 21091),
(62947, '1opkA03', NULL, NULL, 86, NULL, NULL, 21091),
(62948, '2welA01', NULL, NULL, 85, NULL, NULL, 21091),
(62949, '3uc3A01', NULL, NULL, 97, NULL, NULL, 21091),
(62950, '4aguC01', NULL, NULL, 85, NULL, NULL, 21091),
(62951, '4c0tA01', NULL, NULL, 92, NULL, NULL, 21091),
(62952, '2w96B01', NULL, NULL, 94, NULL, NULL, 21091),
(62953, '2w1zA02', NULL, NULL, 143, NULL, NULL, 21091),
(62954, '4rgjA01', NULL, NULL, 100, NULL, NULL, 21091),
(62955, '5xkaA01', NULL, NULL, 99, NULL, NULL, 21091),
(62956, '3socA01', NULL, NULL, 105, NULL, NULL, 21091),
(62957, '2xikA01', NULL, NULL, 98, NULL, NULL, 21091),
(62958, '3ohtA01', NULL, NULL, 136, NULL, NULL, 21091),
(62959, '2pmiA01', NULL, NULL, 68, NULL, NULL, 21091),
(62960, '2wqmA01', NULL, NULL, 72, NULL, NULL, 21091),
(62961, '3csvA01', NULL, NULL, 93, NULL, NULL, 21091),
(62962, '3mi9A01', NULL, NULL, 107, NULL, NULL, 21091),
(62963, '3kn6A01', NULL, NULL, 66, NULL, NULL, 21091),
(62964, '4jbvA01', NULL, NULL, 96, NULL, NULL, 21091),
(62965, '4fe2A01', NULL, NULL, 97, NULL, NULL, 21091),
(62966, '4ytfA01', NULL, NULL, 95, NULL, NULL, 21091),
(62967, '4itjB01', NULL, NULL, 94, NULL, NULL, 21091);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(62968, '3nynA01', NULL, NULL, 148, NULL, NULL, 21091),
(62969, '4g31A01', NULL, NULL, 96, NULL, NULL, 21091),
(62970, '6gzdA01', NULL, NULL, 64, NULL, NULL, 21091),
(62971, '4l00A01', NULL, NULL, 113, NULL, NULL, 21091),
(62972, '4nfnA01', NULL, NULL, 64, NULL, NULL, 21091),
(62973, '2ycfA01', NULL, NULL, 95, NULL, NULL, 21091),
(62974, '4lg4F01', NULL, NULL, 87, NULL, NULL, 21091),
(62975, '4h05B01', NULL, NULL, 93, NULL, NULL, 21091),
(62976, '4lqsA01', NULL, NULL, 86, NULL, NULL, 21091),
(62977, '3mesA01', NULL, NULL, 75, NULL, NULL, 21091),
(62978, '3gopA01', NULL, NULL, 131, NULL, NULL, 21091),
(62979, '5ci6A01', NULL, NULL, 128, NULL, NULL, 21091),
(62980, '4an3A01', NULL, NULL, 89, NULL, NULL, 21091),
(62981, '3wzdA01', NULL, NULL, 105, NULL, NULL, 21091),
(62982, '2i0eB01', NULL, NULL, 138, NULL, NULL, 21091),
(62983, '5kmiA01', NULL, NULL, 118, NULL, NULL, 21091),
(62984, '4ebvA01', NULL, NULL, 92, NULL, NULL, 21091),
(62985, '2cnqA01', NULL, NULL, 112, NULL, NULL, 21091),
(62986, '3hngA01', NULL, NULL, 113, NULL, NULL, 21091),
(62987, '6cz4A01', NULL, NULL, 89, NULL, NULL, 21091),
(62988, '6fyvA01', NULL, NULL, 94, NULL, NULL, 21091),
(62989, '1ua2A01', NULL, NULL, 95, NULL, NULL, 21091),
(62990, '1wzyA01', NULL, NULL, 139, NULL, NULL, 21091),
(62991, '4y85C01', NULL, NULL, 148, NULL, NULL, 21091),
(62992, '3orkA01', NULL, NULL, 97, NULL, NULL, 21091),
(62993, '3fe3A01', NULL, NULL, 95, NULL, NULL, 21091),
(62994, '4gt4B01', NULL, NULL, 92, NULL, NULL, 21091),
(62995, '3is5E01', NULL, NULL, 103, NULL, NULL, 21091),
(62996, '3id6C01', NULL, NULL, 54, NULL, NULL, 21091),
(62997, '3f3zA01', NULL, NULL, 87, NULL, NULL, 21091),
(62998, '3lffA01', NULL, NULL, 93, NULL, NULL, 21091),
(62999, '4nt4A01', NULL, NULL, 96, NULL, NULL, 21091),
(63000, '2jamA01', NULL, NULL, 81, NULL, NULL, 21091),
(63001, '3plsA01', NULL, NULL, 104, NULL, NULL, 21091),
(63002, '3kreA01', NULL, NULL, 98, NULL, NULL, 21091),
(63003, '1kobA01', NULL, NULL, 109, NULL, NULL, 21091),
(63004, '3hkoA01', NULL, NULL, 109, NULL, NULL, 21091),
(63005, '2gqrA01', NULL, NULL, 101, NULL, NULL, 21091),
(63006, '3gp0A01', NULL, NULL, 137, NULL, NULL, 21091),
(63007, '3fi8A01', NULL, NULL, 80, NULL, NULL, 21091),
(63008, '4l44A01', NULL, NULL, 145, NULL, NULL, 21091),
(63009, '3op5D01', NULL, NULL, 110, NULL, NULL, 21091),
(63010, '3dzoA02', NULL, NULL, 141, NULL, NULL, 21091),
(63011, '6ccyA01', NULL, NULL, 140, NULL, NULL, 21091),
(63012, '3ggfA01', NULL, NULL, 85, NULL, NULL, 21091),
(63013, '4c2vB01', NULL, NULL, 89, NULL, NULL, 21091),
(63014, '3uc4A01', NULL, NULL, 96, NULL, NULL, 21091),
(63015, '4qtbB01', NULL, NULL, 116, NULL, NULL, 21091),
(63016, '1kutB01', NULL, NULL, 95, NULL, NULL, 21091),
(63017, '3etaA01', NULL, NULL, 100, NULL, NULL, 21091),
(63018, '2zv7A01', NULL, NULL, 88, NULL, NULL, 21091),
(63019, '2rioA01', NULL, NULL, 89, NULL, NULL, 21091),
(63020, '3lxpA01', NULL, NULL, 93, NULL, NULL, 21091),
(63021, '3p86A01', NULL, NULL, 86, NULL, NULL, 21091),
(63022, '5g6vA01', NULL, NULL, 83, NULL, NULL, 21091),
(63023, '3g0eA01', NULL, NULL, 131, NULL, NULL, 21091),
(63024, '4d4rB01', NULL, NULL, 91, NULL, NULL, 21091),
(63025, '2ckoB01', NULL, NULL, 86, NULL, NULL, 21091),
(63026, '3kfaA01', NULL, NULL, 90, NULL, NULL, 21091),
(63027, '3nz0A01', NULL, NULL, 99, NULL, NULL, 21091),
(63028, '2fstX01', NULL, NULL, 147, NULL, NULL, 21091),
(63029, '4krdA01', NULL, NULL, 86, NULL, NULL, 21091),
(63030, '6n7aB01', NULL, NULL, 96, NULL, NULL, 21091),
(63031, '4b9dB01', NULL, NULL, 104, NULL, NULL, 21091),
(63032, '6hhjA02', NULL, NULL, 90, NULL, NULL, 21091),
(63033, '4wovA01', NULL, NULL, 110, NULL, NULL, 21091),
(63034, '5wp1A01', NULL, NULL, 128, NULL, NULL, 21091),
(63035, '5wnoA01', NULL, NULL, 104, NULL, NULL, 21091),
(63036, '3a8xB01', NULL, NULL, 136, NULL, NULL, 21091),
(63037, '4fg9A01', NULL, NULL, 97, NULL, NULL, 21091),
(63038, '3ubdA01', NULL, NULL, 109, NULL, NULL, 21091),
(63039, '4da5A01', NULL, NULL, 108, NULL, NULL, 21091),
(63040, '2h6dA01', NULL, NULL, 92, NULL, NULL, 21091),
(63041, '3nuaA01', NULL, NULL, 102, NULL, NULL, 21091);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(63042, '5m06A01', NULL, NULL, 91, NULL, NULL, 21091),
(63043, '6eixA01', NULL, NULL, 96, NULL, NULL, 21091),
(63044, '5f9eA01', NULL, NULL, 151, NULL, NULL, 21091),
(63045, '6g38A01', NULL, NULL, 136, NULL, NULL, 21091),
(63046, '6hmqA02', NULL, NULL, 91, NULL, NULL, 21091),
(63047, '2jc6A01', NULL, NULL, 101, NULL, NULL, 21091),
(63048, '3bu3A01', NULL, NULL, 101, NULL, NULL, 21091),
(63049, '3pfqA01', NULL, NULL, 190, NULL, NULL, 21091),
(63050, '1nd4A01', NULL, NULL, 95, NULL, NULL, 21091),
(63051, '4yzbA02', NULL, NULL, 88, NULL, NULL, 21091),
(63052, '4fuyA01', NULL, NULL, 129, NULL, NULL, 21091),
(63053, '3sv0A01', NULL, NULL, 64, NULL, NULL, 21091),
(63054, '2h34A01', NULL, NULL, 82, NULL, NULL, 21091),
(63055, '1fmkA03', NULL, NULL, 86, NULL, NULL, 21091),
(63056, '5x3fB01', NULL, NULL, 89, NULL, NULL, 21091),
(63057, '1gzkA02', NULL, NULL, 100, NULL, NULL, 21091),
(63058, '3nieA01', NULL, NULL, 163, NULL, NULL, 21091),
(63059, '4q5eA01', NULL, NULL, 78, NULL, NULL, 21091),
(63060, '2r2pA01', NULL, NULL, 104, NULL, NULL, 21091),
(63061, '4e5bA01', NULL, NULL, 151, NULL, NULL, 21091),
(63062, '5ftgA01', NULL, NULL, 84, NULL, NULL, 21091),
(63063, '4af3A01', NULL, NULL, 88, NULL, NULL, 21091),
(63064, '4g3fA01', NULL, NULL, 131, NULL, NULL, 21091),
(63065, '5vi9A02', NULL, NULL, 102, NULL, NULL, 21091),
(63066, '5larA01', NULL, NULL, 141, NULL, NULL, 21091),
(63067, '1phkA01', NULL, NULL, 105, NULL, NULL, 21091),
(63068, '4yneA01', NULL, NULL, 98, NULL, NULL, 21091),
(63069, '5mjaA01', NULL, NULL, 91, NULL, NULL, 21091),
(63070, '4i93A01', NULL, NULL, 106, NULL, NULL, 21091),
(63071, '3q4uB01', NULL, NULL, 89, NULL, NULL, 21091),
(63072, '1u59A01', NULL, NULL, 90, NULL, NULL, 21091),
(63073, '5x18A01', NULL, NULL, 84, NULL, NULL, 21091),
(63074, '5ipjA01', NULL, NULL, 105, NULL, NULL, 21091),
(63075, '5k5xA01', NULL, NULL, 131, NULL, NULL, 21091),
(63076, '1ob3A01', NULL, NULL, 83, NULL, NULL, 21091),
(63077, '4xbrA01', NULL, NULL, 151, NULL, NULL, 21091),
(63078, '4u3yB01', NULL, NULL, 108, NULL, NULL, 21091),
(63079, '3zduA01', NULL, NULL, 84, NULL, NULL, 21091),
(63080, '5hg8A01', NULL, NULL, 99, NULL, NULL, 21091),
(63081, '4wnkA02', NULL, NULL, 100, NULL, NULL, 21091),
(63082, '3lkmA01', NULL, NULL, 162, NULL, NULL, 21091),
(63083, '3tm0A01', NULL, NULL, 90, NULL, NULL, 21091),
(63084, '4ianA01', NULL, NULL, 87, NULL, NULL, 21091),
(63085, '1k9aA03', NULL, NULL, 86, NULL, NULL, 21091),
(63086, '5ig1A01', NULL, NULL, 88, NULL, NULL, 21091),
(63087, '2qkwB01', NULL, NULL, 72, NULL, NULL, 21091),
(63088, '4qnyA01', NULL, NULL, 126, NULL, NULL, 21091),
(63089, '4qqtA01', NULL, NULL, 99, NULL, NULL, 21091),
(63090, '3lijA02', NULL, NULL, 87, NULL, NULL, 21091),
(63091, '4l68A01', NULL, NULL, 116, NULL, NULL, 21091),
(63092, '2v7oA01', NULL, NULL, 113, NULL, NULL, 21091),
(63093, '3sxsA01', NULL, NULL, 84, NULL, NULL, 21091),
(63094, '3kmmA01', NULL, NULL, 97, NULL, NULL, 21091),
(63095, '3my0C01', NULL, NULL, 89, NULL, NULL, 21091),
(63096, '3jr1A01', NULL, NULL, 112, NULL, NULL, 21091),
(63097, '3oz6A01', NULL, NULL, 110, NULL, NULL, 21091),
(63098, '3warA02', NULL, NULL, 91, NULL, NULL, 21091),
(63099, '6eimB01', NULL, NULL, 97, NULL, NULL, 21091),
(63100, '5nxdA01', NULL, NULL, 80, NULL, NULL, 21091),
(63101, '1b6cB01', NULL, NULL, 123, NULL, NULL, 21091),
(63102, '5ftqA01', NULL, NULL, 106, NULL, NULL, 21091),
(63103, '4yznA01', NULL, NULL, 104, NULL, NULL, 21091),
(63104, '1nw1A01', NULL, NULL, 96, NULL, NULL, 21091),
(63105, '5my8A01', NULL, NULL, 101, NULL, NULL, 21091),
(63106, '3u55A01', NULL, NULL, 102, NULL, NULL, 21091),
(63107, '2pziB02', NULL, NULL, 151, NULL, NULL, 21091),
(63108, '2a2aB01', NULL, NULL, 98, NULL, NULL, 21091),
(63109, '5lohB01', NULL, NULL, 87, NULL, NULL, 21091),
(63110, '4euuA01', NULL, NULL, 90, NULL, NULL, 21091),
(63111, '5lvoA01', NULL, NULL, 93, NULL, NULL, 21091),
(63112, '4ynzA01', NULL, NULL, 90, NULL, NULL, 21091),
(63113, '4uyaA01', NULL, NULL, 90, NULL, NULL, 21091),
(63114, '5vamA01', NULL, NULL, 91, NULL, NULL, 21091),
(63115, '4aaaA01', NULL, NULL, 84, NULL, NULL, 21091);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(63116, '3qd2B01', NULL, NULL, 98, NULL, NULL, 21091),
(63117, '5e8xA01', NULL, NULL, 88, NULL, NULL, 21091),
(63118, '5iqaA01', NULL, NULL, 90, NULL, NULL, 21091),
(63119, '6gzmA01', NULL, NULL, 64, NULL, NULL, 21091),
(63120, '1zarA02', NULL, NULL, 94, NULL, NULL, 21091),
(63121, '4gkhK01', NULL, NULL, 100, NULL, NULL, 21091),
(63122, '2ywvA01', NULL, NULL, 107, NULL, NULL, 21091),
(63123, '1lufA01', NULL, NULL, 97, NULL, NULL, 21091),
(63124, '4azsA02', NULL, NULL, 89, NULL, NULL, 21091),
(63125, '4qqjA01', NULL, NULL, 99, NULL, NULL, 21091),
(63126, '4qmlA01', NULL, NULL, 84, NULL, NULL, 21091),
(63127, '2weiA01', NULL, NULL, 90, NULL, NULL, 21091),
(63128, '1g8aA01', NULL, NULL, 51, NULL, NULL, 21091),
(63129, '1fbnA01', NULL, NULL, 52, NULL, NULL, 21091),
(63130, '2pulB01', NULL, NULL, 119, NULL, NULL, 21091),
(63131, '2y4iB01', NULL, NULL, 91, NULL, NULL, 21091),
(63132, '3alnB01', NULL, NULL, 103, NULL, NULL, 21091),
(63133, '4df3A01', NULL, NULL, 55, NULL, NULL, 21091),
(63134, '2jiiA01', NULL, NULL, 121, NULL, NULL, 21091),
(63135, '4i5pA01', NULL, NULL, 89, NULL, NULL, 21091),
(63136, '4hzrA01', NULL, NULL, 95, NULL, NULL, 21091),
(63137, '1cm8A01', NULL, NULL, 90, NULL, NULL, 21091),
(63138, '5u6bA01', NULL, NULL, 111, NULL, NULL, 21091),
(63139, '5xvuA02', NULL, NULL, 91, NULL, NULL, 21091),
(63140, '3fegA01', NULL, NULL, 79, NULL, NULL, 21091),
(63141, '2ac3A01', NULL, NULL, 80, NULL, NULL, 21091),
(63142, '4ks7A01', NULL, NULL, 101, NULL, NULL, 21091),
(63143, '4js8A01', NULL, NULL, 89, NULL, NULL, 21091),
(63144, '2wtkC01', NULL, NULL, 101, NULL, NULL, 21091),
(63145, '2ppqA01', NULL, NULL, 104, NULL, NULL, 21091),
(63146, '3b2tB01', NULL, NULL, 99, NULL, NULL, 21091),
(63147, '4qtdA01', NULL, NULL, 113, NULL, NULL, 21091),
(63148, '2x7gA01', NULL, NULL, 88, NULL, NULL, 21091),
(63149, '4pf4A01', NULL, NULL, 91, NULL, NULL, 21091),
(63150, '4x7qB01', NULL, NULL, 94, NULL, NULL, 21091),
(63151, '2r5tA01', NULL, NULL, 95, NULL, NULL, 21091),
(63152, '3uqcB01', NULL, NULL, 93, NULL, NULL, 21091),
(63153, '3nizA01', NULL, NULL, 102, NULL, NULL, 21091),
(63154, '4aw5A01', NULL, NULL, 96, NULL, NULL, 21091),
(63155, '3p1aA01', NULL, NULL, 112, NULL, NULL, 21091),
(63156, '5l8lA01', NULL, NULL, 98, NULL, NULL, 21091),
(63157, '6d1zA01', NULL, NULL, 115, NULL, NULL, 21091),
(63158, '6fnkA01', NULL, NULL, 100, NULL, NULL, 21091),
(63159, '3mfrA01', NULL, NULL, 89, NULL, NULL, 21091),
(63160, '4yz9A01', NULL, NULL, 82, NULL, NULL, 21091),
(63161, '4jr7A02', NULL, NULL, 125, NULL, NULL, 21091),
(63162, '3qa8A01', NULL, NULL, 83, NULL, NULL, 21091),
(63163, '3rp9A01', NULL, NULL, 143, NULL, NULL, 21091),
(63164, '3qyzA01', NULL, NULL, 134, NULL, NULL, 21091),
(63165, '6ctzA01', NULL, NULL, 93, NULL, NULL, 21091),
(63166, '6fucA01', NULL, NULL, 88, NULL, NULL, 21091),
(63167, '3f7wA01', NULL, NULL, 91, NULL, NULL, 21091),
(63168, '1o6lA02', NULL, NULL, 137, NULL, NULL, 21091),
(63169, '4oa2A01', NULL, NULL, 97, NULL, NULL, 21091),
(63170, '4k33A01', NULL, NULL, 99, NULL, NULL, 21091),
(63171, '5hidA01', NULL, NULL, 93, NULL, NULL, 21091),
(63172, '3cokA01', NULL, NULL, 89, NULL, NULL, 21091),
(63173, '1u5qA01', NULL, NULL, 96, NULL, NULL, 21091),
(63174, '5qinA01', NULL, NULL, 96, NULL, NULL, 21091),
(63175, '6fexA01', NULL, NULL, 111, NULL, NULL, 21091),
(63176, '4g3cA01', NULL, NULL, 147, NULL, NULL, 21091),
(63177, '2z7rA01', NULL, NULL, 95, NULL, NULL, 21091),
(63178, '3q5iA02', NULL, NULL, 98, NULL, NULL, 21091),
(63179, '1ia9A01', NULL, NULL, 147, NULL, NULL, 21091),
(63180, '4ylkA01', NULL, NULL, 109, NULL, NULL, 21091),
(63181, '3vw8A01', NULL, NULL, 135, NULL, NULL, 21091),
(63182, '3kvwA02', NULL, NULL, 104, NULL, NULL, 21091),
(63183, '4f9cA01', NULL, NULL, 102, NULL, NULL, 21091),
(63184, '3g15A01', NULL, NULL, 84, NULL, NULL, 21091),
(63185, '6fdyU01', NULL, NULL, 92, NULL, NULL, 21091),
(63186, '3dxqA01', NULL, NULL, 90, NULL, NULL, 21091),
(63187, '4m68A01', NULL, NULL, 95, NULL, NULL, 21091),
(63188, '2qr8A01', NULL, NULL, 60, NULL, NULL, 21091),
(63189, '4ow8A01', NULL, NULL, 97, NULL, NULL, 21091);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(63190, '3txoA01', NULL, NULL, 128, NULL, NULL, 21091),
(63191, '3i1aA01', NULL, NULL, 105, NULL, NULL, 21091),
(63192, '1k3aA01', NULL, NULL, 94, NULL, NULL, 21091),
(63193, '4ckjA01', NULL, NULL, 100, NULL, NULL, 21091),
(63194, '4dcaA01', NULL, NULL, 86, NULL, NULL, 21091),
(63195, '4tndA01', NULL, NULL, 255, NULL, NULL, 21091),
(63196, '1vzoA01', NULL, NULL, 111, NULL, NULL, 21091),
(63197, '4gyiA02', NULL, NULL, 100, NULL, NULL, 21091),
(63198, '5li9A01', NULL, NULL, 143, NULL, NULL, 21091),
(63199, '1t46A01', NULL, NULL, 96, NULL, NULL, 21091),
(63200, '5itaA01', NULL, NULL, 86, NULL, NULL, 21091),
(63201, '3dxpA01', NULL, NULL, 104, NULL, NULL, 21091),
(63202, '2qluA01', NULL, NULL, 96, NULL, NULL, 21091),
(63203, '5b2lA01', NULL, NULL, 98, NULL, NULL, 21091),
(63204, '4jrnA02', NULL, NULL, 141, NULL, NULL, 21091),
(63205, '4at5A01', NULL, NULL, 96, NULL, NULL, 21091),
(63206, '5grnA01', NULL, NULL, 94, NULL, NULL, 21091),
(63207, '4rlkA02', NULL, NULL, 91, NULL, NULL, 21091),
(63208, '3zbfA01', NULL, NULL, 95, NULL, NULL, 21091),
(63209, '5jgaA01', NULL, NULL, 83, NULL, NULL, 21091),
(63210, '5e8sA01', NULL, NULL, 87, NULL, NULL, 21091),
(63211, '2hw6A01', NULL, NULL, 92, NULL, NULL, 21091),
(63212, '6gr8A01', NULL, NULL, 92, NULL, NULL, 21091),
(63213, '5vdkA01', NULL, NULL, 92, NULL, NULL, 21091),
(63214, '4fr4E01', NULL, NULL, 150, NULL, NULL, 21091),
(63215, '3kulA01', NULL, NULL, 89, NULL, NULL, 21091),
(63216, '3mdyA01', NULL, NULL, 118, NULL, NULL, 21091),
(63217, '3qgyA01', NULL, NULL, 85, NULL, NULL, 21091),
(63218, '4xufB01', NULL, NULL, 94, NULL, NULL, 21091),
(63219, '5x2aA01', NULL, NULL, 101, NULL, NULL, 21091),
(63220, '2yexA01', NULL, NULL, 97, NULL, NULL, 21091),
(63221, '2w5aA01', NULL, NULL, 66, NULL, NULL, 21091),
(63222, '3r9rA01', NULL, NULL, 97, NULL, NULL, 21091),
(63223, '4ix3A01', NULL, NULL, 113, NULL, NULL, 21091),
(63224, '1tkiA01', NULL, NULL, 84, NULL, NULL, 21091),
(63225, '1zy4A01', NULL, NULL, 100, NULL, NULL, 21091),
(63226, '3uimA01', NULL, NULL, 108, NULL, NULL, 21091),
(63227, '6bg2A02', NULL, NULL, 125, NULL, NULL, 21091),
(63228, '4ynoA01', NULL, NULL, 93, NULL, NULL, 21091),
(63229, '3a4oX01', NULL, NULL, 89, NULL, NULL, 21091),
(63230, '3comB01', NULL, NULL, 89, NULL, NULL, 21091),
(63231, '4pdyA01', NULL, NULL, 111, NULL, NULL, 21091),
(63232, '3bceA01', NULL, NULL, 97, NULL, NULL, 21091),
(63233, '4ra4A01', NULL, NULL, 130, NULL, NULL, 21091),
(63234, '2f2uB01', NULL, NULL, 203, NULL, NULL, 21091),
(63235, '3s95A01', NULL, NULL, 88, NULL, NULL, 21091),
(63236, '4fnxA01', NULL, NULL, 115, NULL, NULL, 21091),
(63237, '5wnfB01', NULL, NULL, 216, NULL, NULL, 21091),
(63238, '5dbxA01', NULL, NULL, 90, NULL, NULL, 21091),
(63239, '4ct2A01', NULL, NULL, 91, NULL, NULL, 21091),
(63240, '4wunA01', NULL, NULL, 109, NULL, NULL, 21091),
(63241, '3uibA01', NULL, NULL, 135, NULL, NULL, 21091),
(63242, '5uq3A01', NULL, NULL, 66, NULL, NULL, 21091),
(63243, '3enmD01', NULL, NULL, 88, NULL, NULL, 21091),
(63244, '4wnoA01', NULL, NULL, 98, NULL, NULL, 21091),
(63245, '3gbzA01', NULL, NULL, 85, NULL, NULL, 21091),
(63246, '6e2nA01', NULL, NULL, 101, NULL, NULL, 21091),
(63247, '3amaA02', NULL, NULL, 125, NULL, NULL, 21091),
(63248, '3fxzA01', NULL, NULL, 98, NULL, NULL, 21091),
(63249, '3a99A01', NULL, NULL, 92, NULL, NULL, 21091),
(63250, '4o2zA01', NULL, NULL, 165, NULL, NULL, 21091),
(63251, '3h4jB01', NULL, NULL, 90, NULL, NULL, 21091),
(63252, '5jfwA01', NULL, NULL, 103, NULL, NULL, 21091),
(63253, '2x4fB01', NULL, NULL, 88, NULL, NULL, 21091),
(63254, '3eqcA01', NULL, NULL, 114, NULL, NULL, 21091),
(63255, '2zv2A01', NULL, NULL, 88, NULL, NULL, 21091),
(63256, '3rgfA01', NULL, NULL, 101, NULL, NULL, 21091),
(63257, '4g3dD01', NULL, NULL, 134, NULL, NULL, 21091),
(63258, '3vwaA01', NULL, NULL, 90, NULL, NULL, 21091),
(63259, '3e3pA01', NULL, NULL, 88, NULL, NULL, 21091),
(63260, '3gniB01', NULL, NULL, 89, NULL, NULL, 21091),
(63261, '5f9eB01', NULL, NULL, 105, NULL, NULL, 21091),
(63262, '4pdoA01', NULL, NULL, 117, NULL, NULL, 21091),
(63263, '5awmA01', NULL, NULL, 104, NULL, NULL, 21091);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(63264, '4eqmA01', NULL, NULL, 92, NULL, NULL, 21091),
(63265, '3fhrA01', NULL, NULL, 82, NULL, NULL, 21091),
(63266, '6emhA01', NULL, NULL, 103, NULL, NULL, 21091),
(63267, '3omvA01', NULL, NULL, 86, NULL, NULL, 21091),
(63268, '2f57B01', NULL, NULL, 107, NULL, NULL, 21091),
(63269, '3brbB01', NULL, NULL, 99, NULL, NULL, 21091),
(63270, '4pdpB01', NULL, NULL, 85, NULL, NULL, 21091),
(63271, '4r78A01', NULL, NULL, 96, NULL, NULL, 21091),
(63272, '5ax9B01', NULL, NULL, 101, NULL, NULL, 21091),
(63273, '4c3fA01', NULL, NULL, 86, NULL, NULL, 21091),
(63274, '1qpcA01', NULL, NULL, 88, NULL, NULL, 21091),
(63275, '4othA01', NULL, NULL, 147, NULL, NULL, 21091),
(63276, '3dj6A01', NULL, NULL, 97, NULL, NULL, 21091),
(63277, '4hokM01', NULL, NULL, 64, NULL, NULL, 21091),
(63278, '2qolA01', NULL, NULL, 107, NULL, NULL, 21091),
(63279, '3u4kA00', NULL, NULL, 163, NULL, NULL, 21092),
(63280, '4fyyB01', NULL, NULL, 93, NULL, NULL, 21093),
(63281, '1pg5B01', NULL, NULL, 107, NULL, NULL, 21093),
(63282, '2atcB01', NULL, NULL, 100, NULL, NULL, 21093),
(63283, '2ywwA01', NULL, NULL, 98, NULL, NULL, 21093),
(63284, '2be7E01', NULL, NULL, 99, NULL, NULL, 21093),
(63285, '3w68A02', NULL, NULL, 52, NULL, NULL, 21094),
(63286, '1r5lA02', NULL, NULL, 52, NULL, NULL, 21094),
(63287, '4omfB02', NULL, NULL, 47, NULL, NULL, 21095),
(63288, '2kx7A00', NULL, NULL, 117, NULL, NULL, 21096),
(63289, '2b5uA02', NULL, NULL, 161, NULL, NULL, 21097),
(63290, '2ysuB00', NULL, NULL, 135, NULL, NULL, 21097),
(63291, '3bxjA01', NULL, NULL, 35, NULL, NULL, 21098),
(63292, '3bxjB01', NULL, NULL, 37, NULL, NULL, 21098),
(63293, '3v22V00', NULL, NULL, 61, NULL, NULL, 21099),
(63294, '2jrmA00', NULL, NULL, 65, NULL, NULL, 21099),
(63295, '1m6yA02', NULL, NULL, 105, NULL, NULL, 21100),
(63296, '1wg8A02', NULL, NULL, 101, NULL, NULL, 21100),
(63297, '3tkaA02', NULL, NULL, 103, NULL, NULL, 21100),
(63298, '4lebA02', NULL, NULL, 139, NULL, NULL, 21101),
(63299, '2y7lA02', NULL, NULL, 151, NULL, NULL, 21101),
(63300, '1eiwA00', NULL, NULL, 111, NULL, NULL, 21102),
(63301, '2lvgA00', NULL, NULL, 40, NULL, NULL, 21103),
(63302, '4gywC04', NULL, NULL, 134, NULL, NULL, 21104),
(63303, '5a01A03', NULL, NULL, 126, NULL, NULL, 21104),
(63304, '1cvrA01', NULL, NULL, 117, NULL, NULL, 21105),
(63305, '2o5hA00', NULL, NULL, 136, NULL, NULL, 21106),
(63306, '3ixlA00', NULL, NULL, 240, NULL, NULL, 21107),
(63307, '4ix1A00', NULL, NULL, 258, NULL, NULL, 21107),
(63308, '2xedC00', NULL, NULL, 250, NULL, NULL, 21107),
(63309, '4fq5A00', NULL, NULL, 255, NULL, NULL, 21107),
(63310, '5lg5F00', NULL, NULL, 242, NULL, NULL, 21107),
(63311, '3qvlA00', NULL, NULL, 245, NULL, NULL, 21107),
(63312, '2ztgA03', NULL, NULL, 98, NULL, NULL, 21108),
(63313, '3kewA01', NULL, NULL, 86, NULL, NULL, 21108),
(63314, '2zzeA03', NULL, NULL, 98, NULL, NULL, 21108),
(63315, '2zzfA03', NULL, NULL, 98, NULL, NULL, 21108),
(63316, '2zzeB03', NULL, NULL, 98, NULL, NULL, 21108),
(63317, '2e1bA01', NULL, NULL, 72, NULL, NULL, 21108),
(63318, '2ke4A00', NULL, NULL, 98, NULL, NULL, 21109),
(63319, '2haxA02', NULL, NULL, 23, NULL, NULL, 21110),
(63320, '4tuwA00', NULL, NULL, 75, NULL, NULL, 21111),
(63321, '4qozC00', NULL, NULL, 73, NULL, NULL, 21111),
(63322, '3ig5A02', NULL, NULL, 358, NULL, NULL, 21112),
(63323, '2ve7A02', NULL, NULL, 138, NULL, NULL, 21113),
(63324, '3u1uA01', NULL, NULL, 132, NULL, NULL, 21114),
(63325, '1yx4A01', NULL, NULL, 68, NULL, NULL, 21115),
(63326, '1yx6A01', NULL, NULL, 88, NULL, NULL, 21115),
(63327, '1vt0k00', NULL, NULL, 150, NULL, NULL, 21116),
(63328, '3pstA01', NULL, NULL, 89, NULL, NULL, 21117),
(63329, '2k89A00', NULL, NULL, 80, NULL, NULL, 21117),
(63330, '3l3fX01', NULL, NULL, 64, NULL, NULL, 21117),
(63331, '1qksA02', NULL, NULL, 432, NULL, NULL, 21118),
(63332, '1nirA02', NULL, NULL, 427, NULL, NULL, 21118),
(63333, '3fsyA02', NULL, NULL, 40, NULL, NULL, 21119),
(63334, '5e3qA02', NULL, NULL, 40, NULL, NULL, 21119),
(63335, '2rijA02', NULL, NULL, 41, NULL, NULL, 21119),
(63336, '3r5dA02', NULL, NULL, 41, NULL, NULL, 21119),
(63337, '4n2pA00', NULL, NULL, 143, NULL, NULL, 21120);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(63338, '1jw3A00', NULL, NULL, 140, NULL, NULL, 21120),
(63339, '1j5uA01', NULL, NULL, 117, NULL, NULL, 21120),
(63340, '1ru3A03', NULL, NULL, 178, NULL, NULL, 21121),
(63341, '1oaoC03', NULL, NULL, 176, NULL, NULL, 21121),
(63342, '1yrtA01', NULL, NULL, 155, NULL, NULL, 21122),
(63343, '1f46B00', NULL, NULL, 140, NULL, NULL, 21123),
(63344, '1v5rA00', NULL, NULL, 97, NULL, NULL, 21124),
(63345, '2lyyA00', NULL, NULL, 96, NULL, NULL, 21125),
(63346, '2e1mA05', NULL, NULL, 91, NULL, NULL, 21126),
(63347, '3rhaB03', NULL, NULL, 93, NULL, NULL, 21126),
(63348, '2bcgG03', NULL, NULL, 105, NULL, NULL, 21126),
(63349, '5z2gA03', NULL, NULL, 101, NULL, NULL, 21126),
(63350, '1d5tA03', NULL, NULL, 105, NULL, NULL, 21126),
(63351, '1reoA03', NULL, NULL, 101, NULL, NULL, 21126),
(63352, '3p1wA03', NULL, NULL, 105, NULL, NULL, 21126),
(63353, '2iidA03', NULL, NULL, 101, NULL, NULL, 21126),
(63354, '5ts5A03', NULL, NULL, 101, NULL, NULL, 21126),
(63355, '6c87A03', NULL, NULL, 106, NULL, NULL, 21126),
(63356, '1o5wB03', NULL, NULL, 92, NULL, NULL, 21126),
(63357, '2bxrA03', NULL, NULL, 92, NULL, NULL, 21126),
(63358, '1vg0A03', NULL, NULL, 99, NULL, NULL, 21126),
(63359, '2yg5A03', NULL, NULL, 93, NULL, NULL, 21126),
(63360, '1s3eA03', NULL, NULL, 92, NULL, NULL, 21126),
(63361, '4i59A03', NULL, NULL, 92, NULL, NULL, 21126),
(63362, '3kveA03', NULL, NULL, 101, NULL, NULL, 21126),
(63363, '1gpjA03', NULL, NULL, 90, NULL, NULL, 21127),
(63364, '2uv9A01', NULL, NULL, 93, NULL, NULL, 21128),
(63365, '2uv8A01', NULL, NULL, 93, NULL, NULL, 21128),
(63366, '4hubG02', NULL, NULL, 80, NULL, NULL, 21129),
(63367, '3jsyA02', NULL, NULL, 80, NULL, NULL, 21129),
(63368, '4nwbA02', NULL, NULL, 93, NULL, NULL, 21129),
(63369, '3ungC04', NULL, NULL, 107, NULL, NULL, 21130),
(63370, '2l93A01', NULL, NULL, 36, NULL, NULL, 21131),
(63371, '1hnrA00', NULL, NULL, 47, NULL, NULL, 21131),
(63372, '2levA00', NULL, NULL, 57, NULL, NULL, 21131),
(63373, '1p49A02', NULL, NULL, 59, NULL, NULL, 21132),
(63374, '6az1F01', NULL, NULL, 107, NULL, NULL, 21133),
(63375, '2ihr103', NULL, NULL, 74, NULL, NULL, 21133),
(63376, '5npaA00', NULL, NULL, 72, NULL, NULL, 21133),
(63377, '2ljhA01', NULL, NULL, 63, NULL, NULL, 21133),
(63378, '3d5aX03', NULL, NULL, 91, NULL, NULL, 21133),
(63379, '1vs5E01', NULL, NULL, 73, NULL, NULL, 21133),
(63380, '3llhB00', NULL, NULL, 90, NULL, NULL, 21133),
(63381, '2l3cA00', NULL, NULL, 74, NULL, NULL, 21133),
(63382, '2xzmE01', NULL, NULL, 116, NULL, NULL, 21133),
(63383, '4dkkA02', NULL, NULL, 74, NULL, NULL, 21133),
(63384, '6htuA00', NULL, NULL, 77, NULL, NULL, 21133),
(63385, '1di2A00', NULL, NULL, 69, NULL, NULL, 21133),
(63386, '6htuC00', NULL, NULL, 77, NULL, NULL, 21133),
(63387, '1t4lB00', NULL, NULL, 90, NULL, NULL, 21133),
(63388, '1t4nA00', NULL, NULL, 94, NULL, NULL, 21133),
(63389, '1whnA01', NULL, NULL, 101, NULL, NULL, 21133),
(63390, '1x49A01', NULL, NULL, 70, NULL, NULL, 21133),
(63391, '5cffF00', NULL, NULL, 72, NULL, NULL, 21133),
(63392, '2b3tB03', NULL, NULL, 69, NULL, NULL, 21133),
(63393, '3vyxA00', NULL, NULL, 96, NULL, NULL, 21133),
(63394, '5xxuC01', NULL, NULL, 113, NULL, NULL, 21133),
(63395, '3j7yp00', NULL, NULL, 93, NULL, NULL, 21133),
(63396, '1rq0B03', NULL, NULL, 81, NULL, NULL, 21133),
(63397, '2rs7A01', NULL, NULL, 74, NULL, NULL, 21133),
(63398, '6g5iC01', NULL, NULL, 106, NULL, NULL, 21133),
(63399, '2ltsA00', NULL, NULL, 97, NULL, NULL, 21133),
(63400, '5optd01', NULL, NULL, 109, NULL, NULL, 21133),
(63401, '2mdrA00', NULL, NULL, 94, NULL, NULL, 21133),
(63402, '2jy9A01', NULL, NULL, 108, NULL, NULL, 21133),
(63403, '3rv0B03', NULL, NULL, 91, NULL, NULL, 21133),
(63404, '2cpnA01', NULL, NULL, 75, NULL, NULL, 21133),
(63405, '1x48A00', NULL, NULL, 88, NULL, NULL, 21133),
(63406, '5xyiC01', NULL, NULL, 107, NULL, NULL, 21133),
(63407, '1pkpA01', NULL, NULL, 73, NULL, NULL, 21133),
(63408, '2nugB02', NULL, NULL, 72, NULL, NULL, 21133),
(63409, '3adlA01', NULL, NULL, 75, NULL, NULL, 21133),
(63410, '1whqA01', NULL, NULL, 71, NULL, NULL, 21133),
(63411, '2n3fA02', NULL, NULL, 76, NULL, NULL, 21133);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(63412, '3adgA00', NULL, NULL, 73, NULL, NULL, 21133),
(63413, '4dh9Y00', NULL, NULL, 140, NULL, NULL, 21133),
(63414, '3vyyB00', NULL, NULL, 91, NULL, NULL, 21133),
(63415, '1j26A01', NULL, NULL, 87, NULL, NULL, 21133),
(63416, '5npgA00', NULL, NULL, 83, NULL, NULL, 21133),
(63417, '6faiC01', NULL, NULL, 105, NULL, NULL, 21133),
(63418, '4x8wA00', NULL, NULL, 75, NULL, NULL, 21133),
(63419, '1qu6A02', NULL, NULL, 76, NULL, NULL, 21133),
(63420, '1qu6A01', NULL, NULL, 85, NULL, NULL, 21133),
(63421, '3c4bA02', NULL, NULL, 67, NULL, NULL, 21133),
(63422, '2ltrA00', NULL, NULL, 105, NULL, NULL, 21133),
(63423, '2vqeE01', NULL, NULL, 68, NULL, NULL, 21133),
(63424, '1x47A01', NULL, NULL, 87, NULL, NULL, 21133),
(63425, '2db2A01', NULL, NULL, 94, NULL, NULL, 21133),
(63426, '2lrsA00', NULL, NULL, 71, NULL, NULL, 21133),
(63427, '1ekzA00', NULL, NULL, 76, NULL, NULL, 21133),
(63428, '2l2mA00', NULL, NULL, 77, NULL, NULL, 21133),
(63429, '2dixA01', NULL, NULL, 78, NULL, NULL, 21133),
(63430, '2n3gA00', NULL, NULL, 72, NULL, NULL, 21133),
(63431, '3p1xA00', NULL, NULL, 75, NULL, NULL, 21133),
(63432, '2rsmA00', NULL, NULL, 115, NULL, NULL, 21133),
(63433, '1gqeA03', NULL, NULL, 83, NULL, NULL, 21133),
(63434, '1uhzA00', NULL, NULL, 89, NULL, NULL, 21133),
(63435, '2b7vA00', NULL, NULL, 71, NULL, NULL, 21133),
(63436, '3htxA01', NULL, NULL, 90, NULL, NULL, 21133),
(63437, '1vw4502', NULL, NULL, 92, NULL, NULL, 21133),
(63438, '2khxA00', NULL, NULL, 85, NULL, NULL, 21133),
(63439, '2rtxA00', NULL, NULL, 121, NULL, NULL, 21133),
(63440, '1o0wA02', NULL, NULL, 68, NULL, NULL, 21133),
(63441, '2na2A00', NULL, NULL, 82, NULL, NULL, 21133),
(63442, '2yt4A03', NULL, NULL, 110, NULL, NULL, 21133),
(63443, '1t4oA00', NULL, NULL, 83, NULL, NULL, 21133),
(63444, '2yt4A02', NULL, NULL, 57, NULL, NULL, 21133),
(63445, '1zbtA03', NULL, NULL, 81, NULL, NULL, 21133),
(63446, '3j7aG01', NULL, NULL, 112, NULL, NULL, 21133),
(63447, '4wyqB00', NULL, NULL, 75, NULL, NULL, 21133),
(63448, '4wftB00', NULL, NULL, 104, NULL, NULL, 21133),
(63449, '2dmyA00', NULL, NULL, 97, NULL, NULL, 21133),
(63450, '6c4hv00', NULL, NULL, 63, NULL, NULL, 21133),
(63451, '2jvaA00', NULL, NULL, 108, NULL, NULL, 21133),
(63452, '3adjA00', NULL, NULL, 76, NULL, NULL, 21133),
(63453, '2l2nA00', NULL, NULL, 85, NULL, NULL, 21133),
(63454, '3eh1A02', NULL, NULL, 73, NULL, NULL, 21134),
(63455, '3efoB02', NULL, NULL, 82, NULL, NULL, 21134),
(63456, '2qtvA02', NULL, NULL, 59, NULL, NULL, 21134),
(63457, '4xxbB00', NULL, NULL, 45, NULL, NULL, 21134),
(63458, '1m2vB03', NULL, NULL, 62, NULL, NULL, 21134),
(63459, '2yrcA00', NULL, NULL, 59, NULL, NULL, 21134),
(63460, '3eh2A02', NULL, NULL, 82, NULL, NULL, 21134),
(63461, '3p2aC01', NULL, NULL, 37, NULL, NULL, 21134),
(63462, '3p2aD01', NULL, NULL, 37, NULL, NULL, 21134),
(63463, '1pcxA02', NULL, NULL, 78, NULL, NULL, 21134),
(63464, '2pptA01', NULL, NULL, 37, NULL, NULL, 21134),
(63465, '3b08E00', NULL, NULL, 64, NULL, NULL, 21134),
(63466, '2nutB02', NULL, NULL, 73, NULL, NULL, 21134),
(63467, '2nutA02', NULL, NULL, 61, NULL, NULL, 21134),
(63468, '2j9uB00', NULL, NULL, 76, NULL, NULL, 21134),
(63469, '3p2aA01', NULL, NULL, 37, NULL, NULL, 21134),
(63470, '3p2aB01', NULL, NULL, 37, NULL, NULL, 21134),
(63471, '2opeA00', NULL, NULL, 128, NULL, NULL, 21135),
(63472, '3pfyA02', NULL, NULL, 74, NULL, NULL, 21136),
(63473, '3tmoA02', NULL, NULL, 74, NULL, NULL, 21136),
(63474, '4ojdH03', NULL, NULL, 104, NULL, NULL, 21137),
(63475, '3qwlA02', NULL, NULL, 77, NULL, NULL, 21138),
(63476, '1x9bA00', NULL, NULL, 53, NULL, NULL, 21139),
(63477, '3b5mC02', NULL, NULL, 85, NULL, NULL, 21139),
(63478, '2imlA02', NULL, NULL, 76, NULL, NULL, 21139),
(63479, '2ptfB02', NULL, NULL, 68, NULL, NULL, 21139),
(63480, '2nr4A02', NULL, NULL, 60, NULL, NULL, 21139),
(63481, '1ysmA01', NULL, NULL, 48, NULL, NULL, 21140),
(63482, '4u1cA01', NULL, NULL, 55, NULL, NULL, 21140),
(63483, '1qojA00', NULL, NULL, 46, NULL, NULL, 21140),
(63484, '2a26B01', NULL, NULL, 45, NULL, NULL, 21140),
(63485, '2lf0A01', NULL, NULL, 63, NULL, NULL, 21140);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(63486, '1e52A00', NULL, NULL, 63, NULL, NULL, 21140),
(63487, '3pxgA04', NULL, NULL, 59, NULL, NULL, 21140),
(63488, '5avmA02', NULL, NULL, 167, NULL, NULL, 21141),
(63489, '2v9yB02', NULL, NULL, 195, NULL, NULL, 21141),
(63490, '2hs0A01', NULL, NULL, 204, NULL, NULL, 21141),
(63491, '2z1uA02', NULL, NULL, 190, NULL, NULL, 21141),
(63492, '3fd5A02', NULL, NULL, 251, NULL, NULL, 21141),
(63493, '3u0oA02', NULL, NULL, 184, NULL, NULL, 21141),
(63494, '2yxzA02', NULL, NULL, 168, NULL, NULL, 21141),
(63495, '3vtiC02', NULL, NULL, 179, NULL, NULL, 21141),
(63496, '3viuA04', NULL, NULL, 173, NULL, NULL, 21141),
(63497, '3viuA01', NULL, NULL, 219, NULL, NULL, 21141),
(63498, '3m84A02', NULL, NULL, 177, NULL, NULL, 21141),
(63499, '3mdoA02', NULL, NULL, 221, NULL, NULL, 21141),
(63500, '3kizA02', NULL, NULL, 225, NULL, NULL, 21141),
(63501, '2z1eA02', NULL, NULL, 171, NULL, NULL, 21141),
(63502, '3c9uA02', NULL, NULL, 166, NULL, NULL, 21141),
(63503, '2rb9A02', NULL, NULL, 178, NULL, NULL, 21141),
(63504, '1cliA02', NULL, NULL, 175, NULL, NULL, 21141),
(63505, '2zodA02', NULL, NULL, 181, NULL, NULL, 21141),
(63506, '2z01A02', NULL, NULL, 179, NULL, NULL, 21141),
(63507, '2btuA02', NULL, NULL, 179, NULL, NULL, 21141),
(63508, '5vk4A02', NULL, NULL, 176, NULL, NULL, 21141),
(63509, '1vk3A01', NULL, NULL, 216, NULL, NULL, 21141),
(63510, '3p4eA02', NULL, NULL, 175, NULL, NULL, 21141),
(63511, '3mcqA02', NULL, NULL, 178, NULL, NULL, 21141),
(63512, '5cm7A02', NULL, NULL, 155, NULL, NULL, 21141),
(63513, '2lz1A00', NULL, NULL, 90, NULL, NULL, 21142),
(63514, '1k1vA00', NULL, NULL, 41, NULL, NULL, 21142),
(63515, '2kz5A00', NULL, NULL, 91, NULL, NULL, 21142),
(63516, '1sknP00', NULL, NULL, 92, NULL, NULL, 21142),
(63517, '3gruA02', NULL, NULL, 89, NULL, NULL, 21143),
(63518, '3futA02', NULL, NULL, 68, NULL, NULL, 21143),
(63519, '3uzuA02', NULL, NULL, 69, NULL, NULL, 21143),
(63520, '1yubA02', NULL, NULL, 80, NULL, NULL, 21143),
(63521, '1qyrA02', NULL, NULL, 68, NULL, NULL, 21143),
(63522, '1qamA02', NULL, NULL, 78, NULL, NULL, 21143),
(63523, '4jxjA02', NULL, NULL, 65, NULL, NULL, 21143),
(63524, '1i4wA02', NULL, NULL, 75, NULL, NULL, 21143),
(63525, '4gc5A02', NULL, NULL, 90, NULL, NULL, 21143),
(63526, '3ftdA02', NULL, NULL, 65, NULL, NULL, 21143),
(63527, '3tqsA02', NULL, NULL, 65, NULL, NULL, 21143),
(63528, '6ifwA02', NULL, NULL, 77, NULL, NULL, 21143),
(63529, '3pieC07', NULL, NULL, 65, NULL, NULL, 21144),
(63530, '3pifB07', NULL, NULL, 81, NULL, NULL, 21144),
(63531, '4k35A03', NULL, NULL, 70, NULL, NULL, 21145),
(63532, '2jz8A00', NULL, NULL, 87, NULL, NULL, 21146),
(63533, '2jvmA01', NULL, NULL, 53, NULL, NULL, 21146),
(63534, '2odxA00', NULL, NULL, 62, NULL, NULL, 21146),
(63535, '2jrrA01', NULL, NULL, 53, NULL, NULL, 21146),
(63536, '3zghA00', NULL, NULL, 184, NULL, NULL, 21147),
(63537, '3ptyA01', NULL, NULL, 125, NULL, NULL, 21148),
(63538, '2hvbA00', NULL, NULL, 124, NULL, NULL, 21149),
(63539, '1dfxA00', NULL, NULL, 125, NULL, NULL, 21149),
(63540, '1dqiA00', NULL, NULL, 124, NULL, NULL, 21149),
(63541, '1vziA02', NULL, NULL, 87, NULL, NULL, 21149),
(63542, '4d7pA00', NULL, NULL, 111, NULL, NULL, 21149),
(63543, '4bk8A00', NULL, NULL, 124, NULL, NULL, 21149),
(63544, '4bglD00', NULL, NULL, 125, NULL, NULL, 21149),
(63545, '4bv1A00', NULL, NULL, 109, NULL, NULL, 21149),
(63546, '3qzbA00', NULL, NULL, 143, NULL, NULL, 21149),
(63547, '1y07A02', NULL, NULL, 88, NULL, NULL, 21149),
(63548, '2w2gB01', NULL, NULL, 131, NULL, NULL, 21150),
(63549, '1y8aA03', NULL, NULL, 30, NULL, NULL, 21151),
(63550, '1cl8A00', NULL, NULL, 276, NULL, NULL, 21152),
(63551, '1d02B00', NULL, NULL, 202, NULL, NULL, 21152),
(63552, '3pm9A04', NULL, NULL, 87, NULL, NULL, 21153),
(63553, '4ef8A02', NULL, NULL, 44, NULL, NULL, 21154),
(63554, '2e6fA02', NULL, NULL, 44, NULL, NULL, 21154),
(63555, '5xfwA02', NULL, NULL, 44, NULL, NULL, 21154),
(63556, '1jubA02', NULL, NULL, 44, NULL, NULL, 21154),
(63557, '4wzhA02', NULL, NULL, 44, NULL, NULL, 21154),
(63558, '3oixA02', NULL, NULL, 42, NULL, NULL, 21154),
(63559, '4gpkB01', NULL, NULL, 107, NULL, NULL, 21155);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(63560, '3u52E01', NULL, NULL, 104, NULL, NULL, 21156),
(63561, '2auaA01', NULL, NULL, 133, NULL, NULL, 21157),
(63562, '1to6A02', NULL, NULL, 229, NULL, NULL, 21158),
(63563, '3cwcA02', NULL, NULL, 235, NULL, NULL, 21158),
(63564, '1ukfA00', NULL, NULL, 188, NULL, NULL, 21159),
(63565, '1inpA01', NULL, NULL, 47, NULL, NULL, 21160),
(63566, '3bc1B00', NULL, NULL, 59, NULL, NULL, 21161),
(63567, '1sf9A01', NULL, NULL, 74, NULL, NULL, 21162),
(63568, '2yxyA01', NULL, NULL, 56, NULL, NULL, 21162),
(63569, '4dt0A01', NULL, NULL, 81, NULL, NULL, 21163),
(63570, '2k88A00', NULL, NULL, 60, NULL, NULL, 21163),
(63571, '2kk7A00', NULL, NULL, 52, NULL, NULL, 21163),
(63572, '1l2pA00', NULL, NULL, 61, NULL, NULL, 21163),
(63573, '3v6iA01', NULL, NULL, 96, NULL, NULL, 21163),
(63574, '2yq2A01', NULL, NULL, 89, NULL, NULL, 21164),
(63575, '2ztbA01', NULL, NULL, 98, NULL, NULL, 21165),
(63576, '3tlxC01', NULL, NULL, 27, NULL, NULL, 21166),
(63577, '3we0A03', NULL, NULL, 137, NULL, NULL, 21167),
(63578, '4iv9A03', NULL, NULL, 149, NULL, NULL, 21167),
(63579, '1gwyA00', NULL, NULL, 175, NULL, NULL, 21168),
(63580, '3qdsA00', NULL, NULL, 143, NULL, NULL, 21168),
(63581, '1y2tA00', NULL, NULL, 142, NULL, NULL, 21168),
(63582, '2ofcA00', NULL, NULL, 142, NULL, NULL, 21168),
(63583, '2ks4A00', NULL, NULL, 176, NULL, NULL, 21168),
(63584, '4wdcA00', NULL, NULL, 179, NULL, NULL, 21168),
(63585, '1iazA00', NULL, NULL, 179, NULL, NULL, 21168),
(63586, '1x99A00', NULL, NULL, 145, NULL, NULL, 21168),
(63587, '3psfA02', NULL, NULL, 152, NULL, NULL, 21169),
(63588, '3bzcA01', NULL, NULL, 114, NULL, NULL, 21169),
(63589, '1x7fA02', NULL, NULL, 119, NULL, NULL, 21170),
(63590, '1qnhA00', NULL, NULL, 170, NULL, NULL, 21170),
(63591, '4o8hA00', NULL, NULL, 165, NULL, NULL, 21170),
(63592, '2rmcA00', NULL, NULL, 182, NULL, NULL, 21170),
(63593, '2hq6A00', NULL, NULL, 185, NULL, NULL, 21170),
(63594, '2a2nA00', NULL, NULL, 176, NULL, NULL, 21170),
(63595, '4jjmB00', NULL, NULL, 175, NULL, NULL, 21170),
(63596, '3jb9d00', NULL, NULL, 155, NULL, NULL, 21170),
(63597, '3ichA00', NULL, NULL, 188, NULL, NULL, 21170),
(63598, '2mvzA00', NULL, NULL, 148, NULL, NULL, 21170),
(63599, '6hmzX00', NULL, NULL, 180, NULL, NULL, 21170),
(63600, '2igvA00', NULL, NULL, 173, NULL, NULL, 21170),
(63601, '1w74A00', NULL, NULL, 171, NULL, NULL, 21170),
(63602, '2ok3A00', NULL, NULL, 161, NULL, NULL, 21170),
(63603, '2eslA00', NULL, NULL, 190, NULL, NULL, 21170),
(63604, '2cfeA00', NULL, NULL, 162, NULL, NULL, 21170),
(63605, '2c3bA00', NULL, NULL, 172, NULL, NULL, 21170),
(63606, '4fruA00', NULL, NULL, 185, NULL, NULL, 21170),
(63607, '3t1uA00', NULL, NULL, 163, NULL, NULL, 21170),
(63608, '3va7A04', NULL, NULL, 159, NULL, NULL, 21170),
(63609, '2b71A00', NULL, NULL, 174, NULL, NULL, 21170),
(63610, '1lopA00', NULL, NULL, 164, NULL, NULL, 21170),
(63611, '1h0pA00', NULL, NULL, 182, NULL, NULL, 21170),
(63612, '2wfiA00', NULL, NULL, 179, NULL, NULL, 21170),
(63613, '3pmpA00', NULL, NULL, 164, NULL, NULL, 21170),
(63614, '4jcpA00', NULL, NULL, 175, NULL, NULL, 21170),
(63615, '6fk1A00', NULL, NULL, 172, NULL, NULL, 21170),
(63616, '1a58A00', NULL, NULL, 177, NULL, NULL, 21170),
(63617, '2cmtA00', NULL, NULL, 172, NULL, NULL, 21170),
(63618, '1mzwA00', NULL, NULL, 177, NULL, NULL, 21170),
(63619, '3mmlE02', NULL, NULL, 120, NULL, NULL, 21170),
(63620, '4i9yA00', NULL, NULL, 167, NULL, NULL, 21170),
(63621, '5jheA01', NULL, NULL, 202, NULL, NULL, 21170),
(63622, '1v9tA00', NULL, NULL, 166, NULL, NULL, 21170),
(63623, '2p0oA02', NULL, NULL, 131, NULL, NULL, 21170),
(63624, '5ybaA00', NULL, NULL, 175, NULL, NULL, 21170),
(63625, '5dudC02', NULL, NULL, 141, NULL, NULL, 21170),
(63626, '2hqjA00', NULL, NULL, 183, NULL, NULL, 21170),
(63627, '3s6mA00', NULL, NULL, 167, NULL, NULL, 21170),
(63628, '2poeA00', NULL, NULL, 185, NULL, NULL, 21170),
(63629, '2he9A00', NULL, NULL, 174, NULL, NULL, 21170),
(63630, '4eyvA00', NULL, NULL, 167, NULL, NULL, 21170),
(63631, '4hy7A00', NULL, NULL, 171, NULL, NULL, 21170),
(63632, '2zp2B00', NULL, NULL, 141, NULL, NULL, 21170);
INSERT INTO "PUBLIC"."MODEL" VALUES
(63633, '2x7kA00', NULL, NULL, 166, NULL, NULL, 21170),
(63634, '1vdnA00', NULL, NULL, 162, NULL, NULL, 21170),
(63635, '3oepA04', NULL, NULL, 111, NULL, NULL, 21170),
(63636, '2phcB02', NULL, NULL, 141, NULL, NULL, 21170),
(63637, '3oepA02', NULL, NULL, 133, NULL, NULL, 21170),
(63638, '4r3fA00', NULL, NULL, 204, NULL, NULL, 21170),
(63639, '5f66A00', NULL, NULL, 165, NULL, NULL, 21170),
(63640, '1xo7A00', NULL, NULL, 166, NULL, NULL, 21170),
(63641, '2r99A00', NULL, NULL, 173, NULL, NULL, 21170),
(63642, '2fu0A00', NULL, NULL, 160, NULL, NULL, 21170),
(63643, '2haqA00', NULL, NULL, 172, NULL, NULL, 21170),
(63644, '3bo7A00', NULL, NULL, 176, NULL, NULL, 21170),
(63645, '1ihgA01', NULL, NULL, 185, NULL, NULL, 21170),
(63646, '1zkcB01', NULL, NULL, 160, NULL, NULL, 21170),
(63647, '1z81A00', NULL, NULL, 186, NULL, NULL, 21170),
(63648, '2poyA00', NULL, NULL, 169, NULL, NULL, 21170),
(63649, '2mc9A00', NULL, NULL, 178, NULL, NULL, 21170),
(63650, '2oseA00', NULL, NULL, 214, NULL, NULL, 21170),
(63651, '3k2cB00', NULL, NULL, 193, NULL, NULL, 21170),
(63652, '4r3eA00', NULL, NULL, 180, NULL, NULL, 21170),
(63653, '3mmlB02', NULL, NULL, 132, NULL, NULL, 21170),
(63654, '3bkpA00', NULL, NULL, 206, NULL, NULL, 21170),
(63655, '4cguB00', NULL, NULL, 81, NULL, NULL, 21171),
(63656, '1irxA03', NULL, NULL, 48, NULL, NULL, 21172),
(63657, '3pqiA02', NULL, NULL, 100, NULL, NULL, 21173),
(63658, '4h3wB01', NULL, NULL, 125, NULL, NULL, 21174),
(63659, '4h3wA01', NULL, NULL, 125, NULL, NULL, 21174),
(63660, '1epuA03', NULL, NULL, 124, NULL, NULL, 21175),
(63661, '2xheA04', NULL, NULL, 118, NULL, NULL, 21175),
(63662, '1mqsA04', NULL, NULL, 103, NULL, NULL, 21175),
(63663, '4jehA04', NULL, NULL, 120, NULL, NULL, 21175),
(63664, '4ccaA04', NULL, NULL, 118, NULL, NULL, 21175),
(63665, '3pukA04', NULL, NULL, 116, NULL, NULL, 21175),
(63666, '2vwaA00', NULL, NULL, 101, NULL, NULL, 21176),
(63667, '3khnB00', NULL, NULL, 174, NULL, NULL, 21177),
(63668, '2kgwA00', NULL, NULL, 129, NULL, NULL, 21177),
(63669, '2zvyB00', NULL, NULL, 183, NULL, NULL, 21177),
(63670, '2zovA00', NULL, NULL, 190, NULL, NULL, 21177),
(63671, '2aizP01', NULL, NULL, 109, NULL, NULL, 21177),
(63672, '4zhvB00', NULL, NULL, 135, NULL, NULL, 21177),
(63673, '2mqeA00', NULL, NULL, 146, NULL, NULL, 21177),
(63674, '3s0yB00', NULL, NULL, 165, NULL, NULL, 21177),
(63675, '4b5cB00', NULL, NULL, 121, NULL, NULL, 21177),
(63676, '3cypB00', NULL, NULL, 138, NULL, NULL, 21177),
(63677, '5u1hC00', NULL, NULL, 123, NULL, NULL, 21177),
(63678, '4b62A00', NULL, NULL, 157, NULL, NULL, 21177),
(63679, '3ldtA00', NULL, NULL, 153, NULL, NULL, 21177),
(63680, '4rhaA00', NULL, NULL, 146, NULL, NULL, 21177),
(63681, '1r1mA00', NULL, NULL, 143, NULL, NULL, 21177),
(63682, '6jfwA00', NULL, NULL, 141, NULL, NULL, 21177),
(63683, '5nhxA00', NULL, NULL, 126, NULL, NULL, 21177),
(63684, '4pwtC00', NULL, NULL, 131, NULL, NULL, 21177),
(63685, '4zhwA00', NULL, NULL, 111, NULL, NULL, 21177),
(63686, '3oonA00', NULL, NULL, 123, NULL, NULL, 21177),
(63687, '4g4xA00', NULL, NULL, 114, NULL, NULL, 21177),
(63688, '2hqsG00', NULL, NULL, 118, NULL, NULL, 21177),
(63689, '5wtpA00', NULL, NULL, 125, NULL, NULL, 21177),
(63690, '2k1sA00', NULL, NULL, 149, NULL, NULL, 21177),
(63691, '2zf8A02', NULL, NULL, 124, NULL, NULL, 21177),
(63692, '3wpwA00', NULL, NULL, 149, NULL, NULL, 21177),
(63693, '5n2cA00', NULL, NULL, 119, NULL, NULL, 21177),
(63694, '3td3D00', NULL, NULL, 123, NULL, NULL, 21177),
(63695, '5m3gB00', NULL, NULL, 115, NULL, NULL, 21177),
(63696, '1khvA04', NULL, NULL, 54, NULL, NULL, 21178),
(63697, '3irbA01', NULL, NULL, 77, NULL, NULL, 21179),
(63698, '3zqoA00', NULL, NULL, 72, NULL, NULL, 21180),
(63699, '3zqoB00', NULL, NULL, 56, NULL, NULL, 21180),
(63700, '2vrsA03', NULL, NULL, 132, NULL, NULL, 21181),
(63701, '4ie5A02', NULL, NULL, 134, NULL, NULL, 21182),
(63702, '3tugA02', NULL, NULL, 118, NULL, NULL, 21183),
(63703, '1zvdA03', NULL, NULL, 120, NULL, NULL, 21183),
(63704, '3pt3B00', NULL, NULL, 118, NULL, NULL, 21183),
(63705, '1nd7A03', NULL, NULL, 113, NULL, NULL, 21183);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(63706, '1c4zA03', NULL, NULL, 115, NULL, NULL, 21183),
(63707, '3h1dA03', NULL, NULL, 120, NULL, NULL, 21183),
(63708, '3olmA03', NULL, NULL, 120, NULL, NULL, 21183),
(63709, '2xbfA03', NULL, NULL, 120, NULL, NULL, 21183),
(63710, '2oniA03', NULL, NULL, 111, NULL, NULL, 21183),
(63711, '3vziB00', NULL, NULL, 226, NULL, NULL, 21184),
(63712, '3vzhA00', NULL, NULL, 214, NULL, NULL, 21184),
(63713, '3kg4A00', NULL, NULL, 202, NULL, NULL, 21184),
(63714, '4f3mA00', NULL, NULL, 222, NULL, NULL, 21184),
(63715, '4r0jA00', NULL, NULL, 216, NULL, NULL, 21184),
(63716, '4n77A00', NULL, NULL, 205, NULL, NULL, 21184),
(63717, '5h9fJ00', NULL, NULL, 224, NULL, NULL, 21184),
(63718, '3trkA01', NULL, NULL, 138, NULL, NULL, 21185),
(63719, '5ezqA01', NULL, NULL, 149, NULL, NULL, 21185),
(63720, '4guaA01', NULL, NULL, 153, NULL, NULL, 21185),
(63721, '2ix3A05', NULL, NULL, 109, NULL, NULL, 21186),
(63722, '2iw3A05', NULL, NULL, 109, NULL, NULL, 21186),
(63723, '2iw3B05', NULL, NULL, 109, NULL, NULL, 21186),
(63724, '1ezjA01', NULL, NULL, 63, NULL, NULL, 21187),
(63725, '4djdC02', NULL, NULL, 130, NULL, NULL, 21188),
(63726, '2h9aA02', NULL, NULL, 130, NULL, NULL, 21188),
(63727, '1h8pA01', NULL, NULL, 40, NULL, NULL, 21189),
(63728, '1h8pA02', NULL, NULL, 44, NULL, NULL, 21189),
(63729, '3mqlA02', NULL, NULL, 61, NULL, NULL, 21189),
(63730, '3m7pA02', NULL, NULL, 58, NULL, NULL, 21189),
(63731, '3m7pA03', NULL, NULL, 54, NULL, NULL, 21189),
(63732, '1l6jA04', NULL, NULL, 60, NULL, NULL, 21189),
(63733, '1l6jA05', NULL, NULL, 56, NULL, NULL, 21189),
(63734, '1l6jA03', NULL, NULL, 57, NULL, NULL, 21189),
(63735, '1eakA04', NULL, NULL, 59, NULL, NULL, 21189),
(63736, '1eakA03', NULL, NULL, 57, NULL, NULL, 21189),
(63737, '2v5oA04', NULL, NULL, 51, NULL, NULL, 21189),
(63738, '1ck7A03', NULL, NULL, 47, NULL, NULL, 21189),
(63739, '1ck7A02', NULL, NULL, 53, NULL, NULL, 21189),
(63740, '1eakA05', NULL, NULL, 56, NULL, NULL, 21189),
(63741, '1j7mA00', NULL, NULL, 72, NULL, NULL, 21189),
(63742, '1vx7f00', NULL, NULL, 52, NULL, NULL, 21190),
(63743, '4a18K00', NULL, NULL, 52, NULL, NULL, 21190),
(63744, '3u5em00', NULL, NULL, 52, NULL, NULL, 21190),
(63745, '1vwxm00', NULL, NULL, 52, NULL, NULL, 21190),
(63746, '2ayjA00', NULL, NULL, 56, NULL, NULL, 21190),
(63747, '5an9H00', NULL, NULL, 52, NULL, NULL, 21190),
(63748, '2zdjA00', NULL, NULL, 69, NULL, NULL, 21191),
(63749, '1r71A01', NULL, NULL, 56, NULL, NULL, 21192),
(63750, '4lr4A01', NULL, NULL, 186, NULL, NULL, 21193),
(63751, '5z62L00', NULL, NULL, 47, NULL, NULL, 21194),
(63752, '6hu9h00', NULL, NULL, 47, NULL, NULL, 21194),
(63753, '5b1aL00', NULL, NULL, 47, NULL, NULL, 21194),
(63754, '1lpvA00', NULL, NULL, 52, NULL, NULL, 21195),
(63755, '3h3aA02', NULL, NULL, 86, NULL, NULL, 21196),
(63756, '1mivB02', NULL, NULL, 96, NULL, NULL, 21196),
(63757, '1mivA02', NULL, NULL, 96, NULL, NULL, 21196),
(63758, '1miyA02', NULL, NULL, 96, NULL, NULL, 21196),
(63759, '1miwA02', NULL, NULL, 96, NULL, NULL, 21196),
(63760, '1miwB02', NULL, NULL, 96, NULL, NULL, 21196),
(63761, '2h7aA01', NULL, NULL, 76, NULL, NULL, 21197),
(63762, '3oymA04', NULL, NULL, 46, NULL, NULL, 21198),
(63763, '4qclA02', NULL, NULL, 111, NULL, NULL, 21199),
(63764, '4fvmA02', NULL, NULL, 103, NULL, NULL, 21199),
(63765, '2wyhB06', NULL, NULL, 283, NULL, NULL, 21200),
(63766, '5kbpA04', NULL, NULL, 285, NULL, NULL, 21200),
(63767, '4k35A02', NULL, NULL, 204, NULL, NULL, 21200),
(63768, '1o7dD01', NULL, NULL, 264, NULL, NULL, 21200),
(63769, '3bvxA04', NULL, NULL, 280, NULL, NULL, 21200),
(63770, '3u5eZ00', NULL, NULL, 136, NULL, NULL, 21201),
(63771, '1vwxZ00', NULL, NULL, 136, NULL, NULL, 21201),
(63772, '1vx7100', NULL, NULL, 146, NULL, NULL, 21201),
(63773, '4a18N00', NULL, NULL, 144, NULL, NULL, 21201),
(63774, '1mzgB00', NULL, NULL, 146, NULL, NULL, 21202),
(63775, '1q48A00', NULL, NULL, 134, NULL, NULL, 21202),
(63776, '4eb5C00', NULL, NULL, 153, NULL, NULL, 21202),
(63777, '3g0mA00', NULL, NULL, 141, NULL, NULL, 21202),
(63778, '3lvlA01', NULL, NULL, 103, NULL, NULL, 21202),
(63779, '5wkpH01', NULL, NULL, 102, NULL, NULL, 21202);
INSERT INTO "PUBLIC"."MODEL" VALUES
(63780, '2z7eC00', NULL, NULL, 138, NULL, NULL, 21202),
(63781, '1su0B00', NULL, NULL, 141, NULL, NULL, 21202),
(63782, '5xt5C00', NULL, NULL, 155, NULL, NULL, 21202),
(63783, '2kqkA01', NULL, NULL, 102, NULL, NULL, 21202),
(63784, '4lw4D00', NULL, NULL, 150, NULL, NULL, 21202),
(63785, '2qq4I00', NULL, NULL, 138, NULL, NULL, 21202),
(63786, '1wloA00', NULL, NULL, 136, NULL, NULL, 21202),
(63787, '3kwlA02', NULL, NULL, 113, NULL, NULL, 21203),
(63788, '3i57A01', NULL, NULL, 75, NULL, NULL, 21204),
(63789, '4mt5A01', NULL, NULL, 72, NULL, NULL, 21204),
(63790, '6bogA02', NULL, NULL, 60, NULL, NULL, 21205),
(63791, '2vdwB02', NULL, NULL, 131, NULL, NULL, 21206),
(63792, '2y9mB00', NULL, NULL, 130, NULL, NULL, 21207),
(63793, '5iztB00', NULL, NULL, 219, NULL, NULL, 21208),
(63794, '4b2fA00', NULL, NULL, 214, NULL, NULL, 21208),
(63795, '1w33A00', NULL, NULL, 181, NULL, NULL, 21208),
(63796, '4bg5B00', NULL, NULL, 213, NULL, NULL, 21208),
(63797, '4alyB00', NULL, NULL, 201, NULL, NULL, 21208),
(63798, '2m9uA00', NULL, NULL, 89, NULL, NULL, 21209),
(63799, '1ocyA02', NULL, NULL, 122, NULL, NULL, 21210),
(63800, '4dthA02', NULL, NULL, 137, NULL, NULL, 21211),
(63801, '1gpcA00', NULL, NULL, 218, NULL, NULL, 21212),
(63802, '2a1kA00', NULL, NULL, 233, NULL, NULL, 21212),
(63803, '1j3mA00', NULL, NULL, 129, NULL, NULL, 21213),
(63804, '1q9uA00', NULL, NULL, 130, NULL, NULL, 21213),
(63805, '3q9tA02', NULL, NULL, 322, NULL, NULL, 21214),
(63806, '1gpeA03', NULL, NULL, 302, NULL, NULL, 21214),
(63807, '5oc1A02', NULL, NULL, 310, NULL, NULL, 21214),
(63808, '4ha6A02', NULL, NULL, 263, NULL, NULL, 21214),
(63809, '4h7uA02', NULL, NULL, 311, NULL, NULL, 21214),
(63810, '3qvpA03', NULL, NULL, 302, NULL, NULL, 21214),
(63811, '1d9xA03', NULL, NULL, 64, NULL, NULL, 21215),
(63812, '3v4rA03', NULL, NULL, 63, NULL, NULL, 21215),
(63813, '1d2mA03', NULL, NULL, 66, NULL, NULL, 21215),
(63814, '3aa0A01', NULL, NULL, 113, NULL, NULL, 21216),
(63815, '4akrA01', NULL, NULL, 107, NULL, NULL, 21216),
(63816, '1knzA01', NULL, NULL, 108, NULL, NULL, 21217),
(63817, '3n72A00', NULL, NULL, 164, NULL, NULL, 21218),
(63818, '1usuB00', NULL, NULL, 145, NULL, NULL, 21218),
(63819, '2gs8A02', NULL, NULL, 140, NULL, NULL, 21219),
(63820, '3gonA02', NULL, NULL, 140, NULL, NULL, 21219),
(63821, '1uekA02', NULL, NULL, 127, NULL, NULL, 21219),
(63822, '3k17A02', NULL, NULL, 140, NULL, NULL, 21219),
(63823, '2r3vA02', NULL, NULL, 148, NULL, NULL, 21219),
(63824, '1kvkA02', NULL, NULL, 148, NULL, NULL, 21219),
(63825, '2ww4A02', NULL, NULL, 119, NULL, NULL, 21219),
(63826, '3pyfA02', NULL, NULL, 143, NULL, NULL, 21219),
(63827, '3d4jA02', NULL, NULL, 195, NULL, NULL, 21219),
(63828, '1s4eG02', NULL, NULL, 166, NULL, NULL, 21219),
(63829, '1pieA02', NULL, NULL, 177, NULL, NULL, 21219),
(63830, '3ltoA02', NULL, NULL, 142, NULL, NULL, 21219),
(63831, '3f0nB02', NULL, NULL, 195, NULL, NULL, 21219),
(63832, '1kkhA02', NULL, NULL, 131, NULL, NULL, 21219),
(63833, '2v8pA02', NULL, NULL, 115, NULL, NULL, 21219),
(63834, '2oi2A02', NULL, NULL, 134, NULL, NULL, 21219),
(63835, '5v2mA02', NULL, NULL, 151, NULL, NULL, 21219),
(63836, '2x7iA02', NULL, NULL, 138, NULL, NULL, 21219),
(63837, '5gmdA02', NULL, NULL, 142, NULL, NULL, 21219),
(63838, '2hfsA02', NULL, NULL, 149, NULL, NULL, 21219),
(63839, '4rpfA02', NULL, NULL, 133, NULL, NULL, 21219),
(63840, '3qt5A02', NULL, NULL, 146, NULL, NULL, 21219),
(63841, '2cz9A02', NULL, NULL, 175, NULL, NULL, 21219),
(63842, '6q3wB02', NULL, NULL, 170, NULL, NULL, 21219),
(63843, '2hk2A02', NULL, NULL, 146, NULL, NULL, 21219),
(63844, '4hacA02', NULL, NULL, 129, NULL, NULL, 21219),
(63845, '3hulA02', NULL, NULL, 129, NULL, NULL, 21219),
(63846, '4p52A02', NULL, NULL, 135, NULL, NULL, 21219),
(63847, '4emdA02', NULL, NULL, 143, NULL, NULL, 21219),
(63848, '2hkeA02', NULL, NULL, 196, NULL, NULL, 21219),
(63849, '1h72C02', NULL, NULL, 135, NULL, NULL, 21219),
(63850, '4uskA02', NULL, NULL, 154, NULL, NULL, 21219),
(63851, '1fi4A02', NULL, NULL, 198, NULL, NULL, 21219),
(63852, '3uoeA03', NULL, NULL, 44, NULL, NULL, 21220);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(63853, '1z2iA03', NULL, NULL, 37, NULL, NULL, 21220),
(63854, '1nxuB03', NULL, NULL, 43, NULL, NULL, 21220),
(63855, '1wtjA03', NULL, NULL, 49, NULL, NULL, 21220),
(63856, '3dp7A02', NULL, NULL, 93, NULL, NULL, 21221),
(63857, '4ejqB01', NULL, NULL, 37, NULL, NULL, 21222),
(63858, '4jdnC00', NULL, NULL, 152, NULL, NULL, 21223),
(63859, '5eo8A00', NULL, NULL, 311, NULL, NULL, 21224),
(63860, '4agiA00', NULL, NULL, 315, NULL, NULL, 21224),
(63861, '4csdB00', NULL, NULL, 272, NULL, NULL, 21224),
(63862, '5mxcA00', NULL, NULL, 325, NULL, NULL, 21224),
(63863, '2kr6A01', NULL, NULL, 106, NULL, NULL, 21225),
(63864, '2k47A00', NULL, NULL, 79, NULL, NULL, 21226),
(63865, '3hhwA00', NULL, NULL, 87, NULL, NULL, 21226),
(63866, '5j1sB00', NULL, NULL, 239, NULL, NULL, 21227),
(63867, '4tvsA00', NULL, NULL, 231, NULL, NULL, 21227),
(63868, '2xi5A00', NULL, NULL, 184, NULL, NULL, 21228),
(63869, '1jb0K00', NULL, NULL, 64, NULL, NULL, 21229),
(63870, '4kt0K00', NULL, NULL, 75, NULL, NULL, 21229),
(63871, '3aqoA02', NULL, NULL, 141, NULL, NULL, 21230),
(63872, '5xanA03', NULL, NULL, 128, NULL, NULL, 21230),
(63873, '3rfwA02', NULL, NULL, 83, NULL, NULL, 21231),
(63874, '3r9zA00', NULL, NULL, 178, NULL, NULL, 21232),
(63875, '1l3aA00', NULL, NULL, 166, NULL, NULL, 21232),
(63876, '4kooB00', NULL, NULL, 180, NULL, NULL, 21232),
(63877, '4koqA00', NULL, NULL, 180, NULL, NULL, 21232),
(63878, '2nvnA00', NULL, NULL, 122, NULL, NULL, 21232),
(63879, '2it9A00', NULL, NULL, 127, NULL, NULL, 21232),
(63880, '4aghA00', NULL, NULL, 80, NULL, NULL, 21232),
(63881, '4kopD00', NULL, NULL, 177, NULL, NULL, 21232),
(63882, '4bg7A00', NULL, NULL, 102, NULL, NULL, 21232),
(63883, '1pcfA00', NULL, NULL, 66, NULL, NULL, 21232),
(63884, '1udxA03', NULL, NULL, 74, NULL, NULL, 21233),
(63885, '3ejbB01', NULL, NULL, 91, NULL, NULL, 21234),
(63886, '4kx7A04', NULL, NULL, 332, NULL, NULL, 21235),
(63887, '5ab0C04', NULL, NULL, 332, NULL, NULL, 21235),
(63888, '4fyqA04', NULL, NULL, 333, NULL, NULL, 21235),
(63889, '4wz9A04', NULL, NULL, 331, NULL, NULL, 21235),
(63890, '5mj6A04', NULL, NULL, 331, NULL, NULL, 21235),
(63891, '6q4rA04', NULL, NULL, 325, NULL, NULL, 21235),
(63892, '4fkeA04', NULL, NULL, 339, NULL, NULL, 21235),
(63893, '5yuyA04', NULL, NULL, 111, NULL, NULL, 21236),
(63894, '2rdiA04', NULL, NULL, 104, NULL, NULL, 21236),
(63895, '5wm1A05', NULL, NULL, 117, NULL, NULL, 21236),
(63896, '3mfiA04', NULL, NULL, 121, NULL, NULL, 21236),
(63897, '1jx4A04', NULL, NULL, 109, NULL, NULL, 21236),
(63898, '3gqcC04', NULL, NULL, 126, NULL, NULL, 21236),
(63899, '4f4yA04', NULL, NULL, 100, NULL, NULL, 21236),
(63900, '3gv5D04', NULL, NULL, 122, NULL, NULL, 21236),
(63901, '5kfzA04', NULL, NULL, 123, NULL, NULL, 21236),
(63902, '6cstA04', NULL, NULL, 118, NULL, NULL, 21236),
(63903, '3gcgB00', NULL, NULL, 172, NULL, NULL, 21237),
(63904, '3lxrF00', NULL, NULL, 192, NULL, NULL, 21237),
(63905, '1w6kA01', NULL, NULL, 52, NULL, NULL, 21238),
(63906, '1aroP02', NULL, NULL, 47, NULL, NULL, 21239),
(63907, '1mswD02', NULL, NULL, 86, NULL, NULL, 21239),
(63908, '1k0hA00', NULL, NULL, 117, NULL, NULL, 21240),
(63909, '2ayxA01', NULL, NULL, 114, NULL, NULL, 21241),
(63910, '2g80A02', NULL, NULL, 78, NULL, NULL, 21242),
(63911, '1zs9A02', NULL, NULL, 103, NULL, NULL, 21242),
(63912, '1sgfG02', NULL, NULL, 115, NULL, NULL, 21243),
(63913, '3nclA01', NULL, NULL, 126, NULL, NULL, 21243),
(63914, '3q3yA01', NULL, NULL, 122, NULL, NULL, 21243),
(63915, '3nclA02', NULL, NULL, 115, NULL, NULL, 21243),
(63916, '3q3yA02', NULL, NULL, 69, NULL, NULL, 21243),
(63917, '1sgfG01', NULL, NULL, 121, NULL, NULL, 21243),
(63918, '5yc6U02', NULL, NULL, 118, NULL, NULL, 21243),
(63919, '3r3gB01', NULL, NULL, 139, NULL, NULL, 21243),
(63920, '2fyqA01', NULL, NULL, 83, NULL, NULL, 21243),
(63921, '4ri0C01', NULL, NULL, 113, NULL, NULL, 21243),
(63922, '3pmaB02', NULL, NULL, 120, NULL, NULL, 21243),
(63923, '3pmaB01', NULL, NULL, 139, NULL, NULL, 21243),
(63924, '1lvoA01', NULL, NULL, 84, NULL, NULL, 21243),
(63925, '1tbs001', NULL, NULL, 120, NULL, NULL, 21243);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(63926, '3stiB01', NULL, NULL, 96, NULL, NULL, 21243),
(63927, '1lvoA02', NULL, NULL, 88, NULL, NULL, 21243),
(63928, '1tbs002', NULL, NULL, 101, NULL, NULL, 21243),
(63929, '1vcpA02', NULL, NULL, 85, NULL, NULL, 21243),
(63930, '4ic6A02', NULL, NULL, 114, NULL, NULL, 21243),
(63931, '4k1tA02', NULL, NULL, 94, NULL, NULL, 21243),
(63932, '1z8gA02', NULL, NULL, 129, NULL, NULL, 21243),
(63933, '1z8rA01', NULL, NULL, 42, NULL, NULL, 21243),
(63934, '6b6iA01', NULL, NULL, 70, NULL, NULL, 21243),
(63935, '1x7aC01', NULL, NULL, 127, NULL, NULL, 21243),
(63936, '4mg3A02', NULL, NULL, 95, NULL, NULL, 21243),
(63937, '1x7aC02', NULL, NULL, 108, NULL, NULL, 21243),
(63938, '1orfA02', NULL, NULL, 107, NULL, NULL, 21243),
(63939, '1orfA01', NULL, NULL, 127, NULL, NULL, 21243),
(63940, '4a1xB02', NULL, NULL, 94, NULL, NULL, 21243),
(63941, '2q6dC01', NULL, NULL, 116, NULL, NULL, 21243),
(63942, '4xfqA01', NULL, NULL, 98, NULL, NULL, 21243),
(63943, '1z8rA02', NULL, NULL, 98, NULL, NULL, 21243),
(63944, '5afyH01', NULL, NULL, 139, NULL, NULL, 21243),
(63945, '1mzaA02', NULL, NULL, 109, NULL, NULL, 21243),
(63946, '4ri0B02', NULL, NULL, 102, NULL, NULL, 21243),
(63947, '6fezA02', NULL, NULL, 94, NULL, NULL, 21243),
(63948, '1p3cA02', NULL, NULL, 110, NULL, NULL, 21243),
(63949, '5dj7A02', NULL, NULL, 108, NULL, NULL, 21243),
(63950, '5yofB02', NULL, NULL, 92, NULL, NULL, 21243),
(63951, '2o8lA01', NULL, NULL, 115, NULL, NULL, 21243),
(63952, '2o8lA02', NULL, NULL, 101, NULL, NULL, 21243),
(63953, '1p3cA01', NULL, NULL, 105, NULL, NULL, 21243),
(63954, '3stiA02', NULL, NULL, 118, NULL, NULL, 21243),
(63955, '5fcrA01', NULL, NULL, 122, NULL, NULL, 21243),
(63956, '1ky9A01', NULL, NULL, 92, NULL, NULL, 21243),
(63957, '4ue7H02', NULL, NULL, 118, NULL, NULL, 21243),
(63958, '5fcrA02', NULL, NULL, 112, NULL, NULL, 21243),
(63959, '2hrvA01', NULL, NULL, 44, NULL, NULL, 21243),
(63960, '2hrvA02', NULL, NULL, 98, NULL, NULL, 21243),
(63961, '2fomB02', NULL, NULL, 82, NULL, NULL, 21243),
(63962, '1mzaA01', NULL, NULL, 125, NULL, NULL, 21243),
(63963, '4wmfC02', NULL, NULL, 92, NULL, NULL, 21243),
(63964, '6b6iB02', NULL, NULL, 111, NULL, NULL, 21243),
(63965, '1shyA02', NULL, NULL, 108, NULL, NULL, 21243),
(63966, '4crgA01', NULL, NULL, 127, NULL, NULL, 21243),
(63967, '1wqsA02', NULL, NULL, 103, NULL, NULL, 21243),
(63968, '4crgA02', NULL, NULL, 111, NULL, NULL, 21243),
(63969, '1wqsA01', NULL, NULL, 70, NULL, NULL, 21243),
(63970, '2hntE00', NULL, NULL, 81, NULL, NULL, 21243),
(63971, '4in2A02', NULL, NULL, 110, NULL, NULL, 21243),
(63972, '5ms4A02', NULL, NULL, 104, NULL, NULL, 21243),
(63973, '5bpeA01', NULL, NULL, 111, NULL, NULL, 21243),
(63974, '4ag1A02', NULL, NULL, 108, NULL, NULL, 21243),
(63975, '4wmeA01', NULL, NULL, 112, NULL, NULL, 21243),
(63976, '1qtfA01', NULL, NULL, 120, NULL, NULL, 21243),
(63977, '1qtfA02', NULL, NULL, 122, NULL, NULL, 21243),
(63978, '4ag1A01', NULL, NULL, 118, NULL, NULL, 21243),
(63979, '1npmA02', NULL, NULL, 104, NULL, NULL, 21243),
(63980, '1npmA01', NULL, NULL, 120, NULL, NULL, 21243),
(63981, '4wmeA02', NULL, NULL, 88, NULL, NULL, 21243),
(63982, '5abwA01', NULL, NULL, 113, NULL, NULL, 21243),
(63983, '5abwA02', NULL, NULL, 105, NULL, NULL, 21243),
(63984, '2zchP01', NULL, NULL, 121, NULL, NULL, 21243),
(63985, '5mrtA01', NULL, NULL, 91, NULL, NULL, 21243),
(63986, '5mrtA02', NULL, NULL, 110, NULL, NULL, 21243),
(63987, '2zchP02', NULL, NULL, 115, NULL, NULL, 21243),
(63988, '3s69A01', NULL, NULL, 122, NULL, NULL, 21243),
(63989, '1si5H02', NULL, NULL, 114, NULL, NULL, 21243),
(63990, '1si5H01', NULL, NULL, 126, NULL, NULL, 21243),
(63991, '4h4fA01', NULL, NULL, 129, NULL, NULL, 21243),
(63992, '4h4fA02', NULL, NULL, 120, NULL, NULL, 21243),
(63993, '2b0fA01', NULL, NULL, 113, NULL, NULL, 21243),
(63994, '2b0fA02', NULL, NULL, 69, NULL, NULL, 21243),
(63995, '3dfjA02', NULL, NULL, 128, NULL, NULL, 21243),
(63996, '4xdeA01', NULL, NULL, 131, NULL, NULL, 21243),
(63997, '2jetB00', NULL, NULL, 128, NULL, NULL, 21243),
(63998, '3h7oB01', NULL, NULL, 116, NULL, NULL, 21243);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(63999, '4xdeA02', NULL, NULL, 126, NULL, NULL, 21243),
(64000, '3d23B02', NULL, NULL, 85, NULL, NULL, 21243),
(64001, '5xrfA02', NULL, NULL, 116, NULL, NULL, 21243),
(64002, '1cghA02', NULL, NULL, 106, NULL, NULL, 21243),
(64003, '5exnA02', NULL, NULL, 111, NULL, NULL, 21243),
(64004, '5xrfA01', NULL, NULL, 119, NULL, NULL, 21243),
(64005, '5hm2A02', NULL, NULL, 110, NULL, NULL, 21243),
(64006, '1cghA01', NULL, NULL, 118, NULL, NULL, 21243),
(64007, '5hm2A01', NULL, NULL, 99, NULL, NULL, 21243),
(64008, '1bruP01', NULL, NULL, 129, NULL, NULL, 21243),
(64009, '1bruP02', NULL, NULL, 112, NULL, NULL, 21243),
(64010, '1aksB00', NULL, NULL, 98, NULL, NULL, 21243),
(64011, '1j16A01', NULL, NULL, 120, NULL, NULL, 21243),
(64012, '1fiwA01', NULL, NULL, 131, NULL, NULL, 21243),
(64013, '1gj7B01', NULL, NULL, 128, NULL, NULL, 21243),
(64014, '2pfeA02', NULL, NULL, 99, NULL, NULL, 21243),
(64015, '2pfeA01', NULL, NULL, 87, NULL, NULL, 21243),
(64016, '2rdlA02', NULL, NULL, 108, NULL, NULL, 21243),
(64017, '2rdlA01', NULL, NULL, 118, NULL, NULL, 21243),
(64018, '3w94A01', NULL, NULL, 126, NULL, NULL, 21243),
(64019, '1kigH02', NULL, NULL, 108, NULL, NULL, 21243),
(64020, '1l1jA01', NULL, NULL, 120, NULL, NULL, 21243),
(64021, '1kigH01', NULL, NULL, 128, NULL, NULL, 21243),
(64022, '3w94A02', NULL, NULL, 109, NULL, NULL, 21243),
(64023, '1l1jA02', NULL, NULL, 119, NULL, NULL, 21243),
(64024, '5gvtA02', NULL, NULL, 123, NULL, NULL, 21243),
(64025, '2ynaA02', NULL, NULL, 88, NULL, NULL, 21243),
(64026, '2ynaA01', NULL, NULL, 112, NULL, NULL, 21243),
(64027, '3h7oA02', NULL, NULL, 112, NULL, NULL, 21243),
(64028, '1svpA02', NULL, NULL, 86, NULL, NULL, 21243),
(64029, '2qy0B01', NULL, NULL, 128, NULL, NULL, 21243),
(64030, '1svpA01', NULL, NULL, 65, NULL, NULL, 21243),
(64031, '1ezxC00', NULL, NULL, 199, NULL, NULL, 21243),
(64032, '3d23C01', NULL, NULL, 114, NULL, NULL, 21243),
(64033, '3s69A02', NULL, NULL, 105, NULL, NULL, 21243),
(64034, '1eufA02', NULL, NULL, 108, NULL, NULL, 21243),
(64035, '1ym0A01', NULL, NULL, 126, NULL, NULL, 21243),
(64036, '1elvA02', NULL, NULL, 136, NULL, NULL, 21243),
(64037, '1elvA01', NULL, NULL, 105, NULL, NULL, 21243),
(64038, '1eufA01', NULL, NULL, 119, NULL, NULL, 21243),
(64039, '1aksA00', NULL, NULL, 125, NULL, NULL, 21243),
(64040, '2hlcA02', NULL, NULL, 126, NULL, NULL, 21243),
(64041, '2hlcA01', NULL, NULL, 104, NULL, NULL, 21243),
(64042, '3beuA02', NULL, NULL, 99, NULL, NULL, 21243),
(64043, '1ym0A02', NULL, NULL, 112, NULL, NULL, 21243),
(64044, '5dgjA01', NULL, NULL, 77, NULL, NULL, 21243),
(64045, '2ea3A01', NULL, NULL, 90, NULL, NULL, 21243),
(64046, '3beuA01', NULL, NULL, 125, NULL, NULL, 21243),
(64047, '2ea3A02', NULL, NULL, 99, NULL, NULL, 21243),
(64048, '1fiwA02', NULL, NULL, 120, NULL, NULL, 21243),
(64049, '5y2dA02', NULL, NULL, 89, NULL, NULL, 21243),
(64050, '5y2dA01', NULL, NULL, 120, NULL, NULL, 21243),
(64051, '2q6fA01', NULL, NULL, 83, NULL, NULL, 21243),
(64052, '5m3nA01', NULL, NULL, 132, NULL, NULL, 21243),
(64053, '2f83A05', NULL, NULL, 247, NULL, NULL, 21243),
(64054, '2q6fA02', NULL, NULL, 88, NULL, NULL, 21243),
(64055, '6ahsA02', NULL, NULL, 101, NULL, NULL, 21243),
(64056, '3wy8A02', NULL, NULL, 106, NULL, NULL, 21243),
(64057, '1gpzA02', NULL, NULL, 19, NULL, NULL, 21243),
(64058, '3fp7E02', NULL, NULL, 103, NULL, NULL, 21243),
(64059, '2zgcA01', NULL, NULL, 126, NULL, NULL, 21243),
(64060, '2zgcA02', NULL, NULL, 114, NULL, NULL, 21243),
(64061, '1m9uA01', NULL, NULL, 132, NULL, NULL, 21243),
(64062, '1m9uA02', NULL, NULL, 109, NULL, NULL, 21243),
(64063, '1ddjA01', NULL, NULL, 126, NULL, NULL, 21243),
(64064, '3f6uH02', NULL, NULL, 106, NULL, NULL, 21243),
(64065, '4e7nA02', NULL, NULL, 116, NULL, NULL, 21243),
(64066, '3wy8A01', NULL, NULL, 113, NULL, NULL, 21243),
(64067, '4e7nA01', NULL, NULL, 115, NULL, NULL, 21243),
(64068, '5lpeA01', NULL, NULL, 123, NULL, NULL, 21243),
(64069, '1iauA02', NULL, NULL, 107, NULL, NULL, 21243),
(64070, '1iauA01', NULL, NULL, 120, NULL, NULL, 21243),
(64071, '5idkA02', NULL, NULL, 112, NULL, NULL, 21243);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(64072, '1fi8B02', NULL, NULL, 106, NULL, NULL, 21243),
(64073, '1hj8A01', NULL, NULL, 119, NULL, NULL, 21243),
(64074, '3tjoA02', NULL, NULL, 105, NULL, NULL, 21243),
(64075, '1ekbB01', NULL, NULL, 126, NULL, NULL, 21243),
(64076, '1ekbB02', NULL, NULL, 109, NULL, NULL, 21243),
(64077, '3tjoA01', NULL, NULL, 106, NULL, NULL, 21243),
(64078, '1hj8A02', NULL, NULL, 103, NULL, NULL, 21243),
(64079, '1ucyH00', NULL, NULL, 150, NULL, NULL, 21243),
(64080, '2od3B01', NULL, NULL, 139, NULL, NULL, 21243),
(64081, '1lvbA01', NULL, NULL, 137, NULL, NULL, 21243),
(64082, '1a0jA01', NULL, NULL, 120, NULL, NULL, 21243),
(64083, '1a0jA02', NULL, NULL, 103, NULL, NULL, 21243),
(64084, '5natA02', NULL, NULL, 110, NULL, NULL, 21243),
(64085, '5natA01', NULL, NULL, 122, NULL, NULL, 21243),
(64086, '5c5oA01', NULL, NULL, 112, NULL, NULL, 21243),
(64087, '2jetC00', NULL, NULL, 99, NULL, NULL, 21243),
(64088, '1eptA00', NULL, NULL, 43, NULL, NULL, 21243),
(64089, '5c5oA02', NULL, NULL, 85, NULL, NULL, 21243),
(64090, '1vr1H02', NULL, NULL, 118, NULL, NULL, 21243),
(64091, '3fanA01', NULL, NULL, 73, NULL, NULL, 21243),
(64092, '3fanA02', NULL, NULL, 74, NULL, NULL, 21243),
(64093, '5lpeB02', NULL, NULL, 108, NULL, NULL, 21243),
(64094, '1zyoA02', NULL, NULL, 85, NULL, NULL, 21243),
(64095, '1rtfB02', NULL, NULL, 116, NULL, NULL, 21243),
(64096, '1rtfB01', NULL, NULL, 134, NULL, NULL, 21243),
(64097, '1lvmA01', NULL, NULL, 108, NULL, NULL, 21243),
(64098, '1zyoA01', NULL, NULL, 106, NULL, NULL, 21243),
(64099, '1lvmA02', NULL, NULL, 106, NULL, NULL, 21243),
(64100, '1fi8A01', NULL, NULL, 120, NULL, NULL, 21243),
(64101, '1ao5A01', NULL, NULL, 121, NULL, NULL, 21243),
(64102, '4ic5A02', NULL, NULL, 114, NULL, NULL, 21243),
(64103, '1ao5A02', NULL, NULL, 115, NULL, NULL, 21243),
(64104, '3stjA01', NULL, NULL, 119, NULL, NULL, 21243),
(64105, '3stjA02', NULL, NULL, 83, NULL, NULL, 21243),
(64106, '4ic5A01', NULL, NULL, 123, NULL, NULL, 21243),
(64107, '1arbA02', NULL, NULL, 137, NULL, NULL, 21243),
(64108, '1sgfA01', NULL, NULL, 124, NULL, NULL, 21243),
(64109, '1ucyE00', NULL, NULL, 109, NULL, NULL, 21243),
(64110, '4jcnA02', NULL, NULL, 101, NULL, NULL, 21243),
(64111, '4lk4A02', NULL, NULL, 96, NULL, NULL, 21243),
(64112, '1arbA01', NULL, NULL, 122, NULL, NULL, 21243),
(64113, '4jcnA01', NULL, NULL, 115, NULL, NULL, 21243),
(64114, '4lk4A01', NULL, NULL, 149, NULL, NULL, 21243),
(64115, '1sgfA02', NULL, NULL, 116, NULL, NULL, 21243),
(64116, '2odpA02', NULL, NULL, 119, NULL, NULL, 21243),
(64117, '2odpA03', NULL, NULL, 172, NULL, NULL, 21243),
(64118, '2r0lA02', NULL, NULL, 122, NULL, NULL, 21243),
(64119, '4r8tB02', NULL, NULL, 73, NULL, NULL, 21243),
(64120, '3iwmB01', NULL, NULL, 99, NULL, NULL, 21243),
(64121, '5eqsA02', NULL, NULL, 85, NULL, NULL, 21243),
(64122, '1eptB00', NULL, NULL, 82, NULL, NULL, 21243),
(64123, '4inkA01', NULL, NULL, 112, NULL, NULL, 21243),
(64124, '4inkA02', NULL, NULL, 93, NULL, NULL, 21243),
(64125, '4ic6C01', NULL, NULL, 121, NULL, NULL, 21243),
(64126, '1ky9B01', NULL, NULL, 76, NULL, NULL, 21243),
(64127, '6jijA02', NULL, NULL, 83, NULL, NULL, 21243),
(64128, '5lhrA02', NULL, NULL, 119, NULL, NULL, 21243),
(64129, '6jijA01', NULL, NULL, 112, NULL, NULL, 21243),
(64130, '5pagB02', NULL, NULL, 110, NULL, NULL, 21243),
(64131, '5pagB01', NULL, NULL, 133, NULL, NULL, 21243),
(64132, '4wjg202', NULL, NULL, 155, NULL, NULL, 21243),
(64133, '4wjg203', NULL, NULL, 89, NULL, NULL, 21243),
(64134, '4q7zA02', NULL, NULL, 109, NULL, NULL, 21243),
(64135, '4q7zA01', NULL, NULL, 124, NULL, NULL, 21243),
(64136, '4igdA03', NULL, NULL, 132, NULL, NULL, 21243),
(64137, '5x45A01', NULL, NULL, 45, NULL, NULL, 21243),
(64138, '3mmgA02', NULL, NULL, 105, NULL, NULL, 21243),
(64139, '3mmgA01', NULL, NULL, 105, NULL, NULL, 21243),
(64140, '1a7sA02', NULL, NULL, 109, NULL, NULL, 21243),
(64141, '2j92A01', NULL, NULL, 99, NULL, NULL, 21243),
(64142, '1a7sA01', NULL, NULL, 112, NULL, NULL, 21243),
(64143, '5x45B02', NULL, NULL, 94, NULL, NULL, 21243),
(64144, '2j92A02', NULL, NULL, 110, NULL, NULL, 21243);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(64145, '3su6A02', NULL, NULL, 88, NULL, NULL, 21243),
(64146, '3mh7A01', NULL, NULL, 83, NULL, NULL, 21243),
(64147, '1dy9A02', NULL, NULL, 93, NULL, NULL, 21243),
(64148, '1os8A02', NULL, NULL, 97, NULL, NULL, 21243),
(64149, '3mh7A02', NULL, NULL, 112, NULL, NULL, 21243),
(64150, '2qa9E02', NULL, NULL, 95, NULL, NULL, 21243),
(64151, '2qa9E01', NULL, NULL, 90, NULL, NULL, 21243),
(64152, '3pv4A01', NULL, NULL, 123, NULL, NULL, 21243),
(64153, '3tk9A02', NULL, NULL, 107, NULL, NULL, 21243),
(64154, '5tjxA01', NULL, NULL, 142, NULL, NULL, 21243),
(64155, '3pv4A02', NULL, NULL, 117, NULL, NULL, 21243),
(64156, '3tk9A01', NULL, NULL, 119, NULL, NULL, 21243),
(64157, '4mpuA01', NULL, NULL, 134, NULL, NULL, 21243),
(64158, '2as9A01', NULL, NULL, 116, NULL, NULL, 21243),
(64159, '4mpuA02', NULL, NULL, 111, NULL, NULL, 21243),
(64160, '3sjiA01', NULL, NULL, 121, NULL, NULL, 21243),
(64161, '1fizA02', NULL, NULL, 120, NULL, NULL, 21243),
(64162, '2fp7B02', NULL, NULL, 85, NULL, NULL, 21243),
(64163, '2as9A02', NULL, NULL, 94, NULL, NULL, 21243),
(64164, '1fizA01', NULL, NULL, 131, NULL, NULL, 21243),
(64165, '3sjiA02', NULL, NULL, 69, NULL, NULL, 21243),
(64166, '1hj9A01', NULL, NULL, 120, NULL, NULL, 21243),
(64167, '2bhgB01', NULL, NULL, 100, NULL, NULL, 21243),
(64168, '2oq5A02', NULL, NULL, 104, NULL, NULL, 21243),
(64169, '2oq5A01', NULL, NULL, 128, NULL, NULL, 21243),
(64170, '2hntC00', NULL, NULL, 70, NULL, NULL, 21243),
(64171, '1os8A01', NULL, NULL, 126, NULL, NULL, 21243),
(64172, '6qfeA02', NULL, NULL, 105, NULL, NULL, 21243),
(64173, '2sgaA02', NULL, NULL, 100, NULL, NULL, 21243),
(64174, '1autC01', NULL, NULL, 134, NULL, NULL, 21243),
(64175, '4i8hA02', NULL, NULL, 102, NULL, NULL, 21243),
(64176, '2sgaA01', NULL, NULL, 81, NULL, NULL, 21243),
(64177, '4i8hA01', NULL, NULL, 120, NULL, NULL, 21243),
(64178, '1spjA01', NULL, NULL, 121, NULL, NULL, 21243),
(64179, '1spjA02', NULL, NULL, 116, NULL, NULL, 21243),
(64180, '3g01A01', NULL, NULL, 120, NULL, NULL, 21243),
(64181, '3zveA01', NULL, NULL, 121, NULL, NULL, 21243),
(64182, '3zveA02', NULL, NULL, 69, NULL, NULL, 21243),
(64183, '2eekA01', NULL, NULL, 119, NULL, NULL, 21243),
(64184, '4kkdB04', NULL, NULL, 135, NULL, NULL, 21243),
(64185, '2asuB01', NULL, NULL, 122, NULL, NULL, 21243),
(64186, '2eekA02', NULL, NULL, 101, NULL, NULL, 21243),
(64187, '2asuB02', NULL, NULL, 112, NULL, NULL, 21243),
(64188, '4m7gA01', NULL, NULL, 122, NULL, NULL, 21243),
(64189, '2bhgA01', NULL, NULL, 99, NULL, NULL, 21243),
(64190, '5zqgA02', NULL, NULL, 98, NULL, NULL, 21243),
(64191, '4nfeA01', NULL, NULL, 121, NULL, NULL, 21243),
(64192, '2bhgA02', NULL, NULL, 110, NULL, NULL, 21243),
(64193, '3nxpA02', NULL, NULL, 186, NULL, NULL, 21243),
(64194, '4agkA02', NULL, NULL, 86, NULL, NULL, 21243),
(64195, '2h5cA01', NULL, NULL, 87, NULL, NULL, 21243),
(64196, '4agkA01', NULL, NULL, 65, NULL, NULL, 21243),
(64197, '2h5cA02', NULL, NULL, 107, NULL, NULL, 21243),
(64198, '5fx6A02', NULL, NULL, 69, NULL, NULL, 21243),
(64199, '4d9qA01', NULL, NULL, 122, NULL, NULL, 21243),
(64200, '5fx6A01', NULL, NULL, 113, NULL, NULL, 21243),
(64201, '1yphE00', NULL, NULL, 97, NULL, NULL, 21243),
(64202, '4mvnA02', NULL, NULL, 91, NULL, NULL, 21243),
(64203, '4dcdA02', NULL, NULL, 69, NULL, NULL, 21243),
(64204, '3lkwA02', NULL, NULL, 111, NULL, NULL, 21243),
(64205, '4gsoA02', NULL, NULL, 111, NULL, NULL, 21243),
(64206, '4dcdA01', NULL, NULL, 121, NULL, NULL, 21243),
(64207, '4fvdA02', NULL, NULL, 100, NULL, NULL, 21243),
(64208, '4gsoA01', NULL, NULL, 121, NULL, NULL, 21243),
(64209, '6bidA02', NULL, NULL, 111, NULL, NULL, 21243),
(64210, '4fvdA01', NULL, NULL, 42, NULL, NULL, 21243),
(64211, '5jb9S01', NULL, NULL, 127, NULL, NULL, 21243),
(64212, '5jb9S02', NULL, NULL, 108, NULL, NULL, 21243),
(64213, '3i77A01', NULL, NULL, 126, NULL, NULL, 21243),
(64214, '3tloA02', NULL, NULL, 99, NULL, NULL, 21243),
(64215, '3tloA01', NULL, NULL, 98, NULL, NULL, 21243),
(64216, '3k2uA01', NULL, NULL, 126, NULL, NULL, 21243),
(64217, '4k8yA02', NULL, NULL, 101, NULL, NULL, 21243);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(64218, '4k8yA01', NULL, NULL, 116, NULL, NULL, 21243),
(64219, '3qzrA02', NULL, NULL, 69, NULL, NULL, 21243),
(64220, '3qzrA01', NULL, NULL, 118, NULL, NULL, 21243),
(64221, '1y8tB02', NULL, NULL, 124, NULL, NULL, 21243),
(64222, '1rrkA02', NULL, NULL, 119, NULL, NULL, 21243),
(64223, '3qo6C01', NULL, NULL, 117, NULL, NULL, 21243),
(64224, '1sotA01', NULL, NULL, 121, NULL, NULL, 21243),
(64225, '3h7tB01', NULL, NULL, 124, NULL, NULL, 21243),
(64226, '1agjA02', NULL, NULL, 108, NULL, NULL, 21243),
(64227, '2iphA02', NULL, NULL, 111, NULL, NULL, 21243),
(64228, '4nffA02', NULL, NULL, 115, NULL, NULL, 21243),
(64229, '5hxfA01', NULL, NULL, 115, NULL, NULL, 21243),
(64230, '2iphA01', NULL, NULL, 70, NULL, NULL, 21243),
(64231, '5hxfA02', NULL, NULL, 69, NULL, NULL, 21243),
(64232, '5avdA02', NULL, NULL, 112, NULL, NULL, 21243),
(64233, '5avdA01', NULL, NULL, 128, NULL, NULL, 21243),
(64234, '1bqyA01', NULL, NULL, 122, NULL, NULL, 21243),
(64235, '1bqyA02', NULL, NULL, 105, NULL, NULL, 21243),
(64236, '4f4oC02', NULL, NULL, 155, NULL, NULL, 21243),
(64237, '1agjA01', NULL, NULL, 134, NULL, NULL, 21243),
(64238, '4f4oC03', NULL, NULL, 89, NULL, NULL, 21243),
(64239, '1te0A02', NULL, NULL, 86, NULL, NULL, 21243),
(64240, '1te0A01', NULL, NULL, 97, NULL, NULL, 21243),
(64241, '1gvzA02', NULL, NULL, 115, NULL, NULL, 21243),
(64242, '1gvzA01', NULL, NULL, 121, NULL, NULL, 21243),
(64243, '5m3oA02', NULL, NULL, 93, NULL, NULL, 21243),
(64244, '2qf0B02', NULL, NULL, 115, NULL, NULL, 21243),
(64245, '1k28D01', NULL, NULL, 116, NULL, NULL, 21243),
(64246, '3lgiB01', NULL, NULL, 116, NULL, NULL, 21243),
(64247, '2aiqA01', NULL, NULL, 111, NULL, NULL, 21243),
(64248, '3s9cA01', NULL, NULL, 120, NULL, NULL, 21243),
(64249, '2aiqA02', NULL, NULL, 113, NULL, NULL, 21243),
(64250, '3s9cA02', NULL, NULL, 107, NULL, NULL, 21243),
(64251, '2halA01', NULL, NULL, 109, NULL, NULL, 21243),
(64252, '2halA02', NULL, NULL, 103, NULL, NULL, 21243),
(64253, '2ra3A02', NULL, NULL, 104, NULL, NULL, 21243),
(64254, '2ra3A01', NULL, NULL, 120, NULL, NULL, 21243),
(64255, '2xrcC04', NULL, NULL, 232, NULL, NULL, 21243),
(64256, '3h7tA02', NULL, NULL, 111, NULL, NULL, 21243),
(64257, '2f9nA01', NULL, NULL, 134, NULL, NULL, 21243),
(64258, '2qxiA02', NULL, NULL, 101, NULL, NULL, 21243),
(64259, '2f9nA02', NULL, NULL, 111, NULL, NULL, 21243),
(64260, '3gdvC01', NULL, NULL, 121, NULL, NULL, 21243),
(64261, '2olgA02', NULL, NULL, 115, NULL, NULL, 21243),
(64262, '2pkaB00', NULL, NULL, 152, NULL, NULL, 21243),
(64263, '2olgA01', NULL, NULL, 129, NULL, NULL, 21243),
(64264, '4dgjA01', NULL, NULL, 126, NULL, NULL, 21243),
(64265, '3fzzA02', NULL, NULL, 107, NULL, NULL, 21243),
(64266, '3mh5B01', NULL, NULL, 114, NULL, NULL, 21243),
(64267, '4zroA02', NULL, NULL, 88, NULL, NULL, 21243),
(64268, '3mh5B02', NULL, NULL, 114, NULL, NULL, 21243),
(64269, '3p8nA02', NULL, NULL, 92, NULL, NULL, 21243),
(64270, '5h23A02', NULL, NULL, 85, NULL, NULL, 21243),
(64271, '5h23A01', NULL, NULL, 71, NULL, NULL, 21243),
(64272, '4dgjA02', NULL, NULL, 109, NULL, NULL, 21243),
(64273, '2z9iC01', NULL, NULL, 102, NULL, NULL, 21243),
(64274, '1p57B02', NULL, NULL, 126, NULL, NULL, 21243),
(64275, '2b9lA01', NULL, NULL, 163, NULL, NULL, 21243),
(64276, '4kkdA03', NULL, NULL, 152, NULL, NULL, 21243),
(64277, '1fujA02', NULL, NULL, 108, NULL, NULL, 21243),
(64278, '1fujA01', NULL, NULL, 113, NULL, NULL, 21243),
(64279, '1pq7A02', NULL, NULL, 100, NULL, NULL, 21243),
(64280, '1fxyA02', NULL, NULL, 108, NULL, NULL, 21243),
(64281, '1pq7A01', NULL, NULL, 124, NULL, NULL, 21243),
(64282, '1fonA01', NULL, NULL, 126, NULL, NULL, 21243),
(64283, '1fonA02', NULL, NULL, 114, NULL, NULL, 21243),
(64284, '1ep5A02', NULL, NULL, 86, NULL, NULL, 21243),
(64285, '2b9lA03', NULL, NULL, 145, NULL, NULL, 21243),
(64286, '1ep5A01', NULL, NULL, 64, NULL, NULL, 21243),
(64287, '2w5eA02', NULL, NULL, 75, NULL, NULL, 21243),
(64288, '1a5iA01', NULL, NULL, 134, NULL, NULL, 21243),
(64289, '3lgiA02', NULL, NULL, 121, NULL, NULL, 21243),
(64290, '1a5iA02', NULL, NULL, 118, NULL, NULL, 21243);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(64291, '2w5eA01', NULL, NULL, 65, NULL, NULL, 21243),
(64292, '3tvjB02', NULL, NULL, 107, NULL, NULL, 21243),
(64293, '3tvjB01', NULL, NULL, 135, NULL, NULL, 21243),
(64294, '4zroA01', NULL, NULL, 84, NULL, NULL, 21243),
(64295, '1azzA02', NULL, NULL, 107, NULL, NULL, 21243),
(64296, '1azzA01', NULL, NULL, 119, NULL, NULL, 21243),
(64297, '3u1jB02', NULL, NULL, 82, NULL, NULL, 21243),
(64298, '2pkaA00', NULL, NULL, 80, NULL, NULL, 21243),
(64299, '1lo6A01', NULL, NULL, 119, NULL, NULL, 21243),
(64300, '1tonA01', NULL, NULL, 121, NULL, NULL, 21243),
(64301, '1lo6A02', NULL, NULL, 104, NULL, NULL, 21243),
(64302, '1tonA02', NULL, NULL, 113, NULL, NULL, 21243),
(64303, '3po1C00', NULL, NULL, 102, NULL, NULL, 21243),
(64304, '1op0A01', NULL, NULL, 122, NULL, NULL, 21243),
(64305, '1op0A02', NULL, NULL, 105, NULL, NULL, 21243),
(64306, '5tp0A02', NULL, NULL, 103, NULL, NULL, 21243),
(64307, '5mm8A01', NULL, NULL, 112, NULL, NULL, 21243),
(64308, '3cp7B02', NULL, NULL, 105, NULL, NULL, 21243),
(64309, '2psxA01', NULL, NULL, 122, NULL, NULL, 21243),
(64310, '5tp0A01', NULL, NULL, 120, NULL, NULL, 21243),
(64311, '3k6yA01', NULL, NULL, 92, NULL, NULL, 21243),
(64312, '5mm8A02', NULL, NULL, 92, NULL, NULL, 21243),
(64313, '4zkoU01', NULL, NULL, 128, NULL, NULL, 21243),
(64314, '3k6yA02', NULL, NULL, 107, NULL, NULL, 21243),
(64315, '2m5tA01', NULL, NULL, 43, NULL, NULL, 21243),
(64316, '2zu1A01', NULL, NULL, 114, NULL, NULL, 21243),
(64317, '2m5tA02', NULL, NULL, 99, NULL, NULL, 21243),
(64318, '1eltA01', NULL, NULL, 127, NULL, NULL, 21243),
(64319, '1eltA02', NULL, NULL, 109, NULL, NULL, 21243),
(64320, '5wdxA02', NULL, NULL, 92, NULL, NULL, 21243),
(64321, '2xxlA03', NULL, NULL, 130, NULL, NULL, 21243),
(64322, '4nsvA01', NULL, NULL, 122, NULL, NULL, 21243),
(64323, '4nsvA02', NULL, NULL, 138, NULL, NULL, 21243),
(64324, '1pytD02', NULL, NULL, 110, NULL, NULL, 21243),
(64325, '2xxlA02', NULL, NULL, 146, NULL, NULL, 21243),
(64326, '1pytD01', NULL, NULL, 128, NULL, NULL, 21243),
(64327, '2zu2A02', NULL, NULL, 98, NULL, NULL, 21243),
(64328, '1mbmA01', NULL, NULL, 76, NULL, NULL, 21243),
(64329, '2zu2A01', NULL, NULL, 98, NULL, NULL, 21243),
(64330, '3po1B00', NULL, NULL, 147, NULL, NULL, 21243),
(64331, '3plbA01', NULL, NULL, 120, NULL, NULL, 21243),
(64332, '6bqjC02', NULL, NULL, 110, NULL, NULL, 21243),
(64333, '1mbmA02', NULL, NULL, 72, NULL, NULL, 21243),
(64334, '1hpgA02', NULL, NULL, 99, NULL, NULL, 21243),
(64335, '1hpgA01', NULL, NULL, 88, NULL, NULL, 21243),
(64336, '3cp7A01', NULL, NULL, 113, NULL, NULL, 21243),
(64337, '2ouaA02', NULL, NULL, 100, NULL, NULL, 21243),
(64338, '2ouaA01', NULL, NULL, 88, NULL, NULL, 21243),
(64339, '3rp2A01', NULL, NULL, 118, NULL, NULL, 21243),
(64340, '3rp2A02', NULL, NULL, 104, NULL, NULL, 21243),
(64341, '5uggA02', NULL, NULL, 103, NULL, NULL, 21243),
(64342, '5fahA01', NULL, NULL, 123, NULL, NULL, 21243),
(64343, '3hk3B02', NULL, NULL, 118, NULL, NULL, 21243),
(64344, '3hk3B01', NULL, NULL, 139, NULL, NULL, 21243),
(64345, '2sfaA02', NULL, NULL, 100, NULL, NULL, 21243),
(64346, '2sfaA01', NULL, NULL, 91, NULL, NULL, 21243),
(64347, '2qy0D02', NULL, NULL, 114, NULL, NULL, 21243),
(64348, '1s83A02', NULL, NULL, 103, NULL, NULL, 21243),
(64349, '1s83A01', NULL, NULL, 120, NULL, NULL, 21243),
(64350, '4mvnB01', NULL, NULL, 109, NULL, NULL, 21243),
(64351, '6ieoA01', NULL, NULL, 97, NULL, NULL, 21243),
(64352, '6ieoA02', NULL, NULL, 118, NULL, NULL, 21243),
(64353, '2anyA02', NULL, NULL, 114, NULL, NULL, 21243),
(64354, '1f7zA01', NULL, NULL, 130, NULL, NULL, 21243),
(64355, '1ntpA02', NULL, NULL, 103, NULL, NULL, 21243),
(64356, '1k2i101', NULL, NULL, 122, NULL, NULL, 21243),
(64357, '3govB02', NULL, NULL, 123, NULL, NULL, 21243),
(64358, '4ylqH01', NULL, NULL, 128, NULL, NULL, 21243),
(64359, '3f1sB03', NULL, NULL, 128, NULL, NULL, 21243),
(64360, '1t8oA02', NULL, NULL, 104, NULL, NULL, 21243),
(64361, '4k1tC01', NULL, NULL, 112, NULL, NULL, 21243),
(64362, '5hmaA02', NULL, NULL, 104, NULL, NULL, 21243),
(64363, '5hmaA01', NULL, NULL, 87, NULL, NULL, 21243);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(64364, '2f91A01', NULL, NULL, 124, NULL, NULL, 21243),
(64365, '2f91A02', NULL, NULL, 113, NULL, NULL, 21243),
(64366, '3f1sB02', NULL, NULL, 102, NULL, NULL, 21243),
(64367, '3f9eA01', NULL, NULL, 89, NULL, NULL, 21243),
(64368, '3gylB01', NULL, NULL, 135, NULL, NULL, 21243),
(64369, '3gylB02', NULL, NULL, 126, NULL, NULL, 21243),
(64370, '1yphC00', NULL, NULL, 131, NULL, NULL, 21243),
(64371, '4ashA01', NULL, NULL, 72, NULL, NULL, 21243),
(64372, '5mrrA02', NULL, NULL, 108, NULL, NULL, 21243),
(64373, '5mrrA01', NULL, NULL, 87, NULL, NULL, 21243),
(64374, '4ashA02', NULL, NULL, 113, NULL, NULL, 21243),
(64375, '2jkhA01', NULL, NULL, 128, NULL, NULL, 21243),
(64376, '2jkhA02', NULL, NULL, 113, NULL, NULL, 21243),
(64377, '1dleB02', NULL, NULL, 149, NULL, NULL, 21243),
(64378, '4bxsA02', NULL, NULL, 228, NULL, NULL, 21243),
(64379, '3o8bA02', NULL, NULL, 92, NULL, NULL, 21243),
(64380, '1eq9A01', NULL, NULL, 117, NULL, NULL, 21243),
(64381, '2o8mA02', NULL, NULL, 95, NULL, NULL, 21243),
(64382, '1eq9A02', NULL, NULL, 105, NULL, NULL, 21243),
(64383, '3qo6A02', NULL, NULL, 115, NULL, NULL, 21243),
(64384, '5c2zA02', NULL, NULL, 121, NULL, NULL, 21243),
(64385, '5c2zA01', NULL, NULL, 122, NULL, NULL, 21243),
(64386, '4ildA01', NULL, NULL, 80, NULL, NULL, 21244),
(64387, '2yq2A02', NULL, NULL, 76, NULL, NULL, 21244),
(64388, '2dwkA00', NULL, NULL, 180, NULL, NULL, 21245),
(64389, '3cwzB01', NULL, NULL, 150, NULL, NULL, 21245),
(64390, '2cxfA00', NULL, NULL, 174, NULL, NULL, 21245),
(64391, '4giwB00', NULL, NULL, 198, NULL, NULL, 21245),
(64392, '1wusA00', NULL, NULL, 180, NULL, NULL, 21245),
(64393, '2dwgA00', NULL, NULL, 180, NULL, NULL, 21245),
(64394, '2cxlA00', NULL, NULL, 172, NULL, NULL, 21245),
(64395, '3t4lA02', NULL, NULL, 217, NULL, NULL, 21246),
(64396, '4gpvA02', NULL, NULL, 186, NULL, NULL, 21247),
(64397, '4jrfA02', NULL, NULL, 198, NULL, NULL, 21247),
(64398, '4jg5A02', NULL, NULL, 156, NULL, NULL, 21247),
(64399, '3liuA02', NULL, NULL, 212, NULL, NULL, 21247),
(64400, '2e1mA04', NULL, NULL, 37, NULL, NULL, 21248),
(64401, '1odhA02', NULL, NULL, 59, NULL, NULL, 21249),
(64402, '3k1rA01', NULL, NULL, 81, NULL, NULL, 21250),
(64403, '4ykdA00', NULL, NULL, 96, NULL, NULL, 21250),
(64404, '4ykcA00', NULL, NULL, 104, NULL, NULL, 21250),
(64405, '4fqnC00', NULL, NULL, 98, NULL, NULL, 21250),
(64406, '3if4A02', NULL, NULL, 47, NULL, NULL, 21251),
(64407, '3vwoA02', NULL, NULL, 51, NULL, NULL, 21252),
(64408, '5dn4A02', NULL, NULL, 51, NULL, NULL, 21252),
(64409, '1m93A00', NULL, NULL, 55, NULL, NULL, 21253),
(64410, '1jjoA00', NULL, NULL, 40, NULL, NULL, 21253),
(64411, '3zc4F02', NULL, NULL, 67, NULL, NULL, 21254),
(64412, '1vmoA00', NULL, NULL, 163, NULL, NULL, 21255),
(64413, '1zghA02', NULL, NULL, 66, NULL, NULL, 21256),
(64414, '2hiyA02', NULL, NULL, 92, NULL, NULL, 21257),
(64415, '1u7gA00', NULL, NULL, 385, NULL, NULL, 21258),
(64416, '3k3fA00', NULL, NULL, 340, NULL, NULL, 21258),
(64417, '3b9wA00', NULL, NULL, 369, NULL, NULL, 21258),
(64418, '2b2hA00', NULL, NULL, 399, NULL, NULL, 21258),
(64419, '5aezA00', NULL, NULL, 455, NULL, NULL, 21258),
(64420, '4ezcB00', NULL, NULL, 354, NULL, NULL, 21258),
(64421, '3hd6A00', NULL, NULL, 448, NULL, NULL, 21258),
(64422, '6qd5A00', NULL, NULL, 367, NULL, NULL, 21258),
(64423, '5aexJ00', NULL, NULL, 454, NULL, NULL, 21258),
(64424, '1tzvA00', NULL, NULL, 142, NULL, NULL, 21259),
(64425, '3r2cA00', NULL, NULL, 148, NULL, NULL, 21259),
(64426, '2yxlA01', NULL, NULL, 157, NULL, NULL, 21259),
(64427, '1eyvB00', NULL, NULL, 139, NULL, NULL, 21259),
(64428, '1sqgA01', NULL, NULL, 145, NULL, NULL, 21259),
(64429, '1q8cA00', NULL, NULL, 151, NULL, NULL, 21259),
(64430, '3d3bA00', NULL, NULL, 141, NULL, NULL, 21259),
(64431, '3pdiD03', NULL, NULL, 26, NULL, NULL, 21260),
(64432, '2m7bA00', NULL, NULL, 77, NULL, NULL, 21261),
(64433, '2m7aA00', NULL, NULL, 101, NULL, NULL, 21261),
(64434, '2w45A01', NULL, NULL, 126, NULL, NULL, 21262),
(64435, '3fhdA01', NULL, NULL, 136, NULL, NULL, 21262),
(64436, '1xtcC00', NULL, NULL, 46, NULL, NULL, 21263);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(64437, '1ltsC00', NULL, NULL, 41, NULL, NULL, 21263),
(64438, '1ezjA02', NULL, NULL, 52, NULL, NULL, 21264),
(64439, '1cwxA00', NULL, NULL, 44, NULL, NULL, 21265),
(64440, '4g38A01', NULL, NULL, 151, NULL, NULL, 21266),
(64441, '1zj8A02', NULL, NULL, 152, NULL, NULL, 21266),
(64442, '4i1oF01', NULL, NULL, 150, NULL, NULL, 21267),
(64443, '4jvsA01', NULL, NULL, 131, NULL, NULL, 21267),
(64444, '4iruA01', NULL, NULL, 135, NULL, NULL, 21267),
(64445, '3f3bA00', NULL, NULL, 126, NULL, NULL, 21268),
(64446, '3hhsA01', NULL, NULL, 146, NULL, NULL, 21269),
(64447, '3hhsB01', NULL, NULL, 141, NULL, NULL, 21269),
(64448, '1llaA01', NULL, NULL, 109, NULL, NULL, 21269),
(64449, '3wkyB01', NULL, NULL, 131, NULL, NULL, 21269),
(64450, '4yzwA01', NULL, NULL, 165, NULL, NULL, 21269),
(64451, '3i05B02', NULL, NULL, 117, NULL, NULL, 21270),
(64452, '4jfaC02', NULL, NULL, 133, NULL, NULL, 21270),
(64453, '3jxeB02', NULL, NULL, 132, NULL, NULL, 21270),
(64454, '1r6tB02', NULL, NULL, 123, NULL, NULL, 21270),
(64455, '3qe4A02', NULL, NULL, 116, NULL, NULL, 21270),
(64456, '3a04A02', NULL, NULL, 116, NULL, NULL, 21270),
(64457, '5tevB02', NULL, NULL, 103, NULL, NULL, 21270),
(64458, '2cyaA02', NULL, NULL, 150, NULL, NULL, 21270),
(64459, '3hzrA02', NULL, NULL, 111, NULL, NULL, 21270),
(64460, '2el7A02', NULL, NULL, 107, NULL, NULL, 21270),
(64461, '2yxnA02', NULL, NULL, 95, NULL, NULL, 21270),
(64462, '3n9iA02', NULL, NULL, 113, NULL, NULL, 21270),
(64463, '1h3fA02', NULL, NULL, 117, NULL, NULL, 21270),
(64464, '3sz3A02', NULL, NULL, 114, NULL, NULL, 21270),
(64465, '1yi8A02', NULL, NULL, 108, NULL, NULL, 21270),
(64466, '3kt3A02', NULL, NULL, 142, NULL, NULL, 21270),
(64467, '5usfA03', NULL, NULL, 95, NULL, NULL, 21270),
(64468, '3tzlA02', NULL, NULL, 104, NULL, NULL, 21270),
(64469, '1r6uA02', NULL, NULL, 145, NULL, NULL, 21270),
(64470, '1jilA02', NULL, NULL, 96, NULL, NULL, 21270),
(64471, '5ekdA02', NULL, NULL, 111, NULL, NULL, 21270),
(64472, '6mtkA02', NULL, NULL, 104, NULL, NULL, 21270),
(64473, '2yy5A02', NULL, NULL, 119, NULL, NULL, 21270),
(64474, '2ts1A02', NULL, NULL, 96, NULL, NULL, 21270),
(64475, '5ujjA03', NULL, NULL, 131, NULL, NULL, 21270),
(64476, '3hv0A02', NULL, NULL, 121, NULL, NULL, 21270),
(64477, '3tzeA02', NULL, NULL, 115, NULL, NULL, 21270),
(64478, '5ijxA02', NULL, NULL, 99, NULL, NULL, 21270),
(64479, '2pidA02', NULL, NULL, 110, NULL, NULL, 21270),
(64480, '2g36A02', NULL, NULL, 107, NULL, NULL, 21270),
(64481, '4j76B02', NULL, NULL, 121, NULL, NULL, 21270),
(64482, '3focA02', NULL, NULL, 108, NULL, NULL, 21270),
(64483, '1n3lA02', NULL, NULL, 126, NULL, NULL, 21270),
(64484, '6ncrA02', NULL, NULL, 108, NULL, NULL, 21270),
(64485, '2cycA02', NULL, NULL, 149, NULL, NULL, 21270),
(64486, '5ihxA02', NULL, NULL, 112, NULL, NULL, 21270),
(64487, '2janA02', NULL, NULL, 101, NULL, NULL, 21270),
(64488, '3prhA02', NULL, NULL, 111, NULL, NULL, 21270),
(64489, '4ojmX02', NULL, NULL, 107, NULL, NULL, 21270),
(64490, '5n5uA02', NULL, NULL, 118, NULL, NULL, 21270),
(64491, '3vgjA02', NULL, NULL, 135, NULL, NULL, 21270),
(64492, '1r6uB02', NULL, NULL, 113, NULL, NULL, 21270),
(64493, '2dlcX02', NULL, NULL, 136, NULL, NULL, 21270),
(64494, '2ip1A02', NULL, NULL, 108, NULL, NULL, 21270),
(64495, '2j5bA02', NULL, NULL, 125, NULL, NULL, 21270),
(64496, '3u1vA02', NULL, NULL, 111, NULL, NULL, 21270),
(64497, '4oudA02', NULL, NULL, 99, NULL, NULL, 21270),
(64498, '2cybB02', NULL, NULL, 116, NULL, NULL, 21270),
(64499, '1i6kA02', NULL, NULL, 111, NULL, NULL, 21270),
(64500, '3fhnA02', NULL, NULL, 135, NULL, NULL, 21271),
(64501, '1lshA01', NULL, NULL, 264, NULL, NULL, 21272),
(64502, '1jyoE00', NULL, NULL, 105, NULL, NULL, 21273),
(64503, '2h6oA02', NULL, NULL, 155, NULL, NULL, 21274),
(64504, '1vx7E01', NULL, NULL, 92, NULL, NULL, 21275),
(64505, '5an9A01', NULL, NULL, 92, NULL, NULL, 21275),
(64506, '4a17B01', NULL, NULL, 92, NULL, NULL, 21275),
(64507, '1vq8B01', NULL, NULL, 90, NULL, NULL, 21275),
(64508, '1vwxB01', NULL, NULL, 91, NULL, NULL, 21275),
(64509, '3u5eB01', NULL, NULL, 92, NULL, NULL, 21275);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(64510, '1xteA00', NULL, NULL, 119, NULL, NULL, 21276),
(64511, '6bubA00', NULL, NULL, 143, NULL, NULL, 21276),
(64512, '4oxwA00', NULL, NULL, 119, NULL, NULL, 21276),
(64513, '2ettA00', NULL, NULL, 128, NULL, NULL, 21276),
(64514, '2l73A00', NULL, NULL, 149, NULL, NULL, 21276),
(64515, '5gw1C01', NULL, NULL, 128, NULL, NULL, 21276),
(64516, '6e8rB00', NULL, NULL, 150, NULL, NULL, 21276),
(64517, '4az9B00', NULL, NULL, 129, NULL, NULL, 21276),
(64518, '2czoA00', NULL, NULL, 139, NULL, NULL, 21276),
(64519, '4bgjA00', NULL, NULL, 147, NULL, NULL, 21276),
(64520, '2wweA01', NULL, NULL, 104, NULL, NULL, 21276),
(64521, '3fogA00', NULL, NULL, 115, NULL, NULL, 21276),
(64522, '4akvB01', NULL, NULL, 136, NULL, NULL, 21276),
(64523, '1ocsA00', NULL, NULL, 133, NULL, NULL, 21276),
(64524, '2ar5A00', NULL, NULL, 121, NULL, NULL, 21276),
(64525, '4hasA00', NULL, NULL, 104, NULL, NULL, 21276),
(64526, '4on3A00', NULL, NULL, 157, NULL, NULL, 21276),
(64527, '5tgiA00', NULL, NULL, 152, NULL, NULL, 21276),
(64528, '1kq6A00', NULL, NULL, 141, NULL, NULL, 21276),
(64529, '5wy2A00', NULL, NULL, 163, NULL, NULL, 21276),
(64530, '2i4kA00', NULL, NULL, 128, NULL, NULL, 21276),
(64531, '2v14A00', NULL, NULL, 134, NULL, NULL, 21276),
(64532, '1kmdA00', NULL, NULL, 117, NULL, NULL, 21276),
(64533, '2ypsA00', NULL, NULL, 134, NULL, NULL, 21276),
(64534, '1h6hA00', NULL, NULL, 143, NULL, NULL, 21276),
(64535, '4ikdA00', NULL, NULL, 154, NULL, NULL, 21276),
(64536, '3iq2A00', NULL, NULL, 138, NULL, NULL, 21276),
(64537, '2rajA02', NULL, NULL, 126, NULL, NULL, 21276),
(64538, '4ikbB00', NULL, NULL, 144, NULL, NULL, 21276),
(64539, '2cskA00', NULL, NULL, 146, NULL, NULL, 21276),
(64540, '3dytA01', NULL, NULL, 134, NULL, NULL, 21276),
(64541, '4p2iA00', NULL, NULL, 137, NULL, NULL, 21276),
(64542, '1o7kA00', NULL, NULL, 131, NULL, NULL, 21276),
(64543, '3luiC00', NULL, NULL, 115, NULL, NULL, 21276),
(64544, '3p0cA00', NULL, NULL, 114, NULL, NULL, 21276),
(64545, '2v6vA00', NULL, NULL, 156, NULL, NULL, 21276),
(64546, '1yycA02', NULL, NULL, 135, NULL, NULL, 21277),
(64547, '1xo8A00', NULL, NULL, 151, NULL, NULL, 21277),
(64548, '2au3A04', NULL, NULL, 57, NULL, NULL, 21278),
(64549, '1ynjJ01', NULL, NULL, 116, NULL, NULL, 21279),
(64550, '4narA01', NULL, NULL, 259, NULL, NULL, 21280),
(64551, '2yjgA02', NULL, NULL, 233, NULL, NULL, 21280),
(64552, '6c1wA02', NULL, NULL, 236, NULL, NULL, 21280),
(64553, '2e50P01', NULL, NULL, 79, NULL, NULL, 21281),
(64554, '3gywA01', NULL, NULL, 60, NULL, NULL, 21281),
(64555, '4jnhA02', NULL, NULL, 41, NULL, NULL, 21281),
(64556, '2xusA00', NULL, NULL, 49, NULL, NULL, 21281),
(64557, '2no2A00', NULL, NULL, 107, NULL, NULL, 21282),
(64558, '5vntA00', NULL, NULL, 63, NULL, NULL, 21283),
(64559, '1yu5X00', NULL, NULL, 67, NULL, NULL, 21283),
(64560, '1ujsA00', NULL, NULL, 88, NULL, NULL, 21283),
(64561, '2k6mS00', NULL, NULL, 67, NULL, NULL, 21283),
(64562, '2l3xA00', NULL, NULL, 67, NULL, NULL, 21283),
(64563, '1qzpA00', NULL, NULL, 68, NULL, NULL, 21283),
(64564, '5ca5A03', NULL, NULL, 75, NULL, NULL, 21284),
(64565, '3sdeA03', NULL, NULL, 75, NULL, NULL, 21284),
(64566, '4wiiB03', NULL, NULL, 75, NULL, NULL, 21284),
(64567, '3sdeB03', NULL, NULL, 75, NULL, NULL, 21284),
(64568, '2lrdA00', NULL, NULL, 61, NULL, NULL, 21285),
(64569, '2bolA01', NULL, NULL, 70, NULL, NULL, 21286),
(64570, '3tekA00', NULL, NULL, 148, NULL, NULL, 21287),
(64571, '4gzvC00', NULL, NULL, 142, NULL, NULL, 21288),
(64572, '4iabB00', NULL, NULL, 142, NULL, NULL, 21288),
(64573, '4i95A00', NULL, NULL, 142, NULL, NULL, 21288),
(64574, '1e3mB03', NULL, NULL, 56, NULL, NULL, 21289),
(64575, '1j09A04', NULL, NULL, 48, NULL, NULL, 21290),
(64576, '2cfoA04', NULL, NULL, 54, NULL, NULL, 21290),
(64577, '3afhA04', NULL, NULL, 50, NULL, NULL, 21290),
(64578, '4griA04', NULL, NULL, 53, NULL, NULL, 21290),
(64579, '2o5rA04', NULL, NULL, 48, NULL, NULL, 21290),
(64580, '2ja2A04', NULL, NULL, 52, NULL, NULL, 21290),
(64581, '1avyA00', NULL, NULL, 74, NULL, NULL, 21291),
(64582, '1avyB00', NULL, NULL, 55, NULL, NULL, 21291),
(64583, '6fqzA03', NULL, NULL, 32, NULL, NULL, 21291);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(64584, '2iz1A03', NULL, NULL, 36, NULL, NULL, 21291),
(64585, '1ox3A00', NULL, NULL, 109, NULL, NULL, 21291),
(64586, '1aa0A00', NULL, NULL, 113, NULL, NULL, 21291),
(64587, '2w90A03', NULL, NULL, 34, NULL, NULL, 21291),
(64588, '1pgjA03', NULL, NULL, 34, NULL, NULL, 21291),
(64589, '2zygA03', NULL, NULL, 34, NULL, NULL, 21291),
(64590, '3fwnA03', NULL, NULL, 34, NULL, NULL, 21291),
(64591, '1nayB00', NULL, NULL, 56, NULL, NULL, 21291),
(64592, '2pgdA03', NULL, NULL, 47, NULL, NULL, 21291),
(64593, '1pgd003', NULL, NULL, 34, NULL, NULL, 21291),
(64594, '2hgkA01', NULL, NULL, 105, NULL, NULL, 21292),
(64595, '1yuaA01', NULL, NULL, 64, NULL, NULL, 21293),
(64596, '2lycA00', NULL, NULL, 130, NULL, NULL, 21294),
(64597, '4c9yA00', NULL, NULL, 123, NULL, NULL, 21294),
(64598, '1kafA00', NULL, NULL, 108, NULL, NULL, 21295),
(64599, '2r4gA02', NULL, NULL, 64, NULL, NULL, 21296),
(64600, '4cihA00', NULL, NULL, 150, NULL, NULL, 21297),
(64601, '2nqyA00', NULL, NULL, 206, NULL, NULL, 21298),
(64602, '1ynaA00', NULL, NULL, 194, NULL, NULL, 21298),
(64603, '1t6gC00', NULL, NULL, 184, NULL, NULL, 21298),
(64604, '3mf6A00', NULL, NULL, 193, NULL, NULL, 21298),
(64605, '4ixlA00', NULL, NULL, 211, NULL, NULL, 21298),
(64606, '2bw8A00', NULL, NULL, 227, NULL, NULL, 21298),
(64607, '3vgiA00', NULL, NULL, 270, NULL, NULL, 21298),
(64608, '3wp3A00', NULL, NULL, 190, NULL, NULL, 21298),
(64609, '1xnkA00', NULL, NULL, 196, NULL, NULL, 21298),
(64610, '5tvyA00', NULL, NULL, 188, NULL, NULL, 21298),
(64611, '4h7mB00', NULL, NULL, 226, NULL, NULL, 21298),
(64612, '5gm3B00', NULL, NULL, 219, NULL, NULL, 21298),
(64613, '1ks5A00', NULL, NULL, 223, NULL, NULL, 21298),
(64614, '2vg9A00', NULL, NULL, 217, NULL, NULL, 21298),
(64615, '3vl9B00', NULL, NULL, 229, NULL, NULL, 21298),
(64616, '1xndA00', NULL, NULL, 190, NULL, NULL, 21298),
(64617, '1oa3A00', NULL, NULL, 218, NULL, NULL, 21298),
(64618, '2jenA00', NULL, NULL, 233, NULL, NULL, 21298),
(64619, '1igoA00', NULL, NULL, 205, NULL, NULL, 21298),
(64620, '4nprB00', NULL, NULL, 219, NULL, NULL, 21298),
(64621, '2z79A00', NULL, NULL, 185, NULL, NULL, 21298),
(64622, '3m4fA00', NULL, NULL, 181, NULL, NULL, 21298),
(64623, '3wx5A00', NULL, NULL, 244, NULL, NULL, 21298),
(64624, '5hxvA00', NULL, NULL, 190, NULL, NULL, 21298),
(64625, '3amnA00', NULL, NULL, 265, NULL, NULL, 21298),
(64626, '1pvxA00', NULL, NULL, 194, NULL, NULL, 21298),
(64627, '2dckA01', NULL, NULL, 201, NULL, NULL, 21298),
(64628, '3wp4A00', NULL, NULL, 228, NULL, NULL, 21298),
(64629, '5vqjA00', NULL, NULL, 217, NULL, NULL, 21298),
(64630, '3b5lB00', NULL, NULL, 198, NULL, NULL, 21298),
(64631, '2nlrA00', NULL, NULL, 234, NULL, NULL, 21298),
(64632, '1f5jA00', NULL, NULL, 199, NULL, NULL, 21298),
(64633, '1h4gB00', NULL, NULL, 207, NULL, NULL, 21298),
(64634, '5m2dA00', NULL, NULL, 235, NULL, NULL, 21298),
(64635, '3b7mA00', NULL, NULL, 216, NULL, NULL, 21298),
(64636, '3akqA00', NULL, NULL, 190, NULL, NULL, 21298),
(64637, '1hixB00', NULL, NULL, 190, NULL, NULL, 21298),
(64638, '5jrmA00', NULL, NULL, 194, NULL, NULL, 21298),
(64639, '1xynA00', NULL, NULL, 178, NULL, NULL, 21298),
(64640, '3zseA00', NULL, NULL, 201, NULL, NULL, 21298),
(64641, '3lb9A00', NULL, NULL, 182, NULL, NULL, 21298),
(64642, '5ej3A00', NULL, NULL, 193, NULL, NULL, 21298),
(64643, '1oa4A00', NULL, NULL, 222, NULL, NULL, 21298),
(64644, '1oa2A00', NULL, NULL, 218, NULL, NULL, 21298),
(64645, '1olrA00', NULL, NULL, 224, NULL, NULL, 21298),
(64646, '2vujA00', NULL, NULL, 196, NULL, NULL, 21298),
(64647, '3c7fA01', NULL, NULL, 142, NULL, NULL, 21299),
(64648, '5ifpA05', NULL, NULL, 176, NULL, NULL, 21299),
(64649, '3w5mA04', NULL, NULL, 120, NULL, NULL, 21299),
(64650, '4qpwA00', NULL, NULL, 142, NULL, NULL, 21299),
(64651, '1lnsA04', NULL, NULL, 186, NULL, NULL, 21299),
(64652, '2wz8A00', NULL, NULL, 156, NULL, NULL, 21299),
(64653, '2w87A00', NULL, NULL, 139, NULL, NULL, 21299),
(64654, '2w1sA00', NULL, NULL, 139, NULL, NULL, 21299),
(64655, '2zexA00', NULL, NULL, 147, NULL, NULL, 21299),
(64656, '3w5mA02', NULL, NULL, 197, NULL, NULL, 21299);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(64657, '4iugA05', NULL, NULL, 176, NULL, NULL, 21299),
(64658, '4iugA04', NULL, NULL, 167, NULL, NULL, 21299),
(64659, '5ifpA04', NULL, NULL, 175, NULL, NULL, 21299),
(64660, '1gu3A00', NULL, NULL, 149, NULL, NULL, 21299),
(64661, '1wkyA02', NULL, NULL, 151, NULL, NULL, 21299),
(64662, '2rj2A00', NULL, NULL, 185, NULL, NULL, 21299),
(64663, '2c4xA02', NULL, NULL, 162, NULL, NULL, 21299),
(64664, '3skvA01', NULL, NULL, 157, NULL, NULL, 21299),
(64665, '1guiA00', NULL, NULL, 155, NULL, NULL, 21299),
(64666, '2id4A02', NULL, NULL, 138, NULL, NULL, 21299),
(64667, '1cx1A00', NULL, NULL, 153, NULL, NULL, 21299),
(64668, '6mvgA01', NULL, NULL, 150, NULL, NULL, 21299),
(64669, '3nruE00', NULL, NULL, 187, NULL, NULL, 21299),
(64670, '2dckA02', NULL, NULL, 119, NULL, NULL, 21299),
(64671, '3zyjB02', NULL, NULL, 244, NULL, NULL, 21299),
(64672, '4xurA00', NULL, NULL, 181, NULL, NULL, 21299),
(64673, '3thdA03', NULL, NULL, 137, NULL, NULL, 21299),
(64674, '2v72A00', NULL, NULL, 143, NULL, NULL, 21299),
(64675, '1k3iA01', NULL, NULL, 154, NULL, NULL, 21299),
(64676, '6bjqA01', NULL, NULL, 191, NULL, NULL, 21299),
(64677, '4a3zA00', NULL, NULL, 136, NULL, NULL, 21299),
(64678, '2waoA01', NULL, NULL, 120, NULL, NULL, 21299),
(64679, '3nngA00', NULL, NULL, 168, NULL, NULL, 21299),
(64680, '6mvhA01', NULL, NULL, 150, NULL, NULL, 21299),
(64681, '1j83A00', NULL, NULL, 180, NULL, NULL, 21299),
(64682, '1mpxA03', NULL, NULL, 238, NULL, NULL, 21299),
(64683, '5x7gA03', NULL, NULL, 130, NULL, NULL, 21299),
(64684, '3zm8A01', NULL, NULL, 135, NULL, NULL, 21299),
(64685, '4gwiA00', NULL, NULL, 153, NULL, NULL, 21299),
(64686, '1w99A02', NULL, NULL, 191, NULL, NULL, 21299),
(64687, '4txwA00', NULL, NULL, 173, NULL, NULL, 21299),
(64688, '3w5nA03', NULL, NULL, 167, NULL, NULL, 21299),
(64689, '1dlcA02', NULL, NULL, 158, NULL, NULL, 21299),
(64690, '3k4zA01', NULL, NULL, 162, NULL, NULL, 21299),
(64691, '3hnyM00', NULL, NULL, 159, NULL, NULL, 21299),
(64692, '3uesA02', NULL, NULL, 122, NULL, NULL, 21299),
(64693, '3etpA00', NULL, NULL, 187, NULL, NULL, 21299),
(64694, '2e26A01', NULL, NULL, 219, NULL, NULL, 21299),
(64695, '2j1aA00', NULL, NULL, 150, NULL, NULL, 21299),
(64696, '1uwwB00', NULL, NULL, 191, NULL, NULL, 21299),
(64697, '2e26A04', NULL, NULL, 157, NULL, NULL, 21299),
(64698, '2e26A03', NULL, NULL, 194, NULL, NULL, 21299),
(64699, '2e26A02', NULL, NULL, 155, NULL, NULL, 21299),
(64700, '3decA01', NULL, NULL, 221, NULL, NULL, 21299),
(64701, '2xomA00', NULL, NULL, 152, NULL, NULL, 21299),
(64702, '5t9gA01', NULL, NULL, 152, NULL, NULL, 21299),
(64703, '1cztA00', NULL, NULL, 160, NULL, NULL, 21299),
(64704, '2b9vA03', NULL, NULL, 234, NULL, NULL, 21299),
(64705, '2c9kA02', NULL, NULL, 164, NULL, NULL, 21299),
(64706, '1h6yA00', NULL, NULL, 170, NULL, NULL, 21299),
(64707, '2v4vA00', NULL, NULL, 129, NULL, NULL, 21299),
(64708, '3obaA01', NULL, NULL, 212, NULL, NULL, 21299),
(64709, '2hyxA02', NULL, NULL, 131, NULL, NULL, 21299),
(64710, '1od3A00', NULL, NULL, 133, NULL, NULL, 21299),
(64711, '4uapA00', NULL, NULL, 152, NULL, NULL, 21299),
(64712, '6nk1B00', NULL, NULL, 187, NULL, NULL, 21299),
(64713, '4aqsA01', NULL, NULL, 256, NULL, NULL, 21299),
(64714, '4bj0A00', NULL, NULL, 176, NULL, NULL, 21299),
(64715, '2vtfA02', NULL, NULL, 177, NULL, NULL, 21299),
(64716, '3achA00', NULL, NULL, 203, NULL, NULL, 21299),
(64717, '1gqpA00', NULL, NULL, 194, NULL, NULL, 21299),
(64718, '1w8oA03', NULL, NULL, 145, NULL, NULL, 21299),
(64719, '2je8A01', NULL, NULL, 196, NULL, NULL, 21299),
(64720, '2z4fA00', NULL, NULL, 173, NULL, NULL, 21299),
(64721, '2orzA01', NULL, NULL, 155, NULL, NULL, 21299),
(64722, '2orzA02', NULL, NULL, 159, NULL, NULL, 21299),
(64723, '1pmhX00', NULL, NULL, 185, NULL, NULL, 21299),
(64724, '3thdC02', NULL, NULL, 205, NULL, NULL, 21299),
(64725, '1ciyA03', NULL, NULL, 159, NULL, NULL, 21299),
(64726, '2j1vA00', NULL, NULL, 151, NULL, NULL, 21299),
(64727, '4lksA00', NULL, NULL, 167, NULL, NULL, 21299),
(64728, '4aqtA01', NULL, NULL, 276, NULL, NULL, 21299),
(64729, '5dq0A00', NULL, NULL, 162, NULL, NULL, 21299);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(64730, '4xuoA00', NULL, NULL, 159, NULL, NULL, 21299),
(64731, '2w5fB01', NULL, NULL, 159, NULL, NULL, 21299),
(64732, '2wn3A01', NULL, NULL, 155, NULL, NULL, 21299),
(64733, '4bxsV07', NULL, NULL, 160, NULL, NULL, 21299),
(64734, '4bxsV06', NULL, NULL, 156, NULL, NULL, 21299),
(64735, '5a57A04', NULL, NULL, 163, NULL, NULL, 21299),
(64736, '1p8jA02', NULL, NULL, 132, NULL, NULL, 21299),
(64737, '5fuiA00', NULL, NULL, 132, NULL, NULL, 21299),
(64738, '1jz7A01', NULL, NULL, 218, NULL, NULL, 21299),
(64739, '4a41A00', NULL, NULL, 139, NULL, NULL, 21299),
(64740, '4pqqA00', NULL, NULL, 156, NULL, NULL, 21299),
(64741, '4dxtA00', NULL, NULL, 198, NULL, NULL, 21299),
(64742, '5a57A05', NULL, NULL, 206, NULL, NULL, 21299),
(64743, '4qdqA02', NULL, NULL, 170, NULL, NULL, 21299),
(64744, '4cuaA00', NULL, NULL, 183, NULL, NULL, 21299),
(64745, '2j22A00', NULL, NULL, 148, NULL, NULL, 21299),
(64746, '5ak1A02', NULL, NULL, 167, NULL, NULL, 21299),
(64747, '4a4aA01', NULL, NULL, 135, NULL, NULL, 21299),
(64748, '4jx0A02', NULL, NULL, 143, NULL, NULL, 21299),
(64749, '4a42A00', NULL, NULL, 127, NULL, NULL, 21299),
(64750, '3bn6A00', NULL, NULL, 158, NULL, NULL, 21299),
(64751, '2l9lA00', NULL, NULL, 170, NULL, NULL, 21299),
(64752, '2y38A01', NULL, NULL, 240, NULL, NULL, 21299),
(64753, '5f7uA06', NULL, NULL, 126, NULL, NULL, 21299),
(64754, '3iiiA03', NULL, NULL, 181, NULL, NULL, 21299),
(64755, '2zxqA04', NULL, NULL, 159, NULL, NULL, 21299),
(64756, '2zxqA05', NULL, NULL, 198, NULL, NULL, 21299),
(64757, '6b6lA01', NULL, NULL, 163, NULL, NULL, 21299),
(64758, '3seeA00', NULL, NULL, 222, NULL, NULL, 21299),
(64759, '3gm8A01', NULL, NULL, 160, NULL, NULL, 21299),
(64760, '1uy4A00', NULL, NULL, 145, NULL, NULL, 21299),
(64761, '2vzsA01', NULL, NULL, 184, NULL, NULL, 21299),
(64762, '1tg7A04', NULL, NULL, 170, NULL, NULL, 21299),
(64763, '1tg7A05', NULL, NULL, 176, NULL, NULL, 21299),
(64764, '4mgqA01', NULL, NULL, 158, NULL, NULL, 21299),
(64765, '4pt6A00', NULL, NULL, 169, NULL, NULL, 21299),
(64766, '3f2zA00', NULL, NULL, 159, NULL, NULL, 21299),
(64767, '5jr2C00', NULL, NULL, 179, NULL, NULL, 21299),
(64768, '4e8dA03', NULL, NULL, 138, NULL, NULL, 21299),
(64769, '4e8dA02', NULL, NULL, 183, NULL, NULL, 21299),
(64770, '4mo3M00', NULL, NULL, 156, NULL, NULL, 21299),
(64771, '3nqhA02', NULL, NULL, 136, NULL, NULL, 21299),
(64772, '2jdaB00', NULL, NULL, 145, NULL, NULL, 21299),
(64773, '3eypA02', NULL, NULL, 132, NULL, NULL, 21299),
(64774, '4cu7A01', NULL, NULL, 169, NULL, NULL, 21299),
(64775, '4d0qA00', NULL, NULL, 169, NULL, NULL, 21299),
(64776, '1nkgA03', NULL, NULL, 172, NULL, NULL, 21299),
(64777, '3cihA02', NULL, NULL, 123, NULL, NULL, 21299),
(64778, '1k42A00', NULL, NULL, 168, NULL, NULL, 21299),
(64779, '3cihA01', NULL, NULL, 158, NULL, NULL, 21299),
(64780, '2bbaA00', NULL, NULL, 185, NULL, NULL, 21299),
(64781, '3lqcA00', NULL, NULL, 152, NULL, NULL, 21299),
(64782, '3p6bA00', NULL, NULL, 186, NULL, NULL, 21299),
(64783, '2wo1B00', NULL, NULL, 185, NULL, NULL, 21299),
(64784, '3bgaA01', NULL, NULL, 225, NULL, NULL, 21299),
(64785, '4d8mA02', NULL, NULL, 170, NULL, NULL, 21299),
(64786, '3wnoA03', NULL, NULL, 130, NULL, NULL, 21299),
(64787, '1uxzA00', NULL, NULL, 131, NULL, NULL, 21299),
(64788, '5z1aA01', NULL, NULL, 148, NULL, NULL, 21299),
(64789, '3og2A04', NULL, NULL, 178, NULL, NULL, 21299),
(64790, '1k12A00', NULL, NULL, 158, NULL, NULL, 21299),
(64791, '3og2A05', NULL, NULL, 178, NULL, NULL, 21299),
(64792, '3hn3D01', NULL, NULL, 204, NULL, NULL, 21299),
(64793, '4et7A00', NULL, NULL, 179, NULL, NULL, 21299),
(64794, '1oh4A00', NULL, NULL, 179, NULL, NULL, 21299),
(64795, '3jxsA00', NULL, NULL, 174, NULL, NULL, 21299),
(64796, '5c71A01', NULL, NULL, 179, NULL, NULL, 21299),
(64797, '2okxA01', NULL, NULL, 170, NULL, NULL, 21299),
(64798, '2okxA02', NULL, NULL, 170, NULL, NULL, 21299),
(64799, '2okxA03', NULL, NULL, 190, NULL, NULL, 21299),
(64800, '4devD01', NULL, NULL, 125, NULL, NULL, 21299),
(64801, '2y8kA02', NULL, NULL, 153, NULL, NULL, 21299),
(64802, '3wsoA02', NULL, NULL, 188, NULL, NULL, 21299);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(64803, '2ls6A00', NULL, NULL, 164, NULL, NULL, 21299),
(64804, '5y4mA00', NULL, NULL, 154, NULL, NULL, 21299),
(64805, '6fmcA00', NULL, NULL, 158, NULL, NULL, 21299),
(64806, '3wqbA02', NULL, NULL, 169, NULL, NULL, 21299),
(64807, '2vm9A01', NULL, NULL, 159, NULL, NULL, 21299),
(64808, '2wuhA00', NULL, NULL, 178, NULL, NULL, 21299),
(64809, '6ed1A01', NULL, NULL, 160, NULL, NULL, 21299),
(64810, '6mvfA01', NULL, NULL, 148, NULL, NULL, 21299),
(64811, '4pf1B03', NULL, NULL, 240, NULL, NULL, 21299),
(64812, '3gglA00', NULL, NULL, 169, NULL, NULL, 21299),
(64813, '2xqxA00', NULL, NULL, 151, NULL, NULL, 21299),
(64814, '1tvgA00', NULL, NULL, 153, NULL, NULL, 21299),
(64815, '4madA03', NULL, NULL, 134, NULL, NULL, 21299),
(64816, '4lhsA01', NULL, NULL, 154, NULL, NULL, 21299),
(64817, '4plmA01', NULL, NULL, 283, NULL, NULL, 21299),
(64818, '1w0nA00', NULL, NULL, 131, NULL, NULL, 21299),
(64819, '4ag4A01', NULL, NULL, 163, NULL, NULL, 21299),
(64820, '4lplA00', NULL, NULL, 142, NULL, NULL, 21299),
(64821, '6dj4A02', NULL, NULL, 169, NULL, NULL, 21299),
(64822, '5jxgA02', NULL, NULL, 132, NULL, NULL, 21299),
(64823, '4zy9A00', NULL, NULL, 137, NULL, NULL, 21299),
(64824, '3cqoA02', NULL, NULL, 145, NULL, NULL, 21299),
(64825, '3a21A03', NULL, NULL, 101, NULL, NULL, 21299),
(64826, '3gzaB02', NULL, NULL, 98, NULL, NULL, 21299),
(64827, '3cqoA01', NULL, NULL, 148, NULL, NULL, 21299),
(64828, '2w3jA00', NULL, NULL, 145, NULL, NULL, 21299),
(64829, '5b4nA00', NULL, NULL, 174, NULL, NULL, 21299),
(64830, '4madA02', NULL, NULL, 182, NULL, NULL, 21299),
(64831, '4jklA01', NULL, NULL, 180, NULL, NULL, 21299),
(64832, '1i5pA01', NULL, NULL, 158, NULL, NULL, 21299),
(64833, '2yc2A00', NULL, NULL, 139, NULL, NULL, 21299),
(64834, '2bgoA00', NULL, NULL, 123, NULL, NULL, 21299),
(64835, '4arxA02', NULL, NULL, 159, NULL, NULL, 21299),
(64836, '2cdpA00', NULL, NULL, 138, NULL, NULL, 21299),
(64837, '5t99A01', NULL, NULL, 158, NULL, NULL, 21299),
(64838, '3d3aA02', NULL, NULL, 182, NULL, NULL, 21299),
(64839, '4ypjA01', NULL, NULL, 165, NULL, NULL, 21299),
(64840, '1w9sA00', NULL, NULL, 142, NULL, NULL, 21299),
(64841, '3d3aA03', NULL, NULL, 134, NULL, NULL, 21299),
(64842, '1o59A02', NULL, NULL, 150, NULL, NULL, 21299),
(64843, '1o59A01', NULL, NULL, 186, NULL, NULL, 21299),
(64844, '1yq2A01', NULL, NULL, 219, NULL, NULL, 21299),
(64845, '2r7eB03', NULL, NULL, 155, NULL, NULL, 21299),
(64846, '4oveA01', NULL, NULL, 284, NULL, NULL, 21299),
(64847, '2w91A02', NULL, NULL, 182, NULL, NULL, 21299),
(64848, '2w47A00', NULL, NULL, 144, NULL, NULL, 21299),
(64849, '4qb6A00', NULL, NULL, 129, NULL, NULL, 21299),
(64850, '2zezC00', NULL, NULL, 144, NULL, NULL, 21299),
(64851, '3eb7A02', NULL, NULL, 164, NULL, NULL, 21299),
(64852, '3lpfA01', NULL, NULL, 182, NULL, NULL, 21299),
(64853, '4jkmA01', NULL, NULL, 184, NULL, NULL, 21299),
(64854, '5uj6A01', NULL, NULL, 152, NULL, NULL, 21299),
(64855, '4p02B03', NULL, NULL, 143, NULL, NULL, 21299),
(64856, '1sddB04', NULL, NULL, 160, NULL, NULL, 21299),
(64857, '1gnyA00', NULL, NULL, 153, NULL, NULL, 21299),
(64858, '4p02B01', NULL, NULL, 133, NULL, NULL, 21299),
(64859, '1jhjA00', NULL, NULL, 171, NULL, NULL, 21299),
(64860, '1sddB03', NULL, NULL, 161, NULL, NULL, 21299),
(64861, '3abzA03', NULL, NULL, 165, NULL, NULL, 21299),
(64862, '5dmyA01', NULL, NULL, 161, NULL, NULL, 21299),
(64863, '4zz5A00', NULL, NULL, 138, NULL, NULL, 21299),
(64864, '3tbdA02', NULL, NULL, 246, NULL, NULL, 21299),
(64865, '5n6uA01', NULL, NULL, 185, NULL, NULL, 21299),
(64866, '1ji6A02', NULL, NULL, 162, NULL, NULL, 21299),
(64867, '3i2kA03', NULL, NULL, 231, NULL, NULL, 21299),
(64868, '6bycA01', NULL, NULL, 207, NULL, NULL, 21299),
(64869, '2yfuA00', NULL, NULL, 155, NULL, NULL, 21299),
(64870, '4l0pA00', NULL, NULL, 176, NULL, NULL, 21299),
(64871, '3fn9A01', NULL, NULL, 161, NULL, NULL, 21299),
(64872, '2waaA01', NULL, NULL, 129, NULL, NULL, 21299),
(64873, '4cu9A00', NULL, NULL, 186, NULL, NULL, 21299),
(64874, '2dduA03', NULL, NULL, 161, NULL, NULL, 21299),
(64875, '3p1iA00', NULL, NULL, 174, NULL, NULL, 21299);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(64876, '4xvhA01', NULL, NULL, 107, NULL, NULL, 21299),
(64877, '2vzpB00', NULL, NULL, 127, NULL, NULL, 21299),
(64878, '2qqiA02', NULL, NULL, 159, NULL, NULL, 21299),
(64879, '3hnmA00', NULL, NULL, 172, NULL, NULL, 21299),
(64880, '4cvuA01', NULL, NULL, 199, NULL, NULL, 21299),
(64881, '2w9xB01', NULL, NULL, 107, NULL, NULL, 21299),
(64882, '1uxxX00', NULL, NULL, 133, NULL, NULL, 21299),
(64883, '1e2tA01', NULL, NULL, 73, NULL, NULL, 21300),
(64884, '2w9rA00', NULL, NULL, 108, NULL, NULL, 21301),
(64885, '3dnjA00', NULL, NULL, 85, NULL, NULL, 21301),
(64886, '3o1fA00', NULL, NULL, 81, NULL, NULL, 21301),
(64887, '4kbue02', NULL, NULL, 63, NULL, NULL, 21301),
(64888, '4yjmC00', NULL, NULL, 84, NULL, NULL, 21301),
(64889, '1dd3A02', NULL, NULL, 71, NULL, NULL, 21301),
(64890, '1ctfA00', NULL, NULL, 74, NULL, NULL, 21301),
(64891, '3i6dB03', NULL, NULL, 67, NULL, NULL, 21302),
(64892, '1sezA03', NULL, NULL, 92, NULL, NULL, 21302),
(64893, '2ivdA03', NULL, NULL, 92, NULL, NULL, 21302),
(64894, '3lovA03', NULL, NULL, 97, NULL, NULL, 21302),
(64895, '4otwA02', NULL, NULL, 190, NULL, NULL, 21303),
(64896, '2i0yA02', NULL, NULL, 192, NULL, NULL, 21303),
(64897, '4pteB02', NULL, NULL, 219, NULL, NULL, 21303),
(64898, '4nstC02', NULL, NULL, 228, NULL, NULL, 21303),
(64899, '2bujA02', NULL, NULL, 205, NULL, NULL, 21303),
(64900, '4ymjB02', NULL, NULL, 194, NULL, NULL, 21303),
(64901, '3repA02', NULL, NULL, 180, NULL, NULL, 21303),
(64902, '4aw2A02', NULL, NULL, 203, NULL, NULL, 21303),
(64903, '5cemA02', NULL, NULL, 210, NULL, NULL, 21303),
(64904, '1z57A02', NULL, NULL, 245, NULL, NULL, 21303),
(64905, '2hakE02', NULL, NULL, 190, NULL, NULL, 21303),
(64906, '2vwiD02', NULL, NULL, 209, NULL, NULL, 21303),
(64907, '4ualA02', NULL, NULL, 203, NULL, NULL, 21303),
(64908, '5zn1A01', NULL, NULL, 232, NULL, NULL, 21303),
(64909, '6qatA02', NULL, NULL, 185, NULL, NULL, 21303),
(64910, '5ug9A02', NULL, NULL, 193, NULL, NULL, 21303),
(64911, '1p4oA02', NULL, NULL, 214, NULL, NULL, 21303),
(64912, '4cyiE01', NULL, NULL, 295, NULL, NULL, 21303),
(64913, '4im0A02', NULL, NULL, 218, NULL, NULL, 21303),
(64914, '3g2fB02', NULL, NULL, 241, NULL, NULL, 21303),
(64915, '4uy9A02', NULL, NULL, 232, NULL, NULL, 21303),
(64916, '4w9wA00', NULL, NULL, 306, NULL, NULL, 21303),
(64917, '1blxA02', NULL, NULL, 197, NULL, NULL, 21303),
(64918, '1s9iA02', NULL, NULL, 257, NULL, NULL, 21303),
(64919, '2rsvA00', NULL, NULL, 403, NULL, NULL, 21303),
(64920, '3cc6A02', NULL, NULL, 183, NULL, NULL, 21303),
(64921, '2w9zB02', NULL, NULL, 197, NULL, NULL, 21303),
(64922, '4m66B00', NULL, NULL, 325, NULL, NULL, 21303),
(64923, '6hx1A02', NULL, NULL, 191, NULL, NULL, 21303),
(64924, '6bg2B01', NULL, NULL, 199, NULL, NULL, 21303),
(64925, '2rkuA02', NULL, NULL, 173, NULL, NULL, 21303),
(64926, '5lwmA02', NULL, NULL, 198, NULL, NULL, 21303),
(64927, '3dlsB02', NULL, NULL, 182, NULL, NULL, 21303),
(64928, '2acxA03', NULL, NULL, 199, NULL, NULL, 21303),
(64929, '2y94A02', NULL, NULL, 204, NULL, NULL, 21303),
(64930, '5vd8A02', NULL, NULL, 201, NULL, NULL, 21303),
(64931, '3eb0A02', NULL, NULL, 262, NULL, NULL, 21303),
(64932, '6cthA02', NULL, NULL, 216, NULL, NULL, 21303),
(64933, '3bhhC02', NULL, NULL, 211, NULL, NULL, 21303),
(64934, '2cmwA02', NULL, NULL, 231, NULL, NULL, 21303),
(64935, '5ew8A02', NULL, NULL, 196, NULL, NULL, 21303),
(64936, '5hu3A02', NULL, NULL, 191, NULL, NULL, 21303),
(64937, '3utoA03', NULL, NULL, 244, NULL, NULL, 21303),
(64938, '5ng0A00', NULL, NULL, 304, NULL, NULL, 21303),
(64939, '2b9hA02', NULL, NULL, 243, NULL, NULL, 21303),
(64940, '2y4pD00', NULL, NULL, 230, NULL, NULL, 21303),
(64941, '3n9xA02', NULL, NULL, 230, NULL, NULL, 21303),
(64942, '5x5oA02', NULL, NULL, 223, NULL, NULL, 21303),
(64943, '5jzjA02', NULL, NULL, 182, NULL, NULL, 21303),
(64944, '2dq7X02', NULL, NULL, 177, NULL, NULL, 21303),
(64945, '4wihA01', NULL, NULL, 209, NULL, NULL, 21303),
(64946, '3kk8A02', NULL, NULL, 198, NULL, NULL, 21303),
(64947, '4o38B02', NULL, NULL, 220, NULL, NULL, 21303),
(64948, '4b6lA02', NULL, NULL, 173, NULL, NULL, 21303);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(64949, '2i6lA02', NULL, NULL, 215, NULL, NULL, 21303),
(64950, '5zj6A02', NULL, NULL, 186, NULL, NULL, 21303),
(64951, '3slsB02', NULL, NULL, 198, NULL, NULL, 21303),
(64952, '6cnhA02', NULL, NULL, 262, NULL, NULL, 21303),
(64953, '5l2qB02', NULL, NULL, 196, NULL, NULL, 21303),
(64954, '2qocA02', NULL, NULL, 204, NULL, NULL, 21303),
(64955, '4e7wA02', NULL, NULL, 247, NULL, NULL, 21303),
(64956, '5gz8A00', NULL, NULL, 305, NULL, NULL, 21303),
(64957, '3cblA03', NULL, NULL, 180, NULL, NULL, 21303),
(64958, '2c47C02', NULL, NULL, 215, NULL, NULL, 21303),
(64959, '4lrjA02', NULL, NULL, 90, NULL, NULL, 21303),
(64960, '1rjbA02', NULL, NULL, 212, NULL, NULL, 21303),
(64961, '4anoA00', NULL, NULL, 219, NULL, NULL, 21303),
(64962, '4usfB02', NULL, NULL, 210, NULL, NULL, 21303),
(64963, '3fmeA02', NULL, NULL, 202, NULL, NULL, 21303),
(64964, '2izrA02', NULL, NULL, 215, NULL, NULL, 21303),
(64965, '5drbA02', NULL, NULL, 181, NULL, NULL, 21303),
(64966, '4neuB00', NULL, NULL, 333, NULL, NULL, 21303),
(64967, '2v62A02', NULL, NULL, 211, NULL, NULL, 21303),
(64968, '2vz6A02', NULL, NULL, 211, NULL, NULL, 21303),
(64969, '6gqmA02', NULL, NULL, 192, NULL, NULL, 21303),
(64970, '4el9A02', NULL, NULL, 195, NULL, NULL, 21303),
(64971, '1fotA01', NULL, NULL, 191, NULL, NULL, 21303),
(64972, '3lcdA02', NULL, NULL, 186, NULL, NULL, 21303),
(64973, '2a19B02', NULL, NULL, 183, NULL, NULL, 21303),
(64974, '5lqfD02', NULL, NULL, 213, NULL, NULL, 21303),
(64975, '5l6oA02', NULL, NULL, 189, NULL, NULL, 21303),
(64976, '3lltA02', NULL, NULL, 248, NULL, NULL, 21303),
(64977, '2pmlX02', NULL, NULL, 224, NULL, NULL, 21303),
(64978, '6egeD02', NULL, NULL, 196, NULL, NULL, 21303),
(64979, '2y6oA02', NULL, NULL, 195, NULL, NULL, 21303),
(64980, '3lm5A02', NULL, NULL, 174, NULL, NULL, 21303),
(64981, '4e1zA02', NULL, NULL, 197, NULL, NULL, 21303),
(64982, '3vvhB02', NULL, NULL, 204, NULL, NULL, 21303),
(64983, '6o6qA01', NULL, NULL, 234, NULL, NULL, 21303),
(64984, '5cvgA01', NULL, NULL, 232, NULL, NULL, 21303),
(64985, '2yabA02', NULL, NULL, 204, NULL, NULL, 21303),
(64986, '5cenA02', NULL, NULL, 217, NULL, NULL, 21303),
(64987, '1s9iB02', NULL, NULL, 204, NULL, NULL, 21303),
(64988, '1jpaA02', NULL, NULL, 189, NULL, NULL, 21303),
(64989, '4btfA02', NULL, NULL, 210, NULL, NULL, 21303),
(64990, '3hmiA02', NULL, NULL, 183, NULL, NULL, 21303),
(64991, '4lrkA02', NULL, NULL, 90, NULL, NULL, 21303),
(64992, '1howA02', NULL, NULL, 276, NULL, NULL, 21303),
(64993, '4j7bA02', NULL, NULL, 173, NULL, NULL, 21303),
(64994, '6di1A02', NULL, NULL, 183, NULL, NULL, 21303),
(64995, '3pp0A02', NULL, NULL, 193, NULL, NULL, 21303),
(64996, '4crsA02', NULL, NULL, 193, NULL, NULL, 21303),
(64997, '3qupA02', NULL, NULL, 186, NULL, NULL, 21303),
(64998, '4hvsA02', NULL, NULL, 204, NULL, NULL, 21303),
(64999, '3oy1A02', NULL, NULL, 234, NULL, NULL, 21303),
(65000, '4otdA02', NULL, NULL, 193, NULL, NULL, 21303),
(65001, '3iecA02', NULL, NULL, 190, NULL, NULL, 21303),
(65002, '3wf7A02', NULL, NULL, 196, NULL, NULL, 21303),
(65003, '6bfnB02', NULL, NULL, 240, NULL, NULL, 21303),
(65004, '3c4zA03', NULL, NULL, 202, NULL, NULL, 21303),
(65005, '4d28A02', NULL, NULL, 182, NULL, NULL, 21303),
(65006, '2i1mA02', NULL, NULL, 190, NULL, NULL, 21303),
(65007, '5o1vA02', NULL, NULL, 186, NULL, NULL, 21303),
(65008, '5wnlA00', NULL, NULL, 288, NULL, NULL, 21303),
(65009, '4c2vA02', NULL, NULL, 174, NULL, NULL, 21303),
(65010, '2w4oA02', NULL, NULL, 180, NULL, NULL, 21303),
(65011, '2j0iA02', NULL, NULL, 194, NULL, NULL, 21303),
(65012, '2reiA02', NULL, NULL, 193, NULL, NULL, 21303),
(65013, '3en9A04', NULL, NULL, 119, NULL, NULL, 21303),
(65014, '3bhyA02', NULL, NULL, 191, NULL, NULL, 21303),
(65015, '3e7oB02', NULL, NULL, 220, NULL, NULL, 21303),
(65016, '4yhjA03', NULL, NULL, 199, NULL, NULL, 21303),
(65017, '4bgqA02', NULL, NULL, 210, NULL, NULL, 21303),
(65018, '3vvhC02', NULL, NULL, 197, NULL, NULL, 21303),
(65019, '4czuA02', NULL, NULL, 184, NULL, NULL, 21303),
(65020, '3c0iA02', NULL, NULL, 210, NULL, NULL, 21303),
(65021, '1csnA02', NULL, NULL, 211, NULL, NULL, 21303);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(65022, '2y7jA02', NULL, NULL, 184, NULL, NULL, 21303),
(65023, '4mvfA02', NULL, NULL, 180, NULL, NULL, 21303),
(65024, '2a2aA02', NULL, NULL, 207, NULL, NULL, 21303),
(65025, '4csvA02', NULL, NULL, 187, NULL, NULL, 21303),
(65026, '4bwxA01', NULL, NULL, 286, NULL, NULL, 21303),
(65027, '2eu9A02', NULL, NULL, 256, NULL, NULL, 21303),
(65028, '4lg4E02', NULL, NULL, 212, NULL, NULL, 21303),
(65029, '6gqqA02', NULL, NULL, 198, NULL, NULL, 21303),
(65030, '5byzA02', NULL, NULL, 233, NULL, NULL, 21303),
(65031, '2wntA02', NULL, NULL, 247, NULL, NULL, 21303),
(65032, '3hztA02', NULL, NULL, 193, NULL, NULL, 21303),
(65033, '4mwiA02', NULL, NULL, 184, NULL, NULL, 21303),
(65034, '5efqA02', NULL, NULL, 244, NULL, NULL, 21303),
(65035, '2welA02', NULL, NULL, 183, NULL, NULL, 21303),
(65036, '3uc3A02', NULL, NULL, 188, NULL, NULL, 21303),
(65037, '6ferB02', NULL, NULL, 205, NULL, NULL, 21303),
(65038, '2w1zA01', NULL, NULL, 225, NULL, NULL, 21303),
(65039, '3kmuA02', NULL, NULL, 180, NULL, NULL, 21303),
(65040, '4rgjA02', NULL, NULL, 184, NULL, NULL, 21303),
(65041, '3ohtA02', NULL, NULL, 209, NULL, NULL, 21303),
(65042, '2xikA02', NULL, NULL, 196, NULL, NULL, 21303),
(65043, '2wqmA02', NULL, NULL, 219, NULL, NULL, 21303),
(65044, '3qa8G01', NULL, NULL, 293, NULL, NULL, 21303),
(65045, '6gzdA02', NULL, NULL, 207, NULL, NULL, 21303),
(65046, '4xr7E01', NULL, NULL, 322, NULL, NULL, 21303),
(65047, '3a7iA02', NULL, NULL, 202, NULL, NULL, 21303),
(65048, '3kn6A02', NULL, NULL, 259, NULL, NULL, 21303),
(65049, '4dfxE01', NULL, NULL, 219, NULL, NULL, 21303),
(65050, '4itjB02', NULL, NULL, 200, NULL, NULL, 21303),
(65051, '4c0tA02', NULL, NULL, 196, NULL, NULL, 21303),
(65052, '4ivaA02', NULL, NULL, 197, NULL, NULL, 21303),
(65053, '4g31A02', NULL, NULL, 203, NULL, NULL, 21303),
(65054, '4l00A02', NULL, NULL, 191, NULL, NULL, 21303),
(65055, '3uc4B02', NULL, NULL, 189, NULL, NULL, 21303),
(65056, '4c58A02', NULL, NULL, 206, NULL, NULL, 21303),
(65057, '4nfnA02', NULL, NULL, 210, NULL, NULL, 21303),
(65058, '2ycfA02', NULL, NULL, 207, NULL, NULL, 21303),
(65059, '5ci6A02', NULL, NULL, 229, NULL, NULL, 21303),
(65060, '4lqsA02', NULL, NULL, 212, NULL, NULL, 21303),
(65061, '4aguB02', NULL, NULL, 208, NULL, NULL, 21303),
(65062, '3hngA02', NULL, NULL, 182, NULL, NULL, 21303),
(65063, '1ua2A02', NULL, NULL, 216, NULL, NULL, 21303),
(65064, '4z55A02', NULL, NULL, 191, NULL, NULL, 21303),
(65065, '6gukA02', NULL, NULL, 211, NULL, NULL, 21303),
(65066, '6cz4A02', NULL, NULL, 175, NULL, NULL, 21303),
(65067, '2i0eB02', NULL, NULL, 197, NULL, NULL, 21303),
(65068, '5g6vB02', NULL, NULL, 241, NULL, NULL, 21303),
(65069, '3orkA02', NULL, NULL, 190, NULL, NULL, 21303),
(65070, '3fe3A02', NULL, NULL, 190, NULL, NULL, 21303),
(65071, '4r1vA02', NULL, NULL, 186, NULL, NULL, 21303),
(65072, '4y95A02', NULL, NULL, 183, NULL, NULL, 21303),
(65073, '4b9dA02', NULL, NULL, 202, NULL, NULL, 21303),
(65074, '3f3zA02', NULL, NULL, 190, NULL, NULL, 21303),
(65075, '3plsA02', NULL, NULL, 194, NULL, NULL, 21303),
(65076, '4nt4A02', NULL, NULL, 216, NULL, NULL, 21303),
(65077, '5kkrB02', NULL, NULL, 189, NULL, NULL, 21303),
(65078, '3lffA02', NULL, NULL, 209, NULL, NULL, 21303),
(65079, '2jamB02', NULL, NULL, 217, NULL, NULL, 21303),
(65080, '1kobA02', NULL, NULL, 256, NULL, NULL, 21303),
(65081, '3hkoA02', NULL, NULL, 236, NULL, NULL, 21303),
(65082, '3ggfA02', NULL, NULL, 199, NULL, NULL, 21303),
(65083, '4pl3A02', NULL, NULL, 191, NULL, NULL, 21303),
(65084, '3gp0A02', NULL, NULL, 209, NULL, NULL, 21303),
(65085, '3dzoA01', NULL, NULL, 241, NULL, NULL, 21303),
(65086, '3m2wA02', NULL, NULL, 203, NULL, NULL, 21303),
(65087, '5a4eC00', NULL, NULL, 289, NULL, NULL, 21303),
(65088, '3p86A02', NULL, NULL, 192, NULL, NULL, 21303),
(65089, '2zv7A02', NULL, NULL, 191, NULL, NULL, 21303),
(65090, '2rioA02', NULL, NULL, 212, NULL, NULL, 21303),
(65091, '3is5F02', NULL, NULL, 182, NULL, NULL, 21303),
(65092, '3lxpA02', NULL, NULL, 202, NULL, NULL, 21303),
(65093, '4d4rB02', NULL, NULL, 185, NULL, NULL, 21303),
(65094, '3g0eA02', NULL, NULL, 205, NULL, NULL, 21303);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(65095, '3kfaA02', NULL, NULL, 180, NULL, NULL, 21303),
(65096, '4gt4A02', NULL, NULL, 194, NULL, NULL, 21303),
(65097, '4krdA02', NULL, NULL, 215, NULL, NULL, 21303),
(65098, '6n7aB02', NULL, NULL, 196, NULL, NULL, 21303),
(65099, '4qtaA02', NULL, NULL, 229, NULL, NULL, 21303),
(65100, '4wovA02', NULL, NULL, 180, NULL, NULL, 21303),
(65101, '3ka0A02', NULL, NULL, 226, NULL, NULL, 21303),
(65102, '3mn3A02', NULL, NULL, 186, NULL, NULL, 21303),
(65103, '2h6dA02', NULL, NULL, 184, NULL, NULL, 21303),
(65104, '5f9eA02', NULL, NULL, 202, NULL, NULL, 21303),
(65105, '4u3yA02', NULL, NULL, 204, NULL, NULL, 21303),
(65106, '5u6bB02', NULL, NULL, 196, NULL, NULL, 21303),
(65107, '6hmqA01', NULL, NULL, 236, NULL, NULL, 21303),
(65108, '4lqqD02', NULL, NULL, 175, NULL, NULL, 21303),
(65109, '3bu3A02', NULL, NULL, 203, NULL, NULL, 21303),
(65110, '3sv0A02', NULL, NULL, 210, NULL, NULL, 21303),
(65111, '4kikA01', NULL, NULL, 314, NULL, NULL, 21303),
(65112, '2h34A02', NULL, NULL, 193, NULL, NULL, 21303),
(65113, '2jc6A02', NULL, NULL, 179, NULL, NULL, 21303),
(65114, '4qtbA02', NULL, NULL, 231, NULL, NULL, 21303),
(65115, '4bfmA00', NULL, NULL, 334, NULL, NULL, 21303),
(65116, '3pg1A02', NULL, NULL, 227, NULL, NULL, 21303),
(65117, '6cn9B02', NULL, NULL, 181, NULL, NULL, 21303),
(65118, '4q5eA02', NULL, NULL, 96, NULL, NULL, 21303),
(65119, '5ap1A02', NULL, NULL, 202, NULL, NULL, 21303),
(65120, '4y85A02', NULL, NULL, 184, NULL, NULL, 21303),
(65121, '4oavB02', NULL, NULL, 265, NULL, NULL, 21303),
(65122, '2r2pA02', NULL, NULL, 191, NULL, NULL, 21303),
(65123, '3oz6B02', NULL, NULL, 266, NULL, NULL, 21303),
(65124, '6eimA02', NULL, NULL, 205, NULL, NULL, 21303),
(65125, '4af3A02', NULL, NULL, 174, NULL, NULL, 21303),
(65126, '4idtB02', NULL, NULL, 209, NULL, NULL, 21303),
(65127, '4g3fA02', NULL, NULL, 205, NULL, NULL, 21303),
(65128, '1phkA02', NULL, NULL, 193, NULL, NULL, 21303),
(65129, '5o1sA02', NULL, NULL, 236, NULL, NULL, 21303),
(65130, '3q4uB02', NULL, NULL, 212, NULL, NULL, 21303),
(65131, '5x18A02', NULL, NULL, 211, NULL, NULL, 21303),
(65132, '1u59A02', NULL, NULL, 197, NULL, NULL, 21303),
(65133, '3bceB02', NULL, NULL, 195, NULL, NULL, 21303),
(65134, '4xr7I01', NULL, NULL, 323, NULL, NULL, 21303),
(65135, '2pziA01', NULL, NULL, 186, NULL, NULL, 21303),
(65136, '1ob3A02', NULL, NULL, 205, NULL, NULL, 21303),
(65137, '3zduA02', NULL, NULL, 212, NULL, NULL, 21303),
(65138, '3dtcA02', NULL, NULL, 182, NULL, NULL, 21303),
(65139, '4gl9A02', NULL, NULL, 197, NULL, NULL, 21303),
(65140, '2yleA00', NULL, NULL, 203, NULL, NULL, 21303),
(65141, '1xjdA02', NULL, NULL, 204, NULL, NULL, 21303),
(65142, '3hx4A03', NULL, NULL, 181, NULL, NULL, 21303),
(65143, '3aloA02', NULL, NULL, 208, NULL, NULL, 21303),
(65144, '1zylA02', NULL, NULL, 134, NULL, NULL, 21303),
(65145, '5ig1A02', NULL, NULL, 206, NULL, NULL, 21303),
(65146, '2qkwB02', NULL, NULL, 199, NULL, NULL, 21303),
(65147, '3sxsA02', NULL, NULL, 184, NULL, NULL, 21303),
(65148, '4qnyA02', NULL, NULL, 223, NULL, NULL, 21303),
(65149, '4qqtA02', NULL, NULL, 196, NULL, NULL, 21303),
(65150, '5l4qB00', NULL, NULL, 307, NULL, NULL, 21303),
(65151, '2v7oA02', NULL, NULL, 223, NULL, NULL, 21303),
(65152, '5v5nA02', NULL, NULL, 225, NULL, NULL, 21303),
(65153, '3lijA03', NULL, NULL, 181, NULL, NULL, 21303),
(65154, '4l68A02', NULL, NULL, 224, NULL, NULL, 21303),
(65155, '3f66A02', NULL, NULL, 190, NULL, NULL, 21303),
(65156, '5nxdA02', NULL, NULL, 193, NULL, NULL, 21303),
(65157, '3i7bA02', NULL, NULL, 192, NULL, NULL, 21303),
(65158, '4fr4A02', NULL, NULL, 216, NULL, NULL, 21303),
(65159, '4xv9A02', NULL, NULL, 190, NULL, NULL, 21303),
(65160, '5my8A02', NULL, NULL, 282, NULL, NULL, 21303),
(65161, '4yznA02', NULL, NULL, 183, NULL, NULL, 21303),
(65162, '3qd2B02', NULL, NULL, 190, NULL, NULL, 21303),
(65163, '5lvoA02', NULL, NULL, 192, NULL, NULL, 21303),
(65164, '4euuA02', NULL, NULL, 229, NULL, NULL, 21303),
(65165, '4aaaA02', NULL, NULL, 212, NULL, NULL, 21303),
(65166, '5vamA02', NULL, NULL, 190, NULL, NULL, 21303),
(65167, '4fg8B02', NULL, NULL, 202, NULL, NULL, 21303);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(65168, '4uyaA02', NULL, NULL, 232, NULL, NULL, 21303),
(65169, '3v8sA02', NULL, NULL, 199, NULL, NULL, 21303),
(65170, '1bygA02', NULL, NULL, 177, NULL, NULL, 21303),
(65171, '5j5tA00', NULL, NULL, 304, NULL, NULL, 21303),
(65172, '4qd6B00', NULL, NULL, 266, NULL, NULL, 21303),
(65173, '6gzmA02', NULL, NULL, 210, NULL, NULL, 21303),
(65174, '1zarA03', NULL, NULL, 98, NULL, NULL, 21303),
(65175, '4azsA03', NULL, NULL, 162, NULL, NULL, 21303),
(65176, '1lufA02', NULL, NULL, 202, NULL, NULL, 21303),
(65177, '2weiA02', NULL, NULL, 182, NULL, NULL, 21303),
(65178, '2jiiA02', NULL, NULL, 200, NULL, NULL, 21303),
(65179, '4i5pA02', NULL, NULL, 173, NULL, NULL, 21303),
(65180, '1cm8A02', NULL, NULL, 215, NULL, NULL, 21303),
(65181, '4hzrA02', NULL, NULL, 182, NULL, NULL, 21303),
(65182, '4qtcA02', NULL, NULL, 191, NULL, NULL, 21303),
(65183, '4ks7A02', NULL, NULL, 191, NULL, NULL, 21303),
(65184, '5xvuA01', NULL, NULL, 241, NULL, NULL, 21303),
(65185, '4lv5A01', NULL, NULL, 228, NULL, NULL, 21303),
(65186, '2ac3A02', NULL, NULL, 208, NULL, NULL, 21303),
(65187, '6mweB02', NULL, NULL, 208, NULL, NULL, 21303),
(65188, '2wtkC02', NULL, NULL, 201, NULL, NULL, 21303),
(65189, '3my0V02', NULL, NULL, 216, NULL, NULL, 21303),
(65190, '4qtdA02', NULL, NULL, 220, NULL, NULL, 21303),
(65191, '4hzsA02', NULL, NULL, 246, NULL, NULL, 21303),
(65192, '2x7gA02', NULL, NULL, 280, NULL, NULL, 21303),
(65193, '4pf4A02', NULL, NULL, 179, NULL, NULL, 21303),
(65194, '4jr7A01', NULL, NULL, 249, NULL, NULL, 21303),
(65195, '3blhA02', NULL, NULL, 223, NULL, NULL, 21303),
(65196, '2xrwA02', NULL, NULL, 220, NULL, NULL, 21303),
(65197, '4x7qB02', NULL, NULL, 167, NULL, NULL, 21303),
(65198, '4bwpB01', NULL, NULL, 276, NULL, NULL, 21303),
(65199, '5l8lA02', NULL, NULL, 170, NULL, NULL, 21303),
(65200, '2r5tA02', NULL, NULL, 190, NULL, NULL, 21303),
(65201, '3nieB02', NULL, NULL, 234, NULL, NULL, 21303),
(65202, '3q4tB02', NULL, NULL, 217, NULL, NULL, 21303),
(65203, '3nizA02', NULL, NULL, 209, NULL, NULL, 21303),
(65204, '6fnkA02', NULL, NULL, 189, NULL, NULL, 21303),
(65205, '4otpA02', NULL, NULL, 143, NULL, NULL, 21303),
(65206, '3p1aA02', NULL, NULL, 175, NULL, NULL, 21303),
(65207, '3qa8A02', NULL, NULL, 210, NULL, NULL, 21303),
(65208, '3rp9A02', NULL, NULL, 271, NULL, NULL, 21303),
(65209, '5y80A00', NULL, NULL, 313, NULL, NULL, 21303),
(65210, '5mjaB02', NULL, NULL, 189, NULL, NULL, 21303),
(65211, '5nkfA02', NULL, NULL, 205, NULL, NULL, 21303),
(65212, '1o6lA01', NULL, NULL, 194, NULL, NULL, 21303),
(65213, '4oa2A02', NULL, NULL, 202, NULL, NULL, 21303),
(65214, '3cokA02', NULL, NULL, 182, NULL, NULL, 21303),
(65215, '4k33A02', NULL, NULL, 196, NULL, NULL, 21303),
(65216, '1u5qA02', NULL, NULL, 213, NULL, NULL, 21303),
(65217, '3nr9A02', NULL, NULL, 255, NULL, NULL, 21303),
(65218, '3f7wA02', NULL, NULL, 96, NULL, NULL, 21303),
(65219, '5qinA02', NULL, NULL, 220, NULL, NULL, 21303),
(65220, '4ylkA02', NULL, NULL, 252, NULL, NULL, 21303),
(65221, '3q5iA03', NULL, NULL, 181, NULL, NULL, 21303),
(65222, '4au8B02', NULL, NULL, 201, NULL, NULL, 21303),
(65223, '3kvwA03', NULL, NULL, 232, NULL, NULL, 21303),
(65224, '3kulB02', NULL, NULL, 194, NULL, NULL, 21303),
(65225, '4f9cA02', NULL, NULL, 198, NULL, NULL, 21303),
(65226, '4lgdC01', NULL, NULL, 283, NULL, NULL, 21303),
(65227, '2o8yB02', NULL, NULL, 195, NULL, NULL, 21303),
(65228, '3brbA02', NULL, NULL, 186, NULL, NULL, 21303),
(65229, '6fdyU02', NULL, NULL, 184, NULL, NULL, 21303),
(65230, '4ow8A02', NULL, NULL, 185, NULL, NULL, 21303),
(65231, '4y8dA02', NULL, NULL, 174, NULL, NULL, 21303),
(65232, '3txoA02', NULL, NULL, 195, NULL, NULL, 21303),
(65233, '4qoxA02', NULL, NULL, 187, NULL, NULL, 21303),
(65234, '3i1aA02', NULL, NULL, 109, NULL, NULL, 21303),
(65235, '6bruA02', NULL, NULL, 207, NULL, NULL, 21303),
(65236, '4tndA03', NULL, NULL, 206, NULL, NULL, 21303),
(65237, '4ckjA02', NULL, NULL, 204, NULL, NULL, 21303),
(65238, '1vzoA02', NULL, NULL, 214, NULL, NULL, 21303),
(65239, '4annA00', NULL, NULL, 176, NULL, NULL, 21303),
(65240, '4m68A02', NULL, NULL, 188, NULL, NULL, 21303);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(65241, '4gyiA03', NULL, NULL, 148, NULL, NULL, 21303),
(65242, '5uklA04', NULL, NULL, 204, NULL, NULL, 21303),
(65243, '2z7qA02', NULL, NULL, 206, NULL, NULL, 21303),
(65244, '5li9A02', NULL, NULL, 207, NULL, NULL, 21303),
(65245, '2qluA02', NULL, NULL, 218, NULL, NULL, 21303),
(65246, '5b2lA02', NULL, NULL, 204, NULL, NULL, 21303),
(65247, '4j99B02', NULL, NULL, 196, NULL, NULL, 21303),
(65248, '4jrnA01', NULL, NULL, 224, NULL, NULL, 21303),
(65249, '4b4lA02', NULL, NULL, 206, NULL, NULL, 21303),
(65250, '2f2uA02', NULL, NULL, 199, NULL, NULL, 21303),
(65251, '4at5A02', NULL, NULL, 191, NULL, NULL, 21303),
(65252, '5lohA02', NULL, NULL, 193, NULL, NULL, 21303),
(65253, '5i4nA02', NULL, NULL, 196, NULL, NULL, 21303),
(65254, '5grnA02', NULL, NULL, 202, NULL, NULL, 21303),
(65255, '4rlkA01', NULL, NULL, 241, NULL, NULL, 21303),
(65256, '5e8sA02', NULL, NULL, 219, NULL, NULL, 21303),
(65257, '2hw6A02', NULL, NULL, 215, NULL, NULL, 21303),
(65258, '6gr8A02', NULL, NULL, 174, NULL, NULL, 21303),
(65259, '1kwpB02', NULL, NULL, 225, NULL, NULL, 21303),
(65260, '3zbfA02', NULL, NULL, 193, NULL, NULL, 21303),
(65261, '4yjrA02', NULL, NULL, 185, NULL, NULL, 21303),
(65262, '3mdyA02', NULL, NULL, 219, NULL, NULL, 21303),
(65263, '5vdkA02', NULL, NULL, 205, NULL, NULL, 21303),
(65264, '3byvA01', NULL, NULL, 220, NULL, NULL, 21303),
(65265, '2yexA02', NULL, NULL, 179, NULL, NULL, 21303),
(65266, '2w5aA02', NULL, NULL, 213, NULL, NULL, 21303),
(65267, '4ix3A02', NULL, NULL, 237, NULL, NULL, 21303),
(65268, '3uqcD02', NULL, NULL, 153, NULL, NULL, 21303),
(65269, '1tkiA02', NULL, NULL, 237, NULL, NULL, 21303),
(65270, '1zy4A02', NULL, NULL, 203, NULL, NULL, 21303),
(65271, '3alnC02', NULL, NULL, 185, NULL, NULL, 21303),
(65272, '2x4fA02', NULL, NULL, 203, NULL, NULL, 21303),
(65273, '4ynoA02', NULL, NULL, 208, NULL, NULL, 21303),
(65274, '3uimA02', NULL, NULL, 218, NULL, NULL, 21303),
(65275, '4o2zA02', NULL, NULL, 211, NULL, NULL, 21303),
(65276, '3comB02', NULL, NULL, 209, NULL, NULL, 21303),
(65277, '4ra4A02', NULL, NULL, 194, NULL, NULL, 21303),
(65278, '1k9aF04', NULL, NULL, 178, NULL, NULL, 21303),
(65279, '3s95A02', NULL, NULL, 222, NULL, NULL, 21303),
(65280, '5dbxA02', NULL, NULL, 213, NULL, NULL, 21303),
(65281, '4i92A02', NULL, NULL, 193, NULL, NULL, 21303),
(65282, '1nxkD02', NULL, NULL, 189, NULL, NULL, 21303),
(65283, '6e2nA02', NULL, NULL, 194, NULL, NULL, 21303),
(65284, '3gbzA02', NULL, NULL, 213, NULL, NULL, 21303),
(65285, '4wnoA02', NULL, NULL, 189, NULL, NULL, 21303),
(65286, '4ysjB03', NULL, NULL, 183, NULL, NULL, 21303),
(65287, '5ax9A02', NULL, NULL, 207, NULL, NULL, 21303),
(65288, '3fxzA02', NULL, NULL, 199, NULL, NULL, 21303),
(65289, '3a99A02', NULL, NULL, 189, NULL, NULL, 21303),
(65290, '4o1pD02', NULL, NULL, 253, NULL, NULL, 21303),
(65291, '5gzaA00', NULL, NULL, 290, NULL, NULL, 21303),
(65292, '3h4jB02', NULL, NULL, 185, NULL, NULL, 21303),
(65293, '5jfwA02', NULL, NULL, 205, NULL, NULL, 21303),
(65294, '2zv2A02', NULL, NULL, 179, NULL, NULL, 21303),
(65295, '3eqcA02', NULL, NULL, 246, NULL, NULL, 21303),
(65296, '3rgfA02', NULL, NULL, 254, NULL, NULL, 21303),
(65297, '3vwaA02', NULL, NULL, 143, NULL, NULL, 21303),
(65298, '4gv1A02', NULL, NULL, 195, NULL, NULL, 21303),
(65299, '3gniB02', NULL, NULL, 223, NULL, NULL, 21303),
(65300, '3e3pA02', NULL, NULL, 251, NULL, NULL, 21303),
(65301, '5awmA02', NULL, NULL, 221, NULL, NULL, 21303),
(65302, '5wvdB02', NULL, NULL, 166, NULL, NULL, 21303),
(65303, '3fhrA02', NULL, NULL, 229, NULL, NULL, 21303),
(65304, '4eqmA02', NULL, NULL, 189, NULL, NULL, 21303),
(65305, '3omvA02', NULL, NULL, 193, NULL, NULL, 21303),
(65306, '2vd5A02', NULL, NULL, 203, NULL, NULL, 21303),
(65307, '2f57B02', NULL, NULL, 194, NULL, NULL, 21303),
(65308, '6fexA02', NULL, NULL, 210, NULL, NULL, 21303),
(65309, '4pdpB02', NULL, NULL, 221, NULL, NULL, 21303),
(65310, '1qpcA02', NULL, NULL, 181, NULL, NULL, 21303),
(65311, '3dj6A02', NULL, NULL, 171, NULL, NULL, 21303),
(65312, '4hcuA02', NULL, NULL, 183, NULL, NULL, 21303),
(65313, '2srcA04', NULL, NULL, 175, NULL, NULL, 21303);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(65314, '6f7bA02', NULL, NULL, 302, NULL, NULL, 21303),
(65315, '5wnoA02', NULL, NULL, 200, NULL, NULL, 21303),
(65316, '4bkyA00', NULL, NULL, 347, NULL, NULL, 21303),
(65317, '2kdoA03', NULL, NULL, 80, NULL, NULL, 21304),
(65318, '4zckA02', NULL, NULL, 94, NULL, NULL, 21304),
(65319, '1darA05', NULL, NULL, 89, NULL, NULL, 21304),
(65320, '1n0uA05', NULL, NULL, 115, NULL, NULL, 21304),
(65321, '1zpwX00', NULL, NULL, 90, NULL, NULL, 21304),
(65322, '4qr2A00', NULL, NULL, 97, NULL, NULL, 21304),
(65323, '3e3xA02', NULL, NULL, 94, NULL, NULL, 21304),
(65324, '3ui3A02', NULL, NULL, 105, NULL, NULL, 21304),
(65325, '2ivyA01', NULL, NULL, 75, NULL, NULL, 21304),
(65326, '4fn5A05', NULL, NULL, 90, NULL, NULL, 21304),
(65327, '4tnoA01', NULL, NULL, 66, NULL, NULL, 21304),
(65328, '1vx4407', NULL, NULL, 69, NULL, NULL, 21304),
(65329, '1t95A03', NULL, NULL, 73, NULL, NULL, 21304),
(65330, '6fswA03', NULL, NULL, 73, NULL, NULL, 21304),
(65331, '4es1A00', NULL, NULL, 100, NULL, NULL, 21304),
(65332, '3b82A06', NULL, NULL, 121, NULL, NULL, 21304),
(65333, '1vi7A02', NULL, NULL, 80, NULL, NULL, 21304),
(65334, '6notA05', NULL, NULL, 83, NULL, NULL, 21304),
(65335, '3lh2U00', NULL, NULL, 76, NULL, NULL, 21304),
(65336, '3cb4A04', NULL, NULL, 111, NULL, NULL, 21304),
(65337, '2mzwA03', NULL, NULL, 102, NULL, NULL, 21304),
(65338, '2wbmA03', NULL, NULL, 70, NULL, NULL, 21304),
(65339, '2xexA05', NULL, NULL, 71, NULL, NULL, 21304),
(65340, '6n0iA05', NULL, NULL, 71, NULL, NULL, 21304),
(65341, '3oq2A00', NULL, NULL, 103, NULL, NULL, 21304),
(65342, '4makB00', NULL, NULL, 77, NULL, NULL, 21304),
(65343, '4qjty04', NULL, NULL, 114, NULL, NULL, 21304),
(65344, '2cveA02', NULL, NULL, 66, NULL, NULL, 21304),
(65345, '5h1oA00', NULL, NULL, 86, NULL, NULL, 21304),
(65346, '5g4dA01', NULL, NULL, 69, NULL, NULL, 21304),
(65347, '3excX01', NULL, NULL, 70, NULL, NULL, 21304),
(65348, '2yweA04', NULL, NULL, 114, NULL, NULL, 21304),
(65349, '3d8lA00', NULL, NULL, 91, NULL, NULL, 21305),
(65350, '4xq7A02', NULL, NULL, 194, NULL, NULL, 21306),
(65351, '1px5A02', NULL, NULL, 189, NULL, NULL, 21306),
(65352, '4s3nA02', NULL, NULL, 212, NULL, NULL, 21306),
(65353, '4ig8A02', NULL, NULL, 188, NULL, NULL, 21306),
(65354, '1wdvA00', NULL, NULL, 152, NULL, NULL, 21307),
(65355, '1vjfA00', NULL, NULL, 180, NULL, NULL, 21307),
(65356, '2dxaA00', NULL, NULL, 166, NULL, NULL, 21307),
(65357, '2z0xA00', NULL, NULL, 158, NULL, NULL, 21307),
(65358, '3op6A00', NULL, NULL, 152, NULL, NULL, 21307),
(65359, '3ri0B00', NULL, NULL, 165, NULL, NULL, 21307),
(65360, '2j3lA03', NULL, NULL, 147, NULL, NULL, 21307),
(65361, '1dbuA00', NULL, NULL, 158, NULL, NULL, 21307),
(65362, '5znjA03', NULL, NULL, 146, NULL, NULL, 21307),
(65363, '1vkiA00', NULL, NULL, 165, NULL, NULL, 21307),
(65364, '3memA01', NULL, NULL, 144, NULL, NULL, 21307),
(65365, '3p8aA02', NULL, NULL, 91, NULL, NULL, 21308),
(65366, '2fhzA00', NULL, NULL, 109, NULL, NULL, 21309),
(65367, '1vb5A01', NULL, NULL, 95, NULL, NULL, 21310),
(65368, '1t5oA01', NULL, NULL, 142, NULL, NULL, 21310),
(65369, '2yvkA01', NULL, NULL, 148, NULL, NULL, 21310),
(65370, '1t9kA01', NULL, NULL, 144, NULL, NULL, 21310),
(65371, '2a0uB01', NULL, NULL, 160, NULL, NULL, 21310),
(65372, '3a11B01', NULL, NULL, 137, NULL, NULL, 21310),
(65373, '4ldrA01', NULL, NULL, 159, NULL, NULL, 21310),
(65374, '5yfjA01', NULL, NULL, 123, NULL, NULL, 21310),
(65375, '6a34A01', NULL, NULL, 156, NULL, NULL, 21310),
(65376, '1w2wA00', NULL, NULL, 211, NULL, NULL, 21310),
(65377, '2e12A00', NULL, NULL, 101, NULL, NULL, 21311),
(65378, '1vr8A00', NULL, NULL, 142, NULL, NULL, 21312),
(65379, '3ipfA01', NULL, NULL, 58, NULL, NULL, 21313),
(65380, '2y2mA03', NULL, NULL, 69, NULL, NULL, 21314),
(65381, '3hq1B03', NULL, NULL, 57, NULL, NULL, 21315),
(65382, '1twcA01', NULL, NULL, 134, NULL, NULL, 21316),
(65383, '2qm4D02', NULL, NULL, 91, NULL, NULL, 21317),
(65384, '1ku9A02', NULL, NULL, 65, NULL, NULL, 21317),
(65385, '2r9aA02', NULL, NULL, 88, NULL, NULL, 21317),
(65386, '1m5iA00', NULL, NULL, 125, NULL, NULL, 21317),
(65387, '3mtvA01', NULL, NULL, 80, NULL, NULL, 21318);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(65388, '4a15A03', NULL, NULL, 140, NULL, NULL, 21319),
(65389, '4fhdA02', NULL, NULL, 227, NULL, NULL, 21320),
(65390, '4o8sA02', NULL, NULL, 107, NULL, NULL, 21321),
(65391, '4ok0B02', NULL, NULL, 105, NULL, NULL, 21321),
(65392, '2jo7A00', NULL, NULL, 224, NULL, NULL, 21322),
(65393, '3ll7A01', NULL, NULL, 72, NULL, NULL, 21323),
(65394, '1jk4A00', NULL, NULL, 89, NULL, NULL, 21324),
(65395, '2hnuA00', NULL, NULL, 81, NULL, NULL, 21324),
(65396, '3f6yA01', NULL, NULL, 134, NULL, NULL, 21325),
(65397, '3gc6B01', NULL, NULL, 134, NULL, NULL, 21325),
(65398, '1r12A01', NULL, NULL, 119, NULL, NULL, 21325),
(65399, '1isiA01', NULL, NULL, 123, NULL, NULL, 21325),
(65400, '2eg9A01', NULL, NULL, 141, NULL, NULL, 21325),
(65401, '4cmhA01', NULL, NULL, 128, NULL, NULL, 21325),
(65402, '5bnfA01', NULL, NULL, 122, NULL, NULL, 21325),
(65403, '2vfrA03', NULL, NULL, 87, NULL, NULL, 21326),
(65404, '3af5A04', NULL, NULL, 188, NULL, NULL, 21327),
(65405, '6i1dA02', NULL, NULL, 187, NULL, NULL, 21327),
(65406, '2i7xA02', NULL, NULL, 203, NULL, NULL, 21327),
(65407, '2xr1B04', NULL, NULL, 189, NULL, NULL, 21327),
(65408, '3iekA02', NULL, NULL, 182, NULL, NULL, 21327),
(65409, '2ycbA04', NULL, NULL, 188, NULL, NULL, 21327),
(65410, '2i7vA02', NULL, NULL, 180, NULL, NULL, 21327),
(65411, '2it2B00', NULL, NULL, 200, NULL, NULL, 21328),
(65412, '2dvkA00', NULL, NULL, 171, NULL, NULL, 21328),
(65413, '1tljB00', NULL, NULL, 192, NULL, NULL, 21328),
(65414, '2qg3B00', NULL, NULL, 208, NULL, NULL, 21328),
(65415, '1c3gA02', NULL, NULL, 81, NULL, NULL, 21329),
(65416, '3agxA02', NULL, NULL, 81, NULL, NULL, 21329),
(65417, '1c3gA01', NULL, NULL, 78, NULL, NULL, 21329),
(65418, '4j80A02', NULL, NULL, 66, NULL, NULL, 21329),
(65419, '3agxA01', NULL, NULL, 84, NULL, NULL, 21329),
(65420, '4j80A03', NULL, NULL, 111, NULL, NULL, 21329),
(65421, '2q2gB02', NULL, NULL, 81, NULL, NULL, 21329),
(65422, '1earA01', NULL, NULL, 73, NULL, NULL, 21329),
(65423, '1xaoA01', NULL, NULL, 80, NULL, NULL, 21329),
(65424, '1gmuA02', NULL, NULL, 71, NULL, NULL, 21329),
(65425, '3lz8A01', NULL, NULL, 86, NULL, NULL, 21329),
(65426, '1nltA01', NULL, NULL, 87, NULL, NULL, 21329),
(65427, '3tj8A01', NULL, NULL, 75, NULL, NULL, 21329),
(65428, '3i38A01', NULL, NULL, 79, NULL, NULL, 21329),
(65429, '2q2gA01', NULL, NULL, 84, NULL, NULL, 21329),
(65430, '3lz8B02', NULL, NULL, 91, NULL, NULL, 21329),
(65431, '4l3kA01', NULL, NULL, 73, NULL, NULL, 21329),
(65432, '1sseB00', NULL, NULL, 86, NULL, NULL, 21330),
(65433, '4id9B02', NULL, NULL, 116, NULL, NULL, 21331),
(65434, '4esqA00', NULL, NULL, 194, NULL, NULL, 21332),
(65435, '4uhvA03', NULL, NULL, 63, NULL, NULL, 21333),
(65436, '3zheA02', NULL, NULL, 207, NULL, NULL, 21334),
(65437, '3hjeA02', NULL, NULL, 115, NULL, NULL, 21335),
(65438, '5zcrA02', NULL, NULL, 132, NULL, NULL, 21335),
(65439, '1iv8A02', NULL, NULL, 118, NULL, NULL, 21335),
(65440, '2c1iA02', NULL, NULL, 107, NULL, NULL, 21336),
(65441, '4ak2A02', NULL, NULL, 170, NULL, NULL, 21337),
(65442, '2lz0A00', NULL, NULL, 100, NULL, NULL, 21338),
(65443, '4by2B00', NULL, NULL, 165, NULL, NULL, 21339),
(65444, '4ld1A00', NULL, NULL, 184, NULL, NULL, 21339),
(65445, '1nxiA00', NULL, NULL, 132, NULL, NULL, 21340),
(65446, '2ou2A01', NULL, NULL, 58, NULL, NULL, 21341),
(65447, '2ozuA01', NULL, NULL, 65, NULL, NULL, 21341),
(65448, '2pq8A01', NULL, NULL, 60, NULL, NULL, 21341),
(65449, '3to7A01', NULL, NULL, 53, NULL, NULL, 21341),
(65450, '4bh6L00', NULL, NULL, 53, NULL, NULL, 21342),
(65451, '2iazA00', NULL, NULL, 113, NULL, NULL, 21343),
(65452, '2oeeB00', NULL, NULL, 117, NULL, NULL, 21343),
(65453, '2pihA00', NULL, NULL, 124, NULL, NULL, 21343),
(65454, '2oeeA00', NULL, NULL, 117, NULL, NULL, 21343),
(65455, '2oeqB00', NULL, NULL, 122, NULL, NULL, 21343),
(65456, '2oeqA00', NULL, NULL, 122, NULL, NULL, 21343),
(65457, '2oeqD00', NULL, NULL, 122, NULL, NULL, 21343),
(65458, '2oeqC00', NULL, NULL, 122, NULL, NULL, 21343),
(65459, '3p2nB01', NULL, NULL, 30, NULL, NULL, 21344),
(65460, '3bxwA01', NULL, NULL, 33, NULL, NULL, 21344),
(65461, '2xtzB02', NULL, NULL, 94, NULL, NULL, 21345);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(65462, '2odeA02', NULL, NULL, 119, NULL, NULL, 21345),
(65463, '1tadA02', NULL, NULL, 119, NULL, NULL, 21345),
(65464, '4ekdA02', NULL, NULL, 118, NULL, NULL, 21345),
(65465, '1cipA02', NULL, NULL, 119, NULL, NULL, 21345),
(65466, '6au6A02', NULL, NULL, 115, NULL, NULL, 21345),
(65467, '3c7kA02', NULL, NULL, 120, NULL, NULL, 21345),
(65468, '1zcbA02', NULL, NULL, 126, NULL, NULL, 21345),
(65469, '1zcaA02', NULL, NULL, 122, NULL, NULL, 21345),
(65470, '4fidA02', NULL, NULL, 114, NULL, NULL, 21345),
(65471, '2xtzA02', NULL, NULL, 126, NULL, NULL, 21345),
(65472, '5do9A02', NULL, NULL, 118, NULL, NULL, 21345),
(65473, '2diiA01', NULL, NULL, 42, NULL, NULL, 21346),
(65474, '4hj1C03', NULL, NULL, 95, NULL, NULL, 21347),
(65475, '4h7oA01', NULL, NULL, 142, NULL, NULL, 21348),
(65476, '4n6aA01', NULL, NULL, 153, NULL, NULL, 21348),
(65477, '4hzdB01', NULL, NULL, 152, NULL, NULL, 21348),
(65478, '1ssqA01', NULL, NULL, 138, NULL, NULL, 21348),
(65479, '3q1xA01', NULL, NULL, 139, NULL, NULL, 21348),
(65480, '3gvdA01', NULL, NULL, 145, NULL, NULL, 21348),
(65481, '3f1xA01', NULL, NULL, 158, NULL, NULL, 21348),
(65482, '1t3dA01', NULL, NULL, 140, NULL, NULL, 21348),
(65483, '4v19700', NULL, NULL, 46, NULL, NULL, 21349),
(65484, '5xym200', NULL, NULL, 47, NULL, NULL, 21349),
(65485, '5dm6200', NULL, NULL, 47, NULL, NULL, 21349),
(65486, '1vw4Y00', NULL, NULL, 45, NULL, NULL, 21349),
(65487, '6quld00', NULL, NULL, 46, NULL, NULL, 21349),
(65488, '3kir700', NULL, NULL, 49, NULL, NULL, 21349),
(65489, '5v7q200', NULL, NULL, 47, NULL, NULL, 21349),
(65490, '6hma200', NULL, NULL, 43, NULL, NULL, 21349),
(65491, '5ool200', NULL, NULL, 45, NULL, NULL, 21349),
(65492, '5x8t300', NULL, NULL, 61, NULL, NULL, 21349),
(65493, '2qdlA02', NULL, NULL, 93, NULL, NULL, 21350),
(65494, '1b3qA04', NULL, NULL, 63, NULL, NULL, 21350),
(65495, '4jpbW02', NULL, NULL, 79, NULL, NULL, 21350),
(65496, '1qydA02', NULL, NULL, 121, NULL, NULL, 21351),
(65497, '3vpsB02', NULL, NULL, 102, NULL, NULL, 21351),
(65498, '3ko8A02', NULL, NULL, 112, NULL, NULL, 21351),
(65499, '2vrbA02', NULL, NULL, 116, NULL, NULL, 21351),
(65500, '2c20A02', NULL, NULL, 126, NULL, NULL, 21351),
(65501, '3eheA02', NULL, NULL, 116, NULL, NULL, 21351),
(65502, '5uzhA02', NULL, NULL, 105, NULL, NULL, 21351),
(65503, '2pk3A02', NULL, NULL, 90, NULL, NULL, 21351),
(65504, '1vl0A02', NULL, NULL, 78, NULL, NULL, 21351),
(65505, '4e5yD02', NULL, NULL, 100, NULL, NULL, 21351),
(65506, '2z1mA02', NULL, NULL, 110, NULL, NULL, 21351),
(65507, '3rufA02', NULL, NULL, 108, NULL, NULL, 21351),
(65508, '2zcuA02', NULL, NULL, 118, NULL, NULL, 21351),
(65509, '1n2sA02', NULL, NULL, 86, NULL, NULL, 21351),
(65510, '1kewA02', NULL, NULL, 84, NULL, NULL, 21351),
(65511, '2c5aA02', NULL, NULL, 136, NULL, NULL, 21351),
(65512, '2r6jA02', NULL, NULL, 128, NULL, NULL, 21351),
(65513, '4ej0A02', NULL, NULL, 121, NULL, NULL, 21351),
(65514, '6bwlA02', NULL, NULL, 121, NULL, NULL, 21351),
(65515, '1n7hB01', NULL, NULL, 115, NULL, NULL, 21351),
(65516, '6aqzA02', NULL, NULL, 95, NULL, NULL, 21351),
(65517, '1xgkA02', NULL, NULL, 117, NULL, NULL, 21351),
(65518, '1z45A02', NULL, NULL, 72, NULL, NULL, 21351),
(65519, '3slgC02', NULL, NULL, 95, NULL, NULL, 21351),
(65520, '2b69A02', NULL, NULL, 85, NULL, NULL, 21351),
(65521, '6dntA02', NULL, NULL, 109, NULL, NULL, 21351),
(65522, '5u9cC02', NULL, NULL, 77, NULL, NULL, 21351),
(65523, '1z7bA02', NULL, NULL, 101, NULL, NULL, 21351),
(65524, '4lw8A02', NULL, NULL, 92, NULL, NULL, 21351),
(65525, '1i24A02', NULL, NULL, 142, NULL, NULL, 21351),
(65526, '3e48B02', NULL, NULL, 105, NULL, NULL, 21351),
(65527, '1rkxB02', NULL, NULL, 164, NULL, NULL, 21351),
(65528, '1sb8A02', NULL, NULL, 107, NULL, NULL, 21351),
(65529, '2hunB02', NULL, NULL, 115, NULL, NULL, 21351),
(65530, '3sxpB02', NULL, NULL, 99, NULL, NULL, 21351),
(65531, '1e6uA02', NULL, NULL, 99, NULL, NULL, 21351),
(65532, '1ek6A01', NULL, NULL, 128, NULL, NULL, 21351),
(65533, '1eq2D02', NULL, NULL, 101, NULL, NULL, 21351),
(65534, '4zrmB02', NULL, NULL, 108, NULL, NULL, 21351),
(65535, '1oc2A02', NULL, NULL, 77, NULL, NULL, 21351);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(65536, '1r6dA02', NULL, NULL, 111, NULL, NULL, 21351),
(65537, '2wm3A02', NULL, NULL, 102, NULL, NULL, 21351),
(65538, '2p5yA02', NULL, NULL, 111, NULL, NULL, 21351),
(65539, '2ggsA02', NULL, NULL, 68, NULL, NULL, 21351),
(65540, '1wvgA02', NULL, NULL, 166, NULL, NULL, 21351),
(65541, '5gy7A02', NULL, NULL, 132, NULL, NULL, 21351),
(65542, '3enkB02', NULL, NULL, 125, NULL, NULL, 21351),
(65543, '1qycA02', NULL, NULL, 120, NULL, NULL, 21351),
(65544, '3c1oA02', NULL, NULL, 133, NULL, NULL, 21351),
(65545, '4wokA02', NULL, NULL, 123, NULL, NULL, 21351),
(65546, '4wpgA02', NULL, NULL, 79, NULL, NULL, 21351),
(65547, '6bi4A02', NULL, NULL, 102, NULL, NULL, 21351),
(65548, '1bxkA02', NULL, NULL, 94, NULL, NULL, 21351),
(65549, '2hrzA02', NULL, NULL, 98, NULL, NULL, 21351),
(65550, '1db3A02', NULL, NULL, 131, NULL, NULL, 21351),
(65551, '4lisA02', NULL, NULL, 138, NULL, NULL, 21351),
(65552, '3i6iA02', NULL, NULL, 122, NULL, NULL, 21351),
(65553, '2q1sA02', NULL, NULL, 94, NULL, NULL, 21351),
(65554, '3slgF02', NULL, NULL, 115, NULL, NULL, 21351),
(65555, '1rpnA02', NULL, NULL, 92, NULL, NULL, 21351),
(65556, '1gy8B01', NULL, NULL, 138, NULL, NULL, 21351),
(65557, '3sc6A02', NULL, NULL, 79, NULL, NULL, 21351),
(65558, '6gpkA02', NULL, NULL, 109, NULL, NULL, 21351),
(65559, '2gasA02', NULL, NULL, 119, NULL, NULL, 21351),
(65560, '1vdiA00', NULL, NULL, 52, NULL, NULL, 21352),
(65561, '1ev0A00', NULL, NULL, 58, NULL, NULL, 21353),
(65562, '3ku7B00', NULL, NULL, 62, NULL, NULL, 21353),
(65563, '3ku7A00', NULL, NULL, 80, NULL, NULL, 21353),
(65564, '2kxoA01', NULL, NULL, 61, NULL, NULL, 21353),
(65565, '2jvnA00', NULL, NULL, 126, NULL, NULL, 21354),
(65566, '1qu3A05', NULL, NULL, 92, NULL, NULL, 21355),
(65567, '1wz2A04', NULL, NULL, 88, NULL, NULL, 21355),
(65568, '2avtB01', NULL, NULL, 178, NULL, NULL, 21356),
(65569, '3l0xB01', NULL, NULL, 74, NULL, NULL, 21356),
(65570, '6d47A03', NULL, NULL, 138, NULL, NULL, 21356),
(65571, '6d47A02', NULL, NULL, 131, NULL, NULL, 21356),
(65572, '6d47A01', NULL, NULL, 124, NULL, NULL, 21356),
(65573, '5aguA03', NULL, NULL, 138, NULL, NULL, 21356),
(65574, '5wceA03', NULL, NULL, 119, NULL, NULL, 21356),
(65575, '3f1vA02', NULL, NULL, 124, NULL, NULL, 21356),
(65576, '2awaA01', NULL, NULL, 190, NULL, NULL, 21356),
(65577, '6amqA03', NULL, NULL, 119, NULL, NULL, 21356),
(65578, '3d1gA01', NULL, NULL, 123, NULL, NULL, 21356),
(65579, '5wceA02', NULL, NULL, 129, NULL, NULL, 21356),
(65580, '5wceB01', NULL, NULL, 131, NULL, NULL, 21356),
(65581, '3l0wA00', NULL, NULL, 169, NULL, NULL, 21356),
(65582, '5fveA02', NULL, NULL, 130, NULL, NULL, 21356),
(65583, '4tr8B03', NULL, NULL, 119, NULL, NULL, 21356),
(65584, '4tr6A01', NULL, NULL, 180, NULL, NULL, 21356),
(65585, '3t0pA01', NULL, NULL, 172, NULL, NULL, 21356),
(65586, '4tr8B02', NULL, NULL, 125, NULL, NULL, 21356),
(65587, '3t0pA02', NULL, NULL, 199, NULL, NULL, 21356),
(65588, '4tr8B01', NULL, NULL, 139, NULL, NULL, 21356),
(65589, '1vpkA02', NULL, NULL, 128, NULL, NULL, 21356),
(65590, '1vpkA01', NULL, NULL, 131, NULL, NULL, 21356),
(65591, '5ah2A02', NULL, NULL, 131, NULL, NULL, 21356),
(65592, '1sxjH02', NULL, NULL, 132, NULL, NULL, 21356),
(65593, '5ah2A01', NULL, NULL, 135, NULL, NULL, 21356),
(65594, '1vpkA03', NULL, NULL, 119, NULL, NULL, 21356),
(65595, '4k3lB03', NULL, NULL, 119, NULL, NULL, 21356),
(65596, '5ah2B03', NULL, NULL, 135, NULL, NULL, 21356),
(65597, '4k3lB02', NULL, NULL, 124, NULL, NULL, 21356),
(65598, '1sxjH01', NULL, NULL, 124, NULL, NULL, 21356),
(65599, '4trtA03', NULL, NULL, 127, NULL, NULL, 21356),
(65600, '4trtA01', NULL, NULL, 122, NULL, NULL, 21356),
(65601, '4trtA02', NULL, NULL, 119, NULL, NULL, 21356),
(65602, '5agvA01', NULL, NULL, 137, NULL, NULL, 21356),
(65603, '5agvA02', NULL, NULL, 131, NULL, NULL, 21356),
(65604, '3pgeA02', NULL, NULL, 96, NULL, NULL, 21356),
(65605, '2f4iC01', NULL, NULL, 62, NULL, NULL, 21357),
(65606, '2f4iB01', NULL, NULL, 62, NULL, NULL, 21357),
(65607, '2f4iA01', NULL, NULL, 61, NULL, NULL, 21357),
(65608, '2f4iD01', NULL, NULL, 61, NULL, NULL, 21357);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(65609, '3mwbA04', NULL, NULL, 24, NULL, NULL, 21358),
(65610, '2k8oA00', NULL, NULL, 60, NULL, NULL, 21359),
(65611, '4gf4A00', NULL, NULL, 418, NULL, NULL, 21360),
(65612, '5jxxA02', NULL, NULL, 66, NULL, NULL, 21361),
(65613, '3t57A02', NULL, NULL, 84, NULL, NULL, 21361),
(65614, '6hy2X02', NULL, NULL, 66, NULL, NULL, 21361),
(65615, '4r36A02', NULL, NULL, 66, NULL, NULL, 21361),
(65616, '4eqyA02', NULL, NULL, 70, NULL, NULL, 21361),
(65617, '5f42A02', NULL, NULL, 86, NULL, NULL, 21361),
(65618, '5demA02', NULL, NULL, 66, NULL, NULL, 21361),
(65619, '1j2zA02', NULL, NULL, 77, NULL, NULL, 21361),
(65620, '3hsqA02', NULL, NULL, 68, NULL, NULL, 21361),
(65621, '3r0sA02', NULL, NULL, 69, NULL, NULL, 21361),
(65622, '4e6uA02', NULL, NULL, 67, NULL, NULL, 21361),
(65623, '3ieeA02', NULL, NULL, 103, NULL, NULL, 21362),
(65624, '3rh3B02', NULL, NULL, 103, NULL, NULL, 21362),
(65625, '3rh3A02', NULL, NULL, 103, NULL, NULL, 21362),
(65626, '2pyqA00', NULL, NULL, 114, NULL, NULL, 21363),
(65627, '2pyqD00', NULL, NULL, 114, NULL, NULL, 21363),
(65628, '2pyqC00', NULL, NULL, 114, NULL, NULL, 21363),
(65629, '2pyqB00', NULL, NULL, 114, NULL, NULL, 21363),
(65630, '5dmdA00', NULL, NULL, 151, NULL, NULL, 21364),
(65631, '2aj7B00', NULL, NULL, 163, NULL, NULL, 21364),
(65632, '1k3eB01', NULL, NULL, 40, NULL, NULL, 21365),
(65633, '1k3eA01', NULL, NULL, 51, NULL, NULL, 21365),
(65634, '1yzyA01', NULL, NULL, 235, NULL, NULL, 21366),
(65635, '5dmhB01', NULL, NULL, 244, NULL, NULL, 21366),
(65636, '3dqqB01', NULL, NULL, 236, NULL, NULL, 21366),
(65637, '2xxlA01', NULL, NULL, 78, NULL, NULL, 21367),
(65638, '2ikdA00', NULL, NULL, 66, NULL, NULL, 21367),
(65639, '2ikeA00', NULL, NULL, 54, NULL, NULL, 21367),
(65640, '3mx7A00', NULL, NULL, 90, NULL, NULL, 21368),
(65641, '2kd2A01', NULL, NULL, 84, NULL, NULL, 21368),
(65642, '2kw1A01', NULL, NULL, 84, NULL, NULL, 21368),
(65643, '3b0zA00', NULL, NULL, 52, NULL, NULL, 21369),
(65644, '4e1oA01', NULL, NULL, 86, NULL, NULL, 21370),
(65645, '1js3A01', NULL, NULL, 81, NULL, NULL, 21370),
(65646, '3rchA01', NULL, NULL, 81, NULL, NULL, 21370),
(65647, '3k40A01', NULL, NULL, 81, NULL, NULL, 21370),
(65648, '4fx5A03', NULL, NULL, 103, NULL, NULL, 21371),
(65649, '4q28A00', NULL, NULL, 113, NULL, NULL, 21372),
(65650, '3a5pA00', NULL, NULL, 104, NULL, NULL, 21373),
(65651, '4f9aB01', NULL, NULL, 19, NULL, NULL, 21374),
(65652, '2p9bA03', NULL, NULL, 130, NULL, NULL, 21375),
(65653, '4wz8B02', NULL, NULL, 66, NULL, NULL, 21376),
(65654, '3tdcA02', NULL, NULL, 66, NULL, NULL, 21376),
(65655, '2x24A02', NULL, NULL, 66, NULL, NULL, 21376),
(65656, '4asiA02', NULL, NULL, 66, NULL, NULL, 21376),
(65657, '1zmrA02', NULL, NULL, 209, NULL, NULL, 21377),
(65658, '1zmrA01', NULL, NULL, 178, NULL, NULL, 21377),
(65659, '4ng4B01', NULL, NULL, 190, NULL, NULL, 21377),
(65660, '4ng4C02', NULL, NULL, 213, NULL, NULL, 21377),
(65661, '4feyA02', NULL, NULL, 214, NULL, NULL, 21377),
(65662, '4feyA01', NULL, NULL, 181, NULL, NULL, 21377),
(65663, '4dg5A02', NULL, NULL, 202, NULL, NULL, 21377),
(65664, '4dg5A01', NULL, NULL, 182, NULL, NULL, 21377),
(65665, '1fw8A02', NULL, NULL, 190, NULL, NULL, 21377),
(65666, '1fw8A01', NULL, NULL, 226, NULL, NULL, 21377),
(65667, '3oz7A01', NULL, NULL, 187, NULL, NULL, 21377),
(65668, '3oz7A02', NULL, NULL, 209, NULL, NULL, 21377),
(65669, '3q3vB02', NULL, NULL, 204, NULL, NULL, 21377),
(65670, '3q3vA01', NULL, NULL, 177, NULL, NULL, 21377),
(65671, '2wzbA02', NULL, NULL, 209, NULL, NULL, 21377),
(65672, '1hdiA02', NULL, NULL, 209, NULL, NULL, 21377),
(65673, '1hdiA01', NULL, NULL, 185, NULL, NULL, 21377),
(65674, '1phpA02', NULL, NULL, 205, NULL, NULL, 21377),
(65675, '2p9tA02', NULL, NULL, 209, NULL, NULL, 21377),
(65676, '2p9tA01', NULL, NULL, 188, NULL, NULL, 21377),
(65677, '1phpA01', NULL, NULL, 170, NULL, NULL, 21377),
(65678, '3zlbA01', NULL, NULL, 177, NULL, NULL, 21377),
(65679, '3zlbA02', NULL, NULL, 202, NULL, NULL, 21377),
(65680, '1vpeA01', NULL, NULL, 169, NULL, NULL, 21377),
(65681, '1vpeA02', NULL, NULL, 208, NULL, NULL, 21377),
(65682, '16pkA01', NULL, NULL, 188, NULL, NULL, 21377);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(65683, '5bt8B01', NULL, NULL, 184, NULL, NULL, 21377),
(65684, '5bt8A02', NULL, NULL, 219, NULL, NULL, 21377),
(65685, '16pkA02', NULL, NULL, 208, NULL, NULL, 21377),
(65686, '2cunA02', NULL, NULL, 201, NULL, NULL, 21377),
(65687, '1vjdA01', NULL, NULL, 186, NULL, NULL, 21377),
(65688, '2cunA01', NULL, NULL, 209, NULL, NULL, 21377),
(65689, '3uwdA01', NULL, NULL, 170, NULL, NULL, 21377),
(65690, '3uwdA02', NULL, NULL, 205, NULL, NULL, 21377),
(65691, '1qpgA01', NULL, NULL, 186, NULL, NULL, 21377),
(65692, '5m1rA01', NULL, NULL, 188, NULL, NULL, 21377),
(65693, '1v6sA02', NULL, NULL, 213, NULL, NULL, 21377),
(65694, '3pgkA02', NULL, NULL, 209, NULL, NULL, 21377),
(65695, '1v6sA01', NULL, NULL, 177, NULL, NULL, 21377),
(65696, '5k8bA02', NULL, NULL, 153, NULL, NULL, 21378),
(65697, '3gzdA01', NULL, NULL, 119, NULL, NULL, 21378),
(65698, '6d0aA03', NULL, NULL, 115, NULL, NULL, 21378),
(65699, '2hoxA03', NULL, NULL, 113, NULL, NULL, 21378),
(65700, '3bwnD01', NULL, NULL, 152, NULL, NULL, 21378),
(65701, '4zwvA02', NULL, NULL, 117, NULL, NULL, 21378),
(65702, '6f77C01', NULL, NULL, 171, NULL, NULL, 21378),
(65703, '3ii0A01', NULL, NULL, 117, NULL, NULL, 21378),
(65704, '5xmvA01', NULL, NULL, 169, NULL, NULL, 21378),
(65705, '3cq5A01', NULL, NULL, 148, NULL, NULL, 21378),
(65706, '3frkA02', NULL, NULL, 128, NULL, NULL, 21378),
(65707, '2hufA01', NULL, NULL, 144, NULL, NULL, 21378),
(65708, '4l0oH02', NULL, NULL, 143, NULL, NULL, 21378),
(65709, '4hvkA01', NULL, NULL, 128, NULL, NULL, 21378),
(65710, '5viuA01', NULL, NULL, 167, NULL, NULL, 21378),
(65711, '4fl0A01', NULL, NULL, 144, NULL, NULL, 21378),
(65712, '5dj1A01', NULL, NULL, 119, NULL, NULL, 21378),
(65713, '3n75A03', NULL, NULL, 170, NULL, NULL, 21378),
(65714, '2x5fA02', NULL, NULL, 104, NULL, NULL, 21378),
(65715, '6dvsA01', NULL, NULL, 205, NULL, NULL, 21378),
(65716, '3caiA01', NULL, NULL, 149, NULL, NULL, 21378),
(65717, '3ihjA01', NULL, NULL, 178, NULL, NULL, 21378),
(65718, '3tcmA01', NULL, NULL, 182, NULL, NULL, 21378),
(65719, '1uu2B01', NULL, NULL, 118, NULL, NULL, 21378),
(65720, '3piuA01', NULL, NULL, 173, NULL, NULL, 21378),
(65721, '3fslA01', NULL, NULL, 155, NULL, NULL, 21378),
(65722, '2ay1A01', NULL, NULL, 115, NULL, NULL, 21378),
(65723, '3bc8A03', NULL, NULL, 139, NULL, NULL, 21378),
(65724, '3lvmA01', NULL, NULL, 127, NULL, NULL, 21378),
(65725, '3pj0A02', NULL, NULL, 104, NULL, NULL, 21378),
(65726, '3l8aA01', NULL, NULL, 156, NULL, NULL, 21378),
(65727, '3lg0A01', NULL, NULL, 172, NULL, NULL, 21378),
(65728, '1t3iA01', NULL, NULL, 153, NULL, NULL, 21378),
(65729, '4grxA01', NULL, NULL, 168, NULL, NULL, 21378),
(65730, '3hmuB01', NULL, NULL, 199, NULL, NULL, 21378),
(65731, '1vjoA01', NULL, NULL, 131, NULL, NULL, 21378),
(65732, '5vwoA01', NULL, NULL, 154, NULL, NULL, 21378),
(65733, '1s0aA01', NULL, NULL, 158, NULL, NULL, 21378),
(65734, '4q6rA02', NULL, NULL, 131, NULL, NULL, 21378),
(65735, '3dr4A02', NULL, NULL, 125, NULL, NULL, 21378),
(65736, '3wy7D01', NULL, NULL, 120, NULL, NULL, 21378),
(65737, '1bj4A02', NULL, NULL, 160, NULL, NULL, 21378),
(65738, '5d95B01', NULL, NULL, 194, NULL, NULL, 21378),
(65739, '3op7A01', NULL, NULL, 153, NULL, NULL, 21378),
(65740, '3fq8A01', NULL, NULL, 178, NULL, NULL, 21378),
(65741, '3m5uA02', NULL, NULL, 105, NULL, NULL, 21378),
(65742, '2cjgA01', NULL, NULL, 168, NULL, NULL, 21378),
(65743, '3zrpA02', NULL, NULL, 121, NULL, NULL, 21378),
(65744, '3ndnA02', NULL, NULL, 137, NULL, NULL, 21378),
(65745, '1sffA01', NULL, NULL, 166, NULL, NULL, 21378),
(65746, '2fyfA02', NULL, NULL, 105, NULL, NULL, 21378),
(65747, '1b9hA02', NULL, NULL, 139, NULL, NULL, 21378),
(65748, '2cstA01', NULL, NULL, 115, NULL, NULL, 21378),
(65749, '4lnjA02', NULL, NULL, 89, NULL, NULL, 21378),
(65750, '3eleC01', NULL, NULL, 166, NULL, NULL, 21378),
(65751, '4adbC01', NULL, NULL, 160, NULL, NULL, 21378),
(65752, '1jg8A02', NULL, NULL, 96, NULL, NULL, 21378),
(65753, '1c7nA01', NULL, NULL, 164, NULL, NULL, 21378),
(65754, '1uu1B01', NULL, NULL, 132, NULL, NULL, 21378),
(65755, '3tqxA01', NULL, NULL, 135, NULL, NULL, 21378);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(65756, '5ghgA01', NULL, NULL, 145, NULL, NULL, 21378),
(65757, '2cfbA01', NULL, NULL, 144, NULL, NULL, 21378),
(65758, '3g7qA01', NULL, NULL, 176, NULL, NULL, 21378),
(65759, '3rchA03', NULL, NULL, 101, NULL, NULL, 21378),
(65760, '5ti8A01', NULL, NULL, 144, NULL, NULL, 21378),
(65761, '1o69A02', NULL, NULL, 150, NULL, NULL, 21378),
(65762, '4my5D01', NULL, NULL, 161, NULL, NULL, 21378),
(65763, '3qm2A01', NULL, NULL, 116, NULL, NULL, 21378),
(65764, '1tplA01', NULL, NULL, 202, NULL, NULL, 21378),
(65765, '3ftbA01', NULL, NULL, 112, NULL, NULL, 21378),
(65766, '3bb8A02', NULL, NULL, 132, NULL, NULL, 21378),
(65767, '2zy4B01', NULL, NULL, 158, NULL, NULL, 21378),
(65768, '3lvmB01', NULL, NULL, 176, NULL, NULL, 21378),
(65769, '3uwcA02', NULL, NULL, 128, NULL, NULL, 21378),
(65770, '2po3A02', NULL, NULL, 151, NULL, NULL, 21378),
(65771, '5torB01', NULL, NULL, 115, NULL, NULL, 21378),
(65772, '3i4jB01', NULL, NULL, 161, NULL, NULL, 21378),
(65773, '2c0rA02', NULL, NULL, 104, NULL, NULL, 21378),
(65774, '3mebA01', NULL, NULL, 121, NULL, NULL, 21378),
(65775, '4zm4D01', NULL, NULL, 192, NULL, NULL, 21378),
(65776, '4e3qB01', NULL, NULL, 169, NULL, NULL, 21378),
(65777, '1js3A03', NULL, NULL, 107, NULL, NULL, 21378),
(65778, '1xi9B01', NULL, NULL, 164, NULL, NULL, 21378),
(65779, '4nogA01', NULL, NULL, 173, NULL, NULL, 21378),
(65780, '1yaaA01', NULL, NULL, 115, NULL, NULL, 21378),
(65781, '2yrrA01', NULL, NULL, 112, NULL, NULL, 21378),
(65782, '4w5kA01', NULL, NULL, 111, NULL, NULL, 21378),
(65783, '1z7dA01', NULL, NULL, 157, NULL, NULL, 21378),
(65784, '4lw2A01', NULL, NULL, 133, NULL, NULL, 21378),
(65785, '4cvqA01', NULL, NULL, 163, NULL, NULL, 21378),
(65786, '3dydA01', NULL, NULL, 137, NULL, NULL, 21378),
(65787, '4a0gC02', NULL, NULL, 182, NULL, NULL, 21378),
(65788, '3n5mB01', NULL, NULL, 178, NULL, NULL, 21378),
(65789, '1n8pA02', NULL, NULL, 140, NULL, NULL, 21378),
(65790, '3a8uX01', NULL, NULL, 168, NULL, NULL, 21378),
(65791, '4lc3A02', NULL, NULL, 134, NULL, NULL, 21378),
(65792, '1wyuB02', NULL, NULL, 128, NULL, NULL, 21378),
(65793, '6gioA01', NULL, NULL, 182, NULL, NULL, 21378),
(65794, '1w23A02', NULL, NULL, 103, NULL, NULL, 21378),
(65795, '3e77A02', NULL, NULL, 108, NULL, NULL, 21378),
(65796, '1v72A01', NULL, NULL, 107, NULL, NULL, 21378),
(65797, '5xx1A03', NULL, NULL, 190, NULL, NULL, 21378),
(65798, '3f6tA01', NULL, NULL, 166, NULL, NULL, 21378),
(65799, '2o7cA02', NULL, NULL, 134, NULL, NULL, 21378),
(65800, '4h51A01', NULL, NULL, 113, NULL, NULL, 21378),
(65801, '6gwiA01', NULL, NULL, 186, NULL, NULL, 21378),
(65802, '1m32A01', NULL, NULL, 115, NULL, NULL, 21378),
(65803, '4r5zA01', NULL, NULL, 140, NULL, NULL, 21378),
(65804, '3ruyA01', NULL, NULL, 143, NULL, NULL, 21378),
(65805, '3pplB01', NULL, NULL, 183, NULL, NULL, 21378),
(65806, '3rq1D01', NULL, NULL, 179, NULL, NULL, 21378),
(65807, '2yobA01', NULL, NULL, 139, NULL, NULL, 21378),
(65808, '1eluA01', NULL, NULL, 124, NULL, NULL, 21378),
(65809, '4wydA01', NULL, NULL, 163, NULL, NULL, 21378),
(65810, '2epjA01', NULL, NULL, 184, NULL, NULL, 21378),
(65811, '2vi8A01', NULL, NULL, 154, NULL, NULL, 21378),
(65812, '4zm3B01', NULL, NULL, 150, NULL, NULL, 21378),
(65813, '3ly1D01', NULL, NULL, 129, NULL, NULL, 21378),
(65814, '2cb1A02', NULL, NULL, 135, NULL, NULL, 21378),
(65815, '2dkjA01', NULL, NULL, 155, NULL, NULL, 21378),
(65816, '5g0aA01', NULL, NULL, 199, NULL, NULL, 21378),
(65817, '1dfoA02', NULL, NULL, 137, NULL, NULL, 21378),
(65818, '4b9bB01', NULL, NULL, 168, NULL, NULL, 21378),
(65819, '1bs0A01', NULL, NULL, 132, NULL, NULL, 21378),
(65820, '4iy7D02', NULL, NULL, 136, NULL, NULL, 21378),
(65821, '3fkdA01', NULL, NULL, 136, NULL, NULL, 21378),
(65822, '4u2hH02', NULL, NULL, 142, NULL, NULL, 21378),
(65823, '5i92F01', NULL, NULL, 186, NULL, NULL, 21378),
(65824, '4ixoA01', NULL, NULL, 136, NULL, NULL, 21378),
(65825, '7aatA01', NULL, NULL, 115, NULL, NULL, 21378),
(65826, '1eg5B01', NULL, NULL, 121, NULL, NULL, 21378),
(65827, '5uc7A01', NULL, NULL, 159, NULL, NULL, 21378),
(65828, '2w8tA01', NULL, NULL, 149, NULL, NULL, 21378);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(65829, '2ogaA02', NULL, NULL, 127, NULL, NULL, 21378),
(65830, '1pffA02', NULL, NULL, 135, NULL, NULL, 21378),
(65831, '4uqvF02', NULL, NULL, 155, NULL, NULL, 21378),
(65832, '3nnkA02', NULL, NULL, 124, NULL, NULL, 21378),
(65833, '3ffrA01', NULL, NULL, 115, NULL, NULL, 21378),
(65834, '1wyuA01', NULL, NULL, 119, NULL, NULL, 21378),
(65835, '3asaA01', NULL, NULL, 151, NULL, NULL, 21378),
(65836, '3kkiA01', NULL, NULL, 154, NULL, NULL, 21378),
(65837, '3pdxA01', NULL, NULL, 135, NULL, NULL, 21378),
(65838, '2eh6A01', NULL, NULL, 130, NULL, NULL, 21378),
(65839, '5x5hA02', NULL, NULL, 138, NULL, NULL, 21378),
(65840, '5kr6A01', NULL, NULL, 179, NULL, NULL, 21378),
(65841, '2gb3A01', NULL, NULL, 175, NULL, NULL, 21378),
(65842, '2oqxA01', NULL, NULL, 201, NULL, NULL, 21378),
(65843, '3cbfA01', NULL, NULL, 180, NULL, NULL, 21378),
(65844, '5f8vA02', NULL, NULL, 115, NULL, NULL, 21378),
(65845, '6blgA02', NULL, NULL, 127, NULL, NULL, 21378),
(65846, '6onnA01', NULL, NULL, 136, NULL, NULL, 21378),
(65847, '1c4kA03', NULL, NULL, 180, NULL, NULL, 21378),
(65848, '4e1oA03', NULL, NULL, 98, NULL, NULL, 21378),
(65849, '3f0hA01', NULL, NULL, 110, NULL, NULL, 21378),
(65850, '3q8nA01', NULL, NULL, 191, NULL, NULL, 21378),
(65851, '5bj4A01', NULL, NULL, 162, NULL, NULL, 21378),
(65852, '1e5eA02', NULL, NULL, 144, NULL, NULL, 21378),
(65853, '3b1dC01', NULL, NULL, 164, NULL, NULL, 21378),
(65854, '2x5dA01', NULL, NULL, 128, NULL, NULL, 21378),
(65855, '1kkpA01', NULL, NULL, 161, NULL, NULL, 21378),
(65856, '4wbtA01', NULL, NULL, 151, NULL, NULL, 21378),
(65857, '2ykyB01', NULL, NULL, 190, NULL, NULL, 21378),
(65858, '1djuB01', NULL, NULL, 158, NULL, NULL, 21378),
(65859, '3gbxA02', NULL, NULL, 137, NULL, NULL, 21378),
(65860, '3n0lA02', NULL, NULL, 141, NULL, NULL, 21378),
(65861, '2ordA01', NULL, NULL, 153, NULL, NULL, 21378),
(65862, '3qguA01', NULL, NULL, 155, NULL, NULL, 21378),
(65863, '1svvB02', NULL, NULL, 95, NULL, NULL, 21378),
(65864, '2zy2A01', NULL, NULL, 176, NULL, NULL, 21378),
(65865, '5kquA01', NULL, NULL, 178, NULL, NULL, 21378),
(65866, '5f9sB01', NULL, NULL, 137, NULL, NULL, 21378),
(65867, '4ffcB01', NULL, NULL, 189, NULL, NULL, 21378),
(65868, '4j5uA01', NULL, NULL, 168, NULL, NULL, 21378),
(65869, '2zy4D01', NULL, NULL, 152, NULL, NULL, 21378),
(65870, '5vyeA01', NULL, NULL, 102, NULL, NULL, 21378),
(65871, '2bkwA01', NULL, NULL, 124, NULL, NULL, 21378),
(65872, '5wmkA01', NULL, NULL, 172, NULL, NULL, 21378),
(65873, '3ri6A02', NULL, NULL, 131, NULL, NULL, 21378),
(65874, '3qboA02', NULL, NULL, 104, NULL, NULL, 21378),
(65875, '4rkcA01', NULL, NULL, 156, NULL, NULL, 21378),
(65876, '3ffhA01', NULL, NULL, 136, NULL, NULL, 21378),
(65877, '2o1bA01', NULL, NULL, 157, NULL, NULL, 21378),
(65878, '6f35A01', NULL, NULL, 181, NULL, NULL, 21378),
(65879, '1wstA01', NULL, NULL, 191, NULL, NULL, 21378),
(65880, '4dq6A01', NULL, NULL, 167, NULL, NULL, 21378),
(65881, '6erkA01', NULL, NULL, 160, NULL, NULL, 21378),
(65882, '3aowA01', NULL, NULL, 179, NULL, NULL, 21378),
(65883, '5vnxA01', NULL, NULL, 135, NULL, NULL, 21378),
(65884, '1lc5A01', NULL, NULL, 132, NULL, NULL, 21378),
(65885, '1ejiA01', NULL, NULL, 180, NULL, NULL, 21378),
(65886, '4wb0A01', NULL, NULL, 113, NULL, NULL, 21378),
(65887, '3cogC02', NULL, NULL, 140, NULL, NULL, 21378),
(65888, '2douB01', NULL, NULL, 157, NULL, NULL, 21378),
(65889, '1iugA01', NULL, NULL, 115, NULL, NULL, 21378),
(65890, '3dxvA01', NULL, NULL, 152, NULL, NULL, 21378),
(65891, '3nuiA01', NULL, NULL, 156, NULL, NULL, 21378),
(65892, '4uoyA01', NULL, NULL, 213, NULL, NULL, 21378),
(65893, '3bs8A01', NULL, NULL, 190, NULL, NULL, 21378),
(65894, '4ao9A01', NULL, NULL, 194, NULL, NULL, 21378),
(65895, '4ix8A01', NULL, NULL, 145, NULL, NULL, 21378),
(65896, '4zahA02', NULL, NULL, 127, NULL, NULL, 21378),
(65897, '5jayA01', NULL, NULL, 136, NULL, NULL, 21378),
(65898, '3dodB01', NULL, NULL, 171, NULL, NULL, 21378),
(65899, '3fcrA01', NULL, NULL, 179, NULL, NULL, 21378),
(65900, '4w8iB01', NULL, NULL, 152, NULL, NULL, 21378),
(65901, '3k40A03', NULL, NULL, 99, NULL, NULL, 21378);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(65902, '2o0rA01', NULL, NULL, 152, NULL, NULL, 21378),
(65903, '4k2mA02', NULL, NULL, 132, NULL, NULL, 21378),
(65904, '6g4bA01', NULL, NULL, 184, NULL, NULL, 21378),
(65905, '3oksA01', NULL, NULL, 183, NULL, NULL, 21378),
(65906, '3b46A01', NULL, NULL, 172, NULL, NULL, 21378),
(65907, '2e7uA01', NULL, NULL, 175, NULL, NULL, 21378),
(65908, '4uhoA01', NULL, NULL, 155, NULL, NULL, 21378),
(65909, '5g4iB01', NULL, NULL, 167, NULL, NULL, 21378),
(65910, '5m49A01', NULL, NULL, 177, NULL, NULL, 21378),
(65911, '3ke3A01', NULL, NULL, 120, NULL, NULL, 21378),
(65912, '2qmaA02', NULL, NULL, 126, NULL, NULL, 21378),
(65913, '3hdoA01', NULL, NULL, 140, NULL, NULL, 21378),
(65914, '1bw0B01', NULL, NULL, 144, NULL, NULL, 21378),
(65915, '3k28A01', NULL, NULL, 181, NULL, NULL, 21378),
(65916, '5z0qD01', NULL, NULL, 162, NULL, NULL, 21378),
(65917, '4e77A01', NULL, NULL, 180, NULL, NULL, 21378),
(65918, '5hdmA01', NULL, NULL, 185, NULL, NULL, 21378),
(65919, '4y0hA01', NULL, NULL, 168, NULL, NULL, 21378),
(65920, '4jf1B01', NULL, NULL, 144, NULL, NULL, 21378),
(65921, '4m2mA01', NULL, NULL, 157, NULL, NULL, 21378),
(65922, '5vehB01', NULL, NULL, 170, NULL, NULL, 21378),
(65923, '3uakA01', NULL, NULL, 125, NULL, NULL, 21378),
(65924, '3nytA02', NULL, NULL, 123, NULL, NULL, 21378),
(65925, '1ax4A01', NULL, NULL, 201, NULL, NULL, 21378),
(65926, '5vmbA02', NULL, NULL, 138, NULL, NULL, 21378),
(65927, '5kqtA01', NULL, NULL, 178, NULL, NULL, 21378),
(65928, '4pvfB02', NULL, NULL, 161, NULL, NULL, 21378),
(65929, '3fddA03', NULL, NULL, 120, NULL, NULL, 21378),
(65930, '4p3mB02', NULL, NULL, 149, NULL, NULL, 21378),
(65931, '4wxgA01', NULL, NULL, 158, NULL, NULL, 21378),
(65932, '3d6kA01', NULL, NULL, 161, NULL, NULL, 21378),
(65933, '3f9tA01', NULL, NULL, 136, NULL, NULL, 21378),
(65934, '3aczA02', NULL, NULL, 134, NULL, NULL, 21378),
(65935, '1j32A01', NULL, NULL, 160, NULL, NULL, 21378),
(65936, '4w8iA01', NULL, NULL, 123, NULL, NULL, 21378),
(65937, '1fc4A02', NULL, NULL, 136, NULL, NULL, 21378),
(65938, '6czxA02', NULL, NULL, 105, NULL, NULL, 21378),
(65939, '1v2dA01', NULL, NULL, 150, NULL, NULL, 21378),
(65940, '1vefA01', NULL, NULL, 153, NULL, NULL, 21378),
(65941, '4iw7A01', NULL, NULL, 122, NULL, NULL, 21378),
(65942, '3ez1A01', NULL, NULL, 177, NULL, NULL, 21378),
(65943, '5c6uA01', NULL, NULL, 189, NULL, NULL, 21378),
(65944, '4xk1A02', NULL, NULL, 104, NULL, NULL, 21378),
(65945, '1u08A01', NULL, NULL, 146, NULL, NULL, 21378),
(65946, '3vaxA02', NULL, NULL, 95, NULL, NULL, 21378),
(65947, '4kamC02', NULL, NULL, 148, NULL, NULL, 21378),
(65948, '3ecdA02', NULL, NULL, 141, NULL, NULL, 21378),
(65949, '5u23A02', NULL, NULL, 117, NULL, NULL, 21378),
(65950, '3kgwB01', NULL, NULL, 145, NULL, NULL, 21378),
(65951, '2ctzA02', NULL, NULL, 136, NULL, NULL, 21378),
(65952, '3gjuA01', NULL, NULL, 180, NULL, NULL, 21378),
(65953, '4q75A01', NULL, NULL, 146, NULL, NULL, 21378),
(65954, '2ch1A01', NULL, NULL, 147, NULL, NULL, 21378),
(65955, '5yb0A02', NULL, NULL, 106, NULL, NULL, 21378),
(65956, '1mdoA02', NULL, NULL, 135, NULL, NULL, 21378),
(65957, '3r4tA01', NULL, NULL, 176, NULL, NULL, 21378),
(65958, '4wd2A01', NULL, NULL, 167, NULL, NULL, 21378),
(65959, '2z9vA01', NULL, NULL, 137, NULL, NULL, 21378),
(65960, '1jf9A01', NULL, NULL, 139, NULL, NULL, 21378),
(65961, '1cs1A02', NULL, NULL, 139, NULL, NULL, 21378),
(65962, '4msoB02', NULL, NULL, 137, NULL, NULL, 21378),
(65963, '3wgcB02', NULL, NULL, 92, NULL, NULL, 21378),
(65964, '3getA02', NULL, NULL, 94, NULL, NULL, 21378),
(65965, '3i5tB01', NULL, NULL, 182, NULL, NULL, 21378),
(65966, '6fyqA01', NULL, NULL, 180, NULL, NULL, 21378),
(65967, '2dr1A01', NULL, NULL, 140, NULL, NULL, 21378),
(65968, '4oc9A02', NULL, NULL, 137, NULL, NULL, 21378),
(65969, '4r8dB01', NULL, NULL, 151, NULL, NULL, 21378),
(65970, '4dbcA01', NULL, NULL, 115, NULL, NULL, 21378),
(65971, '2c81A02', NULL, NULL, 156, NULL, NULL, 21378),
(65972, '1vp4B01', NULL, NULL, 196, NULL, NULL, 21378),
(65973, '3fdbA01', NULL, NULL, 155, NULL, NULL, 21378),
(65974, '3a9zA01', NULL, NULL, 119, NULL, NULL, 21378);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(65975, '4a6rA01', NULL, NULL, 151, NULL, NULL, 21378),
(65976, '2eo5A01', NULL, NULL, 149, NULL, NULL, 21378),
(65977, '4emyA01', NULL, NULL, 175, NULL, NULL, 21378),
(65978, '3e9kA01', NULL, NULL, 192, NULL, NULL, 21378),
(65979, '3h7fA01', NULL, NULL, 186, NULL, NULL, 21378),
(65980, '5kr3B01', NULL, NULL, 179, NULL, NULL, 21378),
(65981, '1m7yA01', NULL, NULL, 172, NULL, NULL, 21378),
(65982, '1rv3A01', NULL, NULL, 170, NULL, NULL, 21378),
(65983, '3a2bA01', NULL, NULL, 138, NULL, NULL, 21378),
(65984, '3l44A01', NULL, NULL, 185, NULL, NULL, 21378),
(65985, '3lwsF02', NULL, NULL, 104, NULL, NULL, 21378),
(65986, '3ei9B01', NULL, NULL, 150, NULL, NULL, 21378),
(65987, '2vycA03', NULL, NULL, 190, NULL, NULL, 21378),
(65988, '2zc0A01', NULL, NULL, 181, NULL, NULL, 21378),
(65989, '5veqB01', NULL, NULL, 155, NULL, NULL, 21378),
(65990, '1qgnA02', NULL, NULL, 138, NULL, NULL, 21378),
(65991, '5j8qA01', NULL, NULL, 147, NULL, NULL, 21378),
(65992, '3islA01', NULL, NULL, 135, NULL, NULL, 21378),
(65993, '3dzzA01', NULL, NULL, 147, NULL, NULL, 21378),
(65994, '5vc2A02', NULL, NULL, 141, NULL, NULL, 21378),
(65995, '3p1tA01', NULL, NULL, 137, NULL, NULL, 21378),
(65996, '5o5cB02', NULL, NULL, 140, NULL, NULL, 21378),
(65997, '3cq4A01', NULL, NULL, 142, NULL, NULL, 21378),
(65998, '4isyC01', NULL, NULL, 157, NULL, NULL, 21378),
(65999, '5dx5A02', NULL, NULL, 133, NULL, NULL, 21378),
(66000, '5kqwA01', NULL, NULL, 178, NULL, NULL, 21378),
(66001, '4f5lA01', NULL, NULL, 115, NULL, NULL, 21378),
(66002, '3eucA01', NULL, NULL, 137, NULL, NULL, 21378),
(66003, '1ibjA02', NULL, NULL, 136, NULL, NULL, 21378),
(66004, '3qhxA02', NULL, NULL, 130, NULL, NULL, 21378),
(66005, '5usrA01', NULL, NULL, 131, NULL, NULL, 21378),
(66006, '3k7yA01', NULL, NULL, 134, NULL, NULL, 21378),
(66007, '3nraA01', NULL, NULL, 177, NULL, NULL, 21378),
(66008, '1iayA01', NULL, NULL, 170, NULL, NULL, 21378),
(66009, '4atqL01', NULL, NULL, 191, NULL, NULL, 21378),
(66010, '3madA02', NULL, NULL, 131, NULL, NULL, 21378),
(66011, '4w91B01', NULL, NULL, 138, NULL, NULL, 21378),
(66012, '1o4sA01', NULL, NULL, 164, NULL, NULL, 21378),
(66013, '5x6bJ01', NULL, NULL, 132, NULL, NULL, 21378),
(66014, '1zodA01', NULL, NULL, 141, NULL, NULL, 21378),
(66015, '4zdlA03', NULL, NULL, 133, NULL, NULL, 21378),
(66016, '3jtxB01', NULL, NULL, 148, NULL, NULL, 21378),
(66017, '2d5yA01', NULL, NULL, 115, NULL, NULL, 21378),
(66018, '4wlhA01', NULL, NULL, 164, NULL, NULL, 21378),
(66019, '2x8uA01', NULL, NULL, 154, NULL, NULL, 21378),
(66020, '1c7gA01', NULL, NULL, 199, NULL, NULL, 21378),
(66021, '1bjnA02', NULL, NULL, 104, NULL, NULL, 21378),
(66022, '4effA01', NULL, NULL, 113, NULL, NULL, 21378),
(66023, '4f4eA01', NULL, NULL, 158, NULL, NULL, 21378),
(66024, '4itxA02', NULL, NULL, 137, NULL, NULL, 21378),
(66025, '2fnuB02', NULL, NULL, 130, NULL, NULL, 21378),
(66026, '2rfvA02', NULL, NULL, 133, NULL, NULL, 21378),
(66027, '2z61A01', NULL, NULL, 159, NULL, NULL, 21378),
(66028, '3nx3A01', NULL, NULL, 148, NULL, NULL, 21378),
(66029, '4qgrA02', NULL, NULL, 123, NULL, NULL, 21378),
(66030, '2bwnB01', NULL, NULL, 165, NULL, NULL, 21378),
(66031, '3b8xA02', NULL, NULL, 124, NULL, NULL, 21378),
(66032, '4zasA02', NULL, NULL, 117, NULL, NULL, 21378),
(66033, '3ezsA01', NULL, NULL, 135, NULL, NULL, 21378),
(66034, '3t32A01', NULL, NULL, 134, NULL, NULL, 21378),
(66035, '1qz9A01', NULL, NULL, 155, NULL, NULL, 21378),
(66036, '3pgyB01', NULL, NULL, 164, NULL, NULL, 21378),
(66037, '2e7jA01', NULL, NULL, 119, NULL, NULL, 21378),
(66038, '1d2fB01', NULL, NULL, 146, NULL, NULL, 21378),
(66039, '1fg7A02', NULL, NULL, 129, NULL, NULL, 21378),
(66040, '3mc6A02', NULL, NULL, 131, NULL, NULL, 21378),
(66041, '4o6zA01', NULL, NULL, 169, NULL, NULL, 21378),
(66042, '3iv6A02', NULL, NULL, 65, NULL, NULL, 21379),
(66043, '1wh2A01', NULL, NULL, 61, NULL, NULL, 21380),
(66044, '4bwsF00', NULL, NULL, 71, NULL, NULL, 21380),
(66045, '3k3vA00', NULL, NULL, 100, NULL, NULL, 21380),
(66046, '5irqD00', NULL, NULL, 494, NULL, NULL, 21381),
(66047, '2fdvC00', NULL, NULL, 476, NULL, NULL, 21381);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(66048, '5hiwA00', NULL, NULL, 398, NULL, NULL, 21381),
(66049, '4r21B00', NULL, NULL, 449, NULL, NULL, 21381),
(66050, '2xbkA00', NULL, NULL, 404, NULL, NULL, 21381),
(66051, '5y1iB00', NULL, NULL, 403, NULL, NULL, 21381),
(66052, '5it1A00', NULL, NULL, 399, NULL, NULL, 21381),
(66053, '2uuqA00', NULL, NULL, 414, NULL, NULL, 21381),
(66054, '3s79A00', NULL, NULL, 459, NULL, NULL, 21381),
(66055, '3mzsA00', NULL, NULL, 486, NULL, NULL, 21381),
(66056, '4yt3A00', NULL, NULL, 410, NULL, NULL, 21381),
(66057, '3abbA00', NULL, NULL, 408, NULL, NULL, 21381),
(66058, '5yqaA00', NULL, NULL, 393, NULL, NULL, 21381),
(66059, '5kyoA00', NULL, NULL, 399, NULL, NULL, 21381),
(66060, '5h1zA00', NULL, NULL, 407, NULL, NULL, 21381),
(66061, '1cptA00', NULL, NULL, 428, NULL, NULL, 21381),
(66062, '5e0eA00', NULL, NULL, 463, NULL, NULL, 21381),
(66063, '5li7A00', NULL, NULL, 414, NULL, NULL, 21381),
(66064, '4yzrA00', NULL, NULL, 405, NULL, NULL, 21381),
(66065, '2rfbA00', NULL, NULL, 343, NULL, NULL, 21381),
(66066, '5hh3C00', NULL, NULL, 397, NULL, NULL, 21381),
(66067, '5yhjB00', NULL, NULL, 413, NULL, NULL, 21381),
(66068, '2z3tA00', NULL, NULL, 425, NULL, NULL, 21381),
(66069, '2wm5A00', NULL, NULL, 435, NULL, NULL, 21381),
(66070, '3mgxB00', NULL, NULL, 391, NULL, NULL, 21381),
(66071, '6fyjA00', NULL, NULL, 421, NULL, NULL, 21381),
(66072, '4dvqL00', NULL, NULL, 483, NULL, NULL, 21381),
(66073, '5ofqD00', NULL, NULL, 409, NULL, NULL, 21381),
(66074, '3tktA00', NULL, NULL, 427, NULL, NULL, 21381),
(66075, '5tl8A00', NULL, NULL, 466, NULL, NULL, 21381),
(66076, '2nnjA00', NULL, NULL, 476, NULL, NULL, 21381),
(66077, '3k9vA00', NULL, NULL, 464, NULL, NULL, 21381),
(66078, '2jjnA00', NULL, NULL, 395, NULL, NULL, 21381),
(66079, '1z8oA00', NULL, NULL, 404, NULL, NULL, 21381),
(66080, '5a5iA00', NULL, NULL, 477, NULL, NULL, 21381),
(66081, '3v8dB00', NULL, NULL, 491, NULL, NULL, 21381),
(66082, '5cweA00', NULL, NULL, 393, NULL, NULL, 21381),
(66083, '4j6cA00', NULL, NULL, 410, NULL, NULL, 21381),
(66084, '5fyfA00', NULL, NULL, 422, NULL, NULL, 21381),
(66085, '3czhA00', NULL, NULL, 481, NULL, NULL, 21381),
(66086, '4y8wA00', NULL, NULL, 466, NULL, NULL, 21381),
(66087, '3tbgB00', NULL, NULL, 479, NULL, NULL, 21381),
(66088, '2yooA00', NULL, NULL, 407, NULL, NULL, 21381),
(66089, '5xjnA00', NULL, NULL, 404, NULL, NULL, 21381),
(66090, '3b98B00', NULL, NULL, 475, NULL, NULL, 21381),
(66091, '3qi8A00', NULL, NULL, 472, NULL, NULL, 21381),
(66092, '3zpiA00', NULL, NULL, 406, NULL, NULL, 21381),
(66093, '3n9yB00', NULL, NULL, 487, NULL, NULL, 21381),
(66094, '3ivyA00', NULL, NULL, 414, NULL, NULL, 21381),
(66095, '6cvcA00', NULL, NULL, 433, NULL, NULL, 21381),
(66096, '3oftA00', NULL, NULL, 396, NULL, NULL, 21381),
(66097, '4z5pA00', NULL, NULL, 400, NULL, NULL, 21381),
(66098, '3pm0A00', NULL, NULL, 463, NULL, NULL, 21381),
(66099, '5l1rA00', NULL, NULL, 401, NULL, NULL, 21381),
(66100, '4rm4A00', NULL, NULL, 375, NULL, NULL, 21381),
(66101, '1s1fA00', NULL, NULL, 406, NULL, NULL, 21381),
(66102, '3abaA00', NULL, NULL, 403, NULL, NULL, 21381),
(66103, '1nr6A00', NULL, NULL, 473, NULL, NULL, 21381),
(66104, '5e58B00', NULL, NULL, 465, NULL, NULL, 21381),
(66105, '4apyA00', NULL, NULL, 415, NULL, NULL, 21381),
(66106, '1uedA00', NULL, NULL, 406, NULL, NULL, 21381),
(66107, '2ve3B00', NULL, NULL, 444, NULL, NULL, 21381),
(66108, '2wiyA00', NULL, NULL, 394, NULL, NULL, 21381),
(66109, '3r9bA00', NULL, NULL, 418, NULL, NULL, 21381),
(66110, '3qz1D00', NULL, NULL, 468, NULL, NULL, 21381),
(66111, '1n40A00', NULL, NULL, 396, NULL, NULL, 21381),
(66112, '3dskB00', NULL, NULL, 471, NULL, NULL, 21381),
(66113, '4ejiA00', NULL, NULL, 476, NULL, NULL, 21381),
(66114, '1io7A00', NULL, NULL, 368, NULL, NULL, 21381),
(66115, '4c9lA00', NULL, NULL, 421, NULL, NULL, 21381),
(66116, '1izoA00', NULL, NULL, 417, NULL, NULL, 21381),
(66117, '4c27B00', NULL, NULL, 467, NULL, NULL, 21381),
(66118, '4l6gA00', NULL, NULL, 398, NULL, NULL, 21381),
(66119, '4ze1A01', NULL, NULL, 487, NULL, NULL, 21381),
(66120, '1lfkA00', NULL, NULL, 398, NULL, NULL, 21381);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(66121, '4dxyA00', NULL, NULL, 417, NULL, NULL, 21381),
(66122, '1q5dA00', NULL, NULL, 419, NULL, NULL, 21381),
(66123, '4i8vD00', NULL, NULL, 491, NULL, NULL, 21381),
(66124, '4z5qA00', NULL, NULL, 391, NULL, NULL, 21381),
(66125, '5ex6C00', NULL, NULL, 393, NULL, NULL, 21381),
(66126, '6f0cA00', NULL, NULL, 395, NULL, NULL, 21381),
(66127, '3p3oA00', NULL, NULL, 416, NULL, NULL, 21381),
(66128, '5xw2A00', NULL, NULL, 399, NULL, NULL, 21381),
(66129, '2zbxA00', NULL, NULL, 412, NULL, NULL, 21381),
(66130, '2xkrA00', NULL, NULL, 398, NULL, NULL, 21381),
(66131, '3wvsA00', NULL, NULL, 401, NULL, NULL, 21381),
(66132, '6b82A00', NULL, NULL, 469, NULL, NULL, 21381),
(66133, '3b4xA00', NULL, NULL, 367, NULL, NULL, 21381),
(66134, '6m7xB00', NULL, NULL, 484, NULL, NULL, 21381),
(66135, '3bujA00', NULL, NULL, 397, NULL, NULL, 21381),
(66136, '5ysmA00', NULL, NULL, 402, NULL, NULL, 21381),
(66137, '6f8aA00', NULL, NULL, 400, NULL, NULL, 21381),
(66138, '5m0nA00', NULL, NULL, 428, NULL, NULL, 21381),
(66139, '2cibA00', NULL, NULL, 455, NULL, NULL, 21381),
(66140, '5vwsA00', NULL, NULL, 393, NULL, NULL, 21381),
(66141, '2y5nB00', NULL, NULL, 400, NULL, NULL, 21381),
(66142, '2yjnB00', NULL, NULL, 362, NULL, NULL, 21381),
(66143, '3l4dD00', NULL, NULL, 453, NULL, NULL, 21381),
(66144, '4dtyA00', NULL, NULL, 469, NULL, NULL, 21381),
(66145, '4g3jA00', NULL, NULL, 448, NULL, NULL, 21381),
(66146, '4l0fA00', NULL, NULL, 446, NULL, NULL, 21381),
(66147, '1jfbA00', NULL, NULL, 404, NULL, NULL, 21381),
(66148, '6hqdC00', NULL, NULL, 420, NULL, NULL, 21381),
(66149, '2ij2B00', NULL, NULL, 470, NULL, NULL, 21381),
(66150, '4dnjA00', NULL, NULL, 412, NULL, NULL, 21381),
(66151, '5foiA00', NULL, NULL, 389, NULL, NULL, 21381),
(66152, '4ggvA00', NULL, NULL, 396, NULL, NULL, 21381),
(66153, '3dbgA00', NULL, NULL, 446, NULL, NULL, 21381),
(66154, '5hdiA00', NULL, NULL, 404, NULL, NULL, 21381),
(66155, '3oo3A00', NULL, NULL, 384, NULL, NULL, 21381),
(66156, '4mm0B00', NULL, NULL, 399, NULL, NULL, 21381),
(66157, '4xe3A00', NULL, NULL, 407, NULL, NULL, 21381),
(66158, '3awmA00', NULL, NULL, 415, NULL, NULL, 21381),
(66159, '5vccA00', NULL, NULL, 487, NULL, NULL, 21381),
(66160, '5ex8A00', NULL, NULL, 424, NULL, NULL, 21381),
(66161, '3nc3B00', NULL, NULL, 401, NULL, NULL, 21381),
(66162, '5xntA00', NULL, NULL, 411, NULL, NULL, 21381),
(66163, '1gwiA00', NULL, NULL, 411, NULL, NULL, 21381),
(66164, '2hi4A00', NULL, NULL, 495, NULL, NULL, 21381),
(66165, '3danA00', NULL, NULL, 473, NULL, NULL, 21381),
(66166, '3a4gA00', NULL, NULL, 411, NULL, NULL, 21381),
(66167, '3wecA00', NULL, NULL, 419, NULL, NULL, 21381),
(66168, '3tywD00', NULL, NULL, 401, NULL, NULL, 21381),
(66169, '5ucwA00', NULL, NULL, 456, NULL, NULL, 21381),
(66170, '1odoA00', NULL, NULL, 408, NULL, NULL, 21381),
(66171, '2dkkA00', NULL, NULL, 411, NULL, NULL, 21381),
(66172, '5ufgA00', NULL, NULL, 476, NULL, NULL, 21381),
(66173, '6mjmA00', NULL, NULL, 480, NULL, NULL, 21381),
(66174, '6b11A00', NULL, NULL, 389, NULL, NULL, 21381),
(66175, '5z9jC00', NULL, NULL, 398, NULL, NULL, 21381),
(66176, '5l92A00', NULL, NULL, 410, NULL, NULL, 21381),
(66177, '3b6hA00', NULL, NULL, 498, NULL, NULL, 21381),
(66178, '4l4eA00', NULL, NULL, 415, NULL, NULL, 21381),
(66179, '4wpzA00', NULL, NULL, 397, NULL, NULL, 21381),
(66180, '1n97A00', NULL, NULL, 389, NULL, NULL, 21381),
(66181, '3rwlA00', NULL, NULL, 426, NULL, NULL, 21381),
(66182, '4ubsA00', NULL, NULL, 393, NULL, NULL, 21381),
(66183, '3mdmA00', NULL, NULL, 456, NULL, NULL, 21381),
(66184, '4tpoA00', NULL, NULL, 407, NULL, NULL, 21381),
(66185, '6gmfA00', NULL, NULL, 397, NULL, NULL, 21381),
(66186, '3ld6B00', NULL, NULL, 461, NULL, NULL, 21381),
(66187, '4tvfA00', NULL, NULL, 393, NULL, NULL, 21381),
(66188, '6bldA00', NULL, NULL, 419, NULL, NULL, 21381),
(66189, '2z36B00', NULL, NULL, 413, NULL, NULL, 21381),
(66190, '1po5A00', NULL, NULL, 476, NULL, NULL, 21381),
(66191, '3ejbH02', NULL, NULL, 274, NULL, NULL, 21381),
(66192, '4gqsD00', NULL, NULL, 477, NULL, NULL, 21381),
(66193, '6m7lA00', NULL, NULL, 379, NULL, NULL, 21381);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(66194, '3e6iB00', NULL, NULL, 476, NULL, NULL, 21381),
(66195, '4oqrA00', NULL, NULL, 391, NULL, NULL, 21381),
(66196, '3gwcA02', NULL, NULL, 62, NULL, NULL, 21382),
(66197, '3fnnA02', NULL, NULL, 62, NULL, NULL, 21382),
(66198, '4b9iA00', NULL, NULL, 149, NULL, NULL, 21383),
(66199, '4b9jA00', NULL, NULL, 150, NULL, NULL, 21383),
(66200, '4b9gA00', NULL, NULL, 161, NULL, NULL, 21383),
(66201, '2csuA02', NULL, NULL, 159, NULL, NULL, 21384),
(66202, '2csuA03', NULL, NULL, 170, NULL, NULL, 21384),
(66203, '2fp4A02', NULL, NULL, 170, NULL, NULL, 21384),
(66204, '2fp4B03', NULL, NULL, 146, NULL, NULL, 21384),
(66205, '6mggA02', NULL, NULL, 166, NULL, NULL, 21384),
(66206, '3ufxB03', NULL, NULL, 148, NULL, NULL, 21384),
(66207, '2yv2A02', NULL, NULL, 168, NULL, NULL, 21384),
(66208, '5tdeB02', NULL, NULL, 186, NULL, NULL, 21384),
(66209, '5tdeA03', NULL, NULL, 189, NULL, NULL, 21384),
(66210, '2yv1A02', NULL, NULL, 164, NULL, NULL, 21384),
(66211, '1oi7A02', NULL, NULL, 165, NULL, NULL, 21384),
(66212, '4xymC03', NULL, NULL, 171, NULL, NULL, 21384),
(66213, '4xymA02', NULL, NULL, 164, NULL, NULL, 21384),
(66214, '2nu8B03', NULL, NULL, 149, NULL, NULL, 21384),
(66215, '2nu8A02', NULL, NULL, 166, NULL, NULL, 21384),
(66216, '6melA02', NULL, NULL, 172, NULL, NULL, 21384),
(66217, '3dmyA02', NULL, NULL, 140, NULL, NULL, 21384),
(66218, '3dmyA03', NULL, NULL, 166, NULL, NULL, 21384),
(66219, '5mmjb02', NULL, NULL, 52, NULL, NULL, 21385),
(66220, '5fpoA01', NULL, NULL, 61, NULL, NULL, 21385),
(66221, '1dgsA01', NULL, NULL, 76, NULL, NULL, 21385),
(66222, '1b04A03', NULL, NULL, 63, NULL, NULL, 21385),
(66223, '2vqeB02', NULL, NULL, 56, NULL, NULL, 21385),
(66224, '1zauA01', NULL, NULL, 77, NULL, NULL, 21385),
(66225, '5o5jV02', NULL, NULL, 52, NULL, NULL, 21385),
(66226, '4toiA02', NULL, NULL, 48, NULL, NULL, 21385),
(66227, '5tt5A01', NULL, NULL, 61, NULL, NULL, 21385),
(66228, '1ta8A01', NULL, NULL, 68, NULL, NULL, 21385),
(66229, '3uq8A01', NULL, NULL, 59, NULL, NULL, 21385),
(66230, '2riqA01', NULL, NULL, 76, NULL, NULL, 21386),
(66231, '3qpiA00', NULL, NULL, 189, NULL, NULL, 21387),
(66232, '5k91B00', NULL, NULL, 188, NULL, NULL, 21387),
(66233, '5hzxA00', NULL, NULL, 154, NULL, NULL, 21388),
(66234, '1k2eA00', NULL, NULL, 156, NULL, NULL, 21388),
(66235, '5wwdA00', NULL, NULL, 149, NULL, NULL, 21388),
(66236, '1x51A01', NULL, NULL, 143, NULL, NULL, 21388),
(66237, '3i9xA00', NULL, NULL, 165, NULL, NULL, 21388),
(66238, '3i7uA01', NULL, NULL, 126, NULL, NULL, 21388),
(66239, '4kyxA00', NULL, NULL, 149, NULL, NULL, 21388),
(66240, '3exqA01', NULL, NULL, 144, NULL, NULL, 21388),
(66241, '3o69A00', NULL, NULL, 191, NULL, NULL, 21388),
(66242, '3f13B00', NULL, NULL, 163, NULL, NULL, 21388),
(66243, '2yyhA00', NULL, NULL, 139, NULL, NULL, 21388),
(66244, '4kg3B00', NULL, NULL, 146, NULL, NULL, 21388),
(66245, '3smdA00', NULL, NULL, 153, NULL, NULL, 21388),
(66246, '5zrcA00', NULL, NULL, 128, NULL, NULL, 21388),
(66247, '2fmlA02', NULL, NULL, 164, NULL, NULL, 21388),
(66248, '3q91B00', NULL, NULL, 147, NULL, NULL, 21388),
(66249, '4hfqA02', NULL, NULL, 139, NULL, NULL, 21388),
(66250, '3grnA00', NULL, NULL, 153, NULL, NULL, 21388),
(66251, '3edsA00', NULL, NULL, 153, NULL, NULL, 21388),
(66252, '1mk1A00', NULL, NULL, 207, NULL, NULL, 21388),
(66253, '1vhzA01', NULL, NULL, 189, NULL, NULL, 21388),
(66254, '3fcmA00', NULL, NULL, 197, NULL, NULL, 21388),
(66255, '2pqvB00', NULL, NULL, 154, NULL, NULL, 21388),
(66256, '2b06A00', NULL, NULL, 155, NULL, NULL, 21388),
(66257, '4dywA00', NULL, NULL, 132, NULL, NULL, 21388),
(66258, '2a8tB00', NULL, NULL, 195, NULL, NULL, 21388),
(66259, '1f3yA00', NULL, NULL, 165, NULL, NULL, 21388),
(66260, '3hyqA00', NULL, NULL, 151, NULL, NULL, 21388),
(66261, '3sonA00', NULL, NULL, 149, NULL, NULL, 21388),
(66262, '3hhjB00', NULL, NULL, 132, NULL, NULL, 21388),
(66263, '5qoqA00', NULL, NULL, 151, NULL, NULL, 21388),
(66264, '2rrkA00', NULL, NULL, 140, NULL, NULL, 21388),
(66265, '2o1cA00', NULL, NULL, 150, NULL, NULL, 21388),
(66266, '3kvhA00', NULL, NULL, 214, NULL, NULL, 21388);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(66267, '1ryaA00', NULL, NULL, 160, NULL, NULL, 21388),
(66268, '2w4eA00', NULL, NULL, 145, NULL, NULL, 21388),
(66269, '3o8sA00', NULL, NULL, 139, NULL, NULL, 21388),
(66270, '3fjyA01', NULL, NULL, 182, NULL, NULL, 21388),
(66271, '6dt3B00', NULL, NULL, 144, NULL, NULL, 21388),
(66272, '3qsjA00', NULL, NULL, 232, NULL, NULL, 21388),
(66273, '4jzuA00', NULL, NULL, 158, NULL, NULL, 21388),
(66274, '3h95A01', NULL, NULL, 140, NULL, NULL, 21388),
(66275, '4mpoB00', NULL, NULL, 153, NULL, NULL, 21388),
(66276, '3bhoA01', NULL, NULL, 193, NULL, NULL, 21388),
(66277, '1sjyA00', NULL, NULL, 159, NULL, NULL, 21388),
(66278, '5x1xA00', NULL, NULL, 130, NULL, NULL, 21388),
(66279, '3dupB01', NULL, NULL, 178, NULL, NULL, 21388),
(66280, '3j7ye00', NULL, NULL, 135, NULL, NULL, 21388),
(66281, '5deqA01', NULL, NULL, 143, NULL, NULL, 21388),
(66282, '5lpgA00', NULL, NULL, 164, NULL, NULL, 21388),
(66283, '2r5wB02', NULL, NULL, 151, NULL, NULL, 21388),
(66284, '3a6sA00', NULL, NULL, 129, NULL, NULL, 21388),
(66285, '2b0vA00', NULL, NULL, 153, NULL, NULL, 21388),
(66286, '5z78B00', NULL, NULL, 209, NULL, NULL, 21388),
(66287, '1q33A02', NULL, NULL, 171, NULL, NULL, 21388),
(66288, '3fk9A00', NULL, NULL, 155, NULL, NULL, 21388),
(66289, '5mzeA00', NULL, NULL, 153, NULL, NULL, 21388),
(66290, '2o5fB00', NULL, NULL, 171, NULL, NULL, 21388),
(66291, '5c7qB00', NULL, NULL, 182, NULL, NULL, 21388),
(66292, '3f6aA00', NULL, NULL, 159, NULL, NULL, 21388),
(66293, '4ickA00', NULL, NULL, 155, NULL, NULL, 21388),
(66294, '5ws7A00', NULL, NULL, 156, NULL, NULL, 21388),
(66295, '2qjoB02', NULL, NULL, 145, NULL, NULL, 21388),
(66296, '4nfwF00', NULL, NULL, 153, NULL, NULL, 21388),
(66297, '4ktbA00', NULL, NULL, 161, NULL, NULL, 21388),
(66298, '4v14A00', NULL, NULL, 138, NULL, NULL, 21388),
(66299, '3cngC02', NULL, NULL, 152, NULL, NULL, 21388),
(66300, '3fspA03', NULL, NULL, 132, NULL, NULL, 21388),
(66301, '5ltuB00', NULL, NULL, 147, NULL, NULL, 21388),
(66302, '3q91D00', NULL, NULL, 184, NULL, NULL, 21388),
(66303, '4s2xA00', NULL, NULL, 161, NULL, NULL, 21388),
(66304, '1vw4601', NULL, NULL, 129, NULL, NULL, 21388),
(66305, '3rh7A02', NULL, NULL, 129, NULL, NULL, 21388),
(66306, '1ppvA00', NULL, NULL, 183, NULL, NULL, 21388),
(66307, '1ktgA00', NULL, NULL, 138, NULL, NULL, 21388),
(66308, '1vcdA01', NULL, NULL, 122, NULL, NULL, 21388),
(66309, '3eesA00', NULL, NULL, 134, NULL, NULL, 21388),
(66310, '3mgmA00', NULL, NULL, 164, NULL, NULL, 21388),
(66311, '3gz8C01', NULL, NULL, 140, NULL, NULL, 21388),
(66312, '2yvpA00', NULL, NULL, 182, NULL, NULL, 21388),
(66313, '2pnyA00', NULL, NULL, 246, NULL, NULL, 21388),
(66314, '5cfjA00', NULL, NULL, 152, NULL, NULL, 21388),
(66315, '1nqzA00', NULL, NULL, 194, NULL, NULL, 21388),
(66316, '2fkbC00', NULL, NULL, 180, NULL, NULL, 21388),
(66317, '3id9B00', NULL, NULL, 149, NULL, NULL, 21388),
(66318, '3n77A00', NULL, NULL, 144, NULL, NULL, 21388),
(66319, '4hvyA00', NULL, NULL, 162, NULL, NULL, 21388),
(66320, '1vk6A02', NULL, NULL, 132, NULL, NULL, 21388),
(66321, '5qk0D00', NULL, NULL, 209, NULL, NULL, 21388),
(66322, '3x0iA00', NULL, NULL, 170, NULL, NULL, 21388),
(66323, '2dhoA00', NULL, NULL, 215, NULL, NULL, 21388),
(66324, '2qkmB02', NULL, NULL, 158, NULL, NULL, 21388),
(66325, '3mcfA00', NULL, NULL, 136, NULL, NULL, 21388),
(66326, '1hztA00', NULL, NULL, 160, NULL, NULL, 21388),
(66327, '1g0sA00', NULL, NULL, 209, NULL, NULL, 21388),
(66328, '3gwyB00', NULL, NULL, 140, NULL, NULL, 21388),
(66329, '3q1pA02', NULL, NULL, 165, NULL, NULL, 21388),
(66330, '3e57A00', NULL, NULL, 211, NULL, NULL, 21388),
(66331, '2fvvA00', NULL, NULL, 135, NULL, NULL, 21388),
(66332, '3r03A00', NULL, NULL, 144, NULL, NULL, 21388),
(66333, '2azwA00', NULL, NULL, 148, NULL, NULL, 21388),
(66334, '2c1iA01', NULL, NULL, 129, NULL, NULL, 21389),
(66335, '3zjxB01', NULL, NULL, 86, NULL, NULL, 21390),
(66336, '3cf6E01', NULL, NULL, 55, NULL, NULL, 21391),
(66337, '3rsiB01', NULL, NULL, 71, NULL, NULL, 21392),
(66338, '3ispB02', NULL, NULL, 228, NULL, NULL, 21393),
(66339, '3szpB02', NULL, NULL, 202, NULL, NULL, 21393);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(66340, '5y9qA00', NULL, NULL, 198, NULL, NULL, 21393),
(66341, '4qbaA00', NULL, NULL, 204, NULL, NULL, 21393),
(66342, '4jvcA00', NULL, NULL, 216, NULL, NULL, 21393),
(66343, '5fhkA00', NULL, NULL, 207, NULL, NULL, 21393),
(66344, '2hxrA00', NULL, NULL, 208, NULL, NULL, 21393),
(66345, '1n0uA03', NULL, NULL, 107, NULL, NULL, 21394),
(66346, '1n9pA00', NULL, NULL, 207, NULL, NULL, 21395),
(66347, '3k6nA00', NULL, NULL, 207, NULL, NULL, 21395),
(66348, '6jb1A01', NULL, NULL, 198, NULL, NULL, 21395),
(66349, '3vsqA00', NULL, NULL, 208, NULL, NULL, 21395),
(66350, '2wllB02', NULL, NULL, 157, NULL, NULL, 21395),
(66351, '5kukA01', NULL, NULL, 211, NULL, NULL, 21395),
(66352, '2gixB01', NULL, NULL, 208, NULL, NULL, 21395),
(66353, '4lp8A02', NULL, NULL, 163, NULL, NULL, 21395),
(66354, '3syaA01', NULL, NULL, 210, NULL, NULL, 21395),
(66355, '2qnuA00', NULL, NULL, 226, NULL, NULL, 21396),
(66356, '3f6kA02', NULL, NULL, 57, NULL, NULL, 21397),
(66357, '3rstA02', NULL, NULL, 67, NULL, NULL, 21398),
(66358, '2l6oA02', NULL, NULL, 42, NULL, NULL, 21399),
(66359, '1kjnA00', NULL, NULL, 157, NULL, NULL, 21400),
(66360, '3r6oA01', NULL, NULL, 78, NULL, NULL, 21401),
(66361, '2zxpA02', NULL, NULL, 261, NULL, NULL, 21402),
(66362, '5f56A02', NULL, NULL, 263, NULL, NULL, 21402),
(66363, '3ig5A04', NULL, NULL, 66, NULL, NULL, 21403),
(66364, '3h09A04', NULL, NULL, 72, NULL, NULL, 21404),
(66365, '2b2cA01', NULL, NULL, 89, NULL, NULL, 21405),
(66366, '2cmgA01', NULL, NULL, 51, NULL, NULL, 21405),
(66367, '1uirA01', NULL, NULL, 52, NULL, NULL, 21405),
(66368, '2o07A01', NULL, NULL, 59, NULL, NULL, 21405),
(66369, '3o4fC01', NULL, NULL, 60, NULL, NULL, 21405),
(66370, '3c6kA02', NULL, NULL, 56, NULL, NULL, 21405),
(66371, '2i7cA01', NULL, NULL, 59, NULL, NULL, 21405),
(66372, '1iy9A02', NULL, NULL, 52, NULL, NULL, 21405),
(66373, '1inlC02', NULL, NULL, 67, NULL, NULL, 21405),
(66374, '1xj5B01', NULL, NULL, 60, NULL, NULL, 21405),
(66375, '3bwcA01', NULL, NULL, 76, NULL, NULL, 21405),
(66376, '4yv1A01', NULL, NULL, 59, NULL, NULL, 21405),
(66377, '4yuvA01', NULL, NULL, 76, NULL, NULL, 21405),
(66378, '3bwbB01', NULL, NULL, 76, NULL, NULL, 21405),
(66379, '3bwbA01', NULL, NULL, 76, NULL, NULL, 21405),
(66380, '3bwcB01', NULL, NULL, 76, NULL, NULL, 21405),
(66381, '1mjfA01', NULL, NULL, 55, NULL, NULL, 21405),
(66382, '2o06B01', NULL, NULL, 76, NULL, NULL, 21405),
(66383, '2e5wA01', NULL, NULL, 56, NULL, NULL, 21405),
(66384, '3lxuX04', NULL, NULL, 132, NULL, NULL, 21406),
(66385, '6em3O02', NULL, NULL, 50, NULL, NULL, 21407),
(66386, '4a17I02', NULL, NULL, 50, NULL, NULL, 21407),
(66387, '1h5wB01', NULL, NULL, 87, NULL, NULL, 21408),
(66388, '3py9A01', NULL, NULL, 73, NULL, NULL, 21409),
(66389, '3py9A02', NULL, NULL, 69, NULL, NULL, 21409),
(66390, '3py9A03', NULL, NULL, 66, NULL, NULL, 21409),
(66391, '5e0yA00', NULL, NULL, 72, NULL, NULL, 21409),
(66392, '5e10A02', NULL, NULL, 68, NULL, NULL, 21409),
(66393, '3ouvA00', NULL, NULL, 71, NULL, NULL, 21409),
(66394, '2mgvA00', NULL, NULL, 65, NULL, NULL, 21409),
(66395, '5e10A01', NULL, NULL, 65, NULL, NULL, 21409),
(66396, '2vxdA00', NULL, NULL, 54, NULL, NULL, 21410),
(66397, '2l7xA00', NULL, NULL, 77, NULL, NULL, 21411),
(66398, '2k9hA00', NULL, NULL, 57, NULL, NULL, 21411),
(66399, '3wguB00', NULL, NULL, 303, NULL, NULL, 21412),
(66400, '4xe5B02', NULL, NULL, 242, NULL, NULL, 21412),
(66401, '2zxeB02', NULL, NULL, 243, NULL, NULL, 21412),
(66402, '4hytB02', NULL, NULL, 242, NULL, NULL, 21412),
(66403, '4dx9q00', NULL, NULL, 141, NULL, NULL, 21413),
(66404, '4hceA00', NULL, NULL, 131, NULL, NULL, 21414),
(66405, '2dlvA02', NULL, NULL, 80, NULL, NULL, 21415),
(66406, '1htjF00', NULL, NULL, 185, NULL, NULL, 21415),
(66407, '3v5wA02', NULL, NULL, 80, NULL, NULL, 21415),
(66408, '4pniA01', NULL, NULL, 211, NULL, NULL, 21415),
(66409, '2pbiA04', NULL, NULL, 157, NULL, NULL, 21415),
(66410, '2es0A00', NULL, NULL, 130, NULL, NULL, 21415),
(66411, '3c4zA01', NULL, NULL, 220, NULL, NULL, 21415),
(66412, '4gouA01', NULL, NULL, 152, NULL, NULL, 21415),
(66413, '2d9jA02', NULL, NULL, 79, NULL, NULL, 21415);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(66414, '2oj4A02', NULL, NULL, 80, NULL, NULL, 21415),
(66415, '2crpA02', NULL, NULL, 80, NULL, NULL, 21415),
(66416, '3pvuA02', NULL, NULL, 80, NULL, NULL, 21415),
(66417, '4wnkA01', NULL, NULL, 191, NULL, NULL, 21415),
(66418, '1agrE02', NULL, NULL, 80, NULL, NULL, 21415),
(66419, '2af0A02', NULL, NULL, 80, NULL, NULL, 21415),
(66420, '1cmzA02', NULL, NULL, 80, NULL, NULL, 21415),
(66421, '1fqjB02', NULL, NULL, 79, NULL, NULL, 21415),
(66422, '3ab3D00', NULL, NULL, 212, NULL, NULL, 21415),
(66423, '6n9gA04', NULL, NULL, 149, NULL, NULL, 21415),
(66424, '2a72A00', NULL, NULL, 146, NULL, NULL, 21415),
(66425, '4iguA00', NULL, NULL, 148, NULL, NULL, 21415),
(66426, '2i59A00', NULL, NULL, 138, NULL, NULL, 21415),
(66427, '2bv1A02', NULL, NULL, 79, NULL, NULL, 21415),
(66428, '3c4wB01', NULL, NULL, 213, NULL, NULL, 21415),
(66429, '3cx8B00', NULL, NULL, 203, NULL, NULL, 21415),
(66430, '4yhjB01', NULL, NULL, 213, NULL, NULL, 21415),
(66431, '2ebzA02', NULL, NULL, 81, NULL, NULL, 21415),
(66432, '2acxA01', NULL, NULL, 242, NULL, NULL, 21415),
(66433, '1dk8A02', NULL, NULL, 85, NULL, NULL, 21415),
(66434, '2ihbB02', NULL, NULL, 79, NULL, NULL, 21415),
(66435, '3c7lA02', NULL, NULL, 80, NULL, NULL, 21415),
(66436, '2jnuA02', NULL, NULL, 81, NULL, NULL, 21415),
(66437, '2bt2A02', NULL, NULL, 80, NULL, NULL, 21415),
(66438, '3nynA03', NULL, NULL, 81, NULL, NULL, 21415),
(66439, '2ihdA02', NULL, NULL, 80, NULL, NULL, 21415),
(66440, '6am3A00', NULL, NULL, 137, NULL, NULL, 21415),
(66441, '4tndA02', NULL, NULL, 80, NULL, NULL, 21415),
(66442, '3mqzA00', NULL, NULL, 215, NULL, NULL, 21416),
(66443, '2a8eA00', NULL, NULL, 220, NULL, NULL, 21416),
(66444, '2ia1A01', NULL, NULL, 119, NULL, NULL, 21417),
(66445, '4bjqA00', NULL, NULL, 78, NULL, NULL, 21418),
(66446, '2xqyA02', NULL, NULL, 160, NULL, NULL, 21419),
(66447, '3psfA01', NULL, NULL, 106, NULL, NULL, 21420),
(66448, '4iylA02', NULL, NULL, 36, NULL, NULL, 21421),
(66449, '1uj8A00', NULL, NULL, 77, NULL, NULL, 21422),
(66450, '2nzxA02', NULL, NULL, 126, NULL, NULL, 21423),
(66451, '1gk9B03', NULL, NULL, 161, NULL, NULL, 21424),
(66452, '3k3wB03', NULL, NULL, 159, NULL, NULL, 21424),
(66453, '4pemB03', NULL, NULL, 161, NULL, NULL, 21424),
(66454, '4wksC03', NULL, NULL, 182, NULL, NULL, 21424),
(66455, '4hstB03', NULL, NULL, 129, NULL, NULL, 21424),
(66456, '4yfbC03', NULL, NULL, 194, NULL, NULL, 21424),
(66457, '1cp9B03', NULL, NULL, 161, NULL, NULL, 21424),
(66458, '1fm2B02', NULL, NULL, 181, NULL, NULL, 21424),
(66459, '5llkA02', NULL, NULL, 135, NULL, NULL, 21425),
(66460, '4wiqA02', NULL, NULL, 135, NULL, NULL, 21425),
(66461, '4kiz502', NULL, NULL, 18, NULL, NULL, 21426),
(66462, '3x01B01', NULL, NULL, 180, NULL, NULL, 21427),
(66463, '5e3sA01', NULL, NULL, 168, NULL, NULL, 21427),
(66464, '2gk9B01', NULL, NULL, 176, NULL, NULL, 21427),
(66465, '2ybxA01', NULL, NULL, 171, NULL, NULL, 21427),
(66466, '3kwlA04', NULL, NULL, 136, NULL, NULL, 21428),
(66467, '4iqnA00', NULL, NULL, 225, NULL, NULL, 21429),
(66468, '4hg1B00', NULL, NULL, 225, NULL, NULL, 21429),
(66469, '4iqnB00', NULL, NULL, 225, NULL, NULL, 21429),
(66470, '4iqnC00', NULL, NULL, 225, NULL, NULL, 21429),
(66471, '3fo8D03', NULL, NULL, 20, NULL, NULL, 21430),
(66472, '2yk7A01', NULL, NULL, 82, NULL, NULL, 21431),
(66473, '2yk4A01', NULL, NULL, 82, NULL, NULL, 21431),
(66474, '3witA00', NULL, NULL, 82, NULL, NULL, 21432),
(66475, '3pqhA01', NULL, NULL, 60, NULL, NULL, 21432),
(66476, '3a98A02', NULL, NULL, 97, NULL, NULL, 21433),
(66477, '4llgM00', NULL, NULL, 64, NULL, NULL, 21434),
(66478, '3wcoA01', NULL, NULL, 129, NULL, NULL, 21435),
(66479, '4jm1A00', NULL, NULL, 84, NULL, NULL, 21436),
(66480, '4mt1A03', NULL, NULL, 98, NULL, NULL, 21437),
(66481, '5t0oA03', NULL, NULL, 101, NULL, NULL, 21437),
(66482, '3w9iA03', NULL, NULL, 100, NULL, NULL, 21437),
(66483, '5enqC02', NULL, NULL, 103, NULL, NULL, 21437),
(66484, '3qyeA02', NULL, NULL, 95, NULL, NULL, 21438),
(66485, '2qq8A02', NULL, NULL, 118, NULL, NULL, 21438),
(66486, '3hzjA02', NULL, NULL, 94, NULL, NULL, 21438),
(66487, '4nc6A02', NULL, NULL, 94, NULL, NULL, 21438);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(66488, '3qybA02', NULL, NULL, 93, NULL, NULL, 21438),
(66489, '4p17A02', NULL, NULL, 110, NULL, NULL, 21438),
(66490, '4fqeA00', NULL, NULL, 222, NULL, NULL, 21439),
(66491, '2f1cX00', NULL, NULL, 286, NULL, NULL, 21439),
(66492, '2wjrA00', NULL, NULL, 214, NULL, NULL, 21439),
(66493, '4j7hA02', NULL, NULL, 168, NULL, NULL, 21440),
(66494, '2kc5A01', NULL, NULL, 136, NULL, NULL, 21441),
(66495, '2x2zD01', NULL, NULL, 152, NULL, NULL, 21442),
(66496, '2k13X00', NULL, NULL, 103, NULL, NULL, 21442),
(66497, '5eokA02', NULL, NULL, 90, NULL, NULL, 21442),
(66498, '5eokA01', NULL, NULL, 89, NULL, NULL, 21442),
(66499, '3zleI01', NULL, NULL, 100, NULL, NULL, 21442),
(66500, '5eokA04', NULL, NULL, 83, NULL, NULL, 21442),
(66501, '5eokA03', NULL, NULL, 97, NULL, NULL, 21442),
(66502, '3hmrA00', NULL, NULL, 99, NULL, NULL, 21442),
(66503, '1yxeA01', NULL, NULL, 101, NULL, NULL, 21442),
(66504, '4durB01', NULL, NULL, 82, NULL, NULL, 21442),
(66505, '3sriA01', NULL, NULL, 110, NULL, NULL, 21442),
(66506, '1gp9C01', NULL, NULL, 92, NULL, NULL, 21442),
(66507, '4aplB01', NULL, NULL, 103, NULL, NULL, 21442),
(66508, '2y8tD01', NULL, NULL, 104, NULL, NULL, 21442),
(66509, '4z0eA01', NULL, NULL, 92, NULL, NULL, 21442),
(66510, '1w8kA02', NULL, NULL, 110, NULL, NULL, 21442),
(66511, '4uv6A01', NULL, NULL, 127, NULL, NULL, 21442),
(66512, '1gmnB01', NULL, NULL, 66, NULL, NULL, 21442),
(66513, '4yivA01', NULL, NULL, 160, NULL, NULL, 21442),
(66514, '3hmsA00', NULL, NULL, 101, NULL, NULL, 21442),
(66515, '2ll3A00', NULL, NULL, 82, NULL, NULL, 21442),
(66516, '2yilA01', NULL, NULL, 83, NULL, NULL, 21442),
(66517, '1i8nA00', NULL, NULL, 90, NULL, NULL, 21442),
(66518, '3srjA01', NULL, NULL, 113, NULL, NULL, 21442),
(66519, '1hkyA00', NULL, NULL, 86, NULL, NULL, 21442),
(66520, '4apmA01', NULL, NULL, 108, NULL, NULL, 21442),
(66521, '4r1bA01', NULL, NULL, 92, NULL, NULL, 21442),
(66522, '3w3wA02', NULL, NULL, 31, NULL, NULL, 21443),
(66523, '1vq0A01', NULL, NULL, 242, NULL, NULL, 21444),
(66524, '1vzyA01', NULL, NULL, 234, NULL, NULL, 21444),
(66525, '1hw7A01', NULL, NULL, 178, NULL, NULL, 21444),
(66526, '4lqeA00', NULL, NULL, 160, NULL, NULL, 21445),
(66527, '5a0yA02', NULL, NULL, 175, NULL, NULL, 21446),
(66528, '5a0yB02', NULL, NULL, 147, NULL, NULL, 21446),
(66529, '5a8wA02', NULL, NULL, 175, NULL, NULL, 21446),
(66530, '5a8wB02', NULL, NULL, 147, NULL, NULL, 21446),
(66531, '5n1qA02', NULL, NULL, 175, NULL, NULL, 21446),
(66532, '3sqgB02', NULL, NULL, 145, NULL, NULL, 21446),
(66533, '5n1qB02', NULL, NULL, 147, NULL, NULL, 21446),
(66534, '3sqgA02', NULL, NULL, 181, NULL, NULL, 21446),
(66535, '1e6vA02', NULL, NULL, 175, NULL, NULL, 21446),
(66536, '1e6vB01', NULL, NULL, 147, NULL, NULL, 21446),
(66537, '1e6yA02', NULL, NULL, 175, NULL, NULL, 21446),
(66538, '1e6yB01', NULL, NULL, 147, NULL, NULL, 21446),
(66539, '5n28A02', NULL, NULL, 175, NULL, NULL, 21446),
(66540, '5n28B02', NULL, NULL, 147, NULL, NULL, 21446),
(66541, '5eo6B00', NULL, NULL, 324, NULL, NULL, 21447),
(66542, '3e8jB00', NULL, NULL, 306, NULL, NULL, 21447),
(66543, '1tklA00', NULL, NULL, 326, NULL, NULL, 21447),
(66544, '1txnA00', NULL, NULL, 270, NULL, NULL, 21447),
(66545, '3ejoA00', NULL, NULL, 310, NULL, NULL, 21447),
(66546, '1vjuB00', NULL, NULL, 309, NULL, NULL, 21447),
(66547, '2aexA00', NULL, NULL, 346, NULL, NULL, 21447),
(66548, '1vpcA00', NULL, NULL, 45, NULL, NULL, 21448),
(66549, '3kdjA00', NULL, NULL, 202, NULL, NULL, 21449),
(66550, '2lcgA00', NULL, NULL, 142, NULL, NULL, 21449),
(66551, '3w9kA00', NULL, NULL, 139, NULL, NULL, 21449),
(66552, '3oh8A01', NULL, NULL, 141, NULL, NULL, 21449),
(66553, '2ldkA00', NULL, NULL, 172, NULL, NULL, 21449),
(66554, '3ggnB00', NULL, NULL, 155, NULL, NULL, 21449),
(66555, '5mmqB00', NULL, NULL, 191, NULL, NULL, 21449),
(66556, '3cnwA00', NULL, NULL, 148, NULL, NULL, 21449),
(66557, '3r6pA00', NULL, NULL, 167, NULL, NULL, 21449),
(66558, '4jdlB00', NULL, NULL, 168, NULL, NULL, 21449),
(66559, '4jhgA00', NULL, NULL, 168, NULL, NULL, 21449),
(66560, '4q0kA00', NULL, NULL, 162, NULL, NULL, 21449);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(66561, '3rt2A00', NULL, NULL, 183, NULL, NULL, 21449),
(66562, '6alkA00', NULL, NULL, 159, NULL, NULL, 21449),
(66563, '4c9cA00', NULL, NULL, 162, NULL, NULL, 21449),
(66564, '2il5A00', NULL, NULL, 171, NULL, NULL, 21449),
(66565, '3rd6A00', NULL, NULL, 161, NULL, NULL, 21449),
(66566, '2qpvA00', NULL, NULL, 133, NULL, NULL, 21449),
(66567, '2le1A00', NULL, NULL, 151, NULL, NULL, 21449),
(66568, '4z3lA00', NULL, NULL, 159, NULL, NULL, 21449),
(66569, '4xrtA02', NULL, NULL, 160, NULL, NULL, 21449),
(66570, '4xrtA01', NULL, NULL, 142, NULL, NULL, 21449),
(66571, '2ns9A01', NULL, NULL, 148, NULL, NULL, 21449),
(66572, '1fm4A00', NULL, NULL, 159, NULL, NULL, 21449),
(66573, '4n0gC00', NULL, NULL, 164, NULL, NULL, 21449),
(66574, '2lf2A00', NULL, NULL, 175, NULL, NULL, 21449),
(66575, '1x53A01', NULL, NULL, 131, NULL, NULL, 21449),
(66576, '3tvrA00', NULL, NULL, 173, NULL, NULL, 21449),
(66577, '3eliA00', NULL, NULL, 152, NULL, NULL, 21449),
(66578, '5ujvB00', NULL, NULL, 212, NULL, NULL, 21449),
(66579, '3pu2B00', NULL, NULL, 164, NULL, NULL, 21449),
(66580, '3p9vA00', NULL, NULL, 161, NULL, NULL, 21449),
(66581, '1t17A00', NULL, NULL, 148, NULL, NULL, 21449),
(66582, '2lghA00', NULL, NULL, 144, NULL, NULL, 21449),
(66583, '4c94A00', NULL, NULL, 161, NULL, NULL, 21449),
(66584, '4xrwA02', NULL, NULL, 161, NULL, NULL, 21449),
(66585, '4xrwA01', NULL, NULL, 148, NULL, NULL, 21449),
(66586, '2kf2A00', NULL, NULL, 167, NULL, NULL, 21449),
(66587, '2bk0A00', NULL, NULL, 154, NULL, NULL, 21449),
(66588, '5mmuA00', NULL, NULL, 158, NULL, NULL, 21449),
(66589, '3qszA00', NULL, NULL, 189, NULL, NULL, 21449),
(66590, '2kewA00', NULL, NULL, 152, NULL, NULL, 21449),
(66591, '2r55A00', NULL, NULL, 212, NULL, NULL, 21449),
(66592, '3q64A00', NULL, NULL, 162, NULL, NULL, 21449),
(66593, '2pcsA00', NULL, NULL, 162, NULL, NULL, 21449),
(66594, '5ur4A00', NULL, NULL, 181, NULL, NULL, 21449),
(66595, '1kcmA00', NULL, NULL, 270, NULL, NULL, 21449),
(66596, '3ijtB00', NULL, NULL, 155, NULL, NULL, 21449),
(66597, '1zxfA00', NULL, NULL, 155, NULL, NULL, 21449),
(66598, '1z94B00', NULL, NULL, 147, NULL, NULL, 21449),
(66599, '4a8uA00', NULL, NULL, 159, NULL, NULL, 21449),
(66600, '3ni8A00', NULL, NULL, 141, NULL, NULL, 21449),
(66601, '3fo5B00', NULL, NULL, 258, NULL, NULL, 21449),
(66602, '2mouA00', NULL, NULL, 220, NULL, NULL, 21449),
(66603, '2l9pA00', NULL, NULL, 164, NULL, NULL, 21449),
(66604, '4rehA00', NULL, NULL, 151, NULL, NULL, 21449),
(66605, '1xn6A00', NULL, NULL, 143, NULL, NULL, 21449),
(66606, '1jssA00', NULL, NULL, 201, NULL, NULL, 21449),
(66607, '3p51A00', NULL, NULL, 160, NULL, NULL, 21449),
(66608, '2lakA00', NULL, NULL, 160, NULL, NULL, 21449),
(66609, '5i9jA00', NULL, NULL, 229, NULL, NULL, 21449),
(66610, '4bk7A00', NULL, NULL, 159, NULL, NULL, 21449),
(66611, '2leqA00', NULL, NULL, 146, NULL, NULL, 21449),
(66612, '2e3nA00', NULL, NULL, 234, NULL, NULL, 21449),
(66613, '1ln1A00', NULL, NULL, 214, NULL, NULL, 21449),
(66614, '3w9rA00', NULL, NULL, 189, NULL, NULL, 21449),
(66615, '5i8fA00', NULL, NULL, 165, NULL, NULL, 21449),
(66616, '1xfsA00', NULL, NULL, 178, NULL, NULL, 21449),
(66617, '5amwA00', NULL, NULL, 162, NULL, NULL, 21449),
(66618, '1e09A00', NULL, NULL, 159, NULL, NULL, 21449),
(66619, '3otlA00', NULL, NULL, 158, NULL, NULL, 21449),
(66620, '2k7hA00', NULL, NULL, 157, NULL, NULL, 21449),
(66621, '2psoB02', NULL, NULL, 187, NULL, NULL, 21449),
(66622, '3kl1B00', NULL, NULL, 190, NULL, NULL, 21449),
(66623, '2l8oA00', NULL, NULL, 144, NULL, NULL, 21449),
(66624, '2k5gA01', NULL, NULL, 180, NULL, NULL, 21449),
(66625, '1xdfA00', NULL, NULL, 157, NULL, NULL, 21449),
(66626, '1qmrA00', NULL, NULL, 159, NULL, NULL, 21449),
(66627, '1xuvA00', NULL, NULL, 178, NULL, NULL, 21449),
(66628, '3tfzB00', NULL, NULL, 172, NULL, NULL, 21449),
(66629, '3q63F00', NULL, NULL, 151, NULL, NULL, 21449),
(66630, '1ifvA00', NULL, NULL, 155, NULL, NULL, 21449),
(66631, '2nn5A00', NULL, NULL, 184, NULL, NULL, 21449),
(66632, '1vjhA00', NULL, NULL, 122, NULL, NULL, 21449),
(66633, '5e4bA00', NULL, NULL, 176, NULL, NULL, 21449);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(66634, '3q6aB00', NULL, NULL, 135, NULL, NULL, 21449),
(66635, '4igvA00', NULL, NULL, 150, NULL, NULL, 21449),
(66636, '2wqlA00', NULL, NULL, 154, NULL, NULL, 21449),
(66637, '2a1lA00', NULL, NULL, 270, NULL, NULL, 21449),
(66638, '3p0lD00', NULL, NULL, 221, NULL, NULL, 21449),
(66639, '4fpwB00', NULL, NULL, 181, NULL, NULL, 21449),
(66640, '3uidA00', NULL, NULL, 168, NULL, NULL, 21449),
(66641, '2lioA00', NULL, NULL, 136, NULL, NULL, 21449),
(66642, '1tw0A00', NULL, NULL, 157, NULL, NULL, 21449),
(66643, '2m89A00', NULL, NULL, 148, NULL, NULL, 21449),
(66644, '5moaA00', NULL, NULL, 206, NULL, NULL, 21449),
(66645, '5nonB00', NULL, NULL, 165, NULL, NULL, 21449),
(66646, '3putB00', NULL, NULL, 166, NULL, NULL, 21449),
(66647, '3tvqA00', NULL, NULL, 152, NULL, NULL, 21449),
(66648, '5zcgD00', NULL, NULL, 175, NULL, NULL, 21449),
(66649, '4ryvA00', NULL, NULL, 155, NULL, NULL, 21449),
(66650, '4m9bA00', NULL, NULL, 157, NULL, NULL, 21449),
(66651, '4r7kA00', NULL, NULL, 168, NULL, NULL, 21449),
(66652, '4dscA00', NULL, NULL, 188, NULL, NULL, 21449),
(66653, '3f08A00', NULL, NULL, 146, NULL, NULL, 21449),
(66654, '1xn5A00', NULL, NULL, 146, NULL, NULL, 21449),
(66655, '2m47A00', NULL, NULL, 163, NULL, NULL, 21449),
(66656, '4oicA00', NULL, NULL, 207, NULL, NULL, 21449),
(66657, '2i9yA00', NULL, NULL, 166, NULL, NULL, 21449),
(66658, '2ffsA00', NULL, NULL, 157, NULL, NULL, 21449),
(66659, '2flhB00', NULL, NULL, 155, NULL, NULL, 21449),
(66660, '2qimA00', NULL, NULL, 158, NULL, NULL, 21449),
(66661, '2d4rA00', NULL, NULL, 147, NULL, NULL, 21449),
(66662, '2hgsA04', NULL, NULL, 122, NULL, NULL, 21450),
(66663, '5oesA04', NULL, NULL, 124, NULL, NULL, 21450),
(66664, '2wyoA04', NULL, NULL, 154, NULL, NULL, 21450),
(66665, '3kalA04', NULL, NULL, 124, NULL, NULL, 21450),
(66666, '1m0wA04', NULL, NULL, 134, NULL, NULL, 21450),
(66667, '2awiF02', NULL, NULL, 235, NULL, NULL, 21451),
(66668, '2clyB00', NULL, NULL, 123, NULL, NULL, 21452),
(66669, '4mk3A02', NULL, NULL, 115, NULL, NULL, 21453),
(66670, '1pn9B02', NULL, NULL, 130, NULL, NULL, 21453),
(66671, '4gltA02', NULL, NULL, 114, NULL, NULL, 21453),
(66672, '6jwkA02', NULL, NULL, 139, NULL, NULL, 21453),
(66673, '4zxgA02', NULL, NULL, 122, NULL, NULL, 21453),
(66674, '3m3mA02', NULL, NULL, 116, NULL, NULL, 21453),
(66675, '5y7iA02', NULL, NULL, 142, NULL, NULL, 21453),
(66676, '2vctA02', NULL, NULL, 109, NULL, NULL, 21453),
(66677, '6atrA02', NULL, NULL, 109, NULL, NULL, 21453),
(66678, '4iw9A02', NULL, NULL, 113, NULL, NULL, 21453),
(66679, '1z9hA03', NULL, NULL, 155, NULL, NULL, 21453),
(66680, '4yh2B02', NULL, NULL, 142, NULL, NULL, 21453),
(66681, '5f07A02', NULL, NULL, 123, NULL, NULL, 21453),
(66682, '5eckB02', NULL, NULL, 130, NULL, NULL, 21453),
(66683, '3cbuA02', NULL, NULL, 136, NULL, NULL, 21453),
(66684, '4exjA02', NULL, NULL, 121, NULL, NULL, 21453),
(66685, '4qq7A02', NULL, NULL, 108, NULL, NULL, 21453),
(66686, '1m0uA02', NULL, NULL, 112, NULL, NULL, 21453),
(66687, '4gtuA02', NULL, NULL, 105, NULL, NULL, 21453),
(66688, '2yv9B02', NULL, NULL, 144, NULL, NULL, 21453),
(66689, '1oe8A02', NULL, NULL, 128, NULL, NULL, 21453),
(66690, '2on5A02', NULL, NULL, 115, NULL, NULL, 21453),
(66691, '4puaA02', NULL, NULL, 118, NULL, NULL, 21453),
(66692, '6n8uA02', NULL, NULL, 105, NULL, NULL, 21453),
(66693, '3ic8A02', NULL, NULL, 100, NULL, NULL, 21453),
(66694, '4q5fA02', NULL, NULL, 115, NULL, NULL, 21453),
(66695, '1r5aA02', NULL, NULL, 139, NULL, NULL, 21453),
(66696, '1b4pA02', NULL, NULL, 105, NULL, NULL, 21453),
(66697, '6j3gB02', NULL, NULL, 148, NULL, NULL, 21453),
(66698, '4isdB02', NULL, NULL, 109, NULL, NULL, 21453),
(66699, '5ld0A02', NULL, NULL, 109, NULL, NULL, 21453),
(66700, '4pngA02', NULL, NULL, 143, NULL, NULL, 21453),
(66701, '3mdkA02', NULL, NULL, 105, NULL, NULL, 21453),
(66702, '1e6bA02', NULL, NULL, 130, NULL, NULL, 21453),
(66703, '4zb6B02', NULL, NULL, 131, NULL, NULL, 21453),
(66704, '3vurA02', NULL, NULL, 113, NULL, NULL, 21453),
(66705, '4gf0A02', NULL, NULL, 113, NULL, NULL, 21453),
(66706, '2hraA02', NULL, NULL, 91, NULL, NULL, 21453);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(66707, '4o7hB02', NULL, NULL, 120, NULL, NULL, 21453),
(66708, '5zwpA02', NULL, NULL, 131, NULL, NULL, 21453),
(66709, '1yq1A02', NULL, NULL, 116, NULL, NULL, 21453),
(66710, '2hnlA02', NULL, NULL, 110, NULL, NULL, 21453),
(66711, '3ubkB02', NULL, NULL, 131, NULL, NULL, 21453),
(66712, '3vk9A02', NULL, NULL, 136, NULL, NULL, 21453),
(66713, '2ws2A02', NULL, NULL, 113, NULL, NULL, 21453),
(66714, '4chsA02', NULL, NULL, 132, NULL, NULL, 21453),
(66715, '3f6dB02', NULL, NULL, 139, NULL, NULL, 21453),
(66716, '2yv9A02', NULL, NULL, 181, NULL, NULL, 21453),
(66717, '5j4uA02', NULL, NULL, 132, NULL, NULL, 21453),
(66718, '1f2eA02', NULL, NULL, 106, NULL, NULL, 21453),
(66719, '1k0oB02', NULL, NULL, 144, NULL, NULL, 21453),
(66720, '3lxzB02', NULL, NULL, 149, NULL, NULL, 21453),
(66721, '2dc5A02', NULL, NULL, 105, NULL, NULL, 21453),
(66722, '5f06A02', NULL, NULL, 123, NULL, NULL, 21453),
(66723, '3touA02', NULL, NULL, 115, NULL, NULL, 21453),
(66724, '3ppuB02', NULL, NULL, 113, NULL, NULL, 21453),
(66725, '1zl9A02', NULL, NULL, 114, NULL, NULL, 21453),
(66726, '3ir4A02', NULL, NULL, 126, NULL, NULL, 21453),
(66727, '2cz2A02', NULL, NULL, 127, NULL, NULL, 21453),
(66728, '4j2fA02', NULL, NULL, 137, NULL, NULL, 21453),
(66729, '4mpgA02', NULL, NULL, 162, NULL, NULL, 21453),
(66730, '5yx1A02', NULL, NULL, 108, NULL, NULL, 21453),
(66731, '5fhiA02', NULL, NULL, 139, NULL, NULL, 21453),
(66732, '1pmtA02', NULL, NULL, 107, NULL, NULL, 21453),
(66733, '1f3aA02', NULL, NULL, 109, NULL, NULL, 21453),
(66734, '1jlvA02', NULL, NULL, 132, NULL, NULL, 21453),
(66735, '4hojA02', NULL, NULL, 106, NULL, NULL, 21453),
(66736, '4e8hA02', NULL, NULL, 136, NULL, NULL, 21453),
(66737, '5g5aA02', NULL, NULL, 134, NULL, NULL, 21453),
(66738, '1nhyA02', NULL, NULL, 140, NULL, NULL, 21453),
(66739, '5h5lB02', NULL, NULL, 111, NULL, NULL, 21453),
(66740, '4bvxA02', NULL, NULL, 105, NULL, NULL, 21453),
(66741, '2gsrA02', NULL, NULL, 108, NULL, NULL, 21453),
(66742, '4fquA02', NULL, NULL, 111, NULL, NULL, 21453),
(66743, '2wb9A02', NULL, NULL, 128, NULL, NULL, 21453),
(66744, '6gsvA02', NULL, NULL, 105, NULL, NULL, 21453),
(66745, '2aheA02', NULL, NULL, 145, NULL, NULL, 21453),
(66746, '2vo4A02', NULL, NULL, 132, NULL, NULL, 21453),
(66747, '5u56A02', NULL, NULL, 112, NULL, NULL, 21453),
(66748, '1fheA02', NULL, NULL, 105, NULL, NULL, 21453),
(66749, '4f0bA02', NULL, NULL, 112, NULL, NULL, 21453),
(66750, '4kgiA02', NULL, NULL, 106, NULL, NULL, 21453),
(66751, '3r2qA02', NULL, NULL, 113, NULL, NULL, 21453),
(66752, '4pxoA02', NULL, NULL, 132, NULL, NULL, 21453),
(66753, '3isoA02', NULL, NULL, 105, NULL, NULL, 21453),
(66754, '3wd6A02', NULL, NULL, 118, NULL, NULL, 21453),
(66755, '2imiB02', NULL, NULL, 141, NULL, NULL, 21453),
(66756, '1tw9F02', NULL, NULL, 115, NULL, NULL, 21453),
(66757, '2ycdA02', NULL, NULL, 117, NULL, NULL, 21453),
(66758, '5lolA02', NULL, NULL, 125, NULL, NULL, 21453),
(66759, '5b7cA02', NULL, NULL, 119, NULL, NULL, 21453),
(66760, '3ay8A02', NULL, NULL, 136, NULL, NULL, 21453),
(66761, '6ji6A02', NULL, NULL, 105, NULL, NULL, 21453),
(66762, '2gsqA02', NULL, NULL, 108, NULL, NULL, 21453),
(66763, '4ri6A02', NULL, NULL, 119, NULL, NULL, 21453),
(66764, '4n0vA02', NULL, NULL, 118, NULL, NULL, 21453),
(66765, '4f0cA02', NULL, NULL, 138, NULL, NULL, 21453),
(66766, '5hfkA02', NULL, NULL, 110, NULL, NULL, 21453),
(66767, '1hqoA02', NULL, NULL, 153, NULL, NULL, 21453),
(66768, '4zbaA02', NULL, NULL, 131, NULL, NULL, 21453),
(66769, '4hz2A02', NULL, NULL, 116, NULL, NULL, 21453),
(66770, '4f03B02', NULL, NULL, 147, NULL, NULL, 21453),
(66771, '4agsB04', NULL, NULL, 139, NULL, NULL, 21453),
(66772, '4ecjA02', NULL, NULL, 109, NULL, NULL, 21453),
(66773, '3nivC02', NULL, NULL, 136, NULL, NULL, 21453),
(66774, '3w8sA02', NULL, NULL, 115, NULL, NULL, 21453),
(66775, '6n8uB02', NULL, NULL, 105, NULL, NULL, 21453),
(66776, '5ft3A02', NULL, NULL, 142, NULL, NULL, 21453),
(66777, '5an1A02', NULL, NULL, 103, NULL, NULL, 21453),
(66778, '4o92A02', NULL, NULL, 105, NULL, NULL, 21453),
(66779, '4g0iA02', NULL, NULL, 111, NULL, NULL, 21453);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(66780, '1b48A02', NULL, NULL, 109, NULL, NULL, 21453),
(66781, '2hqtK00', NULL, NULL, 124, NULL, NULL, 21453),
(66782, '4kh7B02', NULL, NULL, 118, NULL, NULL, 21453),
(66783, '2r4vA02', NULL, NULL, 144, NULL, NULL, 21453),
(66784, '4pqhA02', NULL, NULL, 132, NULL, NULL, 21453),
(66785, '2fheA02', NULL, NULL, 105, NULL, NULL, 21453),
(66786, '3fy7A02', NULL, NULL, 135, NULL, NULL, 21453),
(66787, '5y9zA02', NULL, NULL, 108, NULL, NULL, 21453),
(66788, '4agsA02', NULL, NULL, 135, NULL, NULL, 21453),
(66789, '1oyjB02', NULL, NULL, 137, NULL, NULL, 21453),
(66790, '4gciA02', NULL, NULL, 107, NULL, NULL, 21453),
(66791, '4ivfA02', NULL, NULL, 116, NULL, NULL, 21453),
(66792, '5g5eA02', NULL, NULL, 148, NULL, NULL, 21453),
(66793, '1axdA02', NULL, NULL, 123, NULL, NULL, 21453),
(66794, '4lmwA02', NULL, NULL, 145, NULL, NULL, 21453),
(66795, '3h1nA02', NULL, NULL, 120, NULL, NULL, 21453),
(66796, '4id0A02', NULL, NULL, 112, NULL, NULL, 21453),
(66797, '4kf9A02', NULL, NULL, 134, NULL, NULL, 21453),
(66798, '5yvnA02', NULL, NULL, 115, NULL, NULL, 21453),
(66799, '3rbtA02', NULL, NULL, 117, NULL, NULL, 21453),
(66800, '4nhwD02', NULL, NULL, 127, NULL, NULL, 21453),
(66801, '3c8eA02', NULL, NULL, 157, NULL, NULL, 21453),
(66802, '1fw1A02', NULL, NULL, 127, NULL, NULL, 21453),
(66803, '4mdcD02', NULL, NULL, 123, NULL, NULL, 21453),
(66804, '3vwxA02', NULL, NULL, 142, NULL, NULL, 21453),
(66805, '4lmvA02', NULL, NULL, 147, NULL, NULL, 21453),
(66806, '2c4jA02', NULL, NULL, 105, NULL, NULL, 21453),
(66807, '2n5fA02', NULL, NULL, 129, NULL, NULL, 21453),
(66808, '1tu7A02', NULL, NULL, 109, NULL, NULL, 21453),
(66809, '2vcvA02', NULL, NULL, 109, NULL, NULL, 21453),
(66810, '3m1gA02', NULL, NULL, 149, NULL, NULL, 21453),
(66811, '5d73A02', NULL, NULL, 109, NULL, NULL, 21453),
(66812, '5a4uF02', NULL, NULL, 125, NULL, NULL, 21453),
(66813, '4q5nA02', NULL, NULL, 115, NULL, NULL, 21453),
(66814, '4nhzA02', NULL, NULL, 116, NULL, NULL, 21453),
(66815, '3einA02', NULL, NULL, 131, NULL, NULL, 21453),
(66816, '2c3nA02', NULL, NULL, 160, NULL, NULL, 21453),
(66817, '4bvxB02', NULL, NULL, 107, NULL, NULL, 21453),
(66818, '2pvqA02', NULL, NULL, 106, NULL, NULL, 21453),
(66819, '4jedA02', NULL, NULL, 114, NULL, NULL, 21453),
(66820, '5f0gB02', NULL, NULL, 138, NULL, NULL, 21453),
(66821, '2x64A02', NULL, NULL, 113, NULL, NULL, 21453),
(66822, '1vf1A02', NULL, NULL, 109, NULL, NULL, 21453),
(66823, '3f6fA02', NULL, NULL, 132, NULL, NULL, 21453),
(66824, '4ussA02', NULL, NULL, 111, NULL, NULL, 21453),
(66825, '4kx4A02', NULL, NULL, 126, NULL, NULL, 21453),
(66826, '1u3iA02', NULL, NULL, 128, NULL, NULL, 21453),
(66827, '1xw6A02', NULL, NULL, 105, NULL, NULL, 21453),
(66828, '4mf5A02', NULL, NULL, 116, NULL, NULL, 21453),
(66829, '3zmlA02', NULL, NULL, 141, NULL, NULL, 21453),
(66830, '3ik7A02', NULL, NULL, 109, NULL, NULL, 21453),
(66831, '6ghfB02', NULL, NULL, 135, NULL, NULL, 21453),
(66832, '4kdxA02', NULL, NULL, 119, NULL, NULL, 21453),
(66833, '1gsuA02', NULL, NULL, 105, NULL, NULL, 21453),
(66834, '3lypA02', NULL, NULL, 106, NULL, NULL, 21453),
(66835, '3m8nA02', NULL, NULL, 117, NULL, NULL, 21453),
(66836, '2v6kA02', NULL, NULL, 130, NULL, NULL, 21453),
(66837, '2wrtA02', NULL, NULL, 105, NULL, NULL, 21453),
(66838, '4hz4A02', NULL, NULL, 112, NULL, NULL, 21453),
(66839, '3n5oA02', NULL, NULL, 131, NULL, NULL, 21453),
(66840, '4igjB02', NULL, NULL, 132, NULL, NULL, 21453),
(66841, '4mp4A02', NULL, NULL, 109, NULL, NULL, 21453),
(66842, '6eryA02', NULL, NULL, 144, NULL, NULL, 21453),
(66843, '4dejA02', NULL, NULL, 101, NULL, NULL, 21453),
(66844, '3bbyA02', NULL, NULL, 120, NULL, NULL, 21453),
(66845, '6f05I02', NULL, NULL, 123, NULL, NULL, 21453),
(66846, '4l8eA02', NULL, NULL, 110, NULL, NULL, 21453),
(66847, '1gwcA02', NULL, NULL, 147, NULL, NULL, 21453),
(66848, '2yv7A02', NULL, NULL, 145, NULL, NULL, 21453),
(66849, '1yy7A02', NULL, NULL, 105, NULL, NULL, 21453),
(66850, '1v2aA02', NULL, NULL, 134, NULL, NULL, 21453),
(66851, '3gtuB02', NULL, NULL, 105, NULL, NULL, 21453),
(66852, '3ibhA02', NULL, NULL, 118, NULL, NULL, 21453);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(66853, '3lykA02', NULL, NULL, 104, NULL, NULL, 21453),
(66854, '4q5qA02', NULL, NULL, 105, NULL, NULL, 21453),
(66855, '5uuoA02', NULL, NULL, 158, NULL, NULL, 21453),
(66856, '4i97A02', NULL, NULL, 131, NULL, NULL, 21453),
(66857, '5d9vA02', NULL, NULL, 123, NULL, NULL, 21453),
(66858, '5iqyA02', NULL, NULL, 123, NULL, NULL, 21453),
(66859, '3uarA02', NULL, NULL, 107, NULL, NULL, 21453),
(66860, '3o76A02', NULL, NULL, 108, NULL, NULL, 21453),
(66861, '6ep6A02', NULL, NULL, 133, NULL, NULL, 21453),
(66862, '3m0fB02', NULL, NULL, 132, NULL, NULL, 21453),
(66863, '5j41A02', NULL, NULL, 108, NULL, NULL, 21453),
(66864, '3wywA02', NULL, NULL, 136, NULL, NULL, 21453),
(66865, '6j3eA02', NULL, NULL, 152, NULL, NULL, 21453),
(66866, '4ptsB02', NULL, NULL, 178, NULL, NULL, 21453),
(66867, '4ielA02', NULL, NULL, 119, NULL, NULL, 21453),
(66868, '5nr1A02', NULL, NULL, 120, NULL, NULL, 21453),
(66869, '5f05A02', NULL, NULL, 126, NULL, NULL, 21453),
(66870, '5jpoD02', NULL, NULL, 138, NULL, NULL, 21453),
(66871, '4q5rA02', NULL, NULL, 112, NULL, NULL, 21453),
(66872, '2dsaA02', NULL, NULL, 106, NULL, NULL, 21453),
(66873, '3q18A02', NULL, NULL, 116, NULL, NULL, 21453),
(66874, '4g10A02', NULL, NULL, 136, NULL, NULL, 21453),
(66875, '4pqiA02', NULL, NULL, 132, NULL, NULL, 21453),
(66876, '2fnoA02', NULL, NULL, 145, NULL, NULL, 21453),
(66877, '3qavA02', NULL, NULL, 140, NULL, NULL, 21453),
(66878, '1aw9A02', NULL, NULL, 121, NULL, NULL, 21453),
(66879, '5ey6A02', NULL, NULL, 122, NULL, NULL, 21453),
(66880, '2on7A02', NULL, NULL, 115, NULL, NULL, 21453),
(66881, '4naxA02', NULL, NULL, 115, NULL, NULL, 21453),
(66882, '4jbbA02', NULL, NULL, 109, NULL, NULL, 21453),
(66883, '4ikhA02', NULL, NULL, 138, NULL, NULL, 21453),
(66884, '3lszA02', NULL, NULL, 125, NULL, NULL, 21453),
(66885, '4mzwB02', NULL, NULL, 118, NULL, NULL, 21453),
(66886, '5elgA02', NULL, NULL, 132, NULL, NULL, 21453),
(66887, '4zbdA02', NULL, NULL, 131, NULL, NULL, 21453),
(66888, '4hi7B02', NULL, NULL, 148, NULL, NULL, 21453),
(66889, '3fanA03', NULL, NULL, 50, NULL, NULL, 21454),
(66890, '1mbmD03', NULL, NULL, 49, NULL, NULL, 21454),
(66891, '1vk5A00', NULL, NULL, 122, NULL, NULL, 21455),
(66892, '2abyA00', NULL, NULL, 124, NULL, NULL, 21456),
(66893, '5xteC01', NULL, NULL, 64, NULL, NULL, 21457),
(66894, '3tguE01', NULL, NULL, 64, NULL, NULL, 21457),
(66895, '1bccE01', NULL, NULL, 64, NULL, NULL, 21457),
(66896, '3cx5E01', NULL, NULL, 55, NULL, NULL, 21457),
(66897, '1pp9E01', NULL, NULL, 64, NULL, NULL, 21457),
(66898, '3natA01', NULL, NULL, 155, NULL, NULL, 21458),
(66899, '2a5yB03', NULL, NULL, 80, NULL, NULL, 21459),
(66900, '4m9zD03', NULL, NULL, 70, NULL, NULL, 21459),
(66901, '4m9zC03', NULL, NULL, 80, NULL, NULL, 21459),
(66902, '4m9zB03', NULL, NULL, 70, NULL, NULL, 21459),
(66903, '4m9zA03', NULL, NULL, 80, NULL, NULL, 21459),
(66904, '4m9sD03', NULL, NULL, 70, NULL, NULL, 21459),
(66905, '4m9sA03', NULL, NULL, 80, NULL, NULL, 21459),
(66906, '4m9sB03', NULL, NULL, 70, NULL, NULL, 21459),
(66907, '4m9sC03', NULL, NULL, 80, NULL, NULL, 21459),
(66908, '4f3fC00', NULL, NULL, 69, NULL, NULL, 21460),
(66909, '3a1yG02', NULL, NULL, 77, NULL, NULL, 21461),
(66910, '3tixB02', NULL, NULL, 145, NULL, NULL, 21462),
(66911, '2dkhA03', NULL, NULL, 213, NULL, NULL, 21463),
(66912, '1pn0A03', NULL, NULL, 209, NULL, NULL, 21463),
(66913, '2g7nA00', NULL, NULL, 425, NULL, NULL, 21464),
(66914, '3v0aB01', NULL, NULL, 460, NULL, NULL, 21464),
(66915, '2fpqA00', NULL, NULL, 444, NULL, NULL, 21464),
(66916, '5bqnA01', NULL, NULL, 480, NULL, NULL, 21464),
(66917, '1epwA01', NULL, NULL, 438, NULL, NULL, 21464),
(66918, '3zurA01', NULL, NULL, 477, NULL, NULL, 21464),
(66919, '1t3cA00', NULL, NULL, 421, NULL, NULL, 21464),
(66920, '2a97A00', NULL, NULL, 415, NULL, NULL, 21464),
(66921, '1z7hA00', NULL, NULL, 431, NULL, NULL, 21464),
(66922, '2qn0A00', NULL, NULL, 430, NULL, NULL, 21464),
(66923, '6bvdB00', NULL, NULL, 436, NULL, NULL, 21464),
(66924, '3fieA00', NULL, NULL, 427, NULL, NULL, 21464),
(66925, '3bonA00', NULL, NULL, 425, NULL, NULL, 21464);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(66926, '4zktB01', NULL, NULL, 468, NULL, NULL, 21464),
(66927, '3vuoA01', NULL, NULL, 467, NULL, NULL, 21464),
(66928, '1e1hA00', NULL, NULL, 243, NULL, NULL, 21464),
(66929, '1zb7A00', NULL, NULL, 438, NULL, NULL, 21464),
(66930, '3ffzB01', NULL, NULL, 516, NULL, NULL, 21464),
(66931, '3icxA02', NULL, NULL, 52, NULL, NULL, 21465),
(66932, '2hbpA00', NULL, NULL, 68, NULL, NULL, 21466),
(66933, '3gd0A02', NULL, NULL, 115, NULL, NULL, 21467),
(66934, '5oy0c00', NULL, NULL, 81, NULL, NULL, 21468),
(66935, '3c8yA02', NULL, NULL, 84, NULL, NULL, 21468),
(66936, '1fxdA00', NULL, NULL, 58, NULL, NULL, 21468),
(66937, '1rgvA00', NULL, NULL, 80, NULL, NULL, 21468),
(66938, '1durA00', NULL, NULL, 55, NULL, NULL, 21468),
(66939, '2xsjB03', NULL, NULL, 70, NULL, NULL, 21468),
(66940, '1fcaA00', NULL, NULL, 55, NULL, NULL, 21468),
(66941, '4id8A00', NULL, NULL, 69, NULL, NULL, 21468),
(66942, '1clfA00', NULL, NULL, 55, NULL, NULL, 21468),
(66943, '4omfG02', NULL, NULL, 72, NULL, NULL, 21468),
(66944, '2v4jB03', NULL, NULL, 65, NULL, NULL, 21468),
(66945, '2c42A05', NULL, NULL, 117, NULL, NULL, 21468),
(66946, '3eunA00', NULL, NULL, 82, NULL, NULL, 21468),
(66947, '5l8rC00', NULL, NULL, 81, NULL, NULL, 21468),
(66948, '1q16B01', NULL, NULL, 162, NULL, NULL, 21468),
(66949, '3or1A04', NULL, NULL, 84, NULL, NULL, 21468),
(66950, '5zgbC00', NULL, NULL, 81, NULL, NULL, 21468),
(66951, '4aybD03', NULL, NULL, 57, NULL, NULL, 21468),
(66952, '3gyxB01', NULL, NULL, 66, NULL, NULL, 21468),
(66953, '3mm5A04', NULL, NULL, 68, NULL, NULL, 21468),
(66954, '2pa8D03', NULL, NULL, 57, NULL, NULL, 21468),
(66955, '1vjwA00', NULL, NULL, 60, NULL, NULL, 21468),
(66956, '1xerA00', NULL, NULL, 103, NULL, NULL, 21468),
(66957, '6igzC00', NULL, NULL, 81, NULL, NULL, 21468),
(66958, '1gteA01', NULL, NULL, 118, NULL, NULL, 21468),
(66959, '2vpzB02', NULL, NULL, 52, NULL, NULL, 21468),
(66960, '5zjiC00', NULL, NULL, 81, NULL, NULL, 21468),
(66961, '2fgoA00', NULL, NULL, 82, NULL, NULL, 21468),
(66962, '2vpzB01', NULL, NULL, 135, NULL, NULL, 21468),
(66963, '1sj1A00', NULL, NULL, 66, NULL, NULL, 21468),
(66964, '2zvsA00', NULL, NULL, 85, NULL, NULL, 21468),
(66965, '1h0hB01', NULL, NULL, 150, NULL, NULL, 21468),
(66966, '2xsjA04', NULL, NULL, 84, NULL, NULL, 21468),
(66967, '1h0hB02', NULL, NULL, 64, NULL, NULL, 21468),
(66968, '1h98A00', NULL, NULL, 78, NULL, NULL, 21468),
(66969, '1iqzA00', NULL, NULL, 81, NULL, NULL, 21468),
(66970, '1ti6B02', NULL, NULL, 57, NULL, NULL, 21468),
(66971, '1ti2B01', NULL, NULL, 133, NULL, NULL, 21468),
(66972, '2vkrA00', NULL, NULL, 103, NULL, NULL, 21468),
(66973, '2gmhA03', NULL, NULL, 96, NULL, NULL, 21468),
(66974, '2v2kB00', NULL, NULL, 105, NULL, NULL, 21468),
(66975, '1bc6A00', NULL, NULL, 77, NULL, NULL, 21468),
(66976, '2v4jA04', NULL, NULL, 84, NULL, NULL, 21468),
(66977, '1hfeL02', NULL, NULL, 52, NULL, NULL, 21468),
(66978, '3or1B03', NULL, NULL, 65, NULL, NULL, 21468),
(66979, '1jnrB01', NULL, NULL, 67, NULL, NULL, 21468),
(66980, '6ijjC00', NULL, NULL, 81, NULL, NULL, 21468),
(66981, '3mm5B03', NULL, NULL, 59, NULL, NULL, 21468),
(66982, '7fd1A00', NULL, NULL, 106, NULL, NULL, 21468),
(66983, '2fdnA00', NULL, NULL, 55, NULL, NULL, 21468),
(66984, '1kqfB02', NULL, NULL, 137, NULL, NULL, 21468),
(66985, '1kqfB01', NULL, NULL, 91, NULL, NULL, 21468),
(66986, '1fxrA00', NULL, NULL, 64, NULL, NULL, 21468),
(66987, '3da5A00', NULL, NULL, 128, NULL, NULL, 21469),
(66988, '1u04A02', NULL, NULL, 117, NULL, NULL, 21469),
(66989, '2pmsC00', NULL, NULL, 125, NULL, NULL, 21470),
(66990, '3qksA02', NULL, NULL, 63, NULL, NULL, 21471),
(66991, '4oi4A03', NULL, NULL, 103, NULL, NULL, 21472),
(66992, '4ohxA03', NULL, NULL, 114, NULL, NULL, 21472),
(66993, '2e9xD02', NULL, NULL, 60, NULL, NULL, 21473),
(66994, '1wthA01', NULL, NULL, 128, NULL, NULL, 21474),
(66995, '4hkjD00', NULL, NULL, 206, NULL, NULL, 21475),
(66996, '4c91A03', NULL, NULL, 179, NULL, NULL, 21476),
(66997, '3u9jA00', NULL, NULL, 160, NULL, NULL, 21477),
(66998, '3caxA01', NULL, NULL, 221, NULL, NULL, 21477),
(66999, '2p0nA00', NULL, NULL, 172, NULL, NULL, 21477);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(67000, '4r3uB00', NULL, NULL, 584, NULL, NULL, 21478),
(67001, '1ccwB01', NULL, NULL, 417, NULL, NULL, 21478),
(67002, '1reqA01', NULL, NULL, 522, NULL, NULL, 21478),
(67003, '1reqB01', NULL, NULL, 437, NULL, NULL, 21478),
(67004, '2xijA01', NULL, NULL, 516, NULL, NULL, 21478),
(67005, '2uvaG01', NULL, NULL, 136, NULL, NULL, 21479),
(67006, '2uv8G01', NULL, NULL, 141, NULL, NULL, 21479),
(67007, '3r45C00', NULL, NULL, 81, NULL, NULL, 21480),
(67008, '1vw4101', NULL, NULL, 130, NULL, NULL, 21481),
(67009, '5v37A04', NULL, NULL, 80, NULL, NULL, 21482),
(67010, '3pehA02', NULL, NULL, 44, NULL, NULL, 21483),
(67011, '4fibA01', NULL, NULL, 64, NULL, NULL, 21484),
(67012, '2ky9A01', NULL, NULL, 67, NULL, NULL, 21484),
(67013, '4fibC01', NULL, NULL, 64, NULL, NULL, 21484),
(67014, '4fibB01', NULL, NULL, 64, NULL, NULL, 21484),
(67015, '2o2zB00', NULL, NULL, 323, NULL, NULL, 21485),
(67016, '2p0yA00', NULL, NULL, 341, NULL, NULL, 21485),
(67017, '2q7xA00', NULL, NULL, 326, NULL, NULL, 21485),
(67018, '2ppvA00', NULL, NULL, 332, NULL, NULL, 21485),
(67019, '3c3dA01', NULL, NULL, 223, NULL, NULL, 21485),
(67020, '2q7xB00', NULL, NULL, 326, NULL, NULL, 21485),
(67021, '1p0sL01', NULL, NULL, 47, NULL, NULL, 21486),
(67022, '1cfhA00', NULL, NULL, 47, NULL, NULL, 21486),
(67023, '1whfA01', NULL, NULL, 46, NULL, NULL, 21486),
(67024, '1wheA01', NULL, NULL, 46, NULL, NULL, 21486),
(67025, '1pfxL01', NULL, NULL, 46, NULL, NULL, 21486),
(67026, '3hr0A02', NULL, NULL, 170, NULL, NULL, 21487),
(67027, '2lqxA00', NULL, NULL, 41, NULL, NULL, 21488),
(67028, '3gzdA02', NULL, NULL, 90, NULL, NULL, 21489),
(67029, '3a9zA02', NULL, NULL, 90, NULL, NULL, 21489),
(67030, '3zxwA02', NULL, NULL, 319, NULL, NULL, 21490),
(67031, '1bxnA02', NULL, NULL, 313, NULL, NULL, 21490),
(67032, '1rblA02', NULL, NULL, 319, NULL, NULL, 21490),
(67033, '1svdA02', NULL, NULL, 331, NULL, NULL, 21490),
(67034, '5rubA02', NULL, NULL, 303, NULL, NULL, 21490),
(67035, '1ykwA02', NULL, NULL, 290, NULL, NULL, 21490),
(67036, '3kdnA02', NULL, NULL, 302, NULL, NULL, 21490),
(67037, '5oyaA02', NULL, NULL, 315, NULL, NULL, 21490),
(67038, '1wddA02', NULL, NULL, 314, NULL, NULL, 21490),
(67039, '4nasA02', NULL, NULL, 286, NULL, NULL, 21490),
(67040, '3nwrA02', NULL, NULL, 290, NULL, NULL, 21490),
(67041, '5nv3A02', NULL, NULL, 313, NULL, NULL, 21490),
(67042, '2oemB02', NULL, NULL, 293, NULL, NULL, 21490),
(67043, '2d69A02', NULL, NULL, 297, NULL, NULL, 21490),
(67044, '5macC02', NULL, NULL, 334, NULL, NULL, 21490),
(67045, '3rubL02', NULL, NULL, 318, NULL, NULL, 21490),
(67046, '5iu0A02', NULL, NULL, 314, NULL, NULL, 21490),
(67047, '5c2cA02', NULL, NULL, 303, NULL, NULL, 21490),
(67048, '5hjxA02', NULL, NULL, 303, NULL, NULL, 21490),
(67049, '3fk4A02', NULL, NULL, 293, NULL, NULL, 21490),
(67050, '3qfwB02', NULL, NULL, 266, NULL, NULL, 21490),
(67051, '2qygA02', NULL, NULL, 287, NULL, NULL, 21490),
(67052, '1gk8A02', NULL, NULL, 314, NULL, NULL, 21490),
(67053, '2zviD02', NULL, NULL, 291, NULL, NULL, 21490),
(67054, '4f0hA02', NULL, NULL, 313, NULL, NULL, 21490),
(67055, '8rucA02', NULL, NULL, 314, NULL, NULL, 21490),
(67056, '5yvxA00', NULL, NULL, 60, NULL, NULL, 21491),
(67057, '2e61A00', NULL, NULL, 69, NULL, NULL, 21491),
(67058, '4z0oA00', NULL, NULL, 59, NULL, NULL, 21491),
(67059, '4qq4A00', NULL, NULL, 62, NULL, NULL, 21491),
(67060, '6o5wA00', NULL, NULL, 59, NULL, NULL, 21491),
(67061, '5svyA00', NULL, NULL, 50, NULL, NULL, 21491),
(67062, '3qc5X03', NULL, NULL, 83, NULL, NULL, 21492),
(67063, '5kiqA02', NULL, NULL, 72, NULL, NULL, 21492),
(67064, '3fvqA03', NULL, NULL, 73, NULL, NULL, 21493),
(67065, '3u5gf00', NULL, NULL, 76, NULL, NULL, 21494),
(67066, '3u5cf00', NULL, NULL, 71, NULL, NULL, 21494),
(67067, '3jamf00', NULL, NULL, 69, NULL, NULL, 21494),
(67068, '4ujfg00', NULL, NULL, 76, NULL, NULL, 21494),
(67069, '5flxf00', NULL, NULL, 78, NULL, NULL, 21494),
(67070, '4cuyf00', NULL, NULL, 64, NULL, NULL, 21494),
(67071, '5a2qf00', NULL, NULL, 72, NULL, NULL, 21494),
(67072, '1n7xA01', NULL, NULL, 166, NULL, NULL, 21495),
(67073, '2v84A02', NULL, NULL, 158, NULL, NULL, 21495);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(67074, '2v84A01', NULL, NULL, 161, NULL, NULL, 21495),
(67075, '4onyA01', NULL, NULL, 335, NULL, NULL, 21495),
(67076, '4rpoA02', NULL, NULL, 101, NULL, NULL, 21495),
(67077, '5jk4A01', NULL, NULL, 224, NULL, NULL, 21495),
(67078, '5jk4A02', NULL, NULL, 149, NULL, NULL, 21495),
(67079, '4wxjB01', NULL, NULL, 161, NULL, NULL, 21495),
(67080, '4rpoA01', NULL, NULL, 122, NULL, NULL, 21495),
(67081, '3tchA01', NULL, NULL, 184, NULL, NULL, 21495),
(67082, '2pyyB01', NULL, NULL, 131, NULL, NULL, 21495),
(67083, '3qslA01', NULL, NULL, 207, NULL, NULL, 21495),
(67084, '3qslA02', NULL, NULL, 111, NULL, NULL, 21495),
(67085, '3todA01', NULL, NULL, 134, NULL, NULL, 21495),
(67086, '3vxbA01', NULL, NULL, 193, NULL, NULL, 21495),
(67087, '3todA02', NULL, NULL, 192, NULL, NULL, 21495),
(67088, '3cg1A01', NULL, NULL, 129, NULL, NULL, 21495),
(67089, '1eu8A02', NULL, NULL, 219, NULL, NULL, 21495),
(67090, '3cg1A02', NULL, NULL, 167, NULL, NULL, 21495),
(67091, '1ryoA02', NULL, NULL, 165, NULL, NULL, 21495),
(67092, '5eyfB01', NULL, NULL, 147, NULL, NULL, 21495),
(67093, '3kn3B01', NULL, NULL, 124, NULL, NULL, 21495),
(67094, '4jdfA01', NULL, NULL, 170, NULL, NULL, 21495),
(67095, '1ryoA01', NULL, NULL, 146, NULL, NULL, 21495),
(67096, '4jdfA02', NULL, NULL, 183, NULL, NULL, 21495),
(67097, '1eu8A01', NULL, NULL, 190, NULL, NULL, 21495),
(67098, '1uqwA01', NULL, NULL, 112, NULL, NULL, 21495),
(67099, '1cb6A04', NULL, NULL, 160, NULL, NULL, 21495),
(67100, '4ry1A01', NULL, NULL, 180, NULL, NULL, 21495),
(67101, '5ehmB01', NULL, NULL, 161, NULL, NULL, 21495),
(67102, '4ry1A02', NULL, NULL, 231, NULL, NULL, 21495),
(67103, '1cb6A03', NULL, NULL, 192, NULL, NULL, 21495),
(67104, '1cb6A02', NULL, NULL, 159, NULL, NULL, 21495),
(67105, '1cb6A01', NULL, NULL, 180, NULL, NULL, 21495),
(67106, '3oxnA01', NULL, NULL, 141, NULL, NULL, 21495),
(67107, '4oevA01', NULL, NULL, 155, NULL, NULL, 21495),
(67108, '4f3sA01', NULL, NULL, 135, NULL, NULL, 21495),
(67109, '4aq4A02', NULL, NULL, 217, NULL, NULL, 21495),
(67110, '4ombA02', NULL, NULL, 144, NULL, NULL, 21495),
(67111, '4aq4A01', NULL, NULL, 202, NULL, NULL, 21495),
(67112, '4ombA01', NULL, NULL, 168, NULL, NULL, 21495),
(67113, '4kysB01', NULL, NULL, 177, NULL, NULL, 21495),
(67114, '3lr1A01', NULL, NULL, 122, NULL, NULL, 21495),
(67115, '3lr1A02', NULL, NULL, 114, NULL, NULL, 21495),
(67116, '4rk2A00', NULL, NULL, 400, NULL, NULL, 21495),
(67117, '1sbpA02', NULL, NULL, 159, NULL, NULL, 21495),
(67118, '1sbpA01', NULL, NULL, 151, NULL, NULL, 21495),
(67119, '4q0cA01', NULL, NULL, 155, NULL, NULL, 21495),
(67120, '4q0cA02', NULL, NULL, 95, NULL, NULL, 21495),
(67121, '4gliA02', NULL, NULL, 216, NULL, NULL, 21495),
(67122, '3ecrA02', NULL, NULL, 104, NULL, NULL, 21495),
(67123, '3g3gA01', NULL, NULL, 154, NULL, NULL, 21495),
(67124, '3uorB02', NULL, NULL, 206, NULL, NULL, 21495),
(67125, '3q27A02', NULL, NULL, 211, NULL, NULL, 21495),
(67126, '3uorB01', NULL, NULL, 189, NULL, NULL, 21495),
(67127, '3fzvA03', NULL, NULL, 106, NULL, NULL, 21495),
(67128, '4wxjA02', NULL, NULL, 108, NULL, NULL, 21495),
(67129, '5ubgA01', NULL, NULL, 140, NULL, NULL, 21495),
(67130, '3kn3A02', NULL, NULL, 118, NULL, NULL, 21495),
(67131, '4r6yA01', NULL, NULL, 160, NULL, NULL, 21495),
(67132, '3cvgA01', NULL, NULL, 169, NULL, NULL, 21495),
(67133, '3cvgA02', NULL, NULL, 124, NULL, NULL, 21495),
(67134, '4r6yA02', NULL, NULL, 158, NULL, NULL, 21495),
(67135, '2h98A01', NULL, NULL, 118, NULL, NULL, 21495),
(67136, '3m8uA01', NULL, NULL, 135, NULL, NULL, 21495),
(67137, '2h98A02', NULL, NULL, 107, NULL, NULL, 21495),
(67138, '3gbaA02', NULL, NULL, 105, NULL, NULL, 21495),
(67139, '2f5xA02', NULL, NULL, 124, NULL, NULL, 21495),
(67140, '1xt8A01', NULL, NULL, 168, NULL, NULL, 21495),
(67141, '1pc3A01', NULL, NULL, 141, NULL, NULL, 21495),
(67142, '3ix1A02', NULL, NULL, 103, NULL, NULL, 21495),
(67143, '4kysA02', NULL, NULL, 182, NULL, NULL, 21495),
(67144, '1xt8A02', NULL, NULL, 91, NULL, NULL, 21495),
(67145, '4i1dC02', NULL, NULL, 145, NULL, NULL, 21495),
(67146, '4lvqA01', NULL, NULL, 161, NULL, NULL, 21495);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(67147, '4i1dC01', NULL, NULL, 178, NULL, NULL, 21495),
(67148, '3ho7A02', NULL, NULL, 102, NULL, NULL, 21495),
(67149, '3ho7A01', NULL, NULL, 130, NULL, NULL, 21495),
(67150, '1pc3A02', NULL, NULL, 184, NULL, NULL, 21495),
(67151, '3ix1A01', NULL, NULL, 199, NULL, NULL, 21495),
(67152, '3mc2A01', NULL, NULL, 182, NULL, NULL, 21495),
(67153, '4lvqA02', NULL, NULL, 166, NULL, NULL, 21495),
(67154, '3mc2A02', NULL, NULL, 152, NULL, NULL, 21495),
(67155, '3mc2A03', NULL, NULL, 190, NULL, NULL, 21495),
(67156, '1dpeA02', NULL, NULL, 119, NULL, NULL, 21495),
(67157, '3mc2A04', NULL, NULL, 159, NULL, NULL, 21495),
(67158, '3cijA02', NULL, NULL, 171, NULL, NULL, 21495),
(67159, '3vxcA02', NULL, NULL, 206, NULL, NULL, 21495),
(67160, '2pt1A02', NULL, NULL, 168, NULL, NULL, 21495),
(67161, '5b7hB01', NULL, NULL, 114, NULL, NULL, 21495),
(67162, '5uh0A02', NULL, NULL, 93, NULL, NULL, 21495),
(67163, '5uh0A01', NULL, NULL, 150, NULL, NULL, 21495),
(67164, '3ecrB01', NULL, NULL, 117, NULL, NULL, 21495),
(67165, '6dtuA01', NULL, NULL, 184, NULL, NULL, 21495),
(67166, '4esxB01', NULL, NULL, 200, NULL, NULL, 21495),
(67167, '6cvaA01', NULL, NULL, 132, NULL, NULL, 21495),
(67168, '6cvaA02', NULL, NULL, 109, NULL, NULL, 21495),
(67169, '3q25A02', NULL, NULL, 204, NULL, NULL, 21495),
(67170, '3k4uE01', NULL, NULL, 146, NULL, NULL, 21495),
(67171, '6fccA02', NULL, NULL, 82, NULL, NULL, 21495),
(67172, '3ttmA02', NULL, NULL, 173, NULL, NULL, 21495),
(67173, '2o1mA02', NULL, NULL, 121, NULL, NULL, 21495),
(67174, '3ttmA01', NULL, NULL, 173, NULL, NULL, 21495),
(67175, '6fccA01', NULL, NULL, 129, NULL, NULL, 21495),
(67176, '2y7pA01', NULL, NULL, 119, NULL, NULL, 21495),
(67177, '3waeB01', NULL, NULL, 149, NULL, NULL, 21495),
(67178, '2o1mA01', NULL, NULL, 137, NULL, NULL, 21495),
(67179, '2y7pA02', NULL, NULL, 99, NULL, NULL, 21495),
(67180, '1bgr004', NULL, NULL, 160, NULL, NULL, 21495),
(67181, '4ne4A01', NULL, NULL, 172, NULL, NULL, 21495),
(67182, '5cmmA02', NULL, NULL, 105, NULL, NULL, 21495),
(67183, '1bgr001', NULL, NULL, 181, NULL, NULL, 21495),
(67184, '1bgr003', NULL, NULL, 190, NULL, NULL, 21495),
(67185, '2vozA02', NULL, NULL, 170, NULL, NULL, 21495),
(67186, '4q5tA01', NULL, NULL, 147, NULL, NULL, 21495),
(67187, '4q5tA02', NULL, NULL, 110, NULL, NULL, 21495),
(67188, '3pu5A02', NULL, NULL, 167, NULL, NULL, 21495),
(67189, '3kotA02', NULL, NULL, 97, NULL, NULL, 21495),
(67190, '4gqoA02', NULL, NULL, 204, NULL, NULL, 21495),
(67191, '3qufA01', NULL, NULL, 156, NULL, NULL, 21495),
(67192, '4gqoA01', NULL, NULL, 200, NULL, NULL, 21495),
(67193, '3pu5A01', NULL, NULL, 166, NULL, NULL, 21495),
(67194, '2vd3A01', NULL, NULL, 124, NULL, NULL, 21495),
(67195, '2h9bA02', NULL, NULL, 107, NULL, NULL, 21495),
(67196, '3fasA01', NULL, NULL, 146, NULL, NULL, 21495),
(67197, '3qufA02', NULL, NULL, 232, NULL, NULL, 21495),
(67198, '3fasA02', NULL, NULL, 109, NULL, NULL, 21495),
(67199, '4eswA02', NULL, NULL, 111, NULL, NULL, 21495),
(67200, '2ieeA01', NULL, NULL, 143, NULL, NULL, 21495),
(67201, '5lomA01', NULL, NULL, 157, NULL, NULL, 21495),
(67202, '1al3A01', NULL, NULL, 101, NULL, NULL, 21495),
(67203, '5lomA02', NULL, NULL, 91, NULL, NULL, 21495),
(67204, '2hxwA01', NULL, NULL, 124, NULL, NULL, 21495),
(67205, '1al3A02', NULL, NULL, 136, NULL, NULL, 21495),
(67206, '2ieeA02', NULL, NULL, 100, NULL, NULL, 21495),
(67207, '5i84C01', NULL, NULL, 148, NULL, NULL, 21495),
(67208, '5i84C02', NULL, NULL, 166, NULL, NULL, 21495),
(67209, '2gh9A02', NULL, NULL, 199, NULL, NULL, 21495),
(67210, '5teuA01', NULL, NULL, 187, NULL, NULL, 21495),
(67211, '2gh9A01', NULL, NULL, 187, NULL, NULL, 21495),
(67212, '4g68A02', NULL, NULL, 206, NULL, NULL, 21495),
(67213, '5l9iB02', NULL, NULL, 156, NULL, NULL, 21495),
(67214, '5l9iB01', NULL, NULL, 176, NULL, NULL, 21495),
(67215, '6g7nA02', NULL, NULL, 170, NULL, NULL, 21495),
(67216, '4g68A01', NULL, NULL, 188, NULL, NULL, 21495),
(67217, '6g7nA01', NULL, NULL, 148, NULL, NULL, 21495),
(67218, '6dtuB02', NULL, NULL, 191, NULL, NULL, 21495),
(67219, '1b1xA03', NULL, NULL, 190, NULL, NULL, 21495);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(67220, '1b1xA04', NULL, NULL, 160, NULL, NULL, 21495),
(67221, '1b1xA01', NULL, NULL, 180, NULL, NULL, 21495),
(67222, '3cfzA02', NULL, NULL, 170, NULL, NULL, 21495),
(67223, '5l9sA02', NULL, NULL, 124, NULL, NULL, 21495),
(67224, '2vd3A02', NULL, NULL, 91, NULL, NULL, 21495),
(67225, '1b1xA02', NULL, NULL, 159, NULL, NULL, 21495),
(67226, '3cfzA01', NULL, NULL, 122, NULL, NULL, 21495),
(67227, '3ppqA01', NULL, NULL, 166, NULL, NULL, 21495),
(67228, '3kosA02', NULL, NULL, 97, NULL, NULL, 21495),
(67229, '3kosA01', NULL, NULL, 122, NULL, NULL, 21495),
(67230, '3k6vA01', NULL, NULL, 140, NULL, NULL, 21495),
(67231, '2o7iA01', NULL, NULL, 174, NULL, NULL, 21495),
(67232, '3q26A00', NULL, NULL, 404, NULL, NULL, 21495),
(67233, '1zbmA01', NULL, NULL, 188, NULL, NULL, 21495),
(67234, '4euoA01', NULL, NULL, 198, NULL, NULL, 21495),
(67235, '1zbmA02', NULL, NULL, 92, NULL, NULL, 21495),
(67236, '4euoA02', NULL, NULL, 122, NULL, NULL, 21495),
(67237, '2grvA01', NULL, NULL, 175, NULL, NULL, 21495),
(67238, '4jwxA01', NULL, NULL, 167, NULL, NULL, 21495),
(67239, '4jwxA02', NULL, NULL, 107, NULL, NULL, 21495),
(67240, '4kqpA01', NULL, NULL, 136, NULL, NULL, 21495),
(67241, '4h5gA01', NULL, NULL, 148, NULL, NULL, 21495),
(67242, '4kqpA02', NULL, NULL, 96, NULL, NULL, 21495),
(67243, '4h5gA02', NULL, NULL, 95, NULL, NULL, 21495),
(67244, '1yaeE01', NULL, NULL, 158, NULL, NULL, 21495),
(67245, '2esnA02', NULL, NULL, 118, NULL, NULL, 21495),
(67246, '2esnA03', NULL, NULL, 99, NULL, NULL, 21495),
(67247, '4gvoA02', NULL, NULL, 121, NULL, NULL, 21495),
(67248, '4gvoA01', NULL, NULL, 122, NULL, NULL, 21495),
(67249, '2qmwA02', NULL, NULL, 81, NULL, NULL, 21495),
(67250, '1ve4A02', NULL, NULL, 83, NULL, NULL, 21495),
(67251, '1ve4A01', NULL, NULL, 123, NULL, NULL, 21495),
(67252, '2qmwA01', NULL, NULL, 97, NULL, NULL, 21495),
(67253, '5l9sB01', NULL, NULL, 208, NULL, NULL, 21495),
(67254, '5icqA01', NULL, NULL, 317, NULL, NULL, 21495),
(67255, '4f3pA02', NULL, NULL, 96, NULL, NULL, 21495),
(67256, '3p7iA02', NULL, NULL, 112, NULL, NULL, 21495),
(67257, '3lc8A02', NULL, NULL, 201, NULL, NULL, 21495),
(67258, '4f3pA01', NULL, NULL, 130, NULL, NULL, 21495),
(67259, '3p7iA01', NULL, NULL, 147, NULL, NULL, 21495),
(67260, '6npoA01', NULL, NULL, 168, NULL, NULL, 21495),
(67261, '4q8rA01', NULL, NULL, 125, NULL, NULL, 21495),
(67262, '4q8rA02', NULL, NULL, 127, NULL, NULL, 21495),
(67263, '3muqA02', NULL, NULL, 113, NULL, NULL, 21495),
(67264, '3muqA01', NULL, NULL, 124, NULL, NULL, 21495),
(67265, '2czlA02', NULL, NULL, 93, NULL, NULL, 21495),
(67266, '3uifA01', NULL, NULL, 228, NULL, NULL, 21495),
(67267, '2x7qA01', NULL, NULL, 219, NULL, NULL, 21495),
(67268, '2x7qA02', NULL, NULL, 102, NULL, NULL, 21495),
(67269, '1hslA02', NULL, NULL, 101, NULL, NULL, 21495),
(67270, '2vd2A01', NULL, NULL, 132, NULL, NULL, 21495),
(67271, '1hslA01', NULL, NULL, 137, NULL, NULL, 21495),
(67272, '2vd2A02', NULL, NULL, 82, NULL, NULL, 21495),
(67273, '3uifA02', NULL, NULL, 102, NULL, NULL, 21495),
(67274, '1gvcA00', NULL, NULL, 157, NULL, NULL, 21495),
(67275, '2y7iA01', NULL, NULL, 135, NULL, NULL, 21495),
(67276, '2y7iA02', NULL, NULL, 94, NULL, NULL, 21495),
(67277, '3fd3A02', NULL, NULL, 101, NULL, NULL, 21495),
(67278, '3fd3A01', NULL, NULL, 107, NULL, NULL, 21495),
(67279, '3gzgA02', NULL, NULL, 112, NULL, NULL, 21495),
(67280, '3gzgA01', NULL, NULL, 120, NULL, NULL, 21495),
(67281, '3w9vA01', NULL, NULL, 220, NULL, NULL, 21495),
(67282, '3w9vA02', NULL, NULL, 156, NULL, NULL, 21495),
(67283, '5yqwA01', NULL, NULL, 179, NULL, NULL, 21495),
(67284, '5z6bA02', NULL, NULL, 218, NULL, NULL, 21495),
(67285, '5z6bA01', NULL, NULL, 176, NULL, NULL, 21495),
(67286, '3u1oB02', NULL, NULL, 235, NULL, NULL, 21495),
(67287, '2b3fA01', NULL, NULL, 191, NULL, NULL, 21495),
(67288, '5ci5B02', NULL, NULL, 210, NULL, NULL, 21495),
(67289, '4i62A01', NULL, NULL, 144, NULL, NULL, 21495),
(67290, '3jv9A02', NULL, NULL, 108, NULL, NULL, 21495),
(67291, '4ib2A01', NULL, NULL, 147, NULL, NULL, 21495),
(67292, '3jv9A01', NULL, NULL, 111, NULL, NULL, 21495); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(67293, '4i62A02', NULL, NULL, 94, NULL, NULL, 21495),
(67294, '4ib2A02', NULL, NULL, 105, NULL, NULL, 21495),
(67295, '5josA01', NULL, NULL, 151, NULL, NULL, 21495),
(67296, '3luyA01', NULL, NULL, 120, NULL, NULL, 21495),
(67297, '4edpA02', NULL, NULL, 156, NULL, NULL, 21495),
(67298, '4ze8A01', NULL, NULL, 171, NULL, NULL, 21495),
(67299, '5josA02', NULL, NULL, 96, NULL, NULL, 21495),
(67300, '3luyA02', NULL, NULL, 74, NULL, NULL, 21495),
(67301, '4edpA01', NULL, NULL, 160, NULL, NULL, 21495),
(67302, '6dtsA01', NULL, NULL, 184, NULL, NULL, 21495),
(67303, '5h6oA01', NULL, NULL, 126, NULL, NULL, 21495),
(67304, '5h6oA02', NULL, NULL, 100, NULL, NULL, 21495),
(67305, '3jzjA01', NULL, NULL, 192, NULL, NULL, 21495),
(67306, '2v3uA01', NULL, NULL, 151, NULL, NULL, 21495),
(67307, '2v3uA02', NULL, NULL, 114, NULL, NULL, 21495),
(67308, '2rinA01', NULL, NULL, 188, NULL, NULL, 21495),
(67309, '4c1uA02', NULL, NULL, 211, NULL, NULL, 21495),
(67310, '4kd5A01', NULL, NULL, 127, NULL, NULL, 21495),
(67311, '3waeA02', NULL, NULL, 159, NULL, NULL, 21495),
(67312, '4kd5A02', NULL, NULL, 106, NULL, NULL, 21495),
(67313, '4jwoA01', NULL, NULL, 141, NULL, NULL, 21495),
(67314, '4jwoA02', NULL, NULL, 143, NULL, NULL, 21495),
(67315, '4c1uA01', NULL, NULL, 185, NULL, NULL, 21495),
(67316, '4ef1A01', NULL, NULL, 137, NULL, NULL, 21495),
(67317, '4ef1A02', NULL, NULL, 109, NULL, NULL, 21495),
(67318, '2qmxA01', NULL, NULL, 95, NULL, NULL, 21495),
(67319, '2qmxA02', NULL, NULL, 86, NULL, NULL, 21495),
(67320, '4rk9A02', NULL, NULL, 229, NULL, NULL, 21495),
(67321, '1h3dA01', NULL, NULL, 135, NULL, NULL, 21495),
(67322, '4rk9A01', NULL, NULL, 172, NULL, NULL, 21495),
(67323, '1h3dA02', NULL, NULL, 90, NULL, NULL, 21495),
(67324, '2uvjA02', NULL, NULL, 225, NULL, NULL, 21495),
(67325, '2onsA01', NULL, NULL, 143, NULL, NULL, 21495),
(67326, '6nioA01', NULL, NULL, 123, NULL, NULL, 21495),
(67327, '2uvjA01', NULL, NULL, 183, NULL, NULL, 21495),
(67328, '6nioA02', NULL, NULL, 112, NULL, NULL, 21495),
(67329, '5yseB01', NULL, NULL, 197, NULL, NULL, 21495),
(67330, '2z23A01', NULL, NULL, 177, NULL, NULL, 21495),
(67331, '4oteB01', NULL, NULL, 137, NULL, NULL, 21495),
(67332, '3vvfA01', NULL, NULL, 143, NULL, NULL, 21495),
(67333, '5mmhA02', NULL, NULL, 97, NULL, NULL, 21495),
(67334, '2qpqA02', NULL, NULL, 124, NULL, NULL, 21495),
(67335, '4pfyB01', NULL, NULL, 156, NULL, NULL, 21495),
(67336, '3ttnB02', NULL, NULL, 170, NULL, NULL, 21495),
(67337, '3ttnB01', NULL, NULL, 170, NULL, NULL, 21495),
(67338, '2czlA01', NULL, NULL, 179, NULL, NULL, 21495),
(67339, '4zdmA02', NULL, NULL, 100, NULL, NULL, 21495),
(67340, '4zdmA01', NULL, NULL, 161, NULL, NULL, 21495),
(67341, '6dtsB02', NULL, NULL, 199, NULL, NULL, 21495),
(67342, '2hzlA02', NULL, NULL, 114, NULL, NULL, 21495),
(67343, '1i6aA02', NULL, NULL, 104, NULL, NULL, 21495),
(67344, '3delB01', NULL, NULL, 149, NULL, NULL, 21495),
(67345, '1p99A02', NULL, NULL, 111, NULL, NULL, 21495),
(67346, '1p99A01', NULL, NULL, 145, NULL, NULL, 21495),
(67347, '3jyrA02', NULL, NULL, 187, NULL, NULL, 21495),
(67348, '3delB02', NULL, NULL, 93, NULL, NULL, 21495),
(67349, '3jyrA01', NULL, NULL, 179, NULL, NULL, 21495),
(67350, '6hlyA01', NULL, NULL, 203, NULL, NULL, 21495),
(67351, '6hlyA02', NULL, NULL, 119, NULL, NULL, 21495),
(67352, '3rpwA02', NULL, NULL, 153, NULL, NULL, 21495),
(67353, '3rpwA01', NULL, NULL, 182, NULL, NULL, 21495),
(67354, '6eyqA01', NULL, NULL, 167, NULL, NULL, 21495),
(67355, '5k2xA00', NULL, NULL, 420, NULL, NULL, 21495),
(67356, '5wjpA01', NULL, NULL, 154, NULL, NULL, 21495),
(67357, '5wjpA02', NULL, NULL, 95, NULL, NULL, 21495),
(67358, '3gbaD01', NULL, NULL, 152, NULL, NULL, 21495),
(67359, '1jnfA01', NULL, NULL, 184, NULL, NULL, 21495),
(67360, '5my5A01', NULL, NULL, 138, NULL, NULL, 21495),
(67361, '1jnfA03', NULL, NULL, 185, NULL, NULL, 21495),
(67362, '5my5A02', NULL, NULL, 112, NULL, NULL, 21495),
(67363, '1jnfA04', NULL, NULL, 155, NULL, NULL, 21495),
(67364, '1svxB02', NULL, NULL, 195, NULL, NULL, 21495),
(67365, '2zyoA02', NULL, NULL, 193, NULL, NULL, 21495);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(67366, '4r6hA02', NULL, NULL, 239, NULL, NULL, 21495),
(67367, '2zyoA01', NULL, NULL, 204, NULL, NULL, 21495),
(67368, '4r6hA01', NULL, NULL, 162, NULL, NULL, 21495),
(67369, '4oerA01', NULL, NULL, 272, NULL, NULL, 21495),
(67370, '1yaeB02', NULL, NULL, 130, NULL, NULL, 21495),
(67371, '2yjpA02', NULL, NULL, 91, NULL, NULL, 21495),
(67372, '4r2bA01', NULL, NULL, 198, NULL, NULL, 21495),
(67373, '4r2bA02', NULL, NULL, 198, NULL, NULL, 21495),
(67374, '4f1vA01', NULL, NULL, 232, NULL, NULL, 21495),
(67375, '3un6A01', NULL, NULL, 192, NULL, NULL, 21495),
(67376, '3un6A02', NULL, NULL, 99, NULL, NULL, 21495),
(67377, '5h71A01', NULL, NULL, 221, NULL, NULL, 21495),
(67378, '5h71A02', NULL, NULL, 271, NULL, NULL, 21495),
(67379, '4f1vA02', NULL, NULL, 149, NULL, NULL, 21495),
(67380, '1pdaA01', NULL, NULL, 120, NULL, NULL, 21495),
(67381, '1i6aA01', NULL, NULL, 115, NULL, NULL, 21495),
(67382, '4c0rA01', NULL, NULL, 122, NULL, NULL, 21495),
(67383, '4c0rA02', NULL, NULL, 102, NULL, NULL, 21495),
(67384, '2z22A02', NULL, NULL, 166, NULL, NULL, 21495),
(67385, '2z22A01', NULL, NULL, 155, NULL, NULL, 21495),
(67386, '4m1vA02', NULL, NULL, 156, NULL, NULL, 21495),
(67387, '2xxpA01', NULL, NULL, 119, NULL, NULL, 21495),
(67388, '4m1vA01', NULL, NULL, 222, NULL, NULL, 21495),
(67389, '1ursB01', NULL, NULL, 186, NULL, NULL, 21495),
(67390, '2nxoA02', NULL, NULL, 102, NULL, NULL, 21495),
(67391, '1ce2A01', NULL, NULL, 176, NULL, NULL, 21495),
(67392, '1q35A01', NULL, NULL, 147, NULL, NULL, 21495),
(67393, '1ce2A02', NULL, NULL, 159, NULL, NULL, 21495),
(67394, '1ce2A03', NULL, NULL, 188, NULL, NULL, 21495),
(67395, '1q35A02', NULL, NULL, 173, NULL, NULL, 21495),
(67396, '2pyyA02', NULL, NULL, 97, NULL, NULL, 21495),
(67397, '1xvyA02', NULL, NULL, 156, NULL, NULL, 21495),
(67398, '1xvyA01', NULL, NULL, 153, NULL, NULL, 21495),
(67399, '2pt2A01', NULL, NULL, 148, NULL, NULL, 21495),
(67400, '3cg3A02', NULL, NULL, 167, NULL, NULL, 21495),
(67401, '4mfiA00', NULL, NULL, 406, NULL, NULL, 21495),
(67402, '3cg3A01', NULL, NULL, 153, NULL, NULL, 21495),
(67403, '3hv1A02', NULL, NULL, 101, NULL, NULL, 21495),
(67404, '5eyfA02', NULL, NULL, 98, NULL, NULL, 21495),
(67405, '3k2dA02', NULL, NULL, 106, NULL, NULL, 21495),
(67406, '3k2dA01', NULL, NULL, 131, NULL, NULL, 21495),
(67407, '1xs5A01', NULL, NULL, 135, NULL, NULL, 21495),
(67408, '1xs5A02', NULL, NULL, 106, NULL, NULL, 21495),
(67409, '4ryaA01', NULL, NULL, 216, NULL, NULL, 21495),
(67410, '4ryaA02', NULL, NULL, 208, NULL, NULL, 21495),
(67411, '3cvgC01', NULL, NULL, 91, NULL, NULL, 21495),
(67412, '1r9lA01', NULL, NULL, 168, NULL, NULL, 21495),
(67413, '3c9hA01', NULL, NULL, 208, NULL, NULL, 21495),
(67414, '3c9hA02', NULL, NULL, 147, NULL, NULL, 21495),
(67415, '1ixcA03', NULL, NULL, 106, NULL, NULL, 21495),
(67416, '4yu0A01', NULL, NULL, 149, NULL, NULL, 21495),
(67417, '1ixcA02', NULL, NULL, 100, NULL, NULL, 21495),
(67418, '1jw1A02', NULL, NULL, 159, NULL, NULL, 21495),
(67419, '4yahX01', NULL, NULL, 144, NULL, NULL, 21495),
(67420, '4powA02', NULL, NULL, 119, NULL, NULL, 21495),
(67421, '4yahX02', NULL, NULL, 107, NULL, NULL, 21495),
(67422, '2yjpB01', NULL, NULL, 155, NULL, NULL, 21495),
(67423, '2pvuA02', NULL, NULL, 98, NULL, NULL, 21495),
(67424, '4rjzA01', NULL, NULL, 190, NULL, NULL, 21495),
(67425, '2pvuA01', NULL, NULL, 123, NULL, NULL, 21495),
(67426, '4rjzA02', NULL, NULL, 192, NULL, NULL, 21495),
(67427, '3up9A02', NULL, NULL, 103, NULL, NULL, 21495),
(67428, '2v25A02', NULL, NULL, 101, NULL, NULL, 21495),
(67429, '5ci5A01', NULL, NULL, 184, NULL, NULL, 21495),
(67430, '5ng9A01', NULL, NULL, 149, NULL, NULL, 21495),
(67431, '4lubB01', NULL, NULL, 101, NULL, NULL, 21495),
(67432, '4jb7A01', NULL, NULL, 119, NULL, NULL, 21495),
(67433, '6dtqA02', NULL, NULL, 214, NULL, NULL, 21495),
(67434, '3mpkA01', NULL, NULL, 140, NULL, NULL, 21495),
(67435, '2wolA01', NULL, NULL, 331, NULL, NULL, 21495),
(67436, '2v25A01', NULL, NULL, 130, NULL, NULL, 21495),
(67437, '3mpkA02', NULL, NULL, 95, NULL, NULL, 21495),
(67438, '1jw1A01', NULL, NULL, 176, NULL, NULL, 21495);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(67439, '3s9eA02', NULL, NULL, 104, NULL, NULL, 21495),
(67440, '3s9eA01', NULL, NULL, 154, NULL, NULL, 21495),
(67441, '4jb7A02', NULL, NULL, 114, NULL, NULL, 21495),
(67442, '5ng9A02', NULL, NULL, 109, NULL, NULL, 21495),
(67443, '5dviA01', NULL, NULL, 196, NULL, NULL, 21495),
(67444, '3up9A01', NULL, NULL, 142, NULL, NULL, 21495),
(67445, '1gtkA02', NULL, NULL, 100, NULL, NULL, 21495),
(67446, '5dviA02', NULL, NULL, 200, NULL, NULL, 21495),
(67447, '3v83A04', NULL, NULL, 157, NULL, NULL, 21495),
(67448, '3v83A01', NULL, NULL, 181, NULL, NULL, 21495),
(67449, '1o63A02', NULL, NULL, 82, NULL, NULL, 21495),
(67450, '2qsxA01', NULL, NULL, 102, NULL, NULL, 21495),
(67451, '1ursA02', NULL, NULL, 186, NULL, NULL, 21495),
(67452, '4zefA01', NULL, NULL, 126, NULL, NULL, 21495),
(67453, '4r75A01', NULL, NULL, 165, NULL, NULL, 21495),
(67454, '1o63A01', NULL, NULL, 137, NULL, NULL, 21495),
(67455, '4r75A02', NULL, NULL, 156, NULL, NULL, 21495),
(67456, '4zefA02', NULL, NULL, 96, NULL, NULL, 21495),
(67457, '5ikbA02', NULL, NULL, 105, NULL, NULL, 21495),
(67458, '2d5wA01', NULL, NULL, 238, NULL, NULL, 21495),
(67459, '4pe5D03', NULL, NULL, 165, NULL, NULL, 21495),
(67460, '4ecfA02', NULL, NULL, 122, NULL, NULL, 21495),
(67461, '4ecfA01', NULL, NULL, 142, NULL, NULL, 21495),
(67462, '2p0sB01', NULL, NULL, 118, NULL, NULL, 21495),
(67463, '1z7mE02', NULL, NULL, 84, NULL, NULL, 21495),
(67464, '3kbrA01', NULL, NULL, 147, NULL, NULL, 21495),
(67465, '3kbrA02', NULL, NULL, 91, NULL, NULL, 21495),
(67466, '1vr5A01', NULL, NULL, 158, NULL, NULL, 21495),
(67467, '3i6vA01', NULL, NULL, 148, NULL, NULL, 21495),
(67468, '3tmgB01', NULL, NULL, 171, NULL, NULL, 21495),
(67469, '3i6vA02', NULL, NULL, 84, NULL, NULL, 21495),
(67470, '4pe5D04', NULL, NULL, 115, NULL, NULL, 21495),
(67471, '1dtzA01', NULL, NULL, 180, NULL, NULL, 21495),
(67472, '3hv1B01', NULL, NULL, 167, NULL, NULL, 21495),
(67473, '1dtzA03', NULL, NULL, 190, NULL, NULL, 21495),
(67474, '1dtzA02', NULL, NULL, 159, NULL, NULL, 21495),
(67475, '1dtzA04', NULL, NULL, 160, NULL, NULL, 21495),
(67476, '5ikbA01', NULL, NULL, 152, NULL, NULL, 21495),
(67477, '4petA02', NULL, NULL, 113, NULL, NULL, 21495),
(67478, '2rc8A01', NULL, NULL, 183, NULL, NULL, 21495),
(67479, '2rc8A02', NULL, NULL, 111, NULL, NULL, 21495),
(67480, '3tqwA02', NULL, NULL, 105, NULL, NULL, 21495),
(67481, '3n93A01', NULL, NULL, 169, NULL, NULL, 21495),
(67482, '3tqwA01', NULL, NULL, 134, NULL, NULL, 21495),
(67483, '2z8fB02', NULL, NULL, 239, NULL, NULL, 21495),
(67484, '5mmhD01', NULL, NULL, 125, NULL, NULL, 21495),
(67485, '4ovjA02', NULL, NULL, 218, NULL, NULL, 21495),
(67486, '4ovjA01', NULL, NULL, 181, NULL, NULL, 21495),
(67487, '3mq9D00', NULL, NULL, 454, NULL, NULL, 21495),
(67488, '1zu0A01', NULL, NULL, 176, NULL, NULL, 21495),
(67489, '4qhqA02', NULL, NULL, 108, NULL, NULL, 21495),
(67490, '4qhqA01', NULL, NULL, 133, NULL, NULL, 21495),
(67491, '3tqlA01', NULL, NULL, 128, NULL, NULL, 21495),
(67492, '3tqlA02', NULL, NULL, 99, NULL, NULL, 21495),
(67493, '3ombA01', NULL, NULL, 212, NULL, NULL, 21495),
(67494, '1wdnA01', NULL, NULL, 96, NULL, NULL, 21495),
(67495, '1wdnA02', NULL, NULL, 124, NULL, NULL, 21495),
(67496, '3ombA02', NULL, NULL, 291, NULL, NULL, 21495),
(67497, '1atgA02', NULL, NULL, 109, NULL, NULL, 21495),
(67498, '4jxiB02', NULL, NULL, 235, NULL, NULL, 21495),
(67499, '1z7mF01', NULL, NULL, 124, NULL, NULL, 21495),
(67500, '3tpaA01', NULL, NULL, 134, NULL, NULL, 21495),
(67501, '2i49A01', NULL, NULL, 262, NULL, NULL, 21495),
(67502, '1y9uA02', NULL, NULL, 171, NULL, NULL, 21495),
(67503, '2i49A02', NULL, NULL, 136, NULL, NULL, 21495),
(67504, '1y9uA01', NULL, NULL, 152, NULL, NULL, 21495),
(67505, '5wnnA01', NULL, NULL, 155, NULL, NULL, 21495),
(67506, '2vhaA02', NULL, NULL, 96, NULL, NULL, 21495),
(67507, '5wnnA02', NULL, NULL, 166, NULL, NULL, 21495),
(67508, '2vhaA01', NULL, NULL, 191, NULL, NULL, 21495),
(67509, '5kztA01', NULL, NULL, 184, NULL, NULL, 21495),
(67510, '4k3fA01', NULL, NULL, 135, NULL, NULL, 21495),
(67511, '1pb7A02', NULL, NULL, 108, NULL, NULL, 21495);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(67512, '4k3fA02', NULL, NULL, 105, NULL, NULL, 21495),
(67513, '1pb7A01', NULL, NULL, 184, NULL, NULL, 21495),
(67514, '1h76A02', NULL, NULL, 157, NULL, NULL, 21495),
(67515, '1h76A01', NULL, NULL, 185, NULL, NULL, 21495),
(67516, '3mwbA01', NULL, NULL, 102, NULL, NULL, 21495),
(67517, '3mwbA02', NULL, NULL, 89, NULL, NULL, 21495),
(67518, '1h76A04', NULL, NULL, 161, NULL, NULL, 21495),
(67519, '4x9tA02', NULL, NULL, 121, NULL, NULL, 21495),
(67520, '1h76A03', NULL, NULL, 183, NULL, NULL, 21495),
(67521, '2heuB01', NULL, NULL, 183, NULL, NULL, 21495),
(67522, '1twyD02', NULL, NULL, 135, NULL, NULL, 21495),
(67523, '5tu0A02', NULL, NULL, 201, NULL, NULL, 21495),
(67524, '5tu0A01', NULL, NULL, 189, NULL, NULL, 21495),
(67525, '4u1wC03', NULL, NULL, 145, NULL, NULL, 21495),
(67526, '3qaxB01', NULL, NULL, 131, NULL, NULL, 21495),
(67527, '1xvxA01', NULL, NULL, 156, NULL, NULL, 21495),
(67528, '4zs9A01', NULL, NULL, 171, NULL, NULL, 21495),
(67529, '4zs9A02', NULL, NULL, 218, NULL, NULL, 21495),
(67530, '1atgA01', NULL, NULL, 122, NULL, NULL, 21495),
(67531, '1xvxA02', NULL, NULL, 156, NULL, NULL, 21495),
(67532, '5j1dA02', NULL, NULL, 149, NULL, NULL, 21495),
(67533, '2qsxB02', NULL, NULL, 98, NULL, NULL, 21495),
(67534, '4eq9A01', NULL, NULL, 127, NULL, NULL, 21495),
(67535, '4eq9A02', NULL, NULL, 103, NULL, NULL, 21495),
(67536, '4tozA01', NULL, NULL, 183, NULL, NULL, 21495),
(67537, '4x6gE02', NULL, NULL, 117, NULL, NULL, 21495),
(67538, '4x6gE03', NULL, NULL, 108, NULL, NULL, 21495),
(67539, '1jetA01', NULL, NULL, 177, NULL, NULL, 21495),
(67540, '1xocA01', NULL, NULL, 155, NULL, NULL, 21495),
(67541, '4rxlA02', NULL, NULL, 112, NULL, NULL, 21495),
(67542, '4rxlA01', NULL, NULL, 122, NULL, NULL, 21495),
(67543, '2nxoD01', NULL, NULL, 189, NULL, NULL, 21495),
(67544, '1dotA04', NULL, NULL, 156, NULL, NULL, 21495),
(67545, '1dotA03', NULL, NULL, 191, NULL, NULL, 21495),
(67546, '2ylnA02', NULL, NULL, 95, NULL, NULL, 21495),
(67547, '1dotA01', NULL, NULL, 180, NULL, NULL, 21495),
(67548, '5gubB02', NULL, NULL, 261, NULL, NULL, 21495),
(67549, '3ry3A01', NULL, NULL, 256, NULL, NULL, 21495),
(67550, '2ylnA01', NULL, NULL, 134, NULL, NULL, 21495),
(67551, '5gubB01', NULL, NULL, 222, NULL, NULL, 21495),
(67552, '2g29A01', NULL, NULL, 257, NULL, NULL, 21495),
(67553, '3sewA02', NULL, NULL, 188, NULL, NULL, 21495),
(67554, '2g29A02', NULL, NULL, 133, NULL, NULL, 21495),
(67555, '3lswA01', NULL, NULL, 146, NULL, NULL, 21495),
(67556, '2b3fC02', NULL, NULL, 209, NULL, NULL, 21495),
(67557, '3lswA02', NULL, NULL, 109, NULL, NULL, 21495),
(67558, '4lonB02', NULL, NULL, 101, NULL, NULL, 21495),
(67559, '6dquA01', NULL, NULL, 186, NULL, NULL, 21495),
(67560, '1iq7A01', NULL, NULL, 134, NULL, NULL, 21495),
(67561, '1us5A02', NULL, NULL, 139, NULL, NULL, 21495),
(67562, '5orgA01', NULL, NULL, 143, NULL, NULL, 21495),
(67563, '1us5A01', NULL, NULL, 158, NULL, NULL, 21495),
(67564, '3kjtA02', NULL, NULL, 187, NULL, NULL, 21495),
(67565, '5on8A01', NULL, NULL, 274, NULL, NULL, 21495),
(67566, '3e13X02', NULL, NULL, 173, NULL, NULL, 21495),
(67567, '3e13X01', NULL, NULL, 149, NULL, NULL, 21495),
(67568, '5f7vA00', NULL, NULL, 400, NULL, NULL, 21495),
(67569, '4oteA02', NULL, NULL, 104, NULL, NULL, 21495),
(67570, '2heuA02', NULL, NULL, 218, NULL, NULL, 21495),
(67571, '6hkeA02', NULL, NULL, 124, NULL, NULL, 21495),
(67572, '2x26B01', NULL, NULL, 174, NULL, NULL, 21495),
(67573, '4kydB02', NULL, NULL, 215, NULL, NULL, 21495),
(67574, '3qaxA02', NULL, NULL, 94, NULL, NULL, 21495),
(67575, '3hn0A01', NULL, NULL, 185, NULL, NULL, 21495),
(67576, '4htgA02', NULL, NULL, 101, NULL, NULL, 21495),
(67577, '4htgA01', NULL, NULL, 131, NULL, NULL, 21495),
(67578, '3hn0A02', NULL, NULL, 98, NULL, NULL, 21495),
(67579, '3n5lA02', NULL, NULL, 113, NULL, NULL, 21495),
(67580, '3n5lA01', NULL, NULL, 137, NULL, NULL, 21495),
(67581, '3zs6A01', NULL, NULL, 167, NULL, NULL, 21495),
(67582, '4dz1A02', NULL, NULL, 99, NULL, NULL, 21495),
(67583, '4dz1A01', NULL, NULL, 136, NULL, NULL, 21495),
(67584, '1mdp102', NULL, NULL, 179, NULL, NULL, 21495);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(67585, '5iaiA01', NULL, NULL, 192, NULL, NULL, 21495),
(67586, '5iaiA02', NULL, NULL, 207, NULL, NULL, 21495),
(67587, '3fjmA02', NULL, NULL, 113, NULL, NULL, 21495),
(67588, '3thiA01', NULL, NULL, 175, NULL, NULL, 21495),
(67589, '3thiA02', NULL, NULL, 190, NULL, NULL, 21495),
(67590, '2d3iA02', NULL, NULL, 156, NULL, NULL, 21495),
(67591, '2d3iA01', NULL, NULL, 179, NULL, NULL, 21495),
(67592, '2de3A01', NULL, NULL, 193, NULL, NULL, 21495),
(67593, '4pp0B01', NULL, NULL, 146, NULL, NULL, 21495),
(67594, '3ksxA01', NULL, NULL, 166, NULL, NULL, 21495),
(67595, '3ksxA02', NULL, NULL, 100, NULL, NULL, 21495),
(67596, '2d3iA04', NULL, NULL, 159, NULL, NULL, 21495),
(67597, '2z8fA01', NULL, NULL, 173, NULL, NULL, 21495),
(67598, '2d3iA03', NULL, NULL, 185, NULL, NULL, 21495),
(67599, '4nmyA02', NULL, NULL, 102, NULL, NULL, 21495),
(67600, '4nmyA01', NULL, NULL, 201, NULL, NULL, 21495),
(67601, '2x26A02', NULL, NULL, 100, NULL, NULL, 21495),
(67602, '1a7lB02', NULL, NULL, 182, NULL, NULL, 21495),
(67603, '2x26A01', NULL, NULL, 185, NULL, NULL, 21495),
(67604, '4gl8A01', NULL, NULL, 155, NULL, NULL, 21495),
(67605, '5um2A01', NULL, NULL, 156, NULL, NULL, 21495),
(67606, '5um2A02', NULL, NULL, 160, NULL, NULL, 21495),
(67607, '3g3kA02', NULL, NULL, 105, NULL, NULL, 21495),
(67608, '3g3kA01', NULL, NULL, 154, NULL, NULL, 21495),
(67609, '2f7aA01', NULL, NULL, 125, NULL, NULL, 21495),
(67610, '3w15C00', NULL, NULL, 389, NULL, NULL, 21495),
(67611, '4fedA02', NULL, NULL, 216, NULL, NULL, 21495),
(67612, '3fxqA03', NULL, NULL, 102, NULL, NULL, 21495),
(67613, '4wepA01', NULL, NULL, 167, NULL, NULL, 21495),
(67614, '4r9fA02', NULL, NULL, 206, NULL, NULL, 21495),
(67615, '4z7eA01', NULL, NULL, 166, NULL, NULL, 21495),
(67616, '4r9fA01', NULL, NULL, 201, NULL, NULL, 21495),
(67617, '6ft2A02', NULL, NULL, 101, NULL, NULL, 21495),
(67618, '3hhgE02', NULL, NULL, 117, NULL, NULL, 21495),
(67619, '6ft2A01', NULL, NULL, 145, NULL, NULL, 21495),
(67620, '1nnfA02', NULL, NULL, 153, NULL, NULL, 21495),
(67621, '3fzvD02', NULL, NULL, 120, NULL, NULL, 21495),
(67622, '1nnfA01', NULL, NULL, 156, NULL, NULL, 21495),
(67623, '4ykiA02', NULL, NULL, 100, NULL, NULL, 21495),
(67624, '3rqtA01', NULL, NULL, 253, NULL, NULL, 21495),
(67625, '5z50A02', NULL, NULL, 101, NULL, NULL, 21495),
(67626, '2q88A01', NULL, NULL, 133, NULL, NULL, 21495),
(67627, '5z50A01', NULL, NULL, 136, NULL, NULL, 21495),
(67628, '1iejA01', NULL, NULL, 143, NULL, NULL, 21495),
(67629, '4ntlA02', NULL, NULL, 106, NULL, NULL, 21495),
(67630, '4ntlA01', NULL, NULL, 141, NULL, NULL, 21495),
(67631, '2q88A02', NULL, NULL, 102, NULL, NULL, 21495),
(67632, '2fyiA02', NULL, NULL, 101, NULL, NULL, 21495),
(67633, '1ii5A01', NULL, NULL, 140, NULL, NULL, 21495),
(67634, '1ii5A02', NULL, NULL, 93, NULL, NULL, 21495),
(67635, '4h1xA01', NULL, NULL, 137, NULL, NULL, 21495),
(67636, '6o9aA02', NULL, NULL, 113, NULL, NULL, 21495),
(67637, '3l6gA01', NULL, NULL, 150, NULL, NULL, 21495),
(67638, '6o9aA01', NULL, NULL, 151, NULL, NULL, 21495),
(67639, '4r2fA01', NULL, NULL, 195, NULL, NULL, 21495),
(67640, '4r2fA02', NULL, NULL, 199, NULL, NULL, 21495),
(67641, '6fthA02', NULL, NULL, 288, NULL, NULL, 21495),
(67642, '6fthA01', NULL, NULL, 208, NULL, NULL, 21495),
(67643, '4oenA02', NULL, NULL, 95, NULL, NULL, 21495),
(67644, '4yzzA02', NULL, NULL, 114, NULL, NULL, 21495),
(67645, '5hm4B01', NULL, NULL, 157, NULL, NULL, 21495),
(67646, '2ozzA01', NULL, NULL, 139, NULL, NULL, 21495),
(67647, '2ozzA02', NULL, NULL, 92, NULL, NULL, 21495),
(67648, '3h7mA02', NULL, NULL, 94, NULL, NULL, 21495),
(67649, '3h7mA01', NULL, NULL, 140, NULL, NULL, 21495),
(67650, '4hcwA01', NULL, NULL, 183, NULL, NULL, 21495),
(67651, '4h65B01', NULL, NULL, 196, NULL, NULL, 21495),
(67652, '3onmA02', NULL, NULL, 94, NULL, NULL, 21495),
(67653, '2rcaA01', NULL, NULL, 181, NULL, NULL, 21495),
(67654, '5bwjD02', NULL, NULL, 98, NULL, NULL, 21495),
(67655, '3kzgA02', NULL, NULL, 99, NULL, NULL, 21495),
(67656, '2rcaA02', NULL, NULL, 111, NULL, NULL, 21495),
(67657, '3kzgA01', NULL, NULL, 138, NULL, NULL, 21495);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(67658, '4ab5A02', NULL, NULL, 105, NULL, NULL, 21495),
(67659, '3onmA01', NULL, NULL, 97, NULL, NULL, 21495),
(67660, '4ua8A01', NULL, NULL, 194, NULL, NULL, 21495),
(67661, '3dm0A01', NULL, NULL, 370, NULL, NULL, 21495),
(67662, '4ua8A02', NULL, NULL, 189, NULL, NULL, 21495),
(67663, '2vozB01', NULL, NULL, 145, NULL, NULL, 21495),
(67664, '4tllB03', NULL, NULL, 162, NULL, NULL, 21495),
(67665, '2fyiC01', NULL, NULL, 127, NULL, NULL, 21495),
(67666, '5cm6A02', NULL, NULL, 113, NULL, NULL, 21495),
(67667, '4g4pA02', NULL, NULL, 96, NULL, NULL, 21495),
(67668, '4g4pA01', NULL, NULL, 124, NULL, NULL, 21495),
(67669, '4n13A02', NULL, NULL, 137, NULL, NULL, 21495),
(67670, '3i3vB01', NULL, NULL, 176, NULL, NULL, 21495),
(67671, '4n13A01', NULL, NULL, 128, NULL, NULL, 21495),
(67672, '1xc1A01', NULL, NULL, 156, NULL, NULL, 21495),
(67673, '1nh8A02', NULL, NULL, 86, NULL, NULL, 21495),
(67674, '5isuA01', NULL, NULL, 157, NULL, NULL, 21495),
(67675, '4hw8A02', NULL, NULL, 201, NULL, NULL, 21495),
(67676, '4ykiA01', NULL, NULL, 156, NULL, NULL, 21495),
(67677, '4hw8A01', NULL, NULL, 183, NULL, NULL, 21495),
(67678, '4oenB01', NULL, NULL, 128, NULL, NULL, 21495),
(67679, '1xc1A02', NULL, NULL, 153, NULL, NULL, 21495),
(67680, '1nh8A01', NULL, NULL, 117, NULL, NULL, 21495),
(67681, '2qryA02', NULL, NULL, 151, NULL, NULL, 21495),
(67682, '2qryA01', NULL, NULL, 158, NULL, NULL, 21495),
(67683, '1sw5A01', NULL, NULL, 171, NULL, NULL, 21495),
(67684, '4yb6A02', NULL, NULL, 90, NULL, NULL, 21495),
(67685, '5ftiA01', NULL, NULL, 146, NULL, NULL, 21495),
(67686, '4ohnA02', NULL, NULL, 99, NULL, NULL, 21495),
(67687, '2w7yA02', NULL, NULL, 195, NULL, NULL, 21495),
(67688, '4ohnA01', NULL, NULL, 158, NULL, NULL, 21495),
(67689, '1eljA02', NULL, NULL, 190, NULL, NULL, 21495),
(67690, '1potA01', NULL, NULL, 168, NULL, NULL, 21495),
(67691, '2w7yA01', NULL, NULL, 197, NULL, NULL, 21495),
(67692, '1eljA01', NULL, NULL, 183, NULL, NULL, 21495),
(67693, '1potA02', NULL, NULL, 157, NULL, NULL, 21495),
(67694, '3n94A02', NULL, NULL, 187, NULL, NULL, 21495),
(67695, '4p0gA02', NULL, NULL, 96, NULL, NULL, 21495),
(67696, '4ab5B01', NULL, NULL, 117, NULL, NULL, 21495),
(67697, '3k6xA01', NULL, NULL, 182, NULL, NULL, 21495),
(67698, '3k4uA02', NULL, NULL, 99, NULL, NULL, 21495),
(67699, '4exlA02', NULL, NULL, 122, NULL, NULL, 21495),
(67700, '3kg2B03', NULL, NULL, 146, NULL, NULL, 21495),
(67701, '1twyA01', NULL, NULL, 129, NULL, NULL, 21495),
(67702, '1h45A01', NULL, NULL, 141, NULL, NULL, 21495),
(67703, '4p0gA01', NULL, NULL, 145, NULL, NULL, 21495),
(67704, '4fajA01', NULL, NULL, 166, NULL, NULL, 21495),
(67705, '3t66A01', NULL, NULL, 275, NULL, NULL, 21495),
(67706, '3i3vA02', NULL, NULL, 229, NULL, NULL, 21495),
(67707, '4x1bA03', NULL, NULL, 184, NULL, NULL, 21495),
(67708, '3a09A01', NULL, NULL, 221, NULL, NULL, 21495),
(67709, '3a09A02', NULL, NULL, 269, NULL, NULL, 21495),
(67710, '3vv5A02', NULL, NULL, 98, NULL, NULL, 21495),
(67711, '4wedA01', NULL, NULL, 264, NULL, NULL, 21495),
(67712, '1ixhA02', NULL, NULL, 166, NULL, NULL, 21495),
(67713, '1ixhA01', NULL, NULL, 155, NULL, NULL, 21495),
(67714, '4qflA01', NULL, NULL, 123, NULL, NULL, 21495),
(67715, '3o66B01', NULL, NULL, 177, NULL, NULL, 21495),
(67716, '3mz1B01', NULL, NULL, 110, NULL, NULL, 21495),
(67717, '3mz1B02', NULL, NULL, 105, NULL, NULL, 21495),
(67718, '4eqbA02', NULL, NULL, 158, NULL, NULL, 21495),
(67719, '3cfxA02', NULL, NULL, 172, NULL, NULL, 21495),
(67720, '4eqbA01', NULL, NULL, 172, NULL, NULL, 21495),
(67721, '3fxqB02', NULL, NULL, 114, NULL, NULL, 21495),
(67722, '4dddA01', NULL, NULL, 162, NULL, NULL, 21495),
(67723, '4dddA02', NULL, NULL, 138, NULL, NULL, 21495),
(67724, '4mlvA02', NULL, NULL, 101, NULL, NULL, 21495),
(67725, '1tfdA02', NULL, NULL, 165, NULL, NULL, 21495),
(67726, '1tfdA01', NULL, NULL, 138, NULL, NULL, 21495),
(67727, '4io2A01', NULL, NULL, 144, NULL, NULL, 21495),
(67728, '4io2A02', NULL, NULL, 104, NULL, NULL, 21495),
(67729, '4la9A02', NULL, NULL, 96, NULL, NULL, 21495),
(67730, '4tllD04', NULL, NULL, 119, NULL, NULL, 21495);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(67731, '4la9A01', NULL, NULL, 130, NULL, NULL, 21495),
(67732, '4exlB01', NULL, NULL, 143, NULL, NULL, 21495),
(67733, '3oelA01', NULL, NULL, 173, NULL, NULL, 21495),
(67734, '2xd3A02', NULL, NULL, 200, NULL, NULL, 21495),
(67735, '5dt6A02', NULL, NULL, 108, NULL, NULL, 21495),
(67736, '5dt6A01', NULL, NULL, 149, NULL, NULL, 21495),
(67737, '2xd3A01', NULL, NULL, 181, NULL, NULL, 21495),
(67738, '2dvzA02', NULL, NULL, 124, NULL, NULL, 21495),
(67739, '3oo8A02', NULL, NULL, 216, NULL, NULL, 21495),
(67740, '5ehmA02', NULL, NULL, 107, NULL, NULL, 21495),
(67741, '6ddnA02', NULL, NULL, 160, NULL, NULL, 21495),
(67742, '3oo8A01', NULL, NULL, 174, NULL, NULL, 21495),
(67743, '4gl0A02', NULL, NULL, 159, NULL, NULL, 21495),
(67744, '4gl0A01', NULL, NULL, 174, NULL, NULL, 21495),
(67745, '3oxnB02', NULL, NULL, 100, NULL, NULL, 21495),
(67746, '2ql3A02', NULL, NULL, 106, NULL, NULL, 21495),
(67747, '2ql3A01', NULL, NULL, 103, NULL, NULL, 21495),
(67748, '3oelA02', NULL, NULL, 113, NULL, NULL, 21495),
(67749, '5f1qA01', NULL, NULL, 127, NULL, NULL, 21495),
(67750, '3hhfA02', NULL, NULL, 103, NULL, NULL, 21495),
(67751, '3skpA01', NULL, NULL, 136, NULL, NULL, 21495),
(67752, '3hhfA01', NULL, NULL, 110, NULL, NULL, 21495),
(67753, '4gotA02', NULL, NULL, 108, NULL, NULL, 21495),
(67754, '4gotA01', NULL, NULL, 141, NULL, NULL, 21495),
(67755, '4mlvA01', NULL, NULL, 120, NULL, NULL, 21495),
(67756, '4exkA01', NULL, NULL, 189, NULL, NULL, 21495),
(67757, '1blfA03', NULL, NULL, 188, NULL, NULL, 21495),
(67758, '1h44A01', NULL, NULL, 145, NULL, NULL, 21495),
(67759, '4exkA02', NULL, NULL, 185, NULL, NULL, 21495),
(67760, '4xxuA02', NULL, NULL, 112, NULL, NULL, 21495),
(67761, '3k01A02', NULL, NULL, 196, NULL, NULL, 21495),
(67762, '4xxuA01', NULL, NULL, 119, NULL, NULL, 21495),
(67763, '4h65A02', NULL, NULL, 111, NULL, NULL, 21495),
(67764, '4h67D02', NULL, NULL, 111, NULL, NULL, 21495),
(67765, '1jidA00', NULL, NULL, 128, NULL, NULL, 21496),
(67766, '1kvnA00', NULL, NULL, 104, NULL, NULL, 21496),
(67767, '1lngA00', NULL, NULL, 87, NULL, NULL, 21496),
(67768, '3ktwB00', NULL, NULL, 109, NULL, NULL, 21496),
(67769, '3dluA00', NULL, NULL, 106, NULL, NULL, 21496),
(67770, '2jh3A04', NULL, NULL, 78, NULL, NULL, 21497),
(67771, '3korB00', NULL, NULL, 119, NULL, NULL, 21498),
(67772, '3frwB00', NULL, NULL, 107, NULL, NULL, 21498),
(67773, '1jhgA00', NULL, NULL, 101, NULL, NULL, 21498),
(67774, '3g1cA00', NULL, NULL, 104, NULL, NULL, 21498),
(67775, '6eniA00', NULL, NULL, 116, NULL, NULL, 21498),
(67776, '4j8sA00', NULL, NULL, 180, NULL, NULL, 21499),
(67777, '3u64A00', NULL, NULL, 272, NULL, NULL, 21500),
(67778, '3d30A02', NULL, NULL, 94, NULL, NULL, 21501),
(67779, '3ft1C00', NULL, NULL, 100, NULL, NULL, 21501),
(67780, '4jcwA02', NULL, NULL, 90, NULL, NULL, 21501),
(67781, '2hczX02', NULL, NULL, 104, NULL, NULL, 21501),
(67782, '1n10A02', NULL, NULL, 103, NULL, NULL, 21501),
(67783, '2bh0A02', NULL, NULL, 94, NULL, NULL, 21501),
(67784, '1whoA00', NULL, NULL, 96, NULL, NULL, 21501),
(67785, '4aybA06', NULL, NULL, 48, NULL, NULL, 21502),
(67786, '4qxbB00', NULL, NULL, 68, NULL, NULL, 21503),
(67787, '2gp4A03', NULL, NULL, 152, NULL, NULL, 21504),
(67788, '3d19B00', NULL, NULL, 283, NULL, NULL, 21505),
(67789, '3dbyL00', NULL, NULL, 269, NULL, NULL, 21505),
(67790, '1sbxA00', NULL, NULL, 106, NULL, NULL, 21506),
(67791, '3eq5B00', NULL, NULL, 98, NULL, NULL, 21506),
(67792, '1l8rB00', NULL, NULL, 101, NULL, NULL, 21506),
(67793, '2kk4A00', NULL, NULL, 95, NULL, NULL, 21507),
(67794, '2fywC01', NULL, NULL, 130, NULL, NULL, 21508),
(67795, '2fywA02', NULL, NULL, 125, NULL, NULL, 21508),
(67796, '1nmpA01', NULL, NULL, 119, NULL, NULL, 21508),
(67797, '2yybA01', NULL, NULL, 119, NULL, NULL, 21508),
(67798, '2yybA02', NULL, NULL, 117, NULL, NULL, 21508),
(67799, '1nmoA02', NULL, NULL, 122, NULL, NULL, 21508),
(67800, '3wsfA02', NULL, NULL, 117, NULL, NULL, 21508),
(67801, '3wsfB01', NULL, NULL, 131, NULL, NULL, 21508),
(67802, '2dgbA00', NULL, NULL, 84, NULL, NULL, 21509),
(67803, '2zw2A00', NULL, NULL, 92, NULL, NULL, 21509);
INSERT INTO "PUBLIC"."MODEL" VALUES
(67804, '1vq3B00', NULL, NULL, 94, NULL, NULL, 21509),
(67805, '1gtdB00', NULL, NULL, 85, NULL, NULL, 21509),
(67806, '2yx5A00', NULL, NULL, 83, NULL, NULL, 21509),
(67807, '1t4aA00', NULL, NULL, 84, NULL, NULL, 21509),
(67808, '1gtdA00', NULL, NULL, 85, NULL, NULL, 21509),
(67809, '1kp0A01', NULL, NULL, 154, NULL, NULL, 21510),
(67810, '1kp0B01', NULL, NULL, 154, NULL, NULL, 21510),
(67811, '1wy2A01', NULL, NULL, 125, NULL, NULL, 21510),
(67812, '4s2rP01', NULL, NULL, 158, NULL, NULL, 21510),
(67813, '3ctzA01', NULL, NULL, 155, NULL, NULL, 21510),
(67814, '4s2rP02', NULL, NULL, 158, NULL, NULL, 21510),
(67815, '3ctzA02', NULL, NULL, 164, NULL, NULL, 21510),
(67816, '5mc1A01', NULL, NULL, 180, NULL, NULL, 21510),
(67817, '2zsgA01', NULL, NULL, 131, NULL, NULL, 21510),
(67818, '3o5vA00', NULL, NULL, 132, NULL, NULL, 21510),
(67819, '3i7mA00', NULL, NULL, 140, NULL, NULL, 21510),
(67820, '3ig4A01', NULL, NULL, 171, NULL, NULL, 21510),
(67821, '3oooA00', NULL, NULL, 132, NULL, NULL, 21510),
(67822, '4zngA01', NULL, NULL, 132, NULL, NULL, 21510),
(67823, '5e2cA00', NULL, NULL, 132, NULL, NULL, 21510),
(67824, '3cb6A01', NULL, NULL, 175, NULL, NULL, 21510),
(67825, '4r60A01', NULL, NULL, 165, NULL, NULL, 21510),
(67826, '4b28A01', NULL, NULL, 199, NULL, NULL, 21510),
(67827, '5e5bA01', NULL, NULL, 171, NULL, NULL, 21510),
(67828, '4fkcA01', NULL, NULL, 148, NULL, NULL, 21510),
(67829, '4rzyA01', NULL, NULL, 207, NULL, NULL, 21510),
(67830, '5ce6A01', NULL, NULL, 173, NULL, NULL, 21510),
(67831, '4egeA01', NULL, NULL, 147, NULL, NULL, 21510),
(67832, '1chmA01', NULL, NULL, 155, NULL, NULL, 21510),
(67833, '4qr8A01', NULL, NULL, 159, NULL, NULL, 21510),
(67834, '1pv9B01', NULL, NULL, 122, NULL, NULL, 21510),
(67835, '4zwuA01', NULL, NULL, 157, NULL, NULL, 21510),
(67836, '3ovkA00', NULL, NULL, 132, NULL, NULL, 21510),
(67837, '3rvaA01', NULL, NULL, 157, NULL, NULL, 21510),
(67838, '2v3zA01', NULL, NULL, 173, NULL, NULL, 21510),
(67839, '3q6dA01', NULL, NULL, 128, NULL, NULL, 21510),
(67840, '4pv4A01', NULL, NULL, 171, NULL, NULL, 21510),
(67841, '5cdvA01', NULL, NULL, 124, NULL, NULL, 21510),
(67842, '3il0A00', NULL, NULL, 131, NULL, NULL, 21510),
(67843, '3qocA00', NULL, NULL, 135, NULL, NULL, 21510),
(67844, '5wzeA01', NULL, NULL, 173, NULL, NULL, 21510),
(67845, '5cnxA01', NULL, NULL, 125, NULL, NULL, 21510),
(67846, '6a8mA01', NULL, NULL, 174, NULL, NULL, 21510),
(67847, '3pn9A00', NULL, NULL, 138, NULL, NULL, 21510),
(67848, '3pebA00', NULL, NULL, 137, NULL, NULL, 21510),
(67849, '1wn1A01', NULL, NULL, 129, NULL, NULL, 21510),
(67850, '3biqA01', NULL, NULL, 175, NULL, NULL, 21510),
(67851, '3a98B01', NULL, NULL, 86, NULL, NULL, 21511),
(67852, '4v1av00', NULL, NULL, 131, NULL, NULL, 21512),
(67853, '5oomq00', NULL, NULL, 128, NULL, NULL, 21512),
(67854, '1nu7D02', NULL, NULL, 128, NULL, NULL, 21513),
(67855, '3bdlA01', NULL, NULL, 166, NULL, NULL, 21514),
(67856, '4k14A00', NULL, NULL, 136, NULL, NULL, 21514),
(67857, '5vqhA01', NULL, NULL, 157, NULL, NULL, 21514),
(67858, '3bdlA03', NULL, NULL, 125, NULL, NULL, 21514),
(67859, '3bdlA02', NULL, NULL, 154, NULL, NULL, 21514),
(67860, '4qmgC01', NULL, NULL, 169, NULL, NULL, 21514),
(67861, '4qmgA02', NULL, NULL, 156, NULL, NULL, 21514),
(67862, '1rknA00', NULL, NULL, 110, NULL, NULL, 21514),
(67863, '1snqA00', NULL, NULL, 149, NULL, NULL, 21514),
(67864, '4kd4A00', NULL, NULL, 149, NULL, NULL, 21514),
(67865, '2of1A00', NULL, NULL, 138, NULL, NULL, 21514),
(67866, '4b9wA01', NULL, NULL, 113, NULL, NULL, 21514),
(67867, '5j39A01', NULL, NULL, 138, NULL, NULL, 21514),
(67868, '4k5wA00', NULL, NULL, 149, NULL, NULL, 21514),
(67869, '5m9oA01', NULL, NULL, 131, NULL, NULL, 21514),
(67870, '2wacA01', NULL, NULL, 127, NULL, NULL, 21514),
(67871, '3tmeA00', NULL, NULL, 143, NULL, NULL, 21514),
(67872, '4eqpA00', NULL, NULL, 143, NULL, NULL, 21514),
(67873, '1f2zA00', NULL, NULL, 149, NULL, NULL, 21514),
(67874, '5ygbA01', NULL, NULL, 143, NULL, NULL, 21514),
(67875, '4u5wA00', NULL, NULL, 149, NULL, NULL, 21515),
(67876, '4orzB00', NULL, NULL, 119, NULL, NULL, 21515);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(67877, '3ik5A00', NULL, NULL, 143, NULL, NULL, 21515),
(67878, '4neeK00', NULL, NULL, 155, NULL, NULL, 21515),
(67879, '4neeH00', NULL, NULL, 155, NULL, NULL, 21515),
(67880, '4d8dB00', NULL, NULL, 151, NULL, NULL, 21515),
(67881, '4neeE00', NULL, NULL, 155, NULL, NULL, 21515),
(67882, '1avvA00', NULL, NULL, 102, NULL, NULL, 21515),
(67883, '4en2C00', NULL, NULL, 174, NULL, NULL, 21515),
(67884, '4neeC00', NULL, NULL, 155, NULL, NULL, 21515),
(67885, '2nefA00', NULL, NULL, 136, NULL, NULL, 21515),
(67886, '2xi1A00', NULL, NULL, 133, NULL, NULL, 21515),
(67887, '1q74B00', NULL, NULL, 303, NULL, NULL, 21516),
(67888, '1uanA00', NULL, NULL, 227, NULL, NULL, 21516),
(67889, '2ixdA00', NULL, NULL, 242, NULL, NULL, 21516),
(67890, '3we7A00', NULL, NULL, 272, NULL, NULL, 21516),
(67891, '4xlzA00', NULL, NULL, 267, NULL, NULL, 21516),
(67892, '5bmoC00', NULL, NULL, 246, NULL, NULL, 21516),
(67893, '3dfiA00', NULL, NULL, 270, NULL, NULL, 21516),
(67894, '5cgzA00', NULL, NULL, 240, NULL, NULL, 21516),
(67895, '3dffA00', NULL, NULL, 273, NULL, NULL, 21516),
(67896, '2e6xB00', NULL, NULL, 69, NULL, NULL, 21517),
(67897, '4hn7A00', NULL, NULL, 88, NULL, NULL, 21518),
(67898, '2rqxA00', NULL, NULL, 89, NULL, NULL, 21518),
(67899, '5koxA02', NULL, NULL, 86, NULL, NULL, 21519),
(67900, '4k5sA02', NULL, NULL, 87, NULL, NULL, 21519),
(67901, '4k2xB02', NULL, NULL, 94, NULL, NULL, 21519),
(67902, '6brdC02', NULL, NULL, 87, NULL, NULL, 21519),
(67903, '2qa2A02', NULL, NULL, 84, NULL, NULL, 21519),
(67904, '3fmwC02', NULL, NULL, 87, NULL, NULL, 21519),
(67905, '2qa1A02', NULL, NULL, 84, NULL, NULL, 21519),
(67906, '4dlqA02', NULL, NULL, 106, NULL, NULL, 21520),
(67907, '4dloB02', NULL, NULL, 124, NULL, NULL, 21520),
(67908, '2cw9A00', NULL, NULL, 194, NULL, NULL, 21521),
(67909, '3j7yd00', NULL, NULL, 171, NULL, NULL, 21521),
(67910, '3qk9B00', NULL, NULL, 197, NULL, NULL, 21521),
(67911, '1e5wA04', NULL, NULL, 55, NULL, NULL, 21522),
(67912, '2odrD03', NULL, NULL, 47, NULL, NULL, 21523),
(67913, '1wapA00', NULL, NULL, 75, NULL, NULL, 21524),
(67914, '3zteA00', NULL, NULL, 78, NULL, NULL, 21524),
(67915, '3zzsA00', NULL, NULL, 65, NULL, NULL, 21524),
(67916, '3zzlA00', NULL, NULL, 70, NULL, NULL, 21524),
(67917, '6bggB01', NULL, NULL, 81, NULL, NULL, 21525),
(67918, '2jnsA01', NULL, NULL, 81, NULL, NULL, 21525),
(67919, '4w6yA00', NULL, NULL, 151, NULL, NULL, 21526),
(67920, '4dl8A00', NULL, NULL, 233, NULL, NULL, 21527),
(67921, '1w2yA00', NULL, NULL, 229, NULL, NULL, 21527),
(67922, '4b8cD03', NULL, NULL, 55, NULL, NULL, 21528),
(67923, '3kd4A03', NULL, NULL, 137, NULL, NULL, 21529),
(67924, '3nswA00', NULL, NULL, 106, NULL, NULL, 21530),
(67925, '2xfdA00', NULL, NULL, 112, NULL, NULL, 21531),
(67926, '2wbtA01', NULL, NULL, 51, NULL, NULL, 21532),
(67927, '4jx0A01', NULL, NULL, 159, NULL, NULL, 21533),
(67928, '5e6sB02', NULL, NULL, 152, NULL, NULL, 21533),
(67929, '1yukB01', NULL, NULL, 78, NULL, NULL, 21533),
(67930, '4nehA04', NULL, NULL, 154, NULL, NULL, 21533),
(67931, '2p26A02', NULL, NULL, 123, NULL, NULL, 21533),
(67932, '4um9B02', NULL, NULL, 174, NULL, NULL, 21533),
(67933, '3v4vB01', NULL, NULL, 128, NULL, NULL, 21533),
(67934, '4wk0B02', NULL, NULL, 144, NULL, NULL, 21533),
(67935, '3t3pB02', NULL, NULL, 166, NULL, NULL, 21533),
(67936, '3fcsA03', NULL, NULL, 140, NULL, NULL, 21533),
(67937, '3fcsD02', NULL, NULL, 139, NULL, NULL, 21533),
(67938, '4g1mA03', NULL, NULL, 140, NULL, NULL, 21533),
(67939, '2vdrB02', NULL, NULL, 159, NULL, NULL, 21533),
(67940, '4um8B02', NULL, NULL, 139, NULL, NULL, 21533),
(67941, '2hjmA01', NULL, NULL, 98, NULL, NULL, 21534),
(67942, '4i5sB03', NULL, NULL, 75, NULL, NULL, 21535),
(67943, '4q20A01', NULL, NULL, 84, NULL, NULL, 21535),
(67944, '2p67A03', NULL, NULL, 77, NULL, NULL, 21535),
(67945, '3nxsA03', NULL, NULL, 64, NULL, NULL, 21535),
(67946, '3a0rA02', NULL, NULL, 83, NULL, NULL, 21535),
(67947, '4u7nA01', NULL, NULL, 66, NULL, NULL, 21535),
(67948, '4biuE01', NULL, NULL, 115, NULL, NULL, 21535),
(67949, '3tk1B03', NULL, NULL, 66, NULL, NULL, 21535),
(67950, '5b1nA00', NULL, NULL, 69, NULL, NULL, 21535);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(67951, '1ixmA01', NULL, NULL, 71, NULL, NULL, 21535),
(67952, '5idjA01', NULL, NULL, 74, NULL, NULL, 21535),
(67953, '4fppB01', NULL, NULL, 71, NULL, NULL, 21535),
(67954, '4mt8B00', NULL, NULL, 102, NULL, NULL, 21535),
(67955, '4gczA03', NULL, NULL, 65, NULL, NULL, 21535),
(67956, '4gczB02', NULL, NULL, 92, NULL, NULL, 21535),
(67957, '3p32A03', NULL, NULL, 68, NULL, NULL, 21535),
(67958, '4jauA01', NULL, NULL, 90, NULL, NULL, 21535),
(67959, '4u7oA01', NULL, NULL, 82, NULL, NULL, 21535),
(67960, '2lfrA00', NULL, NULL, 114, NULL, NULL, 21535),
(67961, '2wwwA03', NULL, NULL, 67, NULL, NULL, 21535),
(67962, '3zccA00', NULL, NULL, 114, NULL, NULL, 21535),
(67963, '2c2aA01', NULL, NULL, 90, NULL, NULL, 21535),
(67964, '4bizE01', NULL, NULL, 80, NULL, NULL, 21535),
(67965, '4mtxC00', NULL, NULL, 102, NULL, NULL, 21535),
(67966, '4qpkA01', NULL, NULL, 76, NULL, NULL, 21535),
(67967, '4mtxD00', NULL, NULL, 102, NULL, NULL, 21535),
(67968, '3d36B02', NULL, NULL, 61, NULL, NULL, 21535),
(67969, '4mtxA00', NULL, NULL, 102, NULL, NULL, 21535),
(67970, '4kp4A01', NULL, NULL, 79, NULL, NULL, 21535),
(67971, '4mtxB00', NULL, NULL, 102, NULL, NULL, 21535),
(67972, '2qm8A03', NULL, NULL, 73, NULL, NULL, 21535),
(67973, '4kisA01', NULL, NULL, 124, NULL, NULL, 21536),
(67974, '4bqqB02', NULL, NULL, 221, NULL, NULL, 21536),
(67975, '2chhA00', NULL, NULL, 114, NULL, NULL, 21537),
(67976, '4ce8A00', NULL, NULL, 114, NULL, NULL, 21537),
(67977, '5a6yA00', NULL, NULL, 114, NULL, NULL, 21537),
(67978, '2xr4A00', NULL, NULL, 116, NULL, NULL, 21537),
(67979, '2wraA00', NULL, NULL, 128, NULL, NULL, 21537),
(67980, '4ut5A00', NULL, NULL, 114, NULL, NULL, 21537),
(67981, '2bv4A00', NULL, NULL, 113, NULL, NULL, 21537),
(67982, '2pbiA02', NULL, NULL, 101, NULL, NULL, 21538),
(67983, '6n9gA02', NULL, NULL, 103, NULL, NULL, 21538),
(67984, '2fv6A01', NULL, NULL, 20, NULL, NULL, 21539),
(67985, '3dahC02', NULL, NULL, 142, NULL, NULL, 21540),
(67986, '2dy0B00', NULL, NULL, 190, NULL, NULL, 21540),
(67987, '2ji4A01', NULL, NULL, 167, NULL, NULL, 21540),
(67988, '2igbB00', NULL, NULL, 179, NULL, NULL, 21540),
(67989, '1qb7A00', NULL, NULL, 236, NULL, NULL, 21540),
(67990, '1hgxA00', NULL, NULL, 183, NULL, NULL, 21540),
(67991, '6asvA01', NULL, NULL, 171, NULL, NULL, 21540),
(67992, '2ehjA00', NULL, NULL, 208, NULL, NULL, 21540),
(67993, '5vn4B00', NULL, NULL, 243, NULL, NULL, 21540),
(67994, '4wmlA00', NULL, NULL, 231, NULL, NULL, 21540),
(67995, '1tc1A00', NULL, NULL, 187, NULL, NULL, 21540),
(67996, '5xtkA00', NULL, NULL, 152, NULL, NULL, 21540),
(67997, '5knxB00', NULL, NULL, 182, NULL, NULL, 21540),
(67998, '4qyiA00', NULL, NULL, 186, NULL, NULL, 21540),
(67999, '2aeeB00', NULL, NULL, 211, NULL, NULL, 21540),
(68000, '4pfqC00', NULL, NULL, 184, NULL, NULL, 21540),
(68001, '1dkuA02', NULL, NULL, 176, NULL, NULL, 21540),
(68002, '1dkuA01', NULL, NULL, 141, NULL, NULL, 21540),
(68003, '3lrtA02', NULL, NULL, 132, NULL, NULL, 21540),
(68004, '3m3hA00', NULL, NULL, 214, NULL, NULL, 21540),
(68005, '3acdA00', NULL, NULL, 181, NULL, NULL, 21540),
(68006, '1vdmG00', NULL, NULL, 153, NULL, NULL, 21540),
(68007, '5jsqA00', NULL, NULL, 216, NULL, NULL, 21540),
(68008, '4p83D00', NULL, NULL, 182, NULL, NULL, 21540),
(68009, '4rqaA00', NULL, NULL, 186, NULL, NULL, 21540),
(68010, '3dahB01', NULL, NULL, 177, NULL, NULL, 21540),
(68011, '1bd3A00', NULL, NULL, 224, NULL, NULL, 21540),
(68012, '1g2qA00', NULL, NULL, 187, NULL, NULL, 21540),
(68013, '5ipfC00', NULL, NULL, 223, NULL, NULL, 21540),
(68014, '5bqpD00', NULL, NULL, 179, NULL, NULL, 21540),
(68015, '3mjdC00', NULL, NULL, 209, NULL, NULL, 21540),
(68016, '2xbuA00', NULL, NULL, 221, NULL, NULL, 21540),
(68017, '1lh0B00', NULL, NULL, 213, NULL, NULL, 21540),
(68018, '2yzkA00', NULL, NULL, 178, NULL, NULL, 21540),
(68019, '1xttB00', NULL, NULL, 216, NULL, NULL, 21540),
(68020, '6d9rA00', NULL, NULL, 183, NULL, NULL, 21540),
(68021, '3s5jA02', NULL, NULL, 144, NULL, NULL, 21540),
(68022, '4p84A00', NULL, NULL, 180, NULL, NULL, 21540),
(68023, '3s5jA01', NULL, NULL, 167, NULL, NULL, 21540);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(68024, '1ufrA00', NULL, NULL, 181, NULL, NULL, 21540),
(68025, '1fsgA00', NULL, NULL, 233, NULL, NULL, 21540),
(68026, '1l1qA00', NULL, NULL, 186, NULL, NULL, 21540),
(68027, '6ar9C00', NULL, NULL, 226, NULL, NULL, 21540),
(68028, '1vchD00', NULL, NULL, 175, NULL, NULL, 21540),
(68029, '4fymF00', NULL, NULL, 266, NULL, NULL, 21540),
(68030, '4lzaB00', NULL, NULL, 172, NULL, NULL, 21540),
(68031, '1dqnA00', NULL, NULL, 230, NULL, NULL, 21540),
(68032, '2ji4A02', NULL, NULL, 134, NULL, NULL, 21540),
(68033, '3qw4B02', NULL, NULL, 200, NULL, NULL, 21540),
(68034, '2vfaA00', NULL, NULL, 229, NULL, NULL, 21540),
(68035, '4p80B00', NULL, NULL, 180, NULL, NULL, 21540),
(68036, '5eswB00', NULL, NULL, 197, NULL, NULL, 21540),
(68037, '5e38B00', NULL, NULL, 216, NULL, NULL, 21540),
(68038, '5znqA00', NULL, NULL, 187, NULL, NULL, 21540),
(68039, '4p82A00', NULL, NULL, 183, NULL, NULL, 21540),
(68040, '1i5eA00', NULL, NULL, 209, NULL, NULL, 21540),
(68041, '1o5oB00', NULL, NULL, 221, NULL, NULL, 21540),
(68042, '3ozfC00', NULL, NULL, 230, NULL, NULL, 21540),
(68043, '1mzvA00', NULL, NULL, 217, NULL, NULL, 21540),
(68044, '6asvC02', NULL, NULL, 143, NULL, NULL, 21540),
(68045, '1w30B00', NULL, NULL, 201, NULL, NULL, 21540),
(68046, '2gebA00', NULL, NULL, 185, NULL, NULL, 21540),
(68047, '2e55A00', NULL, NULL, 208, NULL, NULL, 21540),
(68048, '1v9sD00', NULL, NULL, 208, NULL, NULL, 21540),
(68049, '1nulA00', NULL, NULL, 152, NULL, NULL, 21540),
(68050, '1u9yA02', NULL, NULL, 134, NULL, NULL, 21540),
(68051, '1u9yA01', NULL, NULL, 150, NULL, NULL, 21540),
(68052, '1y0bB01', NULL, NULL, 186, NULL, NULL, 21540),
(68053, '3dezB00', NULL, NULL, 209, NULL, NULL, 21540),
(68054, '1ao0A02', NULL, NULL, 132, NULL, NULL, 21540),
(68055, '3dmpC00', NULL, NULL, 217, NULL, NULL, 21540),
(68056, '5vogA00', NULL, NULL, 183, NULL, NULL, 21540),
(68057, '6nfeB02', NULL, NULL, 143, NULL, NULL, 21540),
(68058, '4qriA00', NULL, NULL, 178, NULL, NULL, 21540),
(68059, '1o57B02', NULL, NULL, 201, NULL, NULL, 21540),
(68060, '6fchA00', NULL, NULL, 178, NULL, NULL, 21540),
(68061, '4p3kA00', NULL, NULL, 180, NULL, NULL, 21540),
(68062, '4rhxA00', NULL, NULL, 201, NULL, NULL, 21540),
(68063, '3n2lF00', NULL, NULL, 193, NULL, NULL, 21540),
(68064, '4m0kC00', NULL, NULL, 176, NULL, NULL, 21540),
(68065, '1wd5A01', NULL, NULL, 147, NULL, NULL, 21540),
(68066, '4ohcC00', NULL, NULL, 236, NULL, NULL, 21540),
(68067, '4lyyA00', NULL, NULL, 181, NULL, NULL, 21540),
(68068, '4pawB00', NULL, NULL, 203, NULL, NULL, 21540),
(68069, '5hiaA00', NULL, NULL, 224, NULL, NULL, 21540),
(68070, '4twbA01', NULL, NULL, 152, NULL, NULL, 21540),
(68071, '3ohpA00', NULL, NULL, 177, NULL, NULL, 21540),
(68072, '4twbA02', NULL, NULL, 139, NULL, NULL, 21540),
(68073, '5mp7A02', NULL, NULL, 145, NULL, NULL, 21540),
(68074, '5zgoA00', NULL, NULL, 178, NULL, NULL, 21540),
(68075, '6czfA02', NULL, NULL, 137, NULL, NULL, 21540),
(68076, '3lrtB01', NULL, NULL, 154, NULL, NULL, 21540),
(68077, '5mp7A01', NULL, NULL, 181, NULL, NULL, 21540),
(68078, '2jbhA00', NULL, NULL, 225, NULL, NULL, 21540),
(68079, '2c4kA02', NULL, NULL, 135, NULL, NULL, 21540),
(68080, '2c4kA01', NULL, NULL, 167, NULL, NULL, 21540),
(68081, '6bo7E00', NULL, NULL, 238, NULL, NULL, 21540),
(68082, '5yw5A00', NULL, NULL, 179, NULL, NULL, 21540),
(68083, '5t3oA02', NULL, NULL, 139, NULL, NULL, 21540),
(68084, '1pzmA00', NULL, NULL, 192, NULL, NULL, 21540),
(68085, '5hklB00', NULL, NULL, 190, NULL, NULL, 21540),
(68086, '5t3oA01', NULL, NULL, 165, NULL, NULL, 21540),
(68087, '6nfeA01', NULL, NULL, 180, NULL, NULL, 21540),
(68088, '2p1zB00', NULL, NULL, 180, NULL, NULL, 21540),
(68089, '2wnsA00', NULL, NULL, 205, NULL, NULL, 21540),
(68090, '4iffA00', NULL, NULL, 86, NULL, NULL, 21541),
(68091, '1no4B00', NULL, NULL, 75, NULL, NULL, 21541),
(68092, '3mtuE00', NULL, NULL, 77, NULL, NULL, 21541),
(68093, '2d9rA00', NULL, NULL, 85, NULL, NULL, 21542),
(68094, '2f40A00', NULL, NULL, 96, NULL, NULL, 21543),
(68095, '4n2oD00', NULL, NULL, 201, NULL, NULL, 21544),
(68096, '4n2oC00', NULL, NULL, 201, NULL, NULL, 21544);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(68097, '3l8qC02', NULL, NULL, 179, NULL, NULL, 21544),
(68098, '4n2oF00', NULL, NULL, 201, NULL, NULL, 21544),
(68099, '4n2oE00', NULL, NULL, 201, NULL, NULL, 21544),
(68100, '4n2oB00', NULL, NULL, 201, NULL, NULL, 21544),
(68101, '3kcpA01', NULL, NULL, 153, NULL, NULL, 21544),
(68102, '5m0yA00', NULL, NULL, 186, NULL, NULL, 21544),
(68103, '4n2oA00', NULL, NULL, 201, NULL, NULL, 21544),
(68104, '5lxvA01', NULL, NULL, 171, NULL, NULL, 21544),
(68105, '2vn6A00', NULL, NULL, 151, NULL, NULL, 21544),
(68106, '1tyjA00', NULL, NULL, 170, NULL, NULL, 21544),
(68107, '3bwzA00', NULL, NULL, 181, NULL, NULL, 21544),
(68108, '4iu2A00', NULL, NULL, 212, NULL, NULL, 21544),
(68109, '3ul4A01', NULL, NULL, 145, NULL, NULL, 21544),
(68110, '2zf9B00', NULL, NULL, 194, NULL, NULL, 21544),
(68111, '2xdhA00', NULL, NULL, 163, NULL, NULL, 21544),
(68112, '1aohB00', NULL, NULL, 147, NULL, NULL, 21544),
(68113, '4umsA01', NULL, NULL, 142, NULL, NULL, 21544),
(68114, '4n2oH00', NULL, NULL, 201, NULL, NULL, 21544),
(68115, '4n2oG00', NULL, NULL, 201, NULL, NULL, 21544),
(68116, '4wkzB00', NULL, NULL, 191, NULL, NULL, 21544),
(68117, '4uypA01', NULL, NULL, 140, NULL, NULL, 21544),
(68118, '2cclA01', NULL, NULL, 142, NULL, NULL, 21544),
(68119, '5m2sA00', NULL, NULL, 149, NULL, NULL, 21544),
(68120, '4u3sA00', NULL, NULL, 168, NULL, NULL, 21544),
(68121, '5aozA00', NULL, NULL, 146, NULL, NULL, 21544),
(68122, '5k39A00', NULL, NULL, 171, NULL, NULL, 21544),
(68123, '2oznA00', NULL, NULL, 136, NULL, NULL, 21544),
(68124, '2vo8A00', NULL, NULL, 143, NULL, NULL, 21544),
(68125, '4dh2A00', NULL, NULL, 170, NULL, NULL, 21544),
(68126, '4p3fA00', NULL, NULL, 199, NULL, NULL, 21545),
(68127, '4p3gD00', NULL, NULL, 224, NULL, NULL, 21545),
(68128, '4iuwA02', NULL, NULL, 339, NULL, NULL, 21546),
(68129, '4xbhA02', NULL, NULL, 374, NULL, NULL, 21546),
(68130, '3zukA02', NULL, NULL, 342, NULL, NULL, 21546),
(68131, '3dwbA02', NULL, NULL, 355, NULL, NULL, 21546),
(68132, '6gidA02', NULL, NULL, 374, NULL, NULL, 21546),
(68133, '3h0gB04', NULL, NULL, 178, NULL, NULL, 21547),
(68134, '4ljzC02', NULL, NULL, 174, NULL, NULL, 21547),
(68135, '4aybB04', NULL, NULL, 165, NULL, NULL, 21547),
(68136, '4kbmA02', NULL, NULL, 193, NULL, NULL, 21547),
(68137, '2a6hC03', NULL, NULL, 180, NULL, NULL, 21547),
(68138, '3ltiA01', NULL, NULL, 178, NULL, NULL, 21547),
(68139, '1ynjC03', NULL, NULL, 181, NULL, NULL, 21547),
(68140, '4c2mB04', NULL, NULL, 182, NULL, NULL, 21547),
(68141, '1twfB04', NULL, NULL, 177, NULL, NULL, 21547),
(68142, '4qiwB04', NULL, NULL, 163, NULL, NULL, 21547),
(68143, '3eaqA02', NULL, NULL, 53, NULL, NULL, 21548),
(68144, '3hi2B00', NULL, NULL, 101, NULL, NULL, 21549),
(68145, '2o98P00', NULL, NULL, 52, NULL, NULL, 21550),
(68146, '3cr8C02', NULL, NULL, 218, NULL, NULL, 21551),
(68147, '3tzeB01', NULL, NULL, 243, NULL, NULL, 21551),
(68148, '2ielA00', NULL, NULL, 138, NULL, NULL, 21551),
(68149, '1kamA00', NULL, NULL, 194, NULL, NULL, 21551),
(68150, '5zm0A01', NULL, NULL, 133, NULL, NULL, 21551),
(68151, '2wsiA00', NULL, NULL, 306, NULL, NULL, 21551),
(68152, '5ts2A00', NULL, NULL, 167, NULL, NULL, 21551),
(68153, '3op1A01', NULL, NULL, 189, NULL, NULL, 21551),
(68154, '3ag6A01', NULL, NULL, 176, NULL, NULL, 21551),
(68155, '1vlhB00', NULL, NULL, 173, NULL, NULL, 21551),
(68156, '3nv7A00', NULL, NULL, 157, NULL, NULL, 21551),
(68157, '4mlpA01', NULL, NULL, 127, NULL, NULL, 21551),
(68158, '4h3sA01', NULL, NULL, 356, NULL, NULL, 21551),
(68159, '3n9iA01', NULL, NULL, 233, NULL, NULL, 21551),
(68160, '4g6zA01', NULL, NULL, 318, NULL, NULL, 21551),
(68161, '3hzrA01', NULL, NULL, 275, NULL, NULL, 21551),
(68162, '1jhdA01', NULL, NULL, 203, NULL, NULL, 21551),
(68163, '4bwvA00', NULL, NULL, 227, NULL, NULL, 21551),
(68164, '1korB01', NULL, NULL, 171, NULL, NULL, 21551),
(68165, '1h3fA01', NULL, NULL, 216, NULL, NULL, 21551),
(68166, '3ca8A02', NULL, NULL, 155, NULL, NULL, 21551),
(68167, '3prhB01', NULL, NULL, 215, NULL, NULL, 21551),
(68168, '3innA01', NULL, NULL, 176, NULL, NULL, 21551),
(68169, '1k4kB00', NULL, NULL, 213, NULL, NULL, 21551);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(68170, '2o5rA01', NULL, NULL, 133, NULL, NULL, 21551),
(68171, '3l92A00', NULL, NULL, 162, NULL, NULL, 21551),
(68172, '2zueA02', NULL, NULL, 394, NULL, NULL, 21551),
(68173, '1yumA00', NULL, NULL, 221, NULL, NULL, 21551),
(68174, '4natB00', NULL, NULL, 160, NULL, NULL, 21551),
(68175, '3k32B00', NULL, NULL, 203, NULL, NULL, 21551),
(68176, '4l2iB00', NULL, NULL, 263, NULL, NULL, 21551),
(68177, '1y42X01', NULL, NULL, 285, NULL, NULL, 21551),
(68178, '2cybA01', NULL, NULL, 207, NULL, NULL, 21551),
(68179, '3jxeA01', NULL, NULL, 260, NULL, NULL, 21551),
(68180, '3hv0A01', NULL, NULL, 240, NULL, NULL, 21551),
(68181, '1nzjA02', NULL, NULL, 138, NULL, NULL, 21551),
(68182, '3p52A00', NULL, NULL, 249, NULL, NULL, 21551),
(68183, '3fy4A01', NULL, NULL, 140, NULL, NULL, 21551),
(68184, '1i6mA01', NULL, NULL, 217, NULL, NULL, 21551),
(68185, '6hcdD00', NULL, NULL, 155, NULL, NULL, 21551),
(68186, '3h05B00', NULL, NULL, 177, NULL, NULL, 21551),
(68187, '3zxsA01', NULL, NULL, 174, NULL, NULL, 21551),
(68188, '3s3tA00', NULL, NULL, 146, NULL, NULL, 21551),
(68189, '3aiiA01', NULL, NULL, 314, NULL, NULL, 21551),
(68190, '1n3lA01', NULL, NULL, 209, NULL, NULL, 21551),
(68191, '3ilvA02', NULL, NULL, 354, NULL, NULL, 21551),
(68192, '1np7B01', NULL, NULL, 137, NULL, NULL, 21551),
(68193, '2d5bA01', NULL, NULL, 225, NULL, NULL, 21551),
(68194, '2cycA01', NULL, NULL, 226, NULL, NULL, 21551),
(68195, '3sp1A01', NULL, NULL, 318, NULL, NULL, 21551),
(68196, '4qreA01', NULL, NULL, 226, NULL, NULL, 21551),
(68197, '1gpmA02', NULL, NULL, 194, NULL, NULL, 21551),
(68198, '1tq8A00', NULL, NULL, 163, NULL, NULL, 21551),
(68199, '3uowA02', NULL, NULL, 206, NULL, NULL, 21551),
(68200, '5wp0A00', NULL, NULL, 279, NULL, NULL, 21551),
(68201, '5usfB02', NULL, NULL, 251, NULL, NULL, 21551),
(68202, '5usfB01', NULL, NULL, 315, NULL, NULL, 21551),
(68203, '5kwvB01', NULL, NULL, 173, NULL, NULL, 21551),
(68204, '3vgjA01', NULL, NULL, 219, NULL, NULL, 21551),
(68205, '4ymiB00', NULL, NULL, 208, NULL, NULL, 21551),
(68206, '2hz7A01', NULL, NULL, 123, NULL, NULL, 21551),
(68207, '1cozA00', NULL, NULL, 129, NULL, NULL, 21551),
(68208, '3n05A02', NULL, NULL, 189, NULL, NULL, 21551),
(68209, '4l2iA01', NULL, NULL, 207, NULL, NULL, 21551),
(68210, '2nz2A01', NULL, NULL, 180, NULL, NULL, 21551),
(68211, '3u1vA01', NULL, NULL, 227, NULL, NULL, 21551),
(68212, '1dnpA01', NULL, NULL, 130, NULL, NULL, 21551),
(68213, '1kqpA00', NULL, NULL, 271, NULL, NULL, 21551),
(68214, '5t5xA01', NULL, NULL, 129, NULL, NULL, 21551),
(68215, '1v8fA01', NULL, NULL, 172, NULL, NULL, 21551),
(68216, '4f4hA02', NULL, NULL, 285, NULL, NULL, 21551),
(68217, '4f3rB00', NULL, NULL, 162, NULL, NULL, 21551),
(68218, '2dumC00', NULL, NULL, 170, NULL, NULL, 21551),
(68219, '4p2bA01', NULL, NULL, 122, NULL, NULL, 21551),
(68220, '2vxoA02', NULL, NULL, 231, NULL, NULL, 21551),
(68221, '1pg2A01', NULL, NULL, 349, NULL, NULL, 21551),
(68222, '4kr6A02', NULL, NULL, 217, NULL, NULL, 21551),
(68223, '2cyaA01', NULL, NULL, 214, NULL, NULL, 21551),
(68224, '6c8qE00', NULL, NULL, 275, NULL, NULL, 21551),
(68225, '5ihxB01', NULL, NULL, 283, NULL, NULL, 21551),
(68226, '5jbnA00', NULL, NULL, 170, NULL, NULL, 21551),
(68227, '5l7pB01', NULL, NULL, 208, NULL, NULL, 21551),
(68228, '3mueB01', NULL, NULL, 182, NULL, NULL, 21551),
(68229, '4mafH02', NULL, NULL, 236, NULL, NULL, 21551),
(68230, '2qjoA01', NULL, NULL, 196, NULL, NULL, 21551),
(68231, '2dplA01', NULL, NULL, 185, NULL, NULL, 21551),
(68232, '2wq7A01', NULL, NULL, 137, NULL, NULL, 21551),
(68233, '2j5bB01', NULL, NULL, 223, NULL, NULL, 21551),
(68234, '6mtkA01', NULL, NULL, 225, NULL, NULL, 21551),
(68235, '2e0iA01', NULL, NULL, 126, NULL, NULL, 21551),
(68236, '1xngA01', NULL, NULL, 249, NULL, NULL, 21551),
(68237, '2ts1A01', NULL, NULL, 222, NULL, NULL, 21551),
(68238, '1gaxA01', NULL, NULL, 338, NULL, NULL, 21551),
(68239, '4zcrA00', NULL, NULL, 142, NULL, NULL, 21551),
(68240, '1x6vB03', NULL, NULL, 240, NULL, NULL, 21551),
(68241, '1o97C00', NULL, NULL, 264, NULL, NULL, 21551),
(68242, '1vl2A01', NULL, NULL, 189, NULL, NULL, 21551);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(68243, '2ejcA01', NULL, NULL, 176, NULL, NULL, 21551),
(68244, '4q16C00', NULL, NULL, 287, NULL, NULL, 21551),
(68245, '1q77A00', NULL, NULL, 138, NULL, NULL, 21551),
(68246, '2g36A01', NULL, NULL, 233, NULL, NULL, 21551),
(68247, '3tnjA01', NULL, NULL, 141, NULL, NULL, 21551),
(68248, '2qjtB01', NULL, NULL, 201, NULL, NULL, 21551),
(68249, '3focA01', NULL, NULL, 316, NULL, NULL, 21551),
(68250, '3bl5E00', NULL, NULL, 219, NULL, NULL, 21551),
(68251, '3i05A01', NULL, NULL, 257, NULL, NULL, 21551),
(68252, '3tqiA02', NULL, NULL, 193, NULL, NULL, 21551),
(68253, '2gksB02', NULL, NULL, 221, NULL, NULL, 21551),
(68254, '4ybrA00', NULL, NULL, 201, NULL, NULL, 21551),
(68255, '3hgmA00', NULL, NULL, 147, NULL, NULL, 21551),
(68256, '1vbkA03', NULL, NULL, 133, NULL, NULL, 21551),
(68257, '1efpB00', NULL, NULL, 252, NULL, NULL, 21551),
(68258, '4a91A01', NULL, NULL, 160, NULL, NULL, 21551),
(68259, '2z3vA00', NULL, NULL, 137, NULL, NULL, 21551),
(68260, '1m1zA02', NULL, NULL, 292, NULL, NULL, 21551),
(68261, '1lw7A01', NULL, NULL, 169, NULL, NULL, 21551),
(68262, '1zunA01', NULL, NULL, 206, NULL, NULL, 21551),
(68263, '1wy5A01', NULL, NULL, 217, NULL, NULL, 21551),
(68264, '4dnxA02', NULL, NULL, 204, NULL, NULL, 21551),
(68265, '3c8zA01', NULL, NULL, 331, NULL, NULL, 21551),
(68266, '2h29A00', NULL, NULL, 189, NULL, NULL, 21551),
(68267, '2ip1A01', NULL, NULL, 255, NULL, NULL, 21551),
(68268, '3vrhA00', NULL, NULL, 310, NULL, NULL, 21551),
(68269, '1kkuA00', NULL, NULL, 220, NULL, NULL, 21551),
(68270, '1ni5A01', NULL, NULL, 227, NULL, NULL, 21551),
(68271, '1mjhB00', NULL, NULL, 162, NULL, NULL, 21551),
(68272, '3gmiA02', NULL, NULL, 219, NULL, NULL, 21551),
(68273, '3afhA01', NULL, NULL, 121, NULL, NULL, 21551),
(68274, '6e5yA01', NULL, NULL, 164, NULL, NULL, 21551),
(68275, '4mw2A01', NULL, NULL, 241, NULL, NULL, 21551),
(68276, '2d13A01', NULL, NULL, 126, NULL, NULL, 21551),
(68277, '4pbrA01', NULL, NULL, 196, NULL, NULL, 21551),
(68278, '3covA01', NULL, NULL, 186, NULL, NULL, 21551),
(68279, '5ghaC00', NULL, NULL, 321, NULL, NULL, 21551),
(68280, '6ncrB01', NULL, NULL, 246, NULL, NULL, 21551),
(68281, '1j09A01', NULL, NULL, 121, NULL, NULL, 21551),
(68282, '1irxA01', NULL, NULL, 226, NULL, NULL, 21551),
(68283, '3tqoA01', NULL, NULL, 289, NULL, NULL, 21551),
(68284, '1efpA02', NULL, NULL, 181, NULL, NULL, 21551),
(68285, '3ziuA02', NULL, NULL, 386, NULL, NULL, 21551),
(68286, '2yxnA01', NULL, NULL, 227, NULL, NULL, 21551),
(68287, '4arcA02', NULL, NULL, 350, NULL, NULL, 21551),
(68288, '2ywbA02', NULL, NULL, 190, NULL, NULL, 21551),
(68289, '4wsoA00', NULL, NULL, 227, NULL, NULL, 21551),
(68290, '5lltA00', NULL, NULL, 213, NULL, NULL, 21551),
(68291, '1efvB00', NULL, NULL, 255, NULL, NULL, 21551),
(68292, '5bnzA01', NULL, NULL, 123, NULL, NULL, 21551),
(68293, '3sz3A01', NULL, NULL, 227, NULL, NULL, 21551),
(68294, '3fnrA02', NULL, NULL, 307, NULL, NULL, 21551),
(68295, '1wxiA00', NULL, NULL, 275, NULL, NULL, 21551),
(68296, '1r6uA01', NULL, NULL, 258, NULL, NULL, 21551),
(68297, '2hgzA01', NULL, NULL, 195, NULL, NULL, 21551),
(68298, '3elbA01', NULL, NULL, 139, NULL, NULL, 21551),
(68299, '5ekdA01', NULL, NULL, 216, NULL, NULL, 21551),
(68300, '3elbA02', NULL, NULL, 170, NULL, NULL, 21551),
(68301, '3cvvA01', NULL, NULL, 205, NULL, NULL, 21551),
(68302, '5h7xE00', NULL, NULL, 171, NULL, NULL, 21551),
(68303, '5khaB02', NULL, NULL, 281, NULL, NULL, 21551),
(68304, '5v0iA01', NULL, NULL, 224, NULL, NULL, 21551),
(68305, '1ct9B02', NULL, NULL, 321, NULL, NULL, 21551),
(68306, '3tzlA01', NULL, NULL, 218, NULL, NULL, 21551),
(68307, '5urbA01', NULL, NULL, 351, NULL, NULL, 21551),
(68308, '2b7lA00', NULL, NULL, 115, NULL, NULL, 21551),
(68309, '5h4vA01', NULL, NULL, 121, NULL, NULL, 21551),
(68310, '6b1zA01', NULL, NULL, 131, NULL, NULL, 21551),
(68311, '2j4dA01', NULL, NULL, 174, NULL, NULL, 21551),
(68312, '5ol2B00', NULL, NULL, 260, NULL, NULL, 21551),
(68313, '5ijxA01', NULL, NULL, 285, NULL, NULL, 21551),
(68314, '2pidA01', NULL, NULL, 246, NULL, NULL, 21551),
(68315, '4j76B01', NULL, NULL, 247, NULL, NULL, 21551);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(68316, '5tgtB01', NULL, NULL, 337, NULL, NULL, 21551),
(68317, '2yy5A01', NULL, NULL, 229, NULL, NULL, 21551),
(68318, '3fiuA00', NULL, NULL, 249, NULL, NULL, 21551),
(68319, '3a2kA01', NULL, NULL, 135, NULL, NULL, 21551),
(68320, '1mrzA01', NULL, NULL, 159, NULL, NULL, 21551),
(68321, '1obhA01', NULL, NULL, 322, NULL, NULL, 21551),
(68322, '3fwkA00', NULL, NULL, 308, NULL, NULL, 21551),
(68323, '5tevA01', NULL, NULL, 241, NULL, NULL, 21551),
(68324, '2gm3A00', NULL, NULL, 175, NULL, NULL, 21551),
(68325, '4yp6A00', NULL, NULL, 181, NULL, NULL, 21551),
(68326, '6bqyA00', NULL, NULL, 225, NULL, NULL, 21551),
(68327, '1o6bA00', NULL, NULL, 169, NULL, NULL, 21551),
(68328, '1u3dA01', NULL, NULL, 173, NULL, NULL, 21551),
(68329, '2el7B01', NULL, NULL, 230, NULL, NULL, 21551),
(68330, '3q12B01', NULL, NULL, 182, NULL, NULL, 21551),
(68331, '1nupB00', NULL, NULL, 234, NULL, NULL, 21551),
(68332, '1yi8B01', NULL, NULL, 216, NULL, NULL, 21551),
(68333, '1tezA01', NULL, NULL, 128, NULL, NULL, 21551),
(68334, '4xfjB01', NULL, NULL, 182, NULL, NULL, 21551),
(68335, '3hl4B00', NULL, NULL, 177, NULL, NULL, 21551),
(68336, '6b1pA01', NULL, NULL, 131, NULL, NULL, 21551),
(68337, '4griA01', NULL, NULL, 121, NULL, NULL, 21551),
(68338, '2pzbC00', NULL, NULL, 284, NULL, NULL, 21551),
(68339, '1ihoA01', NULL, NULL, 179, NULL, NULL, 21551),
(68340, '2a1uA01', NULL, NULL, 186, NULL, NULL, 21551),
(68341, '5n5uA01', NULL, NULL, 196, NULL, NULL, 21551),
(68342, '4wnyA00', NULL, NULL, 151, NULL, NULL, 21551),
(68343, '1rqgA01', NULL, NULL, 182, NULL, NULL, 21551),
(68344, '1r6uB01', NULL, NULL, 249, NULL, NULL, 21551),
(68345, '3fg9C01', NULL, NULL, 140, NULL, NULL, 21551),
(68346, '6fahB00', NULL, NULL, 262, NULL, NULL, 21551),
(68347, '6dfuB01', NULL, NULL, 224, NULL, NULL, 21551),
(68348, '2cfoA01', NULL, NULL, 121, NULL, NULL, 21551),
(68349, '1o97D01', NULL, NULL, 189, NULL, NULL, 21551),
(68350, '5z9rA00', NULL, NULL, 242, NULL, NULL, 21551),
(68351, '1qtqA05', NULL, NULL, 123, NULL, NULL, 21551),
(68352, '4r2lA00', NULL, NULL, 158, NULL, NULL, 21551),
(68353, '3nd5A00', NULL, NULL, 171, NULL, NULL, 21551),
(68354, '1kqnB00', NULL, NULL, 240, NULL, NULL, 21551),
(68355, '4u63A01', NULL, NULL, 189, NULL, NULL, 21551),
(68356, '3do8A00', NULL, NULL, 148, NULL, NULL, 21551),
(68357, '5f23A00', NULL, NULL, 283, NULL, NULL, 21551),
(68358, '1v47B02', NULL, NULL, 213, NULL, NULL, 21551),
(68359, '4gu5B01', NULL, NULL, 138, NULL, NULL, 21551),
(68360, '1j20A01', NULL, NULL, 136, NULL, NULL, 21551),
(68361, '3mxtA01', NULL, NULL, 175, NULL, NULL, 21551),
(68362, '3k9wA00', NULL, NULL, 168, NULL, NULL, 21551),
(68363, '3nbkD00', NULL, NULL, 177, NULL, NULL, 21551),
(68364, '2goyA00', NULL, NULL, 222, NULL, NULL, 21551),
(68365, '5o08A00', NULL, NULL, 162, NULL, NULL, 21551),
(68366, '3fetA00', NULL, NULL, 166, NULL, NULL, 21551),
(68367, '3a04A01', NULL, NULL, 256, NULL, NULL, 21551),
(68368, '3loqA02', NULL, NULL, 129, NULL, NULL, 21551),
(68369, '2c5sA02', NULL, NULL, 229, NULL, NULL, 21551),
(68370, '2jaxA02', NULL, NULL, 157, NULL, NULL, 21551),
(68371, '2jaxA01', NULL, NULL, 148, NULL, NULL, 21551),
(68372, '1wkbA01', NULL, NULL, 446, NULL, NULL, 21551),
(68373, '3uk2A01', NULL, NULL, 173, NULL, NULL, 21551),
(68374, '5xgqA01', NULL, NULL, 233, NULL, NULL, 21551),
(68375, '2janB01', NULL, NULL, 223, NULL, NULL, 21551),
(68376, '5hujA00', NULL, NULL, 274, NULL, NULL, 21551),
(68377, '3loqA01', NULL, NULL, 149, NULL, NULL, 21551),
(68378, '3fdxA00', NULL, NULL, 143, NULL, NULL, 21551),
(68379, '2x1lA01', NULL, NULL, 235, NULL, NULL, 21551),
(68380, '2hmaA01', NULL, NULL, 216, NULL, NULL, 21551),
(68381, '2derB01', NULL, NULL, 224, NULL, NULL, 21551),
(68382, '3kflA01', NULL, NULL, 234, NULL, NULL, 21551),
(68383, '1jilA01', NULL, NULL, 221, NULL, NULL, 21551),
(68384, '4py2B01', NULL, NULL, 224, NULL, NULL, 21551),
(68385, '4mvcB00', NULL, NULL, 224, NULL, NULL, 21551),
(68386, '2xryA01', NULL, NULL, 161, NULL, NULL, 21551),
(68387, '2x0kA01', NULL, NULL, 186, NULL, NULL, 21551),
(68388, '1f7uA01', NULL, NULL, 347, NULL, NULL, 21551);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(68389, '2j07A01', NULL, NULL, 121, NULL, NULL, 21551),
(68390, '1m8pA01', NULL, NULL, 200, NULL, NULL, 21551),
(68391, '2ja2A01', NULL, NULL, 131, NULL, NULL, 21551),
(68392, '3p0iB02', NULL, NULL, 229, NULL, NULL, 21551),
(68393, '1od6A00', NULL, NULL, 160, NULL, NULL, 21551),
(68394, '2qtrA00', NULL, NULL, 189, NULL, NULL, 21551),
(68395, '1r6xA02', NULL, NULL, 222, NULL, NULL, 21551),
(68396, '1k92A01', NULL, NULL, 160, NULL, NULL, 21551),
(68397, '2pg3A00', NULL, NULL, 232, NULL, NULL, 21551),
(68398, '1ileA01', NULL, NULL, 435, NULL, NULL, 21551),
(68399, '3n8hA01', NULL, NULL, 176, NULL, NULL, 21551),
(68400, '4djaA01', NULL, NULL, 164, NULL, NULL, 21551),
(68401, '3idfA00', NULL, NULL, 138, NULL, NULL, 21551),
(68402, '1surA00', NULL, NULL, 215, NULL, NULL, 21551),
(68403, '1jmvA00', NULL, NULL, 141, NULL, NULL, 21551),
(68404, '2oq2D00', NULL, NULL, 261, NULL, NULL, 21551),
(68405, '3p0hB02', NULL, NULL, 329, NULL, NULL, 21551),
(68406, '3p0hB01', NULL, NULL, 311, NULL, NULL, 21551),
(68407, '2csxA01', NULL, NULL, 223, NULL, NULL, 21551),
(68408, '1li5B01', NULL, NULL, 289, NULL, NULL, 21551),
(68409, '3hmqA00', NULL, NULL, 275, NULL, NULL, 21551),
(68410, '3ih5A00', NULL, NULL, 217, NULL, NULL, 21551),
(68411, '3dpiB00', NULL, NULL, 267, NULL, NULL, 21551),
(68412, '1iq0A01', NULL, NULL, 376, NULL, NULL, 21551),
(68413, '5ahwC00', NULL, NULL, 147, NULL, NULL, 21551),
(68414, '1qu3A01', NULL, NULL, 368, NULL, NULL, 21551),
(68415, '3glvA00', NULL, NULL, 122, NULL, NULL, 21551),
(68416, '1f9aA00', NULL, NULL, 168, NULL, NULL, 21551),
(68417, '3sdbA02', NULL, NULL, 221, NULL, NULL, 21551),
(68418, '2dlcX01', NULL, NULL, 217, NULL, NULL, 21551),
(68419, '3umvA01', NULL, NULL, 150, NULL, NULL, 21551),
(68420, '3q4gB00', NULL, NULL, 279, NULL, NULL, 21551),
(68421, '1q15D02', NULL, NULL, 297, NULL, NULL, 21551),
(68422, '4nzpA01', NULL, NULL, 152, NULL, NULL, 21551),
(68423, '2e18A00', NULL, NULL, 257, NULL, NULL, 21551),
(68424, '1i6kA01', NULL, NULL, 217, NULL, NULL, 21551),
(68425, '3h99A01', NULL, NULL, 350, NULL, NULL, 21551),
(68426, '3rk1B01', NULL, NULL, 141, NULL, NULL, 21551),
(68427, '3tiqA00', NULL, NULL, 214, NULL, NULL, 21552),
(68428, '4wveA00', NULL, NULL, 215, NULL, NULL, 21552),
(68429, '2vk9A03', NULL, NULL, 98, NULL, NULL, 21553),
(68430, '4cczA02', NULL, NULL, 303, NULL, NULL, 21554),
(68431, '5umgA00', NULL, NULL, 282, NULL, NULL, 21554),
(68432, '4nirB00', NULL, NULL, 277, NULL, NULL, 21554),
(68433, '3tyzA00', NULL, NULL, 280, NULL, NULL, 21554),
(68434, '5visB00', NULL, NULL, 275, NULL, NULL, 21554),
(68435, '4s39A01', NULL, NULL, 288, NULL, NULL, 21554),
(68436, '6dayC00', NULL, NULL, 282, NULL, NULL, 21554),
(68437, '4pzvA02', NULL, NULL, 257, NULL, NULL, 21554),
(68438, '4o1eB00', NULL, NULL, 271, NULL, NULL, 21554),
(68439, '4mwaF00', NULL, NULL, 276, NULL, NULL, 21554),
(68440, '2yciX00', NULL, NULL, 271, NULL, NULL, 21554),
(68441, '5uswA00', NULL, NULL, 281, NULL, NULL, 21554),
(68442, '2dqwA00', NULL, NULL, 294, NULL, NULL, 21554),
(68443, '4hb7A00', NULL, NULL, 270, NULL, NULL, 21554),
(68444, '1eyeA00', NULL, NULL, 280, NULL, NULL, 21554),
(68445, '3tr9D00', NULL, NULL, 293, NULL, NULL, 21554),
(68446, '2vp8B00', NULL, NULL, 290, NULL, NULL, 21554),
(68447, '2y5sA00', NULL, NULL, 294, NULL, NULL, 21554),
(68448, '2vefB00', NULL, NULL, 314, NULL, NULL, 21554),
(68449, '4djdC01', NULL, NULL, 316, NULL, NULL, 21554),
(68450, '5u0vA00', NULL, NULL, 284, NULL, NULL, 21554),
(68451, '4djdD01', NULL, NULL, 309, NULL, NULL, 21554),
(68452, '3k13A00', NULL, NULL, 300, NULL, NULL, 21554),
(68453, '2e7fA00', NULL, NULL, 262, NULL, NULL, 21554),
(68454, '3bofA02', NULL, NULL, 266, NULL, NULL, 21554),
(68455, '2h9aB01', NULL, NULL, 296, NULL, NULL, 21554),
(68456, '3noyA01', NULL, NULL, 265, NULL, NULL, 21554),
(68457, '2h9aA01', NULL, NULL, 257, NULL, NULL, 21554),
(68458, '2bmbA02', NULL, NULL, 322, NULL, NULL, 21554),
(68459, '5oy0400', NULL, NULL, 140, NULL, NULL, 21555),
(68460, '1jb0D00', NULL, NULL, 138, NULL, NULL, 21555),
(68461, '2o01D01', NULL, NULL, 95, NULL, NULL, 21555);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(68462, '4xk8d00', NULL, NULL, 141, NULL, NULL, 21555),
(68463, '5l8rD00', NULL, NULL, 143, NULL, NULL, 21555),
(68464, '2hpuA01', NULL, NULL, 63, NULL, NULL, 21556),
(68465, '5a0dB01', NULL, NULL, 110, NULL, NULL, 21557),
(68466, '2xi9A02', NULL, NULL, 102, NULL, NULL, 21557),
(68467, '5a0lA01', NULL, NULL, 111, NULL, NULL, 21557),
(68468, '4c0zE01', NULL, NULL, 119, NULL, NULL, 21557),
(68469, '2ktaA01', NULL, NULL, 57, NULL, NULL, 21558),
(68470, '2dstA00', NULL, NULL, 131, NULL, NULL, 21559),
(68471, '3e0rB02', NULL, NULL, 121, NULL, NULL, 21560),
(68472, '3pf6D00', NULL, NULL, 62, NULL, NULL, 21561),
(68473, '3pf6C00', NULL, NULL, 62, NULL, NULL, 21561),
(68474, '3pf6B00', NULL, NULL, 62, NULL, NULL, 21561),
(68475, '3pf6A00', NULL, NULL, 62, NULL, NULL, 21561),
(68476, '2arcA00', NULL, NULL, 164, NULL, NULL, 21562),
(68477, '3vu1A02', NULL, NULL, 87, NULL, NULL, 21563),
(68478, '3wovA02', NULL, NULL, 88, NULL, NULL, 21563),
(68479, '2zaiA02', NULL, NULL, 83, NULL, NULL, 21563),
(68480, '3d8cA02', NULL, NULL, 44, NULL, NULL, 21564),
(68481, '1iz3A02', NULL, NULL, 44, NULL, NULL, 21564),
(68482, '2f23A01', NULL, NULL, 77, NULL, NULL, 21565),
(68483, '1grjA01', NULL, NULL, 75, NULL, NULL, 21565),
(68484, '2p4vA01', NULL, NULL, 76, NULL, NULL, 21565),
(68485, '2js5A00', NULL, NULL, 71, NULL, NULL, 21566),
(68486, '3qg5A02', NULL, NULL, 55, NULL, NULL, 21566),
(68487, '3icxA01', NULL, NULL, 76, NULL, NULL, 21566),
(68488, '1nt2B02', NULL, NULL, 67, NULL, NULL, 21566),
(68489, '2f66F00', NULL, NULL, 82, NULL, NULL, 21566),
(68490, '2cazF00', NULL, NULL, 64, NULL, NULL, 21566),
(68491, '3b2eF00', NULL, NULL, 84, NULL, NULL, 21566),
(68492, '3sjaC00', NULL, NULL, 65, NULL, NULL, 21566),
(68493, '1x4tA01', NULL, NULL, 58, NULL, NULL, 21566),
(68494, '3csxB00', NULL, NULL, 81, NULL, NULL, 21566),
(68495, '3csxA00', NULL, NULL, 64, NULL, NULL, 21566),
(68496, '3qf7A02', NULL, NULL, 69, NULL, NULL, 21566),
(68497, '1skvA00', NULL, NULL, 69, NULL, NULL, 21566),
(68498, '2k49A00', NULL, NULL, 118, NULL, NULL, 21567),
(68499, '2k8eA00', NULL, NULL, 130, NULL, NULL, 21567),
(68500, '3nr5A00', NULL, NULL, 164, NULL, NULL, 21568),
(68501, '3sqiA01', NULL, NULL, 103, NULL, NULL, 21569),
(68502, '2ksgA01', NULL, NULL, 42, NULL, NULL, 21570),
(68503, '3m7gA02', NULL, NULL, 95, NULL, NULL, 21571),
(68504, '4bpxD00', NULL, NULL, 269, NULL, NULL, 21572),
(68505, '4rr2B00', NULL, NULL, 224, NULL, NULL, 21572),
(68506, '1koyA00', NULL, NULL, 62, NULL, NULL, 21573),
(68507, '1iyrA00', NULL, NULL, 87, NULL, NULL, 21573),
(68508, '5e3qA01', NULL, NULL, 91, NULL, NULL, 21574),
(68509, '3fsyB01', NULL, NULL, 112, NULL, NULL, 21574),
(68510, '2rijA01', NULL, NULL, 166, NULL, NULL, 21574),
(68511, '3r5dA01', NULL, NULL, 134, NULL, NULL, 21574),
(68512, '3qhyB00', NULL, NULL, 282, NULL, NULL, 21575),
(68513, '4o2wA00', NULL, NULL, 365, NULL, NULL, 21575),
(68514, '4jhnA00', NULL, NULL, 369, NULL, NULL, 21575),
(68515, '3mvdK00', NULL, NULL, 395, NULL, NULL, 21575),
(68516, '4l1mA00', NULL, NULL, 369, NULL, NULL, 21575),
(68517, '3kciA00', NULL, NULL, 369, NULL, NULL, 21575),
(68518, '3of7A00', NULL, NULL, 473, NULL, NULL, 21575),
(68519, '4nbmA00', NULL, NULL, 377, NULL, NULL, 21575),
(68520, '1i2mB00', NULL, NULL, 402, NULL, NULL, 21575),
(68521, '3p9aF00', NULL, NULL, 139, NULL, NULL, 21576),
(68522, '2q07A01', NULL, NULL, 165, NULL, NULL, 21577),
(68523, '3g98A00', NULL, NULL, 111, NULL, NULL, 21578),
(68524, '2zvfA02', NULL, NULL, 106, NULL, NULL, 21578),
(68525, '1stzA03', NULL, NULL, 89, NULL, NULL, 21579),
(68526, '3kxaA01', NULL, NULL, 47, NULL, NULL, 21580),
(68527, '6qv7A00', NULL, NULL, 318, NULL, NULL, 21581),
(68528, '3etvA02', NULL, NULL, 238, NULL, NULL, 21582),
(68529, '3a2eA00', NULL, NULL, 108, NULL, NULL, 21583),
(68530, '2ckcA00', NULL, NULL, 60, NULL, NULL, 21584),
(68531, '2ckaA01', NULL, NULL, 49, NULL, NULL, 21584),
(68532, '2v0eA00', NULL, NULL, 55, NULL, NULL, 21584),
(68533, '2z1dB01', NULL, NULL, 147, NULL, NULL, 21585),
(68534, '1nfkA01', NULL, NULL, 203, NULL, NULL, 21586),
(68535, '2v2tA01', NULL, NULL, 184, NULL, NULL, 21586); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(68536, '1nfiA01', NULL, NULL, 170, NULL, NULL, 21586),
(68537, '6ggrA00', NULL, NULL, 170, NULL, NULL, 21586),
(68538, '1gjiA01', NULL, NULL, 172, NULL, NULL, 21586),
(68539, '1a66A00', NULL, NULL, 178, NULL, NULL, 21586),
(68540, '1bvoA00', NULL, NULL, 175, NULL, NULL, 21586),
(68541, '1p7hL01', NULL, NULL, 173, NULL, NULL, 21586),
(68542, '1a3qA01', NULL, NULL, 179, NULL, NULL, 21586),
(68543, '1imhC01', NULL, NULL, 170, NULL, NULL, 21586),
(68544, '1uurA02', NULL, NULL, 133, NULL, NULL, 21586),
(68545, '3rnvA00', NULL, NULL, 123, NULL, NULL, 21587),
(68546, '4lg3A01', NULL, NULL, 138, NULL, NULL, 21588),
(68547, '2cwyA00', NULL, NULL, 94, NULL, NULL, 21589),
(68548, '2ijqB00', NULL, NULL, 118, NULL, NULL, 21589),
(68549, '2ijqA00', NULL, NULL, 161, NULL, NULL, 21589),
(68550, '5u1xA01', NULL, NULL, 67, NULL, NULL, 21590),
(68551, '4dw0A01', NULL, NULL, 66, NULL, NULL, 21590),
(68552, '5svlA01', NULL, NULL, 80, NULL, NULL, 21590),
(68553, '5f1cA01', NULL, NULL, 74, NULL, NULL, 21590),
(68554, '5svlB01', NULL, NULL, 55, NULL, NULL, 21590),
(68555, '3smvA02', NULL, NULL, 77, NULL, NULL, 21591),
(68556, '5tkyA05', NULL, NULL, 99, NULL, NULL, 21592),
(68557, '1ud0C01', NULL, NULL, 80, NULL, NULL, 21592),
(68558, '3lofA00', NULL, NULL, 85, NULL, NULL, 21592),
(68559, '5z8qA01', NULL, NULL, 97, NULL, NULL, 21592),
(68560, '1u00A02', NULL, NULL, 96, NULL, NULL, 21592),
(68561, '4kbqD00', NULL, NULL, 101, NULL, NULL, 21592),
(68562, '1dkxA02', NULL, NULL, 80, NULL, NULL, 21592),
(68563, '3d2eA06', NULL, NULL, 113, NULL, NULL, 21592),
(68564, '1dkyB02', NULL, NULL, 68, NULL, NULL, 21592),
(68565, '4po2A02', NULL, NULL, 104, NULL, NULL, 21592),
(68566, '2qffA00', NULL, NULL, 82, NULL, NULL, 21592),
(68567, '6asyA05', NULL, NULL, 100, NULL, NULL, 21592),
(68568, '3t46A00', NULL, NULL, 75, NULL, NULL, 21592),
(68569, '2p32A00', NULL, NULL, 94, NULL, NULL, 21592),
(68570, '3t47A00', NULL, NULL, 81, NULL, NULL, 21592),
(68571, '3t49A00', NULL, NULL, 73, NULL, NULL, 21592),
(68572, '4f01A02', NULL, NULL, 84, NULL, NULL, 21592),
(68573, '4f01B02', NULL, NULL, 101, NULL, NULL, 21592),
(68574, '1sgoA01', NULL, NULL, 108, NULL, NULL, 21593),
(68575, '3dupA02', NULL, NULL, 106, NULL, NULL, 21594),
(68576, '2i9iA00', NULL, NULL, 236, NULL, NULL, 21595),
(68577, '3bghB01', NULL, NULL, 201, NULL, NULL, 21595),
(68578, '1ulkA01', NULL, NULL, 40, NULL, NULL, 21596),
(68579, '4wp4A00', NULL, NULL, 43, NULL, NULL, 21596),
(68580, '4mpiA00', NULL, NULL, 45, NULL, NULL, 21596),
(68581, '1wgtA04', NULL, NULL, 58, NULL, NULL, 21596),
(68582, '2lb7A00', NULL, NULL, 44, NULL, NULL, 21596),
(68583, '2dkvA01', NULL, NULL, 42, NULL, NULL, 21596),
(68584, '2uvoA01', NULL, NULL, 42, NULL, NULL, 21596),
(68585, '2uvoA02', NULL, NULL, 43, NULL, NULL, 21596),
(68586, '1p9gA00', NULL, NULL, 41, NULL, NULL, 21596),
(68587, '1uhaA02', NULL, NULL, 42, NULL, NULL, 21596),
(68588, '5xdiA00', NULL, NULL, 40, NULL, NULL, 21596),
(68589, '2uvoA03', NULL, NULL, 43, NULL, NULL, 21596),
(68590, '2uvoA04', NULL, NULL, 43, NULL, NULL, 21596),
(68591, '1ulkA03', NULL, NULL, 45, NULL, NULL, 21596),
(68592, '1uhaA01', NULL, NULL, 40, NULL, NULL, 21596),
(68593, '1ulkA02', NULL, NULL, 41, NULL, NULL, 21596),
(68594, '5wuzA00', NULL, NULL, 43, NULL, NULL, 21596),
(68595, '2x52A03', NULL, NULL, 43, NULL, NULL, 21596),
(68596, '2x52A02', NULL, NULL, 43, NULL, NULL, 21596),
(68597, '2m3kA00', NULL, NULL, 119, NULL, NULL, 21597),
(68598, '1vx7d00', NULL, NULL, 87, NULL, NULL, 21598),
(68599, '3u5ek00', NULL, NULL, 78, NULL, NULL, 21598),
(68600, '1vwxk00', NULL, NULL, 70, NULL, NULL, 21598),
(68601, '4a18P00', NULL, NULL, 89, NULL, NULL, 21598),
(68602, '1zelA01', NULL, NULL, 99, NULL, NULL, 21599),
(68603, '1xqbA02', NULL, NULL, 92, NULL, NULL, 21600),
(68604, '1s2oA01', NULL, NULL, 173, NULL, NULL, 21601),
(68605, '2o2xA01', NULL, NULL, 213, NULL, NULL, 21601),
(68606, '2odaA00', NULL, NULL, 196, NULL, NULL, 21601),
(68607, '1qq5A01', NULL, NULL, 166, NULL, NULL, 21601),
(68608, '3f9rA01', NULL, NULL, 144, NULL, NULL, 21601),
(68609, '1yv9A01', NULL, NULL, 171, NULL, NULL, 21601);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(68610, '1wr8A01', NULL, NULL, 162, NULL, NULL, 21601),
(68611, '1ltqA02', NULL, NULL, 143, NULL, NULL, 21601),
(68612, '1wviA01', NULL, NULL, 149, NULL, NULL, 21601),
(68613, '3nuqA02', NULL, NULL, 181, NULL, NULL, 21601),
(68614, '2hcfA01', NULL, NULL, 166, NULL, NULL, 21601),
(68615, '1yv9A02', NULL, NULL, 93, NULL, NULL, 21601),
(68616, '3kc2A02', NULL, NULL, 163, NULL, NULL, 21601),
(68617, '2gfhA01', NULL, NULL, 170, NULL, NULL, 21601),
(68618, '3e8mA00', NULL, NULL, 164, NULL, NULL, 21601),
(68619, '3kc2A01', NULL, NULL, 189, NULL, NULL, 21601),
(68620, '1rkuA01', NULL, NULL, 111, NULL, NULL, 21601),
(68621, '3a1cB01', NULL, NULL, 170, NULL, NULL, 21601),
(68622, '3um9A01', NULL, NULL, 155, NULL, NULL, 21601),
(68623, '3kbbA01', NULL, NULL, 145, NULL, NULL, 21601),
(68624, '3n28A01', NULL, NULL, 156, NULL, NULL, 21601),
(68625, '3fvvA01', NULL, NULL, 157, NULL, NULL, 21601),
(68626, '2gmwA00', NULL, NULL, 188, NULL, NULL, 21601),
(68627, '4nabA02', NULL, NULL, 164, NULL, NULL, 21601),
(68628, '4mumA01', NULL, NULL, 145, NULL, NULL, 21601),
(68629, '3k1zA01', NULL, NULL, 157, NULL, NULL, 21601),
(68630, '5ksdA03', NULL, NULL, 152, NULL, NULL, 21601),
(68631, '2i33B00', NULL, NULL, 258, NULL, NULL, 21601),
(68632, '4as2A01', NULL, NULL, 224, NULL, NULL, 21601),
(68633, '2x4dA01', NULL, NULL, 162, NULL, NULL, 21601),
(68634, '2x4dA02', NULL, NULL, 105, NULL, NULL, 21601),
(68635, '3m9lA01', NULL, NULL, 154, NULL, NULL, 21601),
(68636, '3bwvA01', NULL, NULL, 131, NULL, NULL, 21601),
(68637, '3mmzC00', NULL, NULL, 176, NULL, NULL, 21601),
(68638, '1ys9A02', NULL, NULL, 96, NULL, NULL, 21601),
(68639, '1ys9A01', NULL, NULL, 158, NULL, NULL, 21601),
(68640, '1te2A01', NULL, NULL, 154, NULL, NULL, 21601),
(68641, '2ymmB01', NULL, NULL, 163, NULL, NULL, 21601),
(68642, '4jdpA01', NULL, NULL, 167, NULL, NULL, 21601),
(68643, '4jdpA02', NULL, NULL, 98, NULL, NULL, 21601),
(68644, '3slrA02', NULL, NULL, 168, NULL, NULL, 21601),
(68645, '4kn8A02', NULL, NULL, 96, NULL, NULL, 21601),
(68646, '4kn8A01', NULL, NULL, 171, NULL, NULL, 21601),
(68647, '4bndB01', NULL, NULL, 157, NULL, NULL, 21601),
(68648, '2pr7A00', NULL, NULL, 137, NULL, NULL, 21601),
(68649, '2yj6B01', NULL, NULL, 168, NULL, NULL, 21601),
(68650, '5is2A03', NULL, NULL, 221, NULL, NULL, 21601),
(68651, '3cnhA01', NULL, NULL, 133, NULL, NULL, 21601),
(68652, '4uavA01', NULL, NULL, 161, NULL, NULL, 21601),
(68653, '4fypB00', NULL, NULL, 228, NULL, NULL, 21601),
(68654, '3l8fA00', NULL, NULL, 187, NULL, NULL, 21601),
(68655, '2p9jB00', NULL, NULL, 162, NULL, NULL, 21601),
(68656, '4jb3A01', NULL, NULL, 156, NULL, NULL, 21601),
(68657, '5am2A01', NULL, NULL, 139, NULL, NULL, 21601),
(68658, '1ynsA01', NULL, NULL, 157, NULL, NULL, 21601),
(68659, '2fdrA01', NULL, NULL, 162, NULL, NULL, 21601),
(68660, '4l57A01', NULL, NULL, 140, NULL, NULL, 21601),
(68661, '1z5gA00', NULL, NULL, 214, NULL, NULL, 21601),
(68662, '4ohfA01', NULL, NULL, 202, NULL, NULL, 21601),
(68663, '4i9fB01', NULL, NULL, 156, NULL, NULL, 21601),
(68664, '2pkeA01', NULL, NULL, 167, NULL, NULL, 21601),
(68665, '2ghtA00', NULL, NULL, 181, NULL, NULL, 21601),
(68666, '3ib6C00', NULL, NULL, 189, NULL, NULL, 21601),
(68667, '2obbA00', NULL, NULL, 125, NULL, NULL, 21601),
(68668, '4g9bA01', NULL, NULL, 164, NULL, NULL, 21601),
(68669, '4xpzA01', NULL, NULL, 218, NULL, NULL, 21601),
(68670, '1cqzB01', NULL, NULL, 138, NULL, NULL, 21601),
(68671, '1wviC02', NULL, NULL, 109, NULL, NULL, 21601),
(68672, '4ezeB00', NULL, NULL, 295, NULL, NULL, 21601),
(68673, '3pdwA01', NULL, NULL, 170, NULL, NULL, 21601),
(68674, '3pdwA02', NULL, NULL, 96, NULL, NULL, 21601),
(68675, '1u02A01', NULL, NULL, 163, NULL, NULL, 21601),
(68676, '3ewiB00', NULL, NULL, 168, NULL, NULL, 21601),
(68677, '3s6jA01', NULL, NULL, 164, NULL, NULL, 21601),
(68678, '3fzqB01', NULL, NULL, 159, NULL, NULL, 21601),
(68679, '2zosB01', NULL, NULL, 166, NULL, NULL, 21601),
(68680, '2vkqA01', NULL, NULL, 188, NULL, NULL, 21601),
(68681, '1swvA01', NULL, NULL, 182, NULL, NULL, 21601),
(68682, '3l8hA00', NULL, NULL, 179, NULL, NULL, 21601);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(68683, '3qu5B01', NULL, NULL, 173, NULL, NULL, 21601),
(68684, '1nf2A01', NULL, NULL, 162, NULL, NULL, 21601),
(68685, '2fi1A01', NULL, NULL, 126, NULL, NULL, 21601),
(68686, '2p11A01', NULL, NULL, 156, NULL, NULL, 21601),
(68687, '2hdoA01', NULL, NULL, 145, NULL, NULL, 21601),
(68688, '3r4cA01', NULL, NULL, 167, NULL, NULL, 21601),
(68689, '3vayA01', NULL, NULL, 143, NULL, NULL, 21601),
(68690, '2hx1A01', NULL, NULL, 162, NULL, NULL, 21601),
(68691, '2hx1A02', NULL, NULL, 122, NULL, NULL, 21601),
(68692, '4zevB01', NULL, NULL, 164, NULL, NULL, 21601),
(68693, '4ofzA02', NULL, NULL, 217, NULL, NULL, 21601),
(68694, '3qleA00', NULL, NULL, 186, NULL, NULL, 21601),
(68695, '2fueA01', NULL, NULL, 160, NULL, NULL, 21601),
(68696, '3wguA03', NULL, NULL, 174, NULL, NULL, 21601),
(68697, '3skxA01', NULL, NULL, 162, NULL, NULL, 21601),
(68698, '1l7mB01', NULL, NULL, 149, NULL, NULL, 21601),
(68699, '1ydfA01', NULL, NULL, 164, NULL, NULL, 21601),
(68700, '1ydfA02', NULL, NULL, 93, NULL, NULL, 21601),
(68701, '3daoB01', NULL, NULL, 157, NULL, NULL, 21601),
(68702, '2hoqA01', NULL, NULL, 162, NULL, NULL, 21601),
(68703, '4pnhA00', NULL, NULL, 181, NULL, NULL, 21601),
(68704, '4bx0A01', NULL, NULL, 171, NULL, NULL, 21601),
(68705, '4bx0A02', NULL, NULL, 121, NULL, NULL, 21601),
(68706, '4uw9A01', NULL, NULL, 146, NULL, NULL, 21601),
(68707, '3n07B00', NULL, NULL, 179, NULL, NULL, 21601),
(68708, '1xpjA00', NULL, NULL, 126, NULL, NULL, 21601),
(68709, '2go7A01', NULL, NULL, 140, NULL, NULL, 21601),
(68710, '3qnmA01', NULL, NULL, 150, NULL, NULL, 21601),
(68711, '3umcA01', NULL, NULL, 156, NULL, NULL, 21601),
(68712, '3hltC01', NULL, NULL, 177, NULL, NULL, 21601),
(68713, '2i6xA01', NULL, NULL, 137, NULL, NULL, 21601),
(68714, '4dw8A01', NULL, NULL, 173, NULL, NULL, 21601),
(68715, '1vjrA02', NULL, NULL, 108, NULL, NULL, 21601),
(68716, '3skyA01', NULL, NULL, 157, NULL, NULL, 21601),
(68717, '1vjrA01', NULL, NULL, 163, NULL, NULL, 21601),
(68718, '2b30A01', NULL, NULL, 176, NULL, NULL, 21601),
(68719, '5mpmA03', NULL, NULL, 156, NULL, NULL, 21601),
(68720, '2b82A00', NULL, NULL, 211, NULL, NULL, 21601),
(68721, '4gibA01', NULL, NULL, 148, NULL, NULL, 21601),
(68722, '3m1yC01', NULL, NULL, 156, NULL, NULL, 21601),
(68723, '3kzxA01', NULL, NULL, 144, NULL, NULL, 21601),
(68724, '2cftA01', NULL, NULL, 173, NULL, NULL, 21601),
(68725, '3n1uA00', NULL, NULL, 191, NULL, NULL, 21601),
(68726, '4fe3A01', NULL, NULL, 193, NULL, NULL, 21601),
(68727, '1y8aA01', NULL, NULL, 167, NULL, NULL, 21601),
(68728, '1nrwA01', NULL, NULL, 158, NULL, NULL, 21601),
(68729, '3pgvB01', NULL, NULL, 159, NULL, NULL, 21601),
(68730, '2ho4A02', NULL, NULL, 89, NULL, NULL, 21601),
(68731, '1qyiA01', NULL, NULL, 188, NULL, NULL, 21601),
(68732, '2feaA01', NULL, NULL, 138, NULL, NULL, 21601),
(68733, '3mpoB01', NULL, NULL, 172, NULL, NULL, 21601),
(68734, '3d6jA01', NULL, NULL, 158, NULL, NULL, 21601),
(68735, '4navA00', NULL, NULL, 182, NULL, NULL, 21601),
(68736, '3l5kA01', NULL, NULL, 157, NULL, NULL, 21601),
(68737, '3ar4A03', NULL, NULL, 156, NULL, NULL, 21601),
(68738, '3ij5C00', NULL, NULL, 184, NULL, NULL, 21601),
(68739, '5yluA03', NULL, NULL, 174, NULL, NULL, 21601),
(68740, '4umvA03', NULL, NULL, 133, NULL, NULL, 21601),
(68741, '3ddhA01', NULL, NULL, 153, NULL, NULL, 21601),
(68742, '1nnlA01', NULL, NULL, 162, NULL, NULL, 21601),
(68743, '4i9fA02', NULL, NULL, 112, NULL, NULL, 21601),
(68744, '2w43A01', NULL, NULL, 144, NULL, NULL, 21601),
(68745, '2nyvA01', NULL, NULL, 158, NULL, NULL, 21601),
(68746, '3smvA01', NULL, NULL, 163, NULL, NULL, 21601),
(68747, '2hi0A01', NULL, NULL, 151, NULL, NULL, 21601),
(68748, '2hhlD00', NULL, NULL, 195, NULL, NULL, 21601),
(68749, '2g80A01', NULL, NULL, 147, NULL, NULL, 21601),
(68750, '1u7pD00', NULL, NULL, 164, NULL, NULL, 21601),
(68751, '4eekA01', NULL, NULL, 169, NULL, NULL, 21601),
(68752, '1cqzA01', NULL, NULL, 219, NULL, NULL, 21601),
(68753, '2ah5A01', NULL, NULL, 145, NULL, NULL, 21601),
(68754, '3umbA01', NULL, NULL, 154, NULL, NULL, 21601),
(68755, '6f2xA01', NULL, NULL, 151, NULL, NULL, 21601);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(68756, '4bbjA03', NULL, NULL, 135, NULL, NULL, 21601),
(68757, '4hgnB00', NULL, NULL, 176, NULL, NULL, 21601),
(68758, '2oycA01', NULL, NULL, 181, NULL, NULL, 21601),
(68759, '2oycA02', NULL, NULL, 125, NULL, NULL, 21601),
(68760, '2hf2A01', NULL, NULL, 176, NULL, NULL, 21601),
(68761, '5uj0A00', NULL, NULL, 145, NULL, NULL, 21601),
(68762, '4bkmA02', NULL, NULL, 134, NULL, NULL, 21601),
(68763, '3ed5A01', NULL, NULL, 154, NULL, NULL, 21601),
(68764, '3u13A01', NULL, NULL, 153, NULL, NULL, 21601),
(68765, '4um7B00', NULL, NULL, 173, NULL, NULL, 21601),
(68766, '2amyA01', NULL, NULL, 144, NULL, NULL, 21601),
(68767, '2wm8A00', NULL, NULL, 187, NULL, NULL, 21601),
(68768, '1x42A01', NULL, NULL, 149, NULL, NULL, 21601),
(68769, '2hszA01', NULL, NULL, 168, NULL, NULL, 21601),
(68770, '2b0cA01', NULL, NULL, 140, NULL, NULL, 21601),
(68771, '3hltA02', NULL, NULL, 89, NULL, NULL, 21601),
(68772, '4knvA01', NULL, NULL, 151, NULL, NULL, 21601),
(68773, '2g09A01', NULL, NULL, 193, NULL, NULL, 21601),
(68774, '1l6rA01', NULL, NULL, 157, NULL, NULL, 21601),
(68775, '3u26A01', NULL, NULL, 151, NULL, NULL, 21601),
(68776, '4ap9A01', NULL, NULL, 139, NULL, NULL, 21601),
(68777, '3i76B01', NULL, NULL, 160, NULL, NULL, 21601),
(68778, '3nasB01', NULL, NULL, 154, NULL, NULL, 21601),
(68779, '5ue7A01', NULL, NULL, 150, NULL, NULL, 21601),
(68780, '3iruA01', NULL, NULL, 185, NULL, NULL, 21601),
(68781, '2rbkA01', NULL, NULL, 160, NULL, NULL, 21601),
(68782, '2qyhB01', NULL, NULL, 158, NULL, NULL, 21601),
(68783, '4uasA01', NULL, NULL, 153, NULL, NULL, 21601),
(68784, '3sd7A01', NULL, NULL, 149, NULL, NULL, 21601),
(68785, '1rlmA01', NULL, NULL, 164, NULL, NULL, 21601),
(68786, '2zxeA03', NULL, NULL, 174, NULL, NULL, 21601),
(68787, '4ex6A01', NULL, NULL, 154, NULL, NULL, 21601),
(68788, '2qltA01', NULL, NULL, 177, NULL, NULL, 21601),
(68789, '1rkqA01', NULL, NULL, 175, NULL, NULL, 21601),
(68790, '1xviB01', NULL, NULL, 142, NULL, NULL, 21601),
(68791, '2q5eD00', NULL, NULL, 187, NULL, NULL, 21601),
(68792, '2b8eC01', NULL, NULL, 156, NULL, NULL, 21601),
(68793, '3dv9A01', NULL, NULL, 174, NULL, NULL, 21601),
(68794, '3shqA02', NULL, NULL, 229, NULL, NULL, 21601),
(68795, '3kd3A01', NULL, NULL, 159, NULL, NULL, 21601),
(68796, '1zjjA02', NULL, NULL, 117, NULL, NULL, 21601),
(68797, '3zx4A01', NULL, NULL, 172, NULL, NULL, 21601),
(68798, '2c4nA01', NULL, NULL, 146, NULL, NULL, 21601),
(68799, '4nv0A01', NULL, NULL, 237, NULL, NULL, 21601),
(68800, '3ocuA00', NULL, NULL, 262, NULL, NULL, 21601),
(68801, '1zrnA01', NULL, NULL, 157, NULL, NULL, 21601),
(68802, '2zg6B01', NULL, NULL, 143, NULL, NULL, 21601),
(68803, '3mn1G00', NULL, NULL, 189, NULL, NULL, 21601),
(68804, '2i54A01', NULL, NULL, 145, NULL, NULL, 21601),
(68805, '3dnpA01', NULL, NULL, 177, NULL, NULL, 21601),
(68806, '3l7yA01', NULL, NULL, 159, NULL, NULL, 21601),
(68807, '2c4nA02', NULL, NULL, 104, NULL, NULL, 21601),
(68808, '3mc1A01', NULL, NULL, 159, NULL, NULL, 21601),
(68809, '3e58B01', NULL, NULL, 148, NULL, NULL, 21601),
(68810, '2wf7A01', NULL, NULL, 143, NULL, NULL, 21601),
(68811, '3pctA00', NULL, NULL, 260, NULL, NULL, 21601),
(68812, '3gygC01', NULL, NULL, 203, NULL, NULL, 21601),
(68813, '2jarA01', NULL, NULL, 145, NULL, NULL, 21601),
(68814, '1k1eD00', NULL, NULL, 180, NULL, NULL, 21601),
(68815, '2no4B01', NULL, NULL, 165, NULL, NULL, 21601),
(68816, '4gxtA01', NULL, NULL, 227, NULL, NULL, 21601),
(68817, '2om6A01', NULL, NULL, 156, NULL, NULL, 21601),
(68818, '2fprB00', NULL, NULL, 176, NULL, NULL, 21601),
(68819, '2ho4B01', NULL, NULL, 170, NULL, NULL, 21601),
(68820, '2r8eA00', NULL, NULL, 188, NULL, NULL, 21601),
(68821, '3zvlA01', NULL, NULL, 195, NULL, NULL, 21601),
(68822, '3eprA01', NULL, NULL, 168, NULL, NULL, 21601),
(68823, '3eprA02', NULL, NULL, 96, NULL, NULL, 21601),
(68824, '4dccA01', NULL, NULL, 130, NULL, NULL, 21601),
(68825, '3umgC01', NULL, NULL, 183, NULL, NULL, 21601),
(68826, '1zjjB01', NULL, NULL, 146, NULL, NULL, 21601),
(68827, '4qmkB03', NULL, NULL, 189, NULL, NULL, 21602),
(68828, '3tu3B03', NULL, NULL, 187, NULL, NULL, 21602);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(68829, '2zuoA08', NULL, NULL, 78, NULL, NULL, 21603),
(68830, '4lhfA00', NULL, NULL, 91, NULL, NULL, 21604),
(68831, '1zkrB00', NULL, NULL, 153, NULL, NULL, 21605),
(68832, '1puoB00', NULL, NULL, 170, NULL, NULL, 21605),
(68833, '4umoA00', NULL, NULL, 79, NULL, NULL, 21606),
(68834, '2rhqB03', NULL, NULL, 202, NULL, NULL, 21607),
(68835, '2cxiA02', NULL, NULL, 198, NULL, NULL, 21607),
(68836, '1b7yB03', NULL, NULL, 214, NULL, NULL, 21607),
(68837, '4p72A03', NULL, NULL, 199, NULL, NULL, 21607),
(68838, '3l4gB02', NULL, NULL, 207, NULL, NULL, 21607),
(68839, '3pcoB03', NULL, NULL, 199, NULL, NULL, 21607),
(68840, '3kxyT00', NULL, NULL, 66, NULL, NULL, 21608),
(68841, '3qrlA00', NULL, NULL, 140, NULL, NULL, 21609),
(68842, '3rlsB00', NULL, NULL, 175, NULL, NULL, 21609),
(68843, '2l7eA00', NULL, NULL, 131, NULL, NULL, 21609),
(68844, '5xtzA00', NULL, NULL, 141, NULL, NULL, 21609),
(68845, '5iqlA00', NULL, NULL, 133, NULL, NULL, 21609),
(68846, '6hq0A00', NULL, NULL, 155, NULL, NULL, 21609),
(68847, '5yyfC00', NULL, NULL, 141, NULL, NULL, 21609),
(68848, '3l1nA02', NULL, NULL, 87, NULL, NULL, 21610),
(68849, '4ycbB00', NULL, NULL, 163, NULL, NULL, 21611),
(68850, '4qgsA01', NULL, NULL, 175, NULL, NULL, 21611),
(68851, '5hvnA01', NULL, NULL, 175, NULL, NULL, 21611),
(68852, '3zokA01', NULL, NULL, 187, NULL, NULL, 21611),
(68853, '3ce9A01', NULL, NULL, 160, NULL, NULL, 21611),
(68854, '4p53A01', NULL, NULL, 176, NULL, NULL, 21611),
(68855, '3rf7A01', NULL, NULL, 203, NULL, NULL, 21611),
(68856, '3uhjC01', NULL, NULL, 157, NULL, NULL, 21611),
(68857, '5br4B01', NULL, NULL, 186, NULL, NULL, 21611),
(68858, '5fb3E01', NULL, NULL, 145, NULL, NULL, 21611),
(68859, '4ja0D02', NULL, NULL, 129, NULL, NULL, 21611),
(68860, '3hl0A01', NULL, NULL, 162, NULL, NULL, 21611),
(68861, '5eksB01', NULL, NULL, 179, NULL, NULL, 21611),
(68862, '3clhA01', NULL, NULL, 162, NULL, NULL, 21611),
(68863, '1ujnA01', NULL, NULL, 161, NULL, NULL, 21611),
(68864, '4fr2A01', NULL, NULL, 199, NULL, NULL, 21611),
(68865, '1jq5A01', NULL, NULL, 152, NULL, NULL, 21611),
(68866, '3iv7A01', NULL, NULL, 163, NULL, NULL, 21611),
(68867, '1xahA01', NULL, NULL, 166, NULL, NULL, 21611),
(68868, '5xn8A01', NULL, NULL, 159, NULL, NULL, 21611),
(68869, '3zdrA01', NULL, NULL, 193, NULL, NULL, 21611),
(68870, '4mcaA01', NULL, NULL, 159, NULL, NULL, 21611),
(68871, '5c5dD00', NULL, NULL, 159, NULL, NULL, 21611),
(68872, '6o55D00', NULL, NULL, 174, NULL, NULL, 21611),
(68873, '5tprA01', NULL, NULL, 184, NULL, NULL, 21611),
(68874, '5yvrA01', NULL, NULL, 203, NULL, NULL, 21611),
(68875, '2gruA01', NULL, NULL, 171, NULL, NULL, 21611),
(68876, '1ta9B01', NULL, NULL, 152, NULL, NULL, 21611),
(68877, '6c5cA01', NULL, NULL, 182, NULL, NULL, 21611),
(68878, '1kq3A01', NULL, NULL, 169, NULL, NULL, 21611),
(68879, '4grdA00', NULL, NULL, 173, NULL, NULL, 21611),
(68880, '1sg6A01', NULL, NULL, 182, NULL, NULL, 21611),
(68881, '3qbeA01', NULL, NULL, 180, NULL, NULL, 21611),
(68882, '3jzdA01', NULL, NULL, 164, NULL, NULL, 21611),
(68883, '3orsA00', NULL, NULL, 163, NULL, NULL, 21611),
(68884, '3w5sA01', NULL, NULL, 160, NULL, NULL, 21611),
(68885, '3kuuC00', NULL, NULL, 174, NULL, NULL, 21611),
(68886, '3ox4A01', NULL, NULL, 184, NULL, NULL, 21611),
(68887, '3trhG00', NULL, NULL, 169, NULL, NULL, 21611),
(68888, '1o2dA01', NULL, NULL, 173, NULL, NULL, 21611),
(68889, '1qczA00', NULL, NULL, 169, NULL, NULL, 21611),
(68890, '3oowD00', NULL, NULL, 166, NULL, NULL, 21611),
(68891, '5k8cA01', NULL, NULL, 186, NULL, NULL, 21611),
(68892, '4rflA01', NULL, NULL, 135, NULL, NULL, 21611),
(68893, '3bfjA01', NULL, NULL, 188, NULL, NULL, 21611),
(68894, '3lp6A00', NULL, NULL, 174, NULL, NULL, 21611),
(68895, '1o4vA00', NULL, NULL, 183, NULL, NULL, 21611),
(68896, '2ywxA00', NULL, NULL, 157, NULL, NULL, 21611),
(68897, '5zxlA01', NULL, NULL, 159, NULL, NULL, 21611),
(68898, '1vljA01', NULL, NULL, 176, NULL, NULL, 21611),
(68899, '5wq5A01', NULL, NULL, 159, NULL, NULL, 21611),
(68900, '3okfA01', NULL, NULL, 172, NULL, NULL, 21611),
(68901, '1xmpC00', NULL, NULL, 170, NULL, NULL, 21611);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(68902, '2h31A02', NULL, NULL, 130, NULL, NULL, 21611),
(68903, '3eayA01', NULL, NULL, 127, NULL, NULL, 21612),
(68904, '1euvA01', NULL, NULL, 105, NULL, NULL, 21612),
(68905, '4locA03', NULL, NULL, 119, NULL, NULL, 21613),
(68906, '3hblA06', NULL, NULL, 125, NULL, NULL, 21613),
(68907, '2qf7A05', NULL, NULL, 131, NULL, NULL, 21613),
(68908, '3bg3B03', NULL, NULL, 121, NULL, NULL, 21613),
(68909, '4qshA05', NULL, NULL, 127, NULL, NULL, 21613),
(68910, '4aibA01', NULL, NULL, 166, NULL, NULL, 21614),
(68911, '7odcA01', NULL, NULL, 192, NULL, NULL, 21614),
(68912, '6a2fA01', NULL, NULL, 150, NULL, NULL, 21614),
(68913, '4dzaA01', NULL, NULL, 154, NULL, NULL, 21614),
(68914, '6n2aA01', NULL, NULL, 178, NULL, NULL, 21614),
(68915, '3uw6A01', NULL, NULL, 152, NULL, NULL, 21614),
(68916, '1qu4A01', NULL, NULL, 157, NULL, NULL, 21614),
(68917, '4y2wA01', NULL, NULL, 156, NULL, NULL, 21614),
(68918, '3n29B01', NULL, NULL, 151, NULL, NULL, 21614),
(68919, '4bf5A01', NULL, NULL, 178, NULL, NULL, 21614),
(68920, '1knwA01', NULL, NULL, 180, NULL, NULL, 21614),
(68921, '3kw3B01', NULL, NULL, 147, NULL, NULL, 21614),
(68922, '4lusB01', NULL, NULL, 152, NULL, NULL, 21614),
(68923, '4xg1A01', NULL, NULL, 185, NULL, NULL, 21614),
(68924, '3n2bD01', NULL, NULL, 174, NULL, NULL, 21614),
(68925, '3mt1A01', NULL, NULL, 138, NULL, NULL, 21614),
(68926, '4qhrA01', NULL, NULL, 148, NULL, NULL, 21614),
(68927, '2yxxA01', NULL, NULL, 144, NULL, NULL, 21614),
(68928, '4beuA01', NULL, NULL, 175, NULL, NULL, 21614),
(68929, '2j66A01', NULL, NULL, 173, NULL, NULL, 21614),
(68930, '1bd0B02', NULL, NULL, 158, NULL, NULL, 21614),
(68931, '2nvaA01', NULL, NULL, 128, NULL, NULL, 21614),
(68932, '2dy3D01', NULL, NULL, 136, NULL, NULL, 21614),
(68933, '1f3tA01', NULL, NULL, 147, NULL, NULL, 21614),
(68934, '4eclA01', NULL, NULL, 153, NULL, NULL, 21614),
(68935, '3n2oC01', NULL, NULL, 209, NULL, NULL, 21614),
(68936, '3hurA01', NULL, NULL, 172, NULL, NULL, 21614),
(68937, '2odoA01', NULL, NULL, 150, NULL, NULL, 21614),
(68938, '1twiA01', NULL, NULL, 178, NULL, NULL, 21614),
(68939, '3co8A01', NULL, NULL, 159, NULL, NULL, 21614),
(68940, '5yycA01', NULL, NULL, 136, NULL, NULL, 21614),
(68941, '2oo0B01', NULL, NULL, 181, NULL, NULL, 21614),
(68942, '3s46A01', NULL, NULL, 149, NULL, NULL, 21614),
(68943, '4wr3C01', NULL, NULL, 151, NULL, NULL, 21614),
(68944, '3btnA01', NULL, NULL, 142, NULL, NULL, 21614),
(68945, '5gjoB01', NULL, NULL, 159, NULL, NULL, 21614),
(68946, '1xfcA01', NULL, NULL, 152, NULL, NULL, 21614),
(68947, '2pljA01', NULL, NULL, 159, NULL, NULL, 21614),
(68948, '3vabA01', NULL, NULL, 182, NULL, NULL, 21614),
(68949, '2qghA01', NULL, NULL, 143, NULL, NULL, 21614),
(68950, '2vd8A01', NULL, NULL, 158, NULL, NULL, 21614),
(68951, '3nzqA01', NULL, NULL, 198, NULL, NULL, 21614),
(68952, '6q71A01', NULL, NULL, 158, NULL, NULL, 21614),
(68953, '1rcqA01', NULL, NULL, 150, NULL, NULL, 21614),
(68954, '1d7kB01', NULL, NULL, 141, NULL, NULL, 21614),
(68955, '5fagA01', NULL, NULL, 150, NULL, NULL, 21614),
(68956, '4bhyB01', NULL, NULL, 170, NULL, NULL, 21614),
(68957, '2o0tA01', NULL, NULL, 188, NULL, NULL, 21614),
(68958, '3ha1A01', NULL, NULL, 164, NULL, NULL, 21614),
(68959, '3e5pB01', NULL, NULL, 149, NULL, NULL, 21614),
(68960, '5x7nB01', NULL, NULL, 196, NULL, NULL, 21614),
(68961, '2p3eA01', NULL, NULL, 179, NULL, NULL, 21614),
(68962, '4dyjA01', NULL, NULL, 167, NULL, NULL, 21614),
(68963, '1vfsA01', NULL, NULL, 151, NULL, NULL, 21614),
(68964, '3nzpB01', NULL, NULL, 182, NULL, NULL, 21614),
(68965, '6g58A01', NULL, NULL, 153, NULL, NULL, 21614),
(68966, '4ccjA02', NULL, NULL, 64, NULL, NULL, 21615),
(68967, '4bxfA02', NULL, NULL, 63, NULL, NULL, 21615),
(68968, '1jjdA00', NULL, NULL, 55, NULL, NULL, 21616),
(68969, '2vdfA00', NULL, NULL, 253, NULL, NULL, 21617),
(68970, '4jdmA02', NULL, NULL, 63, NULL, NULL, 21618),
(68971, '2fz0A00', NULL, NULL, 149, NULL, NULL, 21619),
(68972, '3i5pA01', NULL, NULL, 169, NULL, NULL, 21620),
(68973, '1vhnA02', NULL, NULL, 80, NULL, NULL, 21621),
(68974, '1pc6A00', NULL, NULL, 146, NULL, NULL, 21622);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(68975, '5fmuC01', NULL, NULL, 131, NULL, NULL, 21623),
(68976, '5fmtB01', NULL, NULL, 133, NULL, NULL, 21623),
(68977, '2eqoA01', NULL, NULL, 131, NULL, NULL, 21623),
(68978, '4ae2C01', NULL, NULL, 46, NULL, NULL, 21624),
(68979, '1qmbB00', NULL, NULL, 42, NULL, NULL, 21625),
(68980, '2jaeA03', NULL, NULL, 101, NULL, NULL, 21626),
(68981, '4lgyA02', NULL, NULL, 62, NULL, NULL, 21627),
(68982, '4n75B00', NULL, NULL, 385, NULL, NULL, 21628),
(68983, '3njtA01', NULL, NULL, 389, NULL, NULL, 21628),
(68984, '4k3bA06', NULL, NULL, 370, NULL, NULL, 21628),
(68985, '5or1A00', NULL, NULL, 382, NULL, NULL, 21628),
(68986, '4c00A04', NULL, NULL, 314, NULL, NULL, 21628),
(68987, '4k3cA03', NULL, NULL, 374, NULL, NULL, 21628),
(68988, '2kq8A01', NULL, NULL, 23, NULL, NULL, 21629),
(68989, '6b46I00', NULL, NULL, 80, NULL, NULL, 21630),
(68990, '3hveB02', NULL, NULL, 126, NULL, NULL, 21631),
(68991, '4hs2A00', NULL, NULL, 79, NULL, NULL, 21631),
(68992, '2eqxA01', NULL, NULL, 94, NULL, NULL, 21631),
(68993, '4hxiA02', NULL, NULL, 80, NULL, NULL, 21631),
(68994, '3hveA02', NULL, NULL, 126, NULL, NULL, 21631),
(68995, '3i3nA02', NULL, NULL, 106, NULL, NULL, 21631),
(68996, '1yx3A01', NULL, NULL, 41, NULL, NULL, 21632),
(68997, '2xsjC01', NULL, NULL, 41, NULL, NULL, 21632),
(68998, '1sauA01', NULL, NULL, 45, NULL, NULL, 21632),
(68999, '2v4jC01', NULL, NULL, 41, NULL, NULL, 21632),
(69000, '3or1C01', NULL, NULL, 41, NULL, NULL, 21632),
(69001, '1ji8A01', NULL, NULL, 47, NULL, NULL, 21632),
(69002, '3g2oA01', NULL, NULL, 89, NULL, NULL, 21633),
(69003, '3clqA03', NULL, NULL, 70, NULL, NULL, 21634),
(69004, '2ntxA02', NULL, NULL, 117, NULL, NULL, 21635),
(69005, '3t6aA00', NULL, NULL, 333, NULL, NULL, 21636),
(69006, '3qxlA00', NULL, NULL, 246, NULL, NULL, 21636),
(69007, '4l9mA02', NULL, NULL, 270, NULL, NULL, 21636),
(69008, '4jgwB02', NULL, NULL, 300, NULL, NULL, 21636),
(69009, '6eieA02', NULL, NULL, 248, NULL, NULL, 21636),
(69010, '2ijeS00', NULL, NULL, 240, NULL, NULL, 21636),
(69011, '3t6gC00', NULL, NULL, 300, NULL, NULL, 21636),
(69012, '6axgE02', NULL, NULL, 231, NULL, NULL, 21636),
(69013, '5cm9A02', NULL, NULL, 266, NULL, NULL, 21636),
(69014, '3cf6E05', NULL, NULL, 253, NULL, NULL, 21636),
(69015, '6d55B02', NULL, NULL, 242, NULL, NULL, 21636),
(69016, '1xd4B04', NULL, NULL, 224, NULL, NULL, 21636),
(69017, '2f5tX01', NULL, NULL, 139, NULL, NULL, 21637),
(69018, '1jy1A02', NULL, NULL, 257, NULL, NULL, 21637),
(69019, '1jy1A01', NULL, NULL, 203, NULL, NULL, 21637),
(69020, '2o8rB04', NULL, NULL, 192, NULL, NULL, 21637),
(69021, '2o8rB03', NULL, NULL, 188, NULL, NULL, 21637),
(69022, '4h4aA00', NULL, NULL, 169, NULL, NULL, 21637),
(69023, '2o8rA03', NULL, NULL, 180, NULL, NULL, 21637),
(69024, '4rctA01', NULL, NULL, 185, NULL, NULL, 21637),
(69025, '4ggjA00', NULL, NULL, 180, NULL, NULL, 21637),
(69026, '4urjD00', NULL, NULL, 185, NULL, NULL, 21637),
(69027, '3sq7A01', NULL, NULL, 190, NULL, NULL, 21637),
(69028, '2ze9A01', NULL, NULL, 292, NULL, NULL, 21637),
(69029, '2ze9A02', NULL, NULL, 217, NULL, NULL, 21637),
(69030, '1v0wA02', NULL, NULL, 290, NULL, NULL, 21637),
(69031, '1v0uA01', NULL, NULL, 216, NULL, NULL, 21637),
(69032, '5bpdA02', NULL, NULL, 143, NULL, NULL, 21637),
(69033, '4gelB00', NULL, NULL, 220, NULL, NULL, 21637),
(69034, '3hsiA02', NULL, NULL, 212, NULL, NULL, 21637),
(69035, '5lzkA00', NULL, NULL, 180, NULL, NULL, 21637),
(69036, '4genA00', NULL, NULL, 169, NULL, NULL, 21637),
(69037, '3hsiA01', NULL, NULL, 246, NULL, NULL, 21637),
(69038, '1q32C02', NULL, NULL, 277, NULL, NULL, 21637),
(69039, '1xdpA04', NULL, NULL, 185, NULL, NULL, 21637),
(69040, '1xdpA03', NULL, NULL, 188, NULL, NULL, 21637),
(69041, '2c1lA01', NULL, NULL, 188, NULL, NULL, 21637),
(69042, '1byrA00', NULL, NULL, 155, NULL, NULL, 21637),
(69043, '4i9qA05', NULL, NULL, 83, NULL, NULL, 21638),
(69044, '2oyqD05', NULL, NULL, 101, NULL, NULL, 21638),
(69045, '3qexA05', NULL, NULL, 68, NULL, NULL, 21638),
(69046, '6cm9S00', NULL, NULL, 154, NULL, NULL, 21639),
(69047, '5mc7A00', NULL, NULL, 147, NULL, NULL, 21639);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(69048, '1nrjA00', NULL, NULL, 158, NULL, NULL, 21639),
(69049, '2vglM01', NULL, NULL, 141, NULL, NULL, 21639),
(69050, '4p6zS00', NULL, NULL, 158, NULL, NULL, 21639),
(69051, '2fh5A01', NULL, NULL, 129, NULL, NULL, 21639),
(69052, '4p6zM01', NULL, NULL, 122, NULL, NULL, 21639),
(69053, '2vglS00', NULL, NULL, 142, NULL, NULL, 21639),
(69054, '5ck3C00', NULL, NULL, 142, NULL, NULL, 21639),
(69055, '3m5rD00', NULL, NULL, 133, NULL, NULL, 21640),
(69056, '3p31A00', NULL, NULL, 131, NULL, NULL, 21640),
(69057, '3d6rA00', NULL, NULL, 114, NULL, NULL, 21640),
(69058, '2rhkA00', NULL, NULL, 120, NULL, NULL, 21640),
(69059, '3d6rB00', NULL, NULL, 158, NULL, NULL, 21640),
(69060, '3rvcA00', NULL, NULL, 125, NULL, NULL, 21640),
(69061, '2gx9A00', NULL, NULL, 129, NULL, NULL, 21640),
(69062, '2gx9B00', NULL, NULL, 129, NULL, NULL, 21640),
(69063, '3ee9B00', NULL, NULL, 122, NULL, NULL, 21640),
(69064, '3f5tA02', NULL, NULL, 114, NULL, NULL, 21640),
(69065, '6dgkA00', NULL, NULL, 120, NULL, NULL, 21640),
(69066, '6e5uU00', NULL, NULL, 125, NULL, NULL, 21640),
(69067, '1zl8A00', NULL, NULL, 53, NULL, NULL, 21641),
(69068, '1zl8B00', NULL, NULL, 54, NULL, NULL, 21641),
(69069, '3b40A02', NULL, NULL, 58, NULL, NULL, 21641),
(69070, '1rsoB00', NULL, NULL, 56, NULL, NULL, 21641),
(69071, '1y76A00', NULL, NULL, 62, NULL, NULL, 21641),
(69072, '1y76B00', NULL, NULL, 60, NULL, NULL, 21641),
(69073, '1y74A00', NULL, NULL, 57, NULL, NULL, 21641),
(69074, '1vf6A00', NULL, NULL, 62, NULL, NULL, 21641),
(69075, '1vf6C00', NULL, NULL, 72, NULL, NULL, 21641),
(69076, '4ohfA03', NULL, NULL, 77, NULL, NULL, 21642),
(69077, '1kg1A02', NULL, NULL, 32, NULL, NULL, 21643),
(69078, '3j4uH00', NULL, NULL, 140, NULL, NULL, 21644),
(69079, '1on2A02', NULL, NULL, 69, NULL, NULL, 21645),
(69080, '2qq9A02', NULL, NULL, 66, NULL, NULL, 21645),
(69081, '1fx7B02', NULL, NULL, 67, NULL, NULL, 21645),
(69082, '4o5vA02', NULL, NULL, 66, NULL, NULL, 21645),
(69083, '2h09A02', NULL, NULL, 61, NULL, NULL, 21645),
(69084, '1f5tA02', NULL, NULL, 46, NULL, NULL, 21645),
(69085, '3gw7A00', NULL, NULL, 239, NULL, NULL, 21646),
(69086, '3tufA00', NULL, NULL, 116, NULL, NULL, 21647),
(69087, '3ecqA07', NULL, NULL, 56, NULL, NULL, 21648),
(69088, '3ecqB07', NULL, NULL, 61, NULL, NULL, 21648),
(69089, '4nohB02', NULL, NULL, 96, NULL, NULL, 21649),
(69090, '4nohA02', NULL, NULL, 96, NULL, NULL, 21649),
(69091, '3hpxA02', NULL, NULL, 67, NULL, NULL, 21650),
(69092, '3hq1B02', NULL, NULL, 61, NULL, NULL, 21650),
(69093, '3bg1B01', NULL, NULL, 49, NULL, NULL, 21651),
(69094, '1uunA02', NULL, NULL, 52, NULL, NULL, 21652),
(69095, '1zklA00', NULL, NULL, 326, NULL, NULL, 21653),
(69096, '2ousA00', NULL, NULL, 331, NULL, NULL, 21653),
(69097, '2r8qA00', NULL, NULL, 359, NULL, NULL, 21653),
(69098, '1xm6B00', NULL, NULL, 349, NULL, NULL, 21653),
(69099, '6fe3B00', NULL, NULL, 333, NULL, NULL, 21653),
(69100, '5h2qB00', NULL, NULL, 337, NULL, NULL, 21653),
(69101, '2qymA00', NULL, NULL, 330, NULL, NULL, 21653),
(69102, '1tbfA00', NULL, NULL, 326, NULL, NULL, 21653),
(69103, '2h44A00', NULL, NULL, 326, NULL, NULL, 21653),
(69104, '3jwqC00', NULL, NULL, 330, NULL, NULL, 21653),
(69105, '4y86B00', NULL, NULL, 326, NULL, NULL, 21653),
(69106, '2qykA00', NULL, NULL, 335, NULL, NULL, 21653),
(69107, '3g4gB00', NULL, NULL, 343, NULL, NULL, 21653),
(69108, '1tazA00', NULL, NULL, 365, NULL, NULL, 21653),
(69109, '5ohjB00', NULL, NULL, 342, NULL, NULL, 21653),
(69110, '3ecmA00', NULL, NULL, 338, NULL, NULL, 21653),
(69111, '4kp6A00', NULL, NULL, 340, NULL, NULL, 21653),
(69112, '3frgA00', NULL, NULL, 337, NULL, NULL, 21653),
(69113, '1y2kA00', NULL, NULL, 328, NULL, NULL, 21653),
(69114, '1so2A00', NULL, NULL, 383, NULL, NULL, 21653),
(69115, '6fdcB00', NULL, NULL, 343, NULL, NULL, 21653),
(69116, '6c7eD00', NULL, NULL, 342, NULL, NULL, 21653),
(69117, '3v93F01', NULL, NULL, 310, NULL, NULL, 21653),
(69118, '2js3A01', NULL, NULL, 76, NULL, NULL, 21654),
(69119, '4wkyA02', NULL, NULL, 84, NULL, NULL, 21655),
(69120, '4z37A02', NULL, NULL, 99, NULL, NULL, 21655),
(69121, '4zdnA02', NULL, NULL, 123, NULL, NULL, 21655);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(69122, '4tktA02', NULL, NULL, 97, NULL, NULL, 21655),
(69123, '4qyrA02', NULL, NULL, 96, NULL, NULL, 21655),
(69124, '5e5nA02', NULL, NULL, 98, NULL, NULL, 21655),
(69125, '4na1B02', NULL, NULL, 99, NULL, NULL, 21655),
(69126, '2q5cA02', NULL, NULL, 90, NULL, NULL, 21656),
(69127, '2pjuA02', NULL, NULL, 88, NULL, NULL, 21656),
(69128, '3abqB02', NULL, NULL, 30, NULL, NULL, 21657),
(69129, '5dllA04', NULL, NULL, 94, NULL, NULL, 21658),
(69130, '4qhpA04', NULL, NULL, 101, NULL, NULL, 21658),
(69131, '3b34A04', NULL, NULL, 102, NULL, NULL, 21658),
(69132, '5zi7A04', NULL, NULL, 87, NULL, NULL, 21658),
(69133, '6ea2A04', NULL, NULL, 96, NULL, NULL, 21658),
(69134, '6hr7A03', NULL, NULL, 120, NULL, NULL, 21659),
(69135, '4i6yA02', NULL, NULL, 110, NULL, NULL, 21659),
(69136, '2r4fA03', NULL, NULL, 117, NULL, NULL, 21659),
(69137, '3qauA02', NULL, NULL, 109, NULL, NULL, 21659),
(69138, '2gk6A02', NULL, NULL, 90, NULL, NULL, 21660),
(69139, '2xzlA02', NULL, NULL, 93, NULL, NULL, 21660),
(69140, '4j8lA02', NULL, NULL, 114, NULL, NULL, 21661),
(69141, '3ohmB01', NULL, NULL, 220, NULL, NULL, 21662),
(69142, '2zkmX01', NULL, NULL, 216, NULL, NULL, 21662),
(69143, '2hivA01', NULL, NULL, 231, NULL, NULL, 21663),
(69144, '4htpA00', NULL, NULL, 240, NULL, NULL, 21663),
(69145, '4eq5A01', NULL, NULL, 191, NULL, NULL, 21663),
(69146, '3rr5A01', NULL, NULL, 231, NULL, NULL, 21663),
(69147, '3l2pA01', NULL, NULL, 205, NULL, NULL, 21663),
(69148, '1x9nA01', NULL, NULL, 283, NULL, NULL, 21663),
(69149, '3gdeA01', NULL, NULL, 224, NULL, NULL, 21663),
(69150, '2cfmA01', NULL, NULL, 220, NULL, NULL, 21663),
(69151, '4qmkA02', NULL, NULL, 299, NULL, NULL, 21664),
(69152, '4pk9A00', NULL, NULL, 373, NULL, NULL, 21664),
(69153, '4akfA01', NULL, NULL, 344, NULL, NULL, 21664),
(69154, '1cjyB02', NULL, NULL, 501, NULL, NULL, 21664),
(69155, '3tu3B02', NULL, NULL, 335, NULL, NULL, 21664),
(69156, '3f3pL01', NULL, NULL, 57, NULL, NULL, 21665),
(69157, '3f3fD01', NULL, NULL, 51, NULL, NULL, 21665),
(69158, '3f3pG01', NULL, NULL, 56, NULL, NULL, 21665),
(69159, '3f3pH01', NULL, NULL, 56, NULL, NULL, 21665),
(69160, '3f3pC01', NULL, NULL, 56, NULL, NULL, 21665),
(69161, '3f3pD01', NULL, NULL, 51, NULL, NULL, 21665),
(69162, '5ot0A02', NULL, NULL, 128, NULL, NULL, 21666),
(69163, '1o7jA02', NULL, NULL, 109, NULL, NULL, 21666),
(69164, '2himB02', NULL, NULL, 120, NULL, NULL, 21666),
(69165, '2ocdA02', NULL, NULL, 128, NULL, NULL, 21666),
(69166, '2d6fA03', NULL, NULL, 138, NULL, NULL, 21666),
(69167, '3pga102', NULL, NULL, 114, NULL, NULL, 21666),
(69168, '3ntxA02', NULL, NULL, 130, NULL, NULL, 21666),
(69169, '3nxkA02', NULL, NULL, 113, NULL, NULL, 21666),
(69170, '1zq1A03', NULL, NULL, 138, NULL, NULL, 21666),
(69171, '5dncA02', NULL, NULL, 126, NULL, NULL, 21666),
(69172, '4pgaA02', NULL, NULL, 114, NULL, NULL, 21666),
(69173, '5k4gA02', NULL, NULL, 113, NULL, NULL, 21666),
(69174, '1agxA02', NULL, NULL, 115, NULL, NULL, 21666),
(69175, '2wltA02', NULL, NULL, 112, NULL, NULL, 21666),
(69176, '2gvnA02', NULL, NULL, 109, NULL, NULL, 21666),
(69177, '5b74B00', NULL, NULL, 127, NULL, NULL, 21666),
(69178, '5mq5A02', NULL, NULL, 114, NULL, NULL, 21666),
(69179, '1wlsA02', NULL, NULL, 130, NULL, NULL, 21666),
(69180, '2gagC02', NULL, NULL, 80, NULL, NULL, 21667),
(69181, '1x31C02', NULL, NULL, 80, NULL, NULL, 21667),
(69182, '2ymaA00', NULL, NULL, 136, NULL, NULL, 21668),
(69183, '3gn5B01', NULL, NULL, 68, NULL, NULL, 21669),
(69184, '3ga8A00', NULL, NULL, 78, NULL, NULL, 21669),
(69185, '5d55A00', NULL, NULL, 157, NULL, NULL, 21670),
(69186, '2bcmC00', NULL, NULL, 138, NULL, NULL, 21670),
(69187, '2fvnA00', NULL, NULL, 153, NULL, NULL, 21670),
(69188, '4or1B00', NULL, NULL, 155, NULL, NULL, 21670),
(69189, '1ut1B00', NULL, NULL, 148, NULL, NULL, 21670),
(69190, '4phxA00', NULL, NULL, 142, NULL, NULL, 21670),
(69191, '2cnzA00', NULL, NULL, 125, NULL, NULL, 21670),
(69192, '1rxlA00', NULL, NULL, 156, NULL, NULL, 21670),
(69193, '3uizB00', NULL, NULL, 152, NULL, NULL, 21670),
(69194, '2axwA01', NULL, NULL, 118, NULL, NULL, 21670);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(69195, '3e2tA00', NULL, NULL, 314, NULL, NULL, 21671),
(69196, '4bptA00', NULL, NULL, 272, NULL, NULL, 21671),
(69197, '1phzA00', NULL, NULL, 411, NULL, NULL, 21671),
(69198, '3tk2A00', NULL, NULL, 302, NULL, NULL, 21671),
(69199, '1j8uA00', NULL, NULL, 325, NULL, NULL, 21671),
(69200, '2xsnC00', NULL, NULL, 343, NULL, NULL, 21671),
(69201, '2v27B00', NULL, NULL, 275, NULL, NULL, 21671),
(69202, '4v06B00', NULL, NULL, 349, NULL, NULL, 21671),
(69203, '1tohA00', NULL, NULL, 343, NULL, NULL, 21671),
(69204, '6n1kD00', NULL, NULL, 433, NULL, NULL, 21671),
(69205, '5jk6B00', NULL, NULL, 401, NULL, NULL, 21671),
(69206, '5tpgA00', NULL, NULL, 291, NULL, NULL, 21671),
(69207, '2fiyA00', NULL, NULL, 291, NULL, NULL, 21672),
(69208, '2qgpB00', NULL, NULL, 112, NULL, NULL, 21673),
(69209, '4h9dB00', NULL, NULL, 95, NULL, NULL, 21673),
(69210, '3dteA01', NULL, NULL, 117, NULL, NULL, 21674),
(69211, '1ro2A03', NULL, NULL, 25, NULL, NULL, 21675),
(69212, '5hayA02', NULL, NULL, 79, NULL, NULL, 21676),
(69213, '3i5pA02', NULL, NULL, 73, NULL, NULL, 21676),
(69214, '3bt4A00', NULL, NULL, 86, NULL, NULL, 21677),
(69215, '1ylxA00', NULL, NULL, 103, NULL, NULL, 21678),
(69216, '1ylxB00', NULL, NULL, 103, NULL, NULL, 21678),
(69217, '5b5vD00', NULL, NULL, 195, NULL, NULL, 21679),
(69218, '4lqqB00', NULL, NULL, 155, NULL, NULL, 21679),
(69219, '5brkA00', NULL, NULL, 217, NULL, NULL, 21679),
(69220, '5ncnA00', NULL, NULL, 178, NULL, NULL, 21679),
(69221, '4j1vA00', NULL, NULL, 184, NULL, NULL, 21679),
(69222, '5ncmA00', NULL, NULL, 196, NULL, NULL, 21679),
(69223, '5twgA00', NULL, NULL, 216, NULL, NULL, 21679),
(69224, '2hjnA00', NULL, NULL, 236, NULL, NULL, 21679),
(69225, '2rmsB00', NULL, NULL, 61, NULL, NULL, 21680),
(69226, '3te8A00', NULL, NULL, 127, NULL, NULL, 21681),
(69227, '3lr5A00', NULL, NULL, 123, NULL, NULL, 21681),
(69228, '2r31A01', NULL, NULL, 68, NULL, NULL, 21682),
(69229, '2r6iA01', NULL, NULL, 110, NULL, NULL, 21682),
(69230, '3brvC00', NULL, NULL, 48, NULL, NULL, 21683),
(69231, '3brtC00', NULL, NULL, 47, NULL, NULL, 21683),
(69232, '2vxgA02', NULL, NULL, 89, NULL, NULL, 21684),
(69233, '1vrmA02', NULL, NULL, 101, NULL, NULL, 21685),
(69234, '5dc8A00', NULL, NULL, 389, NULL, NULL, 21686),
(69235, '3c10B00', NULL, NULL, 388, NULL, NULL, 21686),
(69236, '4zurA00', NULL, NULL, 341, NULL, NULL, 21686),
(69237, '5td7A01', NULL, NULL, 362, NULL, NULL, 21686),
(69238, '5wgiA00', NULL, NULL, 364, NULL, NULL, 21686),
(69239, '5ji5A00', NULL, NULL, 315, NULL, NULL, 21686),
(69240, '4a69A00', NULL, NULL, 376, NULL, NULL, 21686),
(69241, '5g1aB00', NULL, NULL, 371, NULL, NULL, 21686),
(69242, '5g0xA00', NULL, NULL, 379, NULL, NULL, 21686),
(69243, '1c3pA00', NULL, NULL, 375, NULL, NULL, 21686),
(69244, '6fu1A00', NULL, NULL, 446, NULL, NULL, 21686),
(69245, '5g0gA00', NULL, NULL, 360, NULL, NULL, 21686),
(69246, '4bkxB00', NULL, NULL, 376, NULL, NULL, 21686),
(69247, '2vqqA00', NULL, NULL, 413, NULL, NULL, 21686),
(69248, '4ly1A00', NULL, NULL, 369, NULL, NULL, 21686),
(69249, '3menB00', NULL, NULL, 342, NULL, NULL, 21686),
(69250, '2vqmA00', NULL, NULL, 413, NULL, NULL, 21686),
(69251, '3mmjB01', NULL, NULL, 97, NULL, NULL, 21687),
(69252, '4jbcB01', NULL, NULL, 98, NULL, NULL, 21687),
(69253, '4wu3A02', NULL, NULL, 85, NULL, NULL, 21687),
(69254, '4nzrM03', NULL, NULL, 123, NULL, NULL, 21688),
(69255, '3p9yA02', NULL, NULL, 56, NULL, NULL, 21689),
(69256, '4h3kB02', NULL, NULL, 56, NULL, NULL, 21689),
(69257, '2bvbA00', NULL, NULL, 137, NULL, NULL, 21690),
(69258, '4dolA02', NULL, NULL, 51, NULL, NULL, 21691),
(69259, '4dokA02', NULL, NULL, 53, NULL, NULL, 21691),
(69260, '5yx3A02', NULL, NULL, 53, NULL, NULL, 21691),
(69261, '5wkrA02', NULL, NULL, 60, NULL, NULL, 21691),
(69262, '4dooA02', NULL, NULL, 54, NULL, NULL, 21691),
(69263, '4doiA02', NULL, NULL, 53, NULL, NULL, 21691),
(69264, '1eyqA01', NULL, NULL, 60, NULL, NULL, 21691),
(69265, '3bbaA00', NULL, NULL, 251, NULL, NULL, 21692),
(69266, '3bb7A01', NULL, NULL, 181, NULL, NULL, 21692),
(69267, '1dkiC01', NULL, NULL, 226, NULL, NULL, 21692);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(69268, '4d8bA00', NULL, NULL, 261, NULL, NULL, 21692),
(69269, '4ak1A01', NULL, NULL, 107, NULL, NULL, 21693),
(69270, '1se0A00', NULL, NULL, 116, NULL, NULL, 21694),
(69271, '5c3kA00', NULL, NULL, 110, NULL, NULL, 21694),
(69272, '1g73D00', NULL, NULL, 103, NULL, NULL, 21694),
(69273, '3hl5A00', NULL, NULL, 95, NULL, NULL, 21694),
(69274, '2uvlB00', NULL, NULL, 96, NULL, NULL, 21694),
(69275, '1oxnB00', NULL, NULL, 109, NULL, NULL, 21694),
(69276, '5m6nA00', NULL, NULL, 101, NULL, NULL, 21694),
(69277, '3uw4A00', NULL, NULL, 92, NULL, NULL, 21694),
(69278, '3m1dA00', NULL, NULL, 85, NULL, NULL, 21694),
(69279, '3siqE00', NULL, NULL, 136, NULL, NULL, 21694),
(69280, '2poiA00', NULL, NULL, 78, NULL, NULL, 21694),
(69281, '1m4mA00', NULL, NULL, 118, NULL, NULL, 21694),
(69282, '4hy4B00', NULL, NULL, 95, NULL, NULL, 21694),
(69283, '6exwA00', NULL, NULL, 122, NULL, NULL, 21694),
(69284, '4j44A00', NULL, NULL, 86, NULL, NULL, 21694),
(69285, '1i3oF00', NULL, NULL, 121, NULL, NULL, 21694),
(69286, '2qfaA00', NULL, NULL, 142, NULL, NULL, 21694),
(69287, '2i3hB00', NULL, NULL, 95, NULL, NULL, 21694),
(69288, '3m0aD00', NULL, NULL, 75, NULL, NULL, 21694),
(69289, '2vm5A00', NULL, NULL, 106, NULL, NULL, 21694),
(69290, '1jd5A00', NULL, NULL, 124, NULL, NULL, 21694),
(69291, '3t6pA01', NULL, NULL, 138, NULL, NULL, 21694),
(69292, '1xb0B00', NULL, NULL, 108, NULL, NULL, 21694),
(69293, '5imsB01', NULL, NULL, 198, NULL, NULL, 21695),
(69294, '5imsB03', NULL, NULL, 182, NULL, NULL, 21695),
(69295, '1q6zA01', NULL, NULL, 179, NULL, NULL, 21695),
(69296, '2pgnA01', NULL, NULL, 188, NULL, NULL, 21695),
(69297, '2pgnA03', NULL, NULL, 219, NULL, NULL, 21695),
(69298, '1umdB01', NULL, NULL, 196, NULL, NULL, 21695),
(69299, '3komA02', NULL, NULL, 212, NULL, NULL, 21695),
(69300, '1w88E00', NULL, NULL, 368, NULL, NULL, 21695),
(69301, '3m49B01', NULL, NULL, 328, NULL, NULL, 21695),
(69302, '3ahcA02', NULL, NULL, 218, NULL, NULL, 21695),
(69303, '4q9dB01', NULL, NULL, 179, NULL, NULL, 21695),
(69304, '3ahcA01', NULL, NULL, 386, NULL, NULL, 21695),
(69305, '4q9dB03', NULL, NULL, 203, NULL, NULL, 21695),
(69306, '5npuA03', NULL, NULL, 203, NULL, NULL, 21695),
(69307, '5npuA01', NULL, NULL, 188, NULL, NULL, 21695),
(69308, '3exiA00', NULL, NULL, 382, NULL, NULL, 21695),
(69309, '2e6kA02', NULL, NULL, 202, NULL, NULL, 21695),
(69310, '2e6kA01', NULL, NULL, 327, NULL, NULL, 21695),
(69311, '2r8oA01', NULL, NULL, 326, NULL, NULL, 21695),
(69312, '2c42A06', NULL, NULL, 385, NULL, NULL, 21695),
(69313, '2r8oA02', NULL, NULL, 211, NULL, NULL, 21695),
(69314, '2c42A01', NULL, NULL, 257, NULL, NULL, 21695),
(69315, '3ey9A03', NULL, NULL, 228, NULL, NULL, 21695),
(69316, '2bfdB01', NULL, NULL, 197, NULL, NULL, 21695),
(69317, '1qs0A00', NULL, NULL, 407, NULL, NULL, 21695),
(69318, '1q6zA03', NULL, NULL, 187, NULL, NULL, 21695),
(69319, '3rimA02', NULL, NULL, 214, NULL, NULL, 21695),
(69320, '4xeuA02', NULL, NULL, 212, NULL, NULL, 21695),
(69321, '4xeuA01', NULL, NULL, 333, NULL, NULL, 21695),
(69322, '2o1sA02', NULL, NULL, 177, NULL, NULL, 21695),
(69323, '3komB02', NULL, NULL, 212, NULL, NULL, 21695),
(69324, '2qtcA02', NULL, NULL, 235, NULL, NULL, 21695),
(69325, '3komB01', NULL, NULL, 326, NULL, NULL, 21695),
(69326, '2qtcA01', NULL, NULL, 415, NULL, NULL, 21695),
(69327, '1w85B01', NULL, NULL, 191, NULL, NULL, 21695),
(69328, '5femA03', NULL, NULL, 228, NULL, NULL, 21695),
(69329, '3lq1A01', NULL, NULL, 177, NULL, NULL, 21695),
(69330, '4cokA01', NULL, NULL, 183, NULL, NULL, 21695),
(69331, '2panA01', NULL, NULL, 170, NULL, NULL, 21695),
(69332, '4cokA03', NULL, NULL, 189, NULL, NULL, 21695),
(69333, '2panA03', NULL, NULL, 224, NULL, NULL, 21695),
(69334, '1ovmA01', NULL, NULL, 186, NULL, NULL, 21695),
(69335, '2yicC02', NULL, NULL, 366, NULL, NULL, 21695),
(69336, '1ovmA03', NULL, NULL, 188, NULL, NULL, 21695),
(69337, '2ji7A03', NULL, NULL, 215, NULL, NULL, 21695),
(69338, '2uz1A01', NULL, NULL, 183, NULL, NULL, 21695),
(69339, '1v5eA03', NULL, NULL, 190, NULL, NULL, 21695),
(69340, '2o1xD01', NULL, NULL, 221, NULL, NULL, 21695);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(69341, '1v5eA01', NULL, NULL, 183, NULL, NULL, 21695),
(69342, '2ihtA03', NULL, NULL, 214, NULL, NULL, 21695),
(69343, '1gpuA01', NULL, NULL, 331, NULL, NULL, 21695),
(69344, '1qs0B01', NULL, NULL, 204, NULL, NULL, 21695),
(69345, '2vk4A03', NULL, NULL, 202, NULL, NULL, 21695),
(69346, '2q28A03', NULL, NULL, 214, NULL, NULL, 21695),
(69347, '6denA03', NULL, NULL, 228, NULL, NULL, 21695),
(69348, '2vk4A01', NULL, NULL, 188, NULL, NULL, 21695),
(69349, '2q28A01', NULL, NULL, 192, NULL, NULL, 21695),
(69350, '1gpuA02', NULL, NULL, 212, NULL, NULL, 21695),
(69351, '6denA01', NULL, NULL, 191, NULL, NULL, 21695),
(69352, '3rimB01', NULL, NULL, 354, NULL, NULL, 21695),
(69353, '4kgdA03', NULL, NULL, 190, NULL, NULL, 21695),
(69354, '2o1xA02', NULL, NULL, 178, NULL, NULL, 21695),
(69355, '3lq1B03', NULL, NULL, 173, NULL, NULL, 21695),
(69356, '4rjjA03', NULL, NULL, 204, NULL, NULL, 21695),
(69357, '5ej8A03', NULL, NULL, 210, NULL, NULL, 21695),
(69358, '5ej8A01', NULL, NULL, 196, NULL, NULL, 21695),
(69359, '4kgdA01', NULL, NULL, 192, NULL, NULL, 21695),
(69360, '4rjjE01', NULL, NULL, 192, NULL, NULL, 21695),
(69361, '1ik6A01', NULL, NULL, 188, NULL, NULL, 21695),
(69362, '5xvtA01', NULL, NULL, 326, NULL, NULL, 21695),
(69363, '5tmaA01', NULL, NULL, 186, NULL, NULL, 21695),
(69364, '5xvtA02', NULL, NULL, 212, NULL, NULL, 21695),
(69365, '2uz1B03', NULL, NULL, 200, NULL, NULL, 21695),
(69366, '3eyaA03', NULL, NULL, 216, NULL, NULL, 21695),
(69367, '2ihuA01', NULL, NULL, 195, NULL, NULL, 21695),
(69368, '5erxA01', NULL, NULL, 207, NULL, NULL, 21695),
(69369, '5erxA03', NULL, NULL, 204, NULL, NULL, 21695),
(69370, '2vbiA03', NULL, NULL, 189, NULL, NULL, 21695),
(69371, '1ybhA01', NULL, NULL, 195, NULL, NULL, 21695),
(69372, '1ybhA03', NULL, NULL, 194, NULL, NULL, 21695),
(69373, '5tmaA03', NULL, NULL, 194, NULL, NULL, 21695),
(69374, '1itzA02', NULL, NULL, 207, NULL, NULL, 21695),
(69375, '2x7jA01', NULL, NULL, 195, NULL, NULL, 21695),
(69376, '1itzA01', NULL, NULL, 331, NULL, NULL, 21695),
(69377, '1r9jA01', NULL, NULL, 335, NULL, NULL, 21695),
(69378, '2vbiA01', NULL, NULL, 186, NULL, NULL, 21695),
(69379, '2x7jA03', NULL, NULL, 202, NULL, NULL, 21695),
(69380, '2ozlB01', NULL, NULL, 193, NULL, NULL, 21695),
(69381, '1r9jA02', NULL, NULL, 201, NULL, NULL, 21695),
(69382, '4kxvA01', NULL, NULL, 295, NULL, NULL, 21695),
(69383, '4kxvA02', NULL, NULL, 194, NULL, NULL, 21695),
(69384, '3ai7A02', NULL, NULL, 226, NULL, NULL, 21695),
(69385, '5nd6A02', NULL, NULL, 207, NULL, NULL, 21695),
(69386, '3ai7A01', NULL, NULL, 398, NULL, NULL, 21695),
(69387, '4c7vA02', NULL, NULL, 209, NULL, NULL, 21695),
(69388, '3uk1A02', NULL, NULL, 216, NULL, NULL, 21695),
(69389, '4c7vA01', NULL, NULL, 329, NULL, NULL, 21695),
(69390, '3uk1A01', NULL, NULL, 326, NULL, NULL, 21695),
(69391, '5ahkA01', NULL, NULL, 183, NULL, NULL, 21695),
(69392, '2o1sC01', NULL, NULL, 234, NULL, NULL, 21695),
(69393, '5nd6A01', NULL, NULL, 332, NULL, NULL, 21695),
(69394, '5ahkA03', NULL, NULL, 188, NULL, NULL, 21695),
(69395, '3m49A02', NULL, NULL, 209, NULL, NULL, 21695),
(69396, '5dx6B01', NULL, NULL, 208, NULL, NULL, 21695),
(69397, '2nxwA03', NULL, NULL, 202, NULL, NULL, 21695),
(69398, '3l84A02', NULL, NULL, 196, NULL, NULL, 21695),
(69399, '2nxwA01', NULL, NULL, 202, NULL, NULL, 21695),
(69400, '2vbfA03', NULL, NULL, 190, NULL, NULL, 21695),
(69401, '5dx6B03', NULL, NULL, 202, NULL, NULL, 21695),
(69402, '3l84A01', NULL, NULL, 318, NULL, NULL, 21695),
(69403, '2vbfA01', NULL, NULL, 204, NULL, NULL, 21695),
(69404, '2c31A01', NULL, NULL, 194, NULL, NULL, 21695),
(69405, '2vk8A01', NULL, NULL, 188, NULL, NULL, 21695),
(69406, '4k9qA01', NULL, NULL, 176, NULL, NULL, 21695),
(69407, '2vk8A03', NULL, NULL, 202, NULL, NULL, 21695),
(69408, '3eyaH01', NULL, NULL, 178, NULL, NULL, 21695),
(69409, '1um9A00', NULL, NULL, 367, NULL, NULL, 21695),
(69410, '4k9qA03', NULL, NULL, 201, NULL, NULL, 21695),
(69411, '5exeA01', NULL, NULL, 251, NULL, NULL, 21695),
(69412, '5vrbA02', NULL, NULL, 211, NULL, NULL, 21695),
(69413, '5vrbA01', NULL, NULL, 331, NULL, NULL, 21695);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(69414, '2bfdA00', NULL, NULL, 400, NULL, NULL, 21695),
(69415, '2wvgA03', NULL, NULL, 194, NULL, NULL, 21695),
(69416, '4wbxC01', NULL, NULL, 209, NULL, NULL, 21695),
(69417, '2jgdB02', NULL, NULL, 365, NULL, NULL, 21695),
(69418, '4k90A01', NULL, NULL, 201, NULL, NULL, 21696),
(69419, '1bqbA01', NULL, NULL, 154, NULL, NULL, 21696),
(69420, '3nqxA01', NULL, NULL, 153, NULL, NULL, 21696),
(69421, '2vqxA01', NULL, NULL, 174, NULL, NULL, 21696),
(69422, '5jviE01', NULL, NULL, 149, NULL, NULL, 21696),
(69423, '4gerA01', NULL, NULL, 147, NULL, NULL, 21696),
(69424, '6f8bA01', NULL, NULL, 152, NULL, NULL, 21696),
(69425, '1npcA01', NULL, NULL, 150, NULL, NULL, 21696),
(69426, '3aaiA00', NULL, NULL, 94, NULL, NULL, 21697),
(69427, '5lbmA00', NULL, NULL, 91, NULL, NULL, 21697),
(69428, '4m1pA00', NULL, NULL, 104, NULL, NULL, 21697),
(69429, '5lcyA00', NULL, NULL, 91, NULL, NULL, 21697),
(69430, '5fmnA00', NULL, NULL, 86, NULL, NULL, 21697),
(69431, '4adzA00', NULL, NULL, 90, NULL, NULL, 21697),
(69432, '2hh7A00', NULL, NULL, 88, NULL, NULL, 21697),
(69433, '4gdoA00', NULL, NULL, 43, NULL, NULL, 21698),
(69434, '1kilE00', NULL, NULL, 49, NULL, NULL, 21698),
(69435, '3rl0h00', NULL, NULL, 63, NULL, NULL, 21698),
(69436, '3i9v700', NULL, NULL, 129, NULL, NULL, 21699),
(69437, '3mr0A02', NULL, NULL, 21, NULL, NULL, 21700),
(69438, '2du5B01', NULL, NULL, 27, NULL, NULL, 21701),
(69439, '2odrC01', NULL, NULL, 23, NULL, NULL, 21701),
(69440, '4j8cA00', NULL, NULL, 46, NULL, NULL, 21702),
(69441, '3fd0A02', NULL, NULL, 214, NULL, NULL, 21703),
(69442, '3gzdA03', NULL, NULL, 206, NULL, NULL, 21703),
(69443, '5k8bA01', NULL, NULL, 250, NULL, NULL, 21703),
(69444, '6d0aA02', NULL, NULL, 238, NULL, NULL, 21703),
(69445, '1uu1A02', NULL, NULL, 203, NULL, NULL, 21703),
(69446, '4rj0A02', NULL, NULL, 244, NULL, NULL, 21703),
(69447, '2aeuA02', NULL, NULL, 217, NULL, NULL, 21703),
(69448, '2hoxA02', NULL, NULL, 210, NULL, NULL, 21703),
(69449, '5m4bA02', NULL, NULL, 259, NULL, NULL, 21703),
(69450, '3rchB02', NULL, NULL, 265, NULL, NULL, 21703),
(69451, '4zwvA01', NULL, NULL, 255, NULL, NULL, 21703),
(69452, '3cq5A02', NULL, NULL, 221, NULL, NULL, 21703),
(69453, '5xmvA02', NULL, NULL, 263, NULL, NULL, 21703),
(69454, '6dvsA02', NULL, NULL, 248, NULL, NULL, 21703),
(69455, '3frkA01', NULL, NULL, 239, NULL, NULL, 21703),
(69456, '5ax8A02', NULL, NULL, 273, NULL, NULL, 21703),
(69457, '2hufA02', NULL, NULL, 249, NULL, NULL, 21703),
(69458, '5viuA02', NULL, NULL, 252, NULL, NULL, 21703),
(69459, '4hvkA02', NULL, NULL, 241, NULL, NULL, 21703),
(69460, '4fl0A02', NULL, NULL, 256, NULL, NULL, 21703),
(69461, '5dj1A02', NULL, NULL, 235, NULL, NULL, 21703),
(69462, '6enzA02', NULL, NULL, 248, NULL, NULL, 21703),
(69463, '3ihjA03', NULL, NULL, 246, NULL, NULL, 21703),
(69464, '3n75A02', NULL, NULL, 295, NULL, NULL, 21703),
(69465, '2x5fA01', NULL, NULL, 325, NULL, NULL, 21703),
(69466, '3caiA02', NULL, NULL, 257, NULL, NULL, 21703),
(69467, '3piuA02', NULL, NULL, 245, NULL, NULL, 21703),
(69468, '2z67A00', NULL, NULL, 435, NULL, NULL, 21703),
(69469, '2ay1A02', NULL, NULL, 268, NULL, NULL, 21703),
(69470, '2ykyA02', NULL, NULL, 240, NULL, NULL, 21703),
(69471, '3fslA02', NULL, NULL, 242, NULL, NULL, 21703),
(69472, '4ffcA02', NULL, NULL, 264, NULL, NULL, 21703),
(69473, '3lvmA02', NULL, NULL, 247, NULL, NULL, 21703),
(69474, '3l8aA02', NULL, NULL, 225, NULL, NULL, 21703),
(69475, '1lw5A01', NULL, NULL, 250, NULL, NULL, 21703),
(69476, '5vwoA02', NULL, NULL, 250, NULL, NULL, 21703),
(69477, '3tcmA03', NULL, NULL, 247, NULL, NULL, 21703),
(69478, '4q6rA03', NULL, NULL, 260, NULL, NULL, 21703),
(69479, '4grxA02', NULL, NULL, 281, NULL, NULL, 21703),
(69480, '5lhaA02', NULL, NULL, 280, NULL, NULL, 21703),
(69481, '1vjoA02', NULL, NULL, 246, NULL, NULL, 21703),
(69482, '2okkA02', NULL, NULL, 249, NULL, NULL, 21703),
(69483, '1s0aA02', NULL, NULL, 270, NULL, NULL, 21703),
(69484, '4isyA02', NULL, NULL, 247, NULL, NULL, 21703),
(69485, '3fq8A02', NULL, NULL, 249, NULL, NULL, 21703),
(69486, '3m5uA01', NULL, NULL, 239, NULL, NULL, 21703); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(69487, '2cjgA02', NULL, NULL, 281, NULL, NULL, 21703),
(69488, '3zrpA01', NULL, NULL, 263, NULL, NULL, 21703),
(69489, '3ndnA01', NULL, NULL, 253, NULL, NULL, 21703),
(69490, '1sffA02', NULL, NULL, 260, NULL, NULL, 21703),
(69491, '1b9hA01', NULL, NULL, 234, NULL, NULL, 21703),
(69492, '6erkB02', NULL, NULL, 271, NULL, NULL, 21703),
(69493, '2fyfA01', NULL, NULL, 241, NULL, NULL, 21703),
(69494, '2cstA02', NULL, NULL, 279, NULL, NULL, 21703),
(69495, '4w91H02', NULL, NULL, 261, NULL, NULL, 21703),
(69496, '1jg8A01', NULL, NULL, 250, NULL, NULL, 21703),
(69497, '4lnjA01', NULL, NULL, 244, NULL, NULL, 21703),
(69498, '1c7nA02', NULL, NULL, 225, NULL, NULL, 21703),
(69499, '3tqxA02', NULL, NULL, 239, NULL, NULL, 21703),
(69500, '2cfbA02', NULL, NULL, 249, NULL, NULL, 21703),
(69501, '3g7qA02', NULL, NULL, 233, NULL, NULL, 21703),
(69502, '5ti8A02', NULL, NULL, 275, NULL, NULL, 21703),
(69503, '3op7A02', NULL, NULL, 214, NULL, NULL, 21703),
(69504, '4l0oA01', NULL, NULL, 245, NULL, NULL, 21703),
(69505, '1o69A01', NULL, NULL, 244, NULL, NULL, 21703),
(69506, '3rq1A02', NULL, NULL, 239, NULL, NULL, 21703),
(69507, '3pj0A01', NULL, NULL, 255, NULL, NULL, 21703),
(69508, '3b1dA02', NULL, NULL, 225, NULL, NULL, 21703),
(69509, '3ftbA02', NULL, NULL, 222, NULL, NULL, 21703),
(69510, '3i4jB02', NULL, NULL, 269, NULL, NULL, 21703),
(69511, '4lw2A02', NULL, NULL, 259, NULL, NULL, 21703),
(69512, '3bb8A01', NULL, NULL, 305, NULL, NULL, 21703),
(69513, '2po3A01', NULL, NULL, 216, NULL, NULL, 21703),
(69514, '3uwcA01', NULL, NULL, 241, NULL, NULL, 21703),
(69515, '4tv7A02', NULL, NULL, 370, NULL, NULL, 21703),
(69516, '3hmuA02', NULL, NULL, 273, NULL, NULL, 21703),
(69517, '2c0rA01', NULL, NULL, 242, NULL, NULL, 21703),
(69518, '2yrrA02', NULL, NULL, 241, NULL, NULL, 21703),
(69519, '5d95A02', NULL, NULL, 260, NULL, NULL, 21703),
(69520, '4nogA02', NULL, NULL, 251, NULL, NULL, 21703),
(69521, '1yaaA02', NULL, NULL, 280, NULL, NULL, 21703),
(69522, '1js3A02', NULL, NULL, 298, NULL, NULL, 21703),
(69523, '3mebA02', NULL, NULL, 287, NULL, NULL, 21703),
(69524, '1z7dA02', NULL, NULL, 250, NULL, NULL, 21703),
(69525, '4w5kA02', NULL, NULL, 268, NULL, NULL, 21703),
(69526, '4a0gC03', NULL, NULL, 328, NULL, NULL, 21703),
(69527, '4iy7A01', NULL, NULL, 247, NULL, NULL, 21703),
(69528, '3dydA02', NULL, NULL, 244, NULL, NULL, 21703),
(69529, '4bhdA01', NULL, NULL, 240, NULL, NULL, 21703),
(69530, '4cvqA02', NULL, NULL, 242, NULL, NULL, 21703),
(69531, '3a8uX02', NULL, NULL, 281, NULL, NULL, 21703),
(69532, '4lc3A01', NULL, NULL, 257, NULL, NULL, 21703),
(69533, '1w23A01', NULL, NULL, 242, NULL, NULL, 21703),
(69534, '6gioA02', NULL, NULL, 257, NULL, NULL, 21703),
(69535, '1n8pA01', NULL, NULL, 248, NULL, NULL, 21703),
(69536, '1wyuB03', NULL, NULL, 268, NULL, NULL, 21703),
(69537, '2vi8A02', NULL, NULL, 251, NULL, NULL, 21703),
(69538, '3e77A01', NULL, NULL, 241, NULL, NULL, 21703),
(69539, '1v72A02', NULL, NULL, 240, NULL, NULL, 21703),
(69540, '3f6tA03', NULL, NULL, 220, NULL, NULL, 21703),
(69541, '3hbxA02', NULL, NULL, 295, NULL, NULL, 21703),
(69542, '4h51A02', NULL, NULL, 272, NULL, NULL, 21703),
(69543, '5toqA02', NULL, NULL, 279, NULL, NULL, 21703),
(69544, '2o7cA01', NULL, NULL, 255, NULL, NULL, 21703),
(69545, '6onnB02', NULL, NULL, 234, NULL, NULL, 21703),
(69546, '1eluA02', NULL, NULL, 264, NULL, NULL, 21703),
(69547, '4wydA02', NULL, NULL, 267, NULL, NULL, 21703),
(69548, '2epjA02', NULL, NULL, 250, NULL, NULL, 21703),
(69549, '4obvA02', NULL, NULL, 241, NULL, NULL, 21703),
(69550, '5g0aA02', NULL, NULL, 284, NULL, NULL, 21703),
(69551, '1m32A02', NULL, NULL, 246, NULL, NULL, 21703),
(69552, '1dfoA01', NULL, NULL, 241, NULL, NULL, 21703),
(69553, '2cb1A01', NULL, NULL, 277, NULL, NULL, 21703),
(69554, '1bs0A02', NULL, NULL, 228, NULL, NULL, 21703),
(69555, '2dkjA02', NULL, NULL, 252, NULL, NULL, 21703),
(69556, '3qm2B02', NULL, NULL, 244, NULL, NULL, 21703),
(69557, '4ixoA02', NULL, NULL, 238, NULL, NULL, 21703),
(69558, '3fkdA02', NULL, NULL, 214, NULL, NULL, 21703),
(69559, '5kr5A02', NULL, NULL, 279, NULL, NULL, 21703);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(69560, '5u23D01', NULL, NULL, 259, NULL, NULL, 21703),
(69561, '3ruyA02', NULL, NULL, 249, NULL, NULL, 21703),
(69562, '7aatA02', NULL, NULL, 273, NULL, NULL, 21703),
(69563, '3dr4C01', NULL, NULL, 237, NULL, NULL, 21703),
(69564, '2ogaA01', NULL, NULL, 240, NULL, NULL, 21703),
(69565, '5uc7A02', NULL, NULL, 270, NULL, NULL, 21703),
(69566, '6gwiA02', NULL, NULL, 276, NULL, NULL, 21703),
(69567, '2w8tA02', NULL, NULL, 235, NULL, NULL, 21703),
(69568, '4e3qA02', NULL, NULL, 281, NULL, NULL, 21703),
(69569, '4n0wA01', NULL, NULL, 238, NULL, NULL, 21703),
(69570, '3ffhB02', NULL, NULL, 213, NULL, NULL, 21703),
(69571, '3ffrA02', NULL, NULL, 247, NULL, NULL, 21703),
(69572, '1pffA01', NULL, NULL, 196, NULL, NULL, 21703),
(69573, '3n5mA02', NULL, NULL, 274, NULL, NULL, 21703),
(69574, '1wyuA02', NULL, NULL, 262, NULL, NULL, 21703),
(69575, '3eleA02', NULL, NULL, 232, NULL, NULL, 21703),
(69576, '3asaA02', NULL, NULL, 246, NULL, NULL, 21703),
(69577, '3lwsC01', NULL, NULL, 253, NULL, NULL, 21703),
(69578, '3kkiA02', NULL, NULL, 232, NULL, NULL, 21703),
(69579, '2douA02', NULL, NULL, 219, NULL, NULL, 21703),
(69580, '2eh6A02', NULL, NULL, 245, NULL, NULL, 21703),
(69581, '5x5hA01', NULL, NULL, 254, NULL, NULL, 21703),
(69582, '3vp6A02', NULL, NULL, 249, NULL, NULL, 21703),
(69583, '5kr6A02', NULL, NULL, 279, NULL, NULL, 21703),
(69584, '2gb3A02', NULL, NULL, 234, NULL, NULL, 21703),
(69585, '5o5cE03', NULL, NULL, 277, NULL, NULL, 21703),
(69586, '2q7wA02', NULL, NULL, 271, NULL, NULL, 21703),
(69587, '2oqxA02', NULL, NULL, 266, NULL, NULL, 21703),
(69588, '3dodA02', NULL, NULL, 277, NULL, NULL, 21703),
(69589, '6dnbA02', NULL, NULL, 279, NULL, NULL, 21703),
(69590, '1c4kA02', NULL, NULL, 313, NULL, NULL, 21703),
(69591, '3q8nA02', NULL, NULL, 262, NULL, NULL, 21703),
(69592, '6blgA01', NULL, NULL, 252, NULL, NULL, 21703),
(69593, '4e1oA02', NULL, NULL, 297, NULL, NULL, 21703),
(69594, '5f8vA01', NULL, NULL, 247, NULL, NULL, 21703),
(69595, '3f0hA02', NULL, NULL, 266, NULL, NULL, 21703),
(69596, '3bc8A02', NULL, NULL, 237, NULL, NULL, 21703),
(69597, '1e5eA01', NULL, NULL, 255, NULL, NULL, 21703),
(69598, '4zm3A02', NULL, NULL, 256, NULL, NULL, 21703),
(69599, '1ejiA02', NULL, NULL, 275, NULL, NULL, 21703),
(69600, '4wbtA02', NULL, NULL, 225, NULL, NULL, 21703),
(69601, '2ordA02', NULL, NULL, 244, NULL, NULL, 21703),
(69602, '3n0lA01', NULL, NULL, 239, NULL, NULL, 21703),
(69603, '3qguA02', NULL, NULL, 255, NULL, NULL, 21703),
(69604, '3gbxA01', NULL, NULL, 240, NULL, NULL, 21703),
(69605, '5kquA02', NULL, NULL, 279, NULL, NULL, 21703),
(69606, '3hvyA02', NULL, NULL, 216, NULL, NULL, 21703),
(69607, '5vyeA02', NULL, NULL, 239, NULL, NULL, 21703),
(69608, '2bkwA02', NULL, NULL, 261, NULL, NULL, 21703),
(69609, '4j5uA02', NULL, NULL, 252, NULL, NULL, 21703),
(69610, '1eg5A02', NULL, NULL, 244, NULL, NULL, 21703),
(69611, '5wmkA02', NULL, NULL, 223, NULL, NULL, 21703),
(69612, '3lg0D02', NULL, NULL, 250, NULL, NULL, 21703),
(69613, '5z0qA02', NULL, NULL, 222, NULL, NULL, 21703),
(69614, '1wstA02', NULL, NULL, 226, NULL, NULL, 21703),
(69615, '3elpA01', NULL, NULL, 228, NULL, NULL, 21703),
(69616, '3ri6A01', NULL, NULL, 231, NULL, NULL, 21703),
(69617, '3jzlA02', NULL, NULL, 214, NULL, NULL, 21703),
(69618, '5vnxA02', NULL, NULL, 234, NULL, NULL, 21703),
(69619, '4rkcA02', NULL, NULL, 242, NULL, NULL, 21703),
(69620, '2o1bA02', NULL, NULL, 221, NULL, NULL, 21703),
(69621, '4dq6A02', NULL, NULL, 222, NULL, NULL, 21703),
(69622, '1bw0A02', NULL, NULL, 254, NULL, NULL, 21703),
(69623, '4zdoB00', NULL, NULL, 463, NULL, NULL, 21703),
(69624, '6f35A02', NULL, NULL, 224, NULL, NULL, 21703),
(69625, '3aowA02', NULL, NULL, 225, NULL, NULL, 21703),
(69626, '5vehA02', NULL, NULL, 257, NULL, NULL, 21703),
(69627, '1lc5A02', NULL, NULL, 225, NULL, NULL, 21703),
(69628, '3qboA01', NULL, NULL, 241, NULL, NULL, 21703),
(69629, '4wb0A02', NULL, NULL, 272, NULL, NULL, 21703),
(69630, '4uoyA02', NULL, NULL, 254, NULL, NULL, 21703),
(69631, '1iugA02', NULL, NULL, 237, NULL, NULL, 21703),
(69632, '4ix8A02', NULL, NULL, 249, NULL, NULL, 21703);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(69633, '4my5A02', NULL, NULL, 225, NULL, NULL, 21703),
(69634, '3bs8A02', NULL, NULL, 248, NULL, NULL, 21703),
(69635, '3k40A02', NULL, NULL, 295, NULL, NULL, 21703),
(69636, '4w8iB02', NULL, NULL, 259, NULL, NULL, 21703),
(69637, '5jayA02', NULL, NULL, 234, NULL, NULL, 21703),
(69638, '4ao9A02', NULL, NULL, 239, NULL, NULL, 21703),
(69639, '1lw4D01', NULL, NULL, 250, NULL, NULL, 21703),
(69640, '4zahA01', NULL, NULL, 250, NULL, NULL, 21703),
(69641, '3fcrA02', NULL, NULL, 279, NULL, NULL, 21703),
(69642, '6g4bA02', NULL, NULL, 280, NULL, NULL, 21703),
(69643, '4kamA01', NULL, NULL, 226, NULL, NULL, 21703),
(69644, '2e7uA02', NULL, NULL, 249, NULL, NULL, 21703),
(69645, '3b46A02', NULL, NULL, 255, NULL, NULL, 21703),
(69646, '2o0rA02', NULL, NULL, 242, NULL, NULL, 21703),
(69647, '3oksA02', NULL, NULL, 268, NULL, NULL, 21703),
(69648, '3pd6B02', NULL, NULL, 273, NULL, NULL, 21703),
(69649, '1qgnG01', NULL, NULL, 259, NULL, NULL, 21703),
(69650, '4uhoA02', NULL, NULL, 280, NULL, NULL, 21703),
(69651, '1svvA01', NULL, NULL, 264, NULL, NULL, 21703),
(69652, '3ke3A02', NULL, NULL, 259, NULL, NULL, 21703),
(69653, '2qmaA03', NULL, NULL, 269, NULL, NULL, 21703),
(69654, '5f9sA02', NULL, NULL, 249, NULL, NULL, 21703),
(69655, '3hdoA02', NULL, NULL, 220, NULL, NULL, 21703),
(69656, '3k28A02', NULL, NULL, 248, NULL, NULL, 21703),
(69657, '4e77A02', NULL, NULL, 249, NULL, NULL, 21703),
(69658, '3kgwA02', NULL, NULL, 249, NULL, NULL, 21703),
(69659, '5hdmA02', NULL, NULL, 249, NULL, NULL, 21703),
(69660, '2jisB02', NULL, NULL, 248, NULL, NULL, 21703),
(69661, '4y0hA02', NULL, NULL, 295, NULL, NULL, 21703),
(69662, '4m2mA02', NULL, NULL, 216, NULL, NULL, 21703),
(69663, '4atqA02', NULL, NULL, 265, NULL, NULL, 21703),
(69664, '4jf1B02', NULL, NULL, 246, NULL, NULL, 21703),
(69665, '1d2fA02', NULL, NULL, 243, NULL, NULL, 21703),
(69666, '3uakA02', NULL, NULL, 271, NULL, NULL, 21703),
(69667, '1ax4A02', NULL, NULL, 262, NULL, NULL, 21703),
(69668, '3nytA01', NULL, NULL, 238, NULL, NULL, 21703),
(69669, '3i16A02', NULL, NULL, 217, NULL, NULL, 21703),
(69670, '5vmbA01', NULL, NULL, 241, NULL, NULL, 21703),
(69671, '5w70A01', NULL, NULL, 267, NULL, NULL, 21703),
(69672, '3dxvB02', NULL, NULL, 259, NULL, NULL, 21703),
(69673, '3cogB01', NULL, NULL, 247, NULL, NULL, 21703),
(69674, '5kqtA02', NULL, NULL, 279, NULL, NULL, 21703),
(69675, '3wgcA01', NULL, NULL, 249, NULL, NULL, 21703),
(69676, '4p3mB01', NULL, NULL, 241, NULL, NULL, 21703),
(69677, '1lw4C01', NULL, NULL, 250, NULL, NULL, 21703),
(69678, '4wxgA02', NULL, NULL, 252, NULL, NULL, 21703),
(69679, '1v2dA02', NULL, NULL, 231, NULL, NULL, 21703),
(69680, '3f9tA02', NULL, NULL, 261, NULL, NULL, 21703),
(69681, '2dgmA02', NULL, NULL, 294, NULL, NULL, 21703),
(69682, '3d6kA02', NULL, NULL, 244, NULL, NULL, 21703),
(69683, '3aczA01', NULL, NULL, 252, NULL, NULL, 21703),
(69684, '1j32A02', NULL, NULL, 223, NULL, NULL, 21703),
(69685, '3pplA02', NULL, NULL, 244, NULL, NULL, 21703),
(69686, '5v7iA01', NULL, NULL, 263, NULL, NULL, 21703),
(69687, '4je5C00', NULL, NULL, 503, NULL, NULL, 21703),
(69688, '3l44B02', NULL, NULL, 249, NULL, NULL, 21703),
(69689, '1vefA02', NULL, NULL, 242, NULL, NULL, 21703),
(69690, '1fc4A01', NULL, NULL, 238, NULL, NULL, 21703),
(69691, '3g0tA03', NULL, NULL, 207, NULL, NULL, 21703),
(69692, '4iw7A02', NULL, NULL, 228, NULL, NULL, 21703),
(69693, '6czxA01', NULL, NULL, 240, NULL, NULL, 21703),
(69694, '4xk1A01', NULL, NULL, 240, NULL, NULL, 21703),
(69695, '4k2mB01', NULL, NULL, 305, NULL, NULL, 21703),
(69696, '3ez1A02', NULL, NULL, 246, NULL, NULL, 21703),
(69697, '5c6uA02', NULL, NULL, 246, NULL, NULL, 21703),
(69698, '1u08A02', NULL, NULL, 240, NULL, NULL, 21703),
(69699, '5uidA01', NULL, NULL, 261, NULL, NULL, 21703),
(69700, '3vaxA01', NULL, NULL, 263, NULL, NULL, 21703),
(69701, '3ju7A00', NULL, NULL, 377, NULL, NULL, 21703),
(69702, '4b9bA02', NULL, NULL, 280, NULL, NULL, 21703),
(69703, '6hnuA00', NULL, NULL, 491, NULL, NULL, 21703),
(69704, '3wcoA02', NULL, NULL, 263, NULL, NULL, 21703),
(69705, '2ez2A02', NULL, NULL, 253, NULL, NULL, 21703);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(69706, '3nnkL01', NULL, NULL, 287, NULL, NULL, 21703),
(69707, '3gjuA02', NULL, NULL, 279, NULL, NULL, 21703),
(69708, '2ctzA01', NULL, NULL, 285, NULL, NULL, 21703),
(69709, '1lw5D01', NULL, NULL, 250, NULL, NULL, 21703),
(69710, '4r5zA02', NULL, NULL, 227, NULL, NULL, 21703),
(69711, '5yb0A01', NULL, NULL, 235, NULL, NULL, 21703),
(69712, '2ch1A02', NULL, NULL, 249, NULL, NULL, 21703),
(69713, '2x3lB02', NULL, NULL, 244, NULL, NULL, 21703),
(69714, '1jf9A02', NULL, NULL, 260, NULL, NULL, 21703),
(69715, '3r4tA02', NULL, NULL, 268, NULL, NULL, 21703),
(69716, '1mdoA01', NULL, NULL, 252, NULL, NULL, 21703),
(69717, '2z9vA02', NULL, NULL, 246, NULL, NULL, 21703),
(69718, '1cs1A01', NULL, NULL, 247, NULL, NULL, 21703),
(69719, '4wd2A02', NULL, NULL, 241, NULL, NULL, 21703),
(69720, '4q75A02', NULL, NULL, 261, NULL, NULL, 21703),
(69721, '3bwnB02', NULL, NULL, 221, NULL, NULL, 21703),
(69722, '2x5dD02', NULL, NULL, 240, NULL, NULL, 21703),
(69723, '6fyqA02', NULL, NULL, 267, NULL, NULL, 21703),
(69724, '3fdbA02', NULL, NULL, 217, NULL, NULL, 21703),
(69725, '1gd9A02', NULL, NULL, 223, NULL, NULL, 21703),
(69726, '1lw4B01', NULL, NULL, 250, NULL, NULL, 21703),
(69727, '3a9zA03', NULL, NULL, 206, NULL, NULL, 21703),
(69728, '4oc9A01', NULL, NULL, 287, NULL, NULL, 21703),
(69729, '2c81A01', NULL, NULL, 248, NULL, NULL, 21703),
(69730, '2dr1A02', NULL, NULL, 246, NULL, NULL, 21703),
(69731, '6f77A02', NULL, NULL, 224, NULL, NULL, 21703),
(69732, '2eo5A02', NULL, NULL, 270, NULL, NULL, 21703),
(69733, '3e9kA02', NULL, NULL, 273, NULL, NULL, 21703),
(69734, '4emyA02', NULL, NULL, 238, NULL, NULL, 21703),
(69735, '3h7fA02', NULL, NULL, 242, NULL, NULL, 21703),
(69736, '3a2bA02', NULL, NULL, 235, NULL, NULL, 21703),
(69737, '1rv3A02', NULL, NULL, 275, NULL, NULL, 21703),
(69738, '5gp4A02', NULL, NULL, 295, NULL, NULL, 21703),
(69739, '2zc0A02', NULL, NULL, 226, NULL, NULL, 21703),
(69740, '4f4eA02', NULL, NULL, 241, NULL, NULL, 21703),
(69741, '2vycA02', NULL, NULL, 301, NULL, NULL, 21703),
(69742, '3ht4A02', NULL, NULL, 214, NULL, NULL, 21703),
(69743, '3if2A00', NULL, NULL, 444, NULL, NULL, 21703),
(69744, '3dzzA02', NULL, NULL, 244, NULL, NULL, 21703),
(69745, '5j8qA02', NULL, NULL, 261, NULL, NULL, 21703),
(69746, '5vc2A01', NULL, NULL, 239, NULL, NULL, 21703),
(69747, '3islA02', NULL, NULL, 264, NULL, NULL, 21703),
(69748, '3p1tA02', NULL, NULL, 200, NULL, NULL, 21703),
(69749, '3ecdB01', NULL, NULL, 240, NULL, NULL, 21703),
(69750, '3h14A00', NULL, NULL, 391, NULL, NULL, 21703),
(69751, '1lw5C01', NULL, NULL, 250, NULL, NULL, 21703),
(69752, '2fnuA01', NULL, NULL, 245, NULL, NULL, 21703),
(69753, '2bwnA02', NULL, NULL, 236, NULL, NULL, 21703),
(69754, '5dx5A01', NULL, NULL, 257, NULL, NULL, 21703),
(69755, '4j8lA01', NULL, NULL, 246, NULL, NULL, 21703),
(69756, '1xi9A02', NULL, NULL, 242, NULL, NULL, 21703),
(69757, '4f5lA02', NULL, NULL, 271, NULL, NULL, 21703),
(69758, '3eucA02', NULL, NULL, 207, NULL, NULL, 21703),
(69759, '3qhxA01', NULL, NULL, 262, NULL, NULL, 21703),
(69760, '1ibjA01', NULL, NULL, 244, NULL, NULL, 21703),
(69761, '5kqwA02', NULL, NULL, 279, NULL, NULL, 21703),
(69762, '3k7yA02', NULL, NULL, 271, NULL, NULL, 21703),
(69763, '3getA01', NULL, NULL, 228, NULL, NULL, 21703),
(69764, '5usrA02', NULL, NULL, 245, NULL, NULL, 21703),
(69765, '1iayA02', NULL, NULL, 254, NULL, NULL, 21703),
(69766, '3nraA02', NULL, NULL, 228, NULL, NULL, 21703),
(69767, '4adbA02', NULL, NULL, 246, NULL, NULL, 21703),
(69768, '3madA03', NULL, NULL, 263, NULL, NULL, 21703),
(69769, '3i5tA02', NULL, NULL, 278, NULL, NULL, 21703),
(69770, '1lw4A01', NULL, NULL, 250, NULL, NULL, 21703),
(69771, '4r8dA02', NULL, NULL, 221, NULL, NULL, 21703),
(69772, '1vp4A02', NULL, NULL, 229, NULL, NULL, 21703),
(69773, '1o4sA02', NULL, NULL, 221, NULL, NULL, 21703),
(69774, '2zyjA02', NULL, NULL, 217, NULL, NULL, 21703),
(69775, '5x6bJ02', NULL, NULL, 252, NULL, NULL, 21703),
(69776, '4a6rB02', NULL, NULL, 275, NULL, NULL, 21703),
(69777, '1zodA02', NULL, NULL, 264, NULL, NULL, 21703),
(69778, '3jtxB02', NULL, NULL, 248, NULL, NULL, 21703);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(69779, '6ezlA02', NULL, NULL, 271, NULL, NULL, 21703),
(69780, '4wlhA02', NULL, NULL, 258, NULL, NULL, 21703),
(69781, '4zdlA02', NULL, NULL, 237, NULL, NULL, 21703),
(69782, '5kr3A02', NULL, NULL, 279, NULL, NULL, 21703),
(69783, '1c7gA02', NULL, NULL, 253, NULL, NULL, 21703),
(69784, '2z61A02', NULL, NULL, 208, NULL, NULL, 21703),
(69785, '3ei9A02', NULL, NULL, 256, NULL, NULL, 21703),
(69786, '1bjnA01', NULL, NULL, 242, NULL, NULL, 21703),
(69787, '3ly1A02', NULL, NULL, 225, NULL, NULL, 21703),
(69788, '4itxA01', NULL, NULL, 258, NULL, NULL, 21703),
(69789, '5i92A02', NULL, NULL, 249, NULL, NULL, 21703),
(69790, '3e2yA02', NULL, NULL, 256, NULL, NULL, 21703),
(69791, '5ghfA02', NULL, NULL, 280, NULL, NULL, 21703),
(69792, '4ysnA02', NULL, NULL, 268, NULL, NULL, 21703),
(69793, '5g4iA02', NULL, NULL, 262, NULL, NULL, 21703),
(69794, '2rfvA01', NULL, NULL, 255, NULL, NULL, 21703),
(69795, '1lw5B01', NULL, NULL, 250, NULL, NULL, 21703),
(69796, '2x8uA02', NULL, NULL, 235, NULL, NULL, 21703),
(69797, '1t3iB02', NULL, NULL, 261, NULL, NULL, 21703),
(69798, '3nx3A02', NULL, NULL, 247, NULL, NULL, 21703),
(69799, '4qgrA01', NULL, NULL, 253, NULL, NULL, 21703),
(69800, '3wy7A02', NULL, NULL, 235, NULL, NULL, 21703),
(69801, '3eucB02', NULL, NULL, 203, NULL, NULL, 21703),
(69802, '1qz9A02', NULL, NULL, 261, NULL, NULL, 21703),
(69803, '4u2hE01', NULL, NULL, 247, NULL, NULL, 21703),
(69804, '2e7jA02', NULL, NULL, 252, NULL, NULL, 21703),
(69805, '4zasA01', NULL, NULL, 259, NULL, NULL, 21703),
(69806, '3t32A02', NULL, NULL, 224, NULL, NULL, 21703),
(69807, '3pgyB02', NULL, NULL, 251, NULL, NULL, 21703),
(69808, '3b8xA01', NULL, NULL, 266, NULL, NULL, 21703),
(69809, '1fg7A01', NULL, NULL, 205, NULL, NULL, 21703),
(69810, '3ezsA02', NULL, NULL, 241, NULL, NULL, 21703),
(69811, '4o6zA02', NULL, NULL, 263, NULL, NULL, 21703),
(69812, '1b5pA02', NULL, NULL, 219, NULL, NULL, 21703),
(69813, '3mc6A03', NULL, NULL, 263, NULL, NULL, 21703),
(69814, '6io1A02', NULL, NULL, 276, NULL, NULL, 21703),
(69815, '5iz2B01', NULL, NULL, 127, NULL, NULL, 21704),
(69816, '2mx8A01', NULL, NULL, 113, NULL, NULL, 21704),
(69817, '2k3qA00', NULL, NULL, 118, NULL, NULL, 21704),
(69818, '3lr2A01', NULL, NULL, 125, NULL, NULL, 21704),
(69819, '2n3eA01', NULL, NULL, 115, NULL, NULL, 21704),
(69820, '3m4iA02', NULL, NULL, 68, NULL, NULL, 21705),
(69821, '1ywwA00', NULL, NULL, 65, NULL, NULL, 21706),
(69822, '1rykA00', NULL, NULL, 69, NULL, NULL, 21706),
(69823, '3ehfB01', NULL, NULL, 125, NULL, NULL, 21707),
(69824, '2rh3A00', NULL, NULL, 121, NULL, NULL, 21708),
(69825, '3vx8A02', NULL, NULL, 173, NULL, NULL, 21709),
(69826, '4dwrC00', NULL, NULL, 487, NULL, NULL, 21710),
(69827, '2epgB00', NULL, NULL, 487, NULL, NULL, 21710),
(69828, '4qoaA00', NULL, NULL, 127, NULL, NULL, 21711),
(69829, '3dueA00', NULL, NULL, 127, NULL, NULL, 21711),
(69830, '4poiB00', NULL, NULL, 129, NULL, NULL, 21711),
(69831, '3db7A00', NULL, NULL, 127, NULL, NULL, 21711),
(69832, '4dsdA00', NULL, NULL, 129, NULL, NULL, 21711),
(69833, '3elgB00', NULL, NULL, 128, NULL, NULL, 21711),
(69834, '2k9qA02', NULL, NULL, 37, NULL, NULL, 21712),
(69835, '1v1hA02', NULL, NULL, 27, NULL, NULL, 21713),
(69836, '3dclA01', NULL, NULL, 154, NULL, NULL, 21714),
(69837, '3t69A01', NULL, NULL, 82, NULL, NULL, 21715),
(69838, '3r1xB01', NULL, NULL, 90, NULL, NULL, 21715),
(69839, '4nzrM01', NULL, NULL, 84, NULL, NULL, 21716),
(69840, '1i94M01', NULL, NULL, 51, NULL, NULL, 21717),
(69841, '3twlA02', NULL, NULL, 142, NULL, NULL, 21717),
(69842, '3vk8A02', NULL, NULL, 158, NULL, NULL, 21717),
(69843, '5mmjm01', NULL, NULL, 69, NULL, NULL, 21717),
(69844, '5xyiS01', NULL, NULL, 82, NULL, NULL, 21717),
(69845, '1ee8A02', NULL, NULL, 138, NULL, NULL, 21717),
(69846, '6fl1A02', NULL, NULL, 139, NULL, NULL, 21717),
(69847, '1k3xA02', NULL, NULL, 136, NULL, NULL, 21717),
(69848, '3doaA02', NULL, NULL, 70, NULL, NULL, 21717),
(69849, '3gpuA02', NULL, NULL, 124, NULL, NULL, 21717),
(69850, '5a2qS01', NULL, NULL, 80, NULL, NULL, 21717),
(69851, '2vqeM01', NULL, NULL, 72, NULL, NULL, 21717);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(69852, '5o5jM01', NULL, NULL, 72, NULL, NULL, 21717),
(69853, '2xzmM01', NULL, NULL, 82, NULL, NULL, 21717),
(69854, '1mu5A02', NULL, NULL, 78, NULL, NULL, 21717),
(69855, '3j7aS01', NULL, NULL, 82, NULL, NULL, 21717),
(69856, '5ituB02', NULL, NULL, 149, NULL, NULL, 21717),
(69857, '2q2eB02', NULL, NULL, 77, NULL, NULL, 21717),
(69858, '3w0fA02', NULL, NULL, 141, NULL, NULL, 21717),
(69859, '5xxuS01', NULL, NULL, 82, NULL, NULL, 21717),
(69860, '4mb7A02', NULL, NULL, 147, NULL, NULL, 21717),
(69861, '3jamS01', NULL, NULL, 82, NULL, NULL, 21717),
(69862, '1k82A02', NULL, NULL, 131, NULL, NULL, 21717),
(69863, '1vs5M01', NULL, NULL, 71, NULL, NULL, 21717),
(69864, '6bekD00', NULL, NULL, 107, NULL, NULL, 21717),
(69865, '2nv4A00', NULL, NULL, 147, NULL, NULL, 21718),
(69866, '1xqbA01', NULL, NULL, 132, NULL, NULL, 21718),
(69867, '3okxB00', NULL, NULL, 152, NULL, NULL, 21718),
(69868, '1ogpA01', NULL, NULL, 262, NULL, NULL, 21719),
(69869, '2a9dA01', NULL, NULL, 249, NULL, NULL, 21719),
(69870, '2xtsA01', NULL, NULL, 260, NULL, NULL, 21719),
(69871, '2biiA01', NULL, NULL, 239, NULL, NULL, 21719),
(69872, '1xdyG00', NULL, NULL, 279, NULL, NULL, 21719),
(69873, '2blfA01', NULL, NULL, 259, NULL, NULL, 21719),
(69874, '5k3xB01', NULL, NULL, 232, NULL, NULL, 21719),
(69875, '3gocA00', NULL, NULL, 237, NULL, NULL, 21720),
(69876, '4xpuB00', NULL, NULL, 217, NULL, NULL, 21720),
(69877, '3ga2A00', NULL, NULL, 246, NULL, NULL, 21720),
(69878, '2w36A00', NULL, NULL, 225, NULL, NULL, 21720),
(69879, '4nspA00', NULL, NULL, 250, NULL, NULL, 21720),
(69880, '2qh9A00', NULL, NULL, 184, NULL, NULL, 21720),
(69881, '5aoyA00', NULL, NULL, 250, NULL, NULL, 21720),
(69882, '5nd6B03', NULL, NULL, 130, NULL, NULL, 21721),
(69883, '2o1sD03', NULL, NULL, 127, NULL, NULL, 21721),
(69884, '3rimB03', NULL, NULL, 132, NULL, NULL, 21721),
(69885, '3uk1A03', NULL, NULL, 129, NULL, NULL, 21721),
(69886, '4c7vA03', NULL, NULL, 125, NULL, NULL, 21721),
(69887, '2o1sA03', NULL, NULL, 127, NULL, NULL, 21721),
(69888, '3ai7A03', NULL, NULL, 190, NULL, NULL, 21721),
(69889, '3komA03', NULL, NULL, 125, NULL, NULL, 21721),
(69890, '2qtcA03', NULL, NULL, 181, NULL, NULL, 21721),
(69891, '2o1sC03', NULL, NULL, 127, NULL, NULL, 21721),
(69892, '1umdB02', NULL, NULL, 128, NULL, NULL, 21721),
(69893, '2o1sB03', NULL, NULL, 127, NULL, NULL, 21721),
(69894, '3ahcA03', NULL, NULL, 182, NULL, NULL, 21721),
(69895, '3m49A03', NULL, NULL, 127, NULL, NULL, 21721),
(69896, '1w85B02', NULL, NULL, 133, NULL, NULL, 21721),
(69897, '3l84A03', NULL, NULL, 118, NULL, NULL, 21721),
(69898, '1ik6A02', NULL, NULL, 125, NULL, NULL, 21721),
(69899, '4xeuA03', NULL, NULL, 128, NULL, NULL, 21721),
(69900, '4kxwA03', NULL, NULL, 148, NULL, NULL, 21721),
(69901, '3ju3A00', NULL, NULL, 118, NULL, NULL, 21721),
(69902, '2r8oB03', NULL, NULL, 132, NULL, NULL, 21721),
(69903, '5xvtA03', NULL, NULL, 137, NULL, NULL, 21721),
(69904, '2e6kA03', NULL, NULL, 121, NULL, NULL, 21721),
(69905, '2o1xD03', NULL, NULL, 133, NULL, NULL, 21721),
(69906, '2bfdB02', NULL, NULL, 125, NULL, NULL, 21721),
(69907, '5vrbA03', NULL, NULL, 125, NULL, NULL, 21721),
(69908, '5exeA02', NULL, NULL, 144, NULL, NULL, 21721),
(69909, '2c42A02', NULL, NULL, 157, NULL, NULL, 21721),
(69910, '1qs0B02', NULL, NULL, 134, NULL, NULL, 21721),
(69911, '1r9jA03', NULL, NULL, 137, NULL, NULL, 21721),
(69912, '1gpuA03', NULL, NULL, 137, NULL, NULL, 21721),
(69913, '1itzA03', NULL, NULL, 127, NULL, NULL, 21721),
(69914, '2ozlB02', NULL, NULL, 134, NULL, NULL, 21721),
(69915, '1s6lA02', NULL, NULL, 129, NULL, NULL, 21722),
(69916, '1ywmA01', NULL, NULL, 98, NULL, NULL, 21723),
(69917, '2hvrA03', NULL, NULL, 89, NULL, NULL, 21724),
(69918, '1auaA02', NULL, NULL, 83, NULL, NULL, 21725),
(69919, '3q8gA01', NULL, NULL, 92, NULL, NULL, 21725),
(69920, '3hy5A01', NULL, NULL, 101, NULL, NULL, 21725),
(69921, '3hx3A01', NULL, NULL, 67, NULL, NULL, 21725),
(69922, '3w68B01', NULL, NULL, 68, NULL, NULL, 21725),
(69923, '1r5lA01', NULL, NULL, 64, NULL, NULL, 21725),
(69924, '1oizB01', NULL, NULL, 80, NULL, NULL, 21725);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(69925, '2rm8A00', NULL, NULL, 68, NULL, NULL, 21726),
(69926, '3rfrA03', NULL, NULL, 141, NULL, NULL, 21727),
(69927, '4phzA03', NULL, NULL, 142, NULL, NULL, 21727),
(69928, '1yewA03', NULL, NULL, 136, NULL, NULL, 21727),
(69929, '3chxA03', NULL, NULL, 137, NULL, NULL, 21727),
(69930, '6cxhA03', NULL, NULL, 136, NULL, NULL, 21727),
(69931, '1v76A00', NULL, NULL, 96, NULL, NULL, 21728),
(69932, '2ki7A00', NULL, NULL, 111, NULL, NULL, 21728),
(69933, '1ts9A00', NULL, NULL, 102, NULL, NULL, 21728),
(69934, '1oqkA00', NULL, NULL, 97, NULL, NULL, 21728),
(69935, '1ul4A01', NULL, NULL, 72, NULL, NULL, 21729),
(69936, '1ul5A01', NULL, NULL, 67, NULL, NULL, 21729),
(69937, '1wj0A00', NULL, NULL, 60, NULL, NULL, 21729),
(69938, '4axhB01', NULL, NULL, 359, NULL, NULL, 21730),
(69939, '4nurA01', NULL, NULL, 361, NULL, NULL, 21730),
(69940, '2cfuA01', NULL, NULL, 360, NULL, NULL, 21730),
(69941, '4pdxA01', NULL, NULL, 361, NULL, NULL, 21730),
(69942, '3q9dB01', NULL, NULL, 90, NULL, NULL, 21731),
(69943, '4mlkA01', NULL, NULL, 97, NULL, NULL, 21731),
(69944, '1e5rB02', NULL, NULL, 84, NULL, NULL, 21732),
(69945, '2koeA00', NULL, NULL, 40, NULL, NULL, 21733),
(69946, '3jskA01', NULL, NULL, 31, NULL, NULL, 21734),
(69947, '3fpzA01', NULL, NULL, 31, NULL, NULL, 21734),
(69948, '3hh2D01', NULL, NULL, 96, NULL, NULL, 21735),
(69949, '1apjA00', NULL, NULL, 74, NULL, NULL, 21735),
(69950, '2w86A02', NULL, NULL, 60, NULL, NULL, 21735),
(69951, '3b4vD01', NULL, NULL, 75, NULL, NULL, 21735),
(69952, '1ksqA00', NULL, NULL, 75, NULL, NULL, 21735),
(69953, '1uzkA02', NULL, NULL, 75, NULL, NULL, 21735),
(69954, '1y9bB02', NULL, NULL, 41, NULL, NULL, 21736),
(69955, '3s84A01', NULL, NULL, 93, NULL, NULL, 21737),
(69956, '1tr2A03', NULL, NULL, 229, NULL, NULL, 21738),
(69957, '1tr2A02', NULL, NULL, 236, NULL, NULL, 21738),
(69958, '1st6A01', NULL, NULL, 255, NULL, NULL, 21738),
(69959, '1st6A02', NULL, NULL, 236, NULL, NULL, 21738),
(69960, '1st6A03', NULL, NULL, 229, NULL, NULL, 21738),
(69961, '1tr2A01', NULL, NULL, 252, NULL, NULL, 21738),
(69962, '1g2rA00', NULL, NULL, 100, NULL, NULL, 21739),
(69963, '5k31C00', NULL, NULL, 238, NULL, NULL, 21740),
(69964, '4ae2B02', NULL, NULL, 171, NULL, NULL, 21740),
(69965, '6fzvC00', NULL, NULL, 237, NULL, NULL, 21740),
(69966, '3x0fB00', NULL, NULL, 93, NULL, NULL, 21741),
(69967, '3x0gA00', NULL, NULL, 93, NULL, NULL, 21741),
(69968, '2m7zA00', NULL, NULL, 81, NULL, NULL, 21741),
(69969, '5m33B00', NULL, NULL, 101, NULL, NULL, 21741),
(69970, '1g8qA00', NULL, NULL, 90, NULL, NULL, 21741),
(69971, '3pifC02', NULL, NULL, 103, NULL, NULL, 21742),
(69972, '3pieA02', NULL, NULL, 103, NULL, NULL, 21742),
(69973, '3pieC04', NULL, NULL, 130, NULL, NULL, 21742),
(69974, '3pieD02', NULL, NULL, 103, NULL, NULL, 21742),
(69975, '3pifD02', NULL, NULL, 103, NULL, NULL, 21742),
(69976, '3pifB04', NULL, NULL, 130, NULL, NULL, 21742),
(69977, '3latA00', NULL, NULL, 213, NULL, NULL, 21743),
(69978, '1yckA00', NULL, NULL, 175, NULL, NULL, 21743),
(69979, '2rkqA00', NULL, NULL, 169, NULL, NULL, 21743),
(69980, '2eaxA00', NULL, NULL, 164, NULL, NULL, 21743),
(69981, '1lbaA00', NULL, NULL, 146, NULL, NULL, 21743),
(69982, '4ivvA00', NULL, NULL, 188, NULL, NULL, 21743),
(69983, '1yb0B00', NULL, NULL, 159, NULL, NULL, 21743),
(69984, '2xz4A00', NULL, NULL, 180, NULL, NULL, 21743),
(69985, '3d2yA01', NULL, NULL, 151, NULL, NULL, 21743),
(69986, '2f2lX00', NULL, NULL, 167, NULL, NULL, 21743),
(69987, '4z8iA02', NULL, NULL, 176, NULL, NULL, 21743),
(69988, '4knkA00', NULL, NULL, 225, NULL, NULL, 21743),
(69989, '5xz3B00', NULL, NULL, 173, NULL, NULL, 21743),
(69990, '2y28B00', NULL, NULL, 187, NULL, NULL, 21743),
(69991, '4bolA01', NULL, NULL, 146, NULL, NULL, 21743),
(69992, '1sk4A00', NULL, NULL, 163, NULL, NULL, 21743),
(69993, '2l47A00', NULL, NULL, 165, NULL, NULL, 21743),
(69994, '3rt4A00', NULL, NULL, 171, NULL, NULL, 21743),
(69995, '2cb3B00', NULL, NULL, 175, NULL, NULL, 21743),
(69996, '3rdrA00', NULL, NULL, 157, NULL, NULL, 21743),
(69997, '4bxjB01', NULL, NULL, 156, NULL, NULL, 21743);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(69998, '4olsA00', NULL, NULL, 185, NULL, NULL, 21743),
(69999, '2f2lA00', NULL, NULL, 167, NULL, NULL, 21743),
(70000, '2xz8A00', NULL, NULL, 150, NULL, NULL, 21743),
(70001, '3ep1A00', NULL, NULL, 176, NULL, NULL, 21743),
(70002, '1sxrA00', NULL, NULL, 183, NULL, NULL, 21743),
(70003, '5xz4A00', NULL, NULL, 173, NULL, NULL, 21743),
(70004, '1ohtA00', NULL, NULL, 185, NULL, NULL, 21743),
(70005, '3rjvA02', NULL, NULL, 65, NULL, NULL, 21744),
(70006, '1fepA01', NULL, NULL, 146, NULL, NULL, 21745),
(70007, '4b7oA01', NULL, NULL, 111, NULL, NULL, 21745),
(70008, '2hdiA01', NULL, NULL, 133, NULL, NULL, 21745),
(70009, '4cu4A01', NULL, NULL, 141, NULL, NULL, 21745),
(70010, '3cslA01', NULL, NULL, 128, NULL, NULL, 21745),
(70011, '3efmA01', NULL, NULL, 103, NULL, NULL, 21745),
(70012, '2iahA02', NULL, NULL, 134, NULL, NULL, 21745),
(70013, '5necB01', NULL, NULL, 130, NULL, NULL, 21745),
(70014, '5fokB01', NULL, NULL, 130, NULL, NULL, 21745),
(70015, '4rdrA01', NULL, NULL, 124, NULL, NULL, 21745),
(70016, '1xkhA01', NULL, NULL, 104, NULL, NULL, 21745),
(70017, '3v8xA01', NULL, NULL, 132, NULL, NULL, 21745),
(70018, '3fhhA01', NULL, NULL, 124, NULL, NULL, 21745),
(70019, '1nqeA01', NULL, NULL, 124, NULL, NULL, 21745),
(70020, '1kmoA01', NULL, NULL, 128, NULL, NULL, 21745),
(70021, '1xkwA01', NULL, NULL, 100, NULL, NULL, 21745),
(70022, '3qlbA01', NULL, NULL, 135, NULL, NULL, 21745),
(70023, '5uj1A02', NULL, NULL, 160, NULL, NULL, 21746),
(70024, '2o5cB02', NULL, NULL, 231, NULL, NULL, 21746),
(70025, '2gaiA02', NULL, NULL, 146, NULL, NULL, 21746),
(70026, '1mw9X02', NULL, NULL, 163, NULL, NULL, 21746),
(70027, '4cgyA02', NULL, NULL, 190, NULL, NULL, 21746),
(70028, '1gkuB06', NULL, NULL, 156, NULL, NULL, 21746),
(70029, '4dduA06', NULL, NULL, 160, NULL, NULL, 21746),
(70030, '1i7dA02', NULL, NULL, 180, NULL, NULL, 21746),
(70031, '5gvcA02', NULL, NULL, 186, NULL, NULL, 21746),
(70032, '1jb7B00', NULL, NULL, 224, NULL, NULL, 21747),
(70033, '4g6qA02', NULL, NULL, 90, NULL, NULL, 21748),
(70034, '4i5lB01', NULL, NULL, 103, NULL, NULL, 21749),
(70035, '4mewA01', NULL, NULL, 94, NULL, NULL, 21749),
(70036, '3bqoA00', NULL, NULL, 211, NULL, NULL, 21750),
(70037, '4m7cB00', NULL, NULL, 200, NULL, NULL, 21750),
(70038, '4i6mD00', NULL, NULL, 90, NULL, NULL, 21751),
(70039, '2hsnA01', NULL, NULL, 53, NULL, NULL, 21752),
(70040, '4kqeA03', NULL, NULL, 68, NULL, NULL, 21753),
(70041, '2y6xA00', NULL, NULL, 113, NULL, NULL, 21754),
(70042, '5x56B00', NULL, NULL, 106, NULL, NULL, 21754),
(70043, '2kmfA01', NULL, NULL, 102, NULL, NULL, 21754),
(70044, '2wshB00', NULL, NULL, 143, NULL, NULL, 21755),
(70045, '2xf5F00', NULL, NULL, 51, NULL, NULL, 21756),
(70046, '2xf5E00', NULL, NULL, 51, NULL, NULL, 21756),
(70047, '2xf5D00', NULL, NULL, 51, NULL, NULL, 21756),
(70048, '2xf5C00', NULL, NULL, 51, NULL, NULL, 21756),
(70049, '2xf5B00', NULL, NULL, 51, NULL, NULL, 21756),
(70050, '2xf7A00', NULL, NULL, 51, NULL, NULL, 21756),
(70051, '2xf5A00', NULL, NULL, 51, NULL, NULL, 21756),
(70052, '1vx7L02', NULL, NULL, 42, NULL, NULL, 21757),
(70053, '4ksaA01', NULL, NULL, 155, NULL, NULL, 21758),
(70054, '1lmlA04', NULL, NULL, 105, NULL, NULL, 21759),
(70055, '3ejnA03', NULL, NULL, 111, NULL, NULL, 21760),
(70056, '4lerA03', NULL, NULL, 113, NULL, NULL, 21760),
(70057, '3mx3A03', NULL, NULL, 113, NULL, NULL, 21760),
(70058, '3ehmA03', NULL, NULL, 118, NULL, NULL, 21760),
(70059, '3ubyA00', NULL, NULL, 219, NULL, NULL, 21761),
(70060, '1zw8A01', NULL, NULL, 50, NULL, NULL, 21762),
(70061, '3do9C02', NULL, NULL, 63, NULL, NULL, 21763),
(70062, '1gp8A00', NULL, NULL, 40, NULL, NULL, 21763),
(70063, '1gxlA01', NULL, NULL, 127, NULL, NULL, 21764),
(70064, '2cs3A01', NULL, NULL, 59, NULL, NULL, 21765),
(70065, '1vw4T02', NULL, NULL, 67, NULL, NULL, 21766),
(70066, '3a7mA01', NULL, NULL, 111, NULL, NULL, 21767),
(70067, '5gnaA00', NULL, NULL, 96, NULL, NULL, 21767),
(70068, '3h3mA00', NULL, NULL, 89, NULL, NULL, 21767),
(70069, '3nkzA00', NULL, NULL, 97, NULL, NULL, 21767),
(70070, '3kxrA01', NULL, NULL, 51, NULL, NULL, 21768);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(70071, '4j37A02', NULL, NULL, 212, NULL, NULL, 21769),
(70072, '1vs3A02', NULL, NULL, 144, NULL, NULL, 21769),
(70073, '1dj0A01', NULL, NULL, 138, NULL, NULL, 21769),
(70074, '2v89A01', NULL, NULL, 33, NULL, NULL, 21770),
(70075, '6euaA01', NULL, NULL, 151, NULL, NULL, 21771),
(70076, '1fzcB01', NULL, NULL, 161, NULL, NULL, 21771),
(70077, '4m7hA01', NULL, NULL, 153, NULL, NULL, 21771),
(70078, '2j1gE01', NULL, NULL, 145, NULL, NULL, 21771),
(70079, '1m1jE01', NULL, NULL, 159, NULL, NULL, 21771),
(70080, '1fzdA01', NULL, NULL, 115, NULL, NULL, 21771),
(70081, '4jzcA01', NULL, NULL, 143, NULL, NULL, 21771),
(70082, '2wnpF01', NULL, NULL, 144, NULL, NULL, 21771),
(70083, '6eubA01', NULL, NULL, 154, NULL, NULL, 21771),
(70084, '2fibA01', NULL, NULL, 154, NULL, NULL, 21771),
(70085, '4epuA01', NULL, NULL, 146, NULL, NULL, 21771),
(70086, '1jc9A01', NULL, NULL, 152, NULL, NULL, 21771),
(70087, '1lwuC01', NULL, NULL, 151, NULL, NULL, 21771),
(70088, '1lwuB01', NULL, NULL, 158, NULL, NULL, 21771),
(70089, '1re3B01', NULL, NULL, 207, NULL, NULL, 21771),
(70090, '6qnvA01', NULL, NULL, 150, NULL, NULL, 21771),
(70091, '2j5zA01', NULL, NULL, 148, NULL, NULL, 21771),
(70092, '1m1jC01', NULL, NULL, 154, NULL, NULL, 21771),
(70093, '3ghgB02', NULL, NULL, 265, NULL, NULL, 21771),
(70094, '2okuA00', NULL, NULL, 131, NULL, NULL, 21772),
(70095, '2bskB00', NULL, NULL, 90, NULL, NULL, 21773),
(70096, '3dxrA00', NULL, NULL, 89, NULL, NULL, 21773),
(70097, '2bskD00', NULL, NULL, 90, NULL, NULL, 21773),
(70098, '3dxrB00', NULL, NULL, 79, NULL, NULL, 21773),
(70099, '2bskE00', NULL, NULL, 89, NULL, NULL, 21773),
(70100, '2bskF00', NULL, NULL, 73, NULL, NULL, 21773),
(70101, '3cjhB00', NULL, NULL, 64, NULL, NULL, 21773),
(70102, '3cjhI00', NULL, NULL, 64, NULL, NULL, 21773),
(70103, '1puzA00', NULL, NULL, 82, NULL, NULL, 21774),
(70104, '1x6iB00', NULL, NULL, 91, NULL, NULL, 21774),
(70105, '2lm4A01', NULL, NULL, 92, NULL, NULL, 21774),
(70106, '6c12D00', NULL, NULL, 101, NULL, NULL, 21774),
(70107, '2jr5A00', NULL, NULL, 94, NULL, NULL, 21774),
(70108, '1vk3A04', NULL, NULL, 96, NULL, NULL, 21775),
(70109, '1w36B02', NULL, NULL, 195, NULL, NULL, 21776),
(70110, '5v4dB00', NULL, NULL, 128, NULL, NULL, 21777),
(70111, '1dbfA00', NULL, NULL, 127, NULL, NULL, 21777),
(70112, '5hp7A00', NULL, NULL, 108, NULL, NULL, 21777),
(70113, '3vczA00', NULL, NULL, 128, NULL, NULL, 21777),
(70114, '2dyyK00', NULL, NULL, 126, NULL, NULL, 21777),
(70115, '4nwoB00', NULL, NULL, 114, NULL, NULL, 21777),
(70116, '3l7qA00', NULL, NULL, 125, NULL, NULL, 21777),
(70117, '3v4dB00', NULL, NULL, 134, NULL, NULL, 21777),
(70118, '5yu2B00', NULL, NULL, 130, NULL, NULL, 21777),
(70119, '1qu9A00', NULL, NULL, 128, NULL, NULL, 21777),
(70120, '3d01E00', NULL, NULL, 165, NULL, NULL, 21777),
(70121, '1xhoA00', NULL, NULL, 117, NULL, NULL, 21777),
(70122, '3kjjB00', NULL, NULL, 128, NULL, NULL, 21777),
(70123, '2uynA00', NULL, NULL, 129, NULL, NULL, 21777),
(70124, '1jd1E00', NULL, NULL, 129, NULL, NULL, 21777),
(70125, '3k12D00', NULL, NULL, 122, NULL, NULL, 21777),
(70126, '1xhoC00', NULL, NULL, 117, NULL, NULL, 21777),
(70127, '1xhoB00', NULL, NULL, 117, NULL, NULL, 21777),
(70128, '2cwjA00', NULL, NULL, 123, NULL, NULL, 21777),
(70129, '3quwA00', NULL, NULL, 126, NULL, NULL, 21777),
(70130, '3gtzA00', NULL, NULL, 124, NULL, NULL, 21777),
(70131, '3lybC00', NULL, NULL, 165, NULL, NULL, 21777),
(70132, '6izhE00', NULL, NULL, 121, NULL, NULL, 21777),
(70133, '2cvlA00', NULL, NULL, 124, NULL, NULL, 21777),
(70134, '1ufyA00', NULL, NULL, 122, NULL, NULL, 21777),
(70135, '1x25A00', NULL, NULL, 128, NULL, NULL, 21777),
(70136, '1xrgA00', NULL, NULL, 125, NULL, NULL, 21777),
(70137, '3m1xA00', NULL, NULL, 126, NULL, NULL, 21777),
(70138, '2ewcB00', NULL, NULL, 126, NULL, NULL, 21777),
(70139, '3k0tC00', NULL, NULL, 124, NULL, NULL, 21777),
(70140, '3i7tA00', NULL, NULL, 120, NULL, NULL, 21777),
(70141, '3lmeC00', NULL, NULL, 138, NULL, NULL, 21777),
(70142, '2b33B00', NULL, NULL, 140, NULL, NULL, 21777),
(70143, '5y6uA00', NULL, NULL, 125, NULL, NULL, 21777);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(70144, '3i3fB00', NULL, NULL, 141, NULL, NULL, 21777),
(70145, '1oniB00', NULL, NULL, 138, NULL, NULL, 21777),
(70146, '1nq3D00', NULL, NULL, 136, NULL, NULL, 21777),
(70147, '2ig8A00', NULL, NULL, 144, NULL, NULL, 21777),
(70148, '1pf5A00', NULL, NULL, 131, NULL, NULL, 21777),
(70149, '1qahA00', NULL, NULL, 136, NULL, NULL, 21777),
(70150, '3r0pA00', NULL, NULL, 127, NULL, NULL, 21777),
(70151, '2otmA00', NULL, NULL, 154, NULL, NULL, 21777),
(70152, '1j7hA00', NULL, NULL, 130, NULL, NULL, 21777),
(70153, '4zk7A00', NULL, NULL, 130, NULL, NULL, 21777),
(70154, '5u47A03', NULL, NULL, 90, NULL, NULL, 21778),
(70155, '2zc3A02', NULL, NULL, 90, NULL, NULL, 21778),
(70156, '1ikpA02', NULL, NULL, 158, NULL, NULL, 21779),
(70157, '3q9oA02', NULL, NULL, 167, NULL, NULL, 21779),
(70158, '5uz0A03', NULL, NULL, 168, NULL, NULL, 21780),
(70159, '5uz0A02', NULL, NULL, 147, NULL, NULL, 21780),
(70160, '4ehiB03', NULL, NULL, 131, NULL, NULL, 21780),
(70161, '1g8mB02', NULL, NULL, 166, NULL, NULL, 21780),
(70162, '4ehiA03', NULL, NULL, 139, NULL, NULL, 21780),
(70163, '4ehiB02', NULL, NULL, 124, NULL, NULL, 21780),
(70164, '4ehiA02', NULL, NULL, 156, NULL, NULL, 21780),
(70165, '1zczA03', NULL, NULL, 127, NULL, NULL, 21780),
(70166, '1thzA03', NULL, NULL, 147, NULL, NULL, 21780),
(70167, '3zzmA03', NULL, NULL, 130, NULL, NULL, 21780),
(70168, '1zczA02', NULL, NULL, 117, NULL, NULL, 21780),
(70169, '3zzmA02', NULL, NULL, 121, NULL, NULL, 21780),
(70170, '2wzoA01', NULL, NULL, 133, NULL, NULL, 21781),
(70171, '3vkgA15', NULL, NULL, 94, NULL, NULL, 21782),
(70172, '3uh8A00', NULL, NULL, 128, NULL, NULL, 21783),
(70173, '2vlaA03', NULL, NULL, 120, NULL, NULL, 21784),
(70174, '4f87B00', NULL, NULL, 72, NULL, NULL, 21785),
(70175, '4bj1A02', NULL, NULL, 158, NULL, NULL, 21786),
(70176, '3p8cF01', NULL, NULL, 105, NULL, NULL, 21787),
(70177, '3nfgP00', NULL, NULL, 123, NULL, NULL, 21788),
(70178, '2xskA00', NULL, NULL, 110, NULL, NULL, 21789),
(70179, '2n59A00', NULL, NULL, 106, NULL, NULL, 21789),
(70180, '2nn4A00', NULL, NULL, 72, NULL, NULL, 21790),
(70181, '2kc3A00', NULL, NULL, 184, NULL, NULL, 21791),
(70182, '1gs9A00', NULL, NULL, 144, NULL, NULL, 21791),
(70183, '1eq1A00', NULL, NULL, 166, NULL, NULL, 21791),
(70184, '6cfeA00', NULL, NULL, 141, NULL, NULL, 21791),
(70185, '1ya9A00', NULL, NULL, 181, NULL, NULL, 21791),
(70186, '1aepA00', NULL, NULL, 161, NULL, NULL, 21791),
(70187, '2a01C01', NULL, NULL, 185, NULL, NULL, 21791),
(70188, '3r2pA01', NULL, NULL, 139, NULL, NULL, 21791),
(70189, '3s84A02', NULL, NULL, 157, NULL, NULL, 21791),
(70190, '4a7kA02', NULL, NULL, 301, NULL, NULL, 21792),
(70191, '4dozA01', NULL, NULL, 258, NULL, NULL, 21793),
(70192, '3ungC01', NULL, NULL, 240, NULL, NULL, 21793),
(70193, '4mhcA01', NULL, NULL, 298, NULL, NULL, 21794),
(70194, '5haxA01', NULL, NULL, 276, NULL, NULL, 21794),
(70195, '4dt5A00', NULL, NULL, 143, NULL, NULL, 21795),
(70196, '3m1cB01', NULL, NULL, 115, NULL, NULL, 21796),
(70197, '4indA01', NULL, NULL, 151, NULL, NULL, 21797),
(70198, '2kq5A00', NULL, NULL, 51, NULL, NULL, 21798),
(70199, '3fs8A02', NULL, NULL, 50, NULL, NULL, 21799),
(70200, '3no0A00', NULL, NULL, 276, NULL, NULL, 21800),
(70201, '3l6vB00', NULL, NULL, 311, NULL, NULL, 21800),
(70202, '1wp5A00', NULL, NULL, 323, NULL, NULL, 21800),
(70203, '1suuA00', NULL, NULL, 312, NULL, NULL, 21800),
(70204, '4g3nA00', NULL, NULL, 309, NULL, NULL, 21800),
(70205, '5ztjA00', NULL, NULL, 312, NULL, NULL, 21800),
(70206, '1zi0B00', NULL, NULL, 307, NULL, NULL, 21800),
(70207, '3vsmA03', NULL, NULL, 94, NULL, NULL, 21801),
(70208, '1x31D00', NULL, NULL, 99, NULL, NULL, 21802),
(70209, '2gagD00', NULL, NULL, 99, NULL, NULL, 21802),
(70210, '4bkwA02', NULL, NULL, 118, NULL, NULL, 21803),
(70211, '5l16A01', NULL, NULL, 123, NULL, NULL, 21804),
(70212, '3qtyB01', NULL, NULL, 153, NULL, NULL, 21804),
(70213, '2z1uA01', NULL, NULL, 153, NULL, NULL, 21804),
(70214, '2yxzD01', NULL, NULL, 143, NULL, NULL, 21804),
(70215, '3fd5B01', NULL, NULL, 143, NULL, NULL, 21804),
(70216, '3u0oA01', NULL, NULL, 135, NULL, NULL, 21804);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(70217, '3wjpA01', NULL, NULL, 155, NULL, NULL, 21804),
(70218, '3vtiC01', NULL, NULL, 135, NULL, NULL, 21804),
(70219, '3viuA03', NULL, NULL, 183, NULL, NULL, 21804),
(70220, '3viuA02', NULL, NULL, 150, NULL, NULL, 21804),
(70221, '3kizA01', NULL, NULL, 141, NULL, NULL, 21804),
(70222, '2z1eA01', NULL, NULL, 114, NULL, NULL, 21804),
(70223, '3mdoA01', NULL, NULL, 143, NULL, NULL, 21804),
(70224, '2v9yA01', NULL, NULL, 114, NULL, NULL, 21804),
(70225, '3c9uA01', NULL, NULL, 142, NULL, NULL, 21804),
(70226, '2rb9A01', NULL, NULL, 156, NULL, NULL, 21804),
(70227, '2zauA01', NULL, NULL, 130, NULL, NULL, 21804),
(70228, '1cliB01', NULL, NULL, 150, NULL, NULL, 21804),
(70229, '2zodB01', NULL, NULL, 164, NULL, NULL, 21804),
(70230, '2btuB01', NULL, NULL, 167, NULL, NULL, 21804),
(70231, '5vk4A01', NULL, NULL, 154, NULL, NULL, 21804),
(70232, '2z01A01', NULL, NULL, 151, NULL, NULL, 21804),
(70233, '3p4eA01', NULL, NULL, 154, NULL, NULL, 21804),
(70234, '5avmA01', NULL, NULL, 114, NULL, NULL, 21804),
(70235, '1vk3A03', NULL, NULL, 147, NULL, NULL, 21804),
(70236, '5cm7B01', NULL, NULL, 149, NULL, NULL, 21804),
(70237, '1vk3A02', NULL, NULL, 135, NULL, NULL, 21804),
(70238, '3mcqA01', NULL, NULL, 141, NULL, NULL, 21804),
(70239, '2qyuA02', NULL, NULL, 195, NULL, NULL, 21805),
(70240, '3nb2A02', NULL, NULL, 155, NULL, NULL, 21805),
(70241, '1s7zA01', NULL, NULL, 107, NULL, NULL, 21806),
(70242, '6nbqE00', NULL, NULL, 101, NULL, NULL, 21807),
(70243, '5lnkK00', NULL, NULL, 98, NULL, NULL, 21807),
(70244, '6g2jK00', NULL, NULL, 98, NULL, NULL, 21807),
(70245, '5xtck00', NULL, NULL, 97, NULL, NULL, 21807),
(70246, '3rkoG00', NULL, NULL, 100, NULL, NULL, 21807),
(70247, '4he8E00', NULL, NULL, 95, NULL, NULL, 21807),
(70248, '3zliA02', NULL, NULL, 95, NULL, NULL, 21808),
(70249, '6f6dA02', NULL, NULL, 93, NULL, NULL, 21808),
(70250, '6fulA01', NULL, NULL, 120, NULL, NULL, 21808),
(70251, '6fgcA03', NULL, NULL, 98, NULL, NULL, 21809),
(70252, '1g8lA03', NULL, NULL, 92, NULL, NULL, 21809),
(70253, '6gbcA03', NULL, NULL, 97, NULL, NULL, 21809),
(70254, '1fc5A03', NULL, NULL, 92, NULL, NULL, 21809),
(70255, '1wu2A03', NULL, NULL, 99, NULL, NULL, 21809),
(70256, '1uz5A03', NULL, NULL, 97, NULL, NULL, 21809),
(70257, '3dgpA00', NULL, NULL, 80, NULL, NULL, 21810),
(70258, '3o58N02', NULL, NULL, 37, NULL, NULL, 21811),
(70259, '3giaA00', NULL, NULL, 444, NULL, NULL, 21812),
(70260, '4rv9A03', NULL, NULL, 52, NULL, NULL, 21813),
(70261, '4e2xA03', NULL, NULL, 51, NULL, NULL, 21813),
(70262, '5t67A03', NULL, NULL, 51, NULL, NULL, 21813),
(70263, '3hl8A02', NULL, NULL, 140, NULL, NULL, 21814),
(70264, '4rg8A02', NULL, NULL, 140, NULL, NULL, 21814),
(70265, '3l4jA05', NULL, NULL, 153, NULL, NULL, 21815),
(70266, '4elzB00', NULL, NULL, 133, NULL, NULL, 21815),
(70267, '4fm9A05', NULL, NULL, 149, NULL, NULL, 21815),
(70268, '4z4qA04', NULL, NULL, 89, NULL, NULL, 21815),
(70269, '3lpxA03', NULL, NULL, 124, NULL, NULL, 21815),
(70270, '3qx3A04', NULL, NULL, 123, NULL, NULL, 21815),
(70271, '1zvuA03', NULL, NULL, 140, NULL, NULL, 21815),
(70272, '1bgwA03', NULL, NULL, 141, NULL, NULL, 21815),
(70273, '6bq9A03', NULL, NULL, 87, NULL, NULL, 21815),
(70274, '2xcqA04', NULL, NULL, 89, NULL, NULL, 21815),
(70275, '4ddqA03', NULL, NULL, 90, NULL, NULL, 21815),
(70276, '4ckkC03', NULL, NULL, 124, NULL, NULL, 21815),
(70277, '1bjtA03', NULL, NULL, 106, NULL, NULL, 21815),
(70278, '3n9tA00', NULL, NULL, 290, NULL, NULL, 21816),
(70279, '5td3B00', NULL, NULL, 322, NULL, NULL, 21816),
(70280, '5umhA00', NULL, NULL, 319, NULL, NULL, 21816),
(70281, '2boyF00', NULL, NULL, 254, NULL, NULL, 21816),
(70282, '2bumA00', NULL, NULL, 209, NULL, NULL, 21816),
(70283, '3o5uA00', NULL, NULL, 257, NULL, NULL, 21816),
(70284, '1tmxB00', NULL, NULL, 293, NULL, NULL, 21816),
(70285, '2bumB00', NULL, NULL, 241, NULL, NULL, 21816),
(70286, '4whsA00', NULL, NULL, 200, NULL, NULL, 21816),
(70287, '5vxtA00', NULL, NULL, 325, NULL, NULL, 21816),
(70288, '2azqA00', NULL, NULL, 311, NULL, NULL, 21816),
(70289, '1dmhA00', NULL, NULL, 311, NULL, NULL, 21816);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(70290, '4whsD00', NULL, NULL, 238, NULL, NULL, 21816),
(70291, '3th1C00', NULL, NULL, 260, NULL, NULL, 21816),
(70292, '4ilvB00', NULL, NULL, 157, NULL, NULL, 21816),
(70293, '3hhyA02', NULL, NULL, 185, NULL, NULL, 21816),
(70294, '2xsuA00', NULL, NULL, 312, NULL, NULL, 21816),
(70295, '1q2zA00', NULL, NULL, 120, NULL, NULL, 21817),
(70296, '3ismC02', NULL, NULL, 141, NULL, NULL, 21817),
(70297, '3ismC01', NULL, NULL, 154, NULL, NULL, 21817),
(70298, '1rw2A00', NULL, NULL, 152, NULL, NULL, 21817),
(70299, '2zxeA04', NULL, NULL, 211, NULL, NULL, 21818),
(70300, '3skxA02', NULL, NULL, 118, NULL, NULL, 21818),
(70301, '3wguA04', NULL, NULL, 211, NULL, NULL, 21818),
(70302, '2kmvA01', NULL, NULL, 139, NULL, NULL, 21818),
(70303, '3gwiA00', NULL, NULL, 170, NULL, NULL, 21818),
(70304, '3a1cA02', NULL, NULL, 117, NULL, NULL, 21818),
(70305, '2arfA00', NULL, NULL, 165, NULL, NULL, 21818),
(70306, '1q3iA00', NULL, NULL, 214, NULL, NULL, 21818),
(70307, '2yj6A02', NULL, NULL, 95, NULL, NULL, 21818),
(70308, '5yluA04', NULL, NULL, 211, NULL, NULL, 21818),
(70309, '1svjA00', NULL, NULL, 136, NULL, NULL, 21818),
(70310, '3ar4A04', NULL, NULL, 244, NULL, NULL, 21818),
(70311, '5mpmA04', NULL, NULL, 243, NULL, NULL, 21818),
(70312, '2kmxA00', NULL, NULL, 185, NULL, NULL, 21818),
(70313, '1mo7A00', NULL, NULL, 213, NULL, NULL, 21818),
(70314, '4umvA04', NULL, NULL, 116, NULL, NULL, 21818),
(70315, '4bbjA04', NULL, NULL, 120, NULL, NULL, 21818),
(70316, '5ksdA04', NULL, NULL, 148, NULL, NULL, 21818),
(70317, '3viqA00', NULL, NULL, 122, NULL, NULL, 21819),
(70318, '2wyhA05', NULL, NULL, 134, NULL, NULL, 21820),
(70319, '5kbpA03', NULL, NULL, 134, NULL, NULL, 21820),
(70320, '2oebA00', NULL, NULL, 155, NULL, NULL, 21821),
(70321, '4gkfA00', NULL, NULL, 169, NULL, NULL, 21821),
(70322, '2zopA00', NULL, NULL, 114, NULL, NULL, 21821),
(70323, '2jksA01', NULL, NULL, 164, NULL, NULL, 21822),
(70324, '2jksA02', NULL, NULL, 151, NULL, NULL, 21822),
(70325, '1kzqA02', NULL, NULL, 124, NULL, NULL, 21822),
(70326, '1kzqA01', NULL, NULL, 132, NULL, NULL, 21822),
(70327, '2wnkA02', NULL, NULL, 106, NULL, NULL, 21822),
(70328, '2wnkA01', NULL, NULL, 132, NULL, NULL, 21822),
(70329, '2lorA00', NULL, NULL, 108, NULL, NULL, 21823),
(70330, '3s04A02', NULL, NULL, 109, NULL, NULL, 21824),
(70331, '1b12A02', NULL, NULL, 74, NULL, NULL, 21824),
(70332, '2lqiB00', NULL, NULL, 52, NULL, NULL, 21825),
(70333, '2e0zA02', NULL, NULL, 25, NULL, NULL, 21826),
(70334, '4bxoA01', NULL, NULL, 145, NULL, NULL, 21827),
(70335, '4bxoB01', NULL, NULL, 145, NULL, NULL, 21827),
(70336, '2bgwB01', NULL, NULL, 138, NULL, NULL, 21827),
(70337, '2ziwB01', NULL, NULL, 176, NULL, NULL, 21827),
(70338, '1j24A00', NULL, NULL, 143, NULL, NULL, 21827),
(70339, '2ziuB01', NULL, NULL, 173, NULL, NULL, 21827),
(70340, '2a1iA01', NULL, NULL, 117, NULL, NULL, 21827),
(70341, '6fxwA00', NULL, NULL, 156, NULL, NULL, 21828),
(70342, '2vvpC00', NULL, NULL, 162, NULL, NULL, 21828),
(70343, '3he8A00', NULL, NULL, 149, NULL, NULL, 21828),
(70344, '2ppwB00', NULL, NULL, 216, NULL, NULL, 21828),
(70345, '3sgwA00', NULL, NULL, 158, NULL, NULL, 21828),
(70346, '3onoA00', NULL, NULL, 214, NULL, NULL, 21828),
(70347, '4em8A00', NULL, NULL, 148, NULL, NULL, 21828),
(70348, '1nn4A00', NULL, NULL, 162, NULL, NULL, 21828),
(70349, '5ifzA00', NULL, NULL, 129, NULL, NULL, 21828),
(70350, '6mu0A00', NULL, NULL, 160, NULL, NULL, 21828),
(70351, '6fxsB00', NULL, NULL, 154, NULL, NULL, 21828),
(70352, '1o1xA00', NULL, NULL, 155, NULL, NULL, 21828),
(70353, '4lflB00', NULL, NULL, 172, NULL, NULL, 21828),
(70354, '4u8fB00', NULL, NULL, 220, NULL, NULL, 21828),
(70355, '3c5yA00', NULL, NULL, 231, NULL, NULL, 21828),
(70356, '4lflA00', NULL, NULL, 142, NULL, NULL, 21828),
(70357, '3s5pA00', NULL, NULL, 148, NULL, NULL, 21828),
(70358, '3k7pA00', NULL, NULL, 159, NULL, NULL, 21828),
(70359, '4l74A02', NULL, NULL, 30, NULL, NULL, 21829),
(70360, '2f4iB02', NULL, NULL, 118, NULL, NULL, 21830),
(70361, '2f4iA02', NULL, NULL, 118, NULL, NULL, 21830),
(70362, '2f4iD02', NULL, NULL, 118, NULL, NULL, 21830);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(70363, '2f4iC02', NULL, NULL, 118, NULL, NULL, 21830),
(70364, '2a5hA03', NULL, NULL, 62, NULL, NULL, 21831),
(70365, '3tdqB00', NULL, NULL, 81, NULL, NULL, 21832),
(70366, '2l55A00', NULL, NULL, 82, NULL, NULL, 21832),
(70367, '2qcpX01', NULL, NULL, 75, NULL, NULL, 21832),
(70368, '3nw0B02', NULL, NULL, 134, NULL, NULL, 21833),
(70369, '2wa0A02', NULL, NULL, 124, NULL, NULL, 21833),
(70370, '1sr8A02', NULL, NULL, 153, NULL, NULL, 21834),
(70371, '2bhvB02', NULL, NULL, 45, NULL, NULL, 21835),
(70372, '2bhvA02', NULL, NULL, 32, NULL, NULL, 21835),
(70373, '2xqyA01', NULL, NULL, 191, NULL, NULL, 21836),
(70374, '2xepA03', NULL, NULL, 53, NULL, NULL, 21837),
(70375, '3smpA01', NULL, NULL, 167, NULL, NULL, 21838),
(70376, '5e26A01', NULL, NULL, 167, NULL, NULL, 21838),
(70377, '6b3vA01', NULL, NULL, 164, NULL, NULL, 21838),
(70378, '2sicI00', NULL, NULL, 107, NULL, NULL, 21839),
(70379, '4hwxA00', NULL, NULL, 114, NULL, NULL, 21839),
(70380, '2wteA01', NULL, NULL, 146, NULL, NULL, 21840),
(70381, '1s5lH00', NULL, NULL, 66, NULL, NULL, 21841),
(70382, '5xnlH01', NULL, NULL, 64, NULL, NULL, 21841),
(70383, '3jcuH01', NULL, NULL, 64, NULL, NULL, 21841),
(70384, '5b66H01', NULL, NULL, 51, NULL, NULL, 21841),
(70385, '2bw2A01', NULL, NULL, 55, NULL, NULL, 21842),
(70386, '1tt5B03', NULL, NULL, 61, NULL, NULL, 21843),
(70387, '2zc2A00', NULL, NULL, 78, NULL, NULL, 21844),
(70388, '2i5uA00', NULL, NULL, 83, NULL, NULL, 21844),
(70389, '5aa6A00', NULL, NULL, 597, NULL, NULL, 21845),
(70390, '3bb0A02', NULL, NULL, 401, NULL, NULL, 21845),
(70391, '1qi9A00', NULL, NULL, 556, NULL, NULL, 21845),
(70392, '1up8A00', NULL, NULL, 598, NULL, NULL, 21845),
(70393, '5lpcA00', NULL, NULL, 639, NULL, NULL, 21845),
(70394, '1qhbA00', NULL, NULL, 596, NULL, NULL, 21845),
(70395, '4bjjB00', NULL, NULL, 100, NULL, NULL, 21846),
(70396, '5i2mA01', NULL, NULL, 91, NULL, NULL, 21847),
(70397, '4d6wA01', NULL, NULL, 92, NULL, NULL, 21847),
(70398, '3u1jB01', NULL, NULL, 94, NULL, NULL, 21848),
(70399, '5idkB01', NULL, NULL, 90, NULL, NULL, 21848),
(70400, '2ggvB01', NULL, NULL, 84, NULL, NULL, 21848),
(70401, '2f4lA02', NULL, NULL, 43, NULL, NULL, 21848),
(70402, '3syjA01', NULL, NULL, 298, NULL, NULL, 21848),
(70403, '3su0A01', NULL, NULL, 112, NULL, NULL, 21848),
(70404, '2ijd101', NULL, NULL, 180, NULL, NULL, 21848),
(70405, '3p8nA01', NULL, NULL, 88, NULL, NULL, 21848),
(70406, '5t69A01', NULL, NULL, 194, NULL, NULL, 21848),
(70407, '1wxrA01', NULL, NULL, 257, NULL, NULL, 21848),
(70408, '5gpiF01', NULL, NULL, 67, NULL, NULL, 21848),
(70409, '3szeA01', NULL, NULL, 321, NULL, NULL, 21848),
(70410, '4ri0A01', NULL, NULL, 222, NULL, NULL, 21848),
(70411, '5yofB01', NULL, NULL, 70, NULL, NULL, 21848),
(70412, '3lkwA01', NULL, NULL, 84, NULL, NULL, 21848),
(70413, '1befA01', NULL, NULL, 96, NULL, NULL, 21848),
(70414, '4a1xB01', NULL, NULL, 109, NULL, NULL, 21848),
(70415, '2wv9A01', NULL, NULL, 172, NULL, NULL, 21848),
(70416, '4r8tB01', NULL, NULL, 68, NULL, NULL, 21848),
(70417, '3pv2D01', NULL, NULL, 235, NULL, NULL, 21848),
(70418, '4b6eB01', NULL, NULL, 206, NULL, NULL, 21848),
(70419, '2ok5A02', NULL, NULL, 219, NULL, NULL, 21848),
(70420, '2fp7B01', NULL, NULL, 70, NULL, NULL, 21848),
(70421, '2fomB01', NULL, NULL, 68, NULL, NULL, 21848),
(70422, '1bt7A01', NULL, NULL, 73, NULL, NULL, 21848),
(70423, '4m9fA00', NULL, NULL, 247, NULL, NULL, 21848),
(70424, '3h09A01', NULL, NULL, 314, NULL, NULL, 21848),
(70425, '4om9A01', NULL, NULL, 316, NULL, NULL, 21848),
(70426, '3otpA01', NULL, NULL, 211, NULL, NULL, 21848),
(70427, '2whxA01', NULL, NULL, 157, NULL, NULL, 21848),
(70428, '5tfoB00', NULL, NULL, 161, NULL, NULL, 21848),
(70429, '2o8mB01', NULL, NULL, 66, NULL, NULL, 21848),
(70430, '2o8mA01', NULL, NULL, 105, NULL, NULL, 21848),
(70431, '5wdxA01', NULL, NULL, 112, NULL, NULL, 21848),
(70432, '1yj7B01', NULL, NULL, 72, NULL, NULL, 21849),
(70433, '4w4mH00', NULL, NULL, 78, NULL, NULL, 21849),
(70434, '2mkyA00', NULL, NULL, 58, NULL, NULL, 21849),
(70435, '6gfxC01', NULL, NULL, 90, NULL, NULL, 21850),
(70436, '6g5id00', NULL, NULL, 56, NULL, NULL, 21851);
INSERT INTO "PUBLIC"."MODEL" VALUES
(70437, '3j7aT00', NULL, NULL, 54, NULL, NULL, 21851),
(70438, '4bpeN00', NULL, NULL, 55, NULL, NULL, 21851),
(70439, '6az1S00', NULL, NULL, 57, NULL, NULL, 21851),
(70440, '1vx2d00', NULL, NULL, 56, NULL, NULL, 21851),
(70441, '5xxud00', NULL, NULL, 54, NULL, NULL, 21851),
(70442, '3jamd00', NULL, NULL, 56, NULL, NULL, 21851),
(70443, '3u5cd00', NULL, NULL, 56, NULL, NULL, 21851),
(70444, '5xyid00', NULL, NULL, 57, NULL, NULL, 21851),
(70445, '2vqeN00', NULL, NULL, 61, NULL, NULL, 21851),
(70446, '5o5jN00', NULL, NULL, 61, NULL, NULL, 21851),
(70447, '1a9xA02', NULL, NULL, 217, NULL, NULL, 21852),
(70448, '1gsaA02', NULL, NULL, 121, NULL, NULL, 21852),
(70449, '5ks8A00', NULL, NULL, 405, NULL, NULL, 21852),
(70450, '1a9xA06', NULL, NULL, 203, NULL, NULL, 21852),
(70451, '3nuaA02', NULL, NULL, 136, NULL, NULL, 21852),
(70452, '3mjfA03', NULL, NULL, 139, NULL, NULL, 21852),
(70453, '4fu0A02', NULL, NULL, 160, NULL, NULL, 21852),
(70454, '3ufxB01', NULL, NULL, 154, NULL, NULL, 21852),
(70455, '4e4tA03', NULL, NULL, 202, NULL, NULL, 21852),
(70456, '2fb9A02', NULL, NULL, 152, NULL, NULL, 21852),
(70457, '2i87B02', NULL, NULL, 174, NULL, NULL, 21852),
(70458, '5jvjA03', NULL, NULL, 98, NULL, NULL, 21852),
(70459, '3va7A02', NULL, NULL, 244, NULL, NULL, 21852),
(70460, '5oesA02', NULL, NULL, 108, NULL, NULL, 21852),
(70461, '5hv6A02', NULL, NULL, 130, NULL, NULL, 21852),
(70462, '3q2oA03', NULL, NULL, 190, NULL, NULL, 21852),
(70463, '3lp8A03', NULL, NULL, 138, NULL, NULL, 21852),
(70464, '5tdeA01', NULL, NULL, 160, NULL, NULL, 21852),
(70465, '1ulzA03', NULL, NULL, 250, NULL, NULL, 21852),
(70466, '2olsA02', NULL, NULL, 165, NULL, NULL, 21852),
(70467, '2yrxA03', NULL, NULL, 136, NULL, NULL, 21852),
(70468, '3vpbB03', NULL, NULL, 112, NULL, NULL, 21852),
(70469, '4hnvB01', NULL, NULL, 346, NULL, NULL, 21852),
(70470, '4egjC02', NULL, NULL, 152, NULL, NULL, 21852),
(70471, '4rcnA01', NULL, NULL, 403, NULL, NULL, 21852),
(70472, '5dmxB02', NULL, NULL, 201, NULL, NULL, 21852),
(70473, '1auvA03', NULL, NULL, 119, NULL, NULL, 21852),
(70474, '4mamB03', NULL, NULL, 196, NULL, NULL, 21852),
(70475, '1i7nA03', NULL, NULL, 119, NULL, NULL, 21852),
(70476, '4yj3F02', NULL, NULL, 191, NULL, NULL, 21852),
(70477, '2xclA03', NULL, NULL, 136, NULL, NULL, 21852),
(70478, '2r7kA02', NULL, NULL, 186, NULL, NULL, 21852),
(70479, '2z04B03', NULL, NULL, 195, NULL, NULL, 21852),
(70480, '1vbgA03', NULL, NULL, 98, NULL, NULL, 21852),
(70481, '1kblA06', NULL, NULL, 98, NULL, NULL, 21852),
(70482, '2pbzA02', NULL, NULL, 181, NULL, NULL, 21852),
(70483, '3vpdA03', NULL, NULL, 109, NULL, NULL, 21852),
(70484, '5bphA02', NULL, NULL, 149, NULL, NULL, 21852),
(70485, '2gqsA02', NULL, NULL, 136, NULL, NULL, 21852),
(70486, '3tiiB02', NULL, NULL, 191, NULL, NULL, 21852),
(70487, '3hblC03', NULL, NULL, 254, NULL, NULL, 21852),
(70488, '1m0wA02', NULL, NULL, 108, NULL, NULL, 21852),
(70489, '2yw2A03', NULL, NULL, 136, NULL, NULL, 21852),
(70490, '4egqB02', NULL, NULL, 151, NULL, NULL, 21852),
(70491, '3r9rA02', NULL, NULL, 145, NULL, NULL, 21852),
(70492, '3ethA02', NULL, NULL, 223, NULL, NULL, 21852),
(70493, '3votB02', NULL, NULL, 323, NULL, NULL, 21852),
(70494, '1vkzA03', NULL, NULL, 134, NULL, NULL, 21852),
(70495, '4fe2A02', NULL, NULL, 136, NULL, NULL, 21852),
(70496, '5d8dE02', NULL, NULL, 155, NULL, NULL, 21852),
(70497, '2pvpA02', NULL, NULL, 146, NULL, NULL, 21852),
(70498, '1bxrC02', NULL, NULL, 285, NULL, NULL, 21852),
(70499, '4egjD02', NULL, NULL, 172, NULL, NULL, 21852),
(70500, '3u55A02', NULL, NULL, 136, NULL, NULL, 21852),
(70501, '3orqA02', NULL, NULL, 214, NULL, NULL, 21852),
(70502, '2x0sA03', NULL, NULL, 121, NULL, NULL, 21852),
(70503, '1uc8A03', NULL, NULL, 108, NULL, NULL, 21852),
(70504, '4xymB01', NULL, NULL, 152, NULL, NULL, 21852),
(70505, '5dmxA02', NULL, NULL, 150, NULL, NULL, 21852),
(70506, '3n6rG03', NULL, NULL, 256, NULL, NULL, 21852),
(70507, '2p0aA02', NULL, NULL, 119, NULL, NULL, 21852),
(70508, '5h80B03', NULL, NULL, 263, NULL, NULL, 21852),
(70509, '1pk8A03', NULL, NULL, 119, NULL, NULL, 21852); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(70510, '3k5iA03', NULL, NULL, 198, NULL, NULL, 21852),
(70511, '3kalA02', NULL, NULL, 108, NULL, NULL, 21852),
(70512, '6f7cF02', NULL, NULL, 229, NULL, NULL, 21852),
(70513, '5k2mA03', NULL, NULL, 108, NULL, NULL, 21852),
(70514, '3ax6A03', NULL, NULL, 196, NULL, NULL, 21852),
(70515, '1z2nX02', NULL, NULL, 109, NULL, NULL, 21852),
(70516, '3wnzA03', NULL, NULL, 144, NULL, NULL, 21852),
(70517, '6dgiA02', NULL, NULL, 144, NULL, NULL, 21852),
(70518, '1kutA02', NULL, NULL, 133, NULL, NULL, 21852),
(70519, '2cnqA02', NULL, NULL, 146, NULL, NULL, 21852),
(70520, '3g8dA02', NULL, NULL, 241, NULL, NULL, 21852),
(70521, '2ywvA02', NULL, NULL, 137, NULL, NULL, 21852),
(70522, '1t36A06', NULL, NULL, 271, NULL, NULL, 21852),
(70523, '4fflA02', NULL, NULL, 269, NULL, NULL, 21852),
(70524, '1e4eA01', NULL, NULL, 158, NULL, NULL, 21852),
(70525, '5zctA03', NULL, NULL, 126, NULL, NULL, 21852),
(70526, '3kreA02', NULL, NULL, 140, NULL, NULL, 21852),
(70527, '4qslD01', NULL, NULL, 430, NULL, NULL, 21852),
(70528, '2hgsA02', NULL, NULL, 111, NULL, NULL, 21852),
(70529, '2nu8B01', NULL, NULL, 155, NULL, NULL, 21852),
(70530, '4eg0B02', NULL, NULL, 152, NULL, NULL, 21852),
(70531, '1kjqB03', NULL, NULL, 194, NULL, NULL, 21852),
(70532, '2vqdA02', NULL, NULL, 286, NULL, NULL, 21852),
(70533, '2q7dA02', NULL, NULL, 206, NULL, NULL, 21852),
(70534, '3i12A02', NULL, NULL, 166, NULL, NULL, 21852),
(70535, '3u9tA02', NULL, NULL, 299, NULL, NULL, 21852),
(70536, '3lwbA02', NULL, NULL, 147, NULL, NULL, 21852),
(70537, '3t7aA02', NULL, NULL, 202, NULL, NULL, 21852),
(70538, '5vevA03', NULL, NULL, 139, NULL, NULL, 21852),
(70539, '4izoA03', NULL, NULL, 202, NULL, NULL, 21852),
(70540, '3tqtA02', NULL, NULL, 173, NULL, NULL, 21852),
(70541, '5i47B03', NULL, NULL, 104, NULL, NULL, 21852),
(70542, '2fp4B01', NULL, NULL, 155, NULL, NULL, 21852),
(70543, '5mlkB02', NULL, NULL, 254, NULL, NULL, 21852),
(70544, '2r85A02', NULL, NULL, 185, NULL, NULL, 21852),
(70545, '3r5xD02', NULL, NULL, 155, NULL, NULL, 21852),
(70546, '1gsoA03', NULL, NULL, 139, NULL, NULL, 21852),
(70547, '2ip4A03', NULL, NULL, 137, NULL, NULL, 21852),
(70548, '2dwcA03', NULL, NULL, 230, NULL, NULL, 21852),
(70549, '3u9sE03', NULL, NULL, 236, NULL, NULL, 21852),
(70550, '3ouzA02', NULL, NULL, 285, NULL, NULL, 21852),
(70551, '4dimA03', NULL, NULL, 214, NULL, NULL, 21852),
(70552, '3r5fA02', NULL, NULL, 169, NULL, NULL, 21852),
(70553, '3glkA04', NULL, NULL, 265, NULL, NULL, 21852),
(70554, '3k3pA02', NULL, NULL, 164, NULL, NULL, 21852),
(70555, '2pn1A03', NULL, NULL, 120, NULL, NULL, 21852),
(70556, '3df7A02', NULL, NULL, 137, NULL, NULL, 21852),
(70557, '2qk4A03', NULL, NULL, 139, NULL, NULL, 21852),
(70558, '2z02A02', NULL, NULL, 137, NULL, NULL, 21852),
(70559, '1ehiA02', NULL, NULL, 159, NULL, NULL, 21852),
(70560, '1wr2A01', NULL, NULL, 160, NULL, NULL, 21852),
(70561, '2yl2B04', NULL, NULL, 265, NULL, NULL, 21852),
(70562, '2dzdA03', NULL, NULL, 254, NULL, NULL, 21852),
(70563, '4c5cA02', NULL, NULL, 149, NULL, NULL, 21852),
(70564, '2vpqA02', NULL, NULL, 295, NULL, NULL, 21852),
(70565, '4qshA02', NULL, NULL, 256, NULL, NULL, 21852),
(70566, '2wyoD02', NULL, NULL, 129, NULL, NULL, 21852),
(70567, '3tw6C01', NULL, NULL, 477, NULL, NULL, 21852),
(70568, '4mv4A02', NULL, NULL, 290, NULL, NULL, 21852),
(70569, '3se7C02', NULL, NULL, 161, NULL, NULL, 21852),
(70570, '2qf7B03', NULL, NULL, 257, NULL, NULL, 21852),
(70571, '1w96C04', NULL, NULL, 256, NULL, NULL, 21852),
(70572, '3aw8A03', NULL, NULL, 195, NULL, NULL, 21852),
(70573, '3lm4A02', NULL, NULL, 188, NULL, NULL, 21853),
(70574, '3lm4A01', NULL, NULL, 136, NULL, NULL, 21853),
(70575, '2ei0A02', NULL, NULL, 164, NULL, NULL, 21853),
(70576, '1sp8C02', NULL, NULL, 224, NULL, NULL, 21853),
(70577, '1jc4A00', NULL, NULL, 148, NULL, NULL, 21853),
(70578, '1sp8C01', NULL, NULL, 175, NULL, NULL, 21853),
(70579, '1mpyA02', NULL, NULL, 158, NULL, NULL, 21853),
(70580, '1mpyA01', NULL, NULL, 149, NULL, NULL, 21853),
(70581, '1f1xA01', NULL, NULL, 138, NULL, NULL, 21853),
(70582, '3zgjA02', NULL, NULL, 196, NULL, NULL, 21853);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(70583, '5zszA02', NULL, NULL, 147, NULL, NULL, 21853),
(70584, '3zgjA01', NULL, NULL, 175, NULL, NULL, 21853),
(70585, '5f6qA01', NULL, NULL, 138, NULL, NULL, 21853),
(70586, '5umpA00', NULL, NULL, 140, NULL, NULL, 21853),
(70587, '3ghjA00', NULL, NULL, 116, NULL, NULL, 21853),
(70588, '2wl9A01', NULL, NULL, 135, NULL, NULL, 21853),
(70589, '1twuA00', NULL, NULL, 139, NULL, NULL, 21853),
(70590, '2qqzA01', NULL, NULL, 115, NULL, NULL, 21853),
(70591, '2wl3D02', NULL, NULL, 150, NULL, NULL, 21853),
(70592, '2rk9B00', NULL, NULL, 145, NULL, NULL, 21853),
(70593, '3pkvA00', NULL, NULL, 228, NULL, NULL, 21853),
(70594, '2c21A00', NULL, NULL, 144, NULL, NULL, 21853),
(70595, '3r6aB00', NULL, NULL, 128, NULL, NULL, 21853),
(70596, '4n04A00', NULL, NULL, 116, NULL, NULL, 21853),
(70597, '3zi1A01', NULL, NULL, 138, NULL, NULL, 21853),
(70598, '4gymB00', NULL, NULL, 149, NULL, NULL, 21853),
(70599, '1qtoA00', NULL, NULL, 122, NULL, NULL, 21853),
(70600, '1sqiB02', NULL, NULL, 192, NULL, NULL, 21853),
(70601, '3gm5A00', NULL, NULL, 159, NULL, NULL, 21853),
(70602, '3zi1A02', NULL, NULL, 145, NULL, NULL, 21853),
(70603, '2a4xA00', NULL, NULL, 138, NULL, NULL, 21853),
(70604, '4pavB00', NULL, NULL, 145, NULL, NULL, 21853),
(70605, '1lgtA02', NULL, NULL, 165, NULL, NULL, 21853),
(70606, '2rk0A01', NULL, NULL, 121, NULL, NULL, 21853),
(70607, '1lgtA01', NULL, NULL, 132, NULL, NULL, 21853),
(70608, '6bu2A00', NULL, NULL, 151, NULL, NULL, 21853),
(70609, '1tsjA00', NULL, NULL, 139, NULL, NULL, 21853),
(70610, '2qntA01', NULL, NULL, 131, NULL, NULL, 21853),
(70611, '2rbbA00', NULL, NULL, 141, NULL, NULL, 21853),
(70612, '5znhA01', NULL, NULL, 146, NULL, NULL, 21853),
(70613, '3opyB01', NULL, NULL, 155, NULL, NULL, 21853),
(70614, '5kefA00', NULL, NULL, 153, NULL, NULL, 21853),
(70615, '4mtsA00', NULL, NULL, 131, NULL, NULL, 21853),
(70616, '4hc5D00', NULL, NULL, 133, NULL, NULL, 21853),
(70617, '6bnzA02', NULL, NULL, 140, NULL, NULL, 21853),
(70618, '1k4nA00', NULL, NULL, 192, NULL, NULL, 21853),
(70619, '4g6xA00', NULL, NULL, 133, NULL, NULL, 21853),
(70620, '3hpyA01', NULL, NULL, 150, NULL, NULL, 21853),
(70621, '5c68A00', NULL, NULL, 126, NULL, NULL, 21853),
(70622, '1r9cA00', NULL, NULL, 139, NULL, NULL, 21853),
(70623, '3hpyA02', NULL, NULL, 139, NULL, NULL, 21853),
(70624, '2ehzA01', NULL, NULL, 138, NULL, NULL, 21853),
(70625, '2r5vB02', NULL, NULL, 204, NULL, NULL, 21853),
(70626, '2zyqA01', NULL, NULL, 133, NULL, NULL, 21853),
(70627, '2zyqA02', NULL, NULL, 167, NULL, NULL, 21853),
(70628, '1u69D00', NULL, NULL, 163, NULL, NULL, 21853),
(70629, '4jh2A01', NULL, NULL, 135, NULL, NULL, 21853),
(70630, '2pjsA01', NULL, NULL, 103, NULL, NULL, 21853),
(70631, '2p7oA00', NULL, NULL, 133, NULL, NULL, 21853),
(70632, '1nkiA00', NULL, NULL, 135, NULL, NULL, 21853),
(70633, '2za0B00', NULL, NULL, 184, NULL, NULL, 21853),
(70634, '1sqiA01', NULL, NULL, 174, NULL, NULL, 21853),
(70635, '3p8aA01', NULL, NULL, 162, NULL, NULL, 21853),
(70636, '3fcdB00', NULL, NULL, 134, NULL, NULL, 21853),
(70637, '1xy7B00', NULL, NULL, 145, NULL, NULL, 21853),
(70638, '3g12B00', NULL, NULL, 128, NULL, NULL, 21853),
(70639, '3rmuA00', NULL, NULL, 134, NULL, NULL, 21853),
(70640, '4nvsA00', NULL, NULL, 163, NULL, NULL, 21853),
(70641, '3hdpA00', NULL, NULL, 133, NULL, NULL, 21853),
(70642, '1u6lA01', NULL, NULL, 141, NULL, NULL, 21853),
(70643, '3ey8A01', NULL, NULL, 122, NULL, NULL, 21853),
(70644, '2r6uA01', NULL, NULL, 124, NULL, NULL, 21853),
(70645, '1npbA00', NULL, NULL, 141, NULL, NULL, 21853),
(70646, '2i7rA00', NULL, NULL, 118, NULL, NULL, 21853),
(70647, '3r4qA01', NULL, NULL, 132, NULL, NULL, 21853),
(70648, '1zswA01', NULL, NULL, 188, NULL, NULL, 21853),
(70649, '1zswA02', NULL, NULL, 150, NULL, NULL, 21853),
(70650, '3isqA02', NULL, NULL, 210, NULL, NULL, 21853),
(70651, '3isqA01', NULL, NULL, 167, NULL, NULL, 21853),
(70652, '2r5vA01', NULL, NULL, 152, NULL, NULL, 21853),
(70653, '4qb5D00', NULL, NULL, 148, NULL, NULL, 21853),
(70654, '3oa4A01', NULL, NULL, 137, NULL, NULL, 21853),
(70655, '1ss4A00', NULL, NULL, 153, NULL, NULL, 21853);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(70656, '4nazA01', NULL, NULL, 141, NULL, NULL, 21853),
(70657, '3l7tA01', NULL, NULL, 127, NULL, NULL, 21853),
(70658, '1cjxB02', NULL, NULL, 202, NULL, NULL, 21853),
(70659, '1xrkB00', NULL, NULL, 124, NULL, NULL, 21853),
(70660, '1ecsA00', NULL, NULL, 126, NULL, NULL, 21853),
(70661, '3b59A02', NULL, NULL, 148, NULL, NULL, 21853),
(70662, '3kolA01', NULL, NULL, 136, NULL, NULL, 21853),
(70663, '1f9zA00', NULL, NULL, 135, NULL, NULL, 21853),
(70664, '3b59A01', NULL, NULL, 123, NULL, NULL, 21853),
(70665, '4z6mA02', NULL, NULL, 139, NULL, NULL, 21853),
(70666, '4z6mA01', NULL, NULL, 139, NULL, NULL, 21853),
(70667, '1kw3B01', NULL, NULL, 132, NULL, NULL, 21853),
(70668, '1kw3B02', NULL, NULL, 154, NULL, NULL, 21853),
(70669, '3bqxA00', NULL, NULL, 150, NULL, NULL, 21853),
(70670, '3vb0A01', NULL, NULL, 130, NULL, NULL, 21853),
(70671, '4z04A00', NULL, NULL, 131, NULL, NULL, 21853),
(70672, '3vb0A02', NULL, NULL, 164, NULL, NULL, 21853),
(70673, '4mymA00', NULL, NULL, 176, NULL, NULL, 21853),
(70674, '3sk2A00', NULL, NULL, 132, NULL, NULL, 21853),
(70675, '5cj3A00', NULL, NULL, 135, NULL, NULL, 21853),
(70676, '3e5dA00', NULL, NULL, 127, NULL, NULL, 21853),
(70677, '2p25A01', NULL, NULL, 119, NULL, NULL, 21853),
(70678, '2zw5A02', NULL, NULL, 119, NULL, NULL, 21853),
(70679, '3oajA02', NULL, NULL, 144, NULL, NULL, 21853),
(70680, '3w0tA00', NULL, NULL, 187, NULL, NULL, 21853),
(70681, '3oajA01', NULL, NULL, 168, NULL, NULL, 21853),
(70682, '1xqaA01', NULL, NULL, 111, NULL, NULL, 21853),
(70683, '6bnnA01', NULL, NULL, 156, NULL, NULL, 21853),
(70684, '1f1uA01', NULL, NULL, 148, NULL, NULL, 21853),
(70685, '1f1uA02', NULL, NULL, 159, NULL, NULL, 21853),
(70686, '5uhjA00', NULL, NULL, 129, NULL, NULL, 21853),
(70687, '3oxhA01', NULL, NULL, 158, NULL, NULL, 21853),
(70688, '3oxhA02', NULL, NULL, 124, NULL, NULL, 21853),
(70689, '1t47A01', NULL, NULL, 178, NULL, NULL, 21853),
(70690, '1t47A02', NULL, NULL, 203, NULL, NULL, 21853),
(70691, '3ct8A00', NULL, NULL, 146, NULL, NULL, 21853),
(70692, '5v91A00', NULL, NULL, 145, NULL, NULL, 21853),
(70693, '3ey7A01', NULL, NULL, 122, NULL, NULL, 21853),
(70694, '4rt5A00', NULL, NULL, 114, NULL, NULL, 21853),
(70695, '3rheA00', NULL, NULL, 124, NULL, NULL, 21853),
(70696, '1cjxA01', NULL, NULL, 153, NULL, NULL, 21853),
(70697, '4huzA01', NULL, NULL, 169, NULL, NULL, 21853),
(70698, '3huhA01', NULL, NULL, 128, NULL, NULL, 21853),
(70699, '4lqbA00', NULL, NULL, 130, NULL, NULL, 21853),
(70700, '3zw5A01', NULL, NULL, 119, NULL, NULL, 21853),
(70701, '4huzA02', NULL, NULL, 151, NULL, NULL, 21853),
(70702, '1tfzA01', NULL, NULL, 197, NULL, NULL, 21853),
(70703, '1tfzA02', NULL, NULL, 211, NULL, NULL, 21853),
(70704, '5vb0C00', NULL, NULL, 144, NULL, NULL, 21853),
(70705, '3rriA00', NULL, NULL, 135, NULL, NULL, 21853),
(70706, '4gymA00', NULL, NULL, 149, NULL, NULL, 21853),
(70707, '3e0rB01', NULL, NULL, 123, NULL, NULL, 21853),
(70708, '3bxjB03', NULL, NULL, 219, NULL, NULL, 21854),
(70709, '1nf1A02', NULL, NULL, 211, NULL, NULL, 21854),
(70710, '1nf1A01', NULL, NULL, 101, NULL, NULL, 21854),
(70711, '5e6pA01', NULL, NULL, 433, NULL, NULL, 21854),
(70712, '1werA01', NULL, NULL, 176, NULL, NULL, 21854),
(70713, '3fayA00', NULL, NULL, 387, NULL, NULL, 21854),
(70714, '3rytA01', NULL, NULL, 448, NULL, NULL, 21854),
(70715, '3ig3A01', NULL, NULL, 452, NULL, NULL, 21854),
(70716, '5cjpE01', NULL, NULL, 343, NULL, NULL, 21854),
(70717, '3hm6X01', NULL, NULL, 405, NULL, NULL, 21854),
(70718, '5v6rB01', NULL, NULL, 441, NULL, NULL, 21854),
(70719, '1werA02', NULL, NULL, 158, NULL, NULL, 21854),
(70720, '4m8nC01', NULL, NULL, 453, NULL, NULL, 21854),
(70721, '1wazA00', NULL, NULL, 46, NULL, NULL, 21855),
(70722, '2lj2A00', NULL, NULL, 60, NULL, NULL, 21855),
(70723, '2m67A00', NULL, NULL, 81, NULL, NULL, 21855),
(70724, '3fqmA02', NULL, NULL, 86, NULL, NULL, 21856),
(70725, '4cl1B02', NULL, NULL, 86, NULL, NULL, 21856),
(70726, '3lvqE02', NULL, NULL, 74, NULL, NULL, 21857),
(70727, '2kseA00', NULL, NULL, 77, NULL, NULL, 21858),
(70728, '2pusA05', NULL, NULL, 84, NULL, NULL, 21859);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(70729, '3d03A02', NULL, NULL, 126, NULL, NULL, 21860),
(70730, '4g59C01', NULL, NULL, 105, NULL, NULL, 21861),
(70731, '2o5nB01', NULL, NULL, 111, NULL, NULL, 21861),
(70732, '2qvwA04', NULL, NULL, 147, NULL, NULL, 21862),
(70733, '1vw4900', NULL, NULL, 225, NULL, NULL, 21862),
(70734, '1vw4501', NULL, NULL, 234, NULL, NULL, 21862),
(70735, '2qvwC06', NULL, NULL, 156, NULL, NULL, 21862),
(70736, '4oogC01', NULL, NULL, 162, NULL, NULL, 21862),
(70737, '1u61A00', NULL, NULL, 138, NULL, NULL, 21862),
(70738, '1o0wA01', NULL, NULL, 154, NULL, NULL, 21862),
(70739, '2eb1C00', NULL, NULL, 200, NULL, NULL, 21862),
(70740, '3c4bA01', NULL, NULL, 198, NULL, NULL, 21862),
(70741, '2a11A00', NULL, NULL, 157, NULL, NULL, 21862),
(70742, '3rv1B02', NULL, NULL, 162, NULL, NULL, 21862),
(70743, '3o2rA00', NULL, NULL, 144, NULL, NULL, 21862),
(70744, '2nugA01', NULL, NULL, 149, NULL, NULL, 21862),
(70745, '2gslF00', NULL, NULL, 137, NULL, NULL, 21862),
(70746, '4ounA00', NULL, NULL, 140, NULL, NULL, 21862),
(70747, '1s4cC00', NULL, NULL, 155, NULL, NULL, 21863),
(70748, '5a29A01', NULL, NULL, 426, NULL, NULL, 21864),
(70749, '1w6kA02', NULL, NULL, 376, NULL, NULL, 21864),
(70750, '1w6kA03', NULL, NULL, 285, NULL, NULL, 21864),
(70751, '4mu9B00', NULL, NULL, 364, NULL, NULL, 21864),
(70752, '4c1sA00', NULL, NULL, 375, NULL, NULL, 21864),
(70753, '2sqcA02', NULL, NULL, 272, NULL, NULL, 21864),
(70754, '2h6fB00', NULL, NULL, 437, NULL, NULL, 21864),
(70755, '2bb6A01', NULL, NULL, 301, NULL, NULL, 21864),
(70756, '3oxuB00', NULL, NULL, 301, NULL, NULL, 21864),
(70757, '4ydeB00', NULL, NULL, 478, NULL, NULL, 21864),
(70758, '4zrpA01', NULL, NULL, 298, NULL, NULL, 21864),
(70759, '2sqcA01', NULL, NULL, 347, NULL, NULL, 21864),
(70760, '2wy8A00', NULL, NULL, 294, NULL, NULL, 21864),
(70761, '2b39A11', NULL, NULL, 305, NULL, NULL, 21864),
(70762, '2pn5A09', NULL, NULL, 291, NULL, NULL, 21864),
(70763, '4v1sA00', NULL, NULL, 360, NULL, NULL, 21864),
(70764, '3k7xA00', NULL, NULL, 349, NULL, NULL, 21864),
(70765, '4lnvA09', NULL, NULL, 291, NULL, NULL, 21864),
(70766, '1qqfA00', NULL, NULL, 277, NULL, NULL, 21864),
(70767, '4kkiA01', NULL, NULL, 287, NULL, NULL, 21864),
(70768, '1hzfA00', NULL, NULL, 328, NULL, NULL, 21864),
(70769, '5agdA00', NULL, NULL, 337, NULL, NULL, 21864),
(70770, '2v8iA01', NULL, NULL, 411, NULL, NULL, 21864),
(70771, '2g0dA00', NULL, NULL, 409, NULL, NULL, 21864),
(70772, '1gxmB00', NULL, NULL, 332, NULL, NULL, 21864),
(70773, '4l9pB00', NULL, NULL, 452, NULL, NULL, 21864),
(70774, '3draB00', NULL, NULL, 390, NULL, NULL, 21864),
(70775, '3cu7A11', NULL, NULL, 325, NULL, NULL, 21864),
(70776, '2pmvB00', NULL, NULL, 273, NULL, NULL, 21864),
(70777, '1r76A00', NULL, NULL, 408, NULL, NULL, 21864),
(70778, '3dssB00', NULL, NULL, 331, NULL, NULL, 21864),
(70779, '1n4qB00', NULL, NULL, 360, NULL, NULL, 21864),
(70780, '3q7aB00', NULL, NULL, 520, NULL, NULL, 21864),
(70781, '3askA02', NULL, NULL, 158, NULL, NULL, 21865),
(70782, '2ebeA00', NULL, NULL, 106, NULL, NULL, 21866),
(70783, '4ebaG00', NULL, NULL, 83, NULL, NULL, 21867),
(70784, '2l9bA00', NULL, NULL, 109, NULL, NULL, 21867),
(70785, '3ckdA01', NULL, NULL, 81, NULL, NULL, 21868),
(70786, '2rbgA00', NULL, NULL, 126, NULL, NULL, 21869),
(70787, '2i1sA00', NULL, NULL, 188, NULL, NULL, 21870),
(70788, '1fbtA00', NULL, NULL, 190, NULL, NULL, 21871),
(70789, '5vveA00', NULL, NULL, 258, NULL, NULL, 21871),
(70790, '2gfiA02', NULL, NULL, 248, NULL, NULL, 21871),
(70791, '3pgmA00', NULL, NULL, 244, NULL, NULL, 21871),
(70792, '6hviA02', NULL, NULL, 203, NULL, NULL, 21871),
(70793, '3k4qA01', NULL, NULL, 391, NULL, NULL, 21871),
(70794, '2rflH00', NULL, NULL, 173, NULL, NULL, 21871),
(70795, '1v37A00', NULL, NULL, 177, NULL, NULL, 21871),
(70796, '2yn0A00', NULL, NULL, 271, NULL, NULL, 21871),
(70797, '2hhjB00', NULL, NULL, 267, NULL, NULL, 21871),
(70798, '2a6pA00', NULL, NULL, 208, NULL, NULL, 21871),
(70799, '4aruA01', NULL, NULL, 288, NULL, NULL, 21871),
(70800, '3zhcA01', NULL, NULL, 283, NULL, NULL, 21871),
(70801, '4aruA02', NULL, NULL, 125, NULL, NULL, 21871);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(70802, '5wdiB00', NULL, NULL, 265, NULL, NULL, 21871),
(70803, '4odiD00', NULL, NULL, 232, NULL, NULL, 21871),
(70804, '3r7aB00', NULL, NULL, 237, NULL, NULL, 21871),
(70805, '1dkqA02', NULL, NULL, 124, NULL, NULL, 21871),
(70806, '1qfxA02', NULL, NULL, 258, NULL, NULL, 21871),
(70807, '4hbzA00', NULL, NULL, 186, NULL, NULL, 21871),
(70808, '6nruI00', NULL, NULL, 206, NULL, NULL, 21871),
(70809, '5hr5A02', NULL, NULL, 203, NULL, NULL, 21871),
(70810, '3eozB01', NULL, NULL, 183, NULL, NULL, 21871),
(70811, '1qhfA00', NULL, NULL, 240, NULL, NULL, 21871),
(70812, '3gp3C00', NULL, NULL, 238, NULL, NULL, 21871),
(70813, '5um0A00', NULL, NULL, 235, NULL, NULL, 21871),
(70814, '3ntlB01', NULL, NULL, 251, NULL, NULL, 21871),
(70815, '4embB00', NULL, NULL, 249, NULL, NULL, 21871),
(70816, '4pzaB00', NULL, NULL, 223, NULL, NULL, 21871),
(70817, '4tsrA01', NULL, NULL, 286, NULL, NULL, 21871),
(70818, '3mxoB00', NULL, NULL, 202, NULL, NULL, 21871),
(70819, '5cdhG00', NULL, NULL, 336, NULL, NULL, 21871),
(70820, '3c7tA01', NULL, NULL, 242, NULL, NULL, 21871),
(70821, '1k6mA02', NULL, NULL, 221, NULL, NULL, 21871),
(70822, '2yn2A00', NULL, NULL, 279, NULL, NULL, 21871),
(70823, '2qniA01', NULL, NULL, 213, NULL, NULL, 21871),
(70824, '3kkkB00', NULL, NULL, 239, NULL, NULL, 21871),
(70825, '1nt4A01', NULL, NULL, 244, NULL, NULL, 21871),
(70826, '1nt4A02', NULL, NULL, 147, NULL, NULL, 21871),
(70827, '3it3B00', NULL, NULL, 342, NULL, NULL, 21871),
(70828, '3mbkA01', NULL, NULL, 243, NULL, NULL, 21871),
(70829, '4gpzB00', NULL, NULL, 236, NULL, NULL, 21871),
(70830, '3e9dB00', NULL, NULL, 265, NULL, NULL, 21871),
(70831, '1h2eA00', NULL, NULL, 207, NULL, NULL, 21871),
(70832, '4eo9A00', NULL, NULL, 243, NULL, NULL, 21871),
(70833, '1nd6A00', NULL, NULL, 354, NULL, NULL, 21871),
(70834, '3zhcB02', NULL, NULL, 123, NULL, NULL, 21871),
(70835, '1bifA02', NULL, NULL, 221, NULL, NULL, 21871),
(70836, '4jocA00', NULL, NULL, 396, NULL, NULL, 21871),
(70837, '3fjyA02', NULL, NULL, 182, NULL, NULL, 21871),
(70838, '3f3kA00', NULL, NULL, 265, NULL, NULL, 21871),
(70839, '4ij5A00', NULL, NULL, 211, NULL, NULL, 21871),
(70840, '1fztA00', NULL, NULL, 211, NULL, NULL, 21871),
(70841, '1rpaA00', NULL, NULL, 342, NULL, NULL, 21871),
(70842, '3f2iF00', NULL, NULL, 172, NULL, NULL, 21871),
(70843, '2wnhA00', NULL, NULL, 418, NULL, NULL, 21871),
(70844, '3d8hB00', NULL, NULL, 250, NULL, NULL, 21871),
(70845, '1qwoA01', NULL, NULL, 390, NULL, NULL, 21871),
(70846, '6e4bA00', NULL, NULL, 204, NULL, NULL, 21871),
(70847, '3d4iB01', NULL, NULL, 252, NULL, NULL, 21871),
(70848, '1riiB00', NULL, NULL, 239, NULL, NULL, 21871),
(70849, '3hjgA00', NULL, NULL, 213, NULL, NULL, 21871),
(70850, '4arvA02', NULL, NULL, 126, NULL, NULL, 21871),
(70851, '5cu7A00', NULL, NULL, 405, NULL, NULL, 21871),
(70852, '4arvA01', NULL, NULL, 283, NULL, NULL, 21871),
(70853, '3ntlA02', NULL, NULL, 147, NULL, NULL, 21871),
(70854, '3dcyA00', NULL, NULL, 275, NULL, NULL, 21871),
(70855, '1ujcA00', NULL, NULL, 161, NULL, NULL, 21871),
(70856, '1e59A00', NULL, NULL, 249, NULL, NULL, 21871),
(70857, '2jswA00', NULL, NULL, 189, NULL, NULL, 21872),
(70858, '1r0dB00', NULL, NULL, 206, NULL, NULL, 21872),
(70859, '3ay5A02', NULL, NULL, 197, NULL, NULL, 21872),
(70860, '4djaA04', NULL, NULL, 76, NULL, NULL, 21873),
(70861, '3zxsA04', NULL, NULL, 70, NULL, NULL, 21873),
(70862, '3rc3A02', NULL, NULL, 87, NULL, NULL, 21874),
(70863, '2md0A00', NULL, NULL, 51, NULL, NULL, 21875),
(70864, '2mekA00', NULL, NULL, 110, NULL, NULL, 21876),
(70865, '1a8oA00', NULL, NULL, 70, NULL, NULL, 21877),
(70866, '5teoB00', NULL, NULL, 110, NULL, NULL, 21877),
(70867, '5teoA00', NULL, NULL, 84, NULL, NULL, 21877),
(70868, '1eiaA02', NULL, NULL, 74, NULL, NULL, 21877),
(70869, '1d1dA02', NULL, NULL, 90, NULL, NULL, 21877),
(70870, '5o2uA00', NULL, NULL, 73, NULL, NULL, 21877),
(70871, '4ph1A00', NULL, NULL, 93, NULL, NULL, 21877),
(70872, '2l6eA00', NULL, NULL, 105, NULL, NULL, 21877),
(70873, '4u0cA02', NULL, NULL, 82, NULL, NULL, 21877),
(70874, '5na2A02', NULL, NULL, 67, NULL, NULL, 21877);
INSERT INTO "PUBLIC"."MODEL" VALUES
(70875, '3vrlC00', NULL, NULL, 83, NULL, NULL, 21877),
(70876, '3g21A00', NULL, NULL, 77, NULL, NULL, 21877),
(70877, '1qrjA02', NULL, NULL, 85, NULL, NULL, 21877),
(70878, '3g1gB00', NULL, NULL, 87, NULL, NULL, 21877),
(70879, '4cocC00', NULL, NULL, 86, NULL, NULL, 21877),
(70880, '3ds4B00', NULL, NULL, 86, NULL, NULL, 21877),
(70881, '1e6yA01', NULL, NULL, 110, NULL, NULL, 21878),
(70882, '5a0yA01', NULL, NULL, 99, NULL, NULL, 21878),
(70883, '1e6vA01', NULL, NULL, 104, NULL, NULL, 21878),
(70884, '5a8rA01', NULL, NULL, 104, NULL, NULL, 21878),
(70885, '5a8wA01', NULL, NULL, 105, NULL, NULL, 21878),
(70886, '5n28D01', NULL, NULL, 104, NULL, NULL, 21878),
(70887, '3sqgA01', NULL, NULL, 103, NULL, NULL, 21878),
(70888, '5n1qA01', NULL, NULL, 105, NULL, NULL, 21878),
(70889, '4j8zA02', NULL, NULL, 27, NULL, NULL, 21879),
(70890, '4y2lD00', NULL, NULL, 153, NULL, NULL, 21880),
(70891, '2hb0B02', NULL, NULL, 192, NULL, NULL, 21880),
(70892, '4hjiA00', NULL, NULL, 154, NULL, NULL, 21880),
(70893, '3f85A03', NULL, NULL, 160, NULL, NULL, 21880),
(70894, '2dlaA01', NULL, NULL, 160, NULL, NULL, 21881),
(70895, '2m4lA00', NULL, NULL, 99, NULL, NULL, 21882),
(70896, '4fvmA08', NULL, NULL, 90, NULL, NULL, 21883),
(70897, '1wc2A00', NULL, NULL, 181, NULL, NULL, 21884),
(70898, '2pnwA01', NULL, NULL, 212, NULL, NULL, 21884),
(70899, '5xbuA00', NULL, NULL, 190, NULL, NULL, 21884),
(70900, '4avrA00', NULL, NULL, 95, NULL, NULL, 21884),
(70901, '1bw3A00', NULL, NULL, 125, NULL, NULL, 21884),
(70902, '1n10A01', NULL, NULL, 124, NULL, NULL, 21884),
(70903, '2g5dA01', NULL, NULL, 201, NULL, NULL, 21884),
(70904, '2kqaA00', NULL, NULL, 129, NULL, NULL, 21884),
(70905, '5gm9A00', NULL, NULL, 213, NULL, NULL, 21884),
(70906, '4jp6A00', NULL, NULL, 122, NULL, NULL, 21884),
(70907, '3m3gA00', NULL, NULL, 120, NULL, NULL, 21884),
(70908, '3sujA00', NULL, NULL, 127, NULL, NULL, 21884),
(70909, '3d30A01', NULL, NULL, 108, NULL, NULL, 21884),
(70910, '3sumB00', NULL, NULL, 136, NULL, NULL, 21884),
(70911, '3sukA00', NULL, NULL, 125, NULL, NULL, 21884),
(70912, '4jcwA01', NULL, NULL, 104, NULL, NULL, 21884),
(70913, '3x2mA00', NULL, NULL, 180, NULL, NULL, 21884),
(70914, '3sulA00', NULL, NULL, 122, NULL, NULL, 21884),
(70915, '2hczX01', NULL, NULL, 141, NULL, NULL, 21884),
(70916, '3czbA01', NULL, NULL, 190, NULL, NULL, 21884),
(70917, '5h4uA00', NULL, NULL, 215, NULL, NULL, 21884),
(70918, '1l8fA00', NULL, NULL, 207, NULL, NULL, 21884),
(70919, '2engA00', NULL, NULL, 210, NULL, NULL, 21884),
(70920, '2ae0X01', NULL, NULL, 188, NULL, NULL, 21884),
(70921, '1fxkB00', NULL, NULL, 109, NULL, NULL, 21885),
(70922, '1fxkC00', NULL, NULL, 133, NULL, NULL, 21885),
(70923, '2zqmA00', NULL, NULL, 117, NULL, NULL, 21885),
(70924, '3aeiA00', NULL, NULL, 99, NULL, NULL, 21885),
(70925, '2zdiB00', NULL, NULL, 117, NULL, NULL, 21885),
(70926, '2zdiC00', NULL, NULL, 151, NULL, NULL, 21885),
(70927, '5gnpA01', NULL, NULL, 78, NULL, NULL, 21886),
(70928, '5dkoA01', NULL, NULL, 78, NULL, NULL, 21886),
(70929, '2oezA01', NULL, NULL, 80, NULL, NULL, 21886),
(70930, '1mkmA02', NULL, NULL, 14, NULL, NULL, 21887),
(70931, '3r4yA01', NULL, NULL, 21, NULL, NULL, 21887),
(70932, '1d66B02', NULL, NULL, 17, NULL, NULL, 21887),
(70933, '2j01501', NULL, NULL, 25, NULL, NULL, 21887),
(70934, '2aj2A01', NULL, NULL, 102, NULL, NULL, 21888),
(70935, '2ew0A00', NULL, NULL, 192, NULL, NULL, 21888),
(70936, '2hafA01', NULL, NULL, 102, NULL, NULL, 21888),
(70937, '2gs5A01', NULL, NULL, 189, NULL, NULL, 21888),
(70938, '2do8A01', NULL, NULL, 169, NULL, NULL, 21888),
(70939, '2muiA00', NULL, NULL, 189, NULL, NULL, 21888),
(70940, '2gzoA01', NULL, NULL, 106, NULL, NULL, 21888),
(70941, '2l60A00', NULL, NULL, 41, NULL, NULL, 21889),
(70942, '2l25A00', NULL, NULL, 141, NULL, NULL, 21890),
(70943, '1u34A00', NULL, NULL, 119, NULL, NULL, 21891),
(70944, '3ehuA03', NULL, NULL, 84, NULL, NULL, 21891),
(70945, '4dlqA01', NULL, NULL, 60, NULL, NULL, 21891),
(70946, '4zgmA00', NULL, NULL, 105, NULL, NULL, 21891),
(70947, '3n7sA00', NULL, NULL, 115, NULL, NULL, 21891);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(70948, '2jndA00', NULL, NULL, 90, NULL, NULL, 21891),
(70949, '3c4mA03', NULL, NULL, 96, NULL, NULL, 21891),
(70950, '5ii0A00', NULL, NULL, 105, NULL, NULL, 21891),
(70951, '3aqfB00', NULL, NULL, 101, NULL, NULL, 21891),
(70952, '2jodA01', NULL, NULL, 87, NULL, NULL, 21891),
(70953, '4ersA00', NULL, NULL, 96, NULL, NULL, 21891),
(70954, '2xdgA01', NULL, NULL, 71, NULL, NULL, 21891),
(70955, '2qkhA00', NULL, NULL, 94, NULL, NULL, 21891),
(70956, '4dloB01', NULL, NULL, 72, NULL, NULL, 21891),
(70957, '3n93B04', NULL, NULL, 74, NULL, NULL, 21891),
(70958, '4f55A01', NULL, NULL, 80, NULL, NULL, 21892),
(70959, '4fuoA01', NULL, NULL, 77, NULL, NULL, 21893),
(70960, '4fuoA02', NULL, NULL, 131, NULL, NULL, 21893),
(70961, '4fzqA00', NULL, NULL, 79, NULL, NULL, 21893),
(70962, '3eo5A01', NULL, NULL, 88, NULL, NULL, 21893),
(70963, '2ltjA00', NULL, NULL, 112, NULL, NULL, 21893),
(70964, '5dblA00', NULL, NULL, 132, NULL, NULL, 21893),
(70965, '2yt4A01', NULL, NULL, 38, NULL, NULL, 21894),
(70966, '1igrA01', NULL, NULL, 184, NULL, NULL, 21895),
(70967, '3p0yA00', NULL, NULL, 194, NULL, NULL, 21895),
(70968, '4uv7A01', NULL, NULL, 193, NULL, NULL, 21895),
(70969, '1m6bA03', NULL, NULL, 172, NULL, NULL, 21895),
(70970, '2a91A03', NULL, NULL, 200, NULL, NULL, 21895),
(70971, '1m6bB03', NULL, NULL, 204, NULL, NULL, 21895),
(70972, '5sx5N00', NULL, NULL, 201, NULL, NULL, 21895),
(70973, '3i2tA01', NULL, NULL, 186, NULL, NULL, 21895),
(70974, '2ahxA03', NULL, NULL, 171, NULL, NULL, 21895),
(70975, '3i2tA03', NULL, NULL, 169, NULL, NULL, 21895),
(70976, '2ahxA01', NULL, NULL, 195, NULL, NULL, 21895),
(70977, '4leoC01', NULL, NULL, 197, NULL, NULL, 21895),
(70978, '1n8zC01', NULL, NULL, 192, NULL, NULL, 21895),
(70979, '1n8yC01', NULL, NULL, 193, NULL, NULL, 21895),
(70980, '2hr7A01', NULL, NULL, 191, NULL, NULL, 21895),
(70981, '2hr7B01', NULL, NULL, 240, NULL, NULL, 21895),
(70982, '4krpA01', NULL, NULL, 190, NULL, NULL, 21895),
(70983, '2hr7B03', NULL, NULL, 161, NULL, NULL, 21895),
(70984, '1n8yC03', NULL, NULL, 168, NULL, NULL, 21895),
(70985, '1igrA03', NULL, NULL, 179, NULL, NULL, 21895),
(70986, '1j72A03', NULL, NULL, 100, NULL, NULL, 21896),
(70987, '5ivuA00', NULL, NULL, 141, NULL, NULL, 21896),
(70988, '1hqz800', NULL, NULL, 141, NULL, NULL, 21896),
(70989, '3efoB05', NULL, NULL, 121, NULL, NULL, 21896),
(70990, '1m2oA05', NULL, NULL, 105, NULL, NULL, 21896),
(70991, '1cnuA00', NULL, NULL, 137, NULL, NULL, 21896),
(70992, '5yu8H00', NULL, NULL, 166, NULL, NULL, 21896),
(70993, '1t3yA00', NULL, NULL, 141, NULL, NULL, 21896),
(70994, '2i2qA00', NULL, NULL, 137, NULL, NULL, 21896),
(70995, '2mp4A00', NULL, NULL, 165, NULL, NULL, 21896),
(70996, '1d0nA05', NULL, NULL, 96, NULL, NULL, 21896),
(70997, '5y1zA01', NULL, NULL, 134, NULL, NULL, 21896),
(70998, '1d0nA06', NULL, NULL, 127, NULL, NULL, 21896),
(70999, '1j72A02', NULL, NULL, 102, NULL, NULL, 21896),
(71000, '1d0nA03', NULL, NULL, 121, NULL, NULL, 21896),
(71001, '2w0iA00', NULL, NULL, 135, NULL, NULL, 21896),
(71002, '1j72A01', NULL, NULL, 119, NULL, NULL, 21896),
(71003, '2nutB05', NULL, NULL, 129, NULL, NULL, 21896),
(71004, '1d0nA02', NULL, NULL, 110, NULL, NULL, 21896),
(71005, '2xfaA00', NULL, NULL, 148, NULL, NULL, 21896),
(71006, '3l50A00', NULL, NULL, 136, NULL, NULL, 21896),
(71007, '3q2bA00', NULL, NULL, 124, NULL, NULL, 21896),
(71008, '1wm4A00', NULL, NULL, 142, NULL, NULL, 21896),
(71009, '3fg7A00', NULL, NULL, 121, NULL, NULL, 21896),
(71010, '1m4jA00', NULL, NULL, 142, NULL, NULL, 21896),
(71011, '1ak6A00', NULL, NULL, 174, NULL, NULL, 21896),
(71012, '5fafA00', NULL, NULL, 119, NULL, NULL, 21896),
(71013, '3ffnA03', NULL, NULL, 119, NULL, NULL, 21896),
(71014, '3fg6F03', NULL, NULL, 112, NULL, NULL, 21896),
(71015, '3tu5B00', NULL, NULL, 132, NULL, NULL, 21896),
(71016, '4pkhG00', NULL, NULL, 159, NULL, NULL, 21896),
(71017, '1svyA00', NULL, NULL, 114, NULL, NULL, 21896),
(71018, '3cipG00', NULL, NULL, 128, NULL, NULL, 21896),
(71019, '2fh1B03', NULL, NULL, 127, NULL, NULL, 21896),
(71020, '5ynrA00', NULL, NULL, 140, NULL, NULL, 21896);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(71021, '2vacA00', NULL, NULL, 134, NULL, NULL, 21896),
(71022, '3eh1A05', NULL, NULL, 129, NULL, NULL, 21896),
(71023, '2lj8A00', NULL, NULL, 144, NULL, NULL, 21896),
(71024, '4cbuG00', NULL, NULL, 127, NULL, NULL, 21896),
(71025, '3dawB00', NULL, NULL, 147, NULL, NULL, 21896),
(71026, '5a1mA00', NULL, NULL, 104, NULL, NULL, 21896),
(71027, '5l6wC00', NULL, NULL, 167, NULL, NULL, 21896),
(71028, '1rgiG03', NULL, NULL, 111, NULL, NULL, 21896),
(71029, '2lxxA00', NULL, NULL, 152, NULL, NULL, 21896),
(71030, '2vikA00', NULL, NULL, 126, NULL, NULL, 21896),
(71031, '2nutA05', NULL, NULL, 127, NULL, NULL, 21896),
(71032, '1v6fA00', NULL, NULL, 151, NULL, NULL, 21896),
(71033, '1vkkA00', NULL, NULL, 137, NULL, NULL, 21896),
(71034, '3eh2B05', NULL, NULL, 121, NULL, NULL, 21896),
(71035, '2mv2A00', NULL, NULL, 148, NULL, NULL, 21896),
(71036, '2llfA00', NULL, NULL, 107, NULL, NULL, 21896),
(71037, '1f7sA00', NULL, NULL, 139, NULL, NULL, 21896),
(71038, '1nphA01', NULL, NULL, 119, NULL, NULL, 21896),
(71039, '2kvkA00', NULL, NULL, 144, NULL, NULL, 21896),
(71040, '2l72A00', NULL, NULL, 118, NULL, NULL, 21896),
(71041, '1nphA02', NULL, NULL, 95, NULL, NULL, 21896),
(71042, '4kefA00', NULL, NULL, 143, NULL, NULL, 21896),
(71043, '2fh1A02', NULL, NULL, 95, NULL, NULL, 21896),
(71044, '3fg6A02', NULL, NULL, 94, NULL, NULL, 21896),
(71045, '3fg6A01', NULL, NULL, 99, NULL, NULL, 21896),
(71046, '1pd0A05', NULL, NULL, 152, NULL, NULL, 21896),
(71047, '1x67A01', NULL, NULL, 133, NULL, NULL, 21896),
(71048, '2fh1A01', NULL, NULL, 121, NULL, NULL, 21896),
(71049, '4lizA00', NULL, NULL, 142, NULL, NULL, 21896),
(71050, '1t44G00', NULL, NULL, 147, NULL, NULL, 21896),
(71051, '4mbqC00', NULL, NULL, 64, NULL, NULL, 21897),
(71052, '2yayA01', NULL, NULL, 136, NULL, NULL, 21898),
(71053, '1oglA01', NULL, NULL, 131, NULL, NULL, 21898),
(71054, '4dk2A01', NULL, NULL, 116, NULL, NULL, 21898),
(71055, '4d3zA02', NULL, NULL, 127, NULL, NULL, 21899),
(71056, '4fguB02', NULL, NULL, 135, NULL, NULL, 21899),
(71057, '4nomA02', NULL, NULL, 133, NULL, NULL, 21899),
(71058, '1xawA01', NULL, NULL, 99, NULL, NULL, 21900),
(71059, '3goxA02', NULL, NULL, 54, NULL, NULL, 21901),
(71060, '3tzgA00', NULL, NULL, 252, NULL, NULL, 21902),
(71061, '1ti2A01', NULL, NULL, 66, NULL, NULL, 21903),
(71062, '2lnaA00', NULL, NULL, 99, NULL, NULL, 21904),
(71063, '2ckzA01', NULL, NULL, 59, NULL, NULL, 21905),
(71064, '4fcaA03', NULL, NULL, 160, NULL, NULL, 21906),
(71065, '1jg5A00', NULL, NULL, 83, NULL, NULL, 21907),
(71066, '1f3vA00', NULL, NULL, 179, NULL, NULL, 21908),
(71067, '4zyjA03', NULL, NULL, 154, NULL, NULL, 21909),
(71068, '4xvxA03', NULL, NULL, 147, NULL, NULL, 21909),
(71069, '2ddhA04', NULL, NULL, 132, NULL, NULL, 21909),
(71070, '2ddhA03', NULL, NULL, 167, NULL, NULL, 21909),
(71071, '2fonA03', NULL, NULL, 171, NULL, NULL, 21909),
(71072, '3sf6A03', NULL, NULL, 154, NULL, NULL, 21909),
(71073, '2fonA04', NULL, NULL, 129, NULL, NULL, 21909),
(71074, '3affB03', NULL, NULL, 185, NULL, NULL, 21909),
(71075, '4n5fA03', NULL, NULL, 148, NULL, NULL, 21909),
(71076, '2rfqC03', NULL, NULL, 185, NULL, NULL, 21909),
(71077, '3fo3A03', NULL, NULL, 108, NULL, NULL, 21909),
(71078, '5iduC03', NULL, NULL, 163, NULL, NULL, 21909),
(71079, '2c0uA03', NULL, NULL, 177, NULL, NULL, 21909),
(71080, '4u83A03', NULL, NULL, 148, NULL, NULL, 21909),
(71081, '2dvlA03', NULL, NULL, 149, NULL, NULL, 21909),
(71082, '2c0uC03', NULL, NULL, 177, NULL, NULL, 21909),
(71083, '2z1qA03', NULL, NULL, 166, NULL, NULL, 21909),
(71084, '2rdzA02', NULL, NULL, 143, NULL, NULL, 21909),
(71085, '4doyA03', NULL, NULL, 183, NULL, NULL, 21909),
(71086, '1w07A03', NULL, NULL, 171, NULL, NULL, 21909),
(71087, '4o5mC03', NULL, NULL, 152, NULL, NULL, 21909),
(71088, '1w07A04', NULL, NULL, 129, NULL, NULL, 21909),
(71089, '3m9vA03', NULL, NULL, 157, NULL, NULL, 21909),
(71090, '1udyA03', NULL, NULL, 145, NULL, NULL, 21909),
(71091, '5zw7A03', NULL, NULL, 152, NULL, NULL, 21909),
(71092, '2jifA03', NULL, NULL, 154, NULL, NULL, 21909),
(71093, '3owaB04', NULL, NULL, 172, NULL, NULL, 21909);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(71094, '3sxqA03', NULL, NULL, 108, NULL, NULL, 21909),
(71095, '4ktoA03', NULL, NULL, 144, NULL, NULL, 21909),
(71096, '3owaD04', NULL, NULL, 172, NULL, NULL, 21909),
(71097, '2wbiB03', NULL, NULL, 162, NULL, NULL, 21909),
(71098, '2pg0A03', NULL, NULL, 149, NULL, NULL, 21909),
(71099, '4l1fA03', NULL, NULL, 145, NULL, NULL, 21909),
(71100, '4w9uB03', NULL, NULL, 154, NULL, NULL, 21909),
(71101, '3mpiA03', NULL, NULL, 150, NULL, NULL, 21909),
(71102, '6fahC03', NULL, NULL, 142, NULL, NULL, 21909),
(71103, '6cxtB03', NULL, NULL, 151, NULL, NULL, 21909),
(71104, '3r7kC03', NULL, NULL, 150, NULL, NULL, 21909),
(71105, '2ebaA03', NULL, NULL, 153, NULL, NULL, 21909),
(71106, '4hr3A03', NULL, NULL, 157, NULL, NULL, 21909),
(71107, '5k3jA03', NULL, NULL, 174, NULL, NULL, 21909),
(71108, '4m9aA03', NULL, NULL, 148, NULL, NULL, 21909),
(71109, '5k3jA04', NULL, NULL, 130, NULL, NULL, 21909),
(71110, '4rm7A03', NULL, NULL, 141, NULL, NULL, 21909),
(71111, '5xdcA03', NULL, NULL, 183, NULL, NULL, 21909),
(71112, '1rx0A03', NULL, NULL, 155, NULL, NULL, 21909),
(71113, '1r2jA03', NULL, NULL, 154, NULL, NULL, 21909),
(71114, '4g5eA03', NULL, NULL, 210, NULL, NULL, 21909),
(71115, '3pfdC03', NULL, NULL, 150, NULL, NULL, 21909),
(71116, '2c12A03', NULL, NULL, 177, NULL, NULL, 21909),
(71117, '5k3hB04', NULL, NULL, 133, NULL, NULL, 21909),
(71118, '4oo2A02', NULL, NULL, 206, NULL, NULL, 21909),
(71119, '5k3hB03', NULL, NULL, 161, NULL, NULL, 21909),
(71120, '2yykA03', NULL, NULL, 215, NULL, NULL, 21909),
(71121, '3p4tA03', NULL, NULL, 150, NULL, NULL, 21909),
(71122, '2ix5A03', NULL, NULL, 160, NULL, NULL, 21909),
(71123, '4p13A03', NULL, NULL, 141, NULL, NULL, 21909),
(71124, '2j7aA02', NULL, NULL, 124, NULL, NULL, 21909),
(71125, '2c0uB03', NULL, NULL, 177, NULL, NULL, 21909),
(71126, '3bnjA02', NULL, NULL, 142, NULL, NULL, 21909),
(71127, '2jbrA03', NULL, NULL, 185, NULL, NULL, 21909),
(71128, '3ubrA02', NULL, NULL, 143, NULL, NULL, 21909),
(71129, '2c0uD03', NULL, NULL, 177, NULL, NULL, 21909),
(71130, '3hwcA03', NULL, NULL, 210, NULL, NULL, 21909),
(71131, '2z1qB04', NULL, NULL, 136, NULL, NULL, 21909),
(71132, '1ivhA03', NULL, NULL, 141, NULL, NULL, 21909),
(71133, '3swoA03', NULL, NULL, 155, NULL, NULL, 21909),
(71134, '2or0A03', NULL, NULL, 188, NULL, NULL, 21909),
(71135, '4x28C03', NULL, NULL, 152, NULL, NULL, 21909),
(71136, '4irnA03', NULL, NULL, 150, NULL, NULL, 21909),
(71137, '3mxlB03', NULL, NULL, 157, NULL, NULL, 21909),
(71138, '2d29A03', NULL, NULL, 149, NULL, NULL, 21909),
(71139, '1oahA02', NULL, NULL, 142, NULL, NULL, 21909),
(71140, '3owaA04', NULL, NULL, 172, NULL, NULL, 21909),
(71141, '4x28A03', NULL, NULL, 168, NULL, NULL, 21909),
(71142, '3owaA03', NULL, NULL, 171, NULL, NULL, 21909),
(71143, '3mkhA03', NULL, NULL, 178, NULL, NULL, 21909),
(71144, '3owaC04', NULL, NULL, 172, NULL, NULL, 21909),
(71145, '4iv6A03', NULL, NULL, 149, NULL, NULL, 21909),
(71146, '1ukwA03', NULL, NULL, 153, NULL, NULL, 21909),
(71147, '1u8vB03', NULL, NULL, 213, NULL, NULL, 21909),
(71148, '2vigA03', NULL, NULL, 141, NULL, NULL, 21909),
(71149, '3ii9D03', NULL, NULL, 154, NULL, NULL, 21909),
(71150, '1jqiA03', NULL, NULL, 141, NULL, NULL, 21909),
(71151, '1bucA03', NULL, NULL, 141, NULL, NULL, 21909),
(71152, '2uxwA01', NULL, NULL, 186, NULL, NULL, 21909),
(71153, '1siqA03', NULL, NULL, 157, NULL, NULL, 21909),
(71154, '5jscA03', NULL, NULL, 141, NULL, NULL, 21909),
(71155, '2uxwA04', NULL, NULL, 130, NULL, NULL, 21909),
(71156, '3nf4B03', NULL, NULL, 141, NULL, NULL, 21909),
(71157, '1qdbA02', NULL, NULL, 143, NULL, NULL, 21909),
(71158, '5lnxB03', NULL, NULL, 143, NULL, NULL, 21909),
(71159, '1j9jA00', NULL, NULL, 247, NULL, NULL, 21910),
(71160, '2wqkA00', NULL, NULL, 251, NULL, NULL, 21910),
(71161, '2e6cA00', NULL, NULL, 244, NULL, NULL, 21910),
(71162, '3ty2A00', NULL, NULL, 261, NULL, NULL, 21910),
(71163, '5ksrB00', NULL, NULL, 270, NULL, NULL, 21910),
(71164, '4zg5A00', NULL, NULL, 263, NULL, NULL, 21910),
(71165, '1l5xA00', NULL, NULL, 280, NULL, NULL, 21910),
(71166, '4xepA00', NULL, NULL, 267, NULL, NULL, 21910);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(71167, '2ygrF02', NULL, NULL, 111, NULL, NULL, 21911),
(71168, '2vf7A03', NULL, NULL, 125, NULL, NULL, 21911),
(71169, '2r6fA04', NULL, NULL, 122, NULL, NULL, 21911),
(71170, '3zqjE04', NULL, NULL, 118, NULL, NULL, 21911),
(71171, '3hlzA02', NULL, NULL, 129, NULL, NULL, 21912),
(71172, '1xhbA02', NULL, NULL, 66, NULL, NULL, 21913),
(71173, '3bf0A02', NULL, NULL, 98, NULL, NULL, 21914),
(71174, '4owpB00', NULL, NULL, 174, NULL, NULL, 21915),
(71175, '2z3gB00', NULL, NULL, 130, NULL, NULL, 21915),
(71176, '3zpgA01', NULL, NULL, 138, NULL, NULL, 21915),
(71177, '1vq2A00', NULL, NULL, 193, NULL, NULL, 21915),
(71178, '4eg2A01', NULL, NULL, 151, NULL, NULL, 21915),
(71179, '1mq0A00', NULL, NULL, 140, NULL, NULL, 21915),
(71180, '4eg2A02', NULL, NULL, 116, NULL, NULL, 21915),
(71181, '3zefB06', NULL, NULL, 251, NULL, NULL, 21915),
(71182, '4wigA00', NULL, NULL, 133, NULL, NULL, 21915),
(71183, '4p9cA00', NULL, NULL, 138, NULL, NULL, 21915),
(71184, '2pw9D03', NULL, NULL, 156, NULL, NULL, 21915),
(71185, '3dmoA00', NULL, NULL, 138, NULL, NULL, 21915),
(71186, '3mpzA00', NULL, NULL, 131, NULL, NULL, 21915),
(71187, '2nx8A00', NULL, NULL, 179, NULL, NULL, 21915),
(71188, '1uwzA00', NULL, NULL, 136, NULL, NULL, 21915),
(71189, '2p8rA01', NULL, NULL, 247, NULL, NULL, 21915),
(71190, '2b3jC00', NULL, NULL, 159, NULL, NULL, 21915),
(71191, '4ocmA00', NULL, NULL, 187, NULL, NULL, 21915),
(71192, '2w4lD00', NULL, NULL, 178, NULL, NULL, 21915),
(71193, '5cw6A00', NULL, NULL, 166, NULL, NULL, 21915),
(71194, '1p6oA00', NULL, NULL, 161, NULL, NULL, 21915),
(71195, '1ox7B00', NULL, NULL, 161, NULL, NULL, 21915),
(71196, '1r5tA00', NULL, NULL, 142, NULL, NULL, 21915),
(71197, '3dh1B00', NULL, NULL, 173, NULL, NULL, 21915),
(71198, '4qftA00', NULL, NULL, 186, NULL, NULL, 21915),
(71199, '1wwrA00', NULL, NULL, 154, NULL, NULL, 21915),
(71200, '1oi0A00', NULL, NULL, 124, NULL, NULL, 21915),
(71201, '2nytD00', NULL, NULL, 190, NULL, NULL, 21915),
(71202, '2g6vA01', NULL, NULL, 140, NULL, NULL, 21915),
(71203, '1wkqB00', NULL, NULL, 164, NULL, NULL, 21915),
(71204, '1tiyA00', NULL, NULL, 164, NULL, NULL, 21915),
(71205, '2hxvA01', NULL, NULL, 159, NULL, NULL, 21915),
(71206, '2hvwA00', NULL, NULL, 148, NULL, NULL, 21915),
(71207, '2fr5A00', NULL, NULL, 146, NULL, NULL, 21915),
(71208, '2kcqA00', NULL, NULL, 153, NULL, NULL, 21915),
(71209, '4jxeB00', NULL, NULL, 197, NULL, NULL, 21915),
(71210, '3r2nD00', NULL, NULL, 138, NULL, NULL, 21915),
(71211, '3rzvA00', NULL, NULL, 179, NULL, NULL, 21915),
(71212, '2d30A00', NULL, NULL, 141, NULL, NULL, 21915),
(71213, '3e1uA00', NULL, NULL, 189, NULL, NULL, 21915),
(71214, '2o95B00', NULL, NULL, 187, NULL, NULL, 21915),
(71215, '2rpzA00', NULL, NULL, 192, NULL, NULL, 21915),
(71216, '1z3aA00', NULL, NULL, 168, NULL, NULL, 21915),
(71217, '3ocqA00', NULL, NULL, 146, NULL, NULL, 21915),
(71218, '2g84A01', NULL, NULL, 173, NULL, NULL, 21915),
(71219, '2znrA00', NULL, NULL, 178, NULL, NULL, 21915),
(71220, '2qlcA00', NULL, NULL, 126, NULL, NULL, 21915),
(71221, '2kksA00', NULL, NULL, 146, NULL, NULL, 21915),
(71222, '1cttA02', NULL, NULL, 115, NULL, NULL, 21915),
(71223, '1cttA01', NULL, NULL, 151, NULL, NULL, 21915),
(71224, '5w83A00', NULL, NULL, 177, NULL, NULL, 21915),
(71225, '3oj6A00', NULL, NULL, 134, NULL, NULL, 21915),
(71226, '4f3wB00', NULL, NULL, 135, NULL, NULL, 21915),
(71227, '4kitC00', NULL, NULL, 278, NULL, NULL, 21915),
(71228, '2b3zD01', NULL, NULL, 146, NULL, NULL, 21915),
(71229, '3b8fB00', NULL, NULL, 142, NULL, NULL, 21915),
(71230, '5m59D00', NULL, NULL, 276, NULL, NULL, 21915),
(71231, '2a8nB00', NULL, NULL, 144, NULL, NULL, 21915),
(71232, '4e0qA00', NULL, NULL, 141, NULL, NULL, 21915),
(71233, '4f7oA00', NULL, NULL, 257, NULL, NULL, 21915),
(71234, '2og4A01', NULL, NULL, 245, NULL, NULL, 21915),
(71235, '4o8yB00', NULL, NULL, 166, NULL, NULL, 21915),
(71236, '3g8qA01', NULL, NULL, 113, NULL, NULL, 21915),
(71237, '2fupA00', NULL, NULL, 131, NULL, NULL, 21916),
(71238, '3opcA01', NULL, NULL, 124, NULL, NULL, 21916),
(71239, '2gbbB00', NULL, NULL, 156, NULL, NULL, 21917);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(71240, '5vhtA00', NULL, NULL, 99, NULL, NULL, 21917),
(71241, '5hubA00', NULL, NULL, 90, NULL, NULL, 21917),
(71242, '1ybzA00', NULL, NULL, 91, NULL, NULL, 21917),
(71243, '5j6fA01', NULL, NULL, 94, NULL, NULL, 21917),
(71244, '2fp1B00', NULL, NULL, 166, NULL, NULL, 21917),
(71245, '5gmuB00', NULL, NULL, 90, NULL, NULL, 21917),
(71246, '6cnzF00', NULL, NULL, 180, NULL, NULL, 21917),
(71247, '5mpvD00', NULL, NULL, 90, NULL, NULL, 21917),
(71248, '3nvtB01', NULL, NULL, 86, NULL, NULL, 21917),
(71249, '3nvtA01', NULL, NULL, 87, NULL, NULL, 21917),
(71250, '3rmiA00', NULL, NULL, 114, NULL, NULL, 21917),
(71251, '1ecmB00', NULL, NULL, 109, NULL, NULL, 21917),
(71252, '2gtvX00', NULL, NULL, 104, NULL, NULL, 21917),
(71253, '2vklA00', NULL, NULL, 90, NULL, NULL, 21917),
(71254, '5ts9B00', NULL, NULL, 173, NULL, NULL, 21917),
(71255, '3retA00', NULL, NULL, 101, NULL, NULL, 21917),
(71256, '2d8dB00', NULL, NULL, 90, NULL, NULL, 21917),
(71257, '2posA00', NULL, NULL, 94, NULL, NULL, 21918),
(71258, '2aibA00', NULL, NULL, 98, NULL, NULL, 21918),
(71259, '1lriA00', NULL, NULL, 98, NULL, NULL, 21918),
(71260, '2fefA02', NULL, NULL, 160, NULL, NULL, 21919),
(71261, '3wknF00', NULL, NULL, 54, NULL, NULL, 21920),
(71262, '4a17Y00', NULL, NULL, 103, NULL, NULL, 21921),
(71263, '3cc2Z00', NULL, NULL, 83, NULL, NULL, 21921),
(71264, '3o58g00', NULL, NULL, 92, NULL, NULL, 21921),
(71265, '1vx7h00', NULL, NULL, 96, NULL, NULL, 21921),
(71266, '1vwxp00', NULL, NULL, 91, NULL, NULL, 21921),
(71267, '1jj2Y00', NULL, NULL, 73, NULL, NULL, 21921),
(71268, '3o58d00', NULL, NULL, 88, NULL, NULL, 21921),
(71269, '1vq8100', NULL, NULL, 57, NULL, NULL, 21921),
(71270, '1vq8Z00', NULL, NULL, 83, NULL, NULL, 21921),
(71271, '2aegA01', NULL, NULL, 70, NULL, NULL, 21922),
(71272, '1gm5A01', NULL, NULL, 101, NULL, NULL, 21923),
(71273, '2jmbA00', NULL, NULL, 79, NULL, NULL, 21924),
(71274, '3cfuA00', NULL, NULL, 159, NULL, NULL, 21925),
(71275, '1lmiA00', NULL, NULL, 131, NULL, NULL, 21925),
(71276, '2llgA00', NULL, NULL, 143, NULL, NULL, 21925),
(71277, '4lesA00', NULL, NULL, 142, NULL, NULL, 21925),
(71278, '3qfgB00', NULL, NULL, 142, NULL, NULL, 21925),
(71279, '4g6dB02', NULL, NULL, 81, NULL, NULL, 21926),
(71280, '4gnsA01', NULL, NULL, 27, NULL, NULL, 21927),
(71281, '3kyqA02', NULL, NULL, 58, NULL, NULL, 21927),
(71282, '1t3jA00', NULL, NULL, 62, NULL, NULL, 21927),
(71283, '4jf7A01', NULL, NULL, 50, NULL, NULL, 21927),
(71284, '4w7zC00', NULL, NULL, 64, NULL, NULL, 21927),
(71285, '2kogA00', NULL, NULL, 119, NULL, NULL, 21927),
(71286, '1urqB00', NULL, NULL, 75, NULL, NULL, 21927),
(71287, '3zdoC00', NULL, NULL, 84, NULL, NULL, 21927),
(71288, '1jthB00', NULL, NULL, 77, NULL, NULL, 21927),
(71289, '3b5nL00', NULL, NULL, 64, NULL, NULL, 21927),
(71290, '3b5nJ00', NULL, NULL, 69, NULL, NULL, 21927),
(71291, '4oh8B00', NULL, NULL, 55, NULL, NULL, 21927),
(71292, '1l4aD00', NULL, NULL, 87, NULL, NULL, 21927),
(71293, '3htkB00', NULL, NULL, 73, NULL, NULL, 21927),
(71294, '1l4aB00', NULL, NULL, 88, NULL, NULL, 21927),
(71295, '3pp5A01', NULL, NULL, 68, NULL, NULL, 21927),
(71296, '2npsC00', NULL, NULL, 81, NULL, NULL, 21927),
(71297, '1n7sA00', NULL, NULL, 63, NULL, NULL, 21927),
(71298, '3hd7E00', NULL, NULL, 91, NULL, NULL, 21927),
(71299, '2npsA00', NULL, NULL, 74, NULL, NULL, 21927),
(71300, '4w7yA00', NULL, NULL, 64, NULL, NULL, 21927),
(71301, '4wy4D00', NULL, NULL, 65, NULL, NULL, 21927),
(71302, '4wy4B00', NULL, NULL, 58, NULL, NULL, 21927),
(71303, '1urqC00', NULL, NULL, 80, NULL, NULL, 21927),
(71304, '3vopC00', NULL, NULL, 43, NULL, NULL, 21927),
(71305, '3u5iL02', NULL, NULL, 44, NULL, NULL, 21927),
(71306, '1gl2C00', NULL, NULL, 65, NULL, NULL, 21927),
(71307, '1vwxL02', NULL, NULL, 46, NULL, NULL, 21927),
(71308, '1gl2A00', NULL, NULL, 65, NULL, NULL, 21927),
(71309, '3p8cE01', NULL, NULL, 68, NULL, NULL, 21927),
(71310, '4jf7B01', NULL, NULL, 65, NULL, NULL, 21927),
(71311, '3m0dC00', NULL, NULL, 65, NULL, NULL, 21927),
(71312, '2ymyB00', NULL, NULL, 46, NULL, NULL, 21927),
(71313, '1urqA00', NULL, NULL, 63, NULL, NULL, 21927);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(71314, '3zdoB00', NULL, NULL, 67, NULL, NULL, 21927),
(71315, '1jthA00', NULL, NULL, 82, NULL, NULL, 21927),
(71316, '1sfcH00', NULL, NULL, 87, NULL, NULL, 21927),
(71317, '2xdjF00', NULL, NULL, 64, NULL, NULL, 21927),
(71318, '3b5nK00', NULL, NULL, 70, NULL, NULL, 21927),
(71319, '2xdjB00', NULL, NULL, 83, NULL, NULL, 21927),
(71320, '3ojaB02', NULL, NULL, 49, NULL, NULL, 21927),
(71321, '3rk2C00', NULL, NULL, 81, NULL, NULL, 21927),
(71322, '1l4aC00', NULL, NULL, 83, NULL, NULL, 21927),
(71323, '1l4aA00', NULL, NULL, 80, NULL, NULL, 21927),
(71324, '2pp6A01', NULL, NULL, 24, NULL, NULL, 21927),
(71325, '2npsD00', NULL, NULL, 65, NULL, NULL, 21927),
(71326, '1n7sD00', NULL, NULL, 66, NULL, NULL, 21927),
(71327, '3hd7B00', NULL, NULL, 109, NULL, NULL, 21927),
(71328, '1n7sB00', NULL, NULL, 68, NULL, NULL, 21927),
(71329, '3b5nE00', NULL, NULL, 61, NULL, NULL, 21927),
(71330, '2h8pD00', NULL, NULL, 43, NULL, NULL, 21927),
(71331, '4w7yB00', NULL, NULL, 64, NULL, NULL, 21927),
(71332, '2npsB00', NULL, NULL, 71, NULL, NULL, 21927),
(71333, '1nhlA00', NULL, NULL, 54, NULL, NULL, 21927),
(71334, '1urqD00', NULL, NULL, 69, NULL, NULL, 21927),
(71335, '4wy4C00', NULL, NULL, 78, NULL, NULL, 21927),
(71336, '4wy4A00', NULL, NULL, 64, NULL, NULL, 21927),
(71337, '1gl2D00', NULL, NULL, 65, NULL, NULL, 21927),
(71338, '1gl2B00', NULL, NULL, 65, NULL, NULL, 21927),
(71339, '1y7xA02', NULL, NULL, 56, NULL, NULL, 21928),
(71340, '3gf5B07', NULL, NULL, 60, NULL, NULL, 21928),
(71341, '1y7xA01', NULL, NULL, 47, NULL, NULL, 21928),
(71342, '3gnfB04', NULL, NULL, 53, NULL, NULL, 21928),
(71343, '3gnfB05', NULL, NULL, 55, NULL, NULL, 21928),
(71344, '3gnfB03', NULL, NULL, 52, NULL, NULL, 21928),
(71345, '2zuoA04', NULL, NULL, 53, NULL, NULL, 21928),
(71346, '2zuoA07', NULL, NULL, 56, NULL, NULL, 21928),
(71347, '2zuoA05', NULL, NULL, 55, NULL, NULL, 21928),
(71348, '1rq0A01', NULL, NULL, 83, NULL, NULL, 21929),
(71349, '3bqwA01', NULL, NULL, 214, NULL, NULL, 21930),
(71350, '6a95B00', NULL, NULL, 57, NULL, NULL, 21931),
(71351, '3l0iA01', NULL, NULL, 185, NULL, NULL, 21932),
(71352, '1vquA01', NULL, NULL, 67, NULL, NULL, 21933),
(71353, '1khdA01', NULL, NULL, 111, NULL, NULL, 21933),
(71354, '3h5qA01', NULL, NULL, 70, NULL, NULL, 21933),
(71355, '4giuA01', NULL, NULL, 67, NULL, NULL, 21933),
(71356, '1brwA03', NULL, NULL, 67, NULL, NULL, 21933),
(71357, '4muoA01', NULL, NULL, 72, NULL, NULL, 21933),
(71358, '2elcA01', NULL, NULL, 67, NULL, NULL, 21933),
(71359, '4ga4A01', NULL, NULL, 68, NULL, NULL, 21933),
(71360, '4eadA01', NULL, NULL, 107, NULL, NULL, 21933),
(71361, '1zvwA01', NULL, NULL, 66, NULL, NULL, 21933),
(71362, '1zvwB01', NULL, NULL, 66, NULL, NULL, 21933),
(71363, '4yi7A01', NULL, NULL, 86, NULL, NULL, 21933),
(71364, '1uouA01', NULL, NULL, 68, NULL, NULL, 21933),
(71365, '2dsjA01', NULL, NULL, 67, NULL, NULL, 21933),
(71366, '1o17A01', NULL, NULL, 102, NULL, NULL, 21933),
(71367, '5noeA01', NULL, NULL, 97, NULL, NULL, 21933),
(71368, '5olnB01', NULL, NULL, 69, NULL, NULL, 21933),
(71369, '4hkmA01', NULL, NULL, 73, NULL, NULL, 21933),
(71370, '4hkmB01', NULL, NULL, 73, NULL, NULL, 21933),
(71371, '1jflA01', NULL, NULL, 119, NULL, NULL, 21934),
(71372, '3ojcA02', NULL, NULL, 112, NULL, NULL, 21934),
(71373, '3ojcA01', NULL, NULL, 119, NULL, NULL, 21934),
(71374, '1jflA02', NULL, NULL, 109, NULL, NULL, 21934),
(71375, '2vvtB01', NULL, NULL, 155, NULL, NULL, 21934),
(71376, '3outA02', NULL, NULL, 108, NULL, NULL, 21934),
(71377, '2vvtA02', NULL, NULL, 113, NULL, NULL, 21934),
(71378, '3outA01', NULL, NULL, 160, NULL, NULL, 21934),
(71379, '2jfqA02', NULL, NULL, 114, NULL, NULL, 21934),
(71380, '3s81D01', NULL, NULL, 135, NULL, NULL, 21934),
(71381, '3uhfA02', NULL, NULL, 112, NULL, NULL, 21934),
(71382, '3uhfB01', NULL, NULL, 139, NULL, NULL, 21934),
(71383, '2zskA01', NULL, NULL, 116, NULL, NULL, 21934),
(71384, '2ohoB02', NULL, NULL, 112, NULL, NULL, 21934),
(71385, '2zskA02', NULL, NULL, 110, NULL, NULL, 21934),
(71386, '5evcA02', NULL, NULL, 109, NULL, NULL, 21934),
(71387, '2jfvA01', NULL, NULL, 160, NULL, NULL, 21934);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(71388, '2jfzB01', NULL, NULL, 137, NULL, NULL, 21934),
(71389, '2jfzA02', NULL, NULL, 118, NULL, NULL, 21934),
(71390, '5w16A02', NULL, NULL, 102, NULL, NULL, 21934),
(71391, '5hqtA01', NULL, NULL, 123, NULL, NULL, 21934),
(71392, '1b73A02', NULL, NULL, 109, NULL, NULL, 21934),
(71393, '5w16A01', NULL, NULL, 154, NULL, NULL, 21934),
(71394, '5hqtA02', NULL, NULL, 112, NULL, NULL, 21934),
(71395, '1b73A01', NULL, NULL, 145, NULL, NULL, 21934),
(71396, '5w1qA02', NULL, NULL, 118, NULL, NULL, 21934),
(71397, '5w1qA01', NULL, NULL, 137, NULL, NULL, 21934),
(71398, '5ijwA02', NULL, NULL, 112, NULL, NULL, 21934),
(71399, '2dgdA02', NULL, NULL, 129, NULL, NULL, 21934),
(71400, '5ijwA01', NULL, NULL, 167, NULL, NULL, 21934),
(71401, '2dgdA01', NULL, NULL, 93, NULL, NULL, 21934),
(71402, '2jfnA02', NULL, NULL, 114, NULL, NULL, 21934),
(71403, '2jfnA01', NULL, NULL, 152, NULL, NULL, 21934),
(71404, '2dwuA02', NULL, NULL, 113, NULL, NULL, 21934),
(71405, '2dwuA01', NULL, NULL, 163, NULL, NULL, 21934),
(71406, '2eq5A02', NULL, NULL, 101, NULL, NULL, 21934),
(71407, '2eq5B01', NULL, NULL, 127, NULL, NULL, 21934),
(71408, '2jfuA02', NULL, NULL, 113, NULL, NULL, 21934),
(71409, '1zuwA02', NULL, NULL, 113, NULL, NULL, 21934),
(71410, '1zuwB01', NULL, NULL, 159, NULL, NULL, 21934),
(71411, '2ohoB01', NULL, NULL, 161, NULL, NULL, 21934),
(71412, '5hj7A02', NULL, NULL, 112, NULL, NULL, 21934),
(71413, '5hj7A01', NULL, NULL, 145, NULL, NULL, 21934),
(71414, '2jfqA01', NULL, NULL, 152, NULL, NULL, 21934),
(71415, '3istA02', NULL, NULL, 113, NULL, NULL, 21934),
(71416, '3istB01', NULL, NULL, 156, NULL, NULL, 21934),
(71417, '2gzmB01', NULL, NULL, 154, NULL, NULL, 21934),
(71418, '2gzmA02', NULL, NULL, 113, NULL, NULL, 21934),
(71419, '5dczA00', NULL, NULL, 215, NULL, NULL, 21935),
(71420, '5ws1A02', NULL, NULL, 213, NULL, NULL, 21935),
(71421, '5nwgB00', NULL, NULL, 162, NULL, NULL, 21935),
(71422, '4pnlA00', NULL, NULL, 202, NULL, NULL, 21935),
(71423, '5lx6A00', NULL, NULL, 191, NULL, NULL, 21935),
(71424, '3smjA00', NULL, NULL, 193, NULL, NULL, 21935),
(71425, '2x5yA00', NULL, NULL, 173, NULL, NULL, 21935),
(71426, '4gv2A02', NULL, NULL, 210, NULL, NULL, 21935),
(71427, '6ek3B00', NULL, NULL, 197, NULL, NULL, 21935),
(71428, '1gs0A02', NULL, NULL, 215, NULL, NULL, 21935),
(71429, '2pqfA00', NULL, NULL, 198, NULL, NULL, 21935),
(71430, '4torA00', NULL, NULL, 211, NULL, NULL, 21935),
(71431, '6i8mA02', NULL, NULL, 217, NULL, NULL, 21935),
(71432, '4zzxA02', NULL, NULL, 218, NULL, NULL, 21935),
(71433, '3h0gE02', NULL, NULL, 73, NULL, NULL, 21936),
(71434, '4aybH00', NULL, NULL, 84, NULL, NULL, 21936),
(71435, '5xogE02', NULL, NULL, 73, NULL, NULL, 21936),
(71436, '6gmhE02', NULL, NULL, 73, NULL, NULL, 21936),
(71437, '1dzfA02', NULL, NULL, 73, NULL, NULL, 21936),
(71438, '4qiwH00', NULL, NULL, 82, NULL, NULL, 21936),
(71439, '1eikA00', NULL, NULL, 77, NULL, NULL, 21936),
(71440, '2wd6A00', NULL, NULL, 315, NULL, NULL, 21937),
(71441, '3ioxA02', NULL, NULL, 337, NULL, NULL, 21937),
(71442, '3fdjA02', NULL, NULL, 38, NULL, NULL, 21938),
(71443, '3jr7A02', NULL, NULL, 38, NULL, NULL, 21938),
(71444, '1pzxA02', NULL, NULL, 35, NULL, NULL, 21938),
(71445, '3pl5A02', NULL, NULL, 37, NULL, NULL, 21938),
(71446, '1o5hA00', NULL, NULL, 214, NULL, NULL, 21939),
(71447, '1o5hB00', NULL, NULL, 214, NULL, NULL, 21939),
(71448, '2pfdA03', NULL, NULL, 203, NULL, NULL, 21939),
(71449, '2v6eA02', NULL, NULL, 129, NULL, NULL, 21940),
(71450, '1l8nA03', NULL, NULL, 206, NULL, NULL, 21941),
(71451, '1gqiA03', NULL, NULL, 237, NULL, NULL, 21941),
(71452, '1q2hA00', NULL, NULL, 69, NULL, NULL, 21942),
(71453, '4tq1A03', NULL, NULL, 58, NULL, NULL, 21943),
(71454, '2dyoA02', NULL, NULL, 60, NULL, NULL, 21943),
(71455, '3vqiC02', NULL, NULL, 72, NULL, NULL, 21943),
(71456, '4dt4A02', NULL, NULL, 57, NULL, NULL, 21944),
(71457, '5i7pA02', NULL, NULL, 48, NULL, NULL, 21944),
(71458, '3prbA02', NULL, NULL, 44, NULL, NULL, 21944),
(71459, '2kr7A02', NULL, NULL, 57, NULL, NULL, 21944),
(71460, '4glxA05', NULL, NULL, 41, NULL, NULL, 21945);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(71461, '4npxA00', NULL, NULL, 80, NULL, NULL, 21946),
(71462, '4u12A00', NULL, NULL, 94, NULL, NULL, 21946),
(71463, '3mliA01', NULL, NULL, 89, NULL, NULL, 21946),
(71464, '4v19S00', NULL, NULL, 143, NULL, NULL, 21947),
(71465, '6g5iO00', NULL, NULL, 135, NULL, NULL, 21947),
(71466, '4cvnG00', NULL, NULL, 137, NULL, NULL, 21947),
(71467, '6az1O00', NULL, NULL, 144, NULL, NULL, 21947),
(71468, '2vqeK00', NULL, NULL, 129, NULL, NULL, 21947),
(71469, '5mmjk00', NULL, NULL, 117, NULL, NULL, 21947),
(71470, '5optV00', NULL, NULL, 144, NULL, NULL, 21947),
(71471, '5o5jK00', NULL, NULL, 116, NULL, NULL, 21947),
(71472, '5xxuO00', NULL, NULL, 130, NULL, NULL, 21947),
(71473, '6neqK00', NULL, NULL, 136, NULL, NULL, 21947),
(71474, '6faiO00', NULL, NULL, 137, NULL, NULL, 21947),
(71475, '2xzmK00', NULL, NULL, 151, NULL, NULL, 21947),
(71476, '5xyiO00', NULL, NULL, 135, NULL, NULL, 21947),
(71477, '5oomP00', NULL, NULL, 142, NULL, NULL, 21947),
(71478, '3j7aP00', NULL, NULL, 127, NULL, NULL, 21947),
(71479, '1vs5K00', NULL, NULL, 129, NULL, NULL, 21947),
(71480, '3kfuG02', NULL, NULL, 18, NULL, NULL, 21948),
(71481, '3dzyD01', NULL, NULL, 94, NULL, NULL, 21949),
(71482, '1dszA00', NULL, NULL, 86, NULL, NULL, 21949),
(71483, '1a6yA00', NULL, NULL, 94, NULL, NULL, 21949),
(71484, '2hanA00', NULL, NULL, 93, NULL, NULL, 21949),
(71485, '4gatA00', NULL, NULL, 66, NULL, NULL, 21949),
(71486, '5krbB00', NULL, NULL, 84, NULL, NULL, 21949),
(71487, '6bquA00', NULL, NULL, 72, NULL, NULL, 21949),
(71488, '1dszB00', NULL, NULL, 85, NULL, NULL, 21949),
(71489, '1r4iB00', NULL, NULL, 78, NULL, NULL, 21949),
(71490, '2eblA00', NULL, NULL, 89, NULL, NULL, 21949),
(71491, '5uanB01', NULL, NULL, 67, NULL, NULL, 21949),
(71492, '1r4oA00', NULL, NULL, 92, NULL, NULL, 21949),
(71493, '3cbbA00', NULL, NULL, 78, NULL, NULL, 21949),
(71494, '4hc7A02', NULL, NULL, 65, NULL, NULL, 21949),
(71495, '4hc9A01', NULL, NULL, 52, NULL, NULL, 21949),
(71496, '1r0oB00', NULL, NULL, 83, NULL, NULL, 21949),
(71497, '4hc9A02', NULL, NULL, 52, NULL, NULL, 21949),
(71498, '2nllA00', NULL, NULL, 66, NULL, NULL, 21949),
(71499, '4tmaJ00', NULL, NULL, 65, NULL, NULL, 21949),
(71500, '2nllB00', NULL, NULL, 103, NULL, NULL, 21949),
(71501, '2kaeA00', NULL, NULL, 71, NULL, NULL, 21949),
(71502, '5e69A00', NULL, NULL, 73, NULL, NULL, 21949),
(71503, '1latA00', NULL, NULL, 82, NULL, NULL, 21949),
(71504, '6fbqA00', NULL, NULL, 87, NULL, NULL, 21949),
(71505, '1citA00', NULL, NULL, 89, NULL, NULL, 21949),
(71506, '2m9wA00', NULL, NULL, 63, NULL, NULL, 21949),
(71507, '4ondB00', NULL, NULL, 82, NULL, NULL, 21949),
(71508, '3fylA00', NULL, NULL, 90, NULL, NULL, 21949),
(71509, '4nqaI01', NULL, NULL, 93, NULL, NULL, 21949),
(71510, '2gatA00', NULL, NULL, 66, NULL, NULL, 21949),
(71511, '2a66A00', NULL, NULL, 113, NULL, NULL, 21949),
(71512, '5cc1B00', NULL, NULL, 73, NULL, NULL, 21949),
(71513, '3vd6C02', NULL, NULL, 45, NULL, NULL, 21949),
(71514, '5cbxA00', NULL, NULL, 77, NULL, NULL, 21949),
(71515, '5cbzA00', NULL, NULL, 78, NULL, NULL, 21949),
(71516, '1hcqB00', NULL, NULL, 84, NULL, NULL, 21949),
(71517, '2envA00', NULL, NULL, 88, NULL, NULL, 21949),
(71518, '1lo1A00', NULL, NULL, 98, NULL, NULL, 21949),
(71519, '4olnA00', NULL, NULL, 82, NULL, NULL, 21949),
(71520, '2ff0A00', NULL, NULL, 102, NULL, NULL, 21949),
(71521, '3vd6C01', NULL, NULL, 42, NULL, NULL, 21949),
(71522, '1kb2B00', NULL, NULL, 91, NULL, NULL, 21949),
(71523, '2c7aB00', NULL, NULL, 78, NULL, NULL, 21949),
(71524, '2vutI00', NULL, NULL, 43, NULL, NULL, 21949),
(71525, '1wteA02', NULL, NULL, 124, NULL, NULL, 21950),
(71526, '3ushB00', NULL, NULL, 129, NULL, NULL, 21951),
(71527, '4iohA00', NULL, NULL, 134, NULL, NULL, 21951),
(71528, '1ef1C01', NULL, NULL, 76, NULL, NULL, 21952),
(71529, '2i1jA05', NULL, NULL, 83, NULL, NULL, 21952),
(71530, '3m6aA01', NULL, NULL, 50, NULL, NULL, 21953),
(71531, '1fjrA02', NULL, NULL, 132, NULL, NULL, 21954),
(71532, '4bjtA01', NULL, NULL, 102, NULL, NULL, 21955),
(71533, '4kgbB01', NULL, NULL, 237, NULL, NULL, 21956),
(71534, '4kgbA02', NULL, NULL, 217, NULL, NULL, 21956);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(71535, '3k6mD01', NULL, NULL, 233, NULL, NULL, 21956),
(71536, '3k6mC02', NULL, NULL, 214, NULL, NULL, 21956),
(71537, '3cdkB00', NULL, NULL, 219, NULL, NULL, 21956),
(71538, '3eh7A01', NULL, NULL, 188, NULL, NULL, 21956),
(71539, '3cdkC01', NULL, NULL, 229, NULL, NULL, 21956),
(71540, '1xr4A02', NULL, NULL, 270, NULL, NULL, 21956),
(71541, '1xr4B01', NULL, NULL, 238, NULL, NULL, 21956),
(71542, '1poiB00', NULL, NULL, 260, NULL, NULL, 21956),
(71543, '1poiA01', NULL, NULL, 264, NULL, NULL, 21956),
(71544, '3rrlB00', NULL, NULL, 207, NULL, NULL, 21956),
(71545, '3rrlA01', NULL, NULL, 229, NULL, NULL, 21956),
(71546, '2hj0A01', NULL, NULL, 274, NULL, NULL, 21956),
(71547, '1m3eA02', NULL, NULL, 215, NULL, NULL, 21956),
(71548, '2hj0A02', NULL, NULL, 245, NULL, NULL, 21956),
(71549, '3gk7A01', NULL, NULL, 184, NULL, NULL, 21956),
(71550, '2oasA01', NULL, NULL, 179, NULL, NULL, 21956),
(71551, '3dlxD01', NULL, NULL, 234, NULL, NULL, 21956),
(71552, '3d3uA01', NULL, NULL, 185, NULL, NULL, 21956),
(71553, '2ahuA02', NULL, NULL, 249, NULL, NULL, 21956),
(71554, '2ahuA01', NULL, NULL, 276, NULL, NULL, 21956),
(71555, '3dlxA02', NULL, NULL, 215, NULL, NULL, 21956),
(71556, '5dbnF00', NULL, NULL, 223, NULL, NULL, 21956),
(71557, '1k6dB00', NULL, NULL, 220, NULL, NULL, 21956),
(71558, '1vwxW00', NULL, NULL, 63, NULL, NULL, 21957),
(71559, '6qklG00', NULL, NULL, 69, NULL, NULL, 21957),
(71560, '4a17T00', NULL, NULL, 62, NULL, NULL, 21957),
(71561, '1vq8U00', NULL, NULL, 66, NULL, NULL, 21957),
(71562, '3o58V00', NULL, NULL, 59, NULL, NULL, 21957),
(71563, '3g6eU00', NULL, NULL, 53, NULL, NULL, 21957),
(71564, '1vx7000', NULL, NULL, 69, NULL, NULL, 21957),
(71565, '3glkA02', NULL, NULL, 48, NULL, NULL, 21958),
(71566, '2yl2B02', NULL, NULL, 47, NULL, NULL, 21958),
(71567, '1w96A02', NULL, NULL, 45, NULL, NULL, 21958),
(71568, '4e9oX00', NULL, NULL, 234, NULL, NULL, 21959),
(71569, '5ogoA00', NULL, NULL, 260, NULL, NULL, 21959),
(71570, '1fljA00', NULL, NULL, 260, NULL, NULL, 21959),
(71571, '1keqA00', NULL, NULL, 248, NULL, NULL, 21959),
(71572, '4cnxA00', NULL, NULL, 262, NULL, NULL, 21959),
(71573, '1kopA00', NULL, NULL, 223, NULL, NULL, 21959),
(71574, '4cnvA00', NULL, NULL, 262, NULL, NULL, 21959),
(71575, '3q31A00', NULL, NULL, 244, NULL, NULL, 21959),
(71576, '4xfwA00', NULL, NULL, 226, NULL, NULL, 21959),
(71577, '6b00A00', NULL, NULL, 266, NULL, NULL, 21959),
(71578, '3fe4B00', NULL, NULL, 261, NULL, NULL, 21959),
(71579, '5dvxB00', NULL, NULL, 260, NULL, NULL, 21959),
(71580, '5ogjA00', NULL, NULL, 263, NULL, NULL, 21959),
(71581, '4coqB00', NULL, NULL, 226, NULL, NULL, 21959),
(71582, '3jxfA00', NULL, NULL, 272, NULL, NULL, 21959),
(71583, '4xiwC00', NULL, NULL, 239, NULL, NULL, 21959),
(71584, '3b1bA01', NULL, NULL, 306, NULL, NULL, 21959),
(71585, '4g7aB00', NULL, NULL, 225, NULL, NULL, 21959),
(71586, '2w2jA00', NULL, NULL, 268, NULL, NULL, 21959),
(71587, '1rj5B00', NULL, NULL, 261, NULL, NULL, 21959),
(71588, '5e2mA00', NULL, NULL, 260, NULL, NULL, 21959),
(71589, '3fw3B00', NULL, NULL, 266, NULL, NULL, 21959),
(71590, '3uyqA00', NULL, NULL, 260, NULL, NULL, 21959),
(71591, '5cjfA00', NULL, NULL, 279, NULL, NULL, 21959),
(71592, '3ks3A00', NULL, NULL, 260, NULL, NULL, 21959),
(71593, '5hpjA00', NULL, NULL, 217, NULL, NULL, 21959),
(71594, '6ekiA00', NULL, NULL, 226, NULL, NULL, 21959),
(71595, '3zncA00', NULL, NULL, 258, NULL, NULL, 21959),
(71596, '3jxgA00', NULL, NULL, 269, NULL, NULL, 21959),
(71597, '1y7wA01', NULL, NULL, 261, NULL, NULL, 21959),
(71598, '4x5sA00', NULL, NULL, 232, NULL, NULL, 21959),
(71599, '5msaA00', NULL, NULL, 263, NULL, NULL, 21959),
(71600, '4twlA00', NULL, NULL, 246, NULL, NULL, 21959),
(71601, '6h38A00', NULL, NULL, 274, NULL, NULL, 21959),
(71602, '4xz5A00', NULL, NULL, 233, NULL, NULL, 21959),
(71603, '5eztX00', NULL, NULL, 257, NULL, NULL, 21959),
(71604, '3kd4A01', NULL, NULL, 209, NULL, NULL, 21960),
(71605, '2m4eA00', NULL, NULL, 86, NULL, NULL, 21961),
(71606, '1zhsA02', NULL, NULL, 58, NULL, NULL, 21962),
(71607, '1zhsA01', NULL, NULL, 55, NULL, NULL, 21962); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(71608, '4litA02', NULL, NULL, 169, NULL, NULL, 21963),
(71609, '4cswA02', NULL, NULL, 179, NULL, NULL, 21963),
(71610, '2ba2A00', NULL, NULL, 85, NULL, NULL, 21964),
(71611, '1sdiA00', NULL, NULL, 213, NULL, NULL, 21965),
(71612, '4ifdK02', NULL, NULL, 34, NULL, NULL, 21966),
(71613, '1s5jA05', NULL, NULL, 62, NULL, NULL, 21967),
(71614, '3sp1A02', NULL, NULL, 162, NULL, NULL, 21968),
(71615, '1co4A00', NULL, NULL, 42, NULL, NULL, 21969),
(71616, '3d4rB01', NULL, NULL, 101, NULL, NULL, 21970),
(71617, '2p4bB02', NULL, NULL, 101, NULL, NULL, 21971),
(71618, '2r7rA04', NULL, NULL, 157, NULL, NULL, 21972),
(71619, '2pffB05', NULL, NULL, 61, NULL, NULL, 21973),
(71620, '1wd5A02', NULL, NULL, 61, NULL, NULL, 21974),
(71621, '2wzr400', NULL, NULL, 85, NULL, NULL, 21975),
(71622, '1qqp400', NULL, NULL, 85, NULL, NULL, 21975),
(71623, '2mev400', NULL, NULL, 70, NULL, NULL, 21975),
(71624, '4gh4D00', NULL, NULL, 45, NULL, NULL, 21975),
(71625, '1zba400', NULL, NULL, 85, NULL, NULL, 21975),
(71626, '2p5zX04', NULL, NULL, 85, NULL, NULL, 21976),
(71627, '3pqiA01', NULL, NULL, 102, NULL, NULL, 21976),
(71628, '3qr8A01', NULL, NULL, 90, NULL, NULL, 21976),
(71629, '4uhvA04', NULL, NULL, 103, NULL, NULL, 21976),
(71630, '3ojaA02', NULL, NULL, 105, NULL, NULL, 21977),
(71631, '2ra8A01', NULL, NULL, 75, NULL, NULL, 21978),
(71632, '1vk9A00', NULL, NULL, 151, NULL, NULL, 21979),
(71633, '1i6uB02', NULL, NULL, 59, NULL, NULL, 21980),
(71634, '3rf2A02', NULL, NULL, 58, NULL, NULL, 21980),
(71635, '6faiW02', NULL, NULL, 61, NULL, NULL, 21980),
(71636, '2vqeH02', NULL, NULL, 58, NULL, NULL, 21980),
(71637, '5mmjh02', NULL, NULL, 58, NULL, NULL, 21980),
(71638, '5o5jH02', NULL, NULL, 58, NULL, NULL, 21980),
(71639, '1i94H02', NULL, NULL, 58, NULL, NULL, 21980),
(71640, '6az1J02', NULL, NULL, 61, NULL, NULL, 21980),
(71641, '5xyiW02', NULL, NULL, 61, NULL, NULL, 21980),
(71642, '1s03G02', NULL, NULL, 58, NULL, NULL, 21980),
(71643, '1seiA02', NULL, NULL, 58, NULL, NULL, 21980),
(71644, '2xzmH02', NULL, NULL, 61, NULL, NULL, 21980),
(71645, '4pdbA02', NULL, NULL, 58, NULL, NULL, 21980),
(71646, '5xxuW02', NULL, NULL, 61, NULL, NULL, 21980),
(71647, '6g5iW02', NULL, NULL, 61, NULL, NULL, 21980),
(71648, '5opte02', NULL, NULL, 61, NULL, NULL, 21980),
(71649, '3j7aK02', NULL, NULL, 61, NULL, NULL, 21980),
(71650, '1hksA00', NULL, NULL, 106, NULL, NULL, 21981),
(71651, '3b73B00', NULL, NULL, 90, NULL, NULL, 21981),
(71652, '1o57A01', NULL, NULL, 73, NULL, NULL, 21981),
(71653, '1bm9A00', NULL, NULL, 122, NULL, NULL, 21981),
(71654, '3d5lB01', NULL, NULL, 108, NULL, NULL, 21981),
(71655, '5x12A01', NULL, NULL, 98, NULL, NULL, 21981),
(71656, '1zgaA01', NULL, NULL, 104, NULL, NULL, 21981),
(71657, '4r8hB02', NULL, NULL, 72, NULL, NULL, 21981),
(71658, '1mzbA01', NULL, NULL, 85, NULL, NULL, 21981),
(71659, '3lapD01', NULL, NULL, 68, NULL, NULL, 21981),
(71660, '2fe3B01', NULL, NULL, 87, NULL, NULL, 21981),
(71661, '2nriB00', NULL, NULL, 100, NULL, NULL, 21981),
(71662, '1okrA01', NULL, NULL, 64, NULL, NULL, 21981),
(71663, '2g7hA02', NULL, NULL, 81, NULL, NULL, 21981),
(71664, '1jgsA00', NULL, NULL, 138, NULL, NULL, 21981),
(71665, '3e3vA01', NULL, NULL, 65, NULL, NULL, 21981),
(71666, '3bwgB01', NULL, NULL, 73, NULL, NULL, 21981),
(71667, '3hsrA00', NULL, NULL, 140, NULL, NULL, 21981),
(71668, '2mlgA00', NULL, NULL, 84, NULL, NULL, 21981),
(71669, '1l3lA02', NULL, NULL, 63, NULL, NULL, 21981),
(71670, '3e3vA02', NULL, NULL, 45, NULL, NULL, 21981),
(71671, '3e3vA03', NULL, NULL, 67, NULL, NULL, 21981),
(71672, '1fzpD00', NULL, NULL, 123, NULL, NULL, 21981),
(71673, '2ve8D01', NULL, NULL, 66, NULL, NULL, 21981),
(71674, '2wteA02', NULL, NULL, 72, NULL, NULL, 21981),
(71675, '1t6sB02', NULL, NULL, 77, NULL, NULL, 21981),
(71676, '4n9hA02', NULL, NULL, 78, NULL, NULL, 21981),
(71677, '4rayA01', NULL, NULL, 86, NULL, NULL, 21981),
(71678, '2nazA00', NULL, NULL, 118, NULL, NULL, 21981),
(71679, '2oz6A02', NULL, NULL, 69, NULL, NULL, 21981),
(71680, '1hsjB03', NULL, NULL, 86, NULL, NULL, 21981),
(71681, '3kfwX01', NULL, NULL, 76, NULL, NULL, 21981);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(71682, '1hstA00', NULL, NULL, 90, NULL, NULL, 21981),
(71683, '4ixaB00', NULL, NULL, 110, NULL, NULL, 21981),
(71684, '4rgxB00', NULL, NULL, 162, NULL, NULL, 21981),
(71685, '5dcmA00', NULL, NULL, 97, NULL, NULL, 21981),
(71686, '1x1aA01', NULL, NULL, 177, NULL, NULL, 21981),
(71687, '2v1uA03', NULL, NULL, 100, NULL, NULL, 21981),
(71688, '2lsoA00', NULL, NULL, 83, NULL, NULL, 21981),
(71689, '2m8eA00', NULL, NULL, 57, NULL, NULL, 21981),
(71690, '2ipqX01', NULL, NULL, 56, NULL, NULL, 21981),
(71691, '4bpe700', NULL, NULL, 102, NULL, NULL, 21981),
(71692, '3cuqA02', NULL, NULL, 81, NULL, NULL, 21981),
(71693, '4ijaA01', NULL, NULL, 70, NULL, NULL, 21981),
(71694, '3qphA01', NULL, NULL, 104, NULL, NULL, 21981),
(71695, '3cuqA03', NULL, NULL, 86, NULL, NULL, 21981),
(71696, '2nnnC00', NULL, NULL, 140, NULL, NULL, 21981),
(71697, '2v9vA01', NULL, NULL, 60, NULL, NULL, 21981),
(71698, '4g6dA00', NULL, NULL, 73, NULL, NULL, 21981),
(71699, '2v9vA02', NULL, NULL, 69, NULL, NULL, 21981),
(71700, '3sxyA01', NULL, NULL, 77, NULL, NULL, 21981),
(71701, '1w4mA00', NULL, NULL, 103, NULL, NULL, 21981),
(71702, '4i2oA02', NULL, NULL, 88, NULL, NULL, 21981),
(71703, '1u5tA02', NULL, NULL, 75, NULL, NULL, 21981),
(71704, '5ilsA00', NULL, NULL, 101, NULL, NULL, 21981),
(71705, '2z3yA01', NULL, NULL, 108, NULL, NULL, 21981),
(71706, '1u5tA03', NULL, NULL, 72, NULL, NULL, 21981),
(71707, '5deqB02', NULL, NULL, 83, NULL, NULL, 21981),
(71708, '2fnaA03', NULL, NULL, 73, NULL, NULL, 21981),
(71709, '1xb4B02', NULL, NULL, 77, NULL, NULL, 21981),
(71710, '1yg2A01', NULL, NULL, 89, NULL, NULL, 21981),
(71711, '3h92A00', NULL, NULL, 92, NULL, NULL, 21981),
(71712, '3d5lA03', NULL, NULL, 52, NULL, NULL, 21981),
(71713, '1opcA00', NULL, NULL, 110, NULL, NULL, 21981),
(71714, '3d5lA02', NULL, NULL, 45, NULL, NULL, 21981),
(71715, '3b02A02', NULL, NULL, 85, NULL, NULL, 21981),
(71716, '2qbyA03', NULL, NULL, 103, NULL, NULL, 21981),
(71717, '1o7fA02', NULL, NULL, 156, NULL, NULL, 21981),
(71718, '1ttyA00', NULL, NULL, 87, NULL, NULL, 21981),
(71719, '2od5A00', NULL, NULL, 97, NULL, NULL, 21981),
(71720, '1ldjA07', NULL, NULL, 105, NULL, NULL, 21981),
(71721, '1ldjA06', NULL, NULL, 68, NULL, NULL, 21981),
(71722, '1dp7P00', NULL, NULL, 76, NULL, NULL, 21981),
(71723, '3s2wG00', NULL, NULL, 140, NULL, NULL, 21981),
(71724, '2heoA00', NULL, NULL, 67, NULL, NULL, 21981),
(71725, '1t6sA01', NULL, NULL, 86, NULL, NULL, 21981),
(71726, '5d4sB00', NULL, NULL, 88, NULL, NULL, 21981),
(71727, '5dd8A00', NULL, NULL, 181, NULL, NULL, 21981),
(71728, '4pggA01', NULL, NULL, 110, NULL, NULL, 21981),
(71729, '1fseB00', NULL, NULL, 74, NULL, NULL, 21981),
(71730, '4lmyA01', NULL, NULL, 95, NULL, NULL, 21981),
(71731, '1kq8A00', NULL, NULL, 81, NULL, NULL, 21981),
(71732, '1z91A00', NULL, NULL, 147, NULL, NULL, 21981),
(71733, '5kvrA00', NULL, NULL, 77, NULL, NULL, 21981),
(71734, '1i27A00', NULL, NULL, 73, NULL, NULL, 21981),
(71735, '2m5wA00', NULL, NULL, 91, NULL, NULL, 21981),
(71736, '3eetA01', NULL, NULL, 67, NULL, NULL, 21981),
(71737, '2qm3A01', NULL, NULL, 83, NULL, NULL, 21981),
(71738, '5it3A00', NULL, NULL, 85, NULL, NULL, 21981),
(71739, '5vyvA02', NULL, NULL, 79, NULL, NULL, 21981),
(71740, '4o3mA03', NULL, NULL, 122, NULL, NULL, 21981),
(71741, '4r1hA01', NULL, NULL, 77, NULL, NULL, 21981),
(71742, '1mkmB01', NULL, NULL, 78, NULL, NULL, 21981),
(71743, '1iuyA00', NULL, NULL, 92, NULL, NULL, 21981),
(71744, '6n9gA01', NULL, NULL, 100, NULL, NULL, 21981),
(71745, '4bqaA00', NULL, NULL, 142, NULL, NULL, 21981),
(71746, '3cuqB02', NULL, NULL, 80, NULL, NULL, 21981),
(71747, '3cuqB03', NULL, NULL, 70, NULL, NULL, 21981),
(71748, '1f9nB01', NULL, NULL, 60, NULL, NULL, 21981),
(71749, '1aoyA00', NULL, NULL, 78, NULL, NULL, 21981),
(71750, '1ldkB03', NULL, NULL, 83, NULL, NULL, 21981),
(71751, '3dp7B01', NULL, NULL, 98, NULL, NULL, 21981),
(71752, '3eyiB00', NULL, NULL, 72, NULL, NULL, 21981),
(71753, '1ylfA00', NULL, NULL, 149, NULL, NULL, 21981),
(71754, '3gw6D02', NULL, NULL, 168, NULL, NULL, 21981),
(71755, '1yo5C00', NULL, NULL, 97, NULL, NULL, 21981);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(71756, '5iceA01', NULL, NULL, 101, NULL, NULL, 21981),
(71757, '3c18A03', NULL, NULL, 57, NULL, NULL, 21981),
(71758, '1yqaA00', NULL, NULL, 87, NULL, NULL, 21981),
(71759, '1u5tB01', NULL, NULL, 85, NULL, NULL, 21981),
(71760, '1u5tB02', NULL, NULL, 69, NULL, NULL, 21981),
(71761, '3f3xA00', NULL, NULL, 144, NULL, NULL, 21981),
(71762, '2ff4A01', NULL, NULL, 106, NULL, NULL, 21981),
(71763, '3iwfB00', NULL, NULL, 107, NULL, NULL, 21981),
(71764, '5dcaA11', NULL, NULL, 105, NULL, NULL, 21981),
(71765, '2o61A03', NULL, NULL, 113, NULL, NULL, 21981),
(71766, '3ke2B00', NULL, NULL, 117, NULL, NULL, 21981),
(71767, '4avpA00', NULL, NULL, 106, NULL, NULL, 21981),
(71768, '3f8mB01', NULL, NULL, 61, NULL, NULL, 21981),
(71769, '6blbA03', NULL, NULL, 92, NULL, NULL, 21981),
(71770, '3l09A02', NULL, NULL, 84, NULL, NULL, 21981),
(71771, '1ka8A00', NULL, NULL, 100, NULL, NULL, 21981),
(71772, '6az1N00', NULL, NULL, 91, NULL, NULL, 21981),
(71773, '6g5iK00', NULL, NULL, 97, NULL, NULL, 21981),
(71774, '4mnuB00', NULL, NULL, 135, NULL, NULL, 21981),
(71775, '4ev0A02', NULL, NULL, 77, NULL, NULL, 21981),
(71776, '5ffxD00', NULL, NULL, 137, NULL, NULL, 21981),
(71777, '2xkoA02', NULL, NULL, 94, NULL, NULL, 21981),
(71778, '6iwtA01', NULL, NULL, 100, NULL, NULL, 21981),
(71779, '3fzvB01', NULL, NULL, 87, NULL, NULL, 21981),
(71780, '3la7B02', NULL, NULL, 94, NULL, NULL, 21981),
(71781, '2gwrA02', NULL, NULL, 113, NULL, NULL, 21981),
(71782, '2dllA01', NULL, NULL, 106, NULL, NULL, 21981),
(71783, '2rkhA01', NULL, NULL, 102, NULL, NULL, 21981),
(71784, '3kloA02', NULL, NULL, 68, NULL, NULL, 21981),
(71785, '1ulyA01', NULL, NULL, 90, NULL, NULL, 21981),
(71786, '3tduD00', NULL, NULL, 77, NULL, NULL, 21981),
(71787, '4ipaA02', NULL, NULL, 61, NULL, NULL, 21981),
(71788, '2ga1A02', NULL, NULL, 74, NULL, NULL, 21981),
(71789, '2pq8A03', NULL, NULL, 72, NULL, NULL, 21981),
(71790, '4f92B03', NULL, NULL, 92, NULL, NULL, 21981),
(71791, '1zljA00', NULL, NULL, 78, NULL, NULL, 21981),
(71792, '2g9wA01', NULL, NULL, 72, NULL, NULL, 21981),
(71793, '1b9mB01', NULL, NULL, 110, NULL, NULL, 21981),
(71794, '4kt5C00', NULL, NULL, 96, NULL, NULL, 21981),
(71795, '3lfkD00', NULL, NULL, 129, NULL, NULL, 21981),
(71796, '4f7zA02', NULL, NULL, 105, NULL, NULL, 21981),
(71797, '2p5kA00', NULL, NULL, 64, NULL, NULL, 21981),
(71798, '5vyvB01', NULL, NULL, 94, NULL, NULL, 21981),
(71799, '5d5vB00', NULL, NULL, 107, NULL, NULL, 21981),
(71800, '5optn00', NULL, NULL, 99, NULL, NULL, 21981),
(71801, '2k27A01', NULL, NULL, 77, NULL, NULL, 21981),
(71802, '2o3fB00', NULL, NULL, 86, NULL, NULL, 21981),
(71803, '1sfxB00', NULL, NULL, 109, NULL, NULL, 21981),
(71804, '4f92B09', NULL, NULL, 87, NULL, NULL, 21981),
(71805, '1k78A01', NULL, NULL, 66, NULL, NULL, 21981),
(71806, '2zkzD00', NULL, NULL, 99, NULL, NULL, 21981),
(71807, '1kyzA01', NULL, NULL, 115, NULL, NULL, 21981),
(71808, '4cicB00', NULL, NULL, 153, NULL, NULL, 21981),
(71809, '5fd5A01', NULL, NULL, 86, NULL, NULL, 21981),
(71810, '5eehB01', NULL, NULL, 97, NULL, NULL, 21981),
(71811, '4kfcB02', NULL, NULL, 99, NULL, NULL, 21981),
(71812, '2jtvA00', NULL, NULL, 65, NULL, NULL, 21981),
(71813, '1xd7A00', NULL, NULL, 145, NULL, NULL, 21981),
(71814, '3n97A00', NULL, NULL, 72, NULL, NULL, 21981),
(71815, '3iwzA02', NULL, NULL, 69, NULL, NULL, 21981),
(71816, '5fgmA00', NULL, NULL, 69, NULL, NULL, 21981),
(71817, '2fu4A00', NULL, NULL, 83, NULL, NULL, 21981),
(71818, '5aipB00', NULL, NULL, 146, NULL, NULL, 21981),
(71819, '3dplC03', NULL, NULL, 83, NULL, NULL, 21981),
(71820, '3f8mA01', NULL, NULL, 78, NULL, NULL, 21981),
(71821, '4hw0C00', NULL, NULL, 104, NULL, NULL, 21981),
(71822, '3elkB00', NULL, NULL, 117, NULL, NULL, 21981),
(71823, '1lq1B00', NULL, NULL, 120, NULL, NULL, 21981),
(71824, '3t5xA02', NULL, NULL, 72, NULL, NULL, 21981),
(71825, '2x4hA00', NULL, NULL, 139, NULL, NULL, 21981),
(71826, '2d1vA00', NULL, NULL, 108, NULL, NULL, 21981),
(71827, '5cyvA00', NULL, NULL, 146, NULL, NULL, 21981),
(71828, '3tgnB02', NULL, NULL, 63, NULL, NULL, 21981),
(71829, '2dqlA00', NULL, NULL, 115, NULL, NULL, 21981);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(71830, '1duxC00', NULL, NULL, 94, NULL, NULL, 21981),
(71831, '4jqfA02', NULL, NULL, 73, NULL, NULL, 21981),
(71832, '2gxgA00', NULL, NULL, 146, NULL, NULL, 21981),
(71833, '3boqA00', NULL, NULL, 160, NULL, NULL, 21981),
(71834, '2nraC01', NULL, NULL, 166, NULL, NULL, 21981),
(71835, '2nraC02', NULL, NULL, 110, NULL, NULL, 21981),
(71836, '5uagF02', NULL, NULL, 78, NULL, NULL, 21981),
(71837, '1p6rA00', NULL, NULL, 82, NULL, NULL, 21981),
(71838, '1qgpA00', NULL, NULL, 77, NULL, NULL, 21981),
(71839, '2di3A01', NULL, NULL, 76, NULL, NULL, 21981),
(71840, '4esbA00', NULL, NULL, 115, NULL, NULL, 21981),
(71841, '2ysrA00', NULL, NULL, 105, NULL, NULL, 21981),
(71842, '6cc0A02', NULL, NULL, 70, NULL, NULL, 21981),
(71843, '5u8jB02', NULL, NULL, 81, NULL, NULL, 21981),
(71844, '2fmlB03', NULL, NULL, 74, NULL, NULL, 21981),
(71845, '2q0oA02', NULL, NULL, 67, NULL, NULL, 21981),
(71846, '3fx3B02', NULL, NULL, 97, NULL, NULL, 21981),
(71847, '5e8gA00', NULL, NULL, 100, NULL, NULL, 21981),
(71848, '3i4pA01', NULL, NULL, 53, NULL, NULL, 21981),
(71849, '2esnA01', NULL, NULL, 93, NULL, NULL, 21981),
(71850, '2o3fC00', NULL, NULL, 86, NULL, NULL, 21981),
(71851, '2rqpA00', NULL, NULL, 88, NULL, NULL, 21981),
(71852, '3co6C00', NULL, NULL, 100, NULL, NULL, 21981),
(71853, '2rn7A01', NULL, NULL, 66, NULL, NULL, 21981),
(71854, '2zfwA00', NULL, NULL, 126, NULL, NULL, 21981),
(71855, '2p5vA01', NULL, NULL, 52, NULL, NULL, 21981),
(71856, '1ft9A02', NULL, NULL, 90, NULL, NULL, 21981),
(71857, '5cvrA02', NULL, NULL, 86, NULL, NULL, 21981),
(71858, '4y13A02', NULL, NULL, 70, NULL, NULL, 21981),
(71859, '1bjaA00', NULL, NULL, 95, NULL, NULL, 21981),
(71860, '1pueF00', NULL, NULL, 89, NULL, NULL, 21981),
(71861, '5gjkA01', NULL, NULL, 75, NULL, NULL, 21981),
(71862, '2dk5A01', NULL, NULL, 66, NULL, NULL, 21981),
(71863, '4p55B00', NULL, NULL, 108, NULL, NULL, 21981),
(71864, '1s7oB00', NULL, NULL, 113, NULL, NULL, 21981),
(71865, '2vn2C00', NULL, NULL, 128, NULL, NULL, 21981),
(71866, '3aafA00', NULL, NULL, 134, NULL, NULL, 21981),
(71867, '1oyiA00', NULL, NULL, 82, NULL, NULL, 21981),
(71868, '3wtsC00', NULL, NULL, 123, NULL, NULL, 21981),
(71869, '2v7fA00', NULL, NULL, 150, NULL, NULL, 21981),
(71870, '2xvcA00', NULL, NULL, 59, NULL, NULL, 21981),
(71871, '5dukB00', NULL, NULL, 77, NULL, NULL, 21981),
(71872, '4llgL04', NULL, NULL, 86, NULL, NULL, 21981),
(71873, '1if1B00', NULL, NULL, 113, NULL, NULL, 21981),
(71874, '4m9sB04', NULL, NULL, 177, NULL, NULL, 21981),
(71875, '5l87A00', NULL, NULL, 69, NULL, NULL, 21981),
(71876, '2c6yB00', NULL, NULL, 111, NULL, NULL, 21981),
(71877, '3e6bA02', NULL, NULL, 84, NULL, NULL, 21981),
(71878, '5bpdD01', NULL, NULL, 75, NULL, NULL, 21981),
(71879, '3wg9B01', NULL, NULL, 77, NULL, NULL, 21981),
(71880, '1hw1A01', NULL, NULL, 79, NULL, NULL, 21981),
(71881, '5ilvA00', NULL, NULL, 92, NULL, NULL, 21981),
(71882, '1fokA02', NULL, NULL, 87, NULL, NULL, 21981),
(71883, '2pjpA02', NULL, NULL, 61, NULL, NULL, 21981),
(71884, '2pjpA01', NULL, NULL, 60, NULL, NULL, 21981),
(71885, '1xgsA02', NULL, NULL, 77, NULL, NULL, 21981),
(71886, '5xxuK00', NULL, NULL, 100, NULL, NULL, 21981),
(71887, '2zbkA01', NULL, NULL, 158, NULL, NULL, 21981),
(71888, '3gvaA00', NULL, NULL, 116, NULL, NULL, 21981),
(71889, '2mbfA01', NULL, NULL, 97, NULL, NULL, 21981),
(71890, '2pbiA01', NULL, NULL, 112, NULL, NULL, 21981),
(71891, '3dkwG02', NULL, NULL, 81, NULL, NULL, 21981),
(71892, '1yioA02', NULL, NULL, 67, NULL, NULL, 21981),
(71893, '2j5pA01', NULL, NULL, 70, NULL, NULL, 21981),
(71894, '3e6mA00', NULL, NULL, 161, NULL, NULL, 21981),
(71895, '1wwxA01', NULL, NULL, 84, NULL, NULL, 21981),
(71896, '4l5jB01', NULL, NULL, 64, NULL, NULL, 21981),
(71897, '2z99A01', NULL, NULL, 95, NULL, NULL, 21981),
(71898, '2z99A02', NULL, NULL, 73, NULL, NULL, 21981),
(71899, '3lwfA01', NULL, NULL, 125, NULL, NULL, 21981),
(71900, '1hkqA00', NULL, NULL, 132, NULL, NULL, 21981),
(71901, '4hlyA00', NULL, NULL, 108, NULL, NULL, 21981),
(71902, '2yu3A01', NULL, NULL, 87, NULL, NULL, 21981),
(71903, '1u78A02', NULL, NULL, 45, NULL, NULL, 21981);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(71904, '3u1dB00', NULL, NULL, 151, NULL, NULL, 21981),
(71905, '3edpA01', NULL, NULL, 84, NULL, NULL, 21981),
(71906, '2fxaA00', NULL, NULL, 169, NULL, NULL, 21981),
(71907, '3hugA00', NULL, NULL, 92, NULL, NULL, 21981),
(71908, '4wcgA00', NULL, NULL, 62, NULL, NULL, 21981),
(71909, '2f2eA01', NULL, NULL, 91, NULL, NULL, 21981),
(71910, '6el8A00', NULL, NULL, 99, NULL, NULL, 21981),
(71911, '2pmuC00', NULL, NULL, 110, NULL, NULL, 21981),
(71912, '5dv5A01', NULL, NULL, 69, NULL, NULL, 21981),
(71913, '1y0uA00', NULL, NULL, 96, NULL, NULL, 21981),
(71914, '1s6lA01', NULL, NULL, 52, NULL, NULL, 21981),
(71915, '1hqcA03', NULL, NULL, 81, NULL, NULL, 21981),
(71916, '3bp8A01', NULL, NULL, 82, NULL, NULL, 21981),
(71917, '2zcwA02', NULL, NULL, 85, NULL, NULL, 21981),
(71918, '1pdnC02', NULL, NULL, 59, NULL, NULL, 21981),
(71919, '3bddD00', NULL, NULL, 142, NULL, NULL, 21981),
(71920, '2jrtA01', NULL, NULL, 86, NULL, NULL, 21981),
(71921, '4i98C01', NULL, NULL, 76, NULL, NULL, 21981),
(71922, '4ou0A00', NULL, NULL, 73, NULL, NULL, 21981),
(71923, '4i98C02', NULL, NULL, 91, NULL, NULL, 21981),
(71924, '1pdnC01', NULL, NULL, 69, NULL, NULL, 21981),
(71925, '2zj2A03', NULL, NULL, 84, NULL, NULL, 21981),
(71926, '2qlzA03', NULL, NULL, 70, NULL, NULL, 21981),
(71927, '3deuB00', NULL, NULL, 144, NULL, NULL, 21981),
(71928, '1wi9A01', NULL, NULL, 58, NULL, NULL, 21981),
(71929, '4u7bA02', NULL, NULL, 39, NULL, NULL, 21981),
(71930, '3szpA01', NULL, NULL, 89, NULL, NULL, 21981),
(71931, '3j7aY00', NULL, NULL, 170, NULL, NULL, 21981),
(71932, '2obpA00', NULL, NULL, 96, NULL, NULL, 21981),
(71933, '4gcvC00', NULL, NULL, 168, NULL, NULL, 21981),
(71934, '2kifA00', NULL, NULL, 108, NULL, NULL, 21981),
(71935, '1gxqA00', NULL, NULL, 106, NULL, NULL, 21981),
(71936, '2hfhA00', NULL, NULL, 93, NULL, NULL, 21981),
(71937, '3lmmB05', NULL, NULL, 61, NULL, NULL, 21981),
(71938, '1yyvB00', NULL, NULL, 131, NULL, NULL, 21981),
(71939, '3w6jE02', NULL, NULL, 102, NULL, NULL, 21981),
(71940, '3e6cC02', NULL, NULL, 86, NULL, NULL, 21981),
(71941, '4cxfA02', NULL, NULL, 69, NULL, NULL, 21981),
(71942, '2l02A00', NULL, NULL, 82, NULL, NULL, 21981),
(71943, '1fx7A01', NULL, NULL, 73, NULL, NULL, 21981),
(71944, '4u88A00', NULL, NULL, 109, NULL, NULL, 21981),
(71945, '3cjnA00', NULL, NULL, 162, NULL, NULL, 21981),
(71946, '1a04A02', NULL, NULL, 87, NULL, NULL, 21981),
(71947, '6clxA01', NULL, NULL, 98, NULL, NULL, 21981),
(71948, '5xncA01', NULL, NULL, 83, NULL, NULL, 21981),
(71949, '2pn6A01', NULL, NULL, 52, NULL, NULL, 21981),
(71950, '3i53B01', NULL, NULL, 99, NULL, NULL, 21981),
(71951, '1w5sA03', NULL, NULL, 113, NULL, NULL, 21981),
(71952, '5za3B00', NULL, NULL, 101, NULL, NULL, 21981),
(71953, '1vtnC00', NULL, NULL, 102, NULL, NULL, 21981),
(71954, '2cqkA00', NULL, NULL, 101, NULL, NULL, 21981),
(71955, '5fo5A00', NULL, NULL, 92, NULL, NULL, 21981),
(71956, '2qbyB03', NULL, NULL, 101, NULL, NULL, 21981),
(71957, '4b09B02', NULL, NULL, 98, NULL, NULL, 21981),
(71958, '3jcmN09', NULL, NULL, 82, NULL, NULL, 21981),
(71959, '2a61B00', NULL, NULL, 145, NULL, NULL, 21981),
(71960, '4p96A01', NULL, NULL, 79, NULL, NULL, 21981),
(71961, '4esjA02', NULL, NULL, 90, NULL, NULL, 21981),
(71962, '6az6A01', NULL, NULL, 79, NULL, NULL, 21981),
(71963, '3t8rA00', NULL, NULL, 143, NULL, NULL, 21981),
(71964, '1r7jA00', NULL, NULL, 95, NULL, NULL, 21981),
(71965, '2jscB01', NULL, NULL, 89, NULL, NULL, 21981),
(71966, '4nb5B01', NULL, NULL, 97, NULL, NULL, 21981),
(71967, '2m1bA00', NULL, NULL, 122, NULL, NULL, 21981),
(71968, '2qlzB01', NULL, NULL, 76, NULL, NULL, 21981),
(71969, '1bc8C00', NULL, NULL, 93, NULL, NULL, 21981),
(71970, '1s3jA02', NULL, NULL, 64, NULL, NULL, 21981),
(71971, '2gqqA01', NULL, NULL, 52, NULL, NULL, 21981),
(71972, '4u0yA00', NULL, NULL, 78, NULL, NULL, 21981),
(71973, '3p9cA01', NULL, NULL, 116, NULL, NULL, 21981),
(71974, '2l4aA00', NULL, NULL, 66, NULL, NULL, 21981),
(71975, '5m59A03', NULL, NULL, 91, NULL, NULL, 21981),
(71976, '4zyeA02', NULL, NULL, 84, NULL, NULL, 21981),
(71977, '3lstA01', NULL, NULL, 101, NULL, NULL, 21981);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(71978, '5hs7B00', NULL, NULL, 110, NULL, NULL, 21981),
(71979, '1pp8O00', NULL, NULL, 115, NULL, NULL, 21981),
(71980, '2gauA02', NULL, NULL, 81, NULL, NULL, 21981),
(71981, '5m59A09', NULL, NULL, 88, NULL, NULL, 21981),
(71982, '1j9iA00', NULL, NULL, 68, NULL, NULL, 21981),
(71983, '4bgdA03', NULL, NULL, 90, NULL, NULL, 21981),
(71984, '1on2A01', NULL, NULL, 73, NULL, NULL, 21981),
(71985, '1x3uA01', NULL, NULL, 69, NULL, NULL, 21981),
(71986, '2ozuA03', NULL, NULL, 72, NULL, NULL, 21981),
(71987, '3r0aA00', NULL, NULL, 123, NULL, NULL, 21981),
(71988, '4bgdA09', NULL, NULL, 103, NULL, NULL, 21981),
(71989, '2xubA04', NULL, NULL, 91, NULL, NULL, 21981),
(71990, '2ia2A01', NULL, NULL, 83, NULL, NULL, 21981),
(71991, '2xubA02', NULL, NULL, 92, NULL, NULL, 21981),
(71992, '3k2zB01', NULL, NULL, 66, NULL, NULL, 21981),
(71993, '2cg4A01', NULL, NULL, 57, NULL, NULL, 21981),
(71994, '6c5bA01', NULL, NULL, 92, NULL, NULL, 21981),
(71995, '4yifF00', NULL, NULL, 138, NULL, NULL, 21981),
(71996, '2p7vB00', NULL, NULL, 68, NULL, NULL, 21981),
(71997, '3rjpA00', NULL, NULL, 96, NULL, NULL, 21981),
(71998, '5dymA00', NULL, NULL, 100, NULL, NULL, 21981),
(71999, '2xubA01', NULL, NULL, 78, NULL, NULL, 21981),
(72000, '1xsvA00', NULL, NULL, 113, NULL, NULL, 21981),
(72001, '2l01A00', NULL, NULL, 77, NULL, NULL, 21981),
(72002, '1sfeA02', NULL, NULL, 87, NULL, NULL, 21981),
(72003, '1ixcA01', NULL, NULL, 87, NULL, NULL, 21981),
(72004, '1or7B02', NULL, NULL, 71, NULL, NULL, 21981),
(72005, '2bv6A00', NULL, NULL, 142, NULL, NULL, 21981),
(72006, '2o03A01', NULL, NULL, 75, NULL, NULL, 21981),
(72007, '6akpC00', NULL, NULL, 103, NULL, NULL, 21981),
(72008, '1tnsA00', NULL, NULL, 76, NULL, NULL, 21981),
(72009, '4b8xB00', NULL, NULL, 147, NULL, NULL, 21981),
(72010, '2fokA02', NULL, NULL, 87, NULL, NULL, 21981),
(72011, '5eriA00', NULL, NULL, 169, NULL, NULL, 21981),
(72012, '3sfzA03', NULL, NULL, 74, NULL, NULL, 21981),
(72013, '3cloA02', NULL, NULL, 64, NULL, NULL, 21981),
(72014, '6faiZ00', NULL, NULL, 67, NULL, NULL, 21981),
(72015, '4hamA01', NULL, NULL, 80, NULL, NULL, 21981),
(72016, '3l9fA01', NULL, NULL, 89, NULL, NULL, 21981),
(72017, '4asnA00', NULL, NULL, 101, NULL, NULL, 21981),
(72018, '3l00A02', NULL, NULL, 90, NULL, NULL, 21981),
(72019, '1u3eM02', NULL, NULL, 68, NULL, NULL, 21981),
(72020, '1j5yA01', NULL, NULL, 79, NULL, NULL, 21981),
(72021, '2qvoA00', NULL, NULL, 95, NULL, NULL, 21981),
(72022, '6jqsA00', NULL, NULL, 75, NULL, NULL, 21981),
(72023, '1fc3B00', NULL, NULL, 120, NULL, NULL, 21981),
(72024, '1ku3A00', NULL, NULL, 73, NULL, NULL, 21981),
(72025, '2do7A01', NULL, NULL, 80, NULL, NULL, 21981),
(72026, '3kp7A00', NULL, NULL, 151, NULL, NULL, 21981),
(72027, '4lb6B00', NULL, NULL, 72, NULL, NULL, 21981),
(72028, '3ff5A00', NULL, NULL, 54, NULL, NULL, 21981),
(72029, '1ussA00', NULL, NULL, 88, NULL, NULL, 21981),
(72030, '1in4A02', NULL, NULL, 73, NULL, NULL, 21981),
(72031, '3df8A00', NULL, NULL, 111, NULL, NULL, 21981),
(72032, '4rs8A00', NULL, NULL, 84, NULL, NULL, 21981),
(72033, '3ihuA01', NULL, NULL, 81, NULL, NULL, 21981),
(72034, '3vepH00', NULL, NULL, 86, NULL, NULL, 21981),
(72035, '1cf7A00', NULL, NULL, 76, NULL, NULL, 21981),
(72036, '4yiiA00', NULL, NULL, 90, NULL, NULL, 21981),
(72037, '1lddA00', NULL, NULL, 74, NULL, NULL, 21981),
(72038, '1u2wD00', NULL, NULL, 122, NULL, NULL, 21981),
(72039, '2ia0A01', NULL, NULL, 67, NULL, NULL, 21981),
(72040, '2ia2D01', NULL, NULL, 76, NULL, NULL, 21981),
(72041, '5cj9A01', NULL, NULL, 64, NULL, NULL, 21981),
(72042, '2hztC00', NULL, NULL, 107, NULL, NULL, 21981),
(72043, '2dceA01', NULL, NULL, 76, NULL, NULL, 21981),
(72044, '2qenA03', NULL, NULL, 70, NULL, NULL, 21981),
(72045, '4irhA00', NULL, NULL, 106, NULL, NULL, 21981),
(72046, '1z6tA04', NULL, NULL, 85, NULL, NULL, 21981),
(72047, '4pcqA01', NULL, NULL, 50, NULL, NULL, 21981),
(72048, '3cdhA00', NULL, NULL, 155, NULL, NULL, 21981),
(72049, '4qwqA00', NULL, NULL, 110, NULL, NULL, 21981),
(72050, '1s29A00', NULL, NULL, 92, NULL, NULL, 21981),
(72051, '2htjA01', NULL, NULL, 60, NULL, NULL, 21981);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(72052, '4ivnA01', NULL, NULL, 81, NULL, NULL, 21981),
(72053, '4a5nC00', NULL, NULL, 114, NULL, NULL, 21981),
(72054, '4ka4A00', NULL, NULL, 70, NULL, NULL, 21981),
(72055, '2r3sB01', NULL, NULL, 83, NULL, NULL, 21981),
(72056, '2hr3D02', NULL, NULL, 66, NULL, NULL, 21981),
(72057, '2a6hF02', NULL, NULL, 54, NULL, NULL, 21981),
(72058, '3wttH00', NULL, NULL, 93, NULL, NULL, 21981),
(72059, '5hvqC02', NULL, NULL, 98, NULL, NULL, 21981),
(72060, '2jzyA00', NULL, NULL, 112, NULL, NULL, 21981),
(72061, '2pfbB00', NULL, NULL, 136, NULL, NULL, 21981),
(72062, '4g9yA00', NULL, NULL, 157, NULL, NULL, 21981),
(72063, '4gggA00', NULL, NULL, 105, NULL, NULL, 21981),
(72064, '5znxA00', NULL, NULL, 102, NULL, NULL, 21981),
(72065, '1q1hA00', NULL, NULL, 88, NULL, NULL, 21981),
(72066, '3fm3A02', NULL, NULL, 80, NULL, NULL, 21981),
(72067, '2k4jA00', NULL, NULL, 115, NULL, NULL, 21981),
(72068, '2a6hF03', NULL, NULL, 82, NULL, NULL, 21981),
(72069, '2ia1B02', NULL, NULL, 59, NULL, NULL, 21981),
(72070, '1p2fA02', NULL, NULL, 98, NULL, NULL, 21981),
(72071, '5xyiK00', NULL, NULL, 91, NULL, NULL, 21981),
(72072, '5d6eA02', NULL, NULL, 80, NULL, NULL, 21981),
(72073, '3m8eB00', NULL, NULL, 101, NULL, NULL, 21981),
(72074, '5xohA01', NULL, NULL, 110, NULL, NULL, 21981),
(72075, '3ispA01', NULL, NULL, 87, NULL, NULL, 21981),
(72076, '1xdsB01', NULL, NULL, 112, NULL, NULL, 21981),
(72077, '2rdpA00', NULL, NULL, 150, NULL, NULL, 21981),
(72078, '4e70A01', NULL, NULL, 107, NULL, NULL, 21981),
(72079, '3u9gA01', NULL, NULL, 74, NULL, NULL, 21981),
(72080, '2eljA01', NULL, NULL, 75, NULL, NULL, 21981),
(72081, '3hugE00', NULL, NULL, 73, NULL, NULL, 21981),
(72082, '2hztD00', NULL, NULL, 107, NULL, NULL, 21981),
(72083, '3bjoA00', NULL, NULL, 103, NULL, NULL, 21981),
(72084, '3pqkA00', NULL, NULL, 102, NULL, NULL, 21981),
(72085, '3gwzA01', NULL, NULL, 89, NULL, NULL, 21981),
(72086, '2ia2C01', NULL, NULL, 60, NULL, NULL, 21981),
(72087, '4k2eB00', NULL, NULL, 95, NULL, NULL, 21981),
(72088, '3w6kC00', NULL, NULL, 92, NULL, NULL, 21981),
(72089, '4hyeA02', NULL, NULL, 69, NULL, NULL, 21981),
(72090, '2hyfA01', NULL, NULL, 73, NULL, NULL, 21981),
(72091, '4eqqA02', NULL, NULL, 48, NULL, NULL, 21981),
(72092, '3mczA01', NULL, NULL, 82, NULL, NULL, 21981),
(72093, '4x6gB01', NULL, NULL, 91, NULL, NULL, 21981),
(72094, '1l0oC00', NULL, NULL, 57, NULL, NULL, 21981),
(72095, '2b0lC00', NULL, NULL, 102, NULL, NULL, 21981),
(72096, '1ustA00', NULL, NULL, 93, NULL, NULL, 21981),
(72097, '1rz4A02', NULL, NULL, 104, NULL, NULL, 21981),
(72098, '1tlhB01', NULL, NULL, 68, NULL, NULL, 21981),
(72099, '1g4dA00', NULL, NULL, 69, NULL, NULL, 21981),
(72100, '3u2rA00', NULL, NULL, 149, NULL, NULL, 21981),
(72101, '1je8E00', NULL, NULL, 82, NULL, NULL, 21981),
(72102, '1z7uB00', NULL, NULL, 112, NULL, NULL, 21981),
(72103, '2a07J00', NULL, NULL, 93, NULL, NULL, 21981),
(72104, '3qp6A02', NULL, NULL, 79, NULL, NULL, 21981),
(72105, '3m1eA00', NULL, NULL, 94, NULL, NULL, 21981),
(72106, '2sttA00', NULL, NULL, 96, NULL, NULL, 21981),
(72107, '4xlnF03', NULL, NULL, 81, NULL, NULL, 21981),
(72108, '3f6oB00', NULL, NULL, 96, NULL, NULL, 21981),
(72109, '1ucrB00', NULL, NULL, 78, NULL, NULL, 21981),
(72110, '1bbyA00', NULL, NULL, 69, NULL, NULL, 21981),
(72111, '4irgA00', NULL, NULL, 109, NULL, NULL, 21981),
(72112, '1stzA01', NULL, NULL, 98, NULL, NULL, 21981),
(72113, '3bpvA00', NULL, NULL, 138, NULL, NULL, 21981),
(72114, '4h0eA00', NULL, NULL, 70, NULL, NULL, 21981),
(72115, '3m8eA00', NULL, NULL, 124, NULL, NULL, 21981),
(72116, '5hdkC00', NULL, NULL, 112, NULL, NULL, 21981),
(72117, '1s8nA02', NULL, NULL, 63, NULL, NULL, 21981),
(72118, '3tqnC01', NULL, NULL, 75, NULL, NULL, 21981),
(72119, '1ufmA00', NULL, NULL, 84, NULL, NULL, 21981),
(72120, '3c57B00', NULL, NULL, 49, NULL, NULL, 21981),
(72121, '4if4A02', NULL, NULL, 68, NULL, NULL, 21981),
(72122, '5zqhA00', NULL, NULL, 102, NULL, NULL, 21981),
(72123, '2ek5B00', NULL, NULL, 129, NULL, NULL, 21981),
(72124, '3eyyA01', NULL, NULL, 84, NULL, NULL, 21981),
(72125, '1tbxB00', NULL, NULL, 99, NULL, NULL, 21981);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(72126, '6paxA01', NULL, NULL, 68, NULL, NULL, 21981),
(72127, '2hztA00', NULL, NULL, 107, NULL, NULL, 21981),
(72128, '6paxA02', NULL, NULL, 49, NULL, NULL, 21981),
(72129, '3l7wA00', NULL, NULL, 108, NULL, NULL, 21981),
(72130, '2ip2A01', NULL, NULL, 88, NULL, NULL, 21981),
(72131, '4hf1A00', NULL, NULL, 144, NULL, NULL, 21981),
(72132, '1xmkA00', NULL, NULL, 79, NULL, NULL, 21981),
(72133, '1d3yA01', NULL, NULL, 74, NULL, NULL, 21981),
(72134, '1lj9B00', NULL, NULL, 144, NULL, NULL, 21981),
(72135, '6exmB02', NULL, NULL, 101, NULL, NULL, 21981),
(72136, '3o2pE00', NULL, NULL, 88, NULL, NULL, 21981),
(72137, '2vxzA01', NULL, NULL, 70, NULL, NULL, 21981),
(72138, '2fbhA00', NULL, NULL, 146, NULL, NULL, 21981),
(72139, '5f64A02', NULL, NULL, 76, NULL, NULL, 21981),
(72140, '3qu6C01', NULL, NULL, 107, NULL, NULL, 21981),
(72141, '5dcfA02', NULL, NULL, 64, NULL, NULL, 21981),
(72142, '6ga0A02', NULL, NULL, 90, NULL, NULL, 21981),
(72143, '1zarA01', NULL, NULL, 90, NULL, NULL, 21981),
(72144, '3vfzB00', NULL, NULL, 67, NULL, NULL, 21981),
(72145, '3gz5B02', NULL, NULL, 78, NULL, NULL, 21981),
(72146, '2hgcA00', NULL, NULL, 82, NULL, NULL, 21981),
(72147, '2dt5B01', NULL, NULL, 73, NULL, NULL, 21981),
(72148, '1k78I00', NULL, NULL, 66, NULL, NULL, 21981),
(72149, '2d1hB00', NULL, NULL, 109, NULL, NULL, 21981),
(72150, '3cuoD00', NULL, NULL, 99, NULL, NULL, 21981),
(72151, '2y75A00', NULL, NULL, 129, NULL, NULL, 21981),
(72152, '2v79A00', NULL, NULL, 115, NULL, NULL, 21981),
(72153, '1fnnB03', NULL, NULL, 112, NULL, NULL, 21981),
(72154, '1qo0D02', NULL, NULL, 52, NULL, NULL, 21981),
(72155, '3v8jA01', NULL, NULL, 70, NULL, NULL, 21981),
(72156, '3hhhA00', NULL, NULL, 116, NULL, NULL, 21981),
(72157, '2a5yC03', NULL, NULL, 129, NULL, NULL, 21981),
(72158, '3qp5A02', NULL, NULL, 72, NULL, NULL, 21981),
(72159, '1i1gA01', NULL, NULL, 51, NULL, NULL, 21981),
(72160, '2mc3A00', NULL, NULL, 109, NULL, NULL, 21981),
(72161, '4a6dA01', NULL, NULL, 94, NULL, NULL, 21981),
(72162, '2fswA00', NULL, NULL, 107, NULL, NULL, 21981),
(72163, '2aqeA00', NULL, NULL, 90, NULL, NULL, 21981),
(72164, '4kibA01', NULL, NULL, 99, NULL, NULL, 21981),
(72165, '3gudA00', NULL, NULL, 129, NULL, NULL, 21981),
(72166, '3tqnB01', NULL, NULL, 75, NULL, NULL, 21981),
(72167, '2gxbB00', NULL, NULL, 66, NULL, NULL, 21981),
(72168, '2ou2A03', NULL, NULL, 69, NULL, NULL, 21981),
(72169, '2nyxB01', NULL, NULL, 151, NULL, NULL, 21981),
(72170, '1cf7B00', NULL, NULL, 95, NULL, NULL, 21981),
(72171, '4l0yB00', NULL, NULL, 108, NULL, NULL, 21981),
(72172, '1ev7B02', NULL, NULL, 133, NULL, NULL, 21981),
(72173, '1fp1D01', NULL, NULL, 105, NULL, NULL, 21981),
(72174, '2hztB00', NULL, NULL, 107, NULL, NULL, 21981),
(72175, '3neuA01', NULL, NULL, 79, NULL, NULL, 21981),
(72176, '2ns0A00', NULL, NULL, 85, NULL, NULL, 21981),
(72177, '1b4aA01', NULL, NULL, 59, NULL, NULL, 21981),
(72178, '1oywA03', NULL, NULL, 183, NULL, NULL, 21981),
(72179, '2h6cA02', NULL, NULL, 85, NULL, NULL, 21981),
(72180, '2co5A00', NULL, NULL, 99, NULL, NULL, 21981),
(72181, '3nqoB00', NULL, NULL, 189, NULL, NULL, 21981),
(72182, '2qufA01', NULL, NULL, 76, NULL, NULL, 21981),
(72183, '2xzmT00', NULL, NULL, 155, NULL, NULL, 21981),
(72184, '5tjjA01', NULL, NULL, 77, NULL, NULL, 21981),
(72185, '1d8jA00', NULL, NULL, 81, NULL, NULL, 21981),
(72186, '1xmaA00', NULL, NULL, 111, NULL, NULL, 21981),
(72187, '4ad9A02', NULL, NULL, 84, NULL, NULL, 21981),
(72188, '1mgtA02', NULL, NULL, 86, NULL, NULL, 21981),
(72189, '4mtdD01', NULL, NULL, 89, NULL, NULL, 21981),
(72190, '4o5vA01', NULL, NULL, 71, NULL, NULL, 21981),
(72191, '2p8tA01', NULL, NULL, 91, NULL, NULL, 21981),
(72192, '2xigA01', NULL, NULL, 93, NULL, NULL, 21981),
(72193, '2lnbA00', NULL, NULL, 80, NULL, NULL, 21981),
(72194, '4q48A03', NULL, NULL, 185, NULL, NULL, 21981),
(72195, '4bqaG00', NULL, NULL, 85, NULL, NULL, 21981),
(72196, '3ic7A01', NULL, NULL, 77, NULL, NULL, 21981),
(72197, '3oopA01', NULL, NULL, 138, NULL, NULL, 21981),
(72198, '1fshA00', NULL, NULL, 105, NULL, NULL, 21981),
(72199, '1lvaA03', NULL, NULL, 62, NULL, NULL, 21981);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(72200, '4xrfA00', NULL, NULL, 142, NULL, NULL, 21981),
(72201, '1lvaA04', NULL, NULL, 60, NULL, NULL, 21981),
(72202, '4kmfA00', NULL, NULL, 62, NULL, NULL, 21981),
(72203, '4aihF00', NULL, NULL, 151, NULL, NULL, 21981),
(72204, '3zmdA00', NULL, NULL, 152, NULL, NULL, 21981),
(72205, '3hruB01', NULL, NULL, 138, NULL, NULL, 21981),
(72206, '3k9tA03', NULL, NULL, 79, NULL, NULL, 21981),
(72207, '2fbiA00', NULL, NULL, 142, NULL, NULL, 21981),
(72208, '3j7aO00', NULL, NULL, 89, NULL, NULL, 21981),
(72209, '4z2yA01', NULL, NULL, 94, NULL, NULL, 21981),
(72210, '3tqnA01', NULL, NULL, 75, NULL, NULL, 21981),
(72211, '5trdA01', NULL, NULL, 90, NULL, NULL, 21981),
(72212, '2elhA01', NULL, NULL, 66, NULL, NULL, 21981),
(72213, '4cydB02', NULL, NULL, 80, NULL, NULL, 21981),
(72214, '2o0yC01', NULL, NULL, 79, NULL, NULL, 21981),
(72215, '2oa4A01', NULL, NULL, 84, NULL, NULL, 21981),
(72216, '2v1xA03', NULL, NULL, 110, NULL, NULL, 21981),
(72217, '2ijlB00', NULL, NULL, 135, NULL, NULL, 21981),
(72218, '1uhwA00', NULL, NULL, 109, NULL, NULL, 21981),
(72219, '5aonA00', NULL, NULL, 53, NULL, NULL, 21981),
(72220, '2qwwC00', NULL, NULL, 154, NULL, NULL, 21981),
(72221, '5mmcA00', NULL, NULL, 70, NULL, NULL, 21981),
(72222, '2hoeA01', NULL, NULL, 62, NULL, NULL, 21981),
(72223, '3hhgE01', NULL, NULL, 88, NULL, NULL, 21981),
(72224, '1ys7A02', NULL, NULL, 105, NULL, NULL, 21981),
(72225, '4uhtA00', NULL, NULL, 102, NULL, NULL, 21981),
(72226, '3bj6B00', NULL, NULL, 152, NULL, NULL, 21981),
(72227, '3ulqB00', NULL, NULL, 62, NULL, NULL, 21981),
(72228, '3qrfF00', NULL, NULL, 82, NULL, NULL, 21981),
(72229, '2lkpA00', NULL, NULL, 119, NULL, NULL, 21981),
(72230, '2dk8A01', NULL, NULL, 65, NULL, NULL, 21981),
(72231, '3r4kB01', NULL, NULL, 65, NULL, NULL, 21981),
(72232, '4zs8B01', NULL, NULL, 67, NULL, NULL, 21981),
(72233, '4esfA00', NULL, NULL, 117, NULL, NULL, 21981),
(72234, '1p4wA00', NULL, NULL, 99, NULL, NULL, 21981),
(72235, '3bjaA00', NULL, NULL, 139, NULL, NULL, 21981),
(72236, '2m87A00', NULL, NULL, 103, NULL, NULL, 21981),
(72237, '2k4bA00', NULL, NULL, 69, NULL, NULL, 21981),
(72238, '1v3fA00', NULL, NULL, 120, NULL, NULL, 21981),
(72239, '2irfG00', NULL, NULL, 113, NULL, NULL, 21981),
(72240, '4bxuA00', NULL, NULL, 69, NULL, NULL, 21981),
(72241, '4mhgA01', NULL, NULL, 91, NULL, NULL, 21981),
(72242, '2oqrA03', NULL, NULL, 108, NULL, NULL, 21981),
(72243, '5cviA01', NULL, NULL, 139, NULL, NULL, 21981),
(72244, '2zkzB00', NULL, NULL, 99, NULL, NULL, 21981),
(72245, '3jtgA01', NULL, NULL, 85, NULL, NULL, 21981),
(72246, '3broD00', NULL, NULL, 141, NULL, NULL, 21981),
(72247, '2hyfD01', NULL, NULL, 73, NULL, NULL, 21981),
(72248, '2q2eA01', NULL, NULL, 145, NULL, NULL, 21981),
(72249, '4tv7D01', NULL, NULL, 93, NULL, NULL, 21981),
(72250, '1ghcA00', NULL, NULL, 75, NULL, NULL, 21981),
(72251, '2eshA00', NULL, NULL, 118, NULL, NULL, 21981),
(72252, '3pfiA03', NULL, NULL, 79, NULL, NULL, 21981),
(72253, '1xn7A00', NULL, NULL, 78, NULL, NULL, 21981),
(72254, '6fuuA00', NULL, NULL, 108, NULL, NULL, 21981),
(72255, '4hf0B00', NULL, NULL, 141, NULL, NULL, 21981),
(72256, '1qntA02', NULL, NULL, 91, NULL, NULL, 21981),
(72257, '1awcA00', NULL, NULL, 110, NULL, NULL, 21981),
(72258, '2hs5A01', NULL, NULL, 67, NULL, NULL, 21981),
(72259, '3gw2A00', NULL, NULL, 108, NULL, NULL, 21981),
(72260, '2g7uA01', NULL, NULL, 79, NULL, NULL, 21981),
(72261, '3p7nA02', NULL, NULL, 72, NULL, NULL, 21981),
(72262, '4bhbA02', NULL, NULL, 86, NULL, NULL, 21981),
(72263, '2hwvA00', NULL, NULL, 103, NULL, NULL, 21981),
(72264, '2o0yB01', NULL, NULL, 65, NULL, NULL, 21981),
(72265, '3g3zA02', NULL, NULL, 64, NULL, NULL, 21981),
(72266, '5d5wB00', NULL, NULL, 104, NULL, NULL, 21981),
(72267, '1t98A01', NULL, NULL, 95, NULL, NULL, 21981),
(72268, '1v4rA01', NULL, NULL, 79, NULL, NULL, 21981),
(72269, '3mq0A01', NULL, NULL, 79, NULL, NULL, 21981),
(72270, '4cuyK00', NULL, NULL, 93, NULL, NULL, 21981),
(72271, '2ijlA00', NULL, NULL, 135, NULL, NULL, 21981),
(72272, '3dv8A02', NULL, NULL, 78, NULL, NULL, 21981),
(72273, '4nqwA02', NULL, NULL, 93, NULL, NULL, 21981);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(72274, '3nrvB00', NULL, NULL, 148, NULL, NULL, 21981),
(72275, '3k69A00', NULL, NULL, 162, NULL, NULL, 21981),
(72276, '3dpuB01', NULL, NULL, 104, NULL, NULL, 21981),
(72277, '2hqrA02', NULL, NULL, 106, NULL, NULL, 21981),
(72278, '3g73A00', NULL, NULL, 103, NULL, NULL, 21981),
(72279, '5hdnD00', NULL, NULL, 112, NULL, NULL, 21981),
(72280, '2ma3A00', NULL, NULL, 88, NULL, NULL, 21981),
(72281, '4fx0A00', NULL, NULL, 148, NULL, NULL, 21981),
(72282, '4d0pA02', NULL, NULL, 65, NULL, NULL, 21981),
(72283, '1fpqA02', NULL, NULL, 129, NULL, NULL, 21981),
(72284, '3f6vA00', NULL, NULL, 104, NULL, NULL, 21981),
(72285, '1jhfA02', NULL, NULL, 70, NULL, NULL, 21981),
(72286, '5z4zA00', NULL, NULL, 91, NULL, NULL, 21981),
(72287, '6g5iZ00', NULL, NULL, 84, NULL, NULL, 21981),
(72288, '6az1a00', NULL, NULL, 86, NULL, NULL, 21981),
(72289, '3go5A04', NULL, NULL, 63, NULL, NULL, 21981),
(72290, '3to7A03', NULL, NULL, 81, NULL, NULL, 21981),
(72291, '1t0fA02', NULL, NULL, 99, NULL, NULL, 21981),
(72292, '4em2A00', NULL, NULL, 178, NULL, NULL, 21981),
(72293, '4pzjA00', NULL, NULL, 70, NULL, NULL, 21981),
(72294, '1zh5A01', NULL, NULL, 91, NULL, NULL, 21981),
(72295, '3sqnB01', NULL, NULL, 63, NULL, NULL, 21981),
(72296, '5u8jD01', NULL, NULL, 94, NULL, NULL, 21981),
(72297, '1repC01', NULL, NULL, 155, NULL, NULL, 21981),
(72298, '1repC02', NULL, NULL, 96, NULL, NULL, 21981),
(72299, '4nhjB00', NULL, NULL, 119, NULL, NULL, 21981),
(72300, '3jw4A00', NULL, NULL, 148, NULL, NULL, 21981),
(72301, '2qyoB01', NULL, NULL, 108, NULL, NULL, 21981),
(72302, '3zplF00', NULL, NULL, 157, NULL, NULL, 21981),
(72303, '2htsA00', NULL, NULL, 92, NULL, NULL, 21981),
(72304, '4p9fA01', NULL, NULL, 70, NULL, NULL, 21981),
(72305, '2o3fA00', NULL, NULL, 86, NULL, NULL, 21981),
(72306, '2zkzC00', NULL, NULL, 99, NULL, NULL, 21981),
(72307, '5x07F00', NULL, NULL, 85, NULL, NULL, 21981),
(72308, '2isyA01', NULL, NULL, 139, NULL, NULL, 21981),
(72309, '5hliB00', NULL, NULL, 149, NULL, NULL, 21981),
(72310, '2xrnB01', NULL, NULL, 64, NULL, NULL, 21981),
(72311, '2h6bA02', NULL, NULL, 105, NULL, NULL, 21981),
(72312, '1sd4A01', NULL, NULL, 64, NULL, NULL, 21981),
(72313, '1biaA01', NULL, NULL, 64, NULL, NULL, 21981),
(72314, '4l9jB00', NULL, NULL, 140, NULL, NULL, 21981),
(72315, '3c7jA01', NULL, NULL, 91, NULL, NULL, 21981),
(72316, '2vooB01', NULL, NULL, 89, NULL, NULL, 21981),
(72317, '4gyiA01', NULL, NULL, 95, NULL, NULL, 21981),
(72318, '5ed4A02', NULL, NULL, 108, NULL, NULL, 21981),
(72319, '2wv0A01', NULL, NULL, 71, NULL, NULL, 21981),
(72320, '1r1tA00', NULL, NULL, 99, NULL, NULL, 21981),
(72321, '2dbbB01', NULL, NULL, 58, NULL, NULL, 21981),
(72322, '2jt1A00', NULL, NULL, 77, NULL, NULL, 21981),
(72323, '6nceA00', NULL, NULL, 100, NULL, NULL, 21981),
(72324, '3by6C01', NULL, NULL, 77, NULL, NULL, 21981),
(72325, '4co8A00', NULL, NULL, 99, NULL, NULL, 21981),
(72326, '1p4xA02', NULL, NULL, 123, NULL, NULL, 21981),
(72327, '3zp5A00', NULL, NULL, 102, NULL, NULL, 21981),
(72328, '3htuA00', NULL, NULL, 79, NULL, NULL, 21981),
(72329, '3majA02', NULL, NULL, 77, NULL, NULL, 21981),
(72330, '1nhaA00', NULL, NULL, 82, NULL, NULL, 21981),
(72331, '2jpcA00', NULL, NULL, 61, NULL, NULL, 21981),
(72332, '5zz5B01', NULL, NULL, 75, NULL, NULL, 21981),
(72333, '2p4wA01', NULL, NULL, 103, NULL, NULL, 21981),
(72334, '2h09A01', NULL, NULL, 71, NULL, NULL, 21981),
(72335, '3mwmA01', NULL, NULL, 84, NULL, NULL, 21981),
(72336, '1sfuA00', NULL, NULL, 75, NULL, NULL, 21981),
(72337, '2mh2A00', NULL, NULL, 84, NULL, NULL, 21981),
(72338, '2uzkC01', NULL, NULL, 89, NULL, NULL, 21981),
(72339, '4zzlB01', NULL, NULL, 131, NULL, NULL, 21981),
(72340, '2oqgC00', NULL, NULL, 114, NULL, NULL, 21981),
(72341, '2ethA00', NULL, NULL, 154, NULL, NULL, 21981),
(72342, '4hqeA00', NULL, NULL, 115, NULL, NULL, 21981),
(72343, '2w25A01', NULL, NULL, 52, NULL, NULL, 21981),
(72344, '4s04A02', NULL, NULL, 107, NULL, NULL, 21981),
(72345, '1ub9A00', NULL, NULL, 100, NULL, NULL, 21981),
(72346, '1qbjC00', NULL, NULL, 81, NULL, NULL, 21981),
(72347, '3dqvC03', NULL, NULL, 89, NULL, NULL, 21981);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(72348, '2cfxA01', NULL, NULL, 50, NULL, NULL, 21981),
(72349, '4l9vA00', NULL, NULL, 145, NULL, NULL, 21981),
(72350, '3e97A02', NULL, NULL, 85, NULL, NULL, 21981),
(72351, '2hyfB01', NULL, NULL, 73, NULL, NULL, 21981),
(72352, '2m45A00', NULL, NULL, 87, NULL, NULL, 21981),
(72353, '1fp2A01', NULL, NULL, 103, NULL, NULL, 21981),
(72354, '3dptB01', NULL, NULL, 83, NULL, NULL, 21981),
(72355, '2pg4A00', NULL, NULL, 95, NULL, NULL, 21981),
(72356, '3q9vA00', NULL, NULL, 98, NULL, NULL, 21981),
(72357, '4ejoA00', NULL, NULL, 123, NULL, NULL, 21981),
(72358, '3c1dB01', NULL, NULL, 62, NULL, NULL, 21981),
(72359, '3bz6A02', NULL, NULL, 78, NULL, NULL, 21981),
(72360, '3d0sA02', NULL, NULL, 80, NULL, NULL, 21981),
(72361, '3t0yA02', NULL, NULL, 63, NULL, NULL, 21981),
(72362, '2zxjA00', NULL, NULL, 120, NULL, NULL, 21981),
(72363, '2w57A01', NULL, NULL, 84, NULL, NULL, 21981),
(72364, '3keoA01', NULL, NULL, 77, NULL, NULL, 21981),
(72365, '1j75A00', NULL, NULL, 67, NULL, NULL, 21981),
(72366, '5cvvB01', NULL, NULL, 118, NULL, NULL, 21981),
(72367, '4awxB00', NULL, NULL, 84, NULL, NULL, 21981),
(72368, '1wrjA02', NULL, NULL, 89, NULL, NULL, 21981),
(72369, '2fq3A00', NULL, NULL, 88, NULL, NULL, 21981),
(72370, '3bz6A01', NULL, NULL, 105, NULL, NULL, 21981),
(72371, '3jamZ00', NULL, NULL, 73, NULL, NULL, 21981),
(72372, '2q8kA02', NULL, NULL, 62, NULL, NULL, 21981),
(72373, '3jthB00', NULL, NULL, 98, NULL, NULL, 21981),
(72374, '4omzH00', NULL, NULL, 102, NULL, NULL, 21981),
(72375, '2xv4S03', NULL, NULL, 100, NULL, NULL, 21981),
(72376, '2e1nA00', NULL, NULL, 122, NULL, NULL, 21981),
(72377, '3lapA01', NULL, NULL, 89, NULL, NULL, 21981),
(72378, '5ybdX00', NULL, NULL, 97, NULL, NULL, 21981),
(72379, '2o8xA00', NULL, NULL, 70, NULL, NULL, 21981),
(72380, '6d57A01', NULL, NULL, 92, NULL, NULL, 21981),
(72381, '3fxqB01', NULL, NULL, 90, NULL, NULL, 21981),
(72382, '4a0zA01', NULL, NULL, 65, NULL, NULL, 21981),
(72383, '2a3sA00', NULL, NULL, 101, NULL, NULL, 21981),
(72384, '2cyyA01', NULL, NULL, 56, NULL, NULL, 21981),
(72385, '2fmyA02', NULL, NULL, 84, NULL, NULL, 21981),
(72386, '3dqvD03', NULL, NULL, 89, NULL, NULL, 21981),
(72387, '4g6qA01', NULL, NULL, 92, NULL, NULL, 21981),
(72388, '2r7dA01', NULL, NULL, 71, NULL, NULL, 21981),
(72389, '3l2cA00', NULL, NULL, 91, NULL, NULL, 21981),
(72390, '3jamK00', NULL, NULL, 106, NULL, NULL, 21981),
(72391, '2qq9A01', NULL, NULL, 73, NULL, NULL, 21981),
(72392, '5e1wA00', NULL, NULL, 180, NULL, NULL, 21981),
(72393, '2hyfC01', NULL, NULL, 73, NULL, NULL, 21981),
(72394, '2zkzA00', NULL, NULL, 99, NULL, NULL, 21981),
(72395, '5h20A00', NULL, NULL, 111, NULL, NULL, 21981),
(72396, '1z05A01', NULL, NULL, 72, NULL, NULL, 21981),
(72397, '3v4gA01', NULL, NULL, 65, NULL, NULL, 21981),
(72398, '2fa5A00', NULL, NULL, 162, NULL, NULL, 21981),
(72399, '2zo4A02', NULL, NULL, 56, NULL, NULL, 21981),
(72400, '2vt3B01', NULL, NULL, 82, NULL, NULL, 21981),
(72401, '3c1dA02', NULL, NULL, 46, NULL, NULL, 21981),
(72402, '3c1dA03', NULL, NULL, 51, NULL, NULL, 21981),
(72403, '3echA01', NULL, NULL, 134, NULL, NULL, 21981),
(72404, '2cujA01', NULL, NULL, 68, NULL, NULL, 21981),
(72405, '1kgsA02', NULL, NULL, 103, NULL, NULL, 21981),
(72406, '1ku9B01', NULL, NULL, 88, NULL, NULL, 21981),
(72407, '3ml6A01', NULL, NULL, 96, NULL, NULL, 21981),
(72408, '2kiuA00', NULL, NULL, 87, NULL, NULL, 21981),
(72409, '5vfaA02', NULL, NULL, 107, NULL, NULL, 21981),
(72410, '6do0A00', NULL, NULL, 117, NULL, NULL, 21981),
(72411, '3i71B00', NULL, NULL, 68, NULL, NULL, 21981),
(72412, '1p4xA01', NULL, NULL, 127, NULL, NULL, 21981),
(72413, '3qu3B01', NULL, NULL, 124, NULL, NULL, 21981),
(72414, '3dfgA03', NULL, NULL, 52, NULL, NULL, 21981),
(72415, '4lfuA02', NULL, NULL, 72, NULL, NULL, 21981),
(72416, '3dfgA02', NULL, NULL, 46, NULL, NULL, 21981),
(72417, '3dfgA01', NULL, NULL, 48, NULL, NULL, 21981),
(72418, '2ljuA01', NULL, NULL, 75, NULL, NULL, 21982),
(72419, '2jyaA00', NULL, NULL, 83, NULL, NULL, 21982),
(72420, '1ryiA02', NULL, NULL, 140, NULL, NULL, 21983),
(72421, '2qcuA02', NULL, NULL, 161, NULL, NULL, 21983);
INSERT INTO "PUBLIC"."MODEL" VALUES
(72422, '1pj5A02', NULL, NULL, 178, NULL, NULL, 21983),
(72423, '2gagB02', NULL, NULL, 154, NULL, NULL, 21983),
(72424, '3dmeA02', NULL, NULL, 153, NULL, NULL, 21983),
(72425, '1y56B02', NULL, NULL, 151, NULL, NULL, 21983),
(72426, '6dllA02', NULL, NULL, 149, NULL, NULL, 21983),
(72427, '3ps9A03', NULL, NULL, 150, NULL, NULL, 21983),
(72428, '3da1A02', NULL, NULL, 158, NULL, NULL, 21983),
(72429, '3pvcA03', NULL, NULL, 150, NULL, NULL, 21983),
(72430, '1pn0A02', NULL, NULL, 187, NULL, NULL, 21983),
(72431, '3nycA02', NULL, NULL, 150, NULL, NULL, 21983),
(72432, '2rghA02', NULL, NULL, 163, NULL, NULL, 21983),
(72433, '6iweA02', NULL, NULL, 210, NULL, NULL, 21983),
(72434, '3wgtA02', NULL, NULL, 141, NULL, NULL, 21983),
(72435, '4k22A02', NULL, NULL, 108, NULL, NULL, 21983),
(72436, '3djdB02', NULL, NULL, 206, NULL, NULL, 21983),
(72437, '6a6sA02', NULL, NULL, 210, NULL, NULL, 21983),
(72438, '1zovA02', NULL, NULL, 195, NULL, NULL, 21983),
(72439, '5l46A02', NULL, NULL, 170, NULL, NULL, 21983),
(72440, '4pabA02', NULL, NULL, 170, NULL, NULL, 21983),
(72441, '2olnA02', NULL, NULL, 166, NULL, NULL, 21983),
(72442, '2r0cA02', NULL, NULL, 138, NULL, NULL, 21983),
(72443, '1x31B02', NULL, NULL, 154, NULL, NULL, 21983),
(72444, '2dkhA02', NULL, NULL, 125, NULL, NULL, 21983),
(72445, '3c4nA02', NULL, NULL, 125, NULL, NULL, 21983),
(72446, '3axbA02', NULL, NULL, 179, NULL, NULL, 21983),
(72447, '1c0pA02', NULL, NULL, 163, NULL, NULL, 21983),
(72448, '5xaoA02', NULL, NULL, 219, NULL, NULL, 21983),
(72449, '4yshA02', NULL, NULL, 146, NULL, NULL, 21983),
(72450, '1k0iA02', NULL, NULL, 148, NULL, NULL, 21983),
(72451, '2uzzA02', NULL, NULL, 191, NULL, NULL, 21983),
(72452, '2gf3A02', NULL, NULL, 195, NULL, NULL, 21983),
(72453, '3aljA02', NULL, NULL, 152, NULL, NULL, 21983),
(72454, '4wctA02', NULL, NULL, 208, NULL, NULL, 21983),
(72455, '3znnA02', NULL, NULL, 141, NULL, NULL, 21983),
(72456, '4x9mA02', NULL, NULL, 159, NULL, NULL, 21983),
(72457, '3oz2A02', NULL, NULL, 160, NULL, NULL, 21983),
(72458, '2x3nA02', NULL, NULL, 145, NULL, NULL, 21983),
(72459, '3ihgA02', NULL, NULL, 145, NULL, NULL, 21983),
(72460, '5an9A03', NULL, NULL, 124, NULL, NULL, 21984),
(72461, '4a17B03', NULL, NULL, 119, NULL, NULL, 21984),
(72462, '1vx7E03', NULL, NULL, 118, NULL, NULL, 21984),
(72463, '1vq8B03', NULL, NULL, 111, NULL, NULL, 21984),
(72464, '3o58C03', NULL, NULL, 121, NULL, NULL, 21984),
(72465, '1vwxB03', NULL, NULL, 123, NULL, NULL, 21984),
(72466, '4xpmB00', NULL, NULL, 76, NULL, NULL, 21985),
(72467, '2grgA01', NULL, NULL, 83, NULL, NULL, 21985),
(72468, '4cofB01', NULL, NULL, 220, NULL, NULL, 21986),
(72469, '5fjvD00', NULL, NULL, 213, NULL, NULL, 21986),
(72470, '3jafA01', NULL, NULL, 211, NULL, NULL, 21986),
(72471, '2wn9D00', NULL, NULL, 228, NULL, NULL, 21986),
(72472, '6hzwA01', NULL, NULL, 196, NULL, NULL, 21986),
(72473, '2y7yB00', NULL, NULL, 217, NULL, NULL, 21986),
(72474, '3rqwA01', NULL, NULL, 200, NULL, NULL, 21986),
(72475, '2bj0A00', NULL, NULL, 203, NULL, NULL, 21986),
(72476, '2bg9A01', NULL, NULL, 210, NULL, NULL, 21986),
(72477, '2bg9B01', NULL, NULL, 207, NULL, NULL, 21986),
(72478, '2bg9C01', NULL, NULL, 209, NULL, NULL, 21986),
(72479, '2bg9E01', NULL, NULL, 210, NULL, NULL, 21986),
(72480, '2qc1B00', NULL, NULL, 212, NULL, NULL, 21986),
(72481, '4afhE00', NULL, NULL, 213, NULL, NULL, 21986),
(72482, '4tnwA01', NULL, NULL, 212, NULL, NULL, 21986),
(72483, '3igqC00', NULL, NULL, 201, NULL, NULL, 21986),
(72484, '5tinA01', NULL, NULL, 219, NULL, NULL, 21986),
(72485, '4zjsC00', NULL, NULL, 230, NULL, NULL, 21986),
(72486, '5obgA00', NULL, NULL, 206, NULL, NULL, 21986),
(72487, '6hiqA01', NULL, NULL, 211, NULL, NULL, 21986),
(72488, '3sioA00', NULL, NULL, 230, NULL, NULL, 21986),
(72489, '5afnA00', NULL, NULL, 207, NULL, NULL, 21986),
(72490, '3t4mJ00', NULL, NULL, 230, NULL, NULL, 21986),
(72491, '6d6tB01', NULL, NULL, 222, NULL, NULL, 21986),
(72492, '6d6tA01', NULL, NULL, 217, NULL, NULL, 21986),
(72493, '6d6tE01', NULL, NULL, 208, NULL, NULL, 21986),
(72494, '4zk1C00', NULL, NULL, 218, NULL, NULL, 21986);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(72495, '5tvcB00', NULL, NULL, 230, NULL, NULL, 21986),
(72496, '4uxuA00', NULL, NULL, 218, NULL, NULL, 21986),
(72497, '3g0tA02', NULL, NULL, 70, NULL, NULL, 21987),
(72498, '3m1cA04', NULL, NULL, 149, NULL, NULL, 21988),
(72499, '2xqyA03', NULL, NULL, 142, NULL, NULL, 21988),
(72500, '4dzaA02', NULL, NULL, 217, NULL, NULL, 21989),
(72501, '6a2fA02', NULL, NULL, 208, NULL, NULL, 21989),
(72502, '4aibA02', NULL, NULL, 229, NULL, NULL, 21989),
(72503, '2vd8B02', NULL, NULL, 214, NULL, NULL, 21989),
(72504, '7odcA02', NULL, NULL, 232, NULL, NULL, 21989),
(72505, '5nlcA00', NULL, NULL, 228, NULL, NULL, 21989),
(72506, '4y2wA02', NULL, NULL, 215, NULL, NULL, 21989),
(72507, '5fagB02', NULL, NULL, 222, NULL, NULL, 21989),
(72508, '4bf5A02', NULL, NULL, 218, NULL, NULL, 21989),
(72509, '4bhyC02', NULL, NULL, 208, NULL, NULL, 21989),
(72510, '3n2bB02', NULL, NULL, 243, NULL, NULL, 21989),
(72511, '2yxxA02', NULL, NULL, 229, NULL, NULL, 21989),
(72512, '4qhrA02', NULL, NULL, 208, NULL, NULL, 21989),
(72513, '3e5pA02', NULL, NULL, 222, NULL, NULL, 21989),
(72514, '5x7nA02', NULL, NULL, 257, NULL, NULL, 21989),
(72515, '2j66A02', NULL, NULL, 255, NULL, NULL, 21989),
(72516, '4beuA02', NULL, NULL, 217, NULL, NULL, 21989),
(72517, '2vd9B02', NULL, NULL, 214, NULL, NULL, 21989),
(72518, '2nvaC02', NULL, NULL, 233, NULL, NULL, 21989),
(72519, '3anuA02', NULL, NULL, 226, NULL, NULL, 21989),
(72520, '3r79A00', NULL, NULL, 244, NULL, NULL, 21989),
(72521, '1f3tA02', NULL, NULL, 234, NULL, NULL, 21989),
(72522, '3hurA02', NULL, NULL, 223, NULL, NULL, 21989),
(72523, '4eclA02', NULL, NULL, 221, NULL, NULL, 21989),
(72524, '3llxA02', NULL, NULL, 219, NULL, NULL, 21989),
(72525, '2odoA02', NULL, NULL, 207, NULL, NULL, 21989),
(72526, '3n2oA02', NULL, NULL, 282, NULL, NULL, 21989),
(72527, '5yycA02', NULL, NULL, 216, NULL, NULL, 21989),
(72528, '3co8A02', NULL, NULL, 221, NULL, NULL, 21989),
(72529, '1twiA02', NULL, NULL, 256, NULL, NULL, 21989),
(72530, '3s46A02', NULL, NULL, 218, NULL, NULL, 21989),
(72531, '3btnA02', NULL, NULL, 231, NULL, NULL, 21989),
(72532, '4v15A02', NULL, NULL, 223, NULL, NULL, 21989),
(72533, '3gwqA02', NULL, NULL, 233, NULL, NULL, 21989),
(72534, '3cpgA00', NULL, NULL, 282, NULL, NULL, 21989),
(72535, '2pljA02', NULL, NULL, 238, NULL, NULL, 21989),
(72536, '3vabA02', NULL, NULL, 244, NULL, NULL, 21989),
(72537, '1xfcB02', NULL, NULL, 216, NULL, NULL, 21989),
(72538, '2vd8A02', NULL, NULL, 214, NULL, NULL, 21989),
(72539, '2qghA02', NULL, NULL, 242, NULL, NULL, 21989),
(72540, '3uw6B02', NULL, NULL, 210, NULL, NULL, 21989),
(72541, '6q71A02', NULL, NULL, 217, NULL, NULL, 21989),
(72542, '4wr3A02', NULL, NULL, 208, NULL, NULL, 21989),
(72543, '6n2aB02', NULL, NULL, 244, NULL, NULL, 21989),
(72544, '3nzqA02', NULL, NULL, 277, NULL, NULL, 21989),
(72545, '3n29A02', NULL, NULL, 226, NULL, NULL, 21989),
(72546, '3sy1A00', NULL, NULL, 229, NULL, NULL, 21989),
(72547, '4xg1D02', NULL, NULL, 242, NULL, NULL, 21989),
(72548, '1rcqA02', NULL, NULL, 207, NULL, NULL, 21989),
(72549, '3kw3A02', NULL, NULL, 212, NULL, NULL, 21989),
(72550, '4lusA02', NULL, NULL, 215, NULL, NULL, 21989),
(72551, '2o0tA02', NULL, NULL, 261, NULL, NULL, 21989),
(72552, '3wqcA02', NULL, NULL, 223, NULL, NULL, 21989),
(72553, '3mt1B02', NULL, NULL, 227, NULL, NULL, 21989),
(72554, '3ha1A02', NULL, NULL, 214, NULL, NULL, 21989),
(72555, '2p3eA02', NULL, NULL, 241, NULL, NULL, 21989),
(72556, '4dyjA02', NULL, NULL, 217, NULL, NULL, 21989),
(72557, '1bd0A01', NULL, NULL, 211, NULL, NULL, 21989),
(72558, '2dy3C02', NULL, NULL, 210, NULL, NULL, 21989),
(72559, '2vd9A02', NULL, NULL, 214, NULL, NULL, 21989),
(72560, '1knwA02', NULL, NULL, 245, NULL, NULL, 21989),
(72561, '1vfsA02', NULL, NULL, 216, NULL, NULL, 21989),
(72562, '3nzpB02', NULL, NULL, 278, NULL, NULL, 21989),
(72563, '2oo0A02', NULL, NULL, 234, NULL, NULL, 21989),
(72564, '1ct5A00', NULL, NULL, 256, NULL, NULL, 21989),
(72565, '6g58A02', NULL, NULL, 210, NULL, NULL, 21989),
(72566, '5gjoA02', NULL, NULL, 235, NULL, NULL, 21989),
(72567, '3e4wA01', NULL, NULL, 113, NULL, NULL, 21990);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(72568, '3h4zB03', NULL, NULL, 196, NULL, NULL, 21991),
(72569, '3uv1A00', NULL, NULL, 196, NULL, NULL, 21991),
(72570, '3p2jA00', NULL, NULL, 191, NULL, NULL, 21992),
(72571, '4qajA00', NULL, NULL, 194, NULL, NULL, 21992),
(72572, '3neaA00', NULL, NULL, 187, NULL, NULL, 21992),
(72573, '2pthA00', NULL, NULL, 193, NULL, NULL, 21992),
(72574, '1rybA00', NULL, NULL, 205, NULL, NULL, 21992),
(72575, '4p7bC00', NULL, NULL, 200, NULL, NULL, 21992),
(72576, '3v2iA00', NULL, NULL, 201, NULL, NULL, 21992),
(72577, '5zx8A00', NULL, NULL, 187, NULL, NULL, 21992),
(72578, '4qt4A00', NULL, NULL, 189, NULL, NULL, 21992),
(72579, '4ylyB00', NULL, NULL, 198, NULL, NULL, 21992),
(72580, '2z2iA00', NULL, NULL, 191, NULL, NULL, 21992),
(72581, '4z86A00', NULL, NULL, 199, NULL, NULL, 21992),
(72582, '1rynA00', NULL, NULL, 202, NULL, NULL, 21992),
(72583, '6j93A00', NULL, NULL, 196, NULL, NULL, 21992),
(72584, '1qexA02', NULL, NULL, 103, NULL, NULL, 21993),
(72585, '1vk6A01', NULL, NULL, 137, NULL, NULL, 21994),
(72586, '3kdrA03', NULL, NULL, 50, NULL, NULL, 21995),
(72587, '4y1lC00', NULL, NULL, 113, NULL, NULL, 21996),
(72588, '1y8xA00', NULL, NULL, 160, NULL, NULL, 21996),
(72589, '3cegA00', NULL, NULL, 300, NULL, NULL, 21996),
(72590, '4onlB00', NULL, NULL, 160, NULL, NULL, 21996),
(72591, '1jatB00', NULL, NULL, 138, NULL, NULL, 21996),
(72592, '4gprA00', NULL, NULL, 151, NULL, NULL, 21996),
(72593, '2a7lA00', NULL, NULL, 136, NULL, NULL, 21996),
(72594, '2gjdA00', NULL, NULL, 157, NULL, NULL, 21996),
(72595, '3r3qA00', NULL, NULL, 162, NULL, NULL, 21996),
(72596, '2h2yA01', NULL, NULL, 117, NULL, NULL, 21996),
(72597, '2aakA00', NULL, NULL, 152, NULL, NULL, 21996),
(72598, '5eggA00', NULL, NULL, 156, NULL, NULL, 21996),
(72599, '1wzvA00', NULL, NULL, 155, NULL, NULL, 21996),
(72600, '5d0mA00', NULL, NULL, 152, NULL, NULL, 21996),
(72601, '2daxA01', NULL, NULL, 141, NULL, NULL, 21996),
(72602, '3kpaA00', NULL, NULL, 168, NULL, NULL, 21996),
(72603, '2mt6A00', NULL, NULL, 151, NULL, NULL, 21996),
(72604, '1zdnA00', NULL, NULL, 158, NULL, NULL, 21996),
(72605, '4r62A00', NULL, NULL, 150, NULL, NULL, 21996),
(72606, '2yz0A00', NULL, NULL, 138, NULL, NULL, 21996),
(72607, '2f4zA00', NULL, NULL, 162, NULL, NULL, 21996),
(72608, '3k9oA01', NULL, NULL, 158, NULL, NULL, 21996),
(72609, '3zqsA01', NULL, NULL, 88, NULL, NULL, 21996),
(72610, '1fzyA00', NULL, NULL, 149, NULL, NULL, 21996),
(72611, '4onmB00', NULL, NULL, 160, NULL, NULL, 21996),
(72612, '4q5eC00', NULL, NULL, 156, NULL, NULL, 21996),
(72613, '2ebmA00', NULL, NULL, 128, NULL, NULL, 21996),
(72614, '2f4wB00', NULL, NULL, 187, NULL, NULL, 21996),
(72615, '5lbnA00', NULL, NULL, 158, NULL, NULL, 21996),
(72616, '5knlF00', NULL, NULL, 175, NULL, NULL, 21996),
(72617, '4p5oG01', NULL, NULL, 160, NULL, NULL, 21996),
(72618, '2z6oA00', NULL, NULL, 172, NULL, NULL, 21996),
(72619, '4ii2C00', NULL, NULL, 163, NULL, NULL, 21996),
(72620, '2yb6A00', NULL, NULL, 152, NULL, NULL, 21996),
(72621, '1uzxA00', NULL, NULL, 169, NULL, NULL, 21996),
(72622, '1z3dA00', NULL, NULL, 157, NULL, NULL, 21996),
(72623, '2oxqA00', NULL, NULL, 152, NULL, NULL, 21996),
(72624, '3fn1B00', NULL, NULL, 167, NULL, NULL, 21996),
(72625, '3rczB00', NULL, NULL, 163, NULL, NULL, 21996),
(72626, '3o2uA01', NULL, NULL, 162, NULL, NULL, 21996),
(72627, '2y9mA00', NULL, NULL, 172, NULL, NULL, 21996),
(72628, '2eskA00', NULL, NULL, 149, NULL, NULL, 21996),
(72629, '4m1nA00', NULL, NULL, 160, NULL, NULL, 21996),
(72630, '1ukxA00', NULL, NULL, 137, NULL, NULL, 21996),
(72631, '4onlA00', NULL, NULL, 153, NULL, NULL, 21996),
(72632, '4ds2B00', NULL, NULL, 167, NULL, NULL, 21996),
(72633, '1jatA00', NULL, NULL, 155, NULL, NULL, 21996),
(72634, '2a4dA00', NULL, NULL, 140, NULL, NULL, 21996),
(72635, '2z5dB00', NULL, NULL, 155, NULL, NULL, 21996),
(72636, '4l83A00', NULL, NULL, 175, NULL, NULL, 21996),
(72637, '2r0jA00', NULL, NULL, 149, NULL, NULL, 21996),
(72638, '4x57C00', NULL, NULL, 149, NULL, NULL, 21996),
(72639, '2fo3A00', NULL, NULL, 125, NULL, NULL, 21996),
(72640, '3obqA00', NULL, NULL, 146, NULL, NULL, 21996);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(72641, '2onuA00', NULL, NULL, 152, NULL, NULL, 21996),
(72642, '3rz3D00', NULL, NULL, 183, NULL, NULL, 21996),
(72643, '4ccgB00', NULL, NULL, 167, NULL, NULL, 21996),
(72644, '1pzvA00', NULL, NULL, 164, NULL, NULL, 21996),
(72645, '2dmfA00', NULL, NULL, 137, NULL, NULL, 21996),
(72646, '4qplB00', NULL, NULL, 154, NULL, NULL, 21996),
(72647, '1yrvA00', NULL, NULL, 169, NULL, NULL, 21996),
(72648, '5v0rA00', NULL, NULL, 152, NULL, NULL, 21996),
(72649, '5f6eA00', NULL, NULL, 157, NULL, NULL, 21996),
(72650, '1z2uA00', NULL, NULL, 150, NULL, NULL, 21996),
(72651, '2e2cA00', NULL, NULL, 156, NULL, NULL, 21996),
(72652, '1yf9A00', NULL, NULL, 171, NULL, NULL, 21996),
(72653, '3h8kA00', NULL, NULL, 164, NULL, NULL, 21996),
(72654, '4yc1B00', NULL, NULL, 159, NULL, NULL, 21996),
(72655, '4yiiU00', NULL, NULL, 155, NULL, NULL, 21996),
(72656, '2ayvA00', NULL, NULL, 148, NULL, NULL, 21996),
(72657, '2dawA01', NULL, NULL, 133, NULL, NULL, 21996),
(72658, '1br7003', NULL, NULL, 117, NULL, NULL, 21996),
(72659, '4jquA00', NULL, NULL, 169, NULL, NULL, 21996),
(72660, '1x23B00', NULL, NULL, 155, NULL, NULL, 21996),
(72661, '5ojjF00', NULL, NULL, 154, NULL, NULL, 21996),
(72662, '2q0vA00', NULL, NULL, 156, NULL, NULL, 21996),
(72663, '2awfA00', NULL, NULL, 143, NULL, NULL, 21996),
(72664, '1zuoB00', NULL, NULL, 140, NULL, NULL, 21996),
(72665, '3we5A00', NULL, NULL, 152, NULL, NULL, 21996),
(72666, '4ap4B00', NULL, NULL, 153, NULL, NULL, 21996),
(72667, '4ldtC00', NULL, NULL, 148, NULL, NULL, 21996),
(72668, '2pwqA00', NULL, NULL, 154, NULL, NULL, 21996),
(72669, '2qgxA00', NULL, NULL, 169, NULL, NULL, 21996),
(72670, '1qcqA00', NULL, NULL, 148, NULL, NULL, 21996),
(72671, '1ffyA03', NULL, NULL, 285, NULL, NULL, 21997),
(72672, '1wysA00', NULL, NULL, 75, NULL, NULL, 21998),
(72673, '1wfeA00', NULL, NULL, 86, NULL, NULL, 21998),
(72674, '1wfpA00', NULL, NULL, 74, NULL, NULL, 21998),
(72675, '1wg2A00', NULL, NULL, 64, NULL, NULL, 21998),
(72676, '1wffA00', NULL, NULL, 85, NULL, NULL, 21998),
(72677, '1x4wA00', NULL, NULL, 67, NULL, NULL, 21998),
(72678, '2k5dA01', NULL, NULL, 115, NULL, NULL, 21999),
(72679, '3hugJ00', NULL, NULL, 64, NULL, NULL, 22000),
(72680, '4nqwB00', NULL, NULL, 80, NULL, NULL, 22000),
(72681, '2q1zD01', NULL, NULL, 101, NULL, NULL, 22000),
(72682, '2uv8A07', NULL, NULL, 85, NULL, NULL, 22001),
(72683, '2uv9A08', NULL, NULL, 92, NULL, NULL, 22001),
(72684, '1l1lA02', NULL, NULL, 112, NULL, NULL, 22002),
(72685, '1bboA01', NULL, NULL, 26, NULL, NULL, 22003),
(72686, '1bboA02', NULL, NULL, 31, NULL, NULL, 22003),
(72687, '2eozA01', NULL, NULL, 36, NULL, NULL, 22003),
(72688, '2ysoA01', NULL, NULL, 36, NULL, NULL, 22003),
(72689, '2em6A01', NULL, NULL, 36, NULL, NULL, 22003),
(72690, '2yrhA01', NULL, NULL, 35, NULL, NULL, 22003),
(72691, '2emwA01', NULL, NULL, 36, NULL, NULL, 22003),
(72692, '5kl3A00', NULL, NULL, 93, NULL, NULL, 22003),
(72693, '4x9jA00', NULL, NULL, 89, NULL, NULL, 22003),
(72694, '2lv2A00', NULL, NULL, 85, NULL, NULL, 22003),
(72695, '2emgA01', NULL, NULL, 36, NULL, NULL, 22003),
(72696, '2encA01', NULL, NULL, 36, NULL, NULL, 22003),
(72697, '4wsgA04', NULL, NULL, 58, NULL, NULL, 22003),
(72698, '2en2A01', NULL, NULL, 33, NULL, NULL, 22003),
(72699, '1a1iA01', NULL, NULL, 32, NULL, NULL, 22003),
(72700, '1x5wA01', NULL, NULL, 28, NULL, NULL, 22003),
(72701, '1x5wA02', NULL, NULL, 29, NULL, NULL, 22003),
(72702, '2emaA01', NULL, NULL, 36, NULL, NULL, 22003),
(72703, '2lvhA00', NULL, NULL, 59, NULL, NULL, 22003),
(72704, '2ytfA01', NULL, NULL, 36, NULL, NULL, 22003),
(72705, '2eojA01', NULL, NULL, 34, NULL, NULL, 22003),
(72706, '2yrmA01', NULL, NULL, 37, NULL, NULL, 22003),
(72707, '1llmD02', NULL, NULL, 58, NULL, NULL, 22003),
(72708, '2eq1A01', NULL, NULL, 36, NULL, NULL, 22003),
(72709, '2eooA01', NULL, NULL, 36, NULL, NULL, 22003),
(72710, '2ytqA01', NULL, NULL, 36, NULL, NULL, 22003),
(72711, '1ncsA00', NULL, NULL, 47, NULL, NULL, 22003),
(72712, '3uk3D01', NULL, NULL, 29, NULL, NULL, 22003),
(72713, '3uk3D02', NULL, NULL, 28, NULL, NULL, 22003),
(72714, '2en7A01', NULL, NULL, 36, NULL, NULL, 22003);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(72715, '2vrdA00', NULL, NULL, 61, NULL, NULL, 22003),
(72716, '2eoeA01', NULL, NULL, 36, NULL, NULL, 22003),
(72717, '2em0A01', NULL, NULL, 36, NULL, NULL, 22003),
(72718, '2ghfA01', NULL, NULL, 89, NULL, NULL, 22003),
(72719, '2prtA01', NULL, NULL, 34, NULL, NULL, 22003),
(72720, '2prtA02', NULL, NULL, 29, NULL, NULL, 22003),
(72721, '2prtA03', NULL, NULL, 28, NULL, NULL, 22003),
(72722, '2prtA04', NULL, NULL, 28, NULL, NULL, 22003),
(72723, '2m9aA01', NULL, NULL, 39, NULL, NULL, 22003),
(72724, '2elzA01', NULL, NULL, 36, NULL, NULL, 22003),
(72725, '2i13A05', NULL, NULL, 31, NULL, NULL, 22003),
(72726, '2i13A04', NULL, NULL, 28, NULL, NULL, 22003),
(72727, '2i13A03', NULL, NULL, 28, NULL, NULL, 22003),
(72728, '2i13A02', NULL, NULL, 29, NULL, NULL, 22003),
(72729, '2i13A01', NULL, NULL, 44, NULL, NULL, 22003),
(72730, '1z1bA01', NULL, NULL, 64, NULL, NULL, 22003),
(72731, '2m9aA02', NULL, NULL, 27, NULL, NULL, 22003),
(72732, '1llmC01', NULL, NULL, 30, NULL, NULL, 22003),
(72733, '2m9aA03', NULL, NULL, 32, NULL, NULL, 22003),
(72734, '1tf3A01', NULL, NULL, 30, NULL, NULL, 22003),
(72735, '2em5A00', NULL, NULL, 46, NULL, NULL, 22003),
(72736, '2emxA01', NULL, NULL, 36, NULL, NULL, 22003),
(72737, '2emhA01', NULL, NULL, 36, NULL, NULL, 22003),
(72738, '2epaA01', NULL, NULL, 30, NULL, NULL, 22003),
(72739, '2epaA02', NULL, NULL, 28, NULL, NULL, 22003),
(72740, '2en1A01', NULL, NULL, 36, NULL, NULL, 22003),
(72741, '2entA00', NULL, NULL, 48, NULL, NULL, 22003),
(72742, '2el4A00', NULL, NULL, 46, NULL, NULL, 22003),
(72743, '2yu5A00', NULL, NULL, 44, NULL, NULL, 22003),
(72744, '2em2A01', NULL, NULL, 36, NULL, NULL, 22003),
(72745, '2a25A01', NULL, NULL, 30, NULL, NULL, 22003),
(72746, '2ytgA01', NULL, NULL, 36, NULL, NULL, 22003),
(72747, '2eq0A01', NULL, NULL, 36, NULL, NULL, 22003),
(72748, '2emkA01', NULL, NULL, 36, NULL, NULL, 22003),
(72749, '2d8uA01', NULL, NULL, 49, NULL, NULL, 22003),
(72750, '2epzA01', NULL, NULL, 36, NULL, NULL, 22003),
(72751, '2csvA00', NULL, NULL, 72, NULL, NULL, 22003),
(72752, '1yuiA00', NULL, NULL, 54, NULL, NULL, 22003),
(72753, '2eosA01', NULL, NULL, 33, NULL, NULL, 22003),
(72754, '1meyC01', NULL, NULL, 29, NULL, NULL, 22003),
(72755, '2em7A01', NULL, NULL, 36, NULL, NULL, 22003),
(72756, '1meyC03', NULL, NULL, 32, NULL, NULL, 22003),
(72757, '2r1fB01', NULL, NULL, 39, NULL, NULL, 22003),
(72758, '2ct1A01', NULL, NULL, 56, NULL, NULL, 22003),
(72759, '2emfA01', NULL, NULL, 36, NULL, NULL, 22003),
(72760, '2el6A00', NULL, NULL, 46, NULL, NULL, 22003),
(72761, '1x3cA00', NULL, NULL, 73, NULL, NULL, 22003),
(72762, '2en3A01', NULL, NULL, 36, NULL, NULL, 22003),
(72763, '2lceA01', NULL, NULL, 43, NULL, NULL, 22003),
(72764, '2lceA02', NULL, NULL, 27, NULL, NULL, 22003),
(72765, '2embA01', NULL, NULL, 34, NULL, NULL, 22003),
(72766, '2wbuA02', NULL, NULL, 29, NULL, NULL, 22003),
(72767, '2eoiA01', NULL, NULL, 36, NULL, NULL, 22003),
(72768, '2wbuA01', NULL, NULL, 27, NULL, NULL, 22003),
(72769, '2gliA05', NULL, NULL, 29, NULL, NULL, 22003),
(72770, '2gliA02', NULL, NULL, 32, NULL, NULL, 22003),
(72771, '2gliA01', NULL, NULL, 33, NULL, NULL, 22003),
(72772, '1b69A00', NULL, NULL, 69, NULL, NULL, 22003),
(72773, '2gliA04', NULL, NULL, 31, NULL, NULL, 22003),
(72774, '2wbuA03', NULL, NULL, 27, NULL, NULL, 22003),
(72775, '2gliA03', NULL, NULL, 30, NULL, NULL, 22003),
(72776, '2lo3A01', NULL, NULL, 29, NULL, NULL, 22003),
(72777, '2el5A01', NULL, NULL, 34, NULL, NULL, 22003),
(72778, '2en8A01', NULL, NULL, 36, NULL, NULL, 22003),
(72779, '2eoyA01', NULL, NULL, 36, NULL, NULL, 22003),
(72780, '2ee8A03', NULL, NULL, 27, NULL, NULL, 22003),
(72781, '2ee8A01', NULL, NULL, 27, NULL, NULL, 22003),
(72782, '2ee8A02', NULL, NULL, 27, NULL, NULL, 22003),
(72783, '2dlqA01', NULL, NULL, 31, NULL, NULL, 22003),
(72784, '2dlqA04', NULL, NULL, 33, NULL, NULL, 22003),
(72785, '2dlqA02', NULL, NULL, 32, NULL, NULL, 22003),
(72786, '2dlqA03', NULL, NULL, 28, NULL, NULL, 22003),
(72787, '2emlA01', NULL, NULL, 36, NULL, NULL, 22003),
(72788, '1x6fA00', NULL, NULL, 88, NULL, NULL, 22003);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(72789, '2enhA01', NULL, NULL, 36, NULL, NULL, 22003),
(72790, '2epuA01', NULL, NULL, 35, NULL, NULL, 22003),
(72791, '4ijdA02', NULL, NULL, 33, NULL, NULL, 22003),
(72792, '2dgcA00', NULL, NULL, 63, NULL, NULL, 22003),
(72793, '2wbsA00', NULL, NULL, 89, NULL, NULL, 22003),
(72794, '2eorA01', NULL, NULL, 36, NULL, NULL, 22003),
(72795, '2ej4A01', NULL, NULL, 85, NULL, NULL, 22003),
(72796, '2em3A00', NULL, NULL, 46, NULL, NULL, 22003),
(72797, '2emzA01', NULL, NULL, 36, NULL, NULL, 22003),
(72798, '3ephA03', NULL, NULL, 54, NULL, NULL, 22003),
(72799, '2junA00', NULL, NULL, 101, NULL, NULL, 22003),
(72800, '2mknA00', NULL, NULL, 60, NULL, NULL, 22003),
(72801, '2epcA01', NULL, NULL, 33, NULL, NULL, 22003),
(72802, '1g2fC03', NULL, NULL, 27, NULL, NULL, 22003),
(72803, '3ddtC00', NULL, NULL, 48, NULL, NULL, 22003),
(72804, '1g2fC01', NULL, NULL, 30, NULL, NULL, 22003),
(72805, '1g2fC02', NULL, NULL, 27, NULL, NULL, 22003),
(72806, '2eoxA01', NULL, NULL, 34, NULL, NULL, 22003),
(72807, '2ytiA01', NULL, NULL, 36, NULL, NULL, 22003),
(72808, '1tf6A02', NULL, NULL, 29, NULL, NULL, 22003),
(72809, '1tf6A03', NULL, NULL, 34, NULL, NULL, 22003),
(72810, '4is1C00', NULL, NULL, 57, NULL, NULL, 22003),
(72811, '2dlkA02', NULL, NULL, 26, NULL, NULL, 22003),
(72812, '2dlkA01', NULL, NULL, 31, NULL, NULL, 22003),
(72813, '2eomA01', NULL, NULL, 36, NULL, NULL, 22003),
(72814, '2em8A01', NULL, NULL, 36, NULL, NULL, 22003),
(72815, '1x6eA01', NULL, NULL, 28, NULL, NULL, 22003),
(72816, '1x6eA02', NULL, NULL, 33, NULL, NULL, 22003),
(72817, '1ubdC02', NULL, NULL, 27, NULL, NULL, 22003),
(72818, '1ubdC01', NULL, NULL, 32, NULL, NULL, 22003),
(72819, '2enaA00', NULL, NULL, 46, NULL, NULL, 22003),
(72820, '1aayA01', NULL, NULL, 32, NULL, NULL, 22003),
(72821, '3vhtB02', NULL, NULL, 34, NULL, NULL, 22003),
(72822, '2en4A01', NULL, NULL, 36, NULL, NULL, 22003),
(72823, '2ep3A01', NULL, NULL, 36, NULL, NULL, 22003),
(72824, '3q1dA00', NULL, NULL, 47, NULL, NULL, 22003),
(72825, '2yu8A01', NULL, NULL, 36, NULL, NULL, 22003),
(72826, '2emcA01', NULL, NULL, 36, NULL, NULL, 22003),
(72827, '2eohA00', NULL, NULL, 46, NULL, NULL, 22003),
(72828, '2rpcA02', NULL, NULL, 27, NULL, NULL, 22003),
(72829, '2ytdA01', NULL, NULL, 36, NULL, NULL, 22003),
(72830, '2rsiA02', NULL, NULL, 29, NULL, NULL, 22003),
(72831, '2rpcA03', NULL, NULL, 39, NULL, NULL, 22003),
(72832, '2rsiA01', NULL, NULL, 27, NULL, NULL, 22003),
(72833, '1ubdC04', NULL, NULL, 35, NULL, NULL, 22003),
(72834, '2rsiA03', NULL, NULL, 27, NULL, NULL, 22003),
(72835, '1ubdC03', NULL, NULL, 30, NULL, NULL, 22003),
(72836, '2r1fA01', NULL, NULL, 39, NULL, NULL, 22003),
(72837, '2r1fA03', NULL, NULL, 39, NULL, NULL, 22003),
(72838, '2wbtB02', NULL, NULL, 52, NULL, NULL, 22003),
(72839, '1zr9A00', NULL, NULL, 67, NULL, NULL, 22003),
(72840, '1wjpA03', NULL, NULL, 41, NULL, NULL, 22003),
(72841, '2nabA01', NULL, NULL, 32, NULL, NULL, 22003),
(72842, '2rpcA01', NULL, NULL, 89, NULL, NULL, 22003),
(72843, '1wjpA02', NULL, NULL, 24, NULL, NULL, 22003),
(72844, '1wjpA01', NULL, NULL, 31, NULL, NULL, 22003),
(72845, '1a1hA01', NULL, NULL, 32, NULL, NULL, 22003),
(72846, '1rmdA02', NULL, NULL, 30, NULL, NULL, 22003),
(72847, '2j7jA01', NULL, NULL, 28, NULL, NULL, 22003),
(72848, '1a1hA03', NULL, NULL, 27, NULL, NULL, 22003),
(72849, '2j7jA03', NULL, NULL, 27, NULL, NULL, 22003),
(72850, '1tf6D01', NULL, NULL, 39, NULL, NULL, 22003),
(72851, '2ytoA01', NULL, NULL, 37, NULL, NULL, 22003),
(72852, '2j7jA02', NULL, NULL, 30, NULL, NULL, 22003),
(72853, '3mhsC02', NULL, NULL, 31, NULL, NULL, 22003),
(72854, '4gznC01', NULL, NULL, 28, NULL, NULL, 22003),
(72855, '4gznC02', NULL, NULL, 31, NULL, NULL, 22003),
(72856, '5k3qD00', NULL, NULL, 44, NULL, NULL, 22003),
(72857, '2adrA02', NULL, NULL, 31, NULL, NULL, 22003),
(72858, '1zu1A01', NULL, NULL, 57, NULL, NULL, 22003),
(72859, '2adrA01', NULL, NULL, 29, NULL, NULL, 22003),
(72860, '1zu1A02', NULL, NULL, 56, NULL, NULL, 22003),
(72861, '2eprA01', NULL, NULL, 38, NULL, NULL, 22003),
(72862, '2en6A01', NULL, NULL, 36, NULL, NULL, 22003);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(72863, '2ytjA01', NULL, NULL, 36, NULL, NULL, 22003),
(72864, '2eofA01', NULL, NULL, 34, NULL, NULL, 22003),
(72865, '2yspA01', NULL, NULL, 36, NULL, NULL, 22003),
(72866, '2djaA00', NULL, NULL, 84, NULL, NULL, 22003),
(72867, '5jpxA00', NULL, NULL, 45, NULL, NULL, 22003),
(72868, '2mdgA00', NULL, NULL, 55, NULL, NULL, 22003),
(72869, '2ctdA00', NULL, NULL, 96, NULL, NULL, 22003),
(72870, '2elyA01', NULL, NULL, 36, NULL, NULL, 22003),
(72871, '2yvrA00', NULL, NULL, 50, NULL, NULL, 22003),
(72872, '2em4A01', NULL, NULL, 36, NULL, NULL, 22003),
(72873, '4f6mA01', NULL, NULL, 48, NULL, NULL, 22003),
(72874, '2drpA01', NULL, NULL, 36, NULL, NULL, 22003),
(72875, '2drpA02', NULL, NULL, 30, NULL, NULL, 22003),
(72876, '4f6mA03', NULL, NULL, 40, NULL, NULL, 22003),
(72877, '4f6mA02', NULL, NULL, 28, NULL, NULL, 22003),
(72878, '1x6hA00', NULL, NULL, 86, NULL, NULL, 22003),
(72879, '2yteA01', NULL, NULL, 34, NULL, NULL, 22003),
(72880, '2emyA00', NULL, NULL, 46, NULL, NULL, 22003),
(72881, '2d9hA00', NULL, NULL, 78, NULL, NULL, 22003),
(72882, '2cshA01', NULL, NULL, 90, NULL, NULL, 22003),
(72883, '2emiA01', NULL, NULL, 36, NULL, NULL, 22003),
(72884, '2epxA01', NULL, NULL, 37, NULL, NULL, 22003),
(72885, '2ytpA01', NULL, NULL, 36, NULL, NULL, 22003),
(72886, '1a1gA01', NULL, NULL, 32, NULL, NULL, 22003),
(72887, '2egmA00', NULL, NULL, 57, NULL, NULL, 22003),
(72888, '2em9A01', NULL, NULL, 36, NULL, NULL, 22003),
(72889, '2eoqA01', NULL, NULL, 36, NULL, NULL, 22003),
(72890, '2eq3A01', NULL, NULL, 36, NULL, NULL, 22003),
(72891, '4m9vC00', NULL, NULL, 64, NULL, NULL, 22003),
(72892, '1g2dC02', NULL, NULL, 27, NULL, NULL, 22003),
(72893, '2jn6A01', NULL, NULL, 85, NULL, NULL, 22004),
(72894, '4mxmB01', NULL, NULL, 61, NULL, NULL, 22004),
(72895, '1zkgA01', NULL, NULL, 58, NULL, NULL, 22004),
(72896, '1hcrA00', NULL, NULL, 52, NULL, NULL, 22004),
(72897, '3e7lA00', NULL, NULL, 63, NULL, NULL, 22004),
(72898, '5k7fA01', NULL, NULL, 41, NULL, NULL, 22004),
(72899, '1a5jA02', NULL, NULL, 49, NULL, NULL, 22004),
(72900, '2pmzN00', NULL, NULL, 66, NULL, NULL, 22004),
(72901, '1a5jA01', NULL, NULL, 56, NULL, NULL, 22004),
(72902, '3lnqA00', NULL, NULL, 58, NULL, NULL, 22004),
(72903, '4b4cA02', NULL, NULL, 111, NULL, NULL, 22004),
(72904, '2eqrA01', NULL, NULL, 46, NULL, NULL, 22004),
(72905, '2ltpA00', NULL, NULL, 71, NULL, NULL, 22004),
(72906, '2da7A00', NULL, NULL, 71, NULL, NULL, 22004),
(72907, '2ys9A00', NULL, NULL, 70, NULL, NULL, 22004),
(72908, '1umqA00', NULL, NULL, 60, NULL, NULL, 22004),
(72909, '4iejA00', NULL, NULL, 93, NULL, NULL, 22004),
(72910, '2dmtA00', NULL, NULL, 80, NULL, NULL, 22004),
(72911, '3zqcA02', NULL, NULL, 77, NULL, NULL, 22004),
(72912, '3zqcA01', NULL, NULL, 54, NULL, NULL, 22004),
(72913, '2lvsA02', NULL, NULL, 49, NULL, NULL, 22004),
(72914, '2lvsA01', NULL, NULL, 56, NULL, NULL, 22004),
(72915, '2fq4A01', NULL, NULL, 55, NULL, NULL, 22004),
(72916, '2mg4A00', NULL, NULL, 66, NULL, NULL, 22004),
(72917, '3bqyA01', NULL, NULL, 56, NULL, NULL, 22004),
(72918, '2optB01', NULL, NULL, 66, NULL, NULL, 22004),
(72919, '4fcyA01', NULL, NULL, 89, NULL, NULL, 22004),
(72920, '1nk3P00', NULL, NULL, 77, NULL, NULL, 22004),
(72921, '1etxA00', NULL, NULL, 98, NULL, NULL, 22004),
(72922, '3sdgA01', NULL, NULL, 42, NULL, NULL, 22004),
(72923, '1au7A02', NULL, NULL, 57, NULL, NULL, 22004),
(72924, '2k9qA01', NULL, NULL, 40, NULL, NULL, 22004),
(72925, '2da2A01', NULL, NULL, 55, NULL, NULL, 22004),
(72926, '1x2nA01', NULL, NULL, 60, NULL, NULL, 22004),
(72927, '3k2aB00', NULL, NULL, 67, NULL, NULL, 22004),
(72928, '4jykA01', NULL, NULL, 69, NULL, NULL, 22004),
(72929, '1ftzA00', NULL, NULL, 70, NULL, NULL, 22004),
(72930, '3mvpA01', NULL, NULL, 47, NULL, NULL, 22004),
(72931, '4g12A01', NULL, NULL, 43, NULL, NULL, 22004),
(72932, '2dmnA00', NULL, NULL, 83, NULL, NULL, 22004),
(72933, '2ecbA01', NULL, NULL, 51, NULL, NULL, 22004),
(72934, '2cqqA01', NULL, NULL, 67, NULL, NULL, 22004),
(72935, '2y30B01', NULL, NULL, 82, NULL, NULL, 22004),
(72936, '5k7fB01', NULL, NULL, 57, NULL, NULL, 22004);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(72937, '4a69D00', NULL, NULL, 73, NULL, NULL, 22004),
(72938, '1sanA00', NULL, NULL, 62, NULL, NULL, 22004),
(72939, '1u8bA02', NULL, NULL, 62, NULL, NULL, 22004),
(72940, '4w97A01', NULL, NULL, 51, NULL, NULL, 22004),
(72941, '5zjtE00', NULL, NULL, 64, NULL, NULL, 22004),
(72942, '5jlwA00', NULL, NULL, 61, NULL, NULL, 22004),
(72943, '3dewA01', NULL, NULL, 59, NULL, NULL, 22004),
(72944, '2e19A01', NULL, NULL, 47, NULL, NULL, 22004),
(72945, '3ukgA02', NULL, NULL, 131, NULL, NULL, 22004),
(72946, '6g8hD01', NULL, NULL, 54, NULL, NULL, 22004),
(72947, '1fipA00', NULL, NULL, 73, NULL, NULL, 22004),
(72948, '4mloA03', NULL, NULL, 65, NULL, NULL, 22004),
(72949, '4fcyB02', NULL, NULL, 65, NULL, NULL, 22004),
(72950, '3vprA01', NULL, NULL, 44, NULL, NULL, 22004),
(72951, '4xrsG00', NULL, NULL, 56, NULL, NULL, 22004),
(72952, '2e1oA01', NULL, NULL, 57, NULL, NULL, 22004),
(72953, '1ojlA03', NULL, NULL, 47, NULL, NULL, 22004),
(72954, '1x2mA01', NULL, NULL, 54, NULL, NULL, 22004),
(72955, '2hosB00', NULL, NULL, 63, NULL, NULL, 22004),
(72956, '2yusA01', NULL, NULL, 53, NULL, NULL, 22004),
(72957, '2h8rA02', NULL, NULL, 76, NULL, NULL, 22004),
(72958, '1lfbA00', NULL, NULL, 99, NULL, NULL, 22004),
(72959, '4rboA00', NULL, NULL, 70, NULL, NULL, 22004),
(72960, '5hodA00', NULL, NULL, 61, NULL, NULL, 22004),
(72961, '3bg3A04', NULL, NULL, 47, NULL, NULL, 22004),
(72962, '5ojxA01', NULL, NULL, 88, NULL, NULL, 22004),
(72963, '2id3A01', NULL, NULL, 49, NULL, NULL, 22004),
(72964, '3f0cA01', NULL, NULL, 58, NULL, NULL, 22004),
(72965, '2x48A00', NULL, NULL, 55, NULL, NULL, 22004),
(72966, '3d1nL02', NULL, NULL, 67, NULL, NULL, 22004),
(72967, '1rktA01', NULL, NULL, 54, NULL, NULL, 22004),
(72968, '3nauA00', NULL, NULL, 66, NULL, NULL, 22004),
(72969, '2xsdC02', NULL, NULL, 68, NULL, NULL, 22004),
(72970, '3tedA02', NULL, NULL, 113, NULL, NULL, 22004),
(72971, '2llkA01', NULL, NULL, 41, NULL, NULL, 22004),
(72972, '2hddB00', NULL, NULL, 61, NULL, NULL, 22004),
(72973, '3h0gJ00', NULL, NULL, 71, NULL, NULL, 22004),
(72974, '1uhsA01', NULL, NULL, 54, NULL, NULL, 22004),
(72975, '2da3A01', NULL, NULL, 47, NULL, NULL, 22004),
(72976, '4uusE00', NULL, NULL, 77, NULL, NULL, 22004),
(72977, '1s7eA02', NULL, NULL, 74, NULL, NULL, 22004),
(72978, '3lsgA01', NULL, NULL, 55, NULL, NULL, 22004),
(72979, '2m0cA00', NULL, NULL, 75, NULL, NULL, 22004),
(72980, '3lsgA02', NULL, NULL, 48, NULL, NULL, 22004),
(72981, '4fe7A03', NULL, NULL, 112, NULL, NULL, 22004),
(72982, '1ic8A02', NULL, NULL, 76, NULL, NULL, 22004),
(72983, '1ntcA00', NULL, NULL, 91, NULL, NULL, 22004),
(72984, '1bw6A00', NULL, NULL, 56, NULL, NULL, 22004),
(72985, '1jggA00', NULL, NULL, 60, NULL, NULL, 22004),
(72986, '1twfJ00', NULL, NULL, 70, NULL, NULL, 22004),
(72987, '4jp0A03', NULL, NULL, 38, NULL, NULL, 22004),
(72988, '2djnA01', NULL, NULL, 57, NULL, NULL, 22004),
(72989, '2gloA00', NULL, NULL, 59, NULL, NULL, 22004),
(72990, '1guuA00', NULL, NULL, 52, NULL, NULL, 22004),
(72991, '2jmwA01', NULL, NULL, 63, NULL, NULL, 22004),
(72992, '2y9yA02', NULL, NULL, 56, NULL, NULL, 22004),
(72993, '2y9yA04', NULL, NULL, 96, NULL, NULL, 22004),
(72994, '1jusD01', NULL, NULL, 49, NULL, NULL, 22004),
(72995, '3c2bA01', NULL, NULL, 65, NULL, NULL, 22004),
(72996, '5nioA01', NULL, NULL, 46, NULL, NULL, 22004),
(72997, '4mo7A01', NULL, NULL, 46, NULL, NULL, 22004),
(72998, '3oioA00', NULL, NULL, 113, NULL, NULL, 22004),
(72999, '2fd5A01', NULL, NULL, 48, NULL, NULL, 22004),
(73000, '2r5yA00', NULL, NULL, 88, NULL, NULL, 22004),
(73001, '1hdpA00', NULL, NULL, 63, NULL, NULL, 22004),
(73002, '3w6vA00', NULL, NULL, 111, NULL, NULL, 22004),
(73003, '2np3B01', NULL, NULL, 61, NULL, NULL, 22004),
(73004, '1du6A00', NULL, NULL, 64, NULL, NULL, 22004),
(73005, '2djoA00', NULL, NULL, 89, NULL, NULL, 22004),
(73006, '4rduA01', NULL, NULL, 55, NULL, NULL, 22004),
(73007, '1zk8A01', NULL, NULL, 51, NULL, NULL, 22004),
(73008, '1q1vA00', NULL, NULL, 70, NULL, NULL, 22004),
(73009, '5z2sA00', NULL, NULL, 55, NULL, NULL, 22004),
(73010, '3zqiA01', NULL, NULL, 66, NULL, NULL, 22004); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(73011, '1wh7A01', NULL, NULL, 53, NULL, NULL, 22004),
(73012, '1mnmC00', NULL, NULL, 87, NULL, NULL, 22004),
(73013, '3oouA01', NULL, NULL, 58, NULL, NULL, 22004),
(73014, '3oouA02', NULL, NULL, 50, NULL, NULL, 22004),
(73015, '1irzA00', NULL, NULL, 64, NULL, NULL, 22004),
(73016, '2vkvA01', NULL, NULL, 66, NULL, NULL, 22004),
(73017, '2l7fP00', NULL, NULL, 68, NULL, NULL, 22004),
(73018, '1fexA00', NULL, NULL, 59, NULL, NULL, 22004),
(73019, '2ly9A00', NULL, NULL, 74, NULL, NULL, 22004),
(73020, '1rr7A01', NULL, NULL, 46, NULL, NULL, 22004),
(73021, '1rr7A02', NULL, NULL, 57, NULL, NULL, 22004),
(73022, '1ug2A01', NULL, NULL, 52, NULL, NULL, 22004),
(73023, '3dcfA01', NULL, NULL, 43, NULL, NULL, 22004),
(73024, '1xc5A01', NULL, NULL, 48, NULL, NULL, 22004),
(73025, '2d5vA02', NULL, NULL, 65, NULL, NULL, 22004),
(73026, '1z0xA01', NULL, NULL, 69, NULL, NULL, 22004),
(73027, '3a02A00', NULL, NULL, 60, NULL, NULL, 22004),
(73028, '1le8B00', NULL, NULL, 83, NULL, NULL, 22004),
(73029, '1zq3P00', NULL, NULL, 68, NULL, NULL, 22004),
(73030, '2m2eA00', NULL, NULL, 73, NULL, NULL, 22004),
(73031, '1fttA00', NULL, NULL, 68, NULL, NULL, 22004),
(73032, '1k61A00', NULL, NULL, 60, NULL, NULL, 22004),
(73033, '2da4A01', NULL, NULL, 66, NULL, NULL, 22004),
(73034, '6azhA01', NULL, NULL, 54, NULL, NULL, 22004),
(73035, '1e3oC02', NULL, NULL, 48, NULL, NULL, 22004),
(73036, '1ig7A00', NULL, NULL, 58, NULL, NULL, 22004),
(73037, '4jykB01', NULL, NULL, 53, NULL, NULL, 22004),
(73038, '2elkA00', NULL, NULL, 58, NULL, NULL, 22004),
(73039, '2cu7A01', NULL, NULL, 50, NULL, NULL, 22004),
(73040, '2cqxA01', NULL, NULL, 54, NULL, NULL, 22004),
(73041, '1ef4A00', NULL, NULL, 55, NULL, NULL, 22004),
(73042, '1wpkA02', NULL, NULL, 67, NULL, NULL, 22004),
(73043, '1bw5A00', NULL, NULL, 66, NULL, NULL, 22004),
(73044, '1pufA00', NULL, NULL, 77, NULL, NULL, 22004),
(73045, '3qqaA01', NULL, NULL, 70, NULL, NULL, 22004),
(73046, '2nogB02', NULL, NULL, 84, NULL, NULL, 22004),
(73047, '3fiwC01', NULL, NULL, 57, NULL, NULL, 22004),
(73048, '2ld5A00', NULL, NULL, 71, NULL, NULL, 22004),
(73049, '1h8aC01', NULL, NULL, 56, NULL, NULL, 22004),
(73050, '2m8gX00', NULL, NULL, 70, NULL, NULL, 22004),
(73051, '1gdtB03', NULL, NULL, 45, NULL, NULL, 22004),
(73052, '5eeaB00', NULL, NULL, 63, NULL, NULL, 22004),
(73053, '5icnA02', NULL, NULL, 50, NULL, NULL, 22004),
(73054, '1gv2A02', NULL, NULL, 46, NULL, NULL, 22004),
(73055, '6a8rA00', NULL, NULL, 60, NULL, NULL, 22004),
(73056, '3sjmA00', NULL, NULL, 64, NULL, NULL, 22004),
(73057, '2cjjA00', NULL, NULL, 70, NULL, NULL, 22004),
(73058, '5mruA01', NULL, NULL, 66, NULL, NULL, 22004),
(73059, '2h1kB00', NULL, NULL, 63, NULL, NULL, 22004),
(73060, '1ztrA00', NULL, NULL, 61, NULL, NULL, 22004),
(73061, '2cueA01', NULL, NULL, 57, NULL, NULL, 22004),
(73062, '4eefH00', NULL, NULL, 55, NULL, NULL, 22004),
(73063, '1wi3A00', NULL, NULL, 71, NULL, NULL, 22004),
(73064, '1ignB02', NULL, NULL, 100, NULL, NULL, 22004),
(73065, '1vi0A01', NULL, NULL, 51, NULL, NULL, 22004),
(73066, '3cmyA00', NULL, NULL, 61, NULL, NULL, 22004),
(73067, '1pufB00', NULL, NULL, 73, NULL, NULL, 22004),
(73068, '3l1pA02', NULL, NULL, 56, NULL, NULL, 22004),
(73069, '3ccyA01', NULL, NULL, 56, NULL, NULL, 22004),
(73070, '4d5cA01', NULL, NULL, 65, NULL, NULL, 22004),
(73071, '2cobA01', NULL, NULL, 44, NULL, NULL, 22004),
(73072, '4l5eA00', NULL, NULL, 46, NULL, NULL, 22004),
(73073, '2k9nA01', NULL, NULL, 53, NULL, NULL, 22004),
(73074, '3zobA00', NULL, NULL, 67, NULL, NULL, 22004),
(73075, '2k9nA02', NULL, NULL, 54, NULL, NULL, 22004),
(73076, '2l9rA00', NULL, NULL, 69, NULL, NULL, 22004),
(73077, '5xogJ00', NULL, NULL, 72, NULL, NULL, 22004),
(73078, '3mklA00', NULL, NULL, 120, NULL, NULL, 22004),
(73079, '5zjtA00', NULL, NULL, 84, NULL, NULL, 22004),
(73080, '2da5A00', NULL, NULL, 75, NULL, NULL, 22004),
(73081, '1tc3C00', NULL, NULL, 51, NULL, NULL, 22004),
(73082, '6fqpB01', NULL, NULL, 59, NULL, NULL, 22004),
(73083, '3rqiA02', NULL, NULL, 51, NULL, NULL, 22004),
(73084, '2k9sA00', NULL, NULL, 107, NULL, NULL, 22004);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(73085, '2kt0A01', NULL, NULL, 47, NULL, NULL, 22004),
(73086, '3cdlA01', NULL, NULL, 59, NULL, NULL, 22004),
(73087, '1w0tA00', NULL, NULL, 53, NULL, NULL, 22004),
(73088, '3narA00', NULL, NULL, 70, NULL, NULL, 22004),
(73089, '2of7A01', NULL, NULL, 51, NULL, NULL, 22004),
(73090, '2iaiA01', NULL, NULL, 81, NULL, NULL, 22004),
(73091, '3a03A00', NULL, NULL, 56, NULL, NULL, 22004),
(73092, '3tw6A06', NULL, NULL, 54, NULL, NULL, 22004),
(73093, '6mj1A01', NULL, NULL, 47, NULL, NULL, 22004),
(73094, '6gmhJ00', NULL, NULL, 67, NULL, NULL, 22004),
(73095, '2r0qC02', NULL, NULL, 64, NULL, NULL, 22004),
(73096, '1gvdA00', NULL, NULL, 52, NULL, NULL, 22004),
(73097, '4dyqA01', NULL, NULL, 112, NULL, NULL, 22004),
(73098, '2dmqA01', NULL, NULL, 57, NULL, NULL, 22004),
(73099, '1gt0C02', NULL, NULL, 56, NULL, NULL, 22004),
(73100, '1ignA01', NULL, NULL, 100, NULL, NULL, 22004),
(73101, '2hxiA01', NULL, NULL, 64, NULL, NULL, 22004),
(73102, '2i10A01', NULL, NULL, 71, NULL, NULL, 22004),
(73103, '2lp0A00', NULL, NULL, 60, NULL, NULL, 22004),
(73104, '3bqzA01', NULL, NULL, 50, NULL, NULL, 22004),
(73105, '2crgA00', NULL, NULL, 70, NULL, NULL, 22004),
(73106, '4qtrC00', NULL, NULL, 72, NULL, NULL, 22004),
(73107, '3a01E00', NULL, NULL, 93, NULL, NULL, 22004),
(73108, '4bkxA02', NULL, NULL, 50, NULL, NULL, 22004),
(73109, '6fqpA00', NULL, NULL, 81, NULL, NULL, 22004),
(73110, '1ofcX02', NULL, NULL, 55, NULL, NULL, 22004),
(73111, '1wh5A00', NULL, NULL, 80, NULL, NULL, 22004),
(73112, '2dmpA01', NULL, NULL, 55, NULL, NULL, 22004),
(73113, '1mh3A03', NULL, NULL, 51, NULL, NULL, 22004),
(73114, '3mn2A00', NULL, NULL, 108, NULL, NULL, 22004),
(73115, '4xrmA00', NULL, NULL, 64, NULL, NULL, 22004),
(73116, '2lr8A00', NULL, NULL, 70, NULL, NULL, 22004),
(73117, '4cycB00', NULL, NULL, 76, NULL, NULL, 22004),
(73118, '1x58A01', NULL, NULL, 48, NULL, NULL, 22004),
(73119, '1iufA02', NULL, NULL, 64, NULL, NULL, 22004),
(73120, '2w48B01', NULL, NULL, 54, NULL, NULL, 22004),
(73121, '2ao9I01', NULL, NULL, 99, NULL, NULL, 22004),
(73122, '2zb9A01', NULL, NULL, 50, NULL, NULL, 22004),
(73123, '1iufA01', NULL, NULL, 77, NULL, NULL, 22004),
(73124, '1ofcX04', NULL, NULL, 108, NULL, NULL, 22004),
(73125, '5lxuA00', NULL, NULL, 57, NULL, NULL, 22004),
(73126, '2k40A00', NULL, NULL, 67, NULL, NULL, 22004),
(73127, '1o4xA02', NULL, NULL, 84, NULL, NULL, 22004),
(73128, '5gp9A01', NULL, NULL, 49, NULL, NULL, 22004),
(73129, '2da6A00', NULL, NULL, 102, NULL, NULL, 22004),
(73130, '4aybN00', NULL, NULL, 66, NULL, NULL, 22004),
(73131, '2m34A00', NULL, NULL, 71, NULL, NULL, 22004),
(73132, '2mw8A00', NULL, NULL, 71, NULL, NULL, 22004),
(73133, '2vi6A00', NULL, NULL, 62, NULL, NULL, 22004),
(73134, '2hxoA01', NULL, NULL, 78, NULL, NULL, 22004),
(73135, '2xpwA01', NULL, NULL, 65, NULL, NULL, 22004),
(73136, '2dn0A00', NULL, NULL, 76, NULL, NULL, 22004),
(73137, '5luxL00', NULL, NULL, 63, NULL, NULL, 22004),
(73138, '1wgxA00', NULL, NULL, 73, NULL, NULL, 22004),
(73139, '2hyjA01', NULL, NULL, 53, NULL, NULL, 22004),
(73140, '4qiwN00', NULL, NULL, 65, NULL, NULL, 22004),
(73141, '2jj7B01', NULL, NULL, 50, NULL, NULL, 22004),
(73142, '4j19B01', NULL, NULL, 72, NULL, NULL, 22004),
(73143, '1bl0A01', NULL, NULL, 64, NULL, NULL, 22004),
(73144, '1bl0A02', NULL, NULL, 65, NULL, NULL, 22004),
(73145, '2raeA01', NULL, NULL, 43, NULL, NULL, 22004),
(73146, '6el2B01', NULL, NULL, 61, NULL, NULL, 22004),
(73147, '2ibdA01', NULL, NULL, 55, NULL, NULL, 22004),
(73148, '3osgA01', NULL, NULL, 62, NULL, NULL, 22004),
(73149, '3osgA02', NULL, NULL, 64, NULL, NULL, 22004),
(73150, '2fx0A01', NULL, NULL, 50, NULL, NULL, 22004),
(73151, '3rkqA00', NULL, NULL, 58, NULL, NULL, 22004),
(73152, '2eh3A01', NULL, NULL, 50, NULL, NULL, 22004),
(73153, '5flvA01', NULL, NULL, 87, NULL, NULL, 22004),
(73154, '2id6A01', NULL, NULL, 48, NULL, NULL, 22004),
(73155, '1vfcA00', NULL, NULL, 63, NULL, NULL, 22004),
(73156, '2da1A01', NULL, NULL, 55, NULL, NULL, 22004),
(73157, '2mgqA00', NULL, NULL, 68, NULL, NULL, 22004),
(73158, '1fjlC00', NULL, NULL, 65, NULL, NULL, 22004); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(73159, '4ndlB00', NULL, NULL, 49, NULL, NULL, 22004),
(73160, '1b8iA00', NULL, NULL, 81, NULL, NULL, 22004),
(73161, '1hlvA01', NULL, NULL, 58, NULL, NULL, 22004),
(73162, '1g2hA00', NULL, NULL, 61, NULL, NULL, 22004),
(73163, '1hlvA02', NULL, NULL, 60, NULL, NULL, 22004),
(73164, '1d5yA01', NULL, NULL, 53, NULL, NULL, 22004),
(73165, '5ui5I04', NULL, NULL, 67, NULL, NULL, 22004),
(73166, '1d5yA02', NULL, NULL, 66, NULL, NULL, 22004),
(73167, '1t33A01', NULL, NULL, 62, NULL, NULL, 22004),
(73168, '3d1nI02', NULL, NULL, 53, NULL, NULL, 22004),
(73169, '6j4kA00', NULL, NULL, 60, NULL, NULL, 22004),
(73170, '2dmuA01', NULL, NULL, 57, NULL, NULL, 22004),
(73171, '3lsjA01', NULL, NULL, 53, NULL, NULL, 22004),
(73172, '2eccA00', NULL, NULL, 76, NULL, NULL, 22004),
(73173, '1b72A00', NULL, NULL, 97, NULL, NULL, 22004),
(73174, '1iv6A00', NULL, NULL, 70, NULL, NULL, 22004),
(73175, '3hrzC01', NULL, NULL, 57, NULL, NULL, 22005),
(73176, '2oo4A01', NULL, NULL, 118, NULL, NULL, 22006),
(73177, '3etoA01', NULL, NULL, 122, NULL, NULL, 22006),
(73178, '5czxA01', NULL, NULL, 128, NULL, NULL, 22006),
(73179, '2g7hA01', NULL, NULL, 76, NULL, NULL, 22007),
(73180, '4ekjA01', NULL, NULL, 161, NULL, NULL, 22008),
(73181, '1uhvA01', NULL, NULL, 156, NULL, NULL, 22008),
(73182, '2bs9A01', NULL, NULL, 137, NULL, NULL, 22008),
(73183, '6i6rB01', NULL, NULL, 165, NULL, NULL, 22008),
(73184, '1vr6D01', NULL, NULL, 82, NULL, NULL, 22009),
(73185, '1rzmA01', NULL, NULL, 80, NULL, NULL, 22009),
(73186, '1jyhA00', NULL, NULL, 157, NULL, NULL, 22010),
(73187, '1d5yB03', NULL, NULL, 172, NULL, NULL, 22010),
(73188, '1r8eA01', NULL, NULL, 159, NULL, NULL, 22010),
(73189, '2govA01', NULL, NULL, 173, NULL, NULL, 22010),
(73190, '5kawA00', NULL, NULL, 165, NULL, NULL, 22010),
(73191, '5x5mA00', NULL, NULL, 216, NULL, NULL, 22010),
(73192, '3gk6A00', NULL, NULL, 170, NULL, NULL, 22010),
(73193, '3r8jA00', NULL, NULL, 191, NULL, NULL, 22010),
(73194, '3e0hA00', NULL, NULL, 158, NULL, NULL, 22010),
(73195, '3b49A00', NULL, NULL, 211, NULL, NULL, 22010),
(73196, '1szqA01', NULL, NULL, 341, NULL, NULL, 22011),
(73197, '2hp0A01', NULL, NULL, 335, NULL, NULL, 22011),
(73198, '5mviA01', NULL, NULL, 341, NULL, NULL, 22011),
(73199, '5muxF01', NULL, NULL, 333, NULL, NULL, 22011),
(73200, '1ygyB03', NULL, NULL, 139, NULL, NULL, 22012),
(73201, '2iafA00', NULL, NULL, 151, NULL, NULL, 22012),
(73202, '2mcfA00', NULL, NULL, 148, NULL, NULL, 22013),
(73203, '3wi3B00', NULL, NULL, 228, NULL, NULL, 22014),
(73204, '3rfrA02', NULL, NULL, 97, NULL, NULL, 22015),
(73205, '4phzA02', NULL, NULL, 97, NULL, NULL, 22015),
(73206, '1yewA02', NULL, NULL, 97, NULL, NULL, 22015),
(73207, '6cxhA02', NULL, NULL, 97, NULL, NULL, 22015),
(73208, '3chxA02', NULL, NULL, 97, NULL, NULL, 22015),
(73209, '3anwB00', NULL, NULL, 171, NULL, NULL, 22016),
(73210, '3jc6C00', NULL, NULL, 194, NULL, NULL, 22016),
(73211, '2e9xG00', NULL, NULL, 195, NULL, NULL, 22016),
(73212, '1so9A00', NULL, NULL, 144, NULL, NULL, 22017),
(73213, '6fjqA00', NULL, NULL, 195, NULL, NULL, 22018),
(73214, '4xqaA00', NULL, NULL, 194, NULL, NULL, 22018),
(73215, '1qhvA00', NULL, NULL, 195, NULL, NULL, 22018),
(73216, '6g47A00', NULL, NULL, 171, NULL, NULL, 22018),
(73217, '1kacA00', NULL, NULL, 185, NULL, NULL, 22018),
(73218, '2wstA00', NULL, NULL, 176, NULL, NULL, 22018),
(73219, '6fjnA00', NULL, NULL, 184, NULL, NULL, 22018),
(73220, '6hcnA00', NULL, NULL, 186, NULL, NULL, 22018),
(73221, '3f0yA00', NULL, NULL, 208, NULL, NULL, 22018),
(73222, '2qlkA00', NULL, NULL, 194, NULL, NULL, 22018),
(73223, '3l88C00', NULL, NULL, 201, NULL, NULL, 22018),
(73224, '6f6oA00', NULL, NULL, 196, NULL, NULL, 22018),
(73225, '2bzvA00', NULL, NULL, 181, NULL, NULL, 22018),
(73226, '3cncA00', NULL, NULL, 196, NULL, NULL, 22018),
(73227, '3exvA00', NULL, NULL, 197, NULL, NULL, 22018),
(73228, '3exwA00', NULL, NULL, 213, NULL, NULL, 22018),
(73229, '2j2jA00', NULL, NULL, 197, NULL, NULL, 22018),
(73230, '2ebfX04', NULL, NULL, 253, NULL, NULL, 22019),
(73231, '2g5gX01', NULL, NULL, 209, NULL, NULL, 22019);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(73232, '4es8B02', NULL, NULL, 105, NULL, NULL, 22020),
(73233, '4l9bA01', NULL, NULL, 173, NULL, NULL, 22021),
(73234, '1zruC01', NULL, NULL, 140, NULL, NULL, 22021),
(73235, '4zldA00', NULL, NULL, 155, NULL, NULL, 22022),
(73236, '4ywqA00', NULL, NULL, 152, NULL, NULL, 22022),
(73237, '3ci9A00', NULL, NULL, 48, NULL, NULL, 22023),
(73238, '3miwA00', NULL, NULL, 53, NULL, NULL, 22023),
(73239, '4c7rA02', NULL, NULL, 48, NULL, NULL, 22023),
(73240, '4hh2A02', NULL, NULL, 39, NULL, NULL, 22023),
(73241, '2o1jB00', NULL, NULL, 52, NULL, NULL, 22023),
(73242, '4wbaA00', NULL, NULL, 52, NULL, NULL, 22023),
(73243, '5y9rD00', NULL, NULL, 46, NULL, NULL, 22023),
(73244, '2l5gB00', NULL, NULL, 42, NULL, NULL, 22023),
(73245, '5y2hB00', NULL, NULL, 51, NULL, NULL, 22023),
(73246, '2o1kA00', NULL, NULL, 52, NULL, NULL, 22023),
(73247, '5y2eB00', NULL, NULL, 47, NULL, NULL, 22023),
(73248, '2retC00', NULL, NULL, 103, NULL, NULL, 22024),
(73249, '2retE00', NULL, NULL, 103, NULL, NULL, 22024),
(73250, '2retA00', NULL, NULL, 103, NULL, NULL, 22024),
(73251, '5bw0F00', NULL, NULL, 94, NULL, NULL, 22024),
(73252, '3ci0K01', NULL, NULL, 115, NULL, NULL, 22024),
(73253, '2gr7A00', NULL, NULL, 101, NULL, NULL, 22024),
(73254, '3cfiJ00', NULL, NULL, 84, NULL, NULL, 22024),
(73255, '2retG00', NULL, NULL, 87, NULL, NULL, 22024),
(73256, '2gr8A00', NULL, NULL, 78, NULL, NULL, 22024),
(73257, '2lmeA00', NULL, NULL, 105, NULL, NULL, 22024),
(73258, '3ci0I00', NULL, NULL, 89, NULL, NULL, 22024),
(73259, '3u2gA01', NULL, NULL, 155, NULL, NULL, 22025),
(73260, '2r18A02', NULL, NULL, 60, NULL, NULL, 22026),
(73261, '3plwA00', NULL, NULL, 110, NULL, NULL, 22027),
(73262, '4du6B02', NULL, NULL, 136, NULL, NULL, 22028),
(73263, '1wurA02', NULL, NULL, 135, NULL, NULL, 22028),
(73264, '3o1kB00', NULL, NULL, 132, NULL, NULL, 22028),
(73265, '3bp1A02', NULL, NULL, 139, NULL, NULL, 22028),
(73266, '1dhnA00', NULL, NULL, 121, NULL, NULL, 22028),
(73267, '1is8A02', NULL, NULL, 131, NULL, NULL, 22028),
(73268, '2cg8C01', NULL, NULL, 119, NULL, NULL, 22028),
(73269, '5f3mA00', NULL, NULL, 123, NULL, NULL, 22028),
(73270, '4f8bA00', NULL, NULL, 145, NULL, NULL, 22028),
(73271, '1nbuA00', NULL, NULL, 119, NULL, NULL, 22028),
(73272, '4aeyA00', NULL, NULL, 118, NULL, NULL, 22028),
(73273, '1sqlJ00', NULL, NULL, 126, NULL, NULL, 22028),
(73274, '2o90A00', NULL, NULL, 122, NULL, NULL, 22028),
(73275, '3v9oA00', NULL, NULL, 143, NULL, NULL, 22028),
(73276, '3r2eA00', NULL, NULL, 120, NULL, NULL, 22028),
(73277, '1b9lA00', NULL, NULL, 120, NULL, NULL, 22028),
(73278, '3uxjA01', NULL, NULL, 118, NULL, NULL, 22028),
(73279, '4uqfA02', NULL, NULL, 135, NULL, NULL, 22028),
(73280, '6g3xA01', NULL, NULL, 93, NULL, NULL, 22029),
(73281, '1m3qA01', NULL, NULL, 92, NULL, NULL, 22029),
(73282, '2xhiA01', NULL, NULL, 91, NULL, NULL, 22029),
(73283, '4cfrQ00', NULL, NULL, 45, NULL, NULL, 22030),
(73284, '3o2iA00', NULL, NULL, 101, NULL, NULL, 22031),
(73285, '4eziA02', NULL, NULL, 93, NULL, NULL, 22032),
(73286, '4jc0A01', NULL, NULL, 138, NULL, NULL, 22033),
(73287, '5xnlE00', NULL, NULL, 83, NULL, NULL, 22034),
(73288, '5b5ee00', NULL, NULL, 83, NULL, NULL, 22034),
(73289, '2w82A01', NULL, NULL, 61, NULL, NULL, 22035),
(73290, '3fq4B01', NULL, NULL, 120, NULL, NULL, 22036),
(73291, '2lt9A00', NULL, NULL, 157, NULL, NULL, 22036),
(73292, '3e9tB00', NULL, NULL, 114, NULL, NULL, 22036),
(73293, '2kltA00', NULL, NULL, 163, NULL, NULL, 22036),
(73294, '3rb5A02', NULL, NULL, 139, NULL, NULL, 22036),
(73295, '2qvkA00', NULL, NULL, 124, NULL, NULL, 22036),
(73296, '2dpkA01', NULL, NULL, 141, NULL, NULL, 22036),
(73297, '3us9A02', NULL, NULL, 155, NULL, NULL, 22036),
(73298, '2pm7C00', NULL, NULL, 381, NULL, NULL, 22037),
(73299, '3wguA02', NULL, NULL, 423, NULL, NULL, 22038),
(73300, '3ar4A02', NULL, NULL, 412, NULL, NULL, 22038),
(73301, '3tlmA02', NULL, NULL, 417, NULL, NULL, 22038),
(73302, '5ksdA01', NULL, NULL, 380, NULL, NULL, 22038),
(73303, '5ylvA02', NULL, NULL, 417, NULL, NULL, 22038),
(73304, '5mpmA02', NULL, NULL, 416, NULL, NULL, 22038);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(73305, '1wpgA02', NULL, NULL, 433, NULL, NULL, 22038),
(73306, '2zxeA02', NULL, NULL, 416, NULL, NULL, 22038),
(73307, '2a9dA02', NULL, NULL, 123, NULL, NULL, 22039),
(73308, '1ogpA02', NULL, NULL, 131, NULL, NULL, 22039),
(73309, '2biiA02', NULL, NULL, 185, NULL, NULL, 22039),
(73310, '2blfA02', NULL, NULL, 114, NULL, NULL, 22039),
(73311, '2xtsA02', NULL, NULL, 130, NULL, NULL, 22039),
(73312, '5k3xA02', NULL, NULL, 113, NULL, NULL, 22039),
(73313, '1dysA00', NULL, NULL, 348, NULL, NULL, 22040),
(73314, '3vogA00', NULL, NULL, 373, NULL, NULL, 22040),
(73315, '5xyhA00', NULL, NULL, 425, NULL, NULL, 22040),
(73316, '1oc7A00', NULL, NULL, 364, NULL, NULL, 22040),
(73317, '3ru8X00', NULL, NULL, 282, NULL, NULL, 22040),
(73318, '4a05A00', NULL, NULL, 364, NULL, NULL, 22040),
(73319, '4ax7B00', NULL, NULL, 363, NULL, NULL, 22040),
(73320, '6faoA00', NULL, NULL, 296, NULL, NULL, 22040),
(73321, '2bogX00', NULL, NULL, 286, NULL, NULL, 22040),
(73322, '5jx5A00', NULL, NULL, 322, NULL, NULL, 22040),
(73323, '5xcyA00', NULL, NULL, 358, NULL, NULL, 22040),
(73324, '4b4hA00', NULL, NULL, 420, NULL, NULL, 22040),
(73325, '3rptA00', NULL, NULL, 282, NULL, NULL, 22040),
(73326, '4i5uA00', NULL, NULL, 364, NULL, NULL, 22040),
(73327, '3a9bA00', NULL, NULL, 395, NULL, NULL, 22040),
(73328, '1uozA01', NULL, NULL, 286, NULL, NULL, 22040),
(73329, '2k4vA00', NULL, NULL, 125, NULL, NULL, 22041),
(73330, '3w1eA01', NULL, NULL, 90, NULL, NULL, 22042),
(73331, '2fokB01', NULL, NULL, 292, NULL, NULL, 22043),
(73332, '3h0dA01', NULL, NULL, 71, NULL, NULL, 22044),
(73333, '3o5aA01', NULL, NULL, 135, NULL, NULL, 22045),
(73334, '2nyaA01', NULL, NULL, 126, NULL, NULL, 22045),
(73335, '1ogyA01', NULL, NULL, 135, NULL, NULL, 22045),
(73336, '4iyaA00', NULL, NULL, 292, NULL, NULL, 22046),
(73337, '1lkfA00', NULL, NULL, 299, NULL, NULL, 22046),
(73338, '4i0nA00', NULL, NULL, 289, NULL, NULL, 22046),
(73339, '4p1xH00', NULL, NULL, 275, NULL, NULL, 22046),
(73340, '1pvlA00', NULL, NULL, 301, NULL, NULL, 22046),
(73341, '7ahlF01', NULL, NULL, 292, NULL, NULL, 22046),
(73342, '4tw1B00', NULL, NULL, 290, NULL, NULL, 22046),
(73343, '4q7gA00', NULL, NULL, 301, NULL, NULL, 22046),
(73344, '3o44A01', NULL, NULL, 284, NULL, NULL, 22046),
(73345, '3b07B00', NULL, NULL, 270, NULL, NULL, 22046),
(73346, '3rohA00', NULL, NULL, 282, NULL, NULL, 22046),
(73347, '4tw1A00', NULL, NULL, 294, NULL, NULL, 22046),
(73348, '2ygtA00', NULL, NULL, 298, NULL, NULL, 22046),
(73349, '2xc1A01', NULL, NULL, 110, NULL, NULL, 22047),
(73350, '1vq8L01', NULL, NULL, 51, NULL, NULL, 22048),
(73351, '5mz2I00', NULL, NULL, 139, NULL, NULL, 22049),
(73352, '1ir1S00', NULL, NULL, 123, NULL, NULL, 22049),
(73353, '1svdM00', NULL, NULL, 110, NULL, NULL, 22049),
(73354, '3rubS00', NULL, NULL, 123, NULL, NULL, 22049),
(73355, '5iu0I00', NULL, NULL, 126, NULL, NULL, 22049),
(73356, '5nv3I00', NULL, NULL, 129, NULL, NULL, 22049),
(73357, '8rucI00', NULL, NULL, 123, NULL, NULL, 22049),
(73358, '5wskE00', NULL, NULL, 128, NULL, NULL, 22049),
(73359, '2ybvB00', NULL, NULL, 118, NULL, NULL, 22049),
(73360, '1uzdC00', NULL, NULL, 134, NULL, NULL, 22049),
(73361, '5oyaI00', NULL, NULL, 139, NULL, NULL, 22049),
(73362, '1rblI00', NULL, NULL, 109, NULL, NULL, 22049),
(73363, '1uzhC00', NULL, NULL, 122, NULL, NULL, 22049),
(73364, '4mkvS00', NULL, NULL, 123, NULL, NULL, 22049),
(73365, '6ftlI00', NULL, NULL, 139, NULL, NULL, 22049),
(73366, '1bwvS00', NULL, NULL, 138, NULL, NULL, 22049),
(73367, '5n9zI00', NULL, NULL, 139, NULL, NULL, 22049),
(73368, '1gk8I00', NULL, NULL, 140, NULL, NULL, 22049),
(73369, '1burS00', NULL, NULL, 123, NULL, NULL, 22049),
(73370, '1bxnI00', NULL, NULL, 139, NULL, NULL, 22049),
(73371, '4hhhS00', NULL, NULL, 123, NULL, NULL, 22049),
(73372, '1wddS00', NULL, NULL, 128, NULL, NULL, 22049),
(73373, '4f0hB00', NULL, NULL, 138, NULL, NULL, 22049),
(73374, '3t7yA00', NULL, NULL, 97, NULL, NULL, 22050),
(73375, '3b1sB00', NULL, NULL, 87, NULL, NULL, 22050),
(73376, '5culB00', NULL, NULL, 79, NULL, NULL, 22050),
(73377, '3bzyB00', NULL, NULL, 83, NULL, NULL, 22050);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(73378, '2jliA00', NULL, NULL, 103, NULL, NULL, 22050),
(73379, '2w0rA00', NULL, NULL, 144, NULL, NULL, 22050),
(73380, '6ejpD00', NULL, NULL, 91, NULL, NULL, 22050),
(73381, '2vt1B00', NULL, NULL, 93, NULL, NULL, 22050),
(73382, '3b0zB00', NULL, NULL, 84, NULL, NULL, 22050),
(73383, '3bzsA00', NULL, NULL, 98, NULL, NULL, 22050),
(73384, '3c01E00', NULL, NULL, 98, NULL, NULL, 22050),
(73385, '3e1tA02', NULL, NULL, 166, NULL, NULL, 22051),
(73386, '2yfoA01', NULL, NULL, 309, NULL, NULL, 22052),
(73387, '3mi6A01', NULL, NULL, 310, NULL, NULL, 22052),
(73388, '4fnqA01', NULL, NULL, 309, NULL, NULL, 22052),
(73389, '2xn2A01', NULL, NULL, 313, NULL, NULL, 22052),
(73390, '2uv8G03', NULL, NULL, 108, NULL, NULL, 22053),
(73391, '2uvaG03', NULL, NULL, 108, NULL, NULL, 22053),
(73392, '1g8kC01', NULL, NULL, 119, NULL, NULL, 22054),
(73393, '1ng7A00', NULL, NULL, 60, NULL, NULL, 22055),
(73394, '3dteA02', NULL, NULL, 41, NULL, NULL, 22056),
(73395, '3ei3B01', NULL, NULL, 39, NULL, NULL, 22057),
(73396, '3ei4B01', NULL, NULL, 51, NULL, NULL, 22057),
(73397, '3qa8A04', NULL, NULL, 249, NULL, NULL, 22058),
(73398, '3qa8H03', NULL, NULL, 184, NULL, NULL, 22058),
(73399, '4kikA03', NULL, NULL, 276, NULL, NULL, 22058),
(73400, '3txaA01', NULL, NULL, 215, NULL, NULL, 22059),
(73401, '2ww8A02', NULL, NULL, 198, NULL, NULL, 22059),
(73402, '2vxgA01', NULL, NULL, 46, NULL, NULL, 22060),
(73403, '2wyhB02', NULL, NULL, 106, NULL, NULL, 22061),
(73404, '1m0dA00', NULL, NULL, 138, NULL, NULL, 22062),
(73405, '2fokA03', NULL, NULL, 175, NULL, NULL, 22062),
(73406, '3caeA00', NULL, NULL, 132, NULL, NULL, 22062),
(73407, '1dgwX00', NULL, NULL, 79, NULL, NULL, 22063),
(73408, '2exuA01', NULL, NULL, 101, NULL, NULL, 22064),
(73409, '3h7hA01', NULL, NULL, 108, NULL, NULL, 22064),
(73410, '6ir9V00', NULL, NULL, 108, NULL, NULL, 22064),
(73411, '4kh9A03', NULL, NULL, 113, NULL, NULL, 22065),
(73412, '4a2vA00', NULL, NULL, 131, NULL, NULL, 22066),
(73413, '2rqbA00', NULL, NULL, 135, NULL, NULL, 22066),
(73414, '3eqtA00', NULL, NULL, 145, NULL, NULL, 22066),
(73415, '3ga3A00', NULL, NULL, 133, NULL, NULL, 22066),
(73416, '3lrrA00', NULL, NULL, 121, NULL, NULL, 22066),
(73417, '3x01B02', NULL, NULL, 170, NULL, NULL, 22067),
(73418, '3x01A02', NULL, NULL, 179, NULL, NULL, 22067),
(73419, '6cn2A02', NULL, NULL, 170, NULL, NULL, 22067),
(73420, '2gk9B02', NULL, NULL, 141, NULL, NULL, 22067),
(73421, '2ybxB02', NULL, NULL, 166, NULL, NULL, 22067),
(73422, '3cirA02', NULL, NULL, 85, NULL, NULL, 22068),
(73423, '1d4dA03', NULL, NULL, 145, NULL, NULL, 22068),
(73424, '1qo8A01', NULL, NULL, 138, NULL, NULL, 22068),
(73425, '2lfcA00', NULL, NULL, 160, NULL, NULL, 22068),
(73426, '1kf6A02', NULL, NULL, 116, NULL, NULL, 22068),
(73427, '2bs2A02', NULL, NULL, 107, NULL, NULL, 22068),
(73428, '4c3xB02', NULL, NULL, 146, NULL, NULL, 22068),
(73429, '2wdqA02', NULL, NULL, 105, NULL, NULL, 22068),
(73430, '3gyxA02', NULL, NULL, 131, NULL, NULL, 22068),
(73431, '2h88A02', NULL, NULL, 104, NULL, NULL, 22068),
(73432, '4ysxA02', NULL, NULL, 104, NULL, NULL, 22068),
(73433, '1jnrA02', NULL, NULL, 132, NULL, NULL, 22068),
(73434, '1chuA02', NULL, NULL, 104, NULL, NULL, 22068),
(73435, '5kxjA02', NULL, NULL, 104, NULL, NULL, 22068),
(73436, '1y0pA03', NULL, NULL, 138, NULL, NULL, 22068),
(73437, '4at0A02', NULL, NULL, 127, NULL, NULL, 22068),
(73438, '2e5vA02', NULL, NULL, 96, NULL, NULL, 22068),
(73439, '3i9v103', NULL, NULL, 95, NULL, NULL, 22069),
(73440, '6g2jF03', NULL, NULL, 97, NULL, NULL, 22069),
(73441, '1bpoA02', NULL, NULL, 162, NULL, NULL, 22070),
(73442, '2c0gA02', NULL, NULL, 112, NULL, NULL, 22071),
(73443, '5v8zC00', NULL, NULL, 106, NULL, NULL, 22071),
(73444, '1g7dA00', NULL, NULL, 106, NULL, NULL, 22071),
(73445, '2gd5C00', NULL, NULL, 179, NULL, NULL, 22072),
(73446, '2gd5B00', NULL, NULL, 179, NULL, NULL, 22072),
(73447, '2gd5D00', NULL, NULL, 179, NULL, NULL, 22072),
(73448, '2gd5A00', NULL, NULL, 179, NULL, NULL, 22072),
(73449, '1yg2A02', NULL, NULL, 90, NULL, NULL, 22073),
(73450, '3v42A02', NULL, NULL, 90, NULL, NULL, 22074);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(73451, '5tj3A02', NULL, NULL, 117, NULL, NULL, 22075),
(73452, '5xwkA02', NULL, NULL, 126, NULL, NULL, 22075),
(73453, '3aqoA01', NULL, NULL, 88, NULL, NULL, 22076),
(73454, '2ptmA01', NULL, NULL, 69, NULL, NULL, 22077),
(73455, '3bpzA01', NULL, NULL, 70, NULL, NULL, 22077),
(73456, '4d7sA01', NULL, NULL, 67, NULL, NULL, 22077),
(73457, '5khhA01', NULL, NULL, 68, NULL, NULL, 22077),
(73458, '3u0zA01', NULL, NULL, 73, NULL, NULL, 22077),
(73459, '3etqB01', NULL, NULL, 72, NULL, NULL, 22077),
(73460, '3otfA01', NULL, NULL, 67, NULL, NULL, 22077),
(73461, '1zbsA03', NULL, NULL, 89, NULL, NULL, 22078),
(73462, '1zxoA03', NULL, NULL, 89, NULL, NULL, 22078),
(73463, '1szhA01', NULL, NULL, 68, NULL, NULL, 22079),
(73464, '2v8iA02', NULL, NULL, 53, NULL, NULL, 22080),
(73465, '5a29A02', NULL, NULL, 49, NULL, NULL, 22080),
(73466, '3wx4A00', NULL, NULL, 100, NULL, NULL, 22081),
(73467, '5ghxA00', NULL, NULL, 268, NULL, NULL, 22082),
(73468, '4r23A02', NULL, NULL, 312, NULL, NULL, 22082),
(73469, '5eooA00', NULL, NULL, 265, NULL, NULL, 22082),
(73470, '1xa7A00', NULL, NULL, 255, NULL, NULL, 22082),
(73471, '1k25B02', NULL, NULL, 315, NULL, NULL, 22082),
(73472, '4k91A01', NULL, NULL, 252, NULL, NULL, 22082),
(73473, '4netB00', NULL, NULL, 361, NULL, NULL, 22082),
(73474, '2efxF00', NULL, NULL, 363, NULL, NULL, 22082),
(73475, '5ul8A00', NULL, NULL, 271, NULL, NULL, 22082),
(73476, '3agdA01', NULL, NULL, 309, NULL, NULL, 22082),
(73477, '4u3tB00', NULL, NULL, 330, NULL, NULL, 22082),
(73478, '5evlA00', NULL, NULL, 373, NULL, NULL, 22082),
(73479, '5e2hA00', NULL, NULL, 357, NULL, NULL, 22082),
(73480, '2wadA04', NULL, NULL, 350, NULL, NULL, 22082),
(73481, '4ua6A00', NULL, NULL, 263, NULL, NULL, 22082),
(73482, '1es5A00', NULL, NULL, 262, NULL, NULL, 22082),
(73483, '4p6bB00', NULL, NULL, 390, NULL, NULL, 22082),
(73484, '1w5dA01', NULL, NULL, 248, NULL, NULL, 22082),
(73485, '3bydA00', NULL, NULL, 267, NULL, NULL, 22082),
(73486, '5ihvA00', NULL, NULL, 269, NULL, NULL, 22082),
(73487, '1qmeA02', NULL, NULL, 344, NULL, NULL, 22082),
(73488, '4bjpA03', NULL, NULL, 181, NULL, NULL, 22082),
(73489, '4ewfA00', NULL, NULL, 275, NULL, NULL, 22082),
(73490, '4dxbA03', NULL, NULL, 261, NULL, NULL, 22082),
(73491, '1q2qA00', NULL, NULL, 363, NULL, NULL, 22082),
(73492, '1ci9A00', NULL, NULL, 392, NULL, NULL, 22082),
(73493, '4s2lA00', NULL, NULL, 237, NULL, NULL, 22082),
(73494, '4bqmA00', NULL, NULL, 332, NULL, NULL, 22082),
(73495, '4e6xB00', NULL, NULL, 336, NULL, NULL, 22082),
(73496, '4d2oB00', NULL, NULL, 284, NULL, NULL, 22082),
(73497, '6nhsA00', NULL, NULL, 239, NULL, NULL, 22082),
(73498, '1bueA00', NULL, NULL, 265, NULL, NULL, 22082),
(73499, '4c6yA00', NULL, NULL, 262, NULL, NULL, 22082),
(73500, '1nrfA00', NULL, NULL, 262, NULL, NULL, 22082),
(73501, '1m40A00', NULL, NULL, 263, NULL, NULL, 22082),
(73502, '5eviA00', NULL, NULL, 366, NULL, NULL, 22082),
(73503, '5e2eA00', NULL, NULL, 269, NULL, NULL, 22082),
(73504, '1mkiA01', NULL, NULL, 188, NULL, NULL, 22082),
(73505, '4op5A00', NULL, NULL, 263, NULL, NULL, 22082),
(73506, '2cc1A00', NULL, NULL, 262, NULL, NULL, 22082),
(73507, '4drtA01', NULL, NULL, 263, NULL, NULL, 22082),
(73508, '5hw3A00', NULL, NULL, 269, NULL, NULL, 22082),
(73509, '4ivkA00', NULL, NULL, 410, NULL, NULL, 22082),
(73510, '3mzfA01', NULL, NULL, 262, NULL, NULL, 22082),
(73511, '4yfmA00', NULL, NULL, 275, NULL, NULL, 22082),
(73512, '2qmiA01', NULL, NULL, 347, NULL, NULL, 22082),
(73513, '5ne2A00', NULL, NULL, 278, NULL, NULL, 22082),
(73514, '3lo7A02', NULL, NULL, 299, NULL, NULL, 22082),
(73515, '2pbyA01', NULL, NULL, 164, NULL, NULL, 22082),
(73516, '4jf5A00', NULL, NULL, 243, NULL, NULL, 22082),
(73517, '4wz4A00', NULL, NULL, 360, NULL, NULL, 22082),
(73518, '4iedC00', NULL, NULL, 254, NULL, NULL, 22082),
(73519, '3mfdB01', NULL, NULL, 236, NULL, NULL, 22082),
(73520, '3vmaA02', NULL, NULL, 408, NULL, NULL, 22082),
(73521, '1e25A00', NULL, NULL, 282, NULL, NULL, 22082),
(73522, '5chuA00', NULL, NULL, 362, NULL, NULL, 22082),
(73523, '5fsrA01', NULL, NULL, 282, NULL, NULL, 22082); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(73524, '4ryeA00', NULL, NULL, 269, NULL, NULL, 22082),
(73525, '3zytA00', NULL, NULL, 372, NULL, NULL, 22082),
(73526, '3vskA03', NULL, NULL, 373, NULL, NULL, 22082),
(73527, '5kzhC00', NULL, NULL, 250, NULL, NULL, 22082),
(73528, '2olvA03', NULL, NULL, 325, NULL, NULL, 22082),
(73529, '3zg9B02', NULL, NULL, 356, NULL, NULL, 22082),
(73530, '3ue3A03', NULL, NULL, 183, NULL, NULL, 22082),
(73531, '5dtkA00', NULL, NULL, 243, NULL, NULL, 22082),
(73532, '1g6aA00', NULL, NULL, 271, NULL, NULL, 22082),
(73533, '3a3jA01', NULL, NULL, 252, NULL, NULL, 22082),
(73534, '1xkzC00', NULL, NULL, 255, NULL, NULL, 22082),
(73535, '3w4pA00', NULL, NULL, 266, NULL, NULL, 22082),
(73536, '1h8zA00', NULL, NULL, 247, NULL, NULL, 22082),
(73537, '4hesA00', NULL, NULL, 275, NULL, NULL, 22082),
(73538, '5jyoB00', NULL, NULL, 316, NULL, NULL, 22082),
(73539, '4ovdA03', NULL, NULL, 190, NULL, NULL, 22082),
(73540, '3p09A00', NULL, NULL, 268, NULL, NULL, 22082),
(73541, '3pbtA03', NULL, NULL, 182, NULL, NULL, 22082),
(73542, '3a3dA01', NULL, NULL, 245, NULL, NULL, 22082),
(73543, '6njkA00', NULL, NULL, 367, NULL, NULL, 22082),
(73544, '5df7A02', NULL, NULL, 358, NULL, NULL, 22082),
(73545, '6nhuC00', NULL, NULL, 252, NULL, NULL, 22082),
(73546, '1rgyA00', NULL, NULL, 360, NULL, NULL, 22082),
(73547, '5hx9A00', NULL, NULL, 266, NULL, NULL, 22082),
(73548, '2ex2A01', NULL, NULL, 247, NULL, NULL, 22082),
(73549, '2zc7A00', NULL, NULL, 359, NULL, NULL, 22082),
(73550, '5gl9A00', NULL, NULL, 268, NULL, NULL, 22082),
(73551, '5cerA01', NULL, NULL, 238, NULL, NULL, 22082),
(73552, '1w79A01', NULL, NULL, 251, NULL, NULL, 22082),
(73553, '3i7jA00', NULL, NULL, 280, NULL, NULL, 22082),
(73554, '3wrzC00', NULL, NULL, 367, NULL, NULL, 22082),
(73555, '5vpqA00', NULL, NULL, 289, NULL, NULL, 22082),
(73556, '2ffyA00', NULL, NULL, 358, NULL, NULL, 22082),
(73557, '3mfdA01', NULL, NULL, 236, NULL, NULL, 22082),
(73558, '4gn2A00', NULL, NULL, 240, NULL, NULL, 22082),
(73559, '5tw4A01', NULL, NULL, 290, NULL, NULL, 22082),
(73560, '1ei5A01', NULL, NULL, 321, NULL, NULL, 22082),
(73561, '5u47A04', NULL, NULL, 371, NULL, NULL, 22082),
(73562, '5nj2A00', NULL, NULL, 274, NULL, NULL, 22082),
(73563, '2v2fF00', NULL, NULL, 390, NULL, NULL, 22082),
(73564, '6nj1A00', NULL, NULL, 282, NULL, NULL, 22082),
(73565, '5aqbA02', NULL, NULL, 263, NULL, NULL, 22082),
(73566, '5aq7A02', NULL, NULL, 265, NULL, NULL, 22082),
(73567, '4oonA02', NULL, NULL, 341, NULL, NULL, 22082),
(73568, '4id4A00', NULL, NULL, 263, NULL, NULL, 22082),
(73569, '5uy7A00', NULL, NULL, 340, NULL, NULL, 22082),
(73570, '2j9oD01', NULL, NULL, 263, NULL, NULL, 22082),
(73571, '3tg9A00', NULL, NULL, 331, NULL, NULL, 22082),
(73572, '5fqiA00', NULL, NULL, 269, NULL, NULL, 22082),
(73573, '6nfdA00', NULL, NULL, 268, NULL, NULL, 22082),
(73574, '3cjmA00', NULL, NULL, 255, NULL, NULL, 22082),
(73575, '3if6B00', NULL, NULL, 242, NULL, NULL, 22082),
(73576, '4oh0A00', NULL, NULL, 243, NULL, NULL, 22082),
(73577, '6niqA00', NULL, NULL, 267, NULL, NULL, 22082),
(73578, '5mozA00', NULL, NULL, 247, NULL, NULL, 22082),
(73579, '4mnrA02', NULL, NULL, 316, NULL, NULL, 22082),
(73580, '5tr7A00', NULL, NULL, 252, NULL, NULL, 22082),
(73581, '1ghpA00', NULL, NULL, 258, NULL, NULL, 22082),
(73582, '5iy2A00', NULL, NULL, 241, NULL, NULL, 22082),
(73583, '4ztkA00', NULL, NULL, 285, NULL, NULL, 22082),
(73584, '3vwnX01', NULL, NULL, 236, NULL, NULL, 22082),
(73585, '6n1nA00', NULL, NULL, 250, NULL, NULL, 22082),
(73586, '5e2gB00', NULL, NULL, 361, NULL, NULL, 22082),
(73587, '5e43A00', NULL, NULL, 268, NULL, NULL, 22082),
(73588, '2zq7A00', NULL, NULL, 262, NULL, NULL, 22082),
(73589, '1bsgA00', NULL, NULL, 266, NULL, NULL, 22082),
(73590, '1xp4A01', NULL, NULL, 278, NULL, NULL, 22082),
(73591, '1alqA00', NULL, NULL, 266, NULL, NULL, 22082),
(73592, '5f82B00', NULL, NULL, 269, NULL, NULL, 22082),
(73593, '1vqqB04', NULL, NULL, 339, NULL, NULL, 22082),
(73594, '5tfqA00', NULL, NULL, 280, NULL, NULL, 22082),
(73595, '3hlcA00', NULL, NULL, 432, NULL, NULL, 22082),
(73596, '5cecA01', NULL, NULL, 238, NULL, NULL, 22082);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(73597, '4mllB00', NULL, NULL, 251, NULL, NULL, 22082),
(73598, '4pprA00', NULL, NULL, 310, NULL, NULL, 22082),
(73599, '3lezA00', NULL, NULL, 260, NULL, NULL, 22082),
(73600, '1hzoA00', NULL, NULL, 271, NULL, NULL, 22082),
(73601, '2c5wB00', NULL, NULL, 385, NULL, NULL, 22082),
(73602, '4c75A00', NULL, NULL, 262, NULL, NULL, 22082),
(73603, '1k25C02', NULL, NULL, 328, NULL, NULL, 22082),
(73604, '2v1zA00', NULL, NULL, 270, NULL, NULL, 22082),
(73605, '3zdjA00', NULL, NULL, 263, NULL, NULL, 22082),
(73606, '3eqvA03', NULL, NULL, 181, NULL, NULL, 22082),
(73607, '1n9bA00', NULL, NULL, 265, NULL, NULL, 22082),
(73608, '5u2gA01', NULL, NULL, 465, NULL, NULL, 22082),
(73609, '5e2fA00', NULL, NULL, 237, NULL, NULL, 22082),
(73610, '1yqsA00', NULL, NULL, 349, NULL, NULL, 22082),
(73611, '3qhyA00', NULL, NULL, 271, NULL, NULL, 22082),
(73612, '2wafA03', NULL, NULL, 350, NULL, NULL, 22082),
(73613, '5tg4A00', NULL, NULL, 245, NULL, NULL, 22082),
(73614, '4y7pA00', NULL, NULL, 342, NULL, NULL, 22082),
(73615, '3itbD01', NULL, NULL, 258, NULL, NULL, 22082),
(73616, '4gdnC00', NULL, NULL, 342, NULL, NULL, 22082),
(73617, '6fm7A00', NULL, NULL, 356, NULL, NULL, 22082),
(73618, '2iwbA00', NULL, NULL, 246, NULL, NULL, 22082),
(73619, '2y2mA02', NULL, NULL, 312, NULL, NULL, 22082),
(73620, '3rjuA00', NULL, NULL, 351, NULL, NULL, 22082),
(73621, '6ni0A00', NULL, NULL, 249, NULL, NULL, 22082),
(73622, '3brmB01', NULL, NULL, 186, NULL, NULL, 22082),
(73623, '4uhuA00', NULL, NULL, 268, NULL, NULL, 22082),
(73624, '1dy6A00', NULL, NULL, 267, NULL, NULL, 22082),
(73625, '3udfA01', NULL, NULL, 381, NULL, NULL, 22082),
(73626, '1u60A00', NULL, NULL, 310, NULL, NULL, 22082),
(73627, '2wuqB00', NULL, NULL, 318, NULL, NULL, 22082),
(73628, '4euzA00', NULL, NULL, 283, NULL, NULL, 22082),
(73629, '4hbtA00', NULL, NULL, 263, NULL, NULL, 22082),
(73630, '3wwxA00', NULL, NULL, 349, NULL, NULL, 22082),
(73631, '6nlwA00', NULL, NULL, 246, NULL, NULL, 22082),
(73632, '5tgfD00', NULL, NULL, 339, NULL, NULL, 22082),
(73633, '1k38A00', NULL, NULL, 254, NULL, NULL, 22082),
(73634, '2xepB02', NULL, NULL, 256, NULL, NULL, 22082),
(73635, '4lclA00', NULL, NULL, 433, NULL, NULL, 22082),
(73636, '5ctmA00', NULL, NULL, 233, NULL, NULL, 22082),
(73637, '5gs8A00', NULL, NULL, 280, NULL, NULL, 22082),
(73638, '3bffA00', NULL, NULL, 262, NULL, NULL, 22082),
(73639, '5cxwA00', NULL, NULL, 380, NULL, NULL, 22082),
(73640, '3toiA00', NULL, NULL, 254, NULL, NULL, 22082),
(73641, '1rp5B04', NULL, NULL, 371, NULL, NULL, 22082),
(73642, '2qz6A00', NULL, NULL, 358, NULL, NULL, 22082),
(73643, '4gb7A00', NULL, NULL, 388, NULL, NULL, 22082),
(73644, '3w8kA00', NULL, NULL, 353, NULL, NULL, 22082),
(73645, '3w4qA00', NULL, NULL, 258, NULL, NULL, 22082),
(73646, '1vt0M02', NULL, NULL, 90, NULL, NULL, 22083),
(73647, '3k8pC01', NULL, NULL, 108, NULL, NULL, 22084),
(73648, '2ougA00', NULL, NULL, 162, NULL, NULL, 22085),
(73649, '2exuA02', NULL, NULL, 99, NULL, NULL, 22085),
(73650, '3h7hB00', NULL, NULL, 106, NULL, NULL, 22085),
(73651, '3lpeA00', NULL, NULL, 92, NULL, NULL, 22085),
(73652, '3p8bB01', NULL, NULL, 86, NULL, NULL, 22085),
(73653, '2xhcA01', NULL, NULL, 97, NULL, NULL, 22085),
(73654, '5xonW01', NULL, NULL, 108, NULL, NULL, 22085),
(73655, '1m1hA01', NULL, NULL, 104, NULL, NULL, 22085),
(73656, '3ewgA00', NULL, NULL, 91, NULL, NULL, 22085),
(73657, '6c6uN00', NULL, NULL, 117, NULL, NULL, 22085),
(73658, '1nz8A00', NULL, NULL, 119, NULL, NULL, 22085),
(73659, '6nmiG00', NULL, NULL, 71, NULL, NULL, 22086),
(73660, '3dgpB00', NULL, NULL, 71, NULL, NULL, 22086),
(73661, '1ydlA00', NULL, NULL, 79, NULL, NULL, 22086),
(73662, '4fsdA02', NULL, NULL, 98, NULL, NULL, 22087),
(73663, '2wyrA01', NULL, NULL, 241, NULL, NULL, 22088),
(73664, '3cpxB01', NULL, NULL, 259, NULL, NULL, 22088),
(73665, '4okoA00', NULL, NULL, 312, NULL, NULL, 22088),
(73666, '2fvgA01', NULL, NULL, 253, NULL, NULL, 22088),
(73667, '1vhoA01', NULL, NULL, 261, NULL, NULL, 22088),
(73668, '2qyvA01', NULL, NULL, 271, NULL, NULL, 22088),
(73669, '1fnoA01', NULL, NULL, 296, NULL, NULL, 22088);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(73670, '1y7eA01', NULL, NULL, 320, NULL, NULL, 22088),
(73671, '1gytL02', NULL, NULL, 318, NULL, NULL, 22088),
(73672, '5uejB01', NULL, NULL, 270, NULL, NULL, 22088),
(73673, '3l2nA02', NULL, NULL, 264, NULL, NULL, 22088),
(73674, '4ewtA01', NULL, NULL, 277, NULL, NULL, 22088),
(73675, '4emeA01', NULL, NULL, 354, NULL, NULL, 22088),
(73676, '4pxeA01', NULL, NULL, 313, NULL, NULL, 22088),
(73677, '5xoyA01', NULL, NULL, 249, NULL, NULL, 22088),
(73678, '2qvpC00', NULL, NULL, 275, NULL, NULL, 22088),
(73679, '2wznA01', NULL, NULL, 260, NULL, NULL, 22088),
(73680, '4g1pA01', NULL, NULL, 313, NULL, NULL, 22088),
(73681, '3si2A00', NULL, NULL, 327, NULL, NULL, 22088),
(73682, '4x8iA01', NULL, NULL, 252, NULL, NULL, 22088),
(73683, '3guxA00', NULL, NULL, 298, NULL, NULL, 22088),
(73684, '5nthA02', NULL, NULL, 345, NULL, NULL, 22088),
(73685, '6qqlA00', NULL, NULL, 293, NULL, NULL, 22088),
(73686, '3cdxD00', NULL, NULL, 354, NULL, NULL, 22088),
(73687, '1lfwA01', NULL, NULL, 276, NULL, NULL, 22088),
(73688, '2glfA01', NULL, NULL, 315, NULL, NULL, 22088),
(73689, '2pcuA00', NULL, NULL, 305, NULL, NULL, 22088),
(73690, '1jqgA02', NULL, NULL, 316, NULL, NULL, 22088),
(73691, '4wjbA01', NULL, NULL, 309, NULL, NULL, 22088),
(73692, '3isxA01', NULL, NULL, 254, NULL, NULL, 22088),
(73693, '3na6A00', NULL, NULL, 331, NULL, NULL, 22088),
(73694, '3k2kA02', NULL, NULL, 270, NULL, NULL, 22088),
(73695, '1kwmA02', NULL, NULL, 314, NULL, NULL, 22088),
(73696, '1pcaA02', NULL, NULL, 300, NULL, NULL, 22088),
(73697, '4dyoA01', NULL, NULL, 320, NULL, NULL, 22088),
(73698, '3d4uA00', NULL, NULL, 309, NULL, NULL, 22088),
(73699, '1lamA02', NULL, NULL, 318, NULL, NULL, 22088),
(73700, '6omeA02', NULL, NULL, 332, NULL, NULL, 22088),
(73701, '3gb0A01', NULL, NULL, 261, NULL, NULL, 22088),
(73702, '3pb6X00', NULL, NULL, 313, NULL, NULL, 22088),
(73703, '4faiA00', NULL, NULL, 330, NULL, NULL, 22088),
(73704, '3khxA01', NULL, NULL, 231, NULL, NULL, 22088),
(73705, '1xmbA01', NULL, NULL, 300, NULL, NULL, 22088),
(73706, '5mrvA00', NULL, NULL, 307, NULL, NULL, 22088),
(73707, '5hxdA00', NULL, NULL, 237, NULL, NULL, 22088),
(73708, '1m4lA00', NULL, NULL, 307, NULL, NULL, 22088),
(73709, '4mhpA00', NULL, NULL, 326, NULL, NULL, 22088),
(73710, '2v8hA01', NULL, NULL, 315, NULL, NULL, 22088),
(73711, '5of0A01', NULL, NULL, 325, NULL, NULL, 22088),
(73712, '6qroA00', NULL, NULL, 292, NULL, NULL, 22088),
(73713, '1dtdA00', NULL, NULL, 303, NULL, NULL, 22088),
(73714, '2c1cA00', NULL, NULL, 312, NULL, NULL, 22088),
(73715, '4mxuA01', NULL, NULL, 265, NULL, NULL, 22088),
(73716, '2nsmA01', NULL, NULL, 321, NULL, NULL, 22088),
(73717, '5ib9A01', NULL, NULL, 294, NULL, NULL, 22088),
(73718, '3fmcC01', NULL, NULL, 292, NULL, NULL, 22088),
(73719, '5ds0C01', NULL, NULL, 270, NULL, NULL, 22088),
(73720, '4b6zB02', NULL, NULL, 270, NULL, NULL, 22088),
(73721, '3iehA00', NULL, NULL, 276, NULL, NULL, 22088),
(73722, '3h8gA02', NULL, NULL, 319, NULL, NULL, 22088),
(73723, '5jgfA01', NULL, NULL, 323, NULL, NULL, 22088),
(73724, '1yw6B00', NULL, NULL, 335, NULL, NULL, 22088),
(73725, '3kzwA02', NULL, NULL, 329, NULL, NULL, 22088),
(73726, '1q7lA00', NULL, NULL, 198, NULL, NULL, 22088),
(73727, '3io1A01', NULL, NULL, 329, NULL, NULL, 22088),
(73728, '3dljA01', NULL, NULL, 311, NULL, NULL, 22088),
(73729, '3rzaA01', NULL, NULL, 285, NULL, NULL, 22088),
(73730, '4wwvA01', NULL, NULL, 271, NULL, NULL, 22088),
(73731, '3n5fA01', NULL, NULL, 294, NULL, NULL, 22088),
(73732, '3kl9A01', NULL, NULL, 265, NULL, NULL, 22088),
(73733, '3ij3A02', NULL, NULL, 325, NULL, NULL, 22088),
(73734, '5k8pD01', NULL, NULL, 294, NULL, NULL, 22088),
(73735, '1uwyA01', NULL, NULL, 296, NULL, NULL, 22088),
(73736, '1vixB01', NULL, NULL, 308, NULL, NULL, 22088),
(73737, '3ct9B01', NULL, NULL, 249, NULL, NULL, 22088),
(73738, '1yloA01', NULL, NULL, 266, NULL, NULL, 22088),
(73739, '1h8lA01', NULL, NULL, 301, NULL, NULL, 22088),
(73740, '3lwuA01', NULL, NULL, 295, NULL, NULL, 22088),
(73741, '3iibA01', NULL, NULL, 294, NULL, NULL, 22088),
(73742, '2pokA01', NULL, NULL, 288, NULL, NULL, 22088);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(73743, '2g9dA01', NULL, NULL, 285, NULL, NULL, 22088),
(73744, '1rtqA00', NULL, NULL, 299, NULL, NULL, 22088),
(73745, '3jruA02', NULL, NULL, 317, NULL, NULL, 22088),
(73746, '4fuuA00', NULL, NULL, 309, NULL, NULL, 22088),
(73747, '4f9uA00', NULL, NULL, 312, NULL, NULL, 22088),
(73748, '4h2kA00', NULL, NULL, 269, NULL, NULL, 22088),
(73749, '4ihmA00', NULL, NULL, 326, NULL, NULL, 22088),
(73750, '3nh4A01', NULL, NULL, 279, NULL, NULL, 22088),
(73751, '4a37A02', NULL, NULL, 262, NULL, NULL, 22088),
(73752, '1cg2A01', NULL, NULL, 283, NULL, NULL, 22088),
(73753, '4zi6C02', NULL, NULL, 312, NULL, NULL, 22088),
(73754, '1tkjA00', NULL, NULL, 284, NULL, NULL, 22088),
(73755, '5ntdA02', NULL, NULL, 330, NULL, NULL, 22088),
(73756, '2greA01', NULL, NULL, 253, NULL, NULL, 22088),
(73757, '2hc9A02', NULL, NULL, 336, NULL, NULL, 22088),
(73758, '5lhjA02', NULL, NULL, 343, NULL, NULL, 22088),
(73759, '3varA01', NULL, NULL, 320, NULL, NULL, 22088),
(73760, '1yw4B00', NULL, NULL, 341, NULL, NULL, 22088),
(73761, '4axvA00', NULL, NULL, 243, NULL, NULL, 22088),
(73762, '3pfeA01', NULL, NULL, 301, NULL, NULL, 22088),
(73763, '2qj8A00', NULL, NULL, 332, NULL, NULL, 22088),
(73764, '2gljA01', NULL, NULL, 323, NULL, NULL, 22088),
(73765, '2rb7A01', NULL, NULL, 257, NULL, NULL, 22088),
(73766, '2q4zA01', NULL, NULL, 264, NULL, NULL, 22088),
(73767, '2bcoB01', NULL, NULL, 349, NULL, NULL, 22088),
(73768, '4ruhB01', NULL, NULL, 301, NULL, NULL, 22088),
(73769, '3tx8A01', NULL, NULL, 255, NULL, NULL, 22088),
(73770, '4tweA01', NULL, NULL, 324, NULL, NULL, 22088),
(73771, '5d8nB02', NULL, NULL, 329, NULL, NULL, 22088),
(73772, '2f7vA01', NULL, NULL, 255, NULL, NULL, 22088),
(73773, '4onwA00', NULL, NULL, 268, NULL, NULL, 22088),
(73774, '2zogA01', NULL, NULL, 305, NULL, NULL, 22088),
(73775, '4q7aA01', NULL, NULL, 263, NULL, NULL, 22088),
(73776, '3pfoA01', NULL, NULL, 305, NULL, NULL, 22088),
(73777, '6c0dA01', NULL, NULL, 305, NULL, NULL, 22088),
(73778, '2afwA00', NULL, NULL, 329, NULL, NULL, 22088),
(73779, '3mn8A01', NULL, NULL, 309, NULL, NULL, 22088),
(73780, '1y0yA01', NULL, NULL, 259, NULL, NULL, 22088),
(73781, '4z65A00', NULL, NULL, 304, NULL, NULL, 22088),
(73782, '5thwD01', NULL, NULL, 297, NULL, NULL, 22088),
(73783, '3fjuA00', NULL, NULL, 307, NULL, NULL, 22088),
(73784, '3ifeA01', NULL, NULL, 305, NULL, NULL, 22088),
(73785, '3peiA02', NULL, NULL, 319, NULL, NULL, 22088),
(73786, '3mruA01', NULL, NULL, 275, NULL, NULL, 22088),
(73787, '5tp4B01', NULL, NULL, 316, NULL, NULL, 22088),
(73788, '5jm6A01', NULL, NULL, 318, NULL, NULL, 22088),
(73789, '3k9tA01', NULL, NULL, 259, NULL, NULL, 22088),
(73790, '4p10A02', NULL, NULL, 312, NULL, NULL, 22088),
(73791, '5ntfA02', NULL, NULL, 331, NULL, NULL, 22088),
(73792, '4mmoA01', NULL, NULL, 270, NULL, NULL, 22088),
(73793, '5i4mB01', NULL, NULL, 299, NULL, NULL, 22088),
(73794, '1nsaA02', NULL, NULL, 303, NULL, NULL, 22088),
(73795, '1ysjA01', NULL, NULL, 263, NULL, NULL, 22088),
(73796, '1vheA01', NULL, NULL, 283, NULL, NULL, 22088),
(73797, '3tc8A00', NULL, NULL, 293, NULL, NULL, 22088),
(73798, '4pxdA01', NULL, NULL, 298, NULL, NULL, 22088),
(73799, '3wt4A01', NULL, NULL, 296, NULL, NULL, 22088),
(73800, '3ramA01', NULL, NULL, 276, NULL, NULL, 22088),
(73801, '3kasA01', NULL, NULL, 308, NULL, NULL, 22088),
(73802, '3fedA01', NULL, NULL, 325, NULL, NULL, 22088),
(73803, '3t8wC02', NULL, NULL, 310, NULL, NULL, 22088),
(73804, '3b2yA00', NULL, NULL, 275, NULL, NULL, 22088),
(73805, '2i46A00', NULL, NULL, 161, NULL, NULL, 22089),
(73806, '2m9vA00', NULL, NULL, 170, NULL, NULL, 22089),
(73807, '3htmA02', NULL, NULL, 48, NULL, NULL, 22090),
(73808, '2mm4A00', NULL, NULL, 58, NULL, NULL, 22091),
(73809, '6ig5A01', NULL, NULL, 138, NULL, NULL, 22092),
(73810, '6n1mA01', NULL, NULL, 135, NULL, NULL, 22092),
(73811, '6at7B01', NULL, NULL, 247, NULL, NULL, 22092),
(73812, '3gzhA01', NULL, NULL, 143, NULL, NULL, 22092),
(73813, '1w27A01', NULL, NULL, 236, NULL, NULL, 22092),
(73814, '3ocfD01', NULL, NULL, 139, NULL, NULL, 22092),
(73815, '4eeiA01', NULL, NULL, 92, NULL, NULL, 22092);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(73816, '3unvA01', NULL, NULL, 194, NULL, NULL, 22092),
(73817, '1re5A01', NULL, NULL, 104, NULL, NULL, 22092),
(73818, '1k62A01', NULL, NULL, 137, NULL, NULL, 22092),
(73819, '4mx2A01', NULL, NULL, 120, NULL, NULL, 22092),
(73820, '1jswA01', NULL, NULL, 137, NULL, NULL, 22092),
(73821, '1c3cA01', NULL, NULL, 91, NULL, NULL, 22092),
(73822, '5v4lA01', NULL, NULL, 96, NULL, NULL, 22092),
(73823, '1hy0A01', NULL, NULL, 137, NULL, NULL, 22092),
(73824, '1gkmA01', NULL, NULL, 194, NULL, NULL, 22092),
(73825, '1tj7A01', NULL, NULL, 107, NULL, NULL, 22092),
(73826, '3rrpA01', NULL, NULL, 129, NULL, NULL, 22092),
(73827, '1yfmA01', NULL, NULL, 135, NULL, NULL, 22092),
(73828, '2qgaB01', NULL, NULL, 116, NULL, NULL, 22092),
(73829, '1q5nA01', NULL, NULL, 99, NULL, NULL, 22092),
(73830, '2qveA01', NULL, NULL, 193, NULL, NULL, 22092),
(73831, '1k7wA01', NULL, NULL, 137, NULL, NULL, 22092),
(73832, '3c8tA01', NULL, NULL, 102, NULL, NULL, 22092),
(73833, '4admA01', NULL, NULL, 127, NULL, NULL, 22092),
(73834, '1yisA01', NULL, NULL, 104, NULL, NULL, 22092),
(73835, '2x75A01', NULL, NULL, 92, NULL, NULL, 22092),
(73836, '1vdkA01', NULL, NULL, 138, NULL, NULL, 22092),
(73837, '5uppB01', NULL, NULL, 136, NULL, NULL, 22092),
(73838, '3gtdA01', NULL, NULL, 134, NULL, NULL, 22092),
(73839, '1furA01', NULL, NULL, 134, NULL, NULL, 22092),
(73840, '5eyvB01', NULL, NULL, 99, NULL, NULL, 22092),
(73841, '2o6yC01', NULL, NULL, 202, NULL, NULL, 22092),
(73842, '1i0aA01', NULL, NULL, 137, NULL, NULL, 22092),
(73843, '1dofA02', NULL, NULL, 94, NULL, NULL, 22092),
(73844, '2nynA01', NULL, NULL, 199, NULL, NULL, 22092),
(73845, '2nyfA01', NULL, NULL, 200, NULL, NULL, 22092),
(73846, '3qbpA01', NULL, NULL, 117, NULL, NULL, 22092),
(73847, '5nx8B01', NULL, NULL, 94, NULL, NULL, 22092),
(73848, '2e9fB01', NULL, NULL, 108, NULL, NULL, 22092),
(73849, '5xnyA01', NULL, NULL, 107, NULL, NULL, 22092),
(73850, '4hgvA01', NULL, NULL, 134, NULL, NULL, 22092),
(73851, '3tv2A01', NULL, NULL, 134, NULL, NULL, 22092),
(73852, '3rd8A01', NULL, NULL, 127, NULL, NULL, 22092),
(73853, '4nslA01', NULL, NULL, 131, NULL, NULL, 22092),
(73854, '5vkwA01', NULL, NULL, 97, NULL, NULL, 22092),
(73855, '3bhgA01', NULL, NULL, 120, NULL, NULL, 22092),
(73856, '4v2qB01', NULL, NULL, 223, NULL, NULL, 22092),
(73857, '3r6qA01', NULL, NULL, 134, NULL, NULL, 22092),
(73858, '2pfmA01', NULL, NULL, 103, NULL, NULL, 22092),
(73859, '1y2mD01', NULL, NULL, 246, NULL, NULL, 22092),
(73860, '4efcA01', NULL, NULL, 133, NULL, NULL, 22092),
(73861, '3nb0A03', NULL, NULL, 90, NULL, NULL, 22093),
(73862, '1igqB00', NULL, NULL, 62, NULL, NULL, 22094),
(73863, '2af5A02', NULL, NULL, 138, NULL, NULL, 22095),
(73864, '1rjlC00', NULL, NULL, 95, NULL, NULL, 22095),
(73865, '2hkdA02', NULL, NULL, 138, NULL, NULL, 22095),
(73866, '1p4pA00', NULL, NULL, 145, NULL, NULL, 22095),
(73867, '2ol7A02', NULL, NULL, 146, NULL, NULL, 22095),
(73868, '3ckfA02', NULL, NULL, 147, NULL, NULL, 22095),
(73869, '2fkjA02', NULL, NULL, 181, NULL, NULL, 22095),
(73870, '2oy7A02', NULL, NULL, 139, NULL, NULL, 22095),
(73871, '3ec5A02', NULL, NULL, 139, NULL, NULL, 22095),
(73872, '2oy7A03', NULL, NULL, 99, NULL, NULL, 22095),
(73873, '2i5vO02', NULL, NULL, 146, NULL, NULL, 22095),
(73874, '4afkA00', NULL, NULL, 458, NULL, NULL, 22096),
(73875, '3o8oB03', NULL, NULL, 227, NULL, NULL, 22097),
(73876, '3o8oF01', NULL, NULL, 227, NULL, NULL, 22097),
(73877, '4jemA00', NULL, NULL, 170, NULL, NULL, 22097),
(73878, '4wl0A01', NULL, NULL, 216, NULL, NULL, 22097),
(73879, '1f8yA00', NULL, NULL, 157, NULL, NULL, 22097),
(73880, '3bq9A02', NULL, NULL, 334, NULL, NULL, 22097),
(73881, '2higA02', NULL, NULL, 192, NULL, NULL, 22097),
(73882, '4p5eA00', NULL, NULL, 152, NULL, NULL, 22097),
(73883, '1t35G00', NULL, NULL, 191, NULL, NULL, 22097),
(73884, '1t35E00', NULL, NULL, 191, NULL, NULL, 22097),
(73885, '5ajtA00', NULL, NULL, 217, NULL, NULL, 22097),
(73886, '3opyA02', NULL, NULL, 224, NULL, NULL, 22097),
(73887, '4ljrA00', NULL, NULL, 221, NULL, NULL, 22097),
(73888, '1wekC01', NULL, NULL, 203, NULL, NULL, 22097);
INSERT INTO "PUBLIC"."MODEL" VALUES
(73889, '5zbjA00', NULL, NULL, 186, NULL, NULL, 22097),
(73890, '4a3sA01', NULL, NULL, 188, NULL, NULL, 22097),
(73891, '2iz6A00', NULL, NULL, 176, NULL, NULL, 22097),
(73892, '5xz7A01', NULL, NULL, 189, NULL, NULL, 22097),
(73893, '1ydhA00', NULL, NULL, 188, NULL, NULL, 22097),
(73894, '1zxxA01', NULL, NULL, 181, NULL, NULL, 22097),
(73895, '3opyB04', NULL, NULL, 231, NULL, NULL, 22097),
(73896, '3ehdA00', NULL, NULL, 162, NULL, NULL, 22097),
(73897, '1s2gB00', NULL, NULL, 167, NULL, NULL, 22097),
(73898, '1t35C00', NULL, NULL, 191, NULL, NULL, 22097),
(73899, '1t35A00', NULL, NULL, 191, NULL, NULL, 22097),
(73900, '1wehA00', NULL, NULL, 171, NULL, NULL, 22097),
(73901, '3majA01', NULL, NULL, 305, NULL, NULL, 22097),
(73902, '4i7eA01', NULL, NULL, 188, NULL, NULL, 22097),
(73903, '3o8lA03', NULL, NULL, 216, NULL, NULL, 22097),
(73904, '3hnoA01', NULL, NULL, 230, NULL, NULL, 22097),
(73905, '3o8lA01', NULL, NULL, 238, NULL, NULL, 22097),
(73906, '3o8oA03', NULL, NULL, 237, NULL, NULL, 22097),
(73907, '5zblA00', NULL, NULL, 203, NULL, NULL, 22097),
(73908, '2f62A00', NULL, NULL, 161, NULL, NULL, 22097),
(73909, '1t35H00', NULL, NULL, 191, NULL, NULL, 22097),
(73910, '1t35F00', NULL, NULL, 191, NULL, NULL, 22097),
(73911, '1rcuA00', NULL, NULL, 172, NULL, NULL, 22097),
(73912, '6gflB02', NULL, NULL, 317, NULL, NULL, 22097),
(73913, '4mcjG00', NULL, NULL, 154, NULL, NULL, 22097),
(73914, '2nx2A00', NULL, NULL, 181, NULL, NULL, 22097),
(73915, '6qaiA00', NULL, NULL, 156, NULL, NULL, 22097),
(73916, '3opyB02', NULL, NULL, 226, NULL, NULL, 22097),
(73917, '2khzA00', NULL, NULL, 165, NULL, NULL, 22097),
(73918, '3quaA00', NULL, NULL, 179, NULL, NULL, 22097),
(73919, '4kxlD00', NULL, NULL, 152, NULL, NULL, 22097),
(73920, '3o8oA01', NULL, NULL, 228, NULL, NULL, 22097),
(73921, '1pfkA01', NULL, NULL, 189, NULL, NULL, 22097),
(73922, '3k2qA01', NULL, NULL, 231, NULL, NULL, 22097),
(73923, '3uqzB00', NULL, NULL, 288, NULL, NULL, 22097),
(73924, '4jenB00', NULL, NULL, 151, NULL, NULL, 22097),
(73925, '3opyA04', NULL, NULL, 240, NULL, NULL, 22097),
(73926, '3imkA00', NULL, NULL, 158, NULL, NULL, 22097),
(73927, '4u1rB03', NULL, NULL, 216, NULL, NULL, 22097),
(73928, '5wq3B01', NULL, NULL, 218, NULL, NULL, 22097),
(73929, '1t35D00', NULL, NULL, 191, NULL, NULL, 22097),
(73930, '1t35B00', NULL, NULL, 191, NULL, NULL, 22097),
(73931, '2a33A00', NULL, NULL, 190, NULL, NULL, 22097),
(73932, '2f48A01', NULL, NULL, 285, NULL, NULL, 22097),
(73933, '3gh1A02', NULL, NULL, 330, NULL, NULL, 22097),
(73934, '5vtoA00', NULL, NULL, 163, NULL, NULL, 22097),
(73935, '3sbxA00', NULL, NULL, 189, NULL, NULL, 22097),
(73936, '2dy4B04', NULL, NULL, 104, NULL, NULL, 22098),
(73937, '1s5jA04', NULL, NULL, 61, NULL, NULL, 22098),
(73938, '3kd1E04', NULL, NULL, 104, NULL, NULL, 22098),
(73939, '5omvA04', NULL, NULL, 53, NULL, NULL, 22098),
(73940, '1d5aA04', NULL, NULL, 53, NULL, NULL, 22098),
(73941, '3qexA04', NULL, NULL, 104, NULL, NULL, 22098),
(73942, '4ahcA04', NULL, NULL, 53, NULL, NULL, 22098),
(73943, '4khnB04', NULL, NULL, 73, NULL, NULL, 22098),
(73944, '4i9qA04', NULL, NULL, 55, NULL, NULL, 22098),
(73945, '3k59A06', NULL, NULL, 47, NULL, NULL, 22098),
(73946, '2py5A04', NULL, NULL, 36, NULL, NULL, 22098),
(73947, '4flwA04', NULL, NULL, 53, NULL, NULL, 22098),
(73948, '1tgoA04', NULL, NULL, 53, NULL, NULL, 22098),
(73949, '2gv9A05', NULL, NULL, 59, NULL, NULL, 22098),
(73950, '2p5oC04', NULL, NULL, 58, NULL, NULL, 22098),
(73951, '6q4tA04', NULL, NULL, 53, NULL, NULL, 22098),
(73952, '5h12A04', NULL, NULL, 53, NULL, NULL, 22098),
(73953, '4fvmA06', NULL, NULL, 48, NULL, NULL, 22098),
(73954, '3mhsB00', NULL, NULL, 96, NULL, NULL, 22099),
(73955, '4dhxB00', NULL, NULL, 101, NULL, NULL, 22099),
(73956, '5nwgH00', NULL, NULL, 49, NULL, NULL, 22100),
(73957, '3nymA00', NULL, NULL, 128, NULL, NULL, 22101),
(73958, '3nymB00', NULL, NULL, 128, NULL, NULL, 22101),
(73959, '2jpfA01', NULL, NULL, 87, NULL, NULL, 22102),
(73960, '6bogA07', NULL, NULL, 78, NULL, NULL, 22103),
(73961, '1zb9A02', NULL, NULL, 95, NULL, NULL, 22104);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(73962, '2pn2A00', NULL, NULL, 155, NULL, NULL, 22104),
(73963, '3cjeA00', NULL, NULL, 167, NULL, NULL, 22104),
(73964, '1vs5C01', NULL, NULL, 91, NULL, NULL, 22104),
(73965, '2kzfA00', NULL, NULL, 106, NULL, NULL, 22104),
(73966, '4mh4A02', NULL, NULL, 94, NULL, NULL, 22104),
(73967, '1hh2P03', NULL, NULL, 79, NULL, NULL, 22104),
(73968, '1hh2P04', NULL, NULL, 68, NULL, NULL, 22104),
(73969, '2jmpA01', NULL, NULL, 94, NULL, NULL, 22104),
(73970, '3ievA02', NULL, NULL, 116, NULL, NULL, 22104),
(73971, '2xzmC01', NULL, NULL, 95, NULL, NULL, 22104),
(73972, '2ycbA02', NULL, NULL, 71, NULL, NULL, 22104),
(73973, '2bjoA02', NULL, NULL, 94, NULL, NULL, 22104),
(73974, '1wh9A01', NULL, NULL, 82, NULL, NULL, 22104),
(73975, '3eerA02', NULL, NULL, 97, NULL, NULL, 22104),
(73976, '1josA00', NULL, NULL, 106, NULL, NULL, 22104),
(73977, '3jamD01', NULL, NULL, 92, NULL, NULL, 22104),
(73978, '1qwiA00', NULL, NULL, 143, NULL, NULL, 22104),
(73979, '1kkgA00', NULL, NULL, 108, NULL, NULL, 22104),
(73980, '1pa4A00', NULL, NULL, 116, NULL, NULL, 22104),
(73981, '4dcuA03', NULL, NULL, 84, NULL, NULL, 22104),
(73982, '6mjnC02', NULL, NULL, 96, NULL, NULL, 22104),
(73983, '2e8eA00', NULL, NULL, 132, NULL, NULL, 22104),
(73984, '2pt7G01', NULL, NULL, 80, NULL, NULL, 22104),
(73985, '2asbA03', NULL, NULL, 72, NULL, NULL, 22104),
(73986, '2asbA02', NULL, NULL, 79, NULL, NULL, 22104),
(73987, '2ql8A00', NULL, NULL, 143, NULL, NULL, 22104),
(73988, '2xr1A02', NULL, NULL, 71, NULL, NULL, 22104),
(73989, '5o5jC01', NULL, NULL, 90, NULL, NULL, 22104),
(73990, '1ml8A02', NULL, NULL, 100, NULL, NULL, 22104),
(73991, '4bszA01', NULL, NULL, 95, NULL, NULL, 22104),
(73992, '6az1C01', NULL, NULL, 91, NULL, NULL, 22104),
(73993, '2d7vB00', NULL, NULL, 162, NULL, NULL, 22104),
(73994, '1lqlA02', NULL, NULL, 103, NULL, NULL, 22104),
(73995, '2egtA02', NULL, NULL, 100, NULL, NULL, 22104),
(73996, '2vqeC01', NULL, NULL, 91, NULL, NULL, 22104),
(73997, '2cxcA01', NULL, NULL, 75, NULL, NULL, 22104),
(73998, '1egaA02', NULL, NULL, 106, NULL, NULL, 22104),
(73999, '1mkyA03', NULL, NULL, 90, NULL, NULL, 22104),
(74000, '2cxcA02', NULL, NULL, 69, NULL, NULL, 22104),
(74001, '2oplB01', NULL, NULL, 175, NULL, NULL, 22104),
(74002, '2e7gA01', NULL, NULL, 106, NULL, NULL, 22104),
(74003, '3af5A02', NULL, NULL, 71, NULL, NULL, 22104),
(74004, '1vlaD02', NULL, NULL, 102, NULL, NULL, 22104),
(74005, '1uspA02', NULL, NULL, 95, NULL, NULL, 22104),
(74006, '5optm01', NULL, NULL, 91, NULL, NULL, 22104),
(74007, '1n2fA02', NULL, NULL, 95, NULL, NULL, 22104),
(74008, '5xxuD01', NULL, NULL, 94, NULL, NULL, 22104),
(74009, '1wf3A02', NULL, NULL, 117, NULL, NULL, 22104),
(74010, '4mtnA03', NULL, NULL, 79, NULL, NULL, 22104),
(74011, '2dyjA00', NULL, NULL, 95, NULL, NULL, 22104),
(74012, '5flxD01', NULL, NULL, 92, NULL, NULL, 22104),
(74013, '6d9nA02', NULL, NULL, 96, NULL, NULL, 22104),
(74014, '1ukkA00', NULL, NULL, 142, NULL, NULL, 22104),
(74015, '4nozA02', NULL, NULL, 94, NULL, NULL, 22104),
(74016, '2onfA01', NULL, NULL, 134, NULL, NULL, 22104),
(74017, '5xyiD01', NULL, NULL, 93, NULL, NULL, 22104),
(74018, '3gkuC02', NULL, NULL, 89, NULL, NULL, 22104),
(74019, '3c8vA01', NULL, NULL, 60, NULL, NULL, 22105),
(74020, '6g6iA00', NULL, NULL, 108, NULL, NULL, 22106),
(74021, '3h90A02', NULL, NULL, 84, NULL, NULL, 22106),
(74022, '3w5xA00', NULL, NULL, 81, NULL, NULL, 22106),
(74023, '2zztA00', NULL, NULL, 87, NULL, NULL, 22106),
(74024, '6g5eA00', NULL, NULL, 82, NULL, NULL, 22106),
(74025, '3bypA00', NULL, NULL, 94, NULL, NULL, 22106),
(74026, '19hcA01', NULL, NULL, 155, NULL, NULL, 22107),
(74027, '1j0pA00', NULL, NULL, 108, NULL, NULL, 22107),
(74028, '2cthA00', NULL, NULL, 107, NULL, NULL, 22107),
(74029, '1hh5A00', NULL, NULL, 68, NULL, NULL, 22107),
(74030, '2e84A04', NULL, NULL, 125, NULL, NULL, 22107),
(74031, '1os6A00', NULL, NULL, 71, NULL, NULL, 22107),
(74032, '1up9A00', NULL, NULL, 107, NULL, NULL, 22107),
(74033, '2e84A02', NULL, NULL, 112, NULL, NULL, 22107),
(74034, '2e84A03', NULL, NULL, 157, NULL, NULL, 22107),
(74035, '1h29B04', NULL, NULL, 125, NULL, NULL, 22107);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(74036, '2e84A01', NULL, NULL, 120, NULL, NULL, 22107),
(74037, '1h29D03', NULL, NULL, 151, NULL, NULL, 22107),
(74038, '2bq4A00', NULL, NULL, 116, NULL, NULL, 22107),
(74039, '3h33A00', NULL, NULL, 75, NULL, NULL, 22107),
(74040, '3caoA00', NULL, NULL, 103, NULL, NULL, 22107),
(74041, '1i77A00', NULL, NULL, 107, NULL, NULL, 22107),
(74042, '1czjA00', NULL, NULL, 111, NULL, NULL, 22107),
(74043, '1rwjA00', NULL, NULL, 82, NULL, NULL, 22107),
(74044, '3bxuA00', NULL, NULL, 71, NULL, NULL, 22107),
(74045, '1gyoA00', NULL, NULL, 109, NULL, NULL, 22107),
(74046, '2a3mA00', NULL, NULL, 107, NULL, NULL, 22107),
(74047, '3ouqA01', NULL, NULL, 83, NULL, NULL, 22107),
(74048, '3ouqA02', NULL, NULL, 78, NULL, NULL, 22107),
(74049, '2cvcA01', NULL, NULL, 102, NULL, NULL, 22107),
(74050, '1z1nX04', NULL, NULL, 166, NULL, NULL, 22107),
(74051, '1duwA01', NULL, NULL, 155, NULL, NULL, 22107),
(74052, '3oueA02', NULL, NULL, 76, NULL, NULL, 22107),
(74053, '2cvcA02', NULL, NULL, 109, NULL, NULL, 22107),
(74054, '1z1nX02', NULL, NULL, 119, NULL, NULL, 22107),
(74055, '2cvcA03', NULL, NULL, 114, NULL, NULL, 22107),
(74056, '1z1nX03', NULL, NULL, 117, NULL, NULL, 22107),
(74057, '2cvcA04', NULL, NULL, 161, NULL, NULL, 22107),
(74058, '1duwA02', NULL, NULL, 137, NULL, NULL, 22107),
(74059, '1z1nX01', NULL, NULL, 99, NULL, NULL, 22107),
(74060, '3h34A00', NULL, NULL, 70, NULL, NULL, 22107),
(74061, '3h4nB00', NULL, NULL, 72, NULL, NULL, 22107),
(74062, '1ofwA02', NULL, NULL, 137, NULL, NULL, 22107),
(74063, '1ofwA01', NULL, NULL, 155, NULL, NULL, 22107),
(74064, '19hcA02', NULL, NULL, 137, NULL, NULL, 22107),
(74065, '2cy3A00', NULL, NULL, 118, NULL, NULL, 22107),
(74066, '1wadA00', NULL, NULL, 112, NULL, NULL, 22107),
(74067, '3akoD00', NULL, NULL, 93, NULL, NULL, 22108),
(74068, '2hoxA01', NULL, NULL, 100, NULL, NULL, 22109),
(74069, '3rx6A00', NULL, NULL, 190, NULL, NULL, 22110),
(74070, '1k04A01', NULL, NULL, 38, NULL, NULL, 22111),
(74071, '2h88C01', NULL, NULL, 32, NULL, NULL, 22111),
(74072, '1pv3A01', NULL, NULL, 38, NULL, NULL, 22111),
(74073, '1ow6A01', NULL, NULL, 30, NULL, NULL, 22111),
(74074, '1zoyC01', NULL, NULL, 32, NULL, NULL, 22111),
(74075, '2g3aA01', NULL, NULL, 31, NULL, NULL, 22111),
(74076, '1e8rA00', NULL, NULL, 50, NULL, NULL, 22112),
(74077, '3canA00', NULL, NULL, 182, NULL, NULL, 22113),
(74078, '1elkA00', NULL, NULL, 157, NULL, NULL, 22114),
(74079, '5m9dA00', NULL, NULL, 142, NULL, NULL, 22114),
(74080, '3cljA00', NULL, NULL, 157, NULL, NULL, 22114),
(74081, '1mhqA00', NULL, NULL, 148, NULL, NULL, 22114),
(74082, '4gzcA00', NULL, NULL, 135, NULL, NULL, 22114),
(74083, '3zyqA01', NULL, NULL, 155, NULL, NULL, 22114),
(74084, '3onkA00', NULL, NULL, 150, NULL, NULL, 22114),
(74085, '3ldzA00', NULL, NULL, 140, NULL, NULL, 22114),
(74086, '5cmyA00', NULL, NULL, 170, NULL, NULL, 22114),
(74087, '1inzA00', NULL, NULL, 148, NULL, NULL, 22114),
(74088, '4nacA00', NULL, NULL, 139, NULL, NULL, 22114),
(74089, '3g2sB00', NULL, NULL, 149, NULL, NULL, 22114),
(74090, '1eduA00', NULL, NULL, 149, NULL, NULL, 22114),
(74091, '3zylA01', NULL, NULL, 153, NULL, NULL, 22114),
(74092, '1x5bA01', NULL, NULL, 135, NULL, NULL, 22114),
(74093, '1vdyA00', NULL, NULL, 140, NULL, NULL, 22114),
(74094, '1sz9C00', NULL, NULL, 144, NULL, NULL, 22114),
(74095, '4flbA00', NULL, NULL, 144, NULL, NULL, 22114),
(74096, '1xgwA00', NULL, NULL, 149, NULL, NULL, 22114),
(74097, '5uccA00', NULL, NULL, 155, NULL, NULL, 22114),
(74098, '1hx8A01', NULL, NULL, 121, NULL, NULL, 22114),
(74099, '5lozA00', NULL, NULL, 137, NULL, NULL, 22114),
(74100, '3d9jB00', NULL, NULL, 145, NULL, NULL, 22114),
(74101, '1juqC00', NULL, NULL, 171, NULL, NULL, 22114),
(74102, '5mdtA00', NULL, NULL, 162, NULL, NULL, 22114),
(74103, '2bf0X00', NULL, NULL, 143, NULL, NULL, 22114),
(74104, '2diwA01', NULL, NULL, 141, NULL, NULL, 22114),
(74105, '4jxtA00', NULL, NULL, 138, NULL, NULL, 22114),
(74106, '4q94A00', NULL, NULL, 135, NULL, NULL, 22114),
(74107, '1eyhA00', NULL, NULL, 144, NULL, NULL, 22114),
(74108, '5lp0A00', NULL, NULL, 145, NULL, NULL, 22114);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(74109, '1dvpA01', NULL, NULL, 140, NULL, NULL, 22114),
(74110, '3rruA00', NULL, NULL, 152, NULL, NULL, 22114),
(74111, '1h6uA01', NULL, NULL, 43, NULL, NULL, 22115),
(74112, '4aw4A01', NULL, NULL, 46, NULL, NULL, 22115),
(74113, '2psoB01', NULL, NULL, 20, NULL, NULL, 22116),
(74114, '4mzgB00', NULL, NULL, 222, NULL, NULL, 22117),
(74115, '4uy4A00', NULL, NULL, 216, NULL, NULL, 22117),
(74116, '1ivzA00', NULL, NULL, 132, NULL, NULL, 22118),
(74117, '2e7vA01', NULL, NULL, 110, NULL, NULL, 22118),
(74118, '3fbiD00', NULL, NULL, 94, NULL, NULL, 22119),
(74119, '5n9jR00', NULL, NULL, 104, NULL, NULL, 22119),
(74120, '1vs9W00', NULL, NULL, 67, NULL, NULL, 22120),
(74121, '1vwxh01', NULL, NULL, 77, NULL, NULL, 22120),
(74122, '1vx7301', NULL, NULL, 76, NULL, NULL, 22120),
(74123, '1vs8X00', NULL, NULL, 63, NULL, NULL, 22120),
(74124, '4a17U01', NULL, NULL, 78, NULL, NULL, 22120),
(74125, '5dm6V00', NULL, NULL, 66, NULL, NULL, 22120),
(74126, '4wfaV00', NULL, NULL, 69, NULL, NULL, 22120),
(74127, '3o58c00', NULL, NULL, 68, NULL, NULL, 22120),
(74128, '1vq8V00', NULL, NULL, 71, NULL, NULL, 22120),
(74129, '1r73A00', NULL, NULL, 66, NULL, NULL, 22120),
(74130, '3pyoY00', NULL, NULL, 62, NULL, NULL, 22120),
(74131, '2xdqB03', NULL, NULL, 84, NULL, NULL, 22121),
(74132, '3aekB03', NULL, NULL, 72, NULL, NULL, 22121),
(74133, '3df7A03', NULL, NULL, 41, NULL, NULL, 22122),
(74134, '1gs0A01', NULL, NULL, 135, NULL, NULL, 22123),
(74135, '4dqyC03', NULL, NULL, 108, NULL, NULL, 22123),
(74136, '3kjdA01', NULL, NULL, 154, NULL, NULL, 22123),
(74137, '4l7nA01', NULL, NULL, 147, NULL, NULL, 22123),
(74138, '1efyA01', NULL, NULL, 136, NULL, NULL, 22123),
(74139, '4r6eD01', NULL, NULL, 137, NULL, NULL, 22123),
(74140, '4zzzA01', NULL, NULL, 145, NULL, NULL, 22123),
(74141, '4zzxA01', NULL, NULL, 145, NULL, NULL, 22123),
(74142, '2i5eA02', NULL, NULL, 43, NULL, NULL, 22124),
(74143, '3vx8A01', NULL, NULL, 145, NULL, NULL, 22125),
(74144, '4mloA02', NULL, NULL, 47, NULL, NULL, 22126),
(74145, '3rf1A02', NULL, NULL, 79, NULL, NULL, 22127),
(74146, '5f5wD02', NULL, NULL, 81, NULL, NULL, 22127),
(74147, '1j5wB02', NULL, NULL, 82, NULL, NULL, 22127),
(74148, '6e3aA01', NULL, NULL, 78, NULL, NULL, 22128),
(74149, '1wfxA01', NULL, NULL, 73, NULL, NULL, 22128),
(74150, '1u3eM01', NULL, NULL, 106, NULL, NULL, 22129),
(74151, '4ne3B02', NULL, NULL, 42, NULL, NULL, 22130),
(74152, '3b0bC02', NULL, NULL, 43, NULL, NULL, 22130),
(74153, '6b3vA03', NULL, NULL, 43, NULL, NULL, 22131),
(74154, '2i7nA03', NULL, NULL, 43, NULL, NULL, 22131),
(74155, '5e26A03', NULL, NULL, 43, NULL, NULL, 22131),
(74156, '2h7oA02', NULL, NULL, 148, NULL, NULL, 22132),
(74157, '4lrtB02', NULL, NULL, 146, NULL, NULL, 22133),
(74158, '2q22A00', NULL, NULL, 139, NULL, NULL, 22133),
(74159, '3mtjA02', NULL, NULL, 178, NULL, NULL, 22133),
(74160, '6fziA02', NULL, NULL, 166, NULL, NULL, 22133),
(74161, '3wb9A02', NULL, NULL, 114, NULL, NULL, 22133),
(74162, '6bdxA02', NULL, NULL, 108, NULL, NULL, 22133),
(74163, '1nvmB02', NULL, NULL, 154, NULL, NULL, 22133),
(74164, '3c8mA02', NULL, NULL, 155, NULL, NULL, 22133),
(74165, '5eesA02', NULL, NULL, 109, NULL, NULL, 22133),
(74166, '1hdgO02', NULL, NULL, 165, NULL, NULL, 22133),
(74167, '4gqaB02', NULL, NULL, 254, NULL, NULL, 22133),
(74168, '3euwA02', NULL, NULL, 222, NULL, NULL, 22133),
(74169, '5einA02', NULL, NULL, 167, NULL, NULL, 22133),
(74170, '3evnA02', NULL, NULL, 206, NULL, NULL, 22133),
(74171, '4dplA02', NULL, NULL, 182, NULL, NULL, 22133),
(74172, '3e9mB02', NULL, NULL, 207, NULL, NULL, 22133),
(74173, '5ld5A02', NULL, NULL, 170, NULL, NULL, 22133),
(74174, '2axqA02', NULL, NULL, 171, NULL, NULL, 22133),
(74175, '1jkfA03', NULL, NULL, 60, NULL, NULL, 22133),
(74176, '6ok4A02', NULL, NULL, 166, NULL, NULL, 22133),
(74177, '1p1jA02', NULL, NULL, 115, NULL, NULL, 22133),
(74178, '6gg7A02', NULL, NULL, 165, NULL, NULL, 22133),
(74179, '3fhlA02', NULL, NULL, 222, NULL, NULL, 22133),
(74180, '3do5A02', NULL, NULL, 145, NULL, NULL, 22133),
(74181, '2hjsA02', NULL, NULL, 184, NULL, NULL, 22133),
(74182, '2nqtA02', NULL, NULL, 165, NULL, NULL, 22133);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(74183, '3e82E02', NULL, NULL, 216, NULL, NULL, 22133),
(74184, '1t4bA02', NULL, NULL, 216, NULL, NULL, 22133),
(74185, '2ep5A02', NULL, NULL, 177, NULL, NULL, 22133),
(74186, '6e08L02', NULL, NULL, 295, NULL, NULL, 22133),
(74187, '1obfO02', NULL, NULL, 164, NULL, NULL, 22133),
(74188, '2vynD02', NULL, NULL, 167, NULL, NULL, 22133),
(74189, '1ys4A02', NULL, NULL, 176, NULL, NULL, 22133),
(74190, '3tz6A02', NULL, NULL, 198, NULL, NULL, 22133),
(74191, '4lsmA02', NULL, NULL, 166, NULL, NULL, 22133),
(74192, '3b1jA02', NULL, NULL, 165, NULL, NULL, 22133),
(74193, '2p2sA02', NULL, NULL, 196, NULL, NULL, 22133),
(74194, '1dpgA02', NULL, NULL, 309, NULL, NULL, 22133),
(74195, '3pymA02', NULL, NULL, 166, NULL, NULL, 22133),
(74196, '4k9dA02', NULL, NULL, 167, NULL, NULL, 22133),
(74197, '3qvsA02', NULL, NULL, 101, NULL, NULL, 22133),
(74198, '3e18A02', NULL, NULL, 221, NULL, NULL, 22133),
(74199, '2x5kP02', NULL, NULL, 165, NULL, NULL, 22133),
(74200, '3qy9A02', NULL, NULL, 105, NULL, NULL, 22133),
(74201, '4ew6A02', NULL, NULL, 192, NULL, NULL, 22133),
(74202, '3dtyB02', NULL, NULL, 211, NULL, NULL, 22133),
(74203, '2h63D02', NULL, NULL, 151, NULL, NULL, 22133),
(74204, '3m2tA02', NULL, NULL, 152, NULL, NULL, 22133),
(74205, '3ijpA02', NULL, NULL, 108, NULL, NULL, 22133),
(74206, '1vm6A02', NULL, NULL, 83, NULL, NULL, 22133),
(74207, '2yv3A02', NULL, NULL, 189, NULL, NULL, 22133),
(74208, '4koaA02', NULL, NULL, 211, NULL, NULL, 22133),
(74209, '3ec7A02', NULL, NULL, 122, NULL, NULL, 22133),
(74210, '3db2B02', NULL, NULL, 212, NULL, NULL, 22133),
(74211, '2r00C02', NULL, NULL, 187, NULL, NULL, 22133),
(74212, '3lvfO02', NULL, NULL, 167, NULL, NULL, 22133),
(74213, '2cvoA02', NULL, NULL, 167, NULL, NULL, 22133),
(74214, '1u8fO02', NULL, NULL, 167, NULL, NULL, 22133),
(74215, '5loaA02', NULL, NULL, 138, NULL, NULL, 22133),
(74216, '2glxA02', NULL, NULL, 211, NULL, NULL, 22133),
(74217, '4wojA02', NULL, NULL, 212, NULL, NULL, 22133),
(74218, '4h3vB02', NULL, NULL, 250, NULL, NULL, 22133),
(74219, '4hadB02', NULL, NULL, 208, NULL, NULL, 22133),
(74220, '2g17A02', NULL, NULL, 160, NULL, NULL, 22133),
(74221, '3cmcO02', NULL, NULL, 165, NULL, NULL, 22133),
(74222, '5o1pA02', NULL, NULL, 174, NULL, NULL, 22133),
(74223, '3ceaC02', NULL, NULL, 192, NULL, NULL, 22133),
(74224, '1b7gO02', NULL, NULL, 184, NULL, NULL, 22133),
(74225, '1p9lA02', NULL, NULL, 107, NULL, NULL, 22133),
(74226, '4xb1A02', NULL, NULL, 134, NULL, NULL, 22133),
(74227, '3u3xA02', NULL, NULL, 199, NULL, NULL, 22133),
(74228, '4ywjA02', NULL, NULL, 108, NULL, NULL, 22133),
(74229, '3v5nD02', NULL, NULL, 206, NULL, NULL, 22133),
(74230, '1vkoA02', NULL, NULL, 113, NULL, NULL, 22133),
(74231, '2ejwA02', NULL, NULL, 149, NULL, NULL, 22133),
(74232, '3mz0A02', NULL, NULL, 123, NULL, NULL, 22133),
(74233, '4p8rA02', NULL, NULL, 166, NULL, NULL, 22133),
(74234, '3f4lA02', NULL, NULL, 223, NULL, NULL, 22133),
(74235, '6bacA02', NULL, NULL, 217, NULL, NULL, 22133),
(74236, '3ohsX02', NULL, NULL, 212, NULL, NULL, 22133),
(74237, '1ydwA02', NULL, NULL, 229, NULL, NULL, 22133),
(74238, '4rl6B02', NULL, NULL, 197, NULL, NULL, 22133),
(74239, '4pg7B02', NULL, NULL, 175, NULL, NULL, 22133),
(74240, '3docA02', NULL, NULL, 165, NULL, NULL, 22133),
(74241, '1xeaA02', NULL, NULL, 203, NULL, NULL, 22133),
(74242, '4miyA02', NULL, NULL, 125, NULL, NULL, 22133),
(74243, '3wgqA02', NULL, NULL, 140, NULL, NULL, 22133),
(74244, '6iqmA02', NULL, NULL, 168, NULL, NULL, 22133),
(74245, '5jw6A02', NULL, NULL, 186, NULL, NULL, 22133),
(74246, '1zh8A02', NULL, NULL, 182, NULL, NULL, 22133),
(74247, '5vmtA02', NULL, NULL, 166, NULL, NULL, 22133),
(74248, '1xygA02', NULL, NULL, 167, NULL, NULL, 22133),
(74249, '5temA02', NULL, NULL, 108, NULL, NULL, 22133),
(74250, '2pkqO02', NULL, NULL, 166, NULL, NULL, 22133),
(74251, '1dssG02', NULL, NULL, 166, NULL, NULL, 22133),
(74252, '3o9zD02', NULL, NULL, 180, NULL, NULL, 22133),
(74253, '6dfzA02', NULL, NULL, 167, NULL, NULL, 22133),
(74254, '4jn6B02', NULL, NULL, 146, NULL, NULL, 22133),
(74255, '1ff9A02', NULL, NULL, 178, NULL, NULL, 22133);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(74256, '3qv1A02', NULL, NULL, 165, NULL, NULL, 22133),
(74257, '3c1aA02', NULL, NULL, 145, NULL, NULL, 22133),
(74258, '2ixaA02', NULL, NULL, 257, NULL, NULL, 22133),
(74259, '3dr3A02', NULL, NULL, 160, NULL, NULL, 22133),
(74260, '6nlxA02', NULL, NULL, 167, NULL, NULL, 22133),
(74261, '4hktA02', NULL, NULL, 211, NULL, NULL, 22133),
(74262, '2g82A02', NULL, NULL, 164, NULL, NULL, 22133),
(74263, '1ebfA02', NULL, NULL, 175, NULL, NULL, 22133),
(74264, '4z0hO02', NULL, NULL, 166, NULL, NULL, 22133),
(74265, '3ingA02', NULL, NULL, 153, NULL, NULL, 22133),
(74266, '5j9gA02', NULL, NULL, 166, NULL, NULL, 22133),
(74267, '1j5pA02', NULL, NULL, 103, NULL, NULL, 22133),
(74268, '1gr0A02', NULL, NULL, 110, NULL, NULL, 22133),
(74269, '4o59O02', NULL, NULL, 167, NULL, NULL, 22133),
(74270, '1gadO02', NULL, NULL, 166, NULL, NULL, 22133),
(74271, '6fzhA02', NULL, NULL, 166, NULL, NULL, 22133),
(74272, '3btvA02', NULL, NULL, 235, NULL, NULL, 22133),
(74273, '3moiA02', NULL, NULL, 206, NULL, NULL, 22133),
(74274, '2czcA02', NULL, NULL, 162, NULL, NULL, 22133),
(74275, '3pzrA02', NULL, NULL, 217, NULL, NULL, 22133),
(74276, '5aq1A02', NULL, NULL, 279, NULL, NULL, 22133),
(74277, '3l0dA02', NULL, NULL, 165, NULL, NULL, 22133),
(74278, '2x0nA02', NULL, NULL, 171, NULL, NULL, 22133),
(74279, '3uuwB02', NULL, NULL, 185, NULL, NULL, 22133),
(74280, '3uw3A02', NULL, NULL, 221, NULL, NULL, 22133),
(74281, '5m6dA02', NULL, NULL, 166, NULL, NULL, 22133),
(74282, '3hjaA02', NULL, NULL, 167, NULL, NULL, 22133),
(74283, '3q2kA02', NULL, NULL, 161, NULL, NULL, 22133),
(74284, '3i23A02', NULL, NULL, 227, NULL, NULL, 22133),
(74285, '3gnqA02', NULL, NULL, 164, NULL, NULL, 22133),
(74286, '3ezyC02', NULL, NULL, 223, NULL, NULL, 22133),
(74287, '3abiB02', NULL, NULL, 177, NULL, NULL, 22133),
(74288, '5y37A02', NULL, NULL, 166, NULL, NULL, 22133),
(74289, '6c85A02', NULL, NULL, 185, NULL, NULL, 22133),
(74290, '3bioB02', NULL, NULL, 114, NULL, NULL, 22133),
(74291, '1dihA02', NULL, NULL, 108, NULL, NULL, 22133),
(74292, '3cpsA02', NULL, NULL, 169, NULL, NULL, 22133),
(74293, '4pg7A02', NULL, NULL, 177, NULL, NULL, 22133),
(74294, '3sthA02', NULL, NULL, 170, NULL, NULL, 22133),
(74295, '4r3nA02', NULL, NULL, 200, NULL, NULL, 22133),
(74296, '3rc2A02', NULL, NULL, 199, NULL, NULL, 22133),
(74297, '2nvwA02', NULL, NULL, 214, NULL, NULL, 22133),
(74298, '1cf2O02', NULL, NULL, 165, NULL, NULL, 22133),
(74299, '2dc1A02', NULL, NULL, 101, NULL, NULL, 22133),
(74300, '3hnpF02', NULL, NULL, 231, NULL, NULL, 22133),
(74301, '4dibA02', NULL, NULL, 165, NULL, NULL, 22133),
(74302, '3ip3A02', NULL, NULL, 211, NULL, NULL, 22133),
(74303, '1i32A02', NULL, NULL, 171, NULL, NULL, 22133),
(74304, '1rm4A02', NULL, NULL, 165, NULL, NULL, 22133),
(74305, '5ur0A02', NULL, NULL, 167, NULL, NULL, 22133),
(74306, '4lgvD02', NULL, NULL, 272, NULL, NULL, 22133),
(74307, '4fb5A02', NULL, NULL, 243, NULL, NULL, 22133),
(74308, '3oqbH02', NULL, NULL, 242, NULL, NULL, 22133),
(74309, '3gdoA02', NULL, NULL, 218, NULL, NULL, 22133),
(74310, '1tltA02', NULL, NULL, 197, NULL, NULL, 22133),
(74311, '2ep7A02', NULL, NULL, 172, NULL, NULL, 22133),
(74312, '1lc0A02', NULL, NULL, 151, NULL, NULL, 22133),
(74313, '6dzsA02', NULL, NULL, 182, NULL, NULL, 22133),
(74314, '5a04A02', NULL, NULL, 173, NULL, NULL, 22133),
(74315, '3oa2A02', NULL, NULL, 185, NULL, NULL, 22133),
(74316, '6jnjA02', NULL, NULL, 192, NULL, NULL, 22133),
(74317, '5c7iO02', NULL, NULL, 167, NULL, NULL, 22133),
(74318, '5kvsA02', NULL, NULL, 162, NULL, NULL, 22133),
(74319, '5gz3A02', NULL, NULL, 140, NULL, NULL, 22133),
(74320, '4ydrA02', NULL, NULL, 137, NULL, NULL, 22133),
(74321, '3cinA02', NULL, NULL, 104, NULL, NULL, 22133),
(74322, '2b4rO02', NULL, NULL, 169, NULL, NULL, 22133),
(74323, '3q2iA02', NULL, NULL, 162, NULL, NULL, 22133),
(74324, '5cefA02', NULL, NULL, 186, NULL, NULL, 22133),
(74325, '3hskA02', NULL, NULL, 187, NULL, NULL, 22133),
(74326, '1h6dA02', NULL, NULL, 190, NULL, NULL, 22133),
(74327, '2yyyA02', NULL, NULL, 168, NULL, NULL, 22133),
(74328, '4zhsA02', NULL, NULL, 185, NULL, NULL, 22133);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(74329, '4iq0C02', NULL, NULL, 198, NULL, NULL, 22133),
(74330, '6a3gA02', NULL, NULL, 255, NULL, NULL, 22133),
(74331, '4f3yA02', NULL, NULL, 108, NULL, NULL, 22133),
(74332, '3kuxA02', NULL, NULL, 204, NULL, NULL, 22133),
(74333, '4inaA02', NULL, NULL, 197, NULL, NULL, 22133),
(74334, '1vknA02', NULL, NULL, 165, NULL, NULL, 22133),
(74335, '3gpdG02', NULL, NULL, 164, NULL, NULL, 22133),
(74336, '5bntA02', NULL, NULL, 217, NULL, NULL, 22133),
(74337, '3h9eO02', NULL, NULL, 167, NULL, NULL, 22133),
(74338, '4mkzA02', NULL, NULL, 193, NULL, NULL, 22133),
(74339, '5yapD02', NULL, NULL, 249, NULL, NULL, 22133),
(74340, '3v1yA02', NULL, NULL, 166, NULL, NULL, 22133),
(74341, '2i5pO02', NULL, NULL, 165, NULL, NULL, 22133),
(74342, '3bioA02', NULL, NULL, 114, NULL, NULL, 22133),
(74343, '1pquA02', NULL, NULL, 218, NULL, NULL, 22133),
(74344, '4pg5A02', NULL, NULL, 180, NULL, NULL, 22133),
(74345, '3idsA02', NULL, NULL, 171, NULL, NULL, 22133),
(74346, '3r9qB02', NULL, NULL, 56, NULL, NULL, 22134),
(74347, '3r9qA02', NULL, NULL, 36, NULL, NULL, 22134),
(74348, '3qkaE02', NULL, NULL, 58, NULL, NULL, 22134),
(74349, '3l3sC02', NULL, NULL, 40, NULL, NULL, 22134),
(74350, '4qfeK02', NULL, NULL, 34, NULL, NULL, 22134),
(74351, '3l3sB02', NULL, NULL, 56, NULL, NULL, 22134),
(74352, '4z0mC02', NULL, NULL, 34, NULL, NULL, 22134),
(74353, '4z0mB02', NULL, NULL, 43, NULL, NULL, 22134),
(74354, '3qkaA02', NULL, NULL, 37, NULL, NULL, 22134),
(74355, '5os9A00', NULL, NULL, 124, NULL, NULL, 22135),
(74356, '6j9cD00', NULL, NULL, 123, NULL, NULL, 22135),
(74357, '6j9bA00', NULL, NULL, 122, NULL, NULL, 22135),
(74358, '1na6A01', NULL, NULL, 177, NULL, NULL, 22135),
(74359, '4i1kA00', NULL, NULL, 121, NULL, NULL, 22135),
(74360, '6j9aA00', NULL, NULL, 113, NULL, NULL, 22135),
(74361, '3hqfA00', NULL, NULL, 181, NULL, NULL, 22135),
(74362, '5yzzC00', NULL, NULL, 128, NULL, NULL, 22135),
(74363, '6fasA00', NULL, NULL, 119, NULL, NULL, 22135),
(74364, '1widA00', NULL, NULL, 130, NULL, NULL, 22135),
(74365, '4lduA02', NULL, NULL, 106, NULL, NULL, 22135),
(74366, '4ldvA02', NULL, NULL, 106, NULL, NULL, 22135),
(74367, '1yelA00', NULL, NULL, 104, NULL, NULL, 22135),
(74368, '2bkrA00', NULL, NULL, 212, NULL, NULL, 22136),
(74369, '2xphB00', NULL, NULL, 238, NULL, NULL, 22136),
(74370, '1th0B00', NULL, NULL, 226, NULL, NULL, 22136),
(74371, '4ekfA00', NULL, NULL, 204, NULL, NULL, 22136),
(74372, '5jp1A00', NULL, NULL, 199, NULL, NULL, 22136),
(74373, '4wx4A00', NULL, NULL, 205, NULL, NULL, 22136),
(74374, '2oa5A01', NULL, NULL, 91, NULL, NULL, 22137),
(74375, '2qtiA00', NULL, NULL, 80, NULL, NULL, 22137),
(74376, '2jrxA00', NULL, NULL, 83, NULL, NULL, 22137),
(74377, '2otaA00', NULL, NULL, 76, NULL, NULL, 22137),
(74378, '2juzA00', NULL, NULL, 80, NULL, NULL, 22137),
(74379, '2jpqA00', NULL, NULL, 83, NULL, NULL, 22137),
(74380, '4cgsB00', NULL, NULL, 173, NULL, NULL, 22138),
(74381, '3hw5B00', NULL, NULL, 202, NULL, NULL, 22138),
(74382, '4avlA00', NULL, NULL, 204, NULL, NULL, 22138),
(74383, '4cgxA00', NULL, NULL, 177, NULL, NULL, 22138),
(74384, '5jhtA00', NULL, NULL, 191, NULL, NULL, 22138),
(74385, '4nfzA00', NULL, NULL, 196, NULL, NULL, 22138),
(74386, '2bonA02', NULL, NULL, 159, NULL, NULL, 22139),
(74387, '3s40B02', NULL, NULL, 160, NULL, NULL, 22139),
(74388, '3vzbB02', NULL, NULL, 214, NULL, NULL, 22139),
(74389, '2qv7A02', NULL, NULL, 162, NULL, NULL, 22139),
(74390, '2p1rA02', NULL, NULL, 159, NULL, NULL, 22139),
(74391, '4werA02', NULL, NULL, 166, NULL, NULL, 22139),
(74392, '5nnsA00', NULL, NULL, 225, NULL, NULL, 22140),
(74393, '3ejaA00', NULL, NULL, 208, NULL, NULL, 22140),
(74394, '5achA00', NULL, NULL, 235, NULL, NULL, 22140),
(74395, '5nltA00', NULL, NULL, 224, NULL, NULL, 22140),
(74396, '3zudA00', NULL, NULL, 228, NULL, NULL, 22140),
(74397, '4b5qA00', NULL, NULL, 217, NULL, NULL, 22140),
(74398, '2vtcA00', NULL, NULL, 230, NULL, NULL, 22140),
(74399, '4fmrB01', NULL, NULL, 156, NULL, NULL, 22140),
(74400, '4maiA00', NULL, NULL, 216, NULL, NULL, 22140),
(74401, '4qi8A00', NULL, NULL, 214, NULL, NULL, 22140);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(74402, '6haqA00', NULL, NULL, 229, NULL, NULL, 22140),
(74403, '5o2xA00', NULL, NULL, 248, NULL, NULL, 22140),
(74404, '5fohA00', NULL, NULL, 223, NULL, NULL, 22140),
(74405, '5ufvA00', NULL, NULL, 238, NULL, NULL, 22140),
(74406, '4d7uA00', NULL, NULL, 227, NULL, NULL, 22140),
(74407, '4eisA00', NULL, NULL, 225, NULL, NULL, 22140),
(74408, '4eirA00', NULL, NULL, 223, NULL, NULL, 22140),
(74409, '5ee0A03', NULL, NULL, 89, NULL, NULL, 22141),
(74410, '2dbyA03', NULL, NULL, 90, NULL, NULL, 22141),
(74411, '2ohfA03', NULL, NULL, 85, NULL, NULL, 22141),
(74412, '1ni3A03', NULL, NULL, 91, NULL, NULL, 22141),
(74413, '1jalA03', NULL, NULL, 81, NULL, NULL, 22141),
(74414, '4h5bA00', NULL, NULL, 153, NULL, NULL, 22142),
(74415, '2kvlA00', NULL, NULL, 61, NULL, NULL, 22143),
(74416, '2etxA01', NULL, NULL, 111, NULL, NULL, 22144),
(74417, '3olcX02', NULL, NULL, 98, NULL, NULL, 22144),
(74418, '3olcX01', NULL, NULL, 101, NULL, NULL, 22144),
(74419, '2e2wA01', NULL, NULL, 104, NULL, NULL, 22144),
(74420, '3pa6A00', NULL, NULL, 107, NULL, NULL, 22144),
(74421, '1gzhB01', NULL, NULL, 127, NULL, NULL, 22144),
(74422, '4gnsA03', NULL, NULL, 133, NULL, NULL, 22144),
(74423, '1l7bA00', NULL, NULL, 92, NULL, NULL, 22144),
(74424, '3olcX03', NULL, NULL, 99, NULL, NULL, 22144),
(74425, '3uenA01', NULL, NULL, 96, NULL, NULL, 22144),
(74426, '3u3zA02', NULL, NULL, 89, NULL, NULL, 22144),
(74427, '3u3zA01', NULL, NULL, 97, NULL, NULL, 22144),
(74428, '3ii6X03', NULL, NULL, 104, NULL, NULL, 22144),
(74429, '2ebwA00', NULL, NULL, 97, NULL, NULL, 22144),
(74430, '1wf6A01', NULL, NULL, 118, NULL, NULL, 22144),
(74431, '1t15A01', NULL, NULL, 110, NULL, NULL, 22144),
(74432, '2le0A00', NULL, NULL, 106, NULL, NULL, 22144),
(74433, '3l46B01', NULL, NULL, 89, NULL, NULL, 22144),
(74434, '2d8mA01', NULL, NULL, 92, NULL, NULL, 22144),
(74435, '2htfA00', NULL, NULL, 105, NULL, NULL, 22144),
(74436, '3ii6X01', NULL, NULL, 105, NULL, NULL, 22144),
(74437, '4xpzA03', NULL, NULL, 91, NULL, NULL, 22144),
(74438, '2xnkA02', NULL, NULL, 98, NULL, NULL, 22144),
(74439, '2xnkC02', NULL, NULL, 98, NULL, NULL, 22144),
(74440, '3uenA02', NULL, NULL, 107, NULL, NULL, 22144),
(74441, '2k6gA00', NULL, NULL, 109, NULL, NULL, 22144),
(74442, '1cdzA00', NULL, NULL, 96, NULL, NULL, 22144),
(74443, '2coeA01', NULL, NULL, 93, NULL, NULL, 22144),
(74444, '4bmdA01', NULL, NULL, 99, NULL, NULL, 22144),
(74445, '3sqdB01', NULL, NULL, 121, NULL, NULL, 22144),
(74446, '2ep8A01', NULL, NULL, 77, NULL, NULL, 22144),
(74447, '2couA01', NULL, NULL, 89, NULL, NULL, 22144),
(74448, '4bmdA02', NULL, NULL, 105, NULL, NULL, 22144),
(74449, '3k05B02', NULL, NULL, 98, NULL, NULL, 22144),
(74450, '2xnhA02', NULL, NULL, 98, NULL, NULL, 22144),
(74451, '1l0bA02', NULL, NULL, 98, NULL, NULL, 22144),
(74452, '1l0bA01', NULL, NULL, 107, NULL, NULL, 22144),
(74453, '2l42A00', NULL, NULL, 106, NULL, NULL, 22144),
(74454, '1z56C01', NULL, NULL, 130, NULL, NULL, 22144),
(74455, '3oq4E00', NULL, NULL, 100, NULL, NULL, 22144),
(74456, '3al2A02', NULL, NULL, 105, NULL, NULL, 22144),
(74457, '3al2A01', NULL, NULL, 130, NULL, NULL, 22144),
(74458, '3pd7A00', NULL, NULL, 107, NULL, NULL, 22144),
(74459, '4igkA02', NULL, NULL, 104, NULL, NULL, 22144),
(74460, '6hm5A02', NULL, NULL, 97, NULL, NULL, 22144),
(74461, '2nteA02', NULL, NULL, 104, NULL, NULL, 22144),
(74462, '6hm5A01', NULL, NULL, 101, NULL, NULL, 22144),
(74463, '2nteA01', NULL, NULL, 100, NULL, NULL, 22144),
(74464, '3i0nA02', NULL, NULL, 101, NULL, NULL, 22144),
(74465, '2vxbA02', NULL, NULL, 93, NULL, NULL, 22144),
(74466, '2vxbA01', NULL, NULL, 148, NULL, NULL, 22144),
(74467, '2ebuA01', NULL, NULL, 74, NULL, NULL, 22144),
(74468, '2jw5A00', NULL, NULL, 106, NULL, NULL, 22144),
(74469, '3jveA00', NULL, NULL, 109, NULL, NULL, 22144),
(74470, '3pc7A00', NULL, NULL, 88, NULL, NULL, 22144),
(74471, '4bu0A02', NULL, NULL, 85, NULL, NULL, 22144),
(74472, '2xnkB02', NULL, NULL, 98, NULL, NULL, 22144),
(74473, '1dgtB07', NULL, NULL, 86, NULL, NULL, 22144),
(74474, '5umvA00', NULL, NULL, 93, NULL, NULL, 22144),
(74475, '2xnkD02', NULL, NULL, 98, NULL, NULL, 22144);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(74476, '4bu0A01', NULL, NULL, 101, NULL, NULL, 22144),
(74477, '4n40A01', NULL, NULL, 100, NULL, NULL, 22144),
(74478, '2cokA00', NULL, NULL, 113, NULL, NULL, 22144),
(74479, '4n40A02', NULL, NULL, 90, NULL, NULL, 22144),
(74480, '4n40A03', NULL, NULL, 89, NULL, NULL, 22144),
(74481, '3t7kA01', NULL, NULL, 132, NULL, NULL, 22144),
(74482, '3t7kA02', NULL, NULL, 124, NULL, NULL, 22144),
(74483, '5u6kE01', NULL, NULL, 97, NULL, NULL, 22144),
(74484, '3hufB02', NULL, NULL, 101, NULL, NULL, 22144),
(74485, '3l41A02', NULL, NULL, 113, NULL, NULL, 22144),
(74486, '3sqdA02', NULL, NULL, 98, NULL, NULL, 22144),
(74487, '3l41A01', NULL, NULL, 107, NULL, NULL, 22144),
(74488, '3qvgB00', NULL, NULL, 106, NULL, NULL, 22144),
(74489, '5u6kA02', NULL, NULL, 103, NULL, NULL, 22144),
(74490, '3pc6A00', NULL, NULL, 104, NULL, NULL, 22144),
(74491, '1gzhD02', NULL, NULL, 119, NULL, NULL, 22144),
(74492, '2wgoA00', NULL, NULL, 98, NULL, NULL, 22145),
(74493, '4ifdI01', NULL, NULL, 122, NULL, NULL, 22146),
(74494, '4oo1I01', NULL, NULL, 83, NULL, NULL, 22146),
(74495, '4l6hA01', NULL, NULL, 413, NULL, NULL, 22147),
(74496, '1j93A00', NULL, NULL, 353, NULL, NULL, 22147),
(74497, '4l6hA02', NULL, NULL, 354, NULL, NULL, 22147),
(74498, '4zr8B00', NULL, NULL, 365, NULL, NULL, 22147),
(74499, '2ejaA00', NULL, NULL, 338, NULL, NULL, 22147),
(74500, '3bq5A01', NULL, NULL, 374, NULL, NULL, 22147),
(74501, '3rpdA00', NULL, NULL, 357, NULL, NULL, 22147),
(74502, '4wshA00', NULL, NULL, 363, NULL, NULL, 22147),
(74503, '2infA00', NULL, NULL, 359, NULL, NULL, 22147),
(74504, '4ztyA02', NULL, NULL, 361, NULL, NULL, 22147),
(74505, '1t7lA02', NULL, NULL, 356, NULL, NULL, 22147),
(74506, '3cyvA00', NULL, NULL, 354, NULL, NULL, 22147),
(74507, '1u1jA01', NULL, NULL, 404, NULL, NULL, 22147),
(74508, '4ztyA01', NULL, NULL, 408, NULL, NULL, 22147),
(74509, '1u1jA02', NULL, NULL, 361, NULL, NULL, 22147),
(74510, '4ay7A00', NULL, NULL, 348, NULL, NULL, 22147),
(74511, '4exqA00', NULL, NULL, 368, NULL, NULL, 22147),
(74512, '1ypxA00', NULL, NULL, 375, NULL, NULL, 22147),
(74513, '2nq5A01', NULL, NULL, 394, NULL, NULL, 22147),
(74514, '1r3sA00', NULL, NULL, 367, NULL, NULL, 22147),
(74515, '2nq5A02', NULL, NULL, 361, NULL, NULL, 22147),
(74516, '3vkhB13', NULL, NULL, 166, NULL, NULL, 22148),
(74517, '3vkgA12', NULL, NULL, 222, NULL, NULL, 22148),
(74518, '1wdjA00', NULL, NULL, 187, NULL, NULL, 22149),
(74519, '3ot2A00', NULL, NULL, 187, NULL, NULL, 22149),
(74520, '2aplA01', NULL, NULL, 69, NULL, NULL, 22150),
(74521, '2kz6A01', NULL, NULL, 83, NULL, NULL, 22151),
(74522, '3v5uA02', NULL, NULL, 221, NULL, NULL, 22152),
(74523, '3nrlA00', NULL, NULL, 81, NULL, NULL, 22153),
(74524, '4fczA00', NULL, NULL, 183, NULL, NULL, 22154),
(74525, '4v19F00', NULL, NULL, 250, NULL, NULL, 22155),
(74526, '1vw3D00', NULL, NULL, 256, NULL, NULL, 22155),
(74527, '1vx7F01', NULL, NULL, 303, NULL, NULL, 22155),
(74528, '1dmgA00', NULL, NULL, 172, NULL, NULL, 22155),
(74529, '5dm7C00', NULL, NULL, 197, NULL, NULL, 22155),
(74530, '1vs6E00', NULL, NULL, 201, NULL, NULL, 22155),
(74531, '1vq8C00', NULL, NULL, 246, NULL, NULL, 22155),
(74532, '4a17C01', NULL, NULL, 309, NULL, NULL, 22155),
(74533, '3o58D00', NULL, NULL, 275, NULL, NULL, 22155),
(74534, '2j01F00', NULL, NULL, 210, NULL, NULL, 22155),
(74535, '5oomF00', NULL, NULL, 250, NULL, NULL, 22155),
(74536, '1vwxC01', NULL, NULL, 303, NULL, NULL, 22155),
(74537, '5ezbA00', NULL, NULL, 143, NULL, NULL, 22156),
(74538, '3agdB02', NULL, NULL, 147, NULL, NULL, 22156),
(74539, '4qtpB00', NULL, NULL, 122, NULL, NULL, 22156),
(74540, '4xs5C00', NULL, NULL, 123, NULL, NULL, 22156),
(74541, '3lloA00', NULL, NULL, 143, NULL, NULL, 22156),
(74542, '4hylB00', NULL, NULL, 117, NULL, NULL, 22156),
(74543, '1auzA00', NULL, NULL, 116, NULL, NULL, 22156),
(74544, '2dfwA02', NULL, NULL, 87, NULL, NULL, 22156),
(74545, '3f43A01', NULL, NULL, 110, NULL, NULL, 22156),
(74546, '4dgfA00', NULL, NULL, 135, NULL, NULL, 22156),
(74547, '3oizA00', NULL, NULL, 99, NULL, NULL, 22156),
(74548, '4dghA00', NULL, NULL, 130, NULL, NULL, 22156);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(74549, '2klnA00', NULL, NULL, 130, NULL, NULL, 22156),
(74550, '3lklA00', NULL, NULL, 98, NULL, NULL, 22156),
(74551, '1th8B00', NULL, NULL, 116, NULL, NULL, 22156),
(74552, '1vc1A00', NULL, NULL, 110, NULL, NULL, 22156),
(74553, '1h4xA00', NULL, NULL, 117, NULL, NULL, 22156),
(74554, '3t6oA00', NULL, NULL, 121, NULL, NULL, 22156),
(74555, '3ny7A00', NULL, NULL, 118, NULL, NULL, 22156),
(74556, '3zxnA00', NULL, NULL, 123, NULL, NULL, 22156),
(74557, '3if5A02', NULL, NULL, 97, NULL, NULL, 22156),
(74558, '2x5cA01', NULL, NULL, 91, NULL, NULL, 22157),
(74559, '2lp4A01', NULL, NULL, 145, NULL, NULL, 22158),
(74560, '1tqgA00', NULL, NULL, 105, NULL, NULL, 22158),
(74561, '4pacA00', NULL, NULL, 159, NULL, NULL, 22158),
(74562, '4eukB00', NULL, NULL, 159, NULL, NULL, 22158),
(74563, '4g78A00', NULL, NULL, 152, NULL, NULL, 22158),
(74564, '2r25A00', NULL, NULL, 167, NULL, NULL, 22158),
(74565, '2ld6A00', NULL, NULL, 139, NULL, NULL, 22158),
(74566, '3myfA00', NULL, NULL, 119, NULL, NULL, 22158),
(74567, '3us6A00', NULL, NULL, 153, NULL, NULL, 22158),
(74568, '1i5nD00', NULL, NULL, 146, NULL, NULL, 22158),
(74569, '2a0bA00', NULL, NULL, 125, NULL, NULL, 22158),
(74570, '3u3bA00', NULL, NULL, 113, NULL, NULL, 22158),
(74571, '3iqtA01', NULL, NULL, 114, NULL, NULL, 22158),
(74572, '1sr2A00', NULL, NULL, 116, NULL, NULL, 22158),
(74573, '3kyjA00', NULL, NULL, 144, NULL, NULL, 22158),
(74574, '1y6dA00', NULL, NULL, 120, NULL, NULL, 22158),
(74575, '2oocB00', NULL, NULL, 113, NULL, NULL, 22158),
(74576, '1yviB00', NULL, NULL, 149, NULL, NULL, 22158),
(74577, '1wn0C00', NULL, NULL, 145, NULL, NULL, 22158),
(74578, '4g08A01', NULL, NULL, 84, NULL, NULL, 22159),
(74579, '2m5jA00', NULL, NULL, 107, NULL, NULL, 22159),
(74580, '1zzvA01', NULL, NULL, 73, NULL, NULL, 22159),
(74581, '4m0nA02', NULL, NULL, 78, NULL, NULL, 22159),
(74582, '4jtmA00', NULL, NULL, 81, NULL, NULL, 22159),
(74583, '2a02A01', NULL, NULL, 75, NULL, NULL, 22159),
(74584, '3ezjG01', NULL, NULL, 103, NULL, NULL, 22159),
(74585, '3gr5A01', NULL, NULL, 88, NULL, NULL, 22159),
(74586, '2w16B01', NULL, NULL, 93, NULL, NULL, 22159),
(74587, '3s0xA02', NULL, NULL, 79, NULL, NULL, 22160),
(74588, '1vvmI02', NULL, NULL, 89, NULL, NULL, 22161),
(74589, '1divA02', NULL, NULL, 90, NULL, NULL, 22161),
(74590, '1vs8H02', NULL, NULL, 89, NULL, NULL, 22161),
(74591, '4r2kA00', NULL, NULL, 329, NULL, NULL, 22162),
(74592, '3cisH00', NULL, NULL, 292, NULL, NULL, 22162),
(74593, '3mt0A00', NULL, NULL, 290, NULL, NULL, 22162),
(74594, '3olqA00', NULL, NULL, 319, NULL, NULL, 22162),
(74595, '3ab8A00', NULL, NULL, 268, NULL, NULL, 22162),
(74596, '3bqeA00', NULL, NULL, 169, NULL, NULL, 22163),
(74597, '2j89A00', NULL, NULL, 183, NULL, NULL, 22163),
(74598, '4gwbA00', NULL, NULL, 168, NULL, NULL, 22163),
(74599, '4w8cB00', NULL, NULL, 144, NULL, NULL, 22163),
(74600, '1fvaA00', NULL, NULL, 201, NULL, NULL, 22163),
(74601, '2l90A00', NULL, NULL, 212, NULL, NULL, 22163),
(74602, '1ff3C00', NULL, NULL, 192, NULL, NULL, 22163),
(74603, '1fvgA00', NULL, NULL, 199, NULL, NULL, 22163),
(74604, '3pimB00', NULL, NULL, 187, NULL, NULL, 22163),
(74605, '4lwlA00', NULL, NULL, 217, NULL, NULL, 22163),
(74606, '1nwaA00', NULL, NULL, 168, NULL, NULL, 22163),
(74607, '3e0mC01', NULL, NULL, 164, NULL, NULL, 22163),
(74608, '4d7lB00', NULL, NULL, 213, NULL, NULL, 22163),
(74609, '1wthA02', NULL, NULL, 102, NULL, NULL, 22164),
(74610, '2omdA00', NULL, NULL, 135, NULL, NULL, 22165),
(74611, '2wp4B00', NULL, NULL, 147, NULL, NULL, 22165),
(74612, '3rpfA00', NULL, NULL, 148, NULL, NULL, 22165),
(74613, '5mpoC00', NULL, NULL, 154, NULL, NULL, 22165),
(74614, '2q5wE00', NULL, NULL, 149, NULL, NULL, 22165),
(74615, '1fm0E00', NULL, NULL, 150, NULL, NULL, 22165),
(74616, '2yy0B00', NULL, NULL, 53, NULL, NULL, 22166),
(74617, '4k0dA00', NULL, NULL, 152, NULL, NULL, 22167),
(74618, '3w1eA03', NULL, NULL, 93, NULL, NULL, 22168),
(74619, '2fefA01', NULL, NULL, 130, NULL, NULL, 22169),
(74620, '1bk4A01', NULL, NULL, 193, NULL, NULL, 22170),
(74621, '1dcuB01', NULL, NULL, 208, NULL, NULL, 22170);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(74622, '2gq1A01', NULL, NULL, 193, NULL, NULL, 22170),
(74623, '5oezA01', NULL, NULL, 205, NULL, NULL, 22170),
(74624, '2pcrC01', NULL, NULL, 142, NULL, NULL, 22170),
(74625, '4n81A01', NULL, NULL, 142, NULL, NULL, 22170),
(74626, '2bjiA01', NULL, NULL, 146, NULL, NULL, 22170),
(74627, '1lbvA01', NULL, NULL, 138, NULL, NULL, 22170),
(74628, '2q74A01', NULL, NULL, 164, NULL, NULL, 22170),
(74629, '1nuwA01', NULL, NULL, 191, NULL, NULL, 22170),
(74630, '2p3nA01', NULL, NULL, 135, NULL, NULL, 22170),
(74631, '5i3sB01', NULL, NULL, 139, NULL, NULL, 22170),
(74632, '6giuA01', NULL, NULL, 146, NULL, NULL, 22170),
(74633, '1xi6A01', NULL, NULL, 148, NULL, NULL, 22170),
(74634, '5zonA01', NULL, NULL, 151, NULL, NULL, 22170),
(74635, '4qxdA01', NULL, NULL, 158, NULL, NULL, 22170),
(74636, '2wefA01', NULL, NULL, 175, NULL, NULL, 22170),
(74637, '5eq7A01', NULL, NULL, 153, NULL, NULL, 22170),
(74638, '5esyA01', NULL, NULL, 214, NULL, NULL, 22170),
(74639, '1g0hA01', NULL, NULL, 137, NULL, NULL, 22170),
(74640, '4he2A01', NULL, NULL, 200, NULL, NULL, 22170),
(74641, '4as5A01', NULL, NULL, 146, NULL, NULL, 22170),
(74642, '3bigA01', NULL, NULL, 171, NULL, NULL, 22170),
(74643, '5pzrB01', NULL, NULL, 200, NULL, NULL, 22170),
(74644, '6ib8B01', NULL, NULL, 144, NULL, NULL, 22170),
(74645, '1inpA02', NULL, NULL, 187, NULL, NULL, 22170),
(74646, '6ayuA01', NULL, NULL, 174, NULL, NULL, 22170),
(74647, '1ka1A01', NULL, NULL, 220, NULL, NULL, 22170),
(74648, '1spiA01', NULL, NULL, 209, NULL, NULL, 22170),
(74649, '1vdwA01', NULL, NULL, 140, NULL, NULL, 22170),
(74650, '4o7iA01', NULL, NULL, 182, NULL, NULL, 22170),
(74651, '4i3yA01', NULL, NULL, 151, NULL, NULL, 22170),
(74652, '1jp4A01', NULL, NULL, 179, NULL, NULL, 22170),
(74653, '3lv0A01', NULL, NULL, 146, NULL, NULL, 22170),
(74654, '3b8bA01', NULL, NULL, 163, NULL, NULL, 22170),
(74655, '5a5lA01', NULL, NULL, 180, NULL, NULL, 22170),
(74656, '5iz1A01', NULL, NULL, 204, NULL, NULL, 22170),
(74657, '5iz3A01', NULL, NULL, 174, NULL, NULL, 22170),
(74658, '4ir8A01', NULL, NULL, 192, NULL, NULL, 22170),
(74659, '2fvzA01', NULL, NULL, 142, NULL, NULL, 22170),
(74660, '3rojB01', NULL, NULL, 178, NULL, NULL, 22170),
(74661, '5zhhA01', NULL, NULL, 143, NULL, NULL, 22170),
(74662, '2xsjA02', NULL, NULL, 101, NULL, NULL, 22171),
(74663, '3mm5A02', NULL, NULL, 102, NULL, NULL, 22171),
(74664, '2v4jA02', NULL, NULL, 101, NULL, NULL, 22171),
(74665, '3or1A02', NULL, NULL, 101, NULL, NULL, 22171),
(74666, '3e0jC01', NULL, NULL, 337, NULL, NULL, 22172),
(74667, '4cykA00', NULL, NULL, 41, NULL, NULL, 22173),
(74668, '2a6hF01', NULL, NULL, 183, NULL, NULL, 22174),
(74669, '3ugoA00', NULL, NULL, 184, NULL, NULL, 22174),
(74670, '3levA00', NULL, NULL, 179, NULL, NULL, 22174),
(74671, '4l8nA03', NULL, NULL, 168, NULL, NULL, 22175),
(74672, '4f54A00', NULL, NULL, 197, NULL, NULL, 22175),
(74673, '1yxaB02', NULL, NULL, 152, NULL, NULL, 22176),
(74674, '4ga7A02', NULL, NULL, 134, NULL, NULL, 22176),
(74675, '1mtpA02', NULL, NULL, 91, NULL, NULL, 22176),
(74676, '3b9fI02', NULL, NULL, 139, NULL, NULL, 22176),
(74677, '2wxzC01', NULL, NULL, 158, NULL, NULL, 22176),
(74678, '4au3C02', NULL, NULL, 147, NULL, NULL, 22176),
(74679, '1wz9A02', NULL, NULL, 154, NULL, NULL, 22176),
(74680, '3nddA02', NULL, NULL, 95, NULL, NULL, 22176),
(74681, '1sngA01', NULL, NULL, 148, NULL, NULL, 22176),
(74682, '4au3A02', NULL, NULL, 147, NULL, NULL, 22176),
(74683, '6f02A02', NULL, NULL, 162, NULL, NULL, 22176),
(74684, '2h4pA02', NULL, NULL, 102, NULL, NULL, 22176),
(74685, '1imvA01', NULL, NULL, 192, NULL, NULL, 22176),
(74686, '4r9iA02', NULL, NULL, 100, NULL, NULL, 22176),
(74687, '3kcgI02', NULL, NULL, 146, NULL, NULL, 22176),
(74688, '3dy0A02', NULL, NULL, 105, NULL, NULL, 22176),
(74689, '1attA01', NULL, NULL, 144, NULL, NULL, 22176),
(74690, '2oayA02', NULL, NULL, 184, NULL, NULL, 22176),
(74691, '4ro9C01', NULL, NULL, 200, NULL, NULL, 22176),
(74692, '6f4vA02', NULL, NULL, 110, NULL, NULL, 22176),
(74693, '2wxyC01', NULL, NULL, 171, NULL, NULL, 22176),
(74694, '1k9oI02', NULL, NULL, 161, NULL, NULL, 22176);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(74695, '4kdsA02', NULL, NULL, 164, NULL, NULL, 22176),
(74696, '4x30A02', NULL, NULL, 151, NULL, NULL, 22176),
(74697, '3le2A02', NULL, NULL, 131, NULL, NULL, 22176),
(74698, '4c41A02', NULL, NULL, 139, NULL, NULL, 22176),
(74699, '2peeB02', NULL, NULL, 131, NULL, NULL, 22176),
(74700, '4if8A02', NULL, NULL, 95, NULL, NULL, 22176),
(74701, '4dteA02', NULL, NULL, 135, NULL, NULL, 22176),
(74702, '4ajtA02', NULL, NULL, 150, NULL, NULL, 22176),
(74703, '3stoA02', NULL, NULL, 156, NULL, NULL, 22176),
(74704, '4zk3A02', NULL, NULL, 134, NULL, NULL, 22176),
(74705, '3lw2A02', NULL, NULL, 120, NULL, NULL, 22176),
(74706, '1m93B02', NULL, NULL, 118, NULL, NULL, 22176),
(74707, '4au3D02', NULL, NULL, 147, NULL, NULL, 22176),
(74708, '4au3B02', NULL, NULL, 147, NULL, NULL, 22176),
(74709, '5cdzA02', NULL, NULL, 144, NULL, NULL, 22176),
(74710, '2arrA02', NULL, NULL, 132, NULL, NULL, 22176),
(74711, '5om6A02', NULL, NULL, 108, NULL, NULL, 22176),
(74712, '6hgmA02', NULL, NULL, 108, NULL, NULL, 22176),
(74713, '2h4rA02', NULL, NULL, 147, NULL, NULL, 22176),
(74714, '1jmoA02', NULL, NULL, 150, NULL, NULL, 22176),
(74715, '5hgcA02', NULL, NULL, 95, NULL, NULL, 22176),
(74716, '5om2A02', NULL, NULL, 108, NULL, NULL, 22176),
(74717, '2pefA02', NULL, NULL, 123, NULL, NULL, 22176),
(74718, '2xn6A02', NULL, NULL, 96, NULL, NULL, 22176),
(74719, '6hgeA02', NULL, NULL, 145, NULL, NULL, 22176),
(74720, '1lj5A02', NULL, NULL, 154, NULL, NULL, 22176),
(74721, '1hleA01', NULL, NULL, 104, NULL, NULL, 22176),
(74722, '5inwA02', NULL, NULL, 111, NULL, NULL, 22176),
(74723, '5ncsA02', NULL, NULL, 139, NULL, NULL, 22176),
(74724, '1uhgC01', NULL, NULL, 145, NULL, NULL, 22176),
(74725, '5c98B02', NULL, NULL, 129, NULL, NULL, 22176),
(74726, '2wxwA01', NULL, NULL, 161, NULL, NULL, 22176),
(74727, '2znhA02', NULL, NULL, 171, NULL, NULL, 22176),
(74728, '3vvjA02', NULL, NULL, 144, NULL, NULL, 22176),
(74729, '2vdxA02', NULL, NULL, 139, NULL, NULL, 22176),
(74730, '3f02B02', NULL, NULL, 102, NULL, NULL, 22176),
(74731, '4p0fA02', NULL, NULL, 141, NULL, NULL, 22176),
(74732, '4au2B02', NULL, NULL, 147, NULL, NULL, 22176),
(74733, '3ndaA02', NULL, NULL, 135, NULL, NULL, 22176),
(74734, '1a7cA02', NULL, NULL, 134, NULL, NULL, 22176),
(74735, '2v95A02', NULL, NULL, 129, NULL, NULL, 22176),
(74736, '5nbuA02', NULL, NULL, 131, NULL, NULL, 22176),
(74737, '3fgqA01', NULL, NULL, 187, NULL, NULL, 22176),
(74738, '1sekA02', NULL, NULL, 117, NULL, NULL, 22176),
(74739, '4dy0B02', NULL, NULL, 134, NULL, NULL, 22176),
(74740, '1as4A01', NULL, NULL, 108, NULL, NULL, 22176),
(74741, '1qmnA01', NULL, NULL, 145, NULL, NULL, 22176),
(74742, '2r9yA02', NULL, NULL, 155, NULL, NULL, 22176),
(74743, '4afxA02', NULL, NULL, 96, NULL, NULL, 22176),
(74744, '3ozqA01', NULL, NULL, 168, NULL, NULL, 22176),
(74745, '3f1sA02', NULL, NULL, 150, NULL, NULL, 22176),
(74746, '4bb2A02', NULL, NULL, 106, NULL, NULL, 22176),
(74747, '2gu0A01', NULL, NULL, 143, NULL, NULL, 22177),
(74748, '4g0aA01', NULL, NULL, 145, NULL, NULL, 22177),
(74749, '2l6mA00', NULL, NULL, 101, NULL, NULL, 22178),
(74750, '2luyA01', NULL, NULL, 58, NULL, NULL, 22179),
(74751, '2wyhB04', NULL, NULL, 101, NULL, NULL, 22180),
(74752, '1htyA02', NULL, NULL, 111, NULL, NULL, 22180),
(74753, '5kbpA02', NULL, NULL, 99, NULL, NULL, 22180),
(74754, '1o7dB00', NULL, NULL, 84, NULL, NULL, 22180),
(74755, '1o7dC01', NULL, NULL, 61, NULL, NULL, 22180),
(74756, '3bvxA02', NULL, NULL, 111, NULL, NULL, 22180),
(74757, '3c9iA02', NULL, NULL, 77, NULL, NULL, 22181),
(74758, '5bu5A02', NULL, NULL, 77, NULL, NULL, 22181),
(74759, '2ykoA02', NULL, NULL, 99, NULL, NULL, 22182),
(74760, '2w7aB00', NULL, NULL, 100, NULL, NULL, 22182),
(74761, '2i2lA01', NULL, NULL, 53, NULL, NULL, 22183),
(74762, '6f2mA01', NULL, NULL, 130, NULL, NULL, 22184),
(74763, '5fgpA00', NULL, NULL, 152, NULL, NULL, 22185),
(74764, '5dm6U00', NULL, NULL, 72, NULL, NULL, 22186),
(74765, '4uy8X00', NULL, NULL, 77, NULL, NULL, 22186),
(74766, '2jz6A01', NULL, NULL, 50, NULL, NULL, 22186),
(74767, '2j01100', NULL, NULL, 98, NULL, NULL, 22186);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(74768, '5mmiY00', NULL, NULL, 77, NULL, NULL, 22186),
(74769, '3kd3A02', NULL, NULL, 60, NULL, NULL, 22187),
(74770, '4ap9A02', NULL, NULL, 60, NULL, NULL, 22187),
(74771, '1l7mA02', NULL, NULL, 61, NULL, NULL, 22187),
(74772, '3m1yB02', NULL, NULL, 61, NULL, NULL, 22187),
(74773, '3n28A03', NULL, NULL, 63, NULL, NULL, 22187),
(74774, '1nnlB02', NULL, NULL, 63, NULL, NULL, 22187),
(74775, '2igsA00', NULL, NULL, 219, NULL, NULL, 22188),
(74776, '2l2tA01', NULL, NULL, 23, NULL, NULL, 22189),
(74777, '5xogE01', NULL, NULL, 141, NULL, NULL, 22190),
(74778, '3h0gE01', NULL, NULL, 137, NULL, NULL, 22190),
(74779, '6gmhE01', NULL, NULL, 137, NULL, NULL, 22190),
(74780, '1dzfA01', NULL, NULL, 142, NULL, NULL, 22190),
(74781, '4y99B00', NULL, NULL, 74, NULL, NULL, 22191),
(74782, '1ytzT00', NULL, NULL, 107, NULL, NULL, 22191),
(74783, '4y99C01', NULL, NULL, 118, NULL, NULL, 22191),
(74784, '1ytzI01', NULL, NULL, 127, NULL, NULL, 22191),
(74785, '1j1eF00', NULL, NULL, 161, NULL, NULL, 22191),
(74786, '1j1dE00', NULL, NULL, 89, NULL, NULL, 22191),
(74787, '3qhqA02', NULL, NULL, 62, NULL, NULL, 22192),
(74788, '6qxfA02', NULL, NULL, 62, NULL, NULL, 22192),
(74789, '3tocB02', NULL, NULL, 63, NULL, NULL, 22192),
(74790, '3s5uA02', NULL, NULL, 62, NULL, NULL, 22192),
(74791, '2npnA01', NULL, NULL, 142, NULL, NULL, 22193),
(74792, '3kwpA01', NULL, NULL, 124, NULL, NULL, 22193),
(74793, '1ve2A01', NULL, NULL, 116, NULL, NULL, 22193),
(74794, '2yboA01', NULL, NULL, 123, NULL, NULL, 22193),
(74795, '3hh1A00', NULL, NULL, 117, NULL, NULL, 22193),
(74796, '4e16A01', NULL, NULL, 114, NULL, NULL, 22193),
(74797, '1pjqA04', NULL, NULL, 118, NULL, NULL, 22193),
(74798, '1wdeA01', NULL, NULL, 120, NULL, NULL, 22193),
(74799, '3ndcA01', NULL, NULL, 113, NULL, NULL, 22193),
(74800, '1s4dD01', NULL, NULL, 130, NULL, NULL, 22193),
(74801, '2z6rB01', NULL, NULL, 114, NULL, NULL, 22193),
(74802, '2bb3A01', NULL, NULL, 105, NULL, NULL, 22193),
(74803, '3i4tA01', NULL, NULL, 113, NULL, NULL, 22193),
(74804, '3nd1A01', NULL, NULL, 143, NULL, NULL, 22193),
(74805, '1vhvA01', NULL, NULL, 124, NULL, NULL, 22193),
(74806, '3nutC01', NULL, NULL, 120, NULL, NULL, 22193),
(74807, '1va0A01', NULL, NULL, 113, NULL, NULL, 22193),
(74808, '5hw4A01', NULL, NULL, 110, NULL, NULL, 22193),
(74809, '2qbuA01', NULL, NULL, 132, NULL, NULL, 22193),
(74810, '1wyzA01', NULL, NULL, 121, NULL, NULL, 22193),
(74811, '1cbfA01', NULL, NULL, 130, NULL, NULL, 22193),
(74812, '2e0nA01', NULL, NULL, 133, NULL, NULL, 22193),
(74813, '2zvbA01', NULL, NULL, 132, NULL, NULL, 22193),
(74814, '1zhcA00', NULL, NULL, 76, NULL, NULL, 22194),
(74815, '3vvvA00', NULL, NULL, 123, NULL, NULL, 22195),
(74816, '5z7lA00', NULL, NULL, 117, NULL, NULL, 22195),
(74817, '4nlhB00', NULL, NULL, 115, NULL, NULL, 22195),
(74818, '2lfeA00', NULL, NULL, 106, NULL, NULL, 22195),
(74819, '5z7gB00', NULL, NULL, 121, NULL, NULL, 22195),
(74820, '3iwcB00', NULL, NULL, 62, NULL, NULL, 22196),
(74821, '3nzpB03', NULL, NULL, 93, NULL, NULL, 22197),
(74822, '3n2oA03', NULL, NULL, 96, NULL, NULL, 22197),
(74823, '3nzqA03', NULL, NULL, 96, NULL, NULL, 22197),
(74824, '3rr2A02', NULL, NULL, 102, NULL, NULL, 22198),
(74825, '5z5cD01', NULL, NULL, 197, NULL, NULL, 22198),
(74826, '5z5cD02', NULL, NULL, 108, NULL, NULL, 22198),
(74827, '2o2eA01', NULL, NULL, 163, NULL, NULL, 22198),
(74828, '3rr2A01', NULL, NULL, 212, NULL, NULL, 22198),
(74829, '4lmaA01', NULL, NULL, 197, NULL, NULL, 22198),
(74830, '4lmaA02', NULL, NULL, 108, NULL, NULL, 22198),
(74831, '1kl7A03', NULL, NULL, 161, NULL, NULL, 22198),
(74832, '1kl7A02', NULL, NULL, 259, NULL, NULL, 22198),
(74833, '5b53A02', NULL, NULL, 108, NULL, NULL, 22198),
(74834, '1f2dA02', NULL, NULL, 102, NULL, NULL, 22198),
(74835, '2v03A02', NULL, NULL, 106, NULL, NULL, 22198),
(74836, '5ygrD02', NULL, NULL, 123, NULL, NULL, 22198),
(74837, '4ofxA02', NULL, NULL, 123, NULL, NULL, 22198),
(74838, '2v03A01', NULL, NULL, 184, NULL, NULL, 22198),
(74839, '1f2dA01', NULL, NULL, 219, NULL, NULL, 22198),
(74840, '1jbqA01', NULL, NULL, 194, NULL, NULL, 22198);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(74841, '4ofxA01', NULL, NULL, 196, NULL, NULL, 22198),
(74842, '5hbgA02', NULL, NULL, 102, NULL, NULL, 22198),
(74843, '5hbgA01', NULL, NULL, 211, NULL, NULL, 22198),
(74844, '5xoqA01', NULL, NULL, 208, NULL, NULL, 22198),
(74845, '5xoqA02', NULL, NULL, 101, NULL, NULL, 22198),
(74846, '5b53A01', NULL, NULL, 197, NULL, NULL, 22198),
(74847, '4aecA02', NULL, NULL, 108, NULL, NULL, 22198),
(74848, '1x1qA02', NULL, NULL, 217, NULL, NULL, 22198),
(74849, '2d1fA02', NULL, NULL, 98, NULL, NULL, 22198),
(74850, '2d1fA01', NULL, NULL, 262, NULL, NULL, 22198),
(74851, '1x1qA01', NULL, NULL, 164, NULL, NULL, 22198),
(74852, '1v71A01', NULL, NULL, 226, NULL, NULL, 22198),
(74853, '2pqmA02', NULL, NULL, 101, NULL, NULL, 22198),
(74854, '5xemB01', NULL, NULL, 208, NULL, NULL, 22198),
(74855, '3aeyA02', NULL, NULL, 97, NULL, NULL, 22198),
(74856, '4airB01', NULL, NULL, 188, NULL, NULL, 22198),
(74857, '2dh6A02', NULL, NULL, 169, NULL, NULL, 22198),
(74858, '2dh6A01', NULL, NULL, 162, NULL, NULL, 22198),
(74859, '1wkvA02', NULL, NULL, 211, NULL, NULL, 22198),
(74860, '1v71A02', NULL, NULL, 97, NULL, NULL, 22198),
(74861, '1wkvA03', NULL, NULL, 100, NULL, NULL, 22198),
(74862, '5b54C01', NULL, NULL, 196, NULL, NULL, 22198),
(74863, '5b54C02', NULL, NULL, 108, NULL, NULL, 22198),
(74864, '2q3bA02', NULL, NULL, 102, NULL, NULL, 22198),
(74865, '2q3bA01', NULL, NULL, 210, NULL, NULL, 22198),
(74866, '2gn0A02', NULL, NULL, 97, NULL, NULL, 22198),
(74867, '3r0xA01', NULL, NULL, 325, NULL, NULL, 22198),
(74868, '1tzjC02', NULL, NULL, 99, NULL, NULL, 22198),
(74869, '3r0xA02', NULL, NULL, 123, NULL, NULL, 22198),
(74870, '2jc3A01', NULL, NULL, 184, NULL, NULL, 22198),
(74871, '5i6dB01', NULL, NULL, 190, NULL, NULL, 22198),
(74872, '6am7B02', NULL, NULL, 230, NULL, NULL, 22198),
(74873, '4f4fA02', NULL, NULL, 228, NULL, NULL, 22198),
(74874, '5z5cA02', NULL, NULL, 108, NULL, NULL, 22198),
(74875, '2o2eB02', NULL, NULL, 159, NULL, NULL, 22198),
(74876, '5ey5B01', NULL, NULL, 164, NULL, NULL, 22198),
(74877, '4d9bC01', NULL, NULL, 212, NULL, NULL, 22198),
(74878, '5kinB02', NULL, NULL, 232, NULL, NULL, 22198),
(74879, '5kinB01', NULL, NULL, 163, NULL, NULL, 22198),
(74880, '5b1hA02', NULL, NULL, 102, NULL, NULL, 22198),
(74881, '5b1hA01', NULL, NULL, 208, NULL, NULL, 22198),
(74882, '5i7wB01', NULL, NULL, 201, NULL, NULL, 22198),
(74883, '2rkbA01', NULL, NULL, 227, NULL, NULL, 22198),
(74884, '1ve5A02', NULL, NULL, 94, NULL, NULL, 22198),
(74885, '5b55A01', NULL, NULL, 196, NULL, NULL, 22198),
(74886, '5ohxA02', NULL, NULL, 114, NULL, NULL, 22198),
(74887, '5ey5B02', NULL, NULL, 217, NULL, NULL, 22198),
(74888, '5ohxA01', NULL, NULL, 204, NULL, NULL, 22198),
(74889, '2rkbA02', NULL, NULL, 91, NULL, NULL, 22198),
(74890, '5z5cA01', NULL, NULL, 197, NULL, NULL, 22198),
(74891, '5b55A02', NULL, NULL, 108, NULL, NULL, 22198),
(74892, '4negB01', NULL, NULL, 157, NULL, NULL, 22198),
(74893, '1o58A02', NULL, NULL, 104, NULL, NULL, 22198),
(74894, '1z7wA02', NULL, NULL, 108, NULL, NULL, 22198),
(74895, '5d84A02', NULL, NULL, 111, NULL, NULL, 22198),
(74896, '3x44A01', NULL, NULL, 187, NULL, NULL, 22198),
(74897, '3x44A02', NULL, NULL, 106, NULL, NULL, 22198),
(74898, '1z7wA01', NULL, NULL, 190, NULL, NULL, 22198),
(74899, '2zsjA02', NULL, NULL, 97, NULL, NULL, 22198),
(74900, '5xemA02', NULL, NULL, 102, NULL, NULL, 22198),
(74901, '6cgqA01', NULL, NULL, 257, NULL, NULL, 22198),
(74902, '5d84A01', NULL, NULL, 189, NULL, NULL, 22198),
(74903, '5cvcA02', NULL, NULL, 97, NULL, NULL, 22198),
(74904, '2zsjA01', NULL, NULL, 255, NULL, NULL, 22198),
(74905, '5b54D01', NULL, NULL, 197, NULL, NULL, 22198),
(74906, '5b54D02', NULL, NULL, 108, NULL, NULL, 22198),
(74907, '2gn0B01', NULL, NULL, 227, NULL, NULL, 22198),
(74908, '4qysA02', NULL, NULL, 121, NULL, NULL, 22198),
(74909, '4h27A02', NULL, NULL, 95, NULL, NULL, 22198),
(74910, '6am7A01', NULL, NULL, 163, NULL, NULL, 22198),
(74911, '5tchD02', NULL, NULL, 225, NULL, NULL, 22198),
(74912, '3dwgA02', NULL, NULL, 107, NULL, NULL, 22198),
(74913, '4f4fA03', NULL, NULL, 149, NULL, NULL, 22198);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(74914, '1pwhA02', NULL, NULL, 92, NULL, NULL, 22198),
(74915, '4h27A01', NULL, NULL, 228, NULL, NULL, 22198),
(74916, '5z5cB01', NULL, NULL, 196, NULL, NULL, 22198),
(74917, '5z5cB02', NULL, NULL, 108, NULL, NULL, 22198),
(74918, '5c3uA01', NULL, NULL, 234, NULL, NULL, 22198),
(74919, '1tdjA01', NULL, NULL, 227, NULL, NULL, 22198),
(74920, '5c3uA02', NULL, NULL, 96, NULL, NULL, 22198),
(74921, '1tdjA02', NULL, NULL, 92, NULL, NULL, 22198),
(74922, '5ygrB01', NULL, NULL, 289, NULL, NULL, 22198),
(74923, '2c2bC01', NULL, NULL, 348, NULL, NULL, 22198),
(74924, '4cooB01', NULL, NULL, 205, NULL, NULL, 22198),
(74925, '5i7wA02', NULL, NULL, 114, NULL, NULL, 22198),
(74926, '6hteB02', NULL, NULL, 187, NULL, NULL, 22198),
(74927, '3ss7X01', NULL, NULL, 319, NULL, NULL, 22198),
(74928, '5b55B02', NULL, NULL, 108, NULL, NULL, 22198),
(74929, '1pweA01', NULL, NULL, 235, NULL, NULL, 22198),
(74930, '5b55B01', NULL, NULL, 196, NULL, NULL, 22198),
(74931, '4negA02', NULL, NULL, 177, NULL, NULL, 22198),
(74932, '3ss7X02', NULL, NULL, 123, NULL, NULL, 22198),
(74933, '1y7lA01', NULL, NULL, 212, NULL, NULL, 22198),
(74934, '1e5xB01', NULL, NULL, 316, NULL, NULL, 22198),
(74935, '1y7lA02', NULL, NULL, 103, NULL, NULL, 22198),
(74936, '3hmkA01', NULL, NULL, 223, NULL, NULL, 22198),
(74937, '4lmbA01', NULL, NULL, 219, NULL, NULL, 22198),
(74938, '4lmbA02', NULL, NULL, 103, NULL, NULL, 22198),
(74939, '5cvcB01', NULL, NULL, 249, NULL, NULL, 22198),
(74940, '3iauB01', NULL, NULL, 244, NULL, NULL, 22198),
(74941, '6hulB02', NULL, NULL, 190, NULL, NULL, 22198),
(74942, '5kzmB01', NULL, NULL, 163, NULL, NULL, 22198),
(74943, '6hulB01', NULL, NULL, 235, NULL, NULL, 22198),
(74944, '5kzmB02', NULL, NULL, 225, NULL, NULL, 22198),
(74945, '3hmkA02', NULL, NULL, 100, NULL, NULL, 22198),
(74946, '3v7nA03', NULL, NULL, 149, NULL, NULL, 22198),
(74947, '4qysB01', NULL, NULL, 255, NULL, NULL, 22198),
(74948, '3v7nA02', NULL, NULL, 238, NULL, NULL, 22198),
(74949, '1j0aA01', NULL, NULL, 220, NULL, NULL, 22198),
(74950, '1j0aA02', NULL, NULL, 104, NULL, NULL, 22198),
(74951, '4d9gB02', NULL, NULL, 119, NULL, NULL, 22198),
(74952, '5b54A01', NULL, NULL, 197, NULL, NULL, 22198),
(74953, '4d9iA02', NULL, NULL, 119, NULL, NULL, 22198),
(74954, '5b54A02', NULL, NULL, 108, NULL, NULL, 22198),
(74955, '5z5cC02', NULL, NULL, 108, NULL, NULL, 22198),
(74956, '1ve1A02', NULL, NULL, 108, NULL, NULL, 22198),
(74957, '1ve1A01', NULL, NULL, 183, NULL, NULL, 22198),
(74958, '5z5cC01', NULL, NULL, 196, NULL, NULL, 22198),
(74959, '1fcjA02', NULL, NULL, 108, NULL, NULL, 22198),
(74960, '1ve5C02', NULL, NULL, 58, NULL, NULL, 22198),
(74961, '1fcjA01', NULL, NULL, 181, NULL, NULL, 22198),
(74962, '3vc3A01', NULL, NULL, 189, NULL, NULL, 22198),
(74963, '3l6bA02', NULL, NULL, 100, NULL, NULL, 22198),
(74964, '3pc3A02', NULL, NULL, 114, NULL, NULL, 22198),
(74965, '3l6bA01', NULL, NULL, 229, NULL, NULL, 22198),
(74966, '3pc3A01', NULL, NULL, 205, NULL, NULL, 22198),
(74967, '4d9bA02', NULL, NULL, 109, NULL, NULL, 22198),
(74968, '6c2zA01', NULL, NULL, 206, NULL, NULL, 22198),
(74969, '3vc3A02', NULL, NULL, 108, NULL, NULL, 22198),
(74970, '4cooA02', NULL, NULL, 114, NULL, NULL, 22198),
(74971, '6c2zA02', NULL, NULL, 111, NULL, NULL, 22198),
(74972, '1ve5C01', NULL, NULL, 211, NULL, NULL, 22198),
(74973, '1tzkC01', NULL, NULL, 219, NULL, NULL, 22198),
(74974, '4aecB01', NULL, NULL, 189, NULL, NULL, 22198),
(74975, '1x1qB02', NULL, NULL, 189, NULL, NULL, 22198),
(74976, '1x1qB01', NULL, NULL, 189, NULL, NULL, 22198),
(74977, '1e5xA02', NULL, NULL, 102, NULL, NULL, 22198),
(74978, '1o58C01', NULL, NULL, 172, NULL, NULL, 22198),
(74979, '1vb3A03', NULL, NULL, 146, NULL, NULL, 22198),
(74980, '1vb3A02', NULL, NULL, 201, NULL, NULL, 22198),
(74981, '2pqmB01', NULL, NULL, 242, NULL, NULL, 22198),
(74982, '5ybwA01', NULL, NULL, 231, NULL, NULL, 22198),
(74983, '5ybwA02', NULL, NULL, 98, NULL, NULL, 22198),
(74984, '3aeyB01', NULL, NULL, 254, NULL, NULL, 22198),
(74985, '4airA02', NULL, NULL, 121, NULL, NULL, 22198),
(74986, '3iauA02', NULL, NULL, 97, NULL, NULL, 22198);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(74987, '5xw3A02', NULL, NULL, 120, NULL, NULL, 22198),
(74988, '5b54B02', NULL, NULL, 108, NULL, NULL, 22198),
(74989, '2eguA02', NULL, NULL, 119, NULL, NULL, 22198),
(74990, '5cgqB01', NULL, NULL, 164, NULL, NULL, 22198),
(74991, '2eguA01', NULL, NULL, 189, NULL, NULL, 22198),
(74992, '5cgqB02', NULL, NULL, 225, NULL, NULL, 22198),
(74993, '5xw3A01', NULL, NULL, 174, NULL, NULL, 22198),
(74994, '6nmxA02', NULL, NULL, 97, NULL, NULL, 22198),
(74995, '4d9gA02', NULL, NULL, 119, NULL, NULL, 22198),
(74996, '4d9kC01', NULL, NULL, 247, NULL, NULL, 22198),
(74997, '5b54B01', NULL, NULL, 196, NULL, NULL, 22198),
(74998, '3e33A00', NULL, NULL, 323, NULL, NULL, 22199),
(74999, '4l9pA00', NULL, NULL, 351, NULL, NULL, 22199),
(75000, '3draA00', NULL, NULL, 306, NULL, NULL, 22199),
(75001, '1dceA01', NULL, NULL, 318, NULL, NULL, 22199),
(75002, '2h6fA00', NULL, NULL, 328, NULL, NULL, 22199),
(75003, '3q7aA00', NULL, NULL, 331, NULL, NULL, 22199),
(75004, '3dssA00', NULL, NULL, 331, NULL, NULL, 22199),
(75005, '1wihA00', NULL, NULL, 84, NULL, NULL, 22200),
(75006, '1ge9A02', NULL, NULL, 74, NULL, NULL, 22200),
(75007, '3lpxB02', NULL, NULL, 98, NULL, NULL, 22200),
(75008, '4fm9A04', NULL, NULL, 104, NULL, NULL, 22200),
(75009, '5cj9A02', NULL, NULL, 82, NULL, NULL, 22200),
(75010, '3foeA02', NULL, NULL, 97, NULL, NULL, 22200),
(75011, '5jvoA00', NULL, NULL, 79, NULL, NULL, 22200),
(75012, '1dd5A02', NULL, NULL, 75, NULL, NULL, 22200),
(75013, '3opfB01', NULL, NULL, 72, NULL, NULL, 22200),
(75014, '2zfzD00', NULL, NULL, 79, NULL, NULL, 22200),
(75015, '2kwaA00', NULL, NULL, 101, NULL, NULL, 22200),
(75016, '2phcB01', NULL, NULL, 84, NULL, NULL, 22200),
(75017, '1iseA02', NULL, NULL, 75, NULL, NULL, 22200),
(75018, '2p5mA00', NULL, NULL, 83, NULL, NULL, 22200),
(75019, '4ckkB02', NULL, NULL, 98, NULL, NULL, 22200),
(75020, '4gfqA02', NULL, NULL, 75, NULL, NULL, 22200),
(75021, '3l4jA04', NULL, NULL, 102, NULL, NULL, 22200),
(75022, '1is1A02', NULL, NULL, 75, NULL, NULL, 22200),
(75023, '4kddA02', NULL, NULL, 75, NULL, NULL, 22200),
(75024, '3va7A05', NULL, NULL, 100, NULL, NULL, 22200),
(75025, '3qx3B03', NULL, NULL, 104, NULL, NULL, 22200),
(75026, '3v4gA02', NULL, NULL, 86, NULL, NULL, 22200),
(75027, '1xxaC00', NULL, NULL, 78, NULL, NULL, 22200),
(75028, '6bq9A02', NULL, NULL, 94, NULL, NULL, 22200),
(75029, '1b4bA00', NULL, NULL, 71, NULL, NULL, 22200),
(75030, '2xcqA03', NULL, NULL, 98, NULL, NULL, 22200),
(75031, '4ddqA02', NULL, NULL, 97, NULL, NULL, 22200),
(75032, '1eh1A02', NULL, NULL, 75, NULL, NULL, 22200),
(75033, '3mmlF01', NULL, NULL, 79, NULL, NULL, 22200),
(75034, '5d1pA02', NULL, NULL, 73, NULL, NULL, 22201),
(75035, '4ucsA02', NULL, NULL, 109, NULL, NULL, 22201),
(75036, '1v9pA02', NULL, NULL, 98, NULL, NULL, 22201),
(75037, '1b04A02', NULL, NULL, 99, NULL, NULL, 22201),
(75038, '4d05B01', NULL, NULL, 76, NULL, NULL, 22201),
(75039, '1x9nA02', NULL, NULL, 84, NULL, NULL, 22201),
(75040, '3l2pA02', NULL, NULL, 71, NULL, NULL, 22201),
(75041, '1dgsA02', NULL, NULL, 95, NULL, NULL, 22201),
(75042, '2hvqA01', NULL, NULL, 121, NULL, NULL, 22201),
(75043, '3jslA02', NULL, NULL, 107, NULL, NULL, 22201),
(75044, '1fviA01', NULL, NULL, 79, NULL, NULL, 22201),
(75045, '4glxA03', NULL, NULL, 104, NULL, NULL, 22201),
(75046, '1a0iA01', NULL, NULL, 83, NULL, NULL, 22201),
(75047, '1vs0A01', NULL, NULL, 79, NULL, NULL, 22201),
(75048, '1xdnA01', NULL, NULL, 122, NULL, NULL, 22201),
(75049, '1s68A01', NULL, NULL, 114, NULL, NULL, 22201),
(75050, '1ta8A02', NULL, NULL, 114, NULL, NULL, 22201),
(75051, '2vugA02', NULL, NULL, 72, NULL, NULL, 22201),
(75052, '2a7kH02', NULL, NULL, 34, NULL, NULL, 22202),
(75053, '2a7kE02', NULL, NULL, 53, NULL, NULL, 22202),
(75054, '5o34A02', NULL, NULL, 32, NULL, NULL, 22202),
(75055, '3g7vA02', NULL, NULL, 37, NULL, NULL, 22203),
(75056, '4hteA01', NULL, NULL, 155, NULL, NULL, 22204),
(75057, '2kkmA01', NULL, NULL, 125, NULL, NULL, 22205),
(75058, '3lt7C00', NULL, NULL, 64, NULL, NULL, 22206),
(75059, '2yo3A04', NULL, NULL, 79, NULL, NULL, 22206),
(75060, '3h7zA00', NULL, NULL, 61, NULL, NULL, 22206);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(75061, '3h7xA00', NULL, NULL, 64, NULL, NULL, 22206),
(75062, '3g7kA01', NULL, NULL, 201, NULL, NULL, 22207),
(75063, '1u0kA02', NULL, NULL, 151, NULL, NULL, 22207),
(75064, '3ednA02', NULL, NULL, 164, NULL, NULL, 22207),
(75065, '1u0kA01', NULL, NULL, 137, NULL, NULL, 22207),
(75066, '3ednA01', NULL, NULL, 135, NULL, NULL, 22207),
(75067, '2azpA01', NULL, NULL, 161, NULL, NULL, 22207),
(75068, '4dunA01', NULL, NULL, 131, NULL, NULL, 22207),
(75069, '2azpA02', NULL, NULL, 157, NULL, NULL, 22207),
(75070, '1ym5A01', NULL, NULL, 142, NULL, NULL, 22207),
(75071, '4dunA02', NULL, NULL, 132, NULL, NULL, 22207),
(75072, '1ym5A02', NULL, NULL, 158, NULL, NULL, 22207),
(75073, '6hjfA02', NULL, NULL, 179, NULL, NULL, 22207),
(75074, '6hjfA01', NULL, NULL, 176, NULL, NULL, 22207),
(75075, '1sdjA01', NULL, NULL, 147, NULL, NULL, 22207),
(75076, '2otnA02', NULL, NULL, 149, NULL, NULL, 22207),
(75077, '2h9fA01', NULL, NULL, 203, NULL, NULL, 22207),
(75078, '5k87B02', NULL, NULL, 195, NULL, NULL, 22207),
(75079, '4juuA02', NULL, NULL, 155, NULL, NULL, 22207),
(75080, '3ejxD01', NULL, NULL, 161, NULL, NULL, 22207),
(75081, '2h9fA02', NULL, NULL, 193, NULL, NULL, 22207),
(75082, '3ejxD02', NULL, NULL, 156, NULL, NULL, 22207),
(75083, '1tm0A01', NULL, NULL, 165, NULL, NULL, 22207),
(75084, '1tm0A02', NULL, NULL, 167, NULL, NULL, 22207),
(75085, '5h2gB01', NULL, NULL, 148, NULL, NULL, 22207),
(75086, '5ha4A02', NULL, NULL, 136, NULL, NULL, 22207),
(75087, '4jciA02', NULL, NULL, 153, NULL, NULL, 22207),
(75088, '4jbdA02', NULL, NULL, 153, NULL, NULL, 22207),
(75089, '4jbdA01', NULL, NULL, 155, NULL, NULL, 22207),
(75090, '4q2hA02', NULL, NULL, 164, NULL, NULL, 22207),
(75091, '1xubA02', NULL, NULL, 148, NULL, NULL, 22207),
(75092, '1xubA01', NULL, NULL, 130, NULL, NULL, 22207),
(75093, '3g7kB02', NULL, NULL, 181, NULL, NULL, 22207),
(75094, '4k7gB02', NULL, NULL, 168, NULL, NULL, 22207),
(75095, '4k7gB01', NULL, NULL, 170, NULL, NULL, 22207),
(75096, '6d1vA02', NULL, NULL, 137, NULL, NULL, 22207),
(75097, '6d1vA01', NULL, NULL, 128, NULL, NULL, 22207),
(75098, '4k8lA01', NULL, NULL, 177, NULL, NULL, 22207),
(75099, '3fveA02', NULL, NULL, 136, NULL, NULL, 22207),
(75100, '4k8lA02', NULL, NULL, 167, NULL, NULL, 22207),
(75101, '3fveA01', NULL, NULL, 154, NULL, NULL, 22207),
(75102, '2gkeA02', NULL, NULL, 137, NULL, NULL, 22207),
(75103, '2otnB01', NULL, NULL, 159, NULL, NULL, 22207),
(75104, '2gkeA01', NULL, NULL, 127, NULL, NULL, 22207),
(75105, '1qyaB01', NULL, NULL, 144, NULL, NULL, 22207),
(75106, '4juuB01', NULL, NULL, 156, NULL, NULL, 22207),
(75107, '5k87A01', NULL, NULL, 204, NULL, NULL, 22207),
(75108, '1s7jA02', NULL, NULL, 132, NULL, NULL, 22207),
(75109, '5h2gA02', NULL, NULL, 135, NULL, NULL, 22207),
(75110, '1s7jA01', NULL, NULL, 130, NULL, NULL, 22207),
(75111, '1qy9A02', NULL, NULL, 163, NULL, NULL, 22207),
(75112, '5ha4B01', NULL, NULL, 135, NULL, NULL, 22207),
(75113, '4jciB01', NULL, NULL, 158, NULL, NULL, 22207),
(75114, '4j9wA01', NULL, NULL, 157, NULL, NULL, 22207),
(75115, '4j9wA02', NULL, NULL, 153, NULL, NULL, 22207),
(75116, '4k7xA02', NULL, NULL, 153, NULL, NULL, 22207),
(75117, '4k7xA01', NULL, NULL, 162, NULL, NULL, 22207),
(75118, '6otvA01', NULL, NULL, 182, NULL, NULL, 22207),
(75119, '4lb0A02', NULL, NULL, 164, NULL, NULL, 22207),
(75120, '4lb0A01', NULL, NULL, 184, NULL, NULL, 22207),
(75121, '2pw0B02', NULL, NULL, 148, NULL, NULL, 22207),
(75122, '4q2hB01', NULL, NULL, 176, NULL, NULL, 22207),
(75123, '1srqD01', NULL, NULL, 109, NULL, NULL, 22208),
(75124, '1k4tA03', NULL, NULL, 155, NULL, NULL, 22209),
(75125, '2b9sA03', NULL, NULL, 200, NULL, NULL, 22209),
(75126, '2h7gX02', NULL, NULL, 241, NULL, NULL, 22209),
(75127, '3m4aA03', NULL, NULL, 119, NULL, NULL, 22209),
(75128, '1a41A01', NULL, NULL, 136, NULL, NULL, 22209),
(75129, '3s32A00', NULL, NULL, 175, NULL, NULL, 22210),
(75130, '3rsnA00', NULL, NULL, 177, NULL, NULL, 22210),
(75131, '4b1zM02', NULL, NULL, 44, NULL, NULL, 22211),
(75132, '5ys2A02', NULL, NULL, 107, NULL, NULL, 22212),
(75133, '2gumB01', NULL, NULL, 106, NULL, NULL, 22212);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(75134, '3fvcA01', NULL, NULL, 99, NULL, NULL, 22212),
(75135, '6escA01', NULL, NULL, 107, NULL, NULL, 22212),
(75136, '1omiA02', NULL, NULL, 27, NULL, NULL, 22213),
(75137, '3i38I02', NULL, NULL, 31, NULL, NULL, 22213),
(75138, '3h25A02', NULL, NULL, 34, NULL, NULL, 22213),
(75139, '2g8yA03', NULL, NULL, 28, NULL, NULL, 22213),
(75140, '1zmeC02', NULL, NULL, 30, NULL, NULL, 22213),
(75141, '1tiwA02', NULL, NULL, 26, NULL, NULL, 22213),
(75142, '1zkcB02', NULL, NULL, 19, NULL, NULL, 22213),
(75143, '1fdoA05', NULL, NULL, 27, NULL, NULL, 22213),
(75144, '1wmkA03', NULL, NULL, 28, NULL, NULL, 22213),
(75145, '3in6A01', NULL, NULL, 30, NULL, NULL, 22213),
(75146, '2p10B02', NULL, NULL, 27, NULL, NULL, 22213),
(75147, '3o6qC01', NULL, NULL, 36, NULL, NULL, 22213),
(75148, '3o6qA01', NULL, NULL, 36, NULL, NULL, 22213),
(75149, '2byoA00', NULL, NULL, 188, NULL, NULL, 22214),
(75150, '4qa8A00', NULL, NULL, 210, NULL, NULL, 22214),
(75151, '4zraA00', NULL, NULL, 203, NULL, NULL, 22214),
(75152, '1sluA00', NULL, NULL, 142, NULL, NULL, 22215),
(75153, '1ezsA00', NULL, NULL, 142, NULL, NULL, 22215),
(75154, '2y6tH00', NULL, NULL, 148, NULL, NULL, 22215),
(75155, '1fi8C00', NULL, NULL, 84, NULL, NULL, 22215),
(75156, '1xxfC00', NULL, NULL, 142, NULL, NULL, 22215),
(75157, '4nnqA02', NULL, NULL, 58, NULL, NULL, 22216),
(75158, '2mjfA00', NULL, NULL, 40, NULL, NULL, 22217),
(75159, '3bg2A02', NULL, NULL, 121, NULL, NULL, 22218),
(75160, '2pgsA02', NULL, NULL, 119, NULL, NULL, 22218),
(75161, '3k79A00', NULL, NULL, 63, NULL, NULL, 22219),
(75162, '4do2A00', NULL, NULL, 70, NULL, NULL, 22219),
(75163, '1nkdA00', NULL, NULL, 65, NULL, NULL, 22219),
(75164, '1pd3A00', NULL, NULL, 58, NULL, NULL, 22219),
(75165, '1f4nA00', NULL, NULL, 63, NULL, NULL, 22219),
(75166, '3r9mA00', NULL, NULL, 376, NULL, NULL, 22220),
(75167, '5mk2B00', NULL, NULL, 361, NULL, NULL, 22220),
(75168, '1zb1A00', NULL, NULL, 372, NULL, NULL, 22220),
(75169, '5wa1A00', NULL, NULL, 358, NULL, NULL, 22220),
(75170, '1y0kA00', NULL, NULL, 209, NULL, NULL, 22221),
(75171, '2riqA02', NULL, NULL, 60, NULL, NULL, 22222),
(75172, '2j7aC00', NULL, NULL, 159, NULL, NULL, 22223),
(75173, '3gipA03', NULL, NULL, 57, NULL, NULL, 22224),
(75174, '1rk6A03', NULL, NULL, 57, NULL, NULL, 22224),
(75175, '1u07B00', NULL, NULL, 90, NULL, NULL, 22225),
(75176, '2gskB00', NULL, NULL, 81, NULL, NULL, 22225),
(75177, '4p78A00', NULL, NULL, 86, NULL, NULL, 22226),
(75178, '2dsyD00', NULL, NULL, 87, NULL, NULL, 22226),
(75179, '3kwrB00', NULL, NULL, 97, NULL, NULL, 22226),
(75180, '2yztA00', NULL, NULL, 67, NULL, NULL, 22226),
(75181, '3hg9A01', NULL, NULL, 85, NULL, NULL, 22227),
(75182, '2qsdB02', NULL, NULL, 107, NULL, NULL, 22228),
(75183, '1f02T00', NULL, NULL, 66, NULL, NULL, 22229),
(75184, '2zqkC00', NULL, NULL, 77, NULL, NULL, 22229),
(75185, '4a57A02', NULL, NULL, 366, NULL, NULL, 22230),
(75186, '3agrA02', NULL, NULL, 364, NULL, NULL, 22230),
(75187, '2w7qB00', NULL, NULL, 185, NULL, NULL, 22231),
(75188, '4ki3I00', NULL, NULL, 184, NULL, NULL, 22231),
(75189, '3m4wC01', NULL, NULL, 186, NULL, NULL, 22231),
(75190, '4mxtA00', NULL, NULL, 190, NULL, NULL, 22231),
(75191, '1iwlA00', NULL, NULL, 182, NULL, NULL, 22231),
(75192, '3wjtA00', NULL, NULL, 178, NULL, NULL, 22231),
(75193, '2yzyA00', NULL, NULL, 200, NULL, NULL, 22231),
(75194, '3buuB00', NULL, NULL, 229, NULL, NULL, 22231),
(75195, '3bk5A00', NULL, NULL, 237, NULL, NULL, 22231),
(75196, '4z48A00', NULL, NULL, 246, NULL, NULL, 22231),
(75197, '1cmbA00', NULL, NULL, 104, NULL, NULL, 22232),
(75198, '4wkzA01', NULL, NULL, 121, NULL, NULL, 22233),
(75199, '4kp2A01', NULL, NULL, 271, NULL, NULL, 22234),
(75200, '2b3yA01', NULL, NULL, 239, NULL, NULL, 22234),
(75201, '4kp2A02', NULL, NULL, 146, NULL, NULL, 22234),
(75202, '4kp1A01', NULL, NULL, 271, NULL, NULL, 22234),
(75203, '2b3yA03', NULL, NULL, 224, NULL, NULL, 22234),
(75204, '4kp1A02', NULL, NULL, 148, NULL, NULL, 22234),
(75205, '1c96A03', NULL, NULL, 175, NULL, NULL, 22234),
(75206, '3snpA02', NULL, NULL, 254, NULL, NULL, 22234),
(75207, '1l5jA04', NULL, NULL, 128, NULL, NULL, 22234);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(75208, '3snpA01', NULL, NULL, 367, NULL, NULL, 22234),
(75209, '1l5jA05', NULL, NULL, 183, NULL, NULL, 22234),
(75210, '1c96A01', NULL, NULL, 201, NULL, NULL, 22234),
(75211, '2e5rA00', NULL, NULL, 63, NULL, NULL, 22235),
(75212, '6ds6A00', NULL, NULL, 57, NULL, NULL, 22235),
(75213, '2n1aB00', NULL, NULL, 53, NULL, NULL, 22235),
(75214, '3g3oA00', NULL, NULL, 308, NULL, NULL, 22236),
(75215, '3g3tA00', NULL, NULL, 295, NULL, NULL, 22236),
(75216, '1u5eA01', NULL, NULL, 53, NULL, NULL, 22237),
(75217, '4fcyB05', NULL, NULL, 46, NULL, NULL, 22238),
(75218, '2x53S02', NULL, NULL, 163, NULL, NULL, 22239),
(75219, '2wzpP03', NULL, NULL, 127, NULL, NULL, 22239),
(75220, '4lqzA00', NULL, NULL, 146, NULL, NULL, 22240),
(75221, '3u07A02', NULL, NULL, 129, NULL, NULL, 22241),
(75222, '3wajA03', NULL, NULL, 100, NULL, NULL, 22242),
(75223, '3bpjB00', NULL, NULL, 80, NULL, NULL, 22243),
(75224, '2nmlA00', NULL, NULL, 104, NULL, NULL, 22244),
(75225, '1vwxf00', NULL, NULL, 110, NULL, NULL, 22245),
(75226, '4a18H00', NULL, NULL, 113, NULL, NULL, 22245),
(75227, '6em3f00', NULL, NULL, 107, NULL, NULL, 22245),
(75228, '2lp6A00', NULL, NULL, 95, NULL, NULL, 22245),
(75229, '1vx7900', NULL, NULL, 106, NULL, NULL, 22245),
(75230, '4ac9C04', NULL, NULL, 80, NULL, NULL, 22245),
(75231, '4txrA00', NULL, NULL, 163, NULL, NULL, 22246),
(75232, '2rkkA01', NULL, NULL, 167, NULL, NULL, 22246),
(75233, '1xf1A03', NULL, NULL, 131, NULL, NULL, 22247),
(75234, '1kvdB00', NULL, NULL, 77, NULL, NULL, 22248),
(75235, '2wcrB00', NULL, NULL, 159, NULL, NULL, 22249),
(75236, '3f2eA00', NULL, NULL, 100, NULL, NULL, 22250),
(75237, '3j9x101', NULL, NULL, 86, NULL, NULL, 22250),
(75238, '3fblA00', NULL, NULL, 82, NULL, NULL, 22250),
(75239, '3fbzA01', NULL, NULL, 105, NULL, NULL, 22250),
(75240, '1e1hB02', NULL, NULL, 64, NULL, NULL, 22251),
(75241, '3k3qC02', NULL, NULL, 65, NULL, NULL, 22251),
(75242, '3e8tA00', NULL, NULL, 220, NULL, NULL, 22252),
(75243, '3aosA00', NULL, NULL, 227, NULL, NULL, 22252),
(75244, '2rckA01', NULL, NULL, 222, NULL, NULL, 22252),
(75245, '2doqD00', NULL, NULL, 94, NULL, NULL, 22253),
(75246, '3kmlA00', NULL, NULL, 161, NULL, NULL, 22254),
(75247, '4j2gA00', NULL, NULL, 257, NULL, NULL, 22255),
(75248, '5c50B00', NULL, NULL, 194, NULL, NULL, 22255),
(75249, '2v64H00', NULL, NULL, 191, NULL, NULL, 22255),
(75250, '5xuyC00', NULL, NULL, 190, NULL, NULL, 22255),
(75251, '3gmhC00', NULL, NULL, 207, NULL, NULL, 22255),
(75252, '4trkA00', NULL, NULL, 273, NULL, NULL, 22255),
(75253, '4gk0A00', NULL, NULL, 214, NULL, NULL, 22255),
(75254, '4tzqA00', NULL, NULL, 237, NULL, NULL, 22255),
(75255, '4yk8B00', NULL, NULL, 242, NULL, NULL, 22255),
(75256, '4tzmB00', NULL, NULL, 253, NULL, NULL, 22255),
(75257, '4aezH00', NULL, NULL, 203, NULL, NULL, 22255),
(75258, '4extC00', NULL, NULL, 204, NULL, NULL, 22255),
(75259, '2vfxJ00', NULL, NULL, 206, NULL, NULL, 22255),
(75260, '4i9xA00', NULL, NULL, 215, NULL, NULL, 22256),
(75261, '3pieC09', NULL, NULL, 112, NULL, NULL, 22257),
(75262, '3hbxA01', NULL, NULL, 65, NULL, NULL, 22258),
(75263, '1pmmC01', NULL, NULL, 65, NULL, NULL, 22258),
(75264, '1xeyA01', NULL, NULL, 65, NULL, NULL, 22258),
(75265, '3lnnA01', NULL, NULL, 91, NULL, NULL, 22259),
(75266, '3ne5B01', NULL, NULL, 99, NULL, NULL, 22259),
(75267, '3oocA01', NULL, NULL, 76, NULL, NULL, 22259),
(75268, '4kkuC01', NULL, NULL, 96, NULL, NULL, 22259),
(75269, '2v4dE01', NULL, NULL, 96, NULL, NULL, 22259),
(75270, '4l8jA01', NULL, NULL, 100, NULL, NULL, 22259),
(75271, '4dk0A01', NULL, NULL, 80, NULL, NULL, 22259),
(75272, '3k2iA01', NULL, NULL, 131, NULL, NULL, 22260),
(75273, '3hlkA01', NULL, NULL, 147, NULL, NULL, 22260),
(75274, '2zpaA04', NULL, NULL, 140, NULL, NULL, 22261),
(75275, '2eg5E01', NULL, NULL, 142, NULL, NULL, 22262),
(75276, '5f2kB01', NULL, NULL, 153, NULL, NULL, 22262),
(75277, '2efjA01', NULL, NULL, 155, NULL, NULL, 22262),
(75278, '1m6eX01', NULL, NULL, 145, NULL, NULL, 22262),
(75279, '2imzA00', NULL, NULL, 168, NULL, NULL, 22263),
(75280, '2lwyA00', NULL, NULL, 138, NULL, NULL, 22263);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(75281, '1am2A00', NULL, NULL, 199, NULL, NULL, 22263),
(75282, '1mi8A00', NULL, NULL, 158, NULL, NULL, 22263),
(75283, '1at0A00', NULL, NULL, 145, NULL, NULL, 22263),
(75284, '1zdeA00', NULL, NULL, 177, NULL, NULL, 22263),
(75285, '2lcjA00', NULL, NULL, 185, NULL, NULL, 22263),
(75286, '4kl5B00', NULL, NULL, 144, NULL, NULL, 22263),
(75287, '6freA00', NULL, NULL, 169, NULL, NULL, 22263),
(75288, '1dq3A01', NULL, NULL, 177, NULL, NULL, 22263),
(75289, '4lx3A00', NULL, NULL, 108, NULL, NULL, 22263),
(75290, '2jmzA01', NULL, NULL, 168, NULL, NULL, 22263),
(75291, '3nzmA00', NULL, NULL, 168, NULL, NULL, 22263),
(75292, '4qfqA00', NULL, NULL, 111, NULL, NULL, 22263),
(75293, '4o1rA00', NULL, NULL, 142, NULL, NULL, 22263),
(75294, '4o1sA00', NULL, NULL, 170, NULL, NULL, 22263),
(75295, '1dfaA01', NULL, NULL, 219, NULL, NULL, 22263),
(75296, '4e2uA00', NULL, NULL, 168, NULL, NULL, 22263),
(75297, '1gppA00', NULL, NULL, 237, NULL, NULL, 22263),
(75298, '5k08A00', NULL, NULL, 142, NULL, NULL, 22263),
(75299, '2cw8A01', NULL, NULL, 169, NULL, NULL, 22263),
(75300, '5o9jA00', NULL, NULL, 184, NULL, NULL, 22263),
(75301, '5o9iA00', NULL, NULL, 195, NULL, NULL, 22263),
(75302, '2lc3A00', NULL, NULL, 88, NULL, NULL, 22264),
(75303, '2mphA01', NULL, NULL, 87, NULL, NULL, 22264),
(75304, '2qgmA03', NULL, NULL, 127, NULL, NULL, 22265),
(75305, '3b55A03', NULL, NULL, 127, NULL, NULL, 22265),
(75306, '2qhqA00', NULL, NULL, 125, NULL, NULL, 22266),
(75307, '2qhqB00', NULL, NULL, 125, NULL, NULL, 22266),
(75308, '2qm2B00', NULL, NULL, 125, NULL, NULL, 22266),
(75309, '1rajA01', NULL, NULL, 44, NULL, NULL, 22267),
(75310, '1rdrA01', NULL, NULL, 71, NULL, NULL, 22267),
(75311, '3pbtA02', NULL, NULL, 146, NULL, NULL, 22268),
(75312, '4bjpA02', NULL, NULL, 148, NULL, NULL, 22268),
(75313, '3eqvA02', NULL, NULL, 149, NULL, NULL, 22268),
(75314, '3ue3A02', NULL, NULL, 149, NULL, NULL, 22268),
(75315, '1wtjB01', NULL, NULL, 103, NULL, NULL, 22269),
(75316, '1z2iA01', NULL, NULL, 101, NULL, NULL, 22269),
(75317, '1vbiA01', NULL, NULL, 107, NULL, NULL, 22269),
(75318, '3uoeA01', NULL, NULL, 88, NULL, NULL, 22269),
(75319, '4h8aB01', NULL, NULL, 64, NULL, NULL, 22269),
(75320, '2g8yB01', NULL, NULL, 114, NULL, NULL, 22269),
(75321, '4h8aA01', NULL, NULL, 100, NULL, NULL, 22269),
(75322, '1v9nA01', NULL, NULL, 115, NULL, NULL, 22269),
(75323, '2x06A01', NULL, NULL, 133, NULL, NULL, 22269),
(75324, '3i0pA01', NULL, NULL, 112, NULL, NULL, 22269),
(75325, '1nxuA01', NULL, NULL, 81, NULL, NULL, 22269),
(75326, '1vsgA01', NULL, NULL, 203, NULL, NULL, 22270),
(75327, '2vsgA01', NULL, NULL, 198, NULL, NULL, 22270),
(75328, '3goxA03', NULL, NULL, 82, NULL, NULL, 22271),
(75329, '1e7lA01', NULL, NULL, 80, NULL, NULL, 22271),
(75330, '3r84A00', NULL, NULL, 86, NULL, NULL, 22272),
(75331, '4h63K00', NULL, NULL, 112, NULL, NULL, 22272),
(75332, '2crqA01', NULL, NULL, 86, NULL, NULL, 22273),
(75333, '2m71A00', NULL, NULL, 101, NULL, NULL, 22273),
(75334, '1tigA00', NULL, NULL, 94, NULL, NULL, 22273),
(75335, '2ifeA00', NULL, NULL, 100, NULL, NULL, 22273),
(75336, '1srqA01', NULL, NULL, 142, NULL, NULL, 22274),
(75337, '2ra1A02', NULL, NULL, 68, NULL, NULL, 22275),
(75338, '4g1iA02', NULL, NULL, 71, NULL, NULL, 22276),
(75339, '3db9A01', NULL, NULL, 151, NULL, NULL, 22277),
(75340, '2pifA01', NULL, NULL, 162, NULL, NULL, 22277),
(75341, '3p3aB02', NULL, NULL, 143, NULL, NULL, 22278),
(75342, '5wqjA01', NULL, NULL, 158, NULL, NULL, 22278),
(75343, '1hzmA00', NULL, NULL, 154, NULL, NULL, 22278),
(75344, '1okgA01', NULL, NULL, 161, NULL, NULL, 22278),
(75345, '1urhA02', NULL, NULL, 132, NULL, NULL, 22278),
(75346, '4jgtA02', NULL, NULL, 131, NULL, NULL, 22278),
(75347, '1okgA02', NULL, NULL, 141, NULL, NULL, 22278),
(75348, '4jgtC01', NULL, NULL, 150, NULL, NULL, 22278),
(75349, '1urhA01', NULL, NULL, 148, NULL, NULL, 22278),
(75350, '2gwfC00', NULL, NULL, 139, NULL, NULL, 22278),
(75351, '1uarA01', NULL, NULL, 143, NULL, NULL, 22278),
(75352, '1uarA02', NULL, NULL, 142, NULL, NULL, 22278),
(75353, '3icsA03', NULL, NULL, 102, NULL, NULL, 22278);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(75354, '3tp9A02', NULL, NULL, 110, NULL, NULL, 22278),
(75355, '5wqjA02', NULL, NULL, 139, NULL, NULL, 22278),
(75356, '3aayA01', NULL, NULL, 141, NULL, NULL, 22278),
(75357, '3aayA02', NULL, NULL, 136, NULL, NULL, 22278),
(75358, '3tp9A03', NULL, NULL, 102, NULL, NULL, 22278),
(75359, '1c25A00', NULL, NULL, 161, NULL, NULL, 22278),
(75360, '2fsxA00', NULL, NULL, 148, NULL, NULL, 22278),
(75361, '2kl3A01', NULL, NULL, 106, NULL, NULL, 22278),
(75362, '2jtqA00', NULL, NULL, 85, NULL, NULL, 22278),
(75363, '3flhB00', NULL, NULL, 124, NULL, NULL, 22278),
(75364, '3gk5A00', NULL, NULL, 108, NULL, NULL, 22278),
(75365, '1e0cA02', NULL, NULL, 127, NULL, NULL, 22278),
(75366, '2wlxA03', NULL, NULL, 160, NULL, NULL, 22278),
(75367, '3utnX02', NULL, NULL, 148, NULL, NULL, 22278),
(75368, '3i2vA00', NULL, NULL, 127, NULL, NULL, 22278),
(75369, '1e0cA01', NULL, NULL, 144, NULL, NULL, 22278),
(75370, '3utnX01', NULL, NULL, 156, NULL, NULL, 22278),
(75371, '3fojA00', NULL, NULL, 100, NULL, NULL, 22278),
(75372, '3mzzA00', NULL, NULL, 103, NULL, NULL, 22278),
(75373, '3hzuA02', NULL, NULL, 142, NULL, NULL, 22278),
(75374, '3hzuA01', NULL, NULL, 153, NULL, NULL, 22278),
(75375, '2hhgA00', NULL, NULL, 139, NULL, NULL, 22278),
(75376, '2a2kA00', NULL, NULL, 175, NULL, NULL, 22278),
(75377, '2eg4A02', NULL, NULL, 111, NULL, NULL, 22278),
(75378, '1veeA00', NULL, NULL, 134, NULL, NULL, 22278),
(75379, '2eg4A01', NULL, NULL, 118, NULL, NULL, 22278),
(75380, '5ve3A02', NULL, NULL, 112, NULL, NULL, 22278),
(75381, '3d1pA00', NULL, NULL, 120, NULL, NULL, 22278),
(75382, '5hbpA00', NULL, NULL, 106, NULL, NULL, 22278),
(75383, '3r2uA02', NULL, NULL, 84, NULL, NULL, 22278),
(75384, '3k9rC00', NULL, NULL, 115, NULL, NULL, 22278),
(75385, '1wv9A00', NULL, NULL, 94, NULL, NULL, 22278),
(75386, '3g5jA00', NULL, NULL, 134, NULL, NULL, 22278),
(75387, '2vswA00', NULL, NULL, 134, NULL, NULL, 22278),
(75388, '3op3A00', NULL, NULL, 183, NULL, NULL, 22278),
(75389, '2j6pA00', NULL, NULL, 152, NULL, NULL, 22278),
(75390, '2uzqA00', NULL, NULL, 182, NULL, NULL, 22278),
(75391, '1tq1A00', NULL, NULL, 129, NULL, NULL, 22278),
(75392, '3p3aA01', NULL, NULL, 153, NULL, NULL, 22278),
(75393, '1yt8A03', NULL, NULL, 91, NULL, NULL, 22278),
(75394, '1yt8A04', NULL, NULL, 107, NULL, NULL, 22278),
(75395, '4f67A02', NULL, NULL, 158, NULL, NULL, 22278),
(75396, '2oucA00', NULL, NULL, 142, NULL, NULL, 22278),
(75397, '1qxnA00', NULL, NULL, 137, NULL, NULL, 22278),
(75398, '1yt8A01', NULL, NULL, 97, NULL, NULL, 22278),
(75399, '1rhsA01', NULL, NULL, 156, NULL, NULL, 22278),
(75400, '1yt8A02', NULL, NULL, 108, NULL, NULL, 22278),
(75401, '1rhsA02', NULL, NULL, 136, NULL, NULL, 22278),
(75402, '3ilmB00', NULL, NULL, 141, NULL, NULL, 22278),
(75403, '1t3kA00', NULL, NULL, 132, NULL, NULL, 22278),
(75404, '1gmxA00', NULL, NULL, 108, NULL, NULL, 22278),
(75405, '2k0zA00', NULL, NULL, 110, NULL, NULL, 22278),
(75406, '3f4aA00', NULL, NULL, 144, NULL, NULL, 22278),
(75407, '2wlrA02', NULL, NULL, 145, NULL, NULL, 22278),
(75408, '2wlrA03', NULL, NULL, 160, NULL, NULL, 22278),
(75409, '3nhvC01', NULL, NULL, 120, NULL, NULL, 22278),
(75410, '2wlrA01', NULL, NULL, 118, NULL, NULL, 22278),
(75411, '3ntdA03', NULL, NULL, 95, NULL, NULL, 22278),
(75412, '1h5wB03', NULL, NULL, 45, NULL, NULL, 22279),
(75413, '4qjvA03', NULL, NULL, 62, NULL, NULL, 22280),
(75414, '3tixB01', NULL, NULL, 160, NULL, NULL, 22281),
(75415, '4ftfA00', NULL, NULL, 112, NULL, NULL, 22282),
(75416, '3npdA00', NULL, NULL, 118, NULL, NULL, 22282),
(75417, '6i2vA00', NULL, NULL, 114, NULL, NULL, 22282),
(75418, '3cbnA00', NULL, NULL, 151, NULL, NULL, 22283),
(75419, '3sqlB02', NULL, NULL, 156, NULL, NULL, 22284),
(75420, '5w0kA01', NULL, NULL, 325, NULL, NULL, 22285),
(75421, '3u8zD02', NULL, NULL, 70, NULL, NULL, 22286),
(75422, '4gxbA02', NULL, NULL, 62, NULL, NULL, 22286),
(75423, '4fz4A00', NULL, NULL, 154, NULL, NULL, 22287),
(75424, '3t30C00', NULL, NULL, 110, NULL, NULL, 22288),
(75425, '1k5jB00', NULL, NULL, 124, NULL, NULL, 22288),
(75426, '4n8mD00', NULL, NULL, 117, NULL, NULL, 22288);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(75427, '2vtxB00', NULL, NULL, 104, NULL, NULL, 22288),
(75428, '1xe0C00', NULL, NULL, 114, NULL, NULL, 22288),
(75429, '5ehdB00', NULL, NULL, 116, NULL, NULL, 22288),
(75430, '4ca9A00', NULL, NULL, 98, NULL, NULL, 22288),
(75431, '1nlqE00', NULL, NULL, 108, NULL, NULL, 22288),
(75432, '2kjgA00', NULL, NULL, 99, NULL, NULL, 22289),
(75433, '4c5wA01', NULL, NULL, 97, NULL, NULL, 22290),
(75434, '3luuA00', NULL, NULL, 101, NULL, NULL, 22290),
(75435, '5u7aA00', NULL, NULL, 212, NULL, NULL, 22291),
(75436, '5c17A00', NULL, NULL, 209, NULL, NULL, 22291),
(75437, '1wy6A00', NULL, NULL, 172, NULL, NULL, 22292),
(75438, '3b4qA00', NULL, NULL, 94, NULL, NULL, 22293),
(75439, '3duzA04', NULL, NULL, 34, NULL, NULL, 22294),
(75440, '4mh8A04', NULL, NULL, 76, NULL, NULL, 22295),
(75441, '5xteG00', NULL, NULL, 51, NULL, NULL, 22296),
(75442, '2oarE02', NULL, NULL, 22, NULL, NULL, 22296),
(75443, '4ifdK01', NULL, NULL, 20, NULL, NULL, 22296),
(75444, '1mslA02', NULL, NULL, 18, NULL, NULL, 22296),
(75445, '1l0nK00', NULL, NULL, 56, NULL, NULL, 22296),
(75446, '2j59M02', NULL, NULL, 25, NULL, NULL, 22296),
(75447, '3clqB01', NULL, NULL, 24, NULL, NULL, 22296),
(75448, '3s6n201', NULL, NULL, 17, NULL, NULL, 22296),
(75449, '1ntmK00', NULL, NULL, 56, NULL, NULL, 22296),
(75450, '2wscH01', NULL, NULL, 23, NULL, NULL, 22296),
(75451, '3g3zA01', NULL, NULL, 28, NULL, NULL, 22296),
(75452, '2lkmA01', NULL, NULL, 17, NULL, NULL, 22296),
(75453, '4h63Q02', NULL, NULL, 57, NULL, NULL, 22297),
(75454, '2gmoA01', NULL, NULL, 60, NULL, NULL, 22298),
(75455, '3l56B02', NULL, NULL, 73, NULL, NULL, 22298),
(75456, '3khwA02', NULL, NULL, 55, NULL, NULL, 22298),
(75457, '3r2vA02', NULL, NULL, 67, NULL, NULL, 22298),
(75458, '4cl1A01', NULL, NULL, 61, NULL, NULL, 22299),
(75459, '3fqmA01', NULL, NULL, 61, NULL, NULL, 22299),
(75460, '1s6dA01', NULL, NULL, 85, NULL, NULL, 22300),
(75461, '2algA00', NULL, NULL, 92, NULL, NULL, 22300),
(75462, '5tviW00', NULL, NULL, 92, NULL, NULL, 22300),
(75463, '6frrA00', NULL, NULL, 92, NULL, NULL, 22300),
(75464, '1tukA00', NULL, NULL, 67, NULL, NULL, 22300),
(75465, '1rzlA00', NULL, NULL, 91, NULL, NULL, 22300),
(75466, '1l6hA00', NULL, NULL, 69, NULL, NULL, 22300),
(75467, '1b1uA00', NULL, NULL, 122, NULL, NULL, 22300),
(75468, '2n2zA00', NULL, NULL, 93, NULL, NULL, 22300),
(75469, '2malA00', NULL, NULL, 93, NULL, NULL, 22300),
(75470, '2ds2D01', NULL, NULL, 60, NULL, NULL, 22300),
(75471, '1sm7A00', NULL, NULL, 109, NULL, NULL, 22300),
(75472, '1psyA01', NULL, NULL, 100, NULL, NULL, 22300),
(75473, '1siyA00', NULL, NULL, 91, NULL, NULL, 22300),
(75474, '1pnbB00', NULL, NULL, 75, NULL, NULL, 22300),
(75475, '2lvfA00', NULL, NULL, 114, NULL, NULL, 22300),
(75476, '2rknA00', NULL, NULL, 77, NULL, NULL, 22300),
(75477, '5domA00', NULL, NULL, 122, NULL, NULL, 22300),
(75478, '4xuwA00', NULL, NULL, 92, NULL, NULL, 22300),
(75479, '1w2qA01', NULL, NULL, 113, NULL, NULL, 22300),
(75480, '1midA00', NULL, NULL, 91, NULL, NULL, 22300),
(75481, '1t12A00', NULL, NULL, 91, NULL, NULL, 22300),
(75482, '1bwoA00', NULL, NULL, 90, NULL, NULL, 22300),
(75483, '2n81A00', NULL, NULL, 95, NULL, NULL, 22300),
(75484, '1hypA00', NULL, NULL, 80, NULL, NULL, 22300),
(75485, '1hssA00', NULL, NULL, 124, NULL, NULL, 22300),
(75486, '4cvwC00', NULL, NULL, 120, NULL, NULL, 22300),
(75487, '1beaA00', NULL, NULL, 127, NULL, NULL, 22300),
(75488, '1fk5A00', NULL, NULL, 93, NULL, NULL, 22300),
(75489, '3ns4A00', NULL, NULL, 228, NULL, NULL, 22301),
(75490, '3tj9A02', NULL, NULL, 95, NULL, NULL, 22302),
(75491, '3tj8A02', NULL, NULL, 74, NULL, NULL, 22302),
(75492, '1earA02', NULL, NULL, 74, NULL, NULL, 22302),
(75493, '1gmwA01', NULL, NULL, 64, NULL, NULL, 22302),
(75494, '1gmuA01', NULL, NULL, 72, NULL, NULL, 22302),
(75495, '2hfvA01', NULL, NULL, 77, NULL, NULL, 22302),
(75496, '3qq5A02', NULL, NULL, 109, NULL, NULL, 22303),
(75497, '5kh0A02', NULL, NULL, 109, NULL, NULL, 22303),
(75498, '3ubtA02', NULL, NULL, 151, NULL, NULL, 22304),
(75499, '4h0nA02', NULL, NULL, 134, NULL, NULL, 22304),
(75500, '2c7rA02', NULL, NULL, 116, NULL, NULL, 22304);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(75501, '1g55A01', NULL, NULL, 144, NULL, NULL, 22304),
(75502, '3ptaA01', NULL, NULL, 141, NULL, NULL, 22304),
(75503, '5gutA04', NULL, NULL, 186, NULL, NULL, 22304),
(75504, '4dkjA02', NULL, NULL, 92, NULL, NULL, 22304),
(75505, '3qv2A02', NULL, NULL, 120, NULL, NULL, 22304),
(75506, '3g7uA02', NULL, NULL, 178, NULL, NULL, 22304),
(75507, '4ft4A03', NULL, NULL, 175, NULL, NULL, 22304),
(75508, '4ob0B01', NULL, NULL, 126, NULL, NULL, 22305),
(75509, '4zgjB01', NULL, NULL, 105, NULL, NULL, 22305),
(75510, '3vygE00', NULL, NULL, 157, NULL, NULL, 22305),
(75511, '3hhtB01', NULL, NULL, 132, NULL, NULL, 22305),
(75512, '3qyhB01', NULL, NULL, 118, NULL, NULL, 22305),
(75513, '3a8gB01', NULL, NULL, 110, NULL, NULL, 22305),
(75514, '1v29B01', NULL, NULL, 132, NULL, NULL, 22305),
(75515, '4ckbA02', NULL, NULL, 211, NULL, NULL, 22306),
(75516, '3zilA00', NULL, NULL, 362, NULL, NULL, 22307),
(75517, '3ihmA02', NULL, NULL, 144, NULL, NULL, 22308),
(75518, '2aj4A02', NULL, NULL, 95, NULL, NULL, 22309),
(75519, '3v2uC02', NULL, NULL, 95, NULL, NULL, 22309),
(75520, '2a2cA02', NULL, NULL, 93, NULL, NULL, 22309),
(75521, '2kswA01', NULL, NULL, 46, NULL, NULL, 22310),
(75522, '3sqnA02', NULL, NULL, 118, NULL, NULL, 22311),
(75523, '6bogA04', NULL, NULL, 302, NULL, NULL, 22312),
(75524, '1z6aA01', NULL, NULL, 206, NULL, NULL, 22312),
(75525, '1z3iX01', NULL, NULL, 277, NULL, NULL, 22312),
(75526, '3mwyW03', NULL, NULL, 282, NULL, NULL, 22312),
(75527, '4jk8B01', NULL, NULL, 153, NULL, NULL, 22313),
(75528, '3sbtA01', NULL, NULL, 161, NULL, NULL, 22313),
(75529, '6nqiA01', NULL, NULL, 144, NULL, NULL, 22313),
(75530, '1hi9A02', NULL, NULL, 76, NULL, NULL, 22314),
(75531, '3dktA02', NULL, NULL, 96, NULL, NULL, 22315),
(75532, '2pk8A00', NULL, NULL, 103, NULL, NULL, 22315),
(75533, '1ohgA02', NULL, NULL, 107, NULL, NULL, 22315),
(75534, '2e0zA03', NULL, NULL, 104, NULL, NULL, 22315),
(75535, '3b8mC01', NULL, NULL, 169, NULL, NULL, 22316),
(75536, '4e29B00', NULL, NULL, 248, NULL, NULL, 22316),
(75537, '4e2hC00', NULL, NULL, 240, NULL, NULL, 22316),
(75538, '4zm5C00', NULL, NULL, 243, NULL, NULL, 22316),
(75539, '4e2cB00', NULL, NULL, 245, NULL, NULL, 22316),
(75540, '3b8oA01', NULL, NULL, 229, NULL, NULL, 22316),
(75541, '3b8pC00', NULL, NULL, 189, NULL, NULL, 22316),
(75542, '2obeA04', NULL, NULL, 208, NULL, NULL, 22317),
(75543, '1p2zA04', NULL, NULL, 208, NULL, NULL, 22317),
(75544, '5tipA01', NULL, NULL, 188, NULL, NULL, 22317),
(75545, '2l9bB00', NULL, NULL, 53, NULL, NULL, 22318),
(75546, '2l3nA00', NULL, NULL, 104, NULL, NULL, 22319),
(75547, '2e1mA03', NULL, NULL, 80, NULL, NULL, 22320),
(75548, '2jsnA00', NULL, NULL, 96, NULL, NULL, 22321),
(75549, '2mysA01', NULL, NULL, 48, NULL, NULL, 22322),
(75550, '4e7sA01', NULL, NULL, 59, NULL, NULL, 22322),
(75551, '1b7tA02', NULL, NULL, 52, NULL, NULL, 22322),
(75552, '4pfoA01', NULL, NULL, 49, NULL, NULL, 22322),
(75553, '1lvkA01', NULL, NULL, 48, NULL, NULL, 22322),
(75554, '2jkgA00', NULL, NULL, 179, NULL, NULL, 22323),
(75555, '3cptB00', NULL, NULL, 131, NULL, NULL, 22323),
(75556, '1pneA00', NULL, NULL, 140, NULL, NULL, 22323),
(75557, '5fdsA00', NULL, NULL, 131, NULL, NULL, 22323),
(75558, '2hz5A00', NULL, NULL, 106, NULL, NULL, 22323),
(75559, '1d1jB00', NULL, NULL, 139, NULL, NULL, 22323),
(75560, '3kyeB00', NULL, NULL, 128, NULL, NULL, 22323),
(75561, '4qwoB00', NULL, NULL, 132, NULL, NULL, 22323),
(75562, '4espA00', NULL, NULL, 130, NULL, NULL, 22323),
(75563, '5em1A00', NULL, NULL, 135, NULL, NULL, 22323),
(75564, '1acfA00', NULL, NULL, 125, NULL, NULL, 22323),
(75565, '2v8fA00', NULL, NULL, 140, NULL, NULL, 22323),
(75566, '1j3wC00', NULL, NULL, 138, NULL, NULL, 22323),
(75567, '4ftxB01', NULL, NULL, 140, NULL, NULL, 22323),
(75568, '5ev0B00', NULL, NULL, 134, NULL, NULL, 22323),
(75569, '1f2kA00', NULL, NULL, 125, NULL, NULL, 22323),
(75570, '5nzbA00', NULL, NULL, 132, NULL, NULL, 22323),
(75571, '1y4oA00', NULL, NULL, 104, NULL, NULL, 22323),
(75572, '3ms6A00', NULL, NULL, 99, NULL, NULL, 22323),
(75573, '3t1sA00', NULL, NULL, 136, NULL, NULL, 22323);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(75574, '3d9yA00', NULL, NULL, 127, NULL, NULL, 22323),
(75575, '3leqA00', NULL, NULL, 126, NULL, NULL, 22323),
(75576, '6b9xB00', NULL, NULL, 126, NULL, NULL, 22323),
(75577, '5em0A00', NULL, NULL, 135, NULL, NULL, 22323),
(75578, '5fefA00', NULL, NULL, 132, NULL, NULL, 22323),
(75579, '3necA00', NULL, NULL, 166, NULL, NULL, 22323),
(75580, '3l7hB00', NULL, NULL, 97, NULL, NULL, 22323),
(75581, '2pbdP00', NULL, NULL, 139, NULL, NULL, 22323),
(75582, '3nulA00', NULL, NULL, 130, NULL, NULL, 22323),
(75583, '6b9xE00', NULL, NULL, 91, NULL, NULL, 22323),
(75584, '1yprA00', NULL, NULL, 125, NULL, NULL, 22323),
(75585, '6b9xC00', NULL, NULL, 124, NULL, NULL, 22323),
(75586, '1g5uA00', NULL, NULL, 131, NULL, NULL, 22323),
(75587, '1veuB00', NULL, NULL, 126, NULL, NULL, 22323),
(75588, '1z2zA01', NULL, NULL, 239, NULL, NULL, 22324),
(75589, '1szwA01', NULL, NULL, 203, NULL, NULL, 22324),
(75590, '1itvA00', NULL, NULL, 195, NULL, NULL, 22325),
(75591, '1qhuA01', NULL, NULL, 190, NULL, NULL, 22325),
(75592, '3lp9A00', NULL, NULL, 227, NULL, NULL, 22325),
(75593, '3s18A00', NULL, NULL, 227, NULL, NULL, 22325),
(75594, '1fblA02', NULL, NULL, 191, NULL, NULL, 22325),
(75595, '1hxnA00', NULL, NULL, 219, NULL, NULL, 22325),
(75596, '3ba0A02', NULL, NULL, 193, NULL, NULL, 22325),
(75597, '1genA00', NULL, NULL, 200, NULL, NULL, 22325),
(75598, '1su3A02', NULL, NULL, 200, NULL, NULL, 22325),
(75599, '4fvlA02', NULL, NULL, 190, NULL, NULL, 22325),
(75600, '3oyoA00', NULL, NULL, 225, NULL, NULL, 22325),
(75601, '3c7xA00', NULL, NULL, 196, NULL, NULL, 22325),
(75602, '3rmqA02', NULL, NULL, 58, NULL, NULL, 22326),
(75603, '2l92A01', NULL, NULL, 26, NULL, NULL, 22327),
(75604, '1ftrA02', NULL, NULL, 149, NULL, NULL, 22328),
(75605, '1ftrA01', NULL, NULL, 147, NULL, NULL, 22328),
(75606, '1m5sA02', NULL, NULL, 146, NULL, NULL, 22328),
(75607, '1m5hA02', NULL, NULL, 146, NULL, NULL, 22328),
(75608, '1m5sA01', NULL, NULL, 151, NULL, NULL, 22328),
(75609, '1m5hA01', NULL, NULL, 151, NULL, NULL, 22328),
(75610, '4l1nA00', NULL, NULL, 161, NULL, NULL, 22329),
(75611, '1w26A02', NULL, NULL, 225, NULL, NULL, 22330),
(75612, '3gtyX03', NULL, NULL, 186, NULL, NULL, 22330),
(75613, '2nsaA00', NULL, NULL, 170, NULL, NULL, 22330),
(75614, '1zxjA01', NULL, NULL, 198, NULL, NULL, 22330),
(75615, '1t11A02', NULL, NULL, 180, NULL, NULL, 22330),
(75616, '1hqiA00', NULL, NULL, 90, NULL, NULL, 22331),
(75617, '2innL00', NULL, NULL, 89, NULL, NULL, 22331),
(75618, '2mobA00', NULL, NULL, 104, NULL, NULL, 22331),
(75619, '4gamD00', NULL, NULL, 141, NULL, NULL, 22331),
(75620, '2inpL00', NULL, NULL, 89, NULL, NULL, 22331),
(75621, '3ge3E00', NULL, NULL, 103, NULL, NULL, 22331),
(75622, '3n40P03', NULL, NULL, 55, NULL, NULL, 22332),
(75623, '3ostA00', NULL, NULL, 128, NULL, NULL, 22333),
(75624, '3c0fB00', NULL, NULL, 91, NULL, NULL, 22334),
(75625, '3fbqA02', NULL, NULL, 145, NULL, NULL, 22335),
(75626, '1xneA00', NULL, NULL, 113, NULL, NULL, 22336),
(75627, '1s04A00', NULL, NULL, 110, NULL, NULL, 22336),
(75628, '1te7A00', NULL, NULL, 103, NULL, NULL, 22336),
(75629, '2z0tB00', NULL, NULL, 109, NULL, NULL, 22336),
(75630, '2dp9A01', NULL, NULL, 100, NULL, NULL, 22336),
(75631, '2kkuA00', NULL, NULL, 139, NULL, NULL, 22336),
(75632, '3iuwB00', NULL, NULL, 83, NULL, NULL, 22336),
(75633, '2pajA03', NULL, NULL, 34, NULL, NULL, 22337),
(75634, '2p1jA02', NULL, NULL, 36, NULL, NULL, 22337),
(75635, '2p1jB02', NULL, NULL, 26, NULL, NULL, 22337),
(75636, '3zg9A00', NULL, NULL, 47, NULL, NULL, 22338),
(75637, '2gvsA00', NULL, NULL, 109, NULL, NULL, 22339),
(75638, '1n8vB00', NULL, NULL, 112, NULL, NULL, 22339),
(75639, '2jntA00', NULL, NULL, 108, NULL, NULL, 22339),
(75640, '3ajeA02', NULL, NULL, 138, NULL, NULL, 22340),
(75641, '2yv4A00', NULL, NULL, 105, NULL, NULL, 22340),
(75642, '5xl4C00', NULL, NULL, 176, NULL, NULL, 22341),
(75643, '4fqiB00', NULL, NULL, 177, NULL, NULL, 22341),
(75644, '4bsgB00', NULL, NULL, 177, NULL, NULL, 22341),
(75645, '4f23A01', NULL, NULL, 296, NULL, NULL, 22341),
(75646, '5bnyF00', NULL, NULL, 191, NULL, NULL, 22341);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(75647, '2yp9A01', NULL, NULL, 287, NULL, NULL, 22341),
(75648, '4k3xB00', NULL, NULL, 181, NULL, NULL, 22341),
(75649, '3m5jB00', NULL, NULL, 182, NULL, NULL, 22341),
(75650, '6n4fB00', NULL, NULL, 182, NULL, NULL, 22341),
(75651, '1flcB00', NULL, NULL, 175, NULL, NULL, 22341),
(75652, '5vliB00', NULL, NULL, 176, NULL, NULL, 22341),
(75653, '4m44B00', NULL, NULL, 182, NULL, NULL, 22341),
(75654, '4we5B00', NULL, NULL, 181, NULL, NULL, 22341),
(75655, '4f3zD00', NULL, NULL, 179, NULL, NULL, 22341),
(75656, '6aorB00', NULL, NULL, 174, NULL, NULL, 22341),
(75657, '4wswB00', NULL, NULL, 182, NULL, NULL, 22341),
(75658, '1rv0I00', NULL, NULL, 160, NULL, NULL, 22341),
(75659, '4fnkB00', NULL, NULL, 174, NULL, NULL, 22341),
(75660, '5e62B00', NULL, NULL, 149, NULL, NULL, 22341),
(75661, '2wr1C01', NULL, NULL, 272, NULL, NULL, 22341),
(75662, '4mc5A01', NULL, NULL, 289, NULL, NULL, 22341),
(75663, '1qu1F00', NULL, NULL, 155, NULL, NULL, 22341),
(75664, '3ubqH00', NULL, NULL, 177, NULL, NULL, 22341),
(75665, '5cjqB00', NULL, NULL, 172, NULL, NULL, 22341),
(75666, '4gxxF00', NULL, NULL, 176, NULL, NULL, 22341),
(75667, '1htmD00', NULL, NULL, 138, NULL, NULL, 22341),
(75668, '4wa1A01', NULL, NULL, 280, NULL, NULL, 22341),
(75669, '1jsdB00', NULL, NULL, 160, NULL, NULL, 22341),
(75670, '3ku3B00', NULL, NULL, 174, NULL, NULL, 22341),
(75671, '4h32D00', NULL, NULL, 171, NULL, NULL, 22341),
(75672, '5tg9B00', NULL, NULL, 175, NULL, NULL, 22341),
(75673, '4kpqB00', NULL, NULL, 175, NULL, NULL, 22341),
(75674, '5xrsB00', NULL, NULL, 174, NULL, NULL, 22341),
(75675, '4w8nD00', NULL, NULL, 179, NULL, NULL, 22341),
(75676, '5th1B00', NULL, NULL, 180, NULL, NULL, 22341),
(75677, '4wsrF01', NULL, NULL, 290, NULL, NULL, 22341),
(75678, '4jumB00', NULL, NULL, 182, NULL, NULL, 22341),
(75679, '4uo0B00', NULL, NULL, 172, NULL, NULL, 22341),
(75680, '4edbB00', NULL, NULL, 160, NULL, NULL, 22341),
(75681, '5t0bB00', NULL, NULL, 180, NULL, NULL, 22341),
(75682, '4ln6H00', NULL, NULL, 181, NULL, NULL, 22341),
(75683, '3tedA01', NULL, NULL, 126, NULL, NULL, 22342),
(75684, '2bw2A02', NULL, NULL, 78, NULL, NULL, 22343),
(75685, '1vk1A02', NULL, NULL, 130, NULL, NULL, 22344),
(75686, '5x0jA02', NULL, NULL, 130, NULL, NULL, 22344),
(75687, '3v6iX00', NULL, NULL, 105, NULL, NULL, 22345),
(75688, '4efaG00', NULL, NULL, 119, NULL, NULL, 22345),
(75689, '4k0mC02', NULL, NULL, 89, NULL, NULL, 22346),
(75690, '4wweA02', NULL, NULL, 89, NULL, NULL, 22346),
(75691, '5dm6002', NULL, NULL, 93, NULL, NULL, 22346),
(75692, '4reoA02', NULL, NULL, 93, NULL, NULL, 22346),
(75693, '4wwtA02', NULL, NULL, 89, NULL, NULL, 22346),
(75694, '4lq4A02', NULL, NULL, 91, NULL, NULL, 22346),
(75695, '3o58A02', NULL, NULL, 95, NULL, NULL, 22346),
(75696, '1dwuA02', NULL, NULL, 91, NULL, NULL, 22346),
(75697, '1mzpA02', NULL, NULL, 91, NULL, NULL, 22346),
(75698, '3qoyA02', NULL, NULL, 93, NULL, NULL, 22346),
(75699, '2llvA00', NULL, NULL, 71, NULL, NULL, 22347),
(75700, '2llwA00', NULL, NULL, 71, NULL, NULL, 22347),
(75701, '2lnmA00', NULL, NULL, 62, NULL, NULL, 22347),
(75702, '2wvxA03', NULL, NULL, 95, NULL, NULL, 22348),
(75703, '2ww2A03', NULL, NULL, 95, NULL, NULL, 22348),
(75704, '4ecoB00', NULL, NULL, 613, NULL, NULL, 22349),
(75705, '3jb9j00', NULL, NULL, 162, NULL, NULL, 22349),
(75706, '4r6gA00', NULL, NULL, 464, NULL, NULL, 22349),
(75707, '2o6sA00', NULL, NULL, 208, NULL, NULL, 22349),
(75708, '4u7lA01', NULL, NULL, 323, NULL, NULL, 22349),
(75709, '4u7lA02', NULL, NULL, 133, NULL, NULL, 22349),
(75710, '2z62A00', NULL, NULL, 276, NULL, NULL, 22349),
(75711, '4b8cD01', NULL, NULL, 203, NULL, NULL, 22349),
(75712, '5ijcA00', NULL, NULL, 594, NULL, NULL, 22349),
(75713, '2z80B00', NULL, NULL, 327, NULL, NULL, 22349),
(75714, '4r5cA00', NULL, NULL, 304, NULL, NULL, 22349),
(75715, '3bz5A01', NULL, NULL, 371, NULL, NULL, 22349),
(75716, '1h6uA02', NULL, NULL, 162, NULL, NULL, 22349),
(75717, '4pufA01', NULL, NULL, 304, NULL, NULL, 22349),
(75718, '1io0A00', NULL, NULL, 166, NULL, NULL, 22349),
(75719, '3tsrE00', NULL, NULL, 457, NULL, NULL, 22349);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(75720, '2z7xB00', NULL, NULL, 520, NULL, NULL, 22349),
(75721, '4cilA01', NULL, NULL, 211, NULL, NULL, 22349),
(75722, '4u09A00', NULL, NULL, 401, NULL, NULL, 22349),
(75723, '1xwdC00', NULL, NULL, 252, NULL, NULL, 22349),
(75724, '4v2eA00', NULL, NULL, 331, NULL, NULL, 22349),
(75725, '4ufrC01', NULL, NULL, 456, NULL, NULL, 22349),
(75726, '2v9tB00', NULL, NULL, 220, NULL, NULL, 22349),
(75727, '4bv4R00', NULL, NULL, 446, NULL, NULL, 22349),
(75728, '4u06A00', NULL, NULL, 344, NULL, NULL, 22349),
(75729, '4mn8B00', NULL, NULL, 175, NULL, NULL, 22349),
(75730, '3vq2A00', NULL, NULL, 586, NULL, NULL, 22349),
(75731, '6f4jA00', NULL, NULL, 176, NULL, NULL, 22349),
(75732, '4qxeA01', NULL, NULL, 436, NULL, NULL, 22349),
(75733, '3rezC00', NULL, NULL, 129, NULL, NULL, 22349),
(75734, '2id5A01', NULL, NULL, 368, NULL, NULL, 22349),
(75735, '4ojuC00', NULL, NULL, 148, NULL, NULL, 22349),
(75736, '2o6qA00', NULL, NULL, 270, NULL, NULL, 22349),
(75737, '4rcaB00', NULL, NULL, 251, NULL, NULL, 22349),
(75738, '3rfjA00', NULL, NULL, 279, NULL, NULL, 22349),
(75739, '4pq8A00', NULL, NULL, 248, NULL, NULL, 22349),
(75740, '3wpcA00', NULL, NULL, 754, NULL, NULL, 22349),
(75741, '2ca6A00', NULL, NULL, 345, NULL, NULL, 22349),
(75742, '3zyiA01', NULL, NULL, 306, NULL, NULL, 22349),
(75743, '3g39A00', NULL, NULL, 170, NULL, NULL, 22349),
(75744, '2wfhA00', NULL, NULL, 193, NULL, NULL, 22349),
(75745, '1a9nC00', NULL, NULL, 176, NULL, NULL, 22349),
(75746, '4z8gA00', NULL, NULL, 175, NULL, NULL, 22349),
(75747, '5hzlB01', NULL, NULL, 201, NULL, NULL, 22349),
(75748, '4fhoB00', NULL, NULL, 231, NULL, NULL, 22349),
(75749, '3cigA00', NULL, NULL, 671, NULL, NULL, 22349),
(75750, '4aw4A02', NULL, NULL, 162, NULL, NULL, 22349),
(75751, '3a79B00', NULL, NULL, 530, NULL, NULL, 22349),
(75752, '3e6jA00', NULL, NULL, 229, NULL, NULL, 22349),
(75753, '4perA00', NULL, NULL, 460, NULL, NULL, 22349),
(75754, '4wwuH01', NULL, NULL, 161, NULL, NULL, 22349),
(75755, '3e4gA00', NULL, NULL, 176, NULL, NULL, 22349),
(75756, '5il7A00', NULL, NULL, 447, NULL, NULL, 22349),
(75757, '1ogqA00', NULL, NULL, 313, NULL, NULL, 22349),
(75758, '4hq1A02', NULL, NULL, 126, NULL, NULL, 22349),
(75759, '4hq1A01', NULL, NULL, 298, NULL, NULL, 22349),
(75760, '4psjA00', NULL, NULL, 271, NULL, NULL, 22349),
(75761, '4r6fA00', NULL, NULL, 331, NULL, NULL, 22349),
(75762, '4cnmA00', NULL, NULL, 299, NULL, NULL, 22349),
(75763, '4im6A00', NULL, NULL, 206, NULL, NULL, 22349),
(75764, '4kxfP04', NULL, NULL, 416, NULL, NULL, 22349),
(75765, '4ecnA03', NULL, NULL, 613, NULL, NULL, 22349),
(75766, '3wpfA00', NULL, NULL, 770, NULL, NULL, 22349),
(75767, '5b4pC00', NULL, NULL, 261, NULL, NULL, 22349),
(75768, '1z7xW00', NULL, NULL, 461, NULL, NULL, 22349),
(75769, '4xsqB00', NULL, NULL, 183, NULL, NULL, 22349),
(75770, '5d3iA00', NULL, NULL, 568, NULL, NULL, 22349),
(75771, '1ziwA00', NULL, NULL, 638, NULL, NULL, 22349),
(75772, '3g06A01', NULL, NULL, 325, NULL, NULL, 22349),
(75773, '2ifgA01', NULL, NULL, 156, NULL, NULL, 22349),
(75774, '4arnA00', NULL, NULL, 279, NULL, NULL, 22349),
(75775, '2r9uA00', NULL, NULL, 174, NULL, NULL, 22349),
(75776, '2z66A00', NULL, NULL, 306, NULL, NULL, 22349),
(75777, '4q62A00', NULL, NULL, 422, NULL, NULL, 22349),
(75778, '4wp6A00', NULL, NULL, 165, NULL, NULL, 22349),
(75779, '3wn4A00', NULL, NULL, 811, NULL, NULL, 22349),
(75780, '4xosA00', NULL, NULL, 152, NULL, NULL, 22349),
(75781, '4nkhE00', NULL, NULL, 239, NULL, NULL, 22349),
(75782, '4glpA00', NULL, NULL, 310, NULL, NULL, 22349),
(75783, '4p8sA00', NULL, NULL, 282, NULL, NULL, 22349),
(75784, '3sb4A01', NULL, NULL, 176, NULL, NULL, 22349),
(75785, '4fmzB00', NULL, NULL, 347, NULL, NULL, 22349),
(75786, '3sb4A02', NULL, NULL, 153, NULL, NULL, 22349),
(75787, '4li1A01', NULL, NULL, 430, NULL, NULL, 22349),
(75788, '1ds9A00', NULL, NULL, 198, NULL, NULL, 22349),
(75789, '3wpeA00', NULL, NULL, 732, NULL, NULL, 22349),
(75790, '1o6vB01', NULL, NULL, 384, NULL, NULL, 22349),
(75791, '3rfeA00', NULL, NULL, 130, NULL, NULL, 22349),
(75792, '5wfnC00', NULL, NULL, 199, NULL, NULL, 22349);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(75793, '6ejxA00', NULL, NULL, 278, NULL, NULL, 22349),
(75794, '4fdwA02', NULL, NULL, 302, NULL, NULL, 22349),
(75795, '3un9A01', NULL, NULL, 225, NULL, NULL, 22349),
(75796, '4q3iA00', NULL, NULL, 220, NULL, NULL, 22349),
(75797, '4kt1A01', NULL, NULL, 449, NULL, NULL, 22349),
(75798, '2ellA00', NULL, NULL, 168, NULL, NULL, 22349),
(75799, '4h09D00', NULL, NULL, 379, NULL, NULL, 22349),
(75800, '3o6nA00', NULL, NULL, 390, NULL, NULL, 22349),
(75801, '4i6jB02', NULL, NULL, 352, NULL, NULL, 22349),
(75802, '1xkuA00', NULL, NULL, 309, NULL, NULL, 22349),
(75803, '1jl5A00', NULL, NULL, 353, NULL, NULL, 22349),
(75804, '5a5cB00', NULL, NULL, 332, NULL, NULL, 22349),
(75805, '1pgvA00', NULL, NULL, 171, NULL, NULL, 22349),
(75806, '6fg8A00', NULL, NULL, 188, NULL, NULL, 22349),
(75807, '6dbgA01', NULL, NULL, 213, NULL, NULL, 22349),
(75808, '4ezgA00', NULL, NULL, 197, NULL, NULL, 22349),
(75809, '2o6rA00', NULL, NULL, 177, NULL, NULL, 22349),
(75810, '2z63A00', NULL, NULL, 570, NULL, NULL, 22349),
(75811, '4fs7A00', NULL, NULL, 394, NULL, NULL, 22349),
(75812, '4g8aA00', NULL, NULL, 611, NULL, NULL, 22349),
(75813, '4fd0A02', NULL, NULL, 302, NULL, NULL, 22349),
(75814, '3zynB00', NULL, NULL, 321, NULL, NULL, 22349),
(75815, '4gt6A00', NULL, NULL, 394, NULL, NULL, 22349),
(75816, '4k17B03', NULL, NULL, 510, NULL, NULL, 22349),
(75817, '4r5dA02', NULL, NULL, 183, NULL, NULL, 22349),
(75818, '2ft3F00', NULL, NULL, 308, NULL, NULL, 22349),
(75819, '6if5B00', NULL, NULL, 823, NULL, NULL, 22349),
(75820, '2z81A00', NULL, NULL, 549, NULL, NULL, 22349),
(75821, '2astB00', NULL, NULL, 336, NULL, NULL, 22349),
(75822, '3cvrA01', NULL, NULL, 255, NULL, NULL, 22349),
(75823, '1dceA03', NULL, NULL, 136, NULL, NULL, 22349),
(75824, '3rgzA01', NULL, NULL, 691, NULL, NULL, 22349),
(75825, '4xgoA00', NULL, NULL, 356, NULL, NULL, 22349),
(75826, '2xwtC00', NULL, NULL, 239, NULL, NULL, 22349),
(75827, '1p9aG00', NULL, NULL, 266, NULL, NULL, 22349),
(75828, '4v2dA00', NULL, NULL, 326, NULL, NULL, 22349),
(75829, '5lfnD00', NULL, NULL, 337, NULL, NULL, 22349),
(75830, '1wwlB00', NULL, NULL, 312, NULL, NULL, 22349),
(75831, '6dbfA00', NULL, NULL, 213, NULL, NULL, 22349),
(75832, '3rw6A02', NULL, NULL, 160, NULL, NULL, 22349),
(75833, '1oznA00', NULL, NULL, 285, NULL, NULL, 22349),
(75834, '4y61B00', NULL, NULL, 244, NULL, NULL, 22349),
(75835, '4z79A00', NULL, NULL, 188, NULL, NULL, 22349),
(75836, '3o53A00', NULL, NULL, 317, NULL, NULL, 22349),
(75837, '4lxrA02', NULL, NULL, 199, NULL, NULL, 22349),
(75838, '4tzhA00', NULL, NULL, 190, NULL, NULL, 22349),
(75839, '4r58A00', NULL, NULL, 220, NULL, NULL, 22349),
(75840, '2p1mB02', NULL, NULL, 531, NULL, NULL, 22349),
(75841, '4j0mA01', NULL, NULL, 682, NULL, NULL, 22349),
(75842, '3m19A00', NULL, NULL, 251, NULL, NULL, 22349),
(75843, '6g3wA00', NULL, NULL, 187, NULL, NULL, 22349),
(75844, '3gozA01', NULL, NULL, 310, NULL, NULL, 22349),
(75845, '2jqdA00', NULL, NULL, 169, NULL, NULL, 22349),
(75846, '1xeuA01', NULL, NULL, 180, NULL, NULL, 22349),
(75847, '4pkiG02', NULL, NULL, 171, NULL, NULL, 22349),
(75848, '4l3fA01', NULL, NULL, 179, NULL, NULL, 22349),
(75849, '5z8xA00', NULL, NULL, 328, NULL, NULL, 22349),
(75850, '4cp6A00', NULL, NULL, 417, NULL, NULL, 22349),
(75851, '2ra8A02', NULL, NULL, 286, NULL, NULL, 22349),
(75852, '2z7xA00', NULL, NULL, 549, NULL, NULL, 22349),
(75853, '4fcgA00', NULL, NULL, 312, NULL, NULL, 22349),
(75854, '5o0mA00', NULL, NULL, 323, NULL, NULL, 22349),
(75855, '4ay9X00', NULL, NULL, 315, NULL, NULL, 22349),
(75856, '2bnhA00', NULL, NULL, 457, NULL, NULL, 22349),
(75857, '5b0nA00', NULL, NULL, 224, NULL, NULL, 22349),
(75858, '3rfsA00', NULL, NULL, 272, NULL, NULL, 22349),
(75859, '3zyjA01', NULL, NULL, 298, NULL, NULL, 22349),
(75860, '3ogkH02', NULL, NULL, 540, NULL, NULL, 22349),
(75861, '4u08A00', NULL, NULL, 398, NULL, NULL, 22349),
(75862, '2v70A00', NULL, NULL, 220, NULL, NULL, 22349),
(75863, '3rg1E00', NULL, NULL, 596, NULL, NULL, 22349),
(75864, '1w8aA00', NULL, NULL, 192, NULL, NULL, 22349),
(75865, '4l3aA02', NULL, NULL, 157, NULL, NULL, 22349);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(75866, '2xotB01', NULL, NULL, 255, NULL, NULL, 22349),
(75867, '4rcwA00', NULL, NULL, 240, NULL, NULL, 22349),
(75868, '4r6jA00', NULL, NULL, 254, NULL, NULL, 22349),
(75869, '4peqB00', NULL, NULL, 456, NULL, NULL, 22349),
(75870, '1ok8A02', NULL, NULL, 84, NULL, NULL, 22350),
(75871, '1okeB02', NULL, NULL, 77, NULL, NULL, 22350),
(75872, '5o6aA02', NULL, NULL, 75, NULL, NULL, 22350),
(75873, '3p54A02', NULL, NULL, 71, NULL, NULL, 22350),
(75874, '6j5cA02', NULL, NULL, 83, NULL, NULL, 22350),
(75875, '1uzgA02', NULL, NULL, 77, NULL, NULL, 22350),
(75876, '1svbA02', NULL, NULL, 83, NULL, NULL, 22350),
(75877, '5mv2A02', NULL, NULL, 74, NULL, NULL, 22350),
(75878, '6iw5A02', NULL, NULL, 74, NULL, NULL, 22350),
(75879, '5jhmA02', NULL, NULL, 77, NULL, NULL, 22350),
(75880, '6iw4A02', NULL, NULL, 72, NULL, NULL, 22350),
(75881, '3uajA02', NULL, NULL, 79, NULL, NULL, 22350),
(75882, '5lbsA02', NULL, NULL, 71, NULL, NULL, 22350),
(75883, '2hg0A02', NULL, NULL, 71, NULL, NULL, 22350),
(75884, '6a0pA02', NULL, NULL, 71, NULL, NULL, 22350),
(75885, '4gsxA02', NULL, NULL, 84, NULL, NULL, 22350),
(75886, '6co8A02', NULL, NULL, 72, NULL, NULL, 22350),
(75887, '6epkA02', NULL, NULL, 71, NULL, NULL, 22350),
(75888, '4fg0A02', NULL, NULL, 82, NULL, NULL, 22350),
(75889, '3j27A02', NULL, NULL, 72, NULL, NULL, 22350),
(75890, '3c5xA02', NULL, NULL, 78, NULL, NULL, 22350),
(75891, '1xkpA01', NULL, NULL, 38, NULL, NULL, 22351),
(75892, '2lg4A00', NULL, NULL, 40, NULL, NULL, 22352),
(75893, '2b4nA00', NULL, NULL, 42, NULL, NULL, 22353),
(75894, '1irxA02', NULL, NULL, 43, NULL, NULL, 22354),
(75895, '2kq9A00', NULL, NULL, 112, NULL, NULL, 22355),
(75896, '1tjlA00', NULL, NULL, 151, NULL, NULL, 22355),
(75897, '4ijjB00', NULL, NULL, 136, NULL, NULL, 22355),
(75898, '2ph7A01', NULL, NULL, 131, NULL, NULL, 22356),
(75899, '4e45B01', NULL, NULL, 41, NULL, NULL, 22357),
(75900, '3b0bC01', NULL, NULL, 38, NULL, NULL, 22357),
(75901, '4draE01', NULL, NULL, 42, NULL, NULL, 22357),
(75902, '4ne3B01', NULL, NULL, 32, NULL, NULL, 22357),
(75903, '1t3uB01', NULL, NULL, 48, NULL, NULL, 22358),
(75904, '4p1mB01', NULL, NULL, 61, NULL, NULL, 22358),
(75905, '2e1mB02', NULL, NULL, 46, NULL, NULL, 22359),
(75906, '4i0wA00', NULL, NULL, 96, NULL, NULL, 22360),
(75907, '3zq4C03', NULL, NULL, 107, NULL, NULL, 22361),
(75908, '3bk2A03', NULL, NULL, 99, NULL, NULL, 22361),
(75909, '4xwwA03', NULL, NULL, 98, NULL, NULL, 22361),
(75910, '4aybA08', NULL, NULL, 59, NULL, NULL, 22362),
(75911, '1ohfA03', NULL, NULL, 141, NULL, NULL, 22363),
(75912, '3s6pA03', NULL, NULL, 142, NULL, NULL, 22363),
(75913, '2wro400', NULL, NULL, 48, NULL, NULL, 22364),
(75914, '4e1pA00', NULL, NULL, 61, NULL, NULL, 22365),
(75915, '4a94C00', NULL, NULL, 53, NULL, NULL, 22366),
(75916, '2p1gA02', NULL, NULL, 110, NULL, NULL, 22367),
(75917, '2im9A02', NULL, NULL, 147, NULL, NULL, 22367),
(75918, '4q68A02', NULL, NULL, 102, NULL, NULL, 22367),
(75919, '3vthB01', NULL, NULL, 205, NULL, NULL, 22368),
(75920, '3ttcA01', NULL, NULL, 216, NULL, NULL, 22368),
(75921, '3u5iW02', NULL, NULL, 69, NULL, NULL, 22369),
(75922, '5a2qw00', NULL, NULL, 62, NULL, NULL, 22369),
(75923, '3l7iA02', NULL, NULL, 183, NULL, NULL, 22370),
(75924, '1prxA02', NULL, NULL, 69, NULL, NULL, 22371),
(75925, '6feuA02', NULL, NULL, 67, NULL, NULL, 22371),
(75926, '5xbrA02', NULL, NULL, 72, NULL, NULL, 22371),
(75927, '2v2gA02', NULL, NULL, 82, NULL, NULL, 22371),
(75928, '1xccA02', NULL, NULL, 68, NULL, NULL, 22371),
(75929, '3a2vD02', NULL, NULL, 104, NULL, NULL, 22371),
(75930, '2l32A00', NULL, NULL, 74, NULL, NULL, 22372),
(75931, '2qi2A01', NULL, NULL, 126, NULL, NULL, 22373),
(75932, '3obwA01', NULL, NULL, 104, NULL, NULL, 22373),
(75933, '3wxmF01', NULL, NULL, 127, NULL, NULL, 22373),
(75934, '3mcaB01', NULL, NULL, 132, NULL, NULL, 22373),
(75935, '2vgnB01', NULL, NULL, 140, NULL, NULL, 22373),
(75936, '3obyA01', NULL, NULL, 128, NULL, NULL, 22373),
(75937, '3t4lB01', NULL, NULL, 53, NULL, NULL, 22374),
(75938, '4nzrM02', NULL, NULL, 184, NULL, NULL, 22375),
(75939, '2nrrA00', NULL, NULL, 159, NULL, NULL, 22376);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(75940, '3c65A00', NULL, NULL, 159, NULL, NULL, 22376),
(75941, '3vygD00', NULL, NULL, 126, NULL, NULL, 22377),
(75942, '1pseA00', NULL, NULL, 69, NULL, NULL, 22377),
(75943, '3hhtB02', NULL, NULL, 97, NULL, NULL, 22377),
(75944, '1dj7B00', NULL, NULL, 75, NULL, NULL, 22377),
(75945, '5l8rE00', NULL, NULL, 66, NULL, NULL, 22377),
(75946, '3a8gB02', NULL, NULL, 102, NULL, NULL, 22377),
(75947, '1jb0E00', NULL, NULL, 75, NULL, NULL, 22377),
(75948, '1v29B02', NULL, NULL, 97, NULL, NULL, 22377),
(75949, '4ob0B02', NULL, NULL, 104, NULL, NULL, 22377),
(75950, '4xk8E00', NULL, NULL, 64, NULL, NULL, 22377),
(75951, '4zgjB02', NULL, NULL, 101, NULL, NULL, 22377),
(75952, '6ijjE00', NULL, NULL, 65, NULL, NULL, 22377),
(75953, '5zgbE00', NULL, NULL, 62, NULL, NULL, 22377),
(75954, '5oy0500', NULL, NULL, 69, NULL, NULL, 22377),
(75955, '1qp2A00', NULL, NULL, 70, NULL, NULL, 22377),
(75956, '2wscE00', NULL, NULL, 65, NULL, NULL, 22377),
(75957, '3qyhB02', NULL, NULL, 98, NULL, NULL, 22377),
(75958, '6igzE00', NULL, NULL, 61, NULL, NULL, 22377),
(75959, '5zjiE00', NULL, NULL, 68, NULL, NULL, 22377),
(75960, '5osiK00', NULL, NULL, 311, NULL, NULL, 22378),
(75961, '3do6A03', NULL, NULL, 89, NULL, NULL, 22379),
(75962, '4jimA03', NULL, NULL, 90, NULL, NULL, 22379),
(75963, '5a4jA03', NULL, NULL, 90, NULL, NULL, 22379),
(75964, '5a5gA03', NULL, NULL, 90, NULL, NULL, 22379),
(75965, '3fotA02', NULL, NULL, 264, NULL, NULL, 22380),
(75966, '4hvmD02', NULL, NULL, 219, NULL, NULL, 22380),
(75967, '2xhgA02', NULL, NULL, 283, NULL, NULL, 22380),
(75968, '5t3eB02', NULL, NULL, 261, NULL, NULL, 22380),
(75969, '1l5aA03', NULL, NULL, 213, NULL, NULL, 22380),
(75970, '1q9jB02', NULL, NULL, 190, NULL, NULL, 22380),
(75971, '5du9B02', NULL, NULL, 221, NULL, NULL, 22380),
(75972, '2jgpA03', NULL, NULL, 233, NULL, NULL, 22380),
(75973, '2vsqA02', NULL, NULL, 239, NULL, NULL, 22380),
(75974, '1khbA01', NULL, NULL, 235, NULL, NULL, 22381),
(75975, '1ytmA01', NULL, NULL, 203, NULL, NULL, 22381),
(75976, '1ylhA01', NULL, NULL, 199, NULL, NULL, 22381),
(75977, '1j3bB01', NULL, NULL, 190, NULL, NULL, 22381),
(75978, '2fafA01', NULL, NULL, 218, NULL, NULL, 22381),
(75979, '6at4A01', NULL, NULL, 202, NULL, NULL, 22381),
(75980, '4gmuA01', NULL, NULL, 226, NULL, NULL, 22381),
(75981, '2zciA01', NULL, NULL, 220, NULL, NULL, 22381),
(75982, '1ii2B01', NULL, NULL, 178, NULL, NULL, 22381),
(75983, '4wptA01', NULL, NULL, 215, NULL, NULL, 22381),
(75984, '2y5pA00', NULL, NULL, 74, NULL, NULL, 22382),
(75985, '4fcaA04', NULL, NULL, 78, NULL, NULL, 22383),
(75986, '2e8yA01', NULL, NULL, 101, NULL, NULL, 22384),
(75987, '3wdhA01', NULL, NULL, 105, NULL, NULL, 22384),
(75988, '2mmbA00', NULL, NULL, 107, NULL, NULL, 22385),
(75989, '5bncA02', NULL, NULL, 93, NULL, NULL, 22386),
(75990, '2arzA02', NULL, NULL, 93, NULL, NULL, 22386),
(75991, '3gasA01', NULL, NULL, 80, NULL, NULL, 22386),
(75992, '5yjlC02', NULL, NULL, 122, NULL, NULL, 22386),
(75993, '3swjA01', NULL, NULL, 80, NULL, NULL, 22386),
(75994, '3dnhA02', NULL, NULL, 85, NULL, NULL, 22386),
(75995, '2qziA00', NULL, NULL, 103, NULL, NULL, 22387),
(75996, '1zrxA00', NULL, NULL, 42, NULL, NULL, 22388),
(75997, '2khkA00', NULL, NULL, 53, NULL, NULL, 22389),
(75998, '3jrtA00', NULL, NULL, 172, NULL, NULL, 22390),
(75999, '5kxhA01', NULL, NULL, 190, NULL, NULL, 22391),
(76000, '5ux6B01', NULL, NULL, 191, NULL, NULL, 22391),
(76001, '2hhcA01', NULL, NULL, 150, NULL, NULL, 22391),
(76002, '4ap5A01', NULL, NULL, 200, NULL, NULL, 22391),
(76003, '3zy2A01', NULL, NULL, 193, NULL, NULL, 22391),
(76004, '3f75P00', NULL, NULL, 90, NULL, NULL, 22392),
(76005, '2l95A00', NULL, NULL, 80, NULL, NULL, 22392),
(76006, '2w0tA00', NULL, NULL, 43, NULL, NULL, 22393),
(76007, '2l8eA00', NULL, NULL, 49, NULL, NULL, 22393),
(76008, '2peoB00', NULL, NULL, 114, NULL, NULL, 22394),
(76009, '5bs2A00', NULL, NULL, 113, NULL, NULL, 22394),
(76010, '2z44A00', NULL, NULL, 111, NULL, NULL, 22394),
(76011, '5bs1B00', NULL, NULL, 123, NULL, NULL, 22394),
(76012, '5bs1A00', NULL, NULL, 123, NULL, NULL, 22394),
(76013, '5bs1D00', NULL, NULL, 123, NULL, NULL, 22394);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(76014, '5bs1C00', NULL, NULL, 123, NULL, NULL, 22394),
(76015, '4gr2A00', NULL, NULL, 128, NULL, NULL, 22394),
(76016, '4gr6B00', NULL, NULL, 126, NULL, NULL, 22394),
(76017, '3q20B00', NULL, NULL, 107, NULL, NULL, 22394),
(76018, '2peqA00', NULL, NULL, 109, NULL, NULL, 22394),
(76019, '3hybA00', NULL, NULL, 125, NULL, NULL, 22394),
(76020, '2py8B00', NULL, NULL, 115, NULL, NULL, 22394),
(76021, '4impA01', NULL, NULL, 53, NULL, NULL, 22395),
(76022, '1o75A04', NULL, NULL, 83, NULL, NULL, 22396),
(76023, '2e60A01', NULL, NULL, 59, NULL, NULL, 22397),
(76024, '2dt6A01', NULL, NULL, 59, NULL, NULL, 22397),
(76025, '2dt7B01', NULL, NULL, 59, NULL, NULL, 22397),
(76026, '4dgwB01', NULL, NULL, 53, NULL, NULL, 22397),
(76027, '1x4oA00', NULL, NULL, 78, NULL, NULL, 22397),
(76028, '1x4pA00', NULL, NULL, 66, NULL, NULL, 22397),
(76029, '2e5zA01', NULL, NULL, 59, NULL, NULL, 22397),
(76030, '1ug0A00', NULL, NULL, 88, NULL, NULL, 22397),
(76031, '1vjqA00', NULL, NULL, 79, NULL, NULL, 22398),
(76032, '3dgvA01', NULL, NULL, 92, NULL, NULL, 22398),
(76033, '1jqgA01', NULL, NULL, 91, NULL, NULL, 22398),
(76034, '1pytA00', NULL, NULL, 94, NULL, NULL, 22398),
(76035, '1ayeA01', NULL, NULL, 99, NULL, NULL, 22398),
(76036, '1o6xA00', NULL, NULL, 81, NULL, NULL, 22398),
(76037, '4p10A01', NULL, NULL, 92, NULL, NULL, 22398),
(76038, '2gjfA00', NULL, NULL, 78, NULL, NULL, 22398),
(76039, '4uf4A01', NULL, NULL, 89, NULL, NULL, 22398),
(76040, '3gljA01', NULL, NULL, 98, NULL, NULL, 22398),
(76041, '1pcaA01', NULL, NULL, 93, NULL, NULL, 22398),
(76042, '1kwmA01', NULL, NULL, 88, NULL, NULL, 22398),
(76043, '2boaA01', NULL, NULL, 100, NULL, NULL, 22398),
(76044, '1nsaA01', NULL, NULL, 92, NULL, NULL, 22398),
(76045, '4twgC00', NULL, NULL, 161, NULL, NULL, 22399),
(76046, '3k6aA00', NULL, NULL, 180, NULL, NULL, 22399),
(76047, '3tcrA00', NULL, NULL, 158, NULL, NULL, 22399),
(76048, '1wu2B01', NULL, NULL, 165, NULL, NULL, 22399),
(76049, '1uz5A01', NULL, NULL, 174, NULL, NULL, 22399),
(76050, '6fgcA01', NULL, NULL, 182, NULL, NULL, 22399),
(76051, '3pzyA00', NULL, NULL, 164, NULL, NULL, 22399),
(76052, '1xi8A01', NULL, NULL, 170, NULL, NULL, 22399),
(76053, '1di6A00', NULL, NULL, 195, NULL, NULL, 22399),
(76054, '4nwoA00', NULL, NULL, 177, NULL, NULL, 22399),
(76055, '1uuyA00', NULL, NULL, 167, NULL, NULL, 22399),
(76056, '1jljA00', NULL, NULL, 189, NULL, NULL, 22399),
(76057, '3rfqC00', NULL, NULL, 161, NULL, NULL, 22399),
(76058, '2g4rA00', NULL, NULL, 160, NULL, NULL, 22399),
(76059, '3mchB00', NULL, NULL, 164, NULL, NULL, 22399),
(76060, '1g8lA01', NULL, NULL, 188, NULL, NULL, 22399),
(76061, '3iwtA00', NULL, NULL, 178, NULL, NULL, 22399),
(76062, '4lhbC00', NULL, NULL, 160, NULL, NULL, 22399),
(76063, '4uuwA01', NULL, NULL, 172, NULL, NULL, 22399),
(76064, '1y5eC00', NULL, NULL, 169, NULL, NULL, 22399),
(76065, '2g2cA00', NULL, NULL, 167, NULL, NULL, 22399),
(76066, '1wu2A01', NULL, NULL, 164, NULL, NULL, 22399),
(76067, '3kbqB00', NULL, NULL, 172, NULL, NULL, 22399),
(76068, '6gbcA01', NULL, NULL, 198, NULL, NULL, 22399),
(76069, '2pbqC00', NULL, NULL, 178, NULL, NULL, 22399),
(76070, '1mkzB00', NULL, NULL, 172, NULL, NULL, 22399),
(76071, '4xcwA00', NULL, NULL, 178, NULL, NULL, 22399),
(76072, '4lqlA01', NULL, NULL, 175, NULL, NULL, 22400),
(76073, '4r1qB01', NULL, NULL, 176, NULL, NULL, 22400),
(76074, '4f2dA01', NULL, NULL, 175, NULL, NULL, 22400),
(76075, '1zldA00', NULL, NULL, 118, NULL, NULL, 22401),
(76076, '3opyA01', NULL, NULL, 170, NULL, NULL, 22402),
(76077, '1ro2A02', NULL, NULL, 121, NULL, NULL, 22403),
(76078, '3m1mA02', NULL, NULL, 159, NULL, NULL, 22403),
(76079, '3onqA03', NULL, NULL, 131, NULL, NULL, 22404),
(76080, '3vrdB03', NULL, NULL, 74, NULL, NULL, 22405),
(76081, '5n1tA03', NULL, NULL, 71, NULL, NULL, 22405),
(76082, '1fcdA03', NULL, NULL, 74, NULL, NULL, 22405),
(76083, '3nrxA00', NULL, NULL, 130, NULL, NULL, 22406),
(76084, '3d37A03', NULL, NULL, 69, NULL, NULL, 22407),
(76085, '1wruA03', NULL, NULL, 75, NULL, NULL, 22407),
(76086, '3cddB03', NULL, NULL, 76, NULL, NULL, 22407),
(76087, '1y7pB02', NULL, NULL, 143, NULL, NULL, 22408);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(76088, '4y42A02', NULL, NULL, 68, NULL, NULL, 22409),
(76089, '1dw9A02', NULL, NULL, 68, NULL, NULL, 22409),
(76090, '2i5hA02', NULL, NULL, 98, NULL, NULL, 22410),
(76091, '2eduA01', NULL, NULL, 81, NULL, NULL, 22410),
(76092, '3fbnA00', NULL, NULL, 84, NULL, NULL, 22411),
(76093, '3fbiC00', NULL, NULL, 84, NULL, NULL, 22411),
(76094, '5uz0A04', NULL, NULL, 43, NULL, NULL, 22412),
(76095, '1thzA01', NULL, NULL, 43, NULL, NULL, 22412),
(76096, '3tndB01', NULL, NULL, 41, NULL, NULL, 22413),
(76097, '3o27B00', NULL, NULL, 68, NULL, NULL, 22413),
(76098, '2fy9A00', NULL, NULL, 54, NULL, NULL, 22413),
(76099, '1mvfD00', NULL, NULL, 47, NULL, NULL, 22413),
(76100, '1ub4C00', NULL, NULL, 85, NULL, NULL, 22413),
(76101, '5itmA00', NULL, NULL, 48, NULL, NULL, 22413),
(76102, '2w1tA01', NULL, NULL, 49, NULL, NULL, 22413),
(76103, '1yfbA00', NULL, NULL, 59, NULL, NULL, 22413),
(76104, '1z0rA00', NULL, NULL, 53, NULL, NULL, 22413),
(76105, '4c1bA02', NULL, NULL, 103, NULL, NULL, 22414),
(76106, '4lo6B03', NULL, NULL, 122, NULL, NULL, 22415),
(76107, '4en6B03', NULL, NULL, 110, NULL, NULL, 22415),
(76108, '2lqlA01', NULL, NULL, 52, NULL, NULL, 22416),
(76109, '2l0yA00', NULL, NULL, 60, NULL, NULL, 22416),
(76110, '2lqlA02', NULL, NULL, 44, NULL, NULL, 22416),
(76111, '3a3cA03', NULL, NULL, 81, NULL, NULL, 22416),
(76112, '2hfnB02', NULL, NULL, 53, NULL, NULL, 22417),
(76113, '1x0pE02', NULL, NULL, 46, NULL, NULL, 22417),
(76114, '3kevA02', NULL, NULL, 107, NULL, NULL, 22418),
(76115, '4gaoD02', NULL, NULL, 110, NULL, NULL, 22418),
(76116, '2is9A02', NULL, NULL, 91, NULL, NULL, 22418),
(76117, '5v89A02', NULL, NULL, 104, NULL, NULL, 22418),
(76118, '4gbaA02', NULL, NULL, 110, NULL, NULL, 22418),
(76119, '5meyA00', NULL, NULL, 135, NULL, NULL, 22419),
(76120, '5nm9B00', NULL, NULL, 143, NULL, NULL, 22419),
(76121, '5od6A00', NULL, NULL, 128, NULL, NULL, 22419),
(76122, '3kmpB00', NULL, NULL, 124, NULL, NULL, 22419),
(76123, '2dgjA01', NULL, NULL, 127, NULL, NULL, 22420),
(76124, '2dgjB02', NULL, NULL, 130, NULL, NULL, 22420),
(76125, '1xvhB00', NULL, NULL, 129, NULL, NULL, 22420),
(76126, '3l0mA02', NULL, NULL, 85, NULL, NULL, 22421),
(76127, '3t2lA02', NULL, NULL, 157, NULL, NULL, 22422),
(76128, '3sy6A02', NULL, NULL, 150, NULL, NULL, 22422),
(76129, '3ufiA02', NULL, NULL, 135, NULL, NULL, 22422),
(76130, '4k4kA02', NULL, NULL, 141, NULL, NULL, 22422),
(76131, '1rz4A01', NULL, NULL, 121, NULL, NULL, 22423),
(76132, '5dhdA00', NULL, NULL, 100, NULL, NULL, 22424),
(76133, '1hehC00', NULL, NULL, 88, NULL, NULL, 22424),
(76134, '5dheA00', NULL, NULL, 100, NULL, NULL, 22424),
(76135, '1e5bA00', NULL, NULL, 87, NULL, NULL, 22424),
(76136, '3ndzE00', NULL, NULL, 107, NULL, NULL, 22424),
(76137, '2rttA00', NULL, NULL, 105, NULL, NULL, 22424),
(76138, '1c7sA01', NULL, NULL, 142, NULL, NULL, 22424),
(76139, '1exgA00', NULL, NULL, 110, NULL, NULL, 22424),
(76140, '2cwrA00', NULL, NULL, 103, NULL, NULL, 22424),
(76141, '5ic0A03', NULL, NULL, 165, NULL, NULL, 22425),
(76142, '2l10A00', NULL, NULL, 158, NULL, NULL, 22425),
(76143, '4w8pA01', NULL, NULL, 171, NULL, NULL, 22425),
(76144, '1sj7C00', NULL, NULL, 174, NULL, NULL, 22425),
(76145, '2l7nA00', NULL, NULL, 168, NULL, NULL, 22425),
(76146, '3dyjA01', NULL, NULL, 179, NULL, NULL, 22425),
(76147, '3dyjA02', NULL, NULL, 153, NULL, NULL, 22425),
(76148, '2kvpA00', NULL, NULL, 165, NULL, NULL, 22425),
(76149, '3ay5A01', NULL, NULL, 163, NULL, NULL, 22425),
(76150, '3fyqA00', NULL, NULL, 199, NULL, NULL, 22425),
(76151, '2wnfA00', NULL, NULL, 298, NULL, NULL, 22426),
(76152, '5bo7B00', NULL, NULL, 293, NULL, NULL, 22426),
(76153, '4mpsA00', NULL, NULL, 310, NULL, NULL, 22426),
(76154, '4js1A00', NULL, NULL, 318, NULL, NULL, 22426),
(76155, '4gl3A00', NULL, NULL, 424, NULL, NULL, 22427),
(76156, '5gzkA00', NULL, NULL, 419, NULL, NULL, 22427),
(76157, '4qt9A00', NULL, NULL, 421, NULL, NULL, 22427),
(76158, '3eu8A00', NULL, NULL, 430, NULL, NULL, 22427),
(76159, '2h5eA03', NULL, NULL, 140, NULL, NULL, 22428),
(76160, '3vqtB03', NULL, NULL, 141, NULL, NULL, 22428),
(76161, '3tr5A03', NULL, NULL, 140, NULL, NULL, 22428);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(76162, '1sauA02', NULL, NULL, 70, NULL, NULL, 22429),
(76163, '2xsjC02', NULL, NULL, 64, NULL, NULL, 22429),
(76164, '2v4jC02', NULL, NULL, 64, NULL, NULL, 22429),
(76165, '1yx3A02', NULL, NULL, 71, NULL, NULL, 22429),
(76166, '1ji8A02', NULL, NULL, 64, NULL, NULL, 22429),
(76167, '3or1C02', NULL, NULL, 64, NULL, NULL, 22429),
(76168, '3aonB00', NULL, NULL, 115, NULL, NULL, 22430),
(76169, '2d00A01', NULL, NULL, 67, NULL, NULL, 22430),
(76170, '2qaiA00', NULL, NULL, 111, NULL, NULL, 22430),
(76171, '4ix9D00', NULL, NULL, 94, NULL, NULL, 22430),
(76172, '4rndD00', NULL, NULL, 118, NULL, NULL, 22430),
(76173, '2i4rB00', NULL, NULL, 102, NULL, NULL, 22430),
(76174, '2ov6A01', NULL, NULL, 78, NULL, NULL, 22430),
(76175, '3w3aH00', NULL, NULL, 100, NULL, NULL, 22430),
(76176, '4nkpC00', NULL, NULL, 148, NULL, NULL, 22431),
(76177, '3fpwA01', NULL, NULL, 127, NULL, NULL, 22431),
(76178, '5cx7E00', NULL, NULL, 147, NULL, NULL, 22431),
(76179, '6bwsB00', NULL, NULL, 144, NULL, NULL, 22431),
(76180, '4clcA00', NULL, NULL, 179, NULL, NULL, 22431),
(76181, '2a2lC00', NULL, NULL, 145, NULL, NULL, 22431),
(76182, '2ffjB03', NULL, NULL, 149, NULL, NULL, 22432),
(76183, '2g8lA03', NULL, NULL, 154, NULL, NULL, 22432),
(76184, '4i9oA00', NULL, NULL, 85, NULL, NULL, 22433),
(76185, '5svhA00', NULL, NULL, 87, NULL, NULL, 22433),
(76186, '4d7xA00', NULL, NULL, 86, NULL, NULL, 22433),
(76187, '2gutA00', NULL, NULL, 77, NULL, NULL, 22433),
(76188, '2k0nA00', NULL, NULL, 85, NULL, NULL, 22433),
(76189, '2jspA01', NULL, NULL, 57, NULL, NULL, 22434),
(76190, '2lf3A00', NULL, NULL, 107, NULL, NULL, 22435),
(76191, '3tl8F00', NULL, NULL, 93, NULL, NULL, 22435),
(76192, '2lf6A00', NULL, NULL, 101, NULL, NULL, 22435),
(76193, '3lcnB00', NULL, NULL, 105, NULL, NULL, 22436),
(76194, '2kloA00', NULL, NULL, 138, NULL, NULL, 22437),
(76195, '3a4cA00', NULL, NULL, 106, NULL, NULL, 22437),
(76196, '3k1zA02', NULL, NULL, 84, NULL, NULL, 22438),
(76197, '5v37A03', NULL, NULL, 86, NULL, NULL, 22439),
(76198, '4f52C02', NULL, NULL, 161, NULL, NULL, 22440),
(76199, '3dplC02', NULL, NULL, 173, NULL, NULL, 22440),
(76200, '1m45A02', NULL, NULL, 75, NULL, NULL, 22441),
(76201, '3fwbA01', NULL, NULL, 90, NULL, NULL, 22441),
(76202, '1m45A01', NULL, NULL, 73, NULL, NULL, 22441),
(76203, '3akbA00', NULL, NULL, 166, NULL, NULL, 22441),
(76204, '2zfdA00', NULL, NULL, 195, NULL, NULL, 22441),
(76205, '1iq3A00', NULL, NULL, 110, NULL, NULL, 22441),
(76206, '2y5iA00', NULL, NULL, 99, NULL, NULL, 22441),
(76207, '2lhiA00', NULL, NULL, 176, NULL, NULL, 22441),
(76208, '1h4bA00', NULL, NULL, 84, NULL, NULL, 22441),
(76209, '4c0kA02', NULL, NULL, 198, NULL, NULL, 22441),
(76210, '2nxqA00', NULL, NULL, 67, NULL, NULL, 22441),
(76211, '3kheA01', NULL, NULL, 114, NULL, NULL, 22441),
(76212, '4c0kA01', NULL, NULL, 106, NULL, NULL, 22441),
(76213, '3kheA02', NULL, NULL, 77, NULL, NULL, 22441),
(76214, '1niwA01', NULL, NULL, 74, NULL, NULL, 22441),
(76215, '4cidA03', NULL, NULL, 103, NULL, NULL, 22441),
(76216, '1s6jA01', NULL, NULL, 76, NULL, NULL, 22441),
(76217, '1oe9B01', NULL, NULL, 82, NULL, NULL, 22441),
(76218, '1zmzA01', NULL, NULL, 73, NULL, NULL, 22441),
(76219, '4mzjA02', NULL, NULL, 65, NULL, NULL, 22441),
(76220, '4uslA00', NULL, NULL, 173, NULL, NULL, 22441),
(76221, '3h4sE00', NULL, NULL, 117, NULL, NULL, 22441),
(76222, '3a8rA01', NULL, NULL, 116, NULL, NULL, 22441),
(76223, '2egdB00', NULL, NULL, 98, NULL, NULL, 22441),
(76224, '1br1B01', NULL, NULL, 81, NULL, NULL, 22441),
(76225, '4l9mA03', NULL, NULL, 76, NULL, NULL, 22441),
(76226, '1br1B02', NULL, NULL, 69, NULL, NULL, 22441),
(76227, '1niwA02', NULL, NULL, 61, NULL, NULL, 22441),
(76228, '1ggzA01', NULL, NULL, 76, NULL, NULL, 22441),
(76229, '5zgmA00', NULL, NULL, 110, NULL, NULL, 22441),
(76230, '2k2aA00', NULL, NULL, 70, NULL, NULL, 22441),
(76231, '1ggzA02', NULL, NULL, 68, NULL, NULL, 22441),
(76232, '3kevA01', NULL, NULL, 92, NULL, NULL, 22441),
(76233, '3nxaB00', NULL, NULL, 100, NULL, NULL, 22441),
(76234, '1k2hA00', NULL, NULL, 93, NULL, NULL, 22441),
(76235, '1eg3A03', NULL, NULL, 91, NULL, NULL, 22441);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(76236, '4ovnG01', NULL, NULL, 122, NULL, NULL, 22441),
(76237, '1eg3A04', NULL, NULL, 82, NULL, NULL, 22441),
(76238, '4dirB00', NULL, NULL, 92, NULL, NULL, 22441),
(76239, '4yi8A01', NULL, NULL, 86, NULL, NULL, 22441),
(76240, '1jbaA02', NULL, NULL, 94, NULL, NULL, 22441),
(76241, '1jbaA01', NULL, NULL, 83, NULL, NULL, 22441),
(76242, '4yi8A02', NULL, NULL, 88, NULL, NULL, 22441),
(76243, '3fs7B00', NULL, NULL, 109, NULL, NULL, 22441),
(76244, '1c07A00', NULL, NULL, 95, NULL, NULL, 22441),
(76245, '1ig5A00', NULL, NULL, 75, NULL, NULL, 22441),
(76246, '1yx7A00', NULL, NULL, 83, NULL, NULL, 22441),
(76247, '3pn7B02', NULL, NULL, 68, NULL, NULL, 22441),
(76248, '1uurA03', NULL, NULL, 88, NULL, NULL, 22441),
(76249, '1ncxA01', NULL, NULL, 90, NULL, NULL, 22441),
(76250, '1qasA01', NULL, NULL, 88, NULL, NULL, 22441),
(76251, '4ndcB00', NULL, NULL, 186, NULL, NULL, 22441),
(76252, '2doqA01', NULL, NULL, 90, NULL, NULL, 22441),
(76253, '2f33A01', NULL, NULL, 73, NULL, NULL, 22441),
(76254, '1y6wA01', NULL, NULL, 78, NULL, NULL, 22441),
(76255, '1wlzA01', NULL, NULL, 80, NULL, NULL, 22441),
(76256, '2f33A02', NULL, NULL, 103, NULL, NULL, 22441),
(76257, '2gv5D01', NULL, NULL, 90, NULL, NULL, 22441),
(76258, '4p2yB00', NULL, NULL, 91, NULL, NULL, 22441),
(76259, '2l2eA02', NULL, NULL, 95, NULL, NULL, 22441),
(76260, '2ggzA00', NULL, NULL, 165, NULL, NULL, 22441),
(76261, '2l2eA01', NULL, NULL, 95, NULL, NULL, 22441),
(76262, '2scpA00', NULL, NULL, 174, NULL, NULL, 22441),
(76263, '3e3rB01', NULL, NULL, 87, NULL, NULL, 22441),
(76264, '1sl8A00', NULL, NULL, 191, NULL, NULL, 22441),
(76265, '5w1aB02', NULL, NULL, 65, NULL, NULL, 22441),
(76266, '5w1aB01', NULL, NULL, 82, NULL, NULL, 22441),
(76267, '2e6wA00', NULL, NULL, 100, NULL, NULL, 22441),
(76268, '4ygaA04', NULL, NULL, 87, NULL, NULL, 22441),
(76269, '4gaoA01', NULL, NULL, 90, NULL, NULL, 22441),
(76270, '4ygaA03', NULL, NULL, 93, NULL, NULL, 22441),
(76271, '5vp3A00', NULL, NULL, 206, NULL, NULL, 22441),
(76272, '3tduA01', NULL, NULL, 90, NULL, NULL, 22441),
(76273, '3hx4A01', NULL, NULL, 209, NULL, NULL, 22441),
(76274, '2f33A03', NULL, NULL, 87, NULL, NULL, 22441),
(76275, '4n5xA02', NULL, NULL, 75, NULL, NULL, 22441),
(76276, '3o4yA01', NULL, NULL, 128, NULL, NULL, 22441),
(76277, '4n5xA01', NULL, NULL, 80, NULL, NULL, 22441),
(76278, '1gjyA00', NULL, NULL, 167, NULL, NULL, 22441),
(76279, '3o4yA02', NULL, NULL, 68, NULL, NULL, 22441),
(76280, '2zndA00', NULL, NULL, 172, NULL, NULL, 22441),
(76281, '1fi5A00', NULL, NULL, 81, NULL, NULL, 22441),
(76282, '4mspB02', NULL, NULL, 76, NULL, NULL, 22441),
(76283, '2m1uA01', NULL, NULL, 67, NULL, NULL, 22441),
(76284, '1bg1A03', NULL, NULL, 122, NULL, NULL, 22441),
(76285, '4f0zB00', NULL, NULL, 170, NULL, NULL, 22441),
(76286, '4ovnH01', NULL, NULL, 122, NULL, NULL, 22441),
(76287, '1bocA00', NULL, NULL, 76, NULL, NULL, 22441),
(76288, '3zniA02', NULL, NULL, 89, NULL, NULL, 22441),
(76289, '5b8iB00', NULL, NULL, 171, NULL, NULL, 22441),
(76290, '2sasA00', NULL, NULL, 185, NULL, NULL, 22441),
(76291, '3nsoA00', NULL, NULL, 101, NULL, NULL, 22441),
(76292, '4mewA03', NULL, NULL, 173, NULL, NULL, 22441),
(76293, '4i5jA02', NULL, NULL, 169, NULL, NULL, 22441),
(76294, '1s6iA01', NULL, NULL, 76, NULL, NULL, 22441),
(76295, '2wcbA00', NULL, NULL, 95, NULL, NULL, 22441),
(76296, '4ygbB00', NULL, NULL, 78, NULL, NULL, 22441),
(76297, '1s6iA02', NULL, NULL, 112, NULL, NULL, 22441),
(76298, '2opoC00', NULL, NULL, 86, NULL, NULL, 22441),
(76299, '1k8uA00', NULL, NULL, 90, NULL, NULL, 22441),
(76300, '2hf5A00', NULL, NULL, 68, NULL, NULL, 22441),
(76301, '2aucB01', NULL, NULL, 59, NULL, NULL, 22441),
(76302, '2lv7A00', NULL, NULL, 100, NULL, NULL, 22441),
(76303, '3k21A02', NULL, NULL, 68, NULL, NULL, 22441),
(76304, '2doqB01', NULL, NULL, 90, NULL, NULL, 22441),
(76305, '3k21A01', NULL, NULL, 123, NULL, NULL, 22441),
(76306, '3e3rA02', NULL, NULL, 101, NULL, NULL, 22441),
(76307, '4gbaA01', NULL, NULL, 91, NULL, NULL, 22441),
(76308, '4jpzB01', NULL, NULL, 112, NULL, NULL, 22441),
(76309, '4ggnA02', NULL, NULL, 65, NULL, NULL, 22441);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(76310, '1j1dD01', NULL, NULL, 89, NULL, NULL, 22441),
(76311, '2ggmA02', NULL, NULL, 73, NULL, NULL, 22441),
(76312, '1sraA00', NULL, NULL, 151, NULL, NULL, 22441),
(76313, '1xfxP02', NULL, NULL, 70, NULL, NULL, 22441),
(76314, '1xfxP01', NULL, NULL, 61, NULL, NULL, 22441),
(76315, '3ox6A01', NULL, NULL, 80, NULL, NULL, 22441),
(76316, '1rfjA01', NULL, NULL, 78, NULL, NULL, 22441),
(76317, '3ox6A02', NULL, NULL, 73, NULL, NULL, 22441),
(76318, '2is9A01', NULL, NULL, 113, NULL, NULL, 22441),
(76319, '1rfjA02', NULL, NULL, 71, NULL, NULL, 22441),
(76320, '2jc2A02', NULL, NULL, 132, NULL, NULL, 22441),
(76321, '2lc5A00', NULL, NULL, 85, NULL, NULL, 22441),
(76322, '1niwC01', NULL, NULL, 74, NULL, NULL, 22441),
(76323, '2gv5A01', NULL, NULL, 90, NULL, NULL, 22441),
(76324, '2doqB02', NULL, NULL, 71, NULL, NULL, 22441),
(76325, '5vt9B02', NULL, NULL, 68, NULL, NULL, 22441),
(76326, '1a03A00', NULL, NULL, 90, NULL, NULL, 22441),
(76327, '2jnxA01', NULL, NULL, 68, NULL, NULL, 22441),
(76328, '2jnxA02', NULL, NULL, 66, NULL, NULL, 22441),
(76329, '2ggmA01', NULL, NULL, 76, NULL, NULL, 22441),
(76330, '2kbiA01', NULL, NULL, 79, NULL, NULL, 22441),
(76331, '1df0A04', NULL, NULL, 171, NULL, NULL, 22441),
(76332, '5e37A01', NULL, NULL, 86, NULL, NULL, 22441),
(76333, '5e37A02', NULL, NULL, 86, NULL, NULL, 22441),
(76334, '1a75A00', NULL, NULL, 108, NULL, NULL, 22441),
(76335, '5d7fA00', NULL, NULL, 92, NULL, NULL, 22441),
(76336, '2hpsA00', NULL, NULL, 186, NULL, NULL, 22441),
(76337, '1jfkA02', NULL, NULL, 50, NULL, NULL, 22441),
(76338, '4ovnI01', NULL, NULL, 122, NULL, NULL, 22441),
(76339, '1tizA00', NULL, NULL, 67, NULL, NULL, 22441),
(76340, '3ohmB02', NULL, NULL, 92, NULL, NULL, 22441),
(76341, '1g4yR01', NULL, NULL, 80, NULL, NULL, 22441),
(76342, '2ma2A00', NULL, NULL, 81, NULL, NULL, 22441),
(76343, '1ap4A00', NULL, NULL, 89, NULL, NULL, 22441),
(76344, '3i5gC02', NULL, NULL, 72, NULL, NULL, 22441),
(76345, '3i5gC01', NULL, NULL, 79, NULL, NULL, 22441),
(76346, '5k89C00', NULL, NULL, 94, NULL, NULL, 22441),
(76347, '2m97A00', NULL, NULL, 69, NULL, NULL, 22441),
(76348, '3ekjA02', NULL, NULL, 73, NULL, NULL, 22441),
(76349, '1fi6A00', NULL, NULL, 92, NULL, NULL, 22441),
(76350, '2mbxA00', NULL, NULL, 109, NULL, NULL, 22441),
(76351, '1bjfA01', NULL, NULL, 88, NULL, NULL, 22441),
(76352, '1bjfA02', NULL, NULL, 97, NULL, NULL, 22441),
(76353, '1jfjA02', NULL, NULL, 71, NULL, NULL, 22441),
(76354, '4d1eA04', NULL, NULL, 69, NULL, NULL, 22441),
(76355, '1y1uA03', NULL, NULL, 122, NULL, NULL, 22441),
(76356, '4mn0A00', NULL, NULL, 192, NULL, NULL, 22441),
(76357, '2qacA01', NULL, NULL, 81, NULL, NULL, 22441),
(76358, '1wdcC02', NULL, NULL, 72, NULL, NULL, 22441),
(76359, '1xfxO02', NULL, NULL, 70, NULL, NULL, 22441),
(76360, '3buxB02', NULL, NULL, 89, NULL, NULL, 22441),
(76361, '3ek4A01', NULL, NULL, 123, NULL, NULL, 22441),
(76362, '3kf9A02', NULL, NULL, 57, NULL, NULL, 22441),
(76363, '2pvbA00', NULL, NULL, 108, NULL, NULL, 22441),
(76364, '3fiaA00', NULL, NULL, 121, NULL, NULL, 22441),
(76365, '1jf0A00', NULL, NULL, 195, NULL, NULL, 22441),
(76366, '1pulA00', NULL, NULL, 108, NULL, NULL, 22441),
(76367, '1xfxO01', NULL, NULL, 61, NULL, NULL, 22441),
(76368, '2doqC01', NULL, NULL, 90, NULL, NULL, 22441),
(76369, '1qxpB04', NULL, NULL, 172, NULL, NULL, 22441),
(76370, '2gv5B01', NULL, NULL, 90, NULL, NULL, 22441),
(76371, '4pcwC00', NULL, NULL, 94, NULL, NULL, 22441),
(76372, '2otgB01', NULL, NULL, 82, NULL, NULL, 22441),
(76373, '1qjtA00', NULL, NULL, 99, NULL, NULL, 22441),
(76374, '1bu3A00', NULL, NULL, 109, NULL, NULL, 22441),
(76375, '1ttxA00', NULL, NULL, 109, NULL, NULL, 22441),
(76376, '4ovnJ01', NULL, NULL, 122, NULL, NULL, 22441),
(76377, '4dckA01', NULL, NULL, 123, NULL, NULL, 22441),
(76378, '3pm8B02', NULL, NULL, 92, NULL, NULL, 22441),
(76379, '1ij5A02', NULL, NULL, 110, NULL, NULL, 22441),
(76380, '3pm8B01', NULL, NULL, 89, NULL, NULL, 22441),
(76381, '1ij5A03', NULL, NULL, 133, NULL, NULL, 22441),
(76382, '1wdcB02', NULL, NULL, 68, NULL, NULL, 22441),
(76383, '1f54A00', NULL, NULL, 77, NULL, NULL, 22441);
INSERT INTO "PUBLIC"."MODEL" VALUES
(76384, '2julA00', NULL, NULL, 181, NULL, NULL, 22441),
(76385, '2o5gA00', NULL, NULL, 148, NULL, NULL, 22441),
(76386, '4aqiA00', NULL, NULL, 109, NULL, NULL, 22441),
(76387, '1snlA00', NULL, NULL, 103, NULL, NULL, 22441),
(76388, '2bkiD01', NULL, NULL, 56, NULL, NULL, 22441),
(76389, '1np8A00', NULL, NULL, 159, NULL, NULL, 22441),
(76390, '4cpvA00', NULL, NULL, 109, NULL, NULL, 22441),
(76391, '3i5gB02', NULL, NULL, 69, NULL, NULL, 22441),
(76392, '4duqB00', NULL, NULL, 98, NULL, NULL, 22441),
(76393, '1cb1A00', NULL, NULL, 78, NULL, NULL, 22441),
(76394, '3i5gB01', NULL, NULL, 78, NULL, NULL, 22441),
(76395, '2lvvA00', NULL, NULL, 226, NULL, NULL, 22441),
(76396, '2m7lA01', NULL, NULL, 86, NULL, NULL, 22441),
(76397, '2m7lA02', NULL, NULL, 58, NULL, NULL, 22441),
(76398, '1nshA00', NULL, NULL, 101, NULL, NULL, 22441),
(76399, '1k9uA00', NULL, NULL, 78, NULL, NULL, 22441),
(76400, '2ehbA00', NULL, NULL, 187, NULL, NULL, 22441),
(76401, '2zkmX02', NULL, NULL, 91, NULL, NULL, 22441),
(76402, '1k94A00', NULL, NULL, 165, NULL, NULL, 22441),
(76403, '1qx7I01', NULL, NULL, 74, NULL, NULL, 22441),
(76404, '4ggfC00', NULL, NULL, 114, NULL, NULL, 22441),
(76405, '4jwqC00', NULL, NULL, 79, NULL, NULL, 22441),
(76406, '5v89A01', NULL, NULL, 89, NULL, NULL, 22441),
(76407, '1qx7I02', NULL, NULL, 70, NULL, NULL, 22441),
(76408, '1xfxR01', NULL, NULL, 61, NULL, NULL, 22441),
(76409, '1xfxR02', NULL, NULL, 70, NULL, NULL, 22441),
(76410, '1wrkA00', NULL, NULL, 88, NULL, NULL, 22441),
(76411, '2be4A01', NULL, NULL, 83, NULL, NULL, 22441),
(76412, '1qx7A01', NULL, NULL, 76, NULL, NULL, 22441),
(76413, '1yvlA04', NULL, NULL, 121, NULL, NULL, 22441),
(76414, '3c1vB00', NULL, NULL, 113, NULL, NULL, 22441),
(76415, '5z1qA00', NULL, NULL, 75, NULL, NULL, 22441),
(76416, '1qx7A02', NULL, NULL, 68, NULL, NULL, 22441),
(76417, '1niwE01', NULL, NULL, 74, NULL, NULL, 22441),
(76418, '2be4A02', NULL, NULL, 101, NULL, NULL, 22441),
(76419, '1eh2A00', NULL, NULL, 106, NULL, NULL, 22441),
(76420, '2kldA01', NULL, NULL, 46, NULL, NULL, 22441),
(76421, '2be4A03', NULL, NULL, 88, NULL, NULL, 22441),
(76422, '2bcxA01', NULL, NULL, 73, NULL, NULL, 22441),
(76423, '1nyaA00', NULL, NULL, 176, NULL, NULL, 22441),
(76424, '1y1aA02', NULL, NULL, 87, NULL, NULL, 22441),
(76425, '1y1aA01', NULL, NULL, 96, NULL, NULL, 22441),
(76426, '5xndA00', NULL, NULL, 114, NULL, NULL, 22441),
(76427, '2f2pA02', NULL, NULL, 100, NULL, NULL, 22441),
(76428, '1wdcC01', NULL, NULL, 80, NULL, NULL, 22441),
(76429, '3qrxA02', NULL, NULL, 73, NULL, NULL, 22441),
(76430, '1qx2A00', NULL, NULL, 76, NULL, NULL, 22441),
(76431, '2kffA00', NULL, NULL, 105, NULL, NULL, 22441),
(76432, '6c0aA00', NULL, NULL, 71, NULL, NULL, 22441),
(76433, '1prwA01', NULL, NULL, 75, NULL, NULL, 22441),
(76434, '2kgrA00', NULL, NULL, 111, NULL, NULL, 22441),
(76435, '4il1B01', NULL, NULL, 186, NULL, NULL, 22441),
(76436, '5h0pA00', NULL, NULL, 104, NULL, NULL, 22441),
(76437, '2m0rA00', NULL, NULL, 104, NULL, NULL, 22441),
(76438, '3tz1A00', NULL, NULL, 74, NULL, NULL, 22441),
(76439, '2d8nA01', NULL, NULL, 82, NULL, NULL, 22441),
(76440, '1tnxA02', NULL, NULL, 78, NULL, NULL, 22441),
(76441, '2d8nA02', NULL, NULL, 88, NULL, NULL, 22441),
(76442, '1rwyA00', NULL, NULL, 109, NULL, NULL, 22441),
(76443, '1aj5A00', NULL, NULL, 173, NULL, NULL, 22441),
(76444, '5g08A01', NULL, NULL, 85, NULL, NULL, 22441),
(76445, '3pn7E01', NULL, NULL, 86, NULL, NULL, 22441),
(76446, '5g08A02', NULL, NULL, 91, NULL, NULL, 22441),
(76447, '4mvfA03', NULL, NULL, 187, NULL, NULL, 22441),
(76448, '2ncoA00', NULL, NULL, 102, NULL, NULL, 22441),
(76449, '5ibwA00', NULL, NULL, 77, NULL, NULL, 22441),
(76450, '2cxjA00', NULL, NULL, 98, NULL, NULL, 22441),
(76451, '1r2uA00', NULL, NULL, 89, NULL, NULL, 22441),
(76452, '4phjA00', NULL, NULL, 173, NULL, NULL, 22441),
(76453, '1c7vA00', NULL, NULL, 81, NULL, NULL, 22441),
(76454, '2ggmB01', NULL, NULL, 75, NULL, NULL, 22441),
(76455, '4ygcH00', NULL, NULL, 74, NULL, NULL, 22441),
(76456, '4nqgA00', NULL, NULL, 197, NULL, NULL, 22441),
(76457, '1dtlA02', NULL, NULL, 65, NULL, NULL, 22441);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(76458, '1xfxQ01', NULL, NULL, 61, NULL, NULL, 22441),
(76459, '1xfxQ02', NULL, NULL, 70, NULL, NULL, 22441),
(76460, '1kfxL04', NULL, NULL, 171, NULL, NULL, 22441),
(76461, '1xo5B00', NULL, NULL, 183, NULL, NULL, 22441),
(76462, '2pmyA00', NULL, NULL, 73, NULL, NULL, 22441),
(76463, '1j55A00', NULL, NULL, 95, NULL, NULL, 22441),
(76464, '3sjsA01', NULL, NULL, 202, NULL, NULL, 22441),
(76465, '1xk4C00', NULL, NULL, 91, NULL, NULL, 22441),
(76466, '4okhC00', NULL, NULL, 165, NULL, NULL, 22441),
(76467, '2bl0C02', NULL, NULL, 67, NULL, NULL, 22441),
(76468, '2bl0C01', NULL, NULL, 75, NULL, NULL, 22441),
(76469, '2m29A00', NULL, NULL, 72, NULL, NULL, 22441),
(76470, '1w7jB02', NULL, NULL, 60, NULL, NULL, 22441),
(76471, '2amiA00', NULL, NULL, 76, NULL, NULL, 22441),
(76472, '4ds7A02', NULL, NULL, 68, NULL, NULL, 22441),
(76473, '4ds7A01', NULL, NULL, 79, NULL, NULL, 22441),
(76474, '3jvtB01', NULL, NULL, 80, NULL, NULL, 22441),
(76475, '1smgA00', NULL, NULL, 90, NULL, NULL, 22441),
(76476, '1uhhB00', NULL, NULL, 191, NULL, NULL, 22441),
(76477, '1wlmA01', NULL, NULL, 103, NULL, NULL, 22441),
(76478, '2y4qA00', NULL, NULL, 79, NULL, NULL, 22441),
(76479, '2gv5E01', NULL, NULL, 90, NULL, NULL, 22441),
(76480, '1djxB01', NULL, NULL, 52, NULL, NULL, 22441),
(76481, '2mhhA00', NULL, NULL, 96, NULL, NULL, 22441),
(76482, '4hrgB00', NULL, NULL, 115, NULL, NULL, 22441),
(76483, '4ggfA00', NULL, NULL, 93, NULL, NULL, 22441),
(76484, '1xfxT01', NULL, NULL, 61, NULL, NULL, 22441),
(76485, '1xfxT02', NULL, NULL, 70, NULL, NULL, 22441),
(76486, '5jolA00', NULL, NULL, 82, NULL, NULL, 22441),
(76487, '2g2bA01', NULL, NULL, 139, NULL, NULL, 22441),
(76488, '2lucA00', NULL, NULL, 105, NULL, NULL, 22441),
(76489, '1niwG01', NULL, NULL, 74, NULL, NULL, 22441),
(76490, '1cdlB01', NULL, NULL, 76, NULL, NULL, 22441),
(76491, '1qv0A00', NULL, NULL, 195, NULL, NULL, 22441),
(76492, '1wy9A00', NULL, NULL, 111, NULL, NULL, 22441),
(76493, '1tcfA00', NULL, NULL, 159, NULL, NULL, 22441),
(76494, '4tncA01', NULL, NULL, 76, NULL, NULL, 22441),
(76495, '4cfrB00', NULL, NULL, 104, NULL, NULL, 22441),
(76496, '2f3yA02', NULL, NULL, 68, NULL, NULL, 22441),
(76497, '1s6cA00', NULL, NULL, 183, NULL, NULL, 22441),
(76498, '5palA00', NULL, NULL, 109, NULL, NULL, 22441),
(76499, '2bl0B02', NULL, NULL, 77, NULL, NULL, 22441),
(76500, '1pvaA00', NULL, NULL, 110, NULL, NULL, 22441),
(76501, '1topA02', NULL, NULL, 87, NULL, NULL, 22441),
(76502, '3cs1A02', NULL, NULL, 94, NULL, NULL, 22441),
(76503, '3cs1A01', NULL, NULL, 109, NULL, NULL, 22441),
(76504, '2ct9A00', NULL, NULL, 208, NULL, NULL, 22441),
(76505, '1g33A00', NULL, NULL, 73, NULL, NULL, 22441),
(76506, '2bl0B01', NULL, NULL, 68, NULL, NULL, 22441),
(76507, '1qlsA00', NULL, NULL, 99, NULL, NULL, 22441),
(76508, '2b1uA00', NULL, NULL, 71, NULL, NULL, 22441),
(76509, '3kpxA00', NULL, NULL, 198, NULL, NULL, 22441),
(76510, '3mseB00', NULL, NULL, 180, NULL, NULL, 22441),
(76511, '2lmtA01', NULL, NULL, 77, NULL, NULL, 22441),
(76512, '2kycA00', NULL, NULL, 108, NULL, NULL, 22441),
(76513, '1j7qA00', NULL, NULL, 86, NULL, NULL, 22441),
(76514, '1up5A02', NULL, NULL, 70, NULL, NULL, 22441),
(76515, '1mxeA02', NULL, NULL, 68, NULL, NULL, 22441),
(76516, '5xopA00', NULL, NULL, 66, NULL, NULL, 22441),
(76517, '5zh6B00', NULL, NULL, 107, NULL, NULL, 22441),
(76518, '1j1dA02', NULL, NULL, 65, NULL, NULL, 22441),
(76519, '2jnfA01', NULL, NULL, 74, NULL, NULL, 22441),
(76520, '1ggwA02', NULL, NULL, 70, NULL, NULL, 22441),
(76521, '1ggwA01', NULL, NULL, 67, NULL, NULL, 22441),
(76522, '4wriA00', NULL, NULL, 192, NULL, NULL, 22441),
(76523, '2aaoB00', NULL, NULL, 166, NULL, NULL, 22441),
(76524, '1qx7R01', NULL, NULL, 74, NULL, NULL, 22441),
(76525, '1exrA01', NULL, NULL, 76, NULL, NULL, 22441),
(76526, '1exrA02', NULL, NULL, 68, NULL, NULL, 22441),
(76527, '1qx7R02', NULL, NULL, 70, NULL, NULL, 22441),
(76528, '1xfxS02', NULL, NULL, 70, NULL, NULL, 22441),
(76529, '4ociA01', NULL, NULL, 73, NULL, NULL, 22441),
(76530, '1rjvA00', NULL, NULL, 110, NULL, NULL, 22441),
(76531, '4ociA02', NULL, NULL, 73, NULL, NULL, 22441);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(76532, '1xfxS01', NULL, NULL, 61, NULL, NULL, 22441),
(76533, '5hydA00', NULL, NULL, 99, NULL, NULL, 22441),
(76534, '1qx7B00', NULL, NULL, 148, NULL, NULL, 22441),
(76535, '2r2iA01', NULL, NULL, 111, NULL, NULL, 22441),
(76536, '2becA00', NULL, NULL, 202, NULL, NULL, 22441),
(76537, '3dd4A00', NULL, NULL, 229, NULL, NULL, 22441),
(76538, '1a4pA00', NULL, NULL, 96, NULL, NULL, 22441),
(76539, '2r2iA02', NULL, NULL, 87, NULL, NULL, 22441),
(76540, '5n69G02', NULL, NULL, 70, NULL, NULL, 22441),
(76541, '5n69G01', NULL, NULL, 87, NULL, NULL, 22441),
(76542, '1qtxA02', NULL, NULL, 68, NULL, NULL, 22441),
(76543, '1qtxA01', NULL, NULL, 74, NULL, NULL, 22441),
(76544, '1aj4A00', NULL, NULL, 161, NULL, NULL, 22441),
(76545, '1fpwA02', NULL, NULL, 94, NULL, NULL, 22441),
(76546, '1y1xB00', NULL, NULL, 191, NULL, NULL, 22441),
(76547, '1fpwA01', NULL, NULL, 89, NULL, NULL, 22441),
(76548, '5kszA01', NULL, NULL, 104, NULL, NULL, 22441),
(76549, '4ovnF01', NULL, NULL, 122, NULL, NULL, 22441),
(76550, '5kszA02', NULL, NULL, 196, NULL, NULL, 22441),
(76551, '4gukA01', NULL, NULL, 85, NULL, NULL, 22441),
(76552, '1rroA00', NULL, NULL, 108, NULL, NULL, 22441),
(76553, '2os8B01', NULL, NULL, 65, NULL, NULL, 22441),
(76554, '4pe0A00', NULL, NULL, 92, NULL, NULL, 22441),
(76555, '4gukA02', NULL, NULL, 93, NULL, NULL, 22441),
(76556, '3vrpA02', NULL, NULL, 89, NULL, NULL, 22441),
(76557, '2i7aA00', NULL, NULL, 174, NULL, NULL, 22441),
(76558, '1psrA00', NULL, NULL, 100, NULL, NULL, 22441),
(76559, '3pn7C02', NULL, NULL, 72, NULL, NULL, 22441),
(76560, '2qy1A00', NULL, NULL, 330, NULL, NULL, 22442),
(76561, '4oj6C03', NULL, NULL, 399, NULL, NULL, 22442),
(76562, '1gq8A00', NULL, NULL, 319, NULL, NULL, 22442),
(76563, '1qcxA00', NULL, NULL, 359, NULL, NULL, 22442),
(76564, '3vmvA00', NULL, NULL, 326, NULL, NULL, 22442),
(76565, '1bheA00', NULL, NULL, 376, NULL, NULL, 22442),
(76566, '2odlA00', NULL, NULL, 373, NULL, NULL, 22442),
(76567, '4nk6A00', NULL, NULL, 424, NULL, NULL, 22442),
(76568, '5amvA00', NULL, NULL, 399, NULL, NULL, 22442),
(76569, '1ogoX02', NULL, NULL, 367, NULL, NULL, 22442),
(76570, '1ee6A00', NULL, NULL, 197, NULL, NULL, 22442),
(76571, '1oflA00', NULL, NULL, 481, NULL, NULL, 22442),
(76572, '1k5cA00', NULL, NULL, 335, NULL, NULL, 22442),
(76573, '2pygA00', NULL, NULL, 377, NULL, NULL, 22442),
(76574, '1ia5A00', NULL, NULL, 339, NULL, NULL, 22442),
(76575, '4u49B02', NULL, NULL, 228, NULL, NULL, 22442),
(76576, '1ru4A00', NULL, NULL, 400, NULL, NULL, 22442),
(76577, '1czfA00', NULL, NULL, 335, NULL, NULL, 22442),
(76578, '4yz0A00', NULL, NULL, 204, NULL, NULL, 22442),
(76579, '2inuA00', NULL, NULL, 410, NULL, NULL, 22442),
(76580, '1rmgA00', NULL, NULL, 422, NULL, NULL, 22442),
(76581, '4hwvB00', NULL, NULL, 487, NULL, NULL, 22442),
(76582, '2iq7A00', NULL, NULL, 339, NULL, NULL, 22442),
(76583, '1idkA00', NULL, NULL, 359, NULL, NULL, 22442),
(76584, '1vblA00', NULL, NULL, 416, NULL, NULL, 22442),
(76585, '3vsvA01', NULL, NULL, 510, NULL, NULL, 22442),
(76586, '2x3hA00', NULL, NULL, 499, NULL, NULL, 22442),
(76587, '2nspA00', NULL, NULL, 342, NULL, NULL, 22442),
(76588, '2uvfB02', NULL, NULL, 457, NULL, NULL, 22442),
(76589, '1x0cA02', NULL, NULL, 374, NULL, NULL, 22442),
(76590, '1pxzA00', NULL, NULL, 346, NULL, NULL, 22442),
(76591, '1nhcA00', NULL, NULL, 336, NULL, NULL, 22442),
(76592, '1o88A00', NULL, NULL, 353, NULL, NULL, 22442),
(76593, '4mr0B00', NULL, NULL, 452, NULL, NULL, 22442),
(76594, '3uw0A00', NULL, NULL, 321, NULL, NULL, 22442),
(76595, '3eqnA01', NULL, NULL, 342, NULL, NULL, 22442),
(76596, '3gq8A01', NULL, NULL, 469, NULL, NULL, 22442),
(76597, '1pe9A00', NULL, NULL, 361, NULL, NULL, 22442),
(76598, '3eqnA02', NULL, NULL, 362, NULL, NULL, 22442),
(76599, '4pmhA00', NULL, NULL, 366, NULL, NULL, 22442),
(76600, '5olpA00', NULL, NULL, 433, NULL, NULL, 22442),
(76601, '4w8qA00', NULL, NULL, 242, NULL, NULL, 22442),
(76602, '4c2lA00', NULL, NULL, 372, NULL, NULL, 22442),
(76603, '1rwrA00', NULL, NULL, 301, NULL, NULL, 22442),
(76604, '3grhA00', NULL, NULL, 404, NULL, NULL, 22442);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(76605, '4xotA02', NULL, NULL, 433, NULL, NULL, 22442),
(76606, '4mxnB00', NULL, NULL, 228, NULL, NULL, 22442),
(76607, '5c1eA00', NULL, NULL, 299, NULL, NULL, 22442),
(76608, '3zscA00', NULL, NULL, 340, NULL, NULL, 22442),
(76609, '1h80B00', NULL, NULL, 464, NULL, NULL, 22442),
(76610, '3jurA00', NULL, NULL, 448, NULL, NULL, 22442),
(76611, '5m5zA01', NULL, NULL, 349, NULL, NULL, 22442),
(76612, '5m5zA02', NULL, NULL, 377, NULL, NULL, 22442),
(76613, '4i84A00', NULL, NULL, 307, NULL, NULL, 22442),
(76614, '3b4nA02', NULL, NULL, 226, NULL, NULL, 22442),
(76615, '5lw3A00', NULL, NULL, 387, NULL, NULL, 22442),
(76616, '1xg2A00', NULL, NULL, 317, NULL, NULL, 22442),
(76617, '1hg8A00', NULL, NULL, 349, NULL, NULL, 22442),
(76618, '2vbkA00', NULL, NULL, 514, NULL, NULL, 22442),
(76619, '2kouA00', NULL, NULL, 102, NULL, NULL, 22443),
(76620, '1musA03', NULL, NULL, 126, NULL, NULL, 22444),
(76621, '2k3nA00', NULL, NULL, 160, NULL, NULL, 22445),
(76622, '2lyiA01', NULL, NULL, 148, NULL, NULL, 22445),
(76623, '2mqaA00', NULL, NULL, 132, NULL, NULL, 22445),
(76624, '2k3oA00', NULL, NULL, 129, NULL, NULL, 22445),
(76625, '5e62A01', NULL, NULL, 37, NULL, NULL, 22446),
(76626, '1flcA01', NULL, NULL, 37, NULL, NULL, 22446),
(76627, '2f6sA00', NULL, NULL, 181, NULL, NULL, 22447),
(76628, '4xi8A00', NULL, NULL, 222, NULL, NULL, 22447),
(76629, '3shgA00', NULL, NULL, 205, NULL, NULL, 22447),
(76630, '4n67A00', NULL, NULL, 227, NULL, NULL, 22447),
(76631, '4wgjA00', NULL, NULL, 227, NULL, NULL, 22447),
(76632, '5nh2A01', NULL, NULL, 236, NULL, NULL, 22447),
(76633, '3cucA00', NULL, NULL, 291, NULL, NULL, 22447),
(76634, '4m16A00', NULL, NULL, 241, NULL, NULL, 22447),
(76635, '3n3uA00', NULL, NULL, 299, NULL, NULL, 22447),
(76636, '5jffA00', NULL, NULL, 191, NULL, NULL, 22447),
(76637, '4py3F00', NULL, NULL, 219, NULL, NULL, 22447),
(76638, '4x2cA00', NULL, NULL, 235, NULL, NULL, 22447),
(76639, '4u04A02', NULL, NULL, 253, NULL, NULL, 22447),
(76640, '3letA00', NULL, NULL, 314, NULL, NULL, 22447),
(76641, '5jj6B02', NULL, NULL, 241, NULL, NULL, 22447),
(76642, '5eu0A00', NULL, NULL, 224, NULL, NULL, 22447),
(76643, '5cklA00', NULL, NULL, 188, NULL, NULL, 22447),
(76644, '4npsA01', NULL, NULL, 237, NULL, NULL, 22447),
(76645, '2g03A00', NULL, NULL, 194, NULL, NULL, 22447),
(76646, '3go5A01', NULL, NULL, 71, NULL, NULL, 22448),
(76647, '1e1hB01', NULL, NULL, 103, NULL, NULL, 22449),
(76648, '2aw4Z00', NULL, NULL, 70, NULL, NULL, 22450),
(76649, '4uoiC00', NULL, NULL, 71, NULL, NULL, 22451),
(76650, '3r3lB02', NULL, NULL, 177, NULL, NULL, 22452),
(76651, '4gveA00', NULL, NULL, 213, NULL, NULL, 22452),
(76652, '3q7cA01', NULL, NULL, 203, NULL, NULL, 22452),
(76653, '1yr2A02', NULL, NULL, 343, NULL, NULL, 22453),
(76654, '3iujA02', NULL, NULL, 337, NULL, NULL, 22453),
(76655, '2bklA02', NULL, NULL, 338, NULL, NULL, 22453),
(76656, '2xe4A02', NULL, NULL, 352, NULL, NULL, 22453),
(76657, '4bp8A02', NULL, NULL, 345, NULL, NULL, 22453),
(76658, '5o3uA02', NULL, NULL, 355, NULL, NULL, 22453),
(76659, '2xdwA02', NULL, NULL, 353, NULL, NULL, 22453),
(76660, '5yvdA01', NULL, NULL, 63, NULL, NULL, 22454),
(76661, '2h85A01', NULL, NULL, 65, NULL, NULL, 22454),
(76662, '2gtiA01', NULL, NULL, 64, NULL, NULL, 22454),
(76663, '4s1tA01', NULL, NULL, 64, NULL, NULL, 22454),
(76664, '3aa0B01', NULL, NULL, 89, NULL, NULL, 22455),
(76665, '4akrB01', NULL, NULL, 88, NULL, NULL, 22455),
(76666, '3uepA00', NULL, NULL, 96, NULL, NULL, 22456),
(76667, '4yx1A00', NULL, NULL, 70, NULL, NULL, 22456),
(76668, '1o9yC00', NULL, NULL, 84, NULL, NULL, 22456),
(76669, '5xrwA00', NULL, NULL, 79, NULL, NULL, 22456),
(76670, '5xrwC00', NULL, NULL, 79, NULL, NULL, 22456),
(76671, '1o6aB00', NULL, NULL, 96, NULL, NULL, 22456),
(76672, '4tt9B00', NULL, NULL, 86, NULL, NULL, 22456),
(76673, '3tw8A01', NULL, NULL, 144, NULL, NULL, 22457),
(76674, '1ej6B00', NULL, NULL, 1035, NULL, NULL, 22458),
(76675, '1lshA04', NULL, NULL, 251, NULL, NULL, 22459),
(76676, '1vryA00', NULL, NULL, 76, NULL, NULL, 22460),
(76677, '3bcyA00', NULL, NULL, 155, NULL, NULL, 22461);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(76678, '1fx2A00', NULL, NULL, 235, NULL, NULL, 22462),
(76679, '2qv6A01', NULL, NULL, 128, NULL, NULL, 22462),
(76680, '6ao9A00', NULL, NULL, 192, NULL, NULL, 22462),
(76681, '5o5lA00', NULL, NULL, 225, NULL, NULL, 22462),
(76682, '4p2fA00', NULL, NULL, 189, NULL, NULL, 22462),
(76683, '1fx4A00', NULL, NULL, 231, NULL, NULL, 22462),
(76684, '1wc1C00', NULL, NULL, 199, NULL, NULL, 22462),
(76685, '4cllA01', NULL, NULL, 219, NULL, NULL, 22462),
(76686, '4ni2A00', NULL, NULL, 197, NULL, NULL, 22462),
(76687, '1y10B02', NULL, NULL, 183, NULL, NULL, 22462),
(76688, '4wp3C00', NULL, NULL, 210, NULL, NULL, 22462),
(76689, '4wp9A00', NULL, NULL, 177, NULL, NULL, 22462),
(76690, '1ybtB00', NULL, NULL, 184, NULL, NULL, 22462),
(76691, '4clfA02', NULL, NULL, 191, NULL, NULL, 22462),
(76692, '3r5gA00', NULL, NULL, 198, NULL, NULL, 22462),
(76693, '2wz1B00', NULL, NULL, 201, NULL, NULL, 22462),
(76694, '1azsB00', NULL, NULL, 212, NULL, NULL, 22462),
(76695, '1azsA00', NULL, NULL, 200, NULL, NULL, 22462),
(76696, '3mr7A00', NULL, NULL, 189, NULL, NULL, 22462),
(76697, '3et6A00', NULL, NULL, 190, NULL, NULL, 22462),
(76698, '2w01B00', NULL, NULL, 208, NULL, NULL, 22462),
(76699, '2r7rA05', NULL, NULL, 187, NULL, NULL, 22463),
(76700, '3uuxB01', NULL, NULL, 124, NULL, NULL, 22464),
(76701, '1yqeA01', NULL, NULL, 186, NULL, NULL, 22465),
(76702, '2gfqB01', NULL, NULL, 192, NULL, NULL, 22465),
(76703, '1bvp103', NULL, NULL, 96, NULL, NULL, 22466),
(76704, '1iieA00', NULL, NULL, 75, NULL, NULL, 22467),
(76705, '3mk7A00', NULL, NULL, 474, NULL, NULL, 22468),
(76706, '5b1aA00', NULL, NULL, 514, NULL, NULL, 22468),
(76707, '4xydA00', NULL, NULL, 456, NULL, NULL, 22468),
(76708, '2gsmC00', NULL, NULL, 534, NULL, NULL, 22468),
(76709, '3hb3A00', NULL, NULL, 542, NULL, NULL, 22468),
(76710, '3wfdB00', NULL, NULL, 465, NULL, NULL, 22468),
(76711, '3ayfA01', NULL, NULL, 564, NULL, NULL, 22468),
(76712, '1fftA00', NULL, NULL, 501, NULL, NULL, 22468),
(76713, '3s8fA00', NULL, NULL, 569, NULL, NULL, 22468),
(76714, '2yevA01', NULL, NULL, 533, NULL, NULL, 22468),
(76715, '6hu9a00', NULL, NULL, 534, NULL, NULL, 22468),
(76716, '2ynkA00', NULL, NULL, 456, NULL, NULL, 22469),
(76717, '6bbtA02', NULL, NULL, 125, NULL, NULL, 22470),
(76718, '2y1vA03', NULL, NULL, 107, NULL, NULL, 22470),
(76719, '2xtlA02', NULL, NULL, 99, NULL, NULL, 22470),
(76720, '2x9zA02', NULL, NULL, 113, NULL, NULL, 22470),
(76721, '6bbwA02', NULL, NULL, 127, NULL, NULL, 22470),
(76722, '3gldA02', NULL, NULL, 137, NULL, NULL, 22470),
(76723, '2xidA04', NULL, NULL, 119, NULL, NULL, 22470),
(76724, '1d2oA02', NULL, NULL, 80, NULL, NULL, 22470),
(76725, '1d2oA01', NULL, NULL, 107, NULL, NULL, 22470),
(76726, '4adnA01', NULL, NULL, 94, NULL, NULL, 22471),
(76727, '2yb5F01', NULL, NULL, 86, NULL, NULL, 22471),
(76728, '4p22B02', NULL, NULL, 79, NULL, NULL, 22472),
(76729, '4ii2A03', NULL, NULL, 79, NULL, NULL, 22472),
(76730, '5tr4A03', NULL, NULL, 79, NULL, NULL, 22472),
(76731, '2v31A01', NULL, NULL, 97, NULL, NULL, 22472),
(76732, '2gytA01', NULL, NULL, 71, NULL, NULL, 22473),
(76733, '2h80A01', NULL, NULL, 68, NULL, NULL, 22473),
(76734, '2lepA00', NULL, NULL, 69, NULL, NULL, 22474),
(76735, '2vj5A01', NULL, NULL, 92, NULL, NULL, 22475),
(76736, '2vixB01', NULL, NULL, 92, NULL, NULL, 22475),
(76737, '2vixC01', NULL, NULL, 92, NULL, NULL, 22475),
(76738, '2vj4B01', NULL, NULL, 92, NULL, NULL, 22475),
(76739, '2vj4A01', NULL, NULL, 92, NULL, NULL, 22475),
(76740, '2vixA01', NULL, NULL, 92, NULL, NULL, 22475),
(76741, '4al0A00', NULL, NULL, 152, NULL, NULL, 22476),
(76742, '2h8aA00', NULL, NULL, 154, NULL, NULL, 22476),
(76743, '3leoA00', NULL, NULL, 155, NULL, NULL, 22476),
(76744, '3pcvA00', NULL, NULL, 156, NULL, NULL, 22476),
(76745, '4bpmA00', NULL, NULL, 178, NULL, NULL, 22476),
(76746, '2q7rC00', NULL, NULL, 161, NULL, NULL, 22476),
(76747, '4ntfA00', NULL, NULL, 156, NULL, NULL, 22476),
(76748, '1z9hA02', NULL, NULL, 43, NULL, NULL, 22477),
(76749, '2qkdA04', NULL, NULL, 127, NULL, NULL, 22478),
(76750, '2qkdA02', NULL, NULL, 140, NULL, NULL, 22478);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(76751, '2oxgD00', NULL, NULL, 124, NULL, NULL, 22479),
(76752, '2nncA00', NULL, NULL, 124, NULL, NULL, 22479),
(76753, '4uwqB00', NULL, NULL, 136, NULL, NULL, 22479),
(76754, '1jiwI00', NULL, NULL, 106, NULL, NULL, 22480),
(76755, '4kcaA03', NULL, NULL, 97, NULL, NULL, 22480),
(76756, '2x8sA02', NULL, NULL, 95, NULL, NULL, 22480),
(76757, '1smpI00', NULL, NULL, 101, NULL, NULL, 22480),
(76758, '3lv4A02', NULL, NULL, 108, NULL, NULL, 22480),
(76759, '5ho9B02', NULL, NULL, 102, NULL, NULL, 22480),
(76760, '4kc7A02', NULL, NULL, 100, NULL, NULL, 22480),
(76761, '2covG00', NULL, NULL, 104, NULL, NULL, 22481),
(76762, '3pxpB02', NULL, NULL, 199, NULL, NULL, 22482),
(76763, '3pxpA02', NULL, NULL, 199, NULL, NULL, 22482),
(76764, '3pxpC02', NULL, NULL, 199, NULL, NULL, 22482),
(76765, '2c9oB02', NULL, NULL, 126, NULL, NULL, 22483),
(76766, '2cqaA01', NULL, NULL, 74, NULL, NULL, 22483),
(76767, '2f9hA00', NULL, NULL, 129, NULL, NULL, 22484),
(76768, '2q8aA03', NULL, NULL, 27, NULL, NULL, 22485),
(76769, '2mvtA00', NULL, NULL, 47, NULL, NULL, 22486),
(76770, '2munA00', NULL, NULL, 46, NULL, NULL, 22486),
(76771, '2m35A00', NULL, NULL, 52, NULL, NULL, 22486),
(76772, '2jqtA00', NULL, NULL, 71, NULL, NULL, 22487),
(76773, '2k5sA00', NULL, NULL, 73, NULL, NULL, 22487),
(76774, '2mw2A00', NULL, NULL, 72, NULL, NULL, 22487),
(76775, '4icgD00', NULL, NULL, 75, NULL, NULL, 22487),
(76776, '2mcmA00', NULL, NULL, 112, NULL, NULL, 22488),
(76777, '2cbqC00', NULL, NULL, 114, NULL, NULL, 22488),
(76778, '1akpA00', NULL, NULL, 114, NULL, NULL, 22488),
(76779, '2cbtA00', NULL, NULL, 112, NULL, NULL, 22488),
(76780, '2cboA00', NULL, NULL, 115, NULL, NULL, 22488),
(76781, '1noaA00', NULL, NULL, 113, NULL, NULL, 22488),
(76782, '1acxA00', NULL, NULL, 108, NULL, NULL, 22488),
(76783, '1j48A00', NULL, NULL, 110, NULL, NULL, 22488),
(76784, '1k87A02', NULL, NULL, 121, NULL, NULL, 22489),
(76785, '1t9hA03', NULL, NULL, 68, NULL, NULL, 22490),
(76786, '2yv5A03', NULL, NULL, 70, NULL, NULL, 22490),
(76787, '1u0lA03', NULL, NULL, 65, NULL, NULL, 22490),
(76788, '2rcnA03', NULL, NULL, 75, NULL, NULL, 22490),
(76789, '2agcA00', NULL, NULL, 162, NULL, NULL, 22491),
(76790, '2ag4A00', NULL, NULL, 164, NULL, NULL, 22491),
(76791, '4csqA00', NULL, NULL, 113, NULL, NULL, 22492),
(76792, '4dnnA00', NULL, NULL, 56, NULL, NULL, 22493),
(76793, '4dnnB00', NULL, NULL, 56, NULL, NULL, 22493),
(76794, '2ymjA00', NULL, NULL, 52, NULL, NULL, 22493),
(76795, '3k6tB00', NULL, NULL, 60, NULL, NULL, 22493),
(76796, '2hjqA01', NULL, NULL, 46, NULL, NULL, 22494),
(76797, '3i9v101', NULL, NULL, 61, NULL, NULL, 22495),
(76798, '2e87A01', NULL, NULL, 161, NULL, NULL, 22496),
(76799, '2w02B04', NULL, NULL, 21, NULL, NULL, 22497),
(76800, '1srqC02', NULL, NULL, 190, NULL, NULL, 22498),
(76801, '1a9xB01', NULL, NULL, 150, NULL, NULL, 22499),
(76802, '2wyhB01', NULL, NULL, 96, NULL, NULL, 22500),
(76803, '6bscB00', NULL, NULL, 55, NULL, NULL, 22501),
(76804, '4p0pB02', NULL, NULL, 104, NULL, NULL, 22502),
(76805, '2ziuA02', NULL, NULL, 83, NULL, NULL, 22502),
(76806, '4p0pA02', NULL, NULL, 83, NULL, NULL, 22502),
(76807, '3jqoB00', NULL, NULL, 135, NULL, NULL, 22503),
(76808, '2ofqA01', NULL, NULL, 89, NULL, NULL, 22503),
(76809, '2n01B00', NULL, NULL, 106, NULL, NULL, 22503),
(76810, '4u7bA01', NULL, NULL, 51, NULL, NULL, 22504),
(76811, '2itaA01', NULL, NULL, 56, NULL, NULL, 22505),
(76812, '3ikmA02', NULL, NULL, 255, NULL, NULL, 22506),
(76813, '3fggB00', NULL, NULL, 146, NULL, NULL, 22507),
(76814, '3fh3B00', NULL, NULL, 158, NULL, NULL, 22507),
(76815, '3fggA00', NULL, NULL, 147, NULL, NULL, 22507),
(76816, '3fh3A00', NULL, NULL, 158, NULL, NULL, 22507),
(76817, '2vmhA00', NULL, NULL, 151, NULL, NULL, 22508),
(76818, '2vngA00', NULL, NULL, 180, NULL, NULL, 22508),
(76819, '2yglB02', NULL, NULL, 181, NULL, NULL, 22508),
(76820, '2yglA01', NULL, NULL, 173, NULL, NULL, 22508),
(76821, '5dllA01', NULL, NULL, 184, NULL, NULL, 22509),
(76822, '4kx7A01', NULL, NULL, 219, NULL, NULL, 22509),
(76823, '5ab0A01', NULL, NULL, 218, NULL, NULL, 22509),
(76824, '4gaaA01', NULL, NULL, 193, NULL, NULL, 22509);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(76825, '5mj6B01', NULL, NULL, 212, NULL, NULL, 22509),
(76826, '4wz9A01', NULL, NULL, 214, NULL, NULL, 22509),
(76827, '2xq0A01', NULL, NULL, 186, NULL, NULL, 22509),
(76828, '3b34A01', NULL, NULL, 180, NULL, NULL, 22509),
(76829, '4fkeA01', NULL, NULL, 221, NULL, NULL, 22509),
(76830, '5zi7A01', NULL, NULL, 185, NULL, NULL, 22509),
(76831, '4fyqA01', NULL, NULL, 223, NULL, NULL, 22509),
(76832, '4qhpA01', NULL, NULL, 178, NULL, NULL, 22509),
(76833, '3ciaA01', NULL, NULL, 188, NULL, NULL, 22509),
(76834, '6ea2A01', NULL, NULL, 187, NULL, NULL, 22509),
(76835, '6q4rA01', NULL, NULL, 210, NULL, NULL, 22509),
(76836, '1z5hA01', NULL, NULL, 170, NULL, NULL, 22509),
(76837, '3u9wA01', NULL, NULL, 193, NULL, NULL, 22509),
(76838, '4ke2A00', NULL, NULL, 196, NULL, NULL, 22510),
(76839, '2cmrA00', NULL, NULL, 226, NULL, NULL, 22511),
(76840, '2rngA01', NULL, NULL, 39, NULL, NULL, 22512),
(76841, '3bwuF00', NULL, NULL, 142, NULL, NULL, 22513),
(76842, '2uy6C01', NULL, NULL, 142, NULL, NULL, 22513),
(76843, '3jwnE00', NULL, NULL, 154, NULL, NULL, 22513),
(76844, '4x5pA00', NULL, NULL, 160, NULL, NULL, 22513),
(76845, '6arnA00', NULL, NULL, 166, NULL, NULL, 22513),
(76846, '2xg5B01', NULL, NULL, 138, NULL, NULL, 22513),
(76847, '3sqbB00', NULL, NULL, 152, NULL, NULL, 22513),
(76848, '2w07B01', NULL, NULL, 134, NULL, NULL, 22513),
(76849, '5iqnA00', NULL, NULL, 132, NULL, NULL, 22513),
(76850, '1p5vB00', NULL, NULL, 147, NULL, NULL, 22513),
(76851, '1n12A00', NULL, NULL, 138, NULL, NULL, 22513),
(76852, '4xo9A02', NULL, NULL, 122, NULL, NULL, 22513),
(76853, '3me0B00', NULL, NULL, 128, NULL, NULL, 22513),
(76854, '1pdkB00', NULL, NULL, 157, NULL, NULL, 22513),
(76855, '2km1A00', NULL, NULL, 136, NULL, NULL, 22514),
(76856, '1mk0A00', NULL, NULL, 97, NULL, NULL, 22515),
(76857, '1zg2A00', NULL, NULL, 107, NULL, NULL, 22515),
(76858, '1yd0A00', NULL, NULL, 96, NULL, NULL, 22515),
(76859, '1ywlA00', NULL, NULL, 96, NULL, NULL, 22515),
(76860, '1yd6C00', NULL, NULL, 99, NULL, NULL, 22515),
(76861, '2k9pA00', NULL, NULL, 80, NULL, NULL, 22516),
(76862, '1wthD04', NULL, NULL, 80, NULL, NULL, 22517),
(76863, '6i1yA01', NULL, NULL, 67, NULL, NULL, 22518),
(76864, '3gr5A02', NULL, NULL, 68, NULL, NULL, 22518),
(76865, '4g08A02', NULL, NULL, 75, NULL, NULL, 22518),
(76866, '6i1yA02', NULL, NULL, 72, NULL, NULL, 22518),
(76867, '4e9jA02', NULL, NULL, 73, NULL, NULL, 22518),
(76868, '4e9jB01', NULL, NULL, 153, NULL, NULL, 22518),
(76869, '2y3mB01', NULL, NULL, 114, NULL, NULL, 22518),
(76870, '5wq8A01', NULL, NULL, 68, NULL, NULL, 22518),
(76871, '5wq7A02', NULL, NULL, 73, NULL, NULL, 22518),
(76872, '5wq8A02', NULL, NULL, 72, NULL, NULL, 22518),
(76873, '5wq7A01', NULL, NULL, 68, NULL, NULL, 22518),
(76874, '3ossD00', NULL, NULL, 181, NULL, NULL, 22518),
(76875, '3ezjA03', NULL, NULL, 70, NULL, NULL, 22518),
(76876, '3ezjA02', NULL, NULL, 68, NULL, NULL, 22518),
(76877, '2lrmA00', NULL, NULL, 90, NULL, NULL, 22519),
(76878, '2y0mB00', NULL, NULL, 46, NULL, NULL, 22520),
(76879, '1ylmA00', NULL, NULL, 144, NULL, NULL, 22521),
(76880, '2nsfA02', NULL, NULL, 82, NULL, NULL, 22522),
(76881, '2ihr101', NULL, NULL, 111, NULL, NULL, 22523),
(76882, '1gqeA01', NULL, NULL, 116, NULL, NULL, 22523),
(76883, '3f1eX01', NULL, NULL, 108, NULL, NULL, 22523),
(76884, '4aybA09', NULL, NULL, 53, NULL, NULL, 22524),
(76885, '4e40A00', NULL, NULL, 252, NULL, NULL, 22525),
(76886, '4x0jA00', NULL, NULL, 265, NULL, NULL, 22525),
(76887, '2y44A00', NULL, NULL, 184, NULL, NULL, 22525),
(76888, '1l3xA00', NULL, NULL, 73, NULL, NULL, 22526),
(76889, '3c05B00', NULL, NULL, 64, NULL, NULL, 22526),
(76890, '3c05A00', NULL, NULL, 62, NULL, NULL, 22526),
(76891, '4r5rA00', NULL, NULL, 68, NULL, NULL, 22526),
(76892, '1j2lA00', NULL, NULL, 70, NULL, NULL, 22526),
(76893, '1mpzA00', NULL, NULL, 41, NULL, NULL, 22526),
(76894, '3uciA00', NULL, NULL, 72, NULL, NULL, 22526),
(76895, '1ro3A00', NULL, NULL, 49, NULL, NULL, 22526),
(76896, '2mop100', NULL, NULL, 83, NULL, NULL, 22526),
(76897, '1q7iA00', NULL, NULL, 68, NULL, NULL, 22526),
(76898, '1rmrA00', NULL, NULL, 64, NULL, NULL, 22526);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(76899, '2w9oA00', NULL, NULL, 46, NULL, NULL, 22526),
(76900, '3g5cA02', NULL, NULL, 55, NULL, NULL, 22526),
(76901, '1tejB00', NULL, NULL, 64, NULL, NULL, 22526),
(76902, '4rqgA00', NULL, NULL, 68, NULL, NULL, 22526),
(76903, '1tejA00', NULL, NULL, 64, NULL, NULL, 22526),
(76904, '1z1xA00', NULL, NULL, 64, NULL, NULL, 22526),
(76905, '1vioA03', NULL, NULL, 82, NULL, NULL, 22527),
(76906, '2gmlA02', NULL, NULL, 74, NULL, NULL, 22527),
(76907, '2omlA02', NULL, NULL, 106, NULL, NULL, 22527),
(76908, '1llnA01', NULL, NULL, 175, NULL, NULL, 22528),
(76909, '3h5kA01', NULL, NULL, 177, NULL, NULL, 22528),
(76910, '1bryY01', NULL, NULL, 163, NULL, NULL, 22528),
(76911, '4fbcA01', NULL, NULL, 178, NULL, NULL, 22528),
(76912, '1tfmA01', NULL, NULL, 160, NULL, NULL, 22528),
(76913, '1r4qA01', NULL, NULL, 169, NULL, NULL, 22528),
(76914, '1apaA01', NULL, NULL, 182, NULL, NULL, 22528),
(76915, '1ggpA01', NULL, NULL, 149, NULL, NULL, 22528),
(76916, '2pqgB01', NULL, NULL, 188, NULL, NULL, 22528),
(76917, '2oqaA01', NULL, NULL, 161, NULL, NULL, 22528),
(76918, '2q8wA01', NULL, NULL, 177, NULL, NULL, 22528),
(76919, '1ce7A01', NULL, NULL, 162, NULL, NULL, 22528),
(76920, '2vlcA01', NULL, NULL, 171, NULL, NULL, 22528),
(76921, '2rg9A01', NULL, NULL, 167, NULL, NULL, 22528),
(76922, '4hr6B01', NULL, NULL, 120, NULL, NULL, 22528),
(76923, '5z37A01', NULL, NULL, 163, NULL, NULL, 22528),
(76924, '2b7uA01', NULL, NULL, 169, NULL, NULL, 22528),
(76925, '3mvgA01', NULL, NULL, 163, NULL, NULL, 22528),
(76926, '3sj6A01', NULL, NULL, 162, NULL, NULL, 22528),
(76927, '4yp2B01', NULL, NULL, 162, NULL, NULL, 22528),
(76928, '1nioA01', NULL, NULL, 162, NULL, NULL, 22528),
(76929, '2zr1A01', NULL, NULL, 167, NULL, NULL, 22528),
(76930, '1rl0A01', NULL, NULL, 181, NULL, NULL, 22528),
(76931, '2z4uA01', NULL, NULL, 177, NULL, NULL, 22528),
(76932, '1m2tA01', NULL, NULL, 167, NULL, NULL, 22528),
(76933, '4p2cA01', NULL, NULL, 170, NULL, NULL, 22528),
(76934, '3mk9A00', NULL, NULL, 189, NULL, NULL, 22528),
(76935, '1mrjA01', NULL, NULL, 162, NULL, NULL, 22528),
(76936, '1rzoA01', NULL, NULL, 178, NULL, NULL, 22528),
(76937, '4za3A01', NULL, NULL, 163, NULL, NULL, 22528),
(76938, '4m1uA01', NULL, NULL, 170, NULL, NULL, 22528),
(76939, '3ktzA01', NULL, NULL, 168, NULL, NULL, 22528),
(76940, '3px8X01', NULL, NULL, 176, NULL, NULL, 22528),
(76941, '3hisA01', NULL, NULL, 176, NULL, NULL, 22528),
(76942, '1qi7A01', NULL, NULL, 178, NULL, NULL, 22528),
(76943, '1qciA01', NULL, NULL, 178, NULL, NULL, 22528),
(76944, '1cf5A01', NULL, NULL, 160, NULL, NULL, 22528),
(76945, '2g5xA01', NULL, NULL, 172, NULL, NULL, 22528),
(76946, '3bwhA01', NULL, NULL, 160, NULL, NULL, 22528),
(76947, '3ctkA01', NULL, NULL, 167, NULL, NULL, 22528),
(76948, '4eb2A01', NULL, NULL, 167, NULL, NULL, 22528),
(76949, '1hwmA01', NULL, NULL, 164, NULL, NULL, 22528),
(76950, '1onkA01', NULL, NULL, 167, NULL, NULL, 22528),
(76951, '4jkxA01', NULL, NULL, 167, NULL, NULL, 22528),
(76952, '4hudA01', NULL, NULL, 231, NULL, NULL, 22529),
(76953, '2pifA02', NULL, NULL, 113, NULL, NULL, 22530),
(76954, '3db9A02', NULL, NULL, 112, NULL, NULL, 22530),
(76955, '3jvoA00', NULL, NULL, 108, NULL, NULL, 22531),
(76956, '4yrvA03', NULL, NULL, 115, NULL, NULL, 22532),
(76957, '4izzB03', NULL, NULL, 115, NULL, NULL, 22532),
(76958, '1ikpA03', NULL, NULL, 207, NULL, NULL, 22533),
(76959, '1f0lA01', NULL, NULL, 187, NULL, NULL, 22533),
(76960, '3essA00', NULL, NULL, 208, NULL, NULL, 22533),
(76961, '4a17C02', NULL, NULL, 85, NULL, NULL, 22534),
(76962, '3rc3A05', NULL, NULL, 113, NULL, NULL, 22535),
(76963, '1mmdA06', NULL, NULL, 71, NULL, NULL, 22536),
(76964, '2x51A06', NULL, NULL, 67, NULL, NULL, 22536),
(76965, '2rprA00', NULL, NULL, 87, NULL, NULL, 22537),
(76966, '1vioA02', NULL, NULL, 102, NULL, NULL, 22538),
(76967, '2gmlA01', NULL, NULL, 112, NULL, NULL, 22538),
(76968, '1vs3A01', NULL, NULL, 105, NULL, NULL, 22538),
(76969, '2omlA01', NULL, NULL, 81, NULL, NULL, 22538),
(76970, '4j37A01', NULL, NULL, 124, NULL, NULL, 22538),
(76971, '1dj0A02', NULL, NULL, 107, NULL, NULL, 22538); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(76972, '3qs2A00', NULL, NULL, 188, NULL, NULL, 22539),
(76973, '3qs3A00', NULL, NULL, 191, NULL, NULL, 22539),
(76974, '3vtiA04', NULL, NULL, 78, NULL, NULL, 22540),
(76975, '3vthA02', NULL, NULL, 75, NULL, NULL, 22540),
(76976, '3ttcA02', NULL, NULL, 67, NULL, NULL, 22540),
(76977, '4n49A00', NULL, NULL, 410, NULL, NULL, 22541),
(76978, '2hjjA00', NULL, NULL, 87, NULL, NULL, 22542),
(76979, '1x9pA01', NULL, NULL, 165, NULL, NULL, 22543),
(76980, '4ar2A01', NULL, NULL, 164, NULL, NULL, 22543),
(76981, '2z4iA01', NULL, NULL, 98, NULL, NULL, 22544),
(76982, '2z4iB01', NULL, NULL, 77, NULL, NULL, 22544),
(76983, '3gyxB02', NULL, NULL, 100, NULL, NULL, 22545),
(76984, '1jnrB02', NULL, NULL, 83, NULL, NULL, 22545),
(76985, '3tnfB01', NULL, NULL, 184, NULL, NULL, 22546),
(76986, '3sfvB01', NULL, NULL, 144, NULL, NULL, 22546),
(76987, '3llkA01', NULL, NULL, 105, NULL, NULL, 22547),
(76988, '3t58C03', NULL, NULL, 121, NULL, NULL, 22547),
(76989, '1sg7A00', NULL, NULL, 75, NULL, NULL, 22548),
(76990, '3fkjA02', NULL, NULL, 64, NULL, NULL, 22549),
(76991, '3euaA02', NULL, NULL, 64, NULL, NULL, 22549),
(76992, '4abxC01', NULL, NULL, 82, NULL, NULL, 22550),
(76993, '2gujA01', NULL, NULL, 142, NULL, NULL, 22551),
(76994, '2kk9A00', NULL, NULL, 56, NULL, NULL, 22552),
(76995, '1oqcA00', NULL, NULL, 125, NULL, NULL, 22553),
(76996, '3mbgA00', NULL, NULL, 112, NULL, NULL, 22553),
(76997, '1jr8A00', NULL, NULL, 117, NULL, NULL, 22553),
(76998, '3t58C04', NULL, NULL, 153, NULL, NULL, 22553),
(76999, '3gwnA00', NULL, NULL, 114, NULL, NULL, 22553),
(77000, '3llkA02', NULL, NULL, 156, NULL, NULL, 22553),
(77001, '3gwlA00', NULL, NULL, 106, NULL, NULL, 22553),
(77002, '4e0hA00', NULL, NULL, 106, NULL, NULL, 22553),
(77003, '2hj3A00', NULL, NULL, 107, NULL, NULL, 22553),
(77004, '3lxuX06', NULL, NULL, 255, NULL, NULL, 22554),
(77005, '3fewX01', NULL, NULL, 52, NULL, NULL, 22555),
(77006, '4gj4B00', NULL, NULL, 126, NULL, NULL, 22556),
(77007, '2p08B00', NULL, NULL, 115, NULL, NULL, 22556),
(77008, '2p04A00', NULL, NULL, 121, NULL, NULL, 22556),
(77009, '1devB00', NULL, NULL, 41, NULL, NULL, 22557),
(77010, '4hizA01', NULL, NULL, 42, NULL, NULL, 22558),
(77011, '3ju4A01', NULL, NULL, 72, NULL, NULL, 22558),
(77012, '3gvkA01', NULL, NULL, 44, NULL, NULL, 22558),
(77013, '1l9nA02', NULL, NULL, 319, NULL, NULL, 22559),
(77014, '4ktyA02', NULL, NULL, 309, NULL, NULL, 22559),
(77015, '1g0dA02', NULL, NULL, 330, NULL, NULL, 22559),
(77016, '2qsfA01', NULL, NULL, 307, NULL, NULL, 22559),
(77017, '2q3zA02', NULL, NULL, 282, NULL, NULL, 22559),
(77018, '1vs9F02', NULL, NULL, 70, NULL, NULL, 22560),
(77019, '4a17E02', NULL, NULL, 103, NULL, NULL, 22560),
(77020, '1vx7H02', NULL, NULL, 104, NULL, NULL, 22560),
(77021, '4a17E01', NULL, NULL, 85, NULL, NULL, 22560),
(77022, '1vx7H01', NULL, NULL, 86, NULL, NULL, 22560),
(77023, '5mmiG01', NULL, NULL, 84, NULL, NULL, 22560),
(77024, '6qklB02', NULL, NULL, 103, NULL, NULL, 22560),
(77025, '1rl6A01', NULL, NULL, 81, NULL, NULL, 22560),
(77026, '1vw4F02', NULL, NULL, 97, NULL, NULL, 22560),
(77027, '5an9B01', NULL, NULL, 85, NULL, NULL, 22560),
(77028, '4wfaE02', NULL, NULL, 96, NULL, NULL, 22560),
(77029, '4wfaE01', NULL, NULL, 66, NULL, NULL, 22560),
(77030, '1vw4F01', NULL, NULL, 100, NULL, NULL, 22560),
(77031, '1rl6A02', NULL, NULL, 96, NULL, NULL, 22560),
(77032, '5gaeG02', NULL, NULL, 95, NULL, NULL, 22560),
(77033, '5gaeG01', NULL, NULL, 82, NULL, NULL, 22560),
(77034, '3knmH02', NULL, NULL, 98, NULL, NULL, 22560),
(77035, '5dm6E01', NULL, NULL, 78, NULL, NULL, 22560),
(77036, '5dm6E02', NULL, NULL, 93, NULL, NULL, 22560),
(77037, '2cqlA01', NULL, NULL, 88, NULL, NULL, 22560),
(77038, '5z3gL01', NULL, NULL, 85, NULL, NULL, 22560),
(77039, '5v7qG01', NULL, NULL, 83, NULL, NULL, 22560),
(77040, '5z3gL02', NULL, NULL, 106, NULL, NULL, 22560),
(77041, '5v7qG02', NULL, NULL, 96, NULL, NULL, 22560),
(77042, '5x8tG02', NULL, NULL, 98, NULL, NULL, 22560),
(77043, '1vwxH01', NULL, NULL, 87, NULL, NULL, 22560),
(77044, '1vwxH02', NULL, NULL, 105, NULL, NULL, 22560),
(77045, '1vq8E01', NULL, NULL, 80, NULL, NULL, 22560);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(77046, '1vq8E02', NULL, NULL, 98, NULL, NULL, 22560),
(77047, '4btdH01', NULL, NULL, 82, NULL, NULL, 22560),
(77048, '3a9lA00', NULL, NULL, 216, NULL, NULL, 22561),
(77049, '5m1eA02', NULL, NULL, 118, NULL, NULL, 22562),
(77050, '4ip2A02', NULL, NULL, 129, NULL, NULL, 22562),
(77051, '2q2kA00', NULL, NULL, 48, NULL, NULL, 22563),
(77052, '4bx8B02', NULL, NULL, 247, NULL, NULL, 22564),
(77053, '2xheA02', NULL, NULL, 198, NULL, NULL, 22564),
(77054, '4ccaA02', NULL, NULL, 228, NULL, NULL, 22564),
(77055, '1epuA04', NULL, NULL, 199, NULL, NULL, 22564),
(77056, '1mqsA02', NULL, NULL, 224, NULL, NULL, 22564),
(77057, '4jc8B02', NULL, NULL, 296, NULL, NULL, 22564),
(77058, '3pukB02', NULL, NULL, 230, NULL, NULL, 22564),
(77059, '4jehA02', NULL, NULL, 226, NULL, NULL, 22564),
(77060, '4pj2A00', NULL, NULL, 135, NULL, NULL, 22565),
(77061, '2gnoA02', NULL, NULL, 60, NULL, NULL, 22566),
(77062, '5dynA01', NULL, NULL, 118, NULL, NULL, 22567),
(77063, '4yecA01', NULL, NULL, 112, NULL, NULL, 22567),
(77064, '4gxtA02', NULL, NULL, 157, NULL, NULL, 22568),
(77065, '3w1oA00', NULL, NULL, 119, NULL, NULL, 22569),
(77066, '2vveA02', NULL, NULL, 159, NULL, NULL, 22570),
(77067, '3sf6A01', NULL, NULL, 129, NULL, NULL, 22571),
(77068, '2ddhA01', NULL, NULL, 119, NULL, NULL, 22571),
(77069, '4xvxA01', NULL, NULL, 118, NULL, NULL, 22571),
(77070, '4n5fA01', NULL, NULL, 128, NULL, NULL, 22571),
(77071, '4zyjA01', NULL, NULL, 127, NULL, NULL, 22571),
(77072, '5k3hA01', NULL, NULL, 121, NULL, NULL, 22571),
(77073, '3ii9B01', NULL, NULL, 134, NULL, NULL, 22571),
(77074, '4u83C01', NULL, NULL, 125, NULL, NULL, 22571),
(77075, '3swoB01', NULL, NULL, 140, NULL, NULL, 22571),
(77076, '4doyA01', NULL, NULL, 109, NULL, NULL, 22571),
(77077, '1w07A01', NULL, NULL, 116, NULL, NULL, 22571),
(77078, '2or0B01', NULL, NULL, 127, NULL, NULL, 22571),
(77079, '2dvlA01', NULL, NULL, 118, NULL, NULL, 22571),
(77080, '2z1qA01', NULL, NULL, 143, NULL, NULL, 22571),
(77081, '1udyA01', NULL, NULL, 130, NULL, NULL, 22571),
(77082, '2fonA01', NULL, NULL, 116, NULL, NULL, 22571),
(77083, '3m9vA01', NULL, NULL, 127, NULL, NULL, 22571),
(77084, '2jifA01', NULL, NULL, 118, NULL, NULL, 22571),
(77085, '3mxlA01', NULL, NULL, 127, NULL, NULL, 22571),
(77086, '4ktoA01', NULL, NULL, 120, NULL, NULL, 22571),
(77087, '2pg0A01', NULL, NULL, 117, NULL, NULL, 22571),
(77088, '4l1fA01', NULL, NULL, 120, NULL, NULL, 22571),
(77089, '4iv6B01', NULL, NULL, 121, NULL, NULL, 22571),
(77090, '6fahC01', NULL, NULL, 119, NULL, NULL, 22571),
(77091, '6cxtB01', NULL, NULL, 120, NULL, NULL, 22571),
(77092, '3r7kA01', NULL, NULL, 119, NULL, NULL, 22571),
(77093, '3nf4A01', NULL, NULL, 119, NULL, NULL, 22571),
(77094, '2ebaA01', NULL, NULL, 126, NULL, NULL, 22571),
(77095, '5k3jA01', NULL, NULL, 121, NULL, NULL, 22571),
(77096, '4m9aA01', NULL, NULL, 128, NULL, NULL, 22571),
(77097, '3mpiA01', NULL, NULL, 121, NULL, NULL, 22571),
(77098, '4hr3A01', NULL, NULL, 143, NULL, NULL, 22571),
(77099, '4rm7A01', NULL, NULL, 123, NULL, NULL, 22571),
(77100, '1rx0C01', NULL, NULL, 133, NULL, NULL, 22571),
(77101, '2c12A01', NULL, NULL, 128, NULL, NULL, 22571),
(77102, '1r2jA01', NULL, NULL, 106, NULL, NULL, 22571),
(77103, '3affA01', NULL, NULL, 114, NULL, NULL, 22571),
(77104, '2jbrA01', NULL, NULL, 119, NULL, NULL, 22571),
(77105, '4p13A01', NULL, NULL, 119, NULL, NULL, 22571),
(77106, '2rfqB01', NULL, NULL, 114, NULL, NULL, 22571),
(77107, '3p4tA01', NULL, NULL, 119, NULL, NULL, 22571),
(77108, '3pfdA01', NULL, NULL, 112, NULL, NULL, 22571),
(77109, '1ivhA01', NULL, NULL, 122, NULL, NULL, 22571),
(77110, '2ix5A01', NULL, NULL, 134, NULL, NULL, 22571),
(77111, '3mkhA01', NULL, NULL, 129, NULL, NULL, 22571),
(77112, '4o5mB01', NULL, NULL, 128, NULL, NULL, 22571),
(77113, '4irnA01', NULL, NULL, 119, NULL, NULL, 22571),
(77114, '4x28A01', NULL, NULL, 121, NULL, NULL, 22571),
(77115, '3owaA01', NULL, NULL, 148, NULL, NULL, 22571),
(77116, '4x28C01', NULL, NULL, 120, NULL, NULL, 22571),
(77117, '2d29A01', NULL, NULL, 118, NULL, NULL, 22571),
(77118, '1ukwA01', NULL, NULL, 116, NULL, NULL, 22571);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(77119, '1bucA01', NULL, NULL, 123, NULL, NULL, 22571),
(77120, '2vigA01', NULL, NULL, 121, NULL, NULL, 22571),
(77121, '2wbiA01', NULL, NULL, 128, NULL, NULL, 22571),
(77122, '1jqiA01', NULL, NULL, 120, NULL, NULL, 22571),
(77123, '4w9uA01', NULL, NULL, 134, NULL, NULL, 22571),
(77124, '2uxwA02', NULL, NULL, 121, NULL, NULL, 22571),
(77125, '1siqA01', NULL, NULL, 128, NULL, NULL, 22571),
(77126, '5iduA01', NULL, NULL, 120, NULL, NULL, 22571),
(77127, '5jscA01', NULL, NULL, 120, NULL, NULL, 22571),
(77128, '5lnxF01', NULL, NULL, 118, NULL, NULL, 22571),
(77129, '5xdcB01', NULL, NULL, 123, NULL, NULL, 22571),
(77130, '3egnA01', NULL, NULL, 41, NULL, NULL, 22572),
(77131, '1ou5A02', NULL, NULL, 204, NULL, NULL, 22573),
(77132, '3aqlA02', NULL, NULL, 252, NULL, NULL, 22573),
(77133, '3h38A02', NULL, NULL, 265, NULL, NULL, 22573),
(77134, '4wbyA02', NULL, NULL, 262, NULL, NULL, 22573),
(77135, '3t5vF01', NULL, NULL, 20, NULL, NULL, 22574),
(77136, '4m5dB02', NULL, NULL, 60, NULL, NULL, 22575),
(77137, '1uaaA02', NULL, NULL, 74, NULL, NULL, 22576),
(77138, '1w36F02', NULL, NULL, 100, NULL, NULL, 22576),
(77139, '1pjrA02', NULL, NULL, 75, NULL, NULL, 22576),
(77140, '3lfuA02', NULL, NULL, 74, NULL, NULL, 22576),
(77141, '4c2uA02', NULL, NULL, 84, NULL, NULL, 22576),
(77142, '2nojB00', NULL, NULL, 58, NULL, NULL, 22577),
(77143, '2wy7Q00', NULL, NULL, 80, NULL, NULL, 22577),
(77144, '2gomA00', NULL, NULL, 61, NULL, NULL, 22577),
(77145, '2aswA00', NULL, NULL, 56, NULL, NULL, 22578),
(77146, '2y0tA00', NULL, NULL, 54, NULL, NULL, 22578),
(77147, '4i5sA01', NULL, NULL, 65, NULL, NULL, 22578),
(77148, '2rrfA00', NULL, NULL, 141, NULL, NULL, 22579),
(77149, '3f7cA00', NULL, NULL, 200, NULL, NULL, 22580),
(77150, '2q9rA01', NULL, NULL, 199, NULL, NULL, 22580),
(77151, '3f2bA06', NULL, NULL, 105, NULL, NULL, 22581),
(77152, '3qhqB01', NULL, NULL, 167, NULL, NULL, 22582),
(77153, '3tocB01', NULL, NULL, 161, NULL, NULL, 22582),
(77154, '6qxfA01', NULL, NULL, 157, NULL, NULL, 22582),
(77155, '3s5uE01', NULL, NULL, 158, NULL, NULL, 22582),
(77156, '4nn5B01', NULL, NULL, 93, NULL, NULL, 22583),
(77157, '3up1B01', NULL, NULL, 93, NULL, NULL, 22583),
(77158, '3zieD00', NULL, NULL, 86, NULL, NULL, 22584),
(77159, '3zihB00', NULL, NULL, 95, NULL, NULL, 22584),
(77160, '3zigA00', NULL, NULL, 86, NULL, NULL, 22584),
(77161, '3p04A00', NULL, NULL, 87, NULL, NULL, 22584),
(77162, '3e38A02', NULL, NULL, 79, NULL, NULL, 22585),
(77163, '4a18O00', NULL, NULL, 134, NULL, NULL, 22586),
(77164, '1vwxr00', NULL, NULL, 125, NULL, NULL, 22586),
(77165, '1vx7200', NULL, NULL, 127, NULL, NULL, 22586),
(77166, '2sakA00', NULL, NULL, 121, NULL, NULL, 22587),
(77167, '2i06A02', NULL, NULL, 77, NULL, NULL, 22588),
(77168, '4o3vA00', NULL, NULL, 143, NULL, NULL, 22589),
(77169, '2cc3A00', NULL, NULL, 150, NULL, NULL, 22589),
(77170, '4jf8A00', NULL, NULL, 144, NULL, NULL, 22589),
(77171, '5i97C00', NULL, NULL, 139, NULL, NULL, 22589),
(77172, '4nhfB00', NULL, NULL, 142, NULL, NULL, 22589),
(77173, '4kz1A00', NULL, NULL, 138, NULL, NULL, 22589),
(77174, '4lsoA00', NULL, NULL, 141, NULL, NULL, 22589),
(77175, '5jbsA00', NULL, NULL, 142, NULL, NULL, 22589),
(77176, '4n45A02', NULL, NULL, 156, NULL, NULL, 22590),
(77177, '4n45A01', NULL, NULL, 205, NULL, NULL, 22590),
(77178, '3v4nA02', NULL, NULL, 148, NULL, NULL, 22590),
(77179, '5by7A02', NULL, NULL, 147, NULL, NULL, 22590),
(77180, '3sqzA02', NULL, NULL, 149, NULL, NULL, 22590),
(77181, '3sqzA01', NULL, NULL, 242, NULL, NULL, 22590),
(77182, '4z19A01', NULL, NULL, 170, NULL, NULL, 22590),
(77183, '4z19A02', NULL, NULL, 146, NULL, NULL, 22590),
(77184, '4v2pB01', NULL, NULL, 174, NULL, NULL, 22590),
(77185, '5e5nC01', NULL, NULL, 425, NULL, NULL, 22590),
(77186, '5byvF02', NULL, NULL, 181, NULL, NULL, 22590),
(77187, '4b3hC01', NULL, NULL, 226, NULL, NULL, 22590),
(77188, '5by7A01', NULL, NULL, 191, NULL, NULL, 22590),
(77189, '5lp7B02', NULL, NULL, 156, NULL, NULL, 22590),
(77190, '4b3hC02', NULL, NULL, 167, NULL, NULL, 22590),
(77191, '4xs9A02', NULL, NULL, 160, NULL, NULL, 22590);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(77192, '4xs9A01', NULL, NULL, 172, NULL, NULL, 22590),
(77193, '3wd7A01', NULL, NULL, 247, NULL, NULL, 22590),
(77194, '1wdkC01', NULL, NULL, 213, NULL, NULL, 22590),
(77195, '1tqyA01', NULL, NULL, 263, NULL, NULL, 22590),
(77196, '3wd7A02', NULL, NULL, 156, NULL, NULL, 22590),
(77197, '1ulqC01', NULL, NULL, 208, NULL, NULL, 22590),
(77198, '1afwA02', NULL, NULL, 161, NULL, NULL, 22590),
(77199, '1afwA01', NULL, NULL, 213, NULL, NULL, 22590),
(77200, '1tqyA02', NULL, NULL, 161, NULL, NULL, 22590),
(77201, '1wdkC02', NULL, NULL, 167, NULL, NULL, 22590),
(77202, '4nhdD01', NULL, NULL, 173, NULL, NULL, 22590),
(77203, '3kzuA01', NULL, NULL, 263, NULL, NULL, 22590),
(77204, '1u6eA01', NULL, NULL, 182, NULL, NULL, 22590),
(77205, '1u6eA02', NULL, NULL, 150, NULL, NULL, 22590),
(77206, '3s21A01', NULL, NULL, 205, NULL, NULL, 22590),
(77207, '3kzuA02', NULL, NULL, 153, NULL, NULL, 22590),
(77208, '6bjaA01', NULL, NULL, 214, NULL, NULL, 22590),
(77209, '4qavA02', NULL, NULL, 154, NULL, NULL, 22590),
(77210, '2ib8C01', NULL, NULL, 212, NULL, NULL, 22590),
(77211, '4qavA01', NULL, NULL, 255, NULL, NULL, 22590),
(77212, '4ls6A02', NULL, NULL, 145, NULL, NULL, 22590),
(77213, '2wuaA00', NULL, NULL, 392, NULL, NULL, 22590),
(77214, '1wl4A01', NULL, NULL, 211, NULL, NULL, 22590),
(77215, '1wl4A02', NULL, NULL, 156, NULL, NULL, 22590),
(77216, '4ls6A01', NULL, NULL, 268, NULL, NULL, 22590),
(77217, '3svkA02', NULL, NULL, 156, NULL, NULL, 22590),
(77218, '6co0A02', NULL, NULL, 161, NULL, NULL, 22590),
(77219, '3svkA01', NULL, NULL, 241, NULL, NULL, 22590),
(77220, '6arfC01', NULL, NULL, 212, NULL, NULL, 22590),
(77221, '2wyaA00', NULL, NULL, 460, NULL, NULL, 22590),
(77222, '1u0mA02', NULL, NULL, 146, NULL, NULL, 22590),
(77223, '1u0mA01', NULL, NULL, 211, NULL, NULL, 22590),
(77224, '4v2pA02', NULL, NULL, 155, NULL, NULL, 22590),
(77225, '5elpD01', NULL, NULL, 434, NULL, NULL, 22590),
(77226, '5yptB01', NULL, NULL, 227, NULL, NULL, 22590),
(77227, '4w61A01', NULL, NULL, 208, NULL, NULL, 22590),
(77228, '4dd5A02', NULL, NULL, 156, NULL, NULL, 22590),
(77229, '4w61A02', NULL, NULL, 156, NULL, NULL, 22590),
(77230, '6cqbA01', NULL, NULL, 236, NULL, NULL, 22590),
(77231, '4dd5A01', NULL, NULL, 210, NULL, NULL, 22590),
(77232, '6cqbA02', NULL, NULL, 158, NULL, NULL, 22590),
(77233, '4f32A01', NULL, NULL, 264, NULL, NULL, 22590),
(77234, '1tqyB02', NULL, NULL, 152, NULL, NULL, 22590),
(77235, '1tqyB01', NULL, NULL, 263, NULL, NULL, 22590),
(77236, '2hg4F01', NULL, NULL, 437, NULL, NULL, 22590),
(77237, '4rybA01', NULL, NULL, 172, NULL, NULL, 22590),
(77238, '3h78A02', NULL, NULL, 162, NULL, NULL, 22590),
(77239, '4rybA02', NULL, NULL, 148, NULL, NULL, 22590),
(77240, '1ox0A02', NULL, NULL, 145, NULL, NULL, 22590),
(77241, '1ox0A01', NULL, NULL, 254, NULL, NULL, 22590),
(77242, '5w8qA01', NULL, NULL, 232, NULL, NULL, 22590),
(77243, '2p8uA00', NULL, NULL, 462, NULL, NULL, 22590),
(77244, '5wx4B01', NULL, NULL, 237, NULL, NULL, 22590),
(77245, '4jgaA01', NULL, NULL, 264, NULL, NULL, 22590),
(77246, '5w8qA02', NULL, NULL, 155, NULL, NULL, 22590),
(77247, '4jgaA02', NULL, NULL, 155, NULL, NULL, 22590),
(77248, '1xesC01', NULL, NULL, 233, NULL, NULL, 22590),
(77249, '4zdnA01', NULL, NULL, 512, NULL, NULL, 22590),
(77250, '2uv8A05', NULL, NULL, 617, NULL, NULL, 22590),
(77251, '6dx9A01', NULL, NULL, 240, NULL, NULL, 22590),
(77252, '2gqdA02', NULL, NULL, 145, NULL, NULL, 22590),
(77253, '2gqdA01', NULL, NULL, 253, NULL, NULL, 22590),
(77254, '3v7iA01', NULL, NULL, 209, NULL, NULL, 22590),
(77255, '4o9aA02', NULL, NULL, 156, NULL, NULL, 22590),
(77256, '3v7iA02', NULL, NULL, 147, NULL, NULL, 22590),
(77257, '6dx9A02', NULL, NULL, 165, NULL, NULL, 22590),
(77258, '4yzoC00', NULL, NULL, 373, NULL, NULL, 22590),
(77259, '5bqsA01', NULL, NULL, 169, NULL, NULL, 22590),
(77260, '4o9aA01', NULL, NULL, 211, NULL, NULL, 22590),
(77261, '4efiA00', NULL, NULL, 354, NULL, NULL, 22590),
(77262, '5bqsA02', NULL, NULL, 154, NULL, NULL, 22590),
(77263, '4jpfA02', NULL, NULL, 154, NULL, NULL, 22590),
(77264, '5wx3A02', NULL, NULL, 153, NULL, NULL, 22590);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(77265, '4jpfA01', NULL, NULL, 254, NULL, NULL, 22590),
(77266, '3il6A01', NULL, NULL, 171, NULL, NULL, 22590),
(77267, '3a5rA01', NULL, NULL, 231, NULL, NULL, 22590),
(77268, '3il6A02', NULL, NULL, 150, NULL, NULL, 22590),
(77269, '2vbaA01', NULL, NULL, 254, NULL, NULL, 22590),
(77270, '3a5rA02', NULL, NULL, 153, NULL, NULL, 22590),
(77271, '3gwaA01', NULL, NULL, 176, NULL, NULL, 22590),
(77272, '4na1B01', NULL, NULL, 517, NULL, NULL, 22590),
(77273, '3gwaA02', NULL, NULL, 161, NULL, NULL, 22590),
(77274, '2iwzA02', NULL, NULL, 156, NULL, NULL, 22590),
(77275, '4dfeB01', NULL, NULL, 185, NULL, NULL, 22590),
(77276, '2iwzA01', NULL, NULL, 282, NULL, NULL, 22590),
(77277, '1zowA02', NULL, NULL, 140, NULL, NULL, 22590),
(77278, '1zowA01', NULL, NULL, 173, NULL, NULL, 22590),
(77279, '3awkA01', NULL, NULL, 226, NULL, NULL, 22590),
(77280, '3awkA02', NULL, NULL, 154, NULL, NULL, 22590),
(77281, '6co0C01', NULL, NULL, 236, NULL, NULL, 22590),
(77282, '4yucA02', NULL, NULL, 155, NULL, NULL, 22590),
(77283, '4yucA01', NULL, NULL, 180, NULL, NULL, 22590),
(77284, '3ss6A01', NULL, NULL, 210, NULL, NULL, 22590),
(77285, '3oitB02', NULL, NULL, 159, NULL, NULL, 22590),
(77286, '3oitB01', NULL, NULL, 228, NULL, NULL, 22590),
(77287, '5my2A01', NULL, NULL, 447, NULL, NULL, 22590),
(77288, '4c2jD01', NULL, NULL, 214, NULL, NULL, 22590),
(77289, '1ub7A02', NULL, NULL, 151, NULL, NULL, 22590),
(77290, '1ub7A01', NULL, NULL, 171, NULL, NULL, 22590),
(77291, '1hnkA02', NULL, NULL, 113, NULL, NULL, 22590),
(77292, '3vs8H00', NULL, NULL, 410, NULL, NULL, 22590),
(77293, '4xoxA01', NULL, NULL, 252, NULL, NULL, 22590),
(77294, '3ss6A02', NULL, NULL, 170, NULL, NULL, 22590),
(77295, '4xoxA02', NULL, NULL, 144, NULL, NULL, 22590),
(77296, '4jrmA02', NULL, NULL, 154, NULL, NULL, 22590),
(77297, '4jrmA01', NULL, NULL, 254, NULL, NULL, 22590),
(77298, '3e60A02', NULL, NULL, 153, NULL, NULL, 22590),
(77299, '3mqdA01', NULL, NULL, 252, NULL, NULL, 22590),
(77300, '3e60A01', NULL, NULL, 263, NULL, NULL, 22590),
(77301, '3mqdA02', NULL, NULL, 148, NULL, NULL, 22590),
(77302, '6dxcA02', NULL, NULL, 157, NULL, NULL, 22590),
(77303, '3zbgA00', NULL, NULL, 431, NULL, NULL, 22590),
(77304, '6dxcA01', NULL, NULL, 229, NULL, NULL, 22590),
(77305, '4opfA00', NULL, NULL, 438, NULL, NULL, 22590),
(77306, '2vu1A02', NULL, NULL, 156, NULL, NULL, 22590),
(77307, '4ewgA02', NULL, NULL, 149, NULL, NULL, 22590),
(77308, '2vu1A01', NULL, NULL, 203, NULL, NULL, 22590),
(77309, '4u4eA00', NULL, NULL, 383, NULL, NULL, 22590),
(77310, '4ewgA01', NULL, NULL, 255, NULL, NULL, 22590),
(77311, '3wxyA01', NULL, NULL, 222, NULL, NULL, 22590),
(77312, '3wxyA02', NULL, NULL, 162, NULL, NULL, 22590),
(77313, '4dfeA02', NULL, NULL, 148, NULL, NULL, 22590),
(77314, '4wkyA01', NULL, NULL, 511, NULL, NULL, 22590),
(77315, '5xyjA01', NULL, NULL, 220, NULL, NULL, 22590),
(77316, '4bi9B00', NULL, NULL, 427, NULL, NULL, 22590),
(77317, '5xyjA02', NULL, NULL, 157, NULL, NULL, 22590),
(77318, '2vbaC02', NULL, NULL, 147, NULL, NULL, 22590),
(77319, '1hnjA01', NULL, NULL, 171, NULL, NULL, 22590),
(77320, '2ebdA01', NULL, NULL, 169, NULL, NULL, 22590),
(77321, '2ebdA02', NULL, NULL, 140, NULL, NULL, 22590),
(77322, '3euoA02', NULL, NULL, 157, NULL, NULL, 22590),
(77323, '3euoA01', NULL, NULL, 222, NULL, NULL, 22590),
(77324, '1mzjA02', NULL, NULL, 166, NULL, NULL, 22590),
(77325, '2p0uA02', NULL, NULL, 160, NULL, NULL, 22590),
(77326, '1hnjA02', NULL, NULL, 146, NULL, NULL, 22590),
(77327, '4egvD01', NULL, NULL, 407, NULL, NULL, 22590),
(77328, '4kc5B01', NULL, NULL, 490, NULL, NULL, 22590),
(77329, '5byvB01', NULL, NULL, 212, NULL, NULL, 22590),
(77330, '4yjyB01', NULL, NULL, 238, NULL, NULL, 22590),
(77331, '4r8eA01', NULL, NULL, 254, NULL, NULL, 22590),
(77332, '4r8eA02', NULL, NULL, 153, NULL, NULL, 22590),
(77333, '3ho9A02', NULL, NULL, 153, NULL, NULL, 22590),
(77334, '2d3mB01', NULL, NULL, 248, NULL, NULL, 22590),
(77335, '4c72A01', NULL, NULL, 263, NULL, NULL, 22590),
(77336, '4c72A02', NULL, NULL, 150, NULL, NULL, 22590),
(77337, '3hhdA01', NULL, NULL, 449, NULL, NULL, 22590);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(77338, '5yo9B01', NULL, NULL, 215, NULL, NULL, 22590),
(77339, '3ho9A01', NULL, NULL, 254, NULL, NULL, 22590),
(77340, '3s3lA02', NULL, NULL, 159, NULL, NULL, 22590),
(77341, '3s3lA01', NULL, NULL, 179, NULL, NULL, 22590),
(77342, '3ov2A01', NULL, NULL, 235, NULL, NULL, 22590),
(77343, '3ov2A02', NULL, NULL, 153, NULL, NULL, 22590),
(77344, '3goaA01', NULL, NULL, 209, NULL, NULL, 22590),
(77345, '3goaA02', NULL, NULL, 167, NULL, NULL, 22590),
(77346, '5sxoA02', NULL, NULL, 145, NULL, NULL, 22590),
(77347, '2uv9A06', NULL, NULL, 603, NULL, NULL, 22590),
(77348, '1j3nA01', NULL, NULL, 254, NULL, NULL, 22590),
(77349, '5sxoA01', NULL, NULL, 255, NULL, NULL, 22590),
(77350, '1j3nA02', NULL, NULL, 145, NULL, NULL, 22590),
(77351, '2qo3A01', NULL, NULL, 442, NULL, NULL, 22590),
(77352, '5kp7A01', NULL, NULL, 266, NULL, NULL, 22590),
(77353, '1tedA02', NULL, NULL, 149, NULL, NULL, 22590),
(77354, '5kp7A02', NULL, NULL, 152, NULL, NULL, 22590),
(77355, '1z1eA01', NULL, NULL, 236, NULL, NULL, 22590),
(77356, '1z1eA02', NULL, NULL, 154, NULL, NULL, 22590),
(77357, '1xesD02', NULL, NULL, 155, NULL, NULL, 22590),
(77358, '1u0vB01', NULL, NULL, 239, NULL, NULL, 22590),
(77359, '5wx4A02', NULL, NULL, 153, NULL, NULL, 22590),
(77360, '2h84A02', NULL, NULL, 148, NULL, NULL, 22590),
(77361, '2h84A01', NULL, NULL, 226, NULL, NULL, 22590),
(77362, '1mzjB01', NULL, NULL, 173, NULL, NULL, 22590),
(77363, '2p0uB01', NULL, NULL, 253, NULL, NULL, 22590),
(77364, '5lp7E01', NULL, NULL, 206, NULL, NULL, 22590),
(77365, '6dxbA02', NULL, NULL, 154, NULL, NULL, 22590),
(77366, '5f0vA01', NULL, NULL, 207, NULL, NULL, 22590),
(77367, '6et0C02', NULL, NULL, 158, NULL, NULL, 22590),
(77368, '6et0C01', NULL, NULL, 207, NULL, NULL, 22590),
(77369, '6dx7A02', NULL, NULL, 156, NULL, NULL, 22590),
(77370, '5f0vA02', NULL, NULL, 156, NULL, NULL, 22590),
(77371, '6dx7A01', NULL, NULL, 241, NULL, NULL, 22590),
(77372, '6bn2A02', NULL, NULL, 156, NULL, NULL, 22590),
(77373, '6bn2A01', NULL, NULL, 214, NULL, NULL, 22590),
(77374, '2vz8A01', NULL, NULL, 407, NULL, NULL, 22590),
(77375, '2ix4A02', NULL, NULL, 155, NULL, NULL, 22590),
(77376, '2d3mA02', NULL, NULL, 158, NULL, NULL, 22590),
(77377, '4nhdA02', NULL, NULL, 146, NULL, NULL, 22590),
(77378, '5uc5A02', NULL, NULL, 153, NULL, NULL, 22590),
(77379, '5uc5A01', NULL, NULL, 237, NULL, NULL, 22590),
(77380, '3goaB02', NULL, NULL, 167, NULL, NULL, 22590),
(77381, '4e1lB01', NULL, NULL, 211, NULL, NULL, 22590),
(77382, '2ix4A01', NULL, NULL, 273, NULL, NULL, 22590),
(77383, '3tsyA02', NULL, NULL, 234, NULL, NULL, 22590),
(77384, '3wd8A01', NULL, NULL, 247, NULL, NULL, 22590),
(77385, '1tedB01', NULL, NULL, 214, NULL, NULL, 22590),
(77386, '3tsyA03', NULL, NULL, 157, NULL, NULL, 22590),
(77387, '3wd8A02', NULL, NULL, 153, NULL, NULL, 22590),
(77388, '6qspA02', NULL, NULL, 147, NULL, NULL, 22590),
(77389, '3oytB02', NULL, NULL, 147, NULL, NULL, 22590),
(77390, '5wx6A01', NULL, NULL, 221, NULL, NULL, 22590),
(77391, '3v4nC01', NULL, NULL, 240, NULL, NULL, 22590),
(77392, '6bjbA01', NULL, NULL, 210, NULL, NULL, 22590),
(77393, '2f9aA01', NULL, NULL, 404, NULL, NULL, 22590),
(77394, '3il3A01', NULL, NULL, 177, NULL, NULL, 22590),
(77395, '6bjbA02', NULL, NULL, 154, NULL, NULL, 22590),
(77396, '3il3A02', NULL, NULL, 146, NULL, NULL, 22590),
(77397, '4ubtD00', NULL, NULL, 399, NULL, NULL, 22590),
(77398, '2iikA00', NULL, NULL, 392, NULL, NULL, 22590),
(77399, '4c2jA02', NULL, NULL, 159, NULL, NULL, 22590),
(77400, '5yptA02', NULL, NULL, 156, NULL, NULL, 22590),
(77401, '1ulqA02', NULL, NULL, 179, NULL, NULL, 22590),
(77402, '4ewpA01', NULL, NULL, 183, NULL, NULL, 22590),
(77403, '4ewpA02', NULL, NULL, 166, NULL, NULL, 22590),
(77404, '4yxtB01', NULL, NULL, 268, NULL, NULL, 22590),
(77405, '5hwrA00', NULL, NULL, 420, NULL, NULL, 22590),
(77406, '6dxaA02', NULL, NULL, 156, NULL, NULL, 22590),
(77407, '2ib8A02', NULL, NULL, 154, NULL, NULL, 22590),
(77408, '4e1lA02', NULL, NULL, 153, NULL, NULL, 22590),
(77409, '6dxaA01', NULL, NULL, 240, NULL, NULL, 22590),
(77410, '3h78B01', NULL, NULL, 181, NULL, NULL, 22590);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(77411, '4b0nA01', NULL, NULL, 227, NULL, NULL, 22590),
(77412, '5ucoA02', NULL, NULL, 153, NULL, NULL, 22590),
(77413, '4b0nA02', NULL, NULL, 152, NULL, NULL, 22590),
(77414, '5ucoA01', NULL, NULL, 222, NULL, NULL, 22590),
(77415, '4z37A01', NULL, NULL, 517, NULL, NULL, 22590),
(77416, '5vxfA02', NULL, NULL, 140, NULL, NULL, 22590),
(77417, '1i88A02', NULL, NULL, 153, NULL, NULL, 22590),
(77418, '1i88A01', NULL, NULL, 234, NULL, NULL, 22590),
(77419, '6arfA02', NULL, NULL, 157, NULL, NULL, 22590),
(77420, '3oytA02', NULL, NULL, 147, NULL, NULL, 22590),
(77421, '3oytA01', NULL, NULL, 255, NULL, NULL, 22590),
(77422, '5ab4A00', NULL, NULL, 407, NULL, NULL, 22590),
(77423, '6bjaA02', NULL, NULL, 154, NULL, NULL, 22590),
(77424, '2x3eA01', NULL, NULL, 174, NULL, NULL, 22590),
(77425, '6dxbC01', NULL, NULL, 241, NULL, NULL, 22590),
(77426, '2x3eA02', NULL, NULL, 157, NULL, NULL, 22590),
(77427, '4opeD01', NULL, NULL, 512, NULL, NULL, 22590),
(77428, '2gp6A02', NULL, NULL, 151, NULL, NULL, 22590),
(77429, '2gp6A01', NULL, NULL, 264, NULL, NULL, 22590),
(77430, '4qyrA01', NULL, NULL, 519, NULL, NULL, 22590),
(77431, '1e5mA01', NULL, NULL, 259, NULL, NULL, 22590),
(77432, '1e5mA02', NULL, NULL, 145, NULL, NULL, 22590),
(77433, '4yjyA02', NULL, NULL, 153, NULL, NULL, 22590),
(77434, '2wu9B00', NULL, NULL, 416, NULL, NULL, 22590),
(77435, '1xpmA02', NULL, NULL, 147, NULL, NULL, 22590),
(77436, '4jaqA01', NULL, NULL, 208, NULL, NULL, 22590),
(77437, '3ledA01', NULL, NULL, 219, NULL, NULL, 22590),
(77438, '4yxtA02', NULL, NULL, 152, NULL, NULL, 22590),
(77439, '1xpmA01', NULL, NULL, 249, NULL, NULL, 22590),
(77440, '4jaqA02', NULL, NULL, 145, NULL, NULL, 22590),
(77441, '3ledA02', NULL, NULL, 156, NULL, NULL, 22590),
(77442, '5yo9A02', NULL, NULL, 156, NULL, NULL, 22590),
(77443, '4wumA01', NULL, NULL, 235, NULL, NULL, 22590),
(77444, '1ee0A01', NULL, NULL, 221, NULL, NULL, 22590),
(77445, '1ee0A02', NULL, NULL, 153, NULL, NULL, 22590),
(77446, '4x9kA00', NULL, NULL, 362, NULL, NULL, 22590),
(77447, '4ddoA02', NULL, NULL, 161, NULL, NULL, 22590),
(77448, '4tktA01', NULL, NULL, 527, NULL, NULL, 22590),
(77449, '4oqjA01', NULL, NULL, 436, NULL, NULL, 22590),
(77450, '4wumA02', NULL, NULL, 153, NULL, NULL, 22590),
(77451, '1bplA01', NULL, NULL, 106, NULL, NULL, 22591),
(77452, '2iu4A01', NULL, NULL, 171, NULL, NULL, 22592),
(77453, '1oi2A01', NULL, NULL, 173, NULL, NULL, 22592),
(77454, '5uxyA01', NULL, NULL, 111, NULL, NULL, 22592),
(77455, '3fdjA01', NULL, NULL, 111, NULL, NULL, 22592),
(77456, '1pzxB01', NULL, NULL, 122, NULL, NULL, 22592),
(77457, '3jr7A01', NULL, NULL, 118, NULL, NULL, 22592),
(77458, '3ct4A01', NULL, NULL, 172, NULL, NULL, 22592),
(77459, '3pl5A01', NULL, NULL, 119, NULL, NULL, 22592),
(77460, '1vddB01', NULL, NULL, 53, NULL, NULL, 22593),
(77461, '3vdpB01', NULL, NULL, 50, NULL, NULL, 22593),
(77462, '3vdpA01', NULL, NULL, 67, NULL, NULL, 22593),
(77463, '2jhnA02', NULL, NULL, 120, NULL, NULL, 22594),
(77464, '4unfA02', NULL, NULL, 117, NULL, NULL, 22594),
(77465, '3fhfA02', NULL, NULL, 110, NULL, NULL, 22594),
(77466, '5kn8A02', NULL, NULL, 112, NULL, NULL, 22594),
(77467, '3n0uA02', NULL, NULL, 109, NULL, NULL, 22594),
(77468, '2ofkA00', NULL, NULL, 183, NULL, NULL, 22594),
(77469, '4ea4A00', NULL, NULL, 155, NULL, NULL, 22594),
(77470, '1xg7A02', NULL, NULL, 143, NULL, NULL, 22594),
(77471, '2yg9A02', NULL, NULL, 112, NULL, NULL, 22594),
(77472, '3s6iA02', NULL, NULL, 116, NULL, NULL, 22594),
(77473, '3n5nX02', NULL, NULL, 121, NULL, NULL, 22594),
(77474, '1ngnA00', NULL, NULL, 155, NULL, NULL, 22594),
(77475, '4uobA02', NULL, NULL, 126, NULL, NULL, 22594),
(77476, '1ornA01', NULL, NULL, 112, NULL, NULL, 22594),
(77477, '1xqoA02', NULL, NULL, 135, NULL, NULL, 22594),
(77478, '2abkA01', NULL, NULL, 112, NULL, NULL, 22594),
(77479, '3i0wA02', NULL, NULL, 121, NULL, NULL, 22594),
(77480, '4b21A02', NULL, NULL, 117, NULL, NULL, 22594),
(77481, '2jg6A00', NULL, NULL, 186, NULL, NULL, 22594),
(77482, '3fhgA02', NULL, NULL, 113, NULL, NULL, 22594),
(77483, '4ejyA02', NULL, NULL, 121, NULL, NULL, 22594);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(77484, '1keaA02', NULL, NULL, 113, NULL, NULL, 22594),
(77485, '1lmzA00', NULL, NULL, 187, NULL, NULL, 22594),
(77486, '4ofaA00', NULL, NULL, 143, NULL, NULL, 22594),
(77487, '1kg2A02', NULL, NULL, 112, NULL, NULL, 22594),
(77488, '6g3xA03', NULL, NULL, 126, NULL, NULL, 22594),
(77489, '1pu6A02', NULL, NULL, 123, NULL, NULL, 22594),
(77490, '2xhiA03', NULL, NULL, 126, NULL, NULL, 22594),
(77491, '1mpgA02', NULL, NULL, 118, NULL, NULL, 22594),
(77492, '2h56A02', NULL, NULL, 114, NULL, NULL, 22594),
(77493, '3dzwA00', NULL, NULL, 109, NULL, NULL, 22595),
(77494, '2d04G00', NULL, NULL, 113, NULL, NULL, 22595),
(77495, '1dlpF02', NULL, NULL, 125, NULL, NULL, 22595),
(77496, '4h3oA00', NULL, NULL, 105, NULL, NULL, 22595),
(77497, '4gc1A01', NULL, NULL, 105, NULL, NULL, 22595),
(77498, '1dlpA01', NULL, NULL, 111, NULL, NULL, 22595),
(77499, '4gc1A03', NULL, NULL, 70, NULL, NULL, 22595),
(77500, '1b2pA00', NULL, NULL, 119, NULL, NULL, 22595),
(77501, '4gc1A02', NULL, NULL, 101, NULL, NULL, 22595),
(77502, '1kj1A00', NULL, NULL, 109, NULL, NULL, 22595),
(77503, '3a0cA00', NULL, NULL, 110, NULL, NULL, 22595),
(77504, '3r0eB00', NULL, NULL, 110, NULL, NULL, 22595),
(77505, '1kj1D00', NULL, NULL, 109, NULL, NULL, 22595),
(77506, '1xd6A00', NULL, NULL, 112, NULL, NULL, 22595),
(77507, '4le7A02', NULL, NULL, 82, NULL, NULL, 22595),
(77508, '5j76A00', NULL, NULL, 109, NULL, NULL, 22595),
(77509, '5d5gA00', NULL, NULL, 109, NULL, NULL, 22595),
(77510, '2dpfA00', NULL, NULL, 115, NULL, NULL, 22595),
(77511, '4tkcA00', NULL, NULL, 120, NULL, NULL, 22595),
(77512, '3mezD00', NULL, NULL, 113, NULL, NULL, 22595),
(77513, '4okcA01', NULL, NULL, 69, NULL, NULL, 22595),
(77514, '3mezC00', NULL, NULL, 111, NULL, NULL, 22595),
(77515, '5t1xD00', NULL, NULL, 110, NULL, NULL, 22595),
(77516, '1bwuD00', NULL, NULL, 109, NULL, NULL, 22595),
(77517, '5t1xC00', NULL, NULL, 110, NULL, NULL, 22595),
(77518, '1xd5D00', NULL, NULL, 112, NULL, NULL, 22595),
(77519, '1bwuA00', NULL, NULL, 106, NULL, NULL, 22595),
(77520, '1jpcA00', NULL, NULL, 109, NULL, NULL, 22595),
(77521, '4dgwC00', NULL, NULL, 154, NULL, NULL, 22596),
(77522, '1a92A00', NULL, NULL, 50, NULL, NULL, 22597),
(77523, '2yh5A00', NULL, NULL, 127, NULL, NULL, 22598),
(77524, '2ilrA00', NULL, NULL, 264, NULL, NULL, 22599),
(77525, '2b3yA04', NULL, NULL, 62, NULL, NULL, 22600),
(77526, '1vq8W02', NULL, NULL, 56, NULL, NULL, 22601),
(77527, '2ygqA01', NULL, NULL, 150, NULL, NULL, 22602),
(77528, '2ygnA00', NULL, NULL, 156, NULL, NULL, 22602),
(77529, '2ygoA01', NULL, NULL, 150, NULL, NULL, 22602),
(77530, '1xrsB01', NULL, NULL, 52, NULL, NULL, 22603),
(77531, '3kp0A03', NULL, NULL, 67, NULL, NULL, 22603),
(77532, '3kp1A03', NULL, NULL, 73, NULL, NULL, 22603),
(77533, '1wkcA00', NULL, NULL, 184, NULL, NULL, 22604),
(77534, '2jcbB00', NULL, NULL, 200, NULL, NULL, 22604),
(77535, '3hy3A00', NULL, NULL, 203, NULL, NULL, 22604),
(77536, '1sbqA00', NULL, NULL, 164, NULL, NULL, 22604),
(77537, '1souA00', NULL, NULL, 194, NULL, NULL, 22604),
(77538, '1ydmB00', NULL, NULL, 187, NULL, NULL, 22604),
(77539, '2g40A00', NULL, NULL, 175, NULL, NULL, 22604),
(77540, '2pt7C01', NULL, NULL, 106, NULL, NULL, 22605),
(77541, '1p9rA01', NULL, NULL, 138, NULL, NULL, 22605),
(77542, '5tshE01', NULL, NULL, 106, NULL, NULL, 22605),
(77543, '2ewvA01', NULL, NULL, 113, NULL, NULL, 22605),
(77544, '5zfrC01', NULL, NULL, 110, NULL, NULL, 22605),
(77545, '5fl3A01', NULL, NULL, 109, NULL, NULL, 22605),
(77546, '4phtA02', NULL, NULL, 130, NULL, NULL, 22605),
(77547, '2gzaA01', NULL, NULL, 108, NULL, NULL, 22605),
(77548, '5oiuA01', NULL, NULL, 111, NULL, NULL, 22605),
(77549, '3jvvA01', NULL, NULL, 100, NULL, NULL, 22605),
(77550, '2fji101', NULL, NULL, 209, NULL, NULL, 22606),
(77551, '3swhA01', NULL, NULL, 173, NULL, NULL, 22606),
(77552, '1j0tA00', NULL, NULL, 78, NULL, NULL, 22607),
(77553, '2kzyA00', NULL, NULL, 62, NULL, NULL, 22608),
(77554, '2c7nA01', NULL, NULL, 48, NULL, NULL, 22608),
(77555, '4n0hA00', NULL, NULL, 464, NULL, NULL, 22609),
(77556, '3al0A00', NULL, NULL, 475, NULL, NULL, 22609);
INSERT INTO "PUBLIC"."MODEL" VALUES
(77557, '2dc0A00', NULL, NULL, 434, NULL, NULL, 22609),
(77558, '6c62A00', NULL, NULL, 457, NULL, NULL, 22609),
(77559, '3ip4A00', NULL, NULL, 485, NULL, NULL, 22609),
(77560, '1m22A00', NULL, NULL, 503, NULL, NULL, 22609),
(77561, '3a2qA00', NULL, NULL, 493, NULL, NULL, 22609),
(77562, '3ppmB00', NULL, NULL, 547, NULL, NULL, 22609),
(77563, '4gysB01', NULL, NULL, 387, NULL, NULL, 22609),
(77564, '4cp8E00', NULL, NULL, 450, NULL, NULL, 22609),
(77565, '4wj3A00', NULL, NULL, 484, NULL, NULL, 22609),
(77566, '4issA01', NULL, NULL, 400, NULL, NULL, 22609),
(77567, '2gi3A01', NULL, NULL, 380, NULL, NULL, 22609),
(77568, '3kfuE00', NULL, NULL, 471, NULL, NULL, 22609),
(77569, '3h0lA00', NULL, NULL, 478, NULL, NULL, 22609),
(77570, '5ewqC00', NULL, NULL, 513, NULL, NULL, 22609),
(77571, '3a1kA02', NULL, NULL, 466, NULL, NULL, 22609),
(77572, '4yj6A00', NULL, NULL, 501, NULL, NULL, 22609),
(77573, '1o9pA00', NULL, NULL, 414, NULL, NULL, 22609),
(77574, '4a8sC04', NULL, NULL, 53, NULL, NULL, 22610),
(77575, '2dk4A00', NULL, NULL, 76, NULL, NULL, 22611),
(77576, '2x8kC01', NULL, NULL, 137, NULL, NULL, 22612),
(77577, '4divV01', NULL, NULL, 149, NULL, NULL, 22612),
(77578, '2i8dA01', NULL, NULL, 83, NULL, NULL, 22613),
(77579, '2kl4A00', NULL, NULL, 118, NULL, NULL, 22613),
(77580, '2i8dB01', NULL, NULL, 83, NULL, NULL, 22613),
(77581, '2oc6A01', NULL, NULL, 116, NULL, NULL, 22613),
(77582, '2yo2A02', NULL, NULL, 60, NULL, NULL, 22614),
(77583, '6bsyA00', NULL, NULL, 70, NULL, NULL, 22615),
(77584, '4l23B02', NULL, NULL, 159, NULL, NULL, 22616),
(77585, '2y3aB01', NULL, NULL, 130, NULL, NULL, 22616),
(77586, '3na7A00', NULL, NULL, 237, NULL, NULL, 22616),
(77587, '3l4qC00', NULL, NULL, 170, NULL, NULL, 22616),
(77588, '5dxhB00', NULL, NULL, 121, NULL, NULL, 22616),
(77589, '2v1yB00', NULL, NULL, 170, NULL, NULL, 22616),
(77590, '4jpsB02', NULL, NULL, 160, NULL, NULL, 22616),
(77591, '4iloA00', NULL, NULL, 236, NULL, NULL, 22616),
(77592, '4jqrA00', NULL, NULL, 229, NULL, NULL, 22617),
(77593, '4e9kA00', NULL, NULL, 241, NULL, NULL, 22617),
(77594, '4okvE00', NULL, NULL, 66, NULL, NULL, 22618),
(77595, '3kdqA00', NULL, NULL, 154, NULL, NULL, 22619),
(77596, '1vx7700', NULL, NULL, 120, NULL, NULL, 22620),
(77597, '4a17W00', NULL, NULL, 111, NULL, NULL, 22620),
(77598, '1vq8X00', NULL, NULL, 92, NULL, NULL, 22620),
(77599, '1vwxd00', NULL, NULL, 108, NULL, NULL, 22620),
(77600, '3u5ed00', NULL, NULL, 113, NULL, NULL, 22620),
(77601, '3o58a00', NULL, NULL, 88, NULL, NULL, 22620),
(77602, '3nggB00', NULL, NULL, 50, NULL, NULL, 22621),
(77603, '1fleI00', NULL, NULL, 57, NULL, NULL, 22621),
(77604, '1udkA00', NULL, NULL, 51, NULL, NULL, 22621),
(77605, '2z7fI00', NULL, NULL, 50, NULL, NULL, 22621),
(77606, '1td6A03', NULL, NULL, 96, NULL, NULL, 22622),
(77607, '3oc8A00', NULL, NULL, 137, NULL, NULL, 22623),
(77608, '4u9nA00', NULL, NULL, 178, NULL, NULL, 22624),
(77609, '4lvnP00', NULL, NULL, 93, NULL, NULL, 22625),
(77610, '2lu2A00', NULL, NULL, 81, NULL, NULL, 22625),
(77611, '3l1nA01', NULL, NULL, 51, NULL, NULL, 22626),
(77612, '4fzlA02', NULL, NULL, 160, NULL, NULL, 22627),
(77613, '4g75A02', NULL, NULL, 138, NULL, NULL, 22627),
(77614, '2xmxA02', NULL, NULL, 130, NULL, NULL, 22627),
(77615, '4n59A02', NULL, NULL, 158, NULL, NULL, 22627),
(77616, '1vx7T02', NULL, NULL, 127, NULL, NULL, 22628),
(77617, '4a17O02', NULL, NULL, 129, NULL, NULL, 22628),
(77618, '4a1cO02', NULL, NULL, 98, NULL, NULL, 22628),
(77619, '4a1eO02', NULL, NULL, 129, NULL, NULL, 22628),
(77620, '3o58S02', NULL, NULL, 133, NULL, NULL, 22628),
(77621, '1vwxR02', NULL, NULL, 140, NULL, NULL, 22628),
(77622, '3eyrB00', NULL, NULL, 178, NULL, NULL, 22629),
(77623, '3l6iA00', NULL, NULL, 181, NULL, NULL, 22629),
(77624, '3nkuA00', NULL, NULL, 213, NULL, NULL, 22630),
(77625, '2bcgG02', NULL, NULL, 157, NULL, NULL, 22631),
(77626, '3p1wA02', NULL, NULL, 162, NULL, NULL, 22631),
(77627, '1d5tA02', NULL, NULL, 153, NULL, NULL, 22631),
(77628, '6c87A02', NULL, NULL, 155, NULL, NULL, 22631),
(77629, '1vg0A02', NULL, NULL, 181, NULL, NULL, 22631);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(77630, '4aybB07', NULL, NULL, 136, NULL, NULL, 22632),
(77631, '3h0gB07', NULL, NULL, 137, NULL, NULL, 22632),
(77632, '4qiwB07', NULL, NULL, 138, NULL, NULL, 22632),
(77633, '1twfB07', NULL, NULL, 137, NULL, NULL, 22632),
(77634, '4c2mB07', NULL, NULL, 126, NULL, NULL, 22632),
(77635, '2ly7A01', NULL, NULL, 146, NULL, NULL, 22632),
(77636, '1ynjC06', NULL, NULL, 128, NULL, NULL, 22632),
(77637, '3woeA00', NULL, NULL, 130, NULL, NULL, 22632),
(77638, '3tbiB01', NULL, NULL, 128, NULL, NULL, 22632),
(77639, '1vraB02', NULL, NULL, 130, NULL, NULL, 22633),
(77640, '3it4D02', NULL, NULL, 126, NULL, NULL, 22633),
(77641, '2v4iB02', NULL, NULL, 135, NULL, NULL, 22633),
(77642, '2a6hC02', NULL, NULL, 339, NULL, NULL, 22634),
(77643, '1ynjC02', NULL, NULL, 337, NULL, NULL, 22634),
(77644, '4ljzI02', NULL, NULL, 333, NULL, NULL, 22634),
(77645, '3rlfF03', NULL, NULL, 88, NULL, NULL, 22635),
(77646, '3nfkA00', NULL, NULL, 107, NULL, NULL, 22636),
(77647, '2vz5A00', NULL, NULL, 118, NULL, NULL, 22636),
(77648, '5dthD01', NULL, NULL, 107, NULL, NULL, 22636),
(77649, '1wifA01', NULL, NULL, 85, NULL, NULL, 22636),
(77650, '1x5rA01', NULL, NULL, 93, NULL, NULL, 22636),
(77651, '4q2qA00', NULL, NULL, 102, NULL, NULL, 22636),
(77652, '2v90A00', NULL, NULL, 96, NULL, NULL, 22636),
(77653, '1v5lA00', NULL, NULL, 103, NULL, NULL, 22636),
(77654, '4g69A00', NULL, NULL, 100, NULL, NULL, 22636),
(77655, '2edzA01', NULL, NULL, 111, NULL, NULL, 22636),
(77656, '2csjA00', NULL, NULL, 117, NULL, NULL, 22636),
(77657, '2pktA00', NULL, NULL, 91, NULL, NULL, 22636),
(77658, '1wfgA00', NULL, NULL, 131, NULL, NULL, 22636),
(77659, '1fc6A02', NULL, NULL, 92, NULL, NULL, 22636),
(77660, '3pv2A03', NULL, NULL, 88, NULL, NULL, 22636),
(77661, '4ghnA02', NULL, NULL, 105, NULL, NULL, 22636),
(77662, '3pv2A02', NULL, NULL, 111, NULL, NULL, 22636),
(77663, '3fy5B00', NULL, NULL, 91, NULL, NULL, 22636),
(77664, '2kbsA00', NULL, NULL, 92, NULL, NULL, 22636),
(77665, '4q2nD00', NULL, NULL, 103, NULL, NULL, 22636),
(77666, '5gljC00', NULL, NULL, 96, NULL, NULL, 22636),
(77667, '2pntB00', NULL, NULL, 98, NULL, NULL, 22636),
(77668, '2f0aB00', NULL, NULL, 98, NULL, NULL, 22636),
(77669, '2dlsA00', NULL, NULL, 93, NULL, NULL, 22636),
(77670, '4wyuA02', NULL, NULL, 109, NULL, NULL, 22636),
(77671, '2dm8A00', NULL, NULL, 116, NULL, NULL, 22636),
(77672, '3r0hC02', NULL, NULL, 95, NULL, NULL, 22636),
(77673, '2iwqA00', NULL, NULL, 101, NULL, NULL, 22636),
(77674, '1y8tA03', NULL, NULL, 98, NULL, NULL, 22636),
(77675, '4wyuA01', NULL, NULL, 103, NULL, NULL, 22636),
(77676, '2jikB00', NULL, NULL, 101, NULL, NULL, 22636),
(77677, '2yubA01', NULL, NULL, 110, NULL, NULL, 22636),
(77678, '4r2zA00', NULL, NULL, 91, NULL, NULL, 22636),
(77679, '1p1eA00', NULL, NULL, 101, NULL, NULL, 22636),
(77680, '5fb8C00', NULL, NULL, 102, NULL, NULL, 22636),
(77681, '5t69A02', NULL, NULL, 112, NULL, NULL, 22636),
(77682, '2kl1A01', NULL, NULL, 83, NULL, NULL, 22636),
(77683, '4gvcA00', NULL, NULL, 94, NULL, NULL, 22636),
(77684, '5zysA00', NULL, NULL, 97, NULL, NULL, 22636),
(77685, '2gzvA01', NULL, NULL, 88, NULL, NULL, 22636),
(77686, '3suzA02', NULL, NULL, 97, NULL, NULL, 22636),
(77687, '2ogpA00', NULL, NULL, 97, NULL, NULL, 22636),
(77688, '3fy5A00', NULL, NULL, 91, NULL, NULL, 22636),
(77689, '4jokA00', NULL, NULL, 87, NULL, NULL, 22636),
(77690, '4ic6B03', NULL, NULL, 112, NULL, NULL, 22636),
(77691, '1q3oA00', NULL, NULL, 109, NULL, NULL, 22636),
(77692, '2edpA01', NULL, NULL, 86, NULL, NULL, 22636),
(77693, '2k1zA00', NULL, NULL, 104, NULL, NULL, 22636),
(77694, '2egoB00', NULL, NULL, 96, NULL, NULL, 22636),
(77695, '2f0aC00', NULL, NULL, 98, NULL, NULL, 22636),
(77696, '2he4A00', NULL, NULL, 90, NULL, NULL, 22636),
(77697, '1vb7A00', NULL, NULL, 94, NULL, NULL, 22636),
(77698, '5vwiA00', NULL, NULL, 96, NULL, NULL, 22636),
(77699, '1i16A00', NULL, NULL, 130, NULL, NULL, 22636),
(77700, '3cbzA00', NULL, NULL, 108, NULL, NULL, 22636),
(77701, '2qkvA00', NULL, NULL, 96, NULL, NULL, 22636),
(77702, '3i18A00', NULL, NULL, 100, NULL, NULL, 22636),
(77703, '2m0tA00', NULL, NULL, 117, NULL, NULL, 22636);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(77704, '2omjA00', NULL, NULL, 89, NULL, NULL, 22636),
(77705, '2m3mA00', NULL, NULL, 97, NULL, NULL, 22636),
(77706, '2qg1A00', NULL, NULL, 92, NULL, NULL, 22636),
(77707, '5jxbA00', NULL, NULL, 123, NULL, NULL, 22636),
(77708, '2hgaA01', NULL, NULL, 85, NULL, NULL, 22636),
(77709, '1wfvA01', NULL, NULL, 88, NULL, NULL, 22636),
(77710, '3id4A00', NULL, NULL, 93, NULL, NULL, 22636),
(77711, '2rczA01', NULL, NULL, 59, NULL, NULL, 22636),
(77712, '4hopB00', NULL, NULL, 123, NULL, NULL, 22636),
(77713, '2f5yA00', NULL, NULL, 91, NULL, NULL, 22636),
(77714, '3axaA00', NULL, NULL, 106, NULL, NULL, 22636),
(77715, '2qt5B02', NULL, NULL, 100, NULL, NULL, 22636),
(77716, '3k50A02', NULL, NULL, 105, NULL, NULL, 22636),
(77717, '5e6pB00', NULL, NULL, 88, NULL, NULL, 22636),
(77718, '1ueqA00', NULL, NULL, 123, NULL, NULL, 22636),
(77719, '4o06A00', NULL, NULL, 106, NULL, NULL, 22636),
(77720, '2d90A00', NULL, NULL, 102, NULL, NULL, 22636),
(77721, '2uzcC00', NULL, NULL, 88, NULL, NULL, 22636),
(77722, '2edvA00', NULL, NULL, 96, NULL, NULL, 22636),
(77723, '2jxoA00', NULL, NULL, 98, NULL, NULL, 22636),
(77724, '1ujvA00', NULL, NULL, 96, NULL, NULL, 22636),
(77725, '4xhvA00', NULL, NULL, 94, NULL, NULL, 22636),
(77726, '2eegA00', NULL, NULL, 94, NULL, NULL, 22636),
(77727, '1te0A03', NULL, NULL, 100, NULL, NULL, 22636),
(77728, '3jxtB00', NULL, NULL, 104, NULL, NULL, 22636),
(77729, '1qauA00', NULL, NULL, 112, NULL, NULL, 22636),
(77730, '1k32A04', NULL, NULL, 95, NULL, NULL, 22636),
(77731, '4ydpA00', NULL, NULL, 85, NULL, NULL, 22636),
(77732, '2h3lB00', NULL, NULL, 103, NULL, NULL, 22636),
(77733, '2vsvB00', NULL, NULL, 109, NULL, NULL, 22636),
(77734, '2v1wB00', NULL, NULL, 90, NULL, NULL, 22636),
(77735, '2kpkA00', NULL, NULL, 129, NULL, NULL, 22636),
(77736, '1uitA00', NULL, NULL, 117, NULL, NULL, 22636),
(77737, '3rl7D00', NULL, NULL, 107, NULL, NULL, 22636),
(77738, '3vqfA00', NULL, NULL, 94, NULL, NULL, 22636),
(77739, '4h11A00', NULL, NULL, 103, NULL, NULL, 22636),
(77740, '2f0aD00', NULL, NULL, 98, NULL, NULL, 22636),
(77741, '4q2pA00', NULL, NULL, 99, NULL, NULL, 22636),
(77742, '3ps4A00', NULL, NULL, 102, NULL, NULL, 22636),
(77743, '1wg6A01', NULL, NULL, 100, NULL, NULL, 22636),
(77744, '3nghA00', NULL, NULL, 106, NULL, NULL, 22636),
(77745, '2yuyA00', NULL, NULL, 126, NULL, NULL, 22636),
(77746, '4z8jA00', NULL, NULL, 101, NULL, NULL, 22636),
(77747, '1oziA00', NULL, NULL, 99, NULL, NULL, 22636),
(77748, '5ohwB00', NULL, NULL, 94, NULL, NULL, 22636),
(77749, '5zdsA00', NULL, NULL, 96, NULL, NULL, 22636),
(77750, '1v6bA00', NULL, NULL, 118, NULL, NULL, 22636),
(77751, '2la8A00', NULL, NULL, 106, NULL, NULL, 22636),
(77752, '2db5A00', NULL, NULL, 128, NULL, NULL, 22636),
(77753, '2bygA00', NULL, NULL, 98, NULL, NULL, 22636),
(77754, '1uezA00', NULL, NULL, 101, NULL, NULL, 22636),
(77755, '1whaA01', NULL, NULL, 101, NULL, NULL, 22636),
(77756, '4oeoA00', NULL, NULL, 107, NULL, NULL, 22636),
(77757, '3gslA02', NULL, NULL, 99, NULL, NULL, 22636),
(77758, '3gslA01', NULL, NULL, 97, NULL, NULL, 22636),
(77759, '1wi2A00', NULL, NULL, 104, NULL, NULL, 22636),
(77760, '2dazA01', NULL, NULL, 112, NULL, NULL, 22636),
(77761, '1ry4A00', NULL, NULL, 128, NULL, NULL, 22636),
(77762, '1uf1A00', NULL, NULL, 128, NULL, NULL, 22636),
(77763, '2zpmA00', NULL, NULL, 91, NULL, NULL, 22636),
(77764, '2ejyA00', NULL, NULL, 97, NULL, NULL, 22636),
(77765, '1nf3C00', NULL, NULL, 128, NULL, NULL, 22636),
(77766, '2djtA00', NULL, NULL, 104, NULL, NULL, 22636),
(77767, '1w9eA01', NULL, NULL, 87, NULL, NULL, 22636),
(77768, '2w7rA00', NULL, NULL, 98, NULL, NULL, 22636),
(77769, '1w9eA02', NULL, NULL, 79, NULL, NULL, 22636),
(77770, '3tsvA00', NULL, NULL, 97, NULL, NULL, 22636),
(77771, '1uepA00', NULL, NULL, 103, NULL, NULL, 22636),
(77772, '1vaeA00', NULL, NULL, 111, NULL, NULL, 22636),
(77773, '4n6xA00', NULL, NULL, 91, NULL, NULL, 22636),
(77774, '2o2tB00', NULL, NULL, 117, NULL, NULL, 22636),
(77775, '2iwoA00', NULL, NULL, 96, NULL, NULL, 22636),
(77776, '2opgA00', NULL, NULL, 98, NULL, NULL, 22636),
(77777, '3khfA00', NULL, NULL, 99, NULL, NULL, 22636); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(77778, '2yt8A00', NULL, NULL, 94, NULL, NULL, 22636),
(77779, '2eehA00', NULL, NULL, 100, NULL, NULL, 22636),
(77780, '6akqA02', NULL, NULL, 95, NULL, NULL, 22636),
(77781, '1v62A00', NULL, NULL, 117, NULL, NULL, 22636),
(77782, '6akqA01', NULL, NULL, 94, NULL, NULL, 22636),
(77783, '1ihjB00', NULL, NULL, 98, NULL, NULL, 22636),
(77784, '1wh1A01', NULL, NULL, 90, NULL, NULL, 22636),
(77785, '4l8nA01', NULL, NULL, 94, NULL, NULL, 22636),
(77786, '4nxrA00', NULL, NULL, 94, NULL, NULL, 22636),
(77787, '2kqfA00', NULL, NULL, 96, NULL, NULL, 22636),
(77788, '2q3gA00', NULL, NULL, 89, NULL, NULL, 22636),
(77789, '4p0cA00', NULL, NULL, 88, NULL, NULL, 22636),
(77790, '2qbwA01', NULL, NULL, 97, NULL, NULL, 22636),
(77791, '2reyA00', NULL, NULL, 100, NULL, NULL, 22636),
(77792, '1n7eA00', NULL, NULL, 97, NULL, NULL, 22636),
(77793, '3rl8C00', NULL, NULL, 105, NULL, NULL, 22636),
(77794, '1r6jA00', NULL, NULL, 82, NULL, NULL, 22636),
(77795, '3cbyB00', NULL, NULL, 108, NULL, NULL, 22636),
(77796, '1m5zA00', NULL, NULL, 91, NULL, NULL, 22636),
(77797, '2ehrA00', NULL, NULL, 117, NULL, NULL, 22636),
(77798, '5m3nA03', NULL, NULL, 97, NULL, NULL, 22636),
(77799, '3id1A00', NULL, NULL, 95, NULL, NULL, 22636),
(77800, '3o46A00', NULL, NULL, 93, NULL, NULL, 22636),
(77801, '1ujdA00', NULL, NULL, 117, NULL, NULL, 22636),
(77802, '1l6oB00', NULL, NULL, 95, NULL, NULL, 22636),
(77803, '5e1yA00', NULL, NULL, 95, NULL, NULL, 22636),
(77804, '3r0hG01', NULL, NULL, 111, NULL, NULL, 22636),
(77805, '3k1rA02', NULL, NULL, 111, NULL, NULL, 22636),
(77806, '3lnyA00', NULL, NULL, 96, NULL, NULL, 22636),
(77807, '6eziA00', NULL, NULL, 89, NULL, NULL, 22636),
(77808, '2awxA00', NULL, NULL, 105, NULL, NULL, 22636),
(77809, '2fe5A00', NULL, NULL, 94, NULL, NULL, 22636),
(77810, '3ggeA00', NULL, NULL, 95, NULL, NULL, 22636),
(77811, '1ujuA00', NULL, NULL, 111, NULL, NULL, 22636),
(77812, '2jreA00', NULL, NULL, 108, NULL, NULL, 22636),
(77813, '5h3jA01', NULL, NULL, 113, NULL, NULL, 22636),
(77814, '5h3jA02', NULL, NULL, 98, NULL, NULL, 22636),
(77815, '1qavA00', NULL, NULL, 90, NULL, NULL, 22636),
(77816, '3eggC01', NULL, NULL, 109, NULL, NULL, 22636),
(77817, '2q9vA00', NULL, NULL, 90, NULL, NULL, 22636),
(77818, '2kv8A00', NULL, NULL, 83, NULL, NULL, 22636),
(77819, '2qt5A01', NULL, NULL, 100, NULL, NULL, 22636),
(77820, '4q2oA00', NULL, NULL, 98, NULL, NULL, 22636),
(77821, '1wf8A00', NULL, NULL, 107, NULL, NULL, 22636),
(77822, '4wsiA01', NULL, NULL, 103, NULL, NULL, 22636),
(77823, '1pdrA00', NULL, NULL, 99, NULL, NULL, 22636),
(77824, '2e7kA00', NULL, NULL, 91, NULL, NULL, 22636),
(77825, '2jilA00', NULL, NULL, 97, NULL, NULL, 22636),
(77826, '1zubA00', NULL, NULL, 114, NULL, NULL, 22636),
(77827, '1uewA00', NULL, NULL, 114, NULL, NULL, 22636),
(77828, '2komA00', NULL, NULL, 101, NULL, NULL, 22636),
(77829, '2yt7A01', NULL, NULL, 87, NULL, NULL, 22636),
(77830, '2iwnA00', NULL, NULL, 97, NULL, NULL, 22636),
(77831, '2luiA00', NULL, NULL, 116, NULL, NULL, 22636),
(77832, '2joaA01', NULL, NULL, 104, NULL, NULL, 22636),
(77833, '2eeiA00', NULL, NULL, 106, NULL, NULL, 22636),
(77834, '4fgmA03', NULL, NULL, 113, NULL, NULL, 22636),
(77835, '2r4hC01', NULL, NULL, 88, NULL, NULL, 22636),
(77836, '2z17A00', NULL, NULL, 104, NULL, NULL, 22636),
(77837, '2dluA00', NULL, NULL, 111, NULL, NULL, 22636),
(77838, '1l6oA00', NULL, NULL, 95, NULL, NULL, 22636),
(77839, '2i1nA00', NULL, NULL, 102, NULL, NULL, 22636),
(77840, '3qikA01', NULL, NULL, 84, NULL, NULL, 22636),
(77841, '2he2B00', NULL, NULL, 102, NULL, NULL, 22636),
(77842, '2l97A01', NULL, NULL, 106, NULL, NULL, 22636),
(77843, '1vj6A00', NULL, NULL, 102, NULL, NULL, 22636),
(77844, '3otpB04', NULL, NULL, 98, NULL, NULL, 22636),
(77845, '4uu5A00', NULL, NULL, 90, NULL, NULL, 22636),
(77846, '3hvqC01', NULL, NULL, 109, NULL, NULL, 22636),
(77847, '2vrfA00', NULL, NULL, 95, NULL, NULL, 22636),
(77848, '3stjA03', NULL, NULL, 108, NULL, NULL, 22636),
(77849, '4amhA00', NULL, NULL, 106, NULL, NULL, 22636),
(77850, '1ufxA00', NULL, NULL, 103, NULL, NULL, 22636),
(77851, '2h2bA00', NULL, NULL, 107, NULL, NULL, 22636);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(77852, '6ieoA03', NULL, NULL, 99, NULL, NULL, 22636),
(77853, '2i04A00', NULL, NULL, 85, NULL, NULL, 22636),
(77854, '6hksB00', NULL, NULL, 94, NULL, NULL, 22636),
(77855, '1wi4A01', NULL, NULL, 89, NULL, NULL, 22636),
(77856, '3i4wA00', NULL, NULL, 104, NULL, NULL, 22636),
(77857, '3r69B00', NULL, NULL, 89, NULL, NULL, 22636),
(77858, '1u3bA01', NULL, NULL, 89, NULL, NULL, 22636),
(77859, '3dorA02', NULL, NULL, 107, NULL, NULL, 22636),
(77860, '2enoA00', NULL, NULL, 120, NULL, NULL, 22636),
(77861, '1ky9B03', NULL, NULL, 94, NULL, NULL, 22636),
(77862, '1um7A00', NULL, NULL, 113, NULL, NULL, 22636),
(77863, '1ky9B04', NULL, NULL, 71, NULL, NULL, 22636),
(77864, '5hj1A00', NULL, NULL, 103, NULL, NULL, 22636),
(77865, '5vwkA01', NULL, NULL, 94, NULL, NULL, 22636),
(77866, '3b76A00', NULL, NULL, 101, NULL, NULL, 22636),
(77867, '5ovpA00', NULL, NULL, 96, NULL, NULL, 22636),
(77868, '3soeA00', NULL, NULL, 113, NULL, NULL, 22636),
(77869, '1uhpA00', NULL, NULL, 107, NULL, NULL, 22636),
(77870, '2ozfA00', NULL, NULL, 92, NULL, NULL, 22636),
(77871, '1x6dA01', NULL, NULL, 91, NULL, NULL, 22636),
(77872, '2fneA00', NULL, NULL, 95, NULL, NULL, 22636),
(77873, '5wouA00', NULL, NULL, 100, NULL, NULL, 22636),
(77874, '2kjpA01', NULL, NULL, 79, NULL, NULL, 22636),
(77875, '2eejA00', NULL, NULL, 96, NULL, NULL, 22636),
(77876, '2i6vA00', NULL, NULL, 87, NULL, NULL, 22636),
(77877, '3r68A00', NULL, NULL, 95, NULL, NULL, 22636),
(77878, '2i4sB00', NULL, NULL, 105, NULL, NULL, 22636),
(77879, '3i1eA00', NULL, NULL, 90, NULL, NULL, 22636),
(77880, '5i7zA00', NULL, NULL, 96, NULL, NULL, 22636),
(77881, '2dkrA00', NULL, NULL, 93, NULL, NULL, 22636),
(77882, '1kwaA00', NULL, NULL, 88, NULL, NULL, 22636),
(77883, '2w4fA00', NULL, NULL, 97, NULL, NULL, 22636),
(77884, '1p1dA02', NULL, NULL, 94, NULL, NULL, 22636),
(77885, '1kefA00', NULL, NULL, 93, NULL, NULL, 22636),
(77886, '2d92A00', NULL, NULL, 108, NULL, NULL, 22636),
(77887, '4reyA02', NULL, NULL, 100, NULL, NULL, 22636),
(77888, '3hpkB00', NULL, NULL, 107, NULL, NULL, 22636),
(77889, '4reyA01', NULL, NULL, 113, NULL, NULL, 22636),
(77890, '2x7zA00', NULL, NULL, 99, NULL, NULL, 22636),
(77891, '3e17A01', NULL, NULL, 59, NULL, NULL, 22636),
(77892, '3mh7A03', NULL, NULL, 94, NULL, NULL, 22636),
(77893, '3mh7A04', NULL, NULL, 100, NULL, NULL, 22636),
(77894, '5g1eA01', NULL, NULL, 97, NULL, NULL, 22636),
(77895, '5g1eA02', NULL, NULL, 85, NULL, NULL, 22636),
(77896, '3bpuA00', NULL, NULL, 88, NULL, NULL, 22636),
(77897, '1whdA00', NULL, NULL, 100, NULL, NULL, 22636),
(77898, '1t2mA00', NULL, NULL, 101, NULL, NULL, 22636),
(77899, '2pa1A00', NULL, NULL, 87, NULL, NULL, 22636),
(77900, '3dj3D00', NULL, NULL, 113, NULL, NULL, 22636),
(77901, '1tp5A00', NULL, NULL, 119, NULL, NULL, 22636),
(77902, '2eaqA00', NULL, NULL, 90, NULL, NULL, 22636),
(77903, '1l6oC00', NULL, NULL, 95, NULL, NULL, 22636),
(77904, '1y7nA00', NULL, NULL, 90, NULL, NULL, 22636),
(77905, '2f0aA00', NULL, NULL, 98, NULL, NULL, 22636),
(77906, '1mc7A00', NULL, NULL, 95, NULL, NULL, 22636),
(77907, '3cc0C00', NULL, NULL, 108, NULL, NULL, 22636),
(77908, '4kfvA02', NULL, NULL, 101, NULL, NULL, 22636),
(77909, '1wf7A01', NULL, NULL, 85, NULL, NULL, 22636),
(77910, '3sfjA00', NULL, NULL, 104, NULL, NULL, 22636),
(77911, '1um1A00', NULL, NULL, 110, NULL, NULL, 22636),
(77912, '3qo6A03', NULL, NULL, 116, NULL, NULL, 22636),
(77913, '5f67B00', NULL, NULL, 108, NULL, NULL, 22636),
(77914, '5tytA00', NULL, NULL, 89, NULL, NULL, 22636),
(77915, '2i4sA00', NULL, NULL, 105, NULL, NULL, 22636),
(77916, '2p3wB01', NULL, NULL, 104, NULL, NULL, 22636),
(77917, '5xbfB00', NULL, NULL, 125, NULL, NULL, 22636),
(77918, '4gaaA04', NULL, NULL, 151, NULL, NULL, 22637),
(77919, '3u9wA04', NULL, NULL, 149, NULL, NULL, 22637),
(77920, '2xq0A04', NULL, NULL, 165, NULL, NULL, 22637),
(77921, '3ciaA04', NULL, NULL, 141, NULL, NULL, 22637),
(77922, '2gu0A02', NULL, NULL, 169, NULL, NULL, 22638),
(77923, '4g0aB02', NULL, NULL, 161, NULL, NULL, 22638),
(77924, '3h09A03', NULL, NULL, 88, NULL, NULL, 22639),
(77925, '1wxrA03', NULL, NULL, 76, NULL, NULL, 22639);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(77926, '4g6vB00', NULL, NULL, 111, NULL, NULL, 22640),
(77927, '1sr8A01', NULL, NULL, 39, NULL, NULL, 22641),
(77928, '4bjnH00', NULL, NULL, 244, NULL, NULL, 22642),
(77929, '4bjmC00', NULL, NULL, 238, NULL, NULL, 22642),
(77930, '4fzmA01', NULL, NULL, 125, NULL, NULL, 22643),
(77931, '6hzwA02', NULL, NULL, 121, NULL, NULL, 22644),
(77932, '4cofA02', NULL, NULL, 135, NULL, NULL, 22644),
(77933, '2m6bA00', NULL, NULL, 150, NULL, NULL, 22644),
(77934, '4tnwC02', NULL, NULL, 135, NULL, NULL, 22644),
(77935, '5tinA02', NULL, NULL, 126, NULL, NULL, 22644),
(77936, '4x5tA02', NULL, NULL, 135, NULL, NULL, 22644),
(77937, '3rqwA02', NULL, NULL, 122, NULL, NULL, 22644),
(77938, '6hz1A02', NULL, NULL, 121, NULL, NULL, 22644),
(77939, '3jadA02', NULL, NULL, 131, NULL, NULL, 22644),
(77940, '5osaA02', NULL, NULL, 120, NULL, NULL, 22644),
(77941, '1oedE00', NULL, NULL, 128, NULL, NULL, 22644),
(77942, '2mawA00', NULL, NULL, 137, NULL, NULL, 22644),
(77943, '2llyA01', NULL, NULL, 123, NULL, NULL, 22644),
(77944, '2bg9A02', NULL, NULL, 160, NULL, NULL, 22644),
(77945, '2lm2A01', NULL, NULL, 123, NULL, NULL, 22644),
(77946, '2bg9B02', NULL, NULL, 163, NULL, NULL, 22644),
(77947, '2bg9C02', NULL, NULL, 160, NULL, NULL, 22644),
(77948, '1oedA00', NULL, NULL, 127, NULL, NULL, 22644),
(77949, '2lkgA00', NULL, NULL, 140, NULL, NULL, 22644),
(77950, '1oedB00', NULL, NULL, 127, NULL, NULL, 22644),
(77951, '2ksrA01', NULL, NULL, 129, NULL, NULL, 22644),
(77952, '2bg9E02', NULL, NULL, 160, NULL, NULL, 22644),
(77953, '1oedC00', NULL, NULL, 127, NULL, NULL, 22644),
(77954, '2vz4A00', NULL, NULL, 108, NULL, NULL, 22645),
(77955, '2jmlA00', NULL, NULL, 81, NULL, NULL, 22645),
(77956, '3ucsA00', NULL, NULL, 102, NULL, NULL, 22645),
(77957, '3hh0A01', NULL, NULL, 74, NULL, NULL, 22645),
(77958, '3gpvA00', NULL, NULL, 128, NULL, NULL, 22645),
(77959, '4r24B00', NULL, NULL, 85, NULL, NULL, 22645),
(77960, '1r8dB00', NULL, NULL, 109, NULL, NULL, 22645),
(77961, '1r8eA02', NULL, NULL, 75, NULL, NULL, 22645),
(77962, '3gp4B00', NULL, NULL, 142, NULL, NULL, 22645),
(77963, '3gpvB00', NULL, NULL, 131, NULL, NULL, 22645),
(77964, '2zhgA00', NULL, NULL, 135, NULL, NULL, 22645),
(77965, '4r4eB00', NULL, NULL, 84, NULL, NULL, 22645),
(77966, '4wlsA00', NULL, NULL, 111, NULL, NULL, 22645),
(77967, '3qaoA00', NULL, NULL, 140, NULL, NULL, 22645),
(77968, '5c8eG01', NULL, NULL, 78, NULL, NULL, 22645),
(77969, '5d90B00', NULL, NULL, 136, NULL, NULL, 22645),
(77970, '1q08A00', NULL, NULL, 99, NULL, NULL, 22645),
(77971, '5i41B00', NULL, NULL, 69, NULL, NULL, 22645),
(77972, '2yvsA02', NULL, NULL, 59, NULL, NULL, 22646),
(77973, '1miuA04', NULL, NULL, 134, NULL, NULL, 22647),
(77974, '4hdrB02', NULL, NULL, 261, NULL, NULL, 22648),
(77975, '6b5fA02', NULL, NULL, 271, NULL, NULL, 22648),
(77976, '1j33A02', NULL, NULL, 273, NULL, NULL, 22648),
(77977, '4hdrA02', NULL, NULL, 275, NULL, NULL, 22648),
(77978, '3l0zC00', NULL, NULL, 350, NULL, NULL, 22648),
(77979, '4kqiA02', NULL, NULL, 272, NULL, NULL, 22648),
(77980, '3u4gA00', NULL, NULL, 337, NULL, NULL, 22648),
(77981, '4llfD02', NULL, NULL, 120, NULL, NULL, 22649),
(77982, '2zahA02', NULL, NULL, 128, NULL, NULL, 22649),
(77983, '2zugA00', NULL, NULL, 90, NULL, NULL, 22650),
(77984, '2gj2A00', NULL, NULL, 85, NULL, NULL, 22650),
(77985, '3fndA02', NULL, NULL, 44, NULL, NULL, 22651),
(77986, '3bg5B07', NULL, NULL, 46, NULL, NULL, 22652),
(77987, '3hblC07', NULL, NULL, 36, NULL, NULL, 22652),
(77988, '4qshA06', NULL, NULL, 52, NULL, NULL, 22652),
(77989, '4qslA07', NULL, NULL, 36, NULL, NULL, 22652),
(77990, '2d00A02', NULL, NULL, 33, NULL, NULL, 22653),
(77991, '4es8B01', NULL, NULL, 196, NULL, NULL, 22654),
(77992, '1x4sA00', NULL, NULL, 59, NULL, NULL, 22655),
(77993, '4bgfF01', NULL, NULL, 183, NULL, NULL, 22656),
(77994, '4nv8A01', NULL, NULL, 177, NULL, NULL, 22656),
(77995, '3d9wB01', NULL, NULL, 191, NULL, NULL, 22656),
(77996, '1w4tA01', NULL, NULL, 181, NULL, NULL, 22656),
(77997, '4c5pA01', NULL, NULL, 183, NULL, NULL, 22656),
(77998, '4guzA01', NULL, NULL, 181, NULL, NULL, 22656);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(77999, '1w5rA01', NULL, NULL, 178, NULL, NULL, 22656),
(78000, '3c2gA02', NULL, NULL, 68, NULL, NULL, 22657),
(78001, '4m0mA03', NULL, NULL, 79, NULL, NULL, 22658),
(78002, '3v3tA02', NULL, NULL, 95, NULL, NULL, 22659),
(78003, '2ys0A00', NULL, NULL, 56, NULL, NULL, 22660),
(78004, '5dltA02', NULL, NULL, 46, NULL, NULL, 22660),
(78005, '3nkqA01', NULL, NULL, 59, NULL, NULL, 22660),
(78006, '5woyA02', NULL, NULL, 126, NULL, NULL, 22661),
(78007, '2hroA02', NULL, NULL, 128, NULL, NULL, 22661),
(78008, '1zymA02', NULL, NULL, 126, NULL, NULL, 22661),
(78009, '3mfdA02', NULL, NULL, 92, NULL, NULL, 22662),
(78010, '2qtsA02', NULL, NULL, 178, NULL, NULL, 22663),
(78011, '5jvlA02', NULL, NULL, 88, NULL, NULL, 22664),
(78012, '1vbgA02', NULL, NULL, 85, NULL, NULL, 22664),
(78013, '1kblA05', NULL, NULL, 89, NULL, NULL, 22664),
(78014, '2x0sA02', NULL, NULL, 95, NULL, NULL, 22664),
(78015, '4qicC01', NULL, NULL, 139, NULL, NULL, 22665),
(78016, '2lfwA01', NULL, NULL, 141, NULL, NULL, 22665),
(78017, '4g97A01', NULL, NULL, 138, NULL, NULL, 22665),
(78018, '3t0yC00', NULL, NULL, 142, NULL, NULL, 22665),
(78019, '3n0rA01', NULL, NULL, 138, NULL, NULL, 22665),
(78020, '1rp3G02', NULL, NULL, 152, NULL, NULL, 22665),
(78021, '4bs9A01', NULL, NULL, 97, NULL, NULL, 22666),
(78022, '4kbmB02', NULL, NULL, 102, NULL, NULL, 22667),
(78023, '4xaxB02', NULL, NULL, 99, NULL, NULL, 22667),
(78024, '2lt3A01', NULL, NULL, 100, NULL, NULL, 22667),
(78025, '4kmcA00', NULL, NULL, 80, NULL, NULL, 22667),
(78026, '2imuA00', NULL, NULL, 46, NULL, NULL, 22668),
(78027, '5o5jT00', NULL, NULL, 86, NULL, NULL, 22669),
(78028, '2vqeT00', NULL, NULL, 106, NULL, NULL, 22669),
(78029, '1vs5T00', NULL, NULL, 87, NULL, NULL, 22669),
(78030, '5x8rt00', NULL, NULL, 108, NULL, NULL, 22669),
(78031, '1xezA02', NULL, NULL, 428, NULL, NULL, 22670),
(78032, '2yh6D00', NULL, NULL, 112, NULL, NULL, 22671),
(78033, '1q7lB01', NULL, NULL, 81, NULL, NULL, 22672),
(78034, '3uitA02', NULL, NULL, 132, NULL, NULL, 22673),
(78035, '1xg8A00', NULL, NULL, 111, NULL, NULL, 22674),
(78036, '1wmiB00', NULL, NULL, 67, NULL, NULL, 22675),
(78037, '4h63F02', NULL, NULL, 39, NULL, NULL, 22676),
(78038, '5cqgA03', NULL, NULL, 79, NULL, NULL, 22677),
(78039, '1bzkA00', NULL, NULL, 43, NULL, NULL, 22678),
(78040, '3qg2A02', NULL, NULL, 41, NULL, NULL, 22679),
(78041, '2zrrA00', NULL, NULL, 89, NULL, NULL, 22680),
(78042, '2k19A00', NULL, NULL, 98, NULL, NULL, 22680),
(78043, '2ip6A00', NULL, NULL, 93, NULL, NULL, 22680),
(78044, '3jtnB00', NULL, NULL, 91, NULL, NULL, 22681),
(78045, '3jtpA00', NULL, NULL, 98, NULL, NULL, 22681),
(78046, '1vq8P02', NULL, NULL, 33, NULL, NULL, 22682),
(78047, '3eujA01', NULL, NULL, 262, NULL, NULL, 22683),
(78048, '1qhlA00', NULL, NULL, 227, NULL, NULL, 22683),
(78049, '3myuA01', NULL, NULL, 157, NULL, NULL, 22684),
(78050, '3ekiA01', NULL, NULL, 176, NULL, NULL, 22684),
(78051, '4gczA02', NULL, NULL, 26, NULL, NULL, 22685),
(78052, '5iplA01', NULL, NULL, 117, NULL, NULL, 22686),
(78053, '4c2mK00', NULL, NULL, 101, NULL, NULL, 22686),
(78054, '5tjgA01', NULL, NULL, 103, NULL, NULL, 22686),
(78055, '1xppD00', NULL, NULL, 115, NULL, NULL, 22686),
(78056, '5xogK00', NULL, NULL, 118, NULL, NULL, 22686),
(78057, '3h0gC01', NULL, NULL, 138, NULL, NULL, 22686),
(78058, '5xogC01', NULL, NULL, 139, NULL, NULL, 22686),
(78059, '3h0gK00', NULL, NULL, 123, NULL, NULL, 22686),
(78060, '4mexB01', NULL, NULL, 129, NULL, NULL, 22686),
(78061, '1twfK00', NULL, NULL, 120, NULL, NULL, 22686),
(78062, '2a6hA01', NULL, NULL, 103, NULL, NULL, 22686),
(78063, '4noiA01', NULL, NULL, 103, NULL, NULL, 22686),
(78064, '6dvcB01', NULL, NULL, 123, NULL, NULL, 22686),
(78065, '5tw1B01', NULL, NULL, 101, NULL, NULL, 22686),
(78066, '1twfC01', NULL, NULL, 142, NULL, NULL, 22686),
(78067, '4aybD01', NULL, NULL, 89, NULL, NULL, 22686),
(78068, '5zx3B01', NULL, NULL, 114, NULL, NULL, 22686),
(78069, '2pa8L00', NULL, NULL, 92, NULL, NULL, 22686),
(78070, '1bdfA01', NULL, NULL, 110, NULL, NULL, 22686),
(78071, '4aybL00', NULL, NULL, 92, NULL, NULL, 22686),
(78072, '2pa8D01', NULL, NULL, 89, NULL, NULL, 22686);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(78073, '6gmhK00', NULL, NULL, 117, NULL, NULL, 22686),
(78074, '6gmhC01', NULL, NULL, 144, NULL, NULL, 22686),
(78075, '4c2mC01', NULL, NULL, 164, NULL, NULL, 22686),
(78076, '4qjvB00', NULL, NULL, 94, NULL, NULL, 22686),
(78077, '4qjvA01', NULL, NULL, 89, NULL, NULL, 22686),
(78078, '1wr8A02', NULL, NULL, 69, NULL, NULL, 22687),
(78079, '1l6rA02', NULL, NULL, 64, NULL, NULL, 22687),
(78080, '1s2oA02', NULL, NULL, 71, NULL, NULL, 22687),
(78081, '2r31A02', NULL, NULL, 171, NULL, NULL, 22688),
(78082, '2r6iA02', NULL, NULL, 174, NULL, NULL, 22688),
(78083, '1v5eA04', NULL, NULL, 48, NULL, NULL, 22689),
(78084, '1t36A04', NULL, NULL, 119, NULL, NULL, 22690),
(78085, '1a9xA04', NULL, NULL, 150, NULL, NULL, 22690),
(78086, '5jciA03', NULL, NULL, 89, NULL, NULL, 22691),
(78087, '4j57A03', NULL, NULL, 129, NULL, NULL, 22691),
(78088, '2wpfA03', NULL, NULL, 112, NULL, NULL, 22691),
(78089, '3oc4B03', NULL, NULL, 130, NULL, NULL, 22691),
(78090, '6du7A03', NULL, NULL, 113, NULL, NULL, 22691),
(78091, '1nhpA03', NULL, NULL, 113, NULL, NULL, 22691),
(78092, '2qaeA03', NULL, NULL, 121, NULL, NULL, 22691),
(78093, '6cmzB03', NULL, NULL, 121, NULL, NULL, 22691),
(78094, '5kvhA03', NULL, NULL, 92, NULL, NULL, 22691),
(78095, '1onfA03', NULL, NULL, 115, NULL, NULL, 22691),
(78096, '3urhB03', NULL, NULL, 121, NULL, NULL, 22691),
(78097, '3l8kA03', NULL, NULL, 124, NULL, NULL, 22691),
(78098, '1gesA03', NULL, NULL, 113, NULL, NULL, 22691),
(78099, '4emiA03', NULL, NULL, 98, NULL, NULL, 22691),
(78100, '4eqsA03', NULL, NULL, 108, NULL, NULL, 22691),
(78101, '1xhcA03', NULL, NULL, 61, NULL, NULL, 22691),
(78102, '2cduA03', NULL, NULL, 113, NULL, NULL, 22691),
(78103, '1dxlA03', NULL, NULL, 121, NULL, NULL, 22691),
(78104, '1lvlA03', NULL, NULL, 121, NULL, NULL, 22691),
(78105, '3cgbA03', NULL, NULL, 110, NULL, NULL, 22691),
(78106, '4la1A04', NULL, NULL, 129, NULL, NULL, 22691),
(78107, '3ic9A04', NULL, NULL, 126, NULL, NULL, 22691),
(78108, '3dk9A03', NULL, NULL, 113, NULL, NULL, 22691),
(78109, '3dgzA03', NULL, NULL, 128, NULL, NULL, 22691),
(78110, '3ladA03', NULL, NULL, 126, NULL, NULL, 22691),
(78111, '6b4oA03', NULL, NULL, 113, NULL, NULL, 22691),
(78112, '5fs8A03', NULL, NULL, 137, NULL, NULL, 22691),
(78113, '5vn0A03', NULL, NULL, 113, NULL, NULL, 22691),
(78114, '5u25A03', NULL, NULL, 122, NULL, NULL, 22691),
(78115, '1zmdA03', NULL, NULL, 124, NULL, NULL, 22691),
(78116, '3o0hA03', NULL, NULL, 125, NULL, NULL, 22691),
(78117, '1fecA03', NULL, NULL, 131, NULL, NULL, 22691),
(78118, '4k7zA03', NULL, NULL, 126, NULL, NULL, 22691),
(78119, '5u1oA03', NULL, NULL, 113, NULL, NULL, 22691),
(78120, '3kljA03', NULL, NULL, 83, NULL, NULL, 22691),
(78121, '4fx9A03', NULL, NULL, 118, NULL, NULL, 22691),
(78122, '3fg2P03', NULL, NULL, 86, NULL, NULL, 22691),
(78123, '2w0hA03', NULL, NULL, 131, NULL, NULL, 22691),
(78124, '6bz0D03', NULL, NULL, 127, NULL, NULL, 22691),
(78125, '1aogA03', NULL, NULL, 112, NULL, NULL, 22691),
(78126, '5vdnA03', NULL, NULL, 113, NULL, NULL, 22691),
(78127, '5x1yA03', NULL, NULL, 115, NULL, NULL, 22691),
(78128, '3dghA03', NULL, NULL, 115, NULL, NULL, 22691),
(78129, '2eq6A03', NULL, NULL, 124, NULL, NULL, 22691),
(78130, '1ebdA03', NULL, NULL, 115, NULL, NULL, 22691),
(78131, '1xdiA03', NULL, NULL, 122, NULL, NULL, 22691),
(78132, '4kprA03', NULL, NULL, 115, NULL, NULL, 22691),
(78133, '2r9zA03', NULL, NULL, 112, NULL, NULL, 22691),
(78134, '2yquA03', NULL, NULL, 121, NULL, NULL, 22691),
(78135, '5u8uA03', NULL, NULL, 127, NULL, NULL, 22691),
(78136, '1gv4A03', NULL, NULL, 131, NULL, NULL, 22691),
(78137, '3gd4B03', NULL, NULL, 88, NULL, NULL, 22691),
(78138, '4jq9A03', NULL, NULL, 122, NULL, NULL, 22691),
(78139, '6aonA03', NULL, NULL, 121, NULL, NULL, 22691),
(78140, '4dnaA03', NULL, NULL, 124, NULL, NULL, 22691),
(78141, '2gqwA03', NULL, NULL, 91, NULL, NULL, 22691),
(78142, '6n7fA03', NULL, NULL, 113, NULL, NULL, 22691),
(78143, '2hqmA03', NULL, NULL, 121, NULL, NULL, 22691),
(78144, '6ftcA04', NULL, NULL, 131, NULL, NULL, 22691),
(78145, '1v59A03', NULL, NULL, 121, NULL, NULL, 22691);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(78146, '3lxdA03', NULL, NULL, 86, NULL, NULL, 22691),
(78147, '5v36A03', NULL, NULL, 113, NULL, NULL, 22691),
(78148, '1q1rA03', NULL, NULL, 104, NULL, NULL, 22691),
(78149, '3qfaA03', NULL, NULL, 115, NULL, NULL, 22691),
(78150, '5w1jA04', NULL, NULL, 124, NULL, NULL, 22691),
(78151, '5fs6A03', NULL, NULL, 102, NULL, NULL, 22691),
(78152, '1mo9A03', NULL, NULL, 153, NULL, NULL, 22691),
(78153, '4ywoA03', NULL, NULL, 123, NULL, NULL, 22691),
(78154, '2bc0A03', NULL, NULL, 120, NULL, NULL, 22691),
(78155, '4burA03', NULL, NULL, 101, NULL, NULL, 22691),
(78156, '2a8xA03', NULL, NULL, 122, NULL, NULL, 22691),
(78157, '4pswA01', NULL, NULL, 130, NULL, NULL, 22692),
(78158, '2p0wA01', NULL, NULL, 137, NULL, NULL, 22692),
(78159, '2zuoA10', NULL, NULL, 127, NULL, NULL, 22693),
(78160, '2rpbA00', NULL, NULL, 113, NULL, NULL, 22693),
(78161, '1winA01', NULL, NULL, 117, NULL, NULL, 22693),
(78162, '4fvgA00', NULL, NULL, 133, NULL, NULL, 22693),
(78163, '3bk6A01', NULL, NULL, 114, NULL, NULL, 22693),
(78164, '3rgzA02', NULL, NULL, 61, NULL, NULL, 22694),
(78165, '4j0mA02', NULL, NULL, 58, NULL, NULL, 22694),
(78166, '4jioB02', NULL, NULL, 154, NULL, NULL, 22695),
(78167, '2xs1A03', NULL, NULL, 189, NULL, NULL, 22695),
(78168, '2jytA00', NULL, NULL, 69, NULL, NULL, 22696),
(78169, '2jyeA01', NULL, NULL, 61, NULL, NULL, 22696),
(78170, '3e35A02', NULL, NULL, 44, NULL, NULL, 22697),
(78171, '2hr3B03', NULL, NULL, 50, NULL, NULL, 22697),
(78172, '2wamB02', NULL, NULL, 43, NULL, NULL, 22697),
(78173, '1s3jB03', NULL, NULL, 57, NULL, NULL, 22697),
(78174, '1nvpB00', NULL, NULL, 57, NULL, NULL, 22697),
(78175, '1s3jA03', NULL, NULL, 57, NULL, NULL, 22697),
(78176, '4hamA02', NULL, NULL, 54, NULL, NULL, 22697),
(78177, '3w7tA02', NULL, NULL, 39, NULL, NULL, 22697),
(78178, '1nh2B00', NULL, NULL, 53, NULL, NULL, 22697),
(78179, '3by6A02', NULL, NULL, 49, NULL, NULL, 22697),
(78180, '3ic7A02', NULL, NULL, 49, NULL, NULL, 22697),
(78181, '2p90A02', NULL, NULL, 45, NULL, NULL, 22697),
(78182, '3fdqA01', NULL, NULL, 125, NULL, NULL, 22698),
(78183, '2jynA01', NULL, NULL, 136, NULL, NULL, 22699),
(78184, '1erdA00', NULL, NULL, 40, NULL, NULL, 22700),
(78185, '1ha8A00', NULL, NULL, 51, NULL, NULL, 22700),
(78186, '2rqmA01', NULL, NULL, 28, NULL, NULL, 22701),
(78187, '1ci6A00', NULL, NULL, 63, NULL, NULL, 22702),
(78188, '2xv5A00', NULL, NULL, 58, NULL, NULL, 22702),
(78189, '2ynyC00', NULL, NULL, 106, NULL, NULL, 22702),
(78190, '4aycA01', NULL, NULL, 53, NULL, NULL, 22702),
(78191, '4hytD01', NULL, NULL, 45, NULL, NULL, 22702),
(78192, '4jnuA00', NULL, NULL, 40, NULL, NULL, 22702),
(78193, '3nxsA01', NULL, NULL, 54, NULL, NULL, 22702),
(78194, '2lw9A00', NULL, NULL, 51, NULL, NULL, 22702),
(78195, '3tyyB00', NULL, NULL, 76, NULL, NULL, 22702),
(78196, '4c7nB00', NULL, NULL, 51, NULL, NULL, 22702),
(78197, '3lidA01', NULL, NULL, 47, NULL, NULL, 22702),
(78198, '2yo3A01', NULL, NULL, 77, NULL, NULL, 22702),
(78199, '3tk1B01', NULL, NULL, 53, NULL, NULL, 22702),
(78200, '1jnmA00', NULL, NULL, 62, NULL, NULL, 22702),
(78201, '3b8eB00', NULL, NULL, 46, NULL, NULL, 22702),
(78202, '3he5B00', NULL, NULL, 52, NULL, NULL, 22702),
(78203, '3p32A01', NULL, NULL, 46, NULL, NULL, 22702),
(78204, '1nwqA00', NULL, NULL, 62, NULL, NULL, 22702),
(78205, '3t97A00', NULL, NULL, 64, NULL, NULL, 22702),
(78206, '1yycA01', NULL, NULL, 30, NULL, NULL, 22702),
(78207, '5vpeB00', NULL, NULL, 68, NULL, NULL, 22702),
(78208, '1slqE02', NULL, NULL, 40, NULL, NULL, 22702),
(78209, '3a2aA00', NULL, NULL, 58, NULL, NULL, 22702),
(78210, '2wg5F01', NULL, NULL, 37, NULL, NULL, 22702),
(78211, '4b86B00', NULL, NULL, 59, NULL, NULL, 22702),
(78212, '1x8yA00', NULL, NULL, 86, NULL, NULL, 22702),
(78213, '3he4A00', NULL, NULL, 56, NULL, NULL, 22702),
(78214, '4aqrD00', NULL, NULL, 57, NULL, NULL, 22702),
(78215, '1ci6B00', NULL, NULL, 47, NULL, NULL, 22702),
(78216, '3a7oB00', NULL, NULL, 75, NULL, NULL, 22702),
(78217, '3kqgA01', NULL, NULL, 52, NULL, NULL, 22702),
(78218, '2xv5B00', NULL, NULL, 58, NULL, NULL, 22702),
(78219, '1gd2F00', NULL, NULL, 70, NULL, NULL, 22702);
INSERT INTO "PUBLIC"."MODEL" VALUES
(78220, '2vrsC01', NULL, NULL, 39, NULL, NULL, 22702),
(78221, '4c46A00', NULL, NULL, 76, NULL, NULL, 22702),
(78222, '1t2kD00', NULL, NULL, 61, NULL, NULL, 22702),
(78223, '5apsA00', NULL, NULL, 63, NULL, NULL, 22702),
(78224, '4bwdB00', NULL, NULL, 82, NULL, NULL, 22702),
(78225, '3htkA00', NULL, NULL, 60, NULL, NULL, 22702),
(78226, '3vn0B00', NULL, NULL, 51, NULL, NULL, 22702),
(78227, '2d3eA00', NULL, NULL, 134, NULL, NULL, 22702),
(78228, '1dh3A00', NULL, NULL, 55, NULL, NULL, 22702),
(78229, '2zfcA00', NULL, NULL, 49, NULL, NULL, 22702),
(78230, '1owaA01', NULL, NULL, 32, NULL, NULL, 22702),
(78231, '3a5tA00', NULL, NULL, 107, NULL, NULL, 22702),
(78232, '2e42A00', NULL, NULL, 78, NULL, NULL, 22702),
(78233, '1j2jB00', NULL, NULL, 45, NULL, NULL, 22702),
(78234, '3m0aA00', NULL, NULL, 66, NULL, NULL, 22702),
(78235, '2pjuD03', NULL, NULL, 46, NULL, NULL, 22702),
(78236, '2qm8A01', NULL, NULL, 52, NULL, NULL, 22702),
(78237, '2xu6A00', NULL, NULL, 72, NULL, NULL, 22702),
(78238, '2iu8C03', NULL, NULL, 37, NULL, NULL, 22702),
(78239, '3he4B00', NULL, NULL, 46, NULL, NULL, 22702),
(78240, '2b9cA00', NULL, NULL, 147, NULL, NULL, 22702),
(78241, '4eotA00', NULL, NULL, 95, NULL, NULL, 22702),
(78242, '3kqgF01', NULL, NULL, 34, NULL, NULL, 22702),
(78243, '4i6mC00', NULL, NULL, 76, NULL, NULL, 22702),
(78244, '6mg2A00', NULL, NULL, 78, NULL, NULL, 22702),
(78245, '4hytB01', NULL, NULL, 61, NULL, NULL, 22702),
(78246, '3tnuB00', NULL, NULL, 96, NULL, NULL, 22702),
(78247, '3nmdA00', NULL, NULL, 54, NULL, NULL, 22702),
(78248, '3pmoA03', NULL, NULL, 41, NULL, NULL, 22702),
(78249, '3m91A00', NULL, NULL, 51, NULL, NULL, 22702),
(78250, '1junA00', NULL, NULL, 44, NULL, NULL, 22702),
(78251, '2wpqA00', NULL, NULL, 99, NULL, NULL, 22702),
(78252, '2basA02', NULL, NULL, 46, NULL, NULL, 22702),
(78253, '3a7pB00', NULL, NULL, 76, NULL, NULL, 22702),
(78254, '2r32A01', NULL, NULL, 36, NULL, NULL, 22702),
(78255, '3ntnA02', NULL, NULL, 52, NULL, NULL, 22702),
(78256, '5zkoA00', NULL, NULL, 59, NULL, NULL, 22702),
(78257, '3ir9A01', NULL, NULL, 37, NULL, NULL, 22702),
(78258, '2ynzC01', NULL, NULL, 57, NULL, NULL, 22702),
(78259, '2xzrA00', NULL, NULL, 114, NULL, NULL, 22702),
(78260, '3oakA01', NULL, NULL, 41, NULL, NULL, 22702),
(78261, '4e79B03', NULL, NULL, 43, NULL, NULL, 22702),
(78262, '3m9bB01', NULL, NULL, 48, NULL, NULL, 22702),
(78263, '1hbwA00', NULL, NULL, 57, NULL, NULL, 22702),
(78264, '1gk6A00', NULL, NULL, 59, NULL, NULL, 22702),
(78265, '2kp8A00', NULL, NULL, 72, NULL, NULL, 22702),
(78266, '5vpcA00', NULL, NULL, 68, NULL, NULL, 22702),
(78267, '2hapC02', NULL, NULL, 39, NULL, NULL, 22702),
(78268, '2w6aB00', NULL, NULL, 63, NULL, NULL, 22702),
(78269, '3i5cA01', NULL, NULL, 30, NULL, NULL, 22702),
(78270, '5avuB01', NULL, NULL, 38, NULL, NULL, 22702),
(78271, '5apxC00', NULL, NULL, 62, NULL, NULL, 22702),
(78272, '2wt7B00', NULL, NULL, 90, NULL, NULL, 22702),
(78273, '2efrB00', NULL, NULL, 155, NULL, NULL, 22702),
(78274, '3virC00', NULL, NULL, 66, NULL, NULL, 22702),
(78275, '1csbA01', NULL, NULL, 42, NULL, NULL, 22702),
(78276, '3p7kA00', NULL, NULL, 45, NULL, NULL, 22702),
(78277, '4gkgA00', NULL, NULL, 67, NULL, NULL, 22702),
(78278, '2p67A01', NULL, NULL, 53, NULL, NULL, 22702),
(78279, '1nafA01', NULL, NULL, 53, NULL, NULL, 22702),
(78280, '3tnuA00', NULL, NULL, 91, NULL, NULL, 22702),
(78281, '1mv8A02', NULL, NULL, 32, NULL, NULL, 22702),
(78282, '4c7nA00', NULL, NULL, 51, NULL, NULL, 22702),
(78283, '4i2lC00', NULL, NULL, 42, NULL, NULL, 22702),
(78284, '1g2cB00', NULL, NULL, 43, NULL, NULL, 22702),
(78285, '1favA00', NULL, NULL, 79, NULL, NULL, 22702),
(78286, '3mgnA00', NULL, NULL, 47, NULL, NULL, 22702),
(78287, '3vyiF00', NULL, NULL, 51, NULL, NULL, 22702),
(78288, '2n9bA00', NULL, NULL, 69, NULL, NULL, 22702),
(78289, '3he5A00', NULL, NULL, 49, NULL, NULL, 22702),
(78290, '3swfA00', NULL, NULL, 74, NULL, NULL, 22702),
(78291, '2z5iC00', NULL, NULL, 52, NULL, NULL, 22702),
(78292, '4e75C03', NULL, NULL, 27, NULL, NULL, 22702),
(78293, '2c9lZ00', NULL, NULL, 63, NULL, NULL, 22702); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(78294, '2p2uA01', NULL, NULL, 79, NULL, NULL, 22702),
(78295, '4dzoB01', NULL, NULL, 42, NULL, NULL, 22702),
(78296, '3eh0A03', NULL, NULL, 32, NULL, NULL, 22702),
(78297, '1gu4A00', NULL, NULL, 78, NULL, NULL, 22702),
(78298, '4j3hA00', NULL, NULL, 46, NULL, NULL, 22702),
(78299, '3op9A02', NULL, NULL, 41, NULL, NULL, 22702),
(78300, '2wwwC01', NULL, NULL, 66, NULL, NULL, 22702),
(78301, '1gk4C00', NULL, NULL, 84, NULL, NULL, 22702),
(78302, '4m3lC00', NULL, NULL, 61, NULL, NULL, 22702),
(78303, '3p8mC00', NULL, NULL, 46, NULL, NULL, 22702),
(78304, '3nfqA01', NULL, NULL, 42, NULL, NULL, 22702),
(78305, '2wt7A00', NULL, NULL, 63, NULL, NULL, 22702),
(78306, '2yo2A01', NULL, NULL, 53, NULL, NULL, 22702),
(78307, '3uiaA00', NULL, NULL, 53, NULL, NULL, 22702),
(78308, '2yo2A03', NULL, NULL, 57, NULL, NULL, 22702),
(78309, '4bwcB00', NULL, NULL, 321, NULL, NULL, 22703),
(78310, '3fgrB00', NULL, NULL, 357, NULL, NULL, 22703),
(78311, '4n1vA00', NULL, NULL, 100, NULL, NULL, 22704),
(78312, '1owfB00', NULL, NULL, 94, NULL, NULL, 22704),
(78313, '1owfA00', NULL, NULL, 99, NULL, NULL, 22704),
(78314, '5lvtA00', NULL, NULL, 91, NULL, NULL, 22704),
(78315, '1p71B00', NULL, NULL, 94, NULL, NULL, 22704),
(78316, '4p3vA00', NULL, NULL, 90, NULL, NULL, 22704),
(78317, '2iieA02', NULL, NULL, 96, NULL, NULL, 22704),
(78318, '4fmrA02', NULL, NULL, 88, NULL, NULL, 22704),
(78319, '2np2A00', NULL, NULL, 108, NULL, NULL, 22704),
(78320, '5ekaA00', NULL, NULL, 96, NULL, NULL, 22704),
(78321, '3rhiB00', NULL, NULL, 93, NULL, NULL, 22704),
(78322, '1exeA00', NULL, NULL, 99, NULL, NULL, 22704),
(78323, '5fbmA00', NULL, NULL, 99, NULL, NULL, 22704),
(78324, '1b8zA00', NULL, NULL, 90, NULL, NULL, 22704),
(78325, '6n2lA00', NULL, NULL, 100, NULL, NULL, 22704),
(78326, '4pt4B00', NULL, NULL, 99, NULL, NULL, 22704),
(78327, '2ndpA00', NULL, NULL, 99, NULL, NULL, 22704),
(78328, '1huuA00', NULL, NULL, 90, NULL, NULL, 22704),
(78329, '1mulA00', NULL, NULL, 90, NULL, NULL, 22704),
(78330, '4qjuA00', NULL, NULL, 98, NULL, NULL, 22704),
(78331, '2eqyA01', NULL, NULL, 112, NULL, NULL, 22705),
(78332, '4ljxA00', NULL, NULL, 137, NULL, NULL, 22705),
(78333, '1c20A00', NULL, NULL, 128, NULL, NULL, 22705),
(78334, '5cehA02', NULL, NULL, 102, NULL, NULL, 22705),
(78335, '2rq5A00', NULL, NULL, 121, NULL, NULL, 22705),
(78336, '2jxjA00', NULL, NULL, 96, NULL, NULL, 22705),
(78337, '2cxyA00', NULL, NULL, 125, NULL, NULL, 22705),
(78338, '1ig6A00', NULL, NULL, 107, NULL, NULL, 22705),
(78339, '1kkxA00', NULL, NULL, 123, NULL, NULL, 22705),
(78340, '2lm1A00', NULL, NULL, 107, NULL, NULL, 22705),
(78341, '2jrzA00', NULL, NULL, 117, NULL, NULL, 22705),
(78342, '1ryuA00', NULL, NULL, 120, NULL, NULL, 22705),
(78343, '2li6A00', NULL, NULL, 116, NULL, NULL, 22705),
(78344, '2yqeA00', NULL, NULL, 100, NULL, NULL, 22705),
(78345, '1sziA02', NULL, NULL, 137, NULL, NULL, 22706),
(78346, '3iqcA00', NULL, NULL, 131, NULL, NULL, 22706),
(78347, '4iwbB00', NULL, NULL, 165, NULL, NULL, 22706),
(78348, '1orjD00', NULL, NULL, 130, NULL, NULL, 22706),
(78349, '2v7sA00', NULL, NULL, 181, NULL, NULL, 22707),
(78350, '1tolA01', NULL, NULL, 82, NULL, NULL, 22708),
(78351, '3dgsA01', NULL, NULL, 112, NULL, NULL, 22708),
(78352, '1g3pA01', NULL, NULL, 113, NULL, NULL, 22708),
(78353, '1fgpA00', NULL, NULL, 70, NULL, NULL, 22708),
(78354, '4eo1A00', NULL, NULL, 70, NULL, NULL, 22708),
(78355, '2x9aA00', NULL, NULL, 65, NULL, NULL, 22708),
(78356, '2fgtA02', NULL, NULL, 105, NULL, NULL, 22709),
(78357, '2xsbA02', NULL, NULL, 170, NULL, NULL, 22710),
(78358, '1uurA01', NULL, NULL, 117, NULL, NULL, 22710),
(78359, '2q3lB00', NULL, NULL, 126, NULL, NULL, 22711),
(78360, '2ookA00', NULL, NULL, 127, NULL, NULL, 22711),
(78361, '4jdmA01', NULL, NULL, 51, NULL, NULL, 22712),
(78362, '3zs6A03', NULL, NULL, 217, NULL, NULL, 22713),
(78363, '1jetA03', NULL, NULL, 216, NULL, NULL, 22713),
(78364, '4qflA03', NULL, NULL, 219, NULL, NULL, 22713),
(78365, '1xocA03', NULL, NULL, 224, NULL, NULL, 22713),
(78366, '1zu0A03', NULL, NULL, 246, NULL, NULL, 22713),
(78367, '4onyA02', NULL, NULL, 260, NULL, NULL, 22713);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(78368, '2o7iA03', NULL, NULL, 254, NULL, NULL, 22713),
(78369, '3tchA03', NULL, NULL, 216, NULL, NULL, 22713),
(78370, '3ry3A02', NULL, NULL, 240, NULL, NULL, 22713),
(78371, '6npoA03', NULL, NULL, 227, NULL, NULL, 22713),
(78372, '2d5wA03', NULL, NULL, 248, NULL, NULL, 22713),
(78373, '6dquA03', NULL, NULL, 219, NULL, NULL, 22713),
(78374, '4fajA03', NULL, NULL, 217, NULL, NULL, 22713),
(78375, '3tpaA03', NULL, NULL, 218, NULL, NULL, 22713),
(78376, '3rqtA02', NULL, NULL, 213, NULL, NULL, 22713),
(78377, '4ze9A03', NULL, NULL, 210, NULL, NULL, 22713),
(78378, '5kztA03', NULL, NULL, 228, NULL, NULL, 22713),
(78379, '2b4lA02', NULL, NULL, 157, NULL, NULL, 22713),
(78380, '2grvB03', NULL, NULL, 222, NULL, NULL, 22713),
(78381, '1uqwA03', NULL, NULL, 225, NULL, NULL, 22713),
(78382, '3pamB00', NULL, NULL, 259, NULL, NULL, 22713),
(78383, '3o6pA00', NULL, NULL, 229, NULL, NULL, 22713),
(78384, '3t66A02', NULL, NULL, 221, NULL, NULL, 22713),
(78385, '5on8A02', NULL, NULL, 228, NULL, NULL, 22713),
(78386, '2z23A03', NULL, NULL, 216, NULL, NULL, 22713),
(78387, '3m8uA03', NULL, NULL, 218, NULL, NULL, 22713),
(78388, '3drfA02', NULL, NULL, 241, NULL, NULL, 22713),
(78389, '6i3gA03', NULL, NULL, 209, NULL, NULL, 22713),
(78390, '4oerA02', NULL, NULL, 228, NULL, NULL, 22713),
(78391, '4oevA03', NULL, NULL, 220, NULL, NULL, 22713),
(78392, '5f1qA03', NULL, NULL, 219, NULL, NULL, 22713),
(78393, '4pfyA03', NULL, NULL, 241, NULL, NULL, 22713),
(78394, '5yqwA03', NULL, NULL, 246, NULL, NULL, 22713),
(78395, '5isuA03', NULL, NULL, 211, NULL, NULL, 22713),
(78396, '5hm4B03', NULL, NULL, 243, NULL, NULL, 22713),
(78397, '1dpeA03', NULL, NULL, 219, NULL, NULL, 22713),
(78398, '4tozA03', NULL, NULL, 216, NULL, NULL, 22713),
(78399, '4wedA02', NULL, NULL, 226, NULL, NULL, 22713),
(78400, '3lvuB00', NULL, NULL, 258, NULL, NULL, 22713),
(78401, '4gl8A03', NULL, NULL, 211, NULL, NULL, 22713),
(78402, '4ze8A03', NULL, NULL, 210, NULL, NULL, 22713),
(78403, '2wolA02', NULL, NULL, 231, NULL, NULL, 22713),
(78404, '5icqA02', NULL, NULL, 259, NULL, NULL, 22713),
(78405, '2q7dB01', NULL, NULL, 140, NULL, NULL, 22714),
(78406, '3mtuB00', NULL, NULL, 75, NULL, NULL, 22715),
(78407, '5jv3C00', NULL, NULL, 76, NULL, NULL, 22715),
(78408, '1txqB00', NULL, NULL, 86, NULL, NULL, 22715),
(78409, '1wu9B00', NULL, NULL, 80, NULL, NULL, 22715),
(78410, '3tq7B00', NULL, NULL, 82, NULL, NULL, 22715),
(78411, '1wu9A00', NULL, NULL, 61, NULL, NULL, 22715),
(78412, '4e61B00', NULL, NULL, 106, NULL, NULL, 22715),
(78413, '5jvrA00', NULL, NULL, 75, NULL, NULL, 22715),
(78414, '2lr4A00', NULL, NULL, 128, NULL, NULL, 22716),
(78415, '3nqnA00', NULL, NULL, 158, NULL, NULL, 22717),
(78416, '4rniA00', NULL, NULL, 256, NULL, NULL, 22718),
(78417, '2r6oA00', NULL, NULL, 271, NULL, NULL, 22718),
(78418, '3hv8A00', NULL, NULL, 251, NULL, NULL, 22718),
(78419, '3gfzB02', NULL, NULL, 265, NULL, NULL, 22718),
(78420, '4fojA00', NULL, NULL, 264, NULL, NULL, 22718),
(78421, '4hu4A00', NULL, NULL, 259, NULL, NULL, 22718),
(78422, '3kzpA00', NULL, NULL, 235, NULL, NULL, 22718),
(78423, '4y8eA00', NULL, NULL, 263, NULL, NULL, 22718),
(78424, '3tlqA00', NULL, NULL, 242, NULL, NULL, 22718),
(78425, '3s83A00', NULL, NULL, 259, NULL, NULL, 22718),
(78426, '4q6jB00', NULL, NULL, 252, NULL, NULL, 22718),
(78427, '3pfmA00', NULL, NULL, 243, NULL, NULL, 22718),
(78428, '3pjxA02', NULL, NULL, 242, NULL, NULL, 22718),
(78429, '5m1tA00', NULL, NULL, 251, NULL, NULL, 22718),
(78430, '3sy8C02', NULL, NULL, 260, NULL, NULL, 22718),
(78431, '5m3cA02', NULL, NULL, 267, NULL, NULL, 22718),
(78432, '4lj3A00', NULL, NULL, 259, NULL, NULL, 22718),
(78433, '2basB01', NULL, NULL, 230, NULL, NULL, 22718),
(78434, '3tdgA01', NULL, NULL, 66, NULL, NULL, 22719),
(78435, '3gl1A02', NULL, NULL, 55, NULL, NULL, 22720),
(78436, '5aqmA02', NULL, NULL, 55, NULL, NULL, 22720),
(78437, '5bn8A02', NULL, NULL, 55, NULL, NULL, 22720),
(78438, '1qqmA02', NULL, NULL, 55, NULL, NULL, 22720),
(78439, '6gfaA02', NULL, NULL, 56, NULL, NULL, 22720),
(78440, '4kboA02', NULL, NULL, 52, NULL, NULL, 22720);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(78441, '3d2fA02', NULL, NULL, 76, NULL, NULL, 22720),
(78442, '4gniA02', NULL, NULL, 57, NULL, NULL, 22720),
(78443, '3qfuA02', NULL, NULL, 55, NULL, NULL, 22720),
(78444, '3gdqA02', NULL, NULL, 55, NULL, NULL, 22720),
(78445, '3fe1A02', NULL, NULL, 55, NULL, NULL, 22720),
(78446, '3kvgA02', NULL, NULL, 56, NULL, NULL, 22720),
(78447, '3i33A02', NULL, NULL, 55, NULL, NULL, 22720),
(78448, '1dkgD02', NULL, NULL, 52, NULL, NULL, 22720),
(78449, '5f0xA02', NULL, NULL, 56, NULL, NULL, 22720),
(78450, '2q2eB04', NULL, NULL, 39, NULL, NULL, 22721),
(78451, '2kqrA01', NULL, NULL, 74, NULL, NULL, 22722),
(78452, '4zyaA00', NULL, NULL, 77, NULL, NULL, 22722),
(78453, '4zyaB00', NULL, NULL, 77, NULL, NULL, 22722),
(78454, '2uvaG07', NULL, NULL, 136, NULL, NULL, 22723),
(78455, '2uv8G07', NULL, NULL, 132, NULL, NULL, 22723),
(78456, '2uz5A01', NULL, NULL, 30, NULL, NULL, 22724),
(78457, '1z9iA01', NULL, NULL, 45, NULL, NULL, 22725),
(78458, '1vzsA01', NULL, NULL, 63, NULL, NULL, 22726),
(78459, '1k8kE00', NULL, NULL, 178, NULL, NULL, 22727),
(78460, '1zcjA01', NULL, NULL, 32, NULL, NULL, 22728),
(78461, '1ty4B00', NULL, NULL, 170, NULL, NULL, 22729),
(78462, '1r2dA00', NULL, NULL, 142, NULL, NULL, 22729),
(78463, '2xa0A00', NULL, NULL, 147, NULL, NULL, 22729),
(78464, '1ty4A00', NULL, NULL, 170, NULL, NULL, 22729),
(78465, '5ktgA02', NULL, NULL, 79, NULL, NULL, 22729),
(78466, '4k5bC00', NULL, NULL, 145, NULL, NULL, 22729),
(78467, '4bduA02', NULL, NULL, 79, NULL, NULL, 22729),
(78468, '4qnqI00', NULL, NULL, 150, NULL, NULL, 22729),
(78469, '2wh6A00', NULL, NULL, 173, NULL, NULL, 22729),
(78470, '2vofC00', NULL, NULL, 157, NULL, NULL, 22729),
(78471, '1q59A00', NULL, NULL, 172, NULL, NULL, 22729),
(78472, '6o6fB01', NULL, NULL, 150, NULL, NULL, 22729),
(78473, '5c3fA01', NULL, NULL, 148, NULL, NULL, 22729),
(78474, '1ohuA00', NULL, NULL, 175, NULL, NULL, 22729),
(78475, '1pq1A00', NULL, NULL, 147, NULL, NULL, 22729),
(78476, '2imsA00', NULL, NULL, 171, NULL, NULL, 22729),
(78477, '1ohuB00', NULL, NULL, 175, NULL, NULL, 22729),
(78478, '5fmiA00', NULL, NULL, 162, NULL, NULL, 22729),
(78479, '3qbrX00', NULL, NULL, 179, NULL, NULL, 22729),
(78480, '4g35A01', NULL, NULL, 148, NULL, NULL, 22729),
(78481, '2jbyA00', NULL, NULL, 145, NULL, NULL, 22729),
(78482, '4b4sA01', NULL, NULL, 156, NULL, NULL, 22729),
(78483, '1k3kA00', NULL, NULL, 158, NULL, NULL, 22729),
(78484, '4uf1A00', NULL, NULL, 150, NULL, NULL, 22729),
(78485, '4qvxA00', NULL, NULL, 146, NULL, NULL, 22729),
(78486, '2w3lB00', NULL, NULL, 144, NULL, NULL, 22729),
(78487, '2a5yA00', NULL, NULL, 185, NULL, NULL, 22729),
(78488, '2me8A00', NULL, NULL, 212, NULL, NULL, 22729),
(78489, '2o42A00', NULL, NULL, 144, NULL, NULL, 22729),
(78490, '1ddbA00', NULL, NULL, 195, NULL, NULL, 22729),
(78491, '1o0lA00', NULL, NULL, 188, NULL, NULL, 22729),
(78492, '2kuaA01', NULL, NULL, 151, NULL, NULL, 22729),
(78493, '2vtyA00', NULL, NULL, 153, NULL, NULL, 22729),
(78494, '4zieA00', NULL, NULL, 168, NULL, NULL, 22729),
(78495, '5uukA00', NULL, NULL, 152, NULL, NULL, 22729),
(78496, '4u2vA02', NULL, NULL, 83, NULL, NULL, 22729),
(78497, '4mi8B00', NULL, NULL, 143, NULL, NULL, 22729),
(78498, '4yj4A00', NULL, NULL, 147, NULL, NULL, 22729),
(78499, '2bidA00', NULL, NULL, 197, NULL, NULL, 22729),
(78500, '6fs1A01', NULL, NULL, 148, NULL, NULL, 22729),
(78501, '3vayA02', NULL, NULL, 87, NULL, NULL, 22730),
(78502, '1hx6A01', NULL, NULL, 242, NULL, NULL, 22731),
(78503, '3g3zA03', NULL, NULL, 53, NULL, NULL, 22732),
(78504, '3h9pB00', NULL, NULL, 249, NULL, NULL, 22733),
(78505, '1zrtE02', NULL, NULL, 150, NULL, NULL, 22734),
(78506, '4qdcA01', NULL, NULL, 135, NULL, NULL, 22734),
(78507, '1g8kB00', NULL, NULL, 133, NULL, NULL, 22734),
(78508, '2ckfC02', NULL, NULL, 128, NULL, NULL, 22734),
(78509, '1fqtA00', NULL, NULL, 112, NULL, NULL, 22734),
(78510, '2zylA01', NULL, NULL, 135, NULL, NULL, 22734),
(78511, '2e74D02', NULL, NULL, 132, NULL, NULL, 22734),
(78512, '3gceA00', NULL, NULL, 121, NULL, NULL, 22734),
(78513, '5bokA00', NULL, NULL, 104, NULL, NULL, 22734);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(78514, '2jo6A00', NULL, NULL, 113, NULL, NULL, 22734),
(78515, '3n0qA02', NULL, NULL, 119, NULL, NULL, 22734),
(78516, '4ogqD02', NULL, NULL, 132, NULL, NULL, 22734),
(78517, '2b1xA02', NULL, NULL, 126, NULL, NULL, 22734),
(78518, '5nqdB00', NULL, NULL, 132, NULL, NULL, 22734),
(78519, '4hm8A02', NULL, NULL, 129, NULL, NULL, 22734),
(78520, '3en1A02', NULL, NULL, 127, NULL, NULL, 22734),
(78521, '1nykA00', NULL, NULL, 165, NULL, NULL, 22734),
(78522, '2bmoA02', NULL, NULL, 129, NULL, NULL, 22734),
(78523, '1uliA02', NULL, NULL, 127, NULL, NULL, 22734),
(78524, '1vm9A00', NULL, NULL, 111, NULL, NULL, 22734),
(78525, '3l74E02', NULL, NULL, 129, NULL, NULL, 22734),
(78526, '3dqyA00', NULL, NULL, 106, NULL, NULL, 22734),
(78527, '3cx5E02', NULL, NULL, 130, NULL, NULL, 22734),
(78528, '3c0dA00', NULL, NULL, 119, NULL, NULL, 22734),
(78529, '3d89A00', NULL, NULL, 157, NULL, NULL, 22734),
(78530, '2yiuC02', NULL, NULL, 145, NULL, NULL, 22734),
(78531, '2i7fA00', NULL, NULL, 108, NULL, NULL, 22734),
(78532, '3azcA00', NULL, NULL, 133, NULL, NULL, 22734),
(78533, '3gkeA01', NULL, NULL, 131, NULL, NULL, 22734),
(78534, '4nbgE00', NULL, NULL, 115, NULL, NULL, 22734),
(78535, '4qdfB01', NULL, NULL, 135, NULL, NULL, 22734),
(78536, '1wqlA02', NULL, NULL, 131, NULL, NULL, 22734),
(78537, '1jm1A00', NULL, NULL, 204, NULL, NULL, 22734),
(78538, '2gbwA02', NULL, NULL, 121, NULL, NULL, 22734),
(78539, '4aivA00', NULL, NULL, 119, NULL, NULL, 22734),
(78540, '5xteC02', NULL, NULL, 132, NULL, NULL, 22734),
(78541, '2e4qA00', NULL, NULL, 109, NULL, NULL, 22734),
(78542, '5aewA02', NULL, NULL, 131, NULL, NULL, 22734),
(78543, '1q90C00', NULL, NULL, 127, NULL, NULL, 22734),
(78544, '1rieA00', NULL, NULL, 129, NULL, NULL, 22734),
(78545, '2qpzA00', NULL, NULL, 103, NULL, NULL, 22734),
(78546, '5cxmA00', NULL, NULL, 110, NULL, NULL, 22734),
(78547, '3vcaA02', NULL, NULL, 119, NULL, NULL, 22734),
(78548, '3gzxA02', NULL, NULL, 131, NULL, NULL, 22734),
(78549, '2jzaA01', NULL, NULL, 118, NULL, NULL, 22734),
(78550, '2nwfA00', NULL, NULL, 141, NULL, NULL, 22734),
(78551, '1rfsA00', NULL, NULL, 139, NULL, NULL, 22734),
(78552, '3klyD00', NULL, NULL, 254, NULL, NULL, 22735),
(78553, '3ne2C00', NULL, NULL, 246, NULL, NULL, 22735),
(78554, '2o9gA00', NULL, NULL, 234, NULL, NULL, 22735),
(78555, '4cskA00', NULL, NULL, 233, NULL, NULL, 22735),
(78556, '3gd8A00', NULL, NULL, 223, NULL, NULL, 22735),
(78557, '3zojA00', NULL, NULL, 279, NULL, NULL, 22735),
(78558, '3c02A00', NULL, NULL, 258, NULL, NULL, 22735),
(78559, '2b6oA00', NULL, NULL, 239, NULL, NULL, 22735),
(78560, '1z98A00', NULL, NULL, 258, NULL, NULL, 22735),
(78561, '3kcuD00', NULL, NULL, 257, NULL, NULL, 22735),
(78562, '1ldfA00', NULL, NULL, 259, NULL, NULL, 22735),
(78563, '3llqB00', NULL, NULL, 234, NULL, NULL, 22735),
(78564, '3d9sA00', NULL, NULL, 246, NULL, NULL, 22735),
(78565, '1j4nA00', NULL, NULL, 249, NULL, NULL, 22735),
(78566, '2f2bA00', NULL, NULL, 246, NULL, NULL, 22735),
(78567, '4nefA00', NULL, NULL, 242, NULL, NULL, 22735),
(78568, '5i32A00', NULL, NULL, 250, NULL, NULL, 22735),
(78569, '3tdsE00', NULL, NULL, 268, NULL, NULL, 22735),
(78570, '3q7kK00', NULL, NULL, 268, NULL, NULL, 22735),
(78571, '6f7hA00', NULL, NULL, 251, NULL, NULL, 22735),
(78572, '4fc4G00', NULL, NULL, 261, NULL, NULL, 22735),
(78573, '3bg1B03', NULL, NULL, 92, NULL, NULL, 22736),
(78574, '3lzqA00', NULL, NULL, 159, NULL, NULL, 22737),
(78575, '5i0yB00', NULL, NULL, 160, NULL, NULL, 22737),
(78576, '2o6fA00', NULL, NULL, 157, NULL, NULL, 22737),
(78577, '3w0lC01', NULL, NULL, 280, NULL, NULL, 22738),
(78578, '4qs8A01', NULL, NULL, 295, NULL, NULL, 22738),
(78579, '1bg3A04', NULL, NULL, 254, NULL, NULL, 22738),
(78580, '1bg3A02', NULL, NULL, 261, NULL, NULL, 22738),
(78581, '3vpzA02', NULL, NULL, 200, NULL, NULL, 22738),
(78582, '1hkgA03', NULL, NULL, 270, NULL, NULL, 22738),
(78583, '2yhxA03', NULL, NULL, 270, NULL, NULL, 22738),
(78584, '1czaN02', NULL, NULL, 276, NULL, NULL, 22738),
(78585, '1bdgA01', NULL, NULL, 281, NULL, NULL, 22738),
(78586, '1sz2A02', NULL, NULL, 200, NULL, NULL, 22738);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(78587, '6ediA02', NULL, NULL, 225, NULL, NULL, 22738),
(78588, '3hm8C01', NULL, NULL, 273, NULL, NULL, 22738),
(78589, '2nztA01', NULL, NULL, 262, NULL, NULL, 22738),
(78590, '2nztA03', NULL, NULL, 254, NULL, NULL, 22738),
(78591, '3b8aX03', NULL, NULL, 275, NULL, NULL, 22738),
(78592, '3f9mA01', NULL, NULL, 291, NULL, NULL, 22738),
(78593, '4ixcA01', NULL, NULL, 277, NULL, NULL, 22738),
(78594, '5brhA02', NULL, NULL, 206, NULL, NULL, 22738),
(78595, '3o8mA03', NULL, NULL, 276, NULL, NULL, 22738),
(78596, '1czaN04', NULL, NULL, 252, NULL, NULL, 22738),
(78597, '5zqtA01', NULL, NULL, 294, NULL, NULL, 22738),
(78598, '1ig8A03', NULL, NULL, 276, NULL, NULL, 22738),
(78599, '4d8oA03', NULL, NULL, 164, NULL, NULL, 22739),
(78600, '1mbyA00', NULL, NULL, 88, NULL, NULL, 22740),
(78601, '5lhy100', NULL, NULL, 91, NULL, NULL, 22740),
(78602, '4u6uA00', NULL, NULL, 77, NULL, NULL, 22741),
(78603, '2v26A04', NULL, NULL, 135, NULL, NULL, 22742),
(78604, '2mysA04', NULL, NULL, 133, NULL, NULL, 22742),
(78605, '1lkxC03', NULL, NULL, 117, NULL, NULL, 22742),
(78606, '1lvkA04', NULL, NULL, 137, NULL, NULL, 22742),
(78607, '1br2A03', NULL, NULL, 109, NULL, NULL, 22742),
(78608, '1mmaA04', NULL, NULL, 106, NULL, NULL, 22742),
(78609, '3bigA02', NULL, NULL, 167, NULL, NULL, 22743),
(78610, '6ayuA02', NULL, NULL, 155, NULL, NULL, 22743),
(78611, '3rojA02', NULL, NULL, 167, NULL, NULL, 22743),
(78612, '5a5lA02', NULL, NULL, 168, NULL, NULL, 22743),
(78613, '2p9xA00', NULL, NULL, 99, NULL, NULL, 22744),
(78614, '3htyA00', NULL, NULL, 94, NULL, NULL, 22745),
(78615, '4qrlA00', NULL, NULL, 116, NULL, NULL, 22745),
(78616, '5bypA00', NULL, NULL, 127, NULL, NULL, 22745),
(78617, '3hvnA03', NULL, NULL, 129, NULL, NULL, 22746),
(78618, '1s3rA03', NULL, NULL, 129, NULL, NULL, 22746),
(78619, '4hscX03', NULL, NULL, 125, NULL, NULL, 22746),
(78620, '3cqfA03', NULL, NULL, 125, NULL, NULL, 22746),
(78621, '1pfoA03', NULL, NULL, 125, NULL, NULL, 22746),
(78622, '4jdmC02', NULL, NULL, 39, NULL, NULL, 22747),
(78623, '4j4mA00', NULL, NULL, 202, NULL, NULL, 22748),
(78624, '1iagA00', NULL, NULL, 202, NULL, NULL, 22748),
(78625, '2o3eA03', NULL, NULL, 151, NULL, NULL, 22748),
(78626, '1budA00', NULL, NULL, 197, NULL, NULL, 22748),
(78627, '1hv5E00', NULL, NULL, 165, NULL, NULL, 22748),
(78628, '2x7mA01', NULL, NULL, 175, NULL, NULL, 22748),
(78629, '4dv8A03', NULL, NULL, 225, NULL, NULL, 22748),
(78630, '4iuwA01', NULL, NULL, 294, NULL, NULL, 22748),
(78631, '3khiA02', NULL, NULL, 126, NULL, NULL, 22748),
(78632, '2x3cA02', NULL, NULL, 171, NULL, NULL, 22748),
(78633, '1atlA00', NULL, NULL, 202, NULL, NULL, 22748),
(78634, '3ma2D00', NULL, NULL, 181, NULL, NULL, 22748),
(78635, '1su3A01', NULL, NULL, 250, NULL, NULL, 22748),
(78636, '4on1A02', NULL, NULL, 211, NULL, NULL, 22748),
(78637, '1quaA00', NULL, NULL, 197, NULL, NULL, 22748),
(78638, '4in9A00', NULL, NULL, 166, NULL, NULL, 22748),
(78639, '3k7lA01', NULL, NULL, 210, NULL, NULL, 22748),
(78640, '1kapP02', NULL, NULL, 233, NULL, NULL, 22748),
(78641, '1hovA00', NULL, NULL, 163, NULL, NULL, 22748),
(78642, '4wk7A00', NULL, NULL, 235, NULL, NULL, 22748),
(78643, '1wniA00', NULL, NULL, 201, NULL, NULL, 22748),
(78644, '3edgA00', NULL, NULL, 202, NULL, NULL, 22748),
(78645, '3vtgA00', NULL, NULL, 200, NULL, NULL, 22748),
(78646, '2dw0A01', NULL, NULL, 204, NULL, NULL, 22748),
(78647, '6esmA00', NULL, NULL, 160, NULL, NULL, 22748),
(78648, '1iabA00', NULL, NULL, 200, NULL, NULL, 22748),
(78649, '2w15A00', NULL, NULL, 202, NULL, NULL, 22748),
(78650, '2o36A03', NULL, NULL, 151, NULL, NULL, 22748),
(78651, '3v96B00', NULL, NULL, 165, NULL, NULL, 22748),
(78652, '1g12A00', NULL, NULL, 167, NULL, NULL, 22748),
(78653, '1i76A00', NULL, NULL, 163, NULL, NULL, 22748),
(78654, '2y6dA00', NULL, NULL, 174, NULL, NULL, 22748),
(78655, '3b8zA00', NULL, NULL, 217, NULL, NULL, 22748),
(78656, '5b5oA00', NULL, NULL, 172, NULL, NULL, 22748),
(78657, '3gboA00', NULL, NULL, 200, NULL, NULL, 22748),
(78658, '1ck7A01', NULL, NULL, 235, NULL, NULL, 22748),
(78659, '1r55A00', NULL, NULL, 214, NULL, NULL, 22748);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(78660, '4df9A02', NULL, NULL, 229, NULL, NULL, 22748),
(78661, '1rm8A00', NULL, NULL, 169, NULL, NULL, 22748),
(78662, '2ddfA00', NULL, NULL, 257, NULL, NULL, 22748),
(78663, '1xfxA01', NULL, NULL, 228, NULL, NULL, 22748),
(78664, '2jsdA00', NULL, NULL, 160, NULL, NULL, 22748),
(78665, '1k7iA02', NULL, NULL, 227, NULL, NULL, 22748),
(78666, '3zukA01', NULL, NULL, 318, NULL, NULL, 22748),
(78667, '3hdbA01', NULL, NULL, 202, NULL, NULL, 22748),
(78668, '4l63A00', NULL, NULL, 266, NULL, NULL, 22748),
(78669, '3u1rA02', NULL, NULL, 228, NULL, NULL, 22748),
(78670, '1slmA00', NULL, NULL, 255, NULL, NULL, 22748),
(78671, '2v4bA01', NULL, NULL, 221, NULL, NULL, 22748),
(78672, '3dslB01', NULL, NULL, 204, NULL, NULL, 22748),
(78673, '3p24C02', NULL, NULL, 212, NULL, NULL, 22748),
(78674, '3ayuA00', NULL, NULL, 167, NULL, NULL, 22748),
(78675, '4q1lA00', NULL, NULL, 202, NULL, NULL, 22748),
(78676, '4fxqA01', NULL, NULL, 217, NULL, NULL, 22748),
(78677, '3lqbA00', NULL, NULL, 199, NULL, NULL, 22748),
(78678, '5lv0A03', NULL, NULL, 151, NULL, NULL, 22748),
(78679, '2l0rA00', NULL, NULL, 106, NULL, NULL, 22748),
(78680, '3g5cA01', NULL, NULL, 207, NULL, NULL, 22748),
(78681, '5th6B00', NULL, NULL, 231, NULL, NULL, 22748),
(78682, '2erqB01', NULL, NULL, 211, NULL, NULL, 22748),
(78683, '3dwbA01', NULL, NULL, 315, NULL, NULL, 22748),
(78684, '3k7nA01', NULL, NULL, 205, NULL, NULL, 22748),
(78685, '3zvsB00', NULL, NULL, 160, NULL, NULL, 22748),
(78686, '4gwmA01', NULL, NULL, 237, NULL, NULL, 22748),
(78687, '1hy7B00', NULL, NULL, 173, NULL, NULL, 22748),
(78688, '1c7kA00', NULL, NULL, 132, NULL, NULL, 22748),
(78689, '1cxvA00', NULL, NULL, 164, NULL, NULL, 22748),
(78690, '3ediA00', NULL, NULL, 201, NULL, NULL, 22748),
(78691, '3p1vA02', NULL, NULL, 228, NULL, NULL, 22748),
(78692, '3lmcA00', NULL, NULL, 192, NULL, NULL, 22748),
(78693, '2ckiA00', NULL, NULL, 262, NULL, NULL, 22748),
(78694, '5ue2A00', NULL, NULL, 247, NULL, NULL, 22748),
(78695, '1eb6A00', NULL, NULL, 177, NULL, NULL, 22748),
(78696, '1kufA00', NULL, NULL, 203, NULL, NULL, 22748),
(78697, '1g9kA02', NULL, NULL, 228, NULL, NULL, 22748),
(78698, '1fblA01', NULL, NULL, 174, NULL, NULL, 22748),
(78699, '1yp1A00', NULL, NULL, 202, NULL, NULL, 22748),
(78700, '1y93A00', NULL, NULL, 159, NULL, NULL, 22748),
(78701, '4dd8A00', NULL, NULL, 208, NULL, NULL, 22748),
(78702, '3hbvP01', NULL, NULL, 138, NULL, NULL, 22748),
(78703, '1hfcA00', NULL, NULL, 169, NULL, NULL, 22748),
(78704, '5d7wA02', NULL, NULL, 232, NULL, NULL, 22748),
(78705, '2e3xA01', NULL, NULL, 206, NULL, NULL, 22748),
(78706, '6gidA01', NULL, NULL, 322, NULL, NULL, 22748),
(78707, '1j7nA01', NULL, NULL, 222, NULL, NULL, 22748),
(78708, '4kh9A01', NULL, NULL, 138, NULL, NULL, 22749),
(78709, '2wzpP04', NULL, NULL, 33, NULL, NULL, 22750),
(78710, '3v0dA02', NULL, NULL, 144, NULL, NULL, 22751),
(78711, '2j43A02', NULL, NULL, 118, NULL, NULL, 22751),
(78712, '3n0aA02', NULL, NULL, 135, NULL, NULL, 22751),
(78713, '2yocB01', NULL, NULL, 132, NULL, NULL, 22751),
(78714, '2j44A02', NULL, NULL, 118, NULL, NULL, 22751),
(78715, '2j73A00', NULL, NULL, 103, NULL, NULL, 22751),
(78716, '2j43A01', NULL, NULL, 101, NULL, NULL, 22751),
(78717, '1d5rA02', NULL, NULL, 143, NULL, NULL, 22751),
(78718, '2ya1A01', NULL, NULL, 107, NULL, NULL, 22751),
(78719, '2fhfA01', NULL, NULL, 130, NULL, NULL, 22751),
(78720, '3m9lA02', NULL, NULL, 51, NULL, NULL, 22752),
(78721, '2kmgA00', NULL, NULL, 142, NULL, NULL, 22753),
(78722, '2wj9B00', NULL, NULL, 150, NULL, NULL, 22753),
(78723, '3kmiA00', NULL, NULL, 177, NULL, NULL, 22754),
(78724, '2osoA00', NULL, NULL, 163, NULL, NULL, 22755),
(78725, '3kxcA00', NULL, NULL, 165, NULL, NULL, 22755),
(78726, '6aq3A00', NULL, NULL, 172, NULL, NULL, 22755),
(78727, '2j3tB00', NULL, NULL, 159, NULL, NULL, 22755),
(78728, '2bjnB00', NULL, NULL, 160, NULL, NULL, 22755),
(78729, '2j3wF00', NULL, NULL, 167, NULL, NULL, 22755),
(78730, '3njcB00', NULL, NULL, 158, NULL, NULL, 22755),
(78731, '3cueD00', NULL, NULL, 193, NULL, NULL, 22755),
(78732, '2c0jA00', NULL, NULL, 161, NULL, NULL, 22755);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(78733, '3njcA00', NULL, NULL, 158, NULL, NULL, 22755),
(78734, '1sz7A00', NULL, NULL, 159, NULL, NULL, 22755),
(78735, '3cueB00', NULL, NULL, 168, NULL, NULL, 22755),
(78736, '1u7iA01', NULL, NULL, 66, NULL, NULL, 22756),
(78737, '3omsA01', NULL, NULL, 65, NULL, NULL, 22756),
(78738, '2m64A01', NULL, NULL, 114, NULL, NULL, 22757),
(78739, '2m64A02', NULL, NULL, 107, NULL, NULL, 22757),
(78740, '1l3pA00', NULL, NULL, 102, NULL, NULL, 22757),
(78741, '1nlxA00', NULL, NULL, 111, NULL, NULL, 22757),
(78742, '1y5iA02', NULL, NULL, 397, NULL, NULL, 22758),
(78743, '3fegA02', NULL, NULL, 272, NULL, NULL, 22759),
(78744, '1nw1A02', NULL, NULL, 298, NULL, NULL, 22759),
(78745, '3w0oA02', NULL, NULL, 225, NULL, NULL, 22759),
(78746, '4pdyA02', NULL, NULL, 240, NULL, NULL, 22759),
(78747, '4u98A02', NULL, NULL, 250, NULL, NULL, 22759),
(78748, '3dxpA02', NULL, NULL, 236, NULL, NULL, 22759),
(78749, '3lzhA02', NULL, NULL, 202, NULL, NULL, 22759),
(78750, '2olcA02', NULL, NULL, 278, NULL, NULL, 22759),
(78751, '3fi8A02', NULL, NULL, 273, NULL, NULL, 22759),
(78752, '2ppqA02', NULL, NULL, 214, NULL, NULL, 22759),
(78753, '2pywA02', NULL, NULL, 298, NULL, NULL, 22759),
(78754, '4h05A02', NULL, NULL, 180, NULL, NULL, 22759),
(78755, '1nd4A02', NULL, NULL, 169, NULL, NULL, 22759),
(78756, '4fevA02', NULL, NULL, 172, NULL, NULL, 22759),
(78757, '6cd7A02', NULL, NULL, 202, NULL, NULL, 22759),
(78758, '3mesA02', NULL, NULL, 300, NULL, NULL, 22759),
(78759, '3tm0A02', NULL, NULL, 173, NULL, NULL, 22759),
(78760, '5bylA02', NULL, NULL, 201, NULL, NULL, 22759),
(78761, '2qg7D02', NULL, NULL, 265, NULL, NULL, 22759),
(78762, '3csvA02', NULL, NULL, 240, NULL, NULL, 22759),
(78763, '4r78A02', NULL, NULL, 196, NULL, NULL, 22759),
(78764, '6ctzA02', NULL, NULL, 204, NULL, NULL, 22759),
(78765, '3dxqB02', NULL, NULL, 211, NULL, NULL, 22759),
(78766, '3atsA02', NULL, NULL, 241, NULL, NULL, 22759),
(78767, '3jr1A02', NULL, NULL, 200, NULL, NULL, 22759),
(78768, '2q83A02', NULL, NULL, 233, NULL, NULL, 22759),
(78769, '5jy7O00', NULL, NULL, 244, NULL, NULL, 22759),
(78770, '5ftgA02', NULL, NULL, 269, NULL, NULL, 22759),
(78771, '3c5iA02', NULL, NULL, 281, NULL, NULL, 22759),
(78772, '6fucA02', NULL, NULL, 184, NULL, NULL, 22759),
(78773, '4o7oA02', NULL, NULL, 240, NULL, NULL, 22759),
(78774, '4dcaA02', NULL, NULL, 210, NULL, NULL, 22759),
(78775, '6dc6A02', NULL, NULL, 220, NULL, NULL, 22760),
(78776, '4ii2A02', NULL, NULL, 217, NULL, NULL, 22760),
(78777, '5tr4A02', NULL, NULL, 224, NULL, NULL, 22760),
(78778, '2hw4A01', NULL, NULL, 121, NULL, NULL, 22761),
(78779, '1qz8A01', NULL, NULL, 105, NULL, NULL, 22762),
(78780, '5hizA01', NULL, NULL, 106, NULL, NULL, 22762),
(78781, '5c94A00', NULL, NULL, 116, NULL, NULL, 22762),
(78782, '2j98A01', NULL, NULL, 101, NULL, NULL, 22762),
(78783, '3ee7A01', NULL, NULL, 113, NULL, NULL, 22762),
(78784, '4dleA03', NULL, NULL, 125, NULL, NULL, 22763),
(78785, '1x9mA03', NULL, NULL, 178, NULL, NULL, 22763),
(78786, '1mswD03', NULL, NULL, 143, NULL, NULL, 22763),
(78787, '3px4A03', NULL, NULL, 130, NULL, NULL, 22763),
(78788, '2kfnA03', NULL, NULL, 125, NULL, NULL, 22763),
(78789, '4bwjA03', NULL, NULL, 125, NULL, NULL, 22763),
(78790, '5a0yB01', NULL, NULL, 296, NULL, NULL, 22764),
(78791, '5a0yA03', NULL, NULL, 260, NULL, NULL, 22764),
(78792, '5a8wB01', NULL, NULL, 296, NULL, NULL, 22764),
(78793, '5a8wA03', NULL, NULL, 229, NULL, NULL, 22764),
(78794, '1e6vA03', NULL, NULL, 230, NULL, NULL, 22764),
(78795, '1e6vB02', NULL, NULL, 296, NULL, NULL, 22764),
(78796, '5n1qB01', NULL, NULL, 296, NULL, NULL, 22764),
(78797, '3sqgA03', NULL, NULL, 235, NULL, NULL, 22764),
(78798, '5n1qA03', NULL, NULL, 229, NULL, NULL, 22764),
(78799, '3sqgB01', NULL, NULL, 288, NULL, NULL, 22764),
(78800, '1e6yA03', NULL, NULL, 236, NULL, NULL, 22764),
(78801, '1e6yB02', NULL, NULL, 286, NULL, NULL, 22764),
(78802, '5n28B01', NULL, NULL, 297, NULL, NULL, 22764),
(78803, '5n28A03', NULL, NULL, 229, NULL, NULL, 22764),
(78804, '1nbwA02', NULL, NULL, 143, NULL, NULL, 22765),
(78805, '2d0oA02', NULL, NULL, 143, NULL, NULL, 22765);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(78806, '2jl8102', NULL, NULL, 45, NULL, NULL, 22766),
(78807, '3swhA02', NULL, NULL, 151, NULL, NULL, 22767),
(78808, '3tl4X02', NULL, NULL, 72, NULL, NULL, 22768),
(78809, '2ll0A00', NULL, NULL, 104, NULL, NULL, 22769),
(78810, '2kzcA00', NULL, NULL, 85, NULL, NULL, 22769),
(78811, '2x0qA02', NULL, NULL, 48, NULL, NULL, 22770),
(78812, '5o7oC02', NULL, NULL, 48, NULL, NULL, 22770),
(78813, '2z4iB02', NULL, NULL, 90, NULL, NULL, 22771),
(78814, '4aybA05', NULL, NULL, 44, NULL, NULL, 22772),
(78815, '2nr9A00', NULL, NULL, 196, NULL, NULL, 22773),
(78816, '2xovA00', NULL, NULL, 181, NULL, NULL, 22773),
(78817, '1l0sA00', NULL, NULL, 90, NULL, NULL, 22774),
(78818, '1m8nB00', NULL, NULL, 121, NULL, NULL, 22774),
(78819, '3sucA02', NULL, NULL, 134, NULL, NULL, 22774),
(78820, '2bhyA03', NULL, NULL, 41, NULL, NULL, 22775),
(78821, '3m07A03', NULL, NULL, 38, NULL, NULL, 22775),
(78822, '2kw3A00', NULL, NULL, 68, NULL, NULL, 22776),
(78823, '2l5yA01', NULL, NULL, 75, NULL, NULL, 22777),
(78824, '2k60A01', NULL, NULL, 73, NULL, NULL, 22777),
(78825, '3eoiA00', NULL, NULL, 124, NULL, NULL, 22778),
(78826, '2ipqX02', NULL, NULL, 79, NULL, NULL, 22779),
(78827, '3k6sD04', NULL, NULL, 133, NULL, NULL, 22780),
(78828, '4aqsA03', NULL, NULL, 104, NULL, NULL, 22780),
(78829, '4aqsA02', NULL, NULL, 116, NULL, NULL, 22780),
(78830, '2gy5A03', NULL, NULL, 135, NULL, NULL, 22780),
(78831, '2o5vA02', NULL, NULL, 176, NULL, NULL, 22781),
(78832, '5zwuA02', NULL, NULL, 173, NULL, NULL, 22781),
(78833, '3hbmA01', NULL, NULL, 141, NULL, NULL, 22782),
(78834, '1kmiZ02', NULL, NULL, 134, NULL, NULL, 22783),
(78835, '3u61A03', NULL, NULL, 84, NULL, NULL, 22784),
(78836, '2k37A00', NULL, NULL, 59, NULL, NULL, 22785),
(78837, '2uvpA00', NULL, NULL, 186, NULL, NULL, 22786),
(78838, '2f4nA01', NULL, NULL, 168, NULL, NULL, 22787),
(78839, '2zbvA01', NULL, NULL, 158, NULL, NULL, 22787),
(78840, '1rqpA01', NULL, NULL, 192, NULL, NULL, 22787),
(78841, '2cw5C01', NULL, NULL, 166, NULL, NULL, 22787),
(78842, '2q6kA01', NULL, NULL, 163, NULL, NULL, 22787),
(78843, '5b6iB01', NULL, NULL, 185, NULL, NULL, 22787),
(78844, '2wr8A01', NULL, NULL, 163, NULL, NULL, 22787),
(78845, '2o9xA02', NULL, NULL, 78, NULL, NULL, 22788),
(78846, '5cg8A00', NULL, NULL, 267, NULL, NULL, 22789),
(78847, '3seoA01', NULL, NULL, 140, NULL, NULL, 22790),
(78848, '3v5uA01', NULL, NULL, 76, NULL, NULL, 22791),
(78849, '4mqdA00', NULL, NULL, 135, NULL, NULL, 22792),
(78850, '4fyyB02', NULL, NULL, 53, NULL, NULL, 22793),
(78851, '1pg5B02', NULL, NULL, 61, NULL, NULL, 22793),
(78852, '4amcA01', NULL, NULL, 52, NULL, NULL, 22793),
(78853, '2atcB02', NULL, NULL, 52, NULL, NULL, 22793),
(78854, '2ywwB02', NULL, NULL, 51, NULL, NULL, 22793),
(78855, '2be7D02', NULL, NULL, 54, NULL, NULL, 22793),
(78856, '1vlrA02', NULL, NULL, 78, NULL, NULL, 22794),
(78857, '3bl9B02', NULL, NULL, 76, NULL, NULL, 22794),
(78858, '3payB02', NULL, NULL, 137, NULL, NULL, 22795),
(78859, '3gf8A02', NULL, NULL, 126, NULL, NULL, 22795),
(78860, '4qdgA02', NULL, NULL, 139, NULL, NULL, 22795),
(78861, '2a6aA02', NULL, NULL, 69, NULL, NULL, 22796),
(78862, '5ol4A00', NULL, NULL, 100, NULL, NULL, 22797),
(78863, '3qgaA01', NULL, NULL, 103, NULL, NULL, 22797),
(78864, '4furA00', NULL, NULL, 104, NULL, NULL, 22797),
(78865, '1e9yA02', NULL, NULL, 101, NULL, NULL, 22797),
(78866, '4z42A00', NULL, NULL, 100, NULL, NULL, 22797),
(78867, '4ep8A00', NULL, NULL, 100, NULL, NULL, 22797),
(78868, '4gy7A01', NULL, NULL, 121, NULL, NULL, 22797),
(78869, '4g7eA01', NULL, NULL, 121, NULL, NULL, 22797),
(78870, '2fvhA00', NULL, NULL, 99, NULL, NULL, 22797),
(78871, '2egtA01', NULL, NULL, 27, NULL, NULL, 22798),
(78872, '4njcA00', NULL, NULL, 65, NULL, NULL, 22799),
(78873, '4dbgB01', NULL, NULL, 54, NULL, NULL, 22800),
(78874, '2iu4A02', NULL, NULL, 155, NULL, NULL, 22801),
(78875, '1oi2A02', NULL, NULL, 173, NULL, NULL, 22801),
(78876, '3ct4A02', NULL, NULL, 147, NULL, NULL, 22801),
(78877, '1pavA00', NULL, NULL, 78, NULL, NULL, 22802),
(78878, '1je3A01', NULL, NULL, 73, NULL, NULL, 22802),
(78879, '1jdqA00', NULL, NULL, 98, NULL, NULL, 22802);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(78880, '3hz7A00', NULL, NULL, 87, NULL, NULL, 22802),
(78881, '2lxrA00', NULL, NULL, 76, NULL, NULL, 22802),
(78882, '3lvjC00', NULL, NULL, 82, NULL, NULL, 22802),
(78883, '2oj5B01', NULL, NULL, 24, NULL, NULL, 22803),
(78884, '3bnjA01', NULL, NULL, 329, NULL, NULL, 22804),
(78885, '3sxqA02', NULL, NULL, 355, NULL, NULL, 22804),
(78886, '1qo8D02', NULL, NULL, 100, NULL, NULL, 22804),
(78887, '3fo3A02', NULL, NULL, 355, NULL, NULL, 22804),
(78888, '3ubrA01', NULL, NULL, 296, NULL, NULL, 22804),
(78889, '2j7aD01', NULL, NULL, 334, NULL, NULL, 22804),
(78890, '1ft5A00', NULL, NULL, 211, NULL, NULL, 22804),
(78891, '2rdzA01', NULL, NULL, 309, NULL, NULL, 22804),
(78892, '2k3vA00', NULL, NULL, 86, NULL, NULL, 22804),
(78893, '1qdbA01', NULL, NULL, 315, NULL, NULL, 22804),
(78894, '1jniA00', NULL, NULL, 68, NULL, NULL, 22804),
(78895, '1m1qA00', NULL, NULL, 91, NULL, NULL, 22804),
(78896, '1d4dA01', NULL, NULL, 103, NULL, NULL, 22804),
(78897, '1y0pA01', NULL, NULL, 99, NULL, NULL, 22804),
(78898, '1oahA01', NULL, NULL, 332, NULL, NULL, 22804),
(78899, '4ipeB02', NULL, NULL, 173, NULL, NULL, 22805),
(78900, '3q6mA01', NULL, NULL, 138, NULL, NULL, 22805),
(78901, '2cgeA01', NULL, NULL, 136, NULL, NULL, 22805),
(78902, '3pryB01', NULL, NULL, 174, NULL, NULL, 22805),
(78903, '2gq0B01', NULL, NULL, 173, NULL, NULL, 22805),
(78904, '2o1uB02', NULL, NULL, 170, NULL, NULL, 22805),
(78905, '2iopC02', NULL, NULL, 159, NULL, NULL, 22805),
(78906, '1y6zA01', NULL, NULL, 176, NULL, NULL, 22805),
(78907, '3hjcA01', NULL, NULL, 136, NULL, NULL, 22805),
(78908, '1usuA01', NULL, NULL, 174, NULL, NULL, 22805),
(78909, '1pg6A00', NULL, NULL, 243, NULL, NULL, 22806),
(78910, '1yoxC00', NULL, NULL, 250, NULL, NULL, 22806),
(78911, '2memA00', NULL, NULL, 119, NULL, NULL, 22807),
(78912, '2v1nA01', NULL, NULL, 101, NULL, NULL, 22808),
(78913, '3nm7B00', NULL, NULL, 84, NULL, NULL, 22809),
(78914, '3n8bB00', NULL, NULL, 77, NULL, NULL, 22809),
(78915, '5fgoD00', NULL, NULL, 81, NULL, NULL, 22809),
(78916, '3ol4B01', NULL, NULL, 44, NULL, NULL, 22810),
(78917, '2wjnH02', NULL, NULL, 139, NULL, NULL, 22811),
(78918, '1rzhH02', NULL, NULL, 144, NULL, NULL, 22811),
(78919, '5y5sH02', NULL, NULL, 140, NULL, NULL, 22811),
(78920, '2fm8B00', NULL, NULL, 135, NULL, NULL, 22812),
(78921, '2bsjB00', NULL, NULL, 133, NULL, NULL, 22812),
(78922, '4g6tA00', NULL, NULL, 128, NULL, NULL, 22812),
(78923, '1n5bB00', NULL, NULL, 132, NULL, NULL, 22812),
(78924, '3cxjA00', NULL, NULL, 146, NULL, NULL, 22812),
(78925, '4jmfB00', NULL, NULL, 116, NULL, NULL, 22812),
(78926, '1jyaB00', NULL, NULL, 130, NULL, NULL, 22812),
(78927, '1k3sA00', NULL, NULL, 113, NULL, NULL, 22812),
(78928, '1s28A00', NULL, NULL, 132, NULL, NULL, 22812),
(78929, '2plgA01', NULL, NULL, 141, NULL, NULL, 22812),
(78930, '3kxyJ00', NULL, NULL, 133, NULL, NULL, 22812),
(78931, '1xkpB00', NULL, NULL, 124, NULL, NULL, 22812),
(78932, '1xkpC00', NULL, NULL, 127, NULL, NULL, 22812),
(78933, '3tu3A00', NULL, NULL, 119, NULL, NULL, 22812),
(78934, '3epuA00', NULL, NULL, 144, NULL, NULL, 22812),
(78935, '1jyoA00', NULL, NULL, 130, NULL, NULL, 22812),
(78936, '1k3eB02', NULL, NULL, 105, NULL, NULL, 22812),
(78937, '1ry9A00', NULL, NULL, 145, NULL, NULL, 22812),
(78938, '4gf3A00', NULL, NULL, 141, NULL, NULL, 22812),
(78939, '4g4sO01', NULL, NULL, 208, NULL, NULL, 22813),
(78940, '1t3qA02', NULL, NULL, 81, NULL, NULL, 22814),
(78941, '2e1qC02', NULL, NULL, 126, NULL, NULL, 22814),
(78942, '1rm6C02', NULL, NULL, 83, NULL, NULL, 22814),
(78943, '3zyvC02', NULL, NULL, 132, NULL, NULL, 22814),
(78944, '1ffvA02', NULL, NULL, 76, NULL, NULL, 22814),
(78945, '3nvwA02', NULL, NULL, 74, NULL, NULL, 22814),
(78946, '3unaB02', NULL, NULL, 130, NULL, NULL, 22814),
(78947, '2w3sA02', NULL, NULL, 86, NULL, NULL, 22814),
(78948, '3hrdD02', NULL, NULL, 81, NULL, NULL, 22814),
(78949, '5y6qA02', NULL, NULL, 82, NULL, NULL, 22814),
(78950, '5g5gA02', NULL, NULL, 93, NULL, NULL, 22814),
(78951, '4usaA02', NULL, NULL, 119, NULL, NULL, 22814),
(78952, '4zohC02', NULL, NULL, 84, NULL, NULL, 22814);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(78953, '2e3tA02', NULL, NULL, 78, NULL, NULL, 22814),
(78954, '3an1A02', NULL, NULL, 125, NULL, NULL, 22814),
(78955, '1n62A02', NULL, NULL, 82, NULL, NULL, 22814),
(78956, '1dgjA02', NULL, NULL, 119, NULL, NULL, 22814),
(78957, '3tgnA03', NULL, NULL, 48, NULL, NULL, 22815),
(78958, '1j6rA00', NULL, NULL, 214, NULL, NULL, 22816),
(78959, '3rrkA01', NULL, NULL, 85, NULL, NULL, 22817),
(78960, '3griB01', NULL, NULL, 111, NULL, NULL, 22818),
(78961, '4ub9A01', NULL, NULL, 100, NULL, NULL, 22818),
(78962, '1kcxA01', NULL, NULL, 110, NULL, NULL, 22818),
(78963, '2g3fA01', NULL, NULL, 123, NULL, NULL, 22818),
(78964, '2vhlB01', NULL, NULL, 95, NULL, NULL, 22818),
(78965, '3qgaC01', NULL, NULL, 187, NULL, NULL, 22818),
(78966, '4bknB01', NULL, NULL, 124, NULL, NULL, 22818),
(78967, '4m51A01', NULL, NULL, 102, NULL, NULL, 22818),
(78968, '1gkrB01', NULL, NULL, 137, NULL, NULL, 22818),
(78969, '1gkpA01', NULL, NULL, 81, NULL, NULL, 22818),
(78970, '3feqA01', NULL, NULL, 120, NULL, NULL, 22818),
(78971, '2gwnA01', NULL, NULL, 98, NULL, NULL, 22818),
(78972, '4yiwB01', NULL, NULL, 115, NULL, NULL, 22818),
(78973, '4c65B01', NULL, NULL, 120, NULL, NULL, 22818),
(78974, '3ooqF01', NULL, NULL, 105, NULL, NULL, 22818),
(78975, '2z00A01', NULL, NULL, 107, NULL, NULL, 22818),
(78976, '5nksA01', NULL, NULL, 123, NULL, NULL, 22818),
(78977, '4cqbA01', NULL, NULL, 101, NULL, NULL, 22818),
(78978, '2oodA01', NULL, NULL, 152, NULL, NULL, 22818),
(78979, '4r85A01', NULL, NULL, 96, NULL, NULL, 22818),
(78980, '3sfwA01', NULL, NULL, 133, NULL, NULL, 22818),
(78981, '1rk6A01', NULL, NULL, 87, NULL, NULL, 22818),
(78982, '2qs8A01', NULL, NULL, 111, NULL, NULL, 22818),
(78983, '3mkvA01', NULL, NULL, 120, NULL, NULL, 22818),
(78984, '4z42C01', NULL, NULL, 191, NULL, NULL, 22818),
(78985, '1gkqA01', NULL, NULL, 121, NULL, NULL, 22818),
(78986, '2q09A01', NULL, NULL, 117, NULL, NULL, 22818),
(78987, '2vunA01', NULL, NULL, 128, NULL, NULL, 22818),
(78988, '3mtwA01', NULL, NULL, 101, NULL, NULL, 22818),
(78989, '1p1mA01', NULL, NULL, 103, NULL, NULL, 22818),
(78990, '4dzhA01', NULL, NULL, 145, NULL, NULL, 22818),
(78991, '1nfgB01', NULL, NULL, 87, NULL, NULL, 22818),
(78992, '2icsA01', NULL, NULL, 112, NULL, NULL, 22818),
(78993, '5yz5A01', NULL, NULL, 132, NULL, NULL, 22818),
(78994, '3ggmA00', NULL, NULL, 81, NULL, NULL, 22818),
(78995, '1onwA01', NULL, NULL, 111, NULL, NULL, 22818),
(78996, '3ls9A01', NULL, NULL, 112, NULL, NULL, 22818),
(78997, '5ol4C01', NULL, NULL, 189, NULL, NULL, 22818),
(78998, '2p9bA01', NULL, NULL, 110, NULL, NULL, 22818),
(78999, '4f0lB01', NULL, NULL, 115, NULL, NULL, 22818),
(79000, '1k1dA01', NULL, NULL, 132, NULL, NULL, 22818),
(79001, '5x1cA01', NULL, NULL, 111, NULL, NULL, 22818),
(79002, '1ynyA01', NULL, NULL, 133, NULL, NULL, 22818),
(79003, '2puzA01', NULL, NULL, 120, NULL, NULL, 22818),
(79004, '4f0sA01', NULL, NULL, 144, NULL, NULL, 22818),
(79005, '5lxxA01', NULL, NULL, 104, NULL, NULL, 22818),
(79006, '1gkpB01', NULL, NULL, 129, NULL, NULL, 22818),
(79007, '1gkrA01', NULL, NULL, 87, NULL, NULL, 22818),
(79008, '3iv8A01', NULL, NULL, 94, NULL, NULL, 22818),
(79009, '2ftyA01', NULL, NULL, 94, NULL, NULL, 22818),
(79010, '1e9yB01', NULL, NULL, 187, NULL, NULL, 22818),
(79011, '4ep8C01', NULL, NULL, 185, NULL, NULL, 22818),
(79012, '3hm7B01', NULL, NULL, 96, NULL, NULL, 22818),
(79013, '3icjA01', NULL, NULL, 79, NULL, NULL, 22818),
(79014, '4aqlA01', NULL, NULL, 135, NULL, NULL, 22818),
(79015, '3hpaA01', NULL, NULL, 119, NULL, NULL, 22818),
(79016, '4b3zD01', NULL, NULL, 123, NULL, NULL, 22818),
(79017, '4gy7A02', NULL, NULL, 194, NULL, NULL, 22818),
(79018, '2gokA01', NULL, NULL, 114, NULL, NULL, 22818),
(79019, '2ogjC01', NULL, NULL, 131, NULL, NULL, 22818),
(79020, '2ogjA01', NULL, NULL, 130, NULL, NULL, 22818),
(79021, '1yrrA01', NULL, NULL, 92, NULL, NULL, 22818),
(79022, '5xgwA01', NULL, NULL, 112, NULL, NULL, 22818),
(79023, '4whbA01', NULL, NULL, 97, NULL, NULL, 22818),
(79024, '4g7eA02', NULL, NULL, 194, NULL, NULL, 22818),
(79025, '3be7A01', NULL, NULL, 108, NULL, NULL, 22818);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(79026, '3mduA01', NULL, NULL, 109, NULL, NULL, 22818),
(79027, '3ighX01', NULL, NULL, 90, NULL, NULL, 22818),
(79028, '3e74A01', NULL, NULL, 86, NULL, NULL, 22818),
(79029, '2pajA01', NULL, NULL, 128, NULL, NULL, 22818),
(79030, '1o12A01', NULL, NULL, 88, NULL, NULL, 22818),
(79031, '5mkvD01', NULL, NULL, 131, NULL, NULL, 22818),
(79032, '1xrtB01', NULL, NULL, 113, NULL, NULL, 22818),
(79033, '3lnpA01', NULL, NULL, 140, NULL, NULL, 22818),
(79034, '3nqbA01', NULL, NULL, 127, NULL, NULL, 22818),
(79035, '2i9uA01', NULL, NULL, 131, NULL, NULL, 22818),
(79036, '4v1xB01', NULL, NULL, 116, NULL, NULL, 22818),
(79037, '4gbdB01', NULL, NULL, 135, NULL, NULL, 22818),
(79038, '1ra0A01', NULL, NULL, 122, NULL, NULL, 22818),
(79039, '1nfgA01', NULL, NULL, 89, NULL, NULL, 22818),
(79040, '3gipA01', NULL, NULL, 90, NULL, NULL, 22818),
(79041, '2imrA01', NULL, NULL, 69, NULL, NULL, 22818),
(79042, '4aq1A04', NULL, NULL, 127, NULL, NULL, 22819),
(79043, '3gf3A01', NULL, NULL, 60, NULL, NULL, 22820),
(79044, '1pixA01', NULL, NULL, 59, NULL, NULL, 22820),
(79045, '3deeA01', NULL, NULL, 86, NULL, NULL, 22821),
(79046, '3h31A00', NULL, NULL, 74, NULL, NULL, 22822),
(79047, '1hpiA00', NULL, NULL, 71, NULL, NULL, 22822),
(79048, '3hipB00', NULL, NULL, 82, NULL, NULL, 22822),
(79049, '1hlqA00', NULL, NULL, 75, NULL, NULL, 22822),
(79050, '5d8vA00', NULL, NULL, 83, NULL, NULL, 22822),
(79051, '2hipA00', NULL, NULL, 72, NULL, NULL, 22822),
(79052, '1isuA00', NULL, NULL, 62, NULL, NULL, 22822),
(79053, '1b0yA00', NULL, NULL, 85, NULL, NULL, 22822),
(79054, '5ysnA02', NULL, NULL, 87, NULL, NULL, 22823),
(79055, '2qezA02', NULL, NULL, 87, NULL, NULL, 22823),
(79056, '5fu6E00', NULL, NULL, 197, NULL, NULL, 22824),
(79057, '5fu6C00', NULL, NULL, 148, NULL, NULL, 22824),
(79058, '4c0gB00', NULL, NULL, 102, NULL, NULL, 22824),
(79059, '4by6B00', NULL, NULL, 191, NULL, NULL, 22824),
(79060, '4by6C00', NULL, NULL, 215, NULL, NULL, 22824),
(79061, '4c0fC00', NULL, NULL, 117, NULL, NULL, 22824),
(79062, '1dmuA00', NULL, NULL, 299, NULL, NULL, 22825),
(79063, '2e62A01', NULL, NULL, 52, NULL, NULL, 22826),
(79064, '5reqB03', NULL, NULL, 43, NULL, NULL, 22827),
(79065, '3iwgA01', NULL, NULL, 136, NULL, NULL, 22828),
(79066, '2k9yA00', NULL, NULL, 41, NULL, NULL, 22829),
(79067, '6igzJ00', NULL, NULL, 41, NULL, NULL, 22829),
(79068, '4il6X00', NULL, NULL, 40, NULL, NULL, 22829),
(79069, '5l8rJ00', NULL, NULL, 42, NULL, NULL, 22829),
(79070, '5zjiJ00', NULL, NULL, 42, NULL, NULL, 22829),
(79071, '1zrtE01', NULL, NULL, 41, NULL, NULL, 22829),
(79072, '1vf5B01', NULL, NULL, 46, NULL, NULL, 22829),
(79073, '1jb0J00', NULL, NULL, 41, NULL, NULL, 22829),
(79074, '2lpfA01', NULL, NULL, 27, NULL, NULL, 22829),
(79075, '2qjyC01', NULL, NULL, 41, NULL, NULL, 22829),
(79076, '3c8vA04', NULL, NULL, 19, NULL, NULL, 22829),
(79077, '2o01J01', NULL, NULL, 25, NULL, NULL, 22829),
(79078, '1q90D01', NULL, NULL, 56, NULL, NULL, 22829),
(79079, '2wpvB01', NULL, NULL, 24, NULL, NULL, 22829),
(79080, '6ijjJ00', NULL, NULL, 41, NULL, NULL, 22829),
(79081, '4ogqB01', NULL, NULL, 58, NULL, NULL, 22829),
(79082, '5oy0700', NULL, NULL, 40, NULL, NULL, 22829),
(79083, '4i7zB01', NULL, NULL, 58, NULL, NULL, 22829),
(79084, '3lw5J00', NULL, NULL, 42, NULL, NULL, 22829),
(79085, '2yiuC01', NULL, NULL, 29, NULL, NULL, 22829),
(79086, '2qsiA02', NULL, NULL, 38, NULL, NULL, 22829),
(79087, '2qiwA02', NULL, NULL, 19, NULL, NULL, 22829),
(79088, '2wscJ00', NULL, NULL, 44, NULL, NULL, 22829),
(79089, '5gipA03', NULL, NULL, 127, NULL, NULL, 22830),
(79090, '2ozbE02', NULL, NULL, 116, NULL, NULL, 22830),
(79091, '3gqxB00', NULL, NULL, 129, NULL, NULL, 22830),
(79092, '3nmuA03', NULL, NULL, 117, NULL, NULL, 22830),
(79093, '1nt2B03', NULL, NULL, 120, NULL, NULL, 22830),
(79094, '4g1iA03', NULL, NULL, 69, NULL, NULL, 22831),
(79095, '4alzA03', NULL, NULL, 64, NULL, NULL, 22831),
(79096, '4ry2A02', NULL, NULL, 319, NULL, NULL, 22832),
(79097, '4mycA01', NULL, NULL, 328, NULL, NULL, 22832),
(79098, '4q4hA01', NULL, NULL, 325, NULL, NULL, 22832),
(79099, '4q4hB01', NULL, NULL, 343, NULL, NULL, 22832);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(79100, '4mrsA01', NULL, NULL, 349, NULL, NULL, 22832),
(79101, '3wmgA01', NULL, NULL, 328, NULL, NULL, 22832),
(79102, '3zdqA01', NULL, NULL, 335, NULL, NULL, 22832),
(79103, '4f4cA01', NULL, NULL, 721, NULL, NULL, 22832),
(79104, '4a82A01', NULL, NULL, 323, NULL, NULL, 22832),
(79105, '5ko2A01', NULL, NULL, 683, NULL, NULL, 22832),
(79106, '1k90A02', NULL, NULL, 159, NULL, NULL, 22833),
(79107, '1yrtA02', NULL, NULL, 144, NULL, NULL, 22833),
(79108, '5mj3C00', NULL, NULL, 118, NULL, NULL, 22834),
(79109, 'mobidb-lite', NULL, 'consensus disorder prediction', NULL, NULL, 'disorder_prediction', 22835),
(79110, 'SFLDG01122', NULL, 'methyltransferase (class C)', 397, NULL, 'methyltransferase_(class_C)', 22836),
(79111, 'SFLDF00545', NULL, 'cyclopropanase', 464, NULL, 'cyclopropanase', 22837),
(79112, 'SFLDG01204', NULL, 'Grx2-like.1', 215, NULL, 'Grx2-like.1', 22838),
(79113, 'SFLDF00413', NULL, 'CDK5RAP1', 460, NULL, 'CDK5RAP1', 22839),
(79114, 'SFLDG01124', NULL, 'C0.1: RNA Pol CTD Phosphatase Like', 183, NULL, 'C0.1:_RNA_Pol_CTD_Phosphatase', 22840),
(79115, 'SFLDG01182', NULL, 'Prostaglandin E synthase like', 325, NULL, 'Prostaglandin_E_synthase_like', 22841),
(79116, 'SFLDF00568', NULL, 'paromamine deoxygenase', 456, NULL, 'paromamine_deoxygenase', 22842),
(79117, 'SFLDF00278', NULL, 'pyruvate formate-lyase activase', 250, NULL, 'pyruvate_formate-lyase_activa', 22843),
(79118, 'SFLDF00272', NULL, 'biotin synthase', 329, NULL, 'biotin_synthase', 22844),
(79119, 'SFLDS00014', NULL, 'RuBisCO', 415, NULL, 'RuBisCO', 22845),
(79120, 'SFLDG01148', NULL, 'Xi (cytGST)', 327, NULL, 'Xi_(cytGST)', 22846),
(79121, 'SFLDG00309', NULL, 'galactarate dehydratase', 391, NULL, 'galactarate_dehydratase', 22847),
(79122, 'SFLDG01128', NULL, 'C1.4: 5''-Nucleotidase Like', 296, NULL, 'C1.4:_5''-Nucleotidase_Like', 22848),
(79123, 'SFLDG01151', NULL, 'Main.2: Nu-like', 210, NULL, 'Main.2:_Nu-like', 22849),
(79124, 'SFLDG01146', NULL, 'C1.2.2', 179, NULL, 'C1.2.2', 22850),
(79125, 'SFLDG01095', NULL, 'Uncharacterised Radical SAM Subgroup 7', 293, NULL, 'Uncharacterised_Radical_SAM_S', 22851),
(79126, 'SFLDF00157', NULL, '2,3-diketo-5-methylthiopentyl-1-phosphate enolase', 407, NULL, '2,3-diketo-5-methylthiopentyl', 22852),
(79127, 'SFLDF00273', NULL, '(dimethylallyl)adenosine tRNA methylthiotransferase (MiaB-like)', 445, NULL, '(dimethylallyl)adenosine_tRNA', 22853),
(79128, 'SFLDG01121', NULL, 'Diphthamide biosynthesis', 490, NULL, 'Diphthamide_biosynthesis', 22854),
(79129, 'SFLDG01280', NULL, 'HydE/PylB-like', 346, NULL, 'HydE/PylB-like', 22855),
(79130, 'SFLDG01139', NULL, 'C2.A: Pyridoxal Phosphate Phosphatase Like', 255, NULL, 'C2.A:_Pyridoxal_Phosphate_Pho', 22856),
(79131, 'SFLDF00546', NULL, 'neomycin C-like epimerase', 299, NULL, 'neomycin_C-like_epimerase', 22857),
(79132, 'SFLDG00010', NULL, 'C1.8: polynucleotide 5''-hydroxyl-kinase c-terminal phosphatase like', 149, NULL, 'C1.8:_polynucleotide_5''-hydro', 22858),
(79133, 'SFLDF00376', NULL, '7-carboxy-7-deazaguanine synthase, Cx14CxxC type', 211, NULL, '7-carboxy-7-deazaguanine_synt', 22859),
(79134, 'SFLDF00385', NULL, '7,8-dihydro-6-hydroxymethylpterin dimethylase', 517, NULL, '7,8-dihydro-6-hydroxymethylpt', 22860),
(79135, 'SFLDG01100', NULL, 'methyltransferase (Class D)', 471, NULL, 'methyltransferase_(Class_D)', 22861),
(79136, 'SFLDS00055', NULL, 'Pyruvoyl-Dependent Histidine/Arginine Decarboxylase', 166, NULL, 'Pyruvoyl-Dependent_Histidine/', 22862),
(79137, 'SFLDF00392', NULL, 'YjjI activase', 288, NULL, 'YjjI_activase', 22863),
(79138, 'SFLDG01088', NULL, 'antiviral proteins', 282, NULL, 'antiviral_proteins', 22864),
(79139, 'SFLDS00033', NULL, 'Radical SAM Phosphonate Metabolism', 299, NULL, 'Radical_SAM_Phosphonate_Metab', 22865),
(79140, 'SFLDF00557', NULL, '3,6-anhydro-alpha-L-galactonate cycloisomerase', 364, NULL, '3,6-anhydro-alpha-L-galactona', 22866),
(79141, 'SFLDS00113', NULL, 'Radical SAM Phosphomethylpyrimidine Synthase', 592, NULL, 'Radical_SAM_Phosphomethylpyri', 22867),
(79142, 'SFLDG01101', NULL, 'Uncharacterised Radical SAM Subgroup 14', 336, NULL, 'Uncharacterised_Radical_SAM_S', 22868);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(79143, 'SFLDG01118', NULL, 'activating enzymes, group 2', 303, NULL, 'activating_enzymes,_group_2', 22869),
(79144, 'SFLDG01152', NULL, 'Main.3: Omega- and Tau-like', 226, NULL, 'Main.3:_Omega-_and_Tau-like_', 22870),
(79145, 'SFLDG01018', NULL, 'Squalene/Phytoene Synthase Like', 280, NULL, 'Squalene/Phytoene_Synthase_Li', 22871),
(79146, 'SFLDF00438', NULL, 'pactamycin methyltransferase (PctO-like)', 578, NULL, 'pactamycin_methyltransferase_', 22872),
(79147, 'SFLDG01113', NULL, 'Uncharacterised Radical SAM Subgroup 4', 293, NULL, 'Uncharacterised_Radical_SAM_S', 22873),
(79148, 'SFLDG01138', NULL, 'C1.6.2: Deoxy-d-mannose-octulosonate 8-phosphate Phosphatase Like', 163, NULL, 'C1.6.2:_Deoxy-d-mannose-octul', 22874),
(79149, 'SFLDF00035', NULL, 'phosphoglycolate phosphatase', 239, NULL, 'phosphoglycolate_phosphatase', 22875),
(79150, 'SFLDF00040', NULL, 'epoxide hydrolase n-terminal phosphatase', 227, NULL, 'epoxide_hydrolase_n-terminal_', 22876),
(79151, 'SFLDG01079', NULL, 'spore photoproduct lyase like', 341, NULL, 'spore_photoproduct_lyase_like', 22877),
(79152, 'SFLDG01058', NULL, 'lipoyl synthase like', 301, NULL, 'lipoyl_synthase_like', 22878),
(79153, 'SFLDG01605', NULL, 'Terpene Cyclase Like 1 N-term - Enzymatic', 431, NULL, 'Terpene_Cyclase_Like_1_N-term', 22879),
(79154, 'SFLDF00463', NULL, 'AIM14', 551, NULL, 'AIM14', 22880),
(79155, 'SFLDG01205', NULL, 'AMPS.1', 203, NULL, 'AMPS.1', 22881),
(79156, 'SFLDF00336', NULL, 'quinohemoprotein amine dehydrogenase maturation protein (QhpD-like)', 483, NULL, 'quinohemoprotein_amine_dehydr', 22882),
(79157, 'SFLDG01083', NULL, 'Uncharacterised Radical SAM Subgroup 1', 303, NULL, 'Uncharacterised_Radical_SAM_S', 22883),
(79158, 'SFLDF00315', NULL, 'antilisterial bacteriocin subtilosin biosynthesis protein (AlbA-like)', 448, NULL, 'antilisterial_bacteriocin_sub', 22884),
(79159, 'SFLDG01114', NULL, 'phosphomethylpyrimidine synthase (ThiC)', 571, NULL, 'phosphomethylpyrimidine_synth', 22885),
(79160, 'SFLDG01104', NULL, 'Uncharacterised Radical SAM Subgroup 17', 357, NULL, 'Uncharacterised_Radical_SAM_S', 22886),
(79161, 'SFLDF00306', NULL, 'carbapenem intermediate methyltransferase (ThnL-like)', 467, NULL, 'carbapenem_intermediate_methy', 22887),
(79162, 'SFLDF00365', NULL, 'thuricin CD (TrnCD-like)', 292, NULL, 'thuricin_CD_(TrnCD-like)', 22888),
(79163, 'SFLDF00436', NULL, 'pactamycin C-methyltransferase (PctJ-like)', 614, NULL, 'pactamycin_C-methyltransferas', 22889),
(79164, 'SFLDF00348', NULL, '[FeFe] hydrogenase maturase (HydE-like)', 323, NULL, '[FeFe]_hydrogenase_maturase_(', 22890),
(79165, 'SFLDG01067', NULL, 'SPASM/twitch domain containing', 337, NULL, 'SPASM/twitch_domain_containin', 22891),
(79166, 'SFLDG01389', NULL, 'menaquinone synthsis involved', 364, NULL, 'menaquinone_synthsis_involved', 22892),
(79167, 'SFLDG01604', NULL, 'Terpene Cyclase Like 1 C Terminal Domain - Enzymatic', 329, NULL, 'Terpene_Cyclase_Like_1_C_Term', 22893),
(79168, 'SFLDF00434', NULL, '3-methyl-2-indolic acid methyltransferase (NocN/NosN like)', 420, NULL, '3-methyl-2-indolic_acid_methy', 22894),
(79169, 'SFLDF00300', NULL, '7-carboxy-7-deazaguanine synthase, Cx3CxxC type', 241, NULL, '7-carboxy-7-deazaguanine_synt', 22895),
(79170, 'SFLDG01145', NULL, 'C1.2.1', 187, NULL, 'C1.2.1', 22896),
(79171, 'SFLDF00349', NULL, '3-methylornithine synthase (PylB-like)', 350, NULL, '3-methylornithine_synthase_(P', 22897),
(79172, 'SFLDF00046', NULL, 'beta-phosphoglucomutase', 219, NULL, 'beta-phosphoglucomutase', 22898),
(79173, 'SFLDG01143', NULL, 'C2.B.3: Phosphomannomutase Like', 256, NULL, 'C2.B.3:_Phosphomannomutase_Li', 22899),
(79174, 'SFLDF00570', NULL, 'tungsten cofactor oxidoreducase radical SAM maturase', 373, NULL, 'tungsten_cofactor_oxidoreduca', 22900),
(79175, 'SFLDF00298', NULL, 'glycerol dehydratase activase', 304, NULL, 'glycerol_dehydratase_activase', 22901),
(79176, 'SFLDF00111', NULL, 'L-fuconate dehydratase', 434, NULL, 'L-fuconate_dehydratase', 22902),
(79177, 'SFLDF00002', NULL, 'enolase', 418, NULL, 'enolase', 22903),
(79178, 'SFLDF00379', NULL, 'Phosphonate metabolism (PhnJ)', 275, NULL, 'Phosphonate_metabolism_(PhnJ)', 22904);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(79179, 'SFLDF00418', NULL, 'pactamycin C-methyltransferase (PctN-like)', 575, NULL, 'pactamycin_C-methyltransferas', 22905),
(79180, 'SFLDF00552', NULL, 'xylonate dehydratase 1', 393, NULL, 'xylonate_dehydratase_1', 22906),
(79181, 'SFLDG00179', NULL, 'mandelate racemase', 376, NULL, 'mandelate_racemase', 22907),
(79182, 'SFLDG01091', NULL, 'uncharacterized CHP01210-like', 312, NULL, 'uncharacterized_CHP01210-like', 22908),
(79183, 'SFLDG01278', NULL, 'biotin synthase like', 330, NULL, 'biotin_synthase_like', 22909),
(79184, 'SFLDF00005', NULL, 'glucarate dehydratase', 451, NULL, 'glucarate_dehydratase', 22910),
(79185, 'SFLDG01168', NULL, 'Ferric reductase subgroup (FRE)', 619, NULL, 'Ferric_reductase_subgroup_(FR', 22911),
(79186, 'SFLDF00562', NULL, 'HemN-like, clustered with heat shock genes', 380, NULL, 'HemN-like,_clustered_with_hea', 22912),
(79187, 'SFLDF00299', NULL, 'anaerobic ribonucleoside-triphosphate reductase activase', 159, NULL, 'anaerobic_ribonucleoside-trip', 22913),
(79188, 'SFLDF00271', NULL, 'lipoyl synthase', 301, NULL, 'lipoyl_synthase', 22914),
(79189, 'SFLDF00445', NULL, 'alpha-phosphomannomutase', 246, NULL, 'alpha-phosphomannomutase', 22915),
(79190, 'SFLDG01099', NULL, 'Uncharacterised Radical SAM Subgroup 12', 304, NULL, 'Uncharacterised_Radical_SAM_S', 22916),
(79191, 'SFLDF00162', NULL, 'galactarate dehydratase 2', 391, NULL, 'galactarate_dehydratase_2', 22917),
(79192, 'SFLDG01103', NULL, 'Uncharacterised Radical SAM Subgroup 16', 365, NULL, 'Uncharacterised_Radical_SAM_S', 22918),
(79193, 'SFLDG01154', NULL, 'Main.5: Phi-like', 214, NULL, 'Main.5:_Phi-like', 22919),
(79194, 'SFLDF00281', NULL, 'FeMo cofactor biosynthesis protein (nifB-like)', 407, NULL, 'FeMo_cofactor_biosynthesis_pr', 22920),
(79195, 'SFLDF00037', NULL, 'glycerol-3-phosphate phosphatase', 271, NULL, 'glycerol-3-phosphate_phosphat', 22921),
(79196, 'SFLDG01125', NULL, 'C1.1: Acid Phosphatase Like', 232, NULL, 'C1.1:_Acid_Phosphatase_Like', 22922),
(79197, 'SFLDF00439', NULL, 'methylation of yatakemycin (YTK)', 461, NULL, 'methylation_of_yatakemycin_(Y', 22923),
(79198, 'SFLDG01020', NULL, 'Terpene Cyclase Like 2', 314, NULL, 'Terpene_Cyclase_Like_2', 22924),
(79199, 'SFLDG01141', NULL, 'C2.B.1: Sucrose Phosphatase Like', 261, NULL, 'C2.B.1:_Sucrose_Phosphatase_L', 22925),
(79200, 'SFLDS00070', NULL, 'SPOUT Methyltransferase', 306, NULL, 'SPOUT_Methyltransferase', 22926),
(79201, 'SFLDF00276', NULL, 'cyclic pyranopterin phosphate synthase (MoaA-like)', 340, NULL, 'cyclic_pyranopterin_phosphate', 22927),
(79202, 'SFLDG00002', NULL, 'C1.7: P-type atpase like', 309, NULL, 'C1.7:_P-type_atpase_like', 22928),
(79203, 'SFLDG01169', NULL, 'NADPH oxidase subgroup (NOX)', 3378, NULL, 'NADPH_oxidase_subgroup_(NOX)', 22929),
(79204, 'SFLDF00329', NULL, 'gentamicin-like N-methyltransferase  (GntE-like)', 659, NULL, 'gentamicin-like_N-methyltrans', 22930),
(79205, 'SFLDF00407', NULL, 'phosphomethylpyrimidine synthase (ThiC)', 418, NULL, 'phosphomethylpyrimidine_synth', 22931),
(79206, 'SFLDG00178', NULL, 'enolase', 418, NULL, 'enolase', 22932),
(79207, 'SFLDF00009', NULL, 'o-succinylbenzoate synthase', 319, NULL, 'o-succinylbenzoate_synthase', 22933),
(79208, 'SFLDF00301', NULL, '2-iminoacetate synthase (ThiH)', 374, NULL, '2-iminoacetate_synthase_(ThiH', 22934),
(79209, 'SFLDG01127', NULL, 'C1.3: Acid Phosphatase Like', 238, NULL, 'C1.3:_Acid_Phosphatase_Like', 22935),
(79210, 'SFLDG01110', NULL, 'Uncharacterised Radical SAM Subgroup 8', 371, NULL, 'Uncharacterised_Radical_SAM_S', 22936),
(79211, 'SFLDG01216', NULL, 'thioether bond formation requiring one auxiliary iron-sulfur cluster', 461, NULL, 'thioether_bond_formation_requ', 22937),
(79212, 'SFLDF00347', NULL, 'KxxxW cyclic peptide maturase (StrB-like)', 439, NULL, 'KxxxW_cyclic_peptide_maturase', 22938),
(79213, 'SFLDF00296', NULL, 'adenosine C8 methyltransferase (Cfr-like)', 346, NULL, 'adenosine_C8_methyltransferas', 22939),
(79214, 'SFLDF00554', NULL, 'L-lyxonate dehydratase', 390, NULL, 'L-lyxonate_dehydratase', 22940),
(79215, 'SFLDG01130', NULL, 'C1.5.1: Epoxide Hydrolase Phosphatase Like', 209, NULL, 'C1.5.1:_Epoxide_Hydrolase_Pho', 22941);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(79216, 'SFLDF00543', NULL, 'alternative heme biosynthesis C (AhbC-like)', 392, NULL, 'alternative_heme_biosynthesis', 22942),
(79217, 'SFLDF00420', NULL, 'spectinomycin biosynthesis (SpcY-like)', 302, NULL, 'spectinomycin_biosynthesis_(S', 22943),
(79218, 'SFLDF00045', NULL, '2-haloacid dehalogenase', 228, NULL, '2-haloacid_dehalogenase', 22944),
(79219, 'SFLDG01052', NULL, 'RuBisCO', 453, NULL, 'RuBisCO', 22945),
(79220, 'SFLDF00563', NULL, 'galactarate dehydratase 3', 393, NULL, 'galactarate_dehydratase_3', 22946),
(79221, 'SFLDF00285', NULL, 'anaerobic Ser-type sulfatase-maturating enzyme', 411, NULL, 'anaerobic_Ser-type_sulfatase-', 22947),
(79222, 'SFLDG01133', NULL, 'C1.5.4: Enolase-phosphatase Like', 232, NULL, 'C1.5.4:_Enolase-phosphatase_L', 22948),
(79223, 'SFLDF00043', NULL, 'sucrose-phosphatase', 262, NULL, 'sucrose-phosphatase', 22949),
(79224, 'SFLDG01171', NULL, 'Pyruvoyl-dependent histidine decarboxylase', 312, NULL, 'Pyruvoyl-dependent_histidine_', 22950),
(79225, 'SFLDG01064', NULL, 'F420, menaquinone cofactor biosynthesis', 362, NULL, 'F420,_menaquinone_cofactor_bi', 22951),
(79226, 'SFLDG01066', NULL, 'organic radical-activating enzymes', 243, NULL, 'organic_radical-activating_en', 22952),
(79227, 'SFLDG01107', NULL, 'Uncharacterised Radical SAM Subgroup 20', 364, NULL, 'Uncharacterised_Radical_SAM_S', 22953),
(79228, 'SFLDG01144', NULL, 'C2.B.4: PGP Like', 264, NULL, 'C2.B.4:_PGP_Like', 22954),
(79229, 'SFLDF00006', NULL, 'rhamnonate dehydratase', 404, NULL, 'rhamnonate_dehydratase', 22955),
(79230, 'SFLDG01200', NULL, 'SUF1.1', 238, NULL, 'SUF1.1', 22956),
(79231, 'SFLDG01061', NULL, 'methylthiotransferase', 434, NULL, 'methylthiotransferase', 22957),
(79232, 'SFLDF00001', NULL, 'mannonate dehydratase', 403, NULL, 'mannonate_dehydratase', 22958),
(79233, 'SFLDF00393', NULL, 'heme D1 biosynthesis (NirJ-like)', 388, NULL, 'heme_D1_biosynthesis_(NirJ-li', 22959),
(79234, 'SFLDG01015', NULL, 'Prenyltransferase Like 1', 326, NULL, 'Prenyltransferase_Like_1', 22960),
(79235, 'SFLDG01069', NULL, 'UPF0313', 661, NULL, 'UPF0313', 22961),
(79236, 'SFLDG01383', NULL, 'cyclic pyranopterin phosphate synthase (MoaA-like)', 324, NULL, 'cyclic_pyranopterin_phosphate', 22962),
(79237, 'SFLDF00342', NULL, 'cyclic dehypoxanthine futalosine synthase (mqnC-like)', 358, NULL, 'cyclic_dehypoxanthine_futalos', 22963),
(79238, 'SFLDF00290', NULL, 'glutamate 2,3-aminomutase', 414, NULL, 'glutamate_2,3-aminomutase', 22964),
(79239, 'SFLDG01132', NULL, 'C1.5.3: 5''-Nucleotidase Like', 225, NULL, 'C1.5.3:_5''-Nucleotidase_Like', 22965),
(79240, 'SFLDF00435', NULL, 'carbapenem intermediate methyltransferase (ThnK-like)', 680, NULL, 'carbapenem_intermediate_methy', 22966),
(79241, 'SFLDF00039', NULL, 'phosphoglycolate phosphatase 2', 323, NULL, 'phosphoglycolate_phosphatase_', 22967),
(79242, 'SFLDF00277', NULL, 'oxygen-independent coproporphyrinogen-III oxidase 1 (HemN-like)', 456, NULL, 'oxygen-independent_coproporph', 22968),
(79243, 'SFLDG01202', NULL, 'SUF2.2', 252, NULL, 'SUF2.2', 22969),
(79244, 'SFLDF00343', NULL, 'aminofutalosine synthase (mqnE-like)', 364, NULL, 'aminofutalosine_synthase_(mqn', 22970),
(79245, 'SFLDF00408', NULL, 'Diphthamide biosynthesis family (Dph2)', 505, NULL, 'Diphthamide_biosynthesis_fami', 22971),
(79246, 'SFLDF00417', NULL, 'gentamicin C-6'' methyltransferase (GenK-like)', 638, NULL, 'gentamicin_C-6''_methyltransfe', 22972),
(79247, 'SFLDG01071', NULL, 'tRNA wybutosine-synthesizing', 316, NULL, 'tRNA_wybutosine-synthesizing', 22973),
(79248, 'SFLDF00008', NULL, 'gluconate dehydratase', 393, NULL, 'gluconate_dehydratase', 22974),
(79249, 'SFLDF00283', NULL, 'L-lysine 2,3-aminomutase (LAM-like)', 413, NULL, 'L-lysine_2,3-aminomutase_(LAM', 22975),
(79250, 'SFLDS00003', NULL, 'Haloacid Dehalogenase', 221, NULL, 'Haloacid_Dehalogenase', 22976),
(79251, 'SFLDF00466', NULL, 'Pyruvoyl-dependent histidine decarboxylase', 311, NULL, 'Pyruvoyl-dependent_histidine_', 22977),
(79252, 'SFLDG01162', NULL, 'I', 427, NULL, 'I_', 22978),
(79253, 'SFLDG01115', NULL, 'Phosphonate metabolism (PhnJ)', 298, NULL, 'Phosphonate_metabolism_(PhnJ)', 22979);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(79254, 'SFLDG01135', NULL, 'C1.5.6: HAD, Beta-PGM, Phosphatase Like', 222, NULL, 'C1.5.6:_HAD,_Beta-PGM,_Phosph', 22980),
(79255, 'SFLDF00004', NULL, 'mandelate racemase', 394, NULL, 'mandelate_racemase', 22981),
(79256, 'SFLDF00515', NULL, 'sporulation killing factor protein (SkfB-like)', 411, NULL, 'sporulation_killing_factor_pr', 22982),
(79257, 'SFLDG01206', NULL, 'Xi.1', 327, NULL, 'Xi.1', 22983),
(79258, 'SFLDG01258', NULL, '(chloro)muconate cycloisomerase (syn) like', 376, NULL, '(chloro)muconate_cycloisomera', 22984),
(79259, 'SFLDF00003', NULL, 'D-galactonate dehydratase', 369, NULL, 'D-galactonate_dehydratase', 22985),
(79260, 'SFLDF00357', NULL, 'ExsD-like', 241, NULL, 'ExsD-like', 22986),
(79261, 'SFLDF00027', NULL, 'p-type atpase', 309, NULL, 'p-type_atpase', 22987),
(79262, 'SFLDF00294', NULL, '7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase (CofG-like)', 337, NULL, '7,8-didemethyl-8-hydroxy-5-de', 22988),
(79263, 'SFLDF00317', NULL, 'thioacetal methlytransferase (Swb9-like)', 679, NULL, 'thioacetal_methlytransferase_', 22989),
(79264, 'SFLDS00052', NULL, 'Ferric Reductase Domain', 548, NULL, 'Ferric_Reductase_Domain', 22990),
(79265, 'SFLDS00036', NULL, 'Aromatic Prenyltransferase', 308, NULL, 'Aromatic_Prenyltransferase', 22991),
(79266, 'SFLDG01134', NULL, 'C1.5.5: Heptose Bisphosphate Phosphatase Like', 187, NULL, 'C1.5.5:_Heptose_Bisphosphate_', 22992),
(79267, 'SFLDF00542', NULL, 'alternative heme biosynthesis D (AhbD-like)', 362, NULL, 'alternative_heme_biosynthesis', 22993),
(79268, 'SFLDF00042', NULL, 'mannosyl-3-phosphoglycerate phosphatase', 243, NULL, 'mannosyl-3-phosphoglycerate_p', 22994),
(79269, 'SFLDG01065', NULL, 'anaerobic coproporphyrinogen-III oxidase like', 364, NULL, 'anaerobic_coproporphyrinogen-', 22995),
(79270, 'SFLDG01150', NULL, 'Main.1: Beta-like', 210, NULL, 'Main.1:_Beta-like', 22996),
(79271, 'SFLDF00402', NULL, 'carbapenem intermediate methyltransferase (ThnP-like)', 484, NULL, 'carbapenem_intermediate_methy', 22997),
(79272, 'SFLDG01111', NULL, 'Uncharacterised Radical SAM Subgroup 5', 202, NULL, 'Uncharacterised_Radical_SAM_S', 22998),
(79273, 'SFLDF00280', NULL, 'coenzyme PQQ synthesis protein E (PqqE-like)', 377, NULL, 'coenzyme_PQQ_synthesis_protei', 22999),
(79274, 'SFLDG01386', NULL, 'main SPASM domain-containing', 349, NULL, 'main_SPASM_domain-containing', 23000),
(79275, 'SFLDF00404', NULL, 'hopanetetrol cyclitol ether synthase', 479, NULL, 'hopanetetrol_cyclitol_ether_s', 23001),
(79276, 'SFLDG01211', NULL, 'Competence Regulatory Protein ComQ', 305, NULL, 'Competence_Regulatory_Protein', 23002),
(79277, 'SFLDF00416', NULL, 'fortimicin-like methyltransferase', 553, NULL, 'fortimicin-like_methyltransfe', 23003),
(79278, 'SFLDF00155', NULL, 'muconate cycloisomerase (anti)', 367, NULL, 'muconate_cycloisomerase_(anti', 23004),
(79279, 'SFLDF00415', NULL, 'ladderane biosynthesis', 493, NULL, 'ladderane_biosynthesis', 23005),
(79280, 'SFLDG01384', NULL, 'thioether bond formation requiring two auxiliary iron-sulfur clusters', 377, NULL, 'thioether_bond_formation_requ', 23006),
(79281, 'SFLDG01119', NULL, 'spectinomycin biosynthesis (SpcY-like)', 304, NULL, 'spectinomycin_biosynthesis_(S', 23007),
(79282, 'SFLDG01129', NULL, 'C1.5: HAD, Beta-PGM, Phosphatase Like', 220, NULL, 'C1.5:_HAD,_Beta-PGM,_Phosphat', 23008),
(79283, 'SFLDF00555', NULL, 'cis-3-hydroxy-L-proline dehydratase', 368, NULL, 'cis-3-hydroxy-L-proline_dehyd', 23009),
(79284, 'SFLDG01181', NULL, 'SUF2', 241, NULL, 'SUF2', 23010),
(79285, 'SFLDF00031', NULL, '2-deoxyglucose-6-phosphatase', 256, NULL, '2-deoxyglucose-6-phosphatase', 23011),
(79286, 'SFLDF00044', NULL, 'enolase-phosphatase', 233, NULL, 'enolase-phosphatase', 23012),
(79287, 'SFLDG01136', NULL, 'C1.6: Phosphoserine Phosphatase Like', 162, NULL, 'C1.6:_Phosphoserine_Phosphata', 23013),
(79288, 'SFLDF00029', NULL, 'phosphoserine phosphatase', 222, NULL, 'phosphoserine_phosphatase', 23014),
(79289, 'SFLDS00019', NULL, 'Glutathione Transferase (cytosolic)', 200, NULL, 'Glutathione_Transferase_(cyto', 23015),
(79290, 'SFLDF00423', NULL, 'chondrochloren A methyltransferase (CndI-like)', 696, NULL, 'chondrochloren_A_methyltransf', 23016);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(79291, 'SFLDG01163', NULL, 'II', 307, NULL, 'II', 23017),
(79292, 'SFLDG01108', NULL, 'Uncharacterised Radical SAM Subgroup 21', 352, NULL, 'Uncharacterised_Radical_SAM_S', 23018),
(79293, 'SFLDF00284', NULL, 'tRNA wybutosine-synthesizing', 315, NULL, 'tRNA_wybutosine-synthesizing', 23019),
(79294, 'SFLDF00292', NULL, 'spore photoproduct lyase 1', 342, NULL, 'spore_photoproduct_lyase_1', 23020),
(79295, 'SFLDG01131', NULL, 'C1.5.2: MDP Like', 190, NULL, 'C1.5.2:_MDP_Like', 23021),
(79296, 'SFLDG01021', NULL, 'Trichodiene Synthase Like', 308, NULL, 'Trichodiene_Synthase_Like', 23022),
(79297, 'SFLDF00425', NULL, 'dTDP-4-amino-4,6-dideoxy-D-glucose ammonia-lyase (DesII-like)', 485, NULL, 'dTDP-4-amino-4,6-dideoxy-D-gl', 23023),
(79298, 'SFLDF00041', NULL, 'mdp-1', 176, NULL, 'mdp-1', 23024),
(79299, 'SFLDF00279', NULL, '4-hydroxyphenylacetate decarboxylase activase', 316, NULL, '4-hydroxyphenylacetate_decarb', 23025),
(79300, 'SFLDF00326', NULL, '5''''-pyrrole methytransferase', 571, NULL, '5''''-pyrrole_methytransferase', 23026),
(79301, 'SFLDF00319', NULL, '[Fe] hydrogenase maturase (HydG-like)', 474, NULL, '[Fe]_hydrogenase_maturase_(Hy', 23027),
(79302, 'SFLDF00311', NULL, 'heme degradation proteins (HutW/ChuW-like)', 453, NULL, 'heme_degradation_proteins_(Hu', 23028),
(79303, 'SFLDG01014', NULL, 'Terpene Cyclase Like 1 N-term', 447, NULL, 'Terpene_Cyclase_Like_1_N-term', 23029),
(79304, 'SFLDF00553', NULL, 'galactarolactone cycloisomerase', 378, NULL, 'galactarolactone_cycloisomera', 23030),
(79305, 'SFLDG01102', NULL, 'Uncharacterised Radical SAM Subgroup 15', 414, NULL, 'Uncharacterised_Radical_SAM_S', 23031),
(79306, 'SFLDG01387', NULL, 'BtrN-like SPASM domain containing', 340, NULL, 'BtrN-like_SPASM_domain_contai', 23032),
(79307, 'SFLDF00289', NULL, 'anaerobic Cys-type sulfatase-maturating enzyme', 372, NULL, 'anaerobic_Cys-type_sulfatase-', 23033),
(79308, 'SFLDF00424', NULL, '2-deoxy-scyllo-inosamine dehydrogenase (BtrN-like)', 250, NULL, '2-deoxy-scyllo-inosamine_dehy', 23034),
(79309, 'SFLDF00324', NULL, 'bacteriocin maturation', 647, NULL, 'bacteriocin_maturation', 23035),
(79310, 'SFLDG01060', NULL, 'BATS domain containing', 303, NULL, 'BATS_domain_containing', 23036),
(79311, 'SFLDF00293', NULL, '((2,3,4,5-tetrahydroxypentyl)amino)dihydropyrimidine-2,4-dione synthase (CofH-like)', 365, NULL, '((2,3,4,5-tetrahydroxypentyl)', 23037),
(79312, 'SFLDF00344', NULL, 'ELP3-like', 509, NULL, 'ELP3-like', 23038),
(79313, 'SFLDF00403', NULL, 'phosphonoacetaldehyde methylase (fom3-like)', 534, NULL, 'phosphonoacetaldehyde_methyla', 23039),
(79314, 'SFLDF00471', NULL, 'Pyruvoyl-dependent arginine decarboxylase', 155, NULL, 'Pyruvoyl-dependent_arginine_d', 23040),
(79315, 'SFLDS00005', NULL, 'Isoprenoid Synthase Type I', 271, NULL, 'Isoprenoid_Synthase_Type_I', 23041),
(79316, 'SFLDG01086', NULL, 'elongater protein-like', 303, NULL, 'elongater_protein-like', 23042),
(79317, 'SFLDG01117', NULL, 'AviX12-like', 440, NULL, 'AviX12-like', 23043),
(79318, 'SFLDG01279', NULL, 'HMD cofactor maturase (HmdB-like)', 342, NULL, 'HMD_cofactor_maturase_(HmdB-l', 23044),
(79319, 'SFLDF00432', NULL, 'pyrimidine ring methyltransferase (bleomycin-like antibiotic biosynthesis)', 424, NULL, 'pyrimidine_ring_methyltransfe', 23045),
(79320, 'SFLDG01137', NULL, 'C1.6.1: Phosphoserine Phosphatase Like', 209, NULL, 'C1.6.1:_Phosphoserine_Phospha', 23046),
(79321, 'SFLDF00303', NULL, 'hopanoid C2-methyltransferase (HpnP-like)', 516, NULL, 'hopanoid_C2-methyltransferase', 23047),
(79322, 'SFLDF00310', NULL, 'oxygen-independent coproporphyrinogen-III oxidase 2 (HemZ-like)', 421, NULL, 'oxygen-independent_coproporph', 23048),
(79323, 'SFLDG01179', NULL, 'Complement C3/C4 Like', 304, NULL, 'Complement_C3/C4_Like', 23049),
(79324, 'SFLDG01388', NULL, '7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase', 352, NULL, '7,8-didemethyl-8-hydroxy-5-de', 23050),
(79325, 'SFLDF00116', NULL, 'N-succinylamino acid racemase', 371, NULL, 'N-succinylamino_acid_racemase', 23051),
(79326, 'SFLDF00118', NULL, 'D-tartrate dehydratase', 387, NULL, 'D-tartrate_dehydratase', 23052);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(79327, 'SFLDF00429', NULL, 'UDP-N-acetyl-tunicamine-uracil synthase (TunB-like)', 338, NULL, 'UDP-N-acetyl-tunicamine-uraci', 23053),
(79328, 'SFLDF00314', NULL, 'L-lysine 2,3-aminomutase (yjeK like)', 336, NULL, 'L-lysine_2,3-aminomutase_(yje', 23054),
(79329, 'SFLDF00134', NULL, 'L-talarate/galactarate dehydratase', 377, NULL, 'L-talarate/galactarate_dehydr', 23055),
(79330, 'SFLDF00156', NULL, 'D-arabinonate dehydratase', 373, NULL, 'D-arabinonate_dehydratase', 23056),
(79331, 'SFLDG01068', NULL, 'FeMo cofactor biosynthesis protein', 492, NULL, 'FeMo_cofactor_biosynthesis_pr', 23057),
(79332, 'SFLDF00571', NULL, 'Tte1186a maturase', 469, NULL, 'Tte1186a_maturase', 23058),
(79333, 'SFLDG01217', NULL, 'B12-binding methylthiotransferase like', 437, NULL, 'B12-binding_methylthiotransfe', 23059),
(79334, 'SFLDG01123', NULL, 'methyltransferase (Class B)', 468, NULL, 'methyltransferase_(Class_B)', 23060),
(79335, 'SFLDG01385', NULL, 'heme carboxy lyase like', 393, NULL, 'heme_carboxy_lyase_like', 23061),
(79336, 'SFLDG01180', NULL, 'SUF1', 238, NULL, 'SUF1', 23062),
(79337, 'SFLDF00412', NULL, 'spore photoproduct lyase 2', 340, NULL, 'spore_photoproduct_lyase_2', 23063),
(79338, 'SFLDG01072', NULL, 'dehydrogenase like', 371, NULL, 'dehydrogenase_like', 23064),
(79339, 'SFLDF00516', NULL, 'thurincin H (ThnB-like)', 462, NULL, 'thurincin_H_(ThnB-like)', 23065),
(79340, 'SFLDG01097', NULL, 'Uncharacterised Radical SAM Subgroup 10', 375, NULL, 'Uncharacterised_Radical_SAM_S', 23066),
(79341, 'SFLDG01019', NULL, 'Terpene Cyclase Like 1 C Terminal Domain', 325, NULL, 'Terpene_Cyclase_Like_1_C_Term', 23067),
(79342, 'SFLDG01183', NULL, 'Grx2-like', 215, NULL, 'Grx2-like', 23068),
(79343, 'SFLDG01109', NULL, 'Uncharacterised Radical SAM Subgroup 22', 429, NULL, 'Uncharacterised_Radical_SAM_S', 23069),
(79344, 'SFLDG01142', NULL, 'C2.B.2: Mannosyl-3-phosphoglycerate Phosphatase Like', 269, NULL, 'C2.B.2:_Mannosyl-3-phosphogly', 23070),
(79345, 'SFLDG01082', NULL, 'B12-binding domain containing', 460, NULL, 'B12-binding_domain_containing', 23071),
(79346, 'SFLDG01084', NULL, 'Uncharacterised Radical SAM Subgroup 2', 289, NULL, 'Uncharacterised_Radical_SAM_S', 23072),
(79347, 'SFLDG00363', NULL, 'AMPS (cytGST): Alpha-, Mu-, Pi-, and Sigma-like', 196, NULL, 'AMPS_(cytGST):_Alpha-,_Mu-,_P', 23073),
(79348, 'SFLDF00414', NULL, 'bacteriochlorophyll C12 methyltransferase', 469, NULL, 'bacteriochlorophyll_C12_methy', 23074),
(79349, 'SFLDF00564', NULL, 'xylonate dehydratase 2', 413, NULL, 'xylonate_dehydratase_2', 23075),
(79350, 'SFLDF00158', NULL, '5-methylthio-D-ribulose 1-phosphate isomerase', 375, NULL, '5-methylthio-D-ribulose_1-pho', 23076),
(79351, 'SFLDF00316', NULL, 'C-terminal tyrosine decarboxylase (MftC-like)', 353, NULL, 'C-terminal_tyrosine_decarboxy', 23077),
(79352, 'SFLDS00057', NULL, 'Glutaminase/Asparaginase', 343, NULL, 'Glutaminase/Asparaginase', 23078),
(79353, 'SFLDG01153', NULL, 'Main.4: Theta-like', 218, NULL, 'Main.4:_Theta-like', 23079),
(79354, 'SFLDF00270', NULL, 'L-galactonate dehydratase', 450, NULL, 'L-galactonate_dehydratase', 23080),
(79355, 'SFLDF00318', NULL, 'Viperin', 323, NULL, 'Viperin', 23081),
(79356, 'SFLDF00430', NULL, 'OxsB-like', 744, NULL, 'OxsB-like', 23082),
(79357, 'SFLDF00464', NULL, 'Ferric/cupric reductase', 603, NULL, 'Ferric/cupric_reductase', 23083),
(79358, 'SFLDG01070', NULL, 'PLP-dependent', 373, NULL, 'PLP-dependent', 23084),
(79359, 'SFLDF00397', NULL, 'adenosyl-hopene transferase', 337, NULL, 'adenosyl-hopene_transferase', 23085),
(79360, 'SFLDS00032', NULL, 'Radical SAM 3-amino-3-carboxypropyl Radical Forming', 1715, NULL, 'Radical_SAM_3-amino-3-carboxy', 23086),
(79361, 'SFLDG01081', NULL, 'cleavage of the Ca-Cb bond in aromatic amino acids', 379, NULL, 'cleavage_of_the_Ca-Cb_bond_in', 23087),
(79362, 'SFLDS00029', NULL, 'Radical SAM', 166, NULL, 'Radical_SAM', 23088),
(79363, 'SFLDG01062', NULL, 'methyltransferase (Class A)', 356, NULL, 'methyltransferase_(Class_A)', 23089),
(79364, 'SFLDG00180', NULL, 'muconate cycloisomerase', 360, NULL, 'muconate_cycloisomerase', 23090);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(79365, 'SFLDS00001', NULL, 'Enolase', 371, NULL, 'Enolase', 23091),
(79366, 'SFLDF00007', NULL, 'methylaspartate ammonia-lyase', 413, NULL, 'methylaspartate_ammonia-lyase', 23092),
(79367, 'SFLDG01126', NULL, 'C1.2: Nucleotidase Like', 195, NULL, 'C1.2:_Nucleotidase_Like', 23093),
(79368, 'SFLDG01201', NULL, 'SUF2.1', 119, NULL, 'SUF2.1', 23094),
(79369, 'SFLDS00028', NULL, 'Proline Racemase', 336, NULL, 'Proline_Racemase', 23095),
(79370, 'SFLDF00565', NULL, 'hopanoid C3-methyltransferase (HpnR-like)', 513, NULL, 'hopanoid_C3-methyltransferase', 23096),
(79371, 'SFLDG01016', NULL, 'Prenyltransferase Like 2', 646, NULL, 'Prenyltransferase_Like_2', 23097),
(79372, 'SFLDF00446', NULL, 'phosphoglycolate phosphatase 3', 232, NULL, 'phosphoglycolate_phosphatase_', 23098),
(79373, 'SFLDG01203', NULL, 'Prostaglandin E synthase like.1', 320, NULL, 'Prostaglandin_E_synthase_like', 23099),
(79374, 'SFLDF00275', NULL, 'adenosine C2 methyltransferase (RlmN-like)', 357, NULL, 'adenosine_C2_methyltransferas', 23100),
(79375, 'SFLDG01116', NULL, 'DesII-like', 485, NULL, 'DesII-like', 23101),
(79376, 'SFLDF00322', NULL, 'tryptophan 2-C-methyltransferase', 574, NULL, 'tryptophan_2-C-methyltransfer', 23102),
(79377, 'SFLDF00517', NULL, 'cytosylglucuronate decarboxylase', 333, NULL, 'cytosylglucuronate_decarboxyl', 23103),
(79378, 'SFLDF00274', NULL, 'ribosomal protein S12 methylthiotransferase (RimO-like)', 443, NULL, 'ribosomal_protein_S12_methylt', 23104),
(79379, 'SFLDF00032', NULL, 'trehalose-phosphatase', 267, NULL, 'trehalose-phosphatase', 23105),
(79380, 'SFLDF00302', NULL, 'anaerobic magnesium-protoporphyrin-IX monomethyl ester cyclase', 535, NULL, 'anaerobic_magnesium-protoporp', 23106),
(79381, 'SFLDF00288', NULL, 'HemN-like, clustered with nucleoside-triphosphate RdgB', 384, NULL, 'HemN-like,_clustered_with_nuc', 23107),
(79382, 'SFLDG01094', NULL, 'Uncharacterised Radical SAM Subgroup 6', 231, NULL, 'Uncharacterised_Radical_SAM_S', 23108),
(79383, 'SFLDF00330', NULL, 'HMD cofactor maturase (HmdB-like)', 342, NULL, 'HMD_cofactor_maturase_(HmdB-l', 23109),
(79384, 'SFLDG01140', NULL, 'C2.B: Phosphomannomutase and Phosphatase Like', 260, NULL, 'C2.B:_Phosphomannomutase_and_', 23110),
(79385, 'SFLDF00028', NULL, 'histidinol-phosphatase', 201, NULL, 'histidinol-phosphatase', 23111),
(79386, 'SFLDG00033', NULL, 'mannonate dehydratase', 403, NULL, 'mannonate_dehydratase', 23112),
(79387, 'SFLDF00569', NULL, 'pcfB-like', 349, NULL, 'pcfB-like', 23113),
(79388, 'SFLDF00010', NULL, 'dipeptide epimerase', 323, NULL, 'dipeptide_epimerase', 23114),
(79389, 'SFLDF00291', NULL, 'arginine 2,3-aminomutase', 381, NULL, 'arginine_2,3-aminomutase', 23115),
(79390, 'SFLDG01170', NULL, 'Pyruvoyl-dependent arginine decarboxylase', 170, NULL, 'Pyruvoyl-dependent_arginine_d', 23116),
(79391, 'SFLDF00036', NULL, 'deoxy-d-mannose-octulosonate 8-phosphate phosphatase', 174, NULL, 'deoxy-d-mannose-octulosonate_', 23117),
(79392, 'SFLDG00301', NULL, 'RuBisCO-like proteins', 415, NULL, 'RuBisCO-like_proteins', 23118),
(79393, 'SFLDF00154', NULL, 'N-succinylamino acid racemase 2', 369, NULL, 'N-succinylamino_acid_racemase', 23119),
(79394, 'SFLDG00358', NULL, 'Main (cytGST)', 196, NULL, 'Main_(cytGST)', 23120),
(79395, 'SFLDG01063', NULL, 'activating enzymes, group 1', 169, NULL, 'activating_enzymes,_group_1', 23121),
(79396, 'SFLDG00151', NULL, 'methylaspartate ammonia-lyase', 413, NULL, 'methylaspartate_ammonia-lyase', 23122),
(79397, 'SFLDF00307', NULL, 'bacteriochlorophyll C8 methyltransferase', 468, NULL, 'bacteriochlorophyll_C8_methyl', 23123),
(79398, 'SFLDG01098', NULL, 'Uncharacterised Radical SAM Subgroup 11', 324, NULL, 'Uncharacterised_Radical_SAM_S', 23124),
(79399, 'SFLDF00038', NULL, 'phosphonoacetaldehyde hydrolase', 269, NULL, 'phosphonoacetaldehyde_hydrola', 23125),
(79400, 'SFLDF00297', NULL, 'benzylsuccinate synthase activase', 351, NULL, 'benzylsuccinate_synthase_acti', 23126),
(79401, 'SFLDF00419', NULL, '3-methyl-2-indolic acid synthase (NosL)', 397, NULL, '3-methyl-2-indolic_acid_synth', 23127),
(79402, 'SFLDF00422', NULL, 'valine cyclopropanase', 613, NULL, 'valine_cyclopropanase', 23128); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(79403, 'SFLDF00421', NULL, 'avilamycin epimerase', 397, NULL, 'avilamycin_epimerase', 23129),
(79404, 'SFLDG01212', NULL, 'Phytoene synthase like', 281, NULL, 'Phytoene_synthase_like', 23130),
(79405, 'SFLDG01017', NULL, 'Polyprenyl Transferase Like', 294, NULL, 'Polyprenyl_Transferase_Like', 23131),
(79406, 'SFLDF00295', NULL, 'threonylcarbamoyladenosine tRNA methylthiotransferase', 448, NULL, 'threonylcarbamoyladenosine_tR', 23132),
(79407, 'SFLDF00556', NULL, '4R-hydroxyproline betaine 2-epimerase', 368, NULL, '4R-hydroxyproline_betaine_2-e', 23133),
(79408, 'SFLDG00055', NULL, 'glucarate dehydratase', 445, NULL, 'glucarate_dehydratase', 23134),
(79409, 'O', NULL, NULL, NULL, NULL, 'O region', 23135),
(79410, 'inside', NULL, 'inside cell region', NULL, NULL, 'inside cell region', 23136),
(79411, 'outside', NULL, 'outside cell region', NULL, NULL, 'outside cell region', 23137),
(79412, 'TMhelix', NULL, 'Region of a membrane-bound protein predicted to be embedded in the membrane.', NULL, NULL, 'transmembrane helix', 23138),
(79413, 'NON_CYTOPLASMIC_DOMAIN', NULL, 'Region of a membrane-bound protein predicted to be outside the membrane, in the extracellular region.', NULL, NULL, 'Non cytoplasmic domain', 23139),
(79414, 'SIGNAL_PEPTIDE_N_REGION', NULL, 'N-terminal region of a signal peptide.', NULL, NULL, 'Signal peptide N-region', 23140),
(79415, 'SIGNAL_PEPTIDE_H_REGION', NULL, 'Hydrophobic region of a signal peptide.', NULL, NULL, 'Signal peptide H-region', 23141),
(79416, 'SIGNAL_PEPTIDE_C_REGION', NULL, 'C-terminal region of a signal peptide.', NULL, NULL, 'Signal peptide C-region', 23142),
(79417, 'TRANSMEMBRANE', NULL, 'Region of a membrane-bound protein predicted to be embedded in the membrane.', NULL, NULL, 'Transmembrane region', 23143),
(79418, 'CYTOPLASMIC_DOMAIN', NULL, 'Region of a membrane-bound protein predicted to be outside the membrane, in the cytoplasm.', NULL, NULL, 'Cytoplasmic domain', 23144),
(79419, 'SIGNAL_PEPTIDE', NULL, 'Signal peptide region', NULL, NULL, 'Signal Peptide', 23145),
(79420, 'PF01570', NULL, 'Flavivirus polyprotein propeptide', 85, NULL, 'Flavi_propep', 23146),
(79421, 'PF16094', NULL, 'Proteasome assembly chaperone 4', 286, NULL, 'PAC1', 23147),
(79422, 'PF02173', NULL, 'pKID domain', 41, NULL, 'pKID', 23148),
(79423, 'PF00292', NULL, '''Paired box'' domain', 125, NULL, 'PAX', 23149),
(79424, 'PF04278', NULL, 'Tic22-like family', 244, NULL, 'Tic22', 23150),
(79425, 'PF10257', NULL, 'Retinoic acid induced 16-like protein', 360, NULL, 'RAI16-like', 23151),
(79426, 'PF17745', NULL, 'Ydr279p protein triple barrel domain', 79, NULL, 'Ydr279_N', 23152),
(79427, 'PF08370', NULL, 'Plant PDR ABC transporter associated', 65, NULL, 'PDR_assoc', 23153),
(79428, 'PF03668', NULL, 'P-loop ATPase protein family', 284, NULL, 'ATP_bind_2', 23154),
(79429, 'PF13797', NULL, 'Post-transcriptional regulator', 83, NULL, 'Post_transc_reg', 23155),
(79430, 'PF15018', NULL, 'TRP-interacting helix', 35, NULL, 'InaF-motif', 23156),
(79431, 'PF07821', NULL, 'Alpha-amylase C-terminal beta-sheet domain', 58, NULL, 'Alpha-amyl_C2', 23157),
(79432, 'PF13508', NULL, 'Acetyltransferase (GNAT) domain', 80, NULL, 'Acetyltransf_7', 23158),
(79433, 'PF12725', NULL, 'Protein of unknown function (DUF3810)', 310, NULL, 'DUF3810', 23159),
(79434, 'PF13949', NULL, 'ALIX V-shaped domain binding to HIV', 295, NULL, 'ALIX_LYPXL_bnd', 23160),
(79435, 'PF08729', NULL, 'HPC2 and ubinuclein domain', 52, NULL, 'HUN', 23161),
(79436, 'PF19977', NULL, 'xRRM domain', 120, NULL, 'xRRM', 23162),
(79437, 'PF14510', NULL, 'ABC-transporter N-terminal', 81, NULL, 'ABC_trans_N', 23163),
(79438, 'PF03496', NULL, 'ADP-ribosyltransferase exoenzyme', 197, NULL, 'ADPrib_exo_Tox', 23164),
(79439, 'PF13110', NULL, 'Protein of unknown function (DUF3966)', 42, NULL, 'DUF3966', 23165),
(79440, 'PF08728', NULL, 'CRT10', 712, NULL, 'CRT10', 23166),
(79441, 'PF20088', NULL, 'Family of unknown function (DUF6480)', 78, NULL, 'DUF6480', 23167),
(79442, 'PF04332', NULL, 'Protein of unknown function (DUF475)', 295, NULL, 'DUF475', 23168);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(79443, 'PF07782', NULL, 'DC-STAMP-like protein', 191, NULL, 'DC_STAMP', 23169),
(79444, 'PF06426', NULL, 'Serine acetyltransferase, N-terminal', 105, NULL, 'SATase_N', 23170),
(79445, 'PF05149', NULL, 'Paraflagellar rod protein', 287, NULL, 'Flagellar_rod', 23171),
(79446, 'PF03455', NULL, 'dDENN domain', 50, NULL, 'dDENN', 23172),
(79447, 'PF17032', NULL, 'zinc-ribbon family', 86, NULL, 'zinc_ribbon_15', 23173),
(79448, 'PF09129', NULL, 'Cholesterol oxidase, substrate-binding', 321, NULL, 'Chol_subst-bind', 23174),
(79449, 'PF10572', NULL, 'UPF0556 domain', 132, NULL, 'UPF0556', 23175),
(79450, 'PF13561', NULL, 'Enoyl-(Acyl carrier protein) reductase', 234, NULL, 'adh_short_C2', 23176),
(79451, 'PF14595', NULL, 'Thioredoxin', 129, NULL, 'Thioredoxin_9', 23177),
(79452, 'PF19505', NULL, 'Family of unknown function (DUF6039)', 298, NULL, 'DUF6039', 23178),
(79453, 'PF17187', NULL, 'Svf1-like C-terminal lipocalin-like domain', 164, NULL, 'Svf1_C', 23179),
(79454, 'PF17013', NULL, 'Putative acetyl-transferase', 210, NULL, 'Acetyltransf_15', 23180),
(79455, 'PF07154', NULL, 'Protein of unknown function (DUF1392)', 150, NULL, 'DUF1392', 23181),
(79456, 'PF11024', NULL, 'Dispersed gene family protein 1 of Trypanosoma cruzi region 4', 78, NULL, 'DGF-1_4', 23182),
(79457, 'PF11266', NULL, 'Long-chain fatty aldehyde decarbonylase', 218, NULL, 'Ald_deCOase', 23183),
(79458, 'PF17456', NULL, 'Toxin-coregulated pilus protein S', 152, NULL, 'TcpS', 23184),
(79459, 'PF10008', NULL, 'Uncharacterized protein conserved in bacteria (DUF2251)', 94, NULL, 'DUF2251', 23185),
(79460, 'PF02820', NULL, 'mbt repeat', 69, NULL, 'MBT', 23186),
(79461, 'PF09589', NULL, 'HrpA pilus formation protein', 96, NULL, 'HrpA_pilin', 23187),
(79462, 'PF04079', NULL, 'Segregation and condensation complex subunit ScpB', 159, NULL, 'SMC_ScpB', 23188),
(79463, 'PF16738', NULL, 'Starch-binding module 26', 69, NULL, 'CBM26', 23189),
(79464, 'PF11648', NULL, 'C-terminal domain of RIG-I', 117, NULL, 'RIG-I_C-RD', 23190),
(79465, 'PF07338', NULL, 'Protein of unknown function (DUF1471)', 55, NULL, 'DUF1471', 23191),
(79466, 'PF12754', NULL, 'Blt1 N-terminal domain', 150, NULL, 'Blt1', 23192),
(79467, 'PF03344', NULL, 'Daxx N-terminal Rassf1C-interacting domain', 99, NULL, 'Daxx', 23193),
(79468, 'PF13352', NULL, 'Protein of unknown function (DUF4100)', 216, NULL, 'DUF4100', 23194),
(79469, 'PF06469', NULL, 'Domain of Unknown Function (DUF1088)', 168, NULL, 'DUF1088', 23195),
(79470, 'PF17180', NULL, 'Zinc-binding domain', 74, NULL, 'zf-3CxxC_2', 23196),
(79471, 'PF05585', NULL, 'Putative peptidase (DUF1758)', 164, NULL, 'DUF1758', 23197),
(79472, 'PF19009', NULL, 'Family of unknown function (DUF5738)', 104, NULL, 'DUF5738', 23198),
(79473, 'PF10258', NULL, 'PHAX RNA-binding domain', 84, NULL, 'RNA_GG_bind', 23199),
(79474, 'PF13776', NULL, 'Domain of unknown function (DUF4172)', 82, NULL, 'DUF4172', 23200),
(79475, 'PF08071', NULL, 'RS4NT (NUC023) domain', 37, NULL, 'RS4NT', 23201),
(79476, 'PF09045', NULL, 'L27_2', 58, NULL, 'L27_2', 23202),
(79477, 'PF07412', NULL, 'Geminin', 197, NULL, 'Geminin', 23203),
(79478, 'PF18061', NULL, 'CRISPR-Cas9 WED domain', 127, NULL, 'CRISPR_Cas9_WED', 23204),
(79479, 'PF10293', NULL, 'Domain of unknown function (DUF2405)', 153, NULL, 'DUF2405', 23205),
(79480, 'PF19897', NULL, 'Family of unknown function (DUF6370)', 75, NULL, 'DUF6370', 23206),
(79481, 'PF09792', NULL, 'Ubiquitin 3 binding protein But2 C-terminal domain', 142, NULL, 'But2', 23207),
(79482, 'PF04839', NULL, 'Plastid and cyanobacterial ribosomal protein (PSRP-3 / Ycf65)', 48, NULL, 'PSRP-3_Ycf65', 23208),
(79483, 'PF08481', NULL, 'GBS Bsp-like repeat', 92, NULL, 'GBS_Bsp-like', 23209),
(79484, 'PF05346', NULL, 'Eukaryotic membrane protein family', 319, NULL, 'DUF747', 23210),
(79485, 'PF18307', NULL, 'Transcription factor Tfb2 (p52) C-terminal domain', 68, NULL, 'Tfb2_C', 23211),
(79486, 'PF17150', NULL, 'C-terminal domain of two-partite extracellular sensor domain', 81, NULL, 'CHASE6_C', 23212),
(79487, 'PF15650', NULL, 'Restriction endonuclease fold toxin 9', 88, NULL, 'Tox-REase-9', 23213);
INSERT INTO "PUBLIC"."MODEL" VALUES
(79488, 'PF12994', NULL, 'Domain of unknown function, E. rectale Gene description (DUF3878)', 300, NULL, 'DUF3878', 23214),
(79489, 'PF13613', NULL, 'Helix-turn-helix of DDE superfamily endonuclease', 53, NULL, 'HTH_Tnp_4', 23215),
(79490, 'PF16169', NULL, 'Domain of unknown function (DUF4872)', 174, NULL, 'DUF4872', 23216),
(79491, 'PF14580', NULL, 'Leucine-rich repeat', 175, NULL, 'LRR_9', 23217),
(79492, 'PF05451', NULL, 'Phytoreovirus nonstructural protein Pns10/11', 352, NULL, 'Phytoreo_Pns', 23218),
(79493, 'PF06404', NULL, 'Phytosulfokine precursor protein (PSK)', 90, NULL, 'PSK', 23219),
(79494, 'PF17369', NULL, 'Family of unknown function (DUF5391)', 135, NULL, 'DUF5391', 23220),
(79495, 'PF05560', NULL, 'Bacillus thuringiensis P21 molecular chaperone protein', 182, NULL, 'Bt_P21', 23221),
(79496, 'PF09158', NULL, 'Bacteriophage T4 MotA, C-terminal', 103, NULL, 'MotCF', 23222),
(79497, 'PF04312', NULL, 'Protein of unknown function (DUF460)', 142, NULL, 'DUF460', 23223),
(79498, 'PF10487', NULL, 'Nucleoporin subcomplex protein binding to Pom34', 926, NULL, 'Nup188', 23224),
(79499, 'PF13406', NULL, 'Transglycosylase SLT domain', 292, NULL, 'SLT_2', 23225),
(79500, 'PF10116', NULL, 'Protein required for attachment to host cells', 138, NULL, 'Host_attach', 23226),
(79501, 'PF06378', NULL, 'Protein of unknown function (DUF1071)', 151, NULL, 'DUF1071', 23227),
(79502, 'PF13791', NULL, 'Sigma factor regulator C-terminal', 154, NULL, 'Sigma_reg_C', 23228),
(79503, 'PF08347', NULL, 'N-terminal CTNNB1 binding', 204, NULL, 'CTNNB1_binding', 23229),
(79504, 'PF13779', NULL, 'Domain of unknown function (DUF4175)', 826, NULL, 'DUF4175', 23230),
(79505, 'PF19393', NULL, 'Family of unknown function (DUF5968)', 150, NULL, 'DUF5968', 23231),
(79506, 'PF03395', NULL, 'Poxvirus P4A protein', 882, NULL, 'Pox_P4A', 23232),
(79507, 'PF01335', NULL, 'Death effector domain', 82, NULL, 'DED', 23233),
(79508, 'PF12016', NULL, 'Stonin 2', 338, NULL, 'Stonin2_N', 23234),
(79509, 'PF07545', NULL, 'Vestigial/Tondu family', 31, NULL, 'Vg_Tdu', 23235),
(79510, 'PF12601', NULL, 'Rubivirus non-structural protein', 66, NULL, 'Rubi_NSP_C', 23236),
(79511, 'PF09550', NULL, 'Phage tail assembly chaperone protein, TAC', 58, NULL, 'Phage_TAC_6', 23237),
(79512, 'PF16101', NULL, 'Proline-rich membrane anchor 1', 122, NULL, 'PRIMA1', 23238),
(79513, 'PF11815', NULL, 'Domain of unknown function (DUF3336)', 139, NULL, 'DUF3336', 23239),
(79514, 'PF19037', NULL, 'Second Longin domain of FUZ, MON1 and HPS1', 100, NULL, 'Fuz_longin_2', 23240),
(79515, 'PF00036', NULL, 'EF hand', 29, NULL, 'EF-hand_1', 23241),
(79516, 'PF13114', NULL, 'RecO N terminal', 71, NULL, 'RecO_N_2', 23242),
(79517, 'PF19963', NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 1', 115, NULL, 'VMAP-M1', 23243),
(79518, 'PF05318', NULL, 'Tombusvirus movement protein', 68, NULL, 'Tombus_movement', 23244),
(79519, 'PF18440', NULL, 'Putative GlcNAc-1 phosphotransferase regulatory domain', 88, NULL, 'GlcNAc-1_reg', 23245),
(79520, 'PF13516', NULL, 'Leucine Rich repeat', 24, NULL, 'LRR_6', 23246),
(79521, 'PF10541', NULL, 'Nuclear envelope localisation domain', 58, NULL, 'KASH', 23247),
(79522, 'PF05216', NULL, 'UNC-50 family', 221, NULL, 'UNC-50', 23248),
(79523, 'PF00177', NULL, 'Ribosomal protein S7p/S5e', 149, NULL, 'Ribosomal_S7', 23249),
(79524, 'PF04289', NULL, 'Protein of unknown function (DUF447)', 176, NULL, 'DUF447', 23250),
(79525, 'PF16928', NULL, 'DNA/protein translocase of phage P22 injectosome', 218, NULL, 'Inj_translocase', 23251),
(79526, 'PF18311', NULL, 'Exosome complex exonuclease Rrp40 N-terminal domain', 48, NULL, 'Rrp40_N', 23252),
(79527, 'PF16123', NULL, 'Hydroxyacylglutathione hydrolase C-terminus', 82, NULL, 'HAGH_C', 23253),
(79528, 'PF20064', NULL, 'Family of unknown function (DUF6463)', 119, NULL, 'DUF6463', 23254),
(79529, 'PF02041', NULL, 'Auxin binding protein', 167, NULL, 'Auxin_BP', 23255),
(79530, 'PF14486', NULL, 'Domain of unknown function (DUF4432)', 303, NULL, 'DUF4432', 23256),
(79531, 'PF00760', NULL, 'Cucumovirus coat protein', 170, NULL, 'Cucumo_coat', 23257);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(79532, 'PF15737', NULL, 'Domain of unknown function (DUF4685)', 125, NULL, 'DUF4685', 23258),
(79533, 'PF03438', NULL, 'Pneumovirus NS1 protein', 136, NULL, 'Pneumo_NS1', 23259),
(79534, 'PF14334', NULL, 'Domain of unknown function (DUF4390)', 161, NULL, 'DUF4390', 23260),
(79535, 'PF17903', NULL, 'Krr1 KH1 domain', 81, NULL, 'KH_8', 23261),
(79536, 'PF01458', NULL, 'SUF system FeS cluster assembly, SufBD', 218, NULL, 'SUFBD', 23262),
(79537, 'PF12149', NULL, 'Herpes simplex virus virion protein 16 C terminal', 30, NULL, 'HSV_VP16_C', 23263),
(79538, 'PF03034', NULL, 'Phosphatidyl serine synthase', 273, NULL, 'PSS', 23264),
(79539, 'PF00589', NULL, 'Phage integrase family', 172, NULL, 'Phage_integrase', 23265),
(79540, 'PF18071', NULL, 'HMW1C N-terminal', 143, NULL, 'HMW1C_N', 23266),
(79541, 'PF00668', NULL, 'Condensation domain', 457, NULL, 'Condensation', 23267),
(79542, 'PF03946', NULL, 'Ribosomal protein L11, N-terminal domain', 58, NULL, 'Ribosomal_L11_N', 23268),
(79543, 'PF01505', NULL, 'Major Vault Protein repeat domain', 43, NULL, 'Vault', 23269),
(79544, 'PF16653', NULL, 'Saccharopine dehydrogenase C-terminal domain', 266, NULL, 'Sacchrp_dh_C', 23270),
(79545, 'PF06454', NULL, 'Protein of unknown function (DUF1084)', 273, NULL, 'DUF1084', 23271),
(79546, 'PF16734', NULL, 'Type IV pilin-like G and H, putative', 113, NULL, 'Pilin_GH', 23272),
(79547, 'PF11532', NULL, 'HnRNP M nuclear localisation signal', 30, NULL, 'HnRNP_M_NLS', 23273),
(79548, 'PF10656', NULL, 'Hypothetical protein of unknown function (DUF2483)', 72, NULL, 'DUF2483', 23274),
(79549, 'PF20020', NULL, 'Domain of unknown function (DUF6431)', 83, NULL, 'DUF6431', 23275),
(79550, 'PF04956', NULL, 'TrbC/VIRB2 pilin', 99, NULL, 'TrbC', 23276),
(79551, 'PF09029', NULL, '5-aminolevulinate synthase presequence', 114, NULL, 'Preseq_ALAS', 23277),
(79552, 'PF15892', NULL, 'BNR repeat-containing family member', 272, NULL, 'BNR_4', 23278),
(79553, 'PF06809', NULL, 'Neural proliferation differentiation control-1 protein (NPDC1)', 341, NULL, 'NPDC1', 23279),
(79554, 'PF19006', NULL, 'Family of unknown function (DUF5735)', 138, NULL, 'DUF5735', 23280),
(79555, 'PF16491', NULL, 'CAAX prenyl protease N-terminal, five membrane helices', 181, NULL, 'Peptidase_M48_N', 23281),
(79556, 'PF06175', NULL, 'tRNA-(MS[2]IO[6]A)-hydroxylase (MiaE)', 240, NULL, 'MiaE', 23282),
(79557, 'PF07740', NULL, 'Ion channel inhibitory toxin', 30, NULL, 'Toxin_12', 23283),
(79558, 'PF11748', NULL, 'Protein of unknown function (DUF3306)', 120, NULL, 'DUF3306', 23284),
(79559, 'PF08130', NULL, 'Type A lantibiotic family', 60, NULL, 'Antimicrobial18', 23285),
(79560, 'PF03814', NULL, 'Potassium-transporting ATPase A subunit', 546, NULL, 'KdpA', 23286),
(79561, 'PF19655', NULL, 'Family of unknown function (DUF6158)', 66, NULL, 'DUF6158', 23287),
(79562, 'PF14281', NULL, 'PD-(D/E)XK nuclease superfamily', 186, NULL, 'PDDEXK_4', 23288),
(79563, 'PF16308', NULL, 'Domain of unknown function (DUF4950)', 178, NULL, 'DUF4950', 23289),
(79564, 'PF17425', NULL, 'Arylsulfotransferase Ig-like domain', 89, NULL, 'Arylsulfotran_N', 23290),
(79565, 'PF09452', NULL, 'ESCRT-I subunit Mvb12', 90, NULL, 'Mvb12', 23291),
(79566, 'PF19950', NULL, 'Family of unknown function (DUF6412)', 30, NULL, 'DUF6412', 23292),
(79567, 'PF05393', NULL, 'Human adenovirus early E3A glycoprotein', 100, NULL, 'Hum_adeno_E3A', 23293),
(79568, 'PF06178', NULL, 'Oligogalacturonate-specific porin protein (KdgM)', 222, NULL, 'KdgM', 23294),
(79569, 'PF06455', NULL, 'NADH dehydrogenase subunit 5 C-terminus', 181, NULL, 'NADH5_C', 23295),
(79570, 'PF14039', NULL, 'YusW-like protein', 92, NULL, 'YusW', 23296),
(79571, 'PF09330', NULL, 'D-lactate dehydrogenase, membrane binding', 290, NULL, 'Lact-deh-memb', 23297),
(79572, 'PF12175', NULL, 'White spot syndrome virus structural envelope protein VP', 201, NULL, 'WSS_VP', 23298),
(79573, 'PF17641', NULL, 'Ancylostoma-associated secreted protein related', 119, NULL, 'ASPRs', 23299),
(79574, 'PF00353', NULL, 'RTX calcium-binding nonapeptide repeat (4 copies)', 36, NULL, 'HemolysinCabind', 23300);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(79575, 'PF12991', NULL, 'Domain of unknown function, B. Theta Gene description (DUF3875)', 53, NULL, 'DUF3875', 23301),
(79576, 'PF07885', NULL, 'Ion channel', 79, NULL, 'Ion_trans_2', 23302),
(79577, 'PF15762', NULL, 'Domain of unknown function (DUF4691)', 179, NULL, 'DUF4691', 23303),
(79578, 'PF02167', NULL, 'Cytochrome C1 family', 219, NULL, 'Cytochrom_C1', 23304),
(79579, 'PF09938', NULL, 'Uncharacterized protein conserved in bacteria (DUF2170)', 137, NULL, 'DUF2170', 23305),
(79580, 'PF15765', NULL, 'Domain of unknown function (DUF4694)', 155, NULL, 'DUF4694', 23306),
(79581, 'PF06601', NULL, 'Orthopoxvirus F6 protein', 72, NULL, 'Orthopox_F6', 23307),
(79582, 'PF14136', NULL, 'Domain of unknown function (DUF4303)', 153, NULL, 'DUF4303', 23308),
(79583, 'PF06348', NULL, 'Protein of unknown function (DUF1059)', 56, NULL, 'DUF1059', 23309),
(79584, 'PF08109', NULL, 'Lactocin 705 family', 31, NULL, 'Antimicrobial14', 23310),
(79585, 'PF05316', NULL, 'Mitochondrial ribosomal protein (VAR1)', 195, NULL, 'VAR1', 23311),
(79586, 'PF10833', NULL, 'Protein of unknown function (DUF2572)', 219, NULL, 'DUF2572', 23312),
(79587, 'PF02638', NULL, 'Glycosyl hydrolase-like 10', 311, NULL, 'GHL10', 23313),
(79588, 'PF08919', NULL, 'F-actin binding', 110, NULL, 'F_actin_bind', 23314),
(79589, 'PF07182', NULL, 'Protein of unknown function (DUF1402)', 300, NULL, 'DUF1402', 23315),
(79590, 'PF10054', NULL, 'Predicted periplasmic lipoprotein (DUF2291)', 199, NULL, 'DUF2291', 23316),
(79591, 'PF00220', NULL, 'Neurohypophysial hormones, N-terminal Domain', 9, NULL, 'Hormone_4', 23317),
(79592, 'PF14448', NULL, 'Nuclease N terminal', 58, NULL, 'Nuc_N', 23318),
(79593, 'PF16894', NULL, 'Domain of unknown function (DUF5084)', 130, NULL, 'DUF5084', 23319),
(79594, 'PF01492', NULL, 'Geminivirus C4 protein', 84, NULL, 'Gemini_C4', 23320),
(79595, 'PF12815', NULL, 'Spt5 C-terminal nonapeptide repeat binding Spt4', 71, NULL, 'CTD', 23321),
(79596, 'PF03607', NULL, 'Doublecortin', 60, NULL, 'DCX', 23322),
(79597, 'PF11230', NULL, 'Protein of unknown function (DUF3029)', 485, NULL, 'DUF3029', 23323),
(79598, 'PF14197', NULL, 'Centrosome localisation domain of PPC89', 67, NULL, 'Cep57_CLD_2', 23324),
(79599, 'PF02872', NULL, '5''-nucleotidase, C-terminal domain', 158, NULL, '5_nucleotid_C', 23325),
(79600, 'PF07723', NULL, 'Leucine Rich Repeat', 26, NULL, 'LRR_2', 23326),
(79601, 'PF18967', NULL, 'Family of unknown function (DUF5706)', 107, NULL, 'DUF5706', 23327),
(79602, 'PF10703', NULL, 'MoaF N-terminal domain', 108, NULL, 'MoaF', 23328),
(79603, 'PF11212', NULL, 'Protein of unknown function (DUF2999)', 82, NULL, 'DUF2999', 23329),
(79604, 'PF11844', NULL, 'Domain of unknown function (DUF3364)', 56, NULL, 'DUF3364', 23330),
(79605, 'PF02742', NULL, 'Iron dependent repressor, metal binding and dimerisation domain', 70, NULL, 'Fe_dep_repr_C', 23331),
(79606, 'PF05537', NULL, 'Borrelia burgdorferi protein of unknown function (DUF759)', 429, NULL, 'DUF759', 23332),
(79607, 'PF06683', NULL, 'Protein of unknown function (DUF1184)', 203, NULL, 'DUF1184', 23333),
(79608, 'PF15856', NULL, 'Domain of unknown function (DUF4727)', 216, NULL, 'DUF4727', 23334),
(79609, 'PF17937', NULL, 'Tetracyclin repressor-like, C-terminal domain', 96, NULL, 'TetR_C_28', 23335),
(79610, 'PF10052', NULL, 'Protein of unknown function (DUF2288)', 91, NULL, 'DUF2288', 23336),
(79611, 'PF15114', NULL, 'Uncharacterised protein family UPF0640', 67, NULL, 'UPF0640', 23337),
(79612, 'PF01856', NULL, 'Helicobacter outer membrane protein', 158, NULL, 'HP_OMP', 23338),
(79613, 'PF16548', NULL, 'Flagellar assembly protein T, N-terminal domain', 87, NULL, 'FlgT_N', 23339),
(79614, 'PF01085', NULL, 'Hedgehog amino-terminal signalling domain', 161, NULL, 'HH_signal', 23340),
(79615, 'PF04685', NULL, 'Glycosyl-hydrolase family 116, catalytic region', 361, NULL, 'DUF608', 23341),
(79616, 'PF05383', NULL, 'La domain', 59, NULL, 'La', 23342),
(79617, 'PF06959', NULL, 'RecQ helicase protein-like 5 (RecQ5)', 203, NULL, 'RecQ5', 23343),
(79618, 'PF20061', NULL, 'Family of unknown function (DUF6460)', 36, NULL, 'DUF6460', 23344);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(79619, 'PF02553', NULL, 'Cobalt transport protein component CbiN', 67, NULL, 'CbiN', 23345),
(79620, 'PF15481', NULL, 'Chondroitin proteoglycan 4', 94, NULL, 'CPG4', 23346),
(79621, 'PF09413', NULL, 'Putative prokaryotic signal transducing protein', 67, NULL, 'DUF2007', 23347),
(79622, 'PF11991', NULL, 'Tryptophan dimethylallyltransferase', 364, NULL, 'Trp_DMAT', 23348),
(79623, 'PF01075', NULL, 'Glycosyltransferase family 9 (heptosyltransferase)', 249, NULL, 'Glyco_transf_9', 23349),
(79624, 'PF11415', NULL, 'Antifungal peptide termicin', 35, NULL, 'Toxin_37', 23350),
(79625, 'PF07250', NULL, 'Glyoxal oxidase N-terminus', 243, NULL, 'Glyoxal_oxid_N', 23351),
(79626, 'PF18580', NULL, 'SUN2 helix-turn-helix domain', 58, NULL, 'HTH_SUN2', 23352),
(79627, 'PF14303', NULL, 'No apical meristem-associated C-terminal domain', 165, NULL, 'NAM-associated', 23353),
(79628, 'PF04424', NULL, 'MINDY deubiquitinase', 117, NULL, 'MINDY_DUB', 23354),
(79629, 'PF06385', NULL, 'Baculovirus LEF-11 protein', 93, NULL, 'Baculo_LEF-11', 23355),
(79630, 'PF12607', NULL, 'Protein of unknown function (DUF3772)', 63, NULL, 'DUF3772', 23356),
(79631, 'PF18789', NULL, 'Defence against restriction A C-terminal', 70, NULL, 'DarA_C', 23357),
(79632, 'PF12213', NULL, 'DNA polymerases epsilon N terminal', 73, NULL, 'Dpoe2NT', 23358),
(79633, 'PF16818', NULL, 'Protein SLM4', 161, NULL, 'SLM4', 23359),
(79634, 'PF08905', NULL, 'Domain of unknown function (DUF1850)', 86, NULL, 'DUF1850', 23360),
(79635, 'PF02731', NULL, 'SKIP/SNW domain', 159, NULL, 'SKIP_SNW', 23361),
(79636, 'PF02333', NULL, 'Phytase', 375, NULL, 'Phytase', 23362),
(79637, 'PF12643', NULL, 'MazG-like family', 85, NULL, 'MazG-like', 23363),
(79638, 'PF03770', NULL, 'Inositol polyphosphate kinase', 198, NULL, 'IPK', 23364),
(79639, 'PF02011', NULL, 'Glycosyl hydrolase family 48', 619, NULL, 'Glyco_hydro_48', 23365),
(79640, 'PF17721', NULL, 'Family of unknown function (DUF5566)', 233, NULL, 'DUF5566', 23366),
(79641, 'PF16681', NULL, 'Ig-like domain on T-cell surface glycoprotein CD3 epsilon chain', 83, NULL, 'Ig_5', 23367),
(79642, 'PF03232', NULL, 'Ubiquinone biosynthesis protein COQ7', 172, NULL, 'COQ7', 23368),
(79643, 'PF04846', NULL, 'Herpesvirus pp38 phosphoprotein', 63, NULL, 'Herpes_pp38', 23369),
(79644, 'PF10486', NULL, 'Phosphoinositide 3-kinase gamma adapter protein p101 subunit', 860, NULL, 'PI3K_1B_p101', 23370),
(79645, 'PF12906', NULL, 'RING-variant domain', 48, NULL, 'RINGv', 23371),
(79646, 'PF00416', NULL, 'Ribosomal protein S13/S18', 128, NULL, 'Ribosomal_S13', 23372),
(79647, 'PF03778', NULL, 'Protein of unknown function (DUF321)', 23, NULL, 'DUF321', 23373),
(79648, 'PF18714', NULL, 'DNA polymerase II intein Domain IV', 150, NULL, 'PI-TkoII_IV', 23374),
(79649, 'PF10553', NULL, 'MSV199 domain', 132, NULL, 'MSV199', 23375),
(79650, 'PF17810', NULL, 'Arginine decarboxylase helical bundle domain', 84, NULL, 'Arg_decarb_HB', 23376),
(79651, 'PF02100', NULL, 'Ornithine decarboxylase antizyme', 114, NULL, 'ODC_AZ', 23377),
(79652, 'PF18423', NULL, 'Zinc binding domain', 62, NULL, 'zf_CopZ', 23378),
(79653, 'PF10229', NULL, 'Methylmalonic aciduria and homocystinuria type D protein', 272, NULL, 'MMADHC', 23379),
(79654, 'PF14975', NULL, 'Domain of unknown function (DUF4512)', 103, NULL, 'DUF4512', 23380),
(79655, 'PF16794', NULL, 'Fibronectin-III type domain', 101, NULL, 'fn3_4', 23381),
(79656, 'PF06740', NULL, 'Protein of unknown function (DUF1213)', 34, NULL, 'DUF1213', 23382),
(79657, 'PF10063', NULL, 'Uncharacterized integral membrane protein (DUF2301)', 135, NULL, 'DUF2301', 23383),
(79658, 'PF04627', NULL, 'Mitochondrial ATP synthase epsilon chain', 49, NULL, 'ATP-synt_Eps', 23384),
(79659, 'PF19259', NULL, 'Ty3 transposon capsid-like protein', 198, NULL, 'Ty3_capsid', 23385),
(79660, 'PF14295', NULL, 'PAN domain', 51, NULL, 'PAN_4', 23386),
(79661, 'PF19390', NULL, 'Family of unknown function (DUF5965)', 74, NULL, 'DUF5965', 23387),
(79662, 'PF19319', NULL, 'Domain of unknown function (DUF5919)', 161, NULL, 'DUF5919', 23388),
(79663, 'PF05805', NULL, 'L6 membrane protein', 195, NULL, 'L6_membrane', 23389);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(79664, 'PF09400', NULL, 'Protein of unknown function (DUF2002)', 110, NULL, 'DUF2002', 23390),
(79665, 'PF15092', NULL, 'Uncharacterised protein family UPF0728', 88, NULL, 'UPF0728', 23391),
(79666, 'PF06889', NULL, 'Protein of unknown function (DUF1266)', 178, NULL, 'DUF1266', 23392),
(79667, 'PF11882', NULL, 'Domain of unknown function (DUF3402)', 463, NULL, 'DUF3402', 23393),
(79668, 'PF19003', NULL, 'Family of unknown function (DUF5732)', 85, NULL, 'DUF5732', 23394),
(79669, 'PF18536', NULL, 'Domain of unknown function (DUF5623)', 126, NULL, 'DUF5623', 23395),
(79670, 'PF18257', NULL, 'Disulfide isomerase DsbG N-terminal', 90, NULL, 'DsbG_N', 23396),
(79671, 'PF16050', NULL, 'Paf1 complex subunit CDC73 N-terminal', 301, NULL, 'CDC73_N', 23397),
(79672, 'PF16291', NULL, 'Domain of unknown function (DUF4937', 89, NULL, 'DUF4937', 23398),
(79673, 'PF04325', NULL, 'Protein of unknown function (DUF465)', 47, NULL, 'DUF465', 23399),
(79674, 'PF01315', NULL, 'Aldehyde oxidase and xanthine dehydrogenase, a/b hammerhead domain', 110, NULL, 'Ald_Xan_dh_C', 23400),
(79675, 'PF04421', NULL, 'Mss4 protein', 94, NULL, 'Mss4', 23401),
(79676, 'PF13847', NULL, 'Methyltransferase domain', 152, NULL, 'Methyltransf_31', 23402),
(79677, 'PF13980', NULL, 'Uncharacterised protein family (UPF0370)', 61, NULL, 'UPF0370', 23403),
(79678, 'PF11847', NULL, 'Alpha-(1->3)-arabinofuranosyltransferase', 664, NULL, 'DUF3367', 23404),
(79679, 'PF02571', NULL, 'Precorrin-6x reductase CbiJ/CobK', 233, NULL, 'CbiJ', 23405),
(79680, 'PF09504', NULL, 'Bsp6I restriction endonuclease', 179, NULL, 'RE_Bsp6I', 23406),
(79681, 'PF14225', NULL, 'Cell morphogenesis C-terminal', 253, NULL, 'MOR2-PAG1_C', 23407),
(79682, 'PF05465', NULL, 'Halobacterial gas vesicle protein C (GVPC) repeat', 32, NULL, 'Halo_GVPC', 23408),
(79683, 'PF14145', NULL, 'YrhK-like protein', 61, NULL, 'YrhK', 23409),
(79684, 'PF11555', NULL, 'EGFR receptor inhibitor Mig-6', 74, NULL, 'Inhibitor_Mig-6', 23410),
(79685, 'PF10066', NULL, 'Uncharacterized conserved protein (DUF2304)', 106, NULL, 'DUF2304', 23411),
(79686, 'PF11485', NULL, 'Protein of unknown function (DUF3211)', 136, NULL, 'DUF3211', 23412),
(79687, 'PF00415', NULL, 'Regulator of chromosome condensation (RCC1) repeat', 50, NULL, 'RCC1', 23413),
(79688, 'PF14894', NULL, 'Lsm C-terminal', 63, NULL, 'Lsm_C', 23414),
(79689, 'PF00556', NULL, 'Antenna complex alpha/beta subunit', 39, NULL, 'LHC', 23415),
(79690, 'PF05720', NULL, 'Cell-cell adhesion domain', 82, NULL, 'Dicty_CAD', 23416),
(79691, 'PF19361', NULL, 'Family of unknown function (DUF5937)', 268, NULL, 'DUF5937', 23417),
(79692, 'PF04786', NULL, 'ssDNA binding protein', 248, NULL, 'Baculo_DNA_bind', 23418),
(79693, 'PF06422', NULL, 'CDR ABC transporter', 92, NULL, 'PDR_CDR', 23419),
(79694, 'PF19124', NULL, 'Family of unknown function (DUF5808)', 26, NULL, 'DUF5808', 23420),
(79695, 'PF18926', NULL, '2TM family of unknown function (DUF5676)', 82, NULL, 'DUF5676', 23421),
(79696, 'PF13616', NULL, 'PPIC-type PPIASE domain', 116, NULL, 'Rotamase_3', 23422),
(79697, 'PF18656', NULL, 'Family of unknown function (DUF5633)', 41, NULL, 'DUF5633', 23423),
(79698, 'PF15677', NULL, 'Cell cycle exit and neuronal differentiation protein 1', 147, NULL, 'CEND1', 23424),
(79699, 'PF06680', NULL, 'Protein of unknown function (DUF1181)', 120, NULL, 'DUF1181', 23425),
(79700, 'PF08106', NULL, 'Formaecin family', 16, NULL, 'Antimicrobial11', 23426),
(79701, 'PF15228', NULL, 'Death-associated protein', 98, NULL, 'DAP', 23427),
(79702, 'PF00105', NULL, 'Zinc finger, C4 type (two domains)', 70, NULL, 'zf-C4', 23428),
(79703, 'PF11111', NULL, 'Centromere protein M (CENP-M)', 174, NULL, 'CENP-M', 23429),
(79704, 'PF02497', NULL, 'Arterivirus glycoprotein', 178, NULL, 'Arteri_GP4', 23430),
(79705, 'PF12138', NULL, 'Spherulation-specific family 4', 240, NULL, 'Spherulin4', 23431),
(79706, 'PF05847', NULL, 'Nucleopolyhedrovirus late expression factor 3 (LEF-3)', 364, NULL, 'Baculo_LEF-3', 23432),
(79707, 'PF13414', NULL, 'TPR repeat', 42, NULL, 'TPR_11', 23433),
(79708, 'PF18923', NULL, 'Domain of unknown function (DUF5673)', 66, NULL, 'DUF5673', 23434);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(79709, 'PF11659', NULL, 'Protein of unknown function (DUF3261)', 139, NULL, 'DUF3261', 23435),
(79710, 'PF01245', NULL, 'Ribosomal protein L19', 111, NULL, 'Ribosomal_L19', 23436),
(79711, 'PF01750', NULL, 'Hydrogenase maturation protease', 130, NULL, 'HycI', 23437),
(79712, 'PF00395', NULL, 'S-layer homology domain', 44, NULL, 'SLH', 23438),
(79713, 'PF05086', NULL, 'Dictyostelium (Slime Mold) REP protein', 911, NULL, 'Dicty_REP', 23439),
(79714, 'PF13416', NULL, 'Bacterial extracellular solute-binding protein', 284, NULL, 'SBP_bac_8', 23440),
(79715, 'PF09318', NULL, 'Glycosyl transferase 1 domain A', 199, NULL, 'Glyco_trans_A_1', 23441),
(79716, 'PF04632', NULL, 'Fusaric acid resistance protein family', 657, NULL, 'FUSC', 23442),
(79717, 'PF16736', NULL, 'Single Cache-like', 117, NULL, 'sCache_like', 23443),
(79718, 'PF17182', NULL, 'OSK domain', 202, NULL, 'OSK', 23444),
(79719, 'PF17829', NULL, 'Gylcosyl hydrolase family 115 C-terminal domain', 172, NULL, 'GH115_C', 23445),
(79720, 'PF02256', NULL, 'Iron hydrogenase small subunit', 56, NULL, 'Fe_hyd_SSU', 23446),
(79721, 'PF19502', NULL, 'Nucleotidyltransferase of unknown function (DUF6036)', 173, NULL, 'DUF6036', 23447),
(79722, 'PF09851', NULL, 'Short C-terminal domain', 28, NULL, 'SHOCT', 23448),
(79723, 'PF01219', NULL, 'Prokaryotic diacylglycerol kinase', 102, NULL, 'DAGK_prokar', 23449),
(79724, 'PF15540', NULL, 'Bacterial toxin 47', 112, NULL, 'Ntox47', 23450),
(79725, 'PF08360', NULL, 'QacR-like protein, C-terminal region', 131, NULL, 'TetR_C_5', 23451),
(79726, 'PF15542', NULL, 'Bacterial toxin 50', 93, NULL, 'Ntox50', 23452),
(79727, 'PF07177', NULL, 'Neuralized', 150, NULL, 'Neuralized', 23453),
(79728, 'PF17025', NULL, 'Domain of unknown function (DUF5099)', 109, NULL, 'DUF5099', 23454),
(79729, 'PF10498', NULL, 'Intra-flagellar transport protein 57', 359, NULL, 'IFT57', 23455),
(79730, 'PF11548', NULL, 'Protein-tyrosine phosphatase receptor IA-2', 89, NULL, 'Receptor_IA-2', 23456),
(79731, 'PF11504', NULL, 'Colicin Ia', 72, NULL, 'Colicin_Ia', 23457),
(79732, 'PF12077', NULL, 'Transmembrane protein of unknown function (DUF3556)', 572, NULL, 'DUF3556', 23458),
(79733, 'PF05291', NULL, 'Bystin', 292, NULL, 'Bystin', 23459),
(79734, 'PF09485', NULL, 'CRISPR-associated protein Cse2 (CRISPR_cse2)', 138, NULL, 'CRISPR_Cse2', 23460),
(79735, 'PF11885', NULL, 'Protein of unknown function (DUF3405)', 516, NULL, 'DUF3405', 23461),
(79736, 'PF14484', NULL, 'Fish-specific NACHT associated domain', 72, NULL, 'FISNA', 23462),
(79737, 'PF06807', NULL, 'Pre-mRNA cleavage complex II protein Clp1', 117, NULL, 'Clp1', 23463),
(79738, 'PF13258', NULL, 'Domain of unknown function (DUF4049)', 324, NULL, 'DUF4049', 23464),
(79739, 'PF14434', NULL, 'Immunity protein Imm6', 121, NULL, 'Imm6', 23465),
(79740, 'PF08133', NULL, 'Anticodon nuclease activator family', 26, NULL, 'Nuclease_act', 23466),
(79741, 'PF08648', NULL, 'U4/U6.U5 small nuclear ribonucleoproteins', 56, NULL, 'SNRNP27', 23467),
(79742, 'PF15353', NULL, 'Headcase protein family homologue', 102, NULL, 'HECA', 23468),
(79743, 'PF02050', NULL, 'Flagellar FliJ protein', 123, NULL, 'FliJ', 23469),
(79744, 'PF11584', NULL, 'Proteinaceous host-selective toxin ToxA', 117, NULL, 'Toxin_ToxA', 23470),
(79745, 'PF06203', NULL, 'CCT motif', 44, NULL, 'CCT', 23471),
(79746, 'PF05436', NULL, 'Mating factor alpha precursor N-terminus', 88, NULL, 'MF_alpha_N', 23472),
(79747, 'PF19185', NULL, 'Family of unknown function (DUF5867)', 274, NULL, 'DUF5867', 23473),
(79748, 'PF00482', NULL, 'Type II secretion system (T2SS), protein F', 125, NULL, 'T2SSF', 23474),
(79749, 'PF01818', NULL, 'Bacteriophage translational regulator', 121, NULL, 'Translat_reg', 23475),
(79750, 'PF03590', NULL, 'Aspartate-ammonia ligase', 228, NULL, 'AsnA', 23476),
(79751, 'PF16362', NULL, 'YaiA protein', 63, NULL, 'YaiA', 23477),
(79752, 'PF00270', NULL, 'DEAD/DEAH box helicase', 176, NULL, 'DEAD', 23478),
(79753, 'PF05734', NULL, 'Herpesvirus protein of unknown function (DUF832)', 228, NULL, 'DUF832', 23479),
(79754, 'PF13934', NULL, 'Nuclear pore complex assembly', 222, NULL, 'ELYS', 23480);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(79755, 'PF04212', NULL, 'MIT (microtubule interacting and transport) domain', 65, NULL, 'MIT', 23481),
(79756, 'PF10405', NULL, 'Rad4 beta-hairpin domain 3', 76, NULL, 'BHD_3', 23482),
(79757, 'PF14475', NULL, 'Sec1-binding region of Mso1', 40, NULL, 'Mso1_Sec1_bdg', 23483),
(79758, 'PF03617', NULL, 'IBV 3A protein', 57, NULL, 'IBV_3A', 23484),
(79759, 'PF08273', NULL, 'Zinc-binding domain of primase-helicase', 38, NULL, 'Prim_Zn_Ribbon', 23485),
(79760, 'PF19900', NULL, 'Family of unknown function (DUF6373)', 54, NULL, 'DUF6373', 23486),
(79761, 'PF07921', NULL, 'Fibritin C-terminal region', 93, NULL, 'Fibritin_C', 23487),
(79762, 'PF20084', NULL, 'Conjugative transfer region protein TrbK', 109, NULL, 'TrbK', 23488),
(79763, 'PF09067', NULL, 'Erythropoietin receptor, ligand binding', 104, NULL, 'EpoR_lig-bind', 23489),
(79764, 'PF05696', NULL, 'Protein of unknown function (DUF826)', 65, NULL, 'DUF826', 23490),
(79765, 'PF00772', NULL, 'DnaB-like helicase N terminal domain', 103, NULL, 'DnaB', 23491),
(79766, 'PF03168', NULL, 'Late embryogenesis abundant protein', 101, NULL, 'LEA_2', 23492),
(79767, 'PF11355', NULL, 'Protein of unknown function (DUF3157)', 199, NULL, 'DUF3157', 23493),
(79768, 'PF00085', NULL, 'Thioredoxin', 103, NULL, 'Thioredoxin', 23494),
(79769, 'PF19260', NULL, 'Family of unknown function (DUF5903)', 129, NULL, 'DUF5903', 23495),
(79770, 'PF00681', NULL, 'Plectin repeat', 39, NULL, 'Plectin', 23496),
(79771, 'PF12566', NULL, 'Protein of unknown function (DUF3748)', 123, NULL, 'DUF3748', 23497),
(79772, 'PF10715', NULL, 'T4-page Endoribonuclease RegB', 150, NULL, 'REGB_T4', 23498),
(79773, 'PF08653', NULL, 'DASH complex subunit Dam1', 56, NULL, 'DASH_Dam1', 23499),
(79774, 'PF07677', NULL, 'A-macroglobulin receptor binding domain', 94, NULL, 'A2M_recep', 23500),
(79775, 'PF07913', NULL, 'Protein of unknown function (DUF1678)', 196, NULL, 'DUF1678', 23501),
(79776, 'PF07041', NULL, 'Protein of unknown function (DUF1327)', 113, NULL, 'DUF1327', 23502),
(79777, 'PF04672', NULL, 'S-adenosyl methyltransferase', 268, NULL, 'Methyltransf_19', 23503),
(79778, 'PF10081', NULL, 'Alpha/beta-hydrolase family', 288, NULL, 'Abhydrolase_9', 23504),
(79779, 'PF09331', NULL, 'Domain of unknown function (DUF1985)', 141, NULL, 'DUF1985', 23505),
(79780, 'PF11951', NULL, 'Fungal specific transcription factor domain', 384, NULL, 'Fungal_trans_2', 23506),
(79781, 'PF17383', NULL, 'Uncharacterized KorC regulated protein A', 76, NULL, 'kleA_kleC', 23507),
(79782, 'PF09418', NULL, 'Protein of unknown function (DUF2009)', 456, NULL, 'DUF2009', 23508),
(79783, 'PF15102', NULL, 'TMEM154 protein family', 153, NULL, 'TMEM154', 23509),
(79784, 'PF16401', NULL, 'Domain of unknown function (DUF5009)', 260, NULL, 'DUF5009', 23510),
(79785, 'PF09743', NULL, 'E3 UFM1-protein ligase 1', 272, NULL, 'E3_UFM1_ligase', 23511),
(79786, 'PF15087', NULL, 'Protein of unknown function (DUF4551)', 614, NULL, 'DUF4551', 23512),
(79787, 'PF02353', NULL, 'Mycolic acid cyclopropane synthetase', 273, NULL, 'CMAS', 23513),
(79788, 'PF14184', NULL, 'Regulatory protein YrvL', 127, NULL, 'YrvL', 23514),
(79789, 'PF06859', NULL, 'Bicoid-interacting protein 3 (Bin3)', 108, NULL, 'Bin3', 23515),
(79790, 'PF12741', NULL, 'Susd and RagB outer membrane lipoprotein', 496, NULL, 'SusD-like', 23516),
(79791, 'PF12685', NULL, 'SpoIIIAH-like protein', 212, NULL, 'SpoIIIAH', 23517),
(79792, 'PF17337', NULL, 'Galactose-inhibitable lectin 35 kDa subunit', 225, NULL, 'Gal_GalNac_35kD', 23518),
(79793, 'PF11439', NULL, 'Type III secretion system filament chaperone CesA', 95, NULL, 'T3SchapCesA', 23519),
(79794, 'PF03118', NULL, 'Bacterial RNA polymerase, alpha chain C terminal domain', 67, NULL, 'RNA_pol_A_CTD', 23520),
(79795, 'PF10950', NULL, 'Organ specific protein', 117, NULL, 'Organ_specific', 23521),
(79796, 'PF11162', NULL, 'Protein of unknown function (DUF2946)', 116, NULL, 'DUF2946', 23522),
(79797, 'PF01949', NULL, 'Protein of unknown function DUF99', 183, NULL, 'DUF99', 23523),
(79798, 'PF12005', NULL, 'Protein of unknown function (DUF3499)', 124, NULL, 'DUF3499', 23524);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(79799, 'PF13112', NULL, 'Protein of unknown function (DUF3965)', 291, NULL, 'DUF3965', 23525),
(79800, 'PF19681', NULL, 'Family of unknown function (DUF6183)', 364, NULL, 'DUF6183', 23526),
(79801, 'PF07195', NULL, 'Flagellar hook-associated protein 2 C-terminus', 240, NULL, 'FliD_C', 23527),
(79802, 'PF01993', NULL, 'methylene-5,6,7,8-tetrahydromethanopterin dehydrogenase', 274, NULL, 'MTD', 23528),
(79803, 'PF14337', NULL, 'Abortive infection alpha', 194, NULL, 'Abi_alpha', 23529),
(79804, 'PF07152', NULL, 'YaeQ protein', 173, NULL, 'YaeQ', 23530),
(79805, 'PF07366', NULL, 'SnoaL-like polyketide cyclase', 126, NULL, 'SnoaL', 23531),
(79806, 'PF05412', NULL, 'Equine arterivirus Nsp2-type cysteine proteinase', 108, NULL, 'Peptidase_C33', 23532),
(79807, 'PF18214', NULL, 'STATa Immunoglobulin-like domain', 122, NULL, 'STATa_Ig', 23533),
(79808, 'PF03763', NULL, 'Remorin, C-terminal region', 107, NULL, 'Remorin_C', 23534),
(79809, 'PF16565', NULL, 'Phospholipase D-like domain at C-terminus of MIT', 141, NULL, 'MIT_C', 23535),
(79810, 'PF00044', NULL, 'Glyceraldehyde 3-phosphate dehydrogenase, NAD binding domain', 101, NULL, 'Gp_dh_N', 23536),
(79811, 'PF02513', NULL, 'Spin/Ssty Family', 50, NULL, 'Spin-Ssty', 23537),
(79812, 'PF13261', NULL, 'Protein of unknown function (DUF4052)', 217, NULL, 'DUF4052', 23538),
(79813, 'PF04529', NULL, 'Herpesvirus U59 protein', 367, NULL, 'Herpes_U59', 23539),
(79814, 'PF09697', NULL, 'Protein of unknown function (Porph_ging)', 83, NULL, 'Porph_ging', 23540),
(79815, 'PF09840', NULL, 'Uncharacterized protein conserved in archaea (DUF2067)', 186, NULL, 'DUF2067', 23541),
(79816, 'PF05233', NULL, 'PHB accumulation regulatory domain', 40, NULL, 'PHB_acc', 23542),
(79817, 'PF19710', NULL, 'PIK3 catalytic subunit gamma adaptor-binding domain', 195, NULL, 'PIK3CG_ABD', 23543),
(79818, 'PF08783', NULL, 'DWNN domain', 74, NULL, 'DWNN', 23544),
(79819, 'PF00879', NULL, 'Defensin propeptide', 51, NULL, 'Defensin_propep', 23545),
(79820, 'PF04636', NULL, 'PA26 p53-induced protein (sestrin)', 443, NULL, 'PA26', 23546),
(79821, 'PF00475', NULL, 'Imidazoleglycerol-phosphate dehydratase', 144, NULL, 'IGPD', 23547),
(79822, 'PF10370', NULL, 'Domain of unknown function (DUF2437)', 50, NULL, 'DUF2437', 23548),
(79823, 'PF18235', NULL, 'Oligosaccharyltransferase Peripheral 2 domain', 133, NULL, 'OST_P2', 23549),
(79824, 'PF00855', NULL, 'PWWP domain', 93, NULL, 'PWWP', 23550),
(79825, 'PF09812', NULL, 'Mitochondrial ribosomal protein L28', 157, NULL, 'MRP-L28', 23551),
(79826, 'PF07072', NULL, 'Cell division protein', 210, NULL, 'ZapD', 23552),
(79827, 'PF00657', NULL, 'GDSL-like Lipase/Acylhydrolase', 224, NULL, 'Lipase_GDSL', 23553),
(79828, 'PF15630', NULL, 'CENP-S protein', 76, NULL, 'CENP-S', 23554),
(79829, 'PF07691', NULL, 'PA14 domain', 147, NULL, 'PA14', 23555),
(79830, 'PF14866', NULL, 'Potassium channel toxin', 57, NULL, 'Toxin_38', 23556),
(79831, 'PF06839', NULL, 'GRF zinc finger', 45, NULL, 'zf-GRF', 23557),
(79832, 'PF04866', NULL, 'Rotavirus non-structural protein 6', 92, NULL, 'Rota_NS6', 23558),
(79833, 'PF13007', NULL, 'Transposase C of IS166 homeodomain', 69, NULL, 'LZ_Tnp_IS66', 23559),
(79834, 'PF05390', NULL, 'Yeast cell wall synthesis protein KRE9/KNH1', 102, NULL, 'KRE9', 23560),
(79835, 'PF05943', NULL, 'EvpB/VC_A0108, tail sheath N-terminal domain', 302, NULL, 'VipB', 23561),
(79836, 'PF12860', NULL, 'PAS fold', 115, NULL, 'PAS_7', 23562),
(79837, 'PF13975', NULL, 'gag-polyprotein putative aspartyl protease', 92, NULL, 'gag-asp_proteas', 23563),
(79838, 'PF02844', NULL, 'Phosphoribosylglycinamide synthetase, N domain', 100, NULL, 'GARS_N', 23564),
(79839, 'PF17927', NULL, 'Inositol 1,3,4-trisphosphate 5/6-kinase pre-ATP-grasp domain', 80, NULL, 'Ins134_P3_kin_N', 23565),
(79840, 'PF08411', NULL, 'Exonuclease C-terminal', 269, NULL, 'Exonuc_X-T_C', 23566),
(79841, 'PF16229', NULL, 'Domain of unknown function (DUF4888)', 141, NULL, 'DUF4888', 23567),
(79842, 'PF15597', NULL, 'Immunity protein 59', 100, NULL, 'Imm59', 23568),
(79843, 'PF10149', NULL, 'Transmembrane protein 231', 299, NULL, 'TM231', 23569);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(79844, 'PF10961', NULL, 'Selenoprotein SelK_SelG', 86, NULL, 'SelK_SelG', 23570),
(79845, 'PF12708', NULL, 'Pectate lyase superfamily protein', 215, NULL, 'Pectate_lyase_3', 23571),
(79846, 'PF01290', NULL, 'Thymosin beta-4 family', 39, NULL, 'Thymosin', 23572),
(79847, 'PF05876', NULL, 'Phage terminase large subunit (GpA)', 558, NULL, 'Terminase_GpA', 23573),
(79848, 'PF18466', NULL, 'Glutamate--tRNA ligase N-terminal domain', 55, NULL, 'GluRS_N', 23574),
(79849, 'PF09193', NULL, 'Cholecystokinin A receptor, N-terminal', 47, NULL, 'CholecysA-Rec_N', 23575),
(79850, 'PF18490', NULL, 'tRNA-binding domain', 162, NULL, 'tRNA_bind_4', 23576),
(79851, 'PF15558', NULL, 'Domain of unknown function (DUF4659)', 374, NULL, 'DUF4659', 23577),
(79852, 'PF08249', NULL, 'Mastoparan protein', 14, NULL, 'Mastoparan', 23578),
(79853, 'PF04777', NULL, 'Erv1 / Alr family', 95, NULL, 'Evr1_Alr', 23579),
(79854, 'PF04589', NULL, 'RFX1 transcription activation region', 163, NULL, 'RFX1_trans_act', 23580),
(79855, 'PF02300', NULL, 'Fumarate reductase subunit C', 127, NULL, 'Fumarate_red_C', 23581),
(79856, 'PF06993', NULL, 'Protein of unknown function (DUF1304)', 110, NULL, 'DUF1304', 23582),
(79857, 'PF18327', NULL, 'Proline utilization A proline dehydrogenase N-terminal domain', 48, NULL, 'PRODH', 23583),
(79858, 'PF09994', NULL, 'Uncharacterized alpha/beta hydrolase domain (DUF2235)', 285, NULL, 'DUF2235', 23584),
(79859, 'PF10047', NULL, 'Protein of unknown function (DUF2281)', 64, NULL, 'DUF2281', 23585),
(79860, 'PF10559', NULL, 'Plug domain of Sec61p', 35, NULL, 'Plug_translocon', 23586),
(79861, 'PF13881', NULL, 'Ubiquitin-2 like Rad60 SUMO-like', 111, NULL, 'Rad60-SLD_2', 23587),
(79862, 'PF06817', NULL, 'Reverse transcriptase thumb domain', 66, NULL, 'RVT_thumb', 23588),
(79863, 'PF16031', NULL, 'TonB polyproline region', 134, NULL, 'TonB_N', 23589),
(79864, 'PF13010', NULL, 'Primase helical domain', 136, NULL, 'pRN1_helical', 23590),
(79865, 'PF16164', NULL, 'VWA N-terminal', 79, NULL, 'VWA_N2', 23591),
(79866, 'PF03220', NULL, 'Tombusvirus P19 core protein', 171, NULL, 'Tombus_P19', 23592),
(79867, 'PF07583', NULL, 'Protein of unknown function (DUF1549)', 209, NULL, 'PSCyt2', 23593),
(79868, 'PF05712', NULL, 'MRG', 208, NULL, 'MRG', 23594),
(79869, 'PF14240', NULL, 'YHYH protein', 198, NULL, 'YHYH', 23595),
(79870, 'PF16753', NULL, 'TNF-alpha-Inducing protein of Helicobacter', 151, NULL, 'Tipalpha', 23596),
(79871, 'PF00097', NULL, 'Zinc finger, C3HC4 type (RING finger)', 41, NULL, 'zf-C3HC4', 23597),
(79872, 'PF05075', NULL, 'Protein of unknown function (DUF684)', 338, NULL, 'DUF684', 23598),
(79873, 'PF10150', NULL, 'Ribonuclease E/G family', 270, NULL, 'RNase_E_G', 23599),
(79874, 'PF09724', NULL, 'Sister chromatid cohesion protein Dcc1', 336, NULL, 'Dcc1', 23600),
(79875, 'PF17990', NULL, 'L-Lysine epsilon oxidase N-terminal', 223, NULL, 'LodA_N', 23601),
(79876, 'PF06736', NULL, 'Endosomal/lysosomal potassium channel TMEM175', 88, NULL, 'TMEM175', 23602),
(79877, 'PF16103', NULL, 'Domain of unknown function (DUF4822)', 123, NULL, 'DUF4822', 23603),
(79878, 'PF08983', NULL, 'Domain of unknown function (DUF1856)', 48, NULL, 'DUF1856', 23604),
(79879, 'PF06224', NULL, 'Winged helix DNA-binding domain', 329, NULL, 'HTH_42', 23605),
(79880, 'PF04084', NULL, 'Origin recognition complex subunit 2', 334, NULL, 'ORC2', 23606),
(79881, 'PF13133', NULL, 'Protein of unknown function (DUF3949)', 60, NULL, 'DUF3949', 23607),
(79882, 'PF18691', NULL, 'Cell division control protein 13, OB2 domain', 111, NULL, 'Cdc13_OB2', 23608),
(79883, 'PF18759', NULL, 'Plavaka transposase', 325, NULL, 'Plavaka', 23609),
(79884, 'PF09831', NULL, 'Uncharacterized protein conserved in bacteria (DUF2058)', 174, NULL, 'DUF2058', 23610),
(79885, 'PF17596', NULL, 'Family of unknown function (DUF5492)', 80, NULL, 'DUF5492', 23611),
(79886, 'PF05031', NULL, 'Iron Transport-associated domain', 119, NULL, 'NEAT', 23612),
(79887, 'PF15865', NULL, 'Fanconi anaemia group A protein N terminus', 354, NULL, 'Fanconi_A_N', 23613),
(79888, 'PF12474', NULL, 'Polo kinase kinase', 139, NULL, 'PKK', 23614);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(79889, 'PF13082', NULL, 'Protein of unknown function (DUF3931)', 66, NULL, 'DUF3931', 23615),
(79890, 'PF13252', NULL, 'Protein of unknown function (DUF4043)', 350, NULL, 'DUF4043', 23616),
(79891, 'PF09519', NULL, 'HindVP restriction endonuclease', 332, NULL, 'RE_HindVP', 23617),
(79892, 'PF00904', NULL, 'Involucrin repeat', 10, NULL, 'Involucrin', 23618),
(79893, 'PF02386', NULL, 'Cation transport protein', 502, NULL, 'TrkH', 23619),
(79894, 'PF19906', NULL, 'Domain of unknown function (DUF6379)', 112, NULL, 'DUF6379', 23620),
(79895, 'PF19151', NULL, 'Sublancin', 57, NULL, 'Sublancin', 23621),
(79896, 'PF09765', NULL, 'FANCL UBC-like domain 1', 89, NULL, 'FANCL_d1', 23622),
(79897, 'PF12183', NULL, 'Restriction endonuclease NotI', 232, NULL, 'NotI', 23623),
(79898, 'PF06127', NULL, 'Protein of unknown function (DUF962)', 95, NULL, 'DUF962', 23624),
(79899, 'PF17076', NULL, 'SBE2, cell-wall formation', 820, NULL, 'SBE2', 23625),
(79900, 'PF10082', NULL, 'Putative beta-barrel porin 2', 378, NULL, 'BBP2_2', 23626),
(79901, 'PF03227', NULL, 'Gamma interferon inducible lysosomal thiol reductase (GILT)', 107, NULL, 'GILT', 23627),
(79902, 'PF03078', NULL, 'ATHILA ORF-1 family', 458, NULL, 'ATHILA', 23628),
(79903, 'PF18104', NULL, 'Jumonji domain-containing protein 2A Tudor domain', 35, NULL, 'Tudor_2', 23629),
(79904, 'PF04514', NULL, 'Bluetongue virus non-structural protein NS2', 349, NULL, 'BTV_NS2', 23630),
(79905, 'PF08436', NULL, '1-deoxy-D-xylulose 5-phosphate reductoisomerase C-terminal domain', 84, NULL, 'DXP_redisom_C', 23631),
(79906, 'PF05512', NULL, 'AWPM-19-like family', 142, NULL, 'AWPM-19', 23632),
(79907, 'PF02325', NULL, 'YGGT family', 69, NULL, 'YGGT', 23633),
(79908, 'PF19798', NULL, 'Sulfotransferase domain', 226, NULL, 'Sulfotransfer_5', 23634),
(79909, 'PF05034', NULL, 'Methylaspartate ammonia-lyase N-terminus', 159, NULL, 'MAAL_N', 23635),
(79910, 'PF16493', NULL, 'N-terminal of Homeobox Meis and PKNOX1', 86, NULL, 'Meis_PKNOX_N', 23636),
(79911, 'PF18245', NULL, '5-3 exonuclease XRN1 DCP1-binding motif', 26, NULL, 'XRN1_DBM', 23637),
(79912, 'PF04658', NULL, 'TAFII55 protein conserved region', 161, NULL, 'TAFII55_N', 23638),
(79913, 'PF07431', NULL, 'Protein of unknown function (DUF1512)', 356, NULL, 'DUF1512', 23639),
(79914, 'PF15651', NULL, 'Salivary glad secreted protein domain toxin', 97, NULL, 'Tox-SGS', 23640),
(79915, 'PF09641', NULL, 'Protein of unknown function (DUF2026)', 205, NULL, 'DUF2026', 23641),
(79916, 'PF13869', NULL, 'Nucleotide hydrolase', 188, NULL, 'NUDIX_2', 23642),
(79917, 'PF13267', NULL, 'Protein of unknown function (DUF4058)', 254, NULL, 'DUF4058', 23643),
(79918, 'PF03961', NULL, 'Flagellar Assembly Protein A', 454, NULL, 'FapA', 23644),
(79919, 'PF15794', NULL, 'Coiled-coil domain-containing protein 106', 223, NULL, 'CCDC106', 23645),
(79920, 'PF12023', NULL, 'Domain of unknown function (DUF3511)', 45, NULL, 'DUF3511', 23646),
(79921, 'PF10711', NULL, 'Hypothetical protein (DUF2513)', 101, NULL, 'DUF2513', 23647),
(79922, 'PF03256', NULL, 'Anaphase-promoting complex, subunit 10 (APC10)', 185, NULL, 'ANAPC10', 23648),
(79923, 'PF08793', NULL, '2-cysteine adaptor domain', 35, NULL, '2C_adapt', 23649),
(79924, 'PF18054', NULL, 'CEL-III C-terminal', 154, NULL, 'CEL_III_C', 23650),
(79925, 'PF16643', NULL, 'Unstructured region on cNMP-binding protein', 155, NULL, 'cNMPbd_u2', 23651),
(79926, 'PF13806', NULL, 'Rieske-like [2Fe-2S] domain', 104, NULL, 'Rieske_2', 23652),
(79927, 'PF17331', NULL, 'GFD1 mRNA transport factor', 44, NULL, 'GFD1', 23653),
(79928, 'PF19652', NULL, 'Family of unknown function (DUF6155)', 170, NULL, 'DUF6155', 23654),
(79929, 'PF06958', NULL, 'S-type Pyocin', 139, NULL, 'Pyocin_S', 23655),
(79930, 'PF02234', NULL, 'Cyclin-dependent kinase inhibitor', 49, NULL, 'CDI', 23656),
(79931, 'PF18472', NULL, 'HP1451 C-terminal domain', 67, NULL, 'HP1451_C', 23657),
(79932, 'PF05423', NULL, 'Mycobacterium membrane protein', 139, NULL, 'Mycobact_memb', 23658),
(79933, 'PF02753', NULL, 'Pili assembly chaperone PapD, C-terminal domain', 63, NULL, 'PapD_C', 23659);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(79934, 'PF06781', NULL, 'Cell division protein CrgA', 89, NULL, 'CrgA', 23660),
(79935, 'PF16399', NULL, 'Intron-binding protein aquarius N-terminus', 798, NULL, 'Aquarius_N', 23661),
(79936, 'PF17855', NULL, 'MCM AAA-lid domain', 87, NULL, 'MCM_lid', 23662),
(79937, 'PF18720', NULL, 'Tenascin EGF domain', 29, NULL, 'EGF_Tenascin', 23663),
(79938, 'PF04238', NULL, 'Protein of unknown function (DUF420)', 131, NULL, 'DUF420', 23664),
(79939, 'PF05947', NULL, 'Type VI secretion system, TssF', 605, NULL, 'T6SS_TssF', 23665),
(79940, 'PF08825', NULL, 'E2 binding domain', 82, NULL, 'E2_bind', 23666),
(79941, 'PF12262', NULL, 'Bacterial virulence factor lipase N-terminal', 237, NULL, 'Lipase_bact_N', 23667),
(79942, 'PF12547', NULL, 'Ataxin-1 like family', 540, NULL, 'ATXN-1_C', 23668),
(79943, 'PF06417', NULL, 'Protein of unknown function (DUF1077)', 118, NULL, 'DUF1077', 23669),
(79944, 'PF20034', NULL, 'Peptidase S80 family', 245, NULL, 'Peptidase_S80', 23670),
(79945, 'PF00784', NULL, 'MyTH4 domain', 105, NULL, 'MyTH4', 23671),
(79946, 'PF11277', NULL, 'Mediator complex subunit 24 N-terminal', 996, NULL, 'Med24_N', 23672),
(79947, 'PF07893', NULL, 'Protein of unknown function (DUF1668)', 342, NULL, 'DUF1668', 23673),
(79948, 'PF19929', NULL, 'Family of unknown function (DUF6392)', 151, NULL, 'DUF6392', 23674),
(79949, 'PF12354', NULL, 'Bacterial adhesion/invasion protein N terminal', 57, NULL, 'Internalin_N', 23675),
(79950, 'PF19439', NULL, 'CLEC16A C-terminal', 766, NULL, 'CLEC16A_C', 23676),
(79951, 'PF17623', NULL, 'Domain of unknown function', 277, NULL, 'B277', 23677),
(79952, 'PF17273', NULL, 'Family of unknown function (DUF5338)', 69, NULL, 'DUF5338', 23678),
(79953, 'PF04540', NULL, 'Herpesvirus UL51 protein', 158, NULL, 'Herpes_UL51', 23679),
(79954, 'PF08538', NULL, 'Protein of unknown function (DUF1749)', 299, NULL, 'DUF1749', 23680),
(79955, 'PF02572', NULL, 'ATP:corrinoid adenosyltransferase BtuR/CobO/CobP', 172, NULL, 'CobA_CobO_BtuR', 23681),
(79956, 'PF06805', NULL, 'Bacteriophage lambda tail assembly protein I', 86, NULL, 'Lambda_tail_I', 23682),
(79957, 'PF09388', NULL, 'Spo0E like sporulation regulatory protein', 42, NULL, 'SpoOE-like', 23683),
(79958, 'PF06540', NULL, 'Galanin message associated peptide (GMAP)', 61, NULL, 'GMAP', 23684),
(79959, 'PF00682', NULL, 'HMGL-like', 264, NULL, 'HMGL-like', 23685),
(79960, 'PF18361', NULL, 'Single stranded DNA-binding protein ss DNA binding domain', 136, NULL, 'ssDBP_DBD', 23686),
(79961, 'PF01713', NULL, 'Smr domain', 80, NULL, 'Smr', 23687),
(79962, 'PF10380', NULL, 'Transcription factor CRF1', 113, NULL, 'CRF1', 23688),
(79963, 'PF05719', NULL, 'Golgi phosphoprotein 3 (GPP34)', 203, NULL, 'GPP34', 23689),
(79964, 'PF04714', NULL, 'BCL7, N-terminal conserver region', 49, NULL, 'BCL_N', 23690),
(79965, 'PF10957', NULL, 'Sporulation protein Cse60', 60, NULL, 'Spore_Cse60', 23691),
(79966, 'PF11201', NULL, 'Protein of unknown function (DUF2982)', 151, NULL, 'DUF2982', 23692),
(79967, 'PF18596', NULL, 'Sld7 C-terminal domain', 78, NULL, 'Sld7_C', 23693),
(79968, 'PF17545', NULL, 'Family of unknown function (DUF5461)', 93, NULL, 'DUF5461', 23694),
(79969, 'PF00053', NULL, 'Laminin EGF domain', 49, NULL, 'Laminin_EGF', 23695),
(79970, 'PF15665', NULL, 'Family with sequence similarity 184, A and B', 211, NULL, 'FAM184', 23696),
(79971, 'PF02061', NULL, 'Lambda Phage CIII', 42, NULL, 'Lambda_CIII', 23697),
(79972, 'PF06335', NULL, 'Protein of unknown function (DUF1054)', 198, NULL, 'DUF1054', 23698),
(79973, 'PF09793', NULL, 'Anticodon-binding domain', 90, NULL, 'AD', 23699),
(79974, 'PF16519', NULL, 'Tetramerisation domain of TRPM', 56, NULL, 'TRPM_tetra', 23700),
(79975, 'PF06527', NULL, 'TniQ', 138, NULL, 'TniQ', 23701),
(79976, 'PF05116', NULL, 'Sucrose-6F-phosphate phosphohydrolase', 247, NULL, 'S6PP', 23702),
(79977, 'PF15747', NULL, 'Domain of unknown function (DUF4687)', 120, NULL, 'DUF4687', 23703),
(79978, 'PF09982', NULL, 'Uncharacterized protein conserved in bacteria (DUF2219)', 290, NULL, 'DUF2219', 23704),
(79979, 'PF19625', NULL, 'Family of unknown function (DUF6130)', 139, NULL, 'DUF6130', 23705);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(79980, 'PF14693', NULL, 'Ribosomal protein TL5, C-terminal domain', 85, NULL, 'Ribosomal_TL5_C', 23706),
(79981, 'PF04144', NULL, 'SCAMP family', 173, NULL, 'SCAMP', 23707),
(79982, 'PF10801', NULL, 'Protein of unknown function (DUF2537)', 80, NULL, 'DUF2537', 23708),
(79983, 'PF03831', NULL, 'PhnA domain', 69, NULL, 'YjdM', 23709),
(79984, 'PF17622', NULL, 'Viral unique long protein 16', 204, NULL, 'UL16', 23710),
(79985, 'PF08916', NULL, 'Phenylalanine zipper', 57, NULL, 'Phe_ZIP', 23711),
(79986, 'PF08459', NULL, 'UvrC RIbonuclease H-like domain', 161, NULL, 'UvrC_HhH_N', 23712),
(79987, 'PF18420', NULL, 'CSN4/RPN5/eIF3a helix turn helix domain', 42, NULL, 'CSN4_RPN5_eIF3a', 23713),
(79988, 'PF06099', NULL, 'Phenol hydroxylase subunit', 57, NULL, 'Phenol_hyd_sub', 23714),
(79989, 'PF08197', NULL, 'pORF2a truncated protein', 49, NULL, 'TT_ORF2a', 23715),
(79990, 'PF10249', NULL, 'NADH-ubiquinone oxidoreductase subunit 10', 126, NULL, 'NDUFB10', 23716),
(79991, 'PF14998', NULL, 'Transcription Regulator', 84, NULL, 'Ripply', 23717),
(79992, 'PF15667', NULL, 'Protein of unknown function with motif GDWWSH', 249, NULL, 'GDWWSH', 23718),
(79993, 'PF13734', NULL, 'Spi protease inhibitor', 99, NULL, 'Inhibitor_I69', 23719),
(79994, 'PF03497', NULL, 'Anthrax toxin LF subunit', 176, NULL, 'Anthrax_toxA', 23720),
(79995, 'PF14459', NULL, 'Prokaryotic E2 family C', 129, NULL, 'Prok-E2_C', 23721),
(79996, 'PF15866', NULL, 'Domain of unknown function (DUF4729)', 210, NULL, 'DUF4729', 23722),
(79997, 'PF06421', NULL, 'GTP-binding protein LepA C-terminus', 107, NULL, 'LepA_C', 23723),
(79998, 'PF07192', NULL, 'SNURF/RPN4 protein', 69, NULL, 'SNURF', 23724),
(79999, 'PF09484', NULL, 'CRISPR-associated protein TM1802 (cas_TM1802)', 609, NULL, 'Cas_TM1802', 23725),
(80000, 'PF06650', NULL, 'SHR-binding domain of vacuolar-sorting associated protein 13', 271, NULL, 'SHR-BD', 23726),
(80001, 'PF18215', NULL, 'Histone chaperone Rtt106 N-terminal domain', 46, NULL, 'Rtt106_N', 23727),
(80002, 'PF10581', NULL, 'Synapsin N-terminal', 32, NULL, 'Synapsin_N', 23728),
(80003, 'PF09378', NULL, 'HAS barrel domain', 93, NULL, 'HAS-barrel', 23729),
(80004, 'PF03581', NULL, 'Herpesvirus UL33-like protein', 72, NULL, 'Herpes_UL33', 23730),
(80005, 'PF04534', NULL, 'Herpesvirus UL56 protein', 197, NULL, 'Herpes_UL56', 23731),
(80006, 'PF03580', NULL, 'Herpesvirus UL14-like protein', 146, NULL, 'Herpes_UL14', 23732),
(80007, 'PF01086', NULL, 'Clathrin light chain', 227, NULL, 'Clathrin_lg_ch', 23733),
(80008, 'PF08577', NULL, 'PI31 proteasome regulator', 79, NULL, 'PI31_Prot_C', 23734),
(80009, 'PF04349', NULL, 'Periplasmic glucan biosynthesis protein, MdoG', 476, NULL, 'MdoG', 23735),
(80010, 'PF05047', NULL, 'Mitochondrial ribosomal protein L51 / S25 / CI-B8 domain', 52, NULL, 'L51_S25_CI-B8', 23736),
(80011, 'PF14088', NULL, 'Domain of unknown function (DUF4268)', 140, NULL, 'DUF4268', 23737),
(80012, 'PF13824', NULL, 'Zinc-finger of mitochondrial splicing suppressor 51', 57, NULL, 'zf-Mss51', 23738),
(80013, 'PF09905', NULL, 'DNA-binding protein VF530', 63, NULL, 'VF530', 23739),
(80014, 'PF16472', NULL, 'Domain of unknown function (DUF5050)', 282, NULL, 'DUF5050', 23740),
(80015, 'PF04721', NULL, 'PNGase C-terminal domain, mannose-binding module PAW', 197, NULL, 'PAW', 23741),
(80016, 'PF03060', NULL, 'Nitronate monooxygenase', 331, NULL, 'NMO', 23742),
(80017, 'PF18297', NULL, 'NFACT protein RNA binding domain', 104, NULL, 'NFACT-R_2', 23743),
(80018, 'PF10929', NULL, 'Protein of unknown function (DUF2811)', 57, NULL, 'DUF2811', 23744),
(80019, 'PF18497', NULL, 'Ribonuclease III N-terminal domain', 95, NULL, 'RNase_3_N', 23745),
(80020, 'PF03314', NULL, 'Protein of unknown function, DUF273', 219, NULL, 'DUF273', 23746),
(80021, 'PF05377', NULL, 'Flagella accessory protein C (FlaC)', 55, NULL, 'FlaC_arch', 23747),
(80022, 'PF14260', NULL, 'C4-type zinc-finger of DNA polymerase delta', 70, NULL, 'zf-C4pol', 23748),
(80023, 'PF17435', NULL, 'Family of unknown function (DUF5414)', 183, NULL, 'DUF5414', 23749),
(80024, 'PF09197', NULL, 'Rap1, DNA-binding', 108, NULL, 'Rap1-DNA-bind', 23750);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(80025, 'PF17321', NULL, 'Vacuole-related protein 17', 452, NULL, 'Vac17', 23751),
(80026, 'PF08549', NULL, 'Fungal domain of unknown function (DUF1750)', 718, NULL, 'SWI-SNF_Ssr4', 23752),
(80027, 'PF19966', NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 4', 107, NULL, 'VMAP-M4', 23753),
(80028, 'PF06559', NULL, '2''-deoxycytidine 5''-triphosphate deaminase (DCD)', 361, NULL, 'DCD', 23754),
(80029, 'PF14617', NULL, 'U3-containing 90S pre-ribosomal complex subunit', 252, NULL, 'CMS1', 23755),
(80030, 'PF19346', NULL, 'Family of unknown function (DUF5924)', 259, NULL, 'DUF5924', 23756),
(80031, 'PF09001', NULL, 'Domain of unknown function (DUF1890)', 139, NULL, 'DUF1890', 23757),
(80032, 'PF05789', NULL, 'Baculovirus VP1054 protein', 350, NULL, 'Baculo_VP1054', 23758),
(80033, 'PF07216', NULL, 'LcrG protein', 91, NULL, 'LcrG', 23759),
(80034, 'PF14089', NULL, 'KinB-signalling pathway activation in sporulation', 179, NULL, 'KbaA', 23760),
(80035, 'PF03919', NULL, 'mRNA capping enzyme, C-terminal domain', 107, NULL, 'mRNA_cap_C', 23761),
(80036, 'PF16672', NULL, 'Ragulator complex protein LAMTOR5', 88, NULL, 'LAMTOR5', 23762),
(80037, 'PF11670', NULL, 'Major surface protein 1a (MSP1a)', 252, NULL, 'MSP1a', 23763),
(80038, 'PF08757', NULL, 'CotH kinase protein', 321, NULL, 'CotH', 23764),
(80039, 'PF14432', NULL, 'DYW family of nucleic acid deaminases', 127, NULL, 'DYW_deaminase', 23765),
(80040, 'PF00176', NULL, 'SNF2-related domain', 318, NULL, 'SNF2-rel_dom', 23766),
(80041, 'PF18564', NULL, 'Glycoside hydrolase family 5 C-terminal domain', 87, NULL, 'Glyco_hydro_5_C', 23767),
(80042, 'PF19239', NULL, 'GIY-YIG domain-containing protein', 166, NULL, 'GIY_YIG_domain', 23768),
(80043, 'PF19309', NULL, 'Frem protein N-terminal domain', 207, NULL, 'Frem_N', 23769),
(80044, 'PF04701', NULL, 'Pox virus D2 protein', 139, NULL, 'Pox_D2', 23770),
(80045, 'PF16930', NULL, 'Putative porin', 532, NULL, 'Porin_5', 23771),
(80046, 'PF19292', NULL, 'Phosphorylase b kinase C-terminal domain', 238, NULL, 'KPBB_C', 23772),
(80047, 'PF06821', NULL, 'Serine hydrolase', 171, NULL, 'Ser_hydrolase', 23773),
(80048, 'PF01418', NULL, 'Helix-turn-helix domain, rpiR family', 77, NULL, 'HTH_6', 23774),
(80049, 'PF08219', NULL, 'Outer membrane protein TOM13', 84, NULL, 'TOM13', 23775),
(80050, 'PF06884', NULL, 'Protein of unknown function (DUF1264)', 171, NULL, 'DUF1264', 23776),
(80051, 'PF12059', NULL, 'Protein of unknown function (DUF3540)', 199, NULL, 'DUF3540', 23777),
(80052, 'PF01834', NULL, 'XRCC1 N terminal domain', 148, NULL, 'XRCC1_N', 23778),
(80053, 'PF12248', NULL, 'Farnesoic acid 0-methyl transferase', 103, NULL, 'Methyltransf_FA', 23779),
(80054, 'PF02180', NULL, 'Bcl-2 homology region 4', 26, NULL, 'BH4', 23780),
(80055, 'PF00411', NULL, 'Ribosomal protein S11', 110, NULL, 'Ribosomal_S11', 23781),
(80056, 'PF05656', NULL, 'Protein of unknown function (DUF805)', 105, NULL, 'DUF805', 23782),
(80057, 'PF12357', NULL, 'Phospholipase D C terminal', 72, NULL, 'PLD_C', 23783),
(80058, 'PF09465', NULL, 'Lamin-B receptor of TUDOR domain', 55, NULL, 'LBR_tudor', 23784),
(80059, 'PF12578', NULL, 'Myotubularin-associated protein', 132, NULL, '3-PAP', 23785),
(80060, 'PF04506', NULL, 'Rft protein', 514, NULL, 'Rft-1', 23786),
(80061, 'PF05706', NULL, 'Cyclin-dependent kinase inhibitor 3 (CDKN3)', 168, NULL, 'CDKN3', 23787),
(80062, 'PF16444', NULL, 'Domain of unknown function (DUF5041)', 192, NULL, 'DUF5041', 23788),
(80063, 'PF13207', NULL, 'AAA domain', 136, NULL, 'AAA_17', 23789),
(80064, 'PF12151', NULL, 'Mannan-binding protein', 36, NULL, 'MVL', 23790),
(80065, 'PF13012', NULL, 'Maintenance of mitochondrial structure and function', 112, NULL, 'MitMem_reg', 23791),
(80066, 'PF01347', NULL, 'Lipoprotein amino terminal region', 622, NULL, 'Vitellogenin_N', 23792),
(80067, 'PF02772', NULL, 'S-adenosylmethionine synthetase, central domain', 120, NULL, 'S-AdoMet_synt_M', 23793),
(80068, 'PF09868', NULL, 'Uncharacterized protein conserved in archaea (DUF2095)', 129, NULL, 'DUF2095', 23794),
(80069, 'PF02376', NULL, 'CUT domain', 79, NULL, 'CUT', 23795);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(80070, 'PF02989', NULL, 'Lyme disease proteins of unknown function', 183, NULL, 'DUF228', 23796),
(80071, 'PF18353', NULL, 'Phosphoglucose isomerase N-terminal domain', 112, NULL, 'PG_isomerase_N', 23797),
(80072, 'PF07136', NULL, 'Protein of unknown function (DUF1385)', 227, NULL, 'DUF1385', 23798),
(80073, 'PF08568', NULL, 'Uncharacterised protein family, YAP/Alf4/glomulin', 633, NULL, 'Kinetochor_Ybp2', 23799),
(80074, 'PF16515', NULL, 'Clathrin-binding domain of Huntingtin-interacting protein 1', 99, NULL, 'HIP1_clath_bdg', 23800),
(80075, 'PF03673', NULL, 'Uncharacterised protein family (UPF0128)', 221, NULL, 'UPF0128', 23801),
(80076, 'PF06994', NULL, 'Involucrin', 41, NULL, 'Involucrin2', 23802),
(80077, 'PF10131', NULL, '6-pyruvoyl-tetrahydropterin synthase related domain; membrane protein', 621, NULL, 'PTPS_related', 23803),
(80078, 'PF19233', NULL, 'Family of unknown function (DUF5886)', 135, NULL, 'DUF5886', 23804),
(80079, 'PF10230', NULL, 'Lipid-droplet associated hydrolase', 266, NULL, 'LIDHydrolase', 23805),
(80080, 'PF05365', NULL, 'Ubiquinol-cytochrome C reductase, UQCRX/QCR9 like', 53, NULL, 'UCR_UQCRX_QCR9', 23806),
(80081, 'PF09244', NULL, 'Domain of unknown function (DUF1964)', 67, NULL, 'DUF1964', 23807),
(80082, 'PF07655', NULL, 'Secretin N-terminal domain', 95, NULL, 'Secretin_N_2', 23808),
(80083, 'PF09865', NULL, 'Predicted periplasmic protein (DUF2092)', 212, NULL, 'DUF2092', 23809),
(80084, 'PF04971', NULL, 'Bacteriophage P21 holin S', 64, NULL, 'Phage_holin_2_1', 23810),
(80085, 'PF14384', NULL, 'BrnA antitoxin of type II toxin-antitoxin system', 69, NULL, 'BrnA_antitoxin', 23811),
(80086, 'PF15683', NULL, 'Testis development-related protein', 147, NULL, 'TDRP', 23812),
(80087, 'PF09909', NULL, 'Uncharacterized protein conserved in bacteria (DUF2138)', 555, NULL, 'DUF2138', 23813),
(80088, 'PF13209', NULL, 'Protein of unknown function (DUF4017)', 60, NULL, 'DUF4017', 23814),
(80089, 'PF13558', NULL, 'Putative exonuclease SbcCD, C subunit', 90, NULL, 'SbcCD_C', 23815),
(80090, 'PF08928', NULL, 'Domain of unknown function (DUF1910)', 117, NULL, 'DUF1910', 23816),
(80091, 'PF04820', NULL, 'Tryptophan halogenase', 454, NULL, 'Trp_halogenase', 23817),
(80092, 'PF19603', NULL, 'Family of unknown function (DUF6108)', 138, NULL, 'DUF6108', 23818),
(80093, 'PF16458', NULL, 'Beta-prism lectin', 131, NULL, 'Beta-prism_lec', 23819),
(80094, 'PF08206', NULL, 'Ribonuclease B OB domain', 58, NULL, 'OB_RNB', 23820),
(80095, 'PF14622', NULL, 'Ribonuclease-III-like', 128, NULL, 'Ribonucleas_3_3', 23821),
(80096, 'PF03037', NULL, 'Kinetoplastid membrane protein 11', 90, NULL, 'KMP11', 23822),
(80097, 'PF01084', NULL, 'Ribosomal protein S18', 52, NULL, 'Ribosomal_S18', 23823),
(80098, 'PF18031', NULL, 'Ubiquitin carboxyl-terminal hydrolases', 46, NULL, 'UCH_C', 23824),
(80099, 'PF05099', NULL, 'Tellurite resistance protein TerB', 118, NULL, 'TerB', 23825),
(80100, 'PF01652', NULL, 'Eukaryotic initiation factor 4E', 159, NULL, 'IF4E', 23826),
(80101, 'PF13850', NULL, 'Endoplasmic Reticulum-Golgi Intermediate Compartment (ERGIC)', 91, NULL, 'ERGIC_N', 23827),
(80102, 'PF18876', NULL, 'AF-4 proto-oncoprotein C-terminal region', 264, NULL, 'AF-4_C', 23828),
(80103, 'PF03380', NULL, 'Caenorhabditis protein of unknown function, DUF282', 38, NULL, 'DUF282', 23829),
(80104, 'PF04937', NULL, 'Protein of unknown function (DUF 659)', 152, NULL, 'DUF659', 23830),
(80105, 'PF18742', NULL, 'REase_DpnII-MboI', 150, NULL, 'DpnII-MboI', 23831),
(80106, 'PF04909', NULL, 'Amidohydrolase', 288, NULL, 'Amidohydro_2', 23832),
(80107, 'PF13076', NULL, 'Fur-regulated basic protein A', 36, NULL, 'Fur_reg_FbpA', 23833),
(80108, 'PF19859', NULL, 'Family of unknown function (DUF6333)', 234, NULL, 'DUF6333', 23834),
(80109, 'PF07880', NULL, 'Bacteriophage T4 gp9/10-like protein', 285, NULL, 'T4_gp9_10', 23835),
(80110, 'PF01996', NULL, 'F420-0:Gamma-glutamyl ligase', 243, NULL, 'F420_ligase', 23836),
(80111, 'PF16884', NULL, 'N-terminal domain of oxidoreductase', 108, NULL, 'ADH_N_2', 23837),
(80112, 'PF19664', NULL, 'Family of unknown function (DUF6167)', 96, NULL, 'DUF6167', 23838);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(80113, 'PF14364', NULL, 'Domain of unknown function (DUF4408)', 33, NULL, 'DUF4408', 23839),
(80114, 'PF05105', NULL, 'Bacteriophage holin family', 114, NULL, 'Phage_holin_4_1', 23840),
(80115, 'PF04098', NULL, 'Rad52/22 family double-strand break repair protein', 153, NULL, 'Rad52_Rad22', 23841),
(80116, 'PF01182', NULL, 'Glucosamine-6-phosphate isomerases/6-phosphogluconolactonase', 226, NULL, 'Glucosamine_iso', 23842),
(80117, 'PF04781', NULL, 'Protein of unknown function (DUF627)', 108, NULL, 'DUF627', 23843),
(80118, 'PF19832', NULL, 'Family of unknown function (DUF6313)', 183, NULL, 'DUF6313', 23844),
(80119, 'PF13050', NULL, 'Protein of unknown function (DUF3911)', 78, NULL, 'DUF3911', 23845),
(80120, 'PF05054', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV) protein', 390, NULL, 'AcMNPV_Ac109', 23846),
(80121, 'PF06591', NULL, 'T4-like phage nuclear disruption protein (Ndd)', 152, NULL, 'Phage_T4_Ndd', 23847),
(80122, 'PF07964', NULL, 'Rec10 / Red1', 754, NULL, 'Red1', 23848),
(80123, 'PF15471', NULL, 'Transmembrane protein family 171', 320, NULL, 'TMEM171', 23849),
(80124, 'PF02671', NULL, 'Paired amphipathic helix repeat', 45, NULL, 'PAH', 23850),
(80125, 'PF05170', NULL, 'AsmA family', 608, NULL, 'AsmA', 23851),
(80126, 'PF13230', NULL, 'Glutamine amidotransferases class-II', 271, NULL, 'GATase_4', 23852),
(80127, 'PF12212', NULL, 'PAZ domain', 127, NULL, 'PAZ_siRNAbind', 23853),
(80128, 'PF09367', NULL, 'CpeS-like protein', 170, NULL, 'CpeS', 23854),
(80129, 'PF14103', NULL, 'Domain of unknown function (DUF4276)', 184, NULL, 'DUF4276', 23855),
(80130, 'PF15570', NULL, 'Immunity protein 43', 124, NULL, 'Imm43', 23856),
(80131, 'PF12846', NULL, 'AAA-like domain', 362, NULL, 'AAA_10', 23857),
(80132, 'PF14074', NULL, 'Protein of unknown function (DUF4257)', 81, NULL, 'DUF4257', 23858),
(80133, 'PF05839', NULL, 'Apc13p protein', 89, NULL, 'Apc13p', 23859),
(80134, 'PF11093', NULL, 'Mitochondrial export protein Som1', 93, NULL, 'Mitochondr_Som1', 23860),
(80135, 'PF10435', NULL, 'Beta-galactosidase, domain 2', 179, NULL, 'BetaGal_dom2', 23861),
(80136, 'PF19250', NULL, 'Family of unknown function (DUF5898)', 109, NULL, 'DUF5898', 23862),
(80137, 'PF02689', NULL, 'Helicase', 809, NULL, 'Herpes_Helicase', 23863),
(80138, 'PF08514', NULL, 'STAG domain', 114, NULL, 'STAG', 23864),
(80139, 'PF07281', NULL, 'Insulin-induced protein (INSIG)', 220, NULL, 'INSIG', 23865),
(80140, 'PF14518', NULL, 'Iron-containing redox enzyme', 178, NULL, 'Haem_oxygenas_2', 23866),
(80141, 'PF13650', NULL, 'Aspartyl protease', 90, NULL, 'Asp_protease_2', 23867),
(80142, 'PF04092', NULL, 'SRS domain', 127, NULL, 'SAG', 23868),
(80143, 'PF13459', NULL, '4Fe-4S single cluster domain', 66, NULL, 'Fer4_15', 23869),
(80144, 'PF13279', NULL, 'Thioesterase-like superfamily', 123, NULL, '4HBT_2', 23870),
(80145, 'PF19015', NULL, 'Family of unknown function (DUF5744)', 81, NULL, 'DUF5744', 23871),
(80146, 'PF18608', NULL, 'XIAP-associated factor 1 C-terminal domain', 54, NULL, 'XAF1_C', 23872),
(80147, 'PF15685', NULL, 'Gametogenetin', 661, NULL, 'GGN', 23873),
(80148, 'PF15438', NULL, 'Antigenic membrane protein of phytoplasma', 195, NULL, 'Phyto-Amp', 23874),
(80149, 'PF10808', NULL, 'Protein of unknown function (DUF2542)', 79, NULL, 'DUF2542', 23875),
(80150, 'PF14143', NULL, 'YrhC-like protein', 72, NULL, 'YrhC', 23876),
(80151, 'PF03472', NULL, 'Autoinducer binding domain', 149, NULL, 'Autoind_bind', 23877),
(80152, 'PF05165', NULL, 'GTP cyclohydrolase III', 246, NULL, 'GCH_III', 23878),
(80153, 'PF15859', NULL, 'Deleted in esophageal cancer 1 family', 70, NULL, 'DEC1', 23879),
(80154, 'PF17940', NULL, 'Tetracyclin repressor-like, C-terminal domain', 107, NULL, 'TetR_C_31', 23880),
(80155, 'PF04321', NULL, 'RmlD substrate binding domain', 287, NULL, 'RmlD_sub_bind', 23881),
(80156, 'PF07953', NULL, 'Clostridium neurotoxin, N-terminal receptor binding', 195, NULL, 'Toxin_R_bind_N', 23882),
(80157, 'PF03308', NULL, 'Methylmalonyl Co-A mutase-associated GTPase MeaB', 267, NULL, 'MeaB', 23883),
(80158, 'PF04474', NULL, 'Protein of unknown function (DUF554)', 220, NULL, 'DUF554', 23884); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(80159, 'PF09612', NULL, 'Bacterial protein of unknown function (HtrL_YibB)', 267, NULL, 'HtrL_YibB', 23885),
(80160, 'PF04347', NULL, 'Flagellar biosynthesis protein, FliO', 89, NULL, 'FliO', 23886),
(80161, 'PF05223', NULL, 'NTF2-like N-terminal transpeptidase domain', 117, NULL, 'MecA_N', 23887),
(80162, 'PF10744', NULL, 'Mediator of RNA polymerase II transcription subunit 1', 414, NULL, 'Med1', 23888),
(80163, 'PF15302', NULL, 'P33 mono-oxygenase', 291, NULL, 'P33MONOX', 23889),
(80164, 'PF02618', NULL, 'YceG-like family', 277, NULL, 'YceG', 23890),
(80165, 'PF06698', NULL, 'Protein of unknown function (DUF1192)', 58, NULL, 'DUF1192', 23891),
(80166, 'PF19737', NULL, 'Fukutin N-terminal', 277, NULL, 'FKTN_N', 23892),
(80167, 'PF16909', NULL, 'Vacuolar-sorting-associated 13 protein C-terminal', 176, NULL, 'VPS13_C', 23893),
(80168, 'PF09635', NULL, 'MetRS-N binding domain', 121, NULL, 'MetRS-N', 23894),
(80169, 'PF06912', NULL, 'Protein of unknown function (DUF1275)', 191, NULL, 'DUF1275', 23895),
(80170, 'PF05730', NULL, 'CFEM domain', 66, NULL, 'CFEM', 23896),
(80171, 'PF03362', NULL, 'Herpesvirus UL47 protein', 454, NULL, 'Herpes_UL47', 23897),
(80172, 'PF12982', NULL, 'Protein of unknown function (DUF3866)', 319, NULL, 'DUF3866', 23898),
(80173, 'PF01531', NULL, 'Glycosyl transferase family 11', 298, NULL, 'Glyco_transf_11', 23899),
(80174, 'PF19102', NULL, 'Family of unknown function (DUF5789)', 74, NULL, 'DUF5789', 23900),
(80175, 'PF03070', NULL, 'TENA/THI-4/PQQC family', 210, NULL, 'TENA_THI-4', 23901),
(80176, 'PF09233', NULL, 'Restriction endonuclease EcoRV', 244, NULL, 'Endonuc-EcoRV', 23902),
(80177, 'PF02461', NULL, 'Ammonia monooxygenase', 238, NULL, 'AMO', 23903),
(80178, 'PF08188', NULL, 'Spermatozal protamine family', 48, NULL, 'Protamine_3', 23904),
(80179, 'PF05857', NULL, 'TraX protein', 218, NULL, 'TraX', 23905),
(80180, 'PF14980', NULL, 'TIP39 peptide', 51, NULL, 'TIP39', 23906),
(80181, 'PF05995', NULL, 'Cysteine dioxygenase type I', 170, NULL, 'CDO_I', 23907),
(80182, 'PF05183', NULL, 'RNA dependent RNA polymerase', 586, NULL, 'RdRP', 23908),
(80183, 'PF01712', NULL, 'Deoxynucleoside kinase', 204, NULL, 'dNK', 23909),
(80184, 'PF08913', NULL, 'Vinculin Binding Site', 125, NULL, 'VBS', 23910),
(80185, 'PF18677', NULL, 'Archaellum regulatory network B, C-terminal domain', 73, NULL, 'ArnB_C', 23911),
(80186, 'PF16879', NULL, 'C-terminal domain of Sin3a protein', 288, NULL, 'Sin3a_C', 23912),
(80187, 'PF10933', NULL, 'Protein of unknown function (DUF2827)', 362, NULL, 'DUF2827', 23913),
(80188, 'PF14723', NULL, 'Sperm-specific antigen 2 C-terminus', 169, NULL, 'SSFA2_C', 23914),
(80189, 'PF07960', NULL, 'CBP4', 130, NULL, 'CBP4', 23915),
(80190, 'PF00058', NULL, 'Low-density lipoprotein receptor repeat class B', 42, NULL, 'Ldl_recept_b', 23916),
(80191, 'PF02464', NULL, 'Competence-damaged protein', 155, NULL, 'CinA', 23917),
(80192, 'PF03154', NULL, 'Atrophin-1 family', 994, NULL, 'Atrophin-1', 23918),
(80193, 'PF05020', NULL, 'NPL4 family, putative zinc binding region', 145, NULL, 'zf-NPL4', 23919),
(80194, 'PF16025', NULL, 'Calcium-dependent calmodulin binding', 79, NULL, 'CaM_bind', 23920),
(80195, 'PF12809', NULL, 'Eukaryotic metallothionein', 69, NULL, 'Metallothi_Euk2', 23921),
(80196, 'PF02906', NULL, 'Iron only hydrogenase large subunit, C-terminal domain', 243, NULL, 'Fe_hyd_lg_C', 23922),
(80197, 'PF00535', NULL, 'Glycosyl transferase family 2', 170, NULL, 'Glycos_transf_2', 23923),
(80198, 'PF15395', NULL, 'Domain of unknown function (DUF4617)', 1085, NULL, 'DUF4617', 23924),
(80199, 'PF08405', NULL, 'Viral polyprotein N-terminal', 358, NULL, 'Calici_PP_N', 23925),
(80200, 'PF01007', NULL, 'Inward rectifier potassium channel transmembrane domain', 142, NULL, 'IRK', 23926),
(80201, 'PF02182', NULL, 'SAD/SRA domain', 153, NULL, 'SAD_SRA', 23927),
(80202, 'PF12353', NULL, 'Eukaryotic translation initiation factor 3 subunit G', 125, NULL, 'eIF3g', 23928),
(80203, 'PF05477', NULL, 'Surfeit locus protein 2 (SURF2)', 242, NULL, 'SURF2', 23929),
(80204, 'PF03548', NULL, 'Outer membrane lipoprotein carrier protein LolA', 165, NULL, 'LolA', 23930);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(80205, 'PF16023', NULL, 'Domain of unknown function (DUF4784)', 419, NULL, 'DUF4784', 23931),
(80206, 'PF17836', NULL, 'PglD N-terminal domain', 78, NULL, 'PglD_N', 23932),
(80207, 'PF14499', NULL, 'Domain of unknown function (DUF4437)', 250, NULL, 'DUF4437', 23933),
(80208, 'PF05449', NULL, 'Putative 3TM holin, Phage_holin_3', 80, NULL, 'Phage_holin_3_7', 23934),
(80209, 'PF12270', NULL, 'Cytochrome c oxidase subunit IV', 132, NULL, 'Cyt_c_ox_IV', 23935),
(80210, 'PF12972', NULL, 'Alpha-N-acetylglucosaminidase (NAGLU) C-terminal domain', 268, NULL, 'NAGLU_C', 23936),
(80211, 'PF14378', NULL, 'PAP2 superfamily', 190, NULL, 'PAP2_3', 23937),
(80212, 'PF05548', NULL, 'Gametolysin peptidase M11', 314, NULL, 'Peptidase_M11', 23938),
(80213, 'PF14625', NULL, 'Lustrin, cysteine-rich repeated domain', 45, NULL, 'Lustrin_cystein', 23939),
(80214, 'PF15019', NULL, 'C9orf72-like protein family', 243, NULL, 'C9orf72-like', 23940),
(80215, 'PF06292', NULL, 'MUN domain', 414, NULL, 'MUN', 23941),
(80216, 'PF11385', NULL, 'Protein of unknown function (DUF3189)', 147, NULL, 'DUF3189', 23942),
(80217, 'PF12732', NULL, 'YtxH-like protein', 75, NULL, 'YtxH', 23943),
(80218, 'PF09929', NULL, 'Putative PD-(D/E)XK phosphodiesterase (DUF2161)', 118, NULL, 'DUF2161', 23944),
(80219, 'PF05531', NULL, 'Nucleopolyhedrovirus P10 protein', 75, NULL, 'NPV_P10', 23945),
(80220, 'PF19848', NULL, 'Family of unknown function (DUF6323)', 127, NULL, 'DUF6323', 23946),
(80221, 'PF15430', NULL, 'Single domain von Willebrand factor type C', 66, NULL, 'SVWC', 23947),
(80222, 'PF02636', NULL, 'Putative S-adenosyl-L-methionine-dependent methyltransferase', 263, NULL, 'Methyltransf_28', 23948),
(80223, 'PF11850', NULL, 'Protein of unknown function (DUF3370)', 422, NULL, 'DUF3370', 23949),
(80224, 'PF16826', NULL, 'Domain of unknown function (DUF5076)', 84, NULL, 'DUF5076', 23950),
(80225, 'PF08021', NULL, 'Siderophore-interacting FAD-binding domain', 121, NULL, 'FAD_binding_9', 23951),
(80226, 'PF16386', NULL, 'Domain of unknown function', 73, NULL, 'DUF4995', 23952),
(80227, 'PF06048', NULL, 'Domain of unknown function (DUF927)', 286, NULL, 'DUF927', 23953),
(80228, 'PF04706', NULL, 'Dickkopf N-terminal cysteine-rich region', 52, NULL, 'Dickkopf_N', 23954),
(80229, 'PF15873', NULL, 'Domain of unknown function (DUF4730)', 55, NULL, 'DUF4730', 23955),
(80230, 'PF12030', NULL, 'Domain of unknown function (DUF3517)', 405, NULL, 'DUF3517', 23956),
(80231, 'PF08667', NULL, 'BetR domain', 148, NULL, 'BetR', 23957),
(80232, 'PF19314', NULL, 'Family of unknown function (DUF5917)', 94, NULL, 'DUF5917', 23958),
(80233, 'PF05870', NULL, 'Phenolic acid decarboxylase (PAD)', 158, NULL, 'PA_decarbox', 23959),
(80234, 'PF04296', NULL, 'Protein of unknown function (DUF448)', 75, NULL, 'YlxR', 23960),
(80235, 'PF06835', NULL, 'Lipopolysaccharide-assembly, LptC-related', 175, NULL, 'LptC', 23961),
(80236, 'PF09638', NULL, 'Ph1570 protein', 155, NULL, 'Ph1570', 23962),
(80237, 'PF16979', NULL, 'SAPK-interacting protein 1 (Sin1), Pleckstrin-homology', 110, NULL, 'SIN1_PH', 23963),
(80238, 'PF07193', NULL, 'Protein of unknown function (DUF1408)', 71, NULL, 'DUF1408', 23964),
(80239, 'PF00156', NULL, 'Phosphoribosyl transferase domain', 158, NULL, 'Pribosyltran', 23965),
(80240, 'PF01126', NULL, 'Heme oxygenase', 205, NULL, 'Heme_oxygenase', 23966),
(80241, 'PF08186', NULL, 'Wound-inducible basic protein family', 44, NULL, 'Wound_ind', 23967),
(80242, 'PF11790', NULL, 'Glycosyl hydrolase catalytic core', 239, NULL, 'Glyco_hydro_cc', 23968),
(80243, 'PF05853', NULL, 'beta-keto acid cleavage enzyme', 274, NULL, 'BKACE', 23969),
(80244, 'PF16102', NULL, 'ACTH-associated domain', 28, NULL, 'ACTH_assoc', 23970),
(80245, 'PF00839', NULL, 'Cysteine rich repeat', 58, NULL, 'Cys_rich_FGFR', 23971),
(80246, 'PF12985', NULL, 'Domain of unknown function (DUF3869)', 104, NULL, 'DUF3869', 23972),
(80247, 'PF12753', NULL, 'Nuclear pore complex subunit Nro1', 422, NULL, 'Nro1', 23973),
(80248, 'PF02176', NULL, 'TRAF-type zinc finger', 60, NULL, 'zf-TRAF', 23974),
(80249, 'PF00844', NULL, 'Geminivirus coat protein/nuclear export factor BR1 family', 244, NULL, 'Gemini_coat', 23975);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(80250, 'PF10400', NULL, 'Virulence activator alpha C-term', 77, NULL, 'Vir_act_alpha_C', 23976),
(80251, 'PF16792', NULL, 'Phage tail base-plate attachment protein of Caudovirales ORF16', 372, NULL, 'Caudo_bapla16', 23977),
(80252, 'PF01028', NULL, 'Eukaryotic DNA topoisomerase I, catalytic core', 230, NULL, 'Topoisom_I', 23978),
(80253, 'PF06245', NULL, 'Protein of unknown function (DUF1015)', 310, NULL, 'DUF1015', 23979),
(80254, 'PF14798', NULL, 'Calcium homeostasis modulator', 253, NULL, 'Ca_hom_mod', 23980),
(80255, 'PF04073', NULL, 'Aminoacyl-tRNA editing domain', 123, NULL, 'tRNA_edit', 23981),
(80256, 'PF03415', NULL, 'Clostripain family', 360, NULL, 'Peptidase_C11', 23982),
(80257, 'PF19632', NULL, 'Family of unknown function (DUF6136)', 356, NULL, 'DUF6136', 23983),
(80258, 'PF15527', NULL, 'Bacterial toxin 22', 129, NULL, 'Ntox22', 23984),
(80259, 'PF00225', NULL, 'Kinesin motor domain', 333, NULL, 'Kinesin', 23985),
(80260, 'PF13286', NULL, 'Phosphohydrolase-associated domain', 91, NULL, 'HD_assoc', 23986),
(80261, 'PF05972', NULL, 'APC 15 residue motif', 15, NULL, 'APC_15aa', 23987),
(80262, 'PF05317', NULL, 'Thermopsin', 260, NULL, 'Thermopsin', 23988),
(80263, 'PF20069', NULL, 'Family of unknown function (DUF6465)', 130, NULL, 'DUF6465', 23989),
(80264, 'PF09692', NULL, 'Argonaute siRNA chaperone (ARC) complex subunit Arb1', 402, NULL, 'Arb1', 23990),
(80265, 'PF20019', NULL, 'vWA-MoxR associated protein middle region 20', 129, NULL, 'VMAP-M20', 23991),
(80266, 'PF12052', NULL, 'Voltage gated calcium channel subunit beta domain 4Aa N terminal', 41, NULL, 'VGCC_beta4Aa_N', 23992),
(80267, 'PF14187', NULL, 'Domain of unknown function (DUF4310)', 209, NULL, 'DUF4310', 23993),
(80268, 'PF08288', NULL, 'PIGA (GPI anchor biosynthesis)', 90, NULL, 'PIGA', 23994),
(80269, 'PF17266', NULL, 'Family of unknown function (DUF5332)', 150, NULL, 'DUF5332', 23995),
(80270, 'PF19263', NULL, 'Family of unknown function (DUF5906)', 111, NULL, 'DUF5906', 23996),
(80271, 'PF13600', NULL, 'N-terminal domain of unknown function (DUF4140)', 99, NULL, 'DUF4140', 23997),
(80272, 'PF14117', NULL, 'Domain of unknown function (DUF4287)', 60, NULL, 'DUF4287', 23998),
(80273, 'PF09005', NULL, 'Domain of unknown function (DUF1897)', 36, NULL, 'DUF1897', 23999),
(80274, 'PF09588', NULL, 'YqaJ-like viral recombinase domain', 148, NULL, 'YqaJ', 24000),
(80275, 'PF19845', NULL, 'Family of unknown function (DUF6320)', 186, NULL, 'DUF6320', 24001),
(80276, 'PF00349', NULL, 'Hexokinase', 200, NULL, 'Hexokinase_1', 24002),
(80277, 'PF14248', NULL, 'Domain of unknown function (DUF4345)', 119, NULL, 'DUF4345', 24003),
(80278, 'PF00271', NULL, 'Helicase conserved C-terminal domain', 111, NULL, 'Helicase_C', 24004),
(80279, 'PF15617', NULL, 'C-C_Bond_Lyase of the TIM-Barrel fold', 335, NULL, 'C-C_Bond_Lyase', 24005),
(80280, 'PF15889', NULL, 'Domain of unknown function (DUF4738)', 146, NULL, 'DUF4738', 24006),
(80281, 'PF17385', NULL, 'Lacto-N-biose phosphorylase central domain', 221, NULL, 'LBP_M', 24007),
(80282, 'PF09977', NULL, 'Putative Tad-like Flp pilus-assembly', 93, NULL, 'Tad_C', 24008),
(80283, 'PF04763', NULL, 'Protein of unknown function (DUF562)', 146, NULL, 'DUF562', 24009),
(80284, 'PF15348', NULL, 'Gemini of Cajal bodies-associated protein 8', 231, NULL, 'GEMIN8', 24010),
(80285, 'PF15350', NULL, 'Ewing''s tumour-associated antigen 1 homologue', 820, NULL, 'ETAA1', 24011),
(80286, 'PF08721', NULL, 'TnsA endonuclease C terminal', 83, NULL, 'Tn7_Tnp_TnsA_C', 24012),
(80287, 'PF01133', NULL, 'Enhancer of rudimentary', 98, NULL, 'ER', 24013),
(80288, 'PF02736', NULL, 'Myosin N-terminal SH3-like domain', 45, NULL, 'Myosin_N', 24014),
(80289, 'PF14353', NULL, 'CpXC protein', 118, NULL, 'CpXC', 24015),
(80290, 'PF19257', NULL, 'BURAN domain', 88, NULL, 'BURAN', 24016),
(80291, 'PF09618', NULL, 'CRISPR-associated protein (Cas_Csy4)', 182, NULL, 'Cas_Csy4', 24017),
(80292, 'PF19661', NULL, 'Family of unknown function (DUF6164)', 116, NULL, 'DUF6164', 24018),
(80293, 'PF00239', NULL, 'Resolvase, N terminal domain', 146, NULL, 'Resolvase', 24019);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(80294, 'PF19480', NULL, 'Domain of unknown function (DUF6016)', 141, NULL, 'DUF6016', 24020),
(80295, 'PF02099', NULL, 'Josephin', 164, NULL, 'Josephin', 24021),
(80296, 'PF05415', NULL, 'Beet necrotic yellow vein furovirus-type papain-like endopeptidase', 104, NULL, 'Peptidase_C36', 24022),
(80297, 'PF03614', NULL, 'Repressor of phase-1 flagellin', 167, NULL, 'Flag1_repress', 24023),
(80298, 'PF10539', NULL, 'Development and cell death domain', 127, NULL, 'Dev_Cell_Death', 24024),
(80299, 'PF11297', NULL, 'Protein of unknown function (DUF3098)', 67, NULL, 'DUF3098', 24025),
(80300, 'PF13603', NULL, 'Leucyl-tRNA synthetase, Domain 2', 185, NULL, 'tRNA-synt_1_2', 24026),
(80301, 'PF09644', NULL, 'Mg296 protein', 126, NULL, 'Mg296', 24027),
(80302, 'PF18187', NULL, 'TbRIF5 SNase domain 1', 161, NULL, 'RIF5_SNase_1', 24028),
(80303, 'PF02074', NULL, 'Carboxypeptidase Taq (M32) metallopeptidase', 490, NULL, 'Peptidase_M32', 24029),
(80304, 'PF08787', NULL, 'Alginate lyase', 236, NULL, 'Alginate_lyase2', 24030),
(80305, 'PF15419', NULL, 'Leukemia NUP98 fusion partner 1', 179, NULL, 'LNP1', 24031),
(80306, 'PF01501', NULL, 'Glycosyl transferase family 8', 256, NULL, 'Glyco_transf_8', 24032),
(80307, 'PF07472', NULL, 'Fucose-binding lectin II (PA-IIL)', 107, NULL, 'PA-IIL', 24033),
(80308, 'PF07726', NULL, 'ATPase family associated with various cellular activities (AAA)', 131, NULL, 'AAA_3', 24034),
(80309, 'PF02040', NULL, 'Arsenical pump membrane protein', 423, NULL, 'ArsB', 24035),
(80310, 'PF02776', NULL, 'Thiamine pyrophosphate enzyme, N-terminal TPP binding domain', 172, NULL, 'TPP_enzyme_N', 24036),
(80311, 'PF10753', NULL, 'Toxin GhoT_OrtT', 55, NULL, 'Toxin_GhoT_OrtT', 24037),
(80312, 'PF16232', NULL, 'Domain of unknown function (DUF4891)', 92, NULL, 'DUF4891', 24038),
(80313, 'PF18333', NULL, 'Non-canonical single-stranded DNA-binding domain', 106, NULL, 'ssDNA_DBD', 24039),
(80314, 'PF07938', NULL, 'Fungal fucose-specific lectin', 299, NULL, 'Fungal_lectin', 24040),
(80315, 'PF18834', NULL, 'Large polyvalent protein associated domain 22', 98, NULL, 'LPD22', 24041),
(80316, 'PF10093', NULL, 'Elongation-Factor P (EF-P) rhamnosyltransferase EarP', 373, NULL, 'EarP', 24042),
(80317, 'PF13430', NULL, 'Domain of unknown function (DUF4112)', 105, NULL, 'DUF4112', 24043),
(80318, 'PF02732', NULL, 'ERCC4 domain', 157, NULL, 'ERCC4', 24044),
(80319, 'PF07955', NULL, 'Protein of unknown function (DUF1687)', 128, NULL, 'DUF1687', 24045),
(80320, 'PF07307', NULL, 'Heptaprenyl diphosphate synthase (HEPPP synthase) subunit 1', 211, NULL, 'HEPPP_synt_1', 24046),
(80321, 'PF19357', NULL, 'Family of unknown function (DUF5934)', 172, NULL, 'DUF5934', 24047),
(80322, 'PF17727', NULL, 'CtsR C-terminal dimerization domain', 72, NULL, 'CtsR_C', 24048),
(80323, 'PF06875', NULL, 'Plethodontid receptivity factor PRF', 214, NULL, 'PRF', 24049),
(80324, 'PF02225', NULL, 'PA domain', 91, NULL, 'PA', 24050),
(80325, 'PF00816', NULL, 'H-NS histone family', 92, NULL, 'Histone_HNS', 24051),
(80326, 'PF05210', NULL, 'Sprouty protein (Spry)', 116, NULL, 'Sprouty', 24052),
(80327, 'PF05623', NULL, 'Protein of unknown function (DUF789)', 295, NULL, 'DUF789', 24053),
(80328, 'PF01591', NULL, '6-phosphofructo-2-kinase', 223, NULL, '6PF2K', 24054),
(80329, 'PF11008', NULL, 'Protein of unknown function (DUF2846)', 92, NULL, 'DUF2846', 24055),
(80330, 'PF14527', NULL, 'WhiA LAGLIDADG-like domain', 93, NULL, 'LAGLIDADG_WhiA', 24056),
(80331, 'PF05955', NULL, 'Equine herpesvirus glycoprotein gp2', 226, NULL, 'Herpes_gp2', 24057),
(80332, 'PF14511', NULL, 'Type II restriction endonuclease EcoO109I', 198, NULL, 'RE_EcoO109I', 24058),
(80333, 'PF13389', NULL, 'Protein of unknown function (DUF4107)', 163, NULL, 'DUF4107', 24059),
(80334, 'PF00559', NULL, 'Retroviral Vif (Viral infectivity) protein', 200, NULL, 'Vif', 24060),
(80335, 'PF11361', NULL, 'Protein of unknown function (DUF3159)', 188, NULL, 'DUF3159', 24061),
(80336, 'PF08444', NULL, 'Aralkyl acyl-CoA:amino acid N-acyltransferase, C-terminal region', 89, NULL, 'Gly_acyl_tr_C', 24062);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(80337, 'PF07904', NULL, 'Chromatin modification-related protein EAF7', 104, NULL, 'Eaf7', 24063),
(80338, 'PF00861', NULL, 'Ribosomal L18 of archaea, bacteria, mitoch. and chloroplast', 116, NULL, 'Ribosomal_L18p', 24064),
(80339, 'PF14292', NULL, 'SusE outer membrane protein', 106, NULL, 'SusE', 24065),
(80340, 'PF18747', NULL, 'P-loop Nucleotide Kinase2', 298, NULL, 'Ploopntkinase2', 24066),
(80341, 'PF19254', NULL, 'Family of unknown function (DUF5901)', 48, NULL, 'DUF5901', 24067),
(80342, 'PF13890', NULL, 'Rab3 GTPase-activating protein catalytic subunit', 164, NULL, 'Rab3-GTPase_cat', 24068),
(80343, 'PF16226', NULL, 'Domain of unknown function (DUF4885)', 325, NULL, 'DUF4885', 24069),
(80344, 'PF09592', NULL, 'Protein of unknown function (DUF2031)', 227, NULL, 'DUF2031', 24070),
(80345, 'PF05140', NULL, 'ResB-like family', 496, NULL, 'ResB', 24071),
(80346, 'PF05612', NULL, 'Leg1', 331, NULL, 'Leg1', 24072),
(80347, 'PF16223', NULL, 'Domain of unknown function (DUF4882)', 267, NULL, 'DUF4882', 24073),
(80348, 'PF16525', NULL, 'Haemophore, haem-binding', 77, NULL, 'MHB', 24074),
(80349, 'PF16081', NULL, 'Mycobacterial 2 TMS Phage Holin (M2 Hol) Family', 121, NULL, 'Phage_holin_7_1', 24075),
(80350, 'PF10735', NULL, 'Protein of unknown function (DUF2526)', 77, NULL, 'DUF2526', 24076),
(80351, 'PF13255', NULL, 'Protein of unknown function (DUF4046)', 90, NULL, 'DUF4046', 24077),
(80352, 'PF13355', NULL, 'ARC6-like, IMS domain', 117, NULL, 'ARC6-like_IMS', 24078),
(80353, 'PF19437', NULL, 'VCIP135 N-terminal', 167, NULL, 'VCIP135_N', 24079),
(80354, 'PF05764', NULL, 'YL1 nuclear protein', 241, NULL, 'YL1', 24080),
(80355, 'PF06541', NULL, 'Putative ABC-transporter type IV', 150, NULL, 'ABC_trans_CmpB', 24081),
(80356, 'PF14793', NULL, 'Pyrimidine/purine nucleotide 5''-monophosphate nucleosidases', 109, NULL, 'DUF4478', 24082),
(80357, 'PF13108', NULL, 'Protein of unknown function (DUF3969)', 106, NULL, 'DUF3969', 24083),
(80358, 'PF18981', NULL, 'Internalin K domain (D3/D4)', 75, NULL, 'InlK_D3', 24084),
(80359, 'PF02929', NULL, 'Beta galactosidase small chain', 244, NULL, 'Bgal_small_N', 24085),
(80360, 'PF19121', NULL, 'Family of unknown function (DUF5805)', 67, NULL, 'DUF5805', 24086),
(80361, 'PF01623', NULL, 'Carlavirus putative nucleic acid binding protein', 91, NULL, 'Carla_C4', 24087),
(80362, 'PF10157', NULL, 'BLOC-1-related complex sub-unit 6', 152, NULL, 'BORCS6', 24088),
(80363, 'PF09754', NULL, 'PAC2 family', 215, NULL, 'PAC2', 24089),
(80364, 'PF14239', NULL, 'RRXRR protein', 174, NULL, 'RRXRR', 24090),
(80365, 'PF05536', NULL, 'Neurochondrin', 605, NULL, 'Neurochondrin', 24091),
(80366, 'PF05753', NULL, 'Translocon-associated protein beta (TRAPB)', 178, NULL, 'TRAP_beta', 24092),
(80367, 'PF12499', NULL, 'Pherophorin', 143, NULL, 'DUF3707', 24093),
(80368, 'PF02575', NULL, 'YbaB/EbfC DNA-binding family', 90, NULL, 'YbaB_DNA_bd', 24094),
(80369, 'PF07744', NULL, 'SPOC domain', 151, NULL, 'SPOC', 24095),
(80370, 'PF16260', NULL, 'Domain of unknown function (DUF4914)', 612, NULL, 'DUF4914', 24096),
(80371, 'PF05871', NULL, 'ESCRT-II complex subunit', 141, NULL, 'ESCRT-II', 24097),
(80372, 'PF00196', NULL, 'Bacterial regulatory proteins, luxR family', 57, NULL, 'GerE', 24098),
(80373, 'PF09633', NULL, 'Protein of unknown function (DUF2023)', 101, NULL, 'DUF2023', 24099),
(80374, 'PF08622', NULL, 'Svf1-like N-terminal lipocalin domain', 163, NULL, 'Svf1', 24100),
(80375, 'PF06605', NULL, 'Prophage endopeptidase tail', 267, NULL, 'Prophage_tail', 24101),
(80376, 'PF16166', NULL, 'Chloroplast import apparatus Tic20-like', 181, NULL, 'TIC20', 24102),
(80377, 'PF10633', NULL, 'NPCBM-associated, NEW3 domain of alpha-galactosidase', 78, NULL, 'NPCBM_assoc', 24103),
(80378, 'PF05083', NULL, 'LST-1 protein', 78, NULL, 'LST1', 24104),
(80379, 'PF15151', NULL, 'Response gene to complement 32 protein family', 128, NULL, 'RGCC', 24105),
(80380, 'PF04297', NULL, 'Putative helix-turn-helix protein, YlxM / p13 like', 101, NULL, 'UPF0122', 24106),
(80381, 'PF13264', NULL, 'Domain of unknown function (DUF4055)', 135, NULL, 'DUF4055', 24107);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(80382, 'PF17192', NULL, 'MukF middle domain', 161, NULL, 'MukF_M', 24108),
(80383, 'PF02986', NULL, 'Fibronectin binding repeat', 38, NULL, 'Fn_bind', 24109),
(80384, 'PF09897', NULL, 'Uncharacterized protein conserved in archaea (DUF2124)', 141, NULL, 'DUF2124', 24110),
(80385, 'PF09676', NULL, 'Type IV conjugative transfer system lipoprotein (TraV)', 131, NULL, 'TraV', 24111),
(80386, 'PF04621', NULL, 'PEA3 subfamily ETS-domain transcription factor N terminal domain', 348, NULL, 'ETS_PEA3_N', 24112),
(80387, 'PF18320', NULL, 'Csc2 Crispr', 298, NULL, 'Csc2', 24113),
(80388, 'PF18909', NULL, 'Domain of unknown function (DUF5664)', 99, NULL, 'DUF5664', 24114),
(80389, 'PF02727', NULL, 'Copper amine oxidase, N2 domain', 87, NULL, 'Cu_amine_oxidN2', 24115),
(80390, 'PF01835', NULL, 'MG2 domain', 96, NULL, 'MG2', 24116),
(80391, 'PF15784', NULL, 'G-protein pathway suppressor 2-interacting domain', 89, NULL, 'GPS2_interact', 24117),
(80392, 'PF19173', NULL, 'Family of unknown function (DUF5855)', 182, NULL, 'DUF5855', 24118),
(80393, 'PF18675', NULL, 'Heparinase II C-terminal domain', 88, NULL, 'HepII_C', 24119),
(80394, 'PF18528', NULL, 'RNA editing 3'' terminal uridylyl transferase 2 middle domain', 93, NULL, 'Ret2_MD', 24120),
(80395, 'PF20075', NULL, 'Domain of unknown function (DUF6471)', 65, NULL, 'DUF6471', 24121),
(80396, 'PF04175', NULL, 'Protein of unknown function (DUF406)', 92, NULL, 'DUF406', 24122),
(80397, 'PF05941', NULL, 'Chordopoxvirus A20R protein', 334, NULL, 'Chordopox_A20R', 24123),
(80398, 'PF03325', NULL, 'Herpesvirus polymerase accessory protein', 166, NULL, 'Herpes_PAP', 24124),
(80399, 'PF03816', NULL, 'LytR_cpsA_psr family', 152, NULL, 'LytR_cpsA_psr', 24125),
(80400, 'PF11841', NULL, 'Domain of unknown function (DUF3361)', 154, NULL, 'DUF3361', 24126),
(80401, 'PF17722', NULL, 'Intraflagellar transport-associated protein', 234, NULL, 'IFTAP', 24127),
(80402, 'PF10346', NULL, 'Conidiation protein 6', 34, NULL, 'Con-6', 24128),
(80403, 'PF01832', NULL, 'Mannosyl-glycoprotein endo-beta-N-acetylglucosaminidase', 86, NULL, 'Glucosaminidase', 24129),
(80404, 'PF19182', NULL, 'Family of unknown function (DUF5864)', 136, NULL, 'DUF5864', 24130),
(80405, 'PF02101', NULL, 'Ocular albinism type 1 protein', 403, NULL, 'Ocular_alb', 24131),
(80406, 'PF04148', NULL, 'Transmembrane adaptor Erv26', 206, NULL, 'Erv26', 24132),
(80407, 'PF03463', NULL, 'eRF1 domain 1', 129, NULL, 'eRF1_1', 24133),
(80408, 'PF11343', NULL, 'Protein of unknown function (DUF3145)', 156, NULL, 'DUF3145', 24134),
(80409, 'PF14772', NULL, 'Sperm tail', 102, NULL, 'NYD-SP28', 24135),
(80410, 'PF04493', NULL, 'Endonuclease V', 197, NULL, 'Endonuclease_5', 24136),
(80411, 'PF07418', NULL, 'Acidic phosphoprotein precursor PCEMA1', 294, NULL, 'PCEMA1', 24137),
(80412, 'PF11314', NULL, 'Protein of unknown function (DUF3117)', 50, NULL, 'DUF3117', 24138),
(80413, 'PF15241', NULL, 'Cylicin N-terminus', 107, NULL, 'Cylicin_N', 24139),
(80414, 'PF10867', NULL, 'Protein of unknown function (DUF2664)', 89, NULL, 'DUF2664', 24140),
(80415, 'PF19684', NULL, 'Family of unknown function (DUF6186)', 37, NULL, 'DUF6186', 24141),
(80416, 'PF14038', NULL, 'YqzE-like protein', 54, NULL, 'YqzE', 24142),
(80417, 'PF10213', NULL, 'Mitochondrial ribosomal subunit protein', 127, NULL, 'MRP-S28', 24143),
(80418, 'PF19987', NULL, 'Family of unknown function (DUF6423)', 161, NULL, 'DUF6423', 24144),
(80419, 'PF11204', NULL, 'Protein of unknown function (DUF2985)', 78, NULL, 'DUF2985', 24145),
(80420, 'PF04689', NULL, 'DNA binding protein S1FA', 66, NULL, 'S1FA', 24146),
(80421, 'PF15783', NULL, 'Fibrous sheath-interacting protein 2', 875, NULL, 'FSIP2', 24147),
(80422, 'PF18877', NULL, 'SSSPR-51 domain', 48, NULL, 'SSSPR-51', 24148),
(80423, 'PF13364', NULL, 'Beta-galactosidase jelly roll domain', 114, NULL, 'BetaGal_dom4_5', 24149),
(80424, 'PF04326', NULL, 'Putative DNA-binding domain', 122, NULL, 'AlbA_2', 24150),
(80425, 'PF11535', NULL, 'Calcium binding', 105, NULL, 'Calci_bind_CcbP', 24151),
(80426, 'PF19415', NULL, 'Astrovirus transmembrane protein 1A', 244, NULL, 'Astro_1A', 24152);
INSERT INTO "PUBLIC"."MODEL" VALUES
(80427, 'PF02711', NULL, 'E4 protein', 96, NULL, 'Pap_E4', 24153),
(80428, 'PF06587', NULL, 'Protein of unknown function (DUF1137)', 117, NULL, 'DUF1137', 24154),
(80429, 'PF19202', NULL, 'Family of unknown function (DUF5874)', 74, NULL, 'DUF5874', 24155),
(80430, 'PF15604', NULL, 'Novel toxin 15', 154, NULL, 'Ntox15', 24156),
(80431, 'PF11331', NULL, 'Probable zinc-ribbon domain', 45, NULL, 'zinc_ribbon_12', 24157),
(80432, 'PF00536', NULL, 'SAM domain (Sterile alpha motif)', 64, NULL, 'SAM_1', 24158),
(80433, 'PF02246', NULL, 'Protein L b1 domain', 69, NULL, 'B1', 24159),
(80434, 'PF08048', NULL, 'Tap RepA1 leader peptide', 25, NULL, 'RepA1_leader', 24160),
(80435, 'PF11037', NULL, 'Insulin-resistance promoting peptide in skeletal muscle', 133, NULL, 'Musclin', 24161),
(80436, 'PF16254', NULL, 'Domain of unknown function (DUF4910)', 246, NULL, 'DUF4910', 24162),
(80437, 'PF15077', NULL, 'Membrane-anchored junction protein', 241, NULL, 'MAJIN', 24163),
(80438, 'PF18579', NULL, 'Rubisco accumulation factor 1 helix turn helix domain', 61, NULL, 'Raf1_HTH', 24164),
(80439, 'PF06714', NULL, 'Gp5 N-terminal OB domain', 144, NULL, 'Gp5_OB', 24165),
(80440, 'PF17228', NULL, 'Sulphur globule protein', 97, NULL, 'SGP', 24166),
(80441, 'PF03791', NULL, 'KNOX2 domain', 48, NULL, 'KNOX2', 24167),
(80442, 'PF00129', NULL, 'Class I Histocompatibility antigen, domains alpha 1 and 2', 179, NULL, 'MHC_I', 24168),
(80443, 'PF02951', NULL, 'Prokaryotic glutathione synthetase, N-terminal domain', 119, NULL, 'GSH-S_N', 24169),
(80444, 'PF17282', NULL, 'Family of unknown function (DUF5347)', 102, NULL, 'DUF5347', 24170),
(80445, 'PF04959', NULL, 'Arsenite-resistance protein 2', 198, NULL, 'ARS2', 24171),
(80446, 'PF10123', NULL, 'Mu-like prophage I protein', 326, NULL, 'Mu-like_Pro', 24172),
(80447, 'PF15066', NULL, 'Cancer-associated gene protein 1 family', 528, NULL, 'CAGE1', 24173),
(80448, 'PF01667', NULL, 'Ribosomal protein S27', 55, NULL, 'Ribosomal_S27e', 24174),
(80449, 'PF02818', NULL, 'PPAK motif', 27, NULL, 'PPAK', 24175),
(80450, 'PF04366', NULL, 'Las17-binding protein actin regulator', 128, NULL, 'Ysc84', 24176),
(80451, 'PF03210', NULL, 'Paramyxovirus P/V phosphoprotein C-terminal', 178, NULL, 'Paramyx_P_V_C', 24177),
(80452, 'PF09809', NULL, 'Mitochondrial ribosomal protein L27', 113, NULL, 'MRP-L27', 24178),
(80453, 'PF16383', NULL, 'Domain of unknown function', 182, NULL, 'DUF4992', 24179),
(80454, 'PF11652', NULL, 'FAM167', 84, NULL, 'FAM167', 24180),
(80455, 'PF14173', NULL, 'ComG operon protein 7', 95, NULL, 'ComGG', 24181),
(80456, 'PF06081', NULL, 'Aromatic acid exporter family member 1', 141, NULL, 'ArAE_1', 24182),
(80457, 'PF11551', NULL, 'Outer membrane protein Omp28', 171, NULL, 'Omp28', 24183),
(80458, 'PF19333', NULL, 'Failed axon connections homolog N-terminus', 104, NULL, 'FAXC_N', 24184),
(80459, 'PF11549', NULL, 'Protein transport protein SEC31', 50, NULL, 'Sec31', 24185),
(80460, 'PF18045', NULL, 'ISP3 C-terminal', 110, NULL, 'ISP3_C', 24186),
(80461, 'PF01149', NULL, 'Formamidopyrimidine-DNA glycosylase N-terminal domain', 120, NULL, 'Fapy_DNA_glyco', 24187),
(80462, 'PF10313', NULL, 'Uncharacterised protein domain (DUF2415)', 43, NULL, 'DUF2415', 24188),
(80463, 'PF07027', NULL, 'Protein of unknown function (DUF1318)', 93, NULL, 'DUF1318', 24189),
(80464, 'PF19524', NULL, 'Family of unknown function (DUF6054)', 111, NULL, 'DUF6054', 24190),
(80465, 'PF17857', NULL, 'AAA+ lid domain', 100, NULL, 'AAA_lid_1', 24191),
(80466, 'PF19012', NULL, 'Family of unknown function (DUF5741)', 82, NULL, 'DUF5741', 24192),
(80467, 'PF10865', NULL, 'Domain of unknown function (DUF2703)', 120, NULL, 'DUF2703', 24193),
(80468, 'PF13429', NULL, 'Tetratricopeptide repeat', 280, NULL, 'TPR_15', 24194),
(80469, 'PF02224', NULL, 'Cytidylate kinase', 211, NULL, 'Cytidylate_kin', 24195),
(80470, 'PF07331', NULL, 'Tripartite tricarboxylate transporter TctB family', 134, NULL, 'TctB', 24196),
(80471, 'PF20081', NULL, 'Domain of unknown function (DUF6475)', 90, NULL, 'DUF6475', 24197),
(80472, 'PF01715', NULL, 'IPP transferase', 240, NULL, 'IPPT', 24198);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(80473, 'PF01921', NULL, 'tRNA synthetases class I (K)', 361, NULL, 'tRNA-synt_1f', 24199),
(80474, 'PF08434', NULL, 'Calcium-activated chloride channel N terminal', 266, NULL, 'CLCA', 24200),
(80475, 'PF12540', NULL, 'Protein of unknown function (DUF3736)', 132, NULL, 'DUF3736', 24201),
(80476, 'PF11789', NULL, 'Zinc-finger of the MIZ type in Nse subunit', 58, NULL, 'zf-Nse', 24202),
(80477, 'PF06818', NULL, 'Fez1', 197, NULL, 'Fez1', 24203),
(80478, 'PF20031', NULL, 'Family of unknown function (DUF6437)', 76, NULL, 'DUF6437', 24204),
(80479, 'PF15221', NULL, 'Lens epithelial cell protein LEP503', 63, NULL, 'LEP503', 24205),
(80480, 'PF10120', NULL, 'Thiamine-phosphate synthase', 165, NULL, 'ThiP_synth', 24206),
(80481, 'PF08429', NULL, 'PLU-1-like protein', 339, NULL, 'PLU-1', 24207),
(80482, 'PF20002', NULL, 'FtsH ternary system domain X3-analog', 89, NULL, 'fvmX3-analog', 24208),
(80483, 'PF06588', NULL, 'Muskelin N-terminus', 199, NULL, 'Muskelin_N', 24209),
(80484, 'PF17107', NULL, 'N-terminal domain on NACHT_NTPase and P-loop NTPases', 122, NULL, 'SesA', 24210),
(80485, 'PF11020', NULL, 'Domain of unknown function (DUF2610)', 81, NULL, 'DUF2610', 24211),
(80486, 'PF10743', NULL, 'Regulatory phage protein cox', 87, NULL, 'Phage_Cox', 24212),
(80487, 'PF00672', NULL, 'HAMP domain', 53, NULL, 'HAMP', 24213),
(80488, 'PF06557', NULL, 'Protein of unknown function (DUF1122)', 176, NULL, 'DUF1122', 24214),
(80489, 'PF07979', NULL, 'Intimin C-type lectin domain', 101, NULL, 'Intimin_C', 24215),
(80490, 'PF19741', NULL, 'Family of unknown function (DUF6230)', 145, NULL, 'DUF6230', 24216),
(80491, 'PF14121', NULL, 'Putative porin', 600, NULL, 'Porin_10', 24217),
(80492, 'PF17078', NULL, 'SWI5-dependent HO expression protein 3', 228, NULL, 'SHE3', 24218),
(80493, 'PF17795', NULL, 'Major Vault Protein Repeat domain', 62, NULL, 'Vault_3', 24219),
(80494, 'PF19817', NULL, 'Family of unknown function (DUF6300)', 110, NULL, 'DUF6300', 24220),
(80495, 'PF02022', NULL, 'Integrase Zinc binding domain', 38, NULL, 'Integrase_Zn', 24221),
(80496, 'PF18287', NULL, 'Integron Cassette Protein Hfx_Cass5', 77, NULL, 'Hfx_Cass5', 24222),
(80497, 'PF15989', NULL, 'Domain of unknown function (DUF4768)', 88, NULL, 'DUF4768', 24223),
(80498, 'PF06177', NULL, 'QueT transporter', 139, NULL, 'QueT', 24224),
(80499, 'PF09685', NULL, 'Domain of unknown function (DUF4870)', 110, NULL, 'DUF4870', 24225),
(80500, 'PF19670', NULL, 'Family of unknown function (DUF6173)', 102, NULL, 'DUF6173', 24226),
(80501, 'PF08840', NULL, 'BAAT / Acyl-CoA thioester hydrolase C terminal', 211, NULL, 'BAAT_C', 24227),
(80502, 'PF13441', NULL, 'YMGG-like Gly-zipper', 46, NULL, 'Gly-zipper_YMGG', 24228),
(80503, 'PF11299', NULL, 'Protein of unknown function (DUF3100)', 235, NULL, 'DUF3100', 24229),
(80504, 'PF02238', NULL, 'Cytochrome c oxidase subunit VII', 53, NULL, 'COX7a', 24230),
(80505, 'PF03700', NULL, 'Sorting nexin, N-terminal domain', 76, NULL, 'Sorting_nexin', 24231),
(80506, 'PF13398', NULL, 'Peptidase M50B-like', 200, NULL, 'Peptidase_M50B', 24232),
(80507, 'PF18744', NULL, 'Secreted Novel AID/APOBEC-like Deaminase 1', 214, NULL, 'SNAD1', 24233),
(80508, 'PF18860', NULL, 'AbiJ N-terminal domain 3', 167, NULL, 'AbiJ_NTD3', 24234),
(80509, 'PF02068', NULL, 'Plant PEC family metallothionein', 75, NULL, 'Metallothio_PEC', 24235),
(80510, 'PF11806', NULL, 'Domain of unknown function (DUF3327)', 120, NULL, 'DUF3327', 24236),
(80511, 'PF03097', NULL, 'BRO1-like domain', 386, NULL, 'BRO1', 24237),
(80512, 'PF16293', NULL, 'C2H2 type zinc-finger (1 copy)', 59, NULL, 'zf-C2H2_9', 24238),
(80513, 'PF19586', NULL, 'Family of unknown function (DUF6093)', 117, NULL, 'DUF6093', 24239),
(80514, 'PF17690', NULL, 'Family of unknown function (DUF5537)', 160, NULL, 'DUF5537', 24240),
(80515, 'PF08122', NULL, 'NADH-ubiquinone oxidoreductase B12 subunit family', 55, NULL, 'NDUF_B12', 24241),
(80516, 'PF07946', NULL, 'Protein of unknown function (DUF1682)', 326, NULL, 'DUF1682', 24242),
(80517, 'PF04848', NULL, 'Poxvirus A22 protein', 145, NULL, 'Pox_A22', 24243);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(80518, 'PF10623', NULL, 'Plasmid conjugative transfer protein PilI', 83, NULL, 'PilI', 24244),
(80519, 'PF00815', NULL, 'Histidinol dehydrogenase', 409, NULL, 'Histidinol_dh', 24245),
(80520, 'PF19436', NULL, 'ACS/CODH beta subunit C-terminal', 245, NULL, 'ACS_CODH_B_C', 24246),
(80521, 'PF09997', NULL, 'Predicted membrane protein (DUF2238)', 140, NULL, 'DUF2238', 24247),
(80522, 'PF02897', NULL, 'Prolyl oligopeptidase, N-terminal beta-propeller domain', 414, NULL, 'Peptidase_S9_N', 24248),
(80523, 'PF18237', NULL, 'Tk-SP N-propeptide domain', 68, NULL, 'Tk-SP_N-pro', 24249),
(80524, 'PF00210', NULL, 'Ferritin-like domain', 142, NULL, 'Ferritin', 24250),
(80525, 'PF11812', NULL, 'Domain of unknown function (DUF3333)', 152, NULL, 'DUF3333', 24251),
(80526, 'PF16763', NULL, 'Major ampullate spidroin 1, spider silk protein 1, N-term', 125, NULL, 'Spidroin_N', 24252),
(80527, 'PF17599', NULL, 'Family of unknown function (DUF5495)', 87, NULL, 'DUF5495', 24253),
(80528, 'PF19941', NULL, 'Family of unknown function (DUF6403)', 77, NULL, 'DUF6403', 24254),
(80529, 'PF14375', NULL, 'Cysteine-rich CWC', 50, NULL, 'Cys_rich_CWC', 24255),
(80530, 'PF03412', NULL, 'Peptidase C39 family', 133, NULL, 'Peptidase_C39', 24256),
(80531, 'PF19411', NULL, 'Cell cycle link protein Clink', 141, NULL, 'Clink', 24257),
(80532, 'PF18260', NULL, 'Nuclear polyadenylated RNA-binding 2 protein CCCH zinc finger 1', 26, NULL, 'Nab2p_Zf1', 24258),
(80533, 'PF04393', NULL, 'Protein of unknown function (DUF535)', 281, NULL, 'DUF535', 24259),
(80534, 'PF05760', NULL, 'Immediate early response protein (IER)', 318, NULL, 'IER', 24260),
(80535, 'PF08195', NULL, 'TRI9 protein', 43, NULL, 'TRI9', 24261),
(80536, 'PF00471', NULL, 'Ribosomal protein L33', 47, NULL, 'Ribosomal_L33', 24262),
(80537, 'PF00921', NULL, 'Borrelia lipoprotein', 296, NULL, 'Lipoprotein_2', 24263),
(80538, 'PF01964', NULL, 'Radical SAM ThiC family', 418, NULL, 'ThiC_Rad_SAM', 24264),
(80539, 'PF11099', NULL, 'Apoptosis regulator M11L like', 160, NULL, 'M11L', 24265),
(80540, 'PF13058', NULL, 'Protein of unknown function (DUF3920)', 126, NULL, 'DUF3920', 24266),
(80541, 'PF06219', NULL, 'Protein of unknown function (DUF1005)', 437, NULL, 'DUF1005', 24267),
(80542, 'PF09078', NULL, 'CheY binding', 63, NULL, 'CheY-binding', 24268),
(80543, 'PF19241', NULL, 'Family of unknown function (DUF5891)', 198, NULL, 'DUF5891', 24269),
(80544, 'PF17701', NULL, 'Family of unknown function (DUF5547)', 122, NULL, 'DUF5547', 24270),
(80545, 'PF06639', NULL, 'Basal layer antifungal peptide (BAP)', 76, NULL, 'BAP', 24271),
(80546, 'PF12402', NULL, 'NocA-like zinc-finger protein 1', 58, NULL, 'nlz1', 24272),
(80547, 'PF06280', NULL, 'Fn3-like domain', 115, NULL, 'fn3_5', 24273),
(80548, 'PF03773', NULL, 'Predicted permease', 294, NULL, 'ArsP_1', 24274),
(80549, 'PF17231', NULL, 'Family of unknown function (DUF5305)', 216, NULL, 'DUF5305', 24275),
(80550, 'PF10821', NULL, 'Protein of unknown function (DUF2567)', 166, NULL, 'DUF2567', 24276),
(80551, 'PF11968', NULL, '25S rRNA (adenine(2142)-N(1))-methyltransferase, Bmt2', 220, NULL, 'Bmt2', 24277),
(80552, 'PF07094', NULL, 'Protein of unknown function (DUF1357)', 223, NULL, 'DUF1357', 24278),
(80553, 'PF10784', NULL, 'Plasmid stability protein', 72, NULL, 'Plasmid_stab_B', 24279),
(80554, 'PF10214', NULL, 'RNA polymerase I-specific transcription-initiation factor', 853, NULL, 'Rrn6', 24280),
(80555, 'PF01079', NULL, 'Hint module', 215, NULL, 'Hint', 24281),
(80556, 'PF20025', NULL, 'Family of unknown function (DUF6433)', 115, NULL, 'DUF6433', 24282),
(80557, 'PF06564', NULL, 'Cellulose biosynthesis protein BcsQ', 234, NULL, 'CBP_BcsQ', 24283),
(80558, 'PF17570', NULL, 'Family of unknown function (DUF5476)', 62, NULL, 'DUF5476', 24284),
(80559, 'PF19511', NULL, 'Family of unknown function (DUF6045)', 289, NULL, 'DUF6045', 24285),
(80560, 'PF18335', NULL, 'ATP-dependent RecD-like DNA helicase SH3 domain', 65, NULL, 'SH3_13', 24286),
(80561, 'PF08646', NULL, 'Replication factor-A C terminal domain', 146, NULL, 'Rep_fac-A_C', 24287);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(80562, 'PF00650', NULL, 'CRAL/TRIO domain', 156, NULL, 'CRAL_TRIO', 24288),
(80563, 'PF14168', NULL, 'YjzC-like protein', 55, NULL, 'YjzC', 24289),
(80564, 'PF15799', NULL, 'Coiled-coil domain-containing protein 48', 579, NULL, 'CCD48', 24290),
(80565, 'PF08732', NULL, 'HIM1', 169, NULL, 'HIM1', 24291),
(80566, 'PF02421', NULL, 'Ferrous iron transport protein B', 156, NULL, 'FeoB_N', 24292),
(80567, 'PF14203', NULL, 'Putative transposon-transfer assisting protein', 62, NULL, 'TTRAP', 24293),
(80568, 'PF16347', NULL, 'Domain of unknown function (DUF4976)', 103, NULL, 'DUF4976', 24294),
(80569, 'PF07236', NULL, 'Phytoreovirus S7 protein', 505, NULL, 'Phytoreo_S7', 24295),
(80570, 'PF13191', NULL, 'AAA ATPase domain', 170, NULL, 'AAA_16', 24296),
(80571, 'PF01822', NULL, 'WSC domain', 82, NULL, 'WSC', 24297),
(80572, 'PF10459', NULL, 'Peptidase S46', 699, NULL, 'Peptidase_S46', 24298),
(80573, 'PF00670', NULL, 'S-adenosyl-L-homocysteine hydrolase, NAD binding domain', 162, NULL, 'AdoHcyase_NAD', 24299),
(80574, 'PF13319', NULL, 'Protein of unknown function (DUF4090)', 84, NULL, 'DUF4090', 24300),
(80575, 'PF05161', NULL, 'MOFRL family', 109, NULL, 'MOFRL', 24301),
(80576, 'PF16447', NULL, 'Domain of unknown function (DUF5044)', 178, NULL, 'DUF5044', 24302),
(80577, 'PF09494', NULL, 'Slx4 endonuclease', 61, NULL, 'Slx4', 24303),
(80578, 'PF00854', NULL, 'POT family', 397, NULL, 'PTR2', 24304),
(80579, 'PF06883', NULL, 'RNA polymerase I, Rpa2 specific domain', 58, NULL, 'RNA_pol_Rpa2_4', 24305),
(80580, 'PF13270', NULL, 'Domain of unknown function (DUF4061)', 88, NULL, 'DUF4061', 24306),
(80581, 'PF10281', NULL, 'Putative nuclear envelope organisation protein', 37, NULL, 'Ish1', 24307),
(80582, 'PF14726', NULL, 'Rotatin, an armadillo repeat protein, centriole functioning', 97, NULL, 'RTTN_N', 24308),
(80583, 'PF11682', NULL, 'Probable zinc-ribbon', 128, NULL, 'zinc_ribbon_11', 24309),
(80584, 'PF07549', NULL, 'SecD/SecF GG Motif', 28, NULL, 'Sec_GG', 24310),
(80585, 'PF10231', NULL, 'Apoptogenic protein 1', 126, NULL, 'DUF2315', 24311),
(80586, 'PF05552', NULL, 'Conserved TM helix', 50, NULL, 'TM_helix', 24312),
(80587, 'PF05771', NULL, 'Poxvirus A31 protein', 113, NULL, 'Pox_A31', 24313),
(80588, 'PF18135', NULL, 'Type ISP C-terminal specificity domain', 343, NULL, 'Type_ISP_C', 24314),
(80589, 'PF02281', NULL, 'Transposase Tn5 dimerisation domain', 99, NULL, 'Dimer_Tnp_Tn5', 24315),
(80590, 'PF10287', NULL, 'Putative TOS1-like glycosyl hydrolase (DUF2401)', 227, NULL, 'DUF2401', 24316),
(80591, 'PF13651', NULL, 'Adenine-specific methyltransferase EcoRI', 346, NULL, 'EcoRI_methylase', 24317),
(80592, 'PF19592', NULL, 'Family of unknown function (DUF6097)', 152, NULL, 'DUF6097', 24318),
(80593, 'PF02714', NULL, 'Calcium-dependent channel, 7TM region, putative phosphate', 274, NULL, 'RSN1_7TM', 24319),
(80594, 'PF05222', NULL, 'Alanine dehydrogenase/PNT, N-terminal domain', 135, NULL, 'AlaDh_PNT_N', 24320),
(80595, 'PF15698', NULL, 'Phosphatase', 256, NULL, 'Phosphatase', 24321),
(80596, 'PF05836', NULL, 'Chorion protein S16', 108, NULL, 'Chorion_S16', 24322),
(80597, 'PF16205', NULL, 'Ribosomal_S17 N-terminal', 67, NULL, 'Ribosomal_S17_N', 24323),
(80598, 'PF01936', NULL, 'NYN domain', 147, NULL, 'NYN', 24324),
(80599, 'PF08576', NULL, 'Eukaryotic protein of unknown function (DUF1764)', 100, NULL, 'DUF1764', 24325),
(80600, 'PF07760', NULL, 'Protein of unknown function (DUF1616)', 303, NULL, 'DUF1616', 24326),
(80601, 'PF00947', NULL, 'Picornavirus core protein 2A', 127, NULL, 'Pico_P2A', 24327),
(80602, 'PF04978', NULL, 'Protein of unknown function (DUF664)', 149, NULL, 'DUF664', 24328),
(80603, 'PF06661', NULL, 'VirE3', 312, NULL, 'VirE3', 24329),
(80604, 'PF04247', NULL, 'Invasion gene expression up-regulator, SirB', 121, NULL, 'SirB', 24330),
(80605, 'PF15931', NULL, 'Domain of unknown function (DUF4747)', 257, NULL, 'DUF4747', 24331),
(80606, 'PF07899', NULL, 'Frigida-like protein', 289, NULL, 'Frigida', 24332),
(80607, 'PF10683', NULL, 'Hermes transposase DNA-binding domain', 68, NULL, 'DBD_Tnp_Hermes', 24333);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(80608, 'PF16969', NULL, 'RNA-binding signal recognition particle 68', 560, NULL, 'SRP68', 24334),
(80609, 'PF14886', NULL, 'FAM183A and FAM183B related', 108, NULL, 'FAM183', 24335),
(80610, 'PF10686', NULL, 'YspA, cpYpsA-related SLOG family', 67, NULL, 'YAcAr', 24336),
(80611, 'PF00769', NULL, 'Ezrin/radixin/moesin family', 245, NULL, 'ERM', 24337),
(80612, 'PF03994', NULL, 'Domain of Unknown Function (DUF350)', 54, NULL, 'DUF350', 24338),
(80613, 'PF15218', NULL, 'Spermatogenesis-associated protein 25', 228, NULL, 'SPATA25', 24339),
(80614, 'PF14314', NULL, 'Virus-capping methyltransferase', 685, NULL, 'Methyltrans_Mon', 24340),
(80615, 'PF00147', NULL, 'Fibrinogen beta and gamma chains, C-terminal globular domain', 221, NULL, 'Fibrinogen_C', 24341),
(80616, 'PF10697', NULL, 'Protein of unknown function (DUF2502)', 90, NULL, 'DUF2502', 24342),
(80617, 'PF15091', NULL, 'Domain of unknown function (DUF4554)', 458, NULL, 'DUF4554', 24343),
(80618, 'PF19980', NULL, 'Family of unknown function (DUF6416)', 100, NULL, 'DUF6416', 24344),
(80619, 'PF00891', NULL, 'O-methyltransferase domain', 210, NULL, 'Methyltransf_2', 24345),
(80620, 'PF18997', NULL, 'Family of unknown function (DUF5727)', 192, NULL, 'DUF5727', 24346),
(80621, 'PF02171', NULL, 'Piwi domain', 302, NULL, 'Piwi', 24347),
(80622, 'PF18931', NULL, 'Domain of unknown function (DUF5680)', 104, NULL, 'DUF5680', 24348),
(80623, 'PF19149', NULL, 'Family of unknown function (DUF5831)', 72, NULL, 'DUF5831', 24349),
(80624, 'PF19956', NULL, 'Effector-associated domain 2', 82, NULL, 'EAD2', 24350),
(80625, 'PF20117', NULL, 'Family of unknown function (DUF6507)', 124, NULL, 'DUF6507', 24351),
(80626, 'PF07678', NULL, 'A-macroglobulin TED domain', 311, NULL, 'TED_complement', 24352),
(80627, 'PF16351', NULL, 'Domain of unknown function (DUF4979)', 161, NULL, 'DUF4979', 24353),
(80628, 'PF19750', NULL, 'Family of unknown function (DUF6237)', 90, NULL, 'DUF6237', 24354),
(80629, 'PF17925', NULL, 'Tetracyclin repressor-like, C-terminal domain', 107, NULL, 'TetR_C_20', 24355),
(80630, 'PF03067', NULL, 'Lytic polysaccharide mono-oxygenase, cellulose-degrading', 193, NULL, 'LPMO_10', 24356),
(80631, 'PF05019', NULL, 'Coenzyme Q (ubiquinone) biosynthesis protein Coq4', 221, NULL, 'Coq4', 24357),
(80632, 'PF19918', NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX2', 226, NULL, 'bpX2', 24358),
(80633, 'PF13879', NULL, 'Hemingway/CFA97', 102, NULL, 'Hmw_CFAP97', 24359),
(80634, 'PF13583', NULL, 'Metallo-peptidase family M12B Reprolysin-like', 203, NULL, 'Reprolysin_4', 24360),
(80635, 'PF09900', NULL, 'Predicted membrane protein (DUF2127)', 140, NULL, 'DUF2127', 24361),
(80636, 'PF10429', NULL, 'Nuclear pore RNA shuttling protein Mtr2', 164, NULL, 'Mtr2', 24362),
(80637, 'PF11575', NULL, 'FhuF 2Fe-2S C-terminal domain', 21, NULL, 'FhuF_C', 24363),
(80638, 'PF18252', NULL, 'Copper(I)-binding protein CorA', 175, NULL, 'Cu_bind_CorA', 24364),
(80639, 'PF12093', NULL, 'Betacoronavirus NS8 protein', 118, NULL, 'bCoV_NS8', 24365),
(80640, 'PF16849', NULL, 'Glycosyltransferase family 88', 423, NULL, 'Glyco_transf_88', 24366),
(80641, 'PF02894', NULL, 'Oxidoreductase family, C-terminal alpha/beta domain', 220, NULL, 'GFO_IDH_MocA_C', 24367),
(80642, 'PF03839', NULL, 'Translocation protein Sec62', 192, NULL, 'Sec62', 24368),
(80643, 'PF16652', NULL, 'Pleckstrin homology domain', 156, NULL, 'PH_13', 24369),
(80644, 'PF15936', NULL, 'Domain of unknown function (DUF4749)', 97, NULL, 'DUF4749', 24370),
(80645, 'PF12771', NULL, 'Starch-binding associating with outer membrane', 416, NULL, 'SusD-like_2', 24371),
(80646, 'PF04476', NULL, '4-HFC-P synthase', 228, NULL, '4HFCP_synth', 24372),
(80647, 'PF00340', NULL, 'Interleukin-1 / 18', 119, NULL, 'IL1', 24373),
(80648, 'PF04831', NULL, 'Popeye protein conserved region', 140, NULL, 'Popeye', 24374),
(80649, 'PF07829', NULL, 'Alpha-A conotoxin PIVA-like protein', 26, NULL, 'Toxin_14', 24375),
(80650, 'PF10414', NULL, 'Sirohaem synthase dimerisation region', 58, NULL, 'CysG_dimeriser', 24376),
(80651, 'PF12894', NULL, 'Anaphase-promoting complex subunit 4 WD40 domain', 92, NULL, 'ANAPC4_WD40', 24377);
INSERT INTO "PUBLIC"."MODEL" VALUES
(80652, 'PF16670', NULL, 'Phosphoinositide phospholipase C, Ca2+-dependent', 328, NULL, 'PI-PLC-C1', 24378),
(80653, 'PF06718', NULL, 'Protein of unknown function (DUF1203)', 116, NULL, 'DUF1203', 24379),
(80654, 'PF16765', NULL, 'Pesticin immunity protein', 91, NULL, 'Pim', 24380),
(80655, 'PF04244', NULL, 'Deoxyribodipyrimidine photo-lyase-related protein', 224, NULL, 'DPRP', 24381),
(80656, 'PF12898', NULL, 'Stc1 domain', 85, NULL, 'Stc1', 24382),
(80657, 'PF02730', NULL, 'Aldehyde ferredoxin oxidoreductase, N-terminal domain', 199, NULL, 'AFOR_N', 24383),
(80658, 'PF01821', NULL, 'Anaphylotoxin-like domain', 36, NULL, 'ANATO', 24384),
(80659, 'PF10530', NULL, 'Toxin with inhibitor cystine knot ICK or Knottin scaffold', 61, NULL, 'Toxin_35', 24385),
(80660, 'PF13111', NULL, 'pPIWI_RE module N-terminal domain', 400, NULL, 'pPIWI_RE_X', 24386),
(80661, 'PF00260', NULL, 'Protamine P1', 49, NULL, 'Protamine_P1', 24387),
(80662, 'PF19289', NULL, 'PmbA/TldA metallopeptidase C-terminal domain', 220, NULL, 'PmbA_TldD_C', 24388),
(80663, 'PF18590', NULL, 'Immune Mapped Protein 2 (IMP2) N-terminal domain', 89, NULL, 'IMP2_N', 24389),
(80664, 'PF18048', NULL, 'TNF receptor-associated factor 6 zinc finger 2', 27, NULL, 'TRAF6_Z2', 24390),
(80665, 'PF16927', NULL, 'N-terminal 7TM region of histidine kinase', 220, NULL, 'HisKA_7TM', 24391),
(80666, 'PF01870', NULL, 'Archaeal holliday junction resolvase (hjc)', 93, NULL, 'Hjc', 24392),
(80667, 'PF03332', NULL, 'Eukaryotic phosphomannomutase', 221, NULL, 'PMM', 24393),
(80668, 'PF00538', NULL, 'linker histone H1 and H5 family', 74, NULL, 'Linker_histone', 24394),
(80669, 'PF05936', NULL, 'Bacterial Type VI secretion, VC_A0110, EvfL, ImpJ, VasE', 429, NULL, 'T6SS_VasE', 24395),
(80670, 'PF02866', NULL, 'lactate/malate dehydrogenase, alpha/beta C-terminal domain', 167, NULL, 'Ldh_1_C', 24396),
(80671, 'PF11665', NULL, 'Protein of unknown function (DUF3265)', 28, NULL, 'DUF3265', 24397),
(80672, 'PF11862', NULL, 'Domain of unknown function (DUF3382)', 97, NULL, 'DUF3382', 24398),
(80673, 'PF19293', NULL, 'CdaA N-terminal transmembrane domain', 81, NULL, 'CdaA_N', 24399),
(80674, 'PF03912', NULL, 'Psb28 protein', 106, NULL, 'Psb28', 24400),
(80675, 'PF19300', NULL, 'Binding-prot-dependent transport system membrane comp, N-term', 114, NULL, 'BPD_transp_1_N', 24401),
(80676, 'PF02843', NULL, 'Phosphoribosylglycinamide synthetase, C domain', 92, NULL, 'GARS_C', 24402),
(80677, 'PF00489', NULL, 'Interleukin-6/G-CSF/MGF family', 186, NULL, 'IL6', 24403),
(80678, 'PF13737', NULL, 'Transposase DDE domain', 112, NULL, 'DDE_Tnp_1_5', 24404),
(80679, 'PF02248', NULL, 'Small coat protein', 183, NULL, 'Como_SCP', 24405),
(80680, 'PF05229', NULL, 'Spore Coat Protein U domain', 139, NULL, 'SCPU', 24406),
(80681, 'PF06345', NULL, 'DRF Autoregulatory Domain', 15, NULL, 'Drf_DAD', 24407),
(80682, 'PF02822', NULL, 'Antistasin family', 26, NULL, 'Antistasin', 24408),
(80683, 'PF10077', NULL, 'Uncharacterized protein conserved in bacteria (DUF2314)', 136, NULL, 'DUF2314', 24409),
(80684, 'PF07988', NULL, 'LMSTEN motif', 47, NULL, 'LMSTEN', 24410),
(80685, 'PF08184', NULL, 'Cuticle protein 7 isoform family', 59, NULL, 'Cuticle_2', 24411),
(80686, 'PF09959', NULL, 'Uncharacterized protein conserved in archaea (DUF2193)', 498, NULL, 'DUF2193', 24412),
(80687, 'PF00483', NULL, 'Nucleotidyl transferase', 247, NULL, 'NTP_transferase', 24413),
(80688, 'PF18723', NULL, 'alpha-glutamyl/putrescinyl thymine pyrophosphorylase clade 1', 281, NULL, 'aGPT-Pplase1', 24414),
(80689, 'PF00501', NULL, 'AMP-binding enzyme', 424, NULL, 'AMP-binding', 24415),
(80690, 'PF08527', NULL, 'Protein-arginine deiminase (PAD) middle domain', 159, NULL, 'PAD_M', 24416),
(80691, 'PF00491', NULL, 'Arginase family', 280, NULL, 'Arginase', 24417),
(80692, 'PF11669', NULL, 'WW domain-binding protein 1', 105, NULL, 'WBP-1', 24418),
(80693, 'PF08383', NULL, 'Maf N-terminal region', 34, NULL, 'Maf_N', 24419),
(80694, 'PF12782', NULL, 'Invertebrate innate immunity transcript family', 291, NULL, 'Innate_immun', 24420);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(80695, 'PF00514', NULL, 'Armadillo/beta-catenin-like repeat', 41, NULL, 'Arm', 24421),
(80696, 'PF17924', NULL, 'Tetracyclin repressor-like, C-terminal domain', 117, NULL, 'TetR_C_19', 24422),
(80697, 'PF12895', NULL, 'Anaphase-promoting complex, cyclosome, subunit 3', 82, NULL, 'ANAPC3', 24423),
(80698, 'PF18185', NULL, 'Sir2- and TIR-associating SLOG family', 207, NULL, 'STALD', 24424),
(80699, 'PF08892', NULL, 'YqcI/YcgG family', 211, NULL, 'YqcI_YcgG', 24425),
(80700, 'PF17808', NULL, 'Fn3-like domain from Purple Acid Phosphatase', 118, NULL, 'fn3_PAP', 24426),
(80701, 'PF01837', NULL, 'Homocysteine biosynthesis enzyme, sulfur-incorporation', 347, NULL, 'HcyBio', 24427),
(80702, 'PF07793', NULL, 'Protein of unknown function (DUF1631)', 746, NULL, 'DUF1631', 24428),
(80703, 'PF13717', NULL, 'zinc-ribbon domain', 36, NULL, 'zinc_ribbon_4', 24429),
(80704, 'PF10851', NULL, 'Protein of unknown function (DUF2652)', 118, NULL, 'DUF2652', 24430),
(80705, 'PF00370', NULL, 'FGGY family of carbohydrate kinases, N-terminal domain', 245, NULL, 'FGGY_N', 24431),
(80706, 'PF11289', NULL, 'Betacoronavirus viroporin', 273, NULL, 'bCoV_viroporin', 24432),
(80707, 'PF06327', NULL, 'Domain of Unknown Function (DUF1053)', 98, NULL, 'DUF1053', 24433),
(80708, 'PF08451', NULL, 'Adenosine/AMP deaminase N-terminal', 95, NULL, 'A_deaminase_N', 24434),
(80709, 'PF12956', NULL, 'Domain of Unknown Function with PDB structure', 240, NULL, 'DUF3845', 24435),
(80710, 'PF11252', NULL, 'Protein of unknown function (DUF3051)', 189, NULL, 'DUF3051', 24436),
(80711, 'PF12828', NULL, 'PX-associated', 130, NULL, 'PXB', 24437),
(80712, 'PF01742', NULL, 'Clostridial neurotoxin zinc protease', 417, NULL, 'Peptidase_M27', 24438),
(80713, 'PF03985', NULL, 'Paf1', 426, NULL, 'Paf1', 24439),
(80714, 'PF02845', NULL, 'CUE domain', 42, NULL, 'CUE', 24440),
(80715, 'PF04730', NULL, 'Agrobacterium VirD5 protein', 671, NULL, 'Agro_virD5', 24441),
(80716, 'PF07544', NULL, 'RNA polymerase II transcription mediator complex subunit 9', 80, NULL, 'Med9', 24442),
(80717, 'PF12884', NULL, 'Transducer of regulated CREB activity, N terminus', 71, NULL, 'TORC_N', 24443),
(80718, 'PF08428', NULL, 'Rib domain', 76, NULL, 'Rib', 24444),
(80719, 'PF04623', NULL, 'Adenovirus E1B protein N-terminus', 71, NULL, 'Adeno_E1B_55K_N', 24445),
(80720, 'PF06594', NULL, 'Haemolysin-type calcium binding protein related domain', 42, NULL, 'HCBP_related', 24446),
(80721, 'PF19345', NULL, 'Mycobacterial methylenetetrahydrofolate reductase', 295, NULL, 'MTHFR_2', 24447),
(80722, 'PF01415', NULL, 'Interleukin 7', 134, NULL, 'IL7', 24448),
(80723, 'PF14341', NULL, 'PilX N-terminal', 51, NULL, 'PilX_N', 24449),
(80724, 'PF08563', NULL, 'P53 transactivation motif', 25, NULL, 'P53_TAD', 24450),
(80725, 'PF11833', NULL, 'Protein CHAPERONE-LIKE PROTEIN OF POR1-like', 198, NULL, 'CPP1-like', 24451),
(80726, 'PF11715', NULL, 'Nucleoporin Nup120/160', 547, NULL, 'Nup160', 24452),
(80727, 'PF08078', NULL, 'PsaX family', 35, NULL, 'PsaX', 24453),
(80728, 'PF12205', NULL, 'G protein-coupled receptor kinase-interacting protein 1 C term', 112, NULL, 'GIT1_C', 24454),
(80729, 'PF05162', NULL, 'Ribosomal protein L41', 25, NULL, 'Ribosomal_L41', 24455),
(80730, 'PF11784', NULL, 'Protein of unknown function (DUF3320)', 50, NULL, 'DUF3320', 24456),
(80731, 'PF19612', NULL, 'Family of unknown function (DUF6117)', 87, NULL, 'DUF6117', 24457),
(80732, 'PF07064', NULL, 'RIC1', 251, NULL, 'RIC1', 24458),
(80733, 'PF14288', NULL, '1,3-beta-glucan synthase subunit FKS1, domain-1', 119, NULL, 'FKS1_dom1', 24459),
(80734, 'PF13190', NULL, 'PDGLE domain', 89, NULL, 'PDGLE', 24460),
(80735, 'PF17064', NULL, 'Sleepless protein', 85, NULL, 'QVR', 24461),
(80736, 'PF00208', NULL, 'Glutamate/Leucine/Phenylalanine/Valine dehydrogenase', 243, NULL, 'ELFV_dehydrog', 24462),
(80737, 'PF03515', NULL, 'Colicin-like bacteriocin tRNase domain', 277, NULL, 'Cloacin', 24463),
(80738, 'PF19276', NULL, 'HD associated region', 222, NULL, 'HD_assoc_2', 24464),
(80739, 'PF15397', NULL, 'Domain of unknown function (DUF4618)', 258, NULL, 'DUF4618', 24465);
INSERT INTO "PUBLIC"."MODEL" VALUES
(80740, 'PF16888', NULL, 'Domain of unknown function (DUF5082)', 123, NULL, 'DUF5082', 24466),
(80741, 'PF15165', NULL, 'Meiotic recombination protein REC114-like', 240, NULL, 'REC114-like', 24467),
(80742, 'PF15169', NULL, 'Cytochrome b-245 chaperone 1 / Eros', 184, NULL, 'Cybc1_Eros', 24468),
(80743, 'PF17977', NULL, 'RING/Ubox like zinc-binding domain', 68, NULL, 'zf-RING_13', 24469),
(80744, 'PF18343', NULL, 'Dda helicase SH3 domain', 130, NULL, 'SH3_14', 24470),
(80745, 'PF16973', NULL, 'Flagellar motor switch protein FliN N-terminal', 50, NULL, 'FliN_N', 24471),
(80746, 'PF01516', NULL, 'Orbivirus helicase VP6', 324, NULL, 'Orbi_VP6', 24472),
(80747, 'PF13189', NULL, 'Cytidylate kinase-like family', 178, NULL, 'Cytidylate_kin2', 24473),
(80748, 'PF03527', NULL, 'RHS protein', 38, NULL, 'RHS', 24474),
(80749, 'PF15786', NULL, 'PET assembly of cytochrome c oxidase, mitochondrial', 70, NULL, 'PET117', 24475),
(80750, 'PF11788', NULL, '39S mitochondrial ribosomal protein L46', 119, NULL, 'MRP-L46', 24476),
(80751, 'PF13199', NULL, 'Glycosyl hydrolase family 66', 553, NULL, 'Glyco_hydro_66', 24477),
(80752, 'PF13369', NULL, 'Transglutaminase-like superfamily', 155, NULL, 'Transglut_core2', 24478),
(80753, 'PF04168', NULL, 'A predicted alpha-helical domain with a conserved ER motif.', 292, NULL, 'Alpha-E', 24479),
(80754, 'PF09671', NULL, 'Spore coat protein (Spore_GerQ)', 76, NULL, 'Spore_GerQ', 24480),
(80755, 'PF06996', NULL, 'Type VI secretion, TssG', 304, NULL, 'T6SS_TssG', 24481),
(80756, 'PF18587', NULL, 'PTX/LNS-Like (PLL) domain', 134, NULL, 'PLL', 24482),
(80757, 'PF12878', NULL, 'SICA extracellular beta domain', 172, NULL, 'SICA_beta', 24483),
(80758, 'PF19583', NULL, 'ODP family beta lactamase', 193, NULL, 'ODP', 24484),
(80759, 'PF19785', NULL, 'Family of unknown function (UPF0738)', 119, NULL, 'UPF0738', 24485),
(80760, 'PF16278', NULL, 'C2HE / C2H2 / C2HC zinc-binding finger', 63, NULL, 'zf-C2HE', 24486),
(80761, 'PF15637', NULL, 'HNH/Endo VII superfamily nuclease toxin with a HHH motif', 103, NULL, 'Tox-HNH-HHH', 24487),
(80762, 'PF17463', NULL, 'Gene product 79', 51, NULL, 'GP79', 24488),
(80763, 'PF17306', NULL, 'Family of unknown function (DUF5355)', 332, NULL, 'DUF5355', 24489),
(80764, 'PF18375', NULL, 'CDH1/2 SANT-Helical linker 1', 91, NULL, 'CDH1_2_SANT_HL1', 24490),
(80765, 'PF06169', NULL, 'Protein of unknown function (DUF982)', 73, NULL, 'DUF982', 24491),
(80766, 'PF12352', NULL, 'Snare region anchored in the vesicle membrane C-terminus', 66, NULL, 'V-SNARE_C', 24492),
(80767, 'PF10463', NULL, 'Peptidase U49', 198, NULL, 'Peptidase_U49', 24493),
(80768, 'PF13912', NULL, 'C2H2-type zinc finger', 27, NULL, 'zf-C2H2_6', 24494),
(80769, 'PF12105', NULL, 'SpoU, rRNA methylase, C-terminal', 54, NULL, 'SpoU_methylas_C', 24495),
(80770, 'PF00249', NULL, 'Myb-like DNA-binding domain', 46, NULL, 'Myb_DNA-binding', 24496),
(80771, 'PF16234', NULL, 'Domain of unknown function (DUF4892)', 183, NULL, 'DUF4892', 24497),
(80772, 'PF11124', NULL, 'Inorganic phosphate transporter Pho86', 291, NULL, 'Pho86', 24498),
(80773, 'PF07473', NULL, 'Spasmodic peptide gm9a; conotoxin from Conus species', 28, NULL, 'Toxin_11', 24499),
(80774, 'PF00238', NULL, 'Ribosomal protein L14p/L23e', 122, NULL, 'Ribosomal_L14', 24500),
(80775, 'PF16431', NULL, 'Domain of unknown function (DUF5028)', 166, NULL, 'DUF5028', 24501),
(80776, 'PF06489', NULL, 'Orthopoxvirus A49R protein', 162, NULL, 'Orthopox_A49R', 24502),
(80777, 'PF04687', NULL, 'Microvirus H protein (pilot protein)', 310, NULL, 'Microvir_H', 24503),
(80778, 'PF06405', NULL, 'Red chlorophyll catabolite reductase (RCC reductase)', 253, NULL, 'RCC_reductase', 24504),
(80779, 'PF01148', NULL, 'Cytidylyltransferase family', 265, NULL, 'CTP_transf_1', 24505),
(80780, 'PF19561', NULL, 'Family of unknown function (DUF6083)', 112, NULL, 'DUF6083', 24506),
(80781, 'PF09507', NULL, 'DNA polymerase subunit Cdc27', 427, NULL, 'CDC27', 24507),
(80782, 'PF19616', NULL, 'Family of unknown function (DUF6121)', 146, NULL, 'DUF6121', 24508),
(80783, 'PF10226', NULL, 'CCDC85 family', 192, NULL, 'CCDC85', 24509);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(80784, 'PF16704', NULL, 'Rab binding domain', 66, NULL, 'Rab_bind', 24510),
(80785, 'PF13246', NULL, 'Cation transport ATPase (P-type)', 91, NULL, 'Cation_ATPase', 24511),
(80786, 'PF05918', NULL, 'Apoptosis inhibitory protein 5 (API5)', 534, NULL, 'API5', 24512),
(80787, 'PF03383', NULL, 'Caenorhabditis serpentine receptor-like protein, class xa', 153, NULL, 'Serpentine_r_xa', 24513),
(80788, 'PF17510', NULL, 'Gene product 44', 107, NULL, 'GP44', 24514),
(80789, 'PF08173', NULL, 'Membrane bound YbgT-like protein', 27, NULL, 'YbgT_YccB', 24515),
(80790, 'PF17202', NULL, 'Single cache domain 3', 107, NULL, 'sCache_3_3', 24516),
(80791, 'PF00980', NULL, 'Rotavirus major capsid protein VP6', 396, NULL, 'Rota_Capsid_VP6', 24517),
(80792, 'PF19937', NULL, 'Gliding motility-associated protein GldC-like', 90, NULL, 'GldC-like', 24518),
(80793, 'PF17429', NULL, 'Gene product 70', 54, NULL, 'GP70', 24519),
(80794, 'PF19984', NULL, 'Family of unknown function (DUF6420)', 158, NULL, 'DUF6420', 24520),
(80795, 'PF06101', NULL, 'Vacuolar protein sorting-associated protein 62', 542, NULL, 'Vps62', 24521),
(80796, 'PF19328', NULL, '2,4-diaminopentanoate dehydrogenase C-terminal domain', 206, NULL, 'DAP_DH_C', 24522),
(80797, 'PF16759', NULL, 'DNA ligase 3 BRCT domain', 80, NULL, 'LIG3_BRCT', 24523),
(80798, 'PF15482', NULL, 'Coiled-coil domain-containing glutamate-rich protein family 1', 213, NULL, 'CCER1', 24524),
(80799, 'PF03144', NULL, 'Elongation factor Tu domain 2', 74, NULL, 'GTP_EFTU_D2', 24525),
(80800, 'PF06013', NULL, 'Proteins of 100 residues with WXG', 86, NULL, 'WXG100', 24526),
(80801, 'PF16540', NULL, 'Arf6-interacting domain of mitotic kinesin-like protein 1', 107, NULL, 'MKLP1_Arf_bdg', 24527),
(80802, 'PF18972', NULL, 'Cns1/TTC4 Wheel domain', 115, NULL, 'Wheel', 24528),
(80803, 'PF15226', NULL, 'HCF-1 beta-propeller-interacting protein family', 133, NULL, 'HPIP', 24529),
(80804, 'PF10587', NULL, 'Eukaryotic elongation factor 1 beta central acidic region', 28, NULL, 'EF-1_beta_acid', 24530),
(80805, 'PF08948', NULL, 'Domain of unknown function (DUF1859)', 126, NULL, 'DUF1859', 24531),
(80806, 'PF16184', NULL, 'Cadherin-like', 111, NULL, 'Cadherin_3', 24532),
(80807, 'PF11770', NULL, 'GRB2-binding adapter (GAPT)', 156, NULL, 'GAPT', 24533),
(80808, 'PF14950', NULL, 'Domain of unknown function (DUF4502)', 382, NULL, 'DUF4502', 24534),
(80809, 'PF20050', NULL, 'Family of unknown function (DUF6452)', 107, NULL, 'DUF6452', 24535),
(80810, 'PF12115', NULL, 'Salivary protein of 15kDa inhibits CD4+ T cell activation', 118, NULL, 'Salp15', 24536),
(80811, 'PF10488', NULL, 'Phosphatase-1 catalytic subunit binding region', 287, NULL, 'PP1c_bdg', 24537),
(80812, 'PF08544', NULL, 'GHMP kinases C terminal', 85, NULL, 'GHMP_kinases_C', 24538),
(80813, 'PF09861', NULL, 'Lactate racemase N-terminal domain', 204, NULL, 'Lar_N', 24539),
(80814, 'PF01907', NULL, 'Ribosomal protein L37e', 54, NULL, 'Ribosomal_L37e', 24540),
(80815, 'PF06973', NULL, 'Domain of unknown function (DUF1297)', 188, NULL, 'DUF1297', 24541),
(80816, 'PF16526', NULL, 'C-terminal leucine zipper domain of cyclic nucleotide-gated channels', 71, NULL, 'CLZ', 24542),
(80817, 'PF02891', NULL, 'MIZ/SP-RING zinc finger', 50, NULL, 'zf-MIZ', 24543),
(80818, 'PF03401', NULL, 'Tripartite tricarboxylate transporter family receptor', 274, NULL, 'TctC', 24544),
(80819, 'PF13212', NULL, 'Domain of unknown function (DUF4020)', 174, NULL, 'DUF4020', 24545),
(80820, 'PF07315', NULL, 'Protein of unknown function (DUF1462)', 93, NULL, 'DUF1462', 24546),
(80821, 'PF12552', NULL, 'Protein of unknown function (DUF3741)', 45, NULL, 'DUF3741', 24547),
(80822, 'PF07773', NULL, 'Protein of unknown function (DUF1619)', 317, NULL, 'DUF1619', 24548),
(80823, 'PF11782', NULL, 'Protein of unknown function (DUF3319)', 89, NULL, 'DUF3319', 24549),
(80824, 'PF18202', NULL, 'T-Q ester bond containing domain', 131, NULL, 'TQ', 24550),
(80825, 'PF02569', NULL, 'Pantoate-beta-alanine ligase', 265, NULL, 'Pantoate_ligase', 24551),
(80826, 'PF00915', NULL, 'Calicivirus coat protein', 291, NULL, 'Calici_coat', 24552);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(80827, 'PF03883', NULL, 'Peroxide stress protein YaaA', 233, NULL, 'H2O2_YaaD', 24553),
(80828, 'PF16574', NULL, 'Coiled-coil region of centrosome protein CE290', 128, NULL, 'CEP209_CC5', 24554),
(80829, 'PF06471', NULL, 'Coronavirus proofreading exoribonuclease', 513, NULL, 'CoV_ExoN', 24555),
(80830, 'PF11219', NULL, 'Protein of unknown function (DUF3014)', 156, NULL, 'DUF3014', 24556),
(80831, 'PF17085', NULL, 'Unique cartilage matrix associated protein', 134, NULL, 'UCMA', 24557),
(80832, 'PF05263', NULL, 'Protein of unknown function (DUF722)', 134, NULL, 'DUF722', 24558),
(80833, 'PF19716', NULL, 'Family of unknown function (DUF6211)', 92, NULL, 'DUF6211', 24559),
(80834, 'PF16606', NULL, 'Unstructured conserved, between two C2H2-type zinc-fingers', 81, NULL, 'zf-C2H2_assoc', 24560),
(80835, 'PF09152', NULL, 'Domain of unknown function (DUF1937)', 116, NULL, 'DUF1937', 24561),
(80836, 'PF11965', NULL, 'Domain of unknown function (DUF3479)', 161, NULL, 'DUF3479', 24562),
(80837, 'PF15587', NULL, 'Immunity protein 9', 149, NULL, 'Imm9', 24563),
(80838, 'PF16082', NULL, 'Bacteriophage holin family, superfamily II-like', 76, NULL, 'Phage_holin_2_4', 24564),
(80839, 'PF06356', NULL, 'Protein of unknown function (DUF1064)', 117, NULL, 'DUF1064', 24565),
(80840, 'PF14283', NULL, 'Domain of unknown function (DUF4366)', 158, NULL, 'DUF4366', 24566),
(80841, 'PF04432', NULL, 'Coenzyme F420 hydrogenase/dehydrogenase, beta subunit C terminus', 152, NULL, 'FrhB_FdhB_C', 24567),
(80842, 'PF10251', NULL, 'Presenilin enhancer-2 subunit of gamma secretase', 93, NULL, 'PEN-2', 24568),
(80843, 'PF11868', NULL, 'Protein of unknown function (DUF3388)', 190, NULL, 'DUF3388', 24569),
(80844, 'PF11491', NULL, 'Protein of unknown function (DUF3213)', 84, NULL, 'DUF3213', 24570),
(80845, 'PF04245', NULL, '37-kD nucleoid-associated bacterial protein', 309, NULL, 'NA37', 24571),
(80846, 'PF02972', NULL, 'Phycoerythrin, alpha/beta chain', 57, NULL, 'Phycoerythr_ab', 24572),
(80847, 'PF07460', NULL, 'NUMOD3 motif', 37, NULL, 'NUMOD3', 24573),
(80848, 'PF14362', NULL, 'Domain of unknown function (DUF4407)', 298, NULL, 'DUF4407', 24574),
(80849, 'PF17792', NULL, 'ThiD2 family', 124, NULL, 'ThiD2', 24575),
(80850, 'PF04646', NULL, 'Protein of unknown function, DUF604', 256, NULL, 'DUF604', 24576),
(80851, 'PF04082', NULL, 'Fungal specific transcription factor domain', 267, NULL, 'Fungal_trans', 24577),
(80852, 'PF02521', NULL, 'Putative outer membrane protein', 446, NULL, 'HP_OMP_2', 24578),
(80853, 'PF16858', NULL, 'Condensin II complex subunit CAP-H2 or CNDH2, C-term', 295, NULL, 'CNDH2_C', 24579),
(80854, 'PF09912', NULL, 'Uncharacterized protein conserved in bacteria (DUF2141)', 112, NULL, 'DUF2141', 24580),
(80855, 'PF16972', NULL, 'Na+ channel auxiliary subunit TipE', 486, NULL, 'TipE', 24581),
(80856, 'PF02445', NULL, 'Quinolinate synthetase A protein', 299, NULL, 'NadA', 24582),
(80857, 'PF18225', NULL, 'Sensor histidine kinase (AbfS) sensor domain', 65, NULL, 'AbfS_sensor', 24583),
(80858, 'PF12013', NULL, 'Orsellinic acid/F9775 biosynthesis cluster protein D', 114, NULL, 'OrsD', 24584),
(80859, 'PF11598', NULL, 'Cartilage oligomeric matrix protein', 45, NULL, 'COMP', 24585),
(80860, 'PF18129', NULL, 'Xrn1 SH3-like domain', 67, NULL, 'SH3_12', 24586),
(80861, 'PF19258', NULL, 'KxYKxGKxW signal peptide', 41, NULL, 'KxYKxGKxW_sig', 24587),
(80862, 'PF14534', NULL, 'Domain of unknown function (DUF4440)', 107, NULL, 'DUF4440', 24588),
(80863, 'PF15875', NULL, 'Domain of unknown function (DUF4731)', 75, NULL, 'DUF4731', 24589),
(80864, 'PF04283', NULL, 'Chemotaxis signal transduction system protein F from archaea', 217, NULL, 'CheF-arch', 24590),
(80865, 'PF18118', NULL, 'Polycomb repressive complex 2 tri-helical domain', 101, NULL, 'PRC2_HTH_1', 24591),
(80866, 'PF09351', NULL, 'Domain of unknown function (DUF1993)', 161, NULL, 'DUF1993', 24592),
(80867, 'PF09610', NULL, 'Mycoplasma virulence signal region (Myco_arth_vir_N)', 32, NULL, 'Myco_arth_vir_N', 24593),
(80868, 'PF07794', NULL, 'Protein of unknown function (DUF1633)', 790, NULL, 'DUF1633', 24594);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(80869, 'PF06847', NULL, 'Archaeal Peptidase A24 C-terminus Type II', 93, NULL, 'Arc_PepC_II', 24595),
(80870, 'PF17088', NULL, 'Uncharacterised protein family', 388, NULL, 'YCF90', 24596),
(80871, 'PF14401', NULL, 'RimK-like ATPgrasp N-terminal domain', 150, NULL, 'RLAN', 24597),
(80872, 'PF04811', NULL, 'Sec23/Sec24 trunk domain', 243, NULL, 'Sec23_trunk', 24598),
(80873, 'PF16435', NULL, 'Domain of unknown function (DUF5032)', 259, NULL, 'DUF5032', 24599),
(80874, 'PF13705', NULL, 'TRC8 N-terminal domain', 498, NULL, 'TRC8_N', 24600),
(80875, 'PF03065', NULL, 'Glycosyl hydrolase family 57', 325, NULL, 'Glyco_hydro_57', 24601),
(80876, 'PF08572', NULL, 'pre-mRNA processing factor 3 (PRP3)', 222, NULL, 'PRP3', 24602),
(80877, 'PF10397', NULL, 'Adenylosuccinate lyase C-terminus', 77, NULL, 'ADSL_C', 24603),
(80878, 'PF19872', NULL, 'Family of unknown function (DUF6345)', 221, NULL, 'DUF6345', 24604),
(80879, 'PF18886', NULL, 'Repeats of unknown function (DUF5649)', 68, NULL, 'DUF5649', 24605),
(80880, 'PF10534', NULL, 'Connector enhancer of kinase suppressor of ras', 93, NULL, 'CRIC_ras_sig', 24606),
(80881, 'PF14125', NULL, 'Domain of unknown function (DUF4292)', 210, NULL, 'DUF4292', 24607),
(80882, 'PF04591', NULL, 'Protein of unknown function, DUF596', 73, NULL, 'DUF596', 24608),
(80883, 'PF15504', NULL, 'Domain of unknown function (DUF4647)', 467, NULL, 'DUF4647', 24609),
(80884, 'PF13513', NULL, 'HEAT-like repeat', 55, NULL, 'HEAT_EZ', 24610),
(80885, 'PF13565', NULL, 'Homeodomain-like domain', 73, NULL, 'HTH_32', 24611),
(80886, 'PF15631', NULL, 'NTF2 fold immunity protein', 72, NULL, 'Imm-NTF2-2', 24612),
(80887, 'PF14450', NULL, 'Cell division protein FtsA', 99, NULL, 'FtsA', 24613),
(80888, 'PF15319', NULL, 'RAD9, RAD1, HUS1-interacting nuclear orphan protein', 249, NULL, 'RHINO', 24614),
(80889, 'PF18282', NULL, 'RAP80 N-terminal ubiquitin interaction motif', 57, NULL, 'RAP80_UIM', 24615),
(80890, 'PF13427', NULL, 'Domain of unknown function (DUF4111)', 103, NULL, 'DUF4111', 24616),
(80891, 'PF13106', NULL, 'Domain of unknown function (DUF3961)', 39, NULL, 'DUF3961', 24617),
(80892, 'PF03384', NULL, 'Drosophila protein of unknown function, DUF287', 55, NULL, 'DUF287', 24618),
(80893, 'PF03917', NULL, 'Eukaryotic glutathione synthase, ATP binding domain', 376, NULL, 'GSH_synth_ATP', 24619),
(80894, 'PF16136', NULL, 'Putative nuclear localisation signal', 114, NULL, 'NINJA_B', 24620),
(80895, 'PF16829', NULL, 'Avirulence protein ATR13, RxLR effector', 101, NULL, 'ATR13', 24621),
(80896, 'PF17141', NULL, 'Domain of unknown function (DUF5114)', 88, NULL, 'DUF5114', 24622),
(80897, 'PF10078', NULL, 'Uncharacterized protein conserved in bacteria (DUF2316)', 89, NULL, 'DUF2316', 24623),
(80898, 'PF06855', NULL, 'YozE SAM-like fold', 66, NULL, 'YozE_SAM_like', 24624),
(80899, 'PF00626', NULL, 'Gelsolin repeat', 76, NULL, 'Gelsolin', 24625),
(80900, 'PF10996', NULL, 'Beta-Casp domain', 114, NULL, 'Beta-Casp', 24626),
(80901, 'PF19578', NULL, 'Family of unknown function (DUF6090)', 182, NULL, 'DUF6090', 24627),
(80902, 'PF19809', NULL, 'Family of unknown function (DUF6292)', 89, NULL, 'DUF6292', 24628),
(80903, 'PF09059', NULL, 'TyeA', 81, NULL, 'TyeA', 24629),
(80904, 'PF16955', NULL, 'Ferrous iron uptake permease, iron-lead transporter', 207, NULL, 'OFeT_1', 24630),
(80905, 'PF02713', NULL, 'Domain of unknown function DUF220', 73, NULL, 'DUF220', 24631),
(80906, 'PF01215', NULL, 'Cytochrome c oxidase subunit Vb', 129, NULL, 'COX5B', 24632),
(80907, 'PF13084', NULL, 'Domain of unknown function (DUF3943)', 108, NULL, 'DUF3943', 24633),
(80908, 'PF12373', NULL, 'Major surface glycoprotein 2 C terminal', 30, NULL, 'Msg2_C', 24634),
(80909, 'PF14101', NULL, 'Domain of unknown function (DUF4275)', 139, NULL, 'DUF4275', 24635),
(80910, 'PF17546', NULL, 'Beta defensin 50', 50, NULL, 'Defb50', 24636),
(80911, 'PF14884', NULL, 'Type I membrane glycoproteins cell-cell fusogen', 467, NULL, 'EFF-AFF', 24637),
(80912, 'PF16760', NULL, 'Starch/carbohydrate-binding module (family 53)', 84, NULL, 'CBM53', 24638); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(80913, 'PF00909', NULL, 'Ammonium Transporter Family', 399, NULL, 'Ammonium_transp', 24639),
(80914, 'PF11823', NULL, 'Protein of unknown function (DUF3343)', 69, NULL, 'DUF3343', 24640),
(80915, 'PF13103', NULL, 'TonB C terminal', 85, NULL, 'TonB_2', 24641),
(80916, 'PF15186', NULL, 'Testis-expressed sequence 13 protein family', 150, NULL, 'TEX13', 24642),
(80917, 'PF18351', NULL, 'Fungal Argonaute N-terminal domain', 95, NULL, 'Ago_N_1', 24643),
(80918, 'PF04844', NULL, 'Transcriptional repressor, ovate', 58, NULL, 'Ovate', 24644),
(80919, 'PF09922', NULL, 'Cell wall-active antibiotics response 4TMS YvqF', 114, NULL, 'DUF2154', 24645),
(80920, 'PF17353', NULL, 'Family of unknown function (DUF5381)', 169, NULL, 'DUF5381', 24646),
(80921, 'PF05125', NULL, 'Phage major capsid protein, P2 family', 327, NULL, 'Phage_cap_P2', 24647),
(80922, 'PF06298', NULL, 'Photosystem II protein Y (PsbY)', 35, NULL, 'PsbY', 24648),
(80923, 'PF07883', NULL, 'Cupin domain', 71, NULL, 'Cupin_2', 24649),
(80924, 'PF15445', NULL, 'acidic terminal segments, variant surface antigen of PfEMP1', 446, NULL, 'ATS', 24650),
(80925, 'PF08753', NULL, 'NikR C terminal nickel binding domain', 77, NULL, 'NikR_C', 24651),
(80926, 'PF15761', NULL, 'Immortalisation up-regulated protein', 108, NULL, 'IMUP', 24652),
(80927, 'PF17896', NULL, 'Non-structural protein 2, gammacoronavirus', 358, NULL, 'NSP2_gammaCoV', 24653),
(80928, 'PF07831', NULL, 'Pyrimidine nucleoside phosphorylase C-terminal domain', 75, NULL, 'PYNP_C', 24654),
(80929, 'PF04187', NULL, 'Haem-binding uptake, Tiki superfamily, ChaN', 213, NULL, 'Cofac_haem_bdg', 24655),
(80930, 'PF06972', NULL, 'GBF-interacting protein 1 N-terminal', 60, NULL, 'GIP1_N', 24656),
(80931, 'PF07485', NULL, 'Domain of Unknown Function (DUF1259)', 121, NULL, 'DUF1529', 24657),
(80932, 'PF08096', NULL, 'Bombolitin family', 17, NULL, 'Bombolitin', 24658),
(80933, 'PF06486', NULL, 'Protein of unknown function (DUF1093)', 80, NULL, 'DUF1093', 24659),
(80934, 'PF10729', NULL, 'Cell division activator CedA', 77, NULL, 'CedA', 24660),
(80935, 'PF00368', NULL, 'Hydroxymethylglutaryl-coenzyme A reductase', 367, NULL, 'HMG-CoA_red', 24661),
(80936, 'PF05280', NULL, 'Flagellar transcriptional activator (FlhC)', 173, NULL, 'FlhC', 24662),
(80937, 'PF18400', NULL, 'Thioredoxin-like domain', 193, NULL, 'Thioredoxin_12', 24663),
(80938, 'PF15649', NULL, 'Restriction endonuclease fold toxin 7', 86, NULL, 'Tox-REase-7', 24664),
(80939, 'PF08211', NULL, 'Cytidine and deoxycytidylate deaminase zinc-binding region', 135, NULL, 'dCMP_cyt_deam_2', 24665),
(80940, 'PF13006', NULL, 'Insertion element 4 transposase N-terminal', 97, NULL, 'Nterm_IS4', 24666),
(80941, 'PF04108', NULL, 'Autophagy protein ATG17-like domain', 355, NULL, 'ATG17_like', 24667),
(80942, 'PF04802', NULL, 'Component of IIS longevity pathway SMK-1', 191, NULL, 'SMK-1', 24668),
(80943, 'PF12822', NULL, 'ECF transporter, substrate-specific component', 174, NULL, 'ECF_trnsprt', 24669),
(80944, 'PF19113', NULL, 'Family of unknown function (DUF5799)', 148, NULL, 'DUF5799', 24670),
(80945, 'PF10942', NULL, 'Protein of unknown function (DUF2619)', 69, NULL, 'DUF2619', 24671),
(80946, 'PF10045', NULL, 'Uncharacterized conserved protein (DUF2280)', 103, NULL, 'DUF2280', 24672),
(80947, 'PF13032', NULL, 'RNaseH domain of pPIWI_RE', 292, NULL, 'RNaseH_pPIWI_RE', 24673),
(80948, 'PF02159', NULL, 'Oestrogen receptor', 138, NULL, 'Oest_recep', 24674),
(80949, 'PF15574', NULL, 'Immunity protein 48', 123, NULL, 'Imm48', 24675),
(80950, 'PF11294', NULL, 'Protein of unknown function (DUF3095)', 377, NULL, 'DUF3095', 24676),
(80951, 'PF02138', NULL, 'Beige/BEACH domain', 275, NULL, 'Beach', 24677),
(80952, 'PF13826', NULL, 'Domain of unknown function (DUF4188)', 118, NULL, 'DUF4188', 24678),
(80953, 'PF14753', NULL, 'Protein FAM221A/B', 197, NULL, 'FAM221', 24679),
(80954, 'PF15378', NULL, 'Domain of unknown function (DUF4605)', 59, NULL, 'DUF4605', 24680),
(80955, 'PF15371', NULL, 'Domain of unknown function (DUF4599)', 88, NULL, 'DUF4599', 24681),
(80956, 'PF10717', NULL, 'Occlusion-derived virus envelope protein ODV-E18', 87, NULL, 'ODV-E18', 24682);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(80957, 'PF07191', NULL, 'zinc-ribbons', 67, NULL, 'zinc-ribbons_6', 24683),
(80958, 'PF07458', NULL, 'Sperm protein associated with nucleus, mapped to X chromosome', 94, NULL, 'SPAN-X', 24684),
(80959, 'PF12888', NULL, 'Lipid-binding putative hydrolase', 141, NULL, 'Lipid_bd', 24685),
(80960, 'PF01724', NULL, 'Domain of unknown function DUF29', 138, NULL, 'DUF29', 24686),
(80961, 'PF08012', NULL, 'Protein of unknown function (DUF1702)', 319, NULL, 'DUF1702', 24687),
(80962, 'PF11625', NULL, 'Protein of unknown function (DUF3253)', 81, NULL, 'DUF3253', 24688),
(80963, 'PF11520', NULL, 'Chromatin protein Cren7', 58, NULL, 'Cren7', 24689),
(80964, 'PF08056', NULL, 'Tryptophan operon leader peptide', 41, NULL, 'Trp_leader2', 24690),
(80965, 'PF08774', NULL, 'VRR-NUC domain', 115, NULL, 'VRR_NUC', 24691),
(80966, 'PF12008', NULL, 'Type I restriction and modification enzyme - subunit R C terminal', 259, NULL, 'EcoR124_C', 24692),
(80967, 'PF07394', NULL, 'Protein of unknown function (DUF1501)', 390, NULL, 'DUF1501', 24693),
(80968, 'PF00069', NULL, 'Protein kinase domain', 264, NULL, 'Pkinase', 24694),
(80969, 'PF01680', NULL, 'SOR/SNZ family', 207, NULL, 'SOR_SNZ', 24695),
(80970, 'PF19312', NULL, 'NtrY N-terminal region', 291, NULL, 'NtrY_N', 24696),
(80971, 'PF00139', NULL, 'Legume lectin domain', 249, NULL, 'Lectin_legB', 24697),
(80972, 'PF15525', NULL, 'Domain of unknown function (DUF4652)', 194, NULL, 'DUF4652', 24698),
(80973, 'PF16832', NULL, 'Erythroid krueppel-like transcription factor, transactivation 1', 27, NULL, 'EKLF_TAD1', 24699),
(80974, 'PF05489', NULL, 'Phage Tail Protein X', 60, NULL, 'Phage_tail_X', 24700),
(80975, 'PF18916', NULL, 'Lycopene cyclase', 92, NULL, 'Lycopene_cyc', 24701),
(80976, 'PF06896', NULL, 'Phage tail assembly chaperone proteins, TAC', 115, NULL, 'Phage_TAC_3', 24702),
(80977, 'PF07005', NULL, 'Sugar-binding N-terminal domain', 227, NULL, 'SBD_N', 24703),
(80978, 'PF08075', NULL, 'NOPS (NUC059) domain', 52, NULL, 'NOPS', 24704),
(80979, 'PF10379', NULL, 'Virulence protein nec1', 184, NULL, 'nec1', 24705),
(80980, 'PF04039', NULL, 'Domain related to MnhB subunit of Na+/H+ antiporter', 124, NULL, 'MnhB', 24706),
(80981, 'PF07287', NULL, 'Acyclic terpene utilisation family protein AtuA', 351, NULL, 'AtuA', 24707),
(80982, 'PF09852', NULL, 'Predicted membrane protein (DUF2079)', 457, NULL, 'DUF2079', 24708),
(80983, 'PF11832', NULL, 'Protein of unknown function (DUF3352)', 541, NULL, 'DUF3352', 24709),
(80984, 'PF02368', NULL, 'Bacterial Ig-like domain (group 2)', 79, NULL, 'Big_2', 24710),
(80985, 'PF02741', NULL, 'FTR, proximal lobe', 149, NULL, 'FTR_C', 24711),
(80986, 'PF05454', NULL, 'Dystroglycan (Dystrophin-associated glycoprotein 1)', 290, NULL, 'DAG1', 24712),
(80987, 'PF14390', NULL, 'Putative  PD-(D/E)XK family member, (DUF4420)', 305, NULL, 'DUF4420', 24713),
(80988, 'PF13273', NULL, 'Protein of unknown function (DUF4064)', 103, NULL, 'DUF4064', 24714),
(80989, 'PF06553', NULL, 'BNIP3', 187, NULL, 'BNIP3', 24715),
(80990, 'PF14778', NULL, 'Odorant response abnormal 4-like', 376, NULL, 'ODR4-like', 24716),
(80991, 'PF18872', NULL, 'Daz repeat', 21, NULL, 'Daz', 24717),
(80992, 'PF11907', NULL, 'Domain of unknown function (DUF3427)', 284, NULL, 'DUF3427', 24718),
(80993, 'PF10032', NULL, 'Phosphate transport (Pho88)', 182, NULL, 'Pho88', 24719),
(80994, 'PF14597', NULL, 'Metallo-beta-lactamase superfamily', 199, NULL, 'Lactamase_B_5', 24720),
(80995, 'PF19135', NULL, 'Protein of unknown function (DUF5818)', 57, NULL, 'DUF5818', 24721),
(80996, 'PF12701', NULL, 'Scd6-like Sm domain', 75, NULL, 'LSM14', 24722),
(80997, 'PF05831', NULL, 'GAGE protein', 107, NULL, 'GAGE', 24723),
(80998, 'PF14558', NULL, 'ML-like domain', 139, NULL, 'TRP_N', 24724),
(80999, 'PF19476', NULL, 'Family of unknown function (DUF6013)', 184, NULL, 'DUF6013', 24725),
(81000, 'PF08307', NULL, 'Glycosyl hydrolase family 98 C-terminal domain', 260, NULL, 'Glyco_hydro_98C', 24726),
(81001, 'PF13168', NULL, 'Poxvirus B22R protein C-terminal', 195, NULL, 'Poxvirus_B22R_C', 24727);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(81002, 'PF11744', NULL, 'Aluminium activated malate transporter', 408, NULL, 'ALMT', 24728),
(81003, 'PF18849', NULL, 'Bacterial archaeo-eukaryotic release factor family 7', 144, NULL, 'baeRF_family7', 24729),
(81004, 'PF10938', NULL, 'YfdX protein', 149, NULL, 'YfdX', 24730),
(81005, 'PF04301', NULL, 'Protein of unknown function (DUF452)', 213, NULL, 'DUF452', 24731),
(81006, 'PF09888', NULL, 'Uncharacterized protein conserved in archaea (DUF2115)', 163, NULL, 'DUF2115', 24732),
(81007, 'PF15446', NULL, 'PHD/FYVE-zinc-finger like domain', 169, NULL, 'zf-PHD-like', 24733),
(81008, 'PF05687', NULL, 'BES1/BZR1 plant transcription factor, N-terminal', 151, NULL, 'BES1_N', 24734),
(81009, 'PF09391', NULL, 'Protein of unknown function (DUF2000)', 133, NULL, 'DUF2000', 24735),
(81010, 'PF12920', NULL, 'TcdA/TcdB pore forming domain', 655, NULL, 'TcdA_TcdB_pore', 24736),
(81011, 'PF07054', NULL, 'Pericardin like repeat', 35, NULL, 'Pericardin_rpt', 24737),
(81012, 'PF13627', NULL, 'Prokaryotic lipoprotein-attachment site', 23, NULL, 'LPAM_2', 24738),
(81013, 'PF09242', NULL, 'Flavocytochrome c sulphide dehydrogenase, flavin-binding', 70, NULL, 'FCSD-flav_bind', 24739),
(81014, 'PF05045', NULL, 'Rhamnan synthesis protein F', 503, NULL, 'RgpF', 24740),
(81015, 'PF02751', NULL, 'Transcription initiation factor IIA, gamma subunit', 44, NULL, 'TFIIA_gamma_C', 24741),
(81016, 'PF04272', NULL, 'Phospholamban', 52, NULL, 'Phospholamban', 24742),
(81017, 'PF02481', NULL, 'DNA recombination-mediator protein A', 210, NULL, 'DNA_processg_A', 24743),
(81018, 'PF12051', NULL, 'Protein of unknown function (DUF3533)', 376, NULL, 'DUF3533', 24744),
(81019, 'PF14293', NULL, 'YWFCY protein', 144, NULL, 'YWFCY', 24745),
(81020, 'PF16282', NULL, 'SANT/Myb-like domain of DAMP1', 80, NULL, 'SANT_DAMP1_like', 24746),
(81021, 'PF16367', NULL, 'RNA recognition motif', 97, NULL, 'RRM_7', 24747),
(81022, 'PF05271', NULL, 'Tobravirus 2B protein', 117, NULL, 'Tobravirus_2B', 24748),
(81023, 'PF11235', NULL, 'Mediator complex subunit 25 synapsin 1', 157, NULL, 'Med25_SD1', 24749),
(81024, 'PF06712', NULL, 'Protein of unknown function (DUF1199)', 52, NULL, 'DUF1199', 24750),
(81025, 'PF17842', NULL, 'Double-stranded RNA binding domain 2', 147, NULL, 'dsRBD2', 24751),
(81026, 'PF12618', NULL, 'Protein of unknown function (DUF3776)', 109, NULL, 'DUF3776', 24752),
(81027, 'PF05193', NULL, 'Peptidase M16 inactive domain', 183, NULL, 'Peptidase_M16_C', 24753),
(81028, 'PF04259', NULL, 'Small, acid-soluble spore protein, gamma-type', 84, NULL, 'SASP_gamma', 24754),
(81029, 'PF09675', NULL, 'Chlamydia-phage Chp2 scaffold (Chlamy_scaf)', 107, NULL, 'Chlamy_scaf', 24755),
(81030, 'PF05443', NULL, 'ROS/MUCR transcriptional regulator protein', 125, NULL, 'ROS_MUCR', 24756),
(81031, 'PF16381', NULL, 'Coatomer subunit gamma-1 C-terminal appendage platform', 115, NULL, 'Coatomer_g_Cpla', 24757),
(81032, 'PF18857', NULL, 'Large polyvalent protein associated domain 38', 190, NULL, 'LPD38', 24758),
(81033, 'PF16199', NULL, 'Radical_SAM C-terminal domain', 82, NULL, 'Radical_SAM_C', 24759),
(81034, 'PF04821', NULL, 'Timeless protein', 276, NULL, 'TIMELESS', 24760),
(81035, 'PF05496', NULL, 'Holliday junction DNA helicase RuvB P-loop domain', 159, NULL, 'RuvB_N', 24761),
(81036, 'PF12010', NULL, 'Domain of unknown function (DUF3502)', 130, NULL, 'DUF3502', 24762),
(81037, 'PF03105', NULL, 'SPX domain', 379, NULL, 'SPX', 24763),
(81038, 'PF07754', NULL, 'Small zinc finger protein HVO_2753-like, Zn-binding pocket', 46, NULL, 'HVO_2753_ZBP', 24764),
(81039, 'PF10338', NULL, 'Protein of unknown function (DUF2423)', 44, NULL, 'DUF2423', 24765),
(81040, 'PF11247', NULL, 'Protein of unknown function (DUF2675)', 99, NULL, 'DUF2675', 24766),
(81041, 'PF03014', NULL, 'Structural protein 2', 628, NULL, 'SP2', 24767),
(81042, 'PF18611', NULL, 'IL-3 receptor alpha chain N-terminal domain', 78, NULL, 'IL3Ra_N', 24768),
(81043, 'PF00131', NULL, 'Metallothionein', 65, NULL, 'Metallothio', 24769),
(81044, 'PF14215', NULL, 'bHLH-MYC and R2R3-MYB transcription factors N-terminal', 177, NULL, 'bHLH-MYC_N', 24770);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(81045, 'PF12104', NULL, 'T cell CD4 receptor C terminal region', 28, NULL, 'Tcell_CD4_C', 24771),
(81046, 'PF00274', NULL, 'Fructose-bisphosphate aldolase class-I', 349, NULL, 'Glycolytic', 24772),
(81047, 'PF11334', NULL, 'Protein of unknown function (DUF3136)', 64, NULL, 'DUF3136', 24773),
(81048, 'PF18793', NULL, 'Nitrous oxide reductase propeller repeat 2', 70, NULL, 'nos_propeller_2', 24774),
(81049, 'PF16440', NULL, 'Domain of unknown function (DUF5037)', 242, NULL, 'DUF5037', 24775),
(81050, 'PF15715', NULL, 'PCNA-associated factor histone like domain', 135, NULL, 'PAF', 24776),
(81051, 'PF01602', NULL, 'Adaptin N terminal region', 524, NULL, 'Adaptin_N', 24777),
(81052, 'PF05395', NULL, 'Protein phosphatase inhibitor 1/DARPP-32', 160, NULL, 'DARPP-32', 24778),
(81053, 'PF14507', NULL, 'CppA C-terminal', 102, NULL, 'CppA_C', 24779),
(81054, 'PF19170', NULL, 'Family of unknown function (DUF5852)', 199, NULL, 'DUF5852', 24780),
(81055, 'PF19736', NULL, 'Family of unknown function (DUF6226)', 197, NULL, 'DUF6226', 24781),
(81056, 'PF05010', NULL, 'Transforming acidic coiled-coil-containing protein (TACC), C-terminal', 201, NULL, 'TACC_C', 24782),
(81057, 'PF15333', NULL, 'TATA box-binding protein-associated factor 1D', 222, NULL, 'TAF1D', 24783),
(81058, 'PF02251', NULL, 'Proteasome activator pa28 alpha subunit', 61, NULL, 'PA28_alpha', 24784),
(81059, 'PF05629', NULL, 'Nanovirus component 8 (C8) protein', 153, NULL, 'Nanovirus_C8', 24785),
(81060, 'PF14205', NULL, 'Cysteine-rich KTR', 54, NULL, 'Cys_rich_KTR', 24786),
(81061, 'PF00539', NULL, 'Transactivating regulatory protein (Tat)', 63, NULL, 'Tat', 24787),
(81062, 'PF04641', NULL, 'Rtf2 RING-finger', 262, NULL, 'Rtf2', 24788),
(81063, 'PF18477', NULL, 'PIN like domain', 116, NULL, 'PIN_9', 24789),
(81064, 'PF01582', NULL, 'TIR domain', 176, NULL, 'TIR', 24790),
(81065, 'PF16838', NULL, 'Caudoviral major tail protein N-terminus', 116, NULL, 'Caud_tail_N', 24791),
(81066, 'PF15726', NULL, 'Domain of unknown function (DUF4677)', 194, NULL, 'DUF4677', 24792),
(81067, 'PF00030', NULL, 'Beta/Gamma crystallin', 82, NULL, 'Crystall', 24793),
(81068, 'PF04991', NULL, 'LicD family', 228, NULL, 'LicD', 24794),
(81069, 'PF05120', NULL, 'Gas vesicle protein G', 80, NULL, 'GvpG', 24795),
(81070, 'PF05990', NULL, 'Alpha/beta hydrolase of unknown function (DUF900)', 237, NULL, 'DUF900', 24796),
(81071, 'PF14808', NULL, 'TMEM164 family', 254, NULL, 'TMEM164', 24797),
(81072, 'PF16571', NULL, 'FBP C-terminal treble-clef zinc-finger', 155, NULL, 'FBP_C', 24798),
(81073, 'PF05999', NULL, 'Herpesvirus U5-like family', 441, NULL, 'Herpes_U5', 24799),
(81074, 'PF10162', NULL, 'G8 domain', 121, NULL, 'G8', 24800),
(81075, 'PF07788', NULL, 'PD-(D/E)XK nuclease superfamily', 74, NULL, 'PDDEXK_10', 24801),
(81076, 'PF19646', NULL, 'Family of unknown function (DUF6149)', 200, NULL, 'DUF6149', 24802),
(81077, 'PF17407', NULL, 'Nrap protein domain 6', 133, NULL, 'Nrap_D6', 24803),
(81078, 'PF01369', NULL, 'Sec7 domain', 183, NULL, 'Sec7', 24804),
(81079, 'PF13432', NULL, 'Tetratricopeptide repeat', 68, NULL, 'TPR_16', 24805),
(81080, 'PF20097', NULL, 'Domain of unknown function (DUF6487)', 50, NULL, 'DUF6487', 24806),
(81081, 'PF09770', NULL, 'Topoisomerase II-associated protein PAT1', 864, NULL, 'PAT1', 24807),
(81082, 'PF16242', NULL, 'Pyridoxamine 5''-phosphate oxidase like', 149, NULL, 'Pyrid_ox_like', 24808),
(81083, 'PF10964', NULL, 'Protein of unknown function (DUF2766)', 79, NULL, 'DUF2766', 24809),
(81084, 'PF14809', NULL, 'C1 domain of tRNA-guanine transglycosylase dimerisation', 70, NULL, 'TGT_C1', 24810),
(81085, 'PF17607', NULL, 'Family of unknown function (DUF5503)', 116, NULL, 'DUF5503', 24811),
(81086, 'PF05188', NULL, 'MutS domain II', 137, NULL, 'MutS_II', 24812),
(81087, 'PF05041', NULL, 'Pecanex protein (C-terminus)', 228, NULL, 'Pecanex_C', 24813),
(81088, 'PF05230', NULL, 'MASE2 domain', 89, NULL, 'MASE2', 24814),
(81089, 'PF20068', NULL, 'Amphi-Trp domain', 95, NULL, 'Amphi-Trp', 24815),
(81090, 'PF03130', NULL, 'PBS lyase HEAT-like repeat', 27, NULL, 'HEAT_PBS', 24816);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(81091, 'PF18428', NULL, 'BRCA1 C Terminus (BRCT) domain', 102, NULL, 'BRCT_3', 24817),
(81092, 'PF07475', NULL, 'HPr Serine kinase C-terminal domain', 171, NULL, 'Hpr_kinase_C', 24818),
(81093, 'PF08940', NULL, 'Domain of unknown function (DUF1918)', 58, NULL, 'DUF1918', 24819),
(81094, 'PF10216', NULL, 'CO2 hydration protein (ChpXY)', 352, NULL, 'ChpXY', 24820),
(81095, 'PF15613', NULL, 'Williams-Beuren syndrome DDT (WSD), D-TOX E motif', 100, NULL, 'WSD', 24821),
(81096, 'PF19516', NULL, 'Family of unknown function (DUF6049)', 705, NULL, 'DUF6049', 24822),
(81097, 'PF03610', NULL, 'PTS system fructose IIA component', 116, NULL, 'EIIA-man', 24823),
(81098, 'PF15129', NULL, 'FAM150 family', 124, NULL, 'FAM150', 24824),
(81099, 'PF05880', NULL, 'Fijivirus 64 kDa capsid protein', 554, NULL, 'Fiji_64_capsid', 24825),
(81100, 'PF08936', NULL, 'Carboxysome Shell Carbonic Anhydrase', 455, NULL, 'CsoSCA', 24826),
(81101, 'PF15524', NULL, 'Novel toxin 17', 94, NULL, 'Ntox17', 24827),
(81102, 'PF15992', NULL, 'Domain of unknown function (DUF4769)', 256, NULL, 'DUF4769', 24828),
(81103, 'PF16852', NULL, 'Herpes viral adaptor-to-host cellular mRNA binding domain', 42, NULL, 'HHV-1_VABD', 24829),
(81104, 'PF00031', NULL, 'Cystatin domain', 92, NULL, 'Cystatin', 24830),
(81105, 'PF05438', NULL, 'Thyrotropin-releasing hormone (TRH)', 221, NULL, 'TRH', 24831),
(81106, 'PF04712', NULL, 'Radial spokehead-like protein', 495, NULL, 'Radial_spoke', 24832),
(81107, 'PF10134', NULL, 'Replication initiator protein A', 229, NULL, 'RPA', 24833),
(81108, 'PF11311', NULL, 'Protein of unknown function (DUF3114)', 251, NULL, 'DUF3114', 24834),
(81109, 'PF00374', NULL, 'Nickel-dependent hydrogenase', 508, NULL, 'NiFeSe_Hases', 24835),
(81110, 'PF18641', NULL, 'LidA long coiled-coil domain', 177, NULL, 'LidA_Long_CC', 24836),
(81111, 'PF19975', NULL, 'Double-GTPase 1', 274, NULL, 'DO-GTPase1', 24837),
(81112, 'PF04007', NULL, 'Protein of unknown function (DUF354)', 340, NULL, 'DUF354', 24838),
(81113, 'PF09209', NULL, 'HTH-type transcriptional dual regulator CecR, C-terminal domain', 125, NULL, 'CecR_C', 24839),
(81114, 'PF05205', NULL, 'COMPASS (Complex proteins associated with Set1p) component shg1', 102, NULL, 'COMPASS-Shg1', 24840),
(81115, 'PF00041', NULL, 'Fibronectin type III domain', 85, NULL, 'fn3', 24841),
(81116, 'PF08748', NULL, 'Phage tail assembly chaperone', 128, NULL, 'Phage_TAC_4', 24842),
(81117, 'PF14011', NULL, 'EspG family', 245, NULL, 'ESX-1_EspG', 24843),
(81118, 'PF13193', NULL, 'AMP-binding enzyme C-terminal domain', 76, NULL, 'AMP-binding_C', 24844),
(81119, 'PF11557', NULL, 'Solitary outer membrane autotransporter beta-barrel domain', 327, NULL, 'Omp_AT', 24845),
(81120, 'PF00845', NULL, 'Geminivirus BL1 movement protein', 276, NULL, 'Gemini_BL1', 24846),
(81121, 'PF11693', NULL, 'Protein of unknown function (DUF2990)', 63, NULL, 'DUF2990', 24847),
(81122, 'PF07748', NULL, 'Glycosyl hydrolases family 38 C-terminal domain', 214, NULL, 'Glyco_hydro_38C', 24848),
(81123, 'PF13987', NULL, 'YedD-like protein', 106, NULL, 'YedD', 24849),
(81124, 'PF05791', NULL, 'Bacillus haemolytic enterotoxin (HBL)', 177, NULL, 'Bacillus_HBL', 24850),
(81125, 'PF17417', NULL, 'Herpesvirus Glycoprotein B PH-like domain', 97, NULL, 'Glycoprot_B_PH2', 24851),
(81126, 'PF19368', NULL, 'AraR C-terminal winged HTH domain', 82, NULL, 'AraR_C', 24852),
(81127, 'PF09263', NULL, 'Peroxisome biogenesis factor 1, N-terminal', 83, NULL, 'PEX-2N', 24853),
(81128, 'PF14848', NULL, 'DNA-binding domain', 124, NULL, 'HU-DNA_bdg', 24854),
(81129, 'PF02276', NULL, 'Photosynthetic reaction centre cytochrome C subunit', 311, NULL, 'CytoC_RC', 24855),
(81130, 'PF11940', NULL, 'Domain of unknown function (DUF3458) Ig-like fold', 95, NULL, 'DUF3458', 24856),
(81131, 'PF03612', NULL, 'Sorbitol phosphotransferase enzyme II N-terminus', 184, NULL, 'EIIBC-GUT_N', 24857),
(81132, 'PF14424', NULL, 'The  BURPS668_1122 family of deaminases', 146, NULL, 'Toxin-deaminase', 24858),
(81133, 'PF05960', NULL, 'Bacterial protein of unknown function (DUF885)', 529, NULL, 'DUF885', 24859);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(81134, 'PF07179', NULL, 'SseB protein N-terminal domain', 126, NULL, 'SseB', 24860),
(81135, 'PF12376', NULL, 'Protein of unknown function (DUF3654)', 138, NULL, 'DUF3654', 24861),
(81136, 'PF07738', NULL, 'Sad1 / UNC-like C-terminal', 131, NULL, 'Sad1_UNC', 24862),
(81137, 'PF02078', NULL, 'Synapsin, N-terminal domain', 102, NULL, 'Synapsin', 24863),
(81138, 'PF17236', NULL, 'Family of unknown function (DUF5309)', 283, NULL, 'DUF5309', 24864),
(81139, 'PF17684', NULL, 'PH domain of plant-specific actin-binding protein', 108, NULL, 'SCAB-PH', 24865),
(81140, 'PF15950', NULL, 'Putative sperm flagellar membrane protein', 142, NULL, 'DUF4758', 24866),
(81141, 'PF08795', NULL, 'Putative papain-like cysteine peptidase (DUF1796)', 161, NULL, 'DUF1796', 24867),
(81142, 'PF09285', NULL, 'Elongation factor P, C-terminal', 56, NULL, 'Elong-fact-P_C', 24868),
(81143, 'PF14354', NULL, 'Restriction alleviation protein Lar', 62, NULL, 'Lar_restr_allev', 24869),
(81144, 'PF10310', NULL, 'Family of unknown function (DUF5427)', 463, NULL, 'DUF5427', 24870),
(81145, 'PF10693', NULL, 'Protein of unknown function (DUF2499)', 89, NULL, 'DUF2499', 24871),
(81146, 'PF09344', NULL, 'CT1975-like protein', 360, NULL, 'Cas_CT1975', 24872),
(81147, 'PF17954', NULL, 'Quercetinase C-terminal cupin domain', 86, NULL, 'Pirin_C_2', 24873),
(81148, 'PF07499', NULL, 'RuvA, C-terminal domain', 47, NULL, 'RuvA_C', 24874),
(81149, 'PF11417', NULL, 'Loader and inhibitor of phage G40P', 66, NULL, 'Inhibitor_G39P', 24875),
(81150, 'PF06135', NULL, 'IreB regulatory phosphoprotein', 78, NULL, 'IreB', 24876),
(81151, 'PF10354', NULL, 'Domain of unknown function (DUF2431)', 169, NULL, 'DUF2431', 24877),
(81152, 'PF12875', NULL, 'Protein of unknown function (DUF3826)', 186, NULL, 'DUF3826', 24878),
(81153, 'PF00648', NULL, 'Calpain family cysteine protease', 298, NULL, 'Peptidase_C2', 24879),
(81154, 'PF06988', NULL, 'NifT/FixU protein', 64, NULL, 'NifT', 24880),
(81155, 'PF19099', NULL, 'Family of unknown function (DUF5786)', 55, NULL, 'DUF5786', 24881),
(81156, 'PF14360', NULL, 'PAP2 superfamily C-terminal', 74, NULL, 'PAP2_C', 24882),
(81157, 'PF15093', NULL, 'Domain of unknown function (DUF4555)', 284, NULL, 'DUF4555', 24883),
(81158, 'PF03744', NULL, '6-carboxyhexanoate--CoA ligase', 241, NULL, 'BioW', 24884),
(81159, 'PF20041', NULL, 'Domain of unknown function (DUF6443)', 90, NULL, 'DUF6443', 24885),
(81160, 'PF10737', NULL, 'Spore germination protein GerPC', 174, NULL, 'GerPC', 24886),
(81161, 'PF13820', NULL, 'Putative nucleic acid-binding region', 144, NULL, 'Nucleic_acid_bd', 24887),
(81162, 'PF16722', NULL, 'Pathogenicity island protein gp6 in Staphylococcus', 72, NULL, 'SAPIS-gp6', 24888),
(81163, 'PF18216', NULL, 'N-formyltransferase dimerization C-terminal domain', 52, NULL, 'N_formyltrans_C', 24889),
(81164, 'PF12123', NULL, 'PlyG Cell wall binding domain', 44, NULL, 'CBD_PlyG', 24890),
(81165, 'PF15898', NULL, 'cGMP-dependent protein kinase interacting domain', 102, NULL, 'PRKG1_interact', 24891),
(81166, 'PF16268', NULL, 'Domain of unknown function (DUF4921)', 425, NULL, 'DUF4921', 24892),
(81167, 'PF02981', NULL, 'Restriction endonuclease FokI, recognition domain', 137, NULL, 'FokI_N', 24893),
(81168, 'PF08059', NULL, 'SEP domain', 74, NULL, 'SEP', 24894),
(81169, 'PF15673', NULL, 'Circadian-associated transcriptional repressor', 278, NULL, 'Ciart', 24895),
(81170, 'PF01463', NULL, 'Leucine rich repeat C-terminal domain', 26, NULL, 'LRRCT', 24896),
(81171, 'PF00719', NULL, 'Inorganic pyrophosphatase', 160, NULL, 'Pyrophosphatase', 24897),
(81172, 'PF07868', NULL, 'Protein of unknown function (DUF1655)', 55, NULL, 'DUF1655', 24898),
(81173, 'PF00937', NULL, 'Coronavirus nucleocapsid', 342, NULL, 'CoV_nucleocap', 24899),
(81174, 'PF11859', NULL, 'Protein of unknown function (DUF3379)', 235, NULL, 'DUF3379', 24900),
(81175, 'PF11732', NULL, 'Transcription- and export-related complex subunit', 76, NULL, 'Thoc2', 24901),
(81176, 'PF17584', NULL, 'Bacillus competence protein S', 44, NULL, 'ComS', 24902),
(81177, 'PF09955', NULL, 'Predicted integral membrane protein (DUF2189)', 126, NULL, 'DUF2189', 24903);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(81178, 'PF01569', NULL, 'PAP2 superfamily', 136, NULL, 'PAP2', 24904),
(81179, 'PF12210', NULL, 'Hepatocyte growth factor-regulated tyrosine kinase substrate', 95, NULL, 'Hrs_helical', 24905),
(81180, 'PF15895', NULL, 'CAAX box cerebral protein 1', 209, NULL, 'CAAX_1', 24906),
(81181, 'PF19857', NULL, 'Family of unknown function (DUF6332)', 86, NULL, 'DUF6332', 24907),
(81182, 'PF00446', NULL, 'Gonadotropin-releasing hormone', 10, NULL, 'GnRH', 24908),
(81183, 'PF02633', NULL, 'Creatinine amidohydrolase', 238, NULL, 'Creatininase', 24909),
(81184, 'PF14979', NULL, 'Transmembrane 52', 149, NULL, 'TMEM52', 24910),
(81185, 'PF19111', NULL, 'Family of unknown function (DUF5798)', 89, NULL, 'DUF5798', 24911),
(81186, 'PF17984', NULL, 'Telomerase reverse transcriptase thumb DNA binding domain', 191, NULL, 'TERT_thumb', 24912),
(81187, 'PF07155', NULL, 'ECF-type riboflavin transporter, S component', 172, NULL, 'ECF-ribofla_trS', 24913),
(81188, 'PF15041', NULL, 'Domain of unknown function (DUF4531)', 184, NULL, 'DUF4531', 24914),
(81189, 'PF10387', NULL, 'Protein of unknown function (DUF2442)', 79, NULL, 'DUF2442', 24915),
(81190, 'PF01804', NULL, 'Penicillin amidase', 674, NULL, 'Penicil_amidase', 24916),
(81191, 'PF15999', NULL, 'Domain of unknown function (DUF4774)', 58, NULL, 'DUF4774', 24917),
(81192, 'PF02198', NULL, 'Sterile alpha motif (SAM)/Pointed domain', 84, NULL, 'SAM_PNT', 24918),
(81193, 'PF12426', NULL, 'RNA dependent RNA polymerase', 41, NULL, 'DUF3674', 24919),
(81194, 'PF15968', NULL, 'Membrane-anchored ion channel, Abi component', 139, NULL, 'RexB', 24920),
(81195, 'PF10348', NULL, 'Domain of unknown function (DUF2427)', 105, NULL, 'DUF2427', 24921),
(81196, 'PF12464', NULL, 'Maltose acetyltransferase', 53, NULL, 'Mac', 24922),
(81197, 'PF06590', NULL, 'PerB protein', 129, NULL, 'PerB', 24923),
(81198, 'PF03631', NULL, 'Virulence factor BrkB', 258, NULL, 'Virul_fac_BrkB', 24924),
(81199, 'PF15596', NULL, 'Immunity protein 57', 109, NULL, 'Imm57', 24925),
(81200, 'PF05970', NULL, 'PIF1-like helicase', 362, NULL, 'PIF1', 24926),
(81201, 'PF12325', NULL, 'TATA element modulatory factor 1 TATA binding', 115, NULL, 'TMF_TATA_bd', 24927),
(81202, 'PF04104', NULL, 'Eukaryotic and archaeal DNA primase, large subunit', 266, NULL, 'DNA_primase_lrg', 24928),
(81203, 'PF09185', NULL, 'Domain of unknown function (DUF1948)', 140, NULL, 'DUF1948', 24929),
(81204, 'PF03230', NULL, 'Antirestriction protein', 92, NULL, 'Antirestrict', 24930),
(81205, 'PF16723', NULL, 'Domain of unknown function (DUF5065)', 152, NULL, 'DUF5065', 24931),
(81206, 'PF00334', NULL, 'Nucleoside diphosphate kinase', 135, NULL, 'NDK', 24932),
(81207, 'PF02883', NULL, 'Adaptin C-terminal domain', 111, NULL, 'Alpha_adaptinC2', 24933),
(81208, 'PF06851', NULL, 'Protein of unknown function (DUF1247)', 149, NULL, 'DUF1247', 24934),
(81209, 'PF16160', NULL, 'Domain of unknown function (DUF4866)', 246, NULL, 'DUF4866', 24935),
(81210, 'PF13200', NULL, 'Putative glycosyl hydrolase domain', 315, NULL, 'DUF4015', 24936),
(81211, 'PF18206', NULL, 'Porphyranase catalytic subdomain 1', 105, NULL, 'Porphyrn_cat_1', 24937),
(81212, 'PF13685', NULL, 'Iron-containing alcohol dehydrogenase', 251, NULL, 'Fe-ADH_2', 24938),
(81213, 'PF20126', NULL, 'Family of unknown function (DUF6516)', 84, NULL, 'DUF6516', 24939),
(81214, 'PF05669', NULL, 'SOH1', 95, NULL, 'Med31', 24940),
(81215, 'PF05984', NULL, 'Cytomegalovirus UL20A protein', 103, NULL, 'Cytomega_UL20A', 24941),
(81216, 'PF16793', NULL, 'RepB DNA-primase from phage plasmid', 240, NULL, 'RepB_primase', 24942),
(81217, 'PF06824', NULL, 'Metal-independent alpha-mannosidase (GH125)', 418, NULL, 'Glyco_hydro_125', 24943),
(81218, 'PF10002', NULL, 'Predicted membrane protein (DUF2243)', 140, NULL, 'DUF2243', 24944),
(81219, 'PF03747', NULL, 'ADP-ribosylglycohydrolase', 292, NULL, 'ADP_ribosyl_GH', 24945),
(81220, 'PF20058', NULL, 'Domain of unknown function (DUF6457)', 78, NULL, 'DUF6457', 24946),
(81221, 'PF12965', NULL, 'Domain of unknown function (DUF3854)', 130, NULL, 'DUF3854', 24947);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(81222, 'PF01666', NULL, 'DX module', 76, NULL, 'DX', 24948),
(81223, 'PF00420', NULL, 'NADH-ubiquinone/plastoquinone oxidoreductase chain 4L', 105, NULL, 'Oxidored_q2', 24949),
(81224, 'PF10292', NULL, 'Serpentine type 7TM GPCR receptor class ab chemoreceptor', 324, NULL, '7TM_GPCR_Srab', 24950),
(81225, 'PF16996', NULL, 'Accessory secretory protein Sec Asp4', 55, NULL, 'Asp4', 24951),
(81226, 'PF09855', NULL, 'Nucleic-acid-binding protein containing Zn-ribbon domain (DUF2082)', 63, NULL, 'zinc_ribbon_13', 24952),
(81227, 'PF11172', NULL, 'Protein of unknown function (DUF2959)', 190, NULL, 'DUF2959', 24953),
(81228, 'PF14304', NULL, 'Transcription termination and cleavage factor C-terminal', 41, NULL, 'CSTF_C', 24954),
(81229, 'PF00868', NULL, 'Transglutaminase family', 114, NULL, 'Transglut_N', 24955),
(81230, 'PF05478', NULL, 'Prominin', 799, NULL, 'Prominin', 24956),
(81231, 'PF13187', NULL, '4Fe-4S dicluster domain', 52, NULL, 'Fer4_9', 24957),
(81232, 'PF10898', NULL, 'Protein of unknown function (DUF2716)', 142, NULL, 'DUF2716', 24958),
(81233, 'PF00595', NULL, 'PDZ domain', 82, NULL, 'PDZ', 24959),
(81234, 'PF07739', NULL, 'TipAS antibiotic-recognition domain', 117, NULL, 'TipAS', 24960),
(81235, 'PF08755', NULL, 'Hemimethylated DNA-binding protein YccV like', 101, NULL, 'YccV-like', 24961),
(81236, 'PF04068', NULL, 'Possible Fer4-like domain in RNase L inhibitor, RLI', 35, NULL, 'RLI', 24962),
(81237, 'PF14539', NULL, 'Domain of unknown function (DUF4442)', 132, NULL, 'DUF4442', 24963),
(81238, 'PF19947', NULL, 'Family of unknown function (DUF6409)', 121, NULL, 'DUF6409', 24964),
(81239, 'PF07969', NULL, 'Amidohydrolase family', 473, NULL, 'Amidohydro_3', 24965),
(81240, 'PF19158', NULL, 'Family of unknown function (DUF5840)', 49, NULL, 'DUF5840', 24966),
(81241, 'PF01253', NULL, 'Translation initiation factor SUI1', 79, NULL, 'SUI1', 24967),
(81242, 'PF09741', NULL, 'Uncharacterized conserved protein (DUF2045)', 233, NULL, 'DUF2045', 24968),
(81243, 'PF07586', NULL, 'Protein of unknown function (DUF1552)', 304, NULL, 'HXXSHH', 24969),
(81244, 'PF05148', NULL, 'Hypothetical methyltransferase', 219, NULL, 'Methyltransf_8', 24970),
(81245, 'PF07839', NULL, 'Plant calmodulin-binding domain', 117, NULL, 'CaM_binding', 24971),
(81246, 'PF02701', NULL, 'Dof domain, zinc finger', 59, NULL, 'zf-Dof', 24972),
(81247, 'PF01218', NULL, 'Coproporphyrinogen III oxidase', 303, NULL, 'Coprogen_oxidas', 24973),
(81248, 'PF18965', NULL, 'Family of unknown function (DUF5705)', 1062, NULL, 'DUF5705', 24974),
(81249, 'PF10368', NULL, 'Putative cell-wall binding lipoprotein', 186, NULL, 'YkyA', 24975),
(81250, 'PF10949', NULL, 'Protein of unknown function (DUF2777)', 182, NULL, 'DUF2777', 24976),
(81251, 'PF13652', NULL, 'Putative quorum-sensing-regulated virulence factor', 112, NULL, 'QSregVF', 24977),
(81252, 'PF11105', NULL, 'Arthropod cardioacceleratory peptide 2a', 128, NULL, 'CCAP', 24978),
(81253, 'PF16626', NULL, 'Linking region between Kunitz_BPTI and I-set on papilin', 92, NULL, 'Papilin_u7', 24979),
(81254, 'PF16860', NULL, 'CHCH-CHCH-like Cx9C, IMS import disulfide relay-system,', 44, NULL, 'CX9C', 24980),
(81255, 'PF16256', NULL, 'Domain of unknown function (DUF4911)', 57, NULL, 'DUF4911', 24981),
(81256, 'PF12854', NULL, 'PPR repeat', 34, NULL, 'PPR_1', 24982),
(81257, 'PF10637', NULL, 'Oxoglutarate and iron-dependent oxygenase degradation C-term', 255, NULL, 'Ofd1_CTDD', 24983),
(81258, 'PF12921', NULL, 'Mitochondrial ATPase expression', 115, NULL, 'ATP13', 24984),
(81259, 'PF13374', NULL, 'Tetratricopeptide repeat', 42, NULL, 'TPR_10', 24985),
(81260, 'PF09478', NULL, 'Carbohydrate binding domain CBM49', 81, NULL, 'CBM49', 24986),
(81261, 'PF19500', NULL, 'Family of unknown function (DUF6035)', 548, NULL, 'DUF6035', 24987),
(81262, 'PF04400', NULL, '(Na+)-NQR maturation NqrM', 43, NULL, 'NqrM', 24988),
(81263, 'PF00594', NULL, 'Vitamin K-dependent carboxylation/gamma-carboxyglutamic (GLA) domain', 41, NULL, 'Gla', 24989),
(81264, 'PF00669', NULL, 'Bacterial flagellin N-terminal helical region', 139, NULL, 'Flagellin_N', 24990);
INSERT INTO "PUBLIC"."MODEL" VALUES
(81265, 'PF04385', NULL, 'Domain of unknown function, DUF529', 78, NULL, 'FAINT', 24991),
(81266, 'PF06436', NULL, 'Pneumovirus matrix protein 2 (M2)', 157, NULL, 'Pneumovirus_M2', 24992),
(81267, 'PF18945', NULL, 'EvpB/VC_A0108, tail sheath gpW/gp25-like domain', 112, NULL, 'VipB_2', 24993),
(81268, 'PF01830', NULL, 'Peptidase C7 family', 243, NULL, 'Peptidase_C7', 24994),
(81269, 'PF05153', NULL, 'Myo-inositol oxygenase', 249, NULL, 'MIOX', 24995),
(81270, 'PF05820', NULL, 'Baculoviridae AC81', 181, NULL, 'Ac81', 24996),
(81271, 'PF13017', NULL, 'piRNA pathway germ-plasm component', 216, NULL, 'Maelstrom', 24997),
(81272, 'PF15311', NULL, 'Hydrolethalus syndrome protein 1 C-terminus', 90, NULL, 'HYLS1_C', 24998),
(81273, 'PF05114', NULL, 'Protein of unknown function (DUF692)', 263, NULL, 'DUF692', 24999),
(81274, 'PF10746', NULL, 'Phage holin T7 family, holin superfamily II', 60, NULL, 'Phage_holin_2_2', 25000),
(81275, 'PF16374', NULL, 'Cycle inhibiting factor (CIF)', 136, NULL, 'CIF', 25001),
(81276, 'PF02672', NULL, 'CP12 domain', 70, NULL, 'CP12', 25002),
(81277, 'PF00699', NULL, 'Urease beta subunit', 98, NULL, 'Urease_beta', 25003),
(81278, 'PF12150', NULL, 'Cytosolic motility protein', 343, NULL, 'MFP2b', 25004),
(81279, 'PF03530', NULL, 'Calcium-activated SK potassium channel', 118, NULL, 'SK_channel', 25005),
(81280, 'PF10028', NULL, 'Predicted integral membrane protein (DUF2270)', 184, NULL, 'DUF2270', 25006),
(81281, 'PF16080', NULL, 'Bacteriophage holin family HP1', 56, NULL, 'Phage_holin_2_3', 25007),
(81282, 'PF16690', NULL, 'Methylmalonic aciduria and homocystinuria type C family', 216, NULL, 'MMACHC', 25008),
(81283, 'PF07572', NULL, 'Bucentaur or craniofacial development', 75, NULL, 'BCNT', 25009),
(81284, 'PF14718', NULL, 'Soluble lytic murein transglycosylase L domain', 68, NULL, 'SLT_L', 25010),
(81285, 'PF11776', NULL, 'Nickel/cobalt transporter regulator', 51, NULL, 'RcnB', 25011),
(81286, 'PF16967', NULL, 'E-set like domain', 68, NULL, 'TcfC', 25012),
(81287, 'PF08001', NULL, 'CMV US', 251, NULL, 'CMV_US', 25013),
(81288, 'PF01020', NULL, 'Ribosomal L40e family', 50, NULL, 'Ribosomal_L40e', 25014),
(81289, 'PF18491', NULL, 'SET and RING associated domain', 145, NULL, 'SRA', 25015),
(81290, 'PF01144', NULL, 'Coenzyme A transferase', 217, NULL, 'CoA_trans', 25016),
(81291, 'PF19794', NULL, 'Family of unknown function (DUF6278)', 146, NULL, 'DUF6278', 25017),
(81292, 'PF00746', NULL, 'LPXTG cell wall anchor motif', 43, NULL, 'Gram_pos_anchor', 25018),
(81293, 'PF10739', NULL, 'Protein of unknown function (DUF2550)', 127, NULL, 'DUF2550', 25019),
(81294, 'PF15052', NULL, 'TMEM169 protein family', 131, NULL, 'TMEM169', 25020),
(81295, 'PF01413', NULL, 'C-terminal tandem repeated domain in type 4 procollagen', 111, NULL, 'C4', 25021),
(81296, 'PF17098', NULL, 'WTAP/Mum2p family', 155, NULL, 'Wtap', 25022),
(81297, 'PF04298', NULL, 'Putative neutral zinc metallopeptidase', 218, NULL, 'Zn_peptidase_2', 25023),
(81298, 'PF10167', NULL, 'BLOC-1-related complex sub-unit 8', 112, NULL, 'BORCS8', 25024),
(81299, 'PF18685', NULL, 'Family of unknown function (DUF5635)', 86, NULL, 'DUF5635', 25025),
(81300, 'PF05703', NULL, 'Auxin canalisation', 257, NULL, 'Auxin_canalis', 25026),
(81301, 'PF11980', NULL, 'C-terminal domain of neuropilin glycoprotein', 82, NULL, 'DUF3481', 25027),
(81302, 'PF11737', NULL, 'Protein of unknown function (DUF3300)', 229, NULL, 'DUF3300', 25028),
(81303, 'PF19161', NULL, 'Family of unknown function (DUF5843)', 196, NULL, 'DUF5843', 25029),
(81304, 'PF19600', NULL, 'Family of unknown function (DUF6105)', 110, NULL, 'DUF6105', 25030),
(81305, 'PF06488', NULL, 'Phage tail tube protein', 301, NULL, 'L_lac_phage_MSP', 25031),
(81306, 'PF08240', NULL, 'Alcohol dehydrogenase GroES-like domain', 109, NULL, 'ADH_N', 25032),
(81307, 'PF10974', NULL, 'Protein of unknown function (DUF2804)', 328, NULL, 'DUF2804', 25033),
(81308, 'PF07096', NULL, 'Protein of unknown function (DUF1358)', 115, NULL, 'DUF1358', 25034),
(81309, 'PF02622', NULL, 'Uncharacterized ACR, COG1678', 160, NULL, 'DUF179', 25035);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(81310, 'PF14641', NULL, 'Helix-turn-helix DNA-binding domain of SPT6', 117, NULL, 'HTH_44', 25036),
(81311, 'PF07276', NULL, 'Apopolysialoglycoprotein (PSGP)', 13, NULL, 'PSGP', 25037),
(81312, 'PF16078', NULL, '2-oxoglutarate dehydrogenase N-terminus', 41, NULL, '2-oxogl_dehyd_N', 25038),
(81313, 'PF16585', NULL, 'Lipocalin-like domain', 135, NULL, 'Lipocalin_8', 25039),
(81314, 'PF11887', NULL, 'Cholesterol uptake porter CUP1 of Mce4, putative', 221, NULL, 'Mce4_CUP1', 25040),
(81315, 'PF06188', NULL, 'HrpE/YscL/FliH and V-type ATPase subunit E', 191, NULL, 'HrpE', 25041),
(81316, 'PF14551', NULL, 'MCM N-terminal domain', 102, NULL, 'MCM_N', 25042),
(81317, 'PF09658', NULL, 'CRISPR-associated protein (Cas_Csx9)', 377, NULL, 'Cas_Csx9', 25043),
(81318, 'PF14805', NULL, 'Tetrahydrodipicolinate N-succinyltransferase N-terminal', 67, NULL, 'THDPS_N_2', 25044),
(81319, 'PF02498', NULL, 'BRO family, N-terminal domain', 95, NULL, 'Bro-N', 25045),
(81320, 'PF07112', NULL, 'Protein of unknown function (DUF1368)', 404, NULL, 'DUF1368', 25046),
(81321, 'PF04611', NULL, 'Mating type protein A alpha Y mating type dependent binding region', 145, NULL, 'AalphaY_MDB', 25047),
(81322, 'PF03978', NULL, 'Borrelia burgdorferi REV protein', 174, NULL, 'Borrelia_REV', 25048),
(81323, 'PF08673', NULL, 'Phosphoserine phosphatase RsbU, N-terminal domain', 75, NULL, 'RsbU_N', 25049),
(81324, 'PF07219', NULL, 'HemY protein N-terminus', 107, NULL, 'HemY_N', 25050),
(81325, 'PF06114', NULL, 'IrrE N-terminal-like domain', 123, NULL, 'Peptidase_M78', 25051),
(81326, 'PF18780', NULL, 'Homing endonuclease associated repeat', 54, NULL, 'HNH_repeat', 25052),
(81327, 'PF11853', NULL, 'Protein of unknown function (DUF3373)', 409, NULL, 'DUF3373', 25053),
(81328, 'PF13834', NULL, 'Domain of unknown function (DUF4193)', 98, NULL, 'DUF4193', 25054),
(81329, 'PF00540', NULL, 'gag gene protein p17 (matrix protein)', 140, NULL, 'Gag_p17', 25055),
(81330, 'PF18228', NULL, 'CdiI N-terminal domain', 108, NULL, 'CdiI_N', 25056),
(81331, 'PF15607', NULL, 'Bacterial toxin 44', 100, NULL, 'Ntox44', 25057),
(81332, 'PF18443', NULL, 'Tle cognate immunity protein 4 N-terminal domain', 138, NULL, 'Tli4_N', 25058),
(81333, 'PF15296', NULL, 'Codanin-1 C-terminus', 120, NULL, 'Codanin-1_C', 25059),
(81334, 'PF14106', NULL, 'Domain of unknown function (DUF4279)', 116, NULL, 'DUF4279', 25060),
(81335, 'PF05121', NULL, 'Gas vesicle protein K', 85, NULL, 'GvpK', 25061),
(81336, 'PF12048', NULL, 'Protein of unknown function (DUF3530)', 321, NULL, 'DUF3530', 25062),
(81337, 'PF05431', NULL, 'Insecticidal Crystal Toxin, P42', 169, NULL, 'Toxin_10', 25063),
(81338, 'PF18839', NULL, 'Large polyvalent protein associated domain 24', 70, NULL, 'LPD24', 25064),
(81339, 'PF06026', NULL, 'Ribose 5-phosphate isomerase A (phosphoriboisomerase A)', 173, NULL, 'Rib_5-P_isom_A', 25065),
(81340, 'PF05060', NULL, 'N-acetylglucosaminyltransferase II (MGAT2)', 350, NULL, 'MGAT2', 25066),
(81341, 'PF12363', NULL, 'Phage tail assembly chaperone protein, TAC', 111, NULL, 'Phage_TAC_12', 25067),
(81342, 'PF05062', NULL, 'RICH domain', 83, NULL, 'RICH', 25068),
(81343, 'PF08287', NULL, 'Spc19', 155, NULL, 'DASH_Spc19', 25069),
(81344, 'PF12677', NULL, 'Domain of unknown function (DUF3797)', 48, NULL, 'DUF3797', 25070),
(81345, 'PF12266', NULL, 'Protein of unknown function (DUF3613)', 66, NULL, 'DUF3613', 25071),
(81346, 'PF14638', NULL, 'Folliculin-interacting protein C-terminus', 193, NULL, 'FNIP_C', 25072),
(81347, 'PF07222', NULL, 'Proacrosin binding protein sp32', 240, NULL, 'PBP_sp32', 25073),
(81348, 'PF16246', NULL, 'Domain of unknown function (DUF4903)', 190, NULL, 'DUF4903', 25074),
(81349, 'PF04759', NULL, 'Protein of unknown function, DUF617', 161, NULL, 'DUF617', 25075),
(81350, 'PF09736', NULL, 'Pre-mRNA-splicing factor of RES complex', 144, NULL, 'Bud13', 25076),
(81351, 'PF04913', NULL, 'Baculovirus Y142 protein', 440, NULL, 'Baculo_Y142', 25077),
(81352, 'PF09662', NULL, 'Phenylphosphate carboxylase gamma subunit (Phenyl_P_gamma)', 83, NULL, 'Phenyl_P_gamma', 25078);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(81353, 'PF14294', NULL, 'Domain of unknown function (DUF4372)', 74, NULL, 'DUF4372', 25079),
(81354, 'PF16389', NULL, 'Domain of unknown function', 199, NULL, 'DUF4998', 25080),
(81355, 'PF02761', NULL, 'CBL proto-oncogene N-terminus, EF hand-like domain', 84, NULL, 'Cbl_N2', 25081),
(81356, 'PF17562', NULL, 'Styelin', 59, NULL, 'Styelin', 25082),
(81357, 'PF02828', NULL, 'L27 domain', 53, NULL, 'L27', 25083),
(81358, 'PF12509', NULL, 'Protein of unknown function (DUF3715)', 151, NULL, 'DUF3715', 25084),
(81359, 'PF14291', NULL, 'Domain of unknown function (DUF4371)', 236, NULL, 'DUF4371', 25085),
(81360, 'PF17269', NULL, 'Family of unknown function (DUF5335)', 110, NULL, 'DUF5335', 25086),
(81361, 'PF10599', NULL, 'Retro-transposon transporting motif', 86, NULL, 'Nup_retrotrp_bd', 25087),
(81362, 'PF19451', NULL, 'Family of unknown function (DUF5989)', 49, NULL, 'DUF5989', 25088),
(81363, 'PF07681', NULL, 'DoxX', 85, NULL, 'DoxX', 25089),
(81364, 'PF15116', NULL, 'CAMPATH-1 antigen', 44, NULL, 'CD52', 25090),
(81365, 'PF15837', NULL, 'Domain of unknown function (DUF4716)', 60, NULL, 'DUF4716', 25091),
(81366, 'PF08841', NULL, 'Diol dehydratase reactivase ATPase-like domain', 328, NULL, 'DDR', 25092),
(81367, 'PF16093', NULL, 'Proteasome assembly chaperone 4', 80, NULL, 'PAC4', 25093),
(81368, 'PF08427', NULL, 'Domain of unknown function (DUF1741)', 231, NULL, 'DUF1741', 25094),
(81369, 'PF19711', NULL, 'Family of unknown function (DUF6207)', 67, NULL, 'DUF6207', 25095),
(81370, 'PF11825', NULL, 'Nuclear/hormone receptor activator site AF-1', 112, NULL, 'Nuc_recep-AF1', 25096),
(81371, 'PF18241', NULL, 'Flax-rust effector AvrM-A', 147, NULL, 'AvrM-A', 25097),
(81372, 'PF18600', NULL, 'MCSS domain', 53, NULL, 'Ezh2_MCSS', 25098),
(81373, 'PF06898', NULL, 'Putative stage IV sporulation protein YqfD', 379, NULL, 'YqfD', 25099),
(81374, 'PF11954', NULL, 'Domain of unknown function (DUF3471)', 103, NULL, 'DUF3471', 25100),
(81375, 'PF13541', NULL, 'Subunit ChlI of Mg-chelatase', 121, NULL, 'ChlI', 25101),
(81376, 'PF19965', NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 2', 217, NULL, 'VMAP-M2', 25102),
(81377, 'PF09924', NULL, 'Phosphatidylglycerol lysyltransferase, C-terminal', 299, NULL, 'LPG_synthase_C', 25103),
(81378, 'PF12517', NULL, 'Protein of unknown function (DUF3720)', 99, NULL, 'DUF3720', 25104),
(81379, 'PF15796', NULL, 'KELK-motif containing domain of MRCK Ser/Thr protein kinase', 80, NULL, 'KELK', 25105),
(81380, 'PF16276', NULL, 'Nucleophosmin C-terminal domain', 49, NULL, 'NPM1-C', 25106),
(81381, 'PF10168', NULL, 'Nuclear pore component', 713, NULL, 'Nup88', 25107),
(81382, 'PF13972', NULL, 'Bacterial transcriptional repressor', 144, NULL, 'TetR', 25108),
(81383, 'PF13075', NULL, 'Protein of unknown function (DUF3939)', 134, NULL, 'DUF3939', 25109),
(81384, 'PF04206', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit E', 271, NULL, 'MtrE', 25110),
(81385, 'PF14679', NULL, 'FANCI helical domain 1', 86, NULL, 'FANCI_HD1', 25111),
(81386, 'PF11450', NULL, 'Protein of unknwon function (DUF3008)', 57, NULL, 'DUF3008', 25112),
(81387, 'PF15652', NULL, 'HNH/Endo VII superfamily toxin with a SHH signature', 99, NULL, 'Tox-SHH', 25113),
(81388, 'PF10724', NULL, 'Protein of unknown function (DUF2516)', 93, NULL, 'DUF2516', 25114),
(81389, 'PF19384', NULL, 'Family of unknown function (DUF5959)', 134, NULL, 'DUF5959', 25115),
(81390, 'PF08848', NULL, 'Domain of unknown function (DUF1818)', 113, NULL, 'DUF1818', 25116),
(81391, 'PF14111', NULL, 'Domain of unknown function (DUF4283)', 145, NULL, 'DUF4283', 25117),
(81392, 'PF01659', NULL, 'Luteovirus putative VPg genome linked protein', 104, NULL, 'Luteo_Vpg', 25118),
(81393, 'PF00490', NULL, 'Delta-aminolevulinic acid dehydratase', 317, NULL, 'ALAD', 25119),
(81394, 'PF06210', NULL, 'Protein of unknown function (DUF1003)', 104, NULL, 'DUF1003', 25120),
(81395, 'PF04322', NULL, 'Protein of unknown function (DUF473)', 118, NULL, 'DUF473', 25121),
(81396, 'PF04152', NULL, 'Mre11 DNA-binding presumed domain', 179, NULL, 'Mre11_DNA_bind', 25122);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(81397, 'PF10932', NULL, 'Protein of unknown function (DUF2783)', 59, NULL, 'DUF2783', 25123),
(81398, 'PF03927', NULL, 'NapD protein', 76, NULL, 'NapD', 25124),
(81399, 'PF12350', NULL, 'CTD kinase subunit gamma CTK3 C-terminus', 69, NULL, 'CTK3_C', 25125),
(81400, 'PF09301', NULL, 'Domain of unknown function (DUF1970)', 112, NULL, 'DUF1970', 25126),
(81401, 'PF15674', NULL, 'Coiled-coil domain-containing protein 23', 63, NULL, 'CCDC23', 25127),
(81402, 'PF09119', NULL, 'SicP binding', 84, NULL, 'SicP-binding', 25128),
(81403, 'PF01761', NULL, '3-dehydroquinate synthase', 262, NULL, 'DHQ_synthase', 25129),
(81404, 'PF12278', NULL, 'Sex determination protein N terminal', 137, NULL, 'SDP_N', 25130),
(81405, 'PF15839', NULL, 'Testis-expressed sequence 29 protein', 76, NULL, 'TEX29', 25131),
(81406, 'PF09028', NULL, 'Mac 1', 353, NULL, 'Mac-1', 25132),
(81407, 'PF15902', NULL, 'Sortilin, neurotensin receptor 3,', 445, NULL, 'Sortilin-Vps10', 25133),
(81408, 'PF00862', NULL, 'Sucrose synthase', 548, NULL, 'Sucrose_synth', 25134),
(81409, 'PF09313', NULL, 'Domain of unknown function (DUF1971)', 80, NULL, 'DUF1971', 25135),
(81410, 'PF18995', NULL, 'Proteolysis_6 C-terminal', 455, NULL, 'PRT6_C', 25136),
(81411, 'PF12730', NULL, 'ABC-2 family transporter protein', 179, NULL, 'ABC2_membrane_4', 25137),
(81412, 'PF03803', NULL, 'Scramblase', 221, NULL, 'Scramblase', 25138),
(81413, 'PF19472', NULL, 'Family of unknown function (DUF6009)', 127, NULL, 'DUF6009', 25139),
(81414, 'PF02919', NULL, 'Eukaryotic DNA topoisomerase I, DNA binding fragment', 213, NULL, 'Topoisom_I_N', 25140),
(81415, 'PF17744', NULL, 'Family of unknown function (DUF5581)', 315, NULL, 'DUF5581', 25141),
(81416, 'PF19575', NULL, 'Helix-turn-helix domain', 73, NULL, 'HTH_58', 25142),
(81417, 'PF11102', NULL, 'Group 4 capsule polysaccharide lipoprotein gfcB, YjbF', 190, NULL, 'YjbF', 25143),
(81418, 'PF16886', NULL, 'ATPsynthase alpha/beta subunit N-term extension', 121, NULL, 'ATP-synt_ab_Xtn', 25144),
(81419, 'PF15107', NULL, 'FAM216B protein family', 111, NULL, 'FAM216B', 25145),
(81420, 'PF06051', NULL, 'Domain of Unknown Function (DUF928)', 186, NULL, 'DUF928', 25146),
(81421, 'PF03817', NULL, 'Malonate transporter MadL subunit', 118, NULL, 'MadL', 25147),
(81422, 'PF08897', NULL, 'Domain of unknown function (DUF1841)', 135, NULL, 'DUF1841', 25148),
(81423, 'PF06193', NULL, 'Orthopoxvirus A5L protein-like', 271, NULL, 'Orthopox_A5L', 25149),
(81424, 'PF08616', NULL, 'Stabilization of polarity axis', 113, NULL, 'SPA', 25150),
(81425, 'PF01136', NULL, 'Peptidase family U32', 233, NULL, 'Peptidase_U32', 25151),
(81426, 'PF06431', NULL, 'Polyomavirus large T antigen C-terminus', 417, NULL, 'Polyoma_lg_T_C', 25152),
(81427, 'PF09820', NULL, 'Predicted AAA-ATPase', 280, NULL, 'AAA-ATPase_like', 25153),
(81428, 'PF02510', NULL, 'Surface presentation of antigens protein', 336, NULL, 'SPAN', 25154),
(81429, 'PF00526', NULL, 'Dictyostelium (slime mold) repeat', 24, NULL, 'Dicty_CTDC', 25155),
(81430, 'PF01723', NULL, 'Chorion protein', 169, NULL, 'Chorion_1', 25156),
(81431, 'PF05154', NULL, 'TM2 domain', 51, NULL, 'TM2', 25157),
(81432, 'PF08961', NULL, 'Nuclear receptor-binding factor 2, autophagy regulator', 200, NULL, 'NRBF2', 25158),
(81433, 'PF10745', NULL, 'Protein of unknown function (DUF2530)', 77, NULL, 'DUF2530', 25159),
(81434, 'PF15513', NULL, 'Domain of unknown function (DUF4651)', 61, NULL, 'DUF4651', 25160),
(81435, 'PF18854', NULL, 'Bacterial archaeo-eukaryotic release factor family 10', 143, NULL, 'baeRF_family10', 25161),
(81436, 'PF01770', NULL, 'Reduced folate carrier', 412, NULL, 'Folate_carrier', 25162),
(81437, 'PF07541', NULL, 'Eukaryotic translation initiation factor 2 alpha subunit', 114, NULL, 'EIF_2_alpha', 25163),
(81438, 'PF13479', NULL, 'AAA domain', 196, NULL, 'AAA_24', 25164),
(81439, 'PF17038', NULL, 'Cellulose biosynthesis protein BcsN', 186, NULL, 'CBP_BcsN', 25165),
(81440, 'PF03743', NULL, 'Bacterial conjugation TrbI-like protein', 187, NULL, 'TrbI', 25166),
(81441, 'PF03223', NULL, 'V-ATPase subunit C', 370, NULL, 'V-ATPase_C', 25167);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(81442, 'PF00721', NULL, 'Virus coat protein (TMV like)', 163, NULL, 'TMV_coat', 25168),
(81443, 'PF10566', NULL, 'Glycoside hydrolase 97', 280, NULL, 'Glyco_hydro_97', 25169),
(81444, 'PF16521', NULL, 'Myosin VI cargo binding domain', 90, NULL, 'Myosin-VI_CBD', 25170),
(81445, 'PF05801', NULL, 'Lagovirus protein of unknown function (DUF840)', 113, NULL, 'DUF840', 25171),
(81446, 'PF17740', NULL, 'Family of unknown function (DUF5577)', 307, NULL, 'DUF5577', 25172),
(81447, 'PF17004', NULL, 'Putative TPR-like repeat', 118, NULL, 'SRP_TPR_like', 25173),
(81448, 'PF03952', NULL, 'Enolase, N-terminal domain', 131, NULL, 'Enolase_N', 25174),
(81449, 'PF10058', NULL, 'Predicted integral membrane zinc-ribbon metal-binding protein', 54, NULL, 'zinc_ribbon_10', 25175),
(81450, 'PF11408', NULL, 'Sgs1 RecQ helicase', 80, NULL, 'Helicase_Sgs1', 25176),
(81451, 'PF10847', NULL, 'Protein of unknown function (DUF2656)', 141, NULL, 'DUF2656', 25177),
(81452, 'PF11092', NULL, 'Neuronal protein 3.1 (p311)', 67, NULL, 'Alveol-reg_P311', 25178),
(81453, 'PF18798', NULL, 'Large polyvalent protein-associated domain 3', 113, NULL, 'LPD3', 25179),
(81454, 'PF04973', NULL, 'Nicotinamide mononucleotide transporter', 176, NULL, 'NMN_transporter', 25180),
(81455, 'PF13761', NULL, 'Domain of unknown function (DUF4166)', 181, NULL, 'DUF4166', 25181),
(81456, 'PF02878', NULL, 'Phosphoglucomutase/phosphomannomutase, alpha/beta/alpha domain I', 138, NULL, 'PGM_PMM_I', 25182),
(81457, 'PF19812', NULL, 'Family of unknown function (DUF6295)', 87, NULL, 'DUF6295', 25183),
(81458, 'PF03313', NULL, 'Serine dehydratase alpha chain', 260, NULL, 'SDH_alpha', 25184),
(81459, 'PF13695', NULL, 'Zinc-binding domain', 100, NULL, 'zf-3CxxC', 25185),
(81460, 'PF11871', NULL, 'Domain of unknown function (DUF3391)', 136, NULL, 'DUF3391', 25186),
(81461, 'PF08254', NULL, 'Threonine leader peptide', 22, NULL, 'Leader_Thr', 25187),
(81462, 'PF12481', NULL, 'Aluminium induced protein', 228, NULL, 'DUF3700', 25188),
(81463, 'PF20003', NULL, 'FtsH ternary system domain X5', 187, NULL, 'fvmX5', 25189),
(81464, 'PF11835', NULL, 'RRM-like domain', 89, NULL, 'RRM_8', 25190),
(81465, 'PF06522', NULL, 'NADH-ubiquinone reductase complex 1 MLRQ subunit', 69, NULL, 'B12D', 25191),
(81466, 'PF19640', NULL, 'Family of unknown function (DUF6143)', 182, NULL, 'DUF6143', 25192),
(81467, 'PF05177', NULL, 'RCSD region', 91, NULL, 'RCSD', 25193),
(81468, 'PF00755', NULL, 'Choline/Carnitine o-acyltransferase', 531, NULL, 'Carn_acyltransf', 25194),
(81469, 'PF05736', NULL, 'OprF membrane domain', 184, NULL, 'OprF', 25195),
(81470, 'PF14307', NULL, 'Glycosyltransferase WbsX', 348, NULL, 'Glyco_tran_WbsX', 25196),
(81471, 'PF04982', NULL, 'HPP family', 122, NULL, 'HPP', 25197),
(81472, 'PF13418', NULL, 'Galactose oxidase, central domain', 49, NULL, 'Kelch_4', 25198),
(81473, 'PF17366', NULL, 'A-agglutinin-binding subunit Aga2', 58, NULL, 'AGA2', 25199),
(81474, 'PF02373', NULL, 'JmjC domain, hydroxylase', 114, NULL, 'JmjC', 25200),
(81475, 'PF12067', NULL, 'Sox 17/18 central domain', 50, NULL, 'Sox17_18_mid', 25201),
(81476, 'PF14941', NULL, 'Transcriptional regulator, Out at first', 243, NULL, 'OAF', 25202),
(81477, 'PF14186', NULL, 'Cytoskeletal adhesion', 146, NULL, 'Aida_C2', 25203),
(81478, 'PF12110', NULL, 'Nuclear protein 96', 290, NULL, 'Nup96', 25204),
(81479, 'PF13959', NULL, 'Domain of unknown function (DUF4217)', 63, NULL, 'DUF4217', 25205),
(81480, 'PF19912', NULL, 'Domain of unknown function (DUF6385)', 82, NULL, 'DUF6385', 25206),
(81481, 'PF13837', NULL, 'Myb/SANT-like DNA-binding domain', 90, NULL, 'Myb_DNA-bind_4', 25207),
(81482, 'PF04072', NULL, 'Leucine carboxyl methyltransferase', 188, NULL, 'LCM', 25208),
(81483, 'PF13450', NULL, 'NAD(P)-binding Rossmann-like domain', 68, NULL, 'NAD_binding_8', 25209),
(81484, 'PF17541', NULL, 'Type VI secretion system, TssC, VipB', 430, NULL, 'TssC', 25210),
(81485, 'PF10728', NULL, 'Domain of unknown function (DUF2520)', 126, NULL, 'DUF2520', 25211),
(81486, 'PF13839', NULL, 'GDSL/SGNH-like Acyl-Esterase family found in Pmr5 and Cas1p', 283, NULL, 'PC-Esterase', 25212);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(81487, 'PF06199', NULL, 'Phage tail tube protein', 135, NULL, 'Phage_tail_2', 25213),
(81488, 'PF11666', NULL, 'Protein of unknown function (DUF2933)', 52, NULL, 'DUF2933', 25214),
(81489, 'PF11752', NULL, 'Protein of unknown function (DUF3309)', 49, NULL, 'DUF3309', 25215),
(81490, 'PF12951', NULL, 'Passenger-associated-transport-repeat', 30, NULL, 'PATR', 25216),
(81491, 'PF08072', NULL, 'BDHCT (NUC031) domain', 40, NULL, 'BDHCT', 25217),
(81492, 'PF01753', NULL, 'MYND finger', 40, NULL, 'zf-MYND', 25218),
(81493, 'PF07814', NULL, 'Wings apart-like protein regulation of heterochromatin', 355, NULL, 'WAPL', 25219),
(81494, 'PF18284', NULL, 'DNA methylase N-terminal domain', 57, NULL, 'DNA_meth_N', 25220),
(81495, 'PF04690', NULL, 'YABBY protein', 166, NULL, 'YABBY', 25221),
(81496, 'PF13092', NULL, 'Kinetochore complex Sim4 subunit Fta1', 162, NULL, 'CENP-L', 25222),
(81497, 'PF07205', NULL, 'Domain of unknown function (DUF1413)', 69, NULL, 'DUF1413', 25223),
(81498, 'PF03846', NULL, 'Cell division inhibitor SulA', 115, NULL, 'SulA', 25224),
(81499, 'PF00939', NULL, 'Sodium:sulfate symporter transmembrane region', 472, NULL, 'Na_sulph_symp', 25225),
(81500, 'PF05361', NULL, 'PKC-activated protein phosphatase-1 inhibitor', 141, NULL, 'PP1_inhibitor', 25226),
(81501, 'PF08315', NULL, 'cwf18 pre-mRNA splicing factor', 139, NULL, 'cwf18', 25227),
(81502, 'PF02315', NULL, 'Methanol dehydrogenase beta subunit', 88, NULL, 'MDH', 25228),
(81503, 'PF06429', NULL, 'Flagellar basal body rod FlgEFG protein C-terminal', 74, NULL, 'Flg_bbr_C', 25229),
(81504, 'PF11928', NULL, 'Early growth response N-terminal domain', 105, NULL, 'DUF3446', 25230),
(81505, 'PF16538', NULL, 'Flagellar assembly protein T, C-terminal domain', 77, NULL, 'FlgT_C', 25231),
(81506, 'PF18205', NULL, 'VPDSG-CTERM motif', 26, NULL, 'VPDSG-CTERM', 25232),
(81507, 'PF03416', NULL, 'Peptidase family C54', 278, NULL, 'Peptidase_C54', 25233),
(81508, 'PF14526', NULL, 'Integron-associated effector binding protein', 149, NULL, 'Cass2', 25234),
(81509, 'PF04032', NULL, 'RNAse P Rpr2/Rpp21/SNM1 subunit domain', 90, NULL, 'Rpr2', 25235),
(81510, 'PF07727', NULL, 'Reverse transcriptase (RNA-dependent DNA polymerase)', 243, NULL, 'RVT_2', 25236),
(81511, 'PF03524', NULL, 'Conjugal transfer protein', 206, NULL, 'CagX', 25237),
(81512, 'PF04723', NULL, 'Glycine reductase complex selenoprotein A', 147, NULL, 'GRDA', 25238),
(81513, 'PF09170', NULL, 'CST, Suppressor of cdc thirteen homolog, complex subunit STN1', 177, NULL, 'STN1_2', 25239),
(81514, 'PF09172', NULL, 'Domain of unknown function (DUF1943)', 306, NULL, 'DUF1943', 25240),
(81515, 'PF03387', NULL, 'Herpesvirus UL46 protein', 435, NULL, 'Herpes_UL46', 25241),
(81516, 'PF12283', NULL, 'Bacteriophage protein K', 56, NULL, 'Protein_K', 25242),
(81517, 'PF00455', NULL, 'DeoR C terminal sensor domain', 160, NULL, 'DeoRC', 25243),
(81518, 'PF03242', NULL, 'Late embryogenesis abundant protein', 93, NULL, 'LEA_3', 25244),
(81519, 'PF08879', NULL, 'WRC', 43, NULL, 'WRC', 25245),
(81520, 'PF18978', NULL, 'Family of unknown function (DUF5714)', 174, NULL, 'DUF5714', 25246),
(81521, 'PF07077', NULL, 'Protein of unknown function (DUF1345)', 173, NULL, 'DUF1345', 25247),
(81522, 'PF12220', NULL, 'U1 small nuclear ribonucleoprotein of 70kDa MW N terminal', 92, NULL, 'U1snRNP70_N', 25248),
(81523, 'PF00216', NULL, 'Bacterial DNA-binding protein', 90, NULL, 'Bac_DNA_binding', 25249),
(81524, 'PF03410', NULL, 'Metallopeptidase from vaccinia pox', 598, NULL, 'Peptidase_M44', 25250),
(81525, 'PF17513', NULL, 'Family of unknown function (DUF5441)', 189, NULL, 'DUF5441', 25251),
(81526, 'PF19698', NULL, 'Family of unknown function (DUF6197)', 143, NULL, 'DUF6197', 25252),
(81527, 'PF10442', NULL, 'FIST C domain', 132, NULL, 'FIST_C', 25253),
(81528, 'PF18167', NULL, 'SMODS-associated NUDIX domain', 199, NULL, 'Sa_NUDIX', 25254),
(81529, 'PF15236', NULL, 'Coiled-coil domain-containing protein 66', 154, NULL, 'CCDC66', 25255),
(81530, 'PF09072', NULL, 'Translation machinery associated TMA7', 62, NULL, 'TMA7', 25256); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(81531, 'PF18348', NULL, 'Bacterial dipeptidyl-peptidase Sh3 domain', 48, NULL, 'SH3_16', 25257),
(81532, 'PF10597', NULL, 'U5-snRNA binding site 2 of PrP8', 134, NULL, 'U5_2-snRNA_bdg', 25258),
(81533, 'PF06006', NULL, 'Bacterial protein of unknown function (DUF905)', 70, NULL, 'DUF905', 25259),
(81534, 'PF09294', NULL, 'Interferon-alpha/beta receptor, fibronectin type III', 104, NULL, 'Interfer-bind', 25260),
(81535, 'PF15297', NULL, 'Cytoskeleton-associated protein 2 C-terminus', 348, NULL, 'CKAP2_C', 25261),
(81536, 'PF14085', NULL, 'Domain of unknown function (DUF4265)', 115, NULL, 'DUF4265', 25262),
(81537, 'PF01755', NULL, 'Glycosyltransferase family 25 (LPS biosynthesis protein)', 200, NULL, 'Glyco_transf_25', 25263),
(81538, 'PF11467', NULL, 'Lens epithelium-derived growth factor (LEDGF)', 120, NULL, 'LEDGF', 25264),
(81539, 'PF00443', NULL, 'Ubiquitin carboxyl-terminal hydrolase', 278, NULL, 'UCH', 25265),
(81540, 'PF09991', NULL, 'Predicted membrane protein (DUF2232)', 290, NULL, 'DUF2232', 25266),
(81541, 'PF00211', NULL, 'Adenylate and Guanylate cyclase catalytic domain', 183, NULL, 'Guanylate_cyc', 25267),
(81542, 'PF07523', NULL, 'Bacterial Ig-like domain (group 3)', 68, NULL, 'Big_3', 25268),
(81543, 'PF11373', NULL, 'Protein of unknown function (DUF3175)', 86, NULL, 'DUF3175', 25269),
(81544, 'PF09130', NULL, 'Domain of unknown function (DUF1932)', 70, NULL, 'DUF1932', 25270),
(81545, 'PF00805', NULL, 'Pentapeptide repeats (8 copies)', 40, NULL, 'Pentapeptide', 25271),
(81546, 'PF05879', NULL, 'Root hair defective 3 GTP-binding protein (RHD3)', 743, NULL, 'RHD3', 25272),
(81547, 'PF09086', NULL, 'Domain of unknown function (DUF1924)', 96, NULL, 'DUF1924', 25273),
(81548, 'PF11919', NULL, 'Domain of unknown function (DUF3437)', 88, NULL, 'DUF3437', 25274),
(81549, 'PF08510', NULL, 'PIG-P', 126, NULL, 'PIG-P', 25275),
(81550, 'PF12973', NULL, 'ChrR Cupin-like domain', 91, NULL, 'Cupin_7', 25276),
(81551, 'PF06148', NULL, 'COG (conserved oligomeric Golgi) complex component, COG2', 133, NULL, 'COG2', 25277),
(81552, 'PF04999', NULL, 'Cell division protein FtsL', 97, NULL, 'FtsL', 25278),
(81553, 'PF12827', NULL, 'Peroxisomal biogenesis protein family', 113, NULL, 'Peroxin-22', 25279),
(81554, 'PF17550', NULL, 'Family of unknown function', 162, NULL, 'PsaF', 25280),
(81555, 'PF05250', NULL, 'Uncharacterised protein family (UPF0193)', 216, NULL, 'UPF0193', 25281),
(81556, 'PF13815', NULL, 'Iguana/Dzip1-like DAZ-interacting protein N-terminal', 118, NULL, 'Dzip-like_N', 25282),
(81557, 'PF14302', NULL, 'Domain of unknown function (DUF4377)', 75, NULL, 'DUF4377', 25283),
(81558, 'PF07399', NULL, 'Putative Na+/H+ antiporter', 419, NULL, 'Na_H_antiport_3', 25284),
(81559, 'PF01059', NULL, 'NADH-ubiquinone oxidoreductase chain 4, amino terminus', 110, NULL, 'Oxidored_q5_N', 25285),
(81560, 'PF12063', NULL, 'Domain of unknown function (DUF3543)', 267, NULL, 'DUF3543', 25286),
(81561, 'PF03142', NULL, 'Chitin synthase', 527, NULL, 'Chitin_synth_2', 25287),
(81562, 'PF09292', NULL, 'Endonuclease VIII-like 1, DNA bind', 39, NULL, 'Neil1-DNA_bind', 25288),
(81563, 'PF19697', NULL, 'Atg11 middle domain', 79, NULL, 'Atg11_middle', 25289),
(81564, 'PF05129', NULL, 'Transcription elongation factor Elf1 like', 78, NULL, 'Elf1', 25290),
(81565, 'PF05414', NULL, 'Viral domain of unknown function (DUF1717)', 78, NULL, 'DUF1717', 25291),
(81566, 'PF09810', NULL, 'Exonuclease V - a 5'' deoxyribonuclease', 370, NULL, 'Exo5', 25292),
(81567, 'PF19431', NULL, 'MEKK4 N-terminal', 1208, NULL, 'MEKK4_N', 25293),
(81568, 'PF19903', NULL, 'Family of unknown function (DUF6376)', 116, NULL, 'DUF6376', 25294),
(81569, 'PF09083', NULL, 'Domain of unknown function (DUF1923)', 64, NULL, 'DUF1923', 25295),
(81570, 'PF13463', NULL, 'Winged helix DNA-binding domain', 68, NULL, 'HTH_27', 25296),
(81571, 'PF19467', NULL, 'Family of unknown function (DUF6004)', 400, NULL, 'DUF6004', 25297),
(81572, 'PF14318', NULL, 'Mononegavirales mRNA-capping region V', 247, NULL, 'Mononeg_mRNAcap', 25298),
(81573, 'PF08011', NULL, 'PD-(D/E)XK nuclease superfamily', 105, NULL, 'PDDEXK_9', 25299);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(81574, 'PF00450', NULL, 'Serine carboxypeptidase', 416, NULL, 'Peptidase_S10', 25300),
(81575, 'PF02517', NULL, 'Type II CAAX prenyl endopeptidase Rce1-like', 92, NULL, 'Rce1-like', 25301),
(81576, 'PF04252', NULL, 'Predicted SAM-dependent RNA methyltransferase', 200, NULL, 'RNA_Me_trans', 25302),
(81577, 'PF03418', NULL, 'Germination protease', 354, NULL, 'Peptidase_A25', 25303),
(81578, 'PF11327', NULL, 'Egh16-like virulence factor', 183, NULL, 'Egh16-like', 25304),
(81579, 'PF16108', NULL, 'Domain of unknown function (DUF4826)', 129, NULL, 'DUF4826', 25305),
(81580, 'PF15011', NULL, 'Casein Kinase 2 substrate', 161, NULL, 'CK2S', 25306),
(81581, 'PF14119', NULL, 'Domain of unknown function (DUF4288)', 85, NULL, 'DUF4288', 25307),
(81582, 'PF07326', NULL, 'Regulator of chromosome segregation 1', 232, NULL, 'RCS1', 25308),
(81583, 'PF13933', NULL, 'Putative peptidase family', 245, NULL, 'HRXXH', 25309),
(81584, 'PF00618', NULL, 'RasGEF N-terminal motif', 105, NULL, 'RasGEF_N', 25310),
(81585, 'PF05000', NULL, 'RNA polymerase Rpb1, domain 4', 108, NULL, 'RNA_pol_Rpb1_4', 25311),
(81586, 'PF05396', NULL, 'Phage T7 capsid assembly protein', 123, NULL, 'Phage_T7_Capsid', 25312),
(81587, 'PF19191', NULL, 'HEF_HK domain', 67, NULL, 'HEF_HK', 25313),
(81588, 'PF18584', NULL, 'Synaptonemal complex 2 Spt16M-like domain', 112, NULL, 'SYCP2_SLD', 25314),
(81589, 'PF08724', NULL, 'Rep protein catalytic domain like', 186, NULL, 'Rep_N', 25315),
(81590, 'PF06015', NULL, 'Chordopoxvirus A30L protein', 71, NULL, 'Chordopox_A30L', 25316),
(81591, 'PF15195', NULL, 'TMEM210 family', 114, NULL, 'TMEM210', 25317),
(81592, 'PF09354', NULL, 'HNF3 C-terminal domain', 67, NULL, 'HNF_C', 25318),
(81593, 'PF17531', NULL, 'outer-membrane spanin sub-unit', 33, NULL, 'O_Spanin_T7', 25319),
(81594, 'PF01603', NULL, 'Protein phosphatase 2A regulatory B subunit (B56 family)', 413, NULL, 'B56', 25320),
(81595, 'PF05708', NULL, 'Permuted papain-like amidase enzyme, YaeF/YiiX, C92 family', 156, NULL, 'Peptidase_C92', 25321),
(81596, 'PF03529', NULL, 'Otx1 transcription factor', 92, NULL, 'TF_Otx', 25322),
(81597, 'PF09436', NULL, 'Domain of unknown function (DUF2016)', 72, NULL, 'DUF2016', 25323),
(81598, 'PF16971', NULL, 'Rough colony protein B, tight adherence - tad - subunit', 167, NULL, 'RcpB', 25324),
(81599, 'PF17129', NULL, 'C-terminal domain of metallo-carboxypeptidase', 100, NULL, 'Peptidase_M99_C', 25325),
(81600, 'PF01939', NULL, 'Endonuclease NucS', 229, NULL, 'NucS', 25326),
(81601, 'PF02875', NULL, 'Mur ligase family, glutamate ligase domain', 91, NULL, 'Mur_ligase_C', 25327),
(81602, 'PF06614', NULL, 'Neuromodulin', 175, NULL, 'Neuromodulin', 25328),
(81603, 'PF12316', NULL, 'Segment polarity protein dishevelled (Dsh) C terminal', 200, NULL, 'Dsh_C', 25329),
(81604, 'PF09008', NULL, 'Head binding', 113, NULL, 'Head_binding', 25330),
(81605, 'PF20142', NULL, 'Scaffold domain', 140, NULL, 'Scaffold', 25331),
(81606, 'PF16167', NULL, 'Domain of unknown function (DUF4871)', 128, NULL, 'DUF4871', 25332),
(81607, 'PF09531', NULL, 'Nucleoporin protein Ndc1-Nup', 611, NULL, 'Ndc1_Nup', 25333),
(81608, 'PF14278', NULL, 'Transcriptional regulator C-terminal region', 103, NULL, 'TetR_C_8', 25334),
(81609, 'PF09561', NULL, 'HpaII restriction endonuclease', 357, NULL, 'RE_HpaII', 25335),
(81610, 'PF14164', NULL, 'YqzH-like protein', 64, NULL, 'YqzH', 25336),
(81611, 'PF04013', NULL, 'Putative SAM-dependent RNA methyltransferase', 198, NULL, 'Methyltrn_RNA_2', 25337),
(81612, 'PF11452', NULL, 'Protein of unknown function (DUF3000)', 175, NULL, 'DUF3000', 25338),
(81613, 'PF14972', NULL, 'Mitochondrial morphogenesis regulator', 159, NULL, 'Mito_morph_reg', 25339),
(81614, 'PF10070', NULL, 'Na+-translocating membrane potential-generating system (MpsB)', 760, NULL, 'MpsB', 25340),
(81615, 'PF10298', NULL, 'WhiA N-terminal LAGLIDADG-like domain', 86, NULL, 'WhiA_N', 25341),
(81616, 'PF16966', NULL, 'Porin-like glycoporin RafY', 366, NULL, 'Porin_8', 25342),
(81617, 'PF09620', NULL, 'CRISPR-associated protein (Cas_csx3)', 78, NULL, 'Cas_csx3', 25343);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(81618, 'PF15879', NULL, 'NADH-ubiquinone oxidoreductase MWFE subunit', 55, NULL, 'MWFE', 25344),
(81619, 'PF09175', NULL, 'Domain of unknown function (DUF1944)', 167, NULL, 'DUF1944', 25345),
(81620, 'PF13043', NULL, 'Domain of unknown function (DUF3903)', 40, NULL, 'DUF3903', 25346),
(81621, 'PF02890', NULL, 'Borrelia family of unknown function DUF226', 139, NULL, 'DUF226', 25347),
(81622, 'PF07660', NULL, 'Secretin and TonB N terminus short domain', 52, NULL, 'STN', 25348),
(81623, 'PF07261', NULL, 'Replication initiation and membrane attachment', 74, NULL, 'DnaB_2', 25349),
(81624, 'PF03310', NULL, 'Caulimovirus DNA-binding protein', 121, NULL, 'Cauli_DNA-bind', 25350),
(81625, 'PF02271', NULL, 'Ubiquinol-cytochrome C reductase complex 14kD subunit', 100, NULL, 'UCR_14kD', 25351),
(81626, 'PF05797', NULL, 'Yeast trans-acting factor (REP1/REP2)', 344, NULL, 'Rep_4', 25352),
(81627, 'PF14182', NULL, 'YgaB-like protein', 77, NULL, 'YgaB', 25353),
(81628, 'PF10823', NULL, 'Protein of unknown function (DUF2568)', 92, NULL, 'DUF2568', 25354),
(81629, 'PF12044', NULL, 'Putative peptidase family', 429, NULL, 'Metallopep', 25355),
(81630, 'PF03538', NULL, 'Salmonella virulence plasmid 28.1kDa A protein', 329, NULL, 'VRP1', 25356),
(81631, 'PF15179', NULL, 'Myc target protein 1', 193, NULL, 'Myc_target_1', 25357),
(81632, 'PF19789', NULL, 'Family of unknown function (DUF6273)', 170, NULL, 'DUF6273', 25358),
(81633, 'PF06069', NULL, 'PerC transcriptional activator', 90, NULL, 'PerC', 25359),
(81634, 'PF03502', NULL, 'Nucleoside-specific channel-forming protein, Tsx', 244, NULL, 'Channel_Tsx', 25360),
(81635, 'PF11050', NULL, 'Virus envelope protein E26', 225, NULL, 'Viral_env_E26', 25361),
(81636, 'PF13033', NULL, 'Protein of unknown function (DUF3894)', 54, NULL, 'DUF3894', 25362),
(81637, 'PF05639', NULL, 'Pup-like protein', 69, NULL, 'Pup', 25363),
(81638, 'PF08281', NULL, 'Sigma-70, region 4', 54, NULL, 'Sigma70_r4_2', 25364),
(81639, 'PF13886', NULL, 'Domain of unknown function (DUF4203)', 201, NULL, 'DUF4203', 25365),
(81640, 'PF14752', NULL, 'Retinol binding protein receptor', 608, NULL, 'RBP_receptor', 25366),
(81641, 'PF03036', NULL, 'Perilipin family', 403, NULL, 'Perilipin', 25367),
(81642, 'PF08468', NULL, 'Methyltransferase small domain N-terminal', 157, NULL, 'MTS_N', 25368),
(81643, 'PF14040', NULL, 'Deoxyribonuclease NucA/NucB', 113, NULL, 'DNase_NucA_NucB', 25369),
(81644, 'PF15342', NULL, 'FAM212 family', 59, NULL, 'FAM212', 25370),
(81645, 'PF01698', NULL, 'Floricaula / Leafy protein SAM domain', 80, NULL, 'SAM_LFY', 25371),
(81646, 'PF16529', NULL, 'WD40 region of Ge1, enhancer of mRNA-decapping protein', 328, NULL, 'Ge1_WD40', 25372),
(81647, 'PF03820', NULL, 'Sideroflexins', 319, NULL, 'SFXNs', 25373),
(81648, 'PF17645', NULL, 'Arylmalonate decarboxylase', 217, NULL, 'Amdase', 25374),
(81649, 'PF08623', NULL, 'TATA-binding protein interacting (TIP20)', 168, NULL, 'TIP120', 25375),
(81650, 'PF11146', NULL, 'Protein of unknown function (DUF2905)', 63, NULL, 'DUF2905', 25376),
(81651, 'PF05586', NULL, 'Anthrax receptor C-terminus region', 93, NULL, 'Ant_C', 25377),
(81652, 'PF12466', NULL, 'Glutamate dehydrogenase N terminal', 95, NULL, 'GDH_N', 25378),
(81653, 'PF09088', NULL, 'MIF4G like', 191, NULL, 'MIF4G_like', 25379),
(81654, 'PF18803', NULL, 'CxC2 like cysteine cluster associated with KDZ transposases', 107, NULL, 'CxC2', 25380),
(81655, 'PF10955', NULL, 'Protein of unknown function (DUF2757)', 76, NULL, 'DUF2757', 25381),
(81656, 'PF15929', NULL, 'Myofilin', 148, NULL, 'Myofilin', 25382),
(81657, 'PF20014', NULL, 'GTPase-associated protein 1, middle domain', 101, NULL, 'GAP1-M', 25383),
(81658, 'PF02455', NULL, 'Hexon-associated protein (IIIa)', 511, NULL, 'Hex_IIIa', 25384),
(81659, 'PF13726', NULL, 'Na+-H+ antiporter family', 88, NULL, 'Na_H_antiport_2', 25385),
(81660, 'PF05676', NULL, 'NADH-ubiquinone oxidoreductase B18 subunit (NDUFB7)', 63, NULL, 'NDUF_B7', 25386),
(81661, 'PF16492', NULL, 'Cadherin cytoplasmic C-terminal', 84, NULL, 'Cadherin_C_2', 25387),
(81662, 'PF05577', NULL, 'Serine carboxypeptidase S28', 434, NULL, 'Peptidase_S28', 25388);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(81663, 'PF15176', NULL, 'Leucine-rich repeat family 19 TM domain', 115, NULL, 'LRR19-TM', 25389),
(81664, 'PF13952', NULL, 'Domain of unknown function (DUF4216)', 73, NULL, 'DUF4216', 25390),
(81665, 'PF08300', NULL, 'Hepatitis C virus non-structural 5a zinc finger domain', 62, NULL, 'HCV_NS5a_1a', 25391),
(81666, 'PF00858', NULL, 'Amiloride-sensitive sodium channel', 445, NULL, 'ASC', 25392),
(81667, 'PF00153', NULL, 'Mitochondrial carrier protein', 97, NULL, 'Mito_carr', 25393),
(81668, 'PF14699', NULL, 'N-terminal domain from the human glycogen debranching enzyme', 91, NULL, 'hGDE_N', 25394),
(81669, 'PF10733', NULL, 'Protein of unknown function (DUF2525)', 60, NULL, 'DUF2525', 25395),
(81670, 'PF16739', NULL, 'Caspase recruitment domain', 92, NULL, 'CARD_2', 25396),
(81671, 'PF16824', NULL, 'C-terminal carbohydrate-binding module', 125, NULL, 'CBM_26', 25397),
(81672, 'PF18249', NULL, 'Calcium binding protein SSO6904', 90, NULL, 'Ca_bind_SSO6904', 25398),
(81673, 'PF07670', NULL, 'Nucleoside recognition', 112, NULL, 'Gate', 25399),
(81674, 'PF01810', NULL, 'LysE type translocator', 193, NULL, 'LysE', 25400),
(81675, 'PF04426', NULL, 'Bul1 C terminus', 272, NULL, 'Bul1_C', 25401),
(81676, 'PF06919', NULL, 'Phage Gp30.7 protein', 121, NULL, 'Phage_T4_Gp30_7', 25402),
(81677, 'PF03984', NULL, 'Repeat of unknown function (DUF346)', 39, NULL, 'DUF346', 25403),
(81678, 'PF05315', NULL, 'ICEA Protein', 218, NULL, 'ICEA', 25404),
(81679, 'PF11739', NULL, 'Dicarboxylate transport', 207, NULL, 'DctA-YdbH', 25405),
(81680, 'PF16396', NULL, 'Domain of unknown function (DUF5005)', 437, NULL, 'DUF5005', 25406),
(81681, 'PF17805', NULL, 'AsnC-like ligand binding domain', 82, NULL, 'AsnC_trans_reg2', 25407),
(81682, 'PF00606', NULL, 'Herpesvirus Glycoprotein B ectodomain', 222, NULL, 'Glycoprotein_B', 25408),
(81683, 'PF08952', NULL, 'Domain of unknown function (DUF1866)', 146, NULL, 'DUF1866', 25409),
(81684, 'PF18081', NULL, 'Fanconi anemia-associated nuclease SAP domain', 51, NULL, 'FANC_SAP', 25410),
(81685, 'PF18762', NULL, 'Serine/Threonine/Tyrosine Kinase found in polyvalent proteins', 160, NULL, 'Kinase-PolyVal', 25411),
(81686, 'PF09169', NULL, 'BRCA2, helical', 187, NULL, 'BRCA-2_helical', 25412),
(81687, 'PF14000', NULL, 'DNA packaging protein FI', 131, NULL, 'Packaging_FI', 25413),
(81688, 'PF15969', NULL, 'Intracellular sensor of Lambda phage, Abi component', 236, NULL, 'RexA', 25414),
(81689, 'PF00043', NULL, 'Glutathione S-transferase, C-terminal domain', 93, NULL, 'GST_C', 25415),
(81690, 'PF18558', NULL, 'Helix-turn-helix domain', 90, NULL, 'HTH_51', 25416),
(81691, 'PF12347', NULL, 'Holliday junction regulator protein family C-terminal repeat', 63, NULL, 'HJURP_C', 25417),
(81692, 'PF18560', NULL, 'Lectin like domain', 157, NULL, 'Lectin_like', 25418),
(81693, 'PF15935', NULL, 'RNase LS, bacterial toxin', 87, NULL, 'RnlA_toxin', 25419),
(81694, 'PF02516', NULL, 'Oligosaccharyl transferase STT3 subunit', 488, NULL, 'STT3', 25420),
(81695, 'PF08248', NULL, 'Tryptophyllin-3 skin active peptide', 12, NULL, 'Tryp_FSAP', 25421),
(81696, 'PF00473', NULL, 'Corticotropin-releasing factor family', 38, NULL, 'CRF', 25422),
(81697, 'PF05254', NULL, 'Uncharacterised protein family (UPF0203)', 69, NULL, 'UPF0203', 25423),
(81698, 'PF07722', NULL, 'Peptidase C26', 217, NULL, 'Peptidase_C26', 25424),
(81699, 'PF08441', NULL, 'Integrin alpha', 462, NULL, 'Integrin_alpha2', 25425),
(81700, 'PF17695', NULL, 'Family of unknown function (DUF5541)', 116, NULL, 'DUF5541', 25426),
(81701, 'PF12617', NULL, 'Iron-Sulfur binding protein C terminal', 187, NULL, 'LdpA_C', 25427),
(81702, 'PF04783', NULL, 'Protein of unknown function (DUF630)', 59, NULL, 'DUF630', 25428),
(81703, 'PF09777', NULL, 'Osteopetrosis-associated transmembrane protein 1 precursor', 231, NULL, 'OSTMP1', 25429),
(81704, 'PF02899', NULL, 'Phage integrase, N-terminal SAM-like domain', 83, NULL, 'Phage_int_SAM_1', 25430),
(81705, 'PF16238', NULL, 'Domain of unknown function (DUF4897)', 157, NULL, 'DUF4897', 25431),
(81706, 'PF04622', NULL, 'ERG2 and Sigma1 receptor like protein', 210, NULL, 'ERG2_Sigma1R', 25432); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(81707, 'PF02347', NULL, 'Glycine cleavage system P-protein', 430, NULL, 'GDC-P', 25433),
(81708, 'PF08733', NULL, 'PalH/RIM21', 330, NULL, 'PalH', 25434),
(81709, 'PF04114', NULL, 'Gaa1-like, GPI transamidase component', 497, NULL, 'Gaa1', 25435),
(81710, 'PF07724', NULL, 'AAA domain (Cdc48 subfamily)', 171, NULL, 'AAA_2', 25436),
(81711, 'PF17059', NULL, 'MgtA leader peptide', 17, NULL, 'MGTL', 25437),
(81712, 'PF09349', NULL, 'OHCU decarboxylase', 156, NULL, 'OHCU_decarbox', 25438),
(81713, 'PF16372', NULL, 'Domain of unknown function (DUF4984)', 161, NULL, 'DUF4984', 25439),
(81714, 'PF01047', NULL, 'MarR family', 59, NULL, 'MarR', 25440),
(81715, 'PF05168', NULL, 'HEPN domain', 117, NULL, 'HEPN', 25441),
(81716, 'PF10761', NULL, 'Protein of unknown function (DUF2590)', 100, NULL, 'DUF2590', 25442),
(81717, 'PF16410', NULL, 'Domain of unknown function (DUF5018)', 351, NULL, 'DUF5018', 25443),
(81718, 'PF13787', NULL, 'Protein of unknown function with HXXEE motif', 111, NULL, 'HXXEE', 25444),
(81719, 'PF12473', NULL, 'Kinesin protein', 150, NULL, 'DUF3694', 25445),
(81720, 'PF06926', NULL, 'Putative replisome organiser protein C-terminus', 95, NULL, 'Rep_Org_C', 25446),
(81721, 'PF14864', NULL, 'Alkyl sulfatase C-terminal', 126, NULL, 'Alkyl_sulf_C', 25447),
(81722, 'PF17930', NULL, 'LpxI N-terminal domain', 129, NULL, 'LpxI_N', 25448),
(81723, 'PF00392', NULL, 'Bacterial regulatory proteins, gntR family', 64, NULL, 'GntR', 25449),
(81724, 'PF01330', NULL, 'RuvA N terminal domain', 60, NULL, 'RuvA_N', 25450),
(81725, 'PF15589', NULL, 'Immunity protein 21', 155, NULL, 'Imm21', 25451),
(81726, 'PF14099', NULL, 'Polysaccharide lyase', 213, NULL, 'Polysacc_lyase', 25452),
(81727, 'PF02724', NULL, 'CDC45-like protein', 638, NULL, 'CDC45', 25453),
(81728, 'PF16426', NULL, 'Domain of unknown function (DUF5023)', 197, NULL, 'DUF5023', 25454),
(81729, 'PF07599', NULL, 'Protein of unknown function (DUF1563)', 43, NULL, 'DUF1563', 25455),
(81730, 'PF05942', NULL, 'Archaeal PaREP1/PaREP8 family', 115, NULL, 'PaREP1', 25456),
(81731, 'PF09655', NULL, 'Conserved nitrate reductase-associated protein (Nitr_red_assoc)', 144, NULL, 'Nitr_red_assoc', 25457),
(81732, 'PF16003', NULL, 'Domain of unknown function (DUF4776)', 503, NULL, 'DUF4776', 25458),
(81733, 'PF07685', NULL, 'CobB/CobQ-like glutamine amidotransferase domain', 197, NULL, 'GATase_3', 25459),
(81734, 'PF10422', NULL, 'Monopolin complex subunit LRS4', 249, NULL, 'LRS4', 25460),
(81735, 'PF00849', NULL, 'RNA pseudouridylate synthase', 160, NULL, 'PseudoU_synth_2', 25461),
(81736, 'PF12112', NULL, 'Protein of unknown function (DUF3579)', 90, NULL, 'DUF3579', 25462),
(81737, 'PF07270', NULL, 'Protein of unknown function (DUF1438)', 151, NULL, 'DUF1438', 25463),
(81738, 'PF10775', NULL, 'ATP synthase complex subunit h', 69, NULL, 'ATP_sub_h', 25464),
(81739, 'PF16707', NULL, 'Cag pathogenicity island protein S of Helicobacter pylori', 196, NULL, 'CagS', 25465),
(81740, 'PF04216', NULL, 'Protein involved in formate dehydrogenase formation', 287, NULL, 'FdhE', 25466),
(81741, 'PF11465', NULL, 'Natural killer cell receptor 2B4', 108, NULL, 'Receptor_2B4', 25467),
(81742, 'PF17522', NULL, 'Family of unknown function (DUF5446)', 72, NULL, 'DUF5446', 25468),
(81743, 'PF13789', NULL, 'Domain of unknown function (DUF4181)', 108, NULL, 'DUF4181', 25469),
(81744, 'PF15050', NULL, 'SCIMP protein', 132, NULL, 'SCIMP', 25470),
(81745, 'PF15980', NULL, 'Putative Competence protein ComGF', 99, NULL, 'ComGF', 25471),
(81746, 'PF20092', NULL, 'Family of unknown function (DUF6483)', 122, NULL, 'DUF6483', 25472),
(81747, 'PF05679', NULL, 'Chondroitin N-acetylgalactosaminyltransferase', 513, NULL, 'CHGN', 25473),
(81748, 'PF07750', NULL, 'GcrA cell cycle regulator', 162, NULL, 'GcrA', 25474),
(81749, 'PF13298', NULL, 'DNA polymerase Ligase (LigD)', 105, NULL, 'LigD_N', 25475),
(81750, 'PF11285', NULL, 'Protein of unknown function (DUF3086)', 277, NULL, 'DUF3086', 25476),
(81751, 'PF10602', NULL, '26S proteasome subunit RPN7', 174, NULL, 'RPN7', 25477),
(81752, 'PF05278', NULL, 'Arabidopsis phospholipase-like protein (PEARLI 4)', 269, NULL, 'PEARLI-4', 25478);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(81753, 'PF06035', NULL, 'Bacterial transglutaminase-like cysteine proteinase BTLCP', 163, NULL, 'Peptidase_C93', 25479),
(81754, 'PF06842', NULL, 'Protein of unknown function (DUF1242)', 35, NULL, 'DUF1242', 25480),
(81755, 'PF19881', NULL, 'Family of unknown function (DUF6354)', 121, NULL, 'DUF6354', 25481),
(81756, 'PF17664', NULL, 'Cilia- and flagella-associated protein HOATZ-like', 168, NULL, 'HOATZ-like', 25482),
(81757, 'PF03808', NULL, 'Glycosyl transferase WecG/TagA/CpsF family', 168, NULL, 'Glyco_tran_WecG', 25483),
(81758, 'PF08635', NULL, 'Putative oxidoreductase C terminal domain', 142, NULL, 'ox_reductase_C', 25484),
(81759, 'PF00012', NULL, 'Hsp70 protein', 599, NULL, 'HSP70', 25485),
(81760, 'PF02739', NULL, '5''-3'' exonuclease, N-terminal resolvase-like domain', 159, NULL, '5_3_exonuc_N', 25486),
(81761, 'PF10302', NULL, 'DUF2407 ubiquitin-like domain', 104, NULL, 'DUF2407', 25487),
(81762, 'PF17414', NULL, 'MatP C-terminal ribbon-helix-helix domain', 60, NULL, 'MatP_C', 25488),
(81763, 'PF09447', NULL, 'Cnl2/NKP2 family protein', 65, NULL, 'Cnl2_NKP2', 25489),
(81764, 'PF14091', NULL, 'Domain of unknown function (DUF4269)', 151, NULL, 'DUF4269', 25490),
(81765, 'PF07576', NULL, 'BRCA1-associated protein 2', 99, NULL, 'BRAP2', 25491),
(81766, 'PF00580', NULL, 'UvrD/REP helicase N-terminal domain', 315, NULL, 'UvrD-helicase', 25492),
(81767, 'PF00777', NULL, 'Glycosyltransferase family 29 (sialyltransferase)', 273, NULL, 'Glyco_transf_29', 25493),
(81768, 'PF10043', NULL, 'Predicted periplasmic lipoprotein (DUF2279)', 91, NULL, 'DUF2279', 25494),
(81769, 'PF07056', NULL, 'Protein of unknown function (DUF1335)', 131, NULL, 'DUF1335', 25495),
(81770, 'PF07631', NULL, 'Protein of unknown function (DUF1592)', 128, NULL, 'PSD4', 25496),
(81771, 'PF06372', NULL, 'Gemin6 protein', 166, NULL, 'Gemin6', 25497),
(81772, 'PF07613', NULL, 'Protein of unknown function (DUF1576)', 176, NULL, 'DUF1576', 25498),
(81773, 'PF10295', NULL, 'Uncharacterised protein (DUF2406)', 63, NULL, 'DUF2406', 25499),
(81774, 'PF00149', NULL, 'Calcineurin-like phosphoesterase', 205, NULL, 'Metallophos', 25500),
(81775, 'PF06780', NULL, 'Erp protein C-terminus', 140, NULL, 'Erp_C', 25501),
(81776, 'PF18095', NULL, 'UPF0242 C-terminal PAS-like domain', 153, NULL, 'PAS_12', 25502),
(81777, 'PF03406', NULL, 'Phage tail fibre repeat', 42, NULL, 'Phage_fiber_2', 25503),
(81778, 'PF01280', NULL, 'Ribosomal protein L19e', 144, NULL, 'Ribosomal_L19e', 25504),
(81779, 'PF06544', NULL, 'Protein of unknown function (DUF1115)', 144, NULL, 'DUF1115', 25505),
(81780, 'PF13984', NULL, 'MsyB protein', 122, NULL, 'MsyB', 25506),
(81781, 'PF08283', NULL, 'Geminivirus rep protein central domain', 107, NULL, 'Gemini_AL1_M', 25507),
(81782, 'PF10502', NULL, 'Signal peptidase, peptidase S26', 170, NULL, 'Peptidase_S26', 25508),
(81783, 'PF02596', NULL, 'Uncharacterised ArCR, COG2043', 206, NULL, 'DUF169', 25509),
(81784, 'PF05422', NULL, 'Stress-activated map kinase interacting protein 1 (SIN1)', 142, NULL, 'SIN1', 25510),
(81785, 'PF17756', NULL, 'RET Cadherin like domain 1', 124, NULL, 'RET_CLD1', 25511),
(81786, 'PF03573', NULL, 'outer membrane porin, OprD family', 394, NULL, 'OprD', 25512),
(81787, 'PF14333', NULL, 'Domain of unknown function (DUF4389)', 76, NULL, 'DUF4389', 25513),
(81788, 'PF00195', NULL, 'Chalcone and stilbene synthases, N-terminal domain', 225, NULL, 'Chal_sti_synt_N', 25514),
(81789, 'PF06939', NULL, 'Protein of unknown function (DUF1286)', 112, NULL, 'DUF1286', 25515),
(81790, 'PF13206', NULL, 'Trypanosomal VSG domain', 353, NULL, 'VSG_B', 25516),
(81791, 'PF07055', NULL, 'Enoyl reductase FAD binding domain', 64, NULL, 'Eno-Rase_FAD_bd', 25517),
(81792, 'PF01242', NULL, '6-pyruvoyl tetrahydropterin synthase', 123, NULL, 'PTPS', 25518),
(81793, 'PF15870', NULL, 'ElonginA binding-protein 1', 166, NULL, 'EloA-BP1', 25519),
(81794, 'PF01707', NULL, 'Peptidase family C9', 202, NULL, 'Peptidase_C9', 25520),
(81795, 'PF13863', NULL, 'Domain of unknown function (DUF4200)', 119, NULL, 'DUF4200', 25521),
(81796, 'PF07927', NULL, 'HicA toxin of bacterial toxin-antitoxin,', 58, NULL, 'HicA_toxin', 25522);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(81797, 'PF12415', NULL, 'Poxvirus DNA dependent RNA polymerase', 32, NULL, 'rpo132', 25523),
(81798, 'PF02576', NULL, 'RimP N-terminal domain', 73, NULL, 'DUF150', 25524),
(81799, 'PF02773', NULL, 'S-adenosylmethionine synthetase, C-terminal domain', 138, NULL, 'S-AdoMet_synt_C', 25525),
(81800, 'PF09373', NULL, 'Pseudomurein-binding repeat', 33, NULL, 'PMBR', 25526),
(81801, 'PF09873', NULL, 'Uncharacterized protein conserved in archaea (DUF2100)', 217, NULL, 'DUF2100', 25527),
(81802, 'PF10261', NULL, 'Inositol phospholipid synthesis and fat-storage-inducing TM', 246, NULL, 'Scs3p', 25528),
(81803, 'PF11222', NULL, 'Protein of unknown function (DUF3017)', 74, NULL, 'DUF3017', 25529),
(81804, 'PF00339', NULL, 'Arrestin (or S-antigen), N-terminal domain', 146, NULL, 'Arrestin_N', 25530),
(81805, 'PF00350', NULL, 'Dynamin family', 168, NULL, 'Dynamin_N', 25531),
(81806, 'PF02475', NULL, 'Met-10+ like-protein', 199, NULL, 'Met_10', 25532),
(81807, 'PF05013', NULL, 'N-formylglutamate amidohydrolase', 216, NULL, 'FGase', 25533),
(81808, 'PF14376', NULL, 'Haem-binding domain', 133, NULL, 'Haem_bd', 25534),
(81809, 'PF01445', NULL, 'Viral small hydrophobic protein', 57, NULL, 'SH', 25535),
(81810, 'PF01446', NULL, 'Replication protein', 251, NULL, 'Rep_1', 25536),
(81811, 'PF13363', NULL, 'Beta-galactosidase, domain 3', 77, NULL, 'BetaGal_dom3', 25537),
(81812, 'PF15205', NULL, 'Placenta-specific protein 9', 74, NULL, 'PLAC9', 25538),
(81813, 'PF17114', NULL, 'Gef2-related medial cortical node protein Nod1', 145, NULL, 'Nod1', 25539),
(81814, 'PF15409', NULL, 'Pleckstrin homology domain', 89, NULL, 'PH_8', 25540),
(81815, 'PF18278', NULL, 'Receptor activator of the NF-KB cysteine-rich repeat domain 2', 41, NULL, 'RANK_CRD_2', 25541),
(81816, 'PF11714', NULL, 'Thrombin inhibitor Madanin', 78, NULL, 'Inhibitor_I53', 25542),
(81817, 'PF04204', NULL, 'Homoserine O-succinyltransferase', 298, NULL, 'HTS', 25543),
(81818, 'PF00121', NULL, 'Triosephosphate isomerase', 245, NULL, 'TIM', 25544),
(81819, 'PF01923', NULL, 'Cobalamin adenosyltransferase', 170, NULL, 'Cob_adeno_trans', 25545),
(81820, 'PF16590', NULL, 'Exocrine gland-secreting peptide', 91, NULL, 'ESP', 25546),
(81821, 'PF06536', NULL, 'Avian adenovirus fibre, N-terminal', 56, NULL, 'Av_adeno_fibre', 25547),
(81822, 'PF09053', NULL, 'CagZ', 199, NULL, 'CagZ', 25548),
(81823, 'PF13291', NULL, 'ACT domain', 80, NULL, 'ACT_4', 25549),
(81824, 'PF11507', NULL, 'Ebola virus-specific transcription factor VP30', 131, NULL, 'Transcript_VP30', 25550),
(81825, 'PF01380', NULL, 'SIS domain', 131, NULL, 'SIS', 25551),
(81826, 'PF13059', NULL, 'Protein of unknown function (DUF3992)', 79, NULL, 'DUF3922', 25552),
(81827, 'PF18890', NULL, 'FANCL UBC-like domain 2', 91, NULL, 'FANCL_d2', 25553),
(81828, 'PF18189', NULL, 'TbRIF5 SNase domain 2', 178, NULL, 'RIF5_SNase_2', 25554),
(81829, 'PF16044', NULL, 'Domain of unknown function (DUF4796)', 189, NULL, 'DUF4796', 25555),
(81830, 'PF02809', NULL, 'Ubiquitin interaction motif', 17, NULL, 'UIM', 25556),
(81831, 'PF17948', NULL, 'DnaT DNA-binding domain', 71, NULL, 'DnaT', 25557),
(81832, 'PF04342', NULL, 'Putative member of DMT superfamily (DUF486)', 105, NULL, 'DMT_6', 25558),
(81833, 'PF13080', NULL, 'Protein of unknown function (DUF3926)', 43, NULL, 'DUF3926', 25559),
(81834, 'PF12774', NULL, 'Hydrolytic ATP binding site of dynein motor region', 327, NULL, 'AAA_6', 25560),
(81835, 'PF17738', NULL, 'Family of unknown function (DUF5575)', 309, NULL, 'DUF5575', 25561),
(81836, 'PF17975', NULL, 'Ribonucleotide reductase alpha domain', 101, NULL, 'RNR_Alpha', 25562),
(81837, 'PF18355', NULL, 'Domain of unknown function (DUF5607)', 65, NULL, 'DUF5607', 25563),
(81838, 'PF09716', NULL, 'Malarial early transcribed membrane protein (ETRAMP)', 83, NULL, 'ETRAMP', 25564),
(81839, 'PF12095', NULL, 'Protein CHLORORESPIRATORY REDUCTION 7', 84, NULL, 'CRR7', 25565),
(81840, 'PF05417', NULL, 'Hepatitis E cysteine protease', 161, NULL, 'Peptidase_C41', 25566),
(81841, 'PF17866', NULL, 'AAA lid domain', 61, NULL, 'AAA_lid_6', 25567); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(81842, 'PF03195', NULL, 'Lateral organ boundaries (LOB) domain', 99, NULL, 'LOB', 25568),
(81843, 'PF10640', NULL, 'mRNA capping enzyme N-terminal, ATPase and guanylyltransferase', 312, NULL, 'Pox_ATPase-GT', 25569),
(81844, 'PF04693', NULL, 'Archaeal putative transposase ISC1217', 327, NULL, 'DDE_Tnp_2', 25570),
(81845, 'PF06804', NULL, 'NlpB/DapX lipoprotein', 321, NULL, 'Lipoprotein_18', 25571),
(81846, 'PF08456', NULL, 'Viral methyltransferase C-terminal', 230, NULL, 'Vmethyltransf_C', 25572),
(81847, 'PF13015', NULL, 'Glucosidase II beta subunit-like protein', 154, NULL, 'PRKCSH_1', 25573),
(81848, 'PF02593', NULL, 'Domain of unknown function', 220, NULL, 'DUF166', 25574),
(81849, 'PF09691', NULL, 'Type II secretion system pilotin lipoprotein (PulS_OutS)', 106, NULL, 'T2SS_PulS_OutS', 25575),
(81850, 'PF07683', NULL, 'Cobalamin synthesis protein cobW C-terminal domain', 94, NULL, 'CobW_C', 25576),
(81851, 'PF04963', NULL, 'Sigma-54 factor, core binding domain', 180, NULL, 'Sigma54_CBD', 25577),
(81852, 'PF09131', NULL, 'Bacillus thuringiensis delta-Endotoxin, middle domain', 206, NULL, 'Endotoxin_mid', 25578),
(81853, 'PF00895', NULL, 'ATP synthase protein 8', 55, NULL, 'ATP-synt_8', 25579),
(81854, 'PF18194', NULL, 'Exoribonuclease 1 Domain-3', 71, NULL, 'Xrn1_D3', 25580),
(81855, 'PF00628', NULL, 'PHD-finger', 52, NULL, 'PHD', 25581),
(81856, 'PF08789', NULL, 'PBCV-specific basic adaptor domain', 38, NULL, 'PBCV_basic_adap', 25582),
(81857, 'PF04133', NULL, 'Vacuolar protein sorting 55', 119, NULL, 'Vps55', 25583),
(81858, 'PF05191', NULL, 'Adenylate kinase, active site lid', 36, NULL, 'ADK_lid', 25584),
(81859, 'PF10614', NULL, 'Type VIII secretion system (T8SS), CsgF protein', 132, NULL, 'CsgF', 25585),
(81860, 'PF13874', NULL, 'Nucleoporin complex subunit 54', 140, NULL, 'Nup54', 25586),
(81861, 'PF13530', NULL, 'Sterol carrier protein domain', 104, NULL, 'SCP2_2', 25587),
(81862, 'PF16622', NULL, 'zinc-finger C2H2-type', 29, NULL, 'zf-C2H2_11', 25588),
(81863, 'PF19821', NULL, 'Phage capsid protein', 292, NULL, 'Phage_capsid_2', 25589),
(81864, 'PF14877', NULL, 'Mitochondrial translation initiation factor', 177, NULL, 'mIF3', 25590),
(81865, 'PF04359', NULL, 'Protein of unknown function (DUF493)', 84, NULL, 'DUF493', 25591),
(81866, 'PF16322', NULL, 'Tubby N-terminal', 200, NULL, 'Tub_N', 25592),
(81867, 'PF16488', NULL, 'Argonaute linker 2 domain', 47, NULL, 'ArgoL2', 25593),
(81868, 'PF00557', NULL, 'Metallopeptidase family M24', 209, NULL, 'Peptidase_M24', 25594),
(81869, 'PF02936', NULL, 'Cytochrome c oxidase subunit IV', 138, NULL, 'COX4', 25595),
(81870, 'PF01586', NULL, 'Myogenic Basic domain', 86, NULL, 'Basic', 25596),
(81871, 'PF06721', NULL, 'Protein of unknown function (DUF1204)', 228, NULL, 'DUF1204', 25597),
(81872, 'PF06840', NULL, 'Protein of unknown function (DUF1241)', 150, NULL, 'DUF1241', 25598),
(81873, 'PF03991', NULL, 'Copper binding octapeptide repeat', 8, NULL, 'Prion_octapep', 25599),
(81874, 'PF06223', NULL, 'Minor tail protein T', 100, NULL, 'Phage_tail_T', 25600),
(81875, 'PF18506', NULL, 'RelB Antitoxin alpha helical domain', 47, NULL, 'RelB_N', 25601),
(81876, 'PF02140', NULL, 'Galactose binding lectin domain', 79, NULL, 'Gal_Lectin', 25602),
(81877, 'PF05067', NULL, 'Manganese containing catalase', 284, NULL, 'Mn_catalase', 25603),
(81878, 'PF20158', NULL, 'Cas5fv helical domain', 158, NULL, 'Cas5fv_helical', 25604),
(81879, 'PF12091', NULL, 'Protein of unknown function (DUF3567)', 89, NULL, 'DUF3567', 25605),
(81880, 'PF08463', NULL, 'EcoEI R protein C-terminal', 167, NULL, 'EcoEI_R_C', 25606),
(81881, 'PF03772', NULL, 'Competence protein', 271, NULL, 'Competence', 25607),
(81882, 'PF14916', NULL, 'Coiled-coil domain of unknown function', 57, NULL, 'CCDC92', 25608),
(81883, 'PF17555', NULL, 'Type VI secretion system, TssN', 274, NULL, 'TssN', 25609),
(81884, 'PF13160', NULL, 'Protein of unknown function (DUF3995)', 125, NULL, 'DUF3995', 25610),
(81885, 'PF10209', NULL, 'Uncharacterized conserved protein (DUF2340)', 120, NULL, 'DUF2340', 25611);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(81886, 'PF20138', NULL, 'Family of unknown function (DUF6528)', 327, NULL, 'DUF6528', 25612),
(81887, 'PF11508', NULL, 'Protein of unknown function (DUF3218)', 213, NULL, 'DUF3218', 25613),
(81888, 'PF17166', NULL, 'Domain of unknown function (DUF5126)', 104, NULL, 'DUF5126', 25614),
(81889, 'PF06110', NULL, 'Eukaryotic protein of unknown function (DUF953)', 119, NULL, 'DUF953', 25615),
(81890, 'PF06984', NULL, 'Mitochondrial 39-S ribosomal protein L47 (MRP-L47)', 87, NULL, 'MRP-L47', 25616),
(81891, 'PF13259', NULL, 'Protein of unknown function (DUF4050)', 183, NULL, 'DUF4050', 25617),
(81892, 'PF00837', NULL, 'Iodothyronine deiodinase', 237, NULL, 'T4_deiodinase', 25618),
(81893, 'PF12813', NULL, 'XPG domain containing', 249, NULL, 'XPG_I_2', 25619),
(81894, 'PF14663', NULL, 'Rapamycin-insensitive companion of mTOR RasGEF_N domain', 108, NULL, 'RasGEF_N_2', 25620),
(81895, 'PF12658', NULL, 'Telomere capping, CST complex subunit', 121, NULL, 'Ten1', 25621),
(81896, 'PF05261', NULL, 'TraM protein, DNA-binding', 126, NULL, 'Tra_M', 25622),
(81897, 'PF11959', NULL, 'Domain of unknown function (DUF3473)', 130, NULL, 'DUF3473', 25623),
(81898, 'PF05523', NULL, 'WxcM-like, C-terminal', 131, NULL, 'FdtA', 25624),
(81899, 'PF08402', NULL, 'TOBE domain', 76, NULL, 'TOBE_2', 25625),
(81900, 'PF16741', NULL, 'mRNA-decapping enzyme C-terminus', 43, NULL, 'mRNA_decap_C', 25626),
(81901, 'PF03087', NULL, 'Arabidopsis protein of unknown function', 236, NULL, 'DUF241', 25627),
(81902, 'PF01214', NULL, 'Casein kinase II regulatory subunit', 182, NULL, 'CK_II_beta', 25628),
(81903, 'PF10004', NULL, 'Uncharacterized protein conserved in bacteria (DUF2247)', 157, NULL, 'DUF2247', 25629),
(81904, 'PF12831', NULL, 'FAD dependent oxidoreductase', 427, NULL, 'FAD_oxidored', 25630),
(81905, 'PF06020', NULL, 'Drosophila roughex protein', 365, NULL, 'Roughex', 25631),
(81906, 'PF08815', NULL, 'Nuclear receptor coactivator', 49, NULL, 'Nuc_rec_co-act', 25632),
(81907, 'PF08047', NULL, 'Histidine operon leader peptide', 16, NULL, 'His_leader', 25633),
(81908, 'PF05021', NULL, 'NPL4 family', 308, NULL, 'NPL4', 25634),
(81909, 'PF12194', NULL, 'Protein kinase Fus3-binding', 189, NULL, 'Ste5_C', 25635),
(81910, 'PF00800', NULL, 'Prephenate dehydratase', 183, NULL, 'PDT', 25636),
(81911, 'PF03299', NULL, 'Transcription factor AP-2', 197, NULL, 'TF_AP-2', 25637),
(81912, 'PF01337', NULL, 'Barstar (barnase inhibitor)', 79, NULL, 'Barstar', 25638),
(81913, 'PF09876', NULL, 'Predicted metal-binding protein (DUF2103)', 98, NULL, 'DUF2103', 25639),
(81914, 'PF19430', NULL, 'TBC1 domain family member 23 C-terminal', 226, NULL, 'TBC1D23_C', 25640),
(81915, 'PF00578', NULL, 'AhpC/TSA family', 124, NULL, 'AhpC-TSA', 25641),
(81916, 'PF07622', NULL, 'Protein of unknown function (DUF1583)', 411, NULL, 'DUF1583', 25642),
(81917, 'PF12227', NULL, 'Protein of unknown function (DUF3603)', 214, NULL, 'DUF3603', 25643),
(81918, 'PF14183', NULL, 'YwpF-like protein', 133, NULL, 'YwpF', 25644),
(81919, 'PF01663', NULL, 'Type I phosphodiesterase / nucleotide pyrophosphatase', 357, NULL, 'Phosphodiest', 25645),
(81920, 'PF09515', NULL, 'Thiamine transporter protein (Thia_YuaJ)', 177, NULL, 'Thia_YuaJ', 25646),
(81921, 'PF15880', NULL, 'NADH dehydrogenase [ubiquinone] flavoprotein 3, mitochondrial', 35, NULL, 'NDUFV3', 25647),
(81922, 'PF04086', NULL, 'Signal recognition particle, alpha subunit, N-terminal', 301, NULL, 'SRP-alpha_N', 25648),
(81923, 'PF14676', NULL, 'FANCI solenoid 2', 159, NULL, 'FANCI_S2', 25649),
(81924, 'PF19238', NULL, 'Radical SAM-like domain', 151, NULL, 'Radical_SAM_2', 25650),
(81925, 'PF18102', NULL, 'Deltex C-terminal domain', 133, NULL, 'DTC', 25651),
(81926, 'PF04901', NULL, 'Receptor activity modifying family', 110, NULL, 'RAMP', 25652),
(81927, 'PF07764', NULL, 'Omega Transcriptional Repressor', 69, NULL, 'Omega_Repress', 25653),
(81928, 'PF09907', NULL, 'HigB_toxin, RelE-like toxic component of a toxin-antitoxin system', 74, NULL, 'HigB_toxin', 25654),
(81929, 'PF02209', NULL, 'Villin headpiece domain', 36, NULL, 'VHP', 25655);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(81930, 'PF12705', NULL, 'PD-(D/E)XK nuclease superfamily', 255, NULL, 'PDDEXK_1', 25656),
(81931, 'PF13848', NULL, 'Thioredoxin-like domain', 185, NULL, 'Thioredoxin_6', 25657),
(81932, 'PF00692', NULL, 'dUTPase', 129, NULL, 'dUTPase', 25658),
(81933, 'PF11592', NULL, 'Central core of the bacterial effector protein AvrPto', 105, NULL, 'AvrPto', 25659),
(81934, 'PF18510', NULL, 'Nuclease domain', 160, NULL, 'NUC', 25660),
(81935, 'PF14781', NULL, 'Ciliary BBSome complex subunit 2, N-terminal', 106, NULL, 'BBS2_N', 25661),
(81936, 'PF13749', NULL, 'Putative ATP-dependent DNA helicase recG C-terminal', 88, NULL, 'HATPase_c_4', 25662),
(81937, 'PF10393', NULL, 'Trimeric coiled-coil oligomerisation domain of matrilin', 45, NULL, 'Matrilin_ccoil', 25663),
(81938, 'PF02264', NULL, 'LamB porin', 378, NULL, 'LamB', 25664),
(81939, 'PF00190', NULL, 'Cupin', 151, NULL, 'Cupin_1', 25665),
(81940, 'PF16988', NULL, 'Vacuolar protein sorting 36 NZF-N zinc-finger domain', 65, NULL, 'Vps36-NZF-N', 25666),
(81941, 'PF17918', NULL, 'Tetracyclin repressor-like, C-terminal domain', 108, NULL, 'TetR_C_15', 25667),
(81942, 'PF05547', NULL, 'Immune inhibitor A peptidase M6', 656, NULL, 'Peptidase_M6', 25668),
(81943, 'PF14476', NULL, 'Petal formation-expressed', 320, NULL, 'Chloroplast_duf', 25669),
(81944, 'PF01198', NULL, 'Ribosomal protein L31e', 82, NULL, 'Ribosomal_L31e', 25670),
(81945, 'PF13640', NULL, '2OG-Fe(II) oxygenase superfamily', 96, NULL, '2OG-FeII_Oxy_3', 25671),
(81946, 'PF00059', NULL, 'Lectin C-type domain', 109, NULL, 'Lectin_C', 25672),
(81947, 'PF01609', NULL, 'Transposase DDE domain', 214, NULL, 'DDE_Tnp_1', 25673),
(81948, 'PF10972', NULL, 'Peptidoglycan-binding protein, CsiV', 228, NULL, 'CsiV', 25674),
(81949, 'PF06573', NULL, 'Churchill protein', 111, NULL, 'Churchill', 25675),
(81950, 'PF14229', NULL, 'Domain of unknown function (DUF4332)', 122, NULL, 'DUF4332', 25676),
(81951, 'PF15081', NULL, 'Domain of unknown function (DUF4548)', 167, NULL, 'DUF4548', 25677),
(81952, 'PF19187', NULL, 'PafC helix-turn-helix domain', 115, NULL, 'HTH_PafC', 25678),
(81953, 'PF01206', NULL, 'Sulfurtransferase TusA', 70, NULL, 'TusA', 25679),
(81954, 'PF12926', NULL, 'Mitotic-spindle organizing gamma-tubulin ring associated', 90, NULL, 'MOZART2', 25680),
(81955, 'PF19464', NULL, 'Family of unknown function (DUF6001)', 359, NULL, 'DUF6001', 25681),
(81956, 'PF07591', NULL, 'Pretoxin HINT domain', 137, NULL, 'PT-HINT', 25682),
(81957, 'PF18986', NULL, 'Family of unknown function (DUF5719)', 319, NULL, 'DUF5719', 25683),
(81958, 'PF03712', NULL, 'Copper type II ascorbate-dependent monooxygenase, C-terminal domain', 157, NULL, 'Cu2_monoox_C', 25684),
(81959, 'PF08163', NULL, 'NUC194 domain', 389, NULL, 'NUC194', 25685),
(81960, 'PF09830', NULL, 'ATP adenylyltransferase C-terminal domain', 93, NULL, 'ATP_transf', 25686),
(81961, 'PF01584', NULL, 'CheW-like domain', 138, NULL, 'CheW', 25687),
(81962, 'PF07486', NULL, 'Cell Wall Hydrolase', 107, NULL, 'Hydrolase_2', 25688),
(81963, 'PF19224', NULL, 'pATOM36 family', 270, NULL, 'pATOM36', 25689),
(81964, 'PF15921', NULL, 'Coiled-coil domain-containing protein 158', 1112, NULL, 'CCDC158', 25690),
(81965, 'PF13334', NULL, 'Domain of unknown function (DUF4094)', 90, NULL, 'DUF4094', 25691),
(81966, 'PF13723', NULL, 'Beta-ketoacyl synthase, N-terminal domain', 226, NULL, 'Ketoacyl-synt_2', 25692),
(81967, 'PF06503', NULL, 'Protein of unknown function (DUF1101)', 360, NULL, 'DUF1101', 25693),
(81968, 'PF09211', NULL, 'Domain of unknown function (DUF1958)', 63, NULL, 'DUF1958', 25694),
(81969, 'PF16300', NULL, 'Type of WD40 repeat', 44, NULL, 'WD40_4', 25695),
(81970, 'PF00168', NULL, 'C2 domain', 103, NULL, 'C2', 25696),
(81971, 'PF07128', NULL, 'Protein of unknown function (DUF1380)', 137, NULL, 'DUF1380', 25697),
(81972, 'PF12537', NULL, 'The Golgi pH Regulator (GPHR) Family N-terminal', 68, NULL, 'GPHR_N', 25698),
(81973, 'PF04358', NULL, 'DsrC like protein', 107, NULL, 'DsrC', 25699),
(81974, 'PF01820', NULL, 'D-ala D-ala ligase N-terminus', 108, NULL, 'Dala_Dala_lig_N', 25700);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(81975, 'PF15795', NULL, 'Ectodermal ciliogenesis protein', 85, NULL, 'Spec3', 25701),
(81976, 'PF09879', NULL, 'Predicted membrane protein (DUF2106)', 151, NULL, 'DUF2106', 25702),
(81977, 'PF19896', NULL, 'Family of unknown function (DUF6369)', 412, NULL, 'DUF6369', 25703),
(81978, 'PF12634', NULL, 'Inheritance of peroxisomes protein 1', 137, NULL, 'Inp1', 25704),
(81979, 'PF00219', NULL, 'Insulin-like growth factor binding protein', 55, NULL, 'IGFBP', 25705),
(81980, 'PF17579', NULL, 'Family of unknown function (DUF5482)', 159, NULL, 'DUF5482', 25706),
(81981, 'PF14120', NULL, 'YhzD-like protein', 61, NULL, 'YhzD', 25707),
(81982, 'PF11412', NULL, 'Disulphide bond corrector protein DsbC', 120, NULL, 'DsbC', 25708),
(81983, 'PF04952', NULL, 'Succinylglutamate desuccinylase / Aspartoacylase family', 291, NULL, 'AstE_AspA', 25709),
(81984, 'PF17054', NULL, 'Microtubule-Associated protein Jupiter', 359, NULL, 'JUPITER', 25710),
(81985, 'PF19225', NULL, 'Spo16 protein', 165, NULL, 'Spo16', 25711),
(81986, 'PF06953', NULL, 'Arsenical resistance operon protein ArsD', 123, NULL, 'ArsD', 25712),
(81987, 'PF01177', NULL, 'Asp/Glu/Hydantoin racemase', 211, NULL, 'Asp_Glu_race', 25713),
(81988, 'PF14713', NULL, 'Domain of unknown function (DUF4464)', 223, NULL, 'DUF4464', 25714),
(81989, 'PF18542', NULL, 'Transcription factor IIB C-terminal module 1', 99, NULL, 'TFIIB_C_1', 25715),
(81990, 'PF13399', NULL, 'LytR cell envelope-related transcriptional attenuator', 85, NULL, 'LytR_C', 25716),
(81991, 'PF13344', NULL, 'Haloacid dehalogenase-like hydrolase', 101, NULL, 'Hydrolase_6', 25717),
(81992, 'PF19052', NULL, 'BMP/retinoic acid-inducible neural-specific protein', 448, NULL, 'BRINP', 25718),
(81993, 'PF07335', NULL, 'Fungal chitosanase of glycosyl hydrolase group 75', 163, NULL, 'Glyco_hydro_75', 25719),
(81994, 'PF15548', NULL, 'Domain of unknown function (DUF4655)', 525, NULL, 'DUF4655', 25720),
(81995, 'PF00226', NULL, 'DnaJ domain', 63, NULL, 'DnaJ', 25721),
(81996, 'PF10034', NULL, 'Q-cell neuroblast polarisation', 655, NULL, 'Dpy19', 25722),
(81997, 'PF07687', NULL, 'Peptidase dimerisation domain', 109, NULL, 'M20_dimer', 25723),
(81998, 'PF09348', NULL, 'Domain of unknown function (DUF1990)', 154, NULL, 'DUF1990', 25724),
(81999, 'PF16145', NULL, 'Domain of unknown function (DUF4853)', 135, NULL, 'DUF4853', 25725),
(82000, 'PF11011', NULL, 'Protein of unknown function (DUF2849)', 86, NULL, 'DUF2849', 25726),
(82001, 'PF02436', NULL, 'Conserved carboxylase domain', 201, NULL, 'PYC_OADA', 25727),
(82002, 'PF10985', NULL, 'Protein of unknown function (DUF2805)', 71, NULL, 'DUF2805', 25728),
(82003, 'PF06248', NULL, 'Centromere/kinetochore Zw10', 527, NULL, 'Zw10', 25729),
(82004, 'PF08832', NULL, 'Steroid receptor coactivator', 92, NULL, 'SRC-1', 25730),
(82005, 'PF10451', NULL, 'Telomere regulation protein Stn1', 252, NULL, 'Stn1', 25731),
(82006, 'PF15477', NULL, 'Small acidic protein family', 79, NULL, 'SMAP', 25732),
(82007, 'PF14604', NULL, 'Variant SH3 domain', 49, NULL, 'SH3_9', 25733),
(82008, 'PF01424', NULL, 'R3H domain', 60, NULL, 'R3H', 25734),
(82009, 'PF18389', NULL, 'TrmO C-terminal domain', 65, NULL, 'TrmO_C', 25735),
(82010, 'PF13864', NULL, 'Calmodulin-binding', 95, NULL, 'Enkurin', 25736),
(82011, 'PF13240', NULL, 'zinc-ribbon domain', 23, NULL, 'zinc_ribbon_2', 25737),
(82012, 'PF02433', NULL, 'Cytochrome C oxidase, mono-heme subunit/FixO', 218, NULL, 'FixO', 25738),
(82013, 'PF10304', NULL, 'Required for nuclear transport of RNA pol II C-terminus 2', 34, NULL, 'RTP1_C2', 25739),
(82014, 'PF12406', NULL, 'Surface protein', 99, NULL, 'DUF3664', 25740),
(82015, 'PF13584', NULL, 'BatD DUF11 like domain', 91, NULL, 'BatD', 25741),
(82016, 'PF13140', NULL, 'Domain of unknown function (DUF3980)', 87, NULL, 'DUF3980', 25742),
(82017, 'PF14957', NULL, 'Cdc42 effector', 130, NULL, 'BORG_CEP', 25743),
(82018, 'PF17412', NULL, 'Family of unknown function', 55, NULL, 'VraX', 25744),
(82019, 'PF12929', NULL, 'Stretch-activated Ca2+-permeable channel component', 426, NULL, 'Mid1', 25745);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(82020, 'PF09445', NULL, 'RNA cap guanine-N2 methyltransferase', 165, NULL, 'Methyltransf_15', 25746),
(82021, 'PF00338', NULL, 'Ribosomal protein S10p/S20e', 98, NULL, 'Ribosomal_S10', 25747),
(82022, 'PF19087', NULL, 'Domain of unknown function (DUF5776)', 68, NULL, 'DUF5776', 25748),
(82023, 'PF05009', NULL, 'Epstein-Barr virus nuclear antigen 3 (EBNA-3)', 254, NULL, 'EBV-NA3', 25749),
(82024, 'PF20030', NULL, 'MoxR domain in the MoxR-vWA-beta-propeller ternary systems', 205, NULL, 'bpMoxR', 25750),
(82025, 'PF03119', NULL, 'NAD-dependent DNA ligase C4 zinc finger domain', 27, NULL, 'DNA_ligase_ZBD', 25751),
(82026, 'PF10577', NULL, 'Uncharacterised protein family UPF0560', 814, NULL, 'UPF0560', 25752),
(82027, 'PF16639', NULL, 'Apocytochrome F, N-terminal', 155, NULL, 'Apocytochr_F_N', 25753),
(82028, 'PF10604', NULL, 'Polyketide cyclase / dehydrase and lipid transport', 142, NULL, 'Polyketide_cyc2', 25754),
(82029, 'PF19834', NULL, 'Family of unknown function (DUF6314)', 134, NULL, 'DUF6314', 25755),
(82030, 'PF11668', NULL, 'HCMV glycoprotein pUL130', 159, NULL, 'Gp_UL130', 25756),
(82031, 'PF01006', NULL, 'Hepatitis C virus non-structural protein NS4a', 56, NULL, 'HCV_NS4a', 25757),
(82032, 'PF18565', NULL, 'Glycoside hydrolase family 2 C-terminal domain 5', 103, NULL, 'Glyco_hydro2_C5', 25758),
(82033, 'PF04883', NULL, 'Bacteriophage HK97-gp10, putative tail-component', 81, NULL, 'HK97-gp10_like', 25759),
(82034, 'PF10284', NULL, 'Luciferase helical bundle domain', 66, NULL, 'Luciferase_3H', 25760),
(82035, 'PF04612', NULL, 'Type II secretion system (T2SS), protein M', 160, NULL, 'T2SSM', 25761),
(82036, 'PF19533', NULL, 'Rab3 GTPase-activating protein catalytic subunit C-terminal', 204, NULL, 'Rab3-GAP_cat_C', 25762),
(82037, 'PF10624', NULL, 'Plasmid conjugative transfer entry exclusion protein TraS', 162, NULL, 'TraS', 25763),
(82038, 'PF10447', NULL, 'Exosome component EXOSC1/CSL4', 109, NULL, 'EXOSC1', 25764),
(82039, 'PF05472', NULL, 'DNA replication terminus site-binding protein (Ter protein)', 295, NULL, 'Ter', 25765),
(82040, 'PF12132', NULL, 'Protein of unknown function (DUF3587)', 201, NULL, 'DUF3587', 25766),
(82041, 'PF05856', NULL, 'ARP2/3 complex 20 kDa subunit (ARPC4)', 168, NULL, 'ARPC4', 25767),
(82042, 'PF17001', NULL, 'Type III secretion basal body protein I, YscI, HrpB, PscI', 100, NULL, 'T3SS_basalb_I', 25768),
(82043, 'PF14359', NULL, 'Domain of unknown function (DUF4406)', 91, NULL, 'DUF4406', 25769),
(82044, 'PF16148', NULL, 'Domain of unknown function (DUF4856)', 362, NULL, 'DUF4856', 25770),
(82045, 'PF01284', NULL, 'Membrane-associating domain', 144, NULL, 'MARVEL', 25771),
(82046, 'PF03880', NULL, 'DbpA RNA binding domain', 72, NULL, 'DbpA', 25772),
(82047, 'PF09575', NULL, 'Small spore protein J (Spore_SspJ)', 46, NULL, 'Spore_SspJ', 25773),
(82048, 'PF11593', NULL, 'Mediator complex subunit 3 fungal', 398, NULL, 'Med3', 25774),
(82049, 'PF16012', NULL, 'Domain of unknown function (DUF4780)', 177, NULL, 'DUF4780', 25775),
(82050, 'PF06270', NULL, 'Protein of unknown function (DUF1030)', 53, NULL, 'DUF1030', 25776),
(82051, 'PF18660', NULL, 'Tsi6', 83, NULL, 'Tsi6', 25777),
(82052, 'PF07730', NULL, 'Histidine kinase', 68, NULL, 'HisKA_3', 25778),
(82053, 'PF16554', NULL, 'Dimerisation domain of d-ornithine 4,5-aminomutase', 78, NULL, 'OAM_dimer', 25779),
(82054, 'PF16016', NULL, 'VAD1 Analog of StAR-related lipid transfer domain', 151, NULL, 'VASt', 25780),
(82055, 'PF02162', NULL, 'XYPPX repeat (two copies)', 15, NULL, 'XYPPX', 25781),
(82056, 'PF12751', NULL, 'Vacuolar segregation subunit 7', 379, NULL, 'Vac7', 25782),
(82057, 'PF07887', NULL, 'Calmodulin binding protein-like', 292, NULL, 'Calmodulin_bind', 25783),
(82058, 'PF08222', NULL, 'CodY helix-turn-helix domain', 61, NULL, 'HTH_CodY', 25784),
(82059, 'PF19509', NULL, 'Family of unknown function (DUF6043)', 314, NULL, 'DUF6043', 25785),
(82060, 'PF05345', NULL, 'Putative Ig domain', 96, NULL, 'He_PIG', 25786),
(82061, 'PF11699', NULL, 'Mif2/CENP-C like', 85, NULL, 'CENP-C_C', 25787),
(82062, 'PF14349', NULL, 'Motility related/secretion protein', 508, NULL, 'SprA_N', 25788);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(82063, 'PF00916', NULL, 'Sulfate permease family', 380, NULL, 'Sulfate_transp', 25789),
(82064, 'PF01542', NULL, 'Hepatitis C virus core protein', 75, NULL, 'HCV_core', 25790),
(82065, 'PF18807', NULL, 'Tripartite Tc toxins repeat', 45, NULL, 'TTc_toxin_rep', 25791),
(82066, 'PF19893', NULL, 'Family of unknown function (DUF6366)', 69, NULL, 'DUF6366', 25792),
(82067, 'PF09581', NULL, 'Stage III sporulation protein AF (Spore_III_AF)', 189, NULL, 'Spore_III_AF', 25793),
(82068, 'PF00311', NULL, 'Phosphoenolpyruvate carboxylase', 920, NULL, 'PEPcase', 25794),
(82069, 'PF00634', NULL, 'BRCA2 repeat', 29, NULL, 'BRCA2', 25795),
(82070, 'PF02395', NULL, 'Immunoglobulin A1 protease', 833, NULL, 'Peptidase_S6', 25796),
(82071, 'PF08512', NULL, 'Histone chaperone Rttp106-like', 88, NULL, 'Rtt106', 25797),
(82072, 'PF16065', NULL, 'Domain of unknown function (DUF4807)', 126, NULL, 'DUF4807', 25798),
(82073, 'PF05580', NULL, 'SpoIVB peptidase S55', 210, NULL, 'Peptidase_S55', 25799),
(82074, 'PF07775', NULL, 'PaRep2b protein', 512, NULL, 'PaRep2b', 25800),
(82075, 'PF05299', NULL, 'M61 glycyl aminopeptidase', 118, NULL, 'Peptidase_M61', 25801),
(82076, 'PF18683', NULL, 'Chitinase W immunoglobulin-like domain', 106, NULL, 'ChiW_Ig_like', 25802),
(82077, 'PF11556', NULL, 'Erythrocyte binding antigen 175', 81, NULL, 'EBA-175_VI', 25803),
(82078, 'PF16320', NULL, 'Ribosomal protein L7/L12 dimerisation domain', 48, NULL, 'Ribosomal_L12_N', 25804),
(82079, 'PF10787', NULL, 'Uncharacterised protein from bacillus cereus group', 142, NULL, 'YfmQ', 25805),
(82080, 'PF07282', NULL, 'Putative transposase DNA-binding domain', 69, NULL, 'OrfB_Zn_ribbon', 25806),
(82081, 'PF01637', NULL, 'ATPase domain predominantly from Archaea', 233, NULL, 'ATPase_2', 25807),
(82082, 'PF18650', NULL, 'Immunomodulating metalloprotease N-terminal domain', 200, NULL, 'IMPa_N_2', 25808),
(82083, 'PF03372', NULL, 'Endonuclease/Exonuclease/phosphatase family', 237, NULL, 'Exo_endo_phos', 25809),
(82084, 'PF11358', NULL, 'Protein of unknown function (DUF3158)', 156, NULL, 'DUF3158', 25810),
(82085, 'PF04380', NULL, 'Membrane fusogenic activity', 77, NULL, 'BMFP', 25811),
(82086, 'PF02204', NULL, 'Vacuolar sorting protein 9 (VPS9) domain', 104, NULL, 'VPS9', 25812),
(82087, 'PF07970', NULL, 'Endoplasmic reticulum vesicle transporter', 228, NULL, 'COPIIcoated_ERV', 25813),
(82088, 'PF00813', NULL, 'FliP family', 191, NULL, 'FliP', 25814),
(82089, 'PF03068', NULL, 'Protein-arginine deiminase (PAD)', 393, NULL, 'PAD', 25815),
(82090, 'PF02563', NULL, 'Polysaccharide biosynthesis/export protein', 82, NULL, 'Poly_export', 25816),
(82091, 'PF00819', NULL, 'Myotoxin, crotamine', 43, NULL, 'Myotoxins', 25817),
(82092, 'PF04710', NULL, 'Pellino', 411, NULL, 'Pellino', 25818),
(82093, 'PF05282', NULL, 'AAR2 protein', 369, NULL, 'AAR2', 25819),
(82094, 'PF07102', NULL, 'Protein of unknown function (DUF1364)', 92, NULL, 'DUF1364', 25820),
(82095, 'PF17092', NULL, 'Penicillin-binding protein OB-like domain', 112, NULL, 'PCB_OB', 25821),
(82096, 'PF20100', NULL, 'Family of unknown function (DUF6490)', 127, NULL, 'DUF6490', 25822),
(82097, 'PF14765', NULL, 'Polyketide synthase dehydratase', 297, NULL, 'PS-DH', 25823),
(82098, 'PF19713', NULL, 'Family of unknown function (DUF6208)', 316, NULL, 'DUF6208', 25824),
(82099, 'PF01051', NULL, 'Initiator Replication protein', 222, NULL, 'Rep_3', 25825),
(82100, 'PF15555', NULL, 'Domain of unknown function (DUF4658)', 123, NULL, 'DUF4658', 25826),
(82101, 'PF06501', NULL, 'Human herpesvirus U55 protein', 432, NULL, 'Herpes_U55', 25827),
(82102, 'PF14531', NULL, 'Kinase-like', 288, NULL, 'Kinase-like', 25828),
(82103, 'PF01595', NULL, 'Cyclin M transmembrane N-terminal domain', 179, NULL, 'DUF21', 25829),
(82104, 'PF12439', NULL, 'Glycogen debranching enzyme N terminal', 219, NULL, 'GDE_N', 25830),
(82105, 'PF04071', NULL, 'Cysteine-rich small domain', 82, NULL, 'zf-like', 25831),
(82106, 'PF15009', NULL, 'Transmembrane protein 173', 293, NULL, 'TMEM173', 25832),
(82107, 'PF15343', NULL, 'Decidual protein induced by progesterone family', 188, NULL, 'DEPP', 25833);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(82108, 'PF09442', NULL, 'Domain of unknown function (DUF2018)', 82, NULL, 'DUF2018', 25834),
(82109, 'PF06458', NULL, 'MucBP domain', 63, NULL, 'MucBP', 25835),
(82110, 'PF09729', NULL, 'Gti1/Pac2 family', 181, NULL, 'Gti1_Pac2', 25836),
(82111, 'PF12723', NULL, 'Protein of unknown function (DUF3809)', 137, NULL, 'DUF3809', 25837),
(82112, 'PF01648', NULL, '4''-phosphopantetheinyl transferase superfamily', 114, NULL, 'ACPS', 25838),
(82113, 'PF17577', NULL, 'ECORI-T site', 109, NULL, 'ETM', 25839),
(82114, 'PF08064', NULL, 'UME (NUC010) domain', 102, NULL, 'UME', 25840),
(82115, 'PF12615', NULL, 'F sex factor protein N terminal', 92, NULL, 'TraD_N', 25841),
(82116, 'PF08945', NULL, 'Bcl-x interacting, BH3 domain', 38, NULL, 'Bclx_interact', 25842),
(82117, 'PF13001', NULL, 'Proteasome stabiliser', 498, NULL, 'Ecm29', 25843),
(82118, 'PF16578', NULL, 'Interleukin 17 receptor D', 105, NULL, 'IL17R_fnIII_D2', 25844),
(82119, 'PF10466', NULL, 'Saccharopepsin inhibitor I34', 69, NULL, 'Inhibitor_I34', 25845),
(82120, 'PF08032', NULL, 'RNA 2''-O ribose methyltransferase substrate binding', 76, NULL, 'SpoU_sub_bind', 25846),
(82121, 'PF18573', NULL, 'BclA C-terminal domain', 128, NULL, 'BclA_C', 25847),
(82122, 'PF03829', NULL, 'PTS system glucitol/sorbitol-specific IIA component', 113, NULL, 'PTSIIA_gutA', 25848),
(82123, 'PF05204', NULL, 'Homing endonuclease', 110, NULL, 'Hom_end', 25849),
(82124, 'PF15084', NULL, 'Domain of unknown function (DUF4550)', 95, NULL, 'DUF4550', 25850),
(82125, 'PF06141', NULL, 'Phage minor tail protein U', 130, NULL, 'Phage_tail_U', 25851),
(82126, 'PF17106', NULL, 'Sigma domain on NACHT-NTPases', 42, NULL, 'NACHT_sigma', 25852),
(82127, 'PF04303', NULL, 'PrpF protein', 384, NULL, 'PrpF', 25853),
(82128, 'PF17764', NULL, '3''DNA-binding domain (3''BD)', 96, NULL, 'PriA_3primeBD', 25854),
(82129, 'PF00073', NULL, 'picornavirus capsid protein', 171, NULL, 'Rhv', 25855),
(82130, 'PF01876', NULL, 'RNase P subunit p30', 215, NULL, 'RNase_P_p30', 25856),
(82131, 'PF04257', NULL, 'Exodeoxyribonuclease V, gamma subunit', 764, NULL, 'Exonuc_V_gamma', 25857),
(82132, 'PF12824', NULL, 'Mitochondrial ribosomal protein subunit L20', 164, NULL, 'MRP-L20', 25858),
(82133, 'PF06074', NULL, 'Protein of unknown function (DUF935)', 520, NULL, 'DUF935', 25859),
(82134, 'PF13580', NULL, 'SIS domain', 138, NULL, 'SIS_2', 25860),
(82135, 'PF03929', NULL, 'PepSY-associated TM region', 288, NULL, 'PepSY_TM', 25861),
(82136, 'PF10948', NULL, 'Protein of unknown function (DUF2635)', 46, NULL, 'DUF2635', 25862),
(82137, 'PF02943', NULL, 'Ferredoxin thioredoxin reductase catalytic beta chain', 106, NULL, 'FeThRed_B', 25863),
(82138, 'PF12193', NULL, 'Sulfolobus virus coat protein C terminal', 134, NULL, 'Sulf_coat_C', 25864),
(82139, 'PF19854', NULL, 'Family of unknown function (DUF6329)', 56, NULL, 'DUF6329', 25865),
(82140, 'PF02123', NULL, 'Viral RNA-directed RNA-polymerase', 479, NULL, 'RdRP_4', 25866),
(82141, 'PF11139', NULL, 'Sap, sulfolipid-1-addressing protein', 214, NULL, 'SfLAP', 25867),
(82142, 'PF05975', NULL, 'Bacterial ABC transporter protein EcsB', 383, NULL, 'EcsB', 25868),
(82143, 'PF10417', NULL, 'C-terminal domain of 1-Cys peroxiredoxin', 40, NULL, '1-cysPrx_C', 25869),
(82144, 'PF12421', NULL, 'Fibronectin type III protein', 133, NULL, 'DUF3672', 25870),
(82145, 'PF17564', NULL, 'Family of unknown function (DUF5470)', 73, NULL, 'DUF5470', 25871),
(82146, 'PF19321', NULL, 'BTB/POZ domain-containing protein KCTD18 C-terminus', 308, NULL, 'KCTD18_C', 25872),
(82147, 'PF13284', NULL, 'Domain of unknown function (DUF4072)', 46, NULL, 'DUF4072', 25873),
(82148, 'PF03385', NULL, 'STELLO glycosyltransferases', 387, NULL, 'STELLO', 25874),
(82149, 'PF14684', NULL, 'Tricorn protease C1 domain', 70, NULL, 'Tricorn_C1', 25875),
(82150, 'PF16553', NULL, 'BCORL-PCGF1-binding domain', 114, NULL, 'PUFD', 25876),
(82151, 'PF20037', NULL, 'Family of unknown function (DUF6440)', 53, NULL, 'DUF6440', 25877),
(82152, 'PF09920', NULL, 'Uncharacterized protein conserved in archaea (DUF2150)', 189, NULL, 'DUF2150', 25878);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(82153, 'PF03440', NULL, 'Aerolysin/Pertussis toxin (APT) domain', 87, NULL, 'APT', 25879),
(82154, 'PF08147', NULL, 'DBP10CT (NUC160) domain', 67, NULL, 'DBP10CT', 25880),
(82155, 'PF11423', NULL, 'Regulatory protein Mnt', 28, NULL, 'Repressor_Mnt', 25881),
(82156, 'PF17189', NULL, 'Glycosyl hydrolase family 30 beta sandwich domain', 65, NULL, 'Glyco_hydro_30C', 25882),
(82157, 'PF18893', NULL, 'Family of unknown function (DUF5652)', 71, NULL, 'DUF5652', 25883),
(82158, 'PF11988', NULL, 'Retrograde transport protein Dsl1 N terminal', 352, NULL, 'Dsl1_N', 25884),
(82159, 'PF13169', NULL, 'Poxvirus B22R protein N-terminal', 89, NULL, 'Poxvirus_B22R_N', 25885),
(82160, 'PF17755', NULL, 'UvrA DNA-binding domain', 111, NULL, 'UvrA_DNA-bind', 25886),
(82161, 'PF03205', NULL, 'Molybdopterin guanine dinucleotide synthesis protein B', 134, NULL, 'MobB', 25887),
(82162, 'PF09988', NULL, 'Uncharacterized metal-binding protein (DUF2227)', 167, NULL, 'DUF2227', 25888),
(82163, 'PF17611', NULL, 'Family of unknown function (DUF5506)', 161, NULL, 'DUF5506', 25889),
(82164, 'PF13293', NULL, 'Domain of unknown function (DUF4074)', 63, NULL, 'DUF4074', 25890),
(82165, 'PF18914', NULL, 'Domain of unknown function (DUF5666)', 61, NULL, 'DUF5666', 25891),
(82166, 'PF17464', NULL, 'Non-structural protein 11 and 12', 203, NULL, 'Pns11_12', 25892),
(82167, 'PF02562', NULL, 'PhoH-like protein', 205, NULL, 'PhoH', 25893),
(82168, 'PF11986', NULL, 'Influenza A Proapoptotic protein', 87, NULL, 'PB1-F2', 25894),
(82169, 'PF09943', NULL, 'Uncharacterized protein conserved in archaea (DUF2175)', 98, NULL, 'DUF2175', 25895),
(82170, 'PF13748', NULL, 'ABC transporter transmembrane region', 235, NULL, 'ABC_membrane_3', 25896),
(82171, 'PF07989', NULL, 'Centrosomin N-terminal motif 1', 73, NULL, 'Cnn_1N', 25897),
(82172, 'PF10568', NULL, 'Outer mitochondrial membrane transport complex protein', 125, NULL, 'Tom37', 25898),
(82173, 'PF05721', NULL, 'Phytanoyl-CoA dioxygenase (PhyH)', 211, NULL, 'PhyH', 25899),
(82174, 'PF01583', NULL, 'Adenylylsulphate kinase', 158, NULL, 'APS_kinase', 25900),
(82175, 'PF06673', NULL, 'Lactococcus lactis bacteriophage major capsid protein', 347, NULL, 'L_lactis_ph-MCP', 25901),
(82176, 'PF17277', NULL, 'Family of unknown function (DUF5342)', 69, NULL, 'DUF5342', 25902),
(82177, 'PF14727', NULL, 'PTHB1 N-terminus', 414, NULL, 'PHTB1_N', 25903),
(82178, 'PF19806', NULL, 'Family of unknown function (DUF6289)', 43, NULL, 'DUF6289', 25904),
(82179, 'PF03627', NULL, 'PapG carbohydrate binding domain', 226, NULL, 'PapG_N', 25905),
(82180, 'PF17752', NULL, 'Burkholderia lethal factor 1', 210, NULL, 'BLF1', 25906),
(82181, 'PF05325', NULL, 'Protein of unknown function (DUF730)', 122, NULL, 'DUF730', 25907),
(82182, 'PF09776', NULL, 'Mitochondrial ribosomal protein L55', 116, NULL, 'Mitoc_L55', 25908),
(82183, 'PF05834', NULL, 'Lycopene cyclase protein', 380, NULL, 'Lycopene_cycl', 25909),
(82184, 'PF08027', NULL, 'Albumin I chain b', 35, NULL, 'Albumin_I', 25910),
(82185, 'PF16402', NULL, 'Domain of unknown function (DUF5010)', 341, NULL, 'DUF5010', 25911),
(82186, 'PF03535', NULL, 'Paxillin family', 201, NULL, 'Paxillin', 25912),
(82187, 'PF06603', NULL, 'UpxZ family of transcription anti-terminator antagonists', 105, NULL, 'UpxZ', 25913),
(82188, 'PF11122', NULL, 'Inner spore coat protein D', 99, NULL, 'Spore-coat_CotD', 25914),
(82189, 'PF14131', NULL, 'Domain of unknown function (DUF4298)', 87, NULL, 'DUF4298', 25915),
(82190, 'PF00343', NULL, 'Carbohydrate phosphorylase', 713, NULL, 'Phosphorylase', 25916),
(82191, 'PF02389', NULL, 'Cornifin (SPRR) family', 135, NULL, 'Cornifin', 25917),
(82192, 'PF03508', NULL, 'Gap junction alpha-1 protein (Cx43)', 79, NULL, 'Connexin43', 25918),
(82193, 'PF12155', NULL, 'NADH dehydrogenase subunit 2 N-terminal', 88, NULL, 'NADHdh-2_N', 25919),
(82194, 'PF13892', NULL, 'DNA-binding domain', 134, NULL, 'DBINO', 25920),
(82195, 'PF07881', NULL, 'L-fucose isomerase, first N-terminal domain', 169, NULL, 'Fucose_iso_N1', 25921),
(82196, 'PF12080', NULL, 'GldM C-terminal domain', 172, NULL, 'GldM_C', 25922); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(82197, 'PF14946', NULL, 'Domain of unknown function (DUF4501)', 177, NULL, 'DUF4501', 25923),
(82198, 'PF17120', NULL, 'Zinc-ribbon, C4HC2 type', 58, NULL, 'Zn_ribbon_17', 25924),
(82199, 'PF00150', NULL, 'Cellulase (glycosyl hydrolase family 5)', 281, NULL, 'Cellulase', 25925),
(82200, 'PF06616', NULL, 'BsuBI/PstI restriction endonuclease domain', 154, NULL, 'BsuBI_PstI_RE', 25926),
(82201, 'PF13746', NULL, '4Fe-4S dicluster domain', 114, NULL, 'Fer4_18', 25927),
(82202, 'PF10937', NULL, 'Ribosomal protein S36, mitochondrial', 115, NULL, 'S36_mt', 25928),
(82203, 'PF01841', NULL, 'Transglutaminase-like superfamily', 112, NULL, 'Transglut_core', 25929),
(82204, 'PF09801', NULL, 'Integral membrane protein S linking to the trans Golgi network', 144, NULL, 'SYS1', 25930),
(82205, 'PF14944', NULL, 'Tongue Cancer Chemotherapy Resistant Protein 1', 243, NULL, 'TCRP1', 25931),
(82206, 'PF00688', NULL, 'TGF-beta propeptide', 224, NULL, 'TGFb_propeptide', 25932),
(82207, 'PF01272', NULL, 'Transcription elongation factor, GreA/GreB, C-term', 77, NULL, 'GreA_GreB', 25933),
(82208, 'PF06800', NULL, 'Sugar transport protein', 280, NULL, 'Sugar_transport', 25934),
(82209, 'PF04166', NULL, 'Pyridoxal phosphate biosynthetic protein PdxA', 282, NULL, 'PdxA', 25935),
(82210, 'PF09363', NULL, 'XFP C-terminal domain', 202, NULL, 'XFP_C', 25936),
(82211, 'PF06537', NULL, 'Di-haem oxidoreductase, putative peroxidase', 486, NULL, 'DHOR', 25937),
(82212, 'PF02145', NULL, 'Rap/ran-GAP', 185, NULL, 'Rap_GAP', 25938),
(82213, 'PF10852', NULL, 'Protein of unknown function (DUF2651)', 73, NULL, 'DUF2651', 25939),
(82214, 'PF11976', NULL, 'Ubiquitin-2 like Rad60 SUMO-like', 72, NULL, 'Rad60-SLD', 25940),
(82215, 'PF15308', NULL, 'CEP170 C-terminus', 682, NULL, 'CEP170_C', 25941),
(82216, 'PF17548', NULL, 'Histone-like Protein p6', 76, NULL, 'p6', 25942),
(82217, 'PF19244', NULL, 'Poly(A) polymerase catalytic subunit', 131, NULL, 'Poly_A_pol_cat', 25943),
(82218, 'PF07566', NULL, 'Domain of Unknown Function (DUF1543)', 52, NULL, 'DUF1543', 25944),
(82219, 'PF08471', NULL, 'Class II vitamin B12-dependent ribonucleotide reductase', 99, NULL, 'Ribonuc_red_2_N', 25945),
(82220, 'PF04750', NULL, 'FAR-17a/AIG1-like protein', 202, NULL, 'Far-17a_AIG1', 25946),
(82221, 'PF15022', NULL, 'Protein of unknown function (DUF4522)', 117, NULL, 'DUF4522', 25947),
(82222, 'PF09411', NULL, 'Lipid A 3-O-deacylase (PagL)', 134, NULL, 'PagL', 25948),
(82223, 'PF01087', NULL, 'Galactose-1-phosphate uridyl transferase, N-terminal domain', 184, NULL, 'GalP_UDP_transf', 25949),
(82224, 'PF03585', NULL, 'Herpesvirus ICP4-like protein C-terminal region', 444, NULL, 'Herpes_ICP4_C', 25950),
(82225, 'PF12335', NULL, 'Myotubularin protein', 227, NULL, 'SBF2', 25951),
(82226, 'PF18486', NULL, 'PNGase/UBA- or UBX-containing domain', 64, NULL, 'PUB_1', 25952),
(82227, 'PF01646', NULL, 'Herpes virus proteins UL24 and UL76', 177, NULL, 'Herpes_UL24', 25953),
(82228, 'PF16926', NULL, 'Archaeal 4TM region of histidine kinase', 164, NULL, 'HisKA_4TM', 25954),
(82229, 'PF18014', NULL, 'Acetyltransferase (GNAT) domain', 123, NULL, 'Acetyltransf_18', 25955),
(82230, 'PF16053', NULL, 'Mitochondrial 28S ribosomal protein S34', 130, NULL, 'MRP-S34', 25956),
(82231, 'PF11306', NULL, 'Protein of unknown function (DUF3108)', 225, NULL, 'DUF3108', 25957),
(82232, 'PF02952', NULL, 'L-fucose isomerase, C-terminal domain', 143, NULL, 'Fucose_iso_C', 25958),
(82233, 'PF14057', NULL, 'GGGtGRT protein', 327, NULL, 'GGGtGRT', 25959),
(82234, 'PF05535', NULL, 'Chromadorea ALT protein', 80, NULL, 'Chromadorea_ALT', 25960),
(82235, 'PF12892', NULL, 'Spy0128-like isopeptide containing domain', 121, NULL, 'FctA', 25961),
(82236, 'PF07948', NULL, 'Nairovirus M polyprotein-like', 644, NULL, 'Nairovirus_M', 25962),
(82237, 'PF11582', NULL, 'Protein of unknown function (DUF3240)', 102, NULL, 'DUF3240', 25963),
(82238, 'PF08624', NULL, 'Chromatin remodelling complex Rsc7/Swp82 subunit', 135, NULL, 'CRC_subunit', 25964),
(82239, 'PF09046', NULL, 'AvrPtoB E3 ubiquitin ligase', 126, NULL, 'AvrPtoB-E3_ubiq', 25965);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(82240, 'PF09937', NULL, 'Uncharacterized protein conserved in bacteria (DUF2169)', 294, NULL, 'DUF2169', 25966),
(82241, 'PF02459', NULL, 'Adenoviral DNA terminal protein', 557, NULL, 'Adeno_terminal', 25967),
(82242, 'PF16253', NULL, 'Domain of unknown function (DUF4909)', 127, NULL, 'DUF4909', 25968),
(82243, 'PF14048', NULL, 'C-terminal domain of methyl-CpG binding protein 2 and 3', 94, NULL, 'MBD_C', 25969),
(82244, 'PF11742', NULL, 'Protein of unknown function (DUF3302)', 77, NULL, 'DUF3302', 25970),
(82245, 'PF16840', NULL, 'Actin-like protein 7A N-terminus', 65, NULL, 'ACTL7A_N', 25971),
(82246, 'PF03750', NULL, 'Csm2 Type III-A', 115, NULL, 'Csm2_III-A', 25972),
(82247, 'PF04149', NULL, 'Domain of unknown function (DUF397)', 54, NULL, 'DUF397', 25973),
(82248, 'PF18948', NULL, 'Family of unknown function (DUF5692)', 305, NULL, 'DUF5692', 25974),
(82249, 'PF00296', NULL, 'Luciferase-like monooxygenase', 314, NULL, 'Bac_luciferase', 25975),
(82250, 'PF15246', NULL, 'Nck-associated protein 5, Peripheral clock protein', 310, NULL, 'NCKAP5', 25976),
(82251, 'PF19272', NULL, 'Acid sphingomyelin phosphodiesterase C-terminal region', 143, NULL, 'ASMase_C', 25977),
(82252, 'PF08450', NULL, 'SMP-30/Gluconolactonase/LRE-like region', 246, NULL, 'SGL', 25978),
(82253, 'PF06820', NULL, 'Putative prophage tail fibre C-terminus', 64, NULL, 'Phage_fiber_C', 25979),
(82254, 'PF09489', NULL, 'Probable cobalt transporter subunit (CbtB)', 51, NULL, 'CbtB', 25980),
(82255, 'PF12025', NULL, 'Phage protein C', 68, NULL, 'Phage_C', 25981),
(82256, 'PF07138', NULL, 'Protein of unknown function (DUF1386)', 334, NULL, 'DUF1386', 25982),
(82257, 'PF14862', NULL, 'Big defensin', 58, NULL, 'Defensin_big', 25983),
(82258, 'PF03963', NULL, 'Flagellar hook capping protein - N-terminal region', 75, NULL, 'FlgD', 25984),
(82259, 'PF13907', NULL, 'Domain of unknown function (DUF4208)', 96, NULL, 'DUF4208', 25985),
(82260, 'PF09751', NULL, 'Nuclear protein Es2', 429, NULL, 'Es2', 25986),
(82261, 'PF18753', NULL, 'Nucleotide modification associated domain 2', 201, NULL, 'Nmad2', 25987),
(82262, 'PF09333', NULL, 'Autophagy-related protein C terminal domain', 96, NULL, 'ATG_C', 25988),
(82263, 'PF02823', NULL, 'ATP synthase, Delta/Epsilon chain, beta-sandwich domain', 80, NULL, 'ATP-synt_DE_N', 25989),
(82264, 'PF19540', NULL, 'Family of unknown function (DUF6064)', 210, NULL, 'DUF6064', 25990),
(82265, 'PF17503', NULL, 'Family of unknown function (DUF5435)', 205, NULL, 'DUF5435', 25991),
(82266, 'PF00938', NULL, 'Lipoprotein', 86, NULL, 'Lipoprotein_3', 25992),
(82267, 'PF14503', NULL, 'YhfZ C-terminal domain', 236, NULL, 'YhfZ_C', 25993),
(82268, 'PF15137', NULL, 'Domain of unknown function (DUF4571)', 218, NULL, 'DUF4571', 25994),
(82269, 'PF12891', NULL, 'Glycoside hydrolase family 44', 231, NULL, 'Glyco_hydro_44', 25995),
(82270, 'PF14151', NULL, 'YfhD-like protein', 59, NULL, 'YfhD', 25996),
(82271, 'PF19023', NULL, 'Family of unknown function (DUF5749)', 78, NULL, 'DUF5749', 25997),
(82272, 'PF09475', NULL, 'Dot/Icm secretion system protein (dot_icm_IcmQ)', 179, NULL, 'Dot_icm_IcmQ', 25998),
(82273, 'PF13227', NULL, 'Protein of unknown function (DUF4035)', 55, NULL, 'DUF4035', 25999),
(82274, 'PF16265', NULL, 'Domain of unknown function (DUF4918)', 225, NULL, 'DUF4918', 26000),
(82275, 'PF08619', NULL, 'Alkali metal cation/H+ antiporter Nha1 C terminus', 466, NULL, 'Nha1_C', 26001),
(82276, 'PF01398', NULL, 'JAB1/Mov34/MPN/PAD-1 ubiquitin protease', 118, NULL, 'JAB', 26002),
(82277, 'PF10785', NULL, 'NADH-ubiquinone oxidoreductase complex I, 21 kDa subunit', 82, NULL, 'NADH-u_ox-rdase', 26003),
(82278, 'PF10609', NULL, 'NUBPL iron-transfer P-loop NTPase', 246, NULL, 'ParA', 26004),
(82279, 'PF12756', NULL, 'C2H2 type zinc-finger (2 copies)', 101, NULL, 'zf-C2H2_2', 26005),
(82280, 'PF17540', NULL, 'Family of unknown function (DUF5457)', 89, NULL, 'DUF5457', 26006),
(82281, 'PF16073', NULL, 'Starter unit:ACP transacylase in aflatoxin biosynthesis', 240, NULL, 'SAT', 26007),
(82282, 'PF03874', NULL, 'RNA polymerase Rpb4', 125, NULL, 'RNA_pol_Rpb4', 26008); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(82283, 'PF01853', NULL, 'MOZ/SAS family', 180, NULL, 'MOZ_SAS', 26009),
(82284, 'PF04778', NULL, 'LMP repeated region', 157, NULL, 'LMP', 26010),
(82285, 'PF14554', NULL, 'VEGF heparin-binding domain', 58, NULL, 'VEGF_C', 26011),
(82286, 'PF14509', NULL, 'Glycosyl-hydrolase 97 C-terminal, oligomerisation', 97, NULL, 'GH97_C', 26012),
(82287, 'PF03077', NULL, 'Putative vacuolating cytotoxin', 60, NULL, 'VacA2', 26013),
(82288, 'PF14107', NULL, 'Domain of unknown function (DUF4280)', 108, NULL, 'DUF4280', 26014),
(82289, 'PF09004', NULL, 'Domain of unknown function (DUF1891)', 42, NULL, 'DUF1891', 26015),
(82290, 'PF17716', NULL, 'Family of unknown function (DUF5561)', 255, NULL, 'DUF5561', 26016),
(82291, 'PF12737', NULL, 'C-terminal domain of homeodomain 1', 414, NULL, 'Mating_C', 26017),
(82292, 'PF03143', NULL, 'Elongation factor Tu C-terminal domain', 108, NULL, 'GTP_EFTU_D3', 26018),
(82293, 'PF04010', NULL, 'Protein of unknown function (DUF357)', 73, NULL, 'DUF357', 26019),
(82294, 'PF14985', NULL, 'TM140 protein family', 180, NULL, 'TM140', 26020),
(82295, 'PF15435', NULL, 'UNC119-binding protein C5orf30 homologue', 198, NULL, 'UNC119_bdg', 26021),
(82296, 'PF10398', NULL, 'Protein of unknown function (DUF2443)', 79, NULL, 'DUF2443', 26022),
(82297, 'PF00908', NULL, 'dTDP-4-dehydrorhamnose 3,5-epimerase', 168, NULL, 'dTDP_sugar_isom', 26023),
(82298, 'PF19422', NULL, 'Ariadne domain', 262, NULL, 'Ariadne', 26024),
(82299, 'PF00071', NULL, 'Ras family', 162, NULL, 'Ras', 26025),
(82300, 'PF05803', NULL, 'Chordopoxvirus L2 protein', 81, NULL, 'Chordopox_L2', 26026),
(82301, 'PF16917', NULL, 'Biotin/lipoate A/B protein ligase family', 184, NULL, 'BPL_LplA_LipB_2', 26027),
(82302, 'PF00561', NULL, 'alpha/beta hydrolase fold', 257, NULL, 'Abhydrolase_1', 26028),
(82303, 'PF07116', NULL, 'Protein of unknown function (DUF1372)', 104, NULL, 'DUF1372', 26029),
(82304, 'PF02816', NULL, 'Alpha-kinase family', 185, NULL, 'Alpha_kinase', 26030),
(82305, 'PF03312', NULL, 'Protein of unknown function (DUF272)', 124, NULL, 'DUF272', 26031),
(82306, 'PF04829', NULL, 'Pre-toxin domain with VENN motif', 52, NULL, 'PT-VENN', 26032),
(82307, 'PF18063', NULL, 'Beta barrel Pore-forming domain', 204, NULL, 'BB_PF', 26033),
(82308, 'PF19378', NULL, 'Family of unknown function (DUF5953)', 233, NULL, 'DUF5953', 26034),
(82309, 'PF04362', NULL, 'Bacterial Fe(2+) trafficking', 88, NULL, 'Iron_traffic', 26035),
(82310, 'PF03540', NULL, 'Transcription initiation factor TFIID 23-30kDa subunit', 50, NULL, 'TFIID_30kDa', 26036),
(82311, 'PF08924', NULL, 'Domain of unknown function (DUF1906)', 198, NULL, 'DUF1906', 26037),
(82312, 'PF15583', NULL, 'Immunity protein 68', 152, NULL, 'Imm68', 26038),
(82313, 'PF16213', NULL, 'Dimerisation and cyclophilin-binding domain of Mon2', 177, NULL, 'DCB', 26039),
(82314, 'PF19925', NULL, 'Family of unknown function (DUF6388)', 107, NULL, 'DUF6388', 26040),
(82315, 'PF09711', NULL, 'CRISPR-associated protein (Cas_Csn2)', 181, NULL, 'Cas_Csn2', 26041),
(82316, 'PF02738', NULL, 'Molybdopterin-binding domain of aldehyde dehydrogenase', 551, NULL, 'Ald_Xan_dh_C2', 26042),
(82317, 'PF01142', NULL, 'tRNA pseudouridine synthase D (TruD)', 415, NULL, 'TruD', 26043),
(82318, 'PF11290', NULL, 'Protein of unknown function (DUF3090)', 171, NULL, 'DUF3090', 26044),
(82319, 'PF06041', NULL, 'Bacterial protein of unknown function (DUF924)', 181, NULL, 'DUF924', 26045),
(82320, 'PF03226', NULL, 'Yippee zinc-binding/DNA-binding /Mis18, centromere assembly', 105, NULL, 'Yippee-Mis18', 26046),
(82321, 'PF19867', NULL, 'Family of unknown function (DUF6340)', 258, NULL, 'DUF6340', 26047),
(82322, 'PF10374', NULL, 'Telomerase activating protein Est1', 135, NULL, 'EST1', 26048),
(82323, 'PF19343', NULL, 'Family of unknown function (DUF5923)', 630, NULL, 'DUF5923', 26049),
(82324, 'PF10259', NULL, 'Rogdi leucine zipper containing protein', 297, NULL, 'Rogdi_lz', 26050),
(82325, 'PF12852', NULL, 'Cupin', 184, NULL, 'Cupin_6', 26051),
(82326, 'PF14586', NULL, 'Class I Histocompatibility antigen, NKG2D ligand, domains 1 and 2', 174, NULL, 'MHC_I_2', 26052);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(82327, 'PF14933', NULL, 'CEP19-like protein', 165, NULL, 'CEP19', 26053),
(82328, 'PF01660', NULL, 'Viral methyltransferase', 346, NULL, 'Vmethyltransf', 26054),
(82329, 'PF13769', NULL, 'Virulence factor', 81, NULL, 'Virulence_fact', 26055),
(82330, 'PF15417', NULL, 'Domain of unknown function (DUF4624)', 132, NULL, 'DUF4624', 26056),
(82331, 'PF18331', NULL, 'PKHD-type hydroxylase C-terminal domain', 43, NULL, 'PKHD_C', 26057),
(82332, 'PF10669', NULL, 'Protein gp23 (Bacteriophage A118)', 120, NULL, 'Phage_Gp23', 26058),
(82333, 'PF00377', NULL, 'Prion/Doppel alpha-helical domain', 117, NULL, 'Prion', 26059),
(82334, 'PF17123', NULL, 'RING-like zinc finger', 29, NULL, 'zf-RING_11', 26060),
(82335, 'PF15746', NULL, 'TMEM215 family', 225, NULL, 'TMEM215', 26061),
(82336, 'PF19075', NULL, 'Family of unknown function (DUF5771)', 69, NULL, 'DUF5771', 26062),
(82337, 'PF18075', NULL, 'FtsX extracellular domain', 96, NULL, 'FtsX_ECD', 26063),
(82338, 'PF18711', NULL, 'Toxoflavin-degrading enzyme', 55, NULL, 'TxDE', 26064),
(82339, 'PF08279', NULL, 'HTH domain', 55, NULL, 'HTH_11', 26065),
(82340, 'PF15463', NULL, 'Extracellular mutant protein 11', 133, NULL, 'ECM11', 26066),
(82341, 'PF05811', NULL, 'Eukaryotic protein of unknown function (DUF842)', 131, NULL, 'DUF842', 26067),
(82342, 'PF02422', NULL, 'Keratin', 89, NULL, 'Keratin', 26068),
(82343, 'PF18607', NULL, 'ParA helix turn helix domain', 92, NULL, 'HTH_54', 26069),
(82344, 'PF00600', NULL, 'Influenza non-structural protein (NS1)', 217, NULL, 'Flu_NS1', 26070),
(82345, 'PF05860', NULL, 'haemagglutination activity domain', 121, NULL, 'Haemagg_act', 26071),
(82346, 'PF09501', NULL, 'Probable sporulation protein (Bac_small_yrzI)', 45, NULL, 'Bac_small_YrzI', 26072),
(82347, 'PF00104', NULL, 'Ligand-binding domain of nuclear hormone receptor', 211, NULL, 'Hormone_recep', 26073),
(82348, 'PF15130', NULL, 'Domain of unknown function (DUF4566)', 226, NULL, 'DUF4566', 26074),
(82349, 'PF02998', NULL, 'Lentiviral Tat protein', 86, NULL, 'Lentiviral_Tat', 26075),
(82350, 'PF12796', NULL, 'Ankyrin repeats (3 copies)', 83, NULL, 'Ank_2', 26076),
(82351, 'PF06769', NULL, 'YoeB-like toxin of bacterial type II toxin-antitoxin system', 80, NULL, 'YoeB_toxin', 26077),
(82352, 'PF02150', NULL, 'RNA polymerases M/15 Kd subunit', 36, NULL, 'RNA_POL_M_15KD', 26078),
(82353, 'PF02764', NULL, 'Diphtheria toxin, T domain', 180, NULL, 'Diphtheria_T', 26079),
(82354, 'PF15539', NULL, 'CAF1 complex subunit p150, region binding to CAF1-p60 at C-term', 288, NULL, 'CAF1-p150_C2', 26080),
(82355, 'PF17203', NULL, 'Single cache domain 3', 137, NULL, 'sCache_3_2', 26081),
(82356, 'PF10016', NULL, 'Predicted secreted protein (DUF2259)', 188, NULL, 'DUF2259', 26082),
(82357, 'PF14413', NULL, 'Thg1 C terminal domain', 124, NULL, 'Thg1C', 26083),
(82358, 'PF03020', NULL, 'LEM domain', 40, NULL, 'LEM', 26084),
(82359, 'PF15486', NULL, 'Domain of unknown function (DUF4644)', 161, NULL, 'DUF4644', 26085),
(82360, 'PF06140', NULL, 'Interferon-induced 6-16 family', 79, NULL, 'Ifi-6-16', 26086),
(82361, 'PF07212', NULL, 'Hyaluronidase protein (HylP)', 273, NULL, 'Hyaluronidase_1', 26087),
(82362, 'PF10203', NULL, 'Cytochrome c oxidase assembly protein PET191', 67, NULL, 'Pet191_N', 26088),
(82363, 'PF00214', NULL, 'Calcitonin / CGRP / IAPP family', 130, NULL, 'Calc_CGRP_IAPP', 26089),
(82364, 'PF06861', NULL, 'BALF1 protein', 182, NULL, 'BALF1', 26090),
(82365, 'PF08361', NULL, 'MAATS-type transcriptional repressor, C-terminal region', 121, NULL, 'TetR_C_2', 26091),
(82366, 'PF14071', NULL, 'Putative coat protein', 127, NULL, 'YlbD_coat', 26092),
(82367, 'PF07637', NULL, 'Protein of unknown function (DUF1595)', 62, NULL, 'PSD5', 26093),
(82368, 'PF11495', NULL, 'Archaeal transcriptional regulator TrmB', 233, NULL, 'Regulator_TrmB', 26094),
(82369, 'PF03338', NULL, 'Poxvirus J1 protein', 146, NULL, 'Pox_J1', 26095),
(82370, 'PF14196', NULL, 'L-2-amino-thiazoline-4-carboxylic acid hydrolase', 145, NULL, 'ATC_hydrolase', 26096),
(82371, 'PF05604', NULL, 'Protein of unknown function (DUF776)', 182, NULL, 'DUF776', 26097); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(82372, 'PF01147', NULL, 'Crustacean CHH/MIH/GIH neurohormone family', 67, NULL, 'Crust_neurohorm', 26098),
(82373, 'PF12287', NULL, 'Cytoplasmic activation/proliferation-associated protein-1 C term', 325, NULL, 'Caprin-1_C', 26099),
(82374, 'PF10689', NULL, 'Protein of unknown function (DUF2496)', 43, NULL, 'DUF2496', 26100),
(82375, 'PF00945', NULL, 'Rhabdovirus nucleocapsid protein', 410, NULL, 'Rhabdo_ncap', 26101),
(82376, 'PF14935', NULL, 'Transmembrane protein 138', 119, NULL, 'TMEM138', 26102),
(82377, 'PF17547', NULL, 'Family of unknown function (DUF5462)', 157, NULL, 'DUF5462', 26103),
(82378, 'PF02768', NULL, 'DNA polymerase III beta subunit, C-terminal domain', 121, NULL, 'DNA_pol3_beta_3', 26104),
(82379, 'PF14584', NULL, 'Protein of unknown function (DUF4446)', 150, NULL, 'DUF4446', 26105),
(82380, 'PF08713', NULL, 'DNA alkylation repair enzyme', 213, NULL, 'DNA_alkylation', 26106),
(82381, 'PF18454', NULL, 'Major tropism determinant N-terminal domain', 37, NULL, 'Mtd_N', 26107),
(82382, 'PF11874', NULL, 'Domain of unknown function (DUF3394)', 181, NULL, 'DUF3394', 26108),
(82383, 'PF14712', NULL, 'Snapin/Pallidin', 91, NULL, 'Snapin_Pallidin', 26109),
(82384, 'PF17030', NULL, 'Putative beta-lactamase-like family', 214, NULL, 'Beta_lactamase3', 26110),
(82385, 'PF03252', NULL, 'Herpesvirus UL21', 524, NULL, 'Herpes_UL21', 26111),
(82386, 'PF04495', NULL, 'GRASP55/65 PDZ-like domain', 138, NULL, 'GRASP55_65', 26112),
(82387, 'PF09125', NULL, 'Cytochrome C oxidase subunit II, transmembrane', 38, NULL, 'COX2-transmemb', 26113),
(82388, 'PF14830', NULL, 'Haemocyanin beta-sandwich', 103, NULL, 'Haemocyan_bet_s', 26114),
(82389, 'PF18550', NULL, 'Nitrososphaera output domain 2', 104, NULL, 'NitrOD2', 26115),
(82390, 'PF12717', NULL, 'non-SMC mitotic condensation complex subunit 1', 162, NULL, 'Cnd1', 26116),
(82391, 'PF14983', NULL, 'Domain of unknown function (DUF4513)', 132, NULL, 'DUF4513', 26117),
(82392, 'PF12700', NULL, 'HlyD family secretion protein', 413, NULL, 'HlyD_2', 26118),
(82393, 'PF06357', NULL, 'Omega-atracotoxin', 37, NULL, 'Omega-toxin', 26119),
(82394, 'PF06581', NULL, 'Mad1 and Cdc20-bound-Mad2 binding', 265, NULL, 'p31comet', 26120),
(82395, 'PF09213', NULL, 'M3', 376, NULL, 'M3', 26121),
(82396, 'PF18077', NULL, 'Domain of unknown function (DUF5595)', 73, NULL, 'DUF5595', 26122),
(82397, 'PF16157', NULL, 'Domain of unknown function (DUF4865)', 183, NULL, 'DUF4865', 26123),
(82398, 'PF08822', NULL, 'Protein of unknown function (DUF1804)', 164, NULL, 'DUF1804', 26124),
(82399, 'PF02606', NULL, 'Tetraacyldisaccharide-1-P 4''-kinase', 327, NULL, 'LpxK', 26125),
(82400, 'PF09252', NULL, 'Allergen Fel d I-B chain', 67, NULL, 'Feld-I_B', 26126),
(82401, 'PF02087', NULL, 'Nitrophorin', 178, NULL, 'Nitrophorin', 26127),
(82402, 'PF17466', NULL, 'Family of unknown function', 57, NULL, 'NinD', 26128),
(82403, 'PF01012', NULL, 'Electron transfer flavoprotein domain', 182, NULL, 'ETF', 26129),
(82404, 'PF14672', NULL, 'Late cornified envelope', 93, NULL, 'LCE', 26130),
(82405, 'PF14631', NULL, 'Fanconi anaemia protein FancD2 nuclease', 1417, NULL, 'FancD2', 26131),
(82406, 'PF19044', NULL, 'TraG P-loop domain', 413, NULL, 'P-loop_TraG', 26132),
(82407, 'PF12094', NULL, 'Protein of unknown function (DUF3570)', 421, NULL, 'DUF3570', 26133),
(82408, 'PF14316', NULL, 'Domain of unknown function (DUF4381)', 146, NULL, 'DUF4381', 26134),
(82409, 'PF05716', NULL, 'A-kinase anchor protein 110 kDa (AKAP 110)', 692, NULL, 'AKAP_110', 26135),
(82410, 'PF11225', NULL, 'Protein of unknown function (DUF3024)', 56, NULL, 'DUF3024', 26136),
(82411, 'PF19931', NULL, 'Family of unknown function (DUF6394)', 90, NULL, 'DUF6394', 26137),
(82412, 'PF15803', NULL, 'Zinc-finger of sodium channel modifier 1', 27, NULL, 'zf-SCNM1', 26138),
(82413, 'PF00642', NULL, 'Zinc finger C-x8-C-x5-C-x3-H type (and similar)', 27, NULL, 'zf-CCCH', 26139),
(82414, 'PF05486', NULL, 'Signal recognition particle 9 kDa protein (SRP9)', 97, NULL, 'SRP9-21', 26140),
(82415, 'PF18382', NULL, 'Formin N-terminal GTPase-binding domain', 118, NULL, 'Formin_GBD_N', 26141);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(82416, 'PF07403', NULL, 'Protein of unknown function (DUF1505)', 114, NULL, 'DUF1505', 26142),
(82417, 'PF09368', NULL, 'Sas10 C-terminal domain', 74, NULL, 'Sas10', 26143),
(82418, 'PF03295', NULL, 'Poxvirus trans-activator protein A1 C-terminal', 63, NULL, 'Pox_TAA1', 26144),
(82419, 'PF07700', NULL, 'Haem-NO-binding', 163, NULL, 'HNOB', 26145),
(82420, 'PF08426', NULL, 'ICE2', 411, NULL, 'ICE2', 26146),
(82421, 'PF10262', NULL, 'Rdx family', 74, NULL, 'Rdx', 26147),
(82422, 'PF15522', NULL, 'Novel toxin 14', 205, NULL, 'Ntox14', 26148),
(82423, 'PF09964', NULL, 'Uncharacterized protein conserved in bacteria (DUF2198)', 72, NULL, 'DUF2198', 26149),
(82424, 'PF12739', NULL, 'ER-Golgi trafficking TRAPP I complex 85 kDa subunit', 422, NULL, 'TRAPPC-Trs85', 26150),
(82425, 'PF12053', NULL, 'N-terminal of Par3 and HAL proteins', 83, NULL, 'Par3_HAL_N_term', 26151),
(82426, 'PF12550', NULL, 'Transcriptional activator of glycolytic enzymes', 80, NULL, 'GCR1_C', 26152),
(82427, 'PF15256', NULL, 'SPATIAL', 201, NULL, 'SPATIAL', 26153),
(82428, 'PF05179', NULL, 'RNA pol II accessory factor, Cdc73 family, C-terminal', 158, NULL, 'CDC73_C', 26154),
(82429, 'PF19066', NULL, 'Family of unknown function (DUF5762)', 69, NULL, 'DUF5762', 26155),
(82430, 'PF10759', NULL, 'Protein of unknown function (DUF2587)', 160, NULL, 'DUF2587', 26156),
(82431, 'PF15158', NULL, 'Domain of unknown function (DUF4579)', 185, NULL, 'DUF4579', 26157),
(82432, 'PF10363', NULL, 'Required for nuclear transport of RNA pol II C-terminus 1', 112, NULL, 'RTP1_C1', 26158),
(82433, 'PF11513', NULL, 'Thermoplasma acidophilum protein TA0956', 110, NULL, 'TA0956', 26159),
(82434, 'PF08958', NULL, 'Domain of unknown function (DUF1871)', 77, NULL, 'DUF1871', 26160),
(82435, 'PF09329', NULL, 'Primase zinc finger', 46, NULL, 'zf-primase', 26161),
(82436, 'PF01212', NULL, 'Beta-eliminating lyase', 291, NULL, 'Beta_elim_lyase', 26162),
(82437, 'PF00244', NULL, '14-3-3 protein', 222, NULL, '14-3-3', 26163),
(82438, 'PF02670', NULL, '1-deoxy-D-xylulose 5-phosphate reductoisomerase', 129, NULL, 'DXP_reductoisom', 26164),
(82439, 'PF05211', NULL, 'Neuraminyllactose-binding hemagglutinin precursor (NLBH)', 254, NULL, 'NLBH', 26165),
(82440, 'PF06946', NULL, 'Bacteriophage A118-like holin, Hol118', 93, NULL, 'Phage_holin_5_1', 26166),
(82441, 'PF14607', NULL, 'N-terminus of Esterase_SGNH_hydro-type', 146, NULL, 'GxDLY', 26167),
(82442, 'PF01864', NULL, 'CDP-archaeol synthase', 175, NULL, 'CarS-like', 26168),
(82443, 'PF12058', NULL, 'Protein of unknown function (DUF3539)', 86, NULL, 'DUF3539', 26169),
(82444, 'PF11877', NULL, 'Protein of unknown function (DUF3397)', 112, NULL, 'DUF3397', 26170),
(82445, 'PF17821', NULL, 'Family of unknown function (DUF5583)', 130, NULL, 'DUF5583', 26171),
(82446, 'PF03469', NULL, 'XH domain', 131, NULL, 'XH', 26172),
(82447, 'PF10013', NULL, 'Uncharacterized protein conserved in bacteria (DUF2256)', 40, NULL, 'DUF2256', 26173),
(82448, 'PF16249', NULL, 'Domain of unknown function (DUF4906)', 203, NULL, 'DUF4906', 26174),
(82449, 'PF19621', NULL, 'Family of unknown function (DUF6126)', 40, NULL, 'DUF6126', 26175),
(82450, 'PF00715', NULL, 'Interleukin 2', 145, NULL, 'IL2', 26176),
(82451, 'PF12627', NULL, 'Probable RNA and SrmB- binding site of polymerase A', 64, NULL, 'PolyA_pol_RNAbd', 26177),
(82452, 'PF19753', NULL, 'Family of unknown function (DUF6240)', 278, NULL, 'DUF6240', 26178),
(82453, 'PF06620', NULL, 'Protein of unknown function (DUF1150)', 76, NULL, 'DUF1150', 26179),
(82454, 'PF04688', NULL, 'SPP1 phage holin', 74, NULL, 'Holin_SPP1', 26180),
(82455, 'PF14954', NULL, 'Limb expression 1', 249, NULL, 'LIX1', 26181),
(82456, 'PF00640', NULL, 'Phosphotyrosine interaction domain (PTB/PID)', 140, NULL, 'PID', 26182),
(82457, 'PF15051', NULL, 'FAM198 protein', 321, NULL, 'FAM198', 26183),
(82458, 'PF02979', NULL, 'Nitrile hydratase, alpha chain', 184, NULL, 'NHase_alpha', 26184),
(82459, 'PF11264', NULL, 'Thylakoid formation protein', 216, NULL, 'ThylakoidFormat', 26185),
(82460, 'PF01677', NULL, 'Herpesvirus UL7 like', 214, NULL, 'Herpes_UL7', 26186);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(82461, 'PF12340', NULL, 'Protein of unknown function (DUF3638)', 226, NULL, 'DUF3638', 26187),
(82462, 'PF15028', NULL, 'Pre-T-cell antigen receptor', 127, NULL, 'PTCRA', 26188),
(82463, 'PF19103', NULL, 'Family of unknown function (DUF5790)', 126, NULL, 'DUF5790', 26189),
(82464, 'PF18180', NULL, 'SLOG cluster3 family', 170, NULL, 'LD_cluster3', 26190),
(82465, 'PF07323', NULL, 'Protein of unknown function (DUF1465)', 154, NULL, 'DUF1465', 26191),
(82466, 'PF19332', NULL, 'E3 ubiquitin-protein ligase RNF180 C-terminus', 101, NULL, 'RNF180_C', 26192),
(82467, 'PF17343', NULL, 'Family of unknown function (DUF5373)', 182, NULL, 'DUF5373', 26193),
(82468, 'PF01665', NULL, 'Rotavirus non-structural protein NSP3', 299, NULL, 'Rota_NSP3', 26194),
(82469, 'PF13982', NULL, 'YbfN-like lipoprotein', 88, NULL, 'YbfN', 26195),
(82470, 'PF15886', NULL, 'Carbohydrate binding domain (family 32)', 108, NULL, 'CBM39', 26196),
(82471, 'PF05893', NULL, 'Acyl-CoA reductase (LuxC)', 401, NULL, 'LuxC', 26197),
(82472, 'PF11157', NULL, 'Protein of unknown function (DUF2937)', 162, NULL, 'DUF2937', 26198),
(82473, 'PF04603', NULL, 'Ran-interacting Mog1 protein', 135, NULL, 'Mog1', 26199),
(82474, 'PF02378', NULL, 'Phosphotransferase system, EIIC', 324, NULL, 'PTS_EIIC', 26200),
(82475, 'PF16532', NULL, 'Sf6-type phage tail needle knob or tip of some Caudovirales', 175, NULL, 'Phage_tail_NK', 26201),
(82476, 'PF00160', NULL, 'Cyclophilin type peptidyl-prolyl cis-trans isomerase/CLD', 158, NULL, 'Pro_isomerase', 26202),
(82477, 'PF11228', NULL, 'Protein of unknown function (DUF3027)', 193, NULL, 'DUF3027', 26203),
(82478, 'PF06762', NULL, 'Lipase maturation factor', 443, NULL, 'LMF1', 26204),
(82479, 'PF03625', NULL, 'Domain of unknown function DUF302', 63, NULL, 'DUF302', 26205),
(82480, 'PF14720', NULL, 'NiFe/NiFeSe hydrogenase small subunit C-terminal', 80, NULL, 'NiFe_hyd_SSU_C', 26206),
(82481, 'PF07321', NULL, 'Type III secretion protein YscO', 149, NULL, 'YscO', 26207),
(82482, 'PF08305', NULL, 'NPCBM/NEW2 domain', 137, NULL, 'NPCBM', 26208),
(82483, 'PF10552', NULL, 'ORF6C domain', 114, NULL, 'ORF6C', 26209),
(82484, 'PF16946', NULL, 'OMPG-porin 1 family', 294, NULL, 'Porin_OmpG_1_2', 26210),
(82485, 'PF18469', NULL, 'Pleckstrin homology domain', 141, NULL, 'PH_18', 26211),
(82486, 'PF00329', NULL, 'Respiratory-chain NADH dehydrogenase, 30 Kd subunit', 121, NULL, 'Complex1_30kDa', 26212),
(82487, 'PF12160', NULL, 'Fibrinogen alpha C domain', 68, NULL, 'Fibrinogen_aC', 26213),
(82488, 'PF17758', NULL, 'Proteasomal ATPase OB N-terminal domain', 62, NULL, 'Prot_ATP_OB_N', 26214),
(82489, 'PF03951', NULL, 'Glutamine synthetase, beta-Grasp domain', 83, NULL, 'Gln-synt_N', 26215),
(82490, 'PF10903', NULL, 'Protein of unknown function (DUF2691)', 152, NULL, 'DUF2691', 26216),
(82491, 'PF00317', NULL, 'Ribonucleotide reductase, all-alpha domain', 83, NULL, 'Ribonuc_red_lgN', 26217),
(82492, 'PF12691', NULL, 'Bacteriophage minor capsid protein', 118, NULL, 'Minor_capsid_3', 26218),
(82493, 'PF02722', NULL, 'Major Outer Sheath Protein C-terminal domain', 205, NULL, 'MOSP_C', 26219),
(82494, 'PF02814', NULL, 'UreE urease accessory protein, N-terminal domain', 62, NULL, 'UreE_N', 26220),
(82495, 'PF08687', NULL, 'Apx/Shroom domain ASD2', 290, NULL, 'ASD2', 26221),
(82496, 'PF08077', NULL, 'Chloramphenicol resistance gene leader peptide', 17, NULL, 'Cm_res_leader', 26222),
(82497, 'PF06427', NULL, 'UDP-glucose:Glycoprotein Glucosyltransferase', 109, NULL, 'UDP-g_GGTase', 26223),
(82498, 'PF19269', NULL, 'Anticodon binding domain', 142, NULL, 'Anticodon_2', 26224),
(82499, 'PF10704', NULL, 'Protein of unknown function (DUF2508)', 71, NULL, 'DUF2508', 26225),
(82500, 'PF00128', NULL, 'Alpha amylase, catalytic domain', 336, NULL, 'Alpha-amylase', 26226),
(82501, 'PF15518', NULL, 'L protein N-terminus', 93, NULL, 'L_protein_N', 26227),
(82502, 'PF03348', NULL, 'Serine incorporator (Serinc)', 431, NULL, 'Serinc', 26228),
(82503, 'PF06521', NULL, 'PAR1 protein', 156, NULL, 'PAR1', 26229),
(82504, 'PF01298', NULL, 'C-lobe and N-lobe beta barrels of Tf-binding protein B', 135, NULL, 'TbpB_B_D', 26230);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(82505, 'PF19559', NULL, 'Family of unknown function (DUF6081)', 275, NULL, 'DUF6081', 26231),
(82506, 'PF10777', NULL, 'Inner membrane protein YlaC', 154, NULL, 'YlaC', 26232),
(82507, 'PF19679', NULL, 'Family of unknown function (DUF6181)', 134, NULL, 'DUF6181', 26233),
(82508, 'PF19938', NULL, 'Family of unknown function (DUF6400)', 69, NULL, 'DUF6400', 26234),
(82509, 'PF15565', NULL, 'Immunity protein 30', 98, NULL, 'Imm30', 26235),
(82510, 'PF18748', NULL, 'P-loop Nucleotide Kinase1', 196, NULL, 'Ploopntkinase1', 26236),
(82511, 'PF04384', NULL, 'Iron-sulphur cluster assembly', 64, NULL, 'Fe-S_assembly', 26237),
(82512, 'PF05505', NULL, 'Ebola nucleoprotein', 716, NULL, 'Ebola_NP', 26238),
(82513, 'PF09983', NULL, 'Uncharacterized protein conserved in bacteria C-term(DUF2220)', 181, NULL, 'DUF2220', 26239),
(82514, 'PF02177', NULL, 'Amyloid A4 N-terminal heparin-binding', 101, NULL, 'APP_N', 26240),
(82515, 'PF08866', NULL, 'Putative amino acid metabolism', 111, NULL, 'DUF1831', 26241),
(82516, 'PF19815', NULL, 'Family of unknown function (DUF6298)', 487, NULL, 'DUF6298', 26242),
(82517, 'PF03738', NULL, 'Glutathionylspermidine synthase preATP-grasp', 373, NULL, 'GSP_synth', 26243),
(82518, 'PF07579', NULL, 'Domain of Unknown Function (DUF1548)', 135, NULL, 'DUF1548', 26244),
(82519, 'PF11003', NULL, 'Protein of unknown function (DUF2842)', 61, NULL, 'DUF2842', 26245),
(82520, 'PF14440', NULL, 'Xanthomonas XOO_2897-like deaminase', 101, NULL, 'XOO_2897-deam', 26246),
(82521, 'PF13688', NULL, 'Metallo-peptidase family M12', 196, NULL, 'Reprolysin_5', 26247),
(82522, 'PF14031', NULL, 'Putative serine dehydratase domain', 97, NULL, 'D-ser_dehydrat', 26248),
(82523, 'PF11459', NULL, 'Transcriptional regulator, AbiEi antitoxin, Type IV TA system', 159, NULL, 'AbiEi_3', 26249),
(82524, 'PF01423', NULL, 'LSM domain', 67, NULL, 'LSM', 26250),
(82525, 'PF10562', NULL, 'Calmodulin-binding domain C0 of NMDA receptor NR1 subunit', 29, NULL, 'CaM_bdg_C0', 26251),
(82526, 'PF17081', NULL, 'Suppressor of PMA 1-7 protein', 209, NULL, 'SOP4', 26252),
(82527, 'PF10791', NULL, 'Mitochondrial F1-F0 ATP synthase subunit F of fungi', 92, NULL, 'F1F0-ATPsyn_F', 26253),
(82528, 'PF11349', NULL, 'Protein of unknown function (DUF3151)', 127, NULL, 'DUF3151', 26254),
(82529, 'PF14190', NULL, 'Domain of unknown function (DUF4313)', 104, NULL, 'DUF4313', 26255),
(82530, 'PF03159', NULL, 'XRN 5''-3'' exonuclease N-terminus', 243, NULL, 'XRN_N', 26256),
(82531, 'PF19696', NULL, 'Family of unknown function (DUF6196)', 144, NULL, 'DUF6196', 26257),
(82532, 'PF00745', NULL, 'Glutamyl-tRNAGlu reductase, dimerisation domain', 97, NULL, 'GlutR_dimer', 26258),
(82533, 'PF02775', NULL, 'Thiamine pyrophosphate enzyme, C-terminal TPP binding domain', 153, NULL, 'TPP_enzyme_C', 26259),
(82534, 'PF15903', NULL, 'Filopodia upregulated, FAM65', 348, NULL, 'PL48', 26260),
(82535, 'PF13572', NULL, 'Domain of unknown function (DUF4134)', 93, NULL, 'DUF4134', 26261),
(82536, 'PF14592', NULL, 'Chondroitinase B', 426, NULL, 'Chondroitinas_B', 26262),
(82537, 'PF12124', NULL, 'Betacoronavirus SUD-C domain', 66, NULL, 'bCoV_SUD_C', 26263),
(82538, 'PF15121', NULL, 'TMEM71 protein family', 150, NULL, 'TMEM71', 26264),
(82539, 'PF08386', NULL, 'TAP-like protein', 103, NULL, 'Abhydrolase_4', 26265),
(82540, 'PF11086', NULL, 'Protein of unknown function (DUF2878)', 151, NULL, 'DUF2878', 26266),
(82541, 'PF07429', NULL, '4-alpha-L-fucosyltransferase glycosyl transferase group 56', 358, NULL, 'Glyco_transf_56', 26267),
(82542, 'PF09048', NULL, 'Cro', 59, NULL, 'Cro', 26268),
(82543, 'PF05349', NULL, 'GATA-type transcription activator, N-terminal', 179, NULL, 'GATA-N', 26269),
(82544, 'PF14313', NULL, 'N-terminal region of Paramyxovirinae phosphoprotein (P)', 58, NULL, 'Soyouz_module', 26270),
(82545, 'PF19179', NULL, 'Domain of unknown function (DUF5861)', 116, NULL, 'DUF5861', 26271),
(82546, 'PF17314', NULL, 'Family of unknown function (DUF5360)', 127, NULL, 'DUF5360', 26272),
(82547, 'PF06056', NULL, 'Putative ATPase subunit of terminase (gpP-like)', 58, NULL, 'Terminase_5', 26273);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(82548, 'PF00164', NULL, 'Ribosomal protein S12/S23', 114, NULL, 'Ribosom_S12_S23', 26274),
(82549, 'PF06207', NULL, 'Protein of unknown function (DUF1002)', 221, NULL, 'DUF1002', 26275),
(82550, 'PF14009', NULL, 'PADRE domain', 177, NULL, 'PADRE', 26276),
(82551, 'PF19729', NULL, 'F-box/LRR-repeat protein 18 C-terminal', 592, NULL, 'FBXL18_C', 26277),
(82552, 'PF00320', NULL, 'GATA zinc finger', 36, NULL, 'GATA', 26278),
(82553, 'PF18147', NULL, 'Suv3 C-terminal domain 1', 43, NULL, 'Suv3_C_1', 26279),
(82554, 'PF18875', NULL, 'AF4 interaction motif', 15, NULL, 'AF4_int', 26280),
(82555, 'PF09019', NULL, 'EcoRII C terminal', 165, NULL, 'EcoRII-C', 26281),
(82556, 'PF17677', NULL, 'Glycosyl hydrolases family 38 C-terminal beta sandwich domain', 69, NULL, 'Glyco_hydro38C2', 26282),
(82557, 'PF12999', NULL, 'Glucosidase II beta subunit-like', 176, NULL, 'PRKCSH-like', 26283),
(82558, 'PF09025', NULL, 'YopR, type III needle-polymerisation regulator', 145, NULL, 'T3SS_needle_reg', 26284),
(82559, 'PF04048', NULL, 'Sec8 exocyst complex component specific domain', 142, NULL, 'Sec8_exocyst', 26285),
(82560, 'PF15037', NULL, 'Interleukin-17 receptor extracellular region', 386, NULL, 'IL17_R_N', 26286),
(82561, 'PF19958', NULL, 'Effector-associated domain 6', 76, NULL, 'EAD6', 26287),
(82562, 'PF07717', NULL, 'Oligonucleotide/oligosaccharide-binding (OB)-fold', 83, NULL, 'OB_NTP_bind', 26288),
(82563, 'PF12611', NULL, 'Putative flagellar', 24, NULL, 'Flagellar_put', 26289),
(82564, 'PF17047', NULL, 'Synaptotagmin-like mitochondrial-lipid-binding domain', 180, NULL, 'SMP_LBD', 26290),
(82565, 'PF06217', NULL, 'GAGA binding protein-like family', 295, NULL, 'GAGA_bind', 26291),
(82566, 'PF18479', NULL, 'PIN like domain', 118, NULL, 'PIN_11', 26292),
(82567, 'PF01628', NULL, 'HrcA protein C terminal domain', 219, NULL, 'HrcA', 26293),
(82568, 'PF12083', NULL, 'Domain of unknown function (DUF3560)', 124, NULL, 'DUF3560', 26294),
(82569, 'PF14454', NULL, 'Prokaryotic Ubiquitin', 64, NULL, 'Prok_Ub', 26295),
(82570, 'PF03781', NULL, 'Sulfatase-modifying factor enzyme 1', 260, NULL, 'FGE-sulfatase', 26296),
(82571, 'PF14553', NULL, 'YqbF, hypothetical protein domain', 43, NULL, 'YqbF', 26297),
(82572, 'PF04554', NULL, 'Extensin-like region', 58, NULL, 'Extensin_2', 26298),
(82573, 'PF18589', NULL, 'Obesity receptor immunoglobulin like domain', 105, NULL, 'ObR_Ig', 26299),
(82574, 'PF09856', NULL, 'Short-chain fatty acyl coenzyme A regulators', 157, NULL, 'ScfRs', 26300),
(82575, 'PF01694', NULL, 'Rhomboid family', 150, NULL, 'Rhomboid', 26301),
(82576, 'PF02970', NULL, 'Tubulin binding cofactor A', 99, NULL, 'TBCA', 26302),
(82577, 'PF14573', NULL, 'Acyl-carrier', 96, NULL, 'PP-binding_2', 26303),
(82578, 'PF15844', NULL, 'Transmembrane and coiled-coil domain-containing protein 2', 171, NULL, 'TMCCDC2', 26304),
(82579, 'PF06833', NULL, 'Malonate decarboxylase gamma subunit (MdcE)', 232, NULL, 'MdcE', 26305),
(82580, 'PF18022', NULL, 'Ricin-type beta-trefoil lectin C-terminal domain', 102, NULL, 'Lectin_C_term', 26306),
(82581, 'PF18928', NULL, 'Family of unknown function (DUF5677)', 166, NULL, 'DUF5677', 26307),
(82582, 'PF19590', NULL, 'TrbL/VirB6 plasmid conjugal transfer like protein', 377, NULL, 'TrbL_3', 26308),
(82583, 'PF14739', NULL, 'Domain of unknown function (DUF4472)', 107, NULL, 'DUF4472', 26309),
(82584, 'PF14325', NULL, 'Domain of unknown function (DUF4383)', 124, NULL, 'DUF4383', 26310),
(82585, 'PF17516', NULL, 'ProQ C-terminal domain', 51, NULL, 'ProQ_C', 26311),
(82586, 'PF12378', NULL, 'Trypsin-sensitive surface-exposed protein', 260, NULL, 'CytadhesinP1', 26312),
(82587, 'PF15198', NULL, 'Dexamethasone-induced', 90, NULL, 'Dexa_ind', 26313),
(82588, 'PF12069', NULL, 'Protein of unknown function (DUF3549)', 340, NULL, 'DUF3549', 26314),
(82589, 'PF01486', NULL, 'K-box region', 93, NULL, 'K-box', 26315),
(82590, 'PF07939', NULL, 'Protein of unknown function (DUF1685)', 61, NULL, 'DUF1685', 26316),
(82591, 'PF10980', NULL, 'Protein of unknown function (DUF2787)', 130, NULL, 'DUF2787', 26317);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(82592, 'PF02837', NULL, 'Glycosyl hydrolases family 2, sugar binding domain', 169, NULL, 'Glyco_hydro_2_N', 26318),
(82593, 'PF16172', NULL, 'DOCK N-terminus', 385, NULL, 'DOCK_N', 26319),
(82594, 'PF01687', NULL, 'Riboflavin kinase', 123, NULL, 'Flavokinase', 26320),
(82595, 'PF19783', NULL, 'Domain of unknown function (DUF6268)', 280, NULL, 'DUF6268', 26321),
(82596, 'PF04076', NULL, 'Bacterial OB fold (BOF) protein', 103, NULL, 'BOF', 26322),
(82597, 'PF03202', NULL, 'Putative mycoplasma lipoprotein, C-terminal region', 129, NULL, 'Lipoprotein_10', 26323),
(82598, 'PF17293', NULL, 'Arm DNA-binding domain', 88, NULL, 'Arm-DNA-bind_5', 26324),
(82599, 'PF15254', NULL, 'Coiled-coil domain-containing protein 14', 866, NULL, 'CCDC14', 26325),
(82600, 'PF04005', NULL, 'Hus1-like protein', 292, NULL, 'Hus1', 26326),
(82601, 'PF12507', NULL, 'Human Cytomegalovirus UL139 protein', 121, NULL, 'HCMV_UL139', 26327),
(82602, 'PF10490', NULL, 'Rb-binding domain of kinetochore protein Cenp-F/LEK1', 47, NULL, 'CENP-F_C_Rb_bdg', 26328),
(82603, 'PF18898', NULL, 'Family of unknown function (DUF5654)', 71, NULL, 'DUF5654', 26329),
(82604, 'PF04478', NULL, 'Mid2 like cell wall stress sensor', 150, NULL, 'Mid2', 26330),
(82605, 'PF08469', NULL, 'Nucleoside triphosphatase I C-terminal', 148, NULL, 'NPHI_C', 26331),
(82606, 'PF15708', NULL, 'Proline-rich protein family 20', 221, NULL, 'PRR20', 26332),
(82607, 'PF12508', NULL, 'Conjugative transposon, TraM', 194, NULL, 'Transposon_TraM', 26333),
(82608, 'PF02254', NULL, 'TrkA-N domain', 116, NULL, 'TrkA_N', 26334),
(82609, 'PF09925', NULL, 'Predicted membrane protein (DUF2157)', 147, NULL, 'DUF2157', 26335),
(82610, 'PF18699', NULL, 'Mitoribosomal protein mL52', 92, NULL, 'MRPL52', 26336),
(82611, 'PF13622', NULL, 'Thioesterase-like superfamily', 250, NULL, '4HBT_3', 26337),
(82612, 'PF16451', NULL, 'Betacoronavirus-like spike glycoprotein S1, N-terminal', 297, NULL, 'bCoV_S1_N', 26338),
(82613, 'PF08943', NULL, 'CsiD', 294, NULL, 'CsiD', 26339),
(82614, 'PF13655', NULL, 'N-terminal domain of reverse transcriptase', 83, NULL, 'RVT_N', 26340),
(82615, 'PF10731', NULL, 'Thrombin inhibitor from mosquito', 65, NULL, 'Anophelin', 26341),
(82616, 'PF17400', NULL, 'Family of unknown function (DUF5406)', 114, NULL, 'DUF5406', 26342),
(82617, 'PF15390', NULL, 'WD repeat and coiled-coil-containing protein family', 688, NULL, 'WDCP', 26343),
(82618, 'PF19964', NULL, 'Effector-associated domain 11', 80, NULL, 'EAD11', 26344),
(82619, 'PF15948', NULL, 'Domain of unknown function (DUF4756)', 158, NULL, 'DUF4756', 26345),
(82620, 'PF17007', NULL, 'HTH-like', 454, NULL, 'HTH_micro', 26346),
(82621, 'PF05506', NULL, 'Domain of unknown function (DUF756)', 82, NULL, 'DUF756', 26347),
(82622, 'PF14869', NULL, 'Domain of unknown function (DUF4488)', 123, NULL, 'DUF4488', 26348),
(82623, 'PF04368', NULL, 'Protein of unknown function (DUF507)', 182, NULL, 'DUF507', 26349),
(82624, 'PF14733', NULL, 'AP2-coincident C-terminal', 93, NULL, 'ACDC', 26350),
(82625, 'PF15959', NULL, 'Domain of unknown function (DUF4762)', 61, NULL, 'DUF4762', 26351),
(82626, 'PF19442', NULL, 'Cysteine-rich motor neuron 1 protein C-terminal', 130, NULL, 'CRIM1_C', 26352),
(82627, 'PF01619', NULL, 'Proline dehydrogenase', 282, NULL, 'Pro_dh', 26353),
(82628, 'PF07688', NULL, 'KaiA C-terminal domain', 122, NULL, 'KaiA', 26354),
(82629, 'PF15433', NULL, 'Mitochondrial 28S ribosomal protein S31', 310, NULL, 'MRP-S31', 26355),
(82630, 'PF15517', NULL, 'TBP-interacting protein N-terminus', 100, NULL, 'TBPIP_N', 26356),
(82631, 'PF17204', NULL, 'Sid-5 family', 76, NULL, 'Sid-5', 26357),
(82632, 'PF05351', NULL, 'GMP-PDE, delta subunit', 156, NULL, 'GMP_PDE_delta', 26358),
(82633, 'PF11414', NULL, 'Adenomatous polyposis coli tumour suppressor protein', 82, NULL, 'Suppressor_APC', 26359),
(82634, 'PF17446', NULL, 'Late transcription unit A', 46, NULL, 'LtuA', 26360),
(82635, 'PF03080', NULL, 'Neprosin', 213, NULL, 'Neprosin', 26361),
(82636, 'PF13608', NULL, 'Protein P3 of Potyviral polyprotein', 452, NULL, 'Potyvirid-P3', 26362);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(82637, 'PF10087', NULL, 'Uncharacterized protein conserved in bacteria (DUF2325)', 94, NULL, 'DUF2325', 26363),
(82638, 'PF08973', NULL, 'Domain of unknown function (DUF1893)', 130, NULL, 'TM1506', 26364),
(82639, 'PF03211', NULL, 'Pectate lyase', 204, NULL, 'Pectate_lyase', 26365),
(82640, 'PF02060', NULL, 'Slow voltage-gated potassium channel', 126, NULL, 'ISK_Channel', 26366),
(82641, 'PF00331', NULL, 'Glycosyl hydrolase family 10', 316, NULL, 'Glyco_hydro_10', 26367),
(82642, 'PF16034', NULL, 'JAKMIP CC3 domain', 198, NULL, 'JAKMIP_CC3', 26368),
(82643, 'PF18738', NULL, 'DZIP3/ hRUL138-like HEPN', 143, NULL, 'HEPN_DZIP3', 26369),
(82644, 'PF05051', NULL, 'Cytochrome C oxidase copper chaperone (COX17)', 48, NULL, 'COX17', 26370),
(82645, 'PF16159', NULL, 'FOXP coiled-coil domain', 69, NULL, 'FOXP-CC', 26371),
(82646, 'PF11511', NULL, 'Intrinsic membrane protein PufX', 67, NULL, 'RhodobacterPufX', 26372),
(82647, 'PF14620', NULL, 'YpeB sporulation', 361, NULL, 'YPEB', 26373),
(82648, 'PF14969', NULL, 'Domain of unknown function (DUF4508)', 97, NULL, 'DUF4508', 26374),
(82649, 'PF09615', NULL, 'CRISPR-associated protein (Cas_Csy3)', 328, NULL, 'Cas_Csy3', 26375),
(82650, 'PF06742', NULL, 'Protein of unknown function (DUF1214)', 111, NULL, 'DUF1214', 26376),
(82651, 'PF02197', NULL, 'Regulatory subunit of type II PKA R-subunit', 38, NULL, 'RIIa', 26377),
(82652, 'PF11410', NULL, 'Antifungal peptide', 33, NULL, 'Antifungal_pept', 26378),
(82653, 'PF09973', NULL, 'Predicted membrane protein (DUF2208)', 231, NULL, 'DUF2208', 26379),
(82654, 'PF04613', NULL, 'UDP-3-O-[3-hydroxymyristoyl] glucosamine N-acyltransferase, LpxD', 70, NULL, 'LpxD', 26380),
(82655, 'PF10234', NULL, 'Clusterin-associated protein-1', 268, NULL, 'Cluap1', 26381),
(82656, 'PF16904', NULL, 'Phosphoribosylformylglycinamidine synthase II C-terminus', 92, NULL, 'PurL_C', 26382),
(82657, 'PF07382', NULL, 'Histone H1-like nucleoprotein HC2', 194, NULL, 'HC2', 26383),
(82658, 'PF12912', NULL, 'NLPC_P60 stabilising domain, N term', 122, NULL, 'N_NLPC_P60', 26384),
(82659, 'PF03873', NULL, 'Anti sigma-E protein RseA, C-terminal domain', 55, NULL, 'RseA_C', 26385),
(82660, 'PF04070', NULL, 'Domain of unknown function (DUF378)', 60, NULL, 'DUF378', 26386),
(82661, 'PF01156', NULL, 'Inosine-uridine preferring nucleoside hydrolase', 301, NULL, 'IU_nuc_hydro', 26387),
(82662, 'PF03392', NULL, 'Insect pheromone-binding family, A10/OS-D', 93, NULL, 'OS-D', 26388),
(82663, 'PF07757', NULL, 'Predicted AdoMet-dependent methyltransferase', 112, NULL, 'AdoMet_MTase', 26389),
(82664, 'PF15785', NULL, 'Serine/threonine-protein kinase smg-1', 626, NULL, 'SMG1', 26390),
(82665, 'PF19375', NULL, 'Family of unknown function (DUF5950)', 103, NULL, 'DUF5950', 26391),
(82666, 'PF00431', NULL, 'CUB domain', 110, NULL, 'CUB', 26392),
(82667, 'PF07958', NULL, 'Protein of unknown function (DUF1688)', 422, NULL, 'DUF1688', 26393),
(82668, 'PF00064', NULL, 'Neuraminidase', 334, NULL, 'Neur', 26394),
(82669, 'PF08465', NULL, 'Thymidine kinase from Herpesvirus C-terminal', 33, NULL, 'Herpes_TK_C', 26395),
(82670, 'PF05543', NULL, 'Staphopain peptidase C47', 174, NULL, 'Peptidase_C47', 26396),
(82671, 'PF10114', NULL, 'Sensory domain found in PocR', 162, NULL, 'PocR', 26397),
(82672, 'PF12663', NULL, 'Protein of unknown function (DUF3788)', 127, NULL, 'DUF3788', 26398),
(82673, 'PF13567', NULL, 'Domain of unknown function (DUF4131)', 167, NULL, 'DUF4131', 26399),
(82674, 'PF13958', NULL, 'Toxin ToxN, type III toxin-antitoxin system', 159, NULL, 'ToxN_toxin', 26400),
(82675, 'PF17719', NULL, 'Family of unknown function (DUF5564)', 98, NULL, 'DUF5564', 26401),
(82676, 'PF14237', NULL, 'GYF domain 2', 50, NULL, 'GYF_2', 26402),
(82677, 'PF13714', NULL, 'Phosphoenolpyruvate phosphomutase', 241, NULL, 'PEP_mutase', 26403),
(82678, 'PF09055', NULL, 'Nickel-containing superoxide dismutase', 127, NULL, 'Sod_Ni', 26404),
(82679, 'PF00496', NULL, 'Bacterial extracellular solute-binding proteins, family 5 Middle', 377, NULL, 'SBP_bac_5', 26405),
(82680, 'PF02909', NULL, 'Tetracyclin repressor-like, C-terminal domain', 145, NULL, 'TetR_C_1', 26406);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(82681, 'PF03596', NULL, 'Cadmium resistance transporter', 192, NULL, 'Cad', 26407),
(82682, 'PF00525', NULL, 'Alpha crystallin A chain, N terminal', 56, NULL, 'Crystallin', 26408),
(82683, 'PF16356', NULL, 'Domain of unknown function (DUF4983)', 93, NULL, 'DUF4983', 26409),
(82684, 'PF01436', NULL, 'NHL repeat', 28, NULL, 'NHL', 26410),
(82685, 'PF08742', NULL, 'C8 domain', 66, NULL, 'C8', 26411),
(82686, 'PF01658', NULL, 'Myo-inositol-1-phosphate synthase', 107, NULL, 'Inos-1-P_synth', 26412),
(82687, 'PF12781', NULL, 'ATP-binding dynein motor region', 220, NULL, 'AAA_9', 26413),
(82688, 'PF14072', NULL, 'DNA-sulfur modification-associated', 346, NULL, 'DndB', 26414),
(82689, 'PF14421', NULL, 'A distinct subfamily of CDD/CDA-like deaminases', 210, NULL, 'LmjF365940-deam', 26415),
(82690, 'PF16171', NULL, 'Centromere kinetochore component CENP-T N-terminus', 366, NULL, 'CENP-T_N', 26416),
(82691, 'PF00548', NULL, '3C cysteine protease (picornain 3C)', 174, NULL, 'Peptidase_C3', 26417),
(82692, 'PF18775', NULL, 'APOBEC4', 74, NULL, 'APOBEC4', 26418),
(82693, 'PF04708', NULL, 'Poxvirus F16 protein', 215, NULL, 'Pox_F16', 26419),
(82694, 'PF09443', NULL, 'Cripto_Frl-1_Cryptic (CFC)', 35, NULL, 'CFC', 26420),
(82695, 'PF09740', NULL, 'Uncharacterized conserved protein (DUF2043)', 106, NULL, 'DUF2043', 26421),
(82696, 'PF07525', NULL, 'SOCS box', 37, NULL, 'SOCS_box', 26422),
(82697, 'PF17292', NULL, 'POB3-like N-terminal PH domain', 93, NULL, 'POB3_N', 26423),
(82698, 'PF03935', NULL, 'Beta-glucan synthesis-associated protein SKN1/KRE6/Sbg1', 501, NULL, 'SKN1_KRE6_Sbg1', 26424),
(82699, 'PF00375', NULL, 'Sodium:dicarboxylate symporter family', 391, NULL, 'SDF', 26425),
(82700, 'PF18408', NULL, 'C2H2 Hakai zinc finger domain', 32, NULL, 'zf_Hakai', 26426),
(82701, 'PF17523', NULL, 'MinK-related peptide, potassium channel accessory sub-unit protein 4', 78, NULL, 'MPS-4', 26427),
(82702, 'PF18219', NULL, 'SidC N-terminal domain', 465, NULL, 'SidC_N', 26428),
(82703, 'PF10423', NULL, 'Bacterial AMP nucleoside phosphorylase N-terminus', 154, NULL, 'AMNp_N', 26429),
(82704, 'PF01554', NULL, 'MatE', 161, NULL, 'MatE', 26430),
(82705, 'PF05866', NULL, 'Endodeoxyribonuclease RusA', 126, NULL, 'RusA', 26431),
(82706, 'PF07822', NULL, 'Neurotoxin B-IV-like protein', 55, NULL, 'Toxin_13', 26432),
(82707, 'PF08390', NULL, 'TRAM1-like protein', 63, NULL, 'TRAM1', 26433),
(82708, 'PF09073', NULL, 'BUD22', 435, NULL, 'BUD22', 26434),
(82709, 'PF05219', NULL, 'DREV methyltransferase', 265, NULL, 'DREV', 26435),
(82710, 'PF12333', NULL, 'Rix1 complex component involved in 60S ribosome maturation', 102, NULL, 'Ipi1_N', 26436),
(82711, 'PF18513', NULL, 'Prodomain subtilisin 2', 88, NULL, 'Pro_sub2', 26437),
(82712, 'PF06832', NULL, 'Penicillin-Binding Protein C-terminus Family', 90, NULL, 'BiPBP_C', 26438),
(82713, 'PF15619', NULL, 'Ciliary protein causing Leber congenital amaurosis disease', 193, NULL, 'Lebercilin', 26439),
(82714, 'PF16883', NULL, 'Domain of unknown function (DUF5080)', 197, NULL, 'DUF5080', 26440),
(82715, 'PF04884', NULL, 'Vitamin B6 photo-protection and homoeostasis', 241, NULL, 'UVB_sens_prot', 26441),
(82716, 'PF04533', NULL, 'Herpes virus U44 protein', 202, NULL, 'Herpes_U44', 26442),
(82717, 'PF18434', NULL, 'Kazal-type serine protease inhibitor domain', 50, NULL, 'Kazal_3', 26443),
(82718, 'PF02910', NULL, 'Fumarate reductase flavoprotein C-term', 129, NULL, 'Succ_DH_flav_C', 26444),
(82719, 'PF00817', NULL, 'impB/mucB/samB family', 151, NULL, 'IMS', 26445),
(82720, 'PF17387', NULL, 'Glycosyl hydrolase family 59 central domain', 116, NULL, 'Glyco_hydro_59M', 26446),
(82721, 'PF11224', NULL, 'Protein of unknown function (DUF3023)', 130, NULL, 'DUF3023', 26447),
(82722, 'PF07068', NULL, 'Major capsid protein Gp23', 509, NULL, 'Gp23', 26448),
(82723, 'PF10017', NULL, 'Histidine-specific methyltransferase, SAM-dependent', 309, NULL, 'Methyltransf_33', 26449),
(82724, 'PF15666', NULL, 'Germinal center-associated lymphoma', 88, NULL, 'HGAL', 26450),
(82725, 'PF13245', NULL, 'AAA domain', 147, NULL, 'AAA_19', 26451);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(82726, 'PF19222', NULL, 'Nodavirus Vmethyltransferase', 148, NULL, 'Noda_Vmethyltr', 26452),
(82727, 'PF18621', NULL, 'Family of unknown function (DUF5628)', 110, NULL, 'DUF5628', 26453),
(82728, 'PF03886', NULL, 'ABC-type transport auxiliary lipoprotein component', 161, NULL, 'ABC_trans_aux', 26454),
(82729, 'PF06370', NULL, 'Protein of unknown function (DUF1069)', 206, NULL, 'DUF1069', 26455),
(82730, 'PF16494', NULL, 'C-terminal extension of sodium/calcium exchanger domain', 134, NULL, 'Na_Ca_ex_C', 26456),
(82731, 'PF18149', NULL, 'N-terminal helicase PWI domain', 111, NULL, 'Helicase_PWI', 26457),
(82732, 'PF05339', NULL, 'Protein of unknown function (DUF739)', 69, NULL, 'DUF739', 26458),
(82733, 'PF11303', NULL, 'Protein of unknown function (DUF3105)', 128, NULL, 'DUF3105', 26459),
(82734, 'PF11496', NULL, 'Class II histone deacetylase complex subunits 2 and 3', 292, NULL, 'HDA2-3', 26460),
(82735, 'PF16817', NULL, 'Domain of unknown function (DUF5073)', 121, NULL, 'DUF5073', 26461),
(82736, 'PF19851', NULL, 'Family of unknown function (DUF6326)', 135, NULL, 'DUF6326', 26462),
(82737, 'PF06340', NULL, 'Vibrio cholerae toxin co-regulated pilus biosynthesis protein F', 317, NULL, 'TcpF', 26463),
(82738, 'PF01709', NULL, 'Transcriptional regulator', 239, NULL, 'Transcrip_reg', 26464),
(82739, 'PF06543', NULL, 'Lactococcus bacteriophage repressor', 49, NULL, 'Lac_bphage_repr', 26465),
(82740, 'PF12200', NULL, 'Domain of unknown function (DUF3597)', 127, NULL, 'DUF3597', 26466),
(82741, 'PF09118', NULL, 'Domain of unknown function (DUF1929)', 98, NULL, 'DUF1929', 26467),
(82742, 'PF15611', NULL, 'EH_Signature domain', 418, NULL, 'EH_Signature', 26468),
(82743, 'PF06197', NULL, 'Protein of unknown function (DUF998)', 185, NULL, 'DUF998', 26469),
(82744, 'PF07114', NULL, 'Transmembrane protein 126', 181, NULL, 'TMEM126', 26470),
(82745, 'PF07634', NULL, 'RtxA repeat', 18, NULL, 'RtxA', 26471),
(82746, 'PF16062', NULL, 'Domain of unknown function (DUF4804)', 448, NULL, 'DUF4804', 26472),
(82747, 'PF01139', NULL, 'tRNA-splicing ligase RtcB', 413, NULL, 'RtcB', 26473),
(82748, 'PF02403', NULL, 'Seryl-tRNA synthetase N-terminal domain', 108, NULL, 'Seryl_tRNA_N', 26474),
(82749, 'PF15358', NULL, 'Testis-specific serine kinase substrate', 532, NULL, 'TSKS', 26475),
(82750, 'PF18103', NULL, 'Retroviral integrase C-terminal SH3 domain', 63, NULL, 'SH3_11', 26476),
(82751, 'PF19242', NULL, 'Putative zinc finger protein', 268, NULL, 'Zn_finger_prot', 26477),
(82752, 'PF10554', NULL, 'Ash protein family', 109, NULL, 'Phage_ASH', 26478),
(82753, 'PF12979', NULL, 'Domain of Unknown Function with PDB structure (DUF3863)', 349, NULL, 'DUF3863', 26479),
(82754, 'PF14285', NULL, 'Domain of unknown function (DUF4367)', 110, NULL, 'DUF4367', 26480),
(82755, 'PF00518', NULL, 'Early Protein (E6)', 110, NULL, 'E6', 26481),
(82756, 'PF01899', NULL, 'Na+/H+ ion antiporter subunit', 146, NULL, 'MNHE', 26482),
(82757, 'PF10871', NULL, 'Protein of unknown function (DUF2748)', 438, NULL, 'DUF2748', 26483),
(82758, 'PF16799', NULL, 'C-terminal membrane-localisation domain of ion-channel, VCN1', 48, NULL, 'VGPC1_C', 26484),
(82759, 'PF19288', NULL, 'CofH/MqnC C-terminal region', 125, NULL, 'CofH_C', 26485),
(82760, 'PF04043', NULL, 'Plant invertase/pectin methylesterase inhibitor', 154, NULL, 'PMEI', 26486),
(82761, 'PF18817', NULL, 'Repeat of uncharacterized protein PH0542', 45, NULL, 'HEAT_UF', 26487),
(82762, 'PF18312', NULL, 'Copper resistance protein ScsC N-terminal domain', 34, NULL, 'ScsC_N', 26488),
(82763, 'PF11794', NULL, '4-hydroxyphenylacetate 3-hydroxylase N terminal', 272, NULL, 'HpaB_N', 26489),
(82764, 'PF07012', NULL, 'Curlin associated repeat', 34, NULL, 'Curlin_rpt', 26490),
(82765, 'PF12531', NULL, 'DNA-K related protein', 248, NULL, 'DUF3731', 26491),
(82766, 'PF13411', NULL, 'MerR HTH family regulatory protein', 69, NULL, 'MerR_1', 26492),
(82767, 'PF19369', NULL, 'Family of unknown function (DUF5944)', 243, NULL, 'DUF5944', 26493),
(82768, 'PF02620', NULL, 'Large ribosomal RNA subunit accumulation protein YceD', 121, NULL, 'YceD', 26494);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(82769, 'PF05852', NULL, 'Gammaherpesvirus protein of unknown function (DUF848)', 145, NULL, 'DUF848', 26495),
(82770, 'PF15464', NULL, 'Domain of unknown function (DUF4633)', 113, NULL, 'DUF4633', 26496),
(82771, 'PF13431', NULL, 'Tetratricopeptide repeat', 34, NULL, 'TPR_17', 26497),
(82772, 'PF20090', NULL, 'Family of unknown function (DUF6482)', 101, NULL, 'DUF6482', 26498),
(82773, 'PF15498', NULL, 'Nephrin and CD2AP-binding protein, Dendrin', 656, NULL, 'Dendrin', 26499),
(82774, 'PF05782', NULL, 'Extracellular matrix protein 1 (ECM1)', 519, NULL, 'ECM1', 26500),
(82775, 'PF18218', NULL, 'Lantibiotic immunity protein Spa1 C-terminal domain', 99, NULL, 'Spa1_C', 26501),
(82776, 'PF19340', NULL, 'Gamma-tubulin complex component 6 N-terminus', 315, NULL, 'GCP6_N', 26502),
(82777, 'PF05562', NULL, 'Cold acclimation protein WCOR413', 183, NULL, 'WCOR413', 26503),
(82778, 'PF12206', NULL, 'Domain of unknown function (DUF3599)', 116, NULL, 'DUF3599', 26504),
(82779, 'PF01561', NULL, 'Hantavirus/Nairovirus glycoprotein G2', 551, NULL, 'Hanta_G2', 26505),
(82780, 'PF14408', NULL, 'Ribosomally synthesised peptide in actinomycetes', 58, NULL, 'Actino_peptide', 26506),
(82781, 'PF03867', NULL, 'Fushi tarazu (FTZ), N-terminal region', 269, NULL, 'FTZ', 26507),
(82782, 'PF05127', NULL, 'Helicase', 177, NULL, 'Helicase_RecD', 26508),
(82783, 'PF19118', NULL, 'Family of unknown function (DUF5802)', 113, NULL, 'DUF5802', 26509),
(82784, 'PF02387', NULL, 'IncFII RepA protein family', 275, NULL, 'IncFII_repA', 26510),
(82785, 'PF09174', NULL, 'Maf1 regulator', 174, NULL, 'Maf1', 26511),
(82786, 'PF08294', NULL, 'TIM21', 145, NULL, 'TIM21', 26512),
(82787, 'PF16633', NULL, 'Unstructured region on APC between 1st two creatine-rich regions', 89, NULL, 'APC_u9', 26513),
(82788, 'PF14271', NULL, 'Domain of unknown function (DUF4359)', 103, NULL, 'DUF4359', 26514),
(82789, 'PF06795', NULL, 'Erythrovirus X protein', 81, NULL, 'Erythrovirus_X', 26515),
(82790, 'PF17506', NULL, 'Family of unknown function (DUF5438)', 71, NULL, 'DUF5438', 26516),
(82791, 'PF10616', NULL, 'Protein of unknown function (DUF2471)', 117, NULL, 'DUF2471', 26517),
(82792, 'PF13061', NULL, 'Protein of unknown function (DUF3923)', 65, NULL, 'DUF3923', 26518),
(82793, 'PF01453', NULL, 'D-mannose binding lectin', 106, NULL, 'B_lectin', 26519),
(82794, 'PF08291', NULL, 'Peptidase M15', 111, NULL, 'Peptidase_M15_3', 26520),
(82795, 'PF04318', NULL, 'Protein of unknown function (DUF468)', 84, NULL, 'DUF468', 26521),
(82796, 'PF10276', NULL, 'Zinc-finger domain', 37, NULL, 'zf-CHCC', 26522),
(82797, 'PF03026', NULL, 'Influenza C virus M1 protein', 235, NULL, 'CM1', 26523),
(82798, 'PF19400', NULL, 'Family of unknown function (DUF5975)', 125, NULL, 'DUF5975', 26524),
(82799, 'PF02303', NULL, 'Helix-destabilising protein', 83, NULL, 'Phage_DNA_bind', 26525),
(82800, 'PF01179', NULL, 'Copper amine oxidase, enzyme domain', 407, NULL, 'Cu_amine_oxid', 26526),
(82801, 'PF00142', NULL, '4Fe-4S iron sulfur cluster binding proteins, NifH/frxC family', 271, NULL, 'Fer4_NifH', 26527),
(82802, 'PF06283', NULL, 'Trehalose utilisation', 210, NULL, 'ThuA', 26528),
(82803, 'PF15163', NULL, 'Meiosis-expressed', 75, NULL, 'Meiosis_expr', 26529),
(82804, 'PF06475', NULL, 'Putative glycolipid-binding', 178, NULL, 'Glycolipid_bind', 26530),
(82805, 'PF18801', NULL, 'response regulator aspartate phosphatase H, N terminal', 62, NULL, 'RapH_N', 26531),
(82806, 'PF01674', NULL, 'Lipase (class 2)', 219, NULL, 'Lipase_2', 26532),
(82807, 'PF05808', NULL, 'Podoplanin', 134, NULL, 'Podoplanin', 26533),
(82808, 'PF19913', NULL, 'Wolframin C-terminal OB-fold domain', 122, NULL, 'WCOB', 26534),
(82809, 'PF00209', NULL, 'Sodium:neurotransmitter symporter family', 523, NULL, 'SNF', 26535),
(82810, 'PF18992', NULL, 'Family of unknown function (DUF5725)', 158, NULL, 'DUF5725', 26536),
(82811, 'PF19018', NULL, 'Vanin C-terminal domain', 167, NULL, 'Vanin_C', 26537),
(82812, 'PF16187', NULL, 'Middle or third domain of peptidase_M16', 285, NULL, 'Peptidase_M16_M', 26538),
(82813, 'PF14829', NULL, 'Glycerol-3-phosphate acyltransferase N-terminal', 76, NULL, 'GPAT_N', 26539);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(82814, 'PF02583', NULL, 'Metal-sensitive transcriptional repressor', 77, NULL, 'Trns_repr_metal', 26540),
(82815, 'PF09399', NULL, 'Betacoronavirus lipid binding protein', 98, NULL, 'bCoV_lipid_BD', 26541),
(82816, 'PF04029', NULL, '2-phosphosulpholactate phosphatase', 226, NULL, '2-ph_phosp', 26542),
(82817, 'PF08464', NULL, 'Geminivirus AC4/5 conserved region', 43, NULL, 'Gemini_AC4_5_2', 26543),
(82818, 'PF17225', NULL, 'Domain of unknown function (DUF5300)', 97, NULL, 'DUF5301', 26544),
(82819, 'PF01210', NULL, 'NAD-dependent glycerol-3-phosphate dehydrogenase N-terminus', 157, NULL, 'NAD_Gly3P_dh_N', 26545),
(82820, 'PF05151', NULL, 'Photosystem II reaction centre M protein (PsbM)', 31, NULL, 'PsbM', 26546),
(82821, 'PF02065', NULL, 'Melibiase', 347, NULL, 'Melibiase', 26547),
(82822, 'PF01115', NULL, 'F-actin capping protein, beta subunit', 238, NULL, 'F_actin_cap_B', 26548),
(82823, 'PF01416', NULL, 'tRNA pseudouridine synthase', 108, NULL, 'PseudoU_synth_1', 26549),
(82824, 'PF18485', NULL, 'Glutathione S-transferase, N-terminal domain', 74, NULL, 'GST_N_5', 26550),
(82825, 'PF00093', NULL, 'von Willebrand factor type C domain', 57, NULL, 'VWC', 26551),
(82826, 'PF00341', NULL, 'PDGF/VEGF domain', 82, NULL, 'PDGF', 26552),
(82827, 'PF10309', NULL, 'Nuclear cap-binding protein subunit 3', 59, NULL, 'NCBP3', 26553),
(82828, 'PF02014', NULL, 'Reeler domain', 129, NULL, 'Reeler', 26554),
(82829, 'PF11043', NULL, 'Protein of unknown function (DUF2856)', 97, NULL, 'DUF2856', 26555),
(82830, 'PF10630', NULL, 'Protein of unknown function (DUF2476)', 259, NULL, 'DUF2476', 26556),
(82831, 'PF19607', NULL, 'Family of unknown function (DUF6112)', 88, NULL, 'DUF6112', 26557),
(82832, 'PF14655', NULL, 'Rab3 GTPase-activating protein regulatory subunit N-terminus', 417, NULL, 'RAB3GAP2_N', 26558),
(82833, 'PF09304', NULL, 'Cortexillin I, coiled coil', 107, NULL, 'Cortex-I_coil', 26559),
(82834, 'PF14807', NULL, 'Adaptin AP4 complex epsilon appendage platform', 100, NULL, 'AP4E_app_platf', 26560),
(82835, 'PF17443', NULL, 'Uncharacterized protein pXO2-72', 62, NULL, 'pXO2-72', 26561),
(82836, 'PF14020', NULL, 'Protein of unknown function (DUF4236)', 55, NULL, 'DUF4236', 26562),
(82837, 'PF00356', NULL, 'Bacterial regulatory proteins, lacI family', 46, NULL, 'LacI', 26563),
(82838, 'PF15008', NULL, 'Domain of unknown function (DUF4518)', 271, NULL, 'DUF4518', 26564),
(82839, 'PF10067', NULL, 'Predicted membrane protein (DUF2306)', 147, NULL, 'DUF2306', 26565),
(82840, 'PF08984', NULL, 'Domain of unknown function (DUF1858)', 59, NULL, 'DUF1858', 26566),
(82841, 'PF19051', NULL, 'Oxidoreductase family, C-terminal alpha/beta domain', 254, NULL, 'GFO_IDH_MocA_C2', 26567),
(82842, 'PF12805', NULL, 'FUSC-like inner membrane protein yccS', 284, NULL, 'FUSC-like', 26568),
(82843, 'PF11186', NULL, 'Protein of unknown function (DUF2972)', 199, NULL, 'DUF2972', 26569),
(82844, 'PF12042', NULL, 'Tubuliform egg casing silk strands structural domain', 168, NULL, 'RP1-2', 26570),
(82845, 'PF19527', NULL, 'Family of unknown function (DUF6055)', 421, NULL, 'DUF6055', 26571),
(82846, 'PF13120', NULL, 'Domain of unknown function (DUF3974)', 126, NULL, 'DUF3974', 26572),
(82847, 'PF00759', NULL, 'Glycosyl hydrolase family 9', 440, NULL, 'Glyco_hydro_9', 26573),
(82848, 'PF01545', NULL, 'Cation efflux family', 199, NULL, 'Cation_efflux', 26574),
(82849, 'PF11595', NULL, 'Protein of unknown function (DUF3245)', 149, NULL, 'DUF3245', 26575),
(82850, 'PF10228', NULL, 'Uncharacterised conserved protein (DUF2228)', 251, NULL, 'DUF2228', 26576),
(82851, 'PF17452', NULL, 'Uncharacterized YnfE-like', 78, NULL, 'YnfE', 26577),
(82852, 'PF17551', NULL, 'Family of unknown function (DUF5463)', 32, NULL, 'DUF5463', 26578),
(82853, 'PF04699', NULL, 'ARP2/3 complex 16 kDa subunit (p16-Arc)', 150, NULL, 'P16-Arc', 26579),
(82854, 'PF08234', NULL, 'Chromosome segregation protein Spc25', 73, NULL, 'Spindle_Spc25', 26580),
(82855, 'PF12583', NULL, 'Tripeptidyl peptidase II N terminal', 139, NULL, 'TPPII_N', 26581),
(82856, 'PF08256', NULL, 'Aurein-like antibiotic peptide', 13, NULL, 'Antimicrobial20', 26582); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(82857, 'PF14427', NULL, 'Pput_2613-like deaminase', 118, NULL, 'Pput2613-deam', 26583),
(82858, 'PF16298', NULL, 'Domain of unknown function (DUF4940)', 206, NULL, 'DUF4940', 26584),
(82859, 'PF09597', NULL, 'IGR protein motif', 55, NULL, 'IGR', 26585),
(82860, 'PF14027', NULL, 'Questin oxidase-like', 347, NULL, 'Questin_oxidase', 26586),
(82861, 'PF03351', NULL, 'DOMON domain', 124, NULL, 'DOMON', 26587),
(82862, 'PF10096', NULL, 'Uncharacterized protein conserved in bacteria (DUF2334)', 209, NULL, 'DUF2334', 26588),
(82863, 'PF12832', NULL, 'MFS_1 like family', 385, NULL, 'MFS_1_like', 26589),
(82864, 'PF19494', NULL, 'Family of unknown function (DUF6029)', 538, NULL, 'DUF6029', 26590),
(82865, 'PF04951', NULL, 'D-aminopeptidase', 264, NULL, 'Peptidase_M55', 26591),
(82866, 'PF14784', NULL, 'C-terminal domain of the ECSIT protein', 129, NULL, 'ECSIT_C', 26592),
(82867, 'PF19770', NULL, 'Family of unknown function (DUF6256)', 110, NULL, 'DUF6256', 26593),
(82868, 'PF02401', NULL, 'LytB protein', 265, NULL, 'LYTB', 26594),
(82869, 'PF04087', NULL, 'Domain of unknown function (DUF389)', 141, NULL, 'DUF389', 26595),
(82870, 'PF13576', NULL, 'Pentapeptide repeats (9 copies)', 48, NULL, 'Pentapeptide_3', 26596),
(82871, 'PF03975', NULL, 'CheD chemotactic sensory transduction', 109, NULL, 'CheD', 26597),
(82872, 'PF05613', NULL, 'Human herpesvirus U15 protein', 110, NULL, 'Herpes_U15', 26598),
(82873, 'PF06991', NULL, 'Microfibril-associated/Pre-mRNA processing', 219, NULL, 'MFAP1', 26599),
(82874, 'PF11211', NULL, 'Protein of unknown function (DUF2997)', 47, NULL, 'DUF2997', 26600),
(82875, 'PF18435', NULL, 'Esterase Ig-like N-terminal domain', 122, NULL, 'EstA_Ig_like', 26601),
(82876, 'PF07160', NULL, 'Spindle and kinetochore-associated protein 1', 237, NULL, 'SKA1', 26602),
(82877, 'PF01618', NULL, 'MotA/TolQ/ExbB proton channel family', 127, NULL, 'MotA_ExbB', 26603),
(82878, 'PF08089', NULL, 'Huwentoxin-II family', 39, NULL, 'Toxin_20', 26604),
(82879, 'PF13013', NULL, 'F-box-like domain', 107, NULL, 'F-box-like_2', 26605),
(82880, 'PF00205', NULL, 'Thiamine pyrophosphate enzyme, central domain', 137, NULL, 'TPP_enzyme_M', 26606),
(82881, 'PF13865', NULL, 'C-terminal duplication domain of Friend of PRMT1', 81, NULL, 'FoP_duplication', 26607),
(82882, 'PF13691', NULL, 'tRNase Z endonuclease', 63, NULL, 'Lactamase_B_4', 26608),
(82883, 'PF13905', NULL, 'Thioredoxin-like', 94, NULL, 'Thioredoxin_8', 26609),
(82884, 'PF09520', NULL, 'Type II restriction endonuclease, TdeIII', 243, NULL, 'RE_TdeIII', 26610),
(82885, 'PF03725', NULL, '3'' exoribonuclease family, domain 2', 67, NULL, 'RNase_PH_C', 26611),
(82886, 'PF02259', NULL, 'FAT domain', 346, NULL, 'FAT', 26612),
(82887, 'PF02868', NULL, 'Thermolysin metallopeptidase, alpha-helical domain', 168, NULL, 'Peptidase_M4_C', 26613),
(82888, 'PF08102', NULL, 'Scorpion antimicrobial peptide', 43, NULL, 'Antimicrobial_7', 26614),
(82889, 'PF06249', NULL, 'Ethanolamine utilisation protein EutQ', 152, NULL, 'EutQ', 26615),
(82890, 'PF07361', NULL, 'Cytochrome b562', 102, NULL, 'Cytochrom_B562', 26616),
(82891, 'PF11197', NULL, 'Protein of unknown function (DUF2835)', 71, NULL, 'DUF2835', 26617),
(82892, 'PF08600', NULL, 'Rsm1-like', 92, NULL, 'Rsm1', 26618),
(82893, 'PF04681', NULL, 'Blastomyces yeast-phase-specific protein', 155, NULL, 'Bys1', 26619),
(82894, 'PF07548', NULL, 'Chlamydia polymorphic membrane protein middle domain', 178, NULL, 'ChlamPMP_M', 26620),
(82895, 'PF13153', NULL, 'Protein of unknown function (DUF3985)', 44, NULL, 'DUF3985', 26621),
(82896, 'PF06146', NULL, 'Phosphate-starvation-inducible E family', 120, NULL, 'PsiE', 26622),
(82897, 'PF11337', NULL, 'Protein of unknown function (DUF3139)', 83, NULL, 'DUF3139', 26623),
(82898, 'PF15576', NULL, 'Domain of unknown function (DUF4661)', 253, NULL, 'DUF4661', 26624),
(82899, 'PF06633', NULL, 'Protein of unknown function (DUF1155)', 42, NULL, 'DUF1155', 26625),
(82900, 'PF05774', NULL, 'Herpesvirus helicase-primase complex component', 127, NULL, 'Herpes_heli_pri', 26626),
(82901, 'PF11711', NULL, 'Inner membrane protein import complex subunit Tim54', 374, NULL, 'Tim54', 26627);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(82902, 'PF12526', NULL, 'Protein of unknown function (DUF3729)', 113, NULL, 'DUF3729', 26628),
(82903, 'PF15819', NULL, 'Fin bud initiation factor homologue', 190, NULL, 'Fibin', 26629),
(82904, 'PF16811', NULL, 'TRAP transporter T-component', 263, NULL, 'TAtT', 26630),
(82905, 'PF18253', NULL, 'Hsp70-interacting protein N N-terminal domain', 42, NULL, 'HipN', 26631),
(82906, 'PF06505', NULL, 'Activator of aromatic catabolism', 101, NULL, 'XylR_N', 26632),
(82907, 'PF01634', NULL, 'ATP phosphoribosyltransferase', 159, NULL, 'HisG', 26633),
(82908, 'PF00902', NULL, 'Sec-independent protein translocase protein (TatC)', 207, NULL, 'TatC', 26634),
(82909, 'PF01010', NULL, 'NADH-dehyrogenase subunit F, TMs, (complex I) C-terminus', 243, NULL, 'Proton_antipo_C', 26635),
(82910, 'PF07648', NULL, 'Kazal-type serine protease inhibitor domain', 49, NULL, 'Kazal_2', 26636),
(82911, 'PF16963', NULL, 'PelD GGDEF domain', 125, NULL, 'PelD_GGDEF', 26637),
(82912, 'PF16731', NULL, 'Glutamic acid/alanine-rich protein of Trypanosoma', 193, NULL, 'GARP', 26638),
(82913, 'PF11710', NULL, 'G protein-coupled glucose receptor regulating Gpa2', 202, NULL, 'Git3', 26639),
(82914, 'PF19983', NULL, 'Family of unknown function (DUF6419)', 71, NULL, 'DUF6419', 26640),
(82915, 'PF13781', NULL, 'DoxX-like family', 102, NULL, 'DoxX_3', 26641),
(82916, 'PF02840', NULL, 'Prp18 domain', 143, NULL, 'Prp18', 26642),
(82917, 'PF03073', NULL, 'TspO/MBR family', 144, NULL, 'TspO_MBR', 26643),
(82918, 'PF12967', NULL, 'Domain of Unknown Function with PDB structure (DUF3855)', 158, NULL, 'DUF3855', 26644),
(82919, 'PF01814', NULL, 'Hemerythrin HHE cation binding domain', 131, NULL, 'Hemerythrin', 26645),
(82920, 'PF09471', NULL, 'IgA Peptidase M64', 260, NULL, 'Peptidase_M64', 26646),
(82921, 'PF05608', NULL, 'Protein of unknown function (DUF778)', 189, NULL, 'DUF778', 26647),
(82922, 'PF05745', NULL, 'Chlamydia 15 kDa cysteine-rich outer membrane protein (CRPA)', 150, NULL, 'CRPA', 26648),
(82923, 'PF18956', NULL, 'Family of unknown function (DUF5699)', 61, NULL, 'DUF5699', 26649),
(82924, 'PF15775', NULL, 'Domain of unknown function (DUF4703)', 186, NULL, 'DUF4703', 26650),
(82925, 'PF11754', NULL, 'Velvet factor', 242, NULL, 'Velvet', 26651),
(82926, 'PF10472', NULL, 'eIF2-alpha phosphatase phosphorylation constitutive repressor', 411, NULL, 'CReP_N', 26652),
(82927, 'PF13910', NULL, 'Domain of unknown function (DUF4209)', 89, NULL, 'DUF4209', 26653),
(82928, 'PF05707', NULL, 'Zonular occludens toxin (Zot)', 194, NULL, 'Zot', 26654),
(82929, 'PF00217', NULL, 'ATP:guanido phosphotransferase, C-terminal catalytic domain', 213, NULL, 'ATP-gua_Ptrans', 26655),
(82930, 'PF18593', NULL, 'CdiI immunity protein', 91, NULL, 'CdiI_2', 26656),
(82931, 'PF10360', NULL, 'Protein of unknown function (DUF2433)', 124, NULL, 'DUF2433', 26657),
(82932, 'PF07146', NULL, 'Protein of unknown function (DUF1389)', 314, NULL, 'DUF1389', 26658),
(82933, 'PF19497', NULL, 'Family of unknown function (DUF6032)', 476, NULL, 'DUF6032', 26659),
(82934, 'PF07895', NULL, 'Protein of unknown function (DUF1673)', 207, NULL, 'DUF1673', 26660),
(82935, 'PF00703', NULL, 'Glycosyl hydrolases family 2', 110, NULL, 'Glyco_hydro_2', 26661),
(82936, 'PF01119', NULL, 'DNA mismatch repair protein, C-terminal domain', 119, NULL, 'DNA_mis_repair', 26662),
(82937, 'PF00551', NULL, 'Formyl transferase', 181, NULL, 'Formyl_trans_N', 26663),
(82938, 'PF01816', NULL, 'Leucine rich repeat variant', 26, NULL, 'LRV', 26664),
(82939, 'PF17218', NULL, 'CBX family C-terminal motif', 34, NULL, 'CBX7_C', 26665),
(82940, 'PF06579', NULL, 'Caenorhabditis elegans ly-6-related protein', 125, NULL, 'Ly-6_related', 26666),
(82941, 'PF01184', NULL, 'GPR1/FUN34/yaaH family', 207, NULL, 'Gpr1_Fun34_YaaH', 26667),
(82942, 'PF15994', NULL, 'Domain of unknown function (DUF4770)', 182, NULL, 'DUF4770', 26668),
(82943, 'PF19543', NULL, 'Family of unknown function (DUF6067)', 969, NULL, 'DUF6067', 26669),
(82944, 'PF05043', NULL, 'Mga helix-turn-helix domain', 87, NULL, 'Mga', 26670),
(82945, 'PF05344', NULL, 'Domain of Unknown Function (DUF746)', 64, NULL, 'DUF746', 26671);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(82946, 'PF16041', NULL, 'Domain of unknown function (DUF4793)', 108, NULL, 'DUF4793', 26672),
(82947, 'PF08557', NULL, 'Sphingolipid Delta4-desaturase (DES)', 37, NULL, 'Lipid_DES', 26673),
(82948, 'PF04962', NULL, 'KduI/IolB family', 261, NULL, 'KduI', 26674),
(82949, 'PF07618', NULL, 'Protein of unknown function (DUF1580)', 57, NULL, 'DUF1580', 26675),
(82950, 'PF04684', NULL, 'BAF1 / ABF1 chromatin reorganising factor', 576, NULL, 'BAF1_ABF1', 26676),
(82951, 'PF20018', NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 14', 132, NULL, 'VMAP-M14', 26677),
(82952, 'PF16464', NULL, 'Domain of unknown function (DUF5045)', 85, NULL, 'DUF5045', 26678),
(82953, 'PF00883', NULL, 'Cytosol aminopeptidase family, catalytic domain', 311, NULL, 'Peptidase_M17', 26679),
(82954, 'PF06424', NULL, 'PRP1 splicing factor, N-terminal', 146, NULL, 'PRP1_N', 26680),
(82955, 'PF11809', NULL, 'Domain of unknown function (DUF3330)', 69, NULL, 'DUF3330', 26681),
(82956, 'PF04928', NULL, 'Poly(A) polymerase central domain', 250, NULL, 'PAP_central', 26682),
(82957, 'PF13224', NULL, 'Domain of unknown function (DUF4032)', 163, NULL, 'DUF4032', 26683),
(82958, 'PF13831', NULL, 'PHD-finger', 36, NULL, 'PHD_2', 26684),
(82959, 'PF10237', NULL, 'Probable N6-adenine methyltransferase', 168, NULL, 'N6-adenineMlase', 26685),
(82960, 'PF19119', NULL, 'Family of unknown function (DUF5803)', 196, NULL, 'DUF5803', 26686),
(82961, 'PF15842', NULL, 'Domain of unknown function (DUF4718)', 184, NULL, 'DUF4718', 26687),
(82962, 'PF17565', NULL, 'Family of unknown function (DUF5471)', 70, NULL, 'DUF5471', 26688),
(82963, 'PF02649', NULL, 'Type I GTP cyclohydrolase folE2', 259, NULL, 'GCHY-1', 26689),
(82964, 'PF03616', NULL, 'Sodium/glutamate symporter', 368, NULL, 'Glt_symporter', 26690),
(82965, 'PF12910', NULL, 'Antitoxin of toxin-antitoxin, RelE / RelB, TA system', 145, NULL, 'PHD_like', 26691),
(82966, 'PF01672', NULL, 'Putative plasmid partition protein', 85, NULL, 'Plasmid_parti', 26692),
(82967, 'PF04879', NULL, 'Molybdopterin oxidoreductase Fe4S4 domain', 55, NULL, 'Molybdop_Fe4S4', 26693),
(82968, 'PF12324', NULL, 'Helix-turn-helix domain of alkylmercury lyase', 74, NULL, 'HTH_15', 26694),
(82969, 'PF13215', NULL, 'Protein of unknown function (DUF4023)', 38, NULL, 'DUF4023', 26695),
(82970, 'PF20104', NULL, 'Family of unknown function (DUF6494)', 68, NULL, 'DUF6494', 26696),
(82971, 'PF08949', NULL, 'Domain of unknown function (DUF1860)', 219, NULL, 'DUF1860', 26697),
(82972, 'PF05533', NULL, 'Beet yellows virus-type papain-like endopeptidase C42', 88, NULL, 'Peptidase_C42', 26698),
(82973, 'PF03780', NULL, 'Asp23 family, cell envelope-related function', 108, NULL, 'Asp23', 26699),
(82974, 'PF17222', NULL, 'Viral cysteine endopeptidase C107', 314, NULL, 'Peptidase_C107', 26700),
(82975, 'PF17749', NULL, 'Microtubule-binding protein MIP-T3 C-terminal region', 154, NULL, 'MIP-T3_C', 26701),
(82976, 'PF11007', NULL, 'Spore coat associated protein JA (CotJA)', 35, NULL, 'CotJA', 26702),
(82977, 'PF02427', NULL, 'Photosystem I reaction centre subunit IV / PsaE', 60, NULL, 'PSI_PsaE', 26703),
(82978, 'PF12750', NULL, 'Maff2 family', 70, NULL, 'Maff2', 26704),
(82979, 'PF13499', NULL, 'EF-hand domain pair', 71, NULL, 'EF-hand_7', 26705),
(82980, 'PF17987', NULL, 'Phosphoethanolamine N-methyltransferase 2 N-terminal', 125, NULL, 'PMT2_N', 26706),
(82981, 'PF02025', NULL, 'Interleukin 5', 112, NULL, 'IL5', 26707),
(82982, 'PF09451', NULL, 'Autophagy-related protein 27', 262, NULL, 'ATG27', 26708),
(82983, 'PF04571', NULL, 'lipin, N-terminal conserved region', 103, NULL, 'Lipin_N', 26709),
(82984, 'PF09474', NULL, 'Type III secretion system YscX (type_III_YscX)', 121, NULL, 'Type_III_YscX', 26710),
(82985, 'PF10119', NULL, 'Predicted methyltransferase regulatory domain', 84, NULL, 'MethyTransf_Reg', 26711),
(82986, 'PF15351', NULL, 'Junctional protein associated with coronary artery disease', 1358, NULL, 'JCAD', 26712),
(82987, 'PF09956', NULL, 'Uncharacterized conserved protein (DUF2190)', 101, NULL, 'DUF2190', 26713);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(82988, 'PF13963', NULL, 'Transposase-associated domain', 74, NULL, 'Transpos_assoc', 26714),
(82989, 'PF02484', NULL, 'Rhabdovirus Non-virion protein', 111, NULL, 'Rhabdo_NV', 26715),
(82990, 'PF09772', NULL, 'Transmembrane protein 26', 285, NULL, 'Tmem26', 26716),
(82991, 'PF12630', NULL, 'Poxvirus poly(A) polymerase N-terminal domain', 108, NULL, 'Pox_polyA_pol_N', 26717),
(82992, 'PF02877', NULL, 'Poly(ADP-ribose) polymerase, regulatory domain', 136, NULL, 'PARP_reg', 26718),
(82993, 'PF05576', NULL, 'PS-10 peptidase S37', 448, NULL, 'Peptidase_S37', 26719),
(82994, 'PF11865', NULL, 'Domain of unknown function (DUF3385)', 161, NULL, 'DUF3385', 26720),
(82995, 'PF00864', NULL, 'ATP P2X receptor', 361, NULL, 'P2X_receptor', 26721),
(82996, 'PF12959', NULL, 'Protein of unknown function (DUF3848)', 95, NULL, 'DUF3848', 26722),
(82997, 'PF16938', NULL, 'Putative phage holin Dp-1', 63, NULL, 'Phage_holin_Dp1', 26723),
(82998, 'PF02565', NULL, 'Recombination protein O C terminal', 157, NULL, 'RecO_C', 26724),
(82999, 'PF01525', NULL, 'Rotavirus NS26', 212, NULL, 'Rota_NS26', 26725),
(83000, 'PF10369', NULL, 'Small subunit of acetolactate synthase', 74, NULL, 'ALS_ss_C', 26726),
(83001, 'PF15712', NULL, 'NPAT C terminus', 680, NULL, 'NPAT_C', 26727),
(83002, 'PF18444', NULL, 'RNA recognition motif', 70, NULL, 'RRM_9', 26728),
(83003, 'PF18705', NULL, 'Family of unknown function (DUF5643)', 115, NULL, 'DUF5643', 26729),
(83004, 'PF18276', NULL, 'Tc toxin complex TcA C-terminal TcB-binding domain', 287, NULL, 'TcA_TcB_BD', 26730),
(83005, 'PF03478', NULL, 'Protein of unknown function (DUF295)', 55, NULL, 'DUF295', 26731),
(83006, 'PF17847', NULL, 'Glucose ABC transporter C-terminal domain', 61, NULL, 'GlcV_C_terminal', 26732),
(83007, 'PF12903', NULL, 'Protein of unknown function (DUF3830)', 144, NULL, 'DUF3830', 26733),
(83008, 'PF16982', NULL, 'Putative Flagellin, Flp1-like, domain', 49, NULL, 'Flp1_like', 26734),
(83009, 'PF11796', NULL, 'Protein of unknown function N-terminus (DUF3323)', 209, NULL, 'DUF3323', 26735),
(83010, 'PF11103', NULL, 'Protein of unknown function (DUF2887)', 200, NULL, 'DUF2887', 26736),
(83011, 'PF12140', NULL, 'SLED domain', 112, NULL, 'SLED', 26737),
(83012, 'PF13994', NULL, 'PgaD-like protein', 148, NULL, 'PgaD', 26738),
(83013, 'PF15450', NULL, 'Coiled-coil domain-containing protein 154', 531, NULL, 'CCDC154', 26739),
(83014, 'PF13472', NULL, 'GDSL-like Lipase/Acylhydrolase family', 179, NULL, 'Lipase_GDSL_2', 26740),
(83015, 'PF16566', NULL, 'Cell-cycle alteration and expression-elevated protein in tumour', 147, NULL, 'CREPT', 26741),
(83016, 'PF18339', NULL, 'RapA N-terminal Tudor like domain 1', 51, NULL, 'Tudor_1_RapA', 26742),
(83017, 'PF15160', NULL, 'Spermatogenesis-associated serine-rich protein 1', 238, NULL, 'SASRP1', 26743),
(83018, 'PF16004', NULL, '116 kDa U5 small nuclear ribonucleoprotein component N-terminus', 121, NULL, 'EFTUD2', 26744),
(83019, 'PF17136', NULL, 'Ribosomal proteins 50S L24/mitochondrial 39S L24', 65, NULL, 'ribosomal_L24', 26745),
(83020, 'PF19732', NULL, 'Stage II sporulation protein E N-terminal', 605, NULL, 'SpoIIE_N', 26746),
(83021, 'PF04674', NULL, 'Phosphate-induced protein 1 conserved region', 276, NULL, 'Phi_1', 26747),
(83022, 'PF14643', NULL, 'Domain of unknown function (DUF4455)', 469, NULL, 'DUF4455', 26748),
(83023, 'PF09121', NULL, 'Tower', 42, NULL, 'Tower', 26749),
(83024, 'PF17316', NULL, 'Perilipin protein', 254, NULL, 'Perilipin_2', 26750),
(83025, 'PF05037', NULL, 'Protein of unknown function (DUF669)', 140, NULL, 'DUF669', 26751),
(83026, 'PF06395', NULL, 'CDC24 Calponin', 89, NULL, 'CDC24', 26752),
(83027, 'PF09497', NULL, 'Transcription mediator complex subunit Med12', 63, NULL, 'Med12', 26753),
(83028, 'PF11136', NULL, 'Protein of unknown function (DUF2889)', 123, NULL, 'DUF2889', 26754),
(83029, 'PF08889', NULL, 'WbqC-like protein family', 218, NULL, 'WbqC', 26755),
(83030, 'PF09505', NULL, 'Dimethylamine methyltransferase (Dimeth_PyL)', 463, NULL, 'Dimeth_Pyl', 26756),
(83031, 'PF08823', NULL, 'Putative peptidoglycan binding domain', 74, NULL, 'PG_binding_2', 26757);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(83032, 'PF07274', NULL, 'Protein of unknown function (DUF1440)', 135, NULL, 'DUF1440', 26758),
(83033, 'PF18319', NULL, 'PriA DNA helicase Cys-rich region (CRR) domain', 27, NULL, 'PriA_CRR', 26759),
(83034, 'PF08327', NULL, 'Activator of Hsp90 ATPase homolog 1-like protein', 126, NULL, 'AHSA1', 26760),
(83035, 'PF19826', NULL, 'Family of unknown function (DUF6307)', 43, NULL, 'DUF6307', 26761),
(83036, 'PF01477', NULL, 'PLAT/LH2 domain', 117, NULL, 'PLAT', 26762),
(83037, 'PF07985', NULL, 'SRR1', 55, NULL, 'SRR1', 26763),
(83038, 'PF10373', NULL, 'Est1 DNA/RNA binding domain', 285, NULL, 'EST1_DNA_bind', 26764),
(83039, 'PF18888', NULL, 'Repeat of unknown function (DUF5650)', 55, NULL, 'DUF5650', 26765),
(83040, 'PF13473', NULL, 'Cupredoxin-like domain', 104, NULL, 'Cupredoxin_1', 26766),
(83041, 'PF14749', NULL, 'Acyl-coenzyme A oxidase N-terminal', 125, NULL, 'Acyl-CoA_ox_N', 26767),
(83042, 'PF00401', NULL, 'ATP synthase, Delta/Epsilon chain, long alpha-helix domain', 47, NULL, 'ATP-synt_DE', 26768),
(83043, 'PF03733', NULL, 'Inner membrane component domain', 51, NULL, 'YccF', 26769),
(83044, 'PF15049', NULL, 'Protein of unknown function (DUF4534)', 163, NULL, 'DUF4534', 26770),
(83045, 'PF01960', NULL, 'ArgJ family', 375, NULL, 'ArgJ', 26771),
(83046, 'PF05768', NULL, 'Glutaredoxin-like domain (DUF836)', 82, NULL, 'Glrx-like', 26772),
(83047, 'PF02255', NULL, 'PTS system, Lactose/Cellobiose specific IIA subunit', 94, NULL, 'PTS_IIA', 26773),
(83048, 'PF02774', NULL, 'Semialdehyde dehydrogenase, dimerisation domain', 184, NULL, 'Semialdhyde_dhC', 26774),
(83049, 'PF02223', NULL, 'Thymidylate kinase', 185, NULL, 'Thymidylate_kin', 26775),
(83050, 'PF19248', NULL, 'Family of unknown function (DUF5896)', 192, NULL, 'DUF5896', 26776),
(83051, 'PF06291', NULL, 'Bor protein', 77, NULL, 'Lambda_Bor', 26777),
(83052, 'PF14858', NULL, 'Cilia- and flagella-associated protein 54', 542, NULL, 'CFAP54_N', 26778),
(83053, 'PF14141', NULL, 'YqzM-like protein', 42, NULL, 'YqzM', 26779),
(83054, 'PF04756', NULL, 'OST3 / OST6 family, transporter family', 293, NULL, 'OST3_OST6', 26780),
(83055, 'PF11522', NULL, 'Yeast phosphatidylinositol-4-OH kinase Pik1', 51, NULL, 'Pik1', 26781),
(83056, 'PF17147', NULL, 'Pyruvate:ferredoxin oxidoreductase core domain II', 102, NULL, 'PFOR_II', 26782),
(83057, 'PF18702', NULL, 'Domain of unknown function (DUF5642)', 186, NULL, 'DUF5642', 26783),
(83058, 'PF06894', NULL, 'Bacteriophage lambda tail assembly chaperone, TAC, protein G', 126, NULL, 'Phage_TAC_2', 26784),
(83059, 'PF12692', NULL, 'S-adenosyl-L-methionine methyltransferase', 160, NULL, 'Methyltransf_17', 26785),
(83060, 'PF00654', NULL, 'Voltage gated chloride channel', 348, NULL, 'Voltage_CLC', 26786),
(83061, 'PF05475', NULL, 'Pgp3 C-terminal domain', 146, NULL, 'Chlam_vir', 26787),
(83062, 'PF01491', NULL, 'Frataxin-like domain', 109, NULL, 'Frataxin_Cyay', 26788),
(83063, 'PF05840', NULL, 'Bacteriophage replication gene A protein (GPA)', 318, NULL, 'Phage_GPA', 26789),
(83064, 'PF11787', NULL, 'Aft1 HRR domain', 71, NULL, 'Aft1_HRR', 26790),
(83065, 'PF06770', NULL, 'Actin-rearrangement-inducing factor (Arif-1)', 205, NULL, 'Arif-1', 26791),
(83066, 'PF06086', NULL, 'Orthopoxvirus A26L/A30L protein', 220, NULL, 'Pox_A30L_A26L', 26792),
(83067, 'PF16008', NULL, 'Domain of unknown function (DUF4778)', 285, NULL, 'DUF4778', 26793),
(83068, 'PF06507', NULL, 'Auxin response factor', 83, NULL, 'Auxin_resp', 26794),
(83069, 'PF16929', NULL, 'Accessory Sec system GspB-transporter', 500, NULL, 'Asp2', 26795),
(83070, 'PF15638', NULL, 'Metallopeptidase toxin 2', 194, NULL, 'Tox-MPTase2', 26796),
(83071, 'PF16110', NULL, 'Domain of unknown function (DUF4828)', 79, NULL, 'DUF4828', 26797),
(83072, 'PF19564', NULL, 'Family of unknown function (DUF6086)', 119, NULL, 'DUF6086', 26798),
(83073, 'PF05672', NULL, 'MAP7 (E-MAP-115) family', 157, NULL, 'MAP7', 26799),
(83074, 'PF19733', NULL, 'Family of unknown function (DUF6223)', 99, NULL, 'DUF6223', 26800),
(83075, 'PF09103', NULL, 'BRCA2, oligonucleotide/oligosaccharide-binding, domain 1', 123, NULL, 'BRCA-2_OB1', 26801);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(83076, 'PF01357', NULL, 'Expansin C-terminal domain', 80, NULL, 'Expansin_C', 26802),
(83077, 'PF07085', NULL, 'DRTGG domain', 105, NULL, 'DRTGG', 26803),
(83078, 'PF11574', NULL, 'Protein of unknown function (DUF3235)', 88, NULL, 'DUF3235', 26804),
(83079, 'PF06728', NULL, 'GPI transamidase subunit PIG-U', 381, NULL, 'PIG-U', 26805),
(83080, 'PF16593', NULL, 'Bridge helix of CRISPR-associated endonuclease Cas9', 33, NULL, 'Cas9-BH', 26806),
(83081, 'PF01378', NULL, 'B domain', 68, NULL, 'IgG_binding_B', 26807),
(83082, 'PF09160', NULL, 'FimH, mannose binding', 146, NULL, 'FimH_man-bind', 26808),
(83083, 'PF11393', NULL, 'Type-IV b secretion system, inner-membrane complex component', 180, NULL, 'T4BSS_DotI_IcmL', 26809),
(83084, 'PF01163', NULL, 'RIO1 family', 188, NULL, 'RIO1', 26810),
(83085, 'PF09890', NULL, 'Uncharacterized protein conserved in archaea (DUF2117)', 331, NULL, 'DUF2117', 26811),
(83086, 'PF17628', NULL, 'Inclusion membrane protein D', 141, NULL, 'IncD', 26812),
(83087, 'PF09759', NULL, 'Spinocerebellar ataxia type 10 protein domain', 99, NULL, 'Atx10homo_assoc', 26813),
(83088, 'PF17251', NULL, 'Protochlamydia outer membrane protein', 285, NULL, 'Pom', 26814),
(83089, 'PF12941', NULL, 'HCV NS5a protein C-terminal region', 242, NULL, 'HCV_NS5a_C', 26815),
(83090, 'PF15272', NULL, 'Spindle pole body component BBP1, C-terminal', 190, NULL, 'BBP1_C', 26816),
(83091, 'PF01805', NULL, 'Surp module', 53, NULL, 'Surp', 26817),
(83092, 'PF13249', NULL, 'Squalene-hopene cyclase N-terminal domain', 291, NULL, 'SQHop_cyclase_N', 26818),
(83093, 'PF08925', NULL, 'Domain of Unknown Function (DUF1907)', 282, NULL, 'DUF1907', 26819),
(83094, 'PF10756', NULL, 'Bacterial PH domain', 73, NULL, 'bPH_6', 26820),
(83095, 'PF03269', NULL, 'Caenorhabditis protein of unknown function, DUF268', 176, NULL, 'DUF268', 26821),
(83096, 'PF03572', NULL, 'Peptidase family S41', 167, NULL, 'Peptidase_S41', 26822),
(83097, 'PF19820', NULL, 'Family of unknown function (DUF6303)', 93, NULL, 'DUF6303', 26823),
(83098, 'PF02735', NULL, 'Ku70/Ku80 beta-barrel domain', 204, NULL, 'Ku', 26824),
(83099, 'PF07024', NULL, 'ImpE protein', 122, NULL, 'ImpE', 26825),
(83100, 'PF14219', NULL, 'Domain of unknown function (DUF4328)', 167, NULL, 'DUF4328', 26826),
(83101, 'PF13211', NULL, 'Protein of unknown function (DUF4019)', 104, NULL, 'DUF4019', 26827),
(83102, 'PF15891', NULL, 'Nucleoside 2-deoxyribosyltransferase like', 108, NULL, 'Nuc_deoxyri_tr2', 26828),
(83103, 'PF17988', NULL, 'VEGFR-2 Transmembrane domain', 35, NULL, 'VEGFR-2_TMD', 26829),
(83104, 'PF00263', NULL, 'Bacterial type II and III secretion system protein', 168, NULL, 'Secretin', 26830),
(83105, 'PF04186', NULL, 'FxsA cytoplasmic membrane protein', 109, NULL, 'FxsA', 26831),
(83106, 'PF11978', NULL, 'Shoulder domain', 117, NULL, 'MVP_shoulder', 26832),
(83107, 'PF00378', NULL, 'Enoyl-CoA hydratase/isomerase', 251, NULL, 'ECH_1', 26833),
(83108, 'PF11330', NULL, 'C-Terminal of 30K viral movement proteins', 242, NULL, '30K_MP_C_Ter', 26834),
(83109, 'PF13218', NULL, 'Protein of unknown function (DUF4026)', 323, NULL, 'DUF4026', 26835),
(83110, 'PF15978', NULL, 'Tn7-like transposition protein D', 360, NULL, 'TnsD', 26836),
(83111, 'PF09684', NULL, 'Phage tail protein (Tail_P2_I)', 136, NULL, 'Tail_P2_I', 26837),
(83112, 'PF16614', NULL, 'Unstructured region two on RhoGEF 6 and 7', 99, NULL, 'RhoGEF67_u2', 26838),
(83113, 'PF10883', NULL, 'Protein of unknown function (DUF2681)', 87, NULL, 'DUF2681', 26839),
(83114, 'PF15321', NULL, 'ATPase family AAA domain containing 4', 98, NULL, 'ATAD4', 26840),
(83115, 'PF11829', NULL, 'Protein of unknown function (DUF3349)', 95, NULL, 'DUF3349', 26841),
(83116, 'PF16748', NULL, 'Inscuteable LGN-binding domain', 47, NULL, 'INSC_LBD', 26842),
(83117, 'PF09176', NULL, 'Methylene-tetrahydromethanopterin dehydrogenase, N-terminal', 81, NULL, 'Mpt_N', 26843),
(83118, 'PF08302', NULL, 'Fungal tRNA ligase phosphodiesterase domain', 253, NULL, 'tRNA_lig_CPD', 26844),
(83119, 'PF05513', NULL, 'TraA', 120, NULL, 'TraA', 26845);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(83120, 'PF10300', NULL, 'Protein of unknown function (DUF3808)', 479, NULL, 'DUF3808', 26846),
(83121, 'PF04711', NULL, 'Apolipoprotein A-II (ApoA-II)', 99, NULL, 'ApoA-II', 26847),
(83122, 'PF16786', NULL, 'Recombination enhancement, RecA-dependent nuclease', 103, NULL, 'RecA_dep_nuc', 26848),
(83123, 'PF02628', NULL, 'Cytochrome oxidase assembly protein', 323, NULL, 'COX15-CtaA', 26849),
(83124, 'PF08482', NULL, 'ATP-dependent helicase C-terminal', 134, NULL, 'HrpB_C', 26850),
(83125, 'PF13065', NULL, 'Protein of unknown function (DUF3928)', 95, NULL, 'DUF3928', 26851),
(83126, 'PF11080', NULL, 'Endoribonuclease GhoS', 92, NULL, 'GhoS', 26852),
(83127, 'PF03291', NULL, 'mRNA capping enzyme', 333, NULL, 'Pox_MCEL', 26853),
(83128, 'PF15275', NULL, 'PEHE domain', 128, NULL, 'PEHE', 26854),
(83129, 'PF13121', NULL, 'Domain of unknown function (DUF3976)', 40, NULL, 'DUF3976', 26855),
(83130, 'PF19802', NULL, 'Domain of unknown function (DUF6285)', 91, NULL, 'DUF6285', 26856),
(83131, 'PF10545', NULL, 'Alcohol dehydrogenase transcription factor Myb/SANT-like', 84, NULL, 'MADF_DNA_bdg', 26857),
(83132, 'PF06075', NULL, 'Plant protein of unknown function (DUF936)', 699, NULL, 'DUF936', 26858),
(83133, 'PF05592', NULL, 'Bacterial alpha-L-rhamnosidase concanavalin-like domain', 102, NULL, 'Bac_rhamnosid', 26859),
(83134, 'PF00645', NULL, 'Poly(ADP-ribose) polymerase and DNA-Ligase Zn-finger region', 82, NULL, 'zf-PARP', 26860),
(83135, 'PF11528', NULL, 'Protein of unknown function (DUF3224)', 126, NULL, 'DUF3224', 26861),
(83136, 'PF15017', NULL, 'Putative WW-binding domain and destruction box', 69, NULL, 'WRNPLPNID', 26862),
(83137, 'PF16949', NULL, 'Putative ATP-binding cassette', 542, NULL, 'ABC_tran_2', 26863),
(83138, 'PF01412', NULL, 'Putative GTPase activating protein for Arf', 117, NULL, 'ArfGap', 26864),
(83139, 'PF11255', NULL, 'Protein of unknown function (DUF3054)', 114, NULL, 'DUF3054', 26865),
(83140, 'PF00725', NULL, '3-hydroxyacyl-CoA dehydrogenase, C-terminal domain', 97, NULL, '3HCDH', 26866),
(83141, 'PF08452', NULL, 'DNA polymerase family B exonuclease domain, N-terminal', 22, NULL, 'DNAP_B_exo_N', 26867),
(83142, 'PF01575', NULL, 'MaoC like domain', 123, NULL, 'MaoC_dehydratas', 26868),
(83143, 'PF01629', NULL, 'Domain of unknown function DUF22', 106, NULL, 'DUF22', 26869),
(83144, 'PF08930', NULL, 'Domain of unknown function (DUF1912)', 84, NULL, 'DUF1912', 26870),
(83145, 'PF15053', NULL, 'Mjmu-R1-like protein family', 352, NULL, 'Njmu-R1', 26871),
(83146, 'PF16785', NULL, 'Small metal-binding protein', 111, NULL, 'SMBP', 26872),
(83147, 'PF02723', NULL, 'Coronavirus small envelope protein E', 76, NULL, 'CoV_E', 26873),
(83148, 'PF17072', NULL, 'Torovirinae spike glycoprotein', 1291, NULL, 'Spike_torovirin', 26874),
(83149, 'PF14860', NULL, 'DrrA phosphatidylinositol 4-phosphate binding domain', 104, NULL, 'DrrA_P4M', 26875),
(83150, 'PF17956', NULL, 'Nicotinate phosphoribosyltransferase C-terminal domain', 111, NULL, 'NAPRTase_C', 26876),
(83151, 'PF02686', NULL, 'Glu-tRNAGln amidotransferase C subunit', 62, NULL, 'Glu-tRNAGln', 26877),
(83152, 'PF06078', NULL, 'Bacterial protein of unknown function (DUF937)', 135, NULL, 'DUF937', 26878),
(83153, 'PF06882', NULL, 'Protein of unknown function (DUF1263)', 57, NULL, 'DUF1263', 26879),
(83154, 'PF01372', NULL, 'Melittin', 26, NULL, 'Melittin', 26880),
(83155, 'PF11808', NULL, 'Phosphate regulon sensor protein PhoR', 86, NULL, 'PhoR', 26881),
(83156, 'PF15943', NULL, 'Putative antitoxin of bacterial toxin-antitoxin system, YdaS/YdaT', 65, NULL, 'YdaS_antitoxin', 26882),
(83157, 'PF19517', NULL, 'Family of unknown function (DUF6050)', 116, NULL, 'DUF6050', 26883),
(83158, 'PF12311', NULL, 'Protein of unknown function (DUF3632)', 175, NULL, 'DUF3632', 26884),
(83159, 'PF13623', NULL, 'SurA N-terminal domain', 145, NULL, 'SurA_N_2', 26885),
(83160, 'PF19962', NULL, 'Effector-associated domain 9', 62, NULL, 'EAD9', 26886),
(83161, 'PF10322', NULL, 'Serpentine type 7TM GPCR chemoreceptor Sru', 304, NULL, '7TM_GPCR_Sru', 26887),
(83162, 'PF12862', NULL, 'Anaphase-promoting complex subunit 5', 92, NULL, 'ANAPC5', 26888);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(83163, 'PF11932', NULL, 'Protein of unknown function (DUF3450)', 241, NULL, 'DUF3450', 26889),
(83164, 'PF12379', NULL, 'Betacoronavirus replicase NSP3, N-terminal', 149, NULL, 'bCoV_NSP3_N', 26890),
(83165, 'PF07203', NULL, 'Protein of unknown function (DUF1412)', 53, NULL, 'DUF1412', 26891),
(83166, 'PF12863', NULL, 'Domain of unknown function (DUF3821)', 209, NULL, 'DUF3821', 26892),
(83167, 'PF02415', NULL, 'Chlamydia polymorphic membrane protein (Chlamydia_PMP) repeat', 28, NULL, 'Chlam_PMP', 26893),
(83168, 'PF02839', NULL, 'Carbohydrate binding domain', 25, NULL, 'CBM_5_12', 26894),
(83169, 'PF12360', NULL, 'Paired box protein 7', 45, NULL, 'Pax7', 26895),
(83170, 'PF10240', NULL, 'Multivesicular body subunit 12', 256, NULL, 'DUF2464', 26896),
(83171, 'PF18861', NULL, 'TM proximal of protein tyrosine phosphatase, receptor type J', 126, NULL, 'PTP_tm', 26897),
(83172, 'PF06686', NULL, 'Stage III sporulation protein AC/AD protein family', 56, NULL, 'SpoIIIAC', 26898),
(83173, 'PF13799', NULL, 'Domain of unknown function (DUF4183)', 74, NULL, 'DUF4183', 26899),
(83174, 'PF01706', NULL, 'FliG C-terminal domain', 108, NULL, 'FliG_C', 26900),
(83175, 'PF19970', NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 9', 135, NULL, 'VMAP-M9', 26901),
(83176, 'PF13555', NULL, 'P-loop containing region of AAA domain', 61, NULL, 'AAA_29', 26902),
(83177, 'PF09188', NULL, 'Domain of unknown function (DUF1951)', 128, NULL, 'DUF1951', 26903),
(83178, 'PF19112', NULL, 'Vanillate O-demethylase oxygenase C-terminal domain', 195, NULL, 'VanA_C', 26904),
(83179, 'PF03486', NULL, 'HI0933-like protein', 409, NULL, 'HI0933_like', 26905),
(83180, 'PF12445', NULL, 'Flagellin protein', 129, NULL, 'FliC', 26906),
(83181, 'PF13373', NULL, 'DUF2407 C-terminal domain', 141, NULL, 'DUF2407_C', 26907),
(83182, 'PF12857', NULL, 'TOBE-like domain', 59, NULL, 'TOBE_3', 26908),
(83183, 'PF01267', NULL, 'F-actin capping protein alpha subunit', 265, NULL, 'F-actin_cap_A', 26909),
(83184, 'PF11372', NULL, 'Domain of unknown function (DUF3173)', 58, NULL, 'DUF3173', 26910),
(83185, 'PF03721', NULL, 'UDP-glucose/GDP-mannose dehydrogenase family, NAD binding domain', 187, NULL, 'UDPG_MGDP_dh_N', 26911),
(83186, 'PF15485', NULL, 'Domain of unknown function (DUF4643)', 270, NULL, 'DUF4643', 26912),
(83187, 'PF18794', NULL, 'DNA mismatch repair protein HSM3, C terminal domain', 177, NULL, 'HSM3_C', 26913),
(83188, 'PF18812', NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease3', 116, NULL, 'PBECR3', 26914),
(83189, 'PF03259', NULL, 'Roadblock/LC7 domain', 91, NULL, 'Robl_LC7', 26915),
(83190, 'PF03459', NULL, 'TOBE domain', 64, NULL, 'TOBE', 26916),
(83191, 'PF06377', NULL, 'Adipokinetic hormone', 51, NULL, 'Adipokin_hormo', 26917),
(83192, 'PF03273', NULL, 'Baculovirus gp64 envelope glycoprotein family', 494, NULL, 'Baculo_gp64', 26918),
(83193, 'PF00814', NULL, 'tRNA N6-adenosine threonylcarbamoyltransferase', 271, NULL, 'TsaD', 26919),
(83194, 'PF18299', NULL, 'ATP-grasp domain, R2K clade family 2', 146, NULL, 'R2K_2', 26920),
(83195, 'PF12697', NULL, 'Alpha/beta hydrolase family', 220, NULL, 'Abhydrolase_6', 26921),
(83196, 'PF03104', NULL, 'DNA polymerase family B, exonuclease domain', 337, NULL, 'DNA_pol_B_exo1', 26922),
(83197, 'PF15138', NULL, 'Syncollin', 112, NULL, 'Syncollin', 26923),
(83198, 'PF08604', NULL, 'Nucleoporin Nup153-like', 509, NULL, 'Nup153', 26924),
(83199, 'PF17568', NULL, 'Family of unknown function (DUF5474)', 77, NULL, 'DUF5474', 26925),
(83200, 'PF00410', NULL, 'Ribosomal protein S8', 126, NULL, 'Ribosomal_S8', 26926),
(83201, 'PF00773', NULL, 'RNB domain', 323, NULL, 'RNB', 26927),
(83202, 'PF15551', NULL, 'Domain of unknown function (DUF4656)', 361, NULL, 'DUF4656', 26928),
(83203, 'PF15893', NULL, 'Domain of unknown function (DUF4739)', 237, NULL, 'DUF4739', 26929),
(83204, 'PF03583', NULL, 'Secretory lipase', 286, NULL, 'LIP', 26930),
(83205, 'PF10159', NULL, 'Multiple myeloma tumor-associated', 79, NULL, 'MMtag', 26931),
(83206, 'PF04143', NULL, 'Sulphur transport', 310, NULL, 'Sulf_transp', 26932);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(83207, 'PF15588', NULL, 'Immunity protein 10', 106, NULL, 'Imm10', 26933),
(83208, 'PF07553', NULL, 'Host cell surface-exposed lipoprotein', 48, NULL, 'Lipoprotein_Ltp', 26934),
(83209, 'PF11826', NULL, 'Protein of unknown function (DUF3346)', 225, NULL, 'DUF3346', 26935),
(83210, 'PF04628', NULL, 'Sedlin, N-terminal conserved region', 131, NULL, 'Sedlin_N', 26936),
(83211, 'PF09438', NULL, 'Domain of unknown function (DUF2017)', 177, NULL, 'DUF2017', 26937),
(83212, 'PF19838', NULL, 'LptD protein', 465, NULL, 'LptD_2', 26938),
(83213, 'PF10327', NULL, 'Serpentine type 7TM GPCR chemoreceptor Sri', 303, NULL, '7TM_GPCR_Sri', 26939),
(83214, 'PF12356', NULL, 'Baculoviral IAP repeat-containing protein 6', 176, NULL, 'BIRC6', 26940),
(83215, 'PF19879', NULL, 'Family of unknown function (DUF6352)', 290, NULL, 'DUF6352', 26941),
(83216, 'PF06161', NULL, 'Protein of unknown function (DUF975)', 243, NULL, 'DUF975', 26942),
(83217, 'PF05079', NULL, 'Protein of unknown function (DUF680)', 56, NULL, 'DUF680', 26943),
(83218, 'PF03862', NULL, 'SpoVAC/SpoVAEB sporulation membrane protein', 114, NULL, 'SpoVAC_SpoVAEB', 26944),
(83219, 'PF17303', NULL, 'Family of unknown function (DUF5352)', 165, NULL, 'DUF5352', 26945),
(83220, 'PF13611', NULL, 'Serine peptidase of plant viral polyprotein, P1', 121, NULL, 'Peptidase_S76', 26946),
(83221, 'PF14683', NULL, 'Polysaccharide lyase family 4, domain III', 169, NULL, 'CBM-like', 26947),
(83222, 'PF15380', NULL, 'Domain of unknown function (DUF4607)', 264, NULL, 'DUF4607', 26948),
(83223, 'PF04363', NULL, 'Protein of unknown function (DUF496)', 93, NULL, 'DUF496', 26949),
(83224, 'PF07652', NULL, 'Flavivirus DEAD domain', 148, NULL, 'Flavi_DEAD', 26950),
(83225, 'PF08672', NULL, 'Anaphase promoting complex (APC) subunit 2', 60, NULL, 'ANAPC2', 26951),
(83226, 'PF11780', NULL, 'Protein of unknown function (DUF3318)', 143, NULL, 'DUF3318', 26952),
(83227, 'PF12657', NULL, 'Transcription factor IIIC subunit delta N-term', 184, NULL, 'TFIIIC_delta', 26953),
(83228, 'PF10626', NULL, 'Conjugative transposon protein TraO', 168, NULL, 'TraO', 26954),
(83229, 'PF04159', NULL, 'NB glycoprotein', 100, NULL, 'NB', 26955),
(83230, 'PF04704', NULL, 'Zfx / Zfy transcription activation region', 328, NULL, 'Zfx_Zfy_act', 26956),
(83231, 'PF03741', NULL, 'Integral membrane protein TerC family', 179, NULL, 'TerC', 26957),
(83232, 'PF06477', NULL, 'Protein of unknown function (DUF1091)', 83, NULL, 'DUF1091', 26958),
(83233, 'PF02174', NULL, 'PTB domain (IRS-1 type)', 100, NULL, 'IRS', 26959),
(83234, 'PF14154', NULL, 'Domain of unknown function (DUF4306)', 88, NULL, 'DUF4306', 26960),
(83235, 'PF01649', NULL, 'Ribosomal protein S20', 82, NULL, 'Ribosomal_S20p', 26961),
(83236, 'PF08761', NULL, 'dUTPase', 164, NULL, 'dUTPase_2', 26962),
(83237, 'PF13300', NULL, 'Domain of unknown function (DUF4078)', 86, NULL, 'DUF4078', 26963),
(83238, 'PF15097', NULL, 'Immunoglobulin J chain', 134, NULL, 'Ig_J_chain', 26964),
(83239, 'PF07539', NULL, 'Down-regulated in metastasis', 618, NULL, 'DRIM', 26965),
(83240, 'PF09773', NULL, 'Meckelin (Transmembrane protein 67)', 826, NULL, 'Meckelin', 26966),
(83241, 'PF04155', NULL, 'Ground-like domain', 73, NULL, 'Ground-like', 26967),
(83242, 'PF07569', NULL, 'TUP1-like enhancer of split', 221, NULL, 'Hira', 26968),
(83243, 'PF17453', NULL, 'Sigma-M inhibitor', 96, NULL, 'Sigma_M_inh', 26969),
(83244, 'PF15204', NULL, 'Kita-kyushu lung cancer antigen 1', 87, NULL, 'KKLCAg1', 26970),
(83245, 'PF01916', NULL, 'Deoxyhypusine synthase', 288, NULL, 'DS', 26971),
(83246, 'PF19704', NULL, 'DNA-PKcs, CC5', 691, NULL, 'DNAPKcs_CC5', 26972),
(83247, 'PF10385', NULL, 'RNA polymerase beta subunit external 1 domain', 65, NULL, 'RNA_pol_Rpb2_45', 26973),
(83248, 'PF13181', NULL, 'Tetratricopeptide repeat', 34, NULL, 'TPR_8', 26974),
(83249, 'PF15730', NULL, 'Domain of unknown function (DUF4680)', 144, NULL, 'DUF4680', 26975),
(83250, 'PF07095', NULL, 'Intracellular growth attenuator protein IgaA', 703, NULL, 'IgaA', 26976),
(83251, 'PF17215', NULL, 'S1 domain', 89, NULL, 'Rrp44_S1', 26977); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(83252, 'PF17389', NULL, 'Bacterial alpha-L-rhamnosidase 6 hairpin glycosidase domain', 340, NULL, 'Bac_rhamnosid6H', 26978),
(83253, 'PF04834', NULL, 'Early E3 14.5 kDa protein', 100, NULL, 'Adeno_E3_14_5', 26979),
(83254, 'PF00307', NULL, 'Calponin homology (CH) domain', 109, NULL, 'CH', 26980),
(83255, 'PF12757', NULL, 'Eisosome protein 1', 125, NULL, 'Eisosome1', 26981),
(83256, 'PF10524', NULL, 'Nuclear factor I protein pre-N-terminus', 41, NULL, 'NfI_DNAbd_pre-N', 26982),
(83257, 'PF16696', NULL, 'Zinc finger FYVE domain-containing protein 21 C-terminus', 126, NULL, 'ZFYVE21_C', 26983),
(83258, 'PF02990', NULL, 'Endomembrane protein 70', 521, NULL, 'EMP70', 26984),
(83259, 'PF03635', NULL, 'Vacuolar protein sorting-associated protein 35', 728, NULL, 'Vps35', 26985),
(83260, 'PF07176', NULL, 'Alpha/beta hydrolase of unknown function (DUF1400)', 127, NULL, 'DUF1400', 26986),
(83261, 'PF17058', NULL, 'Mitochondrial biogenesis regulation protein 1', 230, NULL, 'MBR1', 26987),
(83262, 'PF09837', NULL, 'Uncharacterized protein conserved in bacteria (DUF2064)', 123, NULL, 'DUF2064', 26988),
(83263, 'PF17005', NULL, 'WD40-like domain', 301, NULL, 'WD40_like', 26989),
(83264, 'PF19387', NULL, 'Family of unknown function (DUF5962)', 94, NULL, 'DUF5962', 26990),
(83265, 'PF13786', NULL, 'Domain of unknown function (DUF4179)', 90, NULL, 'DUF4179', 26991),
(83266, 'PF09071', NULL, 'Alpha-amylase, C terminal', 67, NULL, 'Alpha-amyl_C', 26992),
(83267, 'PF13938', NULL, 'Putative heavy-metal chelation', 73, NULL, 'DUF4213', 26993),
(83268, 'PF00614', NULL, 'Phospholipase D Active site motif', 28, NULL, 'PLDc', 26994),
(83269, 'PF13877', NULL, 'Potential Monad-binding region of RPAP3', 92, NULL, 'RPAP3_C', 26995),
(83270, 'PF18649', NULL, 'EcpB C-terminal domain', 72, NULL, 'EcpB_C', 26996),
(83271, 'PF12654', NULL, 'Domain of unknown function (DUF3786)', 176, NULL, 'DUF3786', 26997),
(83272, 'PF17906', NULL, 'HTH domain in Mos1 transposase', 50, NULL, 'HTH_48', 26998),
(83273, 'PF02247', NULL, 'Large coat protein', 373, NULL, 'Como_LCP', 26999),
(83274, 'PF11489', NULL, 'Altered inheritance of mitochondria protein 21', 725, NULL, 'Aim21', 27000),
(83275, 'PF10084', NULL, 'Uncharacterized protein conserved in bacteria (DUF2322)', 99, NULL, 'DUF2322', 27001),
(83276, 'PF08178', NULL, 'GnsA/GnsB toxin of bacterial toxin-antitoxin system', 54, NULL, 'GnsAB_toxin', 27002),
(83277, 'PF12769', NULL, '4TM region of pyridine nucleotide transhydrogenase, mitoch', 86, NULL, 'PNTB_4TM', 27003),
(83278, 'PF13649', NULL, 'Methyltransferase domain', 97, NULL, 'Methyltransf_25', 27004),
(83279, 'PF03479', NULL, 'Plants and Prokaryotes Conserved (PCC) domain', 110, NULL, 'PCC', 27005),
(83280, 'PF02748', NULL, 'Aspartate carbamoyltransferase regulatory chain, metal binding domain', 48, NULL, 'PyrI_C', 27006),
(83281, 'PF03600', NULL, 'Citrate transporter', 296, NULL, 'CitMHS', 27007),
(83282, 'PF05817', NULL, 'Oligosaccharyltransferase subunit Ribophorin II', 633, NULL, 'Ribophorin_II', 27008),
(83283, 'PF11753', NULL, 'Protein of unknwon function (DUF3310)', 60, NULL, 'DUF3310', 27009),
(83284, 'PF04676', NULL, 'Protein similar to CwfJ C-terminus 2', 99, NULL, 'CwfJ_C_2', 27010),
(83285, 'PF16746', NULL, 'BAR domain of APPL family', 237, NULL, 'BAR_3', 27011),
(83286, 'PF08818', NULL, 'Domain of unknown function (DU1801)', 85, NULL, 'DUF1801', 27012),
(83287, 'PF12244', NULL, 'Protein of unknown function (DUF3606)', 54, NULL, 'DUF3606', 27013),
(83288, 'PF07006', NULL, 'Protein of unknown function (DUF1310)', 119, NULL, 'DUF1310', 27014),
(83289, 'PF08920', NULL, 'Splicing factor 3B subunit 1', 131, NULL, 'SF3b1', 27015),
(83290, 'PF09126', NULL, 'Restriction endonuclease NaeI', 288, NULL, 'NaeI', 27016),
(83291, 'PF01176', NULL, 'Translation initiation factor 1A / IF-1', 64, NULL, 'eIF-1a', 27017),
(83292, 'PF06812', NULL, 'ImpA, N-terminal, type VI secretion system', 119, NULL, 'ImpA_N', 27018),
(83293, 'PF19459', NULL, 'Family of unknown function (DUF5996)', 296, NULL, 'DUF5996', 27019),
(83294, 'PF08357', NULL, 'SEFIR domain', 150, NULL, 'SEFIR', 27020);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(83295, 'PF08466', NULL, 'Inward rectifier potassium channel N-terminal', 45, NULL, 'IRK_N', 27021),
(83296, 'PF13986', NULL, 'Domain of unknown function (DUF4224)', 45, NULL, 'DUF4224', 27022),
(83297, 'PF03767', NULL, 'HAD superfamily, subfamily IIIB (Acid phosphatase)', 230, NULL, 'Acid_phosphat_B', 27023),
(83298, 'PF05924', NULL, 'SAMP Motif', 22, NULL, 'SAMP', 27024),
(83299, 'PF02472', NULL, 'Biopolymer transport protein ExbD/TolR', 130, NULL, 'ExbD', 27025),
(83300, 'PF14987', NULL, 'NADH dehydrogenase 1 alpha subcomplex subunit 3', 78, NULL, 'NADHdh_A3', 27026),
(83301, 'PF10273', NULL, 'Pre-rRNA-processing protein TSR2', 81, NULL, 'WGG', 27027),
(83302, 'PF04771', NULL, 'Chicken anaemia virus VP-3 protein', 121, NULL, 'CAV_VP3', 27028),
(83303, 'PF10779', NULL, 'Haemolysin XhlA', 67, NULL, 'XhlA', 27029),
(83304, 'PF07598', NULL, 'Protein of unknown function (DUF1561)', 625, NULL, 'DUF1561', 27030),
(83305, 'PF14329', NULL, 'Domain of unknown function (DUF4386)', 210, NULL, 'DUF4386', 27031),
(83306, 'PF16891', NULL, 'Serine-threonine protein phosphatase N-terminal domain', 48, NULL, 'STPPase_N', 27032),
(83307, 'PF05785', NULL, 'Rho-activating domain of cytotoxic necrotizing factor', 286, NULL, 'CNF1', 27033),
(83308, 'PF10136', NULL, 'Site-specific recombinase', 641, NULL, 'SpecificRecomb', 27034),
(83309, 'PF14767', NULL, 'Replication protein A interacting middle', 94, NULL, 'RPA_interact_M', 27035),
(83310, 'PF18551', NULL, 'Thaumarchaeal output domain 1', 188, NULL, 'TackOD1', 27036),
(83311, 'PF02810', NULL, 'SEC-C motif', 19, NULL, 'SEC-C', 27037),
(83312, 'PF04002', NULL, 'RadC-like JAB domain', 122, NULL, 'RadC', 27038),
(83313, 'PF08923', NULL, 'Mitogen-activated protein kinase kinase 1 interacting', 119, NULL, 'MAPKK1_Int', 27039),
(83314, 'PF09377', NULL, 'SBDS protein C-terminal domain', 114, NULL, 'SBDS_C', 27040),
(83315, 'PF12339', NULL, 'DNA-J related protein', 128, NULL, 'DNAJ_related', 27041),
(83316, 'PF18557', NULL, 'Anti-sigma factor NepR', 35, NULL, 'NepR', 27042),
(83317, 'PF18897', NULL, 'Recombination directionality factor-like', 198, NULL, 'Gp3-like', 27043),
(83318, 'PF02581', NULL, 'Thiamine monophosphate synthase', 181, NULL, 'TMP-TENI', 27044),
(83319, 'PF20016', NULL, 'Domain of unknown function (DUF6430)', 184, NULL, 'DUF6430', 27045),
(83320, 'PF09919', NULL, 'Uncharacterized conserved protein (DUF2149)', 92, NULL, 'DUF2149', 27046),
(83321, 'PF14473', NULL, 'RD3 protein', 129, NULL, 'RD3', 27047),
(83322, 'PF10643', NULL, 'Photosystem P840 reaction-centre cytochrome c-551', 207, NULL, 'Cytochrome-c551', 27048),
(83323, 'PF15069', NULL, 'FAM163 family', 164, NULL, 'FAM163', 27049),
(83324, 'PF04504', NULL, 'Protein of unknown function, DUF573', 95, NULL, 'DUF573', 27050),
(83325, 'PF03170', NULL, 'Bacterial cellulose synthase subunit', 600, NULL, 'BcsB', 27051),
(83326, 'PF00993', NULL, 'Class II histocompatibility antigen, alpha domain', 81, NULL, 'MHC_II_alpha', 27052),
(83327, 'PF10124', NULL, 'Mu-like prophage major head subunit gpT', 289, NULL, 'Mu-like_gpT', 27053),
(83328, 'PF01375', NULL, 'Heat-labile enterotoxin alpha chain', 258, NULL, 'Enterotoxin_a', 27054),
(83329, 'PF12500', NULL, 'TRSP domain C terminus to PRTase_2', 130, NULL, 'TRSP', 27055),
(83330, 'PF10347', NULL, 'RNA pol II promoter Fmp27 protein domain', 156, NULL, 'Fmp27_GFWDK', 27056),
(83331, 'PF13030', NULL, 'Protein of unknown function (DUF3891)', 218, NULL, 'DUF3891', 27057),
(83332, 'PF07254', NULL, 'Membrane-bound toxin component of toxin-antitoxin system', 130, NULL, 'Cpta_toxin', 27058),
(83333, 'PF10786', NULL, 'Glucose-6-phosphate 1-dehydrogenase (EC 1.1.1.49)', 213, NULL, 'G6PD_bact', 27059),
(83334, 'PF05950', NULL, 'Orthopoxvirus A36R protein', 158, NULL, 'Orthopox_A36R', 27060),
(83335, 'PF02447', NULL, 'GntP family permease', 440, NULL, 'GntP_permease', 27061),
(83336, 'PF12455', NULL, 'Dynein associated protein', 286, NULL, 'Dynactin', 27062),
(83337, 'PF03216', NULL, 'Rhabdovirus nucleoprotein', 295, NULL, 'Rhabdo_ncap_2', 27063),
(83338, 'PF00193', NULL, 'Extracellular link domain', 93, NULL, 'Xlink', 27064);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(83339, 'PF03127', NULL, 'GAT domain', 77, NULL, 'GAT', 27065),
(83340, 'PF07505', NULL, 'Protein of unknown function (DUF5131)', 247, NULL, 'DUF5131', 27066),
(83341, 'PF06932', NULL, 'Protein of unknown function (DUF1283)', 83, NULL, 'DUF1283', 27067),
(83342, 'PF11073', NULL, 'Rift valley fever virus non structural protein (NSs) like', 242, NULL, 'NSs', 27068),
(83343, 'PF08621', NULL, 'RPAP1-like, N-terminal', 46, NULL, 'RPAP1_N', 27069),
(83344, 'PF13845', NULL, 'Septum formation', 226, NULL, 'Septum_form', 27070),
(83345, 'PF06339', NULL, 'Ectoine synthase', 127, NULL, 'Ectoine_synth', 27071),
(83346, 'PF07870', NULL, 'Protein of unknown function (DUF1657)', 49, NULL, 'DUF1657', 27072),
(83347, 'PF06935', NULL, 'Protein of unknown function (DUF1284)', 102, NULL, 'DUF1284', 27073),
(83348, 'PF04501', NULL, 'Baculovirus major capsid protein VP39', 244, NULL, 'Baculo_VP39', 27074),
(83349, 'PF06938', NULL, 'Protein of unknown function (DUF1285)', 146, NULL, 'DUF1285', 27075),
(83350, 'PF04819', NULL, 'Family of unknown function (DUF716)', 138, NULL, 'DUF716', 27076),
(83351, 'PF16414', NULL, 'Niemann-Pick C1 N terminus', 245, NULL, 'NPC1_N', 27077),
(83352, 'PF19354', NULL, 'Family of unknown function (DUF5931)', 175, NULL, 'DUF5931', 27078),
(83353, 'PF02229', NULL, 'Transcriptional Coactivator p15 (PC4)', 52, NULL, 'PC4', 27079),
(83354, 'PF01984', NULL, 'Double-stranded DNA-binding domain', 109, NULL, 'dsDNA_bind', 27080),
(83355, 'PF17242', NULL, 'Disordered region of unknown function (DUF5315)', 77, NULL, 'DUF5315', 27081),
(83356, 'PF08200', NULL, 'Bacteriophage 1.1 Protein', 45, NULL, 'Phage_1_1', 27082),
(83357, 'PF10138', NULL, 'vWA found in TerF C terminus', 200, NULL, 'vWA-TerF-like', 27083),
(83358, 'PF18152', NULL, 'DAHP synthase ferredoxin-like domain', 67, NULL, 'DAHP_snth_FXD', 27084),
(83359, 'PF19413', NULL, 'YaiO membrane beta barrel domain', 173, NULL, 'YaiO', 27085),
(83360, 'PF01490', NULL, 'Transmembrane amino acid transporter protein', 409, NULL, 'Aa_trans', 27086),
(83361, 'PF08270', NULL, 'M protein trans-acting positive regulator (MGA) PRD domain', 220, NULL, 'PRD_Mga', 27087),
(83362, 'PF03462', NULL, 'PCRF domain', 192, NULL, 'PCRF', 27088),
(83363, 'PF17396', NULL, 'Domain of unknown function (DUF1611_N) Rossmann-like domain', 95, NULL, 'DUF1611_N', 27089),
(83364, 'PF00276', NULL, 'Ribosomal protein L23', 86, NULL, 'Ribosomal_L23', 27090),
(83365, 'PF04967', NULL, 'HTH DNA binding domain', 53, NULL, 'HTH_10', 27091),
(83366, 'PF14895', NULL, 'Protein phosphatase 1 inhibitor', 346, NULL, 'PPPI_inhib', 27092),
(83367, 'PF00399', NULL, 'Yeast PIR protein repeat', 18, NULL, 'PIR', 27093),
(83368, 'PF00009', NULL, 'Elongation factor Tu GTP binding domain', 195, NULL, 'GTP_EFTU', 27094),
(83369, 'PF02392', NULL, 'Ycf4', 178, NULL, 'Ycf4', 27095),
(83370, 'PF04725', NULL, 'Photosystem II 10 kDa polypeptide PsbR', 98, NULL, 'PsbR', 27096),
(83371, 'PF00612', NULL, 'IQ calmodulin-binding motif', 21, NULL, 'IQ', 27097),
(83372, 'PF00749', NULL, 'tRNA synthetases class I (E and Q), catalytic domain', 314, NULL, 'tRNA-synt_1c', 27098),
(83373, 'PF04984', NULL, 'Phage tail sheath protein subtilisin-like domain', 168, NULL, 'Phage_sheath_1', 27099),
(83374, 'PF16882', NULL, 'Domain of unknown function (DUF5079)', 223, NULL, 'DUF5079', 27100),
(83375, 'PF14651', NULL, 'Lipocalin / cytosolic fatty-acid binding protein family', 128, NULL, 'Lipocalin_7', 27101),
(83376, 'PF06030', NULL, 'Bacterial protein of unknown function (DUF916)', 121, NULL, 'DUF916', 27102),
(83377, 'PF02543', NULL, 'Carbamoyltransferase N-terminus', 346, NULL, 'Carbam_trans_N', 27103),
(83378, 'PF15240', NULL, 'Proline-rich protein', 180, NULL, 'Pro-rich', 27104),
(83379, 'PF08839', NULL, 'DNA replication factor CDT1 like', 178, NULL, 'CDT1', 27105),
(83380, 'PF14449', NULL, 'Pre-toxin TG', 69, NULL, 'PT-TG', 27106),
(83381, 'PF01056', NULL, 'Myc amino-terminal region', 339, NULL, 'Myc_N', 27107),
(83382, 'PF04527', NULL, 'Drosophila Retinin like protein', 63, NULL, 'Retinin_C', 27108),
(83383, 'PF02212', NULL, 'Dynamin GTPase effector domain', 92, NULL, 'GED', 27109);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(83384, 'PF01455', NULL, 'HupF/HypC family', 65, NULL, 'HupF_HypC', 27110),
(83385, 'PF20145', NULL, 'ARMET, N-terminal', 96, NULL, 'ARMET_N', 27111),
(83386, 'PF15835', NULL, 'Domain of unknown function (DUF4715)', 139, NULL, 'DUF4715', 27112),
(83387, 'PF15663', NULL, 'Zinc-finger containing family', 111, NULL, 'zf-CCCH_3', 27113),
(83388, 'PF18606', NULL, 'Zap  helix turn helix N-terminal domain', 62, NULL, 'HTH_53', 27114),
(83389, 'PF19748', NULL, 'Family of unknown function (DUF6235)', 96, NULL, 'DUF6235', 27115),
(83390, 'PF10021', NULL, 'Uncharacterized protein conserved in bacteria (DUF2263)', 146, NULL, 'DUF2263', 27116),
(83391, 'PF08480', NULL, 'Disaggregatase related', 189, NULL, 'Disaggr_assoc', 27117),
(83392, 'PF00554', NULL, 'Rel homology DNA-binding domain', 169, NULL, 'RHD_DNA_bind', 27118),
(83393, 'PF12724', NULL, 'Flavodoxin domain', 144, NULL, 'Flavodoxin_5', 27119),
(83394, 'PF09079', NULL, 'CDC6, C terminal winged helix domain', 84, NULL, 'Cdc6_C', 27120),
(83395, 'PF11903', NULL, 'ParD-like antitoxin of type II bacterial toxin-antitoxin system', 73, NULL, 'ParD_like', 27121),
(83396, 'PF04920', NULL, 'Family of unknown function (DUF656)', 126, NULL, 'DUF656', 27122),
(83397, 'PF06891', NULL, 'P2 phage tail completion protein R (GpR)', 131, NULL, 'P2_Phage_GpR', 27123),
(83398, 'PF12230', NULL, 'Pre-mRNA splicing factor PRP21 like protein', 217, NULL, 'PRP21_like_P', 27124),
(83399, 'PF05491', NULL, 'RuvB C-terminal winged helix domain', 72, NULL, 'RuvB_C', 27125),
(83400, 'PF08709', NULL, 'Inositol 1,4,5-trisphosphate/ryanodine receptor', 213, NULL, 'Ins145_P3_rec', 27126),
(83401, 'PF07373', NULL, 'CAMP factor (Cfa)', 219, NULL, 'CAMP_factor', 27127),
(83402, 'PF07617', NULL, 'Protein of unknown function (DUF1579)', 155, NULL, 'DUF1579', 27128),
(83403, 'PF13412', NULL, 'Winged helix-turn-helix DNA-binding', 48, NULL, 'HTH_24', 27129),
(83404, 'PF08306', NULL, 'Glycosyl hydrolase family 98', 329, NULL, 'Glyco_hydro_98M', 27130),
(83405, 'PF02075', NULL, 'Crossover junction endodeoxyribonuclease RuvC', 148, NULL, 'RuvC', 27131),
(83406, 'PF04709', NULL, 'Anti-Mullerian hormone, N terminal region', 392, NULL, 'AMH_N', 27132),
(83407, 'PF07376', NULL, 'Prosystemin', 202, NULL, 'Prosystemin', 27133),
(83408, 'PF10940', NULL, 'Protein of unknown function (DUF2618)', 40, NULL, 'DUF2618', 27134),
(83409, 'PF07910', NULL, 'Peptidase family C78', 212, NULL, 'Peptidase_C78', 27135),
(83410, 'PF03945', NULL, 'delta endotoxin, N-terminal domain', 223, NULL, 'Endotoxin_N', 27136),
(83411, 'PF09325', NULL, 'Vps5 C terminal like', 236, NULL, 'Vps5', 27137),
(83412, 'PF10911', NULL, 'Protein of unknown function (DUF2717)', 77, NULL, 'DUF2717', 27138),
(83413, 'PF12544', NULL, 'Lysine-2,3-aminomutase', 127, NULL, 'LAM_C', 27139),
(83414, 'PF15717', NULL, 'Pericentriolar material 1 C terminus', 616, NULL, 'PCM1_C', 27140),
(83415, 'PF19619', NULL, 'Family of unknown function (DUF6124)', 75, NULL, 'DUF6124', 27141),
(83416, 'PF18191', NULL, 'Hydroquinone 1,2-dioxygenase large subunit N-terminal', 151, NULL, 'PnpCD_PnpD_N', 27142),
(83417, 'PF17678', NULL, 'Glycosyl hydrolase family 92 N-terminal domain', 237, NULL, 'Glyco_hydro_92N', 27143),
(83418, 'PF06836', NULL, 'Protein of unknown function (DUF1240)', 95, NULL, 'DUF1240', 27144),
(83419, 'PF02129', NULL, 'X-Pro dipeptidyl-peptidase (S15 family)', 269, NULL, 'Peptidase_S15', 27145),
(83420, 'PF05997', NULL, 'Nucleolar protein,Nop52', 215, NULL, 'Nop52', 27146),
(83421, 'PF06706', NULL, 'Citrus tristeza virus 6-kDa protein', 51, NULL, 'CTV_P6', 27147),
(83422, 'PF16100', NULL, 'RecQ-mediated genome instability protein 2', 135, NULL, 'RMI2', 27148),
(83423, 'PF09455', NULL, 'CRISPR-associated (Cas) DxTHG family', 356, NULL, 'Cas_DxTHG', 27149),
(83424, 'PF06576', NULL, 'Protein of unknown function (DUF1133)', 176, NULL, 'DUF1133', 27150),
(83425, 'PF06949', NULL, 'Protein of unknown function (DUF1292)', 75, NULL, 'DUF1292', 27151),
(83426, 'PF08661', NULL, 'Replication factor A protein 3', 105, NULL, 'Rep_fac-A_3', 27152),
(83427, 'PF12479', NULL, 'Protein of unknown function (DUF3698)', 107, NULL, 'DUF3698', 27153);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(83428, 'PF04618', NULL, 'HD-ZIP protein N terminus', 110, NULL, 'HD-ZIP_N', 27154),
(83429, 'PF04633', NULL, 'Herpesvirus BMRF2 protein', 349, NULL, 'Herpes_BMRF2', 27155),
(83430, 'PF12086', NULL, 'Protein of unknown function (DUF3563)', 61, NULL, 'DUF3563', 27156),
(83431, 'PF17757', NULL, 'UvrB interaction domain', 91, NULL, 'UvrB_inter', 27157),
(83432, 'PF18416', NULL, 'N-acetylglucosamine binding protein domain 2', 101, NULL, 'GbpA_2', 27158),
(83433, 'PF14469', NULL, '28 kDa A-kinase anchor', 121, NULL, 'AKAP28', 27159),
(83434, 'PF08501', NULL, 'Shikimate dehydrogenase substrate binding domain', 83, NULL, 'Shikimate_dh_N', 27160),
(83435, 'PF04045', NULL, 'Arp2/3 complex, 34 kD subunit p34-Arc', 242, NULL, 'P34-Arc', 27161),
(83436, 'PF20130', NULL, 'Family of unknown function (DUF6520)', 83, NULL, 'DUF6520', 27162),
(83437, 'PF03795', NULL, 'YCII-related domain', 95, NULL, 'YCII', 27163),
(83438, 'PF09894', NULL, 'Uncharacterized protein conserved in archaea (DUF2121)', 195, NULL, 'DUF2121', 27164),
(83439, 'PF03000', NULL, 'NPH3 family', 256, NULL, 'NPH3', 27165),
(83440, 'PF07442', NULL, 'Ponericin', 29, NULL, 'Ponericin', 27166),
(83441, 'PF11060', NULL, 'Protein of unknown function (DUF2861)', 260, NULL, 'DUF2861', 27167),
(83442, 'PF12318', NULL, 'Membrane bound FAD containing D-sorbitol dehydrogenase', 162, NULL, 'FAD-SLDH', 27168),
(83443, 'PF13719', NULL, 'zinc-ribbon domain', 37, NULL, 'zinc_ribbon_5', 27169),
(83444, 'PF12002', NULL, 'MgsA AAA+ ATPase C terminal', 167, NULL, 'MgsA_C', 27170),
(83445, 'PF12873', NULL, 'Domain of unknown function (DUF3825)', 240, NULL, 'DUF3825', 27171),
(83446, 'PF18712', NULL, 'Family of unknown function (DUF5644)', 109, NULL, 'DUF5644', 27172),
(83447, 'PF17474', NULL, 'Tegument protein UL11 homolog', 52, NULL, 'U71', 27173),
(83448, 'PF14629', NULL, 'Origin recognition complex (ORC) subunit 4 C-terminus', 221, NULL, 'ORC4_C', 27174),
(83449, 'PF13505', NULL, 'Outer membrane protein beta-barrel domain', 176, NULL, 'OMP_b-brl', 27175),
(83450, 'PF13961', NULL, 'Domain of unknown function (DUF4219)', 27, NULL, 'DUF4219', 27176),
(83451, 'PF05886', NULL, 'Orthopoxvirus F8 protein', 65, NULL, 'Orthopox_F8', 27177),
(83452, 'PF05816', NULL, 'Toxic anion resistance protein (TelA)', 331, NULL, 'TelA', 27178),
(83453, 'PF05673', NULL, 'Protein of unknown function (DUF815)', 247, NULL, 'DUF815', 27179),
(83454, 'PF12121', NULL, 'Dermaseptin', 23, NULL, 'DD_K', 27180),
(83455, 'PF15020', NULL, 'Cation channel sperm-associated protein subunit delta', 729, NULL, 'CATSPERD', 27181),
(83456, 'PF00173', NULL, 'Cytochrome b5-like Heme/Steroid binding domain', 74, NULL, 'Cyt-b5', 27182),
(83457, 'PF07911', NULL, 'Protein of unknown function (DUF1677)', 89, NULL, 'DUF1677', 27183),
(83458, 'PF11213', NULL, 'Protein of unknown function (DUF3006)', 67, NULL, 'DUF3006', 27184),
(83459, 'PF12564', NULL, 'Type III restriction/modification enzyme methylation subunit', 56, NULL, 'TypeIII_RM_meth', 27185),
(83460, 'PF17726', NULL, 'Dam-replacing HTH domain', 70, NULL, 'DpnI_C', 27186),
(83461, 'PF03150', NULL, 'Di-haem cytochrome c peroxidase', 150, NULL, 'CCP_MauG', 27187),
(83462, 'PF11173', NULL, 'Protein of unknown function (DUF2960)', 79, NULL, 'DUF2960', 27188),
(83463, 'PF01970', NULL, 'Tripartite tricarboxylate transporter TctA family', 409, NULL, 'TctA', 27189),
(83464, 'PF01074', NULL, 'Glycosyl hydrolases family 38 N-terminal domain', 289, NULL, 'Glyco_hydro_38N', 27190),
(83465, 'PF12614', NULL, 'Ribosome recycling factor', 126, NULL, 'RRF_GI', 27191),
(83466, 'PF06397', NULL, 'Desulfoferrodoxin, N-terminal domain', 36, NULL, 'Desulfoferrod_N', 27192),
(83467, 'PF05627', NULL, 'Cleavage site for pathogenic type III effector avirulence factor Avr', 37, NULL, 'AvrRpt-cleavage', 27193),
(83468, 'PF13009', NULL, 'Putative phage integrase', 329, NULL, 'Phage_Integr_2', 27194),
(83469, 'PF00360', NULL, 'Phytochrome region', 183, NULL, 'PHY', 27195),
(83470, 'PF16505', NULL, 'P4 movement protein of Emaravirus, and the 30K superfamily', 349, NULL, 'Emaravirus_P4', 27196);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(83471, 'PF18059', NULL, 'Csd3 N-terminal', 83, NULL, 'Csd3_N', 27197),
(83472, 'PF14169', NULL, 'Cold-inducible protein YdjO', 59, NULL, 'YdjO', 27198),
(83473, 'PF19884', NULL, 'Family of unknown function (DUF6357)', 417, NULL, 'DUF6357', 27199),
(83474, 'PF18930', NULL, 'Domain of unknown function (DUF5679)', 40, NULL, 'DUF5679', 27200),
(83475, 'PF03639', NULL, 'Glycosyl hydrolase family 81 N-terminal domain', 323, NULL, 'Glyco_hydro_81', 27201),
(83476, 'PF18727', NULL, 'Alstrom syndrome repeat', 47, NULL, 'ALMS_repeat', 27202),
(83477, 'PF18818', NULL, 'Zincin-like metallopeptidase', 126, NULL, 'MPTase-PolyVal', 27203),
(83478, 'PF17307', NULL, 'Small integral membrane protein 3', 60, NULL, 'Smim3', 27204),
(83479, 'PF16467', NULL, 'Domain of unknown function (DUF5048)', 102, NULL, 'DUF5048', 27205),
(83480, 'PF19786', NULL, 'Family of unknown function (DUF6270)', 222, NULL, 'DUF6270', 27206),
(83481, 'PF16545', NULL, 'Cerebral cavernous malformation protein, harmonin-homology', 101, NULL, 'CCM2_C', 27207),
(83482, 'PF01296', NULL, 'Galanin', 29, NULL, 'Galanin', 27208),
(83483, 'PF06858', NULL, 'Nucleolar GTP-binding protein 1 (NOG1)', 58, NULL, 'NOG1', 27209),
(83484, 'PF18357', NULL, 'Diphteria toxin repressor SH3 domain', 79, NULL, 'DtxR', 27210),
(83485, 'PF01500', NULL, 'Keratin, high sulfur B2 protein', 164, NULL, 'Keratin_B2', 27211),
(83486, 'PF04258', NULL, 'Signal peptide peptidase', 284, NULL, 'Peptidase_A22B', 27212),
(83487, 'PF04886', NULL, 'PT repeat', 36, NULL, 'PT', 27213),
(83488, 'PF20152', NULL, 'Family of unknown function (DUF6534)', 78, NULL, 'DUF6534', 27214),
(83489, 'PF17640', NULL, 'Uncharacterized UL17', 102, NULL, 'UL17', 27215),
(83490, 'PF03526', NULL, 'Colicin E1 (microcin) immunity protein', 55, NULL, 'Microcin', 27216),
(83491, 'PF06287', NULL, 'Protein of unknown function (DUF1039)', 65, NULL, 'DUF1039', 27217),
(83492, 'PF09320', NULL, 'Domain of unknown function (DUF1977)', 106, NULL, 'DUF1977', 27218),
(83493, 'PF19649', NULL, 'Family of unknown function (DUF6152)', 98, NULL, 'DUF6152', 27219),
(83494, 'PF19141', NULL, 'Family of unknown function (DUF5824)', 127, NULL, 'DUF5824', 27220),
(83495, 'PF03109', NULL, 'ABC1 atypical kinase-like domain', 244, NULL, 'ABC1', 27221),
(83496, 'PF04404', NULL, 'ERF superfamily', 151, NULL, 'ERF', 27222),
(83497, 'PF08118', NULL, 'Yeast mitochondrial distribution and morphology (MDM) proteins', 525, NULL, 'MDM31_MDM32', 27223),
(83498, 'PF13842', NULL, 'DDE_Tnp_1-like zinc-ribbon', 31, NULL, 'Tnp_zf-ribbon_2', 27224),
(83499, 'PF16352', NULL, 'Domain of unknown function (DUF4980)', 108, NULL, 'DUF4980', 27225),
(83500, 'PF05867', NULL, 'Protein of unknown function (DUF851)', 241, NULL, 'DUF851', 27226),
(83501, 'PF11363', NULL, 'Protein of unknown function (DUF3164)', 194, NULL, 'DUF3164', 27227),
(83502, 'PF18642', NULL, 'Immunomodulating metalloprotease helical domain', 109, NULL, 'IMPa_helical', 27228),
(83503, 'PF19888', NULL, 'Family of unknown function (DUF6361)', 388, NULL, 'DUF6361', 27229),
(83504, 'PF14529', NULL, 'Endonuclease-reverse transcriptase', 119, NULL, 'Exo_endo_phos_2', 27230),
(83505, 'PF02153', NULL, 'Prephenate dehydrogenase', 258, NULL, 'PDH', 27231),
(83506, 'PF11351', NULL, 'Holin of 3TMs, for gene-transfer release', 123, NULL, 'GTA_holin_3TM', 27232),
(83507, 'PF07779', NULL, '10 TM Acyl Transferase domain found in Cas1p', 476, NULL, 'Cas1_AcylT', 27233),
(83508, 'PF17943', NULL, 'Homeobox-cysteine loop-homeobox', 120, NULL, 'HOCHOB', 27234),
(83509, 'PF18461', NULL, 'Atypical caspase recruitment domain', 95, NULL, 'Atypical_Card', 27235),
(83510, 'PF02044', NULL, 'Bombesin-like peptide', 14, NULL, 'Bombesin', 27236),
(83511, 'PF18029', NULL, 'Glyoxalase-like domain', 106, NULL, 'Glyoxalase_6', 27237),
(83512, 'PF15646', NULL, 'Restriction endonuclease fold toxin 2', 129, NULL, 'Tox-REase-2', 27238),
(83513, 'PF17018', NULL, 'Spore wall protein', 193, NULL, 'MICSWaP', 27239),
(83514, 'PF11109', NULL, 'Orexigenic neuropeptide Qrfp/P518', 131, NULL, 'RFamide_26RFa', 27240),
(83515, 'PF17325', NULL, 'Stationary phase protein 4', 109, NULL, 'SPG4', 27241);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(83516, 'PF01154', NULL, 'Hydroxymethylglutaryl-coenzyme A synthase N terminal', 174, NULL, 'HMG_CoA_synt_N', 27242),
(83517, 'PF14769', NULL, 'Flagellar C1a complex subunit C1a-32', 99, NULL, 'CLAMP', 27243),
(83518, 'PF18599', NULL, 'Limiting CO2-inducible proteins B/C beta carbonyic anhydrases', 222, NULL, 'LCIB_C_CA', 27244),
(83519, 'PF04657', NULL, 'Putative inner membrane exporter, YdcZ', 140, NULL, 'DMT_YdcZ', 27245),
(83520, 'PF07530', NULL, 'Associated with zinc fingers', 68, NULL, 'PRE_C2HC', 27246),
(83521, 'PF10351', NULL, 'Golgi-body localisation protein domain', 476, NULL, 'Apt1', 27247),
(83522, 'PF17352', NULL, 'Male Flower Specific protein 18', 105, NULL, 'MFS18', 27248),
(83523, 'PF17084', NULL, 'Topoisomerase I damage affected protein 11', 465, NULL, 'TDA11', 27249),
(83524, 'PF18154', NULL, 'REase associating with pPIWI_RE', 117, NULL, 'pPIWI_RE_REase', 27250),
(83525, 'PF12185', NULL, 'Nup358/RanBP2 E3 ligase domain', 60, NULL, 'IR1-M', 27251),
(83526, 'PF06566', NULL, 'Chondroitin sulphate attachment domain', 250, NULL, 'Chon_Sulph_att', 27252),
(83527, 'PF09264', NULL, 'Vibrio cholerae sialidase, lectin insertion', 198, NULL, 'Sial-lect-inser', 27253),
(83528, 'PF08433', NULL, 'Chromatin associated protein KTI12', 272, NULL, 'KTI12', 27254),
(83529, 'PF14852', NULL, 'Fis1 N-terminal tetratricopeptide repeat', 33, NULL, 'Fis1_TPR_N', 27255),
(83530, 'PF10127', NULL, 'RNA repair pathway DNA polymerase beta family', 246, NULL, 'RlaP', 27256),
(83531, 'PF05337', NULL, 'Macrophage colony stimulating factor-1 (CSF-1)', 140, NULL, 'CSF-1', 27257),
(83532, 'PF00513', NULL, 'Late Protein L2', 525, NULL, 'Late_protein_L2', 27258),
(83533, 'PF05273', NULL, 'Poxvirus RNA polymerase 22 kDa subunit', 184, NULL, 'Pox_RNA_Pol_22', 27259),
(83534, 'PF08900', NULL, 'Transcriptional regulator AcaB', 215, NULL, 'AcaB', 27260),
(83535, 'PF06760', NULL, 'Protein of unknown function (DUF1221)', 215, NULL, 'DUF1221', 27261),
(83536, 'PF01008', NULL, 'Initiation factor 2 subunit family', 282, NULL, 'IF-2B', 27262),
(83537, 'PF18106', NULL, 'Rolling Circle replication initiation protein N-terminal domain', 91, NULL, 'Rol_Rep_N', 27263),
(83538, 'PF06823', NULL, 'Protein of unknown function (DUF1236)', 65, NULL, 'DUF1236', 27264),
(83539, 'PF15310', NULL, 'Vitamin A-deficiency (VAD) rat model signalling', 249, NULL, 'VAD1-2', 27265),
(83540, 'PF03672', NULL, 'Uncharacterised protein family (UPF0154)', 60, NULL, 'UPF0154', 27266),
(83541, 'PF09230', NULL, 'DNA fragmentation factor 40 kDa', 227, NULL, 'DFF40', 27267),
(83542, 'PF06968', NULL, 'Biotin and Thiamin Synthesis associated domain', 86, NULL, 'BATS', 27268),
(83543, 'PF17554', NULL, 'Family of unknown function (DUF5466)', 57, NULL, 'DUF5466', 27269),
(83544, 'PF14936', NULL, 'Tumour protein p53-inducible protein 11', 179, NULL, 'p53-inducible11', 27270),
(83545, 'PF00352', NULL, 'Transcription factor TFIID (or TATA-binding protein, TBP)', 85, NULL, 'TBP', 27271),
(83546, 'PF02554', NULL, 'Carbon starvation protein CstA', 377, NULL, 'CstA', 27272),
(83547, 'PF05064', NULL, 'Nsp1-like C-terminal region', 116, NULL, 'Nsp1_C', 27273),
(83548, 'PF10708', NULL, 'Protein of unknown function (DUF2510)', 35, NULL, 'DUF2510', 27274),
(83549, 'PF16198', NULL, 'tRNA pseudouridylate synthase B C-terminal domain', 64, NULL, 'TruB_C_2', 27275),
(83550, 'PF05756', NULL, 'S-antigen protein', 92, NULL, 'S-antigen', 27276),
(83551, 'PF07468', NULL, 'Agglutinin domain', 153, NULL, 'Agglutinin', 27277),
(83552, 'PF13490', NULL, 'Putative zinc-finger', 35, NULL, 'zf-HC2', 27278),
(83553, 'PF16089', NULL, 'Domain of unknown function (DUF4818)', 116, NULL, 'DUF4818', 27279),
(83554, 'PF17824', NULL, 'Family of unknown function (DUF5586)', 404, NULL, 'DUF5586', 27280),
(83555, 'PF07991', NULL, 'Acetohydroxy acid isomeroreductase, NADPH-binding domain', 165, NULL, 'IlvN', 27281),
(83556, 'PF09034', NULL, 'TRADD, N-terminal domain', 112, NULL, 'TRADD_N', 27282),
(83557, 'PF01394', NULL, 'Clathrin propeller repeat', 37, NULL, 'Clathrin_propel', 27283),
(83558, 'PF12397', NULL, 'U3 small nucleolar RNA-associated protein 10', 116, NULL, 'U3snoRNP10', 27284);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(83559, 'PF12313', NULL, 'NPR1/NIM1 like defence protein C terminal', 205, NULL, 'NPR1_like_C', 27285),
(83560, 'PF00474', NULL, 'Sodium:solute symporter family', 406, NULL, 'SSF', 27286),
(83561, 'PF00673', NULL, 'ribosomal L5P family C-terminus', 94, NULL, 'Ribosomal_L5_C', 27287),
(83562, 'PF06613', NULL, 'KorB C-terminal beta-barrel domain', 59, NULL, 'KorB_C', 27288),
(83563, 'PF13370', NULL, '4Fe-4S single cluster domain of Ferredoxin I', 58, NULL, 'Fer4_13', 27289),
(83564, 'PF13805', NULL, 'Eisosome component PIL1', 265, NULL, 'Pil1', 27290),
(83565, 'PF00967', NULL, 'Barwin family', 119, NULL, 'Barwin', 27291),
(83566, 'PF13853', NULL, 'Olfactory receptor', 280, NULL, '7tm_4', 27292),
(83567, 'PF06635', NULL, 'Nodulation protein NolV', 206, NULL, 'NolV', 27293),
(83568, 'PF05732', NULL, 'Firmicute plasmid replication protein (RepL)', 164, NULL, 'RepL', 27294),
(83569, 'PF03364', NULL, 'Polyketide cyclase / dehydrase and lipid transport', 130, NULL, 'Polyketide_cyc', 27295),
(83570, 'PF16279', NULL, 'Domain of unknown function (DUF4927)', 89, NULL, 'DUF4927', 27296),
(83571, 'PF14148', NULL, 'YhdB-like protein', 71, NULL, 'YhdB', 27297),
(83572, 'PF17172', NULL, 'Glutathione S-transferase N-terminal domain', 99, NULL, 'GST_N_4', 27298),
(83573, 'PF16378', NULL, 'Domain of unknown function', 182, NULL, 'DUF4988', 27299),
(83574, 'PF09881', NULL, 'Predicted membrane protein (DUF2108)', 70, NULL, 'DUF2108', 27300),
(83575, 'PF03466', NULL, 'LysR substrate binding domain', 209, NULL, 'LysR_substrate', 27301),
(83576, 'PF19069', NULL, 'Family of unknown function (DUF5765)', 91, NULL, 'DUF5765', 27302),
(83577, 'PF19791', NULL, 'Family of unknown function (DUF6275)', 76, NULL, 'DUF6275', 27303),
(83578, 'PF08992', NULL, 'Quinohemoprotein amine dehydrogenase, gamma subunit', 75, NULL, 'QH-AmDH_gamma', 27304),
(83579, 'PF12914', NULL, 'SH3 domain of SH3b2 type', 47, NULL, 'SH3_7', 27305),
(83580, 'PF13093', NULL, 'Kinetochore complex Fta4 of Sim4 subunit, or CENP-50', 202, NULL, 'FTA4', 27306),
(83581, 'PF04986', NULL, 'Putative transposase', 183, NULL, 'Y2_Tnp', 27307),
(83582, 'PF07795', NULL, 'Protein of unknown function (DUF1635)', 223, NULL, 'DUF1635', 27308),
(83583, 'PF12669', NULL, 'FeoB-associated Cys-rich membrane protein', 44, NULL, 'FeoB_associated', 27309),
(83584, 'PF19556', NULL, 'PRTRC system protein E', 175, NULL, 'PRTRC_E', 27310),
(83585, 'PF14642', NULL, 'FAM47 family', 257, NULL, 'FAM47', 27311),
(83586, 'PF02013', NULL, 'Cellulose or protein binding domain', 36, NULL, 'CBM_10', 27312),
(83587, 'PF11691', NULL, 'Protein of unknown function (DUF3288)', 89, NULL, 'DUF3288', 27313),
(83588, 'PF06273', NULL, 'Plant specific eukaryotic initiation factor 4B', 502, NULL, 'eIF-4B', 27314),
(83589, 'PF08893', NULL, 'Domain of unknown function (DUF1839)', 312, NULL, 'DUF1839', 27315),
(83590, 'PF16011', NULL, 'Carbohydrate-binding family 9', 199, NULL, 'CBM9_2', 27316),
(83591, 'PF08763', NULL, 'Voltage gated calcium channel IQ domain', 78, NULL, 'Ca_chan_IQ', 27317),
(83592, 'PF01201', NULL, 'Ribosomal protein S8e', 133, NULL, 'Ribosomal_S8e', 27318),
(83593, 'PF04107', NULL, 'Glutamate-cysteine ligase family 2(GCS2)', 291, NULL, 'GCS2', 27319),
(83594, 'PF07736', NULL, 'Chorismate mutase type I', 117, NULL, 'CM_1', 27320),
(83595, 'PF06691', NULL, 'Protein of unknown function (DUF1189)', 244, NULL, 'DUF1189', 27321),
(83596, 'PF20162', NULL, 'Septation protein etd1', 98, NULL, 'Etd1', 27322),
(83597, 'PF02504', NULL, 'Fatty acid synthesis protein', 324, NULL, 'FA_synthesis', 27323),
(83598, 'PF12307', NULL, 'Protein of unknown function (DUF3631)', 184, NULL, 'DUF3631', 27324),
(83599, 'PF01943', NULL, 'Polysaccharide biosynthesis protein', 275, NULL, 'Polysacc_synt', 27325),
(83600, 'PF02977', NULL, 'Carboxypeptidase A inhibitor', 46, NULL, 'CarbpepA_inh', 27326),
(83601, 'PF10989', NULL, 'Protein of unknown function (DUF2808)', 145, NULL, 'DUF2808', 27327),
(83602, 'PF14226', NULL, 'non-haem dioxygenase in morphine synthesis N-terminal', 118, NULL, 'DIOX_N', 27328),
(83603, 'PF18597', NULL, 'Myosin X N-terminal SH3 domain', 52, NULL, 'SH3_19', 27329);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(83604, 'PF10107', NULL, 'Endonuclease related to archaeal Holliday junction resolvase', 159, NULL, 'Endonuc_Holl', 27330),
(83605, 'PF17438', NULL, 'Family of unknown function (DUF5417)', 91, NULL, 'DUF5417', 27331),
(83606, 'PF01091', NULL, 'PTN/MK heparin-binding protein family, C-terminal domain', 65, NULL, 'PTN_MK_C', 27332),
(83607, 'PF14598', NULL, 'PAS domain', 113, NULL, 'PAS_11', 27333),
(83608, 'PF14599', NULL, 'Zinc-ribbon', 59, NULL, 'zinc_ribbon_6', 27334),
(83609, 'PF16509', NULL, 'TrfB plasmid transcriptional repressor', 84, NULL, 'KORA', 27335),
(83610, 'PF02252', NULL, 'Proteasome activator pa28 beta subunit', 145, NULL, 'PA28_beta', 27336),
(83611, 'PF05221', NULL, 'S-adenosyl-L-homocysteine hydrolase', 299, NULL, 'AdoHcyase', 27337),
(83612, 'PF09640', NULL, 'Domain of unknown function (DUF2027)', 156, NULL, 'DUF2027', 27338),
(83613, 'PF15860', NULL, 'Domain of unknown function (DUF4728)', 92, NULL, 'DUF4728', 27339),
(83614, 'PF11328', NULL, 'Protein of unknown function (DUF3130', 89, NULL, 'DUF3130', 27340),
(83615, 'PF09651', NULL, 'CRISPR-associated protein (Cas_APE2256)', 136, NULL, 'Cas_APE2256', 27341),
(83616, 'PF12416', NULL, 'Cep120 protein', 226, NULL, 'DUF3668', 27342),
(83617, 'PF03102', NULL, 'NeuB family', 241, NULL, 'NeuB', 27343),
(83618, 'PF06008', NULL, 'Laminin Domain I', 259, NULL, 'Laminin_I', 27344),
(83619, 'PF14246', NULL, 'AefR-like transcriptional repressor, C-terminal domain', 119, NULL, 'TetR_C_7', 27345),
(83620, 'PF09613', NULL, 'Bacterial type III secretion protein (HrpB1_HrpK)', 126, NULL, 'HrpB1_HrpK', 27346),
(83621, 'PF11856', NULL, 'Protein of unknown function (DUF3376)', 499, NULL, 'DUF3376', 27347),
(83622, 'PF01003', NULL, 'Flavivirus capsid protein C', 117, NULL, 'Flavi_capsid', 27348),
(83623, 'PF01765', NULL, 'Ribosome recycling factor', 162, NULL, 'RRF', 27349),
(83624, 'PF14563', NULL, 'Domain of unknown function (DUF4444)', 42, NULL, 'DUF4444', 27350),
(83625, 'PF00468', NULL, 'Ribosomal protein L34', 44, NULL, 'Ribosomal_L34', 27351),
(83626, 'PF02920', NULL, 'DNA binding domain of tn916 integrase', 58, NULL, 'Integrase_DNA', 27352),
(83627, 'PF19215', NULL, 'Coronavirus replicase NSP15, uridylate-specific endoribonuclease', 154, NULL, 'CoV_NSP15_C', 27353),
(83628, 'PF04692', NULL, 'Platelet-derived growth factor, N terminal region', 78, NULL, 'PDGF_N', 27354),
(83629, 'PF14234', NULL, 'Domain of unknown function (DUF4336)', 318, NULL, 'DUF4336', 27355),
(83630, 'PF18761', NULL, 'Heliorhodopsin', 242, NULL, 'Heliorhodopsin', 27356),
(83631, 'PF19999', NULL, 'FtsH ternary system domain X3', 85, NULL, 'fvmX3', 27357),
(83632, 'PF10894', NULL, 'Protein of unknown function (DUF2689)', 57, NULL, 'DUF2689', 27358),
(83633, 'PF19452', NULL, 'Family of unknown function (DUF5990)', 141, NULL, 'DUF5990', 27359),
(83634, 'PF16831', NULL, 'CS6 fimbrial subunits A and B, Coli surface antigen 6', 129, NULL, 'CssAB', 27360),
(83635, 'PF06153', NULL, 'Cyclic-di-AMP receptor', 109, NULL, 'CdAMP_rec', 27361),
(83636, 'PF03638', NULL, 'Tesmin/TSO1-like CXC domain, cysteine-rich domain', 38, NULL, 'TCR', 27362),
(83637, 'PF19117', NULL, 'Mitochondrial import 2', 45, NULL, 'Mim2', 27363),
(83638, 'PF09324', NULL, 'Domain of unknown function (DUF1981)', 84, NULL, 'DUF1981', 27364),
(83639, 'PF13678', NULL, 'NFkB-p65-degrading zinc protease', 251, NULL, 'Peptidase_M85', 27365),
(83640, 'PF08408', NULL, 'DNA polymerase family B viral insert', 128, NULL, 'DNA_pol_B_3', 27366),
(83641, 'PF00002', NULL, '7 transmembrane receptor (Secretin family)', 246, NULL, '7tm_2', 27367),
(83642, 'PF02734', NULL, 'DAK2 domain', 174, NULL, 'Dak2', 27368),
(83643, 'PF09795', NULL, 'Autophagy-related protein 31', 158, NULL, 'ATG31', 27369),
(83644, 'PF16474', NULL, 'Kinase non-catalytic C-lobe domain', 193, NULL, 'KIND', 27370),
(83645, 'PF19535', NULL, 'Family of unknown function (DUF6060)', 172, NULL, 'DUF6060', 27371),
(83646, 'PF16139', NULL, 'Domain of unknown function (DUF4847)', 147, NULL, 'DUF4847', 27372),
(83647, 'PF20129', NULL, 'Family of unknown function (DUF6519)', 578, NULL, 'DUF6519', 27373);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(83648, 'PF14174', NULL, 'YycC-like protein', 51, NULL, 'YycC', 27374),
(83649, 'PF15076', NULL, 'Domain of unknown function (DUF4543)', 74, NULL, 'DUF4543', 27375),
(83650, 'PF06567', NULL, 'Neural chondroitin sulphate proteoglycan cytoplasmic domain', 120, NULL, 'Neural_ProG_Cyt', 27376),
(83651, 'PF00051', NULL, 'Kringle domain', 79, NULL, 'Kringle', 27377),
(83652, 'PF18415', NULL, 'Histidine kinase receptor ArcB trans-membrane domain', 75, NULL, 'HKR_ArcB_TM', 27378),
(83653, 'PF00313', NULL, '''Cold-shock'' DNA-binding domain', 66, NULL, 'CSD', 27379),
(83654, 'PF12228', NULL, 'Protein of unknown function (DUF3604)', 591, NULL, 'DUF3604', 27380),
(83655, 'PF01848', NULL, 'Hok/gef family', 42, NULL, 'HOK_GEF', 27381),
(83656, 'PF08073', NULL, 'CHDNT (NUC034) domain', 54, NULL, 'CHDNT', 27382),
(83657, 'PF12562', NULL, 'Protein of unknown function (DUF3746)', 37, NULL, 'DUF3746', 27383),
(83658, 'PF13573', NULL, 'SprB repeat', 37, NULL, 'SprB', 27384),
(83659, 'PF02535', NULL, 'ZIP Zinc transporter', 333, NULL, 'Zip', 27385),
(83660, 'PF19428', NULL, 'Semaphorin 4F C-terminal', 197, NULL, 'Sema4F_C', 27386),
(83661, 'PF06638', NULL, 'Strabismus protein', 504, NULL, 'Strabismus', 27387),
(83662, 'PF08475', NULL, 'Viral capsid protein 91 N-terminal', 192, NULL, 'Baculo_VP91_N', 27388),
(83663, 'PF08794', NULL, 'Lipoprotein GNA1870 C terminal like', 155, NULL, 'Lipoprot_C', 27389),
(83664, 'PF14906', NULL, 'Domain of unknown function (DUF4495)', 318, NULL, 'DUF4495', 27390),
(83665, 'PF07610', NULL, 'Protein of unknown function (DUF1573)', 98, NULL, 'DUF1573', 27391),
(83666, 'PF13873', NULL, 'Myb/SANT-like DNA-binding domain', 78, NULL, 'Myb_DNA-bind_5', 27392),
(83667, 'PF15549', NULL, 'PGC7/Stella/Dppa3 domain', 167, NULL, 'PGC7_Stella', 27393),
(83668, 'PF14667', NULL, 'Polysaccharide biosynthesis C-terminal domain', 143, NULL, 'Polysacc_synt_C', 27394),
(83669, 'PF18850', NULL, 'Large polyvalent protein associated domain 30', 121, NULL, 'LPD30', 27395),
(83670, 'PF12835', NULL, 'Integrase', 146, NULL, 'Integrase_1', 27396),
(83671, 'PF12338', NULL, 'Ribulose-1,5-bisphosphate carboxylase small subunit', 45, NULL, 'RbcS', 27397),
(83672, 'PF01976', NULL, 'Protein of unknown function DUF116', 155, NULL, 'DUF116', 27398),
(83673, 'PF02275', NULL, 'Linear amide C-N hydrolases, choloylglycine hydrolase family', 316, NULL, 'CBAH', 27399),
(83674, 'PF15622', NULL, 'Kinetochore assembly subunit CENP-C N-terminal', 287, NULL, 'CENP_C_N', 27400),
(83675, 'PF05267', NULL, 'Protein of unknown function (DUF725)', 121, NULL, 'DUF725', 27401),
(83676, 'PF17712', NULL, 'Family of unknown function (DUF5557)', 90, NULL, 'DUF5557', 27402),
(83677, 'PF03082', NULL, 'Male accessory gland secretory protein', 264, NULL, 'MAGSP', 27403),
(83678, 'PF06783', NULL, 'Uncharacterised protein family (UPF0239)', 88, NULL, 'UPF0239', 27404),
(83679, 'PF03115', NULL, 'Astrovirus capsid protein precursor', 400, NULL, 'Astro_capsid_N', 27405),
(83680, 'PF11430', NULL, 'Programmed cell death activator EGL-1', 20, NULL, 'EGL-1', 27406),
(83681, 'PF04120', NULL, 'Low affinity iron permease', 128, NULL, 'Iron_permease', 27407),
(83682, 'PF18882', NULL, 'Family of unknown function (DUF5647)', 79, NULL, 'DUF5647', 27408),
(83683, 'PF07296', NULL, 'TraP protein', 202, NULL, 'TraP', 27409),
(83684, 'PF11724', NULL, 'YvbH-like oligomerisation region', 61, NULL, 'YvbH_ext', 27410),
(83685, 'PF11803', NULL, 'UDP-glucuronate decarboxylase N-terminal', 75, NULL, 'UXS1_N', 27411),
(83686, 'PF18731', NULL, 'Swt1-like HEPN', 116, NULL, 'HEPN_Swt1', 27412),
(83687, 'PF15890', NULL, 'Putative zinc-binding metallo-peptidase', 243, NULL, 'Peptidase_Mx1', 27413),
(83688, 'PF13447', NULL, 'Seven times multi-haem cytochrome CxxCH', 269, NULL, 'Multi-haem_cyto', 27414),
(83689, 'PF15624', NULL, 'Kinetochore CENP-C fungal homologue, Mif2, N-terminal', 135, NULL, 'Mif2_N', 27415),
(83690, 'PF14900', NULL, 'Domain of unknown function (DUF4493)', 226, NULL, 'DUF4493', 27416),
(83691, 'PF19230', NULL, 'Family of unknown function (DUF5883)', 120, NULL, 'DUF5883', 27417);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(83692, 'PF12688', NULL, 'Tetratrico peptide repeat', 119, NULL, 'TPR_5', 27418),
(83693, 'PF12380', NULL, 'Gill-associated viral 3C-like peptidase', 284, NULL, 'Peptidase_C62', 27419),
(83694, 'PF10805', NULL, 'Protein of unknown function (DUF2730)', 102, NULL, 'DUF2730', 27420),
(83695, 'PF16217', NULL, 'Peptidase M64 N-terminus', 122, NULL, 'M64_N', 27421),
(83696, 'PF01972', NULL, 'Serine dehydrogenase proteinase', 286, NULL, 'SDH_sah', 27422),
(83697, 'PF08911', NULL, 'NUP50 (Nucleoporin 50 kDa)', 73, NULL, 'NUP50', 27423),
(83698, 'PF11324', NULL, 'Protein of unknown function (DUF3126)', 63, NULL, 'DUF3126', 27424),
(83699, 'PF12576', NULL, 'Protein of unknown function (DUF3754)', 140, NULL, 'DUF3754', 27425),
(83700, 'PF04454', NULL, 'Encapsulating protein for peroxidase', 255, NULL, 'Linocin_M18', 27426),
(83701, 'PF03136', NULL, 'Pup-ligase protein', 440, NULL, 'Pup_ligase', 27427),
(83702, 'PF10252', NULL, 'Casein kinase substrate phosphoprotein PP28', 85, NULL, 'PP28', 27428),
(83703, 'PF18259', NULL, 'Carbohydrate binding module 65 domain 1', 111, NULL, 'CBM65_1', 27429),
(83704, 'PF10492', NULL, 'Nrf1 activator activation site binding domain', 70, NULL, 'Nrf1_activ_bdg', 27430),
(83705, 'PF02098', NULL, 'Tick histamine binding protein', 152, NULL, 'His_binding', 27431),
(83706, 'PF07362', NULL, 'Post-segregation antitoxin CcdA', 71, NULL, 'CcdA', 27432),
(83707, 'PF17475', NULL, 'Clostridial binary toxin B/anthrax toxin PA domain 2', 218, NULL, 'Binary_toxB_2', 27433),
(83708, 'PF04170', NULL, 'NlpE N-terminal domain', 86, NULL, 'NlpE', 27434),
(83709, 'PF11698', NULL, 'V-ATPase subunit H', 117, NULL, 'V-ATPase_H_C', 27435),
(83710, 'PF11810', NULL, 'Domain of unknown function (DUF3332)', 171, NULL, 'DUF3332', 27436),
(83711, 'PF12579', NULL, 'Protein of unknown function (DUF3755)', 34, NULL, 'DUF3755', 27437),
(83712, 'PF11627', NULL, 'Nuclear factor hnRNPA1', 38, NULL, 'HnRNPA1', 27438),
(83713, 'PF12038', NULL, 'Domain of unknown function (DUF3524)', 168, NULL, 'DUF3524', 27439),
(83714, 'PF13165', NULL, 'Six-cysteine peptide SCIFF', 44, NULL, 'SCIFF', 27440),
(83715, 'PF12470', NULL, 'Suppressor of Fused Gli/Ci N terminal binding domain', 215, NULL, 'SUFU_C', 27441),
(83716, 'PF01956', NULL, 'Integral membrane protein EMC3/TMCO1-like', 170, NULL, 'EMC3_TMCO1', 27442),
(83717, 'PF10288', NULL, 'Cytoplasmic tRNA 2-thiolation protein 2', 111, NULL, 'CTU2', 27443),
(83718, 'PF15939', NULL, 'Putative antitoxin of bacterial toxin-antitoxin system', 76, NULL, 'YmcE_antitoxin', 27444),
(83719, 'PF19762', NULL, 'Domain of unknown function (DUF6249)', 92, NULL, 'DUF6249', 27445),
(83720, 'PF03914', NULL, 'CBF/Mak21 family', 170, NULL, 'CBF', 27446),
(83721, 'PF04647', NULL, 'Accessory gene regulator B', 184, NULL, 'AgrB', 27447),
(83722, 'PF07379', NULL, 'Protein of unknown function (DUF1494)', 173, NULL, 'DUF1494', 27448),
(83723, 'PF09961', NULL, 'Uncharacterized protein conserved in bacteria (DUF2195)', 117, NULL, 'DUF2195', 27449),
(83724, 'PF00052', NULL, 'Laminin B (Domain IV)', 136, NULL, 'Laminin_B', 27450),
(83725, 'PF09906', NULL, 'Uncharacterized protein conserved in bacteria (DUF2135)', 52, NULL, 'DUF2135', 27451),
(83726, 'PF17486', NULL, 'Cystine knot toxins', 70, NULL, 'Cys_Knot_tox', 27452),
(83727, 'PF09813', NULL, 'Coiled-coil domain-containing protein 56', 101, NULL, 'Coiled-coil_56', 27453),
(83728, 'PF05798', NULL, 'Bacteriophage FRD3 protein', 75, NULL, 'Phage_FRD3', 27454),
(83729, 'PF02017', NULL, 'CIDE-N domain', 76, NULL, 'CIDE-N', 27455),
(83730, 'PF12216', NULL, 'Immune evasion protein', 272, NULL, 'm04gp34like', 27456),
(83731, 'PF02119', NULL, 'Flagellar P-ring protein', 343, NULL, 'FlgI', 27457),
(83732, 'PF15653', NULL, 'URI fold toxin 2', 86, NULL, 'Tox-URI2', 27458),
(83733, 'PF01422', NULL, 'NF-X1 type zinc finger', 19, NULL, 'zf-NF-X1', 27459),
(83734, 'PF06865', NULL, 'Pyrimidine/purine nucleoside phosphorylase', 92, NULL, 'Ppnp', 27460),
(83735, 'PF17946', NULL, 'RecC C-terminal domain', 202, NULL, 'RecC_C', 27461),
(83736, 'PF19624', NULL, 'Family of unknown function (DUF6129)', 53, NULL, 'DUF6129', 27462);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(83737, 'PF14814', NULL, 'Bifunctional transglycosylase second domain', 85, NULL, 'UB2H', 27463),
(83738, 'PF05652', NULL, 'Scavenger mRNA decapping enzyme (DcpS) N-terminal', 104, NULL, 'DcpS', 27464),
(83739, 'PF14054', NULL, 'Domain of unknown function (DUF4249)', 276, NULL, 'DUF4249', 27465),
(83740, 'PF03813', NULL, 'Nrap protein domain 1', 151, NULL, 'Nrap', 27466),
(83741, 'PF00218', NULL, 'Indole-3-glycerol phosphate synthase', 254, NULL, 'IGPS', 27467),
(83742, 'PF02702', NULL, 'Osmosensitive K+ channel His kinase sensor domain', 210, NULL, 'KdpD', 27468),
(83743, 'PF09885', NULL, 'Uncharacterized protein conserved in archaea (DUF2112)', 143, NULL, 'DUF2112', 27469),
(83744, 'PF18698', NULL, 'Histidine kinase sensor domain', 126, NULL, 'HisK_sensor', 27470),
(83745, 'PF12289', NULL, 'Rotavirus VP1 C-terminal domain', 313, NULL, 'Rotavirus_VP1', 27471),
(83746, 'PF15222', NULL, 'Kidney androgen-regulated', 103, NULL, 'KAR', 27472),
(83747, 'PF00652', NULL, 'Ricin-type beta-trefoil lectin domain', 127, NULL, 'Ricin_B_lectin', 27473),
(83748, 'PF06474', NULL, 'MltD lipid attachment motif', 34, NULL, 'MLTD_N', 27474),
(83749, 'PF19199', NULL, 'Phage major coat protein, Gp8', 69, NULL, 'Phage_coatGP8', 27475),
(83750, 'PF01585', NULL, 'G-patch domain', 45, NULL, 'G-patch', 27476),
(83751, 'PF09946', NULL, 'Predicted membrane protein (DUF2178)', 106, NULL, 'DUF2178', 27477),
(83752, 'PF10511', NULL, 'Trappin protein transglutaminase binding domain', 17, NULL, 'Cementoin', 27478),
(83753, 'PF17346', NULL, 'Family of unknown function (DUF5376)', 134, NULL, 'DUF5376', 27479),
(83754, 'PF07147', NULL, 'Mitochondrial 28S ribosomal protein S30 (PDCD9)', 448, NULL, 'PDCD9', 27480),
(83755, 'PF02591', NULL, 'C4-type zinc ribbon domain', 33, NULL, 'zf-RING_7', 27481),
(83756, 'PF07353', NULL, 'Uroplakin II', 179, NULL, 'Uroplakin_II', 27482),
(83757, 'PF05018', NULL, 'Protein of unknown function (DUF667)', 185, NULL, 'DUF667', 27483),
(83758, 'PF20006', NULL, 'YukD-like N-terminal domain', 86, NULL, 'fvmYukDl_N', 27484),
(83759, 'PF10468', NULL, 'Carboxypeptidase inhibitor I68', 87, NULL, 'Inhibitor_I68', 27485),
(83760, 'PF02107', NULL, 'Flagellar L-ring protein', 168, NULL, 'FlgH', 27486),
(83761, 'PF12009', NULL, 'Telomerase ribonucleoprotein complex - RNA binding domain', 134, NULL, 'Telomerase_RBD', 27487),
(83762, 'PF05569', NULL, 'BlaR1 peptidase M56', 299, NULL, 'Peptidase_M56', 27488),
(83763, 'PF10716', NULL, 'NADH dehydrogenase transmembrane subunit', 76, NULL, 'NdhL', 27489),
(83764, 'PF16302', NULL, 'Domain of unknown function (DUF4944)', 128, NULL, 'DUF4944', 27490),
(83765, 'PF17351', NULL, 'Family of unknown function (DUF5380)', 85, NULL, 'DUF5380', 27491),
(83766, 'PF00070', NULL, 'Pyridine nucleotide-disulphide oxidoreductase', 81, NULL, 'Pyr_redox', 27492),
(83767, 'PF09155', NULL, 'Domain of unknown function (DUF1940)', 143, NULL, 'DUF1940', 27493),
(83768, 'PF14791', NULL, 'DNA polymerase beta thumb', 68, NULL, 'DNA_pol_B_thumb', 27494),
(83769, 'PF19132', NULL, 'Family of unknown function (DUF5815)', 155, NULL, 'DUF5815', 27495),
(83770, 'PF01983', NULL, 'Guanylyl transferase CofC like', 217, NULL, 'CofC', 27496),
(83771, 'PF04399', NULL, 'Glutaredoxin 2, C terminal domain', 130, NULL, 'Glutaredoxin2_C', 27497),
(83772, 'PF02932', NULL, 'Neurotransmitter-gated ion-channel transmembrane region', 238, NULL, 'Neur_chan_memb', 27498),
(83773, 'PF01782', NULL, 'RimM N-terminal domain', 84, NULL, 'RimM', 27499),
(83774, 'PF10506', NULL, 'PDZ domain of MCC-2 bdg protein for Usher syndrome', 65, NULL, 'MCC-bdg_PDZ', 27500),
(83775, 'PF11141', NULL, 'Protein of unknown function (DUF2914)', 63, NULL, 'DUF2914', 27501),
(83776, 'PF09298', NULL, 'Fumarylacetoacetase N-terminal', 106, NULL, 'FAA_hydrolase_N', 27502),
(83777, 'PF03710', NULL, 'Glutamate-ammonia ligase adenylyltransferase', 250, NULL, 'GlnE', 27503),
(83778, 'PF16413', NULL, 'DNA mismatch repair protein Mlh1 C-terminus', 268, NULL, 'Mlh1_C', 27504),
(83779, 'PF08617', NULL, 'Kinase binding protein CGI-121', 162, NULL, 'CGI-121', 27505);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(83780, 'PF10256', NULL, 'Golgin subfamily A member 7/ERF4 family', 116, NULL, 'Erf4', 27506),
(83781, 'PF16581', NULL, 'Cytidyltransferase-related C-terminal region', 203, NULL, 'HIGH_NTase1_ass', 27507),
(83782, 'PF10236', NULL, 'Mitochondrial ribosomal death-associated protein 3', 311, NULL, 'DAP3', 27508),
(83783, 'PF17248', NULL, 'Family of unknown function (DUF5317)', 150, NULL, 'DUF5317', 27509),
(83784, 'PF17933', NULL, 'Tetracyclin repressor-like, C-terminal domain', 106, NULL, 'TetR_C_25', 27510),
(83785, 'PF06143', NULL, 'Baculovirus 11 kDa family', 84, NULL, 'Baculo_11_kDa', 27511),
(83786, 'PF18927', NULL, 'Glycosyl-4,4''-diaponeurosporenoate acyltransferase', 123, NULL, 'CrtO', 27512),
(83787, 'PF16105', NULL, 'Domain of unknown function (DUF4823)', 141, NULL, 'DUF4823', 27513),
(83788, 'PF03637', NULL, 'Mob1/phocein family', 170, NULL, 'Mob1_phocein', 27514),
(83789, 'PF14208', NULL, 'Domain of unknown function (DUF4320)', 118, NULL, 'DUF4320', 27515),
(83790, 'PF12199', NULL, 'Extracellular fibrinogen binding protein C terminal', 65, NULL, 'efb-c', 27516),
(83791, 'PF05341', NULL, 'Per os infectivity factor 6', 106, NULL, 'PIF6', 27517),
(83792, 'PF13244', NULL, 'Domain of unknown function (DUF4040)', 67, NULL, 'DUF4040', 27518),
(83793, 'PF04433', NULL, 'SWIRM domain', 90, NULL, 'SWIRM', 27519),
(83794, 'PF18121', NULL, 'TFA2 Winged helix domain 2', 62, NULL, 'TFA2_Winged_2', 27520),
(83795, 'PF00428', NULL, '60s Acidic ribosomal protein', 88, NULL, 'Ribosomal_60s', 27521),
(83796, 'PF07888', NULL, 'Calcium binding and coiled-coil domain (CALCOCO1) like', 498, NULL, 'CALCOCO1', 27522),
(83797, 'PF12838', NULL, '4Fe-4S dicluster domain', 52, NULL, 'Fer4_7', 27523),
(83798, 'PF17999', NULL, 'Pullulanase N1-terminal domain', 85, NULL, 'PulA_N1', 27524),
(83799, 'PF11308', NULL, 'Glycosyl hydrolases related to GH101 family, GH129', 324, NULL, 'Glyco_hydro_129', 27525),
(83800, 'PF16691', NULL, 'Domain of unknown function (DUF5062)', 83, NULL, 'DUF5062', 27526),
(83801, 'PF17075', NULL, 'Regular of rDNA transcription protein 14', 197, NULL, 'RRT14', 27527),
(83802, 'PF15635', NULL, 'GHH signature containing HNH/Endo VII superfamily nuclease toxin  2', 122, NULL, 'Tox-GHH2', 27528),
(83803, 'PF04457', NULL, 'MJ1316 RNA cyclic group end recognition domain', 75, NULL, 'MJ1316', 27529),
(83804, 'PF14477', NULL, 'Membrane-polarising domain of Mso1', 63, NULL, 'Mso1_C', 27530),
(83805, 'PF09268', NULL, 'Clathrin, heavy-chain linker', 24, NULL, 'Clathrin-link', 27531),
(83806, 'PF13236', NULL, 'Clustered mitochondria', 225, NULL, 'CLU', 27532),
(83807, 'PF16600', NULL, 'Caskin1 CASK-interaction domain', 59, NULL, 'Caskin1-CID', 27533),
(83808, 'PF15270', NULL, 'Metallo-carboxypeptidase inhibitor', 65, NULL, 'ACI44', 27534),
(83809, 'PF08340', NULL, 'Domain of unknown function (DUF1732)', 85, NULL, 'DUF1732', 27535),
(83810, 'PF03173', NULL, 'Putative carbohydrate binding domain', 159, NULL, 'CHB_HEX', 27536),
(83811, 'PF06187', NULL, 'Protein of unknown function (DUF993)', 382, NULL, 'DUF993', 27537),
(83812, 'PF04755', NULL, 'PAP_fibrillin', 198, NULL, 'PAP_fibrillin', 27538),
(83813, 'PF06873', NULL, 'Cell surface immobilisation antigen SerH', 417, NULL, 'SerH', 27539),
(83814, 'PF13088', NULL, 'BNR repeat-like domain', 278, NULL, 'BNR_2', 27540),
(83815, 'PF00017', NULL, 'SH2 domain', 77, NULL, 'SH2', 27541),
(83816, 'PF18354', NULL, 'CarS bacterial SH3 domain', 85, NULL, 'SH3_18', 27542),
(83817, 'PF19934', NULL, 'Family of unknown function (DUF6397)', 243, NULL, 'DUF6397', 27543),
(83818, 'PF11117', NULL, 'Protein of unknown function (DUF2626)', 74, NULL, 'DUF2626', 27544),
(83819, 'PF05257', NULL, 'CHAP domain', 83, NULL, 'CHAP', 27545),
(83820, 'PF18625', NULL, 'ESX-1 secreted protein B PE domain', 78, NULL, 'EspB_PE', 27546),
(83821, 'PF02757', NULL, 'YLP motif', 9, NULL, 'YLP', 27547),
(83822, 'PF11089', NULL, 'Exopolysaccharide production repressor', 38, NULL, 'SyrA', 27548),
(83823, 'PF04733', NULL, 'Coatomer epsilon subunit', 290, NULL, 'Coatomer_E', 27549),
(83824, 'PF13851', NULL, 'Growth-arrest specific micro-tubule binding', 200, NULL, 'GAS', 27550);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(83825, 'PF17028', NULL, '8TM Microsporidial transmembrane domain', 255, NULL, '8TM_micro', 27551),
(83826, 'PF19692', NULL, 'Family of unknown function (DUF6193)', 112, NULL, 'DUF6193', 27552),
(83827, 'PF16663', NULL, 'Unstructured region on MAGI', 60, NULL, 'MAGI_u1', 27553),
(83828, 'PF05899', NULL, 'EutQ-like cupin domain', 74, NULL, 'Cupin_3', 27554),
(83829, 'PF09686', NULL, 'Plasmid protein of unknown function (Plasmid_RAQPRD)', 76, NULL, 'Plasmid_RAQPRD', 27555),
(83830, 'PF09393', NULL, 'Phage tail tube protein', 139, NULL, 'DUF2001', 27556),
(83831, 'PF20000', NULL, 'FtsH ternary system domain X2', 261, NULL, 'fvmX2', 27557),
(83832, 'PF13046', NULL, 'Protein of unknown function (DUF3906)', 64, NULL, 'DUF3906', 27558),
(83833, 'PF02789', NULL, 'Cytosol aminopeptidase family, N-terminal domain', 126, NULL, 'Peptidase_M17_N', 27559),
(83834, 'PF13042', NULL, 'Protein of unknown function (DUF3902)', 161, NULL, 'DUF3902', 27560),
(83835, 'PF02399', NULL, 'Origin of replication binding protein', 820, NULL, 'Herpes_ori_bp', 27561),
(83836, 'PF12116', NULL, 'Stage III sporulation protein D', 82, NULL, 'SpoIIID', 27562),
(83837, 'PF04826', NULL, 'Armadillo-like', 224, NULL, 'Arm_2', 27563),
(83838, 'PF18975', NULL, 'Family of unknown function (DUF5711)', 344, NULL, 'DUF5711', 27564),
(83839, 'PF05923', NULL, 'APC repeat', 24, NULL, 'APC_r', 27565),
(83840, 'PF19320', NULL, 'Galactofuranosyltransferase-2, domain 3', 197, NULL, 'GlfT2_domain3', 27566),
(83841, 'PF16270', NULL, 'Lipocalin-like domain (DUF4923)', 176, NULL, 'DUF4923', 27567),
(83842, 'PF18518', NULL, 'TcA receptor binding domain', 131, NULL, 'TcA_RBD', 27568),
(83843, 'PF08678', NULL, 'Rsbr N terminal', 130, NULL, 'Rsbr_N', 27569),
(83844, 'PF08053', NULL, 'Tryptophanase operon leader peptide', 24, NULL, 'Tna_leader', 27570),
(83845, 'PF17602', NULL, 'Family of unknown function (DUF5498)', 96, NULL, 'DUF5498', 27571),
(83846, 'PF06675', NULL, 'Protein of unknown function (DUF1177)', 272, NULL, 'DUF1177', 27572),
(83847, 'PF15710', NULL, 'Break repair meiotic recombinase recruitment factor 1', 666, NULL, 'Brme1', 27573),
(83848, 'PF14348', NULL, 'Domain of unknown function (DUF4400)', 203, NULL, 'DUF4400', 27574),
(83849, 'PF05142', NULL, 'Domain of unknown function (DUF702)', 147, NULL, 'DUF702', 27575),
(83850, 'PF14399', NULL, 'Butirosin biosynthesis protein H, N-terminal', 134, NULL, 'BtrH_N', 27576),
(83851, 'PF00798', NULL, 'Arenavirus glycoprotein', 483, NULL, 'Arena_glycoprot', 27577),
(83852, 'PF00575', NULL, 'S1 RNA binding domain', 75, NULL, 'S1', 27578),
(83853, 'PF08455', NULL, 'Bacterial SNF2 helicase associated', 375, NULL, 'SNF2_assoc', 27579),
(83854, 'PF00194', NULL, 'Eukaryotic-type carbonic anhydrase', 247, NULL, 'Carb_anhydrase', 27580),
(83855, 'PF04119', NULL, 'Heat shock protein 9/12', 59, NULL, 'HSP9_HSP12', 27581),
(83856, 'PF17148', NULL, 'Domain of unknown function (DUF5117)', 189, NULL, 'DUF5117', 27582),
(83857, 'PF02958', NULL, 'Ecdysteroid kinase-like family', 294, NULL, 'EcKL', 27583),
(83858, 'PF15620', NULL, 'Centromere assembly component CENP-C middle DNMT3B-binding region', 263, NULL, 'CENP-C_mid', 27584),
(83859, 'PF01420', NULL, 'Type I restriction modification DNA specificity domain', 168, NULL, 'Methylase_S', 27585),
(83860, 'PF04284', NULL, 'Protein of unknown function (DUF441)', 139, NULL, 'DUF441', 27586),
(83861, 'PF06692', NULL, 'Melon necrotic spot virus P7B protein', 61, NULL, 'MNSV_P7B', 27587),
(83862, 'PF01216', NULL, 'Calsequestrin', 386, NULL, 'Calsequestrin', 27588),
(83863, 'PF01941', NULL, 'S-adenosylmethionine synthetase (AdoMet synthetase)', 396, NULL, 'AdoMet_Synthase', 27589),
(83864, 'PF06076', NULL, 'Orthopoxvirus F14 protein', 73, NULL, 'Orthopox_F14', 27590),
(83865, 'PF14150', NULL, 'YesK-like protein', 81, NULL, 'YesK', 27591),
(83866, 'PF15276', NULL, 'Protein phosphatase 1 binding', 62, NULL, 'PP1_bind', 27592),
(83867, 'PF03090', NULL, 'Replicase family', 131, NULL, 'Replicase', 27593),
(83868, 'PF10420', NULL, 'Cytokine interleukin-12p40 C-terminus', 84, NULL, 'IL12p40_C', 27594);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(83869, 'PF09547', NULL, 'Stage IV sporulation protein A (spore_IV_A)', 492, NULL, 'Spore_IV_A', 27595),
(83870, 'PF15740', NULL, 'Protein phosphatase 1 regulatory subunit 26 N-terminus', 871, NULL, 'PPP1R26_N', 27596),
(83871, 'PF07746', NULL, 'Aromatic-ring-opening dioxygenase LigAB, LigA subunit', 87, NULL, 'LigA', 27597),
(83872, 'PF03096', NULL, 'Ndr family', 283, NULL, 'Ndr', 27598),
(83873, 'PF07937', NULL, 'Protein of unknown function (DUF1686)', 181, NULL, 'DUF1686', 27599),
(83874, 'PF00143', NULL, 'Interferon alpha/beta domain', 160, NULL, 'Interferon', 27600),
(83875, 'PF03323', NULL, 'Bacillus/Clostridium GerA spore germination protein', 467, NULL, 'GerA', 27601),
(83876, 'PF10970', NULL, 'Spore germination protein GerPE', 123, NULL, 'GerPE', 27602),
(83877, 'PF08550', NULL, 'Fungal protein of unknown function (DUF1752)', 28, NULL, 'DUF1752', 27603),
(83878, 'PF01052', NULL, 'Type III flagellar switch regulator (C-ring) FliN C-term', 73, NULL, 'FliMN_C', 27604),
(83879, 'PF17195', NULL, 'Protein of unknown function (DUF5132)', 47, NULL, 'DUF5132', 27605),
(83880, 'PF14645', NULL, 'Chibby family', 114, NULL, 'Chibby', 27606),
(83881, 'PF17743', NULL, 'Family of unknown function (DUF5580)', 547, NULL, 'DUF5580', 27607),
(83882, 'PF18661', NULL, 'Avirulence Effector AvrLm4-7', 86, NULL, 'AvrLm4-7', 27608),
(83883, 'PF03827', NULL, 'Orexin receptor type 2', 57, NULL, 'Orexin_rec2', 27609),
(83884, 'PF17629', NULL, 'Family of unknown function (DUF5510)', 62, NULL, 'DUF5510', 27610),
(83885, 'PF00103', NULL, 'Somatotropin hormone family', 215, NULL, 'Hormone_1', 27611),
(83886, 'PF05248', NULL, 'Adenovirus E3A', 104, NULL, 'Adeno_E3A', 27612),
(83887, 'PF08239', NULL, 'Bacterial SH3 domain', 55, NULL, 'SH3_3', 27613),
(83888, 'PF14730', NULL, 'Domain of unknown function (DUF4468) with TBP-like fold', 92, NULL, 'DUF4468', 27614),
(83889, 'PF02230', NULL, 'Phospholipase/Carboxylesterase', 217, NULL, 'Abhydrolase_2', 27615),
(83890, 'PF20038', NULL, 'Helix-turn-helix domain', 66, NULL, 'HTH_59', 27616),
(83891, 'PF04602', NULL, 'Mycobacterial cell wall arabinan synthesis protein', 459, NULL, 'Arabinose_trans', 27617),
(83892, 'PF13289', NULL, 'SIR2-like domain', 144, NULL, 'SIR2_2', 27618),
(83893, 'PF16693', NULL, 'Inner membrane component of T3SS, periplasmic domain', 254, NULL, 'Yop-YscD_ppl', 27619),
(83894, 'PF02911', NULL, 'Formyl transferase, C-terminal domain', 100, NULL, 'Formyl_trans_C', 27620),
(83895, 'PF19237', NULL, 'Family of unknown function (DUF5889)', 115, NULL, 'DUF5889', 27621),
(83896, 'PF00830', NULL, 'Ribosomal L28 family', 60, NULL, 'Ribosomal_L28', 27622),
(83897, 'PF13313', NULL, 'Domain of unknown function (DUF4082)', 145, NULL, 'DUF4082', 27623),
(83898, 'PF04769', NULL, 'Mating-type protein MAT alpha 1 HMG-box', 194, NULL, 'MATalpha_HMGbox', 27624),
(83899, 'PF14504', NULL, 'CAP-associated N-terminal', 140, NULL, 'CAP_assoc_N', 27625),
(83900, 'PF14083', NULL, 'PGDYG protein', 102, NULL, 'PGDYG', 27626),
(83901, 'PF03134', NULL, 'TB2/DP1, HVA22 family', 78, NULL, 'TB2_DP1_HVA22', 27627),
(83902, 'PF16358', NULL, 'RcsF lipoprotein', 110, NULL, 'RcsF', 27628),
(83903, 'PF13493', NULL, 'Domain of unknown function (DUF4118)', 107, NULL, 'DUF4118', 27629),
(83904, 'PF15944', NULL, 'Domain of unknown function (DUF4752)', 84, NULL, 'DUF4752', 27630),
(83905, 'PF00943', NULL, 'Alphavirus E2 glycoprotein', 403, NULL, 'Alpha_E2_glycop', 27631),
(83906, 'PF00454', NULL, 'Phosphatidylinositol 3- and 4-kinase', 250, NULL, 'PI3_PI4_kinase', 27632),
(83907, 'PF01442', NULL, 'Apolipoprotein A1/A4/E domain', 190, NULL, 'Apolipoprotein', 27633),
(83908, 'PF19352', NULL, 'Tetracyclin repressor-like, C-terminal domain', 135, NULL, 'TetR_C_38', 27634),
(83909, 'PF05228', NULL, 'CHASE4 domain', 136, NULL, 'CHASE4', 27635),
(83910, 'PF15595', NULL, 'Immunity protein 51', 105, NULL, 'Imm51', 27636),
(83911, 'PF04519', NULL, 'Polymer-forming cytoskeletal', 98, NULL, 'Bactofilin', 27637),
(83912, 'PF19702', NULL, 'Family of unknown function (DUF6200)', 76, NULL, 'DUF6200', 27638);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(83913, 'PF08792', NULL, 'A2L zinc ribbon domain', 33, NULL, 'A2L_zn_ribbon', 27639),
(83914, 'PF14094', NULL, 'Domain of unknown function (DUF4272)', 207, NULL, 'DUF4272', 27640),
(83915, 'PF06513', NULL, 'Repeat of unknown function (DUF1103)', 215, NULL, 'DUF1103', 27641),
(83916, 'PF01303', NULL, 'Egg lysin (Sperm-lysin)', 121, NULL, 'Egg_lysin', 27642),
(83917, 'PF11620', NULL, 'GA-binding protein alpha chain', 85, NULL, 'GABP-alpha', 27643),
(83918, 'PF09261', NULL, 'Alpha mannosidase middle domain', 96, NULL, 'Alpha-mann_mid', 27644),
(83919, 'PF08786', NULL, 'DcrB', 129, NULL, 'DcrB', 27645),
(83920, 'PF12236', NULL, 'Bacteriophage head to tail connecting protein', 479, NULL, 'Head-tail_con', 27646),
(83921, 'PF07720', NULL, 'Tetratricopeptide repeat', 36, NULL, 'TPR_3', 27647),
(83922, 'PF12834', NULL, 'Phage integrase, N-terminal', 91, NULL, 'Phage_int_SAM_2', 27648),
(83923, 'PF16634', NULL, 'Unstructured region on APC between APC_crr and SAMP', 54, NULL, 'APC_u13', 27649),
(83924, 'PF12746', NULL, 'GNAT acetyltransferase', 243, NULL, 'GNAT_acetyltran', 27650),
(83925, 'PF04213', NULL, 'Htaa', 160, NULL, 'HtaA', 27651),
(83926, 'PF12300', NULL, 'ATP-dependent RNA helicase RhlB', 175, NULL, 'RhlB', 27652),
(83927, 'PF03523', NULL, 'Macrophage scavenger receptor', 49, NULL, 'Macscav_rec', 27653),
(83928, 'PF04697', NULL, 'pinin/SDK conserved region', 135, NULL, 'Pinin_SDK_N', 27654),
(83929, 'PF06247', NULL, 'Pvs28 EGF domain', 41, NULL, 'Plasmod_Pvs28', 27655),
(83930, 'PF13115', NULL, 'YtkA-like', 86, NULL, 'YtkA', 27656),
(83931, 'PF03613', NULL, 'PTS system mannose/fructose/sorbose family IID component', 265, NULL, 'EIID-AGA', 27657),
(83932, 'PF08676', NULL, 'MutL C terminal dimerisation domain', 146, NULL, 'MutL_C', 27658),
(83933, 'PF18132', NULL, 'Tyosinase C-terminal domain', 122, NULL, 'Tyosinase_C', 27659),
(83934, 'PF18492', NULL, 'Open reading frame 2 N-terminal domain', 121, NULL, 'ORF_2_N', 27660),
(83935, 'PF19766', NULL, 'Family of unknown function (DUF6253)', 81, NULL, 'DUF6253', 27661),
(83936, 'PF05598', NULL, 'Transposase domain (DUF772)', 73, NULL, 'DUF772', 27662),
(83937, 'PF09303', NULL, 'KCNMB2, ball and chain domain', 31, NULL, 'KcnmB2_inactiv', 27663),
(83938, 'PF09846', NULL, 'Uncharacterized protein conserved in archaea (DUF2073)', 105, NULL, 'DUF2073', 27664),
(83939, 'PF05595', NULL, 'Domain of unknown function (DUF771)', 90, NULL, 'DUF771', 27665),
(83940, 'PF04197', NULL, 'Birnavirus RNA dependent RNA polymerase (VP1)', 872, NULL, 'Birna_RdRp', 27666),
(83941, 'PF14159', NULL, 'CAAD domains of cyanobacterial aminoacyl-tRNA synthetase', 85, NULL, 'CAAD', 27667),
(83942, 'PF16161', NULL, 'Domain of unknown function (DUF4867)', 201, NULL, 'DUF4867', 27668),
(83943, 'PF04614', NULL, 'Pex19 protein family', 247, NULL, 'Pex19', 27669),
(83944, 'PF18144', NULL, 'Second Messenger Oligonucleotide or Dinucleotide Synthetase domain', 164, NULL, 'SMODS', 27670),
(83945, 'PF03063', NULL, 'Prismane/CO dehydrogenase family', 511, NULL, 'Prismane', 27671),
(83946, 'PF06406', NULL, 'StbA protein', 317, NULL, 'StbA', 27672),
(83947, 'PF20156', NULL, 'Flagellin glycosyltransferase Maf helical bundle domain', 122, NULL, 'Maf_C', 27673),
(83948, 'PF11199', NULL, 'Protein of unknown function (DUF2891)', 325, NULL, 'DUF2891', 27674),
(83949, 'PF08093', NULL, 'Magi 5 toxic peptide family', 30, NULL, 'Toxin_23', 27675),
(83950, 'PF13470', NULL, 'PIN domain', 116, NULL, 'PIN_3', 27676),
(83951, 'PF10375', NULL, 'GRAB domain', 49, NULL, 'GRAB', 27677),
(83952, 'PF16192', NULL, 'C-terminal four TMM region of protein-O-mannosyltransferase', 200, NULL, 'PMT_4TMC', 27678),
(83953, 'PF06618', NULL, 'Protein of unknown function (DUF1148)', 114, NULL, 'DUF1148', 27679),
(83954, 'PF01103', NULL, 'Omp85 superfamily domain', 324, NULL, 'Omp85', 27680),
(83955, 'PF19197', NULL, 'Family of unknown function (DUF5872)', 116, NULL, 'DUF5872', 27681),
(83956, 'PF10517', NULL, 'Electron transfer DM13', 104, NULL, 'DM13', 27682),
(83957, 'PF10543', NULL, 'ORF6N domain', 84, NULL, 'ORF6N', 27683);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(83958, 'PF00387', NULL, 'Phosphatidylinositol-specific phospholipase C, Y domain', 115, NULL, 'PI-PLC-Y', 27684),
(83959, 'PF08592', NULL, 'Domain of unknown function (DUF1772)', 137, NULL, 'DUF1772', 27685),
(83960, 'PF10936', NULL, 'Protein of unknown function DUF2617', 161, NULL, 'DUF2617', 27686),
(83961, 'PF13455', NULL, 'Meiotically up-regulated gene 113', 77, NULL, 'MUG113', 27687),
(83962, 'PF19757', NULL, 'Family of unknown function (DUF6244)', 87, NULL, 'DUF6244', 27688),
(83963, 'PF01568', NULL, 'Molydopterin dinucleotide binding domain', 111, NULL, 'Molydop_binding', 27689),
(83964, 'PF14350', NULL, 'Beta protein', 342, NULL, 'Beta_protein', 27690),
(83965, 'PF12893', NULL, 'Putative lumazine-binding', 116, NULL, 'Lumazine_bd_2', 27691),
(83966, 'PF12007', NULL, 'Protein of unknown function (DUF3501)', 187, NULL, 'DUF3501', 27692),
(83967, 'PF13859', NULL, 'BNR repeat-like domain', 310, NULL, 'BNR_3', 27693),
(83968, 'PF06002', NULL, 'Alpha-2,3-sialyltransferase (CST-I)', 293, NULL, 'CST-I', 27694),
(83969, 'PF12049', NULL, 'Protein of unknown function (DUF3531)', 143, NULL, 'DUF3531', 27695),
(83970, 'PF09527', NULL, 'Putative F0F1-ATPase subunit Ca2+/Mg2+ transporter', 54, NULL, 'ATPase_gene1', 27696),
(83971, 'PF15472', NULL, 'Domain of unknown function (DUF4638)', 262, NULL, 'DUF4638', 27697),
(83972, 'PF07209', NULL, 'Protein of unknown function (DUF1415)', 171, NULL, 'DUF1415', 27698),
(83973, 'PF07941', NULL, 'Potassium channel Kv1.4 tandem inactivation domain', 74, NULL, 'K_channel_TID', 27699),
(83974, 'PF03051', NULL, 'Peptidase C1-like family', 438, NULL, 'Peptidase_C1_2', 27700),
(83975, 'PF18188', NULL, 'Prim-pol 4', 159, NULL, 'PPL4', 27701),
(83976, 'PF14740', NULL, 'Domain of unknown function (DUF4471)', 306, NULL, 'DUF4471', 27702),
(83977, 'PF15368', NULL, 'Spermatogenesis family BioT2', 169, NULL, 'BioT2', 27703),
(83978, 'PF18666', NULL, 'Carbohydrate-binding module 64', 74, NULL, 'CBM64', 27704),
(83979, 'PF03522', NULL, 'Solute carrier family 12', 417, NULL, 'SLC12', 27705),
(83980, 'PF00091', NULL, 'Tubulin/FtsZ family, GTPase domain', 197, NULL, 'Tubulin', 27706),
(83981, 'PF01199', NULL, 'Ribosomal protein L34e', 94, NULL, 'Ribosomal_L34e', 27707),
(83982, 'PF08515', NULL, 'Transforming growth factor beta type I GS-motif', 28, NULL, 'TGF_beta_GS', 27708),
(83983, 'PF19403', NULL, 'Prealbumin-like fold domain', 97, NULL, 'SpaA_2', 27709),
(83984, 'PF07367', NULL, 'Fungal fruit body lectin', 140, NULL, 'FB_lectin', 27710),
(83985, 'PF14070', NULL, 'Putative motility protein', 57, NULL, 'YjfB_motility', 27711),
(83986, 'PF07189', NULL, 'Splicing factor 3B subunit 10 (SF3b10)', 78, NULL, 'SF3b10', 27712),
(83987, 'PF06771', NULL, 'Viral Desmoplakin N-terminus', 90, NULL, 'Desmo_N', 27713),
(83988, 'PF15242', NULL, 'Family of FAM53', 304, NULL, 'FAM53', 27714),
(83989, 'PF16533', NULL, 'STIM1 Orai1-activating region', 101, NULL, 'SOAR', 27715),
(83990, 'PF10030', NULL, 'Uncharacterized protein conserved in bacteria (DUF2272)', 191, NULL, 'DUF2272', 27716),
(83991, 'PF01900', NULL, 'Rpp14/Pop5 family', 103, NULL, 'RNase_P_Rpp14', 27717),
(83992, 'PF19875', NULL, 'Family of unknown function (DUF6348)', 194, NULL, 'DUF6348', 27718),
(83993, 'PF02341', NULL, 'RbcX protein', 111, NULL, 'RbcX', 27719),
(83994, 'PF12074', NULL, 'Generalcontrol nonderepressible 1 (Gcn1) N-terminal', 358, NULL, 'Gcn1_N', 27720),
(83995, 'PF07159', NULL, 'CYRIA/CYRIB Rac1 binding domain', 302, NULL, 'DUF1394', 27721),
(83996, 'PF18038', NULL, 'FERM N-terminal domain', 99, NULL, 'FERM_N_2', 27722),
(83997, 'PF16174', NULL, 'Intracellular hyaluronan-binding protein 4 N-terminal', 145, NULL, 'IHABP4_N', 27723),
(83998, 'PF10044', NULL, 'Retinal tissue protein', 95, NULL, 'LIN52', 27724),
(83999, 'PF07238', NULL, 'PilZ domain', 103, NULL, 'PilZ', 27725),
(84000, 'PF12513', NULL, 'Mitochondrial degradasome RNA helicase subunit C terminal', 48, NULL, 'SUV3_C', 27726),
(84001, 'PF05061', NULL, 'Poxvirus A11 Protein', 315, NULL, 'Pox_A11', 27727),
(84002, 'PF19866', NULL, 'Family of unknown function (DUF6339)', 175, NULL, 'DUF6339', 27728);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(84003, 'PF12755', NULL, 'Vacuolar 14 Fab1-binding region', 97, NULL, 'Vac14_Fab1_bd', 27729),
(84004, 'PF04051', NULL, 'Transport protein particle (TRAPP) component', 155, NULL, 'TRAPP', 27730),
(84005, 'PF17731', NULL, 'Family of unknown function (DUF5570)', 123, NULL, 'DUF5570', 27731),
(84006, 'PF01066', NULL, 'CDP-alcohol phosphatidyltransferase', 66, NULL, 'CDP-OH_P_transf', 27732),
(84007, 'PF06550', NULL, 'Signal-peptide peptidase, presenilin aspartyl protease', 283, NULL, 'SPP', 27733),
(84008, 'PF03931', NULL, 'Skp1 family, tetramerisation domain', 63, NULL, 'Skp1_POZ', 27734),
(84009, 'PF04042', NULL, 'DNA polymerase alpha/epsilon subunit B', 211, NULL, 'DNA_pol_E_B', 27735),
(84010, 'PF15797', NULL, 'Domain of unknown function (DUF4706)', 107, NULL, 'DUF4706', 27736),
(84011, 'PF13238', NULL, 'AAA domain', 129, NULL, 'AAA_18', 27737),
(84012, 'PF10977', NULL, 'Protein of unknown function (DUF2797)', 233, NULL, 'DUF2797', 27738),
(84013, 'PF16057', NULL, 'Domain of unknown function (DUF4800)', 254, NULL, 'DUF4800', 27739),
(84014, 'PF01117', NULL, 'Aerolysin toxin', 365, NULL, 'Aerolysin', 27740),
(84015, 'PF01850', NULL, 'PIN domain', 122, NULL, 'PIN', 27741),
(84016, 'PF01624', NULL, 'MutS domain I', 113, NULL, 'MutS_I', 27742),
(84017, 'PF05902', NULL, '4.1 protein C-terminal domain (CTD)', 107, NULL, '4_1_CTD', 27743),
(84018, 'PF10555', NULL, 'Phospho-N-acetylmuramoyl-pentapeptide-transferase signature 1', 13, NULL, 'MraY_sig1', 27744),
(84019, 'PF02945', NULL, 'Recombination endonuclease VII', 82, NULL, 'Endonuclease_7', 27745),
(84020, 'PF19344', NULL, 'Tetracyclin repressor-like, C-terminal domain', 139, NULL, 'TetR_C_32', 27746),
(84021, 'PF06277', NULL, 'Ethanolamine utilisation protein EutA', 475, NULL, 'EutA', 27747),
(84022, 'PF04760', NULL, 'Translation initiation factor IF-2, N-terminal region', 52, NULL, 'IF2_N', 27748),
(84023, 'PF18588', NULL, 'Polysaccharide biosynthesis enzyme WcbI', 205, NULL, 'WcbI', 27749),
(84024, 'PF01869', NULL, 'BadF/BadG/BcrA/BcrD ATPase family', 267, NULL, 'BcrAD_BadFG', 27750),
(84025, 'PF09095', NULL, 'Domain of unknown function (DUF1926)', 284, NULL, 'DUF1926', 27751),
(84026, 'PF11768', NULL, 'WD repeat-containing and planar cell polarity effector protein Fritz', 544, NULL, 'Frtz', 27752),
(84027, 'PF15391', NULL, 'Domain of unknown function (DUF4614)', 184, NULL, 'DUF4614', 27753),
(84028, 'PF00481', NULL, 'Protein phosphatase 2C', 258, NULL, 'PP2C', 27754),
(84029, 'PF18484', NULL, 'Cadmium carbonic anhydrase repeat', 184, NULL, 'CDCA', 27755),
(84030, 'PF14585', NULL, 'CagY type 1 repeat', 65, NULL, 'CagY_I', 27756),
(84031, 'PF19914', NULL, 'Wolframin EF-hand domain', 98, NULL, 'WEF-hand', 27757),
(84032, 'PF19396', NULL, 'Family of unknown function (DUF5971)', 92, NULL, 'DUF5971', 27758),
(84033, 'PF02263', NULL, 'Guanylate-binding protein, N-terminal domain', 260, NULL, 'GBP', 27759),
(84034, 'PF14929', NULL, 'TAF RNA Polymerase I subunit A', 371, NULL, 'TAF1_subA', 27760),
(84035, 'PF08712', NULL, 'Scaffold protein Nfu/NifU N terminal', 88, NULL, 'Nfu_N', 27761),
(84036, 'PF19811', NULL, 'Family of unknown function (DUF6294)', 89, NULL, 'DUF6294', 27762),
(84037, 'PF03934', NULL, 'Type II secretion system (T2SS), protein K', 280, NULL, 'T2SSK', 27763),
(84038, 'PF12290', NULL, 'Protein of unknown function (DUF3802)', 111, NULL, 'DUF3802', 27764),
(84039, 'PF12833', NULL, 'Helix-turn-helix domain', 81, NULL, 'HTH_18', 27765),
(84040, 'PF11044', NULL, 'Plectrovirus spv1-c74 ORF 12 transmembrane protein', 49, NULL, 'TMEMspv1-c74-12', 27766),
(84041, 'PF11948', NULL, 'Protein of unknown function (DUF3465)', 124, NULL, 'DUF3465', 27767),
(84042, 'PF07865', NULL, 'Protein of unknown function (DUF1652)', 67, NULL, 'DUF1652', 27768),
(84043, 'PF16650', NULL, 'Unstructured region on SPEG complex protein', 57, NULL, 'SPEG_u2', 27769),
(84044, 'PF17413', NULL, 'Outer membrane lipoprotein virB7', 35, NULL, 'VirB7', 27770),
(84045, 'PF04696', NULL, 'pinin/SDK/memA/ protein conserved region', 130, NULL, 'Pinin_SDK_memA', 27771),
(84046, 'PF02332', NULL, 'Methane/Phenol/Toluene Hydroxylase', 230, NULL, 'Phenol_Hydrox', 27772);
INSERT INTO "PUBLIC"."MODEL" VALUES
(84047, 'PF17237', NULL, 'Family of unknown function (DUF5310)', 44, NULL, 'DUF5310', 27773),
(84048, 'PF03510', NULL, '2C endopeptidase (C24) cysteine protease family', 105, NULL, 'Peptidase_C24', 27774),
(84049, 'PF06670', NULL, 'Microneme protein Etmic-2', 379, NULL, 'Etmic-2', 27775),
(84050, 'PF07421', NULL, 'Neurotensin/neuromedin N precursor', 161, NULL, 'Pro-NT_NN', 27776),
(84051, 'PF03632', NULL, 'Glycosyl hydrolase family 65 central catalytic domain', 387, NULL, 'Glyco_hydro_65m', 27777),
(84052, 'PF06970', NULL, 'Replication initiator protein A (RepA) N-terminus', 76, NULL, 'RepA_N', 27778),
(84053, 'PF12947', NULL, 'EGF domain', 36, NULL, 'EGF_3', 27779),
(84054, 'PF13661', NULL, '2OG-Fe(II) oxygenase superfamily', 98, NULL, '2OG-FeII_Oxy_4', 27780),
(84055, 'PF09143', NULL, 'AvrPphF-ORF-2', 175, NULL, 'AvrPphF-ORF-2', 27781),
(84056, 'PF04211', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit C', 268, NULL, 'MtrC', 27782),
(84057, 'PF02690', NULL, 'Na+/Pi-cotransporter', 137, NULL, 'Na_Pi_cotrans', 27783),
(84058, 'PF05335', NULL, 'Protein of unknown function (DUF745)', 183, NULL, 'DUF745', 27784),
(84059, 'PF03982', NULL, 'Diacylglycerol acyltransferase', 297, NULL, 'DAGAT', 27785),
(84060, 'PF07441', NULL, 'SigmaK-factor processing regulatory protein BofA', 75, NULL, 'BofA', 27786),
(84061, 'PF03376', NULL, 'Adenovirus E3B protein', 67, NULL, 'Adeno_E3B', 27787),
(84062, 'PF17327', NULL, 'Acyl homoserine lactone synthase', 376, NULL, 'AHL_synthase', 27788),
(84063, 'PF13808', NULL, 'DDE_Tnp_1-associated', 88, NULL, 'DDE_Tnp_1_assoc', 27789),
(84064, 'PF15722', NULL, 'FAM153 family', 114, NULL, 'FAM153', 27790),
(84065, 'PF16669', NULL, 'Tetratricopeptide repeat protein 5 OB fold domain', 115, NULL, 'TTC5_OB', 27791),
(84066, 'PF13403', NULL, 'Hint domain', 143, NULL, 'Hint_2', 27792),
(84067, 'PF03261', NULL, 'Cyclin-dependent kinase 5 activator protein', 344, NULL, 'CDK5_activator', 27793),
(84068, 'PF15537', NULL, 'Bacterial toxin 43', 123, NULL, 'Ntox43', 27794),
(84069, 'PF14842', NULL, 'FliG N-terminal domain', 104, NULL, 'FliG_N', 27795),
(84070, 'PF10110', NULL, 'Membrane domain of glycerophosphoryl diester phosphodiesterase', 324, NULL, 'GPDPase_memb', 27796),
(84071, 'PF02862', NULL, 'DDHD domain', 249, NULL, 'DDHD', 27797),
(84072, 'PF17377', NULL, 'Family of unknown function (DUF5399)', 140, NULL, 'DUF5399', 27798),
(84073, 'PF19473', NULL, 'Family of unknown function (DUF6010)', 135, NULL, 'DUF6010', 27799),
(84074, 'PF19349', NULL, 'Family of unknown function (DUF5927)', 300, NULL, 'DUF5927', 27800),
(84075, 'PF16715', NULL, 'Cyclodipeptide synthase', 220, NULL, 'CDPS', 27801),
(84076, 'PF17573', NULL, 'GA-like domain', 50, NULL, 'GA-like', 27802),
(84077, 'PF12639', NULL, 'DNase/tRNase domain of colicin-like bacteriocin', 96, NULL, 'Colicin-DNase', 27803),
(84078, 'PF00820', NULL, 'Borrelia lipoprotein', 261, NULL, 'Lipoprotein_1', 27804),
(84079, 'PF05914', NULL, 'RIB43A', 372, NULL, 'RIB43A', 27805),
(84080, 'PF15362', NULL, 'Enamelin', 907, NULL, 'Enamelin', 27806),
(84081, 'PF08610', NULL, 'Peroxisomal membrane protein (Pex16)', 364, NULL, 'Pex16', 27807),
(84082, 'PF16314', NULL, 'Domain of unknown function (DUF4954)', 655, NULL, 'DUF4954', 27808),
(84083, 'PF17066', NULL, 'RBPJ-interacting and tubulin associated protein', 268, NULL, 'RITA', 27809),
(84084, 'PF18837', NULL, 'Leucine-rich repeat', 30, NULL, 'LRR_12', 27810),
(84085, 'PF11104', NULL, 'Type IV pilus assembly protein PilM;', 340, NULL, 'PilM_2', 27811),
(84086, 'PF07297', NULL, 'Dolichol phosphate-mannose biosynthesis regulatory protein (DPM2)', 75, NULL, 'DPM2', 27812),
(84087, 'PF02718', NULL, 'Herpesvirus UL31-like protein', 254, NULL, 'Herpes_UL31', 27813),
(84088, 'PF06905', NULL, 'Fas apoptotic inhibitory molecule (FAIM1)', 172, NULL, 'FAIM1', 27814),
(84089, 'PF17803', NULL, 'Bacterial cadherin-like domain', 72, NULL, 'Cadherin_4', 27815),
(84090, 'PF05122', NULL, 'Mobile element transfer protein', 50, NULL, 'SpdB', 27816),
(84091, 'PF10714', NULL, 'Late embryogenesis abundant protein 18', 75, NULL, 'LEA_6', 27817); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(84092, 'PF02631', NULL, 'RecX family', 122, NULL, 'RecX', 27818),
(84093, 'PF01295', NULL, 'Adenylate cyclase, class-I', 601, NULL, 'Adenylate_cycl', 27819),
(84094, 'PF11033', NULL, 'Competence protein J (ComJ)', 122, NULL, 'ComJ', 27820),
(84095, 'PF14266', NULL, 'Putative component of ''biosynthetic module''', 483, NULL, 'YceG_bac', 27821),
(84096, 'PF12629', NULL, 'Poxvirus poly(A) polymerase C-terminal domain', 201, NULL, 'Pox_polyA_pol_C', 27822),
(84097, 'PF02765', NULL, 'Telomeric single stranded DNA binding POT1/CDC13', 143, NULL, 'POT1', 27823),
(84098, 'PF06962', NULL, 'Putative rRNA methylase', 137, NULL, 'rRNA_methylase', 27824),
(84099, 'PF15268', NULL, 'Dapper', 810, NULL, 'Dapper', 27825),
(84100, 'PF04456', NULL, 'Protein of unknown function (DUF503)', 88, NULL, 'DUF503', 27826),
(84101, 'PF04970', NULL, 'Lecithin retinol acyltransferase', 127, NULL, 'LRAT', 27827),
(84102, 'PF12400', NULL, 'STIMATE family', 125, NULL, 'STIMATE', 27828),
(84103, 'PF12551', NULL, 'Poly-beta-hydroxybutyrate polymerase N terminal', 43, NULL, 'PHBC_N', 27829),
(84104, 'PF04305', NULL, 'Protein of unknown function (DUF455)', 249, NULL, 'DUF455', 27830),
(84105, 'PF07709', NULL, 'Seven Residue Repeat', 14, NULL, 'SRR', 27831),
(84106, 'PF08756', NULL, 'YfkB-like domain', 151, NULL, 'YfkB', 27832),
(84107, 'PF14157', NULL, 'YmzC-like protein', 58, NULL, 'YmzC', 27833),
(84108, 'PF00434', NULL, 'Glycoprotein VP7', 323, NULL, 'VP7', 27834),
(84109, 'PF12163', NULL, 'DNA replication regulator', 180, NULL, 'HobA', 27835),
(84110, 'PF05197', NULL, 'TRIC channel', 193, NULL, 'TRIC', 27836),
(84111, 'PF02009', NULL, 'Rifin', 327, NULL, 'RIFIN', 27837),
(84112, 'PF13116', NULL, 'Protein of unknown function', 289, NULL, 'DUF3971', 27838),
(84113, 'PF07801', NULL, 'Protein of unknown function (DUF1647)', 141, NULL, 'DUF1647', 27839),
(84114, 'PF10436', NULL, 'Mitochondrial branched-chain alpha-ketoacid dehydrogenase kinase', 162, NULL, 'BCDHK_Adom3', 27840),
(84115, 'PF16117', NULL, 'Domain of unknown function (DUF4833)', 138, NULL, 'DUF4833', 27841),
(84116, 'PF08872', NULL, 'KGK domain', 119, NULL, 'KGK', 27842),
(84117, 'PF07099', NULL, 'Protein of unknown function (DUF1361)', 169, NULL, 'DUF1361', 27843),
(84118, 'PF19427', NULL, 'Protein inscuteable C-terminal', 453, NULL, 'Insc_C', 27844),
(84119, 'PF00717', NULL, 'Peptidase S24-like', 116, NULL, 'Peptidase_S24', 27845),
(84120, 'PF10158', NULL, 'Tumour suppressor protein', 131, NULL, 'LOH1CR12', 27846),
(84121, 'PF12866', NULL, 'Protein of unknown function (DUF3823) N-terminal domain', 93, NULL, 'DUF3823', 27847),
(84122, 'PF02556', NULL, 'Preprotein translocase subunit SecB', 143, NULL, 'SecB', 27848),
(84123, 'PF17099', NULL, 'Tryptophan transporter TrpP', 169, NULL, 'TrpP', 27849),
(84124, 'PF01297', NULL, 'Zinc-uptake complex component A periplasmic', 247, NULL, 'ZnuA', 27850),
(84125, 'PF09069', NULL, 'EF-hand', 92, NULL, 'EF-hand_3', 27851),
(84126, 'PF07092', NULL, 'Protein of unknown function (DUF1356)', 232, NULL, 'DUF1356', 27852),
(84127, 'PF16221', NULL, 'winged helix-turn-helix', 78, NULL, 'HTH_47', 27853),
(84128, 'PF06662', NULL, 'D-glucuronyl C5-epimerase C-terminus', 188, NULL, 'C5-epim_C', 27854),
(84129, 'PF14463', NULL, 'E1 N-terminal domain', 151, NULL, 'E1-N', 27855),
(84130, 'PF19514', NULL, 'MobC-like protein', 141, NULL, 'MobC_2', 27856),
(84131, 'PF18468', NULL, 'Phosphofructokinase N-terminal domain yeast', 98, NULL, 'Pfk_N', 27857),
(84132, 'PF09134', NULL, 'Invasin, domain 3', 97, NULL, 'Invasin_D3', 27858),
(84133, 'PF14012', NULL, 'Protein of unknown function (DUF4229)', 68, NULL, 'DUF4229', 27859),
(84134, 'PF11490', NULL, 'DNA polymerase III polC-type N-terminus II', 117, NULL, 'DNA_pol3_a_NII', 27860),
(84135, 'PF11098', NULL, 'Chlorosome envelope protein C', 139, NULL, 'Chlorosome_CsmC', 27861),
(84136, 'PF09262', NULL, 'Peroxisome biogenesis factor 1, N-terminal', 77, NULL, 'PEX-1N', 27862),
(84137, 'PF16339', NULL, 'Domain of unknown function (DUF4969)', 79, NULL, 'DUF4969', 27863),
(84138, 'PF03319', NULL, 'Ethanolamine utilisation protein EutN/carboxysome', 83, NULL, 'EutN_CcmL', 27864);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(84139, 'PF04661', NULL, 'Poxvirus I3 ssDNA-binding protein', 262, NULL, 'Pox_I3', 27865),
(84140, 'PF02020', NULL, 'eIF4-gamma/eIF5/eIF2-epsilon', 79, NULL, 'W2', 27866),
(84141, 'PF00189', NULL, 'Ribosomal protein S3, C-terminal domain', 83, NULL, 'Ribosomal_S3_C', 27867),
(84142, 'PF17252', NULL, 'Family of unknown function (DUF5319)', 121, NULL, 'DUF5319', 27868),
(84143, 'PF07483', NULL, 'Tryptophan-rich Synechocystis species C-terminal domain', 105, NULL, 'W_rich_C', 27869),
(84144, 'PF02023', NULL, 'SCAN domain', 90, NULL, 'SCAN', 27870),
(84145, 'PF05953', NULL, 'Allatostatin', 11, NULL, 'Allatostatin', 27871),
(84146, 'PF14077', NULL, 'Alternative WD40 repeat motif', 48, NULL, 'WD40_alt', 27872),
(84147, 'PF02031', NULL, 'Streptomyces extracellular neutral proteinase (M7) family', 133, NULL, 'Peptidase_M7', 27873),
(84148, 'PF08004', NULL, 'Protein of unknown function (DUF1699)', 130, NULL, 'DUF1699', 27874),
(84149, 'PF01430', NULL, 'Hsp33 protein', 267, NULL, 'HSP33', 27875),
(84150, 'PF10561', NULL, 'Uncharacterised protein family UPF0565', 299, NULL, 'UPF0565', 27876),
(84151, 'PF00885', NULL, '6,7-dimethyl-8-ribityllumazine synthase', 141, NULL, 'DMRL_synthase', 27877),
(84152, 'PF17017', NULL, 'Aberrant zinc-finger', 176, NULL, 'zf-C2H2_aberr', 27878),
(84153, 'PF14914', NULL, 'LRRC37A/B like protein 1 C-terminal domain', 147, NULL, 'LRRC37AB_C', 27879),
(84154, 'PF18865', NULL, 'AbiJ N-terminal domain 5', 93, NULL, 'AbiJ_NTD5', 27880),
(84155, 'PF00713', NULL, 'Hirudin', 64, NULL, 'Hirudin', 27881),
(84156, 'PF11970', NULL, 'G protein-coupled glucose receptor regulating Gpa2 C-term', 76, NULL, 'GPR_Gpa2_C', 27882),
(84157, 'PF17134', NULL, 'Domain of unknown function (DUF5109)', 114, NULL, 'DUF5109', 27883),
(84158, 'PF11633', NULL, 'Betacoronavirus single-stranded poly(A) binding domain', 143, NULL, 'bCoV_SUD_M', 27884),
(84159, 'PF08714', NULL, 'Formaldehyde-activating enzyme (Fae)', 159, NULL, 'Fae', 27885),
(84160, 'PF15375', NULL, 'Domain of unknown function (DUF4602)', 133, NULL, 'DUF4602', 27886),
(84161, 'PF17692', NULL, 'Family of unknown function (DUF5538)', 130, NULL, 'DUF5538', 27887),
(84162, 'PF06903', NULL, 'VirK protein', 98, NULL, 'VirK', 27888),
(84163, 'PF12057', NULL, 'BCL2-associated athanogene 6', 115, NULL, 'BAG6', 27889),
(84164, 'PF01254', NULL, 'Nuclear transition protein 2', 133, NULL, 'TP2', 27890),
(84165, 'PF13720', NULL, 'Udp N-acetylglucosamine O-acyltransferase; Domain 2', 82, NULL, 'Acetyltransf_11', 27891),
(84166, 'PF08859', NULL, 'DGC domain', 106, NULL, 'DGC', 27892),
(84167, 'PF15757', NULL, 'Amelotin', 195, NULL, 'Amelotin', 27893),
(84168, 'PF19419', NULL, 'Family of unknown function (DUF5983)', 162, NULL, 'DUF5983', 27894),
(84169, 'PF01506', NULL, 'Hepatitis C virus non-structural 5a protein membrane anchor', 23, NULL, 'HCV_NS5a', 27895),
(84170, 'PF13077', NULL, 'Protein of unknown function (DUF3909)', 108, NULL, 'DUF3909', 27896),
(84171, 'PF06623', NULL, 'MHC_I C-terminus', 28, NULL, 'MHC_I_C', 27897),
(84172, 'PF14823', NULL, 'Sirohaem biosynthesis protein C-terminal', 68, NULL, 'Sirohm_synth_C', 27898),
(84173, 'PF01740', NULL, 'STAS domain', 117, NULL, 'STAS', 27899),
(84174, 'PF00040', NULL, 'Fibronectin type II domain', 42, NULL, 'fn2', 27900),
(84175, 'PF12624', NULL, 'N-terminal region of Chorein or VPS13', 116, NULL, 'Chorein_N', 27901),
(84176, 'PF19547', NULL, 'Family of unknown function (DUF6071)', 223, NULL, 'DUF6071', 27902),
(84177, 'PF11531', NULL, 'Coactivator-associated arginine methyltransferase 1 N terminal', 112, NULL, 'CARM1', 27903),
(84178, 'PF19532', NULL, 'Transmembrane protein 131-like', 1430, NULL, 'TMEM131_like', 27904),
(84179, 'PF10139', NULL, 'Putative bacterial virulence factor', 877, NULL, 'Virul_Fac', 27905),
(84180, 'PF16244', NULL, 'Domain of unknown function (DUF4901)', 228, NULL, 'DUF4901', 27906),
(84181, 'PF05044', NULL, 'Homeo-prospero domain', 154, NULL, 'HPD', 27907),
(84182, 'PF06881', NULL, 'RNA polymerase II transcription factor SIII (Elongin) subunit A', 105, NULL, 'Elongin_A', 27908);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(84183, 'PF05181', NULL, 'XPA protein C-terminus', 51, NULL, 'XPA_C', 27909),
(84184, 'PF01235', NULL, 'Sodium:alanine symporter family', 393, NULL, 'Na_Ala_symp', 27910),
(84185, 'PF13031', NULL, 'Protein of unknown function (DUF3892)', 76, NULL, 'DUF3892', 27911),
(84186, 'PF14380', NULL, 'Wall-associated receptor kinase C-terminal', 105, NULL, 'WAK_assoc', 27912),
(84187, 'PF09887', NULL, 'Uncharacterized protein conserved in archaea (DUF2114)', 449, NULL, 'DUF2114', 27913),
(84188, 'PF13247', NULL, '4Fe-4S dicluster domain', 100, NULL, 'Fer4_11', 27914),
(84189, 'PF19691', NULL, 'Family of unknown function (DUF6192)', 248, NULL, 'DUF6192', 27915),
(84190, 'PF00261', NULL, 'Tropomyosin', 237, NULL, 'Tropomyosin', 27916),
(84191, 'PF10452', NULL, 'TORC1 subunit TCO89', 596, NULL, 'TCO89', 27917),
(84192, 'PF06437', NULL, 'IMP-specific 5''-nucleotidase', 410, NULL, 'ISN1', 27918),
(84193, 'PF14956', NULL, 'Domain of unknown function (DUF4505)', 179, NULL, 'DUF4505', 27919),
(84194, 'PF16107', NULL, 'Domain of unknown function (DUF4825)', 99, NULL, 'DUF4825', 27920),
(84195, 'PF10843', NULL, 'Respiratory growth induced protein 1', 194, NULL, 'RGI1', 27921),
(84196, 'PF04751', NULL, 'Protein of unknown function (DUF615)', 153, NULL, 'DUF615', 27922),
(84197, 'PF00707', NULL, 'Translation initiation factor IF-3, C-terminal domain', 86, NULL, 'IF3_C', 27923),
(84198, 'PF18478', NULL, 'PIN like domain', 84, NULL, 'PIN_10', 27924),
(84199, 'PF09347', NULL, 'Domain of unknown function (DUF1989)', 167, NULL, 'DUF1989', 27925),
(84200, 'PF14129', NULL, 'Domain of unknown function (DUF4296)', 87, NULL, 'DUF4296', 27926),
(84201, 'PF19275', NULL, 'HflX C-terminal domain', 102, NULL, 'HflX_C', 27927),
(84202, 'PF16980', NULL, 'Putative citrate transport', 449, NULL, 'CitMHS_2', 27928),
(84203, 'PF19882', NULL, 'Family of unknown function (DUF6355)', 63, NULL, 'DUF6355', 27929),
(84204, 'PF05279', NULL, 'Aspartyl beta-hydroxylase N-terminal region', 66, NULL, 'Asp-B-Hydro_N', 27930),
(84205, 'PF03263', NULL, 'Cucumovirus protein 2B', 105, NULL, 'Cucumo_2B', 27931),
(84206, 'PF07232', NULL, 'Putative rep protein (DUF1424)', 328, NULL, 'DUF1424', 27932),
(84207, 'PF16334', NULL, 'Domain of unknown function (DUF4964)', 88, NULL, 'DUF4964', 27933),
(84208, 'PF00611', NULL, 'Fes/CIP4, and EFC/F-BAR homology domain', 78, NULL, 'FCH', 27934),
(84209, 'PF14015', NULL, 'Protein of unknown function (DUF4231)', 105, NULL, 'DUF4231', 27935),
(84210, 'PF02440', NULL, 'Adenovirus E3 region protein CR1', 95, NULL, 'Adeno_E3_CR1', 27936),
(84211, 'PF19084', NULL, 'Family of unknown function (DUF5775)', 81, NULL, 'DUF5775', 27937),
(84212, 'PF00312', NULL, 'Ribosomal protein S15', 81, NULL, 'Ribosomal_S15', 27938),
(84213, 'PF10725', NULL, 'Protein of unknown function (DUF2517)', 61, NULL, 'DUF2517', 27939),
(84214, 'PF19163', NULL, 'Family of unknown function (DUF5845)', 80, NULL, 'DUF5845', 27940),
(84215, 'PF00881', NULL, 'Nitroreductase family', 168, NULL, 'Nitroreductase', 27941),
(84216, 'PF09850', NULL, 'Type VI secretion system protein DotU', 205, NULL, 'DotU', 27942),
(84217, 'PF15141', NULL, 'Ubiquinol-cytochrome-c reductase complex assembly factor 3', 87, NULL, 'UQCC3', 27943),
(84218, 'PF08253', NULL, 'Erm Leader peptide', 19, NULL, 'Leader_Erm', 27944),
(84219, 'PF10212', NULL, 'Predicted coiled-coil domain-containing protein', 523, NULL, 'TTKRSYEDQ', 27945),
(84220, 'PF13841', NULL, 'Beta defensin', 30, NULL, 'Defensin_beta_2', 27946),
(84221, 'PF01786', NULL, 'Alternative oxidase', 216, NULL, 'AOX', 27947),
(84222, 'PF16833', NULL, 'Erythroid krueppel-like transcription factor, transactivation 2', 27, NULL, 'EKLF_TAD2', 27948),
(84223, 'PF05674', NULL, 'Baculovirus protein of unknown function (DUF816)', 172, NULL, 'DUF816', 27949),
(84224, 'PF15567', NULL, 'Immunity protein 35', 85, NULL, 'Imm35', 27950),
(84225, 'PF09033', NULL, 'DNA Fragmentation factor 45kDa, C terminal domain', 165, NULL, 'DFF-C', 27951),
(84226, 'PF06105', NULL, 'Aph-1 protein', 231, NULL, 'Aph-1', 27952),
(84227, 'PF17689', NULL, 'Arabinosyltransferase concanavalin like domain', 157, NULL, 'Arabino_trans_N', 27953);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(84228, 'PF20029', NULL, 'Domain of unknown function (DUF6436)', 59, NULL, 'DUF6436', 27954),
(84229, 'PF08843', NULL, 'Nucleotidyl transferase AbiEii toxin, Type IV TA system', 239, NULL, 'AbiEii', 27955),
(84230, 'PF12902', NULL, 'Ferritin-like', 222, NULL, 'Ferritin-like', 27956),
(84231, 'PF16645', NULL, 'Unstructured region on Pneumococcal histidine triad protein', 56, NULL, 'PHtD_u1', 27957),
(84232, 'PF18019', NULL, 'HD domain', 197, NULL, 'HD_6', 27958),
(84233, 'PF02674', NULL, 'Colicin V production protein', 144, NULL, 'Colicin_V', 27959),
(84234, 'PF10025', NULL, 'Uncharacterized conserved protein (DUF2267)', 122, NULL, 'DUF2267', 27960),
(84235, 'PF07702', NULL, 'UTRA domain', 141, NULL, 'UTRA', 27961),
(84236, 'PF11245', NULL, 'Protein of unknown function (DUF2544)', 246, NULL, 'DUF2544', 27962),
(84237, 'PF00564', NULL, 'PB1 domain', 84, NULL, 'PB1', 27963),
(84238, 'PF03579', NULL, 'Small hydrophobic protein', 64, NULL, 'SHP', 27964),
(84239, 'PF09631', NULL, 'Sen15 protein', 102, NULL, 'Sen15', 27965),
(84240, 'PF14756', NULL, 'Peptidase_C33-associated domain', 147, NULL, 'Pdase_C33_assoc', 27966),
(84241, 'PF09064', NULL, 'Thrombomodulin like fifth domain, EGF-like', 34, NULL, 'Tme5_EGF_like', 27967),
(84242, 'PF12308', NULL, 'Neurogenesis glycoprotein', 100, NULL, 'Noelin-1', 27968),
(84243, 'PF02288', NULL, 'Dehydratase medium subunit', 110, NULL, 'Dehydratase_MU', 27969),
(84244, 'PF07580', NULL, 'M26 IgA1-specific Metallo-endopeptidase C-terminal region', 734, NULL, 'Peptidase_M26_C', 27970),
(84245, 'PF11639', NULL, 'REDY-like protein HapK', 104, NULL, 'HapK', 27971),
(84246, 'PF01480', NULL, 'PWI domain', 72, NULL, 'PWI', 27972),
(84247, 'PF03443', NULL, 'Auxiliary Activity family 9 (formerly GH61)', 205, NULL, 'AA9', 27973),
(84248, 'PF15326', NULL, 'Testis expressed sequence 15', 237, NULL, 'TEX15', 27974),
(84249, 'PF09643', NULL, 'YopX protein', 129, NULL, 'YopX', 27975),
(84250, 'PF13973', NULL, 'Domain of unknown function (DUF4222)', 53, NULL, 'DUF4222', 27976),
(84251, 'PF07001', NULL, 'BAT2 N-terminus', 190, NULL, 'BAT2_N', 27977),
(84252, 'PF05685', NULL, 'Putative restriction endonuclease', 172, NULL, 'Uma2', 27978),
(84253, 'PF10102', NULL, 'Domain of unknown function (DUF2341)', 84, NULL, 'DUF2341', 27979),
(84254, 'PF01851', NULL, 'Proteasome/cyclosome repeat', 35, NULL, 'PC_rep', 27980),
(84255, 'PF17814', NULL, 'LisH-like dimerisation domain', 30, NULL, 'LisH_TPL', 27981),
(84256, 'PF10206', NULL, 'Mitochondrial F1F0-ATP synthase, subunit f', 102, NULL, 'WRW', 27982),
(84257, 'PF13070', NULL, 'Protein of unknown function (DUF3934)', 40, NULL, 'DUF3934', 27983),
(84258, 'PF07546', NULL, 'EMI domain', 68, NULL, 'EMI', 27984),
(84259, 'PF12931', NULL, 'Sec23-binding domain of Sec16', 302, NULL, 'Sec16_C', 27985),
(84260, 'PF05231', NULL, 'MASE1', 300, NULL, 'MASE1', 27986),
(84261, 'PF18402', NULL, 'Thioredoxin-like domain', 253, NULL, 'Thioredoxin_14', 27987),
(84262, 'PF00253', NULL, 'Ribosomal protein S14p/S29e', 54, NULL, 'Ribosomal_S14', 27988),
(84263, 'PF14542', NULL, 'GCN5-related N-acetyl-transferase', 79, NULL, 'Acetyltransf_CG', 27989),
(84264, 'PF17163', NULL, 'Domain of unknown function (DUF5125)', 188, NULL, 'DUF5125', 27990),
(84265, 'PF04151', NULL, 'Bacterial pre-peptidase C-terminal domain', 71, NULL, 'PPC', 27991),
(84266, 'PF09586', NULL, 'Bacterial membrane protein YfhO', 840, NULL, 'YfhO', 27992),
(84267, 'PF05268', NULL, 'Phage tail fibre adhesin Gp38', 260, NULL, 'GP38', 27993),
(84268, 'PF18445', NULL, 'PR zinc knuckle motif', 38, NULL, 'zf_PR_Knuckle', 27994),
(84269, 'PF06490', NULL, 'Flagellar regulatory protein FleQ', 109, NULL, 'FleQ', 27995),
(84270, 'PF10176', NULL, 'Protein of unknown function (DUF2370)', 226, NULL, 'DUF2370', 27996),
(84271, 'PF11015', NULL, 'Protein of unknown function (DUF2853)', 101, NULL, 'DUF2853', 27997),
(84272, 'PF06360', NULL, 'Euplotes raikovi mating pheromone', 36, NULL, 'E_raikovi_mat', 27998),
(84273, 'PF16137', NULL, 'Domain of unknown function (DUF4845)', 85, NULL, 'DUF4845', 27999),
(84274, 'PF18487', NULL, 'Thrombospondin type 1 repeat', 50, NULL, 'TSR', 28000);
INSERT INTO "PUBLIC"."MODEL" VALUES
(84275, 'PF04654', NULL, 'Protein of unknown function, DUF599', 210, NULL, 'DUF599', 28001),
(84276, 'PF18628', NULL, 'Viral coat protein P2 N-terminal domain', 127, NULL, 'P2_N', 28002),
(84277, 'PF14589', NULL, 'Polysulfide reductase', 265, NULL, 'NrfD_2', 28003),
(84278, 'PF16712', NULL, 'Coiled-coil regions of plant-specific actin-binding protein', 168, NULL, 'SCAB_CC', 28004),
(84279, 'PF18792', NULL, 'Ubiquitous surface protein adhesin repeat', 13, NULL, 'UspA1_rep', 28005),
(84280, 'PF17315', NULL, 'Found in mitochondrial proteome', 118, NULL, 'FMP23', 28006),
(84281, 'PF00695', NULL, 'Major surface antigen from hepadnavirus', 400, NULL, 'vMSA', 28007),
(84282, 'PF14868', NULL, 'Domain of unknown function (DUF4487)', 574, NULL, 'DUF4487', 28008),
(84283, 'PF12598', NULL, 'T-box transcription factor', 81, NULL, 'TBX', 28009),
(84284, 'PF09862', NULL, 'Protein of unknown function (DUF2089)', 115, NULL, 'DUF2089', 28010),
(84285, 'PF04561', NULL, 'RNA polymerase Rpb2, domain 2', 190, NULL, 'RNA_pol_Rpb2_2', 28011),
(84286, 'PF09204', NULL, 'Bacterial self-protective colicin-like immunity', 88, NULL, 'Colicin_immun', 28012),
(84287, 'PF00531', NULL, 'Death domain', 86, NULL, 'Death', 28013),
(84288, 'PF05391', NULL, 'Lsm interaction motif', 19, NULL, 'Lsm_interact', 28014),
(84289, 'PF07333', NULL, 'S locus-related glycoprotein 1 binding pollen coat protein (SLR1-BP)', 58, NULL, 'SLR1-BP', 28015),
(84290, 'PF04601', NULL, 'Domain of unknown function (DUF569)', 142, NULL, 'DUF569', 28016),
(84291, 'PF02833', NULL, 'DHHA2 domain', 145, NULL, 'DHHA2', 28017),
(84292, 'PF11237', NULL, 'Protein of unknown function (DUF3038)', 168, NULL, 'DUF3038', 28018),
(84293, 'PF08614', NULL, 'Autophagy protein 16 (ATG16)', 202, NULL, 'ATG16', 28019),
(84294, 'PF17512', NULL, 'Metapneumovirus Small hydrophobic protein', 174, NULL, 'Sh_2', 28020),
(84295, 'PF17790', NULL, 'Macroglobulin domain MG1', 101, NULL, 'MG1', 28021),
(84296, 'PF10060', NULL, 'Uncharacterized membrane protein (DUF2298)', 500, NULL, 'DUF2298', 28022),
(84297, 'PF15288', NULL, 'Zinc knuckle', 42, NULL, 'zf-CCHC_6', 28023),
(84298, 'PF12451', NULL, 'Vacuolar protein sorting protein 11 C terminal', 45, NULL, 'VPS11_C', 28024),
(84299, 'PF08542', NULL, 'Replication factor C C-terminal domain', 88, NULL, 'Rep_fac_C', 28025),
(84300, 'PF08747', NULL, 'Domain of unknown function (DUF1788)', 124, NULL, 'DUF1788', 28026),
(84301, 'PF03549', NULL, 'Translocated intimin receptor (Tir) intimin-binding domain', 66, NULL, 'Tir_receptor_M', 28027),
(84302, 'PF03578', NULL, 'HGWP repeat', 28, NULL, 'HGWP', 28028),
(84303, 'PF15924', NULL, 'ALG11 mannosyltransferase N-terminus', 209, NULL, 'ALG11_N', 28029),
(84304, 'PF00362', NULL, 'Integrin beta chain VWA domain', 248, NULL, 'Integrin_beta', 28030),
(84305, 'PF01131', NULL, 'DNA topoisomerase', 412, NULL, 'Topoisom_bac', 28031),
(84306, 'PF00620', NULL, 'RhoGAP domain', 152, NULL, 'RhoGAP', 28032),
(84307, 'PF04817', NULL, 'Umbravirus long distance movement (LDM) family', 231, NULL, 'Umbravirus_LDM', 28033),
(84308, 'PF11112', NULL, 'Pyocin activator protein PrtN', 74, NULL, 'PyocinActivator', 28034),
(84309, 'PF14872', NULL, 'Hypothetical glycoside hydrolase 5', 802, NULL, 'GHL5', 28035),
(84310, 'PF03769', NULL, 'Attacin, C-terminal region', 120, NULL, 'Attacin_C', 28036),
(84311, 'PF16783', NULL, 'FANCM to MHF binding domain', 116, NULL, 'FANCM-MHF_bd', 28037),
(84312, 'PF07502', NULL, 'MANEC domain', 89, NULL, 'MANEC', 28038),
(84313, 'PF11129', NULL, 'Rev protein of equine infectious anaemia virus', 134, NULL, 'EIAV_Rev', 28039),
(84314, 'PF02880', NULL, 'Phosphoglucomutase/phosphomannomutase, alpha/beta/alpha domain III', 114, NULL, 'PGM_PMM_III', 28040),
(84315, 'PF16038', NULL, 'TMIE protein', 85, NULL, 'TMIE', 28041),
(84316, 'PF08076', NULL, 'Tetracycline resistance determinant leader peptide', 28, NULL, 'TetM_leader', 28042),
(84317, 'PF13838', NULL, 'Clathrin-H-link', 66, NULL, 'Clathrin_H_link', 28043),
(84318, 'PF16083', NULL, 'LydA holin phage, holin superfamily III', 78, NULL, 'Phage_holin_3_3', 28044);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(84319, 'PF19067', NULL, 'Family of unknown function (DUF5763)', 39, NULL, 'DUF5763', 28045),
(84320, 'PF09467', NULL, 'Hypothetical protein Yopt', 71, NULL, 'Yopt', 28046),
(84321, 'PF15824', NULL, 'Spermatogenesis-associated protein 9', 253, NULL, 'SPATA9', 28047),
(84322, 'PF18439', NULL, 'Ubiquitin-Binding Zinc Finger', 32, NULL, 'zf_UBZ', 28048),
(84323, 'PF03905', NULL, 'Coronavirus non-structural protein NS4', 45, NULL, 'Corona_NS4', 28049),
(84324, 'PF12795', NULL, 'Mechanosensitive ion channel porin domain', 238, NULL, 'MscS_porin', 28050),
(84325, 'PF13947', NULL, 'Wall-associated receptor kinase galacturonan-binding', 63, NULL, 'GUB_WAK_bind', 28051),
(84326, 'PF10356', NULL, 'Protein of unknown function (DUF2034)', 185, NULL, 'DUF2034', 28052),
(84327, 'PF12505', NULL, 'Protein of unknown function (DUF3712)', 125, NULL, 'DUF3712', 28053),
(84328, 'PF16880', NULL, 'N-terminal EH-domain containing protein', 33, NULL, 'EHD_N', 28054),
(84329, 'PF01329', NULL, 'Pterin 4 alpha carbinolamine dehydratase', 92, NULL, 'Pterin_4a', 28055),
(84330, 'PF05787', NULL, 'Bacterial protein of unknown function (DUF839)', 516, NULL, 'DUF839', 28056),
(84331, 'PF12276', NULL, 'Protein of unknown function (DUF3617)', 133, NULL, 'DUF3617', 28057),
(84332, 'PF06042', NULL, 'Nucleotidyltransferase', 159, NULL, 'NTP_transf_6', 28058),
(84333, 'PF03665', NULL, 'Uncharacterised protein family (UPF0172)', 195, NULL, 'UPF0172', 28059),
(84334, 'PF09437', NULL, 'Pombe specific 5TM protein', 256, NULL, 'Pombe_5TM', 28060),
(84335, 'PF05766', NULL, 'Bacteriophage Lambda NinG protein', 195, NULL, 'NinG', 28061),
(84336, 'PF10841', NULL, 'Protein of unknown function (DUF2644)', 59, NULL, 'DUF2644', 28062),
(84337, 'PF17131', NULL, 'Outer membrane lipoprotein-sorting protein', 184, NULL, 'LolA_like', 28063),
(84338, 'PF15533', NULL, 'Bacterial toxin 33', 65, NULL, 'Ntox33', 28064),
(84339, 'PF16006', NULL, 'Nucleolar and spindle-associated protein', 297, NULL, 'NUSAP', 28065),
(84340, 'PF04232', NULL, 'Stage V sporulation protein S (SpoVS)', 83, NULL, 'SpoVS', 28066),
(84341, 'PF12897', NULL, 'Aspartate amino-transferase', 421, NULL, 'Asp_aminotransf', 28067),
(84342, 'PF13547', NULL, 'GTA TIM-barrel-like domain', 299, NULL, 'GTA_TIM', 28068),
(84343, 'PF04091', NULL, 'Exocyst complex subunit Sec15-like', 316, NULL, 'Sec15', 28069),
(84344, 'PF17822', NULL, 'Family of unknown function (DUF5584)', 230, NULL, 'DUF5584', 28070),
(84345, 'PF05418', NULL, 'Apovitellenin I (Apo-VLDL-II)', 79, NULL, 'Apo-VLDL-II', 28071),
(84346, 'PF15779', NULL, 'Leucine-rich repeat-containing protein 37 family', 73, NULL, 'LRRC37', 28072),
(84347, 'PF17879', NULL, 'DNA ligase C-terminal domain', 109, NULL, 'DNA_ligase_C', 28073),
(84348, 'PF13222', NULL, 'Protein of unknown function (DUF4030)', 142, NULL, 'DUF4030', 28074),
(84349, 'PF18665', NULL, 'Tetracyclin repressor-like, C-terminal domain', 117, NULL, 'TetR_C_37', 28075),
(84350, 'PF00964', NULL, 'Elicitin', 88, NULL, 'Elicitin', 28076),
(84351, 'PF14423', NULL, 'Immunity protein Imm5', 185, NULL, 'Imm5', 28077),
(84352, 'PF11140', NULL, 'Protein of unknown function (DUF2913)', 207, NULL, 'DUF2913', 28078),
(84353, 'PF00092', NULL, 'von Willebrand factor type A domain', 175, NULL, 'VWA', 28079),
(84354, 'PF06342', NULL, 'Alpha/beta hydrolase of unknown function (DUF1057)', 297, NULL, 'DUF1057', 28080),
(84355, 'PF04225', NULL, 'Opacity-associated protein A LysM-like domain', 85, NULL, 'OapA', 28081),
(84356, 'PF07920', NULL, 'Protein of unknown function (DUF1684)', 141, NULL, 'DUF1684', 28082),
(84357, 'PF19722', NULL, 'Sentrin-specific protease 3/5 N-terminal', 575, NULL, 'SENP3_5_N', 28083),
(84358, 'PF12851', NULL, 'Oxygenase domain of the 2OGFeDO superfamily', 335, NULL, 'Tet_JBP', 28084),
(84359, 'PF14939', NULL, 'DDB1-and CUL4-substrate receptor 15, WD repeat', 215, NULL, 'DCAF15_WD40', 28085),
(84360, 'PF16033', NULL, 'Domain of unknown function (DUF4789)', 99, NULL, 'DUF4789', 28086),
(84361, 'PF12548', NULL, 'Sulfatase protein', 147, NULL, 'DUF3740', 28087),
(84362, 'PF14051', NULL, 'N-terminal domain of DPF2/REQ.', 72, NULL, 'Requiem_N', 28088);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(84363, 'PF10702', NULL, 'Protein of unknown function (DUF2507)', 123, NULL, 'DUF2507', 28089),
(84364, 'PF02847', NULL, 'MA3 domain', 113, NULL, 'MA3', 28090),
(84365, 'PF07509', NULL, 'Protein of unknown function (DUF1523)', 176, NULL, 'DUF1523', 28091),
(84366, 'PF10426', NULL, 'Recombination-activating protein 1 zinc-finger domain', 30, NULL, 'zf-RAG1', 28092),
(84367, 'PF07289', NULL, 'Bardet-Biedl syndrome 5 protein', 334, NULL, 'BBL5', 28093),
(84368, 'PF01323', NULL, 'DSBA-like thioredoxin domain', 193, NULL, 'DSBA', 28094),
(84369, 'PF00165', NULL, 'Bacterial regulatory helix-turn-helix proteins, AraC family', 42, NULL, 'HTH_AraC', 28095),
(84370, 'PF03901', NULL, 'Alg9-like mannosyltransferase family', 417, NULL, 'Glyco_transf_22', 28096),
(84371, 'PF06231', NULL, 'Protein of unknown function (DUF1010)', 81, NULL, 'DUF1010', 28097),
(84372, 'PF13404', NULL, 'AsnC-type helix-turn-helix domain', 42, NULL, 'HTH_AsnC-type', 28098),
(84373, 'PF03382', NULL, 'Mycoplasma protein of unknown function, DUF285', 121, NULL, 'DUF285', 28099),
(84374, 'PF18358', NULL, 'Histone methyltransferase Tudor domain', 50, NULL, 'Tudor_4', 28100),
(84375, 'PF19088', NULL, 'TUTase nucleotidyltransferase domain', 337, NULL, 'TUTase', 28101),
(84376, 'PF02216', NULL, 'B domain', 53, NULL, 'B', 28102),
(84377, 'PF09867', NULL, 'TagF N-terminal domain, Type VI secretion system-associated', 135, NULL, 'TagF_N', 28103),
(84378, 'PF15105', NULL, 'TMEM61 protein family', 189, NULL, 'TMEM61', 28104),
(84379, 'PF02018', NULL, 'Carbohydrate binding domain', 138, NULL, 'CBM_4_9', 28105),
(84380, 'PF18387', NULL, 'Zinc-fingers and homeoboxes C2H2 finger domain', 53, NULL, 'zf_C2H2_ZHX', 28106),
(84381, 'PF11287', NULL, 'Protein of unknown function (DUF3088)', 112, NULL, 'DUF3088', 28107),
(84382, 'PF16297', NULL, 'Domain of unknown function (DUF4939)', 114, NULL, 'DUF4939', 28108),
(84383, 'PF13094', NULL, 'CENP-Q, a CENPA-CAD centromere complex subunit', 171, NULL, 'CENP-Q', 28109),
(84384, 'PF10768', NULL, 'Class II flagellar assembly regulator', 135, NULL, 'FliX', 28110),
(84385, 'PF04136', NULL, 'Sec34-like family', 149, NULL, 'Sec34', 28111),
(84386, 'PF13744', NULL, 'Helix-turn-helix domain', 80, NULL, 'HTH_37', 28112),
(84387, 'PF07322', NULL, 'Seadornavirus Vp10', 241, NULL, 'Seadorna_Vp10', 28113),
(84388, 'PF18768', NULL, 'RNPP family C-terminal domain', 213, NULL, 'RNPP_C', 28114),
(84389, 'PF04448', NULL, 'Protein of unknown function (DUF551)', 69, NULL, 'DUF551', 28115),
(84390, 'PF09273', NULL, 'Rubisco LSMT substrate-binding', 130, NULL, 'Rubis-subs-bind', 28116),
(84391, 'PF19921', NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX5', 135, NULL, 'bpX5', 28117),
(84392, 'PF00252', NULL, 'Ribosomal protein L16p/L10e', 132, NULL, 'Ribosomal_L16', 28118),
(84393, 'PF08507', NULL, 'COPI associated protein', 130, NULL, 'COPI_assoc', 28119),
(84394, 'PF16115', NULL, 'Domain of unknown function (DUF4831)', 319, NULL, 'DUF4831', 28120),
(84395, 'PF19792', NULL, 'Family of unknown function (DUF6276)', 129, NULL, 'DUF6276', 28121),
(84396, 'PF04387', NULL, 'Protein tyrosine phosphatase-like protein, PTPLA', 161, NULL, 'PTPLA', 28122),
(84397, 'PF00602', NULL, 'Influenza RNA-dependent RNA polymerase subunit PB1', 732, NULL, 'Flu_PB1', 28123),
(84398, 'PF00080', NULL, 'Copper/zinc superoxide dismutase (SODC)', 132, NULL, 'Sod_Cu', 28124),
(84399, 'PF17259', NULL, 'Family of unknown function (DUF5325)', 61, NULL, 'DUF5325', 28125),
(84400, 'PF13331', NULL, 'Domain of unknown function (DUF4093)', 83, NULL, 'DUF4093', 28126),
(84401, 'PF03806', NULL, 'AbgT putative transporter family', 502, NULL, 'ABG_transport', 28127),
(84402, 'PF19855', NULL, 'Family of unknown function (DUF6330)', 69, NULL, 'DUF6330', 28128),
(84403, 'PF03214', NULL, 'Reversibly glycosylated polypeptide', 342, NULL, 'RGP', 28129),
(84404, 'PF05283', NULL, 'Multi-glycosylated core protein 24 (MGC-24), sialomucin', 140, NULL, 'MGC-24', 28130),
(84405, 'PF03885', NULL, 'Protein of unknown function (DUF327)', 143, NULL, 'DUF327', 28131),
(84406, 'PF16182', NULL, 'Putative adherens-junction anchoring region of AbLIM', 366, NULL, 'AbLIM_anchor', 28132);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(84407, 'PF09390', NULL, 'Protein of unknown function (DUF1999)', 159, NULL, 'DUF1999', 28133),
(84408, 'PF00863', NULL, 'Peptidase family C4', 233, NULL, 'Peptidase_C4', 28134),
(84409, 'PF01277', NULL, 'Oleosin', 113, NULL, 'Oleosin', 28135),
(84410, 'PF09790', NULL, 'Hyccin', 324, NULL, 'Hyccin', 28136),
(84411, 'PF06625', NULL, 'Protein of unknown function (DUF1151)', 111, NULL, 'DUF1151', 28137),
(84412, 'PF18482', NULL, 'Fungal Pih1 CS domain', 90, NULL, 'Pih1_fungal_CS', 28138),
(84413, 'PF08019', NULL, 'Phosphoethanolamine transferase EptA/EptB', 152, NULL, 'EptA_B_N', 28139),
(84414, 'PF15505', NULL, 'Domain of unknown function (DUF4648)', 80, NULL, 'DUF4648', 28140),
(84415, 'PF08904', NULL, 'EipB-like', 248, NULL, 'EipB_like', 28141),
(84416, 'PF09678', NULL, 'Cytochrome c oxidase caa3 assembly factor (Caa3_CtaG)', 236, NULL, 'Caa3_CtaG', 28142),
(84417, 'PF03404', NULL, 'Mo-co oxidoreductase dimerisation domain', 138, NULL, 'Mo-co_dimer', 28143),
(84418, 'PF03899', NULL, 'ATP synthase I chain', 99, NULL, 'ATP-synt_I', 28144),
(84419, 'PF15349', NULL, 'DDB1- and CUL4-associated factor 16', 216, NULL, 'DCA16', 28145),
(84420, 'PF19475', NULL, 'Family of unknown function (DUF6012)', 203, NULL, 'DUF6012', 28146),
(84421, 'PF15233', NULL, 'Synaptonemal complex central element protein 1', 152, NULL, 'SYCE1', 28147),
(84422, 'PF02720', NULL, 'Domain of unknown function (DUF222)', 301, NULL, 'DUF222', 28148),
(84423, 'PF03294', NULL, 'RNA polymerase-associated transcription specificity factor, Rap94', 800, NULL, 'Pox_Rap94', 28149),
(84424, 'PF17654', NULL, 'Selenocysteine tRNA 1 associated proteins', 118, NULL, 'Trnau1ap', 28150),
(84425, 'PF02183', NULL, 'Homeobox associated leucine zipper', 43, NULL, 'HALZ', 28151),
(84426, 'PF11655', NULL, 'Protein of unknown function (DUF2589)', 154, NULL, 'DUF2589', 28152),
(84427, 'PF15934', NULL, 'Yuri gagarin', 234, NULL, 'Yuri_gagarin', 28153),
(84428, 'PF17905', NULL, 'GLD-3 KH domain 5', 95, NULL, 'KH_10', 28154),
(84429, 'PF09265', NULL, 'Cytokinin dehydrogenase 1, FAD and cytokinin binding', 281, NULL, 'Cytokin-bind', 28155),
(84430, 'PF03859', NULL, 'CG-1 domain', 116, NULL, 'CG-1', 28156),
(84431, 'PF08201', NULL, 'BssC/TutF protein', 56, NULL, 'BssC_TutF', 28157),
(84432, 'PF11085', NULL, 'Conserved membrane protein YqhR', 165, NULL, 'YqhR', 28158),
(84433, 'PF02431', NULL, 'Chalcone-flavanone isomerase', 203, NULL, 'Chalcone', 28159),
(84434, 'PF15299', NULL, 'Amyotrophic lateral sclerosis 2 chromosomal region candidate gene 8', 222, NULL, 'ALS2CR8', 28160),
(84435, 'PF01366', NULL, 'Herpesvirus processing and transport protein', 659, NULL, 'PRTP', 28161),
(84436, 'PF11914', NULL, 'Domain of unknown function (DUF3432)', 98, NULL, 'DUF3432', 28162),
(84437, 'PF20043', NULL, 'Family of unknown function (DUF6445)', 229, NULL, 'DUF6445', 28163),
(84438, 'PF00778', NULL, 'DIX domain', 77, NULL, 'DIX', 28164),
(84439, 'PF11405', NULL, 'Bromelain inhibitor VI', 41, NULL, 'Inhibitor_I67', 28165),
(84440, 'PF15071', NULL, 'Transmembrane family 220, helix', 101, NULL, 'TMEM220', 28166),
(84441, 'PF19734', NULL, 'Family of unknown function (DUF6224)', 146, NULL, 'DUF6224', 28167),
(84442, 'PF11419', NULL, 'Protein of unknown function (DUF3194)', 83, NULL, 'DUF3194', 28168),
(84443, 'PF09539', NULL, 'Protein of unknown function (DUF2385)', 96, NULL, 'DUF2385', 28169),
(84444, 'PF10069', NULL, 'Sensory domain in DIguanylate Cyclases and Two-component system', 129, NULL, 'DICT', 28170),
(84445, 'PF02049', NULL, 'Flagellar hook-basal body complex protein FliE', 89, NULL, 'FliE', 28171),
(84446, 'PF17206', NULL, 'SeqA protein N-terminal domain', 36, NULL, 'SeqA_N', 28172),
(84447, 'PF09256', NULL, 'BAFF-R, TALL-1 binding', 30, NULL, 'BaffR-Tall_bind', 28173),
(84448, 'PF08277', NULL, 'PAN-like domain', 71, NULL, 'PAN_3', 28174),
(84449, 'PF18141', NULL, 'RNA helicase UPF1, 1B domain', 93, NULL, 'UPF1_1B_dom', 28175),
(84450, 'PF03811', NULL, 'InsA N-terminal domain', 35, NULL, 'Zn_Tnp_IS1', 28176),
(84451, 'PF16428', NULL, 'Domain of unknown function (DUF5025)', 158, NULL, 'DUF5025', 28177); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(84452, 'PF19606', NULL, 'Family of unknown function (DUF6111)', 87, NULL, 'DUF6111', 28178),
(84453, 'PF05480', NULL, 'Phenol-soluble modulin beta protein', 43, NULL, 'PSMbeta', 28179),
(84454, 'PF19693', NULL, 'Phenol-soluble modulin delta protein', 22, NULL, 'PSMdelta', 28180),
(84455, 'PF15590', NULL, 'Immunity protein 27', 67, NULL, 'Imm27', 28181),
(84456, 'PF09674', NULL, 'Protein of unknown function (DUF2400)', 227, NULL, 'DUF2400', 28182),
(84457, 'PF09816', NULL, 'RNA polymerase II transcription elongation factor', 100, NULL, 'EAF', 28183),
(84458, 'PF11458', NULL, 'Membrane-integrating protein Mistic', 74, NULL, 'Mistic', 28184),
(84459, 'PF02290', NULL, 'Signal recognition particle 14kD protein', 109, NULL, 'SRP14', 28185),
(84460, 'PF04521', NULL, 'ssRNA positive strand viral 18kD cysteine rich protein', 122, NULL, 'Viral_P18', 28186),
(84461, 'PF18900', NULL, 'Protein of unknown function (DUF5656)', 242, NULL, 'DUF5656', 28187),
(84462, 'PF18248', NULL, 'RalF C-terminal Sec-7 capping domain', 147, NULL, 'RalF_SCD', 28188),
(84463, 'PF06176', NULL, 'Lipopolysaccharide core biosynthesis protein (WaaY)', 229, NULL, 'WaaY', 28189),
(84464, 'PF07364', NULL, 'Metallopeptidase family M81', 289, NULL, 'DUF1485', 28190),
(84465, 'PF05661', NULL, 'Protein of unknown function (DUF808)', 303, NULL, 'DUF808', 28191),
(84466, 'PF17519', NULL, 'Family of unknown function (DUF5444)', 62, NULL, 'DUF5444', 28192),
(84467, 'PF11981', NULL, 'Domain of unknown function (DUF3482)', 294, NULL, 'DUF3482', 28193),
(84468, 'PF12733', NULL, 'Cadherin-like beta sandwich domain', 93, NULL, 'Cadherin-like', 28194),
(84469, 'PF13105', NULL, 'Protein of unknown function (DUF3959)', 238, NULL, 'DUF3959', 28195),
(84470, 'PF04924', NULL, 'Poxvirus A6 protein', 370, NULL, 'Pox_A6', 28196),
(84471, 'PF04938', NULL, 'Survival motor neuron (SMN) interacting protein 1 (SIP1)', 218, NULL, 'SIP1', 28197),
(84472, 'PF15700', NULL, 'Domain of unknown function (DUF4667)', 226, NULL, 'DUF4667', 28198),
(84473, 'PF05306', NULL, 'Protein of unknown function (DUF733)', 87, NULL, 'DUF733', 28199),
(84474, 'PF07344', NULL, 'Amastin surface glycoprotein', 155, NULL, 'Amastin', 28200),
(84475, 'PF02500', NULL, 'Probable DNA packing protein, N-terminus', 278, NULL, 'DNA_pack_N', 28201),
(84476, 'PF01040', NULL, 'UbiA prenyltransferase family', 251, NULL, 'UbiA', 28202),
(84477, 'PF04680', NULL, 'Opioid growth factor receptor repeat', 20, NULL, 'OGFr_III', 28203),
(84478, 'PF14603', NULL, 'Helically-extended SH3 domain', 89, NULL, 'hSH3', 28204),
(84479, 'PF12776', NULL, 'Myb/SANT-like DNA-binding domain', 96, NULL, 'Myb_DNA-bind_3', 28205),
(84480, 'PF12785', NULL, 'Variant erythrocyte surface antigen-1', 456, NULL, 'VESA1_N', 28206),
(84481, 'PF06189', NULL, '5''-nucleotidase', 266, NULL, '5-nucleotidase', 28207),
(84482, 'PF09460', NULL, 'Saf-pilin pilus formation protein', 144, NULL, 'Saf-Nte_pilin', 28208),
(84483, 'PF02010', NULL, 'REJ domain', 451, NULL, 'REJ', 28209),
(84484, 'PF05481', NULL, 'Mycobacterium 19 kDa lipoprotein antigen', 117, NULL, 'Myco_19_kDa', 28210),
(84485, 'PF17344', NULL, 'Family of unknown function (DUF5374)', 40, NULL, 'DUF5374', 28211),
(84486, 'PF12955', NULL, 'Domain of unknown function (DUF3844)', 106, NULL, 'DUF3844', 28212),
(84487, 'PF02384', NULL, 'N-6 DNA Methylase', 310, NULL, 'N6_Mtase', 28213),
(84488, 'PF10901', NULL, 'Protein of unknown function (DUF2690)', 93, NULL, 'DUF2690', 28214),
(84489, 'PF13219', NULL, 'Protein of unknown function (DUF4027)', 36, NULL, 'DUF4027', 28215),
(84490, 'PF16498', NULL, 'SWIRM-associated domain at the C-terminal', 67, NULL, 'SWIRM-assoc_3', 28216),
(84491, 'PF16936', NULL, 'Putative holin', 78, NULL, 'Holin_9', 28217),
(84492, 'PF15448', NULL, 'N-terminal segments of P. falciparum erythrocyte membrane protein', 50, NULL, 'NTS_2', 28218),
(84493, 'PF16466', NULL, 'Domain of unknown function (DUF5047)', 134, NULL, 'DUF5047', 28219),
(84494, 'PF01464', NULL, 'Transglycosylase SLT domain', 117, NULL, 'SLT', 28220),
(84495, 'PF07749', NULL, 'Endoplasmic reticulum protein ERp29, C-terminal domain', 96, NULL, 'ERp29', 28221);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(84496, 'PF07312', NULL, 'Protein of unknown function (DUF1459)', 81, NULL, 'DUF1459', 28222),
(84497, 'PF11148', NULL, 'Protein of unknown function (DUF2922)', 67, NULL, 'DUF2922', 28223),
(84498, 'PF18467', NULL, 'Domain of unknown function (DUF5613)', 97, NULL, 'DUF5613', 28224),
(84499, 'PF01029', NULL, 'NusB family', 134, NULL, 'NusB', 28225),
(84500, 'PF02336', NULL, 'Capsid protein VP4', 431, NULL, 'Denso_VP4', 28226),
(84501, 'PF19418', NULL, 'DEPDC5 protein C-terminal region', 308, NULL, 'DEPDC5_CTD', 28227),
(84502, 'PF08588', NULL, 'Protein of unknown function (DUF1769)', 213, NULL, 'DUF1769', 28228),
(84503, 'PF17688', NULL, 'Family of unknown function (DUF5536)', 214, NULL, 'DUF5536', 28229),
(84504, 'PF11159', NULL, 'Protein of unknown function (DUF2939)', 93, NULL, 'DUF2939', 28230),
(84505, 'PF13998', NULL, 'MgrB protein', 29, NULL, 'MgrB', 28231),
(84506, 'PF17504', NULL, 'Family of unknown function (DUF5436)', 79, NULL, 'DUF5436', 28232),
(84507, 'PF07351', NULL, 'Protein of unknown function (DUF1480)', 78, NULL, 'DUF1480', 28233),
(84508, 'PF09398', NULL, 'FOP N terminal dimerisation domain', 81, NULL, 'FOP_dimer', 28234),
(84509, 'PF18913', NULL, 'Fructose-1-6-bisphosphatase, C-terminal domain', 131, NULL, 'FBPase_C', 28235),
(84510, 'PF15157', NULL, 'Fusion protein IQCJ-SCHIP1 with IQ-like motif', 155, NULL, 'IQCJ-SCHIP1', 28236),
(84511, 'PF04505', NULL, 'Interferon-induced transmembrane protein', 68, NULL, 'CD225', 28237),
(84512, 'PF15947', NULL, 'Domain of unknown function (DUF4755)', 128, NULL, 'DUF4755', 28238),
(84513, 'PF15455', NULL, 'Proline-rich 19', 363, NULL, 'Pro-rich_19', 28239),
(84514, 'PF03691', NULL, 'Uncharacterised protein family (UPF0167)', 176, NULL, 'UPF0167', 28240),
(84515, 'PF16394', NULL, 'Domain of unknown function (DUF5003)', 316, NULL, 'DUF5003', 28241),
(84516, 'PF06159', NULL, 'Protein of unknown function (DUF974)', 246, NULL, 'DUF974', 28242),
(84517, 'PF14310', NULL, 'Fibronectin type III-like domain', 71, NULL, 'Fn3-like', 28243),
(84518, 'PF17009', NULL, 'Domain of unknown function (DUF5090)', 188, NULL, 'DUF5090', 28244),
(84519, 'PF07998', NULL, 'Peptidase family M54', 194, NULL, 'Peptidase_M54', 28245),
(84520, 'PF05830', NULL, 'Nodulation protein Z (NodZ)', 320, NULL, 'NodZ', 28246),
(84521, 'PF09037', NULL, 'Stf0 sulphotransferase', 244, NULL, 'Sulphotransf', 28247),
(84522, 'PF16132', NULL, 'Domain of unknown function (DUF4843)', 166, NULL, 'DUF4843', 28248),
(84523, 'PF08177', NULL, 'Small acid-soluble spore protein N family', 46, NULL, 'SspN', 28249),
(84524, 'PF11329', NULL, 'Protein of unknown function (DUF3131)', 366, NULL, 'DUF3131', 28250),
(84525, 'PF11440', NULL, 'DNA alpha-glucosyltransferase', 355, NULL, 'AGT', 28251),
(84526, 'PF15030', NULL, 'Protein of unknown function (DUF4527)', 277, NULL, 'DUF4527', 28252),
(84527, 'PF07153', NULL, 'Marek''s disease-like virus SORF3 protein', 253, NULL, 'Marek_SORF3', 28253),
(84528, 'PF14993', NULL, 'Neuropeptide S precursor protein', 65, NULL, 'Neuropeptide_S', 28254),
(84529, 'PF11984', NULL, 'Protein of unknown function (DUF3485)', 203, NULL, 'DUF3485', 28255),
(84530, 'PF02470', NULL, 'MlaD protein', 81, NULL, 'MlaD', 28256),
(84531, 'PF15985', NULL, 'KH domain', 50, NULL, 'KH_6', 28257),
(84532, 'PF13939', NULL, 'Toxin TisB, type I toxin-antitoxin system', 28, NULL, 'TisB_toxin', 28258),
(84533, 'PF19622', NULL, 'Family of unknown function (DUF6127)', 79, NULL, 'DUF6127', 28259),
(84534, 'PF13123', NULL, 'Protein of unknown function (DUF3978)', 144, NULL, 'DUF3978', 28260),
(84535, 'PF19060', NULL, 'DVNP family', 78, NULL, 'DVNP', 28261),
(84536, 'PF10966', NULL, 'Protein of unknown function (DUF2768)', 58, NULL, 'DUF2768', 28262),
(84537, 'PF00112', NULL, 'Papain family cysteine protease', 219, NULL, 'Peptidase_C1', 28263),
(84538, 'PF06645', NULL, 'Microsomal signal peptidase 12 kDa subunit (SPC12)', 71, NULL, 'SPC12', 28264),
(84539, 'PF09767', NULL, 'Predicted membrane protein (DUF2053)', 160, NULL, 'DUF2053', 28265),
(84540, 'PF18534', NULL, 'Helical bundle domain', 84, NULL, 'HBD', 28266);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(84541, 'PF16348', NULL, 'Coronavirus replicase NSP4, C-terminal', 96, NULL, 'CoV_NSP4_C', 28267),
(84542, 'PF18874', NULL, 'QPE domain', 44, NULL, 'QPE', 28268),
(84543, 'PF13048', NULL, 'Protein of unknown function (DUF3908)', 131, NULL, 'DUF3908', 28269),
(84544, 'PF12135', NULL, 'Plasmodium repeat family', 25, NULL, 'Plasmo_rep', 28270),
(84545, 'PF17176', NULL, 'tRNA-binding domain', 119, NULL, 'tRNA_bind_3', 28271),
(84546, 'PF00928', NULL, 'Adaptor complexes medium subunit family', 264, NULL, 'Adap_comp_sub', 28272),
(84547, 'PF11518', NULL, 'Protein of unknown function (DUF3221)', 82, NULL, 'DUF3221', 28273),
(84548, 'PF02887', NULL, 'Pyruvate kinase, alpha/beta domain', 116, NULL, 'PK_C', 28274),
(84549, 'PF07982', NULL, 'Herpes UL74 glycoproteins', 418, NULL, 'Herpes_UL74', 28275),
(84550, 'PF08526', NULL, 'Protein-arginine deiminase (PAD) N-terminal domain', 113, NULL, 'PAD_N', 28276),
(84551, 'PF17138', NULL, 'Domain of unknown function (DUF5111)', 122, NULL, 'DUF5111', 28277),
(84552, 'PF18806', NULL, 'Importin 13 repeat', 75, NULL, 'Importin_rep_3', 28278),
(84553, 'PF12293', NULL, 'Putative outer membrane core complex of type IVb secretion', 238, NULL, 'T4BSS_DotH_IcmK', 28279),
(84554, 'PF00166', NULL, 'Chaperonin 10 Kd subunit', 93, NULL, 'Cpn10', 28280),
(84555, 'PF05076', NULL, 'Suppressor of fused protein (SUFU)', 173, NULL, 'SUFU', 28281),
(84556, 'PF08138', NULL, 'Sex peptide (SP) family', 55, NULL, 'Sex_peptide', 28282),
(84557, 'PF17608', NULL, 'Family of unknown function (DUF5504)', 124, NULL, 'DUF5504', 28283),
(84558, 'PF06491', NULL, 'Disulphide isomerase', 136, NULL, 'Disulph_isomer', 28284),
(84559, 'PF08143', NULL, 'CBFNT (NUC161) domain', 70, NULL, 'CBFNT', 28285),
(84560, 'PF17295', NULL, 'Domain of unknown function (DUF5348)', 70, NULL, 'DUF5348', 28286),
(84561, 'PF10390', NULL, 'RNA polymerase II elongation factor ELL', 277, NULL, 'ELL', 28287),
(84562, 'PF04550', NULL, 'Phage holin family 2', 86, NULL, 'Phage_holin_3_2', 28288),
(84563, 'PF13203', NULL, 'Putative metallopeptidase domain', 273, NULL, 'DUF2201_N', 28289),
(84564, 'PF02754', NULL, 'Cysteine-rich domain', 85, NULL, 'CCG', 28290),
(84565, 'PF15888', NULL, 'Folded gastrulation N-terminus', 113, NULL, 'FOG_N', 28291),
(84566, 'PF01548', NULL, 'Transposase', 155, NULL, 'DEDD_Tnp_IS110', 28292),
(84567, 'PF17618', NULL, 'Uncharacterized Strongylid L4 protein', 88, NULL, 'SL4P', 28293),
(84568, 'PF08022', NULL, 'FAD-binding domain', 109, NULL, 'FAD_binding_8', 28294),
(84569, 'PF18554', NULL, 'PheRS DNA binding domain 2', 33, NULL, 'PheRS_DBD2', 28295),
(84570, 'PF06624', NULL, 'Ribosome associated membrane protein RAMP4', 60, NULL, 'RAMP4', 28296),
(84571, 'PF09490', NULL, 'Probable cobalt transporter subunit (CbtA)', 241, NULL, 'CbtA', 28297),
(84572, 'PF14710', NULL, 'Respiratory nitrate reductase alpha N-terminal', 38, NULL, 'Nitr_red_alph_N', 28298),
(84573, 'PF17831', NULL, 'Pyruvate dehydrogenase E1 component middle domain', 229, NULL, 'PDH_E1_M', 28299),
(84574, 'PF01987', NULL, 'Mitochondrial biogenesis AIM24', 202, NULL, 'AIM24', 28300),
(84575, 'PF02641', NULL, 'Uncharacterized ACR, COG1993', 97, NULL, 'DUF190', 28301),
(84576, 'PF12619', NULL, 'Mini-chromosome maintenance protein 2', 153, NULL, 'MCM2_N', 28302),
(84577, 'PF12238', NULL, 'Merozoite surface antigen 2c', 216, NULL, 'MSA-2c', 28303),
(84578, 'PF17707', NULL, 'Family of unknown function (DUF5553)', 223, NULL, 'DUF5553', 28304),
(84579, 'PF12223', NULL, 'Protein of unknown function (DUF3602)', 81, NULL, 'DUF3602', 28305),
(84580, 'PF19026', NULL, 'HYPK UBA domain', 41, NULL, 'HYPK_UBA', 28306),
(84581, 'PF06201', NULL, 'PITH domain', 151, NULL, 'PITH', 28307),
(84582, 'PF07240', NULL, 'Stress-inducible humoral factor Turandot', 81, NULL, 'Turandot', 28308),
(84583, 'PF01887', NULL, 'S-adenosyl-l-methionine hydroxide adenosyltransferase', 235, NULL, 'SAM_adeno_trans', 28309),
(84584, 'PF18437', NULL, 'Nup54 C-terminal interacting domain', 39, NULL, 'Nup54_C', 28310),
(84585, 'PF03158', NULL, 'Multigene family 530 protein', 192, NULL, 'DUF249', 28311);
INSERT INTO "PUBLIC"."MODEL" VALUES
(84586, 'PF03108', NULL, 'MuDR family transposase', 67, NULL, 'DBD_Tnp_Mut', 28312),
(84587, 'PF03421', NULL, 'YopJ Serine/Threonine acetyltransferase', 177, NULL, 'Acetyltransf_14', 28313),
(84588, 'PF15832', NULL, 'FAM27 D and E protein family', 92, NULL, 'FAM27', 28314),
(84589, 'PF02896', NULL, 'PEP-utilising enzyme, PEP-binding domain', 294, NULL, 'PEP-utilizers_C', 28315),
(84590, 'PF11961', NULL, 'Domain of unknown function (DUF3475)', 57, NULL, 'DUF3475', 28316),
(84591, 'PF10335', NULL, 'Putative nucleotidyltransferase substrate binding domain', 145, NULL, 'DUF294_C', 28317),
(84592, 'PF18002', NULL, 'T6 antigen Ig like domain', 145, NULL, 'T6_Ig_like', 28318),
(84593, 'PF15252', NULL, 'Domain of unknown function (DUF4589)', 242, NULL, 'DUF4589', 28319),
(84594, 'PF01644', NULL, 'Chitin synthase', 163, NULL, 'Chitin_synth_1', 28320),
(84595, 'PF00269', NULL, 'Small, acid-soluble spore proteins, alpha/beta type', 60, NULL, 'SASP', 28321),
(84596, 'PF12448', NULL, 'Kinesin associated protein', 175, NULL, 'Milton', 28322),
(84597, 'PF01973', NULL, 'Protein of unknown function DUF115', 171, NULL, 'MAF_flag10', 28323),
(84598, 'PF19515', NULL, 'Domain of unknown function (DUF6048)', 233, NULL, 'DUF6048', 28324),
(84599, 'PF11872', NULL, 'Protein of unknown function (DUF3392)', 105, NULL, 'DUF3392', 28325),
(84600, 'PF08174', NULL, 'Cell division protein anillin', 140, NULL, 'Anillin', 28326),
(84601, 'PF01189', NULL, '16S rRNA methyltransferase RsmB/F', 200, NULL, 'Methyltr_RsmB-F', 28327),
(84602, 'PF09843', NULL, 'Predicted membrane protein (DUF2070)', 561, NULL, 'DUF2070', 28328),
(84603, 'PF15259', NULL, 'G-2 and S-phase expressed 1', 145, NULL, 'GTSE1_N', 28329),
(84604, 'PF05208', NULL, 'ALG3 protein', 358, NULL, 'ALG3', 28330),
(84605, 'PF06764', NULL, 'Protein of unknown function (DUF1223)', 202, NULL, 'DUF1223', 28331),
(84606, 'PF15970', NULL, 'HicB_like antitoxin of bacterial toxin-antitoxin system', 81, NULL, 'HicB-like_2', 28332),
(84607, 'PF05194', NULL, 'UreE urease accessory protein, C-terminal domain', 87, NULL, 'UreE_C', 28333),
(84608, 'PF14815', NULL, 'NUDIX domain', 109, NULL, 'NUDIX_4', 28334),
(84609, 'PF11946', NULL, 'Domain of unknown function (DUF3463)', 134, NULL, 'DUF3463', 28335),
(84610, 'PF09913', NULL, 'Predicted membrane protein (DUF2142)', 393, NULL, 'DUF2142', 28336),
(84611, 'PF20124', NULL, 'Family of unknown function (DUF6514)', 94, NULL, 'DUF6514', 28337),
(84612, 'PF01471', NULL, 'Putative peptidoglycan binding domain', 57, NULL, 'PG_binding_1', 28338),
(84613, 'PF16275', NULL, 'Splicing factor 1 helix-hairpin domain', 114, NULL, 'SF1-HH', 28339),
(84614, 'PF19374', NULL, 'Family of unknown function (DUF5949)', 167, NULL, 'DUF5949', 28340),
(84615, 'PF12870', NULL, 'Domain of unknown function (DUF4878)', 112, NULL, 'DUF4878', 28341),
(84616, 'PF19997', NULL, 'vWA domain found in the FtsH ternary systems', 238, NULL, 'ivWA', 28342),
(84617, 'PF18476', NULL, 'PIN like domain', 227, NULL, 'PIN_8', 28343),
(84618, 'PF05118', NULL, 'Aspartyl/Asparaginyl beta-hydroxylase', 157, NULL, 'Asp_Arg_Hydrox', 28344),
(84619, 'PF06483', NULL, 'Chitinase C', 174, NULL, 'ChiC', 28345),
(84620, 'PF19674', NULL, 'Family of unknown function (DUF6177)', 330, NULL, 'DUF6177', 28346),
(84621, 'PF11012', NULL, 'Protein of unknown function (DUF2850)', 79, NULL, 'DUF2850', 28347),
(84622, 'PF04812', NULL, 'Hepatocyte nuclear factor 1 (HNF-1), beta isoform C terminus', 257, NULL, 'HNF-1B_C', 28348),
(84623, 'PF04798', NULL, 'Baculovirus 19 kDa protein conserved region', 143, NULL, 'Baculo_19', 28349),
(84624, 'PF08193', NULL, 'INO80 complex subunit Ies4', 239, NULL, 'INO80_Ies4', 28350),
(84625, 'PF16726', NULL, 'Inositol polyphosphate 5-phosphatase clathrin binding domain', 101, NULL, 'OCRL_clath_bd', 28351),
(84626, 'PF09236', NULL, 'Alpha-haemoglobin stabilising protein', 87, NULL, 'AHSP', 28352),
(84627, 'PF09479', NULL, 'Listeria-Bacteroides repeat domain (List_Bact_rpt)', 65, NULL, 'Flg_new', 28353),
(84628, 'PF19490', NULL, 'Family of unknown function (DUF6025)', 458, NULL, 'DUF6025', 28354);
INSERT INTO "PUBLIC"."MODEL" VALUES
(84629, 'PF13213', NULL, 'Protein of unknown function (DUF4021)', 46, NULL, 'DUF4021', 28355),
(84630, 'PF15337', NULL, 'Vascular protein family Vasculin-like 1', 98, NULL, 'Vasculin', 28356),
(84631, 'PF10523', NULL, 'BEN domain', 77, NULL, 'BEN', 28357),
(84632, 'PF15134', NULL, 'Domain of unknown function (DUF4570)', 110, NULL, 'DUF4570', 28358),
(84633, 'PF07497', NULL, 'Rho termination factor, RNA-binding domain', 73, NULL, 'Rho_RNA_bind', 28359),
(84634, 'PF16067', NULL, 'Domain of unknown function (DUF4809)', 130, NULL, 'DUF4809', 28360),
(84635, 'PF16069', NULL, 'Domain of unknown function (DUF4811)', 155, NULL, 'DUF4811', 28361),
(84636, 'PF10366', NULL, 'Vacuolar sorting protein 39 domain 1', 108, NULL, 'Vps39_1', 28362),
(84637, 'PF03369', NULL, 'Herpesvirus UL3 protein', 135, NULL, 'Herpes_UL3', 28363),
(84638, 'PF16219', NULL, 'Domain of unknown function (DUF4879)', 124, NULL, 'DUF4879', 28364),
(84639, 'PF02791', NULL, 'DDT domain', 60, NULL, 'DDT', 28365),
(84640, 'PF00781', NULL, 'Diacylglycerol kinase catalytic domain', 127, NULL, 'DAGK_cat', 28366),
(84641, 'PF04050', NULL, 'Up-frameshift suppressor 2', 133, NULL, 'Upf2', 28367),
(84642, 'PF01174', NULL, 'SNO glutamine amidotransferase family', 188, NULL, 'SNO', 28368),
(84643, 'PF18330', NULL, 'Ligase Pab1020 C-terminal region', 125, NULL, 'Lig_C', 28369),
(84644, 'PF04254', NULL, 'Protein of unknown function (DUF432)', 123, NULL, 'DUF432', 28370),
(84645, 'PF08867', NULL, 'FRG domain', 94, NULL, 'FRG', 28371),
(84646, 'PF06226', NULL, 'Protein of unknown function (DUF1007)', 210, NULL, 'DUF1007', 28372),
(84647, 'PF12369', NULL, 'Gonadotropin hormone receptor transmembrane region', 68, NULL, 'GnHR_trans', 28373),
(84648, 'PF00300', NULL, 'Histidine phosphatase superfamily (branch 1)', 194, NULL, 'His_Phos_1', 28374),
(84649, 'PF01268', NULL, 'Formate--tetrahydrofolate ligase', 556, NULL, 'FTHFS', 28375),
(84650, 'PF08580', NULL, 'Yeast cortical protein KAR9', 678, NULL, 'KAR9', 28376),
(84651, 'PF12390', NULL, 'Selenocysteine synthase N terminal', 40, NULL, 'Se-cys_synth_N', 28377),
(84652, 'PF18647', NULL, 'Alpha-galactosyl-binding fungal lectin', 102, NULL, 'Fungal_lectin_2', 28378),
(84653, 'PF11939', NULL, '[NiFe]-hydrogenase assembly, chaperone, HybE', 158, NULL, 'NiFe-hyd_HybE', 28379),
(84654, 'PF14352', NULL, 'Domain of unknown function (DUF4402)', 129, NULL, 'DUF4402', 28380),
(84655, 'PF12632', NULL, 'Mysoin-binding motif of peroxisomes', 282, NULL, 'Vezatin', 28381),
(84656, 'PF15585', NULL, 'Immunity protein 7', 130, NULL, 'Imm7', 28382),
(84657, 'PF05848', NULL, 'CtsR N-terminal HTH domain', 72, NULL, 'CtsR', 28383),
(84658, 'PF15664', NULL, 'Transmembrane protein 252 family', 139, NULL, 'TMEM252', 28384),
(84659, 'PF08917', NULL, 'Transforming growth factor beta receptor 2 ectodomain', 110, NULL, 'ecTbetaR2', 28385),
(84660, 'PF10794', NULL, 'Protein of unknown function (DUF2606)', 130, NULL, 'DUF2606', 28386),
(84661, 'PF06610', NULL, 'L-alanine exporter', 141, NULL, 'AlaE', 28387),
(84662, 'PF01521', NULL, 'Iron-sulphur cluster biosynthesis', 111, NULL, 'Fe-S_biosyn', 28388),
(84663, 'PF10104', NULL, 'Di-sulfide bridge nucleocytoplasmic transport domain', 133, NULL, 'Brr6_like_C_C', 28389),
(84664, 'PF01759', NULL, 'UNC-6/NTR/C345C module', 107, NULL, 'NTR', 28390),
(84665, 'PF04731', NULL, 'Caudal like protein activation region', 136, NULL, 'Caudal_act', 28391),
(84666, 'PF15639', NULL, 'Metallopeptidase toxin 3', 137, NULL, 'Tox-MPTase3', 28392),
(84667, 'PF18848', NULL, 'Bacterial archaeo-eukaryotic release factor family 6', 150, NULL, 'baeRF_family6', 28393),
(84668, 'PF18619', NULL, 'GPCR-Autoproteolysis-INducing (GAIN) subdomain A', 48, NULL, 'GAIN_A', 28394),
(84669, 'PF04118', NULL, 'Dopey, N-terminal', 309, NULL, 'Dopey_N', 28395),
(84670, 'PF12927', NULL, 'Domain of unknown function (DUF3835)', 78, NULL, 'DUF3835', 28396),
(84671, 'PF09621', NULL, 'Type III secretion system regulator (LcrR)', 138, NULL, 'LcrR', 28397),
(84672, 'PF13711', NULL, 'Domain of unknown function (DUF4160)', 65, NULL, 'DUF4160', 28398);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(84673, 'PF12535', NULL, 'Hydrolase of X-linked nucleoside diphosphate N terminal', 56, NULL, 'Nudix_N', 28399),
(84674, 'PF06145', NULL, 'Coronavirus nonstructural protein NS1', 29, NULL, 'Corona_NS1', 28400),
(84675, 'PF14657', NULL, 'Arm DNA-binding domain', 46, NULL, 'Arm-DNA-bind_4', 28401),
(84676, 'PF14850', NULL, 'DNA-binding domain of Proline dehydrogenase', 112, NULL, 'Pro_dh-DNA_bdg', 28402),
(84677, 'PF09173', NULL, 'Initiation factor eIF2 gamma, C terminal', 86, NULL, 'eIF2_C', 28403),
(84678, 'PF20077', NULL, 'CcmD family protein', 63, NULL, 'CcmD_alt', 28404),
(84679, 'PF05894', NULL, 'Podovirus DNA encapsidation protein (Gp16)', 331, NULL, 'Podovirus_Gp16', 28405),
(84680, 'PF07437', NULL, 'YfaZ precursor', 180, NULL, 'YfaZ', 28406),
(84681, 'PF00860', NULL, 'Permease family', 389, NULL, 'Xan_ur_permease', 28407),
(84682, 'PF05507', NULL, 'Microfibril-associated glycoprotein (MAGP)', 137, NULL, 'MAGP', 28408),
(84683, 'PF18800', NULL, 'Attenuator of Hedgehog', 141, NULL, 'Atthog', 28409),
(84684, 'PF16725', NULL, 'Nucleolin binding domain', 70, NULL, 'Nucleolin_bd', 28410),
(84685, 'PF09958', NULL, 'Uncharacterized protein conserved in archaea (DUF2192)', 229, NULL, 'DUF2192', 28411),
(84686, 'PF12133', NULL, 'Betacoronavirus NS6 protein', 62, NULL, 'bCoV_NS6', 28412),
(84687, 'PF01016', NULL, 'Ribosomal L27 protein', 79, NULL, 'Ribosomal_L27', 28413),
(84688, 'PF15913', NULL, 'Furin-like repeat, cysteine-rich', 102, NULL, 'Furin-like_2', 28414),
(84689, 'PF16579', NULL, 'Adenylate sensor of SNF1-like protein kinase', 118, NULL, 'AdenylateSensor', 28415),
(84690, 'PF04270', NULL, 'Streptococcal histidine triad protein', 51, NULL, 'Strep_his_triad', 28416),
(84691, 'PF19457', NULL, 'Family of unknown function (DUF5994)', 112, NULL, 'DUF5994', 28417),
(84692, 'PF11028', NULL, 'Protein of unknown function (DUF2723)', 179, NULL, 'DUF2723', 28418),
(84693, 'PF01735', NULL, 'Lysophospholipase catalytic domain', 491, NULL, 'PLA2_B', 28419),
(84694, 'PF18994', NULL, 'Prophage endopeptidase tail N-terminal domain', 85, NULL, 'Prophage_tailD1', 28420),
(84695, 'PF03309', NULL, 'Type III pantothenate kinase', 207, NULL, 'Pan_kinase', 28421),
(84696, 'PF08323', NULL, 'Starch synthase catalytic domain', 244, NULL, 'Glyco_transf_5', 28422),
(84697, 'PF11570', NULL, 'Coiled-coil receptor-binding R-domain of colicin E2', 136, NULL, 'E2R135', 28423),
(84698, 'PF11446', NULL, 'Protein of unknown function (DUF2897)', 54, NULL, 'DUF2897', 28424),
(84699, 'PF11616', NULL, 'WD repeat binding protein EZH2', 30, NULL, 'EZH2_WD-Binding', 28425),
(84700, 'PF09498', NULL, 'Protein of unknown function (DUF2388)', 70, NULL, 'DUF2388', 28426),
(84701, 'PF10391', NULL, 'Fingers domain of DNA polymerase lambda', 51, NULL, 'DNA_pol_lambd_f', 28427),
(84702, 'PF13462', NULL, 'Thioredoxin', 165, NULL, 'Thioredoxin_4', 28428),
(84703, 'PF06974', NULL, 'WS/DGAT C-terminal domain', 145, NULL, 'WS_DGAT_C', 28429),
(84704, 'PF14521', NULL, 'Lysine-specific metallo-endopeptidase', 144, NULL, 'Aspzincin_M35', 28430),
(84705, 'PF14787', NULL, 'GAG-polyprotein viral zinc-finger', 36, NULL, 'zf-CCHC_5', 28431),
(84706, 'PF04055', NULL, 'Radical SAM superfamily', 167, NULL, 'Radical_SAM', 28432),
(84707, 'PF17328', NULL, 'Family of unknown function (DUF5366)', 158, NULL, 'DUF5366', 28433),
(84708, 'PF16588', NULL, 'C2H2 zinc-finger', 23, NULL, 'zf-C2H2_10', 28434),
(84709, 'PF04716', NULL, 'ETC complex I subunit conserved region', 67, NULL, 'ETC_C1_NDUFA5', 28435),
(84710, 'PF17381', NULL, 'Seminal vesicle secretory proteins 4/5/6', 91, NULL, 'Svs_4_5_6', 28436),
(84711, 'PF01301', NULL, 'Glycosyl hydrolases family 35', 316, NULL, 'Glyco_hydro_35', 28437),
(84712, 'PF01929', NULL, 'Ribosomal protein L14', 75, NULL, 'Ribosomal_L14e', 28438),
(84713, 'PF17587', NULL, 'Discriminator of mRNA degradation', 60, NULL, 'Dmd', 28439),
(84714, 'PF18911', NULL, 'PKD domain', 85, NULL, 'PKD_4', 28440),
(84715, 'PF16437', NULL, 'Domain of unknown function (DUF5034)', 161, NULL, 'DUF5034', 28441),
(84716, 'PF16866', NULL, 'PHD-finger', 68, NULL, 'PHD_4', 28442);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(84717, 'PF13150', NULL, 'Conjugative transposon protein TraL', 86, NULL, 'TraL_transposon', 28443),
(84718, 'PF16422', NULL, 'Transcription factor COE1 DNA-binding domain', 231, NULL, 'COE1_DBD', 28444),
(84719, 'PF10951', NULL, 'Protein of unknown function (DUF2776)', 348, NULL, 'DUF2776', 28445),
(84720, 'PF16921', NULL, 'Tex protein YqgF-like domain', 126, NULL, 'Tex_YqgF', 28446),
(84721, 'PF02166', NULL, 'Androgen receptor', 501, NULL, 'Androgen_recep', 28447),
(84722, 'PF03728', NULL, 'Viral DNA-binding protein, zinc binding domain', 98, NULL, 'Viral_DNA_Zn_bi', 28448),
(84723, 'PF09601', NULL, 'Protein of unknown function (DUF2459)', 171, NULL, 'DUF2459', 28449),
(84724, 'PF16641', NULL, 'CLIP1 zinc knuckle', 17, NULL, 'CLIP1_ZNF', 28450),
(84725, 'PF11542', NULL, 'Mitochondrial division protein 1', 49, NULL, 'Mdv1', 28451),
(84726, 'PF04870', NULL, 'Moulting cycle', 345, NULL, 'Moulting_cycle', 28452),
(84727, 'PF09511', NULL, 'RNA ligase', 223, NULL, 'RNA_lig_T4_1', 28453),
(84728, 'PF03656', NULL, 'Pam16', 127, NULL, 'Pam16', 28454),
(84729, 'PF09923', NULL, 'Uncharacterized protein conserved in bacteria (DUF2155)', 89, NULL, 'DUF2155', 28455),
(84730, 'PF18638', NULL, 'Cysteine-Rich Protective Antigen 6 bladed domain', 315, NULL, 'CyRPA', 28456),
(84731, 'PF01057', NULL, 'Parvovirus non-structural protein NS1', 272, NULL, 'Parvo_NS1', 28457),
(84732, 'PF02792', NULL, 'Mago nashi protein', 142, NULL, 'Mago_nashi', 28458),
(84733, 'PF15012', NULL, 'Domain of unknown function (DUF4519)', 56, NULL, 'DUF4519', 28459),
(84734, 'PF07519', NULL, 'Tannase and feruloyl esterase', 469, NULL, 'Tannase', 28460),
(84735, 'PF01440', NULL, 'Geminivirus AL2 protein', 128, NULL, 'Gemini_AL2', 28461),
(84736, 'PF17276', NULL, 'Family of unknown function (DUF5341)', 161, NULL, 'DUF5341', 28462),
(84737, 'PF17915', NULL, 'Reverse gyrase zinc finger', 49, NULL, 'zf_Rg', 28463),
(84738, 'PF13060', NULL, 'Protein of unknown function (DUF3921)', 58, NULL, 'DUF3921', 28464),
(84739, 'PF14995', NULL, 'Transmembrane protein', 123, NULL, 'TMEM107', 28465),
(84740, 'PF11420', NULL, 'Bacteriocin subtilosin A', 35, NULL, 'Subtilosin_A', 28466),
(84741, 'PF04566', NULL, 'RNA polymerase Rpb2, domain 4', 62, NULL, 'RNA_pol_Rpb2_4', 28467),
(84742, 'PF07557', NULL, 'Shugoshin C terminus', 24, NULL, 'Shugoshin_C', 28468),
(84743, 'PF04851', NULL, 'Type III restriction enzyme, res subunit', 171, NULL, 'ResIII', 28469),
(84744, 'PF00979', NULL, 'Reovirus outer capsid protein, Sigma 3', 367, NULL, 'Reovirus_cap', 28470),
(84745, 'PF10357', NULL, 'Domain of Kin17 curved DNA-binding protein', 126, NULL, 'Kin17_mid', 28471),
(84746, 'PF11537', NULL, 'Nitrosopumilus output domain 5', 94, NULL, 'NitrOD5', 28472),
(84747, 'PF14843', NULL, 'Growth factor receptor domain IV', 132, NULL, 'GF_recep_IV', 28473),
(84748, 'PF20005', NULL, 'FtsH ternary system domain X7', 419, NULL, 'fvmX7', 28474),
(84749, 'PF18858', NULL, 'Large polyvalent protein associated domain 39', 198, NULL, 'LPD39', 28475),
(84750, 'PF05951', NULL, 'Bacterial protein of unknown function (DUF882)', 153, NULL, 'Peptidase_M15_2', 28476),
(84751, 'PF07993', NULL, 'Male sterility protein', 257, NULL, 'NAD_binding_4', 28477),
(84752, 'PF08571', NULL, 'Yos1-like', 80, NULL, 'Yos1', 28478),
(84753, 'PF11906', NULL, 'Protein of unknown function (DUF3426)', 146, NULL, 'DUF3426', 28479),
(84754, 'PF15488', NULL, 'Domain of unknown function (DUF4645)', 294, NULL, 'DUF4645', 28480),
(84755, 'PF05602', NULL, 'Cleft lip and palate transmembrane protein 1 (CLPTM1)', 433, NULL, 'CLPTM1', 28481),
(84756, 'PF11761', NULL, 'Cobalamin biosynthesis central region', 84, NULL, 'CbiG_mid', 28482),
(84757, 'PF12514', NULL, 'Protein of unknown function (DUF3718)', 66, NULL, 'DUF3718', 28483),
(84758, 'PF00004', NULL, 'ATPase family associated with various cellular activities (AAA)', 132, NULL, 'AAA', 28484),
(84759, 'PF10001', NULL, 'Uncharacterized protein conserved in bacteria (DUF2242)', 121, NULL, 'DUF2242', 28485),
(84760, 'PF11766', NULL, 'Cell-wall agglutinin N-terminal ligand-sugar binding', 249, NULL, 'Candida_ALS_N', 28486);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(84761, 'PF19726', NULL, 'Family of unknown function (DUF6218)', 229, NULL, 'DUF6218', 28487),
(84762, 'PF10324', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srw', 319, NULL, '7TM_GPCR_Srw', 28488),
(84763, 'PF06011', NULL, 'Transient receptor potential (TRP) ion channel', 426, NULL, 'TRP', 28489),
(84764, 'PF14497', NULL, 'Glutathione S-transferase, C-terminal domain', 104, NULL, 'GST_C_3', 28490),
(84765, 'PF14909', NULL, 'Spermatogenesis-assoc protein 6', 139, NULL, 'SPATA6', 28491),
(84766, 'PF10443', NULL, 'RNA12 protein', 444, NULL, 'RNA12', 28492),
(84767, 'PF03786', NULL, 'D-mannonate dehydratase (UxuA)', 352, NULL, 'UxuA', 28493),
(84768, 'PF08321', NULL, 'PPP5 TPR repeat region', 94, NULL, 'PPP5', 28494),
(84769, 'PF15411', NULL, 'Pleckstrin homology domain', 123, NULL, 'PH_10', 28495),
(84770, 'PF17699', NULL, 'Family of unknown function (DUF5545)', 212, NULL, 'DUF5545', 28496),
(84771, 'PF12309', NULL, 'KIF-1 binding protein C terminal', 365, NULL, 'KBP_C', 28497),
(84772, 'PF12528', NULL, 'Type II secretion prepilin peptidase dependent protein C', 82, NULL, 'T2SSppdC', 28498),
(84773, 'PF11269', NULL, 'Protein of unknown function (DUF3069)', 119, NULL, 'DUF3069', 28499),
(84774, 'PF03826', NULL, 'OAR motif', 19, NULL, 'OAR', 28500),
(84775, 'PF18181', NULL, 'SMODS and SLOG-associating 2TM effector domain 1', 122, NULL, 'SLATT_1', 28501),
(84776, 'PF16727', NULL, 'DNA repair protein REV1 C-terminal domain', 92, NULL, 'REV1_C', 28502),
(84777, 'PF16699', NULL, 'Cleavage stimulation factor subunit 1, dimerisation domain', 57, NULL, 'CSTF1_dimer', 28503),
(84778, 'PF17806', NULL, 'Sarcosine oxidase A3 domain', 87, NULL, 'SO_alpha_A3', 28504),
(84779, 'PF05322', NULL, 'NINE Protein', 58, NULL, 'NinE', 28505),
(84780, 'PF16797', NULL, 'Fungal kinase associated-1 domain', 117, NULL, 'Fungal_KA1', 28506),
(84781, 'PF03272', NULL, 'Putative mucin or carbohydrate-binding module', 116, NULL, 'Mucin_bdg', 28507),
(84782, 'PF04770', NULL, 'ZF-HD protein dimerisation region', 55, NULL, 'ZF-HD_dimer', 28508),
(84783, 'PF05874', NULL, 'Pheromone biosynthesis activating neuropeptide (PBAN)', 184, NULL, 'PBAN', 28509),
(84784, 'PF04338', NULL, 'Protein of unknown function, DUF481', 211, NULL, 'DUF481', 28510),
(84785, 'PF16798', NULL, 'Domain of unknown function (DUF5069)', 133, NULL, 'DUF5069', 28511),
(84786, 'PF05568', NULL, 'African swine fever virus J13L protein', 189, NULL, 'ASFV_J13L', 28512),
(84787, 'PF09231', NULL, 'Rice dwarf virus p3', 965, NULL, 'RDV-p3', 28513),
(84788, 'PF14590', NULL, 'Domain of unknown function (DUF4447)', 166, NULL, 'DUF4447', 28514),
(84789, 'PF14024', NULL, 'Protein of unknown function (DUF4240)', 128, NULL, 'DUF4240', 28515),
(84790, 'PF01364', NULL, 'Peptidase family C25', 378, NULL, 'Peptidase_C25', 28516),
(84791, 'PF05030', NULL, 'SSXT protein (N-terminal region)', 62, NULL, 'SSXT', 28517),
(84792, 'PF17672', NULL, 'Fertilisation-influencing membrane protein', 130, NULL, 'FIMP', 28518),
(84793, 'PF05986', NULL, 'ADAM-TS Spacer 1', 115, NULL, 'ADAM_spacer1', 28519),
(84794, 'PF01507', NULL, 'Phosphoadenosine phosphosulfate reductase family', 174, NULL, 'PAPS_reduct', 28520),
(84795, 'PF14930', NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit domain II', 107, NULL, 'Qn_am_d_aII', 28521),
(84796, 'PF16942', NULL, 'Putative cyclic bacteriocin', 103, NULL, 'CclA_1', 28522),
(84797, 'PF19591', NULL, 'Family of unknown function (DUF6096)', 130, NULL, 'DUF6096', 28523),
(84798, 'PF00325', NULL, 'Bacterial regulatory proteins, crp family', 32, NULL, 'Crp', 28524),
(84799, 'PF18078', NULL, 'Thioredoxin-like SNTX domain', 126, NULL, 'Thioredoxin_11', 28525),
(84800, 'PF19172', NULL, 'Family of unknown function (DUF5854)', 159, NULL, 'DUF5854', 28526),
(84801, 'PF03597', NULL, 'Cytochrome oxidase maturation protein cbb3-type', 44, NULL, 'FixS', 28527),
(84802, 'PF01468', NULL, 'GA module', 55, NULL, 'GA', 28528),
(84803, 'PF01638', NULL, 'HxlR-like helix-turn-helix', 91, NULL, 'HxlR', 28529),
(84804, 'PF04873', NULL, 'Ethylene insensitive 3', 253, NULL, 'EIN3', 28530);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(84805, 'PF06689', NULL, 'ClpX C4-type zinc finger', 39, NULL, 'zf-C4_ClpX', 28531),
(84806, 'PF15821', NULL, 'Domain of unknown function (DUF4709)', 110, NULL, 'DUF4709', 28532),
(84807, 'PF14006', NULL, 'YqzL-like protein', 45, NULL, 'YqzL', 28533),
(84808, 'PF19538', NULL, 'Family of unknown function (DUF6062)', 244, NULL, 'DUF6062', 28534),
(84809, 'PF02398', NULL, 'Coronavirus protein 7', 101, NULL, 'Corona_7', 28535),
(84810, 'PF19986', NULL, 'Family of unknown function (DUF6422)', 94, NULL, 'DUF6422', 28536),
(84811, 'PF15212', NULL, 'Spermatogenesis-associated protein 19, mitochondrial', 130, NULL, 'SPATA19', 28537),
(84812, 'PF02443', NULL, 'Circovirus capsid protein', 235, NULL, 'Circo_capsid', 28538),
(84813, 'PF17517', NULL, 'IgGFc binding protein', 294, NULL, 'IgGFc_binding', 28539),
(84814, 'PF07559', NULL, 'Flagellar basal body protein FlaE', 131, NULL, 'FlaE', 28540),
(84815, 'PF04717', NULL, 'Type VI secretion system/phage-baseplate injector OB domain', 75, NULL, 'Phage_base_V', 28541),
(84816, 'PF06890', NULL, 'Bacteriophage Mu Gp45 spike protein', 68, NULL, 'Phage_Mu_Gp45', 28542),
(84817, 'PF18465', NULL, 'Rieske 3Fe-4S', 96, NULL, 'Rieske_3', 28543),
(84818, 'PF04121', NULL, 'Nuclear pore protein 84 / 107', 731, NULL, 'Nup84_Nup100', 28544),
(84819, 'PF06496', NULL, 'Protein of unknown function (DUF1097)', 146, NULL, 'DUF1097', 28545),
(84820, 'PF00846', NULL, 'Hantavirus nucleocapsid protein', 429, NULL, 'Hanta_nucleocap', 28546),
(84821, 'PF01529', NULL, 'DHHC palmitoyltransferase', 134, NULL, 'DHHC', 28547),
(84822, 'PF04663', NULL, 'Phenol hydroxylase conserved region', 66, NULL, 'Phenol_monoox', 28548),
(84823, 'PF19615', NULL, 'Family of unknown function (DUF6120)', 92, NULL, 'DUF6120', 28549),
(84824, 'PF17723', NULL, 'Ribbon-Helix-Helix transcriptional regulator family', 119, NULL, 'RHH_8', 28550),
(84825, 'PF08348', NULL, 'YheO-like PAS domain', 115, NULL, 'PAS_6', 28551),
(84826, 'PF16423', NULL, 'Transcription factor COE1 helix-loop-helix domain', 44, NULL, 'COE1_HLH', 28552),
(84827, 'PF15955', NULL, 'Cuticle protein', 81, NULL, 'Cuticle_4', 28553),
(84828, 'PF18985', NULL, 'Family of unknown function (DUF5718)', 250, NULL, 'DUF5718', 28554),
(84829, 'PF02448', NULL, 'L71 family', 71, NULL, 'L71', 28555),
(84830, 'PF15503', NULL, 'Protein phosphatase 1 regulatory subunit 35 C-terminus', 140, NULL, 'PPP1R35_C', 28556),
(84831, 'PF08566', NULL, 'Mitochondrial import protein Pam17', 165, NULL, 'Pam17', 28557),
(84832, 'PF10296', NULL, 'Maintenance of mitochondrial morphology protein 1', 332, NULL, 'MMM1', 28558),
(84833, 'PF13511', NULL, 'Domain of unknown function (DUF4124)', 56, NULL, 'DUF4124', 28559),
(84834, 'PF16620', NULL, 'Unstructured linker between I-set domains 2 and 3 on MYLCK', 162, NULL, '23ISL', 28560),
(84835, 'PF06034', NULL, 'Nucleopolyhedrovirus protein of unknown function (DUF919)', 62, NULL, 'DUF919', 28561),
(84836, 'PF01097', NULL, 'Arthropod defensin', 34, NULL, 'Defensin_2', 28562),
(84837, 'PF04703', NULL, 'FaeA-like protein', 62, NULL, 'FaeA', 28563),
(84838, 'PF10635', NULL, 'DisA bacterial checkpoint controller linker region', 142, NULL, 'DisA-linker', 28564),
(84839, 'PF18853', NULL, 'Large polyvalent protein associated domain 37', 245, NULL, 'LPD37', 28565),
(84840, 'PF00414', NULL, 'Neuraxin and MAP1B repeat', 17, NULL, 'MAP1B_neuraxin', 28566),
(84841, 'PF01565', NULL, 'FAD binding domain', 139, NULL, 'FAD_binding_4', 28567),
(84842, 'PF13158', NULL, 'Protein of unknown function (DUF3993)', 118, NULL, 'DUF3993', 28568),
(84843, 'PF02599', NULL, 'Global regulator protein family', 53, NULL, 'CsrA', 28569),
(84844, 'PF14342', NULL, 'Domain of unknown function (DUF4396)', 141, NULL, 'DUF4396', 28570),
(84845, 'PF03280', NULL, 'Proteobacterial lipase chaperone protein', 192, NULL, 'Lipase_chap', 28571),
(84846, 'PF05382', NULL, 'Bacteriophage peptidoglycan hydrolase', 142, NULL, 'Amidase_5', 28572),
(84847, 'PF08831', NULL, 'Class II MHC-associated invariant chain trimerisation domain', 69, NULL, 'MHCassoc_trimer', 28573),
(84848, 'PF04446', NULL, 'tRNAHis guanylyltransferase', 124, NULL, 'Thg1', 28574);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(84849, 'PF10376', NULL, 'Double-strand recombination repair protein', 206, NULL, 'Mei5', 28575),
(84850, 'PF01388', NULL, 'ARID/BRIGHT DNA binding domain', 90, NULL, 'ARID', 28576),
(84851, 'PF03784', NULL, 'Cyclotide family', 30, NULL, 'Cyclotide', 28577),
(84852, 'PF15133', NULL, 'TLR adaptor interacting with SLC15A4 on the lysosome', 304, NULL, 'TASL', 28578),
(84853, 'PF11510', NULL, 'Fanconi Anaemia group E protein FANCE', 262, NULL, 'FA_FANCE', 28579),
(84854, 'PF17949', NULL, 'FANCM pseudonuclease domain', 125, NULL, 'PND', 28580),
(84855, 'PF16534', NULL, 'Ubiquitin-like oligomerisation domain of SATB', 109, NULL, 'ULD', 28581),
(84856, 'PF04221', NULL, 'RelB antitoxin', 83, NULL, 'RelB', 28582),
(84857, 'PF01725', NULL, 'Ham1 family', 186, NULL, 'Ham1p_like', 28583),
(84858, 'PF09871', NULL, 'Uncharacterized protein conserved in archaea (DUF2098)', 94, NULL, 'DUF2098', 28584),
(84859, 'PF00789', NULL, 'UBX domain', 81, NULL, 'UBX', 28585),
(84860, 'PF11769', NULL, 'Protein of unknown function (DUF3313)', 185, NULL, 'DUF3313', 28586),
(84861, 'PF05624', NULL, 'Lipolysis stimulated receptor (LSR)', 48, NULL, 'LSR', 28587),
(84862, 'PF18764', NULL, 'Nitrous oxide reductase propeller repeat', 71, NULL, 'nos_propeller', 28588),
(84863, 'PF07225', NULL, 'NADH-ubiquinone oxidoreductase B15 subunit (NDUFB4)', 124, NULL, 'NDUF_B4', 28589),
(84864, 'PF16985', NULL, 'Domain of unknown function (DUF5086)', 134, NULL, 'DUF5086', 28590),
(84865, 'PF13531', NULL, 'Bacterial extracellular solute-binding protein', 230, NULL, 'SBP_bac_11', 28591),
(84866, 'PF16856', NULL, 'Cell division control protein 4 dimerisation domain', 51, NULL, 'CDC4_D', 28592),
(84867, 'PF04787', NULL, 'Late protein H7', 143, NULL, 'Pox_H7', 28593),
(84868, 'PF03491', NULL, 'Serotonin (5-HT) neurotransmitter transporter, N-terminus', 41, NULL, '5HT_transport_N', 28594),
(84869, 'PF05427', NULL, 'Acidic fibroblast growth factor binding (FIBP)', 360, NULL, 'FIBP', 28595),
(84870, 'PF01751', NULL, 'Toprim domain', 104, NULL, 'Toprim', 28596),
(84871, 'PF15920', NULL, 'N-terminal of Junction-mediating and WASP homolog-associated', 50, NULL, 'WHAMM-JMY_N', 28597),
(84872, 'PF03709', NULL, 'Orn/Lys/Arg decarboxylase, N-terminal domain', 111, NULL, 'OKR_DC_1_N', 28598),
(84873, 'PF06138', NULL, 'Chordopoxvirus E11 protein', 128, NULL, 'Chordopox_E11', 28599),
(84874, 'PF17922', NULL, 'Tetracyclin repressor-like, C-terminal domain', 100, NULL, 'TetR_C_17', 28600),
(84875, 'PF08216', NULL, 'Catenin-beta-like, Arm-motif containing nuclear', 104, NULL, 'CTNNBL', 28601),
(84876, 'PF11975', NULL, 'Family 4 glycosyl hydrolase C-terminal domain', 211, NULL, 'Glyco_hydro_4C', 28602),
(84877, 'PF15104', NULL, 'Domain of unknown function (DUF4558)', 86, NULL, 'DUF4558', 28603),
(84878, 'PF01847', NULL, 'VHL beta domain', 82, NULL, 'VHL', 28604),
(84879, 'PF04081', NULL, 'DNA polymerase delta, subunit 4', 131, NULL, 'DNA_pol_delta_4', 28605),
(84880, 'PF17520', NULL, 'Family of unknown function (DUF5445)', 52, NULL, 'DUF5445', 28606),
(84881, 'PF16075', NULL, 'Domain of unknown function (DUF4815)', 570, NULL, 'DUF4815', 28607),
(84882, 'PF07490', NULL, 'Translocated intimin receptor (Tir) N-terminus', 266, NULL, 'Tir_receptor_N', 28608),
(84883, 'PF01522', NULL, 'Polysaccharide deacetylase', 124, NULL, 'Polysacc_deac_1', 28609),
(84884, 'PF15894', NULL, 'Inhibitor of glucose uptake transporter SgrT', 53, NULL, 'SgrT', 28610),
(84885, 'PF09721', NULL, 'Transmembrane exosortase (Exosortase_EpsH)', 255, NULL, 'Exosortase_EpsH', 28611),
(84886, 'PF10802', NULL, 'Protein of unknown function (DUF2540)', 75, NULL, 'DUF2540', 28612),
(84887, 'PF04441', NULL, 'Poxvirus early transcription factor (VETF), large subunit', 697, NULL, 'Pox_VERT_large', 28613),
(84888, 'PF00732', NULL, 'GMC oxidoreductase', 296, NULL, 'GMC_oxred_N', 28614),
(84889, 'PF10740', NULL, 'Domain of unknown function (DUF2529)', 170, NULL, 'DUF2529', 28615),
(84890, 'PF12534', NULL, 'Pannexin-like TM region of LRRC8', 350, NULL, 'Pannexin_like', 28616),
(84891, 'PF16122', NULL, '40S ribosomal protein SA C-terminus', 95, NULL, '40S_SA_C', 28617);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(84892, 'PF14037', NULL, 'YoqO-like protein', 116, NULL, 'YoqO', 28618),
(84893, 'PF19629', NULL, 'Family of unknown function (DUF6133)', 63, NULL, 'DUF6133', 28619),
(84894, 'PF08629', NULL, 'PDE8 phosphodiesterase', 52, NULL, 'PDE8', 28620),
(84895, 'PF16462', NULL, 'Phage tail assembly chaperone protein, TAC', 113, NULL, 'Phage_TAC_14', 28621),
(84896, 'PF01722', NULL, 'BolA-like protein', 78, NULL, 'BolA', 28622),
(84897, 'PF02665', NULL, 'Nitrate reductase gamma subunit', 217, NULL, 'Nitrate_red_gam', 28623),
(84898, 'PF13382', NULL, 'Adenine deaminase C-terminal domain', 169, NULL, 'Adenine_deam_C', 28624),
(84899, 'PF03330', NULL, 'Lytic transglycolase', 83, NULL, 'DPBB_1', 28625),
(84900, 'PF03320', NULL, 'Bacterial fructose-1,6-bisphosphatase, glpX-encoded', 308, NULL, 'FBPase_glpX', 28626),
(84901, 'PF11898', NULL, 'Domain of unknown function (DUF3418)', 583, NULL, 'DUF3418', 28627),
(84902, 'PF12393', NULL, 'Dr family adhesin', 21, NULL, 'Dr_adhesin', 28628),
(84903, 'PF19271', NULL, 'Nis1 family', 114, NULL, 'Nis1', 28629),
(84904, 'PF00460', NULL, 'Flagella basal body rod protein', 31, NULL, 'Flg_bb_rod', 28630),
(84905, 'PF12687', NULL, 'Protein of unknown function (DUF3801)', 182, NULL, 'DUF3801', 28631),
(84906, 'PF05357', NULL, 'Phage Coat Protein A', 63, NULL, 'Phage_Coat_A', 28632),
(84907, 'PF09191', NULL, 'CD4, extracellular', 107, NULL, 'CD4-extracel', 28633),
(84908, 'PF08633', NULL, 'Rox3 mediator complex subunit', 204, NULL, 'Rox3', 28634),
(84909, 'PF17779', NULL, 'NOD2 winged helix domain', 57, NULL, 'NOD2_WH', 28635),
(84910, 'PF14471', NULL, 'Domain of unknown function (DUF4428)', 51, NULL, 'DUF4428', 28636),
(84911, 'PF12131', NULL, 'Protein of unknown function (DUF3586)', 75, NULL, 'DUF3586', 28637),
(84912, 'PF05584', NULL, 'Sulfolobus plasmid regulatory protein', 72, NULL, 'Sulfolobus_pRN', 28638),
(84913, 'PF12661', NULL, 'Human growth factor-like EGF', 22, NULL, 'hEGF', 28639),
(84914, 'PF19297', NULL, 'QcrA subunit N-terminal region', 221, NULL, 'QcrA_N', 28640),
(84915, 'PF13090', NULL, 'Polyphosphate kinase C-terminal domain 2', 172, NULL, 'PP_kinase_C', 28641),
(84916, 'PF16203', NULL, 'ERCC3/RAD25/XPB C-terminal helicase', 247, NULL, 'ERCC3_RAD25_C', 28642),
(84917, 'PF00344', NULL, 'SecY', 308, NULL, 'SecY', 28643),
(84918, 'PF17647', NULL, 'Family of unknown function (DUF5518)', 118, NULL, 'DUF5518', 28644),
(84919, 'PF19498', NULL, 'Protein of unknown function (DUF6033)', 189, NULL, 'DUF6033', 28645),
(84920, 'PF16702', NULL, 'Domain of unknown function (DUF5063)', 165, NULL, 'DUF5063', 28646),
(84921, 'PF10880', NULL, 'Protein of unknown function (DUF2673)', 82, NULL, 'DUF2673', 28647),
(84922, 'PF18110', NULL, 'BRCC36 C-terminal helical domain', 81, NULL, 'BRCC36_C', 28648),
(84923, 'PF03461', NULL, 'TRCF domain', 95, NULL, 'TRCF', 28649),
(84924, 'PF08055', NULL, 'Tryptophan leader peptide', 18, NULL, 'Trp_leader1', 28650),
(84925, 'PF03123', NULL, 'CAT RNA binding domain', 57, NULL, 'CAT_RBD', 28651),
(84926, 'PF05588', NULL, 'Clostridium botulinum HA-17 domain', 146, NULL, 'Botulinum_HA-17', 28652),
(84927, 'PF01635', NULL, 'Coronavirus M matrix/glycoprotein', 208, NULL, 'CoV_M', 28653),
(84928, 'PF13801', NULL, 'Heavy-metal resistance', 125, NULL, 'Metal_resist', 28654),
(84929, 'PF14386', NULL, 'Domain of unknown function (DUF4417)', 189, NULL, 'DUF4417', 28655),
(84930, 'PF16009', NULL, 'Domain of unknown function (DUF4779)', 160, NULL, 'DUF4779', 28656),
(84931, 'PF16682', NULL, 'CXC domain of E3 ubiquitin-protein ligase MSL2', 55, NULL, 'MSL2-CXC', 28657),
(84932, 'PF12192', NULL, 'Fungal calcium binding protein', 79, NULL, 'CBP', 28658),
(84933, 'PF05989', NULL, 'Chordopoxvirus A35R protein', 174, NULL, 'Chordopox_A35R', 28659),
(84934, 'PF10185', NULL, 'Chaperone for wingless signalling and trafficking of LDL receptor', 155, NULL, 'Mesd', 28660),
(84935, 'PF00134', NULL, 'Cyclin, N-terminal domain', 127, NULL, 'Cyclin_N', 28661),
(84936, 'PF10994', NULL, 'Protein of unknown function (DUF2817)', 340, NULL, 'DUF2817', 28662),
(84937, 'PF14665', NULL, 'Rapamycin-insensitive companion of mTOR, phosphorylation-site', 112, NULL, 'RICTOR_phospho', 28663);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(84938, 'PF03453', NULL, 'MoeA N-terminal region (domain I and II)', 157, NULL, 'MoeA_N', 28664),
(84939, 'PF08773', NULL, 'Cathepsin C exclusion domain', 121, NULL, 'CathepsinC_exc', 28665),
(84940, 'PF15883', NULL, 'Domain of unknown function (DUF4736)', 186, NULL, 'DUF4736', 28666),
(84941, 'PF06986', NULL, 'Type-1V conjugative transfer system mating pair stabilisation', 240, NULL, 'TraN', 28667),
(84942, 'PF14567', NULL, 'SMI1-KNR4 cell-wall', 142, NULL, 'SUKH_5', 28668),
(84943, 'PF16385', NULL, 'Domain of unknown function', 98, NULL, 'DUF4994', 28669),
(84944, 'PF08977', NULL, 'Bypass of Forespore C, N terminal', 51, NULL, 'BOFC_N', 28670),
(84945, 'PF14429', NULL, 'C2 domain in Dock180 and Zizimin proteins', 185, NULL, 'DOCK-C2', 28671),
(84946, 'PF06320', NULL, 'GCN5-like protein 1 (GCN5L1)', 114, NULL, 'GCN5L1', 28672),
(84947, 'PF12118', NULL, 'SprA-related family', 335, NULL, 'SprA-related', 28673),
(84948, 'PF15132', NULL, 'Domain of unknown function (DUF4568)', 175, NULL, 'DUF4568', 28674),
(84949, 'PF12574', NULL, '120 KDa Rickettsia surface antigen', 238, NULL, '120_Rick_ant', 28675),
(84950, 'PF02278', NULL, 'Polysaccharide lyase family 8, super-sandwich domain', 254, NULL, 'Lyase_8', 28676),
(84951, 'PF05539', NULL, 'Pneumovirinae attachment membrane glycoprotein G', 408, NULL, 'Pneumo_att_G', 28677),
(84952, 'PF16168', NULL, 'Adhesin of bacterial autotransporter system, probable stalk', 63, NULL, 'AIDA', 28678),
(84953, 'PF18158', NULL, 'Adaptive response protein AidB N-terminal domain', 156, NULL, 'AidB_N', 28679),
(84954, 'PF07984', NULL, 'Nucleotidyltransferase', 321, NULL, 'NTP_transf_7', 28680),
(84955, 'PF19089', NULL, 'Membrane bound beta barrel domain (DUF5777)', 246, NULL, 'DUF5777', 28681),
(84956, 'PF02790', NULL, 'Cytochrome C oxidase subunit II, transmembrane domain', 89, NULL, 'COX2_TM', 28682),
(84957, 'PF02924', NULL, 'Bacteriophage lambda head decoration protein D', 116, NULL, 'HDPD', 28683),
(84958, 'PF06777', NULL, 'Helical and beta-bridge domain', 190, NULL, 'HBB', 28684),
(84959, 'PF16051', NULL, 'Domain of unknown function (DUF4797)', 44, NULL, 'DUF4797', 28685),
(84960, 'PF19562', NULL, 'Family of unknown function (DUF6084)', 213, NULL, 'DUF6084', 28686),
(84961, 'PF14282', NULL, 'FlxA-like protein', 101, NULL, 'FlxA', 28687),
(84962, 'PF08446', NULL, 'PAS fold', 107, NULL, 'PAS_2', 28688),
(84963, 'PF14794', NULL, 'Domain of unknown function (DUF4479)', 71, NULL, 'DUF4479', 28689),
(84964, 'PF07022', NULL, 'Bacteriophage CI repressor helix-turn-helix domain', 65, NULL, 'Phage_CI_repr', 28690),
(84965, 'PF03153', NULL, 'Transcription factor IIA, alpha/beta subunit', 415, NULL, 'TFIIA', 28691),
(84966, 'PF05172', NULL, 'Nup53/35/40-type RNA recognition motif', 101, NULL, 'Nup35_RRM', 28692),
(84967, 'PF15444', NULL, 'Transmembrane protein 247', 206, NULL, 'TMEM247', 28693),
(84968, 'PF12620', NULL, 'Protein of unknown function (DUF3778)', 52, NULL, 'DUF3778', 28694),
(84969, 'PF10455', NULL, 'Bin/amphiphysin/Rvs domain for vesicular trafficking', 289, NULL, 'BAR_2', 28695),
(84970, 'PF01304', NULL, 'Gas vesicles protein GVPc repeated domain', 33, NULL, 'Gas_vesicle_C', 28696),
(84971, 'PF01593', NULL, 'Flavin containing amine oxidoreductase', 452, NULL, 'Amino_oxidase', 28697),
(84972, 'PF04592', NULL, 'Selenoprotein P, N terminal region', 234, NULL, 'SelP_N', 28698),
(84973, 'PF19291', NULL, 'Domain of unknown function (DUF5911)', 212, NULL, 'DUF5911', 28699),
(84974, 'PF01891', NULL, 'Cobalt uptake substrate-specific transmembrane region', 206, NULL, 'CbiM', 28700),
(84975, 'PF09532', NULL, 'FDF domain', 104, NULL, 'FDF', 28701),
(84976, 'PF06750', NULL, 'Bacterial Peptidase A24 N-terminal domain', 84, NULL, 'DiS_P_DiS', 28702),
(84977, 'PF18044', NULL, 'CCCH-type zinc finger', 22, NULL, 'zf-CCCH_4', 28703),
(84978, 'PF01122', NULL, 'Eukaryotic cobalamin-binding protein', 321, NULL, 'Cobalamin_bind', 28704),
(84979, 'PF18304', NULL, 'SabA N-terminal extracellular adhesion domain', 299, NULL, 'SabA_adhesion', 28705),
(84980, 'PF16617', NULL, 'Intersectin and clathrin adaptor AP2 binding region', 115, NULL, 'INTAP', 28706);
INSERT INTO "PUBLIC"."MODEL" VALUES
(84981, 'PF16749', NULL, 'Arterivirus nonstructural protein 7 alpha', 130, NULL, 'Arteri_nsp7a', 28707),
(84982, 'PF14661', NULL, 'HAUS augmin-like complex subunit 6 N-terminus', 233, NULL, 'HAUS6_N', 28708),
(84983, 'PF10696', NULL, 'Protein of unknown function (DUF2501)', 78, NULL, 'DUF2501', 28709),
(84984, 'PF04285', NULL, 'Protein of unknown function (DUF444)', 421, NULL, 'DUF444', 28710),
(84985, 'PF01747', NULL, 'ATP-sulfurylase', 211, NULL, 'ATP-sulfurylase', 28711),
(84986, 'PF07301', NULL, 'Protein of unknown function (DUF1453)', 145, NULL, 'DUF1453', 28712),
(84987, 'PF10680', NULL, 'RNA polymerase I specific transcription initiation factor', 69, NULL, 'RRN9', 28713),
(84988, 'PF01620', NULL, 'Ribonuclease (pollen allergen)', 155, NULL, 'Pollen_allerg_2', 28714),
(84989, 'PF09732', NULL, 'Cactus-binding C-terminus of cactin protein', 125, NULL, 'CactinC_cactus', 28715),
(84990, 'PF20115', NULL, 'Family of unknown function (DUF6505)', 159, NULL, 'DUF6505', 28716),
(84991, 'PF03203', NULL, 'MerC mercury resistance protein', 117, NULL, 'MerC', 28717),
(84992, 'PF19305', NULL, 'MmgE/PrpD C-terminal domain', 173, NULL, 'MmgE_PrpD_C', 28718),
(84993, 'PF19528', NULL, 'Family of unknown function (DUF6056)', 436, NULL, 'DUF6056', 28719),
(84994, 'PF05332', NULL, 'Protein of unknown function (DUF743)', 113, NULL, 'DUF743', 28720),
(84995, 'PF11077', NULL, 'Protein of unknown function (DUF2616)', 173, NULL, 'DUF2616', 28721),
(84996, 'PF13510', NULL, '2Fe-2S iron-sulfur cluster binding domain', 82, NULL, 'Fer2_4', 28722),
(84997, 'PF03333', NULL, 'Adhesin biosynthesis transcription regulatory protein', 91, NULL, 'PapB', 28723),
(84998, 'PF12329', NULL, 'TATA element modulatory factor 1 DNA binding', 74, NULL, 'TMF_DNA_bd', 28724),
(84999, 'PF01733', NULL, 'Nucleoside transporter', 309, NULL, 'Nucleoside_tran', 28725),
(85000, 'PF10503', NULL, 'Esterase PHB depolymerase', 219, NULL, 'Esterase_PHB', 28726),
(85001, 'PF04351', NULL, 'Pilus assembly protein, PilP', 147, NULL, 'PilP', 28727),
(85002, 'PF13002', NULL, 'Arrestin_N terminal like', 193, NULL, 'LDB19', 28728),
(85003, 'PF07755', NULL, 'Domain of unknown function (DUF1611_C) P-loop domain', 200, NULL, 'DUF1611', 28729),
(85004, 'PF02137', NULL, 'Adenosine-deaminase (editase) domain', 334, NULL, 'A_deamin', 28730),
(85005, 'PF16039', NULL, 'Domain of unknown function (DUF4791)', 164, NULL, 'DUF4791', 28731),
(85006, 'PF15401', NULL, 'Tryptophan-ring motif of head of Trimeric autotransporter adhesin', 65, NULL, 'TAA-Trp-ring', 28732),
(85007, 'PF15925', NULL, 'SOSS complex subunit C', 101, NULL, 'SOSSC', 28733),
(85008, 'PF09577', NULL, 'Sporulation protein YpjB (SpoYpjB)', 230, NULL, 'Spore_YpjB', 28734),
(85009, 'PF10332', NULL, 'Protein of unknown function (DUF2418)', 96, NULL, 'DUF2418', 28735),
(85010, 'PF09251', NULL, 'Salmonella phage P22 tail-spike', 550, NULL, 'PhageP22-tail', 28736),
(85011, 'PF14007', NULL, 'YtpI-like protein', 87, NULL, 'YtpI', 28737),
(85012, 'PF01614', NULL, 'Bacterial transcriptional regulator', 128, NULL, 'IclR', 28738),
(85013, 'PF15818', NULL, 'Coiled-coil domain-containing protein 73 family', 1050, NULL, 'CCDC73', 28739),
(85014, 'PF16479', NULL, 'Domain of unknown function (DUF5056)', 93, NULL, 'DUF5056', 28740),
(85015, 'PF00221', NULL, 'Aromatic amino acid lyase', 463, NULL, 'Lyase_aromatic', 28741),
(85016, 'PF15140', NULL, 'Domain of unknown function (DUF4573)', 176, NULL, 'DUF4573', 28742),
(85017, 'PF09932', NULL, 'Uncharacterized conserved protein (DUF2164)', 74, NULL, 'DUF2164', 28743),
(85018, 'PF07787', NULL, 'Transmembrane protein 43', 250, NULL, 'TMEM43', 28744),
(85019, 'PF10184', NULL, 'Uncharacterized conserved protein (DUF2358)', 113, NULL, 'DUF2358', 28745),
(85020, 'PF16853', NULL, 'Cell division control protein 13 N-terminus', 209, NULL, 'CDC13_N', 28746),
(85021, 'PF08065', NULL, 'KI67R (NUC007) repeat', 112, NULL, 'KI67R', 28747),
(85022, 'PF04735', NULL, 'Baculovirus DNA helicase', 1217, NULL, 'Baculo_helicase', 28748),
(85023, 'PF03879', NULL, 'Cgr1 family', 107, NULL, 'Cgr1', 28749);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(85024, 'PF18760', NULL, 'ADP-Ribosyltransferase in polyvalent proteins', 140, NULL, 'ART-PolyVal', 28750),
(85025, 'PF10525', NULL, 'Engrailed homeobox C-terminal signature domain', 31, NULL, 'Engrail_1_C_sig', 28751),
(85026, 'PF12778', NULL, 'PXPV repeat (3 copies)', 22, NULL, 'PXPV', 28752),
(85027, 'PF13566', NULL, 'Domain of unknown function (DUF4130', 146, NULL, 'DUF4130', 28753),
(85028, 'PF08842', NULL, 'Fimbrillin-A associated anchor proteins Mfa1 and Mfa2', 281, NULL, 'Mfa2', 28754),
(85029, 'PF07855', NULL, 'Autophagy-related protein 101', 153, NULL, 'ATG101', 28755),
(85030, 'PF11973', NULL, 'NQRA C-terminal domain', 51, NULL, 'NQRA_SLBB', 28756),
(85031, 'PF12928', NULL, 'tRNA-splicing endonuclease subunit sen54 N-term', 70, NULL, 'tRNA_int_end_N2', 28757),
(85032, 'PF15336', NULL, 'Autism susceptibility gene 2 protein', 217, NULL, 'Auts2', 28758),
(85033, 'PF14569', NULL, 'Zinc-binding RING-finger', 78, NULL, 'zf-UDP', 28759),
(85034, 'PF19356', NULL, 'Domain of unknown function (DUF5933)', 144, NULL, 'DUF5933', 28760),
(85035, 'PF18073', NULL, 'Rubredoxin metal binding domain', 28, NULL, 'Rubredoxin_2', 28761),
(85036, 'PF16453', NULL, 'PH domain', 135, NULL, 'IQ_SEC7_PH', 28762),
(85037, 'PF00039', NULL, 'Fibronectin type I domain', 40, NULL, 'fn1', 28763),
(85038, 'PF13198', NULL, 'Protein of unknown function (DUF4014)', 72, NULL, 'DUF4014', 28764),
(85039, 'PF13858', NULL, 'Protein of unknown function (DUF4199)', 167, NULL, 'DUF4199', 28765),
(85040, 'PF18810', NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease2', 120, NULL, 'PBECR2', 28766),
(85041, 'PF09483', NULL, 'Type III secretion protein (HpaP)', 90, NULL, 'HpaP', 28767),
(85042, 'PF11589', NULL, 'Domain of unknown function (DUF3244)', 101, NULL, 'DUF3244', 28768),
(85043, 'PF04823', NULL, 'Herpesvirus UL49 tegument protein', 96, NULL, 'Herpes_UL49_2', 28769),
(85044, 'PF06244', NULL, 'Coiled-coil domain-containing protein 124 /Oxs1', 82, NULL, 'Ccdc124', 28770),
(85045, 'PF16531', NULL, 'Centriolar protein SAS N-terminal', 97, NULL, 'SAS-6_N', 28771),
(85046, 'PF12599', NULL, 'Protein of unknown function (DUF3768)', 83, NULL, 'DUF3768', 28772),
(85047, 'PF10742', NULL, 'Protein of unknown function (DUF2555)', 55, NULL, 'DUF2555', 28773),
(85048, 'PF13148', NULL, 'Protein of unknown function (DUF3987)', 366, NULL, 'DUF3987', 28774),
(85049, 'PF11313', NULL, 'Protein of unknown function (DUF3116)', 84, NULL, 'DUF3116', 28775),
(85050, 'PF18507', NULL, 'WW domain', 27, NULL, 'WW_1', 28776),
(85051, 'PF10094', NULL, 'Uncharacterized protein conserved in bacteria (DUF2332)', 335, NULL, 'DUF2332', 28777),
(85052, 'PF12454', NULL, 'GPI-anchored cell wall organization protein', 40, NULL, 'Ecm33', 28778),
(85053, 'PF16549', NULL, 'Type II secretion system (T2SS) pilotin, S protein', 104, NULL, 'T2SSS_2', 28779),
(85054, 'PF03052', NULL, 'Adenoviral protein L1 52/55-kDa', 201, NULL, 'Adeno_52K', 28780),
(85055, 'PF19613', NULL, 'Family of unknown function (DUF6118)', 245, NULL, 'DUF6118', 28781),
(85056, 'PF03053', NULL, 'ORF3b coronavirus protein', 226, NULL, 'Corona_NS3b', 28782),
(85057, 'PF05430', NULL, 'S-adenosyl-L-methionine-dependent methyltransferase', 124, NULL, 'Methyltransf_30', 28783),
(85058, 'PF06243', NULL, 'Phenylacetic acid degradation B', 89, NULL, 'PaaB', 28784),
(85059, 'PF00723', NULL, 'Glycosyl hydrolases family 15', 448, NULL, 'Glyco_hydro_15', 28785),
(85060, 'PF20076', NULL, 'Domain of unknown function (DUF6472)', 57, NULL, 'DUF6472', 28786),
(85061, 'PF00829', NULL, 'Ribosomal prokaryotic L21 protein', 100, NULL, 'Ribosomal_L21p', 28787),
(85062, 'PF19380', NULL, 'Family of unknown function (DUF5955)', 88, NULL, 'DUF5955', 28788),
(85063, 'PF03576', NULL, 'Peptidase family S58', 305, NULL, 'Peptidase_S58', 28789),
(85064, 'PF13894', NULL, 'C2H2-type zinc finger', 24, NULL, 'zf-C2H2_4', 28790),
(85065, 'PF14717', NULL, 'Domain of unknown function (DUF4465)', 181, NULL, 'DUF4465', 28791),
(85066, 'PF04194', NULL, 'Programmed cell death protein 2, C-terminal putative domain', 112, NULL, 'PDCD2_C', 28792);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(85067, 'PF08991', NULL, 'Mature-T-Cell Proliferation I type', 62, NULL, 'MTCP1', 28793),
(85068, 'PF17472', NULL, 'Family of unknown function (DUF5425)', 76, NULL, 'DUF5425', 28794),
(85069, 'PF01512', NULL, 'Respiratory-chain NADH dehydrogenase 51 Kd subunit', 152, NULL, 'Complex1_51K', 28795),
(85070, 'PF08910', NULL, 'Aida N-terminus', 103, NULL, 'Aida_N', 28796),
(85071, 'PF01331', NULL, 'mRNA capping enzyme, catalytic domain', 195, NULL, 'mRNA_cap_enzyme', 28797),
(85072, 'PF01314', NULL, 'Aldehyde ferredoxin oxidoreductase, domains 2 & 3', 382, NULL, 'AFOR_C', 28798),
(85073, 'PF02838', NULL, 'Glycosyl hydrolase family 20, domain 2', 124, NULL, 'Glyco_hydro_20b', 28799),
(85074, 'PF12170', NULL, 'DNA polymerase III tau subunit V interacting with alpha', 142, NULL, 'DNA_pol3_tau_5', 28800),
(85075, 'PF09258', NULL, 'Glycosyl transferase family 64 domain', 245, NULL, 'Glyco_transf_64', 28801),
(85076, 'PF16061', NULL, 'Domain of unknown function (DUF4803)', 255, NULL, 'DUF4803', 28802),
(85077, 'PF01217', NULL, 'Clathrin adaptor complex small chain', 142, NULL, 'Clat_adaptor_s', 28803),
(85078, 'PF04235', NULL, 'Protein of unknown function (DUF418)', 163, NULL, 'DUF418', 28804),
(85079, 'PF14179', NULL, 'YppG-like protein', 105, NULL, 'YppG', 28805),
(85080, 'PF04083', NULL, 'Partial alpha/beta-hydrolase lipase region', 64, NULL, 'Abhydro_lipase', 28806),
(85081, 'PF11536', NULL, 'Protein of unknown function (DUF3226)', 237, NULL, 'DUF3226', 28807),
(85082, 'PF14022', NULL, 'Protein of unknown function (DUF4238)', 272, NULL, 'DUF4238', 28808),
(85083, 'PF01567', NULL, 'Hantavirus glycoprotein G1', 523, NULL, 'Hanta_G1', 28809),
(85084, 'PF06235', NULL, 'NADH dehydrogenase subunit 4L (NAD4L)', 86, NULL, 'NAD4L', 28810),
(85085, 'PF08902', NULL, 'Domain of unknown function (DUF1848)', 266, NULL, 'DUF1848', 28811),
(85086, 'PF04490', NULL, 'Poxvirus T4 protein, C terminus', 146, NULL, 'Pox_T4_C', 28812),
(85087, 'PF12407', NULL, 'Homeobox protein', 24, NULL, 'Abdominal-A', 28813),
(85088, 'PF06441', NULL, 'Epoxide hydrolase N terminus', 108, NULL, 'EHN', 28814),
(85089, 'PF00806', NULL, 'Pumilio-family RNA binding repeat', 35, NULL, 'PUF', 28815),
(85090, 'PF01989', NULL, 'Aconitase X swivel domain', 80, NULL, 'DUF126', 28816),
(85091, 'PF15877', NULL, 'Transmembrane protein family 232', 452, NULL, 'TMEM232', 28817),
(85092, 'PF09630', NULL, 'Domain of unknown function (DUF2024)', 81, NULL, 'DUF2024', 28818),
(85093, 'PF16040', NULL, 'Domain of unknown function (DUF4792)', 71, NULL, 'DUF4792', 28819),
(85094, 'PF07309', NULL, 'Flagellar protein FlaF', 113, NULL, 'FlaF', 28820),
(85095, 'PF05303', NULL, 'Protein of unknown function (DUF727)', 105, NULL, 'DUF727', 28821),
(85096, 'PF10548', NULL, 'P22AR C-terminal domain', 73, NULL, 'P22_AR_C', 28822),
(85097, 'PF18701', NULL, 'Family of unknown function (DUF5641)', 94, NULL, 'DUF5641', 28823),
(85098, 'PF17091', NULL, 'Inovirus G7P protein', 38, NULL, 'Inovirus_G7P_1', 28824),
(85099, 'PF08641', NULL, 'Kinetochore protein Mis14 like', 134, NULL, 'Mis14', 28825),
(85100, 'PF19835', NULL, 'Putative endonuclease segE, GIY-YIG domain', 119, NULL, 'SegE_GIY-YIG', 28826),
(85101, 'PF06856', NULL, 'Protein of unknown function (DUF1251)', 121, NULL, 'DUF1251', 28827),
(85102, 'PF10477', NULL, 'Nucleocytoplasmic shuttling protein for mRNA cap-binding EIF4E', 659, NULL, 'EIF4E-T', 28828),
(85103, 'PF18520', NULL, 'Spindle pole body component 110 C-terminal domain', 52, NULL, 'Spc110_C', 28829),
(85104, 'PF16648', NULL, 'Unstructured region on Calpain-3', 67, NULL, 'Calpain_u2', 28830),
(85105, 'PF13329', NULL, 'Autophagy-related protein 2 CAD motif', 154, NULL, 'ATG2_CAD', 28831),
(85106, 'PF07463', NULL, 'NUMOD4 motif', 50, NULL, 'NUMOD4', 28832),
(85107, 'PF07758', NULL, 'Protein of unknown function (DUF1614)', 171, NULL, 'DUF1614', 28833),
(85108, 'PF08268', NULL, 'F-box associated domain', 128, NULL, 'FBA_3', 28834),
(85109, 'PF02355', NULL, 'Protein export membrane protein', 189, NULL, 'SecD_SecF', 28835),
(85110, 'PF01293', NULL, 'Phosphoenolpyruvate carboxykinase', 465, NULL, 'PEPCK_ATP', 28836);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(85111, 'PF04473', NULL, 'Transglutaminase-like domain', 154, NULL, 'DUF553', 28837),
(85112, 'PF04898', NULL, 'Glutamate synthase central domain', 279, NULL, 'Glu_syn_central', 28838),
(85113, 'PF19315', NULL, 'Mesaconyl-CoA hydratase', 353, NULL, 'MC_hydratase', 28839),
(85114, 'PF08051', NULL, 'Erythromycin resistance leader peptide', 15, NULL, 'Ery_res_leader1', 28840),
(85115, 'PF16911', NULL, 'Phthiocerol/phthiodiolone dimycocerosyl transferase C-terminus', 120, NULL, 'PapA_C', 28841),
(85116, 'PF09063', NULL, 'Phage PP7 coat protein', 127, NULL, 'Phage_coat', 28842),
(85117, 'PF11878', NULL, 'Domain of unknown function (DUF3398)', 112, NULL, 'DUF3398', 28843),
(85118, 'PF00146', NULL, 'NADH dehydrogenase', 299, NULL, 'NADHdh', 28844),
(85119, 'PF04634', NULL, 'Protein of unknown function, DUF600', 146, NULL, 'DUF600', 28845),
(85120, 'PF12900', NULL, 'Pyridoxamine 5''-phosphate oxidase', 142, NULL, 'Pyridox_ox_2', 28846),
(85121, 'PF13724', NULL, 'DNA-binding domain', 47, NULL, 'DNA_binding_2', 28847),
(85122, 'PF06061', NULL, 'Baculoviridae ME53', 330, NULL, 'Baculo_ME53', 28848),
(85123, 'PF16683', NULL, 'Transglutaminase elicitor', 361, NULL, 'TGase_elicitor', 28849),
(85124, 'PF00235', NULL, 'Profilin', 127, NULL, 'Profilin', 28850),
(85125, 'PF18381', NULL, 'YcaO cyclodehydratase C-terminal domain', 172, NULL, 'YcaO_C', 28851),
(85126, 'PF13228', NULL, 'Domain of unknown function (DUF4037)', 101, NULL, 'DUF4037', 28852),
(85127, 'PF03145', NULL, 'Seven in absentia protein family', 200, NULL, 'Sina', 28853),
(85128, 'PF19846', NULL, 'Domain of unknown function (DUF6321)', 72, NULL, 'DUF6321', 28854),
(85129, 'PF13868', NULL, 'Trichohyalin-plectin-homology domain', 352, NULL, 'TPH', 28855),
(85130, 'PF01980', NULL, 'tRNA-methyltransferase O', 119, NULL, 'TrmO', 28856),
(85131, 'PF00022', NULL, 'Actin', 385, NULL, 'Actin', 28857),
(85132, 'PF04789', NULL, 'Protein of unknown function (DUF621)', 305, NULL, 'DUF621', 28858),
(85133, 'PF11751', NULL, 'Type IX secretion system membrane protein PorP/SprF', 273, NULL, 'PorP_SprF', 28859),
(85134, 'PF05091', NULL, 'Eukaryotic translation initiation factor 3 subunit 7 (eIF-3)', 526, NULL, 'eIF-3_zeta', 28860),
(85135, 'PF15640', NULL, 'Metallopeptidase toxin 4', 132, NULL, 'Tox-MPTase4', 28861),
(85136, 'PF09097', NULL, 'Baseplate structural protein, domain 1', 196, NULL, 'Phage-tail_1', 28862),
(85137, 'PF13920', NULL, 'Zinc finger, C3HC4 type (RING finger)', 50, NULL, 'zf-C3HC4_3', 28863),
(85138, 'PF11869', NULL, 'Protein of unknown function (DUF3389)', 75, NULL, 'DUF3389', 28864),
(85139, 'PF12975', NULL, 'Domain of unknown function (DUF3859)', 133, NULL, 'DUF3859', 28865),
(85140, 'PF19825', NULL, 'Domain of unknown function (DUF6306)', 129, NULL, 'DUF6306', 28866),
(85141, 'PF19236', NULL, 'ADAM cysteine-rich domain', 115, NULL, 'ADAM_CR_3', 28867),
(85142, 'PF14901', NULL, 'Cleavage inducing molecular chaperone', 93, NULL, 'Jiv90', 28868),
(85143, 'PF08351', NULL, 'Domain of unknown function (DUF1726)', 93, NULL, 'DUF1726', 28869),
(85144, 'PF07857', NULL, 'Transmembrane family, TMEM144 of transporters', 336, NULL, 'TMEM144', 28870),
(85145, 'PF08488', NULL, 'Wall-associated kinase', 103, NULL, 'WAK', 28871),
(85146, 'PF07150', NULL, 'Protein of unknown function (DUF1390)', 226, NULL, 'DUF1390', 28872),
(85147, 'PF00066', NULL, 'LNR domain', 36, NULL, 'Notch', 28873),
(85148, 'PF10963', NULL, 'Phage tail assembly chaperone', 82, NULL, 'Phage_TAC_10', 28874),
(85149, 'PF18574', NULL, 'C2HC Zing finger domain', 33, NULL, 'zf_C2HC_14', 28875),
(85150, 'PF03003', NULL, 'Pox virus entry-fusion-complex G9/A16', 128, NULL, 'Pox_G9-A16', 28876),
(85151, 'PF12766', NULL, 'Pyridoxamine 5''-phosphate oxidase', 100, NULL, 'Pyridox_oxase_2', 28877),
(85152, 'PF06252', NULL, 'Protein of unknown function (DUF1018)', 118, NULL, 'DUF1018', 28878),
(85153, 'PF13281', NULL, 'MAP3K TRAFs-binding domain', 368, NULL, 'MAP3K_TRAF_bd', 28879),
(85154, 'PF17042', NULL, 'Nucleotide-binding C-terminal domain', 170, NULL, 'NBD_C', 28880),
(85155, 'PF10815', NULL, 'ComZ', 55, NULL, 'ComZ', 28881);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(85156, 'PF07745', NULL, 'Glycosyl hydrolase family 53', 340, NULL, 'Glyco_hydro_53', 28882),
(85157, 'PF11384', NULL, 'Protein of unknown function (DUF3188)', 50, NULL, 'DUF3188', 28883),
(85158, 'PF06717', NULL, 'Protein of unknown function (DUF1202)', 307, NULL, 'DUF1202', 28884),
(85159, 'PF01872', NULL, 'RibD C-terminal domain', 200, NULL, 'RibD_C', 28885),
(85160, 'PF14619', NULL, 'Snf2-ATP coupling, chromatin remodelling complex', 73, NULL, 'SnAC', 28886),
(85161, 'PF18305', NULL, '3'' to 5'' exonuclease C-terminal domain', 87, NULL, 'DNA_pol_A_exoN', 28887),
(85162, 'PF12322', NULL, 'T4 bacteriophage base plate protein', 205, NULL, 'T4_baseplate', 28888),
(85163, 'PF00664', NULL, 'ABC transporter transmembrane region', 274, NULL, 'ABC_membrane', 28889),
(85164, 'PF00960', NULL, 'Neocarzinostatin family', 110, NULL, 'Neocarzinostat', 28890),
(85165, 'PF18221', NULL, 'Mutator 2 Fork head associated domain', 94, NULL, 'MU2_FHA', 28891),
(85166, 'PF04281', NULL, 'Mitochondrial import receptor subunit Tom22', 139, NULL, 'Tom22', 28892),
(85167, 'PF11540', NULL, 'Cytoplasmic dynein 1 intermediate chain 2', 31, NULL, 'Dynein_IC2', 28893),
(85168, 'PF17761', NULL, 'DUF1016 N-terminal domain', 137, NULL, 'DUF1016_N', 28894),
(85169, 'PF01265', NULL, 'Cytochrome c/c1 heme lyase', 298, NULL, 'Cyto_heme_lyase', 28895),
(85170, 'PF02669', NULL, 'K+-transporting ATPase, c chain', 182, NULL, 'KdpC', 28896),
(85171, 'PF06113', NULL, 'Brain and reproductive organ-expressed protein (BRE)', 320, NULL, 'BRE', 28897),
(85172, 'PF02073', NULL, 'Thermophilic metalloprotease (M29)', 406, NULL, 'Peptidase_M29', 28898),
(85173, 'PF02163', NULL, 'Peptidase family M50', 273, NULL, 'Peptidase_M50', 28899),
(85174, 'PF14675', NULL, 'FANCI solenoid 1', 222, NULL, 'FANCI_S1', 28900),
(85175, 'PF15869', NULL, 'TolB-like 6-blade propeller-like', 295, NULL, 'TolB_like', 28901),
(85176, 'PF16628', NULL, 'Unstructured region on maltose acetyltransferase', 185, NULL, 'Mac_assoc', 28902),
(85177, 'PF06646', NULL, 'High affinity transport system protein p37', 331, NULL, 'Mycoplasma_p37', 28903),
(85178, 'PF03711', NULL, 'Orn/Lys/Arg decarboxylase, C-terminal domain', 132, NULL, 'OKR_DC_1_C', 28904),
(85179, 'PF08014', NULL, 'Domain of unknown function (DUF1704)', 365, NULL, 'DUF1704', 28905),
(85180, 'PF02189', NULL, 'Immunoreceptor tyrosine-based activation motif', 20, NULL, 'ITAM', 28906),
(85181, 'PF06195', NULL, 'Protein of unknown function (DUF996)', 138, NULL, 'DUF996', 28907),
(85182, 'PF01513', NULL, 'ATP-NAD kinase N-terminal domain', 135, NULL, 'NAD_kinase', 28908),
(85183, 'PF12952', NULL, 'Domain of unknown function (DUF3841)', 180, NULL, 'DUF3841', 28909),
(85184, 'PF05693', NULL, 'Glycogen synthase', 638, NULL, 'Glycogen_syn', 28910),
(85185, 'PF07574', NULL, 'Nse1 non-SMC component of SMC5-6 complex', 194, NULL, 'SMC_Nse1', 28911),
(85186, 'PF11820', NULL, 'Protein of unknown function (DUF3339)', 67, NULL, 'DUF3339', 28912),
(85187, 'PF01021', NULL, 'Ty transposon capsid protein', 384, NULL, 'TYA', 28913),
(85188, 'PF07996', NULL, 'Type IV secretion system proteins', 197, NULL, 'T4SS', 28914),
(85189, 'PF04766', NULL, 'Nucleopolyhedrovirus p26 protein', 234, NULL, 'Baculo_p26', 28915),
(85190, 'PF10243', NULL, 'Microtubule-binding protein MIP-T3 CH-like domain', 113, NULL, 'MIP-T3', 28916),
(85191, 'PF19799', NULL, 'Family of unknown function (DUF6282)', 196, NULL, 'DUF6282', 28917),
(85192, 'PF08954', NULL, 'Trimerisation motif', 52, NULL, 'Trimer_CC', 28918),
(85193, 'PF05744', NULL, 'Benyvirus P25/P26 protein', 225, NULL, 'Benyvirus_P25', 28919),
(85194, 'PF08844', NULL, 'Domain of unknown function (DUF1815)', 101, NULL, 'DUF1815', 28920),
(85195, 'PF09137', NULL, 'Glucodextranase, domain N', 263, NULL, 'Glucodextran_N', 28921),
(85196, 'PF16544', NULL, 'Homodimerisation region of STAR domain protein', 53, NULL, 'STAR_dimer', 28922),
(85197, 'PF02130', NULL, 'Endoribonuclease YbeY', 130, NULL, 'YbeY', 28923),
(85198, 'PF03488', NULL, 'Nematode insulin-related peptide beta type', 48, NULL, 'Ins_beta', 28924);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(85199, 'PF08325', NULL, 'WLM domain', 191, NULL, 'WLM', 28925),
(85200, 'PF11560', NULL, 'Lamina-associated polypeptide 2 alpha', 234, NULL, 'LAP2alpha', 28926),
(85201, 'PF17409', NULL, 'MoaF C-terminal domain', 113, NULL, 'MoaF_C', 28927),
(85202, 'PF17265', NULL, 'Family of unknown function (DUF5331)', 113, NULL, 'DUF5331', 28928),
(85203, 'PF15568', NULL, 'Immunity protein 39', 129, NULL, 'Imm39', 28929),
(85204, 'PF18204', NULL, 'PGF-CTERM motif', 23, NULL, 'PGF-CTERM', 28930),
(85205, 'PF02053', NULL, 'Gene 66 (IR5) protein', 209, NULL, 'Gene66', 28931),
(85206, 'PF17063', NULL, 'Phenol-soluble modulin alpha peptide family', 21, NULL, 'PSMalpha', 28932),
(85207, 'PF05359', NULL, 'Domain of Unknown Function (DUF748)', 152, NULL, 'DUF748', 28933),
(85208, 'PF09305', NULL, 'TACI, cysteine-rich domain', 39, NULL, 'TACI-CRD2', 28934),
(85209, 'PF09428', NULL, 'Fungal protein of unknown function (DUF2011)', 89, NULL, 'DUF2011', 28935),
(85210, 'PF06971', NULL, 'Putative DNA-binding protein N-terminus', 49, NULL, 'Put_DNA-bind_N', 28936),
(85211, 'PF15932', NULL, 'Domain of unknown function (DUF4748)', 52, NULL, 'DUF4748', 28937),
(85212, 'PF05524', NULL, 'PEP-utilising enzyme, N-terminal', 115, NULL, 'PEP-utilisers_N', 28938),
(85213, 'PF08828', NULL, 'Doublesex dimerisation domain', 60, NULL, 'DSX_dimer', 28939),
(85214, 'PF16743', NULL, 'Periplasmic lysozyme inhibitor of I-type lysozyme', 123, NULL, 'PliI', 28940),
(85215, 'PF18447', NULL, 'Fibronectin type III domain', 97, NULL, 'FN3_7', 28941),
(85216, 'PF05207', NULL, 'CSL zinc finger', 59, NULL, 'zf-CSL', 28942),
(85217, 'PF11426', NULL, 'Tn7 transposition regulator TnsC', 47, NULL, 'Tn7_TnsC_Int', 28943),
(85218, 'PF04202', NULL, 'Foot protein 3', 71, NULL, 'Mfp-3', 28944),
(85219, 'PF07747', NULL, 'MTH865-like family', 70, NULL, 'MTH865', 28945),
(85220, 'PF04993', NULL, 'TfoX N-terminal domain', 91, NULL, 'TfoX_N', 28946),
(85221, 'PF10361', NULL, 'Protein of unknown function (DUF2434)', 294, NULL, 'DUF2434', 28947),
(85222, 'PF15776', NULL, 'Proline-rich protein family 22', 366, NULL, 'PRR22', 28948),
(85223, 'PF12098', NULL, 'Protein of unknown function (DUF3574)', 103, NULL, 'DUF3574', 28949),
(85224, 'PF12984', NULL, 'Domain of unknown function, B. Theta Gene description (DUF3868)', 109, NULL, 'DUF3868', 28950),
(85225, 'PF10165', NULL, 'Guanine nucleotide exchange factor synembryn', 457, NULL, 'Ric8', 28951),
(85226, 'PF14163', NULL, 'Super-infection exclusion protein B', 147, NULL, 'SieB', 28952),
(85227, 'PF05093', NULL, 'Cytokine-induced anti-apoptosis inhibitor 1, Fe-S biogenesis', 99, NULL, 'CIAPIN1', 28953),
(85228, 'PF19105', NULL, 'Family of unknown function (DUF5792)', 159, NULL, 'DUF5792', 28954),
(85229, 'PF03649', NULL, 'Uncharacterised protein family (UPF0014)', 242, NULL, 'UPF0014', 28955),
(85230, 'PF17704', NULL, 'Family of unknown function (DUF5550)', 123, NULL, 'DUF5550', 28956),
(85231, 'PF17952', NULL, 'Cas6 N-terminal domain', 114, NULL, 'Cas6_N', 28957),
(85232, 'PF00596', NULL, 'Class II Aldolase and Adducin N-terminal domain', 186, NULL, 'Aldolase_II', 28958),
(85233, 'PF09768', NULL, 'Peptidase M76 family', 171, NULL, 'Peptidase_M76', 28959),
(85234, 'PF02893', NULL, 'GRAM domain', 114, NULL, 'GRAM', 28960),
(85235, 'PF11082', NULL, 'Protein of unknown function (DUF2880)', 79, NULL, 'DUF2880', 28961),
(85236, 'PF02825', NULL, 'WWE domain', 67, NULL, 'WWE', 28962),
(85237, 'PF06682', NULL, 'SOCE-associated regulatory factor of calcium homoeostasis', 340, NULL, 'SARAF', 28963),
(85238, 'PF06098', NULL, 'Radial spoke protein 3', 286, NULL, 'Radial_spoke_3', 28964),
(85239, 'PF02503', NULL, 'Polyphosphate kinase middle domain', 202, NULL, 'PP_kinase', 28965),
(85240, 'PF16889', NULL, 'Heparinase II/III N-terminus', 340, NULL, 'Hepar_II_III_N', 28966),
(85241, 'PF08878', NULL, 'Cap4 SAVED domain', 231, NULL, 'Cap4_SAVED', 28967),
(85242, 'PF16806', NULL, 'Antiactivator protein ExsD', 234, NULL, 'ExsD', 28968),
(85243, 'PF11176', NULL, 'Translation machinery-associated protein 16', 146, NULL, 'Tma16', 28969);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(85244, 'PF18005', NULL, 'eIF3 subunit M, C-terminal helix', 29, NULL, 'eIF3m_C_helix', 28970),
(85245, 'PF01250', NULL, 'Ribosomal protein S6', 90, NULL, 'Ribosomal_S6', 28971),
(85246, 'PF13906', NULL, 'C-terminus of AA_permease', 51, NULL, 'AA_permease_C', 28972),
(85247, 'PF16951', NULL, 'Putative methionine and alanine importer, small subunit', 60, NULL, 'MaAIMP_sms', 28973),
(85248, 'PF08026', NULL, 'Bee antimicrobial peptide', 31, NULL, 'Antimicrobial_5', 28974),
(85249, 'PF10076', NULL, 'Uncharacterised protein conserved in bacteria (DUF2313)', 173, NULL, 'DUF2313', 28975),
(85250, 'PF01539', NULL, 'Hepatitis C virus envelope glycoprotein E1', 190, NULL, 'HCV_env', 28976),
(85251, 'PF19058', NULL, 'Family of unknown function (DUF5754)', 49, NULL, 'DUF5754', 28977),
(85252, 'PF19508', NULL, 'Family of unknown function (DUF6042)', 232, NULL, 'DUF6042', 28978),
(85253, 'PF11667', NULL, 'Putative zincin peptidase', 108, NULL, 'DUF3267', 28979),
(85254, 'PF11918', NULL, 'N-terminal domain of Peptidase_S41 in eukaryotic IRBP', 129, NULL, 'Peptidase_S41_N', 28980),
(85255, 'PF12341', NULL, 'Minichromosome loss protein, Mcl1, middle region', 297, NULL, 'Mcl1_mid', 28981),
(85256, 'PF11116', NULL, 'Protein of unknown function (DUF2624)', 83, NULL, 'DUF2624', 28982),
(85257, 'PF01914', NULL, 'MarC family integral membrane protein', 203, NULL, 'MarC', 28983),
(85258, 'PF11612', NULL, 'Type II secretion system (T2SS), protein J', 140, NULL, 'T2SSJ', 28984),
(85259, 'PF01291', NULL, 'LIF / OSM family', 162, NULL, 'LIF_OSM', 28985),
(85260, 'PF17324', NULL, 'BLOC-1 interactor 1', 111, NULL, 'BLI1', 28986),
(85261, 'PF05296', NULL, 'Taste receptor protein (TAS2R)', 303, NULL, 'TAS2R', 28987),
(85262, 'PF06551', NULL, 'Protein of unknown function (DUF1120)', 116, NULL, 'DUF1120', 28988),
(85263, 'PF08986', NULL, 'Domain of unknown function (DUF1889)', 119, NULL, 'DUF1889', 28989),
(85264, 'PF15961', NULL, 'Domain of unknown function (DUF4764)', 797, NULL, 'DUF4764', 28990),
(85265, 'PF13832', NULL, 'PHD-zinc-finger like domain', 109, NULL, 'zf-HC5HC2H_2', 28991),
(85266, 'PF18028', NULL, 'Zmiz1 N-terminal tetratricopeptide repeat domain', 99, NULL, 'Zmiz1_N', 28992),
(85267, 'PF16769', NULL, 'MCM3AP domain of GANP', 717, NULL, 'MCM3AP_GANP', 28993),
(85268, 'PF19582', NULL, 'Family of unknown function (DUF6091)', 392, NULL, 'DUF6091', 28994),
(85269, 'PF20035', NULL, 'Family of unknown function (DUF6439)', 92, NULL, 'DUF6439', 28995),
(85270, 'PF03157', NULL, 'High molecular weight glutenin subunit', 786, NULL, 'Glutenin_hmw', 28996),
(85271, 'PF12229', NULL, 'Putative peptidoglycan binding domain', 116, NULL, 'PG_binding_4', 28997),
(85272, 'PF11262', NULL, 'Transcription factor/nuclear export subunit protein 2', 301, NULL, 'Tho2', 28998),
(85273, 'PF03724', NULL, 'META domain', 109, NULL, 'META', 28999),
(85274, 'PF00448', NULL, 'SRP54-type protein, GTPase domain', 196, NULL, 'SRP54', 29000),
(85275, 'PF01434', NULL, 'Peptidase family M41', 191, NULL, 'Peptidase_M41', 29001),
(85276, 'PF12530', NULL, 'Protein of unknown function (DUF3730)', 229, NULL, 'DUF3730', 29002),
(85277, 'PF09284', NULL, 'Rhamnogalacturonan lyase B, N-terminal', 251, NULL, 'RhgB_N', 29003),
(85278, 'PF13597', NULL, 'Anaerobic ribonucleoside-triphosphate reductase', 566, NULL, 'NRDD', 29004),
(85279, 'PF16539', NULL, 'Flagellar assembly protein T, middle domain', 158, NULL, 'FlgT_M', 29005),
(85280, 'PF15387', NULL, 'Domain of unknown function (DUF4611)', 96, NULL, 'DUF4611', 29006),
(85281, 'PF03955', NULL, 'Adenovirus hexon-associated protein (IX)', 110, NULL, 'Adeno_PIX', 29007),
(85282, 'PF13220', NULL, 'Protein of unknown function (DUF4028)', 65, NULL, 'DUF4028', 29008),
(85283, 'PF08199', NULL, 'Bacteriophage E2-like protein', 37, NULL, 'E2', 29009),
(85284, 'PF10839', NULL, 'Protein of unknown function (DUF2647)', 70, NULL, 'DUF2647', 29010),
(85285, 'PF19339', NULL, 'Domain of unknown function (DUF5922)', 172, NULL, 'DUF5922', 29011),
(85286, 'PF16480', NULL, 'Domain of unknown function (DUF5057)', 359, NULL, 'DUF5057', 29012);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(85287, 'PF17260', NULL, 'Family of unknown function (DUF5326)', 70, NULL, 'DUF5326', 29013),
(85288, 'PF13681', NULL, 'Type IV pilus assembly protein PilX C-term', 88, NULL, 'PilX', 29014),
(85289, 'PF19371', NULL, 'Family of unknown function (DUF5946)', 141, NULL, 'DUF5946', 29015),
(85290, 'PF05563', NULL, 'Salmonella plasmid virulence protein SpvD', 212, NULL, 'SpvD', 29016),
(85291, 'PF07377', NULL, 'Protein of unknown function (DUF1493)', 111, NULL, 'DUF1493', 29017),
(85292, 'PF10850', NULL, 'Protein of unknown function (DUF2653)', 88, NULL, 'DUF2653', 29018),
(85293, 'PF09965', NULL, 'Uncharacterized protein conserved in bacteria (DUF2199)', 146, NULL, 'DUF2199', 29019),
(85294, 'PF18603', NULL, 'L-amino acid ligase C-terminal domain 2', 78, NULL, 'LAL_C2', 29020),
(85295, 'PF19310', NULL, 'Neurolysin/Thimet oligopeptidase, N-terminal domain', 123, NULL, 'TOP_N', 29021),
(85296, 'PF00832', NULL, 'Ribosomal L39 protein', 42, NULL, 'Ribosomal_L39', 29022),
(85297, 'PF00931', NULL, 'NB-ARC domain', 252, NULL, 'NB-ARC', 29023),
(85298, 'PF01737', NULL, 'YCF9', 58, NULL, 'Ycf9', 29024),
(85299, 'PF08750', NULL, 'CNP1-like family', 135, NULL, 'CNP1', 29025),
(85300, 'PF14500', NULL, 'Dos2-interacting transcription regulator of RNA-Pol-II', 261, NULL, 'MMS19_N', 29026),
(85301, 'PF19090', NULL, 'Family of unknown function (DUF5778)', 126, NULL, 'DUF5778', 29027),
(85302, 'PF13922', NULL, 'PHD domain of transcriptional enhancer, Asx', 69, NULL, 'PHD_3', 29028),
(85303, 'PF17041', NULL, 'E domain', 48, NULL, 'SasG_E', 29029),
(85304, 'PF00763', NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase, catalytic domain', 114, NULL, 'THF_DHG_CYH', 29030),
(85305, 'PF09311', NULL, 'Rabaptin-like protein', 307, NULL, 'Rab5-bind', 29031),
(85306, 'PF08861', NULL, 'Domain of unknown function DUF1828', 90, NULL, 'DUF1828', 29032),
(85307, 'PF02561', NULL, 'Flagellar protein FliS', 115, NULL, 'FliS', 29033),
(85308, 'PF03493', NULL, 'Calcium-activated BK potassium channel alpha subunit', 89, NULL, 'BK_channel_a', 29034),
(85309, 'PF07028', NULL, 'Protein of unknown function (DUF1319)', 109, NULL, 'DUF1319', 29035),
(85310, 'PF16828', NULL, 'GAG-binding domain on surface antigen', 152, NULL, 'GAGBD', 29036),
(85311, 'PF17856', NULL, 'TIP49 AAA-lid domain', 66, NULL, 'TIP49_C', 29037),
(85312, 'PF10978', NULL, 'Protein of unknown function (DUF2785)', 174, NULL, 'DUF2785', 29038),
(85313, 'PF15862', NULL, 'Coilin N-terminus', 136, NULL, 'Coilin_N', 29039),
(85314, 'PF01515', NULL, 'Phosphate acetyl/butaryl transferase', 319, NULL, 'PTA_PTB', 29040),
(85315, 'PF09974', NULL, 'Uncharacterized protein conserved in archaea (DUF2209)', 121, NULL, 'DUF2209', 29041),
(85316, 'PF11150', NULL, 'Protein of unknown function (DUF2927)', 208, NULL, 'DUF2927', 29042),
(85317, 'PF11828', NULL, 'Protein of unknown function (DUF3348)', 247, NULL, 'DUF3348', 29043),
(85318, 'PF04182', NULL, 'B-block binding subunit of TFIIIC', 75, NULL, 'B-block_TFIIIC', 29044),
(85319, 'PF18243', NULL, 'Metal-independent restriction enzyme BfiI DNA binding domain', 165, NULL, 'BfiI_DBD', 29045),
(85320, 'PF12219', NULL, 'Catalytic domain of bacteriophage endosialidase', 160, NULL, 'End_tail_spike', 29046),
(85321, 'PF15512', NULL, 'Chromatin assembly factor complex 1 subunit p60, C-terminal', 174, NULL, 'CAF-1_p60_C', 29047),
(85322, 'PF19019', NULL, 'Phlebovirus glycoprotein G2 C-terminal domain', 171, NULL, 'Phlebo_G2_C', 29048),
(85323, 'PF07166', NULL, 'Protein of unknown function (DUF1398)', 119, NULL, 'DUF1398', 29049),
(85324, 'PF14394', NULL, 'Domain of unknown function (DUF4423)', 168, NULL, 'DUF4423', 29050),
(85325, 'PF15480', NULL, 'Domain of unknown function (DUF4640)', 292, NULL, 'DUF4640', 29051),
(85326, 'PF14243', NULL, 'ATP-grasp domain, R2K clade family 3', 201, NULL, 'R2K_3', 29052),
(85327, 'PF17643', NULL, 'Type VI secretion system, TssR', 746, NULL, 'TssR', 29053),
(85328, 'PF17069', NULL, 'Arginine/Serine-Rich protein 1', 299, NULL, 'RSRP', 29054),
(85329, 'PF17323', NULL, 'Trans-membrane regulatory protein ToxS', 147, NULL, 'ToxS', 29055); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(85330, 'PF14491', NULL, 'Protein of unknown function (DUF4435)', 237, NULL, 'DUF4435', 29056),
(85331, 'PF05005', NULL, 'Janus/Ocnus family (Ocnus)', 107, NULL, 'Ocnus', 29057),
(85332, 'PF03212', NULL, 'Pertactin', 121, NULL, 'Pertactin', 29058),
(85333, 'PF00437', NULL, 'Type II/IV secretion system protein', 277, NULL, 'T2SSE', 29059),
(85334, 'PF11137', NULL, 'Protein of unknown function (DUF2909)', 60, NULL, 'DUF2909', 29060),
(85335, 'PF16660', NULL, 'PHD finger protein 20-like protein 1', 97, NULL, 'PHD20L1_u1', 29061),
(85336, 'PF19604', NULL, 'Family of unknown function (DUF6109)', 671, NULL, 'DUF6109', 29062),
(85337, 'PF13276', NULL, 'HTH-like domain', 60, NULL, 'HTH_21', 29063),
(85338, 'PF17168', NULL, 'Domain of unknown function (DUF5127)', 227, NULL, 'DUF5127', 29064),
(85339, 'PF17813', NULL, 'RET Cadherin like domain 4', 105, NULL, 'RET_CLD4', 29065),
(85340, 'PF00426', NULL, 'Outer Capsid protein VP4 (Hemagglutinin) Concanavalin-like domain', 170, NULL, 'VP4_haemagglut', 29066),
(85341, 'PF08378', NULL, 'Nuclease-related domain', 108, NULL, 'NERD', 29067),
(85342, 'PF19633', NULL, 'Protein SET DOMAIN GROUP 2 C-terminal', 420, NULL, 'SDG2_C', 29068),
(85343, 'PF08154', NULL, 'NLE (NUC135) domain', 68, NULL, 'NLE', 29069),
(85344, 'PF09608', NULL, 'Putative transmembrane protein (Alph_Pro_TM)', 227, NULL, 'Alph_Pro_TM', 29070),
(85345, 'PF04006', NULL, 'Mpp10 protein', 524, NULL, 'Mpp10', 29071),
(85346, 'PF09625', NULL, 'VP9 protein', 79, NULL, 'VP9', 29072),
(85347, 'PF11977', NULL, 'Zc3h12a-like Ribonuclease NYN domain', 156, NULL, 'RNase_Zc3h12a', 29073),
(85348, 'PF18279', NULL, 'Werner helicase-interacting protein 1 ubiquitin-binding domain', 21, NULL, 'zf-WRNIP1_ubi', 29074),
(85349, 'PF03517', NULL, 'Regulator of volume decrease after cellular swelling', 141, NULL, 'Voldacs', 29075),
(85350, 'PF08352', NULL, 'Oligopeptide/dipeptide transporter, C-terminal region', 65, NULL, 'oligo_HPY', 29076),
(85351, 'PF14621', NULL, 'RFX5 DNA-binding domain', 219, NULL, 'RFX5_DNA_bdg', 29077),
(85352, 'PF11779', NULL, 'Small subunit of serine palmitoyltransferase-like', 54, NULL, 'SPT_ssu-like', 29078),
(85353, 'PF08583', NULL, 'Cytochrome c oxidase biogenesis protein Cmc1 like', 70, NULL, 'Cmc1', 29079),
(85354, 'PF13954', NULL, 'PapC N-terminal domain', 146, NULL, 'PapC_N', 29080),
(85355, 'PF00702', NULL, 'haloacid dehalogenase-like hydrolase', 210, NULL, 'Hydrolase', 29081),
(85356, 'PF07093', NULL, 'SGT1 protein', 583, NULL, 'SGT1', 29082),
(85357, 'PF03318', NULL, 'Clostridium epsilon toxin ETX/Bacillus mosquitocidal toxin MTX2', 228, NULL, 'ETX_MTX2', 29083),
(85358, 'PF19201', NULL, 'Family of unknown function (DUF5873)', 109, NULL, 'DUF5873', 29084),
(85359, 'PF16740', NULL, 'Spindle and kinetochore-associated protein 2', 110, NULL, 'SKA2', 29085),
(85360, 'PF01875', NULL, 'Memo-like protein', 271, NULL, 'Memo', 29086),
(85361, 'PF07396', NULL, 'Phosphate-selective porin O and P', 370, NULL, 'Porin_O_P', 29087),
(85362, 'PF01777', NULL, 'Ribosomal L27e protein family', 85, NULL, 'Ribosomal_L27e', 29088),
(85363, 'PF08183', NULL, 'Stage V sporulation protein family', 25, NULL, 'SpoV', 29089),
(85364, 'PF04841', NULL, 'Vps16, N-terminal region', 410, NULL, 'Vps16_N', 29090),
(85365, 'PF06321', NULL, 'Major fimbrial subunit protein (FimA)', 156, NULL, 'P_gingi_FimA', 29091),
(85366, 'PF17929', NULL, 'Tetracyclin repressor-like, C-terminal domain', 120, NULL, 'TetR_C_34', 29092),
(85367, 'PF04940', NULL, 'Sensors of blue-light using FAD', 92, NULL, 'BLUF', 29093),
(85368, 'PF12395', NULL, 'Protein of unknown function', 107, NULL, 'DUF3658', 29094),
(85369, 'PF13515', NULL, 'Fusaric acid resistance protein-like', 126, NULL, 'FUSC_2', 29095),
(85370, 'PF02136', NULL, 'Nuclear transport factor 2 (NTF2) domain', 120, NULL, 'NTF2', 29096),
(85371, 'PF11457', NULL, 'Protein of unknown function (DUF3021)', 130, NULL, 'DUF3021', 29097),
(85372, 'PF15161', NULL, 'Neuropeptide-like', 61, NULL, 'Neuropep_like', 29098),
(85373, 'PF15964', NULL, 'Centrosomal colon cancer autoantigen protein family', 703, NULL, 'CCCAP', 29099);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(85374, 'PF10071', NULL, 'Zn-ribbon-containing, possibly nucleic-acid-binding protein (DUF2310)', 255, NULL, 'DUF2310', 29100),
(85375, 'PF14899', NULL, 'Domain of unknown function (DUF4492)', 63, NULL, 'DUF4492', 29101),
(85376, 'PF19850', NULL, 'Family of unknown function (DUF6325)', 141, NULL, 'DUF6325', 29102),
(85377, 'PF18429', NULL, 'Domain of unknown function (DUF5609)', 65, NULL, 'DUF5609', 29103),
(85378, 'PF06096', NULL, 'Baculoviridae 8.2 KDa protein', 65, NULL, 'Baculo_8kDa', 29104),
(85379, 'PF07197', NULL, 'Protein of unknown function (DUF1409)', 48, NULL, 'DUF1409', 29105),
(85380, 'PF12211', NULL, 'Low molecular weight S layer protein N terminal', 262, NULL, 'LMWSLP_N', 29106),
(85381, 'PF12284', NULL, 'Hox protein A13 N terminal', 119, NULL, 'HoxA13_N', 29107),
(85382, 'PF02375', NULL, 'jmjN domain', 34, NULL, 'JmjN', 29108),
(85383, 'PF07226', NULL, 'Protein of unknown function (DUF1422)', 114, NULL, 'DUF1422', 29109),
(85384, 'PF01514', NULL, 'Secretory protein of YscJ/FliF family', 179, NULL, 'YscJ_FliF', 29110),
(85385, 'PF04207', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit D', 218, NULL, 'MtrD', 29111),
(85386, 'PF13793', NULL, 'N-terminal domain of ribose phosphate pyrophosphokinase', 116, NULL, 'Pribosyltran_N', 29112),
(85387, 'PF00264', NULL, 'Common central domain of tyrosinase', 222, NULL, 'Tyrosinase', 29113),
(85388, 'PF11031', NULL, 'Bacteriophage T holin', 216, NULL, 'Phage_holin_T', 29114),
(85389, 'PF02388', NULL, 'FemAB family', 408, NULL, 'FemAB', 29115),
(85390, 'PF00985', NULL, 'Merozoite Surface Antigen 2 (MSA-2) family', 171, NULL, 'MSA_2', 29116),
(85391, 'PF13287', NULL, 'Fn3 associated', 59, NULL, 'Fn3_assoc', 29117),
(85392, 'PF03010', NULL, 'GP4', 152, NULL, 'GP4', 29118),
(85393, 'PF18783', NULL, 'Isopullulanase beta-solenoid repeat', 33, NULL, 'IPU_b_solenoid', 29119),
(85394, 'PF13137', NULL, 'Protein of unknown function (DUF3983)', 34, NULL, 'DUF3983', 29120),
(85395, 'PF14140', NULL, 'YpzI-like protein', 42, NULL, 'YpzI', 29121),
(85396, 'PF15424', NULL, 'Odontogenic ameloblast-associated family', 264, NULL, 'ODAM', 29122),
(85397, 'PF12020', NULL, 'TAFA family', 89, NULL, 'TAFA', 29123),
(85398, 'PF02807', NULL, 'ATP:guanido phosphotransferase, N-terminal domain', 67, NULL, 'ATP-gua_PtransN', 29124),
(85399, 'PF12031', NULL, 'SWI/SNF-like complex subunit BAF250/Osa', 257, NULL, 'BAF250_C', 29125),
(85400, 'PF00429', NULL, 'ENV polyprotein (coat polyprotein)', 561, NULL, 'TLV_coat', 29126),
(85401, 'PF10968', NULL, 'Protein of unknown function (DUF2770)', 36, NULL, 'DUF2770', 29127),
(85402, 'PF17951', NULL, 'Fatty acid synthase meander beta sheet domain', 146, NULL, 'FAS_meander', 29128),
(85403, 'PF01948', NULL, 'Aspartate carbamoyltransferase regulatory chain, allosteric domain', 94, NULL, 'PyrI', 29129),
(85404, 'PF14770', NULL, 'Transmembrane protein 18', 118, NULL, 'TMEM18', 29130),
(85405, 'PF00423', NULL, 'Haemagglutinin-neuraminidase', 542, NULL, 'HN', 29131),
(85406, 'PF19379', NULL, 'Family of unknown function (DUF5954)', 298, NULL, 'DUF5954', 29132),
(85407, 'PF01901', NULL, 'Putative O-antigen polymerase', 336, NULL, 'O_anti_polymase', 29133),
(85408, 'PF01824', NULL, 'MatK/TrnK amino terminal region', 331, NULL, 'MatK_N', 29134),
(85409, 'PF17715', NULL, 'Family of unknown function (DUF5560)', 165, NULL, 'DUF5560', 29135),
(85410, 'PF00188', NULL, 'Cysteine-rich secretory protein family', 126, NULL, 'CAP', 29136),
(85411, 'PF09941', NULL, 'Uncharacterized conserved protein (DUF2173)', 106, NULL, 'DUF2173', 29137),
(85412, 'PF18418', NULL, 'Ankyrin ubiquitin-binding domain', 97, NULL, 'AnkUBD', 29138),
(85413, 'PF08389', NULL, 'Exportin 1-like protein', 149, NULL, 'Xpo1', 29139),
(85414, 'PF18735', NULL, 'RiboL-PSP-HEPN', 193, NULL, 'HEPN_RiboL-PSP', 29140),
(85415, 'PF15200', NULL, 'Keratinocyte differentiation-associated', 77, NULL, 'KRTDAP', 29141),
(85416, 'PF06338', NULL, 'ComK protein', 152, NULL, 'ComK', 29142),
(85417, 'PF17010', NULL, 'Domain of unknown function (DUF5092)', 163, NULL, 'DUF5092', 29143);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(85418, 'PF07273', NULL, 'Protein of unknown function (DUF1439)', 152, NULL, 'DUF1439', 29144),
(85419, 'PF18458', NULL, 'Xeroderma pigmentosum group B helicase damage recognition domain', 57, NULL, 'XPB_DRD', 29145),
(85420, 'PF05400', NULL, 'Flagellar protein FliT', 85, NULL, 'FliT', 29146),
(85421, 'PF15658', NULL, 'Latrotoxin C-terminal domain', 137, NULL, 'Latrotoxin_C', 29147),
(85422, 'PF12428', NULL, 'Protein of unknown function (DUF3675)', 119, NULL, 'DUF3675', 29148),
(85423, 'PF06877', NULL, 'Regulator of ribonuclease activity B', 102, NULL, 'RraB', 29149),
(85424, 'PF02939', NULL, 'UcrQ family', 78, NULL, 'UcrQ', 29150),
(85425, 'PF18634', NULL, 'RXLR phytopathogen effector protein WY-domain', 51, NULL, 'RXLR_WY', 29151),
(85426, 'PF12652', NULL, 'CotJB protein', 76, NULL, 'CotJB', 29152),
(85427, 'PF07615', NULL, 'YKOF-related Family', 81, NULL, 'Ykof', 29153),
(85428, 'PF03326', NULL, 'Herpesvirus transcription activation factor (transactivator)', 568, NULL, 'Herpes_TAF50', 29154),
(85429, 'PF16527', NULL, 'Two-component sensor protein CpxA, periplasmic domain', 134, NULL, 'CpxA_peri', 29155),
(85430, 'PF03160', NULL, 'Calx-beta domain', 100, NULL, 'Calx-beta', 29156),
(85431, 'PF10825', NULL, 'Protein of unknown function (DUF2752)', 49, NULL, 'DUF2752', 29157),
(85432, 'PF05565', NULL, 'Siphovirus Gp157', 163, NULL, 'Sipho_Gp157', 29158),
(85433, 'PF05992', NULL, 'SbmA/BacA-like family', 315, NULL, 'SbmA_BacA', 29159),
(85434, 'PF01030', NULL, 'Receptor L domain', 110, NULL, 'Recep_L_domain', 29160),
(85435, 'PF04695', NULL, 'Pex14 N-terminal domain', 46, NULL, 'Pex14_N', 29161),
(85436, 'PF04127', NULL, 'DNA / pantothenate metabolism flavoprotein', 186, NULL, 'DFP', 29162),
(85437, 'PF16995', NULL, 'Transmembrane region of lysyl-tRNA synthetase', 215, NULL, 'tRNA-synt_2_TM', 29163),
(85438, 'PF00068', NULL, 'Phospholipase A2', 109, NULL, 'Phospholip_A2_1', 29164),
(85439, 'PF14576', NULL, 'Sieve element occlusion N-terminus', 287, NULL, 'SEO_N', 29165),
(85440, 'PF05100', NULL, 'Phage minor tail protein L', 206, NULL, 'Phage_tail_L', 29166),
(85441, 'PF10956', NULL, 'Protein of unknown function (DUF2756)', 104, NULL, 'DUF2756', 29167),
(85442, 'PF01764', NULL, 'Lipase (class 3)', 142, NULL, 'Lipase_3', 29168),
(85443, 'PF05370', NULL, 'Domain of unknown function (DUF749)', 87, NULL, 'DUF749', 29169),
(85444, 'PF10710', NULL, 'Protein of unknown function (DUF2512)', 136, NULL, 'DUF2512', 29170),
(85445, 'PF18777', NULL, 'Chromosome region maintenance or exportin repeat', 37, NULL, 'CRM1_repeat', 29171),
(85446, 'PF07370', NULL, 'Protein of unknown function (DUF1489)', 139, NULL, 'DUF1489', 29172),
(85447, 'PF00286', NULL, 'Viral coat protein', 138, NULL, 'Flexi_CP', 29173),
(85448, 'PF05892', NULL, 'Trichovirus coat protein', 197, NULL, 'Tricho_coat', 29174),
(85449, 'PF01109', NULL, 'Granulocyte-macrophage colony-stimulating factor', 122, NULL, 'GM_CSF', 29175),
(85450, 'PF16520', NULL, 'ssRNA-binding matrix protein of Bornaviridae', 103, NULL, 'BDV_M', 29176),
(85451, 'PF00499', NULL, 'NADH-ubiquinone/plastoquinone oxidoreductase chain 6', 144, NULL, 'Oxidored_q3', 29177),
(85452, 'PF03245', NULL, 'Bacteriophage Rz lysis protein', 127, NULL, 'Phage_lysis', 29178),
(85453, 'PF00591', NULL, 'Glycosyl transferase family, a/b domain', 253, NULL, 'Glycos_transf_3', 29179),
(85454, 'PF01871', NULL, 'AMMECR1', 167, NULL, 'AMMECR1', 29180),
(85455, 'PF17846', NULL, 'Xrn1 helical domain', 443, NULL, 'XRN_M', 29181),
(85456, 'PF04573', NULL, 'Signal peptidase subunit', 172, NULL, 'SPC22', 29182),
(85457, 'PF05907', NULL, 'Eukaryotic protein of unknown function (DUF866)', 155, NULL, 'DUF866', 29183),
(85458, 'PF07906', NULL, 'ShET2 enterotoxin, N-terminal region', 278, NULL, 'Toxin_15', 29184),
(85459, 'PF15814', NULL, 'Protein family FAM199X', 322, NULL, 'FAM199X', 29185),
(85460, 'PF06878', NULL, 'Pkip-1 protein', 163, NULL, 'Pkip-1', 29186),
(85461, 'PF09364', NULL, 'XFP N-terminal domain', 364, NULL, 'XFP_N', 29187),
(85462, 'PF04142', NULL, 'Nucleotide-sugar transporter', 315, NULL, 'Nuc_sug_transp', 29188);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(85463, 'PF01957', NULL, 'NfeD-like C-terminal, partner-binding', 88, NULL, 'NfeD', 29189),
(85464, 'PF15672', NULL, 'Cell-membrane associated Mucin15', 315, NULL, 'Mucin15', 29190),
(85465, 'PF04780', NULL, 'Protein of unknown function (DUF629)', 466, NULL, 'DUF629', 29191),
(85466, 'PF12056', NULL, 'Protein of unknown function (DUF3537)', 390, NULL, 'DUF3537', 29192),
(85467, 'PF14047', NULL, 'Dppa2/4 conserved region', 67, NULL, 'DCR', 29193),
(85468, 'PF14306', NULL, 'PUA-like domain', 159, NULL, 'PUA_2', 29194),
(85469, 'PF17762', NULL, 'HTH domain found in ParB protein', 52, NULL, 'HTH_ParB', 29195),
(85470, 'PF17093', NULL, 'Penicillin-binding protein N-terminus', 138, NULL, 'PBP_N', 29196),
(85471, 'PF15572', NULL, 'Immunity protein 45', 100, NULL, 'Imm45', 29197),
(85472, 'PF09745', NULL, 'Coiled-coil domain-containing protein 55 (DUF2040)', 121, NULL, 'DUF2040', 29198),
(85473, 'PF16924', NULL, 'Dipicolinate synthase subunit A N-terminal domain', 116, NULL, 'DpaA_N', 29199),
(85474, 'PF18109', NULL, 'Ferredoxin I 4Fe-4S cluster domain', 35, NULL, 'Fer4_24', 29200),
(85475, 'PF12320', NULL, 'Type 5 capsule protein repressor C-terminal domain', 92, NULL, 'SbcD_C', 29201),
(85476, 'PF15805', NULL, 'Acidic C-terminal region of sodium channel modifier 1 SCNM1', 47, NULL, 'SCNM1_acidic', 29202),
(85477, 'PF08846', NULL, 'Domain of unknown function (DUF1816)', 65, NULL, 'DUF1816', 29203),
(85478, 'PF00200', NULL, 'Disintegrin', 76, NULL, 'Disintegrin', 29204),
(85479, 'PF10873', NULL, 'Cysteine and tyrosine-rich protein 1', 149, NULL, 'CYYR1', 29205),
(85480, 'PF20107', NULL, 'Family of unknown function (DUF6497)', 114, NULL, 'DUF6497', 29206),
(85481, 'PF15720', NULL, 'Domain of unknown function (DUF4675)', 198, NULL, 'DUF4675', 29207),
(85482, 'PF05949', NULL, 'Bacterial protein of unknown function (DUF881)', 145, NULL, 'DUF881', 29208),
(85483, 'PF00910', NULL, 'RNA helicase', 107, NULL, 'RNA_helicase', 29209),
(85484, 'PF18414', NULL, 'C2H2 type zinc-finger', 26, NULL, 'zf_C2H2_10', 29210),
(85485, 'PF11585', NULL, 'Insect antimicrobial peptide, stomoxyn', 40, NULL, 'Stomoxyn', 29211),
(85486, 'PF03278', NULL, 'IpaB/EvcA family', 154, NULL, 'IpaB_EvcA', 29212),
(85487, 'PF17468', NULL, 'Phage gene product 52', 61, NULL, 'GP52', 29213),
(85488, 'PF00304', NULL, 'Gamma-thionin family', 47, NULL, 'Gamma-thionin', 29214),
(85489, 'PF11443', NULL, 'Domain of unknown function (DUF2828)', 640, NULL, 'DUF2828', 29215),
(85490, 'PF03347', NULL, 'Vibrio thermostable direct hemolysin', 165, NULL, 'TDH', 29216),
(85491, 'PF08937', NULL, 'MTH538 TIR-like domain (DUF1863)', 130, NULL, 'DUF1863', 29217),
(85492, 'PF06260', NULL, 'Protein of unknown function (DUF1024)', 82, NULL, 'DUF1024', 29218),
(85493, 'PF08274', NULL, 'PhnA Zinc-Ribbon', 30, NULL, 'YjdM_Zn_Ribbon', 29219),
(85494, 'PF05694', NULL, '56kDa selenium binding protein (SBP56)', 453, NULL, 'SBP56', 29220),
(85495, 'PF09379', NULL, 'FERM N-terminal domain', 64, NULL, 'FERM_N', 29221),
(85496, 'PF09049', NULL, 'Stannin transmembrane', 32, NULL, 'SNN_transmemb', 29222),
(85497, 'PF15680', NULL, 'Orofacial cleft 1 candidate gene 1 protein', 109, NULL, 'OFCC1', 29223),
(85498, 'PF00961', NULL, 'LAGLIDADG endonuclease', 102, NULL, 'LAGLIDADG_1', 29224),
(85499, 'PF10752', NULL, 'Protein of unknown function (DUF2533)', 83, NULL, 'DUF2533', 29225),
(85500, 'PF05751', NULL, 'FixH', 146, NULL, 'FixH', 29226),
(85501, 'PF05910', NULL, 'Plant protein of unknown function (DUF868)', 279, NULL, 'DUF868', 29227),
(85502, 'PF16913', NULL, 'Purine nucleobase transmembrane transport', 322, NULL, 'PUNUT', 29228),
(85503, 'PF15579', NULL, 'Immunity protein 52', 99, NULL, 'Imm52', 29229),
(85504, 'PF08043', NULL, 'Xin repeat', 16, NULL, 'Xin', 29230),
(85505, 'PF18740', NULL, 'EC042_2821-lke REase', 187, NULL, 'EC042_2821', 29231),
(85506, 'PF18767', NULL, 'Activation induced deaminase', 90, NULL, 'AID', 29232),
(85507, 'PF13699', NULL, 'Domain of unknown function (DUF4157)', 79, NULL, 'DUF4157', 29233),
(85508, 'PF17601', NULL, 'Family of unknown function (DUF5497)', 89, NULL, 'DUF5497', 29234); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(85509, 'PF10211', NULL, 'Axonemal dynein light chain', 187, NULL, 'Ax_dynein_light', 29235),
(85510, 'PF07380', NULL, 'Pneumovirus M2 protein', 89, NULL, 'Pneumo_M2', 29236),
(85511, 'PF09461', NULL, 'Phytotoxin PcF protein', 45, NULL, 'PcF', 29237),
(85512, 'PF06393', NULL, 'BH3 interacting domain (BID)', 191, NULL, 'BID', 29238),
(85513, 'PF07935', NULL, 'ORF D-335-like protein', 67, NULL, 'SSV1_ORF_D-335', 29239),
(85514, 'PF04979', NULL, 'Protein phosphatase inhibitor 2 (IPP-2)', 134, NULL, 'IPP-2', 29240),
(85515, 'PF14973', NULL, 'TERF1-interacting nuclear factor 2 N-terminus', 149, NULL, 'TINF2_N', 29241),
(85516, 'PF07390', NULL, 'Mycoplasma P30 protein', 150, NULL, 'P30', 29242),
(85517, 'PF09074', NULL, 'Mer2', 193, NULL, 'Mer2', 29243),
(85518, 'PF16227', NULL, 'Domain of unknown function (DUF4886)', 250, NULL, 'DUF4886', 29244),
(85519, 'PF03074', NULL, 'Glutamate-cysteine ligase', 372, NULL, 'GCS', 29245),
(85520, 'PF15167', NULL, 'Domain of unknown function (DUF4581)', 130, NULL, 'DUF4581', 29246),
(85521, 'PF16517', NULL, 'Novel Ras effector 1 C-terminal SARAH (Sav/Rassf/Hpo) domain', 40, NULL, 'Nore1-SARAH', 29247),
(85522, 'PF01083', NULL, 'Cutinase', 178, NULL, 'Cutinase', 29248),
(85523, 'PF15993', NULL, 'Fuseless', 299, NULL, 'Fuseless', 29249),
(85524, 'PF18867', NULL, 'HEPN-like integron domain', 151, NULL, 'HEPN-like_int', 29250),
(85525, 'PF16288', NULL, 'Domain of unknown function (DUF4934)', 102, NULL, 'DUF4934', 29251),
(85526, 'PF10371', NULL, 'Domain of unknown function', 57, NULL, 'EKR', 29252),
(85527, 'PF18346', NULL, 'Mind bomb SH3 repeat domain', 68, NULL, 'SH3_15', 29253),
(85528, 'PF08909', NULL, 'Domain of unknown function (DUF1854)', 130, NULL, 'DUF1854', 29254),
(85529, 'PF03904', NULL, 'Domain of unknown function (DUF334)', 230, NULL, 'DUF334', 29255),
(85530, 'PF14517', NULL, 'Tachylectin', 234, NULL, 'Tachylectin', 29256),
(85531, 'PF04642', NULL, 'Protein of unknown function, DUF601', 302, NULL, 'DUF601', 29257),
(85532, 'PF01873', NULL, 'Domain found in IF2B/IF5', 117, NULL, 'eIF-5_eIF-2B', 29258),
(85533, 'PF02088', NULL, 'Ornatin', 41, NULL, 'Ornatin', 29259),
(85534, 'PF11889', NULL, 'Domain of unknown function (DUF3409)', 56, NULL, 'DUF3409', 29260),
(85535, 'PF03866', NULL, 'Hydrophobic abundant protein (HAP)', 164, NULL, 'HAP', 29261),
(85536, 'PF11261', NULL, 'Interferon regulatory factor 2-binding protein zinc finger', 52, NULL, 'IRF-2BP1_2', 29262),
(85537, 'PF09492', NULL, 'Pectic acid lyase', 292, NULL, 'Pec_lyase', 29263),
(85538, 'PF03266', NULL, 'NTPase', 169, NULL, 'NTPase_1', 29264),
(85539, 'PF17309', NULL, 'Family of unknown function (DUF5356)', 135, NULL, 'DUF5356', 29265),
(85540, 'PF10218', NULL, 'SREBP regulating gene protein', 131, NULL, 'SPRING1', 29266),
(85541, 'PF20015', NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 12', 136, NULL, 'VMAP-M12', 29267),
(85542, 'PF06837', NULL, 'Fijivirus P9-2 protein', 207, NULL, 'Fijivirus_P9-2', 29268),
(85543, 'PF13512', NULL, 'Tetratricopeptide repeat', 145, NULL, 'TPR_18', 29269),
(85544, 'PF06363', NULL, 'Picornaviridae P3A protein', 97, NULL, 'Picorna_P3A', 29270),
(85545, 'PF09405', NULL, 'CASC3/Barentsz eIF4AIII binding', 131, NULL, 'Btz', 29271),
(85546, 'PF12712', NULL, 'Domain of unknown function (DUF3805)', 152, NULL, 'DUF3805', 29272),
(85547, 'PF06251', NULL, 'Capsule biosynthesis GfcC', 232, NULL, 'Caps_synth_GfcC', 29273),
(85548, 'PF07774', NULL, 'ER membrane protein complex subunit 1, C-terminal', 213, NULL, 'EMC1_C', 29274),
(85549, 'PF19665', NULL, 'Family of unknown function (DUF6168)', 128, NULL, 'DUF6168', 29275),
(85550, 'PF17679', NULL, 'gp37/Dip protein', 273, NULL, 'Dip', 29276),
(85551, 'PF02335', NULL, 'Cytochrome c552', 439, NULL, 'Cytochrom_C552', 29277),
(85552, 'PF08727', NULL, 'Poliovirus 3A protein like', 59, NULL, 'P3A', 29278),
(85553, 'PF07482', NULL, 'Domain of Unknown Function (DUF1522)', 110, NULL, 'DUF1522', 29279),
(85554, 'PF01050', NULL, 'Mannose-6-phosphate isomerase', 151, NULL, 'MannoseP_isomer', 29280),
(85555, 'PF16446', NULL, 'Domain of unknown function (DUF5043)', 155, NULL, 'DUF5043', 29281);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(85556, 'PF10172', NULL, 'Det1 complexing ubiquitin ligase', 66, NULL, 'DDA1', 29282),
(85557, 'PF11151', NULL, 'Protein of unknown function (DUF2929)', 56, NULL, 'DUF2929', 29283),
(85558, 'PF01699', NULL, 'Sodium/calcium exchanger protein', 151, NULL, 'Na_Ca_ex', 29284),
(85559, 'PF01462', NULL, 'Leucine rich repeat N-terminal domain', 28, NULL, 'LRRNT', 29285),
(85560, 'PF16483', NULL, 'Beta-1,3-glucanase', 373, NULL, 'Glyco_hydro_64', 29286),
(85561, 'PF09297', NULL, 'NADH pyrophosphatase zinc ribbon domain', 32, NULL, 'zf-NADH-PPase', 29287),
(85562, 'PF12081', NULL, 'GldM N-terminal domain', 193, NULL, 'GldM_N', 29288),
(85563, 'PF01125', NULL, 'G10 protein', 146, NULL, 'G10', 29289),
(85564, 'PF13889', NULL, 'Chromosome segregation during meiosis', 55, NULL, 'Chromosome_seg', 29290),
(85565, 'PF12153', NULL, 'LPS binding domain of CAP18 (C terminal)', 28, NULL, 'CAP18_C', 29291),
(85566, 'PF17859', NULL, 'Pelovaterin', 42, NULL, 'Pelovaterin', 29292),
(85567, 'PF14470', NULL, 'Bacterial PH domain', 95, NULL, 'bPH_3', 29293),
(85568, 'PF09002', NULL, 'Domain of unknown function (DUF1887)', 386, NULL, 'DUF1887', 29294),
(85569, 'PF19022', NULL, 'Family of unknown function (DUF5748)', 101, NULL, 'DUF5748', 29295),
(85570, 'PF16933', NULL, 'Putative exopolysaccharide Exporter (EPS-E)', 452, NULL, 'PelG', 29296),
(85571, 'PF19683', NULL, 'Family of unknown function (DUF6185)', 810, NULL, 'DUF6185', 29297),
(85572, 'PF17179', NULL, '4Fe-4S dicluster domain', 96, NULL, 'Fer4_22', 29298),
(85573, 'PF02518', NULL, 'Histidine kinase-, DNA gyrase B-, and HSP90-like ATPase', 112, NULL, 'HATPase_c', 29299),
(85574, 'PF19145', NULL, 'Family of unknown function (DUF5827)', 87, NULL, 'DUF5827', 29300),
(85575, 'PF09307', NULL, 'CLIP, MHC2 interacting', 109, NULL, 'MHC2-interact', 29301),
(85576, 'PF04917', NULL, 'Bacterial shufflon protein, N-terminal constant region', 324, NULL, 'Shufflon_N', 29302),
(85577, 'PF05463', NULL, 'Sclerostin (SOST)', 198, NULL, 'Sclerostin', 29303),
(85578, 'PF06432', NULL, 'Phosphatidylinositol N-acetylglucosaminyltransferase', 280, NULL, 'GPI2', 29304),
(85579, 'PF07815', NULL, 'Abl-interactor HHR', 77, NULL, 'Abi_HHR', 29305),
(85580, 'PF04536', NULL, 'TPM domain', 125, NULL, 'TPM_phosphatase', 29306),
(85581, 'PF13517', NULL, 'FG-GAP-like repeat', 61, NULL, 'FG-GAP_3', 29307),
(85582, 'PF18827', NULL, 'Large polyvalent protein-associated domain 14', 136, NULL, 'LPD14', 29308),
(85583, 'PF04491', NULL, 'Poxvirus T4 protein, N terminus', 46, NULL, 'Pox_T4_N', 29309),
(85584, 'PF14600', NULL, 'Cellulose-binding domain', 62, NULL, 'CBM_5_12_2', 29310),
(85585, 'PF08780', NULL, 'Nucleotidyltransferase substrate binding protein like', 125, NULL, 'NTase_sub_bind', 29311),
(85586, 'PF12792', NULL, 'CSS motif domain associated with EAL', 209, NULL, 'CSS-motif', 29312),
(85587, 'PF09834', NULL, 'Predicted membrane protein (DUF2061)', 52, NULL, 'DUF2061', 29313),
(85588, 'PF19228', NULL, 'Family of unknown function (DUF5881)', 163, NULL, 'DUF5881', 29314),
(85589, 'PF16114', NULL, 'ATP citrate lyase citrate-binding', 178, NULL, 'Citrate_bind', 29315),
(85590, 'PF19235', NULL, 'Family of unknown function (DUF5888)', 140, NULL, 'DUF5888', 29316),
(85591, 'PF09804', NULL, 'DENN domain-containing protein 11', 282, NULL, 'DENND11', 29317),
(85592, 'PF03587', NULL, 'EMG1/NEP1 methyltransferase', 206, NULL, 'EMG1', 29318),
(85593, 'PF06368', NULL, 'Methylaspartate mutase E chain (MutE)', 441, NULL, 'Met_asp_mut_E', 29319),
(85594, 'PF06933', NULL, 'Special lobe-specific silk protein SSP160', 756, NULL, 'SSP160', 29320),
(85595, 'PF00661', NULL, 'Viral matrix protein', 340, NULL, 'Matrix', 29321),
(85596, 'PF17730', NULL, 'Centrosomal C10orf90', 512, NULL, 'Centro_C10orf90', 29322),
(85597, 'PF17863', NULL, 'AAA lid domain', 73, NULL, 'AAA_lid_2', 29323),
(85598, 'PF14669', NULL, 'Putative aspartate racemase', 176, NULL, 'Asp_Glu_race_2', 29324),
(85599, 'PF18689', NULL, 'Primase X', 95, NULL, 'PriX', 29325),
(85600, 'PF19027', NULL, 'Family of unknown function (DUF5752)', 208, NULL, 'DUF5752', 29326);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(85601, 'PF18079', NULL, 'Archaeal glycosylation protein B long peripheral domain', 92, NULL, 'AglB_L1', 29327),
(85602, 'PF15561', NULL, 'Immunity protein 15', 151, NULL, 'Imm15', 29328),
(85603, 'PF16762', NULL, 'Ribbon-helix-helix domain', 77, NULL, 'RHH_6', 29329),
(85604, 'PF14819', NULL, 'Nitrile reductase, 7-cyano-7-deazaguanine-reductase N-term', 111, NULL, 'QueF_N', 29330),
(85605, 'PF01088', NULL, 'Ubiquitin carboxyl-terminal hydrolase, family 1', 211, NULL, 'Peptidase_C12', 29331),
(85606, 'PF02585', NULL, 'GlcNAc-PI de-N-acetylase', 130, NULL, 'PIG-L', 29332),
(85607, 'PF07884', NULL, 'Vitamin K epoxide reductase family', 134, NULL, 'VKOR', 29333),
(85608, 'PF14496', NULL, 'C-terminal novel E3 ligase, LRR-interacting', 222, NULL, 'NEL', 29334),
(85609, 'PF01023', NULL, 'S-100/ICaBP type calcium binding domain', 45, NULL, 'S_100', 29335),
(85610, 'PF19954', NULL, 'Effector-associated domain 10', 77, NULL, 'EAD10', 29336),
(85611, 'PF19991', NULL, 'Heavy metal associated domain 2', 154, NULL, 'HMA_2', 29337),
(85612, 'PF17362', NULL, 'Family of unknown function', 79, NULL, 'pXO2-34', 29338),
(85613, 'PF03664', NULL, 'Glycosyl hydrolase family 62', 272, NULL, 'Glyco_hydro_62', 29339),
(85614, 'PF10520', NULL, 'Lipid desaturase domain', 176, NULL, 'Lipid_desat', 29340),
(85615, 'PF01842', NULL, 'ACT domain', 66, NULL, 'ACT', 29341),
(85616, 'PF15339', NULL, 'Acrosome formation-associated factor', 198, NULL, 'Afaf', 29342),
(85617, 'PF01410', NULL, 'Fibrillar collagen C-terminal domain', 233, NULL, 'COLFI', 29343),
(85618, 'PF15922', NULL, 'YjeJ-like', 283, NULL, 'YjeJ', 29344),
(85619, 'PF12494', NULL, 'Protein of unknown function (DUF3695)', 99, NULL, 'DUF3695', 29345),
(85620, 'PF08682', NULL, 'Putative endonuclease, protein of unknown function (DUF1780)', 208, NULL, 'DUF1780', 29346),
(85621, 'PF02449', NULL, 'Beta-galactosidase', 374, NULL, 'Glyco_hydro_42', 29347),
(85622, 'PF14280', NULL, 'Domain of unknown function (DUF4365)', 139, NULL, 'DUF4365', 29348),
(85623, 'PF19905', NULL, 'Domain of unknown function (DUF6378)', 82, NULL, 'DUF6378', 29349),
(85624, 'PF15628', NULL, 'RRM in Demeter', 102, NULL, 'RRM_DME', 29350),
(85625, 'PF02954', NULL, 'Bacterial regulatory protein, Fis family', 42, NULL, 'HTH_8', 29351),
(85626, 'PF16569', NULL, 'Gram-positive pilin backbone subunit 2, Cna-B-like domain', 114, NULL, 'GramPos_pilinBB', 29352),
(85627, 'PF19092', NULL, 'Family of unknown function (DUF5780)', 111, NULL, 'DUF5780', 29353),
(85628, 'PF07608', NULL, 'Protein of unknown function (DUF1571)', 208, NULL, 'DUF1571', 29354),
(85629, 'PF17274', NULL, 'Family of unknown function (DUF5339)', 70, NULL, 'DUF5339', 29355),
(85630, 'PF10100', NULL, 'Staphylopine dehydrogenase', 424, NULL, 'Staph_opine_DH', 29356),
(85631, 'PF15465', NULL, 'Domain of unknown function (DUF4634)', 131, NULL, 'DUF4634', 29357),
(85632, 'PF06923', NULL, 'Glucitol operon activator protein (GutM)', 107, NULL, 'GutM', 29358),
(85633, 'PF09361', NULL, 'Phasin protein', 100, NULL, 'Phasin_2', 29359),
(85634, 'PF17031', NULL, 'Domain of unknown function (DUF5101)', 99, NULL, 'DUF5101', 29360),
(85635, 'PF12695', NULL, 'Alpha/beta hydrolase family', 164, NULL, 'Abhydrolase_5', 29361),
(85636, 'PF04123', NULL, 'Domain of unknown function (DUF373)', 335, NULL, 'DUF373', 29362),
(85637, 'PF12672', NULL, 'Protein of unknown function (DUF3793)', 167, NULL, 'DUF3793', 29363),
(85638, 'PF17967', NULL, 'Pullulanase N2 domain', 112, NULL, 'Pullulanase_N2', 29364),
(85639, 'PF07563', NULL, 'Protein of unknown function (DUF1541)', 52, NULL, 'DUF1541', 29365),
(85640, 'PF12948', NULL, 'MSP7-like protein C-terminal domain', 125, NULL, 'MSP7_C', 29366),
(85641, 'PF15219', NULL, 'Testis-expressed 12', 85, NULL, 'TEX12', 29367),
(85642, 'PF20139', NULL, 'Family of unknown function (DUF6529)', 171, NULL, 'DUF6529', 29368),
(85643, 'PF07891', NULL, 'Protein of unknown function (DUF1666)', 246, NULL, 'DUF1666', 29369),
(85644, 'PF01732', NULL, 'Putative peptidase (DUF31)', 373, NULL, 'DUF31', 29370),
(85645, 'PF08800', NULL, 'VirE N-terminal domain', 134, NULL, 'VirE_N', 29371);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(85646, 'PF12702', NULL, 'Lipocalin-like', 94, NULL, 'Lipocalin_3', 29372),
(85647, 'PF12039', NULL, 'Protein of unknown function (DUF3525)', 453, NULL, 'DUF3525', 29373),
(85648, 'PF04403', NULL, 'Paraquat-inducible protein A', 156, NULL, 'PqiA', 29374),
(85649, 'PF07961', NULL, 'MBA1-like protein', 235, NULL, 'MBA1', 29375),
(85650, 'PF16576', NULL, 'Barrel-sandwich domain of CusB or HlyD membrane-fusion', 214, NULL, 'HlyD_D23', 29376),
(85651, 'PF17118', NULL, 'Domain of unknown function (DUF5105)', 189, NULL, 'DUF5105', 29377),
(85652, 'PF17103', NULL, 'Stealth protein CR4, conserved region 4', 55, NULL, 'Stealth_CR4', 29378),
(85653, 'PF10722', NULL, 'Putative bacterial sensory transduction regulator', 127, NULL, 'YbjN', 29379),
(85654, 'PF12201', NULL, 'Bcl2-interacting killer, BH3-domain containing', 156, NULL, 'bcl-2I13', 29380),
(85655, 'PF08837', NULL, 'Protein of unknown function (DUF1810)', 136, NULL, 'DUF1810', 29381),
(85656, 'PF09706', NULL, 'CRISPR-associated protein (Cas_CXXC_CXXC)', 69, NULL, 'Cas_CXXC_CXXC', 29382),
(85657, 'PF00955', NULL, 'HCO3- transporter family', 498, NULL, 'HCO3_cotransp', 29383),
(85658, 'PF05144', NULL, 'Phage replication protein CRI', 271, NULL, 'Phage_CRI', 29384),
(85659, 'PF17683', NULL, 'TFIIF, beta subunit N-terminus', 132, NULL, 'TFIIF_beta_N', 29385),
(85660, 'PF09206', NULL, 'Alpha-L-arabinofuranosidase B, catalytic', 316, NULL, 'ArabFuran-catal', 29386),
(85661, 'PF12246', NULL, 'Temperature dependent protein affecting M2 dsRNA replication', 240, NULL, 'MKT1_C', 29387),
(85662, 'PF13589', NULL, 'Histidine kinase-, DNA gyrase B-, and HSP90-like ATPase', 137, NULL, 'HATPase_c_3', 29388),
(85663, 'PF00333', NULL, 'Ribosomal protein S5, N-terminal domain', 65, NULL, 'Ribosomal_S5', 29389),
(85664, 'PF12176', NULL, 'Methanol-cobalamin methyltransferase B subunit', 459, NULL, 'MtaB', 29390),
(85665, 'PF04339', NULL, 'Peptidogalycan biosysnthesis/recognition', 370, NULL, 'FemAB_like', 29391),
(85666, 'PF12734', NULL, 'Cysteine-rich TM module stress tolerance', 42, NULL, 'CYSTM', 29392),
(85667, 'PF16710', NULL, 'N-terminal N1 domain of Vibrio phage CTXphi pIII', 111, NULL, 'CTXphi_pIII-N1', 29393),
(85668, 'PF00047', NULL, 'Immunoglobulin domain', 87, NULL, 'ig', 29394),
(85669, 'PF10849', NULL, 'Protein of unknown function (DUF2654)', 70, NULL, 'DUF2654', 29395),
(85670, 'PF14691', NULL, 'Dihydroprymidine dehydrogenase domain II, 4Fe-4S cluster', 112, NULL, 'Fer4_20', 29396),
(85671, 'PF03974', NULL, 'Ecotin', 122, NULL, 'Ecotin', 29397),
(85672, 'PF16745', NULL, 'RsgA N-terminal domain', 54, NULL, 'RsgA_N', 29398),
(85673, 'PF08401', NULL, 'N-terminal domain of anti-restriction factor ArdC', 122, NULL, 'ArdcN', 29399),
(85674, 'PF09187', NULL, 'RNA-directed DNA methylation 1', 119, NULL, 'RdDM_RDM1', 29400),
(85675, 'PF15501', NULL, 'Nuclear protein MDM1', 565, NULL, 'MDM1', 29401),
(85676, 'PF04191', NULL, 'Phospholipid methyltransferase', 105, NULL, 'PEMT', 29402),
(85677, 'PF15615', NULL, 'TerB-C domain', 151, NULL, 'TerB_C', 29403),
(85678, 'PF02343', NULL, 'TRA-1 regulated protein R03H10.4', 130, NULL, 'TRA-1_regulated', 29404),
(85679, 'PF14797', NULL, 'Serine-rich region of AP3B1, clathrin-adaptor complex', 111, NULL, 'SEEEED', 29405),
(85680, 'PF08528', NULL, 'Whi5 like', 25, NULL, 'Whi5', 29406),
(85681, 'PF11250', NULL, 'Fantastic Four meristem regulator', 54, NULL, 'FAF', 29407),
(85682, 'PF07810', NULL, 'TMC domain', 111, NULL, 'TMC', 29408),
(85683, 'PF00242', NULL, 'DNA polymerase (viral) N-terminal domain', 353, NULL, 'DNA_pol_viral_N', 29409),
(85684, 'PF12993', NULL, 'Domain of unknown function, E. rectale Gene description (DUF3877)', 173, NULL, 'DUF3877', 29410),
(85685, 'PF00015', NULL, 'Methyl-accepting chemotaxis protein (MCP) signalling domain', 172, NULL, 'MCPsignal', 29411),
(85686, 'PF04960', NULL, 'Glutaminase', 286, NULL, 'Glutaminase', 29412),
(85687, 'PF06301', NULL, 'Bacteriophage lambda Kil protein', 42, NULL, 'Lambda_Kil', 29413),
(85688, 'PF07732', NULL, 'Multicopper oxidase', 119, NULL, 'Cu-oxidase_3', 29414);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(85689, 'PF07922', NULL, 'Glycosyltransferase family 52', 272, NULL, 'Glyco_transf_52', 29415),
(85690, 'PF10210', NULL, 'Mitochondrial 28S ribosomal protein S32', 93, NULL, 'MRP-S32', 29416),
(85691, 'PF11611', NULL, 'Domain of unknown function (DUF4352)', 125, NULL, 'DUF4352', 29417),
(85692, 'PF10709', NULL, 'Protein of unknown function (DUF2511)', 87, NULL, 'DUF2511', 29418),
(85693, 'PF11133', NULL, 'Head fiber protein', 277, NULL, 'Phage_head_fibr', 29419),
(85694, 'PF02301', NULL, 'HORMA domain', 218, NULL, 'HORMA', 29420),
(85695, 'PF04572', NULL, 'Alpha 1,4-glycosyltransferase conserved region', 131, NULL, 'Gb3_synth', 29421),
(85696, 'PF00635', NULL, 'MSP (Major sperm protein) domain', 109, NULL, 'Motile_Sperm', 29422),
(85697, 'PF12314', NULL, 'Inner membrane complex protein', 94, NULL, 'IMCp', 29423),
(85698, 'PF12714', NULL, 'TILa domain', 55, NULL, 'TILa', 29424),
(85699, 'PF14474', NULL, 'RTC4-like domain', 121, NULL, 'RTC4', 29425),
(85700, 'PF07129', NULL, 'Protein of unknown function (DUF1381)', 44, NULL, 'DUF1381', 29426),
(85701, 'PF08311', NULL, 'Mad3/BUB1 homology region 1', 124, NULL, 'Mad3_BUB1_I', 29427),
(85702, 'PF18645', NULL, 'Family of unknown function (DUF5631)', 96, NULL, 'DUF5631', 29428),
(85703, 'PF04502', NULL, 'Saf4/Yju2 protein', 329, NULL, 'Saf4_Yju2', 29429),
(85704, 'PF11837', NULL, 'Domain of unknown function (DUF3357)', 109, NULL, 'DUF3357', 29430),
(85705, 'PF13855', NULL, 'Leucine rich repeat', 61, NULL, 'LRR_8', 29431),
(85706, 'PF18155', NULL, 'pPIWI RE three-gene island domain Z', 167, NULL, 'pPIWI_RE_Z', 29432),
(85707, 'PF11649', NULL, 'Virus neck protein', 278, NULL, 'T4_neck-protein', 29433),
(85708, 'PF04056', NULL, 'Ssl1-like', 193, NULL, 'Ssl1', 29434),
(85709, 'PF04427', NULL, 'Brix domain', 191, NULL, 'Brix', 29435),
(85710, 'PF17572', NULL, 'Family of unknown function (DUF5478)', 86, NULL, 'DUF5478', 29436),
(85711, 'PF10009', NULL, 'Uncharacterized protein conserved in bacteria (DUF2252)', 387, NULL, 'DUF2252', 29437),
(85712, 'PF03350', NULL, 'Uncharacterized protein family, UPF0114', 118, NULL, 'UPF0114', 29438),
(85713, 'PF15171', NULL, 'Neuropeptide secretory protein family, NPQ, spexin', 90, NULL, 'Spexin', 29439),
(85714, 'PF07397', NULL, 'Repeat of unknown function (DUF1502)', 34, NULL, 'DUF1502', 29440),
(85715, 'PF13460', NULL, 'NAD(P)H-binding', 184, NULL, 'NAD_binding_10', 29441),
(85716, 'PF00665', NULL, 'Integrase core domain', 102, NULL, 'rve', 29442),
(85717, 'PF10364', NULL, 'Putative capsular polysaccharide synthesis protein', 139, NULL, 'NKWYS', 29443),
(85718, 'PF14204', NULL, 'Ribosomal L18 C-terminal region', 56, NULL, 'Ribosomal_L18_c', 29444),
(85719, 'PF16371', NULL, 'N terminal of Calcineurin-like phosphoesterase', 78, NULL, 'MetallophosN', 29445),
(85720, 'PF19728', NULL, 'Family of unknown function (DUF6220)', 66, NULL, 'DUF6220', 29446),
(85721, 'PF14582', NULL, 'Metallophosphoesterase, calcineurin superfamily', 257, NULL, 'Metallophos_3', 29447),
(85722, 'PF14892', NULL, 'Domain of unknown function (DUF4490)', 103, NULL, 'DUF4490', 29448),
(85723, 'PF00515', NULL, 'Tetratricopeptide repeat', 34, NULL, 'TPR_1', 29449),
(85724, 'PF00400', NULL, 'WD domain, G-beta repeat', 38, NULL, 'WD40', 29450),
(85725, 'PF17883', NULL, 'MBG domain', 102, NULL, 'MBG', 29451),
(85726, 'PF14535', NULL, 'AMP-binding enzyme C-terminal domain', 96, NULL, 'AMP-binding_C_2', 29452),
(85727, 'PF06681', NULL, 'Protein of unknown function (DUF1182)', 208, NULL, 'DUF1182', 29453),
(85728, 'PF12368', NULL, 'Rhodanase C-terminal', 67, NULL, 'Rhodanese_C', 29454),
(85729, 'PF04037', NULL, 'Domain of unknown function (DUF382)', 127, NULL, 'DUF382', 29455),
(85730, 'PF13843', NULL, 'Transposase IS4', 350, NULL, 'DDE_Tnp_1_7', 29456),
(85731, 'PF03977', NULL, 'Na+-transporting oxaloacetate decarboxylase beta subunit', 349, NULL, 'OAD_beta', 29457),
(85732, 'PF09011', NULL, 'HMG-box domain', 73, NULL, 'HMG_box_2', 29458),
(85733, 'PF05353', NULL, 'Delta Atracotoxin', 42, NULL, 'Atracotoxin', 29459),
(85734, 'PF02942', NULL, 'Influenza B non-structural protein (NS1)', 247, NULL, 'Flu_B_NS1', 29460);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(85735, 'PF07632', NULL, 'Protein of unknown function (DUF1593)', 256, NULL, 'DUF1593', 29461),
(85736, 'PF07110', NULL, 'EthD domain', 97, NULL, 'EthD', 29462),
(85737, 'PF05270', NULL, 'Alpha-L-arabinofuranosidase B (ABFB) domain', 139, NULL, 'AbfB', 29463),
(85738, 'PF06814', NULL, 'Lung seven transmembrane receptor', 295, NULL, 'Lung_7-TM_R', 29464),
(85739, 'PF00406', NULL, 'Adenylate kinase', 151, NULL, 'ADK', 29465),
(85740, 'PF10550', NULL, 'Conantokin toxin', 17, NULL, 'Toxin_36', 29466),
(85741, 'PF01523', NULL, 'PmbA/TldA metallopeptidase domain 1', 66, NULL, 'PmbA_TldD', 29467),
(85742, 'PF13635', NULL, 'Domain of unknown function (DUF4143)', 122, NULL, 'DUF4143', 29468),
(85743, 'PF04782', NULL, 'Protein of unknown function (DUF632)', 321, NULL, 'DUF632', 29469),
(85744, 'PF17945', NULL, 'Beta/Gamma crystallin', 90, NULL, 'Crystall_4', 29470),
(85745, 'PF19139', NULL, 'Family of unknown function (DUF5822)', 38, NULL, 'DUF5822', 29471),
(85746, 'PF06791', NULL, 'Prophage tail length tape measure protein', 207, NULL, 'TMP_2', 29472),
(85747, 'PF11296', NULL, 'Protein of unknown function (DUF3097)', 270, NULL, 'DUF3097', 29473),
(85748, 'PF17773', NULL, 'UPF0176 acylphosphatase like domain', 92, NULL, 'UPF0176_N', 29474),
(85749, 'PF15938', NULL, 'Domain of unknown function (DUF4750)', 54, NULL, 'DUF4750', 29475),
(85750, 'PF10879', NULL, 'Protein of unknown function (DUF2674)', 63, NULL, 'DUF2674', 29476),
(85751, 'PF09132', NULL, 'BmKX', 30, NULL, 'BmKX', 29477),
(85752, 'PF03238', NULL, 'ESAG protein', 227, NULL, 'ESAG1', 29478),
(85753, 'PF06572', NULL, 'Protein of unknown function (DUF1131)', 170, NULL, 'DUF1131', 29479),
(85754, 'PF10195', NULL, 'DNA-binding nuclear phosphoprotein p8', 58, NULL, 'Phospho_p8', 29480),
(85755, 'PF03413', NULL, 'Peptidase propeptide and YPEB domain', 63, NULL, 'PepSY', 29481),
(85756, 'PF06194', NULL, 'Phage Conserved Open Reading Frame 51', 80, NULL, 'Phage_Orf51', 29482),
(85757, 'PF09254', NULL, 'Restriction endonuclease FokI, C terminal', 188, NULL, 'Endonuc-FokI_C', 29483),
(85758, 'PF13618', NULL, 'Gluconate 2-dehydrogenase subunit 3', 136, NULL, 'Gluconate_2-dh3', 29484),
(85759, 'PF19952', NULL, 'Family of unknown function (DUF6414)', 250, NULL, 'DUF6414', 29485),
(85760, 'PF08257', NULL, 'Sulfakinin family', 9, NULL, 'Sulfakinin', 29486),
(85761, 'PF11727', NULL, 'Invariant surface glycoprotein', 281, NULL, 'ISG65-75', 29487),
(85762, 'PF14737', NULL, 'Domain of unknown function (DUF4470)', 100, NULL, 'DUF4470', 29488),
(85763, 'PF19943', NULL, 'Family of unknown function (DUF6405)', 37, NULL, 'DUF6405', 29489),
(85764, 'PF01544', NULL, 'CorA-like Mg2+ transporter protein', 292, NULL, 'CorA', 29490),
(85765, 'PF14743', NULL, 'DNA ligase OB-like domain', 66, NULL, 'DNA_ligase_OB_2', 29491),
(85766, 'PF05626', NULL, 'Protein of unknown function (DUF790)', 387, NULL, 'DUF790', 29492),
(85767, 'PF00667', NULL, 'FAD binding domain', 222, NULL, 'FAD_binding_1', 29493),
(85768, 'PF12317', NULL, 'Intraflagellar transport complex B protein 46 C terminal', 212, NULL, 'IFT46_B_C', 29494),
(85769, 'PF04066', NULL, 'Multiple resistance and pH regulation protein F (MrpF / PhaF)', 53, NULL, 'MrpF_PhaF', 29495),
(85770, 'PF12174', NULL, 'RCD1-SRO-TAF4 (RST) plant domain', 67, NULL, 'RST', 29496),
(85771, 'PF17361', NULL, 'Family of unknown function (DUF5387)', 222, NULL, 'DUF5387', 29497),
(85772, 'PF12240', NULL, 'Angiomotin C terminal', 201, NULL, 'Angiomotin_C', 29498),
(85773, 'PF12588', NULL, 'Phophatidylserine decarboxylase', 140, NULL, 'PSDC', 29499),
(85774, 'PF16317', NULL, 'Glycosyl hydrolase family 99', 341, NULL, 'Glyco_hydro_99', 29500),
(85775, 'PF05090', NULL, 'Vitamin K-dependent gamma-carboxylase', 435, NULL, 'VKG_Carbox', 29501),
(85776, 'PF16809', NULL, 'NleF caspase inhibitor', 150, NULL, 'NleF_casp_inhib', 29502),
(85777, 'PF07354', NULL, 'Zona-pellucida-binding protein (Sp38)', 177, NULL, 'Sp38', 29503),
(85778, 'PF15901', NULL, 'Sortilin, neurotensin receptor 3, C-terminal', 171, NULL, 'Sortilin_C', 29504),
(85779, 'PF01205', NULL, 'Uncharacterized protein family UPF0029', 108, NULL, 'UPF0029', 29505);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(85780, 'PF02146', NULL, 'Sir2 family', 179, NULL, 'SIR2', 29506),
(85781, 'PF09526', NULL, 'Probable metal-binding protein (DUF2387)', 72, NULL, 'DUF2387', 29507),
(85782, 'PF17015', NULL, 'Domain of unknown function (DUF5094)', 178, NULL, 'DUF5094', 29508),
(85783, 'PF19926', NULL, 'Family of unknown function (DUF6389)', 149, NULL, 'DUF6389', 29509),
(85784, 'PF12336', NULL, 'SOX transcription factor', 91, NULL, 'SOXp', 29510),
(85785, 'PF14344', NULL, 'Domain of unknown function (DUF4397)', 119, NULL, 'DUF4397', 29511),
(85786, 'PF06969', NULL, 'HemN C-terminal domain', 66, NULL, 'HemN_C', 29512),
(85787, 'PF19218', NULL, 'Coronavirus replicase NSP3, C-terminal', 459, NULL, 'CoV_NSP3_C', 29513),
(85788, 'PF05846', NULL, 'Chordopoxvirus A15 protein', 90, NULL, 'Chordopox_A15', 29514),
(85789, 'PF09270', NULL, 'Beta-trefoil DNA-binding domain', 123, NULL, 'BTD', 29515),
(85790, 'PF07626', NULL, 'Protein of unknown function (DUF1587)', 65, NULL, 'PSD3', 29516),
(85791, 'PF04028', NULL, 'Domain of unknown function (DUF374)', 69, NULL, 'DUF374', 29517),
(85792, 'PF18690', NULL, 'Family of unknown function (DUF5639)', 82, NULL, 'DUF5639', 29518),
(85793, 'PF09756', NULL, 'DDRGK domain', 188, NULL, 'DDRGK', 29519),
(85794, 'PF06430', NULL, 'Lactococcus lactis RepB C-terminus', 124, NULL, 'L_lactis_RepB_C', 29520),
(85795, 'PF15193', NULL, 'FAM24 family', 69, NULL, 'FAM24', 29521),
(85796, 'PF12961', NULL, 'Domain of unknown function (DUF3850)', 77, NULL, 'DUF3850', 29522),
(85797, 'PF07034', NULL, 'Origin recognition complex (ORC) subunit 3 N-terminus', 333, NULL, 'ORC3_N', 29523),
(85798, 'PF00853', NULL, 'Runt domain', 129, NULL, 'Runt', 29524),
(85799, 'PF06734', NULL, 'UL97', 182, NULL, 'UL97', 29525),
(85800, 'PF14411', NULL, 'A nuclease of the HNH/ENDO VII superfamily with conserved LHH', 76, NULL, 'LHH', 29526),
(85801, 'PF13667', NULL, 'ThiC-associated domain', 81, NULL, 'ThiC-associated', 29527),
(85802, 'PF14396', NULL, 'Cystic fibrosis TM conductance regulator (CFTR), regulator domain', 213, NULL, 'CFTR_R', 29528),
(85803, 'PF01798', NULL, 'snoRNA binding domain, fibrillarin', 232, NULL, 'Nop', 29529),
(85804, 'PF18199', NULL, 'Dynein heavy chain C-terminal domain', 307, NULL, 'Dynein_C', 29530),
(85805, 'PF01721', NULL, 'Class II bacteriocin', 35, NULL, 'Bacteriocin_II', 29531),
(85806, 'PF16836', NULL, 'Shu complex component Psy3, DNA-binding description', 216, NULL, 'PSY3', 29532),
(85807, 'PF16546', NULL, 'Homodimerisation domain of SGTA', 67, NULL, 'SGTA_dimer', 29533),
(85808, 'PF08968', NULL, 'Domain of unknown function (DUF1885)', 132, NULL, 'DUF1885', 29534),
(85809, 'PF11338', NULL, 'Protein of unknown function (DUF3140)', 92, NULL, 'DUF3140', 29535),
(85810, 'PF05348', NULL, 'Proteasome maturation factor UMP1', 117, NULL, 'UMP1', 29536),
(85811, 'PF08876', NULL, 'Domain of unknown function (DUF1836)', 105, NULL, 'DUF1836', 29537),
(85812, 'PF09500', NULL, 'Putative thioesterase (yiiD_Cterm)', 144, NULL, 'YiiD_C', 29538),
(85813, 'PF11468', NULL, 'Aromatic prenyltransferase Orf2', 287, NULL, 'PTase_Orf2', 29539),
(85814, 'PF05594', NULL, 'Haemagluttinin repeat', 77, NULL, 'Fil_haemagg', 29540),
(85815, 'PF01459', NULL, 'Eukaryotic porin', 273, NULL, 'Porin_3', 29541),
(85816, 'PF04030', NULL, 'D-arabinono-1,4-lactone oxidase', 264, NULL, 'ALO', 29542),
(85817, 'PF04764', NULL, 'Protein of unknown function (DUF613)', 120, NULL, 'DUF613', 29543),
(85818, 'PF16130', NULL, 'Domain of unknown function (DUF4842)', 213, NULL, 'DUF4842', 29544),
(85819, 'PF01099', NULL, 'Uteroglobin family', 90, NULL, 'Uteroglobin', 29545),
(85820, 'PF00042', NULL, 'Globin', 110, NULL, 'Globin', 29546),
(85821, 'PF14345', NULL, 'GDYXXLXY protein', 143, NULL, 'GDYXXLXY', 29547),
(85822, 'PF16900', NULL, 'Replication protein A OB domain', 98, NULL, 'REPA_OB_2', 29548),
(85823, 'PF00875', NULL, 'DNA photolyase', 165, NULL, 'DNA_photolyase', 29549),
(85824, 'PF18139', NULL, 'SLOG in TRPM', 266, NULL, 'LSDAT_euk', 29550),
(85825, 'PF01349', NULL, 'Flavivirus non-structural protein NS4B', 244, NULL, 'Flavi_NS4B', 29551);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(85826, 'PF05982', NULL, 'Na+-dependent bicarbonate transporter superfamily', 308, NULL, 'Sbt_1', 29552),
(85827, 'PF15101', NULL, 'Telomere-associated protein TERB2', 207, NULL, 'TERB2', 29553),
(85828, 'PF01376', NULL, 'Heat-labile enterotoxin beta chain', 102, NULL, 'Enterotoxin_b', 29554),
(85829, 'PF11749', NULL, 'Protein of unknown function (DUF3305)', 142, NULL, 'DUF3305', 29555),
(85830, 'PF09104', NULL, 'BRCA2, oligonucleotide/oligosaccharide-binding, domain 3', 139, NULL, 'BRCA-2_OB3', 29556),
(85831, 'PF08029', NULL, 'HisG, C-terminal domain', 73, NULL, 'HisG_C', 29557),
(85832, 'PF03960', NULL, 'ArsC family', 66, NULL, 'ArsC', 29558),
(85833, 'PF05109', NULL, 'Herpes virus major outer envelope glycoprotein (BLLF1)', 886, NULL, 'Herpes_BLLF1', 29559),
(85834, 'PF11469', NULL, 'Ribonuclease III', 119, NULL, 'Ribonucleas_3_2', 29560),
(85835, 'PF05510', NULL, 'Sarcoglycan alpha/epsilon', 382, NULL, 'Sarcoglycan_2', 29561),
(85836, 'PF05413', NULL, 'Putative closterovirus papain-like endopeptidase', 92, NULL, 'Peptidase_C34', 29562),
(85837, 'PF14725', NULL, 'Domain of unknown function (DUF4466)', 307, NULL, 'DUF4466', 29563),
(85838, 'PF05725', NULL, 'FNIP Repeat', 44, NULL, 'FNIP', 29564),
(85839, 'PF11530', NULL, 'Minor type IV pilin, PilX', 127, NULL, 'Pilin_PilX', 29565),
(85840, 'PF12718', NULL, 'Tropomyosin like', 143, NULL, 'Tropomyosin_1', 29566),
(85841, 'PF18552', NULL, 'PheRS DNA binding domain 1', 59, NULL, 'PheRS_DBD1', 29567),
(85842, 'PF01813', NULL, 'ATP synthase subunit D', 196, NULL, 'ATP-synt_D', 29568),
(85843, 'PF08054', NULL, 'Leucine operon leader peptide', 28, NULL, 'Leu_leader', 29569),
(85844, 'PF14689', NULL, 'Sensor_kinase_SpoOB-type, alpha-helical domain', 62, NULL, 'SPOB_a', 29570),
(85845, 'PF16730', NULL, 'DnaG-primase C-terminal, helicase-binding domain', 118, NULL, 'DnaGprimase_HBD', 29571),
(85846, 'PF01484', NULL, 'Nematode cuticle collagen N-terminal domain', 50, NULL, 'Col_cuticle_N', 29572),
(85847, 'PF10421', NULL, '2''-5''-oligoadenylate synthetase 1, domain 2, C-terminus', 186, NULL, 'OAS1_C', 29573),
(85848, 'PF00234', NULL, 'Protease inhibitor/seed storage/LTP family', 87, NULL, 'Tryp_alpha_amyl', 29574),
(85849, 'PF04314', NULL, 'Copper chaperone PCu(A)C', 109, NULL, 'PCuAC', 29575),
(85850, 'PF01902', NULL, 'Diphthamide synthase', 219, NULL, 'Diphthami_syn_2', 29576),
(85851, 'PF10183', NULL, 'ESSS subunit of NADH:ubiquinone oxidoreductase (complex I)', 115, NULL, 'ESSS', 29577),
(85852, 'PF01227', NULL, 'GTP cyclohydrolase I', 179, NULL, 'GTP_cyclohydroI', 29578),
(85853, 'PF18924', NULL, 'Protein of unknown function (DUF5674)', 109, NULL, 'DUF5674', 29579),
(85854, 'PF09660', NULL, 'Protein of unknown function (DUF2397)', 483, NULL, 'DUF2397', 29580),
(85855, 'PF01933', NULL, '2-phospho-L-lactate transferase CofD', 294, NULL, 'CofD', 29581),
(85856, 'PF00684', NULL, 'DnaJ central domain', 63, NULL, 'DnaJ_CXXCXGXG', 29582),
(85857, 'PF16784', NULL, 'Putative HNHc nuclease', 200, NULL, 'HNHc_6', 29583),
(85858, 'PF16095', NULL, 'C-terminal of Roc, COR, domain', 194, NULL, 'COR', 29584),
(85859, 'PF07369', NULL, 'Protein of unknown function (DUF1488)', 82, NULL, 'DUF1488', 29585),
(85860, 'PF19777', NULL, 'Family of unknown function (DUF6263)', 196, NULL, 'DUF6263', 29586),
(85861, 'PF09105', NULL, 'Elongation factor SelB, winged helix', 61, NULL, 'SelB-wing_1', 29587),
(85862, 'PF15456', NULL, 'Up-regulated During Septation', 130, NULL, 'Uds1', 29588),
(85863, 'PF02057', NULL, 'Glycosyl hydrolase family 59', 294, NULL, 'Glyco_hydro_59', 29589),
(85864, 'PF00959', NULL, 'Phage lysozyme', 109, NULL, 'Phage_lysozyme', 29590),
(85865, 'PF11226', NULL, 'Protein of unknown function (DUF3022)', 105, NULL, 'DUF3022', 29591),
(85866, 'PF18140', NULL, 'Propionyl-coenzyme A carboxylase BT domain', 127, NULL, 'PCC_BT', 29592),
(85867, 'PF04138', NULL, 'GtrA-like protein', 117, NULL, 'GtrA', 29593),
(85868, 'PF09277', NULL, 'Erythronolide synthase, docking', 58, NULL, 'Erythro-docking', 29594),
(85869, 'PF05742', NULL, 'Transport and Golgi organisation 2', 254, NULL, 'TANGO2', 29595);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(85870, 'PF01185', NULL, 'Fungal hydrophobin', 80, NULL, 'Hydrophobin', 29596),
(85871, 'PF12264', NULL, 'Waikavirus capsid protein 1', 197, NULL, 'Waikav_capsid_1', 29597),
(85872, 'PF18830', NULL, 'Large polyvalent protein-associated domain 16', 82, NULL, 'LPD16', 29598),
(85873, 'PF15330', NULL, 'SHP2-interacting transmembrane adaptor protein, SIT', 114, NULL, 'SIT', 29599),
(85874, 'PF12570', NULL, 'Protein of unknown function (DUF3750)', 128, NULL, 'DUF3750', 29600),
(85875, 'PF19028', NULL, 'Spondin-like TSP1 domain', 52, NULL, 'TSP1_spondin', 29601),
(85876, 'PF16945', NULL, 'Putative lactococcus lactis phage r1t holin', 72, NULL, 'Phage_r1t_holin', 29602),
(85877, 'PF04196', NULL, 'Bunyavirus RNA dependent RNA polymerase', 742, NULL, 'Bunya_RdRp', 29603),
(85878, 'PF05078', NULL, 'Protein of unknown function (DUF679)', 163, NULL, 'DUF679', 29604),
(85879, 'PF10297', NULL, 'Minimal binding motif of Hap4 for binding to Hap2/3/5', 17, NULL, 'Hap4_Hap_bind', 29605),
(85880, 'PF14587', NULL, 'O-Glycosyl hydrolase family 30', 364, NULL, 'Glyco_hydr_30_2', 29606),
(85881, 'PF02438', NULL, 'Late 100kD protein', 593, NULL, 'Adeno_100', 29607),
(85882, 'PF10128', NULL, 'Glucose-6-phosphate dehydrogenase subunit', 252, NULL, 'OpcA_G6PD_assem', 29608),
(85883, 'PF18115', NULL, 'DNA repair protein Crb2 Tudor domain', 52, NULL, 'Tudor_3', 29609),
(85884, 'PF05058', NULL, 'ActA Protein', 633, NULL, 'ActA', 29610),
(85885, 'PF12321', NULL, 'Protein of unknown function (DUF3634)', 102, NULL, 'DUF3634', 29611),
(85886, 'PF14415', NULL, 'Domain of unknown function (DUF4424)', 306, NULL, 'DUF4424', 29612),
(85887, 'PF16318', NULL, 'Domain of unknown function (DUF4957)', 141, NULL, 'DUF4957', 29613),
(85888, 'PF03113', NULL, 'Respiratory synctial virus non-structural protein NS2', 124, NULL, 'RSV_NS2', 29614),
(85889, 'PF07934', NULL, '8-oxoguanine DNA glycosylase, N-terminal domain', 121, NULL, 'OGG_N', 29615),
(85890, 'PF15356', NULL, 'Psoriasis susceptibility locus 2', 114, NULL, 'SPR1', 29616),
(85891, 'PF18752', NULL, 'Dictyosteliid AID/APOBEC-like Deaminase', 291, NULL, 'DAAD', 29617),
(85892, 'PF03377', NULL, 'TAL effector repeat', 33, NULL, 'TAL_effector', 29618),
(85893, 'PF17838', NULL, 'PH domain', 127, NULL, 'PH_16', 29619),
(85894, 'PF10646', NULL, 'Sporulation and spore germination', 105, NULL, 'Germane', 29620),
(85895, 'PF12853', NULL, 'C-terminal of NADH-ubiquinone oxidoreductase 21 kDa subunit', 89, NULL, 'NADH_u_ox_C', 29621),
(85896, 'PF15182', NULL, 'Otospiralin', 69, NULL, 'OTOS', 29622),
(85897, 'PF12696', NULL, 'TraM recognition site of TraD and TraG', 126, NULL, 'TraG-D_C', 29623),
(85898, 'PF12915', NULL, 'Protein of unknown function (DUF3833)', 163, NULL, 'DUF3833', 29624),
(85899, 'PF18907', NULL, 'Family of unknown function (DUF5662)', 153, NULL, 'DUF5662', 29625),
(85900, 'PF16953', NULL, 'Protein-only RNase P', 241, NULL, 'PRORP', 29626),
(85901, 'PF03169', NULL, 'OPT oligopeptide transporter protein', 616, NULL, 'OPT', 29627),
(85902, 'PF06776', NULL, 'Invasion associated locus B (IalB) protein', 132, NULL, 'IalB', 29628),
(85903, 'PF06990', NULL, 'Galactose-3-O-sulfotransferase', 402, NULL, 'Gal-3-0_sulfotr', 29629),
(85904, 'PF14498', NULL, 'Glycosyl hydrolase family 65, N-terminal domain', 239, NULL, 'Glyco_hyd_65N_2', 29630),
(85905, 'PF14833', NULL, 'NAD-binding of NADP-dependent 3-hydroxyisobutyrate dehydrogenase', 122, NULL, 'NAD_binding_11', 29631),
(85906, 'PF17864', NULL, 'RuvB AAA lid domain', 74, NULL, 'AAA_lid_4', 29632),
(85907, 'PF14214', NULL, 'Helitron helicase-like domain at N-terminus', 190, NULL, 'Helitron_like_N', 29633),
(85908, 'PF06916', NULL, 'Protein of unknown function (DUF1279)', 92, NULL, 'DUF1279', 29634),
(85909, 'PF04488', NULL, 'Glycosyltransferase sugar-binding region containing DXD motif', 98, NULL, 'Gly_transf_sug', 29635),
(85910, 'PF12233', NULL, 'Human adult T cell leukemia/lymphoma virus protein', 99, NULL, 'p12I', 29636),
(85911, 'PF10792', NULL, 'Protein of unknown function (DUF2605)', 96, NULL, 'DUF2605', 29637),
(85912, 'PF14175', NULL, 'YaaC-like Protein', 319, NULL, 'YaaC', 29638);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(85913, 'PF10563', NULL, 'Delta carbonic anhydrase', 178, NULL, 'CA_like', 29639),
(85914, 'PF17057', NULL, 'Poxviridae B3 protein', 123, NULL, 'B3R', 29640),
(85915, 'PF17963', NULL, 'Bacterial Ig domain', 90, NULL, 'Big_9', 29641),
(85916, 'PF19482', NULL, 'Family of unknown function (DUF6018)', 115, NULL, 'DUF6018', 29642),
(85917, 'PF15703', NULL, 'Linker for activation of T-cells family member 2', 179, NULL, 'LAT2', 29643),
(85918, 'PF03894', NULL, 'D-xylulose 5-phosphate/D-fructose 6-phosphate phosphoketolase', 176, NULL, 'XFP', 29644),
(85919, 'PF12577', NULL, 'PPAR gamma N-terminal region', 79, NULL, 'PPARgamma_N', 29645),
(85920, 'PF12533', NULL, 'Neuronal helix-loop-helix transcription factor', 126, NULL, 'Neuro_bHLH', 29646),
(85921, 'PF18517', NULL, 'Leucine zipper with capping helix domain', 55, NULL, 'LZ3wCH', 29647),
(85922, 'PF06233', NULL, 'Usg-like family', 80, NULL, 'Usg', 29648),
(85923, 'PF09446', NULL, 'VMA21-like domain', 64, NULL, 'VMA21', 29649),
(85924, 'PF19399', NULL, 'Family of unknown function (DUF5974)', 38, NULL, 'DUF5974', 29650),
(85925, 'PF11120', NULL, 'Cellulose biosynthesis protein BcsF', 60, NULL, 'CBP_BcsF', 29651),
(85926, 'PF07550', NULL, 'Protein of unknown function (DUF1533)', 60, NULL, 'DUF1533', 29652),
(85927, 'PF00616', NULL, 'GTPase-activator protein for Ras-like GTPase', 208, NULL, 'RasGAP', 29653),
(85928, 'PF11750', NULL, 'Protein of unknown function (DUF3307)', 126, NULL, 'DUF3307', 29654),
(85929, 'PF16365', NULL, 'Ethanolamine utilization protein EutK C-terminus', 55, NULL, 'EutK_C', 29655),
(85930, 'PF02269', NULL, 'Transcription initiation factor IID, 18kD subunit', 93, NULL, 'TFIID-18kDa', 29656),
(85931, 'PF06290', NULL, 'Plasmid SOS inhibition protein (PsiB)', 138, NULL, 'PsiB', 29657),
(85932, 'PF16074', NULL, 'Type IV Pilus-assembly protein W', 126, NULL, 'PilW', 29658),
(85933, 'PF17154', NULL, 'Gammaproteobacterial periplasmic sensor domain', 121, NULL, 'GAPES3', 29659),
(85934, 'PF14537', NULL, 'Cytochrome c3', 81, NULL, 'Cytochrom_c3_2', 29660),
(85935, 'PF01278', NULL, 'Omptin family', 283, NULL, 'Omptin', 29661),
(85936, 'PF06379', NULL, 'L-rhamnose-proton symport protein (RhaT)', 344, NULL, 'RhaT', 29662),
(85937, 'PF18514', NULL, 'Get5 C-terminal domain', 38, NULL, 'Get5_C', 29663),
(85938, 'PF09057', NULL, 'Second Mitochondria-derived Activator of Caspases', 238, NULL, 'Smac_DIABLO', 29664),
(85939, 'PF12575', NULL, 'Poxvirus entry protein complex L1 and I2', 72, NULL, 'Pox_EPC_I2-L1', 29665),
(85940, 'PF05017', NULL, 'TMP repeat', 11, NULL, 'TMP', 29666),
(85941, 'PF01650', NULL, 'Peptidase C13 family', 256, NULL, 'Peptidase_C13', 29667),
(85942, 'PF06525', NULL, 'Sulfocyanin (SoxE) domain', 149, NULL, 'SoxE', 29668),
(85943, 'PF01373', NULL, 'Glycosyl hydrolase family 14', 402, NULL, 'Glyco_hydro_14', 29669),
(85944, 'PF09332', NULL, 'Mcm10 replication factor', 349, NULL, 'Mcm10', 29670),
(85945, 'PF12167', NULL, 'Arm DNA-binding domain', 65, NULL, 'Arm-DNA-bind_2', 29671),
(85946, 'PF02206', NULL, 'Domain of unknown function', 66, NULL, 'WSN', 29672),
(85947, 'PF14029', NULL, 'Protein of unknown function (DUF4244)', 54, NULL, 'DUF4244', 29673),
(85948, 'PF18746', NULL, 'Alpha-glutamyl/putrescinyl thymine pyrophosphorylase clade 3', 279, NULL, 'aGPT-Pplase3', 29674),
(85949, 'PF07042', NULL, 'TrfA protein', 282, NULL, 'TrfA', 29675),
(85950, 'PF13995', NULL, 'YebF-like protein', 89, NULL, 'YebF', 29676),
(85951, 'PF07447', NULL, 'Matrix protein VP40', 282, NULL, 'VP40', 29677),
(85952, 'PF17402', NULL, 'Family of unknown function (DUF5408)', 63, NULL, 'DUF5408', 29678),
(85953, 'PF00124', NULL, 'Photosynthetic reaction centre protein', 260, NULL, 'Photo_RC', 29679),
(85954, 'PF15566', NULL, 'Immunity protein 32', 54, NULL, 'Imm32', 29680),
(85955, 'PF17533', NULL, 'Family of unknown function (DUF5452)', 169, NULL, 'DUF5452', 29681),
(85956, 'PF02921', NULL, 'Ubiquinol cytochrome reductase transmembrane region', 66, NULL, 'UCR_TM', 29682),
(85957, 'PF00183', NULL, 'Hsp90 protein', 518, NULL, 'HSP90', 29683),
(85958, 'PF01262', NULL, 'Alanine dehydrogenase/PNT, C-terminal domain', 214, NULL, 'AlaDh_PNT_C', 29684);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(85959, 'PF03967', NULL, 'Photosynthetic reaction centre, H-chain N-terminal region', 132, NULL, 'PRCH', 29685),
(85960, 'PF11765', NULL, 'Hyphally regulated cell wall protein N-terminal', 328, NULL, 'Hyphal_reg_CWP', 29686),
(85961, 'PF12243', NULL, 'CTD kinase subunit gamma CTK3', 123, NULL, 'CTK3', 29687),
(85962, 'PF05788', NULL, 'Orbivirus RNA-dependent RNA polymerase (VP1)', 1297, NULL, 'Orbi_VP1', 29688),
(85963, 'PF14195', NULL, 'Domain of unknown function (DUF4316)', 44, NULL, 'DUF4316', 29689),
(85964, 'PF17769', NULL, 'Phosphoribosylaminoimidazole carboxylase C-terminal domain', 56, NULL, 'PurK_C', 29690),
(85965, 'PF19630', NULL, 'Family of unknown function (DUF6134)', 210, NULL, 'DUF6134', 29691),
(85966, 'PF03284', NULL, 'Phenazine biosynthesis protein A/B', 162, NULL, 'PHZA_PHZB', 29692),
(85967, 'PF11170', NULL, 'Protein of unknown function (DUF2957)', 359, NULL, 'DUF2957', 29693),
(85968, 'PF15511', NULL, 'Centromere kinetochore component CENP-T histone fold', 108, NULL, 'CENP-T_C', 29694),
(85969, 'PF19208', NULL, 'Family of unknown function (DUF5880)', 97, NULL, 'DUF5880', 29695),
(85970, 'PF11904', NULL, 'GPCR-chaperone', 304, NULL, 'GPCR_chapero_1', 29696),
(85971, 'PF14990', NULL, 'Domain of unknown function (DUF4516)', 46, NULL, 'DUF4516', 29697),
(85972, 'PF04942', NULL, 'CC domain', 34, NULL, 'CC', 29698),
(85973, 'PF09000', NULL, 'Cytotoxic', 82, NULL, 'Cytotoxic', 29699),
(85974, 'PF17232', NULL, 'Elicitor peptide 1-7', 82, NULL, 'Pep1_7', 29700),
(85975, 'PF11272', NULL, 'Protein of unknown function (DUF3072)', 56, NULL, 'DUF3072', 29701),
(85976, 'PF11653', NULL, 'Bacteriophage T7 virion assembly protein', 99, NULL, 'VirionAssem_T7', 29702),
(85977, 'PF06131', NULL, 'Schizosaccharomyces pombe repeat of unknown function (DUF963)', 36, NULL, 'DUF963', 29703),
(85978, 'PF08117', NULL, 'Ptu family', 35, NULL, 'Toxin_30', 29704),
(85979, 'PF11198', NULL, 'Protein of unknown function (DUF2857)', 175, NULL, 'DUF2857', 29705),
(85980, 'PF08176', NULL, 'Small acid-soluble spore protein K family', 47, NULL, 'SspK', 29706),
(85981, 'PF03843', NULL, 'Outer membrane lipoprotein Slp family', 153, NULL, 'Slp', 29707),
(85982, 'PF05134', NULL, 'Type II secretion system (T2SS), protein L', 233, NULL, 'T2SSL', 29708),
(85983, 'PF03918', NULL, 'Cytochrome C biogenesis protein', 143, NULL, 'CcmH', 29709),
(85984, 'PF19140', NULL, 'Family of unknown function (DUF5823)', 178, NULL, 'DUF5823', 29710),
(85985, 'PF07510', NULL, 'Protein of unknown function (DUF1524)', 139, NULL, 'DUF1524', 29711),
(85986, 'PF13449', NULL, 'Esterase-like activity of phytase', 288, NULL, 'Phytase-like', 29712),
(85987, 'PF15110', NULL, 'TMEM141 protein family', 91, NULL, 'TMEM141', 29713),
(85988, 'PF17777', NULL, 'Insertion domain in 60S ribosomal protein L10P', 71, NULL, 'RL10P_insert', 29714),
(85989, 'PF09857', NULL, 'Putative toxin of bacterial toxin-antitoxin pair', 85, NULL, 'YjhX_toxin', 29715),
(85990, 'PF03045', NULL, 'DAN domain', 114, NULL, 'DAN', 29716),
(85991, 'PF16812', NULL, 'C-terminal head domain of the fowl adenovirus type 1 long fibre', 201, NULL, 'AdHead_fibreRBD', 29717),
(85992, 'PF15389', NULL, 'Domain of unknown function (DUF4612)', 121, NULL, 'DUF4612', 29718),
(85993, 'PF16236', NULL, 'Domain of unknown function (DUF4895)', 221, NULL, 'DUF4895', 29719),
(85994, 'PF17729', NULL, 'Family of unknown function (DUF5569)', 225, NULL, 'DUF5569', 29720),
(85995, 'PF04582', NULL, 'Reovirus sigma C capsid protein C-terminal domain', 130, NULL, 'Reo_sigmaC', 29721),
(85996, 'PF12079', NULL, 'Protein of unknown function (DUF3558)', 173, NULL, 'DUF3558', 29722),
(85997, 'PF18648', NULL, 'Tse2 ADP-ribosyltransferase toxins', 155, NULL, 'ADPRTs_Tse2', 29723),
(85998, 'PF08235', NULL, 'LNS2 (Lipin/Ned1/Smp2)', 226, NULL, 'LNS2', 29724),
(85999, 'PF03457', NULL, 'Helicase associated domain', 63, NULL, 'HA', 29725),
(86000, 'PF09353', NULL, 'Domain of unknown function (DUF1995)', 199, NULL, 'DUF1995', 29726),
(86001, 'PF08982', NULL, 'Domain of unknown function (DUF1857)', 149, NULL, 'DUF1857', 29727);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(86002, 'PF10014', NULL, '2OG-Fe dioxygenase', 191, NULL, '2OG-Fe_Oxy_2', 29728),
(86003, 'PF17521', NULL, 'Honey bee peptides', 45, NULL, 'Secapin', 29729),
(86004, 'PF11169', NULL, 'Protein of unknown function (DUF2956)', 102, NULL, 'DUF2956', 29730),
(86005, 'PF17250', NULL, 'NADH-ubiquinone oxidoreductase 11 kDa subunit', 86, NULL, 'NDUFB11', 29731),
(86006, 'PF00869', NULL, 'Flavivirus glycoprotein, central and dimerisation domains', 295, NULL, 'Flavi_glycoprot', 29732),
(86007, 'PF18277', NULL, 'AbrB C-terminal domain', 37, NULL, 'AbrB_C', 29733),
(86008, 'PF01132', NULL, 'Elongation factor P (EF-P) OB domain', 54, NULL, 'EFP', 29734),
(86009, 'PF03345', NULL, 'Oligosaccharyltransferase 48 kDa subunit beta', 404, NULL, 'DDOST_48kD', 29735),
(86010, 'PF12001', NULL, 'Domain of unknown function (DUF3496)', 109, NULL, 'DUF3496', 29736),
(86011, 'PF18535', NULL, 'Gal11 activator-binding domain (ABD1)', 82, NULL, 'Gal11_ABD1', 29737),
(86012, 'PF02558', NULL, 'Ketopantoate reductase PanE/ApbA', 152, NULL, 'ApbA', 29738),
(86013, 'PF05933', NULL, 'Fungal ATP synthase protein 8 (A6L)', 48, NULL, 'Fun_ATP-synt_8', 29739),
(86014, 'PF01326', NULL, 'Pyruvate phosphate dikinase, AMP/ATP-binding domain', 328, NULL, 'PPDK_N', 29740),
(86015, 'PF06139', NULL, 'BphX-like', 133, NULL, 'BphX', 29741),
(86016, 'PF19196', NULL, 'Family of unknown function (DUF5871)', 137, NULL, 'DUF5871', 29742),
(86017, 'PF15806', NULL, 'Domain of unknown function (DUF4707)', 433, NULL, 'DUF4707', 29743),
(86018, 'PF01510', NULL, 'N-acetylmuramoyl-L-alanine amidase', 127, NULL, 'Amidase_2', 29744),
(86019, 'PF13740', NULL, 'ACT domain', 76, NULL, 'ACT_6', 29745),
(86020, 'PF02412', NULL, 'Thrombospondin type 3 repeat', 36, NULL, 'TSP_3', 29746),
(86021, 'PF08227', NULL, 'DASH complex subunit Hsk3 like', 45, NULL, 'DASH_Hsk3', 29747),
(86022, 'PF12411', NULL, 'Choline sulfatase enzyme C terminal', 53, NULL, 'Choline_sulf_C', 29748),
(86023, 'PF16313', NULL, 'Met-zincin', 321, NULL, 'DUF4953', 29749),
(86024, 'PF06418', NULL, 'CTP synthase N-terminus', 266, NULL, 'CTP_synth_N', 29750),
(86025, 'PF03215', NULL, 'Rad17 P-loop domain', 186, NULL, 'Rad17', 29751),
(86026, 'PF11839', NULL, 'Alanine-zipper, major outer membrane lipoprotein', 69, NULL, 'Alanine_zipper', 29752),
(86027, 'PF12102', NULL, 'MrcB-like, N-terminal domain', 183, NULL, 'MrcB_N', 29753),
(86028, 'PF13979', NULL, 'SopA-like catalytic domain', 168, NULL, 'SopA_C', 29754),
(86029, 'PF16862', NULL, 'Glycosyl hydrolase family 79 C-terminal beta domain', 103, NULL, 'Glyco_hydro_79C', 29755),
(86030, 'PF01888', NULL, 'CbiD', 252, NULL, 'CbiD', 29756),
(86031, 'PF10344', NULL, 'Mitochondrial protein from FMP27', 873, NULL, 'Fmp27', 29757),
(86032, 'PF15441', NULL, 'RhoGEF 5/35 N-terminal disordered region', 488, NULL, 'ARHGEF5_35', 29758),
(86033, 'PF15728', NULL, 'Domain of unknown function (DUF4679)', 399, NULL, 'DUF4679', 29759),
(86034, 'PF12491', NULL, 'Apolipoprotein B100 C terminal', 57, NULL, 'ApoB100_C', 29760),
(86035, 'PF01752', NULL, 'Collagenase', 289, NULL, 'Peptidase_M9', 29761),
(86036, 'PF06384', NULL, 'Beta-catenin-interacting protein ICAT', 76, NULL, 'ICAT', 29762),
(86037, 'PF09282', NULL, 'Mago binding', 27, NULL, 'Mago-bind', 29763),
(86038, 'PF10959', NULL, 'Protein of unknown function (DUF2761)', 94, NULL, 'DUF2761', 29764),
(86039, 'PF15601', NULL, 'Immunity protein 70', 131, NULL, 'Imm70', 29765),
(86040, 'PF11187', NULL, 'Protein of unknown function (DUF2974)', 224, NULL, 'DUF2974', 29766),
(86041, 'PF14924', NULL, 'Protein of unknown function (DUF4497)', 108, NULL, 'DUF4497', 29767),
(86042, 'PF19198', NULL, 'RsaA N-terminal domain', 180, NULL, 'RsaA_NTD', 29768),
(86043, 'PF08594', NULL, 'Uncharacterised protein family (UPF0300)', 212, NULL, 'UPF0300', 29769),
(86044, 'PF04497', NULL, 'Poxviridae protein', 741, NULL, 'Pox_E2-like', 29770),
(86045, 'PF05777', NULL, 'Drosophila accessory gland-specific peptide 26Ab (Acp26Ab)', 90, NULL, 'Acp26Ab', 29771),
(86046, 'PF03920', NULL, 'Groucho/TLE N-terminal Q-rich domain', 116, NULL, 'TLE_N', 29772);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(86047, 'PF16343', NULL, 'Domain of unknown function (DUF4973)', 129, NULL, 'DUF4973', 29773),
(86048, 'PF18522', NULL, 'Domain of unknown function (DUF5620)', 126, NULL, 'DUF5620', 29774),
(86049, 'PF15887', NULL, 'Putative zinc-binding metallo-peptidase', 235, NULL, 'Peptidase_Mx', 29775),
(86050, 'PF17585', NULL, 'Accessory recombination function protein', 47, NULL, 'Phage_Arf', 29776),
(86051, 'PF00872', NULL, 'Transposase, Mutator family', 381, NULL, 'Transposase_mut', 29777),
(86052, 'PF01562', NULL, 'Reprolysin family propeptide', 140, NULL, 'Pep_M12B_propep', 29778),
(86053, 'PF08824', NULL, 'Serine rich protein interaction domain', 157, NULL, 'Serine_rich', 29779),
(86054, 'PF07343', NULL, 'Protein of unknown function (DUF1475)', 236, NULL, 'DUF1475', 29780),
(86055, 'PF16010', NULL, 'Cytochrome domain of cellobiose dehydrogenase', 182, NULL, 'CDH-cyt', 29781),
(86056, 'PF05868', NULL, 'Rotavirus major outer capsid protein VP7', 249, NULL, 'Rotavirus_VP7', 29782),
(86057, 'PF04796', NULL, 'Plasmid encoded RepA protein', 161, NULL, 'RepA_C', 29783),
(86058, 'PF09634', NULL, 'Protein of unknown function (DUF2025)', 105, NULL, 'DUF2025', 29784),
(86059, 'PF11474', NULL, 'Telomerase reverse transcriptase TEN domain', 188, NULL, 'N-Term_TEN', 29785),
(86060, 'PF07087', NULL, 'Protein of unknown function (DUF1353)', 91, NULL, 'DUF1353', 29786),
(86061, 'PF09481', NULL, 'CRISPR-associated protein Cse1 (CRISPR_cse1)', 453, NULL, 'CRISPR_Cse1', 29787),
(86062, 'PF01494', NULL, 'FAD binding domain', 349, NULL, 'FAD_binding_3', 29788),
(86063, 'PF15534', NULL, 'Bacterial toxin 35', 77, NULL, 'Ntox35', 29789),
(86064, 'PF15420', NULL, 'Alpha/beta-hydrolase family N-terminus', 209, NULL, 'Abhydrolase_9_N', 29790),
(86065, 'PF01826', NULL, 'Trypsin Inhibitor like cysteine rich domain', 55, NULL, 'TIL', 29791),
(86066, 'PF01968', NULL, 'Hydantoinase/oxoprolinase', 291, NULL, 'Hydantoinase_A', 29792),
(86067, 'PF19391', NULL, 'Family of unknown function (DUF5966)', 95, NULL, 'DUF5966', 29793),
(86068, 'PF16528', NULL, 'Exocyst component 84 C-terminal', 205, NULL, 'Exo84_C', 29794),
(86069, 'PF18640', NULL, 'LepB N-terminal domain', 183, NULL, 'LepB_N', 29795),
(86070, 'PF14231', NULL, 'GXWXG protein', 59, NULL, 'GXWXG', 29796),
(86071, 'PF00894', NULL, 'Luteovirus coat protein', 138, NULL, 'Luteo_coat', 29797),
(86072, 'PF13730', NULL, 'Helix-turn-helix domain', 55, NULL, 'HTH_36', 29798),
(86073, 'PF16608', NULL, 'TNRC6-PABC binding domain', 289, NULL, 'TNRC6-PABC_bdg', 29799),
(86074, 'PF04333', NULL, 'MlaA lipoprotein', 196, NULL, 'MlaA', 29800),
(86075, 'PF06438', NULL, 'Heme-binding protein A (HasA)', 206, NULL, 'HasA', 29801),
(86076, 'PF12128', NULL, 'Protein of unknown function (DUF3584)', 1191, NULL, 'DUF3584', 29802),
(86077, 'PF02699', NULL, 'Preprotein translocase subunit', 80, NULL, 'YajC', 29803),
(86078, 'PF11453', NULL, 'Protein of unknown function (DUF2950)', 273, NULL, 'DUF2950', 29804),
(86079, 'PF04095', NULL, 'Nicotinate phosphoribosyltransferase (NAPRTase) family', 247, NULL, 'NAPRTase', 29805),
(86080, 'PF03002', NULL, 'Somatostatin/Cortistatin family', 18, NULL, 'Somatostatin', 29806),
(86081, 'PF14874', NULL, 'Flagellar-associated PapD-like', 102, NULL, 'PapD-like', 29807),
(86082, 'PF16087', NULL, 'Helix-turn-helix domain (DUF4817)', 55, NULL, 'DUF4817', 29808),
(86083, 'PF04570', NULL, 'zinc-finger of the FCS-type, C2-C2', 54, NULL, 'zf-FLZ', 29809),
(86084, 'PF15108', NULL, 'Voltage-dependent calcium channel gamma-like subunit protein family', 182, NULL, 'TMEM37', 29810),
(86085, 'PF16154', NULL, 'Domain of unknown function (DUF4862)', 291, NULL, 'DUF4862', 29811),
(86086, 'PF07063', NULL, 'Domain of unknown function (DUF1338)', 325, NULL, 'DUF1338', 29812),
(86087, 'PF09976', NULL, 'Tetratricopeptide repeat-like domain', 193, NULL, 'TPR_21', 29813),
(86088, 'PF07158', NULL, 'Dicarboxylate carrier protein MatC N-terminus', 149, NULL, 'MatC_N', 29814),
(86089, 'PF14153', NULL, 'Spore coat protein CotO', 192, NULL, 'Spore_coat_CotO', 29815),
(86090, 'PF06275', NULL, 'Protein of unknown function (DUF1031)', 80, NULL, 'DUF1031', 29816);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(86091, 'PF13175', NULL, 'AAA ATPase domain', 374, NULL, 'AAA_15', 29817),
(86092, 'PF01974', NULL, 'tRNA intron endonuclease, catalytic C-terminal domain', 85, NULL, 'tRNA_int_endo', 29818),
(86093, 'PF06460', NULL, 'Coronavirus 2''-O-methyltransferase', 299, NULL, 'CoV_Methyltr_2', 29819),
(86094, 'PF12520', NULL, 'Protein of unknown function (DUF3723)', 508, NULL, 'DUF3723', 29820),
(86095, 'PF15036', NULL, 'Interleukin 34', 157, NULL, 'IL34', 29821),
(86096, 'PF05016', NULL, 'ParE toxin of type II toxin-antitoxin system, parDE', 90, NULL, 'ParE_toxin', 29822),
(86097, 'PF07875', NULL, 'Coat F domain', 63, NULL, 'Coat_F', 29823),
(86098, 'PF16961', NULL, 'Putative OmpA-OmpF-like porin family', 197, NULL, 'OmpA_like', 29824),
(86099, 'PF11312', NULL, 'Putative SAM-dependent methyltransferase', 306, NULL, 'Methyltransf_34', 29825),
(86100, 'PF17981', NULL, 'Cysteine Rich ADD domain', 56, NULL, 'ADD_ATRX', 29826),
(86101, 'PF14155', NULL, 'Domain of unknown function (DUF4307)', 111, NULL, 'DUF4307', 29827),
(86102, 'PF16099', NULL, 'Recq-mediated genome instability protein 1, C-terminal OB-fold', 143, NULL, 'RMI1_C', 29828),
(86103, 'PF16737', NULL, 'PHD finger protein 12 MRG binding domain', 40, NULL, 'PHF12_MRG_bd', 29829),
(86104, 'PF02453', NULL, 'Reticulon', 157, NULL, 'Reticulon', 29830),
(86105, 'PF03339', NULL, 'Poxvirus L3/FP4 protein', 316, NULL, 'Pox_L3_FP4', 29831),
(86106, 'PF19388', NULL, 'Family of unknown function (DUF5963)', 83, NULL, 'DUF5963', 29832),
(86107, 'PF02796', NULL, 'Helix-turn-helix domain of resolvase', 45, NULL, 'HTH_7', 29833),
(86108, 'PF10668', NULL, 'Phage terminase small subunit', 67, NULL, 'Phage_terminase', 29834),
(86109, 'PF05994', NULL, 'Cytoplasmic Fragile-X interacting family', 842, NULL, 'FragX_IP', 29835),
(86110, 'PF16714', NULL, 'Tyrosyl-tRNA synthetase C-terminal domain', 120, NULL, 'TyrRSs_C', 29836),
(86111, 'PF00741', NULL, 'Gas vesicle protein', 39, NULL, 'Gas_vesicle', 29837),
(86112, 'PF08258', NULL, 'WWamide peptide', 7, NULL, 'WWamide', 29838),
(86113, 'PF19056', NULL, 'WD40 repeated domain', 489, NULL, 'WD40_2', 29839),
(86114, 'PF09456', NULL, 'RcsC Alpha-Beta-Loop (ABL)', 91, NULL, 'RcsC', 29840),
(86115, 'PF18258', NULL, 'Interleukin-4 inducing immunoglobulin-binding domain', 89, NULL, 'IL4_i_Ig', 29841),
(86116, 'PF17043', NULL, 'Mating type protein 1-1-2 of unknown function', 147, NULL, 'MAT1-1-2', 29842),
(86117, 'PF11674', NULL, 'Protein of unknown function (DUF3270)', 88, NULL, 'DUF3270', 29843),
(86118, 'PF13764', NULL, 'E3 ubiquitin-protein ligase UBR4', 813, NULL, 'E3_UbLigase_R4', 29844),
(86119, 'PF17000', NULL, 'Accessory secretory protein Sec, Asp5', 71, NULL, 'Asp5', 29845),
(86120, 'PF10747', NULL, 'Sporulation inhibitor of replication protein SirA', 140, NULL, 'SirA', 29846),
(86121, 'PF11254', NULL, 'Protein of unknown function (DUF3053)', 220, NULL, 'DUF3053', 29847),
(86122, 'PF14030', NULL, 'Protein of unknown function (DUF4245)', 166, NULL, 'DUF4245', 29848),
(86123, 'PF01353', NULL, 'Green fluorescent protein', 213, NULL, 'GFP', 29849),
(86124, 'PF08308', NULL, 'PEGA domain', 70, NULL, 'PEGA', 29850),
(86125, 'PF04998', NULL, 'RNA polymerase Rpb1, domain 5', 267, NULL, 'RNA_pol_Rpb1_5', 29851),
(86126, 'PF06532', NULL, 'Negative regulator of sigma F', 204, NULL, 'NrsF', 29852),
(86127, 'PF19154', NULL, 'Family of unknown function (DUF5836)', 38, NULL, 'DUF5836', 29853),
(86128, 'PF10479', NULL, 'Fragile site-associated protein C-terminus', 701, NULL, 'FSA_C', 29854),
(86129, 'PF18894', NULL, 'Putative phage metallopeptidase', 141, NULL, 'PhageMetallopep', 29855),
(86130, 'PF19281', NULL, 'Phytanoyl-CoA hydroxylase-interacting protein C-terminus', 221, NULL, 'PHYHIP_C', 29856),
(86131, 'PF01571', NULL, 'Aminomethyltransferase folate-binding domain', 255, NULL, 'GCV_T', 29857),
(86132, 'PF13709', NULL, 'Domain of unknown function (DUF4159)', 205, NULL, 'DUF4159', 29858),
(86133, 'PF16460', NULL, 'Phage tail tube, TTP, lambda-like', 137, NULL, 'Phage_TTP_11', 29859),
(86134, 'PF01076', NULL, 'Plasmid recombination enzyme', 196, NULL, 'Mob_Pre', 29860);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(86135, 'PF03513', NULL, 'Cloacin immunity protein', 80, NULL, 'Cloacin_immun', 29861),
(86136, 'PF19992', NULL, 'Family of unknown function (DUF6427)', 301, NULL, 'DUF6427', 29862),
(86137, 'PF01274', NULL, 'Malate synthase', 526, NULL, 'Malate_synthase', 29863),
(86138, 'PF15991', NULL, 'G-protein pathway suppressor', 276, NULL, 'G_path_suppress', 29864),
(86139, 'PF06574', NULL, 'FAD synthetase', 158, NULL, 'FAD_syn', 29865),
(86140, 'PF01128', NULL, '2-C-methyl-D-erythritol 4-phosphate cytidylyltransferase', 221, NULL, 'IspD', 29866),
(86141, 'PF10806', NULL, 'SAM35, subunit of SAM coomplex', 127, NULL, 'SAM35', 29867),
(86142, 'PF00988', NULL, 'Carbamoyl-phosphate synthase small chain, CPSase domain', 125, NULL, 'CPSase_sm_chain', 29868),
(86143, 'PF19598', NULL, 'Family of unknown function (DUF6103)', 89, NULL, 'DUF6103', 29869),
(86144, 'PF11258', NULL, 'Protein of unknown function (DUF3048) N-terminal domain', 147, NULL, 'DUF3048', 29870),
(86145, 'PF13376', NULL, 'Bacteriocin-protection, YdeI or OmpD-Associated', 60, NULL, 'OmdA', 29871),
(86146, 'PF04306', NULL, 'Protein of unknown function (DUF456)', 139, NULL, 'DUF456', 29872),
(86147, 'PF08261', NULL, 'Carcinustatin peptide', 8, NULL, 'Carcinustatin', 29873),
(86148, 'PF00198', NULL, '2-oxoacid dehydrogenases acyltransferase (catalytic domain)', 233, NULL, '2-oxoacid_dh', 29874),
(86149, 'PF04217', NULL, 'Protein of unknown function, DUF412', 141, NULL, 'DUF412', 29875),
(86150, 'PF12469', NULL, 'CRISPR-associated protein', 111, NULL, 'DUF3692', 29876),
(86151, 'PF09043', NULL, 'D-Lysine 5,6-aminomutase TIM-barrel domain of alpha subunit', 508, NULL, 'Lys-AminoMut_A', 29877),
(86152, 'PF09459', NULL, 'Ethylbenzene dehydrogenase', 272, NULL, 'EB_dh', 29878),
(86153, 'PF12995', NULL, 'Domain of unknown function, E. rectale Gene description (DUF3879)', 181, NULL, 'DUF3879', 29879),
(86154, 'PF00060', NULL, 'Ligand-gated ion channel', 149, NULL, 'Lig_chan', 29880),
(86155, 'PF13919', NULL, 'Asx homology domain', 139, NULL, 'ASXH', 29881),
(86156, 'PF01041', NULL, 'DegT/DnrJ/EryC1/StrS aminotransferase family', 360, NULL, 'DegT_DnrJ_EryC1', 29882),
(86157, 'PF06549', NULL, 'Protein of unknown function (DUF1118)', 115, NULL, 'DUF1118', 29883),
(86158, 'PF09114', NULL, 'Transcription factor MotA, activation domain', 95, NULL, 'MotA_activ', 29884),
(86159, 'PF17886', NULL, 'HSP20-like domain found in ArsA', 63, NULL, 'ArsA_HSP20', 29885),
(86160, 'PF04776', NULL, 'Protein MS5', 120, NULL, 'protein_MS5', 29886),
(86161, 'PF00724', NULL, 'NADH:flavin oxidoreductase / NADH oxidase family', 342, NULL, 'Oxidored_FMN', 29887),
(86162, 'PF05186', NULL, 'Dpy-30 motif', 42, NULL, 'Dpy-30', 29888),
(86163, 'PF08221', NULL, 'RNA polymerase III subunit RPC82 helix-turn-helix domain', 62, NULL, 'HTH_9', 29889),
(86164, 'PF09798', NULL, 'DNA damage checkpoint protein', 613, NULL, 'LCD1', 29890),
(86165, 'PF12319', NULL, 'Tryptophan-Threonine-rich plasmodium antigen C terminal', 216, NULL, 'TryThrA_C', 29891),
(86166, 'PF01061', NULL, 'ABC-2 type transporter', 210, NULL, 'ABC2_membrane', 29892),
(86167, 'PF03379', NULL, 'CcmB protein', 215, NULL, 'CcmB', 29893),
(86168, 'PF19865', NULL, 'Family of unknown function (DUF6338)', 205, NULL, 'DUF6338', 29894),
(86169, 'PF08570', NULL, 'Protein of unknown function (DUF1761)', 125, NULL, 'DUF1761', 29895),
(86170, 'PF15367', NULL, 'Calcium-binding and spermatid-specific protein 1', 397, NULL, 'CABS1', 29896),
(86171, 'PF17374', NULL, 'Family of unknown function (DUF5396)', 947, NULL, 'DUF5396', 29897),
(86172, 'PF01032', NULL, 'FecCD transport family', 312, NULL, 'FecCD', 29898),
(86173, 'PF05838', NULL, 'Glycosyl hydrolase 108', 85, NULL, 'Glyco_hydro_108', 29899),
(86174, 'PF04825', NULL, 'N terminus of Rad21 / Rec8 like protein', 111, NULL, 'Rad21_Rec8_N', 29900),
(86175, 'PF04765', NULL, 'Protein of unknown function (DUF616)', 314, NULL, 'DUF616', 29901),
(86176, 'PF14945', NULL, 'Normal lung function maintenance, Low in Lung Cancer 1 protein', 119, NULL, 'LLC1', 29902),
(86177, 'PF15148', NULL, 'Apolipoprotein F', 199, NULL, 'Apolipo_F', 29903);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(86178, 'PF13233', NULL, 'Complex1_LYR-like', 82, NULL, 'Complex1_LYR_2', 29904),
(86179, 'PF13696', NULL, 'Zinc knuckle', 21, NULL, 'zf-CCHC_2', 29905),
(86180, 'PF18300', NULL, 'Domain of unknown function (DUF5604)', 58, NULL, 'DUF5604', 29906),
(86181, 'PF16028', NULL, 'Solute carrier family 3 member 2 N-terminus', 77, NULL, 'SLC3A2_N', 29907),
(86182, 'PF02815', NULL, 'MIR domain', 186, NULL, 'MIR', 29908),
(86183, 'PF08166', NULL, 'NUC202 domain', 61, NULL, 'NUC202', 29909),
(86184, 'PF03900', NULL, 'Porphobilinogen deaminase, C-terminal domain', 75, NULL, 'Porphobil_deamC', 29910),
(86185, 'PF02984', NULL, 'Cyclin, C-terminal domain', 119, NULL, 'Cyclin_C', 29911),
(86186, 'PF04893', NULL, 'Yip1 domain', 173, NULL, 'Yip1', 29912),
(86187, 'PF02462', NULL, 'Opacity family porin protein', 132, NULL, 'Opacity', 29913),
(86188, 'PF14960', NULL, 'ATP synthase regulation', 50, NULL, 'ATP_synth_reg', 29914),
(86189, 'PF11321', NULL, 'Protein of unknown function (DUF3123)', 123, NULL, 'DUF3123', 29915),
(86190, 'PF10854', NULL, 'Protein of unknown function (DUF2649)', 67, NULL, 'DUF2649', 29916),
(86191, 'PF03551', NULL, 'Transcriptional regulator PadR-like family', 75, NULL, 'PadR', 29917),
(86192, 'PF06276', NULL, 'Ferric iron reductase FhuF-like transporter', 163, NULL, 'FhuF', 29918),
(86193, 'PF12889', NULL, 'Protein of unknown function (DUF3829)', 283, NULL, 'DUF3829', 29919),
(86194, 'PF07827', NULL, 'KNTase C-terminal domain', 132, NULL, 'KNTase_C', 29920),
(86195, 'PF08775', NULL, 'ParB family', 125, NULL, 'ParB', 29921),
(86196, 'PF13040', NULL, 'Fur-regulated basic protein B', 39, NULL, 'Fur_reg_FbpB', 29922),
(86197, 'PF02222', NULL, 'ATP-grasp domain', 171, NULL, 'ATP-grasp', 29923),
(86198, 'PF03249', NULL, 'Type specific antigen', 510, NULL, 'TSA', 29924),
(86199, 'PF19752', NULL, 'Family of unknown function (DUF6239)', 179, NULL, 'DUF6239', 29925),
(86200, 'PF00308', NULL, 'Bacterial dnaA  protein', 219, NULL, 'Bac_DnaA', 29926),
(86201, 'PF00438', NULL, 'S-adenosylmethionine synthetase, N-terminal domain', 99, NULL, 'S-AdoMet_synt_N', 29927),
(86202, 'PF06917', NULL, 'Periplasmic pectate lyase', 556, NULL, 'Pectate_lyase_2', 29928),
(86203, 'PF18176', NULL, 'KptA in kinetoplastid DICER domain', 159, NULL, 'KptA_kDCL', 29929),
(86204, 'PF04753', NULL, 'Coronavirus non-structural protein NS12.7 family', 109, NULL, 'Corona_NS12-7', 29930),
(86205, 'PF08368', NULL, 'FAST kinase-like protein, subdomain 2', 89, NULL, 'FAST_2', 29931),
(86206, 'PF03776', NULL, 'Septum formation topological specificity factor MinE', 68, NULL, 'MinE', 29932),
(86207, 'PF00029', NULL, 'Connexin', 228, NULL, 'Connexin', 29933),
(86208, 'PF02679', NULL, '(2R)-phospho-3-sulfolactate synthase (ComA)', 243, NULL, 'ComA', 29934),
(86209, 'PF00822', NULL, 'PMP-22/EMP/MP20/Claudin family', 166, NULL, 'PMP22_Claudin', 29935),
(86210, 'PF03174', NULL, 'Chitobiase/beta-hexosaminidase C-terminal domain', 75, NULL, 'CHB_HEX_C', 29936),
(86211, 'PF14538', NULL, 'Raptor N-terminal CASPase like domain', 151, NULL, 'Raptor_N', 29937),
(86212, 'PF19688', NULL, 'Family of unknown function (DUF6189)', 102, NULL, 'DUF6189', 29938),
(86213, 'PF12637', NULL, 'TSCPD domain', 74, NULL, 'TSCPD', 29939),
(86214, 'PF19423', NULL, 'E3 ubiquitin-protein ligases UBR4 N-terminal', 1594, NULL, 'E3_UBR4_N', 29940),
(86215, 'PF03834', NULL, 'Binding domain of DNA repair protein Ercc1 (rad10/Swi10)', 116, NULL, 'Rad10', 29941),
(86216, 'PF17983', NULL, 'Trypsin inhibitors 1,2 and 3', 33, NULL, 'Tryp_inh', 29942),
(86217, 'PF15058', NULL, 'Speriolin N terminus', 232, NULL, 'Speriolin_N', 29943),
(86218, 'PF14368', NULL, 'Probable lipid transfer', 99, NULL, 'LTP_2', 29944),
(86219, 'PF20080', NULL, 'ALTTAQ repeat', 38, NULL, 'ALTTAQ_rpt', 29945),
(86220, 'PF14418', NULL, 'OST-HTH Associated domain', 77, NULL, 'OHA', 29946),
(86221, 'PF04248', NULL, 'Domain of unknown function (DUF427)', 93, NULL, 'NTP_transf_9', 29947),
(86222, 'PF01403', NULL, 'Sema domain', 420, NULL, 'Sema', 29948),
(86223, 'PF03199', NULL, 'Eukaryotic glutathione synthase', 107, NULL, 'GSH_synthase', 29949);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(86224, 'PF02142', NULL, 'MGS-like domain', 95, NULL, 'MGS', 29950),
(86225, 'PF04074', NULL, 'YhcH/YjgK/YiaL', 148, NULL, 'DUF386', 29951),
(86226, 'PF17310', NULL, 'Family of unknown function (DUF5357)', 322, NULL, 'DUF5357', 29952),
(86227, 'PF12572', NULL, 'Protein of unknown function (DUF3752)', 153, NULL, 'DUF3752', 29953),
(86228, 'PF14371', NULL, 'Domain of unknown function (DUF4412)', 191, NULL, 'DUF4412', 29954),
(86229, 'PF18186', NULL, 'SMODS and SLOG-associating 2TM effector domain family 4', 165, NULL, 'SLATT_4', 29955),
(86230, 'PF16305', NULL, 'Domain of unknown function (DUF4947)', 167, NULL, 'DUF4947', 29956),
(86231, 'PF08855', NULL, 'Domain of unknown function (DUF1825)', 103, NULL, 'DUF1825', 29957),
(86232, 'PF15689', NULL, 'Nuclear receptor-interacting protein 1 repression 3', 88, NULL, 'NRIP1_repr_3', 29958),
(86233, 'PF13767', NULL, 'Domain of unknown function (DUF4168)', 90, NULL, 'DUF4168', 29959),
(86234, 'PF04273', NULL, 'Putative phosphatase (DUF442)', 110, NULL, 'DUF442', 29960),
(86235, 'PF17065', NULL, 'Putative cytokine, C6ORF120', 185, NULL, 'UPF0669', 29961),
(86236, 'PF19721', NULL, 'Family of unknown function (DUF6215)', 135, NULL, 'DUF6215', 29962),
(86237, 'PF06931', NULL, 'Mastadenovirus E4 ORF3 protein', 113, NULL, 'Adeno_E4_ORF3', 29963),
(86238, 'PF04596', NULL, 'Poxvirus protein F15', 137, NULL, 'Pox_F15', 29964),
(86239, 'PF13993', NULL, 'YccJ-like protein', 67, NULL, 'YccJ', 29965),
(86240, 'PF08341', NULL, 'Thioester domain', 104, NULL, 'TED', 29966),
(86241, 'PF16326', NULL, 'ABC transporter C-terminal domain', 69, NULL, 'ABC_tran_CTD', 29967),
(86242, 'PF01700', NULL, 'Orbivirus VP3 (T2) protein', 888, NULL, 'Orbi_VP3', 29968),
(86243, 'PF19833', NULL, 'ATP-dependent DNA helicase RecG C-terminal', 87, NULL, 'RecG_C', 29969),
(86244, 'PF07886', NULL, 'BA14K-like protein', 30, NULL, 'BA14K', 29970),
(86245, 'PF00571', NULL, 'CBS domain', 57, NULL, 'CBS', 29971),
(86246, 'PF10048', NULL, 'Predicted integral membrane protein (DUF2282)', 53, NULL, 'DUF2282', 29972),
(86247, 'PF12362', NULL, 'DNA polymerase III gamma and tau subunits C terminal', 114, NULL, 'DUF3646', 29973),
(86248, 'PF20099', NULL, 'Family of unknown function (DUF6489)', 80, NULL, 'DUF6489', 29974),
(86249, 'PF06029', NULL, 'AlkA N-terminal domain', 116, NULL, 'AlkA_N', 29975),
(86250, 'PF11731', NULL, 'Pathogenicity locus', 86, NULL, 'Cdd1', 29976),
(86251, 'PF15719', NULL, 'Domain of unknown function (DUF4674)', 192, NULL, 'DUF4674', 29977),
(86252, 'PF08250', NULL, 'Sperm-activating peptides', 10, NULL, 'Sperm_act_pep', 29978),
(86253, 'PF12538', NULL, 'DNA transporter', 117, NULL, 'FtsK_SpoIIIE_N', 29979),
(86254, 'PF14300', NULL, 'Domain of unknown function (DUF4375)', 120, NULL, 'DUF4375', 29980),
(86255, 'PF03367', NULL, 'ZPR1 zinc-finger domain', 162, NULL, 'zf-ZPR1', 29981),
(86256, 'PF04845', NULL, 'PurA ssDNA and RNA-binding protein', 219, NULL, 'PurA', 29982),
(86257, 'PF09198', NULL, 'Bacteriophage T4 beta-glucosyltransferase', 38, NULL, 'T4-Gluco-transf', 29983),
(86258, 'PF07285', NULL, 'Protein of unknown function (DUF1444)', 264, NULL, 'DUF1444', 29984),
(86259, 'PF06888', NULL, 'Putative Phosphatase', 234, NULL, 'Put_Phosphatase', 29985),
(86260, 'PF11006', NULL, 'Protein of unknown function (DUF2845)', 83, NULL, 'DUF2845', 29986),
(86261, 'PF14662', NULL, 'Coiled-coil region of CCDC155 or KASH', 191, NULL, 'KASH_CCD', 29987),
(86262, 'PF00154', NULL, 'recA bacterial DNA recombination protein', 262, NULL, 'RecA', 29988),
(86263, 'PF08099', NULL, 'Scorpion calcine family', 33, NULL, 'Toxin_27', 29989),
(86264, 'PF11628', NULL, 'T-cell surface glycoprotein CD3 zeta chain', 31, NULL, 'TCR_zetazeta', 29990),
(86265, 'PF01717', NULL, 'Cobalamin-independent synthase, Catalytic domain', 324, NULL, 'Meth_synt_2', 29991),
(86266, 'PF08989', NULL, 'Domain of unknown function (DUF1896)', 142, NULL, 'DUF1896', 29992),
(86267, 'PF12087', NULL, 'Protein of unknown function (DUF3564)', 120, NULL, 'DUF3564', 29993),
(86268, 'PF18066', NULL, 'Phage ABA sandwich domain', 92, NULL, 'Phage_ABA_S', 29994); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(86269, 'PF18480', NULL, 'Domain of unknown function (DUF5615)', 77, NULL, 'DUF5615', 29995),
(86270, 'PF18663', NULL, 'Pallilysin beta barrel domain', 118, NULL, 'Pallilysin', 29996),
(86271, 'PF18334', NULL, 'Exoribonuclease Xrn1 D2/D3 domain', 87, NULL, 'XRN1_D2_D3', 29997),
(86272, 'PF15115', NULL, 'Domain of unknown function with conserved HDNR motif', 177, NULL, 'HDNR', 29998),
(86273, 'PF01754', NULL, 'A20-like zinc finger', 24, NULL, 'zf-A20', 29999),
(86274, 'PF06288', NULL, 'Protein of unknown function (DUF1040)', 86, NULL, 'DUF1040', 30000),
(86275, 'PF04997', NULL, 'RNA polymerase Rpb1, domain 1', 312, NULL, 'RNA_pol_Rpb1_1', 30001),
(86276, 'PF18001', NULL, 'Interleukin-13 receptor subunit alpha Ig-like domain', 95, NULL, 'Il13Ra_Ig', 30002),
(86277, 'PF10246', NULL, 'Mitochondrial ribosomal protein MRP-S35', 105, NULL, 'MRP-S35', 30003),
(86278, 'PF09466', NULL, 'Hypothetical protein Yqai', 66, NULL, 'Yqai', 30004),
(86279, 'PF00622', NULL, 'SPRY domain', 120, NULL, 'SPRY', 30005),
(86280, 'PF03686', NULL, 'Uncharacterised protein family (UPF0146)', 129, NULL, 'UPF0146', 30006),
(86281, 'PF01285', NULL, 'TEA/ATTS domain', 68, NULL, 'TEA', 30007),
(86282, 'PF12202', NULL, 'Oxidative-stress-responsive kinase 1 C-terminal domain', 63, NULL, 'OSR1_C', 30008),
(86283, 'PF14495', NULL, 'Cytochrome c-550 domain', 136, NULL, 'Cytochrom_C550', 30009),
(86284, 'PF06307', NULL, 'Herpesvirus IR6 protein', 214, NULL, 'Herpes_IR6', 30010),
(86285, 'PF11964', NULL, 'SpoIIAA-like', 95, NULL, 'SpoIIAA-like', 30011),
(86286, 'PF10772', NULL, 'Protein of unknown function (DUF2597)', 134, NULL, 'DUF2597', 30012),
(86287, 'PF00027', NULL, 'Cyclic nucleotide-binding domain', 89, NULL, 'cNMP_binding', 30013),
(86288, 'PF05648', NULL, 'Peroxisomal biogenesis factor 11 (PEX11)', 223, NULL, 'PEX11', 30014),
(86289, 'PF08115', NULL, 'SFI toxin family', 35, NULL, 'Toxin_28', 30015),
(86290, 'PF16621', NULL, 'SH3 terminal domain of 2nd SH3 on Neutrophil cytosol factor 1', 50, NULL, 'NECFESHC', 30016),
(86291, 'PF19032', NULL, 'Intu longin-like domain 2', 128, NULL, 'Intu_longin_2', 30017),
(86292, 'PF05578', NULL, 'Pestivirus NS3 polyprotein peptidase S31', 211, NULL, 'Peptidase_S31', 30018),
(86293, 'PF06442', NULL, 'R67 dihydrofolate reductase', 78, NULL, 'DHFR_2', 30019),
(86294, 'PF07386', NULL, 'Protein of unknown function (DUF1499)', 117, NULL, 'DUF1499', 30020),
(86295, 'PF08312', NULL, 'cwf21 domain', 44, NULL, 'cwf21', 30021),
(86296, 'PF19637', NULL, 'Family of unknown function (DUF6140)', 69, NULL, 'DUF6140', 30022),
(86297, 'PF11418', NULL, 'Phi29 scaffolding protein', 99, NULL, 'Scaffolding_pro', 30023),
(86298, 'PF19348', NULL, 'Family of unknown function (DUF5926)', 266, NULL, 'DUF5926', 30024),
(86299, 'PF14931', NULL, 'Intraflagellar transport complex B, subunit 20', 119, NULL, 'IFT20', 30025),
(86300, 'PF07372', NULL, 'Protein of unknown function (DUF1491)', 104, NULL, 'DUF1491', 30026),
(86301, 'PF02664', NULL, 'S-Ribosylhomocysteinase (LuxS)', 154, NULL, 'LuxS', 30027),
(86302, 'PF14274', NULL, 'Domain of unknown function (DUF4361)', 140, NULL, 'DUF4361', 30028),
(86303, 'PF03620', NULL, 'IBV 3C protein', 92, NULL, 'IBV_3C', 30029),
(86304, 'PF18687', NULL, 'Family of unknown function (DUF5637)', 33, NULL, 'DUF5637', 30030),
(86305, 'PF19935', NULL, 'Domain of unknown function (DUF6398)', 106, NULL, 'DUF6398', 30031),
(86306, 'PF17158', NULL, 'Membrane-associated sensor, integral membrane domain', 239, NULL, 'MASE4', 30032),
(86307, 'PF02372', NULL, 'Interleukin 15', 135, NULL, 'IL15', 30033),
(86308, 'PF09805', NULL, 'Nucleolar protein 12 (25kDa)', 134, NULL, 'Nop25', 30034),
(86309, 'PF01239', NULL, 'Protein prenyltransferase alpha subunit repeat', 32, NULL, 'PPTA', 30035),
(86310, 'PF05844', NULL, 'YopD protein', 297, NULL, 'YopD', 30036),
(86311, 'PF06607', NULL, 'Prokineticin', 97, NULL, 'Prokineticin', 30037),
(86312, 'PF16910', NULL, 'Repeating coiled region of VPS13', 236, NULL, 'VPS13_mid_rpt', 30038),
(86313, 'PF08941', NULL, 'USP8 interacting', 179, NULL, 'USP8_interact', 30039);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(86314, 'PF11728', NULL, 'Putative aromatic acid exporter C-terminal domain', 166, NULL, 'ArAE_1_C', 30040),
(86315, 'PF10396', NULL, 'GTP-binding protein TrmE N-terminus', 116, NULL, 'TrmE_N', 30041),
(86316, 'PF01504', NULL, 'Phosphatidylinositol-4-phosphate 5-Kinase', 276, NULL, 'PIP5K', 30042),
(86317, 'PF04862', NULL, 'Protein of unknown function (DUF642)', 157, NULL, 'DUF642', 30043),
(86318, 'PF11855', NULL, 'Protein of unknown function (DUF3375)', 475, NULL, 'DUF3375', 30044),
(86319, 'PF03035', NULL, 'Calicivirus putative RNA polymerase/capsid protein', 226, NULL, 'RNA_capsid', 30045),
(86320, 'PF17439', NULL, 'Family of unknown function (DUF5418)', 151, NULL, 'DUF5418', 30046),
(86321, 'PF04129', NULL, 'Vps52 / Sac2 family', 508, NULL, 'Vps52', 30047),
(86322, 'PF05980', NULL, 'Toxin 7', 34, NULL, 'Toxin_7', 30048),
(86323, 'PF10118', NULL, 'Predicted metal-dependent hydrolase', 244, NULL, 'Metal_hydrol', 30049),
(86324, 'PF10673', NULL, 'Protein of unknown function (DUF2487)', 142, NULL, 'DUF2487', 30050),
(86325, 'PF01855', NULL, 'Pyruvate flavodoxin/ferredoxin oxidoreductase, thiamine diP-bdg', 231, NULL, 'POR_N', 30051),
(86326, 'PF09429', NULL, 'WW domain binding protein 11', 78, NULL, 'Wbp11', 30052),
(86327, 'PF13974', NULL, 'YebO-like protein', 78, NULL, 'YebO', 30053),
(86328, 'PF02676', NULL, 'Methyltransferase TYW3', 213, NULL, 'TYW3', 30054),
(86329, 'PF04122', NULL, 'ell wall binding domain 2 (CWB2)', 69, NULL, 'CW_binding_2', 30055),
(86330, 'PF01062', NULL, 'Bestrophin, RFP-TM, chloride channel', 290, NULL, 'Bestrophin', 30056),
(86331, 'PF19209', NULL, 'Coronavirus spike glycoprotein S1, C-terminal', 58, NULL, 'CoV_S1_C', 30057),
(86332, 'PF19548', NULL, 'Chordin-like protein 1/2 C-terminal', 120, NULL, 'CHRDL_1_2_C', 30058),
(86333, 'PF09510', NULL, 'Rtt102p-like transcription regulator protein', 132, NULL, 'Rtt102p', 30059),
(86334, 'PF13916', NULL, 'PP1-regulatory protein, Phostensin N-terminal', 86, NULL, 'Phostensin_N', 30060),
(86335, 'PF18609', NULL, 'Exuperantia SAM-like domain', 73, NULL, 'SAM_Exu', 30061),
(86336, 'PF18896', NULL, 'Lysozyme like domain', 89, NULL, 'SLT_3', 30062),
(86337, 'PF18360', NULL, 'Heterogeneous nuclear ribonucleoprotein Q acidic domain', 70, NULL, 'hnRNP_Q_AcD', 30063),
(86338, 'PF06757', NULL, 'Insect allergen related repeat, nitrile-specifier detoxification', 183, NULL, 'Ins_allergen_rp', 30064),
(86339, 'PF18791', NULL, 'Transport inhibitor response 1 protein domain', 47, NULL, 'Transp_inhibit', 30065),
(86340, 'PF00185', NULL, 'Aspartate/ornithine carbamoyltransferase, Asp/Orn binding domain', 157, NULL, 'OTCace', 30066),
(86341, 'PF15736', NULL, 'Domain of unknown function (DUF4684)', 454, NULL, 'DUF4684', 30067),
(86342, 'PF03511', NULL, 'Fanconi anaemia group A protein', 63, NULL, 'Fanconi_A', 30068),
(86343, 'PF11597', NULL, 'Mediator complex subunit 13 N-terminal', 319, NULL, 'Med13_N', 30069),
(86344, 'PF06174', NULL, 'Protein of unknown function (DUF987)', 65, NULL, 'DUF987', 30070),
(86345, 'PF19081', NULL, 'Ig-like domain CHU_C associated', 84, NULL, 'Ig_7', 30071),
(86346, 'PF10450', NULL, 'POC1 chaperone', 273, NULL, 'POC1', 30072),
(86347, 'PF17027', NULL, 'Histone-fold protein', 119, NULL, 'Bromo_TP_like', 30073),
(86348, 'PF09179', NULL, 'TilS substrate binding domain', 67, NULL, 'TilS', 30074),
(86349, 'PF15057', NULL, 'Domain of unknown function (DUF4537)', 124, NULL, 'DUF4537', 30075),
(86350, 'PF01954', NULL, 'Protein of unknown function DUF104', 59, NULL, 'DUF104', 30076),
(86351, 'PF05655', NULL, 'Pseudomonas avirulence D protein (AvrD)', 332, NULL, 'AvrD', 30077),
(86352, 'PF03040', NULL, 'CemA family', 229, NULL, 'CemA', 30078),
(86353, 'PF11065', NULL, 'Protein of unknown function (DUF2866)', 64, NULL, 'DUF2866', 30079),
(86354, 'PF12738', NULL, 'twin BRCT domain', 63, NULL, 'PTCB-BRCT', 30080),
(86355, 'PF03830', NULL, 'PTS system sorbose subfamily IIB component', 148, NULL, 'PTSIIB_sorb', 30081),
(86356, 'PF15811', NULL, 'Small VCP/p97-interacting protein', 77, NULL, 'SVIP', 30082),
(86357, 'PF08108', NULL, 'Halocidin family', 15, NULL, 'Antimicrobial13', 30083);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(86358, 'PF13167', NULL, 'GTP-binding GTPase N-terminal', 89, NULL, 'GTP-bdg_N', 30084),
(86359, 'PF10312', NULL, 'Conserved mid region of cactin', 192, NULL, 'Cactin_mid', 30085),
(86360, 'PF07080', NULL, 'Protein of unknown function (DUF1348)', 130, NULL, 'DUF1348', 30086),
(86361, 'PF12524', NULL, 'dsDNA virus glycoprotein L C terminal', 65, NULL, 'GlyL_C', 30087),
(86362, 'PF09116', NULL, 'gp45 sliding clamp, C terminal', 105, NULL, 'gp45-slide_C', 30088),
(86363, 'PF11404', NULL, 'Potassium voltage-gated channel', 29, NULL, 'Potassium_chann', 30089),
(86364, 'PF13646', NULL, 'HEAT repeats', 88, NULL, 'HEAT_2', 30090),
(86365, 'PF16129', NULL, 'Domain of unknown function (DUF4841)', 69, NULL, 'DUF4841', 30091),
(86366, 'PF20067', NULL, 'Adipocyte plasma membrane-associated protein-like, N-terminal', 46, NULL, 'APMAP_N', 30092),
(86367, 'PF17391', NULL, 'Urocanase N-terminal domain', 127, NULL, 'Urocanase_N', 30093),
(86368, 'PF07786', NULL, 'Heparan-alpha-glucosaminide N-acetyltransferase, catalytic', 223, NULL, 'HGSNAT_cat', 30094),
(86369, 'PF11800', NULL, 'Replication protein C C-terminal region', 102, NULL, 'RP-C_C', 30095),
(86370, 'PF18101', NULL, 'Pan3 Pseudokinase domain', 138, NULL, 'Pan3_PK', 30096),
(86371, 'PF02342', NULL, 'TerD domain', 187, NULL, 'TerD', 30097),
(86372, 'PF20013', NULL, 'GTPase-associated protein 1, N-terminal domain type 2', 137, NULL, 'GAP1-N2', 30098),
(86373, 'PF01401', NULL, 'Angiotensin-converting enzyme', 567, NULL, 'Peptidase_M2', 30099),
(86374, 'PF12288', NULL, 'Carboxysome shell peptide mid-region', 421, NULL, 'CsoS2_M', 30100),
(86375, 'PF06925', NULL, 'Monogalactosyldiacylglycerol (MGDG) synthase', 169, NULL, 'MGDG_synth', 30101),
(86376, 'PF04871', NULL, 'Uso1 / p115 like vesicle tethering protein, C terminal region', 124, NULL, 'Uso1_p115_C', 30102),
(86377, 'PF06456', NULL, 'Arfaptin-like domain', 229, NULL, 'Arfaptin', 30103),
(86378, 'PF08518', NULL, 'Spa2 homology domain (SHD) of GIT', 29, NULL, 'GIT_SHD', 30104),
(86379, 'PF02001', NULL, 'Protein of unknown function  DUF134', 98, NULL, 'DUF134', 30105),
(86380, 'PF20133', NULL, 'Family of unknown function (DUF6523)', 139, NULL, 'DUF6523', 30106),
(86381, 'PF10853', NULL, 'Protein of unknown function (DUF2650)', 37, NULL, 'DUF2650', 30107),
(86382, 'PF14646', NULL, 'MYCBP-associated protein family', 438, NULL, 'MYCBPAP', 30108),
(86383, 'PF01579', NULL, 'Domain of unknown function (DUF19)', 158, NULL, 'DUF19', 30109),
(86384, 'PF03998', NULL, 'Utp11 protein', 245, NULL, 'Utp11', 30110),
(86385, 'PF17816', NULL, 'PDZ domain', 114, NULL, 'PDZ_4', 30111),
(86386, 'PF03884', NULL, 'DNA gyrase inhibitor YacG', 52, NULL, 'YacG', 30112),
(86387, 'PF02579', NULL, 'Dinitrogenase iron-molybdenum cofactor', 94, NULL, 'Nitro_FeMo-Co', 30113),
(86388, 'PF18953', NULL, 'SAP domain-containing new25', 51, NULL, 'SAP_new25', 30114),
(86389, 'PF18963', NULL, 'Family of unknown function (DUF5703)', 51, NULL, 'DUF5703', 30115),
(86390, 'PF09449', NULL, 'Domain of unknown function (DUF2020)', 144, NULL, 'DUF2020', 30116),
(86391, 'PF01108', NULL, 'Tissue factor', 107, NULL, 'Tissue_fac', 30117),
(86392, 'PF01399', NULL, 'PCI domain', 105, NULL, 'PCI', 30118),
(86393, 'PF16329', NULL, 'Pestivirus envelope glycoprotein E2', 372, NULL, 'Pestivirus_E2', 30119),
(86394, 'PF03125', NULL, 'C. elegans Sre G protein-coupled chemoreceptor', 365, NULL, 'Sre', 30120),
(86395, 'PF13402', NULL, 'Peptidase M60, enhancin and enhancin-like', 269, NULL, 'Peptidase_M60', 30121),
(86396, 'PF15016', NULL, 'Domain of unknown function (DUF4520)', 91, NULL, 'DUF4520', 30122),
(86397, 'PF19296', NULL, 'Domain of unknown function (DUF5913)', 185, NULL, 'DUF5913', 30123),
(86398, 'PF01558', NULL, 'Pyruvate ferredoxin/flavodoxin oxidoreductase', 176, NULL, 'POR', 30124),
(86399, 'PF03718', NULL, 'Glycosyl hydrolase family 49', 118, NULL, 'Glyco_hydro_49', 30125),
(86400, 'PF19194', NULL, 'Family of unknown function (DUF5869)', 159, NULL, 'DUF5869', 30126),
(86401, 'PF00809', NULL, 'Pterin binding enzyme', 244, NULL, 'Pterin_bind', 30127);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(86402, 'PF15973', NULL, 'Domain of unknown function (DUF4766)', 115, NULL, 'DUF4766', 30128),
(86403, 'PF12608', NULL, 'Type IVb secretion, IcmS, effector-recruitment', 93, NULL, 'T4bSS_IcmS', 30129),
(86404, 'PF02272', NULL, 'DHHA1 domain', 138, NULL, 'DHHA1', 30130),
(86405, 'PF08980', NULL, 'Domain of unknown function (DUF1883)', 89, NULL, 'DUF1883', 30131),
(86406, 'PF15694', NULL, 'Mediator complex subunit 26 middle domain', 255, NULL, 'Med26_M', 30132),
(86407, 'PF16037', NULL, 'Domain of unknown function (DUF4790)', 93, NULL, 'DUF4790', 30133),
(86408, 'PF07966', NULL, 'A1 Propeptide', 29, NULL, 'A1_Propeptide', 30134),
(86409, 'PF13804', NULL, 'Retro-transcribing viruses envelope glycoprotein', 169, NULL, 'HERV-K_env_2', 30135),
(86410, 'PF10600', NULL, 'PDZ-associated domain of NMDA receptors', 70, NULL, 'PDZ_assoc', 30136),
(86411, 'PF17458', NULL, 'Family of unknown function (DUF5421)', 283, NULL, 'DUF5421', 30137),
(86412, 'PF05752', NULL, 'Calicivirus minor structural protein', 165, NULL, 'Calici_MSP', 30138),
(86413, 'PF09178', NULL, 'Domain of unknown function (DUF1945)', 50, NULL, 'DUF1945', 30139),
(86414, 'PF06632', NULL, 'DNA double-strand break repair and V(D)J recombination protein XRCC4', 337, NULL, 'XRCC4', 30140),
(86415, 'PF01396', NULL, 'Topoisomerase DNA binding C4 zinc finger', 39, NULL, 'zf-C4_Topoisom', 30141),
(86416, 'PF03187', NULL, 'Corona nucleocapsid I protein', 207, NULL, 'Corona_I', 30142),
(86417, 'PF03336', NULL, 'Poxvirus C4/C10 protein', 322, NULL, 'Pox_C4_C10', 30143),
(86418, 'PF18047', NULL, 'PatG Domain', 118, NULL, 'PatG_D', 30144),
(86419, 'PF03305', NULL, 'Mycoplasma MG185/MG260 protein', 183, NULL, 'Lipoprotein_X', 30145),
(86420, 'PF10618', NULL, 'Phage tail tube protein', 117, NULL, 'Tail_tube', 30146),
(86421, 'PF05089', NULL, 'Alpha-N-acetylglucosaminidase (NAGLU) tim-barrel domain', 333, NULL, 'NAGLU', 30147),
(86422, 'PF13142', NULL, 'Domain of unknown function (DUF3960)', 89, NULL, 'DUF3960', 30148),
(86423, 'PF05460', NULL, 'Origin recognition complex subunit 6 (ORC6)', 357, NULL, 'ORC6', 30149),
(86424, 'PF07405', NULL, 'Protein of unknown function (DUF1506)', 127, NULL, 'DUF1506', 30150),
(86425, 'PF09698', NULL, 'Geobacter CxxxxCH...CXXCH motif (GSu_C4xC__C2xCH)', 36, NULL, 'GSu_C4xC__C2xCH', 30151),
(86426, 'PF11996', NULL, 'Protein of unknown function (DUF3491)', 944, NULL, 'DUF3491', 30152),
(86427, 'PF08491', NULL, 'Squalene epoxidase', 276, NULL, 'SE', 30153),
(86428, 'PF14859', NULL, 'Colicin M', 270, NULL, 'Colicin_M', 30154),
(86429, 'PF14591', NULL, 'AF0941-like', 113, NULL, 'AF0941-like', 30155),
(86430, 'PF09902', NULL, 'Uncharacterized protein conserved in bacteria (DUF2129)', 70, NULL, 'DUF2129', 30156),
(86431, 'PF03414', NULL, 'Glycosyltransferase family 6', 313, NULL, 'Glyco_transf_6', 30157),
(86432, 'PF02778', NULL, 'tRNA intron endonuclease, N-terminal domain', 67, NULL, 'tRNA_int_endo_N', 30158),
(86433, 'PF03562', NULL, 'MltA specific insert domain', 226, NULL, 'MltA', 30159),
(86434, 'PF18008', NULL, 'Replication initiator protein A C-terminal domain', 95, NULL, 'Bac_RepA_C', 30160),
(86435, 'PF05633', NULL, 'Protein BYPASS1-related', 384, NULL, 'BPS1', 30161),
(86436, 'PF10046', NULL, 'Biogenesis of lysosome-related organelles complex-1 subunit 2', 96, NULL, 'BLOC1_2', 30162),
(86437, 'PF05738', NULL, 'Cna protein B-type domain', 90, NULL, 'Cna_B', 30163),
(86438, 'PF09782', NULL, 'NADH:ubiquinone oxidoreductase, NDUFB6/B17 subunit', 156, NULL, 'NDUF_B6', 30164),
(86439, 'PF04863', NULL, 'Alliinase EGF-like domain', 55, NULL, 'EGF_alliinase', 30165),
(86440, 'PF03889', NULL, 'Alternative ribosome-rescue factor A', 44, NULL, 'ArfA', 30166),
(86441, 'PF17097', NULL, 'Spindle pole body component', 362, NULL, 'Kre28', 30167),
(86442, 'PF00034', NULL, 'Cytochrome c', 92, NULL, 'Cytochrom_C', 30168),
(86443, 'PF09089', NULL, 'Phage short tail fibre protein gp12, middle domain', 81, NULL, 'gp12-short_mid', 30169),
(86444, 'PF11646', NULL, 'Protein of unknown function DUF3258', 111, NULL, 'DUF3258', 30170),
(86445, 'PF09226', NULL, 'Restriction endonuclease HincII', 247, NULL, 'Endonuc-HincII', 30171); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(86446, 'PF06400', NULL, 'Alpha-2-macroglobulin RAP, N-terminal domain', 118, NULL, 'Alpha-2-MRAP_N', 30172),
(86447, 'PF09243', NULL, 'Mitochondrial small ribosomal subunit Rsm22', 287, NULL, 'Rsm22', 30173),
(86448, 'PF04131', NULL, 'Putative N-acetylmannosamine-6-phosphate epimerase', 192, NULL, 'NanE', 30174),
(86449, 'PF14834', NULL, 'Glutathione S-transferase, C-terminal domain', 117, NULL, 'GST_C_4', 30175),
(86450, 'PF18976', NULL, 'Family of unknown function (DUF5712)', 296, NULL, 'DUF5712', 30176),
(86451, 'PF11278', NULL, 'Protein of unknown function (DUF3079)', 51, NULL, 'DUF3079', 30177),
(86452, 'PF09109', NULL, 'Switch protein XOL-1, GHMP-like', 189, NULL, 'Xol-1_GHMP-like', 30178),
(86453, 'PF12772', NULL, 'Growth hormone receptor binding', 303, NULL, 'GHBP', 30179),
(86454, 'PF18070', NULL, 'CRISPR-Cas9 PI domain', 59, NULL, 'Cas9_PI2', 30180),
(86455, 'PF04775', NULL, 'Acyl-CoA thioester hydrolase/BAAT N-terminal region', 127, NULL, 'Bile_Hydr_Trans', 30181),
(86456, 'PF13442', NULL, 'Cytochrome C oxidase, cbb3-type, subunit III', 67, NULL, 'Cytochrome_CBB3', 30182),
(86457, 'PF02348', NULL, 'Cytidylyltransferase', 221, NULL, 'CTP_transf_3', 30183),
(86458, 'PF17312', NULL, 'Bacteriocin helveticin-J', 313, NULL, 'Helveticin_J', 30184),
(86459, 'PF05591', NULL, 'Type VI secretion system, VipA, VC_A0107 or Hcp2', 155, NULL, 'T6SS_VipA', 30185),
(86460, 'PF19531', NULL, 'Family of unknown function (DUF6058)', 126, NULL, 'DUF6058', 30186),
(86461, 'PF13250', NULL, 'Domain of unknown function (DUF4041)', 56, NULL, 'DUF4041', 30187),
(86462, 'PF07310', NULL, 'PAS domain', 137, NULL, 'PAS_5', 30188),
(86463, 'PF18390', NULL, 'Glycogen debranching enzyme C-terminal domain', 85, NULL, 'GlgX_C', 30189),
(86464, 'PF11486', NULL, 'Protein of unknown function (DUF3212)', 120, NULL, 'DUF3212', 30190),
(86465, 'PF12646', NULL, 'Domain of unknown function (DUF3783)', 56, NULL, 'DUF3783', 30191),
(86466, 'PF01499', NULL, 'Herpesvirus UL25 family', 554, NULL, 'Herpes_UL25', 30192),
(86467, 'PF10233', NULL, 'Uncharacterized conserved protein CG6151-P', 113, NULL, 'Cg6151-P', 30193),
(86468, 'PF12143', NULL, 'Protein of unknown function (DUF_B2219)', 130, NULL, 'PPO1_KFDV', 30194),
(86469, 'PF08741', NULL, 'YwhD family', 162, NULL, 'YwhD', 30195),
(86470, 'PF00842', NULL, 'Alanine racemase, C-terminal domain', 125, NULL, 'Ala_racemase_C', 30196),
(86471, 'PF12040', NULL, 'Domain of unknown function (DUF3526)', 155, NULL, 'DUF3526', 30197),
(86472, 'PF16684', NULL, 'Telomere resolvase', 274, NULL, 'Telomere_res', 30198),
(86473, 'PF17153', NULL, 'Periplasmic sensor domain, extracellular', 116, NULL, 'CHASE9', 30199),
(86474, 'PF12640', NULL, 'UPF0489 domain', 175, NULL, 'UPF0489', 30200),
(86475, 'PF05634', NULL, 'APO RNA-binding', 200, NULL, 'APO_RNA-bind', 30201),
(86476, 'PF02338', NULL, 'OTU-like cysteine protease', 127, NULL, 'OTU', 30202),
(86477, 'PF02244', NULL, 'Carboxypeptidase activation peptide', 73, NULL, 'Propep_M14', 30203),
(86478, 'PF04803', NULL, 'Cor1/Xlr/Xmr conserved region', 132, NULL, 'Cor1', 30204),
(86479, 'PF00790', NULL, 'VHS domain', 141, NULL, 'VHS', 30205),
(86480, 'PF01669', NULL, 'Myelin basic protein', 147, NULL, 'Myelin_MBP', 30206),
(86481, 'PF20144', NULL, 'TIG domain', 94, NULL, 'TIG_SUH', 30207),
(86482, 'PF12826', NULL, 'Helix-hairpin-helix motif', 64, NULL, 'HHH_2', 30208),
(86483, 'PF16666', NULL, 'Unstructured region on MAGI', 109, NULL, 'MAGI_u5', 30209),
(86484, 'PF01302', NULL, 'CAP-Gly domain', 66, NULL, 'CAP_GLY', 30210),
(86485, 'PF19189', NULL, 'Mtf2 family', 197, NULL, 'Mtf2', 30211),
(86486, 'PF01904', NULL, 'Protein of unknown function DUF72', 218, NULL, 'DUF72', 30212),
(86487, 'PF03685', NULL, 'Uncharacterised protein family (UPF0147)', 81, NULL, 'UPF0147', 30213),
(86488, 'PF15846', NULL, 'Domain of unknown function (DUF4720)', 96, NULL, 'DUF4720', 30214),
(86489, 'PF03714', NULL, 'Bacterial pullanase-associated domain', 94, NULL, 'PUD', 30215),
(86490, 'PF06803', NULL, 'Protein of unknown function (DUF1232)', 37, NULL, 'DUF1232', 30216);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(86491, 'PF16997', NULL, 'Wap1 domain', 382, NULL, 'Wap1', 30217),
(86492, 'PF07864', NULL, 'Protein of unknown function (DUF1651)', 74, NULL, 'DUF1651', 30218),
(86493, 'PF14579', NULL, 'Helix-hairpin-helix motif', 90, NULL, 'HHH_6', 30219),
(86494, 'PF04665', NULL, 'Poxvirus A32 protein', 242, NULL, 'Pox_A32', 30220),
(86495, 'PF00382', NULL, 'Transcription factor TFIIB repeat', 92, NULL, 'TFIIB', 30221),
(86496, 'PF18662', NULL, 'Cch helix turn helix domain', 111, NULL, 'HTH_56', 30222),
(86497, 'PF05688', NULL, 'Bacterial Immunoglobulin-like 21', 110, NULL, 'BIg21', 30223),
(86498, 'PF08654', NULL, 'DASH complex subunit Dad2', 99, NULL, 'DASH_Dad2', 30224),
(86499, 'PF18268', NULL, 'Hit1 C-terminal', 82, NULL, 'Hit1_C', 30225),
(86500, 'PF04608', NULL, 'Phosphatidylglycerophosphatase A', 143, NULL, 'PgpA', 30226),
(86501, 'PF10820', NULL, 'Protein of unknown function (DUF2543)', 81, NULL, 'DUF2543', 30227),
(86502, 'PF09880', NULL, 'Predicted membrane protein (DUF2107)', 73, NULL, 'DUF2107', 30228),
(86503, 'PF10111', NULL, 'Glycosyltransferase like family 2', 276, NULL, 'Glyco_tranf_2_2', 30229),
(86504, 'PF19363', NULL, 'Family of unknown function (DUF5939)', 281, NULL, 'DUF5939', 30230),
(86505, 'PF12089', NULL, 'Transmembrane domain of unknown function (DUF3566)', 118, NULL, 'DUF3566', 30231),
(86506, 'PF09545', NULL, 'AccI restriction endonuclease', 366, NULL, 'RE_AccI', 30232),
(86507, 'PF18811', NULL, 'Dipeptidyl peptidase IV (DPP IV) low complexity region', 21, NULL, 'DPPIV_rep', 30233),
(86508, 'PF16774', NULL, 'Baseplate protein', 165, NULL, 'Baseplate', 30234),
(86509, 'PF14412', NULL, 'A nuclease family of the HNH/ENDO VII superfamily with conserved AHH', 114, NULL, 'AHH', 30235),
(86510, 'PF01797', NULL, 'Transposase IS200 like', 121, NULL, 'Y1_Tnp', 30236),
(86511, 'PF17037', NULL, 'Cellulose biosynthesis protein BcsO', 201, NULL, 'CBP_BcsO', 30237),
(86512, 'PF14827', NULL, 'Double sensory domain of two-component sensor kinase', 237, NULL, 'dCache_3', 30238),
(86513, 'PF18172', NULL, 'LepB GAP domain N-terminal subdomain', 188, NULL, 'LepB_GAP_N', 30239),
(86514, 'PF18743', NULL, 'REase_AHJR-like', 123, NULL, 'AHJR-like', 30240),
(86515, 'PF04109', NULL, 'Autophagy protein ATG9', 480, NULL, 'ATG9', 30241),
(86516, 'PF15384', NULL, 'PAXX, PAralog of XRCC4 and XLF, also called C9orf142', 194, NULL, 'PAXX', 30242),
(86517, 'PF06256', NULL, 'Nucleopolyhedrovirus LEF-12 protein', 173, NULL, 'Nucleo_LEF-12', 30243),
(86518, 'PF04814', NULL, 'Hepatocyte nuclear factor 1 (HNF-1), N terminus', 191, NULL, 'HNF-1_N', 30244),
(86519, 'PF18784', NULL, 'CRM1 / Exportin repeat 2', 68, NULL, 'CRM1_repeat_2', 30245),
(86520, 'PF08671', NULL, 'Anti-repressor SinI', 28, NULL, 'SinI', 30246),
(86521, 'PF14061', NULL, 'Polycomb-like MTF2 factor 2', 48, NULL, 'Mtf2_C', 30247),
(86522, 'PF18704', NULL, 'Chromatin organization modifier domain 2', 68, NULL, 'Chromo_2', 30248),
(86523, 'PF08896', NULL, 'Domain of unknown function (DUF1842)', 113, NULL, 'DUF1842', 30249),
(86524, 'PF10099', NULL, 'Anti-sigma-K factor rskA', 180, NULL, 'RskA', 30250),
(86525, 'PF13425', NULL, 'O-antigen ligase like membrane protein', 465, NULL, 'O-antigen_lig', 30251),
(86526, 'PF11227', NULL, 'Protein of unknown function (DUF3025)', 210, NULL, 'DUF3025', 30252),
(86527, 'PF09084', NULL, 'NMT1/THI5 like', 216, NULL, 'NMT1', 30253),
(86528, 'PF09549', NULL, 'Bpu10I restriction endonuclease', 220, NULL, 'RE_Bpu10I', 30254),
(86529, 'PF04406', NULL, 'Type IIB DNA topoisomerase', 62, NULL, 'TP6A_N', 30255),
(86530, 'PF17525', NULL, 'Family of unknown function (DUF5447)', 92, NULL, 'DUF5447', 30256),
(86531, 'PF18227', NULL, 'LepB GAP domain C-terminal subdomain', 80, NULL, 'LepB_GAP_C', 30257),
(86532, 'PF09523', NULL, 'Protein of unknown function (DUF2390)', 106, NULL, 'DUF2390', 30258),
(86533, 'PF17155', NULL, 'Gammaproteobacterial periplasmic sensor domain', 274, NULL, 'GAPES1', 30259),
(86534, 'PF08735', NULL, 'Putative pyruvate format-lyase activating enzyme (DUF1786)', 252, NULL, 'DUF1786', 30260),
(86535, 'PF12249', NULL, 'Arabinofuranosyltransferase A C terminal', 176, NULL, 'AftA_C', 30261);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(86536, 'PF10917', NULL, 'Fungus-induced protein', 50, NULL, 'Fungus-induced', 30262),
(86537, 'PF03771', NULL, 'Domain of unknown function (DUF317)', 62, NULL, 'SPDY', 30263),
(86538, 'PF10343', NULL, 'Potential Queuosine, Q, salvage protein family', 288, NULL, 'Q_salvage', 30264),
(86539, 'PF02957', NULL, 'TT viral ORF2', 122, NULL, 'TT_ORF2', 30265),
(86540, 'PF16908', NULL, 'Vacuolar sorting-associated protein 13, N-terminal', 238, NULL, 'VPS13', 30266),
(86541, 'PF06057', NULL, 'Bacterial virulence protein (VirJ)', 192, NULL, 'VirJ', 30267),
(86542, 'PF10307', NULL, 'HAD domain family 1 in Swiss Army Knife RNA repair proteins', 203, NULL, 'HAD_SAK_1', 30268),
(86543, 'PF15475', NULL, 'Transmembrane protein C12orf23, UPF0444', 91, NULL, 'UPF0444', 30269),
(86544, 'PF06918', NULL, 'Protein of unknown function (DUF1280)', 221, NULL, 'DUF1280', 30270),
(86545, 'PF02471', NULL, 'Borrelia outer surface protein E', 107, NULL, 'OspE', 30271),
(86546, 'PF06874', NULL, 'Firmicute fructose-1,6-bisphosphatase', 639, NULL, 'FBPase_2', 30272),
(86547, 'PF18614', NULL, 'RNase II-type exonuclease C-terminal S1 domain', 59, NULL, 'RNase_II_C_S1', 30273),
(86548, 'PF19807', NULL, 'Family of unknown function (DUF6290)', 72, NULL, 'DUF6290', 30274),
(86549, 'PF00754', NULL, 'F5/8 type C domain', 127, NULL, 'F5_F8_type_C', 30275),
(86550, 'PF06234', NULL, 'Toluene-4-monooxygenase system protein B (TmoB)', 79, NULL, 'TmoB', 30276),
(86551, 'PF07293', NULL, 'Protein of unknown function (DUF1450)', 75, NULL, 'DUF1450', 30277),
(86552, 'PF13419', NULL, 'Haloacid dehalogenase-like hydrolase', 178, NULL, 'HAD_2', 30278),
(86553, 'PF19131', NULL, 'Family of unknown function (DUF5814)', 148, NULL, 'DUF5814', 30279),
(86554, 'PF06862', NULL, 'Utp25, U3 small nucleolar RNA-associated SSU processome protein 25', 473, NULL, 'UTP25', 30280),
(86555, 'PF04856', NULL, 'Securin sister-chromatid separation inhibitor', 232, NULL, 'Securin', 30281),
(86556, 'PF10655', NULL, 'Hypothetical protein of unknown function (DUF2482)', 97, NULL, 'DUF2482', 30282),
(86557, 'PF07850', NULL, 'Renin receptor-like protein', 100, NULL, 'Renin_r', 30283),
(86558, 'PF00298', NULL, 'Ribosomal protein L11, RNA binding domain', 70, NULL, 'Ribosomal_L11', 30284),
(86559, 'PF08460', NULL, 'Bacterial SH3 domain', 68, NULL, 'SH3_5', 30285),
(86560, 'PF19703', NULL, 'Family of unknown function (DUF6201)', 129, NULL, 'DUF6201', 30286),
(86561, 'PF00453', NULL, 'Ribosomal protein L20', 107, NULL, 'Ribosomal_L20', 30287),
(86562, 'PF19761', NULL, 'Family of unknown function (DUF6248)', 151, NULL, 'DUF6248', 30288),
(86563, 'PF09154', NULL, 'Domain of unknown function (DUF1939)', 57, NULL, 'DUF1939', 30289),
(86564, 'PF01784', NULL, 'NIF3 (NGG1p interacting factor 3)', 245, NULL, 'NIF3', 30290),
(86565, 'PF06268', NULL, 'Fascin domain', 111, NULL, 'Fascin', 30291),
(86566, 'PF19907', NULL, 'Family of unknown function (DUF6380)', 47, NULL, 'DUF6380', 30292),
(86567, 'PF01356', NULL, 'Alpha amylase inhibitor', 68, NULL, 'A_amylase_inhib', 30293),
(86568, 'PF05786', NULL, 'Condensin complex subunit 2', 776, NULL, 'Cnd2', 30294),
(86569, 'PF05272', NULL, 'Virulence-associated protein E', 217, NULL, 'VirE', 30295),
(86570, 'PF07949', NULL, 'YbbR-like protein', 82, NULL, 'YbbR', 30296),
(86571, 'PF12137', NULL, 'RNA polymerase recycling family C-terminal', 360, NULL, 'RapA_C', 30297),
(86572, 'PF01033', NULL, 'Somatomedin B domain', 41, NULL, 'Somatomedin_B', 30298),
(86573, 'PF07606', NULL, 'Protein of unknown function (DUF1569)', 152, NULL, 'DUF1569', 30299),
(86574, 'PF02934', NULL, 'GatB/GatE catalytic domain', 273, NULL, 'GatB_N', 30300),
(86575, 'PF03836', NULL, 'RasGAP C-terminus', 136, NULL, 'RasGAP_C', 30301),
(86576, 'PF10401', NULL, 'Interferon-regulatory factor 3', 180, NULL, 'IRF-3', 30302),
(86577, 'PF06500', NULL, 'Esterase FrsA-like', 414, NULL, 'FrsA-like', 30303),
(86578, 'PF10467', NULL, 'Peptidase inhibitor clitocypin', 142, NULL, 'Inhibitor_I48', 30304),
(86579, 'PF15612', NULL, 'WSTF, HB1, Itc1p, MBD9 motif 1', 46, NULL, 'WHIM1', 30305);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(86580, 'PF15967', NULL, 'Nucleoporin FG repeated region', 583, NULL, 'Nucleoporin_FG2', 30306),
(86581, 'PF11174', NULL, 'Protein of unknown function (DUF2970)', 56, NULL, 'DUF2970', 30307),
(86582, 'PF04290', NULL, 'Tripartite ATP-independent periplasmic transporters, DctQ component', 133, NULL, 'DctQ', 30308),
(86583, 'PF09077', NULL, 'Mu B transposition protein, C terminal', 78, NULL, 'Phage-MuB_C', 30309),
(86584, 'PF06737', NULL, 'Transglycosylase-like domain', 77, NULL, 'Transglycosylas', 30310),
(86585, 'PF02487', NULL, 'CLN3 protein', 393, NULL, 'CLN3', 30311),
(86586, 'PF05352', NULL, 'Phage Connector (GP10)', 281, NULL, 'Phage_connector', 30312),
(86587, 'PF17146', NULL, 'PIN domain of ribonuclease', 89, NULL, 'PIN_6', 30313),
(86588, 'PF12334', NULL, 'Rickettsia outer membrane protein B', 223, NULL, 'rOmpB', 30314),
(86589, 'PF20012', NULL, 'GTPase-associated protein 1, N-terminal domain type 1', 102, NULL, 'GAP1-N1', 30315),
(86590, 'PF07401', NULL, 'Bovine Lentivirus VIF protein', 198, NULL, 'Lenti_VIF_2', 30316),
(86591, 'PF04458', NULL, 'Protein of unknown function (DUF505)', 623, NULL, 'DUF505', 30317),
(86592, 'PF13524', NULL, 'Glycosyl transferases group 1', 92, NULL, 'Glyco_trans_1_2', 30318),
(86593, 'PF08144', NULL, 'CPL (NUC119) domain', 143, NULL, 'CPL', 30319),
(86594, 'PF03358', NULL, 'NADPH-dependent FMN reductase', 156, NULL, 'FMN_red', 30320),
(86595, 'PF03913', NULL, 'Ragweed group 5 pollen allergen', 44, NULL, 'Ragweed_pollen', 30321),
(86596, 'PF02092', NULL, 'Glycyl-tRNA synthetase beta subunit', 534, NULL, 'tRNA_synt_2f', 30322),
(86597, 'PF02831', NULL, 'gpW', 67, NULL, 'gpW', 30323),
(86598, 'PF02829', NULL, '3H domain', 97, NULL, '3H', 30324),
(86599, 'PF11487', NULL, 'Type II restriction enzyme SfiI', 215, NULL, 'RestrictionSfiI', 30325),
(86600, 'PF15386', NULL, 'Drosophila Tantalus-like', 57, NULL, 'Tantalus', 30326),
(86601, 'PF05022', NULL, 'SRP40, C-terminal domain', 76, NULL, 'SRP40_C', 30327),
(86602, 'PF19570', NULL, 'Family of unknown function (DUF6088)', 172, NULL, 'DUF6088', 30328),
(86603, 'PF09806', NULL, 'Cyclin-dependent kinase 2-associated protein', 217, NULL, 'CDK2AP', 30329),
(86604, 'PF03722', NULL, 'Hemocyanin, all-alpha domain', 124, NULL, 'Hemocyanin_N', 30330),
(86605, 'PF14331', NULL, 'IcmF-related N-terminal domain', 259, NULL, 'IcmF-related_N', 30331),
(86606, 'PF17558', NULL, 'Androgenic gland hormone', 121, NULL, 'AGH', 30332),
(86607, 'PF01270', NULL, 'Glycosyl hydrolases family 8', 342, NULL, 'Glyco_hydro_8', 30333),
(86608, 'PF11178', NULL, 'Protein of unknown function (DUF2963)', 51, NULL, 'DUF2963', 30334),
(86609, 'PF20132', NULL, 'Family of unknown function (DUF6522)', 88, NULL, 'DUF6522', 30335),
(86610, 'PF17736', NULL, 'C17orf99 Ig domain', 95, NULL, 'Ig_C17orf99', 30336),
(86611, 'PF03124', NULL, 'EXS family', 330, NULL, 'EXS', 30337),
(86612, 'PF06254', NULL, 'Putative bacterial toxin ydaT', 88, NULL, 'YdaT_toxin', 30338),
(86613, 'PF06611', NULL, 'Protein of unknown function (DUF1145)', 58, NULL, 'DUF1145', 30339),
(86614, 'PF07228', NULL, 'Stage II sporulation protein E (SpoIIE)', 193, NULL, 'SpoIIE', 30340),
(86615, 'PF04833', NULL, 'COBRA-like protein', 165, NULL, 'COBRA', 30341),
(86616, 'PF14799', NULL, 'FAM195 family', 103, NULL, 'FAM195', 30342),
(86617, 'PF17016', NULL, 'Domain of unknown function (DUF5095)', 241, NULL, 'DUF5095', 30343),
(86618, 'PF04822', NULL, 'Takusan', 85, NULL, 'Takusan', 30344),
(86619, 'PF15497', NULL, 'snRNA-activating protein complex subunit 19, SNAPc subunit 19', 102, NULL, 'SNAPC5', 30345),
(86620, 'PF12747', NULL, 'DdrB-like protein', 132, NULL, 'DdrB', 30346),
(86621, 'PF18471', NULL, 'Ribosomal L27 protein C-terminal domain', 240, NULL, 'Ribosomal_L27_C', 30347),
(86622, 'PF17249', NULL, 'Family of unknown function (DUF5318)', 131, NULL, 'DUF5318', 30348),
(86623, 'PF00182', NULL, 'Chitinase class I', 232, NULL, 'Glyco_hydro_19', 30349),
(86624, 'PF16865', NULL, 'Glutathione S-transferase, C-terminal domain', 108, NULL, 'GST_C_5', 30350),
(86625, 'PF20053', NULL, 'Wolframin cysteine-rich domain', 111, NULL, 'WC-rich', 30351);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(86626, 'PF01546', NULL, 'Peptidase family M20/M25/M40', 207, NULL, 'Peptidase_M20', 30352),
(86627, 'PF08746', NULL, 'RING-like domain', 43, NULL, 'zf-RING-like', 30353),
(86628, 'PF11860', NULL, 'N-acetylmuramidase', 175, NULL, 'Muramidase', 30354),
(86629, 'PF11896', NULL, 'Domain of unknown function (DUF3416)', 179, NULL, 'DUF3416', 30355),
(86630, 'PF05833', NULL, 'NFACT N-terminal and middle domains', 455, NULL, 'NFACT_N', 30356),
(86631, 'PF14356', NULL, 'Domain of unknown function (DUF4403)', 424, NULL, 'DUF4403', 30357),
(86632, 'PF05321', NULL, 'Haemolysin expression modulating protein', 57, NULL, 'HHA', 30358),
(86633, 'PF02457', NULL, 'DisA bacterial checkpoint controller nucleotide-binding', 119, NULL, 'DAC', 30359),
(86634, 'PF12254', NULL, 'DNA polymerase alpha subunit p180 N terminal', 66, NULL, 'DNA_pol_alpha_N', 30360),
(86635, 'PF18673', NULL, 'interleukin receptor mimic protein A', 109, NULL, 'IrmA', 30361),
(86636, 'PF04483', NULL, 'Protein of unknown function (DUF565)', 60, NULL, 'DUF565', 30362),
(86637, 'PF12186', NULL, 'Acyl-CoA dehydrogenase C terminal', 111, NULL, 'AcylCoA_dehyd_C', 30363),
(86638, 'PF19847', NULL, 'Family of unknown function (DUF6322)', 101, NULL, 'DUF6322', 30364),
(86639, 'PF13008', NULL, 'Zinc-binding domain of Paramyxoviridae V protein', 45, NULL, 'zf-Paramyx-P', 30365),
(86640, 'PF15914', NULL, 'FAM193 family C-terminal', 57, NULL, 'FAM193_C', 30366),
(86641, 'PF17267', NULL, 'Family of unknown function (DUF5333)', 110, NULL, 'DUF5333', 30367),
(86642, 'PF07194', NULL, 'P2 response regulator binding domain', 81, NULL, 'P2', 30368),
(86643, 'PF18244', NULL, 'Cellulose-binding protein CttA N-terminal domain', 71, NULL, 'CttA_N', 30369),
(86644, 'PF07151', NULL, 'Protein of unknown function (DUF1391)', 48, NULL, 'DUF1391', 30370),
(86645, 'PF18977', NULL, 'Family of unknown function (DUF5713)', 107, NULL, 'DUF5713', 30371),
(86646, 'PF01552', NULL, 'Picornavirus 2B protein', 99, NULL, 'Pico_P2B', 30372),
(86647, 'PF13307', NULL, 'Helicase C-terminal domain', 170, NULL, 'Helicase_C_2', 30373),
(86648, 'PF05135', NULL, 'Phage gp6-like head-tail connector protein', 98, NULL, 'Phage_connect_1', 30374),
(86649, 'PF04729', NULL, 'ASF1 like histone chaperone', 154, NULL, 'ASF1_hist_chap', 30375),
(86650, 'PF11322', NULL, 'Protein of unknown function (DUF3124)', 123, NULL, 'DUF3124', 30376),
(86651, 'PF18337', NULL, 'RapA N-terminal Tudor like domain', 62, NULL, 'Tudor_RapA', 30377),
(86652, 'PF01613', NULL, 'Flavin reductase like domain', 155, NULL, 'Flavin_Reduct', 30378),
(86653, 'PF11772', NULL, 'DNA-directed RNA polymerase subunit beta', 46, NULL, 'EpuA', 30379),
(86654, 'PF19298', NULL, '3-Ketosteroid 9alpha-hydroxylase C-terminal domain', 198, NULL, 'KshA_C', 30380),
(86655, 'PF09070', NULL, 'PFU (PLAA family ubiquitin binding)', 113, NULL, 'PFU', 30381),
(86656, 'PF17140', NULL, 'Domain of unknown function (DUF5113)', 162, NULL, 'DUF5113', 30382),
(86657, 'PF13800', NULL, 'Sigma factor regulator N-terminal', 91, NULL, 'Sigma_reg_N', 30383),
(86658, 'PF03089', NULL, 'Recombination activating protein 2', 339, NULL, 'RAG2', 30384),
(86659, 'PF10813', NULL, 'Protein of unknown function (DUF2733)', 32, NULL, 'DUF2733', 30385),
(86660, 'PF05304', NULL, 'Protein of unknown function (DUF728)', 139, NULL, 'DUF728', 30386),
(86661, 'PF09985', NULL, 'C-terminal binding-module, SLH-like, of glucodextranase', 239, NULL, 'Glucodextran_C', 30387),
(86662, 'PF16304', NULL, 'Domain of unknown function (DUF4946)', 152, NULL, 'DUF4946', 30388),
(86663, 'PF05328', NULL, 'CybS, succinate dehydrogenase cytochrome B small subunit', 133, NULL, 'CybS', 30389),
(86664, 'PF19397', NULL, 'Family of unknown function (DUF5972)', 28, NULL, 'DUF5972', 30390),
(86665, 'PF03495', NULL, 'Clostridial binary toxin B/anthrax toxin PA Ca-binding domain', 78, NULL, 'Binary_toxB', 30391),
(86666, 'PF03787', NULL, 'RAMP superfamily', 213, NULL, 'RAMPs', 30392),
(86667, 'PF13795', NULL, 'HupE / UreJ protein', 154, NULL, 'HupE_UreJ_2', 30393),
(86668, 'PF19506', NULL, 'Family of unknown function (DUF6040)', 233, NULL, 'DUF6040', 30394);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(86669, 'PF12386', NULL, 'Pseudomurein endo-isopeptidase Pei', 149, NULL, 'Peptidase_C71', 30395),
(86670, 'PF03489', NULL, 'Saposin-like type B, region 2', 34, NULL, 'SapB_2', 30396),
(86671, 'PF08769', NULL, 'Sporulation initiation factor Spo0A C terminal', 104, NULL, 'Spo0A_C', 30397),
(86672, 'PF16654', NULL, 'Diaminopimelic acid dehydrogenase C-terminal domain', 154, NULL, 'DAPDH_C', 30398),
(86673, 'PF12214', NULL, 'Cell cycle regulated microtubule associated protein', 167, NULL, 'TPX2_importin', 30399),
(86674, 'PF14385', NULL, 'Domain of unknown function (DUF4416)', 162, NULL, 'DUF4416', 30400),
(86675, 'PF14317', NULL, 'YcxB-like protein', 61, NULL, 'YcxB', 30401),
(86676, 'PF15603', NULL, 'Immunity protein 74', 80, NULL, 'Imm74', 30402),
(86677, 'PF00348', NULL, 'Polyprenyl synthetase', 256, NULL, 'polyprenyl_synt', 30403),
(86678, 'PF01221', NULL, 'Dynein light chain type 1', 86, NULL, 'Dynein_light', 30404),
(86679, 'PF01257', NULL, 'Thioredoxin-like [2Fe-2S] ferredoxin', 145, NULL, '2Fe-2S_thioredx', 30405),
(86680, 'PF16289', NULL, 'PIN domain', 171, NULL, 'PIN_12', 30406),
(86681, 'PF18056', NULL, 'Penicillin Binding Protein 3 Domain', 110, NULL, 'PBP3', 30407),
(86682, 'PF06864', NULL, 'Pilin accessory protein (PilO)', 416, NULL, 'PAP_PilO', 30408),
(86683, 'PF00975', NULL, 'Thioesterase domain', 230, NULL, 'Thioesterase', 30409),
(86684, 'PF10612', NULL, 'Spore coat protein Z', 159, NULL, 'Spore-coat_CotZ', 30410),
(86685, 'PF15413', NULL, 'Pleckstrin homology domain', 105, NULL, 'PH_11', 30411),
(86686, 'PF00167', NULL, 'Fibroblast growth factor', 125, NULL, 'FGF', 30412),
(86687, 'PF18116', NULL, 'Sorting Nexin 17 FERM C-terminal domain', 109, NULL, 'SNX17_FERM_C', 30413),
(86688, 'PF08242', NULL, 'Methyltransferase domain', 99, NULL, 'Methyltransf_12', 30414),
(86689, 'PF12590', NULL, 'Acyl-ATP thioesterase', 130, NULL, 'Acyl-thio_N', 30415),
(86690, 'PF17766', NULL, 'Fibronectin type-III domain', 99, NULL, 'fn3_6', 30416),
(86691, 'PF18856', NULL, 'Bacterial archaeo-eukaryotic release factor family 12', 138, NULL, 'baeRF_family12', 30417),
(86692, 'PF15282', NULL, 'BMP-2-inducible protein kinase C-terminus', 263, NULL, 'BMP2K_C', 30418),
(86693, 'PF16368', NULL, 'Cytoplasmic polyadenylation element-binding protein 1 N-terminus', 307, NULL, 'CEBP1_N', 30419),
(86694, 'PF13314', NULL, 'Domain of unknown function (DUF4083)', 57, NULL, 'DUF4083', 30420),
(86695, 'PF00127', NULL, 'Copper binding proteins, plastocyanin/azurin family', 99, NULL, 'Copper-bind', 30421),
(86696, 'PF10810', NULL, 'Protein of unknown function (DUF2545)', 80, NULL, 'DUF2545', 30422),
(86697, 'PF18006', NULL, 'O-phosphoseryl-tRNA synthetase C-terminal domain', 31, NULL, 'SepRS_C', 30423),
(86698, 'PF02097', NULL, 'Filoviridae VP35', 329, NULL, 'Filo_VP35', 30424),
(86699, 'PF06097', NULL, 'Bacterial protein of unknown function (DUF945)', 457, NULL, 'DUF945', 30425),
(86700, 'PF01657', NULL, 'Salt stress response/antifungal', 94, NULL, 'Stress-antifung', 30426),
(86701, 'PF15641', NULL, 'Metallopeptidase toxin 5', 110, NULL, 'Tox-MPTase5', 30427),
(86702, 'PF20094', NULL, 'GWxTD domain', 172, NULL, 'GWxTD_dom', 30428),
(86703, 'PF05937', NULL, 'EB-1 Binding Domain', 174, NULL, 'EB1_binding', 30429),
(86704, 'PF17849', NULL, 'Dis3-like cold-shock domain 2 (CSD2)', 77, NULL, 'OB_Dis3', 30430),
(86705, 'PF17986', NULL, 'EMP3-KAHRP-like N-terminal domain', 53, NULL, 'EKAL', 30431),
(86706, 'PF02192', NULL, 'PI3-kinase family, p85-binding domain', 76, NULL, 'PI3K_p85B', 30432),
(86707, 'PF05763', NULL, 'Protein of unknown function (DUF835)', 136, NULL, 'DUF835', 30433),
(86708, 'PF01192', NULL, 'RNA polymerase Rpb6', 52, NULL, 'RNA_pol_Rpb6', 30434),
(86709, 'PF00766', NULL, 'Electron transfer flavoprotein FAD-binding domain', 81, NULL, 'ETF_alpha', 30435),
(86710, 'PF02852', NULL, 'Pyridine nucleotide-disulphide oxidoreductase, dimerisation domain', 110, NULL, 'Pyr_redox_dim', 30436),
(86711, 'PF05709', NULL, 'Phage tail protein', 255, NULL, 'Sipho_tail', 30437),
(86712, 'PF14918', NULL, 'MDM2-binding', 254, NULL, 'MTBP_N', 30438);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(86713, 'PF17812', NULL, 'RET Cadherin like domain 3', 116, NULL, 'RET_CLD3', 30439),
(86714, 'PF16873', NULL, 'Putative abortive phage resistance protein AbiGii toxin', 397, NULL, 'AbiGii_2', 30440),
(86715, 'PF13295', NULL, 'Domain of unknown function (DUF4077)', 176, NULL, 'DUF4077', 30441),
(86716, 'PF19098', NULL, 'Family of unknown function (DUF5785)', 98, NULL, 'DUF5785', 30442),
(86717, 'PF12673', NULL, 'Domain of unknown function (DUF3794)', 77, NULL, 'DUF3794', 30443),
(86718, 'PF15217', NULL, 'TSC21 family', 180, NULL, 'TSC21', 30444),
(86719, 'PF19252', NULL, 'HIND motif', 25, NULL, 'HIND', 30445),
(86720, 'PF04806', NULL, 'EspF protein repeat', 47, NULL, 'EspF', 30446),
(86721, 'PF09695', NULL, 'Bacterial protein of unknown function (YtfJ_HI0045)', 160, NULL, 'YtfJ_HI0045', 30447),
(86722, 'PF14905', NULL, 'Outer membrane protein beta-barrel family', 408, NULL, 'OMP_b-brl_3', 30448),
(86723, 'PF18481', NULL, 'Domain of unknown function (DUF5616)', 140, NULL, 'DUF5616', 30449),
(86724, 'PF09205', NULL, 'Domain of unknown function (DUF1955)', 159, NULL, 'DUF1955', 30450),
(86725, 'PF02492', NULL, 'CobW/HypB/UreG, nucleotide-binding domain', 179, NULL, 'cobW', 30451),
(86726, 'PF03925', NULL, 'SeqA protein C-terminal domain', 111, NULL, 'SeqA', 30452),
(86727, 'PF11635', NULL, 'Mediator complex subunit 16', 758, NULL, 'Med16', 30453),
(86728, 'PF12765', NULL, 'HEAT repeat associated with sister chromatid cohesion', 42, NULL, 'Cohesin_HEAT', 30454),
(86729, 'PF09076', NULL, 'Beta/Gamma crystallin', 70, NULL, 'Crystall_2', 30455),
(86730, 'PF09516', NULL, 'CfrBI restriction endonuclease', 250, NULL, 'RE_CfrBI', 30456),
(86731, 'PF15094', NULL, 'Domain of unknown function (DUF4556)', 215, NULL, 'DUF4556', 30457),
(86732, 'PF05961', NULL, 'Chordopoxvirus A13L protein', 69, NULL, 'Chordopox_A13L', 30458),
(86733, 'PF07999', NULL, 'Retrotransposon hot spot protein', 439, NULL, 'RHSP', 30459),
(86734, 'PF05388', NULL, 'Carboxypeptidase Y pro-peptide', 127, NULL, 'Carbpep_Y_N', 30460),
(86735, 'PF08458', NULL, 'Plant pleckstrin homology-like region', 105, NULL, 'PH_2', 30461),
(86736, 'PF03815', NULL, 'LCCL domain', 96, NULL, 'LCCL', 30462),
(86737, 'PF07086', NULL, 'Jagunal, ER re-organisation during oogenesis', 187, NULL, 'Jagunal', 30463),
(86738, 'PF08642', NULL, 'Histone deacetylation protein Rxt3', 114, NULL, 'Rxt3', 30464),
(86739, 'PF00445', NULL, 'Ribonuclease T2 family', 186, NULL, 'Ribonuclease_T2', 30465),
(86740, 'PF09295', NULL, 'ChAPs (Chs5p-Arf1p-binding proteins)', 395, NULL, 'ChAPs', 30466),
(86741, 'PF01808', NULL, 'AICARFT/IMPCHase bienzyme', 310, NULL, 'AICARFT_IMPCHas', 30467),
(86742, 'PF12690', NULL, 'Intracellular proteinase inhibitor', 101, NULL, 'BsuPI', 30468),
(86743, 'PF15871', NULL, 'Junction-mediating and -regulatory protein', 356, NULL, 'JMY', 30469),
(86744, 'PF12745', NULL, 'Anticodon binding domain of tRNAs', 263, NULL, 'HGTP_anticodon2', 30470),
(86745, 'PF03120', NULL, 'NAD-dependent DNA ligase OB-fold domain', 79, NULL, 'DNA_ligase_OB', 30471),
(86746, 'PF15462', NULL, 'Bartter syndrome, infantile, with sensorineural deafness (Barttin)', 220, NULL, 'Barttin', 30472),
(86747, 'PF00096', NULL, 'Zinc finger, C2H2 type', 23, NULL, 'zf-C2H2', 30473),
(86748, 'PF00771', NULL, 'FHIPEP family', 658, NULL, 'FHIPEP', 30474),
(86749, 'PF04624', NULL, 'Dec-1 repeat', 27, NULL, 'Dec-1', 30475),
(86750, 'PF08500', NULL, 'Tombusvirus p33', 142, NULL, 'Tombus_P33', 30476),
(86751, 'PF10510', NULL, 'Phosphatidylinositol-glycan biosynthesis class S protein', 517, NULL, 'PIG-S', 30477),
(86752, 'PF12515', NULL, 'Ca2+-ATPase N terminal autoinhibitory domain', 45, NULL, 'CaATP_NAI', 30478),
(86753, 'PF06001', NULL, 'Domain of Unknown Function (DUF902)', 40, NULL, 'DUF902', 30479),
(86754, 'PF05110', NULL, 'AF-4 proto-oncoprotein N-terminal region', 514, NULL, 'AF-4', 30480),
(86755, 'PF05590', NULL, 'Xylella fastidiosa protein of unknown function (DUF769)', 259, NULL, 'DUF769', 30481),
(86756, 'PF06570', NULL, 'Protein of unknown function (DUF1129)', 207, NULL, 'DUF1129', 30482); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(86757, 'PF01467', NULL, 'Cytidylyltransferase-like', 143, NULL, 'CTP_transf_like', 30483),
(86758, 'PF10145', NULL, 'Phage-related minor tail protein', 198, NULL, 'PhageMin_Tail', 30484),
(86759, 'PF18441', NULL, 'Hen1 La-motif C-terminal domain', 136, NULL, 'Hen1_Lam_C', 30485),
(86760, 'PF17884', NULL, 'Domain of unknown function (DUF5591)', 152, NULL, 'DUF5591', 30486),
(86761, 'PF07981', NULL, 'Plasmodium repeat_MYXSPDY', 17, NULL, 'Plasmod_MYXSPDY', 30487),
(86762, 'PF12375', NULL, 'Phage protein', 66, NULL, 'DUF3653', 30488),
(86763, 'PF09221', NULL, 'Bacteriocin class IId cyclical uberolysin-like', 67, NULL, 'Bacteriocin_IId', 30489),
(86764, 'PF18851', NULL, 'Bacterial archaeo-eukaryotic release factor family 8', 141, NULL, 'baeRF_family8', 30490),
(86765, 'PF01166', NULL, 'TSC-22/dip/bun family', 57, NULL, 'TSC22', 30491),
(86766, 'PF05199', NULL, 'GMC oxidoreductase', 145, NULL, 'GMC_oxred_C', 30492),
(86767, 'PF13016', NULL, 'Cys-rich Gliadin N-terminal', 77, NULL, 'Gliadin', 30493),
(86768, 'PF06942', NULL, 'GlpM protein', 107, NULL, 'GlpM', 30494),
(86769, 'PF14158', NULL, 'YndJ-like protein', 261, NULL, 'YndJ', 30495),
(86770, 'PF00162', NULL, 'Phosphoglycerate kinase', 382, NULL, 'PGK', 30496),
(86771, 'PF09534', NULL, 'Tryptophan-associated transmembrane protein (Trp_oprn_chp)', 180, NULL, 'Trp_oprn_chp', 30497),
(86772, 'PF07252', NULL, 'Protein of unknown function (DUF1433)', 88, NULL, 'DUF1433', 30498),
(86773, 'PF19155', NULL, 'Family of unknown function (DUF5837)', 61, NULL, 'DUF5837', 30499),
(86774, 'PF01387', NULL, 'Synuclein', 134, NULL, 'Synuclein', 30500),
(86775, 'PF04262', NULL, 'Glutamate-cysteine ligase', 372, NULL, 'Glu_cys_ligase', 30501),
(86776, 'PF05420', NULL, 'Cellulose synthase operon protein C C-terminus (BCSC_C)', 339, NULL, 'BCSC_C', 30502),
(86777, 'PF12679', NULL, 'ABC-2 family transporter protein', 288, NULL, 'ABC2_membrane_2', 30503),
(86778, 'PF13915', NULL, 'Domain of unknown function (DUF4210)', 73, NULL, 'DUF4210', 30504),
(86779, 'PF19889', NULL, 'Domain of unknown function (DUF6362)', 98, NULL, 'DUF6362', 30505),
(86780, 'PF00718', NULL, 'Polyomavirus coat protein', 293, NULL, 'Polyoma_coat', 30506),
(86781, 'PF03759', NULL, 'PRONE (Plant-specific Rop nucleotide exchanger)', 363, NULL, 'PRONE', 30507),
(86782, 'PF04860', NULL, 'Phage portal protein', 317, NULL, 'Phage_portal', 30508),
(86783, 'PF03707', NULL, 'Bacterial signalling protein N terminal repeat', 59, NULL, 'MHYT', 30509),
(86784, 'PF01476', NULL, 'LysM domain', 44, NULL, 'LysM', 30510),
(86785, 'PF03023', NULL, 'Lipid II flippase MurJ', 452, NULL, 'MurJ', 30511),
(86786, 'PF12779', NULL, 'WXXGXW repeat (2 copies)', 26, NULL, 'WXXGXW', 30512),
(86787, 'PF05550', NULL, 'Pestivirus Npro endopeptidase C53', 168, NULL, 'Peptidase_C53', 30513),
(86788, 'PF18156', NULL, 'pPIWI_RE three-gene island domain Y', 144, NULL, 'pPIWI_RE_Y', 30514),
(86789, 'PF08970', NULL, 'Sporulation inhibitor A', 45, NULL, 'Sda', 30515),
(86790, 'PF01246', NULL, 'Ribosomal protein L24e', 66, NULL, 'Ribosomal_L24e', 30516),
(86791, 'PF10573', NULL, 'Uncharacterised protein family UPF0561', 120, NULL, 'UPF0561', 30517),
(86792, 'PF06027', NULL, 'Solute carrier family 35', 299, NULL, 'SLC35F', 30518),
(86793, 'PF17125', NULL, 'N-terminal domain of 16S rRNA methyltransferase RsmF', 91, NULL, 'Methyltr_RsmF_N', 30519),
(86794, 'PF08626', NULL, 'Transport protein Trs120 or TRAPPC9, TRAPP II complex subunit', 1231, NULL, 'TRAPPC9-Trs120', 30520),
(86795, 'PF13913', NULL, 'zinc-finger of a C2HC-type', 25, NULL, 'zf-C2HC_2', 30521),
(86796, 'PF05458', NULL, 'Cd27 binding protein (Siva)', 173, NULL, 'Siva', 30522),
(86797, 'PF16021', NULL, 'Programmed cell death protein 7', 306, NULL, 'PDCD7', 30523),
(86798, 'PF08688', NULL, 'Apx/Shroom domain ASD1', 184, NULL, 'ASD1', 30524),
(86799, 'PF09723', NULL, 'Zinc ribbon domain', 40, NULL, 'Zn-ribbon_8', 30525),
(86800, 'PF00436', NULL, 'Single-strand binding protein family', 104, NULL, 'SSB', 30526),
(86801, 'PF12966', NULL, 'N-ATPase, AtpR subunit', 86, NULL, 'AtpR', 30527);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(86802, 'PF13283', NULL, 'Bacteriophage N adsorption protein A C-term', 173, NULL, 'NfrA_C', 30528),
(86803, 'PF15199', NULL, 'D-amino acid oxidase activator', 82, NULL, 'DAOA', 30529),
(86804, 'PF07402', NULL, 'Human herpesvirus U26 protein', 293, NULL, 'Herpes_U26', 30530),
(86805, 'PF12963', NULL, 'Protein of unknown function (DUF3852)', 108, NULL, 'DUF3852', 30531),
(86806, 'PF13155', NULL, 'Toprim-like', 89, NULL, 'Toprim_2', 30532),
(86807, 'PF17571', NULL, 'Family of unknown function (DUF5477)', 77, NULL, 'DUF5477', 30533),
(86808, 'PF04922', NULL, 'DIE2/ALG10 family', 394, NULL, 'DIE2_ALG10', 30534),
(86809, 'PF19521', NULL, 'Anaphase-promoting complex subunit 1 N-terminal', 136, NULL, 'Apc1_N', 30535),
(86810, 'PF06043', NULL, 'Reovirus P9-like family', 334, NULL, 'Reo_P9', 30536),
(86811, 'PF08398', NULL, 'Phospholipase A2-like domain', 83, NULL, 'Phospholip_A2_4', 30537),
(86812, 'PF10282', NULL, 'Lactonase, 7-bladed beta-propeller', 344, NULL, 'Lactonase', 30538),
(86813, 'PF16575', NULL, 'mRNA cleavage and polyadenylation factor CLP1 P-loop', 188, NULL, 'CLP1_P', 30539),
(86814, 'PF14748', NULL, 'Pyrroline-5-carboxylate reductase dimerisation', 104, NULL, 'P5CR_dimer', 30540),
(86815, 'PF15676', NULL, 'Six6 opposite strand transcript 1 family', 558, NULL, 'S6OS1', 30541),
(86816, 'PF16755', NULL, 'Nucleoporin or Nuclear pore complex subunit NUP214=Nup159', 359, NULL, 'NUP214', 30542),
(86817, 'PF17029', NULL, 'Domain of unknown function (DUF5100)', 126, NULL, 'DUF5100', 30543),
(86818, 'PF09392', NULL, 'Type III secretion needle MxiH, YscF, SsaG, EprI, PscF, EscF', 71, NULL, 'T3SS_needle_F', 30544),
(86819, 'PF15813', NULL, 'Domain of unknown function (DUF4708)', 274, NULL, 'DUF4708', 30545),
(86820, 'PF03485', NULL, 'Arginyl tRNA synthetase N terminal domain', 85, NULL, 'Arg_tRNA_synt_N', 30546),
(86821, 'PF04843', NULL, 'Herpesvirus tegument protein, N-terminal conserved region', 158, NULL, 'Herpes_teg_N', 30547),
(86822, 'PF04827', NULL, 'Plant transposon protein', 205, NULL, 'Plant_tran', 30548),
(86823, 'PF13718', NULL, 'GNAT acetyltransferase 2', 228, NULL, 'GNAT_acetyltr_2', 30549),
(86824, 'PF11729', NULL, 'nodavirus capsid protein', 340, NULL, 'Capsid-VNN', 30550),
(86825, 'PF07679', NULL, 'Immunoglobulin I-set domain', 90, NULL, 'I-set', 30551),
(86826, 'PF17786', NULL, 'Mannosidase Ig/CBM-like domain', 93, NULL, 'Mannosidase_ig', 30552),
(86827, 'PF08260', NULL, 'Insect kinin peptide', 8, NULL, 'Kinin', 30553),
(86828, 'PF01940', NULL, 'Integral membrane protein DUF92', 236, NULL, 'DUF92', 30554),
(86829, 'PF00365', NULL, 'Phosphofructokinase', 286, NULL, 'PFK', 30555),
(86830, 'PF15285', NULL, 'Beclin-1 BH3 domain, Bcl-2-interacting', 25, NULL, 'BH3', 30556),
(86831, 'PF11493', NULL, 'Thylakoid soluble phosphoprotein TSP9', 81, NULL, 'TSP9', 30557),
(86832, 'PF00677', NULL, 'Lumazine binding domain', 87, NULL, 'Lum_binding', 30558),
(86833, 'PF09543', NULL, 'Protein of unknown function (DUF2379)', 120, NULL, 'DUF2379', 30559),
(86834, 'PF05503', NULL, 'Poxvirus G7-like', 367, NULL, 'Pox_G7', 30560),
(86835, 'PF08477', NULL, 'Ras of Complex, Roc, domain of DAPkinase', 119, NULL, 'Roc', 30561),
(86836, 'PF00866', NULL, 'Ring hydroxylating beta subunit', 144, NULL, 'Ring_hydroxyl_B', 30562),
(86837, 'PF05038', NULL, 'Cytochrome Cytochrome b558 alpha-subunit', 184, NULL, 'Cytochrom_B558a', 30563),
(86838, 'PF11614', NULL, 'IG-like fold at C-terminal of FixG, putative oxidoreductase', 119, NULL, 'FixG_C', 30564),
(86839, 'PF06752', NULL, 'Enhancer of Polycomb C-terminus', 230, NULL, 'E_Pc_C', 30565),
(86840, 'PF09781', NULL, 'NADH:ubiquinone oxidoreductase, NDUFB5/SGDH subunit', 187, NULL, 'NDUF_B5', 30566),
(86841, 'PF08863', NULL, 'YolD-like protein', 94, NULL, 'YolD', 30567),
(86842, 'PF06365', NULL, 'CD34/Podocalyxin family', 206, NULL, 'CD34_antigen', 30568),
(86843, 'PF07905', NULL, 'Purine catabolism regulatory protein-like family', 117, NULL, 'PucR', 30569),
(86844, 'PF16165', NULL, 'Ferlin C-terminus', 154, NULL, 'Ferlin_C', 30570),
(86845, 'PF09463', NULL, 'Opy2 protein', 35, NULL, 'Opy2', 30571);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(86846, 'PF19365', NULL, 'Family of unknown function (DUF5941)', 329, NULL, 'DUF5941', 30572),
(86847, 'PF05111', NULL, 'Ameloblastin precursor (Amelin)', 411, NULL, 'Amelin', 30573),
(86848, 'PF03467', NULL, 'Smg-4/UPF3 family', 176, NULL, 'Smg4_UPF3', 30574),
(86849, 'PF04580', NULL, 'Chordopoxvirinae D3 protein', 248, NULL, 'Pox_D3', 30575),
(86850, 'PF16408', NULL, 'Domain of unknown function (DUF5016)', 123, NULL, 'DUF5016', 30576),
(86851, 'PF02933', NULL, 'Cell division protein 48 (CDC48), domain 2', 64, NULL, 'CDC48_2', 30577),
(86852, 'PF02832', NULL, 'Flavivirus glycoprotein, immunoglobulin-like domain', 97, NULL, 'Flavi_glycop_C', 30578),
(86853, 'PF06517', NULL, 'Orthopoxvirus A43R protein', 195, NULL, 'Orthopox_A43R', 30579),
(86854, 'PF11675', NULL, 'Protein of unknown function (DUF3271)', 248, NULL, 'DUF3271', 30580),
(86855, 'PF00948', NULL, 'Flavivirus non-structural Protein NS1', 360, NULL, 'Flavi_NS1', 30581),
(86856, 'PF19553', NULL, 'Family of unknown function (DUF6076)', 168, NULL, 'DUF6076', 30582),
(86857, 'PF04444', NULL, 'Catechol dioxygenase N terminus', 75, NULL, 'Dioxygenase_N', 30583),
(86858, 'PF02052', NULL, 'Gallidermin', 52, NULL, 'Gallidermin', 30584),
(86859, 'PF17090', NULL, 'YtcA family', 62, NULL, 'Ytca', 30585),
(86860, 'PF07986', NULL, 'Tubulin binding cofactor C', 120, NULL, 'TBCC', 30586),
(86861, 'PF02089', NULL, 'Palmitoyl protein thioesterase', 257, NULL, 'Palm_thioest', 30587),
(86862, 'PF03702', NULL, 'Anhydro-N-acetylmuramic acid kinase', 366, NULL, 'AnmK', 30588),
(86863, 'PF04435', NULL, 'Domain of unknown function (DUF545)', 104, NULL, 'SPK', 30589),
(86864, 'PF09825', NULL, 'Biotin-protein ligase, N terminal', 377, NULL, 'BPL_N', 30590),
(86865, 'PF00683', NULL, 'TB domain', 44, NULL, 'TB', 30591),
(86866, 'PF13871', NULL, 'C-terminal domain on Strawberry notch homologue', 271, NULL, 'Helicase_C_4', 30592),
(86867, 'PF04818', NULL, 'CID domain', 121, NULL, 'CID', 30593),
(86868, 'PF17791', NULL, 'Macroglobulin domain MG3', 85, NULL, 'MG3', 30594),
(86869, 'PF08416', NULL, 'Phosphotyrosine-binding domain', 131, NULL, 'PTB', 30595),
(86870, 'PF05551', NULL, 'Zinc-binding loop region of homing endonuclease', 131, NULL, 'zf-His_Me_endon', 30596),
(86871, 'PF08025', NULL, 'Spider antimicrobial peptide', 37, NULL, 'Antimicrobial_3', 30597),
(86872, 'PF14825', NULL, 'Domain of unknown function (DUF4483)', 158, NULL, 'DUF4483', 30598),
(86873, 'PF15918', NULL, 'Domain of unknown function (DUF4744)', 70, NULL, 'DUF4744', 30599),
(86874, 'PF18715', NULL, 'Phage spike trimer', 53, NULL, 'Phage_spike', 30600),
(86875, 'PF07835', NULL, 'Bacterial aa3 type cytochrome c oxidase subunit IV', 46, NULL, 'COX4_pro_2', 30601),
(86876, 'PF10907', NULL, 'Protein of unknown function (DUF2749)', 72, NULL, 'DUF2749', 30602),
(86877, 'PF19040', NULL, 'SGNH domain (fused to AT3 domains)', 254, NULL, 'SGNH', 30603),
(86878, 'PF04205', NULL, 'FMN-binding domain', 70, NULL, 'FMN_bind', 30604),
(86879, 'PF06271', NULL, 'RDD family', 138, NULL, 'RDD', 30605),
(86880, 'PF10513', NULL, 'Enhancer of polycomb-like', 174, NULL, 'EPL1', 30606),
(86881, 'PF11115', NULL, 'Protein of unknown function (DUF2623)', 93, NULL, 'DUF2623', 30607),
(86882, 'PF15112', NULL, 'Domain of unknown function (DUF4559)', 311, NULL, 'DUF4559', 30608),
(86883, 'PF16803', NULL, 'Fe-S cluster assembly protein DRE2 N-terminus', 131, NULL, 'DRE2_N', 30609),
(86884, 'PF17895', NULL, 'Giardia Dicer N-terminal domain', 144, NULL, 'Dicer_N', 30610),
(86885, 'PF02007', NULL, 'Tetrahydromethanopterin S-methyltransferase MtrH subunit', 299, NULL, 'MtrH', 30611),
(86886, 'PF11516', NULL, 'Protein of unknown function (DUF3120)', 106, NULL, 'DUF3220', 30612),
(86887, 'PF08967', NULL, 'Domain of unknown function (DUF1884)', 92, NULL, 'DUF1884', 30613),
(86888, 'PF01230', NULL, 'HIT domain', 98, NULL, 'HIT', 30614),
(86889, 'PF07305', NULL, 'Protein of unknown function (DUF1454)', 189, NULL, 'DUF1454', 30615),
(86890, 'PF13629', NULL, 'Pilus formation protein N terminal region', 72, NULL, 'T2SS-T3SS_pil_N', 30616);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(86891, 'PF10285', NULL, 'Luciferase catalytic domain', 296, NULL, 'Luciferase_cat', 30617),
(86892, 'PF09200', NULL, 'Monellin', 43, NULL, 'Monellin', 30618),
(86893, 'PF18493', NULL, 'Domain of unknown function (DUF5617)', 96, NULL, 'DUF5617', 30619),
(86894, 'PF14578', NULL, 'Elongation factor Tu domain 4', 87, NULL, 'GTP_EFTU_D4', 30620),
(86895, 'PF15224', NULL, 'Scrapie-responsive protein 1', 76, NULL, 'SCRG1', 30621),
(86896, 'PF02865', NULL, 'STAT protein, protein interaction domain', 119, NULL, 'STAT_int', 30622),
(86897, 'PF00137', NULL, 'ATP synthase subunit C', 60, NULL, 'ATP-synt_C', 30623),
(86898, 'PF02536', NULL, 'mTERF', 315, NULL, 'mTERF', 30624),
(86899, 'PF14514', NULL, 'Tetracyclin repressor-like, C-terminal domain', 130, NULL, 'TetR_C_9', 30625),
(86900, 'PF07715', NULL, 'TonB-dependent Receptor Plug Domain', 108, NULL, 'Plug', 30626),
(86901, 'PF14837', NULL, 'Integrator complex subunit 5 N-terminus', 210, NULL, 'INTS5_N', 30627),
(86902, 'PF12749', NULL, 'Eukaryotic metallothionein', 66, NULL, 'Metallothio_Euk', 30628),
(86903, 'PF17991', NULL, 'Thioredoxin like C-terminal domain', 142, NULL, 'Thioredoxin_10', 30629),
(86904, 'PF05011', NULL, 'Lariat debranching enzyme, C-terminal domain', 136, NULL, 'DBR1', 30630),
(86905, 'PF17680', NULL, 'FlgO protein', 131, NULL, 'FlgO', 30631),
(86906, 'PF08634', NULL, 'Mitochondrial protein Pet127', 274, NULL, 'Pet127', 30632),
(86907, 'PF11736', NULL, 'Protein of unknown function (DUF3299)', 142, NULL, 'DUF3299', 30633),
(86908, 'PF06047', NULL, 'NF-kappa-B-activating protein C-terminal domain', 102, NULL, 'Nkap_C', 30634),
(86909, 'PF13057', NULL, 'Protein of unknown function (DUF3919)', 232, NULL, 'DUF3919', 30635),
(86910, 'PF07157', NULL, 'DNA circularisation protein N-terminus', 88, NULL, 'DNA_circ_N', 30636),
(86911, 'PF17713', NULL, 'Family of unknown function (DUF5558)', 124, NULL, 'DUF5558', 30637),
(86912, 'PF19014', NULL, 'Family of unknown function (DUF5743)', 186, NULL, 'DUF5743', 30638),
(86913, 'PF02574', NULL, 'Homocysteine S-methyltransferase', 274, NULL, 'S-methyl_trans', 30639),
(86914, 'PF14185', NULL, 'Antitoxin SpoIISB, type II toxin-antitoxin system', 56, NULL, 'SpoIISB_antitox', 30640),
(86915, 'PF14162', NULL, 'YozD-like protein', 57, NULL, 'YozD', 30641),
(86916, 'PF12922', NULL, 'non-SMC mitotic condensation complex subunit 1, N-term', 166, NULL, 'Cnd1_N', 30642),
(86917, 'PF01451', NULL, 'Low molecular weight phosphotyrosine protein phosphatase', 142, NULL, 'LMWPc', 30643),
(86918, 'PF11937', NULL, 'Protein of unknown function (DUF3455)', 158, NULL, 'DUF3455', 30644),
(86919, 'PF18864', NULL, 'AbiTii', 188, NULL, 'AbiTii', 30645),
(86920, 'PF01111', NULL, 'Cyclin-dependent kinase regulatory subunit', 68, NULL, 'CKS', 30646),
(86921, 'PF04508', NULL, 'Viral A-type inclusion protein repeat', 23, NULL, 'Pox_A_type_inc', 30647),
(86922, 'PF07713', NULL, 'Protein of unknown function (DUF1604)', 85, NULL, 'DUF1604', 30648),
(86923, 'PF03619', NULL, 'Organic solute transporter Ostalpha', 243, NULL, 'Solute_trans_a', 30649),
(86924, 'PF11026', NULL, 'Protein of unknown function (DUF2721)', 129, NULL, 'DUF2721', 30650),
(86925, 'PF16893', NULL, 'Fibronectin type III domain', 89, NULL, 'fn3_2', 30651),
(86926, 'PF04553', NULL, 'Tis11B like protein, N terminus', 118, NULL, 'Tis11B_N', 30652),
(86927, 'PF10278', NULL, 'Mediator of RNA pol II transcription subunit 19', 178, NULL, 'Med19', 30653),
(86928, 'PF00893', NULL, 'Small Multidrug Resistance protein', 93, NULL, 'Multi_Drug_Res', 30654),
(86929, 'PF06899', NULL, 'WzyE protein, O-antigen assembly polymerase', 447, NULL, 'WzyE', 30655),
(86930, 'PF01288', NULL, '7,8-dihydro-6-hydroxymethylpterin-pyrophosphokinase (HPPK)', 111, NULL, 'HPPK', 30656),
(86931, 'PF07178', NULL, 'TraL protein', 90, NULL, 'TraL', 30657),
(86932, 'PF12976', NULL, 'Domain of Unknown Function with PDB structure (DUF3860)', 92, NULL, 'DUF3860', 30658),
(86933, 'PF00651', NULL, 'BTB/POZ domain', 111, NULL, 'BTB', 30659),
(86934, 'PF16724', NULL, 'T4-like virus Myoviridae tail sheath stabiliser', 234, NULL, 'T4-gp15_tss', 30660);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(86935, 'PF11538', NULL, 'Snurportin1', 40, NULL, 'Snurportin1', 30661),
(86936, 'PF02179', NULL, 'BAG domain', 78, NULL, 'BAG', 30662),
(86937, 'PF11716', NULL, 'Mycothiol maleylpyruvate isomerase N-terminal domain', 141, NULL, 'MDMPI_N', 30663),
(86938, 'PF00552', NULL, 'Integrase DNA binding domain', 45, NULL, 'IN_DBD_C', 30664),
(86939, 'PF02586', NULL, 'SOS response associated peptidase (SRAP)', 220, NULL, 'SRAP', 30665),
(86940, 'PF04450', NULL, 'Peptidase of plants and bacteria', 206, NULL, 'BSP', 30666),
(86941, 'PF17910', NULL, 'FeoB cytosolic helical domain', 91, NULL, 'FeoB_Cyto', 30667),
(86942, 'PF10835', NULL, 'Protein of unknown function (DUF2573)', 78, NULL, 'DUF2573', 30668),
(86943, 'PF15571', NULL, 'Immunity protein 44', 126, NULL, 'Imm44', 30669),
(86944, 'PF01632', NULL, 'Ribosomal protein L35', 61, NULL, 'Ribosomal_L35p', 30670),
(86945, 'PF10412', NULL, 'Type IV secretion-system coupling protein DNA-binding domain', 387, NULL, 'TrwB_AAD_bind', 30671),
(86946, 'PF15220', NULL, 'Hypoxia-inducible lipid droplet-associated', 63, NULL, 'HILPDA', 30672),
(86947, 'PF12113', NULL, 'SVM protein signal sequence', 33, NULL, 'SVM_signal', 30673),
(86948, 'PF13004', NULL, 'Putative binding domain, N-terminal', 53, NULL, 'BACON', 30674),
(86949, 'PF13100', NULL, 'OstA-like protein', 158, NULL, 'OstA_2', 30675),
(86950, 'PF07771', NULL, 'Tick salivary peptide group 1', 120, NULL, 'TSGP1', 30676),
(86951, 'PF08546', NULL, 'Ketopantoate reductase PanE/ApbA C terminal', 125, NULL, 'ApbA_C', 30677),
(86952, 'PF02953', NULL, 'Tim10/DDP family zinc finger', 64, NULL, 'zf-Tim10_DDP', 30678),
(86953, 'PF10475', NULL, 'Vacuolar-sorting protein 54, of GARP complex', 291, NULL, 'Vps54_N', 30679),
(86954, 'PF18286', NULL, 'Type III secretion system ExsE', 46, NULL, 'T3SS_ExsE', 30680),
(86955, 'PF03783', NULL, 'Curli production assembly/transport component CsgG', 211, NULL, 'CsgG', 30681),
(86956, 'PF10832', NULL, 'Protein of unknown function (DUF2559)', 54, NULL, 'DUF2559', 30682),
(86957, 'PF01044', NULL, 'Vinculin family', 969, NULL, 'Vinculin', 30683),
(86958, 'PF06472', NULL, 'ABC transporter transmembrane region 2', 269, NULL, 'ABC_membrane_2', 30684),
(86959, 'PF14035', NULL, 'YlzJ-like protein', 65, NULL, 'YlzJ', 30685),
(86960, 'PF02390', NULL, 'Putative methyltransferase', 173, NULL, 'Methyltransf_4', 30686),
(86961, 'PF14068', NULL, 'Putative membrane protein', 101, NULL, 'YuiB', 30687),
(86962, 'PF19719', NULL, 'Family of unknown function (DUF6213)', 66, NULL, 'DUF6213', 30688),
(86963, 'PF09156', NULL, 'Anthrax toxin lethal factor, middle domain', 287, NULL, 'Anthrax-tox_M', 30689),
(86964, 'PF01496', NULL, 'V-type ATPase 116kDa subunit family', 816, NULL, 'V_ATPase_I', 30690),
(86965, 'PF05845', NULL, 'Bacterial phosphonate metabolism protein (PhnH)', 188, NULL, 'PhnH', 30691),
(86966, 'PF17600', NULL, 'Family of unknown function (DUF5496)', 87, NULL, 'DUF5496', 30692),
(86967, 'PF08437', NULL, 'Glycosyl transferase family 8 C-terminal', 57, NULL, 'Glyco_transf_8C', 30693),
(86968, 'PF02085', NULL, 'Class III cytochrome C family', 102, NULL, 'Cytochrom_CIII', 30694),
(86969, 'PF12114', NULL, 'Period protein 2/3C-terminal region', 171, NULL, 'Period_C', 30695),
(86970, 'PF19563', NULL, 'Family of unknown function (DUF6085)', 111, NULL, 'DUF6085', 30696),
(86971, 'PF06943', NULL, 'LSD1 zinc finger', 25, NULL, 'zf-LSD1', 30697),
(86972, 'PF00579', NULL, 'tRNA synthetases class I (W and Y)', 293, NULL, 'tRNA-synt_1b', 30698),
(86973, 'PF18938', NULL, 'Atypical Rib domain', 71, NULL, 'aRib', 30699),
(86974, 'PF03716', NULL, 'WCCH motif', 25, NULL, 'WCCH', 30700),
(86975, 'PF15742', NULL, 'Domain of unknown function (DUF4686)', 384, NULL, 'DUF4686', 30701),
(86976, 'PF05300', NULL, 'MICOS complex subunit MIC19/MIC25', 233, NULL, 'MIC19_MIC25', 30702),
(86977, 'PF17770', NULL, 'Ribonuclease J C-terminal domain', 102, NULL, 'RNase_J_C', 30703),
(86978, 'PF04316', NULL, 'Anti-sigma-28 factor, FlgM', 55, NULL, 'FlgM', 30704),
(86979, 'PF00081', NULL, 'Iron/manganese superoxide dismutases, alpha-hairpin domain', 82, NULL, 'Sod_Fe_N', 30705);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(86980, 'PF09162', NULL, 'Tap, RNA-binding', 80, NULL, 'Tap-RNA_bind', 30706),
(86981, 'PF14828', NULL, 'Amnionless', 451, NULL, 'Amnionless', 30707),
(86982, 'PF18883', NULL, 'Autochaperone Domain Type 1', 113, NULL, 'AC_1', 30708),
(86983, 'PF00705', NULL, 'Proliferating cell nuclear antigen, N-terminal domain', 127, NULL, 'PCNA_N', 30709),
(86984, 'PF18163', NULL, 'SLOG cluster2', 261, NULL, 'LD_cluster2', 30710),
(86985, 'PF13596', NULL, 'PAS domain', 106, NULL, 'PAS_10', 30711),
(86986, 'PF18681', NULL, 'Family of unknown function (DUF5634)', 98, NULL, 'DUF5634', 30712),
(86987, 'PF00898', NULL, 'Orbivirus outer capsid protein VP2', 946, NULL, 'Orbi_VP2', 30713),
(86988, 'PF04945', NULL, 'YHS domain', 47, NULL, 'YHS', 30714),
(86989, 'PF08080', NULL, 'RNPHF zinc finger', 36, NULL, 'zf-RNPHF', 30715),
(86990, 'PF19890', NULL, 'Domain of unknown function (DUF6363)', 67, NULL, 'DUF6363', 30716),
(86991, 'PF12235', NULL, 'Fragile X-related 1 protein core C terminal', 129, NULL, 'FXMRP1_C_core', 30717),
(86992, 'PF14654', NULL, 'Mucin, catalytic, TM and cytoplasmic tail region', 91, NULL, 'Epiglycanin_C', 30718),
(86993, 'PF12187', NULL, 'Viral/Archaeal nuclease', 190, NULL, 'VirArc_Nuclease', 30719),
(86994, 'PF04350', NULL, 'Pilus assembly protein, PilO', 146, NULL, 'PilO', 30720),
(86995, 'PF17034', NULL, 'Zinc-ribbon like family', 125, NULL, 'zinc_ribbon_16', 30721),
(86996, 'PF01474', NULL, 'Class-II DAHP synthetase family', 437, NULL, 'DAHP_synth_2', 30722),
(86997, 'PF13385', NULL, 'Concanavalin A-like lectin/glucanases superfamily', 152, NULL, 'Laminin_G_3', 30723),
(86998, 'PF09551', NULL, 'Stage II sporulation protein R (spore_II_R)', 128, NULL, 'Spore_II_R', 30724),
(86999, 'PF05077', NULL, 'Protein of unknown function (DUF678)', 75, NULL, 'DUF678', 30725),
(87000, 'PF07699', NULL, 'Tyrosine-protein kinase ephrin type A/B receptor-like', 48, NULL, 'Ephrin_rec_like', 30726),
(87001, 'PF08664', NULL, 'YcbB domain', 136, NULL, 'YcbB', 30727),
(87002, 'PF09869', NULL, 'Uncharacterized protein conserved in archaea (DUF2096)', 169, NULL, 'DUF2096', 30728),
(87003, 'PF11811', NULL, 'Domain of unknown function (DUF3331)', 93, NULL, 'DUF3331', 30729),
(87004, 'PF00393', NULL, '6-phosphogluconate dehydrogenase, C-terminal domain', 290, NULL, '6PGD', 30730),
(87005, 'PF07328', NULL, 'T-DNA border endonuclease VirD1', 142, NULL, 'VirD1', 30731),
(87006, 'PF00120', NULL, 'Glutamine synthetase, catalytic domain', 345, NULL, 'Gln-synt_C', 30732),
(87007, 'PF07260', NULL, 'Progressive ankylosis protein (ANKH)', 344, NULL, 'ANKH', 30733),
(87008, 'PF13671', NULL, 'AAA domain', 143, NULL, 'AAA_33', 30734),
(87009, 'PF09113', NULL, 'Peptide-N-glycosidase F, C terminal', 136, NULL, 'N-glycanase_C', 30735),
(87010, 'PF15293', NULL, 'Nuclear fragile X mental retardation-interacting protein 2', 597, NULL, 'NUFIP2', 30736),
(87011, 'PF13266', NULL, 'Protein of unknown function (DUF4057)', 299, NULL, 'DUF4057', 30737),
(87012, 'PF07424', NULL, 'TrbM', 156, NULL, 'TrbM', 30738),
(87013, 'PF01607', NULL, 'Chitin binding Peritrophin-A domain', 53, NULL, 'CBM_14', 30739),
(87014, 'PF03856', NULL, 'Beta-glucosidase (SUN family)', 245, NULL, 'SUN', 30740),
(87015, 'PF11279', NULL, 'Protein of unknown function (DUF3080)', 315, NULL, 'DUF3080', 30741),
(87016, 'PF13483', NULL, 'Beta-lactamase superfamily domain', 163, NULL, 'Lactamase_B_3', 30742),
(87017, 'PF16473', NULL, '3'' exoribonuclease, RNase T-like', 166, NULL, 'DUF5051', 30743),
(87018, 'PF00122', NULL, 'E1-E2 ATPase', 181, NULL, 'E1-E2_ATPase', 30744),
(87019, 'PF17932', NULL, 'Tetracyclin repressor-like, C-terminal domain', 114, NULL, 'TetR_C_24', 30745),
(87020, 'PF07148', NULL, 'Maltose operon periplasmic protein precursor (MalM)', 134, NULL, 'MalM', 30746),
(87021, 'PF08244', NULL, 'Glycosyl hydrolases family 32 C terminal', 158, NULL, 'Glyco_hydro_32C', 30747),
(87022, 'PF10248', NULL, 'Myelodysplasia-myeloid leukemia factor 1-interacting protein', 174, NULL, 'Mlf1IP', 30748),
(87023, 'PF12495', NULL, 'Vegetative insecticide protein 3A N terminal', 177, NULL, 'Vip3A_N', 30749);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(87024, 'PF15868', NULL, 'Transcription activator MBF2', 90, NULL, 'MBF2', 30750),
(87025, 'PF08020', NULL, 'Protein of unknown function (DUF1706)', 166, NULL, 'DUF1706', 30751),
(87026, 'PF18644', NULL, 'Phage integrase SAM-like domain', 132, NULL, 'Phage_int_SAM_6', 30752),
(87027, 'PF19448', NULL, 'Family of unknown function (DUF5986)', 240, NULL, 'DUF5986', 30753),
(87028, 'PF14102', NULL, 'Capsule biosynthesis CapC', 119, NULL, 'Caps_synth_CapC', 30754),
(87029, 'PF08895', NULL, 'Domain of unknown function (DUF1840)', 108, NULL, 'DUF1840', 30755),
(87030, 'PF11171', NULL, 'Protein of unknown function (DUF2958)', 111, NULL, 'DUF2958', 30756),
(87031, 'PF16810', NULL, 'RXLR phytopathogen effector protein, Avirulence activity', 141, NULL, 'RXLR', 30757),
(87032, 'PF01365', NULL, 'RIH domain', 201, NULL, 'RYDR_ITPR', 30758),
(87033, 'PF20098', NULL, 'Family of unknown function (DUF6488)', 112, NULL, 'DUF6488', 30759),
(87034, 'PF12156', NULL, 'Putative metal-binding domain of cation transport ATPase', 87, NULL, 'ATPase-cat_bd', 30760),
(87035, 'PF03229', NULL, 'Alphavirus glycoprotein J', 126, NULL, 'Alpha_GJ', 30761),
(87036, 'PF11454', NULL, 'Protein of unknown function (DUF3016)', 139, NULL, 'DUF3016', 30762),
(87037, 'PF12430', NULL, 'Abscisic acid G-protein coupled receptor', 182, NULL, 'ABA_GPCR', 30763),
(87038, 'PF16350', NULL, 'FAD dependent oxidoreductase central domain', 56, NULL, 'FAO_M', 30764),
(87039, 'PF05052', NULL, 'MerE protein', 75, NULL, 'MerE', 30765),
(87040, 'PF06184', NULL, 'Potexvirus coat protein', 153, NULL, 'Potex_coat', 30766),
(87041, 'PF14583', NULL, 'Oligogalacturonate lyase', 386, NULL, 'Pectate_lyase22', 30767),
(87042, 'PF18730', NULL, 'Cthe_2314-like HEPN', 173, NULL, 'HEPN_Cthe2314', 30768),
(87043, 'PF19945', NULL, 'Family of unknown function (DUF6407)', 96, NULL, 'DUF6407', 30769),
(87044, 'PF04754', NULL, 'Putative transposase, YhgA-like', 205, NULL, 'Transposase_31', 30770),
(87045, 'PF12536', NULL, 'Patatin phospholipase', 106, NULL, 'DUF3734', 30771),
(87046, 'PF13509', NULL, 'S1 domain', 61, NULL, 'S1_2', 30772),
(87047, 'PF19960', NULL, 'Effector-associated domain 7', 62, NULL, 'EAD7', 30773),
(87048, 'PF15168', NULL, 'Triple QxxK/R motif-containing protein family', 79, NULL, 'TRIQK', 30774),
(87049, 'PF15469', NULL, 'Exocyst complex component Sec5', 823, NULL, 'Sec5', 30775),
(87050, 'PF09895', NULL, 'RecB-family nuclease (DUF2122)', 106, NULL, 'DUF2122', 30776),
(87051, 'PF10180', NULL, 'WKF domain', 63, NULL, 'WKF', 30777),
(87052, 'PF18932', NULL, 'Family of unknown function (DUF5681)', 77, NULL, 'DUF5681', 30778),
(87053, 'PF03264', NULL, 'NapC/NirT cytochrome c family, N-terminal region', 174, NULL, 'Cytochrom_NNT', 30779),
(87054, 'PF10997', NULL, 'Alternate to MurJ', 253, NULL, 'Amj', 30780),
(87055, 'PF13965', NULL, 'dsRNA-gated channel SID-1', 607, NULL, 'SID-1_RNA_chan', 30781),
(87056, 'PF19491', NULL, 'Family of unknown function (DUF6026)', 51, NULL, 'DUF6026', 30782),
(87057, 'PF02110', NULL, 'Hydroxyethylthiazole kinase family', 246, NULL, 'HK', 30783),
(87058, 'PF05493', NULL, 'ATP synthase subunit H', 62, NULL, 'ATP_synt_H', 30784),
(87059, 'PF01346', NULL, 'Domain amino terminal to FKBP-type peptidyl-prolyl isomerase', 97, NULL, 'FKBP_N', 30785),
(87060, 'PF09931', NULL, 'Uncharacterized conserved protein (DUF2163)', 163, NULL, 'DUF2163', 30786),
(87061, 'PF14568', NULL, 'SMI1-KNR4 cell-wall', 122, NULL, 'SUKH_6', 30787),
(87062, 'PF07106', NULL, 'TBPIP/Hop2 winged helix domain', 62, NULL, 'TBPIP', 30788),
(87063, 'PF08448', NULL, 'PAS fold', 110, NULL, 'PAS_4', 30789),
(87064, 'PF16920', NULL, 'Leucine rich repeat C-terminal motif', 45, NULL, 'LRRCT_2', 30790),
(87065, 'PF01576', NULL, 'Myosin tail', 1081, NULL, 'Myosin_tail_1', 30791),
(87066, 'PF13921', NULL, 'Myb-like DNA-binding domain', 60, NULL, 'Myb_DNA-bind_6', 30792),
(87067, 'PF07434', NULL, 'CblD like pilus biogenesis initiator', 362, NULL, 'CblD', 30793),
(87068, 'PF06707', NULL, 'Protein of unknown function (DUF1194)', 206, NULL, 'DUF1194', 30794),
(87069, 'PF07020', NULL, 'Orthopoxvirus C10L protein', 79, NULL, 'Orthopox_C10L', 30795);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(87070, 'PF11807', NULL, 'Mycotoxin biosynthesis protein UstYa', 220, NULL, 'UstYa', 30796),
(87071, 'PF19355', NULL, 'Family of unknown function (DUF5932)', 111, NULL, 'DUF5932', 30797),
(87072, 'PF00488', NULL, 'MutS domain V', 188, NULL, 'MutS_V', 30798),
(87073, 'PF17302', NULL, 'Family of unknown function (DUF5351)', 29, NULL, 'DUF5351', 30799),
(87074, 'PF10411', NULL, 'Disulfide bond isomerase protein N-terminus', 54, NULL, 'DsbC_N', 30800),
(87075, 'PF05635', NULL, '23S rRNA-intervening sequence protein', 106, NULL, '23S_rRNA_IVP', 30801),
(87076, 'PF10807', NULL, 'Protein of unknown function (DUF2541)', 130, NULL, 'DUF2541', 30802),
(87077, 'PF18190', NULL, 'Polo-like Kinase 4 Polo Box 1', 108, NULL, 'Plk4_PB1', 30803),
(87078, 'PF20106', NULL, 'Family of unknown function (DUF6496)', 58, NULL, 'DUF6496', 30804),
(87079, 'PF14320', NULL, 'Phosphoprotein P region PNT disordered', 311, NULL, 'Paramyxo_PNT', 30805),
(87080, 'PF00593', NULL, 'TonB dependent receptor', 470, NULL, 'TonB_dep_Rec', 30806),
(87081, 'PF11922', NULL, 'Domain of unknown function (DUF3440)', 182, NULL, 'DUF3440', 30807),
(87082, 'PF19341', NULL, 'Beta-1,3-galactosyltransferase 2 N-terminus', 82, NULL, 'B3GALT2_N', 30808),
(87083, 'PF10334', NULL, 'Aromatic acid exporter family member 2', 229, NULL, 'ArAE_2', 30809),
(87084, 'PF09117', NULL, 'MiAMP1', 76, NULL, 'MiAMP1', 30810),
(87085, 'PF19138', NULL, 'Family of unknown function (DUF5821)', 217, NULL, 'DUF5821', 30811),
(87086, 'PF10493', NULL, 'Rough deal protein C-terminal region', 551, NULL, 'Rod_C', 30812),
(87087, 'PF00494', NULL, 'Squalene/phytoene synthase', 263, NULL, 'SQS_PSY', 30813),
(87088, 'PF07769', NULL, 'psiF repeat', 34, NULL, 'PsiF_repeat', 30814),
(87089, 'PF15647', NULL, 'Restriction endonuclease fold toxin 3', 102, NULL, 'Tox-REase-3', 30815),
(87090, 'PF11972', NULL, 'HTH DNA binding domain', 54, NULL, 'HTH_13', 30816),
(87091, 'PF09537', NULL, 'Domain of unknown function (DUF2383)', 111, NULL, 'DUF2383', 30817),
(87092, 'PF13301', NULL, 'Protein of unknown function (DUF4079)', 141, NULL, 'DUF4079', 30818),
(87093, 'PF00710', NULL, 'Asparaginase, N-terminal', 192, NULL, 'Asparaginase', 30819),
(87094, 'PF15045', NULL, 'Clathrin-binding box of Aftiphilin, vesicle trafficking', 80, NULL, 'Clathrin_bdg', 30820),
(87095, 'PF16342', NULL, 'Domain of unknown function (DUF4972)', 128, NULL, 'DUF4972', 30821),
(87096, 'PF15963', NULL, 'Myb DNA-binding like', 88, NULL, 'Myb_DNA-bind_7', 30822),
(87097, 'PF18940', NULL, 'Family of unknown function (DUF5687)', 484, NULL, 'DUF5687', 30823),
(87098, 'PF19776', NULL, 'Family of unknown function (DUF6262)', 110, NULL, 'DUF6262', 30824),
(87099, 'PF02538', NULL, 'Hydantoinase B/oxoprolinase', 517, NULL, 'Hydantoinase_B', 30825),
(87100, 'PF10661', NULL, 'WXG100 protein secretion system (Wss), protein EssA', 148, NULL, 'EssA', 30826),
(87101, 'PF09214', NULL, 'Bacteriophage Prd1, adsorption protein P2', 555, NULL, 'Prd1-P2', 30827),
(87102, 'PF00322', NULL, 'Endothelin family', 29, NULL, 'Endothelin', 30828),
(87103, 'PF05843', NULL, 'Suppressor of forked protein (Suf)', 296, NULL, 'Suf', 30829),
(87104, 'PF06109', NULL, 'Haemolysin E (HlyE)', 309, NULL, 'HlyE', 30830),
(87105, 'PF15251', NULL, 'Domain of unknown function (DUF4588)', 251, NULL, 'DUF4588', 30831),
(87106, 'PF20059', NULL, 'Domain of unknown function (DUF6458)', 78, NULL, 'DUF6458', 30832),
(87107, 'PF10291', NULL, 'Muniscin C-terminal mu homology domain', 263, NULL, 'muHD', 30833),
(87108, 'PF11783', NULL, 'Cytochrome c bacterial', 175, NULL, 'Cytochrome_cB', 30834),
(87109, 'PF05981', NULL, 'CreA protein', 131, NULL, 'CreA', 30835),
(87110, 'PF11068', NULL, 'YlqD protein', 131, NULL, 'YlqD', 30836),
(87111, 'PF10160', NULL, 'Predicted membrane protein', 258, NULL, 'Tmemb_40', 30837),
(87112, 'PF00729', NULL, 'Viral coat protein (S domain)', 207, NULL, 'Viral_coat', 30838),
(87113, 'PF16770', NULL, 'Regulator of Ty1 transposition protein 107 BRCT domain', 100, NULL, 'RTT107_BRCT_5', 30839),
(87114, 'PF15723', NULL, 'Motility quorum-sensing regulator, toxin of MqsA', 96, NULL, 'MqsR_toxin', 30840);
INSERT INTO "PUBLIC"."MODEL" VALUES
(87115, 'PF12656', NULL, 'G-patch domain', 61, NULL, 'G-patch_2', 30841),
(87116, 'PF06440', NULL, 'DNA polymerase III, theta subunit', 70, NULL, 'DNA_pol3_theta', 30842),
(87117, 'PF19251', NULL, 'Family of unknown function (DUF5899)', 139, NULL, 'DUF5899', 30843),
(87118, 'PF03231', NULL, 'Bunyavirus non-structural protein NS-S', 444, NULL, 'Bunya_NS-S_2', 30844),
(87119, 'PF06014', NULL, 'Bacterial protein of unknown function (DUF910)', 61, NULL, 'DUF910', 30845),
(87120, 'PF08062', NULL, 'P120R (NUC006) repeat', 22, NULL, 'P120R', 30846),
(87121, 'PF09317', NULL, 'Domain of unknown function (DUF1974)', 284, NULL, 'DUF1974', 30847),
(87122, 'PF10457', NULL, 'Cholesterol-capturing domain', 178, NULL, 'MENTAL', 30848),
(87123, 'PF11091', NULL, 'Tail-tube assembly protein', 348, NULL, 'T4_tail_cap', 30849),
(87124, 'PF12512', NULL, 'Protein of unknown function (DUF3717)', 68, NULL, 'DUF3717', 30850),
(87125, 'PF17594', NULL, 'Phage Tail fiber assembly helper gene product 57', 75, NULL, 'GP57', 30851),
(87126, 'PF03902', NULL, 'Gal4-like dimerisation domain', 54, NULL, 'Gal4_dimer', 30852),
(87127, 'PF15062', NULL, 'Haemopoietic lineage transmembrane helix', 86, NULL, 'ARL6IP6', 30853),
(87128, 'PF10367', NULL, 'Vacuolar sorting protein 39 domain 2', 109, NULL, 'Vps39_2', 30854),
(87129, 'PF16742', NULL, 'N-terminus of interleukin 17 receptor D', 122, NULL, 'IL17R_D_N', 30855),
(87130, 'PF00373', NULL, 'FERM central domain', 127, NULL, 'FERM_M', 30856),
(87131, 'PF07565', NULL, 'Band 3 cytoplasmic domain', 262, NULL, 'Band_3_cyto', 30857),
(87132, 'PF05699', NULL, 'hAT family C-terminal dimerisation region', 86, NULL, 'Dimer_Tnp_hAT', 30858),
(87133, 'PF02905', NULL, 'Epstein Barr virus nuclear antigen-1, DNA-binding domain', 146, NULL, 'EBV-NA1', 30859),
(87134, 'PF01655', NULL, 'Ribosomal protein L32', 108, NULL, 'Ribosomal_L32e', 30860),
(87135, 'PF11935', NULL, 'Symplekin/PTA1 N-terminal', 227, NULL, 'SYMPK_PTA1_N', 30861),
(87136, 'PF15919', NULL, 'HicB_like antitoxin of bacterial toxin-antitoxin system', 123, NULL, 'HicB_lk_antitox', 30862),
(87137, 'PF17186', NULL, 'Lipocalin-like domain', 132, NULL, 'Lipocalin_9', 30863),
(87138, 'PF16208', NULL, 'Keratin type II head', 162, NULL, 'Keratin_2_head', 30864),
(87139, 'PF17953', NULL, 'CRISPR Csm4 C-terminal domain', 91, NULL, 'Csm4_C', 30865),
(87140, 'PF06658', NULL, 'Protein of unknown function (DUF1168)', 136, NULL, 'DUF1168', 30866),
(87141, 'PF07272', NULL, 'Orthoreovirus P17 protein', 146, NULL, 'Orthoreo_P17', 30867),
(87142, 'PF09339', NULL, 'IclR helix-turn-helix domain', 52, NULL, 'HTH_IclR', 30868),
(87143, 'PF13866', NULL, 'SAP30 zinc-finger', 72, NULL, 'zf-SAP30', 30869),
(87144, 'PF08730', NULL, 'Rad33', 165, NULL, 'Rad33', 30870),
(87145, 'PF06259', NULL, 'Alpha/beta hydrolase', 178, NULL, 'Abhydrolase_8', 30871),
(87146, 'PF01313', NULL, 'Bacterial export proteins, family 3', 74, NULL, 'Bac_export_3', 30872),
(87147, 'PF03116', NULL, 'NQR2, RnfD, RnfE family', 292, NULL, 'NQR2_RnfD_RnfE', 30873),
(87148, 'PF05084', NULL, 'Granule antigen protein (GRA6)', 215, NULL, 'GRA6', 30874),
(87149, 'PF07356', NULL, 'Protein of unknown function (DUF1481)', 186, NULL, 'DUF1481', 30875),
(87150, 'PF13914', NULL, 'Phostensin PP1-binding and SH3-binding region', 142, NULL, 'Phostensin', 30876),
(87151, 'PF02364', NULL, '1,3-beta-glucan synthase component', 819, NULL, 'Glucan_synthase', 30877),
(87152, 'PF11023', NULL, 'Zinc-ribbon containing domain', 111, NULL, 'DUF2614', 30878),
(87153, 'PF17636', NULL, 'Viral Unique Long protein 21a', 123, NULL, 'UL21a', 30879),
(87154, 'PF15269', NULL, 'Zinc-finger', 54, NULL, 'zf-C2H2_7', 30880),
(87155, 'PF04001', NULL, 'Transcription factor Vhr1', 91, NULL, 'Vhr1', 30881),
(87156, 'PF17892', NULL, 'Cadherin-like domain', 98, NULL, 'Cadherin_5', 30882),
(87157, 'PF09835', NULL, 'Uncharacterized protein conserved in bacteria (DUF2062)', 141, NULL, 'DUF2062', 30883),
(87158, 'PF12457', NULL, 'Tuftelin interacting protein N terminal', 104, NULL, 'TIP_N', 30884),
(87159, 'PF14721', NULL, 'Apoptosis-inducing factor, mitochondrion-associated, C-term', 130, NULL, 'AIF_C', 30885);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(87160, 'PF16542', NULL, 'PNKP adenylyltransferase domain, ligase domain', 320, NULL, 'PNKP_ligase', 30886),
(87161, 'PF19919', NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX3', 175, NULL, 'bpX3', 30887),
(87162, 'PF19751', NULL, 'Family of unknown function (DUF6238)', 152, NULL, 'DUF6238', 30888),
(87163, 'PF01988', NULL, 'VIT family', 215, NULL, 'VIT1', 30889),
(87164, 'PF13549', NULL, 'ATP-grasp domain', 222, NULL, 'ATP-grasp_5', 30890),
(87165, 'PF18107', NULL, 'Fission yeast centromere protein N-terminal domain', 61, NULL, 'HTH_ABP1_N', 30891),
(87166, 'PF15727', NULL, 'Domain of unknown function (DUF4678)', 380, NULL, 'DUF4678', 30892),
(87167, 'PF19382', NULL, 'Family of unknown function (DUF5957)', 59, NULL, 'DUF5957', 30893),
(87168, 'PF19195', NULL, 'Family of unknown function (DUF5870)', 488, NULL, 'DUF5870', 30894),
(87169, 'PF11890', NULL, 'Domain of unknown function (DUF3410)', 81, NULL, 'DUF3410', 30895),
(87170, 'PF07768', NULL, 'PVL ORF-50-like family', 116, NULL, 'PVL_ORF50', 30896),
(87171, 'PF01947', NULL, 'p-hydroxybenzoic acid synthase', 149, NULL, 'DUF98', 30897),
(87172, 'PF14257', NULL, 'Domain of unknown function (DUF4349)', 213, NULL, 'DUF4349', 30898),
(87173, 'PF13759', NULL, 'Putative 2OG-Fe(II) oxygenase', 101, NULL, '2OG-FeII_Oxy_5', 30899),
(87174, 'PF00905', NULL, 'Penicillin binding protein transpeptidase domain', 306, NULL, 'Transpeptidase', 30900),
(87175, 'PF16163', NULL, 'Domain of unknown function (DUF4869)', 128, NULL, 'DUF4869', 30901),
(87176, 'PF10036', NULL, 'RNA transcription, translation and transport factor protein', 257, NULL, 'RLL', 30902),
(87177, 'PF05066', NULL, 'HB1, ASXL, restriction endonuclease HTH domain', 72, NULL, 'HARE-HTH', 30903),
(87178, 'PF15044', NULL, 'Mitochondrial function, CLU-N-term', 79, NULL, 'CLU_N', 30904),
(87179, 'PF03031', NULL, 'NLI interacting factor-like phosphatase', 156, NULL, 'NIF', 30905),
(87180, 'PF01743', NULL, 'Poly A polymerase head domain', 126, NULL, 'PolyA_pol', 30906),
(87181, 'PF18366', NULL, 'Zic proteins zinc finger domain', 46, NULL, 'zf_ZIC', 30907),
(87182, 'PF03460', NULL, 'Nitrite/Sulfite reductase ferredoxin-like half domain', 69, NULL, 'NIR_SIR_ferr', 30908),
(87183, 'PF10225', NULL, 'NEMP family', 249, NULL, 'NEMP', 30909),
(87184, 'PF12125', NULL, 'D domain of beta-TrCP', 39, NULL, 'Beta-TrCP_D', 30910),
(87185, 'PF11179', NULL, 'Protein of unknown function (DUF2967)', 880, NULL, 'DUF2967', 30911),
(87186, 'PF18436', NULL, 'Helical box domain of E3 ubiquitin-protein ligase HECW1', 67, NULL, 'HECW1_helix', 30912),
(87187, 'PF03875', NULL, 'Statherin', 41, NULL, 'Statherin', 30913),
(87188, 'PF10333', NULL, 'GPI-Mannosyltransferase II co-activator', 175, NULL, 'Pga1', 30914),
(87189, 'PF00050', NULL, 'Kazal-type serine protease inhibitor domain', 49, NULL, 'Kazal_1', 30915),
(87190, 'PF13621', NULL, 'Cupin-like domain', 254, NULL, 'Cupin_8', 30916),
(87191, 'PF05003', NULL, 'Protein of unknown function (DUF668)', 89, NULL, 'DUF668', 30917),
(87192, 'PF09903', NULL, 'Uncharacterized protein conserved in bacteria (DUF2130)', 255, NULL, 'DUF2130', 30918),
(87193, 'PF02108', NULL, 'Flagellar assembly protein FliH', 128, NULL, 'FliH', 30919),
(87194, 'PF10947', NULL, 'Protein of unknown function (DUF2628)', 93, NULL, 'DUF2628', 30920),
(87195, 'PF02439', NULL, 'Adenovirus E3 region protein CR2', 38, NULL, 'Adeno_E3_CR2', 30921),
(87196, 'PF11793', NULL, 'FANCL C-terminal domain', 70, NULL, 'FANCL_C', 30922),
(87197, 'PF01883', NULL, 'Iron-sulfur cluster assembly protein', 75, NULL, 'FeS_assembly_P', 30923),
(87198, 'PF02637', NULL, 'GatB domain', 148, NULL, 'GatB_Yqey', 30924),
(87199, 'PF14202', NULL, 'Transposon-encoded protein TnpW', 35, NULL, 'TnpW', 30925),
(87200, 'PF12659', NULL, 'Telomere capping C-terminal wHTH', 120, NULL, 'Stn1_C', 30926),
(87201, 'PF03403', NULL, 'Platelet-activating factor acetylhydrolase, isoform II', 379, NULL, 'PAF-AH_p_II', 30927),
(87202, 'PF05453', NULL, 'BmTXKS1/BmP02 toxin family', 28, NULL, 'Toxin_6', 30928),
(87203, 'PF13362', NULL, 'Toprim domain', 95, NULL, 'Toprim_3', 30929);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(87204, 'PF07199', NULL, 'Protein of unknown function (DUF1411)', 194, NULL, 'DUF1411', 30930),
(87205, 'PF16823', NULL, 'Atypical PilZ domain, cyclic di-GMP receptor', 136, NULL, 'PilZ_2', 30931),
(87206, 'PF18795', NULL, 'DNA mismatch repair protein HSM3, N terminal domain', 237, NULL, 'HSM3_N', 30932),
(87207, 'PF01503', NULL, 'Phosphoribosyl-ATP pyrophosphohydrolase', 83, NULL, 'PRA-PH', 30933),
(87208, 'PF05825', NULL, 'Beta-microseminoprotein (PSP-94)', 94, NULL, 'PSP94', 30934),
(87209, 'PF04220', NULL, 'Der GTPase activator (YihI)', 155, NULL, 'YihI', 30935),
(87210, 'PF00268', NULL, 'Ribonucleotide reductase, small chain', 280, NULL, 'Ribonuc_red_sm', 30936),
(87211, 'PF03677', NULL, 'Uncharacterised protein family (UPF0137)', 237, NULL, 'UPF0137', 30937),
(87212, 'PF19800', NULL, 'Family of unknown function (DUF6283)', 115, NULL, 'DUF6283', 30938),
(87213, 'PF09208', NULL, 'Restriction endonuclease MspI', 259, NULL, 'Endonuc-MspI', 30939),
(87214, 'PF12845', NULL, 'TBD domain', 56, NULL, 'TBD', 30940),
(87215, 'PF06508', NULL, 'Queuosine biosynthesis protein QueC', 209, NULL, 'QueC', 30941),
(87216, 'PF00874', NULL, 'PRD domain', 90, NULL, 'PRD', 30942),
(87217, 'PF14520', NULL, 'Helix-hairpin-helix domain', 57, NULL, 'HHH_5', 30943),
(87218, 'PF15569', NULL, 'Immunity protein 40', 93, NULL, 'Imm40', 30944),
(87219, 'PF05662', NULL, 'Coiled stalk of trimeric autotransporter adhesin', 43, NULL, 'YadA_stalk', 30945),
(87220, 'PF10667', NULL, 'Protein of unknown function (DUF2486)', 251, NULL, 'DUF2486', 30946),
(87221, 'PF16551', NULL, 'Putative nuclear localisation signal of quaking', 30, NULL, 'Quaking_NLS', 30947),
(87222, 'PF05695', NULL, 'Plant protein of unknown function (DUF825)', 1486, NULL, 'DUF825', 30948),
(87223, 'PF14067', NULL, 'LssY C-terminus', 188, NULL, 'LssY_C', 30949),
(87224, 'PF11429', NULL, 'Colicin D', 85, NULL, 'Colicin_D', 30950),
(87225, 'PF14948', NULL, 'RESP18 domain', 104, NULL, 'RESP18', 30951),
(87226, 'PF17432', NULL, 'Domain of unknown function (DUF3458_C) ARM repeats', 319, NULL, 'DUF3458_C', 30952),
(87227, 'PF00794', NULL, 'PI3-kinase family, ras-binding domain', 107, NULL, 'PI3K_rbd', 30953),
(87228, 'PF17488', NULL, 'Herpesvirus glycoprotein H C-terminal domain', 135, NULL, 'Herpes_glycoH_C', 30954),
(87229, 'PF02069', NULL, 'Prokaryotic metallothionein', 51, NULL, 'Metallothio_Pro', 30955),
(87230, 'PF11181', NULL, 'Heat induced stress protein YflT', 100, NULL, 'YflT', 30956),
(87231, 'PF03910', NULL, 'Adenovirus minor core protein PV', 355, NULL, 'Adeno_PV', 30957),
(87232, 'PF15300', NULL, 'INTS6/SAGE1/DDX26B/CT45 C-terminus', 63, NULL, 'INT_SG_DDX_CT_C', 30958),
(87233, 'PF06779', NULL, 'Uncharacterised MFS-type transporter YbfB', 365, NULL, 'MFS_4', 30959),
(87234, 'PF17706', NULL, 'Family of unknown function (DUF5552)', 217, NULL, 'DUF5552', 30960),
(87235, 'PF10831', NULL, 'Protein of unknown function (DUF2556)', 53, NULL, 'DUF2556', 30961),
(87236, 'PF08486', NULL, 'Stage II sporulation protein', 94, NULL, 'SpoIID', 30962),
(87237, 'PF19373', NULL, 'Family of unknown function (DUF5948)', 70, NULL, 'DUF5948', 30963),
(87238, 'PF19106', NULL, 'Family of unknown function (DUF5793)', 157, NULL, 'DUF5793', 30964),
(87239, 'PF19856', NULL, 'Family of unknown function (DUF6331)', 103, NULL, 'DUF6331', 30965),
(87240, 'PF15754', NULL, 'Sperm equatorial segment protein 1', 322, NULL, 'SPESP1', 30966),
(87241, 'PF12097', NULL, 'Protein of unknown function (DUF3573)', 383, NULL, 'DUF3573', 30967),
(87242, 'PF20017', NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 15', 81, NULL, 'VMAP-M15', 30968),
(87243, 'PF18668', NULL, 'Tail spike TSP1/Gp66 receptor binding N-terminal domain', 70, NULL, 'Tail_spike_N', 30969),
(87244, 'PF06241', NULL, 'Castor and Pollux, part of voltage-gated ion channel', 104, NULL, 'Castor_Poll_mid', 30970),
(87245, 'PF04027', NULL, 'Domain of unknown function (DUF371)', 133, NULL, 'DUF371', 30971),
(87246, 'PF10608', NULL, 'Polyubiquitination (PEST) N-terminal domain of MAGUK', 88, NULL, 'MAGUK_N_PEST', 30972),
(87247, 'PF09778', NULL, 'Guanylylate cyclase', 212, NULL, 'Guanylate_cyc_2', 30973);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(87248, 'PF11547', NULL, 'E3 ubiquitin ligase EDD', 52, NULL, 'E3_UbLigase_EDD', 30974),
(87249, 'PF01190', NULL, 'Pollen protein Ole e 1 like', 99, NULL, 'Pollen_Ole_e_1', 30975),
(87250, 'PF11983', NULL, 'Membrane-attachment and polymerisation-promoting switch', 66, NULL, 'DUF3484', 30976),
(87251, 'PF06819', NULL, 'Archaeal Peptidase A24 C-terminal Domain', 112, NULL, 'Arc_PepC', 30977),
(87252, 'PF12107', NULL, 'Plasminogen (Pg) ligand in fibrinolytic pathway', 17, NULL, 'VEK-30', 30978),
(87253, 'PF04530', NULL, 'Viral Beta C/D like family', 123, NULL, 'Viral_Beta_CD', 30979),
(87254, 'PF08808', NULL, 'RES domain', 162, NULL, 'RES', 30980),
(87255, 'PF12986', NULL, 'Domain of unknown function (DUF3870)', 94, NULL, 'DUF3870', 30981),
(87256, 'PF05092', NULL, 'Per os infectivity', 522, NULL, 'PIF', 30982),
(87257, 'PF07892', NULL, 'Protein of unknown function (DUF1667)', 82, NULL, 'DUF1667', 30983),
(87258, 'PF15826', NULL, 'Bcl-2-binding component 3, p53 upregulated modulator of apoptosis', 189, NULL, 'PUMA', 30984),
(87259, 'PF12872', NULL, 'OST-HTH/LOTUS domain', 72, NULL, 'OST-HTH', 30985),
(87260, 'PF06206', NULL, 'CpeT/CpcT family (DUF1001)', 181, NULL, 'CpeT', 30986),
(87261, 'PF19004', NULL, 'Family of unknown function (DUF5733)', 115, NULL, 'DUF5733', 30987),
(87262, 'PF13256', NULL, 'Domain of unknown function (DUF4047)', 125, NULL, 'DUF4047', 30988),
(87263, 'PF15031', NULL, 'Domain of unknown function (DUF4528)', 126, NULL, 'DUF4528', 30989),
(87264, 'PF15971', NULL, 'DolP-mannose mannosyltransferase', 163, NULL, 'Mannosyl_trans4', 30990),
(87265, 'PF18776', NULL, 'Hexapeptide repeat including loop', 24, NULL, 'Hexapep_loop', 30991),
(87266, 'PF14481', NULL, 'Type 4 fimbrial biogenesis protein PilY2', 105, NULL, 'Fimbrial_PilY2', 30992),
(87267, 'PF13708', NULL, 'Domain of unknown function (DUF4942)', 193, NULL, 'DUF4942', 30993),
(87268, 'PF10339', NULL, 'Yeast-specific zinc responsive', 202, NULL, 'Vel1p', 30994),
(87269, 'PF02763', NULL, 'Diphtheria toxin, C domain', 187, NULL, 'Diphtheria_C', 30995),
(87270, 'PF06150', NULL, 'ChaB', 60, NULL, 'ChaB', 30996),
(87271, 'PF15696', NULL, 'RAD51 interacting motif', 39, NULL, 'RAD51_interact', 30997),
(87272, 'PF02405', NULL, 'Permease MlaE', 212, NULL, 'MlaE', 30998),
(87273, 'PF12191', NULL, 'Tumour necrosis factor receptor stn_TNFRSF12A_TNFR domain', 129, NULL, 'stn_TNFRSF12A', 30999),
(87274, 'PF10267', NULL, 'Predicted transmembrane and coiled-coil 2 protein', 399, NULL, 'Tmemb_cc2', 31000),
(87275, 'PF04049', NULL, 'Anaphase promoting complex subunit 8 / Cdc23', 140, NULL, 'ANAPC8', 31001),
(87276, 'PF13180', NULL, 'PDZ domain', 82, NULL, 'PDZ_2', 31002),
(87277, 'PF10876', NULL, 'Phage tail assembly chaperone protein, TAC', 133, NULL, 'Phage_TAC_9', 31003),
(87278, 'PF15586', NULL, 'Immunity protein 8', 114, NULL, 'Imm8', 31004),
(87279, 'PF08609', NULL, 'Nucleotide exchange factor Fes1', 92, NULL, 'Fes1', 31005),
(87280, 'PF18957', NULL, 'Long Rib domain', 96, NULL, 'RibLong', 31006),
(87281, 'PF01363', NULL, 'FYVE zinc finger', 69, NULL, 'FYVE', 31007),
(87282, 'PF19484', NULL, 'Family of unknown function (DUF6020)', 594, NULL, 'DUF6020', 31008),
(87283, 'PF02660', NULL, 'Glycerol-3-phosphate acyltransferase', 163, NULL, 'G3P_acyltransf', 31009),
(87284, 'PF07349', NULL, 'Protein of unknown function (DUF1478)', 161, NULL, 'DUF1478', 31010),
(87285, 'PF01279', NULL, 'Parathyroid hormone family', 107, NULL, 'Parathyroid', 31011),
(87286, 'PF10828', NULL, 'Protein of unknown function (DUF2570)', 108, NULL, 'DUF2570', 31012),
(87287, 'PF17621', NULL, 'Family of unknown function (DUF5508)', 263, NULL, 'DUF5508', 31013),
(87288, 'PF05467', NULL, 'Herpesvirus glycoprotein U47', 677, NULL, 'Herpes_U47', 31014),
(87289, 'PF18921', NULL, 'Cyanophycin synthase-like N-terminal domain', 115, NULL, 'Cyanophycin_syn', 31015),
(87290, 'PF11733', NULL, 'Non-capsid protein NP1', 213, NULL, 'NP1-WLL', 31016),
(87291, 'PF12586', NULL, 'Protein of unknown function (DUF3760)', 44, NULL, 'DUF3760', 31017),
(87292, 'PF16885', NULL, 'Voltage-gated calcium channel subunit alpha, C-term', 361, NULL, 'CAC1F_C', 31018); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(87293, 'PF13225', NULL, 'Beta-carotene isomerase D27-like, C-terminal', 88, NULL, 'D27-like_C', 31019),
(87294, 'PF01244', NULL, 'Membrane dipeptidase (Peptidase family M19)', 318, NULL, 'Peptidase_M19', 31020),
(87295, 'PF17171', NULL, 'Glutathione S-transferase, C-terminal domain', 64, NULL, 'GST_C_6', 31021),
(87296, 'PF19122', NULL, 'Family of unknown function (DUF5806)', 148, NULL, 'DUF5806', 31022),
(87297, 'PF19682', NULL, 'Family of unknown function (DUF6184)', 81, NULL, 'DUF6184', 31023),
(87298, 'PF04176', NULL, 'TIP41-like family', 171, NULL, 'TIP41', 31024),
(87299, 'PF11052', NULL, 'Trans-sialidase of Trypanosoma hydrophobic C-terminal', 24, NULL, 'Tr-sialidase_C', 31025),
(87300, 'PF03079', NULL, 'ARD/ARD'' family', 157, NULL, 'ARD', 31026),
(87301, 'PF12401', NULL, 'Protein of unknown function (DUF3662)', 115, NULL, 'DUF3662', 31027),
(87302, 'PF18013', NULL, 'Phage tail lysozyme', 142, NULL, 'Phage_lysozyme2', 31028),
(87303, 'PF16680', NULL, 'T-cell surface glycoprotein CD3 delta chain', 71, NULL, 'Ig_4', 31029),
(87304, 'PF17395', NULL, 'Family of unknown function (DUF5403)', 96, NULL, 'DUF5403', 31030),
(87305, 'PF03471', NULL, 'Transporter associated domain', 81, NULL, 'CorC_HlyC', 31031),
(87306, 'PF07983', NULL, 'X8 domain', 76, NULL, 'X8', 31032),
(87307, 'PF12877', NULL, 'Domain of unknown function (DUF3827)', 677, NULL, 'DUF3827', 31033),
(87308, 'PF14097', NULL, 'Stage V sporulation protein AE1', 180, NULL, 'SpoVAE', 31034),
(87309, 'PF02639', NULL, 'Uncharacterized BCR, YaiI/YqxD family COG1671', 130, NULL, 'DUF188', 31035),
(87310, 'PF02210', NULL, 'Laminin G domain', 126, NULL, 'Laminin_G_2', 31036),
(87311, 'PF07784', NULL, 'Protein of unknown function (DUF1622)', 78, NULL, 'DUF1622', 31037),
(87312, 'PF14177', NULL, 'YkyB-like protein', 140, NULL, 'YkyB', 31038),
(87313, 'PF15514', NULL, 'Restriction endonuclease ThaI', 202, NULL, 'ThaI', 31039),
(87314, 'PF14023', NULL, 'Protein of unknown function (DUF4239)', 214, NULL, 'DUF4239', 31040),
(87315, 'PF08171', NULL, 'Mad3/BUB1 homology region 2', 68, NULL, 'Mad3_BUB1_II', 31041),
(87316, 'PF08801', NULL, 'Nup133 N terminal like', 434, NULL, 'Nucleoporin_N', 31042),
(87317, 'PF18134', NULL, 'Adenylyl/Guanylyl and SMODS C-terminal sensor domain', 128, NULL, 'AGS_C', 31043),
(87318, 'PF16465', NULL, 'Domain of unknown function (DUF5046)', 264, NULL, 'DUF5046', 31044),
(87319, 'PF05605', NULL, 'Drought induced 19 protein (Di19), zinc-binding', 54, NULL, 'zf-Di19', 31045),
(87320, 'PF07833', NULL, 'Copper amine oxidase N-terminal domain', 94, NULL, 'Cu_amine_oxidN1', 31046),
(87321, 'PF08423', NULL, 'Rad51', 255, NULL, 'Rad51', 31047),
(87322, 'PF01790', NULL, 'Prolipoprotein diacylglyceryl transferase', 242, NULL, 'LGT', 31048),
(87323, 'PF01487', NULL, 'Type I 3-dehydroquinase', 229, NULL, 'DHquinase_I', 31049),
(87324, 'PF15731', NULL, 'Antitoxin component of bacterial toxin-antitoxin system, MqsA', 131, NULL, 'MqsA_antitoxin', 31050),
(87325, 'PF17911', NULL, 'Ski2 N-terminal region', 135, NULL, 'Ski2_N', 31051),
(87326, 'PF09796', NULL, 'Ubiquinol-cytochrome-c reductase complex subunit (QCR10)', 63, NULL, 'QCR10', 31052),
(87327, 'PF10682', NULL, 'Glycoprotein of human cytomegalovirus HHV-5', 214, NULL, 'UL40', 31053),
(87328, 'PF13346', NULL, 'ABC-2 family transporter protein', 205, NULL, 'ABC2_membrane_5', 31054),
(87329, 'PF19614', NULL, 'Family of unknown function (DUF6119)', 535, NULL, 'DUF6119', 31055),
(87330, 'PF00082', NULL, 'Subtilase family', 284, NULL, 'Peptidase_S8', 31056),
(87331, 'PF18971', NULL, 'CagA protein', 876, NULL, 'CagA_N', 31057),
(87332, 'PF20044', NULL, 'Family of unknown function (DUF6446)', 129, NULL, 'DUF6446', 31058),
(87333, 'PF08224', NULL, 'Domain of unknown function (DUF1719)', 231, NULL, 'DUF1719', 31059),
(87334, 'PF11217', NULL, 'Protein of unknown function (DUF3013)', 160, NULL, 'DUF3013', 31060),
(87335, 'PF14800', NULL, 'Domain of unknown function (DUF4481)', 295, NULL, 'DUF4481', 31061),
(87336, 'PF05355', NULL, 'Apolipoprotein C-II', 77, NULL, 'Apo-CII', 31062),
(87337, 'PF19039', NULL, 'ASK kinase PH domain', 101, NULL, 'ASK_PH', 31063); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(87338, 'PF14650', NULL, 'FAM75 family', 382, NULL, 'FAM75', 31064),
(87339, 'PF06128', NULL, 'Shigella flexneri OspC protein', 292, NULL, 'Shigella_OspC', 31065),
(87340, 'PF03257', NULL, 'Mycoplasma adhesin P1', 91, NULL, 'Adhesin_P1', 31066),
(87341, 'PF15258', NULL, 'Protein family of FAM222A', 527, NULL, 'FAM222A', 31067),
(87342, 'PF02931', NULL, 'Neurotransmitter-gated ion-channel ligand binding domain', 217, NULL, 'Neur_chan_LBD', 31068),
(87343, 'PF01000', NULL, 'RNA polymerase Rpb3/RpoA insert domain', 112, NULL, 'RNA_pol_A_bac', 31069),
(87344, 'PF18901', NULL, 'Family of unknown function (DUF5657)', 61, NULL, 'DUF5657', 31070),
(87345, 'PF08069', NULL, 'Ribosomal S13/S15 N-terminal domain', 60, NULL, 'Ribosomal_S13_N', 31071),
(87346, 'PF10888', NULL, 'Protein of unknown function (DUF2742)', 97, NULL, 'DUF2742', 31072),
(87347, 'PF05302', NULL, 'Protein of unknown function (DUF720)', 125, NULL, 'DUF720', 31073),
(87348, 'PF11036', NULL, 'Virulence promoting factor', 43, NULL, 'YqgB', 31074),
(87349, 'PF03287', NULL, 'Poxvirus C7/F8A protein', 148, NULL, 'Pox_C7_F8A', 31075),
(87350, 'PF02721', NULL, 'Domain of unknown function DUF223', 95, NULL, 'DUF223', 31076),
(87351, 'PF01774', NULL, 'UreD urease accessory protein', 213, NULL, 'UreD', 31077),
(87352, 'PF17854', NULL, 'FtsK alpha domain', 101, NULL, 'FtsK_alpha', 31078),
(87353, 'PF12394', NULL, 'Protein FAM135', 68, NULL, 'DUF3657', 31079),
(87354, 'PF10238', NULL, 'E2F-associated phosphoprotein', 146, NULL, 'Eapp_C', 31080),
(87355, 'PF16757', NULL, 'Alpha-L-fucosidase C-terminal domain', 90, NULL, 'Fucosidase_C', 31081),
(87356, 'PF07311', NULL, 'Dodecin', 64, NULL, 'Dodecin', 31082),
(87357, 'PF09238', NULL, 'Interleukin-4 receptor alpha chain, N-terminal', 94, NULL, 'IL4Ra_N', 31083),
(87358, 'PF13514', NULL, 'AAA domain', 207, NULL, 'AAA_27', 31084),
(87359, 'PF19928', NULL, 'Domain of unknown function (DUF6391)', 134, NULL, 'DUF6391', 31085),
(87360, 'PF02995', NULL, 'Protein of unknown function (DUF229)', 497, NULL, 'DUF229', 31086),
(87361, 'PF06373', NULL, 'Cocaine and amphetamine regulated transcript protein (CART)', 70, NULL, 'CART', 31087),
(87362, 'PF08951', NULL, 'Enterocin A Immunity', 73, NULL, 'EntA_Immun', 31088),
(87363, 'PF14336', NULL, 'Domain of unknown function (DUF4392)', 294, NULL, 'DUF4392', 31089),
(87364, 'PF01865', NULL, 'Protein of unknown function DUF47', 214, NULL, 'PhoU_div', 31090),
(87365, 'PF04492', NULL, 'Bacteriophage replication protein O', 96, NULL, 'Phage_rep_O', 31091),
(87366, 'PF16706', NULL, 'Izumo-like Immunoglobulin domain', 88, NULL, 'Izumo-Ig', 31092),
(87367, 'PF02077', NULL, 'SURF4 family', 267, NULL, 'SURF4', 31093),
(87368, 'PF11577', NULL, 'NF-kappa-B essential modulator NEMO', 68, NULL, 'NEMO', 31094),
(87369, 'PF07275', NULL, 'Antirestriction protein (ArdA)', 163, NULL, 'ArdA', 31095),
(87370, 'PF14664', NULL, 'Rapamycin-insensitive companion of mTOR, N-term', 373, NULL, 'RICTOR_N', 31096),
(87371, 'PF03176', NULL, 'MMPL family', 333, NULL, 'MMPL', 31097),
(87372, 'PF02294', NULL, '7kD DNA-binding domain', 58, NULL, '7kD_DNA_binding', 31098),
(87373, 'PF17460', NULL, 'Uncharacterized protein RP854', 212, NULL, 'RP854', 31099),
(87374, 'PF03289', NULL, 'Poxvirus protein I1', 307, NULL, 'Pox_I1', 31100),
(87375, 'PF17441', NULL, 'Family of unknown function (DUF5419)', 54, NULL, 'DUF5419', 31101),
(87376, 'PF18462', NULL, 'Domain of unknown function (DUF5612)', 143, NULL, 'DUF5612', 31102),
(87377, 'PF00390', NULL, 'Malic enzyme, N-terminal domain', 182, NULL, 'malic', 31103),
(87378, 'PF11433', NULL, 'Protein of unknown function (DUF3198)', 50, NULL, 'DUF3198', 31104),
(87379, 'PF10762', NULL, 'Protein of unknown function (DUF2583)', 88, NULL, 'DUF2583', 31105),
(87380, 'PF00174', NULL, 'Oxidoreductase molybdopterin binding domain', 170, NULL, 'Oxidored_molyb', 31106),
(87381, 'PF12954', NULL, 'Protein of unknown function (DUF3843)', 410, NULL, 'DUF3843', 31107),
(87382, 'PF17498', NULL, 'Family of unknown function (DUF5433)', 67, NULL, 'DUF5433', 31108),
(87383, 'PF04004', NULL, 'Leo1-like protein', 165, NULL, 'Leo1', 31109);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(87384, 'PF11827', NULL, 'Protein of unknown function (DUF3347)', 93, NULL, 'DUF3347', 31110),
(87385, 'PF09052', NULL, 'SipA N-terminal domain', 214, NULL, 'SipA', 31111),
(87386, 'PF17258', NULL, 'Family of unknown function (DUF5324)', 220, NULL, 'DUF5324', 31112),
(87387, 'PF18591', NULL, 'Immune Mapped Protein 2 (IMP2) C-terminal domain', 63, NULL, 'IMP2_C', 31113),
(87388, 'PF01145', NULL, 'SPFH domain / Band 7 family', 180, NULL, 'Band_7', 31114),
(87389, 'PF09096', NULL, 'Baseplate structural protein, domain 2', 173, NULL, 'Phage-tail_2', 31115),
(87390, 'PF09677', NULL, 'Type-F conjugative transfer system protein (TrbI_Ftype)', 106, NULL, 'TrbI_Ftype', 31116),
(87391, 'PF12830', NULL, 'Sister chromatid cohesion C-terminus', 190, NULL, 'Nipped-B_C', 31117),
(87392, 'PF10551', NULL, 'MULE transposase domain', 98, NULL, 'MULE', 31118),
(87393, 'PF19920', NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX4', 202, NULL, 'bpX4', 31119),
(87394, 'PF01695', NULL, 'IstB-like ATP binding protein', 238, NULL, 'IstB_IS21', 31120),
(87395, 'PF17609', NULL, 'Family of unknown function', 126, NULL, 'HCMV_UL124', 31121),
(87396, 'PF16642', NULL, 'Unstructured region on Potassium channel subunit alpha KvLQT2', 98, NULL, 'KCNQ2_u3', 31122),
(87397, 'PF09967', NULL, 'VWA-like domain (DUF2201)', 123, NULL, 'DUF2201', 31123),
(87398, 'PF03450', NULL, 'CO dehydrogenase flavoprotein C-terminal domain', 102, NULL, 'CO_deh_flav_C', 31124),
(87399, 'PF01757', NULL, 'Acyltransferase family', 340, NULL, 'Acyl_transf_3', 31125),
(87400, 'PF18301', NULL, 'pre ATP-grasp 3 domain', 76, NULL, 'preATP-grasp_3', 31126),
(87401, 'PF01526', NULL, 'Tn3 transposase DDE domain', 389, NULL, 'DDE_Tnp_Tn3', 31127),
(87402, 'PF16804', NULL, 'Domain of unknown function (DUF5071)', 119, NULL, 'DUF5071', 31128),
(87403, 'PF02161', NULL, 'Progesterone receptor', 564, NULL, 'Prog_receptor', 31129),
(87404, 'PF08994', NULL, 'T4 gene Gp59 loader of gp41 DNA helicase C-term', 104, NULL, 'T4_Gp59_C', 31130),
(87405, 'PF04939', NULL, 'Ribosome biogenesis regulatory protein (RRS1)', 166, NULL, 'RRS1', 31131),
(87406, 'PF09939', NULL, 'Uncharacterized protein conserved in bacteria (DUF2171)', 65, NULL, 'DUF2171', 31132),
(87407, 'PF16204', NULL, 'BDHCT-box associated domain on Bloom syndrome protein', 223, NULL, 'BDHCT_assoc', 31133),
(87408, 'PF10270', NULL, 'Membrane magnesium transporter', 100, NULL, 'MMgT', 31134),
(87409, 'PF04364', NULL, 'DNA polymerase III chi subunit, HolC', 137, NULL, 'DNA_pol3_chi', 31135),
(87410, 'PF19727', NULL, 'Family of unknown function (DUF6219)', 69, NULL, 'DUF6219', 31136),
(87411, 'PF04620', NULL, 'Flagellar filament outer layer protein Flaa', 230, NULL, 'FlaA', 31137),
(87412, 'PF12224', NULL, 'Putative amidoligase enzyme', 250, NULL, 'Amidoligase_2', 31138),
(87413, 'PF19712', NULL, 'Acylglycerol kinase C-terminal', 215, NULL, 'AGK_C', 31139),
(87414, 'PF08620', NULL, 'RPAP1-like, C-terminal', 69, NULL, 'RPAP1_C', 31140),
(87415, 'PF07264', NULL, 'Etoposide-induced protein 2.4 (EI24)', 178, NULL, 'EI24', 31141),
(87416, 'PF17108', NULL, 'N-terminal small S protein of HET, non-prionic', 23, NULL, 'HET-S', 31142),
(87417, 'PF14446', NULL, 'Prokaryotic RING finger family 1', 54, NULL, 'Prok-RING_1', 31143),
(87418, 'PF11180', NULL, 'Protein of unknown function (DUF2968)', 180, NULL, 'DUF2968', 31144),
(87419, 'PF19219', NULL, 'Coronavirus replicase NSP15, N-terminal oligomerisation', 61, NULL, 'CoV_NSP15_N', 31145),
(87420, 'PF16290', NULL, 'Domain of unknown function (DUF4936)', 91, NULL, 'DUF4936', 31146),
(87421, 'PF02366', NULL, 'Dolichyl-phosphate-mannose-protein mannosyltransferase', 245, NULL, 'PMT', 31147),
(87422, 'PF13981', NULL, 'SopA-like central domain', 127, NULL, 'SopA', 31148),
(87423, 'PF15530', NULL, 'Bacterial toxin 25', 167, NULL, 'Ntox25', 31149),
(87424, 'PF06963', NULL, 'Ferroportin1 (FPN1)', 435, NULL, 'FPN1', 31150),
(87425, 'PF12584', NULL, 'Trafficking protein particle complex subunit 10, TRAPPC10', 152, NULL, 'TRAPPC10', 31151),
(87426, 'PF10789', NULL, 'Phage RNA polymerase binding, RpbA', 108, NULL, 'Phage_RpbA', 31152);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(87427, 'PF07846', NULL, 'Metallothionein family', 20, NULL, 'Metallothio_Cad', 31153),
(87428, 'PF00641', NULL, 'Zn-finger in Ran binding protein and others', 30, NULL, 'zf-RanBP', 31154),
(87429, 'PF00573', NULL, 'Ribosomal protein L4/L1 family', 192, NULL, 'Ribosomal_L4', 31155),
(87430, 'PF19045', NULL, 'Ligase-CoA domain', 162, NULL, 'Ligase_CoA_2', 31156),
(87431, 'PF19047', NULL, 'HOOK domain', 151, NULL, 'HOOK_N', 31157),
(87432, 'PF14098', NULL, 'Small, acid-soluble spore protein I', 65, NULL, 'SSPI', 31158),
(87433, 'PF14564', NULL, 'Membrane binding', 110, NULL, 'Membrane_bind', 31159),
(87434, 'PF14013', NULL, 'MT0933-like antitoxin protein', 49, NULL, 'MT0933_antitox', 31160),
(87435, 'PF17873', NULL, 'Replicase polyprotein 1ab', 53, NULL, 'Rep_1B', 31161),
(87436, 'PF18639', NULL, 'Yeast longin domain', 161, NULL, 'Longin_2', 31162),
(87437, 'PF17670', NULL, 'Family of unknown function (DUF5530)', 141, NULL, 'DUF5530', 31163),
(87438, 'PF00427', NULL, 'Phycobilisome Linker polypeptide', 126, NULL, 'PBS_linker_poly', 31164),
(87439, 'PF18546', NULL, 'Methanogen output domain 1', 143, NULL, 'MetOD1', 31165),
(87440, 'PF07878', NULL, 'CopG-like RHH_1 or ribbon-helix-helix domain, RHH_5', 43, NULL, 'RHH_5', 31166),
(87441, 'PF03464', NULL, 'eRF1 domain 2', 133, NULL, 'eRF1_2', 31167),
(87442, 'PF18581', NULL, 'Synaptonemal complex 2 armadillo-repeat-like domain', 177, NULL, 'SYCP2_ARLD', 31168),
(87443, 'PF19995', NULL, 'inactive STAND', 162, NULL, 'iSTAND', 31169),
(87444, 'PF05625', NULL, 'PAXNEB protein', 371, NULL, 'PAXNEB', 31170),
(87445, 'PF15042', NULL, 'Late cornified envelope-like proline-rich protein 1', 116, NULL, 'LELP1', 31171),
(87446, 'PF11280', NULL, 'Protein of unknown function (DUF3081)', 77, NULL, 'DUF3081', 31172),
(87447, 'PF04741', NULL, 'InvH outer membrane lipoprotein', 147, NULL, 'InvH', 31173),
(87448, 'PF15214', NULL, 'Peroxisomal testis-specific protein 1', 51, NULL, 'PXT1', 31174),
(87449, 'PF11101', NULL, 'Protein of unknown function (DUF2884)', 228, NULL, 'DUF2884', 31175),
(87450, 'PF02653', NULL, 'Branched-chain amino acid transport system / permease component', 270, NULL, 'BPD_transp_2', 31176),
(87451, 'PF00449', NULL, 'Urease alpha-subunit, N-terminal domain', 121, NULL, 'Urease_alpha', 31177),
(87452, 'PF18819', NULL, 'Phage MuF-C-terminal domain', 103, NULL, 'MuF_C', 31178),
(87453, 'PF05150', NULL, 'Legionella pneumophila major outer membrane protein precursor', 290, NULL, 'Legionella_OMP', 31179),
(87454, 'PF12014', NULL, 'Cyclin D1 binding domain', 153, NULL, 'Cyclin_D1_bind', 31180),
(87455, 'PF05667', NULL, 'Protein of unknown function (DUF812)', 604, NULL, 'DUF812', 31181),
(87456, 'PF10570', NULL, 'Myelin-PO cytoplasmic C-term p65 binding region', 65, NULL, 'Myelin-PO_C', 31182),
(87457, 'PF07019', NULL, 'EMC6', 83, NULL, 'EMC6', 31183),
(87458, 'PF11032', NULL, 'ApoM domain', 188, NULL, 'ApoM', 31184),
(87459, 'PF11797', NULL, 'Protein of unknown function C-terminal (DUF3324)', 138, NULL, 'DUF3324', 31185),
(87460, 'PF13178', NULL, 'Protein of unknown function (DUF4005)', 93, NULL, 'DUF4005', 31186),
(87461, 'PF15823', NULL, 'UPF0524 of C3orf70', 239, NULL, 'UPF0524', 31187),
(87462, 'PF01159', NULL, 'Ribosomal protein L6e', 112, NULL, 'Ribosomal_L6e', 31188),
(87463, 'PF04994', NULL, 'TfoX C-terminal domain', 81, NULL, 'TfoX_C', 31189),
(87464, 'PF16572', NULL, 'Long alpha hairpin domain of cation efflux system protein, CusB', 56, NULL, 'HlyD_D4', 31190),
(87465, 'PF13978', NULL, 'Protein of unknown function (DUF4223)', 54, NULL, 'DUF4223', 31191),
(87466, 'PF18908', NULL, 'Protein of unknown function (DUF5663)', 86, NULL, 'DUF5663', 31192),
(87467, 'PF04736', NULL, 'Eclosion hormone', 61, NULL, 'Eclosion', 31193),
(87468, 'PF17914', NULL, 'HopA1 effector protein family', 170, NULL, 'HopA1', 31194),
(87469, 'PF18805', NULL, 'Leucine-rich repeat', 67, NULL, 'LRR_10', 31195),
(87470, 'PF04391', NULL, 'Protein of unknown function (DUF533)', 178, NULL, 'DUF533', 31196),
(87471, 'PF14571', NULL, 'Stress-induced protein Di19, C-terminal', 101, NULL, 'Di19_C', 31197);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(87472, 'PF08627', NULL, 'CRT-like, chloroquine-resistance transporter-like', 336, NULL, 'CRT-like', 31198),
(87473, 'PF12797', NULL, '4Fe-4S binding domain', 22, NULL, 'Fer4_2', 31199),
(87474, 'PF01656', NULL, 'CobQ/CobB/MinD/ParA nucleotide binding domain', 127, NULL, 'CbiA', 31200),
(87475, 'PF14751', NULL, 'Domain of unknown function (DUF4474)', 241, NULL, 'DUF4474', 31201),
(87476, 'PF18835', NULL, 'Beta helix repeat of Inulin fructotransferase', 68, NULL, 'Beta_helix_2', 31202),
(87477, 'PF05670', NULL, 'NFACT protein RNA binding domain', 111, NULL, 'NFACT-R_1', 31203),
(87478, 'PF11707', NULL, 'Ribosome 60S biogenesis N-terminal', 339, NULL, 'Npa1', 31204),
(87479, 'PF02531', NULL, 'PsaD', 136, NULL, 'PsaD', 31205),
(87480, 'PF16611', NULL, 'Unstructured region between RBD and GoLoco', 72, NULL, 'RGS12_us2', 31206),
(87481, 'PF14253', NULL, 'Bacteriophage abortive infection AbiH', 260, NULL, 'AbiH', 31207),
(87482, 'PF14763', NULL, 'Hermansky-Pudlak syndrome 3, C-terminal', 352, NULL, 'HPS3_C', 31208),
(87483, 'PF18137', NULL, 'Origin recognition complex winged helix C-terminal', 145, NULL, 'ORC_WH_C', 31209),
(87484, 'PF08685', NULL, 'GON domain', 200, NULL, 'GON', 31210),
(87485, 'PF03213', NULL, 'Poxvirus P35 protein', 323, NULL, 'Pox_P35', 31211),
(87486, 'PF01102', NULL, 'Glycophorin A', 114, NULL, 'Glycophorin_A', 31212),
(87487, 'PF07538', NULL, 'Clostridial hydrophobic W', 35, NULL, 'ChW', 31213),
(87488, 'PF15621', NULL, 'Proline-rich submaxillary gland androgen-regulated family', 104, NULL, 'PROL5-SMR', 31214),
(87489, 'PF15383', NULL, 'Transmembrane protein 237', 249, NULL, 'TMEM237', 31215),
(87490, 'PF04293', NULL, 'SpoVR like protein', 418, NULL, 'SpoVR', 31216),
(87491, 'PF14762', NULL, 'Hermansky-Pudlak syndrome 3, middle region', 387, NULL, 'HPS3_Mid', 31217),
(87492, 'PF16561', NULL, 'Glycogen recognition site of AMP-activated protein kinase', 85, NULL, 'AMPK1_CBM', 31218),
(87493, 'PF06167', NULL, 'Glucose-regulated metallo-peptidase M90', 245, NULL, 'Peptidase_M90', 31219),
(87494, 'PF03029', NULL, 'Conserved hypothetical ATP binding protein', 241, NULL, 'ATP_bind_1', 31220),
(87495, 'PF03015', NULL, 'Male sterility protein', 93, NULL, 'Sterile', 31221),
(87496, 'PF18999', NULL, 'Family of unknown function (DUF5728)', 188, NULL, 'DUF5728', 31222),
(87497, 'PF04746', NULL, 'Protein of unknown function (DUF575)', 101, NULL, 'DUF575', 31223),
(87498, 'PF02127', NULL, 'Aminopeptidase I zinc metalloprotease (M18)', 432, NULL, 'Peptidase_M18', 31224),
(87499, 'PF14351', NULL, 'Domain of unknown function (DUF4401)', 310, NULL, 'DUF4401', 31225),
(87500, 'PF08346', NULL, 'AntA/AntB antirepressor', 68, NULL, 'AntA', 31226),
(87501, 'PF13977', NULL, 'BetI-type transcriptional repressor, C-terminal', 115, NULL, 'TetR_C_6', 31227),
(87502, 'PF07200', NULL, 'Modifier of rudimentary (Mod(r)) protein', 146, NULL, 'Mod_r', 31228),
(87503, 'PF07244', NULL, 'Surface antigen variable number repeat', 80, NULL, 'POTRA', 31229),
(87504, 'PF04046', NULL, 'PSP', 46, NULL, 'PSP', 31230),
(87505, 'PF15159', NULL, 'Phosphatidylinositol N-acetylglucosaminyltransferase subunit Y', 70, NULL, 'PIG-Y', 31231),
(87506, 'PF19522', NULL, 'Family of unknown function (DUF6052)', 61, NULL, 'DUF6052', 31232),
(87507, 'PF14065', NULL, 'Pvc16 N-terminal domain', 177, NULL, 'Pvc16_N', 31233),
(87508, 'PF10204', NULL, 'Dual oxidase maturation factor', 279, NULL, 'DuoxA', 31234),
(87509, 'PF02913', NULL, 'FAD linked oxidases, C-terminal domain', 250, NULL, 'FAD-oxidase_C', 31235),
(87510, 'PF17471', NULL, 'Gene product 63', 73, NULL, 'GP63', 31236),
(87511, 'PF09624', NULL, 'Protein of unknown function (DUF2393)', 147, NULL, 'DUF2393', 31237),
(87512, 'PF18562', NULL, 'Cysteine-Rich Interdomain Region 1 gamma', 52, NULL, 'CIDR1_gamma', 31238),
(87513, 'PF14114', NULL, 'Domain of unknown function (DUF4286)', 98, NULL, 'DUF4286', 31239),
(87514, 'PF07279', NULL, 'Protein of unknown function (DUF1442)', 218, NULL, 'DUF1442', 31240),
(87515, 'PF16349', NULL, 'Domain of unknown function (DUF4978)', 172, NULL, 'DUF4978', 31241);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(87516, 'PF02287', NULL, 'Dehydratase small subunit', 133, NULL, 'Dehydratase_SU', 31242),
(87517, 'PF16189', NULL, 'Creatinase/Prolidase N-terminal domain', 161, NULL, 'Creatinase_N_2', 31243),
(87518, 'PF01310', NULL, 'Adenovirus hexon associated protein, protein VIII', 216, NULL, 'Adeno_PVIII', 31244),
(87519, 'PF14512', NULL, 'Putative TM nitroreductase', 215, NULL, 'TM1586_NiRdase', 31245),
(87520, 'PF01392', NULL, 'Fz domain', 114, NULL, 'Fz', 31246),
(87521, 'PF18774', NULL, 'APOBEC4-like -AID/APOBEC-deaminase', 132, NULL, 'APOBEC4_like', 31247),
(87522, 'PF11573', NULL, 'Mediator complex subunit 23', 1304, NULL, 'Med23', 31248),
(87523, 'PF16871', NULL, 'Domain of unknown function (DUF5077)', 191, NULL, 'DUF5077', 31249),
(87524, 'PF17663', NULL, 'Family of unknown function (DUF5525)', 1023, NULL, 'DUF5525', 31250),
(87525, 'PF16068', NULL, 'Domain of unknown function (DUF4810)', 85, NULL, 'DUF4810', 31251),
(87526, 'PF06957', NULL, 'Coatomer (COPI) alpha subunit C-terminus', 406, NULL, 'COPI_C', 31252),
(87527, 'PF18316', NULL, 'S-layer protein SbsC C-terminal domain', 86, NULL, 'S-l_SbsC_C', 31253),
(87528, 'PF06569', NULL, 'Protein of unknown function (DUF1128)', 71, NULL, 'DUF1128', 31254),
(87529, 'PF12843', NULL, 'Putative quorum-sensing-regulated virulence factor', 66, NULL, 'QSregVF_b', 31255),
(87530, 'PF02109', NULL, 'DAD family', 109, NULL, 'DAD', 31256),
(87531, 'PF00680', NULL, 'Viral RNA-dependent RNA polymerase', 462, NULL, 'RdRP_1', 31257),
(87532, 'PF07556', NULL, 'Protein of unknown function (DUF1538)', 211, NULL, 'DUF1538', 31258),
(87533, 'PF02922', NULL, 'Carbohydrate-binding module 48 (Isoamylase N-terminal domain)', 83, NULL, 'CBM_48', 31259),
(87534, 'PF17542', NULL, 'Uncharacterized RP853', 317, NULL, 'RP853', 31260),
(87535, 'PF05917', NULL, 'Helicobacter pylori protein of unknown function (DUF874)', 398, NULL, 'DUF874', 31261),
(87536, 'PF09326', NULL, 'NADH-ubiquinone oxidoreductase subunit G, C-terminal', 51, NULL, 'NADH_dhqG_C', 31262),
(87537, 'PF02258', NULL, 'Shiga-like toxin beta subunit', 70, NULL, 'SLT_beta', 31263),
(87538, 'PF19091', NULL, 'Family of unknown function (DUF5779)', 96, NULL, 'DUF5779', 31264),
(87539, 'PF12600', NULL, 'Protein of unknown function (DUF3769)', 444, NULL, 'DUF3769', 31265),
(87540, 'PF14335', NULL, 'Domain of unknown function (DUF4391)', 242, NULL, 'DUF4391', 31266),
(87541, 'PF10864', NULL, 'Protein of unknown function (DUF2663)', 127, NULL, 'DUF2663', 31267),
(87542, 'PF06328', NULL, 'Ig-like C2-type domain', 86, NULL, 'Lep_receptor_Ig', 31268),
(87543, 'PF15864', NULL, 'Protein glycosylation ligase', 26, NULL, 'PglL_A', 31269),
(87544, 'PF17491', NULL, 'Spider Toxins mu-diguetoxin-1 a, b and c', 55, NULL, 'm_DGTX_Dc1a_b_c', 31270),
(87545, 'PF16657', NULL, 'Maltogenic Amylase, C-terminal domain', 75, NULL, 'Malt_amylase_C', 31271),
(87546, 'PF13957', NULL, 'Toxin YafO, type II toxin-antitoxin system', 101, NULL, 'YafO_toxin', 31272),
(87547, 'PF17898', NULL, 'Spore germination GerD central core domain', 114, NULL, 'GerD', 31273),
(87548, 'PF10440', NULL, 'Ubiquitin-binding WIYLD domain', 61, NULL, 'WIYLD', 31274),
(87549, 'PF14925', NULL, 'Domain of unknown function', 640, NULL, 'HPHLAWLY', 31275),
(87550, 'PF09940', NULL, 'Domain of unknown function (DUF2172)', 92, NULL, 'DUF2172', 31276),
(87551, 'PF07532', NULL, 'Bacterial Ig-like domain (group 4)', 59, NULL, 'Big_4', 31277),
(87552, 'PF19059', NULL, 'Family of unknown function (DUF5755)', 92, NULL, 'DUF5755', 31278),
(87553, 'PF14915', NULL, 'CCDC144C protein coiled-coil region', 304, NULL, 'CCDC144C', 31279),
(87554, 'PF18328', NULL, 'Fatty acid synthase subunit PfaD N-terminal domain', 62, NULL, 'PfaD_N', 31280),
(87555, 'PF02520', NULL, 'Domain of unknown function DUF148', 109, NULL, 'DUF148', 31281),
(87556, 'PF04576', NULL, 'Zein-binding', 92, NULL, 'Zein-binding', 31282),
(87557, 'PF16200', NULL, 'C-terminal region of band_7', 63, NULL, 'Band_7_C', 31283),
(87558, 'PF03909', NULL, 'BSD domain', 58, NULL, 'BSD', 31284),
(87559, 'PF09996', NULL, 'Uncharacterized protein conserved in bacteria (DUF2237)', 115, NULL, 'DUF2237', 31285);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(87560, 'PF15373', NULL, 'Domain of unknown function (DUF4601)', 438, NULL, 'DUF4601', 31286),
(87561, 'PF13680', NULL, 'Protein of unknown function (DUF4152)', 225, NULL, 'DUF4152', 31287),
(87562, 'PF00876', NULL, 'Innexin', 339, NULL, 'Innexin', 31288),
(87563, 'PF20052', NULL, 'GTPase-associated protein 1, C-terminal domain', 514, NULL, 'GAP1-C', 31289),
(87564, 'PF00532', NULL, 'Periplasmic binding proteins and sugar binding domain of LacI family', 279, NULL, 'Peripla_BP_1', 31290),
(87565, 'PF02785', NULL, 'Biotin carboxylase C-terminal domain', 108, NULL, 'Biotin_carb_C', 31291),
(87566, 'PF19985', NULL, 'Family of unknown function (DUF6421)', 437, NULL, 'DUF6421', 31292),
(87567, 'PF14265', NULL, 'Domain of unknown function (DUF4355)', 124, NULL, 'DUF4355', 31293),
(87568, 'PF11521', NULL, 'C-terminal general transcription factor TFIIE alpha', 86, NULL, 'TFIIE-A_C', 31294),
(87569, 'PF12117', NULL, 'Parvovirus non-structural protein 1, C-terminal', 121, NULL, 'NS1_C', 31295),
(87570, 'PF14044', NULL, 'NETI protein', 56, NULL, 'NETI', 31296),
(87571, 'PF08044', NULL, 'Domain of unknown function (DUF1707)', 53, NULL, 'DUF1707', 31297),
(87572, 'PF05842', NULL, 'Euplotes octocarinatus mating pheromone protein', 134, NULL, 'Euplotes_phero', 31298),
(87573, 'PF12268', NULL, 'Protein of unknown function (DUF3612)', 176, NULL, 'DUF3612', 31299),
(87574, 'PF16079', NULL, 'Phage holin family Hol44, in holin superfamily V', 66, NULL, 'Phage_holin_5_2', 31300),
(87575, 'PF11963', NULL, 'Protein of unknown function (DUF3477)', 355, NULL, 'DUF3477', 31301),
(87576, 'PF18695', NULL, 'Cytosolic phospholipases A2 C2-domain', 111, NULL, 'cPLA2_C2', 31302),
(87577, 'PF18421', NULL, 'Peptidase family M23 N-terminal domain', 73, NULL, 'Peptidase_M23_N', 31303),
(87578, 'PF13066', NULL, 'Protein of unknown function (DUF3929)', 64, NULL, 'DUF3929', 31304),
(87579, 'PF14393', NULL, 'Domain of unknown function (DUF4422)', 225, NULL, 'DUF4422', 31305),
(87580, 'PF02194', NULL, 'PXA domain', 182, NULL, 'PXA', 31306),
(87581, 'PF03976', NULL, 'Polyphosphate kinase 2 (PPK2)', 229, NULL, 'PPK2', 31307),
(87582, 'PF05832', NULL, 'Eukaryotic protein of unknown function (DUF846)', 139, NULL, 'DUF846', 31308),
(87583, 'PF03206', NULL, 'Nitrogen fixation protein NifW', 99, NULL, 'NifW', 31309),
(87584, 'PF04294', NULL, 'VanW like protein', 130, NULL, 'VanW', 31310),
(87585, 'PF15962', NULL, 'Domain of unknown function (DUF4765)', 1128, NULL, 'DUF4765', 31311),
(87586, 'PF18636', NULL, 'Mitochondrial morphogenesis protein SLD7 N-terminal domain', 125, NULL, 'Sld7_N', 31312),
(87587, 'PF08805', NULL, 'PilS N terminal', 138, NULL, 'PilS', 31313),
(87588, 'PF01383', NULL, 'CpcD/allophycocyanin linker domain', 55, NULL, 'CpcD', 31314),
(87589, 'PF17772', NULL, 'MYST family zinc finger domain', 55, NULL, 'zf-MYST', 31315),
(87590, 'PF03506', NULL, 'Influenza C non-structural protein (NS1)', 162, NULL, 'Flu_C_NS1', 31316),
(87591, 'PF17705', NULL, 'Family of unknown function (DUF5551)', 155, NULL, 'DUF5551', 31317),
(87592, 'PF08862', NULL, 'Domain of unknown function DUF1829', 87, NULL, 'DUF1829', 31318),
(87593, 'PF13731', NULL, 'WxL domain surface cell wall-binding', 213, NULL, 'WxL', 31319),
(87594, 'PF18230', NULL, 'Glycosyl hydrolases family 38 C-terminal sub-domain', 89, NULL, 'Glyc_hyd_38C_2', 31320),
(87595, 'PF01616', NULL, 'Orbivirus NS3', 193, NULL, 'Orbi_NS3', 31321),
(87596, 'PF13149', NULL, 'Fimbrillin-like', 250, NULL, 'Mfa_like_1', 31322),
(87597, 'PF04855', NULL, 'SNF5 / SMARCB1 / INI1', 236, NULL, 'SNF5', 31323),
(87598, 'PF15855', NULL, 'Domain of unknown function (DUF4726)', 101, NULL, 'DUF4726', 31324),
(87599, 'PF03117', NULL, 'UL49 family', 245, NULL, 'Herpes_UL49_1', 31325),
(87600, 'PF08523', NULL, 'Multiprotein bridging factor 1', 72, NULL, 'MBF1', 31326),
(87601, 'PF12096', NULL, 'Protein of unknown function (DUF3572)', 84, NULL, 'DUF3572', 31327),
(87602, 'PF03222', NULL, 'Tryptophan/tyrosine permease family', 394, NULL, 'Trp_Tyr_perm', 31328),
(87603, 'PF05638', NULL, 'Type VI secretion system effector, Hcp', 129, NULL, 'T6SS_HCP', 31329);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(87604, 'PF16481', NULL, 'Domain of unknown function (DUF5058)', 222, NULL, 'DUF5058', 31330),
(87605, 'PF04287', NULL, 'tRNA pseudouridine synthase C', 98, NULL, 'DUF446', 31331),
(87606, 'PF11356', NULL, 'Type II secretion system protein C', 145, NULL, 'T2SSC', 31332),
(87607, 'PF19405', NULL, 'Family of unknown function (DUF5978)', 73, NULL, 'DUF5978', 31333),
(87608, 'PF10147', NULL, 'Growth arrest and DNA-damage-inducible proteins-interacting protein 1', 204, NULL, 'CR6_interact', 31334),
(87609, 'PF12791', NULL, 'Anti-sigma factor N-terminus', 53, NULL, 'RsgI_N', 31335),
(87610, 'PF08006', NULL, 'Protein of unknown function (DUF1700)', 181, NULL, 'DUF1700', 31336),
(87611, 'PF11718', NULL, 'Pre-mRNA 3''-end-processing endonuclease polyadenylation factor C-term', 217, NULL, 'CPSF73-100_C', 31337),
(87612, 'PF19372', NULL, 'Family of unknown function (DUF5947)', 179, NULL, 'DUF5947', 31338),
(87613, 'PF18962', NULL, 'Secretion system C-terminal sorting domain', 75, NULL, 'Por_Secre_tail', 31339),
(87614, 'PF12561', NULL, 'ToxR activated gene A lipoprotein domain', 101, NULL, 'TagA', 31340),
(87615, 'PF14056', NULL, 'Domain of unknown function (DUF4250)', 55, NULL, 'DUF4250', 31341),
(87616, 'PF08298', NULL, 'PrkA AAA domain', 358, NULL, 'AAA_PrkA', 31342),
(87617, 'PF04643', NULL, 'Motilin/ghrelin-associated peptide', 59, NULL, 'Motilin_assoc', 31343),
(87618, 'PF01385', NULL, 'Probable transposase', 120, NULL, 'OrfB_IS605', 31344),
(87619, 'PF03964', NULL, 'Chorion family 2', 103, NULL, 'Chorion_2', 31345),
(87620, 'PF13257', NULL, 'Domain of unknown function (DUF4048)', 256, NULL, 'DUF4048', 31346),
(87621, 'PF05649', NULL, 'Peptidase family M13', 384, NULL, 'Peptidase_M13_N', 31347),
(87622, 'PF09822', NULL, 'ABC-type uncharacterized transport system', 265, NULL, 'ABC_transp_aux', 31348),
(87623, 'PF18371', NULL, 'Flavin adenine dinucleotide (FAD)-dependent sulfhydryl oxidase', 104, NULL, 'FAD_SOX', 31349),
(87624, 'PF09278', NULL, 'MerR, DNA binding', 65, NULL, 'MerR-DNA-bind', 31350),
(87625, 'PF01540', NULL, 'Adhesin lipoprotein', 353, NULL, 'Lipoprotein_7', 31351),
(87626, 'PF13323', NULL, 'N-terminal domain with HPIH motif', 156, NULL, 'HPIH', 31352),
(87627, 'PF10719', NULL, 'Late competence development protein ComFB', 83, NULL, 'ComFB', 31353),
(87628, 'PF00257', NULL, 'Dehydrin', 174, NULL, 'Dehydrin', 31354),
(87629, 'PF08229', NULL, 'ER membrane protein SH3', 188, NULL, 'SHR3_chaperone', 31355),
(87630, 'PF07393', NULL, 'Exocyst complex component Sec10', 711, NULL, 'Sec10', 31356),
(87631, 'PF15392', NULL, 'Joubert syndrome-associated', 340, NULL, 'Joubert', 31357),
(87632, 'PF17662', NULL, 'Family of unknown function (DUF5524)', 292, NULL, 'DUF5524', 31358),
(87633, 'PF18242', NULL, 'Legionella ubiquitin-specific protease A domain', 178, NULL, 'LupA', 31359),
(87634, 'PF19899', NULL, 'Family of unknown function (DUF6372)', 61, NULL, 'DUF6372', 31360),
(87635, 'PF14417', NULL, 'MEDS: MEthanogen/methylotroph, DcmR Sensory domain', 161, NULL, 'MEDS', 31361),
(87636, 'PF18955', NULL, 'Domain of unknown function (DUF5698)', 58, NULL, 'DUF5698', 31362),
(87637, 'PF07061', NULL, 'Swi5', 80, NULL, 'Swi5', 31363),
(87638, 'PF11503', NULL, 'Protein of unknown function (DUF3215)', 72, NULL, 'DUF3215', 31364),
(87639, 'PF12154', NULL, 'Glycoprotein B N-terminal antigenic domain of HCMV', 36, NULL, 'HCMVantigenic_N', 31365),
(87640, 'PF18852', NULL, 'Large polyvalent protein associated domain 34', 213, NULL, 'LPD34', 31366),
(87641, 'PF06119', NULL, 'Nidogen-like', 88, NULL, 'NIDO', 31367),
(87642, 'PF13176', NULL, 'Tetratricopeptide repeat', 36, NULL, 'TPR_7', 31368),
(87643, 'PF19784', NULL, 'Family of unknown function (DUF6269)', 77, NULL, 'DUF6269', 31369),
(87644, 'PF07230', NULL, 'Bacteriophage T4-like portal protein (Gp20)', 432, NULL, 'Portal_Gp20', 31370),
(87645, 'PF01408', NULL, 'Oxidoreductase family, NAD-binding Rossmann fold', 120, NULL, 'GFO_IDH_MocA', 31371),
(87646, 'PF17889', NULL, 'NLRC4 helical domain', 107, NULL, 'NLRC4_HD', 31372),
(87647, 'PF11801', NULL, 'Tom37 C-terminal domain', 147, NULL, 'Tom37_C', 31373);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(87648, 'PF13807', NULL, 'G-rich domain on putative tyrosine kinase', 82, NULL, 'GNVR', 31374),
(87649, 'PF15882', NULL, 'Domain of unknown function (DUF4735)', 288, NULL, 'DUF4735', 31375),
(87650, 'PF01890', NULL, 'Cobalamin synthesis G C-terminus', 116, NULL, 'CbiG_C', 31376),
(87651, 'PF10778', NULL, 'Halocarboxylic acid dehydrogenase DehI', 148, NULL, 'DehI', 31377),
(87652, 'PF12699', NULL, 'phiKZ-like phage internal head proteins', 339, NULL, 'phiKZ_IP', 31378),
(87653, 'PF12767', NULL, 'Transcriptional regulator of RNA polII, SAGA, subunit', 235, NULL, 'SAGA-Tad1', 31379),
(87654, 'PF08584', NULL, 'Ribonuclease P 40kDa (Rpp40) subunit', 288, NULL, 'Ribonuc_P_40', 31380),
(87655, 'PF13186', NULL, 'Iron-sulfur cluster-binding domain', 68, NULL, 'SPASM', 31381),
(87656, 'PF08349', NULL, 'Protein of unknown function (DUF1722)', 117, NULL, 'DUF1722', 31382),
(87657, 'PF14696', NULL, 'Hydroxyphenylpyruvate dioxygenase, HPPD, N-terminal', 139, NULL, 'Glyoxalase_5', 31383),
(87658, 'PF00245', NULL, 'Alkaline phosphatase', 418, NULL, 'Alk_phosphatase', 31384),
(87659, 'PF10192', NULL, 'Rhodopsin-like GPCR transmembrane domain', 257, NULL, 'GpcrRhopsn4', 31385),
(87660, 'PF11413', NULL, 'Hypoxia-inducible factor-1', 32, NULL, 'HIF-1', 31386),
(87661, 'PF11040', NULL, 'Dispersed gene family protein 1 of Trypanosoma cruzi C-terminus', 87, NULL, 'DGF-1_C', 31387),
(87662, 'PF11409', NULL, 'Smad anchor for receptor activation (SARA)', 37, NULL, 'SARA', 31388),
(87663, 'PF18757', NULL, 'Nucleotide modification associated domain 5', 207, NULL, 'Nmad5', 31389),
(87664, 'PF09870', NULL, 'Uncharacterized protein conserved in archaea (DUF2097)', 84, NULL, 'DUF2097', 31390),
(87665, 'PF18758', NULL, 'Kyakuja-Dileera-Zisupton transposase', 220, NULL, 'KDZ', 31391),
(87666, 'PF03381', NULL, 'LEM3 (ligand-effect modulator 3) family / CDC50 family', 287, NULL, 'CDC50', 31392),
(87667, 'PF08103', NULL, 'Uperin family', 17, NULL, 'Antimicrobial_8', 31393),
(87668, 'PF19038', NULL, 'Third Longin domain of FUZ, MON1 and HPS1', 106, NULL, 'Fuz_longin_3', 31394),
(87669, 'PF13136', NULL, 'Protein of unknown function (DUF3984)', 329, NULL, 'DUF3984', 31395),
(87670, 'PF08692', NULL, 'Mitochondrial protein Pet20', 132, NULL, 'Pet20', 31396),
(87671, 'PF12019', NULL, 'Type II transport protein GspH', 110, NULL, 'GspH', 31397),
(87672, 'PF03004', NULL, 'Plant transposase (Ptta/En/Spm family)', 142, NULL, 'Transposase_24', 31398),
(87673, 'PF12988', NULL, 'TraQ conjugal transfer protein', 133, NULL, 'TraQ_transposon', 31399),
(87674, 'PF13288', NULL, 'DXP reductoisomerase C-terminal domain', 115, NULL, 'DXPR_C', 31400),
(87675, 'PF08655', NULL, 'DASH complex subunit Ask1', 64, NULL, 'DASH_Ask1', 31401),
(87676, 'PF12970', NULL, 'Domain of Unknown Function with PDB structure (DUF3858)', 116, NULL, 'DUF3858', 31402),
(87677, 'PF07897', NULL, 'Ethylene-responsive binding factor-associated repression', 36, NULL, 'EAR', 31403),
(87678, 'PF08651', NULL, 'DASH complex subunit Duo1', 74, NULL, 'DASH_Duo1', 31404),
(87679, 'PF03049', NULL, 'UL79 family', 254, NULL, 'Herpes_UL79', 31405),
(87680, 'PF03533', NULL, 'SPO11 homologue', 43, NULL, 'SPO11_like', 31406),
(87681, 'PF13440', NULL, 'Polysaccharide biosynthesis protein', 293, NULL, 'Polysacc_synt_3', 31407),
(87682, 'PF13739', NULL, 'Deacetylase PdaC', 95, NULL, 'PdaC', 31408),
(87683, 'PF04595', NULL, 'Poxvirus I6-like family', 321, NULL, 'Pox_I6', 31409),
(87684, 'PF09098', NULL, 'Quinohemoprotein amine dehydrogenase A, alpha subunit, haem binding', 167, NULL, 'Dehyd-heme_bind', 31410),
(87685, 'PF08838', NULL, 'Protein of unknown function (DUF1811)', 100, NULL, 'DUF1811', 31411),
(87686, 'PF19656', NULL, 'Family of unknown function (DUF6159)', 204, NULL, 'DUF6159', 31412),
(87687, 'PF02406', NULL, 'MmoB/DmpM family', 85, NULL, 'MmoB_DmpM', 31413),
(87688, 'PF11913', NULL, 'Protein of unknown function (DUF3431)', 215, NULL, 'DUF3431', 31414),
(87689, 'PF03615', NULL, 'GCM motif protein', 140, NULL, 'GCM', 31415),
(87690, 'PF12387', NULL, 'Pestivirus NS2 peptidase', 200, NULL, 'Peptidase_C74', 31416);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(87691, 'PF02626', NULL, 'Carboxyltransferase domain, subdomain A and B', 264, NULL, 'CT_A_B', 31417),
(87692, 'PF13221', NULL, 'Protein of unknown function (DUF4029)', 96, NULL, 'DUF4029', 31418),
(87693, 'PF17536', NULL, 'Matrix and Matrix long proteins N-terminal', 149, NULL, 'Mx_ML', 31419),
(87694, 'PF06064', NULL, 'Host-nuclease inhibitor protein Gam', 98, NULL, 'Gam', 31420),
(87695, 'PF10051', NULL, 'Uncharacterized protein conserved in archaea (DUF2286)', 138, NULL, 'DUF2286', 31421),
(87696, 'PF11912', NULL, 'Protein of unknown function (DUF3430)', 212, NULL, 'DUF3430', 31422),
(87697, 'PF14637', NULL, 'Folliculin-interacting protein middle domain', 227, NULL, 'FNIP_M', 31423),
(87698, 'PF10838', NULL, 'Protein of unknown function (DUF2677)', 166, NULL, 'DUF2677', 31424),
(87699, 'PF14824', NULL, 'Sirohaem biosynthesis protein central', 28, NULL, 'Sirohm_synth_M', 31425),
(87700, 'PF15812', NULL, 'Melanoregulin', 149, NULL, 'MREG', 31426),
(87701, 'PF04233', NULL, 'Phage Mu protein F like protein', 112, NULL, 'Phage_Mu_F', 31427),
(87702, 'PF07350', NULL, 'Protein of unknown function (DUF1479)', 414, NULL, 'DUF1479', 31428),
(87703, 'PF15414', NULL, 'Protein of unknown function (DUF4621)', 329, NULL, 'DUF4621', 31429),
(87704, 'PF18863', NULL, 'AbiJ N-terminal domain 4', 162, NULL, 'AbiJ_NTD4', 31430),
(87705, 'PF15563', NULL, 'Immunity protein 19', 227, NULL, 'Imm19', 31431),
(87706, 'PF16059', NULL, 'Domain of unknown function (DUF4801)', 53, NULL, 'DUF4801', 31432),
(87707, 'PF00927', NULL, 'Transglutaminase family, C-terminal ig like domain', 106, NULL, 'Transglut_C', 31433),
(87708, 'PF03393', NULL, 'Pneumovirus matrix protein', 252, NULL, 'Pneumo_matrix', 31434),
(87709, 'PF18111', NULL, 'Retinitis pigmentosa G-protein regulator interacting C-terminal', 166, NULL, 'RPGR1_C', 31435),
(87710, 'PF09299', NULL, 'Mu transposase, C-terminal', 61, NULL, 'Mu-transpos_C', 31436),
(87711, 'PF18939', NULL, 'Family of unknown function (DUF5686)', 670, NULL, 'DUF5686', 31437),
(87712, 'PF02369', NULL, 'Bacterial Ig-like domain (group 1)', 64, NULL, 'Big_1', 31438),
(87713, 'PF06834', NULL, 'TraU protein', 308, NULL, 'TraU', 31439),
(87714, 'PF10474', NULL, 'Protein of unknown function C-terminus (DUF2451)', 234, NULL, 'DUF2451', 31440),
(87715, 'PF15529', NULL, 'Bacterial toxin 24', 96, NULL, 'Ntox24', 31441),
(87716, 'PF15827', NULL, 'UPF0730 unknown protein family', 46, NULL, 'UPF0730', 31442),
(87717, 'PF17650', NULL, 'RACo linker region', 85, NULL, 'RACo_linker', 31443),
(87718, 'PF02540', NULL, 'NAD synthase', 242, NULL, 'NAD_synthase', 31444),
(87719, 'PF04371', NULL, 'Porphyromonas-type peptidyl-arginine deiminase', 319, NULL, 'PAD_porph', 31445),
(87720, 'PF07172', NULL, 'Glycine rich protein family', 95, NULL, 'GRP', 31446),
(87721, 'PF18234', NULL, 'Violacein biosynthetic enzyme VioE', 182, NULL, 'VioE', 31447),
(87722, 'PF19546', NULL, 'Family of unknown function (DUF6070)', 345, NULL, 'DUF6070', 31448),
(87723, 'PF00923', NULL, 'Transaldolase/Fructose-6-phosphate aldolase', 287, NULL, 'TAL_FSA', 31449),
(87724, 'PF14942', NULL, 'Organelle biogenesis, Muted-like protein', 146, NULL, 'Muted', 31450),
(87725, 'PF03930', NULL, 'Recombinase Flp protein N-terminus', 82, NULL, 'Flp_N', 31451),
(87726, 'PF13428', NULL, 'Tetratricopeptide repeat', 44, NULL, 'TPR_14', 31452),
(87727, 'PF01106', NULL, 'NifU-like domain', 67, NULL, 'NifU', 31453),
(87728, 'PF13387', NULL, 'Domain of unknown function (DUF4105)', 170, NULL, 'DUF4105', 31454),
(87729, 'PF17492', NULL, 'Delta Ctenitoxins', 48, NULL, 'D_CNTX', 31455),
(87730, 'PF13316', NULL, 'Protein of unknown function (DUF4087)', 98, NULL, 'DUF4087', 31456),
(87731, 'PF10005', NULL, 'zinc-ribbon domain', 93, NULL, 'zinc-ribbon_6', 31457),
(87732, 'PF18868', NULL, 'Zinc finger C2H2-type, 3 repeats', 126, NULL, 'zf-C2H2_3rep', 31458),
(87733, 'PF19265', NULL, 'Family of unknown function (DUF5908)', 55, NULL, 'DUF5908', 31459),
(87734, 'PF10384', NULL, 'Centromere protein Scm3', 54, NULL, 'Scm3', 31460),
(87735, 'PF09645', NULL, 'F-112 protein', 110, NULL, 'F-112', 31461);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(87736, 'PF13039', NULL, 'Protein of unknown function (DUF3900)', 253, NULL, 'DUF3900', 31462),
(87737, 'PF12727', NULL, 'PBP superfamily domain', 193, NULL, 'PBP_like', 31463),
(87738, 'PF12864', NULL, 'Protein of unknown function (DUF3822)', 241, NULL, 'DUF3822', 31464),
(87739, 'PF17335', NULL, 'Ino80 complex subunit 5', 113, NULL, 'IES5', 31465),
(87740, 'PF00379', NULL, 'Insect cuticle protein', 53, NULL, 'Chitin_bind_4', 31466),
(87741, 'PF15118', NULL, 'Domain of unknown function (DUF4560)', 64, NULL, 'DUF4560', 31467),
(87742, 'PF06542', NULL, 'Regulator protein PHA-1', 408, NULL, 'PHA-1', 31468),
(87743, 'PF17257', NULL, 'Family of unknown function (DUF5323)', 62, NULL, 'DUF5323', 31469),
(87744, 'PF00537', NULL, 'Scorpion toxin-like domain', 55, NULL, 'Toxin_3', 31470),
(87745, 'PF04943', NULL, 'Poxvirus F11 protein', 409, NULL, 'Pox_F11', 31471),
(87746, 'PF00028', NULL, 'Cadherin domain', 93, NULL, 'Cadherin', 31472),
(87747, 'PF15804', NULL, 'Coiled-coil domain-containing protein 168', 205, NULL, 'CCDC168_N', 31473),
(87748, 'PF18823', NULL, 'Inorganic Pyrophosphatase', 135, NULL, 'InPase', 31474),
(87749, 'PF19840', NULL, 'Family of unknown function (DUF6317)', 100, NULL, 'DUF6317', 31475),
(87750, 'PF19841', NULL, 'Gliding motility associated protein GldN', 220, NULL, 'GldN', 31476),
(87751, 'PF03386', NULL, 'Early nodulin 93 ENOD93 protein', 78, NULL, 'ENOD93', 31477),
(87752, 'PF11383', NULL, 'Protein of unknown function (DUF3187)', 320, NULL, 'DUF3187', 31478),
(87753, 'PF15257', NULL, 'Domain of unknown function (DUF4590)', 114, NULL, 'DUF4590', 31479),
(87754, 'PF17289', NULL, 'Terminase RNaseH-like domain', 155, NULL, 'Terminase_6C', 31480),
(87755, 'PF04174', NULL, 'A circularly permuted ATPgrasp', 332, NULL, 'CP_ATPgrasp_1', 31481),
(87756, 'PF17671', NULL, 'Family of unknown function (DUF5531)', 152, NULL, 'DUF5531', 31482),
(87757, 'PF13498', NULL, 'Domain of unknown function (DUF4122)', 219, NULL, 'DUF4122', 31483),
(87758, 'PF19898', NULL, 'Domain of unknown function (DUF6371)', 150, NULL, 'DUF6371', 31484),
(87759, 'PF00743', NULL, 'Flavin-binding monooxygenase-like', 532, NULL, 'FMO-like', 31485),
(87760, 'PF17489', NULL, 'L1 transposable element trimerization domain', 43, NULL, 'Tnp_22_trimer', 31486),
(87761, 'PF02029', NULL, 'Caldesmon', 500, NULL, 'Caldesmon', 31487),
(87762, 'PF02598', NULL, 'Putative RNA methyltransferase', 309, NULL, 'Methyltrn_RNA_3', 31488),
(87763, 'PF06687', NULL, 'SUR7/PalI family', 212, NULL, 'SUR7', 31489),
(87764, 'PF15591', NULL, 'Immunity protein 31', 73, NULL, 'Imm31', 31490),
(87765, 'PF05826', NULL, 'Phospholipase A2', 97, NULL, 'Phospholip_A2_2', 31491),
(87766, 'PF13000', NULL, 'Acetyl-coenzyme A transporter 1', 548, NULL, 'Acatn', 31492),
(87767, 'PF02786', NULL, 'Carbamoyl-phosphate synthase L chain, ATP binding domain', 211, NULL, 'CPSase_L_D2', 31493),
(87768, 'PF12072', NULL, 'RNase Y N-terminal region', 201, NULL, 'RNase_Y_N', 31494),
(87769, 'PF00528', NULL, 'Binding-protein-dependent transport system inner membrane component', 185, NULL, 'BPD_transp_1', 31495),
(87770, 'PF19005', NULL, 'Family of unknown function (DUF5734)', 83, NULL, 'DUF5734', 31496),
(87771, 'PF01196', NULL, 'Ribosomal protein L17', 97, NULL, 'Ribosomal_L17', 31497),
(87772, 'PF00782', NULL, 'Dual specificity phosphatase, catalytic domain', 133, NULL, 'DSPc', 31498),
(87773, 'PF04892', NULL, 'VanZ like family', 125, NULL, 'VanZ', 31499),
(87774, 'PF16024', NULL, 'Domain of unknown function (DUF4785)', 372, NULL, 'DUF4785', 31500),
(87775, 'PF00999', NULL, 'Sodium/hydrogen exchanger family', 381, NULL, 'Na_H_Exchanger', 31501),
(87776, 'PF02151', NULL, 'UvrB/uvrC motif', 36, NULL, 'UVR', 31502),
(87777, 'PF11880', NULL, 'Domain of unknown function (DUF3400)', 45, NULL, 'DUF3400', 31503),
(87778, 'PF08875', NULL, 'Domain of unknown function (DUF1833)', 150, NULL, 'DUF1833', 31504),
(87779, 'PF12348', NULL, 'CLASP N terminal', 227, NULL, 'CLASP_N', 31505),
(87780, 'PF02096', NULL, '60Kd inner membrane protein', 166, NULL, '60KD_IMP', 31506),
(87781, 'PF10208', NULL, 'ARMET, C-terminal', 43, NULL, 'ARMET_C', 31507);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(87782, 'PF17089', NULL, 'Uncharacterised protein family', 92, NULL, 'YjbT', 31508),
(87783, 'PF04713', NULL, 'Poxvirus protein I5', 75, NULL, 'Pox_I5', 31509),
(87784, 'PF15580', NULL, 'Immunity protein 53', 91, NULL, 'Imm53', 31510),
(87785, 'PF08353', NULL, 'MurT ligase C-terminal', 110, NULL, 'MurT_C', 31511),
(87786, 'PF10992', NULL, 'Epiplasmin protein', 83, NULL, 'Epiplasmin', 31512),
(87787, 'PF16857', NULL, 'RNA polymerase inhibitor', 47, NULL, 'RNA_pol_inhib', 31513),
(87788, 'PF16638', NULL, 'Unstructured region on methyltransferase between zinc-fingers', 130, NULL, 'Tristanin_u2', 31514),
(87789, 'PF19404', NULL, 'Family of unknown function (DUF5977)', 64, NULL, 'DUF5977', 31515),
(87790, 'PF07703', NULL, 'Alpha-2-macroglobulin bait region domain', 138, NULL, 'A2M_BRD', 31516),
(87791, 'PF10763', NULL, 'Protein of unknown function (DUF2584)', 81, NULL, 'DUF2584', 31517),
(87792, 'PF17624', NULL, 'Family of unknown function', 282, NULL, 'US30', 31518),
(87793, 'PF16384', NULL, 'Domain of unknown function', 359, NULL, 'DUF4993', 31519),
(87794, 'PF03790', NULL, 'KNOX1 domain', 43, NULL, 'KNOX1', 31520),
(87795, 'PF18023', NULL, 'BDBT FKBP like N-terminal', 113, NULL, 'FKBP_N_2', 31521),
(87796, 'PF08590', NULL, 'Domain of unknown function (DUF1771)', 64, NULL, 'DUF1771', 31522),
(87797, 'PF03690', NULL, 'Uncharacterised protein family (UPF0160)', 319, NULL, 'UPF0160', 31523),
(87798, 'PF04801', NULL, 'RPC5 protein', 430, NULL, 'RPC5', 31524),
(87799, 'PF06028', NULL, 'Alpha/beta hydrolase of unknown function (DUF915)', 255, NULL, 'DUF915', 31525),
(87800, 'PF04538', NULL, 'Brain expressed X-linked like family', 120, NULL, 'BEX', 31526),
(87801, 'PF17923', NULL, 'Tetracyclin repressor-like, C-terminal domain', 113, NULL, 'TetR_C_18', 31527),
(87802, 'PF10061', NULL, 'Uncharacterized conserved protein (DUF2299)', 138, NULL, 'DUF2299', 31528),
(87803, 'PF16678', NULL, 'HOIP UBA domain pair', 153, NULL, 'HOIP-UBA', 31529),
(87804, 'PF19181', NULL, 'Family of unknown function (DUF5863)', 169, NULL, 'DUF5863', 31530),
(87805, 'PF02937', NULL, 'Cytochrome c oxidase subunit VIc', 70, NULL, 'COX6C', 31531),
(87806, 'PF09552', NULL, 'BstXI restriction endonuclease', 288, NULL, 'RE_BstXI', 31532),
(87807, 'PF16758', NULL, 'Herpes-like virus membrane glycoprotein UL141', 191, NULL, 'UL141', 31533),
(87808, 'PF00973', NULL, 'Paramyxovirus nucleocapsid protein', 524, NULL, 'Paramyxo_ncap', 31534),
(87809, 'PF00163', NULL, 'Ribosomal protein S4/S9 N-terminal domain', 83, NULL, 'Ribosomal_S4', 31535),
(87810, 'PF12450', NULL, 'von Willebrand factor', 94, NULL, 'vWF_A', 31536),
(87811, 'PF06869', NULL, 'Protein of unknown function (DUF1258)', 253, NULL, 'DUF1258', 31537),
(87812, 'PF10897', NULL, 'Protein of unknown function (DUF2713)', 235, NULL, 'DUF2713', 31538),
(87813, 'PF15192', NULL, 'TMEM213 family', 79, NULL, 'TMEM213', 31539),
(87814, 'PF15079', NULL, 'Testis-specific protein 35', 205, NULL, 'Tsc35', 31540),
(87815, 'PF01281', NULL, 'Ribosomal protein L9, N-terminal domain', 47, NULL, 'Ribosomal_L9_N', 31541),
(87816, 'PF12055', NULL, 'Domain of unknown function (DUF3536)', 284, NULL, 'DUF3536', 31542),
(87817, 'PF10811', NULL, 'Protein of unknown function (DUF2532)', 158, NULL, 'DUF2532', 31543),
(87818, 'PF01113', NULL, 'Dihydrodipicolinate reductase, N-terminus', 124, NULL, 'DapB_N', 31544),
(87819, 'PF01738', NULL, 'Dienelactone hydrolase family', 217, NULL, 'DLH', 31545),
(87820, 'PF18039', NULL, 'UBA-like domain', 42, NULL, 'UBA_6', 31546),
(87821, 'PF06848', NULL, 'Disaggregatase related repeat', 180, NULL, 'Disaggr_repeat', 31547),
(87822, 'PF13265', NULL, 'Protein of unknown function (DUF4056)', 266, NULL, 'DUF4056', 31548),
(87823, 'PF01469', NULL, 'Pentapeptide repeats (8 copies)', 40, NULL, 'Pentapeptide_2', 31549),
(87824, 'PF18087', NULL, 'Rubisco Assembly chaperone C-terminal domain', 138, NULL, 'RuBisCo_chap_C', 31550),
(87825, 'PF01350', NULL, 'Flavivirus non-structural protein NS4A', 144, NULL, 'Flavi_NS4A', 31551),
(87826, 'PF08987', NULL, 'Protein of unknown function (DUF1892)', 109, NULL, 'DUF1892', 31552); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(87827, 'PF11304', NULL, 'Protein of unknown function (DUF3106)', 104, NULL, 'DUF3106', 31553),
(87828, 'PF08181', NULL, 'DegQ (SacQ) family', 46, NULL, 'DegQ', 31554),
(87829, 'PF13598', NULL, 'Domain of unknown function (DUF4139)', 205, NULL, 'DUF4139', 31555),
(87830, 'PF12798', NULL, '4Fe-4S binding domain', 15, NULL, 'Fer4_3', 31556),
(87831, 'PF03085', NULL, 'Rhoptry-associated protein 1 (RAP-1)', 241, NULL, 'RAP-1', 31557),
(87832, 'PF04223', NULL, 'Citrate lyase, alpha subunit (CitF)', 466, NULL, 'CitF', 31558),
(87833, 'PF13574', NULL, 'Metallo-peptidase family M12B Reprolysin-like', 194, NULL, 'Reprolysin_2', 31559),
(87834, 'PF19492', NULL, 'Family of unknown function (DUF6027)', 134, NULL, 'DUF6027', 31560),
(87835, 'PF09003', NULL, 'Bacteriophage lambda integrase, Arm DNA-binding domain', 74, NULL, 'Arm-DNA-bind_1', 31561),
(87836, 'PF13754', NULL, 'Domain of unknown function', 105, NULL, 'Big_3_4', 31562),
(87837, 'PF17556', NULL, 'MIT-like atracotoxin family', 68, NULL, 'MIT_LIKE_ACTX', 31563),
(87838, 'PF01071', NULL, 'Phosphoribosylglycinamide synthetase, ATP-grasp (A) domain', 194, NULL, 'GARS_A', 31564),
(87839, 'PF11071', NULL, 'Nucleoside 2-deoxyribosyltransferase YtoQ', 140, NULL, 'Nuc_deoxyri_tr3', 31565),
(87840, 'PF00267', NULL, 'Gram-negative porin', 340, NULL, 'Porin_1', 31566),
(87841, 'PF14073', NULL, 'Centrosome localisation domain of Cep57', 178, NULL, 'Cep57_CLD', 31567),
(87842, 'PF01536', NULL, 'Adenosylmethionine decarboxylase', 354, NULL, 'SAM_decarbox', 31568),
(87843, 'PF12950', NULL, 'TaqI-like C-terminal specificity domain', 120, NULL, 'TaqI_C', 31569),
(87844, 'PF19529', NULL, 'Family of unknown function (DUF6057)', 568, NULL, 'DUF6057', 31570),
(87845, 'PF10615', NULL, 'Protein of unknown function (DUF2470)', 77, NULL, 'DUF2470', 31571),
(87846, 'PF00136', NULL, 'DNA polymerase family B', 459, NULL, 'DNA_pol_B', 31572),
(87847, 'PF17135', NULL, 'Ribosomal protein 60S L18 and 50S L18e', 187, NULL, 'Ribosomal_L18', 31573),
(87848, 'PF02691', NULL, 'Vacuolating cyotoxin', 981, NULL, 'VacA', 31574),
(87849, 'PF18240', NULL, 'Photosystem II Psb31 protein', 93, NULL, 'PSII_Pbs31', 31575),
(87850, 'PF19212', NULL, 'Coronavirus replicase NSP2, C-terminal', 157, NULL, 'CoV_NSP2_C', 31576),
(87851, 'PF16907', NULL, 'Proline rich region of Caskin proteins', 91, NULL, 'Caskin-Pro-rich', 31577),
(87852, 'PF09689', NULL, 'Plasmodium yoelii repeat (PY_rept_46)', 51, NULL, 'PY_rept_46', 31578),
(87853, 'PF14374', NULL, '60S ribosomal protein L4 C-terminal domain', 77, NULL, 'Ribos_L4_asso_C', 31579),
(87854, 'PF15825', NULL, 'FAM25 family', 65, NULL, 'FAM25', 31580),
(87855, 'PF08220', NULL, 'DeoR-like helix-turn-helix domain', 57, NULL, 'HTH_DeoR', 31581),
(87856, 'PF13502', NULL, 'AsmA-like C-terminal region', 226, NULL, 'AsmA_2', 31582),
(87857, 'PF05621', NULL, 'Bacterial TniB protein', 189, NULL, 'TniB', 31583),
(87858, 'PF06863', NULL, 'Protein of unknown function (DUF1254)', 132, NULL, 'DUF1254', 31584),
(87859, 'PF02441', NULL, 'Flavoprotein', 157, NULL, 'Flavoprotein', 31585),
(87860, 'PF13468', NULL, 'Glyoxalase-like domain', 176, NULL, 'Glyoxalase_3', 31586),
(87861, 'PF14515', NULL, 'Haem-oxygenase-associated N-terminal helices', 93, NULL, 'HOASN', 31587),
(87862, 'PF11583', NULL, 'P-aminobenzoate N-oxygenase AurF', 283, NULL, 'AurF', 31588),
(87863, 'PF17375', NULL, 'Family of unknown function (DUF5397)', 64, NULL, 'DUF5397', 31589),
(87864, 'PF04386', NULL, 'Stringent starvation protein B', 160, NULL, 'SspB', 31590),
(87865, 'PF18317', NULL, 'Shikimate 5''-dehydrogenase C-terminal domain', 31, NULL, 'SDH_C', 31591),
(87866, 'PF10049', NULL, 'Protein of unknown function (DUF2283)', 49, NULL, 'DUF2283', 31592),
(87867, 'PF01390', NULL, 'SEA domain', 106, NULL, 'SEA', 31593),
(87868, 'PF16070', NULL, 'Transmembrane protein family 132', 344, NULL, 'TMEM132', 31594),
(87869, 'PF05659', NULL, 'Arabidopsis broad-spectrum mildew resistance protein RPW8', 139, NULL, 'RPW8', 31595),
(87870, 'PF13132', NULL, 'Domain of unknown function (DUF3950)', 30, NULL, 'DUF3950', 31596);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(87871, 'PF18384', NULL, 'Unkempt Zinc finger domain 1 (Znf1)', 40, NULL, 'zf_CCCH_5', 31597),
(87872, 'PF18099', NULL, 'DUF5010 C-terminal domain', 112, NULL, 'DUF5010_C', 31598),
(87873, 'PF06362', NULL, 'Protein of unknown function (DUF1067)', 97, NULL, 'DUF1067', 31599),
(87874, 'PF16438', NULL, 'Domain of unknown function (DUF5035)', 145, NULL, 'DUF5035', 31600),
(87875, 'PF04857', NULL, 'CAF1 family ribonuclease', 322, NULL, 'CAF1', 31601),
(87876, 'PF14903', NULL, 'WG containing repeat', 35, NULL, 'WG_beta_rep', 31602),
(87877, 'PF03409', NULL, 'Transmembrane glycoprotein', 370, NULL, 'Glycoprotein', 31603),
(87878, 'PF01843', NULL, 'DIL domain', 105, NULL, 'DIL', 31604),
(87879, 'PF18553', NULL, 'PheRS DNA binding domain 3', 60, NULL, 'PheRS_DBD3', 31605),
(87880, 'PF06413', NULL, 'Neugrin', 218, NULL, 'Neugrin', 31606),
(87881, 'PF06708', NULL, 'Protein of unknown function (DUF1195)', 147, NULL, 'DUF1195', 31607),
(87882, 'PF01327', NULL, 'Polypeptide deformylase', 159, NULL, 'Pep_deformylase', 31608),
(87883, 'PF18809', NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease1', 108, NULL, 'PBECR1', 31609),
(87884, 'PF13435', NULL, 'Cytochrome c554 and c-prime', 84, NULL, 'Cytochrome_C554', 31610),
(87885, 'PF11938', NULL, 'TLR4 regulator and MIR-interacting MSAP', 151, NULL, 'DUF3456', 31611),
(87886, 'PF01799', NULL, '[2Fe-2S] binding domain', 75, NULL, 'Fer2_2', 31612),
(87887, 'PF18884', NULL, 'Bacterial TSP3 repeat', 22, NULL, 'TSP3_bac', 31613),
(87888, 'PF09290', NULL, 'Prokaryotic acetaldehyde dehydrogenase, dimerisation', 138, NULL, 'AcetDehyd-dimer', 31614),
(87889, 'PF15833', NULL, 'Domain of unknown function (DUF4714)', 149, NULL, 'DUF4714', 31615),
(87890, 'PF04190', NULL, 'Golgi to ER traffic protein 4', 256, NULL, 'GET4', 31616),
(87891, 'PF10505', NULL, 'NMDA receptor-regulated gene protein 2 C-terminus', 211, NULL, 'NARG2_C', 31617),
(87892, 'PF11281', NULL, 'Protein of unknown function (DUF3083)', 314, NULL, 'DUF3083', 31618),
(87893, 'PF19268', NULL, 'Contractile injection system tape measure protein', 461, NULL, 'CIS_TMP', 31619),
(87894, 'PF19013', NULL, 'Family of unknown function (DUF5742)', 111, NULL, 'DUF5742', 31620),
(87895, 'PF19331', NULL, 'Methylcrotonoyl-CoA carboxylase subunit alpha BT domain', 165, NULL, 'MCCA_BT', 31621),
(87896, 'PF14105', NULL, 'Domain of unknown function (DUF4278)', 56, NULL, 'DUF4278', 31622),
(87897, 'PF09450', NULL, 'Domain of unknown function (DUF2019)', 105, NULL, 'DUF2019', 31623),
(87898, 'PF16188', NULL, 'C-terminal region of peptidase_M24', 63, NULL, 'Peptidase_M24_C', 31624),
(87899, 'PF13143', NULL, 'Protein of unknown function (DUF3986)', 87, NULL, 'DUF3986', 31625),
(87900, 'PF12463', NULL, 'Protein of unknown function (DUF3689)', 312, NULL, 'DUF3689', 31626),
(87901, 'PF11879', NULL, 'Domain of unknown function (DUF3399)', 77, NULL, 'DUF3399', 31627),
(87902, 'PF14999', NULL, 'Shadow of prion protein, neuroprotective', 133, NULL, 'Shadoo', 31628),
(87903, 'PF16592', NULL, 'REC lobe of CRISPR-associated endonuclease Cas9', 541, NULL, 'Cas9_REC', 31629),
(87904, 'PF15741', NULL, 'Ligand-dependent nuclear receptor-interacting factor 1', 749, NULL, 'LRIF1', 31630),
(87905, 'PF05251', NULL, 'Oligosaccharyltransferase subunit 5', 73, NULL, 'Ost5', 31631),
(87906, 'PF04882', NULL, 'Peroxin-3', 476, NULL, 'Peroxin-3', 31632),
(87907, 'PF16508', NULL, 'Second BRCT domain on Nijmegen syndrome breakage protein', 123, NULL, 'NIBRIN_BRCT_II', 31633),
(87908, 'PF02284', NULL, 'Cytochrome c oxidase subunit Va', 103, NULL, 'COX5A', 31634),
(87909, 'PF10967', NULL, 'Protein of unknown function (DUF2769)', 58, NULL, 'DUF2769', 31635),
(87910, 'PF10462', NULL, 'Peptidase M66', 306, NULL, 'Peptidase_M66', 31636),
(87911, 'PF20114', NULL, 'Family of unknown function (DUF6504)', 117, NULL, 'DUF6504', 31637),
(87912, 'PF15531', NULL, 'Bacterial toxin 27', 130, NULL, 'Ntox27', 31638),
(87913, 'PF09021', NULL, 'HutP', 129, NULL, 'HutP', 31639),
(87914, 'PF04617', NULL, 'Hox9 activation region', 183, NULL, 'Hox9_act', 31640),
(87915, 'PF00125', NULL, 'Core histone H2A/H2B/H3/H4', 131, NULL, 'Histone', 31641);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(87916, 'PF15458', NULL, 'Nineteen complex-related protein 2', 225, NULL, 'NTR2', 31642),
(87917, 'PF08400', NULL, 'Prophage tail fibre N-terminal', 134, NULL, 'phage_tail_N', 31643),
(87918, 'PF05784', NULL, 'Betaherpesvirus UL82/83 protein N terminus', 345, NULL, 'Herpes_UL82_83', 31644),
(87919, 'PF18124', NULL, 'Kindlin-2 N-terminal domain', 89, NULL, 'Kindlin_2_N', 31645),
(87920, 'PF13632', NULL, 'Glycosyl transferase family group 2', 194, NULL, 'Glyco_trans_2_3', 31646),
(87921, 'PF08615', NULL, 'Ribonuclease H2 non-catalytic subunit (Ylr154p-like)', 141, NULL, 'RNase_H2_suC', 31647),
(87922, 'PF08814', NULL, 'XisH protein', 134, NULL, 'XisH', 31648),
(87923, 'PF07101', NULL, 'Protein of unknown function (DUF1363)', 124, NULL, 'DUF1363', 31649),
(87924, 'PF14671', NULL, 'Dual specificity protein phosphatase, N-terminal half', 141, NULL, 'DSPn', 31650),
(87925, 'PF07198', NULL, 'Protein of unknown function (DUF1410)', 61, NULL, 'DUF1410', 31651),
(87926, 'PF07568', NULL, 'Histidine kinase', 76, NULL, 'HisKA_2', 31652),
(87927, 'PF14301', NULL, 'Domain of unknown function (DUF4376)', 102, NULL, 'DUF4376', 31653),
(87928, 'PF18179', NULL, 'SMODS- and Ubiquitin system-associated 2TM effector domain', 279, NULL, 'SUa-2TM', 31654),
(87929, 'PF12366', NULL, 'Cancer susceptibility candidate 1 C-terminal', 222, NULL, 'Casc1_C', 31655),
(87930, 'PF01693', NULL, 'Caulimovirus viroplasmin', 44, NULL, 'Cauli_VI', 31656),
(87931, 'PF03993', NULL, 'Domain of Unknown Function (DUF349)', 75, NULL, 'DUF349', 31657),
(87932, 'PF02250', NULL, '35kD major secreted virus protein', 227, NULL, 'Orthopox_35kD', 31658),
(87933, 'PF16975', NULL, 'Ly6/PLAUR domain-containing protein 6, Lypd6', 106, NULL, 'UPAR_LY6_2', 31659),
(87934, 'PF09966', NULL, 'Uncharacterized protein conserved in bacteria (DUF2200)', 111, NULL, 'DUF2200', 31660),
(87935, 'PF14704', NULL, 'Dermatopontin', 151, NULL, 'DERM', 31661),
(87936, 'PF19523', NULL, 'Family of unknown function (DUF6053)', 34, NULL, 'DUF6053', 31662),
(87937, 'PF15232', NULL, 'Domain of unknown function (DUF4585)', 73, NULL, 'DUF4585', 31663),
(87938, 'PF16656', NULL, 'Purple acid Phosphatase, N-terminal domain', 94, NULL, 'Pur_ac_phosph_N', 31664),
(87939, 'PF17518', NULL, 'Family of unknown function (DUF5443)', 344, NULL, 'DUF5443', 31665),
(87940, 'PF06324', NULL, 'Pigment-dispersing hormone (PDH)', 18, NULL, 'Pigment_DH', 31666),
(87941, 'PF01232', NULL, 'Mannitol dehydrogenase Rossmann domain', 151, NULL, 'Mannitol_dh', 31667),
(87942, 'PF08037', NULL, 'Attractin family', 55, NULL, 'Attractin', 31668),
(87943, 'PF07578', NULL, 'Lipid A Biosynthesis N-terminal domain', 71, NULL, 'LAB_N', 31669),
(87944, 'PF18602', NULL, 'Rap1a immunity proteins', 91, NULL, 'Rap1a', 31670),
(87945, 'PF07994', NULL, 'Myo-inositol-1-phosphate synthase', 322, NULL, 'NAD_binding_5', 31671),
(87946, 'PF14355', NULL, 'Abortive infection C-terminus', 83, NULL, 'Abi_C', 31672),
(87947, 'PF03534', NULL, 'Salmonella virulence plasmid 65kDa B protein', 290, NULL, 'SpvB', 31673),
(87948, 'PF00457', NULL, 'Glycosyl hydrolases family 11', 178, NULL, 'Glyco_hydro_11', 31674),
(87949, 'PF08598', NULL, 'Sds3-like', 218, NULL, 'Sds3', 31675),
(87950, 'PF05085', NULL, 'Protein of unknown function (DUF685)', 265, NULL, 'DUF685', 31676),
(87951, 'PF02084', NULL, 'Bindin', 238, NULL, 'Bindin', 31677),
(87952, 'PF03363', NULL, 'Herpesvirus leader protein', 174, NULL, 'Herpes_LP', 31678),
(87953, 'PF01483', NULL, 'Proprotein convertase P-domain', 86, NULL, 'P_proprotein', 31679),
(87954, 'PF06266', NULL, 'HrpF protein', 74, NULL, 'HrpF', 31680),
(87955, 'PF08677', NULL, 'GP11 baseplate wedge protein', 227, NULL, 'GP11', 31681),
(87956, 'PF19273', NULL, 'Exportin-5 family', 825, NULL, 'Exportin-5', 31682),
(87957, 'PF12977', NULL, 'Domain of Unknown Function with PDB structure (DUF3861)', 90, NULL, 'DUF3861', 31683),
(87958, 'PF14861', NULL, 'Plant antimicrobial peptide', 30, NULL, 'Antimicrobial21', 31684),
(87959, 'PF17698', NULL, 'Family of unknown function (DUF5544)', 125, NULL, 'DUF5544', 31685);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(87960, 'PF03207', NULL, 'Borrelia outer surface protein D (OspD)', 254, NULL, 'OspD', 31686),
(87961, 'PF10175', NULL, 'M-phase phosphoprotein 6', 141, NULL, 'MPP6', 31687),
(87962, 'PF13396', NULL, 'Phospholipase_D-nuclease N-terminal', 42, NULL, 'PLDc_N', 31688),
(87963, 'PF05311', NULL, 'Baculovirus 33KDa late protein (PP31)', 272, NULL, 'Baculo_PP31', 31689),
(87964, 'PF10011', NULL, 'Predicted membrane protein (DUF2254)', 365, NULL, 'DUF2254', 31690),
(87965, 'PF05579', NULL, 'Equine arteritis virus serine endopeptidase S32', 297, NULL, 'Peptidase_S32', 31691),
(87966, 'PF10035', NULL, 'Uncharacterized protein conserved in bacteria (DUF2179)', 55, NULL, 'DUF2179', 31692),
(87967, 'PF12939', NULL, 'Domain of unknown function (DUF3837)', 101, NULL, 'DUF3837', 31693),
(87968, 'PF02666', NULL, 'Phosphatidylserine decarboxylase', 200, NULL, 'PS_Dcarbxylase', 31694),
(87969, 'PF19347', NULL, 'Domain of unknown function (DUF5925)', 178, NULL, 'DUF5925', 31695),
(87970, 'PF06130', NULL, 'Phosphate propanoyltransferase', 67, NULL, 'PTAC', 31696),
(87971, 'PF02317', NULL, 'NAD/NADP octopine/nopaline dehydrogenase, alpha-helical domain', 150, NULL, 'Octopine_DH', 31697),
(87972, 'PF04567', NULL, 'RNA polymerase Rpb2, domain 5', 67, NULL, 'RNA_pol_Rpb2_5', 31698),
(87973, 'PF14461', NULL, 'Prokaryotic E2 family B', 135, NULL, 'Prok-E2_B', 31699),
(87974, 'PF02106', NULL, 'Fanconi anaemia group C protein', 560, NULL, 'Fanconi_C', 31700),
(87975, 'PF04767', NULL, 'DNA-binding 11 kDa phosphoprotein', 94, NULL, 'Pox_F17', 31701),
(87976, 'PF09343', NULL, 'Conserved hypothetical protein 2217 (DUF2460)', 200, NULL, 'DUF2460', 31702),
(87977, 'PF10129', NULL, 'OpgC protein', 358, NULL, 'OpgC_C', 31703),
(87978, 'PF10765', NULL, 'Protein of unknown function (DUF2591)', 114, NULL, 'DUF2591', 31704),
(87979, 'PF05776', NULL, 'Papillomavirus E5A protein', 91, NULL, 'Papilloma_E5A', 31705),
(87980, 'PF13673', NULL, 'Acetyltransferase (GNAT) domain', 128, NULL, 'Acetyltransf_10', 31706),
(87981, 'PF00111', NULL, '2Fe-2S iron-sulfur cluster binding domain', 78, NULL, 'Fer2', 31707),
(87982, 'PF15135', NULL, 'Uncharacterised protein UPF0515', 271, NULL, 'UPF0515', 31708),
(87983, 'PF15415', NULL, 'Fimbrillin-like', 312, NULL, 'Mfa_like_2', 31709),
(87984, 'PF10557', NULL, 'Cullin protein neddylation domain', 63, NULL, 'Cullin_Nedd8', 31710),
(87985, 'PF03713', NULL, 'Domain of unknown function (DUF305)', 151, NULL, 'DUF305', 31711),
(87986, 'PF11347', NULL, 'Protein of unknown function (DUF3148)', 62, NULL, 'DUF3148', 31712),
(87987, 'PF16014', NULL, 'Histone deacetylase complex subunit SAP130 C-terminus', 406, NULL, 'SAP130_C', 31713),
(87988, 'PF17750', NULL, 'Reovirus sigma C capsid protein triple beta spiral', 40, NULL, 'Reo_sigmaC_M', 31714),
(87989, 'PF13628', NULL, 'Domain of unknown function (DUF4142)', 139, NULL, 'DUF4142', 31715),
(87990, 'PF04340', NULL, 'Protein of unknown function, DUF484', 225, NULL, 'DUF484', 31716),
(87991, 'PF17290', NULL, 'Arenavirus nucleocapsid C-terminal domain', 181, NULL, 'Arena_ncap_C', 31717),
(87992, 'PF01840', NULL, 'TCL1/MTCP1 family', 116, NULL, 'TCL1_MTCP1', 31718),
(87993, 'PF09099', NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit domain III', 82, NULL, 'Qn_am_d_aIII', 31719),
(87994, 'PF07807', NULL, 'RED-like protein C-terminal region', 113, NULL, 'RED_C', 31720),
(87995, 'PF12694', NULL, 'Circularly permutated YpsA SLOG family', 146, NULL, 'cpYpsA', 31721),
(87996, 'PF11035', NULL, 'Small nuclear RNA activating complex (SNAPc), subunit 2', 371, NULL, 'SNAPC2', 31722),
(87997, 'PF15273', NULL, 'NHS-like', 620, NULL, 'NHS', 31723),
(87998, 'PF00519', NULL, 'Papillomavirus helicase', 432, NULL, 'PPV_E1_C', 31724),
(87999, 'PF16976', NULL, 'Flp pilus assembly protein RcpC/CpaB', 116, NULL, 'RcpC', 31725),
(88000, 'PF16577', NULL, 'UBA domain', 62, NULL, 'UBA_5', 31726),
(88001, 'PF13157', NULL, 'Protein of unknown function (DUF3992)', 88, NULL, 'DUF3992', 31727),
(88002, 'PF12953', NULL, 'Domain of unknown function (DUF3842)', 130, NULL, 'DUF3842', 31728);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(88003, 'PF00497', NULL, 'Bacterial extracellular solute-binding proteins, family 3', 225, NULL, 'SBP_bac_3', 31729),
(88004, 'PF05155', NULL, 'Phage X family', 88, NULL, 'Phage_X', 31730),
(88005, 'PF04320', NULL, 'YggL 50S ribosome-binding protein', 102, NULL, 'YggL_50S_bp', 31731),
(88006, 'PF01299', NULL, 'Lysosome-associated membrane glycoprotein (Lamp)', 148, NULL, 'Lamp', 31732),
(88007, 'PF07806', NULL, 'Nodule-specific GRP repeat', 38, NULL, 'Nod_GRP', 31733),
(88008, 'PF15532', NULL, 'Bacterial toxin 30', 103, NULL, 'Ntox30', 31734),
(88009, 'PF17291', NULL, 'N-terminal domain of M60-like peptidases', 107, NULL, 'M60-like_N', 31735),
(88010, 'PF16665', NULL, 'Unstructured region on nuclear receptor coactivator protein', 119, NULL, 'NCOA_u2', 31736),
(88011, 'PF10042', NULL, 'Uncharacterized conserved protein (DUF2278)', 204, NULL, 'DUF2278', 31737),
(88012, 'PF14991', NULL, 'Protein melan-A', 117, NULL, 'MLANA', 31738),
(88013, 'PF03186', NULL, 'CobD/Cbib protein', 277, NULL, 'CobD_Cbib', 31739),
(88014, 'PF09582', NULL, 'Iron only nitrogenase protein AnfO (AnfO_nitrog)', 190, NULL, 'AnfO_nitrog', 31740),
(88015, 'PF13522', NULL, 'Glutamine amidotransferase domain', 133, NULL, 'GATase_6', 31741),
(88016, 'PF03487', NULL, 'Interleukin-13', 129, NULL, 'IL13', 31742),
(88017, 'PF13860', NULL, 'FlgD Ig-like domain', 81, NULL, 'FlgD_ig', 31743),
(88018, 'PF13753', NULL, 'Putative flagellar system-associated repeat', 86, NULL, 'SWM_repeat', 31744),
(88019, 'PF03360', NULL, 'Glycosyltransferase family 43', 214, NULL, 'Glyco_transf_43', 31745),
(88020, 'PF12529', NULL, 'Xylosyltransferase C terminal', 182, NULL, 'Xylo_C', 31746),
(88021, 'PF08586', NULL, 'RSC complex, Rsc14/Ldb7 subunit', 99, NULL, 'Rsc14', 31747),
(88022, 'PF00631', NULL, 'GGL domain', 69, NULL, 'G-gamma', 31748),
(88023, 'PF08136', NULL, '30S ribosomal protein subunit S22 family', 46, NULL, 'Ribosomal_S22', 31749),
(88024, 'PF07371', NULL, 'Protein of unknown function (DUF1490)', 88, NULL, 'DUF1490', 31750),
(88025, 'PF15032', NULL, 'Protein of unknown function (DUF4529)', 405, NULL, 'DUF4529', 31751),
(88026, 'PF15972', NULL, 'Unpaired protein', 273, NULL, 'Unpaired', 31752),
(88027, 'PF04936', NULL, 'Protein of unknown function (DUF658)', 186, NULL, 'DUF658', 31753),
(88028, 'PF08403', NULL, 'Amino acid permease N-terminal', 70, NULL, 'AA_permease_N', 31754),
(88029, 'PF12934', NULL, 'FTO C-terminal domain', 170, NULL, 'FTO_CTD', 31755),
(88030, 'PF01889', NULL, 'Membrane protein of unknown function DUF63', 270, NULL, 'DUF63', 31756),
(88031, 'PF02377', NULL, 'Dishevelled specific domain', 160, NULL, 'Dishevelled', 31757),
(88032, 'PF19050', NULL, 'PhoD related phosphatase', 543, NULL, 'PhoD_2', 31758),
(88033, 'PF07352', NULL, 'Bacteriophage Mu Gam like protein', 154, NULL, 'Phage_Mu_Gam', 31759),
(88034, 'PF00736', NULL, 'EF-1 guanine nucleotide exchange domain', 90, NULL, 'EF1_GNE', 31760),
(88035, 'PF01231', NULL, 'Indoleamine 2,3-dioxygenase', 437, NULL, 'IDO', 31761),
(88036, 'PF01791', NULL, 'DeoC/LacD family aldolase', 231, NULL, 'DeoC', 31762),
(88037, 'PF03663', NULL, 'Glycosyl hydrolase family 76', 366, NULL, 'Glyco_hydro_76', 31763),
(88038, 'PF08532', NULL, 'Beta-galactosidase trimerisation domain', 207, NULL, 'Glyco_hydro_42M', 31764),
(88039, 'PF12605', NULL, 'Casein kinase 1 gamma C terminal', 99, NULL, 'CK1gamma_C', 31765),
(88040, 'PF01781', NULL, 'Ribosomal L38e protein family', 69, NULL, 'Ribosomal_L38e', 31766),
(88041, 'PF15452', NULL, 'Neuronal tyrosine-phosphorylated phosphoinositide-3-kinase adapter', 267, NULL, 'NYAP_C', 31767),
(88042, 'PF06924', NULL, 'Protein of unknown function (DUF1281)', 179, NULL, 'DUF1281', 31768),
(88043, 'PF04224', NULL, 'Protein of unknown function, DUF417', 175, NULL, 'DUF417', 31769),
(88044, 'PF10829', NULL, 'Protein of unknown function (DUF2554)', 76, NULL, 'DUF2554', 31770),
(88045, 'PF14742', NULL, 'N-terminal domain of (some) glycogen debranching enzymes', 194, NULL, 'GDE_N_bis', 31771),
(88046, 'PF02358', NULL, 'Trehalose-phosphatase', 235, NULL, 'Trehalose_PPase', 31772);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(88047, 'PF07925', NULL, 'Reovirus RNA-dependent RNA polymerase lambda 3', 1271, NULL, 'RdRP_5', 31773),
(88048, 'PF17893', NULL, 'CRISPR-associated endonuclease Cas9 beta-hairpin domain', 90, NULL, 'Cas9_b_hairpin', 31774),
(88049, 'PF16201', NULL, 'Nucleolar pre-ribosomal-associated protein 1', 200, NULL, 'NopRA1', 31775),
(88050, 'PF03140', NULL, 'Plant protein of unknown function', 404, NULL, 'DUF247', 31776),
(88051, 'PF06451', NULL, 'Moricin', 41, NULL, 'Moricin', 31777),
(88052, 'PF17877', NULL, 'DIS3-like exonuclease 2 C terminal', 87, NULL, 'Dis3l2_C_term', 31778),
(88053, 'PF17508', NULL, 'Microcin V bacteriocin', 104, NULL, 'MccV', 31779),
(88054, 'PF17714', NULL, 'Family of unknown function (DUF5559)', 194, NULL, 'DUF5559', 31780),
(88055, 'PF03749', NULL, 'Sugar fermentation stimulation protein RE domain', 138, NULL, 'SfsA', 31781),
(88056, 'PF04858', NULL, 'TH1 protein', 580, NULL, 'TH1', 31782),
(88057, 'PF03958', NULL, 'Bacterial type II/III secretion system short domain', 82, NULL, 'Secretin_N', 31783),
(88058, 'PF08956', NULL, 'Domain of unknown function (DUF1869)', 59, NULL, 'DUF1869', 31784),
(88059, 'PF13885', NULL, 'Keratin, high sulfur B2 protein', 45, NULL, 'Keratin_B2_2', 31785),
(88060, 'PF05858', NULL, 'Bovine immunodeficiency virus surface protein (SU)', 548, NULL, 'BIV_Env', 31786),
(88061, 'PF00366', NULL, 'Ribosomal protein S17', 68, NULL, 'Ribosomal_S17', 31787),
(88062, 'PF15701', NULL, 'Domain of unknown function (DUF4668)', 162, NULL, 'DUF4668', 31788),
(88063, 'PF08997', NULL, 'Ubiquinol-cytochrome C reductase complex, 6.4kD protein', 55, NULL, 'UCR_6-4kD', 31789),
(88064, 'PF04052', NULL, 'TolB amino-terminal domain', 106, NULL, 'TolB_N', 31790),
(88065, 'PF14063', NULL, 'Protein of unknown function (DUF4254)', 144, NULL, 'DUF4254', 31791),
(88066, 'PF14273', NULL, 'Domain of unknown function (DUF4360)', 178, NULL, 'DUF4360', 31792),
(88067, 'PF14741', NULL, 'N-terminal glycosyl-hydrolase-114-associated domain', 129, NULL, 'GH114_assoc', 31793),
(88068, 'PF15927', NULL, 'Cancer susceptibility candidate 1 N-terminus', 201, NULL, 'Casc1_N', 31794),
(88069, 'PF17809', NULL, 'UPA domain', 131, NULL, 'UPA_2', 31795),
(88070, 'PF01959', NULL, '3-dehydroquinate synthase II', 347, NULL, 'DHQS', 31796),
(88071, 'PF11781', NULL, 'Zinc-finger of RNA-polymerase I-specific TFIIB, Rrn7', 32, NULL, 'zf-RRN7', 31797),
(88072, 'PF18970', NULL, 'Family of unknown function (DUF5709)', 49, NULL, 'DUF5709', 31798),
(88073, 'PF06399', NULL, 'GTP cyclohydrolase I feedback regulatory protein (GFRP)', 83, NULL, 'GFRP', 31799),
(88074, 'PF14403', NULL, 'Circularly permuted ATP-grasp type 2', 375, NULL, 'CP_ATPgrasp_2', 31800),
(88075, 'PF15520', NULL, 'Novel toxin 10', 193, NULL, 'Ntox10', 31801),
(88076, 'PF12777', NULL, 'Microtubule-binding stalk of dynein motor', 344, NULL, 'MT', 31802),
(88077, 'PF10798', NULL, 'Biofilm development protein YmgB/AriR', 59, NULL, 'YmgB', 31803),
(88078, 'PF08564', NULL, 'Cdc37 C terminal domain', 100, NULL, 'CDC37_C', 31804),
(88079, 'PF13747', NULL, 'Domain of unknown function (DUF4164)', 89, NULL, 'DUF4164', 31805),
(88080, 'PF02185', NULL, 'Hr1 repeat', 69, NULL, 'HR1', 31806),
(88081, 'PF07465', NULL, 'Photosystem I protein M (PsaM)', 29, NULL, 'PsaM', 31807),
(88082, 'PF08776', NULL, 'VASP tetramerisation domain', 36, NULL, 'VASP_tetra', 31808),
(88083, 'PF00266', NULL, 'Aminotransferase class-V', 371, NULL, 'Aminotran_5', 31809),
(88084, 'PF03683', NULL, 'Uncharacterised protein family (UPF0175)', 75, NULL, 'UPF0175', 31810),
(88085, 'PF18093', NULL, 'tRNA methyltransferase 5 N-terminal domain', 47, NULL, 'Trm5_N', 31811),
(88086, 'PF08271', NULL, 'TFIIB zinc-binding', 43, NULL, 'TF_Zn_Ribbon', 31812),
(88087, 'PF14711', NULL, 'Respiratory nitrate reductase beta C-terminal', 81, NULL, 'Nitr_red_bet_C', 31813),
(88088, 'PF13891', NULL, 'Potential DNA-binding domain', 60, NULL, 'zf-C3Hc3H', 31814),
(88089, 'PF06524', NULL, 'NOA36 protein', 307, NULL, 'NOA36', 31815),
(88090, 'PF18015', NULL, 'Acetyltransferase (GNAT) domain', 113, NULL, 'Acetyltransf_19', 31816);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(88091, 'PF14113', NULL, 'Type VI secretion system (T6SS), amidase effector protein 4', 121, NULL, 'Tae4', 31817),
(88092, 'PF07488', NULL, 'Glycosyl hydrolase family 67 middle domain', 325, NULL, 'Glyco_hydro_67M', 31818),
(88093, 'PF04088', NULL, 'Peroxin 13, N-terminal region', 145, NULL, 'Peroxin-13_N', 31819),
(88094, 'PF16258', NULL, 'Domain of unknown function (DUF4912)', 117, NULL, 'DUF4912', 31820),
(88095, 'PF16813', NULL, 'CRISPR-associated protein Csn2 subfamily St', 325, NULL, 'Cas_St_Csn2', 31821),
(88096, 'PF05895', NULL, 'Siphovirus protein of unknown function (DUF859)', 626, NULL, 'DUF859', 31822),
(88097, 'PF19499', NULL, 'Family of unknown function (DUF6034)', 494, NULL, 'DUF6034', 31823),
(88098, 'PF00386', NULL, 'C1q domain', 127, NULL, 'C1q', 31824),
(88099, 'PF16596', NULL, 'Disordered region downstream of MFMR', 136, NULL, 'MFMR_assoc', 31825),
(88100, 'PF10057', NULL, 'Na+-translocating membrane potential-generating system (MpsC)', 111, NULL, 'MpsC', 31826),
(88101, 'PF01225', NULL, 'Mur ligase family, catalytic domain', 94, NULL, 'Mur_ligase', 31827),
(88102, 'PF08858', NULL, 'IDEAL domain', 37, NULL, 'IDEAL', 31828),
(88103, 'PF14959', NULL, 'gamma-Secretase-activating protein C-term', 108, NULL, 'GSAP-16', 31829),
(88104, 'PF00605', NULL, 'Interferon regulatory factor transcription factor', 106, NULL, 'IRF', 31830),
(88105, 'PF17817', NULL, 'PDZ domain', 73, NULL, 'PDZ_5', 31831),
(88106, 'PF00363', NULL, 'Casein', 87, NULL, 'Casein', 31832),
(88107, 'PF19435', NULL, 'Integrator complex subunit 14', 365, NULL, 'IntS14', 31833),
(88108, 'PF11158', NULL, 'Protein of unknown function (DUF2938)', 150, NULL, 'DUF2938', 31834),
(88109, 'PF01437', NULL, 'Plexin repeat', 51, NULL, 'PSI', 31835),
(88110, 'PF19589', NULL, 'Family of unknown function (DUF6095)', 73, NULL, 'DUF6095', 31836),
(88111, 'PF06758', NULL, 'Olduvai domain', 68, NULL, 'Olduvai', 31837),
(88112, 'PF05603', NULL, 'Protein of unknown function (DUF775)', 199, NULL, 'DUF775', 31838),
(88113, 'PF17505', NULL, 'Family of unknown function (DUF5437)', 60, NULL, 'DUF5437', 31839),
(88114, 'PF07162', NULL, 'Ciliary basal body-associated, B9 protein', 167, NULL, 'B9-C2', 31840),
(88115, 'PF19978', NULL, 'Tail virion protein G7P', 33, NULL, 'Inovirus_G7P_2', 31841),
(88116, 'PF13825', NULL, 'Paramyxovirus structural protein V/P N-terminus', 309, NULL, 'Paramyxo_P_V_N', 31842),
(88117, 'PF16155', NULL, 'Domain of unknown function (DUF4863)', 153, NULL, 'DUF4863', 31843),
(88118, 'PF03657', NULL, 'UPF0113 PUA domain', 73, NULL, 'UPF0113', 31844),
(88119, 'PF06563', NULL, 'Protein of unknown function (DUF1125)', 55, NULL, 'DUF1125', 31845),
(88120, 'PF08894', NULL, 'Protein of unknown function (DUF1838)', 232, NULL, 'DUF1838', 31846),
(88121, 'PF12686', NULL, 'Protein of unknown function (DUF3800)', 110, NULL, 'DUF3800', 31847),
(88122, 'PF05724', NULL, 'Thiopurine S-methyltransferase (TPMT)', 218, NULL, 'TPMT', 31848),
(88123, 'PF14519', NULL, 'Macro-like domain', 275, NULL, 'Macro_2', 31849),
(88124, 'PF18233', NULL, 'Cdc13 OB4 dimerization domain', 115, NULL, 'Cdc13_OB4_dimer', 31850),
(88125, 'PF03881', NULL, 'Fructosamine kinase', 288, NULL, 'Fructosamin_kin', 31851),
(88126, 'PF05940', NULL, 'NnrS protein', 368, NULL, 'NnrS', 31852),
(88127, 'PF09215', NULL, 'Bacteriophage T4, Gp8', 334, NULL, 'Phage-Gp8', 31853),
(88128, 'PF08918', NULL, 'PhoQ Sensor', 179, NULL, 'PhoQ_Sensor', 31854),
(88129, 'PF13359', NULL, 'DDE superfamily endonuclease', 158, NULL, 'DDE_Tnp_4', 31855),
(88130, 'PF19824', NULL, 'Small, acid-soluble spore protein Tlp', 70, NULL, 'Tlp', 31856),
(88131, 'PF13310', NULL, 'Virulence protein RhuM family', 252, NULL, 'Virulence_RhuM', 31857),
(88132, 'PF19927', NULL, 'Family of unknown function (DUF6390)', 244, NULL, 'DUF6390', 31858),
(88133, 'PF15139', NULL, 'Domain of unknown function (DUF4572)', 195, NULL, 'DUF4572', 31859),
(88134, 'PF03893', NULL, 'Lipase 3 N-terminal region', 76, NULL, 'Lipase3_N', 31860),
(88135, 'PF16407', NULL, 'PKD-like family', 157, NULL, 'PKD_2', 31861),
(88136, 'PF05727', NULL, 'Uncharacterised protein family (UPF0228)', 124, NULL, 'UPF0228', 31862);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(88137, 'PF15845', NULL, 'Cysteine-rich C-terminal 1 family', 89, NULL, 'NICE-1', 31863),
(88138, 'PF00983', NULL, 'Tymovirus coat protein', 179, NULL, 'Tymo_coat', 31864),
(88139, 'PF16855', NULL, 'Small outer capsid protein', 74, NULL, 'Soc', 31865),
(88140, 'PF11895', NULL, 'Fungal peroxidase extension region', 79, NULL, 'Peroxidase_ext', 31866),
(88141, 'PF00223', NULL, 'Photosystem I psaA/psaB protein', 717, NULL, 'PsaA_PsaB', 31867),
(88142, 'PF18706', NULL, 'D-ribitol-5-phosphate cytidylyltransferase C-terminal domain', 169, NULL, 'ISPD_C', 31868),
(88143, 'PF03296', NULL, 'Poxvirus poly(A) polymerase nucleotidyltransferase domain', 148, NULL, 'Pox_polyA_pol', 31869),
(88144, 'PF14813', NULL, 'NADH dehydrogenase 1 beta subcomplex subunit 2', 69, NULL, 'NADH_B2', 31870),
(88145, 'PF11945', NULL, 'WAHD domain of WASH complex', 292, NULL, 'WASH_WAHD', 31871),
(88146, 'PF18969', NULL, 'Family of unknown function (DUF5708)', 60, NULL, 'DUF5708', 31872),
(88147, 'PF13353', NULL, '4Fe-4S single cluster domain', 137, NULL, 'Fer4_12', 31873),
(88148, 'PF08944', NULL, 'NADPH oxidase subunit p47Phox, C terminal domain', 33, NULL, 'p47_phox_C', 31874),
(88149, 'PF06897', NULL, 'Protein of unknown function (DUF1269)', 100, NULL, 'DUF1269', 31875),
(88150, 'PF13840', NULL, 'ACT domain', 65, NULL, 'ACT_7', 31876),
(88151, 'PF18403', NULL, 'Thioredoxin-like domain', 213, NULL, 'Thioredoxin_15', 31877),
(88152, 'PF09548', NULL, 'Stage III sporulation protein AB (spore_III_AB)', 170, NULL, 'Spore_III_AB', 31878),
(88153, 'PF11014', NULL, 'Protein of unknown function (DUF2852)', 118, NULL, 'DUF2852', 31879),
(88154, 'PF09218', NULL, 'Domain of unknown function (DUF1959)', 116, NULL, 'DUF1959', 31880),
(88155, 'PF12729', NULL, 'Four helix bundle sensory module for signal transduction', 181, NULL, '4HB_MCP_1', 31881),
(88156, 'PF19398', NULL, 'Family of unknown function (DUF5973)', 80, NULL, 'DUF5973', 31882),
(88157, 'PF10409', NULL, 'C2 domain of PTEN tumour-suppressor protein', 135, NULL, 'PTEN_C2', 31883),
(88158, 'PF06830', NULL, 'Root cap', 57, NULL, 'Root_cap', 31884),
(88159, 'PF11188', NULL, 'Protein of unknown function (DUF2975)', 131, NULL, 'DUF2975', 31885),
(88160, 'PF17593', NULL, 'Family of unknown function (DUF5490)', 62, NULL, 'DUF5490', 31886),
(88161, 'PF08232', NULL, 'Striatin family', 155, NULL, 'Striatin', 31887),
(88162, 'PF19545', NULL, 'Family of unknown function (DUF6069)', 130, NULL, 'DUF6069', 31888),
(88163, 'PF09580', NULL, 'Sporulation lipoprotein YhcN/YlaJ (Spore_YhcN_YlaJ)', 159, NULL, 'Spore_YhcN_YlaJ', 31889),
(88164, 'PF13127', NULL, 'Protein of unknown function (DUF3955)', 59, NULL, 'DUF3955', 31890),
(88165, 'PF07627', NULL, 'Protein of unknown function (DUF1588)', 98, NULL, 'PSCyt3', 31891),
(88166, 'PF18169', NULL, 'SMODS and SLOG-associating 2TM effector domain 6', 176, NULL, 'SLATT_6', 31892),
(88167, 'PF06595', NULL, 'Borna disease virus P24 protein', 201, NULL, 'BDV_P24', 31893),
(88168, 'PF13861', NULL, 'FlgD Tudor-like domain', 58, NULL, 'FLgD_tudor', 31894),
(88169, 'PF14014', NULL, 'Protein of unknown function (DUF4230)', 143, NULL, 'DUF4230', 31895),
(88170, 'PF18889', NULL, 'Beta helix repeat', 20, NULL, 'Beta_helix_3', 31896),
(88171, 'PF11663', NULL, 'Toxin with endonuclease activity, of toxin-antitoxin system', 138, NULL, 'Toxin_YhaV', 31897),
(88172, 'PF04229', NULL, 'GrpB protein', 160, NULL, 'GrpB', 31898),
(88173, 'PF08018', NULL, 'Frog antimicrobial peptide', 24, NULL, 'Antimicrobial_1', 31899),
(88174, 'PF10830', NULL, 'Protein of unknown function (DUF2553)', 75, NULL, 'DUF2553', 31900),
(88175, 'PF13277', NULL, 'YmdB-like protein', 253, NULL, 'YmdB', 31901),
(88176, 'PF09177', NULL, 'Syntaxin 6, N-terminal', 100, NULL, 'Syntaxin-6_N', 31902),
(88177, 'PF12775', NULL, 'P-loop containing dynein motor region', 181, NULL, 'AAA_7', 31903),
(88178, 'PF12302', NULL, 'Protein of unknown function (DUF3629)', 218, NULL, 'DUF3629', 31904),
(88179, 'PF15629', NULL, 'Permuted single zf-CXXC unit', 32, NULL, 'Perm-CXXC', 31905),
(88180, 'PF11406', NULL, 'Antimicrobial peptide tachystatin A', 44, NULL, 'Tachystatin_A', 31906);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(88181, 'PF06609', NULL, 'Fungal trichothecene efflux pump (TRI12)', 599, NULL, 'TRI12', 31907),
(88182, 'PF18891', NULL, 'FANCL UBC-like domain 3', 97, NULL, 'FANCL_d3', 31908),
(88183, 'PF02496', NULL, 'ABA/WDS induced protein', 78, NULL, 'ABA_WDS', 31909),
(88184, 'PF17938', NULL, 'Tetracyclin repressor-like, C-terminal domain', 119, NULL, 'TetR_C_29', 31910),
(88185, 'PF05675', NULL, 'Protein of unknown function (DUF817)', 237, NULL, 'DUF817', 31911),
(88186, 'PF10050', NULL, 'Predicted metal-binding protein (DUF2284)', 163, NULL, 'DUF2284', 31912),
(88187, 'PF13297', NULL, 'Replication stress response SDE2 C-terminal', 82, NULL, 'SDE2_2C', 31913),
(88188, 'PF08531', NULL, 'Alpha-L-rhamnosidase N-terminal domain', 172, NULL, 'Bac_rhamnosid_N', 31914),
(88189, 'PF08657', NULL, 'DASH complex subunit Spc34', 255, NULL, 'DASH_Spc34', 31915),
(88190, 'PF20083', NULL, 'Family of unknown function (DUF6477)', 97, NULL, 'DUF6477', 31916),
(88191, 'PF01286', NULL, 'XPA protein N-terminal', 32, NULL, 'XPA_N', 31917),
(88192, 'PF11684', NULL, 'Protein of unknown function (DUF2380)', 138, NULL, 'DUF3280', 31918),
(88193, 'PF12070', NULL, 'Protein SCAI', 537, NULL, 'SCAI', 31919),
(88194, 'PF08251', NULL, 'Mastoparan peptide', 14, NULL, 'Mastoparan_2', 31920),
(88195, 'PF00440', NULL, 'Bacterial regulatory proteins, tetR family', 47, NULL, 'TetR_N', 31921),
(88196, 'PF17865', NULL, 'Midasin AAA lid domain', 106, NULL, 'AAA_lid_5', 31922),
(88197, 'PF02413', NULL, 'Caudovirales tail fibre assembly protein, lambda gpK', 130, NULL, 'Caudo_TAP', 31923),
(88198, 'PF09771', NULL, 'Transmembrane protein 188', 118, NULL, 'Tmemb_18A', 31924),
(88199, 'PF12645', NULL, 'Helix-turn-helix domain', 65, NULL, 'HTH_16', 31925),
(88200, 'PF11472', NULL, 'Protein of unknown function (DUF3206)', 128, NULL, 'DUF3206', 31926),
(88201, 'PF12251', NULL, 'snRNA-activating protein complex (SNAPc), subunit 3', 200, NULL, 'SNAPC3', 31927),
(88202, 'PF12969', NULL, 'Domain of Unknown Function with PDB structure (DUF3857)', 166, NULL, 'DUF3857', 31928),
(88203, 'PF05459', NULL, 'Herpesvirus transcriptional regulator family', 221, NULL, 'Herpes_UL69', 31929),
(88204, 'PF07711', NULL, 'Rab geranylgeranyl transferase alpha-subunit, insert domain', 101, NULL, 'RabGGT_insert', 31930),
(88205, 'PF00936', NULL, 'BMC domain', 74, NULL, 'BMC', 31931),
(88206, 'PF06713', NULL, 'Bacterial PH domain', 74, NULL, 'bPH_4', 31932),
(88207, 'PF03292', NULL, 'Poxvirus P4B major core protein', 657, NULL, 'Pox_P4B', 31933),
(88208, 'PF03746', NULL, 'LamB/YcsF family', 239, NULL, 'LamB_YcsF', 31934),
(88209, 'PF09039', NULL, 'Mu DNA binding, I gamma subdomain', 109, NULL, 'HTH_Tnp_Mu_2', 31935),
(88210, 'PF06281', NULL, 'Structural protein VP1/VP3', 73, NULL, 'VP1_VP3', 31936),
(88211, 'PF13458', NULL, 'Periplasmic binding protein', 343, NULL, 'Peripla_BP_6', 31937),
(88212, 'PF06083', NULL, 'Interleukin-17', 81, NULL, 'IL17', 31938),
(88213, 'PF14686', NULL, 'Polysaccharide lyase family 4, domain II', 75, NULL, 'fn3_3', 31939),
(88214, 'PF16646', NULL, 'Axin-1 tankyrase binding domain', 72, NULL, 'AXIN1_TNKS_BD', 31940),
(88215, 'PF16060', NULL, 'Domain of unknown function (DUF4802)', 65, NULL, 'DUF4802', 31941),
(88216, 'PF15332', NULL, 'Lck-interacting transmembrane adapter 1', 238, NULL, 'LIME1', 31942),
(88217, 'PF00323', NULL, 'Mammalian defensin', 29, NULL, 'Defensin_1', 31943),
(88218, 'PF07306', NULL, 'Protein of unknown function (DUF1455)', 130, NULL, 'DUF1455', 31944),
(88219, 'PF13813', NULL, 'Membrane bound O-acyl transferase family', 83, NULL, 'MBOAT_2', 31945),
(88220, 'PF07271', NULL, 'Cytadhesin P30/P32', 275, NULL, 'Cytadhesin_P30', 31946),
(88221, 'PF02117', NULL, 'Serpentine type 7TM GPCR chemoreceptor Sra', 328, NULL, '7TM_GPCR_Sra', 31947),
(88222, 'PF05356', NULL, 'Inovirus Coat protein B', 56, NULL, 'Phage_Coat_B', 31948),
(88223, 'PF13151', NULL, 'Protein of unknown function (DUF3990)', 152, NULL, 'DUF3990', 31949),
(88224, 'PF03234', NULL, 'Cdc37 N terminal kinase binding', 130, NULL, 'CDC37_N', 31950),
(88225, 'PF03431', NULL, 'RNA replicase, beta-chain', 540, NULL, 'RNA_replicase_B', 31951);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(88226, 'PF02799', NULL, 'Myristoyl-CoA:protein N-myristoyltransferase, C-terminal domain', 209, NULL, 'NMT_C', 31952),
(88227, 'PF18133', NULL, 'Hydrogen maturase F tetramerization domain', 118, NULL, 'HydF_tetramer', 31953),
(88228, 'PF11478', NULL, 'Antimicrobial chitin binding protein tachystatin B', 42, NULL, 'Tachystatin_B', 31954),
(88229, 'PF15428', NULL, 'Immunity protein 26', 106, NULL, 'Imm26', 31955),
(88230, 'PF05802', NULL, 'Enterobacterial EspB protein', 203, NULL, 'EspB', 31956),
(88231, 'PF00848', NULL, 'Ring hydroxylating alpha subunit (catalytic domain)', 214, NULL, 'Ring_hydroxyl_A', 31957),
(88232, 'PF08081', NULL, 'RBM1CTR (NUC064) family', 45, NULL, 'RBM1CTR', 31958),
(88233, 'PF00607', NULL, 'gag protein p24 N-terminal domain', 126, NULL, 'Gag_p24', 31959),
(88234, 'PF09106', NULL, 'Elongation factor SelB, winged helix', 57, NULL, 'SelB-wing_2', 31960),
(88235, 'PF17256', NULL, 'Anaphase-promoting complex, subunit 16', 80, NULL, 'ANAPC16', 31961),
(88236, 'PF18568', NULL, 'TRIM C-terminal subgroup One Signature domain', 52, NULL, 'COS', 31962),
(88237, 'PF08276', NULL, 'PAN-like domain', 67, NULL, 'PAN_2', 31963),
(88238, 'PF07239', NULL, 'Outer membrane protein OpcA', 250, NULL, 'OpcA', 31964),
(88239, 'PF04542', NULL, 'Sigma-70 region 2', 71, NULL, 'Sigma70_r2', 31965),
(88240, 'PF20160', NULL, 'C-JID domain', 95, NULL, 'C-JID', 31966),
(88241, 'PF17021', NULL, 'Putative double-strand recombination repair-like', 118, NULL, 'Mei5_like', 31967),
(88242, 'PF08684', NULL, 'DNA mimic ocr', 101, NULL, 'ocr', 31968),
(88243, 'PF03765', NULL, 'CRAL/TRIO, N-terminal domain', 54, NULL, 'CRAL_TRIO_N', 31969),
(88244, 'PF07471', NULL, 'Phage DNA packaging protein Nu1', 164, NULL, 'Phage_Nu1', 31970),
(88245, 'PF06392', NULL, 'Acid shock protein repeat', 21, NULL, 'Asr', 31971),
(88246, 'PF07443', NULL, 'HepA-related protein (HARP)', 55, NULL, 'HARP', 31972),
(88247, 'PF07450', NULL, 'Formate hydrogenlyase maturation protein HycH', 129, NULL, 'HycH', 31973),
(88248, 'PF01395', NULL, 'PBP/GOBP family', 114, NULL, 'PBP_GOBP', 31974),
(88249, 'PF00255', NULL, 'Glutathione peroxidase', 108, NULL, 'GSHPx', 31975),
(88250, 'PF11402', NULL, 'Antifungal protein', 50, NULL, 'Antifungal_prot', 31976),
(88251, 'PF01895', NULL, 'PhoU domain', 89, NULL, 'PhoU', 31977),
(88252, 'PF01590', NULL, 'GAF domain', 133, NULL, 'GAF', 31978),
(88253, 'PF09614', NULL, 'CRISPR-associated protein (Cas_Csy2)', 295, NULL, 'Cas_Csy2', 31979),
(88254, 'PF04260', NULL, 'Protein of unknown function (DUF436)', 171, NULL, 'DUF436', 31980),
(88255, 'PF05195', NULL, 'Aminopeptidase P, N-terminal domain', 123, NULL, 'AMP_N', 31981),
(88256, 'PF17300', NULL, 'Filaments in between nuclei protein-1', 239, NULL, 'FIN1', 31982),
(88257, 'PF17275', NULL, 'Family of unknown function (DUF5340)', 70, NULL, 'DUF5340', 31983),
(88258, 'PF08377', NULL, 'MAP2/Tau projection domain', 1134, NULL, 'MAP2_projctn', 31984),
(88259, 'PF06808', NULL, 'Tripartite ATP-independent periplasmic transporter, DctM component', 416, NULL, 'DctM', 31985),
(88260, 'PF06872', NULL, 'EspG protein', 383, NULL, 'EspG', 31986),
(88261, 'PF19864', NULL, 'Radical SAM proteins, N-terminal', 151, NULL, 'Radical_SAM_N2', 31987),
(88262, 'PF07359', NULL, 'Liver-expressed antimicrobial peptide 2 precursor (LEAP-2)', 77, NULL, 'LEAP-2', 31988),
(88263, 'PF16686', NULL, 'ssDNA-binding domain of telomere protection protein', 154, NULL, 'POT1PC', 31989),
(88264, 'PF19381', NULL, 'Family of unknown function (DUF5956)', 100, NULL, 'DUF5956', 31990),
(88265, 'PF19478', NULL, 'TrbL/VirB6 plasmid conjugal transfer like protein', 174, NULL, 'TrbL_2', 31991),
(88266, 'PF07411', NULL, 'Domain of unknown function (DUF1508)', 48, NULL, 'DUF1508', 31992),
(88267, 'PF00412', NULL, 'LIM domain', 58, NULL, 'LIM', 31993),
(88268, 'PF00644', NULL, 'Poly(ADP-ribose) polymerase catalytic domain', 194, NULL, 'PARP', 31994),
(88269, 'PF04610', NULL, 'TrbL/VirB6 plasmid conjugal transfer protein', 215, NULL, 'TrbL', 31995),
(88270, 'PF05704', NULL, 'Capsular polysaccharide synthesis protein', 278, NULL, 'Caps_synth', 31996);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(88271, 'PF19605', NULL, 'Family of unknown function (DUF6110)', 85, NULL, 'DUF6110', 31997),
(88272, 'PF19554', NULL, 'Family of unknown function (DUF6077)', 354, NULL, 'DUF6077', 31998),
(88273, 'PF17440', NULL, 'Thiol-activated cytolysin beta sandwich domain', 102, NULL, 'Thiol_cytolys_C', 31999),
(88274, 'PF19537', NULL, 'Family of unknown function (DUF6061)', 81, NULL, 'DUF6061', 32000),
(88275, 'PF17534', NULL, 'Family of unknown function (DUF5453)', 186, NULL, 'DUF5453', 32001),
(88276, 'PF10583', NULL, 'Involucrin of squamous epithelia N-terminus', 69, NULL, 'Involucrin_N', 32002),
(88277, 'PF06907', NULL, 'Latexin', 217, NULL, 'Latexin', 32003),
(88278, 'PF15768', NULL, 'Coiled-coil domain-containing protein 190', 270, NULL, 'CC190', 32004),
(88279, 'PF00835', NULL, 'SNAP-25 family', 56, NULL, 'SNAP-25', 32005),
(88280, 'PF12802', NULL, 'MarR family', 61, NULL, 'MarR_2', 32006),
(88281, 'PF03356', NULL, 'Viral late protein H2', 188, NULL, 'Pox_LP_H2', 32007),
(88282, 'PF19282', NULL, 'Exportin-T', 687, NULL, 'Exportin-T', 32008),
(88283, 'PF06416', NULL, 'Effector protein NleG', 113, NULL, 'T3SS_NleG', 32009),
(88284, 'PF18074', NULL, 'Primosomal protein N C-terminal domain', 94, NULL, 'PriA_C', 32010),
(88285, 'PF02160', NULL, 'Cauliflower mosaic virus peptidase (A3)', 205, NULL, 'Peptidase_A3', 32011),
(88286, 'PF14755', NULL, 'Nsp2, transmembrane domain', 148, NULL, 'Nsp2_AV', 32012),
(88287, 'PF02466', NULL, 'Tim17/Tim22/Tim23/Pmp24 family', 111, NULL, 'Tim17', 32013),
(88288, 'PF01581', NULL, 'FMRFamide related peptide family', 11, NULL, 'FARP', 32014),
(88289, 'PF07206', NULL, 'Baculovirus late expression factor 10 (LEF-10)', 71, NULL, 'Baculo_LEF-10', 32015),
(88290, 'PF03727', NULL, 'Hexokinase', 241, NULL, 'Hexokinase_2', 32016),
(88291, 'PF12326', NULL, 'N-glycosylation protein', 175, NULL, 'EOS1', 32017),
(88292, 'PF04809', NULL, 'HupH hydrogenase expression protein, C-terminal conserved region', 118, NULL, 'HupH_C', 32018),
(88293, 'PF04631', NULL, 'Per os infectivity factor 2', 372, NULL, 'PIF2', 32019),
(88294, 'PF04395', NULL, 'Poxvirus B22R protein', 210, NULL, 'Poxvirus_B22R', 32020),
(88295, 'PF14796', NULL, 'Clathrin-adaptor complex-3 beta-1 subunit C-terminal', 148, NULL, 'AP3B1_C', 32021),
(88296, 'PF07872', NULL, 'Protein of unknown function (DUF1659)', 45, NULL, 'DUF1659', 32022),
(88297, 'PF11637', NULL, 'UvsW.1 domain', 56, NULL, 'UvsW-1', 32023),
(88298, 'PF01312', NULL, 'FlhB HrpN YscU SpaS Family', 330, NULL, 'Bac_export_2', 32024),
(88299, 'PF06668', NULL, 'Inter-alpha-trypsin inhibitor heavy chain C-terminus', 188, NULL, 'ITI_HC_C', 32025),
(88300, 'PF06514', NULL, 'Photosystem II 12 kDa extrinsic protein (PsbU)', 93, NULL, 'PsbU', 32026),
(88301, 'PF12667', NULL, 'NigD-like N-terminal OB domain', 67, NULL, 'NigD_N', 32027),
(88302, 'PF07286', NULL, 'Protein of unknown function (DUF1445)', 143, NULL, 'DUF1445', 32028),
(88303, 'PF16630', NULL, 'Unstructured region on APC between 1st and 2nd catenin-bdg motifs', 100, NULL, 'APC_u5', 32029),
(88304, 'PF14453', NULL, 'ThiS-like ubiquitin', 57, NULL, 'ThiS-like', 32030),
(88305, 'PF03782', NULL, 'AMOP domain', 143, NULL, 'AMOP', 32031),
(88306, 'PF16002', NULL, 'Headcase protein', 198, NULL, 'Headcase', 32032),
(88307, 'PF00701', NULL, 'Dihydrodipicolinate synthetase family', 289, NULL, 'DHDPS', 32033),
(88308, 'PF02043', NULL, 'Bacteriochlorophyll C binding protein', 80, NULL, 'Bac_chlorC', 32034),
(88309, 'PF10027', NULL, 'Predicted integral membrane protein (DUF2269)', 150, NULL, 'DUF2269', 32035),
(88310, 'PF04234', NULL, 'CopC domain', 92, NULL, 'CopC', 32036),
(88311, 'PF10558', NULL, 'Mitochondrial 18 KDa protein (MTP18)', 173, NULL, 'MTP18', 32037),
(88312, 'PF08462', NULL, 'Carmovirus coat protein', 99, NULL, 'Carmo_coat_C', 32038),
(88313, 'PF14871', NULL, 'Hypothetical glycosyl hydrolase 6', 137, NULL, 'GHL6', 32039),
(88314, 'PF15946', NULL, 'Domain of unknown function (DUF4754)', 80, NULL, 'DUF4754', 32040),
(88315, 'PF18347', NULL, 'Domain of unknown function (DUF5606)', 46, NULL, 'DUF5606', 32041);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(88316, 'PF15250', NULL, 'Raftlin', 459, NULL, 'Raftlin', 32042),
(88317, 'PF03419', NULL, 'Sporulation factor SpoIIGA', 284, NULL, 'Peptidase_U4', 32043),
(88318, 'PF16400', NULL, 'Domain of unknown function (DUF5008)', 109, NULL, 'DUF5008', 32044),
(88319, 'PF11340', NULL, 'Protein of unknown function (DUF3142)', 223, NULL, 'DUF3142', 32045),
(88320, 'PF01608', NULL, 'I/LWEQ domain', 152, NULL, 'I_LWEQ', 32046),
(88321, 'PF00788', NULL, 'Ras association (RalGDS/AF-6) domain', 93, NULL, 'RA', 32047),
(88322, 'PF01292', NULL, 'Prokaryotic cytochrome b561', 182, NULL, 'Ni_hydr_CYTB', 32048),
(88323, 'PF16925', NULL, 'Tetracyclin repressor-like, C-terminal domain', 115, NULL, 'TetR_C_13', 32049),
(88324, 'PF00441', NULL, 'Acyl-CoA dehydrogenase, C-terminal domain', 150, NULL, 'Acyl-CoA_dh_1', 32050),
(88325, 'PF02306', NULL, 'Major spike protein (G protein)', 175, NULL, 'Phage_G', 32051),
(88326, 'PF11288', NULL, 'Protein of unknown function (DUF3089)', 200, NULL, 'DUF3089', 32052),
(88327, 'PF12301', NULL, 'CD99 antigen like protein 2', 173, NULL, 'CD99L2', 32053),
(88328, 'PF03106', NULL, 'WRKY DNA -binding domain', 60, NULL, 'WRKY', 32054),
(88329, 'PF18009', NULL, '4Fe-4S iron-sulfur cluster binding domain', 82, NULL, 'Fer4_23', 32055),
(88330, 'PF19164', NULL, 'Family of unknown function (DUF5846)', 117, NULL, 'DUF5846', 32056),
(88331, 'PF06955', NULL, 'Xyloglucan endo-transglycosylase (XET) C-terminus', 47, NULL, 'XET_C', 32057),
(88332, 'PF16850', NULL, 'Peptidase inhibitor I66', 146, NULL, 'Inhibitor_I66', 32058),
(88333, 'PF03072', NULL, 'Domain of unknown function (DUF237)', 138, NULL, 'DUF237', 32059),
(88334, 'PF16504', NULL, 'Putative virion membrane protein of plant and insect virus', 147, NULL, 'SP24', 32060),
(88335, 'PF08243', NULL, 'SPT2 chromatin protein', 111, NULL, 'SPT2', 32061),
(88336, 'PF04500', NULL, 'FLYWCH zinc finger domain', 62, NULL, 'FLYWCH', 32062),
(88337, 'PF16771', NULL, 'Regulator of Ty1 transposition protein 107 BRCT domain', 114, NULL, 'RTT107_BRCT_6', 32063),
(88338, 'PF02005', NULL, 'N2,N2-dimethylguanosine tRNA methyltransferase', 376, NULL, 'TRM', 32064),
(88339, 'PF07967', NULL, 'C3HC zinc finger-like', 133, NULL, 'zf-C3HC', 32065),
(88340, 'PF05615', NULL, 'Tho complex subunit 7', 132, NULL, 'THOC7', 32066),
(88341, 'PF06179', NULL, 'Surfeit locus protein 5 subunit 22 of Mediator complex', 105, NULL, 'Med22', 32067),
(88342, 'PF13955', NULL, 'Toxin Fst, type I toxin-antitoxin system', 21, NULL, 'Fst_toxin', 32068),
(88343, 'PF15128', NULL, 'T-cell leukemia translocation-altered', 92, NULL, 'T_cell_tran_alt', 32069),
(88344, 'PF04361', NULL, 'Protein of unknown function (DUF494)', 152, NULL, 'DUF494', 32070),
(88345, 'PF06754', NULL, 'Phosphonate metabolism protein PhnG', 142, NULL, 'PhnG', 32071),
(88346, 'PF07521', NULL, 'Zn-dependent metallo-hydrolase RNA specificity domain', 62, NULL, 'RMMBL', 32072),
(88347, 'PF01769', NULL, 'Divalent cation transporter', 125, NULL, 'MgtE', 32073),
(88348, 'PF15562', NULL, 'Immunity protein 17', 61, NULL, 'Imm17', 32074),
(88349, 'PF00867', NULL, 'XPG I-region', 91, NULL, 'XPG_I', 32075),
(88350, 'PF06330', NULL, 'Trichodiene synthase (TRI5)', 362, NULL, 'TRI5', 32076),
(88351, 'PF11125', NULL, 'Protein of unknown function (DUF2830)', 54, NULL, 'DUF2830', 32077),
(88352, 'PF07002', NULL, 'Copine', 218, NULL, 'Copine', 32078),
(88353, 'PF17648', NULL, 'Family of unknown function (DUF5519)', 97, NULL, 'DUF5519', 32079),
(88354, 'PF17941', NULL, 'Polyphosphate kinase C-terminal domain 1', 167, NULL, 'PP_kinase_C_1', 32080),
(88355, 'PF06502', NULL, 'Equine infectious anaemia virus S2 protein', 67, NULL, 'Equine_IAV_S2', 32081),
(88356, 'PF14137', NULL, 'Domain of unknown function (DUF4304)', 116, NULL, 'DUF4304', 32082),
(88357, 'PF14792', NULL, 'DNA polymerase beta palm', 115, NULL, 'DNA_pol_B_palm', 32083),
(88358, 'PF07661', NULL, 'MORN repeat variant', 22, NULL, 'MORN_2', 32084),
(88359, 'PF04619', NULL, 'Dr-family adhesin', 139, NULL, 'Adhesin_Dr', 32085),
(88360, 'PF05977', NULL, 'Transmembrane secretion effector', 524, NULL, 'MFS_3', 32086);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(88361, 'PF10549', NULL, 'ORF11CD3 domain', 53, NULL, 'ORF11CD3', 32087),
(88362, 'PF12408', NULL, 'Ribose-5-phosphate isomerase', 47, NULL, 'DUF3666', 32088),
(88363, 'PF15287', NULL, 'KRBA1 family repeat', 44, NULL, 'KRBA1', 32089),
(88364, 'PF17676', NULL, 'LD-carboxypeptidase C-terminal domain', 123, NULL, 'Peptidase_S66C', 32090),
(88365, 'PF00118', NULL, 'TCP-1/cpn60 chaperonin family', 491, NULL, 'Cpn60_TCP1', 32091),
(88366, 'PF01594', NULL, 'AI-2E family transporter', 327, NULL, 'AI-2E_transport', 32092),
(88367, 'PF14822', NULL, 'Vasohibin', 245, NULL, 'Vasohibin', 32093),
(88368, 'PF16235', NULL, 'Domain of unknown function (DUF4894)', 122, NULL, 'DUF4894', 32094),
(88369, 'PF18309', NULL, 'Argonaute PAZ domain', 87, NULL, 'Ago_PAZ', 32095),
(88370, 'PF10306', NULL, 'Hypothetical protein FLILHELTA', 88, NULL, 'FLILHELTA', 32096),
(88371, 'PF12527', NULL, 'Protein of unknown function (DUF3727)', 97, NULL, 'DUF3727', 32097),
(88372, 'PF10037', NULL, 'Mitochondrial 28S ribosomal protein S27', 393, NULL, 'MRP-S27', 32098),
(88373, 'PF08091', NULL, 'Spider insecticidal peptide', 39, NULL, 'Toxin_21', 32099),
(88374, 'PF20123', NULL, 'Family of unknown function (DUF6513)', 86, NULL, 'DUF6513', 32100),
(88375, 'PF14818', NULL, 'Domain of unknown function (DUF4482)', 139, NULL, 'DUF4482', 32101),
(88376, 'PF08494', NULL, 'DEAD/H associated', 191, NULL, 'DEAD_assoc', 32102),
(88377, 'PF09366', NULL, 'Protein of unknown function (DUF1997)', 155, NULL, 'DUF1997', 32103),
(88378, 'PF02226', NULL, 'Picornavirus coat protein (VP4)', 68, NULL, 'Pico_P1A', 32104),
(88379, 'PF05996', NULL, 'Ferredoxin-dependent bilin reductase', 228, NULL, 'Fe_bilin_red', 32105),
(88380, 'PF12449', NULL, 'Protein of unknown function (DUF3684)', 1098, NULL, 'DUF3684', 32106),
(88381, 'PF12962', NULL, 'Protein of unknown function (DUF3851)', 126, NULL, 'DUF3851', 32107),
(88382, 'PF02779', NULL, 'Transketolase, pyrimidine binding domain', 178, NULL, 'Transket_pyr', 32108),
(88383, 'PF04020', NULL, 'Mycobacterial 4 TMS phage holin, superfamily IV', 105, NULL, 'Phage_holin_4_2', 32109),
(88384, 'PF00025', NULL, 'ADP-ribosylation factor family', 175, NULL, 'Arf', 32110),
(88385, 'PF06745', NULL, 'KaiC', 231, NULL, 'ATPase', 32111),
(88386, 'PF15007', NULL, 'Centrosomal spindle body, CEP44', 127, NULL, 'CEP44', 32112),
(88387, 'PF03180', NULL, 'NlpA lipoprotein', 237, NULL, 'Lipoprotein_9', 32113),
(88388, 'PF12024', NULL, 'Domain of unknown function (DUF3512)', 186, NULL, 'DUF3512', 32114),
(88389, 'PF11845', NULL, 'Protein of unknown function (DUF3365)', 141, NULL, 'DUF3365', 32115),
(88390, 'PF19412', NULL, 'Domain of unknown function (DUF5982)', 64, NULL, 'DUF5982', 32116),
(88391, 'PF06337', NULL, 'DUSP domain', 93, NULL, 'DUSP', 32117),
(88392, 'PF07163', NULL, 'Pex26 protein', 301, NULL, 'Pex26', 32118),
(88393, 'PF18457', NULL, 'Up-Regulated in long-lived daf-2', 176, NULL, 'PUD1_2', 32119),
(88394, 'PF04606', NULL, 'Ogr/Delta-like zinc finger', 47, NULL, 'Ogr_Delta', 32120),
(88395, 'PF11897', NULL, 'Protein of unknown function (DUF3417)', 109, NULL, 'DUF3417', 32121),
(88396, 'PF08447', NULL, 'PAS fold', 89, NULL, 'PAS_3', 32122),
(88397, 'PF09092', NULL, 'Lyase, N terminal', 167, NULL, 'Lyase_N', 32123),
(88398, 'PF09239', NULL, 'Topoisomerase VI B subunit, transducer', 159, NULL, 'Topo-VIb_trans', 32124),
(88399, 'PF19673', NULL, 'Family of unknown function (DUF6176)', 110, NULL, 'DUF6176', 32125),
(88400, 'PF19449', NULL, 'Family of unknown function (DUF5987)', 180, NULL, 'DUF5987', 32126),
(88401, 'PF03684', NULL, 'Uncharacterised protein family (UPF0179)', 140, NULL, 'UPF0179', 32127),
(88402, 'PF13599', NULL, 'Pentapeptide repeats (9 copies)', 78, NULL, 'Pentapeptide_4', 32128),
(88403, 'PF15467', NULL, 'Secretogranin-3', 449, NULL, 'SGIII', 32129),
(88404, 'PF13141', NULL, 'Protein of unknown function (DUF3979)', 115, NULL, 'DUF3979', 32130),
(88405, 'PF04353', NULL, 'Regulator of RNA polymerase sigma(70) subunit, Rsd/AlgQ', 150, NULL, 'Rsd_AlgQ', 32131),
(88406, 'PF15770', NULL, 'Domain of unknown function (DUF4699)', 310, NULL, 'DUF4699', 32132);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(88407, 'PF13946', NULL, 'Domain of unknown function (DUF4214)', 72, NULL, 'DUF4214', 32133),
(88408, 'PF06775', NULL, 'Putative adipose-regulatory protein (Seipin)', 198, NULL, 'Seipin', 32134),
(88409, 'PF14357', NULL, 'Domain of unknown function (DUF4404)', 83, NULL, 'DUF4404', 32135),
(88410, 'PF19768', NULL, 'Family of unknown function (DUF6255)', 69, NULL, 'DUF6255', 32136),
(88411, 'PF05640', NULL, 'Na,K-Atpase Interacting protein', 206, NULL, 'NKAIN', 32137),
(88412, 'PF12130', NULL, 'Bivalent Mical/EHBP Rab binding domain', 134, NULL, 'DUF3585', 32138),
(88413, 'PF05201', NULL, 'Glutamyl-tRNAGlu reductase, N-terminal domain', 146, NULL, 'GlutR_N', 32139),
(88414, 'PF01519', NULL, 'Protein of unknown function DUF16', 104, NULL, 'DUF16', 32140),
(88415, 'PF07456', NULL, 'Heptaprenyl diphosphate synthase component I', 147, NULL, 'Hpre_diP_synt_I', 32141),
(88416, 'PF10836', NULL, 'Protein of unknown function (DUF2574)', 93, NULL, 'DUF2574', 32142),
(88417, 'PF02607', NULL, 'B12 binding domain', 75, NULL, 'B12-binding_2', 32143),
(88418, 'PF17931', NULL, 'Tetracyclin repressor-like, C-terminal domain', 127, NULL, 'TetR_C_23', 32144),
(88419, 'PF10846', NULL, 'Protein of unknown function (DUF2722)', 471, NULL, 'DUF2722', 32145),
(88420, 'PF10565', NULL, 'N-methyl D-aspartate receptor 2B3 C-terminus', 672, NULL, 'NMDAR2_C', 32146),
(88421, 'PF18463', NULL, 'Proprotein convertase subtilisin-like/kexin type 9 C-terminal domain', 74, NULL, 'PCSK9_C3', 32147),
(88422, 'PF00610', NULL, 'Domain found in Dishevelled, Egl-10, and Pleckstrin (DEP)', 72, NULL, 'DEP', 32148),
(88423, 'PF11387', NULL, 'Protein of unknown function (DUF2795)', 44, NULL, 'DUF2795', 32149),
(88424, 'PF19944', NULL, 'Family of unknown function (DUF6406)', 84, NULL, 'DUF6406', 32150),
(88425, 'PF03013', NULL, 'Pyrimidine dimer DNA glycosylase', 82, NULL, 'Pyr_excise', 32151),
(88426, 'PF04078', NULL, 'Cell differentiation family, Rcd1-like', 259, NULL, 'Rcd1', 32152),
(88427, 'PF09128', NULL, 'Regulator of G protein signalling-like domain', 188, NULL, 'RGS-like', 32153),
(88428, 'PF12315', NULL, 'Protein DA1', 215, NULL, 'DA1-like', 32154),
(88429, 'PF09864', NULL, 'Membrane-bound lysozyme-inhibitor of c-type lysozyme', 67, NULL, 'MliC', 32155),
(88430, 'PF19690', NULL, 'Family of unknown function (DUF6191)', 42, NULL, 'DUF6191', 32156),
(88431, 'PF16827', NULL, 'zinc-finger', 67, NULL, 'zf-HC3', 32157),
(88432, 'PF03012', NULL, 'Phosphoprotein', 296, NULL, 'PP_M1', 32158),
(88433, 'PF08942', NULL, 'Domain of unknown function (DUF1919)', 196, NULL, 'DUF1919', 32159),
(88434, 'PF02329', NULL, 'Histidine carboxylase PI chain', 295, NULL, 'HDC', 32160),
(88435, 'PF10927', NULL, 'Protein of unknown function (DUF2738)', 236, NULL, 'DUF2738', 32161),
(88436, 'PF00627', NULL, 'UBA/TS-N domain', 37, NULL, 'UBA', 32162),
(88437, 'PF13559', NULL, 'Domain of unknown function (DUF4129)', 69, NULL, 'DUF4129', 32163),
(88438, 'PF19891', NULL, 'Family of unknown function (DUF6364)', 70, NULL, 'DUF6364', 32164),
(88439, 'PF17526', NULL, 'Family of unknown function (DUF5448)', 118, NULL, 'DUF5448', 32165),
(88440, 'PF19466', NULL, 'Family of unknown function (DUF6003)', 140, NULL, 'DUF6003', 32166),
(88441, 'PF08107', NULL, 'Pleurocidin family', 42, NULL, 'Antimicrobial12', 32167),
(88442, 'PF07607', NULL, 'Protein of unknown function (DUF1570)', 129, NULL, 'DUF1570', 32168),
(88443, 'PF03103', NULL, 'Domain of unknown function (DUF243)', 98, NULL, 'DUF243', 32169),
(88444, 'PF11066', NULL, 'Protein of unknown function (DUF2867)', 144, NULL, 'DUF2867', 32170),
(88445, 'PF00770', NULL, 'Adenovirus endoprotease', 179, NULL, 'Peptidase_C5', 32171),
(88446, 'PF01371', NULL, 'Trp repressor protein', 88, NULL, 'Trp_repressor', 32172),
(88447, 'PF08938', NULL, 'HBS1 N-terminus', 82, NULL, 'HBS1_N', 32173),
(88448, 'PF13846', NULL, 'Domain of unknown function (DUF4196)', 112, NULL, 'DUF4196', 32174),
(88449, 'PF12760', NULL, 'Transposase zinc-ribbon domain', 46, NULL, 'Zn_Tnp_IS1595', 32175),
(88450, 'PF07161', NULL, 'LppX_LprAFG lipoprotein', 191, NULL, 'LppX_LprAFG', 32176);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(88451, 'PF07671', NULL, 'Protein of unknown function (DUF1601)', 37, NULL, 'DUF1601', 32177),
(88452, 'PF07972', NULL, 'NrdI Flavodoxin like', 120, NULL, 'Flavodoxin_NdrI', 32178),
(88453, 'PF09493', NULL, 'Tryptophan-rich protein (DUF2389)', 62, NULL, 'DUF2389', 32179),
(88454, 'PF10699', NULL, 'Male gamete fusion factor', 515, NULL, 'HAP2-GCS1', 32180),
(88455, 'PF17490', NULL, 'L1 transposable element dsRBD-like domain', 65, NULL, 'Tnp_22_dsRBD', 32181),
(88456, 'PF03201', NULL, 'H2-forming N5,N10-methylene-tetrahydromethanopterin dehydrogenase', 97, NULL, 'HMD', 32182),
(88457, 'PF02055', NULL, 'Glycosyl hydrolase family 30 TIM-barrel domain', 348, NULL, 'Glyco_hydro_30', 32183),
(88458, 'PF04992', NULL, 'RNA polymerase Rpb1, domain 6', 189, NULL, 'RNA_pol_Rpb1_6', 32184),
(88459, 'PF14032', NULL, 'PknH-like extracellular domain', 188, NULL, 'PknH_C', 32185),
(88460, 'PF00887', NULL, 'Acyl CoA binding protein', 82, NULL, 'ACBP', 32186),
(88461, 'PF03636', NULL, 'Glycosyl hydrolase family 65, N-terminal domain', 228, NULL, 'Glyco_hydro_65N', 32187),
(88462, 'PF01263', NULL, 'Aldose 1-epimerase', 301, NULL, 'Aldose_epim', 32188),
(88463, 'PF02624', NULL, 'YcaO cyclodehydratase, ATP-ad Mg2+-binding', 322, NULL, 'YcaO', 32189),
(88464, 'PF09950', NULL, 'Uncharacterized protein conserved in bacteria (DUF2184)', 251, NULL, 'DUF2184', 32190),
(88465, 'PF06786', NULL, 'Uncharacterised protein family (UPF0253)', 65, NULL, 'UPF0253', 32191),
(88466, 'PF09338', NULL, 'Glycine/sarcosine/betaine reductase component B subunits', 426, NULL, 'Gly_reductase', 32192),
(88467, 'PF06125', NULL, 'Bacterial protein of unknown function (DUF961)', 101, NULL, 'DUF961', 32193),
(88468, 'PF06376', NULL, 'Arabinogalactan peptide', 36, NULL, 'AGP', 32194),
(88469, 'PF15283', NULL, 'Domain of unknown function (DUF4595) with porin-like fold', 203, NULL, 'DUF4595', 32195),
(88470, 'PF12698', NULL, 'ABC-2 family transporter protein', 345, NULL, 'ABC2_membrane_3', 32196),
(88471, 'PF07564', NULL, 'Domain of Unknown Function (DUF1542)', 77, NULL, 'DUF1542', 32197),
(88472, 'PF13274', NULL, 'Protein of unknown function (DUF4065)', 114, NULL, 'DUF4065', 32198),
(88473, 'PF13788', NULL, 'Domain of unknown function (DUF4180)', 112, NULL, 'DUF4180', 32199),
(88474, 'PF12871', NULL, 'Pre-mRNA-splicing factor 38-associated hydrophilic C-term', 100, NULL, 'PRP38_assoc', 32200),
(88475, 'PF15366', NULL, 'Domain of unknown function (DUF4597)', 63, NULL, 'DUF4597', 32201),
(88476, 'PF04352', NULL, 'ProQ/FINO family', 110, NULL, 'ProQ', 32202),
(88477, 'PF09986', NULL, 'Uncharacterized protein conserved in bacteria (DUF2225)', 214, NULL, 'DUF2225', 32203),
(88478, 'PF11394', NULL, 'Protein of unknown function (DUF2875)', 456, NULL, 'DUF2875', 32204),
(88479, 'PF18688', NULL, 'Family of unknown function (DUF5638)', 104, NULL, 'DUF5638', 32205),
(88480, 'PF19193', NULL, 'Tectonin domain', 214, NULL, 'Tectonin', 32206),
(88481, 'PF12925', NULL, 'E2 domain of amyloid precursor protein', 190, NULL, 'APP_E2', 32207),
(88482, 'PF13757', NULL, 'Vault protein inter-alpha-trypsin domain', 78, NULL, 'VIT_2', 32208),
(88483, 'PF14493', NULL, 'Helix-turn-helix domain', 89, NULL, 'HTH_40', 32209),
(88484, 'PF14272', NULL, 'Glycine-rich SFCGS', 114, NULL, 'Gly_rich_SFCGS', 32210),
(88485, 'PF07902', NULL, 'gp58-like protein', 594, NULL, 'Gp58', 32211),
(88486, 'PF12585', NULL, 'Protein of unknown function (DUF3759)', 92, NULL, 'DUF3759', 32212),
(88487, 'PF06902', NULL, 'Divergent 4Fe-4S mono-cluster', 64, NULL, 'Fer4_19', 32213),
(88488, 'PF11743', NULL, 'Protein of unknown function (DUF3301)', 95, NULL, 'DUF3301', 32214),
(88489, 'PF01405', NULL, 'Photosystem II reaction centre T protein', 29, NULL, 'PsbT', 32215),
(88490, 'PF14287', NULL, 'Domain of unknown function (DUF4368)', 67, NULL, 'DUF4368', 32216),
(88491, 'PF12803', NULL, 'mRNA (guanine-7-)methyltransferase (G-7-MTase)', 317, NULL, 'G-7-MTase', 32217),
(88492, 'PF02947', NULL, 'flt3 ligand', 131, NULL, 'Flt3_lig', 32218),
(88493, 'PF11374', NULL, 'Protein of unknown function (DUF3176)', 106, NULL, 'DUF3176', 32219);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(88494, 'PF05587', NULL, 'Anthrax receptor extracellular domain', 102, NULL, 'Anth_Ig', 32220),
(88495, 'PF16864', NULL, 'Dimerisation domain', 90, NULL, 'Dimerisation2', 32221),
(88496, 'PF19759', NULL, 'Family of unknown function (DUF6246)', 185, NULL, 'DUF6246', 32222),
(88497, 'PF16912', NULL, 'Glucose dehydrogenase C-terminus', 212, NULL, 'Glu_dehyd_C', 32223),
(88498, 'PF19483', NULL, 'Family of unknown function (DUF6019)', 63, NULL, 'DUF6019', 32224),
(88499, 'PF17194', NULL, 'Transcriptional regulator, AbiEi antitoxin N-terminal domain', 93, NULL, 'AbiEi_3_N', 32225),
(88500, 'PF14299', NULL, 'Phloem protein 2', 146, NULL, 'PP2', 32226),
(88501, 'PF18332', NULL, 'Exoribonuclease Xrn1 D1 domain', 192, NULL, 'XRN1_D1', 32227),
(88502, 'PF00477', NULL, 'Small hydrophilic plant seed protein', 109, NULL, 'LEA_5', 32228),
(88503, 'PF02782', NULL, 'FGGY family of carbohydrate kinases, C-terminal domain', 198, NULL, 'FGGY_C', 32229),
(88504, 'PF08328', NULL, 'Adenylosuccinate lyase C-terminal', 115, NULL, 'ASL_C', 32230),
(88505, 'PF05658', NULL, 'Head domain of trimeric autotransporter adhesin', 27, NULL, 'YadA_head', 32231),
(88506, 'PF16845', NULL, 'Aspartic acid proteinase inhibitor', 83, NULL, 'SQAPI', 32232),
(88507, 'PF02321', NULL, 'Outer membrane efflux protein', 188, NULL, 'OEP', 32233),
(88508, 'PF14613', NULL, 'Protein of unknown function (DUF4449)', 163, NULL, 'DUF4449', 32234),
(88509, 'PF19873', NULL, 'Family of unknown function (DUF6346)', 145, NULL, 'DUF6346', 32235),
(88510, 'PF12710', NULL, 'haloacid dehalogenase-like hydrolase', 188, NULL, 'HAD', 32236),
(88511, 'PF13104', NULL, 'Protein of unknown function (DUF3956)', 45, NULL, 'DUF3956', 32237),
(88512, 'PF04463', NULL, '2-thiouracil desulfurase', 137, NULL, '2-thiour_desulf', 32238),
(88513, 'PF13234', NULL, 'rRNA-processing arch domain', 270, NULL, 'rRNA_proc-arch', 32239),
(88514, 'PF05717', NULL, 'IS66 Orf2 like protein', 101, NULL, 'TnpB_IS66', 32240),
(88515, 'PF10445', NULL, 'Protein of unknown function (DUF2456)', 95, NULL, 'DUF2456', 32241),
(88516, 'PF16319', NULL, 'Domain of unknown function (DUF4958)', 731, NULL, 'DUF4958', 32242),
(88517, 'PF17188', NULL, 'MucB/RseB C-terminal domain', 97, NULL, 'MucB_RseB_C', 32243),
(88518, 'PF17336', NULL, 'Family of unknown function (DUF5368)', 111, NULL, 'DUF5368', 32244),
(88519, 'PF14688', NULL, 'Domain of unknown function (DUF4461)', 310, NULL, 'DUF4461', 32245),
(88520, 'PF05610', NULL, 'Protein of unknown function (DUF779)', 94, NULL, 'DUF779', 32246),
(88521, 'PF20143', NULL, 'ATP-NAD kinase C-terminal domain', 126, NULL, 'NAD_kinase_C', 32247),
(88522, 'PF08630', NULL, 'Dfp1/Him1, central region', 127, NULL, 'Dfp1_Him1_M', 32248),
(88523, 'PF10585', NULL, 'Ubiquitin-activating enzyme active site', 256, NULL, 'UBA_e1_thiolCys', 32249),
(88524, 'PF03208', NULL, 'PRA1 family protein', 143, NULL, 'PRA1', 32250),
(88525, 'PF01151', NULL, 'GNS1/SUR4 family', 250, NULL, 'ELO', 32251),
(88526, 'PF09878', NULL, 'Predicted membrane protein (DUF2105)', 200, NULL, 'DUF2105', 32252),
(88527, 'PF07043', NULL, 'Protein of unknown function (DUF1328)', 39, NULL, 'DUF1328', 32253),
(88528, 'PF10712', NULL, 'NAD-specific glutamate dehydrogenase', 576, NULL, 'NAD-GH', 32254),
(88529, 'PF17191', NULL, 'RecG wedge domain', 162, NULL, 'RecG_wedge', 32255),
(88530, 'PF06228', NULL, 'Haem utilisation ChuX/HutX', 135, NULL, 'ChuX_HutX', 32256),
(88531, 'PF11763', NULL, 'Cell-wall adhesin ligand-binding C-terminal', 122, NULL, 'DIPSY', 32257),
(88532, 'PF09032', NULL, 'Siah interacting protein, N terminal', 78, NULL, 'Siah-Interact_N', 32258),
(88533, 'PF02362', NULL, 'B3 DNA binding domain', 101, NULL, 'B3', 32259),
(88534, 'PF19033', NULL, 'Intu longin-like domain 3', 101, NULL, 'Intu_longin_3', 32260),
(88535, 'PF13712', NULL, 'Glycosyltransferase like family', 211, NULL, 'Glyco_tranf_2_5', 32261),
(88536, 'PF11161', NULL, 'Protein of unknown function (DUF2946)', 178, NULL, 'DUF2944', 32262),
(88537, 'PF16267', NULL, 'Domain of unknown function (DUF4920)', 87, NULL, 'DUF4920', 32263);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(88538, 'PF02706', NULL, 'Chain length determinant protein', 92, NULL, 'Wzz', 32264),
(88539, 'PF05681', NULL, 'Fumarate hydratase (Fumerase)', 269, NULL, 'Fumerase', 32265),
(88540, 'PF05851', NULL, 'Lentivirus virion infectivity factor (VIF)', 251, NULL, 'Lentivirus_VIF', 32266),
(88541, 'PF15686', NULL, 'Lysine-rich CEACAM1 co-isolated protein family', 424, NULL, 'LYRIC', 32267),
(88542, 'PF00345', NULL, 'Pili and flagellar-assembly chaperone, PapD N-terminal domain', 125, NULL, 'PapD_N', 32268),
(88543, 'PF03500', NULL, 'Cellulose synthase subunit D', 144, NULL, 'Cellsynth_D', 32269),
(88544, 'PF05158', NULL, 'RNA polymerase Rpc34 subunit', 336, NULL, 'RNA_pol_Rpc34', 32270),
(88545, 'PF16841', NULL, 'Ca-dependent carbohydrate-binding module xylan-binding', 93, NULL, 'CBM60', 32271),
(88546, 'PF10654', NULL, 'Protein of unknown function (DUF2481)', 126, NULL, 'DUF2481', 32272),
(88547, 'PF09476', NULL, 'Pilus biogenesis CpaD protein (pilus_cpaD)', 200, NULL, 'Pilus_CpaD', 32273),
(88548, 'PF10164', NULL, 'Uncharacterized conserved protein (DUF2367)', 106, NULL, 'DUF2367', 32274),
(88549, 'PF10856', NULL, 'Protein of unknown function (DUF2678)', 118, NULL, 'DUF2678', 32275),
(88550, 'PF17447', NULL, 'Uncharacterized YkpC-like', 42, NULL, 'YkpC', 32276),
(88551, 'PF08123', NULL, 'Histone methylation protein DOT1', 205, NULL, 'DOT1', 32277),
(88552, 'PF18799', NULL, 'Large polyvalent protein-associated domain 5', 146, NULL, 'LPD5', 32278),
(88553, 'PF19808', NULL, 'Family of unknown function (DUF6291)', 79, NULL, 'DUF6291', 32279),
(88554, 'PF00151', NULL, 'Lipase', 336, NULL, 'Lipase', 32280),
(88555, 'PF11042', NULL, 'Protein of unknown function (DUF2750)', 102, NULL, 'DUF2750', 32281),
(88556, 'PF04185', NULL, 'Phosphoesterase family', 356, NULL, 'Phosphoesterase', 32282),
(88557, 'PF19326', NULL, 'AMP deaminase', 633, NULL, 'AMP_deaminase', 32283),
(88558, 'PF08007', NULL, 'Cupin superfamily protein', 319, NULL, 'Cupin_4', 32284),
(88559, 'PF13641', NULL, 'Glycosyltransferase like family 2', 230, NULL, 'Glyco_tranf_2_3', 32285),
(88560, 'PF14092', NULL, 'Domain of unknown function (DUF4270)', 439, NULL, 'DUF4270', 32286),
(88561, 'PF05818', NULL, 'Enterobacterial TraT complement resistance protein', 214, NULL, 'TraT', 32287),
(88562, 'PF19493', NULL, 'Trypsin-co-occurring domain 1', 100, NULL, 'Trypco1', 32288),
(88563, 'PF10665', NULL, 'Minor capsid protein', 105, NULL, 'Minor_capsid_1', 32289),
(88564, 'PF04916', NULL, 'Phospholipase B', 490, NULL, 'Phospholip_B', 32290),
(88565, 'PF11138', NULL, 'Protein of unknown function (DUF2911)', 145, NULL, 'DUF2911', 32291),
(88566, 'PF14716', NULL, 'Helix-hairpin-helix domain', 68, NULL, 'HHH_8', 32292),
(88567, 'PF11929', NULL, 'Domain of unknown function (DUF3447)', 76, NULL, 'DUF3447', 32293),
(88568, 'PF13372', NULL, 'Alginate export', 395, NULL, 'Alginate_exp', 32294),
(88569, 'PF05875', NULL, 'Ceramidase', 258, NULL, 'Ceramidase', 32295),
(88570, 'PF17161', NULL, 'Domain of unknown function (DUF5123)', 117, NULL, 'DUF5123', 32296),
(88571, 'PF04054', NULL, 'CCR4-Not complex component, Not1', 369, NULL, 'Not1', 32297),
(88572, 'PF12180', NULL, 'TSG101 and ALIX binding domain of CEP55', 34, NULL, 'EABR', 32298),
(88573, 'PF16429', NULL, 'Domain of unknown function (DUF5026)', 82, NULL, 'DUF5026', 32299),
(88574, 'PF04830', NULL, 'Possible hemagglutinin (DUF637)', 168, NULL, 'DUF637', 32300),
(88575, 'PF09458', NULL, 'H-type lectin domain', 67, NULL, 'H_lectin', 32301),
(88576, 'PF13391', NULL, 'HNH endonuclease', 73, NULL, 'HNH_2', 32302),
(88577, 'PF12073', NULL, 'Protein of unknown function (DUF3553)', 50, NULL, 'DUF3553', 32303),
(88578, 'PF03022', NULL, 'Major royal jelly protein', 287, NULL, 'MRJP', 32304),
(88579, 'PF17830', NULL, 'STI1 domain', 55, NULL, 'STI1', 32305),
(88580, 'PF01606', NULL, 'Arterivirus envelope protein', 214, NULL, 'Arteri_env', 32306),
(88581, 'PF02494', NULL, 'HYR domain', 81, NULL, 'HYR', 32307),
(88582, 'PF07314', NULL, 'Protein of unknown function (DUF1461)', 181, NULL, 'DUF1461', 32308),
(88583, 'PF12682', NULL, 'Flavodoxin', 155, NULL, 'Flavodoxin_4', 32309);
INSERT INTO "PUBLIC"."MODEL" VALUES
(88584, 'PF19735', NULL, 'Family of unknown function (DUF6225)', 87, NULL, 'DUF6225', 32310),
(88585, 'PF09087', NULL, 'Cyclomaltodextrinase, N-terminal', 88, NULL, 'Cyc-maltodext_N', 32311),
(88586, 'PF07496', NULL, 'CW-type Zinc Finger', 48, NULL, 'zf-CW', 32312),
(88587, 'PF01384', NULL, 'Phosphate transporter family', 363, NULL, 'PHO4', 32313),
(88588, 'PF17882', NULL, 'OAA-family lectin sugar binding domain', 77, NULL, 'SBD', 32314),
(88589, 'PF08806', NULL, 'Sep15/SelM redox domain', 75, NULL, 'Sep15_SelM', 32315),
(88590, 'PF09430', NULL, 'Protein of unknown function (DUF2012)', 123, NULL, 'DUF2012', 32316),
(88591, 'PF16708', NULL, 'Lipoprotein confined to pathogenic Mycobacterium', 153, NULL, 'LppA', 32317),
(88592, 'PF19689', NULL, 'Family of unknown function (DUF6190)', 165, NULL, 'DUF6190', 32318),
(88593, 'PF02630', NULL, 'SCO1/SenC', 134, NULL, 'SCO1-SenC', 32319),
(88594, 'PF02675', NULL, 'S-adenosylmethionine decarboxylase', 106, NULL, 'AdoMet_dc', 32320),
(88595, 'PF15479', NULL, 'Domain of unknown function (DUF4639)', 580, NULL, 'DUF4639', 32321),
(88596, 'PF00625', NULL, 'Guanylate kinase', 182, NULL, 'Guanylate_kin', 32322),
(88597, 'PF13686', NULL, 'DsrE/DsrF/DrsH-like family', 153, NULL, 'DrsE_2', 32323),
(88598, 'PF17139', NULL, 'Domain of unknown function (DUF5112)', 266, NULL, 'DUF5112', 32324),
(88599, 'PF11836', NULL, 'Phage tail tube protein, GTA-gp10', 98, NULL, 'Phage_TAC_11', 32325),
(88600, 'PF04117', NULL, 'Mpv17 / PMP22 family', 62, NULL, 'Mpv17_PMP22', 32326),
(88601, 'PF16363', NULL, 'GDP-mannose 4,6 dehydratase', 332, NULL, 'GDP_Man_Dehyd', 32327),
(88602, 'PF01389', NULL, 'OmpA-like transmembrane domain', 183, NULL, 'OmpA_membrane', 32328),
(88603, 'PF09746', NULL, 'Tumour-associated protein', 383, NULL, 'Membralin', 32329),
(88604, 'PF11997', NULL, 'Domain of unknown function (DUF3492)', 268, NULL, 'DUF3492', 32330),
(88605, 'PF11041', NULL, 'Protein of unknown function (DUF2612)', 183, NULL, 'DUF2612', 32331),
(88606, 'PF02323', NULL, 'Egg-laying hormone precursor', 255, NULL, 'ELH', 32332),
(88607, 'PF12330', NULL, 'Haspin like kinase domain', 369, NULL, 'Haspin_kinase', 32333),
(88608, 'PF06449', NULL, 'Mitochondrial domain of unknown function (DUF1082)', 51, NULL, 'DUF1082', 32334),
(88609, 'PF15600', NULL, 'Immunity protein 64', 207, NULL, 'Imm64', 32335),
(88610, 'PF08765', NULL, 'Mor transcription activator family', 108, NULL, 'Mor', 32336),
(88611, 'PF19129', NULL, 'Family of unknown function (DUF5812)', 140, NULL, 'DUF5812', 32337),
(88612, 'PF07600', NULL, 'Protein of unknown function (DUF1564)', 167, NULL, 'DUF1564', 32338),
(88613, 'PF11683', NULL, 'Protein of unknown function (DUF3278)', 130, NULL, 'DUF3278', 32339),
(88614, 'PF05225', NULL, 'helix-turn-helix, Psq domain', 45, NULL, 'HTH_psq', 32340),
(88615, 'PF07522', NULL, 'DNA repair metallo-beta-lactamase', 116, NULL, 'DRMBL', 32341),
(88616, 'PF16207', NULL, 'RAWUL domain RING finger- and  WD40-associated ubiquitin-like', 73, NULL, 'RAWUL', 32342),
(88617, 'PF12298', NULL, 'Eukaryotic mitochondrial regulator protein', 172, NULL, 'Bot1p', 32343),
(88618, 'PF11047', NULL, 'Salmonella outer protein D', 319, NULL, 'SopD', 32344),
(88619, 'PF19364', NULL, 'Family of unknown function (DUF5940)', 166, NULL, 'DUF5940', 32345),
(88620, 'PF14574', NULL, 'C-terminal domain of RACo the ASKHA domain', 260, NULL, 'RACo_C_ter', 32346),
(88621, 'PF12589', NULL, 'Methyltransferase involved in Williams-Beuren syndrome', 82, NULL, 'WBS_methylT', 32347),
(88622, 'PF18451', NULL, 'Contact-dependent growth inhibition CdiA C-terminal domain', 81, NULL, 'CdiA_C', 32348),
(88623, 'PF14464', NULL, 'Prokaryotic homologs of the JAB domain', 117, NULL, 'Prok-JAB', 32349),
(88624, 'PF08558', NULL, 'Telomere repeat binding factor (TRF)', 239, NULL, 'TRF', 32350),
(88625, 'PF17669', NULL, 'Family of unknown function (DUF5529)', 185, NULL, 'DUF5529', 32351),
(88626, 'PF18052', NULL, 'Rx N-terminal domain', 93, NULL, 'Rx_N', 32352),
(88627, 'PF17875', NULL, 'RPA43 OB domain in RNA Pol I', 124, NULL, 'RPA43_OB', 32353);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(88628, 'PF00089', NULL, 'Trypsin', 221, NULL, 'Trypsin', 32354),
(88629, 'PF10222', NULL, 'Uncharacterized conserved protein (DUF2152)', 593, NULL, 'DUF2152', 32355),
(88630, 'PF12399', NULL, 'Branched-chain amino acid ATP-binding cassette transporter', 23, NULL, 'BCA_ABC_TP_C', 32356),
(88631, 'PF13882', NULL, 'Bravo-like intracellular region', 88, NULL, 'Bravo_FIGEY', 32357),
(88632, 'PF03271', NULL, 'EB1-like C-terminal motif', 41, NULL, 'EB1', 32358),
(88633, 'PF10169', NULL, 'Learning-associated protein', 127, NULL, 'Laps', 32359),
(88634, 'PF08247', NULL, 'ENOD40 protein', 12, NULL, 'ENOD40', 32360),
(88635, 'PF14462', NULL, 'Prokaryotic E2 family E', 123, NULL, 'Prok-E2_E', 32361),
(88636, 'PF12312', NULL, 'Nepovirus subgroup A polyprotein', 258, NULL, 'NeA_P2', 32362),
(88637, 'PF06434', NULL, 'Aconitate hydratase 2 N-terminus', 204, NULL, 'Aconitase_2_N', 32363),
(88638, 'PF13315', NULL, 'Protein of unknown function (DUF4085)', 205, NULL, 'DUF4085', 32364),
(88639, 'PF12485', NULL, 'Lymphocyte signaling adaptor protein', 156, NULL, 'SLY', 32365),
(88640, 'PF14191', NULL, 'YodL-like', 100, NULL, 'YodL', 32366),
(88641, 'PF01264', NULL, 'Chorismate synthase', 328, NULL, 'Chorismate_synt', 32367),
(88642, 'PF03258', NULL, 'Baculovirus FP protein', 147, NULL, 'Baculo_FP', 32368),
(88643, 'PF14623', NULL, 'Hint-domain', 167, NULL, 'Vint', 32369),
(88644, 'PF17615', NULL, 'Family of unknown function', 158, NULL, 'C166', 32370),
(88645, 'PF05284', NULL, 'Protein of unknown function (DUF736)', 100, NULL, 'DUF736', 32371),
(88646, 'PF05046', NULL, 'Mitochondrial large subunit ribosomal protein (Img2)', 86, NULL, 'Img2', 32372),
(88647, 'PF02187', NULL, 'Growth-Arrest-Specific Protein 2 Domain', 69, NULL, 'GAS2', 32373),
(88648, 'PF16191', NULL, 'Ubiquitin-activating enzyme E1 four-helix bundle', 71, NULL, 'E1_4HB', 32374),
(88649, 'PF18119', NULL, 'RIG-I receptor C-terminal domain', 139, NULL, 'RIG-I_C', 32375),
(88650, 'PF04308', NULL, 'Ribonuclease H-like', 145, NULL, 'RNaseH_like', 32376),
(88651, 'PF08506', NULL, 'Cse1', 370, NULL, 'Cse1', 32377),
(88652, 'PF14844', NULL, 'PH domain associated with Beige/BEACH', 100, NULL, 'PH_BEACH', 32378),
(88653, 'PF17617', NULL, 'Viral unique short region 10', 161, NULL, 'US10', 32379),
(88654, 'PF02424', NULL, 'ApbE family', 257, NULL, 'ApbE', 32380),
(88655, 'PF16452', NULL, 'Bacteriophage CI repressor C-terminal domain', 102, NULL, 'Phage_CI_C', 32381),
(88656, 'PF02071', NULL, 'Aromatic-di-Alanine (AdAR) repeat', 12, NULL, 'NSF', 32382),
(88657, 'PF12275', NULL, 'Protein of unknown function (DUF3616)', 327, NULL, 'DUF3616', 32383),
(88658, 'PF12204', NULL, 'Domain of unknown function (DUF3598)', 265, NULL, 'DUF3598', 32384),
(88659, 'PF00792', NULL, 'Phosphoinositide 3-kinase C2', 140, NULL, 'PI3K_C2', 32385),
(88660, 'PF14832', NULL, 'Putative oxalocrotonate tautomerase enzyme', 137, NULL, 'Tautomerase_3', 32386),
(88661, 'PF02985', NULL, 'HEAT repeat', 31, NULL, 'HEAT', 32387),
(88662, 'PF08116', NULL, 'PhTx neurotoxin family', 31, NULL, 'Toxin_29', 32388),
(88663, 'PF13604', NULL, 'AAA domain', 192, NULL, 'AAA_30', 32389),
(88664, 'PF00694', NULL, 'Aconitase C-terminal domain', 131, NULL, 'Aconitase_C', 32390),
(88665, 'PF04899', NULL, 'MbeD/MobD like', 70, NULL, 'MbeD_MobD', 32391),
(88666, 'PF19597', NULL, 'Family of unknown function (DUF6102)', 278, NULL, 'DUF6102', 32392),
(88667, 'PF19647', NULL, 'Family of unknown function (DUF6150)', 98, NULL, 'DUF6150', 32393),
(88668, 'PF10080', NULL, 'Membrane iron-sulfur containing protein FtrD-like', 101, NULL, 'FtrD-like', 32394),
(88669, 'PF17976', NULL, 'RING/Ubox like zinc-binding domain', 73, NULL, 'zf-RING_12', 32395),
(88670, 'PF20008', NULL, 'Domain of unknown function (DUF6429)', 48, NULL, 'DUF6429', 32396),
(88671, 'PF12489', NULL, 'Nuclear coactivator', 135, NULL, 'ARA70', 32397),
(88672, 'PF12410', NULL, 'Poxvirus DNA dependent RNA polymerase 30kDa subunit', 135, NULL, 'rpo30_N', 32398),
(88673, 'PF14128', NULL, 'Domain of unknown function (DUF4295)', 47, NULL, 'DUF4295', 32399),
(88674, 'PF18376', NULL, 'Mevalonate 5-diphosphate decarboxylase C-terminal domain', 187, NULL, 'MDD_C', 32400);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(88675, 'PF13969', NULL, 'Pab87 octamerisation domain', 97, NULL, 'Pab87_oct', 32401),
(88676, 'PF14923', NULL, 'Coiled-coil protein 142', 451, NULL, 'CCDC142', 32402),
(88677, 'PF10140', NULL, 'WXG100 protein secretion system (Wss), protein YukC', 357, NULL, 'YukC', 32403),
(88678, 'PF06084', NULL, 'Cytomegalovirus TRL10 protein', 150, NULL, 'Cytomega_TRL10', 32404),
(88679, 'PF10816', NULL, 'Domain of unknown function (DUF2760)', 124, NULL, 'DUF2760', 32405),
(88680, 'PF04664', NULL, 'Opioid growth factor receptor (OGFr) conserved region', 208, NULL, 'OGFr_N', 32406),
(88681, 'PF13639', NULL, 'Ring finger domain', 44, NULL, 'zf-RING_2', 32407),
(88682, 'PF13872', NULL, 'P-loop containing NTP hydrolase pore-1', 303, NULL, 'AAA_34', 32408),
(88683, 'PF01882', NULL, 'Protein of unknown function DUF58', 86, NULL, 'DUF58', 32409),
(88684, 'PF12122', NULL, 'Cytoplasmic N-terminal domain of rhomboid serine protease', 85, NULL, 'Rhomboid_N', 32410),
(88685, 'PF14447', NULL, 'Prokaryotic RING finger family 4', 46, NULL, 'Prok-RING_4', 32411),
(88686, 'PF00886', NULL, 'Ribosomal protein S16', 62, NULL, 'Ribosomal_S16', 32412),
(88687, 'PF08126', NULL, 'Propeptide_C25', 205, NULL, 'Propeptide_C25', 32413),
(88688, 'PF01261', NULL, 'Xylose isomerase-like TIM barrel', 250, NULL, 'AP_endonuc_2', 32414),
(88689, 'PF06166', NULL, 'Protein of unknown function (DUF979)', 311, NULL, 'DUF979', 32415),
(88690, 'PF15670', NULL, 'Spermatid maturation protein 1', 254, NULL, 'Spem1', 32416),
(88691, 'PF09661', NULL, 'Protein of unknown function (DUF2398)', 363, NULL, 'DUF2398', 32417),
(88692, 'PF01844', NULL, 'HNH endonuclease', 47, NULL, 'HNH', 32418),
(88693, 'PF16461', NULL, 'Lambda phage tail tube protein, TTP', 134, NULL, 'Phage_TTP_12', 32419),
(88694, 'PF11730', NULL, 'Protein of unknown function (DUF3297)', 71, NULL, 'DUF3297', 32420),
(88695, 'PF00615', NULL, 'Regulator of G protein signaling domain', 118, NULL, 'RGS', 32421),
(88696, 'PF05939', NULL, 'Phage minor tail protein', 108, NULL, 'Phage_min_tail', 32422),
(88697, 'PF13698', NULL, 'Domain of unknown function (DUF4156)', 90, NULL, 'DUF4156', 32423),
(88698, 'PF10857', NULL, 'Protein of unknown function (DUF2701)', 63, NULL, 'DUF2701', 32424),
(88699, 'PF13996', NULL, 'YobH-like protein', 70, NULL, 'YobH', 32425),
(88700, 'PF12443', NULL, 'AT-hook-containing transcription factor', 95, NULL, 'AKNA', 32426),
(88701, 'PF09584', NULL, 'Phage shock protein PspD (Phageshock_PspD)', 61, NULL, 'Phageshock_PspD', 32427),
(88702, 'PF13358', NULL, 'DDE superfamily endonuclease', 146, NULL, 'DDE_3', 32428),
(88703, 'PF17070', NULL, '30S ribosomal protein Thx', 27, NULL, 'Thx', 32429),
(88704, 'PF10567', NULL, 'RNA-recognition motif', 310, NULL, 'Nab6_mRNP_bdg', 32430),
(88705, 'PF17235', NULL, 'STD1/MTH1', 204, NULL, 'STD1', 32431),
(88706, 'PF09844', NULL, 'Uncharacterized conserved protein (COG2071)', 212, NULL, 'DUF2071', 32432),
(88707, 'PF04510', NULL, 'Family of unknown function (DUF577)', 173, NULL, 'DUF577', 32433),
(88708, 'PF08112', NULL, 'ATP synthase epsilon subunit', 56, NULL, 'ATP-synt_E_2', 32434),
(88709, 'PF13756', NULL, 'Stimulus-sensing domain', 111, NULL, 'Stimulus_sens_1', 32435),
(88710, 'PF00689', NULL, 'Cation transporting ATPase, C-terminus', 182, NULL, 'Cation_ATPase_C', 32436),
(88711, 'PF00302', NULL, 'Chloramphenicol acetyltransferase', 204, NULL, 'CAT', 32437),
(88712, 'PF17368', NULL, 'Spore morphogenesis and germination YwcE', 85, NULL, 'YwcE', 32438),
(88713, 'PF12543', NULL, 'Protein of unknown function (DUF3738)', 189, NULL, 'DUF3738', 32439),
(88714, 'PF04740', NULL, 'LXG domain of WXG superfamily', 202, NULL, 'LXG', 32440),
(88715, 'PF06480', NULL, 'FtsH Extracellular', 109, NULL, 'FtsH_ext', 32441),
(88716, 'PF07824', NULL, 'Type III secretion chaperone domain', 110, NULL, 'Chaperone_III', 32442),
(88717, 'PF05166', NULL, 'YcgL domain', 73, NULL, 'YcgL', 32443),
(88718, 'PF11921', NULL, 'Domain of unknown function (DUF3439)', 122, NULL, 'DUF3439', 32444),
(88719, 'PF14251', NULL, 'Domain of unknown function (DUF4346)', 118, NULL, 'DUF4346', 32445);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(88720, 'PF01431', NULL, 'Peptidase family M13', 205, NULL, 'Peptidase_M13', 32446),
(88721, 'PF01783', NULL, 'Ribosomal L32p protein family', 56, NULL, 'Ribosomal_L32p', 32447),
(88722, 'PF09995', NULL, 'ER-bound oxygenase mpaB/B''/Rubber oxygenase, catalytic domain', 224, NULL, 'MPAB_Lcp_cat', 32448),
(88723, 'PF00840', NULL, 'Glycosyl hydrolase family 7', 434, NULL, 'Glyco_hydro_7', 32449),
(88724, 'PF12418', NULL, 'Acyl-CoA dehydrogenase N terminal', 32, NULL, 'AcylCoA_DH_N', 32450),
(88725, 'PF16717', NULL, 'Ribosome-associated complex head domain', 98, NULL, 'RAC_head', 32451),
(88726, 'PF01488', NULL, 'Shikimate / quinate 5-dehydrogenase', 138, NULL, 'Shikimate_DH', 32452),
(88727, 'PF07342', NULL, 'Protein of unknown function (DUF1474)', 100, NULL, 'DUF1474', 32453),
(88728, 'PF18062', NULL, 'Restriction endonuclease AspBHI N-terminal', 185, NULL, 'RE_AspBHI_N', 32454),
(88729, 'PF13124', NULL, 'Protein of unknown function (DUF3963)', 40, NULL, 'DUF3963', 32455),
(88730, 'PF05381', NULL, 'Tymovirus endopeptidase', 111, NULL, 'Peptidase_C21', 32456),
(88731, 'PF07327', NULL, 'Neuroparsin', 103, NULL, 'Neuroparsin', 32457),
(88732, 'PF11253', NULL, 'Protein of unknown function (DUF3052)', 125, NULL, 'DUF3052', 32458),
(88733, 'PF10757', NULL, 'Biofilm formation regulator YbaJ', 118, NULL, 'YbaJ', 32459),
(88734, 'PF17384', NULL, 'RimP C-terminal SH3 domain', 70, NULL, 'DUF150_C', 32460),
(88735, 'PF02662', NULL, 'Methyl-viologen-reducing hydrogenase, delta subunit', 123, NULL, 'FlpD', 32461),
(88736, 'PF16842', NULL, 'Occluded RNA-recognition motif', 79, NULL, 'RRM_occluded', 32462),
(88737, 'PF13448', NULL, 'Domain of unknown function (DUF4114)', 88, NULL, 'DUF4114', 32463),
(88738, 'PF07065', NULL, 'D123', 306, NULL, 'D123', 32464),
(88739, 'PF01160', NULL, 'Vertebrate endogenous opioids neuropeptide', 47, NULL, 'Opiods_neuropep', 32465),
(88740, 'PF00660', NULL, 'Seripauperin and TIP1 family', 99, NULL, 'SRP1_TIP1', 32466),
(88741, 'PF17947', NULL, 'Four helical bundle domain', 78, NULL, '4HB', 32467),
(88742, 'PF18067', NULL, 'Lipase C-terminal domain', 96, NULL, 'Lipase_C', 32468),
(88743, 'PF18828', NULL, 'Large polyvalent-protein-associated domain 15', 99, NULL, 'LPD15', 32469),
(88744, 'PF19760', NULL, 'Family of unknown function (DUF6247)', 100, NULL, 'DUF6247', 32470),
(88745, 'PF00562', NULL, 'RNA polymerase Rpb2, domain 6', 390, NULL, 'RNA_pol_Rpb2_6', 32471),
(88746, 'PF09371', NULL, 'Tex-like protein N-terminal domain', 184, NULL, 'Tex_N', 32472),
(88747, 'PF09536', NULL, 'Protein of unknown function (DUF2378)', 177, NULL, 'DUF2378', 32473),
(88748, 'PF05112', NULL, 'Baculovirus P47 protein', 306, NULL, 'Baculo_p47', 32474),
(88749, 'PF00510', NULL, 'Cytochrome c oxidase subunit III', 258, NULL, 'COX3', 32475),
(88750, 'PF01017', NULL, 'STAT protein, all-alpha domain', 169, NULL, 'STAT_alpha', 32476),
(88751, 'PF10193', NULL, 'Telomere length regulation protein', 109, NULL, 'Telomere_reg-2', 32477),
(88752, 'PF08333', NULL, 'Protein of unknown function (DUF1725)', 19, NULL, 'DUF1725', 32478),
(88753, 'PF16457', NULL, 'Pleckstrin homology domain', 134, NULL, 'PH_12', 32479),
(88754, 'PF08887', NULL, 'GAD-like domain', 107, NULL, 'GAD-like', 32480),
(88755, 'PF08359', NULL, 'YsiA-like protein, C-terminal region', 133, NULL, 'TetR_C_4', 32481),
(88756, 'PF01564', NULL, 'Spermine/spermidine synthase domain', 188, NULL, 'Spermine_synth', 32482),
(88757, 'PF06388', NULL, 'Protein of unknown function (DUF1075)', 124, NULL, 'DUF1075', 32483),
(88758, 'PF13588', NULL, 'Type I restriction enzyme R protein N terminus (HSDR_N)', 110, NULL, 'HSDR_N_2', 32484),
(88759, 'PF05401', NULL, 'Nodulation protein S (NodS)', 201, NULL, 'NodS', 32485),
(88760, 'PF06802', NULL, 'Protein of unknown function (DUF1231)', 340, NULL, 'DUF1231', 32486),
(88761, 'PF00140', NULL, 'Sigma-70 factor, region 1.2', 34, NULL, 'Sigma70_r1_2', 32487),
(88762, 'PF11034', NULL, 'Glucose-repressible protein Grg1', 67, NULL, 'Grg1', 32488),
(88763, 'PF15602', NULL, 'Immunity protein 71', 158, NULL, 'Imm71', 32489);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(88764, 'PF17668', NULL, 'Acetyltransferase (GNAT) domain', 116, NULL, 'Acetyltransf_17', 32490),
(88765, 'PF12269', NULL, 'CpG binding protein C-terminal domain', 235, NULL, 'CpG_bind_C', 32491),
(88766, 'PF12917', NULL, 'HD containing hydrolase-like enzyme', 182, NULL, 'HD_2', 32492),
(88767, 'PF04265', NULL, 'Thiamin pyrophosphokinase, vitamin B1 binding domain', 70, NULL, 'TPK_B1_binding', 32493),
(88768, 'PF03633', NULL, 'Glycosyl hydrolase family 65, C-terminal domain', 51, NULL, 'Glyco_hydro_65C', 32494),
(88769, 'PF07577', NULL, 'Domain of Unknown Function (DUF1547)', 60, NULL, 'DUF1547', 32495),
(88770, 'PF14076', NULL, 'Domain of unknown function (DUF4258)', 63, NULL, 'DUF4258', 32496),
(88771, 'PF00933', NULL, 'Glycosyl hydrolase family 3 N terminal domain', 319, NULL, 'Glyco_hydro_3', 32497),
(88772, 'PF02477', NULL, 'Nucleocapsid N protein', 442, NULL, 'Nairo_nucleo', 32498),
(88773, 'PF04023', NULL, 'FeoA domain', 74, NULL, 'FeoA', 32499),
(88774, 'PF05813', NULL, 'Orthopoxvirus F7 protein', 80, NULL, 'Orthopox_F7', 32500),
(88775, 'PF12493', NULL, 'Protein of unknown function (DUF3709)', 33, NULL, 'DUF3709', 32501),
(88776, 'PF06282', NULL, 'Protein of unknown function (DUF1036)', 113, NULL, 'DUF1036', 32502),
(88777, 'PF17023', NULL, 'Domain of unknown function (DUF5098)', 463, NULL, 'DUF5098', 32503),
(88778, 'PF12177', NULL, 'Prohormone convertase enzyme', 39, NULL, 'Proho_convert', 32504),
(88779, 'PF14831', NULL, 'Domain of unknown function (DUF4484)', 207, NULL, 'DUF4484', 32505),
(88780, 'PF01601', NULL, 'Coronavirus spike glycoprotein S2', 521, NULL, 'CoV_S2', 32506),
(88781, 'PF12179', NULL, 'I-kappa-kinase-beta NEMO binding domain', 37, NULL, 'IKKbetaNEMObind', 32507),
(88782, 'PF10741', NULL, 'Type II secretion system (T2SS), protein M subtype b', 111, NULL, 'T2SSM_b', 32508),
(88783, 'PF04878', NULL, 'Baculovirus P48 protein', 371, NULL, 'Baculo_p48', 32509),
(88784, 'PF11990', NULL, 'Protein of unknown function (DUF3487)', 115, NULL, 'DUF3487', 32510),
(88785, 'PF15645', NULL, 'Dermonecrotoxin of the Papain-like fold', 141, NULL, 'Tox-PLDMTX', 32511),
(88786, 'PF13282', NULL, 'Domain of unknown function (DUF4070)', 140, NULL, 'DUF4070', 32512),
(88787, 'PF17965', NULL, 'Mucin binding domain', 76, NULL, 'MucBP_2', 32513),
(88788, 'PF16584', NULL, 'Outer membrane lipoprotein carrier protein LolA', 152, NULL, 'LolA_2', 32514),
(88789, 'PF10766', NULL, 'Multidrug efflux pump-associated protein AcrZ', 48, NULL, 'AcrZ', 32515),
(88790, 'PF10579', NULL, 'Rapsyn N-terminal myristoylation and linker region', 80, NULL, 'Rapsyn_N', 32516),
(88791, 'PF15078', NULL, 'Domain of unknown function (DUF4545)', 465, NULL, 'DUF4545', 32517),
(88792, 'PF08474', NULL, 'Myelin transcription factor 1', 240, NULL, 'MYT1', 32518),
(88793, 'PF10732', NULL, 'Protein of unknown function (DUF2524)', 84, NULL, 'DUF2524', 32519),
(88794, 'PF08454', NULL, 'RyR and IP3R Homology associated', 99, NULL, 'RIH_assoc', 32520),
(88795, 'PF05632', NULL, 'Borrelia burgdorferi protein of unknown function (DUF792)', 184, NULL, 'DUF792', 32521),
(88796, 'PF19329', NULL, 'BTB/POZ domain-containing protein KCTD11/21 C-terminus', 154, NULL, 'KCTD11_21_C', 32522),
(88797, 'PF17301', NULL, 'Putative lipoprotein LpqV', 115, NULL, 'LpqV', 32523),
(88798, 'PF08169', NULL, 'RBB1NT (NUC162) domain', 94, NULL, 'RBB1NT', 32524),
(88799, 'PF18455', NULL, 'Gamma-aminobutyric acid type B receptor subunit 2 coiled-coil domain', 39, NULL, 'GBR2_CC', 32525),
(88800, 'PF01465', NULL, 'GRIP domain', 44, NULL, 'GRIP', 32526),
(88801, 'PF11888', NULL, 'Protein of unknown function (DUF3408)', 139, NULL, 'DUF3408', 32527),
(88802, 'PF14465', NULL, 'NFRKB Winged Helix-like', 103, NULL, 'NFRKB_winged', 32528),
(88803, 'PF19569', NULL, 'START-like superfamily domain', 126, NULL, 'START_2', 32529),
(88804, 'PF17359', NULL, 'Family of unknown function (DUF5385)', 222, NULL, 'DUF5385', 32530),
(88805, 'PF00314', NULL, 'Thaumatin family', 214, NULL, 'Thaumatin', 32531),
(88806, 'PF18050', NULL, 'Cyclophilin-like family', 115, NULL, 'Cyclophil_like2', 32532);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(88807, 'PF10395', NULL, 'Utp8 family', 690, NULL, 'Utp8', 32533),
(88808, 'PF05203', NULL, 'Hom_end-associated Hint', 228, NULL, 'Hom_end_hint', 32534),
(88809, 'PF17083', NULL, 'Nucleolar protein Swm2', 130, NULL, 'Swm2', 32535),
(88810, 'PF19450', NULL, 'Family of unknown function (DUF5988)', 70, NULL, 'DUF5988', 32536),
(88811, 'PF17095', NULL, 'Spectrin-binding region of Ca2+-Calmodulin', 59, NULL, 'CAMSAP_CC1', 32537),
(88812, 'PF00388', NULL, 'Phosphatidylinositol-specific phospholipase C, X domain', 145, NULL, 'PI-PLC-X', 32538),
(88813, 'PF01839', NULL, 'FG-GAP repeat', 35, NULL, 'FG-GAP', 32539),
(88814, 'PF05314', NULL, 'Baculovirus occlusion-derived virus envelope protein EC27', 283, NULL, 'Baculo_ODV-E27', 32540),
(88815, 'PF18802', NULL, 'CxC1 like cysteine cluster associated with KDZ transposases', 104, NULL, 'CxC1', 32541),
(88816, 'PF10264', NULL, 'Winged helix Storkhead-box1 domain', 79, NULL, 'Stork_head', 32542),
(88817, 'PF17227', NULL, 'Family of unknown function (DUF5302)', 52, NULL, 'DUF5302', 32543),
(88818, 'PF10074', NULL, 'Uncharacterized conserved protein (DUF2285)', 107, NULL, 'DUF2285', 32544),
(88819, 'PF17121', NULL, 'Zinc finger, C3HC4 type (RING finger)', 51, NULL, 'zf-C3HC4_5', 32545),
(88820, 'PF01852', NULL, 'START domain', 209, NULL, 'START', 32546),
(88821, 'PF09186', NULL, 'Domain of unknown function (DUF1949)', 56, NULL, 'DUF1949', 32547),
(88822, 'PF07363', NULL, 'Protein of unknown function (DUF1484)', 109, NULL, 'DUF1484', 32548),
(88823, 'PF19243', NULL, 'Family of unknown function (DUF5892)', 327, NULL, 'DUF5892', 32549),
(88824, 'PF18394', NULL, 'TANK-binding kinase 1 coiled-coil domain 1', 256, NULL, 'TBK1_CCD1', 32550),
(88825, 'PF18559', NULL, 'Galactose-binding domain-like', 155, NULL, 'Exop_C', 32551),
(88826, 'PF07021', NULL, 'Methionine biosynthesis protein MetW', 193, NULL, 'MetW', 32552),
(88827, 'PF02956', NULL, 'TT viral orf 1', 525, NULL, 'TT_ORF1', 32553),
(88828, 'PF01795', NULL, 'MraW methylase family', 309, NULL, 'Methyltransf_5', 32554),
(88829, 'PF11923', NULL, 'NFACT protein C-terminal domain', 108, NULL, 'NFACT-C', 32555),
(88830, 'PF04597', NULL, 'Ribophorin I', 446, NULL, 'Ribophorin_I', 32556),
(88831, 'PF16124', NULL, 'RecQ zinc-binding', 66, NULL, 'RecQ_Zn_bind', 32557),
(88832, 'PF12689', NULL, 'Acid Phosphatase', 169, NULL, 'Acid_PPase', 32558),
(88833, 'PF16863', NULL, 'N-terminal barrel of NtMGAM and CtMGAM, maltase-glucoamylase', 114, NULL, 'NtCtMGAM_N', 32559),
(88834, 'PF08628', NULL, 'Sorting nexin C terminal', 112, NULL, 'Nexin_C', 32560),
(88835, 'PF18060', NULL, 'F actin bundling C terminal', 87, NULL, 'F_actin_bund_C', 32561),
(88836, 'PF14372', NULL, 'Domain of unknown function (DUF4413)', 98, NULL, 'DUF4413', 32562),
(88837, 'PF13669', NULL, 'Glyoxalase/Bleomycin resistance protein/Dioxygenase superfamily', 109, NULL, 'Glyoxalase_4', 32563),
(88838, 'PF16026', NULL, 'Mitochondria-eating protein', 198, NULL, 'MIEAP', 32564),
(88839, 'PF09334', NULL, 'tRNA synthetases class I (M)', 391, NULL, 'tRNA-synt_1g', 32565),
(88840, 'PF08039', NULL, 'Mitochondrial proteolipid', 60, NULL, 'Mit_proteolip', 32566),
(88841, 'PF17056', NULL, 'Killer toxin-resistance protein 1', 66, NULL, 'KRE1', 32567),
(88842, 'PF09949', NULL, 'Uncharacterized conserved protein (DUF2183)', 99, NULL, 'DUF2183', 32568),
(88843, 'PF16903', NULL, 'Major capsid protein N-terminus', 207, NULL, 'Capsid_N', 32569),
(88844, 'PF09153', NULL, 'Domain of unknown function (DUF1938)', 89, NULL, 'DUF1938', 32570),
(88845, 'PF13735', NULL, 'tRNA nucleotidyltransferase domain 2 putative', 149, NULL, 'tRNA_NucTran2_2', 32571),
(88846, 'PF12166', NULL, 'Piezo non-specific cation channel, R-Ras-binding domain', 423, NULL, 'Piezo_RRas_bdg', 32572),
(88847, 'PF11568', NULL, 'Mediator complex subunit 29', 139, NULL, 'Med29', 32573),
(88848, 'PF12381', NULL, 'Tungro spherical virus-type peptidase', 231, NULL, 'Peptidase_C3G', 32574),
(88849, 'PF15147', NULL, 'Domain of unknown function (DUF4578)', 126, NULL, 'DUF4578', 32575),
(88850, 'PF19130', NULL, 'Family of unknown function (DUF5813)', 144, NULL, 'DUF5813', 32576);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(88851, 'PF08718', NULL, 'Glycolipid transfer protein (GLTP)', 147, NULL, 'GLTP', 32577),
(88852, 'PF18151', NULL, 'Domain of unknown function (DUF5601)', 65, NULL, 'DUF5601', 32578),
(88853, 'PF18749', NULL, 'Secreted Novel AID/APOBEC-like Deaminase 3', 379, NULL, 'SNAD3', 32579),
(88854, 'PF17784', NULL, 'Sulfotransferase domain', 216, NULL, 'Sulfotransfer_4', 32580),
(88855, 'PF03878', NULL, 'YIF1', 244, NULL, 'YIF1', 32581),
(88856, 'PF15769', NULL, 'Domain of unknown function (DUF4698)', 492, NULL, 'DUF4698', 32582),
(88857, 'PF11466', NULL, 'Prion-like protein Doppel', 30, NULL, 'Doppel', 32583),
(88858, 'PF16700', NULL, 'Synphilin-1 alpha-Synuclein-binding domain', 46, NULL, 'SNCAIP_SNCA_bd', 32584),
(88859, 'PF16694', NULL, 'Cytochrome P460', 125, NULL, 'Cytochrome_P460', 32585),
(88860, 'PF10878', NULL, 'Protein of unknown function (DUF2672)', 67, NULL, 'DUF2672', 32586),
(88861, 'PF17818', NULL, 'Keratinocyte-associated gene product', 187, NULL, 'KCT2', 32587),
(88862, 'PF11863', NULL, 'Protein of unknown function (DUF3383)', 478, NULL, 'DUF3383', 32588),
(88863, 'PF03799', NULL, 'Cell division protein FtsQ', 114, NULL, 'FtsQ', 32589),
(88864, 'PF17850', NULL, 'CysA C-terminal regulatory domain', 43, NULL, 'CysA_C_terminal', 32590),
(88865, 'PF11527', NULL, 'The ARF-like 2 binding protein BART', 116, NULL, 'ARL2_Bind_BART', 32591),
(88866, 'PF19217', NULL, 'Coronavirus replicase NSP4, N-terminal', 352, NULL, 'CoV_NSP4_N', 32592),
(88867, 'PF18010', NULL, 'Cry35Ab1 HTH C-terminal domain', 29, NULL, 'HTH_49', 32593),
(88868, 'PF01910', NULL, 'Thiamine-binding protein', 92, NULL, 'Thiamine_BP', 32594),
(88869, 'PF10090', NULL, 'Histidine phosphotransferase C-terminal domain', 123, NULL, 'HPTransfase', 32595),
(88870, 'PF19793', NULL, 'Family of unknown function (DUF6277)', 117, NULL, 'DUF6277', 32596),
(88871, 'PF04310', NULL, 'MukB N-terminal', 226, NULL, 'MukB', 32597),
(88872, 'PF10177', NULL, 'Uncharacterised conserved protein (DUF2371)', 143, NULL, 'DUF2371', 32598),
(88873, 'PF16146', NULL, 'Domain of unknown function (DUF4854)', 105, NULL, 'DUF4854', 32599),
(88874, 'PF02172', NULL, 'KIX domain', 81, NULL, 'KIX', 32600),
(88875, 'PF13041', NULL, 'PPR repeat family', 50, NULL, 'PPR_2', 32601),
(88876, 'PF01064', NULL, 'Activin types I and II receptor domain', 83, NULL, 'Activin_recp', 32602),
(88877, 'PF06309', NULL, 'Torsin', 127, NULL, 'Torsin', 32603),
(88878, 'PF18410', NULL, 'Basic tilted helix bundle domain', 72, NULL, 'BTHB', 32604),
(88879, 'PF19720', NULL, 'Family of unknown function (DUF6214)', 156, NULL, 'DUF6214', 32605),
(88880, 'PF18966', NULL, 'Uncharacterised lipoprotein', 181, NULL, 'Lipoprotein_23', 32606),
(88881, 'PF14782', NULL, 'Ciliary BBSome complex subunit 2, C-terminal', 432, NULL, 'BBS2_C', 32607),
(88882, 'PF03501', NULL, 'Plectin/S10 domain', 93, NULL, 'S10_plectin', 32608),
(88883, 'PF08985', NULL, 'DP-EP family', 120, NULL, 'DP-EP', 32609),
(88884, 'PF10086', NULL, 'YhfC intramembrane metalloprotease', 223, NULL, 'YhfC', 32610),
(88885, 'PF06428', NULL, 'GDP/GTP exchange factor Sec2p', 92, NULL, 'Sec2p', 32611),
(88886, 'PF11389', NULL, 'Leptospira porin protein OmpL1', 272, NULL, 'Porin_OmpL1', 32612),
(88887, 'PF03788', NULL, 'LrgA family', 94, NULL, 'LrgA', 32613),
(88888, 'PF04551', NULL, 'GcpE protein', 352, NULL, 'GcpE', 32614),
(88889, 'PF18575', NULL, 'HAMP N-terminal domain 3', 43, NULL, 'HAMP_N3', 32615),
(88890, 'PF16718', NULL, 'Immunity factor for SPN', 164, NULL, 'IFS', 32616),
(88891, 'PF15427', NULL, 'S100P-binding protein', 390, NULL, 'S100PBPR', 32617),
(88892, 'PF04574', NULL, 'Protein of unknown function (DUF592)', 153, NULL, 'DUF592', 32618),
(88893, 'PF14084', NULL, 'Protein of unknown function (DUF4264)', 52, NULL, 'DUF4264', 32619),
(88894, 'PF18083', NULL, 'Proline utilization A N-terminal domain', 113, NULL, 'PutA_N', 32620),
(88895, 'PF06341', NULL, 'Protein of unknown function (DUF1056)', 63, NULL, 'DUF1056', 32621),
(88896, 'PF09422', NULL, 'WTX protein', 482, NULL, 'WTX', 32622),
(88897, 'PF14988', NULL, 'Domain of unknown function (DUF4515)', 206, NULL, 'DUF4515', 32623);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(88898, 'PF15724', NULL, 'TMEM119 family', 252, NULL, 'TMEM119', 32624),
(88899, 'PF18721', NULL, 'CxC6 like cysteine cluster associated with KDZ transposases', 66, NULL, 'CxC6', 32625),
(88900, 'PF14249', NULL, 'Tocopherol cyclase', 336, NULL, 'Tocopherol_cycl', 32626),
(88901, 'PF14811', NULL, 'Protein of unknown function TPD sequence-motif', 138, NULL, 'TPD', 32627),
(88902, 'PF17483', NULL, 'C-lobe handle domain of Tf-binding protein B', 109, NULL, 'TbpB_C', 32628),
(88903, 'PF06103', NULL, 'Bacterial protein of unknown function (DUF948)', 89, NULL, 'DUF948', 32629),
(88904, 'PF11236', NULL, 'Protein of unknown function (DUF3037)', 118, NULL, 'DUF3037', 32630),
(88905, 'PF12680', NULL, 'SnoaL-like domain', 102, NULL, 'SnoaL_2', 32631),
(88906, 'PF15355', NULL, 'Stretch-responsive small skeletal muscle X protein, Chisel', 86, NULL, 'Chisel', 32632),
(88907, 'PF02184', NULL, 'HAT (Half-A-TPR) repeat', 32, NULL, 'HAT', 32633),
(88908, 'PF14236', NULL, 'Domain of unknown function (DUF4338)', 230, NULL, 'DUF4338', 32634),
(88909, 'PF18238', NULL, 'LnmK N-terminal Hot Dog Fold domain', 176, NULL, 'LnmK_N_HDF', 32635),
(88910, 'PF19083', NULL, 'Family of unknown function (DUF5774)', 126, NULL, 'DUF5774', 32636),
(88911, 'PF07284', NULL, '2-vinyl bacteriochlorophyllide hydratase (BCHF)', 139, NULL, 'BCHF', 32637),
(88912, 'PF09127', NULL, 'Leukotriene A4 hydrolase, C-terminal', 112, NULL, 'Leuk-A4-hydro_C', 32638),
(88913, 'PF03648', NULL, 'Glycosyl hydrolase family 67 N-terminus', 121, NULL, 'Glyco_hydro_67N', 32639),
(88914, 'PF12064', NULL, 'Protein kinase C-binding protein 1', 198, NULL, 'DUF3544', 32640),
(88915, 'PF11971', NULL, 'CAMSAP CH domain', 85, NULL, 'CAMSAP_CH', 32641),
(88916, 'PF15735', NULL, 'Domain of unknown function (DUF4683)', 414, NULL, 'DUF4683', 32642),
(88917, 'PF08811', NULL, 'Protein of unknown function (DUF1800)', 432, NULL, 'DUF1800', 32643),
(88918, 'PF09255', NULL, 'Caf1 Capsule antigen', 136, NULL, 'Antig_Caf1', 32644),
(88919, 'PF18474', NULL, 'Family of unknown function (DUF5614)', 221, NULL, 'DUF5614', 32645),
(88920, 'PF20060', NULL, 'Family of unknown function (DUF6459)', 114, NULL, 'DUF6459', 32646),
(88921, 'PF06755', NULL, 'CbtA_toxin of type IV toxin-antitoxin system', 112, NULL, 'CbtA_toxin', 32647),
(88922, 'PF18323', NULL, 'Cop9 signalosome subunit 5 C-terminal domain', 89, NULL, 'CSN5_C', 32648),
(88923, 'PF03505', NULL, 'Clostridium enterotoxin', 197, NULL, 'Clenterotox', 32649),
(88924, 'PF00970', NULL, 'Oxidoreductase FAD-binding domain', 99, NULL, 'FAD_binding_6', 32650),
(88925, 'PF08854', NULL, 'Domain of unknown function (DUF1824)', 125, NULL, 'DUF1824', 32651),
(88926, 'PF10415', NULL, 'Fumarase C C-terminus', 54, NULL, 'FumaraseC_C', 32652),
(88927, 'PF02824', NULL, 'TGS domain', 60, NULL, 'TGS', 32653),
(88928, 'PF05440', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit B', 94, NULL, 'MtrB', 32654),
(88929, 'PF06631', NULL, 'Protein of unknown function (DUF1154)', 45, NULL, 'DUF1154', 32655),
(88930, 'PF17563', NULL, 'Cupiennin', 27, NULL, 'Cu', 32656),
(88931, 'PF09247', NULL, 'TATA box-binding protein binding', 61, NULL, 'TBP-binding', 32657),
(88932, 'PF05499', NULL, 'DNA methyltransferase 1-associated protein 1 (DMAP1)', 165, NULL, 'DMAP1', 32658),
(88933, 'PF10244', NULL, 'Mitochondrial ribosomal subunit', 93, NULL, 'MRP-L51', 32659),
(88934, 'PF17079', NULL, 'Male-specific protein scotti', 101, NULL, 'SOTI', 32660),
(88935, 'PF09808', NULL, 'Small nuclear RNA activating complex (SNAPc), subunit 1', 192, NULL, 'SNAPC1', 32661),
(88936, 'PF14788', NULL, 'EF hand', 50, NULL, 'EF-hand_10', 32662),
(88937, 'PF09853', NULL, 'Putative transposon-encoded protein (DUF2080)', 50, NULL, 'DUF2080', 32663),
(88938, 'PF10946', NULL, 'Protein of unknown function DUF2625', 207, NULL, 'DUF2625', 32664),
(88939, 'PF06652', NULL, 'Methuselah N-terminus', 178, NULL, 'Methuselah_N', 32665),
(88940, 'PF08461', NULL, 'Ribonuclease R winged-helix domain', 66, NULL, 'HTH_12', 32666),
(88941, 'PF19638', NULL, 'Family of unknown function (DUF6141)', 164, NULL, 'DUF6141', 32667);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(88942, 'PF18120', NULL, 'Domain of unknown function (DUF5597)', 133, NULL, 'DUF5597', 32668),
(88943, 'PF10325', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srz', 266, NULL, '7TM_GPCR_Srz', 32669),
(88944, 'PF18174', NULL, 'CCDC81-like prokaryotic HU domain 1', 59, NULL, 'HU-CCDC81_bac_1', 32670),
(88945, 'PF02337', NULL, 'Retroviral GAG p10 protein', 85, NULL, 'Gag_p10', 32671),
(88946, 'PF04057', NULL, 'Replication factor-A protein 1, N-terminal domain', 101, NULL, 'Rep-A_N', 32672),
(88947, 'PF01352', NULL, 'KRAB box', 42, NULL, 'KRAB', 32673),
(88948, 'PF08391', NULL, 'Ly49-like protein, N-terminal region', 119, NULL, 'Ly49', 32674),
(88949, 'PF04867', NULL, 'Protein of unknown function (DUF643)', 114, NULL, 'DUF643', 32675),
(88950, 'PF15648', NULL, 'Restriction endonuclease fold toxin 5', 95, NULL, 'Tox-REase-5', 32676),
(88951, 'PF02974', NULL, 'Protease inhibitor Inh', 97, NULL, 'Inh', 32677),
(88952, 'PF13895', NULL, 'Immunoglobulin domain', 79, NULL, 'Ig_2', 32678),
(88953, 'PF14139', NULL, 'YpzG-like protein', 49, NULL, 'YpzG', 32679),
(88954, 'PF03623', NULL, 'Focal adhesion targeting region', 133, NULL, 'Focal_AT', 32680),
(88955, 'PF08046', NULL, 'IlvGEDA operon leader peptide', 32, NULL, 'IlvGEDA_leader', 32681),
(88956, 'PF02781', NULL, 'Glucose-6-phosphate dehydrogenase, C-terminal domain', 296, NULL, 'G6PD_C', 32682),
(88957, 'PF06929', NULL, 'Rotavirus VP3 protein', 692, NULL, 'Rotavirus_VP3', 32683),
(88958, 'PF02344', NULL, 'Myc leucine zipper domain', 31, NULL, 'Myc-LZ', 32684),
(88959, 'PF06267', NULL, 'Family of unknown function (DUF1028)', 193, NULL, 'DUF1028', 32685),
(88960, 'PF19936', NULL, 'Family of unknown function (DUF6399)', 146, NULL, 'DUF6399', 32686),
(88961, 'PF06554', NULL, 'Olfactory marker protein', 150, NULL, 'Olfactory_mark', 32687),
(88962, 'PF07790', NULL, 'Archaeal Type IV pilin, N-terminal', 81, NULL, 'Pilin_N', 32688),
(88963, 'PF11075', NULL, 'Protein of unknown function VcgC/VcgE (DUF2780)', 175, NULL, 'DUF2780', 32689),
(88964, 'PF19389', NULL, 'Family of unknown function (DUF5964)', 60, NULL, 'DUF5964', 32690),
(88965, 'PF06516', NULL, 'Purine nucleoside permease (NUP)', 313, NULL, 'NUP', 32691),
(88966, 'PF19334', NULL, 'Domain of unknown function (DUF5920)', 203, NULL, 'DUF5920', 32692),
(88967, 'PF16877', NULL, 'Domain of unknown function (DUF5078)', 118, NULL, 'DUF5078', 32693),
(88968, 'PF04832', NULL, 'SOUL heme-binding protein', 173, NULL, 'SOUL', 32694),
(88969, 'PF18732', NULL, 'HEPN like, Abia C-terminal domain', 132, NULL, 'HEPN_AbiA_CTD', 32695),
(88970, 'PF07856', NULL, 'Mediator of CRAC channel activity', 176, NULL, 'Orai-1', 32696),
(88971, 'PF17578', NULL, 'Family of unknown function (DUF5481)', 103, NULL, 'DUF5481', 32697),
(88972, 'PF06019', NULL, 'Phage GP30.8 protein', 123, NULL, 'Phage_30_8', 32698),
(88973, 'PF19146', NULL, 'Family of unknown function (DUF5828)', 175, NULL, 'DUF5828', 32699),
(88974, 'PF00158', NULL, 'Sigma-54 interaction domain', 168, NULL, 'Sigma54_activat', 32700),
(88975, 'PF00265', NULL, 'Thymidine kinase', 177, NULL, 'TK', 32701),
(88976, 'PF16430', NULL, 'Domain of unknown function (DUF5027)', 187, NULL, 'DUF5027', 32702),
(88977, 'PF17970', NULL, 'Bacterial Alpha-2-macroglobulin MG1 domain', 105, NULL, 'bMG1', 32703),
(88978, 'PF16775', NULL, 'Target recognition domain of lytic exoenzyme', 106, NULL, 'ZoocinA_TRD', 32704),
(88979, 'PF17459', NULL, 'Family of unknown function (DUF5422)', 153, NULL, 'DUF5422', 32705),
(88980, 'PF15705', NULL, 'Mature oligodendrocyte transmembrane protein, TMEM132D, N-term', 129, NULL, 'TMEM132D_N', 32706),
(88981, 'PF16629', NULL, 'Armadillo-associated region on APC', 293, NULL, 'Arm_APC_u3', 32707),
(88982, 'PF05589', NULL, 'Protein of unknown function (DUF768)', 67, NULL, 'DUF768', 32708),
(88983, 'PF14250', NULL, 'AbrB-like transcriptional regulator', 70, NULL, 'AbrB-like', 32709),
(88984, 'PF09904', NULL, 'Winged helix-turn helix', 89, NULL, 'HTH_43', 32710),
(88985, 'PF18870', NULL, 'HEPN/RES N-terminal domain 1', 131, NULL, 'HEPN_RES_NTD1', 32711),
(88986, 'PF05214', NULL, 'Baculovirus P33', 247, NULL, 'Baculo_p33', 32712);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(88987, 'PF15581', NULL, 'Immunity protein 58', 109, NULL, 'Imm58', 32713),
(88988, 'PF00175', NULL, 'Oxidoreductase NAD-binding domain', 109, NULL, 'NAD_binding_1', 32714),
(88989, 'PF00074', NULL, 'Pancreatic ribonuclease', 121, NULL, 'RnaseA', 32715),
(88990, 'PF06908', NULL, 'YspA SLOG family', 168, NULL, 'YpsA', 32716),
(88991, 'PF10465', NULL, 'PinA peptidase inhibitor', 140, NULL, 'Inhibitor_I24', 32717),
(88992, 'PF13684', NULL, 'Dihydroxyacetone kinase family', 313, NULL, 'Dak1_2', 32718),
(88993, 'PF05117', NULL, 'Family of unknown function (DUF695)', 134, NULL, 'DUF695', 32719),
(88994, 'PF04677', NULL, 'Protein similar to CwfJ C-terminus 1', 122, NULL, 'CwfJ_C_1', 32720),
(88995, 'PF11987', NULL, 'Translation-initiation factor 2', 116, NULL, 'IF-2', 32721),
(88996, 'PF01121', NULL, 'Dephospho-CoA kinase', 180, NULL, 'CoaE', 32722),
(88997, 'PF11183', NULL, 'Polymyxin resistance protein PmrD', 81, NULL, 'PmrD', 32723),
(88998, 'PF03864', NULL, 'Phage major capsid protein E', 330, NULL, 'Phage_cap_E', 32724),
(88999, 'PF00761', NULL, 'Polyomavirus coat protein', 322, NULL, 'Polyoma_coat2', 32725),
(89000, 'PF17957', NULL, 'Bacterial Ig domain', 71, NULL, 'Big_7', 32726),
(89001, 'PF01355', NULL, 'High potential iron-sulfur protein', 66, NULL, 'HIPIP', 32727),
(89002, 'PF07047', NULL, 'Optic atrophy 3 protein (OPA3)', 123, NULL, 'OPA3', 32728),
(89003, 'PF04472', NULL, 'Cell division protein SepF', 72, NULL, 'SepF', 32729),
(89004, 'PF13660', NULL, 'Domain of unknown function (DUF4147)', 235, NULL, 'DUF4147', 32730),
(89005, 'PF04111', NULL, 'Apg6 BARA domain', 179, NULL, 'APG6', 32731),
(89006, 'PF11455', NULL, 'Protein  of unknown function (DUF3018)', 64, NULL, 'DUF3018', 32732),
(89007, 'PF07511', NULL, 'Protein of unknown function (DUF1525)', 114, NULL, 'DUF1525', 32733),
(89008, 'PF07481', NULL, 'Domain of Unknown Function (DUF1521)', 169, NULL, 'DUF1521', 32734),
(89009, 'PF11771', NULL, 'Protein of unknown function (DUF3314)', 162, NULL, 'DUF3314', 32735),
(89010, 'PF18385', NULL, 'T-lymphoma invasion and metastasis CC-Ex domain', 98, NULL, 'Tiam_CC_Ex', 32736),
(89011, 'PF14968', NULL, 'Coiled coil protein 84', 340, NULL, 'CCDC84', 32737),
(89012, 'PF09075', NULL, 'Heat-stable enterotoxin B, secretory', 48, NULL, 'STb_secrete', 32738),
(89013, 'PF11777', NULL, 'Protein of unknown function (DUF3316)', 145, NULL, 'DUF3316', 32739),
(89014, 'PF13523', NULL, 'Acetyltransferase (GNAT) domain', 145, NULL, 'Acetyltransf_8', 32740),
(89015, 'PF13612', NULL, 'Transposase DDE domain', 155, NULL, 'DDE_Tnp_1_3', 32741),
(89016, 'PF15040', NULL, 'Humanin family', 24, NULL, 'Humanin', 32742),
(89017, 'PF16230', NULL, 'Domain of unknown function (DUF4889)', 71, NULL, 'DUF4889', 32743),
(89018, 'PF05141', NULL, 'Pyoverdine/dityrosine biosynthesis protein', 277, NULL, 'DIT1_PvcA', 32744),
(89019, 'PF03805', NULL, 'Cytoadherence-linked asexual protein', 1286, NULL, 'CLAG', 32745),
(89020, 'PF05841', NULL, 'Apc15p protein', 124, NULL, 'Apc15p', 32746),
(89021, 'PF07081', NULL, 'Protein of unknown function (DUF1349)', 179, NULL, 'DUF1349', 32747),
(89022, 'PF18150', NULL, 'Domain of unknown function (DUF5600)', 107, NULL, 'DUF5600', 32748),
(89023, 'PF11740', NULL, 'Plasmid replication region DNA-binding N-term', 114, NULL, 'KfrA_N', 32749),
(89024, 'PF03979', NULL, 'Sigma-70 factor, region 1.1', 82, NULL, 'Sigma70_r1_1', 32750),
(89025, 'PF11995', NULL, 'Domain of unknown function (DUF3490)', 161, NULL, 'DUF3490', 32751),
(89026, 'PF15755', NULL, 'Domain of unknown function (DUF4689)', 223, NULL, 'DUF4689', 32752),
(89027, 'PF14216', NULL, 'Domain of unknown function (DUF4326)', 83, NULL, 'DUF4326', 32753),
(89028, 'PF02467', NULL, 'Transcription factor WhiB', 64, NULL, 'Whib', 32754),
(89029, 'PF15213', NULL, 'CMT1A duplicated region transcript 4 protein', 137, NULL, 'CDRT4', 32755),
(89030, 'PF05520', NULL, 'Citrus tristeza virus P18 protein', 167, NULL, 'Citrus_P18', 32756),
(89031, 'PF02482', NULL, 'Sigma 54 modulation protein / S30EA ribosomal protein', 86, NULL, 'Ribosomal_S30AE', 32757);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(89032, 'PF05903', NULL, 'PPPDE putative peptidase domain', 151, NULL, 'Peptidase_C97', 32758),
(89033, 'PF11785', NULL, 'Aft1 osmotic stress response (OSM) domain', 57, NULL, 'Aft1_OSA', 32759),
(89034, 'PF12088', NULL, 'Protein of unknown function (DUF3565)', 58, NULL, 'DUF3565', 32760),
(89035, 'PF06622', NULL, 'SepQ protein', 305, NULL, 'SepQ', 32761),
(89036, 'PF03514', NULL, 'GRAS domain family', 374, NULL, 'GRAS', 32762),
(89037, 'PF01187', NULL, 'Macrophage migration inhibitory factor (MIF)', 114, NULL, 'MIF', 32763),
(89038, 'PF08326', NULL, 'Acetyl-CoA carboxylase, central region', 726, NULL, 'ACC_central', 32764),
(89039, 'PF19782', NULL, 'Family of unknown function (DUF6267)', 373, NULL, 'DUF6267', 32765),
(89040, 'PF04033', NULL, 'Domain of unknown function (DUF365)', 96, NULL, 'DUF365', 32766),
(89041, 'PF11786', NULL, 'Aft1 HRA domain', 79, NULL, 'Aft1_HRA', 32767),
(89042, 'PF02547', NULL, 'Queuosine biosynthesis protein', 325, NULL, 'Queuosine_synth', 32768),
(89043, 'PF02273', NULL, 'Acyl transferase', 294, NULL, 'Acyl_transf_2', 32769),
(89044, 'PF03397', NULL, 'Rhabdovirus matrix protein', 168, NULL, 'Rhabdo_matrix', 32770),
(89045, 'PF09666', NULL, 'Sororin protein', 157, NULL, 'Sororin', 32771),
(89046, 'PF18833', NULL, 'Tetratricopeptide repeat', 92, NULL, 'TPR_22', 32772),
(89047, 'PF13397', NULL, 'RNA polymerase-binding protein', 104, NULL, 'RbpA', 32773),
(89048, 'PF02729', NULL, 'Aspartate/ornithine carbamoyltransferase, carbamoyl-P binding domain', 146, NULL, 'OTCace_N', 32774),
(89049, 'PF18064', NULL, 'Centromere-binding protein ParB C-terminal', 47, NULL, 'ParB_C', 32775),
(89050, 'PF14343', NULL, 'PrcB C-terminal', 58, NULL, 'PrcB_C', 32776),
(89051, 'PF06866', NULL, 'Protein of unknown function (DUF1256)', 164, NULL, 'DUF1256', 32777),
(89052, 'PF15634', NULL, 'HYE1 signature containing ADP-ribosyltransferase', 282, NULL, 'Tox-ART-HYE1', 32778),
(89053, 'PF05185', NULL, 'PRMT5 arginine-N-methyltransferase', 173, NULL, 'PRMT5', 32779),
(89054, 'PF15878', NULL, 'Domain of unknown function (DUF4733)', 94, NULL, 'DUF4733', 32780),
(89055, 'PF01043', NULL, 'SecA preprotein cross-linking domain', 110, NULL, 'SecA_PP_bind', 32781),
(89056, 'PF13491', NULL, '4TM region of DNA translocase FtsK/SpoIIIE', 171, NULL, 'FtsK_4TM', 32782),
(89057, 'PF05274', NULL, 'Occlusion-derived virus envelope protein E25', 190, NULL, 'Baculo_E25', 32783),
(89058, 'PF10438', NULL, 'Cyclo-malto-dextrinase C-terminal domain', 76, NULL, 'Cyc-maltodext_C', 32784),
(89059, 'PF00946', NULL, 'Mononegavirales RNA dependent RNA polymerase', 1068, NULL, 'Mononeg_RNA_pol', 32785),
(89060, 'PF19178', NULL, 'Family of unknown function (DUF5860)', 167, NULL, 'DUF5860', 32786),
(89061, 'PF10188', NULL, 'Organic solute transport protein 1', 173, NULL, 'Oscp1', 32787),
(89062, 'PF03131', NULL, 'bZIP Maf transcription factor', 92, NULL, 'bZIP_Maf', 32788),
(89063, 'PF00408', NULL, 'Phosphoglucomutase/phosphomannomutase, C-terminal domain', 74, NULL, 'PGM_PMM_IV', 32789),
(89064, 'PF00529', NULL, 'Cation efflux system protein CusB domain 1', 80, NULL, 'CusB_dom_1', 32790),
(89065, 'PF19338', NULL, 'Neutrophin-3 N-terminus', 114, NULL, 'NTF3_N', 32791),
(89066, 'PF12226', NULL, 'Turkey astrovirus capsid protein', 363, NULL, 'Astro_capsid_p', 32792),
(89067, 'PF17019', NULL, 'Domain of unknown function (DUF5096)', 192, NULL, 'DUF5096', 32793),
(89068, 'PF13317', NULL, 'Protein of unknown function (DUF4088)', 226, NULL, 'DUF4088', 32794),
(89069, 'PF18236', NULL, 'Argonaute N domain', 122, NULL, 'AGO_N', 32795),
(89070, 'PF04210', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit G', 64, NULL, 'MtrG', 32796),
(89071, 'PF04941', NULL, 'Late expression factor 8 (LEF-8)', 730, NULL, 'LEF-8', 32797),
(89072, 'PF05065', NULL, 'Phage capsid family', 280, NULL, 'Phage_capsid', 32798),
(89073, 'PF00912', NULL, 'Transglycosylase', 178, NULL, 'Transgly', 32799),
(89074, 'PF17858', NULL, 'Platypus intermediate defensin-like peptide', 44, NULL, 'Defensin_int', 32800),
(89075, 'PF00787', NULL, 'PX domain', 84, NULL, 'PX', 32801);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(89076, 'PF04445', NULL, 'Putative SAM-dependent methyltransferase', 230, NULL, 'SAM_MT', 32802),
(89077, 'PF18157', NULL, 'MID domain of pPIWI_RE', 142, NULL, 'MID_pPIWI_RE', 32803),
(89078, 'PF17322', NULL, 'Family of unknown function (DUF5364)', 185, NULL, 'DUF5364', 32804),
(89079, 'PF00949', NULL, 'Peptidase S7, Flavivirus NS3 serine protease', 131, NULL, 'Peptidase_S7', 32805),
(89080, 'PF13586', NULL, 'Transposase DDE domain', 90, NULL, 'DDE_Tnp_1_2', 32806),
(89081, 'PF14771', NULL, 'Domain of unknown function (DUF4476)', 91, NULL, 'DUF4476', 32807),
(89082, 'PF12571', NULL, 'Phage tail-collar fibre protein', 150, NULL, 'DUF3751', 32808),
(89083, 'PF02582', NULL, 'Uncharacterised ACR, YagE family COG1723', 174, NULL, 'DUF155', 32809),
(89084, 'PF04153', NULL, 'NOT2 / NOT3 / NOT5 family', 132, NULL, 'NOT2_3_5', 32810),
(89085, 'PF18325', NULL, 'Fatty acid synthase subunit alpha Acyl carrier domain', 162, NULL, 'Fas_alpha_ACP', 32811),
(89086, 'PF08472', NULL, 'Sucrose-6-phosphate phosphohydrolase C-terminal', 133, NULL, 'S6PP_C', 32812),
(89087, 'PF20073', NULL, 'Domain of unknown function (DUF6469)', 130, NULL, 'DUF6469', 32813),
(89088, 'PF03812', NULL, '2-keto-3-deoxygluconate permease', 305, NULL, 'KdgT', 32814),
(89089, 'PF06608', NULL, 'Protein of unknown function (DUF1143)', 148, NULL, 'DUF1143', 32815),
(89090, 'PF00305', NULL, 'Lipoxygenase', 673, NULL, 'Lipoxygenase', 32816),
(89091, 'PF19959', NULL, 'Effector-associated domain 4', 123, NULL, 'EAD4', 32817),
(89092, 'PF10318', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srh', 302, NULL, '7TM_GPCR_Srh', 32818),
(89093, 'PF05824', NULL, 'Pro-melanin-concentrating hormone (Pro-MCH)', 86, NULL, 'Pro-MCH', 32819),
(89094, 'PF18193', NULL, 'Fibrillin 1 unique N-terminal domain', 37, NULL, 'Fibrillin_U_N', 32820),
(89095, 'PF03539', NULL, 'Spumavirus aspartic protease (A9)', 163, NULL, 'Spuma_A9PTase', 32821),
(89096, 'PF09486', NULL, 'Bacterial type III secretion protein (HrpB7)', 157, NULL, 'HrpB7', 32822),
(89097, 'PF16046', NULL, 'FAM76 protein', 300, NULL, 'FAM76', 32823),
(89098, 'PF07111', NULL, 'Alpha helical coiled-coil rod protein (HCR)', 749, NULL, 'HCR', 32824),
(89099, 'PF11348', NULL, 'Protein of unknown function (DUF3150)', 257, NULL, 'DUF3150', 32825),
(89100, 'PF15323', NULL, 'Developmental protein', 223, NULL, 'Ashwin', 32826),
(89101, 'PF09722', NULL, 'Protein of unknown function (DUF2384)', 51, NULL, 'DUF2384', 32827),
(89102, 'PF18934', NULL, 'Family of unknown function (DUF5682)', 733, NULL, 'DUF5682', 32828),
(89103, 'PF17071', NULL, 'Outer capsid protein VP7', 276, NULL, 'Capsid_VP7', 32829),
(89104, 'PF02704', NULL, 'Gibberellin regulated protein', 60, NULL, 'GASA', 32830),
(89105, 'PF03161', NULL, 'LAGLIDADG DNA endonuclease family', 169, NULL, 'LAGLIDADG_2', 32831),
(89106, 'PF13570', NULL, 'PQQ-like domain', 40, NULL, 'PQQ_3', 32832),
(89107, 'PF15407', NULL, 'Sporulation protein family 7', 64, NULL, 'Spo7_2_N', 32833),
(89108, 'PF05323', NULL, 'Poxvirus A21 Protein', 111, NULL, 'Pox_A21', 32834),
(89109, 'PF01683', NULL, 'EB module', 52, NULL, 'EB', 32835),
(89110, 'PF13901', NULL, 'Putative zinc-RING and/or ribbon', 204, NULL, 'zf-RING_9', 32836),
(89111, 'PF16511', NULL, 'N-terminal or F0 domain of Talin-head FERM', 82, NULL, 'FERM_f0', 32837),
(89112, 'PF17630', NULL, 'Family of unknown function (DUF5511)', 69, NULL, 'DUF5511', 32838),
(89113, 'PF02615', NULL, 'Malate/L-lactate dehydrogenase', 333, NULL, 'Ldh_2', 32839),
(89114, 'PF12662', NULL, 'Complement Clr-like EGF-like', 24, NULL, 'cEGF', 32840),
(89115, 'PF05934', NULL, 'Mid-1-related chloride channel (MCLC)', 549, NULL, 'MCLC', 32841),
(89116, 'PF18937', NULL, 'Family of unknown function (DUF5685)', 273, NULL, 'DUF5685', 32842),
(89117, 'PF08189', NULL, 'Meleagrin/Cygnin family', 38, NULL, 'Meleagrin', 32843),
(89118, 'PF10135', NULL, 'Rod binding protein', 51, NULL, 'Rod-binding', 32844),
(89119, 'PF02493', NULL, 'MORN repeat', 23, NULL, 'MORN', 32845),
(89120, 'PF16557', NULL, 'CUT1-like DNA-binding domain of SATB', 72, NULL, 'CUTL', 32846);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(89121, 'PF16175', NULL, 'Domain of unknown function (DUF4875)', 120, NULL, 'DUF4875', 32847),
(89122, 'PF16503', NULL, 'Zinc-ribbon', 32, NULL, 'zn-ribbon_14', 32848),
(89123, 'PF18862', NULL, 'ApeA N-terminal domain 1', 392, NULL, 'ApeA_NTD1', 32849),
(89124, 'PF08708', NULL, 'Primase C terminal 1 (PriCT-1)', 67, NULL, 'PriCT_1', 32850),
(89125, 'PF12935', NULL, 'Vesicle coat trafficking protein Sec16 N-terminus', 238, NULL, 'Sec16_N', 32851),
(89126, 'PF03542', NULL, 'Tuberin', 352, NULL, 'Tuberin', 32852),
(89127, 'PF06448', NULL, 'Domain of Unknown Function (DUF1081)', 114, NULL, 'DUF1081', 32853),
(89128, 'PF19057', NULL, 'PH domain', 148, NULL, 'PH_19', 32854),
(89129, 'PF00108', NULL, 'Thiolase, N-terminal domain', 260, NULL, 'Thiolase_N', 32855),
(89130, 'PF07689', NULL, 'KaiB domain', 82, NULL, 'KaiB', 32856),
(89131, 'PF11603', NULL, 'Sir1, ORC-binding domain', 120, NULL, 'Sir1', 32857),
(89132, 'PF14734', NULL, 'Domain of unknown function (DUF4469) with IG-like fold', 101, NULL, 'DUF4469', 32858),
(89133, 'PF12486', NULL, 'Type VI secretion system, EvfB, or VasL', 147, NULL, 'VasL', 32859),
(89134, 'PF16984', NULL, 'Group 7 allergen', 180, NULL, 'Grp7_allergen', 32860),
(89135, 'PF08008', NULL, 'Viral cysteine rich', 83, NULL, 'Viral_cys_rich', 32861),
(89136, 'PF13529', NULL, 'Peptidase_C39 like family', 144, NULL, 'Peptidase_C39_2', 32862),
(89137, 'PF17588', NULL, 'Family of unknown function (DUF5486)', 53, NULL, 'DUF5486', 32863),
(89138, 'PF03484', NULL, 'tRNA synthetase B5 domain', 67, NULL, 'B5', 32864),
(89139, 'PF03840', NULL, 'Preprotein translocase SecG subunit', 71, NULL, 'SecG', 32865),
(89140, 'PF05206', NULL, 'Methyltransferase TRM13', 263, NULL, 'TRM13', 32866),
(89141, 'PF05819', NULL, 'NolX protein', 435, NULL, 'NolX', 32867),
(89142, 'PF18734', NULL, 'AbiU2', 197, NULL, 'HEPN_AbiU2', 32868),
(89143, 'PF16861', NULL, 'Carbamoyltransferase C-terminus', 169, NULL, 'Carbam_trans_C', 32869),
(89144, 'PF11998', NULL, 'Low psii accumulation1 / Rep27', 79, NULL, 'DUF3493', 32870),
(89145, 'PF12653', NULL, 'Protein of unknown function (DUF3785)', 136, NULL, 'DUF3785', 32871),
(89146, 'PF15543', NULL, 'Bacterial toxin 5', 135, NULL, 'Ntox5', 32872),
(89147, 'PF06476', NULL, 'Protein of unknown function (DUF1090)', 110, NULL, 'DUF1090', 32873),
(89148, 'PF12651', NULL, 'Ribbon-helix-helix domain', 44, NULL, 'RHH_3', 32874),
(89149, 'PF13960', NULL, 'Domain of unknown function (DUF4218)', 113, NULL, 'DUF4218', 32875),
(89150, 'PF01776', NULL, 'Ribosomal L22e protein family', 109, NULL, 'Ribosomal_L22e', 32876),
(89151, 'PF04126', NULL, 'Cyclophilin-like', 119, NULL, 'Cyclophil_like', 32877),
(89152, 'PF16185', NULL, 'Mitochondrial ABC-transporter N-terminal five TM region', 244, NULL, 'MTABC_N', 32878),
(89153, 'PF17127', NULL, 'Domain of unknown function (DUF5106)', 153, NULL, 'DUF5106', 32879),
(89154, 'PF08264', NULL, 'Anticodon-binding domain of tRNA ligase', 152, NULL, 'Anticodon_1', 32880),
(89155, 'PF17431', NULL, 'Uncharacterized YmpT-like', 62, NULL, 'YpmT', 32881),
(89156, 'PF02217', NULL, 'Origin of replication binding protein', 94, NULL, 'T_Ag_DNA_bind', 32882),
(89157, 'PF03255', NULL, 'Acetyl co-enzyme A carboxylase carboxyltransferase alpha subunit', 144, NULL, 'ACCA', 32883),
(89158, 'PF12497', NULL, 'Estrogen receptor beta', 114, NULL, 'ERbeta_N', 32884),
(89159, 'PF06087', NULL, 'Tyrosyl-DNA phosphodiesterase', 449, NULL, 'Tyr-DNA_phospho', 32885),
(89160, 'PF08338', NULL, 'Domain of unknown function (DUF1731)', 47, NULL, 'DUF1731', 32886),
(89161, 'PF03317', NULL, 'ELF protein', 123, NULL, 'ELF', 32887),
(89162, 'PF06037', NULL, 'Bacterial protein of unknown function (DUF922)', 159, NULL, 'DUF922', 32888),
(89163, 'PF13562', NULL, 'Sugar nucleotidyl transferase', 160, NULL, 'NTP_transf_4', 32889),
(89164, 'PF18210', NULL, 'Knl1 RWD C-terminal domain', 151, NULL, 'Knl1_RWD_C', 32890),
(89165, 'PF04908', NULL, 'SH3-binding, glutamic acid-rich protein', 99, NULL, 'SH3BGR', 32891),
(89166, 'PF09700', NULL, 'CRISPR-associated protein (Cas_Cmr3)', 372, NULL, 'Cas_Cmr3', 32892);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(89167, 'PF14836', NULL, 'Ubiquitin-like domain', 88, NULL, 'Ubiquitin_3', 32893),
(89168, 'PF12806', NULL, 'Acetyl-CoA dehydrogenase C-terminal like', 124, NULL, 'Acyl-CoA_dh_C', 32894),
(89169, 'PF00083', NULL, 'Sugar (and other) transporter', 452, NULL, 'Sugar_tr', 32895),
(89170, 'PF02152', NULL, 'Dihydroneopterin aldolase', 111, NULL, 'FolB', 32896),
(89171, 'PF02232', NULL, 'Alpha trans-inducing protein (Alpha-TIF)', 343, NULL, 'Alpha_TIF', 32897),
(89172, 'PF09679', NULL, 'Type-F conjugative transfer system pilin chaperone (TraQ)', 87, NULL, 'TraQ', 32898),
(89173, 'PF13809', NULL, 'Tubulin like', 351, NULL, 'Tubulin_2', 32899),
(89174, 'PF13232', NULL, 'Complex1_LYR-like', 97, NULL, 'Complex1_LYR_1', 32900),
(89175, 'PF01063', NULL, 'Amino-transferase class IV', 223, NULL, 'Aminotran_4', 32901),
(89176, 'PF03598', NULL, 'CO dehydrogenase/acetyl-CoA synthase complex beta subunit', 155, NULL, 'CdhC', 32902),
(89177, 'PF16854', NULL, 'Vacuolar protein sorting-associated protein 53 C-terminus', 203, NULL, 'VPS53_C', 32903),
(89178, 'PF11962', NULL, 'Peptidase_G2, IMC autoproteolytic cleavage domain', 228, NULL, 'Peptidase_G2', 32904),
(89179, 'PF16369', NULL, 'C-terminal lipocalin-like domain', 105, NULL, 'GH43_C', 32905),
(89180, 'PF11886', NULL, 'Translocase of chloroplast 159/132, membrane anchor domain', 267, NULL, 'TOC159_MAD', 32906),
(89181, 'PF19730', NULL, 'Family of unknown function (DUF6221)', 111, NULL, 'DUF6221', 32907),
(89182, 'PF19933', NULL, 'Domain of unknown function (DUF6396)', 108, NULL, 'DUF6396', 32908),
(89183, 'PF05244', NULL, 'Brucella outer membrane protein 2', 240, NULL, 'Brucella_OMP2', 32909),
(89184, 'PF09276', NULL, 'Pertussis toxin S5 subunit', 97, NULL, 'Pertus-S5-tox', 32910),
(89185, 'PF00582', NULL, 'Universal stress protein family', 141, NULL, 'Usp', 32911),
(89186, 'PF08701', NULL, 'GNL3L/Grn1 putative GTPase', 76, NULL, 'GN3L_Grn1', 32912),
(89187, 'PF09656', NULL, 'Putative transmembrane protein (PGPGW)', 53, NULL, 'PGPGW', 32913),
(89188, 'PF18586', NULL, 'Chromatin remodeling factor Mit1 C-terminal Zn finger 1', 90, NULL, 'zf-CCCH_7', 32914),
(89189, 'PF20070', NULL, 'Family of unknown function (DUF6466)', 146, NULL, 'DUF6466', 32915),
(89190, 'PF09529', NULL, 'Integral membrane protein (intg_mem_TP0381)', 224, NULL, 'Intg_mem_TP0381', 32916),
(89191, 'PF02505', NULL, 'Methyl-coenzyme M reductase operon protein D', 142, NULL, 'MCR_D', 32917),
(89192, 'PF12521', NULL, 'Protein of unknown function (DUF3724)', 23, NULL, 'DUF3724', 32918),
(89193, 'PF08681', NULL, 'Protein of unknown function (DUF1778)', 80, NULL, 'DUF1778', 32919),
(89194, 'PF05137', NULL, 'Fimbrial assembly protein (PilN)', 78, NULL, 'PilN', 32920),
(89195, 'PF14321', NULL, 'Domain of unknown function (DUF4382)', 139, NULL, 'DUF4382', 32921),
(89196, 'PF07842', NULL, 'GC-rich sequence DNA-binding factor-like protein', 277, NULL, 'GCFC', 32922),
(89197, 'PF10075', NULL, 'CSN8/PSMD8/EIF3K family', 144, NULL, 'CSN8_PSD8_EIF3K', 32923),
(89198, 'PF10758', NULL, 'Protein of unknown function (DUF2586)', 397, NULL, 'DUF2586', 32924),
(89199, 'PF09811', NULL, 'Essential protein Yae1, N terminal', 39, NULL, 'Yae1_N', 32925),
(89200, 'PF15751', NULL, 'FAAP20 FANCA interaction domain', 108, NULL, 'FANCA_interact', 32926),
(89201, 'PF07202', NULL, 'T-complex protein 10 C-terminus', 35, NULL, 'Tcp10_C', 32927),
(89202, 'PF15681', NULL, 'Lymphocyte activation family X', 350, NULL, 'LAX', 32928),
(89203, 'PF17693', NULL, 'Family of unknown function (DUF5539)', 232, NULL, 'DUF5539', 32929),
(89204, 'PF18765', NULL, 'Polymerase beta, Nucleotidyltransferase', 93, NULL, 'Polbeta', 32930),
(89205, 'PF09789', NULL, 'Uncharacterized coiled-coil protein (DUF2353)', 314, NULL, 'DUF2353', 32931),
(89206, 'PF13422', NULL, 'Domain of unknown function (DUF4110)', 95, NULL, 'DUF4110', 32932),
(89207, 'PF03949', NULL, 'Malic enzyme, NAD binding domain', 258, NULL, 'Malic_M', 32933),
(89208, 'PF01226', NULL, 'Formate/nitrite transporter', 236, NULL, 'Form_Nir_trans', 32934),
(89209, 'PF09560', NULL, 'Sporulation protein YunB (Spo_YunB)', 91, NULL, 'Spore_YunB', 32935);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(89210, 'PF11550', NULL, 'Intracellular growth locus C protein', 211, NULL, 'IglC', 32936),
(89211, 'PF03388', NULL, 'Legume-like lectin family', 230, NULL, 'Lectin_leg-like', 32937),
(89212, 'PF08038', NULL, 'TOM7 family', 41, NULL, 'Tom7', 32938),
(89213, 'PF13927', NULL, 'Immunoglobulin domain', 79, NULL, 'Ig_3', 32939),
(89214, 'PF12168', NULL, 'DNA polymerase III subunits tau domain IV DnaB-binding', 80, NULL, 'DNA_pol3_tau_4', 32940),
(89215, 'PF09734', NULL, 'RNA polymerase III transcription factor (TF)IIIC subunit HTH domain', 140, NULL, 'Tau95', 32941),
(89216, 'PF14452', NULL, 'Multiubiquitin', 69, NULL, 'Multi_ubiq', 32942),
(89217, 'PF14588', NULL, 'YjgF/chorismate_mutase-like, putative endoribonuclease', 148, NULL, 'YjgF_endoribonc', 32943),
(89218, 'PF00757', NULL, 'Furin-like cysteine rich region', 149, NULL, 'Furin-like', 32944),
(89219, 'PF15305', NULL, 'Intraflagellar transport protein 43', 136, NULL, 'IFT43', 32945),
(89220, 'PF08613', NULL, 'Cyclin', 161, NULL, 'Cyclin', 32946),
(89221, 'PF15183', NULL, 'Melanocortin-2 receptor accessory protein family', 89, NULL, 'MRAP', 32947),
(89222, 'PF05755', NULL, 'Rubber elongation factor protein (REF)', 206, NULL, 'REF', 32948),
(89223, 'PF07180', NULL, 'CaiF/GrlA transcriptional regulator', 146, NULL, 'CaiF_GrlA', 32949),
(89224, 'PF05762', NULL, 'VWA domain containing CoxE-like protein', 221, NULL, 'VWA_CoxE', 32950),
(89225, 'PF18495', NULL, 'Antitoxin VbhA', 47, NULL, 'VbhA', 32951),
(89226, 'PF11621', NULL, 'C3 binding domain 4 of IgG-bind protein SBI', 69, NULL, 'Sbi-IV', 32952),
(89227, 'PF15699', NULL, 'NPR1 interacting', 110, NULL, 'NPR1_interact', 32953),
(89228, 'PF18065', NULL, 'PatG C-terminal', 115, NULL, 'PatG_C', 32954),
(89229, 'PF15144', NULL, 'Domain of unknown function (DUF4576)', 90, NULL, 'DUF4576', 32955),
(89230, 'PF15484', NULL, 'Domain of unknown function (DUF4642)', 159, NULL, 'DUF4642', 32956),
(89231, 'PF18961', NULL, 'Domain of unknown function (DUF5703)', 287, NULL, 'DUF5703_N', 32957),
(89232, 'PF06215', NULL, 'Infectious salmon anaemia virus haemagglutinin', 353, NULL, 'ISAV_HA', 32958),
(89233, 'PF15780', NULL, 'Abnormal spindle-like microcephaly-assoc''d, ASPM-SPD-2-Hydin', 98, NULL, 'ASH', 32959),
(89234, 'PF06552', NULL, 'Plant specific mitochondrial import receptor subunit TOM20', 187, NULL, 'TOM20_plant', 32960),
(89235, 'PF00336', NULL, 'DNA polymerase (viral) C-terminal domain', 233, NULL, 'DNA_pol_viral_C', 32961),
(89236, 'PF11193', NULL, 'Protein of unknown function (DUF2812)', 110, NULL, 'DUF2812', 32962),
(89237, 'PF05404', NULL, 'Translocon-associated protein, delta subunit precursor (TRAP-delta)', 162, NULL, 'TRAP-delta', 32963),
(89238, 'PF07731', NULL, 'Multicopper oxidase', 137, NULL, 'Cu-oxidase_2', 32964),
(89239, 'PF09828', NULL, 'Chromate resistance exported protein', 132, NULL, 'Chrome_Resist', 32965),
(89240, 'PF14096', NULL, 'Domain of unknown function (DUF4274)', 76, NULL, 'DUF4274', 32966),
(89241, 'PF16355', NULL, 'Domain of unknown function (DUF4982)', 62, NULL, 'DUF4982', 32967),
(89242, 'PF10875', NULL, 'Protein of unknown function (DUF2670)', 141, NULL, 'DUF2670', 32968),
(89243, 'PF02567', NULL, 'Phenazine biosynthesis-like protein', 283, NULL, 'PhzC-PhzF', 32969),
(89244, 'PF18881', NULL, 'Family of unknown function (DUF5646)', 69, NULL, 'DUF5646', 32970),
(89245, 'PF16674', NULL, 'N-terminal of ubiquitin carboxyl-terminal hydrolase 37', 105, NULL, 'UCH_N', 32971),
(89246, 'PF12476', NULL, 'Protein of unknown function (DUF3696)', 53, NULL, 'DUF3696', 32972),
(89247, 'PF00391', NULL, 'PEP-utilising enzyme, mobile domain', 73, NULL, 'PEP-utilizers', 32973),
(89248, 'PF03785', NULL, 'Peptidase family C25, C terminal ig-like domain', 79, NULL, 'Peptidase_C25_C', 32974),
(89249, 'PF09682', NULL, 'Bacteriophage holin of superfamily 6 (Holin_LLH)', 101, NULL, 'Phage_holin_6_1', 32975),
(89250, 'PF14130', NULL, 'Cap4 dsDNA endonuclease', 211, NULL, 'Cap4_nuclease', 32976),
(89251, 'PF13044', NULL, 'Fusion glycoprotein F0, Isavirus', 436, NULL, 'Fusion_F0', 32977),
(89252, 'PF05152', NULL, 'Protein of unknown function (DUF705)', 304, NULL, 'DUF705', 32978);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(89253, 'PF03752', NULL, 'Short repeats of unknown function', 42, NULL, 'ALF', 32979),
(89254, 'PF09957', NULL, 'Bacterial antitoxin of type II TA system, VapB', 47, NULL, 'VapB_antitoxin', 32980),
(89255, 'PF14431', NULL, 'YwqJ-like deaminase', 134, NULL, 'YwqJ-deaminase', 32981),
(89256, 'PF08711', NULL, 'TFIIS helical bundle-like domain', 53, NULL, 'Med26', 32982),
(89257, 'PF08698', NULL, 'Fcf2 pre-rRNA processing', 96, NULL, 'Fcf2', 32983),
(89258, 'PF00169', NULL, 'PH domain', 105, NULL, 'PH', 32984),
(89259, 'PF09918', NULL, 'Uncharacterized protein containing a ferredoxin domain (DUF2148)', 68, NULL, 'DUF2148', 32985),
(89260, 'PF10023', NULL, 'Putative aminopeptidase', 322, NULL, 'Aminopep', 32986),
(89261, 'PF01982', NULL, 'Domain of unknown function DUF120', 121, NULL, 'CTP-dep_RFKase', 32987),
(89262, 'PF08816', NULL, 'Inhibitor of vertebrate lysozyme (Ivy)', 117, NULL, 'Ivy', 32988),
(89263, 'PF12937', NULL, 'F-box-like', 48, NULL, 'F-box-like', 32989),
(89264, 'PF06213', NULL, 'Cobalamin biosynthesis protein CobT', 277, NULL, 'CobT', 32990),
(89265, 'PF02067', NULL, 'Metallothionein family 5', 41, NULL, 'Metallothio_5', 32991),
(89266, 'PF07017', NULL, 'Antimicrobial peptide resistance and lipid A acylation protein PagP', 144, NULL, 'PagP', 32992),
(89267, 'PF00637', NULL, 'Region in Clathrin and VPS', 143, NULL, 'Clathrin', 32993),
(89268, 'PF11376', NULL, 'Protein of unknown function (DUF3179)', 287, NULL, 'DUF3179', 32994),
(89269, 'PF03237', NULL, 'Terminase large subunit, T4likevirus-type, N-terminal', 215, NULL, 'Terminase_6N', 32995),
(89270, 'PF07862', NULL, 'Nif11 domain', 48, NULL, 'Nif11', 32996),
(89271, 'PF11778', NULL, 'Septation initiation', 135, NULL, 'SID', 32997),
(89272, 'PF12215', NULL, 'beta-glucosidase 2, glycosyl-hydrolase family 116 N-term', 313, NULL, 'Glyco_hydr_116N', 32998),
(89273, 'PF19930', NULL, 'Family of unknown function (DUF6393)', 96, NULL, 'DUF6393', 32999),
(89274, 'PF00061', NULL, 'Lipocalin / cytosolic fatty-acid binding protein family', 144, NULL, 'Lipocalin', 33000),
(89275, 'PF12666', NULL, 'PrgI family protein', 91, NULL, 'PrgI', 33001),
(89276, 'PF12849', NULL, 'PBP superfamily domain', 282, NULL, 'PBP_like_2', 33002),
(89277, 'PF01926', NULL, '50S ribosome-binding GTPase', 114, NULL, 'MMR_HSR1', 33003),
(89278, 'PF13550', NULL, 'Putative phage tail protein', 164, NULL, 'Phage-tail_3', 33004),
(89279, 'PF16986', NULL, 'Heavy-metal resistance protein CzcE', 80, NULL, 'CzcE', 33005),
(89280, 'PF10941', NULL, 'Protein of unknown function DUF2620', 116, NULL, 'DUF2620', 33006),
(89281, 'PF15369', NULL, 'Uncharacterised protein KIAA1328', 327, NULL, 'KIAA1328', 33007),
(89282, 'PF01348', NULL, 'Type II intron maturase', 140, NULL, 'Intron_maturas2', 33008),
(89283, 'PF03408', NULL, 'Foamy virus envelope protein', 984, NULL, 'Foamy_virus_ENV', 33009),
(89284, 'PF01309', NULL, 'Equine arteritis virus small envelope glycoprotein', 196, NULL, 'EAV_GS', 33010),
(89285, 'PF09402', NULL, 'Man1-Src1p-C-terminal domain', 338, NULL, 'MSC', 33011),
(89286, 'PF00709', NULL, 'Adenylosuccinate synthetase', 415, NULL, 'Adenylsucc_synt', 33012),
(89287, 'PF11734', NULL, 'TilS substrate C-terminal domain', 74, NULL, 'TilS_C', 33013),
(89288, 'PF14596', NULL, 'STAT6 C-terminal', 193, NULL, 'STAT6_C', 33014),
(89289, 'PF04093', NULL, 'rod shape-determining protein MreD', 160, NULL, 'MreD', 33015),
(89290, 'PF01282', NULL, 'Ribosomal protein S24e', 79, NULL, 'Ribosomal_S24e', 33016),
(89291, 'PF05029', NULL, 'Timeless PAB domain', 88, NULL, 'TIMELESS_C', 33017),
(89292, 'PF14021', NULL, 'Tuberculosis necrotizing toxin', 88, NULL, 'TNT', 33018),
(89293, 'PF08719', NULL, 'NADAR domain', 163, NULL, 'NADAR', 33019),
(89294, 'PF00998', NULL, 'Viral RNA dependent RNA polymerase', 486, NULL, 'RdRP_3', 33020),
(89295, 'PF12103', NULL, 'Surface lipoprotein of Spirochaetales order', 179, NULL, 'Lipl32', 33021),
(89296, 'PF14118', NULL, 'YfzA-like protein', 90, NULL, 'YfzA', 33022),
(89297, 'PF14624', NULL, 'VWA / Hh  protein intein-like', 70, NULL, 'Vwaint', 33023);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(89298, 'PF17398', NULL, 'Nodulation protein NolB', 149, NULL, 'NolB', 33024),
(89299, 'PF07826', NULL, 'IMP cyclohydrolase-like protein', 191, NULL, 'IMP_cyclohyd', 33025),
(89300, 'PF09289', NULL, 'Follistatin/Osteonectin-like EGF domain', 22, NULL, 'FOLN', 33026),
(89301, 'PF13488', NULL, 'Glycine zipper', 46, NULL, 'Gly-zipper_Omp', 33027),
(89302, 'PF17444', NULL, 'Uncharacterized YhdX-like', 33, NULL, 'YhdX', 33028),
(89303, 'PF16747', NULL, 'Surface-adhesin protein E', 125, NULL, 'Adhesin_E', 33029),
(89304, 'PF12060', NULL, 'Domain of unknown function (DUF3541)', 225, NULL, 'DUF3541', 33030),
(89305, 'PF06599', NULL, 'Protein of unknown function (DUF1139)', 309, NULL, 'DUF1139', 33031),
(89306, 'PF15146', NULL, 'Fanconi anemia-associated', 441, NULL, 'FANCAA', 33032),
(89307, 'PF20009', NULL, 'GEVED domain', 78, NULL, 'GEVED', 33033),
(89308, 'PF04794', NULL, 'YdjC-like protein', 253, NULL, 'YdjC', 33034),
(89309, 'PF18519', NULL, 'SAGA-associated factor 11 N-terminal domain', 39, NULL, 'Sgf11_N', 33035),
(89310, 'PF12129', NULL, 'Male germ-cell putative homeodomain transcription factor', 154, NULL, 'Phtf-FEM1B_bdg', 33036),
(89311, 'PF14218', NULL, 'Circadian oscillating protein COP23', 138, NULL, 'COP23', 33037),
(89312, 'PF14093', NULL, 'Domain of unknown function (DUF4271)', 207, NULL, 'DUF4271', 33038),
(89313, 'PF09587', NULL, 'Bacterial capsule synthesis protein PGA_cap', 257, NULL, 'PGA_cap', 33039),
(89314, 'PF18750', NULL, 'Secreted Novel AID/APOBEC-like Deaminase 4', 116, NULL, 'SNAD4', 33040),
(89315, 'PF07729', NULL, 'FCD domain', 125, NULL, 'FCD', 33041),
(89316, 'PF08079', NULL, 'Ribosomal L30 N-terminal domain', 72, NULL, 'Ribosomal_L30_N', 33042),
(89317, 'PF08935', NULL, 'Viral protein VP4 subunit', 84, NULL, 'VP4_2', 33043),
(89318, 'PF17860', NULL, 'RK-1-like defensin', 34, NULL, 'Defensin_RK-1', 33044),
(89319, 'PF17002', NULL, 'Domain of unknown function (DUF5089)', 193, NULL, 'DUF5089', 33045),
(89320, 'PF08339', NULL, 'RTX C-terminal domain', 131, NULL, 'RTX_C', 33046),
(89321, 'PF16616', NULL, 'Unstructured region on Polyhomeotic-like protein 1 and 2', 123, NULL, 'PHC2_SAM_assoc', 33047),
(89322, 'PF00621', NULL, 'RhoGEF domain', 183, NULL, 'RhoGEF', 33048),
(89323, 'PF19839', NULL, 'Ribbon-helix-helix protein', 65, NULL, 'RHH_9', 33049),
(89324, 'PF03275', NULL, 'UDP-galactopyranose mutase', 204, NULL, 'GLF', 33050),
(89325, 'PF08926', NULL, 'Domain of unknown function (DUF1908)', 284, NULL, 'DUF1908', 33051),
(89326, 'PF04479', NULL, 'RTA1 like protein', 206, NULL, 'RTA1', 33052),
(89327, 'PF08015', NULL, 'Fungal mating-type pheromone', 69, NULL, 'Pheromone', 33053),
(89328, 'PF08049', NULL, 'IlvB leader peptide', 32, NULL, 'IlvB_leader', 33054),
(89329, 'PF15669', NULL, 'Coiled-coil domain-containing protein 24 family', 200, NULL, 'CCDC24', 33055),
(89330, 'PF14572', NULL, 'Phosphoribosyl synthetase-associated domain', 184, NULL, 'Pribosyl_synth', 33056),
(89331, 'PF15185', NULL, 'Bcl-2-modifying factor, apoptosis', 192, NULL, 'BMF', 33057),
(89332, 'PF06954', NULL, 'Resistin', 88, NULL, 'Resistin', 33058),
(89333, 'PF18954', NULL, 'Family of unknown function (DUF5697)', 160, NULL, 'DUF5697', 33059),
(89334, 'PF03193', NULL, 'RsgA GTPase', 167, NULL, 'RsgA_GTPase', 33060),
(89335, 'PF04988', NULL, 'A-kinase anchoring protein 95 (AKAP95)', 136, NULL, 'AKAP95', 33061),
(89336, 'PF15327', NULL, 'Tankyrase binding protein C terminal domain', 170, NULL, 'Tankyrase_bdg_C', 33062),
(89337, 'PF19190', NULL, 'Viral BACON domain', 91, NULL, 'BACON_2', 33063),
(89338, 'PF19325', NULL, 'E3 ubiquitin-protein ligase RNF152 C-terminus', 136, NULL, 'RNF152_C', 33064),
(89339, 'PF09133', NULL, 'SANTA (SANT Associated)', 92, NULL, 'SANTA', 33065),
(89340, 'PF17972', NULL, 'Bacterial Alpha-2-macroglobulin MG5 domain', 127, NULL, 'bMG5', 33066),
(89341, 'PF08085', NULL, 'Entericidin EcnA/B family', 20, NULL, 'Entericidin', 33067),
(89342, 'PF07140', NULL, 'Interferon gamma receptor (IFNGR1)', 133, NULL, 'IFNGR1', 33068),
(89343, 'PF15923', NULL, 'Domain of unknown function (DUF4745)', 133, NULL, 'DUF4745', 33069);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(89344, 'PF02759', NULL, 'RUN domain', 142, NULL, 'RUN', 33070),
(89345, 'PF18370', NULL, 'Rhamnogalacturonan I lyases beta-sheet domain', 86, NULL, 'RGI_lyase', 33071),
(89346, 'PF07117', NULL, 'Protein of unknown function (DUF1373)', 212, NULL, 'DUF1373', 33072),
(89347, 'PF15334', NULL, 'Aurora kinase A and ninein interacting protein', 324, NULL, 'AIB', 33073),
(89348, 'PF20091', NULL, 'Alpha/beta hydrolase domain', 410, NULL, 'Abhydrolase_10', 33074),
(89349, 'PF13923', NULL, 'Zinc finger, C3HC4 type (RING finger)', 40, NULL, 'zf-C3HC4_2', 33075),
(89350, 'PF14326', NULL, 'Domain of unknown function (DUF4384)', 81, NULL, 'DUF4384', 33076),
(89351, 'PF19479', NULL, 'Family of unknown function (DUF6015)', 140, NULL, 'DUF6015', 33077),
(89352, 'PF01868', NULL, 'Ribonuclease P/MRP, subunit p29', 90, NULL, 'RNase_P-MRP_p29', 33078),
(89353, 'PF03042', NULL, 'Birnavirus VP5 protein', 135, NULL, 'Birna_VP5', 33079),
(89354, 'PF00459', NULL, 'Inositol monophosphatase family', 272, NULL, 'Inositol_P', 33080),
(89355, 'PF18377', NULL, 'FERM F2 acyl-CoA binding protein-like domain', 131, NULL, 'FERM_F2', 33081),
(89356, 'PF05269', NULL, 'Bacteriophage CII protein', 91, NULL, 'Phage_CII', 33082),
(89357, 'PF02811', NULL, 'PHP domain', 172, NULL, 'PHP', 33083),
(89358, 'PF15230', NULL, 'Serine/arginine repetitive matrix protein C-terminus', 67, NULL, 'SRRM_C', 33084),
(89359, 'PF15908', NULL, 'Hyaluronan mediated motility receptor C-terminal', 157, NULL, 'HMMR_C', 33085),
(89360, 'PF12034', NULL, 'Domain of unknown function (DUF3520)', 185, NULL, 'DUF3520', 33086),
(89361, 'PF12916', NULL, 'Protein of unknown function (DUF3834)', 201, NULL, 'DUF3834', 33087),
(89362, 'PF18128', NULL, 'Hydrogen maturase F dimerization domain', 99, NULL, 'HydF_dimer', 33088),
(89363, 'PF07474', NULL, 'G2F domain', 184, NULL, 'G2F', 33089),
(89364, 'PF10698', NULL, 'Protein of unknown function (DUF2505)', 158, NULL, 'DUF2505', 33090),
(89365, 'PF07735', NULL, 'F-box associated', 67, NULL, 'FBA_2', 33091),
(89366, 'PF13451', NULL, 'Probable zinc-ribbon domain', 48, NULL, 'zf-trcl', 33092),
(89367, 'PF08129', NULL, 'Alpha/beta enterocin family', 57, NULL, 'Antimicrobial17', 33093),
(89368, 'PF00135', NULL, 'Carboxylesterase family', 515, NULL, 'COesterase', 33094),
(89369, 'PF09030', NULL, 'Creb binding', 111, NULL, 'Creb_binding', 33095),
(89370, 'PF10012', NULL, 'Uncharacterized protein conserved in bacteria (DUF2255)', 115, NULL, 'DUF2255', 33096),
(89371, 'PF07860', NULL, 'WisP family C-Terminal Region', 130, NULL, 'CCD', 33097),
(89372, 'PF09157', NULL, 'Pseudouridine synthase II TruB, C-terminal', 58, NULL, 'TruB-C_2', 33098),
(89373, 'PF14561', NULL, 'Tetratricopeptide repeat', 90, NULL, 'TPR_20', 33099),
(89374, 'PF11398', NULL, 'Protein of unknown function (DUF2813)', 372, NULL, 'DUF2813', 33100),
(89375, 'PF07825', NULL, 'Excisionase-like protein', 77, NULL, 'Exc', 33101),
(89376, 'PF02645', NULL, 'Uncharacterised protein, DegV family COG1307', 280, NULL, 'DegV', 33102),
(89377, 'PF13802', NULL, 'Galactose mutarotase-like', 68, NULL, 'Gal_mutarotas_2', 33103),
(89378, 'PF16086', NULL, 'Domain of unknown function (DUF4816)', 43, NULL, 'DUF4816', 33104),
(89379, 'PF19485', NULL, 'Family of unknown function (DUF6021)', 64, NULL, 'DUF6021', 33105),
(89380, 'PF17044', NULL, 'Borrelial persistence in ticks protein A', 191, NULL, 'BPTA', 33106),
(89381, 'PF01107', NULL, 'Viral movement protein (MP)', 191, NULL, 'MP', 33107),
(89382, 'PF00045', NULL, 'Hemopexin', 45, NULL, 'Hemopexin', 33108),
(89383, 'PF07742', NULL, 'BTG family', 117, NULL, 'BTG', 33109),
(89384, 'PF19144', NULL, 'Family of unknown function (DUF5826)', 68, NULL, 'DUF5826', 33110),
(89385, 'PF07968', NULL, 'Leukocidin/Hemolysin toxin family', 250, NULL, 'Leukocidin', 33111),
(89386, 'PF17484', NULL, 'N-Lobe handle Tf-binding protein B', 135, NULL, 'TbpB_A', 33112),
(89387, 'PF03531', NULL, 'Structure-specific recognition protein (SSRP1)', 69, NULL, 'SSrecog', 33113),
(89388, 'PF01998', NULL, 'Protein of unknown function DUF131', 64, NULL, 'DUF131', 33114);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(89389, 'PF09766', NULL, 'Fms-interacting protein/Thoc5', 364, NULL, 'FmiP_Thoc5', 33115),
(89390, 'PF19229', NULL, 'Family of unknown function (DUF5882)', 198, NULL, 'DUF5882', 33116),
(89391, 'PF19949', NULL, 'Family of unknown function (DUF6411)', 63, NULL, 'DUF6411', 33117),
(89392, 'PF15421', NULL, 'Putative polysaccharide deacetylase', 423, NULL, 'Polysacc_deac_3', 33118),
(89393, 'PF01208', NULL, 'Uroporphyrinogen decarboxylase (URO-D)', 345, NULL, 'URO-D', 33119),
(89394, 'PF01566', NULL, 'Natural resistance-associated macrophage protein', 359, NULL, 'Nramp', 33120),
(89395, 'PF09910', NULL, 'Uncharacterized protein conserved in archaea (DUF2139)', 340, NULL, 'DUF2139', 33121),
(89396, 'PF01419', NULL, 'Jacalin-like lectin domain', 133, NULL, 'Jacalin', 33122),
(89397, 'PF16510', NULL, 'Phage P22-like portal protein', 668, NULL, 'P22_portal', 33123),
(89398, 'PF12145', NULL, 'Eukaryotic Mediator 12 subunit domain', 479, NULL, 'Med12-LCEWAV', 33124),
(89399, 'PF18365', NULL, 'Phosphoinositide phosphatase C-terminal domain', 125, NULL, 'PI_PP_C', 33125),
(89400, 'PF18729', NULL, 'STY4199-like HEPN', 282, NULL, 'HEPN_STY4199', 33126),
(89401, 'PF03081', NULL, 'Exo70 exocyst complex subunit', 373, NULL, 'Exo70', 33127),
(89402, 'PF14697', NULL, '4Fe-4S dicluster domain', 59, NULL, 'Fer4_21', 33128),
(89403, 'PF05025', NULL, 'RbsD / FucU transport protein family', 134, NULL, 'RbsD_FucU', 33129),
(89404, 'PF11291', NULL, 'Protein of unknown function (DUF3091)', 100, NULL, 'DUF3091', 33130),
(89405, 'PF07265', NULL, 'Tapetum specific protein TAP35/TAP44', 119, NULL, 'TAP35_44', 33131),
(89406, 'PF14041', NULL, 'LppP/LprE lipoprotein', 88, NULL, 'Lipoprotein_21', 33132),
(89407, 'PF19077', NULL, 'Bacterial Ig-like domain', 102, NULL, 'Big_13', 33133),
(89408, 'PF12573', NULL, '2-oxoisovalerate dehydrogenase E1 alpha subunit N terminal', 41, NULL, 'OxoDH_E1alpha_N', 33134),
(89409, 'PF18425', NULL, 'Csp protease B prodomain', 89, NULL, 'CspB_prodomain', 33135),
(89410, 'PF11039', NULL, 'Protein of unknown function (DUF2824)', 151, NULL, 'DUF2824', 33136),
(89411, 'PF15899', NULL, 'BNR-Asp box repeat', 14, NULL, 'BNR_6', 33137),
(89412, 'PF00283', NULL, 'Cytochrome b559, alpha (gene psbE) and beta (gene psbF)subunits', 29, NULL, 'Cytochrom_B559', 33138),
(89413, 'PF06672', NULL, 'Protein of unknown function (DUF1175)', 225, NULL, 'DUF1175', 33139),
(89414, 'PF07388', NULL, 'Alpha-2,8-polysialyltransferase (POLYST)', 310, NULL, 'A-2_8-polyST', 33140),
(89415, 'PF08057', NULL, 'Erythromycin resistance leader peptide', 14, NULL, 'Ery_res_leader2', 33141),
(89416, 'PF13637', NULL, 'Ankyrin repeats (many copies)', 55, NULL, 'Ank_4', 33142),
(89417, 'PF18933', NULL, 'PsbP-like protein', 193, NULL, 'PsbP_2', 33143),
(89418, 'PF03260', NULL, 'Lepidopteran low molecular weight (30 kD) lipoprotein', 251, NULL, 'Lipoprotein_11', 33144),
(89419, 'PF09665', NULL, 'Type II restriction endonuclease (RE_Alw26IDE)', 507, NULL, 'RE_Alw26IDE', 33145),
(89420, 'PF15843', NULL, 'Domain of unknown function (DUF4719)', 202, NULL, 'DUF4719', 33146),
(89421, 'PF05360', NULL, 'yiaA/B two helix domain', 53, NULL, 'YiaAB', 33147),
(89422, 'PF19755', NULL, 'Domain of unknown function (DUF6242)', 208, NULL, 'DUF6242', 33148),
(89423, 'PF13521', NULL, 'AAA domain', 163, NULL, 'AAA_28', 33149),
(89424, 'PF18829', NULL, 'Importin repeat 6', 110, NULL, 'Importin_rep_6', 33150),
(89425, 'PF08396', NULL, 'Spider toxin omega agatoxin/Tx1 family', 75, NULL, 'Toxin_34', 33151),
(89426, 'PF19246', NULL, 'Family of unknown function (DUF5894)', 57, NULL, 'DUF5894', 33152),
(89427, 'PF16330', NULL, 'MukB hinge domain', 167, NULL, 'MukB_hinge', 33153),
(89428, 'PF07971', NULL, 'Glycosyl hydrolase family 92', 462, NULL, 'Glyco_hydro_92', 33154),
(89429, 'PF10377', NULL, 'Autophagy-related protein 11', 129, NULL, 'ATG11', 33155),
(89430, 'PF15442', NULL, 'Domain of unknown function (DUF4629)', 150, NULL, 'DUF4629', 33156),
(89431, 'PF05394', NULL, 'Avirulence protein', 326, NULL, 'AvrB_AvrC', 33157),
(89432, 'PF07248', NULL, 'Protein of unknown function (DUF1431)', 155, NULL, 'DUF1431', 33158);
INSERT INTO "PUBLIC"."MODEL" VALUES
(89433, 'PF12814', NULL, 'Meiotic cell cortex C-terminal pleckstrin homology', 119, NULL, 'Mcp5_PH', 33159),
(89434, 'PF00676', NULL, 'Dehydrogenase E1 component', 300, NULL, 'E1_dh', 33160),
(89435, 'PF09719', NULL, 'Putative redox-active protein (C_GCAxxG_C_C)', 119, NULL, 'C_GCAxxG_C_C', 33161),
(89436, 'PF16327', NULL, 'Cytochrome c-type biogenesis protein CcmF C-terminal', 323, NULL, 'CcmF_C', 33162),
(89437, 'PF19957', NULL, 'Effector-associated domain 5', 135, NULL, 'EAD5', 33163),
(89438, 'PF12810', NULL, 'Glycine rich protein', 241, NULL, 'Gly_rich', 33164),
(89439, 'PF02684', NULL, 'Lipid-A-disaccharide synthetase', 374, NULL, 'LpxB', 33165),
(89440, 'PF02737', NULL, '3-hydroxyacyl-CoA dehydrogenase, NAD binding domain', 180, NULL, '3HCDH_N', 33166),
(89441, 'PF05425', NULL, 'Copper resistance protein D', 105, NULL, 'CopD', 33167),
(89442, 'PF00952', NULL, 'Bunyavirus nucleocapsid (N) protein', 229, NULL, 'Bunya_nucleocap', 33168),
(89443, 'PF10317', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srd', 292, NULL, '7TM_GPCR_Srd', 33169),
(89444, 'PF14898', NULL, 'Domain of unknown function (DUF4491)', 92, NULL, 'DUF4491', 33170),
(89445, 'PF18671', NULL, '4-Hydroxyphenylacetate decarboxylase subunit gamma N-terminal', 31, NULL, '4HPAD_g_N', 33171),
(89446, 'PF04584', NULL, 'Poxvirus A28 family', 140, NULL, 'Pox_A28', 33172),
(89447, 'PF11218', NULL, 'Protein of unknown function (DUF3011)', 197, NULL, 'DUF3011', 33173),
(89448, 'PF11360', NULL, 'Protein of unknown function (DUF3110)', 84, NULL, 'DUF3110', 33174),
(89449, 'PF03641', NULL, 'Possible lysine decarboxylase', 132, NULL, 'Lysine_decarbox', 33175),
(89450, 'PF11067', NULL, 'Protein of unknown function (DUF2868)', 327, NULL, 'DUF2868', 33176),
(89451, 'PF18836', NULL, 'YdcK Beta solenoid repeat', 17, NULL, 'B_solenoid_ydck', 33177),
(89452, 'PF17401', NULL, 'Family of unknown function (DUF5407)', 74, NULL, 'DUF5407', 33178),
(89453, 'PF19386', NULL, 'Family of unknown function (DUF5961)', 72, NULL, 'DUF5961', 33179),
(89454, 'PF13304', NULL, 'AAA domain, putative AbiEii toxin, Type IV TA system', 304, NULL, 'AAA_21', 33180),
(89455, 'PF07070', NULL, 'SpoOM protein', 210, NULL, 'Spo0M', 33181),
(89456, 'PF19456', NULL, 'MobI protein', 134, NULL, 'MobI', 33182),
(89457, 'PF07476', NULL, 'Methylaspartate ammonia-lyase C-terminus', 249, NULL, 'MAAL_C', 33183),
(89458, 'PF04300', NULL, 'F-box associated region', 178, NULL, 'FBA', 33184),
(89459, 'PF13138', NULL, 'Protein of unknown function (DUF3982)', 35, NULL, 'DUF3982', 33185),
(89460, 'PF08063', NULL, 'PADR1 (NUC008) domain', 53, NULL, 'PADR1', 33186),
(89461, 'PF00653', NULL, 'Inhibitor of Apoptosis domain', 73, NULL, 'BIR', 33187),
(89462, 'PF15416', NULL, 'Domain of unknown function (DUF4623)', 448, NULL, 'DUF4623', 33188),
(89463, 'PF18352', NULL, 'Phage protein Gp138 N-terminal domain', 98, NULL, 'Gp138_N', 33189),
(89464, 'PF02237', NULL, 'Biotin protein ligase C terminal domain', 48, NULL, 'BPL_C', 33190),
(89465, 'PF11005', NULL, 'Protein of unknown function (DUF2844)', 133, NULL, 'DUF2844', 33191),
(89466, 'PF16156', NULL, 'Domain of unknown function (DUF4864)', 101, NULL, 'DUF4864', 33192),
(89467, 'PF17393', NULL, 'Family of unknown function (DUF5402)', 120, NULL, 'DUF5402', 33193),
(89468, 'PF03688', NULL, 'Nepovirus coat protein, C-terminal domain', 163, NULL, 'Nepo_coat_C', 33194),
(89469, 'PF17569', NULL, 'Family of unknown function (DUF5475)', 81, NULL, 'DUF5475', 33195),
(89470, 'PF04931', NULL, 'DNA polymerase phi', 767, NULL, 'DNA_pol_phi', 33196),
(89471, 'PF09945', NULL, 'Predicted membrane protein (DUF2177)', 124, NULL, 'DUF2177', 33197),
(89472, 'PF05540', NULL, 'Serpulina hyodysenteriae variable surface protein', 387, NULL, 'Serpulina_VSP', 33198),
(89473, 'PF11436', NULL, 'Protein of unknown function (DUF3199)', 124, NULL, 'DUF3199', 33199),
(89474, 'PF00116', NULL, 'Cytochrome C oxidase subunit II, periplasmic domain', 120, NULL, 'COX2', 33200),
(89475, 'PF07407', NULL, 'Seadornavirus VP6 protein', 420, NULL, 'Seadorna_VP6', 33201),
(89476, 'PF09027', NULL, 'GTPase binding', 66, NULL, 'GTPase_binding', 33202);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(89477, 'PF20105', NULL, 'Family of unknown function (DUF6495)', 156, NULL, 'DUF6495', 33203),
(89478, 'PF09968', NULL, 'Uncharacterized protein domain (DUF2202)', 162, NULL, 'DUF2202', 33204),
(89479, 'PF11282', NULL, 'Protein of unknown function (DUF3082)', 80, NULL, 'DUF3082', 33205),
(89480, 'PF14437', NULL, 'MafB19-like deaminase', 138, NULL, 'MafB19-deam', 33206),
(89481, 'PF10969', NULL, 'Protein of unknown function (DUF2771)', 127, NULL, 'DUF2771', 33207),
(89482, 'PF12442', NULL, 'Protein of unknown function (DUF3681)', 97, NULL, 'DUF3681', 33208),
(89483, 'PF00560', NULL, 'Leucine Rich Repeat', 23, NULL, 'LRR_1', 33209),
(89484, 'PF17717', NULL, 'Family of unknown function (DUF5562)', 168, NULL, 'DUF5562', 33210),
(89485, 'PF00828', NULL, 'Ribosomal proteins 50S-L15, 50S-L18e, 60S-L27A', 118, NULL, 'Ribosomal_L27A', 33211),
(89486, 'PF19648', NULL, 'Family of unknown function (DUF6151)', 188, NULL, 'DUF6151', 33212),
(89487, 'PF11305', NULL, 'Protein of unknown function (DUF3107)', 73, NULL, 'DUF3107', 33213),
(89488, 'PF19303', NULL, 'Anticodon binding domain of methionyl tRNA ligase', 152, NULL, 'Anticodon_3', 33214),
(89489, 'PF08152', NULL, 'GUCT (NUC152) domain', 96, NULL, 'GUCT', 33215),
(89490, 'PF13321', NULL, 'Domain of unknown function (DUF4084)', 304, NULL, 'DUF4084', 33216),
(89491, 'PF17944', NULL, 'Arginine decarboxylase C-terminal helical extension', 51, NULL, 'Arg_decarbox_C', 33217),
(89492, 'PF07708', NULL, 'Tash protein PEST motif', 18, NULL, 'Tash_PEST', 33218),
(89493, 'PF06353', NULL, 'Protein of unknown function (DUF1062)', 135, NULL, 'DUF1062', 33219),
(89494, 'PF17776', NULL, 'NLRC4 helical domain HD2', 125, NULL, 'NLRC4_HD2', 33220),
(89495, 'PF13548', NULL, 'Domain of unknown function (DUF4126)', 175, NULL, 'DUF4126', 33221),
(89496, 'PF11758', NULL, 'Aureocin-like type II bacteriocin', 51, NULL, 'Bacteriocin_IIi', 33222),
(89497, 'PF19226', NULL, 'DisA glycoprotein', 368, NULL, 'DisA', 33223),
(89498, 'PF16547', NULL, 'Proteasome-substrate-size regulator, N-terminal', 81, NULL, 'BLM10_N', 33224),
(89499, 'PF17753', NULL, 'Ig-fold domain', 81, NULL, 'Ig_mannosidase', 33225),
(89500, 'PF02971', NULL, 'Formiminotransferase domain', 146, NULL, 'FTCD', 33226),
(89501, 'PF11563', NULL, 'Protoglobin', 158, NULL, 'Protoglobin', 33227),
(89502, 'PF14108', NULL, 'Domain of unknown function (DUF4281)', 127, NULL, 'DUF4281', 33228),
(89503, 'PF00843', NULL, 'Arenavirus nucleocapsid N-terminal domain', 334, NULL, 'Arena_nucleocap', 33229),
(89504, 'PF08052', NULL, 'PyrBI operon leader peptide', 44, NULL, 'PyrBI_leader', 33230),
(89505, 'PF10591', NULL, 'Secreted protein acidic and rich in cysteine Ca binding region', 113, NULL, 'SPARC_Ca_bdg', 33231),
(89506, 'PF13101', NULL, 'Protein of unknown function (DUF3945)', 59, NULL, 'DUF3945', 33232),
(89507, 'PF11775', NULL, 'Cobalamin biosynthesis protein CobT VWA domain', 219, NULL, 'CobT_C', 33233),
(89508, 'PF18388', NULL, 'Atg29 N-terminal domain', 54, NULL, 'ATG29_N', 33234),
(89509, 'PF07524', NULL, 'Bromodomain associated', 77, NULL, 'Bromo_TP', 33235),
(89510, 'PF03122', NULL, 'Herpes virus major capsid protein', 1370, NULL, 'Herpes_MCP', 33236),
(89511, 'PF18613', NULL, 'Tyrosine kinase receptor A trans-membrane domain', 22, NULL, 'TrkA_TMD', 33237),
(89512, 'PF13067', NULL, 'Protein of unknown function (DUF3930)', 51, NULL, 'DUF3930', 33238),
(89513, 'PF01127', NULL, 'Succinate dehydrogenase/Fumarate reductase transmembrane subunit', 121, NULL, 'Sdh_cyt', 33239),
(89514, 'PF14267', NULL, 'Domain of unknown function (DUF4357)', 54, NULL, 'DUF4357', 33240),
(89515, 'PF00347', NULL, 'Ribosomal protein L6', 76, NULL, 'Ribosomal_L6', 33241),
(89516, 'PF03553', NULL, 'Na+/H+ antiporter family', 303, NULL, 'Na_H_antiporter', 33242),
(89517, 'PF11641', NULL, 'Glycosylphosphatidylinositol-anchored merozoite surface protein', 224, NULL, 'Antigen_Bd37', 33243),
(89518, 'PF11660', NULL, 'Protein of unknown function (DUF3262)', 76, NULL, 'DUF3262', 33244),
(89519, 'PF18091', NULL, 'E3 Ubiquitin Ligase RBR C-terminal domain', 92, NULL, 'E3_UbLigase_RBR', 33245);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(89520, 'PF18624', NULL, 'CDI immunity protein', 101, NULL, 'CdiI_4', 33246),
(89521, 'PF08505', NULL, 'Mitochondrial Myo2 receptor-related protein', 265, NULL, 'MMR1', 33247),
(89522, 'PF08868', NULL, 'YugN-like family', 130, NULL, 'YugN', 33248),
(89523, 'PF17561', NULL, 'Type VI secretion system, TssO', 148, NULL, 'TssO', 33249),
(89524, 'PF12090', NULL, 'Spt20 family', 233, NULL, 'Spt20', 33250),
(89525, 'PF08418', NULL, 'DNA polymerase alpha subunit B N-terminal', 235, NULL, 'Pol_alpha_B_N', 33251),
(89526, 'PF06367', NULL, 'Diaphanous FH3 Domain', 195, NULL, 'Drf_FH3', 33252),
(89527, 'PF15702', NULL, 'Hermansky-Pudlak syndrome 6 protein', 778, NULL, 'HPS6', 33253),
(89528, 'PF17053', NULL, 'Genetic interactor of prohibitin 5', 222, NULL, 'GEP5', 33254),
(89529, 'PF02694', NULL, 'Uncharacterised BCR, YnfA/UPF0060 family', 107, NULL, 'UPF0060', 33255),
(89530, 'PF13560', NULL, 'Helix-turn-helix domain', 64, NULL, 'HTH_31', 33256),
(89531, 'PF10748', NULL, 'DNA utilization proteins HofP', 132, NULL, 'HofP', 33257),
(89532, 'PF06181', NULL, 'Urate oxidase N-terminal', 297, NULL, 'Urate_ox_N', 33258),
(89533, 'PF19350', NULL, 'Family of unknown function (DUF5928)', 256, NULL, 'DUF5928', 33259),
(89534, 'PF05864', NULL, 'Chordopoxvirus DNA-directed RNA polymerase 7 kDa polypeptide (RPO7)', 63, NULL, 'Chordopox_RPO7', 33260),
(89535, 'PF18915', NULL, 'Domain of unknown function (DUF5667)', 102, NULL, 'DUF5667', 33261),
(89536, 'PF16218', NULL, 'Peptidase family C101', 265, NULL, 'Peptidase_C101', 33262),
(89537, 'PF08886', NULL, 'Glutamate-cysteine ligase', 402, NULL, 'GshA', 33263),
(89538, 'PF17170', NULL, '6-bladed beta-propeller', 321, NULL, 'DUF5128', 33264),
(89539, 'PF03468', NULL, 'XS domain', 113, NULL, 'XS', 33265),
(89540, 'PF16357', NULL, 'Putative PepSY_TM-like', 197, NULL, 'PepSY_TM_like_2', 33266),
(89541, 'PF07811', NULL, 'TadE-like protein', 43, NULL, 'TadE', 33267),
(89542, 'PF04242', NULL, 'Protein of unknown function (DUF424)', 92, NULL, 'DUF424', 33268),
(89543, 'PF15834', NULL, 'Testis highly expressed protein 4', 201, NULL, 'THEG4', 33269),
(89544, 'PF15466', NULL, 'Domain of unknown function (DUF4635)', 134, NULL, 'DUF4635', 33270),
(89545, 'PF08702', NULL, 'Fibrinogen alpha/beta chain family', 143, NULL, 'Fib_alpha', 33271),
(89546, 'PF16420', NULL, 'Ubiquitin-like modifier-activating enzyme ATG7 N-terminus', 311, NULL, 'ATG7_N', 33272),
(89547, 'PF18130', NULL, 'ATP-grasp N-terminal domain', 81, NULL, 'ATPgrasp_N', 33273),
(89548, 'PF07560', NULL, 'Domain of Unknown Function (DUF1539)', 126, NULL, 'DUF1539', 33274),
(89549, 'PF14839', NULL, 'DOR family', 237, NULL, 'DOR', 33275),
(89550, 'PF07542', NULL, 'ATP12 chaperone protein', 129, NULL, 'ATP12', 33276),
(89551, 'PF11692', NULL, 'Protein of unknown function (DUF3289)', 272, NULL, 'DUF3289', 33277),
(89552, 'PF12604', NULL, 'Tail fibre protein gp37 C terminal', 168, NULL, 'gp37_C', 33278),
(89553, 'PF13446', NULL, 'A repeated domain in UCH-protein', 59, NULL, 'RPT', 33279),
(89554, 'PF11130', NULL, 'TraC protein', 232, NULL, 'TraC_F_IV', 33280),
(89555, 'PF15207', NULL, 'TMEM240 family', 174, NULL, 'TMEM240', 33281),
(89556, 'PF08009', NULL, 'CDP-alcohol phosphatidyltransferase 2', 37, NULL, 'CDP-OH_P_tran_2', 33282),
(89557, 'PF06730', NULL, 'FAM92 protein', 222, NULL, 'FAM92', 33283),
(89558, 'PF16764', NULL, 'Sharpin PH domain', 121, NULL, 'Sharpin_PH', 33284),
(89559, 'PF12195', NULL, 'Beta barrel domain of bacteriophage endosialidase', 83, NULL, 'End_beta_barrel', 33285),
(89560, 'PF15227', NULL, 'zinc finger of C3HC4-type, RING', 42, NULL, 'zf-C3HC4_4', 33286),
(89561, 'PF12744', NULL, 'Autophagy protein Atg19, Atg8-binding', 251, NULL, 'ATG19', 33287),
(89562, 'PF13571', NULL, 'Domain of unknown function (DUF4133)', 91, NULL, 'DUF4133', 33288),
(89563, 'PF18220', NULL, 'Adhesin BspA variable domain', 150, NULL, 'BspA_v', 33289),
(89564, 'PF08870', NULL, 'DNA sulphur modification protein DndE', 112, NULL, 'DndE', 33290),
(89565, 'PF07073', NULL, 'Modulator of Rho-dependent transcription termination (ROF)', 80, NULL, 'ROF', 33291); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(89566, 'PF02608', NULL, 'ABC transporter substrate-binding protein PnrA-like', 302, NULL, 'Bmp', 33292),
(89567, 'PF09432', NULL, 'Tho complex subunit THP2', 129, NULL, 'THP2', 33293),
(89568, 'PF13210', NULL, 'Domain of unknown function (DUF4018)', 195, NULL, 'DUF4018', 33294),
(89569, 'PF14555', NULL, 'UBA-like domain', 43, NULL, 'UBA_4', 33295),
(89570, 'PF06394', NULL, 'Pepsin inhibitor-3-like repeated domain', 74, NULL, 'Pepsin-I3', 33296),
(89571, 'PF09199', NULL, 'Staphylococcal superantigen-like OB-fold domain', 84, NULL, 'SSL_OB', 33297),
(89572, 'PF14557', NULL, 'Putative AphA-like transcriptional regulator', 175, NULL, 'AphA_like', 33298),
(89573, 'PF03477', NULL, 'ATP cone domain', 86, NULL, 'ATP-cone', 33299),
(89574, 'PF12447', NULL, 'Protein of unknown function (DUF3683)', 114, NULL, 'DUF3683', 33300),
(89575, 'PF11061', NULL, 'Protein of unknown function (DUF2862)', 61, NULL, 'DUF2862', 33301),
(89576, 'PF05636', NULL, 'HIGH Nucleotidyl Transferase', 404, NULL, 'HIGH_NTase1', 33302),
(89577, 'PF12085', NULL, 'Protein of unknown function (DUF3562)', 60, NULL, 'DUF3562', 33303),
(89578, 'PF17667', NULL, 'Fungal protein kinase', 405, NULL, 'Pkinase_fungal', 33304),
(89579, 'PF16583', NULL, 'Zinc-regulated secreted antivirulence protein C-terminal domain', 145, NULL, 'ZirS_C', 33305),
(89580, 'PF11021', NULL, 'Protein of unknown function (DUF2613)', 55, NULL, 'DUF2613', 33306),
(89581, 'PF02755', NULL, 'RPEL repeat', 24, NULL, 'RPEL', 33307),
(89582, 'PF07889', NULL, 'Protein of unknown function (DUF1664)', 124, NULL, 'DUF1664', 33308),
(89583, 'PF09583', NULL, 'Phage shock protein G (Phageshock_PspG)', 64, NULL, 'Phageshock_PspG', 33309),
(89584, 'PF03058', NULL, 'Sar8.2 family', 93, NULL, 'Sar8_2', 33310),
(89585, 'PF14746', NULL, 'WASH complex subunit 7, C-terminal', 175, NULL, 'WASH-7_C', 33311),
(89586, 'PF06716', NULL, 'Movement protein p6', 54, NULL, 'MP_p6', 33312),
(89587, 'PF14254', NULL, 'Domain of unknown function (DUF4348)', 230, NULL, 'DUF4348', 33313),
(89588, 'PF10721', NULL, 'Protein of unknown function (DUF2514)', 161, NULL, 'DUF2514', 33314),
(89589, 'PF14327', NULL, 'Hinge domain of cleavage stimulation factor subunit 2', 81, NULL, 'CSTF2_hinge', 33315),
(89590, 'PF14779', NULL, 'Ciliary BBSome complex subunit 1', 255, NULL, 'BBS1', 33316),
(89591, 'PF19961', NULL, 'Effector-associated domain 8', 96, NULL, 'EAD8', 33317),
(89592, 'PF18057', NULL, 'Domain of unknown function (DUF5594)', 128, NULL, 'DUF5594', 33318),
(89593, 'PF16449', NULL, 'Fimbrillin MatB', 168, NULL, 'MatB', 33319),
(89594, 'PF05288', NULL, 'Poxvirus A3L Protein', 70, NULL, 'Pox_A3L', 33320),
(89595, 'PF05014', NULL, 'Nucleoside 2-deoxyribosyltransferase', 118, NULL, 'Nuc_deoxyrib_tr', 33321),
(89596, 'PF06985', NULL, 'Heterokaryon incompatibility protein (HET)', 146, NULL, 'HET', 33322),
(89597, 'PF09762', NULL, 'CCDC93, coiled-coil domain', 177, NULL, 'CCDC93_CC', 33323),
(89598, 'PF09748', NULL, 'Transcription factor subunit Med10 of Mediator complex', 121, NULL, 'Med10', 33324),
(89599, 'PF01167', NULL, 'Tub family', 260, NULL, 'Tub', 33325),
(89600, 'PF07318', NULL, 'Protein of unknown function (DUF1464)', 327, NULL, 'DUF1464', 33326),
(89601, 'PF00062', NULL, 'C-type lysozyme/alpha-lactalbumin family', 123, NULL, 'Lys', 33327),
(89602, 'PF01794', NULL, 'Ferric reductase like transmembrane component', 125, NULL, 'Ferric_reduct', 33328),
(89603, 'PF02605', NULL, 'Photosystem I reaction centre subunit XI', 150, NULL, 'PsaL', 33329),
(89604, 'PF19053', NULL, 'EccD-like transmembrane domain', 392, NULL, 'EccD', 33330),
(89605, 'PF03753', NULL, 'Human herpesvirus 6 immediate early protein', 1078, NULL, 'HHV6-IE', 33331),
(89606, 'PF17373', NULL, 'Family of unknown function (DUF5395)', 81, NULL, 'DUF5395', 33332),
(89607, 'PF00469', NULL, 'Negative factor, (F-Protein) or Nef', 220, NULL, 'F-protein', 33333),
(89608, 'PF03342', NULL, 'Rhabdovirus M1 matrix protein (M1 polymerase-associated protein)', 227, NULL, 'Rhabdo_M1', 33334),
(89609, 'PF03943', NULL, 'TAP C-terminal domain', 49, NULL, 'TAP_C', 33335);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(89610, 'PF18910', NULL, 'Domain of unknown function (DUF5665)', 56, NULL, 'DUF5665', 33336),
(89611, 'PF02959', NULL, 'HTLV Tax', 222, NULL, 'Tax', 33337),
(89612, 'PF17205', NULL, 'Integrin plexin domain', 46, NULL, 'PSI_integrin', 33338),
(89613, 'PF19743', NULL, 'ASTN1/2 EGF-like and Fn(III) domains', 231, NULL, 'ASTN1_2_EGF_Fn', 33339),
(89614, 'PF03659', NULL, 'Glycosyl hydrolase family 71', 376, NULL, 'Glyco_hydro_71', 33340),
(89615, 'PF14232', NULL, 'Domain of unknown function (DUF4334)', 58, NULL, 'DUF4334', 33341),
(89616, 'PF06825', NULL, 'Heat shock factor binding protein 1', 51, NULL, 'HSBP1', 33342),
(89617, 'PF13379', NULL, 'NMT1-like family', 253, NULL, 'NMT1_2', 33343),
(89618, 'PF13192', NULL, 'Thioredoxin domain', 76, NULL, 'Thioredoxin_3', 33344),
(89619, 'PF15382', NULL, 'Domain of unknown function (DUF4609)', 68, NULL, 'DUF4609', 33345),
(89620, 'PF02486', NULL, 'Replication initiation factor', 203, NULL, 'Rep_trans', 33346),
(89621, 'PF03254', NULL, 'Xyloglucan fucosyltransferase', 475, NULL, 'XG_FTase', 33347),
(89622, 'PF18374', NULL, 'Enolase N-terminal domain-like', 52, NULL, 'Enolase_like_N', 33348),
(89623, 'PF00397', NULL, 'WW domain', 31, NULL, 'WW', 33349),
(89624, 'PF03474', NULL, 'DMRTA motif', 37, NULL, 'DMA', 33350),
(89625, 'PF04813', NULL, 'Hepatocyte nuclear factor 1 (HNF-1), alpha isoform C terminus', 88, NULL, 'HNF-1A_C', 33351),
(89626, 'PF17360', NULL, 'Family of unknown function (DUF5386)', 170, NULL, 'DUF5386', 33352),
(89627, 'PF06196', NULL, 'Protein of unknown function (DUF997)', 77, NULL, 'DUF997', 33353),
(89628, 'PF15781', NULL, 'ParE-like toxin of type II bacterial toxin-antitoxin system', 87, NULL, 'ParE-like_toxin', 33354),
(89629, 'PF00639', NULL, 'PPIC-type PPIASE domain', 97, NULL, 'Rotamase', 33355),
(89630, 'PF13445', NULL, 'RING-type zinc-finger', 40, NULL, 'zf-RING_UBOX', 33356),
(89631, 'PF04948', NULL, 'Poxvirus A51 protein', 337, NULL, 'Pox_A51', 33357),
(89632, 'PF19093', NULL, 'Family of unknown function (DUF5781)', 243, NULL, 'DUF5781', 33358),
(89633, 'PF07037', NULL, 'Putative transcription regulator (DUF1323)', 122, NULL, 'DUF1323', 33359),
(89634, 'PF16676', NULL, 'Transactivation domain of FOXO protein family', 42, NULL, 'FOXO-TAD', 33360),
(89635, 'PF13551', NULL, 'Winged helix-turn helix', 63, NULL, 'HTH_29', 33361),
(89636, 'PF08399', NULL, 'VWA N-terminal', 120, NULL, 'VWA_N', 33362),
(89637, 'PF03693', NULL, 'Bacterial antitoxin of ParD toxin-antitoxin type II system and RHH', 81, NULL, 'ParD_antitoxin', 33363),
(89638, 'PF15564', NULL, 'Immunity protein 25', 131, NULL, 'Imm25', 33364),
(89639, 'PF12968', NULL, 'Domain of Unknown Function (DUF3856)', 143, NULL, 'DUF3856', 33365),
(89640, 'PF19401', NULL, 'Family of unknown function (DUF5976)', 50, NULL, 'DUF5976', 33366),
(89641, 'PF11369', NULL, 'Protein of unknown function (DUF3160)', 627, NULL, 'DUF3160', 33367),
(89642, 'PF12631', NULL, 'MnmE helical domain', 208, NULL, 'MnmE_helical', 33368),
(89643, 'PF13401', NULL, 'AAA domain', 137, NULL, 'AAA_22', 33369),
(89644, 'PF00465', NULL, 'Iron-containing alcohol dehydrogenase', 364, NULL, 'Fe-ADH', 33370),
(89645, 'PF12786', NULL, 'GB virus C genotype envelope', 413, NULL, 'GBV-C_env', 33371),
(89646, 'PF03766', NULL, 'Remorin, N-terminal region', 54, NULL, 'Remorin_N', 33372),
(89647, 'PF10471', NULL, 'Anaphase-promoting complex APC subunit CDC26', 74, NULL, 'ANAPC_CDC26', 33373),
(89648, 'PF15553', NULL, 'Testis-expressed protein 19', 159, NULL, 'TEX19', 33374),
(89649, 'PF02884', NULL, 'Polysaccharide lyase family 8, C-terminal beta-sandwich domain', 69, NULL, 'Lyase_8_C', 33375),
(89650, 'PF09591', NULL, 'Protein of unknown function (DUF2463)', 210, NULL, 'DUF2463', 33376),
(89651, 'PF16135', NULL, 'Tify domain binding domain', 52, NULL, 'TDBD', 33377),
(89652, 'PF11232', NULL, 'Mediator complex subunit 25 PTOV activation and synapsin 2', 154, NULL, 'Med25', 33378),
(89653, 'PF00101', NULL, 'Ribulose bisphosphate carboxylase, small chain', 97, NULL, 'RuBisCO_small', 33379),
(89654, 'PF03331', NULL, 'UDP-3-O-acyl N-acetylglycosamine deacetylase', 268, NULL, 'LpxC', 33380);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(89655, 'PF04535', NULL, 'Domain of unknown function (DUF588)', 150, NULL, 'DUF588', 33381),
(89656, 'PF02988', NULL, 'Phospholipase A2 inhibitor', 83, NULL, 'PLA2_inh', 33382),
(89657, 'PF04919', NULL, 'Protein of unknown function (DUF655)', 181, NULL, 'DUF655', 33383),
(89658, 'PF19541', NULL, 'Family of unknown function (DUF6065)', 236, NULL, 'DUF6065', 33384),
(89659, 'PF18832', NULL, 'Large polyvalent protein-associated domain 18', 86, NULL, 'LPD18', 33385),
(89660, 'PF18021', NULL, 'Agglutinin C-terminal', 93, NULL, 'Agglutinin_C', 33386),
(89661, 'PF00294', NULL, 'pfkB family carbohydrate kinase', 302, NULL, 'PfkB', 33387),
(89662, 'PF11566', NULL, 'PI31 proteasome regulator N-terminal', 163, NULL, 'PI31_Prot_N', 33388),
(89663, 'PF13852', NULL, 'Protein of unknown function (DUF4197)', 201, NULL, 'DUF4197', 33389),
(89664, 'PF16587', NULL, '17 kDa common-antigen outer membrane protein', 82, NULL, 'DUF5061', 33390),
(89665, 'PF17296', NULL, 'Arenavirus cap snatching domain', 172, NULL, 'ArenaCapSnatch', 33391),
(89666, 'PF02935', NULL, 'Cytochrome c oxidase subunit VIIc', 64, NULL, 'COX7C', 33392),
(89667, 'PF15260', NULL, 'Protein family FAM219A', 125, NULL, 'FAM219A', 33393),
(89668, 'PF12918', NULL, 'TcdB toxin N-terminal helical domain', 66, NULL, 'TcdB_N', 33394),
(89669, 'PF00250', NULL, 'Forkhead domain', 88, NULL, 'Forkhead', 33395),
(89670, 'PF17199', NULL, 'Protein of unknown function (DUF5136)', 28, NULL, 'DUF5136', 33396),
(89671, 'PF02876', NULL, 'Staphylococcal/Streptococcal toxin, beta-grasp domain', 106, NULL, 'Stap_Strp_tox_C', 33397),
(89672, 'PF09726', NULL, 'Macoilin family', 673, NULL, 'Macoilin', 33398),
(89673, 'PF13424', NULL, 'Tetratricopeptide repeat', 77, NULL, 'TPR_12', 33399),
(89674, 'PF07139', NULL, 'Protein of unknown function (DUF1387)', 309, NULL, 'DUF1387', 33400),
(89675, 'PF11407', NULL, 'Type II restriction enzyme MunI', 202, NULL, 'RestrictionMunI', 33401),
(89676, 'PF13290', NULL, 'Chitobiase/beta-hexosaminidase C-terminal domain', 67, NULL, 'CHB_HEX_C_1', 33402),
(89677, 'PF00224', NULL, 'Pyruvate kinase, barrel domain', 348, NULL, 'PK', 33403),
(89678, 'PF01478', NULL, 'Type IV leader peptidase family', 107, NULL, 'Peptidase_A24', 33404),
(89679, 'PF04261', NULL, 'Dyp-type peroxidase family', 327, NULL, 'Dyp_perox', 33405),
(89680, 'PF09517', NULL, 'Eco29kI restriction endonuclease', 164, NULL, 'RE_Eco29kI', 33406),
(89681, 'PF04842', NULL, 'Plant protein of unknown function (DUF639)', 231, NULL, 'DUF639', 33407),
(89682, 'PF06767', NULL, 'Sif protein', 337, NULL, 'Sif', 33408),
(89683, 'PF05426', NULL, 'Alginate lyase', 272, NULL, 'Alginate_lyase', 33409),
(89684, 'PF16252', NULL, 'Domain of unknown function (DUF4908)', 221, NULL, 'DUF4908', 33410),
(89685, 'PF03591', NULL, 'AzlC protein', 136, NULL, 'AzlC', 33411),
(89686, 'PF03922', NULL, 'OmpW family', 193, NULL, 'OmpW', 33412),
(89687, 'PF14392', NULL, 'Zinc knuckle', 49, NULL, 'zf-CCHC_4', 33413),
(89688, 'PF17651', NULL, 'RACo middle region', 163, NULL, 'Raco_middle', 33414),
(89689, 'PF08262', NULL, 'Leucophaea maderae tachykinin-related peptide', 10, NULL, 'Lem_TRP', 33415),
(89690, 'PF17308', NULL, 'Pro-corazonin', 134, NULL, 'Corazonin', 33416),
(89691, 'PF12231', NULL, 'Rap1-interacting factor 1 N terminal', 374, NULL, 'Rif1_N', 33417),
(89692, 'PF01815', NULL, 'Rop protein', 57, NULL, 'Rop', 33418),
(89693, 'PF06017', NULL, 'Unconventional myosin tail, actin- and lipid-binding', 189, NULL, 'Myosin_TH1', 33419),
(89694, 'PF01676', NULL, 'Metalloenzyme superfamily', 248, NULL, 'Metalloenzyme', 33420),
(89695, 'PF15828', NULL, 'Domain of unknown function (DUF4710)', 77, NULL, 'DUF4710', 33421),
(89696, 'PF15626', NULL, 'single CXXC unit', 58, NULL, 'mono-CXXC', 33422),
(89697, 'PF17229', NULL, 'Serine/threonine-protein kinase SMG1 N-terminal', 106, NULL, 'SMG1_N', 33423),
(89698, 'PF02656', NULL, 'Domain of unknown function (DUF202)', 68, NULL, 'DUF202', 33424),
(89699, 'PF19213', NULL, 'Coronavirus replicase NSP6', 268, NULL, 'CoV_NSP6', 33425),
(89700, 'PF17050', NULL, 'Altered inheritance of mitochondria 5', 60, NULL, 'AIM5', 33426);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(89701, 'PF19416', NULL, 'Astrovirus VPg protein', 95, NULL, 'Astro_VPg', 33427),
(89702, 'PF01846', NULL, 'FF domain', 51, NULL, 'FF', 33428),
(89703, 'PF00094', NULL, 'von Willebrand factor type D domain', 157, NULL, 'VWD', 33429),
(89704, 'PF18379', NULL, 'FERM F1 ubiquitin-like domain', 96, NULL, 'FERM_F1', 33430),
(89705, 'PF14932', NULL, 'HAUS augmin-like complex subunit 3', 261, NULL, 'HAUS-augmin3', 33431),
(89706, 'PF04237', NULL, 'YjbR', 90, NULL, 'YjbR', 33432),
(89707, 'PF17789', NULL, 'Macroglobulin domain MG4', 97, NULL, 'MG4', 33433),
(89708, 'PF05145', NULL, 'Transition state regulatory protein AbrB', 314, NULL, 'AbrB', 33434),
(89709, 'PF16896', NULL, 'Phosphogluconate dehydrogenase (decarboxylating) C-term', 155, NULL, 'PGDH_C', 33435),
(89710, 'PF18531', NULL, 'Polo box domain', 112, NULL, 'Polo_box_2', 33436),
(89711, 'PF06170', NULL, 'Protein of unknown function (DUF983)', 85, NULL, 'DUF983', 33437),
(89712, 'PF07516', NULL, 'SecA Wing and Scaffold domain', 199, NULL, 'SecA_SW', 33438),
(89713, 'PF13692', NULL, 'Glycosyl transferases group 1', 135, NULL, 'Glyco_trans_1_4', 33439),
(89714, 'PF12582', NULL, 'Protein of unknown function (DUF3757)', 120, NULL, 'DUF3757', 33440),
(89715, 'PF02515', NULL, 'CoA-transferase family III', 367, NULL, 'CoA_transf_3', 33441),
(89716, 'PF18270', NULL, 'Virulence factor Evf', 235, NULL, 'Evf', 33442),
(89717, 'PF03018', NULL, 'Dirigent-like protein', 149, NULL, 'Dirigent', 33443),
(89718, 'PF19714', NULL, 'Family of unknown function (DUF6209)', 240, NULL, 'DUF6209', 33444),
(89719, 'PF04865', NULL, 'Baseplate J-like protein', 254, NULL, 'Baseplate_J', 33445),
(89720, 'PF04100', NULL, 'Vps53-like, N-terminal', 378, NULL, 'Vps53_N', 33446),
(89721, 'PF06568', NULL, 'Domain of unknown function (DUF1127)', 37, NULL, 'DUF1127', 33447),
(89722, 'PF00666', NULL, 'Cathelicidin', 101, NULL, 'Cathelicidins', 33448),
(89723, 'PF16987', NULL, 'KIX domain', 82, NULL, 'KIX_2', 33449),
(89724, 'PF12847', NULL, 'Methyltransferase domain', 151, NULL, 'Methyltransf_18', 33450),
(89725, 'PF18814', NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease5', 249, NULL, 'PBECR5', 33451),
(89726, 'PF07909', NULL, 'Protein of unknown function (DUF1663)', 497, NULL, 'DUF1663', 33452),
(89727, 'PF07759', NULL, 'Protein of unknown function (DUF1615)', 320, NULL, 'DUF1615', 33453),
(89728, 'PF02830', NULL, 'V4R domain', 62, NULL, 'V4R', 33454),
(89729, 'PF03847', NULL, 'Transcription initiation factor TFIID subunit A', 68, NULL, 'TFIID_20kDa', 33455),
(89730, 'PF19544', NULL, 'Family of unknown function (DUF6068)', 392, NULL, 'DUF6068', 33456),
(89731, 'PF00297', NULL, 'Ribosomal protein L3', 369, NULL, 'Ribosomal_L3', 33457),
(89732, 'PF16859', NULL, 'Tetracyclin repressor-like, C-terminal domain', 113, NULL, 'TetR_C_11', 33458),
(89733, 'PF16618', NULL, 'Linker region between SH3 and WW domains on ARHGAP12', 198, NULL, 'SH3-WW_linker', 33459),
(89734, 'PF03841', NULL, 'L-seryl-tRNA selenium transferase', 367, NULL, 'SelA', 33460),
(89735, 'PF03689', NULL, 'Nepovirus coat protein, N-terminal domain', 91, NULL, 'Nepo_coat_N', 33461),
(89736, 'PF12883', NULL, 'Protein of unknown function (DUF3828)', 122, NULL, 'DUF3828', 33462),
(89737, 'PF12625', NULL, 'Arabinose-binding domain of AraC transcription regulator, N-term', 185, NULL, 'Arabinose_bd', 33463),
(89738, 'PF13828', NULL, 'Domain of unknown function (DUF4190)', 62, NULL, 'DUF4190', 33464),
(89739, 'PF17994', NULL, 'Galactofuranosyltransferase 2 N-terminal', 142, NULL, 'Glft2_N', 33465),
(89740, 'PF13056', NULL, 'Protein of unknown function (DUF3918)', 43, NULL, 'DUF3918', 33466),
(89741, 'PF13630', NULL, 'SdpI/YfhL protein family', 68, NULL, 'SdpI', 33467),
(89742, 'PF07584', NULL, 'Aerotolerance regulator N-terminal', 77, NULL, 'BatA', 33468),
(89743, 'PF08990', NULL, 'Erythronolide synthase docking domain', 29, NULL, 'Docking', 33469),
(89744, 'PF00821', NULL, 'Phosphoenolpyruvate carboxykinase C-terminal P-loop domain', 358, NULL, 'PEPCK_GTP', 33470),
(89745, 'PF05637', NULL, 'galactosyl transferase GMA12/MNN10 family', 239, NULL, 'Glyco_transf_34', 33471);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(89746, 'PF03871', NULL, 'RNA polymerase Rpb5, N-terminal domain', 89, NULL, 'RNA_pol_Rpb5_N', 33472),
(89747, 'PF08372', NULL, 'Plant phosphoribosyltransferase C-terminal', 156, NULL, 'PRT_C', 33473),
(89748, 'PF14261', NULL, 'Domain of unknown function (DUF4351)', 59, NULL, 'DUF4351', 33474),
(89749, 'PF15025', NULL, 'Domain of unknown function (DUF4524)', 146, NULL, 'DUF4524', 33475),
(89750, 'PF16259', NULL, 'Domain of unknown function (DUF4913)', 104, NULL, 'DUF4913', 33476),
(89751, 'PF09947', NULL, 'Uncharacterized protein conserved in archaea (DUF2180)', 68, NULL, 'DUF2180', 33477),
(89752, 'PF05883', NULL, 'Baculovirus U-box/Ring-like domain', 134, NULL, 'Baculo_RING', 33478),
(89753, 'PF02479', NULL, 'Herpesvirus immediate early protein', 134, NULL, 'Herpes_IE68', 33479),
(89754, 'PF03114', NULL, 'BAR domain', 239, NULL, 'BAR', 33480),
(89755, 'PF16375', NULL, 'Domain of unknown function', 84, NULL, 'DUF4986', 33481),
(89756, 'PF13320', NULL, 'Domain of unknown function (DUF4091)', 65, NULL, 'DUF4091', 33482),
(89757, 'PF14258', NULL, 'Domain of unknown function (DUF4350)', 69, NULL, 'DUF4350', 33483),
(89758, 'PF10751', NULL, 'Protein of unknown function (DUF2535)', 83, NULL, 'DUF2535', 33484),
(89759, 'PF11053', NULL, 'Terminase DNA packaging enzyme', 157, NULL, 'DNA_Packaging', 33485),
(89760, 'PF08198', NULL, 'Thymopoietin protein', 48, NULL, 'Thymopoietin', 33486),
(89761, 'PF08498', NULL, 'Sterol methyltransferase C-terminal', 66, NULL, 'Sterol_MT_C', 33487),
(89762, 'PF04193', NULL, 'PQ loop repeat', 61, NULL, 'PQ-loop', 33488),
(89763, 'PF07859', NULL, 'alpha/beta hydrolase fold', 211, NULL, 'Abhydrolase_3', 33489),
(89764, 'PF15225', NULL, 'Interleukin 32', 101, NULL, 'IL32', 33490),
(89765, 'PF16090', NULL, 'Domain of unknown function (DUF4819)', 85, NULL, 'DUF4819', 33491),
(89766, 'PF17899', NULL, 'Peptidase M61 N-terminal domain', 167, NULL, 'Peptidase_M61_N', 33492),
(89767, 'PF14456', NULL, 'Alpha-helical domain 2', 303, NULL, 'alpha-hel2', 33493),
(89768, 'PF18207', NULL, 'Leukemia inhibitory factor receptor N-terminal domain', 79, NULL, 'LIFR_N', 33494),
(89769, 'PF01696', NULL, 'Adenovirus EB1 55K protein / large t-antigen', 387, NULL, 'Adeno_E1B_55K', 33495),
(89770, 'PF03618', NULL, 'Kinase/pyrophosphorylase', 255, NULL, 'Kinase-PPPase', 33496),
(89771, 'PF15679', NULL, 'Domain of unknown function (DUF4665)', 99, NULL, 'DUF4665', 33497),
(89772, 'PF16623', NULL, 'Unstructured linker region between on GAS7 protein', 92, NULL, 'WW_FCH_linker', 33498),
(89773, 'PF00892', NULL, 'EamA-like transporter family', 137, NULL, 'EamA', 33499),
(89774, 'PF08495', NULL, 'FIST N domain', 172, NULL, 'FIST', 33500),
(89775, 'PF13390', NULL, 'Protein of unknown function (DUF4108)', 143, NULL, 'DUF4108', 33501),
(89776, 'PF12713', NULL, 'Domain of unknown function (DUF3806)', 86, NULL, 'DUF3806', 33502),
(89777, 'PF13125', NULL, 'Protein of unknown function (DUF3958)', 107, NULL, 'DUF3958', 33503),
(89778, 'PF02898', NULL, 'Nitric oxide synthase, oxygenase domain', 362, NULL, 'NO_synthase', 33504),
(89779, 'PF08703', NULL, 'PLC-beta C terminal', 176, NULL, 'PLC-beta_C', 33505),
(89780, 'PF14358', NULL, 'Domain of unknown function (DUF4405)', 66, NULL, 'DUF4405', 33506),
(89781, 'PF20049', NULL, 'Domain of unknown function (DUF6451)', 33, NULL, 'DUF6451', 33507),
(89782, 'PF10410', NULL, 'DnaB-helicase binding domain of primase', 56, NULL, 'DnaB_bind', 33508),
(89783, 'PF10544', NULL, 'T5orf172 domain', 104, NULL, 'T5orf172', 33509),
(89784, 'PF07016', NULL, 'Cysteine-rich acidic integral membrane protein precursor', 22, NULL, 'CRAM_rpt', 33510),
(89785, 'PF18032', NULL, 'Photoprotection regulator fluorescence recovery protein', 99, NULL, 'FRP', 33511),
(89786, 'PF02973', NULL, 'Sialidase, N-terminal domain', 189, NULL, 'Sialidase', 33512),
(89787, 'PF07165', NULL, 'Protein of unknown function (DUF1397)', 207, NULL, 'DUF1397', 33513),
(89788, 'PF12282', NULL, 'Signal transduction histidine kinase', 144, NULL, 'H_kinase_N', 33514),
(89789, 'PF15822', NULL, 'MAPK-interacting and spindle-stabilising protein-like', 238, NULL, 'MISS', 33515);
INSERT INTO "PUBLIC"."MODEL" VALUES
(89790, 'PF08966', NULL, 'Domain of unknown function (DUF1882)', 73, NULL, 'DUF1882', 33516),
(89791, 'PF04280', NULL, 'Tim44-like domain', 147, NULL, 'Tim44', 33517),
(89792, 'PF11382', NULL, 'Copper transport outer membrane protein, MctB', 305, NULL, 'MctB', 33518),
(89793, 'PF04356', NULL, 'Protein of unknown function (DUF489)', 192, NULL, 'DUF489', 33519),
(89794, 'PF07445', NULL, 'Primosomal replication protein priC', 174, NULL, 'PriC', 33520),
(89795, 'PF19377', NULL, 'Family of unknown function (DUF5952)', 93, NULL, 'DUF5952', 33521),
(89796, 'PF14835', NULL, 'zf-RING of BARD1-type protein', 65, NULL, 'zf-RING_6', 33522),
(89797, 'PF19010', NULL, 'Family of unknown function (DUF5739)', 114, NULL, 'DUF5739', 33523),
(89798, 'PF06679', NULL, 'Protein of unknown function (DUF1180)', 169, NULL, 'DUF1180', 33524),
(89799, 'PF19852', NULL, 'Family of unknown function (DUF6327)', 83, NULL, 'DUF6327', 33525),
(89800, 'PF02141', NULL, 'DENN (AEX-3) domain', 185, NULL, 'DENN', 33526),
(89801, 'PF02495', NULL, 'Triple gene block 3', 59, NULL, 'TGBp3', 33527),
(89802, 'PF00549', NULL, 'CoA-ligase', 153, NULL, 'Ligase_CoA', 33528),
(89803, 'PF08499', NULL, '3''5''-cyclic nucleotide phosphodiesterase N-terminal', 61, NULL, 'PDEase_I_N', 33529),
(89804, 'PF18555', NULL, 'MobL relaxases', 387, NULL, 'MobL', 33530),
(89805, 'PF07874', NULL, 'Prophage protein (DUF1660)', 64, NULL, 'DUF1660', 33531),
(89806, 'PF13898', NULL, 'Domain of unknown function (DUF4205)', 352, NULL, 'DUF4205', 33532),
(89807, 'PF16042', NULL, 'Domain of unknown function (DUF4794)', 79, NULL, 'DUF4794', 33533),
(89808, 'PF09673', NULL, 'Type-F conjugative transfer system pilin assembly protein', 112, NULL, 'TrbC_Ftype', 33534),
(89809, 'PF13294', NULL, 'Domain of unknown function (DUF4075)', 79, NULL, 'DUF4075', 33535),
(89810, 'PF10764', NULL, 'Inhibitor of sigma-G Gin', 45, NULL, 'Gin', 33536),
(89811, 'PF13308', NULL, 'YARHG domain', 84, NULL, 'YARHG', 33537),
(89812, 'PF09300', NULL, 'Tectiviridae, minor capsid', 84, NULL, 'Tecti-min-caps', 33538),
(89813, 'PF11594', NULL, 'Mediator complex subunit 28', 102, NULL, 'Med28', 33539),
(89814, 'PF15180', NULL, 'Neuropeptides B and W', 118, NULL, 'NPBW', 33540),
(89815, 'PF10960', NULL, 'BhlA holin family', 70, NULL, 'Holin_BhlA', 33541),
(89816, 'PF01995', NULL, 'NrpR regulatory domains NRD1 and 2', 238, NULL, 'NRD1_2', 33542),
(89817, 'PF10448', NULL, '20S proteasome chaperone assembly proteins 3 and 4', 144, NULL, 'POC3_POC4', 33543),
(89818, 'PF09275', NULL, 'Pertussis toxin S4 subunit', 110, NULL, 'Pertus-S4-tox', 33544),
(89819, 'PF15372', NULL, 'Domain of unknown function (DUF4600)', 128, NULL, 'DUF4600', 33545),
(89820, 'PF03188', NULL, 'Eukaryotic cytochrome b561', 137, NULL, 'Cytochrom_B561', 33546),
(89821, 'PF19657', NULL, 'Family of unknown function (DUF6160)', 320, NULL, 'DUF6160', 33547),
(89822, 'PF16455', NULL, 'Ubiquitin-binding domain', 104, NULL, 'UBD', 33548),
(89823, 'PF10644', NULL, 'Misato Segment II tubulin-like domain', 118, NULL, 'Misat_Tub_SegII', 33549),
(89824, 'PF09654', NULL, 'Protein of unknown function (DUF2396)', 159, NULL, 'DUF2396', 33550),
(89825, 'PF03947', NULL, 'Ribosomal Proteins L2, C-terminal domain', 126, NULL, 'Ribosomal_L2_C', 33551),
(89826, 'PF08278', NULL, 'DNA primase DnaG DnaB-binding', 124, NULL, 'DnaG_DnaB_bind', 33552),
(89827, 'PF09578', NULL, 'Spore cortex protein YabQ (Spore_YabQ)', 78, NULL, 'Spore_YabQ', 33553),
(89828, 'PF14611', NULL, 'Mitochondrial inner-membrane-bound regulator', 221, NULL, 'SLS', 33554),
(89829, 'PF18378', NULL, 'Nuclear pore protein NUP188 C-terminal domain', 371, NULL, 'Nup188_C', 33555),
(89830, 'PF10958', NULL, 'Protein of unknown function (DUF2759)', 51, NULL, 'DUF2759', 33556),
(89831, 'PF03494', NULL, 'Beta-amyloid peptide (beta-APP)', 39, NULL, 'Beta-APP', 33557),
(89832, 'PF00735', NULL, 'Septin', 281, NULL, 'Septin', 33558),
(89833, 'PF05202', NULL, 'Recombinase Flp protein', 251, NULL, 'Flp_C', 33559),
(89834, 'PF04101', NULL, 'Glycosyltransferase family 28 C-terminal domain', 167, NULL, 'Glyco_tran_28_C', 33560);
INSERT INTO "PUBLIC"."MODEL" VALUES
(89835, 'PF03192', NULL, 'Pyrococcus protein of unknown function, DUF257', 205, NULL, 'DUF257', 33561),
(89836, 'PF10799', NULL, 'Biofilm formation protein (YliH/bssR)', 126, NULL, 'YliH', 33562),
(89837, 'PF16266', NULL, 'Domain of unknown function (DUF4919)', 185, NULL, 'DUF4919', 33563),
(89838, 'PF11726', NULL, 'Inovirus Gp2', 179, NULL, 'Inovirus_Gp2', 33564),
(89839, 'PF05822', NULL, 'Pyrimidine 5''-nucleotidase (UMPH-1)', 246, NULL, 'UMPH-1', 33565),
(89840, 'PF12763', NULL, 'Cytoskeletal-regulatory complex EF hand', 104, NULL, 'EF-hand_4', 33566),
(89841, 'PF07916', NULL, 'TraG-like protein, N-terminal region', 468, NULL, 'TraG_N', 33567),
(89842, 'PF17177', NULL, 'Pentacotripeptide-repeat region of PRORP', 212, NULL, 'PPR_long', 33568),
(89843, 'PF19924', NULL, 'Family of unknown function (DUF6387)', 274, NULL, 'DUF6387', 33569),
(89844, 'PF03373', NULL, 'Octapeptide repeat', 8, NULL, 'Octapeptide', 33570),
(89845, 'PF01780', NULL, 'Ribosomal L37ae protein family', 85, NULL, 'Ribosomal_L37ae', 33571),
(89846, 'PF00049', NULL, 'Insulin/IGF/Relaxin family', 85, NULL, 'Insulin', 33572),
(89847, 'PF04800', NULL, 'ETC complex I subunit conserved region', 96, NULL, 'ETC_C1_NDUFA4', 33573),
(89848, 'PF03584', NULL, 'Herpesvirus ICP4-like protein N-terminal region', 174, NULL, 'Herpes_ICP4_N', 33574),
(89849, 'PF09210', NULL, 'Domain of unknown function (DUF1957)', 101, NULL, 'DUF1957', 33575),
(89850, 'PF11911', NULL, 'Protein of unknown function (DUF3429)', 144, NULL, 'DUF3429', 33576),
(89851, 'PF11249', NULL, 'Protein of unknown function (DUF3047)', 188, NULL, 'DUF3047', 33577),
(89852, 'PF04381', NULL, 'Putative exonuclease, RdgC', 298, NULL, 'RdgC', 33578),
(89853, 'PF15815', NULL, 'E3 ubiquitin-protein ligase makorin, C-terminal', 91, NULL, 'MKRN1_C', 33579),
(89854, 'PF03594', NULL, 'Benzoate membrane transport protein', 378, NULL, 'BenE', 33580),
(89855, 'PF13204', NULL, 'Protein of unknown function (DUF4038)', 306, NULL, 'DUF4038', 33581),
(89856, 'PF02611', NULL, 'CDP-diacylglycerol pyrophosphatase', 224, NULL, 'CDH', 33582),
(89857, 'PF14728', NULL, 'PTHB1 C-terminus', 376, NULL, 'PHTB1_C', 33583),
(89858, 'PF02914', NULL, 'Bacteriophage Mu transposase', 219, NULL, 'DDE_2', 33584),
(89859, 'PF02873', NULL, 'UDP-N-acetylenolpyruvoylglucosamine reductase, C-terminal domain', 115, NULL, 'MurB_C', 33585),
(89860, 'PF13528', NULL, 'Glycosyl transferase family 1', 322, NULL, 'Glyco_trans_1_3', 33586),
(89861, 'PF02661', NULL, 'Fic/DOC family', 97, NULL, 'Fic', 33587),
(89862, 'PF09061', NULL, 'Stirrup', 79, NULL, 'Stirrup', 33588),
(89863, 'PF07277', NULL, 'SapC', 221, NULL, 'SapC', 33589),
(89864, 'PF00367', NULL, 'phosphotransferase system, EIIB', 34, NULL, 'PTS_EIIB', 33590),
(89865, 'PF08104', NULL, 'Ponericin L family', 24, NULL, 'Antimicrobial_9', 33591),
(89866, 'PF00906', NULL, 'Hepatitis core antigen', 259, NULL, 'Hepatitis_core', 33592),
(89867, 'PF16475', NULL, 'Domain of unknown function (DUF5052)', 199, NULL, 'DUF5052', 33593),
(89868, 'PF19169', NULL, 'Family of unknown function (DUF5851)', 353, NULL, 'DUF5851', 33594),
(89869, 'PF14332', NULL, 'Domain of unknown function (DUF4388)', 94, NULL, 'DUF4388', 33595),
(89870, 'PF03586', NULL, 'Herpesvirus UL36 tegument protein', 251, NULL, 'Herpes_UL36', 33596),
(89871, 'PF11121', NULL, 'Protein of unknown function (DUF2639)', 38, NULL, 'DUF2639', 33597),
(89872, 'PF11339', NULL, 'Protein of unknown function (DUF3141)', 582, NULL, 'DUF3141', 33598),
(89873, 'PF01543', NULL, 'Hepatitis C virus capsid protein', 121, NULL, 'HCV_capsid', 33599),
(89874, 'PF01447', NULL, 'Thermolysin metallopeptidase, catalytic domain', 146, NULL, 'Peptidase_M4', 33600),
(89875, 'PF14893', NULL, 'PNMA', 328, NULL, 'PNMA', 33601),
(89876, 'PF19096', NULL, 'Family of unknown function (DUF5784)', 329, NULL, 'DUF5784', 33602),
(89877, 'PF00354', NULL, 'Pentaxin family', 194, NULL, 'Pentaxin', 33603),
(89878, 'PF07587', NULL, 'Protein of unknown function (DUF1553)', 244, NULL, 'PSD1', 33604),
(89879, 'PF16801', NULL, 'Dimerisation domain of Male-specific-Lethal 1', 37, NULL, 'MSL1_dimer', 33605);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(89880, 'PF10645', NULL, 'Carbohydrate binding', 49, NULL, 'Carb_bind', 33606),
(89881, 'PF17470', NULL, 'Phage gene product 45.2', 57, NULL, 'Gp45_2', 33607),
(89882, 'PF03965', NULL, 'Penicillinase repressor', 115, NULL, 'Penicillinase_R', 33608),
(89883, 'PF03595', NULL, 'Voltage-dependent anion channel', 326, NULL, 'SLAC1', 33609),
(89884, 'PF11056', NULL, 'Recombination, repair and ssDNA binding protein UvsY', 129, NULL, 'UvsY', 33610),
(89885, 'PF18122', NULL, 'Anaphase-promoting complex sub unit 1 C-terminal domain', 165, NULL, 'APC1_C', 33611),
(89886, 'PF04607', NULL, 'Region found in RelA / SpoT proteins', 117, NULL, 'RelA_SpoT', 33612),
(89887, 'PF11958', NULL, 'Domain of unknown function (DUF3472)', 173, NULL, 'DUF3472', 33613),
(89888, 'PF14649', NULL, 'Spatacsin C-terminus', 299, NULL, 'Spatacsin_C', 33614),
(89889, 'PF02950', NULL, 'Conotoxin', 75, NULL, 'Conotoxin', 33615),
(89890, 'PF03146', NULL, 'Agrin NtA domain', 112, NULL, 'NtA', 33616),
(89891, 'PF10672', NULL, 'S-adenosylmethionine-dependent methyltransferase', 286, NULL, 'Methyltrans_SAM', 33617),
(89892, 'PF03611', NULL, 'PTS system sugar-specific permease component', 396, NULL, 'EIIC-GAT', 33618),
(89893, 'PF11596', NULL, 'Protein of unknown function (DUF3246)', 243, NULL, 'DUF3246', 33619),
(89894, 'PF15707', NULL, 'Mitochondrial coiled-coil domain protein 1', 90, NULL, 'MCCD1', 33620),
(89895, 'PF12429', NULL, 'Protein of unknown function (DUF3676)', 230, NULL, 'DUF3676', 33621),
(89896, 'PF04228', NULL, 'Putative neutral zinc metallopeptidase', 290, NULL, 'Zn_peptidase', 33622),
(89897, 'PF04793', NULL, 'BRRF1-like protein', 286, NULL, 'Herpes_BBRF1', 33623),
(89898, 'PF12554', NULL, 'Mitotic-spindle organizing gamma-tubulin ring associated', 47, NULL, 'MOZART1', 33624),
(89899, 'PF03209', NULL, 'PUCC protein', 401, NULL, 'PUCC', 33625),
(89900, 'PF04279', NULL, 'Intracellular septation protein A', 176, NULL, 'IspA', 33626),
(89901, 'PF06182', NULL, 'ABC-2 family transporter protein', 229, NULL, 'ABC2_membrane_6', 33627),
(89902, 'PF09637', NULL, 'Med18 protein', 249, NULL, 'Med18', 33628),
(89903, 'PF07253', NULL, 'Gypsy protein', 472, NULL, 'Gypsy', 33629),
(89904, 'PF12092', NULL, 'Protein of unknown function (DUF3568)', 124, NULL, 'DUF3568', 33630),
(89905, 'PF06703', NULL, 'Microsomal signal peptidase 25 kDa subunit (SPC25)', 162, NULL, 'SPC25', 33631),
(89906, 'PF03980', NULL, 'Nnf1', 110, NULL, 'Nnf1', 33632),
(89907, 'PF16287', NULL, 'Domain of unknown function (DUF4933)', 386, NULL, 'DUF4933', 33633),
(89908, 'PF03086', NULL, 'Domain of unknown function (DUF240)', 119, NULL, 'DUF240', 33634),
(89909, 'PF06722', NULL, 'Protein of unknown function (DUF1205)', 95, NULL, 'DUF1205', 33635),
(89910, 'PF05001', NULL, 'RNA polymerase Rpb1 C-terminal repeat', 14, NULL, 'RNA_pol_Rpb1_R', 33636),
(89911, 'PF00738', NULL, 'Polyhedrin', 232, NULL, 'Polyhedrin', 33637),
(89912, 'PF15403', NULL, 'HiaBD2_N domain of Trimeric autotransporter adhesin (GIN)', 52, NULL, 'HiaBD2', 33638),
(89913, 'PF04805', NULL, 'E10-like protein conserved region', 70, NULL, 'Pox_E10', 33639),
(89914, 'PF15734', NULL, 'Migration and invasion-inhibitory', 344, NULL, 'MIIP', 33640),
(89915, 'PF03860', NULL, 'Domain of Unknown Function (DUF326)', 21, NULL, 'DUF326', 33641),
(89916, 'PF08946', NULL, 'Osmosensory transporter coiled coil', 46, NULL, 'Osmo_CC', 33642),
(89917, 'PF12978', NULL, 'Domain of Unknown Function with PDB structure (DUF3862)', 159, NULL, 'DUF3862', 33643),
(89918, 'PF15773', NULL, 'Domain of unknown function (DUF4701)', 499, NULL, 'DUF4701', 33644),
(89919, 'PF13908', NULL, 'Wnt and FGF inhibitory regulator', 190, NULL, 'Shisa', 33645),
(89920, 'PF08639', NULL, 'DNA replication regulator SLD3', 539, NULL, 'SLD3', 33646),
(89921, 'PF14069', NULL, 'Stage VI sporulation protein F', 72, NULL, 'SpoVIF', 33647),
(89922, 'PF01311', NULL, 'Bacterial export proteins, family 1', 230, NULL, 'Bac_export_1', 33648),
(89923, 'PF17111', NULL, 'Fungal N-terminal domain of STAND proteins', 209, NULL, 'Helo_like_N', 33649),
(89924, 'PF04925', NULL, 'SHQ1 protein', 186, NULL, 'SHQ1', 33650);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(89925, 'PF14967', NULL, 'FAM70 protein', 323, NULL, 'FAM70', 33651),
(89926, 'PF05611', NULL, 'Caenorhabditis elegans protein of unknown function (DUF780)', 71, NULL, 'DUF780', 33652),
(89927, 'PF01823', NULL, 'MAC/Perforin domain', 212, NULL, 'MACPF', 33653),
(89928, 'PF08543', NULL, 'Phosphomethylpyrimidine kinase', 247, NULL, 'Phos_pyr_kin', 33654),
(89929, 'PF13161', NULL, 'Protein of unknown function (DUF3996)', 154, NULL, 'DUF3996', 33655),
(89930, 'PF14879', NULL, 'Domain of unknown function (DUF4489)', 140, NULL, 'DUF4489', 33656),
(89931, 'PF11233', NULL, 'Protein of unknown function (DUF3035)', 141, NULL, 'DUF3035', 33657),
(89932, 'PF16843', NULL, 'Binding domain to Get4 on Get5, Golgi to ER traffic protein', 53, NULL, 'Get5_bdg', 33658),
(89933, 'PF17422', NULL, 'Family of unknown function (DUF5410)', 353, NULL, 'DUF5410', 33659),
(89934, 'PF05758', NULL, 'Ycf1', 945, NULL, 'Ycf1', 33660),
(89935, 'PF02923', NULL, 'Restriction endonuclease BamHI', 157, NULL, 'BamHI', 33661),
(89936, 'PF06300', NULL, 'Tsp45I type II restriction enzyme', 260, NULL, 'Tsp45I', 33662),
(89937, 'PF10433', NULL, 'Mono-functional DNA-alkylating methyl methanesulfonate N-term', 491, NULL, 'MMS1_N', 33663),
(89938, 'PF13179', NULL, 'Family of unknown function (DUF4006)', 64, NULL, 'DUF4006', 33664),
(89939, 'PF18508', NULL, 'Zinc finger domain', 42, NULL, 'zf_C2H2_13', 33665),
(89940, 'PF14082', NULL, 'Domain of unknown function (DUF4263)', 159, NULL, 'DUF4263', 33666),
(89941, 'PF05455', NULL, 'GvpH', 175, NULL, 'GvpH', 33667),
(89942, 'PF04172', NULL, 'LrgB-like family', 214, NULL, 'LrgB', 33668),
(89943, 'PF05932', NULL, 'Tir chaperone protein (CesT) family', 119, NULL, 'CesT', 33669),
(89944, 'PF17827', NULL, 'PrmC N-terminal domain', 71, NULL, 'PrmC_N', 33670),
(89945, 'PF18213', NULL, 'SUB1 protease Prodomain ProdP9', 80, NULL, 'SUB1_ProdP9', 33671),
(89946, 'PF17788', NULL, 'HypF Kae1-like domain', 102, NULL, 'HypF_C', 33672),
(89947, 'PF14735', NULL, 'HAUS augmin-like complex subunit 4', 235, NULL, 'HAUS4', 33673),
(89948, 'PF07696', NULL, '7TMR-DISM extracellular 2', 134, NULL, '7TMR-DISMED2', 33674),
(89949, 'PF19895', NULL, 'Family of unknown function (DUF6368)', 183, NULL, 'DUF6368', 33675),
(89950, 'PF02295', NULL, 'Adenosine deaminase z-alpha domain', 67, NULL, 'z-alpha', 33676),
(89951, 'PF18530', NULL, 'Swi6 N-terminal domain', 108, NULL, 'Swi6_N', 33677),
(89952, 'PF06790', NULL, 'Uncharacterised protein family (UPF0259)', 248, NULL, 'UPF0259', 33678),
(89953, 'PF10508', NULL, 'Proteasome non-ATPase 26S subunit', 499, NULL, 'Proteasom_PSMB', 33679),
(89954, 'PF19043', NULL, 'Nuclear cap binding complex subunit CBP66', 585, NULL, 'CBP66', 33680),
(89955, 'PF00301', NULL, 'Rubredoxin', 47, NULL, 'Rubredoxin', 33681),
(89956, 'PF06165', NULL, 'Glycosyltransferase family 36', 251, NULL, 'Glyco_transf_36', 33682),
(89957, 'PF04179', NULL, 'Rit1 DUSP-like domain', 110, NULL, 'Init_tRNA_PT', 33683),
(89958, 'PF06702', NULL, 'Golgi casein kinase, C-terminal, Fam20', 218, NULL, 'Fam20C', 33684),
(89959, 'PF00480', NULL, 'ROK family', 294, NULL, 'ROK', 33685),
(89960, 'PF00859', NULL, 'CTF/NF-I family transcription modulation region', 288, NULL, 'CTF_NFI', 33686),
(89961, 'PF16478', NULL, 'Domain of unknown function (DUF5055)', 105, NULL, 'DUF5055', 33687),
(89962, 'PF11498', NULL, 'Transcriptional activator LAG-3', 468, NULL, 'Activator_LAG-3', 33688),
(89963, 'PF03439', NULL, 'Early transcription elongation factor of RNA pol II, NGN section', 84, NULL, 'Spt5-NGN', 33689),
(89964, 'PF00544', NULL, 'Pectate lyase', 211, NULL, 'Pectate_lyase_4', 33690),
(89965, 'PF00119', NULL, 'ATP synthase A chain', 214, NULL, 'ATP-synt_A', 33691),
(89966, 'PF10844', NULL, 'Protein of unknown function (DUF2577)', 98, NULL, 'DUF2577', 33692),
(89967, 'PF10018', NULL, 'Vitamin-D-receptor interacting Mediator subunit 4', 194, NULL, 'Med4', 33693),
(89968, 'PF05854', NULL, 'Non-histone chromosomal protein MC1', 90, NULL, 'MC1', 33694),
(89969, 'PF14268', NULL, 'YoaP-like', 44, NULL, 'YoaP', 33695),
(89970, 'PF17049', NULL, 'ATPase expression protein 1', 395, NULL, 'AEP1', 33696);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(89971, 'PF18105', NULL, 'PGM1 C-terminal domain', 53, NULL, 'PGM1_C', 33697),
(89972, 'PF02285', NULL, 'Cytochrome oxidase c subunit VIII', 43, NULL, 'COX8', 33698),
(89973, 'PF09704', NULL, 'CRISPR-associated protein (Cas_Cas5)', 216, NULL, 'Cas_Cas5d', 33699),
(89974, 'PF06666', NULL, 'Protein of unknown function (DUF1173)', 386, NULL, 'DUF1173', 33700),
(89975, 'PF15788', NULL, 'Domain of unknown function (DUF4705)', 52, NULL, 'DUF4705', 33701),
(89976, 'PF16284', NULL, 'Domain of unknown function (DUF4930)', 136, NULL, 'DUF4930', 33702),
(89977, 'PF19507', NULL, 'Family of unknown function (DUF6041)', 140, NULL, 'DUF6041', 33703),
(89978, 'PF13903', NULL, 'PMP-22/EMP/MP20/Claudin tight junction', 193, NULL, 'Claudin_2', 33704),
(89979, 'PF03793', NULL, 'PASTA domain', 63, NULL, 'PASTA', 33705),
(89980, 'PF09112', NULL, 'Peptide-N-glycosidase F, N terminal', 173, NULL, 'N-glycanase_N', 33706),
(89981, 'PF03152', NULL, 'Ubiquitin fusion degradation protein UFD1', 173, NULL, 'UFD1', 33707),
(89982, 'PF14224', NULL, 'Domain of unknown function (DUF4331)', 416, NULL, 'DUF4331', 33708),
(89983, 'PF02767', NULL, 'DNA polymerase III beta subunit, central domain', 116, NULL, 'DNA_pol3_beta_2', 33709),
(89984, 'PF17833', NULL, 'UPF0113 Pre-PUA domain', 83, NULL, 'UPF0113_N', 33710),
(89985, 'PF19049', NULL, 'SidE DUB domain', 173, NULL, 'SidE_DUB', 33711),
(89986, 'PF20108', NULL, 'Family of unknown function (DUF6498)', 210, NULL, 'DUF6498', 33712),
(89987, 'PF02124', NULL, 'Marek''s disease glycoprotein A', 210, NULL, 'Marek_A', 33713),
(89988, 'PF06239', NULL, 'Evolutionarily conserved signalling intermediate in Toll pathway', 194, NULL, 'ECSIT', 33714),
(89989, 'PF05424', NULL, 'Duffy binding domain', 182, NULL, 'Duffy_binding', 33715),
(89990, 'PF09758', NULL, 'Uncharacterised conserved protein', 149, NULL, 'FPL', 33716),
(89991, 'PF05983', NULL, 'MED7 protein', 193, NULL, 'Med7', 33717),
(89992, 'PF01470', NULL, 'Pyroglutamyl peptidase', 204, NULL, 'Peptidase_C15', 33718),
(89993, 'PF04008', NULL, 'Adenosine specific kinase', 154, NULL, 'Adenosine_kin', 33719),
(89994, 'PF17174', NULL, 'Domain of unknown function (DUF5130)', 136, NULL, 'DUF5130', 33720),
(89995, 'PF05389', NULL, 'Negative regulator of genetic competence (MecA)', 227, NULL, 'MecA', 33721),
(89996, 'PF10840', NULL, 'Protein of unknown function (DUF2645)', 98, NULL, 'DUF2645', 33722),
(89997, 'PF06589', NULL, 'Circumsporozoite-related antigen (CRA)', 134, NULL, 'CRA', 33723),
(89998, 'PF04016', NULL, 'Putative heavy-metal chelation', 147, NULL, 'DUF364', 33724),
(89999, 'PF01289', NULL, 'Thiol-activated cytolysin', 354, NULL, 'Thiol_cytolysin', 33725),
(90000, 'PF08976', NULL, 'EF-hand domain', 105, NULL, 'EF-hand_11', 33726),
(90001, 'PF18653', NULL, 'Arcadin 1', 111, NULL, 'Arcadin_1', 33727),
(90002, 'PF19080', NULL, 'Family of unknown function (DUF5772)', 84, NULL, 'DUF5772', 33728),
(90003, 'PF14366', NULL, 'Domain of unknown function (DUF4410)', 134, NULL, 'DUF4410', 33729),
(90004, 'PF12355', NULL, 'Down syndrome cell adhesion molecule C terminal', 118, NULL, 'Dscam_C', 33730),
(90005, 'PF06016', NULL, 'Reovirus core-spike protein lambda-2 (L2)', 1297, NULL, 'Reovirus_L2', 33731),
(90006, 'PF17868', NULL, 'AAA lid domain', 72, NULL, 'AAA_lid_8', 33732),
(90007, 'PF08293', NULL, 'Mitochondrial ribosomal subunit S27', 88, NULL, 'MRP-S33', 33733),
(90008, 'PF12919', NULL, 'TcdA/TcdB catalytic glycosyltransferase domain', 407, NULL, 'TcdA_TcdB', 33734),
(90009, 'PF18256', NULL, 'Co-chaperone HscB tetracysteine metal binding motif', 27, NULL, 'HscB_4_cys', 33735),
(90010, 'PF04738', NULL, 'Lantibiotic dehydratase, N terminus', 650, NULL, 'Lant_dehydr_N', 33736),
(90011, 'PF13342', NULL, 'C-terminal repeat of topoisomerase', 61, NULL, 'Toprim_Crpt', 33737),
(90012, 'PF04337', NULL, 'Protein of unknown function, DUF480', 149, NULL, 'DUF480', 33738),
(90013, 'PF13231', NULL, 'Dolichyl-phosphate-mannose-protein mannosyltransferase', 160, NULL, 'PMT_2', 33739),
(90014, 'PF06556', NULL, 'IAP-like protein p27 C-terminus', 131, NULL, 'ASFV_p27', 33740);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(90015, 'PF09382', NULL, 'RQC domain', 114, NULL, 'RQC', 33741),
(90016, 'PF12054', NULL, 'Domain of unknown function (DUF3535)', 441, NULL, 'DUF3535', 33742),
(90017, 'PF16280', NULL, 'Domain of unknown function (DUF4928)', 306, NULL, 'DUF4928', 33743),
(90018, 'PF07536', NULL, 'HWE histidine kinase', 83, NULL, 'HWE_HK', 33744),
(90019, 'PF08087', NULL, 'Conotoxin O-superfamily', 31, NULL, 'Toxin_18', 33745),
(90020, 'PF17493', NULL, 'Family of unknown function (DUF5428)', 63, NULL, 'DUF5428', 33746),
(90021, 'PF06255', NULL, 'Neisseria toxin MafB', 312, NULL, 'MafB', 33747),
(90022, 'PF16170', NULL, 'Domain of unknown function (DUF4873)', 91, NULL, 'DUF4873', 33748),
(90023, 'PF16954', NULL, 'Haem-transporter, endosomal/lysosomal, haem-responsive gene', 52, NULL, 'HRG', 33749),
(90024, 'PF07537', NULL, 'CamS sex pheromone cAM373 precursor', 316, NULL, 'CamS', 33750),
(90025, 'PF10500', NULL, 'Nuclear RNA-splicing-associated protein', 226, NULL, 'SR-25', 33751),
(90026, 'PF07319', NULL, 'Primosomal protein DnaI N-terminus', 94, NULL, 'DnaI_N', 33752),
(90027, 'PF19969', NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 8', 97, NULL, 'VMAP-M8', 33753),
(90028, 'PF17214', NULL, 'KH domain', 68, NULL, 'KH_7', 33754),
(90029, 'PF10803', NULL, 'Spore germination GerPB', 52, NULL, 'GerPB', 33755),
(90030, 'PF19290', NULL, 'PmbA/TldA metallopeptidase central domain', 113, NULL, 'PmbA_TldD_M', 33756),
(90031, 'PF17165', NULL, 'Domain of unknown function (DUF5121)', 115, NULL, 'DUF5121', 33757),
(90032, 'PF13360', NULL, 'PQQ-like domain', 237, NULL, 'PQQ_2', 33758),
(90033, 'PF17473', NULL, 'Family of unknown function (DUF5426)', 137, NULL, 'DUF5426', 33759),
(90034, 'PF15073', NULL, 'Spermatogenesis-associated protein 48', 128, NULL, 'SPATA48', 33760),
(90035, 'PF06977', NULL, 'SdiA-regulated', 249, NULL, 'SdiA-regulated', 33761),
(90036, 'PF08537', NULL, 'Fungal Nap binding protein NBP1', 339, NULL, 'NBP1', 33762),
(90037, 'PF04548', NULL, 'AIG1 family', 212, NULL, 'AIG1', 33763),
(90038, 'PF13079', NULL, 'Protein of unknown function (DUF3916)', 151, NULL, 'DUF3916', 33764),
(90039, 'PF15274', NULL, 'Muscular LMNA-interacting protein', 269, NULL, 'MLIP', 33765),
(90040, 'PF02320', NULL, 'Ubiquinol-cytochrome C reductase hinge protein', 66, NULL, 'UCR_hinge', 33766),
(90041, 'PF10232', NULL, 'Mediator of RNA polymerase II transcription complex subunit 8', 231, NULL, 'Med8', 33767),
(90042, 'PF07852', NULL, 'Protein of unknown function (DUF1642)', 138, NULL, 'DUF1642', 33768),
(90043, 'PF18283', NULL, 'Carbohydrate binding module 77', 109, NULL, 'CBM77', 33769),
(90044, 'PF13677', NULL, 'Membrane MotB of proton-channel complex MotA/MotB', 58, NULL, 'MotB_plug', 33770),
(90045, 'PF08881', NULL, 'CVNH domain', 101, NULL, 'CVNH', 33771),
(90046, 'PF11721', NULL, 'Malectin domain', 165, NULL, 'Malectin', 33772),
(90047, 'PF05690', NULL, 'Thiazole biosynthesis protein ThiG', 247, NULL, 'ThiG', 33773),
(90048, 'PF15243', NULL, 'Anaphase-promoting complex subunit 15', 90, NULL, 'ANAPC15', 33774),
(90049, 'PF04471', NULL, 'Restriction endonuclease', 115, NULL, 'Mrr_cat', 33775),
(90050, 'PF13384', NULL, 'Homeodomain-like domain', 50, NULL, 'HTH_23', 33776),
(90051, 'PF06947', NULL, 'Protein of unknown function (DUF1290)', 86, NULL, 'DUF1290', 33777),
(90052, 'PF05292', NULL, 'Malonyl-CoA decarboxylase C-terminal domain', 257, NULL, 'MCD', 33778),
(90053, 'PF14025', NULL, 'Protein of unknown function (DUF4241)', 187, NULL, 'DUF4241', 33779),
(90054, 'PF12342', NULL, 'Protein of unknown function (DUF3640)', 26, NULL, 'DUF3640', 33780),
(90055, 'PF16671', NULL, 'Actin cross-linking domain', 386, NULL, 'ACD', 33781),
(90056, 'PF08440', NULL, 'Potyviridae polyprotein', 277, NULL, 'Poty_PP', 33782),
(90057, 'PF07896', NULL, 'Protein of unknown function (DUF1674)', 50, NULL, 'DUF1674', 33783),
(90058, 'PF14460', NULL, 'Prokaryotic E2 family D', 171, NULL, 'Prok-E2_D', 33784),
(90059, 'PF17117', NULL, 'Domain of unknown function (DUF5104)', 107, NULL, 'DUF5104', 33785),
(90060, 'PF00237', NULL, 'Ribosomal protein L22p/L17e', 103, NULL, 'Ribosomal_L22', 33786);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(90061, 'PF02308', NULL, 'MgtC family', 121, NULL, 'MgtC', 33787),
(90062, 'PF09933', NULL, 'Predicted small integral membrane protein (DUF2165)', 157, NULL, 'DUF2165', 33788),
(90063, 'PF11302', NULL, 'Protein of unknown function (DUF3104)', 69, NULL, 'DUF3104', 33789),
(90064, 'PF07756', NULL, 'Protein of unknown function (DUF1612)', 127, NULL, 'DUF1612', 33790),
(90065, 'PF18620', NULL, 'Family of unknown function (DUF5627)', 136, NULL, 'DUF5627', 33791),
(90066, 'PF07820', NULL, 'TraC-like protein', 88, NULL, 'TraC', 33792),
(90067, 'PF09090', NULL, 'MIF4G like', 272, NULL, 'MIF4G_like_2', 33793),
(90068, 'PF13675', NULL, 'Type IV pili methyl-accepting chemotaxis transducer N-term', 114, NULL, 'PilJ', 33794),
(90069, 'PF18395', NULL, 'Cas3 C-terminal domain', 106, NULL, 'Cas3_C', 33795),
(90070, 'PF13992', NULL, 'YecR-like lipoprotein', 73, NULL, 'YecR', 33796),
(90071, 'PF16598', NULL, 'Linker region of enhancer of mRNA-decapping protein 3', 91, NULL, 'Edc3_linker', 33797),
(90072, 'PF08101', NULL, 'Domain of unknown function (DUF1708)', 424, NULL, 'DUF1708', 33798),
(90073, 'PF19076', NULL, 'Surface adhesin CshA repetitive domain', 104, NULL, 'CshA_repeat', 33799),
(90074, 'PF02374', NULL, 'Anion-transporting ATPase', 305, NULL, 'ArsA_ATPase', 33800),
(90075, 'PF17382', NULL, 'Uncharacterized Ycf70-like', 89, NULL, 'Ycf70', 33801),
(90076, 'PF00550', NULL, 'Phosphopantetheine attachment site', 67, NULL, 'PP-binding', 33802),
(90077, 'PF03137', NULL, 'Organic Anion Transporter Polypeptide (OATP) family', 545, NULL, 'OATP', 33803),
(90078, 'PF03441', NULL, 'FAD binding domain of DNA photolyase', 203, NULL, 'FAD_binding_7', 33804),
(90079, 'PF18397', NULL, 'IQBAL scaffold dimerization domain', 275, NULL, 'IKBKB_SDD', 33805),
(90080, 'PF03400', NULL, 'IS1 transposase', 131, NULL, 'DDE_Tnp_IS1', 33806),
(90081, 'PF16940', NULL, 'Chloroplast envelope transporter', 574, NULL, 'Tic110', 33807),
(90082, 'PF19221', NULL, 'MELT motif', 26, NULL, 'MELT', 33808),
(90083, 'PF11607', NULL, 'Protein of unknown function (DUF3247)', 92, NULL, 'DUF3247', 33809),
(90084, 'PF13785', NULL, 'Domain of unknown function (DUF4178)', 142, NULL, 'DUF4178', 33810),
(90085, 'PF14045', NULL, 'YIEGIA protein', 282, NULL, 'YIEGIA', 33811),
(90086, 'PF03779', NULL, 'SPW repeat', 48, NULL, 'SPW', 33812),
(90087, 'PF17370', NULL, 'Family of unknown function (DUF5392)', 139, NULL, 'DUF5392', 33813),
(90088, 'PF01497', NULL, 'Periplasmic binding protein', 237, NULL, 'Peripla_BP_2', 33814),
(90089, 'PF14383', NULL, 'DUF761-associated sequence motif', 32, NULL, 'VARLMGL', 33815),
(90090, 'PF19324', NULL, 'LETM1 domain-containing protein LETM2 N-terminus', 111, NULL, 'LETM2_N', 33816),
(90091, 'PF01935', NULL, 'Helicase HerA, central domain', 227, NULL, 'DUF87', 33817),
(90092, 'PF10095', NULL, 'Uncharacterized protein conserved in bacteria (DUF2333)', 330, NULL, 'DUF2333', 33818),
(90093, 'PF05761', NULL, '5'' nucleotidase family', 461, NULL, '5_nucleotid', 33819),
(90094, 'PF13519', NULL, 'von Willebrand factor type A domain', 108, NULL, 'VWA_2', 33820),
(90095, 'PF07526', NULL, 'Associated with HOX', 136, NULL, 'POX', 33821),
(90096, 'PF04195', NULL, 'Putative gypsy type transposon', 69, NULL, 'Transposase_28', 33822),
(90097, 'PF04792', NULL, 'V antigen (LcrV) protein', 323, NULL, 'LcrV', 33823),
(90098, 'PF05159', NULL, 'Capsule polysaccharide biosynthesis protein', 310, NULL, 'Capsule_synth', 33824),
(90099, 'PF05334', NULL, 'Protein of unknown function (DUF719)', 187, NULL, 'DUF719', 33825),
(90100, 'PF16063', NULL, 'Domain of unknown function (DUF4805)', 265, NULL, 'DUF4805', 33826),
(90101, 'PF08035', NULL, 'Opioids neuropeptide', 30, NULL, 'Op_neuropeptide', 33827),
(90102, 'PF19061', NULL, 'Family of unknown function (DUF5757)', 94, NULL, 'DUF5757', 33828),
(90103, 'PF05294', NULL, 'Scorpion short toxin', 32, NULL, 'Toxin_5', 33829),
(90104, 'PF13936', NULL, 'Helix-turn-helix domain', 44, NULL, 'HTH_38', 33830),
(90105, 'PF04718', NULL, 'Mitochondrial ATP synthase g subunit', 100, NULL, 'ATP-synt_G', 33831),
(90106, 'PF00797', NULL, 'N-acetyltransferase', 240, NULL, 'Acetyltransf_2', 33832);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(90107, 'PF06667', NULL, 'Phage shock protein B', 73, NULL, 'PspB', 33833),
(90108, 'PF06450', NULL, 'Bacterial Na+/H+ antiporter B (NhaB)', 515, NULL, 'NhaB', 33834),
(90109, 'PF03253', NULL, 'Urea transporter', 293, NULL, 'UT', 33835),
(90110, 'PF10528', NULL, 'GLEYA domain', 91, NULL, 'GLEYA', 33836),
(90111, 'PF02219', NULL, 'Methylenetetrahydrofolate reductase', 287, NULL, 'MTHFR', 33837),
(90112, 'PF16210', NULL, 'Keratin type II cytoskeletal 1 tail', 136, NULL, 'Keratin_2_tail', 33838),
(90113, 'PF01049', NULL, 'Cadherin cytoplasmic region', 164, NULL, 'Cadherin_C', 33839),
(90114, 'PF15231', NULL, 'Variable charge X/Y family', 129, NULL, 'VCX_VCY', 33840),
(90115, 'PF17661', NULL, 'Family of unknown function (DUF5523)', 255, NULL, 'DUF5523', 33841),
(90116, 'PF06269', NULL, 'Protein of unknown function (DUF1029)', 53, NULL, 'DUF1029', 33842),
(90117, 'PF10564', NULL, 'Sialic-acid binding micronemal adhesive repeat', 94, NULL, 'MAR_sialic_bdg', 33843),
(90118, 'PF11185', NULL, 'Protein of unknown function (DUF2971)', 83, NULL, 'DUF2971', 33844),
(90119, 'PF04579', NULL, 'Keratin, high-sulphur matrix protein', 96, NULL, 'Keratin_matx', 33845),
(90120, 'PF07792', NULL, 'Docking domain of Afi1 for Arf3 in vesicle trafficking', 133, NULL, 'Afi1', 33846),
(90121, 'PF07131', NULL, 'Protein of unknown function (DUF1382)', 60, NULL, 'DUF1382', 33847),
(90122, 'PF16096', NULL, 'Fragile X-related 1 protein C-terminal region 2', 76, NULL, 'FXR_C1', 33848),
(90123, 'PF05056', NULL, 'Protein of unknown function (DUF674)', 452, NULL, 'DUF674', 33849),
(90124, 'PF04673', NULL, 'Polyketide synthesis cyclase', 104, NULL, 'Cyclase_polyket', 33850),
(90125, 'PF04864', NULL, 'Allinase', 363, NULL, 'Alliinase_C', 33851),
(90126, 'PF08358', NULL, 'Carlavirus coat', 52, NULL, 'Flexi_CP_N', 33852),
(90127, 'PF04031', NULL, 'Las1-like', 149, NULL, 'Las1', 33853),
(90128, 'PF05234', NULL, 'UAF complex subunit Rrn10', 120, NULL, 'UAF_Rrn10', 33854),
(90129, 'PF07751', NULL, 'Abi-like protein', 180, NULL, 'Abi_2', 33855),
(90130, 'PF07817', NULL, 'GLE1-like protein', 250, NULL, 'GLE1', 33856),
(90131, 'PF03968', NULL, 'LptA/(LptD N-terminal domain) LPS transport protein', 113, NULL, 'LptD_N', 33857),
(90132, 'PF07295', NULL, 'Zinc-ribbon containing domain', 147, NULL, 'DUF1451', 33858),
(90133, 'PF18617', NULL, 'Nucleoporin Nup214 phenylalanine-glycine (FG) domain', 63, NULL, 'Nup214_FG', 33859),
(90134, 'PF12987', NULL, 'Domain of unknown function, B. Theta Gene description (DUF3871)', 318, NULL, 'DUF3871', 33860),
(90135, 'PF10981', NULL, 'Protein of unknown function (DUF2788)', 51, NULL, 'DUF2788', 33861),
(90136, 'PF18306', NULL, 'SLOG cluster4 family', 151, NULL, 'LDcluster4', 33862),
(90137, 'PF00306', NULL, 'ATP synthase alpha/beta chain, C terminal domain', 126, NULL, 'ATP-synt_ab_C', 33863),
(90138, 'PF17939', NULL, 'Tetracyclin repressor-like, C-terminal domain', 115, NULL, 'TetR_C_30', 33864),
(90139, 'PF05896', NULL, 'Na(+)-translocating NADH-quinone reductase subunit A (NQRA)', 257, NULL, 'NQRA', 33865),
(90140, 'PF13302', NULL, 'Acetyltransferase (GNAT) domain', 138, NULL, 'Acetyltransf_3', 33866),
(90141, 'PF05369', NULL, 'Monomethylamine methyltransferase MtmB', 450, NULL, 'MtmB', 33867),
(90142, 'PF09051', NULL, 'Stannin cytoplasmic', 26, NULL, 'SNN_cytoplasm', 33868),
(90143, 'PF18984', NULL, 'Family of unknown function (DUF5717)N-terminal', 875, NULL, 'DUF5717_N', 33869),
(90144, 'PF13128', NULL, 'Protein of unknown function (DUF3954)', 49, NULL, 'DUF3954', 33870),
(90145, 'PF05147', NULL, 'Lanthionine synthetase C-like protein', 352, NULL, 'LANC_like', 33871),
(90146, 'PF05308', NULL, 'Mitochondrial fission regulator', 249, NULL, 'Mito_fiss_reg', 33872),
(90147, 'PF19584', NULL, 'MCAfunc domain', 143, NULL, 'MCAfunc', 33873),
(90148, 'PF15810', NULL, 'Coiled-coil domain-containing protein 117', 143, NULL, 'CCDC117', 33874),
(90149, 'PF16215', NULL, 'Protein of unknown function (DUF4876)', 188, NULL, 'DUF4876', 33875),
(90150, 'PF07712', NULL, 'Stress up-regulated Nod 19', 377, NULL, 'SURNod19', 33876);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(90151, 'PF05375', NULL, 'Pacifastin inhibitor (LCMII)', 40, NULL, 'Pacifastin_I', 33877),
(90152, 'PF00659', NULL, 'POLO box duplicated region', 61, NULL, 'POLO_box', 33878),
(90153, 'PF12735', NULL, 'TRAPP trafficking subunit Trs65', 313, NULL, 'Trs65', 33879),
(90154, 'PF01509', NULL, 'TruB family pseudouridylate synthase (N terminal domain)', 149, NULL, 'TruB_N', 33880),
(90155, 'PF16177', NULL, 'Acetyl-coenzyme A synthetase N-terminus', 55, NULL, 'ACAS_N', 33881),
(90156, 'PF03543', NULL, 'Yersinia/Haemophilus virulence surface antigen', 204, NULL, 'Peptidase_C58', 33882),
(90157, 'PF10817', NULL, 'Protein of unknown function (DUF2563)', 104, NULL, 'DUF2563', 33883),
(90158, 'PF05988', NULL, 'Bacterial protein of unknown function (DUF899)', 216, NULL, 'DUF899', 33884),
(90159, 'PF02870', NULL, '6-O-methylguanine DNA methyltransferase, ribonuclease-like domain', 77, NULL, 'Methyltransf_1N', 33885),
(90160, 'PF05164', NULL, 'Cell division protein ZapA', 88, NULL, 'ZapA', 33886),
(90161, 'PF12436', NULL, 'ICP0-binding domain of Ubiquitin-specific protease 7', 243, NULL, 'USP7_ICP0_bdg', 33887),
(90162, 'PF04163', NULL, 'Tht1-like nuclear fusion protein', 544, NULL, 'Tht1', 33888),
(90163, 'PF07425', NULL, 'Pardaxin', 33, NULL, 'Pardaxin', 33889),
(90164, 'PF02426', NULL, 'Muconolactone delta-isomerase', 90, NULL, 'MIase', 33890),
(90165, 'PF10015', NULL, 'Uncharacterized protein conserved in archaea (DUF2258)', 78, NULL, 'DUF2258', 33891),
(90166, 'PF17566', NULL, 'Family of unknown function (DUF5472)', 73, NULL, 'DUF5472', 33892),
(90167, 'PF10315', NULL, 'Altered inheritance of mitochondria protein 19', 118, NULL, 'Aim19', 33893),
(90168, 'PF13546', NULL, 'DDE superfamily endonuclease', 273, NULL, 'DDE_5', 33894),
(90169, 'PF14853', NULL, 'Fis1 C-terminal tetratricopeptide repeat', 53, NULL, 'Fis1_TPR_C', 33895),
(90170, 'PF13062', NULL, 'Protein of unknown function (DUF3924)', 62, NULL, 'DUF3924', 33896),
(90171, 'PF14223', NULL, 'gag-polypeptide of LTR copia-type', 138, NULL, 'Retrotran_gag_2', 33897),
(90172, 'PF15253', NULL, 'SCL-interrupting locus protein N-terminus', 404, NULL, 'STIL_N', 33898),
(90173, 'PF13742', NULL, 'OB-fold nucleic acid binding domain', 95, NULL, 'tRNA_anti_2', 33899),
(90174, 'PF19581', NULL, 'Glyoxalase superfamily protein', 131, NULL, 'Glyoxalase_7', 33900),
(90175, 'PF08365', NULL, 'Insulin-like growth factor II E-peptide', 56, NULL, 'IGF2_C', 33901),
(90176, 'PF07185', NULL, 'Protein of unknown function (DUF1404)', 169, NULL, 'DUF1404', 33902),
(90177, 'PF01555', NULL, 'DNA methylase', 231, NULL, 'N6_N4_Mtase', 33903),
(90178, 'PF15119', NULL, 'Apolipoprotein C4', 94, NULL, 'APOC4', 33904),
(90179, 'PF15977', NULL, 'Winged helix-turn-helix DNA binding', 68, NULL, 'HTH_46', 33905),
(90180, 'PF18873', NULL, 'Sgo0707 N-terminal domain', 269, NULL, 'Sgo0707_N1', 33906),
(90181, 'PF07741', NULL, 'Brf1-like TBP-binding domain', 102, NULL, 'BRF1', 33907),
(90182, 'PF14845', NULL, 'beta-acetyl hexosaminidase like', 135, NULL, 'Glycohydro_20b2', 33908),
(90183, 'PF05544', NULL, 'Proline racemase', 325, NULL, 'Pro_racemase', 33909),
(90184, 'PF05466', NULL, 'Brain acid soluble protein 1 (BASP1 protein)', 237, NULL, 'BASP1', 33910),
(90185, 'PF18569', NULL, 'Thioredoxin-like domain', 93, NULL, 'Thioredoxin_16', 33911),
(90186, 'PF18815', NULL, 'Bacterial antifreeze protein repeat', 52, NULL, 'AFP_2', 33912),
(90187, 'PF15429', NULL, 'Domain of unknown function (DUF4628)', 273, NULL, 'DUF4628', 33913),
(90188, 'PF19200', NULL, 'DUF871 N-terminal domain', 235, NULL, 'DUF871_N', 33914),
(90189, 'PF03151', NULL, 'Triose-phosphate Transporter family', 290, NULL, 'TPT', 33915),
(90190, 'PF04414', NULL, 'D-aminoacyl-tRNA deacylase', 206, NULL, 'tRNA_deacylase', 33916),
(90191, 'PF15303', NULL, 'E3 ubiquitin-protein ligase Arkadia N-terminus', 279, NULL, 'RNF111_N', 33917),
(90192, 'PF19843', NULL, 'Family of unknown function (DUF6318)', 158, NULL, 'DUF6318', 33918),
(90193, 'PF02685', NULL, 'Glucokinase', 316, NULL, 'Glucokinase', 33919),
(90194, 'PF05050', NULL, 'Methyltransferase FkbM domain', 173, NULL, 'Methyltransf_21', 33920);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(90195, 'PF15745', NULL, 'AP-1 complex-associated regulatory protein', 275, NULL, 'AP1AR', 33921),
(90196, 'PF18539', NULL, 'Domain of unknown function (DUF5625)', 135, NULL, 'DUF5625', 33922),
(90197, 'PF04423', NULL, 'Rad50 zinc hook motif', 52, NULL, 'Rad50_zn_hook', 33923),
(90198, 'PF09667', NULL, 'Domain of unknown function (DUF2028)', 180, NULL, 'DUF2028', 33924),
(90199, 'PF11399', NULL, 'Protein of unknown function (DUF3192)', 102, NULL, 'DUF3192', 33925),
(90200, 'PF13537', NULL, 'Glutamine amidotransferase domain', 123, NULL, 'GATase_7', 33926),
(90201, 'PF05405', NULL, 'Mitochondrial ATP synthase B chain precursor (ATP-synt_B)', 163, NULL, 'Mt_ATP-synt_B', 33927),
(90202, 'PF14206', NULL, 'Cysteine-rich CPCC', 75, NULL, 'Cys_rich_CPCC', 33928),
(90203, 'PF17285', NULL, 'PRMT5 TIM barrel domain', 256, NULL, 'PRMT5_TIM', 33929),
(90204, 'PF07104', NULL, 'Protein of unknown function (DUF1366)', 117, NULL, 'DUF1366', 33930),
(90205, 'PF11216', NULL, 'Protein of unknown function (DUF3012)', 32, NULL, 'DUF3012', 33931),
(90206, 'PF00079', NULL, 'Serpin (serine protease inhibitor)', 370, NULL, 'Serpin', 33932),
(90207, 'PF16761', NULL, 'Transcription-silencing protein, cryptic loci regulator Clr2', 68, NULL, 'Clr2_transil', 33933),
(90208, 'PF19126', NULL, 'Family of unknown function (DUF5810)', 66, NULL, 'DUF5810', 33934),
(90209, 'PF14075', NULL, 'Ubinuclein conserved middle domain', 212, NULL, 'UBN_AB', 33935),
(90210, 'PF19695', NULL, 'Family of unknown function (DUF6195)', 139, NULL, 'DUF6195', 33936),
(90211, 'PF16719', NULL, 'SAWADEE domain', 141, NULL, 'SAWADEE', 33937),
(90212, 'PF06066', NULL, 'SepZ', 99, NULL, 'SepZ', 33938),
(90213, 'PF01967', NULL, 'MoaC family', 136, NULL, 'MoaC', 33939),
(90214, 'PF06688', NULL, 'Protein of unknown function (DUF1187)', 61, NULL, 'DUF1187', 33940),
(90215, 'PF09149', NULL, 'Domain of unknown function (DUF1935)', 103, NULL, 'DUF1935', 33941),
(90216, 'PF11632', NULL, 'Lactococcin G-beta', 61, NULL, 'LcnG-beta', 33942),
(90217, 'PF17638', NULL, 'HCMV UL42', 125, NULL, 'UL42', 33943),
(90218, 'PF13817', NULL, 'IS66 C-terminal element', 39, NULL, 'DDE_Tnp_IS66_C', 33944),
(90219, 'PF12911', NULL, 'N-terminal TM domain of oligopeptide transport permease C', 51, NULL, 'OppC_N', 33945),
(90220, 'PF00873', NULL, 'AcrB/AcrD/AcrF family', 1021, NULL, 'ACR_tran', 33946),
(90221, 'PF02322', NULL, 'Cytochrome bd terminal oxidase subunit II', 303, NULL, 'Cyt_bd_oxida_II', 33947),
(90222, 'PF06144', NULL, 'DNA polymerase III, delta subunit', 174, NULL, 'DNA_pol3_delta', 33948),
(90223, 'PF06724', NULL, 'Domain of Unknown Function (DUF1206)', 70, NULL, 'DUF1206', 33949),
(90224, 'PF18148', NULL, 'Regulator of G-protein signalling DHEX domain', 100, NULL, 'RGS_DHEX', 33950),
(90225, 'PF12006', NULL, 'Protein of unknown function (DUF3500)', 296, NULL, 'DUF3500', 33951),
(90226, 'PF12808', NULL, 'Micro-tubular organiser Mto1 C-term Mto2-binding region', 52, NULL, 'Mto2_bdg', 33952),
(90227, 'PF16713', NULL, 'Enriched in aromatic and glycine Residues box', 34, NULL, 'EAGR_box', 33953),
(90228, 'PF06468', NULL, 'Spondin_N', 192, NULL, 'Spond_N', 33954),
(90229, 'PF13330', NULL, 'Mucin-2 protein WxxW repeating region', 92, NULL, 'Mucin2_WxxW', 33955),
(90230, 'PF07223', NULL, 'UBA-like domain (DUF1421)', 45, NULL, 'DUF1421', 33956),
(90231, 'PF10148', NULL, 'Schwannomin-interacting protein 1', 248, NULL, 'SCHIP-1', 33957),
(90232, 'PF15881', NULL, 'Domain of unknown function (DUF4734)', 91, NULL, 'DUF4734', 33958),
(90233, 'PF00633', NULL, 'Helix-hairpin-helix motif', 30, NULL, 'HHH', 33959),
(90234, 'PF14694', NULL, 'Lines N-terminus', 350, NULL, 'LINES_N', 33960),
(90235, 'PF04286', NULL, 'Protein of unknown function (DUF445)', 367, NULL, 'DUF445', 33961),
(90236, 'PF15406', NULL, 'Pleckstrin homology domain', 112, NULL, 'PH_6', 33962),
(90237, 'PF18092', NULL, 'DraK Histidine Kinase N-terminal domain', 86, NULL, 'DraK_HK_N', 33963),
(90238, 'PF09699', NULL, 'Doubled CXXCH motif (Paired_CXXCH_1)', 42, NULL, 'Paired_CXXCH_1', 33964),
(90239, 'PF08939', NULL, 'Domain of unknown function (DUF1917)', 261, NULL, 'DUF1917', 33965);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(90240, 'PF11118', NULL, 'Protein of unknown function (DUF2627)', 76, NULL, 'DUF2627', 33966),
(90241, 'PF16992', NULL, 'DNA-directed RNA polymerase, subunit G', 119, NULL, 'RNA_pol_RpbG', 33967),
(90242, 'PF19055', NULL, 'ABC-2 type transporter', 409, NULL, 'ABC2_membrane_7', 33968),
(90243, 'PF05309', NULL, 'TraE protein', 182, NULL, 'TraE', 33969),
(90244, 'PF11246', NULL, 'Base plate wedge protein 53', 189, NULL, 'Phage_gp53', 33970),
(90245, 'PF19579', NULL, 'Bacteriodetes cell division protein (FtsL-like)', 100, NULL, 'FtsL_2', 33971),
(90246, 'PF07207', NULL, 'Light regulated protein Lir1', 134, NULL, 'Lir1', 33972),
(90247, 'PF03703', NULL, 'Bacterial PH domain', 80, NULL, 'bPH_2', 33973),
(90248, 'PF07924', NULL, 'Nuclease A inhibitor-like protein', 130, NULL, 'NuiA', 33974),
(90249, 'PF12635', NULL, 'Protein of unknown function (DUF3780)', 184, NULL, 'DUF3780', 33975),
(90250, 'PF10290', NULL, 'Glycine-rich protein domain (DUF2403)', 63, NULL, 'DUF2403', 33976),
(90251, 'PF11476', NULL, 'Toxoplasma gondii micronemal protein 1 TgMIC1', 137, NULL, 'TgMIC1', 33977),
(90252, 'PF04183', NULL, 'IucA / IucC family', 239, NULL, 'IucA_IucC', 33978),
(90253, 'PF04815', NULL, 'Sec23/Sec24 helical domain', 102, NULL, 'Sec23_helical', 33979),
(90254, 'PF11106', NULL, 'Exopolysaccharide production protein YjbE', 79, NULL, 'YjbE', 33980),
(90255, 'PF14816', NULL, 'Coiled-coil and Nse Interacting (CANIN) domain', 377, NULL, 'CANIN', 33981),
(90256, 'PF00161', NULL, 'Ribosome inactivating protein', 196, NULL, 'RIP', 33982),
(90257, 'PF12595', NULL, 'Rhomboid serine protease', 189, NULL, 'Rhomboid_SP', 33983),
(90258, 'PF18616', NULL, 'CDI immunity proteins', 95, NULL, 'CdiI_3', 33984),
(90259, 'PF01158', NULL, 'Ribosomal protein L36e', 96, NULL, 'Ribosomal_L36e', 33985),
(90260, 'PF03658', NULL, 'RnfH family Ubiquitin', 83, NULL, 'Ub-RnfH', 33986),
(90261, 'PF13332', NULL, 'Hemagglutinin repeat', 170, NULL, 'Fil_haemagg_2', 33987),
(90262, 'PF18515', NULL, 'Rh5 coiled-coil domain', 255, NULL, 'Rh5', 33988),
(90263, 'PF07220', NULL, 'Protein of unknown function (DUF1420)', 670, NULL, 'DUF1420', 33989),
(90264, 'PF10432', NULL, 'Bacterial phospho-glucose isomerase C-terminal SIS domain', 152, NULL, 'bact-PGI_C', 33990),
(90265, 'PF02008', NULL, 'CXXC zinc finger domain', 48, NULL, 'zf-CXXC', 33991),
(90266, 'PF00178', NULL, 'Ets-domain', 81, NULL, 'Ets', 33992),
(90267, 'PF06838', NULL, 'Methionine gamma-lyase', 405, NULL, 'Met_gamma_lyase', 33993),
(90268, 'PF04662', NULL, 'Luteovirus P0 protein', 208, NULL, 'Luteo_PO', 33994),
(90269, 'PF00241', NULL, 'Cofilin/tropomyosin-type actin-binding protein', 125, NULL, 'Cofilin_ADF', 33995),
(90270, 'PF04397', NULL, 'LytTr DNA-binding domain', 98, NULL, 'LytTR', 33996),
(90271, 'PF09544', NULL, 'Protein of unknown function (DUF2381)', 288, NULL, 'DUF2381', 33997),
(90272, 'PF10250', NULL, 'GDP-fucose protein O-fucosyltransferase', 327, NULL, 'O-FucT', 33998),
(90273, 'PF14480', NULL, 'DNA polymerase III polC-type N-terminus I', 72, NULL, 'DNA_pol3_a_NI', 33999),
(90274, 'PF05931', NULL, 'Staphylococcal AgrD protein', 45, NULL, 'AgrD', 34000),
(90275, 'PF15659', NULL, 'JAB-like toxin  1', 87, NULL, 'Toxin-JAB1', 34001),
(90276, 'PF05653', NULL, 'Magnesium transporter NIPA', 295, NULL, 'Mg_trans_NIPA', 34002),
(90277, 'PF10456', NULL, 'WASP-binding domain of Sorting nexin protein', 236, NULL, 'BAR_3_WASP_bdg', 34003),
(90278, 'PF19810', NULL, 'Family of unknown function (DUF6293)', 209, NULL, 'DUF6293', 34004),
(90279, 'PF01992', NULL, 'ATP synthase (C/AC39) subunit', 336, NULL, 'vATP-synt_AC39', 34005),
(90280, 'PF15599', NULL, 'Immunity protein 63', 83, NULL, 'Imm63', 34006),
(90281, 'PF06727', NULL, 'Protein of unknown function (DUF1207)', 342, NULL, 'DUF1207', 34007),
(90282, 'PF10217', NULL, 'Uncharacterized conserved protein (DUF2039)', 89, NULL, 'DUF2039', 34008),
(90283, 'PF06250', NULL, 'YhcG PDDEXK nuclease domain', 155, NULL, 'YhcG_C', 34009),
(90284, 'PF10254', NULL, 'PACS-1 cytosolic sorting protein', 417, NULL, 'Pacs-1', 34010),
(90285, 'PF00880', NULL, 'Nebulin repeat', 28, NULL, 'Nebulin', 34011); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(90286, 'PF13047', NULL, 'Protein of unknown function (DUF3907)', 147, NULL, 'DUF3907', 34012),
(90287, 'PF02537', NULL, 'CrcB-like protein, Camphor Resistance (CrcB)', 93, NULL, 'CRCB', 34013),
(90288, 'PF11480', NULL, 'Colicin-E5 Imm protein', 82, NULL, 'ImmE5', 34014),
(90289, 'PF01114', NULL, 'Colipase, N-terminal domain', 40, NULL, 'Colipase', 34015),
(90290, 'PF03810', NULL, 'Importin-beta N-terminal domain', 74, NULL, 'IBN_N', 34016),
(90291, 'PF09111', NULL, 'SLIDE', 116, NULL, 'SLIDE', 34017),
(90292, 'PF17332', NULL, 'Family of unknown function (DUF5592)', 89, NULL, 'DUF5592', 34018),
(90293, 'PF16424', NULL, 'Domain of unknown function (DUF5021)', 157, NULL, 'DUF5021', 34019),
(90294, 'PF10639', NULL, 'Putative transmembrane family 234', 116, NULL, 'TMEM234', 34020),
(90295, 'PF03047', NULL, 'COMC family', 31, NULL, 'ComC', 34021),
(90296, 'PF16685', NULL, 'zinc RING finger of MSL2', 70, NULL, 'zf-RING_10', 34022),
(90297, 'PF02522', NULL, 'Aminoglycoside 3-N-acetyltransferase', 230, NULL, 'Antibiotic_NAT', 34023),
(90298, 'PF05097', NULL, 'Protein of unknown function (DUF688)', 446, NULL, 'DUF688', 34024),
(90299, 'PF06344', NULL, 'Parechovirus Genome-linked protein', 20, NULL, 'Parecho_VpG', 34025),
(90300, 'PF14810', NULL, 'Patch-forming domain C2 of tRNA-guanine transglycosylase', 71, NULL, 'TGT_C2', 34026),
(90301, 'PF16390', NULL, 'Domain of unknown function', 76, NULL, 'DUF4999', 34027),
(90302, 'PF04295', NULL, 'D-galactarate dehydratase / Altronate hydrolase, C terminus', 392, NULL, 'GD_AH_C', 34028),
(90303, 'PF00563', NULL, 'EAL domain', 235, NULL, 'EAL', 34029),
(90304, 'PF04145', NULL, 'Ctr copper transporter family', 150, NULL, 'Ctr', 34030),
(90305, 'PF11029', NULL, 'DAZ associated protein 2 (DAZAP2)', 133, NULL, 'DAZAP2', 34031),
(90306, 'PF17270', NULL, 'Family of unknown function (DUF5336)', 115, NULL, 'DUF5336', 34032),
(90307, 'PF17133', NULL, 'Domain of unknown function (DUF5108)', 218, NULL, 'DUF5108', 34033),
(90308, 'PF01307', NULL, 'Plant viral movement protein', 100, NULL, 'Plant_vir_prot', 34034),
(90309, 'PF05287', NULL, 'PMG protein', 180, NULL, 'PMG', 34035),
(90310, 'PF03006', NULL, 'Haemolysin-III related', 224, NULL, 'HlyIII', 34036),
(90311, 'PF03437', NULL, 'BtpA family', 254, NULL, 'BtpA', 34037),
(90312, 'PF09819', NULL, 'ABC-type cobalt transport system, permease component', 121, NULL, 'ABC_cobalt', 34038),
(90313, 'PF15136', NULL, 'Uncharacterised protein family UPF0449', 100, NULL, 'UPF0449', 34039),
(90314, 'PF19128', NULL, 'Family of unknown function (DUF5811)', 103, NULL, 'DUF5811', 34040),
(90315, 'PF15024', NULL, 'Glycosyltransferase family 18', 557, NULL, 'Glyco_transf_18', 34041),
(90316, 'PF00649', NULL, 'Copper fist DNA binding domain', 39, NULL, 'Copper-fist', 34042),
(90317, 'PF02028', NULL, 'BCCT, betaine/carnitine/choline family transporter', 485, NULL, 'BCCT', 34043),
(90318, 'PF09845', NULL, 'Zn-ribbon containing protein', 134, NULL, 'DUF2072', 34044),
(90319, 'PF17207', NULL, 'MCM OB domain', 126, NULL, 'MCM_OB', 34045),
(90320, 'PF03604', NULL, 'DNA directed RNA polymerase, 7 kDa subunit', 32, NULL, 'DNA_RNApol_7kD', 34046),
(90321, 'PF06733', NULL, 'DEAD_2', 175, NULL, 'DEAD_2', 34047),
(90322, 'PF17130', NULL, 'beta-barrel domain of carboxypeptidase M99', 73, NULL, 'Peptidase_M99_m', 34048),
(90323, 'PF18527', NULL, 'STT3/PglB C-terminal beta-barrel domain', 80, NULL, 'STT3_PglB_C', 34049),
(90324, 'PF01917', NULL, 'Archaebacterial flagellin', 164, NULL, 'Arch_flagellin', 34050),
(90325, 'PF07836', NULL, 'DmpG-like communication domain', 63, NULL, 'DmpG_comm', 34051),
(90326, 'PF12568', NULL, 'Acetyltransferase (GNAT) domain, PanZ', 128, NULL, 'PanZ', 34052),
(90327, 'PF00765', NULL, 'Autoinducer synthase', 183, NULL, 'Autoind_synth', 34053),
(90328, 'PF01443', NULL, 'Viral (Superfamily 1) RNA helicase', 234, NULL, 'Viral_helicase1', 34054),
(90329, 'PF02627', NULL, 'Carboxymuconolactone decarboxylase family', 85, NULL, 'CMD', 34055),
(90330, 'PF01428', NULL, 'AN1-like Zinc finger', 40, NULL, 'zf-AN1', 34056),
(90331, 'PF17159', NULL, 'Membrane-associated sensor domain', 226, NULL, 'MASE3', 34057);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(90332, 'PF02749', NULL, 'Quinolinate phosphoribosyl transferase, N-terminal domain', 89, NULL, 'QRPTase_N', 34058),
(90333, 'PF10975', NULL, 'Protein of unknown function (DUF2802)', 68, NULL, 'DUF2802', 34059),
(90334, 'PF02260', NULL, 'FATC domain', 32, NULL, 'FATC', 34060),
(90335, 'PF14547', NULL, 'Hydrophobic seed protein', 85, NULL, 'Hydrophob_seed', 34061),
(90336, 'PF06443', NULL, 'SEF14-like adhesin', 165, NULL, 'SEF14_adhesin', 34062),
(90337, 'PF12239', NULL, 'Protein of unknown function (DUF3605)', 154, NULL, 'DUF3605', 34063),
(90338, 'PF07668', NULL, 'M penetrans paralogue family 1', 314, NULL, 'MpPF1', 34064),
(90339, 'PF14652', NULL, 'Domain of unknown function (DUF4457)', 324, NULL, 'DUF4457', 34065),
(90340, 'PF05554', NULL, 'Viral hemorrhagic septicemia virus non-virion protein', 122, NULL, 'Novirhabdo_Nv', 34066),
(90341, 'PF17217', NULL, 'UPA domain', 140, NULL, 'UPA', 34067),
(90342, 'PF09228', NULL, 'Prokaryotic Transcriptional repressor TraM', 102, NULL, 'Prok-TraM', 34068),
(90343, 'PF13371', NULL, 'Tetratricopeptide repeat', 73, NULL, 'TPR_9', 34069),
(90344, 'PF16591', NULL, 'Helical bimodular sensor domain', 254, NULL, 'HBM', 34070),
(90345, 'PF09636', NULL, 'XkdW protein', 108, NULL, 'XkdW', 34071),
(90346, 'PF08555', NULL, 'FAM32A', 98, NULL, 'FAM32A', 34072),
(90347, 'PF14674', NULL, 'FANCI solenoid 1 cap', 53, NULL, 'FANCI_S1-cap', 34073),
(90348, 'PF15966', NULL, 'F-box', 116, NULL, 'F-box_4', 34074),
(90349, 'PF02450', NULL, 'Lecithin:cholesterol acyltransferase', 392, NULL, 'LCAT', 34075),
(90350, 'PF16392', NULL, 'Ig-like domain', 86, NULL, 'DUF5001', 34076),
(90351, 'PF01801', NULL, 'Cytomegalovirus glycoprotein L', 211, NULL, 'Cytomega_gL', 34077),
(90352, 'PF14435', NULL, 'SUKH-4 immunity protein', 176, NULL, 'SUKH-4', 34078),
(90353, 'PF18409', NULL, 'Polo-like Kinase 4 Polo Box 2', 109, NULL, 'Plk4_PB2', 34079),
(90354, 'PF06705', NULL, 'SF-assemblin/beta giardin', 247, NULL, 'SF-assemblin', 34080),
(90355, 'PF03352', NULL, 'Methyladenine glycosylase', 177, NULL, 'Adenine_glyco', 34081),
(90356, 'PF03293', NULL, 'Poxvirus DNA-directed RNA polymerase, 18 kD subunit', 160, NULL, 'Pox_RNA_pol', 34082),
(90357, 'PF07508', NULL, 'Recombinase', 103, NULL, 'Recombinase', 34083),
(90358, 'PF00046', NULL, 'Homeodomain', 57, NULL, 'Homeodomain', 34084),
(90359, 'PF06126', NULL, 'Herpesvirus Latent membrane protein 2', 497, NULL, 'Herpes_LAMP2', 34085),
(90360, 'PF07547', NULL, 'RSD-2 N-terminal domain', 85, NULL, 'RSD-2', 34086),
(90361, 'PF11656', NULL, 'YjbD family (DUF3811)', 88, NULL, 'DUF3811', 34087),
(90362, 'PF06796', NULL, 'Periplasmic nitrate reductase protein NapE', 54, NULL, 'NapE', 34088),
(90363, 'PF15550', NULL, 'Draxin', 324, NULL, 'Draxin', 34089),
(90364, 'PF14647', NULL, 'FAM91 N-terminus', 307, NULL, 'FAM91_N', 34090),
(90365, 'PF12234', NULL, 'RAVE protein 1 C terminal', 640, NULL, 'Rav1p_C', 34091),
(90366, 'PF09122', NULL, 'Domain of unknown function (DUF1930)', 68, NULL, 'DUF1930', 34092),
(90367, 'PF01530', NULL, 'Zinc finger, C2HC type', 29, NULL, 'zf-C2HC', 34093),
(90368, 'PF09291', NULL, 'Domain of unknown function (DUF1968)', 81, NULL, 'DUF1968', 34094),
(90369, 'PF15315', NULL, 'Facioscapulohumeral muscular dystrophy candidate 2', 183, NULL, 'FRG2', 34095),
(90370, 'PF10166', NULL, 'Uncharacterised conserved protein (DUF2368)', 134, NULL, 'DUF2368', 34096),
(90371, 'PF10143', NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase', 171, NULL, 'PhosphMutase', 34097),
(90372, 'PF12099', NULL, 'Protein of unknown function (DUF3575)', 176, NULL, 'DUF3575', 34098),
(90373, 'PF00507', NULL, 'NADH-ubiquinone/plastoquinone oxidoreductase, chain 3', 99, NULL, 'Oxidored_q4', 34099),
(90374, 'PF10783', NULL, 'Protein of unknown function (DUF2599)', 94, NULL, 'DUF2599', 34100),
(90375, 'PF16162', NULL, 'Domain of unknown function (DUF4868)', 187, NULL, 'DUF4868', 34101),
(90376, 'PF12371', NULL, 'Transmembrane protein 131-like N-terminal', 84, NULL, 'TMEM131_like_N', 34102),
(90377, 'PF06560', NULL, 'Glucose-6-phosphate isomerase (GPI)', 182, NULL, 'GPI', 34103);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(90378, 'PF08373', NULL, 'RAP domain', 58, NULL, 'RAP', 34104),
(90379, 'PF04240', NULL, 'Carotenoid biosynthesis protein', 209, NULL, 'Caroten_synth', 34105),
(90380, 'PF06653', NULL, 'Tight junction protein, Claudin-like', 165, NULL, 'Claudin_3', 34106),
(90381, 'PF20149', NULL, 'Domain of unknown function (DUF6532)', 195, NULL, 'DUF6532', 34107),
(90382, 'PF09182', NULL, 'Bacterial purine repressor, N-terminal', 70, NULL, 'PuR_N', 34108),
(90383, 'PF00485', NULL, 'Phosphoribulokinase / Uridine kinase family', 196, NULL, 'PRK', 34109),
(90384, 'PF03851', NULL, 'UV-endonuclease UvdE', 276, NULL, 'UvdE', 34110),
(90385, 'PF11074', NULL, 'Domain of unknown function(DUF2779)', 126, NULL, 'DUF2779', 34111),
(90386, 'PF11167', NULL, 'Protein of unknown function (DUF2953)', 53, NULL, 'DUF2953', 34112),
(90387, 'PF15937', NULL, 'prlF antitoxin for toxin YhaV_toxin', 99, NULL, 'PrlF_antitoxin', 34113),
(90388, 'PF11461', NULL, 'Rab interacting lysosomal protein', 69, NULL, 'RILP', 34114),
(90389, 'PF07767', NULL, 'Nop53 (60S ribosomal biogenesis)', 402, NULL, 'Nop53', 34115),
(90390, 'PF19771', NULL, 'Family of unknown function (DUF6257)', 61, NULL, 'DUF6257', 34116),
(90391, 'PF10155', NULL, 'CCR4-NOT transcription complex subunit 11', 125, NULL, 'CNOT11', 34117),
(90392, 'PF10943', NULL, 'Protein of unknown function (DUF2632)', 233, NULL, 'DUF2632', 34118),
(90393, 'PF03962', NULL, 'Mnd1 HTH domain', 60, NULL, 'Mnd1', 34119),
(90394, 'PF09999', NULL, 'Uncharacterized protein conserved in archaea (DUF2240)', 144, NULL, 'DUF2240', 34120),
(90395, 'PF11270', NULL, 'Protein of unknown function (DUF3070)', 33, NULL, 'DUF3070', 34121),
(90396, 'PF18547', NULL, 'Halobacterial output domain 2', 52, NULL, 'HalOD2', 34122),
(90397, 'PF03251', NULL, 'Tymovirus 45/70Kd protein', 468, NULL, 'Tymo_45kd_70kd', 34123),
(90398, 'PF11924', NULL, 'Inverse autotransporter, beta-domain', 280, NULL, 'IAT_beta', 34124),
(90399, 'PF02035', NULL, 'Coagulin', 174, NULL, 'Coagulin', 34125),
(90400, 'PF14315', NULL, 'Domain of unknown function (DUF4380)', 295, NULL, 'DUF4380', 34126),
(90401, 'PF09234', NULL, 'Domain of unknown function (DUF1963)', 214, NULL, 'DUF1963', 34127),
(90402, 'PF08084', NULL, 'PROCT (NUC072) domain', 123, NULL, 'PROCT', 34128),
(90403, 'PF13226', NULL, 'Domain of unknown function (DUF4034)', 274, NULL, 'DUF4034', 34129),
(90404, 'PF11447', NULL, 'Protein of unknown function (DUF3201)', 151, NULL, 'DUF3201', 34130),
(90405, 'PF14761', NULL, 'Hermansky-Pudlak syndrome 3', 210, NULL, 'HPS3_N', 34131),
(90406, 'PF07528', NULL, 'DZF domain', 248, NULL, 'DZF', 34132),
(90407, 'PF09042', NULL, 'Titin Z', 44, NULL, 'Titin_Z', 34133),
(90408, 'PF18364', NULL, 'Molybdopterin oxidoreductase N-terminal domain', 41, NULL, 'Molybdopterin_N', 34134),
(90409, 'PF18340', NULL, 'DNA relaxase TraI 2B/2B-like domain', 79, NULL, 'TraI_2B', 34135),
(90410, 'PF00617', NULL, 'RasGEF domain', 179, NULL, 'RasGEF', 34136),
(90411, 'PF17278', NULL, 'Family of unknown function (DUF5343)', 138, NULL, 'DUF5343', 34137),
(90412, 'PF06853', NULL, 'Protein of unknown function (DUF1249)', 116, NULL, 'DUF1249', 34138),
(90413, 'PF08017', NULL, 'Fibrinogen binding protein', 393, NULL, 'Fibrinogen_BP', 34139),
(90414, 'PF15996', NULL, 'Arginine/serine-rich protein PNISR', 200, NULL, 'PNISR', 34140),
(90415, 'PF08374', NULL, 'Protocadherin', 217, NULL, 'Protocadherin', 34141),
(90416, 'PF13798', NULL, 'Protein of unknown function with PCYCGC motif', 154, NULL, 'PCYCGC', 34142),
(90417, 'PF15172', NULL, 'Prolactin-releasing peptide', 45, NULL, 'Prolactin_RP', 34143),
(90418, 'PF13790', NULL, 'SR1 protein', 37, NULL, 'SR1P', 34144),
(90419, 'PF17051', NULL, 'Cytochrome C oxidase assembly factor 2', 86, NULL, 'COA2', 34145),
(90420, 'PF17345', NULL, 'Family of unknown function (DUF5375)', 106, NULL, 'DUF5375', 34146),
(90421, 'PF11534', NULL, 'Hexameric tyrosine-coordinated heme protein (HTHP)', 72, NULL, 'HTHP', 34147),
(90422, 'PF03449', NULL, 'Transcription elongation factor, N-terminal', 71, NULL, 'GreA_GreB_N', 34148),
(90423, 'PF17853', NULL, 'GGDEF-like domain', 117, NULL, 'GGDEF_2', 34149);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(90424, 'PF10446', NULL, 'Protein of unknown function (DUF2457)', 466, NULL, 'DUF2457', 34150),
(90425, 'PF15080', NULL, 'Domain of unknown function (DUF4547)', 196, NULL, 'DUF4547', 34151),
(90426, 'PF06998', NULL, 'Protein of unknown function (DUF1307)', 123, NULL, 'DUF1307', 34152),
(90427, 'PF09987', NULL, 'Uncharacterized protein conserved in archaea (DUF2226)', 297, NULL, 'DUF2226', 34153),
(90428, 'PF06761', NULL, 'Intracellular multiplication and human macrophage-killing', 307, NULL, 'IcmF-related', 34154),
(90429, 'PF17502', NULL, 'Family of unknown function (DUF5434)', 186, NULL, 'DUF5434', 34155),
(90430, 'PF12374', NULL, 'Double-sex mab3 related transcription factor 1', 74, NULL, 'Dmrt1', 34156),
(90431, 'PF04379', NULL, 'ApaG domain', 87, NULL, 'DUF525', 34157),
(90432, 'PF11221', NULL, 'Subunit 21 of Mediator complex', 144, NULL, 'Med21', 34158),
(90433, 'PF20128', NULL, 'Family of unknown function (DUF6518)', 205, NULL, 'DUF6518', 34159),
(90434, 'PF12232', NULL, 'Myogenic determination factor 5', 71, NULL, 'Myf5', 34160),
(90435, 'PF15111', NULL, 'TMEM101 protein family', 249, NULL, 'TMEM101', 34161),
(90436, 'PF18114', NULL, 'Suv3 helical N-terminal domain', 116, NULL, 'Suv3_N', 34162),
(90437, 'PF11759', NULL, 'Keratin-associated matrix', 65, NULL, 'KRTAP', 34163),
(90438, 'PF03059', NULL, 'Nicotianamine synthase protein', 276, NULL, 'NAS', 34164),
(90439, 'PF12169', NULL, 'DNA polymerase III subunits gamma and tau domain III', 143, NULL, 'DNA_pol3_gamma3', 34165),
(90440, 'PF05305', NULL, 'Protein of unknown function (DUF732)', 72, NULL, 'DUF732', 34166),
(90441, 'PF04828', NULL, 'Glutathione-dependent formaldehyde-activating enzyme', 93, NULL, 'GFA', 34167),
(90442, 'PF19465', NULL, 'Family of unknown function (DUF6002)', 447, NULL, 'DUF6002', 34168),
(90443, 'PF17687', NULL, 'Family of unknown function (DUF5535)', 105, NULL, 'DUF5535', 34169),
(90444, 'PF03099', NULL, 'Biotin/lipoate A/B protein ligase family', 133, NULL, 'BPL_LplA_LipB', 34170),
(90445, 'PF03172', NULL, 'HSR domain', 99, NULL, 'HSR', 34171),
(90446, 'PF19816', NULL, 'Family of unknown function (DUF6299)', 114, NULL, 'DUF6299', 34172),
(90447, 'PF19623', NULL, 'Family of unknown function (DUF6128)', 113, NULL, 'DUF6128', 34173),
(90448, 'PF16412', NULL, 'Domain of unknown function (DUF5020)', 212, NULL, 'DUF5020', 34174),
(90449, 'PF04077', NULL, 'DsrH like protein', 87, NULL, 'DsrH', 34175),
(90450, 'PF11018', NULL, 'Pupal cuticle protein C1', 182, NULL, 'Cuticle_3', 34176),
(90451, 'PF03536', NULL, 'Salmonella virulence-associated 28kDa protein', 240, NULL, 'VRP3', 34177),
(90452, 'PF11916', NULL, 'Vacuolar protein 14 C-terminal Fig4p binding', 179, NULL, 'Vac14_Fig4_bd', 34178),
(90453, 'PF04398', NULL, 'Protein of unknown function, DUF538', 112, NULL, 'DUF538', 34179),
(90454, 'PF07422', NULL, 'Sexual stage antigen s48/45 domain', 108, NULL, 's48_45', 34180),
(90455, 'PF01894', NULL, 'Uncharacterised protein family UPF0047', 115, NULL, 'UPF0047', 34181),
(90456, 'PF06094', NULL, 'Gamma-glutamyl cyclotransferase, AIG2-like', 122, NULL, 'GGACT', 34182),
(90457, 'PF18632', NULL, 'Family of unknown function (DUF5630)', 218, NULL, 'DUF5630', 34183),
(90458, 'PF12848', NULL, 'ABC transporter', 85, NULL, 'ABC_tran_Xtn', 34184),
(90459, 'PF08813', NULL, 'Phage tail tube protein, TTP', 165, NULL, 'Phage_tail_3', 34185),
(90460, 'PF20032', NULL, 'ADYC domain', 179, NULL, 'ADYC', 34186),
(90461, 'PF15004', NULL, 'Myeloma-overexpressed-like', 57, NULL, 'MYEOV2', 34187),
(90462, 'PF00693', NULL, 'Thymidine kinase from herpesvirus', 280, NULL, 'Herpes_TK', 34188),
(90463, 'PF13392', NULL, 'HNH endonuclease', 46, NULL, 'HNH_3', 34189),
(90464, 'PF08228', NULL, 'RNase P subunit Pop3', 158, NULL, 'RNase_P_pop3', 34190),
(90465, 'PF01134', NULL, 'Glucose inhibited division protein A', 392, NULL, 'GIDA', 34191),
(90466, 'PF18821', NULL, 'Large polyvalent protein-associated domain 7', 93, NULL, 'LPD7', 34192),
(90467, 'PF19860', NULL, 'Family of unknown function (DUF6334)', 125, NULL, 'DUF6334', 34193),
(90468, 'PF12971', NULL, 'Alpha-N-acetylglucosaminidase (NAGLU) N-terminal domain', 82, NULL, 'NAGLU_N', 34194);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(90469, 'PF14132', NULL, 'Domain of unknown function (DUF4299)', 301, NULL, 'DUF4299', 34195),
(90470, 'PF14754', NULL, 'Papain-like auto-proteinase', 249, NULL, 'IFR3_antag', 34196),
(90471, 'PF07204', NULL, 'Orthoreovirus membrane fusion protein p10', 98, NULL, 'Orthoreo_P10', 34197),
(90472, 'PF17392', NULL, 'Urocanase C-terminal domain', 196, NULL, 'Urocanase_C', 34198),
(90473, 'PF08031', NULL, 'Berberine and berberine like', 46, NULL, 'BBE', 34199),
(90474, 'PF08521', NULL, 'Two-component sensor kinase N-terminal', 143, NULL, '2CSK_N', 34200),
(90475, 'PF13693', NULL, 'Winged helix-turn-helix DNA-binding', 75, NULL, 'HTH_35', 34201),
(90476, 'PF16964', NULL, 'Putative tight adherence pilin protein F', 182, NULL, 'TadF', 34202),
(90477, 'PF12800', NULL, '4Fe-4S binding domain', 17, NULL, 'Fer4_4', 34203),
(90478, 'PF17246', NULL, 'Cell division control protein 24, OB domain 1', 125, NULL, 'CDC24_OB1', 34204),
(90479, 'PF17524', NULL, 'Anti-sigma factor CnrY', 95, NULL, 'CnrY', 34205),
(90480, 'PF12626', NULL, 'Polymerase A arginine-rich C-terminus', 120, NULL, 'PolyA_pol_arg_C', 34206),
(90481, 'PF13591', NULL, 'MerR HTH family regulatory protein', 84, NULL, 'MerR_2', 34207),
(90482, 'PF18941', NULL, 'Family of unknown function (DUF5688)', 290, NULL, 'DUF5688', 34208),
(90483, 'PF18680', NULL, 'Plasmodium host cell traversal SPECT1', 180, NULL, 'SPECT1', 34209),
(90484, 'PF03938', NULL, 'Outer membrane protein (OmpH-like)', 140, NULL, 'OmpH', 34210),
(90485, 'PF15593', NULL, 'Immunity protein 42', 162, NULL, 'Imm42', 34211),
(90486, 'PF16398', NULL, 'Domain of unknown function (DUF5007)', 287, NULL, 'DUF5007', 34212),
(90487, 'PF13395', NULL, 'HNH endonuclease', 55, NULL, 'HNH_4', 34213),
(90488, 'PF16915', NULL, 'Annelid erythrocruorin linker subunit C-terminus', 121, NULL, 'Eryth_link_C', 34214),
(90489, 'PF05497', NULL, 'Destabilase', 118, NULL, 'Destabilase', 34215),
(90490, 'PF11722', NULL, 'CCCH zinc finger in TRM13 protein', 29, NULL, 'zf-TRM13_CCCH', 34216),
(90491, 'PF02993', NULL, 'Minor capsid protein VI', 225, NULL, 'MCPVI', 34217),
(90492, 'PF05192', NULL, 'MutS domain III', 191, NULL, 'MutS_III', 34218),
(90493, 'PF02949', NULL, '7tm Odorant receptor', 313, NULL, '7tm_6', 34219),
(90494, 'PF10509', NULL, 'Galactokinase galactose-binding signature', 50, NULL, 'GalKase_gal_bdg', 34220),
(90495, 'PF11720', NULL, 'Peptidase inhibitor I78 family', 65, NULL, 'Inhibitor_I78', 34221),
(90496, 'PF13773', NULL, 'Domain of unknown function (DUF4170)', 68, NULL, 'DUF4170', 34222),
(90497, 'PF14156', NULL, 'Antirepressor AbbA', 63, NULL, 'AbbA_antirepres', 34223),
(90498, 'PF10112', NULL, '5-bromo-4-chloroindolyl phosphate hydrolysis protein', 191, NULL, 'Halogen_Hydrol', 34224),
(90499, 'PF04222', NULL, 'Protein of unknown function (DUF416)', 188, NULL, 'DUF416', 34225),
(90500, 'PF01067', NULL, 'Calpain large subunit, domain III', 137, NULL, 'Calpain_III', 34226),
(90501, 'PF02245', NULL, 'Methylpurine-DNA glycosylase (MPG)', 183, NULL, 'Pur_DNA_glyco', 34227),
(90502, 'PF02465', NULL, 'Flagellar hook-associated protein 2 N-terminus', 97, NULL, 'FliD_N', 34228),
(90503, 'PF11143', NULL, 'Protein of unknown function (DUF2919)', 146, NULL, 'DUF2919', 34229),
(90504, 'PF03185', NULL, 'Calcium-activated potassium channel, beta subunit', 195, NULL, 'CaKB', 34230),
(90505, 'PF09681', NULL, 'N-terminal phage replisome organiser (Phage_rep_org_N)', 121, NULL, 'Phage_rep_org_N', 34231),
(90506, 'PF18456', NULL, 'Diiron non-heme beta-hydroxylase N-terminal domain', 232, NULL, 'CmlA_N', 34232),
(90507, 'PF19744', NULL, 'Family of unknown function (DUF6232)', 117, NULL, 'DUF6232', 34233),
(90508, 'PF01081', NULL, 'KDPG and KHG aldolase', 196, NULL, 'Aldolase', 34234),
(90509, 'PF08696', NULL, 'DNA replication factor Dna2', 203, NULL, 'Dna2', 34235),
(90510, 'PF12869', NULL, 'tRNA_anti-like', 161, NULL, 'tRNA_anti-like', 34236),
(90511, 'PF00006', NULL, 'ATP synthase alpha/beta family, nucleotide-binding domain', 214, NULL, 'ATP-synt_ab', 34237),
(90512, 'PF13967', NULL, 'Late exocytosis, associated with Golgi transport', 156, NULL, 'RSN1_TM', 34238); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(90513, 'PF16248', NULL, 'Domain of unknown function (DUF4905)', 83, NULL, 'DUF4905', 34239),
(90514, 'PF12545', NULL, 'Filamentous haemagglutinin family outer membrane protein', 110, NULL, 'DUF3739', 34240),
(90515, 'PF12271', NULL, 'Chitin synthase export chaperone', 287, NULL, 'Chs7', 34241),
(90516, 'PF15910', NULL, 'ICOS V-set domain', 113, NULL, 'V-set_2', 34242),
(90517, 'PF05887', NULL, 'Procyclic acidic repetitive protein (PARP)', 134, NULL, 'Trypan_PARP', 34243),
(90518, 'PF17465', NULL, 'Chemokine-like protein, HHV-6 U83 gene product', 97, NULL, 'U83', 34244),
(90519, 'PF15306', NULL, 'LIN37', 155, NULL, 'LIN37', 34245),
(90520, 'PF05399', NULL, 'Ectropic viral integration site 2A protein (EVI2A)', 232, NULL, 'EVI2A', 34246),
(90521, 'PF12731', NULL, 'Mating-type protein beta 1', 95, NULL, 'Mating_N', 34247),
(90522, 'PF10920', NULL, 'Protein of unknown function (DUF2705)', 226, NULL, 'DUF2705', 34248),
(90523, 'PF12274', NULL, 'Protein of unknown function (DUF3615)', 91, NULL, 'DUF3615', 34249),
(90524, 'PF09815', NULL, 'XK-related protein', 339, NULL, 'XK-related', 34250),
(90525, 'PF11332', NULL, 'Protein of unknown function (DUF3134)', 70, NULL, 'DUF3134', 34251),
(90526, 'PF00712', NULL, 'DNA polymerase III beta subunit, N-terminal domain', 121, NULL, 'DNA_pol3_beta', 34252),
(90527, 'PF06464', NULL, 'DMAP1-binding Domain', 111, NULL, 'DMAP_binding', 34253),
(90528, 'PF03857', NULL, 'Colicin immunity protein', 138, NULL, 'Colicin_im', 34254),
(90529, 'PF19669', NULL, 'Family of unknown function (DUF6172)', 95, NULL, 'DUF6172', 34255),
(90530, 'PF01393', NULL, 'Chromo shadow domain', 52, NULL, 'Chromo_shadow', 34256),
(90531, 'PF01746', NULL, 'tRNA (Guanine-1)-methyltransferase', 195, NULL, 'tRNA_m1G_MT', 34257),
(90532, 'PF14911', NULL, 'S-phase genomic integrity recombination mediator, C-terminal', 376, NULL, 'MMS22L_C', 34258),
(90533, 'PF13991', NULL, 'BssS protein family', 72, NULL, 'BssS', 34259),
(90534, 'PF10355', NULL, 'Protein of unknown function (Ytp1)', 277, NULL, 'Ytp1', 34260),
(90535, 'PF10707', NULL, 'PhoP regulatory network protein YrbL', 185, NULL, 'YrbL-PhoP_reg', 34261),
(90536, 'PF10529', NULL, 'Histidine-rich Calcium-binding repeat region', 15, NULL, 'Hist_rich_Ca-bd', 34262),
(90537, 'PF19775', NULL, 'Family of unknown function (DUF6261)', 154, NULL, 'DUF6261', 34263),
(90538, 'PF03822', NULL, 'NAF domain', 54, NULL, 'NAF', 34264),
(90539, 'PF17329', NULL, 'Family of unknown function (DUF5367)', 98, NULL, 'DUF5367', 34265),
(90540, 'PF02083', NULL, 'Urotensin II', 12, NULL, 'Urotensin_II', 34266),
(90541, 'PF13182', NULL, 'Protein of unknown function (DUF4007)', 287, NULL, 'DUF4007', 34267),
(90542, 'PF11364', NULL, 'Protein of unknown function (DUF3165)', 81, NULL, 'DUF3165', 34268),
(90543, 'PF03337', NULL, 'Poxvirus F12L protein', 648, NULL, 'Pox_F12L', 34269),
(90544, 'PF04411', NULL, 'PD-(D/E)XK nuclease superfamily', 164, NULL, 'PDDEXK_7', 34270),
(90545, 'PF13880', NULL, 'ESCO1/2 acetyl-transferase', 69, NULL, 'Acetyltransf_13', 34271),
(90546, 'PF07288', NULL, 'RNA polymerase epsilon subunit', 68, NULL, 'RpoY', 34272),
(90547, 'PF07100', NULL, 'Anabaena sensory rhodopsin transducer', 119, NULL, 'ASRT', 34273),
(90548, 'PF09521', NULL, 'NgoPII restriction endonuclease', 262, NULL, 'RE_NgoPII', 34274),
(90549, 'PF06296', NULL, 'RelE toxin of RelE / RelB toxin-antitoxin system', 120, NULL, 'RelE', 34275),
(90550, 'PF12946', NULL, 'MSP1 EGF domain 1', 37, NULL, 'EGF_MSP1_1', 34276),
(90551, 'PF09245', NULL, 'Mycoplasma arthritidis-derived mitogen', 214, NULL, 'MA-Mit', 34277),
(90552, 'PF13035', NULL, 'Protein of unknown function (DUF3896)', 61, NULL, 'DUF3896', 34278),
(90553, 'PF04934', NULL, 'MED6 mediator sub complex component', 133, NULL, 'Med6', 34279),
(90554, 'PF12794', NULL, 'Mechanosensitive ion channel inner membrane domain 1', 339, NULL, 'MscS_TM', 34280),
(90555, 'PF13272', NULL, 'Putative 2/3 transmembrane domain holin', 106, NULL, 'Holin_2-3', 34281),
(90556, 'PF20122', NULL, 'Family of unknown function (DUF6512)', 181, NULL, 'DUF6512', 34282);
INSERT INTO "PUBLIC"."MODEL" VALUES
(90557, 'PF05320', NULL, 'Poxvirus DNA-directed RNA polymerase 19 kDa subunit', 166, NULL, 'Pox_RNA_Pol_19', 34283),
(90558, 'PF06485', NULL, 'RNA-binding protein Tab2/Atab2', 268, NULL, 'Tab2_like', 34284),
(90559, 'PF01778', NULL, 'Ribosomal L28e protein family', 115, NULL, 'Ribosomal_L28e', 34285),
(90560, 'PF19073', NULL, 'Family of unknown function (DUF5769)', 191, NULL, 'DUF5769', 34286),
(90561, 'PF01222', NULL, 'Ergosterol biosynthesis ERG4/ERG24 family', 432, NULL, 'ERG4_ERG24', 34287),
(90562, 'PF13407', NULL, 'Periplasmic binding protein domain', 259, NULL, 'Peripla_BP_4', 34288),
(90563, 'PF09272', NULL, 'Hepsin, SRCR domain', 110, NULL, 'Hepsin-SRCR', 34289),
(90564, 'PF04266', NULL, 'ASCH domain', 107, NULL, 'ASCH', 34290),
(90565, 'PF02888', NULL, 'Calmodulin binding domain', 75, NULL, 'CaMBD', 34291),
(90566, 'PF09886', NULL, 'Uncharacterized protein conserved in archaea (DUF2113)', 185, NULL, 'DUF2113', 34292),
(90567, 'PF01547', NULL, 'Bacterial extracellular solute-binding protein', 315, NULL, 'SBP_bac_1', 34293),
(90568, 'PF10578', NULL, 'Seminal vesicle protein repeat', 12, NULL, 'SVS_QK', 34294),
(90569, 'PF03092', NULL, 'BT1 family', 524, NULL, 'BT1', 34295),
(90570, 'PF09370', NULL, 'Phosphoenolpyruvate hydrolase-like', 267, NULL, 'PEP_hydrolase', 34296),
(90571, 'PF00087', NULL, 'Snake toxin and toxin-like protein', 70, NULL, 'Toxin_TOLIP', 34297),
(90572, 'PF13197', NULL, 'Protein of unknown function (DUF4013)', 169, NULL, 'DUF4013', 34298),
(90573, 'PF02614', NULL, 'Glucuronate isomerase', 464, NULL, 'UxaC', 34299),
(90574, 'PF07044', NULL, 'Protein of unknown function (DUF1329)', 365, NULL, 'DUF1329', 34300),
(90575, 'PF17575', NULL, 'Family of unknown function (DUF5479)', 101, NULL, 'DUF5479', 34301),
(90576, 'PF13536', NULL, 'Putative multidrug resistance efflux transporter', 258, NULL, 'EmrE', 34302),
(90577, 'PF17907', NULL, 'AWS domain', 39, NULL, 'AWS', 34303),
(90578, 'PF03390', NULL, '2-hydroxycarboxylate transporter family', 416, NULL, '2HCT', 34304),
(90579, 'PF02305', NULL, 'Capsid protein (F protein)', 510, NULL, 'Phage_F', 34305),
(90580, 'PF04255', NULL, 'Protein of unknown function (DUF433)', 56, NULL, 'DUF433', 34306),
(90581, 'PF12139', NULL, 'Adenosine-5''-phosphosulfate reductase beta subunit', 82, NULL, 'APS-reductase_C', 34307),
(90582, 'PF00203', NULL, 'Ribosomal protein S19', 81, NULL, 'Ribosomal_S19', 34308),
(90583, 'PF13049', NULL, 'Protein of unknown function (DUF3910)', 95, NULL, 'DUF3910', 34309),
(90584, 'PF11126', NULL, 'Transcriptional regulator DsbA', 67, NULL, 'Phage_DsbA', 34310),
(90585, 'PF05783', NULL, 'Dynein light intermediate chain (DLIC)', 471, NULL, 'DLIC', 34311),
(90586, 'PF16015', NULL, 'Promethin', 106, NULL, 'Promethin', 34312),
(90587, 'PF12327', NULL, 'FtsZ family, C-terminal domain', 95, NULL, 'FtsZ_C', 34313),
(90588, 'PF14064', NULL, 'HmuY protein', 155, NULL, 'HmuY', 34314),
(90589, 'PF07552', NULL, 'Spore Coat Protein X and V domain', 58, NULL, 'Coat_X', 34315),
(90590, 'PF03609', NULL, 'PTS system sorbose-specific iic component', 233, NULL, 'EII-Sor', 34316),
(90591, 'PF09101', NULL, 'Exotoxin A binding', 262, NULL, 'Exotox-A_bind', 34317),
(90592, 'PF04167', NULL, 'Protein of unknown function (DUF402)', 68, NULL, 'DUF402', 34318),
(90593, 'PF05660', NULL, 'Coxiella burnetii protein of unknown function (DUF807)', 142, NULL, 'DUF807', 34319),
(90594, 'PF17008', NULL, 'Domain of unknown function (DUF5088)', 186, NULL, 'DUF5088', 34320),
(90595, 'PF00982', NULL, 'Glycosyltransferase family 20', 474, NULL, 'Glyco_transf_20', 34321),
(90596, 'PF16220', NULL, 'Domain of unknown function (DUF4880)', 43, NULL, 'DUF4880', 34322),
(90597, 'PF01456', NULL, 'Mucin-like glycoprotein', 143, NULL, 'Mucin', 34323),
(90598, 'PF17461', NULL, 'Family of unknown function (DUF5423)', 348, NULL, 'DUF5423', 34324),
(90599, 'PF05324', NULL, 'Sperm antigen HE2', 70, NULL, 'Sperm_Ag_HE2', 34325),
(90600, 'PF14444', NULL, 'S1-like', 58, NULL, 'S1-like', 34326),
(90601, 'PF00601', NULL, 'Influenza non-structural protein (NS2)', 94, NULL, 'Flu_NS2', 34327);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(90602, 'PF10026', NULL, 'Predicted Zn-dependent protease (DUF2268)', 195, NULL, 'DUF2268', 34328),
(90603, 'PF11038', NULL, 'Dispersed gene family protein 1 of Trypanosoma cruzi region 5', 278, NULL, 'DGF-1_5', 34329),
(90604, 'PF01630', NULL, 'Hyaluronidase', 335, NULL, 'Glyco_hydro_56', 34330),
(90605, 'PF19322', NULL, 'E3 ubiquitin-protein ligase RKP N-terminus', 137, NULL, 'RKP_N', 34331),
(90606, 'PF16341', NULL, 'Domain of unknown function (DUF4971)', 139, NULL, 'DUF4971', 34332),
(90607, 'PF17823', NULL, 'Family of unknown function (DUF5585)', 477, NULL, 'DUF5585', 34333),
(90608, 'PF19892', NULL, 'Family of unknown function (DUF6365)', 408, NULL, 'DUF6365', 34334),
(90609, 'PF12388', NULL, 'Dual-action HEIGH metallo-peptidase', 212, NULL, 'Peptidase_M57', 34335),
(90610, 'PF08581', NULL, 'Tup N-terminal', 77, NULL, 'Tup_N', 34336),
(90611, 'PF17318', NULL, 'Family of unknown function (DUF5361)', 36, NULL, 'DUF5361', 34337),
(90612, 'PF06012', NULL, 'Domain of Unknown Function (DUF908)', 358, NULL, 'DUF908', 34338),
(90613, 'PF18541', NULL, 'RuvC endonuclease subdomain 3', 180, NULL, 'RuvC_III', 34339),
(90614, 'PF02864', NULL, 'STAT protein, DNA binding domain', 135, NULL, 'STAT_bind', 34340),
(90615, 'PF12740', NULL, 'Chlorophyllase enzyme', 254, NULL, 'Chlorophyllase2', 34341),
(90616, 'PF16535', NULL, 'Type III cell invasion protein SipB', 155, NULL, 'T3SSipB', 34342),
(90617, 'PF01771', NULL, 'Viral alkaline exonuclease', 480, NULL, 'Viral_alk_exo', 34343),
(90618, 'PF13716', NULL, 'Divergent CRAL/TRIO domain', 139, NULL, 'CRAL_TRIO_2', 34344),
(90619, 'PF06021', NULL, 'Aralkyl acyl-CoA:amino acid N-acyltransferase', 205, NULL, 'Gly_acyl_tr_N', 34345),
(90620, 'PF06876', NULL, 'Plant self-incompatibility response (SCRL) protein', 67, NULL, 'SCRL', 34346),
(90621, 'PF18112', NULL, 'Autophagy receptor zinc finger-C2H2 domain', 27, NULL, 'Zn-C2H2_12', 34347),
(90622, 'PF00679', NULL, 'Elongation factor G C-terminus', 89, NULL, 'EFG_C', 34348),
(90623, 'PF00803', NULL, '3A/RNA2 movement protein family', 236, NULL, '3A', 34349),
(90624, 'PF02158', NULL, 'Neuregulin intracellular region', 359, NULL, 'Neuregulin', 34350),
(90625, 'PF05956', NULL, 'APC basic domain', 344, NULL, 'APC_basic', 34351),
(90626, 'PF19156', NULL, 'Family of unknown function (DUF5838)', 289, NULL, 'DUF5838', 34352),
(90627, 'PF10152', NULL, 'Subunit CCDC53 of WASH complex', 153, NULL, 'CCDC53', 34353),
(90628, 'PF03321', NULL, 'GH3 auxin-responsive promoter', 533, NULL, 'GH3', 34354),
(90629, 'PF08541', NULL, '3-Oxoacyl-[acyl-carrier-protein (ACP)] synthase III C terminal', 90, NULL, 'ACP_syn_III_C', 34355),
(90630, 'PF12209', NULL, 'Leucine permease transcriptional regulator helical domain', 77, NULL, 'SAC3', 34356),
(90631, 'PF14001', NULL, 'YdfZ protein', 64, NULL, 'YdfZ', 34357),
(90632, 'PF18088', NULL, 'Glycoside Hydrolase 20C C-terminal domain', 194, NULL, 'Glyco_H_20C_C', 34358),
(90633, 'PF00733', NULL, 'Asparagine synthase', 355, NULL, 'Asn_synthase', 34359),
(90634, 'PF07233', NULL, 'Protein of unknown function (DUF1425)', 92, NULL, 'DUF1425', 34360),
(90635, 'PF13741', NULL, 'Mitochondrial ribosomal protein S25', 230, NULL, 'MRP-S25', 34361),
(90636, 'PF02719', NULL, 'Polysaccharide biosynthesis protein', 294, NULL, 'Polysacc_synt_2', 34362),
(90637, 'PF02677', NULL, 'Epoxyqueuosine reductase QueH', 175, NULL, 'QueH', 34363),
(90638, 'PF07654', NULL, 'Immunoglobulin C1-set domain', 86, NULL, 'C1-set', 34364),
(90639, 'PF07278', NULL, 'Protein of unknown function (DUF1441)', 147, NULL, 'DUF1441', 34365),
(90640, 'PF08809', NULL, 'Phage related hypothetical protein (DUF1799)', 80, NULL, 'DUF1799', 34366),
(90641, 'PF15279', NULL, 'Sine oculis-binding protein', 325, NULL, 'SOBP', 34367),
(90642, 'PF01228', NULL, 'Glycine radical', 106, NULL, 'Gly_radical', 34368),
(90643, 'PF11982', NULL, 'Domain of unknown function (DUF3483)', 218, NULL, 'DUF3483', 34369),
(90644, 'PF15015', NULL, 'Spermatogenesis-associated, N-terminal', 564, NULL, 'NYD-SP12_N', 34370),
(90645, 'PF11352', NULL, 'Protein of unknown function (DUF3155)', 88, NULL, 'DUF3155', 34371);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(90646, 'PF16364', NULL, 'Cell surface antigen C-terminus', 171, NULL, 'Antigen_C', 34372),
(90647, 'PF13296', NULL, 'Putative type VI secretion system Rhs element Vgr', 108, NULL, 'T6SS_Vgr', 34373),
(90648, 'PF11905', NULL, 'Domain of unknown function (DUF3425)', 124, NULL, 'DUF3425', 34374),
(90649, 'PF19337', NULL, 'BMP and activin membrane-bound inhibitor homolog C-terminus', 138, NULL, 'BAMBI_C', 34375),
(90650, 'PF07595', NULL, 'Planctomycete extracellular', 24, NULL, 'Planc_extracel', 34376),
(90651, 'PF00246', NULL, 'Zinc carboxypeptidase', 287, NULL, 'Peptidase_M14', 34377),
(90652, 'PF07676', NULL, 'WD40-like Beta Propeller Repeat', 38, NULL, 'PD40', 34378),
(90653, 'PF16931', NULL, 'Putative phage holin', 123, NULL, 'Phage_holin_8', 34379),
(90654, 'PF14387', NULL, 'Domain of unknown function (DUF4418)', 119, NULL, 'DUF4418', 34380),
(90655, 'PF16878', NULL, 'Transcriptional regulator, SIX1, N-terminal SD domain', 115, NULL, 'SIX1_SD', 34381),
(90656, 'PF04407', NULL, 'Protein of unknown function (DUF531)', 170, NULL, 'DUF531', 34382),
(90657, 'PF05558', NULL, 'DREPP plasma membrane polypeptide', 206, NULL, 'DREPP', 34383),
(90658, 'PF20131', NULL, 'Family of unknown function (DUF6521)', 159, NULL, 'DUF6521', 34384),
(90659, 'PF13484', NULL, '4Fe-4S double cluster binding domain', 67, NULL, 'Fer4_16', 34385),
(90660, 'PF13280', NULL, 'WYL domain', 172, NULL, 'WYL', 34386),
(90661, 'PF08504', NULL, 'Runx inhibition domain', 99, NULL, 'RunxI', 34387),
(90662, 'PF14127', NULL, 'Domain of unknown function (DUF4294)', 155, NULL, 'DUF4294', 34388),
(90663, 'PF09420', NULL, 'Ribosome biogenesis protein Nop16', 211, NULL, 'Nop16', 34389),
(90664, 'PF01031', NULL, 'Dynamin central region', 287, NULL, 'Dynamin_M', 34390),
(90665, 'PF10598', NULL, 'RNA recognition motif of the spliceosomal PrP8', 92, NULL, 'RRM_4', 34391),
(90666, 'PF04559', NULL, 'Herpesvirus UL17 protein', 540, NULL, 'Herpes_UL17', 34392),
(90667, 'PF19327', NULL, 'Ap4A phosphorylase N-terminal domain', 179, NULL, 'Ap4A_phos_N', 34393),
(90668, 'PF02508', NULL, 'Rnf-Nqr subunit, membrane protein', 174, NULL, 'Rnf-Nqr', 34394),
(90669, 'PF14887', NULL, 'HMG (high mobility group) box 5', 86, NULL, 'HMG_box_5', 34395),
(90670, 'PF06558', NULL, 'Secretion monitor precursor protein (SecM)', 147, NULL, 'SecM', 34396),
(90671, 'PF11519', NULL, 'Protein of unknown function (DUF3222)', 75, NULL, 'DUF3222', 34397),
(90672, 'PF13976', NULL, 'GAG-pre-integrase domain', 67, NULL, 'gag_pre-integrs', 34398),
(90673, 'PF13941', NULL, 'MutL protein', 453, NULL, 'MutL', 34399),
(90674, 'PF00810', NULL, 'ER lumen protein retaining receptor', 147, NULL, 'ER_lumen_recept', 34400),
(90675, 'PF11920', NULL, 'Protein of unknown function (DUF3438)', 288, NULL, 'DUF3438', 34401),
(90676, 'PF03924', NULL, 'CHASE domain', 188, NULL, 'CHASE', 34402),
(90677, 'PF19708', NULL, 'Family of unknown function (DUF6205)', 141, NULL, 'DUF6205', 34403),
(90678, 'PF18030', NULL, 'RimK PreATP-grasp domain', 94, NULL, 'Rimk_N', 34404),
(90679, 'PF08561', NULL, 'Mitochondrial ribosomal protein L37', 114, NULL, 'Ribosomal_L37', 34405),
(90680, 'PF12021', NULL, 'Protein of unknown function (DUF3509)', 87, NULL, 'DUF3509', 34406),
(90681, 'PF06643', NULL, 'Protein of unknown function (DUF1158)', 79, NULL, 'DUF1158', 34407),
(90682, 'PF17739', NULL, 'Family of unknown function (DUF5576)', 134, NULL, 'DUF5576', 34408),
(90683, 'PF05035', NULL, '2-keto-3-deoxy-galactonokinase', 285, NULL, 'DGOK', 34409),
(90684, 'PF08387', NULL, 'FBD', 46, NULL, 'FBD', 34410),
(90685, 'PF06055', NULL, 'Exopolysaccharide synthesis, ExoD', 180, NULL, 'ExoD', 34411),
(90686, 'PF11676', NULL, 'Protein of unknown function (DUF3272)', 61, NULL, 'DUF3272', 34412),
(90687, 'PF06999', NULL, 'Sucrase/ferredoxin-like', 195, NULL, 'Suc_Fer-like', 34413),
(90688, 'PF03057', NULL, 'DUF236 repeat', 31, NULL, 'DUF236', 34414),
(90689, 'PF05545', NULL, 'Cbb3-type cytochrome oxidase component FixQ', 49, NULL, 'FixQ', 34415),
(90690, 'PF13581', NULL, 'Histidine kinase-like ATPase domain', 125, NULL, 'HATPase_c_2', 34416);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(90691, 'PF01343', NULL, 'Peptidase family S49', 154, NULL, 'Peptidase_S49', 34417),
(90692, 'PF10592', NULL, 'AIPR protein', 294, NULL, 'AIPR', 34418),
(90693, 'PF01527', NULL, 'Transposase', 75, NULL, 'HTH_Tnp_1', 34419),
(90694, 'PF07355', NULL, 'Glycine/sarcosine/betaine reductase selenoprotein B (GRDB)', 347, NULL, 'GRDB', 34420),
(90695, 'PF07365', NULL, 'Alpha conotoxin precursor', 50, NULL, 'Toxin_8', 34421),
(90696, 'PF03546', NULL, 'Treacher Collins syndrome protein Treacle', 535, NULL, 'Treacle', 34422),
(90697, 'PF13725', NULL, 'Possible tRNA binding domain', 235, NULL, 'tRNA_bind_2', 34423),
(90698, 'PF17175', NULL, 'Modulator of levamisole receptor-1', 122, NULL, 'MOLO1', 34424),
(90699, 'PF08141', NULL, 'Small acid-soluble spore protein H family', 58, NULL, 'SspH', 34425),
(90700, 'PF05715', NULL, 'Piccolo Zn-finger', 60, NULL, 'zf-piccolo', 34426),
(90701, 'PF01258', NULL, 'Prokaryotic dksA/traR C4-type zinc finger', 36, NULL, 'zf-dskA_traR', 34427),
(90702, 'PF04324', NULL, 'BFD-like [2Fe-2S] binding domain', 51, NULL, 'Fer2_BFD', 34428),
(90703, 'PF08313', NULL, 'SCA7, zinc-binding domain', 68, NULL, 'SCA7', 34429),
(90704, 'PF02524', NULL, 'KID repeat', 11, NULL, 'KID', 34430),
(90705, 'PF02181', NULL, 'Formin Homology 2 Domain', 372, NULL, 'FH2', 34431),
(90706, 'PF08663', NULL, 'HalX domain', 67, NULL, 'HalX', 34432),
(90707, 'PF02265', NULL, 'S1/P1 Nuclease', 255, NULL, 'S1-P1_nuclease', 34433),
(90708, 'PF00722', NULL, 'Glycosyl hydrolases family 16', 178, NULL, 'Glyco_hydro_16', 34434),
(90709, 'PF11127', NULL, 'Protein of unknown function (DUF2892)', 66, NULL, 'DUF2892', 34435),
(90710, 'PF11517', NULL, 'Nuclear abundant poly(A) RNA-bind protein 2 (Nab2)', 101, NULL, 'Nab2', 34436),
(90711, 'PF05331', NULL, 'Protein of unknown function (DUF742)', 114, NULL, 'DUF742', 34437),
(90712, 'PF19295', NULL, 'SufBD protein N-terminal region', 172, NULL, 'SufBD_N', 34438),
(90713, 'PF17501', NULL, 'Viral RNA-directed RNA polymerase C-terminal', 101, NULL, 'Viral_RdRp_C', 34439),
(90714, 'PF12461', NULL, 'Spiroplasma phage ORF1-like family', 708, NULL, 'DUF3688', 34440),
(90715, 'PF01673', NULL, 'Herpesvirus putative major envelope glycoprotein', 530, NULL, 'Herpes_env', 34441),
(90716, 'PF06120', NULL, 'Tail length tape measure protein', 295, NULL, 'Phage_HK97_TLTM', 34442),
(90717, 'PF09224', NULL, 'Domain of unknown function (DUF1961)', 214, NULL, 'DUF1961', 34443),
(90718, 'PF11647', NULL, 'Membrane Localization Domain', 81, NULL, 'MLD', 34444),
(90719, 'PF08337', NULL, 'Plexin cytoplasmic RasGAP domain', 554, NULL, 'Plexin_cytopl', 34445),
(90720, 'PF09281', NULL, 'Taq polymerase, exonuclease', 132, NULL, 'Taq-exonuc', 34446),
(90721, 'PF11559', NULL, 'Afadin- and alpha -actinin-Binding', 152, NULL, 'ADIP', 34447),
(90722, 'PF08070', NULL, 'DTHCT (NUC029) region', 104, NULL, 'DTHCT', 34448),
(90723, 'PF15184', NULL, 'Mitochondrial import receptor subunit TOM6 homolog', 74, NULL, 'TOM6p', 34449),
(90724, 'PF08768', NULL, 'THAP4-like, heme-binding beta-barrel domain', 153, NULL, 'THAP4_heme-bd', 34450),
(90725, 'PF01247', NULL, 'Ribosomal protein L35Ae', 95, NULL, 'Ribosomal_L35Ae', 34451),
(90726, 'PF17778', NULL, 'Beta-lactamase associated winged helix domain', 47, NULL, 'BLACT_WH', 34452),
(90727, 'PF00106', NULL, 'short chain dehydrogenase', 195, NULL, 'adh_short', 34453),
(90728, 'PF09396', NULL, 'Thrombin light chain', 48, NULL, 'Thrombin_light', 34454),
(90729, 'PF03175', NULL, 'DNA polymerase type B, organellar and viral', 469, NULL, 'DNA_pol_B_2', 34455),
(90730, 'PF09603', NULL, 'Fibrobacter succinogenes major domain (Fib_succ_major)', 181, NULL, 'Fib_succ_major', 34456),
(90731, 'PF01175', NULL, 'Urocanase Rossmann-like domain', 209, NULL, 'Urocanase', 34457),
(90732, 'PF14328', NULL, 'Domain of unknown function (DUF4385)', 148, NULL, 'DUF4385', 34458),
(90733, 'PF16703', NULL, 'Domain of unknown function (DUF5064)', 117, NULL, 'DUF5064', 34459),
(90734, 'PF03634', NULL, 'TCP family transcription factor', 154, NULL, 'TCP', 34460),
(90735, 'PF03992', NULL, 'Antibiotic biosynthesis monooxygenase', 78, NULL, 'ABM', 34461);
INSERT INTO "PUBLIC"."MODEL" VALUES
(90736, 'PF18879', NULL, 'EspA/EspE family', 84, NULL, 'EspA_EspE', 34462),
(90737, 'PF19068', NULL, 'Family of unknown function (DUF5764)', 134, NULL, 'DUF5764', 34463),
(90738, 'PF16780', NULL, 'AIMP2 lysyl-tRNA synthetase binding domain', 47, NULL, 'AIMP2_LysRS_bd', 34464),
(90739, 'PF17390', NULL, 'Bacterial alpha-L-rhamnosidase C-terminal domain', 78, NULL, 'Bac_rhamnosid_C', 34465),
(90740, 'PF19790', NULL, 'Family of unknown function (DUF6274)', 82, NULL, 'DUF6274', 34466),
(90741, 'PF00643', NULL, 'B-box zinc finger', 42, NULL, 'zf-B_box', 34467),
(90742, 'PF11013', NULL, 'Protein of unknown function (DUF2851)', 375, NULL, 'DUF2851', 34468),
(90743, 'PF11416', NULL, 'Syntaxin-5 N-terminal, Sly1p-binding domain', 23, NULL, 'Syntaxin-5_N', 34469),
(90744, 'PF00565', NULL, 'Staphylococcal nuclease homologue', 108, NULL, 'SNase', 34470),
(90745, 'PF16066', NULL, 'Domain of unknown function (DUF4808)', 121, NULL, 'DUF4808', 34471),
(90746, 'PF03999', NULL, 'Microtubule associated protein (MAP65/ASE1 family)', 477, NULL, 'MAP65_ASE1', 34472),
(90747, 'PF09227', NULL, 'Domain of unknown function (DUF1962)', 64, NULL, 'DUF1962', 34473),
(90748, 'PF08683', NULL, 'Microtubule-binding calmodulin-regulated spectrin-associated', 119, NULL, 'CAMSAP_CKK', 34474),
(90749, 'PF09081', NULL, 'Domain of unknown function (DUF1921)', 51, NULL, 'DUF1921', 34475),
(90750, 'PF07217', NULL, 'Heterokaryon incompatibility protein Het-C', 561, NULL, 'Het-C', 34476),
(90751, 'PF15023', NULL, 'Protein of unknown function (DUF4523)', 166, NULL, 'DUF4523', 34477),
(90752, 'PF18722', NULL, 'MazG C-terminal domain', 190, NULL, 'MazG_C', 34478),
(90753, 'PF19574', NULL, 'Outer membrane lipoprotein carrier protein LolA-like', 192, NULL, 'LolA_3', 34479),
(90754, 'PF14455', NULL, 'Predicted metal binding domain', 176, NULL, 'Metal_CEHH', 34480),
(90755, 'PF19150', NULL, 'Family of unknown function (DUF5832)', 81, NULL, 'DUF5832', 34481),
(90756, 'PF10294', NULL, 'Lysine methyltransferase', 174, NULL, 'Methyltransf_16', 34482),
(90757, 'PF04468', NULL, 'PSP1 C-terminal conserved region', 86, NULL, 'PSP1', 34483),
(90758, 'PF18654', NULL, 'LegC3 N-terminal coiled-coil domain', 297, NULL, 'LegC3_N', 34484),
(90759, 'PF08406', NULL, 'CbbQ/NirQ/NorQ C-terminal', 85, NULL, 'CbbQ_C', 34485),
(90760, 'PF01112', NULL, 'Asparaginase', 309, NULL, 'Asparaginase_2', 34486),
(90761, 'PF18713', NULL, 'Domain of unknown function (DUF5645)', 125, NULL, 'DUF5645', 34487),
(90762, 'PF02019', NULL, 'WIF domain', 131, NULL, 'WIF', 34488),
(90763, 'PF15289', NULL, 'Regulatory factor X-associated C-terminal binding domain', 122, NULL, 'RFXA_RFXANK_bdg', 34489),
(90764, 'PF17410', NULL, 'Subtelomeric Variable Open Reading frame', 275, NULL, 'Stevor', 34490),
(90765, 'PF18655', NULL, 'SHIRT domain', 82, NULL, 'SHIRT', 34491),
(90766, 'PF13011', NULL, 'leucine-zipper of insertion element IS481', 85, NULL, 'LZ_Tnp_IS481', 34492),
(90767, 'PF01789', NULL, 'PsbP', 156, NULL, 'PsbP', 34493),
(90768, 'PF10020', NULL, 'Uncharacterized protein conserved in bacteria (DUF2262)', 141, NULL, 'DUF2262', 34494),
(90769, 'PF16482', NULL, 'Staufen C-terminal domain', 111, NULL, 'Staufen_C', 34495),
(90770, 'PF17157', NULL, 'Gammaproteobacterial periplasmic sensor domain', 98, NULL, 'GAPES4', 34496),
(90771, 'PF19837', NULL, 'Domain of unknown function (DUF6316)', 55, NULL, 'DUF6316', 34497),
(90772, 'PF18033', NULL, 'SpuA C-terminal', 93, NULL, 'SpuA_C', 34498),
(90773, 'PF19445', NULL, 'C-terminal region of eIF3h', 197, NULL, 'eIF3h_C', 34499),
(90774, 'PF01435', NULL, 'Peptidase family M48', 187, NULL, 'Peptidase_M48', 34500),
(90775, 'PF14738', NULL, 'Cilia- and flagella-associated protein 91', 153, NULL, 'CFAP91', 34501),
(90776, 'PF16403', NULL, 'Domain of unknown function (DUF5011)', 71, NULL, 'DUF5011', 34502),
(90777, 'PF20137', NULL, 'Family of unknown function (DUF6527)', 78, NULL, 'DUF6527', 34503),
(90778, 'PF06237', NULL, 'Protein of unknown function (DUF1011)', 99, NULL, 'DUF1011', 34504),
(90779, 'PF18017', NULL, 'SAM domain (Sterile alpha motif)', 84, NULL, 'SAM_4', 34505);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(90780, 'PF17950', NULL, 'S-adenosylmethionine decarboxylase N -terminal', 96, NULL, 'SpmSyn_N', 34506),
(90781, 'PF12596', NULL, '87kDa Transposase', 106, NULL, 'Tnp_P_element_C', 34507),
(90782, 'PF02205', NULL, 'WH2 motif', 30, NULL, 'WH2', 34508),
(90783, 'PF09604', NULL, 'F subunit of K+-transporting ATPase (Potass_KdpF)', 24, NULL, 'Potass_KdpF', 34509),
(90784, 'PF02304', NULL, 'Scaffold protein B', 117, NULL, 'Phage_B', 34510),
(90785, 'PF06772', NULL, 'Bacterial low temperature requirement A protein (LtrA)', 357, NULL, 'LtrA', 34511),
(90786, 'PF16020', NULL, 'Deltamethrin resistance', 52, NULL, 'Deltameth_res', 34512),
(90787, 'PF18209', NULL, 'Embryo surrounding factor 1', 56, NULL, 'ESF1', 34513),
(90788, 'PF04402', NULL, 'Protein of unknown function (DUF541)', 197, NULL, 'SIMPL', 34514),
(90789, 'PF07818', NULL, 'HCNGP-like protein', 94, NULL, 'HCNGP', 34515),
(90790, 'PF19699', NULL, 'Calsyntenin C-terminal', 354, NULL, 'CLSTN_C', 34516),
(90791, 'PF00148', NULL, 'Nitrogenase component 1 type Oxidoreductase', 399, NULL, 'Oxidored_nitro', 34517),
(90792, 'PF04173', NULL, 'TQO small subunit DoxD', 167, NULL, 'DoxD', 34518),
(90793, 'PF17271', NULL, 'TcfC Usher-like barrel domain', 420, NULL, 'Usher_TcfC', 34519),
(90794, 'PF10092', NULL, 'Uncharacterized protein conserved in bacteria (DUF2330)', 305, NULL, 'DUF2330', 34520),
(90795, 'PF19555', NULL, 'Family of unknown function (DUF6078)', 145, NULL, 'DUF6078', 34521),
(90796, 'PF11207', NULL, 'Protein of unknown function (DUF2989)', 201, NULL, 'DUF2989', 34522),
(90797, 'PF08269', NULL, 'Cache domain', 297, NULL, 'dCache_2', 34523),
(90798, 'PF06592', NULL, 'Protein of unknown function (DUF1138)', 73, NULL, 'DUF1138', 34524),
(90799, 'PF17625', NULL, 'Family of unknown function (DUF5509)', 362, NULL, 'DUF5509', 34525),
(90800, 'PF14472', NULL, 'Domain of unknown function (DUF4429)', 98, NULL, 'DUF4429', 34526),
(90801, 'PF11942', NULL, 'Spt5 transcription elongation factor, acidic N-terminal', 99, NULL, 'Spt5_N', 34527),
(90802, 'PF03129', NULL, 'Anticodon binding domain', 94, NULL, 'HGTP_anticodon', 34528),
(90803, 'PF12506', NULL, 'Protein of unknown function (DUF3713)', 116, NULL, 'DUF3713', 34529),
(90804, 'PF14428', NULL, 'SCP1.201-like deaminase', 137, NULL, 'SCP1201-deam', 34530),
(90805, 'PF17580', NULL, 'Group B Rotavirus Non-structural protein 5', 176, NULL, 'GBR_NSP5', 34531),
(90806, 'PF13672', NULL, 'Protein phosphatase 2C', 210, NULL, 'PP2C_2', 34532),
(90807, 'PF11214', NULL, 'Mediator complex subunit 2', 100, NULL, 'Med2', 34533),
(90808, 'PF14201', NULL, 'Domain of unknown function (DUF4318)', 75, NULL, 'DUF4318', 34534),
(90809, 'PF03756', NULL, 'A-factor biosynthesis hotdog domain', 132, NULL, 'AfsA', 34535),
(90810, 'PF17068', NULL, 'Required for respiratory growth protein 8 mitochondrial', 279, NULL, 'RRG8', 34536),
(90811, 'PF02682', NULL, 'Carboxyltransferase domain, subdomain C and D', 202, NULL, 'CT_C_D', 34537),
(90812, 'PF10253', NULL, 'Mitotic checkpoint regulator, MAD2B-interacting', 211, NULL, 'PRCC', 34538),
(90813, 'PF16116', NULL, 'Domain of unknown function (DUF4832)', 217, NULL, 'DUF4832', 34539),
(90814, 'PF19701', NULL, 'Family of unknown function (DUF6199)', 50, NULL, 'DUF6199', 34540),
(90815, 'PF09165', NULL, 'Ubiquinol-cytochrome c reductase 8 kDa, N-terminal', 75, NULL, 'Ubiq-Cytc-red_N', 34541),
(90816, 'PF10734', NULL, 'Protein of unknown function (DUF2523)', 80, NULL, 'DUF2523', 34542),
(90817, 'PF17014', NULL, 'Putative Mad3/BUB1 like region 1 protein', 128, NULL, 'Mad3_BUB1_I_2', 34543),
(90818, 'PF00319', NULL, 'SRF-type transcription factor (DNA-binding and dimerisation domain)', 48, NULL, 'SRF-TF', 34544),
(90819, 'PF02900', NULL, 'Catalytic LigB subunit of aromatic ring-opening dioxygenase', 273, NULL, 'LigB', 34545),
(90820, 'PF07058', NULL, 'Microtubule-associated protein 70', 554, NULL, 'MAP70', 34546),
(90821, 'PF15357', NULL, 'Psoriasis susceptibility 1 candidate 1', 149, NULL, 'SEEK1', 34547),
(90822, 'PF06389', NULL, 'Filovirus membrane-associated protein VP24', 253, NULL, 'Filo_VP24', 34548);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(90823, 'PF09056', NULL, 'Prokaryotic phospholipase A2', 111, NULL, 'Phospholip_A2_3', 34549),
(90824, 'PF16502', NULL, 'Domain of unknown function (DUF5059)', 620, NULL, 'DUF5059', 34550),
(90825, 'PF09836', NULL, 'Putative DNA-binding domain', 83, NULL, 'DUF2063', 34551),
(90826, 'PF17455', NULL, 'Late transcription unit B', 79, NULL, 'LtuB', 34552),
(90827, 'PF18117', NULL, 'Enhanced disease susceptibility 1 protein EP domain', 214, NULL, 'EDS1_EP', 34553),
(90828, 'PF17660', NULL, 'Bacterial tandem repeat domain 1', 50, NULL, 'BTRD1', 34554),
(90829, 'PF10713', NULL, 'Protein of unknown function (DUF2509)', 131, NULL, 'DUF2509', 34555),
(90830, 'PF15847', NULL, 'Major keratinocyte cell envelope protein', 312, NULL, 'Loricrin', 34556),
(90831, 'PF12258', NULL, 'Microcephalin protein', 391, NULL, 'Microcephalin', 34557),
(90832, 'PF18998', NULL, 'Divergent InlB B-repeat domain', 74, NULL, 'Flg_new_2', 34558),
(90833, 'PF19030', NULL, 'Thrombospondin type 1 domain', 55, NULL, 'TSP1_ADAMTS', 34559),
(90834, 'PF11650', NULL, 'P22 tail accessory factor', 164, NULL, 'P22_Tail-4', 34560),
(90835, 'PF04009', NULL, 'Protein of unknown function (DUF356)', 106, NULL, 'DUF356', 34561),
(90836, 'PF01580', NULL, 'FtsK/SpoIIIE family', 243, NULL, 'FtsK_SpoIIIE', 34562),
(90837, 'PF19330', NULL, 'Delta and Notch-like EGF-related receptor C-terminus', 112, NULL, 'DNER_C', 34563),
(90838, 'PF08272', NULL, 'Topoisomerase I zinc-ribbon-like', 41, NULL, 'Topo_Zn_Ribbon', 34564),
(90839, 'PF14296', NULL, 'O-antigen polysaccharide polymerase Wzy', 468, NULL, 'O-ag_pol_Wzy', 34565),
(90840, 'PF04516', NULL, 'CP2 transcription factor', 230, NULL, 'CP2', 34566),
(90841, 'PF10224', NULL, 'Short coiled-coil protein', 75, NULL, 'DUF2205', 34567),
(90842, 'PF11873', NULL, 'Membrane-bound lytic murein transglycosylase C, N-terminal domain', 168, NULL, 'Mltc_N', 34568),
(90843, 'PF09683', NULL, 'Bacteriocin (Lactococcin_972)', 63, NULL, 'Lactococcin_972', 34569),
(90844, 'PF14802', NULL, 'TMEM192 family', 235, NULL, 'TMEM192', 34570),
(90845, 'PF05527', NULL, 'Domain of unknown function (DUF758)', 181, NULL, 'DUF758', 34571),
(90846, 'PF13526', NULL, 'Protein of unknown function (DUF4125)', 197, NULL, 'DUF4125', 34572),
(90847, 'PF16032', NULL, 'Domain of unknown function (DUF4788)', 229, NULL, 'DUF4788', 34573),
(90848, 'PF14338', NULL, 'Mrr N-terminal domain', 87, NULL, 'Mrr_N', 34574),
(90849, 'PF18719', NULL, 'ArlS sensor domain', 127, NULL, 'ArlS_N', 34575),
(90850, 'PF00965', NULL, 'Tissue inhibitor of metalloproteinase', 183, NULL, 'TIMP', 34576),
(90851, 'PF11623', NULL, 'NAD(P)H dehydrogenase subunit S', 52, NULL, 'NdhS', 34577),
(90852, 'PF08364', NULL, 'Bacterial translation initiation factor IF-2 associated region', 39, NULL, 'IF2_assoc', 34578),
(90853, 'PF05006', NULL, 'Per os infectivity factor 3', 149, NULL, 'PIF3', 34579),
(90854, 'PF01524', NULL, 'Geminivirus V2 protein', 78, NULL, 'Gemini_V2', 34580),
(90855, 'PF12190', NULL, 'Fungal protease inhibitor', 91, NULL, 'amfpi-1', 34581),
(90856, 'PF01600', NULL, 'Coronavirus spike glycoprotein S1', 411, NULL, 'CoV_S1', 34582),
(90857, 'PF15208', NULL, 'Rab15 effector', 240, NULL, 'Rab15_effector', 34583),
(90858, 'PF11523', NULL, 'Protein of unknown function (DUF3223)', 75, NULL, 'DUF3223', 34584),
(90859, 'PF13188', NULL, 'PAS domain', 67, NULL, 'PAS_8', 34585),
(90860, 'PF09380', NULL, 'FERM C-terminal PH-like domain', 94, NULL, 'FERM_C', 34586),
(90861, 'PF19458', NULL, 'Family of unknown function (DUF5995)', 225, NULL, 'DUF5995', 34587),
(90862, 'PF01183', NULL, 'Glycosyl hydrolases family 25', 181, NULL, 'Glyco_hydro_25', 34588),
(90863, 'PF15388', NULL, 'Protein Family FAM117', 310, NULL, 'FAM117', 34589),
(90864, 'PF01093', NULL, 'Clusterin', 428, NULL, 'Clusterin', 34590),
(90865, 'PF10163', NULL, 'Transcription factor e(y)2', 84, NULL, 'EnY2', 34591),
(90866, 'PF05397', NULL, 'Mediator complex subunit 15', 112, NULL, 'Med15_fungi', 34592),
(90867, 'PF12285', NULL, 'Mamastrovirus p20 protein', 171, NULL, 'DUF3621', 34593),
(90868, 'PF07802', NULL, 'GCK domain', 74, NULL, 'GCK', 34594);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(90869, 'PF13545', NULL, 'Crp-like helix-turn-helix domain', 68, NULL, 'HTH_Crp_2', 34595),
(90870, 'PF06134', NULL, 'L-rhamnose isomerase (RhaA)', 417, NULL, 'RhaA', 34596),
(90871, 'PF13710', NULL, 'ACT domain', 62, NULL, 'ACT_5', 34597),
(90872, 'PF00199', NULL, 'Catalase', 383, NULL, 'Catalase', 34598),
(90873, 'PF05538', NULL, 'Campylobacter major outer membrane protein', 421, NULL, 'Campylo_MOMP', 34599),
(90874, 'PF02079', NULL, 'Nuclear transition protein 1', 51, NULL, 'TP1', 34600),
(90875, 'PF02451', NULL, 'Nodulin', 188, NULL, 'Nodulin', 34601),
(90876, 'PF02777', NULL, 'Iron/manganese superoxide dismutases, C-terminal domain', 101, NULL, 'Sod_Fe_C', 34602),
(90877, 'PF03200', NULL, 'Glycosyl hydrolase family 63 C-terminal domain', 491, NULL, 'Glyco_hydro_63', 34603),
(90878, 'PF04012', NULL, 'PspA/IM30 family', 221, NULL, 'PspA_IM30', 34604),
(90879, 'PF05488', NULL, 'PAAR motif', 70, NULL, 'PAAR_motif', 34605),
(90880, 'PF07721', NULL, 'Tetratricopeptide repeat', 26, NULL, 'TPR_4', 34606),
(90881, 'PF14003', NULL, 'YlbE-like protein', 61, NULL, 'YlbE', 34607),
(90882, 'PF17482', NULL, 'Phage tail sheath C-terminal domain', 104, NULL, 'Phage_sheath_1C', 34608),
(90883, 'PF07142', NULL, 'Repeat of unknown function (DUF1388)', 28, NULL, 'DUF1388', 34609),
(90884, 'PF10083', NULL, 'Uncharacterized protein conserved in bacteria (DUF2321)', 156, NULL, 'DUF2321', 34610),
(90885, 'PF11709', NULL, 'Mitochondrial ribosomal protein subunit', 366, NULL, 'Mit_ribos_Mrp51', 34611),
(90886, 'PF13068', NULL, 'Protein of unknown function (DUF3932)', 81, NULL, 'DUF3932', 34612),
(90887, 'PF09717', NULL, 'Plasmodium falciparum domain of unknown function (CPW_WPC)', 59, NULL, 'CPW_WPC', 34613),
(90888, 'PF03970', NULL, 'Herpesvirus UL37 tegument protein', 267, NULL, 'Herpes_UL37_1', 34614),
(90889, 'PF16834', NULL, 'Shu complex component Csm2, DNA-binding', 202, NULL, 'CSM2', 34615),
(90890, 'PF10877', NULL, 'Protein of unknown function (DUF2671)', 88, NULL, 'DUF2671', 34616),
(90891, 'PF12465', NULL, 'Proteasome beta subunits C terminal', 36, NULL, 'Pr_beta_C', 34617),
(90892, 'PF03407', NULL, 'Nucleotide-diphospho-sugar transferase', 212, NULL, 'Nucleotid_trans', 34618),
(90893, 'PF07091', NULL, 'Ribosomal RNA methyltransferase (FmrO)', 252, NULL, 'FmrO', 34619),
(90894, 'PF14630', NULL, 'Origin recognition complex (ORC) subunit 5 C-terminus', 288, NULL, 'ORC5_C', 34620),
(90895, 'PF04996', NULL, 'Succinylarginine dihydrolase', 443, NULL, 'AstB', 34621),
(90896, 'PF16875', NULL, 'Glycosyl hydrolase family 36 N-terminal domain', 252, NULL, 'Glyco_hydro_36N', 34622),
(90897, 'PF17591', NULL, 'Herpesvirus UL41A', 78, NULL, 'UL41A', 34623),
(90898, 'PF20153', NULL, 'Family of unknown function (DUF6535)', 176, NULL, 'DUF6535', 34624),
(90899, 'PF10358', NULL, 'N-terminal C2 in EEIG1 and EHBP1 proteins', 147, NULL, 'NT-C2', 34625),
(90900, 'PF00215', NULL, 'Orotidine 5''-phosphate decarboxylase / HUMPS family', 225, NULL, 'OMPdecase', 34626),
(90901, 'PF09194', NULL, 'Restriction endonuclease BsobI', 314, NULL, 'Endonuc-BsobI', 34627),
(90902, 'PF12879', NULL, 'SICA C-terminal inner membrane domain', 144, NULL, 'SICA_C', 34628),
(90903, 'PF15807', NULL, 'Membrane-associated protein 117 kDa, PDZK1-interacting protein 1', 122, NULL, 'MAP17', 34629),
(90904, 'PF09257', NULL, 'BCMA, TALL-1 binding', 37, NULL, 'BCMA-Tall_bind', 34630),
(90905, 'PF03729', NULL, 'Short repeat of unknown function (DUF308)', 73, NULL, 'DUF308', 34631),
(90906, 'PF08833', NULL, 'Axin beta-catenin binding motif', 37, NULL, 'Axin_b-cat_bind', 34632),
(90907, 'PF18512', NULL, 'Benzylsuccinate synthase beta subunit', 66, NULL, 'BssB_TutG', 34633),
(90908, 'PF12610', NULL, 'Suppressor of cytokine signalling', 58, NULL, 'SOCS', 34634),
(90909, 'PF16251', NULL, 'Betacoronavirus nucleic acid-binding (NAR)', 117, NULL, 'bCoV_NAR', 34635),
(90910, 'PF03436', NULL, 'Domain of unknown function (DUF281)', 55, NULL, 'DUF281', 34636),
(90911, 'PF13122', NULL, 'Protein of unknown function (DUF3977)', 77, NULL, 'DUF3977', 34637),
(90912, 'PF02918', NULL, 'Pertussis toxin, subunit 2 and 3, C-terminal domain', 109, NULL, 'Pertussis_S2S3', 34638);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(90913, 'PF19302', NULL, 'Domain of unknown function (DUF5915)', 195, NULL, 'DUF5915', 34639),
(90914, 'PF04341', NULL, 'Protein of unknown function, DUF485', 89, NULL, 'DUF485', 34640),
(90915, 'PF06045', NULL, 'Rhamnogalacturonate lyase family', 213, NULL, 'Rhamnogal_lyase', 34641),
(90916, 'PF18763', NULL, 'ddrB-like ParB superfamily domain', 124, NULL, 'ddrB-ParB', 34642),
(90917, 'PF19335', NULL, 'Heavy metal binding domain', 28, NULL, 'HMBD', 34643),
(90918, 'PF08595', NULL, 'RXT2-like, N-terminal', 153, NULL, 'RXT2_N', 34644),
(90919, 'PF02056', NULL, 'Family 4 glycosyl hydrolase', 183, NULL, 'Glyco_hydro_4', 34645),
(90920, 'PF03589', NULL, 'Antitermination protein', 87, NULL, 'Antiterm', 34646),
(90921, 'PF18652', NULL, 'Adhesin P1 N-terminal domain', 106, NULL, 'Adhesin_P1_N', 34647),
(90922, 'PF00700', NULL, 'Bacterial flagellin C-terminal helical region', 86, NULL, 'Flagellin_C', 34648),
(90923, 'PF11704', NULL, 'Vesicle coat protein involved in Golgi to plasma membrane transport', 186, NULL, 'Folliculin', 34649),
(90924, 'PF02976', NULL, 'DNA mismatch repair enzyme MutH', 103, NULL, 'MutH', 34650),
(90925, 'PF06822', NULL, 'Protein of unknown function (DUF1235)', 261, NULL, 'DUF1235', 34651),
(90926, 'PF10962', NULL, 'Protein of unknown function (DUF2764)', 271, NULL, 'DUF2764', 34652),
(90927, 'PF02228', NULL, 'Major core protein p19', 92, NULL, 'Gag_p19', 34653),
(90928, 'PF06674', NULL, 'Protein of unknown function (DUF1176)', 327, NULL, 'DUF1176', 34654),
(90929, 'PF02420', NULL, 'Insect antifreeze protein repeat', 12, NULL, 'AFP', 34655),
(90930, 'PF05342', NULL, 'M26 IgA1-specific Metallo-endopeptidase N-terminal region', 250, NULL, 'Peptidase_M26_N', 34656),
(90931, 'PF09668', NULL, 'Aspartyl protease', 124, NULL, 'Asp_protease', 34657),
(90932, 'PF08758', NULL, 'Cadherin prodomain like', 90, NULL, 'Cadherin_pro', 34658),
(90933, 'PF12899', NULL, 'Alkaline and neutral invertase', 435, NULL, 'Glyco_hydro_100', 34659),
(90934, 'PF08366', NULL, 'LLGL2', 104, NULL, 'LLGL', 34660),
(90935, 'PF09535', NULL, 'Protein of unknown function (Gmx_para_CXXCG)', 235, NULL, 'Gmx_para_CXXCG', 34661),
(90936, 'PF02458', NULL, 'Transferase family', 434, NULL, 'Transferase', 34662),
(90937, 'PF09404', NULL, 'KICSTOR complex C12orf66 like', 440, NULL, 'C12orf66_like', 34663),
(90938, 'PF14161', NULL, 'Centrosome-associated N terminus', 115, NULL, 'FAM110_N', 34664),
(90939, 'PF04317', NULL, 'YcjX-like family, DUF463', 440, NULL, 'DUF463', 34665),
(90940, 'PF05651', NULL, 'Putative sugar diacid recognition', 134, NULL, 'Diacid_rec', 34666),
(90941, 'PF19801', NULL, 'Family of unknown function (DUF6284)', 86, NULL, 'DUF6284', 34667),
(90942, 'PF04578', NULL, 'Protein of unknown function, DUF594', 55, NULL, 'DUF594', 34668),
(90943, 'PF06062', NULL, 'Uncharacterised protein family (UPF0231)', 121, NULL, 'UPF0231', 34669),
(90944, 'PF18498', NULL, 'Domain of unknown function (DUF5618)', 121, NULL, 'DUF5618', 34670),
(90945, 'PF19137', NULL, 'Family of unknown function (DUF5820)', 117, NULL, 'DUF5820', 34671),
(90946, 'PF12876', NULL, 'Sugar-binding cellulase-like', 355, NULL, 'Cellulase-like', 34672),
(90947, 'PF00825', NULL, 'Ribonuclease P', 110, NULL, 'Ribonuclease_P', 34673),
(90948, 'PF05063', NULL, 'MT-A70', 172, NULL, 'MT-A70', 34674),
(90949, 'PF11220', NULL, 'Protein of unknown function (DUF3015)', 142, NULL, 'DUF3015', 34675),
(90950, 'PF11717', NULL, 'RNA binding activity-knot of a chromodomain', 55, NULL, 'Tudor-knot', 34676),
(90951, 'PF00831', NULL, 'Ribosomal L29 protein', 57, NULL, 'Ribosomal_L29', 34677),
(90952, 'PF08934', NULL, 'Rb C-terminal domain', 152, NULL, 'Rb_C', 34678),
(90953, 'PF00487', NULL, 'Fatty acid desaturase', 254, NULL, 'FA_desaturase', 34679),
(90954, 'PF00603', NULL, 'Influenza RNA-dependent RNA polymerase subunit PA', 694, NULL, 'Flu_PA', 34680),
(90955, 'PF19433', NULL, 'Neuron-derived Neurotrophic Factor C-terminal', 175, NULL, 'NDNF_C', 34681),
(90956, 'PF08010', NULL, 'Bacteriophage protein GP30.3', 138, NULL, 'Phage_30_3', 34682),
(90957, 'PF00756', NULL, 'Putative esterase', 251, NULL, 'Esterase', 34683); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(90958, 'PF13657', NULL, 'HipA N-terminal domain', 99, NULL, 'Couple_hipA', 34684),
(90959, 'PF18952', NULL, 'Family of unknown function (DUF5696)', 610, NULL, 'DUF5696', 34685),
(90960, 'PF02594', NULL, 'Uncharacterised ACR, YggU family COG1872', 75, NULL, 'DUF167', 34686),
(90961, 'PF11894', NULL, 'Nuclear pore complex scaffold, nucleoporins 186/192/205', 1695, NULL, 'Nup192', 34687),
(90962, 'PF00078', NULL, 'Reverse transcriptase (RNA-dependent DNA polymerase)', 222, NULL, 'RVT_1', 34688),
(90963, 'PF13542', NULL, 'Helix-turn-helix domain of transposase family ISL3', 52, NULL, 'HTH_Tnp_ISL3', 34689),
(90964, 'PF04336', NULL, 'Acyl carrier protein phosphodiesterase', 105, NULL, 'ACP_PD', 34690),
(90965, 'PF03698', NULL, 'Uncharacterised protein family (UPF0180)', 77, NULL, 'UPF0180', 34691),
(90966, 'PF02454', NULL, 'Sigma 1s protein', 116, NULL, 'Sigma_1s', 34692),
(90967, 'PF06619', NULL, 'Protein of unknown function (DUF1149)', 125, NULL, 'DUF1149', 34693),
(90968, 'PF16409', NULL, 'Domain of unknown function (DUF5017)', 182, NULL, 'DUF5017', 34694),
(90969, 'PF19094', NULL, 'EMC6-arch', 87, NULL, 'EMC6_arch', 34695),
(90970, 'PF04977', NULL, 'Septum formation initiator', 80, NULL, 'DivIC', 34696),
(90971, 'PF19316', NULL, 'GPI ethanolamine phosphate transferase membrane region', 424, NULL, 'PIGO_PIGG', 34697),
(90972, 'PF08314', NULL, 'Secretory pathway protein Sec39', 750, NULL, 'Sec39', 34698),
(90973, 'PF18511', NULL, 'F-box', 42, NULL, 'F-box_5', 34699),
(90974, 'PF03135', NULL, 'CagE, TrbE, VirB family, component of type IV transporter system', 206, NULL, 'CagE_TrbE_VirB', 34700),
(90975, 'PF18195', NULL, 'GatD N-terminal domain', 54, NULL, 'GatD_N', 34701),
(90976, 'PF16768', NULL, 'Nucleoporin homology of Germinal-centre associated nuclear protein', 292, NULL, 'NupH_GANP', 34702),
(90977, 'PF08725', NULL, 'Integrin beta cytoplasmic domain', 44, NULL, 'Integrin_b_cyt', 34703),
(90978, 'PF10200', NULL, 'NADH:ubiquinone oxidoreductase, NDUFS5-15kDa', 96, NULL, 'Ndufs5', 34704),
(90979, 'PF17586', NULL, 'Family of unknown function (DUF5485)', 56, NULL, 'DUF5485', 34705),
(90980, 'PF08092', NULL, 'Magi peptide toxin family', 38, NULL, 'Toxin_22', 34706),
(90981, 'PF03247', NULL, 'Prothymosin/parathymosin family', 112, NULL, 'Prothymosin', 34707),
(90982, 'PF06515', NULL, 'Borna disease virus P10 protein', 87, NULL, 'BDV_P10', 34708),
(90983, 'PF03424', NULL, 'Carbohydrate binding domain (family 17/28)', 203, NULL, 'CBM_17_28', 34709),
(90984, 'PF08139', NULL, 'Prokaryotic membrane lipoprotein lipid attachment site', 18, NULL, 'LPAM_1', 34710),
(90985, 'PF12159', NULL, 'Protein of unknown function (DUF3593)', 88, NULL, 'DUF3593', 34711),
(90986, 'PF10596', NULL, 'U6-snRNA interacting domain of PrP8', 159, NULL, 'U6-snRNA_bdg', 34712),
(90987, 'PF18267', NULL, 'Rubredoxin NAD+ reductase C-terminal domain', 70, NULL, 'Rubredoxin_C', 34713),
(90988, 'PF19687', NULL, 'MARF1 LOTUS domain', 210, NULL, 'MARF1_LOTUS', 34714),
(90989, 'PF11070', NULL, 'Protein of unknown function (DUF2871)', 134, NULL, 'DUF2871', 34715),
(90990, 'PF15215', NULL, 'Follicular dendritic cell secreted peptide', 69, NULL, 'FDC-SP', 34716),
(90991, 'PF19767', NULL, 'Family of unknown function (DUF6254)', 36, NULL, 'DUF6254', 34717),
(90992, 'PF07430', NULL, 'Phloem filament protein PP1 cystatin-like domain', 78, NULL, 'PP1', 34718),
(90993, 'PF14513', NULL, 'Diacylglycerol kinase N-terminus', 170, NULL, 'DAG_kinase_N', 34719),
(90994, 'PF02548', NULL, 'Ketopantoate hydroxymethyltransferase', 259, NULL, 'Pantoate_transf', 34720),
(90995, 'PF10531', NULL, 'SLBB domain', 58, NULL, 'SLBB', 34721),
(90996, 'PF17198', NULL, 'Spirocyclase AveC-like', 234, NULL, 'AveC_like', 34722),
(90997, 'PF14870', NULL, 'Photosynthesis system II assembly factor YCF48', 304, NULL, 'PSII_BNR', 34723),
(90998, 'PF00730', NULL, 'HhH-GPD superfamily base excision DNA repair protein', 108, NULL, 'HhH-GPD', 34724),
(90999, 'PF03021', NULL, 'Influenza C virus M2 protein', 139, NULL, 'CM2', 34725),
(91000, 'PF05827', NULL, 'Vacuolar ATP synthase subunit S1 (ATP6S1)', 144, NULL, 'ATP-synt_S1', 34726);
INSERT INTO "PUBLIC"."MODEL" VALUES
(91001, 'PF08457', NULL, 'Sfi1 spindle body protein', 570, NULL, 'Sfi1', 34727),
(91002, 'PF06347', NULL, 'Bacterial SH3 domain', 56, NULL, 'SH3_4', 34728),
(91003, 'PF12592', NULL, 'Protein of unknown function (DUF3763)', 55, NULL, 'DUF3763', 34729),
(91004, 'PF17583', NULL, 'Family of unknown function (DUF5484)', 43, NULL, 'DUF5484', 34730),
(91005, 'PF03038', NULL, 'UL95 family', 322, NULL, 'Herpes_UL95', 34731),
(91006, 'PF15474', NULL, 'Meiotically up-regulated gene family', 103, NULL, 'MU117', 34732),
(91007, 'PF16206', NULL, 'C-terminal region of Mon2 protein', 785, NULL, 'Mon2_C', 34733),
(91008, 'PF04715', NULL, 'Anthranilate synthase component I, N terminal region', 142, NULL, 'Anth_synt_I_N', 34734),
(91009, 'PF15340', NULL, 'Cooperator of PRMT5 family', 150, NULL, 'COPR5', 34735),
(91010, 'PF06723', NULL, 'MreB/Mbl protein', 327, NULL, 'MreB_Mbl', 34736),
(91011, 'PF18424', NULL, 'Alpha-Dystroglycan N-terminal domain 2', 123, NULL, 'a_DG1_N2', 34737),
(91012, 'PF00500', NULL, 'L1 (late) protein', 498, NULL, 'Late_protein_L1', 34738),
(91013, 'PF00624', NULL, 'Flocculin repeat', 41, NULL, 'Flocculin', 34739),
(91014, 'PF01787', NULL, 'Ilarvirus coat protein', 204, NULL, 'Ilar_coat', 34740),
(91015, 'PF11316', NULL, 'Putative rhamnosyl transferase', 235, NULL, 'Rhamno_transf', 34741),
(91016, 'PF18601', NULL, 'EZH2 N-terminal domain', 79, NULL, 'EZH2_N', 34742),
(91017, 'PF14028', NULL, 'Lantibiotic biosynthesis dehydratase C-term', 288, NULL, 'Lant_dehydr_C', 34743),
(91018, 'PF08005', NULL, 'PHR domain', 152, NULL, 'PHR', 34744),
(91019, 'PF00433', NULL, 'Protein kinase C terminal domain', 46, NULL, 'Pkinase_C', 34745),
(91020, 'PF01368', NULL, 'DHH family', 116, NULL, 'DHH', 34746),
(91021, 'PF17247', NULL, 'Family of unknown function (DUF5316)', 74, NULL, 'DUF5316', 34747),
(91022, 'PF19114', NULL, 'EsV-1-7 cysteine-rich motif', 26, NULL, 'EsV_1_7_cys', 34748),
(91023, 'PF19133', NULL, 'Family of unknown function (DUF5816)', 72, NULL, 'DUF5816', 34749),
(91024, 'PF19883', NULL, 'Family of unknown function (DUF6356)', 64, NULL, 'DUF6356', 34750),
(91025, 'PF08350', NULL, 'Domain of unknown function (DUF1724)', 62, NULL, 'DUF1724', 34751),
(91026, 'PF09171', NULL, 'N-glycosylase/DNA lyase', 248, NULL, 'AGOG', 34752),
(91027, 'PF13577', NULL, 'SnoaL-like domain', 126, NULL, 'SnoaL_4', 34753),
(91028, 'PF17872', NULL, 'AAA lid domain', 99, NULL, 'AAA_lid_10', 34754),
(91029, 'PF09488', NULL, 'Mannosyl-3-phosphoglycerate synthase (osmo_MPGsynth)', 388, NULL, 'Osmo_MPGsynth', 34755),
(91030, 'PF16664', NULL, 'Unstructured on SH3 and cysteine-rich domain-containing protein 2', 126, NULL, 'STAC2_u1', 34756),
(91031, 'PF15281', NULL, 'Consortin C-terminus', 113, NULL, 'Consortin_C', 34757),
(91032, 'PF11864', NULL, 'Domain of unknown function (DUF3384)', 477, NULL, 'DUF3384', 34758),
(91033, 'PF17196', NULL, 'Protein of unknown function (DUF5133)', 65, NULL, 'DUF5133', 34759),
(91034, 'PF08172', NULL, 'CASP C terminal', 256, NULL, 'CASP_C', 34760),
(91035, 'PF16415', NULL, 'CCR4-NOT transcription complex subunit 1 CAF1-binding domain', 225, NULL, 'CNOT1_CAF1_bind', 34761),
(91036, 'PF14144', NULL, 'Seed dormancy control', 77, NULL, 'DOG1', 34762),
(91037, 'PF02404', NULL, 'Stem cell factor', 275, NULL, 'SCF', 34763),
(91038, 'PF02996', NULL, 'Prefoldin subunit', 120, NULL, 'Prefoldin', 34764),
(91039, 'PF14644', NULL, 'Domain of unknown function (DUF4456)', 209, NULL, 'DUF4456', 34765),
(91040, 'PF04648', NULL, 'Yeast mating factor alpha hormone', 13, NULL, 'MF_alpha', 34766),
(91041, 'PF14478', NULL, 'Domain of unknown function (DUF4430)', 73, NULL, 'DUF4430', 34767),
(91042, 'PF15453', NULL, 'Protein incorporated later into Tight Junctions', 362, NULL, 'Pilt', 34768),
(91043, 'PF07866', NULL, 'Protein of unknown function (DUF1653)', 62, NULL, 'DUF1653', 34769),
(91044, 'PF04670', NULL, 'Gtr1/RagA G protein conserved region', 233, NULL, 'Gtr1_RagA', 34770),
(91045, 'PF18790', NULL, 'KfrB protein', 61, NULL, 'KfrB', 34771),
(91046, 'PF05290', NULL, 'Baculovirus immediate-early protein (IE-0)', 141, NULL, 'Baculo_IE-1', 34772);
INSERT INTO "PUBLIC"."MODEL" VALUES
(91047, 'PF12065', NULL, 'Protein of unknown function (DUF3545)', 59, NULL, 'DUF3545', 34773),
(91048, 'PF00508', NULL, 'E2 (early) protein, N terminal', 200, NULL, 'PPV_E2_N', 34774),
(91049, 'PF02253', NULL, 'Phospholipase A1', 257, NULL, 'PLA1', 34775),
(91050, 'PF17592', NULL, 'Family of unknown function (DUF5489)', 78, NULL, 'DUF5489', 34776),
(91051, 'PF00231', NULL, 'ATP synthase', 276, NULL, 'ATP-synt', 34777),
(91052, 'PF03828', NULL, 'Cid1 family poly A polymerase', 63, NULL, 'PAP_assoc', 34778),
(91053, 'PF04276', NULL, 'Protein of unknown function (DUF443)', 202, NULL, 'DUF443', 34779),
(91054, 'PF11947', NULL, 'Photosynthesis affected mutant 68', 150, NULL, 'DUF3464', 34780),
(91055, 'PF04929', NULL, 'Herpes DNA replication accessory factor', 400, NULL, 'Herpes_DNAp_acc', 34781),
(91056, 'PF09414', NULL, 'RNA ligase', 165, NULL, 'RNA_ligase', 34782),
(91057, 'PF08421', NULL, 'Putative zinc binding domain', 62, NULL, 'Methyltransf_13', 34783),
(91058, 'PF12478', NULL, 'Ubiquitin-associated protein 2', 35, NULL, 'DUF3697', 34784),
(91059, 'PF04466', NULL, 'Phage terminase large subunit', 201, NULL, 'Terminase_3', 34785),
(91060, 'PF10382', NULL, 'Protein of unknown function (DUF2439)', 81, NULL, 'DUF2439', 34786),
(91061, 'PF05881', NULL, '2'',3''-cyclic nucleotide 3''-phosphodiesterase (CNP or CNPase)', 236, NULL, 'CNPase', 34787),
(91062, 'PF11267', NULL, 'Domain of unknown function (DUF3067)', 98, NULL, 'DUF3067', 34788),
(91063, 'PF10406', NULL, 'Transcription factor TFIID complex subunit 8 C-term', 49, NULL, 'TAF8_C', 34789),
(91064, 'PF18840', NULL, 'Large polyvalent protein associated domain 25', 102, NULL, 'LPD25', 34790),
(91065, 'PF10476', NULL, 'Protein of unknown function C-terminus (DUF2448)', 205, NULL, 'DUF2448', 34791),
(91066, 'PF16125', NULL, 'Domain of unknown function (DUF4837)', 295, NULL, 'DUF4837', 34792),
(91067, 'PF01597', NULL, 'Glycine cleavage H-protein', 122, NULL, 'GCV_H', 34793),
(91068, 'PF13347', NULL, 'MFS/sugar transport protein', 427, NULL, 'MFS_2', 34794),
(91069, 'PF19749', NULL, 'Family of unknown function (DUF6236)', 332, NULL, 'DUF6236', 34795),
(91070, 'PF13911', NULL, 'AhpC/TSA antioxidant enzyme', 113, NULL, 'AhpC-TSA_2', 34796),
(91071, 'PF06593', NULL, 'Raspberry bushy dwarf virus coat protein', 274, NULL, 'RBDV_coat', 34797),
(91072, 'PF17655', NULL, 'Inward rectifier potassium channel C-terminal domain', 174, NULL, 'IRK_C', 34798),
(91073, 'PF05479', NULL, 'Photosystem I reaction centre subunit N (PSAN or PSI-N)', 132, NULL, 'PsaN', 34799),
(91074, 'PF00727', NULL, 'Interleukin 4', 109, NULL, 'IL4', 34800),
(91075, 'PF03307', NULL, 'Adenovirus 15.3kD protein in E3 region', 117, NULL, 'Adeno_E3_15_3', 34801),
(91076, 'PF18707', NULL, 'Interleukin-2 receptor subunit beta N-terminal domain 1', 92, NULL, 'IL2RB_N1', 34802),
(91077, 'PF13765', NULL, 'SPRY-associated domain', 49, NULL, 'PRY', 34803),
(91078, 'PF12432', NULL, 'Protein of unknown function (DUF3677)', 82, NULL, 'DUF3677', 34804),
(91079, 'PF04188', NULL, 'Mannosyltransferase (PIG-V)', 443, NULL, 'Mannosyl_trans2', 34805),
(91080, 'PF07621', NULL, 'Protein of unknown function (DUF1582)', 29, NULL, 'DUF1582', 34806),
(91081, 'PF15210', NULL, 'Surfactant-associated protein 2', 59, NULL, 'SFTA2', 34807),
(91082, 'PF11283', NULL, 'Protein of unknown function (DUF3084)', 77, NULL, 'DUF3084', 34808),
(91083, 'PF14786', NULL, 'Tube Death domain', 146, NULL, 'Death_2', 34809),
(91084, 'PF10769', NULL, 'Protein of unknown function (DUF2594)', 74, NULL, 'DUF2594', 34810),
(91085, 'PF06295', NULL, 'Protein of unknown function (DUF1043)', 124, NULL, 'DUF1043', 34811),
(91086, 'PF18629', NULL, 'Family of unknown function (DUF5629)', 98, NULL, 'DUF5629', 34812),
(91087, 'PF08717', NULL, 'Coronavirus replicase NSP8', 197, NULL, 'CoV_NSP8', 34813),
(91088, 'PF05042', NULL, 'Caleosin related protein', 170, NULL, 'Caleosin', 34814),
(91089, 'PF15678', NULL, 'Centriole duplication and mitotic chromosome congression', 412, NULL, 'SPICE', 34815),
(91090, 'PF17476', NULL, 'Clostridial binary toxin B/anthrax toxin PA domain 3', 102, NULL, 'Binary_toxB_3', 34816);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(91091, 'PF13071', NULL, 'Protein of unknown function (DUF3935)', 70, NULL, 'DUF3935', 34817),
(91092, 'PF06323', NULL, 'Phage antitermination protein Q', 220, NULL, 'Phage_antiter_Q', 34818),
(91093, 'PF04666', NULL, 'N-Acetylglucosaminyltransferase-IV (GnT-IV) conserved region', 278, NULL, 'Glyco_transf_54', 34819),
(91094, 'PF08737', NULL, 'Rgp1', 414, NULL, 'Rgp1', 34820),
(91095, 'PF18020', NULL, 'TIG domain found in plexin', 94, NULL, 'TIG_2', 34821),
(91096, 'PF13876', NULL, 'Phage protein (N4 Gp49/phage Sf6 gene 66) family', 83, NULL, 'Phage_gp49_66', 34822),
(91097, 'PF17238', NULL, 'Family of unknown function (DUF5311)', 194, NULL, 'DUF5311', 34823),
(91098, 'PF07710', NULL, 'P53 tetramerisation motif', 42, NULL, 'P53_tetramer', 34824),
(91099, 'PF16733', NULL, 'Rhomboid N-terminal domain', 69, NULL, 'NRho', 34825),
(91100, 'PF05055', NULL, 'Protein of unknown function (DUF677)', 336, NULL, 'DUF677', 34826),
(91101, 'PF03184', NULL, 'DDE superfamily endonuclease', 175, NULL, 'DDE_1', 34827),
(91102, 'PF04275', NULL, 'Phosphomevalonate kinase', 114, NULL, 'P-mevalo_kinase', 34828),
(91103, 'PF07378', NULL, 'Flagellar protein FlbT', 125, NULL, 'FlbT', 34829),
(91104, 'PF11318', NULL, 'Protein of unknown function (DUF3120)', 199, NULL, 'DUF3120', 34830),
(91105, 'PF05032', NULL, 'Spo12 family', 35, NULL, 'Spo12', 34831),
(91106, 'PF07912', NULL, 'ERp29, N-terminal domain', 126, NULL, 'ERp29_N', 34832),
(91107, 'PF02277', NULL, 'Phosphoribosyltransferase', 329, NULL, 'DBI_PRT', 34833),
(91108, 'PF04583', NULL, 'Baculoviridae p74 conserved region', 216, NULL, 'Baculo_p74', 34834),
(91109, 'PF17101', NULL, 'Stealth protein CR1, conserved region 1', 29, NULL, 'Stealth_CR1', 34835),
(91110, 'PF00394', NULL, 'Multicopper oxidase', 159, NULL, 'Cu-oxidase', 34836),
(91111, 'PF00126', NULL, 'Bacterial regulatory helix-turn-helix protein, lysR family', 60, NULL, 'HTH_1', 34837),
(91112, 'PF08972', NULL, 'Domain of unknown function (DUF1902)', 75, NULL, 'DUF1902', 34838),
(91113, 'PF09701', NULL, 'CRISPR-associated protein (Cas_Cmr5)', 121, NULL, 'Cas_Cmr5', 34839),
(91114, 'PF05974', NULL, 'Domain of unknown function (DUF892)', 159, NULL, 'DUF892', 34840),
(91115, 'PF05959', NULL, 'Nucleopolyhedrovirus protein of unknown function (DUF884)', 188, NULL, 'DUF884', 34841),
(91116, 'PF04388', NULL, 'Hamartin protein', 731, NULL, 'Hamartin', 34842),
(91117, 'PF18175', NULL, 'CCDC81-like prokaryotic HU domain 2', 70, NULL, 'HU-CCDC81_bac_2', 34843),
(91118, 'PF05878', NULL, 'Phytoreovirus nonstructural protein Pns9/Pns10', 319, NULL, 'Phyto_Pns9_10', 34844),
(91119, 'PF08259', NULL, 'Periviscerokinin family', 11, NULL, 'Periviscerokin', 34845),
(91120, 'PF14904', NULL, 'Family of unknown function', 94, NULL, 'FAM86', 34846),
(91121, 'PF02365', NULL, 'No apical meristem (NAM) protein', 128, NULL, 'NAM', 34847),
(91122, 'PF15345', NULL, 'Transmembrane protein 51', 237, NULL, 'TMEM51', 34848),
(91123, 'PF19307', NULL, 'Phage capsid-like protein', 254, NULL, 'PCLP', 34849),
(91124, 'PF12280', NULL, 'Brain specific membrane anchored protein', 195, NULL, 'BSMAP', 34850),
(91125, 'PF12391', NULL, 'Protocatechuate 3,4-dioxygenase beta subunit N terminal', 34, NULL, 'PCDO_beta_N', 34851),
(91126, 'PF19249', NULL, 'Family of unknown function (DUF5897)', 200, NULL, 'DUF5897', 34852),
(91127, 'PF09960', NULL, 'Uncharacterised protein conserved in bacteria (DUF2194)', 692, NULL, 'DUF2194', 34853),
(91128, 'PF10518', NULL, 'TAT (twin-arginine translocation) pathway signal sequence', 26, NULL, 'TAT_signal', 34854),
(91129, 'PF00953', NULL, 'Glycosyl transferase family 4', 160, NULL, 'Glycos_transf_4', 34855),
(91130, 'PF12743', NULL, 'Oestrogen-type nuclear receptor final C-terminal', 44, NULL, 'ESR1_C', 34856),
(91131, 'PF01858', NULL, 'Retinoblastoma-associated protein A domain', 197, NULL, 'RB_A', 34857),
(91132, 'PF14373', NULL, 'Superinfection immunity protein', 42, NULL, 'Imm_superinfect', 34858),
(91133, 'PF14803', NULL, 'Nudix N-terminal', 34, NULL, 'Nudix_N_2', 34859),
(91134, 'PF04304', NULL, 'Protein of unknown function (DUF454)', 115, NULL, 'DUF454', 34860);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(91135, 'PF06470', NULL, 'SMC proteins Flexible Hinge Domain', 117, NULL, 'SMC_hinge', 34861),
(91136, 'PF11512', NULL, 'Agrobacterium tumefaciens protein Atu4866', 75, NULL, 'Atu4866', 34862),
(91137, 'PF07540', NULL, 'Nucleolar complex-associated protein', 93, NULL, 'NOC3p', 34863),
(91138, 'PF16193', NULL, 'AAA C-terminal domain', 82, NULL, 'AAA_assoc_2', 34864),
(91139, 'PF07187', NULL, 'Protein of unknown function (DUF1405)', 160, NULL, 'DUF1405', 34865),
(91140, 'PF12435', NULL, 'Protein of unknown function (DUF3678)', 35, NULL, 'DUF3678', 34866),
(91141, 'PF07693', NULL, 'KAP family P-loop domain', 326, NULL, 'KAP_NTPase', 34867),
(91142, 'PF17026', NULL, 'Putative ribonucleoprotein zinc-finger pf C4 type', 108, NULL, 'zf-RRPl_C4', 34868),
(91143, 'PF09877', NULL, 'Predicted membrane protein (DUF2104)', 99, NULL, 'DUF2104', 34869),
(91144, 'PF14687', NULL, 'Domain of unknown function (DUF4460)', 110, NULL, 'DUF4460', 34870),
(91145, 'PF00130', NULL, 'Phorbol esters/diacylglycerol binding domain (C1 domain)', 53, NULL, 'C1_1', 34871),
(91146, 'PF07098', NULL, 'Protein of unknown function (DUF1360)', 102, NULL, 'DUF1360', 34872),
(91147, 'PF00364', NULL, 'Biotin-requiring enzyme', 73, NULL, 'Biotin_lipoyl', 34873),
(91148, 'PF18160', NULL, 'SMODS and SLOG-associating 2TM effector domain family 5', 193, NULL, 'SLATT_5', 34874),
(91149, 'PF09203', NULL, 'MspA', 175, NULL, 'MspA', 34875),
(91150, 'PF15956', NULL, 'Domain of unknown function (DUF4760)', 142, NULL, 'DUF4760', 34876),
(91151, 'PF17433', NULL, 'Glycosyl hydrolase family 49 N-terminal Ig-like domain', 188, NULL, 'Glyco_hydro_49N', 34877),
(91152, 'PF07701', NULL, 'Heme NO binding associated', 222, NULL, 'HNOBA', 34878),
(91153, 'PF18367', NULL, 'Rv2175c C-terminal domain of unknown function', 56, NULL, 'Rv2175c_C', 34879),
(91154, 'PF11989', NULL, 'Retrograde transport protein Dsl1 C terminal', 194, NULL, 'Dsl1_C', 34880),
(91155, 'PF07280', NULL, 'Per os infectivity factor AC110', 43, NULL, 'Ac110_PIF', 34881),
(91156, 'PF17697', NULL, 'Family of unknown function (DUF5543)', 118, NULL, 'DUF5543', 34882),
(91157, 'PF07423', NULL, 'Domain of unknown function (DUF1510)', 93, NULL, 'DUF1510', 34883),
(91158, 'PF00287', NULL, 'Sodium / potassium ATPase beta chain', 296, NULL, 'Na_K-ATPase', 34884),
(91159, 'PF17376', NULL, 'Family of unknown function (DUF5398)', 80, NULL, 'DUF5398', 34885),
(91160, 'PF18098', NULL, '26S proteasome regulatory subunit RPN5 C-terminal domain', 33, NULL, 'RPN5_C', 34886),
(91161, 'PF10872', NULL, 'Protein of unknown function (DUF2740)', 48, NULL, 'DUF2740', 34887),
(91162, 'PF05769', NULL, 'SIKE family', 180, NULL, 'SIKE', 34888),
(91163, 'PF15410', NULL, 'Pleckstrin homology domain', 121, NULL, 'PH_9', 34889),
(91164, 'PF09951', NULL, 'Protein of unknown function (DUF2185)', 85, NULL, 'DUF2185', 34890),
(91165, 'PF11622', NULL, 'Protein of unknown function (DUF3251)', 165, NULL, 'DUF3251', 34891),
(91166, 'PF04660', NULL, 'Nanovirus coat protein', 170, NULL, 'Nanovirus_coat', 34892),
(91167, 'PF07340', NULL, 'Cytomegalovirus IE1 protein', 391, NULL, 'Herpes_IE1', 34893),
(91168, 'PF03762', NULL, 'Vitelline membrane outer layer protein I (VOMI)', 167, NULL, 'VOMI', 34894),
(91169, 'PF09823', NULL, 'Domain of unknown function (DUF2357)', 248, NULL, 'DUF2357', 34895),
(91170, 'PF16138', NULL, 'Domain of unknown function (4846)', 239, NULL, 'DUF4846', 34896),
(91171, 'PF13707', NULL, 'RloB-like protein', 195, NULL, 'RloB', 34897),
(91172, 'PF17960', NULL, 'TIG domain', 89, NULL, 'TIG_plexin', 34898),
(91173, 'PF18676', NULL, 'MBG domain (YGX type)', 72, NULL, 'MBG_2', 34899),
(91174, 'PF02118', NULL, 'Srg family chemoreceptor', 275, NULL, 'Srg', 34900),
(91175, 'PF00542', NULL, 'Ribosomal protein L7/L12 C-terminal domain', 67, NULL, 'Ribosomal_L12', 34901),
(91176, 'PF08168', NULL, 'NUC205 domain', 44, NULL, 'NUC205', 34902),
(91177, 'PF10571', NULL, 'Uncharacterised protein family UPF0547', 26, NULL, 'UPF0547', 34903),
(91178, 'PF09562', NULL, 'LlaMI restriction endonuclease', 242, NULL, 'RE_LlaMI', 34904);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(91179, 'PF13538', NULL, 'UvrD-like helicase C-terminal domain', 52, NULL, 'UvrD_C_2', 34905),
(91180, 'PF08853', NULL, 'Domain of unknown function (DUF1823)', 113, NULL, 'DUF1823', 34906),
(91181, 'PF18786', NULL, 'Importin 13 repeat', 44, NULL, 'Importin_rep_2', 34907),
(91182, 'PF02195', NULL, 'ParB-like nuclease domain', 90, NULL, 'ParBc', 34908),
(91183, 'PF14235', NULL, 'Domain of unknown function (DUF4337)', 161, NULL, 'DUF4337', 34909),
(91184, 'PF04525', NULL, 'LURP-one-related', 187, NULL, 'LOR', 34910),
(91185, 'PF07444', NULL, 'Ycf66 protein N-terminus', 76, NULL, 'Ycf66_N', 34911),
(91186, 'PF14783', NULL, 'Ciliary BBSome complex subunit 2, middle region', 108, NULL, 'BBS2_Mid', 34912),
(91187, 'PF03183', NULL, 'Borrelia repeat protein', 18, NULL, 'Borrelia_rep', 34913),
(91188, 'PF10156', NULL, 'Subunit 17 of Mediator complex', 461, NULL, 'Med17', 34914),
(91189, 'PF12728', NULL, 'Helix-turn-helix domain', 51, NULL, 'HTH_17', 34915),
(91190, 'PF14433', NULL, 'SUKH-3 immunity protein', 143, NULL, 'SUKH-3', 34916),
(91191, 'PF06246', NULL, 'Isy1-like splicing family', 260, NULL, 'Isy1', 34917),
(91192, 'PF01773', NULL, 'Na+ dependent nucleoside transporter N-terminus', 74, NULL, 'Nucleos_tra2_N', 34918),
(91193, 'PF15399', NULL, 'Domain of unknown function (DUF4620)', 113, NULL, 'DUF4620', 34919),
(91194, 'PF12684', NULL, 'PDDEXK-like domain of unknown function (DUF3799)', 232, NULL, 'DUF3799', 34920),
(91195, 'PF09431', NULL, 'Protein of unknown function (DUF2013)', 139, NULL, 'DUF2013', 34921),
(91196, 'PF13026', NULL, 'Protein of unknown function (DUF3887)', 91, NULL, 'DUF3887', 34922),
(91197, 'PF13036', NULL, 'Peptidoglycan-synthase activator LpoB', 147, NULL, 'LpoB', 34923),
(91198, 'PF15642', NULL, 'Toxin in Odyssella and Amoebophilus', 385, NULL, 'Tox-ODYAM1', 34924),
(91199, 'PF03923', NULL, 'Uncharacterized lipoprotein', 159, NULL, 'Lipoprotein_16', 34925),
(91200, 'PF00001', NULL, '7 transmembrane receptor (rhodopsin family)', 263, NULL, '7tm_1', 34926),
(91201, 'PF14046', NULL, 'Nuclear receptor repeat', 49, NULL, 'NR_Repeat', 34927),
(91202, 'PF17902', NULL, 'SH3 domain', 65, NULL, 'SH3_10', 34928),
(91203, 'PF18674', NULL, 'TarS beta-glycosyltransferase C-terminal domain 1', 148, NULL, 'TarS_C1', 34929),
(91204, 'PF10780', NULL, '39S ribosomal protein L53/MRP-L53', 53, NULL, 'MRP_L53', 34930),
(91205, 'PF10812', NULL, 'Protein of unknown function (DUF2561)', 209, NULL, 'DUF2561', 34931),
(91206, 'PF18499', NULL, 'Ubc7p-binding region of Cue1', 52, NULL, 'Cue1_U7BR', 34932),
(91207, 'PF16106', NULL, 'Domain of unknown function (DUF4824)', 252, NULL, 'DUF4824', 34933),
(91208, 'PF16303', NULL, 'Domain of unknown function (DUF4945)', 120, NULL, 'DUF4945', 34934),
(91209, 'PF11456', NULL, 'Protein of unknown function (DUF3019)', 102, NULL, 'DUF3019', 34935),
(91210, 'PF14680', NULL, 'FANCI helical domain 2', 230, NULL, 'FANCI_HD2', 34936),
(91211, 'PF13966', NULL, 'zinc-binding in reverse transcriptase', 85, NULL, 'zf-RVT', 34937),
(91212, 'PF15361', NULL, 'Resistance to inhibitors of cholinesterase homologue 3', 144, NULL, 'RIC3', 34938),
(91213, 'PF03892', NULL, 'Nitrate reductase cytochrome c-type subunit (NapB)', 127, NULL, 'NapB', 34939),
(91214, 'PF08955', NULL, 'BofC C-terminal domain', 74, NULL, 'BofC_C', 34940),
(91215, 'PF19299', NULL, 'Domain of unknown function (DUF5914)', 187, NULL, 'DUF5914', 34941),
(91216, 'PF03133', NULL, 'Tubulin-tyrosine ligase family', 295, NULL, 'TTL', 34942),
(91217, 'PF08830', NULL, 'Protein of unknown function (DUF1806)', 112, NULL, 'DUF1806', 34943),
(91218, 'PF06124', NULL, 'Staphylococcal protein of unknown function (DUF960)', 94, NULL, 'DUF960', 34944),
(91219, 'PF17834', NULL, 'Beta-sandwich domain in beta galactosidase', 72, NULL, 'GHD', 34945),
(91220, 'PF01692', NULL, 'Paramyxovirus non-structural protein C', 204, NULL, 'Paramyxo_C', 34946),
(91221, 'PF04146', NULL, 'YT521-B-like domain', 183, NULL, 'YTH', 34947),
(91222, 'PF10345', NULL, 'Cohesin loading factor', 597, NULL, 'Cohesin_load', 34948),
(91223, 'PF15743', NULL, 'Spermatogenesis-associated C-terminus', 152, NULL, 'SPATA1_C', 34949);
INSERT INTO "PUBLIC"."MODEL" VALUES
(91224, 'PF15203', NULL, 'TMEM95 family', 151, NULL, 'TMEM95', 34950),
(91225, 'PF16147', NULL, 'Domain of unknown function (DUF4855)', 315, NULL, 'DUF4855', 34951),
(91226, 'PF00836', NULL, 'Stathmin family', 136, NULL, 'Stathmin', 34952),
(91227, 'PF12033', NULL, 'Protein of unknown function (DUF3519)', 105, NULL, 'DUF3519', 34953),
(91228, 'PF19395', NULL, 'Family of unknown function (DUF5970)', 77, NULL, 'DUF5970', 34954),
(91229, 'PF13023', NULL, 'HD domain', 165, NULL, 'HD_3', 34955),
(91230, 'PF06433', NULL, 'Methylamine dehydrogenase heavy chain (MADH)', 343, NULL, 'Me-amine-dh_H', 34956),
(91231, 'PF19474', NULL, 'Family of unknown function (DUF6011)', 37, NULL, 'DUF6011', 34957),
(91232, 'PF19488', NULL, 'Family of unknown function (DUF6024)', 290, NULL, 'DUF6024', 34958),
(91233, 'PF08915', NULL, 'Archaea-specific editing domain of threonyl-tRNA synthetase', 137, NULL, 'tRNA-Thr_ED', 34959),
(91234, 'PF18566', NULL, 'Linalool dehydratase/isomerase', 319, NULL, 'Ldi', 34960),
(91235, 'PF13664', NULL, 'Domain of unknown function (DUF4149)', 102, NULL, 'DUF4149', 34961),
(91236, 'PF20119', NULL, 'Family of unknown function (DUF6509)', 95, NULL, 'DUF6509', 34962),
(91237, 'PF12343', NULL, 'DeaD helicase C-terminal disordered region', 61, NULL, 'DeaD_C', 34963),
(91238, 'PF07149', NULL, 'Pes-10', 395, NULL, 'Pes-10', 34964),
(91239, 'PF01168', NULL, 'Alanine racemase, N-terminal domain', 219, NULL, 'Ala_racemase_N', 34965),
(91240, 'PF16338', NULL, 'Domain of unknown function (DUF4968)', 94, NULL, 'DUF4968', 34966),
(91241, 'PF04115', NULL, 'Ureidoglycolate lyase', 190, NULL, 'Ureidogly_lyase', 34967),
(91242, 'PF19147', NULL, 'Family of unknown function (DUF5829)', 266, NULL, 'DUF5829', 34968),
(91243, 'PF05566', NULL, 'Orthopoxvirus interleukin 18 binding protein', 126, NULL, 'Pox_vIL-18BP', 34969),
(91244, 'PF01905', NULL, 'CRISPR-associated negative auto-regulator DevR/Csa2', 269, NULL, 'DevR', 34970),
(91245, 'PF03353', NULL, 'Ras-mediated vulval-induction antagonist', 306, NULL, 'Lin-8', 34971),
(91246, 'PF07737', NULL, 'Anthrax toxin lethal factor, N- and C-terminal domain', 218, NULL, 'ATLF', 34972),
(91247, 'PF01116', NULL, 'Fructose-bisphosphate aldolase class-II', 280, NULL, 'F_bP_aldolase', 34973),
(91248, 'PF15005', NULL, 'Izumo sperm-egg fusion, Ig domain-associated', 143, NULL, 'IZUMO', 34974),
(91249, 'PF03853', NULL, 'YjeF-related protein N-terminus', 171, NULL, 'YjeF_N', 34975),
(91250, 'PF08744', NULL, 'Plant transcription factor NOZZLE', 335, NULL, 'NOZZLE', 34976),
(91251, 'PF16605', NULL, 'LSM-interacting associated unstructured', 61, NULL, 'LSM_int_assoc', 34977),
(91252, 'PF17255', NULL, 'EbsA-like protein', 133, NULL, 'EbsA', 34978),
(91253, 'PF06089', NULL, 'L-asparaginase II', 322, NULL, 'Asparaginase_II', 34979),
(91254, 'PF12867', NULL, 'DinB superfamily', 128, NULL, 'DinB_2', 34980),
(91255, 'PF13554', NULL, 'Bacteriophage related domain of unknown function', 128, NULL, 'DUF4128', 34981),
(91256, 'PF18264', NULL, 'CXC domain', 32, NULL, 'preSET_CXC', 34982),
(91257, 'PF00172', NULL, 'Fungal Zn(2)-Cys(6) binuclear cluster domain', 40, NULL, 'Zn_clus', 34983),
(91258, 'PF05521', NULL, 'Phage head-tail joining protein', 96, NULL, 'Phage_H_T_join', 34984),
(91259, 'PF07976', NULL, 'Phenol hydroxylase, C-terminal dimerisation domain', 167, NULL, 'Phe_hydrox_dim', 34985),
(91260, 'PF04522', NULL, 'Protein of unknown function (DUF585)', 234, NULL, 'DUF585', 34986),
(91261, 'PF02207', NULL, 'Putative zinc finger in N-recognin (UBR box)', 70, NULL, 'zf-UBR', 34987),
(91262, 'PF17388', NULL, 'Mycobacteriophage tail assembly protein', 121, NULL, 'GP24_25', 34988),
(91263, 'PF19874', NULL, 'Family of unknown function (DUF6347)', 124, NULL, 'DUF6347', 34989),
(91264, 'PF13349', NULL, 'Putative adhesin', 249, NULL, 'DUF4097', 34990),
(91265, 'PF09713', NULL, 'Plant protein 1589 of unknown function (A_thal_3526)', 53, NULL, 'A_thal_3526', 34991),
(91266, 'PF06518', NULL, 'Protein of unknown function (DUF1104)', 92, NULL, 'DUF1104', 34992),
(91267, 'PF14614', NULL, 'Domain of unknown function (DUF4450)', 216, NULL, 'DUF4450', 34993);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(91268, 'PF00407', NULL, 'Pathogenesis-related protein Bet v 1 family', 151, NULL, 'Bet_v_1', 34994),
(91269, 'PF00439', NULL, 'Bromodomain', 84, NULL, 'Bromodomain', 34995),
(91270, 'PF05873', NULL, 'ATP synthase D chain, mitochondrial (ATP5H)', 154, NULL, 'Mt_ATP-synt_D', 34996),
(91271, 'PF00145', NULL, 'C-5 cytosine-specific DNA methylase', 335, NULL, 'DNA_methylase', 34997),
(91272, 'PF18667', NULL, 'Baseplate upper protein immunoglobulin like domain', 96, NULL, 'BppU_IgG', 34998),
(91273, 'PF08150', NULL, 'FerB (NUC096) domain', 76, NULL, 'FerB', 34999),
(91274, 'PF07384', NULL, 'Protein of unknown function (DUF1497)', 59, NULL, 'DUF1497', 35000),
(91275, 'PF17403', NULL, 'Nrap protein PAP/OAS-like domain', 152, NULL, 'Nrap_D2', 35001),
(91276, 'PF19453', NULL, 'Family of unknown function (DUF5991)', 124, NULL, 'DUF5991', 35002),
(91277, 'PF02104', NULL, 'SURF1 family', 196, NULL, 'SURF1', 35003),
(91278, 'PF19758', NULL, 'Family of unknown function (DUF6245)', 168, NULL, 'DUF6245', 35004),
(91279, 'PF06640', NULL, 'P protein C-terminus', 235, NULL, 'P_C', 35005),
(91280, 'PF10491', NULL, 'NLS-binding and DNA-binding and dimerisation domains of Nrf1', 213, NULL, 'Nrf1_DNA-bind', 35006),
(91281, 'PF01024', NULL, 'Colicin pore forming domain', 185, NULL, 'Colicin', 35007),
(91282, 'PF14601', NULL, 'DNA_binding protein, TFX, C-term', 83, NULL, 'TFX_C', 35008),
(91283, 'PF12043', NULL, 'Domain of unknown function (DUF3527)', 355, NULL, 'DUF3527', 35009),
(91284, 'PF18505', NULL, 'Domain of unknown function (DUF5619)', 85, NULL, 'DUF5619', 35010),
(91285, 'PF02940', NULL, 'mRNA capping enzyme, beta chain', 221, NULL, 'mRNA_triPase', 35011),
(91286, 'PF08885', NULL, 'GSCFA family', 237, NULL, 'GSCFA', 35012),
(91287, 'PF17832', NULL, 'Pre-PUA-like domain', 87, NULL, 'Pre-PUA', 35013),
(91288, 'PF01325', NULL, 'Iron dependent repressor, N-terminal DNA binding domain', 60, NULL, 'Fe_dep_repress', 35014),
(91289, 'PF00726', NULL, 'Interleukin 10', 170, NULL, 'IL10', 35015),
(91290, 'PF14639', NULL, 'Holliday-junction resolvase-like of SPT6', 150, NULL, 'YqgF', 35016),
(91291, 'PF13772', NULL, 'AIG2-like family', 83, NULL, 'AIG2_2', 35017),
(91292, 'PF03645', NULL, 'Tctex-1 family', 94, NULL, 'Tctex-1', 35018),
(91293, 'PF11123', NULL, 'DNA packaging protein', 82, NULL, 'DNA_Packaging_2', 35019),
(91294, 'PF13338', NULL, 'Transcriptional regulator, AbiEi antitoxin', 49, NULL, 'AbiEi_4', 35020),
(91295, 'PF02262', NULL, 'CBL proto-oncogene N-terminal domain 1', 125, NULL, 'Cbl_N', 35021),
(91296, 'PF06951', NULL, 'Group XII secretory phospholipase A2 precursor (PLA2G12)', 186, NULL, 'PLA2G12', 35022),
(91297, 'PF16433', NULL, 'Domain of unknown function (DUF5030)', 314, NULL, 'DUF5030', 35023),
(91298, 'PF07477', NULL, 'Glycosyl hydrolase family 67 C-terminus', 223, NULL, 'Glyco_hydro_67C', 35024),
(91299, 'PF10221', NULL, 'Cell cycle and development regulator', 691, NULL, 'DUF2151', 35025),
(91300, 'PF12295', NULL, 'Symplekin tight junction protein C terminal', 186, NULL, 'Symplekin_C', 35026),
(91301, 'PF19082', NULL, 'Family of unknown function (DUF5773)', 177, NULL, 'DUF5773', 35027),
(91302, 'PF19639', NULL, 'Family of unknown function (DUF6142)', 103, NULL, 'DUF6142', 35028),
(91303, 'PF14806', NULL, 'Coatomer beta subunit appendage platform', 128, NULL, 'Coatomer_b_Cpla', 35029),
(91304, 'PF10675', NULL, 'Protein of unknown function (DUF2489)', 130, NULL, 'DUF2489', 35030),
(91305, 'PF11244', NULL, 'Mediator complex subunit 25 C-terminal NR box-containing', 90, NULL, 'Med25_NR-box', 35031),
(91306, 'PF01104', NULL, 'Bunyavirus non-structural protein NS-s', 91, NULL, 'Bunya_NS-S', 35032),
(91307, 'PF02423', NULL, 'Ornithine cyclodeaminase/mu-crystallin family', 320, NULL, 'OCD_Mu_crystall', 35033),
(91308, 'PF18594', NULL, 'Sas6/XLF/XRCC4 coiled-coil domain', 30, NULL, 'Sas6_CC', 35034),
(91309, 'PF20140', NULL, 'Family of unknown function (DUF6530)', 159, NULL, 'DUF6530', 35035),
(91310, 'PF10091', NULL, 'Putative glucoamylase', 222, NULL, 'Glycoamylase', 35036),
(91311, 'PF04345', NULL, 'Chorismate lyase', 168, NULL, 'Chor_lyase', 35037);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(91312, 'PF17934', NULL, 'Tetracyclin repressor-like, C-terminal domain', 109, NULL, 'TetR_C_26', 35038),
(91313, 'PF00321', NULL, 'Plant thionin', 46, NULL, 'Thionin', 35039),
(91314, 'PF18100', NULL, 'Phosphodiesterase 4 upstream conserved regions (UCR)', 119, NULL, 'PDE4_UCR', 35040),
(91315, 'PF03735', NULL, 'ENT domain', 70, NULL, 'ENT', 35041),
(91316, 'PF08331', NULL, 'Domain of unknown function (DUF1730)', 76, NULL, 'DUF1730', 35042),
(91317, 'PF01141', NULL, 'Gag polyprotein, inner coat protein p12', 85, NULL, 'Gag_p12', 35043),
(91318, 'PF06115', NULL, 'Domain of unknown function (DUF956)', 117, NULL, 'DUF956', 35044),
(91319, 'PF19567', NULL, 'Capsular polysaccharide synthesis, CpsB/CapC', 234, NULL, 'CpsB_CapC', 35045),
(91320, 'PF02881', NULL, 'SRP54-type protein, helical bundle domain', 75, NULL, 'SRP54_N', 35046),
(91321, 'PF18251', NULL, 'Fungal defensin Copsin', 39, NULL, 'Defensin_5', 35047),
(91322, 'PF01065', NULL, 'Hexon, adenovirus major coat protein, N-terminal domain', 586, NULL, 'Adeno_hexon', 35048),
(91323, 'PF00467', NULL, 'KOW motif', 32, NULL, 'KOW', 35049),
(91324, 'PF04784', NULL, 'Protein of unknown function, DUF547', 126, NULL, 'DUF547', 35050),
(91325, 'PF10537', NULL, 'ATP-utilising chromatin assembly and remodelling N-terminal', 101, NULL, 'WAC_Acf1_DNA_bd', 35051),
(91326, 'PF05908', NULL, 'Poly-gamma-glutamate hydrolase', 191, NULL, 'Gamma_PGA_hydro', 35052),
(91327, 'PF17181', NULL, 'Epidermal patterning factor proteins', 52, NULL, 'EPF', 35053),
(91328, 'PF05402', NULL, 'Coenzyme PQQ synthesis protein D (PqqD)', 67, NULL, 'PqqD', 35054),
(91329, 'PF08485', NULL, 'Polysaccharide biosynthesis protein C-terminal', 48, NULL, 'Polysacc_syn_2C', 35055),
(91330, 'PF07224', NULL, 'Chlorophyllase', 307, NULL, 'Chlorophyllase', 35056),
(91331, 'PF11292', NULL, 'Protein of unknown function (DUF3093)', 141, NULL, 'DUF3093', 35057),
(91332, 'PF15965', NULL, 'TRAF-like zinc-finger', 93, NULL, 'zf-TRAF_2', 35058),
(91333, 'PF06116', NULL, 'Transcriptional activator RinB', 51, NULL, 'RinB', 35059),
(91334, 'PF04288', NULL, 'MukE-like family', 229, NULL, 'MukE', 35060),
(91335, 'PF09050', NULL, 'Stannin unstructured linker', 26, NULL, 'SNN_linker', 35061),
(91336, 'PF08826', NULL, 'DMPK coiled coil domain like', 61, NULL, 'DMPK_coil', 35062),
(91337, 'PF07440', NULL, 'Caerin 1 protein', 24, NULL, 'Caerin_1', 35063),
(91338, 'PF02861', NULL, 'Clp amino terminal domain, pathogenicity island component', 53, NULL, 'Clp_N', 35064),
(91339, 'PF07515', NULL, 'Putative conjugal transfer nickase/helicase TraI C-term', 123, NULL, 'TraI_2_C', 35065),
(91340, 'PF18412', NULL, 'Outer-membrane lipoprotein Wza C-terminal domain', 30, NULL, 'Wza_C', 35066),
(91341, 'PF19042', NULL, 'Nuclear cap binding complex subunit CBP110', 986, NULL, 'CBP110', 35067),
(91342, 'PF00466', NULL, 'Ribosomal protein L10', 100, NULL, 'Ribosomal_L10', 35068),
(91343, 'PF10454', NULL, 'Protein of unknown function (DUF2458)', 172, NULL, 'DUF2458', 35069),
(91344, 'PF06748', NULL, 'Protein of unknown function (DUF1217)', 149, NULL, 'DUF1217', 35070),
(91345, 'PF03432', NULL, 'Relaxase/Mobilisation nuclease domain', 242, NULL, 'Relaxase', 35071),
(91346, 'PF03800', NULL, 'Nuf2 family', 142, NULL, 'Nuf2', 35072),
(91347, 'PF07449', NULL, 'Hydrogenase-1 expression protein HyaE', 108, NULL, 'HyaE', 35073),
(91348, 'PF13929', NULL, 'mRNA stabilisation', 288, NULL, 'mRNA_stabil', 35074),
(91349, 'PF18449', NULL, 'Delta endotoxin', 63, NULL, 'Endotoxin_C2', 35075),
(91350, 'PF16071', NULL, 'Domain of unknown function (DUF4812)', 65, NULL, 'DUF4812', 35076),
(91351, 'PF12037', NULL, 'Domain of unknown function (DUF3523)', 265, NULL, 'DUF3523', 35077),
(91352, 'PF07313', NULL, 'Protein of unknown function (DUF1460)', 216, NULL, 'DUF1460', 35078),
(91353, 'PF16624', NULL, 'Unstructured region upstream of a zinc-finger', 95, NULL, 'zf-C2H2_assoc2', 35079),
(91354, 'PF06651', NULL, 'Protein of unknown function (DUF1163)', 68, NULL, 'DUF1163', 35080),
(91355, 'PF09416', NULL, 'RNA helicase (UPF2 interacting domain)', 152, NULL, 'UPF1_Zn_bind', 35081);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(91356, 'PF10676', NULL, 'Spore germination protein gerPA/gerPF', 72, NULL, 'gerPA', 35082),
(91357, 'PF07406', NULL, 'NICE-3 protein', 182, NULL, 'NICE-3', 35083),
(91358, 'PF01640', NULL, 'Peptidase C10 family', 194, NULL, 'Peptidase_C10', 35084),
(91359, 'PF10726', NULL, 'Protein of function (DUF2518)', 145, NULL, 'DUF2518', 35085),
(91360, 'PF00258', NULL, 'Flavodoxin', 143, NULL, 'Flavodoxin_1', 35086),
(91361, 'PF12606', NULL, 'Tumour necrosis factor receptor superfamily member 19', 42, NULL, 'RELT', 35087),
(91362, 'PF12221', NULL, 'Bacterial membrane protein N terminal', 46, NULL, 'HflK_N', 35088),
(91363, 'PF16506', NULL, 'Putative virion glycoprotein of insect viruses', 233, NULL, 'DiSB-ORF2_chro', 35089),
(91364, 'PF11821', NULL, 'Protein of unknown function (DUF3341)', 170, NULL, 'DUF3341', 35090),
(91365, 'PF10101', NULL, 'Predicted membrane protein (DUF2339)', 667, NULL, 'DUF2339', 35091),
(91366, 'PF14953', NULL, 'Domain of unknown function (DUF4504)', 264, NULL, 'DUF4504', 35092),
(91367, 'PF16049', NULL, 'Frog antimicrobial peptide', 25, NULL, 'Antimicrobial24', 35093),
(91368, 'PF10988', NULL, 'Putative auto-transporter adhesin, head GIN domain', 181, NULL, 'DUF2807', 35094),
(91369, 'PF11933', NULL, 'Cytoplasmic domain of voltage-gated Na+ ion channel', 165, NULL, 'Na_trans_cytopl', 35095),
(91370, 'PF07823', NULL, 'Cyclic phosphodiesterase-like protein', 199, NULL, 'CPDase', 35096),
(91371, 'PF02673', NULL, 'Bacitracin resistance protein BacA', 256, NULL, 'BacA', 35097),
(91372, 'PF03792', NULL, 'PBC domain', 188, NULL, 'PBC', 35098),
(91373, 'PF15043', NULL, 'CB1 cannabinoid receptor-interacting protein 1', 157, NULL, 'CNRIP1', 35099),
(91374, 'PF07459', NULL, 'CTX phage RstB protein', 90, NULL, 'CTX_RstB', 35100),
(91375, 'PF09948', NULL, 'Predicted metal-binding integral membrane protein (DUF2182)', 188, NULL, 'DUF2182', 35101),
(91376, 'PF00102', NULL, 'Protein-tyrosine phosphatase', 235, NULL, 'Y_phosphatase', 35102),
(91377, 'PF04869', NULL, 'Uso1 / p115 like vesicle tethering protein, head region', 314, NULL, 'Uso1_p115_head', 35103),
(91378, 'PF17928', NULL, 'Tetracyclin repressor-like, C-terminal domain', 113, NULL, 'TetR_C_22', 35104),
(91379, 'PF03701', NULL, 'Uncharacterised protein family (UPF0181)', 50, NULL, 'UPF0181', 35105),
(91380, 'PF05266', NULL, 'Protein of unknown function (DUF724)', 188, NULL, 'DUF724', 35106),
(91381, 'PF09774', NULL, 'Caffeine-induced death protein 2', 160, NULL, 'Cid2', 35107),
(91382, 'PF11438', NULL, '36-mer N-terminal peptide of the N protein (N36)', 35, NULL, 'N36', 35108),
(91383, 'PF15120', NULL, 'Sperm acrosome-associated protein 9', 164, NULL, 'SPACA9', 35109),
(91384, 'PF19635', NULL, 'Family of unknown function (DUF6138)', 551, NULL, 'DUF6138', 35110),
(91385, 'PF09013', NULL, 'YopH, N-terminal', 121, NULL, 'YopH_N', 35111),
(91386, 'PF07478', NULL, 'D-ala D-ala ligase C-terminus', 204, NULL, 'Dala_Dala_lig_C', 35112),
(91387, 'PF15316', NULL, 'MyoD family inhibitor', 171, NULL, 'MDFI', 35113),
(91388, 'PF07283', NULL, 'Conjugal transfer protein TrbH', 126, NULL, 'TrbH', 35114),
(91389, 'PF05347', NULL, 'Complex 1 protein (LYR family)', 59, NULL, 'Complex1_LYR', 35115),
(91390, 'PF00359', NULL, 'Phosphoenolpyruvate-dependent sugar phosphotransferase system, EIIA 2', 144, NULL, 'PTS_EIIA_2', 35116),
(91391, 'PF17633', NULL, 'Family of unknown function (DUF5514)', 142, NULL, 'DUF5514', 35117),
(91392, 'PF18796', NULL, 'Large polyvalent protein-associated domain 1', 78, NULL, 'LPD1', 35118),
(91393, 'PF15468', NULL, 'Domain of unknown function (DUF4636)', 243, NULL, 'DUF4636', 35119),
(91394, 'PF07466', NULL, 'Protein of unknown function (DUF1517)', 184, NULL, 'DUF1517', 35120),
(91395, 'PF10979', NULL, 'Protein of unknown function (DUF2786)', 40, NULL, 'DUF2786', 35121),
(91396, 'PF08777', NULL, 'RNA binding motif', 102, NULL, 'RRM_3', 35122),
(91397, 'PF00857', NULL, 'Isochorismatase family', 175, NULL, 'Isochorismatase', 35123),
(91398, 'PF19596', NULL, 'Family of unknown function (DUF6101)', 184, NULL, 'DUF6101', 35124);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(91399, 'PF08540', NULL, 'Hydroxymethylglutaryl-coenzyme A synthase C terminal', 280, NULL, 'HMG_CoA_synt_C', 35125),
(91400, 'PF05572', NULL, 'Pregnancy-associated plasma protein-A', 152, NULL, 'Peptidase_M43', 35126),
(91401, 'PF00986', NULL, 'DNA gyrase B subunit, carboxyl terminus', 63, NULL, 'DNA_gyraseB_C', 35127),
(91402, 'PF17113', NULL, 'Regulatory signalling modulator protein AmpE', 284, NULL, 'AmpE', 35128),
(91403, 'PF18411', NULL, 'Annexin-like domain', 93, NULL, 'Annexin_like', 35129),
(91404, 'PF14213', NULL, 'STAS-like domain of unknown function (DUF4325)', 64, NULL, 'DUF4325', 35130),
(91405, 'PF07455', NULL, 'Phage polarity suppression protein (Psu)', 182, NULL, 'Psu', 35131),
(91406, 'PF17968', NULL, 'Toll-like receptor 3 trans-membrane domain', 33, NULL, 'Tlr3_TMD', 35132),
(91407, 'PF00463', NULL, 'Isocitrate lyase family', 526, NULL, 'ICL', 35133),
(91408, 'PF12980', NULL, 'Domain of Unknown Function with PDB structure (DUF3864)', 80, NULL, 'DUF3864', 35134),
(91409, 'PF09712', NULL, 'Poly(R)-hydroxyalkanoic acid synthase subunit (PHA_synth_III_E)', 314, NULL, 'PHA_synth_III_E', 35135),
(91410, 'PF08097', NULL, 'Conotoxin T-superfamily', 11, NULL, 'Toxin_26', 35136),
(91411, 'PF11617', NULL, 'Putative metal-binding motif', 30, NULL, 'Cu-binding_MopE', 35137),
(91412, 'PF17535', NULL, 'Family of unknown function (DUF5454)', 221, NULL, 'DUF5454', 35138),
(91413, 'PF08883', NULL, 'Dopa 4,5-dioxygenase family', 107, NULL, 'DOPA_dioxygen', 35139),
(91414, 'PF17700', NULL, 'Family of unknown function (DUF5546)', 135, NULL, 'DUF5546', 35140),
(91415, 'PF13433', NULL, 'Periplasmic binding protein domain', 364, NULL, 'Peripla_BP_5', 35141),
(91416, 'PF11662', NULL, 'Protein of unknown function (DUF3263)', 74, NULL, 'DUF3263', 35142),
(91417, 'PF11295', NULL, 'Protein of unknown function (DUF3096)', 37, NULL, 'DUF3096', 35143),
(91418, 'PF11767', NULL, 'Histone lysine methyltransferase SET associated', 66, NULL, 'SET_assoc', 35144),
(91419, 'PF13601', NULL, 'Winged helix DNA-binding domain', 80, NULL, 'HTH_34', 35145),
(91420, 'PF15691', NULL, 'Protein phosphatase 1 regulatory subunit 32', 422, NULL, 'PPP1R32', 35146),
(91421, 'PF19203', NULL, 'Family of unknown function (DUF5875)', 228, NULL, 'DUF5875', 35147),
(91422, 'PF16906', NULL, 'Ribosomal proteins L26 eukaryotic, L24P archaeal', 82, NULL, 'Ribosomal_L26', 35148),
(91423, 'PF13426', NULL, 'PAS domain', 104, NULL, 'PAS_9', 35149),
(91424, 'PF02994', NULL, 'L1 transposable element RBD-like domain', 98, NULL, 'Transposase_22', 35150),
(91425, 'PF03509', NULL, 'Gap junction alpha-8 protein (Cx50)', 66, NULL, 'Connexin50', 35151),
(91426, 'PF02806', NULL, 'Alpha amylase, C-terminal all-beta domain', 96, NULL, 'Alpha-amylase_C', 35152),
(91427, 'PF07417', NULL, 'Sigma factor-binding transcriptional regulator Crl', 128, NULL, 'Crl', 35153),
(91428, 'PF15690', NULL, 'Nuclear receptor-interacting protein 1 repression 4', 313, NULL, 'NRIP1_repr_4', 35154),
(91429, 'PF18622', NULL, 'RctB helix turn helix domain', 107, NULL, 'HTH_55', 35155),
(91430, 'PF03644', NULL, 'Glycosyl hydrolase family 85', 303, NULL, 'Glyco_hydro_85', 35156),
(91431, 'PF06945', NULL, 'Protein of unknown function (DUF1289)', 48, NULL, 'DUF1289', 35157),
(91432, 'PF00583', NULL, 'Acetyltransferase (GNAT) family', 117, NULL, 'Acetyltransf_1', 35158),
(91433, 'PF07503', NULL, 'HypF finger', 34, NULL, 'zf-HYPF', 35159),
(91434, 'PF14090', NULL, 'Helix-turn-helix domain', 70, NULL, 'HTH_39', 35160),
(91435, 'PF06729', NULL, 'Kinetochore component, CENP-R', 138, NULL, 'CENP-R', 35161),
(91436, 'PF06694', NULL, 'Plant nuclear matrix protein 1 (NMP1)', 318, NULL, 'Plant_NMP1', 35162),
(91437, 'PF02203', NULL, 'Tar ligand binding domain homologue', 177, NULL, 'TarH', 35163),
(91438, 'PF04464', NULL, 'CDP-Glycerol:Poly(glycerophosphate) glycerophosphotransferase', 367, NULL, 'Glyphos_transf', 35164),
(91439, 'PF00737', NULL, 'Photosystem II 10 kDa phosphoprotein', 52, NULL, 'PsbH', 35165),
(91440, 'PF01809', NULL, 'Putative membrane protein insertion efficiency factor', 67, NULL, 'YidD', 35166);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(91441, 'PF05814', NULL, 'Orf76 (Ac76)', 83, NULL, 'Ac76', 35167),
(91442, 'PF09606', NULL, 'ARC105 or Med15 subunit of Mediator complex non-fungal', 780, NULL, 'Med15', 35168),
(91443, 'PF12541', NULL, 'Protein of unknown function (DUF3737)', 275, NULL, 'DUF3737', 35169),
(91444, 'PF19644', NULL, 'Family of unknown function (DUF6147)', 138, NULL, 'DUF6147', 35170),
(91445, 'PF16261', NULL, 'Domain of unknown function (DUF4915)', 315, NULL, 'DUF4915', 35171),
(91446, 'PF00833', NULL, 'Ribosomal S17', 122, NULL, 'Ribosomal_S17e', 35172),
(91447, 'PF11231', NULL, 'Protein of unknown function (DUF3034)', 257, NULL, 'DUF3034', 35173),
(91448, 'PF02128', NULL, 'Fungalysin metallopeptidase (M36)', 372, NULL, 'Peptidase_M36', 35174),
(91449, 'PF14880', NULL, 'Cytochrome oxidase c assembly', 59, NULL, 'COX14', 35175),
(91450, 'PF16387', NULL, 'Domain of unknown function', 102, NULL, 'DUF4996', 35176),
(91451, 'PF01129', NULL, 'NAD:arginine ADP-ribosyltransferase', 222, NULL, 'ART', 35177),
(91452, 'PF13107', NULL, 'Protein of unknown function (DUF3964)', 109, NULL, 'DUF3964', 35178),
(91453, 'PF15098', NULL, 'TMEM89 protein family', 134, NULL, 'TMEM89', 35179),
(91454, 'PF16876', NULL, 'Lipin/Ned1/Smp2 multi-domain protein middle domain', 102, NULL, 'Lipin_mid', 35180),
(91455, 'PF03445', NULL, 'Putative nucleotidyltransferase DUF294', 138, NULL, 'DUF294', 35181),
(91456, 'PF11967', NULL, 'Recombination protein O N terminal', 80, NULL, 'RecO_N', 35182),
(91457, 'PF16077', NULL, 'Spaetzle', 97, NULL, 'Spaetzle', 35183),
(91458, 'PF04557', NULL, 'Glutaminyl-tRNA synthetase, non-specific RNA binding region part 2', 95, NULL, 'tRNA_synt_1c_R2', 35184),
(91459, 'PF12012', NULL, 'Domain of unknown function (DUF3504)', 162, NULL, 'DUF3504', 35185),
(91460, 'PF10427', NULL, 'Argonaute hook', 163, NULL, 'Ago_hook', 35186),
(91461, 'PF10824', NULL, 'Excreted virulence factor EspC, type VII ESX diderm', 100, NULL, 'T7SS_ESX_EspC', 35187),
(91462, 'PF17703', NULL, 'Family of unknown function (DUF5549)', 186, NULL, 'DUF5549', 35188),
(91463, 'PF07082', NULL, 'Protein of unknown function (DUF1350)', 250, NULL, 'DUF1350', 35189),
(91464, 'PF18679', NULL, 'ThcOx helix turn helix domain', 112, NULL, 'HTH_57', 35190),
(91465, 'PF15756', NULL, 'Small Novel Rich in Cartilage', 96, NULL, 'DUF4690', 35191),
(91466, 'PF17160', NULL, 'Domain of unknown function (DUF5124)', 100, NULL, 'DUF5124', 35192),
(91467, 'PF01508', NULL, 'Paramecium surface antigen domain', 63, NULL, 'Paramecium_SA', 35193),
(91468, 'PF09573', NULL, 'TaqI restriction endonuclease', 229, NULL, 'RE_TaqI', 35194),
(91469, 'PF12041', NULL, 'Transcriptional regulator DELLA protein N terminal', 69, NULL, 'DELLA', 35195),
(91470, 'PF17644', NULL, 'Core domain of 30K viral movement proteins', 138, NULL, '30K_MP_core', 35196),
(91471, 'PF19871', NULL, 'Family of unknown function (DUF6344)', 34, NULL, 'DUF6344', 35197),
(91472, 'PF11994', NULL, 'Protein of unknown function (DUF3489)', 68, NULL, 'DUF3489', 35198),
(91473, 'PF17060', NULL, 'Monopolar spindle protein 2', 348, NULL, 'MPS2', 35199),
(91474, 'PF04415', NULL, 'Protein of unknown function (DUF515)', 449, NULL, 'DUF515', 35200),
(91475, 'PF14907', NULL, 'Uncharacterised nucleotidyltransferase', 250, NULL, 'NTP_transf_5', 35201),
(91476, 'PF08519', NULL, 'Replication factor RFC1 C terminal domain', 157, NULL, 'RFC1', 35202),
(91477, 'PF08597', NULL, 'Translation initiation factor eIF3 subunit', 250, NULL, 'eIF3_subunit', 35203),
(91478, 'PF19823', NULL, 'Domain of unknown function (DUF6305)', 155, NULL, 'DUF6305', 35204),
(91479, 'PF01341', NULL, 'Glycosyl hydrolases family 6', 311, NULL, 'Glyco_hydro_6', 35205),
(91480, 'PF17787', NULL, 'PH domain', 131, NULL, 'PH_14', 35206),
(91481, 'PF18766', NULL, 'SWI2/SNF2 ATPase', 224, NULL, 'SWI2_SNF2', 35207),
(91482, 'PF11298', NULL, 'Protein of unknown function (DUF3099)', 72, NULL, 'DUF3099', 35208),
(91483, 'PF08691', NULL, 'DNA repair proteins Nse5 and Nse6', 513, NULL, 'Nse5', 35209),
(91484, 'PF19054', NULL, 'Domain of unknown function (DUF5753)', 180, NULL, 'DUF5753', 35210); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(91485, 'PF15616', NULL, 'TerY-C metal binding domain', 129, NULL, 'TerY_C', 35211),
(91486, 'PF18035', NULL, 'Bap31/Bap29 cytoplasmic coiled-coil domain', 52, NULL, 'Bap31_Bap29_C', 35212),
(91487, 'PF16045', NULL, 'LisH', 28, NULL, 'LisH_2', 35213),
(91488, 'PF03371', NULL, 'PRP38 family', 174, NULL, 'PRP38', 35214),
(91489, 'PF06381', NULL, 'Protein of unknown function (DUF1073)', 357, NULL, 'DUF1073', 35215),
(91490, 'PF11132', NULL, 'Transcriptional regulator protein (SplA)', 74, NULL, 'SplA', 35216),
(91491, 'PF00587', NULL, 'tRNA synthetase class II core domain (G, H, P, S and T)', 179, NULL, 'tRNA-synt_2b', 35217),
(91492, 'PF17527', NULL, 'Phage ALC protein', 167, NULL, 'ALC', 35218),
(91493, 'PF12650', NULL, 'Domain of unknown function (DUF3784)', 94, NULL, 'DUF3784', 35219),
(91494, 'PF07173', NULL, 'Glycine-rich domain-containing protein-like', 142, NULL, 'GRDP-like', 35220),
(91495, 'PF14053', NULL, 'Domain of unknown function (DUF4248)', 68, NULL, 'DUF4248', 35221),
(91496, 'PF17532', NULL, 'Family of unknown function (DUF5451)', 148, NULL, 'DUF5451', 35222),
(91497, 'PF14252', NULL, 'Domain of unknown function (DUF4347)', 164, NULL, 'DUF4347', 35223),
(91498, 'PF04655', NULL, 'Aminoglycoside/hydroxyurea antibiotic resistance kinase', 252, NULL, 'APH_6_hur', 35224),
(91499, 'PF13687', NULL, 'Domain of unknown function (DUF4153)', 216, NULL, 'DUF4153', 35225),
(91500, 'PF15046', NULL, 'Protein of unknown function (DUF4532)', 279, NULL, 'DUF4532', 35226),
(91501, 'PF11315', NULL, 'Mediator complex subunit 30', 147, NULL, 'Med30', 35227),
(91502, 'PF03451', NULL, 'HELP motif', 72, NULL, 'HELP', 35228),
(91503, 'PF17424', NULL, 'Family of unknown function (DUF5411)', 134, NULL, 'DUF5411', 35229),
(91504, 'PF18570', NULL, 'NUP57/Nup54 C-terminal domain', 29, NULL, 'Nup54_57_C', 35230),
(91505, 'PF01731', NULL, 'Arylesterase', 86, NULL, 'Arylesterase', 35231),
(91506, 'PF00381', NULL, 'PTS HPr component phosphorylation site', 82, NULL, 'PTS-HPr', 35232),
(91507, 'PF02667', NULL, 'Short chain fatty acid transporter', 453, NULL, 'SCFA_trans', 35233),
(91508, 'PF10694', NULL, 'Protein of unknown function (DUF2500)', 105, NULL, 'DUF2500', 35234),
(91509, 'PF16766', NULL, 'Binding region of GANP to ENY2', 71, NULL, 'CID_GANP', 35235),
(91510, 'PF17737', NULL, 'Ig domain in C19orf38 (HIDE1)', 91, NULL, 'Ig_C19orf38', 35236),
(91511, 'PF00951', NULL, 'Arterivirus GL envelope glycoprotein', 179, NULL, 'Arteri_Gl', 35237),
(91512, 'PF00530', NULL, 'Scavenger receptor cysteine-rich domain', 100, NULL, 'SRCR', 35238),
(91513, 'PF11081', NULL, 'Protein of unknown function (DUF2890)', 168, NULL, 'DUF2890', 35239),
(91514, 'PF16497', NULL, 'MHC-I family domain', 198, NULL, 'MHC_I_3', 35240),
(91515, 'PF13862', NULL, 'BCCIP', 208, NULL, 'BCCIP', 35241),
(91516, 'PF01170', NULL, 'Putative RNA methylase family UPF0020', 197, NULL, 'UPF0020', 35242),
(91517, 'PF03007', NULL, 'Wax ester synthase-like Acyl-CoA acyltransferase domain', 264, NULL, 'WES_acyltransf', 35243),
(91518, 'PF15817', NULL, 'Transmembrane protein 40 family', 120, NULL, 'TMEM40', 35244),
(91519, 'PF12017', NULL, 'Transposase protein', 219, NULL, 'Tnp_P_element', 35245),
(91520, 'PF03286', NULL, 'Pox virus Ag35 surface protein', 196, NULL, 'Pox_Ag35', 35246),
(91521, 'PF09192', NULL, 'Actin-fragmin kinase, catalytic', 282, NULL, 'Act-Frag_cataly', 35247),
(91522, 'PF05728', NULL, 'Uncharacterised protein family (UPF0227)', 187, NULL, 'UPF0227', 35248),
(91523, 'PF07391', NULL, 'NPR nonapeptide repeat (2 copies)', 17, NULL, 'NPR', 35249),
(91524, 'PF19641', NULL, 'Family of unknown function (DUF6144)', 181, NULL, 'DUF6144', 35250),
(91525, 'PF07686', NULL, 'Immunoglobulin V-set domain', 109, NULL, 'V-set', 35251),
(91526, 'PF11941', NULL, 'Domain of unknown function (DUF3459)', 91, NULL, 'DUF3459', 35252),
(91527, 'PF08873', NULL, 'Domain of unknown function (DUF1834)', 204, NULL, 'DUF1834', 35253),
(91528, 'PF12162', NULL, 'STAT1 TAZ2 binding domain', 23, NULL, 'STAT1_TAZ2bind', 35254),
(91529, 'PF06637', NULL, 'PV-1 protein (PLVAP)', 439, NULL, 'PV-1', 35255);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(91530, 'PF11488', NULL, 'Transcriptional regulatory protein LGE1', 71, NULL, 'Lge1', 35256),
(91531, 'PF15331', NULL, 'Cellular tumour antigen p53-inducible 5', 217, NULL, 'TP53IP5', 35257),
(91532, 'PF17837', NULL, '4''-phosphopantetheinyl transferase N-terminal domain', 68, NULL, '4PPT_N', 35258),
(91533, 'PF04562', NULL, 'Dictyostelium spore coat protein, N terminus', 114, NULL, 'Dicty_spore_N', 35259),
(91534, 'PF05049', NULL, 'Interferon-inducible GTPase (IIGP)', 375, NULL, 'IIGP', 35260),
(91535, 'PF06294', NULL, 'CH-like domain in sperm protein', 96, NULL, 'CH_2', 35261),
(91536, 'PF07051', NULL, 'Ovarian carcinoma immunoreactive antigen (OCIA)', 87, NULL, 'OCIA', 35262),
(91537, 'PF10029', NULL, 'Predicted periplasmic protein (DUF2271)', 136, NULL, 'DUF2271', 35263),
(91538, 'PF06788', NULL, 'Uncharacterised protein family (UPF0257)', 235, NULL, 'UPF0257', 35264),
(91539, 'PF14207', NULL, 'DpnD/PcfM-like protein', 46, NULL, 'DpnD-PcfM', 35265),
(91540, 'PF06386', NULL, 'Gas vesicle synthesis protein GvpL/GvpF', 244, NULL, 'GvpL_GvpF', 35266),
(91541, 'PF05645', NULL, 'RNA polymerase III subunit RPC82', 258, NULL, 'RNA_pol_Rpc82', 35267),
(91542, 'PF04189', NULL, 'Gcd10p family', 312, NULL, 'Gcd10p', 35268),
(91543, 'PF09321', NULL, 'Domain of unknown function (DUF1978)', 244, NULL, 'DUF1978', 35269),
(91544, 'PF13413', NULL, 'Helix-turn-helix domain', 62, NULL, 'HTH_25', 35270),
(91545, 'PF19942', NULL, 'Family of unknown function (DUF6404)', 114, NULL, 'DUF6404', 35271),
(91546, 'PF05678', NULL, 'VQ motif', 28, NULL, 'VQ', 35272),
(91547, 'PF00925', NULL, 'GTP cyclohydrolase II', 164, NULL, 'GTP_cyclohydro2', 35273),
(91548, 'PF04547', NULL, 'Calcium-activated chloride channel', 450, NULL, 'Anoctamin', 35274),
(91549, 'PF17358', NULL, 'Family of unknown function (DUF5384)', 145, NULL, 'DUF5384', 35275),
(91550, 'PF13503', NULL, 'Domain of unknown function (DUF4123)', 127, NULL, 'DUF4123', 35276),
(91551, 'PF10191', NULL, 'Golgi complex component 7 (COG7)', 772, NULL, 'COG7', 35277),
(91552, 'PF13205', NULL, 'Bacterial Ig-like domain', 108, NULL, 'Big_5', 35278),
(91553, 'PF15997', NULL, 'Domain of unknown function (DUF4772)', 118, NULL, 'DUF4772', 35279),
(91554, 'PF08213', NULL, 'Mitochondrial domain of unknown function (DUF1713)', 33, NULL, 'DUF1713', 35280),
(91555, 'PF14890', NULL, 'Intein splicing domain', 155, NULL, 'Intein_splicing', 35281),
(91556, 'PF10755', NULL, 'Protein of unknown function (DUF2585)', 164, NULL, 'DUF2585', 35282),
(91557, 'PF01691', NULL, 'Adenovirus E1B 19K protein / small t-antigen', 135, NULL, 'Adeno_E1B_19K', 35283),
(91558, 'PF08715', NULL, 'Coronavirus papain-like peptidase', 320, NULL, 'CoV_peptidase', 35284),
(91559, 'PF06849', NULL, 'Protein of unknown function (DUF1246)', 122, NULL, 'DUF1246', 35285),
(91560, 'PF07520', NULL, 'Virulence factor SrfB', 988, NULL, 'SrfB', 35286),
(91561, 'PF15849', NULL, 'Domain of unknown function (DUF4722)', 167, NULL, 'DUF4722', 35287),
(91562, 'PF15149', NULL, 'Cation channel sperm-associated protein subunit beta protein family', 520, NULL, 'CATSPERB', 35288),
(91563, 'PF01058', NULL, 'NADH ubiquinone oxidoreductase, 20 Kd subunit', 129, NULL, 'Oxidored_q6', 35289),
(91564, 'PF02480', NULL, 'Alphaherpesvirus glycoprotein E', 432, NULL, 'Herpes_gE', 35290),
(91565, 'PF09558', NULL, 'Protein of unknown function (DUF2375)', 69, NULL, 'DUF2375', 35291),
(91566, 'PF15216', NULL, 'Thymic stromal lymphopoietin', 125, NULL, 'TSLP', 35292),
(91567, 'PF17052', NULL, 'Cap associated factor', 159, NULL, 'CAF20', 35293),
(91568, 'PF18464', NULL, 'Proprotein convertase subtilisin-like/kexin type 9 C-terminal domain', 66, NULL, 'PCSK9_C2', 35294),
(91569, 'PF18483', NULL, 'Bacterial lectin', 193, NULL, 'Bact_lectin', 35295),
(91570, 'PF17183', NULL, 'Get5 carboxyl domain', 51, NULL, 'Blt1_C', 35296),
(91571, 'PF15915', NULL, 'GAF and HTH_10 associated domain', 156, NULL, 'BAT', 35297),
(91572, 'PF16470', NULL, 'Peptidase S8 pro-domain', 79, NULL, 'S8_pro-domain', 35298),
(91573, 'PF08218', NULL, 'Citrate lyase ligase C-terminal domain', 182, NULL, 'Citrate_ly_lig', 35299);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(91574, 'PF00697', NULL, 'N-(5''phosphoribosyl)anthranilate (PRA) isomerase', 193, NULL, 'PRAI', 35300),
(91575, 'PF10235', NULL, 'Microtubule-associated protein CRIPT', 88, NULL, 'Cript', 35301),
(91576, 'PF02613', NULL, 'Nitrate reductase delta subunit', 138, NULL, 'Nitrate_red_del', 35302),
(91577, 'PF10896', NULL, 'Protein of unknown function (DUF2714)', 143, NULL, 'DUF2714', 35303),
(91578, 'PF15394', NULL, 'Domain of unknown function (DUF4616)', 526, NULL, 'DUF4616', 35304),
(91579, 'PF15975', NULL, 'Flotillin', 124, NULL, 'Flot', 35305),
(91580, 'PF14323', NULL, 'GxGYxYP putative glycoside hydrolase C-terminal domain', 240, NULL, 'GxGYxYP_C', 35306),
(91581, 'PF16237', NULL, 'Domain of unknown function (DUF4896)', 44, NULL, 'DUF4896', 35307),
(91582, 'PF07992', NULL, 'Pyridine nucleotide-disulphide oxidoreductase', 295, NULL, 'Pyr_redox_2', 35308),
(91583, 'PF16445', NULL, 'Domain of unknown function (DUF5042)', 434, NULL, 'DUF5042', 35309),
(91584, 'PF08513', NULL, 'LisH', 27, NULL, 'LisH', 35310),
(91585, 'PF06695', NULL, 'Putative small multi-drug export protein', 121, NULL, 'Sm_multidrug_ex', 35311),
(91586, 'PF06033', NULL, 'Nucleopolyhedrovirus protein of unknown function (DUF918)', 152, NULL, 'DUF918', 35312),
(91587, 'PF10691', NULL, 'Protein of unknown function (DUF2497)', 75, NULL, 'DUF2497', 35313),
(91588, 'PF11195', NULL, 'Protein of unknown function (DUF2829)', 72, NULL, 'DUF2829', 35314),
(91589, 'PF19046', NULL, 'GM130 C-terminal binding motif', 46, NULL, 'GM130_C', 35315),
(91590, 'PF08738', NULL, 'Gon7 family', 108, NULL, 'Gon7', 35316),
(91591, 'PF01684', NULL, 'ET module', 79, NULL, 'ET', 35317),
(91592, 'PF14701', NULL, 'Glycogen debranching enzyme, glucanotransferase domain', 439, NULL, 'hDGE_amylase', 35318),
(91593, 'PF09936', NULL, 'SAM-dependent RNA methyltransferase', 182, NULL, 'Methyltrn_RNA_4', 35319),
(91594, 'PF12905', NULL, 'Endo-alpha-N-acetylgalactosaminidase', 273, NULL, 'Glyco_hydro_101', 35320),
(91595, 'PF19602', NULL, 'Family of unknown function (DUF6107)', 106, NULL, 'DUF6107', 35321),
(91596, 'PF05072', NULL, 'Herpesvirus UL43 protein', 375, NULL, 'Herpes_UL43', 35322),
(91597, 'PF05039', NULL, 'Agouti protein', 43, NULL, 'Agouti', 35323),
(91598, 'PF08736', NULL, 'FERM adjacent (FA)', 44, NULL, 'FA', 35324),
(91599, 'PF14759', NULL, 'Reductase C-terminal', 85, NULL, 'Reductase_C', 35325),
(91600, 'PF05619', NULL, 'Borrelia burgdorferi protein of unknown function (DUF787)', 362, NULL, 'DUF787', 35326),
(91601, 'PF11830', NULL, 'Domain of unknown function (DUF3350)', 62, NULL, 'DUF3350', 35327),
(91602, 'PF10651', NULL, 'BppU N-terminal domain', 144, NULL, 'BppU_N', 35328),
(91603, 'PF12171', NULL, 'Zinc-finger double-stranded RNA-binding', 27, NULL, 'zf-C2H2_jaz', 35329),
(91604, 'PF00956', NULL, 'Nucleosome assembly protein (NAP)', 272, NULL, 'NAP', 35330),
(91605, 'PF00884', NULL, 'Sulfatase', 309, NULL, 'Sulfatase', 35331),
(91606, 'PF02309', NULL, 'AUX/IAA family', 240, NULL, 'AUX_IAA', 35332),
(91607, 'PF03835', NULL, 'Rad4 transglutaminase-like domain', 147, NULL, 'Rad4', 35333),
(91608, 'PF06112', NULL, 'Gammaherpesvirus capsid protein', 169, NULL, 'Herpes_capsid', 35334),
(91609, 'PF16580', NULL, 'C-terminal tail of astrovirus capsid projection or spike', 245, NULL, 'Astro_capsid_p2', 35335),
(91610, 'PF05378', NULL, 'Hydantoinase/oxoprolinase N-terminal region', 178, NULL, 'Hydant_A_N', 35336),
(91611, 'PF09572', NULL, 'XamI restriction endonuclease', 254, NULL, 'RE_XamI', 35337),
(91612, 'PF18804', NULL, 'CxC3 like cysteine cluster associated with KDZ transposases', 113, NULL, 'CxC3', 35338),
(91613, 'PF13495', NULL, 'Phage integrase, N-terminal SAM-like domain', 85, NULL, 'Phage_int_SAM_4', 35339),
(91614, 'PF01414', NULL, 'Delta serrate ligand', 63, NULL, 'DSL', 35340),
(91615, 'PF06630', NULL, 'Enterobacterial exodeoxyribonuclease VIII', 192, NULL, 'Exonuc_VIII', 35341),
(91616, 'PF04930', NULL, 'FUN14 family', 92, NULL, 'FUN14', 35342),
(91617, 'PF05450', NULL, 'Nicastrin', 234, NULL, 'Nicastrin', 35343),
(91618, 'PF09014', NULL, 'Beta-2-glycoprotein-1 fifth domain', 88, NULL, 'Sushi_2', 35344);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(91619, 'PF11223', NULL, 'Protein of unknown function (DUF3020)', 49, NULL, 'DUF3020', 35345),
(91620, 'PF17281', NULL, 'Family of unknown function (DUF5346)', 102, NULL, 'DUF5346', 35346),
(91621, 'PF10886', NULL, 'Protein of unknown function (DUF2685)', 55, NULL, 'DUF2685', 35347),
(91622, 'PF07464', NULL, 'Apolipophorin-III precursor (apoLp-III)', 146, NULL, 'ApoLp-III', 35348),
(91623, 'PF06629', NULL, 'MltA-interacting protein MipA', 211, NULL, 'MipA', 35349),
(91624, 'PF03357', NULL, 'Snf7', 173, NULL, 'Snf7', 35350),
(91625, 'PF12250', NULL, 'Arabinofuranosyltransferase N terminal', 427, NULL, 'AftA_N', 35351),
(91626, 'PF00767', NULL, 'Potyvirus coat protein', 244, NULL, 'Poty_coat', 35352),
(91627, 'PF07341', NULL, 'Protein of unknown function (DUF1473)', 163, NULL, 'DUF1473', 35353),
(91628, 'PF13126', NULL, 'Protein of unknown function (DUF3975)', 80, NULL, 'DUF3975', 35354),
(91629, 'PF03268', NULL, 'Caenorhabditis protein of unknown function, DUF267', 360, NULL, 'DUF267', 35355),
(91630, 'PF18820', NULL, 'Bdellovibrio Beta-sandwich', 131, NULL, 'BD_b_sandwich', 35356),
(91631, 'PF15492', NULL, 'Neuroblastoma-amplified sequence, N terminal', 282, NULL, 'Nbas_N', 35357),
(91632, 'PF09415', NULL, 'CENP-S associating Centromere protein X', 75, NULL, 'CENP-X', 35358),
(91633, 'PF17781', NULL, 'RPN1 N-terminal domain', 304, NULL, 'RPN1_RPN2_N', 35359),
(91634, 'PF04408', NULL, 'Helicase associated domain (HA2)', 107, NULL, 'HA2', 35360),
(91635, 'PF13481', NULL, 'AAA domain', 194, NULL, 'AAA_25', 35361),
(91636, 'PF17574', NULL, 'Inhibitor of toxin/antitoxin system (Gp4.5)', 89, NULL, 'TA_inhibitor', 35362),
(91637, 'PF05007', NULL, 'Mannosyltransferase (PIG-M)', 259, NULL, 'Mannosyl_trans', 35363),
(91638, 'PF03076', NULL, 'Equine arteritis virus GP3', 160, NULL, 'GP3', 35364),
(91639, 'PF10986', NULL, 'Protein of unknown function (DUF2796)', 164, NULL, 'DUF2796', 35365),
(91640, 'PF18682', NULL, 'Pilin A4', 83, NULL, 'PilA4', 35366),
(91641, 'PF01958', NULL, 'Domain of unknown function DUF108', 89, NULL, 'DUF108', 35367),
(91642, 'PF16377', NULL, 'Domain of unknown function', 152, NULL, 'DUF4987', 35368),
(91643, 'PF12945', NULL, 'Flagellar protein YcgR', 85, NULL, 'YcgR_2', 35369),
(91644, 'PF13085', NULL, '2Fe-2S iron-sulfur cluster binding domain', 109, NULL, 'Fer2_3', 35370),
(91645, 'PF11804', NULL, 'Protein of unknown function (DUF3325)', 101, NULL, 'DUF3325', 35371),
(91646, 'PF00924', NULL, 'Mechanosensitive ion channel', 206, NULL, 'MS_channel', 35372),
(91647, 'PF04475', NULL, 'Protein of unknown function (DUF555)', 101, NULL, 'DUF555', 35373),
(91648, 'PF13835', NULL, 'Domain of unknown function (DUF4194)', 166, NULL, 'DUF4194', 35374),
(91649, 'PF02798', NULL, 'Glutathione S-transferase, N-terminal domain', 76, NULL, 'GST_N', 35375),
(91650, 'PF13423', NULL, 'Ubiquitin carboxyl-terminal hydrolase', 322, NULL, 'UCH_1', 35376),
(91651, 'PF06751', NULL, 'Ethanolamine ammonia lyase large subunit (EutB)', 436, NULL, 'EutB', 35377),
(91652, 'PF13926', NULL, 'Domain of unknown function (DUF4211)', 136, NULL, 'DUF4211', 35378),
(91653, 'PF08652', NULL, 'RAI1 like PD-(D/E)XK nuclease', 68, NULL, 'RAI1', 35379),
(91654, 'PF00230', NULL, 'Major intrinsic protein', 227, NULL, 'MIP', 35380),
(91655, 'PF10392', NULL, 'Golgi transport complex subunit 5', 132, NULL, 'COG5', 35381),
(91656, 'PF16450', NULL, 'Proteasomal ATPase OB C-terminal domain', 56, NULL, 'Prot_ATP_ID_OB', 35382),
(91657, 'PF13971', NULL, 'Meiosis-specific protein Mei4', 339, NULL, 'Mei4', 35383),
(91658, 'PF14705', NULL, 'Costars', 76, NULL, 'Costars', 35384),
(91659, 'PF15304', NULL, 'A-kinase anchor protein 2 C-terminus', 351, NULL, 'AKAP2_C', 35385),
(91660, 'PF00327', NULL, 'Ribosomal protein L30p/L7e', 51, NULL, 'Ribosomal_L30', 35386),
(91661, 'PF18686', NULL, 'Family of unknown function (DUF5636)', 194, NULL, 'DUF5636', 35387),
(91662, 'PF07974', NULL, 'EGF-like domain', 32, NULL, 'EGF_2', 35388),
(91663, 'PF09107', NULL, 'Elongation factor SelB, winged helix', 47, NULL, 'SelB-wing_3', 35389),
(91664, 'PF11546', NULL, 'Staphylococcal complement inhibitor SCIN', 114, NULL, 'CompInhib_SCIN', 35390);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(91665, 'PF03622', NULL, 'IBV 3B protein', 64, NULL, 'IBV_3B', 35391),
(91666, 'PF05671', NULL, 'GETHR pentapeptide repeat (5 copies)', 25, NULL, 'GETHR', 35392),
(91667, 'PF19410', NULL, 'Family of unknown function (DUF5980)', 97, NULL, 'DUF5980', 35393),
(91668, 'PF00403', NULL, 'Heavy-metal-associated domain', 62, NULL, 'HMA', 35394),
(91669, 'PF10265', NULL, 'Mitoguardin', 539, NULL, 'Miga', 35395),
(91670, 'PF11899', NULL, 'Protein of unknown function (DUF3419)', 385, NULL, 'DUF3419', 35396),
(91671, 'PF10909', NULL, 'Protein of unknown function (DUF2682)', 88, NULL, 'DUF2682', 35397),
(91672, 'PF16257', NULL, 'tagaturonate epimerase', 475, NULL, 'UxaE', 35398),
(91673, 'PF16658', NULL, 'Class II release factor RF3, C-terminal domain', 131, NULL, 'RF3_C', 35399),
(91674, 'PF05238', NULL, 'Kinetochore protein CHL4 like', 415, NULL, 'CENP-N', 35400),
(91675, 'PF02550', NULL, 'Acetyl-CoA hydrolase/transferase N-terminal domain', 198, NULL, 'AcetylCoA_hydro', 35401),
(91676, 'PF05033', NULL, 'Pre-SET motif', 110, NULL, 'Pre-SET', 35402),
(91677, 'PF08412', NULL, 'Ion transport protein N-terminal', 44, NULL, 'Ion_trans_N', 35403),
(91678, 'PF16448', NULL, 'LapD/MoxY periplasmic domain', 124, NULL, 'LapD_MoxY_N', 35404),
(91679, 'PF18196', NULL, 'Chromodomain helicase DNA-binding domain 1', 120, NULL, 'Cdh1_DBD_1', 35405),
(91680, 'PF11610', NULL, 'Scaffold protein Ste5, Fus3-binding region', 30, NULL, 'Ste5', 35406),
(91681, 'PF09376', NULL, 'NurA domain', 243, NULL, 'NurA', 35407),
(91682, 'PF11615', NULL, 'CCR4-associated factor 4', 60, NULL, 'Caf4', 35408),
(91683, 'PF13081', NULL, 'Domain of unknown function (DUF3941)', 24, NULL, 'DUF3941', 35409),
(91684, 'PF15801', NULL, 'zf-MYND-like zinc finger, mRNA-binding', 47, NULL, 'zf-C6H2', 35410),
(91685, 'PF03302', NULL, 'Giardia variant-specific surface protein', 397, NULL, 'VSP', 35411),
(91686, 'PF16376', NULL, 'N-terminal domain of fragilysin', 144, NULL, 'fragilysinNterm', 35412),
(91687, 'PF14984', NULL, 'CD24 protein', 52, NULL, 'CD24', 35413),
(91688, 'PF10353', NULL, 'Protein of unknown function (DUF2430)', 107, NULL, 'DUF2430', 35414),
(91689, 'PF08856', NULL, 'Protein of unknown function (DUF1826)', 203, NULL, 'DUF1826', 35415),
(91690, 'PF13924', NULL, 'Lipocalin-like domain', 142, NULL, 'Lipocalin_5', 35416),
(91691, 'PF18739', NULL, 'Apea-like HEPN', 106, NULL, 'HEPN_Apea', 35417),
(91692, 'PF05215', NULL, 'Spiralin', 239, NULL, 'Spiralin', 35418),
(91693, 'PF18392', NULL, 'COP9 signalosome complex subunit 7a helix I domain', 50, NULL, 'CSN7a_helixI', 35419),
(91694, 'PF01560', NULL, 'Hepatitis C virus non-structural protein E2/NS1', 344, NULL, 'HCV_NS1', 35420),
(91695, 'PF11030', NULL, 'Nucleocapsid protein N', 167, NULL, 'Nucleocapsid-N', 35421),
(91696, 'PF11460', NULL, 'Protein of unknown function (DUF3007)', 96, NULL, 'DUF3007', 35422),
(91697, 'PF12818', NULL, 'dsDNA viral tegument protein', 277, NULL, 'Tegument_dsDNA', 35423),
(91698, 'PF13964', NULL, 'Kelch motif', 50, NULL, 'Kelch_6', 35424),
(91699, 'PF15521', NULL, 'Novel toxin 11', 272, NULL, 'Ntox11', 35425),
(91700, 'PF15499', NULL, 'Ubiquitin-specific peptidase-like, SUMO isopeptidase', 272, NULL, 'Peptidase_C98', 35426),
(91701, 'PF04671', NULL, 'Erythrocyte membrane-associated giant protein antigen 332', 21, NULL, 'Ag332', 35427),
(91702, 'PF11587', NULL, 'Major prion protein bPrPp - N terminal', 30, NULL, 'Prion_bPrPp', 35428),
(91703, 'PF15322', NULL, 'Protein missing in infertile sperm 1, putative', 316, NULL, 'PMSI1', 35429),
(91704, 'PF10679', NULL, 'Protein of unknown function (DUF2491)', 210, NULL, 'DUF2491', 35430),
(91705, 'PF09725', NULL, 'Folate-sensitive fragile site protein Fra10Ac1', 127, NULL, 'Fra10Ac1', 35431),
(91706, 'PF00799', NULL, 'Geminivirus Rep catalytic domain', 113, NULL, 'Gemini_AL1', 35432),
(91707, 'PF14104', NULL, 'Domain of unknown function (DUF4277)', 109, NULL, 'DUF4277', 35433),
(91708, 'PF15247', NULL, 'Histone RNA hairpin-binding protein RNA-binding domain', 70, NULL, 'SLBP_RNA_bind', 35434),
(91709, 'PF16380', NULL, 'Domain of unknown function', 142, NULL, 'DUF4990', 35435);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(91710, 'PF03225', NULL, 'Viral heat shock protein Hsp90 homologue', 512, NULL, 'Viral_Hsp90', 35436),
(91711, 'PF10260', NULL, 'Uncharacterized conserved domain (SAYSvFN)', 70, NULL, 'SAYSvFN', 35437),
(91712, 'PF02991', NULL, 'Autophagy protein Atg8 ubiquitin like', 104, NULL, 'ATG8', 35438),
(91713, 'PF07894', NULL, 'FAM83 A-H', 275, NULL, 'FAM83', 35439),
(91714, 'PF00992', NULL, 'Troponin', 132, NULL, 'Troponin', 35440),
(91715, 'PF13248', NULL, 'zinc-ribbon domain', 27, NULL, 'zf-ribbon_3', 35441),
(91716, 'PF03764', NULL, 'Elongation factor G, domain IV', 121, NULL, 'EFG_IV', 35442),
(91717, 'PF07611', NULL, 'Protein of unknown function (DUF1574)', 342, NULL, 'DUF1574', 35443),
(91718, 'PF00585', NULL, 'C-terminal regulatory domain of Threonine dehydratase', 91, NULL, 'Thr_dehydrat_C', 35444),
(91719, 'PF07692', NULL, 'Low iron-inducible periplasmic protein', 359, NULL, 'Fea1', 35445),
(91720, 'PF15872', NULL, 'Serine-rich and transmembrane domain-containing protein 1', 103, NULL, 'SRTM1', 35446),
(91721, 'PF09826', NULL, 'Beta propeller domain', 511, NULL, 'Beta_propel', 35447),
(91722, 'PF15181', NULL, 'Spermatid-specific manchette-related protein 1', 262, NULL, 'SMRP1', 35448),
(91723, 'PF19672', NULL, 'Family of unknown function (DUF6175)', 287, NULL, 'DUF6175', 35449),
(91724, 'PF07980', NULL, 'SusD family', 299, NULL, 'SusD_RagB', 35450),
(91725, 'PF01202', NULL, 'Shikimate kinase', 158, NULL, 'SKI', 35451),
(91726, 'PF01885', NULL, 'RNA 2''-phosphotransferase, Tpt1 / KptA family', 187, NULL, 'PTS_2-RNA', 35452),
(91727, 'PF00109', NULL, 'Beta-ketoacyl synthase, N-terminal domain', 253, NULL, 'ketoacyl-synt', 35453),
(91728, 'PF04565', NULL, 'RNA polymerase Rpb2, domain 3', 68, NULL, 'RNA_pol_Rpb2_3', 35454),
(91729, 'PF06315', NULL, 'Isocitrate dehydrogenase kinase/phosphatase (AceK)', 561, NULL, 'AceK', 35455),
(91730, 'PF07010', NULL, 'Endomucin', 260, NULL, 'Endomucin', 35456),
(91731, 'PF01636', NULL, 'Phosphotransferase enzyme family', 239, NULL, 'APH', 35457),
(91732, 'PF09269', NULL, 'Domain of unknown function (DUF1967)', 69, NULL, 'DUF1967', 35458),
(91733, 'PF08207', NULL, 'Elongation factor P (EF-P) KOW-like domain', 58, NULL, 'EFP_N', 35459),
(91734, 'PF08246', NULL, 'Cathepsin propeptide inhibitor domain (I29)', 58, NULL, 'Inhibitor_I29', 35460),
(91735, 'PF15782', NULL, 'Gene regulated by oestrogen in breast cancer', 1936, NULL, 'GREB1', 35461),
(91736, 'PF18049', NULL, 'DNA polymerase nu pseudo-exo', 218, NULL, 'DNA_pol_P_Exo', 35462),
(91737, 'PF08158', NULL, 'NUC130/3NT domain', 52, NULL, 'NUC130_3NT', 35463),
(91738, 'PF16944', NULL, 'Fungal potassium channel', 250, NULL, 'KCH', 35464),
(91739, 'PF19787', NULL, 'Family of unknown function (DUF6271)', 435, NULL, 'DUF6271', 35465),
(91740, 'PF05281', NULL, 'Neuroendocrine protein 7B2 precursor (Secretogranin V)', 227, NULL, 'Secretogranin_V', 35466),
(91741, 'PF10041', NULL, 'Uncharacterized conserved protein (DUF2277)', 78, NULL, 'DUF2277', 35467),
(91742, 'PF07602', NULL, 'Protein of unknown function (DUF1565)', 247, NULL, 'DUF1565', 35468),
(91743, 'PF11619', NULL, 'Transcription factor P53 - C terminal domain', 67, NULL, 'P53_C', 35469),
(91744, 'PF11979', NULL, 'Domain of unknown function (DUF3480)', 353, NULL, 'DUF3480', 35470),
(91745, 'PF18324', NULL, 'Hypothetical protein TT1725', 110, NULL, 'TT1725', 35471),
(91746, 'PF07196', NULL, 'Flagellin hook IN motif', 56, NULL, 'Flagellin_IN', 35472),
(91747, 'PF09066', NULL, 'Beta2-adaptin appendage, C-terminal sub-domain', 112, NULL, 'B2-adapt-app_C', 35473),
(91748, 'PF06168', NULL, 'Protein of unknown function (DUF981)', 187, NULL, 'DUF981', 35474),
(91749, 'PF02456', NULL, 'Adenovirus IVa2 protein', 370, NULL, 'Adeno_IVa2', 35475),
(91750, 'PF06304', NULL, 'Protein of unknown function (DUF1048)', 102, NULL, 'DUF1048', 35476),
(91751, 'PF15189', NULL, 'Meiosis-specific coiled-coil domain-containing protein MEIOC', 166, NULL, 'MEIOC', 35477),
(91752, 'PF11629', NULL, 'C terminal SARAH domain of Mst1', 48, NULL, 'Mst1_SARAH', 35478),
(91753, 'PF12000', NULL, 'Glycosyl transferase family 4 group', 169, NULL, 'Glyco_trans_4_3', 35479);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(91754, 'PF13704', NULL, 'Glycosyl transferase family 2', 96, NULL, 'Glyco_tranf_2_4', 35480),
(91755, 'PF19234', NULL, 'Family of unknown function (DUF5887)', 135, NULL, 'DUF5887', 35481),
(91756, 'PF09763', NULL, 'Exocyst complex component Sec3', 707, NULL, 'Sec3_C', 35482),
(91757, 'PF00385', NULL, 'Chromo (CHRromatin Organisation MOdifier) domain', 54, NULL, 'Chromo', 35483),
(91758, 'PF09308', NULL, 'LuxQ, periplasmic', 239, NULL, 'LuxQ-periplasm', 35484),
(91759, 'PF03475', NULL, '3-alpha domain', 44, NULL, '3-alpha', 35485),
(91760, 'PF19171', NULL, 'Family of unknown function (DUF5853)', 136, NULL, 'DUF5853', 35486),
(91761, 'PF07190', NULL, 'Protein of unknown function (DUF1406)', 172, NULL, 'DUF1406', 35487),
(91762, 'PF04370', NULL, 'Domain of unknown function (DUF508)', 149, NULL, 'DUF508', 35488),
(91763, 'PF06308', NULL, '23S rRNA methylastransferase leader peptide (ErmCL)', 31, NULL, 'ErmC', 35489),
(91764, 'PF04700', NULL, 'Structural glycoprotein p40/gp41 conserved region', 185, NULL, 'Baculo_gp41', 35490),
(91765, 'PF10079', NULL, 'Bacillithiol biosynthesis BshC', 541, NULL, 'BshC', 35491),
(91766, 'PF13421', NULL, 'SPFH domain-Band 7 family', 211, NULL, 'Band_7_1', 35492),
(91767, 'PF07184', NULL, 'Citrus tristeza virus P33 protein', 303, NULL, 'CTV_P33', 35493),
(91768, 'PF06979', NULL, 'TMEM70/TMEM186/TMEM223 protein family', 165, NULL, 'TMEM70', 35494),
(91769, 'PF11341', NULL, 'Protein of unknown function (DUF3143)', 65, NULL, 'DUF3143', 35495),
(91770, 'PF12560', NULL, 'RAG1 importin binding', 286, NULL, 'RAG1_imp_bd', 35496),
(91771, 'PF09412', NULL, 'Endoribonuclease XendoU', 263, NULL, 'XendoU', 35497),
(91772, 'PF17421', NULL, 'Family of unknown function (DUF5409)', 88, NULL, 'DUF5409', 35498),
(91773, 'PF02821', NULL, 'Staphylokinase/Streptokinase family', 112, NULL, 'Staphylokinase', 35499),
(91774, 'PF04135', NULL, 'Nucleolar RNA-binding protein, Nop10p family', 52, NULL, 'Nop10p', 35500),
(91775, 'PF19513', NULL, 'Family of unknown function (DUF6047)', 189, NULL, 'DUF6047', 35501),
(91776, 'PF11215', NULL, 'Protein of unknown function (DUF3010)', 137, NULL, 'DUF3010', 35502),
(91777, 'PF19048', NULL, 'SidE mono-ADP-ribosyltransferase domain', 337, NULL, 'SidE_mART', 35503),
(91778, 'PF18246', NULL, 'Oligosaccharyltransferase Insert domain', 83, NULL, 'OST_IS', 35504),
(91779, 'PF13052', NULL, 'Protein of unknown function (DUF3913)', 57, NULL, 'DUF3913', 35505),
(91780, 'PF15298', NULL, 'AJAP1/PANP C-terminus', 204, NULL, 'AJAP1_PANP_C', 35506),
(91781, 'PF20010', NULL, 'Collagen trimerization domain', 49, NULL, 'Collagen_trimer', 35507),
(91782, 'PF17406', NULL, 'Nrap protein PAP/OAS1-like domain 5', 162, NULL, 'Nrap_D5', 35508),
(91783, 'PF04227', NULL, 'Indigoidine synthase A like protein', 291, NULL, 'Indigoidine_A', 35509),
(91784, 'PF13024', NULL, 'Protein of unknown function (DUF3884)', 73, NULL, 'DUF3884', 35510),
(91785, 'PF13366', NULL, 'PD-(D/E)XK nuclease superfamily', 118, NULL, 'PDDEXK_3', 35511),
(91786, 'PF00568', NULL, 'WH1 domain', 111, NULL, 'WH1', 35512),
(91787, 'PF19115', NULL, 'Family of unknown function (DUF5800)', 64, NULL, 'DUF5800', 35513),
(91788, 'PF13525', NULL, 'Outer membrane lipoprotein', 203, NULL, 'YfiO', 35514),
(91789, 'PF15100', NULL, 'TMEM187 protein family', 244, NULL, 'TMEM187', 35515),
(91790, 'PF13605', NULL, 'Domain of unknown function (DUF4141)', 53, NULL, 'DUF4141', 35516),
(91791, 'PF14560', NULL, 'Ubiquitin-like domain', 87, NULL, 'Ubiquitin_2', 35517),
(91792, 'PF05462', NULL, 'Slime mold cyclic AMP receptor', 305, NULL, 'Dicty_CAR', 35518),
(91793, 'PF17122', NULL, 'Zinc-finger', 35, NULL, 'zf-C3H2C3', 35519),
(91794, 'PF10674', NULL, 'Protein of unknown function (DUF2488)', 92, NULL, 'Ycf54', 35520),
(91795, 'PF16868', NULL, 'NMT1-like family', 289, NULL, 'NMT1_3', 35521),
(91796, 'PF17793', NULL, 'ANC1 homology domain (AHD)', 61, NULL, 'AHD', 35522),
(91797, 'PF07218', NULL, 'Rhoptry-associated protein 1 (RAP-1)', 782, NULL, 'RAP1', 35523),
(91798, 'PF17434', NULL, 'Family of unknown function (DUF5413)', 133, NULL, 'DUF5413', 35524); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(91799, 'PF08508', NULL, 'Fungal domain of unknown function (DUF1746)', 115, NULL, 'DUF1746', 35525),
(91800, 'PF11608', NULL, 'Limkain b1', 89, NULL, 'Limkain-b1', 35526),
(91801, 'PF04768', NULL, 'NAT, N-acetyltransferase, of N-acetylglutamate synthase', 170, NULL, 'NAT', 35527),
(91802, 'PF04752', NULL, 'ChaC-like protein', 181, NULL, 'ChaC', 35528),
(91803, 'PF10350', NULL, 'Putative death-receptor fusion protein (DUF2428)', 276, NULL, 'DUF2428', 35529),
(91804, 'PF15744', NULL, 'Uncharacterized protein family UPF0492', 371, NULL, 'UPF0492', 35530),
(91805, 'PF18773', NULL, 'Importin 13 repeat', 40, NULL, 'Importin_rep', 35531),
(91806, 'PF08187', NULL, 'Myoactive tetradecapeptides family', 14, NULL, 'Tetradecapep', 35532),
(91807, 'PF07791', NULL, 'Protein of unknown function (DUF1629)', 123, NULL, 'DUF1629', 35533),
(91808, 'PF03009', NULL, 'Glycerophosphoryl diester phosphodiesterase family', 259, NULL, 'GDPD', 35534),
(91809, 'PF15249', NULL, 'Conserved region of unknown function on GLTSCR protein', 102, NULL, 'GLTSCR1', 35535),
(91810, 'PF15560', NULL, 'Immunity protein 12', 138, NULL, 'Imm12', 35536),
(91811, 'PF03592', NULL, 'Terminase small subunit', 140, NULL, 'Terminase_2', 35537),
(91812, 'PF06208', NULL, 'Borna disease virus G protein', 503, NULL, 'BDV_G', 35538),
(91813, 'PF12477', NULL, 'Sex factor F TraW protein N terminal', 30, NULL, 'TraW_N', 35539),
(91814, 'PF13145', NULL, 'PPIC-type PPIASE domain', 121, NULL, 'Rotamase_2', 35540),
(91815, 'PF07125', NULL, 'Protein of unknown function (DUF1378)', 59, NULL, 'DUF1378', 35541),
(91816, 'PF10869', NULL, 'Protein of unknown function (DUF2666)', 135, NULL, 'DUF2666', 35542),
(91817, 'PF06810', NULL, 'Phage minor structural protein GP20', 149, NULL, 'Phage_GP20', 35543),
(91818, 'PF01472', NULL, 'PUA domain', 74, NULL, 'PUA', 35544),
(91819, 'PF14962', NULL, 'Mitochondria Localisation Sequence', 192, NULL, 'AIF-MLS', 35545),
(91820, 'PF13582', NULL, 'Metallo-peptidase family M12B Reprolysin-like', 124, NULL, 'Reprolysin_3', 35546),
(91821, 'PF18643', NULL, 'BsaWI restriction endonuclease type 2', 105, NULL, 'RE_BsaWI', 35547),
(91822, 'PF06435', NULL, 'Repeat of unknown function (DUF1079)', 31, NULL, 'DUF1079', 35548),
(91823, 'PF15457', NULL, 'Type III T3SS secreted effector HopW1-1/HopPmaA', 321, NULL, 'HopW1-1', 35549),
(91824, 'PF08829', NULL, 'Alpha C protein N terminal', 106, NULL, 'AlphaC_N', 35550),
(91825, 'PF13443', NULL, 'Cro/C1-type HTH DNA-binding domain', 63, NULL, 'HTH_26', 35551),
(91826, 'PF02394', NULL, 'Interleukin-1 propeptide', 108, NULL, 'IL1_propep', 35552),
(91827, 'PF09623', NULL, 'CRISPR-associated protein NE0113 (Cas_NE0113)', 209, NULL, 'Cas_NE0113', 35553),
(91828, 'PF11838', NULL, 'ERAP1-like C-terminal domain', 315, NULL, 'ERAP1_C', 35554),
(91829, 'PF12265', NULL, 'Histone-binding protein RBBP4 or subunit C of CAF1 complex', 69, NULL, 'CAF1C_H4-bd', 35555),
(91830, 'PF03221', NULL, 'Tc5 transposase DNA-binding domain', 66, NULL, 'HTH_Tnp_Tc5', 35556),
(91831, 'PF12061', NULL, 'Late blight resistance protein R1', 297, NULL, 'NB-LRR', 35557),
(91832, 'PF18094', NULL, 'DNA polymerase beta N-terminal domain', 104, NULL, 'DNA_pol_B_N', 35558),
(91833, 'PF02983', NULL, 'Alpha-lytic protease prodomain', 59, NULL, 'Pro_Al_protease', 35559),
(91834, 'PF09457', NULL, 'FIP domain', 41, NULL, 'RBD-FIP', 35560),
(91835, 'PF08016', NULL, 'Polycystin cation channel', 426, NULL, 'PKD_channel', 35561),
(91836, 'PF08203', NULL, 'Yeast RNA polymerase I subunit RPA14', 77, NULL, 'RNA_polI_A14', 35562),
(91837, 'PF17871', NULL, 'AAA lid domain', 104, NULL, 'AAA_lid_9', 35563),
(91838, 'PF16353', NULL, 'Domain of unknown function (DUF4981)', 87, NULL, 'DUF4981', 35564),
(91839, 'PF03422', NULL, 'Carbohydrate binding module (family 6)', 125, NULL, 'CBM_6', 35565),
(91840, 'PF01271', NULL, 'Granin (chromogranin or secretogranin)', 586, NULL, 'Granin', 35566),
(91841, 'PF04382', NULL, 'SAB domain', 50, NULL, 'SAB', 35567),
(91842, 'PF04728', NULL, 'Lipoprotein leucine-zipper', 53, NULL, 'LPP', 35568),
(91843, 'PF07316', NULL, 'Protein of unknown function (DUF1463)', 137, NULL, 'DUF1463', 35569);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(91844, 'PF05386', NULL, 'TEP1 N-terminal domain', 29, NULL, 'TEP1_N', 35570),
(91845, 'PF02912', NULL, 'Aminoacyl tRNA synthetase class II, N-terminal domain', 69, NULL, 'Phe_tRNA-synt_N', 35571),
(91846, 'PF18255', NULL, 'DNA processing protein A sterile alpha motif domain', 62, NULL, 'SAM_DrpA', 35572),
(91847, 'PF17416', NULL, 'Herpesvirus Glycoprotein B', 210, NULL, 'Glycoprot_B_PH1', 35573),
(91848, 'PF05366', NULL, 'Sarcolipin', 31, NULL, 'Sarcolipin', 35574),
(91849, 'PF15398', NULL, 'Domain of unknown function (DUF4619)', 296, NULL, 'DUF4619', 35575),
(91850, 'PF07210', NULL, 'Protein of unknown function (DUF1416)', 97, NULL, 'DUF1416', 35576),
(91851, 'PF01475', NULL, 'Ferric uptake regulator family', 121, NULL, 'FUR', 35577),
(91852, 'PF02199', NULL, 'Saposin A-type domain', 33, NULL, 'SapA', 35578),
(91853, 'PF12558', NULL, 'ATP-binding cassette cobalt transporter', 73, NULL, 'DUF3744', 35579),
(91854, 'PF08355', NULL, 'EF hand associated', 73, NULL, 'EF_assoc_1', 35580),
(91855, 'PF04419', NULL, '4F5 protein related disordered region', 38, NULL, '4F5', 35581),
(91856, 'PF14566', NULL, 'Inositol hexakisphosphate', 156, NULL, 'PTPlike_phytase', 35582),
(91857, 'PF00944', NULL, 'Alphavirus core protein', 159, NULL, 'Peptidase_S3', 35583),
(91858, 'PF09502', NULL, 'Bacterial type III secretion protein (HrpB4)', 217, NULL, 'HrpB4', 35584),
(91859, 'PF10328', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srx', 263, NULL, '7TM_GPCR_Srx', 35585),
(91860, 'PF15318', NULL, 'Putative Bcl-2 like protein of testis', 192, NULL, 'Bclt', 35586),
(91861, 'PF01256', NULL, 'Carbohydrate kinase', 244, NULL, 'Carb_kinase', 35587),
(91862, 'PF04017', NULL, 'Domain of unknown function (DUF366)', 183, NULL, 'DUF366', 35588),
(91863, 'PF19827', NULL, 'Family of unknown function (DUF6308)', 193, NULL, 'DUF6308', 35589),
(91864, 'PF10407', NULL, 'Cdc14 phosphatase binding protein N-terminus', 71, NULL, 'Cytokin_check_N', 35590),
(91865, 'PF12136', NULL, 'RNA polymerase Rpo13 subunit HTH domain', 43, NULL, 'RNA_pol_Rpo13', 35591),
(91866, 'PF16436', NULL, 'Domain of unknown function (DUF5033)', 178, NULL, 'DUF5033', 35592),
(91867, 'PF08153', NULL, 'NGP1NT (NUC091) domain', 131, NULL, 'NGP1NT', 35593),
(91868, 'PF09565', NULL, 'NgoFVII restriction endonuclease', 287, NULL, 'RE_NgoFVII', 35594),
(91869, 'PF17102', NULL, 'Stealth protein CR3, conserved region 3', 49, NULL, 'Stealth_CR3', 35595),
(91870, 'PF09559', NULL, 'Cas6 Crispr', 196, NULL, 'Cas6', 35596),
(91871, 'PF15876', NULL, 'Domain of unknown function (DUF4732)', 159, NULL, 'DUF4732', 35597),
(91872, 'PF19481', NULL, 'Family of unknown function (DUF6017)', 148, NULL, 'DUF6017', 35598),
(91873, 'PF10399', NULL, 'Ubiquitinol-cytochrome C reductase Fe-S subunit TAT signal', 41, NULL, 'UCR_Fe-S_N', 35599),
(91874, 'PF15152', NULL, 'Kisspeptin', 76, NULL, 'Kisspeptin', 35600),
(91875, 'PF11956', NULL, 'Ankyrin-G binding motif of KCNQ2-3', 102, NULL, 'KCNQC3-Ank-G_bd', 35601),
(91876, 'PF17011', NULL, 'Domain of unknown function (DUF5093)', 131, NULL, 'DUF5093', 35602),
(91877, 'PF13183', NULL, '4Fe-4S dicluster domain', 65, NULL, 'Fer4_8', 35603),
(91878, 'PF05810', NULL, 'NinF protein', 57, NULL, 'NinF', 35604),
(91879, 'PF14062', NULL, 'Domain of unknown function (DUF4253)', 109, NULL, 'DUF4253', 35605),
(91880, 'PF16097', NULL, 'Fragile X-related 1 protein C-terminal region 3', 68, NULL, 'FXR_C3', 35606),
(91881, 'PF05944', NULL, 'Phage small terminase subunit', 130, NULL, 'Phage_term_smal', 35607),
(91882, 'PF16496', NULL, 'SWIRM-associated domain at the N-terminal', 413, NULL, 'SWIRM-assoc_2', 35608),
(91883, 'PF08525', NULL, 'Opacity-associated protein A N-terminal motif', 28, NULL, 'OapA_N', 35609),
(91884, 'PF11706', NULL, 'CGNR zinc finger', 44, NULL, 'zf-CGNR', 35610),
(91885, 'PF11705', NULL, 'DNA-directed RNA polymerase III subunit Rpc31', 214, NULL, 'RNA_pol_3_Rpc31', 35611),
(91886, 'PF11319', NULL, 'Type VI secretion system VasI, EvfG, VC_A0118', 183, NULL, 'VasI', 35612),
(91887, 'PF04277', NULL, 'Oxaloacetate decarboxylase, gamma chain', 77, NULL, 'OAD_gamma', 35613);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(91888, 'PF06261', NULL, 'Actinobacillus actinomycetemcomitans leukotoxin activator LktC', 150, NULL, 'LktC', 35614),
(91889, 'PF15656', NULL, 'Toxin with a H, D/N and C signature', 130, NULL, 'Tox-HDC', 35615),
(91890, 'PF10319', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srj', 310, NULL, '7TM_GPCR_Srj', 35616),
(91891, 'PF09018', NULL, 'P3 major capsid protein', 394, NULL, 'Phage_Capsid_P3', 35617),
(91892, 'PF06401', NULL, 'Alpha-2-macroglobulin RAP, C-terminal domain', 210, NULL, 'Alpha-2-MRAP_C', 35618),
(91893, 'PF16468', NULL, 'Domain of unknown function (DUF5049)', 57, NULL, 'DUF5049', 35619),
(91894, 'PF11375', NULL, 'Protein of unknown function (DUF3177)', 189, NULL, 'DUF3177', 35620),
(91895, 'PF14426', NULL, 'Immunity protein Imm2', 60, NULL, 'Imm2', 35621),
(91896, 'PF00077', NULL, 'Retroviral aspartyl protease', 101, NULL, 'RVP', 35622),
(91897, 'PF10617', NULL, 'Protein of unknown function (DUF2474)', 39, NULL, 'DUF2474', 35623),
(91898, 'PF19971', NULL, 'Ternary complex associated domain 2', 90, NULL, 'TCAD2', 35624),
(91899, 'PF02191', NULL, 'Olfactomedin-like domain', 246, NULL, 'OLF', 35625),
(91900, 'PF04875', NULL, 'Protein of unknown function, DUF645', 59, NULL, 'DUF645', 35626),
(91901, 'PF07426', NULL, 'Dynactin subunit p22', 168, NULL, 'Dynactin_p22', 35627),
(91902, 'PF02208', NULL, 'Sorbin homologous domain', 45, NULL, 'Sorb', 35628),
(91903, 'PF07079', NULL, 'Protein of unknown function (DUF1347)', 546, NULL, 'DUF1347', 35629),
(91904, 'PF17245', NULL, 'Cell division control protein 24, OB domain 2', 129, NULL, 'CDC24_OB2', 35630),
(91905, 'PF09642', NULL, 'YonK protein', 60, NULL, 'YonK', 35631),
(91906, 'PF16563', NULL, 'Coiled-coil and interaction region of P66A and P66B with MBD2', 44, NULL, 'P66_CC', 35632),
(91907, 'PF14193', NULL, 'Domain of unknown function (DUF4315)', 81, NULL, 'DUF4315', 35633),
(91908, 'PF09952', NULL, 'Transcriptional regulator, AbiEi antitoxin, Type IV TA system', 143, NULL, 'AbiEi_2', 35634),
(91909, 'PF11799', NULL, 'impB/mucB/samB family C-terminal domain', 113, NULL, 'IMS_C', 35635),
(91910, 'PF05680', NULL, 'ATP synthase E chain', 96, NULL, 'ATP-synt_E', 35636),
(91911, 'PF02446', NULL, '4-alpha-glucanotransferase', 465, NULL, 'Glyco_hydro_77', 35637),
(91912, 'PF04954', NULL, 'Siderophore-interacting protein', 119, NULL, 'SIP', 35638),
(91913, 'PF15244', NULL, 'Spermatogenesis-associated protein 7, or HSD3', 416, NULL, 'HSD3', 35639),
(91914, 'PF14199', NULL, 'Domain of unknown function (DUF4317)', 371, NULL, 'DUF4317', 35640),
(91915, 'PF08772', NULL, 'Nin one binding (NOB1) Zn-ribbon like', 72, NULL, 'NOB1_Zn_bind', 35641),
(91916, 'PF11760', NULL, 'Cobalamin synthesis G N-terminal', 82, NULL, 'CbiG_N', 35642),
(91917, 'PF18342', NULL, 'Endo-beta-N-acetylglucosaminidase LytB WW domain', 66, NULL, 'LytB_WW', 35643),
(91918, 'PF09058', NULL, 'L27_1', 59, NULL, 'L27_1', 35644),
(91919, 'PF01817', NULL, 'Chorismate mutase type II', 75, NULL, 'CM_2', 35645),
(91920, 'PF14189', NULL, 'Domain of unknown function (DUF4312)', 84, NULL, 'DUF4312', 35646),
(91921, 'PF01002', NULL, 'Flavivirus non-structural protein NS2B', 127, NULL, 'Flavi_NS2B', 35647),
(91922, 'PF02559', NULL, 'CarD-like/TRCF domain', 97, NULL, 'CarD_CdnL_TRCF', 35648),
(91923, 'PF14230', NULL, 'Domain of unknown function (DUF4333)', 78, NULL, 'DUF4333', 35649),
(91924, 'PF05098', NULL, 'Late expression factor 4 (LEF-4)', 472, NULL, 'LEF-4', 35650),
(91925, 'PF07680', NULL, 'TQO small subunit DoxA', 131, NULL, 'DoxA', 35651),
(91926, 'PF13214', NULL, 'Protein of unknown function (DUF4022)', 77, NULL, 'DUF4022', 35652),
(91927, 'PF14008', NULL, 'Iron/zinc purple acid phosphatase-like protein C', 63, NULL, 'Metallophos_C', 35653),
(91928, 'PF17742', NULL, 'Family of unknown function (DUF5579)', 202, NULL, 'DUF5579', 35654),
(91929, 'PF02312', NULL, 'Core binding factor beta subunit', 168, NULL, 'CBF_beta', 35655),
(91930, 'PF16180', NULL, 'RelB leucine zipper', 84, NULL, 'RelB_leu_zip', 35656),
(91931, 'PF17173', NULL, 'Domain of unknown function (DUF5129)', 337, NULL, 'DUF5129', 35657);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(91932, 'PF03571', NULL, 'Peptidase family M49', 551, NULL, 'Peptidase_M49', 35658),
(91933, 'PF07492', NULL, 'Neutral trehalase Ca2+ binding domain', 30, NULL, 'Trehalase_Ca-bi', 35659),
(91934, 'PF12944', NULL, 'Hepatitis A virus viral protein VP', 168, NULL, 'HAV_VP', 35660),
(91935, 'PF07494', NULL, 'Two component regulator propeller', 24, NULL, 'Reg_prop', 35661),
(91936, 'PF05553', NULL, 'Cotton fibre expressed protein', 36, NULL, 'DUF761', 35662),
(91937, 'PF12367', NULL, 'Pyruvate ferredoxin oxidoreductase beta subunit C terminal', 66, NULL, 'PFO_beta_C', 35663),
(91938, 'PF16958', NULL, 'Pre-mRNA-splicing factor PRP9 N-terminus', 150, NULL, 'PRP9_N', 35664),
(91939, 'PF09286', NULL, 'Pro-kumamolisin, activation domain', 142, NULL, 'Pro-kuma_activ', 35665),
(91940, 'PF07863', NULL, 'Homologues of TraJ from Bacteroides conjugative transposon', 66, NULL, 'CtnDOT_TraJ', 35666),
(91941, 'PF10965', NULL, 'Protein of unknown function (DUF2767)', 67, NULL, 'DUF2767', 35667),
(91942, 'PF20116', NULL, 'Family of unknown function (DUF6506)', 96, NULL, 'DUF6506', 35668),
(91943, 'PF07830', NULL, 'Protein serine/threonine phosphatase 2C, C-terminal domain', 80, NULL, 'PP2C_C', 35669),
(91944, 'PF15292', NULL, 'Treslin N-terminus', 797, NULL, 'Treslin_N', 35670),
(91945, 'PF05133', NULL, 'Phage portal protein, SPP1 Gp6-like', 420, NULL, 'Phage_prot_Gp6', 35671),
(91946, 'PF11377', NULL, 'Protein of unknown function (DUF3180)', 135, NULL, 'DUF3180', 35672),
(91947, 'PF18426', NULL, 'Tle cognate immunity protein 4 C-terminal domain', 161, NULL, 'Tli4_C', 35673),
(91948, 'PF06092', NULL, 'Enterobacterial putative membrane protein (DUF943)', 151, NULL, 'DUF943', 35674),
(91949, 'PF04181', NULL, 'Rtr1/RPAP2 family', 76, NULL, 'RPAP2_Rtr1', 35675),
(91950, 'PF00095', NULL, 'WAP-type (Whey Acidic Protein) ''four-disulfide core''', 41, NULL, 'WAP', 35676),
(91951, 'PF15541', NULL, 'Bacterial toxin 4', 106, NULL, 'Ntox4', 35677),
(91952, 'PF19666', NULL, 'Family of unknown function (DUF6169)', 91, NULL, 'DUF6169', 35678),
(91953, 'PF11960', NULL, 'Domain of unknown function (DUF3474)', 136, NULL, 'DUF3474', 35679),
(91954, 'PF05232', NULL, 'Chlorhexidine efflux transporter', 64, NULL, 'BTP', 35680),
(91955, 'PF08784', NULL, 'Replication protein A C terminal', 104, NULL, 'RPA_C', 35681),
(91956, 'PF17819', NULL, 'Family of unknown function (DUF5582)', 146, NULL, 'DUF5582', 35682),
(91957, 'PF18503', NULL, '26S proteasome subunit RPN6 C-terminal helix domain', 27, NULL, 'RPN6_C_helix', 35683),
(91958, 'PF07931', NULL, 'Chloramphenicol phosphotransferase-like protein', 172, NULL, 'CPT', 35684),
(91959, 'PF14414', NULL, 'A nuclease of the HNH/ENDO VII superfamily with conserved WHH', 43, NULL, 'WHH', 35685),
(91960, 'PF16331', NULL, 'TolA binding protein trimerisation', 76, NULL, 'TolA_bind_tri', 35686),
(91961, 'PF06940', NULL, 'Domain of unknown function (DUF1287)', 163, NULL, 'DUF1287', 35687),
(91962, 'PF11852', NULL, 'Domain of unknown function (DUF3372)', 167, NULL, 'DUF3372', 35688),
(91963, 'PF00623', NULL, 'RNA polymerase Rpb1, domain 2', 166, NULL, 'RNA_pol_Rpb1_2', 35689),
(91964, 'PF05559', NULL, 'Protein of unknown function (DUF763)', 311, NULL, 'DUF763', 35690),
(91965, 'PF07636', NULL, 'PSRT', 32, NULL, 'PSRT', 35691),
(91966, 'PF09590', NULL, 'Lentivirus surface glycoprotein', 591, NULL, 'Env-gp36', 35692),
(91967, 'PF18168', NULL, 'Prim-pol family 5', 337, NULL, 'PPL5', 35693),
(91968, 'PF16228', NULL, 'Domain of unknown function (DUF4887)', 172, NULL, 'DUF4887', 35694),
(91969, 'PF17110', NULL, 'Subunit 11 of the general transcription factor TFIIH', 171, NULL, 'TFB6', 35695),
(91970, 'PF12974', NULL, 'ABC transporter, phosphonate, periplasmic substrate-binding protein', 243, NULL, 'Phosphonate-bd', 35696),
(91971, 'PF03666', NULL, 'Nitrogen Permease regulator of amino acid transport activity 3', 466, NULL, 'NPR3', 35697),
(91972, 'PF01877', NULL, 'RNA binding', 119, NULL, 'RNA_binding', 35698),
(91973, 'PF03950', NULL, 'tRNA synthetases class I (E and Q), anti-codon binding domain', 174, NULL, 'tRNA-synt_1c_C', 35699);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(91974, 'PF06409', NULL, 'Nuclear pore complex interacting protein (NPIP)', 267, NULL, 'NPIP', 35700),
(91975, 'PF11671', NULL, 'Complementary sex determiner protein', 146, NULL, 'Apis_Csd', 35701),
(91976, 'PF16779', NULL, 'DNA-mimic protein', 115, NULL, 'DMP12', 35702),
(91977, 'PF11818', NULL, 'C-terminal domain of tail specific protease (DUF3340)', 156, NULL, 'DUF3340', 35703),
(91978, 'PF03028', NULL, 'Dynein heavy chain region D6 P-loop domain', 115, NULL, 'Dynein_heavy', 35704),
(91979, 'PF11346', NULL, 'Protein of unknown function (DUF3149)', 40, NULL, 'DUF3149', 35705),
(91980, 'PF01577', NULL, 'Potyvirus P1 protease', 245, NULL, 'Peptidase_S30', 35706),
(91981, 'PF06711', NULL, 'Protein of unknown function (DUF1198)', 143, NULL, 'DUF1198', 35707),
(91982, 'PF04354', NULL, 'ZipA, C-terminal FtsZ-binding domain', 128, NULL, 'ZipA_C', 35708),
(91983, 'PF07915', NULL, 'Glucosidase II beta subunit-like protein', 81, NULL, 'PRKCSH', 35709),
(91984, 'PF13983', NULL, 'YsaB-like lipoprotein', 75, NULL, 'YsaB', 35710),
(91985, 'PF08723', NULL, 'Gag protein p15', 123, NULL, 'Gag_p15', 35711),
(91986, 'PF17365', NULL, 'Family of unknown function (DUF5390)', 141, NULL, 'DUF5390', 35712),
(91987, 'PF09863', NULL, 'Uncharacterized protein conserved in bacteria (DUF2090)', 311, NULL, 'DUF2090', 35713),
(91988, 'PF00808', NULL, 'Histone-like transcription factor (CBF/NF-Y) and archaeal histone', 65, NULL, 'CBFD_NFYB_HMF', 35714),
(91989, 'PF08638', NULL, 'Mediator complex subunit MED14', 193, NULL, 'Med14', 35715),
(91990, 'PF13434', NULL, 'L-lysine 6-monooxygenase (NADPH-requiring)', 341, NULL, 'K_oxygenase', 35716),
(91991, 'PF16957', NULL, 'Malonate decarboxylase, alpha subunit, transporter', 548, NULL, 'Mal_decarbox_Al', 35717),
(91992, 'PF05484', NULL, 'LRV protein FeS4 cluster', 53, NULL, 'LRV_FeS', 35718),
(91993, 'PF15714', NULL, 'Stage V sporulation protein T C-terminal, transcription factor', 128, NULL, 'SpoVT_C', 35719),
(91994, 'PF03452', NULL, 'Anp1', 264, NULL, 'Anp1', 35720),
(91995, 'PF04099', NULL, 'Sybindin-like family', 143, NULL, 'Sybindin', 35721),
(91996, 'PF01578', NULL, 'Cytochrome C assembly protein', 214, NULL, 'Cytochrom_C_asm', 35722),
(91997, 'PF01803', NULL, 'LIM-domain binding protein', 242, NULL, 'LIM_bind', 35723),
(91998, 'PF06067', NULL, 'Domain of unknown function (DUF932)', 227, NULL, 'DUF932', 35724),
(91999, 'PF02334', NULL, 'Replication terminator protein', 113, NULL, 'RTP', 35725),
(92000, 'PF14636', NULL, 'Folliculin-interacting protein N-terminus', 142, NULL, 'FNIP_N', 35726),
(92001, 'PF13713', NULL, 'Transcription factor BRX N-terminal domain', 37, NULL, 'BRX_N', 35727),
(92002, 'PF09362', NULL, 'Domain of unknown function (DUF1996)', 233, NULL, 'DUF1996', 35728),
(92003, 'PF02813', NULL, 'Retroviral M domain', 86, NULL, 'Retro_M', 35729),
(92004, 'PF04762', NULL, 'IKI3 family', 935, NULL, 'IKI3', 35730),
(92005, 'PF07944', NULL, 'Beta-L-arabinofuranosidase, GH127', 508, NULL, 'Glyco_hydro_127', 35731),
(92006, 'PF13102', NULL, 'Phage integrase SAM-like domain', 99, NULL, 'Phage_int_SAM_5', 35732),
(92007, 'PF09744', NULL, 'JNK_SAPK-associated protein-1', 150, NULL, 'Jnk-SapK_ap_N', 35733),
(92008, 'PF19211', NULL, 'Coronavirus replicase NSP2, N-terminal', 201, NULL, 'CoV_NSP2_N', 35734),
(92009, 'PF08285', NULL, 'Dolichol-phosphate mannosyltransferase subunit 3 (DPM3)', 90, NULL, 'DPM3', 35735),
(92010, 'PF08587', NULL, 'Ubiquitin associated domain (UBA)', 46, NULL, 'UBA_2', 35736),
(92011, 'PF01259', NULL, 'SAICAR synthetase', 252, NULL, 'SAICAR_synt', 35737),
(92012, 'PF10323', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srv', 283, NULL, '7TM_GPCR_Srv', 35738),
(92013, 'PF12203', NULL, 'Glutamine rich N terminal domain of histone deacetylase 4', 91, NULL, 'HDAC4_Gln', 35739),
(92014, 'PF14876', NULL, 'Respiratory growth transcriptional regulator', 379, NULL, 'RSF', 35740),
(92015, 'PF11497', NULL, 'NADH-quinone oxidoreductase chain 15', 123, NULL, 'NADH_Oxid_Nqo15', 35741),
(92016, 'PF02907', NULL, 'Hepatitis C virus NS3 protease', 149, NULL, 'Peptidase_S29', 35742);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(92017, 'PF09235', NULL, 'Ste50p, sterile alpha motif', 75, NULL, 'SAM_Ste50p', 35743),
(92018, 'PF12004', NULL, 'Domain of unknown function (DUF3498)', 516, NULL, 'DUF3498', 35744),
(92019, 'PF00084', NULL, 'Sushi repeat (SCR repeat)', 56, NULL, 'Sushi', 35745),
(92020, 'PF14891', NULL, 'Effector protein', 176, NULL, 'Peptidase_M91', 35746),
(92021, 'PF15584', NULL, 'Immunity protein 72', 81, NULL, 'Imm72', 35747),
(92022, 'PF19818', NULL, 'Family of unknown function (DUF6301)', 141, NULL, 'DUF6301', 35748),
(92023, 'PF05571', NULL, 'JNK1/MAPK8-associated membrane protein', 292, NULL, 'JAMP', 35749),
(92024, 'PF15088', NULL, 'NADH dehydrogenase [ubiquinone] 1 subunit C1, mitochondrial', 49, NULL, 'NADH_dh_m_C1', 35750),
(92025, 'PF04003', NULL, 'Dip2/Utp12 Family', 107, NULL, 'Utp12', 35751),
(92026, 'PF15911', NULL, 'WD domain, G-beta repeat', 57, NULL, 'WD40_3', 35752),
(92027, 'PF12323', NULL, 'Helix-turn-helix domain', 47, NULL, 'HTH_OrfB_IS605', 35753),
(92028, 'PF17798', NULL, 'TRIF N-terminal domain', 157, NULL, 'TRIF-NTD', 35754),
(92029, 'PF01053', NULL, 'Cys/Met metabolism PLP-dependent enzyme', 382, NULL, 'Cys_Met_Meta_PP', 35755),
(92030, 'PF20082', NULL, 'Family of unknown function (DUF6476)', 91, NULL, 'DUF6476', 35756),
(92031, 'PF12938', NULL, 'M domain of GW182', 243, NULL, 'M_domain', 35757),
(92032, 'PF17966', NULL, 'Muc B2-like domain', 63, NULL, 'Muc_B2', 35758),
(92033, 'PF06265', NULL, 'Protein of unknown function (DUF1027)', 85, NULL, 'DUF1027', 35759),
(92034, 'PF07664', NULL, 'Ferrous iron transport protein B C terminus', 53, NULL, 'FeoB_C', 35760),
(92035, 'PF01762', NULL, 'Galactosyltransferase', 195, NULL, 'Galactosyl_T', 35761),
(92036, 'PF17544', NULL, 'Family of unknown function (DUF5460)', 375, NULL, 'DUF5460', 35762),
(92037, 'PF12664', NULL, 'Protein of unknown function (DUF3789)', 32, NULL, 'DUF3789', 35763),
(92038, 'PF18623', NULL, 'TnsE C-terminal domain', 145, NULL, 'TnsE_C', 35764),
(92039, 'PF09409', NULL, 'PUB domain', 82, NULL, 'PUB', 35765),
(92040, 'PF09102', NULL, 'Exotoxin A, targeting', 142, NULL, 'Exotox-A_target', 35766),
(92041, 'PF01686', NULL, 'Adenovirus penton base protein', 461, NULL, 'Adeno_Penton_B', 35767),
(92042, 'PF18068', NULL, 'Npun R1517', 76, NULL, 'Npun_R1517', 35768),
(92043, 'PF19370', NULL, 'Family of unknown function (DUF5945)', 129, NULL, 'DUF5945', 35769),
(92044, 'PF14043', NULL, 'WVELL protein', 74, NULL, 'WVELL', 35770),
(92045, 'PF06656', NULL, 'Tenuivirus PVC2 protein', 784, NULL, 'Tenui_PVC2', 35771),
(92046, 'PF13135', NULL, 'Protein of unknown function (DUF3947)', 82, NULL, 'DUF3947', 35772),
(92047, 'PF08953', NULL, 'Domain of unknown function (DUF1899)', 66, NULL, 'DUF1899', 35773),
(92048, 'PF17261', NULL, 'Family of unknown function (DUF5327)', 99, NULL, 'DUF5327', 35774),
(92049, 'PF03726', NULL, 'Polyribonucleotide nucleotidyltransferase, RNA binding domain', 83, NULL, 'PNPase', 35775),
(92050, 'PF09180', NULL, 'Prolyl-tRNA synthetase, C-terminal', 70, NULL, 'ProRS-C_1', 35776),
(92051, 'PF10161', NULL, 'Putative mitochondrial precursor protein', 76, NULL, 'DDDD', 35777),
(92052, 'PF12384', NULL, 'Ty3 transposon peptidase', 177, NULL, 'Peptidase_A2B', 35778),
(92053, 'PF17909', NULL, 'Htr2 transmembrane domain', 61, NULL, 'Htr2', 35779),
(92054, 'PF02527', NULL, 'rRNA small subunit methyltransferase G', 184, NULL, 'GidB', 35780),
(92055, 'PF02663', NULL, 'FmdE, Molybdenum formylmethanofuran dehydrogenase operon', 131, NULL, 'FmdE', 35781),
(92056, 'PF03561', NULL, 'Allantoicase repeat', 147, NULL, 'Allantoicase', 35782),
(92057, 'PF02268', NULL, 'Transcription initiation factor IIA, gamma subunit, helical domain', 47, NULL, 'TFIIA_gamma_N', 35783),
(92058, 'PF00734', NULL, 'Fungal cellulose binding domain', 29, NULL, 'CBM_1', 35784),
(92059, 'PF06578', NULL, 'YOP proteins translocation protein K (YscK)', 209, NULL, 'YscK', 35785),
(92060, 'PF09280', NULL, 'XPC-binding domain', 57, NULL, 'XPC-binding', 35786),
(92061, 'PF04481', NULL, 'Protein of unknown function (DUF561)', 243, NULL, 'DUF561', 35787);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(92062, 'PF15142', NULL, 'INCA1', 178, NULL, 'INCA1', 35788),
(92063, 'PF16595', NULL, 'PAM-interacting domain of CRISPR-associated endonuclease Cas9', 265, NULL, 'Cas9_PI', 35789),
(92064, 'PF11190', NULL, 'Protein of unknown function (DUF2976)', 88, NULL, 'DUF2976', 35790),
(92065, 'PF03555', NULL, 'Influenza C non-structural protein (NS2)', 57, NULL, 'Flu_C_NS2', 35791),
(92066, 'PF08643', NULL, 'Fungal family of unknown function (DUF1776)', 296, NULL, 'DUF1776', 35792),
(92067, 'PF00804', NULL, 'Syntaxin', 199, NULL, 'Syntaxin', 35793),
(92068, 'PF02114', NULL, 'Phosducin', 265, NULL, 'Phosducin', 35794),
(92069, 'PF06565', NULL, 'DUF1126 PH-like domain', 104, NULL, 'DUF1126', 35795),
(92070, 'PF15235', NULL, 'G protein-regulated inducer of neurite outgrowth C-terminus', 130, NULL, 'GRIN_C', 35796),
(92071, 'PF10062', NULL, 'Predicted secreted protein (DUF2300)', 127, NULL, 'DUF2300', 35797),
(92072, 'PF01080', NULL, 'Presenilin', 417, NULL, 'Presenilin', 35798),
(92073, 'PF03402', NULL, 'Vomeronasal organ pheromone receptor family, V1R', 265, NULL, 'V1R', 35799),
(92074, 'PF19653', NULL, 'Family of unknown function (DUF6156)', 97, NULL, 'DUF6156', 35800),
(92075, 'PF09715', NULL, 'Plasmodium protein of unknown function (Plasmod_dom_1)', 66, NULL, 'Plasmod_dom_1', 35801),
(92076, 'PF08847', NULL, 'Chlororespiratory reduction 6', 150, NULL, 'Crr6', 35802),
(92077, 'PF02961', NULL, 'Barrier to autointegration factor', 88, NULL, 'BAF', 35803),
(92078, 'PF04532', NULL, 'Protein of unknown function (DUF587)', 220, NULL, 'DUF587', 35804),
(92079, 'PF15958', NULL, 'Domain of unknown function (DUF4761)', 105, NULL, 'DUF4761', 35805),
(92080, 'PF18968', NULL, 'Family of unknown function (DUF5707)', 98, NULL, 'DUF5707', 35806),
(92081, 'PF00752', NULL, 'XPG N-terminal domain', 101, NULL, 'XPG_N', 35807),
(92082, 'PF05686', NULL, 'Glycosyl transferase family 90', 396, NULL, 'Glyco_transf_90', 35808),
(92083, 'PF06773', NULL, 'Bim protein N-terminus', 40, NULL, 'Bim_N', 35809),
(92084, 'PF02634', NULL, 'FdhD/NarQ family', 237, NULL, 'FdhD-NarQ', 35810),
(92085, 'PF15764', NULL, 'Domain of unknown function (DUF4693)', 284, NULL, 'DUF4693', 35811),
(92086, 'PF09237', NULL, 'GAGA factor', 54, NULL, 'GAGA', 35812),
(92087, 'PF11915', NULL, 'Protein of unknown function (DUF3433)', 91, NULL, 'DUF3433', 35813),
(92088, 'PF11700', NULL, 'Vacuole effluxer Atg22 like', 478, NULL, 'ATG22', 35814),
(92089, 'PF07975', NULL, 'TFIIH C1-like domain', 55, NULL, 'C1_4', 35815),
(92090, 'PF02652', NULL, 'L-lactate permease', 522, NULL, 'Lactate_perm', 35816),
(92091, 'PF08266', NULL, 'Cadherin-like', 83, NULL, 'Cadherin_2', 35817),
(92092, 'PF09528', NULL, 'Ehrlichia tandem repeat (Ehrlichia_rpt)', 36, NULL, 'Ehrlichia_rpt', 35818),
(92093, 'PF08759', NULL, 'Glycosyltransferase GT-D fold', 224, NULL, 'GT-D', 35819),
(92094, 'PF12161', NULL, 'HsdM N-terminal domain', 139, NULL, 'HsdM_N', 35820),
(92095, 'PF00598', NULL, 'Influenza Matrix protein (M1)', 157, NULL, 'Flu_M1', 35821),
(92096, 'PF11149', NULL, 'Protein of unknown function (DUF2924)', 135, NULL, 'DUF2924', 35822),
(92097, 'PF08343', NULL, 'Ribonucleotide reductase N-terminal', 82, NULL, 'RNR_N', 35823),
(92098, 'PF01252', NULL, 'Signal peptidase (SPase) II', 142, NULL, 'Peptidase_A8', 35824),
(92099, 'PF13752', NULL, 'Domain of unknown function (DUF4165)', 121, NULL, 'DUF4165', 35825),
(92100, 'PF07918', NULL, 'CAP160 repeat', 27, NULL, 'CAP160', 35826),
(92101, 'PF08127', NULL, 'Peptidase family C1 propeptide', 40, NULL, 'Propeptide_C1', 35827),
(92102, 'PF14506', NULL, 'CppA N-terminal', 124, NULL, 'CppA_N', 35828),
(92103, 'PF18922', NULL, 'Protein of unknown function (DUF5672)', 165, NULL, 'DUF5672', 35829),
(92104, 'PF01756', NULL, 'Acyl-CoA oxidase', 181, NULL, 'ACOX', 35830),
(92105, 'PF06626', NULL, 'Protein of unknown function (DUF1152)', 295, NULL, 'DUF1152', 35831),
(92106, 'PF15103', NULL, 'G0/G1 switch protein 2', 105, NULL, 'G0-G1_switch_2', 35832),
(92107, 'PF01927', NULL, 'Mut7-C RNAse domain', 147, NULL, 'Mut7-C', 35833),
(92108, 'PF04732', NULL, 'Intermediate filament head (DNA binding) region', 87, NULL, 'Filament_head', 35834);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(92109, 'PF08545', NULL, '3-Oxoacyl-[acyl-carrier-protein (ACP)] synthase III', 80, NULL, 'ACP_syn_III', 35835),
(92110, 'PF01426', NULL, 'BAH domain', 122, NULL, 'BAH', 35836),
(92111, 'PF14308', NULL, 'X-domain of DnaJ-containing', 209, NULL, 'DnaJ-X', 35837),
(92112, 'PF03671', NULL, 'Ubiquitin fold modifier 1 protein', 75, NULL, 'Ufm1', 35838),
(92113, 'PF02551', NULL, 'Acyl-CoA thioesterase', 132, NULL, 'Acyl_CoA_thio', 35839),
(92114, 'PF09807', NULL, 'Elongation complex protein 6', 252, NULL, 'ELP6', 35840),
(92115, 'PF14559', NULL, 'Tetratricopeptide repeat', 68, NULL, 'TPR_19', 35841),
(92116, 'PF17775', NULL, 'UPF0225 domain', 99, NULL, 'UPF0225', 35842),
(92117, 'PF19432', NULL, 'DNAJ protein RME-8 N-terminal', 815, NULL, 'RME-8_N', 35843),
(92118, 'PF09567', NULL, 'MamI restriction endonuclease', 183, NULL, 'RE_MamI', 35844),
(92119, 'PF07500', NULL, 'Transcription factor S-II (TFIIS), central domain', 116, NULL, 'TFIIS_M', 35845),
(92120, 'PF07647', NULL, 'SAM domain (Sterile alpha motif)', 66, NULL, 'SAM_2', 35846),
(92121, 'PF12523', NULL, 'Protein of unknown function (DUF3725)', 74, NULL, 'DUF3725', 35847),
(92122, 'PF19577', NULL, 'DcaP outer membrane protein', 410, NULL, 'DcaP', 35848),
(92123, 'PF01535', NULL, 'PPR repeat', 31, NULL, 'PPR', 35849),
(92124, 'PF13642', NULL, 'protein structure with unknown function', 108, NULL, 'DUF4144', 35850),
(92125, 'PF18024', NULL, 'Helix-turn-helix domain', 50, NULL, 'HTH_50', 35851),
(92126, 'PF15265', NULL, 'FAM196 family', 491, NULL, 'FAM196', 35852),
(92127, 'PF18831', NULL, 'Leucine-rich repeat', 29, NULL, 'LRR_11', 35853),
(92128, 'PF04447', NULL, 'Protein of unknown function (DUF550)', 97, NULL, 'DUF550', 35854),
(92129, 'PF16507', NULL, 'Proteasome-substrate-size regulator, mid region', 524, NULL, 'BLM10_mid', 35855),
(92130, 'PF00838', NULL, 'Translationally controlled tumour protein', 166, NULL, 'TCTP', 35856),
(92131, 'PF10033', NULL, 'Autophagy-related protein 13', 239, NULL, 'ATG13', 35857),
(92132, 'PF15085', NULL, 'Neuropeptide FF', 109, NULL, 'NPFF', 35858),
(92133, 'PF01345', NULL, 'Domain of unknown function DUF11', 115, NULL, 'DUF11', 35859),
(92134, 'PF04389', NULL, 'Peptidase family M28', 198, NULL, 'Peptidase_M28', 35860),
(92135, 'PF11685', NULL, 'Protein of unknown function (DUF3281)', 267, NULL, 'DUF3281', 35861),
(92136, 'PF03181', NULL, 'BURP domain', 215, NULL, 'BURP', 35862),
(92137, 'PF13617', NULL, 'YnbE-like lipoprotein', 34, NULL, 'Lipoprotein_19', 35863),
(92138, 'PF15312', NULL, 'Junctional sarcoplasmic reticulum protein', 63, NULL, 'JSRP', 35864),
(92139, 'PF19183', NULL, 'Family of unknown function (DUF5865)', 210, NULL, 'DUF5865', 35865),
(92140, 'PF07728', NULL, 'AAA domain (dynein-related subfamily)', 138, NULL, 'AAA_5', 35866),
(92141, 'PF09287', NULL, 'CEP-1, DNA binding', 196, NULL, 'CEP1-DNA_bind', 35867),
(92142, 'PF12462', NULL, 'DNA helicase IV / RNA helicase N terminal', 162, NULL, 'Helicase_IV_N', 35868),
(92143, 'PF18657', NULL, 'YDG domain', 85, NULL, 'YDG', 35869),
(92144, 'PF08637', NULL, 'ATP synthase regulation protein NCA2', 289, NULL, 'NCA2', 35870),
(92145, 'PF01140', NULL, 'Matrix protein (MA), p15', 126, NULL, 'Gag_MA', 35871),
(92146, 'PF18899', NULL, 'Domain of unknown function (DUF5655)', 108, NULL, 'DUF5655', 35872),
(92147, 'PF07877', NULL, 'Protein of unknown function (DUF1661)', 31, NULL, 'DUF1661', 35873),
(92148, 'PF00181', NULL, 'Ribosomal Proteins L2, RNA binding domain', 77, NULL, 'Ribosomal_L2', 35874),
(92149, 'PF06040', NULL, 'Adenovirus E3 protein', 127, NULL, 'Adeno_E3', 35875),
(92150, 'PF05285', NULL, 'SDA1', 343, NULL, 'SDA1', 35876),
(92151, 'PF08417', NULL, 'Pheophorbide a oxygenase', 88, NULL, 'PaO', 35877),
(92152, 'PF06222', NULL, 'Phage tail assembly chaperone', 127, NULL, 'Phage_TAC_1', 35878),
(92153, 'PF07849', NULL, 'Protein of unknown function (DUF1641)', 39, NULL, 'DUF1641', 35879),
(92154, 'PF03948', NULL, 'Ribosomal protein L9, C-terminal domain', 87, NULL, 'Ribosomal_L9_C', 35880),
(92155, 'PF09646', NULL, 'Gp37 protein', 143, NULL, 'Gp37', 35881);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(92156, 'PF07243', NULL, 'Phlebovirus glycoprotein G1', 526, NULL, 'Phlebovirus_G1', 35882),
(92157, 'PF07869', NULL, 'Protein of unknown function (DUF1656)', 56, NULL, 'DUF1656', 35883),
(92158, 'PF07498', NULL, 'Rho termination factor, N-terminal domain', 43, NULL, 'Rho_N', 35884),
(92159, 'PF00524', NULL, 'E1 Protein, N terminal domain', 121, NULL, 'PPV_E1_N', 35885),
(92160, 'PF16463', NULL, 'Phage tail tube protein family', 137, NULL, 'Phage_TTP_13', 35886),
(92161, 'PF19041', NULL, 'Nuclear cap binding complex subunit CBP30', 299, NULL, 'CBP30', 35887),
(92162, 'PF00456', NULL, 'Transketolase, thiamine diphosphate binding domain', 334, NULL, 'Transketolase_N', 35888),
(92163, 'PF11944', NULL, 'Protein of unknown function (DUF3461)', 125, NULL, 'DUF3461', 35889),
(92164, 'PF03304', NULL, 'Mlp lipoprotein family', 152, NULL, 'Mlp', 35890),
(92165, 'PF10767', NULL, 'Protein of unknown function (DUF2593)', 141, NULL, 'DUF2593', 35891),
(92166, 'PF14389', NULL, 'Leucine-zipper of ternary complex factor MIP1', 84, NULL, 'Lzipper-MIP1', 35892),
(92167, 'PF19858', NULL, 'Bacterial oxidoreductases, C-terminal', 163, NULL, 'OxRdtase_C', 35893),
(92168, 'PF11025', NULL, 'Glycoprotein GP40 of Cryptosporidium', 164, NULL, 'GP40', 35894),
(92169, 'PF03908', NULL, 'Sec20', 92, NULL, 'Sec20', 35895),
(92170, 'PF00505', NULL, 'HMG (high mobility group) box', 69, NULL, 'HMG_box', 35896),
(92171, 'PF06677', NULL, 'Sjogren''s syndrome/scleroderma autoantigen 1 (Autoantigen p27)', 40, NULL, 'Auto_anti-p27', 35897),
(92172, 'PF18036', NULL, 'Ubiquitin-like domain', 89, NULL, 'Ubiquitin_4', 35898),
(92173, 'PF10795', NULL, 'Protein of unknown function (DUF2607)', 96, NULL, 'DUF2607', 35899),
(92174, 'PF09017', NULL, 'Microbial transglutaminase', 414, NULL, 'Transglut_prok', 35900),
(92175, 'PF14042', NULL, 'Domain of unknown function (DUF4247)', 125, NULL, 'DUF4247', 35901),
(92176, 'PF12496', NULL, 'Bcl2-/adenovirus E1B nineteen kDa-interacting protein 2', 138, NULL, 'BNIP2', 35902),
(92177, 'PF18782', NULL, 'Novel AID APOBEC clade 2', 179, NULL, 'NAD2', 35903),
(92178, 'PF05790', NULL, 'Immunoglobulin C2-set domain', 80, NULL, 'C2-set', 35904),
(92179, 'PF19627', NULL, 'Activity-dependent neuroprotector homeobox protein N-terminal', 752, NULL, 'ADNP_N', 35905),
(92180, 'PF07398', NULL, 'MDMPI C-terminal domain', 90, NULL, 'MDMPI_C', 35906),
(92181, 'PF17796', NULL, 'Major Vault Protein repeat domain', 61, NULL, 'Vault_4', 35907),
(92182, 'PF14016', NULL, 'Protein of unknown function (DUF4232)', 129, NULL, 'DUF4232', 35908),
(92183, 'PF02787', NULL, 'Carbamoyl-phosphate synthetase large chain, oligomerisation domain', 81, NULL, 'CPSase_L_D3', 35909),
(92184, 'PF08603', NULL, 'Adenylate cyclase associated (CAP) C terminal', 158, NULL, 'CAP_C', 35910),
(92185, 'PF08493', NULL, 'Aflatoxin regulatory protein', 101, NULL, 'AflR', 35911),
(92186, 'PF19742', NULL, 'Family of unknown function (DUF6231)', 142, NULL, 'DUF6231', 35912),
(92187, 'PF03303', NULL, 'WTF protein', 239, NULL, 'WTF', 35913),
(92188, 'PF00251', NULL, 'Glycosyl hydrolases family 32 N-terminal domain', 305, NULL, 'Glyco_hydro_32N', 35914),
(92189, 'PF04059', NULL, 'RNA recognition motif 2', 97, NULL, 'RRM_2', 35915),
(92190, 'PF05570', NULL, 'Circovirus protein of unknown function (DUF765)', 29, NULL, 'DUF765', 35916),
(92191, 'PF16516', NULL, 'Leucine zipper of domain CC2 of NEMO, NF-kappa-B essential modulator', 100, NULL, 'CC2-LZ', 35917),
(92192, 'PF08845', NULL, 'Toxin SymE, type I toxin-antitoxin system', 54, NULL, 'SymE_toxin', 35918),
(92193, 'PF13953', NULL, 'PapC C-terminal domain', 66, NULL, 'PapC_C', 35919),
(92194, 'PF08209', NULL, 'Sgf11 (transcriptional regulation protein)', 33, NULL, 'Sgf11', 35920),
(92195, 'PF12907', NULL, 'Zinc-binding', 38, NULL, 'zf-met2', 35921),
(92196, 'PF09480', NULL, 'Type III secretion system protein PrgH-EprH (PrgH)', 372, NULL, 'PrgH', 35922),
(92197, 'PF06314', NULL, 'Acetoacetate decarboxylase (ADC)', 237, NULL, 'ADC', 35923),
(92198, 'PF01485', NULL, 'IBR domain, a half RING-finger domain', 65, NULL, 'IBR', 35924);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(92199, 'PF00026', NULL, 'Eukaryotic aspartyl protease', 315, NULL, 'Asp', 35925),
(92200, 'PF07029', NULL, 'CryBP1 protein', 164, NULL, 'CryBP1', 35926),
(92201, 'PF17626', NULL, 'Inclusion membrane protein F', 104, NULL, 'IncF', 35927),
(92202, 'PF02588', NULL, 'Uncharacterised 5xTM membrane BCR, YitT family COG1284', 206, NULL, 'YitT_membrane', 35928),
(92203, 'PF18501', NULL, 'Alpha helical recognition lobe domain', 248, NULL, 'REC1', 35929),
(92204, 'PF18745', NULL, 'Secreted Novel AID/APOBEC-like Deaminase 2', 200, NULL, 'SNAD2', 35930),
(92205, 'PF14550', NULL, 'Putative phage serine protease XkdF', 120, NULL, 'Peptidase_S78_2', 35931),
(92206, 'PF10629', NULL, 'Protein of unknown function (DUF2475)', 67, NULL, 'DUF2475', 35932),
(92207, 'PF13619', NULL, 'KTSC domain', 58, NULL, 'KTSC', 35933),
(92208, 'PF08376', NULL, 'Nitrate and nitrite sensing', 224, NULL, 'NIT', 35934),
(92209, 'PF13375', NULL, 'RnfC Barrel sandwich hybrid domain', 101, NULL, 'RnfC_N', 35935),
(92210, 'PF01788', NULL, 'PsbJ', 39, NULL, 'PsbJ', 35936),
(92211, 'PF08779', NULL, 'Betacoronavirus NS7A protein', 107, NULL, 'bCoV_NS7A', 35937),
(92212, 'PF18756', NULL, 'Nucleotide modification associated domain 4', 87, NULL, 'Nmad4', 35938),
(92213, 'PF18788', NULL, 'Defence against restriction A N-terminal', 122, NULL, 'DarA_N', 35939),
(92214, 'PF15491', NULL, 'CST, telomere maintenance, complex subunit CTC1', 291, NULL, 'CTC1_2', 35940),
(92215, 'PF10113', NULL, 'FeGP cofactor biosynthesis protein, fibrillarin family', 501, NULL, 'Fibrillarin_2', 35941),
(92216, 'PF02298', NULL, 'Plastocyanin-like domain', 84, NULL, 'Cu_bind_like', 35942),
(92217, 'PF03088', NULL, 'Strictosidine synthase', 89, NULL, 'Str_synth', 35943),
(92218, 'PF14312', NULL, 'FG-GAP repeat', 49, NULL, 'FG-GAP_2', 35944),
(92219, 'PF10590', NULL, 'Pyridoxine 5''-phosphate oxidase C-terminal dimerisation region', 43, NULL, 'PNP_phzG_C', 35945),
(92220, 'PF10814', NULL, 'Cell wall synthesis protein CwsA', 133, NULL, 'CwsA', 35946),
(92221, 'PF01194', NULL, 'RNA polymerases N / 8 kDa subunit', 58, NULL, 'RNA_pol_N', 35947),
(92222, 'PF08552', NULL, 'Inositolphosphorylceramide synthase subunit Kei1', 189, NULL, 'Kei1', 35948),
(92223, 'PF16890', NULL, 'Domain of unknown function (DUF5083)', 157, NULL, 'DUF5083', 35949),
(92224, 'PF04896', NULL, 'Ammonia monooxygenase/methane monooxygenase, subunit C', 245, NULL, 'AmoC', 35950),
(92225, 'PF18212', NULL, 'ZNRF-3 Ectodomain', 105, NULL, 'ZNRF_3_ecto', 35951),
(92226, 'PF13700', NULL, 'Domain of unknown function (DUF4158)', 166, NULL, 'DUF4158', 35952),
(92227, 'PF19165', NULL, 'Family of unknown function (DUF5847)', 409, NULL, 'DUF5847', 35953),
(92228, 'PF05115', NULL, 'Cytochrome B6-F complex subunit VI (PetL)', 31, NULL, 'PetL', 35954),
(92229, 'PF12165', NULL, 'Alfin', 127, NULL, 'Alfin', 35955),
(92230, 'PF16530', NULL, 'Infectious hypodermal and haematopoietic necrosis virus, capsid', 323, NULL, 'IHHNV_capsid', 35956),
(92231, 'PF01553', NULL, 'Acyltransferase', 135, NULL, 'Acyltransferase', 35957),
(92232, 'PF15507', NULL, 'Domain of unknown function (DUF4649)', 68, NULL, 'DUF4649', 35958),
(92233, 'PF12992', NULL, 'Domain of unknown function, B. Theta Gene description (DUF3876)', 91, NULL, 'DUF3876', 35959),
(92234, 'PF02707', NULL, 'Major Outer Sheath Protein N-terminal region', 196, NULL, 'MOSP_N', 35960),
(92235, 'PF16091', NULL, 'Domain of unknown function (DUF4820)', 229, NULL, 'DUF4820', 35961),
(92236, 'PF09477', NULL, 'Bacterial type II secretion system chaperone protein (type_III_yscG)', 116, NULL, 'Type_III_YscG', 35962),
(92237, 'PF08180', NULL, 'B melanoma antigen family', 28, NULL, 'BAGE', 35963),
(92238, 'PF09327', NULL, 'Domain of unknown function (DUF1983)', 81, NULL, 'DUF1983', 35964),
(92239, 'PF14400', NULL, 'Inactive transglutaminase fused to 7 transmembrane helices', 161, NULL, 'Transglut_i_TM', 35965),
(92240, 'PF02444', NULL, 'Hepatitis E virus ORF-2 (Putative capsid protein)', 114, NULL, 'HEV_ORF1', 35966),
(92241, 'PF01702', NULL, 'Queuine tRNA-ribosyltransferase', 355, NULL, 'TGT', 35967);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(92242, 'PF09739', NULL, 'Mini-chromosome maintenance replisome factor', 582, NULL, 'MCM_bind', 35968),
(92243, 'PF04874', NULL, 'Mak16 protein C-terminal region', 100, NULL, 'Mak16', 35969),
(92244, 'PF16133', NULL, 'Domain of unknown function (DUF4844)', 117, NULL, 'DUF4844', 35970),
(92245, 'PF12726', NULL, 'SEN1 N terminal', 749, NULL, 'SEN1_N', 35971),
(92246, 'PF18229', NULL, 'N-acetyl-beta-D-glucosaminidase N-terminal domain', 78, NULL, 'GcnA_N', 35972),
(92247, 'PF18651', NULL, 'Surface adhesin CshA non-repetitive domain 2', 269, NULL, 'CshA_NR2', 35973),
(92248, 'PF13489', NULL, 'Methyltransferase domain', 165, NULL, 'Methyltransf_23', 35974),
(92249, 'PF01092', NULL, 'Ribosomal protein S6e', 124, NULL, 'Ribosomal_S6e', 35975),
(92250, 'PF08384', NULL, 'Pro-opiomelanocortin, N-terminal region', 44, NULL, 'NPP', 35976),
(92251, 'PF15867', NULL, 'Dynein attachment factor N-terminus', 69, NULL, 'Dynein_attach_N', 35977),
(92252, 'PF17003', NULL, 'Putative actin-like family', 369, NULL, 'Actin_micro', 35978),
(92253, 'PF19007', NULL, 'Family of unknown function (DUF5736)', 111, NULL, 'DUF5736', 35979),
(92254, 'PF09167', NULL, 'Domain of unknown function (DUF1942)', 123, NULL, 'DUF1942', 35980),
(92255, 'PF11002', NULL, 'RFPL defining motif (RDM)', 42, NULL, 'RDM', 35981),
(92256, 'PF05991', NULL, 'YacP-like NYN domain', 166, NULL, 'NYN_YacP', 35982),
(92257, 'PF13164', NULL, 'Diedel', 75, NULL, 'Diedel', 35983),
(92258, 'PF13119', NULL, 'Domain of unknown function (DUF3973)', 40, NULL, 'DUF3973', 35984),
(92259, 'PF18261', NULL, 'Rpn9 C-terminal helix', 33, NULL, 'Rpn9_C', 35985),
(92260, 'PF09357', NULL, 'RteC protein', 219, NULL, 'RteC', 35986),
(92261, 'PF14181', NULL, 'YqfQ-like protein', 177, NULL, 'YqfQ', 35987),
(92262, 'PF00941', NULL, 'FAD binding domain in molybdopterin dehydrogenase', 171, NULL, 'FAD_binding_5', 35988),
(92263, 'PF00107', NULL, 'Zinc-binding dehydrogenase', 130, NULL, 'ADH_zinc_N', 35989),
(92264, 'PF02070', NULL, 'Neuromedin U', 25, NULL, 'NMU', 35990),
(92265, 'PF18178', NULL, 'TIR- and PNP-associating SLOG family', 232, NULL, 'TPALS', 35991),
(92266, 'PF03196', NULL, 'Protein of unknown function, DUF261', 137, NULL, 'DUF261', 35992),
(92267, 'PF08921', NULL, 'Domain of unknown function (DUF1904)', 108, NULL, 'DUF1904', 35993),
(92268, 'PF19136', NULL, 'Family of unknown function (DUF5819)', 171, NULL, 'DUF5819', 35994),
(92269, 'PF14019', NULL, 'Protein of unknown function (DUF4235)', 77, NULL, 'DUF4235', 35995),
(92270, 'PF20089', NULL, 'Family of unknown function (DUF6481)', 119, NULL, 'DUF6481', 35996),
(92271, 'PF16649', NULL, 'Interleukin 23 subunit alpha', 158, NULL, 'IL23', 35997),
(92272, 'PF20027', NULL, 'Family of unknown function (DUF6435)', 53, NULL, 'DUF6435', 35998),
(92273, 'PF05748', NULL, 'Rubella membrane glycoprotein E1', 496, NULL, 'Rubella_E1', 35999),
(92274, 'PF00907', NULL, 'T-box', 185, NULL, 'T-box', 36000),
(92275, 'PF02770', NULL, 'Acyl-CoA dehydrogenase, middle domain', 98, NULL, 'Acyl-CoA_dh_M', 36001),
(92276, 'PF09889', NULL, 'Uncharacterized protein containing a Zn-ribbon (DUF2116)', 59, NULL, 'DUF2116', 36002),
(92277, 'PF07026', NULL, 'Protein of unknown function (DUF1317)', 60, NULL, 'DUF1317', 36003),
(92278, 'PF02541', NULL, 'Ppx/GppA phosphatase family', 285, NULL, 'Ppx-GppA', 36004),
(92279, 'PF05473', NULL, 'UL45 protein, carbohydrate-binding C-type lectin-like', 200, NULL, 'UL45', 36005),
(92280, 'PF07848', NULL, 'PaaX-like protein', 70, NULL, 'PaaX', 36006),
(92281, 'PF01220', NULL, 'Dehydroquinase class II', 138, NULL, 'DHquinase_II', 36007),
(92282, 'PF14627', NULL, 'Domain of unknown function (DUF4453)', 107, NULL, 'DUF4453', 36008),
(92283, 'PF07033', NULL, 'Orthopoxvirus B11R protein', 71, NULL, 'Orthopox_B11R', 36009),
(92284, 'PF10507', NULL, 'Transmembrane protein 65', 109, NULL, 'TMEM65', 36010),
(92285, 'PF06200', NULL, 'tify domain', 34, NULL, 'tify', 36011),
(92286, 'PF13578', NULL, 'Methyltransferase domain', 107, NULL, 'Methyltransf_24', 36012),
(92287, 'PF01421', NULL, 'Reprolysin (M12B) family zinc metalloprotease', 200, NULL, 'Reprolysin', 36013);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(92288, 'PF05929', NULL, 'Phage capsid scaffolding protein (GPO) serine peptidase', 271, NULL, 'Phage_GPO', 36014),
(92289, 'PF19663', NULL, 'Family of unknown function (DUF6166)', 96, NULL, 'DUF6166', 36015),
(92290, 'PF11723', NULL, 'Homotrimeric ring hydroxylase', 241, NULL, 'Aromatic_hydrox', 36016),
(92291, 'PF18362', NULL, 'Tri-helix bundle domain', 34, NULL, 'THB', 36017),
(92292, 'PF06154', NULL, 'CbeA_antitoxin, type IV, cytoskeleton bundling-enhancing factor A', 101, NULL, 'CbeA_antitoxin', 36018),
(92293, 'PF02969', NULL, 'TATA box binding protein associated factor (TAF)', 66, NULL, 'TAF', 36019),
(92294, 'PF15763', NULL, 'Regulator of human erythroid cell expansion (RHEX)', 167, NULL, 'DUF4692', 36020),
(92295, 'PF19510', NULL, 'Protein of unknown function (DUF6044)', 566, NULL, 'DUF6044', 36021),
(92296, 'PF08599', NULL, 'DNA damage repair protein Nbs1', 64, NULL, 'Nbs1_C', 36022),
(92297, 'PF09015', NULL, 'NgoMIV restriction enzyme', 275, NULL, 'NgoMIV_restric', 36023),
(92298, 'PF18929', NULL, 'Family of unknown function (DUF5678)', 50, NULL, 'DUF5678', 36024),
(92299, 'PF10993', NULL, 'Protein of unknown function (DUF2818)', 93, NULL, 'DUF2818', 36025),
(92300, 'PF15068', NULL, 'FAM101 family', 208, NULL, 'FAM101', 36026),
(92301, 'PF19065', NULL, 'Family of unknown function (DUF5761)', 62, NULL, 'DUF5761', 36027),
(92302, 'PF17888', NULL, 'Carmil pleckstrin homology domain', 94, NULL, 'Carm_PH', 36028),
(92303, 'PF20051', NULL, 'Family of unknown function (DUF6453)', 291, NULL, 'DUF6453', 36029),
(92304, 'PF02697', NULL, 'Putative antitoxin', 69, NULL, 'VAPB_antitox', 36030),
(92305, 'PF08690', NULL, 'GET complex subunit GET2', 309, NULL, 'GET2', 36031),
(92306, 'PF11524', NULL, 'Selenium binding protein', 82, NULL, 'SeleniumBinding', 36032),
(92307, 'PF00940', NULL, 'DNA-dependent RNA polymerase', 422, NULL, 'RNA_pol', 36033),
(92308, 'PF15374', NULL, 'Coiled-coil domain-containing protein 71L', 393, NULL, 'CCDC71L', 36034),
(92309, 'PF11814', NULL, 'Peptidase_C39 like family', 206, NULL, 'DUF3335', 36035),
(92310, 'PF14485', NULL, 'Domain of unknown function (DUF4431)', 48, NULL, 'DUF4431', 36036),
(92311, 'PF19036', NULL, 'First Longin domain of FUZ, MON1 and HPS1', 125, NULL, 'Fuz_longin_1', 36037),
(92312, 'PF04378', NULL, 'Ribosomal RNA large subunit methyltransferase D, RlmJ', 245, NULL, 'RsmJ', 36038),
(92313, 'PF10827', NULL, 'Protein of unknown function (DUF2552)', 79, NULL, 'DUF2552', 36039),
(92314, 'PF10800', NULL, 'Protein of unknown function (DUF2528)', 104, NULL, 'DUF2528', 36040),
(92315, 'PF06797', NULL, 'Protein of unknown function (DUF1229)', 139, NULL, 'DUF1229', 36041),
(92316, 'PF13038', NULL, 'Domain of unknown function (DUF3899)', 86, NULL, 'DUF3899', 36042),
(92317, 'PF08969', NULL, 'USP8 dimerisation domain', 114, NULL, 'USP8_dimer', 36043),
(92318, 'PF03197', NULL, 'Bacteriophage FRD2 protein', 103, NULL, 'FRD2', 36044),
(92319, 'PF08589', NULL, 'Autophagy receptor ATG43', 99, NULL, 'ATG43', 36045),
(92320, 'PF03470', NULL, 'XS zinc finger domain', 43, NULL, 'zf-XS', 36046),
(92321, 'PF06782', NULL, 'Uncharacterised protein family (UPF0236)', 479, NULL, 'UPF0236', 36047),
(92322, 'PF09241', NULL, 'Herpesviridae viral cyclin', 106, NULL, 'Herp-Cyclin', 36048),
(92323, 'PF01318', NULL, 'Bromovirus coat protein', 187, NULL, 'Bromo_coat', 36049),
(92324, 'PF04355', NULL, 'SmpA / OmlA family', 71, NULL, 'SmpA_OmlA', 36050),
(92325, 'PF20113', NULL, 'Family of unknown function (DUF6503)', 238, NULL, 'DUF6503', 36051),
(92326, 'PF15443', NULL, 'Domain of unknown function (DUF4630)', 156, NULL, 'DUF4630', 36052),
(92327, 'PF03288', NULL, 'Poxvirus D5 protein-like', 86, NULL, 'Pox_D5', 36053),
(92328, 'PF03652', NULL, 'Holliday junction resolvase', 135, NULL, 'RuvX', 36054),
(92329, 'PF14221', NULL, 'Domain of unknown function (DUF4330)', 167, NULL, 'DUF4330', 36055),
(92330, 'PF17735', NULL, 'Biofilm surface layer A', 121, NULL, 'BslA', 36056),
(92331, 'PF19425', NULL, 'Csd3 second domain', 122, NULL, 'Csd3_N2', 36057),
(92332, 'PF12904', NULL, 'Putative collagen-binding domain of a collagenase', 92, NULL, 'Collagen_bind_2', 36058);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(92333, 'PF00974', NULL, 'Rhabdovirus spike glycoprotein', 502, NULL, 'Rhabdo_glycop', 36059),
(92334, 'PF09259', NULL, 'Fungal immunomodulatory protein Fve', 111, NULL, 'Fve', 36060),
(92335, 'PF18159', NULL, 'SMODS-associating 4TM effector domain', 290, NULL, 'S_4TM', 36061),
(92336, 'PF00520', NULL, 'Ion transport protein', 245, NULL, 'Ion_trans', 36062),
(92337, 'PF05094', NULL, 'Late expression factor 9 (LEF-9)', 490, NULL, 'LEF-9', 36063),
(92338, 'PF13099', NULL, 'Domain of unknown function (DUF3944)', 35, NULL, 'DUF3944', 36064),
(92339, 'PF13762', NULL, 'Mitochondrial splicing apparatus component', 150, NULL, 'MNE1', 36065),
(92340, 'PF03048', NULL, 'UL92 family', 191, NULL, 'Herpes_UL92', 36066),
(92341, 'PF01682', NULL, 'DB module', 99, NULL, 'DB', 36067),
(92342, 'PF13159', NULL, 'Domain of unknown function (DUF3994)', 99, NULL, 'DUF3994', 36068),
(92343, 'PF16419', NULL, 'CCR4-NOT transcription complex subunit 1 HEAT repeat', 229, NULL, 'CNOT1_HEAT_N', 36069),
(92344, 'PF12456', NULL, 'Inositol phosphatase', 115, NULL, 'hSac2', 36070),
(92345, 'PF14851', NULL, 'FAM176 family', 146, NULL, 'FAM176', 36071),
(92346, 'PF18502', NULL, '54S ribosomal protein L8 C-terminal domain', 111, NULL, 'Mrpl_C', 36072),
(92347, 'PF07529', NULL, 'HSA', 71, NULL, 'HSA', 36073),
(92348, 'PF07573', NULL, 'Nitrogen regulatory protein AreA N terminus', 94, NULL, 'AreA_N', 36074),
(92349, 'PF15582', NULL, 'Immunity protein 65', 321, NULL, 'Imm65', 36075),
(92350, 'PF20045', NULL, 'Family of unknown function (DUF6447)', 75, NULL, 'DUF6447', 36076),
(92351, 'PF05714', NULL, 'Borrelia Bbcrasp-1 domain containing protein', 185, NULL, 'PFam54_60', 36077),
(92352, 'PF17912', NULL, 'MalK OB fold domain', 53, NULL, 'OB_MalK', 36078),
(92353, 'PF11992', NULL, 'TgpA N-terminal domain', 340, NULL, 'TgpA_N', 36079),
(92354, 'PF13552', NULL, 'Protein of unknown function (DUF4127)', 491, NULL, 'DUF4127', 36080),
(92355, 'PF19587', NULL, 'Uncharacterised methyltransferase family (DUF6094)', 339, NULL, 'DUF6094', 36081),
(92356, 'PF03842', NULL, 'Silicon transporter', 513, NULL, 'Silic_transp', 36082),
(92357, 'PF05276', NULL, 'SH3 domain-binding protein 5 (SH3BP5)', 231, NULL, 'SH3BP5', 36083),
(92358, 'PF01068', NULL, 'ATP dependent DNA ligase domain', 204, NULL, 'DNA_ligase_A_M', 36084),
(92359, 'PF08204', NULL, 'CD47 immunoglobulin-like domain', 130, NULL, 'V-set_CD47', 36085),
(92360, 'PF11843', NULL, 'Protein of unknown function (DUF3363)', 376, NULL, 'DUF3363', 36086),
(92361, 'PF17230', NULL, 'Family of unknown function (DUF5304)', 149, NULL, 'DUF5304', 36087),
(92362, 'PF11902', NULL, 'Protein of unknown function (DUF3422)', 419, NULL, 'DUF3422', 36088),
(92363, 'PF10266', NULL, 'Hereditary spastic paraplegia protein strumpellin', 1085, NULL, 'Strumpellin', 36089),
(92364, 'PF06519', NULL, 'TolA C-terminal', 96, NULL, 'TolA', 36090),
(92365, 'PF10922', NULL, 'Protein of unknown function (DUF2745)', 85, NULL, 'DUF2745', 36091),
(92366, 'PF09557', NULL, 'Domain of unknown function (DUF2382)', 111, NULL, 'DUF2382', 36092),
(92367, 'PF10481', NULL, 'Cenp-F N-terminal domain', 304, NULL, 'CENP-F_N', 36093),
(92368, 'PF09448', NULL, 'Methylmuconolactone methyl-isomerase', 109, NULL, 'MmlI', 36094),
(92369, 'PF00421', NULL, 'Photosystem II protein', 511, NULL, 'PSII', 36095),
(92370, 'PF10053', NULL, 'Uncharacterized conserved protein (DUF2290)', 195, NULL, 'DUF2290', 36096),
(92371, 'PF12141', NULL, 'Beta-mannosyltransferases', 491, NULL, 'DUF3589', 36097),
(92372, 'PF03564', NULL, 'Protein of unknown function (DUF1759)', 148, NULL, 'DUF1759', 36098),
(92373, 'PF01037', NULL, 'Lrp/AsnC ligand binding domain', 75, NULL, 'AsnC_trans_reg', 36099),
(92374, 'PF13417', NULL, 'Glutathione S-transferase, N-terminal domain', 75, NULL, 'GST_N_3', 36100),
(92375, 'PF18737', NULL, 'MAE_28990/MAE_18760-like HEPN', 218, NULL, 'HEPN_MAE_28990', 36101),
(92376, 'PF12678', NULL, 'RING-H2 zinc finger domain', 55, NULL, 'zf-rbx1', 36102),
(92377, 'PF17955', NULL, 'Cas6b N-terminal domain', 105, NULL, 'Cas6b_N', 36103),
(92378, 'PF02610', NULL, 'L-arabinose isomerase', 356, NULL, 'Arabinose_Isome', 36104);
INSERT INTO "PUBLIC"."MODEL" VALUES
(92379, 'PF07059', NULL, 'Protein ENHANCED DISEASE RESISTANCE 2, C-terminal', 213, NULL, 'EDR2_C', 36105),
(92380, 'PF17539', NULL, 'Family of unknown function (DUF5456)', 152, NULL, 'DUF5456', 36106),
(92381, 'PF09970', NULL, 'Nucleotidyl transferase of unknown function (DUF2204)', 181, NULL, 'DUF2204', 36107),
(92382, 'PF16439', NULL, 'Domain of unknown function (DUF5036)', 227, NULL, 'DUF5036', 36108),
(92383, 'PF07416', NULL, 'Crinivirus P26 protein', 227, NULL, 'Crinivirus_P26', 36109),
(92384, 'PF11350', NULL, 'Protein of unknown function (DUF3152)', 206, NULL, 'DUF3152', 36110),
(92385, 'PF18733', NULL, 'LA2681-like HEPN', 208, NULL, 'HEPN_LA2681', 36111),
(92386, 'PF17659', NULL, 'Family of unknown function (DUF5521)', 848, NULL, 'DUF5521', 36112),
(92387, 'PF02091', NULL, 'Glycyl-tRNA synthetase alpha subunit', 278, NULL, 'tRNA-synt_2e', 36113),
(92388, 'PF02121', NULL, 'Phosphatidylinositol transfer protein', 247, NULL, 'IP_trans', 36114),
(92389, 'PF13368', NULL, 'Topoisomerase C-terminal repeat', 56, NULL, 'Toprim_C_rpt', 36115),
(92390, 'PF00522', NULL, 'VPR/VPX protein', 96, NULL, 'VPR', 36116),
(92391, 'PF15515', NULL, 'MvaI/BcnI restriction endonuclease family', 231, NULL, 'MvaI_BcnI', 36117),
(92392, 'PF11471', NULL, 'Maltoporin periplasmic N-terminal extension', 31, NULL, 'Sugarporin_N', 36118),
(92393, 'PF11367', NULL, 'Protein of unknown function (DUF3168)', 117, NULL, 'DUF3168', 36119),
(92394, 'PF17917', NULL, 'RNase H-like domain found in reverse transcriptase', 105, NULL, 'RT_RNaseH', 36120),
(92395, 'PF12770', NULL, 'CHAT domain', 290, NULL, 'CHAT', 36121),
(92396, 'PF13702', NULL, 'Lysozyme-like', 165, NULL, 'Lysozyme_like', 36122),
(92397, 'PF16935', NULL, 'Putative Holin-like Toxin (Hol-Tox)', 35, NULL, 'Hol_Tox', 36123),
(92398, 'PF16567', NULL, 'Pathogenicity island component CagD', 205, NULL, 'CagD', 36124),
(92399, 'PF04459', NULL, 'Protein of unknown function (DUF512)', 199, NULL, 'DUF512', 36125),
(92400, 'PF14138', NULL, 'Cytochrome c oxidase assembly protein COX16', 79, NULL, 'COX16', 36126),
(92401, 'PF00290', NULL, 'Tryptophan synthase alpha chain', 259, NULL, 'Trp_syntA', 36127),
(92402, 'PF13774', NULL, 'Regulated-SNARE-like domain', 84, NULL, 'Longin', 36128),
(92403, 'PF19011', NULL, 'Family of unknown function (DUF5740)', 94, NULL, 'DUF5740', 36129),
(92404, 'PF04328', NULL, 'Selenoprotein, putative', 62, NULL, 'Sel_put', 36130),
(92405, 'PF06366', NULL, 'Flagellar protein FlhE', 106, NULL, 'FlhE', 36131),
(92406, 'PF10255', NULL, 'RNA polymerase I-associated factor PAF67', 402, NULL, 'Paf67', 36132),
(92407, 'PF03520', NULL, 'KCNQ voltage-gated potassium channel', 189, NULL, 'KCNQ_channel', 36133),
(92408, 'PF13918', NULL, 'PLD-like domain', 177, NULL, 'PLDc_3', 36134),
(92409, 'PF07030', NULL, 'Protein of unknown function (DUF1320)', 124, NULL, 'DUF1320', 36135),
(92410, 'PF12642', NULL, 'Conjugative transposon protein TcpC', 231, NULL, 'TpcC', 36136),
(92411, 'PF16283', NULL, 'Domain of unknown function (DUF4929)', 366, NULL, 'DUF4929', 36137),
(92412, 'PF07000', NULL, 'Protein of unknown function (DUF1308)', 163, NULL, 'DUF1308', 36138),
(92413, 'PF15239', NULL, 'Domain of unknown function (DUF4586)', 302, NULL, 'DUF4586', 36139),
(92414, 'PF18842', NULL, 'Large polyvalent protein associated domain 26', 57, NULL, 'LPD26', 36140),
(92415, 'PF02854', NULL, 'MIF4G domain', 212, NULL, 'MIF4G', 36141),
(92416, 'PF13223', NULL, 'Protein of unknown function (DUF4031)', 79, NULL, 'DUF4031', 36142),
(92417, 'PF16781', NULL, 'Domain of unknown function (DUF5068)', 187, NULL, 'DUF5068', 36143),
(92418, 'PF04921', NULL, 'XAP5, circadian clock regulator', 254, NULL, 'XAP5', 36144),
(92419, 'PF06850', NULL, 'PHB de-polymerase C-terminus', 203, NULL, 'PHB_depo_C', 36145),
(92420, 'PF09690', NULL, 'Plasmodium yoelii subtelomeric region (PYST-C1)', 55, NULL, 'PYST-C1', 36146),
(92421, 'PF06868', NULL, 'Protein of unknown function (DUF1257)', 104, NULL, 'DUF1257', 36147),
(92422, 'PF10444', NULL, 'Nbl1 / Borealin N terminal', 57, NULL, 'Nbl1_Borealin_N', 36148);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(92423, 'PF17418', NULL, 'Sporulation delaying protein SdpA', 142, NULL, 'SdpA', 36149),
(92424, 'PF11618', NULL, 'First C2 domain of RPGR-interacting protein 1', 141, NULL, 'C2-C2_1', 36150),
(92425, 'PF02915', NULL, 'Rubrerythrin', 137, NULL, 'Rubrerythrin', 36151),
(92426, 'PF12874', NULL, 'Zinc-finger of C2H2 type', 25, NULL, 'zf-met', 36152),
(92427, 'PF18011', NULL, 'C-terminal domain found in long catalases', 151, NULL, 'Catalase_C', 36153),
(92428, 'PF01768', NULL, 'Birnavirus VP4 protein', 259, NULL, 'Birna_VP4', 36154),
(92429, 'PF00506', NULL, 'Influenza virus nucleoprotein', 520, NULL, 'Flu_NP', 36155),
(92430, 'PF11658', NULL, 'Cellulose biosynthesis protein BcsG', 516, NULL, 'CBP_BcsG', 36156),
(92431, 'PF14543', NULL, 'Xylanase inhibitor N-terminal', 178, NULL, 'TAXi_N', 36157),
(92432, 'PF19180', NULL, 'Family of unknown function (DUF5862)', 68, NULL, 'DUF5862', 36158),
(92433, 'PF07109', NULL, 'Magnesium-protoporphyrin IX methyltransferase C-terminus', 97, NULL, 'Mg-por_mtran_C', 36159),
(92434, 'PF09533', NULL, 'Predicted lipoprotein of unknown function (DUF2380)', 189, NULL, 'DUF2380', 36160),
(92435, 'PF05644', NULL, 'Mitochondrial and peroxisomal fission factor Mff', 292, NULL, 'Miff', 36161),
(92436, 'PF01639', NULL, 'Viral family 110', 104, NULL, 'v110', 36162),
(92437, 'PF17061', NULL, 'PARM', 297, NULL, 'PARM', 36163),
(92438, 'PF06108', NULL, 'Protein of unknown function (DUF952)', 90, NULL, 'DUF952', 36164),
(92439, 'PF16625', NULL, 'Unstructured linking region I-set and fnIII on Brother of CDO', 65, NULL, 'ISET-FN3_linker', 36165),
(92440, 'PF01452', NULL, 'Rotavirus non structural protein', 173, NULL, 'Rota_NSP4', 36166),
(92441, 'PF09898', NULL, 'Uncharacterized protein conserved in bacteria (DUF2125)', 319, NULL, 'DUF2125', 36167),
(92442, 'PF07133', NULL, 'Merozoite surface protein (SPAM)', 176, NULL, 'Merozoite_SPAM', 36168),
(92443, 'PF08066', NULL, 'PMC2NT (NUC016) domain', 92, NULL, 'PMC2NT', 36169),
(92444, 'PF03911', NULL, 'Sec61beta family', 41, NULL, 'Sec61_beta', 36170),
(92445, 'PF02687', NULL, 'FtsX-like permease family', 96, NULL, 'FtsX', 36171),
(92446, 'PF04824', NULL, 'Conserved region of Rad21 / Rec8 like protein', 55, NULL, 'Rad21_Rec8', 36172),
(92447, 'PF13497', NULL, 'Domain of unknown function (DUF4121)', 264, NULL, 'DUF4121', 36173),
(92448, 'PF14635', NULL, 'Helix-hairpin-helix motif', 104, NULL, 'HHH_7', 36174),
(92449, 'PF15201', NULL, 'Progressive rod-cone degeneration', 54, NULL, 'Rod_cone_degen', 36175),
(92450, 'PF17598', NULL, 'Family of unknown function (DUF5494)', 84, NULL, 'DUF5494', 36176),
(92451, 'PF02892', NULL, 'BED zinc finger', 44, NULL, 'zf-BED', 36177),
(92452, 'PF05906', NULL, 'Herpesvirus-7 repeat of unknown function (DUF865)', 35, NULL, 'DUF865', 36178),
(92453, 'PF19982', NULL, 'Family of unknown function (DUF6418)', 109, NULL, 'DUF6418', 36179),
(92454, 'PF19104', NULL, 'Family of unknown function (DUF5791)', 124, NULL, 'DUF5791', 36180),
(92455, 'PF18500', NULL, 'CadC C-terminal domain 1', 134, NULL, 'CadC_C1', 36181),
(92456, 'PF06941', NULL, '5'' nucleotidase, deoxy (Pyrimidine), cytosolic type C protein (NT5C)', 180, NULL, 'NT5C', 36182),
(92457, 'PF08632', NULL, 'Activator of mitotic machinery Cdc14 phosphatase activation C-term', 52, NULL, 'Zds_C', 36183),
(92458, 'PF10419', NULL, 'TFIIIC subunit triple barrel domain', 103, NULL, 'TFIIIC_sub6', 36184),
(92459, 'PF09419', NULL, 'Mitochondrial PGP phosphatase', 170, NULL, 'PGP_phosphatase', 36185),
(92460, 'PF07593', NULL, 'ASPIC and UnbV', 68, NULL, 'UnbV_ASPIC', 36186),
(92461, 'PF01862', NULL, 'Pyruvoyl-dependent arginine decarboxylase (PvlArgDC)', 162, NULL, 'PvlArgDC', 36187),
(92462, 'PF10103', NULL, 'Zincin-like metallopeptidase', 332, NULL, 'Zincin_2', 36188),
(92463, 'PF17420', NULL, 'Superinfection exclusion gene product 17', 98, NULL, 'GP17', 36189),
(92464, 'PF18841', NULL, 'Beta solenoid repeat from Dextranase', 33, NULL, 'B_solenoid_dext', 36190),
(92465, 'PF19611', NULL, 'Family of unknown function (DUF6116)', 50, NULL, 'DUF6116', 36191),
(92466, 'PF17851', NULL, 'Beta xylosidase C-terminal Concanavalin A-like domain', 202, NULL, 'GH43_C2', 36192);
INSERT INTO "PUBLIC"."MODEL" VALUES
(92467, 'PF09629', NULL, 'YorP protein', 71, NULL, 'YorP', 36193),
(92468, 'PF14947', NULL, 'Winged helix-turn-helix', 77, NULL, 'HTH_45', 36194),
(92469, 'PF00696', NULL, 'Amino acid kinase family', 241, NULL, 'AA_kinase', 36195),
(92470, 'PF14714', NULL, 'KH-domain-like of EngA bacterial GTPase enzymes, C-terminal', 81, NULL, 'KH_dom-like', 36196),
(92471, 'PF00472', NULL, 'RF-1 domain', 116, NULL, 'RF-1', 36197),
(92472, 'PF11713', NULL, 'Peptidase C80 family', 154, NULL, 'Peptidase_C80', 36198),
(92473, 'PF17288', NULL, 'Terminase RNAseH like domain', 155, NULL, 'Terminase_3C', 36199),
(92474, 'PF01963', NULL, 'TraB/PrgY/gumN family', 263, NULL, 'TraB_PrgY_gumN', 36200),
(92475, 'PF02938', NULL, 'GAD domain', 95, NULL, 'GAD', 36201),
(92476, 'PF17185', NULL, 'NlpE C-terminal OB domain', 90, NULL, 'NlpE_C', 36202),
(92477, 'PF09249', NULL, 'tRNA nucleotidyltransferase, second domain', 113, NULL, 'tRNA_NucTransf2', 36203),
(92478, 'PF18694', NULL, 'Transactive response DNA-binding protein N-terminal domain', 74, NULL, 'TDP43_N', 36204),
(92479, 'PF10999', NULL, 'Protein of unknown function (DUF2839)', 68, NULL, 'DUF2839', 36205),
(92480, 'PF14709', NULL, 'double strand RNA binding domain from DEAD END PROTEIN 1', 80, NULL, 'DND1_DSRM', 36206),
(92481, 'PF10431', NULL, 'C-terminal, D2-small domain, of ClpB protein', 81, NULL, 'ClpB_D2-small', 36207),
(92482, 'PF11431', NULL, 'Membrane transport protein MerF', 45, NULL, 'Transport_MerF', 36208),
(92483, 'PF16559', NULL, 'GIT coiled-coil Rho guanine nucleotide exchange factor', 66, NULL, 'GIT_CC', 36209),
(92484, 'PF12263', NULL, 'Protein of unknown function (DUF3611)', 175, NULL, 'DUF3611', 36210),
(92485, 'PF16224', NULL, 'DOmain of unknown function (DUF4883)', 119, NULL, 'DUF4883', 36211),
(92486, 'PF04788', NULL, 'Protein of unknown function (DUF620)', 243, NULL, 'DUF620', 36212),
(92487, 'PF01734', NULL, 'Patatin-like phospholipase', 204, NULL, 'Patatin', 36213),
(92488, 'PF05048', NULL, 'Periplasmic copper-binding protein (NosD)', 210, NULL, 'NosD', 36214),
(92489, 'PF05182', NULL, 'Fip1 motif', 43, NULL, 'Fip1', 36215),
(92490, 'PF08665', NULL, 'PglZ domain', 176, NULL, 'PglZ', 36216),
(92491, 'PF13388', NULL, 'Protein of unknown function (DUF4106)', 420, NULL, 'DUF4106', 36217),
(92492, 'PF19123', NULL, 'Family of unknown function (DUF5807)', 106, NULL, 'DUF5807', 36218),
(92493, 'PF10796', NULL, 'Sigma-S stabilisation anti-adaptor protein', 86, NULL, 'Anti-adapt_IraP', 36219),
(92494, 'PF10924', NULL, 'Protein of unknown function (DUF2711)', 217, NULL, 'DUF2711', 36220),
(92495, 'PF12182', NULL, 'Bacterial lipoprotein', 93, NULL, 'DUF3642', 36221),
(92496, 'PF13563', NULL, '2''-5'' RNA ligase superfamily', 153, NULL, '2_5_RNA_ligase2', 36222),
(92497, 'PF16225', NULL, 'Domain of unknown function (DUF4884)', 49, NULL, 'DUF4884', 36223),
(92498, 'PF14370', NULL, 'C-terminal topoisomerase domain', 70, NULL, 'Topo_C_assoc', 36224),
(92499, 'PF19336', NULL, 'Domain of unknown function (DUF5921)', 431, NULL, 'DUF5921', 36225),
(92500, 'PF15328', NULL, 'Putative GRINL1B complex locus protein 2', 214, NULL, 'GCOM2', 36226),
(92501, 'PF15858', NULL, 'Late cornified envelope protein 6A family', 81, NULL, 'LCE6A', 36227),
(92502, 'PF19539', NULL, 'Family of unknown function (DUF6063)', 244, NULL, 'DUF6063', 36228),
(92503, 'PF18182', NULL, 'minimal CRISPR polymerase domain', 114, NULL, 'mCpol', 36229),
(92504, 'PF08695', NULL, 'Cytochrome oxidase complex assembly protein 1', 117, NULL, 'Coa1', 36230),
(92505, 'PF11813', NULL, 'Protein of unknown function (DUF3334)', 226, NULL, 'DUF3334', 36231),
(92506, 'PF17349', NULL, 'Family of unknown function (DUF5378)', 282, NULL, 'DUF5378', 36232),
(92507, 'PF20074', NULL, 'Family of unknown function (DUF6470)', 179, NULL, 'DUF6470', 36233),
(92508, 'PF16721', NULL, 'Zinc-finger like, probable DNA-binding', 102, NULL, 'zf-H3C2', 36234),
(92509, 'PF20054', NULL, 'Trypanosoma Tc-38 (p38) protein', 69, NULL, 'Tc-38', 36235),
(92510, 'PF06293', NULL, 'Lipopolysaccharide kinase (Kdo/WaaP) family', 207, NULL, 'Kdo', 36236);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(92511, 'PF00056', NULL, 'lactate/malate dehydrogenase, NAD binding domain', 141, NULL, 'Ldh_1_N', 36237),
(92512, 'PF06504', NULL, 'Replication protein C (RepC)', 273, NULL, 'RepC', 36238),
(92513, 'PF18526', NULL, 'Thymine dioxygenase JBP1 DNA-binding domain', 164, NULL, 'DB_JBP1', 36239),
(92514, 'PF07088', NULL, 'GvpD gas vesicle protein', 484, NULL, 'GvpD', 36240),
(92515, 'PF17926', NULL, 'Tetracyclin repressor-like, C-terminal domain', 111, NULL, 'TetR_C_21', 36241),
(92516, 'PF07291', NULL, 'Methylamine utilisation protein MauE', 185, NULL, 'MauE', 36242),
(92517, 'PF13202', NULL, 'EF hand', 25, NULL, 'EF-hand_5', 36243),
(92518, 'PF10995', NULL, 'Cellulose biosynthesis GIL', 516, NULL, 'CBP_GIL', 36244),
(92519, 'PF16489', NULL, 'GPCR-Autoproteolysis INducing (GAIN) domain', 210, NULL, 'GAIN', 36245),
(92520, 'PF00851', NULL, 'Helper component proteinase', 440, NULL, 'Peptidase_C6', 36246),
(92521, 'PF14821', NULL, 'Threonine synthase N terminus', 79, NULL, 'Thr_synth_N', 36247),
(92522, 'PF01849', NULL, 'NAC domain', 57, NULL, 'NAC', 36248),
(92523, 'PF14804', NULL, 'Jag N-terminus', 51, NULL, 'Jag_N', 36249),
(92524, 'PF15320', NULL, 'mRNA cap methylation, RNMT-activating mini protein', 87, NULL, 'RAM', 36250),
(92525, 'PF13410', NULL, 'Glutathione S-transferase, C-terminal domain', 70, NULL, 'GST_C_2', 36251),
(92526, 'PF13540', NULL, 'Regulator of chromosome condensation (RCC1) repeat', 30, NULL, 'RCC1_2', 36252),
(92527, 'PF14889', NULL, 'Penicillin-binding protein Tp47 domain a', 164, NULL, 'PBP-Tp47_a', 36253),
(92528, 'PF17996', NULL, 'Carbohydrate esterase 2 N-terminal', 110, NULL, 'CE2_N', 36254),
(92529, 'PF03277', NULL, 'Herpesvirus UL4 family', 187, NULL, 'Herpes_UL4', 36255),
(92530, 'PF15255', NULL, 'WASH complex subunit CAP-Z interacting, central region', 140, NULL, 'CAP-ZIP_m', 36256),
(92531, 'PF17497', NULL, 'Family of unknown function (DUF5432)', 74, NULL, 'DUF5432', 36257),
(92532, 'PF19705', NULL, 'Family of unknown function (DUF6202)', 274, NULL, 'DUF6202', 36258),
(92533, 'PF04489', NULL, 'Protein of unknown function (DUF570)', 427, NULL, 'DUF570', 36259),
(92534, 'PF06678', NULL, 'Protein of unknown function (DUF1179)', 107, NULL, 'DUF1179', 36260),
(92535, 'PF08901', NULL, 'Protein of unknown function (DUF1847)', 157, NULL, 'DUF1847', 36261),
(92536, 'PF18524', NULL, 'High potential iron-sulfur protein like', 40, NULL, 'HPIP_like', 36262),
(92537, 'PF07718', NULL, 'Coatomer beta C-terminal region', 140, NULL, 'Coatamer_beta_C', 36263),
(92538, 'PF12983', NULL, 'Protein of unknown function (DUF3867)', 185, NULL, 'DUF3867', 36264),
(92539, 'PF14854', NULL, 'Leucine rich adaptor protein', 118, NULL, 'LURAP', 36265),
(92540, 'PF03669', NULL, 'Uncharacterised protein family (UPF0139)', 97, NULL, 'UPF0139', 36266),
(92541, 'PF05597', NULL, 'Poly(hydroxyalcanoate) granule associated protein (phasin)', 126, NULL, 'Phasin', 36267),
(92542, 'PF08908', NULL, 'Domain of unknown function (DUF1852)', 323, NULL, 'DUF1852', 36268),
(92543, 'PF04568', NULL, 'Mitochondrial ATPase inhibitor, IATP', 98, NULL, 'IATP', 36269),
(92544, 'PF17495', NULL, 'Vpr-like OrfA', 106, NULL, 'OrfA', 36270),
(92545, 'PF03442', NULL, 'Carbohydrate binding domain X2', 83, NULL, 'CBM_X2', 36271),
(92546, 'PF05526', NULL, 'Rhodococcus equi virulence-associated protein', 177, NULL, 'R_equi_Vir', 36272),
(92547, 'PF10910', NULL, 'Protein of unknown function (DUF2744)', 118, NULL, 'DUF2744', 36273),
(92548, 'PF04637', NULL, 'Herpesvirus phosphoprotein 85 (HHV6-7 U14/HCMV UL25)', 524, NULL, 'Herpes_pp85', 36274),
(92549, 'PF06482', NULL, 'Collagenase NC10 and Endostatin', 170, NULL, 'Endostatin', 36275),
(92550, 'PF07435', NULL, 'YycH protein', 438, NULL, 'YycH', 36276),
(92551, 'PF17582', NULL, 'Cytomegalovirus UL20', 304, NULL, 'UL20', 36277),
(92552, 'PF01588', NULL, 'Putative tRNA binding domain', 96, NULL, 'tRNA_bind', 36278),
(92553, 'PF03420', NULL, 'Prohead core protein serine protease', 185, NULL, 'Peptidase_S77', 36279),
(92554, 'PF17178', NULL, 'Membrane-associated sensor', 192, NULL, 'MASE5', 36280);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(92555, 'PF12452', NULL, 'Protein of unknown function (DUF3685)', 192, NULL, 'DUF3685', 36281),
(92556, 'PF17980', NULL, 'Cysteine rich ADD domain in DNMT3', 56, NULL, 'ADD_DNMT3', 36282),
(92557, 'PF19994', NULL, 'GTPase-associated system helical domain', 377, NULL, 'GASH', 36283),
(92558, 'PF12108', NULL, 'Splicing factor SF3a60 binding domain', 27, NULL, 'SF3a60_bindingd', 36284),
(92559, 'PF10483', NULL, 'Elongator subunit Iki1', 298, NULL, 'Elong_Iki1', 36285),
(92560, 'PF12217', NULL, 'Catalytic beta propeller domain of bacteriophage endosialidase', 367, NULL, 'End_beta_propel', 36286),
(92561, 'PF16999', NULL, 'Vacuolar (H+)-ATPase G subunit', 104, NULL, 'V-ATPase_G_2', 36287),
(92562, 'PF00018', NULL, 'SH3 domain', 48, NULL, 'SH3_1', 36288),
(92563, 'PF08710', NULL, 'Coronavirus replicase NSP9', 111, NULL, 'CoV_NSP9', 36289),
(92564, 'PF12721', NULL, 'RIP homotypic interaction motif', 52, NULL, 'RHIM', 36290),
(92565, 'PF12641', NULL, 'Flavodoxin domain', 160, NULL, 'Flavodoxin_3', 36291),
(92566, 'PF16332', NULL, 'Domain of unknown function (DUF4962)', 476, NULL, 'DUF4962', 36292),
(92567, 'PF19441', NULL, 'Astrotactin 1/2 N-terminal', 549, NULL, 'ASTN_1_2_N', 36293),
(92568, 'PF12197', NULL, 'Bacillus cereus group antimicrobial protein', 45, NULL, 'lci', 36294),
(92569, 'PF16782', NULL, 'Nucleotide exchange factor SIL1', 292, NULL, 'SIL1', 36295),
(92570, 'PF02650', NULL, 'WhiA C-terminal HTH domain', 84, NULL, 'HTH_WhiA', 36296),
(92571, 'PF19420', NULL, 'N,N dimethylarginine dimethylhydrolase, eukaryotic', 291, NULL, 'DDAH_eukar', 36297),
(92572, 'PF00372', NULL, 'Hemocyanin, copper containing domain', 271, NULL, 'Hemocyanin_M', 36298),
(92573, 'PF09622', NULL, 'Putative integral membrane protein (DUF2391)', 268, NULL, 'DUF2391', 36299),
(92574, 'PF17264', NULL, 'Family of unknown function (DUF5330)', 65, NULL, 'DUF5330', 36300),
(92575, 'PF14970', NULL, 'Tubulin epsilon and delta complex protein 1', 165, NULL, 'TEDC1', 36301),
(92576, 'PF19417', NULL, 'RNase LS, bacterial toxin N-terminal', 82, NULL, 'RnlA_toxin_N', 36302),
(92577, 'PF09564', NULL, 'NgoBV restriction endonuclease', 238, NULL, 'RE_NgoBV', 36303),
(92578, 'PF18295', NULL, 'M17 aminopeptidase N-terminal domain 2', 122, NULL, 'Pdase_M17_N2', 36304),
(92579, 'PF06306', NULL, 'Beta-1,4-N-acetylgalactosaminyltransferase (CgtA)', 347, NULL, 'CgtA', 36305),
(92580, 'PF11055', NULL, 'Glucose signalling factor 2', 373, NULL, 'Gsf2', 36306),
(92581, 'PF12047', NULL, 'Cytosine specific DNA methyltransferase replication foci domain', 144, NULL, 'DNMT1-RFD', 36307),
(92582, 'PF16264', NULL, 'SatD family (SatD)', 211, NULL, 'SatD', 36308),
(92583, 'PF00452', NULL, 'Apoptosis regulator proteins, Bcl-2 family', 100, NULL, 'Bcl-2', 36309),
(92584, 'PF03988', NULL, 'Repeat of Unknown Function (DUF347)', 52, NULL, 'DUF347', 36310),
(92585, 'PF16582', NULL, 'Middle domain of thiamine pyrophosphate', 208, NULL, 'TPP_enzyme_M_2', 36311),
(92586, 'PF19504', NULL, 'Family of unknown function (DUF6038)', 491, NULL, 'DUF6038', 36312),
(92587, 'PF11694', NULL, 'Protein of unknown function (DUF3290)', 144, NULL, 'DUF3290', 36313),
(92588, 'PF19560', NULL, 'Family of unknown function (DUF6082)', 163, NULL, 'DUF6082', 36314),
(92589, 'PF04503', NULL, 'Single-stranded DNA binding protein, SSDP', 291, NULL, 'SSDP', 36315),
(92590, 'PF04564', NULL, 'U-box domain', 73, NULL, 'U-box', 36316),
(92591, 'PF00997', NULL, 'Kappa casein', 160, NULL, 'Casein_kappa', 36317),
(92592, 'PF12164', NULL, 'Stage V sporulation protein AA', 89, NULL, 'SporV_AA', 36318),
(92593, 'PF12045', NULL, 'Protein of unknown function (DUF3528)', 127, NULL, 'DUF3528', 36319),
(92594, 'PF05218', NULL, 'Protein of unknown function (DUF713)', 185, NULL, 'DUF713', 36320),
(92595, 'PF15874', NULL, 'Putative Interleukin 2 receptor, gamma chain', 91, NULL, 'Il2rg', 36321),
(92596, 'PF08785', NULL, 'Ku C terminal domain like', 119, NULL, 'Ku_PK_bind', 36322),
(92597, 'PF00376', NULL, 'MerR family regulatory protein', 38, NULL, 'MerR', 36323),
(92598, 'PF00478', NULL, 'IMP dehydrogenase / GMP reductase domain', 345, NULL, 'IMPDH', 36324);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(92599, 'PF16562', NULL, 'N-terminal domain of E3 ubiquitin-protein ligase HECW1 and 2', 120, NULL, 'HECW_N', 36325),
(92600, 'PF11016', NULL, 'Protein of unknown function (DUF2854)', 146, NULL, 'DUF2854', 36326),
(92601, 'PF01005', NULL, 'Flavivirus non-structural protein NS2A', 185, NULL, 'Flavi_NS2A', 36327),
(92602, 'PF09509', NULL, 'Protein of unknown function (Hypoth_ymh)', 119, NULL, 'Hypoth_Ymh', 36328),
(92603, 'PF10685', NULL, 'Stress-induced bacterial acidophilic repeat motif', 22, NULL, 'KGG', 36329),
(92604, 'PF01718', NULL, 'Orbivirus non-structural protein NS1, or hydrophobic tubular protein', 548, NULL, 'Orbi_NS1', 36330),
(92605, 'PF11069', NULL, 'Cilia- and flagella-associated protein 298', 97, NULL, 'CFAP298', 36331),
(92606, 'PF14289', NULL, 'Domain of unknown function (DUF4369)', 92, NULL, 'DUF4369', 36332),
(92607, 'PF19174', NULL, 'Family of unknown function (DUF5856)', 94, NULL, 'DUF5856', 36333),
(92608, 'PF12816', NULL, 'Golgi CORVET complex core vacuolar protein 8', 198, NULL, 'Vps8', 36334),
(92609, 'PF12715', NULL, 'Abhydrolase family', 388, NULL, 'Abhydrolase_7', 36335),
(92610, 'PF19358', NULL, 'Family of unknown function (DUF5935)', 193, NULL, 'DUF5935', 36336),
(92611, 'PF10141', NULL, 'Single-strand DNA-specific exonuclease, C terminal domain', 202, NULL, 'ssDNA-exonuc_C', 36337),
(92612, 'PF13506', NULL, 'Glycosyl transferase family 21', 173, NULL, 'Glyco_transf_21', 36338),
(92613, 'PF19100', NULL, 'Family of unknown function (DUF5787)', 263, NULL, 'DUF5787', 36339),
(92614, 'PF05338', NULL, 'Protein of unknown function (DUF717)', 55, NULL, 'DUF717', 36340),
(92615, 'PF00284', NULL, 'Lumenal portion of Cytochrome b559, alpha (gene psbE) subunit', 39, NULL, 'Cytochrom_B559a', 36341),
(92616, 'PF14055', NULL, 'NVEALA protein', 65, NULL, 'NVEALA', 36342),
(92617, 'PF10650', NULL, 'Putative zinc-finger domain', 22, NULL, 'zf-C3H1', 36343),
(92618, 'PF10648', NULL, 'Immunoglobulin-like domain of bacterial spore germination', 86, NULL, 'Gmad2', 36344),
(92619, 'PF15440', NULL, 'THRAP3/BCLAF1 family', 658, NULL, 'THRAP3_BCLAF1', 36345),
(92620, 'PF11757', NULL, 'Suppressor of RNA silencing P21-like N-terminal domain', 94, NULL, 'RSS_P20', 36346),
(92621, 'PF02570', NULL, 'Precorrin-8X methylmutase', 196, NULL, 'CbiC', 36347),
(92622, 'PF09145', NULL, 'Ubiquitin-associated', 44, NULL, 'Ubiq-assoc', 36348),
(92623, 'PF13005', NULL, 'zinc-finger binding domain of transposase IS66', 46, NULL, 'zf-IS66', 36349),
(92624, 'PF13383', NULL, 'Methyltransferase domain', 252, NULL, 'Methyltransf_22', 36350),
(92625, 'PF19264', NULL, 'Repeat of unknown function (DUF5907)', 80, NULL, 'DUF5907', 36351),
(92626, 'PF01645', NULL, 'Conserved region in glutamate synthase', 368, NULL, 'Glu_synthase', 36352),
(92627, 'PF10441', NULL, 'Urb2/Npa2 family', 206, NULL, 'Urb2', 36353),
(92628, 'PF14188', NULL, 'Domain of unknown function (DUF4311)', 212, NULL, 'DUF4311', 36354),
(92629, 'PF20026', NULL, 'Domain of unknown function (DUF6434)', 64, NULL, 'DUF6434', 36355),
(92630, 'PF00498', NULL, 'FHA domain', 69, NULL, 'FHA', 36356),
(92631, 'PF08407', NULL, 'Chitin synthase N-terminal', 73, NULL, 'Chitin_synth_1N', 36357),
(92632, 'PF14873', NULL, 'N-terminal domain of BNR-repeat neuraminidase', 153, NULL, 'BNR_assoc_N', 36358),
(92633, 'PF06597', NULL, 'Clostridium P-47 protein', 461, NULL, 'Clostridium_P47', 36359),
(92634, 'PF07062', NULL, 'Clc-like', 212, NULL, 'Clc-like', 36360),
(92635, 'PF12409', NULL, 'P5-type ATPase cation transporter', 125, NULL, 'P5-ATPase', 36361),
(92636, 'PF16602', NULL, 'Linker region of USP19 deubiquitinase', 121, NULL, 'USP19_linker', 36362),
(92637, 'PF09652', NULL, 'Putative CRISPR-associated protein (Cas_VVA1548)', 91, NULL, 'Cas_VVA1548', 36363),
(92638, 'PF16835', NULL, 'Pre-mRNA-splicing factor SF3a complex subunit 2 (Prp11)', 96, NULL, 'SF3A2', 36364),
(92639, 'PF09374', NULL, 'Predicted Peptidoglycan domain', 76, NULL, 'PG_binding_3', 36365),
(92640, 'PF12644', NULL, 'Protein of unknown function (DUF3782)', 78, NULL, 'DUF3782', 36366),
(92641, 'PF19097', NULL, 'Snu56-like U1 small nuclear ribonucleoprotein component', 438, NULL, 'Snu56_snRNP', 36367);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(92642, 'PF03507', NULL, 'CagA exotoxin phosphopeptide substrate mimic region', 39, NULL, 'CagA', 36368),
(92643, 'PF11529', NULL, 'Melampsora lini avirulence protein AvrL567-A', 127, NULL, 'AvrL567-A', 36369),
(92644, 'PF07069', NULL, 'Porcine reproductive and respiratory syndrome virus 2b', 73, NULL, 'PRRSV_2b', 36370),
(92645, 'PF04315', NULL, 'Elongation factor P hydroxylase', 163, NULL, 'EpmC', 36371),
(92646, 'PF16128', NULL, 'Domain of unknown function (DUF4840)', 143, NULL, 'DUF4840', 36372),
(92647, 'PF04198', NULL, 'Putative sugar-binding domain', 257, NULL, 'Sugar-bind', 36373),
(92648, 'PF12850', NULL, 'Calcineurin-like phosphoesterase superfamily domain', 160, NULL, 'Metallophos_2', 36374),
(92649, 'PF13469', NULL, 'Sulfotransferase family', 217, NULL, 'Sulfotransfer_3', 36375),
(92650, 'PF03061', NULL, 'Thioesterase superfamily', 79, NULL, '4HBT', 36376),
(92651, 'PF02975', NULL, 'Methylamine dehydrogenase, L chain', 113, NULL, 'Me-amine-dh_L', 36377),
(92652, 'PF12555', NULL, 'Thiamine pyrophosphokinase C terminal', 52, NULL, 'TPPK_C', 36378),
(92653, 'PF02728', NULL, 'Copper amine oxidase, N3 domain', 100, NULL, 'Cu_amine_oxidN3', 36379),
(92654, 'PF04498', NULL, 'Poxvirus nucleic acid binding protein VP8/L4R', 217, NULL, 'Pox_VP8_L4R', 36380),
(92655, 'PF17152', NULL, 'Periplasmic sensor domain', 102, NULL, 'CHASE8', 36381),
(92656, 'PF01180', NULL, 'Dihydroorotate dehydrogenase', 295, NULL, 'DHO_dh', 36382),
(92657, 'PF03311', NULL, 'Cornichon protein', 122, NULL, 'Cornichon', 36383),
(92658, 'PF09040', NULL, 'Gastric H+/K+-ATPase, N terminal domain', 43, NULL, 'H-K_ATPase_N', 36384),
(92659, 'PF17426', NULL, 'Putative Gamma DNA binding protein G5P', 108, NULL, 'Putative_G5P', 36385),
(92660, 'PF03465', NULL, 'eRF1 domain 3', 113, NULL, 'eRF1_3', 36386),
(92661, 'PF05609', NULL, 'Lamina-associated polypeptide 1C (LAP1C)', 455, NULL, 'LAP1C', 36387),
(92662, 'PF14086', NULL, 'Domain of unknown function (DUF4266)', 50, NULL, 'DUF4266', 36388),
(92663, 'PF06547', NULL, 'Protein of unknown function (DUF1117)', 113, NULL, 'DUF1117', 36389),
(92664, 'PF09859', NULL, 'Oxygenase, catalysing oxidative methylation of damaged DNA', 172, NULL, 'Oxygenase-NA', 36390),
(92665, 'PF12029', NULL, 'Domain of unknown function (DUF3516)', 458, NULL, 'DUF3516', 36391),
(92666, 'PF03981', NULL, 'Ubiquinol-cytochrome C chaperone', 141, NULL, 'Ubiq_cyt_C_chap', 36392),
(92667, 'PF09306', NULL, 'Bacteriophage, scaffolding protein', 303, NULL, 'Phage-scaffold', 36393),
(92668, 'PF14487', NULL, 'ssDNA thymidine ADP-ribosyltransferase, DarT', 201, NULL, 'DarT', 36394),
(92669, 'PF16701', NULL, 'Adenylate cyclase regulatory domain', 186, NULL, 'Ad_Cy_reg', 36395),
(92670, 'PF00971', NULL, 'EIAV coat protein, gp90', 385, NULL, 'EIAV_GP90', 36396),
(92671, 'PF01611', NULL, 'Filovirus glycoprotein', 375, NULL, 'Filo_glycop', 36397),
(92672, 'PF01457', NULL, 'Leishmanolysin', 529, NULL, 'Peptidase_M8', 36398),
(92673, 'PF09659', NULL, 'CRISPR-associated protein (Cas_Csm6)', 373, NULL, 'Cas_Csm6', 36399),
(92674, 'PF10521', NULL, 'Tti2 family', 281, NULL, 'Tti2', 36400),
(92675, 'PF14445', NULL, 'Prokaryotic RING finger family 2', 56, NULL, 'Prok-RING_2', 36401),
(92676, 'PF01450', NULL, 'Acetohydroxy acid isomeroreductase, catalytic domain', 144, NULL, 'IlvC', 36402),
(92677, 'PF15001', NULL, 'AP-5 complex subunit sigma-1', 192, NULL, 'AP-5_subunit_s1', 36403),
(92678, 'PF14785', NULL, 'Maltose transport system permease protein MalF P2 domain', 164, NULL, 'MalF_P2', 36404),
(92679, 'PF15528', NULL, 'Bacterial toxin 23', 193, NULL, 'Ntox23', 36405),
(92680, 'PF18310', NULL, 'Domain of unknown function (DUF5605)', 73, NULL, 'DUF5605', 36406),
(92681, 'PF15177', NULL, 'Interleukin-28A', 157, NULL, 'IL28A', 36407),
(92682, 'PF04485', NULL, 'Phycobilisome degradation protein nblA', 50, NULL, 'NblA', 36408),
(92683, 'PF03374', NULL, 'Phage antirepressor protein KilAC domain', 108, NULL, 'ANT', 36409),
(92684, 'PF03870', NULL, 'RNA polymerase Rpb8', 140, NULL, 'RNA_pol_Rpb8', 36410),
(92685, 'PF07007', NULL, 'Lysozyme inhibitor LprI', 95, NULL, 'LprI', 36411);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(92686, 'PF14115', NULL, 'YuzL-like protein', 41, NULL, 'YuzL', 36412),
(92687, 'PF17356', NULL, 'Phage-like element PBSX protein XtrA', 64, NULL, 'PBSX_XtrA', 36413),
(92688, 'PF17144', NULL, 'Ribosomal large subunit proteins 60S L5, and 50S L18', 163, NULL, 'Ribosomal_L5e', 36414),
(92689, 'PF14863', NULL, 'Alkyl sulfatase dimerisation', 139, NULL, 'Alkyl_sulf_dimr', 36415),
(92690, 'PF11354', NULL, 'Protein of unknown function (DUF3156)', 161, NULL, 'DUF3156', 36416),
(92691, 'PF04157', NULL, 'EAP30/Vps36 family', 237, NULL, 'EAP30', 36417),
(92692, 'PF16395', NULL, 'Domain of unknown function (DUF5004)', 145, NULL, 'DUF5004', 36418),
(92693, 'PF18630', NULL, 'Peptidase M60 C-terminal domain', 64, NULL, 'Peptidase_M60_C', 36419),
(92694, 'PF15789', NULL, 'Hyphally regulated cell wall GPI-anchored protein 1', 41, NULL, 'Hyr1', 36420),
(92695, 'PF02331', NULL, 'Apoptosis preventing protein', 296, NULL, 'P35', 36421),
(92696, 'PF17226', NULL, 'MTA R1 domain', 79, NULL, 'MTA_R1', 36422),
(92697, 'PF19031', NULL, 'First Longin domain of INTU, CCZ1 and HPS4', 113, NULL, 'Intu_longin_1', 36423),
(92698, 'PF11505', NULL, 'Protein of unknown function (DUF3216)', 91, NULL, 'DUF3216', 36424),
(92699, 'PF09423', NULL, 'PhoD-like phosphatase', 350, NULL, 'PhoD', 36425),
(92700, 'PF05176', NULL, 'ATP10 protein', 257, NULL, 'ATP-synt_10', 36426),
(92701, 'PF06049', NULL, 'Coagulation Factor V LSPD Repeat', 9, NULL, 'LSPR', 36427),
(92702, 'PF08960', NULL, 'Domain of unknown function (DUF1874)', 104, NULL, 'DUF1874', 36428),
(92703, 'PF05258', NULL, 'Dna[CI] antecedent, DciA', 89, NULL, 'DciA', 36429),
(92704, 'PF09439', NULL, 'Signal recognition particle receptor beta subunit', 181, NULL, 'SRPRB', 36430),
(92705, 'PF12267', NULL, 'Protein of unknown function (DUF3614)', 173, NULL, 'DUF3614', 36431),
(92706, 'PF05416', NULL, 'Southampton virus-type processing peptidase', 535, NULL, 'Peptidase_C37', 36432),
(92707, 'PF18363', NULL, 'Phosphoinositide phosphatase insertion domain', 97, NULL, 'PI_PP_I', 36433),
(92708, 'PF11745', NULL, 'Protein of unknown function (DUF3304)', 104, NULL, 'DUF3304', 36434),
(92709, 'PF11953', NULL, 'Domain of unknown function (DUF3470)', 42, NULL, 'DUF3470', 36435),
(92710, 'PF02889', NULL, 'Sec63 Brl domain', 259, NULL, 'Sec63', 36436),
(92711, 'PF09407', NULL, 'AbiEi antitoxin C-terminal domain', 142, NULL, 'AbiEi_1', 36437),
(92712, 'PF03141', NULL, 'Putative S-adenosyl-L-methionine-dependent methyltransferase', 506, NULL, 'Methyltransf_29', 36438),
(92713, 'PF01153', NULL, 'Glypican', 555, NULL, 'Glypican', 36439),
(92714, 'PF11927', NULL, 'Protein of unknown function (DUF3445)', 225, NULL, 'DUF3445', 36440),
(92715, 'PF17213', NULL, 'Hydin Adenylate kinase-like domain', 199, NULL, 'Hydin_ADK', 36441),
(92716, 'PF03568', NULL, 'Peptidase family C50', 393, NULL, 'Peptidase_C50', 36442),
(92717, 'PF15960', NULL, 'Domain of unknown function (DUF4763)', 244, NULL, 'DUF4763', 36443),
(92718, 'PF14706', NULL, 'Transposase DNA-binding', 58, NULL, 'Tnp_DNA_bind', 36444),
(92719, 'PF05599', NULL, 'Deltaretrovirus Tax protein', 87, NULL, 'Deltaretro_Tax', 36445),
(92720, 'PF00954', NULL, 'S-locus glycoprotein domain', 111, NULL, 'S_locus_glycop', 36446),
(92721, 'PF11163', NULL, 'Protein of unknown function (DUF2947)', 152, NULL, 'DUF2947', 36447),
(92722, 'PF15131', NULL, 'Domain of unknown function (DUF4567)', 75, NULL, 'DUF4567', 36448),
(92723, 'PF14290', NULL, 'Domain of unknown function (DUF4370)', 237, NULL, 'DUF4370', 36449),
(92724, 'PF10181', NULL, 'GPI-GlcNAc transferase complex, PIG-H component', 70, NULL, 'PIG-H', 36450),
(92725, 'PF10593', NULL, 'Z1 domain', 229, NULL, 'Z1', 36451),
(92726, 'PF13899', NULL, 'Thioredoxin-like', 83, NULL, 'Thioredoxin_7', 36452),
(92727, 'PF13932', NULL, 'tRNA modifying enzyme MnmG/GidA C-terminal domain', 210, NULL, 'GIDA_C', 36453),
(92728, 'PF07698', NULL, '7TM receptor with intracellular HD hydrolase', 193, NULL, '7TM-7TMR_HD', 36454),
(92729, 'PF06050', NULL, '2-hydroxyglutaryl-CoA dehydratase, D-component', 324, NULL, 'HGD-D', 36455);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(92730, 'PF12396', NULL, 'Protein of unknown function (DUF3659)', 61, NULL, 'DUF3659', 36456),
(92731, 'PF00629', NULL, 'MAM domain, meprin/A5/mu', 160, NULL, 'MAM', 36457),
(92732, 'PF00972', NULL, 'Flavivirus RNA-directed RNA polymerase', 644, NULL, 'Flavi_NS5', 36458),
(92733, 'PF04910', NULL, 'Transcriptional repressor TCF25', 351, NULL, 'Tcf25', 36459),
(92734, 'PF09508', NULL, 'Lacto-N-biose phosphorylase N-terminal TIM barrel domain', 434, NULL, 'Lact_bio_phlase', 36460),
(92735, 'PF03327', NULL, 'Herpesvirus capsid shell protein VP19C', 265, NULL, 'Herpes_VP19C', 36461),
(92736, 'PF08255', NULL, 'Trp-operon Leader Peptide', 14, NULL, 'Leader_Trp', 36462),
(92737, 'PF05128', NULL, 'Domain of unknown function (DUF697)', 162, NULL, 'DUF697', 36463),
(92738, 'PF00383', NULL, 'Cytidine and deoxycytidylate deaminase zinc-binding region', 101, NULL, 'dCMP_cyt_deam_1', 36464),
(92739, 'PF12071', NULL, 'Protein of unknown function (DUF3551)', 76, NULL, 'DUF3551', 36465),
(92740, 'PF09381', NULL, 'Outer membrane protein G (OmpG)', 285, NULL, 'Porin_OmpG', 36466),
(92741, 'PF19120', NULL, 'Family of unknown function (DUF5804)', 108, NULL, 'DUF5804', 36467),
(92742, 'PF09742', NULL, 'Dyggve-Melchior-Clausen syndrome protein', 688, NULL, 'Dymeclin', 36468),
(92743, 'PF09680', NULL, 'Family of unknown function', 24, NULL, 'YjcZ_2', 36469),
(92744, 'PF08212', NULL, 'Lipocalin-like domain', 143, NULL, 'Lipocalin_2', 36470),
(92745, 'PF11588', NULL, 'Protein of unknown function (DUF3243)', 79, NULL, 'DUF3243', 36471),
(92746, 'PF07705', NULL, 'CARDB', 102, NULL, 'CARDB', 36472),
(92747, 'PF08237', NULL, 'PE-PPE domain', 227, NULL, 'PE-PPE', 36473),
(92748, 'PF14997', NULL, 'CECR6/TMEM121 family', 195, NULL, 'CECR6_TMEM121', 36474),
(92749, 'PF07171', NULL, 'MlrC C-terminus', 178, NULL, 'MlrC_C', 36475),
(92750, 'PF17973', NULL, 'Bacterial Alpha-2-macroglobulin MG10 domain', 131, NULL, 'bMG10', 36476),
(92751, 'PF06980', NULL, 'Protein of unknown function (DUF1302)', 565, NULL, 'DUF1302', 36477),
(92752, 'PF07719', NULL, 'Tetratricopeptide repeat', 34, NULL, 'TPR_2', 36478),
(92753, 'PF12518', NULL, 'Protein of unknown function', 33, NULL, 'DUF3721', 36479),
(92754, 'PF05616', NULL, 'Neisseria meningitidis TspB protein', 517, NULL, 'Neisseria_TspB', 36480),
(92755, 'PF05501', NULL, 'Domain of unknown function (DUF755)', 123, NULL, 'DUF755', 36481),
(92756, 'PF14940', NULL, 'Transmembrane 219', 238, NULL, 'TMEM219', 36482),
(92757, 'PF02812', NULL, 'Glu/Leu/Phe/Val dehydrogenase, dimerisation domain', 130, NULL, 'ELFV_dehydrog_N', 36483),
(92758, 'PF18025', NULL, 'Alpha-(1,3)-fucosyltransferase FucT N-terminal domain', 92, NULL, 'FucT_N', 36484),
(92759, 'PF14036', NULL, 'YlaH-like protein', 76, NULL, 'YlaH', 36485),
(92760, 'PF00404', NULL, 'Dockerin type I domain', 58, NULL, 'Dockerin_1', 36486),
(92761, 'PF04357', NULL, 'TamB, inner membrane protein subunit of TAM complex', 383, NULL, 'TamB', 36487),
(92762, 'PF05617', NULL, 'Prolamin-like', 67, NULL, 'Prolamin_like', 36488),
(92763, 'PF02603', NULL, 'HPr Serine kinase N terminus', 125, NULL, 'Hpr_kinase_N', 36489),
(92764, 'PF09984', NULL, 'Single cache domain 4', 148, NULL, 'sCache_4', 36490),
(92765, 'PF18626', NULL, 'Glutaminase', 106, NULL, 'Gln_deamidase_2', 36491),
(92766, 'PF19460', NULL, 'Family of unknown function (DUF5997)', 108, NULL, 'DUF5997', 36492),
(92767, 'PF09775', NULL, 'Keratinocyte-associated protein 2', 129, NULL, 'Keratin_assoc', 36493),
(92768, 'PF03139', NULL, 'Vanadium/alternative nitrogenase delta subunit', 111, NULL, 'AnfG_VnfG', 36494),
(92769, 'PF10341', NULL, 'Shelterin complex subunit, TPP1/ACD', 110, NULL, 'TPP1', 36495),
(92770, 'PF13662', NULL, 'Toprim domain', 89, NULL, 'Toprim_4', 36496),
(92771, 'PF14490', NULL, 'Helix-hairpin-helix containing domain', 92, NULL, 'HHH_4', 36497),
(92772, 'PF03194', NULL, 'LUC7 N_terminus', 251, NULL, 'LUC7', 36498),
(92773, 'PF01110', NULL, 'Ciliary neurotrophic factor', 194, NULL, 'CNTF', 36499),
(92774, 'PF15034', NULL, 'KRTAP type 7 family', 84, NULL, 'KRTAP7', 36500),
(92775, 'PF13051', NULL, 'Protein of unknown function (DUF3912)', 84, NULL, 'DUF3912', 36501); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(92776, 'PF07589', NULL, 'PEP-CTERM motif', 23, NULL, 'PEP-CTERM', 36502),
(92777, 'PF03354', NULL, 'Phage Terminase', 468, NULL, 'Terminase_1', 36503),
(92778, 'PF06512', NULL, 'Sodium ion transport-associated', 200, NULL, 'Na_trans_assoc', 36504),
(92779, 'PF14760', NULL, 'Rnk N-terminus', 41, NULL, 'Rnk_N', 36505),
(92780, 'PF04264', NULL, 'YceI-like domain', 146, NULL, 'YceI', 36506),
(92781, 'PF17342', NULL, 'Family of unknown function (DUF5372)', 78, NULL, 'DUF5372', 36507),
(92782, 'PF09007', NULL, 'EBP50, C-terminal', 128, NULL, 'EBP50_C', 36508),
(92783, 'PF08105', NULL, 'Metchnikowin family', 50, NULL, 'Antimicrobial10', 36509),
(92784, 'PF11993', NULL, 'Ribosomal S4P (gammaproteobacterial)', 163, NULL, 'Ribosomal_S4Pg', 36510),
(92785, 'PF05246', NULL, 'Protein of unknown function (DUF735)', 204, NULL, 'DUF735', 36511),
(92786, 'PF15982', NULL, 'N-terminal cysteine-rich region of Transmembrane protein 135', 134, NULL, 'TMEM135_C_rich', 36512),
(92787, 'PF19468', NULL, 'Family of unknown function (DUF6005)', 327, NULL, 'DUF6005', 36513),
(92788, 'PF10512', NULL, 'Cell division cycle-associated protein 8', 122, NULL, 'Borealin', 36514),
(92789, 'PF13436', NULL, 'Glycine-zipper domain', 44, NULL, 'Gly-zipper_OmpA', 36515),
(92790, 'PF19680', NULL, 'Family of unknown function (DUF6182)', 242, NULL, 'DUF6182', 36516),
(92791, 'PF19620', NULL, 'Family of unknown function (DUF6125)', 164, NULL, 'DUF6125', 36517),
(92792, 'PF04877', NULL, 'HrpZ', 308, NULL, 'Harpin', 36518),
(92793, 'PF16977', NULL, 'C-terminal domain of apextrin', 206, NULL, 'ApeC', 36519),
(92794, 'PF11564', NULL, 'Restriction endonuclease BpuJI - N terminal', 278, NULL, 'BpuJI_N', 36520),
(92795, 'PF02257', NULL, 'RFX DNA-binding domain', 79, NULL, 'RFX_DNA_binding', 36521),
(92796, 'PF02417', NULL, 'Chromate transporter', 157, NULL, 'Chromate_transp', 36522),
(92797, 'PF07684', NULL, 'NOTCH protein', 59, NULL, 'NODP', 36523),
(92798, 'PF19946', NULL, 'Family of unknown function (DUF6408)', 42, NULL, 'DUF6408', 36524),
(92799, 'PF03167', NULL, 'Uracil DNA glycosylase superfamily', 155, NULL, 'UDG', 36525),
(92800, 'PF14934', NULL, 'Domain of unknown function (DUF4499)', 91, NULL, 'DUF4499', 36526),
(92801, 'PF17780', NULL, 'OCRE domain', 52, NULL, 'OCRE', 36527),
(92802, 'PF12510', NULL, 'Smoothelin cytoskeleton protein', 50, NULL, 'Smoothelin', 36528),
(92803, 'PF02154', NULL, 'Flagellar motor switch protein FliM', 192, NULL, 'FliM', 36529),
(92804, 'PF04900', NULL, 'Fcf1', 99, NULL, 'Fcf1', 36530),
(92805, 'PF05806', NULL, 'Noggin', 216, NULL, 'Noggin', 36531),
(92806, 'PF10247', NULL, 'Reactive mitochondrial oxygen species modulator 1', 66, NULL, 'Romo1', 36532),
(92807, 'PF11630', NULL, 'Protein of unknown function (DUF3254)', 100, NULL, 'DUF3254', 36533),
(92808, 'PF00543', NULL, 'Nitrogen regulatory protein P-II', 102, NULL, 'P-II', 36534),
(92809, 'PF11773', NULL, 'Type II secretory pathway pseudopilin', 82, NULL, 'PulG', 36535),
(92810, 'PF03405', NULL, 'Fatty acid desaturase', 326, NULL, 'FA_desaturase_2', 36536),
(92811, 'PF14928', NULL, 'Short tail fibre protein receptor-binding domain', 93, NULL, 'S_tail_recep_bd', 36537),
(92812, 'PF18293', NULL, 'Caprin-1 dimerization domain', 116, NULL, 'Caprin-1_dimer', 36538),
(92813, 'PF09444', NULL, 'MRC1-like domain', 147, NULL, 'MRC1', 36539),
(92814, 'PF07837', NULL, 'Formiminotransferase domain, N-terminal subdomain', 176, NULL, 'FTCD_N', 36540),
(92815, 'PF13173', NULL, 'AAA domain', 130, NULL, 'AAA_14', 36541),
(92816, 'PF07558', NULL, 'Shugoshin N-terminal coiled-coil region', 45, NULL, 'Shugoshin_N', 36542),
(92817, 'PF17610', NULL, 'Family of unknown function (DUF5505)', 156, NULL, 'DUF5505', 36543),
(92818, 'PF10601', NULL, 'LITAF-like zinc ribbon domain', 70, NULL, 'zf-LITAF-like', 36544),
(92819, 'PF11985', NULL, 'Protein of unknown function (DUF3486)', 180, NULL, 'DUF3486', 36545),
(92820, 'PF15941', NULL, 'FidL-like putative membrane protein', 90, NULL, 'FidL_like', 36546),
(92821, 'PF18693', NULL, 'TRAM domain', 62, NULL, 'TRAM_2', 36547),
(92822, 'PF17333', NULL, 'Beta defensin 136', 51, NULL, 'DEFB136', 36548);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(92823, 'PF07543', NULL, 'Protein trafficking PGA2', 138, NULL, 'PGA2', 36549),
(92824, 'PF17156', NULL, 'Gammaproteobacterial periplasmic sensor domain', 204, NULL, 'GAPES2', 36550),
(92825, 'PF15294', NULL, 'Leucine zipper', 276, NULL, 'Leu_zip', 36551),
(92826, 'PF08734', NULL, 'GYD domain', 91, NULL, 'GYD', 36552),
(92827, 'PF07461', NULL, 'Nicotine adenine dinucleotide glycohydrolase (NADase)', 446, NULL, 'NADase_NGA', 36553),
(92828, 'PF14670', NULL, 'Coagulation Factor Xa inhibitory site', 36, NULL, 'FXa_inhibition', 36554),
(92829, 'PF02170', NULL, 'PAZ domain', 139, NULL, 'PAZ', 36555),
(92830, 'PF09707', NULL, 'CRISPR-associated protein (Cas_Cas2CT1978)', 86, NULL, 'Cas_Cas2CT1978', 36556),
(92831, 'PF04062', NULL, 'ARP2/3 complex ARPC3 (21 kDa) subunit', 174, NULL, 'P21-Arc', 36557),
(92832, 'PF15266', NULL, 'Domain of unknown function (DUF4594)', 177, NULL, 'DUF4594', 36558),
(92833, 'PF18037', NULL, 'Ubiquitin-like domain', 98, NULL, 'Ubiquitin_5', 36559),
(92834, 'PF13322', NULL, 'Domain of unknown function (DUF4092)', 176, NULL, 'DUF4092', 36560),
(92835, 'PF13543', NULL, 'SAM like domain present in kinase suppressor RAS 1', 129, NULL, 'SAM_KSR1', 36561),
(92836, 'PF03588', NULL, 'Leucyl/phenylalanyl-tRNA protein transferase', 169, NULL, 'Leu_Phe_trans', 36562),
(92837, 'PF08159', NULL, 'NUC153 domain', 29, NULL, 'NUC153', 36563),
(92838, 'PF09730', NULL, 'Microtubule-associated protein Bicaudal-D', 718, NULL, 'BicD', 36564),
(92839, 'PF14602', NULL, 'Hexapeptide repeat of succinyl-transferase', 34, NULL, 'Hexapep_2', 36565),
(92840, 'PF20007', NULL, 'FtsH ternary system-associated peptide', 73, NULL, 'fvmRadSAM-pep', 36566),
(92841, 'PF12594', NULL, 'Protein of unknown function (DUF3764)', 84, NULL, 'DUF3764', 36567),
(92842, 'PF15809', NULL, 'Simian taste bud-specific gene product family', 240, NULL, 'STG', 36568),
(92843, 'PF00020', NULL, 'TNFR/NGFR cysteine-rich region', 39, NULL, 'TNFR_c6', 36569),
(92844, 'PF07123', NULL, 'Photosystem II reaction centre W protein (PsbW)', 132, NULL, 'PsbW', 36570),
(92845, 'PF11045', NULL, 'Putative inner membrane protein of Enterobacteriaceae', 117, NULL, 'YbjM', 36571),
(92846, 'PF04593', NULL, 'Selenoprotein P, C terminal region', 133, NULL, 'SelP_C', 36572),
(92847, 'PF06697', NULL, 'Protein of unknown function (DUF1191)', 184, NULL, 'DUF1191', 36573),
(92848, 'PF11168', NULL, 'Protein of unknown function (DUF2955)', 140, NULL, 'DUF2955', 36574),
(92849, 'PF04615', NULL, 'Utp14 protein', 733, NULL, 'Utp14', 36575),
(92850, 'PF03095', NULL, 'Phosphotyrosyl phosphate activator (PTPA) protein', 303, NULL, 'PTPA', 36576),
(92851, 'PF08860', NULL, 'Domain of unknown function (DUF1827)', 92, NULL, 'DUF1827', 36577),
(92852, 'PF10003', NULL, 'Integral membrane protein (DUF2244)', 138, NULL, 'DUF2244', 36578),
(92853, 'PF09346', NULL, 'SMI1 / KNR4 family (SUKH-1)', 133, NULL, 'SMI1_KNR4', 36579),
(92854, 'PF15194', NULL, 'TMEM191C family', 121, NULL, 'TMEM191C', 36580),
(92855, 'PF06253', NULL, 'Trimethylamine methyltransferase (MTTB)', 502, NULL, 'MTTB', 36581),
(92856, 'PF16695', NULL, 'Type VI secretion system (T6SS), amidase immunity protein', 92, NULL, 'Tai4', 36582),
(92857, 'PF14050', NULL, 'N-terminal conserved domain of Nudc.', 60, NULL, 'Nudc_N', 36583),
(92858, 'PF03567', NULL, 'Sulfotransferase family', 246, NULL, 'Sulfotransfer_2', 36584),
(92859, 'PF01406', NULL, 'tRNA synthetases class I (C) catalytic domain', 301, NULL, 'tRNA-synt_1e', 36585),
(92860, 'PF09779', NULL, 'Ima1 N-terminal domain', 138, NULL, 'Ima1_N', 36586),
(92861, 'PF19976', NULL, 'GTPase-associated adaptor domain', 62, NULL, 'GAAD', 36587),
(92862, 'PF19070', NULL, 'Family of unknown function (DUF5766)', 77, NULL, 'DUF5766', 36588),
(92863, 'PF03731', NULL, 'Ku70/Ku80 N-terminal alpha/beta domain', 220, NULL, 'Ku_N', 36589),
(92864, 'PF02925', NULL, 'Bacteriophage scaffolding protein D', 141, NULL, 'gpD', 36590),
(92865, 'PF04669', NULL, 'Polysaccharide biosynthesis', 190, NULL, 'Polysacc_synt_4', 36591),
(92866, 'PF07809', NULL, 'RTP801 C-terminal region', 119, NULL, 'RTP801_C', 36592);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(92867, 'PF12511', NULL, 'Protein of unknown function (DUF3716)', 59, NULL, 'DUF3716', 36593),
(92868, 'PF13393', NULL, 'Histidyl-tRNA synthetase', 309, NULL, 'tRNA-synt_His', 36594),
(92869, 'PF12557', NULL, 'Cob(I)alamin adenosyltransferase N terminal', 26, NULL, 'Co_AT_N', 36595),
(92870, 'PF16019', NULL, 'Cysteine/serine-rich nuclear protein N-terminus', 219, NULL, 'CSRNP_N', 36596),
(92871, 'PF17220', NULL, 'Protein of unknown function (DUF5137)', 85, NULL, 'DUF5137', 36597),
(92872, 'PF07084', NULL, 'Thyroid hormone-inducible hepatic protein Spot 14', 153, NULL, 'Spot_14', 36598),
(92873, 'PF09248', NULL, 'Domain of unknown function (DUF1965)', 69, NULL, 'DUF1965', 36599),
(92874, 'PF13833', NULL, 'EF-hand domain pair', 54, NULL, 'EF-hand_8', 36600),
(92875, 'PF14135', NULL, 'Domain of unknown function (DUF4302)', 236, NULL, 'DUF4302', 36601),
(92876, 'PF17870', NULL, 'Insulin receptor trans-membrane segment', 47, NULL, 'Insulin_TMD', 36602),
(92877, 'PF03177', NULL, 'Non-repetitive/WGA-negative nucleoporin C-terminal', 597, NULL, 'Nucleoporin_C', 36603),
(92878, 'PF03428', NULL, 'Replication protein C N-terminal domain', 175, NULL, 'RP-C', 36604),
(92879, 'PF05175', NULL, 'Methyltransferase small domain', 170, NULL, 'MTS', 36605),
(92880, 'PF06636', NULL, 'Protein of unknown function (DUF1157)', 370, NULL, 'DUF1157', 36606),
(92881, 'PF07929', NULL, 'Plasmid pRiA4b ORF-3-like protein', 174, NULL, 'PRiA4_ORF3', 36607),
(92882, 'PF02122', NULL, 'Peptidase S39', 203, NULL, 'Peptidase_S39', 36608),
(92883, 'PF06100', NULL, 'MCRA family', 495, NULL, 'MCRA', 36609),
(92884, 'PF01320', NULL, 'Colicin immunity protein / pyocin immunity protein', 82, NULL, 'Colicin_Pyocin', 36610),
(92885, 'PF05379', NULL, 'Carlavirus endopeptidase', 88, NULL, 'Peptidase_C23', 36611),
(92886, 'PF13643', NULL, 'Domain of unknown function (DUF4145)', 88, NULL, 'DUF4145', 36612),
(92887, 'PF16796', NULL, 'Microtubule binding', 155, NULL, 'Microtub_bd', 36613),
(92888, 'PF17283', NULL, 'SprT-like zinc ribbon domain', 38, NULL, 'Zn_ribbon_SprT', 36614),
(92889, 'PF09688', NULL, 'Protein of unknown function (Wx5_PLAF3D7)', 144, NULL, 'Wx5_PLAF3D7', 36615),
(92890, 'PF18453', NULL, 'Oligomerization domain of C4b-binding protein alpha', 49, NULL, 'C4bp_oligo', 36616),
(92891, 'PF09522', NULL, 'R.Pab1 restriction endonuclease', 119, NULL, 'RE_R_Pab1', 36617),
(92892, 'PF08467', NULL, 'Luteovirus RNA polymerase P1-P2/replicase', 339, NULL, 'Luteo_P1-P2', 36618),
(92893, 'PF03084', NULL, 'Reoviral Sigma1/Sigma2 family', 418, NULL, 'Sigma_1_2', 36619),
(92894, 'PF18007', NULL, 'Domain of unknown function (DUF5593)', 93, NULL, 'DUF5593', 36620),
(92895, 'PF06481', NULL, 'COX Aromatic Rich Motif', 46, NULL, 'COX_ARM', 36621),
(92896, 'PF14330', NULL, 'Domain of unknown function (DUF4387)', 98, NULL, 'DUF4387', 36622),
(92897, 'PF05677', NULL, 'Chlamydia CHLPS protein (DUF818)', 365, NULL, 'DUF818', 36623),
(92898, 'PF07900', NULL, 'Protein of unknown function (DUF1670)', 220, NULL, 'DUF1670', 36624),
(92899, 'PF09694', NULL, 'Bacterial protein of unknown function (Gcw_chp)', 230, NULL, 'Gcw_chp', 36625),
(92900, 'PF12022', NULL, 'Domain of unknown function (DUF3510)', 130, NULL, 'DUF3510', 36626),
(92901, 'PF13251', NULL, 'Domain of unknown function (DUF4042)', 182, NULL, 'DUF4042', 36627),
(92902, 'PF14379', NULL, 'MYB-CC type transfactor, LHEQLE motif', 48, NULL, 'Myb_CC_LHEQLE', 36628),
(92903, 'PF03233', NULL, 'Aphid transmission protein', 163, NULL, 'Cauli_AT', 36629),
(92904, 'PF11840', NULL, 'Protein of unknown function (DUF3360)', 485, NULL, 'DUF3360', 36630),
(92905, 'PF17581', NULL, 'Family of unknown function (DUF5483)', 441, NULL, 'DUF5483', 36631),
(92906, 'PF20125', NULL, 'Family of unknown function (DUF6515)', 315, NULL, 'DUF6515', 36632),
(92907, 'PF05647', NULL, 'Tandem-repeating region of mucin, epiglycanin-like', 68, NULL, 'Epiglycanin_TR', 36633),
(92908, 'PF16250', NULL, 'Domain of unknown function (DUF4907)', 67, NULL, 'DUF4907', 36634),
(92909, 'PF11238', NULL, 'Protein of unknown function (DUF3039)', 56, NULL, 'DUF3039', 36635);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(92910, 'PF19654', NULL, 'Family of unknown function (DUF6157)', 136, NULL, 'DUF6157', 36636),
(92911, 'PF13078', NULL, 'Protein of unknown function (DUF3942)', 137, NULL, 'DUF3942', 36637),
(92912, 'PF14286', NULL, 'DHHW protein', 382, NULL, 'DHHW', 36638),
(92913, 'PF07785', NULL, 'Protein of unknown function (DUF1623)', 90, NULL, 'DUF1623', 36639),
(92914, 'PF16543', NULL, 'DRG Family Regulatory Proteins, Tma46', 89, NULL, 'DFRP_C', 36640),
(92915, 'PF17958', NULL, 'EF-hand domain', 90, NULL, 'EF-hand_13', 36641),
(92916, 'PF15654', NULL, 'Toxin with a conserved tryptophan and TIP tripeptide motif', 67, NULL, 'Tox-WTIP', 36642),
(92917, 'PF04512', NULL, 'Baculovirus polyhedron envelope protein, PEP, N terminus', 111, NULL, 'Baculo_PEP_N', 36643),
(92918, 'PF05890', NULL, 'Eukaryotic rRNA processing protein EBP2', 247, NULL, 'Ebp2', 36644),
(92919, 'PF19922', NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX6', 169, NULL, 'bpX6', 36645),
(92920, 'PF09617', NULL, 'CRISPR-associated protein GSU0053 (Cas_GSU0053)', 172, NULL, 'Cas_GSU0053', 36646),
(92921, 'PF15706', NULL, 'Mature oligodendrocyte transmembrane protein, TMEM132D, C-term', 87, NULL, 'TMEM132D_C', 36647),
(92922, 'PF04075', NULL, 'F420H(2)-dependent quinone reductase', 130, NULL, 'F420H2_quin_red', 36648),
(92923, 'PF19863', NULL, 'Family of unknown function (DUF6337)', 358, NULL, 'DUF6337', 36649),
(92924, 'PF03189', NULL, 'Otopetrin', 448, NULL, 'Otopetrin', 36650),
(92925, 'PF16292', NULL, 'Domain of unknown function (DUF4938)', 302, NULL, 'DUF4938', 36651),
(92926, 'PF03190', NULL, 'Protein of unknown function, DUF255', 163, NULL, 'Thioredox_DsbH', 36652),
(92927, 'PF16144', NULL, 'Domain of unknown function (DUF4852)', 119, NULL, 'DUF4852', 36653),
(92928, 'PF02623', NULL, 'FliW protein', 121, NULL, 'FliW', 36654),
(92929, 'PF17997', NULL, 'Insecticidal delta-endotoxin CryIA(c) domain 5', 173, NULL, 'Cry1Ac_D5', 36655),
(92930, 'PF09872', NULL, 'Uncharacterized protein conserved in archaea (DUF2099)', 257, NULL, 'DUF2099', 36656),
(92931, 'PF09386', NULL, 'Antitoxin ParD', 80, NULL, 'ParD', 36657),
(92932, 'PF16914', NULL, 'Bacterial transcriptional repressor C-terminal', 105, NULL, 'TetR_C_12', 36658),
(92933, 'PF19572', NULL, 'Type IX secretion system protein PorV', 243, NULL, 'PorV', 36659),
(92934, 'PF03705', NULL, 'CheR methyltransferase, all-alpha domain', 53, NULL, 'CheR_N', 36660),
(92935, 'PF08226', NULL, 'Domain of unknown function (DUF1720)', 75, NULL, 'DUF1720', 36661),
(92936, 'PF11846', NULL, 'Virulence factor membrane-bound polymerase, C-terminal', 188, NULL, 'Wzy_C_2', 36662),
(92937, 'PF16085', NULL, 'Bacteriophage holin Hol, superfamily III', 113, NULL, 'Phage_holin_3_5', 36663),
(92938, 'PF01322', NULL, 'Cytochrome C''', 121, NULL, 'Cytochrom_C_2', 36664),
(92939, 'PF06886', NULL, 'Targeting protein for Xklp2 (TPX2) domain', 77, NULL, 'TPX2', 36665),
(92940, 'PF14937', NULL, 'Domain of unknown function (DUF4500)', 81, NULL, 'DUF4500', 36666),
(92941, 'PF18042', NULL, 'ORF 12 gene product N-terminal', 94, NULL, 'ORF_12_N', 36667),
(92942, 'PF17649', NULL, 'Vacuolar protein sorting 38', 424, NULL, 'VPS38', 36668),
(92943, 'PF09512', NULL, 'Thiamine-precursor transporter protein (ThiW)', 150, NULL, 'ThiW', 36669),
(92944, 'PF10887', NULL, 'Protein of unknown function (DUF2686)', 276, NULL, 'DUF2686', 36670),
(92945, 'PF12587', NULL, 'Protein of unknown function (DUF3761)', 88, NULL, 'DUF3761', 36671),
(92946, 'PF07141', NULL, 'Putative bacteriophage terminase small subunit', 174, NULL, 'Phage_term_sma', 36672),
(92947, 'PF04438', NULL, 'HIT zinc finger', 30, NULL, 'zf-HIT', 36673),
(92948, 'PF10279', NULL, 'Latarcin precursor', 81, NULL, 'Latarcin', 36674),
(92949, 'PF10863', NULL, 'Nucleolar protein 19', 142, NULL, 'NOP19', 36675),
(92950, 'PF19406', NULL, 'PKD-like domain', 95, NULL, 'PKD_5', 36676),
(92951, 'PF10908', NULL, 'Protein of unknown function (DUF2778)', 120, NULL, 'DUF2778', 36677),
(92952, 'PF00584', NULL, 'SecE/Sec61-gamma subunits of protein translocation complex', 55, NULL, 'SecE', 36678);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(92953, 'PF08680', NULL, 'TATA-box binding', 204, NULL, 'DUF1779', 36679),
(92954, 'PF02030', NULL, 'Hypothetical lipoprotein (MG045 family)', 493, NULL, 'Lipoprotein_8', 36680),
(92955, 'PF14978', NULL, 'Mitochondrial ribosome protein 63', 92, NULL, 'MRP-63', 36681),
(92956, 'PF01001', NULL, 'Hepatitis C virus non-structural protein NS4b', 192, NULL, 'HCV_NS4b', 36682),
(92957, 'PF04509', NULL, 'CheC-like family', 38, NULL, 'CheC', 36683),
(92958, 'PF14220', NULL, 'Domain of unknown function (DUF4329)', 119, NULL, 'DUF4329', 36684),
(92959, 'PF00357', NULL, 'Integrin alpha cytoplasmic region', 15, NULL, 'Integrin_alpha', 36685),
(92960, 'PF02794', NULL, 'RTX toxin acyltransferase family', 127, NULL, 'HlyC', 36686),
(92961, 'PF16335', NULL, 'Domain of unknown function (DUF4965)', 174, NULL, 'DUF4965', 36687),
(92962, 'PF04911', NULL, 'ATP synthase j chain', 51, NULL, 'ATP-synt_J', 36688),
(92963, 'PF08929', NULL, 'Domain of unknown function (DUF1911)', 107, NULL, 'DUF1911', 36689),
(92964, 'PF06052', NULL, '3-hydroxyanthranilic acid dioxygenase', 151, NULL, '3-HAO', 36690),
(92965, 'PF19383', NULL, 'Family of unknown function (DUF5958)', 125, NULL, 'DUF5958', 36691),
(92966, 'PF19628', NULL, 'Family of unknown function (DUF6132)', 60, NULL, 'DUF6132', 36692),
(92967, 'PF08157', NULL, 'NUC129 domain', 63, NULL, 'NUC129', 36693),
(92968, 'PF08208', NULL, 'DNA-directed RNA polymerase I subunit RPA34.5', 206, NULL, 'RNA_polI_A34', 36694),
(92969, 'PF02064', NULL, 'MAS20 protein import receptor', 132, NULL, 'MAS20', 36695),
(92970, 'PF15598', NULL, 'Immunity protein 61', 157, NULL, 'Imm61', 36696),
(92971, 'PF04065', NULL, 'Not1 N-terminal domain, CCR4-Not complex component', 232, NULL, 'Not3', 36697),
(92972, 'PF03359', NULL, 'Guanylate-kinase-associated protein (GKAP) protein', 345, NULL, 'GKAP', 36698),
(92973, 'PF13156', NULL, 'Restriction endonuclease', 127, NULL, 'Mrr_cat_2', 36699),
(92974, 'PF12383', NULL, 'Severe acute respiratory syndrome coronavirus 3b protein', 153, NULL, 'SARS_3b', 36700),
(92975, 'PF13844', NULL, 'Glycosyl transferase family 41', 543, NULL, 'Glyco_transf_41', 36701),
(92976, 'PF02186', NULL, 'TFIIE beta subunit core domain', 68, NULL, 'TFIIE_beta', 36702),
(92977, 'PF02045', NULL, 'CCAAT-binding transcription factor (CBF-B/NF-YA) subunit B', 56, NULL, 'CBFB_NFYA', 36703),
(92978, 'PF13564', NULL, 'DoxX-like family', 103, NULL, 'DoxX_2', 36704),
(92979, 'PF00791', NULL, 'ZU5 domain', 97, NULL, 'ZU5', 36705),
(92980, 'PF01417', NULL, 'ENTH domain', 125, NULL, 'ENTH', 36706),
(92981, 'PF01338', NULL, 'Bacillus thuringiensis toxin', 230, NULL, 'Bac_thur_toxin', 36707),
(92982, 'PF17268', NULL, 'Family of unknown function (DUF5334)', 71, NULL, 'DUF5334', 36708),
(92983, 'PF16994', NULL, 'Glycosyl-transferase family 4', 171, NULL, 'Glyco_trans_4_5', 36709),
(92984, 'PF03745', NULL, 'Domain of unknown function (DUF309)', 59, NULL, 'DUF309', 36710),
(92985, 'PF19645', NULL, 'Family of unknown function (DUF6148)', 74, NULL, 'DUF6148', 36711),
(92986, 'PF06936', NULL, 'Selenoprotein S (SelS)', 192, NULL, 'Selenoprotein_S', 36712),
(92987, 'PF15808', NULL, 'BCL-6 co-repressor, non-ankyrin-repeat region', 216, NULL, 'BCOR', 36713),
(92988, 'PF04644', NULL, 'Motilin/ghrelin', 28, NULL, 'Motilin_ghrelin', 36714),
(92989, 'PF13351', NULL, 'Protein of unknown function (DUF4099)', 82, NULL, 'DUF4099', 36715),
(92990, 'PF01681', NULL, 'C6 domain', 91, NULL, 'C6', 36716),
(92991, 'PF15535', NULL, 'Bacterial toxin 37', 64, NULL, 'Ntox37', 36717),
(92992, 'PF13333', NULL, 'Integrase core domain', 52, NULL, 'rve_2', 36718),
(92993, 'PF08574', NULL, 'Transcription factor Iwr1', 74, NULL, 'Iwr1', 36719),
(92994, 'PF01255', NULL, 'Putative undecaprenyl diphosphate synthase', 221, NULL, 'Prenyltransf', 36720),
(92995, 'PF14774', NULL, 'FAM177 family', 117, NULL, 'FAM177', 36721),
(92996, 'PF16484', NULL, 'Carnitine O-palmitoyltransferase N-terminus', 47, NULL, 'CPT_N', 36722),
(92997, 'PF13631', NULL, 'Cytochrome b(N-terminal)/b6/petB', 169, NULL, 'Cytochrom_B_N_2', 36723),
(92998, 'PF04859', NULL, 'Plant protein of unknown function (DUF641)', 128, NULL, 'DUF641', 36724);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(92999, 'PF05452', NULL, 'Clavanin', 80, NULL, 'Clavanin', 36725),
(93000, 'PF00013', NULL, 'KH domain', 66, NULL, 'KH_1', 36726),
(93001, 'PF07653', NULL, 'Variant SH3 domain', 57, NULL, 'SH3_2', 36727),
(93002, 'PF07796', NULL, 'Protein of unknown function (DUF1638)', 165, NULL, 'DUF1638', 36728),
(93003, 'PF15538', NULL, 'Bacterial toxin 46', 157, NULL, 'Ntox46', 36729),
(93004, 'PF04965', NULL, 'Baseplate wedge protein gp25', 95, NULL, 'GPW_gp25', 36730),
(93005, 'PF04758', NULL, 'Ribosomal protein S30', 58, NULL, 'Ribosomal_S30', 36731),
(93006, 'PF04854', NULL, 'Protein of unknown function, DUF624', 77, NULL, 'DUF624', 36732),
(93007, 'PF00398', NULL, 'Ribosomal RNA adenine dimethylase', 265, NULL, 'RrnaAD', 36733),
(93008, 'PF08194', NULL, 'DIM protein', 36, NULL, 'DIM', 36734),
(93009, 'PF06220', NULL, 'U1 zinc finger', 38, NULL, 'zf-U1', 36735),
(93010, 'PF02346', NULL, 'Chordopoxvirus multifunctional envelope protein A27', 56, NULL, 'Vac_Fusion', 36736),
(93011, 'PF08132', NULL, 'S-adenosyl-l-methionine decarboxylase leader peptide', 51, NULL, 'AdoMetDC_leader', 36737),
(93012, 'PF00811', NULL, 'Ependymin', 127, NULL, 'Ependymin', 36738),
(93013, 'PF02282', NULL, 'DNA polymerase processivity factor (UL42)', 154, NULL, 'Herpes_UL42', 36739),
(93014, 'PF11142', NULL, 'Protein of unknown function (DUF2917)', 59, NULL, 'DUF2917', 36740),
(93015, 'PF19595', NULL, 'Family of unknown function (DUF6100)', 222, NULL, 'DUF6100', 36741),
(93016, 'PF08470', NULL, 'Nontoxic nonhaemagglutinin C-terminal', 162, NULL, 'NTNH_C', 36742),
(93017, 'PF00962', NULL, 'Adenosine deaminase', 330, NULL, 'A_deaminase', 36743),
(93018, 'PF16867', NULL, 'Dimethlysulfonioproprionate lyase', 161, NULL, 'DMSP_lyase', 36744),
(93019, 'PF17799', NULL, 'Rrp7 RRM-like N-terminal domain', 161, NULL, 'RRM_Rrp7', 36745),
(93020, 'PF14441', NULL, 'OTT_1508-like deaminase', 63, NULL, 'OTT_1508_deam', 36746),
(93021, 'PF18290', NULL, 'Nudix hydrolase domain', 80, NULL, 'Nudix_hydro', 36747),
(93022, 'PF01367', NULL, '5''-3'' exonuclease, C-terminal SAM fold', 97, NULL, '5_3_exonuc', 36748),
(93023, 'PF04335', NULL, 'VirB8 protein', 212, NULL, 'VirB8', 36749),
(93024, 'PF15998', NULL, 'Domain of unknown function (DUF4773)', 117, NULL, 'DUF4773', 36750),
(93025, 'PF14178', NULL, 'YppF-like protein', 59, NULL, 'YppF', 36751),
(93026, 'PF10730', NULL, 'Protein of unknown function (DUF2521)', 146, NULL, 'DUF2521', 36752),
(93027, 'PF12996', NULL, 'DUF based on E. rectale Gene description (DUF3880)', 78, NULL, 'DUF3880', 36753),
(93028, 'PF19107', NULL, 'Family of unknown function (DUF5794)', 128, NULL, 'DUF5794', 36754),
(93029, 'PF16013', NULL, 'Domain of unknown function (DUF4781)', 310, NULL, 'DUF4781', 36755),
(93030, 'PF14010', NULL, 'Phosphoenolpyruvate carboxylase', 494, NULL, 'PEPcase_2', 36756),
(93031, 'PF19849', NULL, 'Family of unknown function (DUF6324)', 60, NULL, 'DUF6324', 36757),
(93032, 'PF01930', NULL, 'Domain of unknown function DUF83', 162, NULL, 'Cas_Cas4', 36758),
(93033, 'PF03335', NULL, 'Phage tail fibre repeat', 14, NULL, 'Phage_fiber', 36759),
(93034, 'PF06956', NULL, 'Regulator of RNA terminal phosphate cyclase', 183, NULL, 'RtcR', 36760),
(93035, 'PF14407', NULL, 'Ribosomally synthesized peptide prototyped by Frankia Franean1_4349.', 63, NULL, 'Frankia_peptide', 36761),
(93036, 'PF19074', NULL, 'Family of unknown function (DUF5770)', 131, NULL, 'DUF5770', 36762),
(93037, 'PF14594', NULL, 'Siphovirus ReqiPepy6 Gp37-like protein', 352, NULL, 'Sipho_Gp37', 36763),
(93038, 'PF05792', NULL, 'Candida agglutinin-like (ALS)', 32, NULL, 'Candida_ALS', 36764),
(93039, 'PF16881', NULL, 'N-terminal domain of lipoyl synthase of Radical_SAM family', 108, NULL, 'LIAS_N', 36765),
(93040, 'PF00658', NULL, 'Poly-adenylate binding protein, unique domain', 66, NULL, 'PABP', 36766),
(93041, 'PF09212', NULL, 'Carbohydrate binding module 27', 170, NULL, 'CBM27', 36767),
(93042, 'PF20004', NULL, 'FtsH ternary system domain X6', 347, NULL, 'fvmX6', 36768),
(93043, 'PF01300', NULL, 'Telomere recombination', 179, NULL, 'Sua5_yciO_yrdC', 36769);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(93044, 'PF18224', NULL, 'ToxB N-terminal domain', 61, NULL, 'ToxB_N', 36770),
(93045, 'PF06497', NULL, 'Protein of unknown function (DUF1098)', 93, NULL, 'DUF1098', 36771),
(93046, 'PF08289', NULL, 'Influenza Matrix protein (M1) C-terminal domain', 95, NULL, 'Flu_M1_C', 36772),
(93047, 'PF00405', NULL, 'Transferrin', 329, NULL, 'Transferrin', 36773),
(93048, 'PF02340', NULL, 'PRRSV putative envelope protein', 234, NULL, 'PRRSV_Env', 36774),
(93049, 'PF11386', NULL, 'Vitelline envelope receptor for lysin', 78, NULL, 'VERL', 36775),
(93050, 'PF14522', NULL, 'Cytochrome c7 and related cytochrome c', 64, NULL, 'Cytochrome_C7', 36776),
(93051, 'PF14777', NULL, 'Cilia BBSome complex subunit 10', 64, NULL, 'BBIP10', 36777),
(93052, 'PF15086', NULL, 'Uncharacterised protein family UPF0542', 68, NULL, 'UPF0542', 36778),
(93053, 'PF03279', NULL, 'Bacterial lipid A biosynthesis acyltransferase', 295, NULL, 'Lip_A_acyltrans', 36779),
(93054, 'PF07368', NULL, 'Protein of unknown function (DUF1487)', 215, NULL, 'DUF1487', 36780),
(93055, 'PF12109', NULL, 'CXCR4 Chemokine receptor N terminal', 33, NULL, 'CXCR4_N', 36781),
(93056, 'PF10386', NULL, 'Protein of unknown function (DUF2441)', 141, NULL, 'DUF2441', 36782),
(93057, 'PF18549', NULL, 'Nitrosopumilus output domain 1', 70, NULL, 'NitrOD1', 36783),
(93058, 'PF12440', NULL, 'Melanoma associated antigen family N terminal', 92, NULL, 'MAGE_N', 36784),
(93059, 'PF17427', NULL, 'Phage Single-stranded DNA-binding protein', 123, NULL, 'Phi29_Phage_SSB', 36785),
(93060, 'PF07074', NULL, 'Translocon-associated protein, gamma subunit (TRAP-gamma)', 170, NULL, 'TRAP-gamma', 36786),
(93061, 'PF03239', NULL, 'Iron permease FTR1 family', 306, NULL, 'FTR1', 36787),
(93062, 'PF00114', NULL, 'Pilin (bacterial filament)', 109, NULL, 'Pilin', 36788),
(93063, 'PF02218', NULL, 'Repeat in HS1/Cortactin', 36, NULL, 'HS1_rep', 36789),
(93064, 'PF18917', NULL, 'Domain of unknown function (DUF5668)', 42, NULL, 'DUF5668', 36790),
(93065, 'PF03017', NULL, 'TNP1/EN/SPM transposase', 66, NULL, 'Transposase_23', 36791),
(93066, 'PF10305', NULL, 'RNA pol II promoter Fmp27 protein domain', 103, NULL, 'Fmp27_SW', 36792),
(93067, 'PF13721', NULL, 'SecD export protein N-terminal TM region', 103, NULL, 'SecD-TM1', 36793),
(93068, 'PF04588', NULL, 'Hypoxia induced protein conserved region', 52, NULL, 'HIG_1_N', 36794),
(93069, 'PF02710', NULL, 'Hemagglutinin domain of haemagglutinin-esterase-fusion glycoprotein', 155, NULL, 'Hema_HEFG', 36795),
(93070, 'PF14528', NULL, 'LAGLIDADG-like domain', 83, NULL, 'LAGLIDADG_3', 36796),
(93071, 'PF18089', NULL, 'DAPG hydrolase PhiG domain', 224, NULL, 'DAPG_hydrolase', 36797),
(93072, 'PF12768', NULL, 'Cortical protein marker for cell polarity', 215, NULL, 'Rax2', 36798),
(93073, 'PF03315', NULL, 'Serine dehydratase beta chain', 155, NULL, 'SDH_beta', 36799),
(93074, 'PF13654', NULL, 'AAA domain', 513, NULL, 'AAA_32', 36800),
(93075, 'PF06157', NULL, 'Protein of unknown function (DUF973)', 310, NULL, 'DUF973', 36801),
(93076, 'PF02115', NULL, 'RHO protein GDP dissociation inhibitor', 195, NULL, 'Rho_GDI', 36802),
(93077, 'PF05476', NULL, 'PET122', 261, NULL, 'PET122', 36803),
(93078, 'PF18610', NULL, 'Periplasmic binding protein domain', 71, NULL, 'Peripla_BP_7', 36804),
(93079, 'PF20042', NULL, 'Family of unknown function (DUF6444)', 76, NULL, 'DUF6444', 36805),
(93080, 'PF14857', NULL, 'TMEM151 family', 429, NULL, 'TMEM151', 36806),
(93081, 'PF09441', NULL, 'ARS binding protein 2', 171, NULL, 'Abp2', 36807),
(93082, 'PF15379', NULL, 'Domain of unknown function (DUF4606)', 103, NULL, 'DUF4606', 36808),
(93083, 'PF08903', NULL, 'Domain of unknown function (DUF1846)', 489, NULL, 'DUF1846', 36809),
(93084, 'PF09727', NULL, 'Cortactin-binding protein-2', 188, NULL, 'CortBP2', 36810),
(93085, 'PF16662', NULL, 'FLYWCH-type zinc finger-containing protein 1', 62, NULL, 'FLYWCH_u', 36811),
(93086, 'PF00072', NULL, 'Response regulator receiver domain', 112, NULL, 'Response_reg', 36812),
(93087, 'PF01243', NULL, 'Pyridoxamine 5''-phosphate oxidase', 88, NULL, 'Putative_PNPOx', 36813);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(93088, 'PF04927', NULL, 'Seed maturation protein', 59, NULL, 'SMP', 36814),
(93089, 'PF00024', NULL, 'PAN domain', 79, NULL, 'PAN_1', 36815),
(93090, 'PF18797', NULL, 'Adenomatous polyposis coli (APC) repeat', 76, NULL, 'APC_rep', 36816),
(93091, 'PF19440', NULL, 'Tetratricopeptide repeat protein 7 N-terminal', 386, NULL, 'TTC7_N', 36817),
(93092, 'PF20141', NULL, 'Brassinosteroid receptor island domain', 65, NULL, 'Island', 36818),
(93093, 'PF09487', NULL, 'Bacterial type III secretion protein (HrpB2)', 114, NULL, 'HrpB2', 36819),
(93094, 'PF09709', NULL, 'CRISPR-associated protein (Cas_Csd1)', 555, NULL, 'Cas_Csd1', 36820),
(93095, 'PF13647', NULL, 'Glycosyl hydrolase family 80 of chitosanase A', 308, NULL, 'Glyco_hydro_80', 36821),
(93096, 'PF15627', NULL, 'CEP76 C2 domain', 155, NULL, 'CEP76-C2', 36822),
(93097, 'PF04520', NULL, 'Senescence regulator', 167, NULL, 'Senescence_reg', 36823),
(93098, 'PF00720', NULL, 'Subtilisin inhibitor-like', 92, NULL, 'SSI', 36824),
(93099, 'PF07882', NULL, 'L-fucose isomerase, second N-terminal domain', 180, NULL, 'Fucose_iso_N2', 36825),
(93100, 'PF13956', NULL, 'Toxin Ibs, type I toxin-antitoxin system', 19, NULL, 'Ibs_toxin', 36826),
(93101, 'PF05224', NULL, 'NDT80 / PhoG like DNA-binding  family', 186, NULL, 'NDT80_PhoG', 36827),
(93102, 'PF05057', NULL, 'Putative serine esterase (DUF676)', 219, NULL, 'DUF676', 36828),
(93103, 'PF07292', NULL, 'Nmi/IFP 35 domain (NID)', 91, NULL, 'NID', 36829),
(93104, 'PF03932', NULL, 'CutC family', 202, NULL, 'CutC', 36830),
(93105, 'PF02592', NULL, 'Putative vitamin uptake transporter', 151, NULL, 'Vut_1', 36831),
(93106, 'PF15636', NULL, 'GHH signature containing HNH/Endo VII superfamily nuclease toxin', 78, NULL, 'Tox-GHH', 36832),
(93107, 'PF10263', NULL, 'SprT-like family', 116, NULL, 'SprT-like', 36833),
(93108, 'PF16140', NULL, 'Domain of unknown function (DUF4848)', 216, NULL, 'DUF4848', 36834),
(93109, 'PF16923', NULL, 'Glycosyl hydrolase family 63 N-terminal domain', 227, NULL, 'Glyco_hydro_63N', 36835),
(93110, 'PF08553', NULL, 'VID27 C-terminal WD40-like domain', 356, NULL, 'VID27', 36836),
(93111, 'PF19429', NULL, 'Evasins Class A', 73, NULL, 'EVA_Class_A', 36837),
(93112, 'PF18318', NULL, 'Glutamine synthetase C-terminal domain', 118, NULL, 'Gln-synt_C-ter', 36838),
(93113, 'PF18438', NULL, 'Glycosyl hydrolases family 38 C-terminal domain 1', 111, NULL, 'Glyco_hydro_38', 36839),
(93114, 'PF03647', NULL, 'Transmembrane proteins 14C', 92, NULL, 'Tmemb_14', 36840),
(93115, 'PF10425', NULL, 'C-terminus of bacterial fibrinogen-binding adhesin', 156, NULL, 'SdrG_C_C', 36841),
(93116, 'PF19477', NULL, 'Family of unknown function (DUF6014)', 389, NULL, 'DUF6014', 36842),
(93117, 'PF10532', NULL, 'Plant specific N-all beta domain', 114, NULL, 'Plant_all_beta', 36843),
(93118, 'PF01985', NULL, 'CRS1 / YhbY (CRM) domain', 84, NULL, 'CRS1_YhbY', 36844),
(93119, 'PF15777', NULL, 'Tryptophan RNA-binding attenuator protein inhibitory protein', 59, NULL, 'Anti-TRAP', 36845),
(93120, 'PF18902', NULL, 'Domain of unknown function (DUF5658)', 82, NULL, 'DUF5658', 36846),
(93121, 'PF08812', NULL, 'YtxC-like family', 217, NULL, 'YtxC', 36847),
(93122, 'PF00922', NULL, 'Vesiculovirus phosphoprotein', 204, NULL, 'Phosphoprotein', 36848),
(93123, 'PF01538', NULL, 'Hepatitis C virus non-structural protein NS2', 195, NULL, 'HCV_NS2', 36849),
(93124, 'PF15798', NULL, 'Proline-rich AKT1 substrate 1', 123, NULL, 'PRAS', 36850),
(93125, 'PF16821', NULL, 'C protein from hendra and measles viruses', 153, NULL, 'C_Hendra', 36851),
(93126, 'PF05683', NULL, 'Fumarase C-terminus', 206, NULL, 'Fumerase_C', 36852),
(93127, 'PF05130', NULL, 'FlgN protein', 146, NULL, 'FlgN', 36853),
(93128, 'PF11640', NULL, 'Telomere-length maintenance and DNA damage repair', 151, NULL, 'TAN', 36854),
(93129, 'PF02081', NULL, 'Tryptophan RNA-binding attenuator protein', 69, NULL, 'TrpBP', 36855),
(93130, 'PF10504', NULL, 'Protein of unknown function (DUF2452)', 156, NULL, 'DUF2452', 36856),
(93131, 'PF13089', NULL, 'Polyphosphate kinase N-terminal domain', 107, NULL, 'PP_kinase_N', 36857);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(93132, 'PF11561', NULL, 'Single strand annealing-weakened 1', 244, NULL, 'Saw1', 36858),
(93133, 'PF18401', NULL, 'Thioredoxin-like domain', 136, NULL, 'Thioredoxin_13', 36859),
(93134, 'PF16677', NULL, 'DNA-packaging protein gp3', 120, NULL, 'GP3_package', 36860),
(93135, 'PF18855', NULL, 'Bacterial archaeo-eukaryotic release factor family 11', 139, NULL, 'baeRF_family11', 36861),
(93136, 'PF05474', NULL, 'Semenogelin', 582, NULL, 'Semenogelin', 36862),
(93137, 'PF09860', NULL, 'Uncharacterized protein conserved in bacteria (DUF2087)', 69, NULL, 'DUF2087', 36863),
(93138, 'PF07800', NULL, 'Protein of unknown function (DUF1644)', 168, NULL, 'DUF1644', 36864),
(93139, 'PF09788', NULL, 'Transmembrane protein 55A', 250, NULL, 'Tmemb_55A', 36865),
(93140, 'PF12291', NULL, 'Protein of unknown function (DUF3623)', 256, NULL, 'DUF3623', 36866),
(93141, 'PF17354', NULL, 'Family of unknown function (DUF5382)', 418, NULL, 'DUF5382', 36867),
(93142, 'PF05965', NULL, 'F/Y rich C-terminus', 84, NULL, 'FYRC', 36868),
(93143, 'PF01195', NULL, 'Peptidyl-tRNA hydrolase', 183, NULL, 'Pept_tRNA_hydro', 36869),
(93144, 'PF06452', NULL, 'Carbohydrate family 9 binding domain-like', 185, NULL, 'CBM9_1', 36870),
(93145, 'PF00293', NULL, 'NUDIX domain', 131, NULL, 'NUDIX', 36871),
(93146, 'PF07484', NULL, 'Phage Tail Collar Domain', 57, NULL, 'Collar', 36872),
(93147, 'PF16321', NULL, 'Sigma 54 modulation/S30EA ribosomal protein C terminus', 57, NULL, 'Ribosom_S30AE_C', 36873),
(93148, 'PF08797', NULL, 'HIRAN domain', 96, NULL, 'HIRAN', 36874),
(93149, 'PF14977', NULL, 'FAM194 protein', 203, NULL, 'FAM194', 36875),
(93150, 'PF12237', NULL, 'Phosphorylated CTD interacting factor 1 WW domain', 176, NULL, 'PCIF1_WW', 36876),
(93151, 'PF07387', NULL, 'Seadornavirus VP7', 308, NULL, 'Seadorna_VP7', 36877),
(93152, 'PF03270', NULL, 'Protein of unknown function, DUF269', 121, NULL, 'DUF269', 36878),
(93153, 'PF01027', NULL, 'Inhibitor of apoptosis-promoting Bax1', 207, NULL, 'Bax1-I', 36879),
(93154, 'PF13299', NULL, 'Cleavage and polyadenylation factor 2 C-terminal', 170, NULL, 'CPSF100_C', 36880),
(93155, 'PF16735', NULL, 'Unconventional myosin-X coiled coil domain', 52, NULL, 'MYO10_CC', 36881),
(93156, 'PF02827', NULL, 'cAMP-dependent protein kinase inhibitor', 69, NULL, 'PKI', 36882),
(93157, 'PF05770', NULL, 'Inositol 1,3,4-trisphosphate 5/6-kinase ATP-grasp domain', 201, NULL, 'Ins134_P3_kin', 36883),
(93158, 'PF18405', NULL, 'Mitochondrial SLC25 homolog', 285, NULL, 'SLC25_like', 36884),
(93159, 'PF06364', NULL, 'Protein of unknown function (DUF1068)', 167, NULL, 'DUF1068', 36885),
(93160, 'PF00324', NULL, 'Amino acid permease', 479, NULL, 'AA_permease', 36886),
(93161, 'PF02157', NULL, 'Mannose-6-phosphate receptor', 254, NULL, 'Man-6-P_recep', 36887),
(93162, 'PF09607', NULL, 'Brinker DNA-binding domain', 58, NULL, 'BrkDBD', 36888),
(93163, 'PF14381', NULL, 'Ethylene-responsive protein kinase Le-CTR1', 203, NULL, 'EDR1', 36889),
(93164, 'PF01018', NULL, 'GTP1/OBG', 155, NULL, 'GTP1_OBG', 36890),
(93165, 'PF07057', NULL, 'DNA helicase TraI', 124, NULL, 'TraI', 36891),
(93166, 'PF16998', NULL, '17 kDa outer membrane surface antigen', 116, NULL, '17kDa_Anti_2', 36892),
(93167, 'PF11432', NULL, 'Protein of unknown function (DUF3197)', 113, NULL, 'DUF3197', 36893),
(93168, 'PF07438', NULL, 'Protein of unknown function (DUF1514)', 62, NULL, 'DUF1514', 36894),
(93169, 'PF17184', NULL, 'Rit1 N-terminal domain', 267, NULL, 'Rit1_C', 36895),
(93170, 'PF07436', NULL, 'Curtovirus V3 protein', 87, NULL, 'Curto_V3', 36896),
(93171, 'PF11395', NULL, 'Betacoronavirus NS7B protein', 43, NULL, 'bCoV_NS7B', 36897),
(93172, 'PF11673', NULL, 'Protein of unknown function (DUF3269)', 73, NULL, 'DUF3269', 36898),
(93173, 'PF00716', NULL, 'Assemblin (Peptidase family S21)', 337, NULL, 'Peptidase_S21', 36899),
(93174, 'PF16640', NULL, 'Bacterial Ig-like domain (group 3)', 90, NULL, 'Big_3_5', 36900),
(93175, 'PF12762', NULL, 'ISXO2-like transposase domain', 154, NULL, 'DDE_Tnp_IS1595', 36901),
(93176, 'PF08618', NULL, 'Transcription factor Opi1', 420, NULL, 'Opi1', 36902);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(93177, 'PF03789', NULL, 'ELK domain', 22, NULL, 'ELK', 36903),
(93178, 'PF14112', NULL, 'Immunity protein 22', 122, NULL, 'DUF4284', 36904),
(93179, 'PF00396', NULL, 'Granulin', 42, NULL, 'Granulin', 36905),
(93180, 'PF13962', NULL, 'Domain of unknown function', 116, NULL, 'PGG', 36906),
(93181, 'PF09930', NULL, 'Predicted transporter (DUF2162)', 223, NULL, 'DUF2162', 36907),
(93182, 'PF10952', NULL, 'Protein of unknown function (DUF2753)', 140, NULL, 'DUF2753', 36908),
(93183, 'PF12111', NULL, 'Polyribonucleotide phosphorylase C terminal', 37, NULL, 'PNPase_C', 36909),
(93184, 'PF12178', NULL, 'Chromosome passenger complex (CPC) protein INCENP N terminal', 36, NULL, 'INCENP_N', 36910),
(93185, 'PF11320', NULL, 'Protein of unknown function (DUF3122)', 136, NULL, 'DUF3122', 36911),
(93186, 'PF01946', NULL, 'Thi4 family', 235, NULL, 'Thi4', 36912),
(93187, 'PF03050', NULL, 'Transposase IS66 family', 281, NULL, 'DDE_Tnp_IS66', 36913),
(93188, 'PF06072', NULL, 'Alphaherpesvirus tegument protein US9', 61, NULL, 'Herpes_US9', 36914),
(93189, 'PF03939', NULL, 'Ribosomal protein L23, N-terminal domain', 51, NULL, 'Ribosomal_L23eN', 36915),
(93190, 'PF08496', NULL, 'Peptidase family S49 N-terminal', 147, NULL, 'Peptidase_S49_N', 36916),
(93191, 'PF17797', NULL, 'RL domain', 71, NULL, 'RL', 36917),
(93192, 'PF05804', NULL, 'Kinesin-associated protein (KAP)', 708, NULL, 'KAP', 36918),
(93193, 'PF01704', NULL, 'UTP--glucose-1-phosphate uridylyltransferase', 413, NULL, 'UDPGP', 36919),
(93194, 'PF05157', NULL, 'Type II secretion system (T2SS), protein E, N-terminal domain', 111, NULL, 'T2SSE_N', 36920),
(93195, 'PF04702', NULL, 'Vicilin N terminal region', 147, NULL, 'Vicilin_N', 36921),
(93196, 'PF05630', NULL, 'Necrosis inducing protein (NPP1)', 196, NULL, 'NPP1', 36922),
(93197, 'PF12580', NULL, 'Tripeptidyl peptidase II', 187, NULL, 'TPPII', 36923),
(93198, 'PF17006', NULL, 'Domain of unknown function (DUF5087)', 292, NULL, 'DUF5087', 36924),
(93199, 'PF11057', NULL, 'Cortexin of kidney', 76, NULL, 'Cortexin', 36925),
(93200, 'PF05702', NULL, 'Herpesvirus UL49.5 envelope/tegument protein', 98, NULL, 'Herpes_UL49_5', 36926),
(93201, 'PF14242', NULL, 'Domain of unknown function (DUF4342)', 81, NULL, 'DUF4342', 36927),
(93202, 'PF05549', NULL, 'Allexivirus 40kDa protein', 271, NULL, 'Allexi_40kDa', 36928),
(93203, 'PF08874', NULL, 'Domain of unknown function (DUF1835)', 120, NULL, 'DUF1835', 36929),
(93204, 'PF12414', NULL, 'Calcitonin gene-related peptide regulator C terminal', 94, NULL, 'Fox-1_C', 36930),
(93205, 'PF16000', NULL, 'CARMIL C-terminus', 301, NULL, 'CARMIL_C', 36931),
(93206, 'PF07229', NULL, 'VirE2', 556, NULL, 'VirE2', 36932),
(93207, 'PF08670', NULL, 'MEKHLA domain', 143, NULL, 'MEKHLA', 36933),
(93208, 'PF01161', NULL, 'Phosphatidylethanolamine-binding protein', 132, NULL, 'PBP', 36934),
(93209, 'PF01861', NULL, 'Branched-chain polyamine synthase A C-terminal domain', 243, NULL, 'DUF43', 36935),
(93210, 'PF17595', NULL, 'Family of unknown function (DUF5491)', 68, NULL, 'DUF5491', 36936),
(93211, 'PF02361', NULL, 'Cobalt transport protein', 218, NULL, 'CbiQ', 36937),
(93212, 'PF08647', NULL, 'BRE1 E3 ubiquitin ligase', 95, NULL, 'BRE1', 36938),
(93213, 'PF02211', NULL, 'Nitrile hydratase beta subunit', 219, NULL, 'NHase_beta', 36939),
(93214, 'PF01359', NULL, 'Transposase (partial DDE domain)', 80, NULL, 'Transposase_1', 36940),
(93215, 'PF12789', NULL, 'Phage tail repeat like', 60, NULL, 'PTR', 36941),
(93216, 'PF01022', NULL, 'Bacterial regulatory protein, arsR family', 47, NULL, 'HTH_5', 36942),
(93217, 'PF17137', NULL, 'Domain of unknown function (DUF5110)', 71, NULL, 'DUF5110', 36943),
(93218, 'PF19951', NULL, 'Family of unknown function (DUF6413)', 77, NULL, 'DUF6413', 36944),
(93219, 'PF10130', NULL, 'PIN domain', 133, NULL, 'PIN_2', 36945),
(93220, 'PF15095', NULL, 'Interleukin 33', 269, NULL, 'IL33', 36946),
(93221, 'PF15493', NULL, 'Domain of unknown function, YrpD', 216, NULL, 'YrpD', 36947),
(93222, 'PF08145', NULL, 'BOP1NT (NUC169) domain', 259, NULL, 'BOP1NT', 36948);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(93223, 'PF03574', NULL, 'Peptidase family S48', 149, NULL, 'Peptidase_S48', 36949),
(93224, 'PF06526', NULL, 'Protein of unknown function (DUF1107)', 63, NULL, 'DUF1107', 36950),
(93225, 'PF02519', NULL, 'Auxin responsive protein', 90, NULL, 'Auxin_inducible', 36951),
(93226, 'PF07933', NULL, 'Protein of unknown function (DUF1681)', 156, NULL, 'DUF1681', 36952),
(93227, 'PF06967', NULL, 'Mo-dependent nitrogenase C-terminus', 83, NULL, 'Mo-nitro_C', 36953),
(93228, 'PF01793', NULL, 'Glycolipid 2-alpha-mannosyltransferase', 325, NULL, 'Glyco_transf_15', 36954),
(93229, 'PF04412', NULL, 'Aconitase X', 401, NULL, 'AcnX', 36955),
(93230, 'PF14702', NULL, 'Central domain of human glycogen debranching enzyme', 253, NULL, 'hGDE_central', 36956),
(93231, 'PF11263', NULL, 'Borrelia burgdorferi attachment protein P66', 253, NULL, 'Attachment_P66', 36957),
(93232, 'PF15816', NULL, 'Transmembrane protein 82', 305, NULL, 'TMEM82', 36958),
(93233, 'PF07596', NULL, 'Protein of unknown function (DUF1559)', 274, NULL, 'SBP_bac_10', 36959),
(93234, 'PF13897', NULL, 'Golgi-dynamics membrane-trafficking', 133, NULL, 'GOLD_2', 36960),
(93235, 'PF15767', NULL, 'Domain of unknown function (DUF4696)', 583, NULL, 'DUF4696', 36961),
(93236, 'PF05104', NULL, 'Ribosome receptor lysine/proline rich region', 141, NULL, 'Rib_recp_KP_reg', 36962),
(93237, 'PF19085', NULL, 'Choline-binding repeat', 38, NULL, 'Choline_bind_2', 36963),
(93238, 'PF19904', NULL, 'Domain of unknown function (DUF6377)', 249, NULL, 'DUF6377', 36964),
(93239, 'PF18027', NULL, 'Cytosolic carboxypeptidase N-terminal domain', 107, NULL, 'Pepdidase_M14_N', 36965),
(93240, 'PF03458', NULL, 'Glycine transporter', 78, NULL, 'Gly_transporter', 36966),
(93241, 'PF17992', NULL, 'Agarase CBM like domain', 182, NULL, 'Agarase_CBM', 36967),
(93242, 'PF19650', NULL, 'Family of unknown function (DUF6153)', 115, NULL, 'DUF6153', 36968),
(93243, 'PF03737', NULL, 'Aldolase/RraA', 150, NULL, 'RraA-like', 36969),
(93244, 'PF19424', NULL, 'Protein UNC80', 2998, NULL, 'UNC80', 36970),
(93245, 'PF09202', NULL, 'Rio2, N-terminal', 82, NULL, 'Rio2_N', 36971),
(93246, 'PF09769', NULL, 'Apolipoprotein O', 131, NULL, 'ApoO', 36972),
(93247, 'PF10494', NULL, 'Serine-threonine protein kinase 19', 245, NULL, 'Stk19', 36973),
(93248, 'PF07926', NULL, 'TPR/MLP1/MLP2-like protein', 129, NULL, 'TPR_MLP1_2', 36974),
(93249, 'PF14442', NULL, 'Bd3614-like deaminase N-terminal', 92, NULL, 'Bd3614_N', 36975),
(93250, 'PF08852', NULL, 'Protein of unknown function (DUF1822)', 368, NULL, 'DUF1822', 36976),
(93251, 'PF03606', NULL, 'C4-dicarboxylate anaerobic carrier', 461, NULL, 'DcuC', 36977),
(93252, 'PF13025', NULL, 'Protein of unknown function (DUF3886)', 68, NULL, 'DUF3886', 36978),
(93253, 'PF16619', NULL, 'Unstructured region C-term to UIM in Ataxin3', 64, NULL, 'SUIM_assoc', 36979),
(93254, 'PF06122', NULL, 'Conjugative relaxosome accessory transposon protein', 358, NULL, 'TraH', 36980),
(93255, 'PF10269', NULL, 'Transmembrane Fragile-X-F protein', 250, NULL, 'Tmemb_185A', 36981),
(93256, 'PF14885', NULL, 'Hypothetical glycosyl hydrolase family 15', 276, NULL, 'GHL15', 36982),
(93257, 'PF14912', NULL, 'Testicular haploid expressed repeat', 58, NULL, 'THEG', 36983),
(93258, 'PF11422', NULL, 'Initiator binding protein 39 kDa', 179, NULL, 'IBP39', 36984),
(93259, 'PF11286', NULL, 'Protein of unknown function (DUF3087)', 165, NULL, 'DUF3087', 36985),
(93260, 'PF04113', NULL, 'Gpi16 subunit, GPI transamidase component', 558, NULL, 'Gpi16', 36986),
(93261, 'PF03723', NULL, 'Hemocyanin, ig-like domain', 248, NULL, 'Hemocyanin_C', 36987),
(93262, 'PF16432', NULL, 'Domain of unknown function (DUF5029)', 210, NULL, 'DUF5029', 36988),
(93263, 'PF00202', NULL, 'Aminotransferase class-III', 403, NULL, 'Aminotran_3', 36989),
(93264, 'PF16029', NULL, 'Domain of unknown function (DUF4787)', 63, NULL, 'DUF4787', 36990),
(93265, 'PF18173', NULL, 'Bacterial HORMA domain 2', 166, NULL, 'bacHORMA_2', 36991),
(93266, 'PF08238', NULL, 'Sel1 repeat', 38, NULL, 'Sel1', 36992),
(93267, 'PF13715', NULL, 'CarboxypepD_reg-like domain', 88, NULL, 'CarbopepD_reg_2', 36993);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(93268, 'PF16098', NULL, 'Fragile X-related mental retardation protein C-terminal region 2', 86, NULL, 'FXMR_C2', 36994),
(93269, 'PF10793', NULL, 'Gloverin-like protein', 161, NULL, 'Gloverin', 36995),
(93270, 'PF01039', NULL, 'Carboxyl transferase domain', 494, NULL, 'Carboxyl_trans', 36996),
(93271, 'PF17657', NULL, 'Bacterial DNA polymerase III alpha subunit finger domain', 166, NULL, 'DNA_pol3_finger', 36997),
(93272, 'PF12559', NULL, 'Serine endopeptidase inhibitors', 64, NULL, 'Inhibitor_I10', 36998),
(93273, 'PF13361', NULL, 'UvrD-like helicase C-terminal domain', 348, NULL, 'UvrD_C', 36999),
(93274, 'PF01048', NULL, 'Phosphorylase superfamily', 234, NULL, 'PNP_UDP_1', 37000),
(93275, 'PF01903', NULL, 'CbiX', 106, NULL, 'CbiX', 37001),
(93276, 'PF17696', NULL, 'Family of unknown function (DUF5542)', 68, NULL, 'DUF5542', 37002),
(93277, 'PF08869', NULL, 'XisI protein', 110, NULL, 'XisI', 37003),
(93278, 'PF06152', NULL, 'Phage minor capsid protein 2', 364, NULL, 'Phage_min_cap2', 37004),
(93279, 'PF09921', NULL, 'Uncharacterized protein conserved in archaea (DUF2153)', 123, NULL, 'DUF2153', 37005),
(93280, 'PF12674', NULL, 'Putative zinc ribbon domain', 82, NULL, 'Zn_ribbon_2', 37006),
(93281, 'PF18925', NULL, 'Family of unknown function (DUF5675)', 113, NULL, 'DUF5675', 37007),
(93282, 'PF15848', NULL, 'Odontogenesis associated phosphoprotein', 106, NULL, 'ODAPH', 37008),
(93283, 'PF00762', NULL, 'Ferrochelatase', 317, NULL, 'Ferrochelatase', 37009),
(93284, 'PF05593', NULL, 'RHS Repeat', 38, NULL, 'RHS_repeat', 37010),
(93285, 'PF12704', NULL, 'MacB-like periplasmic core domain', 196, NULL, 'MacB_PCD', 37011),
(93286, 'PF00981', NULL, 'Rotavirus RNA-binding Protein 53 (NS53)', 488, NULL, 'Rota_NS53', 37012),
(93287, 'PF07845', NULL, 'Protein of unknown function (DUF1636)', 117, NULL, 'DUF1636', 37013),
(93288, 'PF01342', NULL, 'SAND domain', 77, NULL, 'SAND', 37014),
(93289, 'PF13606', NULL, 'Ankyrin repeat', 31, NULL, 'Ank_3', 37015),
(93290, 'PF03708', NULL, 'Avian retrovirus envelope protein, gp85', 246, NULL, 'Avian_gp85', 37016),
(93291, 'PF18161', NULL, 'ISP1 C-terminal', 107, NULL, 'ISP1_C', 37017),
(93292, 'PF06911', NULL, 'Senescence-associated protein', 183, NULL, 'Senescence', 37018),
(93293, 'PF07183', NULL, 'Protein of unknown function (DUF1403)', 320, NULL, 'DUF1403', 37019),
(93294, 'PF03719', NULL, 'Ribosomal protein S5, C-terminal domain', 71, NULL, 'Ribosomal_S5_C', 37020),
(93295, 'PF10239', NULL, 'Protein of unknown function (DUF2465)', 323, NULL, 'DUF2465', 37021),
(93296, 'PF18664', NULL, 'CdiA C-terminal tRNase domain', 116, NULL, 'CdiA_C_tRNase', 37022),
(93297, 'PF07255', NULL, 'Benyvirus 14KDa protein', 123, NULL, 'Benyvirus_14KDa', 37023),
(93298, 'PF07914', NULL, 'Protein of unknown function (DUF1679)', 414, NULL, 'DUF1679', 37024),
(93299, 'PF07990', NULL, 'Nucleic acid binding protein NABP', 388, NULL, 'NABP', 37025),
(93300, 'PF00613', NULL, 'Phosphoinositide 3-kinase family, accessory domain (PIK domain)', 185, NULL, 'PI3Ka', 37026),
(93301, 'PF02351', NULL, 'GDNF/GAS1 domain', 88, NULL, 'GDNF', 37027),
(93302, 'PF05209', NULL, 'Septum formation inhibitor MinC, N-terminal domain', 104, NULL, 'MinC_N', 37028),
(93303, 'PF05301', NULL, 'GNAT acetyltransferase, Mec-17', 174, NULL, 'Acetyltransf_16', 37029),
(93304, 'PF03865', NULL, 'Haemolysin secretion/activation protein ShlB/FhaC/HecB', 313, NULL, 'ShlB', 37030),
(93305, 'PF17606', NULL, 'Family of unknown function (DUF5502)', 87, NULL, 'DUF5502', 37031),
(93306, 'PF12612', NULL, 'Tubulin folding cofactor D C terminal', 188, NULL, 'TFCD_C', 37032),
(93307, 'PF16418', NULL, 'CCR4-NOT transcription complex subunit 1 HEAT repeat', 150, NULL, 'CNOT1_HEAT', 37033),
(93308, 'PF17087', NULL, 'Herpesvirus US34A protein family', 64, NULL, 'HHV-5_US34A', 37034),
(93309, 'PF14729', NULL, 'Domain of unknown function with cystatin-like fold (DUF4467)', 94, NULL, 'DUF4467', 37035),
(93310, 'PF14826', NULL, 'FACT complex subunit SPT16 N-terminal lobe domain', 161, NULL, 'FACT-Spt16_Nlob', 37036),
(93311, 'PF01739', NULL, 'CheR methyltransferase, SAM binding domain', 195, NULL, 'CheR', 37037);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(93312, 'PF15753', NULL, 'Biogenesis of lysosome-related organelles complex 1 subunit 3', 181, NULL, 'BLOC1S3', 37038),
(93313, 'PF16555', NULL, 'Gram-positive pilin subunit D1, N-terminal domain', 161, NULL, 'GramPos_pilinD1', 37039),
(93314, 'PF06054', NULL, 'Competence protein CoiA-like family', 377, NULL, 'CoiA', 37040),
(93315, 'PF00067', NULL, 'Cytochrome P450', 463, NULL, 'p450', 37041),
(93316, 'PF18979', NULL, 'Family of unknown function (DUF5715)', 170, NULL, 'DUF5715', 37042),
(93317, 'PF18275', NULL, 'His-Me finger endonuclease beta4-alpha2 domain', 52, NULL, 'His_Me_b4a2', 37043),
(93318, 'PF18281', NULL, 'BILBO1 N-terminal domain', 92, NULL, 'BILBO1_N', 37044),
(93319, 'PF04586', NULL, 'Caudovirus prohead serine protease', 163, NULL, 'Peptidase_S78', 37045),
(93320, 'PF03876', NULL, 'SHS2 domain found in N terminus of Rpb7p/Rpc25p/MJ0397', 57, NULL, 'SHS2_Rpb7-N', 37046),
(93321, 'PF12840', NULL, 'Helix-turn-helix domain', 61, NULL, 'HTH_20', 37047),
(93322, 'PF06374', NULL, 'NADH-ubiquinone oxidoreductase subunit b14.5b (NDUFC2)', 109, NULL, 'NDUF_C2', 37048),
(93323, 'PF14492', NULL, 'Elongation Factor G, domain III', 75, NULL, 'EFG_III', 37049),
(93324, 'PF14160', NULL, 'Centrosome-associated C terminus', 114, NULL, 'FAM110_C', 37050),
(93325, 'PF18359', NULL, 'Histone methyltransferase Tudor domain 1', 53, NULL, 'Tudor_5', 37051),
(93326, 'PF09279', NULL, 'Phosphoinositide-specific phospholipase C, efhand-like', 86, NULL, 'EF-hand_like', 37052),
(93327, 'PF18885', NULL, 'Repeat of unknown function (DUF5648)', 39, NULL, 'DUF5648', 37053),
(93328, 'PF14523', NULL, 'Syntaxin-like protein', 101, NULL, 'Syntaxin_2', 37054),
(93329, 'PF06227', NULL, 'dsDNA Poxvirus', 173, NULL, 'Poxvirus', 37055),
(93330, 'PF04773', NULL, 'FecR protein', 97, NULL, 'FecR', 37056),
(93331, 'PF09687', NULL, 'Plasmodium RESA N-terminal', 125, NULL, 'PRESAN', 37057),
(93332, 'PF13166', NULL, 'AAA domain', 713, NULL, 'AAA_13', 37058),
(93333, 'PF15174', NULL, 'Prion-related protein testis-specific', 51, NULL, 'PRNT', 37059),
(93334, 'PF13229', NULL, 'Right handed beta helix region', 158, NULL, 'Beta_helix', 37060),
(93335, 'PF04649', NULL, 'Mycoplasma hyorhinis VlpA repeat', 13, NULL, 'VlpA_repeat', 37061),
(93336, 'PF13019', NULL, 'Silencing defective 2 N-terminal ubiquitin domain', 164, NULL, 'Sde2_N_Ubi', 37062),
(93337, 'PF17843', NULL, 'MycE methyltransferase N-terminal', 111, NULL, 'MycE_N', 37063),
(93338, 'PF18003', NULL, 'Domain of unknown function (DUF3823_C)', 106, NULL, 'DUF3823_C', 37064),
(93339, 'PF05008', NULL, 'Vesicle transport v-SNARE protein N-terminus', 79, NULL, 'V-SNARE', 37065),
(93340, 'PF02703', NULL, 'Early E1A protein', 289, NULL, 'Adeno_E1A', 37066),
(93341, 'PF11076', NULL, 'Putative inner membrane protein YbhQ', 132, NULL, 'YbhQ', 37067),
(93342, 'PF06533', NULL, 'Protein of unknown function (DUF1110)', 189, NULL, 'DUF1110', 37068),
(93343, 'PF12722', NULL, 'High-temperature-induced dauer-formation protein', 811, NULL, 'Hid1', 37069),
(93344, 'PF12821', NULL, 'Threonine/Serine exporter, ThrE', 129, NULL, 'ThrE_2', 37070),
(93345, 'PF01965', NULL, 'DJ-1/PfpI family', 165, NULL, 'DJ-1_PfpI', 37071),
(93346, 'PF04523', NULL, 'Herpes virus tegument protein U30', 917, NULL, 'Herpes_U30', 37072),
(93347, 'PF04487', NULL, 'CITED', 213, NULL, 'CITED', 37073),
(93348, 'PF00711', NULL, 'Beta defensin', 36, NULL, 'Defensin_beta', 37074),
(93349, 'PF04515', NULL, 'Plasma-membrane choline transporter', 325, NULL, 'Choline_transpo', 37075),
(93350, 'PF07879', NULL, 'PHB/PHA accumulation regulator DNA-binding domain', 61, NULL, 'PHB_acc_N', 37076),
(93351, 'PF20062', NULL, 'Family of unknown function (DUF6461)', 212, NULL, 'DUF6461', 37077),
(93352, 'PF16273', NULL, 'Nuclear distribution C domain', 66, NULL, 'NuDC', 37078),
(93353, 'PF14812', NULL, 'Transmembrane domain of transglycosylase PBP1 at N-terminal', 85, NULL, 'PBP1_TM', 37079),
(93354, 'PF15729', NULL, 'Amyotrophic lateral sclerosis 2 candidate 11', 418, NULL, 'ALS2CR11', 37080),
(93355, 'PF12565', NULL, 'Protein of unknown function (DUF3747)', 175, NULL, 'DUF3747', 37081);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(93356, 'PF10913', NULL, 'Protein of unknown function (DUF2706)', 59, NULL, 'DUF2706', 37082),
(93357, 'PF06411', NULL, 'HdeA/HdeB family', 92, NULL, 'HdeA', 37083),
(93358, 'PF08694', NULL, 'Ubiquitin-fold modifier-conjugating enzyme 1', 155, NULL, 'UFC1', 37084),
(93359, 'PF09710', NULL, 'Treponema clustered lipoprotein (Trep_dent_lipo)', 397, NULL, 'Trep_dent_lipo', 37085),
(93360, 'PF16459', NULL, 'Phage tail assembly chaperone, TAC', 97, NULL, 'Phage_TAC_13', 37086),
(93361, 'PF06350', NULL, 'Hormone-sensitive lipase (HSL) N-terminus', 307, NULL, 'HSL_N', 37087),
(93362, 'PF10536', NULL, 'Plant mobile domain', 355, NULL, 'PMD', 37088),
(93363, 'PF03566', NULL, 'Peptidase family A21', 653, NULL, 'Peptidase_A21', 37089),
(93364, 'PF04376', NULL, 'Arginine-tRNA-protein transferase, N terminus', 81, NULL, 'ATE_N', 37090),
(93365, 'PF17423', NULL, 'Swarming motility protein', 116, NULL, 'SwrA', 37091),
(93366, 'PF03715', NULL, 'Noc2p family', 299, NULL, 'Noc2', 37092),
(93367, 'PF01592', NULL, 'NifU-like N terminal domain', 129, NULL, 'NifU_N', 37093),
(93368, 'PF08110', NULL, 'Ocellatin family', 19, NULL, 'Antimicrobial15', 37094),
(93369, 'PF15688', NULL, 'Nuclear receptor-interacting protein 1 repression 2', 324, NULL, 'NRIP1_repr_2', 37095),
(93370, 'PF15354', NULL, 'Kidney-associated antigen 1', 84, NULL, 'KAAG1', 37096),
(93371, 'PF05059', NULL, 'Orbivirus VP4 core protein', 640, NULL, 'Orbi_VP4', 37097),
(93372, 'PF15123', NULL, 'Domain of unknown function (DUF4562)', 115, NULL, 'DUF4562', 37098),
(93373, 'PF02042', NULL, 'RWP-RK domain', 49, NULL, 'RWP-RK', 37099),
(93374, 'PF03473', NULL, 'MOSC domain', 137, NULL, 'MOSC', 37100),
(93375, 'PF16537', NULL, 'Type II secretion system protein B', 60, NULL, 'T2SSB', 37101),
(93376, 'PF02783', NULL, 'Methyl-coenzyme M reductase beta subunit, N-terminal domain', 182, NULL, 'MCR_beta_N', 37102),
(93377, 'PF02476', NULL, 'US2 family', 126, NULL, 'US2', 37103),
(93378, 'PF02488', NULL, 'Merozoite Antigen', 250, NULL, 'EMA', 37104),
(93379, 'PF19880', NULL, 'Family of unknown function (DUF6353)', 255, NULL, 'DUF6353', 37105),
(93380, 'PF06311', NULL, 'NUMB domain', 93, NULL, 'NumbF', 37106),
(93381, 'PF00731', NULL, 'AIR carboxylase', 148, NULL, 'AIRC', 37107),
(93382, 'PF01096', NULL, 'Transcription factor S-II (TFIIS)', 39, NULL, 'TFIIS_C', 37108),
(93383, 'PF04968', NULL, 'CHORD', 62, NULL, 'CHORD', 37109),
(93384, 'PF18631', NULL, 'Cucumopine synthase C-terminal helical bundle domain', 141, NULL, 'Cucumopine_C', 37110),
(93385, 'PF15778', NULL, 'UNC80 N-terminal', 187, NULL, 'UNC80_N', 37111),
(93386, 'PF00517', NULL, 'Retroviral envelope protein', 197, NULL, 'GP41', 37112),
(93387, 'PF05434', NULL, 'TMEM9', 145, NULL, 'Tmemb_9', 37113),
(93388, 'PF18577', NULL, 'Astrotactin-2 C-terminal beta-hairpin domain', 47, NULL, 'ASTN_2_hairpin', 37114),
(93389, 'PF04526', NULL, 'Protein of unknown function (DUF568)', 101, NULL, 'DUF568', 37115),
(93390, 'PF08114', NULL, 'ATPase proteolipid family', 43, NULL, 'PMP1_2', 37116),
(93391, 'PF14377', NULL, 'Ubiquitin binding region', 35, NULL, 'UBM', 37117),
(93392, 'PF12468', NULL, 'Type III secretion system leucine rich repeat protein', 54, NULL, 'TTSSLRR', 37118),
(93393, 'PF05522', NULL, 'Metallothionein', 65, NULL, 'Metallothio_6', 37119),
(93394, 'PF00088', NULL, 'Trefoil (P-type) domain', 43, NULL, 'Trefoil', 37120),
(93395, 'PF04555', NULL, 'Restriction endonuclease XhoI', 191, NULL, 'XhoI', 37121),
(93396, 'PF07907', NULL, 'YibE/F-like protein', 241, NULL, 'YibE_F', 37122),
(93397, 'PF16109', NULL, 'Domain of unknown function (DUF4827)', 184, NULL, 'DUF4827', 37123),
(93398, 'PF06535', NULL, 'Repulsive guidance molecule (RGM) N-terminus', 170, NULL, 'RGM_N', 37124),
(93399, 'PF06313', NULL, 'Drosophila ACP53EA protein', 90, NULL, 'ACP53EA', 37125),
(93400, 'PF08745', NULL, 'PINc domain ribonuclease', 207, NULL, 'PIN_5', 37126),
(93401, 'PF06173', NULL, 'Protein of unknown function (DUF986)', 148, NULL, 'DUF986', 37127),
(93402, 'PF12259', NULL, 'Baculovirus F protein', 610, NULL, 'Baculo_F', 37128);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(93403, 'PF13827', NULL, 'Domain of unknown function (DUF4189)', 97, NULL, 'DUF4189', 37129),
(93404, 'PF19362', NULL, 'Family of unknown function (DUF5938)', 234, NULL, 'DUF5938', 37130),
(93405, 'PF20023', NULL, 'Wolframin Sel1-like repeat', 39, NULL, 'WSLR', 37131),
(93406, 'PF03855', NULL, 'M-factor', 43, NULL, 'M-factor', 37132),
(93407, 'PF05080', NULL, 'Protein of unknown function (DUF681)', 101, NULL, 'DUF681', 37133),
(93408, 'PF10274', NULL, 'Parkin co-regulated protein', 183, NULL, 'ParcG', 37134),
(93409, 'PF10482', NULL, 'Tumour-suppressor protein CtIP N-terminal domain', 120, NULL, 'CtIP_N', 37135),
(93410, 'PF11251', NULL, 'Protein of unknown function (DUF3050)', 232, NULL, 'DUF3050', 37136),
(93411, 'PF04437', NULL, 'RINT-1 / TIP-1 family', 513, NULL, 'RINT1_TIP1', 37137),
(93412, 'PF09222', NULL, 'Fimbrial adhesin F17-AG, lectin domain', 171, NULL, 'Fim-adh_lectin', 37138),
(93413, 'PF15836', NULL, 'SSTK-interacting protein, TSSK6-activating co-chaperone protein', 125, NULL, 'SSTK-IP', 37139),
(93414, 'PF04041', NULL, 'beta-1,4-mannooligosaccharide phosphorylase', 322, NULL, 'Glyco_hydro_130', 37140),
(93415, 'PF19908', NULL, 'Family of unknown function (DUF6381)', 62, NULL, 'DUF6381', 37141),
(93416, 'PF04253', NULL, 'Transferrin receptor-like dimerisation domain', 125, NULL, 'TFR_dimer', 37142),
(93417, 'PF04140', NULL, 'Isoprenylcysteine carboxyl methyltransferase (ICMT) family', 95, NULL, 'ICMT', 37143),
(93418, 'PF06331', NULL, 'Transcription factor TFIIH complex subunit Tfb5', 68, NULL, 'Tfb5', 37144),
(93419, 'PF16486', NULL, 'N-terminal domain of argonaute', 132, NULL, 'ArgoN', 37145),
(93420, 'PF16306', NULL, 'Domain of unknown function (DUF4948)', 171, NULL, 'DUF4948', 37146),
(93421, 'PF16947', NULL, 'N-terminal region of 4Fe-4S ferredoxin iron-sulfur binding', 65, NULL, 'Ferredoxin_N', 37147),
(93422, 'PF10464', NULL, 'Peptidase U40', 212, NULL, 'Peptidase_U40', 37148),
(93423, 'PF19409', NULL, 'Thiopeptide-type bacteriocin precursor', 36, NULL, 'Thiopep_pre', 37149),
(93424, 'PF04263', NULL, 'Thiamin pyrophosphokinase, catalytic domain', 121, NULL, 'TPK_catalytic', 37150),
(93425, 'PF06530', NULL, 'Phage antitermination protein Q', 118, NULL, 'Phage_antitermQ', 37151),
(93426, 'PF15573', NULL, 'Immunity protein 47', 258, NULL, 'Imm47', 37152),
(93427, 'PF18040', NULL, 'beta porphyranase A C-terminal', 95, NULL, 'BPA_C', 37153),
(93428, 'PF13324', NULL, 'Grap2 and cyclin-D-interacting', 263, NULL, 'GCIP', 37154),
(93429, 'PF09639', NULL, 'YjcQ protein', 96, NULL, 'YjcQ', 37155),
(93430, 'PF18646', NULL, 'Family of unknown function (DUF5632)', 81, NULL, 'DUF5632', 37156),
(93431, 'PF06355', NULL, 'Aegerolysin', 131, NULL, 'Aegerolysin', 37157),
(93432, 'PF07470', NULL, 'Glycosyl Hydrolase Family 88', 353, NULL, 'Glyco_hydro_88', 37158),
(93433, 'PF18338', NULL, 'Lower baseplate protein N-terminal domain', 25, NULL, 'BppL_N', 37159),
(93434, 'PF12472', NULL, 'Phage related protein', 60, NULL, 'DUF3693', 37160),
(93435, 'PF08975', NULL, 'Domain of unknown function (DUF1868)', 116, NULL, '2H-phosphodiest', 37161),
(93436, 'PF17457', NULL, 'Family of unknown function (DUF5420)', 185, NULL, 'DUF5420', 37162),
(93437, 'PF07048', NULL, 'Protein of unknown function (DUF1331)', 35, NULL, 'DUF1331', 37163),
(93438, 'PF04453', NULL, 'LPS transport system D', 387, NULL, 'LptD', 37164),
(93439, 'PF01551', NULL, 'Peptidase family M23', 96, NULL, 'Peptidase_M23', 37165),
(93440, 'PF17297', NULL, 'Phosphoenolpyruvate carboxykinase N-terminal domain', 218, NULL, 'PEPCK_N', 37166),
(93441, 'PF13144', NULL, 'Chaperone for flagella basal body P-ring formation', 122, NULL, 'ChapFlgA', 37167),
(93442, 'PF14005', NULL, 'YpjP-like protein', 134, NULL, 'YpjP', 37168),
(93443, 'PF18058', NULL, 'SbsC C-terminal domain', 132, NULL, 'SbsC_C', 37169),
(93444, 'PF02502', NULL, 'Ribose/Galactose Isomerase', 139, NULL, 'LacAB_rpiB', 37170),
(93445, 'PF13074', NULL, 'Protein of unknown function (DUF3938)', 98, NULL, 'DUF3938', 37171),
(93446, 'PF17514', NULL, 'Family of unknown function (DUF5442)', 107, NULL, 'DUF5442', 37172);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(93447, 'PF14724', NULL, 'Mitochondrial-associated sphingomyelin phosphodiesterase', 816, NULL, 'mit_SMPDase', 37173),
(93448, 'PF08295', NULL, 'Sin3 family co-repressor', 98, NULL, 'Sin3_corepress', 37174),
(93449, 'PF12198', NULL, 'Tuberculin-active protein', 83, NULL, 'Tuberculin', 37175),
(93450, 'PF11396', NULL, 'Putative beta-lactamase-inhibitor-like, PepSY-like', 86, NULL, 'PepSY_like', 37176),
(93451, 'PF19447', NULL, 'Family of unknown function (DUF5985)', 89, NULL, 'DUF5985', 37177),
(93452, 'PF18843', NULL, 'Large polyvalent protein associated domain 28', 97, NULL, 'LPD28', 37178),
(93453, 'PF06701', NULL, 'Mib_herc2', 66, NULL, 'MIB_HERC2', 37179),
(93454, 'PF07919', NULL, 'Gryzun, putative trafficking through Golgi', 589, NULL, 'Gryzun', 37180),
(93455, 'PF09518', NULL, 'HindIII restriction endonuclease', 285, NULL, 'RE_HindIII', 37181),
(93456, 'PF15264', NULL, 'Tumour suppressing sub-chromosomal transferable candidate 4', 126, NULL, 'TSSC4', 37182),
(93457, 'PF01643', NULL, 'Acyl-ACP thioesterase', 248, NULL, 'Acyl-ACP_TE', 37183),
(93458, 'PF07045', NULL, 'Domain of unknown function (DUF1330)', 94, NULL, 'DUF1330', 37184),
(93459, 'PF07659', NULL, 'Nucleotide modification associated domain 1', 61, NULL, 'DUF1599', 37185),
(93460, 'PF02745', NULL, 'Methyl-coenzyme M reductase alpha subunit, N-terminal domain', 269, NULL, 'MCR_alpha_N', 37186),
(93461, 'PF13854', NULL, 'Kelch motif', 42, NULL, 'Kelch_5', 37187),
(93462, 'PF19285', NULL, 'Neuromedin-U receptor 2, C-terminal', 67, NULL, 'NmU-R2_C_term', 37188),
(93463, 'PF16795', NULL, 'Archaeal phage integrase', 160, NULL, 'Phage_integr_3', 37189),
(93464, 'PF18724', NULL, 'Alpha-glutamyl/putrescinyl thymine pyrophosphorylase clade 2', 231, NULL, 'aGPT-Pplase2', 37190),
(93465, 'PF12148', NULL, 'Tandem tudor domain within UHRF1', 155, NULL, 'TTD', 37191),
(93466, 'PF03575', NULL, 'Peptidase family S51', 206, NULL, 'Peptidase_S51', 37192),
(93467, 'PF01867', NULL, 'CRISPR associated protein Cas1', 283, NULL, 'Cas_Cas1', 37193),
(93468, 'PF13775', NULL, 'Domain of unknown function (DUF4171)', 125, NULL, 'DUF4171', 37194),
(93469, 'PF17844', NULL, 'Bacterial SCP ortholog', 93, NULL, 'SCP_3', 37195),
(93470, 'PF17768', NULL, 'RecJ OB domain', 108, NULL, 'RecJ_OB', 37196),
(93471, 'PF13174', NULL, 'Tetratricopeptide repeat', 33, NULL, 'TPR_6', 37197),
(93472, 'PF07237', NULL, 'Protein of unknown function (DUF1428)', 101, NULL, 'DUF1428', 37198),
(93473, 'PF16631', NULL, 'Unstructured region 4 on terminal uridylyltransferase 7', 88, NULL, 'TUTF7_u4', 37199),
(93474, 'PF00206', NULL, 'Lyase', 312, NULL, 'Lyase_1', 37200),
(93475, 'PF08857', NULL, 'Putative ParB-like nuclease', 161, NULL, 'ParBc_2', 37201),
(93476, 'PF02632', NULL, 'BioY family', 137, NULL, 'BioY', 37202),
(93477, 'PF02743', NULL, 'Cache domain', 243, NULL, 'dCache_1', 37203),
(93478, 'PF08432', NULL, 'AAA-ATPase Vps4-associated protein 1', 181, NULL, 'Vfa1', 37204),
(93479, 'PF10625', NULL, 'Universal stress protein B (UspB)', 107, NULL, 'UspB', 37205),
(93480, 'PF11999', NULL, 'Ice-binding-like', 209, NULL, 'Ice_binding', 37206),
(93481, 'PF00581', NULL, 'Rhodanese-like domain', 107, NULL, 'Rhodanese', 37207),
(93482, 'PF13131', NULL, 'Protein of unknown function (DUF3951)', 52, NULL, 'DUF3951', 37208),
(93483, 'PF04604', NULL, 'Type-A lantibiotic', 51, NULL, 'L_biotic_typeA', 37209),
(93484, 'PF03678', NULL, 'Hexon, adenovirus major coat protein, C-terminal domain', 241, NULL, 'Adeno_hexon_C', 37210),
(93485, 'PF16005', NULL, 'KH-like RNA-binding domain', 86, NULL, 'MOEP19', 37211),
(93486, 'PF00995', NULL, 'Sec1 family', 577, NULL, 'Sec1', 37212),
(93487, 'PF02874', NULL, 'ATP synthase alpha/beta family, beta-barrel domain', 69, NULL, 'ATP-synt_ab_N', 37213),
(93488, 'PF05757', NULL, 'Oxygen evolving enhancer protein 3 (PsbQ)', 200, NULL, 'PsbQ', 37214),
(93489, 'PF14419', NULL, 'AF2226-like SPOUT RNA Methylase fused to THUMP', 173, NULL, 'SPOUT_MTase_2', 37215),
(93490, 'PF18398', NULL, 'Clip-domain serine protease homolog masquerade', 33, NULL, 'CLIP_SPH_mas', 37216);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(93491, 'PF17142', NULL, 'Domain of unknown function (DUF5115)', 271, NULL, 'DUF5115', 37217),
(93492, 'PF18166', NULL, 'Predicted pPIWI-associating nuclease', 122, NULL, 'pP_pnuc_2', 37218),
(93493, 'PF07936', NULL, 'Potassium-channel blocking toxin', 34, NULL, 'Defensin_4', 37219),
(93494, 'PF05444', NULL, 'Protein of unknown function (DUF753)', 148, NULL, 'DUF753', 37220),
(93495, 'PF01019', NULL, 'Gamma-glutamyltranspeptidase', 512, NULL, 'G_glu_transpept', 37221),
(93496, 'PF07555', NULL, 'beta-N-acetylglucosaminidase', 292, NULL, 'NAGidase', 37222),
(93497, 'PF16361', NULL, 'N-terminal of Subtilase family', 142, NULL, 'Peptidase_S8_N', 37223),
(93498, 'PF18127', NULL, 'Nicotinamide phosphoribosyltransferase, N-terminal domain', 98, NULL, 'NAMPT_N', 37224),
(93499, 'PF07706', NULL, 'Aminotransferase ubiquitination site', 40, NULL, 'TAT_ubiq', 37225),
(93500, 'PF04165', NULL, 'Protein of unknown function (DUF401)', 389, NULL, 'DUF401', 37226),
(93501, 'PF12628', NULL, 'Falstatin, cysteine peptidase inhibitor', 173, NULL, 'Inhibitor_I71', 37227),
(93502, 'PF11200', NULL, 'Protein of unknown function (DUF2981)', 354, NULL, 'DUF2981', 37228),
(93503, 'PF12351', NULL, 'Ca2+ regulator and membrane fusion protein Fig1', 188, NULL, 'Fig1', 37229),
(93504, 'PF06023', NULL, 'CRISPR-associated exonuclease Csa1', 292, NULL, 'Csa1', 37230),
(93505, 'PF09632', NULL, 'Rac1-binding domain', 297, NULL, 'Rac1', 37231),
(93506, 'PF19580', NULL, 'Endonuclease/Exonuclease/phosphatase family', 311, NULL, 'Exo_endo_phos_3', 37232),
(93507, 'PF05928', NULL, 'Zea mays MURB-like protein (MuDR)', 207, NULL, 'Zea_mays_MuDR', 37233),
(93508, 'PF02966', NULL, 'Mitosis protein DIM1', 133, NULL, 'DIM1', 37234),
(93509, 'PF04367', NULL, 'Protein of unknown function (DUF502)', 106, NULL, 'DUF502', 37235),
(93510, 'PF02432', NULL, 'Fimbrial, major and minor subunit', 155, NULL, 'Fimbrial_K88', 37236),
(93511, 'PF04599', NULL, 'Poxvirus G5 protein', 425, NULL, 'Pox_G5', 37237),
(93512, 'PF06155', NULL, 'Gamma-butyrobetaine hydroxylase-like, N-terminal', 85, NULL, 'GBBH-like_N', 37238),
(93513, 'PF13326', NULL, 'Photosystem II Pbs27', 141, NULL, 'PSII_Pbs27', 37239),
(93514, 'PF19162', NULL, 'Family of unknown function (DUF5844)', 109, NULL, 'DUF5844', 37240),
(93515, 'PF03055', NULL, 'Retinal pigment epithelial membrane protein', 475, NULL, 'RPE65', 37241),
(93516, 'PF07066', NULL, 'Lactococcus phage M3 protein', 159, NULL, 'DUF3882', 37242),
(93517, 'PF11084', NULL, 'Protein of unknown function (DUF2621)', 139, NULL, 'DUF2621', 37243),
(93518, 'PF02391', NULL, 'MoaE protein', 113, NULL, 'MoaE', 37244),
(93519, 'PF00462', NULL, 'Glutaredoxin', 60, NULL, 'Glutaredoxin', 37245),
(93520, 'PF18146', NULL, 'Damage-inducible protein CinA KH domain', 73, NULL, 'CinA_KH', 37246),
(93521, 'PF09992', NULL, 'Phosphodiester glycosidase', 170, NULL, 'NAGPA', 37247),
(93522, 'PF08473', NULL, 'Neuronal voltage-dependent calcium channel alpha 2acd', 431, NULL, 'VGCC_alpha2', 37248),
(93523, 'PF14420', NULL, 'Clr5 domain', 54, NULL, 'Clr5', 37249),
(93524, 'PF14391', NULL, 'Domain of unknown function (DUF4421)', 298, NULL, 'DUF4421', 37250),
(93525, 'PF17538', NULL, 'DNA Binding Domain (C-terminal) Leafy/Floricaula', 169, NULL, 'C_LFY_FLO', 37251),
(93526, 'PF10861', NULL, 'Protein of Unknown function (DUF2784)', 112, NULL, 'DUF2784', 37252),
(93527, 'PF11576', NULL, 'FeGP cofactor biosynthesis protein HcgB, guanylyltransferase', 153, NULL, 'HcgB', 37253),
(93528, 'PF12960', NULL, 'Protein of unknown function (DUF3849)', 123, NULL, 'DUF3849', 37254),
(93529, 'PF07841', NULL, 'DM4/DM12 family', 85, NULL, 'DM4_12', 37255),
(93530, 'PF10126', NULL, 'Uncharacterized protein, homolog of nitrogen regulatory protein PII', 107, NULL, 'Nit_Regul_Hom', 37256),
(93531, 'PF13821', NULL, 'Domain of unknown function (DUF4187)', 54, NULL, 'DUF4187', 37257),
(93532, 'PF01688', NULL, 'Alphaherpesvirus glycoprotein I', 155, NULL, 'Herpes_gI', 37258),
(93533, 'PF00750', NULL, 'tRNA synthetases class I (R)', 349, NULL, 'tRNA-synt_1d', 37259),
(93534, 'PF02965', NULL, 'Vitamin B12 dependent methionine synthase, activation domain', 273, NULL, 'Met_synt_B12', 37260);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(93535, 'PF04480', NULL, 'Protein of unknown function (DUF559)', 109, NULL, 'DUF559', 37261),
(93536, 'PF00588', NULL, 'SpoU rRNA Methylase family', 142, NULL, 'SpoU_methylase', 37262),
(93537, 'PF08810', NULL, 'Kinase associated protein B', 112, NULL, 'KapB', 37263),
(93538, 'PF03098', NULL, 'Animal haem peroxidase', 529, NULL, 'An_peroxidase', 37264),
(93539, 'PF03653', NULL, 'Uncharacterised protein family (UPF0093)', 146, NULL, 'UPF0093', 37265),
(93540, 'PF04816', NULL, 'tRNA (adenine(22)-N(1))-methyltransferase', 205, NULL, 'TrmK', 37266),
(93541, 'PF07861', NULL, 'WisP family N-Terminal Region', 239, NULL, 'WND', 37267),
(93542, 'PF12359', NULL, 'Protein of unknown function (DUF3645)', 33, NULL, 'DUF3645', 37268),
(93543, 'PF11059', NULL, 'Protein of unknown function (DUF2860)', 297, NULL, 'DUF2860', 37269),
(93544, 'PF19148', NULL, 'Family of unknown function (DUF5830)', 114, NULL, 'DUF5830', 37270),
(93545, 'PF00566', NULL, 'Rab-GTPase-TBC domain', 215, NULL, 'RabGAP-TBC', 37271),
(93546, 'PF14921', NULL, 'Adenomatosis polyposis coli down-regulated 1', 238, NULL, 'APCDDC', 37272),
(93547, 'PF01920', NULL, 'Prefoldin subunit', 106, NULL, 'Prefoldin_2', 37273),
(93548, 'PF18615', NULL, 'Short myomegalin-like EB1 binding proteins, N-terminal domain', 388, NULL, 'SMYLE_N', 37274),
(93549, 'PF18336', NULL, 'Fragile X mental retardation Tudor domain', 49, NULL, 'Tudor_FRX1', 37275),
(93550, 'PF02397', NULL, 'Bacterial sugar transferase', 184, NULL, 'Bac_transf', 37276),
(93551, 'PF13292', NULL, '1-deoxy-D-xylulose-5-phosphate synthase', 273, NULL, 'DXP_synthase_N', 37277),
(93552, 'PF19392', NULL, 'Family of unknown function (DUF5967)', 43, NULL, 'DUF5967', 37278),
(93553, 'PF13069', NULL, 'Protein of unknown function (DUF3933)', 52, NULL, 'DUF3933', 37279),
(93554, 'PF19366', NULL, 'Domain of unknown function (DUF5942)', 191, NULL, 'DUF5942', 37280),
(93555, 'PF16550', NULL, 'UCH-binding domain', 112, NULL, 'RPN13_C', 37281),
(93556, 'PF07535', NULL, 'DBF zinc finger', 45, NULL, 'zf-DBF', 37282),
(93557, 'PF19153', NULL, 'Family of unknown function (DUF5835)', 53, NULL, 'DUF5835', 37283),
(93558, 'PF15800', NULL, 'Clock interacting protein circadian', 338, NULL, 'CiPC', 37284),
(93559, 'PF16344', NULL, 'Domain of unknown function (DUF4974)', 70, NULL, 'DUF4974', 37285),
(93560, 'PF05124', NULL, 'S-layer like family, C-terminal region', 220, NULL, 'S_layer_C', 37286),
(93561, 'PF12385', NULL, 'Papain-like cysteine protease AvrRpt2', 143, NULL, 'Peptidase_C70', 37287),
(93562, 'PF15307', NULL, 'Sperm acrosome-associated protein 7', 107, NULL, 'SPACA7', 37288),
(93563, 'PF13893', NULL, 'RNA recognition motif. (a.k.a. RRM, RBD, or RNP domain)', 125, NULL, 'RRM_5', 37289),
(93564, 'PF06279', NULL, 'Protein of unknown function (DUF1033)', 118, NULL, 'DUF1033', 37290),
(93565, 'PF11428', NULL, 'Protein of unknown function (DUF3196)', 285, NULL, 'DUF3196', 37291),
(93566, 'PF07213', NULL, 'DAP10 membrane protein', 79, NULL, 'DAP10', 37292),
(93567, 'PF09217', NULL, 'Restriction endonuclease EcoRII, N-terminal', 154, NULL, 'EcoRII-N', 37293),
(93568, 'PF13794', NULL, 'tRNA-(MS[2]IO[6]A)-hydroxylase (MiaE)-like', 185, NULL, 'MiaE_2', 37294),
(93569, 'PF03577', NULL, 'Peptidase family C69', 402, NULL, 'Peptidase_C69', 37295),
(93570, 'PF15124', NULL, 'FANCD2 opposite strand protein', 175, NULL, 'FANCD2OS', 37296),
(93571, 'PF07765', NULL, 'KIP1-like protein', 74, NULL, 'KIP1', 37297),
(93572, 'PF08659', NULL, 'KR domain', 180, NULL, 'KR', 37298),
(93573, 'PF05692', NULL, 'Mycoplasma haemagglutinin', 429, NULL, 'Myco_haema', 37299),
(93574, 'PF10268', NULL, 'Predicted transmembrane protein 161AB', 481, NULL, 'Tmemb_161AB', 37300),
(93575, 'PF16839', NULL, 'Nematode antimicrobial peptide', 54, NULL, 'Antimicrobial25', 37301),
(93576, 'PF13878', NULL, 'zinc-finger of acetyl-transferase ESCO', 40, NULL, 'zf-C2H2_3', 37302),
(93577, 'PF13556', NULL, 'PucR C-terminal helix-turn-helix domain', 59, NULL, 'HTH_30', 37303),
(93578, 'PF17880', NULL, 'Yos9 dimerzation domain', 128, NULL, 'Yos9_DD', 37304);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(93579, 'PF08223', NULL, 'PaaX-like protein C-terminal domain', 99, NULL, 'PaaX_C', 37305),
(93580, 'PF03069', NULL, 'Acetamidase/Formamidase family', 373, NULL, 'FmdA_AmdA', 37306),
(93581, 'PF04969', NULL, 'CS domain', 78, NULL, 'CS', 37307),
(93582, 'PF18393', NULL, 'MotY N-terminal domain', 146, NULL, 'MotY_N', 37308),
(93583, 'PF10142', NULL, 'PhoPQ-activated pathogenicity-related protein', 366, NULL, 'PhoPQ_related', 37309),
(93584, 'PF14593', NULL, 'PH domain', 104, NULL, 'PH_3', 37310),
(93585, 'PF08024', NULL, 'Ant antimicrobial peptide', 24, NULL, 'Antimicrobial_4', 37311),
(93586, 'PF04935', NULL, 'Surfeit locus protein 6', 201, NULL, 'SURF6', 37312),
(93587, 'PF13780', NULL, 'Domain of unknown function (DUF4176)', 74, NULL, 'DUF4176', 37313),
(93588, 'PF03512', NULL, 'Glycosyl hydrolase family 52', 414, NULL, 'Glyco_hydro_52', 37314),
(93589, 'PF11791', NULL, 'Aconitate B N-terminal domain', 153, NULL, 'Aconitase_B_N', 37315),
(93590, 'PF13783', NULL, 'Domain of unknown function (DUF4177)', 65, NULL, 'DUF4177', 37316),
(93591, 'PF16802', NULL, 'Domain of unknown function (DUF5070)', 154, NULL, 'DUF5070', 37317),
(93592, 'PF15412', NULL, 'Binding domain of Nse4/EID3 to Nse3-MAGE', 57, NULL, 'Nse4-Nse3_bdg', 37318),
(93593, 'PF10320', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srsx', 257, NULL, '7TM_GPCR_Srsx', 37319),
(93594, 'PF11445', NULL, 'Protein of unknown function (DUF2894)', 181, NULL, 'DUF2894', 37320),
(93595, 'PF11861', NULL, 'Domain of unknown function (DUF3381)', 167, NULL, 'DUF3381', 37321),
(93596, 'PF02460', NULL, 'Patched family', 811, NULL, 'Patched', 37322),
(93597, 'PF05969', NULL, 'Photosystem II complex subunit Ycf12', 33, NULL, 'PSII_Ycf12', 37323),
(93598, 'PF06278', NULL, 'Condensin II complex subunit CAP-H2 or CNDH2, N-terminal', 117, NULL, 'CNDH2_N', 37324),
(93599, 'PF17691', NULL, 'Contingent replication of cDNA 4', 131, NULL, 'Croc_4', 37325),
(93600, 'PF11870', NULL, 'Domain of unknown function (DUF3390)', 88, NULL, 'DUF3390', 37326),
(93601, 'PF02310', NULL, 'B12 binding domain', 121, NULL, 'B12-binding', 37327),
(93602, 'PF11421', NULL, 'ATP synthase F1 beta subunit', 49, NULL, 'Synthase_beta', 37328),
(93603, 'PF00632', NULL, 'HECT-domain (ubiquitin-transferase)', 307, NULL, 'HECT', 37329),
(93604, 'PF05733', NULL, 'Tenuivirus/Phlebovirus nucleocapsid protein', 246, NULL, 'Tenui_N', 37330),
(93605, 'PF19769', NULL, 'CPxCG-related zinc finger', 183, NULL, 'CPxCG_zf', 37331),
(93606, 'PF01186', NULL, 'Lysyl oxidase', 202, NULL, 'Lysyl_oxidase', 37332),
(93607, 'PF16647', NULL, 'Granulocyte colony-stimulating factor', 149, NULL, 'GCSF', 37333),
(93608, 'PF16675', NULL, 'KIX-binding domain of forkhead box O, CR2', 81, NULL, 'FOXO_KIX_bdg', 37334),
(93609, 'PF01701', NULL, 'Photosystem I reaction centre subunit IX / PsaJ', 37, NULL, 'PSI_PsaJ', 37335),
(93610, 'PF17086', NULL, 'Small capsid protein of Herpesviridae', 77, NULL, 'HV_small_capsid', 37336),
(93611, 'PF14681', NULL, 'Uracil phosphoribosyltransferase', 207, NULL, 'UPRTase', 37337),
(93612, 'PF02046', NULL, 'Cytochrome c oxidase subunit VIa', 112, NULL, 'COX6A', 37338),
(93613, 'PF15039', NULL, 'Domain of unknown function (DUF4530)', 113, NULL, 'DUF4530', 37339),
(93614, 'PF16573', NULL, 'N-terminal beta-sandwich domain of polyadenylation factor', 92, NULL, 'CLP1_N', 37340),
(93615, 'PF13665', NULL, 'Domain of unknown function (DUF4150)', 108, NULL, 'DUF4150', 37341),
(93616, 'PF16153', NULL, 'Domain of unknown function (DUF4861)', 376, NULL, 'DUF4861', 37342),
(93617, 'PF05464', NULL, 'Phi-29-like late genes activator (early protein GP4)', 125, NULL, 'Phi-29_GP4', 37343),
(93618, 'PF18108', NULL, 'QSOX Trx-like domain', 108, NULL, 'QSOX_Trx1', 37344),
(93619, 'PF19301', NULL, 'LigXa C-terminal domain like', 303, NULL, 'LigXa_C', 37345),
(93620, 'PF04231', NULL, 'Endonuclease I', 230, NULL, 'Endonuclease_1', 37346),
(93621, 'PF10990', NULL, 'Protein of unknown function (DUF2809)', 86, NULL, 'DUF2809', 37347),
(93622, 'PF17311', NULL, 'Family of unknown function (DUF5358)', 161, NULL, 'DUF5358', 37348);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(93623, 'PF16939', NULL, 'Putative porin', 282, NULL, 'Porin_6', 37349),
(93624, 'PF02589', NULL, 'LUD domain', 189, NULL, 'LUD_dom', 37350),
(93625, 'PF06510', NULL, 'Protein of unknown function (DUF1102)', 141, NULL, 'DUF1102', 37351),
(93626, 'PF01758', NULL, 'Sodium Bile acid symporter family', 195, NULL, 'SBF', 37352),
(93627, 'PF08668', NULL, 'HDOD domain', 196, NULL, 'HDOD', 37353),
(93628, 'PF13553', NULL, 'Function to find', 252, NULL, 'FIIND', 37354),
(93629, 'PF13535', NULL, 'ATP-grasp domain', 160, NULL, 'ATP-grasp_4', 37355),
(93630, 'PF12964', NULL, 'Protein of unknown function (DUF3853)', 97, NULL, 'DUF3853', 37356),
(93631, 'PF02330', NULL, 'Mitochondrial glycoprotein', 212, NULL, 'MAM33', 37357),
(93632, 'PF13656', NULL, 'RNA polymerase Rpb3/Rpb11 dimerisation domain', 75, NULL, 'RNA_pol_L_2', 37358),
(93633, 'PF17637', NULL, 'Family of unknown function (DUF5516)', 37, NULL, 'DUF5516', 37359),
(93634, 'PF18197', NULL, 'Domain of unknown function (DUF5602)', 52, NULL, 'DUF5602', 37360),
(93635, 'PF11569', NULL, 'Homeodomain leucine-zipper encoding, Homez', 57, NULL, 'Homez', 37361),
(93636, 'PF03682', NULL, 'Uncharacterised protein family (UPF0158)', 157, NULL, 'UPF0158', 37362),
(93637, 'PF10902', NULL, 'WYL_2, Sm-like SH3 beta-barrel fold', 74, NULL, 'WYL_2', 37363),
(93638, 'PF15013', NULL, 'CCSMST1 family', 75, NULL, 'CCSMST1', 37364),
(93639, 'PF16673', NULL, 'TNF receptor-associated factor BIRC3 binding domain', 64, NULL, 'TRAF_BIRC3_bd', 37365),
(93640, 'PF05518', NULL, 'Totivirus coat protein', 759, NULL, 'Totivirus_coat', 37366),
(93641, 'PF06022', NULL, 'Plasmodium variant antigen protein Cir/Yir/Bir', 258, NULL, 'Cir_Bir_Yir', 37367),
(93642, 'PF12480', NULL, 'Protein of unknown function (DUF3699)', 71, NULL, 'DUF3699', 37368),
(93643, 'PF13194', NULL, 'Domain of unknown function (DUF4010)', 210, NULL, 'DUF4010', 37369),
(93644, 'PF00512', NULL, 'His Kinase A (phospho-acceptor) domain', 67, NULL, 'HisKA', 37370),
(93645, 'PF06649', NULL, 'Protein of unknown function (DUF1161)', 52, NULL, 'DUF1161', 37371),
(93646, 'PF13722', NULL, '5TM C-terminal transporter carbon starvation CstA', 117, NULL, 'CstA_5TM', 37372),
(93647, 'PF15423', NULL, 'FLYWCH-type zinc finger-containing protein', 107, NULL, 'FLYWCH_N', 37373),
(93648, 'PF02102', NULL, 'Deuterolysin metalloprotease (M35) family', 359, NULL, 'Peptidase_M35', 37374),
(93649, 'PF08720', NULL, 'Influenza C hemagglutinin stalk', 175, NULL, 'Hema_stalk', 37375),
(93650, 'PF11273', NULL, 'Protein of unknown function (DUF3073)', 63, NULL, 'DUF3073', 37376),
(93651, 'PF18383', NULL, 'Intraflagellar transport 81 calponin homology domain', 123, NULL, 'IFT81_CH', 37377),
(93652, 'PF04659', NULL, 'Archaeal flagella protein', 96, NULL, 'Arch_fla_DE', 37378),
(93653, 'PF01775', NULL, 'Ribosomal proteins 50S-L18Ae/60S-L20/60S-L18A', 121, NULL, 'Ribosomal_L18A', 37379),
(93654, 'PF12152', NULL, 'Eukaryotic translation initiation factor 4G1', 70, NULL, 'eIF_4G1', 37380),
(93655, 'PF12647', NULL, 'RNHCP domain', 90, NULL, 'RNHCP', 37381),
(93656, 'PF13095', NULL, 'Kinetochore Sim4 complex subunit FTA2', 220, NULL, 'FTA2', 37382),
(93657, 'PF01101', NULL, 'HMG14 and HMG17', 90, NULL, 'HMG14_17', 37383),
(93658, 'PF13670', NULL, 'Peptidase propeptide and YPEB domain', 84, NULL, 'PepSY_2', 37384),
(93659, 'PF00098', NULL, 'Zinc knuckle', 18, NULL, 'zf-CCHC', 37385),
(93660, 'PF14618', NULL, 'Domain of unknown function (DUF4452)', 170, NULL, 'DUF4452', 37386),
(93661, 'PF00291', NULL, 'Pyridoxal-phosphate dependent enzyme', 294, NULL, 'PALP', 37387),
(93662, 'PF15127', NULL, 'Small membrane A-kinase anchor protein', 93, NULL, 'SmAKAP', 37388),
(93663, 'PF02316', NULL, 'Mu DNA-binding domain', 142, NULL, 'HTH_Tnp_Mu_1', 37389),
(93664, 'PF19636', NULL, 'Family of unknown function (DUF6139)', 77, NULL, 'DUF6139', 37390),
(93665, 'PF07614', NULL, 'Protein of unknown function (DUF1577)', 256, NULL, 'DUF1577', 37391),
(93666, 'PF09207', NULL, 'Yeast killer toxin', 87, NULL, 'Yeast-kill-tox', 37392),
(93667, 'PF09755', NULL, 'Uncharacterized conserved protein H4 (DUF2046)', 304, NULL, 'DUF2046', 37393);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(93668, 'PF03621', NULL, 'MbtH-like protein', 53, NULL, 'MbtH', 37394),
(93669, 'PF11397', NULL, 'Glycosyltransferase (GlcNAc)', 352, NULL, 'GlcNAc', 37395),
(93670, 'PF00758', NULL, 'Erythropoietin/thrombopoietin', 158, NULL, 'EPO_TPO', 37396),
(93671, 'PF02414', NULL, 'Borrelia ORF-A', 291, NULL, 'Borrelia_orfA', 37397),
(93672, 'PF10589', NULL, 'NADH-ubiquinone oxidoreductase-F iron-sulfur binding region', 85, NULL, 'NADH_4Fe-4S', 37398),
(93673, 'PF01528', NULL, 'Herpesvirus glycoprotein M', 373, NULL, 'Herpes_glycop', 37399),
(93674, 'PF19207', NULL, 'Family of unknown function (DUF5879)', 273, NULL, 'DUF5879', 37400),
(93675, 'PF09911', NULL, 'Uncharacterized protein conserved in bacteria (DUF2140)', 187, NULL, 'DUF2140', 37401),
(93676, 'PF14238', NULL, 'Domain of unknown function (DUF4340)', 184, NULL, 'DUF4340', 37402),
(93677, 'PF20157', NULL, 'Glycosyltransferase Maf N-terminal domain', 228, NULL, 'Maf_flag10_N', 37403),
(93678, 'PF12011', NULL, 'RNA helicase NPH-II', 174, NULL, 'NPH-II', 37404),
(93679, 'PF00280', NULL, 'Potato inhibitor I family', 64, NULL, 'potato_inhibit', 37405),
(93680, 'PF06403', NULL, 'Lamprin', 91, NULL, 'Lamprin', 37406),
(93681, 'PF19996', NULL, 'N-terminal helical region fused to the FtsH ternary system vWA domain', 240, NULL, 'ivWA-helical_N', 37407),
(93682, 'PF01966', NULL, 'HD domain', 122, NULL, 'HD', 37408),
(93683, 'PF06749', NULL, 'Protein of unknown function (DUF1218)', 96, NULL, 'DUF1218', 37409),
(93684, 'PF10893', NULL, 'Protein of unknown function (DUF2724)', 60, NULL, 'DUF2724', 37410),
(93685, 'PF12886', NULL, 'Transducer of regulated CREB activity, C terminus', 75, NULL, 'TORC_C', 37411),
(93686, 'PF14920', NULL, 'MDM2-binding', 257, NULL, 'MTBP_C', 37412),
(93687, 'PF12633', NULL, 'Adenylate cyclase NT domain', 199, NULL, 'Adenyl_cycl_N', 37413),
(93688, 'PF08864', NULL, 'UPF0302 domain', 105, NULL, 'UPF0302', 37414),
(93689, 'PF17454', NULL, 'Honey bee toxin', 49, NULL, 'Bee_toxin', 37415),
(93690, 'PF20057', NULL, 'Domain of unknown function (DUF6456)', 128, NULL, 'DUF6456', 37416),
(93691, 'PF06018', NULL, 'CodY GAF-like domain', 177, NULL, 'CodY', 37417),
(93692, 'PF15153', NULL, 'Cytokine-like protein 1', 127, NULL, 'CYTL1', 37418),
(93693, 'PF11119', NULL, 'Protein of unknown function (DUF2633)', 43, NULL, 'DUF2633', 37419),
(93694, 'PF08393', NULL, 'Dynein heavy chain, N-terminal region 2', 399, NULL, 'DHC_N2', 37420),
(93695, 'PF00888', NULL, 'Cullin family', 619, NULL, 'Cullin', 37421),
(93696, 'PF11000', NULL, 'Protein of unknown function (DUF2840)', 148, NULL, 'DUF2840', 37422),
(93697, 'PF13328', NULL, 'HD domain', 157, NULL, 'HD_4', 37423),
(93698, 'PF04981', NULL, 'NMD3 family', 243, NULL, 'NMD3', 37424),
(93699, 'PF09648', NULL, 'YycH protein', 232, NULL, 'YycI', 37425),
(93700, 'PF09750', NULL, 'Alternative splicing regulator', 134, NULL, 'DRY_EERY', 37426),
(93701, 'PF12078', NULL, 'Domain of unknown function (DUF3557)', 154, NULL, 'DUF3557', 37427),
(93702, 'PF05620', NULL, 'SRP-independent targeting protein 2/TMEM208', 168, NULL, 'TMEM208_SND2', 37428),
(93703, 'PF16564', NULL, 'p55-binding region of Methyl-CpG-binding domain proteins MBD', 71, NULL, 'MBDa', 37429),
(93704, 'PF02429', NULL, 'Peridinin-chlorophyll A binding protein', 145, NULL, 'PCP', 37430),
(93705, 'PF08124', NULL, 'Polysaccharide lyase family 8, N terminal alpha-helical domain', 323, NULL, 'Lyase_8_N', 37431),
(93706, 'PF12225', NULL, 'Methylene-tetrahydrofolate reductase C terminal', 95, NULL, 'DUF5981', 37432),
(93707, 'PF14989', NULL, 'Coiled-coil domain containing 32', 150, NULL, 'CCDC32', 37433),
(93708, 'PF09627', NULL, 'PrgU-like protein', 106, NULL, 'PrgU', 37434),
(93709, 'PF13856', NULL, 'ATP-binding sugar transporter from pro-phage', 99, NULL, 'Gifsy-2', 37435),
(93710, 'PF10705', NULL, 'Chloroplast protein precursor Ycf15 putative', 86, NULL, 'Ycf15', 37436),
(93711, 'PF16916', NULL, 'Dimerisation domain of Zinc Transporter', 79, NULL, 'ZT_dimer', 37437),
(93712, 'PF01679', NULL, 'Proteolipid membrane potential modulator', 49, NULL, 'Pmp3', 37438);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(93713, 'PF11500', NULL, 'Cut12 conserved domain', 146, NULL, 'Cut12', 37439),
(93714, 'PF07609', NULL, 'Protein of unknown function (DUF1572)', 163, NULL, 'DUF1572', 37440),
(93715, 'PF02978', NULL, 'Signal peptide binding domain', 101, NULL, 'SRP_SPB', 37441),
(93716, 'PF16456', NULL, 'YmgD protein', 82, NULL, 'YmgD', 37442),
(93717, 'PF18266', NULL, 'Nicastrin small lobe', 169, NULL, 'Ncstrn_small', 37443),
(93718, 'PF11064', NULL, 'Protein of unknown function (DUF2865)', 115, NULL, 'DUF2865', 37444),
(93719, 'PF06191', NULL, 'Protein of unknown function (DUF995)', 140, NULL, 'DUF995', 37445),
(93720, 'PF14532', NULL, 'Sigma-54 interaction domain', 138, NULL, 'Sigma54_activ_2', 37446),
(93721, 'PF17724', NULL, 'Family of unknown function (DUF5568)', 185, NULL, 'DUF5568', 37447),
(93722, 'PF01077', NULL, 'Nitrite and sulphite reductase 4Fe-4S domain', 159, NULL, 'NIR_SIR', 37448),
(93723, 'PF11196', NULL, 'Terpene cyclase DEP1', 96, NULL, 'DEP1', 37449),
(93724, 'PF18844', NULL, 'Bacterial archaeo-eukaryotic release factor family 2', 149, NULL, 'baeRF_family2', 37450),
(93725, 'PF20093', NULL, 'Domain of unknown function (DUF6484)', 61, NULL, 'DUF6484', 37451),
(93726, 'PF05340', NULL, 'Protein of unknown function (DUF740)', 625, NULL, 'DUF740', 37452),
(93727, 'PF05171', NULL, 'Haemin-degrading HemS.ChuX domain', 128, NULL, 'HemS', 37453),
(93728, 'PF10469', NULL, 'AKAP7 2''5'' RNA ligase-like domain', 207, NULL, 'AKAP7_NLS', 37454),
(93729, 'PF04484', NULL, 'QWRF family', 301, NULL, 'QWRF', 37455),
(93730, 'PF13029', NULL, 'Domain of unknown function (DUF3890)', 84, NULL, 'DUF3890', 37456),
(93731, 'PF07965', NULL, 'Integrin beta tail domain', 84, NULL, 'Integrin_B_tail', 37457),
(93732, 'PF09842', NULL, 'Predicted membrane protein (DUF2069)', 104, NULL, 'DUF2069', 37458),
(93733, 'PF18399', NULL, 'Clip-domain serine protease homolog Scarface', 66, NULL, 'CLIP_SPH_Scar', 37459),
(93734, 'PF17656', NULL, 'FlgA N-terminal domain', 77, NULL, 'ChapFlgA_N', 37460),
(93735, 'PF15099', NULL, 'Phosphoinositide-interacting protein family', 128, NULL, 'PIRT', 37461),
(93736, 'PF03916', NULL, 'Polysulphide reductase, NrfD', 313, NULL, 'NrfD', 37462),
(93737, 'PF12015', NULL, 'Domain of unknown function (DUF3507)', 182, NULL, 'DUF3507', 37463),
(93738, 'PF09267', NULL, 'Dictyostelium STAT, coiled coil', 114, NULL, 'Dict-STAT-coil', 37464),
(93739, 'PF16427', NULL, 'Domain of unknown function (DUF5024)', 104, NULL, 'DUF5024', 37465),
(93740, 'PF10039', NULL, 'Predicted integral membrane protein (DUF2275)', 210, NULL, 'DUF2275', 37466),
(93741, 'PF15277', NULL, 'Exocyst complex component SEC3 N-terminal PIP2 binding PH', 90, NULL, 'Sec3-PIP2_bind', 37467),
(93742, 'PF18200', NULL, 'Bacterial Ig-like domain', 80, NULL, 'Big_11', 37468),
(93743, 'PF11362', NULL, 'Protein of unknown function (DUF3161)', 83, NULL, 'DUF3161', 37469),
(93744, 'PF18658', NULL, 'Spin-doc zinc-finger', 64, NULL, 'zf-C2H2_12', 37470),
(93745, 'PF08282', NULL, 'haloacid dehalogenase-like hydrolase', 255, NULL, 'Hydrolase_3', 37471),
(93746, 'PF08424', NULL, 'NRDE-2, necessary for RNA interference', 328, NULL, 'NRDE-2', 37472),
(93747, 'PF17969', NULL, 'L,D-transpeptidase C-terminal domain', 67, NULL, 'Ldt_C', 37473),
(93748, 'PF13086', NULL, 'AAA domain', 261, NULL, 'AAA_11', 37474),
(93749, 'PF17974', NULL, 'Galactose-binding domain-like', 190, NULL, 'GalBD_like', 37475),
(93750, 'PF02740', NULL, 'Colipase, C-terminal domain', 44, NULL, 'Colipase_C', 37476),
(93751, 'PF10706', NULL, 'Aminoglycoside-2''''-adenylyltransferase', 174, NULL, 'Aminoglyc_resit', 37477),
(93752, 'PF03956', NULL, 'Lysine exporter LysO', 190, NULL, 'Lys_export', 37478),
(93753, 'PF04868', NULL, 'Retinal cGMP phosphodiesterase, gamma subunit', 82, NULL, 'PDE6_gamma', 37479),
(93754, 'PF17815', NULL, 'PDZ domain', 145, NULL, 'PDZ_3', 37480),
(93755, 'PF00527', NULL, 'E7 protein, Early protein', 93, NULL, 'E7', 37481),
(93756, 'PF02826', NULL, 'D-isomer specific 2-hydroxyacid dehydrogenase, NAD binding domain', 178, NULL, '2-Hacid_dh_C', 37482),
(93757, 'PF19552', NULL, 'Family of unknown function (DUF6075)', 129, NULL, 'DUF6075', 37483);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(93758, 'PF18964', NULL, 'Family of unknown function (DUF5704)', 185, NULL, 'DUF5704', 37484),
(93759, 'PF07410', NULL, 'Streptococcus thermophilus bacteriophage Gp111 protein', 117, NULL, 'Phage_Gp111', 37485),
(93760, 'PF11657', NULL, 'Transcriptional activator TraM', 142, NULL, 'Activator-TraM', 37486),
(93761, 'PF11442', NULL, 'Protein of unknown function (DUF2826)', 158, NULL, 'DUF2826', 37487),
(93762, 'PF04748', NULL, 'Divergent polysaccharide deacetylase', 213, NULL, 'Polysacc_deac_2', 37488),
(93763, 'PF20001', NULL, 'Family of unknown function (DUF6428)', 140, NULL, 'DUF6428', 37489),
(93764, 'PF09990', NULL, 'Predicted membrane protein (DUF2231)', 104, NULL, 'DUF2231', 37490),
(93765, 'PF02681', NULL, 'Divergent PAP2 family', 126, NULL, 'DUF212', 37491),
(93766, 'PF09426', NULL, 'Vacuolar R-SNARE Nyv1 N terminal', 138, NULL, 'Nyv1_N', 37492),
(93767, 'PF16255', NULL, 'GDSL-like Lipase/Acylhydrolase', 203, NULL, 'Lipase_GDSL_lke', 37493),
(93768, 'PF00942', NULL, 'Cellulose binding domain', 82, NULL, 'CBM_3', 37494),
(93769, 'PF08509', NULL, 'Adenylate cyclase G-alpha binding domain', 49, NULL, 'Ad_cyc_g-alpha', 37495),
(93770, 'PF17767', NULL, 'Nicotinate phosphoribosyltransferase (NAPRTase) N-terminal domain', 125, NULL, 'NAPRTase_N', 37496),
(93771, 'PF16406', NULL, 'Domain of unknown function (DUF5014)', 90, NULL, 'DUF5014', 37497),
(93772, 'PF11686', NULL, 'Protein of unknown function (DUF3283)', 61, NULL, 'DUF3283', 37498),
(93773, 'PF18488', NULL, 'WYL domain', 63, NULL, 'WYL_3', 37499),
(93774, 'PF08241', NULL, 'Methyltransferase domain', 96, NULL, 'Methyltransf_11', 37500),
(93775, 'PF10576', NULL, 'Iron-sulfur binding domain of endonuclease III', 17, NULL, 'EndIII_4Fe-2S', 37501),
(93776, 'PF07819', NULL, 'PGAP1-like protein', 231, NULL, 'PGAP1', 37502),
(93777, 'PF20134', NULL, 'Family of unknown function (DUF6524)', 131, NULL, 'DUF6524', 37503),
(93778, 'PF01379', NULL, 'Porphobilinogen deaminase, dipyromethane cofactor binding domain', 208, NULL, 'Porphobil_deam', 37504),
(93779, 'PF09150', NULL, 'Orange carotenoid protein, N-terminal', 151, NULL, 'Carot_N', 37505),
(93780, 'PF06612', NULL, 'Protein of unknown function (DUF1146)', 48, NULL, 'DUF1146', 37506),
(93781, 'PF06922', NULL, 'Citrus tristeza virus P13 protein', 119, NULL, 'CTV_P13', 37507),
(93782, 'PF06615', NULL, 'Protein of unknown function (DUF1147)', 59, NULL, 'DUF1147', 37508),
(93783, 'PF03608', NULL, 'PTS system enzyme II sorbitol-specific factor', 167, NULL, 'EII-GUT', 37509),
(93784, 'PF11464', NULL, 'Rabenosyn Rab binding domain', 42, NULL, 'Rbsn', 37510),
(93785, 'PF16934', NULL, 'Two-component Enterococcus faecalis cytolysin (EFC)', 68, NULL, 'Mersacidin', 37511),
(93786, 'PF11483', NULL, 'Protein of unknown function (DUF3209)', 124, NULL, 'DUF3209', 37512),
(93787, 'PF00509', NULL, 'Haemagglutinin', 550, NULL, 'Hemagglutinin', 37513),
(93788, 'PF18341', NULL, 'PSA endolysin C-terminal cell wall binding domain', 61, NULL, 'PSA_CBD', 37514),
(93789, 'PF17105', NULL, 'C-terminal domain of bromodomain protein 4', 44, NULL, 'BRD4_CDT', 37515),
(93790, 'PF06183', NULL, 'DinI-like family', 63, NULL, 'DinI', 37516),
(93791, 'PF12693', NULL, 'GspL periplasmic domain', 158, NULL, 'GspL_C', 37517),
(93792, 'PF01518', NULL, 'Sigma NS protein', 366, NULL, 'PolyG_pol', 37518),
(93793, 'PF00989', NULL, 'PAS fold', 113, NULL, 'PAS', 37519),
(93794, 'PF19520', NULL, 'Dipeptidyl peptidase 8 and 9 N-terminal', 155, NULL, 'Dpp_8_9_N', 37520),
(93795, 'PF02165', NULL, 'Wilm''s tumour protein', 290, NULL, 'WT1', 37521),
(93796, 'PF14275', NULL, 'Domain of unknown function (DUF4362)', 92, NULL, 'DUF4362', 37522),
(93797, 'PF13113', NULL, 'Protein of unknown function (DUF3970)', 55, NULL, 'DUF3970', 37523),
(93798, 'PF18838', NULL, 'Large polyvalent protein associated domain 23', 58, NULL, 'LPD23', 37524),
(93799, 'PF07004', NULL, 'Sperm-tail PG-rich repeat', 31, NULL, 'SHIPPO-rpt', 37525),
(93800, 'PF13394', NULL, '4Fe-4S single cluster domain', 118, NULL, 'Fer4_14', 37526),
(93801, 'PF18822', NULL, 'CdvA-like coiled-coil domain', 123, NULL, 'CdvA', 37527);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(93802, 'PF18450', NULL, 'Zinc Finger domain', 28, NULL, 'zf_C2H2_6', 37528),
(93803, 'PF12277', NULL, 'Protein of unknown function (DUF3618)', 47, NULL, 'DUF3618', 37529),
(93804, 'PF11609', NULL, 'Protein of unknown function (DUF3248)', 63, NULL, 'DUF3248', 37530),
(93805, 'PF13239', NULL, '2TM domain', 78, NULL, '2TM', 37531),
(93806, 'PF05829', NULL, 'Adenovirus late L2 mu core protein (Protein X)', 42, NULL, 'Adeno_PX', 37532),
(93807, 'PF05363', NULL, 'Herpesvirus US12 family', 86, NULL, 'Herpes_US12', 37533),
(93808, 'PF18572', NULL, 'Trehalose-6-phosphate phosphatase N-terminal helical bundle domain', 100, NULL, 'T6PP_N', 37534),
(93809, 'PF08202', NULL, 'Mis12-Mtw1 protein family', 301, NULL, 'MIS13', 37535),
(93810, 'PF10819', NULL, 'Protein of unknown function (DUF2564)', 79, NULL, 'DUF2564', 37536),
(93811, 'PF16245', NULL, 'Domain of unknown function (DUF4902)', 118, NULL, 'DUF4902', 37537),
(93812, 'PF19284', NULL, 'Arc MA domain', 108, NULL, 'Arc_MA', 37538),
(93813, 'PF12144', NULL, 'Eukaryotic Mediator 12 catenin-binding domain', 210, NULL, 'Med12-PQL', 37539),
(93814, 'PF02982', NULL, 'Scytalone dehydratase', 160, NULL, 'Scytalone_dh', 37540),
(93815, 'PF18373', NULL, 'Spectrin like domain', 78, NULL, 'Spectrin_like', 37541),
(93816, 'PF05374', NULL, 'Mu-Conotoxin', 22, NULL, 'Mu-conotoxin', 37542),
(93817, 'PF08175', NULL, 'Small acid-soluble spore protein O family', 50, NULL, 'SspO', 37543),
(93818, 'PF12591', NULL, 'Protein of unknown function (DUF3762)', 80, NULL, 'DUF3762', 37544),
(93819, 'PF17294', NULL, 'Uncharacterised lipoprotein family', 166, NULL, 'Lipoprotein_22', 37545),
(93820, 'PF00935', NULL, 'Ribosomal protein L44', 76, NULL, 'Ribosomal_L44', 37546),
(93821, 'PF16121', NULL, '40S ribosomal protein S4 C-terminus', 48, NULL, '40S_S4_C', 37547),
(93822, 'PF00464', NULL, 'Serine hydroxymethyltransferase', 399, NULL, 'SHMT', 37548),
(93823, 'PF07076', NULL, 'Protein of unknown function (DUF1344)', 60, NULL, 'DUF1344', 37549),
(93824, 'PF16501', NULL, 'S phase cyclin A-associated protein in the endoplasmic reticulum', 98, NULL, 'SCAPER_N', 37550),
(93825, 'PF16181', NULL, 'RelB transactivation domain', 178, NULL, 'RelB_transactiv', 37551),
(93826, 'PF00204', NULL, 'DNA gyrase B', 174, NULL, 'DNA_gyraseB', 37552),
(93827, 'PF02302', NULL, 'PTS system, Lactose/Cellobiose specific IIB subunit', 90, NULL, 'PTS_IIB', 37553),
(93828, 'PF04038', NULL, 'Dihydroneopterin aldolase', 108, NULL, 'DHNA', 37554),
(93829, 'PF00984', NULL, 'UDP-glucose/GDP-mannose dehydrogenase family, central domain', 94, NULL, 'UDPG_MGDP_dh', 37555),
(93830, 'PF18983', NULL, 'Family of unknown function (DUF5717)C-terminal', 306, NULL, 'DUF5717', 37556),
(93831, 'PF08950', NULL, 'Protein of unknown function (DUF1861)', 296, NULL, 'DUF1861', 37557),
(93832, 'PF05307', NULL, 'Bundlin', 60, NULL, 'Bundlin', 37558),
(93833, 'PF09435', NULL, 'Fungal protein of unknown function (DUF2015)', 112, NULL, 'DUF2015', 37559),
(93834, 'PF16937', NULL, 'Type III secretion system translocator protein, HrpF', 256, NULL, 'T3SS_HrpK1', 37560),
(93835, 'PF19079', NULL, 'Collagen-flanked surface repeat', 49, NULL, 'CFSR', 37561),
(93836, 'PF15402', NULL, 'MELT motif', 26, NULL, 'MELT_2', 37562),
(93837, 'PF11131', NULL, 'Rap-phr extracellular signalling', 38, NULL, 'PhrC_PhrF', 37563),
(93838, 'PF11177', NULL, 'Protein of unknown function (DUF2964)', 62, NULL, 'DUF2964', 37564),
(93839, 'PF16366', NULL, 'Cytoplasmic polyadenylation element-binding protein ZZ domain', 58, NULL, 'CEBP_ZZ', 37565),
(93840, 'PF08640', NULL, 'U3 small nucleolar RNA-associated protein 6', 85, NULL, 'U3_assoc_6', 37566),
(93841, 'PF18254', NULL, 'HMW1 domain 2', 88, NULL, 'HMw1_D2', 37567),
(93842, 'PF02604', NULL, 'Antitoxin Phd_YefM, type II toxin-antitoxin system', 75, NULL, 'PhdYeFM_antitox', 37568),
(93843, 'PF10622', NULL, 'Energy-converting hydrogenase B subunit P (EhbP)', 77, NULL, 'Ehbp', 37569),
(93844, 'PF06617', NULL, 'M-phase inducer phosphatase', 274, NULL, 'M-inducer_phosp', 37570),
(93845, 'PF19599', NULL, 'Family of unknown function (DUF6104)', 58, NULL, 'DUF6104', 37571);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(93846, 'PF01118', NULL, 'Semialdehyde dehydrogenase, NAD binding domain', 121, NULL, 'Semialdhyde_dh', 37572),
(93847, 'PF11831', NULL, 'pre-mRNA splicing factor component', 241, NULL, 'Myb_Cef', 37573),
(93848, 'PF11209', NULL, 'LmeA-like phospholipid-binding', 219, NULL, 'LmeA', 37574),
(93849, 'PF15575', NULL, 'Immunity protein 49', 214, NULL, 'Imm49', 37575),
(93850, 'PF16902', NULL, 'Type-2 restriction enzyme D3 domain', 69, NULL, 'Type2_restr_D3', 37576),
(93851, 'PF18612', NULL, 'Bacterial Alpha amylase C-terminal domain', 69, NULL, 'Bac_A_amyl_C', 37577),
(93852, 'PF03290', NULL, 'Vaccinia virus I7 processing peptidase', 425, NULL, 'Peptidase_C57', 37578),
(93853, 'PF19609', NULL, 'Family of unknown function (DUF6114)', 106, NULL, 'DUF6114', 37579),
(93854, 'PF08125', NULL, 'Mannitol dehydrogenase C-terminal domain', 246, NULL, 'Mannitol_dh_C', 37580),
(93855, 'PF18217', NULL, 'Zap1 zinc finger 2', 24, NULL, 'Zap1_zf2', 37581),
(93856, 'PF19706', NULL, 'Family of unknown function (DUF6203)', 54, NULL, 'DUF6203', 37582),
(93857, 'PF09082', NULL, 'Domain of unknown function (DUF1922)', 67, NULL, 'DUF1922', 37583),
(93858, 'PF11336', NULL, 'Protein of unknown function (DUF3138)', 524, NULL, 'DUF3138', 37584),
(93859, 'PF17462', NULL, 'Family of unknown function (DUF5424)', 174, NULL, 'DUF5424', 37585),
(93860, 'PF05837', NULL, 'Centromere protein H (CENP-H)', 116, NULL, 'CENP-H', 37586),
(93861, 'PF04790', NULL, 'Sarcoglycan complex subunit protein', 260, NULL, 'Sarcoglycan_1', 37587),
(93862, 'PF07675', NULL, 'Cleaved Adhesin Domain', 174, NULL, 'Cleaved_Adhesin', 37588),
(93863, 'PF07013', NULL, 'Protein of unknown function (DUF1314)', 179, NULL, 'DUF1314', 37589),
(93864, 'PF19573', NULL, 'Domain of unknown function (DUF6089)', 226, NULL, 'DUF6089', 37590),
(93865, 'PF05735', NULL, 'Thrombospondin C-terminal region', 198, NULL, 'TSP_C', 37591),
(93866, 'PF12425', NULL, 'Protein of unknown function (DUF3673)', 53, NULL, 'DUF3673', 37592),
(93867, 'PF03008', NULL, 'Archaea bacterial proteins of unknown function', 100, NULL, 'DUF234', 37593),
(93868, 'PF11368', NULL, 'Protein of unknown function (DUF3169)', 250, NULL, 'DUF3169', 37594),
(93869, 'PF18417', NULL, 'L-lysine epsilon oxidase C-terminal domain', 148, NULL, 'LodA_C', 37595),
(93870, 'PF10088', NULL, 'Uncharacterised protein conserved in bacteria (DUF2326)', 142, NULL, 'DUF2326', 37596),
(93871, 'PF16056', NULL, 'Domain of unknown function (DUF4799)', 375, NULL, 'DUF4799', 37597),
(93872, 'PF01448', NULL, 'ELM2 domain', 53, NULL, 'ELM2', 37598),
(93873, 'PF02580', NULL, 'D-Tyr-tRNA(Tyr) deacylase', 144, NULL, 'Tyr_Deacylase', 37599),
(93874, 'PF07130', NULL, 'YebG protein', 74, NULL, 'YebG', 37600),
(93875, 'PF09044', NULL, 'Kp4', 125, NULL, 'Kp4', 37601),
(93876, 'PF13129', NULL, 'Protein of unknown function (DUF3953)', 41, NULL, 'DUF3953', 37602),
(93877, 'PF01893', NULL, 'Uncharacterised protein family UPF0058', 87, NULL, 'UPF0058', 37603),
(93878, 'PF15863', NULL, 'Extended EGL-27 and MTA1 homology domain', 170, NULL, 'EELM2', 37604),
(93879, 'PF13073', NULL, 'Protein of unknown function (DUF3937)', 72, NULL, 'DUF3937', 37605),
(93880, 'PF19953', NULL, 'Effector Associated Constant Component 1', 107, NULL, 'EACC1', 37606),
(93881, 'PF17674', NULL, 'HHH domain', 70, NULL, 'HHH_9', 37607),
(93882, 'PF18816', NULL, 'Importin repeat', 52, NULL, 'Importin_rep_5', 37608),
(93883, 'PF04840', NULL, 'Vps16, C-terminal region', 320, NULL, 'Vps16_C', 37609),
(93884, 'PF14369', NULL, 'zinc-ribbon', 35, NULL, 'zinc_ribbon_9', 37610),
(93885, 'PF16328', NULL, 'Domain of unknown function (DUF4961)', 312, NULL, 'DUF4961', 37611),
(93886, 'PF19885', NULL, 'Family of unknown function (DUF6358)', 61, NULL, 'DUF6358', 37612),
(93887, 'PF13644', NULL, 'DKNYY family', 142, NULL, 'DKNYY', 37613),
(93888, 'PF04719', NULL, 'hTAFII28-like protein conserved region', 86, NULL, 'TAFII28', 37614),
(93889, 'PF19166', NULL, 'Family of unknown function (DUF5848)', 64, NULL, 'DUF5848', 37615),
(93890, 'PF01881', NULL, 'CRISPR associated protein Cas6', 146, NULL, 'Cas_Cas6', 37616);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(93891, 'PF17062', NULL, 'Outer spore wall 5', 70, NULL, 'Osw5', 37617),
(93892, 'PF11712', NULL, 'Endoplasmic reticulum-based factor for assembly of V-ATPase', 139, NULL, 'Vma12', 37618),
(93893, 'PF01276', NULL, 'Orn/Lys/Arg decarboxylase, major domain', 417, NULL, 'OKR_DC_1', 37619),
(93894, 'PF06676', NULL, 'Protein of unknown function (DUF1178)', 151, NULL, 'DUF1178', 37620),
(93895, 'PF05993', NULL, 'Reovirus major virion structural protein Mu-1/Mu-1C (M2)', 647, NULL, 'Reovirus_M2', 37621),
(93896, 'PF15494', NULL, 'Scavenger receptor cysteine-rich domain', 99, NULL, 'SRCR_2', 37622),
(93897, 'PF16830', NULL, 'Nucleotide-Binding Domain 94 of RH', 91, NULL, 'NBD94', 37623),
(93898, 'PF14789', NULL, 'Tetrahydrodipicolinate N-succinyltransferase middle', 41, NULL, 'THDPS_M', 37624),
(93899, 'PF12101', NULL, 'Protein of unknown function (DUF3577)', 133, NULL, 'DUF3577', 37625),
(93900, 'PF02507', NULL, 'Photosystem I reaction centre subunit III', 172, NULL, 'PSI_PsaF', 37626),
(93901, 'PF04668', NULL, 'Twisted gastrulation (Tsg) protein conserved region', 134, NULL, 'Tsg', 37627),
(93902, 'PF04881', NULL, 'Adenovirus GP19K', 132, NULL, 'Adeno_GP19K', 37628),
(93903, 'PF07808', NULL, 'RED-like protein N-terminal region', 235, NULL, 'RED_N', 37629),
(93904, 'PF03054', NULL, 'tRNA methyl transferase', 356, NULL, 'tRNA_Me_trans', 37630),
(93905, 'PF03898', NULL, 'Satellite tobacco necrosis virus coat protein', 198, NULL, 'TNV_CP', 37631),
(93906, 'PF03907', NULL, 'Spo7-like protein', 221, NULL, 'Spo7', 37632),
(93907, 'PF07707', NULL, 'BTB And C-terminal Kelch', 103, NULL, 'BACK', 37633),
(93908, 'PF16788', NULL, 'ATF-interacting protein binding domain', 221, NULL, 'ATF7IP_BD', 37634),
(93909, 'PF20154', NULL, 'Apolipoprotein N-acyltransferase N-terminal domain', 157, NULL, 'LNT_N', 37635),
(93910, 'PF19134', NULL, 'Domain of unknown function (DUF5817)', 51, NULL, 'DUF5817', 37636),
(93911, 'PF06106', NULL, 'S. aureus uracil DNA glycosylase inhibitor', 112, NULL, 'SAUGI', 37637),
(93912, 'PF07454', NULL, 'Stage II sporulation protein P (SpoIIP)', 264, NULL, 'SpoIIP', 37638),
(93913, 'PF10681', NULL, 'Chaperone for protein-folding within the ER, fungal', 209, NULL, 'Rot1', 37639),
(93914, 'PF19526', NULL, 'S-layer protein Slr4', 370, NULL, 'Slr4', 37640),
(93915, 'PF20046', NULL, 'Family of unknown function (DUF6448)', 147, NULL, 'DUF6448', 37641),
(93916, 'PF07789', NULL, 'Protein of unknown function (DUF1627)', 155, NULL, 'DUF1627', 37642),
(93917, 'PF08947', NULL, 'BPS (Between PH and SH2)', 48, NULL, 'BPS', 37643),
(93918, 'PF13501', NULL, 'Sulfur oxidation protein SoxY', 112, NULL, 'SoxY', 37644),
(93919, 'PF06151', NULL, 'Trehalose receptor', 411, NULL, 'Trehalose_recp', 37645),
(93920, 'PF17048', NULL, 'Neutral/alkaline non-lysosomal ceramidase, C-terminal', 168, NULL, 'Ceramidse_alk_C', 37646),
(93921, 'PF07469', NULL, 'Domain of unknown function (DUF1518)', 58, NULL, 'DUF1518', 37647),
(93922, 'PF02359', NULL, 'Cell division protein 48 (CDC48), N-terminal domain', 85, NULL, 'CDC48_N', 37648),
(93923, 'PF17652', NULL, 'Glycosyl hydrolase family 81 C-terminal domain', 349, NULL, 'Glyco_hydro81C', 37649),
(93924, 'PF14501', NULL, 'GHKL domain', 101, NULL, 'HATPase_c_5', 37650),
(93925, 'PF15473', NULL, 'PEST, proteolytic signal-containing nuclear protein family', 157, NULL, 'PCNP', 37651),
(93926, 'PF03660', NULL, 'PHF5-like protein', 104, NULL, 'PHF5', 37652),
(93927, 'PF09566', NULL, 'SacI restriction endonuclease', 273, NULL, 'RE_SacI', 37653),
(93928, 'PF09020', NULL, 'YopE, N terminal', 126, NULL, 'YopE_N', 37654),
(93929, 'PF07951', NULL, 'Clostridium neurotoxin, C-terminal receptor binding', 210, NULL, 'Toxin_R_bind_C', 37655),
(93930, 'PF05138', NULL, 'Phenylacetic acid catabolic protein', 263, NULL, 'PaaA_PaaC', 37656),
(93931, 'PF06107', NULL, 'Bacterial protein of unknown function (DUF951)', 55, NULL, 'DUF951', 37657),
(93932, 'PF09491', NULL, 'AlwI restriction endonuclease', 451, NULL, 'RE_AlwI', 37658),
(93933, 'PF14126', NULL, 'Domain of unknown function (DUF4293)', 152, NULL, 'DUF4293', 37659);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(93934, 'PF16441', NULL, 'Domain of unknown function (DUF5038)', 144, NULL, 'DUF5038', 37660),
(93935, 'PF16247', NULL, 'Domain of unknown function (DUF4904)', 129, NULL, 'DUF4904', 37661),
(93936, 'PF20146', NULL, 'Nose resistant-to-fluoxetine protein, N-terminal domain', 123, NULL, 'NRF', 37662),
(93937, 'PF01382', NULL, 'Avidin family', 115, NULL, 'Avidin', 37663),
(93938, 'PF07854', NULL, 'Protein of unknown function (DUF1646)', 347, NULL, 'DUF1646', 37664),
(93939, 'PF10271', NULL, 'Putative transmembrane protein', 427, NULL, 'Tmp39', 37665),
(93940, 'PF02917', NULL, 'Pertussis toxin, subunit 1', 233, NULL, 'Pertussis_S1', 37666),
(93941, 'PF11581', NULL, 'Antagonist of EGFR signalling, Argos', 129, NULL, 'Argos', 37667),
(93942, 'PF01273', NULL, 'LBP / BPI / CETP family, N-terminal domain', 164, NULL, 'LBP_BPI_CETP', 37668),
(93943, 'PF17891', NULL, 'Mu-like prophage FluMu N-terminal domain', 49, NULL, 'FluMu_N', 37669),
(93944, 'PF16186', NULL, 'Atypical Arm repeat', 53, NULL, 'Arm_3', 37670),
(93945, 'PF05739', NULL, 'SNARE domain', 53, NULL, 'SNARE', 37671),
(93946, 'PF04343', NULL, 'Protein of unknown function, DUF488', 122, NULL, 'DUF488', 37672),
(93947, 'PF19064', NULL, 'Family of unknown function (DUF5760)', 86, NULL, 'DUF5760', 37673),
(93948, 'PF08660', NULL, 'Oligosaccharide biosynthesis protein Alg14 like', 175, NULL, 'Alg14', 37674),
(93949, 'PF08332', NULL, 'Calcium/calmodulin dependent protein kinase II association domain', 128, NULL, 'CaMKII_AD', 37675),
(93950, 'PF17149', NULL, 'Periplasmic sensor domain found in signal transduction proteins', 108, NULL, 'CHASE5', 37676),
(93951, 'PF16943', NULL, 'Cag pathogenicity island, type IV secretory system', 107, NULL, 'T4SS_CagC', 37677),
(93952, 'PF02196', NULL, 'Raf-like Ras-binding domain', 69, NULL, 'RBD', 37678),
(93953, 'PF14966', NULL, 'DNA repair REX1-B', 95, NULL, 'DNA_repr_REX1B', 37679),
(93954, 'PF07619', NULL, 'Protein of unknown function (DUF1581)', 84, NULL, 'DUF1581', 37680),
(93955, 'PF11333', NULL, 'Protein of unknown function (DUF3135)', 81, NULL, 'DUF3135', 37681),
(93956, 'PF16752', NULL, 'Tubulin-specific chaperone C N-terminal domain', 115, NULL, 'TBCC_N', 37682),
(93957, 'PF14731', NULL, 'Staphopain proregion', 169, NULL, 'Staphopain_pro', 37683),
(93958, 'PF15055', NULL, 'Domain of unknown function (DUF4536)', 47, NULL, 'DUF4536', 37684),
(93959, 'PF06414', NULL, 'Zeta toxin', 201, NULL, 'Zeta_toxin', 37685),
(93960, 'PF11817', NULL, 'Foie gras liver health family 1', 259, NULL, 'Foie-gras_1', 37686),
(93961, 'PF00117', NULL, 'Glutamine amidotransferase class-I', 191, NULL, 'GATase', 37687),
(93962, 'PF08151', NULL, 'FerI (NUC094) domain', 52, NULL, 'FerI', 37688),
(93963, 'PF07324', NULL, 'DiGeorge syndrome critical region 6 (DGCR6) protein', 194, NULL, 'DGCR6', 37689),
(93964, 'PF04518', NULL, 'Effector from type III secretion system', 371, NULL, 'Effector_1', 37690),
(93965, 'PF04926', NULL, 'Poly(A) polymerase predicted RNA binding domain', 187, NULL, 'PAP_RNA-bind', 37691),
(93966, 'PF08922', NULL, 'Domain of unknown function (DUF1905)', 82, NULL, 'DUF1905', 37692),
(93967, 'PF19973', NULL, 'Ternary complex associated domain 7', 107, NULL, 'TCAD7', 37693),
(93968, 'PF17263', NULL, 'Family of unknown function (DUF5329)', 93, NULL, 'DUF5329', 37694),
(93969, 'PF13520', NULL, 'Amino acid permease', 427, NULL, 'AA_permease_2', 37695),
(93970, 'PF18380', NULL, 'Holliday junction resolvase Gen1 C-terminal domain', 105, NULL, 'GEN1_C', 37696),
(93971, 'PF09926', NULL, 'Uncharacterized small protein (DUF2158)', 52, NULL, 'DUF2158', 37697),
(93972, 'PF11284', NULL, 'Protein of unknown function (DUF3085)', 90, NULL, 'DUF3085', 37698),
(93973, 'PF14747', NULL, 'Domain of unknown function (DUF4473)', 78, NULL, 'DUF4473', 37699),
(93974, 'PF00691', NULL, 'OmpA family', 99, NULL, 'OmpA', 37700),
(93975, 'PF02048', NULL, 'Heat-stable enterotoxin ST', 54, NULL, 'Enterotoxin_ST', 37701),
(93976, 'PF00871', NULL, 'Acetokinase family', 392, NULL, 'Acetate_kinase', 37702),
(93977, 'PF07235', NULL, 'Protein of unknown function (DUF1427)', 84, NULL, 'DUF1427', 37703);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(93978, 'PF10430', NULL, 'Tie-2 Ig-like domain 1', 95, NULL, 'Ig_Tie2_1', 37704),
(93979, 'PF16524', NULL, 'Periplasmic domain of Sensor histidine kinase RisS', 107, NULL, 'RisS_PPD', 37705),
(93980, 'PF12299', NULL, 'Protein of unknown function (DUF3627)', 94, NULL, 'DUF3627', 37706),
(93981, 'PF04837', NULL, 'MbeB-like, N-term conserved region', 52, NULL, 'MbeB_N', 37707),
(93982, 'PF08998', NULL, 'Bacterial epsilon antitoxin', 89, NULL, 'Epsilon_antitox', 37708),
(93983, 'PF16104', NULL, 'Formyl peptide receptor-like 1 inhibitory protein', 105, NULL, 'FPRL1_inhibitor', 37709),
(93984, 'PF15509', NULL, 'Domain of unknown function (DUF4650)', 519, NULL, 'DUF4650', 37710),
(93985, 'PF14018', NULL, 'Domain of unknown function (DUF4234)', 70, NULL, 'DUF4234', 37711),
(93986, 'PF08284', NULL, 'Retroviral aspartyl protease', 136, NULL, 'RVP_2', 37712),
(93987, 'PF02762', NULL, 'CBL proto-oncogene N-terminus, SH2-like domain', 86, NULL, 'Cbl_N3', 37713),
(93988, 'PF09495', NULL, 'Protein of unknown function (DUF2462)', 77, NULL, 'DUF2462', 37714),
(93989, 'PF07145', NULL, 'Ataxin-2 C-terminal region', 18, NULL, 'PAM2', 37715),
(93990, 'PF00005', NULL, 'ABC transporter', 137, NULL, 'ABC_tran', 37716),
(93991, 'PF11401', NULL, 'Tetrabrachion', 49, NULL, 'Tetrabrachion', 37717),
(93992, 'PF14263', NULL, 'Domain of unknown function (DUF4354)', 125, NULL, 'DUF4354', 37718),
(93993, 'PF06004', NULL, 'Bacterial protein of unknown function (DUF903)', 49, NULL, 'DUF903', 37719),
(93994, 'PF15447', NULL, 'N-terminal segments of PfEMP1', 37, NULL, 'NTS', 37720),
(93995, 'PF03642', NULL, 'MAP domain', 88, NULL, 'MAP', 37721),
(93996, 'PF12419', NULL, 'SNF2 Helicase protein', 137, NULL, 'DUF3670', 37722),
(93997, 'PF16216', NULL, 'GxGYxY sequence motif in domain of unknown function N-terminal', 218, NULL, 'GxGYxYP_N', 37723),
(93998, 'PF10834', NULL, 'Protein of unknown function (DUF2560)', 72, NULL, 'DUF2560', 37724),
(93999, 'PF00451', NULL, 'Scorpion short toxin, BmKK2', 32, NULL, 'Toxin_2', 37725),
(94000, 'PF19709', NULL, 'Family of unknown function (DUF6206)', 271, NULL, 'DUF6206', 37726),
(94001, 'PF09814', NULL, 'HECT-like Ubiquitin-conjugating enzyme (E2)-binding', 376, NULL, 'HECT_2', 37727),
(94002, 'PF01191', NULL, 'RNA polymerase Rpb5, C-terminal domain', 73, NULL, 'RNA_pol_Rpb5_C', 37728),
(94003, 'PF10868', NULL, 'Cysteine-rich antifungal protein 2, defensin-like', 50, NULL, 'Defensin_like', 37729),
(94004, 'PF06920', NULL, 'Dock homology region 2', 528, NULL, 'DHR-2', 37730),
(94005, 'PF19993', NULL, 'Double-GTPase 2', 227, NULL, 'DO-GTPase2', 37731),
(94006, 'PF16556', NULL, 'Interleukin-17 receptor, fibronectin-III-like domain 1', 154, NULL, 'IL17R_fnIII_D1', 37732),
(94007, 'PF04405', NULL, 'Domain of Unknown function (DUF542)', 56, NULL, 'ScdA_N', 37733),
(94008, 'PF13020', NULL, 'Domain of unknown function (DUF3883)', 92, NULL, 'DUF3883', 37734),
(94009, 'PF19034', NULL, 'RNase LS, bacterial toxin DBD domain', 125, NULL, 'RnlA-toxin_DBD', 37735),
(94010, 'PF04727', NULL, 'ELMO/CED-12 family', 172, NULL, 'ELMO_CED12', 37736),
(94011, 'PF11900', NULL, 'Domain of unknown function (DUF3420)', 47, NULL, 'DUF3420', 37737),
(94012, 'PF06211', NULL, 'BMP and activin membrane-bound inhibitor (BAMBI) N-terminal domain', 107, NULL, 'BAMBI', 37738),
(94013, 'PF17496', NULL, 'Family of unknown function (DUF5431)', 70, NULL, 'DUF5431', 37739),
(94014, 'PF08964', NULL, 'Beta/Gamma crystallin', 86, NULL, 'Crystall_3', 37740),
(94015, 'PF09600', NULL, 'Cyd operon protein YbgE (Cyd_oper_YbgE)', 79, NULL, 'Cyd_oper_YbgE', 37741),
(94016, 'PF03246', NULL, 'Pneumovirus nucleocapsid protein', 392, NULL, 'Pneumo_ncap', 37742),
(94017, 'PF06325', NULL, 'Ribosomal protein L11 methyltransferase (PrmA)', 295, NULL, 'PrmA', 37743),
(94018, 'PF08644', NULL, 'FACT complex subunit (SPT16/CDC68)', 151, NULL, 'SPT16', 37744),
(94019, 'PF19836', NULL, 'Family of unknown function (DUF6315)', 174, NULL, 'DUF6315', 37745),
(94020, 'PF19558', NULL, 'Family of unknown function (DUF6080)', 447, NULL, 'DUF6080', 37746),
(94021, 'PF09065', NULL, 'Haemadin', 27, NULL, 'Haemadin', 37747);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(94022, 'PF15660', NULL, 'Putative Immunity protein 75', 84, NULL, 'Imm75', 37748),
(94023, 'PF03775', NULL, 'Septum formation inhibitor MinC, C-terminal domain', 102, NULL, 'MinC_C', 37749),
(94024, 'PF12422', NULL, 'Condensin II non structural maintenance of chromosomes subunit', 149, NULL, 'Condensin2nSMC', 37750),
(94025, 'PF00326', NULL, 'Prolyl oligopeptidase family', 212, NULL, 'Peptidase_S9', 37751),
(94026, 'PF08503', NULL, 'Tetrahydrodipicolinate succinyltransferase N-terminal', 85, NULL, 'DapH_N', 37752),
(94027, 'PF00011', NULL, 'Hsp20/alpha crystallin family', 102, NULL, 'HSP20', 37753),
(94028, 'PF15191', NULL, 'Synaptonemal complex central element protein 3', 90, NULL, 'Synaptonemal_3', 37754),
(94029, 'PF17430', NULL, 'Uncharacterized YqgC-like', 51, NULL, 'YqgC', 37755),
(94030, 'PF19717', NULL, 'Family of unknown function (DUF6212)', 390, NULL, 'DUF6212', 37756),
(94031, 'PF12372', NULL, 'Huntingtin protein region', 41, NULL, 'DUF3652', 37757),
(94032, 'PF03915', NULL, 'Actin interacting protein 3', 408, NULL, 'AIP3', 37758),
(94033, 'PF01563', NULL, 'Alphavirus E3 glycoprotein', 59, NULL, 'Alpha_E3_glycop', 37759),
(94034, 'PF14867', NULL, 'Lantibiotic alpha', 29, NULL, 'Lantibiotic_a', 37760),
(94035, 'PF06303', NULL, 'MatP N-terminal domain', 84, NULL, 'MatP', 37761),
(94036, 'PF11580', NULL, 'Protein of unknown function (DUF3239)', 125, NULL, 'DUF3239', 37762),
(94037, 'PF15523', NULL, 'Novel toxin 16', 85, NULL, 'Ntox16', 37763),
(94038, 'PF04552', NULL, 'Sigma-54, DNA binding domain', 160, NULL, 'Sigma54_DBD', 37764),
(94039, 'PF01915', NULL, 'Glycosyl hydrolase family 3 C-terminal domain', 204, NULL, 'Glyco_hydro_3_C', 37765),
(94040, 'PF13087', NULL, 'AAA domain', 199, NULL, 'AAA_12', 37766),
(94041, 'PF08045', NULL, 'Cell division control protein 14, SIN component', 286, NULL, 'CDC14', 37767),
(94042, 'PF16897', NULL, 'C-terminal region of MMR_HSR1 domain', 106, NULL, 'MMR_HSR1_Xtn', 37768),
(94043, 'PF17557', NULL, 'I2-superfamily conotoxins', 38, NULL, 'Conotoxin_I2', 37769),
(94044, 'PF05293', NULL, 'African swine fever virus (ASFV) L11L protein', 78, NULL, 'ASFV_L11L', 37770),
(94045, 'PF17728', NULL, 'BsuBI/PstI restriction endonuclease HTH domain', 141, NULL, 'BsuBI_PstI_RE_N', 37771),
(94046, 'PF11822', NULL, 'Domain of unknown function (DUF3342)', 97, NULL, 'DUF3342', 37772),
(94047, 'PF20040', NULL, 'Family of unknown function (DUF6442)', 102, NULL, 'DUF6442', 37773),
(94048, 'PF00447', NULL, 'HSF-type DNA-binding', 98, NULL, 'HSF_DNA-bind', 37774),
(94049, 'PF08165', NULL, 'FerA (NUC095) domain', 65, NULL, 'FerA', 37775),
(94050, 'PF13336', NULL, 'Acetyl-CoA hydrolase/transferase C-terminal domain', 154, NULL, 'AcetylCoA_hyd_C', 37776),
(94051, 'PF05971', NULL, 'RNA methyltransferase', 299, NULL, 'Methyltransf_10', 37777),
(94052, 'PF11917', NULL, 'Protein of unknown function (DUF3435)', 418, NULL, 'DUF3435', 37778),
(94053, 'PF15661', NULL, 'C6orf222, uncharacterised family', 648, NULL, 'CF222', 37779),
(94054, 'PF19566', NULL, 'Sorting nexin 8/Mvp1 BAR domain', 258, NULL, 'Snx8_BAR_dom', 37780),
(94055, 'PF13037', NULL, 'Domain of unknown function (DUF3898)', 90, NULL, 'DUF3898', 37781),
(94056, 'PF10199', NULL, 'Alpha and gamma adaptin binding protein p34', 121, NULL, 'Adaptin_binding', 37782),
(94057, 'PF16558', NULL, 'Amino-terminal Zinc-binding domain of ubiquitin ligase E3A', 59, NULL, 'AZUL', 37783),
(94058, 'PF17355', NULL, 'Family of unknown function (DUF5383)', 124, NULL, 'DUF5383', 37784),
(94059, 'PF13683', NULL, 'Integrase core domain', 67, NULL, 'rve_3', 37785),
(94060, 'PF05259', NULL, 'Herpesvirus glycoprotein L', 107, NULL, 'Herpes_UL1', 37786),
(94061, 'PF02202', NULL, 'Tachykinin family', 11, NULL, 'Tachykinin', 37787),
(94062, 'PF20039', NULL, 'Family of unknown function (DUF6441)', 216, NULL, 'DUF6441', 37788),
(94063, 'PF02201', NULL, 'SWIB/MDM2 domain', 74, NULL, 'SWIB', 37789),
(94064, 'PF10223', NULL, 'Uncharacterized conserved protein (DUF2181)', 241, NULL, 'DUF2181', 37790),
(94065, 'PF05509', NULL, 'TraY domain', 49, NULL, 'TraY', 37791);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(94066, 'PF00609', NULL, 'Diacylglycerol kinase accessory domain', 159, NULL, 'DAGK_acc', 37792),
(94067, 'PF02668', NULL, 'Taurine catabolism dioxygenase TauD, TfdA family', 268, NULL, 'TauD', 37793),
(94068, 'PF12256', NULL, 'Insecticide toxin TcdB middle/N-terminal region', 181, NULL, 'TcdB_toxin_midN', 37794),
(94069, 'PF15476', NULL, 'Histone deacetylase complex subunit SAP25', 202, NULL, 'SAP25', 37795),
(94070, 'PF15718', NULL, 'Protein moonraker', 960, NULL, 'MNR', 37796),
(94071, 'PF02566', NULL, 'OsmC-like protein', 100, NULL, 'OsmC', 37797),
(94072, 'PF06598', NULL, 'Chlorovirus glycoprotein repeat', 34, NULL, 'Chlorovi_GP_rpt', 37798),
(94073, 'PF15059', NULL, 'Speriolin C-terminus', 148, NULL, 'Speriolin_C', 37799),
(94074, 'PF04430', NULL, 'Protein of unknown function (DUF498/DUF598)', 110, NULL, 'DUF498', 37800),
(94075, 'PF11514', NULL, 'Protein of unknown function (DUF3219)', 94, NULL, 'DUF3219', 37801),
(94076, 'PF07804', NULL, 'HipA-like C-terminal domain', 212, NULL, 'HipA_C', 37802),
(94077, 'PF01979', NULL, 'Amidohydrolase family', 344, NULL, 'Amidohydro_1', 37803),
(94078, 'PF08058', NULL, 'Nuclear pore complex component', 130, NULL, 'NPCC', 37804),
(94079, 'PF10105', NULL, 'Uncharacterized protein conserved in bacteria (DUF2344)', 174, NULL, 'DUF2344', 37805),
(94080, 'PF18903', NULL, 'Domain of unknown function (DUF5659)', 75, NULL, 'DUF5659', 37806),
(94081, 'PF04103', NULL, 'CD20-like family', 156, NULL, 'CD20', 37807),
(94082, 'PF14865', NULL, 'Macin', 60, NULL, 'Macin', 37808),
(94083, 'PF09406', NULL, 'Protein of unknown function (DUF2004)', 106, NULL, 'DUF2004', 37809),
(94084, 'PF20121', NULL, 'Family of unknown function (DUF6511)', 69, NULL, 'DUF6511', 37810),
(94085, 'PF08686', NULL, 'PLAC (protease and lacunin) domain', 31, NULL, 'PLAC', 37811),
(94086, 'PF15478', NULL, 'Family of unknown function with LKAAEAR motif', 137, NULL, 'LKAAEAR', 37812),
(94087, 'PF07137', NULL, 'VDE lipocalin domain', 237, NULL, 'VDE', 37813),
(94088, 'PF06738', NULL, 'Putative threonine/serine exporter', 241, NULL, 'ThrE', 37814),
(94089, 'PF01336', NULL, 'OB-fold nucleic acid binding domain', 76, NULL, 'tRNA_anti-codon', 37815),
(94090, 'PF07258', NULL, 'COMM domain', 64, NULL, 'COMM_domain', 37816),
(94091, 'PF07383', NULL, 'Protein of unknown function (DUF1496)', 53, NULL, 'DUF1496', 37817),
(94092, 'PF10652', NULL, 'Protein of unknown function (DUF2480)', 165, NULL, 'DUF2480', 37818),
(94093, 'PF00917', NULL, 'MATH domain', 113, NULL, 'MATH', 37819),
(94094, 'PF11747', NULL, 'Killing trait', 68, NULL, 'RebB', 37820),
(94095, 'PF13380', NULL, 'CoA binding domain', 116, NULL, 'CoA_binding_2', 37821),
(94096, 'PF11100', NULL, 'Conjugal transfer protein TrbE', 66, NULL, 'TrbE', 37822),
(94097, 'PF16141', NULL, 'Putative glycoside hydrolase Family 18, chitinase_18', 325, NULL, 'DUF4849', 37823),
(94098, 'PF14556', NULL, 'AF2331-like', 91, NULL, 'AF2331-like', 37824),
(94099, 'PF17132', NULL, 'alpha-L-rhamnosidase', 742, NULL, 'Glyco_hydro_106', 37825),
(94100, 'PF05938', NULL, 'Plant self-incompatibility protein S1', 104, NULL, 'Self-incomp_S1', 37826),
(94101, 'PF05534', NULL, 'HicB family', 51, NULL, 'HicB', 37827),
(94102, 'PF06123', NULL, 'Inner membrane protein CreD', 427, NULL, 'CreD', 37828),
(94103, 'PF11875', NULL, 'Domain of unknown function (DUF3395)', 153, NULL, 'DUF3395', 37829),
(94104, 'PF00834', NULL, 'Ribulose-phosphate 3 epimerase family', 198, NULL, 'Ribul_P_3_epim', 37830),
(94105, 'PF11645', NULL, 'PD-(D/E)XK endonuclease', 137, NULL, 'PDDEXK_5', 37831),
(94106, 'PF08379', NULL, 'Bacterial transglutaminase-like N-terminal region', 80, NULL, 'Bact_transglu_N', 37832),
(94107, 'PF08884', NULL, 'Flagellin D3 domain', 90, NULL, 'Flagellin_D3', 37833),
(94108, 'PF08675', NULL, 'RNA binding domain', 79, NULL, 'RNA_bind', 37834),
(94109, 'PF04428', NULL, 'Choline kinase N terminus', 51, NULL, 'Choline_kin_N', 37835),
(94110, 'PF00511', NULL, 'E2 (early) protein, C terminal', 80, NULL, 'PPV_E2_C', 37836),
(94111, 'PF10939', NULL, 'Protein of unknown function (DUF2631)', 66, NULL, 'DUF2631', 37837);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(94112, 'PF01060', NULL, 'Transthyretin-like family', 81, NULL, 'TTR-52', 37838),
(94113, 'PF10749', NULL, 'Protein of unknown function (DUF2534)', 80, NULL, 'DUF2534', 37839),
(94114, 'PF15668', NULL, 'Domain of unknown function (DUF4663)', 339, NULL, 'DUF4663', 37840),
(94115, 'PF04025', NULL, 'Domain of unknown function (DUF370)', 73, NULL, 'DUF370', 37841),
(94116, 'PF08385', NULL, 'Dynein heavy chain, N-terminal region 1', 562, NULL, 'DHC_N1', 37842),
(94117, 'PF08760', NULL, 'Domain of unknown function (DUF1793)', 166, NULL, 'DUF1793', 37843),
(94118, 'PF10945', NULL, 'Cellulose biosynthesis protein BcsR', 42, NULL, 'CBP_BcsR', 37844),
(94119, 'PF13241', NULL, 'Putative NAD(P)-binding', 104, NULL, 'NAD_binding_7', 37845),
(94120, 'PF04282', NULL, 'Family of unknown function (DUF438)', 67, NULL, 'DUF438', 37846),
(94121, 'PF17552', NULL, 'Family of unknown function (DUF5464)', 51, NULL, 'DUF5464', 37847),
(94122, 'PF05103', NULL, 'DivIVA protein', 131, NULL, 'DivIVA', 37848),
(94123, 'PF06216', NULL, 'Rice tungro bacilliform virus P46 protein', 389, NULL, 'RTBV_P46', 37849),
(94124, 'PF09047', NULL, 'MEF2 binding', 35, NULL, 'MEF2_binding', 37850),
(94125, 'PF04018', NULL, 'Domain of unknown function (DUF368)', 246, NULL, 'DUF368', 37851),
(94126, 'PF10670', NULL, 'Domain of unknown function (DUF4198)', 211, NULL, 'DUF4198', 37852),
(94127, 'PF08573', NULL, 'DNA repair protein endonuclease SAE2/CtIP C-terminus', 111, NULL, 'SAE2', 37853),
(94128, 'PF01621', NULL, 'Cell fusion glycoprotein K', 339, NULL, 'Fusion_gly_K', 37854),
(94129, 'PF15083', NULL, 'Colipase-like', 89, NULL, 'Colipase-like', 37855),
(94130, 'PF17820', NULL, 'PDZ domain', 54, NULL, 'PDZ_6', 37856),
(94131, 'PF04894', NULL, 'Archaeal Nre, N-terminal', 270, NULL, 'Nre_N', 37857),
(94132, 'PF15245', NULL, 'Transcription cofactor vestigial-like protein 4', 222, NULL, 'VGLL4', 37858),
(94133, 'PF00599', NULL, 'Influenza Matrix protein (M2)', 97, NULL, 'Flu_M2', 37859),
(94134, 'PF13034', NULL, 'Protein of unknown function (DUF3895)', 76, NULL, 'DUF3895', 37860),
(94135, 'PF14855', NULL, 'Pilus-assembly fibrillin subunit, chaperone', 187, NULL, 'PapJ', 37861),
(94136, 'PF01171', NULL, 'PP-loop family', 184, NULL, 'ATP_bind_3', 37862),
(94137, 'PF08121', NULL, 'Waglerin family', 22, NULL, 'Toxin_33', 37863),
(94138, 'PF09223', NULL, 'ZinT (YodA) periplasmic lipocalin-like zinc-recruitment', 181, NULL, 'ZinT', 37864),
(94139, 'PF04686', NULL, 'Streptomyces sporulation and cell division protein, SsgA', 98, NULL, 'SsgA', 37865),
(94140, 'PF07752', NULL, 'S-layer protein', 259, NULL, 'S-layer', 37866),
(94141, 'PF11001', NULL, 'Protein of unknown function (DUF2841)', 124, NULL, 'DUF2841', 37867),
(94142, 'PF13177', NULL, 'DNA polymerase III, delta subunit', 161, NULL, 'DNA_pol3_delta2', 37868),
(94143, 'PF05220', NULL, 'MgpC adhesin', 226, NULL, 'MgpC', 37869),
(94144, 'PF07952', NULL, 'Clostridium neurotoxin, Translocation domain', 322, NULL, 'Toxin_trans', 37870),
(94145, 'PF19795', NULL, 'Family of unknown function (DUF6279)', 195, NULL, 'DUF6279', 37871),
(94146, 'PF09468', NULL, 'Ydr279p protein family (RNase H2 complex component) wHTH domain', 159, NULL, 'RNase_H2-Ydr279', 37872),
(94147, 'PF01981', NULL, 'Peptidyl-tRNA hydrolase PTH2', 117, NULL, 'PTH2', 37873),
(94148, 'PF09538', NULL, 'Protein of unknown function (FYDLN_acid)', 106, NULL, 'FYDLN_acid', 37874),
(94149, 'PF16391', NULL, 'Domain of unknown function', 149, NULL, 'DUF5000', 37875),
(94150, 'PF08301', NULL, 'Hepatitis C virus non-structural 5a domain 1b', 102, NULL, 'HCV_NS5a_1b', 37876),
(94151, 'PF10394', NULL, 'Histone acetyl transferase HAT1 N-terminus', 160, NULL, 'Hat1_N', 37877),
(94152, 'PF14078', NULL, 'Domain of unknown function (DUF4259)', 137, NULL, 'DUF4259', 37878),
(94153, 'PF18736', NULL, 'HEPN pEK499 p136', 152, NULL, 'pEK499_p136', 37879),
(94154, 'PF01287', NULL, 'Eukaryotic elongation factor 5A hypusine, DNA-binding OB fold', 69, NULL, 'eIF-5a', 37880),
(94155, 'PF09009', NULL, 'Exotoxin A catalytic', 172, NULL, 'Exotox-A_cataly', 37881);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(94156, 'PF02363', NULL, 'Cysteine rich repeat', 17, NULL, 'C_tripleX', 37882),
(94157, 'PF10022', NULL, 'Uncharacterized protein conserved in bacteria (DUF2264)', 352, NULL, 'DUF2264', 37883),
(94158, 'PF15048', NULL, 'Organic solute transporter subunit beta protein', 122, NULL, 'OSTbeta', 37884),
(94159, 'PF04348', NULL, 'LppC putative lipoprotein', 535, NULL, 'LppC', 37885),
(94160, 'PF15434', NULL, 'Family 104', 110, NULL, 'FAM104', 37886),
(94161, 'PF18772', NULL, 'APOBEC2', 174, NULL, 'APOBEC2', 37887),
(94162, 'PF04097', NULL, 'Nup93/Nic96', 605, NULL, 'Nic96', 37888),
(94163, 'PF11506', NULL, 'Protein of unknown function (DUF3217)', 104, NULL, 'DUF3217', 37889),
(94164, 'PF00950', NULL, 'ABC 3 transport family', 258, NULL, 'ABC-3', 37890),
(94165, 'PF09424', NULL, 'Yqey-like protein', 143, NULL, 'YqeY', 37891),
(94166, 'PF15608', NULL, 'PELOTA RNA binding domain', 81, NULL, 'PELOTA_1', 37892),
(94167, 'PF08524', NULL, 'rRNA processing', 146, NULL, 'rRNA_processing', 37893),
(94168, 'PF06457', NULL, 'Ectatomin', 34, NULL, 'Ectatomin', 37894),
(94169, 'PF08674', NULL, 'Acetylcholinesterase tetramerisation domain', 35, NULL, 'AChE_tetra', 37895),
(94170, 'PF15912', NULL, 'Virilizer, N-terminal', 265, NULL, 'VIR_N', 37896),
(94171, 'PF14228', NULL, 'Cell morphogenesis central region', 1113, NULL, 'MOR2-PAG1_mid', 37897),
(94172, 'PF14502', NULL, 'Helix-turn-helix domain', 48, NULL, 'HTH_41', 37898),
(94173, 'PF18950', NULL, 'Family of unknown function (DUF5694)', 185, NULL, 'DUF5694', 37899),
(94174, 'PF01266', NULL, 'FAD dependent oxidoreductase', 353, NULL, 'DAO', 37900),
(94175, 'PF02841', NULL, 'Guanylate-binding protein, C-terminal domain', 297, NULL, 'GBP_C', 37901),
(94176, 'PF17074', NULL, 'Darcynin, domain of unknown function', 124, NULL, 'Darcynin', 37902),
(94177, 'PF18413', NULL, 'Neuraminidase-like domain', 169, NULL, 'Neuraminidase', 37903),
(94178, 'PF03997', NULL, 'VPS28 protein', 190, NULL, 'VPS28', 37904),
(94179, 'PF11051', NULL, 'Mannosyltransferase putative', 273, NULL, 'Mannosyl_trans3', 37905),
(94180, 'PF04947', NULL, 'Poxvirus Late Transcription Factor VLTF3 like', 168, NULL, 'Pox_VLTF3', 37906),
(94181, 'PF17330', NULL, 'SWR1 chromatin-remodelling complex, sub-unit Swc7', 98, NULL, 'SWC7', 37907),
(94182, 'PF12567', NULL, 'Leukocyte receptor CD45', 59, NULL, 'CD45', 37908),
(94183, 'PF19916', NULL, 'vWA-MoxR associated protein middle region 0', 104, NULL, 'VMAP-M0', 37909),
(94184, 'PF16847', NULL, 'Avirulence AvrPtoB, BAK1-binding domain', 91, NULL, 'AvrPtoB_bdg', 37910),
(94185, 'PF15117', NULL, 'Uncharacterised protein family UPF0697', 98, NULL, 'UPF0697', 37911),
(94186, 'PF12837', NULL, '4Fe-4S binding domain', 24, NULL, 'Fer4_6', 37912),
(94187, 'PF10653', NULL, 'Protein gp45 of Bacteriophage A118', 62, NULL, 'Phage-A118_gp45', 37913),
(94188, 'PF18072', NULL, 'Formylglycinamide ribonucleotide amidotransferase linker domain', 50, NULL, 'FGAR-AT_linker', 37914),
(94189, 'PF19159', NULL, 'Family of unknown function (DUF5841)', 48, NULL, 'DUF5841', 37915),
(94190, 'PF19568', NULL, 'Sporulation stage III, protein AA', 306, NULL, 'Spore_III_AA', 37916),
(94191, 'PF09136', NULL, 'Glucodextranase, domain B', 83, NULL, 'Glucodextran_B', 37917),
(94192, 'PF17811', NULL, 'Jumonji helical domain', 104, NULL, 'JHD', 37918),
(94193, 'PF00572', NULL, 'Ribosomal protein L13', 119, NULL, 'Ribosomal_L13', 37919),
(94194, 'PF02819', NULL, 'Spider toxin', 44, NULL, 'Toxin_9', 37920),
(94195, 'PF15552', NULL, 'Domain of unknown function (DUF4657)', 301, NULL, 'DUF4657', 37921),
(94196, 'PF02867', NULL, 'Ribonucleotide reductase, barrel domain', 527, NULL, 'Ribonuc_red_lgC', 37922),
(94197, 'PF09288', NULL, 'Fungal ubiquitin-associated domain', 55, NULL, 'UBA_3', 37923),
(94198, 'PF05582', NULL, 'YabG peptidase U57', 281, NULL, 'Peptidase_U57', 37924),
(94199, 'PF17800', NULL, 'Nucleoplasmin-like domain', 114, NULL, 'NPL', 37925),
(94200, 'PF13437', NULL, 'HlyD family secretion protein', 106, NULL, 'HlyD_3', 37926),
(94201, 'PF15060', NULL, 'Differentiation and proliferation regulator', 110, NULL, 'PPDFL', 37927);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(94202, 'PF03228', NULL, 'Adenoviral core protein VII', 122, NULL, 'Adeno_VII', 37928),
(94203, 'PF06657', NULL, 'Centrosome microtubule-binding domain of Cep57', 77, NULL, 'Cep57_MT_bd', 37929),
(94204, 'PF15238', NULL, 'FAM181', 285, NULL, 'FAM181', 37930),
(94205, 'PF06317', NULL, 'Arenavirus RNA polymerase', 2048, NULL, 'Arena_RNA_pol', 37931),
(94206, 'PF10388', NULL, 'EAL-domain associated signalling protein domain', 166, NULL, 'YkuI_C', 37932),
(94207, 'PF08090', NULL, 'Heat stable E.coli enterotoxin 1', 36, NULL, 'Enterotoxin_HS1', 37933),
(94208, 'PF12260', NULL, 'Protein-kinase domain of FAM69', 189, NULL, 'PIP49_C', 37934),
(94209, 'PF13243', NULL, 'Squalene-hopene cyclase C-terminal domain', 319, NULL, 'SQHop_cyclase_C', 37935),
(94210, 'PF00213', NULL, 'ATP synthase delta (OSCP) subunit', 172, NULL, 'OSCP', 37936),
(94211, 'PF11090', NULL, 'Protein of unknown function (DUF2833)', 86, NULL, 'DUF2833', 37937),
(94212, 'PF10115', NULL, 'Transcriptional activator HlyU', 91, NULL, 'HlyU', 37938),
(94213, 'PF09151', NULL, 'Domain of unknown function (DUF1936)', 34, NULL, 'DUF1936', 37939),
(94214, 'PF00184', NULL, 'Neurohypophysial hormones, C-terminal Domain', 79, NULL, 'Hormone_5', 37940),
(94215, 'PF17451', NULL, 'Glycosyl hydrolase 101 beta sandwich domain', 132, NULL, 'Glyco_hyd_101C', 37941),
(94216, 'PF02999', NULL, 'Borrelia orf-D family', 100, NULL, 'Borrelia_orfD', 37942),
(94217, 'PF09598', NULL, 'Stm1', 65, NULL, 'Stm1_N', 37943),
(94218, 'PF18269', NULL, 'T3SS EscN ATPase C-terminal domain', 72, NULL, 'T3SS_ATPase_C', 37944),
(94219, 'PF03823', NULL, 'Neurokinin B', 58, NULL, 'Neurokinin_B', 37945),
(94220, 'PF15436', NULL, 'Plasminogen-binding protein pgbA N-terminal', 217, NULL, 'PGBA_N', 37946),
(94221, 'PF02617', NULL, 'ATP-dependent Clp protease adaptor protein ClpS', 80, NULL, 'ClpS', 37947),
(94222, 'PF04022', NULL, 'Staphylocoagulase repeat', 27, NULL, 'Staphylcoagulse', 37948),
(94223, 'PF08310', NULL, 'LGFP repeat', 53, NULL, 'LGFP', 37949),
(94224, 'PF17115', NULL, 'N-terminal domain of toast_rack, DUF2154', 92, NULL, 'Toast_rack_N', 37950),
(94225, 'PF03281', NULL, 'Mab-21 protein', 286, NULL, 'Mab-21', 37951),
(94226, 'PF12675', NULL, 'Protein of unknown function (DUF3795)', 85, NULL, 'DUF3795', 37952),
(94227, 'PF01728', NULL, 'FtsJ-like methyltransferase', 177, NULL, 'FtsJ', 37953),
(94228, 'PF05163', NULL, 'DinB family', 166, NULL, 'DinB', 37954),
(94229, 'PF18131', NULL, 'KN17 SH3-like C-terminal domain', 53, NULL, 'KN17_SH3', 37955),
(94230, 'PF18419', NULL, 'ATP-grasp-like domain', 54, NULL, 'ATP-grasp_6', 37956),
(94231, 'PF14545', NULL, 'Dof, BCAP, and BANK (DBB) motif,', 139, NULL, 'DBB', 37957),
(94232, 'PF15280', NULL, 'Protein aurora borealis N-terminus', 223, NULL, 'BORA_N', 37958),
(94233, 'PF10153', NULL, 'rRNA-processing protein Efg1', 114, NULL, 'Efg1', 37959),
(94234, 'PF01193', NULL, 'RNA polymerase Rpb3/Rpb11 dimerisation domain', 74, NULL, 'RNA_pol_L', 37960),
(94235, 'PF00021', NULL, 'u-PAR/Ly-6 domain', 77, NULL, 'UPAR_LY6', 37961),
(94236, 'PF10146', NULL, 'Zinc finger-containing protein', 244, NULL, 'zf-C4H2', 37962),
(94237, 'PF19402', NULL, 'Lanthionine-containing peptide SapB precursor RamS', 44, NULL, 'RamS', 37963),
(94238, 'PF08443', NULL, 'RimK-like ATP-grasp domain', 188, NULL, 'RimK', 37964),
(94239, 'PF12068', NULL, 'Rab-binding domain (RBD)', 170, NULL, 'PH_RBD', 37965),
(94240, 'PF16898', NULL, 'C-terminal associated domain of TOPRIM', 127, NULL, 'TOPRIM_C', 37966),
(94241, 'PF03100', NULL, 'CcmE', 128, NULL, 'CcmE', 37967),
(94242, 'PF12306', NULL, 'Inclusion body protein', 165, NULL, 'PixA', 37968),
(94243, 'PF09496', NULL, 'Cenp-O kinetochore centromere component', 209, NULL, 'CENP-O', 37969),
(94244, 'PF01432', NULL, 'Peptidase family M3', 458, NULL, 'Peptidase_M3', 37970),
(94245, 'PF08865', NULL, 'Domain of unknown function (DUF1830)', 66, NULL, 'DUF1830', 37971),
(94246, 'PF13096', NULL, 'CENP-A-nucleosome distal (CAD) centromere subunit, CENP-P', 177, NULL, 'CENP-P', 37972),
(94247, 'PF04226', NULL, 'Transglycosylase associated protein', 49, NULL, 'Transgly_assoc', 37973);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(94248, 'PF08585', NULL, 'RecQ mediated genome instability protein', 217, NULL, 'RMI1_N', 37974),
(94249, 'PF01886', NULL, 'Protein of unknown function DUF61', 127, NULL, 'DUF61', 37975),
(94250, 'PF10858', NULL, 'Protein of unknown function (DUF2659)', 224, NULL, 'DUF2659', 37976),
(94251, 'PF07638', NULL, 'ECF sigma factor', 185, NULL, 'Sigma70_ECF', 37977),
(94252, 'PF03601', NULL, 'Conserved hypothetical protein 698', 305, NULL, 'Cons_hypoth698', 37978),
(94253, 'PF00144', NULL, 'Beta-lactamase', 330, NULL, 'Beta-lactamase', 37979),
(94254, 'PF19828', NULL, 'Family of unknown function (DUF6309)', 187, NULL, 'DUF6309', 37980),
(94255, 'PF14690', NULL, 'zinc-finger of transposase IS204/IS1001/IS1096/IS1165', 47, NULL, 'zf-ISL3', 37981),
(94256, 'PF17825', NULL, 'Family of unknown function (DUF5587)', 1445, NULL, 'DUF5587', 37982),
(94257, 'PF00232', NULL, 'Glycosyl hydrolase family 1', 453, NULL, 'Glyco_hydro_1', 37983),
(94258, 'PF19772', NULL, 'Family of unknown function (DUF6258)', 136, NULL, 'DUF6258', 37984),
(94259, 'PF08344', NULL, 'Transient receptor ion channel II', 63, NULL, 'TRP_2', 37985),
(94260, 'PF01969', NULL, 'Protein of unknown function DUF111', 372, NULL, 'DUF111', 37986),
(94261, 'PF12602', NULL, 'Fertility inhibition protein N terminal', 62, NULL, 'FinO_N', 37987),
(94262, 'PF03646', NULL, 'FlaG protein', 101, NULL, 'FlaG', 37988),
(94263, 'PF10912', NULL, 'Protein of unknown function (DUF2700)', 146, NULL, 'DUF2700', 37989),
(94264, 'PF15592', NULL, 'Immunity protein 41', 108, NULL, 'Imm41', 37990),
(94265, 'PF18944', NULL, 'Family of unknown function (DUF5691)', 210, NULL, 'DUF5691', 37991),
(94266, 'PF10647', NULL, 'Lipoprotein LpqB beta-propeller domain', 253, NULL, 'Gmad1', 37992),
(94267, 'PF18171', NULL, 'SLOG in TRPM, prokaryote', 194, NULL, 'LSDAT_prok', 37993),
(94268, 'PF05772', NULL, 'NinB protein', 127, NULL, 'NinB', 37994),
(94269, 'PF15713', NULL, 'Protein tyrosine phosphatase receptor type C-associated', 156, NULL, 'PTPRCAP', 37995),
(94270, 'PF08356', NULL, 'EF hand associated', 87, NULL, 'EF_assoc_2', 37996),
(94271, 'PF13822', NULL, 'Acyl-CoA carboxylase epsilon subunit', 61, NULL, 'ACC_epsilon', 37997),
(94272, 'PF16269', NULL, 'Domain of unknown function (DUF4922)', 146, NULL, 'DUF4922', 37998),
(94273, 'PF05781', NULL, 'MRVI1 protein', 533, NULL, 'MRVI1', 37999),
(94274, 'PF16918', NULL, 'Protein kinase G tetratricopeptide repeat', 340, NULL, 'PknG_TPR', 38000),
(94275, 'PF05196', NULL, 'PTN/MK heparin-binding protein family, N-terminal domain', 57, NULL, 'PTN_MK_N', 38001),
(94276, 'PF10862', NULL, 'FcoT-like thioesterase domain', 156, NULL, 'FcoT', 38002),
(94277, 'PF09649', NULL, 'Histone chaperone domain CHZ', 34, NULL, 'CHZ', 38003),
(94278, 'PF18096', NULL, 'THUMP domain-like', 78, NULL, 'Thump_like', 38004),
(94279, 'PF14964', NULL, 'Domain of unknown function (DUF4507)', 365, NULL, 'DUF4507', 38005),
(94280, 'PF05912', NULL, 'Caenorhabditis elegans protein of unknown function (DUF870)', 112, NULL, 'DUF870', 38006),
(94281, 'PF11539', NULL, 'Protein of unknown function (DUF3228)', 194, NULL, 'DUF3228', 38007),
(94282, 'PF14451', NULL, 'Mut7-C ubiquitin', 81, NULL, 'Ub-Mut7C', 38008),
(94283, 'PF18294', NULL, 'Peptidase S41 N-terminal domain', 49, NULL, 'Pept_S41_N', 38009),
(94284, 'PF09341', NULL, 'Transcription factor Pcc1', 74, NULL, 'Pcc1', 38010),
(94285, 'PF01741', NULL, 'Large-conductance mechanosensitive channel, MscL', 121, NULL, 'MscL', 38011),
(94286, 'PF14881', NULL, 'Tubulin domain', 180, NULL, 'Tubulin_3', 38012),
(94287, 'PF18778', NULL, 'Novel AID APOBEC clade 1', 174, NULL, 'NAD1', 38013),
(94288, 'PF02962', NULL, '5-carboxymethyl-2-hydroxymuconate isomerase', 125, NULL, 'CHMI', 38014),
(94289, 'PF12222', NULL, 'Peptide N-acetyl-beta-D-glucosaminyl asparaginase amidase A', 434, NULL, 'PNGaseA', 38015),
(94290, 'PF01209', NULL, 'ubiE/COQ5 methyltransferase family', 233, NULL, 'Ubie_methyltran', 38016),
(94291, 'PF11058', NULL, 'Antirestriction protein Ral', 66, NULL, 'Ral', 38017),
(94292, 'PF00801', NULL, 'PKD domain', 71, NULL, 'PKD', 38018);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(94293, 'PF06787', NULL, 'FeGP cofactor biosynthesis protein HcgF', 163, NULL, 'HcgF', 38019),
(94294, 'PF12569', NULL, 'NMDA receptor-regulated protein 1', 515, NULL, 'NARP1', 38020),
(94295, 'PF00337', NULL, 'Galactoside-binding lectin', 134, NULL, 'Gal-bind_lectin', 38021),
(94296, 'PF13803', NULL, 'Domain of unknown function (DUF4184)', 217, NULL, 'DUF4184', 38022),
(94297, 'PF17734', NULL, 'Spermatogenesis-associated protein 46', 228, NULL, 'Spt46', 38023),
(94298, 'PF08478', NULL, 'POTRA domain, FtsQ-type', 69, NULL, 'POTRA_1', 38024),
(94299, 'PF00133', NULL, 'tRNA synthetases class I (I, L, M and V)', 602, NULL, 'tRNA-synt_1', 38025),
(94300, 'PF08962', NULL, 'Domain of unknown function (DUF1876)', 82, NULL, 'DUF1876', 38026),
(94301, 'PF06312', NULL, 'Neurexophilin', 210, NULL, 'Neurexophilin', 38027),
(94302, 'PF07867', NULL, 'Protein of unknown function (DUF1654)', 70, NULL, 'DUF1654', 38028),
(94303, 'PF16716', NULL, 'Bone marrow stromal antigen 2', 91, NULL, 'BST2', 38029),
(94304, 'PF02357', NULL, 'Transcription termination factor nusG', 98, NULL, 'NusG', 38030),
(94305, 'PF12026', NULL, 'Crk-Associated Substrate C-terminal domain', 209, NULL, 'CAS_C', 38031),
(94306, 'PF18578', NULL, 'Rubisco accumulation factor 1 alpha helical domain', 106, NULL, 'Raf1_N', 38032),
(94307, 'PF11094', NULL, 'Membrane-associated tegument protein', 39, NULL, 'UL11', 38033),
(94308, 'PF06446', NULL, 'Hepcidin', 53, NULL, 'Hepcidin', 38034),
(94309, 'PF02733', NULL, 'Dak1 domain', 311, NULL, 'Dak1', 38035),
(94310, 'PF18292', NULL, 'Zinc transporter ZIP4 domain', 165, NULL, 'ZIP4_domain', 38036),
(94311, 'PF07247', NULL, 'Alcohol acetyltransferase', 500, NULL, 'AATase', 38037),
(94312, 'PF14347', NULL, 'Domain of unknown function (DUF4399)', 91, NULL, 'DUF4399', 38038),
(94313, 'PF17828', NULL, 'N-terminal domain in fatty acid synthase subunit beta', 129, NULL, 'FAS_N', 38039),
(94314, 'PF09962', NULL, 'Uncharacterized conserved protein (DUF2196)', 61, NULL, 'DUF2196', 38040),
(94315, 'PF02879', NULL, 'Phosphoglucomutase/phosphomannomutase, alpha/beta/alpha domain II', 103, NULL, 'PGM_PMM_II', 38041),
(94316, 'PF15175', NULL, 'Spermatogenesis-associated protein 24', 182, NULL, 'SPATA24', 38042),
(94317, 'PF16421', NULL, 'E2F transcription factor CC-MB domain', 95, NULL, 'E2F_CC-MB', 38043),
(94318, 'PF05800', NULL, 'Gas vesicle synthesis protein GvpO', 94, NULL, 'GvpO', 38044),
(94319, 'PF11027', NULL, 'Protein of unknown function (DUF2615)', 106, NULL, 'DUF2615', 38045),
(94320, 'PF05448', NULL, 'Acetyl xylan esterase (AXE1)', 318, NULL, 'AXE1', 38046),
(94321, 'PF13771', NULL, 'PHD-like zinc-binding domain', 90, NULL, 'zf-HC5HC2H', 38047),
(94322, 'PF00019', NULL, 'Transforming growth factor beta like domain', 102, NULL, 'TGF_beta', 38048),
(94323, 'PF18046', NULL, 'FKBP26_C-terminal', 72, NULL, 'FKBP26_C', 38049),
(94324, 'PF13917', NULL, 'Zinc knuckle', 41, NULL, 'zf-CCHC_3', 38050),
(94325, 'PF00346', NULL, 'Respiratory-chain NADH dehydrogenase, 49 Kd subunit', 271, NULL, 'Complex1_49kDa', 38051),
(94326, 'PF16965', NULL, 'Ceramide synthase regulator', 397, NULL, 'CSG2', 38052),
(94327, 'PF19071', NULL, 'Family of unknown function (DUF5767)', 85, NULL, 'DUF5767', 38053),
(94328, 'PF02489', NULL, 'Herpesvirus glycoprotein H main domain', 512, NULL, 'Herpes_glycop_H', 38054),
(94329, 'PF13904', NULL, 'Domain of unknown function (DUF4207)', 220, NULL, 'DUF4207', 38055),
(94330, 'PF19972', NULL, 'Ternary complex associated domain 3', 48, NULL, 'TCAD3', 38056),
(94331, 'PF00877', NULL, 'NlpC/P60 family', 105, NULL, 'NLPC_P60', 38057),
(94332, 'PF09971', NULL, 'Predicted membrane protein (DUF2206)', 380, NULL, 'DUF2206', 38058),
(94333, 'PF05859', NULL, 'Mis12 protein', 143, NULL, 'Mis12', 38059),
(94334, 'PF05139', NULL, 'Erythromycin esterase', 341, NULL, 'Erythro_esteras', 38060),
(94335, 'PF08511', NULL, 'COQ9', 77, NULL, 'COQ9', 38061),
(94336, 'PF14109', NULL, 'GldH lipoprotein', 128, NULL, 'GldH_lipo', 38062),
(94337, 'PF14719', NULL, 'Phosphotyrosine interaction domain (PTB/PID)', 184, NULL, 'PID_2', 38063);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(94338, 'PF19266', NULL, 'Contractile injection system tube protein', 161, NULL, 'CIS_tube', 38064),
(94339, 'PF18018', NULL, 'DNA polymerase delta subunit OB-fold domain', 129, NULL, 'DNA_pol_D_N', 38065),
(94340, 'PF11854', NULL, 'Putative outer membrane beta-barrel porin, MtrB/PioB', 661, NULL, 'MtrB_PioB', 38066),
(94341, 'PF05327', NULL, 'RNA polymerase I specific transcription initiation factor RRN3', 556, NULL, 'RRN3', 38067),
(94342, 'PF05289', NULL, 'Borrelia hemolysin accessory protein', 120, NULL, 'BLYB', 38068),
(94343, 'PF07603', NULL, 'Protein of unknown function (DUF1566)', 116, NULL, 'DUF1566', 38069),
(94344, 'PF08502', NULL, 'LeuA allosteric (dimerisation) domain', 133, NULL, 'LeuA_dimer', 38070),
(94345, 'PF06163', NULL, 'Bacterial protein of unknown function (DUF977)', 127, NULL, 'DUF977', 38071),
(94346, 'PF11088', NULL, 'Glycoprotein encoding membrane proteins RL5A and RL6', 99, NULL, 'RL11D', 38072),
(94347, 'PF01409', NULL, 'tRNA synthetases class II core domain (F)', 246, NULL, 'tRNA-synt_2d', 38073),
(94348, 'PF20148', NULL, 'Domain of unknown function (DUF6531)', 74, NULL, 'DUF6531', 38074),
(94349, 'PF19108', NULL, 'Family of unknown function (DUF5795)', 74, NULL, 'DUF5795', 38075),
(94350, 'PF10186', NULL, 'Vacuolar sorting 38 and autophagy-related subunit 14', 324, NULL, 'ATG14', 38076),
(94351, 'PF01994', NULL, 'tRNA ribose 2''-O-methyltransferase, aTrm56', 119, NULL, 'Trm56', 38077),
(94352, 'PF12146', NULL, 'Serine aminopeptidase, S33', 239, NULL, 'Hydrolase_4', 38078),
(94353, 'PF13624', NULL, 'SurA N-terminal domain', 162, NULL, 'SurA_N_3', 38079),
(94354, 'PF10151', NULL, 'TMEM214, C-terminal, caspase 4 activator', 662, NULL, 'TMEM214', 38080),
(94355, 'PF10326', NULL, 'Serpentine type 7TM GPCR chemoreceptor Str', 307, NULL, '7TM_GPCR_Str', 38081),
(94356, 'PF02948', NULL, 'Amelogenin', 173, NULL, 'Amelogenin', 38082),
(94357, 'PF19814', NULL, 'Family of unknown function (DUF6297)', 372, NULL, 'DUF6297', 38083),
(94358, 'PF10125', NULL, 'NADH dehydrogenase I, subunit N related protein', 218, NULL, 'NADHdeh_related', 38084),
(94359, 'PF11526', NULL, 'Subunit of cleavage factor IA Pcf11', 90, NULL, 'CFIA_Pcf11', 38085),
(94360, 'PF04964', NULL, 'Flp/Fap pilin component', 46, NULL, 'Flp_Fap', 38086),
(94361, 'PF03427', NULL, 'Carbohydrate binding domain (family 19)', 61, NULL, 'CBM_19', 38087),
(94362, 'PF14888', NULL, 'Penicillin-binding protein Tp47 domain C', 159, NULL, 'PBP-Tp47_c', 38088),
(94363, 'PF06577', NULL, 'Envelope integrity protein A', 160, NULL, 'EipA', 38089),
(94364, 'PF03094', NULL, 'Mlo family', 482, NULL, 'Mlo', 38090),
(94365, 'PF09012', NULL, 'FeoC like transcriptional regulator', 69, NULL, 'FeoC', 38091),
(94366, 'PF11437', NULL, 'Vanadium-binding protein 2', 96, NULL, 'Vanabin-2', 38092),
(94367, 'PF07358', NULL, 'Protein of unknown function (DUF1482)', 57, NULL, 'DUF1482', 38093),
(94368, 'PF17978', NULL, 'RING/Ubox like zinc-binding domain', 91, NULL, 'zf-RING_14', 38094),
(94369, 'PF10664', NULL, 'Cyanobacterial and plastid NDH-1 subunit M', 107, NULL, 'NdhM', 38095),
(94370, 'PF08790', NULL, 'LYAR-type C2HC zinc finger', 28, NULL, 'zf-LYAR', 38096),
(94371, 'PF01986', NULL, 'Domain of unknown function DUF123', 94, NULL, 'DUF123', 38097),
(94372, 'PF12855', NULL, 'ECL1/2/3 zinc binding proteins', 174, NULL, 'Ecl1', 38098),
(94373, 'PF03030', NULL, 'Inorganic H+ pyrophosphatase', 649, NULL, 'H_PPase', 38099),
(94374, 'PF15109', NULL, 'TMEM125 protein family', 111, NULL, 'TMEM125', 38100),
(94375, 'PF09891', NULL, 'Uncharacterized protein conserved in archaea (DUF2118)', 151, NULL, 'DUF2118', 38101),
(94376, 'PF14896', NULL, 'EmbC C-terminal domain', 385, NULL, 'Arabino_trans_C', 38102),
(94377, 'PF16815', NULL, 'Protein HRI1', 236, NULL, 'HRI1', 38103),
(94378, 'PF17725', NULL, 'YAP binding domain', 201, NULL, 'YBD', 38104),
(94379, 'PF04872', NULL, 'Poxvirus L5 protein family', 79, NULL, 'Pox_L5', 38105),
(94380, 'PF12188', NULL, 'Signal transducer and activator of transcription 2 C terminal', 56, NULL, 'STAT2_C', 38106),
(94381, 'PF02241', NULL, 'Methyl-coenzyme M reductase beta subunit, C-terminal domain', 249, NULL, 'MCR_beta', 38107);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(94382, 'PF07798', NULL, 'Protein of unknown function (DUF1640)', 175, NULL, 'DUF1640', 38108),
(94383, 'PF13064', NULL, 'Protein of unknown function (DUF3927)', 53, NULL, 'DUF3927', 38109),
(94384, 'PF15113', NULL, 'TMEM117 protein family', 410, NULL, 'TMEM117', 38110),
(94385, 'PF06236', NULL, 'Tyrosinase co-factor MelC1', 115, NULL, 'MelC1', 38111),
(94386, 'PF06467', NULL, 'MYM-type Zinc finger with FCS sequence motif', 41, NULL, 'zf-FCS', 38112),
(94387, 'PF15284', NULL, 'Phage-encoded virulence factor', 64, NULL, 'PAGK', 38113),
(94388, 'PF04124', NULL, 'Dor1-like family', 336, NULL, 'Dor1', 38114),
(94389, 'PF01610', NULL, 'Transposase', 240, NULL, 'DDE_Tnp_ISL3', 38115),
(94390, 'PF03434', NULL, 'DUF276', 290, NULL, 'DUF276', 38116),
(94391, 'PF06160', NULL, 'Septation ring formation regulator, EzrA', 557, NULL, 'EzrA', 38117),
(94392, 'PF00728', NULL, 'Glycosyl hydrolase family 20, catalytic domain', 352, NULL, 'Glyco_hydro_20', 38118),
(94393, 'PF09849', NULL, 'Uncharacterized protein conserved in bacteria (DUF2076)', 262, NULL, 'DUF2076', 38119),
(94394, 'PF06319', NULL, 'DNA repair protein MmcB-like', 148, NULL, 'MmcB-like', 38120),
(94395, 'PF05498', NULL, 'Rapid ALkalinization Factor (RALF)', 65, NULL, 'RALF', 38121),
(94396, 'PF00753', NULL, 'Metallo-beta-lactamase superfamily', 197, NULL, 'Lactamase_B', 38122),
(94397, 'PF11795', NULL, 'Uncharacterized protein conserved in bacteria N-term (DUF3322)', 190, NULL, 'DUF3322', 38123),
(94398, 'PF14060', NULL, 'Domain of unknown function (DUF4252)', 125, NULL, 'DUF4252', 38124),
(94399, 'PF09184', NULL, 'PPP4R2', 289, NULL, 'PPP4R2', 38125),
(94400, 'PF08146', NULL, 'BP28CT (NUC211) domain', 158, NULL, 'BP28CT', 38126),
(94401, 'PF19461', NULL, 'Family of unknown function (DUF5998)', 179, NULL, 'DUF5998', 38127),
(94402, 'PF18223', NULL, 'Pili PilJ C-terminal domain', 95, NULL, 'PilJ_C', 38128),
(94403, 'PF01172', NULL, 'Shwachman-Bodian-Diamond syndrome (SBDS) protein', 88, NULL, 'SBDS', 38129),
(94404, 'PF02072', NULL, 'Prepro-orexin', 129, NULL, 'Orexin', 38130),
(94405, 'PF07451', NULL, 'Stage V sporulation protein AD (SpoVAD)', 329, NULL, 'SpoVAD', 38131),
(94406, 'PF09472', NULL, 'Tetrahydromethanopterin S-methyltransferase, F subunit (MtrF)', 62, NULL, 'MtrF', 38132),
(94407, 'PF06523', NULL, 'Protein of unknown function (DUF1106)', 91, NULL, 'DUF1106', 38133),
(94408, 'PF17919', NULL, 'RNase H-like domain found in reverse transcriptase', 100, NULL, 'RT_RNaseH_2', 38134),
(94409, 'PF11866', NULL, 'Protein of unknown function (DUF3386)', 211, NULL, 'DUF3386', 38135),
(94410, 'PF18055', NULL, '26S proteasome regulatory subunit RPN6 N-terminal domain', 117, NULL, 'RPN6_N', 38136),
(94411, 'PF08182', NULL, 'Pedibin/Hym-346 family', 35, NULL, 'Pedibin', 38137),
(94412, 'PF14002', NULL, 'YniB-like protein', 166, NULL, 'YniB', 38138),
(94413, 'PF09749', NULL, 'Uncharacterised conserved protein', 243, NULL, 'HVSL', 38139),
(94414, 'PF13285', NULL, 'Domain of unknown function (DUF4073)', 157, NULL, 'DUF4073', 38140),
(94415, 'PF17262', NULL, 'Cas6b C-terminal domain', 114, NULL, 'Cas6b_C', 38141),
(94416, 'PF18892', NULL, 'Family of unknown function (DUF5651)', 54, NULL, 'DUF5651', 38142),
(94417, 'PF09085', NULL, 'Adhesion molecule, immunoglobulin-like', 110, NULL, 'Adhes-Ig_like', 38143),
(94418, 'PF09824', NULL, 'ArsR transcriptional regulator', 159, NULL, 'ArsR', 38144),
(94419, 'PF17112', NULL, 'Mitochondrial import receptor subunit Tom6, fungal', 45, NULL, 'Tom6', 38145),
(94420, 'PF17338', NULL, 'Gene product 88', 231, NULL, 'GP88', 38146),
(94421, 'PF17208', NULL, 'RNA binding Region', 57, NULL, 'RBR', 38147),
(94422, 'PF09935', NULL, 'Protein of unknown function (DUF2167)', 239, NULL, 'DUF2167', 38148),
(94423, 'PF00686', NULL, 'Starch binding domain', 96, NULL, 'CBM_20', 38149),
(94424, 'PF04106', NULL, 'Autophagy protein Apg5', 219, NULL, 'APG5', 38150),
(94425, 'PF14581', NULL, 'SseB protein C-terminal domain', 106, NULL, 'SseB_C', 38151),
(94426, 'PF08320', NULL, 'PIG-X / PBN1', 210, NULL, 'PIG-X', 38152),
(94427, 'PF19968', NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 7', 160, NULL, 'VMAP-M7', 38153);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(94428, 'PF11114', NULL, 'Minor capsid protein', 114, NULL, 'Minor_capsid_2', 38154),
(94429, 'PF10097', NULL, 'Predicted membrane protein (DUF2335)', 50, NULL, 'DUF2335', 38155),
(94430, 'PF14245', NULL, 'Type IV pilin PilA', 136, NULL, 'Pilin_PilA', 38156),
(94431, 'PF08766', NULL, 'DEK C terminal domain', 54, NULL, 'DEK_C', 38157),
(94432, 'PF13638', NULL, 'PIN domain', 131, NULL, 'PIN_4', 38158),
(94433, 'PF13482', NULL, 'RNase_H superfamily', 166, NULL, 'RNase_H_2', 38159),
(94434, 'PF03854', NULL, 'P-11 zinc finger', 50, NULL, 'zf-P11', 38160),
(94435, 'PF05275', NULL, 'Copper resistance protein B precursor (CopB)', 208, NULL, 'CopB', 38161),
(94436, 'PF07262', NULL, 'CDI immunity protein', 155, NULL, 'CdiI', 38162),
(94437, 'PF13325', NULL, 'N-terminal region of micro-spherule protein', 199, NULL, 'MCRS_N', 38163),
(94438, 'PF11004', NULL, '3-deoxy-D-manno-oct-2-ulosonic acid (Kdo) hydroxylase', 275, NULL, 'Kdo_hydroxy', 38164),
(94439, 'PF02758', NULL, 'PAAD/DAPIN/Pyrin domain', 75, NULL, 'PYRIN', 38165),
(94440, 'PF13755', NULL, 'Sensor N-terminal transmembrane domain', 68, NULL, 'Sensor_TM1', 38166),
(94441, 'PF16778', NULL, 'Phage tail assembly chaperone protein', 60, NULL, 'Phage_tail_APC', 38167),
(94442, 'PF01627', NULL, 'Hpt domain', 85, NULL, 'Hpt', 38168),
(94443, 'PF05697', NULL, 'Bacterial trigger factor protein (TF)', 140, NULL, 'Trigger_N', 38169),
(94444, 'PF11492', NULL, 'Cricket paralysis virus, VP4', 57, NULL, 'Dicistro_VP4', 38170),
(94445, 'PF17612', NULL, 'Family of unknown function (DUF5507)', 160, NULL, 'DUF5507', 38171),
(94446, 'PF06952', NULL, 'PsiA protein', 237, NULL, 'PsiA', 38172),
(94447, 'PF14986', NULL, 'Domain of unknown function (DUF4514)', 60, NULL, 'DUF4514', 38173),
(94448, 'PF04852', NULL, 'Protein of unknown function (DUF640)', 126, NULL, 'DUF640', 38174),
(94449, 'PF17848', NULL, 'Acetyl-coA carboxylase zinc finger domain', 26, NULL, 'zf-ACC', 38175),
(94450, 'PF00090', NULL, 'Thrombospondin type 1 domain', 49, NULL, 'TSP_1', 38176),
(94451, 'PF08303', NULL, 'tRNA ligase kinase domain', 168, NULL, 'tRNA_lig_kinase', 38177),
(94452, 'PF03717', NULL, 'Penicillin-binding Protein dimerisation domain', 181, NULL, 'PBP_dimer', 38178),
(94453, 'PF07762', NULL, 'Protein of unknown function (DUF1618)', 137, NULL, 'DUF1618', 38179),
(94454, 'PF14976', NULL, 'FAM72 protein', 145, NULL, 'FAM72', 38180),
(94455, 'PF04369', NULL, 'Lactococcin-like family', 60, NULL, 'Lactococcin', 38181),
(94456, 'PF16615', NULL, 'Unstructured region one on RhoGEF 6 and 7', 47, NULL, 'RhoGEF67_u1', 38182),
(94457, 'PF01744', NULL, 'GLTT repeat (6 copies)', 28, NULL, 'GLTT', 38183),
(94458, 'PF07346', NULL, 'Protein of unknown function (DUF1477)', 118, NULL, 'DUF1477', 38184),
(94459, 'PF17380', NULL, 'Family of unknown function (DUF5401)', 721, NULL, 'DUF5401', 38185),
(94460, 'PF00748', NULL, 'Calpain inhibitor', 132, NULL, 'Calpain_inhib', 38186),
(94461, 'PF02863', NULL, 'Arginine repressor, C-terminal domain', 68, NULL, 'Arg_repressor_C', 38187),
(94462, 'PF18313', NULL, 'Thiolase-like protein type 1 additional C-terminal domain', 83, NULL, 'TLP1_add_C', 38188),
(94463, 'PF02407', NULL, 'Putative viral replication protein', 82, NULL, 'Viral_Rep', 38189),
(94464, 'PF11634', NULL, 'Nuclease inhibitor from bacteriophage T4', 76, NULL, 'IPI_T4', 38190),
(94465, 'PF13942', NULL, 'YfhG lipoprotein', 175, NULL, 'Lipoprotein_20', 38191),
(94466, 'PF07067', NULL, 'Protein of unknown function (DUF1340)', 236, NULL, 'DUF1340', 38192),
(94467, 'PF01391', NULL, 'Collagen triple helix repeat (20 copies)', 60, NULL, 'Collagen', 38193),
(94468, 'PF04560', NULL, 'RNA polymerase Rpb2, domain 7', 87, NULL, 'RNA_pol_Rpb2_7', 38194),
(94469, 'PF03563', NULL, 'Bunyavirus glycoprotein G2', 281, NULL, 'Bunya_G2', 38195),
(94470, 'PF08088', NULL, 'Conotoxin I-superfamily', 40, NULL, 'Toxin_19', 38196),
(94471, 'PF11342', NULL, 'Protein of unknown function (DUF3144)', 77, NULL, 'DUF3144', 38197),
(94472, 'PF05618', NULL, 'Putative ATP-dependant zinc protease', 138, NULL, 'Zn_protease', 38198);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(94473, 'PF00444', NULL, 'Ribosomal protein L36', 38, NULL, 'Ribosomal_L36', 38199),
(94474, 'PF18692', NULL, 'Family of unknown function (DUF5640)', 84, NULL, 'DUF5640', 38200),
(94475, 'PF10588', NULL, 'NADH-ubiquinone oxidoreductase-G iron-sulfur binding region', 40, NULL, 'NADH-G_4Fe-4S_3', 38201),
(94476, 'PF14256', NULL, 'YwiC-like protein', 126, NULL, 'YwiC', 38202),
(94477, 'PF19157', NULL, 'Family of unknown function (DUF5839)', 87, NULL, 'DUF5839', 38203),
(94478, 'PF17211', NULL, 'VHL box domain', 49, NULL, 'VHL_C', 38204),
(94479, 'PF11579', NULL, 'Protein of unknown function (DUF3238)', 193, NULL, 'DUF3238', 38205),
(94480, 'PF12933', NULL, 'FTO catalytic domain', 274, NULL, 'FTO_NTD', 38206),
(94481, 'PF17913', NULL, 'FHA domain', 97, NULL, 'FHA_2', 38207),
(94482, 'PF02267', NULL, 'ADP-ribosyl cyclase', 242, NULL, 'Rib_hydrolayse', 38208),
(94483, 'PF06732', NULL, 'Pescadillo N-terminus', 273, NULL, 'Pescadillo_N', 38209),
(94484, 'PF10692', NULL, 'Protein of unknown function (DUF2498)', 79, NULL, 'DUF2498', 38210),
(94485, 'PF06478', NULL, 'Coronavirus RNA-dependent RNA polymerase, N-terminal', 350, NULL, 'CoV_RPol_N', 38211),
(94486, 'PF15106', NULL, 'TMEM156 protein family', 226, NULL, 'TMEM156', 38212),
(94487, 'PF06784', NULL, 'Uncharacterised protein family (UPF0240)', 171, NULL, 'UPF0240', 38213),
(94488, 'PF08907', NULL, 'Domain of unknown function (DUF1853)', 281, NULL, 'DUF1853', 38214),
(94489, 'PF06398', NULL, 'Integral peroxisomal membrane peroxin', 366, NULL, 'Pex24p', 38215),
(94490, 'PF10538', NULL, 'Hantavirus ITAM motif', 38, NULL, 'ITAM_Cys-rich', 38216),
(94491, 'PF11677', NULL, 'Protein of unknown function (DUF3273)', 265, NULL, 'DUF3273', 38217),
(94492, 'PF03569', NULL, 'Peptidase family C8', 208, NULL, 'Peptidase_C8', 38218),
(94493, 'PF15772', NULL, 'UPF0688 family', 233, NULL, 'UPF0688', 38219),
(94494, 'PF12404', NULL, 'Peptidase', 77, NULL, 'DUF3663', 38220),
(94495, 'PF00380', NULL, 'Ribosomal protein S9/S16', 121, NULL, 'Ribosomal_S9', 38221),
(94496, 'PF15916', NULL, 'Domain of unknown function (DUF4743)', 121, NULL, 'DUF4743', 38222),
(94497, 'PF09899', NULL, 'Putative amidoligase enzyme (DUF2126)', 823, NULL, 'DUF2126', 38223),
(94498, 'PF03554', NULL, 'UL73 viral envelope glycoprotein', 75, NULL, 'Herpes_UL73', 38224),
(94499, 'PF11022', NULL, 'ATP synthase subunit K', 68, NULL, 'ATP19', 38225),
(94500, 'PF15206', NULL, 'FAM209 family', 149, NULL, 'FAM209', 38226),
(94501, 'PF14525', NULL, 'AraC-binding-like domain', 173, NULL, 'AraC_binding_2', 38227),
(94502, 'PF09594', NULL, 'Glycosyltransferase family 87', 238, NULL, 'GT87', 38228),
(94503, 'PF12281', NULL, 'Nucleotidyltransferase', 219, NULL, 'NTP_transf_8', 38229),
(94504, 'PF16064', NULL, 'Domain of unknown function (DUF4806)', 90, NULL, 'DUF4806', 38230),
(94505, 'PF19253', NULL, 'Family of unknown function (DUF5900)', 101, NULL, 'DUF5900', 38231),
(94506, 'PF02769', NULL, 'AIR synthase related protein, C-terminal domain', 156, NULL, 'AIRS_C', 38232),
(94507, 'PF16214', NULL, 'Adenylyl cyclase N-terminal extracellular and transmembrane region', 415, NULL, 'AC_N', 38233),
(94508, 'PF03848', NULL, 'Tellurite resistance protein TehB', 193, NULL, 'TehB', 38234),
(94509, 'PF04985', NULL, 'Phage tail tube protein FII', 165, NULL, 'Phage_tube', 38235),
(94510, 'PF05470', NULL, 'Eukaryotic translation initiation factor 3 subunit 8 N-terminus', 593, NULL, 'eIF-3c_N', 38236),
(94511, 'PF04749', NULL, 'PLAC8 family', 95, NULL, 'PLAC8', 38237),
(94512, 'PF02430', NULL, 'Apical membrane antigen 1', 477, NULL, 'AMA-1', 38238),
(94513, 'PF08023', NULL, 'Frog antimicrobial peptide', 33, NULL, 'Antimicrobial_2', 38239),
(94514, 'PF16990', NULL, 'Carbohydrate binding module (family 35)', 121, NULL, 'CBM_35', 38240),
(94515, 'PF17040', NULL, 'Cellulose-complementing protein A', 119, NULL, 'CBP_CCPA', 38241),
(94516, 'PF20112', NULL, 'Family of unknown function (DUF6502)', 268, NULL, 'DUF6502', 38242),
(94517, 'PF14404', NULL, 'Ribosomally synthesized peptide in Streptomyces species', 63, NULL, 'Strep_pep', 38243);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(94518, 'PF05555', NULL, 'Coxiella burnetii protein of unknown function (DUF762)', 245, NULL, 'DUF762', 38244),
(94519, 'PF11746', NULL, 'Protein of unknown function (DUF3303)', 90, NULL, 'DUF3303', 38245),
(94520, 'PF05384', NULL, 'Sensor protein DegS', 159, NULL, 'DegS', 38246),
(94521, 'PF08933', NULL, 'Domain of unknown function (DUF1864)', 387, NULL, 'DUF1864', 38247),
(94522, 'PF11604', NULL, 'Copper binding periplasmic protein CusF', 68, NULL, 'CusF_Ec', 38248),
(94523, 'PF19894', NULL, 'Family of unknown function (DUF6367)', 147, NULL, 'DUF6367', 38249),
(94524, 'PF00233', NULL, '3''5''-cyclic nucleotide phosphodiesterase', 232, NULL, 'PDEase_I', 38250),
(94525, 'PF17916', NULL, 'LIM interaction domain (LID)', 29, NULL, 'LID', 38251),
(94526, 'PF18459', NULL, 'Proprotein convertase subtilisin-like/kexin type 9 C-terminal domain', 83, NULL, 'PCSK9_C1', 38252),
(94527, 'PF17367', NULL, 'NiFe-hydrogenase-type-3 Eha complex subunit A', 94, NULL, 'NiFe_hyd_3_EhaA', 38253),
(94528, 'PF00328', NULL, 'Histidine phosphatase superfamily (branch 2)', 383, NULL, 'His_Phos_2', 38254),
(94529, 'PF09350', NULL, 'Domain of unknown function (DUF1992)', 70, NULL, 'DUF1992', 38255),
(94530, 'PF06975', NULL, 'Protein of unknown function (DUF1299)', 47, NULL, 'DUF1299', 38256),
(94531, 'PF03043', NULL, 'Herpesvirus UL87 family', 524, NULL, 'Herpes_UL87', 38257),
(94532, 'PF00288', NULL, 'GHMP kinases N terminal domain', 66, NULL, 'GHMP_kinases_N', 38258),
(94533, 'PF05036', NULL, 'SPOR domain', 76, NULL, 'SPOR', 38259),
(94534, 'PF11695', NULL, 'Domain of unknown function (DUF3291)', 139, NULL, 'DUF3291', 38260),
(94535, 'PF08995', NULL, 'Necrosis inducing protein-1', 82, NULL, 'NIP_1', 38261),
(94536, 'PF09164', NULL, 'Vitamin D binding protein, domain III', 65, NULL, 'VitD-bind_III', 38262),
(94537, 'PF12783', NULL, 'Guanine nucleotide exchange factor in Golgi transport N-terminal', 158, NULL, 'Sec7_N', 38263),
(94538, 'PF18016', NULL, 'SAM domain (Sterile alpha motif)', 65, NULL, 'SAM_3', 38264),
(94539, 'PF01333', NULL, 'Apocytochrome F, C-terminal', 118, NULL, 'Apocytochr_F_C', 38265),
(94540, 'PF19989', NULL, 'Family of unknown function (DUF6425)', 233, NULL, 'DUF6425', 38266),
(94541, 'PF04569', NULL, 'Protein of unknown function', 51, NULL, 'DUF591', 38267),
(94542, 'PF19175', NULL, 'Family of unknown function (DUF5857)', 287, NULL, 'DUF5857', 38268),
(94543, 'PF02525', NULL, 'Flavodoxin-like fold', 198, NULL, 'Flavodoxin_2', 38269),
(94544, 'PF02964', NULL, 'Methane monooxygenase, hydrolase gamma chain', 161, NULL, 'MeMO_Hyd_G', 38270),
(94545, 'PF10926', NULL, 'Protein of unknown function (DUF2800)', 365, NULL, 'DUF2800', 38271),
(94546, 'PF11345', NULL, 'Protein of unknown function (DUF3147)', 111, NULL, 'DUF3147', 38272),
(94547, 'PF02416', NULL, 'mttA/Hcf106 family', 53, NULL, 'TatA_B_E', 38273),
(94548, 'PF07585', NULL, 'Putative beta barrel porin-7 (BBP7)', 349, NULL, 'BBP7', 38274),
(94549, 'PF10197', NULL, 'N-terminal domain of CBF1 interacting co-repressor CIR', 37, NULL, 'Cir_N', 38275),
(94550, 'PF08931', NULL, 'Receptor-binding protein of phage tail base-plate Siphoviridae, head', 262, NULL, 'Caudo_bapla_RBP', 38276),
(94551, 'PF10117', NULL, 'McrBC 5-methylcytosine restriction system component', 317, NULL, 'McrBC', 38277),
(94552, 'PF08487', NULL, 'Vault protein inter-alpha-trypsin domain', 111, NULL, 'VIT', 38278),
(94553, 'PF06798', NULL, 'PrkA serine protein kinase C-terminal domain', 257, NULL, 'PrkA', 38279),
(94554, 'PF19774', NULL, 'Family of unknown function (DUF6260)', 303, NULL, 'DUF6260', 38280),
(94555, 'PF01306', NULL, 'LacY proton/sugar symporter', 413, NULL, 'LacY_symp', 38281),
(94556, 'PF15758', NULL, 'Histidine-rich carboxyl terminus protein 1', 78, NULL, 'HRCT1', 38282),
(94557, 'PF13341', NULL, 'RAG2 PHD domain', 78, NULL, 'RAG2_PHD', 38283),
(94558, 'PF10170', NULL, 'Cysteine-rich domain', 95, NULL, 'C6_DPF', 38284),
(94559, 'PF10336', NULL, 'Protein of unknown function (DUF2420)', 108, NULL, 'DUF2420', 38285),
(94560, 'PF03224', NULL, 'V-ATPase subunit H', 315, NULL, 'V-ATPase_H_N', 38286);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(94561, 'PF17515', NULL, 'Cypovirus polyhedrin', 241, NULL, 'CPV_Polyhedrin', 38287),
(94562, 'PF17634', NULL, 'Gene product 67', 80, NULL, 'GP67', 38288),
(94563, 'PF09328', NULL, 'Domain of unknown function (DUF1984)', 252, NULL, 'Phytochelatin_C', 38289),
(94564, 'PF06396', NULL, 'Angiotensin II, type I receptor-associated protein (AGTRAP)', 148, NULL, 'AGTRAP', 38290),
(94565, 'PF13465', NULL, 'Zinc-finger double domain', 26, NULL, 'zf-H2C2_2', 38291),
(94566, 'PF17442', NULL, 'Functional domain of U62 and UL91 proteins', 65, NULL, 'U62_UL91', 38292),
(94567, 'PF07103', NULL, 'Protein of unknown function (DUF1365)', 235, NULL, 'DUF1365', 38293),
(94568, 'PF08560', NULL, 'Protein of unknown function (DUF1757)', 148, NULL, 'DUF1757', 38294),
(94569, 'PF05407', NULL, 'Rubella virus endopeptidase', 164, NULL, 'Peptidase_C27', 38295),
(94570, 'PF15489', NULL, 'CST, telomere maintenance, complex subunit CTC1', 1139, NULL, 'CTC1', 38296),
(94571, 'PF08631', NULL, 'Meiosis protein SPO22/ZIP4 like', 275, NULL, 'SPO22', 38297),
(94572, 'PF09342', NULL, 'Domain of unknown function (DUF1986)', 116, NULL, 'DUF1986', 38298),
(94573, 'PF01165', NULL, 'Ribosomal protein S21', 55, NULL, 'Ribosomal_S21', 38299),
(94574, 'PF18942', NULL, 'Family of unknown function (DUF5689)', 220, NULL, 'DUF5689', 38300),
(94575, 'PF06229', NULL, 'FRG1-like domain', 191, NULL, 'FRG1', 38301),
(94576, 'PF06696', NULL, 'Streptococcal surface antigen repeat', 25, NULL, 'Strep_SA_rep', 38302),
(94577, 'PF13271', NULL, 'Domain of unknown function (DUF4062)', 83, NULL, 'DUF4062', 38303),
(94578, 'PF09702', NULL, 'CRISPR-associated protein (Cas_Csa5)', 102, NULL, 'Cas_Csa5', 38304),
(94579, 'PF13590', NULL, 'Domain of unknown function (DUF4136)', 131, NULL, 'DUF4136', 38305),
(94580, 'PF16476', NULL, 'Domain of unknown function (DUF5053)', 59, NULL, 'DUF5053', 38306),
(94581, 'PF00419', NULL, 'Fimbrial protein', 155, NULL, 'Fimbrial', 38307),
(94582, 'PF17299', NULL, 'Family of unknown function (DUF5350)', 57, NULL, 'DUF5350', 38308),
(94583, 'PF00316', NULL, 'Fructose-1-6-bisphosphatase, N-terminal domain', 191, NULL, 'FBPase', 38309),
(94584, 'PF01922', NULL, 'SRP19 protein', 95, NULL, 'SRP19', 38310),
(94585, 'PF07581', NULL, 'The GLUG motif', 28, NULL, 'Glug', 38311),
(94586, 'PF18396', NULL, 'TANK binding kinase 1 ubiquitin-like domain', 88, NULL, 'TBK1_ULD', 38312),
(94587, 'PF19216', NULL, 'Coronavirus replicase NSP15, middle domain', 119, NULL, 'CoV_NSP15_M', 38313),
(94588, 'PF01912', NULL, 'eIF-6 family', 197, NULL, 'eIF-6', 38314),
(94589, 'PF14838', NULL, 'Integrator complex subunit 5 C-terminus', 699, NULL, 'INTS5_C', 38315),
(94590, 'PF15695', NULL, 'Rec (regulator of expression encoded by corf) of HERV-K-113', 87, NULL, 'HERV-K_REC', 38316),
(94591, 'PF15432', NULL, 'Accessory Sec secretory system ASP3', 126, NULL, 'Sec-ASP3', 38317),
(94592, 'PF16084', NULL, 'LydA-holin antagonist', 147, NULL, 'LydB', 38318),
(94593, 'PF08453', NULL, 'Peptidase family M9 N-terminal', 183, NULL, 'Peptidase_M9_N', 38319),
(94594, 'PF00574', NULL, 'Clp protease', 182, NULL, 'CLP_protease', 38320),
(94595, 'PF16711', NULL, 'Actin-binding domain of plant-specific actin-binding protein', 43, NULL, 'SCAB-ABD', 38321),
(94596, 'PF10677', NULL, 'Protein of unknown function (DUF2490)', 187, NULL, 'DUF2490', 38322),
(94597, 'PF15164', NULL, 'Williams-Beuren syndrome chromosomal region 28 protein homologue', 267, NULL, 'WBS28', 38323),
(94598, 'PF19359', NULL, 'Family of unknown function (DUF5936)', 141, NULL, 'DUF5936', 38324),
(94599, 'PF09365', NULL, 'Conserved hypothetical protein (DUF2461)', 208, NULL, 'DUF2461', 38325),
(94600, 'PF14943', NULL, 'Mitochondrial ribosome subunit S26', 168, NULL, 'MRP-S26', 38326),
(94601, 'PF15952', NULL, 'Enhancer of split M4 family', 176, NULL, 'ESM4', 38327),
(94602, 'PF04904', NULL, 'NAB conserved region 1 (NCD1)', 79, NULL, 'NCD1', 38328),
(94603, 'PF15404', NULL, 'Pleckstrin homology domain', 184, NULL, 'PH_4', 38329),
(94604, 'PF05731', NULL, 'TROVE domain', 445, NULL, 'TROVE', 38330),
(94605, 'PF15029', NULL, 'Transmembrane protein 174', 235, NULL, 'TMEM174', 38331);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(94606, 'PF13575', NULL, 'Domain of unknown function (DUF4135)', 377, NULL, 'DUF4135', 38332),
(94607, 'PF18350', NULL, 'Restriction endonuclease SH3 domain', 53, NULL, 'SH3_17', 38333),
(94608, 'PF16262', NULL, 'Domain of unknown function (DUF4916)', 170, NULL, 'DUF4916', 38334),
(94609, 'PF04422', NULL, 'Coenzyme F420 hydrogenase/dehydrogenase, beta subunit N-term', 78, NULL, 'FrhB_FdhB_N', 38335),
(94610, 'PF05968', NULL, 'Bacillus PapR protein', 48, NULL, 'Bacillus_PapR', 38336),
(94611, 'PF11371', NULL, 'Protein of unknown function (DUF3172)', 139, NULL, 'DUF3172', 38337),
(94612, 'PF19658', NULL, 'Family of unknown function (DUF6161)', 216, NULL, 'DUF6161', 38338),
(94613, 'PF10190', NULL, 'Putative transmembrane protein 170', 106, NULL, 'Tmemb_170', 38339),
(94614, 'PF10453', NULL, 'Nuclear fragile X mental retardation-interacting protein 1 (NUFIP1)', 53, NULL, 'NUFIP1', 38340),
(94615, 'PF02474', NULL, 'Nodulation protein A (NodA)', 195, NULL, 'NodA', 38341),
(94616, 'PF02709', NULL, 'N-terminal domain of galactosyltransferase', 78, NULL, 'Glyco_transf_7C', 38342),
(94617, 'PF06031', NULL, 'SERTA motif', 36, NULL, 'SERTA', 38343),
(94618, 'PF19671', NULL, 'Family of unknown function (DUF6174)', 121, NULL, 'DUF6174', 38344),
(94619, 'PF19917', NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX1', 83, NULL, 'bpX1', 38345),
(94620, 'PF10925', NULL, 'Protein of unknown function (DUF2680)', 57, NULL, 'DUF2680', 38346),
(94621, 'PF13091', NULL, 'PLD-like domain', 133, NULL, 'PLDc_2', 38347),
(94622, 'PF04888', NULL, 'Secretion system effector C (SseC) like family', 315, NULL, 'SseC', 38348),
(94623, 'PF08752', NULL, 'Coatomer gamma subunit appendage platform subdomain', 152, NULL, 'COP-gamma_platf', 38349),
(94624, 'PF16807', NULL, 'Domain of unknown function (DUF5072)', 118, NULL, 'DUF5072', 38350),
(94625, 'PF06149', NULL, 'Protein of unknown function (DUF969)', 216, NULL, 'DUF969', 38351),
(94626, 'PF07347', NULL, 'NADH:ubiquinone oxidoreductase subunit B14.5a (Complex I-B14.5a)', 95, NULL, 'CI-B14_5a', 38352),
(94627, 'PF20096', NULL, 'Family of unknown function (DUF6486)', 31, NULL, 'DUF6486', 38353),
(94628, 'PF03957', NULL, 'Jun-like transcription factor', 232, NULL, 'Jun', 38354),
(94629, 'PF19495', NULL, 'Family of unknown function (DUF6030)', 252, NULL, 'DUF6030', 38355),
(94630, 'PF00285', NULL, 'Citrate synthase, C-terminal domain', 360, NULL, 'Citrate_synt', 38356),
(94631, 'PF06415', NULL, 'BPG-independent PGAM N-terminus (iPGM_N)', 215, NULL, 'iPGM_N', 38357),
(94632, 'PF19923', NULL, 'Family of unknown function (DUF6386)', 145, NULL, 'DUF6386', 38358),
(94633, 'PF17989', NULL, 'Actin like proteins N terminal domain', 147, NULL, 'ALP_N', 38359),
(94634, 'PF00402', NULL, 'Calponin family repeat', 25, NULL, 'Calponin', 38360),
(94635, 'PF13870', NULL, 'Domain of unknown function (DUF4201)', 177, NULL, 'DUF4201', 38361),
(94636, 'PF08192', NULL, 'Peptidase family S64', 697, NULL, 'Peptidase_S64', 38362),
(94637, 'PF12636', NULL, 'Protein of unknown function (DUF3781)', 72, NULL, 'DUF3781', 38363),
(94638, 'PF04418', NULL, 'Domain of unknown function (DUF543)', 75, NULL, 'DUF543', 38364),
(94639, 'PF00157', NULL, 'Pou domain - N-terminal to homeobox domain', 72, NULL, 'Pou', 38365),
(94640, 'PF14081', NULL, 'Domain of unknown function (DUF4262)', 127, NULL, 'DUF4262', 38366),
(94641, 'PF19306', NULL, 'Helicase Lhr winged helix domain', 147, NULL, 'Lhr_WH', 38367),
(94642, 'PF09593', NULL, 'Beta-satellite pathogenicity beta C1 protein', 117, NULL, 'Pathogen_betaC1', 38368),
(94643, 'PF02289', NULL, 'Cyclohydrolase (MCH)', 311, NULL, 'MCH', 38369),
(94644, 'PF17449', NULL, 'Uncharacterized YrzK-like', 54, NULL, 'YrzK', 38370),
(94645, 'PF11243', NULL, 'Protein of unknown function (DUF3045)', 88, NULL, 'DUF3045', 38371),
(94646, 'PF16750', NULL, 'Sensor domain of 2-component histidine kinase', 110, NULL, 'HK_sensor', 38372),
(94647, 'PF09829', NULL, 'Uncharacterized protein conserved in bacteria (DUF2057)', 192, NULL, 'DUF2057', 38373),
(94648, 'PF06461', NULL, 'Domain of Unknown Function (DUF1086)', 138, NULL, 'DUF1086', 38374);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(94649, 'PF17702', NULL, 'Family of unknown function (DUF5548)', 177, NULL, 'DUF5548', 38375),
(94650, 'PF05546', NULL, 'She9 / Mdm33 family', 198, NULL, 'She9_MDM33', 38376),
(94651, 'PF18659', NULL, 'Cell-traversal protein for ookinetes and sporozoites', 122, NULL, 'CelTOS', 38377),
(94652, 'PF16668', NULL, 'Adhesin from Campylobacter', 352, NULL, 'JLPA', 38378),
(94653, 'PF15021', NULL, 'Protein of unknown function (DUF4521)', 204, NULL, 'DUF4521', 38379),
(94654, 'PF00010', NULL, 'Helix-loop-helix DNA-binding domain', 54, NULL, 'HLH', 38380),
(94655, 'PF02533', NULL, 'Photosystem II 4 kDa reaction centre component', 41, NULL, 'PsbK', 38381),
(94656, 'PF12981', NULL, 'Domain of Unknown Function with PDB structure (DUF3865)', 224, NULL, 'DUF3865', 38382),
(94657, 'PF13496', NULL, 'Domain of unknown function (DUF4120)', 95, NULL, 'DUF4120', 38383),
(94658, 'PF05954', NULL, 'Phage tail baseplate hub (GPD)', 305, NULL, 'Phage_GPD', 38384),
(94659, 'PF09166', NULL, 'Biliverdin reductase, catalytic', 113, NULL, 'Biliv-reduc_cat', 38385),
(94660, 'PF03066', NULL, 'Nucleoplasmin/nucleophosmin domain', 102, NULL, 'Nucleoplasmin', 38386),
(94661, 'PF14049', NULL, 'Dppa2/4 conserved region in higher vertebrates', 85, NULL, 'Dppa2_A', 38387),
(94662, 'PF03838', NULL, 'Recombination protein U', 162, NULL, 'RecU', 38388),
(94663, 'PF04192', NULL, 'Utp21 specific WD40 associated putative domain', 213, NULL, 'Utp21', 38389),
(94664, 'PF05087', NULL, 'Rotavirus VP2 protein', 884, NULL, 'Rota_VP2', 38390),
(94665, 'PF03550', NULL, 'Outer membrane lipoprotein LolB', 152, NULL, 'LolB', 38391),
(94666, 'PF08003', NULL, 'Protein of unknown function (DUF1698)', 315, NULL, 'Methyltransf_9', 38392),
(94667, 'PF18356', NULL, 'Domain of unknown function (DUF5608)', 56, NULL, 'DUF5608', 38393),
(94668, 'PF18871', NULL, 'HEPN/Toprim N-terminal domain 1', 223, NULL, 'HEPN_Toprim_N', 38394),
(94669, 'PF09797', NULL, 'N-acetyltransferase B complex (NatB) non catalytic subunit', 382, NULL, 'NatB_MDM20', 38395),
(94670, 'PF00969', NULL, 'Class II histocompatibility antigen, beta domain', 75, NULL, 'MHC_II_beta', 38396),
(94671, 'PF14305', NULL, 'TupA-like ATPgrasp', 241, NULL, 'ATPgrasp_TupA', 38397),
(94672, 'PF14610', NULL, 'Ykl077w/Psg1 (Pma1 Stabilization in Golgi)', 194, NULL, 'Psg1', 38398),
(94673, 'PF16043', NULL, 'Domain of unknown function (DUF4795)', 203, NULL, 'DUF4795', 38399),
(94674, 'PF06965', NULL, 'Na+/H+ antiporter 1', 374, NULL, 'Na_H_antiport_1', 38400),
(94675, 'PF09108', NULL, 'Switch protein XOL-1, N-terminal', 160, NULL, 'Xol-1_N', 38401),
(94676, 'PF18043', NULL, 'T4 RNA ligase 2 C-terminal', 82, NULL, 'T4_Rnl2_C', 38402),
(94677, 'PF15338', NULL, 'p53-regulated apoptosis-inducing protein 1', 123, NULL, 'TPIP1', 38403),
(94678, 'PF08167', NULL, 'rRNA processing/ribosome biogenesis', 193, NULL, 'RIX1', 38404),
(94679, 'PF09858', NULL, 'Predicted membrane protein (DUF2085)', 93, NULL, 'DUF2085', 38405),
(94680, 'PF04906', NULL, 'Tweety', 431, NULL, 'Tweety', 38406),
(94681, 'PF02499', NULL, 'Probable DNA packing protein, C-terminus', 349, NULL, 'DNA_pack_C', 38407),
(94682, 'PF11427', NULL, 'Tc3 transposase', 50, NULL, 'HTH_Tnp_Tc3_1', 38408),
(94683, 'PF18556', NULL, 'Bacterial Tetracyclin repressor,  C-terminal domain', 105, NULL, 'TetR_C_35', 38409),
(94684, 'PF03219', NULL, 'TLC ATP/ADP transporter', 491, NULL, 'TLC', 38410),
(94685, 'PF09147', NULL, 'Domain of unknown function (DUF1933)', 199, NULL, 'DUF1933', 38411),
(94686, 'PF16054', NULL, 'Transmembrane protein family 72', 153, NULL, 'TMEM72', 38412),
(94687, 'PF08050', NULL, 'Tetracycline resistance leader peptide', 20, NULL, 'Tet_res_leader', 38413),
(94688, 'PF16751', NULL, 'Anti-sigma-D factor RsdA to sigma factor binding region', 46, NULL, 'RsdA_SigD_bd', 38414),
(94689, 'PF11240', NULL, 'Protein of unknown function (DUF3042)', 54, NULL, 'DUF3042', 38415),
(94690, 'PF18326', NULL, 'RFX5 N-terminal domain', 59, NULL, 'RFX5_N', 38416),
(94691, 'PF03852', NULL, 'DNA mismatch endonuclease Vsr', 74, NULL, 'Vsr', 38417),
(94692, 'PF05556', NULL, 'Calcineurin-binding protein (Calsarcin)', 255, NULL, 'Calsarcin', 38418);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(94693, 'PF07298', NULL, 'NnrU protein', 210, NULL, 'NnrU', 38419),
(94694, 'PF10470', NULL, 'PKA-RI-RII subunit binding domain of A-kinase anchor protein', 58, NULL, 'AKAP7_RIRII_bdg', 38420),
(94695, 'PF13867', NULL, 'Sin3 binding region of histone deacetylase complex subunit SAP30', 54, NULL, 'SAP30_Sin3_bdg', 38421),
(94696, 'PF19594', NULL, 'Family of unknown function (DUF6099)', 142, NULL, 'DUF6099', 38422),
(94697, 'PF06380', NULL, 'Protein of unknown function (DUF1072)', 39, NULL, 'DUF1072', 38423),
(94698, 'PF03739', NULL, 'Lipopolysaccharide export system permease LptF/LptG', 354, NULL, 'LptF_LptG', 38424),
(94699, 'PF07812', NULL, 'TfuA-like protein', 120, NULL, 'TfuA', 38425),
(94700, 'PF13738', NULL, 'Pyridine nucleotide-disulphide oxidoreductase', 305, NULL, 'Pyr_redox_3', 38426),
(94701, 'PF01896', NULL, 'DNA primase small subunit', 182, NULL, 'DNA_primase_S', 38427),
(94702, 'PF03995', NULL, 'Peptidase inhibitor family I36', 69, NULL, 'Inhibitor_I36', 38428),
(94703, 'PF05957', NULL, 'DUF883 N-terminal domain', 53, NULL, 'DUF883', 38429),
(94704, 'PF16837', NULL, 'Pre-mRNA-splicing factor SF3A3, of SF3a complex, Prp9', 46, NULL, 'SF3A3', 38430),
(94705, 'PF06375', NULL, 'AP-3 complex subunit delta-1', 156, NULL, 'AP3D1', 38431),
(94706, 'PF02350', NULL, 'UDP-N-acetylglucosamine 2-epimerase', 346, NULL, 'Epimerase_2', 38432),
(94707, 'PF01157', NULL, 'Ribosomal protein L21e', 101, NULL, 'Ribosomal_L21e', 38433),
(94708, 'PF13518', NULL, 'Helix-turn-helix domain', 52, NULL, 'HTH_28', 38434),
(94709, 'PF04116', NULL, 'Fatty acid hydroxylase superfamily', 133, NULL, 'FA_hydroxylase', 38435),
(94710, 'PF07108', NULL, 'PipA protein', 200, NULL, 'PipA', 38436),
(94711, 'PF04417', NULL, 'Protein of unknown function (DUF501)', 140, NULL, 'DUF501', 38437),
(94712, 'PF07697', NULL, '7TM-HD extracellular', 220, NULL, '7TMR-HDED', 38438),
(94713, 'PF12546', NULL, 'Blue/Ultraviolet sensing protein C terminal', 121, NULL, 'Cryptochrome_C', 38439),
(94714, 'PF11381', NULL, 'Protein of unknown function (DUF3185)', 59, NULL, 'DUF3185', 38440),
(94715, 'PF06334', NULL, 'Orthopoxvirus A47 protein', 244, NULL, 'Orthopox_A47', 38441),
(94716, 'PF09554', NULL, 'HaeII restriction endonuclease', 338, NULL, 'RE_HaeII', 38442),
(94717, 'PF14758', NULL, 'Non-essential region of nsp2 of arterivirus polyprotein', 203, NULL, 'NSP2_assoc', 38443),
(94718, 'PF06082', NULL, 'Exopolysaccharide biosynthesis protein YbjH', 660, NULL, 'YjbH', 38444),
(94719, 'PF09140', NULL, 'ATPase MipZ', 262, NULL, 'MipZ', 38445),
(94720, 'PF12437', NULL, 'Glutamine synthetase type III N terminal', 164, NULL, 'GSIII_N', 38446),
(94721, 'PF01767', NULL, 'Birnavirus VP3 protein', 227, NULL, 'Birna_VP3', 38447),
(94722, 'PF10723', NULL, 'Replication regulatory protein RepB', 81, NULL, 'RepB-RCR_reg', 38448),
(94723, 'PF19000', NULL, 'Family of unknown function (DUF5729)', 141, NULL, 'DUF5729', 38449),
(94724, 'PF19286', NULL, 'Domain of unknown function (DUF5909)', 82, NULL, 'DUF5909', 38450),
(94725, 'PF01642', NULL, 'Methylmalonyl-CoA mutase', 514, NULL, 'MM_CoA_mutase', 38451),
(94726, 'PF17024', NULL, 'Putative DMAP1-like', 113, NULL, 'DMAP1_like', 38452),
(94727, 'PF03928', NULL, 'Haem-degrading', 120, NULL, 'Haem_degrading', 38453),
(94728, 'PF10954', NULL, 'Protein of unknown function (DUF2755)', 100, NULL, 'DUF2755', 38454),
(94729, 'PF04507', NULL, 'Csa1 family', 225, NULL, 'DUF576', 38455),
(94730, 'PF10866', NULL, 'Protein of unknown function (DUF2704)', 167, NULL, 'DUF2704', 38456),
(94731, 'PF19981', NULL, 'Family of unknown function (DUF6417)', 139, NULL, 'DUF6417', 38457),
(94732, 'PF19519', NULL, 'Family of unknown function (DUF6051)', 406, NULL, 'DUF6051', 38458),
(94733, 'PF05456', NULL, 'Eukaryotic translation initiation factor 4E binding protein (EIF4EBP)', 117, NULL, 'eIF_4EBP', 38459),
(94734, 'PF10316', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srbc', 275, NULL, '7TM_GPCR_Srbc', 38460),
(94735, 'PF12181', NULL, 'DNA binding domain of the motility gene repressor (MogR)', 148, NULL, 'MogR_DNAbind', 38461);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(94736, 'PF12032', NULL, 'Regulatory CLIP domain of proteinases', 55, NULL, 'CLIP', 38462),
(94737, 'PF12027', NULL, 'Protein of unknown function (DUF3514)', 256, NULL, 'DUF3514', 38463),
(94738, 'PF02885', NULL, 'Glycosyl transferase family, helical bundle domain', 63, NULL, 'Glycos_trans_3N', 38464),
(94739, 'PF10720', NULL, 'Protein of unknown function (DUF2515)', 310, NULL, 'DUF2515', 38465),
(94740, 'PF15295', NULL, 'Coiled-coil domain-containing protein 50  N-terminus', 126, NULL, 'CCDC50_N', 38466),
(94741, 'PF09733', NULL, 'VEFS-Box of polycomb protein', 137, NULL, 'VEFS-Box', 38467),
(94742, 'PF19940', NULL, 'Family of unknown function (DUF6402)', 281, NULL, 'DUF6402', 38468),
(94743, 'PF07963', NULL, 'Prokaryotic N-terminal methylation motif', 27, NULL, 'N_methyl', 38469),
(94744, 'PF17399', NULL, 'Domain of unknown function (DUF5405)', 94, NULL, 'DUF5405', 38470),
(94745, 'PF19831', NULL, 'Family of unknown function (DUF6312)', 92, NULL, 'DUF6312', 38471),
(94746, 'PF08430', NULL, 'Forkhead N-terminal region', 136, NULL, 'Forkhead_N', 38472),
(94747, 'PF17243', NULL, 'POTRA domain TamA domain 1', 77, NULL, 'POTRA_TamA_1', 38473),
(94748, 'PF16637', NULL, 'Putative zinc-finger between two C2H2 zinc-fingers on Patz', 72, NULL, 'zf-C2H2_assoc3', 38474),
(94749, 'PF14908', NULL, 'CCDC81 eukaryotic HU domain 1', 94, NULL, 'HU-CCDC81_euk_1', 38475),
(94750, 'PF10931', NULL, 'Protein of unknown function (DUF2735)', 52, NULL, 'DUF2735', 38476),
(94751, 'PF14902', NULL, 'Domain of unknown function (DUF4494)', 139, NULL, 'DUF4494', 38477),
(94752, 'PF07995', NULL, 'Glucose / Sorbosone dehydrogenase', 332, NULL, 'GSDH', 38478),
(94753, 'PF08286', NULL, 'Spc24 subunit of Ndc80', 107, NULL, 'Spc24', 38479),
(94754, 'PF09802', NULL, 'Preprotein translocase subunit Sec66', 180, NULL, 'Sec66', 38480),
(94755, 'PF15995', NULL, 'Domain of unknown function (DUF4771)', 159, NULL, 'DUF4771', 38481),
(94756, 'PF15738', NULL, 'Bacterial toxin of type II toxin-antitoxin system, YafQ', 88, NULL, 'YafQ_toxin', 38482),
(94757, 'PF01340', NULL, 'Met Apo-repressor, MetJ', 97, NULL, 'MetJ', 38483),
(94758, 'PF09110', NULL, 'HAND', 112, NULL, 'HAND', 38484),
(94759, 'PF02367', NULL, 'Threonylcarbamoyl adenosine biosynthesis protein TsaE', 128, NULL, 'TsaE', 38485),
(94760, 'PF07357', NULL, 'Dinitrogenase reductase ADP-ribosyltransferase (DRAT)', 257, NULL, 'DRAT', 38486),
(94761, 'PF06789', NULL, 'MINAR1 C-terminal domain', 159, NULL, 'MINAR1_C', 38487),
(94762, 'PF05862', NULL, 'Helicobacter pylori IceA2 protein', 59, NULL, 'IceA2', 38488),
(94763, 'PF02027', NULL, 'RolB/RolC glucosidase family', 184, NULL, 'RolB_RolC', 38489),
(94764, 'PF12736', NULL, 'Cell-cycle sustaining, positive selection,', 282, NULL, 'CABIT', 38490),
(94765, 'PF15623', NULL, 'Cancer/testis gene family 47', 282, NULL, 'CT47', 38491),
(94766, 'PF05628', NULL, 'Borrelia membrane protein P13', 138, NULL, 'Borrelia_P13', 38492),
(94767, 'PF04914', NULL, 'DltD protein', 349, NULL, 'DltD', 38493),
(94768, 'PF15733', NULL, 'Domain of unknown function (DUF4682)', 126, NULL, 'DUF4682', 38494),
(94769, 'PF01829', NULL, 'Peptidase A6 family', 358, NULL, 'Peptidase_A6', 38495),
(94770, 'PF01950', NULL, 'Fructose-1,6-bisphosphatase', 361, NULL, 'FBPase_3', 38496),
(94771, 'PF12844', NULL, 'Helix-turn-helix domain', 65, NULL, 'HTH_19', 38497),
(94772, 'PF11259', NULL, 'Protein of unknown function (DUF3060)', 58, NULL, 'DUF3060', 38498),
(94773, 'PF08650', NULL, 'DASH complex subunit Dad4', 71, NULL, 'DASH_Dad4', 38499),
(94774, 'PF15793', NULL, 'Protein family FAM35, C-terminal', 176, NULL, 'FAM35_C', 38500),
(94775, 'PF07646', NULL, 'Kelch motif', 49, NULL, 'Kelch_2', 38501),
(94776, 'PF01541', NULL, 'GIY-YIG catalytic domain', 78, NULL, 'GIY-YIG', 38502),
(94777, 'PF15940', NULL, 'Family of unknown function', 90, NULL, 'YjcB', 38503),
(94778, 'PF09232', NULL, 'Caenorhabditis elegans Her-1', 132, NULL, 'Caenor_Her-1', 38504),
(94779, 'PF12742', NULL, 'Gryzun, putative Golgi trafficking', 56, NULL, 'Gryzun-like', 38505),
(94780, 'PF01906', NULL, 'Putative heavy-metal-binding', 104, NULL, 'YbjQ_1', 38506); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(94781, 'PF11943', NULL, 'Protein of unknown function (DUF3460)', 58, NULL, 'DUF3460', 38507),
(94782, 'PF08369', NULL, 'Proto-chlorophyllide reductase 57 kD subunit', 45, NULL, 'PCP_red', 38508),
(94783, 'PF15675', NULL, 'CLLAC-motif containing domain', 30, NULL, 'CLLAC', 38509),
(94784, 'PF17119', NULL, 'Mitochondrial protein up-regulated during meiosis', 255, NULL, 'MMU163', 38510),
(94785, 'PF08888', NULL, 'HopJ type III effector protein', 109, NULL, 'HopJ', 38511),
(94786, 'PF15536', NULL, 'Bacterial toxin 3', 133, NULL, 'Ntox3', 38512),
(94787, 'PF09553', NULL, 'Eco47II restriction endonuclease', 202, NULL, 'RE_Eco47II', 38513),
(94788, 'PF00187', NULL, 'Chitin recognition protein', 38, NULL, 'Chitin_bind_1', 38514),
(94789, 'PF17428', NULL, 'Family of unknown function (DUF5412)', 118, NULL, 'DUF5412', 38515),
(94790, 'PF06747', NULL, 'CHCH domain', 35, NULL, 'CHCH', 38516),
(94791, 'PF04966', NULL, 'Carbohydrate-selective porin, OprB family', 378, NULL, 'OprB', 38517),
(94792, 'PF10621', NULL, 'F420H2 dehydrogenase subunit FpoO', 110, NULL, 'FpoO', 38518),
(94793, 'PF06506', NULL, 'Propionate catabolism activator', 167, NULL, 'PrpR_N', 38519),
(94794, 'PF10627', NULL, 'Curli assembly protein CsgE', 105, NULL, 'CsgE', 38520),
(94795, 'PF04667', NULL, 'cAMP-regulated phosphoprotein/endosulfine conserved region', 80, NULL, 'Endosulfine', 38521),
(94796, 'PF05071', NULL, 'NADH ubiquinone oxidoreductase subunit NDUFA12', 101, NULL, 'NDUFA12', 38522),
(94797, 'PF08395', NULL, '7tm Chemosensory receptor', 371, NULL, '7tm_7', 38523),
(94798, 'PF19990', NULL, 'Family of unknown function (DUF6426)', 210, NULL, 'DUF6426', 38524),
(94799, 'PF00555', NULL, 'delta endotoxin', 205, NULL, 'Endotoxin_M', 38525),
(94800, 'PF09340', NULL, 'Histone acetyltransferase subunit NuA4', 79, NULL, 'NuA4', 38526),
(94801, 'PF05920', NULL, 'Homeobox KN domain', 40, NULL, 'Homeobox_KN', 38527),
(94802, 'PF04219', NULL, 'Protein of unknown function, DUF', 90, NULL, 'DUF413', 38528),
(94803, 'PF08679', NULL, 'Dissimilatory sulfite reductase D (DsrD)', 65, NULL, 'DsrD', 38529),
(94804, 'PF20066', NULL, 'Glyoxalase superfamily protein', 143, NULL, 'Glyoxalase_8', 38530),
(94805, 'PF11210', NULL, 'Protein of unknown function (DUF2996)', 121, NULL, 'DUF2996', 38531),
(94806, 'PF03328', NULL, 'HpcH/HpaI aldolase/citrate lyase family', 221, NULL, 'HpcH_HpaI', 38532),
(94807, 'PF05461', NULL, 'Apolipoprotein L', 298, NULL, 'ApoL', 38533),
(94808, 'PF11805', NULL, 'Protein of unknown function (DUF3326)', 337, NULL, 'DUF3326', 38534),
(94809, 'PF15933', NULL, 'Antitoxin to bacterial toxin RNase LS or RnlA', 94, NULL, 'RnlB_antitoxin', 38535),
(94810, 'PF09345', NULL, 'SiaC family regulatory phosphoprotein', 121, NULL, 'SiaC', 38536),
(94811, 'PF17035', NULL, 'Bromodomain extra-terminal - transcription regulation', 64, NULL, 'BET', 38537),
(94812, 'PF11079', NULL, 'Bacterial protein YqhG of unknown function', 258, NULL, 'YqhG', 38538),
(94813, 'PF05173', NULL, 'Dihydrodipicolinate reductase, C-terminus', 121, NULL, 'DapB_C', 38539),
(94814, 'PF17921', NULL, 'Integrase zinc binding domain', 58, NULL, 'Integrase_H2C2', 38540),
(94815, 'PF12208', NULL, 'Domain of unknown function (DUF3601)', 79, NULL, 'DUF3601', 38541),
(94816, 'PF10904', NULL, 'Protein of unknown function (DUF2694)', 97, NULL, 'DUF2694', 38542),
(94817, 'PF15739', NULL, 'Translin-associated factor X-interacting N-terminus', 111, NULL, 'TSNAXIP1_N', 38543),
(94818, 'PF06950', NULL, 'Protein of unknown function (DUF1293)', 115, NULL, 'DUF1293', 38544),
(94819, 'PF07227', NULL, 'PHD - plant homeodomain finger protein', 130, NULL, 'PHD_Oberon', 38545),
(94820, 'PF09196', NULL, 'Domain of unknown function (DUF1953)', 63, NULL, 'DUF1953', 38546),
(94821, 'PF12812', NULL, 'PDZ-like domain', 78, NULL, 'PDZ_1', 38547),
(94822, 'PF09916', NULL, 'Uncharacterized protein conserved in bacteria (DUF2145)', 200, NULL, 'DUF2145', 38548),
(94823, 'PF00272', NULL, 'Cecropin family', 30, NULL, 'Cecropin', 38549),
(94824, 'PF16294', NULL, 'RNSP1-SAP18 binding (RSB) motif', 102, NULL, 'RSB_motif', 38550); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(94825, 'PF13602', NULL, 'Zinc-binding dehydrogenase', 133, NULL, 'ADH_zinc_N_2', 38551),
(94826, 'PF16131', NULL, 'Torus domain', 109, NULL, 'Torus', 38552),
(94827, 'PF19677', NULL, 'Family of unknown function (DUF6179)', 272, NULL, 'DUF6179', 38553),
(94828, 'PF09246', NULL, 'PHAT', 110, NULL, 'PHAT', 38554),
(94829, 'PF07533', NULL, 'BRK domain', 44, NULL, 'BRK', 38555),
(94830, 'PF04177', NULL, 'TAP42-like family', 349, NULL, 'TAP42', 38556),
(94831, 'PF16360', NULL, 'GTP-binding GTPase Middle Region', 79, NULL, 'GTP-bdg_M', 38557),
(94832, 'PF09401', NULL, 'Coronavirus RNA synthesis protein NSP10', 122, NULL, 'CoV_NSP10', 38558),
(94833, 'PF17341', NULL, 'Family of unknown function (DUF5371)', 65, NULL, 'DUF5371', 38559),
(94834, 'PF06746', NULL, 'Protein of unknown function (DUF1216)', 134, NULL, 'DUF1216', 38560),
(94835, 'PF14416', NULL, 'PMR5 N terminal Domain', 54, NULL, 'PMR5N', 38561),
(94836, 'PF02526', NULL, 'Glycophorin-binding protein', 38, NULL, 'GBP_repeat', 38562),
(94837, 'PF13117', NULL, 'Cag pathogenicity island protein Cag12', 96, NULL, 'Cag12', 38563),
(94838, 'PF17885', NULL, 'Styrene monooxygenase A putative substrate binding domain', 108, NULL, 'Smoa_sbd', 38564),
(94839, 'PF07413', NULL, 'Betaherpesvirus immediate-early glycoprotein UL37', 278, NULL, 'Herpes_UL37_2', 38565),
(94840, 'PF17364', NULL, 'Family of unknown function (DUF5389)', 104, NULL, 'DUF5389', 38566),
(94841, 'PF03340', NULL, 'Poxvirus rifampicin resistance protein', 541, NULL, 'Pox_Rif', 38567),
(94842, 'PF06136', NULL, 'Protein SOSEKI 2, plant', 383, NULL, 'SOK2_plant', 38568),
(94843, 'PF12861', NULL, 'Anaphase-promoting complex subunit 11 RING-H2 finger', 85, NULL, 'zf-ANAPC11', 38569),
(94844, 'PF08726', NULL, 'Ca2+ insensitive EF hand', 70, NULL, 'EFhand_Ca_insen', 38570),
(94845, 'PF06129', NULL, 'Chordopoxvirus G3 protein', 108, NULL, 'Chordopox_G3', 38571),
(94846, 'PF19610', NULL, 'Family of unknown function (DUF6115)', 167, NULL, 'DUF6115', 38572),
(94847, 'PF09310', NULL, 'POU domain, class 2, associating factor 1', 249, NULL, 'PD-C2-AF1', 38573),
(94848, 'PF03626', NULL, 'Prokaryotic Cytochrome C oxidase subunit IV', 72, NULL, 'COX4_pro', 38574),
(94849, 'PF13216', NULL, 'Protein of unknown function (DUF4024)', 35, NULL, 'DUF4024', 38575),
(94850, 'PF04880', NULL, 'NUDE protein, C-terminal conserved region', 177, NULL, 'NUDE_C', 38576),
(94851, 'PF05187', NULL, 'Electron transfer flavoprotein-ubiquinone oxidoreductase, 4Fe-4S', 104, NULL, 'ETF_QO', 38577),
(94852, 'PF17450', NULL, 'Alpha galactosidase A C-terminal beta sandwich domain', 86, NULL, 'Melibiase_2_C', 38578),
(94853, 'PF18708', NULL, 'MapZ extracellular C-terminal domain 2', 94, NULL, 'MapZ_C2', 38579),
(94854, 'PF02992', NULL, 'Transposase family tnp2', 213, NULL, 'Transposase_21', 38580),
(94855, 'PF10660', NULL, 'Iron-containing outer mitochondrial membrane protein N-terminus', 64, NULL, 'MitoNEET_N', 38581),
(94856, 'PF05069', NULL, 'Phage virion morphogenesis family', 148, NULL, 'Phage_tail_S', 38582),
(94857, 'PF16754', NULL, 'Bacterial toxin homologue of phage lysozyme, C-term', 156, NULL, 'Pesticin', 38583),
(94858, 'PF17620', NULL, 'Family of unknown function', 191, NULL, 'ORF45', 38584),
(94859, 'PF07832', NULL, 'Cfr10I/Bse634I restriction endonuclease', 280, NULL, 'Bse634I', 38585),
(94860, 'PF08036', NULL, 'Diapausin family of antimicrobial peptide', 39, NULL, 'Antimicrobial_6', 38586),
(94861, 'PF13098', NULL, 'Thioredoxin-like domain', 109, NULL, 'Thioredoxin_2', 38587),
(94862, 'PF10890', NULL, 'Cytochrome b-c1 complex subunit 8', 72, NULL, 'Cyt_b-c1_8', 38588),
(94863, 'PF16773', NULL, 'Lactococcus phage single-stranded DNA binding protein', 117, NULL, 'Phage_SSB', 38589),
(94864, 'PF00351', NULL, 'Biopterin-dependent aromatic amino acid hydroxylase', 331, NULL, 'Biopterin_H', 38590),
(94865, 'PF18725', NULL, 'SAV2148-like HEPN', 216, NULL, 'HEPN_SAV2148', 38591),
(94866, 'PF10634', NULL, 'Fe2+ transport protein', 150, NULL, 'Iron_transport', 38592),
(94867, 'PF06793', NULL, 'Uncharacterised protein family (UPF0262)', 153, NULL, 'UPF0262', 38593);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(94868, 'PF10631', NULL, 'Protein of unknown function (DUF2477)', 141, NULL, 'DUF2477', 38594),
(94869, 'PF01269', NULL, 'Fibrillarin', 226, NULL, 'Fibrillarin', 38595),
(94870, 'PF15545', NULL, 'Bacterial toxin 8', 70, NULL, 'Ntox8', 38596),
(94871, 'PF11353', NULL, 'Protein of unknown function (DUF3153)', 208, NULL, 'DUF3153', 38597),
(94872, 'PF04160', NULL, 'Orf-X protein', 154, NULL, 'Borrelia_orfX', 38598),
(94873, 'PF13162', NULL, 'Protein of unknown function (DUF3997)', 107, NULL, 'DUF3997', 38599),
(94874, 'PF19542', NULL, 'Family of unknown function (DUF6066)', 211, NULL, 'DUF6066', 38600),
(94875, 'PF05641', NULL, 'Agenet domain', 61, NULL, 'Agenet', 38601),
(94876, 'PF16679', NULL, 'DNA replication factor Cdt1 C-terminal domain', 96, NULL, 'CDT1_C', 38602),
(94877, 'PF19062', NULL, 'Family of unknown function (DUF5758)', 105, NULL, 'DUF5758', 38603),
(94878, 'PF04544', NULL, 'Herpesvirus egress protein UL20', 179, NULL, 'Herpes_UL20', 38604),
(94879, 'PF18987', NULL, 'Family of unknown function (DUF5720)', 100, NULL, 'DUF5720', 38605),
(94880, 'PF19021', NULL, 'CRISPR system CMR subunit Cmr7 1', 197, NULL, 'Cmr7A', 38606),
(94881, 'PF06420', NULL, 'Mitochondrial genome maintenance MGM101', 170, NULL, 'Mgm101p', 38607),
(94882, 'PF14875', NULL, 'N-term cysteine-rich ER, FAM69', 154, NULL, 'PIP49_N', 38608),
(94883, 'PF09570', NULL, 'SinI restriction endonuclease', 217, NULL, 'RE_SinI', 38609),
(94884, 'PF00619', NULL, 'Caspase recruitment domain', 85, NULL, 'CARD', 38610),
(94885, 'PF00479', NULL, 'Glucose-6-phosphate dehydrogenase, NAD binding domain', 181, NULL, 'G6PD_N', 38611),
(94886, 'PF12829', NULL, 'Transcriptional regulation of mitochondrial recombination', 84, NULL, 'Mhr1', 38612),
(94887, 'PF17073', NULL, 'Two-component-system connector protein', 66, NULL, 'SafA', 38613),
(94888, 'PF08252', NULL, 'arg-2/CPA1 leader peptide', 23, NULL, 'Leader_CPA1', 38614),
(94889, 'PF02568', NULL, 'Thiamine biosynthesis protein (ThiI)', 197, NULL, 'ThiI', 38615),
(94890, 'PF12484', NULL, 'PPE-SVP subfamily C-terminal region', 80, NULL, 'PPE-SVP', 38616),
(94891, 'PF14059', NULL, 'Domain of unknown function (DUF4251)', 134, NULL, 'DUF4251', 38617),
(94892, 'PF02700', NULL, 'Phosphoribosylformylglycinamidine (FGAM) synthase', 77, NULL, 'PurS', 38618),
(94893, 'PF05642', NULL, 'Sporozoite P67 surface antigen', 727, NULL, 'Sporozoite_P67', 38619),
(94894, 'PF05835', NULL, 'Synaphin protein', 142, NULL, 'Synaphin', 38620),
(94895, 'PF16179', NULL, 'Rel homology dimerisation domain', 103, NULL, 'RHD_dimer', 38621),
(94896, 'PF17867', NULL, 'Midasin AAA lid domain', 107, NULL, 'AAA_lid_7', 38622),
(94897, 'PF15072', NULL, 'Homologous recombination OB-fold protein', 86, NULL, 'HROB', 38623),
(94898, 'PF08539', NULL, 'HbrB-like', 169, NULL, 'HbrB', 38624),
(94899, 'PF02012', NULL, 'BNR/Asp-box repeat', 12, NULL, 'BNR', 38625),
(94900, 'PF00228', NULL, 'Bowman-Birk serine protease inhibitor family', 25, NULL, 'Bowman-Birk_leg', 38626),
(94901, 'PF02771', NULL, 'Acyl-CoA dehydrogenase, N-terminal domain', 113, NULL, 'Acyl-CoA_dh_N', 38627),
(94902, 'PF05002', NULL, 'SGS domain', 83, NULL, 'SGS', 38628),
(94903, 'PF18582', NULL, 'Hydrazine synthase alpha subunit middle domain', 102, NULL, 'HZS_alpha', 38629),
(94904, 'PF03417', NULL, 'Acyl-coenzyme A:6-aminopenicillanic acid acyl-transferase', 227, NULL, 'AAT', 38630),
(94905, 'PF10921', NULL, 'Protein of unknown function (DUF2710)', 104, NULL, 'DUF2710', 38631),
(94906, 'PF19667', NULL, 'Family of unknown function (DUF6170)', 100, NULL, 'DUF6170', 38632),
(94907, 'PF06070', NULL, 'Herpesvirus large structural phosphoprotein UL32', 1048, NULL, 'Herpes_UL32', 38633),
(94908, 'PF17494', NULL, 'Family of unknown function (DUF5429)', 76, NULL, 'DUF5429', 38634),
(94909, 'PF07467', NULL, 'Beta-lactamase inhibitor (BLIP)', 123, NULL, 'BLIP', 38635),
(94910, 'PF04791', NULL, 'LMBR1-like membrane protein', 511, NULL, 'LMBR1', 38636),
(94911, 'PF05508', NULL, 'RanGTP-binding protein', 310, NULL, 'Ran-binding', 38637),
(94912, 'PF18697', NULL, 'Murine leukemia virus (MLV) integrase (IN) C-terminal domain', 84, NULL, 'MLVIN_C', 38638);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(94913, 'PF05088', NULL, 'Bacterial NAD-glutamate dehydrogenase', 1530, NULL, 'Bac_GDH', 38639),
(94914, 'PF13055', NULL, 'Protein of unknown function (DUF3917)', 71, NULL, 'DUF3917', 38640),
(94915, 'PF14951', NULL, 'Domain of unknown function (DUF4503)', 392, NULL, 'DUF4503', 38641),
(94916, 'PF05916', NULL, 'GINS complex protein', 109, NULL, 'Sld5', 38642),
(94917, 'PF14123', NULL, 'Domain of unknown function (DUF4290)', 174, NULL, 'DUF4290', 38643),
(94918, 'PF00055', NULL, 'Laminin N-terminal (Domain VI)', 234, NULL, 'Laminin_N', 38644),
(94919, 'PF01612', NULL, '3''-5'' exonuclease', 176, NULL, 'DNA_pol_A_exo1', 38645),
(94920, 'PF16027', NULL, 'Domain of unknown function (DUF4786)', 169, NULL, 'DUF4786', 38646),
(94921, 'PF16076', NULL, 'Acyltransferase C-terminus', 75, NULL, 'Acyltransf_C', 38647),
(94922, 'PF17223', NULL, 'Cuticle protein CPCFC', 17, NULL, 'CPCFC', 38648),
(94923, 'PF11189', NULL, 'Protein of unknown function (DUF2973)', 68, NULL, 'DUF2973', 38649),
(94924, 'PF17576', NULL, 'Family of unknown function (DUF5480)', 71, NULL, 'DUF5480', 38650),
(94925, 'PF17658', NULL, 'Family of unknown function (DUF5520)', 342, NULL, 'DUF5520', 38651),
(94926, 'PF08666', NULL, 'SAF domain', 63, NULL, 'SAF', 38652),
(94927, 'PF11642', NULL, 'Mite allergen Blo t 5', 119, NULL, 'Blo-t-5', 38653),
(94928, 'PF13171', NULL, 'Protein of unknown function (DUF4004)', 197, NULL, 'DUF4004', 38654),
(94929, 'PF02249', NULL, 'Methyl-coenzyme M reductase alpha subunit, C-terminal domain', 127, NULL, 'MCR_alpha', 38655),
(94930, 'PF03148', NULL, 'Tektin family', 383, NULL, 'Tektin', 38656),
(94931, 'PF16211', NULL, 'C-terminus of histone H2A', 35, NULL, 'Histone_H2A_C', 38657),
(94932, 'PF09190', NULL, 'DALR domain', 63, NULL, 'DALR_2', 38658),
(94933, 'PF04835', NULL, 'A9 protein conserved region', 53, NULL, 'Pox_A9', 38659),
(94934, 'PF02529', NULL, 'Cytochrome B6-F complex subunit 5', 36, NULL, 'PetG', 38660),
(94935, 'PF03480', NULL, 'Bacterial extracellular solute-binding protein, family 7', 286, NULL, 'DctP', 38661),
(94936, 'PF16299', NULL, 'Domain of unknown function (DUF4941)', 265, NULL, 'DUF4941', 38662),
(94937, 'PF14609', NULL, 'gamma-Tubulin ring complex non-core subunit mod21', 618, NULL, 'GCP5-Mod21', 38663),
(94938, 'PF12764', NULL, 'Glycine-rich region of argonaut', 107, NULL, 'Gly-rich_Ago1', 38664),
(94939, 'PF19313', NULL, 'Domain of unknown function (DUF5916)', 572, NULL, 'DUF5916', 38665),
(94940, 'PF10215', NULL, 'Oligosaccaryltransferase', 34, NULL, 'Ost4', 38666),
(94941, 'PF00330', NULL, 'Aconitase family (aconitate hydratase)', 461, NULL, 'Aconitase', 38667),
(94942, 'PF07956', NULL, 'Protein of Unknown function (DUF1690)', 139, NULL, 'DUF1690', 38668),
(94943, 'PF18274', NULL, 'Vacuolar ATPase Subunit I N-terminal proximal lobe', 52, NULL, 'V_ATPase_prox', 38669),
(94944, 'PF09693', NULL, 'Phage uncharacterised protein (Phage_XkdX)', 40, NULL, 'Phage_XkdX', 38670),
(94945, 'PF10173', NULL, 'Mitochondrial K+-H+ exchange-related', 190, NULL, 'Mit_KHE1', 38671),
(94946, 'PF14200', NULL, 'Ricin-type beta-trefoil lectin domain-like', 89, NULL, 'RicinB_lectin_2', 38672),
(94947, 'PF08890', NULL, 'Phage XkdN-like tail assembly chaperone protein, TAC', 136, NULL, 'Phage_TAC_5', 38673),
(94948, 'PF07813', NULL, 'LTXXQ motif family protein', 98, NULL, 'LTXXQ', 38674),
(94949, 'PF03498', NULL, 'Cytolethal distending toxin A/C domain', 150, NULL, 'CDtoxinA', 38675),
(94950, 'PF05889', NULL, 'O-phosphoseryl-tRNA(Sec) selenium transferase, SepSecS', 389, NULL, 'SepSecS', 38676),
(94951, 'PF01427', NULL, 'D-ala-D-ala dipeptidase', 201, NULL, 'Peptidase_M15', 38677),
(94952, 'PF08068', NULL, 'DKCLD (NUC011) domain', 58, NULL, 'DKCLD', 38678),
(94953, 'PF04652', NULL, 'Vta1 like', 145, NULL, 'Vta1', 38679),
(94954, 'PF07299', NULL, 'Elongation factor G-binding protein, N-terminal', 83, NULL, 'EF-G-binding_N', 38680),
(94955, 'PF05925', NULL, 'Enterobacterial virulence protein IpgD', 559, NULL, 'IpgD', 38681),
(94956, 'PF15792', NULL, 'Lung adenoma susceptibility protein 2', 74, NULL, 'LAS2', 38682);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(94957, 'PF18372', NULL, 'Integrin beta epidermal growth factor like domain 1', 29, NULL, 'I-EGF_1', 38683),
(94958, 'PF05901', NULL, 'Excalibur calcium-binding domain', 38, NULL, 'Excalibur', 38684),
(94959, 'PF13409', NULL, 'Glutathione S-transferase, N-terminal domain', 70, NULL, 'GST_N_2', 38685),
(94960, 'PF06487', NULL, 'Sin3 associated polypeptide p18 (SAP18)', 141, NULL, 'SAP18', 38686),
(94961, 'PF10179', NULL, 'Neuron-derived neurotrophic factor', 96, NULL, 'NDNF', 38687),
(94962, 'PF14981', NULL, 'FAM165 family', 50, NULL, 'FAM165', 38688),
(94963, 'PF12820', NULL, 'Serine-rich domain associated with BRCT', 164, NULL, 'BRCT_assoc', 38689),
(94964, 'PF18980', NULL, 'Family of unknown function (DUF5716) C-terminal', 296, NULL, 'DUF5716_C', 38690),
(94965, 'PF08041', NULL, 'PetM family of cytochrome b6f complex subunit 7', 30, NULL, 'PetM', 38691),
(94966, 'PF18201', NULL, 'PIH1 CS-like domain', 99, NULL, 'PIH1_CS', 38692),
(94967, 'PF00278', NULL, 'Pyridoxal-dependent decarboxylase, C-terminal sheet domain', 93, NULL, 'Orn_DAP_Arg_deC', 38693),
(94968, 'PF00900', NULL, 'Ribosomal family S4e', 75, NULL, 'Ribosomal_S4e', 38694),
(94969, 'PF17279', NULL, 'Family of unknown function (DUF5344)', 87, NULL, 'DUF5344', 38695),
(94970, 'PF00516', NULL, 'Envelope glycoprotein GP120', 487, NULL, 'GP120', 38696),
(94971, 'PF08705', NULL, 'Gag protein p6', 37, NULL, 'Gag_p6', 38697),
(94972, 'PF07143', NULL, 'CrtC N-terminal lipocalin domain', 164, NULL, 'CrtC', 38698),
(94973, 'PF10321', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srt', 313, NULL, '7TM_GPCR_Srt', 38699),
(94974, 'PF03521', NULL, 'Kv2 voltage-gated K+ channel', 288, NULL, 'Kv2channel', 38700),
(94975, 'PF10998', NULL, 'Protein of unknown function (DUF2838)', 111, NULL, 'DUF2838', 38701),
(94976, 'PF11661', NULL, 'Protein of unknown function (DUF2986)', 43, NULL, 'DUF2986', 38702),
(94977, 'PF07753', NULL, 'Protein of unknown function (DUF1609)', 227, NULL, 'DUF1609', 38703),
(94978, 'PF18991', NULL, 'Family of unknown function (DUF5724)', 343, NULL, 'DUF5724', 38704),
(94979, 'PF05310', NULL, 'Tenuivirus movement protein', 186, NULL, 'Tenui_NS3', 38705),
(94980, 'PF05482', NULL, 'Serendipity locus alpha protein (SRY-A)', 541, NULL, 'Serendipity_A', 38706),
(94981, 'PF00273', NULL, 'Serum albumin family', 176, NULL, 'Serum_albumin', 38707),
(94982, 'PF09123', NULL, 'Domain of unknown function (DUF1931)', 138, NULL, 'DUF1931', 38708),
(94983, 'PF18433', NULL, 'Domain of unknown function (DUF5610)', 118, NULL, 'DUF5610', 38709),
(94984, 'PF07799', NULL, 'Protein of unknown function (DUF1643)', 134, NULL, 'DUF1643', 38710),
(94985, 'PF15606', NULL, 'Bacterial toxin 34', 80, NULL, 'Ntox34', 38711),
(94986, 'PF11248', NULL, 'Protein of unknown function (DUF3046)', 62, NULL, 'DUF3046', 38712),
(94987, 'PF12780', NULL, 'P-loop containing dynein motor region D4', 259, NULL, 'AAA_8', 38713),
(94988, 'PF02836', NULL, 'Glycosyl hydrolases family 2, TIM barrel domain', 302, NULL, 'Glyco_hydro_2_C', 38714),
(94989, 'PF05028', NULL, 'Poly (ADP-ribose) glycohydrolase (PARG)', 336, NULL, 'PARG_cat', 38715),
(94990, 'PF20048', NULL, 'Domain of unknown function (DUF6450)', 68, NULL, 'DUF6450', 38716),
(94991, 'PF07672', NULL, 'Mycoplasma MFS transporter', 274, NULL, 'MFS_Mycoplasma', 38717),
(94992, 'PF11009', NULL, 'Protein of unknown function (DUF2847)', 103, NULL, 'DUF2847', 38718),
(94993, 'PF16607', NULL, 'Phosphorylation region of CYLD, unstructured', 165, NULL, 'CYLD_phos_site', 38719),
(94994, 'PF11654', NULL, 'Non-classical export protein 1', 45, NULL, 'NCE101', 38720),
(94995, 'PF17507', NULL, 'Family of unknown function (DUF5439)', 75, NULL, 'DUF5439', 38721),
(94996, 'PF01090', NULL, 'Ribosomal protein S19e', 137, NULL, 'Ribosomal_S19e', 38722),
(94997, 'PF08978', NULL, 'Reoviridae VP9', 280, NULL, 'Reoviridae_Vp9', 38723),
(94998, 'PF12344', NULL, 'Ultra-violet resistance protein B', 43, NULL, 'UvrB', 38724),
(94999, 'PF01705', NULL, 'CX module', 59, NULL, 'CX', 38725),
(95000, 'PF17162', NULL, 'Domain of unknown function (DUF5118)', 50, NULL, 'DUF5118', 38726);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(95001, 'PF00882', NULL, 'Zinc dependent phospholipase C', 179, NULL, 'Zn_dep_PLPC', 38727),
(95002, 'PF10620', NULL, 'Phosphoribosyl-dephospho-CoA transferase MdcG', 199, NULL, 'MdcG', 38728),
(95003, 'PF03556', NULL, 'Cullin binding', 120, NULL, 'Cullin_binding', 38729),
(95004, 'PF07635', NULL, 'Planctomycete cytochrome C', 59, NULL, 'PSCyt1', 38730),
(95005, 'PF13940', NULL, 'Toxin Ldr, type I toxin-antitoxin system', 35, NULL, 'Ldr_toxin', 38731),
(95006, 'PF19078', NULL, 'Bacterial Ig-like domain', 102, NULL, 'Big_12', 38732),
(95007, 'PF10607', NULL, 'CTLH/CRA C-terminal to LisH motif domain', 150, NULL, 'CLTH', 38733),
(95008, 'PF15393', NULL, 'Domain of unknown function (DUF4615)', 138, NULL, 'DUF4615', 38734),
(95009, 'PF16088', NULL, 'BLOC-1-related complex sub-unit 7', 103, NULL, 'BORCS7', 38735),
(95010, 'PF17313', NULL, 'Family of unknown function (DUF5359)', 56, NULL, 'DUF5359', 38736),
(95011, 'PF08131', NULL, 'Defensin-like peptide family', 39, NULL, 'Defensin_3', 38737),
(95012, 'PF08914', NULL, 'Rap1 Myb domain', 65, NULL, 'Myb_DNA-bind_2', 38738),
(95013, 'PF01878', NULL, 'EVE domain', 145, NULL, 'EVE', 38739),
(95014, 'PF13474', NULL, 'SnoaL-like domain', 121, NULL, 'SnoaL_3', 38740),
(95015, 'PF04375', NULL, 'HemX, putative uroporphyrinogen-III C-methyltransferase', 236, NULL, 'HemX', 38741),
(95016, 'PF08817', NULL, 'WXG100 protein secretion system (Wss), protein YukD', 76, NULL, 'YukD', 38742),
(95017, 'PF04313', NULL, 'Type I restriction enzyme R protein N terminus (HSDR_N)', 194, NULL, 'HSDR_N', 38743),
(95018, 'PF08484', NULL, 'C-methyltransferase C-terminal domain', 160, NULL, 'Methyltransf_14', 38744),
(95019, 'PF03025', NULL, 'Papillomavirus E5', 72, NULL, 'Papilloma_E5', 38745),
(95020, 'PF17167', NULL, 'Glycosyl hydrolase 36 superfamily, catalytic domain', 423, NULL, 'Glyco_hydro_36', 38746),
(95021, 'PF11191', NULL, 'Protein of unknown function (DUF2782)', 89, NULL, 'DUF2782', 38747),
(95022, 'PF00424', NULL, 'REV protein (anti-repression trans-activator protein)', 94, NULL, 'REV', 38748),
(95023, 'PF14577', NULL, 'Sieve element occlusion C-terminus', 232, NULL, 'SEO_C', 38749),
(95024, 'PF03456', NULL, 'uDENN domain', 56, NULL, 'uDENN', 38750),
(95025, 'PF18576', NULL, 'Helix-turn-helix domain', 64, NULL, 'HTH_52', 38751),
(95026, 'PF11134', NULL, 'Phage stabilisation protein', 469, NULL, 'Phage_stabilise', 38752),
(95027, 'PF17708', NULL, 'Gasdermin PUB domain', 175, NULL, 'Gasdermin_C', 38753),
(95028, 'PF18548', NULL, 'Metanogen output domain 2', 88, NULL, 'MetOD2', 38754),
(95029, 'PF17802', NULL, 'Prealbumin-like fold domain', 69, NULL, 'SpaA', 38755),
(95030, 'PF12310', NULL, 'Transcription factor protein N terminal', 110, NULL, 'Elf-1_N', 38756),
(95031, 'PF14927', NULL, 'Neurensin', 133, NULL, 'Neurensin', 38757),
(95032, 'PF03704', NULL, 'Bacterial transcriptional activator domain', 146, NULL, 'BTAD', 38758),
(95033, 'PF09969', NULL, 'Uncharacterized conserved protein (DUF2203)', 122, NULL, 'DUF2203', 38759),
(95034, 'PF00932', NULL, 'Lamin Tail Domain', 112, NULL, 'LTD', 38760),
(95035, 'PF12257', NULL, 'Vacuolar membrane-associated protein Iml1', 286, NULL, 'IML1', 38761),
(95036, 'PF01150', NULL, 'GDA1/CD39 (nucleoside phosphatase) family', 423, NULL, 'GDA1_CD39', 38762),
(95037, 'PF03262', NULL, 'Coronavirus 6B/7B protein', 206, NULL, 'Corona_6B_7B', 38763),
(95038, 'PF13823', NULL, 'Alcohol dehydrogenase GroES-associated', 23, NULL, 'ADH_N_assoc', 38764),
(95039, 'PF12597', NULL, 'Protein of unknown function (DUF3767)', 101, NULL, 'DUF3767', 38765),
(95040, 'PF07457', NULL, 'Protein of unknown function (DUF1516)', 108, NULL, 'DUF1516', 38766),
(95041, 'PF03687', NULL, 'Uncharacterised protein family (UPF0164)', 325, NULL, 'UPF0164', 38767),
(95042, 'PF14992', NULL, 'TMCO5 family', 275, NULL, 'TMCO5', 38768),
(95043, 'PF02419', NULL, 'PsbL protein', 37, NULL, 'PsbL', 38769),
(95044, 'PF16485', NULL, 'Protealysin propeptide', 43, NULL, 'PLN_propep', 38770),
(95045, 'PF03519', NULL, 'Invasion protein B family', 78, NULL, 'Invas_SpaK', 38771),
(95046, 'PF09605', NULL, 'Hypothetical bacterial integral membrane protein (Trep_Strep)', 185, NULL, 'Trep_Strep', 38772);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(95047, 'PF10484', NULL, 'Mitochondrial ribosomal protein S23', 128, NULL, 'MRP-S23', 38773),
(95048, 'PF08565', NULL, 'Cdc37 Hsp90 binding domain', 118, NULL, 'CDC37_M', 38774),
(95049, 'PF03481', NULL, 'Putative GTP-binding controlling metal-binding', 135, NULL, 'SUA5', 38775),
(95050, 'PF15400', NULL, 'Testis-expressed sequence 33 protein family', 138, NULL, 'TEX33', 38776),
(95051, 'PF18315', NULL, 'Integron cassette protein VCH_CASS1 chain', 97, NULL, 'VCH_CASS14', 38777),
(95052, 'PF15061', NULL, 'Domain of unknown function (DUF4538)', 57, NULL, 'DUF4538', 38778),
(95053, 'PF04691', NULL, 'Apolipoprotein C-I (ApoC-1)', 61, NULL, 'ApoC-I', 38779),
(95054, 'PF02080', NULL, 'TrkA-C domain', 71, NULL, 'TrkA_C', 38780),
(95055, 'PF08324', NULL, 'PUL domain', 276, NULL, 'PUL', 38781),
(95056, 'PF11515', NULL, 'Mouse development and cellular proliferation protein Cullin-7', 78, NULL, 'Cul7', 38782),
(95057, 'PF16814', NULL, 'Read-through domain', 182, NULL, 'Read-through', 38783),
(95058, 'PF08231', NULL, 'SYF2 splicing factor', 163, NULL, 'SYF2', 38784),
(95059, 'PF16905', NULL, 'Voltage-dependent L-type calcium channel, IQ-associated', 54, NULL, 'GPHH', 38785),
(95060, 'PF19765', NULL, 'Family of unknown function (DUF6252)', 126, NULL, 'DUF6252', 38786),
(95061, 'PF19910', NULL, 'Domain of unknown function (DUF6383)', 74, NULL, 'DUF6383', 38787),
(95062, 'PF16202', NULL, 'N-terminal region of Bloom syndrome protein', 370, NULL, 'BLM_N', 38788),
(95063, 'PF16285', NULL, 'Domain of unknown function (DUF4931)', 245, NULL, 'DUF4931', 38789),
(95064, 'PF01294', NULL, 'Ribosomal protein L13e', 180, NULL, 'Ribosomal_L13e', 38790),
(95065, 'PF03425', NULL, 'Carbohydrate binding domain (family 11)', 180, NULL, 'CBM_11', 38791),
(95066, 'PF14700', NULL, 'DNA-directed RNA polymerase N-terminal', 335, NULL, 'RPOL_N', 38792),
(95067, 'PF04656', NULL, 'Pox virus E6 protein', 566, NULL, 'Pox_E6', 38793),
(95068, 'PF06444', NULL, 'NADH dehydrogenase subunit 2 C-terminus', 55, NULL, 'NADH_dehy_S2_C', 38794),
(95069, 'PF14605', NULL, 'Nup53/35/40-type RNA recognition motif', 53, NULL, 'Nup35_RRM_2', 38795),
(95070, 'PF06316', NULL, 'Enterobacterial Ail/Lom protein', 199, NULL, 'Ail_Lom', 38796),
(95071, 'PF08094', NULL, 'Conotoxin TVIIA/GS family', 33, NULL, 'Toxin_24', 38797),
(95072, 'PF01951', NULL, 'Archease protein family (MTH1598/TM1083)', 140, NULL, 'Archease', 38798),
(95073, 'PF12403', NULL, 'Paired-box protein 2 C terminal', 113, NULL, 'Pax2_C', 38799),
(95074, 'PF07940', NULL, 'Heparinase II/III-like protein', 237, NULL, 'Hepar_II_III', 38800),
(95075, 'PF09556', NULL, 'HaeIII restriction endonuclease', 298, NULL, 'RE_HaeIII', 38801),
(95076, 'PF05904', NULL, 'Plant protein of unknown function (DUF863)', 931, NULL, 'DUF863', 38802),
(95077, 'PF08899', NULL, 'Domain of unknown function (DUF1844)', 76, NULL, 'DUF1844', 38803),
(95078, 'PF03797', NULL, 'Autotransporter beta-domain', 255, NULL, 'Autotransporter', 38804),
(95079, 'PF09738', NULL, 'LRRFIP family', 301, NULL, 'LRRFIP', 38805),
(95080, 'PF00656', NULL, 'Caspase domain', 206, NULL, 'Peptidase_C14', 38806),
(95081, 'PF12142', NULL, 'Polyphenol oxidase middle domain', 52, NULL, 'PPO1_DWL', 38807),
(95082, 'PF17782', NULL, 'DprA winged helix domain', 61, NULL, 'DprA_WH', 38808),
(95083, 'PF07943', NULL, 'Penicillin-binding protein 5, C-terminal domain', 91, NULL, 'PBP5_C', 38809),
(95084, 'PF11260', NULL, 'Major ampullate spidroin 1 and 2', 85, NULL, 'Spidroin_MaSp', 38810),
(95085, 'PF16970', NULL, 'Type-1 fimbrial protein, A', 143, NULL, 'FimA', 38811),
(95086, 'PF17614', NULL, 'Viral CC-type chemokine', 188, NULL, 'FPV060', 38812),
(95087, 'PF19261', NULL, 'Domain of unknown function (DUF5904)', 133, NULL, 'DUF5904', 38813),
(95088, 'PF00248', NULL, 'Aldo/keto reductase family', 292, NULL, 'Aldo_ket_red', 38814),
(95089, 'PF13875', NULL, 'Domain of unknown function (DUF4202)', 184, NULL, 'DUF4202', 38815),
(95090, 'PF18427', NULL, 'DD-reactivating factor swiveling domain', 162, NULL, 'DDR_swiveling', 38816),
(95091, 'PF01248', NULL, 'Ribosomal protein L7Ae/L30e/S12e/Gadd45 family', 95, NULL, 'Ribosomal_L7Ae', 38817);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(95092, 'PF18291', NULL, 'HU domain fused to wHTH, Ig, or Glycine-rich motif', 125, NULL, 'HU-HIG', 38818),
(95093, 'PF04250', NULL, 'Protein of unknown function (DUF429)', 209, NULL, 'DUF429', 38819),
(95094, 'PF08134', NULL, 'cIII protein family', 37, NULL, 'cIII', 38820),
(95095, 'PF15002', NULL, 'ERK and JNK pathways, inhibitor', 197, NULL, 'ERK-JNK_inhib', 38821),
(95096, 'PF16127', NULL, 'Domain of unknown function (DUF4839)', 123, NULL, 'DUF4839', 38822),
(95097, 'PF19446', NULL, 'Family of unknown function (DUF5984)', 247, NULL, 'DUF5984', 38823),
(95098, 'PF05364', NULL, 'Salmonella type III secretion SopE effector N-terminus', 74, NULL, 'SecIII_SopE_N', 38824),
(95099, 'PF07348', NULL, 'Syd protein (SUKH-2)', 175, NULL, 'Syd', 38825),
(95100, 'PF10108', NULL, 'Predicted 3''-5'' exonuclease related to the exonuclease domain of PolB', 211, NULL, 'DNA_pol_B_exo2', 38826),
(95101, 'PF08699', NULL, 'Argonaute linker 1 domain', 51, NULL, 'ArgoL1', 38827),
(95102, 'PF13268', NULL, 'Protein of unknown function (DUF4059)', 72, NULL, 'DUF4059', 38828),
(95103, 'PF19245', NULL, 'Family of unknown function (DUF5893)', 146, NULL, 'DUF5893', 38829),
(95104, 'PF12018', NULL, 'Domain of unknown function', 272, NULL, 'FAP206', 38830),
(95105, 'PF03446', NULL, 'NAD binding domain of 6-phosphogluconate dehydrogenase', 158, NULL, 'NAD_binding_2', 38831),
(95106, 'PF04902', NULL, 'Conserved region in Nab1', 179, NULL, 'Nab1', 38832),
(95107, 'PF14142', NULL, 'YrzO-like protein', 46, NULL, 'YrzO', 38833),
(95108, 'PF13948', NULL, 'Domain of unknown function (DUF4215)', 47, NULL, 'DUF4215', 38834),
(95109, 'PF14856', NULL, 'Pathogen effector; putative necrosis-inducing factor', 101, NULL, 'Hce2', 38835),
(95110, 'PF14570', NULL, 'RING/Ubox like zinc-binding domain', 48, NULL, 'zf-RING_4', 38836),
(95111, 'PF11966', NULL, 'SSURE domain', 149, NULL, 'SSURE', 38837),
(95112, 'PF19662', NULL, 'Family of unknown function (DUF6165)', 134, NULL, 'DUF6165', 38838),
(95113, 'PF19779', NULL, 'Family of unknown function (DUF6264)', 186, NULL, 'DUF6264', 38839),
(95114, 'PF14780', NULL, 'Domain of unknown function (DUF4477)', 190, NULL, 'DUF4477', 38840),
(95115, 'PF19853', NULL, 'Family of unknown function (DUF6328)', 142, NULL, 'DUF6328', 38841),
(95116, 'PF01025', NULL, 'GrpE', 166, NULL, 'GrpE', 38842),
(95117, 'PF13585', NULL, 'CHU_C Type IX secretion signal domain', 86, NULL, 'CHU_C', 38843),
(95118, 'PF13097', NULL, 'CENP-A nucleosome associated complex (NAC) subunit', 181, NULL, 'CENP-U', 38844),
(95119, 'PF07071', NULL, 'KDGP aldolase', 218, NULL, 'KDGP_aldolase', 38845),
(95120, 'PF09827', NULL, 'CRISPR associated protein Cas2', 74, NULL, 'CRISPR_Cas2', 38846),
(95121, 'PF14176', NULL, 'YxiJ-like protein', 110, NULL, 'YxiJ', 38847),
(95122, 'PF09791', NULL, 'Oxidoreductase-like protein, N-terminal', 46, NULL, 'Oxidored-like', 38848),
(95123, 'PF11764', NULL, 'COMPASS (Complex proteins associated with Set1p) component N', 174, NULL, 'N-SET', 38849),
(95124, 'PF11307', NULL, 'Protein of unknown function (DUF3109)', 181, NULL, 'DUF3109', 38850),
(95125, 'PF15787', NULL, 'Domain of unknown function (DUF4704)', 277, NULL, 'DUF4704', 38851),
(95126, 'PF14715', NULL, 'N-terminal domain of cytochrome oxidase-cbb3, FixP', 48, NULL, 'FixP_N', 38852),
(95127, 'PF15605', NULL, 'Bacterial toxin 28', 104, NULL, 'Ntox28', 38853),
(95128, 'PF17529', NULL, 'Family of unknown function (DUF5450)', 161, NULL, 'DUF5450', 38854),
(95129, 'PF03033', NULL, 'Glycosyltransferase family 28 N-terminal domain', 139, NULL, 'Glyco_transf_28', 38855),
(95130, 'PF00342', NULL, 'Phosphoglucose isomerase', 486, NULL, 'PGI', 38856),
(95131, 'PF03732', NULL, 'Retrotransposon gag protein', 96, NULL, 'Retrotrans_gag', 38857),
(95132, 'PF05132', NULL, 'RNA polymerase III RPC4', 149, NULL, 'RNA_pol_Rpc4', 38858),
(95133, 'PF11184', NULL, 'Protein of unknown function (DUF2969)', 71, NULL, 'DUF2969', 38859),
(95134, 'PF05421', NULL, 'Protein of unknown function (DUF751)', 60, NULL, 'DUF751', 38860),
(95135, 'PF06071', NULL, 'Protein of unknown function (DUF933)', 84, NULL, 'YchF-GTPase_C', 38861);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(95136, 'PF11851', NULL, 'Domain of unknown function (DUF3371)', 128, NULL, 'DUF3371', 38862),
(95137, 'PF13701', NULL, 'Transposase DDE domain group 1', 434, NULL, 'DDE_Tnp_1_4', 38863),
(95138, 'PF01549', NULL, 'ShK domain-like', 37, NULL, 'ShK', 38864),
(95139, 'PF01668', NULL, 'SmpB protein', 143, NULL, 'SmpB', 38865),
(95140, 'PF12788', NULL, 'YmaF family', 97, NULL, 'YmaF', 38866),
(95141, 'PF15917', NULL, 'Piezo', 226, NULL, 'PIEZO', 38867),
(95142, 'PF09470', NULL, 'Telethonin protein', 167, NULL, 'Telethonin', 38868),
(95143, 'PF05815', NULL, 'Baculovirus protein of unknown function (DUF844)', 352, NULL, 'DUF844', 38869),
(95144, 'PF01819', NULL, 'Levivirus coat protein', 132, NULL, 'Levi_coat', 38870),
(95145, 'PF12358', NULL, 'Protein of unknown function (DUF3644)', 74, NULL, 'DUF3644', 38871),
(95146, 'PF19267', NULL, 'Contractile injection system spike tip protein', 141, NULL, 'CIS_spike_tip', 38872),
(95147, 'PF13477', NULL, 'Glycosyl transferase 4-like', 139, NULL, 'Glyco_trans_4_2', 38873),
(95148, 'PF00240', NULL, 'Ubiquitin family', 72, NULL, 'ubiquitin', 38874),
(95149, 'PF11202', NULL, 'Phosphoribosyl transferase (PRTase)', 246, NULL, 'PRTase_1', 38875),
(95150, 'PF17216', NULL, 'Rrp44-like cold shock domain', 148, NULL, 'Rrp44_CSD1', 38876),
(95151, 'PF09787', NULL, 'Golgin subfamily A member 5', 305, NULL, 'Golgin_A5', 38877),
(95152, 'PF19486', NULL, 'Family of unknown function (DUF6022)', 155, NULL, 'DUF6022', 38878),
(95153, 'PF02156', NULL, 'Glycosyl hydrolase family 26', 311, NULL, 'Glyco_hydro_26', 38879),
(95154, 'PF14628', NULL, 'Domain of unknown function (DUF4454)', 210, NULL, 'DUF4454', 38880),
(95155, 'PF01736', NULL, 'Polyomavirus agnoprotein', 62, NULL, 'Polyoma_agno', 38881),
(95156, 'PF05483', NULL, 'Synaptonemal complex protein 1 (SCP-1)', 786, NULL, 'SCP-1', 38882),
(95157, 'PF08190', NULL, 'PIH1 N-terminal domain', 166, NULL, 'PIH1', 38883),
(95158, 'PF05113', NULL, 'Protein of unknown function (DUF693)', 311, NULL, 'DUF693', 38884),
(95159, 'PF10584', NULL, 'Proteasome subunit A N-terminal signature', 23, NULL, 'Proteasome_A_N', 38885),
(95160, 'PF07851', NULL, 'TMPIT-like protein', 324, NULL, 'TMPIT', 38886),
(95161, 'PF14276', NULL, 'Domain of unknown function (DUF4363)', 107, NULL, 'DUF4363', 38887),
(95162, 'PF17372', NULL, 'Family of unknown function (DUF5394)', 219, NULL, 'DUF5394', 38888),
(95163, 'PF05350', NULL, 'Glycogen synthase kinase-3 binding', 238, NULL, 'GSK-3_bind', 38889),
(95164, 'PF05504', NULL, 'Spore germination B3/ GerAC like, C-terminal', 164, NULL, 'Spore_GerAC', 38890),
(95165, 'PF08497', NULL, 'Radical SAM N-terminal', 298, NULL, 'Radical_SAM_N', 38891),
(95166, 'PF07651', NULL, 'ANTH domain', 277, NULL, 'ANTH', 38892),
(95167, 'PF18684', NULL, 'Pleurotolysin B C-terminal domain', 173, NULL, 'PlyB_C', 38893),
(95168, 'PF02882', NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase, NAD(P)-binding domain', 161, NULL, 'THF_DHG_CYH_C', 38894),
(95169, 'PF11072', NULL, 'Protein of unknown function (DUF2859)', 149, NULL, 'DUF2859', 38895),
(95170, 'PF11463', NULL, 'R.HinP1I restriction endonuclease', 205, NULL, 'R-HINP1I', 38896),
(95171, 'PF03062', NULL, 'MBOAT, membrane-bound O-acyltransferase family', 348, NULL, 'MBOAT', 38897),
(95172, 'PF14722', NULL, 'Ki-ras-induced actin-interacting protein-IP3R-interacting domain', 145, NULL, 'KRAP_IP3R_bind', 38898),
(95173, 'PF07694', NULL, '5TMR of 5TMR-LYT', 168, NULL, '5TM-5TMR_LYT', 38899),
(95174, 'PF05502', NULL, 'Dynactin p62 family', 477, NULL, 'Dynactin_p62', 38900),
(95175, 'PF09195', NULL, 'Restriction endonuclease BglII', 183, NULL, 'Endonuc-BglII', 38901),
(95176, 'PF07075', NULL, 'Protein of unknown function (DUF1343)', 353, NULL, 'DUF1343', 38902),
(95177, 'PF08042', NULL, 'PqqA family', 19, NULL, 'PqqA', 38903),
(95178, 'PF17253', NULL, 'Family of unknown function (DUF5320)', 100, NULL, 'DUF5320', 38904),
(95179, 'PF01880', NULL, 'Desulfoferrodoxin', 97, NULL, 'Desulfoferrodox', 38905),
(95180, 'PF05437', NULL, 'Branched-chain amino acid transport protein (AzlD)', 99, NULL, 'AzlD', 38906);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(95181, 'PF05935', NULL, 'Arylsulfotransferase (ASST)', 381, NULL, 'Arylsulfotrans', 38907),
(95182, 'PF00014', NULL, 'Kunitz/Bovine pancreatic trypsin inhibitor domain', 53, NULL, 'Kunitz_BPTI', 38908),
(95183, 'PF03448', NULL, 'MgtE intracellular N domain', 102, NULL, 'MgtE_N', 38909),
(95184, 'PF12670', NULL, 'Protein of unknown function (DUF3792)', 115, NULL, 'DUF3792', 38910),
(95185, 'PF19095', NULL, 'Family of unknown function (DUF5783)', 105, NULL, 'DUF5783', 38911),
(95186, 'PF15495', NULL, 'Major fimbrial subunit protein type IV, Fimbrillin, C-terminal', 84, NULL, 'Fimbrillin_C', 38912),
(95187, 'PF17055', NULL, 'Viral matrix protein M2', 235, NULL, 'VMR2', 38913),
(95188, 'PF10501', NULL, 'Ribosomal subunit 39S', 110, NULL, 'Ribosomal_L50', 38914),
(95189, 'PF02621', NULL, 'Menaquinone biosynthesis', 261, NULL, 'VitK2_biosynth', 38915),
(95190, 'PF02657', NULL, 'Fe-S metabolism associated domain', 122, NULL, 'SufE', 38916),
(95191, 'PF12120', NULL, 'Rifampin ADP-ribosyl transferase', 99, NULL, 'Arr-ms', 38917),
(95192, 'PF16968', NULL, 'Pilus assembly protein TadZ N-terminal', 133, NULL, 'TadZ_N', 38918),
(95193, 'PF19512', NULL, 'Domain of unknown function (DUF6046)', 122, NULL, 'DUF6046', 38919),
(95194, 'PF11271', NULL, 'Porin PorA', 300, NULL, 'PorA', 38920),
(95195, 'PF12660', NULL, 'Putative zinc-finger of transcription factor IIIC complex', 101, NULL, 'zf-TFIIIC', 38921),
(95196, 'PF15990', NULL, 'UPF0767 family', 83, NULL, 'UPF0767', 38922),
(95197, 'PF15519', NULL, 'linker between RRM2 and RRM3 domains in RBM39 protein', 84, NULL, 'RBM39linker', 38923),
(95198, 'PF06462', NULL, 'Propeller', 30, NULL, 'Hyd_WA', 38924),
(95199, 'PF01233', NULL, 'Myristoyl-CoA:protein N-myristoyltransferase, N-terminal domain', 160, NULL, 'NMT', 38925),
(95200, 'PF10774', NULL, 'Domain of unknown function (DUF4226)', 115, NULL, 'DUF4226', 38926),
(95201, 'PF10403', NULL, 'Rad4 beta-hairpin domain 1', 56, NULL, 'BHD_1', 38927),
(95202, 'PF03071', NULL, 'GNT-I family', 434, NULL, 'GNT-I', 38928),
(95203, 'PF03334', NULL, 'Na+/H+ antiporter subunit', 79, NULL, 'PhaG_MnhG_YufB', 38929),
(95204, 'PF02616', NULL, 'Segregation and condensation protein ScpA', 241, NULL, 'SMC_ScpA', 38930),
(95205, 'PF00063', NULL, 'Myosin head (motor domain)', 677, NULL, 'Myosin_head', 38931),
(95206, 'PF14233', NULL, 'Domain of unknown function (DUF4335)', 185, NULL, 'DUF4335', 38932),
(95207, 'PF08336', NULL, 'Prolyl 4-Hydroxylase alpha-subunit, N-terminal region', 135, NULL, 'P4Ha_N', 38933),
(95208, 'PF14659', NULL, 'Phage integrase, N-terminal SAM-like domain', 58, NULL, 'Phage_int_SAM_3', 38934),
(95209, 'PF17379', NULL, 'Family of unknown function (DUF5400)', 100, NULL, 'DUF5400', 38935),
(95210, 'PF17711', NULL, 'Family of unknown function (DUF5556)', 178, NULL, 'DUF5556', 38936),
(95211, 'PF01661', NULL, 'Macro domain', 118, NULL, 'Macro', 38937),
(95212, 'PF02512', NULL, 'Virulence determinant', 96, NULL, 'UK', 38938),
(95213, 'PF06871', NULL, 'TraH_2', 206, NULL, 'TraH_2', 38939),
(95214, 'PF03016', NULL, 'Exostosin family', 300, NULL, 'Exostosin', 38940),
(95215, 'PF17998', NULL, 'Cell surface antigen I/II C2 terminal domain', 167, NULL, 'AgI_II_C2', 38941),
(95216, 'PF15897', NULL, 'Domain of unknown function (DUF4741)', 169, NULL, 'DUF4741', 38942),
(95217, 'PF13507', NULL, 'CobB/CobQ-like glutamine amidotransferase domain', 260, NULL, 'GATase_5', 38943),
(95218, 'PF19426', NULL, 'Mesoderm induction early response protein 1 beta C-terminal', 218, NULL, 'MIER1_beta_C', 38944),
(95219, 'PF10891', NULL, 'Protein of unknown function (DUF2719)', 81, NULL, 'DUF2719', 38945),
(95220, 'PF14367', NULL, 'Domain of unknown function (DUF4411)', 160, NULL, 'DUF4411', 38946),
(95221, 'PF07947', NULL, 'YhhN family', 184, NULL, 'YhhN', 38947),
(95222, 'PF13682', NULL, 'Chemoreceptor zinc-binding domain', 59, NULL, 'CZB', 38948),
(95223, 'PF05212', NULL, 'Protein of unknown function (DUF707)', 299, NULL, 'DUF707', 38949),
(95224, 'PF06815', NULL, 'Reverse transcriptase connection domain', 102, NULL, 'RVT_connect', 38950);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(95225, 'PF07945', NULL, 'Janus-atracotoxin', 36, NULL, 'Toxin_16', 38951),
(95226, 'PF01439', NULL, 'Metallothionein', 81, NULL, 'Metallothio_2', 38952),
(95227, 'PF06221', NULL, 'Putative zinc finger motif, C2HC5-type', 54, NULL, 'zf-C2HC5', 38953),
(95228, 'PF13989', NULL, 'YejG-like protein', 106, NULL, 'YejG', 38954),
(95229, 'PF01955', NULL, 'Adenosylcobinamide amidohydrolase', 191, NULL, 'CbiZ', 38955),
(95230, 'PF10906', NULL, 'MIOREX complex component 7', 66, NULL, 'Mrx7', 38956),
(95231, 'PF16152', NULL, 'Domain of unknown function (DUF4860)', 98, NULL, 'DUF4860', 38957),
(95232, 'PF03394', NULL, 'Poxvirus E8 protein', 239, NULL, 'Pox_E8', 38958),
(95233, 'PF04957', NULL, 'Ribosome modulation factor', 54, NULL, 'RMF', 38959),
(95234, 'PF09669', NULL, 'Phage regulatory protein Rha (Phage_pRha)', 90, NULL, 'Phage_pRha', 38960),
(95235, 'PF16490', NULL, 'Putative oxidoreductase C terminal domain', 279, NULL, 'Oxidoreduct_C', 38961),
(95236, 'PF19805', NULL, 'Family of unknown function (DUF6288)', 402, NULL, 'DUF6288', 38962),
(95237, 'PF08993', NULL, 'T4 gene Gp59 loader of gp41 DNA helicase', 93, NULL, 'T4_Gp59_N', 38963),
(95238, 'PF01857', NULL, 'Retinoblastoma-associated protein B domain', 132, NULL, 'RB_B', 38964),
(95239, 'PF07046', NULL, 'Cytoplasmic repetitive antigen (CRA) like repeat', 42, NULL, 'CRA_rpt', 38965),
(95240, 'PF03888', NULL, 'MucB/RseB N-terminal domain', 178, NULL, 'MucB_RseB', 38966),
(95241, 'PF20022', NULL, 'vWA-MoxR associated protein middle region 19', 115, NULL, 'VMAP-M19', 38967),
(95242, 'PF11857', NULL, 'Domain of unknown function (DUF3377)', 72, NULL, 'DUF3377', 38968),
(95243, 'PF18709', NULL, 'Dynamin-like helical domain', 344, NULL, 'DLP_helical', 38969),
(95244, 'PF06778', NULL, 'Chlorite dismutase', 194, NULL, 'Chlor_dismutase', 38970),
(95245, 'PF13254', NULL, 'Domain of unknown function (DUF4045)', 416, NULL, 'DUF4045', 38971),
(95246, 'PF16822', NULL, 'SGNH hydrolase-like domain, acetyltransferase AlgX', 268, NULL, 'ALGX', 38972),
(95247, 'PF09998', NULL, 'Uncharacterized protein conserved in bacteria (DUF2239)', 183, NULL, 'DUF2239', 38973),
(95248, 'PF13763', NULL, 'Domain of unknown function (DUF4167)', 77, NULL, 'DUF4167', 38974),
(95249, 'PF05227', NULL, 'CHASE3 domain', 138, NULL, 'CHASE3', 38975),
(95250, 'PF13784', NULL, 'Fic/DOC family N-terminal', 82, NULL, 'Fic_N', 38976),
(95251, 'PF15145', NULL, 'Domain of unknown function (DUF4577)', 128, NULL, 'DUF4577', 38977),
(95252, 'PF18895', NULL, 'Type IV secretion system pilin', 71, NULL, 'T4SS_pilin', 38978),
(95253, 'PF00430', NULL, 'ATP synthase B/B'' CF(0)', 132, NULL, 'ATP-synt_B', 38979),
(95254, 'PF13365', NULL, 'Trypsin-like peptidase domain', 150, NULL, 'Trypsin_2', 38980),
(95255, 'PF06198', NULL, 'Protein of unknown function (DUF999)', 143, NULL, 'DUF999', 38981),
(95256, 'PF10736', NULL, 'Protein of unknown function (DUF2627)', 38, NULL, 'DUF2527', 38982),
(95257, 'PF00016', NULL, 'Ribulose bisphosphate carboxylase large chain, catalytic domain', 299, NULL, 'RuBisCO_large', 38983),
(95258, 'PF03825', NULL, 'Nucleoside H+ symporter', 400, NULL, 'Nuc_H_symport', 38984),
(95259, 'PF17528', NULL, 'Family of unknown function (DUF5449)', 174, NULL, 'DUF5449', 38985),
(95260, 'PF02286', NULL, 'Dehydratase large subunit', 552, NULL, 'Dehydratase_LU', 38986),
(95261, 'PF12423', NULL, 'Kinesin protein 1B', 49, NULL, 'KIF1B', 38987),
(95262, 'PF19651', NULL, 'Family of unknown function (DUF6154)', 79, NULL, 'DUF6154', 38988),
(95263, 'PF02188', NULL, 'GoLoco motif', 22, NULL, 'GoLoco', 38989),
(95264, 'PF05911', NULL, 'Filament-like plant protein, long coiled-coil', 868, NULL, 'FPP', 38990),
(95265, 'PF05962', NULL, 'HutD', 181, NULL, 'HutD', 38991),
(95266, 'PF19501', NULL, 'YetA-like protein', 867, NULL, 'YetA', 38992),
(95267, 'PF02026', NULL, 'RyR domain', 91, NULL, 'RyR', 38993),
(95268, 'PF17774', NULL, 'Putative RNA-binding domain in YlmH', 84, NULL, 'YlmH_RBD', 38994),
(95269, 'PF00141', NULL, 'Peroxidase', 229, NULL, 'peroxidase', 38995),
(95270, 'PF09384', NULL, 'UTP15 C terminal', 147, NULL, 'UTP15_C', 38996);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(95271, 'PF00035', NULL, 'Double-stranded RNA binding motif', 67, NULL, 'dsrm', 38997),
(95272, 'PF02746', NULL, 'Mandelate racemase / muconate lactonizing enzyme, N-terminal domain', 117, NULL, 'MR_MLE_N', 38998),
(95273, 'PF06934', NULL, 'Fatty acid cis/trans isomerase (CTI)', 692, NULL, 'CTI', 38999),
(95274, 'PF14436', NULL, 'Bacterial EndoU nuclease', 125, NULL, 'EndoU_bacteria', 39000),
(95275, 'PF16895', NULL, 'Domain of unknown function (DUF5085)', 141, NULL, 'DUF5085', 39001),
(95276, 'PF04299', NULL, 'Putative FMN-binding domain', 168, NULL, 'FMN_bind_2', 39002),
(95277, 'PF05966', NULL, 'Chordopoxvirus A33R protein', 186, NULL, 'Chordopox_A33R', 39003),
(95278, 'PF16932', NULL, 'Type IV secretory system, conjugal DNA-protein transfer', 213, NULL, 'T4SS_TraI', 39004),
(95279, 'PF08267', NULL, 'Cobalamin-independent synthase, N-terminal domain', 313, NULL, 'Meth_synt_1', 39005),
(95280, 'PF07118', NULL, 'Protein of unknown function (DUF1374)', 92, NULL, 'DUF1374', 39006),
(95281, 'PF04885', NULL, 'Stigma-specific protein, Stig1', 140, NULL, 'Stig1', 39007),
(95282, 'PF06826', NULL, 'Predicted Permease Membrane Region', 167, NULL, 'Asp-Al_Ex', 39008),
(95283, 'PF18637', NULL, 'Aldos-2-ulose dehydratase/isomerase (AUDH) Cupin domain', 158, NULL, 'AUDH_Cupin', 39009),
(95284, 'PF11834', NULL, 'KHA, dimerisation domain of potassium ion channel', 67, NULL, 'KHA', 39010),
(95285, 'PF09335', NULL, 'SNARE associated Golgi protein', 123, NULL, 'SNARE_assoc', 39011),
(95286, 'PF14425', NULL, 'Immunity protein Imm3', 119, NULL, 'Imm3', 39012),
(95287, 'PF20101', NULL, 'Family of unknown function (DUF6491)', 139, NULL, 'DUF6491', 39013),
(95288, 'PF03492', NULL, 'SAM dependent carboxyl methyltransferase', 334, NULL, 'Methyltransf_7', 39014),
(95289, 'PF11441', NULL, 'Pilot protein MxiM', 115, NULL, 'MxiM', 39015),
(95290, 'PF00003', NULL, '7 transmembrane sweet-taste receptor of 3 GCPR', 223, NULL, '7tm_3', 39016),
(95291, 'PF08891', NULL, 'YfcL protein', 83, NULL, 'YfcL', 39017),
(95292, 'PF09619', NULL, 'Type III secretion system lipoprotein chaperone (YscW)', 107, NULL, 'YscW', 39018),
(95293, 'PF07242', NULL, 'Protein of unknown function (DUF1430)', 100, NULL, 'DUF1430', 39019),
(95294, 'PF07657', NULL, 'N terminus of Notch ligand', 75, NULL, 'MNNL', 39020),
(95295, 'PF17639', NULL, 'Family of unknown function (DUF5517)', 100, NULL, 'DUF5517', 39021),
(95296, 'PF17221', NULL, 'COMMD1 N-terminal domain', 102, NULL, 'COMMD1_N', 39022),
(95297, 'PF10845', NULL, 'Protein of unknown function (DUF2576)', 48, NULL, 'DUF2576', 39023),
(95298, 'PF16309', NULL, 'Domian of unknown function (DUF4951)', 83, NULL, 'DUF4951', 39024),
(95299, 'PF04019', NULL, 'Protein of unknown function (DUF359)', 122, NULL, 'DUF359', 39025),
(95300, 'PF17408', NULL, 'Malonyl-CoA decarboxylase N-terminal domain', 85, NULL, 'MCD_N', 39026),
(95301, 'PF01374', NULL, 'Glycosyl hydrolase family 46', 210, NULL, 'Glyco_hydro_46', 39027),
(95302, 'PF14100', NULL, 'Methane oxygenase PmoA', 272, NULL, 'PmoA', 39028),
(95303, 'PF05794', NULL, 'T-complex protein 11', 446, NULL, 'Tcp11', 39029),
(95304, 'PF07432', NULL, 'Histone H1-like protein Hc1', 122, NULL, 'Hc1', 39030),
(95305, 'PF17397', NULL, 'Family of unknown function (DUF5404)', 145, NULL, 'DUF5404', 39031),
(95306, 'PF05392', NULL, 'Cytochrome C oxidase chain VIIB', 78, NULL, 'COX7B', 39032),
(95307, 'PF06185', NULL, 'YecM protein', 180, NULL, 'YecM', 39033),
(95308, 'PF19819', NULL, 'Family of unknown function (DUF6302)', 131, NULL, 'DUF6302', 39034),
(95309, 'PF13185', NULL, 'GAF domain', 138, NULL, 'GAF_2', 39035),
(95310, 'PF04577', NULL, 'Glycosyltransferase 61', 128, NULL, 'Glyco_transf_61', 39036),
(95311, 'PF05722', NULL, 'Ustilago B locus mating-type protein', 286, NULL, 'Ustilago_mating', 39037),
(95312, 'PF09100', NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit domain IV', 133, NULL, 'Qn_am_d_aIV', 39038),
(95313, 'PF05343', NULL, 'M42 glutamyl aminopeptidase', 292, NULL, 'Peptidase_M42', 39039),
(95314, 'PF04976', NULL, 'DMSO reductase anchor subunit (DmsC)', 276, NULL, 'DmsC', 39040);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(95315, 'PF03389', NULL, 'MobA/MobL family', 225, NULL, 'MobA_MobL', 39041),
(95316, 'PF10038', NULL, 'Protein of unknown function (DUF2274)', 69, NULL, 'DUF2274', 39042),
(95317, 'PF15454', NULL, 'Late endosomal/lysosomal adaptor and MAPK and MTOR activator', 75, NULL, 'LAMTOR', 39043),
(95318, 'PF00807', NULL, 'Apidaecin', 29, NULL, 'Apidaecin', 39044),
(95319, 'PF14963', NULL, 'Get2-like', 270, NULL, 'Get2_like', 39045),
(95320, 'PF18308', NULL, 'N-terminal extension of GAT domain', 39, NULL, 'GGA_N-GAT', 39046),
(95321, 'PF07078', NULL, 'Forty-two-three protein', 310, NULL, 'FYTT', 39047),
(95322, 'PF18473', NULL, 'Urease subunit beta-alpha linker domain', 34, NULL, 'Urease_linker', 39048),
(95323, 'PF03643', NULL, 'Vacuolar protein sorting-associated protein 26', 275, NULL, 'Vps26', 39049),
(95324, 'PF09764', NULL, 'N-terminal glutamine amidase', 186, NULL, 'Nt_Gln_amidase', 39050),
(95325, 'PF17861', NULL, 'Laterosporulin defensin-like peptide', 49, NULL, 'Laterosporulin', 39051),
(95326, 'PF00303', NULL, 'Thymidylate synthase', 270, NULL, 'Thymidylat_synt', 39052),
(95327, 'PF04440', NULL, 'Dysbindin (Dystrobrevin binding protein 1)', 145, NULL, 'Dysbindin', 39053),
(95328, 'PF06147', NULL, 'Protein of unknown function (DUF968)', 171, NULL, 'DUF968', 39054),
(95329, 'PF07404', NULL, 'Telomere-binding protein beta subunit (TEBP beta)', 379, NULL, 'TEBP_beta', 39055),
(95330, 'PF13018', NULL, 'Extended Signal Peptide of Type V secretion system', 50, NULL, 'ESPR', 39056),
(95331, 'PF09794', NULL, 'Transport protein Avl9', 378, NULL, 'Avl9', 39057),
(95332, 'PF12823', NULL, 'Domain of unknown function (DUF3817)', 83, NULL, 'DUF3817', 39058),
(95333, 'PF09882', NULL, 'Predicted membrane protein (DUF2109)', 76, NULL, 'DUF2109', 39059),
(95334, 'PF16820', NULL, 'PKD-like domain', 68, NULL, 'PKD_3', 39060),
(95335, 'PF15065', NULL, 'Lysosomal transcription factor, NCU-G1', 357, NULL, 'NCU-G1', 39061),
(95336, 'PF18314', NULL, 'Fatty acid synthase type I helical domain', 203, NULL, 'FAS_I_H', 39062),
(95337, 'PF04112', NULL, 'Mak10 subunit, NatC N(alpha)-terminal acetyltransferase', 169, NULL, 'Mak10', 39063),
(95338, 'PF08404', NULL, 'Baculoviridae P74 N-terminal', 300, NULL, 'Baculo_p74_N', 39064),
(95339, 'PF13163', NULL, 'Protein of unknown function (DUF3999)', 426, NULL, 'DUF3999', 39065),
(95340, 'PF18781', NULL, 'Phage spike trimer', 78, NULL, 'Phage_spike_2', 39066),
(95341, 'PF00335', NULL, 'Tetraspanin family', 231, NULL, 'Tetraspanin', 39067),
(95342, 'PF07959', NULL, 'L-fucokinase', 406, NULL, 'Fucokinase', 39068),
(95343, 'PF12157', NULL, 'Protein of unknown function (DUF3591)', 450, NULL, 'DUF3591', 39069),
(95344, 'PF19998', NULL, 'FtsH ternary system domain X1', 273, NULL, 'fvmX1', 39070),
(95345, 'PF14516', NULL, 'AAA-like domain', 331, NULL, 'AAA_35', 39071),
(95346, 'PF19438', NULL, 'LIN9 C-terminal', 273, NULL, 'LIN9_C', 39072),
(95347, 'PF10750', NULL, 'Protein of unknown function (DUF2536)', 68, NULL, 'DUF2536', 39073),
(95348, 'PF13534', NULL, '4Fe-4S dicluster domain', 61, NULL, 'Fer4_17', 39074),
(95349, 'PF02349', NULL, 'Major surface glycoprotein', 75, NULL, 'MSG', 39075),
(95350, 'PF15854', NULL, 'G-protein coupled receptor ligand 15', 80, NULL, 'GPR15L', 39076),
(95351, 'PF20147', NULL, 'Crinkler effector protein N-terminal domain', 104, NULL, 'Crinkler', 39077),
(95352, 'PF04158', NULL, 'Sof1-like domain', 87, NULL, 'Sof1', 39078),
(95353, 'PF04626', NULL, 'Dec-1 protein, C terminal region', 131, NULL, 'DEC-1_C', 39079),
(95354, 'PF01275', NULL, 'Myelin proteolipid protein (PLP or lipophilin)', 234, NULL, 'Myelin_PLP', 39080),
(95355, 'PF12292', NULL, 'Protein of unknown function (DUF3624)', 76, NULL, 'DUF3624', 39081),
(95356, 'PF12842', NULL, 'Domain of unknown function (DUF3819)', 144, NULL, 'DUF3819', 39082),
(95357, 'PF13532', NULL, '2OG-Fe(II) oxygenase superfamily', 194, NULL, '2OG-FeII_Oxy_2', 39083),
(95358, 'PF11365', NULL, 'Protein SOGA', 95, NULL, 'SOGA', 39084),
(95359, 'PF02800', NULL, 'Glyceraldehyde 3-phosphate dehydrogenase, C-terminal domain', 158, NULL, 'Gp_dh_C', 39085);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(95360, 'PF09440', NULL, 'eIF3 subunit 6 N terminal domain', 133, NULL, 'eIF3_N', 39086),
(95361, 'PF12255', NULL, 'Insecticide toxin TcdB middle/C-terminal region', 148, NULL, 'TcdB_toxin_midC', 39087),
(95362, 'PF02006', NULL, 'Phosphopantothenate/pantothenate synthetase', 176, NULL, 'PPS_PS', 39088),
(95363, 'PF10056', NULL, 'Uncharacterized conserved protein (DUF2293)', 85, NULL, 'DUF2293', 39089),
(95364, 'PF15790', NULL, 'E1A-binding protein p400, N-terminal', 490, NULL, 'EP400_N', 39090),
(95365, 'PF19678', NULL, 'Family of unknown function (DUF6180)', 102, NULL, 'DUF6180', 39091),
(95366, 'PF08771', NULL, 'FKBP12-rapamycin binding domain', 99, NULL, 'FRB_dom', 39092),
(95367, 'PF06964', NULL, 'Alpha-L-arabinofuranosidase C-terminal domain', 168, NULL, 'Alpha-L-AF_C', 39093),
(95368, 'PF03599', NULL, 'CO dehydrogenase/acetyl-CoA synthase delta subunit', 386, NULL, 'CdhD', 39094),
(95369, 'PF09359', NULL, 'VTC domain', 275, NULL, 'VTC', 39095),
(95370, 'PF03301', NULL, 'Tryptophan 2,3-dioxygenase', 346, NULL, 'Trp_dioxygenase', 39096),
(95371, 'PF08803', NULL, 'Putative mono-oxygenase ydhR', 96, NULL, 'ydhR', 39097),
(95372, 'PF09250', NULL, 'Bifunctional DNA primase/polymerase, N-terminal', 158, NULL, 'Prim-Pol', 39098),
(95373, 'PF19351', NULL, 'Domain of unknown function (DUF5929)', 222, NULL, 'DUF5929', 39099),
(95374, 'PF07330', NULL, 'Protein of unknown function (DUF1467)', 83, NULL, 'DUF1467', 39100),
(95375, 'PF17046', NULL, 'SesB domain on fungal death-pathway protein', 28, NULL, 'Ses_B', 39101),
(95376, 'PF17878', NULL, 'Single-stranded DNA-binding protein', 72, NULL, 'ssDBP', 39102),
(95377, 'PF08530', NULL, 'X-Pro dipeptidyl-peptidase C-terminal non-catalytic domain', 217, NULL, 'PepX_C', 39103),
(95378, 'PF15075', NULL, 'Domain of unknown function (DUF4542)', 135, NULL, 'DUF4542', 39104),
(95379, 'PF19192', NULL, 'Response receiver domain', 181, NULL, 'Response_reg_2', 39105),
(95380, 'PF11672', NULL, 'zinc-finger-containing domain', 117, NULL, 'DUF3268', 39106),
(95381, 'PF18386', NULL, 'Roquin II domain', 56, NULL, 'ROQ_II', 39107),
(95382, 'PF06257', NULL, 'Biofilm formation stimulator VEG', 73, NULL, 'VEG', 39108),
(95383, 'PF10574', NULL, 'Arp2/3-interacting proteins Arpin', 224, NULL, 'UPF0552', 39109),
(95384, 'PF17982', NULL, 'NSD Cys-His rich domain', 50, NULL, 'C5HCH', 39110),
(95385, 'PF06039', NULL, 'Malate:quinone oxidoreductase (Mqo)', 489, NULL, 'Mqo', 39111),
(95386, 'PF14678', NULL, 'FANCI solenoid 4', 252, NULL, 'FANCI_S4', 39112),
(95387, 'PF11152', NULL, 'Cofactor assembly of complex C subunit B, CCB2/CCB4', 195, NULL, 'CCB2_CCB4', 39113),
(95388, 'PF13645', NULL, 'L,D-transpeptidase catalytic domain', 169, NULL, 'YkuD_2', 39114),
(95389, 'PF18090', NULL, 'Centromere-binding protein HTH domain', 75, NULL, 'SoPB_HTH', 39115),
(95390, 'PF05403', NULL, 'Plasmodium histidine-rich protein (HRPII/III)', 218, NULL, 'Plasmodium_HRP', 39116),
(95391, 'PF17124', NULL, 'ThiJ/PfpI family-like', 200, NULL, 'ThiJ_like', 39117),
(95392, 'PF18442', NULL, 'E3 gp78 Ube2g2-binding region (G2BR)', 27, NULL, 'G2BR', 39118),
(95393, 'PF11019', NULL, 'Protein of unknown function (DUF2608)', 244, NULL, 'DUF2608', 39119),
(95394, 'PF11565', NULL, 'Alpha helical Porin B', 99, NULL, 'PorB', 39120),
(95395, 'PF16022', NULL, 'Domain of unknown function (DUF4783)', 102, NULL, 'DUF4783', 39121),
(95396, 'PF00389', NULL, 'D-isomer specific 2-hydroxyacid dehydrogenase, catalytic domain', 134, NULL, '2-Hacid_dh', 39122),
(95397, 'PF08821', NULL, 'CGGC domain', 106, NULL, 'CGGC', 39123),
(95398, 'PF17094', NULL, 'Uncharacterised protein family (UPF0715)', 115, NULL, 'UPF0715', 39124),
(95399, 'PF08658', NULL, 'Rad54 N terminal', 183, NULL, 'Rad54_N', 39125),
(95400, 'PF02236', NULL, 'Viral DNA-binding protein, all alpha domain', 79, NULL, 'Viral_DNA_bi', 39126),
(95401, 'PF05919', NULL, 'Mitovirus RNA-dependent RNA polymerase', 498, NULL, 'Mitovir_RNA_pol', 39127),
(95402, 'PF11554', NULL, 'Protein of unknown function (DUF3232)', 152, NULL, 'DUF3232', 39128),
(95403, 'PF14488', NULL, 'Domain of unknown function (DUF4434)', 168, NULL, 'DUF4434', 39129);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(95404, 'PF19909', NULL, 'Domain of unknown function (DUF6382)', 163, NULL, 'DUF6382', 39130),
(95405, 'PF11883', NULL, 'Domain of unknown function (DUF3403)', 45, NULL, 'DUF3403', 39131),
(95406, 'PF00897', NULL, 'Orbivirus inner capsid protein VP7', 348, NULL, 'Orbi_VP7', 39132),
(95407, 'PF10342', NULL, 'Ser-Thr-rich glycosyl-phosphatidyl-inositol-anchored membrane family', 93, NULL, 'GPI-anchored', 39133),
(95408, 'PF10649', NULL, 'Protein of unknown function (DUF2478)', 159, NULL, 'DUF2478', 39134),
(95409, 'PF12799', NULL, 'Leucine Rich repeats (2 copies)', 43, NULL, 'LRR_4', 39135),
(95410, 'PF03423', NULL, 'Carbohydrate binding domain (family 25)', 105, NULL, 'CBM_25', 39136),
(95411, 'PF17763', NULL, 'Glutaminase/Asparaginase C-terminal domain', 114, NULL, 'Asparaginase_C', 39137),
(95412, 'PF07840', NULL, 'FadR C-terminal domain', 164, NULL, 'FadR_C', 39138),
(95413, 'PF15662', NULL, 'Spermatogenesis-associated protein 3 family', 192, NULL, 'SPATA3', 39139),
(95414, 'PF09220', NULL, 'L-A virus, major coat protein', 439, NULL, 'LA-virus_coat', 39140),
(95415, 'PF12581', NULL, 'Protein of unknown function (DUF3756)', 41, NULL, 'DUF3756', 39141),
(95416, 'PF00229', NULL, 'TNF(Tumour Necrosis Factor) family', 127, NULL, 'TNF', 39142),
(95417, 'PF15014', NULL, 'Ceroid-lipofuscinosis neuronal protein 5', 302, NULL, 'CLN5', 39143),
(95418, 'PF07781', NULL, 'Reovirus minor core protein Mu-2', 727, NULL, 'Reovirus_Mu2', 39144),
(95419, 'PF03426', NULL, 'Carbohydrate binding domain (family 15)', 163, NULL, 'CBM_15', 39145),
(95420, 'PF09817', NULL, 'RZZ complex, subunit zwilch', 574, NULL, 'Zwilch', 39146),
(95421, 'PF13751', NULL, 'Transposase DDE domain', 125, NULL, 'DDE_Tnp_1_6', 39147),
(95422, 'PF13887', NULL, 'Myelin regulatory factor ICA domain', 36, NULL, 'MYRF_ICA', 39148),
(95423, 'PF07624', NULL, 'Protein of unknown function (DUF1585)', 74, NULL, 'PSD2', 39149),
(95424, 'PF14552', NULL, 'Tautomerase enzyme', 82, NULL, 'Tautomerase_2', 39150),
(95425, 'PF09928', NULL, 'Predicted small integral membrane protein (DUF2160)', 88, NULL, 'DUF2160', 39151),
(95426, 'PF17080', NULL, 'Multidrug Resistance efflux pump', 144, NULL, 'SepA', 39152),
(95427, 'PF02916', NULL, 'DNA polymerase processivity factor', 116, NULL, 'DNA_PPF', 39153),
(95428, 'PF14217', NULL, 'Domain of unknown function (DUF4327)', 67, NULL, 'DUF4327', 39154),
(95429, 'PF15188', NULL, 'Coiled-coil domain-containing protein 167', 84, NULL, 'CCDC-167', 39155),
(95430, 'PF03670', NULL, 'Uncharacterised protein family (UPF0184)', 83, NULL, 'UPF0184', 39156),
(95431, 'PF07716', NULL, 'Basic region leucine zipper', 54, NULL, 'bZIP_2', 39157),
(95432, 'PF15496', NULL, 'Domain of unknown function (DUF4646)', 125, NULL, 'DUF4646', 39158),
(95433, 'PF14698', NULL, 'Argininosuccinate lyase C-terminal', 69, NULL, 'ASL_C2', 39159),
(95434, 'PF06575', NULL, 'Protein of unknown function (DUF1132)', 94, NULL, 'DUF1132', 39160),
(95435, 'PF03217', NULL, 'Surface layer protein A domain', 55, NULL, 'SlpA', 39161),
(95436, 'PF13500', NULL, 'AAA domain', 198, NULL, 'AAA_26', 39162),
(95437, 'PF04734', NULL, 'Neutral/alkaline non-lysosomal ceramidase, N-terminal', 509, NULL, 'Ceramidase_alk', 39163),
(95438, 'PF02534', NULL, 'Type IV secretory system Conjugative DNA transfer', 469, NULL, 'T4SS-DNA_transf', 39164),
(95439, 'PF07592', NULL, 'Rhodopirellula transposase DDE domain', 308, NULL, 'DDE_Tnp_ISAZ013', 39165),
(95440, 'PF16586', NULL, 'Domain of unknown function (DUF5060)', 70, NULL, 'DUF5060', 39166),
(95441, 'PF13750', NULL, 'Bacterial Ig-like domain (group 3)', 157, NULL, 'Big_3_3', 39167),
(95442, 'PF17467', NULL, 'Viral Protein E7', 60, NULL, 'E7R', 39168),
(95443, 'PF08265', NULL, 'YL1 nuclear protein C-terminal domain', 29, NULL, 'YL1_C', 39169),
(95444, 'PF08605', NULL, 'Fungal Rad9-like Rad53-binding', 129, NULL, 'Rad9_Rad53_bind', 39170),
(95445, 'PF08625', NULL, 'Utp13 specific WD40 associated domain', 142, NULL, 'Utp13', 39171),
(95446, 'PF07317', NULL, 'Flagellar regulator YcgR', 107, NULL, 'YcgR', 39172),
(95447, 'PF04747', NULL, 'Protein of unknown function, DUF612', 504, NULL, 'DUF612', 39173);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(95448, 'PF09181', NULL, 'Prolyl-tRNA synthetase, C-terminal', 66, NULL, 'ProRS-C_2', 39174),
(95449, 'PF09786', NULL, 'Cytochrome B561, N terminal', 570, NULL, 'CytochromB561_N', 39175),
(95450, 'PF08354', NULL, 'Domain of unknown function (DUF1729)', 353, NULL, 'DUF1729', 39176),
(95451, 'PF08596', NULL, 'Lethal giant larvae(Lgl) like, C-terminal', 393, NULL, 'Lgl_C', 39177),
(95452, 'PF01719', NULL, 'Plasmid replication protein', 188, NULL, 'Rep_2', 39178),
(95453, 'PF05336', NULL, 'L-rhamnose mutarotase', 108, NULL, 'rhaM', 39179),
(95454, 'PF19967', NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 5', 136, NULL, 'VMAP-M5', 39180),
(95455, 'PF16892', NULL, 'Chitin biosynthesis protein CHS5 N-terminus', 48, NULL, 'CHS5_N', 39181),
(95456, 'PF07973', NULL, 'Threonyl and Alanyl tRNA synthetase second additional domain', 44, NULL, 'tRNA_SAD', 39182),
(95457, 'PF06453', NULL, 'Type II heat-labile enterotoxin , B subunit (LT-IIB)', 122, NULL, 'LT-IIB', 39183),
(95458, 'PF10040', NULL, 'CRISPR-associated endoribonuclease Cas6', 86, NULL, 'CRISPR_Cas6', 39184),
(95459, 'PF16036', NULL, 'Chalcone isomerase-like', 165, NULL, 'Chalcone_3', 39185),
(95460, 'PF09408', NULL, 'Betacoronavirus spike glycoprotein S1, receptor binding', 190, NULL, 'bCoV_S1_RBD', 39186),
(95461, 'PF13054', NULL, 'Protein of unknown function (DUF3915)', 123, NULL, 'DUF3915', 39187),
(95462, 'PF03537', NULL, 'Glycoside-hydrolase family GH114', 232, NULL, 'Glyco_hydro_114', 39188),
(95463, 'PF12441', NULL, 'CopG antitoxin of type II toxin-antitoxin system', 79, NULL, 'CopG_antitoxin', 39189),
(95464, 'PF06880', NULL, 'Protein of unknown function (DUF1262)', 99, NULL, 'DUF1262', 39190),
(95465, 'PF07901', NULL, 'Protein of unknown function (DUF1672)', 271, NULL, 'DUF1672', 39191),
(95466, 'PF15546', NULL, 'Domain of unknown function (DUF4653)', 257, NULL, 'DUF4653', 39192),
(95467, 'PF03378', NULL, 'CAS/CSE protein, C-terminus', 443, NULL, 'CAS_CSE1', 39193),
(95468, 'PF13318', NULL, 'Protein of unknown function (DUF4089)', 50, NULL, 'DUF4089', 39194),
(95469, 'PF10928', NULL, 'Protein of unknown function (DUF2810)', 53, NULL, 'DUF2810', 39195),
(95470, 'PF19274', NULL, 'PI4-kinase N-terminal region', 1179, NULL, 'PI4K_N', 39196),
(95471, 'PF00918', NULL, 'Gastrin/cholecystokinin family', 127, NULL, 'Gastrin', 39197),
(95472, 'PF08205', NULL, 'CD80-like C2-set immunoglobulin domain', 89, NULL, 'C2-set_2', 39198),
(95473, 'PF16212', NULL, 'Phospholipid-translocating P-type ATPase C-terminal', 249, NULL, 'PhoLip_ATPase_C', 39199),
(95474, 'PF16772', NULL, 'Telomeric repeat-binding factor 2 Rap1-binding motif', 41, NULL, 'TERF2_RBM', 39200),
(95475, 'PF18280', NULL, 'Aminoglycoside adenyltransferase C-terminal domain', 104, NULL, 'AadA_C', 39201),
(95476, 'PF05313', NULL, 'Poxvirus P21 membrane protein', 189, NULL, 'Pox_P21', 39202),
(95477, 'PF01454', NULL, 'MAGE family', 212, NULL, 'MAGE', 39203),
(95478, 'PF14489', NULL, 'QueF-like protein', 81, NULL, 'QueF', 39204),
(95479, 'PF19304', NULL, 'D-3-phosphoglycerate dehydrogenase intervening domain', 119, NULL, 'PGDH_inter', 39205),
(95480, 'PF01664', NULL, 'Reovirus viral attachment protein sigma 1', 219, NULL, 'Reo_sigma1', 39206),
(95481, 'PF04346', NULL, 'Ethanolamine utilisation protein, EutH', 351, NULL, 'EutH', 39207),
(95482, 'PF08028', NULL, 'Acyl-CoA dehydrogenase, C-terminal domain', 134, NULL, 'Acyl-CoA_dh_2', 39208),
(95483, 'PF02270', NULL, 'TFIIF, beta subunit HTH domain', 65, NULL, 'TFIIF_beta', 39209),
(95484, 'PF11681', NULL, 'Protein of unknown function (DUF3277)', 144, NULL, 'DUF3277', 39210),
(95485, 'PF07534', NULL, 'TLD', 139, NULL, 'TLD', 39211),
(95486, 'PF04675', NULL, 'DNA ligase N terminus', 173, NULL, 'DNA_ligase_A_N', 39212),
(95487, 'PF01532', NULL, 'Glycosyl hydrolase family 47', 458, NULL, 'Glyco_hydro_47', 39213),
(95488, 'PF10781', NULL, 'Dextransucrase DSRB', 61, NULL, 'DSRB', 39214),
(95489, 'PF19223', NULL, 'Chroparavirus methyltransferase', 319, NULL, 'Chropara_Vmeth', 39215),
(95490, 'PF19887', NULL, 'Family of unknown function (DUF6360)', 91, NULL, 'DUF6360', 39216);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(95491, 'PF08410', NULL, 'Domain of unknown function (DUF1737)', 53, NULL, 'DUF1737', 39217),
(95492, 'PF04528', NULL, 'Adenovirus early E4 34 kDa protein conserved region', 145, NULL, 'Adeno_E4_34', 39218),
(95493, 'PF06463', NULL, 'Molybdenum Cofactor Synthesis C', 128, NULL, 'Mob_synth_C', 39219),
(95494, 'PF06297', NULL, 'PET Domain', 85, NULL, 'PET', 39220),
(95495, 'PF16518', NULL, 'T3SS negative regulator,GrlR', 112, NULL, 'GrlR', 39221),
(95496, 'PF09453', NULL, 'HIRA B motif', 23, NULL, 'HIRA_B', 39222),
(95497, 'PF16149', NULL, 'Domain of unknown function (DUF4857)', 270, NULL, 'DUF4857', 39223),
(95498, 'PF07663', NULL, 'Sorbitol phosphotransferase enzyme II C-terminus', 93, NULL, 'EIIBC-GUT_C', 39224),
(95499, 'PF15010', NULL, 'Putative cell signalling', 291, NULL, 'FAM131', 39225),
(95500, 'PF05511', NULL, 'Mitochondrial ATP synthase coupling factor 6', 98, NULL, 'ATP-synt_F6', 39226),
(95501, 'PF08707', NULL, 'Primase C terminal 2 (PriCT-2)', 77, NULL, 'PriCT_2', 39227),
(95502, 'PF02597', NULL, 'ThiS family', 77, NULL, 'ThiS', 39228),
(95503, 'PF05515', NULL, 'Viral nucleic acid binding', 222, NULL, 'Viral_NABP', 39229),
(95504, 'PF06102', NULL, 'rRNA biogenesis protein RRP36', 166, NULL, 'RRP36', 39230),
(95505, 'PF13539', NULL, 'D-alanyl-D-alanine carboxypeptidase', 67, NULL, 'Peptidase_M15_4', 39231),
(95506, 'PF08636', NULL, 'ER protein Pkr1', 73, NULL, 'Pkr1', 39232),
(95507, 'PF15439', NULL, 'Neuronal tyrosine-phosphorylated phosphoinositide-3-kinase adapter', 396, NULL, 'NYAP_N', 39233),
(95508, 'PF18126', NULL, 'Mitochondrial ribosomal protein mL59', 129, NULL, 'Mitoc_mL59', 39234),
(95509, 'PF04102', NULL, 'SlyX', 67, NULL, 'SlyX', 39235),
(95510, 'PF08820', NULL, 'Domain of unknown function (DUF1803)', 93, NULL, 'DUF1803', 39236),
(95511, 'PF11816', NULL, 'Domain of unknown function (DUF3337)', 172, NULL, 'DUF3337', 39237),
(95512, 'PF04060', NULL, 'Putative Fe-S cluster', 33, NULL, 'FeS', 39238),
(95513, 'PF12997', NULL, 'Domain of unknown function, E. rectale Gene description (DUF3881)', 283, NULL, 'DUF3881', 39239),
(95514, 'PF11626', NULL, 'TRF2-interacting telomeric protein/Rap1 - C terminal domain', 84, NULL, 'Rap1_C', 39240),
(95515, 'PF16919', NULL, 'Protein kinase G rubredoxin domain', 139, NULL, 'PknG_rubred', 39241),
(95516, 'PF05557', NULL, 'Mitotic checkpoint protein', 661, NULL, 'MAD', 39242),
(95517, 'PF06827', NULL, 'Zinc finger found in FPG and IleRS', 30, NULL, 'zf-FPG_IleRS', 39243),
(95518, 'PF09323', NULL, 'Domain of unknown function (DUF1980)', 181, NULL, 'DUF1980', 39244),
(95519, 'PF01909', NULL, 'Nucleotidyltransferase domain', 94, NULL, 'NTP_transf_2', 39245),
(95520, 'PF05023', NULL, 'Phytochelatin synthase', 210, NULL, 'Phytochelatin', 39246),
(95521, 'PF05796', NULL, 'Chordopoxvirus protein G2', 215, NULL, 'Chordopox_G2', 39247),
(95522, 'PF02625', NULL, 'XdhC and CoxI family', 68, NULL, 'XdhC_CoxI', 39248),
(95523, 'PF12106', NULL, 'Colicin E5 ribonuclease domain', 88, NULL, 'Colicin_E5', 39249),
(95524, 'PF12242', NULL, 'NAD(P)H binding domain of trans-2-enoyl-CoA reductase', 79, NULL, 'Eno-Rase_NADH_b', 39250),
(95525, 'PF11475', NULL, 'Virion protein N terminal domain', 32, NULL, 'VP_N-CPKC', 39251),
(95526, 'PF18470', NULL, 'Cas9 alpha-helical lobe domain', 223, NULL, 'Cas9_a', 39252),
(95527, 'PF01321', NULL, 'Creatinase/Prolidase N-terminal domain', 130, NULL, 'Creatinase_N', 39253),
(95528, 'PF02037', NULL, 'SAP domain', 35, NULL, 'SAP', 39254),
(95529, 'PF09650', NULL, 'Putative polyhydroxyalkanoic acid system protein (PHA_gran_rgn)', 87, NULL, 'PHA_gran_rgn', 39255),
(95530, 'PF04558', NULL, 'Glutaminyl-tRNA synthetase, non-specific RNA binding region part 1', 162, NULL, 'tRNA_synt_1c_R1', 39256),
(95531, 'PF17665', NULL, 'Family of unknown function (DUF5527)', 139, NULL, 'DUF5527', 39257),
(95532, 'PF17067', NULL, 'Ribosomal protein S31e', 99, NULL, 'RPS31', 39258),
(95533, 'PF14732', NULL, 'Ubiquitin/SUMO-activating enzyme ubiquitin-like domain', 89, NULL, 'UAE_UbL', 39259),
(95534, 'PF04307', NULL, 'LexA-binding, inner membrane-associated putative hydrolase', 173, NULL, 'YdjM', 39260);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(95535, 'PF16017', NULL, 'BTB/POZ domain', 106, NULL, 'BTB_3', 39261),
(95536, 'PF08290', NULL, 'Hepatitis core protein, putative zinc finger', 27, NULL, 'Hep_core_N', 39262),
(95537, 'PF14656', NULL, 'Rab3 GTPase-activating protein regulatory subunit C-terminus', 599, NULL, 'RAB3GAP2_C', 39263),
(95538, 'PF01241', NULL, 'Photosystem I psaG / psaK', 70, NULL, 'PSI_PSAK', 39264),
(95539, 'PF19754', NULL, 'Family of unknown function (DUF6241)', 90, NULL, 'DUF6241', 39265),
(95540, 'PF14365', NULL, 'Neprosin activation peptide', 119, NULL, 'Neprosin_AP', 39266),
(95541, 'PF17109', NULL, 'fungal STAND N-terminal Goodbye domain', 120, NULL, 'Goodbye', 39267),
(95542, 'PF03235', NULL, 'Protein of unknown function DUF262', 221, NULL, 'DUF262', 39268),
(95543, 'PF10275', NULL, 'Peptidase C65 Otubain', 249, NULL, 'Peptidase_C65', 39269),
(95544, 'PF05362', NULL, 'Lon protease (S16) C-terminal proteolytic domain', 205, NULL, 'Lon_C', 39270),
(95545, 'PF14658', NULL, 'EF-hand domain', 66, NULL, 'EF-hand_9', 39271),
(95546, 'PF13836', NULL, 'Domain of unknown function (DUF4195)', 184, NULL, 'DUF4195', 39272),
(95547, 'PF03630', NULL, 'Fumble', 333, NULL, 'Fumble', 39273),
(95548, 'PF19204', NULL, 'Family of unknown function (DUF5876)', 561, NULL, 'DUF5876', 39274),
(95549, 'PF01931', NULL, 'Protein of unknown function DUF84', 163, NULL, 'NTPase_I-T', 39275),
(95550, 'PF08912', NULL, 'Rho Binding', 69, NULL, 'Rho_Binding', 39276),
(95551, 'PF19002', NULL, 'Family of unknown function (DUF5731)', 108, NULL, 'DUF5731', 39277),
(95552, 'PF04683', NULL, 'Proteasome complex subunit Rpn13 ubiquitin receptor', 87, NULL, 'Proteasom_Rpn13', 39278),
(95553, 'PF06058', NULL, 'Dcp1-like decapping family', 117, NULL, 'DCP1', 39279),
(95554, 'PF18718', NULL, 'CxC5 like cysteine cluster associated with KDZ transposases', 117, NULL, 'CxC5', 39280),
(95555, 'PF07221', NULL, 'N-acylglucosamine 2-epimerase (GlcNAc 2-epimerase)', 346, NULL, 'GlcNAc_2-epim', 39281),
(95556, 'PF17415', NULL, 'NigD-like C-terminal beta sandwich domain', 120, NULL, 'NigD_C', 39282),
(95557, 'PF07527', NULL, 'Hairy Orange', 40, NULL, 'Hairy_orange', 39283),
(95558, 'PF11208', NULL, 'Protein of unknown function (DUF2992)', 132, NULL, 'DUF2992', 39284),
(95559, 'PF18069', NULL, 'DR2241 stabilising domain', 111, NULL, 'DR2241', 39285),
(95560, 'PF02577', NULL, 'Domain of unknown function (DUF151)', 114, NULL, 'DUF151', 39286),
(95561, 'PF12525', NULL, 'Protein of unknown function (DUF3726)', 73, NULL, 'DUF3726', 39287),
(95562, 'PF19870', NULL, 'Family of unknown function (DUF6343)', 82, NULL, 'DUF6343', 39288),
(95563, 'PF01094', NULL, 'Receptor family ligand binding region', 354, NULL, 'ANF_receptor', 39289),
(95564, 'PF09425', NULL, 'Jas motif', 26, NULL, 'Jas_motif', 39290),
(95565, 'PF14996', NULL, 'Retinal Maintenance', 154, NULL, 'RMP', 39291),
(95566, 'PF19016', NULL, 'Domain of unknown function (DUF5745)', 58, NULL, 'DUF5745', 39292),
(95567, 'PF03398', NULL, 'Regulator of Vps4 activity in the MVB pathway', 164, NULL, 'Ist1', 39293),
(95568, 'PF19342', NULL, 'MGP3 C-terminal domain', 113, NULL, 'MGP3_C', 39294),
(95569, 'PF03528', NULL, 'Rabaptin', 486, NULL, 'Rabaptin', 39295),
(95570, 'PF17720', NULL, 'Family of unknown function (DUF5565)', 324, NULL, 'DUF5565', 39296),
(95571, 'PF05024', NULL, 'N-acetylglucosaminyl transferase component (Gpi1)', 187, NULL, 'Gpi1', 39297),
(95572, 'PF00038', NULL, 'Intermediate filament protein', 312, NULL, 'Filament', 39298),
(95573, 'PF06937', NULL, 'EURL protein', 283, NULL, 'EURL', 39299),
(95574, 'PF17272', NULL, 'Family of unknown function (DUF5337)', 74, NULL, 'DUF5337', 39300),
(95575, 'PF19184', NULL, 'Family of unknown function (DUF5866)', 74, NULL, 'DUF5866', 39301),
(95576, 'PF05541', NULL, 'Entomopoxvirus spheroidin protein', 944, NULL, 'Spheroidin', 39302),
(95577, 'PF12887', NULL, 'SICA extracellular alpha domain', 183, NULL, 'SICA_alpha', 39303),
(95578, 'PF12487', NULL, 'Protein of unknown function (DUF3703)', 109, NULL, 'DUF3703', 39304),
(95579, 'PF10277', NULL, 'Frag1/DRAM/Sfk1 family', 219, NULL, 'Frag1', 39305);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(95580, 'PF08798', NULL, 'CRISPR associated protein', 228, NULL, 'CRISPR_assoc', 39306),
(95581, 'PF16143', NULL, 'Domain of unknown function (DUF4851)', 195, NULL, 'DUF4851', 39307),
(95582, 'PF17233', NULL, 'Family of unknown function (DUF5308)', 165, NULL, 'DUF5308', 39308),
(95583, 'PF09356', NULL, 'Phage conserved hypothetical protein BR0599', 80, NULL, 'Phage_BR0599', 39309),
(95584, 'PF15766', NULL, 'Domain of unknown function (DUF4695)', 108, NULL, 'DUF4695', 39310),
(95585, 'PF01938', NULL, 'TRAM domain', 62, NULL, 'TRAM', 39311),
(95586, 'PF04425', NULL, 'Bul1 N terminus', 451, NULL, 'Bul1_N', 39312),
(95587, 'PF10690', NULL, 'Myticin pre-proprotein from the mussel', 98, NULL, 'Myticin-prepro', 39313),
(95588, 'PF16379', NULL, 'Domain of unknown function (DUF4989)', 293, NULL, 'DUF4989', 39314),
(95589, 'PF09670', NULL, 'CRISPR-associated protein (Cas_Cas02710)', 380, NULL, 'Cas_Cas02710', 39315),
(95590, 'PF13607', NULL, 'Succinyl-CoA ligase like flavodoxin domain', 138, NULL, 'Succ_CoA_lig', 39316),
(95591, 'PF10606', NULL, 'Homer-binding domain of metabotropic glutamate receptor', 51, NULL, 'GluR_Homer-bdg', 39317),
(95592, 'PF19421', NULL, 'Furry protein C-terminal', 695, NULL, 'Fry_C', 39318),
(95593, 'PF03954', NULL, 'Hepatic lectin, N-terminal domain', 140, NULL, 'Lectin_N', 39319),
(95594, 'PF11046', NULL, 'Transcriptional repressor of hyc and hyp operons', 146, NULL, 'HycA_repressor', 39320),
(95595, 'PF09022', NULL, 'Staphostatin A', 105, NULL, 'Staphostatin_A', 39321),
(95596, 'PF19463', NULL, 'Family of unknown function (DUF6000)', 185, NULL, 'DUF6000', 39322),
(95597, 'PF18322', NULL, 'Serine protease Clip domain PPAF-2', 53, NULL, 'CLIP_1', 39323),
(95598, 'PF00171', NULL, 'Aldehyde dehydrogenase family', 462, NULL, 'Aldedh', 39324),
(95599, 'PF03734', NULL, 'L,D-transpeptidase catalytic domain', 146, NULL, 'YkuD', 39325),
(95600, 'PF11802', NULL, 'Centromere-associated protein K', 264, NULL, 'CENP-K', 39326),
(95601, 'PF12273', NULL, 'Chitin synthesis regulation, resistance to Congo red', 119, NULL, 'RCR', 39327),
(95602, 'PF16952', NULL, 'Glutamine synthetase N-terminal domain', 107, NULL, 'Gln-synt_N_2', 39328),
(95603, 'PF11265', NULL, 'Mediator complex subunit 25 von Willebrand factor type A', 213, NULL, 'Med25_VWA', 39329),
(95604, 'PF13557', NULL, 'Putative MetA-pathway of phenol degradation', 241, NULL, 'Phenol_MetA_deg', 39330),
(95605, 'PF18905', NULL, 'Protein of unknown function (DUF5661)', 71, NULL, 'DUF5661', 39331),
(95606, 'PF07023', NULL, 'Protein of unknown function (DUF1315)', 82, NULL, 'DUF1315', 39332),
(95607, 'PF00878', NULL, 'Cation-independent mannose-6-phosphate receptor repeat', 143, NULL, 'CIMR', 39333),
(95608, 'PF07308', NULL, 'Protein of unknown function (DUF1456)', 68, NULL, 'DUF1456', 39334),
(95609, 'PF15840', NULL, 'ADP-ribosylation factor-like protein 17', 62, NULL, 'ARL17', 39335),
(95610, 'PF05373', NULL, 'L-proline 3-hydroxylase, C-terminal', 101, NULL, 'Pro_3_hydrox_C', 39336),
(95611, 'PF16541', NULL, 'Alternaria alternata allergen 1', 110, NULL, 'AltA1', 39337),
(95612, 'PF02076', NULL, 'Pheromone A receptor', 289, NULL, 'STE3', 39338),
(95613, 'PF14952', NULL, 'Putative treble-clef, zinc-finger, Zn-binding', 42, NULL, 'zf-tcix', 39339),
(95614, 'PF04137', NULL, 'Endoplasmic Reticulum Oxidoreductin 1 (ERO1)', 353, NULL, 'ERO1', 39340),
(95615, 'PF16411', NULL, 'Outer membrane protein SusF_SusE', 130, NULL, 'SusF_SusE', 39341),
(95616, 'PF04629', NULL, 'Islet cell autoantigen ICA69, C-terminal domain', 249, NULL, 'ICA69', 39342),
(95617, 'PF05775', NULL, 'Enterobacteria AfaD invasin protein', 105, NULL, 'AfaD', 39343),
(95618, 'PF01678', NULL, 'Diaminopimelate epimerase', 121, NULL, 'DAP_epimerase', 39344),
(95619, 'PF15831', NULL, 'Domain of unknown function (DUF4713)', 56, NULL, 'DUF4713', 39345),
(95620, 'PF06289', NULL, 'Flagellar and Swarming motility proteins', 59, NULL, 'FlbD', 39346),
(95621, 'PF17128', NULL, 'Domain of unknown function (DUF5107)', 295, NULL, 'DUF5107', 39347),
(95622, 'PF15047', NULL, 'Protein of unknown function (DUF4533)', 225, NULL, 'DUF4533', 39348);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(95623, 'PF04499', NULL, 'SIT4 phosphatase-associated protein', 490, NULL, 'SAPS', 39349),
(95624, 'PF04267', NULL, 'Sarcosine oxidase, delta subunit family', 82, NULL, 'SoxD', 39350),
(95625, 'PF15143', NULL, 'Domain of unknown function (DUF4575)', 129, NULL, 'DUF4575', 39351),
(95626, 'PF02590', NULL, 'Predicted SPOUT methyltransferase', 154, NULL, 'SPOUT_MTase', 39352),
(95627, 'PF03804', NULL, 'Viral proteins of unknown function', 73, NULL, 'DUF325', 39353),
(95628, 'PF07231', NULL, 'Hs1pro-1 N-terminus', 200, NULL, 'Hs1pro-1_N', 39354),
(95629, 'PF06466', NULL, 'PCAF (P300/CBP-associated factor) N-terminal domain', 250, NULL, 'PCAF_N', 39355),
(95630, 'PF13242', NULL, 'HAD-hyrolase-like', 75, NULL, 'Hydrolase_like', 39356),
(95631, 'PF19618', NULL, 'Family of unknown function (DUF6123)', 89, NULL, 'DUF6123', 39357),
(95632, 'PF11388', NULL, 'Phagosome trafficking protein DotA', 105, NULL, 'DotA', 39358),
(95633, 'PF18298', NULL, 'NusG additional domain', 109, NULL, 'NusG_add', 39359),
(95634, 'PF15687', NULL, 'Nuclear receptor-interacting protein 1 repression 1', 305, NULL, 'NRIP1_repr_1', 39360),
(95635, 'PF00115', NULL, 'Cytochrome C and Quinol oxidase polypeptide I', 432, NULL, 'COX1', 39361),
(95636, 'PF04807', NULL, 'Geminivirus AC4/5 conserved region', 33, NULL, 'Gemini_AC4_5', 39362),
(95637, 'PF14147', NULL, 'Sporulation protein YhaL', 52, NULL, 'Spore_YhaL', 39363),
(95638, 'PF00037', NULL, '4Fe-4S binding domain', 24, NULL, 'Fer4', 39364),
(95639, 'PF15802', NULL, 'DDB1- and CUL4-associated factor 17', 474, NULL, 'DCAF17', 39365),
(95640, 'PF10514', NULL, 'Pro-apoptotic Bcl-2 protein, BAD', 166, NULL, 'Bcl-2_BAD', 39366),
(95641, 'PF07954', NULL, 'Protein of unknown function (DUF1689)', 146, NULL, 'DUF1689', 39367),
(95642, 'PF11638', NULL, 'DnaA N-terminal domain', 64, NULL, 'DnaA_N', 39368),
(95643, 'PF13620', NULL, 'Carboxypeptidase regulatory-like domain', 82, NULL, 'CarboxypepD_reg', 39369),
(95644, 'PF00870', NULL, 'P53 DNA-binding domain', 188, NULL, 'P53', 39370),
(95645, 'PF07290', NULL, 'Protein of unknown function (DUF1449)', 202, NULL, 'DUF1449', 39371),
(95646, 'PF07666', NULL, 'M penetrans paralogue family 26', 75, NULL, 'MpPF26', 39372),
(95647, 'PF06585', NULL, 'Haemolymph juvenile hormone binding protein (JHBP)', 240, NULL, 'JHBP', 39373),
(95648, 'PF02126', NULL, 'Phosphotriesterase family', 298, NULL, 'PTE', 39374),
(95649, 'PF19188', NULL, 'Adhesion GPCR B N-terminal region', 177, NULL, 'AGRB_N', 39375),
(95650, 'PF11160', NULL, 'Hypervirulence associated proteins TUDOR domain', 59, NULL, 'Hva1_TUDOR', 39376),
(95651, 'PF04724', NULL, 'Glycosyltransferase family 17', 349, NULL, 'Glyco_transf_17', 39377),
(95652, 'PF05979', NULL, 'Bacterial protein of unknown function (DUF896)', 64, NULL, 'DUF896', 39378),
(95653, 'PF19862', NULL, 'Family of unknown function (DUF6336)', 128, NULL, 'DUF6336', 39379),
(95654, 'PF15791', NULL, 'Doublesex-and mab-3-related transcription factor C1 and C2', 119, NULL, 'DMRT-like', 39380),
(95655, 'PF00796', NULL, 'Photosystem I reaction centre subunit VIII', 25, NULL, 'PSI_8', 39381),
(95656, 'PF02063', NULL, 'MARCKS family', 281, NULL, 'MARCKS', 39382),
(95657, 'PF06690', NULL, 'FeGP cofactor biosynthesis protein, methyltransferase HcgC', 248, NULL, 'HcgC', 39383),
(95658, 'PF11950', NULL, 'Protein of unknown function (DUF3467)', 92, NULL, 'DUF3467', 39384),
(95659, 'PF02797', NULL, 'Chalcone and stilbene synthases, C-terminal domain', 151, NULL, 'Chal_sti_synt_C', 39385),
(95660, 'PF10944', NULL, 'Protein of unknown function (DUF2630)', 80, NULL, 'DUF2630', 39386),
(95661, 'PF11482', NULL, 'Protein of unknown function (DUF3208)', 110, NULL, 'DUF3208', 39387),
(95662, 'PF19353', NULL, 'Family of unknown function (DUF5930)', 320, NULL, 'DUF5930', 39388),
(95663, 'PF03821', NULL, 'Golgi 4-transmembrane spanning transporter', 229, NULL, 'Mtp', 39389),
(95664, 'PF07876', NULL, 'Stress responsive A/B Barrel Domain', 97, NULL, 'Dabb', 39390),
(95665, 'PF05354', NULL, 'Phage Head-Tail Attachment', 117, NULL, 'Phage_attach', 39391),
(95666, 'PF19756', NULL, 'Family of unknown function (DUF6243)', 67, NULL, 'DUF6243', 39392);
INSERT INTO "PUBLIC"."MODEL" VALUES
(95667, 'PF17405', NULL, 'Nrap protein nucleotidyltransferase domain 4', 208, NULL, 'Nrap_D4', 39393),
(95668, 'PF02545', NULL, 'Maf-like protein', 189, NULL, 'Maf', 39394),
(95669, 'PF08882', NULL, 'Acetone carboxylase gamma subunit', 114, NULL, 'Acetone_carb_G', 39395),
(95670, 'PF19455', NULL, 'Family of unknown function (DUF5993)', 50, NULL, 'DUF5993', 39396),
(95671, 'PF14134', NULL, 'Domain of unknown function (DUF4301)', 508, NULL, 'DUF4301', 39397),
(95672, 'PF02233', NULL, 'NAD(P) transhydrogenase beta subunit', 460, NULL, 'PNTB', 39398),
(95673, 'PF05973', NULL, 'Phage derived protein Gp49-like (DUF891)', 90, NULL, 'Gp49', 39399),
(95674, 'PF06361', NULL, 'Rice tungro bacilliform virus P12 protein', 110, NULL, 'RTBV_P12', 39400),
(95675, 'PF06966', NULL, 'Protein of unknown function (DUF1295)', 235, NULL, 'DUF1295', 39401),
(95676, 'PF19876', NULL, 'Family of unknown function (DUF6349)', 186, NULL, 'DUF6349', 39402),
(95677, 'PF08033', NULL, 'Sec23/Sec24 beta-sandwich domain', 96, NULL, 'Sec23_BS', 39403),
(95678, 'PF17852', NULL, 'Dynein heavy chain AAA lid domain', 131, NULL, 'Dynein_AAA_lid', 39404),
(95679, 'PF01763', NULL, 'Herpesvirus UL6 like', 563, NULL, 'Herpes_UL6', 39405),
(95680, 'PF08593', NULL, 'Domain of unknown function', 58, NULL, 'DUF1773', 39406),
(95681, 'PF02112', NULL, 'cAMP phosphodiesterases class-II', 338, NULL, 'PDEase_II', 39407),
(95682, 'PF17304', NULL, 'Family of unknown function (DUF5353)', 68, NULL, 'DUF5353', 39408),
(95683, 'PF02609', NULL, 'Exonuclease VII small subunit', 52, NULL, 'Exonuc_VII_S', 39409),
(95684, 'PF08210', NULL, 'APOBEC-like N-terminal domain', 185, NULL, 'APOBEC_N', 39410),
(95685, 'PF11644', NULL, 'Protein of unknown function (DUF3256)', 195, NULL, 'DUF3256', 39411),
(95686, 'PF10899', NULL, 'Putative abortive phage resistance protein AbiGi, antitoxin', 174, NULL, 'AbiGi', 39412),
(95687, 'PF15697', NULL, 'Domain of unknown function (DUF4666)', 113, NULL, 'DUF4666', 39413),
(95688, 'PF09469', NULL, 'Cordon-bleu ubiquitin-like domain', 92, NULL, 'Cobl', 39414),
(95689, 'PF13816', NULL, 'Haem-containing dehydratase', 310, NULL, 'Dehydratase_hem', 39415),
(95690, 'PF15502', NULL, 'M-phase-specific PLK1-interacting protein', 65, NULL, 'MPLKIP', 39416),
(95691, 'PF02725', NULL, 'Non-structural protein C', 164, NULL, 'Paramyxo_NS_C', 39417),
(95692, 'PF05368', NULL, 'NmrA-like family', 233, NULL, 'NmrA', 39418),
(95693, 'PF03996', NULL, 'Hemagglutinin esterase', 238, NULL, 'Hema_esterase', 39419),
(95694, 'PF07776', NULL, 'Zinc-finger associated domain (zf-AD)', 77, NULL, 'zf-AD', 39420),
(95695, 'PF06725', NULL, '3D domain', 75, NULL, '3D', 39421),
(95696, 'PF01229', NULL, 'Glycosyl hydrolases family 39', 472, NULL, 'Glyco_hydro_39', 39422),
(95697, 'PF10065', NULL, 'Uncharacterized conserved protein (DUF2303)', 269, NULL, 'DUF2303', 39423),
(95698, 'PF13356', NULL, 'Arm DNA-binding domain', 76, NULL, 'Arm-DNA-bind_3', 39424),
(95699, 'PF04442', NULL, 'Cytochrome c oxidase assembly protein CtaG/Cox11', 149, NULL, 'CtaG_Cox11', 39425),
(95700, 'PF06336', NULL, 'Coronavirus 5a protein', 64, NULL, 'Corona_5a', 39426),
(95701, 'PF00674', NULL, 'DUP family', 103, NULL, 'DUP', 39427),
(95702, 'PF13109', NULL, 'AsmA-like C-terminal region', 214, NULL, 'AsmA_1', 39428),
(95703, 'PF13943', NULL, 'WPP domain', 99, NULL, 'WPP', 39429),
(95704, 'PF02750', NULL, 'Synapsin, ATP binding domain', 203, NULL, 'Synapsin_C', 39430),
(95705, 'PF02784', NULL, 'Pyridoxal-dependent decarboxylase, pyridoxal binding domain', 247, NULL, 'Orn_Arg_deC_N', 39431),
(95706, 'PF16800', NULL, 'IseA DL-endopeptidase inhibitor', 150, NULL, 'Endopep_inhib', 39432),
(95707, 'PF06305', NULL, 'Lipopolysaccharide assembly protein A domain', 64, NULL, 'LapA_dom', 39433),
(95708, 'PF16310', NULL, 'Domian of unknown function (DUF4952)', 77, NULL, 'DUF4952', 39434),
(95709, 'PF03603', NULL, 'DNA polymerase III psi subunit', 126, NULL, 'DNA_III_psi', 39435),
(95710, 'PF05189', NULL, 'RNA 3''-terminal phosphate cyclase (RTC), insert domain', 103, NULL, 'RTC_insert', 39436),
(95711, 'PF04309', NULL, 'Glycerol-3-phosphate responsive antiterminator', 173, NULL, 'G3P_antiterm', 39437);
INSERT INTO "PUBLIC"."MODEL" VALUES
(95712, 'PF09735', NULL, 'Membrane-associated apoptosis protein', 1119, NULL, 'Nckap1', 39438),
(95713, 'PF00958', NULL, 'GMP synthase C terminal domain', 92, NULL, 'GMP_synt_C', 39439),
(95714, 'PF07453', NULL, 'NUMOD1 domain', 37, NULL, 'NUMOD1', 39440),
(95715, 'PF03824', NULL, 'High-affinity nickel-transport protein', 287, NULL, 'NicO', 39441),
(95716, 'PF05411', NULL, 'Equine arteritis virus putative proteinase', 128, NULL, 'Peptidase_C32', 39442),
(95717, 'PF18779', NULL, 'Capping Ribonuclease inhibitor Leucine Rich Repeat', 30, NULL, 'LRR_RI_capping', 39443),
(95718, 'PF14536', NULL, 'Domain of unknown function (DUF4441)', 117, NULL, 'DUF4441', 39444),
(95719, 'PF09893', NULL, 'Uncharacterized protein conserved in archaea (DUF2120)', 136, NULL, 'DUF2120', 39445),
(95720, 'PF06720', NULL, 'Bacteriophage phi-29 early protein GP16.7', 130, NULL, 'Phi-29_GP16_7', 39446),
(95721, 'PF09514', NULL, 'SSXRD motif', 31, NULL, 'SSXRD', 39447),
(95722, 'PF08819', NULL, 'Domain of unknown function (DUF1802)', 175, NULL, 'DUF1802', 39448),
(95723, 'PF10031', NULL, 'Small integral membrane protein (DUF2273)', 48, NULL, 'DUF2273', 39449),
(95724, 'PF04609', NULL, 'Methyl-coenzyme M reductase operon protein C', 271, NULL, 'MCR_C', 39450),
(95725, 'PF02296', NULL, 'Alpha adaptin AP2, C-terminal domain', 113, NULL, 'Alpha_adaptin_C', 39451),
(95726, 'PF02602', NULL, 'Uroporphyrinogen-III synthase HemD', 232, NULL, 'HEM4', 39452),
(95727, 'PF04455', NULL, 'LOR/SDH bifunctional enzyme conserved region', 100, NULL, 'Saccharop_dh_N', 39453),
(95728, 'PF12218', NULL, 'N terminal extension of bacteriophage endosialidase', 67, NULL, 'End_N_terminal', 39454),
(95729, 'PF16233', NULL, 'Domain of unknown function (DUF4893)', 169, NULL, 'DUF4893', 39455),
(95730, 'PF19160', NULL, 'SPARK', 163, NULL, 'SPARK', 39456),
(95731, 'PF16688', NULL, 'Replicase polyprotein N-term from Coronavirus nsp1', 108, NULL, 'CNV-Replicase_N', 39457),
(95732, 'PF10220', NULL, 'Smg8_Smg9', 886, NULL, 'Smg8_Smg9', 39458),
(95733, 'PF18143', NULL, 'HAD domain in Swiss Army Knife RNA repair proteins', 141, NULL, 'HAD_SAK_2', 39459),
(95734, 'PF16536', NULL, 'PNKP adenylyltransferase domain, C-terminal region', 60, NULL, 'PNKP-ligase_C', 39460),
(95735, 'PF09718', NULL, 'Lambda phage tail tape-measure protein (Tape_meas_lam_C)', 76, NULL, 'Tape_meas_lam_C', 39461),
(95736, 'PF09989', NULL, 'CoA enzyme activase uncharacterised domain (DUF2229)', 216, NULL, 'DUF2229', 39462),
(95737, 'PF07714', NULL, 'Protein tyrosine and serine/threonine kinase', 259, NULL, 'PK_Tyr_Ser-Thr', 39463),
(95738, 'PF12458', NULL, 'ATPase involved in DNA repair', 447, NULL, 'DUF3686', 39464),
(95739, 'PF17082', NULL, 'Spindle Pole Component 29', 244, NULL, 'Spc29', 39465),
(95740, 'PF04537', NULL, 'Herpesvirus UL55 protein', 164, NULL, 'Herpes_UL55', 39466),
(95741, 'PF06671', NULL, 'Repeat of unknown function (DUF1174)', 25, NULL, 'DUF1174', 39467),
(95742, 'PF06841', NULL, 'T4-like virus tail tube protein gp19', 134, NULL, 'Phage_T4_gp19', 39468),
(95743, 'PF13028', NULL, 'Protein of unknown function (DUF3889)', 94, NULL, 'DUF3889', 39469),
(95744, 'PF19901', NULL, 'Family of unknown function (DUF6374)', 59, NULL, 'DUF6374', 39470),
(95745, 'PF10870', NULL, 'Protein of unknown function (DUF2729)', 57, NULL, 'DUF2729', 39471),
(95746, 'PF19367', NULL, 'Domain of unknown function (DUF5943)', 96, NULL, 'DUF5943', 39472),
(95747, 'PF17801', NULL, 'Alpha galactosidase C-terminal beta sandwich domain', 71, NULL, 'Melibiase_C', 39473),
(95748, 'PF15317', NULL, 'Cardiac transcription factor regulator, Developmental protein', 102, NULL, 'Lbh', 39474),
(95749, 'PF15035', NULL, 'Ciliary rootlet component, centrosome cohesion', 191, NULL, 'Rootletin', 39475),
(95750, 'PF01238', NULL, 'Phosphomannose isomerase type I', 373, NULL, 'PMI_typeI', 39476),
(95751, 'PF11083', NULL, 'Lantibiotic streptin immunity protein', 93, NULL, 'Streptin-Immun', 39477),
(95752, 'PF01308', NULL, 'Chlamydia major outer membrane protein', 393, NULL, 'Chlam_OMP', 39478),
(95753, 'PF10895', NULL, 'Domain of unknown function (DUF2715)', 176, NULL, 'DUF2715', 39479);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(95754, 'PF09309', NULL, 'FCP1, C-terminal', 260, NULL, 'FCP1_C', 39480),
(95755, 'PF03969', NULL, 'AFG1-like ATPase', 361, NULL, 'AFG1_ATPase', 39481),
(95756, 'PF04239', NULL, 'Protein of unknown function (DUF421)', 109, NULL, 'DUF421', 39482),
(95757, 'PF18982', NULL, 'Family of unknown function (DUF5716)', 434, NULL, 'DUF5716', 39483),
(95758, 'PF12825', NULL, 'Domain of unknown function in PX-proteins (DUF3818)', 340, NULL, 'DUF3818', 39484),
(95759, 'PF01671', NULL, 'African swine fever virus multigene family 360 protein', 215, NULL, 'ASFV_360', 39485),
(95760, 'PF02902', NULL, 'Ulp1 protease family, C-terminal catalytic domain', 216, NULL, 'Peptidase_C48', 39486),
(95761, 'PF16729', NULL, 'Domain of unknown function (DUF5067)', 126, NULL, 'DUF5067', 39487),
(95762, 'PF14122', NULL, 'YokU-like protein, putative antitoxin', 87, NULL, 'YokU', 39488),
(95763, 'PF12413', NULL, 'Homeobox protein distal-less-like N terminal', 85, NULL, 'DLL_N', 39489),
(95764, 'PF13579', NULL, 'Glycosyl transferase 4-like domain', 159, NULL, 'Glyco_trans_4_4', 39490),
(95765, 'PF13467', NULL, 'Ribbon-helix-helix domain', 65, NULL, 'RHH_4', 39491),
(95766, 'PF02463', NULL, 'RecF/RecN/SMC N terminal domain', 220, NULL, 'SMC_N', 39492),
(95767, 'PF07590', NULL, 'Protein of unknown function (DUF1556)', 82, NULL, 'DUF1556', 39493),
(95768, 'PF14695', NULL, 'Lines C-terminus', 37, NULL, 'LINES_C', 39494),
(95769, 'PF15325', NULL, 'Modulator of retrovirus infection', 100, NULL, 'MRI', 39495),
(95770, 'PF18368', NULL, 'Exo-beta-D-glucosaminidase Ig-fold domain', 105, NULL, 'Ig_GlcNase', 39496),
(95771, 'PF05561', NULL, 'Borrelia burgdorferi protein of unknown function (DUF764)', 180, NULL, 'DUF764', 39497),
(95772, 'PF18391', NULL, 'CHIP N-terminal tetratricopeptide repeat domain', 83, NULL, 'CHIP_TPR_N', 39498),
(95773, 'PF02024', NULL, 'Leptin', 145, NULL, 'Leptin', 39499),
(95774, 'PF17022', NULL, 'Polar tube protein 2 from Microsporidia', 217, NULL, 'PTP2', 39500),
(95775, 'PF17897', NULL, 'Vanadium chloroperoxidase N-terminal domain', 216, NULL, 'VCPO_N', 39501),
(95776, 'PF19530', NULL, 'NAD(P)H-quinone oxidoreductase subunit 2 N-terminal', 100, NULL, 'Ndh2_N', 39502),
(95777, 'PF04334', NULL, 'Protein of unknown function (DUF478)', 68, NULL, 'DUF478', 39503),
(95778, 'PF14033', NULL, 'Protein of unknown function (DUF4246)', 453, NULL, 'DUF4246', 39504),
(95779, 'PF16514', NULL, 'putative NADH-ubiquinone oxidoreductase chain E', 74, NULL, 'NADH-UOR_E', 39505),
(95780, 'PF02928', NULL, 'C5HC2 zinc finger', 53, NULL, 'zf-C5HC2', 39506),
(95781, 'PF13925', NULL, 'con80 domain of Katanin', 160, NULL, 'Katanin_con80', 39507),
(95782, 'PF14505', NULL, 'Domain of unknown function (DUF4438)', 259, NULL, 'DUF4438', 39508),
(95783, 'PF02059', NULL, 'Interleukin-3', 117, NULL, 'IL3', 39509),
(95784, 'PF10245', NULL, 'Mitochondrial 28S ribosomal protein S22', 243, NULL, 'MRP-S22', 39510),
(95785, 'PF14468', NULL, 'Protein of unknown function (DUF4427)', 132, NULL, 'DUF4427', 39511),
(95786, 'PF18136', NULL, 'DNA mitochondrial polymerase exonuclease domain', 282, NULL, 'DNApol_Exo', 39512),
(95787, 'PF18271', NULL, 'Glycoside hydrolase 131 catalytic N-terminal domain', 255, NULL, 'GH131_N', 39513),
(95788, 'PF00295', NULL, 'Glycosyl hydrolases family 28', 325, NULL, 'Glyco_hydro_28', 39514),
(95789, 'PF17045', NULL, 'Centrosomal protein of 63 kDa', 268, NULL, 'CEP63', 39515),
(95790, 'PF17613', NULL, 'Modifier of transcription', 162, NULL, 'motB', 39516),
(95791, 'PF00159', NULL, 'Pancreatic hormone peptide', 36, NULL, 'Hormone_3', 39517),
(95792, 'PF01138', NULL, '3'' exoribonuclease family, domain 1', 132, NULL, 'RNase_PH', 39518),
(95793, 'PF05108', NULL, 'Type VII secretion system ESX-1, transport TM domain B', 474, NULL, 'T7SS_ESX1_EccB', 39519),
(95794, 'PF08751', NULL, 'TrwC relaxase', 292, NULL, 'TrwC', 39520),
(95795, 'PF03126', NULL, 'Plus-3 domain', 109, NULL, 'Plus-3', 39521),
(95796, 'PF03107', NULL, 'C1 domain', 47, NULL, 'C1_2', 39522),
(95797, 'PF02213', NULL, 'GYF domain', 45, NULL, 'GYF', 39523),
(95798, 'PF18084', NULL, 'ARTD15 N-terminal domain', 85, NULL, 'ARTD15_N', 39524);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(95799, 'PF04616', NULL, 'Glycosyl hydrolases family 43', 288, NULL, 'Glyco_hydro_43', 39525),
(95800, 'PF14149', NULL, 'YhfH-like protein', 37, NULL, 'YhfH', 39526),
(95801, 'PF18203', NULL, 'IPTL-CTERM motif', 28, NULL, 'IPTL-CTERM', 39527),
(95802, 'PF19469', NULL, 'Family of unknown function (DUF6006)', 140, NULL, 'DUF6006', 39528),
(95803, 'PF06534', NULL, 'Repulsive guidance molecule (RGM) C-terminus', 173, NULL, 'RGM_C', 39529),
(95804, 'PF00646', NULL, 'F-box domain', 43, NULL, 'F-box', 39530),
(95805, 'PF15291', NULL, 'Dermcidin, antibiotic peptide', 99, NULL, 'Dermcidin', 39531),
(95806, 'PF12420', NULL, 'Protein of unknown function', 115, NULL, 'DUF3671', 39532),
(95807, 'PF15838', NULL, 'LLLL and CFNLAS motif-containing protein 1', 72, NULL, 'LLCFC1', 39533),
(95808, 'PF15721', NULL, 'Annexin-2 receptor', 190, NULL, 'ANXA2R', 39534),
(95809, 'PF03265', NULL, 'Deoxyribonuclease II', 324, NULL, 'DNase_II', 39535),
(95810, 'PF06046', NULL, 'Exocyst complex component Sec6', 576, NULL, 'Sec6', 39536),
(95811, 'PF07302', NULL, 'AroM protein', 218, NULL, 'AroM', 39537),
(95812, 'PF10788', NULL, 'Protein of unknown function (DUF2603)', 137, NULL, 'DUF2603', 39538),
(95813, 'PF13690', NULL, 'Chemotaxis phosphatase CheX', 94, NULL, 'CheX', 39539),
(95814, 'PF13778', NULL, 'Domain of unknown function (DUF4174)', 120, NULL, 'DUF4174', 39540),
(95815, 'PF16178', NULL, 'Dimerisation domain of Ca+-activated chloride-channel, anoctamin', 228, NULL, 'Anoct_dimer', 39541),
(95816, 'PF19780', NULL, 'Domain of unknown function (DUF6265)', 118, NULL, 'DUF6265', 39542),
(95817, 'PF01015', NULL, 'Ribosomal S3Ae family', 191, NULL, 'Ribosomal_S3Ae', 39543),
(95818, 'PF16974', NULL, 'High-affinity nitrate transporter accessory', 174, NULL, 'NAR2', 39544),
(95819, 'PF07168', NULL, 'Ureide permease', 361, NULL, 'Ureide_permease', 39545),
(95820, 'PF02313', NULL, 'Fumarate reductase subunit D', 114, NULL, 'Fumarate_red_D', 39546),
(95821, 'PF18369', NULL, 'Polyketide synthase dimerisation element domain', 45, NULL, 'PKS_DE', 39547),
(95822, 'PF08067', NULL, 'ROKNT (NUC014) domain', 41, NULL, 'ROKNT', 39548),
(95823, 'PF16612', NULL, 'C-terminal unstructured region of RGS12', 138, NULL, 'RGS12_usC', 39549),
(95824, 'PF00282', NULL, 'Pyridoxal-dependent decarboxylase conserved domain', 375, NULL, 'Pyridoxal_deC', 39550),
(95825, 'PF10242', NULL, 'Lipoma HMGIC fusion partner-like protein', 181, NULL, 'L_HMGIC_fpl', 39551),
(95826, 'PF20065', NULL, 'Family of unknown function (DUF6464)', 117, NULL, 'DUF6464', 39552),
(95827, 'PF13045', NULL, 'Protein of unknown function (DUF3905)', 84, NULL, 'DUF3905', 39553),
(95828, 'PF04214', NULL, 'Protein of unknown function, DUF', 69, NULL, 'DUF411', 39554),
(95829, 'PF16962', NULL, 'Putative ABC exporter', 533, NULL, 'ABC_export', 39555),
(95830, 'PF03802', NULL, 'Apo-citrate lyase phosphoribosyl-dephospho-CoA transferase', 165, NULL, 'CitX', 39556),
(95831, 'PF18406', NULL, 'Ferredoxin-like domain in Api92-like protein', 87, NULL, 'DUF1281_C', 39557),
(95832, 'PF07479', NULL, 'NAD-dependent glycerol-3-phosphate dehydrogenase C-terminus', 142, NULL, 'NAD_Gly3P_dh_C', 39558),
(95833, 'PF09189', NULL, 'Domain of unknown function (DUF1952)', 73, NULL, 'DUF1952', 39559),
(95834, 'PF01137', NULL, 'RNA 3''-terminal phosphate cyclase', 222, NULL, 'RTC', 39560),
(95835, 'PF19116', NULL, 'Domain of unknown function (DUF5801)', 154, NULL, 'DUF5801', 39561),
(95836, 'PF07389', NULL, 'Protein of unknown function (DUF1500)', 97, NULL, 'DUF1500', 39562),
(95837, 'PF06156', NULL, 'Initiation control protein YabA', 102, NULL, 'YabA', 39563),
(95838, 'PF18936', NULL, 'Family of unknown function (DUF5684)', 79, NULL, 'DUF5684', 39564),
(95839, 'PF16922', NULL, 'DNA replication complex GINS protein SLD5 C-terminus', 56, NULL, 'SLD5_C', 39565),
(95840, 'PF17631', NULL, 'Family of unknown function (DUF5512)', 139, NULL, 'DUF5512', 39566),
(95841, 'PF13195', NULL, 'Protein of unknown function (DUF4011)', 162, NULL, 'DUF4011', 39567),
(95842, 'PF16568', NULL, 'Tyrosine-rich domain of Sam68', 55, NULL, 'Sam68-YY', 39568);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(95843, 'PF09142', NULL, 'tRNA Pseudouridine synthase II, C terminal', 56, NULL, 'TruB_C', 39569),
(95844, 'PF04757', NULL, 'Pex2 / Pex12 amino terminal region', 225, NULL, 'Pex2_Pex12', 39570),
(95845, 'PF16047', NULL, 'Frog antimicrobial peptide', 21, NULL, 'Antimicrobial22', 39571),
(95846, 'PF11798', NULL, 'IMS family HHH motif', 32, NULL, 'IMS_HHH', 39572),
(95847, 'PF13999', NULL, 'MarB protein', 65, NULL, 'MarB', 39573),
(95848, 'PF13593', NULL, 'SBF-like CPA transporter family (DUF4137)', 313, NULL, 'SBF_like', 39574),
(95849, 'PF02149', NULL, 'Kinase associated domain 1', 45, NULL, 'KA1', 39575),
(95850, 'PF12709', NULL, 'Fungal Transforming acidic coiled-coil (TACC) proteins', 77, NULL, 'Fungal_TACC', 39576),
(95851, 'PF11567', NULL, 'Plasmodium falciparum UIS3 membrane protein', 101, NULL, 'PfUIS3', 39577),
(95852, 'PF14087', NULL, 'Domain of unknown function (DUF4267)', 112, NULL, 'DUF4267', 39578),
(95853, 'PF02133', NULL, 'Permease for cytosine/purines, uracil, thiamine, allantoin', 440, NULL, 'Transp_cyt_pur', 39579),
(95854, 'PF10007', NULL, 'Uncharacterized protein conserved in archaea (DUF2250)', 93, NULL, 'DUF2250', 39580),
(95855, 'PF16512', NULL, 'p190-A and -B Rho GAPs FF domain', 80, NULL, 'RhoGAP-FF1', 39581),
(95856, 'PF01785', NULL, 'Closterovirus coat protein', 189, NULL, 'Closter_coat', 39582),
(95857, 'PF05666', NULL, 'Fels-1 Prophage Protein-like', 43, NULL, 'Fels1', 39583),
(95858, 'PF07334', NULL, 'Interferon-induced 35 kDa protein (IFP 35) N-terminus', 76, NULL, 'IFP_35_N', 39584),
(95859, 'PF00533', NULL, 'BRCA1 C Terminus (BRCT) domain', 79, NULL, 'BRCT', 39585),
(95860, 'PF13327', NULL, 'Type III secretion system subunit', 162, NULL, 'T3SS_LEE_assoc', 39586),
(95861, 'PF14297', NULL, 'Domain of unknown function (DUF4373)', 95, NULL, 'DUF4373', 39587),
(95862, 'PF06904', NULL, 'Extensin-like protein C-terminus', 177, NULL, 'Extensin-like_C', 39588),
(95863, 'PF19525', NULL, 'Ets1 N-terminal flanking region of Ets domain', 188, NULL, 'Ets1_N_flank', 39589),
(95864, 'PF17485', NULL, 'Satellite RNA 48 kDa protein', 299, NULL, 'SatRNA_48', 39590),
(95865, 'PF15096', NULL, 'G6B family', 224, NULL, 'G6B', 39591),
(95866, 'PF08040', NULL, 'MNLL subunit', 58, NULL, 'NADH_oxidored', 39592),
(95867, 'PF02221', NULL, 'ML domain', 134, NULL, 'E1_DerP2_DerF2', 39593),
(95868, 'PF13480', NULL, 'Acetyltransferase (GNAT) domain', 142, NULL, 'Acetyltransf_6', 39594),
(95869, 'PF07214', NULL, 'Protein of unknown function (DUF1418)', 94, NULL, 'DUF1418', 39595),
(95870, 'PF15506', NULL, 'OCC1 family', 61, NULL, 'OCC1', 39596),
(95871, 'PF11756', NULL, 'Nitrous oxide-stimulated promoter', 107, NULL, 'YgbA_NO', 39597),
(95872, 'PF13438', NULL, 'Domain of unknown function (DUF4113)', 51, NULL, 'DUF4113', 39598),
(95873, 'PF15820', NULL, 'Endothelial cell-specific chemotaxis regulator', 103, NULL, 'ECSCR', 39599),
(95874, 'PF11910', NULL, 'Cyanobacterial and plant NDH-1 subunit O', 67, NULL, 'NdhO', 39600),
(95875, 'PF08516', NULL, 'ADAM cysteine-rich', 116, NULL, 'ADAM_CR', 39601),
(95876, 'PF07834', NULL, 'RanGAP1 C-terminal domain', 179, NULL, 'RanGAP1_C', 39602),
(95877, 'PF13937', NULL, 'Domain of unknown function (DUF4212)', 79, NULL, 'DUF4212', 39603),
(95878, 'PF14633', NULL, 'SH2 domain', 215, NULL, 'SH2_2', 39604),
(95879, 'PF11108', NULL, 'Viral glycoprotein L', 102, NULL, 'Phage_glycop_gL', 39605),
(95880, 'PF07249', NULL, 'Cerato-platanin', 119, NULL, 'Cerato-platanin', 39606),
(95881, 'PF16570', NULL, 'Gram-positive pilin backbone subunit 3, Cna-B-like domain', 141, NULL, 'GramPos_pilinD3', 39607),
(95882, 'PF19186', NULL, 'Family of unknown function (DUF5868)', 193, NULL, 'DUF5868', 39608),
(95883, 'PF02560', NULL, 'Cyanate lyase C-terminal domain', 69, NULL, 'Cyanate_lyase', 39609),
(95884, 'PF07336', NULL, 'Putative stress-induced transcription regulator', 128, NULL, 'ABATE', 39610),
(95885, 'PF14198', NULL, 'Transposon-encoded protein TnpV', 112, NULL, 'TnpV', 39611),
(95886, 'PF09115', NULL, 'DNA polymerase III, delta subunit, C terminal', 117, NULL, 'DNApol3-delta_C', 39612);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(95887, 'PF13476', NULL, 'AAA domain', 200, NULL, 'AAA_23', 39613),
(95888, 'PF06025', NULL, 'Domain of Unknown Function (DUF913)', 379, NULL, 'DUF913', 39614),
(95889, 'PF10359', NULL, 'RNA pol II promoter Fmp27 protein domain', 483, NULL, 'Fmp27_WPPW', 39615),
(95890, 'PF19407', NULL, 'Domain of unknown function (DUF5979)', 107, NULL, 'DUF5979', 39616),
(95891, 'PF01556', NULL, 'DnaJ C terminal domain', 149, NULL, 'DnaJ_C', 39617),
(95892, 'PF02756', NULL, 'GYR motif', 18, NULL, 'GYR', 39618),
(95893, 'PF09168', NULL, 'X-Prolyl dipeptidyl aminopeptidase PepX, N-terminal', 157, NULL, 'PepX_N', 39619),
(95894, 'PF03833', NULL, 'DNA polymerase II large subunit DP2', 865, NULL, 'PolC_DP2', 39620),
(95895, 'PF00523', NULL, 'Fusion glycoprotein F0', 487, NULL, 'Fusion_gly', 39621),
(95896, 'PF02021', NULL, 'Uncharacterised protein family UPF0102', 79, NULL, 'UPF0102', 39622),
(95897, 'PF04678', NULL, 'Mitochondrial calcium uniporter', 177, NULL, 'MCU', 39623),
(95898, 'PF14309', NULL, 'Domain of unknown function (DUF4378)', 164, NULL, 'DUF4378', 39624),
(95899, 'PF10480', NULL, 'Beta-1 integrin binding protein', 200, NULL, 'ICAP-1_inte_bdg', 39625),
(95900, 'PF14192', NULL, 'Domain of unknown function (DUF4314)', 69, NULL, 'DUF4314', 39626),
(95901, 'PF18288', NULL, 'Fumarylacetoacetase N-terminal domain 2', 78, NULL, 'FAA_hydro_N_2', 39627),
(95902, 'PF00662', NULL, 'NADH-Ubiquinone oxidoreductase (complex I), chain 5 N-terminus', 51, NULL, 'Proton_antipo_N', 39628),
(95903, 'PF09953', NULL, 'Uncharacterized protein conserved in bacteria (DUF2187)', 60, NULL, 'DUF2187', 39629),
(95904, 'PF04383', NULL, 'KilA-N domain', 112, NULL, 'KilA-N', 39630),
(95905, 'PF01402', NULL, 'Ribbon-helix-helix protein, copG family', 39, NULL, 'RHH_1', 39631),
(95906, 'PF05718', NULL, 'Poxvirus intermediate transcription factor', 383, NULL, 'Pox_int_trans', 39632),
(95907, 'PF17530', NULL, 'Non-structural protein NS3', 220, NULL, 'NS3', 39633),
(95908, 'PF02542', NULL, 'YgbB family', 155, NULL, 'YgbB', 39634),
(95909, 'PF09731', NULL, 'Mitochondrial inner membrane protein', 622, NULL, 'Mitofilin', 39635),
(95910, 'PF12773', NULL, 'Double zinc ribbon', 49, NULL, 'DZR', 39636),
(95911, 'PF08414', NULL, 'Respiratory burst NADPH oxidase', 101, NULL, 'NADPH_Ox', 39637),
(95912, 'PF02311', NULL, 'AraC-like ligand binding domain', 136, NULL, 'AraC_binding', 39638),
(95913, 'PF10809', NULL, 'Protein of unknown function (DUF2732)', 74, NULL, 'DUF2732', 39639),
(95914, 'PF13811', NULL, 'Domain of unknown function (DUF4186)', 109, NULL, 'DUF4186', 39640),
(95915, 'PF06465', NULL, 'Domain of Unknown Function (DUF1087)', 65, NULL, 'DUF1087', 39641),
(95916, 'PF14703', NULL, 'Cytosolic domain of 10TM putative phosphate transporter', 176, NULL, 'PHM7_cyt', 39642),
(95917, 'PF09454', NULL, 'Vps23 core domain', 64, NULL, 'Vps23_core', 39643),
(95918, 'PF15237', NULL, 'PTRF/SDPR family', 252, NULL, 'PTRF_SDPR', 39644),
(95919, 'PF09875', NULL, 'Uncharacterized protein conserved in archaea (DUF2102)', 103, NULL, 'DUF2102', 39645),
(95920, 'PF19763', NULL, 'Domain of unknown function (DUF6250)', 167, NULL, 'DUF6250', 39646),
(95921, 'PF12490', NULL, 'Breast carcinoma amplified sequence 3', 240, NULL, 'BCAS3', 39647),
(95922, 'PF00227', NULL, 'Proteasome subunit', 190, NULL, 'Proteasome', 39648),
(95923, 'PF18053', NULL, 'DNA gyrase B subunit insert domain', 167, NULL, 'GyrB_insert', 39649),
(95924, 'PF08111', NULL, 'Pea-VEAacid family', 15, NULL, 'Pea-VEAacid', 39650),
(95925, 'PF05419', NULL, 'GUN4-like', 141, NULL, 'GUN4', 39651),
(95926, 'PF05865', NULL, 'Cypovirus polyhedrin protein', 248, NULL, 'Cypo_polyhedrin', 39652),
(95927, 'PF08438', NULL, 'GTPase of unknown function C-terminal', 110, NULL, 'MMR_HSR1_C', 39653),
(95928, 'PF03241', NULL, '4-hydroxyphenylacetate 3-hydroxylase C terminal', 202, NULL, 'HpaB', 39654),
(95929, 'PF07332', NULL, 'Putative Actinobacterial Holin-X, holin superfamily III', 114, NULL, 'Phage_holin_3_6', 39655),
(95930, 'PF10137', NULL, 'Predicted nucleotide-binding protein containing TIR-like domain', 119, NULL, 'TIR-like', 39656);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(95931, 'PF11892', NULL, 'Domain of unknown function (DUF3412)', 121, NULL, 'DUF3412', 39657),
(95932, 'PF18949', NULL, 'Family of unknown function (DUF5693)', 609, NULL, 'DUF5693', 39658),
(95933, 'PF11379', NULL, 'Protein of unknown function (DUF3182)', 353, NULL, 'DUF3182', 39659),
(95934, 'PF12377', NULL, 'Duffy binding protein N terminal', 65, NULL, 'DuffyBP_N', 39660),
(95935, 'PF15930', NULL, 'Domain of unknown function', 62, NULL, 'YdiH', 39661),
(95936, 'PF18296', NULL, 'MID domain of medPIWI', 233, NULL, 'MID_MedPIWI', 39662),
(95937, 'PF10516', NULL, 'SHNi-TPR', 38, NULL, 'SHNi-TPR', 39663),
(95938, 'PF19565', NULL, 'Family of unknown function (DUF6087)', 99, NULL, 'DUF6087', 39664),
(95939, 'PF06232', NULL, 'Embryo-specific protein 3, (ATS3)', 125, NULL, 'ATS3', 39665),
(95940, 'PF12261', NULL, 'Thermostable hemolysin', 174, NULL, 'T_hemolysin', 39666),
(95941, 'PF08762', NULL, 'CRPV capsid protein like', 199, NULL, 'CRPV_capsid', 39667),
(95942, 'PF17478', NULL, 'Rotavirus VP4 helical domain', 292, NULL, 'VP4_helical', 39668),
(95943, 'PF18959', NULL, 'Family of unknown function (DUF5701)', 192, NULL, 'DUF5701', 39669),
(95944, 'PF07208', NULL, 'Protein of unknown function (DUF1414)', 44, NULL, 'DUF1414', 39670),
(95945, 'PF19220', NULL, 'Crescentin protein', 401, NULL, 'Crescentin', 39671),
(95946, 'PF15544', NULL, 'Bacterial toxin 6', 271, NULL, 'Ntox6', 39672),
(95947, 'PF01498', NULL, 'Transposase', 72, NULL, 'HTH_Tnp_Tc3_2', 39673),
(95948, 'PF02410', NULL, 'Ribosomal silencing factor during starvation', 100, NULL, 'RsfS', 39674),
(95949, 'PF12438', NULL, 'Protein of unknown function (DUF3679)', 56, NULL, 'DUF3679', 39675),
(95950, 'PF18496', NULL, 'Collagenase G catalytic helper subdomain', 117, NULL, 'ColG_sub', 39676),
(95951, 'PF00458', NULL, 'WHEP-TRS domain', 53, NULL, 'WHEP-TRS', 39677),
(95952, 'PF17605', NULL, 'Family of unknown function (DUF5501)', 107, NULL, 'DUF5501', 39678),
(95953, 'PF05684', NULL, 'Protein of unknown function (DUF819)', 378, NULL, 'DUF819', 39679),
(95954, 'PF08074', NULL, 'CHDCT2 (NUC038) domain', 146, NULL, 'CHDCT2', 39680),
(95955, 'PF00608', NULL, 'Adenoviral fibre protein (repeat/shaft region)', 34, NULL, 'Adeno_shaft', 39681),
(95956, 'PF06186', NULL, 'Protein of unknown function (DUF992)', 143, NULL, 'DUF992', 39682),
(95957, 'PF02509', NULL, 'Rotavirus non-structural protein 35', 316, NULL, 'Rota_NS35', 39683),
(95958, 'PF06172', NULL, 'Cupin superfamily (DUF985)', 141, NULL, 'Cupin_5', 39684),
(95959, 'PF10272', NULL, 'Putative transmembrane protein precursor', 350, NULL, 'Tmpp129', 39685),
(95960, 'PF10461', NULL, 'Peptidase S68', 34, NULL, 'Peptidase_S68', 39686),
(95961, 'PF06739', NULL, 'Beta-propeller repeat', 38, NULL, 'SBBP', 39687),
(95962, 'PF13415', NULL, 'Galactose oxidase, central domain', 49, NULL, 'Kelch_3', 39688),
(95963, 'PF19443', NULL, 'DAHL domain', 222, NULL, 'DAHL', 39689),
(95964, 'PF12720', NULL, 'Protein of unknown function (DUF3807)', 182, NULL, 'DUF3807', 39690),
(95965, 'PF14974', NULL, 'Protein C10', 103, NULL, 'P_C10', 39691),
(95966, 'PF14668', NULL, 'Rapamycin-insensitive companion of mTOR, domain 5', 71, NULL, 'RICTOR_V', 39692),
(95967, 'PF18769', NULL, 'APOBEC1', 101, NULL, 'APOBEC1', 39693),
(95968, 'PF09385', NULL, 'Histidine kinase N terminal', 129, NULL, 'HisK_N', 39694),
(95969, 'PF13475', NULL, 'Domain of unknown function (DUF4116)', 49, NULL, 'DUF4116', 39695),
(95970, 'PF18710', NULL, 'ComR tetratricopeptide', 222, NULL, 'ComR_TPR', 39696),
(95971, 'PF19822', NULL, 'Family of unknown function (DUF6304)', 157, NULL, 'DUF6304', 39697),
(95972, 'PF11113', NULL, 'Head assembly gene product', 56, NULL, 'Phage_head_chap', 39698),
(95973, 'PF19470', NULL, 'Family of unknown function (DUF6007)', 65, NULL, 'DUF6007', 39699),
(95974, 'PF01481', NULL, 'Arterivirus nucleocapsid protein', 116, NULL, 'Arteri_nucleo', 39700),
(95975, 'PF00812', NULL, 'Ephrin', 143, NULL, 'Ephrin', 39701),
(95976, 'PF11135', NULL, 'Protein of unknown function (DUF2888)', 144, NULL, 'DUF2888', 39702),
(95977, 'PF11687', NULL, 'Domain of unknown function (DUF3284)', 119, NULL, 'DUF3284', 39703);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(95978, 'PF12392', NULL, 'Collagenase', 107, NULL, 'DUF3656', 39704),
(95979, 'PF15006', NULL, 'Domain of unknown function (DUF4517)', 157, NULL, 'DUF4517', 39705),
(95980, 'PF16274', NULL, 'Qua1 domain', 52, NULL, 'Qua1', 39706),
(95981, 'PF16661', NULL, 'Metallo-beta-lactamase superfamily domain', 193, NULL, 'Lactamase_B_6', 39707),
(95982, 'PF19878', NULL, 'Tannase-like family of unknown function (DUF6351)', 653, NULL, 'DUF6351', 39708),
(95983, 'PF20033', NULL, 'Domain of unknown function (DUF6438)', 76, NULL, 'DUF6438', 39709),
(95984, 'PF04413', NULL, '3-Deoxy-D-manno-octulosonic-acid transferase (kdotransferase)', 178, NULL, 'Glycos_transf_N', 39710),
(95985, 'PF01807', NULL, 'CHC2 zinc finger', 98, NULL, 'zf-CHC2', 39711),
(95986, 'PF06007', NULL, 'Phosphonate metabolism protein PhnJ', 275, NULL, 'PhnJ', 39712),
(95987, 'PF16523', NULL, 'betaPIX coiled coil', 85, NULL, 'betaPIX_CC', 39713),
(95988, 'PF00865', NULL, 'Osteopontin', 290, NULL, 'Osteopontin', 39714),
(95989, 'PF07506', NULL, 'RepB plasmid partitioning protein', 185, NULL, 'RepB', 39715),
(95990, 'PF13614', NULL, 'AAA domain', 177, NULL, 'AAA_31', 39716),
(95991, 'PF12563', NULL, 'Hemolytic toxin N terminal', 188, NULL, 'Hemolysin_N', 39717),
(95992, 'PF03906', NULL, 'Phage T7 tail fibre protein', 157, NULL, 'Phage_T7_tail', 39718),
(95993, 'PF02927', NULL, 'Cellulase N-terminal ig-like domain', 86, NULL, 'CelD_N', 39719),
(95994, 'PF05160', NULL, 'DSS1/SEM1 family', 60, NULL, 'DSS1_SEM1', 39720),
(95995, 'PF12417', NULL, 'Zinc finger protein', 66, NULL, 'DUF3669', 39721),
(95996, 'PF00899', NULL, 'ThiF family', 219, NULL, 'ThiF', 39722),
(95997, 'PF15173', NULL, 'FAM180 family', 137, NULL, 'FAM180', 39723),
(95998, 'PF05277', NULL, 'Protein of unknown function (DUF726)', 343, NULL, 'DUF726', 39724),
(95999, 'PF05663', NULL, 'Protein of unknown function (DUF809)', 138, NULL, 'DUF809', 39725),
(96000, 'PF19551', NULL, 'Family of unknown function (DUF6074)', 83, NULL, 'DUF6074', 39726),
(96001, 'PF08030', NULL, 'Ferric reductase NAD binding domain', 156, NULL, 'NAD_binding_6', 39727),
(96002, 'PF15906', NULL, 'Zinc-finger of nitric oxide synthase-interacting protein', 75, NULL, 'zf-NOSIP', 39728),
(96003, 'PF02987', NULL, 'Late embryogenesis abundant protein', 44, NULL, 'LEA_4', 39729),
(96004, 'PF19869', NULL, 'Family of unknown function (DUF6342)', 99, NULL, 'DUF6342', 39730),
(96005, 'PF08782', NULL, 'c-SKI Smad4 binding domain', 94, NULL, 'c-SKI_SMAD_bind', 39731),
(96006, 'PF02175', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srb', 236, NULL, '7TM_GPCR_Srb', 39732),
(96007, 'PF14776', NULL, 'Cation-channel complex subunit UNC-79', 524, NULL, 'UNC-79', 39733),
(96008, 'PF09563', NULL, 'LlaJI restriction endonuclease', 365, NULL, 'RE_LlaJI', 39734),
(96009, 'PF18289', NULL, 'CCDC81 eukaryotic HU domain 2', 75, NULL, 'HU-CCDC81_euk_2', 39735),
(96010, 'PF13625', NULL, 'Helicase conserved C-terminal domain', 128, NULL, 'Helicase_C_3', 39736),
(96011, 'PF14608', NULL, 'RNA-binding, Nab2-type zinc finger', 19, NULL, 'zf-CCCH_2', 39737),
(96012, 'PF03832', NULL, 'WSK motif', 29, NULL, 'WSK', 39738),
(96013, 'PF18604', NULL, 'Pre ATP-grasp domain', 94, NULL, 'PreAtp-grasp', 39739),
(96014, 'PF14575', NULL, 'Ephrin type-A receptor 2 transmembrane domain', 75, NULL, 'EphA2_TM', 39740),
(96015, 'PF02834', NULL, 'LigT like Phosphoesterase', 87, NULL, 'LigT_PEase', 39741),
(96016, 'PF19803', NULL, 'Family of unknown function (DUF6286)', 104, NULL, 'DUF6286', 39742),
(96017, 'PF07268', NULL, 'Exported protein precursor (EppA/BapA)', 138, NULL, 'EppA_BapA', 39743),
(96018, 'PF02491', NULL, 'SHS2 domain inserted in FTSA', 79, NULL, 'SHS2_FTSA', 39744),
(96019, 'PF15278', NULL, 'Sec3 exocyst complex subunit', 86, NULL, 'Sec3_C_2', 39745),
(96020, 'PF14910', NULL, 'S-phase genomic integrity recombination mediator, N-terminal', 708, NULL, 'MMS22L_N', 39746),
(96021, 'PF16111', NULL, 'Domain of unknown function (DUF4829)', 119, NULL, 'DUF4829', 39747),
(96022, 'PF18672', NULL, 'Family of unknown function (DUF5634) N-terminal domain', 93, NULL, 'DUF5634_N', 39748);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(96023, 'PF18489', NULL, 'Alpha helical domain', 127, NULL, 'Alpha_Helical', 39749),
(96024, 'PF08335', NULL, 'GlnD PII-uridylyltransferase', 147, NULL, 'GlnD_UR_UTase', 39750),
(96025, 'PF05026', NULL, 'Dcp2, box A domain', 83, NULL, 'DCP2', 39751),
(96026, 'PF14398', NULL, 'YheC/D like ATP-grasp', 256, NULL, 'ATPgrasp_YheCD', 39752),
(96027, 'PF01251', NULL, 'Ribosomal protein S7e', 182, NULL, 'Ribosomal_S7e', 39753),
(96028, 'PF07997', NULL, 'Protein of unknown function (DUF1694)', 117, NULL, 'DUF1694', 39754),
(96029, 'PF09296', NULL, 'NADH pyrophosphatase-like rudimentary NUDIX domain', 102, NULL, 'NUDIX-like', 39755),
(96030, 'PF13679', NULL, 'Methyltransferase domain', 158, NULL, 'Methyltransf_32', 39756),
(96031, 'PF03039', NULL, 'Interleukin-12 alpha subunit', 214, NULL, 'IL12', 39757),
(96032, 'PF15655', NULL, 'NTF2 fold immunity protein', 129, NULL, 'Imm-NTF2', 39758),
(96033, 'PF05869', NULL, 'DNA N-6-adenine-methyltransferase (Dam)', 169, NULL, 'Dam', 39759),
(96034, 'PF01400', NULL, 'Astacin (Peptidase family M12A)', 191, NULL, 'Astacin', 39760),
(96035, 'PF17835', NULL, 'NOG1 N-terminal helical domain', 160, NULL, 'NOG1_N', 39761),
(96036, 'PF18222', NULL, 'PilN biogenesis protein dimerization domain', 102, NULL, 'PilN_bio_d', 39762),
(96037, 'PF12913', NULL, 'SH3 domain (SH3b1 type)', 53, NULL, 'SH3_6', 39763),
(96038, 'PF17685', NULL, 'Family of unknown function (DUF5533)', 139, NULL, 'DUF5533', 39764),
(96039, 'PF05711', NULL, 'Macrocin-O-methyltransferase (TylF)', 255, NULL, 'TylF', 39765),
(96040, 'PF13139', NULL, 'Domain of unknown function (DUF3981)', 115, NULL, 'DUF3981', 39766),
(96041, 'PF17959', NULL, 'EF-hand domain', 90, NULL, 'EF-hand_14', 39767),
(96042, 'PF11690', NULL, 'Protein of unknown function (DUF3287)', 128, NULL, 'DUF3287', 39768),
(96043, 'PF00779', NULL, 'BTK motif', 30, NULL, 'BTK', 39769),
(96044, 'PF02113', NULL, 'D-Ala-D-Ala carboxypeptidase 3 (S13) family', 444, NULL, 'Peptidase_S13', 39770),
(96045, 'PF09383', NULL, 'NIL domain', 73, NULL, 'NIL', 39771),
(96046, 'PF03552', NULL, 'Cellulose synthase', 722, NULL, 'Cellulose_synt', 39772),
(96047, 'PF13527', NULL, 'Acetyltransferase (GNAT) domain', 127, NULL, 'Acetyltransf_9', 39773),
(96048, 'PF20103', NULL, 'Family of unknown function (DUF6493)', 933, NULL, 'DUF6493', 39774),
(96049, 'PF05235', NULL, 'CHAD domain', 227, NULL, 'CHAD', 39775),
(96050, 'PF00309', NULL, 'Sigma-54 factor, Activator interacting domain (AID)', 46, NULL, 'Sigma54_AID', 39776),
(96051, 'PF03940', NULL, 'Male specific sperm protein', 51, NULL, 'MSSP', 39777),
(96052, 'PF11931', NULL, 'SF3a60/Prp9 C-terminal', 121, NULL, 'SF3a60_Prp9_C', 39778),
(96053, 'PF18494', NULL, 'Pullulanase Ins domain', 74, NULL, 'Pullulanase_Ins', 39779),
(96054, 'PF06664', NULL, 'Wnt-binding factor required for Wnt secretion', 294, NULL, 'MIG-14_Wnt-bd', 39780),
(96055, 'PF18086', NULL, 'Diphosphoinositol pentakisphosphate kinase 2 N-terminal domain', 90, NULL, 'PPIP5K2_N', 39781),
(96056, 'PF15376', NULL, 'Domain of unknown function (DUF4603)', 1297, NULL, 'DUF4603', 39782),
(96057, 'PF08559', NULL, 'Cut8, nuclear proteasome tether protein', 244, NULL, 'Cut8', 39783),
(96058, 'PF09293', NULL, 'T4 RNase H, C terminal', 124, NULL, 'RNaseH_C', 39784),
(96059, 'PF03248', NULL, 'Rer1 family', 171, NULL, 'Rer1', 39785),
(96060, 'PF10881', NULL, 'Protein of unknown function (DUF2726)', 126, NULL, 'DUF2726', 39786),
(96061, 'PF17212', NULL, 'Tail tubular protein', 169, NULL, 'Tube', 39787),
(96062, 'PF18272', NULL, 'single-stranded DNA binding TraI N-terminal subdomain', 53, NULL, 'ssDNA_TraI_N', 39788),
(96063, 'PF15709', NULL, 'Domain of unknown function (DUF4670)', 516, NULL, 'DUF4670', 39789),
(96064, 'PF05930', NULL, 'Prophage CP4-57 regulatory protein (AlpA)', 51, NULL, 'Phage_AlpA', 39790),
(96065, 'PF00714', NULL, 'Interferon gamma', 138, NULL, 'IFN-gamma', 39791),
(96066, 'PF09355', NULL, 'Phage protein Gp19/Gp15/Gp42', 116, NULL, 'Phage_Gp19', 39792),
(96067, 'PF01796', NULL, 'DUF35 OB-fold domain, acyl-CoA-associated', 65, NULL, 'OB_aCoA_assoc', 39793);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(96068, 'PF18785', NULL, 'Invertebrate-AID/APOBEC-deaminase', 129, NULL, 'Inv-AAD', 39794),
(96069, 'PF05433', NULL, 'Glycine zipper 2TM domain', 42, NULL, 'Rick_17kDa_Anti', 39795),
(96070, 'PF08693', NULL, 'Transmembrane alpha-helix domain', 38, NULL, 'SKG6', 39796),
(96071, 'PF11606', NULL, 'Family 31 carbohydrate binding protein', 93, NULL, 'AlcCBM31', 39797),
(96072, 'PF11239', NULL, 'Protein of unknown function (DUF3040)', 84, NULL, 'DUF3040', 39798),
(96073, 'PF14524', NULL, 'Wzt C-terminal domain', 142, NULL, 'Wzt_C', 39799),
(96074, 'PF17603', NULL, 'Family of unknown function (DUF5499)', 97, NULL, 'DUF5499', 39800),
(96075, 'PF07778', NULL, 'Mis6', 515, NULL, 'CENP-I', 39801),
(96076, 'PF02683', NULL, 'Cytochrome C biogenesis protein transmembrane region', 213, NULL, 'DsbD', 39802),
(96077, 'PF15365', NULL, 'Proline-rich nuclear receptor coactivator motif', 20, NULL, 'PNRC', 39803),
(96078, 'PF04625', NULL, 'DEC-1 protein, N-terminal region', 403, NULL, 'DEC-1_N', 39804),
(96079, 'PF10613', NULL, 'Ligated ion channel L-glutamate- and glycine-binding site', 116, NULL, 'Lig_chan-Glu_bd', 39805),
(96080, 'PF07201', NULL, 'HrpJ-like domain', 166, NULL, 'HrpJ', 39806),
(96081, 'PF13022', NULL, 'Helix-turn-helix of insertion element transposase', 123, NULL, 'HTH_Tnp_1_2', 39807),
(96082, 'PF05767', NULL, 'Poxvirus virion envelope protein A14', 93, NULL, 'Pox_A14', 39808),
(96083, 'PF02428', NULL, 'Potato type II proteinase inhibitor family', 51, NULL, 'Prot_inhib_II', 39809),
(96084, 'PF08230', NULL, 'CW_7 repeat', 40, NULL, 'CW_7', 39810),
(96085, 'PF18448', NULL, 'Carbohydrate binding domain', 105, NULL, 'CBM46', 39811),
(96086, 'PF15852', NULL, 'Domain of unknown function (DUF4724)', 93, NULL, 'DUF4724', 39812),
(96087, 'PF19796', NULL, 'Family of unknown function (DUF6280)', 86, NULL, 'DUF6280', 39813),
(96088, 'PF05367', NULL, 'Phage endonuclease I', 149, NULL, 'Phage_endo_I', 39814),
(96089, 'PF09068', NULL, 'EF hand', 123, NULL, 'EF-hand_2', 39815),
(96090, 'PF17411', NULL, 'Type II site-specific deoxyribonuclease', 241, NULL, 'SmaI', 39816),
(96091, 'PF11590', NULL, 'DNA polymerase catalytic subunit Pol', 36, NULL, 'DNAPolymera_Pol', 39817),
(96092, 'PF06423', NULL, 'GWT1', 157, NULL, 'GWT1', 39818),
(96093, 'PF07408', NULL, 'Protein of unknown function (DUF1507)', 85, NULL, 'DUF1507', 39819),
(96094, 'PF05532', NULL, 'CsbD-like', 53, NULL, 'CsbD', 39820),
(96095, 'PF11153', NULL, 'Protein of unknown function (DUF2931)', 182, NULL, 'DUF2931', 39821),
(96096, 'PF18273', NULL, 'Type III R-M EcoP15I C-terminal domain', 97, NULL, 'T3RM_EcoP15I_C', 39822),
(96097, 'PF05689', NULL, 'Adhesion domain', 136, NULL, 'InvE_AD', 39823),
(96098, 'PF16118', NULL, 'Domain of unknown function (DUF4834)', 99, NULL, 'DUF4834', 39824),
(96099, 'PF01441', NULL, 'Lipoprotein', 170, NULL, 'Lipoprotein_6', 39825),
(96100, 'PF11182', NULL, 'Alginate O-acetyl transferase AlgF', 178, NULL, 'AlgF', 39826),
(96101, 'PF07962', NULL, 'Replication Fork Protection Component Swi3', 84, NULL, 'Swi3', 39827),
(96102, 'PF10133', NULL, 'CO dehydrogenase accessory protein CooT', 60, NULL, 'CooT', 39828),
(96103, 'PF08965', NULL, 'Domain of unknown function (DUF1870)', 118, NULL, 'DUF1870', 39829),
(96104, 'PF03110', NULL, 'SBP domain', 75, NULL, 'SBP', 39830),
(96105, 'PF08533', NULL, 'Beta-galactosidase C-terminal domain', 58, NULL, 'Glyco_hydro_42C', 39831),
(96106, 'PF10671', NULL, 'Toxin co-regulated pilus biosynthesis protein Q', 80, NULL, 'TcpQ', 39832),
(96107, 'PF12294', NULL, 'Protein of unknown function (DUF3626)', 301, NULL, 'DUF3626', 39833),
(96108, 'PF03559', NULL, 'NDP-hexose 2,3-dehydratase', 204, NULL, 'Hexose_dehydrat', 39834),
(96109, 'PF02132', NULL, 'RecR protein', 40, NULL, 'RecR', 39835),
(96110, 'PF04847', NULL, 'Calcipressin', 186, NULL, 'Calcipressin', 39836),
(96111, 'PF17334', NULL, 'Minor curli fiber component A', 83, NULL, 'CsgA', 39837),
(96112, 'PF01425', NULL, 'Amidase', 446, NULL, 'Amidase', 39838),
(96113, 'PF01937', NULL, 'Damage-control phosphatase ARMT1-like domain', 353, NULL, 'ARMT1-like_dom', 39839);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(96114, 'PF10580', NULL, 'Gap junction protein N-terminal region', 31, NULL, 'Neuromodulin_N', 39840),
(96115, 'PF06326', NULL, 'Vesiculovirus matrix protein', 222, NULL, 'Vesiculo_matrix', 39841),
(96116, 'PF08148', NULL, 'DSHCT (NUC185) domain', 162, NULL, 'DSHCT', 39842),
(96117, 'PF15063', NULL, 'Thyroid cancer protein 1', 75, NULL, 'TC1', 39843),
(96118, 'PF14660', NULL, 'Domain of unknown function (DUF4458)', 110, NULL, 'DUF4458', 39844),
(96119, 'PF01466', NULL, 'Skp1 family, dimerisation domain', 48, NULL, 'Skp1', 39845),
(96120, 'PF16599', NULL, 'Unstructured linker region on PTN13 protein between PDZ', 191, NULL, 'PTN13_u3', 39846),
(96121, 'PF09838', NULL, 'Uncharacterized protein conserved in bacteria (DUF2065)', 56, NULL, 'DUF2065', 39847),
(96122, 'PF19534', NULL, 'Family of unknown function (DUF6059)', 58, NULL, 'DUF6059', 39848),
(96123, 'PF01370', NULL, 'NAD dependent epimerase/dehydratase family', 241, NULL, 'Epimerase', 39849),
(96124, 'PF19778', NULL, 'Endonuclease domain', 109, NULL, 'RE_endonuc', 39850),
(96125, 'PF15000', NULL, 'Tumour suppressor candidate 2', 112, NULL, 'TUSC2', 39851),
(96126, 'PF13439', NULL, 'Glycosyltransferase Family 4', 170, NULL, 'Glyco_transf_4', 39852),
(96127, 'PF02354', NULL, 'Latrophilin Cytoplasmic C-terminal region', 377, NULL, 'Latrophilin', 39853),
(96128, 'PF00413', NULL, 'Matrixin', 159, NULL, 'Peptidase_M10', 39854),
(96129, 'PF00569', NULL, 'Zinc finger, ZZ type', 45, NULL, 'ZZ', 39855),
(96130, 'PF01358', NULL, 'Poly A polymerase regulatory subunit', 291, NULL, 'PARP_regulatory', 39856),
(96131, 'PF03858', NULL, 'Crustacean neurohormone H', 41, NULL, 'Crust_neuro_H', 39857),
(96132, 'PF11848', NULL, 'Domain of unknown function (DUF3368)', 46, NULL, 'DUF3368', 39858),
(96133, 'PF11926', NULL, 'Domain of unknown function (DUF3444)', 212, NULL, 'DUF3444', 39859),
(96134, 'PF05247', NULL, 'Flagellar transcriptional activator (FlhD)', 102, NULL, 'FlhD', 39860),
(96135, 'PF06648', NULL, 'Protein of unknown function (DUF1160)', 122, NULL, 'DUF1160', 39861),
(96136, 'PF08318', NULL, 'COG4 transport protein', 345, NULL, 'COG4', 39862),
(96137, 'PF15907', NULL, 'Integrin-alpha FG-GAP repeat-containing protein 2', 334, NULL, 'Itfg2', 39863),
(96138, 'PF09139', NULL, 'Phosphatidate cytidylyltransferase, mitochondrial', 323, NULL, 'Tam41_Mmp37', 39864),
(96139, 'PF11078', NULL, 'Optomotor-blind protein N-terminal region', 79, NULL, 'Optomotor-blind', 39865),
(96140, 'PF05131', NULL, 'Pep3/Vps18/deep orange family', 151, NULL, 'Pep3_Vps18', 39866),
(96141, 'PF17200', NULL, 'Single Cache domain 2', 156, NULL, 'sCache_2', 39867),
(96142, 'PF14790', NULL, 'Tetrahydrodipicolinate N-succinyltransferase N-terminal', 168, NULL, 'THDPS_N', 39868),
(96143, 'PF17448', NULL, 'Uncharacterized YqaH-like', 88, NULL, 'YqaH', 39869),
(96144, 'PF18960', NULL, 'Family of unknown function (DUF5702)', 275, NULL, 'DUF5702', 39870),
(96145, 'PF14841', NULL, 'FliG middle domain', 76, NULL, 'FliG_M', 39871),
(96146, 'PF15248', NULL, 'Domain of unknown function (DUF4587)', 80, NULL, 'DUF4587', 39872),
(96147, 'PF04739', NULL, '5''-AMP-activated protein kinase beta subunit, interaction domain', 75, NULL, 'AMPKBI', 39873),
(96148, 'PF14058', NULL, 'PcfK-like protein', 137, NULL, 'PcfK', 39874),
(96149, 'PF12930', NULL, 'Family of unknown function (DUF3836)', 127, NULL, 'DUF3836', 39875),
(96150, 'PF04434', NULL, 'SWIM zinc finger', 40, NULL, 'SWIM', 39876),
(96151, 'PF17190', NULL, 'RecG N-terminal helical domain', 89, NULL, 'RecG_N', 39877),
(96152, 'PF08740', NULL, 'BCS1 N terminal', 187, NULL, 'BCS1_N', 39878),
(96153, 'PF16899', NULL, 'Cyclin C-terminal domain', 105, NULL, 'Cyclin_C_2', 39879),
(96154, 'PF19024', NULL, 'Family of unknown function (DUF5750)', 91, NULL, 'DUF5750', 39880),
(96155, 'PF15490', NULL, 'Telomere-capping, CST complex subunit', 118, NULL, 'Ten1_2', 39881),
(96156, 'PF06806', NULL, 'Putative excisionase (DUF1233)', 70, NULL, 'DUF1233', 39882),
(96157, 'PF09271', NULL, 'LAG1, DNA binding', 152, NULL, 'LAG1-DNAbind', 39883),
(96158, 'PF12364', NULL, 'Protein of unknown function (DUF3648)', 141, NULL, 'DUF3648', 39884);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(96159, 'PF03692', NULL, 'Putative zinc- or iron-chelating domain', 85, NULL, 'CxxCxxCC', 39885),
(96160, 'PF01749', NULL, 'Importin beta binding domain', 89, NULL, 'IBB', 39886),
(96161, 'PF07337', NULL, 'DC-EC Repeat', 32, NULL, 'CagY_M', 39887),
(96162, 'PF09462', NULL, 'Mus7/MMS22 family', 614, NULL, 'Mus7', 39888),
(96163, 'PF05406', NULL, 'WGR domain', 80, NULL, 'WGR', 39889),
(96164, 'PF06766', NULL, 'Fungal hydrophobin', 65, NULL, 'Hydrophobin_2', 39890),
(96165, 'PF04494', NULL, 'WD40 associated region in TFIID subunit, NTD2 domain', 133, NULL, 'TFIID_NTD2', 39891),
(96166, 'PF04269', NULL, 'Protein of unknown function, DUF440', 101, NULL, 'DUF440', 39892),
(96167, 'PF10754', NULL, 'Protein of unknown function (DUF2569)', 143, NULL, 'DUF2569', 39893),
(96168, 'PF11599', NULL, 'RRNA methyltransferase AviRa', 232, NULL, 'AviRa', 39894),
(96169, 'PF17874', NULL, 'MalT-like TPR region', 336, NULL, 'TPR_MalT', 39895),
(96170, 'PF00890', NULL, 'FAD binding domain', 417, NULL, 'FAD_binding_2', 39896),
(96171, 'PF16635', NULL, 'Unstructured region on APC between SAMP and APC_crr', 94, NULL, 'APC_u14', 39897),
(96172, 'PF12804', NULL, 'MobA-like NTP transferase domain', 160, NULL, 'NTP_transf_3', 39898),
(96173, 'PF07035', NULL, 'Colon cancer-associated protein Mic1-like', 157, NULL, 'Mic1', 39899),
(96174, 'PF16632', NULL, 'C-terminal region of Caskin', 62, NULL, 'Caskin-tail', 39900),
(96175, 'PF00963', NULL, 'Cohesin domain', 139, NULL, 'Cohesin', 39901),
(96176, 'PF02635', NULL, 'DsrE/DsrF-like family', 117, NULL, 'DrsE', 39902),
(96177, 'PF11949', NULL, 'Protein of unknown function (DUF3466)', 608, NULL, 'DUF3466', 39903),
(96178, 'PF13312', NULL, 'Domain of unknown function (DUF4081)', 105, NULL, 'DUF4081', 39904),
(96179, 'PF05596', NULL, 'Taeniidae antigen', 64, NULL, 'Taeniidae_ag', 39905),
(96180, 'PF05872', NULL, 'Bacterial protein of unknown function (DUF853)', 504, NULL, 'DUF853', 39906),
(96181, 'PF12924', NULL, 'Copper-binding of amyloid precursor, CuBD', 57, NULL, 'APP_Cu_bd', 39907),
(96182, 'PF00545', NULL, 'ribonuclease', 86, NULL, 'Ribonuclease', 39908),
(96183, 'PF18787', NULL, 'CRM1 / Exportin repeat 3', 51, NULL, 'CRM1_repeat_3', 39909),
(96184, 'PF14210', NULL, 'Domain of unknown function (DUF4322)', 66, NULL, 'DUF4322', 39910),
(96185, 'PF06005', NULL, 'Cell division protein ZapB', 71, NULL, 'ZapB', 39911),
(96186, 'PF14508', NULL, 'Glycosyl-hydrolase 97 N-terminal', 233, NULL, 'GH97_N', 39912),
(96187, 'PF15771', NULL, 'Interactor of HORMAD1 protein 1', 575, NULL, 'IHO1', 39913),
(96188, 'PF19035', NULL, 'CCN3 Nov like TSP1 domain', 44, NULL, 'TSP1_CCN', 39914),
(96189, 'PF17286', NULL, 'PRMT5 oligomerisation domain', 177, NULL, 'PRMT5_C', 39915),
(96190, 'PF06983', NULL, '3-demethylubiquinone-9 3-methyltransferase', 116, NULL, '3-dmu-9_3-mt', 39916),
(96191, 'PF12958', NULL, 'Protein of unknown function (DUF3847)', 81, NULL, 'DUF3847', 39917),
(96192, 'PF13689', NULL, 'YfiR/HmsC-like', 143, NULL, 'DUF4154', 39918),
(96193, 'PF05631', NULL, 'Sugar-tranasporters, 12 TM', 354, NULL, 'MFS_5', 39919),
(96194, 'PF03341', NULL, 'Poxvirus mRNA capping enzyme, small subunit', 286, NULL, 'Pox_mRNA-cap', 39920),
(96195, 'PF15209', NULL, 'Interleukin 31', 132, NULL, 'IL31', 39921),
(96196, 'PF07175', NULL, 'Osteoregulin', 160, NULL, 'Osteoregulin', 39922),
(96197, 'PF01207', NULL, 'Dihydrouridine synthase (Dus)', 310, NULL, 'Dus', 39923),
(96198, 'PF14402', NULL, '7 transmembrane helices usually fused to an inactive transglutaminase', 248, NULL, '7TM_transglut', 39924),
(96199, 'PF15038', NULL, 'Jiraiya', 169, NULL, 'Jiraiya', 39925),
(96200, 'PF17901', NULL, 'EF-hand fold domain', 93, NULL, 'EF-hand_12', 39926),
(96201, 'PF02805', NULL, 'Metal binding domain of Ada', 65, NULL, 'Ada_Zn_binding', 39927),
(96202, 'PF00903', NULL, 'Glyoxalase/Bleomycin resistance protein/Dioxygenase superfamily', 128, NULL, 'Glyoxalase', 39928),
(96203, 'PF10884', NULL, 'Protein of unknown function (DUF2683)', 78, NULL, 'DUF2683', 39929),
(96204, 'PF17673', NULL, 'Family of unknown function (DUF5532)', 92, NULL, 'DUF5532', 39930);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(96205, 'PF00310', NULL, 'Glutamine amidotransferases class-II', 420, NULL, 'GATase_2', 39931),
(96206, 'PF15431', NULL, 'Transmembrane protein 190', 128, NULL, 'TMEM190', 39932),
(96207, 'PF04496', NULL, 'Herpesvirus UL35 family', 109, NULL, 'Herpes_UL35', 39933),
(96208, 'PF00685', NULL, 'Sulfotransferase domain', 267, NULL, 'Sulfotransfer_1', 39934),
(96209, 'PF04246', NULL, 'Positive regulator of sigma(E), RseC/MucC', 130, NULL, 'RseC_MucC', 39935),
(96210, 'PF18912', NULL, 'Double zinc ribbon domain', 56, NULL, 'DZR_2', 39936),
(96211, 'PF07507', NULL, 'WavE lipopolysaccharide synthesis', 305, NULL, 'WavE', 39937),
(96212, 'PF17193', NULL, 'MukF C-terminal domain', 158, NULL, 'MukF_C', 39938),
(96213, 'PF09372', NULL, 'PRANC domain', 97, NULL, 'PRANC', 39939),
(96214, 'PF05136', NULL, 'Phage portal protein, lambda family', 362, NULL, 'Phage_portal_2', 39940),
(96215, 'PF16058', NULL, 'Mucin-like', 94, NULL, 'Mucin-like', 39941),
(96216, 'PF06088', NULL, 'Nucleopolyhedrovirus telokin-like protein-20 (TLP20)', 169, NULL, 'TLP-20', 39942),
(96217, 'PF11909', NULL, 'NADH-quinone oxidoreductase cyanobacterial subunit N', 153, NULL, 'NdhN', 39943),
(96218, 'PF04679', NULL, 'ATP dependent DNA ligase C terminal region', 99, NULL, 'DNA_ligase_A_C', 39944),
(96219, 'PF00638', NULL, 'RanBP1 domain', 122, NULL, 'Ran_BP1', 39945),
(96220, 'PF12498', NULL, 'Basic leucine-zipper C terminal', 122, NULL, 'bZIP_C', 39946),
(96221, 'PF18845', NULL, 'Bacterial archaeo-eukaryotic release factor family 3', 167, NULL, 'baeRF_family3', 39947),
(96222, 'PF09884', NULL, 'Uncharacterized protein conserved in archaea (DUF2111)', 83, NULL, 'DUF2111', 39948),
(96223, 'PF16816', NULL, 'DotD protein', 120, NULL, 'DotD', 39949),
(96224, 'PF16150', NULL, 'Domain of unknown function (DUF4858)', 194, NULL, 'DUF4858', 39950),
(96225, 'PF19311', NULL, 'KELAA motif', 32, NULL, 'KELAA', 39951),
(96226, 'PF06831', NULL, 'Formamidopyrimidine-DNA glycosylase H2TH domain', 93, NULL, 'H2TH', 39952),
(96227, 'PF04983', NULL, 'RNA polymerase Rpb1, domain 3', 157, NULL, 'RNA_pol_Rpb1_3', 39953),
(96228, 'PF01316', NULL, 'Arginine repressor, DNA binding domain', 70, NULL, 'Arg_repressor', 39954),
(96229, 'PF09579', NULL, 'Sporulation protein YtfJ (Spore_YtfJ)', 81, NULL, 'Spore_YtfJ', 39955),
(96230, 'PF10684', NULL, 'Putative biofilm-dependent modulation protein', 71, NULL, 'BDM', 39956),
(96231, 'PF02944', NULL, 'BESS motif', 35, NULL, 'BESS', 39957),
(96232, 'PF05821', NULL, 'NADH-ubiquinone oxidoreductase ASHI subunit (CI-ASHI or NDUFB8)', 172, NULL, 'NDUF_B8', 39958),
(96233, 'PF17347', NULL, 'Family of unknown function (DUF5377)', 96, NULL, 'DUF5377', 39959),
(96234, 'PF15082', NULL, 'Domain of unknown function (DUF4549)', 142, NULL, 'DUF4549', 39960),
(96235, 'PF07385', NULL, 'D-lyxose isomerase', 223, NULL, 'Lyx_isomer', 39961),
(96236, 'PF05240', NULL, 'APOBEC-like C-terminal domain', 78, NULL, 'APOBEC_C', 39962),
(96237, 'PF13184', NULL, 'NusA-like KH domain', 69, NULL, 'KH_5', 39963),
(96238, 'PF09094', NULL, 'Domain of unknown function (DUF1925)', 80, NULL, 'DUF1925', 39964),
(96239, 'PF13896', NULL, 'Glycosyl-transferase for dystroglycan', 332, NULL, 'Glyco_transf_49', 39965),
(96240, 'PF11097', NULL, 'Protein of unknown function (DUF2883)', 75, NULL, 'DUF2883', 39966),
(96241, 'PF19642', NULL, 'Family of unknown function (DUF6145)', 119, NULL, 'DUF6145', 39967),
(96242, 'PF14917', NULL, 'Coiled coil protein 74, C terminal', 126, NULL, 'CCDC74_C', 39968),
(96243, 'PF04707', NULL, 'PRELI-like family', 157, NULL, 'PRELI', 39969),
(96244, 'PF16698', NULL, 'Membrane-proximal domain, switch, for ADAM17', 62, NULL, 'ADAM17_MPD', 39970),
(96245, 'PF12622', NULL, 'mRNA biogenesis factor', 51, NULL, 'NpwBP', 39971),
(96246, 'PF20056', NULL, 'Family of unknown function (DUF6455)', 85, NULL, 'DUF6455', 39972),
(96247, 'PF09803', NULL, 'Pet100', 73, NULL, 'Pet100', 39973),
(96248, 'PF13386', NULL, 'Cytochrome C biogenesis protein transmembrane region', 199, NULL, 'DsbD_2', 39974),
(96249, 'PF13339', NULL, 'Apoptosis antagonizing transcription factor', 137, NULL, 'AATF-Che1', 39975);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(96250, 'PF17619', NULL, 'Secreted clade V proteins', 97, NULL, 'SCVP', 39976),
(96251, 'PF17732', NULL, 'Family of unknown function (DUF5571)', 353, NULL, 'DUF5571', 39977),
(96252, 'PF03720', NULL, 'UDP-glucose/GDP-mannose dehydrogenase family, UDP binding domain', 105, NULL, 'UDPG_MGDP_dh_C', 39978),
(96253, 'PF05778', NULL, 'Apolipoprotein CIII (Apo-CIII)', 69, NULL, 'Apo-CIII', 39979),
(96254, 'PF04836', NULL, 'Interferon-related protein conserved region', 52, NULL, 'IFRD_C', 39980),
(96255, 'PF20063', NULL, 'Family of unknown function (DUF6462)', 51, NULL, 'DUF6462', 39981),
(96256, 'PF06209', NULL, 'Cofactor of BRCA1 (COBRA1)', 346, NULL, 'COBRA1', 39982),
(96257, 'PF11164', NULL, 'Protein of unknown function (DUF2948)', 139, NULL, 'DUF2948', 39983),
(96258, 'PF18592', NULL, 'Tho1/MOS11 C-terminal domain', 37, NULL, 'Tho1_MOS11_C', 39984),
(96259, 'PF11819', NULL, 'Cytohesin Ubiquitin Protein Inducing Domain', 136, NULL, 'CUPID', 39985),
(96260, 'PF00926', NULL, '3,4-dihydroxy-2-butanone 4-phosphate synthase', 191, NULL, 'DHBP_synthase', 39986),
(96261, 'PF05081', NULL, 'Protein of unknown function (DUF682)', 157, NULL, 'DUF682', 39987),
(96262, 'PF18349', NULL, 'PAZ domain', 93, NULL, 'Paz_1', 39988),
(96263, 'PF06085', NULL, 'Lipoprotein Rz1 precursor', 41, NULL, 'Rz1', 39989),
(96264, 'PF02318', NULL, 'FYVE-type zinc finger', 118, NULL, 'FYVE_2', 39990),
(96265, 'PF03706', NULL, 'Lysylphosphatidylglycerol synthase TM region', 300, NULL, 'LPG_synthase_TM', 39991),
(96266, 'PF01779', NULL, 'Ribosomal L29e protein family', 40, NULL, 'Ribosomal_L29e', 39992),
(96267, 'PF19676', NULL, 'Family of unknown function (DUF6178)', 565, NULL, 'DUF6178', 39993),
(96268, 'PF07439', NULL, 'Protein of unknown function (DUF1515)', 113, NULL, 'DUF1515', 39994),
(96269, 'PF06857', NULL, 'Malonate decarboxylase delta subunit (MdcD)', 83, NULL, 'ACP', 39995),
(96270, 'PF08578', NULL, 'Protein of unknown function (DUF1765)', 125, NULL, 'DUF1765', 39996),
(96271, 'PF04311', NULL, 'Protein of unknown function (DUF459)', 322, NULL, 'DUF459', 39997),
(96272, 'PF18974', NULL, 'Domain of unknown function (DUF5710)', 44, NULL, 'DUF5710', 39998),
(96273, 'PF13377', NULL, 'Periplasmic binding protein-like domain', 166, NULL, 'Peripla_BP_3', 39999),
(96274, 'PF03198', NULL, 'Glucanosyltransferase', 315, NULL, 'Glyco_hydro_72', 40000),
(96275, 'PF18696', NULL, 'Synaptotagmin-like, mitochondrial and lipid-binding domain', 152, NULL, 'SMP_C2CD2L', 40001),
(96276, 'PF10905', NULL, 'Protein of unknown function (DUF2695)', 53, NULL, 'DUF2695', 40002),
(96277, 'PF04461', NULL, 'Protein of unknown function (DUF520)', 161, NULL, 'DUF520', 40003),
(96278, 'PF12467', NULL, 'Cucumber mosaic virus 1a protein family', 169, NULL, 'CMV_1a', 40004),
(96279, 'PF16241', NULL, 'Domain of unknown function (DUF4900)', 89, NULL, 'DUF4900', 40005),
(96280, 'PF08963', NULL, 'Protein of unknown function (DUF1878)', 110, NULL, 'DUF1878', 40006),
(96281, 'PF19283', NULL, 'Acylamino-acid-releasing enzyme, N-terminal domain', 274, NULL, 'APEH_N', 40007),
(96282, 'PF09728', NULL, 'Myosin-like coiled-coil protein', 302, NULL, 'Taxilin', 40008),
(96283, 'PF13902', NULL, 'R3H-associated N-terminal domain', 132, NULL, 'R3H-assoc', 40009),
(96284, 'PF14388', NULL, 'Domain of unknown function (DUF4419)', 304, NULL, 'DUF4419', 40010),
(96285, 'PF18165', NULL, 'Predicted pPIWI-associating nuclease', 133, NULL, 'pP_pnuc_1', 40011),
(96286, 'PF05705', NULL, 'Eukaryotic protein of unknown function (DUF829)', 242, NULL, 'DUF829', 40012),
(96287, 'PF11893', NULL, 'Domain of unknown function (DUF3413)', 248, NULL, 'DUF3413', 40013),
(96288, 'PF10953', NULL, 'Protein of unknown function (DUF2754)', 70, NULL, 'DUF2754', 40014),
(96289, 'PF17319', NULL, 'Family of unknown function (DUF5362)', 94, NULL, 'DUF5362', 40015),
(96290, 'PF05698', NULL, 'Bacterial trigger factor protein (TF) C-terminus', 162, NULL, 'Trigger_C', 40016),
(96291, 'PF13812', NULL, 'Pentatricopeptide repeat domain', 63, NULL, 'PPR_3', 40017),
(96292, 'PF14397', NULL, 'Sugar-transfer associated ATP-grasp', 278, NULL, 'ATPgrasp_ST', 40018);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(96293, 'PF03944', NULL, 'delta endotoxin', 143, NULL, 'Endotoxin_C', 40019),
(96294, 'PF00976', NULL, 'Corticotropin ACTH domain', 19, NULL, 'ACTH_domain', 40020),
(96295, 'PF13810', NULL, 'Domain of unknown function (DUF4185)', 316, NULL, 'DUF4185', 40021),
(96296, 'PF19747', NULL, 'Family of unknown function (DUF6234)', 126, NULL, 'DUF6234', 40022),
(96297, 'PF04720', NULL, 'PDDEXK-like family of unknown function', 220, NULL, 'PDDEXK_6', 40023),
(96298, 'PF08877', NULL, 'MepB protein', 122, NULL, 'MepB', 40024),
(96299, 'PF15377', NULL, 'Domain of unknown function (DUF4604)', 175, NULL, 'DUF4604', 40025),
(96300, 'PF07898', NULL, 'Protein of unknown function (DUF1676)', 172, NULL, 'DUF1676', 40026),
(96301, 'PF04849', NULL, 'HAP1 N-terminal conserved region', 309, NULL, 'HAP1_N', 40027),
(96302, 'PF12389', NULL, 'Camelysin metallo-endopeptidase', 196, NULL, 'Peptidase_M73', 40028),
(96303, 'PF15610', NULL, 'PRTase ComF-like', 264, NULL, 'PRTase_3', 40029),
(96304, 'PF06495', NULL, 'Fruit fly transformer protein', 182, NULL, 'Transformer', 40030),
(96305, 'PF19550', NULL, 'Family of unknown function (DUF6073)', 219, NULL, 'DUF6073', 40031),
(96306, 'PF09302', NULL, 'XLF-Cernunnos, XRcc4-like factor, NHEJ component', 180, NULL, 'XLF', 40032),
(96307, 'PF16417', NULL, 'CCR4-NOT transcription complex subunit 1 TTP binding domain', 189, NULL, 'CNOT1_TTP_bind', 40033),
(96308, 'PF02803', NULL, 'Thiolase, C-terminal domain', 123, NULL, 'Thiolase_C', 40034),
(96309, 'PF07433', NULL, 'Protein of unknown function (DUF1513)', 304, NULL, 'DUF1513', 40035),
(96310, 'PF19414', NULL, 'Astrovirus p19 protein', 174, NULL, 'Astro_p19', 40036),
(96311, 'PF06369', NULL, 'Sea anemone cytotoxic protein', 176, NULL, 'Anemone_cytotox', 40037),
(96312, 'PF00534', NULL, 'Glycosyl transferases group 1', 172, NULL, 'Glycos_transf_1', 40038),
(96313, 'PF19206', NULL, 'Family of unknown function (DUF5878)', 148, NULL, 'DUF5878', 40039),
(96314, 'PF19659', NULL, 'Family of unknown function (DUF6162)', 240, NULL, 'DUF6162', 40040),
(96315, 'PF05985', NULL, 'Ethanolamine ammonia-lyase light chain (EutC)', 233, NULL, 'EutC', 40041),
(96316, 'PF07491', NULL, 'Protein phosphatase inhibitor', 60, NULL, 'PPI_Ypi1', 40042),
(96317, 'PF13262', NULL, 'Protein of unknown function (DUF4054)', 107, NULL, 'DUF4054', 40043),
(96318, 'PF02038', NULL, 'ATP1G1/PLM/MAT8 family', 48, NULL, 'ATP1G1_PLM_MAT8', 40044),
(96319, 'PF20135', NULL, 'Family of unknown function (DUF6525)', 79, NULL, 'DUF6525', 40045),
(96320, 'PF04587', NULL, 'ADP-specific Phosphofructokinase/Glucokinase conserved region', 426, NULL, 'ADP_PFK_GK', 40046),
(96321, 'PF13494', NULL, 'Domain of unknown function, B. Theta Gene description (DUF4119)', 87, NULL, 'DUF4119', 40047),
(96322, 'PF05922', NULL, 'Peptidase inhibitor I9', 82, NULL, 'Inhibitor_I9', 40048),
(96323, 'PF08445', NULL, 'FR47-like protein', 86, NULL, 'FR47', 40049),
(96324, 'PF14324', NULL, 'PINIT domain', 139, NULL, 'PINIT', 40050),
(96325, 'PF10611', NULL, 'Protein of unknown function (DUF2469)', 100, NULL, 'DUF2469', 40051),
(96326, 'PF07531', NULL, 'NHR1 homology to TAF', 90, NULL, 'TAFH', 40052),
(96327, 'PF19725', NULL, 'DNA-directed RNA polymerase III subunit RPC5 C-terminal', 254, NULL, 'RPC5_C', 40053),
(96328, 'PF02801', NULL, 'Beta-ketoacyl synthase, C-terminal domain', 119, NULL, 'Ketoacyl-synt_C', 40054),
(96329, 'PF11591', NULL, 'Ferredoxin chloroplastic transit peptide', 34, NULL, '2Fe-2S_Ferredox', 40055),
(96330, 'PF15953', NULL, 'Putative propanediol utilisation', 153, NULL, 'PDU_like', 40056),
(96331, 'PF14673', NULL, 'Domain of unknown function (DUF4459)', 159, NULL, 'DUF4459', 40057),
(96332, 'PF17386', NULL, 'Lacto-N-biose phosphorylase C-terminal domain', 53, NULL, 'LBP_C', 40058),
(96333, 'PF13196', NULL, 'Protein of unknown function (DUF4012)', 144, NULL, 'DUF4012', 40059),
(96334, 'PF08367', NULL, 'Peptidase M16C associated', 250, NULL, 'M16C_assoc', 40060),
(96335, 'PF08602', NULL, 'Mgr1-like, i-AAA protease complex subunit', 388, NULL, 'Mgr1', 40061),
(96336, 'PF14530', NULL, 'Domain of unknown function (DUF4439)', 132, NULL, 'DUF4439', 40062);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(96337, 'PF15752', NULL, 'Domain of unknown function (DUF4688)', 400, NULL, 'DUF4688', 40063),
(96338, 'PF02680', NULL, 'Uncharacterized ArCR, COG1888', 89, NULL, 'DUF211', 40064),
(96339, 'PF14757', NULL, 'Immunogenic region of nsp2 protein of arterivirus polyprotein', 272, NULL, 'NSP2-B_epitope', 40065),
(96340, 'PF16991', NULL, 'Sir4 SID domain', 163, NULL, 'SIR4_SID', 40066),
(96341, 'PF11697', NULL, 'Protein of unknown function (DUF3293)', 73, NULL, 'DUF3293', 40067),
(96342, 'PF18162', NULL, 'Arc C-lobe', 83, NULL, 'Arc_C', 40068),
(96343, 'PF02530', NULL, 'Porin subfamily', 379, NULL, 'Porin_2', 40069),
(96344, 'PF02383', NULL, 'SacI homology domain', 322, NULL, 'Syja_N', 40070),
(96345, 'PF03041', NULL, 'lef-2', 165, NULL, 'Baculo_LEF-2', 40071),
(96346, 'PF04995', NULL, 'Heme exporter protein D (CcmD)', 44, NULL, 'CcmD', 40072),
(96347, 'PF10413', NULL, 'Amino terminal of the G-protein receptor rhodopsin', 36, NULL, 'Rhodopsin_N', 40073),
(96348, 'PF09274', NULL, 'ParG', 76, NULL, 'ParG', 40074),
(96349, 'PF11501', NULL, 'Betacoronavirus replicase NSP1', 138, NULL, 'bCoV_NSP1', 40075),
(96350, 'PF03391', NULL, 'Nepovirus coat protein, central domain', 167, NULL, 'Nepo_coat', 40076),
(96351, 'PF12759', NULL, 'InsA C-terminal domain', 46, NULL, 'HTH_Tnp_IS1', 40077),
(96352, 'PF14562', NULL, 'Restriction endonuclease BglI', 285, NULL, 'Endonuc_BglI', 40078),
(96353, 'PF16301', NULL, 'Domain of unknown function (DUF4943)', 150, NULL, 'DUF4943', 40079),
(96354, 'PF19830', NULL, 'Family of unknown function (DUF6311)', 303, NULL, 'DUF6311', 40080),
(96355, 'PF12431', NULL, 'Transcriptional regulator', 30, NULL, 'CitT', 40081),
(96356, 'PF19152', NULL, 'Family of unknown function (DUF5834)', 159, NULL, 'DUF5834', 40082),
(96357, 'PF04344', NULL, 'Chemotaxis phosphatase, CheZ', 201, NULL, 'CheZ', 40083),
(96358, 'PF00281', NULL, 'Ribosomal protein L5', 57, NULL, 'Ribosomal_L5', 40084),
(96359, 'PF06870', NULL, 'A49-like RNA polymerase I associated factor', 375, NULL, 'RNA_pol_I_A49', 40085),
(96360, 'PF03297', NULL, 'S25 ribosomal protein', 101, NULL, 'Ribosomal_S25', 40086),
(96361, 'PF13668', NULL, 'Ferritin-like domain', 138, NULL, 'Ferritin_2', 40087),
(96362, 'PF13201', NULL, 'Putative carbohydrate metabolism domain', 232, NULL, 'PCMD', 40088),
(96363, 'PF08601', NULL, 'Transcription factor PAP1', 371, NULL, 'PAP1', 40089),
(96364, 'PF07090', NULL, 'Putative glutamine amidotransferase', 247, NULL, 'GATase1_like', 40090),
(96365, 'PF04063', NULL, 'Domain of unknown function (DUF383)', 188, NULL, 'DUF383', 40091),
(96366, 'PF14965', NULL, 'Negative regulator of p53/TP53', 180, NULL, 'BRI3BP', 40092),
(96367, 'PF01533', NULL, 'Tospovirus nucleocapsid protein', 246, NULL, 'Tospo_nucleocap', 40093),
(96368, 'PF00841', NULL, 'Sperm histone P2', 92, NULL, 'Protamine_P2', 40094),
(96369, 'PF01596', NULL, 'O-methyltransferase', 204, NULL, 'Methyltransf_3', 40095),
(96370, 'PF16667', NULL, 'Unstructured region 10 on multiple PDZ protein', 65, NULL, 'MPDZ_u10', 40096),
(96371, 'PF00132', NULL, 'Bacterial transferase hexapeptide (six repeats)', 36, NULL, 'Hexapep', 40097),
(96372, 'PF01433', NULL, 'Peptidase family M1 domain', 218, NULL, 'Peptidase_M1', 40098),
(96373, 'PF19255', NULL, 'Family of unknown function (DUF5902)', 104, NULL, 'DUF5902', 40099),
(96374, 'PF15074', NULL, 'Domain of unknown function (DUF4541)', 92, NULL, 'DUF4541', 40100),
(96375, 'PF13970', NULL, 'Domain of unknown function (DUF4221)', 312, NULL, 'DUF4221', 40101),
(96376, 'PF04201', NULL, 'Tumour protein D52 family', 108, NULL, 'TPD52', 40102),
(96377, 'PF14052', NULL, 'Capsule assembly protein Wzi', 394, NULL, 'Caps_assemb_Wzi', 40103),
(96378, 'PF03921', NULL, 'Intercellular adhesion molecule (ICAM), N-terminal domain', 91, NULL, 'ICAM_N', 40104),
(96379, 'PF04511', NULL, 'Der1-like family', 191, NULL, 'DER1', 40105),
(96380, 'PF12811', NULL, 'Bax inhibitor 1 like', 233, NULL, 'BaxI_1', 40106),
(96381, 'PF10971', NULL, 'Protein of unknown function (DUF2773)', 81, NULL, 'DUF2773', 40107),
(96382, 'PF15359', NULL, 'Carnitine deficiency-associated protein 3', 131, NULL, 'CDV3', 40108);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(96383, 'PF01404', NULL, 'Ephrin receptor ligand binding domain', 175, NULL, 'Ephrin_lbd', 40109),
(96384, 'PF09609', NULL, 'CRISPR-associated protein, GSU0054 family (Cas_GSU0054)', 534, NULL, 'Cas_GSU0054', 40110),
(96385, 'PF17509', NULL, 'Family of unknown function (DUF5440)', 93, NULL, 'DUF5440', 40111),
(96386, 'PF14897', NULL, 'EpsG family', 325, NULL, 'EpsG', 40112),
(96387, 'PF09229', NULL, 'Activator of Hsp90 ATPase, N-terminal', 137, NULL, 'Aha1_N', 40113),
(96388, 'PF14255', NULL, 'Cysteine-rich CPXCG', 52, NULL, 'Cys_rich_CPXG', 40114),
(96389, 'PF08880', NULL, 'QLQ', 35, NULL, 'QLQ', 40115),
(96390, 'PF16048', NULL, 'Frog antimicrobial peptide', 17, NULL, 'Antimicrobial23', 40116),
(96391, 'PF15830', NULL, 'Domain of unknown function (DUF4712)', 254, NULL, 'DUF4712', 40117),
(96392, 'PF19631', NULL, 'Trypsin-co-occurring domain 2', 78, NULL, 'Trypco2', 40118),
(96393, 'PF17481', NULL, 'Phage tail sheath protein beta-sandwich domain', 106, NULL, 'Phage_sheath_1N', 40119),
(96394, 'PF01827', NULL, 'FTH domain', 141, NULL, 'FTH', 40120),
(96395, 'PF14549', NULL, 'DNA-binding transcriptional regulator Cro', 60, NULL, 'P22_Cro', 40121),
(96396, 'PF19029', NULL, 'DUF883 C-terminal glycine zipper region', 30, NULL, 'DUF883_C', 40122),
(96397, 'PF18250', NULL, 'Effector immunity protein Tgi2PP', 43, NULL, 'Tgi2PP', 40123),
(96398, 'PF15594', NULL, 'Immunity protein 50', 118, NULL, 'Imm50', 40124),
(96399, 'PF03411', NULL, 'Penicillin-insensitive murein endopeptidase', 239, NULL, 'Peptidase_M74', 40125),
(96400, 'PF07763', NULL, 'FEZ-like protein', 240, NULL, 'FEZ', 40126),
(96401, 'PF11957', NULL, 'THO complex subunit 1 transcription elongation factor', 489, NULL, 'efThoc1', 40127),
(96402, 'PF18703', NULL, 'MALT1 Ig-like domain', 138, NULL, 'MALT1_Ig', 40128),
(96403, 'PF05795', NULL, 'Plasmodium vivax Vir protein', 381, NULL, 'Plasmodium_Vir', 40129),
(96404, 'PF16787', NULL, 'Centromere DNA-binding protein complex CBF3 subunit, domain 2', 318, NULL, 'NDC10_II', 40130),
(96405, 'PF00934', NULL, 'PE family', 91, NULL, 'PE', 40131),
(96406, 'PF09980', NULL, 'Predicted membrane protein (DUF2214)', 147, NULL, 'DUF2214', 40132),
(96407, 'PF13208', NULL, 'TerB N-terminal domain', 208, NULL, 'TerB_N', 40133),
(96408, 'PF04467', NULL, 'Protein of unknown function (DUF483)', 122, NULL, 'DUF483', 40134),
(96409, 'PF18034', NULL, 'Bacterial Glycosyl hydrolase family 3 C-terminal domain', 137, NULL, 'Bac_GH3_C', 40135),
(96410, 'PF00706', NULL, 'Anenome neurotoxin', 43, NULL, 'Toxin_4', 40136),
(96411, 'PF02319', NULL, 'E2F/DP family winged-helix DNA-binding domain', 65, NULL, 'E2F_TDP', 40137),
(96412, 'PF08534', NULL, 'Redoxin', 147, NULL, 'Redoxin', 40138),
(96413, 'PF08612', NULL, 'TATA-binding related factor (TRF) of subunit 20 of Mediator complex', 225, NULL, 'Med20', 40139),
(96414, 'PF10497', NULL, 'Zinc-finger domain of monoamine-oxidase A repressor R1', 99, NULL, 'zf-4CXXC_R1', 40140),
(96415, 'PF00191', NULL, 'Annexin', 66, NULL, 'Annexin', 40141),
(96416, 'PF03819', NULL, 'MazG nucleotide pyrophosphohydrolase domain', 74, NULL, 'MazG', 40142),
(96417, 'PF10205', NULL, 'Predicted coiled-coil domain-containing protein', 100, NULL, 'KLRAQ', 40143),
(96418, 'PF10915', NULL, 'Protein of unknown function (DUF2709)', 237, NULL, 'DUF2709', 40144),
(96419, 'PF14172', NULL, 'Domain of unknown function (DUF4309)', 133, NULL, 'DUF4309', 40145),
(96420, 'PF01918', NULL, 'Alba', 67, NULL, 'Alba', 40146),
(96421, 'PF19915', NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX0', 166, NULL, 'bpX0', 40147),
(96422, 'PF11738', NULL, 'Protein of unknown function (DUF3298)', 84, NULL, 'DUF3298', 40148),
(96423, 'PF15196', NULL, 'Activator of apoptosis harakiri', 92, NULL, 'Harakiri', 40149),
(96424, 'PF16142', NULL, 'Domain of unknown function (DUF4850)', 184, NULL, 'DUF4850', 40150),
(96425, 'PF07928', NULL, 'Vps54-like protein', 133, NULL, 'Vps54', 40151),
(96426, 'PF12305', NULL, 'Protein of unknown function (DUF3630)', 94, NULL, 'DUF3630', 40152),
(96427, 'PF14801', NULL, 'tRNA methyltransferase complex GCD14 subunit N-term', 51, NULL, 'GCD14_N', 40153);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(96428, 'PF02093', NULL, 'Gag P30 core shell protein', 208, NULL, 'Gag_p30', 40154),
(96429, 'PF15554', NULL, 'FSIP1 family', 400, NULL, 'FSIP1', 40155),
(96430, 'PF12716', NULL, 'Nuclear pore assembly and biogenesis', 54, NULL, 'Apq12', 40156),
(96431, 'PF10372', NULL, 'Bacterial membrane-spanning protein N-terminus', 69, NULL, 'YojJ', 40157),
(96432, 'PF16209', NULL, 'Phospholipid-translocating ATPase N-terminal', 67, NULL, 'PhoLip_ATPase_N', 40158),
(96433, 'PF04069', NULL, 'Substrate binding domain of ABC-type glycine betaine transport system', 257, NULL, 'OpuAC', 40159),
(96434, 'PF04200', NULL, 'Lipoprotein associated domain', 84, NULL, 'Lipoprotein_17', 40160),
(96435, 'PF00590', NULL, 'Tetrapyrrole (Corrin/Porphyrin) Methylases', 213, NULL, 'TP_methylase', 40161),
(96436, 'PF18475', NULL, 'PIN domain', 103, NULL, 'PIN7', 40162),
(96437, 'PF07395', NULL, 'Mig-14', 264, NULL, 'Mig-14', 40163),
(96438, 'PF07695', NULL, '7TM diverse intracellular signalling', 205, NULL, '7TMR-DISM_7TM', 40164),
(96439, 'PF19745', NULL, 'Alpha-(1,6)-fucosyltransferase N- and catalytic domains', 499, NULL, 'FUT8_N_cat', 40165),
(96440, 'PF13335', NULL, 'Magnesium chelatase, subunit ChlI C-terminal', 94, NULL, 'Mg_chelatase_C', 40166),
(96441, 'PF19861', NULL, 'Family of unknown function (DUF6335)', 124, NULL, 'DUF6335', 40167),
(96442, 'PF01082', NULL, 'Copper type II ascorbate-dependent monooxygenase, N-terminal domain', 131, NULL, 'Cu2_monooxygen', 40168),
(96443, 'PF02066', NULL, 'Metallothionein family 11', 54, NULL, 'Metallothio_11', 40169),
(96444, 'PF14026', NULL, 'Protein of unknown function (DUF4242)', 76, NULL, 'DUF4242', 40170),
(96445, 'PF03818', NULL, 'Malonate/sodium symporter MadM subunit', 249, NULL, 'MadM', 40171),
(96446, 'PF03525', NULL, 'Meiotic recombination protein rec114', 328, NULL, 'Meiotic_rec114', 40172),
(96447, 'PF14222', NULL, 'Cell morphogenesis N-terminal', 555, NULL, 'MOR2-PAG1_N', 40173),
(96448, 'PF00201', NULL, 'UDP-glucoronosyl and UDP-glucosyl transferase', 499, NULL, 'UDPGT', 40174),
(96449, 'PF09394', NULL, 'Chagasin family peptidase inhibitor I42', 91, NULL, 'Inhibitor_I42', 40175),
(96450, 'PF03285', NULL, 'Paralemmin', 329, NULL, 'Paralemmin', 40176),
(96451, 'PF12940', NULL, 'Recombination-activation protein 1 (RAG1), recombinase', 651, NULL, 'RAG1', 40177),
(96452, 'PF11274', NULL, 'Protein of unknown function (DUF3074)', 184, NULL, 'DUF3074', 40178),
(96453, 'PF16405', NULL, 'Domain of unknown function (DUF5013)', 149, NULL, 'DUF5013', 40179),
(96454, 'PF16315', NULL, 'Domain of unknown function (DUF4955)', 149, NULL, 'DUF4955', 40180),
(96455, 'PF07420', NULL, 'Protein of unknown function (DUF1509)', 384, NULL, 'DUF1509', 40181),
(96456, 'PF00075', NULL, 'RNase H', 143, NULL, 'RNase_H', 40182),
(96457, 'PF11205', NULL, 'Protein of unknown function (DUF2987)', 146, NULL, 'DUF2987', 40183),
(96458, 'PF01169', NULL, 'Uncharacterized protein family UPF0016', 75, NULL, 'UPF0016', 40184),
(96459, 'PF12936', NULL, 'KRI1-like family C-terminal', 89, NULL, 'Kri1_C', 40185),
(96460, 'PF04891', NULL, 'NifQ', 159, NULL, 'NifQ', 40186),
(96461, 'PF03083', NULL, 'Sugar efflux transporter for intercellular exchange', 87, NULL, 'MtN3_slv', 40187),
(96462, 'PF07690', NULL, 'Major Facilitator Superfamily', 353, NULL, 'MFS_1', 40188),
(96463, 'PF00504', NULL, 'Chlorophyll A-B binding protein', 161, NULL, 'Chloroa_b-bind', 40189),
(96464, 'PF01120', NULL, 'Alpha-L-fucosidase', 350, NULL, 'Alpha_L_fucos', 40190),
(96465, 'PF10916', NULL, 'Protein of unknown function (DUF2712)', 115, NULL, 'DUF2712', 40191),
(96466, 'PF12361', NULL, 'Duffy-antigen binding protein', 304, NULL, 'DBP', 40192),
(96467, 'PF02698', NULL, 'DUF218 domain', 130, NULL, 'DUF218', 40193),
(96468, 'PF16197', NULL, 'Ketoacyl-synthetase C-terminal extension', 112, NULL, 'KAsynt_C_assoc', 40194),
(96469, 'PF01589', NULL, 'Alphavirus E1 glycoprotein', 504, NULL, 'Alpha_E1_glycop', 40195),
(96470, 'PF19617', NULL, 'Family of unknown function (DUF6122)', 102, NULL, 'DUF6122', 40196),
(96471, 'PF11229', NULL, 'Focadhesin', 589, NULL, 'Focadhesin', 40197);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(96472, 'PF10874', NULL, 'Protein of unknown function (DUF2746)', 101, NULL, 'DUF2746', 40198),
(96473, 'PF04134', NULL, 'DCC1-like thiol-disulfide oxidoreductase', 113, NULL, 'DCC1-like', 40199),
(96474, 'PF02442', NULL, 'Lipid membrane protein of large eukaryotic DNA viruses', 196, NULL, 'L1R_F9L', 40200),
(96475, 'PF07392', NULL, 'Cyclin-dependent kinase inhibitor 2a p19Arf N-terminus', 51, NULL, 'P19Arf_N', 40201),
(96476, 'PF03807', NULL, 'NADP oxidoreductase coenzyme F420-dependent', 96, NULL, 'F420_oxidored', 40202),
(96477, 'PF10434', NULL, 'Monopolin complex protein MAM1', 268, NULL, 'MAM1', 40203),
(96478, 'PF12046', NULL, 'Cofactor assembly of complex C subunit B', 168, NULL, 'CCB1', 40204),
(96479, 'PF07797', NULL, 'Protein of unknown function (DUF1639)', 50, NULL, 'DUF1639', 40205),
(96480, 'PF07381', NULL, 'Winged helix DNA-binding domain (DUF1495)', 90, NULL, 'DUF1495', 40206),
(96481, 'PF13309', NULL, 'HTH domain', 63, NULL, 'HTH_22', 40207),
(96482, 'PF19471', NULL, 'Family of unknown function (DUF6008)', 238, NULL, 'DUF6008', 40208),
(96483, 'PF18904', NULL, 'Domain of unknown function (DUF5660)', 109, NULL, 'DUF5660', 40209),
(96484, 'PF15841', NULL, 'Transmembrane protein 239 family', 151, NULL, 'TMEM239', 40210),
(96485, 'PF11462', NULL, 'Protein of unknown function (DUF3203)', 74, NULL, 'DUF3203', 40211),
(96486, 'PF03887', NULL, 'YfbU domain', 166, NULL, 'YfbU', 40212),
(96487, 'PF16113', NULL, 'Enoyl-CoA hydratase/isomerase', 335, NULL, 'ECH_2', 40213),
(96488, 'PF01884', NULL, 'PcrB family', 226, NULL, 'PcrB', 40214),
(96489, 'PF20078', NULL, 'Domain of unknown function (DUF6473)', 274, NULL, 'DUF6473', 40215),
(96490, 'PF18452', NULL, 'Immunoglobulin domain', 123, NULL, 'Ig_6', 40216),
(96491, 'PF10859', NULL, 'Protein of unknown function (DUF2660)', 87, NULL, 'DUF2660', 40217),
(96492, 'PF03044', NULL, 'Herpesvirus UL16/UL94 family', 337, NULL, 'Herpes_UL16', 40218),
(96493, 'PF03748', NULL, 'Flagellar basal body-associated protein FliL', 103, NULL, 'FliL', 40219),
(96494, 'PF07642', NULL, 'Putative beta-barrel porin-2, OmpL-like. bbp2', 346, NULL, 'BBP2', 40220),
(96495, 'PF10782', NULL, 'Zinc-finger', 58, NULL, 'zf-C2HCIx2C', 40221),
(96496, 'PF17126', NULL, 'RsmF rRNA methyltransferase first C-terminal domain', 61, NULL, 'RsmF_methylt_CI', 40222),
(96497, 'PF01812', NULL, '5-formyltetrahydrofolate cyclo-ligase family', 187, NULL, '5-FTHF_cyc-lig', 40223),
(96498, 'PF06584', NULL, 'DIRP', 107, NULL, 'DIRP', 40224),
(96499, 'PF17936', NULL, 'Bacterial Ig domain', 83, NULL, 'Big_6', 40225),
(96500, 'PF01828', NULL, 'Peptidase A4 family', 209, NULL, 'Peptidase_A4', 40226),
(96501, 'PF09124', NULL, 'T4 recombination endonuclease VII, dimerisation', 54, NULL, 'Endonuc-dimeris', 40227),
(96502, 'PF18460', NULL, 'Heterocyst differentiation regulator C-terminal Hood domain', 79, NULL, 'HetR_C', 40228),
(96503, 'PF08649', NULL, 'DASH complex subunit Dad1', 55, NULL, 'DASH_Dad1', 40229),
(96504, 'PF01036', NULL, 'Bacteriorhodopsin-like protein', 223, NULL, 'Bac_rhodopsin', 40230),
(96505, 'PF06079', NULL, 'Apyrase', 293, NULL, 'Apyrase', 40231),
(96506, 'PF16872', NULL, 'Putative phage abortive infection protein', 80, NULL, 'putAbiC', 40232),
(96507, 'PF14544', NULL, 'Domain of unknown function (DUF4443)', 112, NULL, 'DUF4443', 40233),
(96508, 'PF04705', NULL, 'Thiostrepton-resistance methylase, N terminus', 111, NULL, 'TSNR_N', 40234),
(96509, 'PF01557', NULL, 'Fumarylacetoacetate (FAA) hydrolase family', 218, NULL, 'FAA_hydrolase', 40235),
(96510, 'PF17241', NULL, 'Ty5 Gag N-terminal region', 154, NULL, 'Retrotran_gag_4', 40236),
(96511, 'PF17234', NULL, 'Mitochondrial peculiar membrane protein 1', 170, NULL, 'MPM1', 40237),
(96512, 'PF02544', NULL, '3-oxo-5-alpha-steroid 4-dehydrogenase', 150, NULL, 'Steroid_dh', 40238),
(96513, 'PF05891', NULL, 'AdoMet dependent proline di-methyltransferase', 218, NULL, 'Methyltransf_PK', 40239),
(96514, 'PF11702', NULL, 'Protein of unknown function (DUF3295)', 498, NULL, 'DUF3295', 40240),
(96515, 'PF07628', NULL, 'Protein of unknown function (DUF1589)', 164, NULL, 'DUF1589', 40241);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(96516, 'PF05700', NULL, 'Breast carcinoma amplified sequence 2 (BCAS2)', 206, NULL, 'BCAS2', 40242),
(96517, 'PF19974', NULL, 'Ternary complex associated domain 9', 437, NULL, 'TCAD9', 40243),
(96518, 'PF20151', NULL, 'Family of unknown function (DUF6533)', 47, NULL, 'DUF6533', 40244),
(96519, 'PF18533', NULL, 'Domain of unknown function (DUF5622)', 66, NULL, 'DUF5622', 40245),
(96520, 'PF03454', NULL, 'MoeA C-terminal region (domain IV)', 72, NULL, 'MoeA_C', 40246),
(96521, 'PF01537', NULL, 'Herpesvirus glycoprotein D/GG/GX domain', 124, NULL, 'Herpes_glycop_D', 40247),
(96522, 'PF16601', NULL, 'Rabosyn-5 repeating NPF sequence-motif', 187, NULL, 'NPF', 40248),
(96523, 'PF09016', NULL, 'Pas factor saposin fold', 73, NULL, 'Pas_Saposin', 40249),
(96524, 'PF14277', NULL, 'Domain of unknown function (DUF4364)', 162, NULL, 'DUF4364', 40250),
(96525, 'PF16959', NULL, 'Renal amino acid transporter', 154, NULL, 'Collectrin', 40251),
(96526, 'PF14244', NULL, 'gag-polypeptide of LTR copia-type', 48, NULL, 'Retrotran_gag_3', 40252),
(96527, 'PF05952', NULL, 'Bacillus competence pheromone ComX', 55, NULL, 'ComX', 40253),
(96528, 'PF13676', NULL, 'TIR domain', 121, NULL, 'TIR_2', 40254),
(96529, 'PF02435', NULL, 'Levansucrase/Invertase', 424, NULL, 'Glyco_hydro_68', 40255),
(96530, 'PF17694', NULL, 'Family of unknown function (DUF5540)', 77, NULL, 'DUF5540', 40256),
(96531, 'PF05358', NULL, 'DicB protein', 62, NULL, 'DicB', 40257),
(96532, 'PF12433', NULL, 'Parvovirus non-structural protein 1', 82, NULL, 'PV_NSP1', 40258),
(96533, 'PF02371', NULL, 'Transposase IS116/IS110/IS902 family', 87, NULL, 'Transposase_20', 40259),
(96534, 'PF02381', NULL, 'MraZ protein, putative antitoxin-like', 72, NULL, 'MraZ', 40260),
(96535, 'PF17437', NULL, 'Family of unknown function (DUF5416)', 167, NULL, 'DUF5416', 40261),
(96536, 'PF07725', NULL, 'Leucine Rich Repeat', 20, NULL, 'LRR_3', 40262),
(96537, 'PF11357', NULL, 'Cell cycle regulatory protein', 131, NULL, 'Spy1', 40263),
(96538, 'PF16644', NULL, 'Regulatory region of Na+/H+ exchanger NHE binds to calmodulin', 109, NULL, 'NEXCaM_BD', 40264),
(96539, 'PF19988', NULL, 'Family of unknown function (DUF6424)', 277, NULL, 'DUF6424', 40265),
(96540, 'PF05372', NULL, 'Delta lysin family', 25, NULL, 'Delta_lysin', 40266),
(96541, 'PF05726', NULL, 'Pirin C-terminal cupin domain', 105, NULL, 'Pirin_C', 40267),
(96542, 'PF08999', NULL, 'Surfactant protein C, N terminal propeptide', 96, NULL, 'SP_C-Propep', 40268),
(96543, 'PF15500', NULL, 'Putative RNase-like toxin, toxin_1', 96, NULL, 'Ntox1', 40269),
(96544, 'PF01361', NULL, 'Tautomerase enzyme', 60, NULL, 'Tautomerase', 40270),
(96545, 'PF01825', NULL, 'GPCR proteolysis site, GPS, motif', 45, NULL, 'GPS', 40271),
(96546, 'PF10154', NULL, 'Uncharacterised conserved protein (DUF2362)', 501, NULL, 'DUF2362', 40272),
(96547, 'PF09387', NULL, 'Mitochondrial RNA binding protein MRP', 219, NULL, 'MRP', 40273),
(96548, 'PF15711', NULL, 'Interleukin-like EMT inducer', 89, NULL, 'ILEI', 40274),
(96549, 'PF06816', NULL, 'NOTCH protein', 56, NULL, 'NOD', 40275),
(96550, 'PF06844', NULL, 'Protein of unknown function (DUF1244)', 67, NULL, 'DUF1244', 40276),
(96551, 'PF19127', NULL, 'Choline-binding repeat', 48, NULL, 'Choline_bind_3', 40277),
(96552, 'PF19739', NULL, 'Family of unknown function (DUF6228)', 133, NULL, 'DUF6228', 40278),
(96553, 'PF18303', NULL, 'SAVED-fused 2TM effector domain', 152, NULL, 'Saf_2TM', 40279),
(96554, 'PF04486', NULL, 'SchA/CurD like domain', 119, NULL, 'SchA_CurD', 40280),
(96555, 'PF16756', NULL, 'Partner and localizer of BRCA2 WD40 domain', 347, NULL, 'PALB2_WD40', 40281),
(96556, 'PF17254', NULL, 'Family of unknown function (DUF5321)', 160, NULL, 'DUF5321', 40282),
(96557, 'PF18211', NULL, 'Csm1 subunit domain B', 94, NULL, 'Csm1_B', 40283),
(96558, 'PF09747', NULL, 'Coiled-coil domain containing protein (DUF2052)', 198, NULL, 'DUF2052', 40284),
(96559, 'PF16311', NULL, 'Transmembrane protein 100', 133, NULL, 'TMEM100', 40285),
(96560, 'PF01339', NULL, 'CheB methylesterase', 168, NULL, 'CheB_methylest', 40286);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(96561, 'PF07847', NULL, 'PCO_ADO', 201, NULL, 'PCO_ADO', 40287),
(96562, 'PF14994', NULL, 'Testis-specific gene 13 protein', 273, NULL, 'TSGA13', 40288),
(96563, 'PF19063', NULL, 'Family of unknown function (DUF5759)', 71, NULL, 'DUF5759', 40289),
(96564, 'PF09421', NULL, 'Frequency clock protein', 984, NULL, 'FRQ', 40290),
(96565, 'PF13888', NULL, 'Myelin gene regulatory factor C-terminal domain 2', 139, NULL, 'MRF_C2', 40291),
(96566, 'PF14340', NULL, 'Domain of unknown function (DUF4395)', 130, NULL, 'DUF4395', 40292),
(96567, 'PF02655', NULL, 'ATP-grasp domain', 161, NULL, 'ATP-grasp_3', 40293),
(96568, 'PF15461', NULL, 'Beta-carotene 15,15''-dioxygenase', 271, NULL, 'BCD', 40294),
(96569, 'PF19231', NULL, 'Family of unknown function (DUF5884)', 155, NULL, 'DUF5884', 40295),
(96570, 'PF11325', NULL, 'Domain of unknown function (DUF3127)', 85, NULL, 'DUF3127', 40296),
(96571, 'PF01473', NULL, 'Putative cell wall binding repeat', 19, NULL, 'Choline_bind_1', 40297),
(96572, 'PF01098', NULL, 'Cell cycle protein', 358, NULL, 'FTSW_RODA_SPOVE', 40298),
(96573, 'PF12801', NULL, '4Fe-4S binding domain', 48, NULL, 'Fer4_5', 40299),
(96574, 'PF18813', NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease4', 186, NULL, 'PBECR4', 40300),
(96575, 'PF10428', NULL, 'RAM signalling pathway protein', 504, NULL, 'SOG2', 40301),
(96576, 'PF18846', NULL, 'Bacterial archaeo-eukaryotic release factor family 5', 132, NULL, 'baeRF_family5', 40302),
(96577, 'PF12434', NULL, 'Malate dehydrogenase enzyme', 32, NULL, 'Malate_DH', 40303),
(96578, 'PF18004', NULL, '26S proteasome regulatory subunit RPN2 C-terminal domain', 161, NULL, 'RPN2_C', 40304),
(96579, 'PF01633', NULL, 'Choline/ethanolamine kinase', 213, NULL, 'Choline_kinase', 40305),
(96580, 'PF09036', NULL, 'Bcr-Abl oncoprotein oligomerisation domain', 73, NULL, 'Bcr-Abl_Oligo', 40306),
(96581, 'PF04230', NULL, 'Polysaccharide pyruvyl transferase', 286, NULL, 'PS_pyruv_trans', 40307),
(96582, 'PF17627', NULL, 'Inclusion membrane protein E', 132, NULL, 'IncE', 40308),
(96583, 'PF11145', NULL, 'Protein of unknown function (DUF2921)', 887, NULL, 'DUF2921', 40309),
(96584, 'PF17239', NULL, 'Family of unknown function (DUF5312)', 553, NULL, 'DUF5312', 40310),
(96585, 'PF19287', NULL, 'Family of unknown function (DUF5910)', 121, NULL, 'DUF5910', 40311),
(96586, 'PF01011', NULL, 'PQQ enzyme repeat', 38, NULL, 'PQQ', 40312),
(96587, 'PF06053', NULL, 'Domain of unknown function (DUF929)', 243, NULL, 'DUF929', 40313),
(96588, 'PF15027', NULL, 'Domain of unknown function (DUF4525)', 137, NULL, 'DUF4525', 40314),
(96589, 'PF18826', NULL, 'Bacteroidetes VLRF1 release factor', 153, NULL, 'bVLRF1', 40315),
(96590, 'PF00994', NULL, 'Probable molybdopterin binding domain', 144, NULL, 'MoCF_biosynth', 40316),
(96591, 'PF06080', NULL, 'Protein of unknown function (DUF938)', 204, NULL, 'DUF938', 40317),
(96592, 'PF11242', NULL, 'Protein of unknown function (DUF2774)', 63, NULL, 'DUF2774', 40318),
(96593, 'PF00823', NULL, 'PPE family', 158, NULL, 'PPE', 40319),
(96594, 'PF07957', NULL, 'Protein of unknown function (DUF3294)', 213, NULL, 'DUF3294', 40320),
(96595, 'PF07127', NULL, 'Late nodulin protein', 54, NULL, 'Nodulin_late', 40321),
(96596, 'PF05729', NULL, 'NACHT domain', 166, NULL, 'NACHT', 40322),
(96597, 'PF03849', NULL, 'Transcription factor Tfb2', 356, NULL, 'Tfb2', 40323),
(96598, 'PF03602', NULL, 'Conserved hypothetical protein 95', 182, NULL, 'Cons_hypoth95', 40324),
(96599, 'PF10187', NULL, 'FAM192A/Fyv6, N-terminal domain', 105, NULL, 'FAM192A_Fyv6_N', 40325),
(96600, 'PF12932', NULL, 'Vesicle coat trafficking protein Sec16 mid-region', 118, NULL, 'Sec16', 40326),
(96601, 'PF17682', NULL, 'Tau95 Triple barrel domain', 127, NULL, 'Tau95_N', 40327),
(96602, 'PF06743', NULL, 'FAST kinase-like protein, subdomain 1', 72, NULL, 'FAST_1', 40328),
(96603, 'PF08082', NULL, 'PRO8NT (NUC069), PrP8 N-terminal domain', 152, NULL, 'PRO8NT', 40329),
(96604, 'PF17804', NULL, 'Tail specific protease N-terminal domain', 189, NULL, 'TSP_NTD', 40330),
(96605, 'PF15556', NULL, 'ZW10 interactor', 252, NULL, 'Zwint', 40331);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(96606, 'PF11128', NULL, 'Plant viral coat protein nucleocapsid', 179, NULL, 'Nucleocap_ssRNA', 40332),
(96607, 'PF15162', NULL, 'Protein SPO16 homolog', 162, NULL, 'SCRE', 40333),
(96608, 'PF04958', NULL, 'Arginine N-succinyltransferase beta subunit', 337, NULL, 'AstA', 40334),
(96609, 'PF06162', NULL, 'Putative pyroglutamyl peptidase PgaPase_1', 166, NULL, 'PgaPase_1', 40335),
(96610, 'PF14209', NULL, 'Domain of unknown function (DUF4321)', 48, NULL, 'DUF4321', 40336),
(96611, 'PF12896', NULL, 'Anaphase-promoting complex, cyclosome, subunit 4', 204, NULL, 'ANAPC4', 40337),
(96612, 'PF03936', NULL, 'Terpene synthase family, metal binding domain', 267, NULL, 'Terpene_synth_C', 40338),
(96613, 'PF03736', NULL, 'EPTP domain', 44, NULL, 'EPTP', 40339),
(96614, 'PF04130', NULL, 'Gamma tubulin complex component C-terminal', 309, NULL, 'GCP_C_terminal', 40340),
(96615, 'PF03755', NULL, 'YicC-like family, N-terminal region', 152, NULL, 'YicC_N', 40341),
(96616, 'PF06785', NULL, 'Uncharacterised protein family (UPF0242) N-terminus', 194, NULL, 'UPF0242', 40342),
(96617, 'PF12501', NULL, 'Phosphate ATP-binding cassette transporter', 166, NULL, 'DUF3708', 40343),
(96618, 'PF16560', NULL, 'Putative mobile pathogenicity island', 213, NULL, 'SAPI', 40344),
(96619, 'PF17169', NULL, 'MIT domain of nuclear receptor-binding factor 2', 83, NULL, 'NRBF2_MIT', 40345),
(96620, 'PF18432', NULL, 'Extracellular Cadherin domain', 110, NULL, 'ECD', 40346),
(96621, 'PF19462', NULL, 'Family of unknown function (DUF5999)', 57, NULL, 'DUF5999', 40347),
(96622, 'PF13796', NULL, 'Putative sensor', 162, NULL, 'Sensor', 40348),
(96623, 'PF11300', NULL, 'Protein of unknown function (DUF3102)', 130, NULL, 'DUF3102', 40349),
(96624, 'PF14707', NULL, 'C-terminal region of aryl-sulfatase', 124, NULL, 'Sulfatase_C', 40350),
(96625, 'PF00675', NULL, 'Insulinase (Peptidase family M16)', 149, NULL, 'Peptidase_M16', 40351),
(96626, 'PF00996', NULL, 'GDP dissociation inhibitor', 436, NULL, 'GDI', 40352),
(96627, 'PF16471', NULL, 'JNK-interacting protein leucine zipper II', 71, NULL, 'JIP_LZII', 40353),
(96628, 'PF02511', NULL, 'Thymidylate synthase complementing protein', 191, NULL, 'Thy1', 40354),
(96629, 'PF00818', NULL, 'Ice nucleation protein repeat', 15, NULL, 'Ice_nucleation', 40355),
(96630, 'PF06596', NULL, 'Photosystem II reaction centre X protein (PsbX)', 38, NULL, 'PsbX', 40356),
(96631, 'PF11678', NULL, 'Protein of unknown function (DUF3274)', 286, NULL, 'DUF3274', 40357),
(96632, 'PF09135', NULL, 'Alb1', 106, NULL, 'Alb1', 40358),
(96633, 'PF11448', NULL, 'Protein of unknown function (DUF3005)', 124, NULL, 'DUF3005', 40359),
(96634, 'PF10533', NULL, 'Plant zinc cluster domain', 48, NULL, 'Plant_zn_clust', 40360),
(96635, 'PF08292', NULL, 'RNA polymerase III subunit Rpc25', 125, NULL, 'RNA_pol_Rbc25', 40361),
(96636, 'PF19017', NULL, 'Domain of unknown function (DUF5746)', 175, NULL, 'DUF5746', 40362),
(96637, 'PF03972', NULL, 'MmgE/PrpD N-terminal domain', 245, NULL, 'MmgE_PrpD', 40363),
(96638, 'PF13768', NULL, 'von Willebrand factor type A domain', 155, NULL, 'VWA_3', 40364),
(96639, 'PF06684', NULL, 'Amino acid synthesis', 176, NULL, 'AA_synth', 40365),
(96640, 'PF16112', NULL, 'Domain of unknown function (DUF4830)', 84, NULL, 'DUF4830', 40366),
(96641, 'PF00847', NULL, 'AP2 domain', 54, NULL, 'AP2', 40367),
(96642, 'PF03837', NULL, 'RecT family', 199, NULL, 'RecT', 40368),
(96643, 'PF15829', NULL, 'Domain of unknown function (DUF4711)', 224, NULL, 'DUF4711', 40369),
(96644, 'PF18329', NULL, 'Surface glycan-binding protein B xyloglucan binding domain', 189, NULL, 'SGBP_B_XBD', 40370),
(96645, 'PF00332', NULL, 'Glycosyl hydrolases family 17', 313, NULL, 'Glyco_hydro_17', 40371),
(96646, 'PF10605', NULL, '3HB-oligomer hydrolase (3HBOH)', 689, NULL, '3HBOH', 40372),
(96647, 'PF03558', NULL, 'TBSV core protein P21/P22', 187, NULL, 'TBSV_P22', 40373),
(96648, 'PF15155', NULL, 'MORF4 family-associated protein1', 119, NULL, 'MRFAP1', 40374),
(96649, 'PF00484', NULL, 'Carbonic anhydrase', 156, NULL, 'Pro_CA', 40375),
(96650, 'PF17681', NULL, 'Gamma tubulin complex component N-terminal', 304, NULL, 'GCP_N_terminal', 40376);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(96651, 'PF15957', NULL, 'Commissureless', 118, NULL, 'Comm', 40377),
(96652, 'PF19280', NULL, 'Ceramide kinase C-terminal domain', 222, NULL, 'CERK_C', 40378),
(96653, 'PF04410', NULL, 'Gar1/Naf1 RNA binding region', 92, NULL, 'Gar1', 40379),
(96654, 'PF18138', NULL, 'Bacterial HORMA domain family 1', 169, NULL, 'bacHORMA_1', 40380),
(96655, 'PF09041', NULL, 'Aurora-A binding', 68, NULL, 'Aurora-A_bind', 40381),
(96656, 'PF17320', NULL, 'Family of unknown function (DUF5363)', 54, NULL, 'DUF5363', 40382),
(96657, 'PF18583', NULL, 'Aminoarabinose transferase C-terminal domain', 103, NULL, 'Arnt_C', 40383),
(96658, 'PF01625', NULL, 'Peptide methionine sulfoxide reductase', 153, NULL, 'PMSR', 40384),
(96659, 'PF07504', NULL, 'Fungalysin/Thermolysin Propeptide Motif', 51, NULL, 'FTP', 40385),
(96660, 'PF01845', NULL, 'CcdB protein', 100, NULL, 'CcdB', 40386),
(96661, 'PF08309', NULL, 'LVIVD repeat', 42, NULL, 'LVIVD', 40387),
(96662, 'PF04209', NULL, 'homogentisate 1,2-dioxygenase', 426, NULL, 'HgmA', 40388),
(96663, 'PF20110', NULL, 'Family of unknown function (DUF6500)', 53, NULL, 'DUF6500', 40389),
(96664, 'PF06387', NULL, 'D1 dopamine receptor-interacting protein (calcyon)', 180, NULL, 'Calcyon', 40390),
(96665, 'PF14840', NULL, 'Processivity clamp loader gamma complex DNA pol III C-term', 125, NULL, 'DNA_pol3_delt_C', 40391),
(96666, 'PF15976', NULL, 'CS1-pili formation C-terminal', 93, NULL, 'CooC_C', 40392),
(96667, 'PF00243', NULL, 'Nerve growth factor family', 112, NULL, 'NGF', 40393),
(96668, 'PF10542', NULL, 'Vitelline membrane cysteine-rich region', 38, NULL, 'Vitelline_membr', 40394),
(96669, 'PF06989', NULL, 'BAALC N-terminus', 50, NULL, 'BAALC_N', 40395),
(96670, 'PF16277', NULL, 'Domain of unknown function (DUF4926)', 58, NULL, 'DUF4926', 40396),
(96671, 'PF01249', NULL, 'Ribosomal protein S21e', 79, NULL, 'Ribosomal_S21e', 40397),
(96672, 'PF02082', NULL, 'Iron-dependent Transcriptional regulator', 132, NULL, 'Rrf2', 40398),
(96673, 'PF16183', NULL, 'Kinesin-associated', 171, NULL, 'Kinesin_assoc', 40399),
(96674, 'PF17298', NULL, 'Family of unknown function (DUF5349)', 362, NULL, 'DUF5349', 40400),
(96675, 'PF00384', NULL, 'Molybdopterin oxidoreductase', 432, NULL, 'Molybdopterin', 40401),
(96676, 'PF04539', NULL, 'Sigma-70 region 3', 78, NULL, 'Sigma70_r3', 40402),
(96677, 'PF11601', NULL, 'Shal-type voltage-gated potassium channels, N-terminal', 28, NULL, 'Shal-type', 40403),
(96678, 'PF05926', NULL, 'Phage head completion protein (GPL)', 139, NULL, 'Phage_GPL', 40404),
(96679, 'PF12885', NULL, 'Transducer of regulated CREB activity middle domain', 158, NULL, 'TORC_M', 40405),
(96680, 'PF01710', NULL, 'Transposase', 119, NULL, 'HTH_Tnp_IS630', 40406),
(96681, 'PF14744', NULL, 'WASH complex subunit 7', 346, NULL, 'WASH-7_mid', 40407),
(96682, 'PF19227', NULL, 'Salyut domain', 51, NULL, 'Salyut', 40408),
(96683, 'PF04912', NULL, 'Dynamitin', 397, NULL, 'Dynamitin', 40409),
(96684, 'PF01204', NULL, 'Trehalase', 512, NULL, 'Trehalase', 40410),
(96685, 'PF11256', NULL, 'Protein of unknown function (DUF3055)', 80, NULL, 'DUF3055', 40411),
(96686, 'PF12787', NULL, 'EcsC protein family', 245, NULL, 'EcsC', 40412),
(96687, 'PF16941', NULL, 'Putative cyclodextrin porin', 341, NULL, 'CymA', 40413),
(96688, 'PF13408', NULL, 'Recombinase zinc beta ribbon domain', 58, NULL, 'Zn_ribbon_recom', 40414),
(96689, 'PF19557', NULL, 'Family of unknown function (DUF6079)', 1238, NULL, 'DUF6079', 40415),
(96690, 'PF14311', NULL, 'Probable Zinc-ribbon domain', 56, NULL, 'DUF4379', 40416),
(96691, 'PF03953', NULL, 'Tubulin C-terminal domain', 126, NULL, 'Tubulin_C', 40417),
(96692, 'PF06093', NULL, 'Spt4/RpoE2 zinc finger', 77, NULL, 'Spt4', 40418),
(96693, 'PF16324', NULL, 'Domain of unknown function (DUF4960)', 250, NULL, 'DUF4960', 40419),
(96694, 'PF17748', NULL, 'VID27 N-terminal region', 173, NULL, 'VID27_N', 40420),
(96695, 'PF19110', NULL, 'Family of unknown function (DUF5797)', 163, NULL, 'DUF5797', 40421),
(96696, 'PF01520', NULL, 'N-acetylmuramoyl-L-alanine amidase', 174, NULL, 'Amidase_3', 40422); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(96697, 'PF04876', NULL, 'Tenuivirus major non-capsid protein', 173, NULL, 'Tenui_NCP', 40423),
(96698, 'PF07156', NULL, 'Prenylcysteine lyase', 363, NULL, 'Prenylcys_lyase', 40424),
(96699, 'PF11858', NULL, 'Domain of unknown function (DUF3378)', 76, NULL, 'DUF3378', 40425),
(96700, 'PF18404', NULL, 'Glucosyltransferase 24', 268, NULL, 'Glyco_transf_24', 40426),
(96701, 'PF00207', NULL, 'Alpha-2-macroglobulin family', 92, NULL, 'A2M', 40427),
(96702, 'PF18678', NULL, 'Allene oxide cyclase barrel like domain', 122, NULL, 'AOC_like', 40428),
(96703, 'PF19740', NULL, 'Family of unknown function (DUF6229)', 62, NULL, 'DUF6229', 40429),
(96704, 'PF02411', NULL, 'MerT mercuric transport protein', 116, NULL, 'MerT', 40430),
(96705, 'PF14247', NULL, 'Putative metallopeptidase', 220, NULL, 'DUF4344', 40431),
(96706, 'PF10983', NULL, 'Protein of unknown function (DUF2793)', 87, NULL, 'DUF2793', 40432),
(96707, 'PF16594', NULL, 'Putative AtpZ or ATP-synthase-associated', 53, NULL, 'ATP-synt_Z', 40433),
(96708, 'PF12613', NULL, 'Flagellin structural protein', 53, NULL, 'FliC_SP', 40434),
(96709, 'PF13420', NULL, 'Acetyltransferase (GNAT) domain', 155, NULL, 'Acetyltransf_4', 40435),
(96710, 'PF17151', NULL, 'Periplasmic sensor domain', 187, NULL, 'CHASE7', 40436),
(96711, 'PF02629', NULL, 'CoA binding domain', 96, NULL, 'CoA_binding', 40437),
(96712, 'PF17326', NULL, 'Family of unknown function (DUF5365)', 116, NULL, 'DUF5365', 40438),
(96713, 'PF14938', NULL, 'Soluble NSF attachment protein, SNAP', 282, NULL, 'SNAP', 40439),
(96714, 'PF04218', NULL, 'CENP-B N-terminal DNA-binding domain', 53, NULL, 'CENP-B_N', 40440),
(96715, 'PF15229', NULL, 'POM121 family', 225, NULL, 'POM121', 40441),
(96716, 'PF12482', NULL, 'Phage integrase protein', 93, NULL, 'DUF3701', 40442),
(96717, 'PF08297', NULL, 'U3 snoRNA associated', 90, NULL, 'U3_snoRNA_assoc', 40443),
(96718, 'PF09954', NULL, 'Uncharacterized protein conserved in bacteria (DUF2188)', 62, NULL, 'DUF2188', 40444),
(96719, 'PF15346', NULL, 'Arginine and glutamate-rich 1', 151, NULL, 'ARGLU', 40445),
(96720, 'PF12856', NULL, 'Anaphase-promoting complex subunit 9', 119, NULL, 'ANAPC9', 40446),
(96721, 'PF00604', NULL, 'Influenza RNA-dependent RNA polymerase subunit PB2', 754, NULL, 'Flu_PB2', 40447),
(96722, 'PF11867', NULL, 'Domain of unknown function (DUF3387)', 331, NULL, 'DUF3387', 40448),
(96723, 'PF04556', NULL, 'DpnII restriction endonuclease', 279, NULL, 'DpnII', 40449),
(96724, 'PF19660', NULL, 'Family of unknown function (DUF6163)', 145, NULL, 'DUF6163', 40450),
(96725, 'PF18741', NULL, 'REase_MTES_1575', 96, NULL, 'MTES_1575', 40451),
(96726, 'PF13486', NULL, 'Reductive dehalogenase subunit', 288, NULL, 'Dehalogenase', 40452),
(96727, 'PF04549', NULL, 'CD47 transmembrane region', 147, NULL, 'CD47', 40453),
(96728, 'PF07462', NULL, 'Merozoite surface protein 1 (MSP1) C-terminus', 554, NULL, 'MSP1_C', 40454),
(96729, 'PF14363', NULL, 'Domain associated at C-terminal with AAA', 96, NULL, 'AAA_assoc', 40455),
(96730, 'PF02291', NULL, 'Transcription initiation factor IID, 31kD subunit', 123, NULL, 'TFIID-31kDa', 40456),
(96731, 'PF02155', NULL, 'Glucocorticoid receptor', 377, NULL, 'GCR', 40457),
(96732, 'PF16613', NULL, 'Unstructured region of RGS12', 118, NULL, 'RGS12_us1', 40458),
(96733, 'PF16776', NULL, 'Type II inositol 1,4,5-trisphosphate 5-phosphatase PH domain', 145, NULL, 'INPP5B_PH', 40459),
(96734, 'PF03740', NULL, 'Pyridoxal phosphate biosynthesis protein PdxJ', 234, NULL, 'PdxJ', 40460),
(96735, 'PF02793', NULL, 'Hormone receptor domain', 65, NULL, 'HRM', 40461),
(96736, 'PF16732', NULL, 'Type IV minor pilin ComP, DNA uptake sequence receptor', 87, NULL, 'ComP_DUS', 40462),
(96737, 'PF05773', NULL, 'RWD domain', 116, NULL, 'RWD', 40463),
(96738, 'PF06741', NULL, 'LsmAD domain', 72, NULL, 'LsmAD', 40464),
(96739, 'PF12483', NULL, 'E3 Ubiquitin ligase', 159, NULL, 'GIDE', 40465),
(96740, 'PF19247', NULL, 'Family of unknown function (DUF5895)', 153, NULL, 'DUF5895', 40466),
(96741, 'PF17197', NULL, 'Domain of unknown function (DUF5134)', 150, NULL, 'DUF5134', 40467);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(96742, 'PF14692', NULL, 'Domain of unknown function (DUF4462)', 28, NULL, 'DUF4462', 40468),
(96743, 'PF03166', NULL, 'MH2 domain', 174, NULL, 'MH2', 40469),
(96744, 'PF06212', NULL, 'GRIM-19 protein', 132, NULL, 'GRIM-19', 40470),
(96745, 'PF00355', NULL, 'Rieske [2Fe-2S] domain', 89, NULL, 'Rieske', 40471),
(96746, 'PF19142', NULL, 'Family of unknown function (DUF5825)', 179, NULL, 'DUF5825', 40472),
(96747, 'PF15370', NULL, 'Domain of unknown function (DUF4598)', 110, NULL, 'DUF4598', 40473),
(96748, 'PF19262', NULL, 'Family of unknown function (DUF5905)', 105, NULL, 'DUF5905', 40474),
(96749, 'PF05915', NULL, 'Transmembrane proteins 230/134', 119, NULL, 'TMEM_230_134', 40475),
(96750, 'PF06059', NULL, 'Domain of Unknown Function (DUF930)', 99, NULL, 'DUF930', 40476),
(96751, 'PF07039', NULL, 'SGF29 tudor-like domain', 132, NULL, 'DUF1325', 40477),
(96752, 'PF13829', NULL, 'Domain of unknown function (DUF4191)', 219, NULL, 'DUF4191', 40478),
(96753, 'PF10930', NULL, 'Protein of unknown function (DUF2737)', 53, NULL, 'DUF2737', 40479),
(96754, 'PF07294', NULL, 'Fibroin P25', 196, NULL, 'Fibroin_P25', 40480),
(96755, 'PF14080', NULL, 'Domain of unknown function (DUF4261)', 77, NULL, 'DUF4261', 40481),
(96756, 'PF08236', NULL, 'SRI (Set2 Rpb1 interacting) domain', 85, NULL, 'SRI', 40482),
(96757, 'PF00076', NULL, 'RNA recognition motif. (a.k.a. RRM, RBD, or RNP domain)', 70, NULL, 'RRM_1', 40483),
(96758, 'PF01411', NULL, 'tRNA synthetases class II (A)', 552, NULL, 'tRNA-synt_2c', 40484),
(96759, 'PF03155', NULL, 'ALG6, ALG8 glycosyltransferase family', 485, NULL, 'Alg6_Alg8', 40485),
(96760, 'PF16243', NULL, 'Sm_like domain', 85, NULL, 'Sm_like', 40486),
(96761, 'PF17869', NULL, 'Anosmin cysteine rich domain', 82, NULL, 'Cys_box', 40487),
(96762, 'PF09832', NULL, 'Uncharacterized protein conserved in bacteria (DUF2059)', 60, NULL, 'DUF2059', 40488),
(96763, 'PF15716', NULL, 'Domain of unknown function (DUF4672)', 203, NULL, 'DUF4672', 40489),
(96764, 'PF04645', NULL, 'Protein of unknown function, DUF603', 181, NULL, 'DUF603', 40490),
(96765, 'PF09981', NULL, 'Uncharacterized protein conserved in bacteria (DUF2218)', 88, NULL, 'DUF2218', 40491),
(96766, 'PF01200', NULL, 'Ribosomal protein S28e', 64, NULL, 'Ribosomal_S28e', 40492),
(96767, 'PF07903', NULL, 'PaRep2a protein', 122, NULL, 'PaRep2a', 40493),
(96768, 'PF11479', NULL, 'RNA silencing suppressor P21 C-terminal domain', 80, NULL, 'Suppressor_P21', 40494),
(96769, 'PF03650', NULL, 'Mitochondrial pyruvate carriers', 110, NULL, 'MPC', 40495),
(96770, 'PF03368', NULL, 'Dicer dimerisation domain', 90, NULL, 'Dicer_dimer', 40496),
(96771, 'PF14648', NULL, 'FAM91 C-terminus', 429, NULL, 'FAM91_C', 40497),
(96772, 'PF16370', NULL, 'C terminal of Calcineurin-like phosphoesterase', 163, NULL, 'MetallophosC', 40498),
(96773, 'PF12522', NULL, 'Cytomegalovirus glycoprotein N terminal', 27, NULL, 'UL73_N', 40499),
(96774, 'PF19842', NULL, 'YqeC protein', 150, NULL, 'YqeC', 40500),
(96775, 'PF01716', NULL, 'Manganese-stabilising protein / photosystem II polypeptide', 242, NULL, 'MSP', 40501),
(96776, 'PF19536', NULL, 'POU domain, class 2, transcription factor 1 C-terminal', 284, NULL, 'POU2F1_C', 40502),
(96777, 'PF19177', NULL, 'Family of unknown function (DUF5859)', 162, NULL, 'DUF5859', 40503),
(96778, 'PF06644', NULL, 'ATP11 protein', 271, NULL, 'ATP11', 40504),
(96779, 'PF09062', NULL, 'PI-PfuI Endonuclease subdomain', 98, NULL, 'Endonuc_subdom', 40505),
(96780, 'PF15904', NULL, 'LKB1 serine/threonine kinase interacting protein 1', 90, NULL, 'LIP1', 40506),
(96781, 'PF12516', NULL, 'Protein of unknown function (DUF3719)', 66, NULL, 'DUF3719', 40507),
(96782, 'PF16271', NULL, 'Domain of unknown function (DUF4924)', 179, NULL, 'DUF4924', 40508),
(96783, 'PF08770', NULL, 'Sulphur oxidation protein SoxZ', 98, NULL, 'SoxZ', 40509),
(96784, 'PF15122', NULL, 'TMEM206 protein family', 296, NULL, 'TMEM206', 40510),
(96785, 'PF05542', NULL, 'Protein of unknown function (DUF760)', 84, NULL, 'DUF760', 40511),
(96786, 'PF08316', NULL, 'Pal1 cell morphology protein', 138, NULL, 'Pal1', 40512);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(96787, 'PF03396', NULL, 'Poxvirus DNA-directed RNA polymerase, 35 kD subunit', 293, NULL, 'Pox_RNA_pol_35', 40513),
(96788, 'PF08196', NULL, 'UL2 protein', 59, NULL, 'UL2', 40514),
(96789, 'PF10738', NULL, 'Probable lipoprotein LpqN', 174, NULL, 'Lpp-LpqN', 40515),
(96790, 'PF14298', NULL, 'Domain of unknown function (DUF4374)', 437, NULL, 'DUF4374', 40516),
(96791, 'PF18561', NULL, 'Endoribonuclease Regnase 1/ ZC3H12 C-terminal domain', 46, NULL, 'Regnase_1_C', 40517),
(96792, 'PF09752', NULL, 'Alpha/beta hydrolase domain containing 18', 352, NULL, 'DUF2048', 40518),
(96793, 'PF16825', NULL, 'IGP family C-type lectin domain', 173, NULL, 'DUF5075', 40519),
(96794, 'PF02169', NULL, 'LPP20 lipoprotein', 95, NULL, 'LPP20', 40520),
(96795, 'PF07734', NULL, 'F-box associated', 164, NULL, 'FBA_1', 40521),
(96796, 'PF05226', NULL, 'CHASE2 domain', 249, NULL, 'CHASE2', 40522),
(96797, 'PF14750', NULL, 'Integrator complex subunit 2', 1052, NULL, 'INTS2', 40523),
(96798, 'PF19518', NULL, 'p190RhoGAP, pG1 and pG2 domains', 700, NULL, 'RhoGAP_pG1_pG2', 40524),
(96799, 'PF19948', NULL, 'Family of unknown function (DUF6410)', 198, NULL, 'DUF6410', 40525),
(96800, 'PF01670', NULL, 'Glycosyl hydrolase family 12', 214, NULL, 'Glyco_hydro_12', 40526),
(96801, 'PF13782', NULL, 'Stage V sporulation protein AB', 109, NULL, 'SpoVAB', 40527),
(96802, 'PF04420', NULL, 'CHD5-like protein', 159, NULL, 'CHD5', 40528),
(96803, 'PF08334', NULL, 'Type II secretion system (T2SS), protein G', 108, NULL, 'T2SSG', 40529),
(96804, 'PF19724', NULL, 'Family of unknown function (DUF6217)', 132, NULL, 'DUF6217', 40530),
(96805, 'PF16777', NULL, 'Transcriptional regulator, RHH-like, CopG', 73, NULL, 'RHH_7', 40531),
(96806, 'PF15262', NULL, 'Domain of unknown function (DUF4592)', 127, NULL, 'DUF4592', 40532),
(96807, 'PF17378', NULL, 'Meiotic recombination protein REC104', 182, NULL, 'REC104', 40533),
(96808, 'PF12593', NULL, 'Microcystin synthetase C terminal', 43, NULL, 'McyA_C', 40534),
(96809, 'PF11087', NULL, 'PRD1 phage membrane DNA delivery', 54, NULL, 'PRD1_DD', 40535),
(96810, 'PF09035', NULL, 'Excisionase from transposon Tn916', 69, NULL, 'Tn916-Xis', 40536),
(96811, 'PF12158', NULL, 'Protein of unknown function (DUF3592)', 148, NULL, 'DUF3592', 40537),
(96812, 'PF04961', NULL, 'Formiminotransferase-cyclodeaminase', 182, NULL, 'FTCD_C', 40538),
(96813, 'PF11203', NULL, 'Putative type VII ESX secretion system translocon, EccE', 97, NULL, 'EccE', 40539),
(96814, 'PF00212', NULL, 'Atrial natriuretic peptide', 31, NULL, 'ANP', 40540),
(96815, 'PF13694', NULL, 'Sec63/Sec62 complex-interacting family', 184, NULL, 'Hph', 40541),
(96816, 'PF09026', NULL, 'Centromere protein B dimerisation domain', 100, NULL, 'CENP-B_dimeris', 40542),
(96817, 'PF17033', NULL, 'Carboxypeptidase controlling helical cell shape catalytic', 267, NULL, 'Peptidase_M99', 40543),
(96818, 'PF08435', NULL, 'Calicivirus coat protein C-terminal', 230, NULL, 'Calici_coat_C', 40544),
(96819, 'PF10804', NULL, 'Protein of unknown function (DUF2538)', 155, NULL, 'DUF2538', 40545),
(96820, 'PF06699', NULL, 'GPI biosynthesis protein family Pig-F', 182, NULL, 'PIG-F', 40546),
(96821, 'PF10776', NULL, 'Protein of unknown function (DUF2600)', 328, NULL, 'DUF2600', 40547),
(96822, 'PF03162', NULL, 'Tyrosine phosphatase family', 165, NULL, 'Y_phosphatase2', 40548),
(96823, 'PF04797', NULL, 'Herpesvirus dUTPase protein', 379, NULL, 'Herpes_ORF11', 40549),
(96824, 'PF01802', NULL, 'Herpesvirus VP23 like capsid protein', 290, NULL, 'Herpes_V23', 40550),
(96825, 'PF17783', NULL, 'CvfB-like winged helix domain', 58, NULL, 'CvfB_WH', 40551),
(96826, 'PF08100', NULL, 'Dimerisation domain', 51, NULL, 'Dimerisation', 40552),
(96827, 'PF00577', NULL, 'Outer membrane usher protein', 549, NULL, 'Usher', 40553),
(96828, 'PF05408', NULL, 'Foot-and-mouth virus L-proteinase', 201, NULL, 'Peptidase_C28', 40554),
(96829, 'PF20087', NULL, 'Family of unknown function (DUF6479)', 119, NULL, 'DUF6479', 40555),
(96830, 'PF06602', NULL, 'Myotubularin-like phosphatase domain', 356, NULL, 'Myotub-related', 40556);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(96831, 'PF05213', NULL, 'Coronavirus NS2A protein', 252, NULL, 'Corona_NS2A', 40557),
(96832, 'PF13253', NULL, 'Protein of unknown function (DUF4044)', 33, NULL, 'DUF4044', 40558),
(96833, 'PF14479', NULL, 'Prion-inhibition and propagation', 206, NULL, 'HeLo', 40559),
(96834, 'PF01223', NULL, 'DNA/RNA non-specific endonuclease', 226, NULL, 'Endonuclease_NS', 40560),
(96835, 'PF05600', NULL, 'CDK5 regulatory subunit-associated protein 3', 507, NULL, 'DUF773', 40561),
(96836, 'PF05184', NULL, 'Saposin-like type B, region 1', 38, NULL, 'SapB_1', 40562),
(96837, 'PF08850', NULL, 'Domain of unknown function (DUF1820)', 97, NULL, 'DUF1820', 40563),
(96838, 'PF17862', NULL, 'AAA+ lid domain', 45, NULL, 'AAA_lid_3', 40564),
(96839, 'PF06511', NULL, 'Type III secretion systems tip complex components', 355, NULL, 'T3SS_TC', 40565),
(96840, 'PF18943', NULL, 'Family of unknown function (DUF5690)', 382, NULL, 'DUF5690', 40566),
(96841, 'PF03640', NULL, 'Secreted repeat of unknown function', 47, NULL, 'Lipoprotein_15', 40567),
(96842, 'PF02297', NULL, 'Cytochrome oxidase c subunit VIb', 76, NULL, 'COX6B', 40568),
(96843, 'PF09546', NULL, 'Stage III sporulation protein AE (spore_III_AE)', 321, NULL, 'Spore_III_AE', 40569),
(96844, 'PF11553', NULL, 'Protein of unknown function (DUF3231)', 165, NULL, 'DUF3231', 40570),
(96845, 'PF03430', NULL, 'Trans-activating transcriptional regulator', 575, NULL, 'TATR', 40571),
(96846, 'PF01975', NULL, 'Survival protein SurE', 195, NULL, 'SurE', 40572),
(96847, 'PF10283', NULL, 'PBZ domain', 26, NULL, 'zf-CCHH', 40573),
(96848, 'PF15324', NULL, 'Hedgehog signalling target', 1287, NULL, 'TALPID3', 40574),
(96849, 'PF15928', NULL, 'Domain of unknown function (DUF4746)', 300, NULL, 'DUF4746', 40575),
(96850, 'PF18973', NULL, 'Putative Chitin binding like', 49, NULL, 'CBL', 40576),
(96851, 'PF13072', NULL, 'Mother cell inhibitor of FtsZ', 37, NULL, 'MciZ', 40577),
(96852, 'PF14565', NULL, 'Interleukin 22 IL-10-related T-cell-derived-inducible factor', 139, NULL, 'IL22', 40578),
(96853, 'PF15979', NULL, 'Glycosyl hydrolase family 115', 339, NULL, 'Glyco_hydro_115', 40579),
(96854, 'PF05793', NULL, 'Transcription initiation factor IIF, alpha subunit (TFIIF-alpha)', 528, NULL, 'TFIIF_alpha', 40580),
(96855, 'PF10991', NULL, 'Protein of unknown function (DUF2815)', 173, NULL, 'DUF2815', 40581),
(96856, 'PF00586', NULL, 'AIR synthase related protein, N-terminal domain', 107, NULL, 'AIRS', 40582),
(96857, 'PF06322', NULL, 'Phage NinH protein', 60, NULL, 'Phage_NinH', 40583),
(96858, 'PF11110', NULL, 'Baseplate hub distal subunit', 154, NULL, 'Phage_hub_GP28', 40584),
(96859, 'PF15360', NULL, 'APJ endogenous ligand', 55, NULL, 'Apelin', 40585),
(96860, 'PF16307', NULL, 'Domain of unknown function (DUF4949)', 108, NULL, 'DUF4949', 40586),
(96861, 'PF08971', NULL, 'Glycogen synthesis protein', 66, NULL, 'GlgS', 40587),
(96862, 'PF13990', NULL, 'YjcZ-like protein', 272, NULL, 'YjcZ', 40588),
(96863, 'PF04110', NULL, 'Ubiquitin-like autophagy protein Apg12', 87, NULL, 'APG12', 40589),
(96864, 'PF08394', NULL, 'Archaeal TRASH domain', 37, NULL, 'Arc_trans_TRASH', 40590),
(96865, 'PF00152', NULL, 'tRNA synthetases class II (D, K and N)', 314, NULL, 'tRNA-synt_2', 40591),
(96866, 'PF01429', NULL, 'Methyl-CpG binding domain', 77, NULL, 'MBD', 40592),
(96867, 'PF06371', NULL, 'Diaphanous GTPase-binding Domain', 188, NULL, 'Drf_GBD', 40593),
(96868, 'PF03545', NULL, 'Yersinia virulence determinant (YopE)', 70, NULL, 'YopE', 40594),
(96869, 'PF19773', NULL, 'Domain of unknown function (DUF6259)', 300, NULL, 'DUF6259', 40595),
(96870, 'PF12349', NULL, 'Sterol-sensing domain of SREBP cleavage-activation', 153, NULL, 'Sterol-sensing', 40596),
(96871, 'PF15951', NULL, 'MITF/TFEB/TFEC/TFE3 N-terminus', 153, NULL, 'MITF_TFEB_C_3_N', 40597),
(96872, 'PF06419', NULL, 'Conserved oligomeric complex COG6', 626, NULL, 'COG6', 40598),
(96873, 'PF11268', NULL, 'Protein of unknown function (DUF3071)', 166, NULL, 'DUF3071', 40599),
(96874, 'PF04327', NULL, 'Cysteine protease Prp', 90, NULL, 'Peptidase_Prp', 40600); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(96875, 'PF07571', NULL, 'TAF6 C-terminal HEAT repeat domain', 90, NULL, 'TAF6_C', 40601),
(96876, 'PF03730', NULL, 'Ku70/Ku80 C-terminal arm', 91, NULL, 'Ku_C', 40602),
(96877, 'PF04236', NULL, 'Tc5 transposase C-terminal domain', 63, NULL, 'Transp_Tc5_C', 40603),
(96878, 'PF17340', NULL, 'Family of unknown function (DUF5370)', 63, NULL, 'DUF5370', 40604),
(96879, 'PF08535', NULL, 'KorB domain', 89, NULL, 'KorB', 40605),
(96880, 'PF09585', NULL, 'Conserved hypothetical protein (Lin0512_fam)', 114, NULL, 'Lin0512_fam', 40606),
(96881, 'PF08689', NULL, 'Mediator complex subunit Med5', 1082, NULL, 'Med5', 40607),
(96882, 'PF18321', NULL, '3-hydroxybutyryl-CoA dehydrogenase reduced Rossmann-fold domain', 69, NULL, '3HCDH_RFF', 40608),
(96883, 'PF00764', NULL, 'Arginosuccinate synthase', 388, NULL, 'Arginosuc_synth', 40609),
(96884, 'PF08743', NULL, 'Nse4 C-terminal', 89, NULL, 'Nse4_C', 40610),
(96885, 'PF01690', NULL, 'Potato leaf roll virus readthrough protein', 485, NULL, 'PLRV_ORF5', 40611),
(96886, 'PF02058', NULL, 'Guanylin precursor', 88, NULL, 'Guanylin', 40612),
(96887, 'PF16030', NULL, 'Serine protease gd N-terminus', 108, NULL, 'GD_N', 40613),
(96888, 'PF14961', NULL, 'Broad-minded protein', 1290, NULL, 'BROMI', 40614),
(96889, 'PF07561', NULL, 'Domain of Unknown Function (DUF1540)', 45, NULL, 'DUF1540', 40615),
(96890, 'PF08778', NULL, 'HIF-1 alpha C terminal transactivation domain', 37, NULL, 'HIF-1a_CTAD', 40616),
(96891, 'PF06493', NULL, 'Protein of unknown function (DUF1096)', 51, NULL, 'DUF1096', 40617),
(96892, 'PF15692', NULL, 'NF-kappa-B-activating protein', 81, NULL, 'NKAP', 40618),
(96893, 'PF11842', NULL, 'Domain of unknown function (DUF3362)', 150, NULL, 'DUF3362', 40619),
(96894, 'PF12207', NULL, 'Domain of unknown function (DUF3600)', 160, NULL, 'DUF3600', 40620),
(96895, 'PF12424', NULL, 'Plasma membrane calcium transporter ATPase C terminal', 48, NULL, 'ATP_Ca_trans_C', 40621),
(96896, 'PF14430', NULL, 'Immunity protein Imm1', 126, NULL, 'Imm1', 40622),
(96897, 'PF10842', NULL, 'Protein of unknown function (DUF2642)', 64, NULL, 'DUF2642', 40623),
(96898, 'PF14167', NULL, 'YfkD-like protein', 232, NULL, 'YfkD', 40624),
(96899, 'PF14319', NULL, 'Transposase zinc-binding domain', 90, NULL, 'Zn_Tnp_IS91', 40625),
(96900, 'PF12868', NULL, 'Domain of unknwon function (DUF3824)', 148, NULL, 'DUF3824', 40626),
(96901, 'PF17363', NULL, 'Family of unknown function (DUF5388)', 70, NULL, 'DUF5388', 40627),
(96902, 'PF18198', NULL, 'Dynein heavy chain AAA lid domain', 138, NULL, 'AAA_lid_11', 40628),
(96903, 'PF06546', NULL, 'Vertebrate heat shock transcription factor', 264, NULL, 'Vert_HS_TF', 40629),
(96904, 'PF09753', NULL, 'Membrane fusion protein Use1', 245, NULL, 'Use1', 40630),
(96905, 'PF12807', NULL, 'Translation initiation factor eIF3 subunit 135', 172, NULL, 'eIF3_p135', 40631),
(96906, 'PF12553', NULL, 'Protein of unknown function (DUF3742)', 121, NULL, 'DUF3742', 40632),
(96907, 'PF03178', NULL, 'CPSF A subunit region', 324, NULL, 'CPSF_A', 40633),
(96908, 'PF12668', NULL, 'Protein of unknown function (DUF3791)', 60, NULL, 'DUF3791', 40634),
(96909, 'PF11891', NULL, 'Protein RETICULATA-related', 177, NULL, 'RETICULATA-like', 40635),
(96910, 'PF13263', NULL, 'PHP-associated', 56, NULL, 'PHP_C', 40636),
(96911, 'PF01234', NULL, 'NNMT/PNMT/TEMT family', 256, NULL, 'NNMT_PNMT_TEMT', 40637),
(96912, 'PF16018', NULL, 'Anillin N-terminus', 86, NULL, 'Anillin_N', 40638),
(96913, 'PF19385', NULL, 'Family of unknown function (DUF5960)', 83, NULL, 'DUF5960', 40639),
(96914, 'PF13367', NULL, 'PrsW family intramembrane metalloprotease', 196, NULL, 'PrsW-protease', 40640),
(96915, 'PF05326', NULL, 'Seminal vesicle autoantigen (SVA)', 124, NULL, 'SVA', 40641),
(96916, 'PF03557', NULL, 'Bunyavirus glycoprotein G1', 871, NULL, 'Bunya_G1', 40642),
(96917, 'PF08120', NULL, 'Tamulustoxin family', 35, NULL, 'Toxin_32', 40643),
(96918, 'PF02135', NULL, 'TAZ zinc finger', 72, NULL, 'zf-TAZ', 40644),
(96919, 'PF12331', NULL, 'Protein of unknown function (DUF3636)', 148, NULL, 'DUF3636', 40645);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(96920, 'PF19489', NULL, 'Transglycosylase SLT domain', 184, NULL, 'SLT_4', 40646),
(96921, 'PF13478', NULL, 'XdhC Rossmann domain', 125, NULL, 'XdhC_C', 40647),
(96922, 'PF00277', NULL, 'Serum amyloid A protein', 102, NULL, 'SAA', 40648),
(96923, 'PF18504', NULL, 'Csm1 N-terminal domain', 70, NULL, 'Csm1_N', 40649),
(96924, 'PF17962', NULL, 'Bacterial macroglobulin domain 6', 112, NULL, 'bMG6', 40650),
(96925, 'PF14284', NULL, 'PcfJ-like protein', 146, NULL, 'PcfJ', 40651),
(96926, 'PF00775', NULL, 'Dioxygenase', 182, NULL, 'Dioxygenase_C', 40652),
(96927, 'PF18431', NULL, 'Bacterial CdiA-CT RNAse A domain', 113, NULL, 'RNAse_A_bac', 40653),
(96928, 'PF18567', NULL, 'Toll/interleukin-1 receptor domain', 131, NULL, 'TIR_3', 40654),
(96929, 'PF06240', NULL, 'Carbon monoxide dehydrogenase subunit G (CoxG)', 140, NULL, 'COXG', 40655),
(96930, 'PF02095', NULL, 'Extensin-like protein repeat', 10, NULL, 'Extensin_1', 40656),
(96931, 'PF05253', NULL, 'U11-48K-like CHHC zinc finger', 25, NULL, 'zf-U11-48K', 40657),
(96932, 'PF18183', NULL, 'SMODS and SLOG-associating 2TM effector domain 2', 192, NULL, 'SLATT_2', 40658),
(96933, 'PF04431', NULL, 'Pectate lyase, N terminus', 56, NULL, 'Pec_lyase_N', 40659),
(96934, 'PF08191', NULL, 'LRR adjacent', 57, NULL, 'LRR_adjacent', 40660),
(96935, 'PF02643', NULL, 'Uncharacterized ACR, COG1430', 96, NULL, 'DUF192', 40661),
(96936, 'PF05295', NULL, 'Luciferase/LBP N-terminal domain', 82, NULL, 'Luciferase_N', 40662),
(96937, 'PF08608', NULL, 'Wyosine base formation', 63, NULL, 'Wyosine_form', 40663),
(96938, 'PF15693', NULL, 'Mediator complex subunit 26 C-terminal', 183, NULL, 'Med26_C', 40664),
(96939, 'PF01152', NULL, 'Bacterial-like globin', 121, NULL, 'Bac_globin', 40665),
(96940, 'PF07040', NULL, 'Protein of unknown function (DUF1326)', 177, NULL, 'DUF1326', 40666),
(96941, 'PF10055', NULL, 'Uncharacterized small protein (DUF2292)', 37, NULL, 'DUF2292', 40667),
(96942, 'PF17747', NULL, 'VID27 PH-like domain', 109, NULL, 'VID27_PH', 40668),
(96943, 'PF19715', NULL, 'Family of unknown function (DUF6210)', 117, NULL, 'DUF6210', 40669),
(96944, 'PF08536', NULL, 'Whirly transcription factor', 137, NULL, 'Whirly', 40670),
(96945, 'PF15632', NULL, 'ATP-grasp in the biosynthetic pathway with Ter operon', 131, NULL, 'ATPgrasp_Ter', 40671),
(96946, 'PF02214', NULL, 'BTB/POZ domain', 94, NULL, 'BTB_2', 40672),
(96947, 'PF18755', NULL, 'Restriction Enzyme Adenine Methylase Associated', 108, NULL, 'RAMA', 40673),
(96948, 'PF13743', NULL, 'Thioredoxin', 186, NULL, 'Thioredoxin_5', 40674),
(96949, 'PF03661', NULL, 'Transmembrane protein 33/Nucleoporin POM33', 240, NULL, 'TMEM33_Pom33', 40675),
(96950, 'PF04080', NULL, 'Per1-like family', 260, NULL, 'Per1', 40676),
(96951, 'PF16844', NULL, 'Dinitrogenase iron-molybdenum cofactor, N-terminal', 91, NULL, 'DIMCO_N', 40677),
(96952, 'PF15684', NULL, 'Active regulator of SIRT1, or 40S ribosomal protein S19-binding 1', 127, NULL, 'AROS', 40678),
(96953, 'PF16627', NULL, 'Unstructured region between BRX_N and BRX domain', 70, NULL, 'BRX_assoc', 40679),
(96954, 'PF00786', NULL, 'P21-Rho-binding domain', 59, NULL, 'PBD', 40680),
(96955, 'PF07419', NULL, 'PilM', 135, NULL, 'PilM', 40681),
(96956, 'PF16655', NULL, 'PhoD-like phosphatase, N-terminal domain', 90, NULL, 'PhoD_N', 40682),
(96957, 'PF17164', NULL, 'Domain of unknown function (DUF5122) beta-propeller', 36, NULL, 'DUF5122', 40683),
(96958, 'PF15625', NULL, 'CC2D2A N-terminal C2 domain', 174, NULL, 'CC2D2AN-C2', 40684),
(96959, 'PF17646', NULL, 'Closterovirus 1a polyprotein central region', 106, NULL, 'Zemlya', 40685),
(96960, 'PF17995', NULL, 'Endo-alpha-N-acetylgalactosaminidase N-terminal', 180, NULL, 'GH101_N', 40686),
(96961, 'PF19294', NULL, 'Domain of unknown function (DUF5912)', 125, NULL, 'DUF5912', 40687),
(96962, 'PF09141', NULL, 'Talin, middle domain', 161, NULL, 'Talin_middle', 40688),
(96963, 'PF07853', NULL, 'Protein of unknown function (DUF1648)', 49, NULL, 'DUF1648', 40689),
(96964, 'PF00262', NULL, 'Calreticulin family', 370, NULL, 'Calreticulin', 40690);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(96965, 'PF04955', NULL, 'HupE / UreJ protein', 179, NULL, 'HupE_UreJ', 40691),
(96966, 'PF05861', NULL, 'Bacterial phosphonate metabolism protein (PhnI)', 346, NULL, 'PhnI', 40692),
(96967, 'PF06407', NULL, 'Borna disease virus P40 protein', 349, NULL, 'BDV_P40', 40693),
(96968, 'PF04598', NULL, 'Gasdermin pore forming domain', 242, NULL, 'Gasdermin', 40694),
(96969, 'PF08170', NULL, 'POPLD (NUC188) domain', 93, NULL, 'POPLD', 40695),
(96970, 'PF19585', NULL, 'Family of unknown function (DUF6092)', 86, NULL, 'DUF6092', 40696),
(96971, 'PF08645', NULL, 'Polynucleotide kinase 3 phosphatase', 162, NULL, 'PNK3P', 40697),
(96972, 'PF00920', NULL, 'Dehydratase family', 516, NULL, 'ILVD_EDD', 40698),
(96973, 'PF00990', NULL, 'Diguanylate cyclase, GGDEF domain', 161, NULL, 'GGDEF', 40699),
(96974, 'PF12503', NULL, 'Cucumber mosaic virus 1a protein C terminal', 84, NULL, 'CMV_1a_C', 40700),
(96975, 'PF20011', NULL, 'JAB N-terminal domain', 159, NULL, 'fvmJAB_N', 40701),
(96976, 'PF05691', NULL, 'Raffinose synthase or seed imbibition protein Sip1', 750, NULL, 'Raffinose_syn', 40702),
(96977, 'PF07930', NULL, 'D-aminopeptidase, domain B', 182, NULL, 'DAP_B', 40703),
(96978, 'PF15732', NULL, 'Domain of unknown function (DUF4681)', 127, NULL, 'DUF4681', 40704),
(96979, 'PF18989', NULL, 'Family of unknown function (DUF5722)', 393, NULL, 'DUF5722', 40705),
(96980, 'PF09499', NULL, 'ApaLI-like restriction endonuclease', 189, NULL, 'RE_ApaLI', 40706),
(96981, 'PF12989', NULL, 'Domain of unknown function, B. Theta Gene description (DUF3873)', 68, NULL, 'DUF3873', 40707),
(96982, 'PF12784', NULL, 'PD-(D/E)XK nuclease family transposase', 229, NULL, 'PDDEXK_2', 40708),
(96983, 'PF14339', NULL, 'Domain of unknown function (DUF4394)', 230, NULL, 'DUF4394', 40709),
(96984, 'PF11762', NULL, 'L-arabinose isomerase C-terminal domain', 114, NULL, 'Arabinose_Iso_C', 40710),
(96985, 'PF04085', NULL, 'rod shape-determining protein MreC', 151, NULL, 'MreC', 40711),
(96986, 'PF17642', NULL, 'Hemolysin coregulated protein Hcp (TssD)', 128, NULL, 'TssD', 40712),
(96987, 'PF08662', NULL, 'Eukaryotic translation initiation factor eIF2A', 194, NULL, 'eIF2A', 40713),
(96988, 'PF06024', NULL, 'Orf78 (ac78)', 103, NULL, 'Orf78', 40714),
(96989, 'PF16222', NULL, 'Domain of unknown function (DUF4881)', 174, NULL, 'DUF4881', 40715),
(96990, 'PF17244', NULL, 'Cell division control protein 24, OB domain 3', 225, NULL, 'CDC24_OB3', 40716),
(96991, 'PF19020', NULL, 'Ta1207 family', 277, NULL, 'Ta1207', 40717),
(96992, 'PF14382', NULL, 'Exosome complex exonuclease RRP4 N-terminal region', 38, NULL, 'ECR1_N', 40718),
(96993, 'PF08476', NULL, 'Viral D10 N-terminal', 43, NULL, 'VD10_N', 40719),
(96994, 'PF17100', NULL, 'N-terminal domain of NWD NACHT-NTPase', 220, NULL, 'NACHT_N', 40720),
(96995, 'PF17553', NULL, 'Family of unknown function (DUF5465)', 19, NULL, 'DUF5465', 40721),
(96996, 'PF19503', NULL, 'Family of unknown function (DUF6037)', 204, NULL, 'DUF6037', 40722),
(96997, 'PF11473', NULL, 'RNA binding protein B2', 73, NULL, 'B2', 40723),
(96998, 'PF11525', NULL, 'Copper resistance protein K', 70, NULL, 'CopK', 40724),
(96999, 'PF16993', NULL, 'Accessory Sec system protein Asp1', 522, NULL, 'Asp1', 40725),
(97000, 'PF18595', NULL, 'Designed helical repeat protein 10 domain', 117, NULL, 'DHR10', 40726),
(97001, 'PF17104', NULL, 'Domain of unknown function (DUF5102)', 292, NULL, 'DUF5102', 40727),
(97002, 'PF09266', NULL, 'Viral DNA topoisomerase I, N-terminal', 58, NULL, 'VirDNA-topo-I_N', 40728),
(97003, 'PF17894', NULL, 'Topo homolgy domain in CRISPR-associated endonuclease Cas9', 71, NULL, 'Cas9_Topo', 40729),
(97004, 'PF03361', NULL, 'Herpes virus intermediate/early protein 2/3', 162, NULL, 'Herpes_IE2_3', 40730),
(97005, 'PF07409', NULL, 'Phage protein GP46', 100, NULL, 'GP46', 40731),
(97006, 'PF18670', NULL, 'V-type ATPase subunit I, N-terminal domain', 90, NULL, 'V_ATPase_I_N', 40732),
(97007, 'PF19125', NULL, 'Family of unknown function (DUF5809)', 130, NULL, 'DUF5809', 40733),
(97008, 'PF11424', NULL, 'Protein of unknown function (DUF3195)', 85, NULL, 'DUF3195', 40734);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(97009, 'PF12328', NULL, 'Rpp20 subunit of nuclear RNase MRP and P', 137, NULL, 'Rpp20', 40735),
(97010, 'PF12707', NULL, 'Protein of unknown function (DUF3804)', 128, NULL, 'DUF3804', 40736),
(97011, 'PF15704', NULL, 'Mitochondrial ATP synthase subunit', 188, NULL, 'Mt_ATP_synt', 40737),
(97012, 'PF00567', NULL, 'Tudor domain', 122, NULL, 'TUDOR', 40738),
(97013, 'PF13471', NULL, 'Transglutaminase-like superfamily', 117, NULL, 'Transglut_core3', 40739),
(97014, 'PF15449', NULL, 'Retinal protein', 1290, NULL, 'Retinal', 40740),
(97015, 'PF05255', NULL, 'Uncharacterised protein family (UPF0220)', 166, NULL, 'UPF0220', 40741),
(97016, 'PF12655', NULL, 'Domain of unknown function (DUF3787)', 52, NULL, 'DUF3787', 40742),
(97017, 'PF14124', NULL, 'Domain of unknown function (DUF4291)', 180, NULL, 'DUF4291', 40743),
(97018, 'PF17145', NULL, 'Domain of unknown function (DUF5119)', 195, NULL, 'DUF5119', 40744),
(97019, 'PF19844', NULL, 'Family of unknown function (DUF6319)', 116, NULL, 'DUF6319', 40745),
(97020, 'PF17394', NULL, 'Uncharacterized KleE stable inheritance protein', 108, NULL, 'KleE', 40746),
(97021, 'PF03147', NULL, 'Ferredoxin-fold anticodon binding domain', 94, NULL, 'FDX-ACB', 40747),
(97022, 'PF01641', NULL, 'SelR domain', 121, NULL, 'SelR', 40748),
(97023, 'PF02015', NULL, 'Glycosyl hydrolase family 45', 210, NULL, 'Glyco_hydro_45', 40749),
(97024, 'PF10144', NULL, 'Bacterial virulence factor haemolysin', 159, NULL, 'SMP_2', 40750),
(97025, 'PF04096', NULL, 'Nucleoporin autopeptidase', 149, NULL, 'Nucleoporin2', 40751),
(97026, 'PF01534', NULL, 'Frizzled/Smoothened family membrane region', 323, NULL, 'Frizzled', 40752),
(97027, 'PF01745', NULL, 'Isopentenyl transferase', 233, NULL, 'IPT', 40753),
(97028, 'PF05485', NULL, 'THAP domain', 86, NULL, 'THAP', 40754),
(97029, 'PF18918', NULL, 'Family of unknown function (DUF5669)', 76, NULL, 'DUF5669', 40755),
(97030, 'PF06628', NULL, 'Catalase-related immune-responsive', 65, NULL, 'Catalase-rel', 40756),
(97031, 'PF02033', NULL, 'Ribosome-binding factor A', 105, NULL, 'RBFA', 40757),
(97032, 'PF07562', NULL, 'Nine Cysteines Domain of family 3 GPCR', 53, NULL, 'NCD3G', 40758),
(97033, 'PF07803', NULL, 'GSG1-like protein', 111, NULL, 'GSG-1', 40759),
(97034, 'PF11054', NULL, 'Sporozoite TA4 surface antigen', 207, NULL, 'Surface_antigen', 40760),
(97035, 'PF07267', NULL, 'Nucleopolyhedrovirus capsid protein P87', 650, NULL, 'Nucleo_P87', 40761),
(97036, 'PF14764', NULL, 'AP-5 complex subunit, vesicle trafficking', 118, NULL, 'SPG48', 40762),
(97037, 'PF03761', NULL, 'Nematode trypsin-6-like family', 282, NULL, 'DUF316', 40763),
(97038, 'PF15526', NULL, 'Novel toxin 21', 71, NULL, 'Ntox21', 40764),
(97039, 'PF01990', NULL, 'ATP synthase (F/14-kDa) subunit', 91, NULL, 'ATP-synt_F', 40765),
(97040, 'PF13485', NULL, 'Peptidase MA superfamily', 243, NULL, 'Peptidase_MA_2', 40766),
(97041, 'PF06218', NULL, 'Nitrogen permease regulator 2', 440, NULL, 'NPR2', 40767),
(97042, 'PF15460', NULL, 'Something about silencing, SAS, complex subunit 4', 99, NULL, 'SAS4', 40768),
(97043, 'PF17477', NULL, 'Rotavirus VP4 membrane interaction domain', 227, NULL, 'Rota_VP4_MID', 40769),
(97044, 'PF09506', NULL, 'Glucosylglycerol-phosphate phosphatase (Salt_tol_Pase)', 391, NULL, 'Salt_tol_Pase', 40770),
(97045, 'PF12475', NULL, 'Amdovirus non-structural protein', 48, NULL, 'Amdo_NSP', 40771),
(97046, 'PF20047', NULL, 'Domain of unknown function (DUF6449)', 152, NULL, 'DUF6449', 40772),
(97047, 'PF06121', NULL, 'Domain of Unknown Function (DUF959)', 188, NULL, 'DUF959', 40773),
(97048, 'PF07950', NULL, 'Protein of unknown function (DUF1691)', 107, NULL, 'DUF1691', 40774),
(97049, 'PF02274', NULL, 'Arginine deiminase', 377, NULL, 'ADI', 40775),
(97050, 'PF18726', NULL, 'SAV_6107-like HEPN', 98, NULL, 'HEPN_SAV_6107', 40776),
(97051, 'PF03861', NULL, 'ANTAR domain', 54, NULL, 'ANTAR', 40777),
(97052, 'PF04774', NULL, 'Hyaluronan / mRNA binding family', 118, NULL, 'HABP4_PAI-RBP1', 40778),
(97053, 'PF13492', NULL, 'GAF domain', 129, NULL, 'GAF_3', 40779),
(97054, 'PF20072', NULL, 'Domain of unknown function (DUF6468)', 76, NULL, 'DUF6468', 40780);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(97055, 'PF19279', NULL, 'YegS C-terminal NAD kinase beta sandwich-like domain', 158, NULL, 'YegS_C', 40781),
(97056, 'PF04024', NULL, 'PspC domain', 53, NULL, 'PspC', 40782),
(97057, 'PF05217', NULL, 'STOP protein', 36, NULL, 'STOP', 40783),
(97058, 'PF18543', NULL, 'Intracellular delivery domain', 53, NULL, 'ID', 40784),
(97059, 'PF08562', NULL, 'Crisp', 55, NULL, 'Crisp', 40785),
(97060, 'PF03966', NULL, 'Trm112p-like protein', 68, NULL, 'Trm112p', 40786),
(97061, 'PF07517', NULL, 'SecA DEAD-like domain', 290, NULL, 'SecA_DEAD', 40787),
(97062, 'PF10973', NULL, 'Protein of unknown function (DUF2799)', 86, NULL, 'DUF2799', 40788),
(97063, 'PF07650', NULL, 'KH domain', 78, NULL, 'KH_2', 40789),
(97064, 'PF10797', NULL, 'Protein of unknown function', 422, NULL, 'YhfT', 40790),
(97065, 'PF00197', NULL, 'Trypsin and protease inhibitor', 175, NULL, 'Kunitz_legume', 40791),
(97066, 'PF18906', NULL, 'Phage tail tube protein', 270, NULL, 'Phage_tube_2', 40792),
(97067, 'PF15748', NULL, 'Centriole, cilia and spindle-associated', 260, NULL, 'CCSAP', 40793),
(97068, 'PF19143', NULL, 'OMP85 superfamily', 351, NULL, 'Omp85_2', 40794),
(97069, 'PF15190', NULL, 'Transmembrane protein 251', 128, NULL, 'TMEM251', 40795),
(97070, 'PF06580', NULL, 'Histidine kinase', 78, NULL, 'His_kinase', 40796),
(97071, 'PF11275', NULL, 'Protein of unknown function (DUF3077)', 77, NULL, 'DUF3077', 40797),
(97072, 'PF02980', NULL, 'Restriction endonuclease FokI, catalytic domain', 136, NULL, 'FokI_C', 40798),
(97073, 'PF05963', NULL, 'Cytomegalovirus US3 protein', 185, NULL, 'Cytomega_US3', 40799),
(97074, 'PF10628', NULL, 'Outer spore coat protein E (CotE)', 177, NULL, 'CotE', 40800),
(97075, 'PF07181', NULL, 'VirC2 protein', 202, NULL, 'VirC2', 40801),
(97076, 'PF01502', NULL, 'Phosphoribosyl-AMP cyclohydrolase', 74, NULL, 'PRA-CH', 40802),
(97077, 'PF16346', NULL, 'Domain of unknown function (DUF4975)', 176, NULL, 'DUF4975', 40803),
(97078, 'PF16176', NULL, 'T-box transcription factor-associated', 226, NULL, 'T-box_assoc', 40804),
(97079, 'PF09892', NULL, 'Uncharacterized protein conserved in archaea (DUF2119)', 188, NULL, 'DUF2119', 40805),
(97080, 'PF00100', NULL, 'Zona pellucida-like domain', 254, NULL, 'Zona_pellucida', 40806),
(97081, 'PF01934', NULL, 'Protein of unknown function DUF86', 119, NULL, 'DUF86', 40807),
(97082, 'PF02468', NULL, 'Photosystem II reaction centre N protein (psbN)', 43, NULL, 'PsbN', 40808),
(97083, 'PF11154', NULL, 'Protein of unknown function (DUF2934)', 37, NULL, 'DUF2934', 40809),
(97084, 'PF04451', NULL, 'Large eukaryotic DNA virus major capsid protein', 195, NULL, 'Capsid_NCLDV', 40810),
(97085, 'PF04208', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit A', 173, NULL, 'MtrA', 40811),
(97086, 'PF07126', NULL, 'Cell-division protein ZapC', 169, NULL, 'ZapC', 40812),
(97087, 'PF01203', NULL, 'Type II secretion system (T2SS), protein N', 211, NULL, 'T2SSN', 40813),
(97088, 'PF04895', NULL, 'Archaeal Nre, C-terminal', 110, NULL, 'Nre_C', 40814),
(97089, 'PF14982', NULL, 'UPF0731 family', 78, NULL, 'UPF0731', 40815),
(97090, 'PF04139', NULL, 'Rad9', 256, NULL, 'Rad9', 40816),
(97091, 'PF15405', NULL, 'Pleckstrin homology domain', 135, NULL, 'PH_5', 40817),
(97092, 'PF01977', NULL, '3-octaprenyl-4-hydroxybenzoate carboxy-lyase', 406, NULL, 'UbiD', 40818),
(97093, 'PF20024', NULL, 'Family of unknown function (DUF6432)', 97, NULL, 'DUF6432', 40819),
(97094, 'PF15609', NULL, 'Phosphoribosyl transferase', 190, NULL, 'PRTase_2', 40820),
(97095, 'PF00180', NULL, 'Isocitrate/isopropylmalate dehydrogenase', 347, NULL, 'Iso_dh', 40821),
(97096, 'PF16846', NULL, 'Centromere DNA-binding protein complex CBF3 subunit B', 511, NULL, 'Cep3', 40822),
(97097, 'PF06390', NULL, 'Neuroendocrine-specific golgi protein P55 (NESP55)', 257, NULL, 'NESP55', 40823),
(97098, 'PF18808', NULL, 'Importin repeat', 90, NULL, 'Importin_rep_4', 40824),
(97099, 'PF03532', NULL, 'OMS28 porin', 253, NULL, 'OMS28_porin', 40825),
(97100, 'PF03433', NULL, 'EspA-like secreted protein', 180, NULL, 'EspA', 40826),
(97101, 'PF10882', NULL, 'Bacterial PH domain', 100, NULL, 'bPH_5', 40827);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(97102, 'PF04178', NULL, 'Got1/Sft2-like family', 110, NULL, 'Got1', 40828),
(97103, 'PF13146', NULL, 'TRL-like protein family', 77, NULL, 'TRL', 40829),
(97104, 'PF15508', NULL, 'beta subunit of N-acylethanolamine-hydrolyzing acid amidase', 63, NULL, 'NAAA-beta', 40830),
(97105, 'PF18669', NULL, 'Trimeric autotransporter adhesin Trp ring domain', 50, NULL, 'Trp_ring', 40831),
(97106, 'PF00739', NULL, 'Trans-activation protein X', 142, NULL, 'X', 40832),
(97107, 'PF14817', NULL, 'HAUS augmin-like complex subunit 5', 643, NULL, 'HAUS5', 40833),
(97108, 'PF11335', NULL, 'Protein of unknown function (DUF3137)', 135, NULL, 'DUF3137', 40834),
(97109, 'PF17759', NULL, 'Phenylalanyl tRNA synthetase beta chain CLM domain', 215, NULL, 'tRNA_synthFbeta', 40835),
(97110, 'PF12890', NULL, 'Dihydro-orotase-like', 142, NULL, 'DHOase', 40836),
(97111, 'PF11901', NULL, 'Protein of unknown function (DUF3421)', 115, NULL, 'DUF3421', 40837),
(97112, 'PF13466', NULL, 'STAS domain', 80, NULL, 'STAS_2', 40838),
(97113, 'PF14949', NULL, 'ARF7 effector protein C-terminus', 103, NULL, 'ARF7EP_C', 40839),
(97114, 'PF17590', NULL, 'Family of unknown function (DUF5488)', 70, NULL, 'DUF5488', 40840),
(97115, 'PF12793', NULL, 'Sugar transport-related sRNA regulator N-term', 115, NULL, 'SgrR_N', 40841),
(97116, 'PF08704', NULL, 'tRNA methyltransferase complex GCD14 subunit', 247, NULL, 'GCD14', 40842),
(97117, 'PF10976', NULL, 'Protein of unknown function (DUF2790)', 78, NULL, 'DUF2790', 40843),
(97118, 'PF02116', NULL, 'Fungal pheromone mating factor STE2 GPCR', 280, NULL, 'STE2', 40844),
(97119, 'PF09568', NULL, 'MjaI restriction endonuclease', 170, NULL, 'RE_MjaI', 40845),
(97120, 'PF16744', NULL, 'KIAA1045 RING finger', 73, NULL, 'Zf_RING', 40846),
(97121, 'PF02240', NULL, 'Methyl-coenzyme M reductase gamma subunit', 246, NULL, 'MCR_gamma', 40847),
(97122, 'PF17371', NULL, 'Family of unknown function (DUF5393)', 666, NULL, 'DUF5393', 40848),
(97123, 'PF17597', NULL, 'Family of unknown function (DUF5493)', 82, NULL, 'DUF5493', 40849),
(97124, 'PF11543', NULL, 'Nuclear pore localisation protein NPL4', 80, NULL, 'UN_NPL4', 40850),
(97125, 'PF18523', NULL, 'Sld3 N-terminal domain', 116, NULL, 'Sld3_N', 40851),
(97126, 'PF14279', NULL, 'HNH endonuclease', 56, NULL, 'HNH_5', 40852),
(97127, 'PF04949', NULL, 'Transcriptional activator', 154, NULL, 'Transcrip_act', 40853),
(97128, 'PF08547', NULL, 'Complex I intermediate-associated protein 30 (CIA30)', 159, NULL, 'CIA30', 40854),
(97129, 'PF19086', NULL, 'Terpene synthase family 2, C-terminal metal binding', 199, NULL, 'Terpene_syn_C_2', 40855),
(97130, 'PF15090', NULL, 'Domain of unknown function (DUF4553)', 478, NULL, 'DUF4553', 40856),
(97131, 'PF02760', NULL, 'HIN-200/IF120x domain', 168, NULL, 'HIN', 40857),
(97132, 'PF08669', NULL, 'Glycine cleavage T-protein C-terminal barrel domain', 80, NULL, 'GCV_T_C', 40858),
(97133, 'PF12549', NULL, 'Tyrosine hydroxylase N terminal', 25, NULL, 'TOH_N', 40859),
(97134, 'PF12752', NULL, 'SUZ domain', 57, NULL, 'SUZ', 40860),
(97135, 'PF00275', NULL, 'EPSP synthase (3-phosphoshikimate 1-carboxyvinyltransferase)', 416, NULL, 'EPSP_synthase', 40861),
(97136, 'PF13568', NULL, 'Outer membrane protein beta-barrel domain', 180, NULL, 'OMP_b-brl_2', 40862),
(97137, 'PF18051', NULL, '26S proteasome non-ATPase regulatory subunit RPN1 C-terminal', 54, NULL, 'RPN1_C', 40863),
(97138, 'PF07873', NULL, 'YabP family', 64, NULL, 'YabP', 40864),
(97139, 'PF18516', NULL, 'RuvC nuclease domain', 244, NULL, 'RuvC_1', 40865),
(97140, 'PF00742', NULL, 'Homoserine dehydrogenase', 173, NULL, 'Homoserine_dh', 40866),
(97141, 'PF13770', NULL, 'Domain of unknown function (DUF4169)', 55, NULL, 'DUF4169', 40867),
(97142, 'PF05180', NULL, 'DNL zinc finger', 64, NULL, 'zf-DNL', 40868),
(97143, 'PF10365', NULL, 'Domain of unknown function (DUF2436)', 164, NULL, 'DUF2436', 40869),
(97144, 'PF15286', NULL, 'Apoptosis regulator M11, B cell 2 leukaemia/lymphoma like', 126, NULL, 'Bcl-2_3', 40870),
(97145, 'PF08155', NULL, 'NOGCT (NUC087) domain', 54, NULL, 'NOGCT', 40871);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(97146, 'PF18247', NULL, 'Flax-rust effector AvrM N-terminal domain', 65, NULL, 'AvrM_N', 40872),
(97147, 'PF17887', NULL, 'Jak1 pleckstrin homology-like domain', 139, NULL, 'Jak1_Phl', 40873),
(97148, 'PF17942', NULL, 'Morc6 ribosomal protein S5 domain 2-like', 139, NULL, 'Morc6_S5', 40874),
(97149, 'PF16709', NULL, 'Ig domain of plant-specific actin-binding protein', 98, NULL, 'SCAB-Ig', 40875),
(97150, 'PF02595', NULL, 'Glycerate kinase family', 366, NULL, 'Gly_kinase', 40876),
(97151, 'PF04989', NULL, 'Cephalosporin hydroxylase', 206, NULL, 'CmcI', 40877),
(97152, 'PF07009', NULL, 'NusG domain II', 107, NULL, 'NusG_II', 40878),
(97153, 'PF07777', NULL, 'G-box binding protein MFMR', 97, NULL, 'MFMR', 40879),
(97154, 'PF06887', NULL, 'Protein of unknown function (DUF1265)', 47, NULL, 'DUF1265', 40880),
(97155, 'PF19829', NULL, 'Family of unknown function (DUF6310)', 126, NULL, 'DUF6310', 40881),
(97156, 'PF01155', NULL, 'Hydrogenase/urease nickel incorporation, metallochaperone, hypA', 112, NULL, 'HypA', 40882),
(97157, 'PF18635', NULL, 'Epithelial cell adhesion molecule N-terminal domain', 33, NULL, 'EpCAM_N', 40883),
(97158, 'PF19886', NULL, 'Domain of unknown function (DUF6359)', 110, NULL, 'DUF6359', 40884),
(97159, 'PF15437', NULL, 'Plasminogen-binding protein pgbA C-terminal', 84, NULL, 'PGBA_C', 40885),
(97160, 'PF08345', NULL, 'Flagellar M-ring protein C-terminal', 148, NULL, 'YscJ_FliF_C', 40886),
(97161, 'PF18825', NULL, 'Large polyvalent protein-associated domain 13', 139, NULL, 'LPD13', 40887),
(97162, 'PF19668', NULL, 'Family of unknown function (DUF6171)', 80, NULL, 'DUF6171', 40888),
(97163, 'PF01479', NULL, 'S4 domain', 48, NULL, 'S4', 40889),
(97164, 'PF01135', NULL, 'Protein-L-isoaspartate(D-aspartate) O-methyltransferase (PCMT)', 210, NULL, 'PCMT', 40890),
(97165, 'PF02501', NULL, 'Type II secretion system (T2SS), protein I', 80, NULL, 'T2SSI', 40891),
(97166, 'PF13968', NULL, 'Domain of unknown function (DUF4220)', 346, NULL, 'DUF4220', 40892),
(97167, 'PF07448', NULL, 'Secreted phosphoprotein 24 (Spp-24) cystatin-like domain', 64, NULL, 'Spp-24', 40893),
(97168, 'PF08764', NULL, 'Staphylococcus aureus coagulase', 279, NULL, 'Coagulase', 40894),
(97169, 'PF18878', NULL, 'PPE-PPW subfamily C-terminal region', 48, NULL, 'PPE-PPW', 40895),
(97170, 'PF10378', NULL, 'Putative RRM domain', 52, NULL, 'RRM', 40896),
(97171, 'PF09148', NULL, 'Domain of unknown function (DUF1934)', 128, NULL, 'DUF1934', 40897),
(97172, 'PF18990', NULL, 'Family of unknown function (DUF5723)', 376, NULL, 'DUF5723', 40898),
(97173, 'PF00827', NULL, 'Ribosomal L15', 189, NULL, 'Ribosomal_L15e', 40899),
(97174, 'PF08656', NULL, 'DASH complex subunit Dad3', 73, NULL, 'DASH_Dad3', 40900),
(97175, 'PF00978', NULL, 'RNA dependent RNA polymerase', 440, NULL, 'RdRP_2', 40901),
(97176, 'PF04011', NULL, 'LemA family', 149, NULL, 'LemA', 40902),
(97177, 'PF09201', NULL, 'SRX, signal recognition particle receptor alpha subunit', 148, NULL, 'SRX', 40903),
(97178, 'PF06445', NULL, 'GyrI-like small molecule binding domain', 155, NULL, 'GyrI-like', 40904),
(97179, 'PF03447', NULL, 'Homoserine dehydrogenase, NAD binding domain', 117, NULL, 'NAD_binding_3', 40905),
(97180, 'PF08363', NULL, 'Glucan-binding protein C', 300, NULL, 'GbpC', 40906),
(97181, 'PF03171', NULL, '2OG-Fe(II) oxygenase superfamily', 101, NULL, '2OG-FeII_Oxy', 40907),
(97182, 'PF13884', NULL, 'Chaperone of endosialidase', 58, NULL, 'Peptidase_S74', 40908),
(97183, 'PF15067', NULL, 'FAM124 family', 235, NULL, 'FAM124', 40909),
(97184, 'PF13592', NULL, 'Winged helix-turn helix', 60, NULL, 'HTH_33', 40910),
(97185, 'PF01924', NULL, 'Hydrogenase formation hypA family', 351, NULL, 'HypD', 40911),
(97186, 'PF11636', NULL, 'Troponin I residues 1-32', 31, NULL, 'Troponin-I_N', 40912),
(97187, 'PF16442', NULL, 'Domain of unknown function (DUF5039)', 203, NULL, 'DUF5039', 40913),
(97188, 'PF10658', NULL, 'Protein of unknown function (DUF2484)', 76, NULL, 'DUF2484', 40914),
(97189, 'PF08135', NULL, 'Major transforming protein E5 family', 43, NULL, 'EPV_E5', 40915);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(97190, 'PF10522', NULL, 'RII binding domain', 19, NULL, 'RII_binding_1', 40916),
(97191, 'PF04923', NULL, 'Ninjurin', 103, NULL, 'Ninjurin', 40917),
(97192, 'PF06621', NULL, 'Single-minded protein C-terminus', 299, NULL, 'SIM_C', 40918),
(97193, 'PF12519', NULL, 'Mitochondrial distribution and morphology protein 10', 464, NULL, 'MDM10', 40919),
(97194, 'PF01014', NULL, 'Uricase', 133, NULL, 'Uricase', 40920),
(97195, 'PF11533', NULL, 'Protein of unknown function (DUF3225)', 126, NULL, 'DUF3225', 40921),
(97196, 'PF06854', NULL, 'Bacteriophage Gp15 protein', 170, NULL, 'Phage_Gp15', 40922),
(97197, 'PF18585', NULL, 'Chromatin remodeling factor Mit1 C-terminal Zn finger 2', 53, NULL, 'zf-CCCH_6', 40923),
(97198, 'PF16007', NULL, 'Domain of unknown function (DUF4777)', 66, NULL, 'DUF4777', 40924),
(97199, 'PF17219', NULL, 'Yaf2/RYBP C-terminal binding motif', 33, NULL, 'YAF2_RYBP', 40925),
(97200, 'PF02283', NULL, 'Cobinamide kinase / cobinamide phosphate guanyltransferase', 170, NULL, 'CobU', 40926),
(97201, 'PF10416', NULL, 'Transcription-initiator DNA-binding domain IBD', 128, NULL, 'IBD', 40927),
(97202, 'PF05713', NULL, 'Bacterial mobilisation protein (MobC)', 45, NULL, 'MobC', 40928),
(97203, 'PF04089', NULL, 'BRICHOS domain', 91, NULL, 'BRICHOS', 40929),
(97204, 'PF05239', NULL, 'PRC-barrel domain', 79, NULL, 'PRC', 40930),
(97205, 'PF08140', NULL, 'Crustacean cuticle protein repeat', 40, NULL, 'Cuticle_1', 40931),
(97206, 'PF17209', NULL, 'Hfq protein', 64, NULL, 'Hfq', 40932),
(97207, 'PF07816', NULL, 'Protein of unknown function (DUF1645)', 191, NULL, 'DUF1645', 40933),
(97208, 'PF08317', NULL, 'Spc7 kinetochore protein', 196, NULL, 'Spc7', 40934),
(97209, 'PF18177', NULL, 'La HTH in kinetoplastid DICER domain', 90, NULL, 'La_HTH_kDCL', 40935),
(97210, 'PF18422', NULL, 'Tumor necrosis factor receptor member 16 trans-membrane domain', 38, NULL, 'TNFR_16_TM', 40936),
(97211, 'PF14116', NULL, 'YyzF-like protein', 48, NULL, 'YyzF', 40937),
(97212, 'PF03872', NULL, 'Anti sigma-E protein RseA, N-terminal domain', 87, NULL, 'RseA_N', 40938),
(97213, 'PF06528', NULL, 'Phage P2 GpE', 37, NULL, 'Phage_P2_GpE', 40939),
(97214, 'PF07105', NULL, 'Protein of unknown function (DUF1367)', 196, NULL, 'DUF1367', 40940),
(97215, 'PF00576', NULL, 'HIUase/Transthyretin family', 110, NULL, 'Transthyretin', 40941),
(97216, 'PF06391', NULL, 'CDK-activating kinase assembly factor MAT1', 204, NULL, 'MAT1', 40942),
(97217, 'PF05525', NULL, 'Branched-chain amino acid transport protein', 429, NULL, 'Branch_AA_trans', 40943),
(97218, 'PF16092', NULL, 'Domain of unknown function (DUF4821)', 264, NULL, 'DUF4821', 40944),
(97219, 'PF15054', NULL, 'Domain of unknown function (DUF4535)', 45, NULL, 'DUF4535', 40945),
(97220, 'PF09216', NULL, 'Pfg27', 174, NULL, 'Pfg27', 40946),
(97221, 'PF11449', NULL, 'Putative, 10TM heavy-metal exporter', 363, NULL, 'ArsP_2', 40947),
(97222, 'PF11735', NULL, 'Cryptococcal mannosyltransferase 1', 240, NULL, 'CAP59_mtransfer', 40948),
(97223, 'PF12609', NULL, 'Wound-induced protein', 74, NULL, 'DUF3774', 40949),
(97224, 'PF13830', NULL, 'Domain of unknown function (DUF4192)', 322, NULL, 'DUF4192', 40950),
(97225, 'PF02747', NULL, 'Proliferating cell nuclear antigen, C-terminal domain', 128, NULL, 'PCNA_C', 40951),
(97226, 'PF11952', NULL, 'XRN-Two Binding Domain, XTBD', 85, NULL, 'XTBD', 40952),
(97227, 'PF10000', NULL, 'ACT domain', 70, NULL, 'ACT_3', 40953),
(97228, 'PF07188', NULL, 'Kaposi''s sarcoma-associated herpesvirus (KSHV) K8 protein', 238, NULL, 'KSHV_K8', 40954),
(97229, 'PF13063', NULL, 'Protein of unknown function (DUF3925)', 65, NULL, 'DUF3925', 40955),
(97230, 'PF16001', NULL, 'Domain of unknown function (DUF4775)', 456, NULL, 'DUF4775', 40956),
(97231, 'PF11578', NULL, 'Protein of unknown function (DUF3237)', 149, NULL, 'DUF3237', 40957),
(97232, 'PF17500', NULL, 'Colicin-K immunity', 96, NULL, 'CKI', 40958),
(97233, 'PF01991', NULL, 'ATP synthase (E/31 kDa) subunit', 199, NULL, 'vATP-synt_E', 40959),
(97234, 'PF07303', NULL, 'Occludin homology domain', 101, NULL, 'Occludin_ELL', 40960);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(97235, 'PF08439', NULL, 'Oligopeptidase F', 70, NULL, 'Peptidase_M3_N', 40961),
(97236, 'PF08898', NULL, 'Domain of unknown function (DUF1843)', 52, NULL, 'DUF1843', 40962),
(97237, 'PF20095', NULL, 'Domain of unknown function (DUF6485)', 70, NULL, 'DUF6485', 40963),
(97238, 'PF03324', NULL, 'Herpesvirus DNA helicase/primase complex associated protein', 95, NULL, 'Herpes_HEPA', 40964),
(97239, 'PF03444', NULL, 'Winged helix-turn-helix transcription repressor, HrcA DNA-binding', 79, NULL, 'HrcA_DNA-bdg', 40965),
(97240, 'PF05242', NULL, 'Glycosylation-dependent cell adhesion molecule 1 (GlyCAM-1)', 135, NULL, 'GLYCAM-1', 40966),
(97241, 'PF17841', NULL, 'BID domain of Bartonella effector protein (Bep)', 97, NULL, 'Bep_C_terminal', 40967),
(97242, 'PF00957', NULL, 'Synaptobrevin', 89, NULL, 'Synaptobrevin', 40968),
(97243, 'PF14457', NULL, 'Prokaryotic E2 family A', 163, NULL, 'Prok-E2_A', 40969),
(97244, 'PF05710', NULL, 'Coiled coil', 91, NULL, 'Coiled', 40970),
(97245, 'PF11276', NULL, 'Protein of unknown function (DUF3078)', 93, NULL, 'DUF3078', 40971),
(97246, 'PF13909', NULL, 'C2H2-type zinc-finger domain', 25, NULL, 'zf-H2C2_5', 40972),
(97247, 'PF09784', NULL, 'Mitochondrial ribosomal protein L31', 102, NULL, 'L31', 40973),
(97248, 'PF15510', NULL, 'CENP-W protein', 88, NULL, 'CENP-W', 40974),
(97249, 'PF08299', NULL, 'Bacterial dnaA protein helix-turn-helix', 69, NULL, 'Bac_DnaA_C', 40975),
(97250, 'PF18239', NULL, 'Hemagglutinin I', 90, NULL, 'HA1', 40976),
(97251, 'PF06715', NULL, 'Gp5 C-terminal repeat (3 copies)', 24, NULL, 'Gp5_C', 40977),
(97252, 'PF08362', NULL, 'YcdC-like protein, C-terminal region', 143, NULL, 'TetR_C_3', 40978),
(97253, 'PF19323', NULL, 'BTB/POZ domain-containing protein KCTD4 C-terminus', 122, NULL, 'KCTD4_C', 40979),
(97254, 'PF03370', NULL, 'Carbohydrate/starch-binding module (family 21)', 113, NULL, 'CBM_21', 40980),
(97255, 'PF14269', NULL, 'Arylsulfotransferase (ASST)', 299, NULL, 'Arylsulfotran_2', 40981),
(97256, 'PF15314', NULL, 'Proline-rich acidic protein 1, pregnancy-specific uterine', 45, NULL, 'PRAP', 40982),
(97257, 'PF03244', NULL, 'Photosystem I reaction centre subunit VI', 139, NULL, 'PSI_PsaH', 40983),
(97258, 'PF09375', NULL, 'Imelysin', 291, NULL, 'Peptidase_M75', 40984),
(97259, 'PF10923', NULL, 'P-loop Domain of unknown function (DUF2791)', 414, NULL, 'DUF2791', 40985),
(97260, 'PF11502', NULL, 'B-cell lymphoma 9 protein', 39, NULL, 'BCL9', 40986),
(97261, 'PF13452', NULL, 'N-terminal half of MaoC dehydratase', 132, NULL, 'MaoC_dehydrat_N', 40987),
(97262, 'PF13636', NULL, 'RNA-binding PUA-like domain of methyltransferase RsmF', 50, NULL, 'Methyltranf_PUA', 40988),
(97263, 'PF20150', NULL, '2EXR family', 99, NULL, '2EXR', 40989),
(97264, 'PF13170', NULL, 'Protein of unknown function (DUF4003)', 296, NULL, 'DUF4003', 40990),
(97265, 'PF09240', NULL, 'Interleukin-6 receptor alpha chain, binding', 96, NULL, 'IL6Ra-bind', 40991),
(97266, 'PF15633', NULL, 'HYD1 signature containing ADP-ribosyltransferase', 98, NULL, 'Tox-ART-HYD1', 40992),
(97267, 'PF18993', NULL, 'Rv0078B-related antitoxin', 63, NULL, 'Rv0078B', 40993),
(97268, 'PF00110', NULL, 'wnt family', 308, NULL, 'wnt', 40994),
(97269, 'PF09260', NULL, 'Domain of unknown function (DUF1966)', 90, NULL, 'DUF1966', 40995),
(97270, 'PF16312', NULL, 'Coiled-coil region of Oberon', 129, NULL, 'Oberon_cc', 40996),
(97271, 'PF05657', NULL, 'Protein of unknown function (DUF806)', 121, NULL, 'DUF806', 40997),
(97272, 'PF11241', NULL, 'Protein of unknown function (DUF3043)', 171, NULL, 'DUF3043', 40998),
(97273, 'PF18538', NULL, 'Domain of unknown function (DUF5624)', 130, NULL, 'DUF5624', 40999),
(97274, 'PF16173', NULL, 'Domain of unknown function (DUF4874)', 160, NULL, 'DUF4874', 41000),
(97275, 'PF04694', NULL, 'Coronavirus ORF3 protein', 59, NULL, 'Corona_3', 41001),
(97276, 'PF18026', NULL, 'Endo/exonuclease (EXOG) C-terminal domain', 49, NULL, 'Exog_C', 41002),
(97277, 'PF04184', NULL, 'ST7 protein', 532, NULL, 'ST7', 41003),
(97278, 'PF07345', NULL, 'ATPase inhibitor subunit zeta', 102, NULL, 'DUF1476', 41004);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(97279, 'PF02148', NULL, 'Zn-finger in ubiquitin-hydrolases and other protein', 64, NULL, 'zf-UBP', 41005),
(97280, 'PF14922', NULL, 'Protein of unknown function', 150, NULL, 'FWWh', 41006),
(97281, 'PF02425', NULL, 'Paralytic/GBP/PSP peptide', 23, NULL, 'GBP_PSP', 41007),
(97282, 'PF13275', NULL, 'S4 domain', 65, NULL, 'S4_2', 41008),
(97283, 'PF06230', NULL, 'LpxI C-terminal domain', 133, NULL, 'LpxI_C', 41009),
(97284, 'PF14958', NULL, 'Domain of unknown function (DUF4506)', 141, NULL, 'DUF4506', 41010),
(97285, 'PF07761', NULL, 'Protein of unknown function (DUF1617)', 143, NULL, 'DUF1617', 41011),
(97286, 'PF05849', NULL, 'Fibroin light chain (L-fibroin)', 239, NULL, 'L-fibroin', 41012),
(97287, 'PF16791', NULL, 'Connexin 40 C-terminal domain', 106, NULL, 'Connexin40_C', 41013),
(97288, 'PF15671', NULL, 'Proline-rich protein family 18', 266, NULL, 'PRR18', 41014),
(97289, 'PF13083', NULL, 'KH domain', 73, NULL, 'KH_4', 41015),
(97290, 'PF14079', NULL, 'Domain of unknown function (DUF4260)', 113, NULL, 'DUF4260', 41016),
(97291, 'PF08098', NULL, 'Anemonia sulcata toxin III family', 27, NULL, 'ATX_III', 41017),
(97292, 'PF19686', NULL, 'Family of unknown function (DUF6188)', 121, NULL, 'DUF6188', 41018),
(97293, 'PF12028', NULL, 'Protein of unknown function (DUF3515)', 158, NULL, 'DUF3515', 41019),
(97294, 'PF15150', NULL, 'Phorbol-12-myristate-13-acetate-induced', 54, NULL, 'PMAIP1', 41020),
(97295, 'PF18192', NULL, 'DNTTIP1 dimerisation domain', 69, NULL, 'DNTTIP1_dimer', 41021),
(97296, 'PF03274', NULL, 'Foamy virus BEL 1/2 protein', 257, NULL, 'Foamy_BEL', 41022),
(97297, 'PF15774', NULL, 'Domain of unknown function (DUF4702)', 395, NULL, 'DUF4702', 41023),
(97298, 'PF10688', NULL, 'Bacterial inner membrane protein', 159, NULL, 'Imp-YgjV', 41024),
(97299, 'PF17794', NULL, 'Major Vault Protein repeat domain', 61, NULL, 'Vault_2', 41025),
(97300, 'PF03941', NULL, 'Inner centromere protein, ARK binding region', 55, NULL, 'INCENP_ARK-bind', 41026),
(97301, 'PF04026', NULL, 'SpoVG', 82, NULL, 'SpoVG', 41027),
(97302, 'PF13118', NULL, 'Protein of unknown function (DUF3972)', 125, NULL, 'DUF3972', 41028),
(97303, 'PF12502', NULL, 'Protein of unknown function (DUF3710)', 178, NULL, 'DUF3710', 41029),
(97304, 'PF10458', NULL, 'Valyl tRNA synthetase tRNA binding arm', 66, NULL, 'Val_tRNA-synt_C', 41030),
(97305, 'PF08606', NULL, 'Prp19/Pso4-like', 68, NULL, 'Prp19', 41031),
(97306, 'PF18728', NULL, 'AbiV', 168, NULL, 'HEPN_AbiV', 41032),
(97307, 'PF05262', NULL, 'Borrelia P83/100 protein', 489, NULL, 'Borrelia_P83', 41033),
(97308, 'PF11017', NULL, 'Protein of unknown function (DUF2855)', 346, NULL, 'DUF2855', 41034),
(97309, 'PF19593', NULL, 'Family of unknown function (DUF6098)', 141, NULL, 'DUF6098', 41035),
(97310, 'PF15949', NULL, 'Domain of unknown function (DUF4757)', 170, NULL, 'DUF4757', 41036),
(97311, 'PF02926', NULL, 'THUMP domain', 144, NULL, 'THUMP', 41037),
(97312, 'PF17224', NULL, 'Domain of unknown function (DUF5300)', 98, NULL, 'DUF5300', 41038),
(97313, 'PF13444', NULL, 'Acetyltransferase (GNAT) domain', 102, NULL, 'Acetyltransf_5', 41039),
(97314, 'PF17616', NULL, 'Viral unique short region 6', 161, NULL, 'US6', 41040),
(97315, 'PF04990', NULL, 'RNA polymerase Rpb1, domain 7', 135, NULL, 'RNA_pol_Rpb1_7', 41041),
(97316, 'PF04394', NULL, 'Protein of unknown function, DUF536', 43, NULL, 'DUF536', 41042),
(97317, 'PF10595', NULL, 'Uncharacterised protein family UPF0564', 364, NULL, 'UPF0564', 41043),
(97318, 'PF14926', NULL, 'Domain of unknown function (DUF4498)', 246, NULL, 'DUF4498', 41044),
(97319, 'PF12345', NULL, 'Protein of unknown function (DUF3641)', 135, NULL, 'DUF3641', 41045),
(97320, 'PF03121', NULL, 'Herpesviridae UL52/UL70 DNA primase', 75, NULL, 'Herpes_UL52', 41046),
(97321, 'PF15223', NULL, 'Elongin BC and Polycomb repressive complex 2-associated protein', 426, NULL, 'EPOP', 41047),
(97322, 'PF07374', NULL, 'Protein of unknown function (DUF1492)', 100, NULL, 'DUF1492', 41048),
(97323, 'PF08225', NULL, 'Pseudin antimicrobial peptide', 23, NULL, 'Antimicrobial19', 41049);
INSERT INTO "PUBLIC"."MODEL" VALUES
(97324, 'PF15942', NULL, 'Domain of unknown function (DUF4751)', 121, NULL, 'DUF4751', 41050),
(97325, 'PF07134', NULL, 'Protein of unknown function (DUF1383)', 328, NULL, 'DUF1383', 41051),
(97326, 'PF08591', NULL, 'Ribonucleotide reductase inhibitor', 107, NULL, 'RNR_inhib', 41052),
(97327, 'PF07119', NULL, 'Protein of unknown function (DUF1375)', 53, NULL, 'DUF1375', 41053),
(97328, 'PF14466', NULL, 'PLAT/LH2 and C2-like Ca2+-binding lipoprotein', 127, NULL, 'PLCC', 41054),
(97329, 'PF12460', NULL, 'RNAPII transcription regulator C-terminal', 426, NULL, 'MMS19_C', 41055),
(97330, 'PF19240', NULL, 'Family of unknown function (DUF5890)', 75, NULL, 'DUF5890', 41056),
(97331, 'PF10073', NULL, 'Uncharacterized protein conserved in bacteria (DUF2312)', 72, NULL, 'DUF2312', 41057),
(97332, 'PF05884', NULL, 'Interactor of ZYG-11', 295, NULL, 'ZYG-11_interact', 41058),
(97333, 'PF18537', NULL, 'Carbon monoxide dehydrogenase subunit alpha N-terminal domain', 83, NULL, 'CODH_A_N', 41059),
(97334, 'PF11434', NULL, 'Chemotaxis-inhibiting protein CHIPS', 91, NULL, 'CHIPS', 41060),
(97335, 'PF15290', NULL, 'Golgi-localised syntaxin-1-binding clamp', 305, NULL, 'Syntaphilin', 41061),
(97336, 'PF17876', NULL, 'Cold shock domain', 74, NULL, 'CSD2', 41062),
(97337, 'PF04161', NULL, 'Arv1-like family', 208, NULL, 'Arv1', 41063),
(97338, 'PF04268', NULL, 'Sarcosine oxidase, gamma subunit family', 152, NULL, 'SoxG', 41064),
(97339, 'PF13814', NULL, 'Replication-relaxation', 193, NULL, 'Replic_Relax', 41065),
(97340, 'PF13217', NULL, 'Protein of unknown function (DUF4025)', 50, NULL, 'DUF4025', 41066),
(97341, 'PF01831', NULL, 'Peptidase C16 family', 249, NULL, 'Peptidase_C16', 41067),
(97342, 'PF05567', NULL, 'Neisseria PilC beta-propeller domain', 367, NULL, 'Neisseria_PilC', 41068),
(97343, 'PF05564', NULL, 'Dormancy/auxin associated protein', 118, NULL, 'Auxin_repressed', 41069),
(97344, 'PF13378', NULL, 'Enolase C-terminal domain-like', 220, NULL, 'MR_MLE_C', 41070),
(97345, 'PF00521', NULL, 'DNA gyrase/topoisomerase IV, subunit A', 426, NULL, 'DNA_topoisoIV', 41071),
(97346, 'PF05387', NULL, 'Chorion family 3', 277, NULL, 'Chorion_3', 41072),
(97347, 'PF01599', NULL, 'Ribosomal protein S27a', 44, NULL, 'Ribosomal_S27', 41073),
(97348, 'PF07015', NULL, 'VirC1 protein', 231, NULL, 'VirC1', 41074),
(97349, 'PF02261', NULL, 'Aspartate decarboxylase', 115, NULL, 'Asp_decarbox', 41075),
(97350, 'PF12998', NULL, 'Inhibitor of growth proteins N-terminal histone-binding', 102, NULL, 'ING', 41076),
(97351, 'PF17567', NULL, 'Family of unknown function (DUF5473)', 106, NULL, 'DUF5473', 41077),
(97352, 'PF06794', NULL, 'Uncharacterised protein family (UPF0270)', 69, NULL, 'UPF0270', 41078),
(97353, 'PF14439', NULL, 'Bd3614-like deaminase', 136, NULL, 'Bd3614-deam', 41079),
(97354, 'PF16454', NULL, 'Phosphatidylinositol 3-kinase regulatory subunit P85 inter-SH2 domain', 161, NULL, 'PI3K_P85_iSH2', 41080),
(97355, 'PF11631', NULL, 'Protein of unknown function (DUF3255)', 123, NULL, 'DUF3255', 41081),
(97356, 'PF18262', NULL, 'Phe-tRNA synthetase beta subunit B1 domain', 83, NULL, 'PhetRS_B1', 41082),
(97357, 'PF07489', NULL, 'Translocated intimin receptor (Tir) C-terminus', 221, NULL, 'Tir_receptor_C', 41083),
(97358, 'PF18080', NULL, 'Galactose mutarotase-like fold domain', 241, NULL, 'Gal_mutarotas_3', 41084),
(97359, 'PF15470', NULL, 'Domain of unknown function (DUF4637)', 166, NULL, 'DUF4637', 41085),
(97360, 'PF20120', NULL, 'Family of unknown function (DUF6510)', 86, NULL, 'DUF6510', 41086),
(97361, 'PF08179', NULL, 'Small acid-soluble spore protein P family', 44, NULL, 'SspP', 41087),
(97362, 'PF16286', NULL, 'Domain of unknown function (DUF4932)', 329, NULL, 'DUF4932', 41088),
(97363, 'PF18097', NULL, 'Vta1 C-terminal domain', 38, NULL, 'Vta1_C', 41089),
(97364, 'PF09866', NULL, 'Uncharacterized protein conserved in bacteria (DUF2093)', 42, NULL, 'DUF2093', 41090),
(97365, 'PF02382', NULL, 'N-terminal domain in RTX protein', 324, NULL, 'RTX', 41091),
(97366, 'PF03011', NULL, 'PFEMP1 DBL domain', 160, NULL, 'PFEMP', 41092);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(97367, 'PF03694', NULL, 'Erg28 like protein', 112, NULL, 'Erg28', 41093),
(97368, 'PF14066', NULL, 'Protein of unknown function (DUF4256)', 173, NULL, 'DUF4256', 41094),
(97369, 'PF02326', NULL, 'Plant ATP synthase F0', 86, NULL, 'YMF19', 41095),
(97370, 'PF12279', NULL, 'Protein of unknown function (DUF3619)', 130, NULL, 'DUF3619', 41096),
(97371, 'PF17589', NULL, 'Family of unknown function (DUF5487)', 66, NULL, 'DUF5487', 41097),
(97372, 'PF18509', NULL, 'Magnetochrome domain', 30, NULL, 'MCR', 41098),
(97373, 'PF18344', NULL, 'Carbohydrate binding module family 32', 64, NULL, 'CBM32', 41099),
(97374, 'PF06439', NULL, 'Domain of Unknown Function (DUF1080)', 185, NULL, 'DUF1080', 41100),
(97375, 'PF07923', NULL, 'N1221-like protein', 289, NULL, 'N1221', 41101),
(97376, 'PF00929', NULL, 'Exonuclease', 165, NULL, 'RNase_T', 41102),
(97377, 'PF05167', NULL, 'Uncharacterised ACR (DUF711)', 406, NULL, 'DUF711', 41103),
(97378, 'PF11881', NULL, 'C-terminal domain of SPAR protein', 243, NULL, 'SPAR_C', 41104),
(97379, 'PF08280', NULL, 'M protein trans-acting positive regulator (MGA) HTH domain', 60, NULL, 'HTH_Mga', 41105),
(97380, 'PF20109', NULL, 'Family of unknown function (DUF6499)', 68, NULL, 'DUF6499', 41106),
(97381, 'PF05575', NULL, 'Vibrio cholerae RfbT protein', 286, NULL, 'V_cholerae_RfbT', 41107),
(97382, 'PF16851', NULL, 'Stomagen', 50, NULL, 'Stomagen', 41108),
(97383, 'PF10636', NULL, 'Hemin uptake protein hemP', 37, NULL, 'hemP', 41109),
(97384, 'PF11719', NULL, 'DNA replication and checkpoint protein', 450, NULL, 'Drc1-Sld2', 41110),
(97385, 'PF08119', NULL, 'Scorpion acidic alpha-KTx toxin family', 37, NULL, 'Toxin_31', 41111),
(97386, 'PF00123', NULL, 'Peptide hormone', 28, NULL, 'Hormone_2', 41112),
(97387, 'PF19277', NULL, 'Glycerol-3-phosphate acyltransferase C-terminal region', 380, NULL, 'GPAT_C', 41113),
(97388, 'PF10515', NULL, 'Beta-amyloid precursor protein C-terminus', 52, NULL, 'APP_amyloid', 41114),
(97389, 'PF11876', NULL, 'Protein of unknown function (DUF3396)', 207, NULL, 'DUF3396', 41115),
(97390, 'PF13857', NULL, 'Ankyrin repeats (many copies)', 56, NULL, 'Ank_5', 41116),
(97391, 'PF10860', NULL, 'Protein of unknown function (DUF2661)', 113, NULL, 'DUF2661', 41117),
(97392, 'PF15909', NULL, 'C2H2-type zinc ribbon', 98, NULL, 'zf-C2H2_8', 41118),
(97393, 'PF15984', NULL, 'Bacterial collagen, middle region', 198, NULL, 'Collagen_mid', 41119),
(97394, 'PF18113', NULL, 'Rubredoxin binding C-terminal domain', 71, NULL, 'Rbx_binding', 41120),
(97395, 'PF19101', NULL, 'Family of unknown function (DUF5788)', 131, NULL, 'DUF5788', 41121),
(97396, 'PF16231', NULL, 'Domain of unknown function (DUF4890)', 109, NULL, 'DUF4890', 41122),
(97397, 'PF19576', NULL, 'Acyltransferase', 266, NULL, 'Acyltransf_2', 41123),
(97398, 'PF04465', NULL, 'Protein of unknown function (DUF499)', 1024, NULL, 'DUF499', 41124),
(97399, 'PF14766', NULL, 'Replication protein A interacting N-terminal', 39, NULL, 'RPA_interact_N', 41125),
(97400, 'PF14494', NULL, 'Domain of unknown function (DUF4436)', 255, NULL, 'DUF4436', 41126),
(97401, 'PF19167', NULL, 'Family of unknown function (DUF5849)', 200, NULL, 'DUF5849', 41127),
(97402, 'PF10642', NULL, 'Mitochondrial import receptor subunit or translocase', 46, NULL, 'Tom5', 41128),
(97403, 'PF15483', NULL, 'Domain of unknown function (DUF4641)', 443, NULL, 'DUF4641', 41129),
(97404, 'PF19979', NULL, 'Family of unknown function (DUF6415)', 95, NULL, 'DUF6415', 41130),
(97405, 'PF08490', NULL, 'Domain of unknown function (DUF1744)', 401, NULL, 'DUF1744', 41131),
(97406, 'PF19608', NULL, 'Family of unknown function (DUF6113)', 132, NULL, 'DUF6113', 41132),
(97407, 'PF10337', NULL, 'Putative ER transporter, 6TM, N-terminal', 471, NULL, 'ArAE_2_N', 41133),
(97408, 'PF16597', NULL, 'Thyroglobulin_1 repeat associated disordered domain', 61, NULL, 'Thyroglob_assoc', 41134),
(97409, 'PF16477', NULL, 'Domain of unknown function (DUF5054)', 287, NULL, 'DUF5054', 41135),
(97410, 'PF00435', NULL, 'Spectrin repeat', 105, NULL, 'Spectrin', 41136),
(97411, 'PF04744', NULL, 'Monooxygenase subunit B protein', 381, NULL, 'Monooxygenase_B', 41137);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(97412, 'PF18407', NULL, 'GCN5-related N-acetyltransferase like domain', 62, NULL, 'GNAT_like', 41138),
(97413, 'PF20071', NULL, 'Family of unknown function (DUF6467)', 74, NULL, 'DUF6467', 41139),
(97414, 'PF10439', NULL, 'Bacteriocin class II with double-glycine leader peptide', 62, NULL, 'Bacteriocin_IIc', 41140),
(97415, 'PF15261', NULL, 'Jhy protein', 128, NULL, 'JHY', 41141),
(97416, 'PF12539', NULL, 'Chromosome segregation protein Csm1/Pcs1', 84, NULL, 'Csm1', 41142),
(97417, 'PF13021', NULL, 'Domain of unknown function (DUF3885)', 38, NULL, 'DUF3885', 41143),
(97418, 'PF19214', NULL, 'Coronavirus spike glycoprotein S2, intravirion', 42, NULL, 'CoV_S2_C', 41144),
(97419, 'PF14745', NULL, 'WASH complex subunit 7, N-terminal', 574, NULL, 'WASH-7_N', 41145),
(97420, 'PF08492', NULL, 'SRP72 RNA-binding domain', 58, NULL, 'SRP72', 41146),
(97421, 'PF10659', NULL, 'Trypanosome variant surface glycoprotein C-terminal domain', 104, NULL, 'Trypan_glycop_C', 41147),
(97422, 'PF01654', NULL, 'Cytochrome bd terminal oxidase subunit I', 419, NULL, 'Cyt_bd_oxida_I', 41148),
(97423, 'PF07452', NULL, 'CHRD domain', 117, NULL, 'CHRD', 41149),
(97424, 'PF02469', NULL, 'Fasciclin domain', 128, NULL, 'Fasciclin', 41150),
(97425, 'PF00086', NULL, 'Thyroglobulin type-1 repeat', 67, NULL, 'Thyroglobulin_1', 41151),
(97426, 'PF04452', NULL, 'RNA methyltransferase', 226, NULL, 'Methyltrans_RNA', 41152),
(97427, 'PF06202', NULL, 'Amylo-alpha-1,6-glucosidase', 379, NULL, 'GDE_C', 41153),
(97428, 'PF14017', NULL, 'Protein of unknown function (DUF4233)', 104, NULL, 'DUF4233', 41154),
(97429, 'PF05439', NULL, 'Jumping translocation breakpoint protein (JTB)', 110, NULL, 'JTB', 41155),
(97430, 'PF13729', NULL, 'F plasmid transfer operon, TraF, protein', 278, NULL, 'TraF_2', 41156),
(97431, 'PF17746', NULL, 'SfsA N-terminal OB domain', 63, NULL, 'SfsA_N', 41157),
(97432, 'PF19685', NULL, 'Family of unknown function (DUF6187)', 141, NULL, 'DUF6187', 41158),
(97433, 'PF05107', NULL, 'CRISPR-associated protein Cas7', 252, NULL, 'Cas_Cas7', 41159),
(97434, 'PF12134', NULL, 'PRP8 domain IV core', 230, NULL, 'PRP8_domainIV', 41160),
(97435, 'PF17116', NULL, 'Domain of unknown function (DUF5103)', 288, NULL, 'DUF5103', 41161),
(97436, 'PF17210', NULL, 'SdrD B-like domain', 112, NULL, 'SdrD_B', 41162),
(97437, 'PF12990', NULL, 'Domain of unknonw function from B. Theta Gene description (DUF3874)', 71, NULL, 'DUF3874', 41163),
(97438, 'PF08086', NULL, 'Ergtoxin family', 41, NULL, 'Toxin_17', 41164),
(97439, 'PF08409', NULL, 'Domain of unknown function (DUF1736)', 75, NULL, 'DUF1736', 41165),
(97440, 'PF05528', NULL, 'Coronavirus gene 5 protein', 82, NULL, 'Coronavirus_5', 41166),
(97441, 'PF15559', NULL, 'Domain of unknown function (DUF4660)', 107, NULL, 'DUF4660', 41167),
(97442, 'PF04531', NULL, 'Bacteriophage holin', 82, NULL, 'Phage_holin_1', 41168),
(97443, 'PF18125', NULL, 'RlmM ferredoxin-like domain', 71, NULL, 'RlmM_FDX', 41169),
(97444, 'PF11166', NULL, 'Protein of unknown function (DUF2951)', 98, NULL, 'DUF2951', 41170),
(97445, 'PF12703', NULL, 'Toxin of toxin-antitoxin type 1 system', 73, NULL, 'ptaRNA1_toxin', 41171),
(97446, 'PF07487', NULL, 'SopE GEF domain', 136, NULL, 'SopE_GEF', 41172),
(97447, 'PF11344', NULL, 'Protein of unknown function (DUF3146)', 80, NULL, 'DUF3146', 41173),
(97448, 'PF02678', NULL, 'Pirin', 108, NULL, 'Pirin', 41174),
(97449, 'PF12412', NULL, 'Protein of unknown function (DUF3667)', 45, NULL, 'DUF3667', 41175),
(97450, 'PF12173', NULL, 'Bacteriocin class IIc cyclic gassericin A-like', 91, NULL, 'BacteriocIIc_cy', 41176),
(97451, 'PF12881', NULL, 'NUT protein', 731, NULL, 'NUT', 41177),
(97452, 'PF06892', NULL, 'Phage regulatory protein CII (CP76)', 157, NULL, 'Phage_CP76', 41178),
(97453, 'PF19731', NULL, 'Family of unknown function (DUF6222)', 62, NULL, 'DUF6222', 41179),
(97454, 'PF09060', NULL, 'L27_N', 48, NULL, 'L27_N', 41180),
(97455, 'PF03662', NULL, 'Glycosyl hydrolase family 79, N-terminal domain', 318, NULL, 'Glyco_hydro_79n', 41181),
(97456, 'PF14270', NULL, 'Domain of unknown function (DUF4358)', 102, NULL, 'DUF4358', 41182);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(97457, 'PF05380', NULL, 'Pao retrotransposon peptidase', 162, NULL, 'Peptidase_A17', 41183),
(97458, 'PF13931', NULL, 'Kinesin-associated microtubule-binding', 139, NULL, 'Microtub_bind', 41184),
(97459, 'PF01573', NULL, 'Bromovirus movement protein', 276, NULL, 'Bromo_MP', 41185),
(97460, 'PF12942', NULL, 'Archaeal ammonia monooxygenase subunit A (AmoA)', 183, NULL, 'Archaeal_AmoA', 41186),
(97461, 'PF18988', NULL, 'Family of unknown function (DUF5721)', 149, NULL, 'DUF5721', 41187),
(97462, 'PF12189', NULL, 'Single-strand DNA-binding protein', 63, NULL, 'VirE1', 41188),
(97463, 'PF03547', NULL, 'Membrane transport protein', 387, NULL, 'Mem_trans', 41189),
(97464, 'PF09006', NULL, 'Lung surfactant protein D coiled-coil trimerisation', 46, NULL, 'Surfac_D-trimer', 41190),
(97465, 'PF06685', NULL, 'Protein of unknown function (DUF1186)', 247, NULL, 'DUF1186', 41191),
(97466, 'PF03429', NULL, 'Major surface protein 1B', 756, NULL, 'MSP1b', 41192),
(97467, 'PF10892', NULL, 'Protein of unknown function (DUF2688)', 56, NULL, 'DUF2688', 41193),
(97468, 'PF08520', NULL, 'Fungal protein of unknown function (DUF1748)', 69, NULL, 'DUF1748', 41194),
(97469, 'PF16705', NULL, 'NUDIX, or N-terminal NPxY motif-rich,  region of KRIT', 177, NULL, 'NUDIX_5', 41195),
(97470, 'PF14166', NULL, 'YueH-like protein', 79, NULL, 'YueH', 41196),
(97471, 'PF18085', NULL, 'Maltokinase N-terminal cap domain', 88, NULL, 'Mak_N_cap', 41197),
(97472, 'PF04053', NULL, 'Coatomer WD associated region', 445, NULL, 'Coatomer_WDAD', 41198),
(97473, 'PF08329', NULL, 'Chitinase A, N-terminal domain', 133, NULL, 'ChitinaseA_N', 41199),
(97474, 'PF17979', NULL, 'Cysteine rich domain with multizinc binding regions', 159, NULL, 'zf-CRD', 41200),
(97475, 'PF05622', NULL, 'HOOK protein coiled-coil region', 527, NULL, 'HOOK', 41201),
(97476, 'PF04360', NULL, 'Serglycin', 149, NULL, 'Serglycin', 41202),
(97477, 'PF17741', NULL, 'Family of unknown function (DUF5578)', 268, NULL, 'DUF5578', 41203),
(97478, 'PF09403', NULL, 'Adhesion protein FadA', 99, NULL, 'FadA', 41204),
(97479, 'PF02659', NULL, 'Putative manganese efflux pump', 152, NULL, 'Mntp', 41205),
(97480, 'PF04785', NULL, 'Rhabdovirus matrix protein M2', 202, NULL, 'Rhabdo_M2', 41206),
(97481, 'PF15396', NULL, 'Protein Family FAM60A', 212, NULL, 'FAM60A', 41207),
(97482, 'PF19813', NULL, 'Family of unknown function (DUF6296)', 75, NULL, 'DUF6296', 41208),
(97483, 'PF18563', NULL, 'TubC N-terminal docking domain', 52, NULL, 'TubC_N', 41209),
(97484, 'PF13595', NULL, 'Domain of unknown function (DUF4138)', 245, NULL, 'DUF4138', 41210),
(97485, 'PF10109', NULL, 'Phage tail assembly chaperone proteins, E, or 41 or 14', 83, NULL, 'Phage_TAC_7', 41211),
(97486, 'PF04015', NULL, 'Domain of unknown function (DUF362)', 203, NULL, 'DUF362', 41212),
(97487, 'PF05198', NULL, 'Translation initiation factor IF-3, N-terminal domain', 70, NULL, 'IF3_N', 41213),
(97488, 'PF14264', NULL, 'Glucosyl transferase GtrII', 294, NULL, 'Glucos_trans_II', 41214),
(97489, 'PF19797', NULL, 'Family of unknown function (DUF6281)', 100, NULL, 'DUF6281', 41215),
(97490, 'PF02646', NULL, 'RmuC family', 292, NULL, 'RmuC', 41216),
(97491, 'PF04409', NULL, 'Protein of unknown function (DUF530)', 521, NULL, 'DUF530', 41217),
(97492, 'PF05514', NULL, 'HR-like lesion-inducing', 138, NULL, 'HR_lesion', 41218),
(97493, 'PF10473', NULL, 'Leucine-rich repeats of kinetochore protein Cenp-F/LEK1', 140, NULL, 'CENP-F_leu_zip', 41219),
(97494, 'PF12758', NULL, 'Protein of unknown function (DUF3813)', 63, NULL, 'DUF3813', 41220),
(97495, 'PF17985', NULL, 'SipA vinculin binding site', 22, NULL, 'SipA_VBS', 41221),
(97496, 'PF08700', NULL, 'Vps51/Vps67', 87, NULL, 'Vps51', 41222),
(97497, 'PF05958', NULL, 'tRNA (Uracil-5-)-methyltransferase', 352, NULL, 'tRNA_U5-meth_tr', 41223),
(97498, 'PF17839', NULL, 'C-terminal domain of cyclic nucleotide phosphodiesterase', 108, NULL, 'CNP_C_terminal', 41224),
(97499, 'PF05737', NULL, 'Collagen binding domain', 131, NULL, 'Collagen_bind', 41225),
(97500, 'PF02578', NULL, 'Multi-copper polyphenol oxidoreductase laccase', 236, NULL, 'Cu-oxidase_4', 41226);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(97501, 'PF14616', NULL, 'Domain of unknown function (DUF4451)', 122, NULL, 'DUF4451', 41227),
(97502, 'PF04575', NULL, 'Surface lipoprotein assembly modifier', 288, NULL, 'SlipAM', 41228),
(97503, 'PF07415', NULL, 'Gammaherpesvirus latent membrane protein (LMP2) protein', 497, NULL, 'Herpes_LMP2', 41229),
(97504, 'PF15884', NULL, 'MICOS complex subunit MIC13, QIL1', 77, NULL, 'QIL1', 41230),
(97505, 'PF18633', NULL, 'Zinc-finger antiviral protein (ZAP) zinc finger domain 3', 28, NULL, 'zf-CCCH_8', 41231),
(97506, 'PF14171', NULL, 'Toxin SpoIISA, type II toxin-antitoxin system', 243, NULL, 'SpoIISA_toxin', 41232),
(97507, 'PF18142', NULL, 'SMODS and SLOG-associating 2TM effector domain', 120, NULL, 'SLATT_fungal', 41233),
(97508, 'PF14795', NULL, 'Leucine-tRNA synthetase-specific domain', 56, NULL, 'Leucyl-specific', 41234),
(97509, 'PF16151', NULL, 'Domain of unknown function (DUF4859)', 120, NULL, 'DUF4859', 41235),
(97510, 'PF15643', NULL, 'Papain fold toxin 2', 102, NULL, 'Tox-PL-2', 41236),
(97511, 'PF00977', NULL, 'Histidine biosynthesis protein', 228, NULL, 'His_biosynth', 41237),
(97512, 'PF09821', NULL, 'C-terminal AAA-associated domain', 119, NULL, 'AAA_assoc_C', 41238),
(97513, 'PF11725', NULL, 'AvrE-family Type-III effector proteins (T3Es)', 1778, NULL, 'AvrE_T3Es', 41239),
(97514, 'PF00852', NULL, 'Glycosyltransferase family 10 (fucosyltransferase) C-term', 180, NULL, 'Glyco_transf_10', 41240),
(97515, 'PF03973', NULL, 'Triabin', 148, NULL, 'Triabin', 41241),
(97516, 'PF14606', NULL, 'GDSL-like Lipase/Acylhydrolase family', 181, NULL, 'Lipase_GDSL_3', 41242),
(97517, 'PF04390', NULL, 'Lipopolysaccharide-assembly', 108, NULL, 'LptE', 41243),
(97518, 'PF05428', NULL, 'Corticotropin-releasing factor binding protein (CRF-BP)', 307, NULL, 'CRF-BP', 41244),
(97519, 'PF17560', NULL, 'Aphid Megourins', 63, NULL, 'Megourin', 41245),
(97520, 'PF10982', NULL, 'Protein of unknown function (DUF2789)', 75, NULL, 'DUF2789', 41246),
(97521, 'PF01070', NULL, 'FMN-dependent dehydrogenase', 348, NULL, 'FMN_dh', 41247),
(97522, 'PF13457', NULL, 'GW (Gly-Tryp) dipeptide domain', 76, NULL, 'GW', 41248),
(97523, 'PF18627', NULL, 'Peptidoglycan GlcNAc deacetylase N-terminal domain', 218, NULL, 'PgdA_N', 41249),
(97524, 'PF15644', NULL, 'Papain fold toxin 1, glutamine deamidase', 114, NULL, 'Gln_amidase', 41250),
(97525, 'PF03760', NULL, 'Late embryogenesis abundant (LEA) group 1', 71, NULL, 'LEA_1', 41251),
(97526, 'PF15352', NULL, 'Susceptibility to monomelic amyotrophy', 982, NULL, 'K1377', 41252),
(97527, 'PF06473', NULL, 'FGF binding protein 1 (FGF-BP1)', 229, NULL, 'FGF-BP1', 41253),
(97528, 'PF05082', NULL, 'Rop-like', 64, NULL, 'Rop-like', 41254),
(97529, 'PF07122', NULL, 'Variable length PCR target protein (VLPT)', 30, NULL, 'VLPT', 41255),
(97530, 'PF03128', NULL, 'CXCXC repeat', 13, NULL, 'CXCXC', 41256),
(97531, 'PF09972', NULL, 'Predicted membrane protein (DUF2207)', 483, NULL, 'DUF2207', 41257),
(97532, 'PF12676', NULL, 'Protein of unknown function (DUF3796)', 120, NULL, 'DUF3796', 41258),
(97533, 'PF04722', NULL, 'Ssu72-like protein', 191, NULL, 'Ssu72', 41259),
(97534, 'PF19376', NULL, 'Family of unknown function (DUF5951)', 59, NULL, 'DUF5951', 41260),
(97535, 'PF16978', NULL, 'SAPK-interacting protein 1 (Sin1), middle CRIM domain', 140, NULL, 'CRIM', 41261),
(97536, 'PF04905', NULL, 'NAB conserved region 2 (NCD2)', 125, NULL, 'NCD2', 41262),
(97537, 'PF10460', NULL, 'Peptidase M30', 369, NULL, 'Peptidase_M30', 41263),
(97538, 'PF11144', NULL, 'Protein of unknown function (DUF2920)', 394, NULL, 'DUF2920', 41264),
(97539, 'PF00708', NULL, 'Acylphosphatase', 85, NULL, 'Acylphosphatase', 41265),
(97540, 'PF02402', NULL, 'Lysis protein', 49, NULL, 'Lysis_col', 41266),
(97541, 'PF00358', NULL, 'phosphoenolpyruvate-dependent sugar phosphotransferase system, EIIA 1', 127, NULL, 'PTS_EIIA_1', 41267),
(97542, 'PF02601', NULL, 'Exonuclease VII, large subunit', 305, NULL, 'Exonuc_VII_L', 41268),
(97543, 'PF08731', NULL, 'Transcription factor AFT', 111, NULL, 'AFT', 41269),
(97544, 'PF02478', NULL, 'Pneumovirus phosphoprotein', 286, NULL, 'Pneumo_phosprot', 41270);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(97545, 'PF07704', NULL, 'Rv0623-like transcription factor', 82, NULL, 'PSK_trans_fac', 41271),
(97546, 'PF08061', NULL, 'P68HR (NUC004) repeat', 35, NULL, 'P68HR', 41272),
(97547, 'PF07495', NULL, 'Y_Y_Y domain', 66, NULL, 'Y_Y_Y', 41273),
(97548, 'PF16790', NULL, 'Bacteriophage clamp loader A subunit', 137, NULL, 'Phage_clamp_A', 41274),
(97549, 'PF15064', NULL, 'Cation channel sperm-associated protein subunit gamma', 971, NULL, 'CATSPERG', 41275),
(97550, 'PF08522', NULL, 'Domain of unknown function (DUF1735)', 123, NULL, 'DUF1735', 41276),
(97551, 'PF06992', NULL, 'Replication protein P', 162, NULL, 'Phage_lambda_P', 41277),
(97552, 'PF04449', NULL, 'CS1 type fimbrial major subunit', 134, NULL, 'Fimbrial_CS1', 41278),
(97553, 'PF17036', NULL, 'Cellulose biosynthesis protein BcsS', 145, NULL, 'CBP_BcsS', 41279),
(97554, 'PF18345', NULL, 'Zinc finger domain', 19, NULL, 'zf_CCCH_4', 41280),
(97555, 'PF00033', NULL, 'Cytochrome b/b6/petB', 189, NULL, 'Cytochrome_B', 41281),
(97556, 'PF12346', NULL, 'Holliday junction recognition protein-associated repeat', 115, NULL, 'HJURP_mid', 41282),
(97557, 'PF13464', NULL, 'Domain of unknown function (DUF4115)', 74, NULL, 'DUF4115', 41283),
(97558, 'PF16636', NULL, 'Unstructured region on APC between APC_crr regions 5 and 6', 81, NULL, 'APC_u15', 41284),
(97559, 'PF08804', NULL, 'gp32 DNA binding protein like', 208, NULL, 'gp32', 41285),
(97560, 'PF08569', NULL, 'Mo25-like', 332, NULL, 'Mo25', 41286),
(97561, 'PF01729', NULL, 'Quinolinate phosphoribosyl transferase, C-terminal domain', 169, NULL, 'QRPTase_C', 41287),
(97562, 'PF13152', NULL, 'Protein of unknown function (DUF3967)', 33, NULL, 'DUF3967', 41288),
(97563, 'PF16195', NULL, 'SUMO-activating enzyme subunit 2 C-terminus', 95, NULL, 'UBA2_C', 41289),
(97564, 'PF03699', NULL, 'Uncharacterised protein family (UPF0182)', 758, NULL, 'UPF0182', 41290),
(97565, 'PF10790', NULL, 'Protein of Unknown function (DUF2604)', 76, NULL, 'DUF2604', 41291),
(97566, 'PF16697', NULL, 'Inner membrane component of T3SS, cytoplasmic domain', 94, NULL, 'Yop-YscD_cpl', 41292),
(97567, 'PF11155', NULL, 'Domain of unknown function (DUF2935)', 121, NULL, 'DUF2935', 41293),
(97568, 'PF05946', NULL, 'Toxin-coregulated pilus subunit TcpA', 130, NULL, 'TcpA', 41294),
(97569, 'PF03243', NULL, 'Alkylmercury lyase', 126, NULL, 'MerB', 41295),
(97570, 'PF04319', NULL, 'NifZ domain', 73, NULL, 'NifZ', 41296),
(97571, 'PF14882', NULL, 'Phage-integrase repeat unit', 55, NULL, 'PHINT_rpt', 41297),
(97572, 'PF04241', NULL, 'Protein of unknown function (DUF423)', 86, NULL, 'DUF423', 41298),
(97573, 'PF03990', NULL, 'G5-linked-Ubiquitin-like domain', 41, NULL, 'DUF348', 41299),
(97574, 'PF09138', NULL, 'Urm1 (Ubiquitin related modifier)', 96, NULL, 'Urm1', 41300),
(97575, 'PF08449', NULL, 'UAA transporter family', 302, NULL, 'UAA', 41301),
(97576, 'PF01381', NULL, 'Helix-turn-helix', 55, NULL, 'HTH_3', 41302),
(97577, 'PF07014', NULL, 'Hs1pro-1 protein C-terminus', 261, NULL, 'Hs1pro-1_C', 41303),
(97578, 'PF13985', NULL, 'YbgS-like protein', 120, NULL, 'YbgS', 41304),
(97579, 'PF05927', NULL, 'Penaeidin', 73, NULL, 'Penaeidin', 41305),
(97580, 'PF08263', NULL, 'Leucine rich repeat N-terminal domain', 41, NULL, 'LRRNT_2', 41306),
(97581, 'PF15309', NULL, 'ALMS motif', 136, NULL, 'ALMS_motif', 41307),
(97582, 'PF19868', NULL, 'Family of unknown function (DUF6341)', 50, NULL, 'DUF6341', 41308),
(97583, 'PF15459', NULL, '60S ribosome biogenesis protein Rrp14', 62, NULL, 'RRP14', 41309),
(97584, 'PF18824', NULL, 'Large polyvalent protein-associated domain 11', 69, NULL, 'LPD11', 41310),
(97585, 'PF08517', NULL, 'Ataxin-1 and HBP1 module (AXH)', 112, NULL, 'AXH', 41311),
(97586, 'PF11470', NULL, 'TUG ubiquitin-like domain', 65, NULL, 'TUG-UBL1', 41312),
(97587, 'PF05495', NULL, 'CHY zinc finger', 75, NULL, 'zf-CHY', 41313),
(97588, 'PF19694', NULL, 'Family of unknown function (DUF6194)', 156, NULL, 'DUF6194', 41314),
(97589, 'PF09080', NULL, 'K cyclin, C terminal', 106, NULL, 'K-cyclin_vir_C', 41315),
(97590, 'PF13303', NULL, 'Phosphotransferase system, EIIC', 331, NULL, 'PTS_EIIC_2', 41316);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(97591, 'PF18847', NULL, 'Large polyvalent protein associated domain 29', 94, NULL, 'LPD29', 41317),
(97592, 'PF12638', NULL, 'Staygreen protein', 148, NULL, 'Staygreen', 41318),
(97593, 'PF08489', NULL, 'Domain of unknown function (DUF1743)', 116, NULL, 'DUF1743', 41319),
(97594, 'PF10340', NULL, 'Steryl acetyl hydrolase', 374, NULL, 'Say1_Mug180', 41320),
(97595, 'PF04517', NULL, 'Microvirus lysis protein (E), C terminus', 42, NULL, 'Microvir_lysis', 41321),
(97596, 'PF14322', NULL, 'Starch-binding associating with outer membrane', 190, NULL, 'SusD-like_3', 41322),
(97597, 'PF00007', NULL, 'Cystine-knot domain', 105, NULL, 'Cys_knot', 41323),
(97598, 'PF17357', NULL, 'Facilitor Of iron transport 1 and 2', 86, NULL, 'FIT1_2', 41324),
(97599, 'PF08113', NULL, 'Cytochrome c oxidase subunit IIa family', 33, NULL, 'CoxIIa', 41325),
(97600, 'PF05435', NULL, 'Phi-29 DNA terminal protein GP3', 265, NULL, 'Phi-29_GP3', 41326),
(97601, 'PF05987', NULL, 'Bacterial protein of unknown function (DUF898)', 343, NULL, 'DUF898', 41327),
(97602, 'PF17511', NULL, 'Mobilization protein B', 136, NULL, 'Mobilization_B', 41328),
(97603, 'PF03629', NULL, 'Carbohydrate esterase, sialic acid-specific acetylesterase', 226, NULL, 'SASA', 41329),
(97604, 'PF03482', NULL, 'sic protein repeat', 30, NULL, 'SIC', 41330),
(97605, 'PF06258', NULL, 'Mitochondrial fission ELM1', 309, NULL, 'Mito_fiss_Elm1', 41331),
(97606, 'PF05241', NULL, 'EXPERA (EXPanded EBP superfamily)', 115, NULL, 'EBP', 41332),
(97607, 'PF19902', NULL, 'Family of unknown function (DUF6375)', 134, NULL, 'DUF6375', 41333),
(97608, 'PF17096', NULL, 'Altered inheritance of mitochondria protein 3', 88, NULL, 'AIM3', 41334),
(97609, 'PF18164', NULL, 'GNAT-like C-terminal domain', 153, NULL, 'GNAT_C', 41335),
(97610, 'PF18521', NULL, 'Transactivation domain 2', 25, NULL, 'TAD2', 41336),
(97611, 'PF15335', NULL, 'Caspase activity and apoptosis inhibitor 1', 63, NULL, 'CAAP1', 41337),
(97612, 'PF08083', NULL, 'PROCN (NUC071) domain', 407, NULL, 'PROCN', 41338),
(97613, 'PF13134', NULL, 'Protein of unknown function (DUF3948)', 35, NULL, 'DUF3948', 41339),
(97614, 'PF15749', NULL, 'MRN-interacting protein', 109, NULL, 'MRNIP', 41340),
(97615, 'PF20111', NULL, 'Family of unknown function (DUF6501)', 67, NULL, 'DUF6501', 41341),
(97616, 'PF04000', NULL, 'Sas10/Utp3/C1D family', 86, NULL, 'Sas10_Utp3', 41342),
(97617, 'PF11010', NULL, 'Protein of unknown function (DUF2848)', 194, NULL, 'DUF2848', 41343),
(97618, 'PF05812', NULL, 'Herpesvirus BLRF2 protein', 119, NULL, 'Herpes_BLRF2', 41344),
(97619, 'PF19408', NULL, 'PKD-like domain', 85, NULL, 'PKD_6', 41345),
(97620, 'PF13027', NULL, 'Protein of unknown function (DUF3888)', 88, NULL, 'DUF3888', 41346),
(97621, 'PF11974', NULL, 'Bacterial alpha-2-macroglobulin MG3 domain', 103, NULL, 'bMG3', 41347),
(97622, 'PF12036', NULL, 'Protein of unknown function (DUF3522)', 187, NULL, 'DUF3522', 41348),
(97623, 'PF15487', NULL, 'FAM220 family', 276, NULL, 'FAM220', 41349),
(97624, 'PF01833', NULL, 'IPT/TIG domain', 85, NULL, 'TIG', 41350),
(97625, 'PF00768', NULL, 'D-alanyl-D-alanine carboxypeptidase', 239, NULL, 'Peptidase_S11', 41351),
(97626, 'PF02960', NULL, 'K1 glycoprotein', 120, NULL, 'K1', 41352),
(97627, 'PF18041', NULL, 'MapZ extracellular domain 1', 129, NULL, 'MapZ_EC1', 41353),
(97628, 'PF01055', NULL, 'Glycosyl hydrolases family 31', 444, NULL, 'Glyco_hydro_31', 41354),
(97629, 'PF10182', NULL, 'Flo11 domain', 150, NULL, 'Flo11', 41355),
(97630, 'PF12616', NULL, 'Protein of unknown function (DUF3775)', 73, NULL, 'DUF3775', 41356),
(97631, 'PF12603', NULL, 'Protein of unknown function (DUF3770)', 235, NULL, 'DUF3770', 41357),
(97632, 'PF13269', NULL, 'Protein of unknown function (DUF4060)', 74, NULL, 'DUF4060', 41358),
(97633, 'PF13997', NULL, 'YqjK-like protein', 73, NULL, 'YqjK', 41359),
(97634, 'PF00113', NULL, 'Enolase, C-terminal TIM barrel domain', 296, NULL, 'Enolase_C', 41360),
(97635, 'PF01653', NULL, 'NAD-dependent DNA ligase adenylation domain', 319, NULL, 'DNA_ligase_aden', 41361),
(97636, 'PF07843', NULL, 'Protein of unknown function (DUF1634)', 102, NULL, 'DUF1634', 41362);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(97637, 'PF04639', NULL, 'Baculoviral E56 protein, specific to ODV envelope', 293, NULL, 'Baculo_E56', 41363),
(97638, 'PF16499', NULL, 'Alpha galactosidase A', 284, NULL, 'Melibiase_2', 41364),
(97639, 'PF18263', NULL, 'MCM6 C-terminal winged-helix domain', 108, NULL, 'MCM6_C', 41365),
(97640, 'PF06133', NULL, 'Control of competence regulator ComK, YlbF/YmcA', 105, NULL, 'Com_YlbF', 41366),
(97641, 'PF00318', NULL, 'Ribosomal protein S2', 215, NULL, 'Ribosomal_S2', 41367),
(97642, 'PF09482', NULL, 'Bacterial type III secretion apparatus protein (OrgA_MxiK)', 181, NULL, 'OrgA_MxiK', 41368),
(97643, 'PF12382', NULL, 'Retrotransposon peptidase', 137, NULL, 'Peptidase_A2_2', 41369),
(97644, 'PF12648', NULL, 'TcpE family', 100, NULL, 'TcpE', 41370),
(97645, 'PF19496', NULL, 'Family of unknown function (DUF6031)', 175, NULL, 'DUF6031', 41371),
(97646, 'PF02437', NULL, 'SKI/SNO/DAC family', 108, NULL, 'Ski_Sno', 41372),
(97647, 'PF11544', NULL, 'Spindle pole body component Spc42p', 75, NULL, 'Spc42p', 41373),
(97648, 'PF02485', NULL, 'Core-2/I-Branching enzyme', 247, NULL, 'Branch', 41374),
(97649, 'PF08849', NULL, 'Putative inner membrane protein (DUF1819)', 184, NULL, 'DUF1819', 41375),
(97650, 'PF15725', NULL, 'Renal cancer differentiation gene 1 protein', 83, NULL, 'RCDG1', 41376),
(97651, 'PF06634', NULL, 'Protein of unknown function (DUF1156)', 72, NULL, 'DUF1156', 41377),
(97652, 'PF11679', NULL, 'Protein of unknown function (DUF3275)', 207, NULL, 'DUF3275', 41378),
(97653, 'PF15033', NULL, 'Kinocilin protein', 123, NULL, 'Kinocilin', 41379),
(97654, 'PF17771', NULL, 'ADAM cysteine-rich domain', 70, NULL, 'ADAM_CR_2', 41380),
(97655, 'PF20028', NULL, 'vWA-MoxR associated protein C-terminal domain', 228, NULL, 'VMAP-C', 41381),
(97656, 'PF13648', NULL, 'Lipocalin-like domain', 89, NULL, 'Lipocalin_4', 41382),
(97657, 'PF18529', NULL, 'Mitochondrial membrane-anchored proteins', 152, NULL, 'MIX', 41383),
(97658, 'PF09848', NULL, 'Uncharacterized conserved protein (DUF2075)', 364, NULL, 'DUF2075', 41384),
(97659, 'PF03349', NULL, 'Outer membrane protein transport protein (OMPP1/FadL/TodX)', 431, NULL, 'Toluene_X', 41385),
(97660, 'PF18208', NULL, 'Nicking enzyme C-terminal middle helical domain', 109, NULL, 'NES_C_h', 41386),
(97661, 'PF06068', NULL, 'TIP49 P-loop domain', 351, NULL, 'TIP49', 41387),
(97662, 'PF19317', NULL, 'Gag protein p24 C-terminal domain', 74, NULL, 'Gag_p24_C', 41388),
(97663, 'PF13154', NULL, 'Protein of unknown function (DUF3991)', 76, NULL, 'DUF3991', 41389),
(97664, 'PF14849', NULL, 'YidC periplasmic domain', 283, NULL, 'YidC_periplas', 41390),
(97665, 'PF12859', NULL, 'Anaphase-promoting complex subunit 1', 130, NULL, 'ANAPC1', 41391),
(97666, 'PF04772', NULL, 'Influenza B matrix protein 2 (BM2)', 109, NULL, 'Flu_B_M2', 41392),
(97667, 'PF09093', NULL, 'Lyase, catalytic', 361, NULL, 'Lyase_catalyt', 41393),
(97668, 'PF05750', NULL, 'Rubella capsid protein', 300, NULL, 'Rubella_Capsid', 41394),
(97669, 'PF14883', NULL, 'Hypothetical glycosyl hydrolase family 13', 325, NULL, 'GHL13', 41395),
(97670, 'PF17826', NULL, 'Family of unknown function (DUF5588)', 362, NULL, 'DUF5588', 41396),
(97671, 'PF11651', NULL, 'P22 coat protein - gene protein 5', 419, NULL, 'P22_CoatProtein', 41397),
(97672, 'PF12126', NULL, 'Protein of unknown function (DUF3583)', 329, NULL, 'DUF3583', 41398),
(97673, 'PF18887', NULL, 'MBG domain', 72, NULL, 'MBG_3', 41399),
(97674, 'PF07588', NULL, 'Protein of unknown function (DUF1554)', 135, NULL, 'DUF1554', 41400),
(97675, 'PF13305', NULL, 'Tetracyclin repressor-like, C-terminal domain', 104, NULL, 'TetR_C_33', 41401),
(97676, 'PF02239', NULL, 'Cytochrome D1 heme domain', 368, NULL, 'Cytochrom_D1', 41402),
(97677, 'PF04546', NULL, 'Sigma-70, non-essential region', 205, NULL, 'Sigma70_ner', 41403),
(97678, 'PF01726', NULL, 'LexA DNA binding domain', 65, NULL, 'LexA_DNA_bind', 41404),
(97679, 'PF06744', NULL, 'Type VI secretion protein IcmF C2-like domain', 107, NULL, 'IcmF_C', 41405),
(97680, 'PF13340', NULL, 'Putative transposase of IS4/5 family (DUF4096)', 75, NULL, 'DUF4096', 41406);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(97681, 'PF07743', NULL, 'HSCB C-terminal oligomerisation domain', 75, NULL, 'HSCB_C', 41407),
(97682, 'PF16870', NULL, '2-oxoglutarate dehydrogenase C-terminal', 152, NULL, 'OxoGdeHyase_C', 41408),
(97683, 'PF07780', NULL, 'Spb1 C-terminal domain', 219, NULL, 'Spb1_C', 41409),
(97684, 'PF13930', NULL, 'DNA/RNA non-specific endonuclease', 132, NULL, 'Endonuclea_NS_2', 41410),
(97685, 'PF02380', NULL, 'T-antigen specific domain', 93, NULL, 'Papo_T_antigen', 41411),
(97686, 'PF09599', NULL, 'Salmonella-Shigella invasin protein C (IpaC_SipC)', 334, NULL, 'IpaC_SipC', 41412),
(97687, 'PF10437', NULL, 'Bacterial lipoate protein ligase C-terminus', 85, NULL, 'Lip_prot_lig_C', 41413),
(97688, 'PF10496', NULL, 'SNARE-complex protein Syntaxin-18 N-terminus', 87, NULL, 'Syntaxin-18_N', 41414),
(97689, 'PF06529', NULL, 'Vertebrate interleukin-3 regulated transcription factor', 332, NULL, 'Vert_IL3-reg_TF', 41415),
(97690, 'PF14152', NULL, 'YfhE-like protein', 36, NULL, 'YfhE', 41416),
(97691, 'PF09183', NULL, 'Domain of unknown function (DUF1947)', 66, NULL, 'DUF1947', 41417),
(97692, 'PF17201', NULL, 'Cache 3/Cache 2 fusion domain', 298, NULL, 'Cache_3-Cache_2', 41418),
(97693, 'PF05256', NULL, 'Uncharacterised protein family (UPF0223)', 86, NULL, 'UPF0223', 41419),
(97694, 'PF17653', NULL, 'Family of unknown function (DUF5522)', 48, NULL, 'DUF5522', 41420),
(97695, 'PF16728', NULL, 'Domain of unknown function (DUF5066)', 222, NULL, 'DUF5066', 41421),
(97696, 'PF13935', NULL, 'Ead/Ea22-like protein', 139, NULL, 'Ead_Ea22', 41422),
(97697, 'PF09336', NULL, 'Vps4 C terminal oligomerisation domain', 61, NULL, 'Vps4_C', 41423),
(97698, 'PF09663', NULL, 'Amidohydrolase ring-opening protein (Amido_AtzD_TrzD)', 360, NULL, 'Amido_AtzD_TrzD', 41424),
(97699, 'PF11301', NULL, 'Protein of unknown function (DUF3103)', 351, NULL, 'DUF3103', 41425),
(97700, 'PF08381', NULL, 'Transcription factor regulating root and shoot growth via Pin3', 56, NULL, 'BRX', 41426),
(97701, 'PF09322', NULL, 'Domain of unknown function (DUF1979)', 58, NULL, 'DUF1979', 41427),
(97702, 'PF10546', NULL, 'P63C domain', 93, NULL, 'P63C', 41428),
(97703, 'PF00687', NULL, 'Ribosomal protein L1p/L10e family', 204, NULL, 'Ribosomal_L1', 41429),
(97704, 'PF03165', NULL, 'MH1 domain', 103, NULL, 'MH1', 41430),
(97705, 'PF07575', NULL, 'Nup85 Nucleoporin', 568, NULL, 'Nucleopor_Nup85', 41431),
(97706, 'PF08548', NULL, 'Peptidase M10 serralysin C terminal', 193, NULL, 'Peptidase_M10_C', 41432),
(97707, 'PF17890', NULL, 'Peptidoglycan hydrolase LytB WW-like domain', 53, NULL, 'WW_like', 41433),
(97708, 'PF00570', NULL, 'HRDC domain', 68, NULL, 'HRDC', 41434),
(97709, 'PF14409', NULL, 'Ribosomally synthesized peptide in Herpetosiphon', 56, NULL, 'Herpeto_peptide', 41435),
(97710, 'PF11605', NULL, 'Vacuolar protein sorting protein 36 Vps36', 92, NULL, 'Vps36_ESCRT-II', 41436),
(97711, 'PF03989', NULL, 'DNA gyrase C-terminal domain, beta-propeller', 48, NULL, 'DNA_gyraseA_C', 41437),
(97712, 'PF09657', NULL, 'CRISPR-associated protein Csx8 (Cas_Csx8)', 489, NULL, 'Cas_Csx8', 41438),
(97713, 'PF19723', NULL, 'Family of unknown function (DUF6216)', 269, NULL, 'DUF6216', 41439),
(97714, 'PF12681', NULL, 'Glyoxalase-like domain', 118, NULL, 'Glyoxalase_2', 41440),
(97715, 'PF08164', NULL, 'Apoptosis-antagonizing transcription factor, C-terminal', 83, NULL, 'TRAUB', 41441),
(97716, 'PF19939', NULL, 'Family of unknown function (DUF6401)', 77, NULL, 'DUF6401', 41442),
(97717, 'PF03300', NULL, 'Tenuivirus non-structural, movement protein NS4', 282, NULL, 'Tenui_NS4', 41443),
(97718, 'PF10934', NULL, 'Protein of unknown function (DUF2634)', 105, NULL, 'DUF2634', 41444),
(97719, 'PF10657', NULL, 'Photosystem P840 reaction centre protein PscD', 144, NULL, 'RC-P840_PscD', 41445),
(97720, 'PF12943', NULL, 'Protein of unknown function (DUF3839)', 242, NULL, 'DUF3839', 41446),
(97721, 'PF00930', NULL, 'Dipeptidyl peptidase IV (DPP IV) N-terminal region', 355, NULL, 'DPPIV_N', 41447),
(97722, 'PF06333', NULL, 'Mediator complex subunit 13 C-terminal domain', 330, NULL, 'Med13_C', 41448);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(97723, 'PF07234', NULL, 'Movement and RNA silencing protein', 117, NULL, 'Babuvirus_MP', 41449),
(97724, 'PF17920', NULL, 'Tetracyclin repressor-like, C-terminal domain', 107, NULL, 'TetR_C_16', 41450),
(97725, 'PF17718', NULL, 'Family of unknown function (DUF5563)', 192, NULL, 'DUF5563', 41451),
(97726, 'PF06753', NULL, 'Bradykinin', 19, NULL, 'Bradykinin', 41452),
(97727, 'PF14467', NULL, 'Domain of unknown function (DUF4426)', 121, NULL, 'DUF4426', 41453),
(97728, 'PF01517', NULL, 'Hepatitis delta virus delta antigen', 179, NULL, 'HDV_ag', 41454),
(97729, 'PF06756', NULL, 'Chorion protein S19 C-terminal', 72, NULL, 'S19', 41455),
(97730, 'PF12196', NULL, 'FHA Ki67 binding domain of hNIFK', 40, NULL, 'hNIFK_binding', 41456),
(97731, 'PF00503', NULL, 'G-protein alpha subunit', 354, NULL, 'G-alpha', 41457),
(97732, 'PF10718', NULL, 'Hypothetical chloroplast protein Ycf34', 77, NULL, 'Ycf34', 41458),
(97733, 'PF18184', NULL, 'SMODS and SLOG-associating 2TM effector domain 3', 156, NULL, 'SLATT_3', 41459),
(97734, 'PF19454', NULL, 'Family of unknown function (DUF5992)', 106, NULL, 'DUF5992', 41460),
(97735, 'PF00919', NULL, 'Uncharacterized protein family UPF0004', 98, NULL, 'UPF0004', 41461),
(97736, 'PF05385', NULL, 'Mastadenovirus early E4 13 kDa protein', 108, NULL, 'Adeno_E4', 41462),
(97737, 'PF12532', NULL, 'Protein of unknown function (DUF3732)', 187, NULL, 'DUF3732', 41463),
(97738, 'PF08000', NULL, 'Bacterial PH domain', 123, NULL, 'bPH_1', 41464),
(97739, 'PF17077', NULL, 'Mitotic spindle associated protein SHE1', 331, NULL, 'Msap1', 41465),
(97740, 'PF13883', NULL, 'Pyridoxamine 5''-phosphate oxidase', 170, NULL, 'Pyrid_oxidase_2', 41466),
(97741, 'PF01913', NULL, 'Formylmethanofuran-tetrahydromethanopterin formyltransferase', 142, NULL, 'FTR', 41467),
(97742, 'PF11392', NULL, 'Protein of unknown function (DUF2877)', 109, NULL, 'DUF2877', 41468),
(97743, 'PF19434', NULL, 'Dynamin-like GTPase OPA1 C-terminal', 482, NULL, 'OPA1_C', 41469),
(97744, 'PF16240', NULL, 'Domain of unknown function (DUF4899)', 283, NULL, 'DUF4899', 41470),
(97745, 'PF10330', NULL, 'Putative Sin3 binding protein', 93, NULL, 'Stb3', 41471),
(97746, 'PF11435', NULL, 'RNA binding protein She2p', 201, NULL, 'She2p', 41472),
(97747, 'PF18000', NULL, 'Type 2 DNA topoisomerase 6 subunit B C-terminal domain', 112, NULL, 'Top6b_C', 41473),
(97748, 'PF02654', NULL, 'Cobalamin-5-phosphate synthase', 205, NULL, 'CobS', 41474),
(97749, 'PF09144', NULL, 'Yersinia pseudo-tuberculosis mitogen', 117, NULL, 'YpM', 41475),
(97750, 'PF02393', NULL, 'US22 like', 125, NULL, 'US22', 41476),
(97751, 'PF02324', NULL, 'Glycosyl hydrolase family 70', 823, NULL, 'Glyco_hydro_70', 41477),
(97752, 'PF19308', NULL, 'CRISPR Cas6 N-terminal domain', 148, NULL, 'CRISPR_Cas6_N', 41478),
(97753, 'PF14666', NULL, 'Rapamycin-insensitive companion of mTOR, middle domain', 104, NULL, 'RICTOR_M', 41479),
(97754, 'PF06180', NULL, 'Cobalt chelatase (CbiK)', 262, NULL, 'CbiK', 41480),
(97755, 'PF07263', NULL, 'Dentin matrix protein 1 (DMP1)', 520, NULL, 'DMP1', 41481),
(97756, 'PF07097', NULL, 'Protein of unknown function (DUF1359)', 102, NULL, 'DUF1359', 41482),
(97757, 'PF08767', NULL, 'CRM1 C terminal', 321, NULL, 'CRM1_C', 41483),
(97758, 'PF07645', NULL, 'Calcium-binding EGF domain', 42, NULL, 'EGF_CA', 41484),
(97759, 'PF10826', NULL, 'Protein of unknown function (DUF2551)', 83, NULL, 'DUF2551', 41485),
(97760, 'PF12719', NULL, 'Nuclear condensing complex subunits, C-term domain', 292, NULL, 'Cnd3', 41486),
(97761, 'PF11192', NULL, 'Protein of unknown function (DUF2977)', 61, NULL, 'DUF2977', 41487),
(97762, 'PF14919', NULL, 'MDM2-binding', 335, NULL, 'MTBP_mid', 41488),
(97763, 'PF00493', NULL, 'MCM P-loop domain', 224, NULL, 'MCM', 41489),
(97764, 'PF17751', NULL, 'SKICH domain', 103, NULL, 'SKICH', 41490),
(97765, 'PF15056', NULL, 'Neuritin protein family', 89, NULL, 'NRN1', 41491),
(97766, 'PF06792', NULL, 'Uncharacterised protein family (UPF0261)', 404, NULL, 'UPF0261', 41492),
(97767, 'PF00751', NULL, 'DM DNA binding domain', 47, NULL, 'DM', 41493);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(97768, 'PF10638', NULL, 'Spindle body associated protein C-terminus', 103, NULL, 'Sfi1_C', 41494),
(97769, 'PF08137', NULL, 'DVL family', 19, NULL, 'DVL', 41495),
(97770, 'PF11411', NULL, 'DNA ligase IV', 34, NULL, 'DNA_ligase_IV', 41496),
(97771, 'PF18947', NULL, 'HAMP domain', 67, NULL, 'HAMP_2', 41497),
(97772, 'PF06586', NULL, 'TraK protein', 233, NULL, 'TraK', 41498),
(97773, 'PF04021', NULL, 'Class III signal peptide', 27, NULL, 'Class_IIIsignal', 41499),
(97774, 'PF06693', NULL, 'Protein of unknown function (DUF1190)', 163, NULL, 'DUF1190', 41500),
(97775, 'PF07245', NULL, 'Phlebovirus glycoprotein G2 fusion domain', 325, NULL, 'Phlebovirus_G2', 41501),
(97776, 'PF09703', NULL, 'CRISPR-associated protein (Cas_Csa4)', 355, NULL, 'Cas_Csa4', 41502),
(97777, 'PF05297', NULL, 'Herpesvirus latent membrane protein 1 (LMP1)', 386, NULL, 'Herpes_LMP1', 41503),
(97778, 'PF18545', NULL, 'Halobacterial output domain 1', 75, NULL, 'HalOD1', 41504),
(97779, 'PF16487', NULL, 'Mid domain of argonaute', 84, NULL, 'ArgoMid', 41505),
(97780, 'PF02946', NULL, 'GTF2I-like repeat', 75, NULL, 'GTF2I', 41506),
(97781, 'PF00856', NULL, 'SET domain', 169, NULL, 'SET', 41507),
(97782, 'PF19168', NULL, 'Family of unknown function (DUF5850)', 160, NULL, 'DUF5850', 41508),
(97783, 'PF04034', NULL, 'Ribosome biogenesis protein, C-terminal', 127, NULL, 'Ribo_biogen_C', 41509),
(97784, 'PF04064', NULL, 'Domain of unknown function (DUF384)', 55, NULL, 'DUF384', 41510),
(97785, 'PF00793', NULL, 'DAHP synthetase I family', 275, NULL, 'DAHP_synth_1', 41511),
(97786, 'PF17765', NULL, 'MmyB-like transcription regulator ligand binding domain', 168, NULL, 'MLTR_LBD', 41512),
(97787, 'PF02002', NULL, 'TFIIE alpha subunit', 105, NULL, 'TFIIE_alpha', 41513),
(97788, 'PF16983', NULL, 'Molybdate transporter of MFS superfamily', 111, NULL, 'MFS_MOT1', 41514),
(97789, 'PF16687', NULL, 'beta-propeller of ELYS nucleoporin', 489, NULL, 'ELYS-bb', 41515),
(97790, 'PF00032', NULL, 'Cytochrome b(C-terminal)/b6/petD', 103, NULL, 'Cytochrom_B_C', 41516),
(97791, 'PF16295', NULL, 'Tetracyclin repressor-like, C-terminal domain', 132, NULL, 'TetR_C_10', 41517),
(97792, 'PF17280', NULL, 'Family of unknown function (DUF5345)', 77, NULL, 'DUF5345', 41518),
(97793, 'PF01283', NULL, 'Ribosomal protein S26e', 108, NULL, 'Ribosomal_S26e', 41519),
(97794, 'PF18880', NULL, 'Uracil-DNA glycosylase inhibitor', 82, NULL, 'UDI', 41520),
(97795, 'PF01105', NULL, 'emp24/gp25L/p24 family/GOLD', 182, NULL, 'EMP24_GP25L', 41521),
(97796, 'PF09225', NULL, 'Restriction endonuclease PvuII', 155, NULL, 'Endonuc-PvuII', 41522),
(97797, 'PF01397', NULL, 'Terpene synthase, N-terminal domain', 192, NULL, 'Terpene_synth', 41523),
(97798, 'PF14846', NULL, 'Domain of unknown function (DUF4485)', 84, NULL, 'DUF4485', 41524),
(97799, 'PF19008', NULL, 'Family of unknown function (DUF5737)', 99, NULL, 'DUF5737', 41525),
(97800, 'PF03024', NULL, 'Folate receptor family', 172, NULL, 'Folate_rec', 41526),
(97801, 'PF05123', NULL, 'S-layer like family, N-terminal region', 284, NULL, 'S_layer_N', 41527),
(97802, 'PF11701', NULL, 'Myosin-binding striated muscle assembly central', 153, NULL, 'UNC45-central', 41528),
(97803, 'PF20136', NULL, 'Family of unknown function (DUF6526)', 144, NULL, 'DUF6526', 41529),
(97804, 'PF02788', NULL, 'Ribulose bisphosphate carboxylase large chain, N-terminal domain', 120, NULL, 'RuBisCO_large_N', 41530),
(97805, 'PF12901', NULL, 'SUZ-C motif', 33, NULL, 'SUZ-C', 41531),
(97806, 'PF09874', NULL, 'Predicted membrane protein (DUF2101)', 206, NULL, 'DUF2101', 41532),
(97807, 'PF03064', NULL, 'HSV U79 / HCMV P34', 228, NULL, 'U79_P34', 41533),
(97808, 'PF19176', NULL, 'Family of unknown function (DUF5858)', 61, NULL, 'DUF5858', 41534),
(97809, 'PF09602', NULL, 'Polyhydroxyalkanoic acid inclusion protein (PhaP_Bmeg)', 168, NULL, 'PhaP_Bmeg', 41535),
(97810, 'PF01708', NULL, 'Geminivirus putative movement protein', 92, NULL, 'Gemini_mov', 41536),
(97811, 'PF19270', NULL, 'F-box only protein C-terminal region', 210, NULL, 'FBO_C', 41537),
(97812, 'PF10106', NULL, 'Uncharacterized protein conserved in bacteria (DUF2345)', 151, NULL, 'DUF2345', 41538);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(97813, 'PF09783', NULL, 'Vacuolar import and degradation protein', 162, NULL, 'Vac_ImportDeg', 41539),
(97814, 'PF07011', NULL, 'Early Flowering 4 domain', 83, NULL, 'Elf4', 41540),
(97815, 'PF01730', NULL, 'UreF', 133, NULL, 'UreF', 41541),
(97816, 'PF03801', NULL, 'HEC/Ndc80p family', 154, NULL, 'Ndc80_HEC', 41542),
(97817, 'PF11696', NULL, 'Protein of unknown function (DUF3292)', 650, NULL, 'DUF3292', 41543),
(97818, 'PF16960', NULL, 'Haemoglobin-haptoglobin utilisation, porphyrin transporter', 308, NULL, 'HpuA', 41544),
(97819, 'PF12245', NULL, 'Bacterial Ig-like domain', 125, NULL, 'Big_3_2', 41545),
(97820, 'PF02780', NULL, 'Transketolase, C-terminal domain', 124, NULL, 'Transketolase_C', 41546),
(97821, 'PF00636', NULL, 'Ribonuclease III domain', 105, NULL, 'Ribonuclease_3', 41547),
(97822, 'PF03695', NULL, 'Uncharacterised protein family (UPF0149)', 177, NULL, 'UPF0149', 41548),
(97823, 'PF01344', NULL, 'Kelch motif', 46, NULL, 'Kelch_1', 41549),
(97824, 'PF12084', NULL, 'Protein of unknown function (DUF3561)', 107, NULL, 'DUF3561', 41550),
(97825, 'PF07428', NULL, '15-O-acetyltransferase Tri3', 413, NULL, 'Tri3', 41551),
(97826, 'PF03777', NULL, 'ChpA-C', 57, NULL, 'ChpA-C', 41552),
(97827, 'PF17993', NULL, 'Haemagglutinin 70 C-terminal domain', 135, NULL, 'HA70_C', 41553),
(97828, 'PF19746', NULL, 'Family of unknown function (DUF6233)', 58, NULL, 'DUF6233', 41554),
(97829, 'PF13454', NULL, 'FAD-NAD(P)-binding', 155, NULL, 'NAD_binding_9', 41555),
(97830, 'PF11062', NULL, 'Protein of unknown function (DUF2863)', 398, NULL, 'DUF2863', 41556),
(97831, 'PF19781', NULL, 'Family of unknown function (DUF6266)', 198, NULL, 'DUF6266', 41557),
(97832, 'PF01078', NULL, 'Magnesium chelatase, subunit ChlI', 207, NULL, 'Mg_chelatase', 41558),
(97833, 'PF01035', NULL, '6-O-methylguanine DNA methyltransferase, DNA binding domain', 81, NULL, 'DNA_binding_1', 41559),
(97834, 'PF01073', NULL, '3-beta hydroxysteroid dehydrogenase/isomerase family', 280, NULL, '3Beta_HSD', 41560),
(97835, 'PF20086', NULL, 'Family of unknown function (DUF6478)', 257, NULL, 'DUF6478', 41561),
(97836, 'PF01123', NULL, 'Staphylococcal/Streptococcal toxin, OB-fold domain', 87, NULL, 'Stap_Strp_toxin', 41562),
(97837, 'PF20155', NULL, 'Tape measure protein', 192, NULL, 'TMP_3', 41563),
(97838, 'PF07639', NULL, 'YTV', 43, NULL, 'YTV', 41564),
(97839, 'PF09847', NULL, 'Membrane protein of 12 TMs', 449, NULL, '12TM_1', 41565),
(97840, 'PF07038', NULL, 'Protein of unknown function (DUF1324)', 59, NULL, 'DUF1324', 41566),
(97841, 'PF11309', NULL, 'Protein of unknown function (DUF3112)', 218, NULL, 'DUF3112', 41567),
(97842, 'PF13634', NULL, 'Nucleoporin FG repeat region', 93, NULL, 'Nucleoporin_FG', 41568),
(97843, 'PF11107', NULL, 'Fanconi anemia group F protein (FANCF)', 346, NULL, 'FANCF', 41569),
(97844, 'PF12062', NULL, 'heparan sulfate-N-deacetylase', 430, NULL, 'HSNSD', 41570),
(97845, 'PF09785', NULL, 'Prp31 C terminal domain', 124, NULL, 'Prp31_C', 41571),
(97846, 'PF10408', NULL, 'Ubiquitin elongating factor core', 628, NULL, 'Ufd2P_core', 41572),
(97847, 'PF01559', NULL, 'Zein seed storage protein', 245, NULL, 'Zein', 41573),
(97848, 'PF18231', NULL, 'Domain of unknown function (DUF5603)', 105, NULL, 'DUF5603', 41574),
(97849, 'PF03283', NULL, 'Pectinacetylesterase', 356, NULL, 'PAE', 41575),
(97850, 'PF03754', NULL, 'Domain of unknown function (DUF313)', 113, NULL, 'DUF313', 41576),
(97851, 'PF10122', NULL, 'Mu-like prophage protein Com', 52, NULL, 'Mu-like_Com', 41577),
(97852, 'PF08827', NULL, 'Domain of unknown function (DUF1805)', 64, NULL, 'DUF1805', 41578),
(97853, 'PF08245', NULL, 'Mur ligase middle domain', 200, NULL, 'Mur_ligase_M', 41579),
(97854, 'PF09963', NULL, 'Uncharacterized protein conserved in bacteria (DUF2197)', 56, NULL, 'DUF2197', 41580),
(97855, 'PF12488', NULL, 'Protein of unknown function (DUF3704)', 27, NULL, 'DUF3704', 41581),
(97856, 'PF18935', NULL, 'Family of unknown function (DUF5683)', 151, NULL, 'DUF5683', 41582),
(97857, 'PF02293', NULL, 'AmiS/UreI family transporter', 166, NULL, 'AmiS_UreI', 41583);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(97858, 'PF10547', NULL, 'P22_AR N-terminal domain', 114, NULL, 'P22_AR_N', 41584),
(97859, 'PF06032', NULL, 'Protein of unknown function (DUF917)', 351, NULL, 'DUF917', 41585),
(97860, 'PF05101', NULL, 'Type IV secretory pathway, VirB3-like protein', 84, NULL, 'VirB3', 41586),
(97861, 'PF06583', NULL, 'Neogenin C-terminus', 297, NULL, 'Neogenin_C', 41587),
(97862, 'PF01766', NULL, 'Birnavirus VP2 protein', 442, NULL, 'Birna_VP2', 41588),
(97863, 'PF16055', NULL, 'Domain of unknown function (DUF4798)', 100, NULL, 'DUF4798', 41589),
(97864, 'PF14004', NULL, 'Protein of unknown function (DUF4227)', 71, NULL, 'DUF4227', 41590),
(97865, 'PF05298', NULL, 'Bombinin', 141, NULL, 'Bombinin', 41591),
(97866, 'PF12100', NULL, 'Domain of unknown function (DUF3576)', 101, NULL, 'DUF3576', 41592),
(97867, 'PF02557', NULL, 'D-alanyl-D-alanine carboxypeptidase', 133, NULL, 'VanY', 41593),
(97868, 'PF06545', NULL, 'Protein of unknown function (DUF1116)', 215, NULL, 'DUF1116', 41594),
(97869, 'PF05095', NULL, 'Protein of unknown function (DUF687)', 537, NULL, 'DUF687', 41595),
(97870, 'PF13610', NULL, 'DDE domain', 139, NULL, 'DDE_Tnp_IS240', 41596),
(97871, 'PF13732', NULL, 'Domain of unknown function (DUF4162)', 81, NULL, 'DUF4162', 41597),
(97872, 'PF18716', NULL, 'Vms1-associating treble clef domain', 43, NULL, 'VATC', 41598),
(97873, 'PF05106', NULL, 'Phage holin family (Lysis protein S)', 99, NULL, 'Phage_holin_3_1', 41599),
(97874, 'PF19707', NULL, 'Family of unknown function (DUF6204)', 113, NULL, 'DUF6204', 41600),
(97875, 'PF16443', NULL, 'Domain of unknown function (DUF5040)', 227, NULL, 'DUF5040', 41601),
(97876, 'PF10006', NULL, 'Uncharacterized conserved protein (DUF2249)', 70, NULL, 'DUF2249', 41602),
(97877, 'PF10098', NULL, 'Uncharacterised protein conserved in bacteria (DUF2336)', 262, NULL, 'DUF2336', 41603),
(97878, 'PF06351', NULL, 'Allene oxide cyclase', 175, NULL, 'Allene_ox_cyc', 41604),
(97879, 'PF20036', NULL, 'Major capsid protein 13-like', 311, NULL, 'Gp13-like', 41605),
(97880, 'PF07032', NULL, 'Protein of unknown function (DUF1322)', 73, NULL, 'DUF1322', 41606),
(97881, 'PF11326', NULL, 'Protein of unknown function (DUF3128)', 79, NULL, 'DUF3128', 41607),
(97882, 'PF15418', NULL, 'Domain of unknown function (DUF4625)', 132, NULL, 'DUF4625', 41608),
(97883, 'PF10418', NULL, 'Iron-sulfur cluster binding domain of dihydroorotate dehydrogenase B', 42, NULL, 'DHODB_Fe-S_bind', 41609),
(97884, 'PF00747', NULL, 'ssDNA binding protein', 1132, NULL, 'Viral_DNA_bp', 41610),
(97885, 'PF08796', NULL, 'Protein of unknown function (DUF1797)', 67, NULL, 'DUF1797', 41611),
(97886, 'PF18540', NULL, 'Domain of unknown function (DUF5626)', 120, NULL, 'DUF5626', 41612),
(97887, 'PF04061', NULL, 'ORMDL family', 135, NULL, 'ORMDL', 41613),
(97888, 'PF14165', NULL, 'YtzH-like protein', 86, NULL, 'YtzH', 41614),
(97889, 'PF12296', NULL, 'Hydrophobic surface binding protein A', 121, NULL, 'HsbA', 41615),
(97890, 'PF04365', NULL, 'Ribonuclease toxin, BrnT, of type II toxin-antitoxin system', 78, NULL, 'BrnT_toxin', 41616),
(97891, 'PF13728', NULL, 'F plasmid transfer operon protein', 224, NULL, 'TraF', 41617),
(97892, 'PF16404', NULL, 'Domain of unknown function (DUF5012)', 125, NULL, 'DUF5012', 41618),
(97893, 'PF18082', NULL, 'N-acyltransferase N-terminal domain', 129, NULL, 'NAT_N', 41619),
(97894, 'PF19232', NULL, 'Family of unknown function (DUF5885)', 265, NULL, 'DUF5885', 41620),
(97895, 'PF12253', NULL, 'Chromatin assembly factor 1 subunit A', 75, NULL, 'CAF1A', 41621),
(97896, 'PF03987', NULL, 'Autophagocytosis associated protein, active-site domain', 207, NULL, 'Autophagy_act_C', 41622),
(97897, 'PF16610', NULL, 'Unstructured region between two PDZ domains on Dlg5', 81, NULL, 'dbPDZ_assoc', 41623),
(97898, 'PF00740', NULL, 'Parvovirus coat protein VP2', 542, NULL, 'Parvo_coat', 41624),
(97899, 'PF06663', NULL, 'Protein of unknown function (DUF1170)', 212, NULL, 'DUF1170', 41625),
(97900, 'PF16495', NULL, 'SWIRM-associated region 1', 84, NULL, 'SWIRM-assoc_1', 41626),
(97901, 'PF03798', NULL, 'TLC domain', 197, NULL, 'TRAM_LAG1_CLN8', 41627);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(97902, 'PF05409', NULL, 'Coronavirus endopeptidase C30', 288, NULL, 'Peptidase_C30', 41628),
(97903, 'PF15089', NULL, 'Domain of unknown function (DUF4552)', 425, NULL, 'DUF4552', 41629),
(97904, 'PF09253', NULL, 'Pollen allergen Ole e 6', 39, NULL, 'Ole_e_6', 41630),
(97905, 'PF17436', NULL, 'Family of unknown function (DUF5415)', 66, NULL, 'DUF5415', 41631),
(97906, 'PF02532', NULL, 'Photosystem II reaction centre I protein (PSII 4.8 kDa protein)', 36, NULL, 'PsbI', 41632),
(97907, 'PF09696', NULL, 'Ctf8', 144, NULL, 'Ctf8', 41633),
(97908, 'PF11391', NULL, 'Protein of unknown function (DUF2798)', 59, NULL, 'DUF2798', 41634),
(97909, 'PF01042', NULL, 'Endoribonuclease L-PSP', 121, NULL, 'Ribonuc_L-PSP', 41635),
(97910, 'PF18532', NULL, 'Domain of unknown function (DUF5621)', 139, NULL, 'DUF5621', 41636),
(97911, 'PF08161', NULL, 'NUC173 domain', 204, NULL, 'NUC173', 41637),
(97912, 'PF16989', NULL, 'Type VI secretion, EvfE, EvfF, ImpA, BimE, VC_A0119, VasJ', 257, NULL, 'T6SS_VasJ', 41638),
(97913, 'PF04987', NULL, 'Phosphatidylinositolglycan class N (PIG-N)', 453, NULL, 'PigN', 41639),
(97914, 'PF04147', NULL, 'Nop14-like family', 874, NULL, 'Nop14', 41640),
(97915, 'PF05398', NULL, 'PufQ cytochrome subunit', 74, NULL, 'PufQ', 41641),
(97916, 'PF08275', NULL, 'DNA primase catalytic core, N-terminal domain', 128, NULL, 'Toprim_N', 41642),
(97917, 'PF04698', NULL, 'Rab effector MyRIP/melanophilin C-terminus', 715, NULL, 'Rab_eff_C', 41643),
(97918, 'PF09159', NULL, 'Mitochondrial resolvase Ydc2 / RNA splicing MRS1', 280, NULL, 'Ydc2-catalyt', 41644),
(97919, 'PF02327', NULL, 'Bacteriochlorophyll A protein', 354, NULL, 'BChl_A', 41645),
(97920, 'PF05749', NULL, 'Rubella membrane glycoprotein E2', 267, NULL, 'Rubella_E2', 41646),
(97921, 'PF07669', NULL, 'Eco57I restriction-modification methylase', 106, NULL, 'Eco57I', 41647),
(97922, 'PF06346', NULL, 'Formin Homology Region 1', 154, NULL, 'Drf_FH1', 41648),
(97923, 'PF08996', NULL, 'DNA Polymerase alpha zinc finger', 186, NULL, 'zf-DNA_Pol', 41649),
(97924, 'PF09611', NULL, 'CRISPR-associated protein (Cas_Csy1)', 378, NULL, 'Cas_Csy1', 41650),
(97925, 'PF11378', NULL, 'Protein of unknown function (DUF3181)', 90, NULL, 'DUF3181', 41651),
(97926, 'PF14820', NULL, 'Small proline-rich 2', 68, NULL, 'SPRR2', 41652),
(97927, 'PF13988', NULL, 'Protein of unknown function (DUF4225)', 163, NULL, 'DUF4225', 41653),
(97928, 'PF05494', NULL, 'MlaC protein', 166, NULL, 'MlaC', 41654),
(97929, 'PF09818', NULL, 'Predicted ATPase of the ABC class', 448, NULL, 'ABC_ATPase', 41655),
(97930, 'PF16500', NULL, 'Cyclin-A N-terminal APC/C binding region', 117, NULL, 'Cyclin_N2', 41656),
(97931, 'PF18751', NULL, 'P-loop Nucleotide Kinase3', 184, NULL, 'Ploopntkinase3', 41657),
(97932, 'PF12127', NULL, 'SigmaW regulon antibacterial', 314, NULL, 'YdfA_immunity', 41658),
(97933, 'PF05614', NULL, 'Circovirus protein of unknown function (DUF782)', 104, NULL, 'DUF782', 41659),
(97934, 'PF08551', NULL, 'Eukaryotic integral membrane protein (DUF1751)', 99, NULL, 'DUF1751', 41660),
(97935, 'PF20161', NULL, 'VpsR domain', 121, NULL, 'VpsR', 41661),
(97936, 'PF02408', NULL, 'CUB-like domain', 120, NULL, 'CUB_2', 41662),
(97937, 'PF12241', NULL, 'Trans-2-enoyl-CoA reductase catalytic region', 236, NULL, 'Enoyl_reductase', 41663),
(97938, 'PF19205', NULL, 'Family of unknown function (DUF5877)', 611, NULL, 'DUF5877', 41664),
(97939, 'PF12147', NULL, 'Putative methyltransferase', 309, NULL, 'Methyltransf_20', 41665),
(97940, 'PF01034', NULL, 'Syndecan domain', 62, NULL, 'Syndecan', 41666),
(97941, 'PF04630', NULL, 'Phage tail tube protein', 199, NULL, 'Phage_TTP_1', 41667),
(97942, 'PF19601', NULL, 'Family of unknown function (DUF6106)', 173, NULL, 'DUF6106', 41668),
(97943, 'PF04950', NULL, '40S ribosome biogenesis protein Tsr1 and BMS1 C-terminal', 292, NULL, 'RIBIOP_C', 41669),
(97944, 'PF15981', NULL, 'Envelope glycoprotein GP 5 of equine arteritis virus', 80, NULL, 'EAV_GP5', 41670),
(97945, 'PF02144', NULL, 'Repair protein Rad1/Rec1/Rad17', 275, NULL, 'Rad1', 41671),
(97946, 'PF02955', NULL, 'Prokaryotic glutathione synthetase, ATP-grasp domain', 175, NULL, 'GSH-S_ATP', 41672);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(97947, 'PF17339', NULL, 'PH domain', 107, NULL, 'PH_15', 41673),
(97948, 'PF13456', NULL, 'Reverse transcriptase-like', 124, NULL, 'RVT_3', 41674),
(97949, 'PF00795', NULL, 'Carbon-nitrogen hydrolase', 261, NULL, 'CN_hydrolase', 41675),
(97950, 'PF16190', NULL, 'Ubiquitin-activating enzyme E1 FCCH domain', 70, NULL, 'E1_FCCH', 41676),
(97951, 'PF02895', NULL, 'Signal transducing histidine kinase, homodimeric domain', 69, NULL, 'H-kinase_dim', 41677),
(97952, 'PF16272', NULL, 'Domain of unknown function (DUF4925)', 324, NULL, 'DUF4925', 41678),
(97953, 'PF17961', NULL, 'Bacterial Ig domain', 102, NULL, 'Big_8', 41679),
(97954, 'PF14682', NULL, 'Sporulation initiation phospho-transferase B, C-terminal', 113, NULL, 'SPOB_ab', 41680),
(97955, 'PF12706', NULL, 'Beta-lactamase superfamily domain', 201, NULL, 'Lactamase_B_2', 41681),
(97956, 'PF17904', NULL, 'FMRP KH0 domain', 85, NULL, 'KH_9', 41682),
(97957, 'PF15125', NULL, 'TMEM238 protein family', 64, NULL, 'TMEM238', 41683),
(97958, 'PF17480', NULL, 'AlphaC N-terminal domain 2', 71, NULL, 'AlphaC_N2', 41684),
(97959, 'PF10818', NULL, 'Protein of unknown function (DUF2547)', 96, NULL, 'DUF2547', 41685),
(97960, 'PF11586', NULL, 'Protein of unknown function (DUF3242)', 126, NULL, 'DUF3242', 41686),
(97961, 'PF19700', NULL, 'Family of unknown function (DUF6198)', 217, NULL, 'DUF6198', 41687),
(97962, 'PF13237', NULL, '4Fe-4S dicluster domain', 56, NULL, 'Fer4_10', 41688),
(97963, 'PF00690', NULL, 'Cation transporter/ATPase, N-terminus', 69, NULL, 'Cation_ATPase_N', 41689),
(97964, 'PF06060', NULL, 'Pre-pro-megakaryocyte potentiating factor precursor (Mesothelin)', 624, NULL, 'Mesothelin', 41690),
(97965, 'PF14346', NULL, 'Domain of unknown function (DUF4398)', 78, NULL, 'DUF4398', 41691),
(97966, 'PF09369', NULL, 'Domain of unknown function (DUF1998)', 83, NULL, 'DUF1998', 41692),
(97967, 'PF05190', NULL, 'MutS family domain IV', 92, NULL, 'MutS_IV', 41693),
(97968, 'PF12790', NULL, 'Type VI secretion lipoprotein, VasD, EvfM, TssJ, VC_A0113', 120, NULL, 'T6SS-SciN', 41694),
(97969, 'PF16263', NULL, 'Domain of unknown function (DUF4917)', 310, NULL, 'DUF4917', 41695),
(97970, 'PF12252', NULL, 'SidE phosphodiesterase (PDE) domain', 233, NULL, 'SidE_PDE', 41696),
(97971, 'PF00186', NULL, 'Dihydrofolate reductase', 160, NULL, 'DHFR_1', 41697),
(97972, 'PF03742', NULL, 'PetN', 29, NULL, 'PetN', 41698),
(97973, 'PF14677', NULL, 'FANCI solenoid 3', 215, NULL, 'FANCI_S3', 41699),
(97974, 'PF14955', NULL, 'Mitochondrial ribosome subunit S24', 135, NULL, 'MRP-S24', 41700),
(97975, 'PF17284', NULL, 'Spermidine synthase tetramerisation domain', 53, NULL, 'Spermine_synt_N', 41701),
(97976, 'PF19932', NULL, 'Family of unknown function (DUF6395)', 174, NULL, 'DUF6395', 41702),
(97977, 'PF00502', NULL, 'Phycobilisome protein', 155, NULL, 'Phycobilisome', 41703),
(97978, 'PF00057', NULL, 'Low-density lipoprotein receptor domain class A', 37, NULL, 'Ldl_recept_a', 41704),
(97979, 'PF16874', NULL, 'Glycosyl hydrolase family 36 C-terminal domain', 77, NULL, 'Glyco_hydro_36C', 41705),
(97980, 'PF15861', NULL, 'Partial cleavage stimulation factor domain', 62, NULL, 'partial_CstF', 41706),
(97981, 'PF08392', NULL, 'FAE1/Type III polyketide synthase-like protein', 290, NULL, 'FAE1_CUT1_RppA', 41707),
(97982, 'PF07120', NULL, 'Protein of unknown function (DUF1376)', 87, NULL, 'DUF1376', 41708),
(97983, 'PF14034', NULL, 'Sporulation protein YtrH', 101, NULL, 'Spore_YtrH', 41709),
(97984, 'PF00630', NULL, 'Filamin/ABP280 repeat', 103, NULL, 'Filamin', 41710),
(97985, 'PF10771', NULL, 'Winged helix-turn-helix domain (DUF2582)', 65, NULL, 'DUF2582', 41711),
(97986, 'PF16767', NULL, 'Sensor domain of alginate biosynthesis sensor protein KinB', 122, NULL, 'KinB_sensor', 41712),
(97987, 'PF01328', NULL, 'Peroxidase, family 2', 187, NULL, 'Peroxidase_2', 41713),
(97988, 'PF17287', NULL, 'POTRA domain', 56, NULL, 'POTRA_3', 41714),
(97989, 'PF08979', NULL, 'Domain of unknown function (DUF1894)', 88, NULL, 'DUF1894', 41715),
(97990, 'PF05754', NULL, 'Domain of unknown function (DUF834)', 52, NULL, 'DUF834', 41716);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(97991, 'PF16325', NULL, 'Peptidase family U32 C-terminal domain', 82, NULL, 'Peptidase_U32_C', 41717),
(97992, 'PF00698', NULL, 'Acyl transferase domain', 319, NULL, 'Acyl_transf_1', 41718),
(97993, 'PF04199', NULL, 'Putative cyclase', 135, NULL, 'Cyclase', 41719),
(97994, 'PF04640', NULL, 'PLATZ transcription factor', 82, NULL, 'PLATZ', 41720),
(97995, 'PF18951', NULL, 'Family of unknown function (DUF5695)', 858, NULL, 'DUF5695', 41721),
(97996, 'PF07978', NULL, 'NIPSNAP', 102, NULL, 'NIPSNAP', 41722),
(97997, 'PF17499', NULL, 'Ant venom peptides', 74, NULL, 'Pilosulin', 41723),
(97998, 'PF08722', NULL, 'TnsA endonuclease N terminal', 93, NULL, 'Tn7_Tnp_TnsA_N', 41724),
(97999, 'PF12761', NULL, 'Actin cytoskeleton-regulatory complex protein END3', 198, NULL, 'End3', 41725),
(98000, 'PF01004', NULL, 'Flavivirus envelope glycoprotein M', 74, NULL, 'Flavi_M', 41726),
(98001, 'PF06627', NULL, 'Protein of unknown function (DUF1153)', 87, NULL, 'DUF1153', 41727),
(98002, 'PF00889', NULL, 'Elongation factor TS', 208, NULL, 'EF_TS', 41728),
(98003, 'PF04439', NULL, 'Streptomycin adenylyltransferase', 279, NULL, 'Adenyl_transf', 41729),
(98004, 'PF04541', NULL, 'Herpesvirus virion protein U34', 202, NULL, 'Herpes_U34', 41730),
(98005, 'PF11755', NULL, 'Protein of unknown function (DUF3311)', 61, NULL, 'DUF3311', 41731),
(98006, 'PF17709', NULL, 'Family of unknown function (DUF5554)', 73, NULL, 'DUF5554', 41732),
(98007, 'PF14685', NULL, 'Tricorn protease PDZ domain', 88, NULL, 'Tricorn_PDZ', 41733),
(98008, 'PF18265', NULL, 'Nas2 N_terminal domain', 79, NULL, 'Nas2_N', 41734),
(98009, 'PF18232', NULL, 'Chalcone isomerase N-terminal domain', 102, NULL, 'Chalcone_N', 41735),
(98010, 'PF20085', NULL, 'Protein-glutamine gamma-glutamyltransferase', 248, NULL, 'TGL', 41736),
(98011, 'PF14847', NULL, 'Ras-binding domain of Byr2', 100, NULL, 'Ras_bdg_2', 41737),
(98012, 'PF02744', NULL, 'Galactose-1-phosphate uridyl transferase, C-terminal domain', 167, NULL, 'GalP_UDP_tr_C', 41738),
(98013, 'PF11955', NULL, 'Plant organelle RNA recognition domain', 326, NULL, 'PORR', 41739),
(98014, 'PF14768', NULL, 'Replication protein A interacting C-terminal', 81, NULL, 'RPA_interact_C', 41740),
(98015, 'PF05978', NULL, 'Ion channel regulatory protein UNC-93', 157, NULL, 'UNC-93', 41741),
(98016, 'PF11175', NULL, 'Protein of unknown function (DUF2961)', 234, NULL, 'DUF2961', 41742),
(98017, 'PF11680', NULL, 'Protein of unknown function (DUF3276)', 129, NULL, 'DUF3276', 41743),
(98018, 'PF12923', NULL, 'Ribosomal RNA-processing protein 7 (RRP7) C-terminal domain', 119, NULL, 'RRP7', 41744),
(98019, 'PF02941', NULL, 'Ferredoxin thioredoxin reductase variable alpha chain', 68, NULL, 'FeThRed_A', 41745),
(98020, 'PF10984', NULL, 'Protein of unknown function (DUF2794)', 85, NULL, 'DUF2794', 41746),
(98021, 'PF02452', NULL, 'PemK-like, MazF-like toxin of type II toxin-antitoxin system', 111, NULL, 'PemK_toxin', 41747),
(98022, 'PF03869', NULL, 'Arc-like DNA binding domain', 50, NULL, 'Arc', 41748),
(98023, 'PF17845', NULL, 'FbpC C-terminal regulatory nucleotide binding domain', 55, NULL, 'FbpC_C_terminal', 41749),
(98024, 'PF16416', NULL, 'ARM-like repeat domain, GUN4-N terminal', 83, NULL, 'GUN4_N', 41750),
(98025, 'PF18153', NULL, 'SMODS-associating 2TM, beta-strand rich effector domain', 180, NULL, 'S_2TMBeta', 41751),
(98026, 'PF01146', NULL, 'Caveolin', 133, NULL, 'Caveolin', 41752),
(98027, 'PF19444', NULL, 'MTP large subunit, lipid-binding domain', 296, NULL, 'MTP_lip_bd', 41753),
(98028, 'PF03112', NULL, 'Uncharacterized protein family (ORF7) DUF', 161, NULL, 'DUF244', 41754),
(98029, 'PF14632', NULL, 'Acidic N-terminal SPT6', 89, NULL, 'SPT6_acidic', 41755),
(98030, 'PF03882', NULL, 'MukF winged-helix domain', 115, NULL, 'KicB', 41756),
(98031, 'PF05053', NULL, 'Menin', 680, NULL, 'Menin', 41757),
(98032, 'PF13453', NULL, 'Transcription factor zinc-finger', 41, NULL, 'zf-TFIIB', 41758),
(98033, 'PF12453', NULL, 'Protein tyrosine phosphatase N terminal', 26, NULL, 'PTP_N', 41759),
(98034, 'PF13053', NULL, 'Protein of unknown function (DUF3914)', 89, NULL, 'DUF3914', 41760);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(98035, 'PF17840', NULL, 'Tethering Ubl4a to BAGS domain', 47, NULL, 'Tugs', 41761),
(98036, 'PF05178', NULL, 'KRI1-like family', 104, NULL, 'Kri1', 41762),
(98037, 'PF19001', NULL, 'Family of unknown function (DUF5730)', 182, NULL, 'DUF5730', 41763),
(98038, 'PF11380', NULL, 'Stealth protein CR2, conserved region 2', 108, NULL, 'Stealth_CR2', 41764),
(98039, 'PF18598', NULL, 'Tetracyclin repressor-like, C-terminal domain', 111, NULL, 'TetR_C_36', 41765),
(98040, 'PF08579', NULL, 'Mitochondrial ribonuclease P subunit (RPM2)', 119, NULL, 'RPM2', 41766),
(98041, 'PF18145', NULL, 'SMODS-associated and fused to various effectors sensor domain', 189, NULL, 'SAVED', 41767),
(98042, 'PF13758', NULL, 'Prefoldin subunit', 99, NULL, 'Prefoldin_3', 41768),
(98043, 'PF05913', NULL, 'DUF871 C-terminal domain', 119, NULL, 'DUF871', 41769),
(98044, 'PF04887', NULL, 'Poxvirus M2 protein', 196, NULL, 'Pox_M2', 41770),
(98045, 'PF12671', NULL, 'Putative amidase domain', 164, NULL, 'Amidase_6', 41771),
(98046, 'PF19738', NULL, 'Family of unknown function (DUF6227)', 227, NULL, 'DUF6227', 41772),
(98047, 'PF12621', NULL, 'Extracellular tail, of 10TM putative phosphate transporter', 93, NULL, 'PHM7_ext', 41773),
(98048, 'PF15578', NULL, 'Domain of unknown function (DUF4662)', 269, NULL, 'DUF4662', 41774),
(98049, 'PF16239', NULL, 'Domain of unknown function (DUF4898)', 82, NULL, 'DUF4898', 41775),
(98050, 'PF02696', NULL, 'Protein adenylyltransferase SelO', 468, NULL, 'SelO', 41776),
(98051, 'PF11095', NULL, 'Gem-associated protein 7 (Gemin7)', 76, NULL, 'Gemin7', 41777),
(98052, 'PF19360', NULL, 'TadB/TadC N-terminal domain', 143, NULL, 'TadB_TadC_N', 41778),
(98053, 'PF14653', NULL, 'Insulin growth factor-like family', 83, NULL, 'IGFL', 41779),
(98054, 'PF19109', NULL, 'Family of unknown function (DUF5796)', 139, NULL, 'DUF5796', 41780),
(98055, 'PF09574', NULL, 'Protein  of unknown function (Duf2374)', 42, NULL, 'DUF2374', 41781),
(98056, 'PF16035', NULL, 'Chalcone isomerase like', 204, NULL, 'Chalcone_2', 41782),
(98057, 'PF06044', NULL, 'Dam-replacing family', 183, NULL, 'DpnI', 41783),
(98058, 'PF05102', NULL, 'holin, BlyA family', 61, NULL, 'Holin_BlyA', 41784),
(98059, 'PF12556', NULL, 'Cobaltochelatase CobS subunit N terminal', 34, NULL, 'CobS_N', 41785),
(98060, 'PF15760', NULL, 'Leukemia-associated protein 7', 194, NULL, 'DLEU7', 41786),
(98061, 'PF04256', NULL, 'Protein of unknown function (DUF434)', 56, NULL, 'DUF434', 41787),
(98062, 'PF06799', NULL, 'Conserved in the green lineage and diatoms 27', 143, NULL, 'DUF1230', 41788),
(98063, 'PF12337', NULL, 'Protein of unknown function (DUF3637)', 67, NULL, 'DUF3637', 41789),
(98064, 'PF06284', NULL, 'Cytomegalovirus UL84 protein', 586, NULL, 'Cytomega_UL84', 41790),
(98065, 'PF09571', NULL, 'XcyI restriction endonuclease', 305, NULL, 'RE_XcyI', 41791),
(98066, 'PF06242', NULL, 'Protein of unknown function (DUF1013)', 139, NULL, 'DUF1013', 41792),
(98067, 'PF08214', NULL, 'Histone acetylation protein', 352, NULL, 'HAT_KAT11', 41793),
(98068, 'PF13653', NULL, 'Glycerophosphoryl diester phosphodiesterase family', 30, NULL, 'GDPD_2', 41794),
(98069, 'PF16158', NULL, 'Ig-like domain from next to BRCA1 gene', 105, NULL, 'N_BRCA1_IG', 41795),
(98070, 'PF03250', NULL, 'Tropomodulin', 141, NULL, 'Tropomodulin', 41796),
(98071, 'PF20079', NULL, 'Family of unknown function (DUF6474)', 214, NULL, 'DUF6474', 41797),
(98072, 'PF06073', NULL, 'Bacterial protein of unknown function (DUF934)', 107, NULL, 'DUF934', 41798),
(98073, 'PF11824', NULL, 'Protein of unknown function (DUF3344)', 265, NULL, 'DUF3344', 41799),
(98074, 'PF19072', NULL, 'Family of unknown function (DUF5768)', 123, NULL, 'DUF5768', 41800),
(98075, 'PF19804', NULL, 'Domain of unknown function (DUF6287)', 34, NULL, 'DUF6287', 41801),
(98076, 'PF15301', NULL, 'SLAIN motif-containing family', 436, NULL, 'SLAIN', 41802),
(98077, 'PF00553', NULL, 'Cellulose binding domain', 101, NULL, 'CBM_2', 41803),
(98078, 'PF19877', NULL, 'Family of unknown function (DUF6350)', 332, NULL, 'DUF6350', 41804),
(98079, 'PF01386', NULL, 'Ribosomal L25p family', 81, NULL, 'Ribosomal_L25p', 41805);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(98080, 'PF10610', NULL, 'Thin aggregative fimbriae synthesis protein', 98, NULL, 'Tafi-CsgC', 41806),
(98081, 'PF16720', NULL, 'Albumin I chain a', 48, NULL, 'Albumin_I_a', 41807),
(98082, 'PF14533', NULL, 'Ubiquitin-specific protease C-terminal', 209, NULL, 'USP7_C2', 41808),
(98083, 'PF12446', NULL, 'Protein of unknown function (DUF3682)', 130, NULL, 'DUF3682', 41809),
(98084, 'PF14775', NULL, 'Sperm tail C-terminal domain', 60, NULL, 'NYD-SP28_assoc', 41810),
(98085, 'PF16808', NULL, 'Coiled-coil N-terminus of cGMP-dependent protein kinase', 35, NULL, 'PKcGMP_CC', 41811),
(98086, 'PF11310', NULL, 'Protein of unknown function (DUF3113)', 60, NULL, 'DUF3113', 41812),
(98087, 'PF09569', NULL, 'ScaI restriction endonuclease', 192, NULL, 'RE_ScaI', 41813),
(98088, 'PF10404', NULL, 'Rad4 beta-hairpin domain 2', 64, NULL, 'BHD_2', 41814),
(98089, 'PF02903', NULL, 'Alpha amylase, N-terminal ig-like domain', 120, NULL, 'Alpha-amylase_N', 41815),
(98090, 'PF02886', NULL, 'LBP / BPI / CETP family, C-terminal domain', 238, NULL, 'LBP_BPI_CETP_C', 41816),
(98091, 'PF10495', NULL, 'Pericentrin-AKAP-450 domain of centrosomal targeting protein', 83, NULL, 'PACT_coil_coil', 41817),
(98092, 'PF00236', NULL, 'Glycoprotein hormone', 96, NULL, 'Hormone_6', 41818),
(98093, 'PF05432', NULL, 'Bone sialoprotein II (BSP-II)', 299, NULL, 'BSP_II', 41819),
(98094, 'PF04799', NULL, 'fzo-like conserved region', 161, NULL, 'Fzo_mitofusin', 41820),
(98095, 'PF07325', NULL, 'Curtovirus V2 protein', 126, NULL, 'Curto_V2', 41821),
(98096, 'PF15156', NULL, 'Ceroid-lipofuscinosis neuronal protein 6', 280, NULL, 'CLN6', 41822),
(98097, 'PF15905', NULL, 'Hyaluronan mediated motility receptor N-terminal', 330, NULL, 'HMMR_N', 41823),
(98098, 'PF00023', NULL, 'Ankyrin repeat', 33, NULL, 'Ank', 41824),
(98099, 'PF14146', NULL, 'Domain of unknown function (DUF4305)', 37, NULL, 'DUF4305', 41825),
(98100, 'PF11403', NULL, 'Yeast metallothionein', 39, NULL, 'Yeast_MT', 41826),
(98101, 'PF15557', NULL, 'CAF1 complex subunit p150, region binding to PCNA', 230, NULL, 'CAF1-p150_N', 41827),
(98102, 'PF14626', NULL, 'Zc3h12a-like Ribonuclease NYN domain', 122, NULL, 'RNase_Zc3h12a_2', 41828),
(98103, 'PF10189', NULL, 'Integrator complex subunit 3 N-terminal', 409, NULL, 'Ints3_N', 41829),
(98104, 'PF04850', NULL, 'Baculovirus E66 occlusion-derived virus envelope protein', 387, NULL, 'Baculo_E66', 41830),
(98105, 'PF10662', NULL, 'Ethanolamine utilisation - propanediol utilisation', 143, NULL, 'PduV-EutP', 41831),
(98106, 'PF17479', NULL, 'Protein of unknown function (DUF3048) C-terminal domain', 112, NULL, 'DUF3048_C', 41832),
(98107, 'PF15344', NULL, 'FAM217 family', 238, NULL, 'FAM217', 41833),
(98108, 'PF12075', NULL, 'KN motif', 39, NULL, 'KN_motif', 41834),
(98109, 'PF19278', NULL, 'Hydantoinase/oxoprolinase C-terminal domain', 193, NULL, 'Hydant_A_C', 41835),
(98110, 'PF11688', NULL, 'Protein of unknown function (DUF3285)', 44, NULL, 'DUF3285', 41836),
(98111, 'PF11884', NULL, 'Domain of unknown function (DUF3404)', 259, NULL, 'DUF3404', 41837),
(98112, 'PF18525', NULL, 'Cas9 C-terminal domain', 110, NULL, 'Cas9_C', 41838),
(98113, 'PF15385', NULL, 'Specifically androgen-regulated gene protein', 568, NULL, 'SARG', 41839),
(98114, 'PF00476', NULL, 'DNA polymerase family A', 377, NULL, 'DNA_pol_A', 41840),
(98115, 'PF18919', NULL, 'Family of unknown function (DUF5670)', 43, NULL, 'DUF5670', 41841),
(98116, 'PF05746', NULL, 'DALR anticodon binding domain', 119, NULL, 'DALR_1', 41842),
(98117, 'PF17317', NULL, 'Mating hormone A-factor 1&2', 34, NULL, 'MFA1_2', 41843),
(98118, 'PF20055', NULL, 'Family of unknown function (DUF6454)', 292, NULL, 'DUF6454', 41844),
(98119, 'PF02352', NULL, 'Decorin binding protein', 141, NULL, 'Decorin_bind', 41845),
(98120, 'PF16869', NULL, 'Condensin II complex subunit CAP-H2 or CNDH2, mid domain', 139, NULL, 'CNDH2_M', 41846),
(98121, 'PF17733', NULL, 'Family of unknown function (DUF5572)', 48, NULL, 'DUF5572', 41847),
(98122, 'PF10918', NULL, 'Protein of unknown function (DUF2718)', 129, NULL, 'DUF2718', 41848);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(98123, 'PF13400', NULL, 'Putative Flp pilus-assembly TadE/G-like', 48, NULL, 'Tad', 41849),
(98124, 'PF01874', NULL, 'ATP:dephospho-CoA triphosphoribosyl transferase', 285, NULL, 'CitG', 41850),
(98125, 'PF09524', NULL, 'Conserved phage C-terminus (Phg_2220_C)', 73, NULL, 'Phg_2220_C', 41851),
(98126, 'PF03868', NULL, 'Ribosomal protein L6, N-terminal domain', 60, NULL, 'Ribosomal_L6e_N', 41852),
(98127, 'PF03306', NULL, 'Alpha-acetolactate decarboxylase', 219, NULL, 'AAL_decarboxy', 41853),
(98128, 'PF16316', NULL, 'Domain of unknown function (DUF4956)', 169, NULL, 'DUF4956', 41854),
(98129, 'PF03504', NULL, 'Chlamydia cysteine-rich outer membrane protein 6', 91, NULL, 'Chlam_OMP6', 41855),
(98130, 'PF17487', NULL, 'Ribosomal protein S12', 87, NULL, 'Ribosomal_S12', 41856),
(98131, 'PF11969', NULL, 'Scavenger mRNA decapping enzyme C-term binding', 114, NULL, 'DcpS_C', 41857),
(98132, 'PF05701', NULL, 'Weak chloroplast movement under blue light', 562, NULL, 'WEMBL', 41858),
(98133, 'PF15313', NULL, 'Hexamethylene bis-acetamide-inducible protein', 136, NULL, 'HEXIM', 41859),
(98134, 'PF11774', NULL, 'Lsr2', 110, NULL, 'Lsr2', 41860),
(98135, 'PF12119', NULL, 'Protein of unknown function (DUF3581)', 217, NULL, 'DUF3581', 41861),
(98136, 'PF15364', NULL, 'PAXIP1-associated-protein-1 C term PTIP binding protein', 135, NULL, 'PAXIP1_C', 41862),
(98137, 'PF15170', NULL, 'Calcium/calmodulin-dependent protein kinase II inhibitor', 79, NULL, 'CaM-KIIN', 41863),
(98138, 'PF04014', NULL, 'Antidote-toxin recognition MazE, bacterial antitoxin', 46, NULL, 'MazE_antitoxin', 41864),
(98139, 'PF13405', NULL, 'EF-hand domain', 31, NULL, 'EF-hand_6', 41865),
(98140, 'PF12066', NULL, 'SERRATE/Ars2, N-terminal domain', 110, NULL, 'SERRATE_Ars2_N', 41866),
(98141, 'PF10303', NULL, 'Protein of unknown function (DUF2408)', 134, NULL, 'DUF2408', 41867),
(98142, 'PF06600', NULL, 'Protein of unknown function (DUF1140)', 99, NULL, 'DUF1140', 41868),
(98143, 'PF03605', NULL, 'Anaerobic c4-dicarboxylate membrane transporter', 368, NULL, 'DcuA_DcuB', 41869),
(98144, 'PF07942', NULL, 'N2227-like protein', 272, NULL, 'N2227', 41870),
(98145, 'PF01493', NULL, 'GXGXG motif', 190, NULL, 'GXGXG', 41871),
(98146, 'PF04838', NULL, 'Baculoviridae late expression factor 5', 156, NULL, 'Baculo_LEF5', 41872),
(98147, 'PF16072', NULL, 'Domain of unknown function (DUF4813)', 291, NULL, 'DUF4813', 41873),
(98148, 'PF07256', NULL, 'Protein of unknown function (DUF1435)', 75, NULL, 'DUF1435', 41874),
(98149, 'PF15003', NULL, 'HAUS augmin-like complex subunit 2', 191, NULL, 'HAUS2', 41875),
(98150, 'PF04726', NULL, 'Microvirus J protein', 37, NULL, 'Microvir_J', 41876),
(98151, 'PF08788', NULL, 'NHR2 domain like', 67, NULL, 'NHR2', 41877),
(98152, 'PF08013', NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit GatZ/KbaZ-like', 420, NULL, 'GatZ_KbaZ-like', 41878),
(98153, 'PF14634', NULL, 'zinc-RING finger domain', 44, NULL, 'zf-RING_5', 41879),
(98154, 'PF09316', NULL, 'C-myb, C-terminal', 157, NULL, 'Cmyb_C', 41880),
(98155, 'PF00486', NULL, 'Transcriptional regulatory protein, C terminal', 77, NULL, 'Trans_reg_C', 41881),
(98156, 'PF18770', NULL, 'Armadillo tether-repeat of vescicular transport factor', 61, NULL, 'Arm_vescicular', 41882),
(98157, 'PF00802', NULL, 'Pneumovirus attachment glycoprotein G', 263, NULL, 'Glycoprotein_G', 41883),
(98158, 'PF11293', NULL, 'Protein of unknown function (DUF3094)', 55, NULL, 'DUF3094', 41884),
(98159, 'PF11741', NULL, 'AMIN domain', 97, NULL, 'AMIN', 41885),
(98160, 'PF19626', NULL, 'Family of unknown function (DUF6131)', 59, NULL, 'DUF6131', 41886),
(98161, 'PF12957', NULL, 'Domain of unknown function (DUF3846)', 91, NULL, 'DUF3846', 41887),
(98162, 'PF19588', NULL, 'Saxitoxin biosynthesis operon protein SxtJ', 99, NULL, 'SxtJ', 41888),
(98163, 'PF15759', NULL, 'TMEM108 family', 514, NULL, 'TMEM108', 41889),
(98164, 'PF03768', NULL, 'Attacin, N-terminal region', 64, NULL, 'Attacin_N', 41890),
(98165, 'PF03343', NULL, 'SART-1 family', 585, NULL, 'SART-1', 41891),
(98166, 'PF09360', NULL, 'Iron-binding zinc finger CDGSH type', 48, NULL, 'zf-CDGSH', 41892);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(98167, 'PF01997', NULL, 'Translin family', 206, NULL, 'Translin', 41893),
(98168, 'PF14913', NULL, 'DPCD protein family', 190, NULL, 'DPCD', 41894),
(98169, 'PF14443', NULL, 'DBC1', 123, NULL, 'DBC1', 41895),
(98170, 'PF17760', NULL, 'UvrA interaction domain', 109, NULL, 'UvrA_inter', 41896),
(98171, 'PF09337', NULL, 'H2C2 zinc finger', 39, NULL, 'zf-H2C2', 41897),
(98172, 'PF06910', NULL, 'Male enhanced antigen 1 (MEA1)', 125, NULL, 'MEA1', 41898),
(98173, 'PF07858', NULL, 'Limonene-1,2-epoxide hydrolase catalytic domain', 125, NULL, 'LEH', 41899),
(98174, 'PF11390', NULL, 'NADH-dependant formate dehydrogenase delta subunit FdsD', 61, NULL, 'FdsD', 41900),
(98175, 'PF19394', NULL, 'Family of unknown function (DUF5969)', 93, NULL, 'DUF5969', 41901),
(98176, 'PF16848', NULL, 'Substrate of the Dot/Icm secretion system, putative', 178, NULL, 'SoDot-IcmSS', 41902),
(98177, 'PF00418', NULL, 'Tau and MAP protein, tubulin-binding repeat', 31, NULL, 'Tubulin-binding', 41903),
(98178, 'PF05236', NULL, 'Transcription initiation factor TFIID component TAF4 family', 273, NULL, 'TAF4', 41904),
(98179, 'PF15451', NULL, 'Domain of unknown function (DUF4632)', 71, NULL, 'DUF4632', 41905),
(98180, 'PF02552', NULL, 'CO dehydrogenase beta subunit/acetyl-CoA synthase epsilon subunit', 168, NULL, 'CO_dh', 41906),
(98181, 'PF10935', NULL, 'Protein of unknown function (DUF2637)', 161, NULL, 'DUF2637', 41907),
(98182, 'PF15750', NULL, 'Ubiquitin-binding zinc-finger', 35, NULL, 'UBZ_FAAP20', 41908),
(98183, 'PF00547', NULL, 'Urease, gamma subunit', 99, NULL, 'Urease_gamma', 41909),
(98184, 'PF06900', NULL, 'Protein of unknown function (DUF1270)', 53, NULL, 'DUF1270', 41910),
(98185, 'PF19549', NULL, 'Family of unknown function (DUF6072)', 129, NULL, 'DUF6072', 41911),
(98186, 'PF09023', NULL, 'Staphostatin B', 105, NULL, 'Staphostatin_B', 41912),
(98187, 'PF09314', NULL, 'Domain of unknown function (DUF1972)', 186, NULL, 'DUF1972', 41913),
(98188, 'PF09358', NULL, 'Ubiquitin fold domain', 93, NULL, 'E1_UFD', 41914),
(98189, 'PF06906', NULL, 'Protein of unknown function (DUF1272)', 57, NULL, 'DUF1272', 41915),
(98190, 'PF06978', NULL, 'Ribonucleases P/MRP protein subunit POP1', 206, NULL, 'POP1', 41916),
(98191, 'PF08156', NULL, 'NOP5NT (NUC127) domain', 64, NULL, 'NOP5NT', 41917),
(98192, 'PF13337', NULL, 'Putative ATP-dependent Lon protease', 455, NULL, 'Lon_2', 41918),
(98193, 'PF06719', NULL, 'AraC-type transcriptional regulator N-terminus', 148, NULL, 'AraC_N', 41919),
(98194, 'PF10178', NULL, 'Proteasome assembly chaperone 3', 87, NULL, 'PAC3', 41920),
(98195, 'PF10241', NULL, 'Uncharacterized conserved protein', 86, NULL, 'KxDL', 41921),
(98196, 'PF15516', NULL, 'BpuSI N-terminal domain', 162, NULL, 'BpuSI_N', 41922),
(98197, 'PF01978', NULL, 'Sugar-specific transcriptional regulator TrmB', 68, NULL, 'TrmB', 41923),
(98198, 'PF10280', NULL, 'Mediator complex protein', 137, NULL, 'Med11', 41924),
(98199, 'PF07259', NULL, 'ProSAAS precursor', 269, NULL, 'ProSAAS', 41925),
(98200, 'PF00647', NULL, 'Elongation factor 1 gamma, conserved domain', 107, NULL, 'EF1G', 41926),
(98201, 'PF09917', NULL, 'Uncharacterized protein conserved in bacteria (DUF2147)', 111, NULL, 'DUF2147', 41927),
(98202, 'PF06459', NULL, 'Ryanodine Receptor TM 4-6', 280, NULL, 'RR_TM4-6', 41928),
(98203, 'PF17419', NULL, 'Methylamine utilization protein MauJ', 282, NULL, 'MauJ', 41929),
(98204, 'PF17666', NULL, 'Family of unknown function (DUF5528)', 152, NULL, 'DUF5528', 41930),
(98205, 'PF04808', NULL, 'Citrus tristeza virus (CTV) P23 protein', 209, NULL, 'CTV_P23', 41931),
(98206, 'PF07400', NULL, 'Interleukin 11', 170, NULL, 'IL11', 41932),
(98207, 'PF06382', NULL, 'Protamine and protamine like', 146, NULL, 'Protamine_like', 41933),
(98208, 'PF13944', NULL, 'Calycin-like beta-barrel domain', 123, NULL, 'Calycin_like', 41934),
(98209, 'PF01324', NULL, 'Diphtheria toxin, R domain', 154, NULL, 'Diphtheria_R', 41935),
(98210, 'PF07107', NULL, 'Wound-induced protein WI12', 109, NULL, 'WI12', 41936),
(98211, 'PF11444', NULL, 'Protein of unknown function (DUF2895)', 198, NULL, 'DUF2895', 41937);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(98212, 'PF14194', NULL, 'Cysteine-rich VLP', 57, NULL, 'Cys_rich_VLP', 41938),
(98213, 'PF18866', NULL, 'CxC7 like cysteine cluster associated with KDZ transposases', 64, NULL, 'CxC7', 41939),
(98214, 'PF02434', NULL, 'Fringe-like', 252, NULL, 'Fringe', 41940),
(98215, 'PF05743', NULL, 'UEV domain', 121, NULL, 'UEV', 41941),
(98216, 'PF12297', NULL, 'Ellis van Creveld protein 2 like protein', 429, NULL, 'EVC2_like', 41942),
(98217, 'PF10171', NULL, 'Translocase of the Inner Mitochondrial membrane 29', 169, NULL, 'Tim29', 41943),
(98218, 'PF16689', NULL, 'Coiled-coil N-terminus of APC, dimerisation domain', 52, NULL, 'APC_N_CC', 41944),
(98219, 'PF00054', NULL, 'Laminin G domain', 131, NULL, 'Laminin_G_1', 41945),
(98220, 'PF18285', NULL, 'Tetracycline repressor LuxT C-terminal domain', 87, NULL, 'LuxT_C', 41946),
(98221, 'PF19718', NULL, 'Ubiquitin carboxyl-terminal hydrolase 47 C-terminal', 240, NULL, 'USP47_C', 41947),
(98222, 'PF07682', NULL, 'Sulphur oxygenase reductase', 302, NULL, 'SOR', 41948),
(98223, 'PF08974', NULL, 'Domain of unknown function (DUF1877)', 165, NULL, 'DUF1877', 41949),
(98224, 'PF05823', NULL, 'Nematode fatty acid retinoid binding protein (Gp-FAR-1)', 149, NULL, 'Gp-FAR-1', 41950),
(98225, 'PF10174', NULL, 'RIM-binding protein of the cytomatrix active zone', 762, NULL, 'Cast', 41951),
(98226, 'PF20159', NULL, 'YidB-like protein', 143, NULL, 'YidB', 41952),
(98227, 'PF15234', NULL, 'Linker for activation of T-cells', 236, NULL, 'LAT', 41953),
(98228, 'PF17971', NULL, 'Leukemia inhibitory factor receptor D2 domain', 114, NULL, 'LIFR_D2', 41954),
(98229, 'PF01863', NULL, 'Protein of unknown function DUF45', 207, NULL, 'DUF45', 41955),
(98230, 'PF04761', NULL, 'Lactococcus bacteriophage putative transcription regulator', 57, NULL, 'Phage_Treg', 41956),
(98231, 'PF13343', NULL, 'Bacterial extracellular solute-binding protein', 244, NULL, 'SBP_bac_6', 41957),
(98232, 'PF12623', NULL, 'RNA repair, ligase-Pnkp-associating, region of Hen1', 242, NULL, 'Hen1_L', 41958),
(98233, 'PF16119', NULL, 'Domain of unknown function (DUF4835)', 276, NULL, 'DUF4835', 41959),
(98234, 'PF05529', NULL, 'Bap31/Bap29 transmembrane region', 138, NULL, 'Bap31', 41960),
(98235, 'PF05650', NULL, 'Domain of unknown function (DUF802)', 53, NULL, 'DUF802', 41961),
(98236, 'PF08479', NULL, 'POTRA domain, ShlB-type', 76, NULL, 'POTRA_2', 41962),
(98237, 'PF08529', NULL, 'NusA N-terminal domain', 120, NULL, 'NusA_N', 41963),
(98238, 'PF13350', NULL, 'Tyrosine phosphatase family', 234, NULL, 'Y_phosphatase3', 41964),
(98239, 'PF13354', NULL, 'Beta-lactamase enzyme family', 201, NULL, 'Beta-lactamase2', 41965),
(98240, 'PF05068', NULL, 'Mannitol repressor', 164, NULL, 'MtlR', 41966),
(98241, 'PF15070', NULL, 'Putative golgin subfamily A member 2-like protein 5', 528, NULL, 'GOLGA2L5', 41967),
(98242, 'PF02036', NULL, 'SCP-2 sterol transfer family', 101, NULL, 'SCP2', 41968),
(98243, 'PF19675', NULL, 'Origin recognition complex subunit 3 insertion domain', 233, NULL, 'ORC3_ins', 41969),
(98244, 'PF01130', NULL, 'CD36 family', 469, NULL, 'CD36', 41970),
(98245, 'PF09664', NULL, 'Protein of unknown function C-terminus (DUF2399)', 152, NULL, 'DUF2399', 41971),
(98246, 'PF11477', NULL, 'Sialyltransferase PMO188', 385, NULL, 'PM0188', 41972),
(98247, 'PF15851', NULL, 'Domain of unknown function (DUF4723)', 82, NULL, 'DUF4723', 41973),
(98248, 'PF08807', NULL, 'Bacterial domain of unknown function (DUF1798)', 108, NULL, 'DUF1798', 41974),
(98249, 'PF19788', NULL, 'Family of unknown function (DUF6272)', 134, NULL, 'DUF6272', 41975),
(98250, 'PF06090', NULL, 'Inositol-pentakisphosphate 2-kinase', 374, NULL, 'Ins_P5_2-kin', 41976),
(98251, 'PF15547', NULL, 'Steroid receptor-associated and regulated protein', 137, NULL, 'C1ORF64', 41977),
(98252, 'PF01697', NULL, 'Glycosyltransferase family 92', 258, NULL, 'Glyco_transf_92', 41978),
(98253, 'PF19025', NULL, 'Family of unknown function (DUF5751)', 116, NULL, 'DUF5751', 41979),
(98254, 'PF18754', NULL, 'Nucleotide modification associated domain 3', 250, NULL, 'Nmad3', 41980);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(98255, 'PF05741', NULL, 'Nanos RNA binding domain', 54, NULL, 'zf-nanos', 41981),
(98256, 'PF03895', NULL, 'YadA-like membrane anchor domain', 60, NULL, 'YadA_anchor', 41982),
(98257, 'PF12398', NULL, 'Receptor serine/threonine kinase', 42, NULL, 'DUF3660', 41983),
(98258, 'PF03971', NULL, 'Monomeric isocitrate dehydrogenase', 734, NULL, 'IDH', 41984),
(98259, 'PF09595', NULL, 'Metaviral_G glycoprotein', 183, NULL, 'Metaviral_G', 41985),
(98260, 'PF02086', NULL, 'D12 class N6 adenine-specific DNA methyltransferase', 260, NULL, 'MethyltransfD12', 41986),
(98261, 'PF10329', NULL, 'Region of unknown function (DUF2417)', 237, NULL, 'DUF2417', 41987),
(98262, 'PF16981', NULL, 'chi-Conotoxin or t superfamily', 60, NULL, 'Chi-conotoxin', 41988),
(98263, 'PF17675', NULL, 'Apg6 coiled-coil region', 132, NULL, 'APG6_N', 41989),
(98264, 'PF04810', NULL, 'Sec23/Sec24 zinc finger', 39, NULL, 'zf-Sec23_Sec24', 41990),
(98265, 'PF16805', NULL, 'Phage late-transcription coactivator', 69, NULL, 'Trans_coact', 41991),
(98266, 'PF12304', NULL, 'Beta-casein like protein', 184, NULL, 'BCLP', 41992),
(98267, 'PF19487', NULL, 'Family of unknown function (DUF6023)', 150, NULL, 'DUF6023', 41993),
(98268, 'PF04972', NULL, 'BON domain', 69, NULL, 'BON', 41994),
(98269, 'PF18717', NULL, 'CxC4 like cysteine cluster associated with KDZ transposases', 130, NULL, 'CxC4', 41995),
(98270, 'PF10198', NULL, 'Histone acetyltransferases subunit 3', 132, NULL, 'Ada3', 41996),
(98271, 'PF04651', NULL, 'Poxvirus A12 protein', 183, NULL, 'Pox_A12', 41997),
(98272, 'PF08002', NULL, 'Protein of unknown function (DUF1697)', 137, NULL, 'DUF1697', 41998),
(98273, 'PF02600', NULL, 'Disulfide bond formation protein DsbB', 148, NULL, 'DsbB', 41999),
(98274, 'PF09799', NULL, 'Predicted membrane protein', 107, NULL, 'Transmemb_17', 42000),
(98275, 'PF06995', NULL, 'Phage P2 GpU', 120, NULL, 'Phage_P2_GpU', 42001),
(98276, 'PF01213', NULL, 'Adenylate cyclase associated (CAP) N terminal', 78, NULL, 'CAP_N', 42002),
(98277, 'PF04180', NULL, 'Low temperature viability protein', 381, NULL, 'LTV', 42003),
(98278, 'PF14361', NULL, 'RsbT co-antagonist protein rsbRD N-terminal domain', 104, NULL, 'RsbRD_N', 42004),
(98279, 'PF03850', NULL, 'Transcription factor Tfb4', 276, NULL, 'Tfb4', 42005),
(98280, 'PF04745', NULL, 'VITF-3 subunit protein', 289, NULL, 'Pox_A8', 42006),
(98281, 'PF18226', NULL, 'LasR-specific antiactivator QslA chain E', 71, NULL, 'QslA_E', 42007),
(98282, 'PF01925', NULL, 'Sulfite exporter TauE/SafE', 237, NULL, 'TauE', 42008),
(98283, 'PF17635', NULL, 'Betacoronavirus uncharacterised protein 14 (SARS-CoV-2 like)', 70, NULL, 'bCoV_Orf14', 42009),
(98284, 'PF01237', NULL, 'Oxysterol-binding protein', 375, NULL, 'Oxysterol_BP', 42010),
(98285, 'PF00901', NULL, 'Orbivirus outer capsid protein VP5', 507, NULL, 'Orbi_VP5', 42011),
(98286, 'PF07890', NULL, 'Rrp15p', 134, NULL, 'Rrp15p', 42012),
(98287, 'PF02514', NULL, 'CobN/Magnesium Chelatase', 1092, NULL, 'CobN-Mg_chel', 42013),
(98288, 'PF06484', NULL, 'Teneurin Intracellular Region', 367, NULL, 'Ten_N', 42014),
(98289, 'PF00704', NULL, 'Glycosyl hydrolases family 18', 312, NULL, 'Glyco_hydro_18', 42015),
(98290, 'PF02016', NULL, 'LD-carboxypeptidase N-terminal domain', 119, NULL, 'Peptidase_S66', 42016),
(98291, 'PF03863', NULL, 'Phage maturation protein', 395, NULL, 'Phage_mat-A', 42017),
(98292, 'PF02090', NULL, 'Salmonella surface presentation of antigen gene type M protein', 140, NULL, 'SPAM', 42018),
(98293, 'PF03399', NULL, 'SAC3/GANP family', 288, NULL, 'SAC3_GANP', 42019),
(98294, 'PF08988', NULL, 'Type III secretion system, cytoplasmic E component of needle', 66, NULL, 'T3SS_needle_E', 42020),
(98295, 'PF16819', NULL, 'Domain of unknown function (DUF5074)', 115, NULL, 'DUF5074', 42021),
(98296, 'PF10727', NULL, 'Rossmann-like domain', 127, NULL, 'Rossmann-like', 42022),
(98297, 'PF03101', NULL, 'FAR1 DNA-binding domain', 90, NULL, 'FAR1', 42023),
(98298, 'PF07977', NULL, 'FabA-like domain', 138, NULL, 'FabA', 42024),
(98299, 'PF11571', NULL, 'Mediator complex subunit 27', 86, NULL, 'Med27', 42025);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(98300, 'PF17549', NULL, 'Gene Product 17', 140, NULL, 'Phage_Gp17', 42026),
(98301, 'PF20118', NULL, 'Family of unknown function (DUF6508)', 130, NULL, 'DUF6508', 42027),
(98302, 'PF08149', NULL, 'BING4CT (NUC141) domain', 79, NULL, 'BING4CT', 42028),
(98303, 'PF07501', NULL, 'G5 domain', 75, NULL, 'G5', 42029),
(98304, 'PF17754', NULL, 'MftR C-terminal domain', 112, NULL, 'TetR_C_14', 42030),
(98305, 'PF07987', NULL, 'Domain of unkown function (DUF1775)', 149, NULL, 'DUF1775', 42031),
(98306, 'PF11624', NULL, 'MHC class I-like protein M157', 256, NULL, 'M157', 42032),
(98307, 'PF16589', NULL, 'BRCT domain, a BRCA1 C-terminus domain', 85, NULL, 'BRCT_2', 42033),
(98308, 'PF08034', NULL, 'Trematode eggshell synthesis protein', 66, NULL, 'TES', 42034),
(98309, 'PF07167', NULL, 'Poly-beta-hydroxybutyrate polymerase (PhaC) N-terminus', 173, NULL, 'PhaC_N', 42035),
(98310, 'PF07828', NULL, 'PA-IL-like protein', 121, NULL, 'PA-IL', 42036),
(98311, 'PF05445', NULL, 'Poxvirus serine/threonine protein kinase', 434, NULL, 'Pox_ser-thr_kin', 42037),
(98312, 'PF02120', NULL, 'Flagellar hook-length control protein FliK', 85, NULL, 'Flg_hook', 42038),
(98313, 'PF19318', NULL, 'Family of unknown function (DUF5918)', 213, NULL, 'DUF5918', 42039),
(98314, 'PF09883', NULL, 'Uncharacterized protein conserved in archaea (DUF2110)', 223, NULL, 'DUF2110', 42040),
(98315, 'PF07215', NULL, 'Protein of unknown function (DUF1419)', 112, NULL, 'DUF1419', 42041),
(98316, 'PF16323', NULL, 'Domain of unknown function (DUF4959)', 106, NULL, 'DUF4959', 42042),
(98317, 'PF06358', NULL, 'Protein of unknown function (DUF1065)', 111, NULL, 'DUF1065', 42043),
(98318, 'PF17807', NULL, 'Variant UBP zinc finger', 64, NULL, 'zf-UBP_var', 42044),
(98319, 'PF00254', NULL, 'FKBP-type peptidyl-prolyl cis-trans isomerase', 94, NULL, 'FKBP_C', 42045),
(98320, 'PF19256', NULL, 'LAIKA domain', 68, NULL, 'LAIKA', 42046),
(98321, 'PF00541', NULL, 'Adenoviral fibre protein (knob domain)', 178, NULL, 'Adeno_knob', 42047),
(98322, 'PF03476', NULL, 'MOSC N-terminal beta barrel domain', 120, NULL, 'MOSC_N', 42048),
(98323, 'PF07124', NULL, 'Phytoreovirus outer capsid protein P8', 426, NULL, 'Phytoreo_P8', 42049),
(98324, 'PF18446', NULL, 'Domain of unknown function (DUF5611)', 103, NULL, 'DUF5611', 42050),
(98325, 'PF11317', NULL, 'Protein of unknown function (DUF3119)', 126, NULL, 'DUF3119', 42051),
(98326, 'PF03628', NULL, 'PapG chaperone-binding domain', 108, NULL, 'PapG_C', 42052),
(98327, 'PF14736', NULL, 'Protein N-terminal asparagine amidohydrolase', 270, NULL, 'N_Asn_amidohyd', 42053),
(98328, 'PF15187', NULL, 'Oesophageal cancer-related gene 4', 114, NULL, 'Augurin', 42054),
(98329, 'PF17964', NULL, 'Bacterial Ig domain', 182, NULL, 'Big_10', 42055),
(98330, 'PF17935', NULL, 'Tetracyclin repressor-like, C-terminal domain', 106, NULL, 'TetR_C_27', 42056),
(98331, 'PF20021', NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 18', 109, NULL, 'VMAP-M18', 42057),
(98332, 'PF00850', NULL, 'Histone deacetylase domain', 307, NULL, 'Hist_deacetyl', 42058),
(98333, 'PF07766', NULL, 'LETM1-like protein', 267, NULL, 'LETM1', 42059),
(98334, 'PF00008', NULL, 'EGF-like domain', 32, NULL, 'EGF', 42060),
(98335, 'PF00432', NULL, 'Prenyltransferase and squalene oxidase repeat', 44, NULL, 'Prenyltrans', 42061),
(98336, 'PF12247', NULL, 'Temperature dependent protein affecting M2 dsRNA replication', 90, NULL, 'MKT1_N', 42062),
(98337, 'PF12459', NULL, 'D-Ala-teichoic acid biosynthesis protein', 43, NULL, 'DUF3687', 42063),
(98338, 'PF07083', NULL, 'Protein of unknown function (DUF1351)', 210, NULL, 'DUF1351', 42064),
(98339, 'PF15926', NULL, 'E3 ubiquitin-protein ligase RNF220', 248, NULL, 'RNF220', 42065),
(98340, 'PF11703', NULL, 'UPF0506', 59, NULL, 'UPF0506', 42066),
(98341, 'PF17469', NULL, 'Phage protein Gp68', 78, NULL, 'GP68', 42067),
(98342, 'PF18430', NULL, 'Putative DNA-binding domain', 35, NULL, 'DBD_HTH', 42068),
(98343, 'PF17012', NULL, 'Domain of unknown function (DUF5091)', 147, NULL, 'DUF5091', 42069),
(98344, 'PF00155', NULL, 'Aminotransferase class I and II', 363, NULL, 'Aminotran_1_2', 42070);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(98345, 'PF09979', NULL, 'Uncharacterized protein conserved in bacteria (DUF2213)', 167, NULL, 'DUF2213', 42071),
(98346, 'PF11572', NULL, 'Protein of unknown function (DUF3234)', 95, NULL, 'DUF3234', 42072),
(98347, 'PF08799', NULL, 'pre-mRNA processing factor 4 (PRP4) like', 29, NULL, 'PRP4', 42073),
(98348, 'PF08611', NULL, 'Fungal protein of unknown function (DUF1774)', 95, NULL, 'DUF1774', 42074),
(98349, 'PF05517', NULL, 'p25-alpha', 155, NULL, 'p25-alpha', 42075),
(98350, 'PF01617', NULL, 'Surface antigen', 250, NULL, 'Surface_Ag_2', 42076),
(98351, 'PF18618', NULL, 'HP0268', 80, NULL, 'HP0268', 42077),
(98352, 'PF02901', NULL, 'Pyruvate formate lyase-like', 647, NULL, 'PFL-like', 42078),
(98353, 'PF04513', NULL, 'Baculovirus polyhedron envelope protein, PEP, C terminus', 140, NULL, 'Baculo_PEP_C', 42079),
(98354, 'PF01351', NULL, 'Ribonuclease HII', 198, NULL, 'RNase_HII', 42080),
(98355, 'PF01197', NULL, 'Ribosomal protein L31', 67, NULL, 'Ribosomal_L31', 42081),
(98356, 'PF16359', NULL, 'RcsD-ABL domain', 103, NULL, 'RcsD_ABL', 42082),
(98357, 'PF03032', NULL, 'Frog skin active peptide family signal and propeptide', 46, NULL, 'FSAP_sig_propep', 42083),
(98358, 'PF12286', NULL, 'Protein of unknown function (DUF3622)', 71, NULL, 'DUF3622', 42084),
(98359, 'PF06813', NULL, 'Nodulin-like', 250, NULL, 'Nodulin-like', 42085),
(98360, 'PF00913', NULL, 'Trypanosome variant surface glycoprotein (A-type)', 367, NULL, 'Trypan_glycop', 42086),
(98361, 'PF08781', NULL, 'Transcription factor DP', 138, NULL, 'DP', 42087),
(98362, 'PF03676', NULL, 'Uncharacterised protein family (UPF0183)', 394, NULL, 'UPF0183', 42088),
(98363, 'PF16120', NULL, 'Domain of unknown function (DUF4836)', 481, NULL, 'DUF4836', 42089),
(98364, 'PF14612', NULL, 'IEC3 subunit of the Ino80 complex, chromatin re-modelling', 231, NULL, 'Ino80_Iec3', 42090),
(98365, 'PF16126', NULL, 'Domain of unknown function (DUF4838)', 266, NULL, 'DUF4838', 42091),
(98366, 'PF12365', NULL, 'Protein of unknown function (DUF3649)', 27, NULL, 'DUF3649', 42092),
(98367, 'PF10311', NULL, 'Increased loss of mitochondrial DNA protein 1', 163, NULL, 'Ilm1', 42093),
(98368, 'PF11600', NULL, 'Chromatin assembly factor 1 complex p150 subunit, N-terminal', 164, NULL, 'CAF-1_p150', 42094),
(98369, 'PF12444', NULL, 'Sox developmental protein N terminal', 77, NULL, 'Sox_N', 42095),
(98370, 'PF02190', NULL, 'ATP-dependent protease La (LON) substrate-binding domain', 205, NULL, 'LON_substr_bdg', 42096),
(98371, 'PF11558', NULL, 'Het-s 218-289', 65, NULL, 'HET-s_218-289', 42097),
(98372, 'PF11708', NULL, 'Pre-mRNA splicing Prp18-interacting factor', 266, NULL, 'Slu7', 42098),
(98373, 'PF12836', NULL, 'Helix-hairpin-helix motif', 65, NULL, 'HHH_3', 42099),
(98374, 'PF15341', NULL, 'Ribosome biogenesis protein SLX9', 131, NULL, 'SLX9', 42100),
(98375, 'PF17020', NULL, 'Domain of unknown function (DUF5097)', 119, NULL, 'DUF5097', 42101),
(98376, 'PF03896', NULL, 'Translocon-associated protein (TRAP), alpha subunit', 282, NULL, 'TRAP_alpha', 42102),
(98377, 'PF16425', NULL, 'Domain of unknown function (DUF5022)', 279, NULL, 'DUF5022', 42103),
(98378, 'PF14110', NULL, 'Domain of unknown function (DUF4282)', 89, NULL, 'DUF4282', 42104),
(98379, 'PF05264', NULL, 'Choristoneura fumiferana antifreeze protein (CfAFP)', 137, NULL, 'CfAFP', 42105),
(98380, 'PF17404', NULL, 'Nrap protein domain 3', 160, NULL, 'Nrap_D3', 42106),
(98381, 'PF06214', NULL, 'Signaling lymphocytic activation molecule (SLAM) protein', 125, NULL, 'SLAM', 42107),
(98382, 'PF03942', NULL, 'DTW domain', 202, NULL, 'DTW', 42108),
(98383, 'PF12471', NULL, 'GTP cyclohydrolase N terminal', 193, NULL, 'GTP_CH_N', 42109),
(98384, 'PF07554', NULL, 'FIVAR domain', 71, NULL, 'FIVAR', 42110),
(98385, 'PF11925', NULL, 'Protein of unknown function (DUF3443)', 370, NULL, 'DUF3443', 42111),
(98386, 'PF18946', NULL, 'GpV Apex motif', 23, NULL, 'Apex', 42112),
(98387, 'PF03891', NULL, 'Domain of unknown function (DUF333)', 48, NULL, 'DUF333', 42113),
(98388, 'PF08567', NULL, 'TFIIH p62 subunit, N-terminal domain', 89, NULL, 'PH_TFIIH', 42114);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(98389, 'PF06726', NULL, 'Bladder cancer-related protein BC10', 65, NULL, 'BC10', 42115),
(98390, 'PF19634', NULL, 'Family of unknown function (DUF6137)', 82, NULL, 'DUF6137', 42116),
(98391, 'PF16901', NULL, 'C-terminal domain of alpha-glycerophosphate oxidase', 126, NULL, 'DAO_C', 42117),
(98392, 'PF09163', NULL, 'Formate dehydrogenase N, transmembrane', 44, NULL, 'Form-deh_trans', 42118),
(98393, 'PF11792', NULL, 'Baculoviridae late expression factor 5 C-terminal domain', 42, NULL, 'Baculo_LEF5_C', 42119),
(98394, 'PF05265', NULL, 'Protein of unknown function (DUF723)', 60, NULL, 'DUF723', 42120),
(98395, 'PF12841', NULL, 'YvrJ protein family', 36, NULL, 'YvrJ', 42121),
(98396, 'PF03503', NULL, 'Chlamydia cysteine-rich outer membrane protein 3', 54, NULL, 'Chlam_OMP3', 42122),
(98397, 'PF04795', NULL, 'PAPA-1-like conserved region', 86, NULL, 'PAPA-1', 42123),
(98398, 'PF17632', NULL, 'Family of unknown function (DUF5513)', 91, NULL, 'DUF5513', 42124),
(98399, 'PF02752', NULL, 'Arrestin (or S-antigen), C-terminal domain', 136, NULL, 'Arrestin_C', 42125),
(98400, 'PF03959', NULL, 'Serine hydrolase (FSH1)', 212, NULL, 'FSH1', 42126),
(98401, 'PF07667', NULL, 'Protein of unknown function (DUF1600)', 111, NULL, 'DUF1600', 42127),
(98402, 'PF17537', NULL, 'Family of unknown function (DUF5455)', 102, NULL, 'DUF5455', 42128),
(98403, 'PF14541', NULL, 'Xylanase inhibitor C-terminal', 161, NULL, 'TAXi_C', 42129),
(98404, 'PF18076', NULL, 'Formylglycinamide ribonucleotide amidotransferase N-terminal', 115, NULL, 'FGAR-AT_N', 42130),
(98405, 'PF14395', NULL, 'Phage phiEco32-like COOH.NH2 ligase-type 2', 253, NULL, 'COOH-NH2_lig', 42131),
(98406, 'PF09312', NULL, 'SurA N-terminal domain', 118, NULL, 'SurA_N', 42132),
(98407, 'PF19643', NULL, 'Family of unknown function (DUF6146)', 133, NULL, 'DUF6146', 42133),
(98408, 'PF09427', NULL, 'Domain of unknown function (DUF2014)', 264, NULL, 'DUF2014', 42134),
(98409, 'PF14615', NULL, 'Ribosome-assembly protein 3', 46, NULL, 'Rsa3', 42135),
(98410, 'PF06901', NULL, 'RTX iron-regulated protein FrpC', 271, NULL, 'FrpC', 42136),
(98411, 'PF09757', NULL, 'Arb2 domain', 259, NULL, 'Arb2', 42137),
(98412, 'PF08397', NULL, 'IRSp53/MIM homology domain', 219, NULL, 'IMD', 42138),
(98413, 'PF03366', NULL, 'YEATS family', 82, NULL, 'YEATS', 42139),
(98414, 'PF09038', NULL, 'Tumour suppressor p53-binding protein-1 Tudor', 122, NULL, '53-BP1_Tudor', 42140),
(98415, 'PF13306', NULL, 'BspA type Leucine rich repeat region (6 copies)', 128, NULL, 'LRR_5', 42141),
(98416, 'PF06299', NULL, 'Protein of unknown function (DUF1045)', 159, NULL, 'DUF1045', 42142),
(98417, 'PF00361', NULL, 'Proton-conducting membrane transporter', 293, NULL, 'Proton_antipo_M', 42143),
(98418, 'PF03483', NULL, 'B3/4 domain', 174, NULL, 'B3_4', 42144),
(98419, 'PF13733', NULL, 'N-terminal region of glycosyl transferase group 7', 134, NULL, 'Glyco_transf_7N', 42145),
(98420, 'PF13777', NULL, 'Domain of unknown function (DUF4173)', 190, NULL, 'DUF4173', 42146),
(98421, 'PF08095', NULL, 'Hefutoxin family', 22, NULL, 'Toxin_25', 42147),
(98422, 'PF04889', NULL, 'Cwf15/Cwc15 cell cycle control protein', 247, NULL, 'Cwf_Cwc_15', 42148),
(98423, 'PF10987', NULL, 'Protein of unknown function (DUF2806)', 221, NULL, 'DUF2806', 42149),
(98424, 'PF16692', NULL, 'Folliculin C-terminal domain', 226, NULL, 'Folliculin_C', 42150),
(98425, 'PF15202', NULL, 'Adipogenin', 79, NULL, 'Adipogenin', 42151),
(98426, 'PF06531', NULL, 'Protein of unknown function (DUF1108)', 84, NULL, 'DUF1108', 42152),
(98427, 'PF01806', NULL, 'Paramyxovirinae P phosphoprotein C-terminal region', 248, NULL, 'Paramyxo_P', 42153),
(98428, 'PF13945', NULL, 'Salt tolerance down-regulator', 192, NULL, 'NST1', 42154),
(98429, 'PF07643', NULL, 'Protein of unknown function (DUF1598)', 84, NULL, 'DUF1598', 42155),
(98430, 'PF04443', NULL, 'Acyl-protein synthetase, LuxE', 375, NULL, 'LuxE', 42156),
(98431, 'PF02200', NULL, 'STE like transcription factor', 110, NULL, 'STE', 42157),
(98432, 'PF05573', NULL, 'NosL', 131, NULL, 'NosL', 42158),
(98433, 'PF14262', NULL, 'Carbohydrate-binding domain-containing protein Cthe_2159', 262, NULL, 'Cthe_2159', 42159);
INSERT INTO "PUBLIC"."MODEL" VALUES
(98434, 'PF16397', NULL, 'Domain of unknown function (DUF5006)', 263, NULL, 'DUF5006', 42160),
(98435, 'PF14438', NULL, 'Ataxin 2 SM domain', 81, NULL, 'SM-ATX', 42161),
(98436, 'PF18958', NULL, 'Putative zinc dependent peptidase (DUF5700)', 283, NULL, 'DUF5700', 42162),
(98437, 'PF00558', NULL, 'Vpu protein', 81, NULL, 'Vpu', 42163),
(98438, 'PF03544', NULL, 'Gram-negative bacterial TonB protein C-terminal', 79, NULL, 'TonB_C', 42164),
(98439, 'PF16434', NULL, 'Domain of unknown function (DUF5031)', 377, NULL, 'DUF5031', 42165),
(98440, 'PF04392', NULL, 'ABC transporter substrate binding protein', 293, NULL, 'ABC_sub_bind', 42166),
(98441, 'PF17881', NULL, 'Domain of unknown function (DUF5590)', 45, NULL, 'DUF5590', 42167),
(98442, 'PF03903', NULL, 'Phage T4 tail fibre', 131, NULL, 'Phage_T4_gp36', 42168),
(98443, 'PF17710', NULL, 'Family of unknown function (DUF5555)', 295, NULL, 'DUF5555', 42169),
(98444, 'PF04545', NULL, 'Sigma-70, region 4', 50, NULL, 'Sigma70_r4', 42170),
(98445, 'PF15983', NULL, 'Domain of unknown function (DUF4767)', 138, NULL, 'DUF4767', 42171),
(98446, 'PF18544', NULL, 'Polo box domain', 98, NULL, 'Polo_box_3', 42172),
(98447, 'PF10383', NULL, 'Transcription-silencing protein Clr2', 143, NULL, 'Clr2', 42173),
(98448, 'PF11165', NULL, 'Protein of unknown function (DUF2949)', 56, NULL, 'DUF2949', 42174),
(98449, 'PF11934', NULL, 'Domain of unknown function (DUF3452)', 138, NULL, 'DUF3452', 42175),
(98450, 'PF15974', NULL, 'Cadherin C-terminal cytoplasmic tail, catenin-binding region', 134, NULL, 'Cadherin_tail', 42176),
(98451, 'PF17785', NULL, 'PUA-like domain', 64, NULL, 'PUA_3', 42177),
(98452, 'PF08716', NULL, 'Coronavirus replicase NSP7', 83, NULL, 'CoV_NSP7', 42178),
(98453, 'PF16552', NULL, 'D-ornithine 4,5-aminomutase alpha-subunit', 115, NULL, 'OAM_alpha', 42179),
(98454, 'PF07662', NULL, 'Na+ dependent nucleoside transporter C-terminus', 213, NULL, 'Nucleos_tra2_C', 42180),
(98455, 'PF00780', NULL, 'CNH domain', 258, NULL, 'CNH', 42181),
(98456, 'PF01026', NULL, 'TatD related DNase', 255, NULL, 'TatD_DNase', 42182),
(98457, 'PF18571', NULL, 'von Willebrand factor type A C-terminal domain', 47, NULL, 'VWA_3_C', 42183),
(98458, 'PF20102', NULL, 'Family of unknown function (DUF6492)', 291, NULL, 'DUF6492', 42184),
(98459, 'PF18920', NULL, 'Domain of unknown function (DUF5671)', 131, NULL, 'DUF5671', 42185),
(98460, 'PF00299', NULL, 'Squash family serine protease inhibitor', 29, NULL, 'Squash', 42186),
(98461, 'PF11049', NULL, 'Glycoprotein K1 of Kaposi''s sarcoma-associated herpes virus', 71, NULL, 'KSHV_K1', 42187),
(98462, 'PF08142', NULL, 'AARP2CN (NUC121) domain', 86, NULL, 'AARP2CN', 42188),
(98463, 'PF05643', NULL, 'Putative bacterial lipoprotein (DUF799)', 185, NULL, 'DUF799', 42189),
(98464, 'PF12683', NULL, 'Protein of unknown function (DUF3798)', 271, NULL, 'DUF3798', 42190),
(98465, 'PF16373', NULL, 'Domain of unknown function', 114, NULL, 'DUF4985', 42191),
(98466, 'PF06763', NULL, 'Prophage minor tail protein Z (GPZ)', 190, NULL, 'Minor_tail_Z', 42192),
(98467, 'PF02178', NULL, 'AT hook motif', 13, NULL, 'AT_hook', 42193),
(98468, 'PF05096', NULL, 'Glutamine cyclotransferase', 248, NULL, 'Glu_cyclase_2', 42194),
(98469, 'PF02817', NULL, 'e3 binding domain', 36, NULL, 'E3_binding', 42195),
(98470, 'PF05015', NULL, 'RelE-like toxin of type II toxin-antitoxin system HigB', 93, NULL, 'HigB-like_toxin', 42196),
(98471, 'PF06286', NULL, 'Coleoptericin', 143, NULL, 'Coleoptericin', 42197),
(98472, 'PF12542', NULL, 'Pre-mRNA splicing factor', 101, NULL, 'CWC25', 42198),
(98473, 'PF15682', NULL, 'Musculoskeletal, temporally activated-embryonic nuclear protein 1', 75, NULL, 'Mustang', 42199),
(98474, 'PF06412', NULL, 'Conjugal transfer protein TraD', 61, NULL, 'TraD', 42200),
(98475, 'PF07733', NULL, 'Bacterial DNA polymerase III alpha NTPase domain', 260, NULL, 'DNA_pol3_alpha', 42201),
(98476, 'PF18859', NULL, 'Actinobacteria/chloroflexi VLRF1 release factor', 130, NULL, 'acVLRF1', 42202),
(98477, 'PF09010', NULL, 'Anti-Sigma Factor A', 85, NULL, 'AsiA', 42203);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(98478, 'PF03845', NULL, 'Spore germination protein', 321, NULL, 'Spore_permease', 42204),
(98479, 'PF01124', NULL, 'MAPEG family', 130, NULL, 'MAPEG', 42205),
(98480, 'PF05606', NULL, 'Borrelia burgdorferi protein of unknown function (DUF777)', 135, NULL, 'DUF777', 42206),
(98481, 'PF07246', NULL, 'Phlebovirus nonstructural protein NS-M', 264, NULL, 'Phlebovirus_NSM', 42207),
(98482, 'PF16522', NULL, 'Flagellar FLiS export co-chaperone, HP1076', 149, NULL, 'FliS_cochap', 42208),
(98483, 'PF05119', NULL, 'Phage terminase, small subunit', 98, NULL, 'Terminase_4', 42209),
(98484, 'PF03179', NULL, 'Vacuolar (H+)-ATPase G subunit', 105, NULL, 'V-ATPase_G', 42210),
(98485, 'PF18869', NULL, 'RnaseLS-like HEPN', 124, NULL, 'HEPN_RnaseLS', 42211),
(98486, 'PF09596', NULL, 'MamL-1 domain', 58, NULL, 'MamL-1', 42212),
(98487, 'PF16956', NULL, 'Putative general bacterial porin', 267, NULL, 'Porin_7', 42213),
(98488, 'PF19911', NULL, 'Family of unknown function (DUF6384)', 308, NULL, 'DUF6384', 42214),
(98489, 'PF13487', NULL, 'HD domain', 64, NULL, 'HD_5', 42215),
(98490, 'PF13609', NULL, 'Gram-negative porin', 312, NULL, 'Porin_4', 42216),
(98491, 'PF05073', NULL, 'Baculovirus P24 capsid protein', 182, NULL, 'Baculo_p24', 42217),
(98492, 'PF01054', NULL, 'Mouse mammary tumour virus superantigen', 184, NULL, 'MMTV_SAg', 42218),
(98493, 'PF14773', NULL, 'Helicase-associated putative binding domain, C-terminal', 62, NULL, 'VIGSSK', 42219),
(98494, 'PF08906', NULL, 'Domain of unknown function (DUF1851)', 75, NULL, 'DUF1851', 42220),
(98495, 'PF04162', NULL, 'Gyrovirus capsid protein (VP1)', 449, NULL, 'Gyro_capsid', 42221),
(98496, 'PF15425', NULL, 'Domain of unknown function (DUF4627)', 211, NULL, 'DUF4627', 42222),
(98497, 'PF01928', NULL, 'CYTH domain', 179, NULL, 'CYTH', 42223),
(98498, 'PF01407', NULL, 'Geminivirus AL3 protein', 119, NULL, 'Gemini_AL3', 42224),
(98499, 'PF13569', NULL, 'Domain of unknown function (DUF4132)', 180, NULL, 'DUF4132', 42225),
(98500, 'PF14410', NULL, 'HNH/ENDO VII superfamily nuclease with conserved GHE residues', 70, NULL, 'GH-E', 42226),
(98501, 'PF16789', NULL, 'YscO-like protein', 161, NULL, 'YscO-like', 42227),
(98502, 'PF19764', NULL, 'Family of unknown function (DUF6251)', 126, NULL, 'DUF6251', 42228),
(98503, 'PF12949', NULL, 'HeH/LEM domain', 35, NULL, 'HeH', 42229),
(98504, 'PF13311', NULL, 'Protein of unknown function (DUF4080)', 188, NULL, 'DUF4080', 42230),
(98505, 'PF16134', NULL, 'THO complex subunit 2 N-terminus', 624, NULL, 'THOC2_N', 42231),
(98506, 'PF04932', NULL, 'O-Antigen ligase', 154, NULL, 'Wzy_C', 42232),
(98507, 'PF04563', NULL, 'RNA polymerase beta subunit', 203, NULL, 'RNA_pol_Rpb2_1', 42233),
(98508, 'PF04377', NULL, 'Arginine-tRNA-protein transferase, C terminus', 134, NULL, 'ATE_C', 42234),
(98509, 'PF00425', NULL, 'chorismate binding enzyme', 256, NULL, 'Chorismate_bind', 42235),
(98510, 'PF11545', NULL, 'Cell surface heme-binding protein Shp', 152, NULL, 'HemeBinding_Shp', 42236),
(98511, 'PF06479', NULL, 'Ribonuclease 2-5A', 127, NULL, 'Ribonuc_2-5A', 42237),
(98512, 'PF14133', NULL, 'Domain of unknown function (DUF4300)', 252, NULL, 'DUF4300', 42238),
(98513, 'PF06852', NULL, 'Protein of unknown function (DUF1248)', 181, NULL, 'DUF1248', 42239),
(98514, 'PF15271', NULL, 'Spindle pole body component BBP1, Mps2-binding protein', 152, NULL, 'BBP1_N', 42240),
(98515, 'PF03298', NULL, 'Stanniocalcin family', 200, NULL, 'Stanniocalcin', 42241),
(98516, 'PF03796', NULL, 'DnaB-like helicase C terminal domain', 254, NULL, 'DnaB_C', 42242),
(98517, 'PF02963', NULL, 'Restriction endonuclease EcoRI', 257, NULL, 'EcoRI', 42243),
(98518, 'PF00048', NULL, 'Small cytokines (intecrine/chemokine), interleukin-8 like', 60, NULL, 'IL8', 42244),
(98519, 'PF17686', NULL, 'Family of unknown function (DUF5534)', 183, NULL, 'DUF5534', 42245),
(98520, 'PF09397', NULL, 'Ftsk gamma domain', 63, NULL, 'FtsK_gamma', 42246),
(98521, 'PF00179', NULL, 'Ubiquitin-conjugating enzyme', 140, NULL, 'UQ_con', 42247),
(98522, 'PF12076', NULL, 'WAX2 C-terminal domain', 164, NULL, 'Wax2_C', 42248);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(98523, 'PF17604', NULL, 'Family of unknown function (DUF5500)', 98, NULL, 'DUF5500', 42249),
(98524, 'PF06262', NULL, 'Zincin-like metallopeptidase', 97, NULL, 'Zincin_1', 42250),
(98525, 'PF15211', NULL, 'VEGF co-regulated chemokine 1', 89, NULL, 'CXCL17', 42251),
(98526, 'PF09839', NULL, 'Uncharacterized protein conserved in bacteria (DUF2066)', 233, NULL, 'DUF2066', 42252),
(98527, 'PF09626', NULL, 'Dihaem cytochrome c', 111, NULL, 'DHC', 42253),
(98528, 'PF13928', NULL, 'Flocculin type 3 repeat', 44, NULL, 'Flocculin_t3', 42254),
(98529, 'PF17240', NULL, 'Family of unknown function (DUF5313)', 123, NULL, 'DUF5313', 42255),
(98530, 'PF04682', NULL, 'Herpesvirus BTRF1 protein conserved region', 259, NULL, 'Herpes_BTRF1', 42256),
(98531, 'PF14540', NULL, 'Nucleotidyltransferase-like', 118, NULL, 'NTF-like', 42257),
(98532, 'PF11849', NULL, 'Domain of unknown function (DUF3369)', 168, NULL, 'DUF3369', 42258),
(98533, 'PF18012', NULL, 'PH domain', 60, NULL, 'PH_17', 42259),
(98534, 'PF09720', NULL, 'Putative addiction module component', 54, NULL, 'Unstab_antitox', 42260),
(98535, 'PF19955', NULL, 'Effector-associated domain 1', 90, NULL, 'EAD1', 42261),
(98536, 'PF15363', NULL, 'Domain of unknown function (DUF4596)', 46, NULL, 'DUF4596', 42262),
(98537, 'PF17039', NULL, 'Fucosyltransferase, N-terminal', 110, NULL, 'Glyco_tran_10_N', 42263),
(98538, 'PF03983', NULL, 'SLA1 homology domain 1, SHD1', 67, NULL, 'SHD1', 42264),
(98539, 'PF05964', NULL, 'F/Y-rich N-terminus', 51, NULL, 'FYRN', 42265),
(98540, 'PF04203', NULL, 'Sortase domain', 125, NULL, 'Sortase', 42266),
(98541, 'PF15657', NULL, 'HNH/Endo VII superfamily nuclease toxins', 72, NULL, 'Tox-HNH-EHHH', 42267),
(98542, 'PF17900', NULL, 'Peptidase M1 N-terminal domain', 186, NULL, 'Peptidase_M1_N', 42268),
(98543, 'PF20127', NULL, 'Family of unknown function (DUF6517)', 215, NULL, 'DUF6517', 42269),
(98544, 'PF04650', NULL, 'YSIRK type signal peptide', 26, NULL, 'YSIRK_signal', 42270),
(98545, 'PF05004', NULL, 'Interferon-related developmental regulator (IFRD)', 304, NULL, 'IFRD', 42271),
(98546, 'PF08388', NULL, 'Group II intron, maturase-specific domain', 80, NULL, 'GIIM', 42272),
(98547, 'PF18996', NULL, 'Family of unknown function (DUF5726)', 90, NULL, 'DUF5726', 42273),
(98548, 'PF04890', NULL, 'Family of unknown function (DUF648)', 287, NULL, 'DUF648', 42274),
(98549, 'PF07174', NULL, 'Fibronectin-attachment protein (FAP)', 301, NULL, 'FAP', 42275),
(98550, 'PF01866', NULL, 'Putative diphthamide synthesis protein', 303, NULL, 'Diphthamide_syn', 42276),
(98551, 'PF18700', NULL, 'Cytosolic arginine sensor for mTORC1 subunit 1 N-terminal domain', 61, NULL, 'Castor1_N', 42277),
(98552, 'PF07514', NULL, 'Putative helicase', 327, NULL, 'TraI_2', 42278),
(98553, 'PF17445', NULL, 'Mating factor A1', 42, NULL, 'Mfa1', 42279),
(98554, 'PF01944', NULL, 'Stage II sporulation protein M', 156, NULL, 'SpoIIM', 42280),
(98555, 'PF09628', NULL, 'YvfG protein', 67, NULL, 'YvfG', 42281),
(98556, 'PF12172', NULL, 'Rubredoxin-like zinc ribbon domain (DUF35_N)', 37, NULL, 'DUF35_N', 42282),
(98557, 'PF03091', NULL, 'CutA1 divalent ion tolerance protein', 99, NULL, 'CutA1', 42283),
(98558, 'PF03355', NULL, 'Viral Trans-Activator Protein', 260, NULL, 'Pox_TAP', 42284),
(98559, 'PF10666', NULL, 'Phage tail assembly chaperone protein Gp14 ()A118', 140, NULL, 'Phage_TAC_8', 42285),
(98560, 'PF05410', NULL, 'Porcine arterivirus-type cysteine proteinase alpha', 105, NULL, 'Peptidase_C31', 42286),
(98561, 'PF11494', NULL, 'Ta0938', 92, NULL, 'Ta0938', 42287),
(98562, 'PF01095', NULL, 'Pectinesterase', 298, NULL, 'Pectinesterase', 42288),
(98563, 'PF04090', NULL, 'RNA polymerase I specific initiation factor', 199, NULL, 'RNA_pol_I_TF', 42289),
(98564, 'PF06003', NULL, 'Survival motor neuron protein (SMN)', 264, NULL, 'SMN', 42290),
(98565, 'PF02370', NULL, 'M protein repeat', 21, NULL, 'M', 42291),
(98566, 'PF11602', NULL, 'ATPase P4 of dsRNA bacteriophage phi-12', 320, NULL, 'NTPase_P4', 42292),
(98567, 'PF03435', NULL, 'Saccharopine dehydrogenase NADP binding domain', 130, NULL, 'Sacchrp_dh_NADP', 42293);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(98568, 'PF08442', NULL, 'ATP-grasp domain', 202, NULL, 'ATP-grasp_2', 42294),
(98569, 'PF10678', NULL, 'Protein of unknown function (DUF2492)', 77, NULL, 'DUF2492', 42295),
(98570, 'PF11359', NULL, 'Glycoprotein UL132', 238, NULL, 'gpUL132', 42296),
(98571, 'PF16609', NULL, 'SH3-RhoGEF linking unstructured region', 261, NULL, 'SH3-RhoG_link', 42297),
(98572, 'PF18771', NULL, 'APOBEC3', 135, NULL, 'APOBEC3', 42298),
(98573, 'PF07052', NULL, 'Hepatocellular carcinoma-associated antigen 59', 105, NULL, 'Hep_59', 42299),
(98574, 'PF00289', NULL, 'Biotin carboxylase, N-terminal domain', 110, NULL, 'Biotin_carb_N', 42300),
(98575, 'PF03516', NULL, 'Filaggrin', 56, NULL, 'Filaggrin', 42301),
(98576, 'PF19571', NULL, 'ACT domain pair', 141, NULL, 'ACT_8', 42302),
(98577, 'PF13727', NULL, 'CoA-binding domain', 175, NULL, 'CoA_binding_3', 42303),
(98578, 'PF02705', NULL, 'K+ potassium transporter', 533, NULL, 'K_trans', 42304),
(98579, 'PF16887', NULL, 'Domain of unknown function (DUF5081)', 231, NULL, 'DUF5081', 42305),
(98580, 'PF16296', NULL, 'N-terminal of TM subunit in PBP-dependent ABC transporters', 84, NULL, 'TM_PBP2_N', 42306),
(98581, 'PF13533', NULL, 'Biotin-lipoyl like', 50, NULL, 'Biotin_lipoyl_2', 42307),
(98582, 'PF17908', NULL, 'APAF-1 helical domain', 135, NULL, 'APAF1_C', 42308),
(98583, 'PF08706', NULL, 'D5 N terminal like', 151, NULL, 'D5_N', 42309),
(98584, 'PF06009', NULL, 'Laminin Domain II', 138, NULL, 'Laminin_II', 42310),
(98585, 'PF17305', NULL, 'Family of unknown function (DUF5354)', 124, NULL, 'DUF5354', 42311),
(98586, 'PF06961', NULL, 'Protein of unknown function (DUF1294)', 55, NULL, 'DUF1294', 42312),
(98587, 'PF16469', NULL, 'Nematode polyprotein allergen ABA-1', 122, NULL, 'NPA', 42313),
(98588, 'PF12819', NULL, 'Malectin-like domain', 335, NULL, 'Malectin_like', 42314),
(98589, 'PF00170', NULL, 'bZIP transcription factor', 64, NULL, 'bZIP_1', 42315),
(98590, 'PF03276', NULL, 'Spumavirus gag protein', 614, NULL, 'Gag_spuma', 42316),
(98591, 'PF14406', NULL, 'Ribosomally synthesized peptide in Bacteroidetes', 52, NULL, 'Bacteroid_pep', 42317),
(98592, 'PF08375', NULL, 'Proteasome regulatory subunit C-terminal', 66, NULL, 'Rpn3_C', 42318),
(98593, 'PF09737', NULL, 'De-etiolated protein 1 Det1', 412, NULL, 'Det1', 42319),
(98594, 'PF15347', NULL, 'Phosphoprotein associated with glycosphingolipid-enriched', 428, NULL, 'PAG', 42320),
(98595, 'PF13663', NULL, 'Domain of unknown function (DUF4148)', 54, NULL, 'DUF4148', 42321),
(98596, 'PF13130', NULL, 'Domain of unknown function (DUF3952)', 101, NULL, 'DUF3952', 42322),
(98597, 'PF03937', NULL, 'Flavinator of succinate dehydrogenase', 75, NULL, 'Sdh5', 42323),
(98598, 'PF07304', NULL, 'Steroid receptor RNA activator (SRA1)', 147, NULL, 'SRA1', 42324),
(98599, 'PR01113', NULL, 'CLC-2 chloride channel signature', NULL, NULL, 'CLCHANNEL2', 42325),
(98600, 'PR00805', NULL, 'Alpha-catenin signature', NULL, NULL, 'ALPHACATENIN', 42326),
(98601, 'PR01199', NULL, 'Creatine transporter signature', NULL, NULL, 'CRTTRANSPORT', 42327),
(98602, 'PR01833', NULL, 'Vascular endothelial growth factor receptor type 1 signature', NULL, NULL, 'VEGFRECEPTR1', 42328),
(98603, 'PR00767', NULL, 'Dopamine-beta-monooxygenase signature', NULL, NULL, 'DBMONOXGNASE', 42329),
(98604, 'PR00327', NULL, 'Ice nucleation protein signature', NULL, NULL, 'ICENUCLEATN', 42330),
(98605, 'PR01332', NULL, 'Kir6.2 inward rectifier K+ channel signature', NULL, NULL, 'KIR62CHANNEL', 42331),
(98606, 'PR01363', NULL, 'Viral protein D9 signature', NULL, NULL, 'VD09PROTEIN', 42332),
(98607, 'PR00673', NULL, 'Light harvesting protein A chain signature', NULL, NULL, 'LIGHTHARVSTA', 42333),
(98608, 'PR00705', NULL, 'Papain cysteine protease (C1) family signature', NULL, NULL, 'PAPAIN', 42334),
(98609, 'PR00888', NULL, 'Smooth muscle protein/calponin family signature', NULL, NULL, 'SM22CALPONIN', 42335),
(98610, 'PR00021', NULL, 'Small proline-rich protein signature', NULL, NULL, 'PRORICH', 42336),
(98611, 'PR01100', NULL, 'Shikimate kinase family signature', NULL, NULL, 'SHIKIMTKNASE', 42337);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(98612, 'PR00761', NULL, 'Bindin precursor signature', NULL, NULL, 'BINDIN', 42338),
(98613, 'PR01138', NULL, 'Gap junction beta-1 protein (Cx32) signature', NULL, NULL, 'CONNEXINB1', 42339),
(98614, 'PR00826', NULL, 'Fanconi anaemia group A protein signature', NULL, NULL, 'FANCONIAGENE', 42340),
(98615, 'PR00837', NULL, 'Allergen V5/Tpx-1 family signature', NULL, NULL, 'V5TPXLIKE', 42341),
(98616, 'PR00933', NULL, 'B-lytic metalloendopeptidase (M23) signature', NULL, NULL, 'BLYTICPTASE', 42342),
(98617, 'PR01340', NULL, 'Salmonella virulence plasmid 28.1kDa A protein signature', NULL, NULL, 'SALSPVAPROT', 42343),
(98618, 'PR01358', NULL, 'Interleukin-1 alpha precursor signature', NULL, NULL, 'INTRLEUKIN1A', 42344),
(98619, 'PR00196', NULL, 'Annexin family signature', NULL, NULL, 'ANNEXIN', 42345),
(98620, 'PR01974', NULL, 'Tumour necrosis factor receptor 11A signature', NULL, NULL, 'TNFACTORR11A', 42346),
(98621, 'PR00380', NULL, 'Kinesin heavy chain signature', NULL, NULL, 'KINESINHEAVY', 42347),
(98622, 'PR00759', NULL, 'Basic protease (Kunitz-type) inhibitor family signature', NULL, NULL, 'BASICPTASE', 42348),
(98623, 'PR01301', NULL, 'Regulator of G protein signalling (RGS) protein signature', NULL, NULL, 'RGSPROTEIN', 42349),
(98624, 'PR00617', NULL, 'Copper fist domain signature', NULL, NULL, 'COPPERFIST', 42350),
(98625, 'PR01476', NULL, 'Leukotriene B4 receptor signature', NULL, NULL, 'LTBRECEPTOR', 42351),
(98626, 'PR00738', NULL, 'Glycosyl hydrolase family 20 signature', NULL, NULL, 'GLHYDRLASE20', 42352),
(98627, 'PR00268', NULL, 'Nerve growth factor signature', NULL, NULL, 'NGF', 42353),
(98628, 'PR00046', NULL, 'Major sigma-70 factor signature', NULL, NULL, 'SIGMA70FCT', 42354),
(98629, 'PR01830', NULL, 'Trace amine receptor signature', NULL, NULL, 'TRACEAMINER', 42355),
(98630, 'PR01389', NULL, 'Cytolethal distending toxin C signature', NULL, NULL, 'CDTOXINC', 42356),
(98631, 'PR02080', NULL, 'Toxin Pg family signature', NULL, NULL, 'TOXINPGFAMLY', 42357),
(98632, 'PR01157', NULL, 'P2Y purinoceptor signature', NULL, NULL, 'P2YPURNOCPTR', 42358),
(98633, 'PR01764', NULL, 'MAP kinase phosphatase signature', NULL, NULL, 'MAPKPHPHTASE', 42359),
(98634, 'PR01807', NULL, 'Angiomotin family signature', NULL, NULL, 'ANGIOMOTIN', 42360),
(98635, 'PR00464', NULL, 'Group II E-class P450 signature', NULL, NULL, 'EP450II', 42361),
(98636, 'PR01083', NULL, 'Lymphocyte-specific protein signature', NULL, NULL, 'LYMPHSPCIFIC', 42362),
(98637, 'PR00167', NULL, 'Calcium channel signature', NULL, NULL, 'CACHANNEL', 42363),
(98638, 'PR00456', NULL, 'Ribosomal protein P2 signature', NULL, NULL, 'RIBOSOMALP2', 42364),
(98639, 'PR01143', NULL, 'Follicle stimulating hormone receptor precursor signature', NULL, NULL, 'FSHRECEPTOR', 42365),
(98640, 'PR01187', NULL, 'Anion exchanger isoform 1 signature', NULL, NULL, 'ANIONEXHNGR1', 42366),
(98641, 'PR01383', NULL, 'Claudin-10 signature', NULL, NULL, 'CLAUDIN10', 42367),
(98642, 'PR01738', NULL, 'RNA binding motif protein 8 family signature', NULL, NULL, 'RNABINDINGM8', 42368),
(98643, 'PR02102', NULL, 'Inhibitor of CDK interacting with cyclin A1 protein signature', NULL, NULL, 'PROTEININCA1', 42369),
(98644, 'PR00015', NULL, 'Gram-positive coccus surface protein anchor signature', NULL, NULL, 'GPOSANCHOR', 42370),
(98645, 'PR00955', NULL, 'Flagellar motor switch protein FliM signature', NULL, NULL, 'FLGMOTORFLIM', 42371),
(98646, 'PR01524', NULL, 'EDG-3 sphingosine 1-phosphate receptor signature', NULL, NULL, 'EDG3RECEPTOR', 42372),
(98647, 'PR01664', NULL, 'Voltage-gated Na+ channel alpha 1 subunit signature', NULL, NULL, 'NACHANNEL1', 42373),
(98648, 'PR00347', NULL, 'Pathogenesis-related protein signature', NULL, NULL, 'THAUMATIN', 42374),
(98649, 'PR00848', NULL, 'Sperm surface protein PH20 signature', NULL, NULL, 'SPERMPH20', 42375),
(98650, 'PR01223', NULL, 'Bride of sevenless protein signature', NULL, NULL, 'BRIDEOF7LESS', 42376),
(98651, 'PR01336', NULL, 'Chlamydia cysteine-rich outer membrane protein 6 signature', NULL, NULL, 'CHLAMIDIAOM6', 42377);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(98652, 'PR00430', NULL, 'Interleukin-3 signature', NULL, NULL, 'INTERLEUKIN3', 42378),
(98653, 'PR01467', NULL, 'Bacterial arginine repressor signature', NULL, NULL, 'ARGREPRESSOR', 42379),
(98654, 'PR01947', NULL, 'Mammalian interleukin-15 signature', NULL, NULL, 'INTLKN15MAML', 42380),
(98655, 'PR02061', NULL, 'Wolframin signature', NULL, NULL, 'WOLFRAMIN', 42381),
(98656, 'PR01736', NULL, 'Phosphoenolpyruvate-protein phosphotransferase signature', NULL, NULL, 'PHPHTRNFRASE', 42382),
(98657, 'PR00886', NULL, 'High mobility group (HMG1/HMG2) protein signature', NULL, NULL, 'HIGHMOBLTY12', 42383),
(98658, 'PR00354', NULL, '7Fe ferredoxin signature', NULL, NULL, '7FE8SFRDOXIN', 42384),
(98659, 'PR01489', NULL, 'Gram-negative bacterial RTX toxin-activating protein C signature', NULL, NULL, 'RTXTOXINC', 42385),
(98660, 'PR00907', NULL, 'Thrombomodulin signature', NULL, NULL, 'THRMBOMODULN', 42386),
(98661, 'PR01247', NULL, 'Rec1 exonuclease signature', NULL, NULL, 'RECEXONCLASE', 42387),
(98662, 'PR01653', NULL, 'Translationally controlled tumour protein signature', NULL, NULL, 'TCTPROTEIN', 42388),
(98663, 'PR02100', NULL, 'Radiation-inducible immediate-early gene IEX-1 signature', NULL, NULL, 'GENEIEX1', 42389),
(98664, 'PR00225', NULL, 'Geminivirus BR1 coat protein signature', NULL, NULL, 'GEMCOATBR1', 42390),
(98665, 'PR00044', NULL, 'Myc proto-oncogene signature', NULL, NULL, 'LEUZIPPRMYC', 42391),
(98666, 'PR00345', NULL, 'Stathmin family signature', NULL, NULL, 'STATHMIN', 42392),
(98667, 'PR01449', NULL, 'Calcium-activated BK potassium channel alpha subunit signature', NULL, NULL, 'BKCHANNELA', 42393),
(98668, 'PR01463', NULL, 'EAG/ELK/ERG potassium channel family signature', NULL, NULL, 'EAGCHANLFMLY', 42394),
(98669, 'PR00224', NULL, 'Geminivirus AR1 coat protein signature', NULL, NULL, 'GEMCOATAR1', 42395),
(98670, 'PR00289', NULL, 'Disintegrin signature', NULL, NULL, 'DISINTEGRIN', 42396),
(98671, 'PR00912', NULL, 'Luteovirus ORF5 VPG protein signature', NULL, NULL, 'LVIRUSORF5', 42397),
(98672, 'PR00124', NULL, 'ATP synthase C subunit signature', NULL, NULL, 'ATPASEC', 42398),
(98673, 'PR01245', NULL, 'Repair protein Rad1/Rec1 family signature', NULL, NULL, 'RAD1REC1', 42399),
(98674, 'PR01367', NULL, 'Beta- and gamma-crystallin family signature', NULL, NULL, 'BGCRYSTALLIN', 42400),
(98675, 'PR00557', NULL, 'Alpha-1A adrenergic receptor signature', NULL, NULL, 'ADRENRGCA1AR', 42401),
(98676, 'PR01661', NULL, 'Mini-chromosome maintenance (MCM) protein 5 signature', NULL, NULL, 'MCMPROTEIN5', 42402),
(98677, 'PR01969', NULL, 'Tumour necrosis factor receptor 19 signature', NULL, NULL, 'TNFACTORR19', 42403),
(98678, 'PR00712', NULL, 'Brain natriuretic peptide signature', NULL, NULL, 'BNATPEPTIDE', 42404),
(98679, 'PR01633', NULL, 'R-type voltage-dependent calcium channel alpha-1 subunit signature', NULL, NULL, 'RVDCCALPHA1', 42405),
(98680, 'PR00588', NULL, 'Somatostatin receptor type 2 signature', NULL, NULL, 'SOMATOSTTN2R', 42406),
(98681, 'PR01898', NULL, 'Bacterial superantigen superfamily signature', NULL, NULL, 'SAGSUPRFAMLY', 42407),
(98682, 'PR01544', NULL, 'Arabidopsis thaliana 130.7kDa hypothetical protein signature', NULL, NULL, 'ARATH130DUF', 42408),
(98683, 'PR00723', NULL, 'Subtilisin serine protease family (S8) signature', NULL, NULL, 'SUBTILISIN', 42409),
(98684, 'PR00936', NULL, 'Lambda phage regulatory protein CIII signature', NULL, NULL, 'BPLRPCIII', 42410),
(98685, 'PR00415', NULL, 'Aconitase family signature', NULL, NULL, 'ACONITASE', 42411),
(98686, 'PR00810', NULL, 'Bacterial general secretion pathway protein C signature', NULL, NULL, 'BCTERIALGSPC', 42412),
(98687, 'PR00710', NULL, 'Natriuretic peptide family signature', NULL, NULL, 'NATPEPTIDES', 42413),
(98688, 'PR00498', NULL, 'Neutrophil cytosol factor 1 signature', NULL, NULL, 'P47PHOX', 42414),
(98689, 'PR00250', NULL, 'Fungal pheromone mating factor STE2 GPCR signature', NULL, NULL, 'GPCRSTE2', 42415),
(98690, 'PR01510', NULL, 'Kv1.3 voltage-gated K+ channel signature', NULL, NULL, 'KV13CHANNEL', 42416);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(98691, 'PR00340', NULL, 'P-II protein signature', NULL, NULL, 'PIIGLNB', 42417),
(98692, 'PR00429', NULL, 'Thromboxane receptor signature', NULL, NULL, 'THROMBOXANER', 42418),
(98693, 'PR01758', NULL, 'Capsule biosynthesis protein CapB signature', NULL, NULL, 'CAPSULEPROTB', 42419),
(98694, 'PR02007', NULL, 'Pheromone-binding protein Gp-9 signature', NULL, NULL, 'ODORANTBPGP9', 42420),
(98695, 'PR01580', NULL, 'KCNAB voltage-gated K+ channel beta-3 subunit signature', NULL, NULL, 'KCNAB3CHANEL', 42421),
(98696, 'PR00642', NULL, 'EDG-1 sphingosine 1-phosphate receptor signature', NULL, NULL, 'EDG1RECEPTOR', 42422),
(98697, 'PR00982', NULL, 'Lysyl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHLYS', 42423),
(98698, 'PR00708', NULL, 'Alpha-1-acid glycoprotein signature', NULL, NULL, 'A1AGLPROTEIN', 42424),
(98699, 'PR00001', NULL, 'Coagulation factor GLA domain signature', NULL, NULL, 'GLABLOOD', 42425),
(98700, 'PR00689', NULL, 'Acyl-coA-binding protein signature', NULL, NULL, 'ACOABINDINGP', 42426),
(98701, 'PR00594', NULL, 'P2Y2 purinoceptor signature', NULL, NULL, 'P2Y2PRNOCPTR', 42427),
(98702, 'PR01004', NULL, 'Flagellar FliJ protein signature', NULL, NULL, 'FLGFLIJ', 42428),
(98703, 'PR00359', NULL, 'B-class P450 signature', NULL, NULL, 'BP450', 42429),
(98704, 'PR00604', NULL, 'Class IA and IB cytochrome C signature', NULL, NULL, 'CYTCHRMECIAB', 42430),
(98705, 'PR00444', NULL, 'HIV R-ORF/X-ORF protein signature', NULL, NULL, 'HIVVPRVPX', 42431),
(98706, 'PR00287', NULL, 'Plant thionin signature', NULL, NULL, 'THIONIN', 42432),
(98707, 'PR01708', NULL, '5-hydroxytryptamine 3 receptor signature', NULL, NULL, '5HT3RECEPTOR', 42433),
(98708, 'PR01771', NULL, 'ERK3/4 MAP kinase signature', NULL, NULL, 'ERK3ERK4MAPK', 42434),
(98709, 'PR01184', NULL, 'Ornatin signature', NULL, NULL, 'ORNATIN', 42435),
(98710, 'PR01687', NULL, 'CYP2E P450 family signature', NULL, NULL, 'EP450ICYP2E', 42436),
(98711, 'PR01434', NULL, 'NADH-ubiquinone oxidoreductase chain 5 signature', NULL, NULL, 'NADHDHGNASE5', 42437),
(98712, 'PR01929', NULL, 'Interleukin-13 signature', NULL, NULL, 'INTRLEUKIN13', 42438),
(98713, 'PR01208', NULL, 'Na-K-Cl co-transporter 1 signature', NULL, NULL, 'NAKCLTRSPRT1', 42439),
(98714, 'PR01957', NULL, 'CYP2F P450 family signature', NULL, NULL, 'EP450ICYP2F', 42440),
(98715, 'PR01395', NULL, 'Bordetella pertussis toxin A subunit signature', NULL, NULL, 'BORPETOXINA', 42441),
(98716, 'PR01779', NULL, 'Lantibiotic leader peptide processing protein signature', NULL, NULL, 'LANTIPROCESS', 42442),
(98717, 'PR01644', NULL, 'Transient receptor potential channel 3 signature', NULL, NULL, 'TRPCHANNEL3', 42443),
(98718, 'PR01721', NULL, 'Fractalkine/neurotactin precursor signature', NULL, NULL, 'FRACTALKINE', 42444),
(98719, 'PR01741', NULL, 'Septin 3 signature', NULL, NULL, 'SEPTIN3', 42445),
(98720, 'PR00938', NULL, 'Brachyury protein family signature', NULL, NULL, 'BRACHYURY', 42446),
(98721, 'PR02043', NULL, 'Cancer susceptibility candidate protein 1 signature', NULL, NULL, 'CANCERSCCP1', 42447),
(98722, 'PR00420', NULL, 'Aromatic-ring hydroxylase (flavoprotein monooxygenase) signature', NULL, NULL, 'RNGMNOXGNASE', 42448),
(98723, 'PR00992', NULL, 'Alanine racemase signature', NULL, NULL, 'ALARACEMASE', 42449),
(98724, 'PR01884', NULL, 'Myelin and lymphocyte protein family', NULL, NULL, 'MALPROTEIN', 42450),
(98725, 'PR01976', NULL, 'Insulin-like growth factor-binding protein family signature', NULL, NULL, 'IGFBPFAMILY', 42451),
(98726, 'PR01814', NULL, 'Plant annexin signature', NULL, NULL, 'ANNEXINPLANT', 42452),
(98727, 'PR00787', NULL, 'Streptomyces extracellular neutral proteinase (M7) family signature', NULL, NULL, 'NEUTRALPTASE', 42453),
(98728, 'PR00809', NULL, 'Rice seed allergenic protein RAG signature', NULL, NULL, 'RAGALLERGEN', 42454),
(98729, 'PR01102', NULL, '5-hydroxytryptamine 6 receptor signature', NULL, NULL, '5HT6RECEPTR', 42455),
(98730, 'PR00548', NULL, 'Hyperglycemic hormone type 1 signature', NULL, NULL, 'HYPRGLYCEMC1', 42456),
(98731, 'PR00979', NULL, 'Tafazzin signature', NULL, NULL, 'TAFAZZIN', 42457);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(98732, 'PR00202', NULL, 'Annexin type VI signature', NULL, NULL, 'ANNEXINVI', 42458),
(98733, 'PR01179', NULL, 'Ornithine/diaminopimelate/arginine (ODA) decarboxylase family signature', NULL, NULL, 'ODADCRBXLASE', 42459),
(98734, 'PR02098', NULL, 'Hydrolethalus syndrome protein 1 signature', NULL, NULL, 'HYLETHALUSS1', 42460),
(98735, 'PR00655', NULL, 'Auxin binding protein signature', NULL, NULL, 'AUXINBINDNGP', 42461),
(98736, 'PR01259', NULL, 'Na+/Ca2+ exchanger signature', NULL, NULL, 'NACAEXCHNGR', 42462),
(98737, 'PR00786', NULL, 'Neprilysin metalloprotease (M13) family signature', NULL, NULL, 'NEPRILYSIN', 42463),
(98738, 'PR01775', NULL, 'Bacterial glucose-fructose oxidoreductase signature', NULL, NULL, 'GLFROXRDTASE', 42464),
(98739, 'PR00697', NULL, 'C.elegans Sra family integral membrane protein signature', NULL, NULL, 'TMPROTEINSRA', 42465),
(98740, 'PR01431', NULL, 'Tuberin signature', NULL, NULL, 'TUBERIN', 42466),
(98741, 'PR00285', NULL, 'Scorpion toxin signature', NULL, NULL, 'SCORPNTOXIN', 42467),
(98742, 'PR00593', NULL, 'Metabotropic glutamate receptor signature', NULL, NULL, 'MTABOTROPICR', 42468),
(98743, 'PR01805', NULL, 'VacJ lipoprotein signature', NULL, NULL, 'VACJLIPOPROT', 42469),
(98744, 'PR00519', NULL, '5-hydroxytryptamine 5B receptor signature', NULL, NULL, '5HT5BRECEPTR', 42470),
(98745, 'PR00612', NULL, 'Alpha haemoglobin signature', NULL, NULL, 'ALPHAHAEM', 42471),
(98746, 'PR01761', NULL, 'Dishevelled-1 protein signature', NULL, NULL, 'DISHEVELLED1', 42472),
(98747, 'PR01618', NULL, 'Gamma-aminobutyric-acid A receptor alpha 5 subunit signature', NULL, NULL, 'GABAARALPHA5', 42473),
(98748, 'PR00781', NULL, 'Lipoprotein signal peptidase family (A8) signature', NULL, NULL, 'LIPOSIGPTASE', 42474),
(98749, 'PR00835', NULL, 'Regulatory protein Rop signature', NULL, NULL, 'ROPREGULATRY', 42475),
(98750, 'PR00410', NULL, 'Phenol hydroxylase reductase family signature', NULL, NULL, 'PHEHYDRXLASE', 42476),
(98751, 'PR02110', NULL, 'Mas-related G protein-coupled receptor D signature', NULL, NULL, 'MRGPCRD', 42477),
(98752, 'PR02034', NULL, 'Liver X receptor signature', NULL, NULL, 'LIVERXRECPTR', 42478),
(98753, 'PR01811', NULL, 'Annexin type XIII signature', NULL, NULL, 'ANNEXINXIII', 42479),
(98754, 'PR00010', NULL, 'Type II EGF-like signature', NULL, NULL, 'EGFBLOOD', 42480),
(98755, 'PR00529', NULL, 'Gonadotrophin releasing hormone receptor signature', NULL, NULL, 'GNADOTRPHINR', 42481),
(98756, 'PR01966', NULL, 'Tumour necrosis factor receptor 16 signature', NULL, NULL, 'TNFACTORR16', 42482),
(98757, 'PR00384', NULL, 'Opioid receptor signature', NULL, NULL, 'OPIOIDR', 42483),
(98758, 'PR01632', NULL, 'P/Q-type voltage-dependent calcium channel alpha-1 subunit signature', NULL, NULL, 'PQVDCCALPHA1', 42484),
(98759, 'PR01058', NULL, 'Metabotropic glutamate receptor 8 signature', NULL, NULL, 'MTABOTROPC8R', 42485),
(98760, 'PR01000', NULL, 'Sterol regulatory element binding protein site 2 protease (M50) signature', NULL, NULL, 'SREBPS2PTASE', 42486),
(98761, 'PR01932', NULL, 'Interleukin-17 signature', NULL, NULL, 'INTRLEUKIN17', 42487),
(98762, 'PR01133', NULL, 'Gap junction alpha-3 protein signature', NULL, NULL, 'CONNEXINA3', 42488),
(98763, 'PR00782', NULL, 'Leishmanolysin (M8) metalloprotease family signature', NULL, NULL, 'LSHMANOLYSIN', 42489),
(98764, 'PR01625', NULL, 'Omega-class glutathione S-transferase signature', NULL, NULL, 'GSTRNSFRASEO', 42490),
(98765, 'PR01677', NULL, 'Glycine receptor beta subunit signature', NULL, NULL, 'GLYRBETA', 42491),
(98766, 'PR00459', NULL, 'Plant ascorbate peroxidase signature', NULL, NULL, 'ASPEROXIDASE', 42492),
(98767, 'PR00152', NULL, 'RuBisCO small subunit signature', NULL, NULL, 'RUBISCOSMALL', 42493),
(98768, 'PR00584', NULL, 'Prostanoid EP3 receptor type 2 signature', NULL, NULL, 'PRSTNOIDE32R', 42494),
(98769, 'PR00453', NULL, 'Von Willebrand factor type A domain signature', NULL, NULL, 'VWFADOMAIN', 42495),
(98770, 'PR00994', NULL, 'B2 bradykinin receptor signature', NULL, NULL, 'BRADYKINNB2R', 42496),
(98771, 'PR01155', NULL, 'Vasoactive intestinal peptide receptor 2 signature', NULL, NULL, 'VIP2RECEPTOR', 42497);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(98772, 'PR00794', NULL, 'Pancreatic ribonuclease family signature', NULL, NULL, 'RIBONUCLEASE', 42498),
(98773, 'PR01813', NULL, 'Fungal annexin type XIV signature', NULL, NULL, 'ANNEXINFUNGI', 42499),
(98774, 'PR02101', NULL, 'Immunogenic miracidial antigen 8I'' signature', NULL, NULL, 'A8IMIRACIDIA', 42500),
(98775, 'PR01612', NULL, 'Corticotropin-releasing factor family signature', NULL, NULL, 'CRFFAMILY', 42501),
(98776, 'PR01954', NULL, 'Epidermin biosynthesis protein EpiC signature', NULL, NULL, 'EPICPROTEIN', 42502),
(98777, 'PR00620', NULL, 'Histone H2A signature', NULL, NULL, 'HISTONEH2A', 42503),
(98778, 'PR00018', NULL, 'Kringle domain signature', NULL, NULL, 'KRINGLE', 42504),
(98779, 'PR01270', NULL, 'Histone deacetylase superfamily signature', NULL, NULL, 'HDASUPER', 42505),
(98780, 'PR00356', NULL, 'Type II antifreeze protein signature', NULL, NULL, 'ANTIFREEZEII', 42506),
(98781, 'PR01221', NULL, 'Rodent urinary protein signature', NULL, NULL, 'MAJORURINARY', 42507),
(98782, 'PR01615', NULL, 'Gamma-aminobutyric-acid A receptor alpha 2 subunit signature', NULL, NULL, 'GABAARALPHA2', 42508),
(98783, 'PR00245', NULL, 'Olfactory receptor signature', NULL, NULL, 'OLFACTORYR', 42509),
(98784, 'PR01635', NULL, 'Voltage-dependent L-type calcium channel alpha-1C subunit signature', NULL, NULL, 'LVDCCALPHA1C', 42510),
(98785, 'PR00717', NULL, 'GPCR kinase signature', NULL, NULL, 'GPCRKINASE', 42511),
(98786, 'PR00473', NULL, 'Galactokinase signature', NULL, NULL, 'GALCTOKINASE', 42512),
(98787, 'PR01894', NULL, 'Wnt-14 protein signature', NULL, NULL, 'WNT14PROTEIN', 42513),
(98788, 'PR00600', NULL, 'Protein phosphatase PP2A 55kDa regulatory subunit signature', NULL, NULL, 'PP2APR55', 42514),
(98789, 'PR01647', NULL, 'Transient receptor potential channel 6 signature', NULL, NULL, 'TRPCHANNEL6', 42515),
(98790, 'PR00076', NULL, '6-phosphogluconate dehydrogenase signature', NULL, NULL, '6PGDHDRGNASE', 42516),
(98791, 'PR01353', NULL, 'Glucagon family receptor signature', NULL, NULL, 'GLUCAGNFAMLY', 42517),
(98792, 'PR01629', NULL, 'T-type voltage-dependent calcium channel alpha-1 subunit signature', NULL, NULL, 'TVDCCALPHA1', 42518),
(98793, 'PR01728', NULL, 'KiSS-1 peptide receptor signature', NULL, NULL, 'KISS1RECEPTR', 42519),
(98794, 'PR00118', NULL, 'Beta-lactamase class A signature', NULL, NULL, 'BLACTAMASEA', 42520),
(98795, 'PR01484', NULL, 'Pertactin virulence factor family signature', NULL, NULL, 'PRTACTNFAMLY', 42521),
(98796, 'PR00226', NULL, 'Geminivirus MSV 27kDa coat protein signature', NULL, NULL, 'GEMCOATMSV', 42522),
(98797, 'PR01911', NULL, 'Plant and fungal dual specificity phosphatase signature', NULL, NULL, 'PFDSPHPHTASE', 42523),
(98798, 'PR01841', NULL, 'Wnt-1 protein signature', NULL, NULL, 'WNT1PROTEIN', 42524),
(98799, 'PR01583', NULL, 'Kv3.4 voltage-gated K+ channel signature', NULL, NULL, 'KV34CHANNEL', 42525),
(98800, 'PR00369', NULL, 'Flavodoxin signature', NULL, NULL, 'FLAVODOXIN', 42526),
(98801, 'PR01110', NULL, 'C-C chemokine receptor type 5 signature', NULL, NULL, 'CHEMOKINER5', 42527),
(98802, 'PR00957', NULL, 'Gene 66 (IR5) protein signature', NULL, NULL, 'GENE66', 42528),
(98803, 'PR00095', NULL, 'Anthranilate synthase component I signature', NULL, NULL, 'ANTSNTHASEI', 42529),
(98804, 'PR01344', NULL, 'Salmonella/Shigella invasion protein E (InvE) signature', NULL, NULL, 'INVEPROTEIN', 42530),
(98805, 'PR01337', NULL, 'Type III secretion system outer membrane G protein family signature', NULL, NULL, 'TYPE3OMGPROT', 42531),
(98806, 'PR01444', NULL, 'Latrophilin receptor signature', NULL, NULL, 'LATROPHILIN', 42532),
(98807, 'PR01182', NULL, 'Ornithine decarboxylase signature', NULL, NULL, 'ORNDCRBXLASE', 42533),
(98808, 'PR01965', NULL, 'Tumour necrosis factor receptor 14 signature', NULL, NULL, 'TNFACTORR14', 42534),
(98809, 'PR01001', NULL, 'FAD-dependent glycerol-3-phosphate dehydrogenase family signature', NULL, NULL, 'FADG3PDH', 42535),
(98810, 'PR00830', NULL, 'Endopeptidase La (Lon) serine protease (S16) signature', NULL, NULL, 'ENDOLAPTASE', 42536);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(98811, 'PR01248', NULL, 'Type I keratin signature', NULL, NULL, 'TYPE1KERATIN', 42537),
(98812, 'PR00233', NULL, 'Icosahedral viral capsid protein signature', NULL, NULL, 'ICOSAHEDRAL', 42538),
(98813, 'PR01955', NULL, 'Frankia sp. LanC-like protein signature', NULL, NULL, 'LANCFRANKIA', 42539),
(98814, 'PR00488', NULL, 'Five-lipoxygenase activating protein signature', NULL, NULL, '5LPOXGNASEAP', 42540),
(98815, 'PR00914', NULL, 'Luteovirus (ORF3) RNA-directed RNA-polymerase signature', NULL, NULL, 'LVIRUSRNAPOL', 42541),
(98816, 'PR00967', NULL, 'Acute myeloid leukemia 1 protein signature', NULL, NULL, 'ONCOGENEAML1', 42542),
(98817, 'PR00166', NULL, 'Aromatic amino acid permease signature', NULL, NULL, 'AROAAPRMEASE', 42543),
(98818, 'PR00817', NULL, 'Beta-type calcitonin signature', NULL, NULL, 'CALCITONINB', 42544),
(98819, 'PR01045', NULL, 'Glycyl-tRNA synthetase beta subunit signature', NULL, NULL, 'TRNASYNTHGB', 42545),
(98820, 'PR01180', NULL, 'Arginine decarboxylase signature', NULL, NULL, 'ARGDCRBXLASE', 42546),
(98821, 'PR00184', NULL, 'Neisseria sp. porin signature', NULL, NULL, 'NEISSPPORIN', 42547),
(98822, 'PR00734', NULL, 'Glycosyl hydrolase family 7 signature', NULL, NULL, 'GLHYDRLASE7', 42548),
(98823, 'PR01987', NULL, 'Neurogenic locus Notch protein 4 signature', NULL, NULL, 'NOTCH4', 42549),
(98824, 'PR01705', NULL, 'Thrombospondin type 1 repeat signature', NULL, NULL, 'TSP1REPEAT', 42550),
(98825, 'PR00148', NULL, 'Enolase signature', NULL, NULL, 'ENOLASE', 42551),
(98826, 'PR01917', NULL, 'Venom nerve growth factor signature', NULL, NULL, 'VENOMNGF', 42552),
(98827, 'PR00086', NULL, 'L-lactate dehydrogenase signature', NULL, NULL, 'LLDHDRGNASE', 42553),
(98828, 'PR00684', NULL, 'Phage T4 lysozyme signature', NULL, NULL, 'T4LYSOZYME', 42554),
(98829, 'PR01984', NULL, 'Neurogenic locus Notch protein 1 signature', NULL, NULL, 'NOTCH1', 42555),
(98830, 'PR01503', NULL, 'Treacher Collins syndrome protein Treacle signature', NULL, NULL, 'TREACLE', 42556),
(98831, 'PR02020', NULL, 'Aquaporin-8 signature', NULL, NULL, 'AQUAPORIN8', 42557),
(98832, 'PR01717', NULL, 'CD28 antigen signature', NULL, NULL, 'CD28ANTIGEN', 42558),
(98833, 'PR01077', NULL, 'Claudin family signature', NULL, NULL, 'CLAUDIN', 42559),
(98834, 'PR01481', NULL, 'Neurotensin type 2 receptor signature', NULL, NULL, 'NEUROTENSN2R', 42560),
(98835, 'PR00293', NULL, 'Squash serine protease inhibitor signature', NULL, NULL, 'SQUASHINHBTR', 42561),
(98836, 'PR01667', NULL, 'Voltage-gated Na+ channel alpha 8 subunit signature', NULL, NULL, 'NACHANNEL8', 42562),
(98837, 'PR01443', NULL, 'Transcription initiation factor TFIID 23-30kDa subunit signature', NULL, NULL, 'TFIID30KDSUB', 42563),
(98838, 'PR01546', NULL, 'Saccharomyces cerevisiae 73.5kDa hypothetical protein signature', NULL, NULL, 'YEAST73DUF', 42564),
(98839, 'PR01003', NULL, 'Flagellar assembly protein FliH signature', NULL, NULL, 'FLGFLIH', 42565),
(98840, 'PR01640', NULL, 'Plant profilin signature', NULL, NULL, 'PROFILINPLNT', 42566),
(98841, 'PR00120', NULL, 'H+-transporting ATPase (proton pump) signature', NULL, NULL, 'HATPASE', 42567),
(98842, 'PR00146', NULL, 'Dihydrodipicolinate synthase signature', NULL, NULL, 'DHPICSNTHASE', 42568),
(98843, 'PR01027', NULL, 'OMS28 porin signature', NULL, NULL, 'OMS28PORIN', 42569),
(98844, 'PR01452', NULL, 'LIN-12/notch repeat (LNR) signature', NULL, NULL, 'LNOTCHREPEAT', 42570),
(98845, 'PR00460', NULL, 'Bacterial haem catalase-peroxidase signature', NULL, NULL, 'BPEROXIDASE', 42571),
(98846, 'PR00985', NULL, 'Leucyl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHLEU', 42572),
(98847, 'PR00725', NULL, 'D-Ala-D-Ala carboxypeptidase 1 (S11) family signature', NULL, NULL, 'DADACBPTASE1', 42573),
(98848, 'PR02040', NULL, 'Cyclin-dependent kinase 2-interacting protein signature', NULL, NULL, 'CDK2IP', 42574),
(98849, 'PR01995', NULL, 'UPF0595 uncharacterised protein signature', NULL, NULL, 'UPF0595', 42575),
(98850, 'PR00450', NULL, 'Recoverin family signature', NULL, NULL, 'RECOVERIN', 42576),
(98851, 'PR00843', NULL, 'Glycosyl hydrolase family 30 signature', NULL, NULL, 'GLHYDRLASE30', 42577);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(98852, 'PR02071', NULL, 'Pancreatic progenitor cell differentiation & proliferation factor signature', NULL, NULL, 'PPDPFACTOR', 42578),
(98853, 'PR01940', NULL, 'Neurotrophic tyrosine kinase receptor type 1 signature', NULL, NULL, 'NTKRECEPTOR1', 42579),
(98854, 'PR00784', NULL, 'Mitochondrial brown fat uncoupling protein signature', NULL, NULL, 'MTUNCOUPLING', 42580),
(98855, 'PR00158', NULL, 'Rusticyanin signature', NULL, NULL, 'RUSTICYANIN', 42581),
(98856, 'PR00336', NULL, 'Lysosome-associated membrane glycoprotein signature', NULL, NULL, 'LYSASSOCTDMP', 42582),
(98857, 'PR01483', NULL, 'Fatty acid synthase signature', NULL, NULL, 'FASYNTHASE', 42583),
(98858, 'PR00276', NULL, 'Insulin family signature', NULL, NULL, 'INSULINFAMLY', 42584),
(98859, 'PR00884', NULL, 'Ribosomal protein HS6 signature', NULL, NULL, 'RIBOSOMALHS6', 42585),
(98860, 'PR01170', NULL, 'Alcohol dehydrogenase related protein signature', NULL, NULL, 'ADHRELATED', 42586),
(98861, 'PR00778', NULL, 'Bacterial regulatory protein ArsR family signature', NULL, NULL, 'HTHARSR', 42587),
(98862, 'PR00169', NULL, 'Potassium channel signature', NULL, NULL, 'KCHANNEL', 42588),
(98863, 'PR01371', NULL, 'Salmonella/Yersinia modular tyrosine phosphatase signature', NULL, NULL, 'BACYPHPHTASE', 42589),
(98864, 'PR00879', NULL, 'Fish acetylcholinesterase signature', NULL, NULL, 'ACHEFISH', 42590),
(98865, 'PR02063', NULL, 'DNA damage checkpoint protein 1 signature', NULL, NULL, 'DNADAMAGECP1', 42591),
(98866, 'PR00326', NULL, 'GTP1/OBG GTP-binding protein family signature', NULL, NULL, 'GTP1OBG', 42592),
(98867, 'PR01360', NULL, 'Interleukin-1 receptor antagonist precursor IL-1RA signature', NULL, NULL, 'INTRLEUKIN1X', 42593),
(98868, 'PR00363', NULL, 'Cytochrome B5 signature', NULL, NULL, 'CYTOCHROMEB5', 42594),
(98869, 'PR01346', NULL, 'Helicobacter neutrophil-activating protein A family signature', NULL, NULL, 'HELNAPAPROT', 42595),
(98870, 'PR00868', NULL, 'DNA-polymerase family A (pol I) signature', NULL, NULL, 'DNAPOLI', 42596),
(98871, 'PR01454', NULL, 'Epithelial membrane protein EMP-1 signature', NULL, NULL, 'EPMEMPROT1', 42597),
(98872, 'PR00399', NULL, 'Synaptotagmin signature', NULL, NULL, 'SYNAPTOTAGMN', 42598),
(98873, 'PR01196', NULL, 'GAT-2 GABA neurotransmitter transporter signature', NULL, NULL, 'GAT2TRNSPORT', 42599),
(98874, 'PR01238', NULL, 'CC24 mitochondrial P450 signature', NULL, NULL, 'MITP450CC24', 42600),
(98875, 'PR00724', NULL, 'Carboxypeptidase C serine protease (S10) family signature', NULL, NULL, 'CRBOXYPTASEC', 42601),
(98876, 'PR00377', NULL, 'Inositol monophosphatase superfamily signature', NULL, NULL, 'IMPHPHTASES', 42602),
(98877, 'PR01626', NULL, 'L-type calcium channel beta subunit signature', NULL, NULL, 'LCACHANNELB', 42603),
(98878, 'PR00926', NULL, 'Mitochondrial carrier protein signature', NULL, NULL, 'MITOCARRIER', 42604),
(98879, 'PR00753', NULL, '1-aminocyclopropane-1-carboxylate synthase signature', NULL, NULL, 'ACCSYNTHASE', 42605),
(98880, 'PR00280', NULL, 'Channel forming colicin signature', NULL, NULL, 'CHANLCOLICIN', 42606),
(98881, 'PR00964', NULL, 'Movement protein signature', NULL, NULL, 'MOVEMENT', 42607),
(98882, 'PR00916', NULL, '2C endopeptidase (C24) cysteine protease family signature', NULL, NULL, '2CENDOPTASE', 42608),
(98883, 'PR01053', NULL, 'Metabotropic glutamate receptor 3 signature', NULL, NULL, 'MTABOTROPC3R', 42609),
(98884, 'PR01922', NULL, 'Tumour necrosis factor receptor 5 signature', NULL, NULL, 'TNFACTORR5', 42610),
(98885, 'PR00238', NULL, 'Opsin signature', NULL, NULL, 'OPSIN', 42611),
(98886, 'PR01797', NULL, 'Saposin signature', NULL, NULL, 'SAPOSIN', 42612),
(98887, 'PR01979', NULL, 'Insulin-like growth factor-binding protein 3 signature', NULL, NULL, 'IGFBPFAMILY3', 42613),
(98888, 'PR00981', NULL, 'Seryl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHSER', 42614),
(98889, 'PR01017', NULL, 'Neuropeptide Y6 receptor signature', NULL, NULL, 'NRPEPTIDEY6R', 42615),
(98890, 'PR00029', NULL, 'Octamer-binding transcription factor signature', NULL, NULL, 'OCTAMER', 42616);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(98891, 'PR01013', NULL, 'Neuropeptide Y1 receptor signature', NULL, NULL, 'NRPEPTIDEY1R', 42617),
(98892, 'PR00108', NULL, 'Thymidylate synthase family signature', NULL, NULL, 'THYMDSNTHASE', 42618),
(98893, 'PR01504', NULL, 'Pancreatitis-associated protein signature', NULL, NULL, 'PNCREATITSAP', 42619),
(98894, 'PR01591', NULL, 'DNA-binding protein FIS signature', NULL, NULL, 'DNABINDNGFIS', 42620),
(98895, 'PR00117', NULL, 'Barnase signature', NULL, NULL, 'BARNASE', 42621),
(98896, 'PR00613', NULL, 'Myoglobin signature', NULL, NULL, 'MYOGLOBIN', 42622),
(98897, 'PR00935', NULL, 'Band 4.1 protein family signature', NULL, NULL, 'BAND41', 42623),
(98898, 'PR00790', NULL, 'Peptidyl-glycine alpha-amidating monooxygenase signature', NULL, NULL, 'PAMONOXGNASE', 42624),
(98899, 'PR00699', NULL, 'C.elegans integral membrane protein Srb signature', NULL, NULL, 'TMPROTEINSRB', 42625),
(98900, 'PR01166', NULL, 'Cytochrome c oxidase subunit II signature', NULL, NULL, 'CYCOXIDASEII', 42626),
(98901, 'PR01673', NULL, 'Glycine receptor alpha subunit signature', NULL, NULL, 'GLYRALPHA', 42627),
(98902, 'PR01427', NULL, 'Transforming growth factor beta 4 precursor signature', NULL, NULL, 'TGFBETA4', 42628),
(98903, 'PR00862', NULL, 'Prolyl oligopeptidase serine protease (S9A) signature', NULL, NULL, 'PROLIGOPTASE', 42629),
(98904, 'PR00063', NULL, 'Ribosomal protein L27 signature', NULL, NULL, 'RIBOSOMALL27', 42630),
(98905, 'PR01225', NULL, 'Expansin/Lol pI family signature', NULL, NULL, 'EXPANSNFAMLY', 42631),
(98906, 'PR00406', NULL, 'Cytochrome B5 reductase signature', NULL, NULL, 'CYTB5RDTASE', 42632),
(98907, 'PR00714', NULL, 'Phosphomannose isomerase type I signature', NULL, NULL, 'MAN6PISMRASE', 42633),
(98908, 'PR01575', NULL, 'Formyltetrahydrofolate deformylase signature', NULL, NULL, 'FFH4HYDRLASE', 42634),
(98909, 'PR01356', NULL, 'Anti-sense to fibroblast growth factor protein GFG signature', NULL, NULL, 'GFGPROTEIN', 42635),
(98910, 'PR00625', NULL, 'DnaJ domain signature', NULL, NULL, 'JDOMAIN', 42636),
(98911, 'PR00283', NULL, 'Myotoxin signature', NULL, NULL, 'MYOTOXIN', 42637),
(98912, 'PR02018', NULL, 'Aquaporin-6 signature', NULL, NULL, 'AQUAPORIN6', 42638),
(98913, 'PR01494', NULL, 'Kv9 potassium channel alpha subunit signature', NULL, NULL, 'KV9CHANNEL', 42639),
(98914, 'PR02076', NULL, 'Protein FYV8 signature', NULL, NULL, 'PROTEINFYV8', 42640),
(98915, 'PR01824', NULL, 'Janus kinase 1 (JAK1) signature', NULL, NULL, 'JANUSKINASE1', 42641),
(98916, 'PR01579', NULL, 'KCNAB voltage-gated K+ channel beta-2 subunit signature', NULL, NULL, 'KCNAB2CHANEL', 42642),
(98917, 'PR00306', NULL, 'Serum amyloid A protein signature', NULL, NULL, 'SERUMAMYLOID', 42643),
(98918, 'PR02097', NULL, 'HTLV-1 basic zipper factor signature', NULL, NULL, 'HTLV1ZIPPER', 42644),
(98919, 'PR02001', NULL, 'GCR1-cAMP receptor family signature', NULL, NULL, 'GCR1CAMPR', 42645),
(98920, 'PR00440', NULL, 'G protein alpha subunit group 12 signature', NULL, NULL, 'GPROTEINA12', 42646),
(98921, 'PR00641', NULL, 'C-C chemokine receptor type 7 signature', NULL, NULL, 'CHEMOKINER7', 42647),
(98922, 'PR00739', NULL, 'Glycosyl hydrolase family 26 signature', NULL, NULL, 'GLHYDRLASE26', 42648),
(98923, 'PR00516', NULL, '5-hydroxytryptamine 2A receptor signature', NULL, NULL, '5HT2ARECEPTR', 42649),
(98924, 'PR01404', NULL, 'DATP pyrophosphohydrolase signature', NULL, NULL, 'NPPPHYDRLASE', 42650),
(98925, 'PR01226', NULL, 'Expansin signature', NULL, NULL, 'EXPANSIN', 42651),
(98926, 'PR00686', NULL, 'Transcription initiation factor TFIID signature', NULL, NULL, 'TIFACTORIID', 42652),
(98927, 'PR01241', NULL, 'Fungal G protein alpha subunit signature', NULL, NULL, 'GPROTEINAFNG', 42653),
(98928, 'PR01120', NULL, 'Plant CLC chloride channel signature', NULL, NULL, 'CLCHANNELPLT', 42654),
(98929, 'PR01252', NULL, 'Amphiphysin isoform 1 signature', NULL, NULL, 'AMPHIPHYSIN1', 42655),
(98930, 'PR00552', NULL, 'Adenosine A1 receptor signature', NULL, NULL, 'ADENOSINEA1R', 42656),
(98931, 'PR01055', NULL, 'Metabotropic glutamate receptor 5 signature', NULL, NULL, 'MTABOTROPC5R', 42657);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(98932, 'PR01562', NULL, 'Fractalkine receptor signature', NULL, NULL, 'FRACTALKINER', 42658),
(98933, 'PR00929', NULL, 'AT-hook-like domain signature', NULL, NULL, 'ATHOOK', 42659),
(98934, 'PR01191', NULL, 'Glucose transporter type 2 (GLUT2) signature', NULL, NULL, 'GLUCTRSPORT2', 42660),
(98935, 'PR00405', NULL, 'HIV Rev interacting protein signature', NULL, NULL, 'REVINTRACTNG', 42661),
(98936, 'PR01212', NULL, 'Alpha-synuclein signature', NULL, NULL, 'ASYNUCLEIN', 42662),
(98937, 'PR01411', NULL, 'Cytochrome c-type biogenesis protein CcmF signature', NULL, NULL, 'CCMFBIOGNSIS', 42663),
(98938, 'PR01765', NULL, 'Epithelial calcium channel (ECAC) family signature', NULL, NULL, 'ECACCHANNEL', 42664),
(98939, 'PR00286', NULL, 'Charybdotoxin signature', NULL, NULL, 'CHARYBDTOXIN', 42665),
(98940, 'PR00472', NULL, 'Casein kinase II regulatory subunit family signature', NULL, NULL, 'CASNKINASEII', 42666),
(98941, 'PR02041', NULL, 'Protein family FAM153 signature', NULL, NULL, 'PROTEINF153', 42667),
(98942, 'PR01046', NULL, 'Prolyl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHPRO', 42668),
(98943, 'PR01865', NULL, 'Bcl-W apoptosis regulator protein signature', NULL, NULL, 'APOPREGBCLW', 42669),
(98944, 'PR01085', NULL, 'Na+/H+ exchanger isoform 1 (NHE1) signature', NULL, NULL, 'NAHEXCHNGR1', 42670),
(98945, 'PR01875', NULL, 'Eight-Twenty-One (ETO) family signature', NULL, NULL, 'ETOFAMILY', 42671),
(98946, 'PR00795', NULL, 'Ryanodine receptor signature', NULL, NULL, 'RYANODINER', 42672),
(98947, 'PR01769', NULL, 'Vanilloid receptor-like 2 protein (VRL-2) family signature', NULL, NULL, 'VRL2RECEPTOR', 42673),
(98948, 'PR01122', NULL, 'Flavin-containing monooxygenase (FMO) 2 signature', NULL, NULL, 'FMOXYGENASE2', 42674),
(98949, 'PR02057', NULL, 'Protein family FAM105B signature', NULL, NULL, 'PROTEINF105B', 42675),
(98950, 'PR00998', NULL, 'Carboxypeptidase Taq (M32) metallopeptidase signature', NULL, NULL, 'CRBOXYPTASET', 42676),
(98951, 'PR00447', NULL, 'Natural resistance-associated macrophage protein signature', NULL, NULL, 'NATRESASSCMP', 42677),
(98952, 'PR00847', NULL, 'Bee venom hyaluronidase signature', NULL, NULL, 'HYALURONDASE', 42678),
(98953, 'PR00535', NULL, 'Melanocortin receptor signature', NULL, NULL, 'MELNOCORTINR', 42679),
(98954, 'PR01944', NULL, 'Fish interleukin-11 signature', NULL, NULL, 'INTLKN11FISH', 42680),
(98955, 'PR00991', NULL, '6-phosphofructo-2-kinase family signature', NULL, NULL, '6PFRUCTKNASE', 42681),
(98956, 'PR01136', NULL, 'Gap junction alpha-6 protein (Cx45) signature', NULL, NULL, 'CONNEXINA6', 42682),
(98957, 'PR01803', NULL, 'Trypanosome sialidase signature', NULL, NULL, 'TCSIALIDASE', 42683),
(98958, 'PR00823', NULL, 'Pancreatic lipase signature', NULL, NULL, 'PANCLIPASE', 42684),
(98959, 'PR01416', NULL, 'APJ receptor signature', NULL, NULL, 'APJRECEPTOR', 42685),
(98960, 'PR00301', NULL, '70kDa heat shock protein signature', NULL, NULL, 'HEATSHOCK70', 42686),
(98961, 'PR01735', NULL, 'P2Y13 purinoceptor signature', NULL, NULL, 'P2Y13PRNCPTR', 42687),
(98962, 'PR00851', NULL, 'Xeroderma pigmentosum group B protein signature', NULL, NULL, 'XRODRMPGMNTB', 42688),
(98963, 'PR01325', NULL, 'Kir2.2 inward rectifier K+ channel signature', NULL, NULL, 'KIR22CHANNEL', 42689),
(98964, 'PR01015', NULL, 'Neuropeptide Y4 receptor signature', NULL, NULL, 'NRPEPTIDEY4R', 42690),
(98965, 'PR00211', NULL, 'Glutelin signature', NULL, NULL, 'GLUTELIN', 42691),
(98966, 'PR01819', NULL, 'Desmoglein signature', NULL, NULL, 'DESMOGLEIN', 42692),
(98967, 'PR01390', NULL, 'Clostridial binary toxin A signature', NULL, NULL, 'BINARYTOXINA', 42693),
(98968, 'PR01399', NULL, 'Enterobactin synthetase component D signature', NULL, NULL, 'ENTSNTHTASED', 42694),
(98969, 'PR02109', NULL, 'Mas-related G protein-coupled receptor A signature', NULL, NULL, 'MRGPCRA', 42695),
(98970, 'PR01953', NULL, 'Subtilin biosynthesis protein SpaC signature', NULL, NULL, 'SPACPROTEIN', 42696),
(98971, 'PR00089', NULL, 'Bacterial luciferase signature', NULL, NULL, 'LUCIFERASE', 42697),
(98972, 'PR00556', NULL, 'Alpha-1B adrenergic receptor signature', NULL, NULL, 'ADRENRGCA1BR', 42698);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(98973, 'PR01948', NULL, 'Avian interleukin-15 signature', NULL, NULL, 'INTLKN15BIRD', 42699),
(98974, 'PR00793', NULL, 'Prolyl aminopeptidase (S33) family signature', NULL, NULL, 'PROAMNOPTASE', 42700),
(98975, 'PR00801', NULL, 'Adrenomedullin signature', NULL, NULL, 'ADRENOMEDULN', 42701),
(98976, 'PR01685', NULL, 'CYP2B P450 family signature', NULL, NULL, 'EP450ICYP2B', 42702),
(98977, 'PR01977', NULL, 'Insulin-like growth factor-binding protein 1 signature', NULL, NULL, 'IGFBPFAMILY1', 42703),
(98978, 'PR01676', NULL, 'Glycine receptor alpha 3 subunit signature', NULL, NULL, 'GLYRALPHA3', 42704),
(98979, 'PR00204', NULL, 'Beta-amyloid peptide (beta-APP) signature', NULL, NULL, 'BETAAMYLOID', 42705),
(98980, 'PR00834', NULL, 'HtrA/DegQ protease family signature', NULL, NULL, 'PROTEASES2C', 42706),
(98981, 'PR00671', NULL, 'Inhibin beta B chain signature', NULL, NULL, 'INHIBINBB', 42707),
(98982, 'PR01039', NULL, 'Tryptophanyl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHTRP', 42708),
(98983, 'PR01778', NULL, 'KIM-containing protein tyrosine phosphatase signature', NULL, NULL, 'KIMPTPASE', 42709),
(98984, 'PR00246', NULL, 'Somatostatin receptor signature', NULL, NULL, 'SOMATOSTATNR', 42710),
(98985, 'PR01990', NULL, 'H-2 class II histocompatibility antigen gamma chain (CD74 antigen) signature', NULL, NULL, 'CD74ANTIGEN', 42711),
(98986, 'PR01971', NULL, 'Tumour necrosis factor receptor 21 signature', NULL, NULL, 'TNFACTORR21', 42712),
(98987, 'PR00205', NULL, 'Cadherin signature', NULL, NULL, 'CADHERIN', 42713),
(98988, 'PR01342', NULL, 'Salmonella virulence-associated 28kDa protein signature', NULL, NULL, 'SALVRPPROT', 42714),
(98989, 'PR00581', NULL, 'Prostanoid EP2 receptor signature', NULL, NULL, 'PRSTNOIDEP2R', 42715),
(98990, 'PR01639', NULL, 'Mammal profilin signature', NULL, NULL, 'PROFILINMAML', 42716),
(98991, 'PR02030', NULL, 'Autophagy-related protein 14 signature', NULL, NULL, 'AUTOPHGYRP14', 42717),
(98992, 'PR01487', NULL, 'Bacterial autoinducer-2 (AI-2) production protein LuxS signature', NULL, NULL, 'LUXSPROTEIN', 42718),
(98993, 'PR00094', NULL, 'Adenylate kinase signature', NULL, NULL, 'ADENYLTKNASE', 42719),
(98994, 'PR02106', NULL, 'Integrator complex subunit 10 signature', NULL, NULL, 'INTSUBUNIT10', 42720),
(98995, 'PR01211', NULL, 'Synuclein signature', NULL, NULL, 'SYNUCLEIN', 42721),
(98996, 'PR00008', NULL, 'Diacylglycerol/phorbol-ester binding signature', NULL, NULL, 'DAGPEDOMAIN', 42722),
(98997, 'PR01956', NULL, 'Tumour necrosis factor receptor 10 signature', NULL, NULL, 'TNFACTORR10', 42723),
(98998, 'PR00227', NULL, 'Geminivirus AL1 coat protein signature', NULL, NULL, 'GEMCOATAL1', 42724),
(98999, 'PR01880', NULL, 'Fibritin signature', NULL, NULL, 'FIBRITIN', 42725),
(99000, 'PR01366', NULL, 'Major royal jelly protein family signature', NULL, NULL, 'ROYALJELLY', 42726),
(99001, 'PR01787', NULL, 'Paraoxonase 2 signature', NULL, NULL, 'PARAOXONASE2', 42727),
(99002, 'PR00690', NULL, 'Adhesin family signature', NULL, NULL, 'ADHESNFAMILY', 42728),
(99003, 'PR00636', NULL, 'AT2 angiotensin II receptor signature', NULL, NULL, 'ANGIOTENSN2R', 42729),
(99004, 'PR00550', NULL, 'Hyperglycemic hormone signature', NULL, NULL, 'HYPRGLYCEMIC', 42730),
(99005, 'PR01829', NULL, 'Protachykinin 1 precursor signature', NULL, NULL, 'PROTACHYKNIN', 42731),
(99006, 'PR01222', NULL, 'Atrophin signature', NULL, NULL, 'ATROPHIN', 42732),
(99007, 'PR00984', NULL, 'Isoleucyl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHILE', 42733),
(99008, 'PR00423', NULL, 'Cell division protein FtsZ signature', NULL, NULL, 'CELLDVISFTSZ', 42734),
(99009, 'PR01456', NULL, 'Epithelial membrane protein EMP-3 signature', NULL, NULL, 'EPMEMPROT3', 42735),
(99010, 'PR01723', NULL, 'Gamma-aminobutyric-acid A receptor epsilon subunit signature', NULL, NULL, 'GABAAREPSLON', 42736),
(99011, 'PR00043', NULL, 'Jun transcription factor signature', NULL, NULL, 'LEUZIPPRJUN', 42737),
(99012, 'PR00996', NULL, 'Glutamate methyltransferase family signature', NULL, NULL, 'CHERMTFRASE', 42738),
(99013, 'PR00262', NULL, 'IL1/HBGF family signature', NULL, NULL, 'IL1HBGF', 42739);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(99014, 'PR00905', NULL, 'Uncharacterised MG045 lipoprotein family signature', NULL, NULL, 'MG045FAMILY', 42740),
(99015, 'PR01129', NULL, 'Gastric inhibitory polypeptide receptor precursor signature', NULL, NULL, 'GIPRECEPTOR', 42741),
(99016, 'PR01533', NULL, 'Cysteinyl leukotriene receptor family signature', NULL, NULL, 'CYSLTRECPTR', 42742),
(99017, 'PR00910', NULL, 'Luteovirus ORF6 protein signature', NULL, NULL, 'LVIRUSORF6', 42743),
(99018, 'PR01024', NULL, 'Neurokinin NK1 receptor signature', NULL, NULL, 'NEUROKININ1R', 42744),
(99019, 'PR01163', NULL, 'Beta-tubulin signature', NULL, NULL, 'BETATUBULIN', 42745),
(99020, 'PR00820', NULL, 'CbxX/CfqX protein signature', NULL, NULL, 'CBXXCFQX', 42746),
(99021, 'PR00320', NULL, 'G protein beta WD-40 repeat signature', NULL, NULL, 'GPROTEINBRPT', 42747),
(99022, 'PR00702', NULL, 'Acriflavin resistance protein family signature', NULL, NULL, 'ACRIFLAVINRP', 42748),
(99023, 'PR00703', NULL, 'Adenovirus endopeptidase (C5) family signature', NULL, NULL, 'ADVENDOPTASE', 42749),
(99024, 'PR00402', NULL, 'Tec/Btk domain signature', NULL, NULL, 'TECBTKDOMAIN', 42750),
(99025, 'PR00558', NULL, 'Alpha-2A adrenergic receptor signature', NULL, NULL, 'ADRENRGCA2AR', 42751),
(99026, 'PR00773', NULL, 'GrpE protein signature', NULL, NULL, 'GRPEPROTEIN', 42752),
(99027, 'PR01981', NULL, 'Insulin-like growth factor-binding protein 5 signature', NULL, NULL, 'IGFBPFAMILY5', 42753),
(99028, 'PR00216', NULL, 'Osteopontin signature', NULL, NULL, 'OSTEOPONTIN', 42754),
(99029, 'PR00234', NULL, 'HIV-1 matrix protein signature', NULL, NULL, 'HIV1MATRIX', 42755),
(99030, 'PR00144', NULL, 'Delta-aminolevulinic acid dehydratase signature', NULL, NULL, 'DALDHYDRTASE', 42756),
(99031, 'PR01856', NULL, 'Basigin signature', NULL, NULL, 'BASIGIN', 42757),
(99032, 'PR01236', NULL, 'Tumour necrosis factor beta (lymphotoxin-alpha) signature', NULL, NULL, 'TNFBETA', 42758),
(99033, 'PR01018', NULL, 'Prolactin-releasing peptide receptor signature', NULL, NULL, 'PRPRECEPTOR', 42759),
(99034, 'PR01926', NULL, 'Interleukin-9 signature', NULL, NULL, 'INTERLEUKIN9', 42760),
(99035, 'PR01622', NULL, 'Gamma-aminobutyric-acid A receptor gamma 2 subunit signature', NULL, NULL, 'GABAARGAMMA2', 42761),
(99036, 'PR02025', NULL, 'Aquaporin-12 signature', NULL, NULL, 'AQUAPORIN12', 42762),
(99037, 'PR00065', NULL, 'TEA domain signature', NULL, NULL, 'TEADOMAIN', 42763),
(99038, 'PR00382', NULL, 'Plant phospholipid transfer protein signature', NULL, NULL, 'LIPIDTRNSFER', 42764),
(99039, 'PR00102', NULL, 'Ornithine carbamoyltransferase signature', NULL, NULL, 'OTCASE', 42765),
(99040, 'PR01606', NULL, 'KCNE voltage-gated K+ channel subfamily E3 signature', NULL, NULL, 'KCNE3CHANNEL', 42766),
(99041, 'PR00469', NULL, 'Pyridine nucleotide disulphide reductase class-II signature', NULL, NULL, 'PNDRDTASEII', 42767),
(99042, 'PR01817', NULL, 'Beta-site APP cleaving enzyme 2 (BACE2) signature', NULL, NULL, 'BACE2', 42768),
(99043, 'PR00395', NULL, 'Ribosomal protein S2 signature', NULL, NULL, 'RIBOSOMALS2', 42769),
(99044, 'PR00442', NULL, 'G protein alpha subunit group Q signature', NULL, NULL, 'GPROTEINAQ', 42770),
(99045, 'PR01852', NULL, 'Streptococcal non-M secreted SibA protein signature', NULL, NULL, 'SIBAPROTEIN', 42771),
(99046, 'PR00411', NULL, 'Pyridine nucleotide disulphide reductase class-I signature', NULL, NULL, 'PNDRDTASEI', 42772),
(99047, 'PR00171', NULL, 'Sugar transporter signature', NULL, NULL, 'SUGRTRNSPORT', 42773),
(99048, 'PR01303', NULL, 'Plasmodium circumsporozoite protein signature', NULL, NULL, 'CRCMSPRZOITE', 42774),
(99049, 'PR01531', NULL, 'C-C chemokine receptor type 9 signature', NULL, NULL, 'CHEMOKINER9', 42775),
(99050, 'PR01701', NULL, 'CD164 antigen signature', NULL, NULL, 'CD164ANTIGEN', 42776),
(99051, 'PR01154', NULL, 'Vasoactive intestinal peptide receptor 1 signature', NULL, NULL, 'VIP1RECEPTOR', 42777),
(99052, 'PR01566', NULL, 'Neuromedin U type 1 receptor signature', NULL, NULL, 'NEUROMEDNU1R', 42778),
(99053, 'PR01680', NULL, 'Tumour necrosis factor receptor 6 signature', NULL, NULL, 'TNFACTORR6', 42779);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(99054, 'PR00097', NULL, 'Anthranilate synthase component II signature', NULL, NULL, 'ANTSNTHASEII', 42780),
(99055, 'PR00026', NULL, 'Engrailed homeodomain signature', NULL, NULL, 'ENGRAILED', 42781),
(99056, 'PR00002', NULL, 'Bone matrix GLA domain signature', NULL, NULL, 'GLABONE', 42782),
(99057, 'PR00027', NULL, 'Paired box signature', NULL, NULL, 'PAIREDBOX', 42783),
(99058, 'PR01996', NULL, 'Phage major tail protein 1 family signature', NULL, NULL, 'MTP1FAMILY', 42784),
(99059, 'PR01329', NULL, 'Kir3.3 inward rectifier K+ channel signature', NULL, NULL, 'KIR33CHANNEL', 42785),
(99060, 'PR01782', NULL, 'Mycobacterial cell entry (MCE) protein signature', NULL, NULL, 'MCEVIRFACTOR', 42786),
(99061, 'PR00270', NULL, 'Alpha-type calcitonin signature', NULL, NULL, 'CALCITONINA', 42787),
(99062, 'PR01074', NULL, 'Presenilin 2 signature', NULL, NULL, 'PRESENILIN2', 42788),
(99063, 'PR01785', NULL, 'Paraoxonase family signature', NULL, NULL, 'PARAOXONASE', 42789),
(99064, 'PR01116', NULL, 'CLC-5 chloride channel signature', NULL, NULL, 'CLCHANNEL5', 42790),
(99065, 'PR00199', NULL, 'Annexin type III signature', NULL, NULL, 'ANNEXINIII', 42791),
(99066, 'PR00068', NULL, 'Cu-Zn-superoxide dismutase family signature', NULL, NULL, 'CUZNDISMTASE', 42792),
(99067, 'PR01119', NULL, 'CLC-K chloride channel family signature', NULL, NULL, 'CLCHANNELKDY', 42793),
(99068, 'PR00744', NULL, 'Glycosyl hydrolase family 37 signature', NULL, NULL, 'GLHYDRLASE37', 42794),
(99069, 'PR00207', NULL, 'Flagellin signature', NULL, NULL, 'FLAGELLIN', 42795),
(99070, 'PR00523', NULL, 'Cannabinoid receptor type 2 signature', NULL, NULL, 'CANABINOID2R', 42796),
(99071, 'PR00495', NULL, 'Obesity factor (leptin) signature', NULL, NULL, 'LEPTIN', 42797),
(99072, 'PR00134', NULL, 'Glycosyl hydrolase family 10 signature', NULL, NULL, 'GLHYDRLASE10', 42798),
(99073, 'PR00252', NULL, 'Neurotransmitter-gated ion channel family signature', NULL, NULL, 'NRIONCHANNEL', 42799),
(99074, 'PR00802', NULL, 'Serum albumin family signature', NULL, NULL, 'SERUMALBUMIN', 42800),
(99075, 'PR01515', NULL, 'Kv2.2 voltage-gated K+ channel signature', NULL, NULL, 'KV22CHANNEL', 42801),
(99076, 'PR01943', NULL, 'Mammalian interleukin-11 signature', NULL, NULL, 'INTLKN11MAML', 42802),
(99077, 'PR02022', NULL, 'Mammalian aquaporin-10 signature', NULL, NULL, 'AQUAPORIN10M', 42803),
(99078, 'PR02049', NULL, 'Protein family FAM36A signature', NULL, NULL, 'PROTEINF36A', 42804),
(99079, 'PR01516', NULL, 'Kv4.1 voltage-gated K+ channel signature', NULL, NULL, 'KV41CHANNEL', 42805),
(99080, 'PR01793', NULL, 'Voltage-dependent calcium channel gamma-5 subunit signature', NULL, NULL, 'VDCCGAMMA5', 42806),
(99081, 'PR01600', NULL, 'Zona occludens protein ZO-3 signature', NULL, NULL, 'ZONOCCLUDNS3', 42807),
(99082, 'PR01650', NULL, 'Bacterial translocase SecE signature', NULL, NULL, 'SECETRNLCASE', 42808),
(99083, 'PR01089', NULL, 'Neuregulin family signature', NULL, NULL, 'NEUREGULIN', 42809),
(99084, 'PR01278', NULL, 'CD97 protein signature', NULL, NULL, 'CD97PROTEIN', 42810),
(99085, 'PR00219', NULL, 'Synaptobrevin signature', NULL, NULL, 'SYNAPTOBREVN', 42811),
(99086, 'PR01231', NULL, 'HCO3- transporter superfamily signature', NULL, NULL, 'HCO3TRNSPORT', 42812),
(99087, 'PR01428', NULL, 'Protease activated receptor precursor signature', NULL, NULL, 'PROTEASEAR', 42813),
(99088, 'PR00312', NULL, 'Calsequestrin signature', NULL, NULL, 'CALSEQUESTRN', 42814),
(99089, 'PR01313', NULL, 'P2X6 purinoceptor signature', NULL, NULL, 'P2X6RECEPTOR', 42815),
(99090, 'PR00397', NULL, 'Sirohaem Fe-binding site signature', NULL, NULL, 'SIROHAEM', 42816),
(99091, 'PR01469', NULL, 'Bacterial carbamate kinase signature', NULL, NULL, 'CARBMTKINASE', 42817),
(99092, 'PR02053', NULL, 'BRISC complex subunit Abro1 signature', NULL, NULL, 'BRISCABRO1', 42818),
(99093, 'PR00165', NULL, 'Anion exchanger family signature', NULL, NULL, 'ANIONEXCHNGR', 42819),
(99094, 'PR00389', NULL, 'Phospholipase A2 signature', NULL, NULL, 'PHPHLIPASEA2', 42820),
(99095, 'PR02052', NULL, 'BRCA1-A complex subunit Abraxas signature', NULL, NULL, 'ABRAXAS', 42821);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(99096, 'PR00499', NULL, 'Neutrophil cytosol factor 2 signature', NULL, NULL, 'P67PHOX', 42822),
(99097, 'PR01697', NULL, 'Parvalbumin signature', NULL, NULL, 'PARVALBUMIN', 42823),
(99098, 'PR00228', NULL, 'Geminivirus CLV AL1 coat protein signature', NULL, NULL, 'GEMCOATCLVL1', 42824),
(99099, 'PR00500', NULL, 'Polycystic kidney disease type 1 protein (PKD1) signature', NULL, NULL, 'POLYCYSTIN1', 42825),
(99100, 'PR00514', NULL, '5-hydroxytryptamine 1D receptor signature', NULL, NULL, '5HT1DRECEPTR', 42826),
(99101, 'PR00311', NULL, 'Bleomycin resistance protein signature', NULL, NULL, 'BLEOMYCINRST', 42827),
(99102, 'PR01453', NULL, 'Epithelial membrane protein (EMP/PMP22/LMIP) family signature', NULL, NULL, 'EPMEMFAMILY', 42828),
(99103, 'PR01233', NULL, 'Josephin signature', NULL, NULL, 'JOSEPHIN', 42829),
(99104, 'PR00999', NULL, 'Fungalysin metallopeptidase (M36) signature', NULL, NULL, 'FUNGALYSIN', 42830),
(99105, 'PR01135', NULL, 'Gap junction alpha-5 protein (Cx40) signature', NULL, NULL, 'CONNEXINA5', 42831),
(99106, 'PR01108', NULL, 'C-C chemokine receptor type 3 signature', NULL, NULL, 'CHEMOKINER3', 42832),
(99107, 'PR01589', NULL, 'Claudin-2 signature', NULL, NULL, 'CLAUDIN2', 42833),
(99108, 'PR01146', NULL, 'GPR1 orphan receptor signature', NULL, NULL, 'GPR1ORPHANR', 42834),
(99109, 'PR00039', NULL, 'LysR bacterial regulatory protein HTH signature', NULL, NULL, 'HTHLYSR', 42835),
(99110, 'PR01938', NULL, 'Interleukin-34 signature', NULL, NULL, 'INTRLEUKIN34', 42836),
(99111, 'PR00222', NULL, 'Cucumovirus coat protein signature', NULL, NULL, 'CUCUMOCOAT', 42837),
(99112, 'PR01682', NULL, 'FMRFamide-related peptide precursor signature', NULL, NULL, 'FMRFAMIDEPEP', 42838),
(99113, 'PR00362', NULL, 'Cannabinoid receptor signature', NULL, NULL, 'CANNABINOIDR', 42839),
(99114, 'PR01088', NULL, 'Na+/H+ exchanger isoform 6 (NHE6) signature', NULL, NULL, 'NAHEXCHNGR6', 42840),
(99115, 'PR00101', NULL, 'Aspartate carbamoyltransferase signature', NULL, NULL, 'ATCASE', 42841),
(99116, 'PR01499', NULL, 'Trek K+ channel signature', NULL, NULL, 'TREKCHANNEL', 42842),
(99117, 'PR02054', NULL, 'Plant protein family FAM175 signature', NULL, NULL, 'FAM175PLANT', 42843),
(99118, 'PR00568', NULL, 'Dopamine D3 receptor signature', NULL, NULL, 'DOPAMINED3R', 42844),
(99119, 'PR01528', NULL, 'EDG-4 lysophosphatidic acid receptor signature', NULL, NULL, 'EDG4RECEPTOR', 42845),
(99120, 'PR00182', NULL, 'E.coli/Neisseria porin superfamily signature', NULL, NULL, 'ECOLNEIPORIN', 42846),
(99121, 'PR00370', NULL, 'Flavin-containing monooxygenase (FMO) signature', NULL, NULL, 'FMOXYGENASE', 42847),
(99122, 'PR00243', NULL, 'Muscarinic acetylcholine receptor signature', NULL, NULL, 'MUSCARINICR', 42848),
(99123, 'PR01616', NULL, 'Gamma-aminobutyric-acid A receptor alpha 3 subunit signature', NULL, NULL, 'GABAARALPHA3', 42849),
(99124, 'PR01091', NULL, 'Prepro-orexin signature', NULL, NULL, 'OREXINPP', 42850),
(99125, 'PR00194', NULL, 'Tropomyosin signature', NULL, NULL, 'TROPOMYOSIN', 42851),
(99126, 'PR00765', NULL, 'Carboxypeptidase A metalloprotease (M14) family signature', NULL, NULL, 'CRBOXYPTASEA', 42852),
(99127, 'PR00546', NULL, 'Thyroid hormone receptor (1D nuclear receptor) signature', NULL, NULL, 'THYROIDHORMR', 42853),
(99128, 'PR02004', NULL, 'Relaxin signature', NULL, NULL, 'RELAXIN', 42854),
(99129, 'PR01382', NULL, 'Claudin-9 signature', NULL, NULL, 'CLAUDIN9', 42855),
(99130, 'PR01674', NULL, 'Glycine receptor alpha 1 subunit signature', NULL, NULL, 'GLYRALPHA1', 42856),
(99131, 'PR00200', NULL, 'Annexin type IV signature', NULL, NULL, 'ANNEXINIV', 42857),
(99132, 'PR00240', NULL, 'Alpha-1D adrenergic receptor signature', NULL, NULL, 'ADRENRGCA1DR', 42858),
(99133, 'PR00578', NULL, 'Lateral eye opsin signature', NULL, NULL, 'OPSINLTRLEYE', 42859),
(99134, 'PR01286', NULL, 'Orphan nuclear receptor NOR1 signature', NULL, NULL, 'NORNUCRECPTR', 42860),
(99135, 'PR01776', NULL, 'Helicobacter pylori outer membrane protein family signature', NULL, NULL, 'HPOMPFAMILY', 42861),
(99136, 'PR01486', NULL, 'Bacterial phospholipase A1 protein signature', NULL, NULL, 'PHPHLIPASEA1', 42862);
INSERT INTO "PUBLIC"."MODEL" VALUES
(99137, 'PR01205', NULL, 'Inebriated neurotransmitter transporter signature', NULL, NULL, 'INEBRIATED', 42863),
(99138, 'PR01032', NULL, 'Gene IV protein signature', NULL, NULL, 'PHAGEIV', 42864),
(99139, 'PR01730', NULL, 'Macrophage infectivity potentiator signature', NULL, NULL, 'INFPOTNTIATR', 42865),
(99140, 'PR01820', NULL, 'Desmocollin signature', NULL, NULL, 'DESMOCOLLIN', 42866),
(99141, 'PR02023', NULL, 'Invertebrate aquaporin-10 signature', NULL, NULL, 'AQUAPORIN10I', 42867),
(99142, 'PR00711', NULL, 'Atrial natriuretic peptide signature', NULL, NULL, 'ANATPEPTIDE', 42868),
(99143, 'PR00484', NULL, 'Pheromone/general odorant binding protein signature', NULL, NULL, 'PBPGOBP', 42869),
(99144, 'PR00553', NULL, 'Adenosine A2A receptor signature', NULL, NULL, 'ADENOSINA2AR', 42870),
(99145, 'PR00334', NULL, 'HMW kininogen signature', NULL, NULL, 'KININOGEN', 42871),
(99146, 'PR01033', NULL, 'Phytochrome signature', NULL, NULL, 'PHYTOCHROME', 42872),
(99147, 'PR01854', NULL, 'BR22 protein signature', NULL, NULL, 'BR22PROTEIN', 42873),
(99148, 'PR01907', NULL, 'Worm globin signature', NULL, NULL, 'WORMGLOBIN', 42874),
(99149, 'PR00601', NULL, 'Bacterioferritin signature', NULL, NULL, 'BACFERRITIN', 42875),
(99150, 'PR00213', NULL, 'Myelin P0 protein signature', NULL, NULL, 'MYELINP0', 42876),
(99151, 'PR01172', NULL, 'Beta-lactoglobulin signature', NULL, NULL, 'BLCTOGLOBULN', 42877),
(99152, 'PR00663', NULL, 'Galanin receptor signature', NULL, NULL, 'GALANINR', 42878),
(99153, 'PR00022', NULL, 'Somatomedin B signature', NULL, NULL, 'SOMATOMEDINB', 42879),
(99154, 'PR01430', NULL, 'Protease activated receptor 2 precursor signature', NULL, NULL, 'PROTEASEAR4', 42880),
(99155, 'PR00307', NULL, 'Adenovirus fibre protein signature', NULL, NULL, 'ADENOVSFIBRE', 42881),
(99156, 'PR01934', NULL, 'Interleukin-19 signature', NULL, NULL, 'INTRLEUKIN19', 42882),
(99157, 'PR02037', NULL, 'FPRL1 inhibitory protein signature', NULL, NULL, 'FLIPR', 42883),
(99158, 'PR00621', NULL, 'Histone H2B signature', NULL, NULL, 'HISTONEH2B', 42884),
(99159, 'PR00209', NULL, 'Alpha/beta gliadin family signature', NULL, NULL, 'GLIADIN', 42885),
(99160, 'PR00422', NULL, 'Transferrin signature', NULL, NULL, 'TRANSFERRIN', 42886),
(99161, 'PR01766', NULL, 'Epithelial calcium channel 1 (ECAC1) family signature', NULL, NULL, 'ECACCHANNEL1', 42887),
(99162, 'PR00449', NULL, 'Transforming protein P21 ras signature', NULL, NULL, 'RASTRNSFRMNG', 42888),
(99163, 'PR01712', NULL, 'Alpha giardin signature', NULL, NULL, 'ALPHAGIARDIN', 42889),
(99164, 'PR01961', NULL, 'Tumour necrosis factor receptor 11 signature', NULL, NULL, 'TNFACTORR11', 42890),
(99165, 'PR00720', NULL, 'Mammalian LMW phosphotyrosine protein phosphatase signature', NULL, NULL, 'MAMMALPTPASE', 42891),
(99166, 'PR00966', NULL, 'Potyvirus nuclear inclusion A cysteine protease (C4) signature', NULL, NULL, 'NIAPOTYPTASE', 42892),
(99167, 'PR00590', NULL, 'Somatostatin receptor type 4 signature', NULL, NULL, 'SOMATOSTTN4R', 42893),
(99168, 'PR00649', NULL, 'GPR6 orphan receptor signature', NULL, NULL, 'GPR6ORPHANR', 42894),
(99169, 'PR00244', NULL, 'Neurokinin receptor signature', NULL, NULL, 'NEUROKININR', 42895),
(99170, 'PR01047', NULL, 'Threonyl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHTHR', 42896),
(99171, 'PR01291', NULL, 'Peroxisome proliferator-activated receptor gamma signature', NULL, NULL, 'PROXISOMPAGR', 42897),
(99172, 'PR00315', NULL, 'GTP-binding elongation factor signature', NULL, NULL, 'ELONGATNFCT', 42898),
(99173, 'PR01786', NULL, 'Paraoxonase 1 signature', NULL, NULL, 'PARAOXONASE1', 42899),
(99174, 'PR01838', NULL, 'Neural cell adhesion molecule signature', NULL, NULL, 'NCAMFAMILY', 42900),
(99175, 'PR01254', NULL, 'Prostaglandin D synthase signature', NULL, NULL, 'PGNDSYNTHASE', 42901),
(99176, 'PR01132', NULL, 'Gap junction alpha-1 protein (Cx43) signature', NULL, NULL, 'CONNEXINA1', 42902),
(99177, 'PR00056', NULL, 'Heat shock factor (HSF) domain signature', NULL, NULL, 'HSFDOMAIN', 42903),
(99178, 'PR00989', NULL, 'Adenosine kinase signature', NULL, NULL, 'ADENOKINASE', 42904);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(99179, 'PR00035', NULL, 'GntR bacterial regulatory protein HTH signature', NULL, NULL, 'HTHGNTR', 42905),
(99180, 'PR01277', NULL, 'Nucleoside-specific channel-forming protein Tsx signature', NULL, NULL, 'CHANNELTSX', 42906),
(99181, 'PR01293', NULL, 'Nuclear receptor ROR family signature', NULL, NULL, 'RORNUCRECPTR', 42907),
(99182, 'PR00695', NULL, 'Copper containing nitrite reductase signature', NULL, NULL, 'CUNO2RDTASE', 42908),
(99183, 'PR01581', NULL, 'Kv3.1 voltage-gated K+ channel signature', NULL, NULL, 'KV31CHANNEL', 42909),
(99184, 'PR01666', NULL, 'Voltage-gated Na+ channel alpha 5 subunit signature', NULL, NULL, 'NACHANNEL5', 42910),
(99185, 'PR00939', NULL, 'C2HC-type zinc-finger signature', NULL, NULL, 'C2HCZNFINGER', 42911),
(99186, 'PR00156', NULL, 'Type I copper blue protein family signature', NULL, NULL, 'COPPERBLUE', 42912),
(99187, 'PR00364', NULL, 'Disease resistance protein signature', NULL, NULL, 'DISEASERSIST', 42913),
(99188, 'PR01941', NULL, 'Neurotrophic tyrosine kinase receptor type 2 signature', NULL, NULL, 'NTKRECEPTOR2', 42914),
(99189, 'PR00564', NULL, 'C-X-C chemokine receptor type 5 signature', NULL, NULL, 'CXCCHMKINER5', 42915),
(99190, 'PR01656', NULL, 'Helicobacter pylori vacuolating cytotoxin signature', NULL, NULL, 'VACCYTOTOXIN', 42916),
(99191, 'PR00131', NULL, 'Glycosyl hydrolase family 1 signature', NULL, NULL, 'GLHYDRLASE1', 42917),
(99192, 'PR01398', NULL, 'Isochorismatase signature', NULL, NULL, 'ISCHRISMTASE', 42918),
(99193, 'PR01734', NULL, 'Type III secretion system outer membrane B protein family signature', NULL, NULL, 'TYPE3OMBPROT', 42919),
(99194, 'PR01726', NULL, 'Histamine H4 receptor signature', NULL, NULL, 'HISTAMINEH4R', 42920),
(99195, 'PR01724', NULL, 'Gamma-aminobutyric-acid A receptor pi subunit signature', NULL, NULL, 'GABAARPI', 42921),
(99196, 'PR01268', NULL, 'Pi-class glutathione S-transferase signature', NULL, NULL, 'GSTRNSFRASEP', 42922),
(99197, 'PR02075', NULL, 'Fibrous sheath-interacting protein 1 signature', NULL, NULL, 'FIBSHEATHIP1', 42923),
(99198, 'PR00833', NULL, 'Pollen allergen Poa pI signature', NULL, NULL, 'POAALLERGEN', 42924),
(99199, 'PR01901', NULL, 'Wnt inhibitory factor (WIF)-1 protein signature', NULL, NULL, 'WIFPROTEIN', 42925),
(99200, 'PR00660', NULL, 'ER lumen protein retaining receptor signature', NULL, NULL, 'ERLUMENR', 42926),
(99201, 'PR01118', NULL, 'CLC-7 chloride channel signature', NULL, NULL, 'CLCHANNEL7', 42927),
(99202, 'PR00920', NULL, 'Spumavirus aspartic protease (A9) signature', NULL, NULL, 'SPUMVIRPTASE', 42928),
(99203, 'PR00768', NULL, 'Deuterolysin metalloprotease (M35) family signature', NULL, NULL, 'DEUTEROLYSIN', 42929),
(99204, 'PR00468', NULL, 'Plant lipoxygenase signature', NULL, NULL, 'PLTLPOXGNASE', 42930),
(99205, 'PR01972', NULL, 'Tumour necrosis factor receptor 25 signature', NULL, NULL, 'TNFACTORR25', 42931),
(99206, 'PR00212', NULL, 'Myelin basic protein signature', NULL, NULL, 'MYELINMBP', 42932),
(99207, 'PR00055', NULL, 'HIV TAT domain signature', NULL, NULL, 'HIVTATDOMAIN', 42933),
(99208, 'PR02016', NULL, 'Aquaporin-4 signature', NULL, NULL, 'AQUAPORIN4', 42934),
(99209, 'PR01331', NULL, 'Kir6.1 inward rectifier K+ channel signature', NULL, NULL, 'KIR61CHANNEL', 42935),
(99210, 'PR01952', NULL, 'Nisin biosynthesis protein NisC signature', NULL, NULL, 'NISCPROTEIN', 42936),
(99211, 'PR00284', NULL, 'Toxin signature', NULL, NULL, 'TOXIN', 42937),
(99212, 'PR00757', NULL, 'Flavin-containing amine oxidase signature', NULL, NULL, 'AMINEOXDASEF', 42938),
(99213, 'PR01426', NULL, 'Transforming growth factor beta 3 precursor signature', NULL, NULL, 'TGFBETA3', 42939),
(99214, 'PR01887', NULL, 'Spectrin alpha chain signature', NULL, NULL, 'SPECTRNALPHA', 42940),
(99215, 'PR01509', NULL, 'Kv1.2 voltage-gated K+ channel signature', NULL, NULL, 'KV12CHANNEL', 42941),
(99216, 'PR00861', NULL, 'Alpha-lytic endopeptidase serine protease (S2A) signature', NULL, NULL, 'ALYTICPTASE', 42942),
(99217, 'PR00277', NULL, 'Insulin signature', NULL, NULL, 'INSULIN', 42943),
(99218, 'PR01511', NULL, 'Kv1.4 voltage-gated K+ channel signature', NULL, NULL, 'KV14CHANNEL', 42944);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(99219, 'PR00828', NULL, 'Formin signature', NULL, NULL, 'FORMIN', 42945),
(99220, 'PR01692', NULL, 'Lipocalin-1 interacting membrane receptor signature', NULL, NULL, 'LIPOCALINIMR', 42946),
(99221, 'PR00033', NULL, 'AsnC bacterial regulatory protein HTH signature', NULL, NULL, 'HTHASNC', 42947),
(99222, 'PR01093', NULL, 'Sulphonylurea receptor type 1 family signature', NULL, NULL, 'SULFNYLUR1', 42948),
(99223, 'PR02094', NULL, 'Protein HEXIM1/HEXIM2 family signature', NULL, NULL, 'HEXIMFAMILY', 42949),
(99224, 'PR00598', NULL, 'Bacterial regulatory protein MarR family signature', NULL, NULL, 'HTHMARR', 42950),
(99225, 'PR00733', NULL, 'Glycosyl hydrolase family 6 signature', NULL, NULL, 'GLHYDRLASE6', 42951),
(99226, 'PR01923', NULL, 'Tumour necrosis factor receptor 8 signature', NULL, NULL, 'TNFACTORR8', 42952),
(99227, 'PR00915', NULL, 'Luteovirus group 1 coat protein signature', NULL, NULL, 'LUTEOGP1COAT', 42953),
(99228, 'PR00530', NULL, 'Histamine H1 receptor signature', NULL, NULL, 'HISTAMINEH1R', 42954),
(99229, 'PR01925', NULL, 'Mammalian nerve growth factor beta subunit signature', NULL, NULL, 'MAMLNGFBETA', 42955),
(99230, 'PR00372', NULL, 'Biopterin-dependent aromatic amino acid hydroxylase signature', NULL, NULL, 'FYWHYDRXLASE', 42956),
(99231, 'PR00748', NULL, 'Melibiase signature', NULL, NULL, 'MELIBIASE', 42957),
(99232, 'PR01294', NULL, 'Interleukin-10 signature', NULL, NULL, 'INTRLEUKIN10', 42958),
(99233, 'PR01788', NULL, 'Prostanoid receptor signature', NULL, NULL, 'PROSTANOIDR', 42959),
(99234, 'PR02082', NULL, 'GLC7-interacting protein 4 signature', NULL, NULL, 'GLC7IP4', 42960),
(99235, 'PR01109', NULL, 'C-C chemokine receptor type 4 signature', NULL, NULL, 'CHEMOKINER4', 42961),
(99236, 'PR01668', NULL, 'Neurotensin/neuromedin N precursor signature', NULL, NULL, 'NEUROTENSIN', 42962),
(99237, 'PR00713', NULL, 'C-type natriuretic peptide signature', NULL, NULL, 'CNATPEPTIDE', 42963),
(99238, 'PR01242', NULL, 'Plant G protein alpha subunit signature', NULL, NULL, 'GPROTEINAPLT', 42964),
(99239, 'PR01743', NULL, 'Single-strand DNA-binding protein signature', NULL, NULL, 'SSDNABINDING', 42965),
(99240, 'PR01822', NULL, 'Cholecystokinin receptor family signature', NULL, NULL, 'CCYSTOKININR', 42966),
(99241, 'PR00005', NULL, 'Apple domain signature', NULL, NULL, 'APPLEDOMAIN', 42967),
(99242, 'PR00876', NULL, 'Nematode metallothionein signature', NULL, NULL, 'MTNEMATODE', 42968),
(99243, 'PR00025', NULL, 'Homeotic antennapedia protein signature', NULL, NULL, 'ANTENNAPEDIA', 42969),
(99244, 'PR01201', NULL, 'Noradrenaline neurotransmitter transporter signature', NULL, NULL, 'NORTRANSPORT', 42970),
(99245, 'PR01663', NULL, 'Mini-chromosome maintenance (MCM) protein 7 signature', NULL, NULL, 'MCMPROTEIN7', 42971),
(99246, 'PR00099', NULL, 'Carbamoyl-phosphate synthase protein GATase domain signature', NULL, NULL, 'CPSGATASE', 42972),
(99247, 'PR01436', NULL, 'NADH-ubiquinone oxidoreductase chain 2 signature', NULL, NULL, 'NADHDHGNASE2', 42973),
(99248, 'PR00324', NULL, 'Nisin signature', NULL, NULL, 'NISIN', 42974),
(99249, 'PR00084', NULL, 'Mannitol dehydrogenase signature', NULL, NULL, 'MTLDHDRGNASE', 42975),
(99250, 'PR00181', NULL, 'Maltose binding protein signature', NULL, NULL, 'MALTOSEBP', 42976),
(99251, 'PR01474', NULL, 'Vascular cell adhesion molecule-1 (VCAM-1) signature', NULL, NULL, 'VCAM1', 42977),
(99252, 'PR02013', NULL, 'Aquaporin-1 signature', NULL, NULL, 'AQUAPORIN1', 42978),
(99253, 'PR02055', NULL, 'Protein family FAM105 signature', NULL, NULL, 'PROTEINF105', 42979),
(99254, 'PR00052', NULL, 'Fibrillarin signature', NULL, NULL, 'FIBRILLARIN', 42980),
(99255, 'PR00872', NULL, 'Diptera (Drosophila) metallothionein signature', NULL, NULL, 'MTDIPTERA', 42981),
(99256, 'PR00162', NULL, 'Rieske 2Fe-2S subunit signature', NULL, NULL, 'RIESKE', 42982),
(99257, 'PR00348', NULL, 'Ubiquitin signature', NULL, NULL, 'UBIQUITIN', 42983),
(99258, 'PR01220', NULL, 'Tick histamine binding protein signature', NULL, NULL, 'HISBINDING', 42984),
(99259, 'PR00239', NULL, 'Molluscan rhodopsin C-terminal tail signature', NULL, NULL, 'RHODOPSNTAIL', 42985);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(99260, 'PR00302', NULL, 'Lupus La protein signature', NULL, NULL, 'LUPUSLA', 42986),
(99261, 'PR00467', NULL, 'Mammalian lipoxygenase signature', NULL, NULL, 'MAMLPOXGNASE', 42987),
(99262, 'PR01905', NULL, 'Fatty acid receptor GPR40 signature', NULL, NULL, 'FATTYACIDR', 42988),
(99263, 'PR00700', NULL, 'Protein tyrosine phosphatase signature', NULL, NULL, 'PRTYPHPHTASE', 42989),
(99264, 'PR00692', NULL, 'T-cell surface glycoprotein CD4 signature', NULL, NULL, 'CD4TCANTIGEN', 42990),
(99265, 'PR00143', NULL, 'Citrate synthase signature', NULL, NULL, 'CITRTSNTHASE', 42991),
(99266, 'PR01553', NULL, 'Type IV secretion system CagA exotoxin signature', NULL, NULL, 'TYPE4SSCAGA', 42992),
(99267, 'PR02008', NULL, 'RNA (C5-cytosine) methyltransferase signature', NULL, NULL, 'RCMTFAMILY', 42993),
(99268, 'PR01713', NULL, 'Nucleotide sugar epimerase signature', NULL, NULL, 'NUCEPIMERASE', 42994),
(99269, 'PR01747', NULL, 'Dense granule Gra7 protein signature', NULL, NULL, 'DENSEGRNULE7', 42995),
(99270, 'PR00237', NULL, 'Rhodopsin-like GPCR superfamily signature', NULL, NULL, 'GPCRRHODOPSN', 42996),
(99271, 'PR00648', NULL, 'GPR3 orphan receptor signature', NULL, NULL, 'GPR3ORPHANR', 42997),
(99272, 'PR00112', NULL, 'Acylphosphatase signature', NULL, NULL, 'ACYLPHPHTASE', 42998),
(99273, 'PR00013', NULL, 'Fibronectin type II repeat signature', NULL, NULL, 'FNTYPEII', 42999),
(99274, 'PR01845', NULL, 'Wnt-6 protein signature', NULL, NULL, 'WNT6PROTEIN', 43000),
(99275, 'PR01025', NULL, 'Neurokinin NK2 receptor signature', NULL, NULL, 'NEUROKININ2R', 43001),
(99276, 'PR02096', NULL, 'Hydroxyacyl-thioester dehydratase type 2 (mitochondrial) signature', NULL, NULL, 'HTDHYDRTASE2', 43002),
(99277, 'PR01550', NULL, 'DNA topoisomerase VI subunit A family signature', NULL, NULL, 'TOP6AFAMILY', 43003),
(99278, 'PR01844', NULL, 'Wnt-4 protein signature', NULL, NULL, 'WNT4PROTEIN', 43004),
(99279, 'PR01451', NULL, 'Calcium-activated SK potassium channel signature', NULL, NULL, 'SKCHANNEL', 43005),
(99280, 'PR00667', NULL, 'Retinal pigment epithelium-retinal GPCR signature', NULL, NULL, 'RPERETINALR', 43006),
(99281, 'PR01571', NULL, 'Type 1 neuropeptide FF receptor signature', NULL, NULL, 'NPFFRECEPTR1', 43007),
(99282, 'PR00521', NULL, 'Androgen receptor (3C nuclear receptor) signature', NULL, NULL, 'ANDROGENR', 43008),
(99283, 'PR00945', NULL, 'Mercuric reductase class II signature', NULL, NULL, 'HGRDTASE', 43009),
(99284, 'PR00432', NULL, 'Interleukin-5 signature', NULL, NULL, 'INTERLEUKIN5', 43010),
(99285, 'PR00367', NULL, 'Ethylene responsive element binding protein signature', NULL, NULL, 'ETHRSPELEMNT', 43011),
(99286, 'PR00678', NULL, 'PI3 kinase P85 regulatory subunit signature', NULL, NULL, 'PI3KINASEP85', 43012),
(99287, 'PR01594', NULL, 'Bacterial protein-transport SecB chaperone protein signature', NULL, NULL, 'SECBCHAPRONE', 43013),
(99288, 'PR00279', NULL, 'Bacterial toxin signature', NULL, NULL, 'BACTRLTOXIN', 43014),
(99289, 'PR01057', NULL, 'Metabotropic glutamate receptor 7 signature', NULL, NULL, 'MTABOTROPC7R', 43015),
(99290, 'PR01532', NULL, 'C-X-C chemokine receptor type 3 signature', NULL, NULL, 'CXCCHMKINER3', 43016),
(99291, 'PR00462', NULL, 'Fungal lignin peroxidase family signature', NULL, NULL, 'LIGNINASE', 43017),
(99292, 'PR00253', NULL, 'Gamma-aminobutyric acid A (GABAA) receptor signature', NULL, NULL, 'GABAARECEPTR', 43018),
(99293, 'PR01548', NULL, 'Meiotic recombination protein rec114 signature', NULL, NULL, 'MEIOTICR114', 43019),
(99294, 'PR00012', NULL, 'Fibronectin type I repeat signature', NULL, NULL, 'FNTYPEI', 43020),
(99295, 'PR01802', NULL, 'Synembryn family signature', NULL, NULL, 'SYNEMBRYN', 43021),
(99296, 'PR00373', NULL, 'Glycoprotein hormone receptor signature', NULL, NULL, 'GLYCHORMONER', 43022),
(99297, 'PR01493', NULL, 'Kv8 potassium channel alpha subunit signature', NULL, NULL, 'KV8CHANNEL', 43023),
(99298, 'PR00745', NULL, 'Glycosyl hydrolase family 39 signature', NULL, NULL, 'GLHYDRLASE39', 43024),
(99299, 'PR01255', NULL, 'Otx transcription factor signature', NULL, NULL, 'OTXHOMEOBOX', 43025);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(99300, 'PR01858', NULL, 'ADAM-TS1 protein signature', NULL, NULL, 'ADAMTS1', 43026),
(99301, 'PR00849', NULL, 'Glycosyl hydrolase family 58 signature', NULL, NULL, 'GLHYDRLASE58', 43027),
(99302, 'PR01379', NULL, 'Claudin-4 signature', NULL, NULL, 'CLAUDIN4', 43028),
(99303, 'PR00394', NULL, 'RHS protein signature', NULL, NULL, 'RHSPROTEIN', 43029),
(99304, 'PR00647', NULL, 'Urotensin II receptor signature', NULL, NULL, 'UROTENSIN2R', 43030),
(99305, 'PR00142', NULL, 'RecA protein signature', NULL, NULL, 'RECA', 43031),
(99306, 'PR01315', NULL, 'CLN3 Batten''s disease protein (battenin) signature', NULL, NULL, 'BATTENIN', 43032),
(99307, 'PR00291', NULL, 'Soybean trypsin inhibitor (Kunitz-type) signature', NULL, NULL, 'KUNITZINHBTR', 43033),
(99308, 'PR00421', NULL, 'Thioredoxin family signature', NULL, NULL, 'THIOREDOXIN', 43034),
(99309, 'PR00081', NULL, 'Glucose/ribitol dehydrogenase family signature', NULL, NULL, 'GDHRDH', 43035),
(99310, 'PR01230', NULL, 'Thiazide-sensitive Na-Cl co-transporter signature', NULL, NULL, 'NACLTRNSPORT', 43036),
(99311, 'PR02024', NULL, 'Aquaporin-11 signature', NULL, NULL, 'AQUAPORIN11', 43037),
(99312, 'PR01432', NULL, 'Rabaptin signature', NULL, NULL, 'RABAPTIN', 43038),
(99313, 'PR00854', NULL, 'Prostaglandin D receptor signature', NULL, NULL, 'PRSTNOIDDPR', 43039),
(99314, 'PR01750', NULL, 'Transcription factor AP-2 beta signature', NULL, NULL, 'AP2BTNSCPFCT', 43040),
(99315, 'PR01272', NULL, 'Acetoin utilisation ACUC protein signature', NULL, NULL, 'ACUCPROTEIN', 43041),
(99316, 'PR01051', NULL, 'Metabotropic glutamate receptor 1 signature', NULL, NULL, 'MTABOTROPC1R', 43042),
(99317, 'PR01333', NULL, 'Two pore domain K+ channel signature', NULL, NULL, '2POREKCHANEL', 43043),
(99318, 'PR01153', NULL, 'Platelet activating factor receptor signature', NULL, NULL, 'PAFRECEPTOR', 43044),
(99319, 'PR02044', NULL, 'Fibrosin-1-like protein family signature', NULL, NULL, 'FIBROSIN1LPF', 43045),
(99320, 'PR01722', NULL, 'Gamma-aminobutyric-acid A receptor delta subunit signature', NULL, NULL, 'GABAARDELTA', 43046),
(99321, 'PR02035', NULL, 'FPRL1/chemotaxis inhibitory protein signature', NULL, NULL, 'FLIPRCHIPS', 43047),
(99322, 'PR00176', NULL, 'Sodium/chloride neurotransmitter symporter signature', NULL, NULL, 'NANEUSMPORT', 43048),
(99323, 'PR00696', NULL, 'Crossover junction endodeoxyribonuclease RUVC signature', NULL, NULL, 'RSOLVASERUVC', 43049),
(99324, 'PR01021', NULL, 'OMPA domain signature', NULL, NULL, 'OMPADOMAIN', 43050),
(99325, 'PR00903', NULL, 'VP7 core protein signature', NULL, NULL, 'VP7CAPSID', 43051),
(99326, 'PR01343', NULL, 'Yeast eukaryotic release factor signature', NULL, NULL, 'YEASTERF', 43052),
(99327, 'PR01659', NULL, 'Mini-chromosome maintenance (MCM) protein 3 signature', NULL, NULL, 'MCMPROTEIN3', 43053),
(99328, 'PR01557', NULL, 'C-C chemokine receptor type 10 signature', NULL, NULL, 'CHEMOKINER10', 43054),
(99329, 'PR00401', NULL, 'SH2 domain signature', NULL, NULL, 'SH2DOMAIN', 43055),
(99330, 'PR00704', NULL, 'Calpain cysteine protease (C2) family signature', NULL, NULL, 'CALPAIN', 43056),
(99331, 'PR00752', NULL, 'Vasopressin V1A receptor signature', NULL, NULL, 'VASOPRSNV1AR', 43057),
(99332, 'PR00409', NULL, 'Phthalate dioxygenase reductase family signature', NULL, NULL, 'PHDIOXRDTASE', 43058),
(99333, 'PR01975', NULL, 'Tumour necrosis factor receptor 11B signature', NULL, NULL, 'TNFACTORR11B', 43059),
(99334, 'PR00824', NULL, 'Hepatic lipase signature', NULL, NULL, 'HEPLIPASE', 43060),
(99335, 'PR00961', NULL, 'Paraneoplastic encephalomyelitis antigen family signature', NULL, NULL, 'HUDSXLRNA', 43061),
(99336, 'PR00573', NULL, 'Interleukin 8B receptor signature', NULL, NULL, 'INTRLEUKN8BR', 43062),
(99337, 'PR00632', NULL, 'Sonic hedgehog protein signature', NULL, NULL, 'SONICHHOG', 43063),
(99338, 'PR01310', NULL, 'P2X3 purinoceptor signature', NULL, NULL, 'P2X3RECEPTOR', 43064),
(99339, 'PR01582', NULL, 'Kv3.3 voltage-gated K+ channel signature', NULL, NULL, 'KV33CHANNEL', 43065),
(99340, 'PR00386', NULL, 'P53 tumour supressor signature', NULL, NULL, 'P53SUPPRESSR', 43066);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(99341, 'PR01595', NULL, 'Gram-negative bacterial type III secretion SycD chaperone signature', NULL, NULL, 'SYCDCHAPRONE', 43067),
(99342, 'PR01719', NULL, 'MHC class II transactivator signature', NULL, NULL, 'MHCIIACTVATR', 43068),
(99343, 'PR00589', NULL, 'Somatostatin receptor type 3 signature', NULL, NULL, 'SOMATOSTTN3R', 43069),
(99344, 'PR00295', NULL, 'Stefin A signature', NULL, NULL, 'STEFINA', 43070),
(99345, 'PR00931', NULL, 'Microbial collagenase metalloprotease (M9) signature', NULL, NULL, 'MICOLLPTASE', 43071),
(99346, 'PR00977', NULL, 'Scytalidopepsin B aspartic protease (A4) signature', NULL, NULL, 'SCYTLDPTASE', 43072),
(99347, 'PR00518', NULL, '5-hydroxytryptamine 5A receptor signature', NULL, NULL, '5HT5ARECEPTR', 43073),
(99348, 'PR01097', NULL, 'Transient receptor potential family signature', NULL, NULL, 'TRNSRECEPTRP', 43074),
(99349, 'PR01355', NULL, 'Glucagon-like peptide 1 receptor signature', NULL, NULL, 'GLUCAGNLIKER', 43075),
(99350, 'PR01081', NULL, 'K-Cl co-transporter signature', NULL, NULL, 'KCLTRNSPORT', 43076),
(99351, 'PR01877', NULL, 'Myeloid transforming gene related protein-1 (MTGR1) family signature', NULL, NULL, 'MTGR1PROTEIN', 43077),
(99352, 'PR00342', NULL, 'Rhesus blood group protein signature', NULL, NULL, 'RHESUSRHD', 43078),
(99353, 'PR00555', NULL, 'Adenosine A3 receptor signature', NULL, NULL, 'ADENOSINEA3R', 43079),
(99354, 'PR00417', NULL, 'Prokaryotic DNA topoisomerase I signature', NULL, NULL, 'PRTPISMRASEI', 43080),
(99355, 'PR00661', NULL, 'ERM family signature', NULL, NULL, 'ERMFAMILY', 43081),
(99356, 'PR01312', NULL, 'P2X5 purinoceptor signature', NULL, NULL, 'P2X5RECEPTOR', 43082),
(99357, 'PR01213', NULL, 'Beta-synuclein signature', NULL, NULL, 'BSYNUCLEIN', 43083),
(99358, 'PR01374', NULL, 'Gram-negative bacterial tonB protein signature', NULL, NULL, 'TONBPROTEIN', 43084),
(99359, 'PR01607', NULL, 'Apyrase family signature', NULL, NULL, 'APYRASEFAMLY', 43085),
(99360, 'PR01264', NULL, 'Bacterial mechano-sensitive ion channel signature', NULL, NULL, 'MECHCHANNEL', 43086),
(99361, 'PR01643', NULL, 'Transient receptor potential channel 2 signature', NULL, NULL, 'TRPCHANNEL2', 43087),
(99362, 'PR01783', NULL, 'Melanin-concentrating hormone receptor family signature', NULL, NULL, 'MCHRECEPTOR', 43088),
(99363, 'PR01706', NULL, 'Antistasin signature', NULL, NULL, 'ANTISTASIN', 43089),
(99364, 'PR01123', NULL, 'Flavin-containing monooxygenase (FMO) 3 signature', NULL, NULL, 'FMOXYGENASE3', 43090),
(99365, 'PR01900', NULL, 'YidC translocation/secretion protein signature', NULL, NULL, 'YIDCPROTEIN', 43091),
(99366, 'PR00747', NULL, 'Glycosyl hydrolase family 47 signature', NULL, NULL, 'GLYHDRLASE47', 43092),
(99367, 'PR00164', NULL, 'ABC-2 type transport system membrane protein signature', NULL, NULL, 'ABC2TRNSPORT', 43093),
(99368, 'PR00609', NULL, 'Class III cytochrome C signature', NULL, NULL, 'CYTOCHROMEC3', 43094),
(99369, 'PR01321', NULL, 'Kir1.1 inward rectifier K+ channel signature', NULL, NULL, 'KIR11CHANNEL', 43095),
(99370, 'PR01847', NULL, 'Viral fusion protein signature', NULL, NULL, 'VIRALFUSION', 43096),
(99371, 'PR00603', NULL, 'Cytochrome C1 signature', NULL, NULL, 'CYTOCHROMEC1', 43097),
(99372, 'PR01564', NULL, 'OGR1 sphingosylphosphorylcholine receptor signature', NULL, NULL, 'OGR1RECEPTOR', 43098),
(99373, 'PR02077', NULL, 'Protein GAPT signature', NULL, NULL, 'PROTEINGAPT', 43099),
(99374, 'PR00654', NULL, 'Angiotensinogen signature', NULL, NULL, 'ANGIOTENSNGN', 43100),
(99375, 'PR01823', NULL, 'Janus kinase family signature', NULL, NULL, 'JANUSKINASE', 43101),
(99376, 'PR01832', NULL, 'Vascular endothelial growth factor receptor signature', NULL, NULL, 'VEGFRECEPTOR', 43102),
(99377, 'PR00866', NULL, 'RNA-dependent DNA-polymerase (msDNA) signature', NULL, NULL, 'RNADNAPOLMS', 43103),
(99378, 'PR01860', NULL, 'ADAM-TS5 protein signature', NULL, NULL, 'ADAMTS5', 43104),
(99379, 'PR00251', NULL, 'Bacterial opsin signature', NULL, NULL, 'BACTRLOPSIN', 43105),
(99380, 'PR01868', NULL, 'ABC transporter family E signature', NULL, NULL, 'ABCEFAMILY', 43106);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(99381, 'PR02015', NULL, 'Aquaporin-3 signature', NULL, NULL, 'AQUAPORIN3', 43107),
(99382, 'PR00792', NULL, 'Pepsin (A1) aspartic protease family signature', NULL, NULL, 'PEPSIN', 43108),
(99383, 'PR01662', NULL, 'Mini-chromosome maintenance (MCM) protein 6 signature', NULL, NULL, 'MCMPROTEIN6', 43109),
(99384, 'PR01896', NULL, 'ABC transporter family B2 signature', NULL, NULL, 'TAP1PROTEIN', 43110),
(99385, 'PR00524', NULL, 'Cholecystokinin type A receptor signature', NULL, NULL, 'CCYSTOKNINAR', 43111),
(99386, 'PR01099', NULL, 'Hydroxyethylthiazole kinase family signature', NULL, NULL, 'HYETHTZKNASE', 43112),
(99387, 'PR01306', NULL, 'Salmonella invasion protein InvJ signature', NULL, NULL, 'SSPANPROTEIN', 43113),
(99388, 'PR00123', NULL, 'ATP synthase A subunit signature', NULL, NULL, 'ATPASEA', 43114),
(99389, 'PR01558', NULL, 'C-C chemokine receptor type 11 signature', NULL, NULL, 'CHEMOKINER11', 43115),
(99390, 'PR00818', NULL, 'Islet amyloid protein (amylin) signature', NULL, NULL, 'ISLETAMYLOID', 43116),
(99391, 'PR00249', NULL, 'Secretin-like GPCR superfamily signature', NULL, NULL, 'GPCRSECRETIN', 43117),
(99392, 'PR00772', NULL, 'Heat labile enterotoxin B chain signature', NULL, NULL, 'ENTEROTOXINB', 43118),
(99393, 'PR01156', NULL, 'Pituitary adenylate cyclase activating polypeptide type 1 receptor signature', NULL, NULL, 'PACAPRECEPTR', 43119),
(99394, 'PR01992', NULL, 'GP153 7TM protein signature', NULL, NULL, 'GPR153', 43120),
(99395, 'PR01572', NULL, 'Type 2 neuropeptide FF receptor signature', NULL, NULL, 'NPFFRECEPTR2', 43121),
(99396, 'PR00839', NULL, 'V8 serine protease family signature', NULL, NULL, 'V8PROTEASE', 43122),
(99397, 'PR01665', NULL, 'Voltage-gated Na+ channel alpha 4 subunit signature', NULL, NULL, 'NACHANNEL4', 43123),
(99398, 'PR01094', NULL, 'Sulphonylurea receptor type 2 family signature', NULL, NULL, 'SULFNYLUR2', 43124),
(99399, 'PR00897', NULL, 'Vasopressin V1B receptor signature', NULL, NULL, 'VASOPRSNV1BR', 43125),
(99400, 'PR00800', NULL, 'Aromatic-L-amino-acid decarboxylase signature', NULL, NULL, 'YHDCRBOXLASE', 43126),
(99401, 'PR01279', NULL, 'Corticotropin releasing factor receptor signature', NULL, NULL, 'CRFRECEPTOR', 43127),
(99402, 'PR01125', NULL, 'Flavin-containing monooxygenase (FMO) 5 signature', NULL, NULL, 'FMOXYGENASE5', 43128),
(99403, 'PR01893', NULL, 'Wnt-10 protein signature', NULL, NULL, 'WNT10PROTEIN', 43129),
(99404, 'PR01490', NULL, 'Gram-negative bacterial RTX secretion protein D signature', NULL, NULL, 'RTXTOXIND', 43130),
(99405, 'PR00009', NULL, 'Type I EGF signature', NULL, NULL, 'EGFTGF', 43131),
(99406, 'PR01902', NULL, 'Cysteinyl leukotriene receptor 1 signature', NULL, NULL, 'CYSLT1RECPTR', 43132),
(99407, 'PR00571', NULL, 'Endothelin-B receptor signature', NULL, NULL, 'ENDOTHELINBR', 43133),
(99408, 'PR02088', NULL, 'HAUS augmin-like complex subunit 2 signature', NULL, NULL, 'HAUSAUGMINL2', 43134),
(99409, 'PR00859', NULL, 'Prokaryote metallothionein signature', NULL, NULL, 'MTPROKARYOTE', 43135),
(99410, 'PR00198', NULL, 'Annexin type II signature', NULL, NULL, 'ANNEXINII', 43136),
(99411, 'PR01022', NULL, 'Outer membrane protein A signature', NULL, NULL, 'OUTRMMBRANEA', 43137),
(99412, 'PR01815', NULL, 'Beta-site APP cleaving enzyme (BACE) family signature', NULL, NULL, 'BACEFAMILY', 43138),
(99413, 'PR00618', NULL, 'DksA/TraR zinc finger signature', NULL, NULL, 'DKSAZNFINGER', 43139),
(99414, 'PR00736', NULL, 'Glycosyl hydrolase family 15 signature', NULL, NULL, 'GLHYDRLASE15', 43140),
(99415, 'PR01745', NULL, 'Dense granule Gra2 protein signature', NULL, NULL, 'DENSEGRNULE2', 43141),
(99416, 'PR02005', NULL, 'Insulin-like growth factor I signature', NULL, NULL, 'INSLNLIKEGF1', 43142),
(99417, 'PR01394', NULL, 'Clostridium enterotoxin signature', NULL, NULL, 'CLENTEROTOXN', 43143),
(99418, 'PR00722', NULL, 'Chymotrypsin serine protease family (S1) signature', NULL, NULL, 'CHYMOTRYPSIN', 43144),
(99419, 'PR00111', NULL, 'Alpha/beta hydrolase fold signature', NULL, NULL, 'ABHYDROLASE', 43145),
(99420, 'PR00899', NULL, 'Fungal pheromone STE3 GPCR signature', NULL, NULL, 'GPCRSTE3', 43146);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(99421, 'PR00265', NULL, 'Interleukin-2 signature', NULL, NULL, 'INTERLEUKIN2', 43147),
(99422, 'PR01414', NULL, 'Cytochrome c-type biogenesis protein CcmB signature', NULL, NULL, 'CCMBBIOGNSIS', 43148),
(99423, 'PR01608', NULL, 'Salmonella/Shigella invasin protein C signature', NULL, NULL, 'BACINVASINC', 43149),
(99424, 'PR01869', NULL, 'Beta-catenin family signature', NULL, NULL, 'BCATNINFAMLY', 43150),
(99425, 'PR00806', NULL, 'Vinculin signature', NULL, NULL, 'VINCULIN', 43151),
(99426, 'PR00127', NULL, 'Clp protease catalytic subunit P signature', NULL, NULL, 'CLPPROTEASEP', 43152),
(99427, 'PR01261', NULL, 'Tau protein signature', NULL, NULL, 'TAUPROTEIN', 43153),
(99428, 'PR00919', NULL, 'Thermophilic metalloprotease (M29) signature', NULL, NULL, 'THERMOPTASE', 43154),
(99429, 'PR01397', NULL, '2,3-dihydro-2,3-dihydroxybenzoate dehydrogenase signature', NULL, NULL, 'DHBDHDRGNASE', 43155),
(99430, 'PR01145', NULL, 'Thyrotropin receptor precursor signature', NULL, NULL, 'TSHRECEPTOR', 43156),
(99431, 'PR01574', NULL, 'Tubby protein signature', NULL, NULL, 'TUBBYPROTEIN', 43157),
(99432, 'PR00407', NULL, 'Eukaryotic molybdopterin domain signature', NULL, NULL, 'EUMOPTERIN', 43158),
(99433, 'PR01326', NULL, 'Kir2.3 inward rectifier K+ channel signature', NULL, NULL, 'KIR23CHANNEL', 43159),
(99434, 'PR00133', NULL, 'Glycosyl hydrolase family 3 signature', NULL, NULL, 'GLHYDRLASE3', 43160),
(99435, 'PR01195', NULL, 'GAT-1 GABA neurotransmitter transporter signature', NULL, NULL, 'GAT1TRNSPORT', 43161),
(99436, 'PR01228', NULL, 'Eggshell protein signature', NULL, NULL, 'EGGSHELL', 43162),
(99437, 'PR01446', NULL, 'Claudin-8 signature', NULL, NULL, 'CLAUDIN8', 43163),
(99438, 'PR01019', NULL, 'LPP20 lipoprotein precursor signature', NULL, NULL, 'LIPOLPP20', 43164),
(99439, 'PR01266', NULL, 'Alpha-class glutathione S-transferase signature', NULL, NULL, 'GSTRNSFRASEA', 43165),
(99440, 'PR01694', NULL, 'Brain-specific angiogenesis inhibitor precursor signature', NULL, NULL, 'BAIPRECURSOR', 43166),
(99441, 'PR01351', NULL, 'Calcitonin gene-related peptide type 1 receptor signature', NULL, NULL, 'CGRPRECEPTOR', 43167),
(99442, 'PR00891', NULL, 'Rab GDI/REP protein family signature', NULL, NULL, 'RABGDIREP', 43168),
(99443, 'PR01090', NULL, 'Neuroligin signature', NULL, NULL, 'NEUROLIGIN', 43169),
(99444, 'PR01862', NULL, 'Bcl-2 apoptosis regulator protein family signature', NULL, NULL, 'BCL2FAMILY', 43170),
(99445, 'PR01915', NULL, 'Neurotrophin-4 signature', NULL, NULL, 'NEUROTROPHN4', 43171),
(99446, 'PR00425', NULL, 'Bradykinin receptor signature', NULL, NULL, 'BRADYKININR', 43172),
(99447, 'PR00057', NULL, 'Transcription factor NF-KB signature', NULL, NULL, 'NFKBTNSCPFCT', 43173),
(99448, 'PR00074', NULL, 'Protein-lysine 6-oxidase precursor signature', NULL, NULL, 'LYSYLOXIDASE', 43174),
(99449, 'PR00100', NULL, 'Aspartate/ornithine carbamoyltransferase superfamily signature', NULL, NULL, 'AOTCASE', 43175),
(99450, 'PR01642', NULL, 'Transient receptor potential channel 1 signature', NULL, NULL, 'TRPCHANNEL1', 43176),
(99451, 'PR00742', NULL, 'Glycosyl hydrolase family 35 signature', NULL, NULL, 'GLHYDRLASE35', 43177),
(99452, 'PR02091', NULL, 'HAUS augmin-like complex subunit 5 signature', NULL, NULL, 'HAUSAUGMINL5', 43178),
(99453, 'PR01871', NULL, 'Annexin type VII signature', NULL, NULL, 'ANNEXINVII', 43179),
(99454, 'PR01671', NULL, 'Gamma-aminobutyric-acid A (GABAA) receptor rho 1 subunit signature', NULL, NULL, 'GABAARRHO1', 43180),
(99455, 'PR00719', NULL, 'LMW phosphotyrosine protein phosphatase signature', NULL, NULL, 'LMWPTPASE', 43181),
(99456, 'PR00904', NULL, 'Frataxin signature', NULL, NULL, 'FRATAXIN', 43182),
(99457, 'PR01204', NULL, 'Glycine neurotransmitter transporter type 1 (GLYT-1) signature', NULL, NULL, 'GLY1TRNSPORT', 43183),
(99458, 'PR01477', NULL, 'Leukotriene B4 type 1 receptor signature', NULL, NULL, 'LTB1RECEPTOR', 43184),
(99459, 'PR00526', NULL, 'Formyl-methionyl peptide receptor signature', NULL, NULL, 'FMETLEUPHER', 43185),
(99460, 'PR01601', NULL, 'Voltage-dependent calcium channel gamma-1 subunit signature', NULL, NULL, 'VDCCGAMMA1', 43186);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(99461, 'PR00349', NULL, 'Virion infectivity factor signature', NULL, NULL, 'VIRIONINFFCT', 43187),
(99462, 'PR01927', NULL, 'Interleukin-11 signature', NULL, NULL, 'INTRLEUKIN11', 43188),
(99463, 'PR01283', NULL, 'Ecdysteroid receptor (1H nuclear receptor) signature', NULL, NULL, 'ECDYSTEROIDR', 43189),
(99464, 'PR00764', NULL, 'Complement C9 signature', NULL, NULL, 'COMPLEMENTC9', 43190),
(99465, 'PR00676', NULL, 'Maspin signature', NULL, NULL, 'MASPIN', 43191),
(99466, 'PR01798', NULL, 'Succinyl-CoA synthase signature', NULL, NULL, 'SCOASYNTHASE', 43192),
(99467, 'PR00059', NULL, 'Ribosomal protein L6 signature', NULL, NULL, 'RIBOSOMALL6', 43193),
(99468, 'PR01502', NULL, 'Ubiquitously expressed transcript protein signature', NULL, NULL, 'UXTPROTEIN', 43194),
(99469, 'PR00266', NULL, 'Interferon alpha and beta subunit signature', NULL, NULL, 'INTERFERONAB', 43195),
(99470, 'PR00698', NULL, 'C.elegans Srg family integral membrane protein signature', NULL, NULL, 'TMPROTEINSRG', 43196),
(99471, 'PR02010', NULL, 'RNA (C5-cytosine) methyltransferase subfamily 9 signature', NULL, NULL, 'RCMT9', 43197),
(99472, 'PR01271', NULL, 'Histone deacetylase signature', NULL, NULL, 'HISDACETLASE', 43198),
(99473, 'PR00575', NULL, 'Red/green-sensitive opsin signature', NULL, NULL, 'OPSINREDGRN', 43199),
(99474, 'PR01424', NULL, 'Transforming growth factor beta 1 precursor signature', NULL, NULL, 'TGFBETA1', 43200),
(99475, 'PR01535', NULL, 'Vomeronasal type 2 receptor family signature', NULL, NULL, 'VOMERONASL2R', 43201),
(99476, 'PR01522', NULL, 'Orexin receptor type 2 signature', NULL, NULL, 'OREXIN2R', 43202),
(99477, 'PR00257', NULL, 'Plant photosystem I psaA and psaB protein signature', NULL, NULL, 'PHOTSYSPSAAB', 43203),
(99478, 'PR00318', NULL, 'Alpha G protein (transducin) signature', NULL, NULL, 'GPROTEINA', 43204),
(99479, 'PR01733', NULL, 'Mycoplasma P48 major surface lipoprotein signature', NULL, NULL, 'LIPPROTEIN48', 43205),
(99480, 'PR00622', NULL, 'Histone H3 signature', NULL, NULL, 'HISTONEH3', 43206),
(99481, 'PR01540', NULL, 'Interleukin-1 binding protein precursor signature', NULL, NULL, 'INTRLEUKN1BP', 43207),
(99482, 'PR01835', NULL, 'Vascular endothelial growth factor receptor type 3 signature', NULL, NULL, 'VEGFRECEPTR3', 43208),
(99483, 'PR01918', NULL, 'Tumour necrosis factor receptor 1A signature', NULL, NULL, 'TNFACTORR1A', 43209),
(99484, 'PR01171', NULL, 'Bacterial lipocalin signature', NULL, NULL, 'BCTLIPOCALIN', 43210),
(99485, 'PR01508', NULL, 'Kv1.1 voltage-gated K+ channel signature', NULL, NULL, 'KV11CHANNEL', 43211),
(99486, 'PR01688', NULL, 'CYP2J P450 family signature', NULL, NULL, 'EP450ICYP2J', 43212),
(99487, 'PR00098', NULL, 'Carbamoyl-phosphate synthase protein CPSase domain signature', NULL, NULL, 'CPSASE', 43213),
(99488, 'PR00615', NULL, 'CCAAT-binding transcription factor subunit A signature', NULL, NULL, 'CCAATSUBUNTA', 43214),
(99489, 'PR00355', NULL, 'Adrenodoxin signature', NULL, NULL, 'ADRENODOXIN', 43215),
(99490, 'PR00878', NULL, 'Cholinesterase signature', NULL, NULL, 'CHOLNESTRASE', 43216),
(99491, 'PR00494', NULL, 'Fanconi anaemia group C protein signature', NULL, NULL, 'FANCONICGENE', 43217),
(99492, 'PR01075', NULL, 'C.elegans Sel-12 (presenilin) signature', NULL, NULL, 'PRESENILNSEL', 43218),
(99493, 'PR00658', NULL, 'CD44 antigen precursor signature', NULL, NULL, 'CD44', 43219),
(99494, 'PR00799', NULL, 'Aspartate aminotransferase signature', NULL, NULL, 'TRANSAMINASE', 43220),
(99495, 'PR01159', NULL, 'DNA gyrase subunit B signature', NULL, NULL, 'DNAGYRASEB', 43221),
(99496, 'PR01288', NULL, 'Peroxisome proliferator-activated receptor (1C nuclear receptor) signature', NULL, NULL, 'PROXISOMEPAR', 43222),
(99497, 'PR01660', NULL, 'Mini-chromosome maintenance (MCM) protein 4 signature', NULL, NULL, 'MCMPROTEIN4', 43223),
(99498, 'PR00930', NULL, 'High mobility group protein (HMGY) signature', NULL, NULL, 'HIGHMOBLTYIY', 43224),
(99499, 'PR01620', NULL, 'Gamma-aminobutyric-acid A receptor gamma subunit signature', NULL, NULL, 'GABAARGAMMA', 43225);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(99500, 'PR00634', NULL, 'Major pollen allergen Bet V1 signature', NULL, NULL, 'BETALLERGEN', 43226),
(99501, 'PR00475', NULL, 'Hexokinase family signature', NULL, NULL, 'HEXOKINASE', 43227),
(99502, 'PR01031', NULL, 'Nociceptin precursor signature', NULL, NULL, 'ORPHNNPRCRSR', 43228),
(99503, 'PR00637', NULL, 'Type 3 bombesin receptor signature', NULL, NULL, 'BOMBESIN3R', 43229),
(99504, 'PR01300', NULL, 'Pyocin S killer protein signature', NULL, NULL, 'PYOCINKILLER', 43230),
(99505, 'PR01460', NULL, 'KCNQ1 voltage-gated potassium channel signature', NULL, NULL, 'KCNQ1CHANNEL', 43231),
(99506, 'PR02027', NULL, 'Activity-regulated cytoskeleton-associated protein signature', NULL, NULL, 'ARCARG31', 43232),
(99507, 'PR00749', NULL, 'Lysozyme G signature', NULL, NULL, 'LYSOZYMEG', 43233),
(99508, 'PR02090', NULL, 'HAUS augmin-like complex subunit 4 signature', NULL, NULL, 'HAUSAUGMINL4', 43234),
(99509, 'PR00921', NULL, 'IgA-specific serine endopeptidase (S6) signature', NULL, NULL, 'IGASERPTASE', 43235),
(99510, 'PR00466', NULL, 'Cytochrome B-245 heavy chain signature', NULL, NULL, 'GP91PHOX', 43236),
(99511, 'PR00492', NULL, 'RHO protein GDP dissociation inhibitor signature', NULL, NULL, 'RHOGDI', 43237),
(99512, 'PR00850', NULL, 'Glycosyl hydrolase family 59 signature', NULL, NULL, 'GLHYDRLASE59', 43238),
(99513, 'PR01244', NULL, 'Peropsin signature', NULL, NULL, 'PEROPSIN', 43239),
(99514, 'PR01160', NULL, 'Gamma-aminobutyric-acid A receptor beta subunit signature', NULL, NULL, 'GABAARBETA', 43240),
(99515, 'PR02074', NULL, 'Protein FRG2 signature', NULL, NULL, 'PROTEINFRG2', 43241),
(99516, 'PR01049', NULL, 'Phosphorylase kinase family signature', NULL, NULL, 'PHOSPHBKNASE', 43242),
(99517, 'PR00132', NULL, 'Glycosyl hydrolase family 2 signature', NULL, NULL, 'GLHYDRLASE2', 43243),
(99518, 'PR02051', NULL, 'Protein family FAM175 signature', NULL, NULL, 'PROTEINF175', 43244),
(99519, 'PR00623', NULL, 'Histone H4 signature', NULL, NULL, 'HISTONEH4', 43245),
(99520, 'PR00721', NULL, 'Stomatin signature', NULL, NULL, 'STOMATIN', 43246),
(99521, 'PR01150', NULL, 'Melatonin 1C receptor signature', NULL, NULL, 'MELATONIN1CR', 43247),
(99522, 'PR01412', NULL, 'Cytochrome c-type biogenesis protein CcbS signature', NULL, NULL, 'CCBSBIOGNSIS', 43248),
(99523, 'PR00255', NULL, 'Natriuretic peptide receptor signature', NULL, NULL, 'NATPEPTIDER', 43249),
(99524, 'PR00522', NULL, 'Cannabinoid receptor type 1 signature', NULL, NULL, 'CANABINOID1R', 43250),
(99525, 'PR00541', NULL, 'Muscarinic M4 receptor signature', NULL, NULL, 'MUSCRINICM4R', 43251),
(99526, 'PR00544', NULL, 'Progesterone receptor (3C nuclear receptor) signature', NULL, NULL, 'PROGESTRONER', 43252),
(99527, 'PR00003', NULL, '4-disulphide core signature', NULL, NULL, '4DISULPHCORE', 43253),
(99528, 'PR00731', NULL, 'Cauliflower mosaic virus peptidase (A3) signature', NULL, NULL, 'CAULIMOPTASE', 43254),
(99529, 'PR00281', NULL, 'Hok/Gef cell toxic protein family signature', NULL, NULL, 'HOKGEFTOXIC', 43255),
(99530, 'PR01497', NULL, 'Shal voltage-gated K+ channel family signature', NULL, NULL, 'SHALCHANNEL', 43256),
(99531, 'PR00391', NULL, 'Phosphatidylinositol transfer protein signature', NULL, NULL, 'PITRANSFER', 43257),
(99532, 'PR01836', NULL, 'Magnesium-transporting ATPase signature', NULL, NULL, 'MGATPASE', 43258),
(99533, 'PR01962', NULL, 'Tumour necrosis factor receptor 12 signature', NULL, NULL, 'TNFACTORR12', 43259),
(99534, 'PR02093', NULL, 'HDA1 complex subunit 3 signature', NULL, NULL, 'HDA1SUBUNIT3', 43260),
(99535, 'PR00976', NULL, 'Ribosomal protein S21 family signature', NULL, NULL, 'RIBOSOMALS21', 43261),
(99536, 'PR01341', NULL, 'Salmonella virulence plasmid 65kDa B protein signature', NULL, NULL, 'SALSPVBPROT', 43262),
(99537, 'PR02028', NULL, 'C-Myc-binding protein signature', NULL, NULL, 'CMYCBINDINGP', 43263),
(99538, 'PR01945', NULL, 'Interleukin-11A signature', NULL, NULL, 'IL11AFISH', 43264),
(99539, 'PR00685', NULL, 'Transcription initiation factor IIB signature', NULL, NULL, 'TIFACTORIIB', 43265),
(99540, 'PR00635', NULL, 'AT1 angiotensin II receptor signature', NULL, NULL, 'ANGIOTENSN1R', 43266); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(99541, 'PR00487', NULL, 'Filaggrin signature', NULL, NULL, 'FILAGGRIN', 43267),
(99542, 'PR00626', NULL, 'Calreticulin signature', NULL, NULL, 'CALRETICULIN', 43268),
(99543, 'PR01285', NULL, 'Orphan nuclear receptor HMR signature', NULL, NULL, 'HMRNUCRECPTR', 43269),
(99544, 'PR01570', NULL, 'Neuropeptide FF receptor family signature', NULL, NULL, 'NPFFRECEPTOR', 43270),
(99545, 'PR01523', NULL, 'Sphingosine 1-phosphate receptor family signature', NULL, NULL, 'S1PRECEPTOR', 43271),
(99546, 'PR00662', NULL, 'Glucose-6-phosphate isomerase signature', NULL, NULL, 'G6PISOMERASE', 43272),
(99547, 'PR01409', NULL, 'T-cell surface glycoprotein CD5 signature', NULL, NULL, 'TCELLCD5', 43273),
(99548, 'PR00433', NULL, 'Interleukin-6/G-CSF/MGF family signature', NULL, NULL, 'IL6GCSFMGF', 43274),
(99549, 'PR01696', NULL, 'L-type calcium channel beta-3 subunit signature', NULL, NULL, 'LCACHANNELB3', 43275),
(99550, 'PR01429', NULL, 'Protease activated receptor 3 precursor signature', NULL, NULL, 'PROTEASEAR3', 43276),
(99551, 'PR01605', NULL, 'KCNE voltage-gated K+ channel subfamily E2 signature', NULL, NULL, 'KCNE2CHANNEL', 43277),
(99552, 'PR01624', NULL, 'Preproghrelin peptide signature', NULL, NULL, 'GHRELIN', 43278),
(99553, 'PR00760', NULL, 'Bontoxilysin signature', NULL, NULL, 'BONTOXILYSIN', 43279),
(99554, 'PR00892', NULL, 'Rab GDI protein signature', NULL, NULL, 'RABGDI', 43280),
(99555, 'PR00737', NULL, 'Glycosyl hydrolase family 16 signature', NULL, NULL, 'GLHYDRLASE16', 43281),
(99556, 'PR00821', NULL, 'Triacylglycerol lipase family signature', NULL, NULL, 'TAGLIPASE', 43282),
(99557, 'PR00236', NULL, 'Herpesvirus capsid protein P40 signature', NULL, NULL, 'HSVCAPSIDP40', 43283),
(99558, 'PR00489', NULL, 'Frizzled protein signature', NULL, NULL, 'FRIZZLED', 43284),
(99559, 'PR00322', NULL, 'G10 protein signature', NULL, NULL, 'G10', 43285),
(99560, 'PR01749', NULL, 'Transcription factor AP-2 alpha signature', NULL, NULL, 'AP2ATNSCPFCT', 43286),
(99561, 'PR00816', NULL, 'Zeta haemoglobin signature', NULL, NULL, 'ZETAHAEM', 43287),
(99562, 'PR00403', NULL, 'WW domain signature', NULL, NULL, 'WWDOMAIN', 43288),
(99563, 'PR00229', NULL, 'Geminivirus MSV AL1 coat protein signature', NULL, NULL, 'GEMCOATMSVL1', 43289),
(99564, 'PR00479', NULL, 'Prokaryotic zinc-dependent phospholipase C signature', NULL, NULL, 'PRPHPHLPASEC', 43290),
(99565, 'PR00400', NULL, 'Tetracycline repressor protein signature', NULL, NULL, 'TETREPRESSOR', 43291),
(99566, 'PR00771', NULL, 'Heat-labile enterotoxin A chain signature', NULL, NULL, 'ENTEROTOXINA', 43292),
(99567, 'PR02038', NULL, 'Aurora borealis protein signature', NULL, NULL, 'AURORABORA', 43293),
(99568, 'PR01464', NULL, 'EAG potassium channel signature', NULL, NULL, 'EAGCHANNEL', 43294),
(99569, 'PR01810', NULL, 'Annexin type XI signature', NULL, NULL, 'ANNEXINXI', 43295),
(99570, 'PR01834', NULL, 'Vascular endothelial growth factor receptor type 2 signature', NULL, NULL, 'VEGFRECEPTR2', 43296),
(99571, 'PR00485', NULL, 'Mealworm beetle B protein signature', NULL, NULL, 'MEALWORMBTLB', 43297),
(99572, 'PR01256', NULL, 'Otx1 transcription factor signature', NULL, NULL, 'OTX1HOMEOBOX', 43298),
(99573, 'PR01309', NULL, 'P2X2 purinoceptor signature', NULL, NULL, 'P2X2RECEPTOR', 43299),
(99574, 'PR01506', NULL, 'Bacterial sec-independent translocation TatB protein signature', NULL, NULL, 'TATBPROTEIN', 43300),
(99575, 'PR00616', NULL, 'CCAAT-binding transcription factor subunit B signature', NULL, NULL, 'CCAATSUBUNTB', 43301),
(99576, 'PR00873', NULL, 'Echinoidea (sea urchin) metallothionein signature', NULL, NULL, 'MTECHINOIDEA', 43302),
(99577, 'PR00351', NULL, 'MAS20 (TOM20) import receptor subunit signature', NULL, NULL, 'OM20RECEPTOR', 43303),
(99578, 'PR01919', NULL, 'Tumour necrosis factor receptor 1B signature', NULL, NULL, 'TNFACTORR1B', 43304),
(99579, 'PR01079', NULL, 'Gamma-aminobutyric-acid A receptor alpha subunit signature', NULL, NULL, 'GABAARALPHA', 43305),
(99580, 'PR01864', NULL, 'Bcl-X apoptosis regulator protein signature', NULL, NULL, 'APOPREGBCLX', 43306);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(99581, 'PR02092', NULL, 'Hepatitis B virus X-interacting protein signature', NULL, NULL, 'HEPBVIRUSXIP', 43307),
(99582, 'PR01500', NULL, 'Tropoelastin signature', NULL, NULL, 'TROPOELASTIN', 43308),
(99583, 'PR00115', NULL, 'Fructose-1,6-bisphosphatase signature', NULL, NULL, 'F16BPHPHTASE', 43309),
(99584, 'PR01709', NULL, '5-hydroxytryptamine 3 receptor A subunit signature', NULL, NULL, '5HT3ARECEPTR', 43310),
(99585, 'PR01883', NULL, 'Leukaemia inhibitory factor signature', NULL, NULL, 'LEUKAEMIAIF', 43311),
(99586, 'PR00424', NULL, 'Adenosine receptor signature', NULL, NULL, 'ADENOSINER', 43312),
(99587, 'PR00319', NULL, 'Beta G protein (transducin) signature', NULL, NULL, 'GPROTEINB', 43313),
(99588, 'PR00680', NULL, 'P-type trefoil domain signature', NULL, NULL, 'PTREFOIL', 43314),
(99589, 'PR02006', NULL, 'Insulin-like growth factor II signature', NULL, NULL, 'INSLNLIKEGF2', 43315),
(99590, 'PR00827', NULL, 'Major allergen Fel Di signature', NULL, NULL, 'FELALLERGEN', 43316),
(99591, 'PR01853', NULL, 'Bacterial YajC preprotein translocase signature', NULL, NULL, 'YAJCTRNLCASE', 43317),
(99592, 'PR01517', NULL, 'Kv4.2 voltage-gated K+ channel signature', NULL, NULL, 'KV42CHANNEL', 43318),
(99593, 'PR00844', NULL, 'Glycosyl hydrolase family 48 signature', NULL, NULL, 'GLHYDRLASE48', 43319),
(99594, 'PR00153', NULL, 'Cyclophilin peptidyl-prolyl cis-trans isomerase signature', NULL, NULL, 'CSAPPISMRASE', 43320),
(99595, 'PR00428', NULL, 'Prostaglandin receptor signature', NULL, NULL, 'PROSTAGLNDNR', 43321),
(99596, 'PR00408', NULL, 'Mitochondrial P450 clan signature', NULL, NULL, 'MITP450', 43322),
(99597, 'PR02087', NULL, 'HAUS augmin-like complex subunit 1 signature', NULL, NULL, 'HAUSAUGMINL1', 43323),
(99598, 'PR00085', NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase family signature', NULL, NULL, 'THFDHDRGNASE', 43324),
(99599, 'PR01320', NULL, 'Inward rectifier K+ channel superfamily signature', NULL, NULL, 'KIRCHANNEL', 43325),
(99600, 'PR00034', NULL, 'CRP bacterial regulatory protein HTH signature', NULL, NULL, 'HTHCRP', 43326),
(99601, 'PR00185', NULL, 'Eukaryotic porin signature', NULL, NULL, 'EUKARYTPORIN', 43327),
(99602, 'PR00895', NULL, 'Pentaxin signature', NULL, NULL, 'PENTAXIN', 43328),
(99603, 'PR00454', NULL, 'ETS domain signature', NULL, NULL, 'ETSDOMAIN', 43329),
(99604, 'PR00419', NULL, 'Adrenodoxin reductase family signature', NULL, NULL, 'ADXRDTASE', 43330),
(99605, 'PR01826', NULL, 'Janus kinase 3 (JAK3) signature', NULL, NULL, 'JANUSKINASE3', 43331),
(99606, 'PR01403', NULL, '7,8-dihydro-8-oxoguanine triphosphatase signature', NULL, NULL, '8OXTPHPHTASE', 43332),
(99607, 'PR01232', NULL, 'Na+/HCO3- co-transporter signature', NULL, NULL, 'NAHCO3TRSPRT', 43333),
(99608, 'PR00361', NULL, 'Calcitonin receptor signature', NULL, NULL, 'CALCITONINR', 43334),
(99609, 'PR01780', NULL, 'Lantibiotic regulatory protein signature', NULL, NULL, 'LANTIREGPROT', 43335),
(99610, 'PR01064', NULL, 'Orexin receptor signature', NULL, NULL, 'OREXINR', 43336),
(99611, 'PR01302', NULL, 'Type III secretion system inner membrane P protein family signature', NULL, NULL, 'TYPE3IMPPROT', 43337),
(99612, 'PR01672', NULL, 'Gamma-aminobutyric-acid A (GABAA) receptor rho 2 subunit signature', NULL, NULL, 'GABAARRHO2', 43338),
(99613, 'PR01885', NULL, 'Macromomycin family signature', NULL, NULL, 'MACROMOMYCIN', 43339),
(99614, 'PR01029', NULL, 'Proenkephalin A precursor signature', NULL, NULL, 'PENKAPRCRSR', 43340),
(99615, 'PR01851', NULL, 'Cystic fibrosis transmembrane conductance regulator signature', NULL, NULL, 'CYSFIBREGLTR', 43341),
(99616, 'PR02064', NULL, 'Downstream neighbour of Son (DONSON) protein signature', NULL, NULL, 'DONSON', 43342),
(99617, 'PR00058', NULL, 'Ribosomal protein L5 signature', NULL, NULL, 'RIBOSOMALL5', 43343),
(99618, 'PR01054', NULL, 'Metabotropic glutamate receptor 4 signature', NULL, NULL, 'MTABOTROPC4R', 43344),
(99619, 'PR00852', NULL, 'Xeroderma pigmentosum group D protein signature', NULL, NULL, 'XRODRMPGMNTD', 43345),
(99620, 'PR00758', NULL, 'Arsenical pump membrane protein signature', NULL, NULL, 'ARSENICPUMP', 43346);
INSERT INTO "PUBLIC"."MODEL" VALUES
(99621, 'PR00476', NULL, 'ATP-dependent phosphofructokinase family signature', NULL, NULL, 'PHFRCTKINASE', 43347),
(99622, 'PR01164', NULL, 'Gamma-tubulin signature', NULL, NULL, 'GAMMATUBULIN', 43348),
(99623, 'PR00357', NULL, 'Type III antifreeze protein signature', NULL, NULL, 'ANTIFREEZIII', 43349),
(99624, 'PR01602', NULL, 'Voltage-dependent calcium channel gamma-2 subunit signature', NULL, NULL, 'VDCCGAMMA2', 43350),
(99625, 'PR00159', NULL, '2Fe-2S ferredoxin signature', NULL, NULL, '2FE2SFRDOXIN', 43351),
(99626, 'PR01470', NULL, 'ERG potassium channel family signature', NULL, NULL, 'ERGCHANNEL', 43352),
(99627, 'PR01131', NULL, 'Connexin36 (Cx36) signature', NULL, NULL, 'CONNEXIN36', 43353),
(99628, 'PR00750', NULL, 'Beta-amylase (glycosyl hydrolase family 14) signature', NULL, NULL, 'BETAAMYLASE', 43354),
(99629, 'PR00329', NULL, 'Haemagglutinin HA1/HA2 chain signature', NULL, NULL, 'HEMAGGLUTN12', 43355),
(99630, 'PR00346', NULL, 'Tissue factor signature', NULL, NULL, 'TISSUEFACTOR', 43356),
(99631, 'PR01207', NULL, 'Na-K-Cl co-transporter family signature', NULL, NULL, 'NAKCLTRNSPRT', 43357),
(99632, 'PR00718', NULL, 'Phospholipase D signature', NULL, NULL, 'PHPHLIPASED', 43358),
(99633, 'PR01473', NULL, 'Intercellular adhesion molecule (ICAM) family signature', NULL, NULL, 'ICAM', 43359),
(99634, 'PR00379', NULL, 'Intein signature', NULL, NULL, 'INTEIN', 43360),
(99635, 'PR01512', NULL, 'Kv1.5 voltage-gated K+ channel signature', NULL, NULL, 'KV15CHANNEL', 43361),
(99636, 'PR01014', NULL, 'Neuropeptide Y2 receptor signature', NULL, NULL, 'NRPEPTIDEY2R', 43362),
(99637, 'PR00049', NULL, 'Wilm''s tumour protein signature', NULL, NULL, 'WILMSTUMOUR', 43363),
(99638, 'PR00562', NULL, 'Beta-2 adrenergic receptor signature', NULL, NULL, 'ADRENRGCB2AR', 43364),
(99639, 'PR00138', NULL, 'Matrixin signature', NULL, NULL, 'MATRIXIN', 43365),
(99640, 'PR01215', NULL, 'Alpha-1-microglobulin signature', NULL, NULL, 'A1MCGLOBULIN', 43366),
(99641, 'PR01716', NULL, 'Death associated protein 3 family signature', NULL, NULL, 'DEATHASSOCP3', 43367),
(99642, 'PR02050', NULL, 'Beta-1,4-galactosyltransferase family signature', NULL, NULL, 'B14GALTRFASE', 43368),
(99643, 'PR01016', NULL, 'Neuropeptide Y5 receptor signature', NULL, NULL, 'NRPEPTIDEY5R', 43369),
(99644, 'PR01069', NULL, 'Acetyl-CoA carboxylase carboxyl transferase alpha subunit signature', NULL, NULL, 'ACCCTRFRASEA', 43370),
(99645, 'PR00880', NULL, 'Insect acetylcholinesterase signature', NULL, NULL, 'ACHEINSECT', 43371),
(99646, 'PR00814', NULL, 'Beta haemoglobin signature', NULL, NULL, 'BETAHAEM', 43372),
(99647, 'PR01317', NULL, 'Glial cell line-derived neurotrophic factor receptor alpha 1 signature', NULL, NULL, 'GDNFRALPHA1', 43373),
(99648, 'PR01107', NULL, 'C-C chemokine receptor type 2 signature', NULL, NULL, 'CHEMOKINER2', 43374),
(99649, 'PR00264', NULL, 'Interleukin-1 precursor family signature', NULL, NULL, 'INTERLEUKIN1', 43375),
(99650, 'PR02103', NULL, 'Inheritance of peroxisomes protein 1 signature', NULL, NULL, 'INPROXISOME1', 43376),
(99651, 'PR01586', NULL, 'TWIK-1/TWIK-2 K+ channel family signature', NULL, NULL, 'TWIKCHANNEL', 43377),
(99652, 'PR01036', NULL, 'Tetracycline resistance protein TetB signature', NULL, NULL, 'TCRTETB', 43378),
(99653, 'PR01518', NULL, 'Kv4.3 voltage-gated K+ channel signature', NULL, NULL, 'KV43CHANNEL', 43379),
(99654, 'PR01658', NULL, 'Mini-chromosome maintenance (MCM) protein 2 signature', NULL, NULL, 'MCMPROTEIN2', 43380),
(99655, 'PR01121', NULL, 'Flavin-containing monooxygenase (FMO) 1 signature', NULL, NULL, 'FMOXYGENASE1', 43381),
(99656, 'PR00965', NULL, 'Ocular albinism type 1 protein signature', NULL, NULL, 'OCULARALBNSM', 43382),
(99657, 'PR01534', NULL, 'Vomeronasal type 1 receptor family signature', NULL, NULL, 'VOMERONASL1R', 43383),
(99658, 'PR01914', NULL, 'Neurotrophin-3 signature', NULL, NULL, 'NEUROTROPHN3', 43384),
(99659, 'PR01789', NULL, 'Nuclear factor of activated T cells (NFAT) signature', NULL, NULL, 'NUCFACTORATC', 43385),
(99660, 'PR01514', NULL, 'Kv2.1 voltage-gated K+ channel signature', NULL, NULL, 'KV21CHANNEL', 43386);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(99661, 'PR00563', NULL, 'Beta-3 adrenergic receptor signature', NULL, NULL, 'ADRENRGCB3AR', 43387),
(99662, 'PR01148', NULL, 'EDG-2 lysophosphatidic acid receptor signature', NULL, NULL, 'EDG2RECEPTOR', 43388),
(99663, 'PR01773', NULL, 'P38 MAP kinase signature', NULL, NULL, 'P38MAPKINASE', 43389),
(99664, 'PR00668', NULL, 'Glycoprotein C signature', NULL, NULL, 'GLYCPROTEINC', 43390),
(99665, 'PR01466', NULL, 'Bacterial arginine deiminase signature', NULL, NULL, 'ARGDEIMINASE', 43391),
(99666, 'PR00190', NULL, 'Actin signature', NULL, NULL, 'ACTIN', 43392),
(99667, 'PR01720', NULL, 'Cytotoxic T-lymphocyte antigen 4 signature', NULL, NULL, 'CTLANTIGEN4', 43393),
(99668, 'PR01755', NULL, 'Bacterial translocase SecF protein signature', NULL, NULL, 'SECFTRNLCASE', 43394),
(99669, 'PR00388', NULL, '3''5''-cyclic nucleotide class II phosphodiesterase signature', NULL, NULL, 'PDIESTERASE2', 43395),
(99670, 'PR00707', NULL, 'Ubiquitin C-terminal hydrolase (C12) family signature', NULL, NULL, 'UBCTHYDRLASE', 43396),
(99671, 'PR02036', NULL, 'Chemotaxis inhibitory protein signature', NULL, NULL, 'CHEMOTAXISIP', 43397),
(99672, 'PR00968', NULL, 'Outer surface protein signature', NULL, NULL, 'OUTRSURFACE', 43398),
(99673, 'PR01567', NULL, 'Neuromedin U type 2 receptor signature', NULL, NULL, 'NEUROMEDNU2R', 43399),
(99674, 'PR00582', NULL, 'Prostanoid EP3 receptor signature', NULL, NULL, 'PRSTNOIDEP3R', 43400),
(99675, 'PR01746', NULL, 'Dense granule Gra6 protein signature', NULL, NULL, 'DENSEGRNULE6', 43401),
(99676, 'PR01799', NULL, 'SF-assemblin signature', NULL, NULL, 'SFASSEMBLIN', 43402),
(99677, 'PR00077', NULL, 'NAD-dependent glycerol-3-phosphate dehydrogenase signature', NULL, NULL, 'GPDHDRGNASE', 43403),
(99678, 'PR00624', NULL, 'Histone H5 signature', NULL, NULL, 'HISTONEH5', 43404),
(99679, 'PR00304', NULL, 'Tailless complex polypeptide 1 (chaperone) signature', NULL, NULL, 'TCOMPLEXTCP1', 43405),
(99680, 'PR00803', NULL, 'Alpha-fetoprotein signature', NULL, NULL, 'AFETOPROTEIN', 43406),
(99681, 'PR00106', NULL, 'DNA-directed DNA-polymerase family B signature', NULL, NULL, 'DNAPOLB', 43407),
(99682, 'PR01547', NULL, 'Saccharomyces cerevisiae 175.8kDa hypothetical protein signature', NULL, NULL, 'YEAST176DUF', 43408),
(99683, 'PR00331', NULL, 'Haemagglutinin HA2 chain signature', NULL, NULL, 'HEMAGGLUTN2', 43409),
(99684, 'PR01970', NULL, 'Tumour necrosis factor receptor 19-like signature', NULL, NULL, 'TNFACTORR19L', 43410),
(99685, 'PR00543', NULL, 'Oestrogen receptor signature', NULL, NULL, 'OESTROGENR', 43411),
(99686, 'PR00853', NULL, 'Xeroderma pigmentosum group G/yeast RAD superfamily signature', NULL, NULL, 'XPGRADSUPER', 43412),
(99687, 'PR01521', NULL, 'Orexin receptor type 1 signature', NULL, NULL, 'OREXIN1R', 43413),
(99688, 'PR00215', NULL, 'Neuromodulin signature', NULL, NULL, 'NEUROMODULIN', 43414),
(99689, 'PR01859', NULL, 'ADAM-TS2 protein signature', NULL, NULL, 'ADAMTS2', 43415),
(99690, 'PR01937', NULL, 'Interleukin-24 signature', NULL, NULL, 'INTRLEUKIN24', 43416),
(99691, 'PR01561', NULL, 'EDG-8 sphingosine 1-phosphate receptor signature', NULL, NULL, 'EDG8RECEPTOR', 43417),
(99692, 'PR01744', NULL, 'MIC1 microneme protein signature', NULL, NULL, 'MIC1MICRNEME', 43418),
(99693, 'PR00436', NULL, 'Interleukin-8 signature', NULL, NULL, 'INTERLEUKIN8', 43419),
(99694, 'PR00925', NULL, 'Nonhistone chromosomal protein HMG17 family signature', NULL, NULL, 'NONHISHMG17', 43420),
(99695, 'PR01377', NULL, 'Claudin-1 signature', NULL, NULL, 'CLAUDIN1', 43421),
(99696, 'PR01890', NULL, 'Neuropeptide W precursor signature', NULL, NULL, 'PPNRPEPTIDEW', 43422),
(99697, 'PR02089', NULL, 'HAUS augmin-like complex subunit 3 signature', NULL, NULL, 'HAUSAUGMINL3', 43423),
(99698, 'PR00743', NULL, 'Glycosyl hydrolase family 36 signature', NULL, NULL, 'GLHYDRLASE36', 43424),
(99699, 'PR01999', NULL, 'Lactococcal phage major tail protein signature', NULL, NULL, 'MTP2LACTO', 43425),
(99700, 'PR00151', NULL, 'Porphobilinogen deaminase signature', NULL, NULL, 'PORPHBDMNASE', 43426),
(99701, 'PR01808', NULL, 'Annexin type VIII signature', NULL, NULL, 'ANNEXINVIII', 43427);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(99702, 'PR00990', NULL, 'Ribokinase signature', NULL, NULL, 'RIBOKINASE', 43428),
(99703, 'PR01455', NULL, 'Epithelial membrane protein EMP-2 signature', NULL, NULL, 'EPMEMPROT2', 43429),
(99704, 'PR01551', NULL, 'SPO11 homologue signature', NULL, NULL, 'SPO11HOMOLOG', 43430),
(99705, 'PR01009', NULL, 'Flagellar M-ring protein signature', NULL, NULL, 'FLGMRINGFLIF', 43431),
(99706, 'PR00092', NULL, 'Tyrosinase copper-binding domain signature', NULL, NULL, 'TYROSINASE', 43432),
(99707, 'PR02083', NULL, 'G kinase-anchoring protein 1 signature', NULL, NULL, 'GKINASEAP1', 43433),
(99708, 'PR01348', NULL, 'Nucleotide-sensitive chloride conductance regulator (ICln) signature', NULL, NULL, 'ICLNCHANNEL', 43434),
(99709, 'PR01296', NULL, 'Cloacin immunity protein signature', NULL, NULL, 'CLOACNIMMNTY', 43435),
(99710, 'PR00314', NULL, 'Clathrin coat assembly protein signature', NULL, NULL, 'CLATHRINADPT', 43436),
(99711, 'PR00716', NULL, 'M-phase inducer phosphatase signature', NULL, NULL, 'MPIPHPHTASE', 43437),
(99712, 'PR00885', NULL, 'Bacterial general secretion pathway protein H signature', NULL, NULL, 'BCTERIALGSPH', 43438),
(99713, 'PR01472', NULL, 'Intercellular adhesion molecule/vascular cell adhesion molecule-1 signature', NULL, NULL, 'ICAMVCAM1', 43439),
(99714, 'PR02014', NULL, 'Aquaporin-2 signature', NULL, NULL, 'AQUAPORIN2', 43440),
(99715, 'PR00943', NULL, 'Copper-transporting ATPase signature', NULL, NULL, 'CUATPASE', 43441),
(99716, 'PR00577', NULL, 'Opsin RH3/RH4 signature', NULL, NULL, 'OPSINRH3RH4', 43442),
(99717, 'PR02113', NULL, 'Mas-related G protein-coupled receptor H signature', NULL, NULL, 'MRGPCRH', 43443),
(99718, 'PR01290', NULL, 'Peroxisome proliferator-activated receptor beta signature', NULL, NULL, 'PROXISOMPABR', 43444),
(99719, 'PR00858', NULL, 'Crustacean metallothionein signature', NULL, NULL, 'MTCRUSTACEAN', 43445),
(99720, 'PR00877', NULL, 'Plant PEC family metallothionein signature', NULL, NULL, 'MTPLANTPEC', 43446),
(99721, 'PR00024', NULL, 'Homeobox signature', NULL, NULL, 'HOMEOBOX', 43447),
(99722, 'PR00150', NULL, 'Phosphoenolpyruvate carboxylase signature', NULL, NULL, 'PEPCARBXLASE', 43448),
(99723, 'PR01126', NULL, 'DEZ orphan receptor signature', NULL, NULL, 'DEZORPHANR', 43449),
(99724, 'PR00437', NULL, 'Small CXC cytokine family signature', NULL, NULL, 'SMALLCYTKCXC', 43450),
(99725, 'PR00179', NULL, 'Lipocalin signature', NULL, NULL, 'LIPOCALIN', 43451),
(99726, 'PR00412', NULL, 'Epoxide hydrolase signature', NULL, NULL, 'EPOXHYDRLASE', 43452),
(99727, 'PR00970', NULL, 'Arginine ADP-ribosyltransferase signature', NULL, NULL, 'RIBTRNSFRASE', 43453),
(99728, 'PR01921', NULL, 'Tumour necrosis factor receptor 4 signature', NULL, NULL, 'TNFACTORR4', 43454),
(99729, 'PR01435', NULL, 'NADH-plastoquinone oxidoreductase chain 5 signature', NULL, NULL, 'NPOXDRDTASE5', 43455),
(99730, 'PR00889', NULL, 'Calponin signature', NULL, NULL, 'CALPONIN', 43456),
(99731, 'PR00064', NULL, 'Ribosomal protein L35 signature', NULL, NULL, 'RIBOSOMALL35', 43457),
(99732, 'PR01587', NULL, 'TWIK-2 K+ channel signature', NULL, NULL, 'TWIK2CHANNEL', 43458),
(99733, 'PR00993', NULL, 'B1 bradykinin receptor signature', NULL, NULL, 'BRADYKINNB1R', 43459),
(99734, 'PR01299', NULL, 'Colicin E2 (pyocin) immunity protein signature', NULL, NULL, 'PYOCIN', 43460),
(99735, 'PR01949', NULL, 'Fish interleukin-15 signature', NULL, NULL, 'INTLKN15FISH', 43461),
(99736, 'PR01825', NULL, 'Janus kinase 2 (JAK2) signature', NULL, NULL, 'JANUSKINASE2', 43462),
(99737, 'PR01183', NULL, 'Ribonucleotide reductase large chain signature', NULL, NULL, 'RIBORDTASEM1', 43463),
(99738, 'PR01061', NULL, 'Melanocortin 3 receptor signature', NULL, NULL, 'MELNOCORTN3R', 43464),
(99739, 'PR01491', NULL, 'Voltage-gated potassium channel family signature', NULL, NULL, 'KVCHANNEL', 43465),
(99740, 'PR01867', NULL, 'Bcl-2-related protein A1 signature', NULL, NULL, 'BCL2RLATEDA1', 43466),
(99741, 'PR00413', NULL, 'Haloacid dehalogenase/epoxide hydrolase family signature', NULL, NULL, 'HADHALOGNASE', 43467),
(99742, 'PR01627', NULL, 'L-type calcium channel beta-1 subunit signature', NULL, NULL, 'LCACHANNELB1', 43468);
INSERT INTO "PUBLIC"."MODEL" VALUES
(99743, 'PR01991', NULL, 'GP153/GP162 7TM protein family signature', NULL, NULL, 'GPR153GPR162', 43469),
(99744, 'PR01354', NULL, 'Glucagon receptor signature', NULL, NULL, 'GLUCAGONR', 43470),
(99745, 'PR00308', NULL, 'Type I antifreeze protein signature', NULL, NULL, 'ANTIFREEZEI', 43471),
(99746, 'PR01124', NULL, 'Flavin-containing monooxygenase (FMO) 4 signature', NULL, NULL, 'FMOXYGENASE4', 43472),
(99747, 'PR00125', NULL, 'ATP synthase delta subunit signature', NULL, NULL, 'ATPASEDELTA', 43473),
(99748, 'PR00631', NULL, 'Monellin B chain signature', NULL, NULL, 'MONELLINB', 43474),
(99749, 'PR00105', NULL, 'Cytosine-specific DNA methyltransferase signature', NULL, NULL, 'C5METTRFRASE', 43475),
(99750, 'PR00911', NULL, 'Glycosyl hydrolase family 11 signature', NULL, NULL, 'GLHYDRLASE11', 43476),
(99751, 'PR01405', NULL, 'Bis(5''-nucleosyl)-tetraphosphatase signature', NULL, NULL, 'TETRPHPHTASE', 43477),
(99752, 'PR01401', NULL, 'Mutator MutT protein signature', NULL, NULL, 'MUTATORMUTT', 43478),
(99753, 'PR01857', NULL, 'ADAM-TS family signature', NULL, NULL, 'ADAMTSFAMILY', 43479),
(99754, 'PR00465', NULL, 'E-class P450 group IV signature', NULL, NULL, 'EP450IV', 43480),
(99755, 'PR00942', NULL, 'Copper-transporting ATPase 1 signature', NULL, NULL, 'CUATPASEI', 43481),
(99756, 'PR00455', NULL, 'TetR bacterial regulatory protein HTH signature', NULL, NULL, 'HTHTETR', 43482),
(99757, 'PR02058', NULL, 'Vertebrate apolipoprotein D signature', NULL, NULL, 'APODVERTBRTE', 43483),
(99758, 'PR00983', NULL, 'Cysteinyl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHCYS', 43484),
(99759, 'PR00665', NULL, 'Oxytocin receptor signature', NULL, NULL, 'OXYTOCINR', 43485),
(99760, 'PR01804', NULL, 'Ubiquitous surface protein signature', NULL, NULL, 'UBIQUITOUSSP', 43486),
(99761, 'PR00145', NULL, 'Argininosuccinate lyase family signature', NULL, NULL, 'ARGSUCLYASE', 43487),
(99762, 'PR01891', NULL, 'Wnt-7 protein signature', NULL, NULL, 'WNT7PROTEIN', 43488),
(99763, 'PR01420', NULL, 'Galanin 3 receptor signature', NULL, NULL, 'GALANIN3R', 43489),
(99764, 'PR01843', NULL, 'Wnt-3 protein signature', NULL, NULL, 'WNT3PROTEIN', 43490),
(99765, 'PR00941', NULL, 'Cadmium-transporting ATPase signature', NULL, NULL, 'CDATPASE', 43491),
(99766, 'PR00174', NULL, 'LacY proton/sugar symporter family signature', NULL, NULL, 'LACYSMPORT', 43492),
(99767, 'PR01421', NULL, 'GPR37 orphan receptor signature', NULL, NULL, 'GPR37ORPHANR', 43493),
(99768, 'PR01559', NULL, 'Duffy antigen/chemokine receptor signature', NULL, NULL, 'DUFFYANTIGEN', 43494),
(99769, 'PR00585', NULL, 'Prostanoid EP3 receptor type 3 signature', NULL, NULL, 'PRSTNOIDE33R', 43495),
(99770, 'PR01998', NULL, 'Staphylococcal phage major tail protein signature', NULL, NULL, 'MTP2STAPHYLO', 43496),
(99771, 'PR01909', NULL, 'Atypical dual specificity phosphatase subfamily A signature', NULL, NULL, 'ADSPHPHTASEA', 43497),
(99772, 'PR01983', NULL, 'Neurogenic locus Notch protein signature', NULL, NULL, 'NOTCH', 43498),
(99773, 'PR02017', NULL, 'Aquaporin-5 signature', NULL, NULL, 'AQUAPORIN5', 43499),
(99774, 'PR00272', NULL, 'Erythropoietin signature', NULL, NULL, 'ERYTHROPTN', 43500),
(99775, 'PR02105', NULL, 'Integrator complex subunit 2 signature', NULL, NULL, 'INTSUBUNIT2', 43501),
(99776, 'PR01419', NULL, 'Galanin 2 receptor signature', NULL, NULL, 'GALANIN2R', 43502),
(99777, 'PR01614', NULL, 'Gamma-aminobutyric-acid A receptor alpha 1 subunit signature', NULL, NULL, 'GABAARALPHA1', 43503),
(99778, 'PR01718', NULL, 'Claudin-15 signature', NULL, NULL, 'CLAUDIN15', 43504),
(99779, 'PR01908', NULL, 'Atypical dual specificity phosphatase family signature', NULL, NULL, 'ADSPHPHTASE', 43505),
(99780, 'PR01576', NULL, 'Peptide deformylase signature', NULL, NULL, 'PDEFORMYLASE', 43506),
(99781, 'PR02026', NULL, 'YtrC/YtrD probable ABC transporter permease signature', NULL, NULL, 'YTRCYTRDABC', 43507),
(99782, 'PR00813', NULL, 'Bacterial general secretion pathway protein G signature', NULL, NULL, 'BCTERIALGSPG', 43508),
(99783, 'PR01185', NULL, 'Integrin alpha subunit signature', NULL, NULL, 'INTEGRINA', 43509);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(99784, 'PR00675', NULL, 'Marek''s disease glycoprotein A signature', NULL, NULL, 'MAREKSGPA', 43510),
(99785, 'PR00857', NULL, 'Melatonin receptor signature', NULL, NULL, 'MELATONINR', 43511),
(99786, 'PR01445', NULL, 'Claudin-6 signature', NULL, NULL, 'CLAUDIN6', 43512),
(99787, 'PR01989', NULL, 'Metazoan eukaryotic MAS20 (TOM20) import receptor subunit signature', NULL, NULL, 'EUOM20RECPTR', 43513),
(99788, 'PR00261', NULL, 'Low density lipoprotein (LDL) receptor signature', NULL, NULL, 'LDLRECEPTOR', 43514),
(99789, 'PR00657', NULL, 'Chemokine receptor signature', NULL, NULL, 'CCCHEMOKINER', 43515),
(99790, 'PR00192', NULL, 'F-actin capping protein beta subunit signature', NULL, NULL, 'FACTINCAPB', 43516),
(99791, 'PR01012', NULL, 'Neuropeptide Y receptor signature', NULL, NULL, 'NRPEPTIDEYR', 43517),
(99792, 'PR01585', NULL, 'TASK-3 K+ channel signature', NULL, NULL, 'TASK3CHANNEL', 43518),
(99793, 'PR00189', NULL, 'Transthyretin signature', NULL, NULL, 'TRNSTHYRETIN', 43519),
(99794, 'PR00726', NULL, 'Repressor LexA serine protease (S24) family signature', NULL, NULL, 'LEXASERPTASE', 43520),
(99795, 'PR00258', NULL, 'Speract receptor signature', NULL, NULL, 'SPERACTRCPTR', 43521),
(99796, 'PR01380', NULL, 'Claudin-5 signature', NULL, NULL, 'CLAUDIN5', 43522),
(99797, 'PR00762', NULL, 'Chloride channel signature', NULL, NULL, 'CLCHANNEL', 43523),
(99798, 'PR01101', NULL, '5-hydroxytryptamine receptor signature', NULL, NULL, '5HTRECEPTOR', 43524),
(99799, 'PR00088', NULL, 'Haem oxygenase signature', NULL, NULL, 'HAEMOXYGNASE', 43525),
(99800, 'PR00332', NULL, 'Histidine triad family signature', NULL, NULL, 'HISTRIAD', 43526),
(99801, 'PR01565', NULL, 'Neuromedin U receptor family signature', NULL, NULL, 'NEUROMEDINUR', 43527),
(99802, 'PR01801', NULL, 'Protozoan surface antigen signature', NULL, NULL, 'SURFCEANTIGN', 43528),
(99803, 'PR01767', NULL, 'Epithelial calcium channel 2 (ECAC2) family signature', NULL, NULL, 'ECACCHANNEL2', 43529),
(99804, 'PR01010', NULL, 'Flagellar P-ring protein signature', NULL, NULL, 'FLGPRINGFLGI', 43530),
(99805, 'PR00078', NULL, 'Glyceraldehyde-3-phosphate dehydrogenase signature', NULL, NULL, 'G3PDHDRGNASE', 43531),
(99806, 'PR01174', NULL, 'Retinol binding protein signature', NULL, NULL, 'RETINOLBNDNG', 43532),
(99807, 'PR00640', NULL, 'Gastrin-releasing peptide receptor signature', NULL, NULL, 'GASTRINRELPR', 43533),
(99808, 'PR01699', NULL, 'Organomercurial lyase signature', NULL, NULL, 'ORGNOHGLYASE', 43534),
(99809, 'PR00471', NULL, 'Acetate kinase family signature', NULL, NULL, 'ACETATEKNASE', 43535),
(99810, 'PR00599', NULL, 'Methionine aminopeptidase-1 signature', NULL, NULL, 'MAPEPTIDASE', 43536),
(99811, 'PR00679', NULL, 'Prohibitin signature', NULL, NULL, 'PROHIBITIN', 43537),
(99812, 'PR01657', NULL, 'Mini-chromosome maintenance (MCM) protein family signature', NULL, NULL, 'MCMFAMILY', 43538),
(99813, 'PR01960', NULL, 'Tumour necrosis factor receptor 7 signature', NULL, NULL, 'TNFACTORR7', 43539),
(99814, 'PR01997', NULL, 'Phage major tail protein 2 family signature', NULL, NULL, 'MTP2FAMILY', 43540),
(99815, 'PR01072', NULL, 'Presenilin family signature', NULL, NULL, 'PRESENILIN', 43541),
(99816, 'PR00874', NULL, 'Fungi-IV metallothionein signature', NULL, NULL, 'MTFUNGIIV', 43542),
(99817, 'PR00536', NULL, 'Melanocyte stimulating hormone receptor signature', NULL, NULL, 'MELNOCYTESHR', 43543),
(99818, 'PR00218', NULL, 'Peripherin (RDS)/ROM-1 family signature', NULL, NULL, 'PERIPHERNRDS', 43544),
(99819, 'PR01748', NULL, 'Transcription factor AP-2 signature', NULL, NULL, 'AP2TNSCPFCT', 43545),
(99820, 'PR01304', NULL, 'Norrie disease protein signature', NULL, NULL, 'NORRIEDSEASE', 43546),
(99821, 'PR01543', NULL, 'Arylamine N-acetyltransferase signature', NULL, NULL, 'ANATRNSFRASE', 43547),
(99822, 'PR00639', NULL, 'Neuromedin B receptor signature', NULL, NULL, 'NEUROMEDINBR', 43548),
(99823, 'PR00299', NULL, 'Alpha crystallin signature', NULL, NULL, 'ACRYSTALLIN', 43549),
(99824, 'PR01149', NULL, 'Melatonin 1A receptor signature', NULL, NULL, 'MELATONIN1AR', 43550);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(99825, 'PR00798', NULL, 'Togavirin (S3) serine protease family signature', NULL, NULL, 'TOGAVIRIN', 43551),
(99826, 'PR01239', NULL, 'CYP52 P450 protein signature', NULL, NULL, 'EP450IICYP52', 43552),
(99827, 'PR01577', NULL, 'KCNAB voltage-gated K+ channel beta subunit family signature', NULL, NULL, 'KCNABCHANNEL', 43553),
(99828, 'PR00139', NULL, 'Asparaginase/glutaminase family signature', NULL, NULL, 'ASNGLNASE', 43554),
(99829, 'PR00952', NULL, 'Type III secretion system inner membrane Q protein family signature', NULL, NULL, 'TYPE3IMQPROT', 43555),
(99830, 'PR00629', NULL, 'SHC phosphotyrosine interaction domain signature', NULL, NULL, 'SHCPIDOMAIN', 43556),
(99831, 'PR01297', NULL, 'Colicin lysis protein signature', NULL, NULL, 'LYSISCOLICIN', 43557),
(99832, 'PR01362', NULL, 'Flagellar calcium-binding protein (calflagin) signature', NULL, NULL, 'CALFLAGIN', 43558),
(99833, 'PR01066', NULL, 'P2Y4 purinoceptor signature', NULL, NULL, 'P2Y4PRNOCPTR', 43559),
(99834, 'PR00344', NULL, 'Bacterial sensor protein C-terminal signature', NULL, NULL, 'BCTRLSENSOR', 43560),
(99835, 'PR00832', NULL, 'Paxillin signature', NULL, NULL, 'PAXILLIN', 43561),
(99836, 'PR01840', NULL, 'Bacterial Sec-independent translocation TatC protein family signature', NULL, NULL, 'TATCFAMILY', 43562),
(99837, 'PR00335', NULL, 'TrkA potassium uptake protein signature', NULL, NULL, 'KUPTAKETRKA', 43563),
(99838, 'PR01492', NULL, 'Kv6 potassium channel alpha subunit signature', NULL, NULL, 'KV6CHANNEL', 43564),
(99839, 'PR01609', NULL, 'Adhesion molecule CD36 family signature', NULL, NULL, 'CD36FAMILY', 43565),
(99840, 'PR00136', NULL, 'Lactalbumin signature', NULL, NULL, 'LACTALBUMIN', 43566),
(99841, 'PR00619', NULL, 'Transcription factor GATA zinc finger signature', NULL, NULL, 'GATAZNFINGER', 43567),
(99842, 'PR00875', NULL, 'Mollusc metallothionein signature', NULL, NULL, 'MTMOLLUSC', 43568),
(99843, 'PR00062', NULL, 'Ribosomal protein L20 signature', NULL, NULL, 'RIBOSOMALL20', 43569),
(99844, 'PR01946', NULL, 'Interleukin-11B signature', NULL, NULL, 'IL11BFISH', 43570),
(99845, 'PR01806', NULL, 'Virulence factor MviN signature', NULL, NULL, 'VIRFACTRMVIN', 43571),
(99846, 'PR02070', NULL, 'N-glycosylation protein EOS1 signature', NULL, NULL, 'NGLYCOSEOS1', 43572),
(99847, 'PR01169', NULL, 'Ceratitis capitata alcohol dehydrogenase signature', NULL, NULL, 'CERATITISADH', 43573),
(99848, 'PR01816', NULL, 'Beta-site APP cleaving enzyme 1 (BACE1) signature', NULL, NULL, 'BACE1', 43574),
(99849, 'PR00901', NULL, 'Pheromone B alpha-1 receptor signature', NULL, NULL, 'PHEROMONEBAR', 43575),
(99850, 'PR01904', NULL, 'GPR40-related receptor family signature', NULL, NULL, 'GPR40FAMILY', 43576),
(99851, 'PR02086', NULL, 'Putative nuclease HARBI1 signature', NULL, NULL, 'PUTNUCHARBI1', 43577),
(99852, 'PR01740', NULL, 'Septin 2 signature', NULL, NULL, 'SEPTIN2', 43578),
(99853, 'PR00069', NULL, 'Aldo-keto reductase signature', NULL, NULL, 'ALDKETRDTASE', 43579),
(99854, 'PR00958', NULL, 'Homoserine kinase signature', NULL, NULL, 'HOMSERKINASE', 43580),
(99855, 'PR00643', NULL, 'G10D orphan receptor signature', NULL, NULL, 'G10DORPHANR', 43581),
(99856, 'PR00020', NULL, 'MAM domain signature', NULL, NULL, 'MAMDOMAIN', 43582),
(99857, 'PR00651', NULL, '5-hydroxytryptamine 2B receptor signature', NULL, NULL, '5HT2BRECEPTR', 43583),
(99858, 'PR00538', NULL, 'Muscarinic M1 receptor signature', NULL, NULL, 'MUSCRINICM1R', 43584),
(99859, 'PR01391', NULL, 'Binary toxin B family signature', NULL, NULL, 'BINARYTOXINB', 43585),
(99860, 'PR01263', NULL, 'Intracellular chloride (Cl-) channel signature', NULL, NULL, 'INTCLCHANNEL', 43586),
(99861, 'PR01322', NULL, 'Kir1.2 inward rectifier K+ channel signature', NULL, NULL, 'KIR12CHANNEL', 43587),
(99862, 'PR01373', NULL, 'Yersinia serine/threonine protein kinase signature', NULL, NULL, 'YERSSTKINASE', 43588),
(99863, 'PR00864', NULL, 'Type IV prepilin cysteine protease (C20) family signature', NULL, NULL, 'PREPILNPTASE', 43589),
(99864, 'PR00116', NULL, 'Arginase signature', NULL, NULL, 'ARGINASE', 43590);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(99865, 'PR00082', NULL, 'Glutamate/leucine/phenylalanine/valine dehydrogenase signature', NULL, NULL, 'GLFDHDRGNASE', 43591),
(99866, 'PR00997', NULL, 'Fragilysin metallopeptidase (M10C) enterotoxin signature', NULL, NULL, 'FRAGILYSIN', 43592),
(99867, 'PR01098', NULL, 'Topoisomerase IV subunit B signature', NULL, NULL, 'TOPISMRASE4B', 43593),
(99868, 'PR01850', NULL, 'Groucho/transducin-like enhancer protein signature', NULL, NULL, 'GROUCHOFAMLY', 43594),
(99869, 'PR00670', NULL, 'Inhibin beta A chain signature', NULL, NULL, 'INHIBINBA', 43595),
(99870, 'PR01026', NULL, 'Neurokinin NK3 receptor signature', NULL, NULL, 'NEUROKININ3R', 43596),
(99871, 'PR01897', NULL, 'ABC transporter family B3 signature', NULL, NULL, 'TAP2PROTEIN', 43597),
(99872, 'PR00664', NULL, 'Octopamine receptor signature', NULL, NULL, 'OCTOPAMINER', 43598),
(99873, 'PR00825', NULL, 'Vespid venom allergen phospholipase A1 signature', NULL, NULL, 'DOLALLERGEN', 43599),
(99874, 'PR01703', NULL, 'Manganese superoxide dismutase signature', NULL, NULL, 'MNSODISMTASE', 43600),
(99875, 'PR01130', NULL, 'Delayed-early response protein/equilibrative nucleoside transporter signature', NULL, NULL, 'DERENTRNSPRT', 43601),
(99876, 'PR01011', NULL, 'Glutathione peroxidase family signature', NULL, NULL, 'GLUTPROXDASE', 43602),
(99877, 'PR01144', NULL, 'Lutropin-choriogonadotropic hormone receptor precursor signature', NULL, NULL, 'LSHRECEPTOR', 43603),
(99878, 'PR01912', NULL, 'Brain derived neurotrophic factor signature', NULL, NULL, 'BDNFACTOR', 43604),
(99879, 'PR00988', NULL, 'Uridine kinase signature', NULL, NULL, 'URIDINKINASE', 43605),
(99880, 'PR01791', NULL, 'Regucalcin signature', NULL, NULL, 'REGUCALCIN', 43606),
(99881, 'PR01795', NULL, 'Voltage-dependent calcium channel gamma-7 subunit signature', NULL, NULL, 'VDCCGAMMA7', 43607),
(99882, 'PR01295', NULL, 'Cloacin signature', NULL, NULL, 'CLOACIN', 43608),
(99883, 'PR00887', NULL, 'Structure-specific recognition protein signature', NULL, NULL, 'SSRCOGNITION', 43609),
(99884, 'PR00797', NULL, 'Streptopain (C10) cysteine protease family signature', NULL, NULL, 'STREPTOPAIN', 43610),
(99885, 'PR01924', NULL, 'Tumour necrosis factor receptor 9 signature', NULL, NULL, 'TNFACTORR9', 43611),
(99886, 'PR00841', NULL, 'Bacterial beta-amylase signature', NULL, NULL, 'GLHYDLASE14A', 43612),
(99887, 'PR01425', NULL, 'Transforming growth factor beta 2 precursor signature', NULL, NULL, 'TGFBETA2', 43613),
(99888, 'PR01849', NULL, 'Ubiquitin-activating enzyme E1 signature', NULL, NULL, 'UBIQUITINACT', 43614),
(99889, 'PR00934', NULL, 'X-His dipeptidase (M25) signature', NULL, NULL, 'XHISDIPTASE', 43615),
(99890, 'PR01827', NULL, 'Non-receptor tyrosine-protein kinase TYK2 signature', NULL, NULL, 'YKINASETYK2', 43616),
(99891, 'PR01555', NULL, 'Escherichia coli P pili tip fibrillum papE protein signature', NULL, NULL, 'FIMBRIALPAPE', 43617),
(99892, 'PR01059', NULL, '5-hydroxytryptamine 4 receptor signature', NULL, NULL, '5HT4RECEPTR', 43618),
(99893, 'PR00870', NULL, 'DNA-polymerase family X pol beta-like signature', NULL, NULL, 'DNAPOLXBETA', 43619),
(99894, 'PR00860', NULL, 'Vertebrate metallothionein signature', NULL, NULL, 'MTVERTEBRATE', 43620),
(99895, 'PR01423', NULL, 'Transforming growth factor beta precursor signature', NULL, NULL, 'TGFBETA', 43621),
(99896, 'PR01681', NULL, 'Fas antigen ligand signature', NULL, NULL, 'FASLIGAND', 43622),
(99897, 'PR01700', NULL, 'CD34 antigen signature', NULL, NULL, 'CD34ANTIGEN', 43623),
(99898, 'PR00811', NULL, 'Bacterial general secretion pathway protein D signature', NULL, NULL, 'BCTERIALGSPD', 43624),
(99899, 'PR01610', NULL, 'Adhesion molecule CD36 signature', NULL, NULL, 'CD36ANTIGEN', 43625),
(99900, 'PR00502', NULL, 'NUDIX hydrolase family signature', NULL, NULL, 'NUDIXFAMILY', 43626),
(99901, 'PR01495', NULL, 'Shab voltage-gated K+ channel family signature', NULL, NULL, 'SHABCHANNEL', 43627),
(99902, 'PR00155', NULL, 'Amicyanin family signature', NULL, NULL, 'AMICYANIN', 43628),
(99903, 'PR01536', NULL, 'Interleukin-1 receptor type I and type II family signature', NULL, NULL, 'INTRLKN1R12F', 43629);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(99904, 'PR00177', NULL, 'NMDA receptor signature', NULL, NULL, 'NMDARECEPTOR', 43630),
(99905, 'PR01275', NULL, 'Neutrophil gelatinase lipocalin signature', NULL, NULL, 'NGELATINASE', 43631),
(99906, 'PR01316', NULL, 'Glial cell line-derived neurotrophic factor receptor family signature', NULL, NULL, 'GDNFRECEPTOR', 43632),
(99907, 'PR01269', NULL, 'S-crystallin signature', NULL, NULL, 'SCRYSTALLIN', 43633),
(99908, 'PR01770', NULL, 'ERK1/2 MAP kinase signature', NULL, NULL, 'ERK1ERK2MAPK', 43634),
(99909, 'PR00339', NULL, 'Proliferating cell nuclear antigen (cyclin) signature', NULL, NULL, 'PCNACYCLIN', 43635),
(99910, 'PR00486', NULL, 'Uteroglobin signature', NULL, NULL, 'UTEROGLOBIN', 43636),
(99911, 'PR00383', NULL, 'Pro-opiomelanocortin signature', NULL, NULL, 'MELANOCORTIN', 43637),
(99912, 'PR01958', NULL, 'Sedoheptulose-1,7-bisphosphatase family signature', NULL, NULL, 'S17BPHPHTASE', 43638),
(99913, 'PR00822', NULL, 'Lipoprotein lipase signature', NULL, NULL, 'LIPOLIPASE', 43639),
(99914, 'PR01365', NULL, 'Telomere reverse transcriptase signature', NULL, NULL, 'TELOMERASERT', 43640),
(99915, 'PR01177', NULL, 'Metabotropic gamma-aminobutyric acid type B1 receptor signature', NULL, NULL, 'GABAB1RECPTR', 43641),
(99916, 'PR01378', NULL, 'Claudin-3 signature', NULL, NULL, 'CLAUDIN3', 43642),
(99917, 'PR00569', NULL, 'Dopamine D4 receptor signature', NULL, NULL, 'DOPAMINED4R', 43643),
(99918, 'PR01292', NULL, 'Retinoic acid receptor (1B nuclear receptor) signature', NULL, NULL, 'RETNOICACIDR', 43644),
(99919, 'PR01951', NULL, 'Eukaryotic LanC-like protein family signature', NULL, NULL, 'LANCEUKARYTE', 43645),
(99920, 'PR00208', NULL, 'Gliadin and LMW glutenin superfamily signature', NULL, NULL, 'GLIADGLUTEN', 43646),
(99921, 'PR01645', NULL, 'Transient receptor potential channel 4 signature', NULL, NULL, 'TRPCHANNEL4', 43647),
(99922, 'PR00785', NULL, 'Nuclear translocator signature', NULL, NULL, 'NCTRNSLOCATR', 43648),
(99923, 'PR02099', NULL, 'Protein IBD2 signature', NULL, NULL, 'PROTEINIBD2', 43649),
(99924, 'PR00032', NULL, 'AraC bacterial regulatory protein HTH signature', NULL, NULL, 'HTHARAC', 43650),
(99925, 'PR00597', NULL, 'Gelsolin family signature', NULL, NULL, 'GELSOLIN', 43651),
(99926, 'PR01327', NULL, 'Kir3.1 inward rectifier K+ channel signature', NULL, NULL, 'KIR31CHANNEL', 43652),
(99927, 'PR00715', NULL, 'Cation-dependent mannose-6-phosphate receptor signature', NULL, NULL, 'MAN6PRECEPTR', 43653),
(99928, 'PR00505', NULL, 'D12 class N6 adenine-specific DNA methyltransferase signature', NULL, NULL, 'D12N6MTFRASE', 43654),
(99929, 'PR02108', NULL, 'Mas-related G-protein coupled receptor family signature', NULL, NULL, 'MRGPCRFAMILY', 43655),
(99930, 'PR00537', NULL, 'Mu opioid receptor signature', NULL, NULL, 'MUOPIOIDR', 43656),
(99931, 'PR01096', NULL, 'TWIK-1 K+ channel signature', NULL, NULL, 'TWIK1CHANNEL', 43657),
(99932, 'PR01402', NULL, 'Mutator MutX protein signature', NULL, NULL, 'MUTATORMUTX', 43658),
(99933, 'PR00776', NULL, 'Hemoglobinase (C13) cysteine protease signature', NULL, NULL, 'HEMOGLOBNASE', 43659),
(99934, 'PR00256', NULL, 'Bacterial photosynthetic reaction centre signature', NULL, NULL, 'REACTNCENTRE', 43660),
(99935, 'PR01265', NULL, 'Link module signature', NULL, NULL, 'LINKMODULE', 43661),
(99936, 'PR01936', NULL, 'Interleukin-22 signature', NULL, NULL, 'INTRLEUKIN22', 43662),
(99937, 'PR00729', NULL, 'Cattle diarrhoea virus endopeptidase P80 (S31) signature', NULL, NULL, 'CDVENDOPTASE', 43663),
(99938, 'PR01982', NULL, 'Insulin-like growth factor-binding protein 6 signature', NULL, NULL, 'IGFBPFAMILY6', 43664),
(99939, 'PR00969', NULL, 'Pili chaperone signature', NULL, NULL, 'CHAPERONPILI', 43665),
(99940, 'PR01590', NULL, 'FIS bacterial regulatory protein HTH signature', NULL, NULL, 'HTHFIS', 43666),
(99941, 'PR00235', NULL, 'Herpesvirus major capsid protein (MCP) signature', NULL, NULL, 'HSVCAPSIDMCP', 43667),
(99942, 'PR01197', NULL, 'GAT-3 GABA neurotransmitter transporter signature', NULL, NULL, 'GAT3TRNSPORT', 43668),
(99943, 'PR01034', NULL, 'Ribosomal protein S12 signature', NULL, NULL, 'RIBOSOMALS12', 43669);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(99944, 'PR00709', NULL, 'Avidin signature', NULL, NULL, 'AVIDIN', 43670),
(99945, 'PR00390', NULL, 'Phospholipase C signature', NULL, NULL, 'PHPHLIPASEC', 43671),
(99946, 'PR00504', NULL, 'Chromodomain signature', NULL, NULL, 'CHROMODOMAIN', 43672),
(99947, 'PR01117', NULL, 'CLC-6 chloride channel signature', NULL, NULL, 'CLCHANNEL6', 43673),
(99948, 'PR00908', NULL, 'Thrombin receptor signature', NULL, NULL, 'THROMBINR', 43674),
(99949, 'PR01888', NULL, 'Neuropeptide B/W family signature', NULL, NULL, 'NROPEPTIDEBW', 43675),
(99950, 'PR01198', NULL, 'Betaine transporter signature', NULL, NULL, 'BETTRANSPORT', 43676),
(99951, 'PR00627', NULL, 'GTP-binding nuclear protein Ran/Tc4 family signature', NULL, NULL, 'GTPRANTC4', 43677),
(99952, 'PR00727', NULL, 'Bacterial leader peptidase 1 (S26A) family signature', NULL, NULL, 'LEADERPTASE', 43678),
(99953, 'PR01621', NULL, 'Gamma-aminobutyric-acid A receptor gamma 1 subunit signature', NULL, NULL, 'GABAARGAMMA1', 43679),
(99954, 'PR01050', NULL, 'Pyruvate kinase family signature', NULL, NULL, 'PYRUVTKNASE', 43680),
(99955, 'PR01381', NULL, 'Claudin-7 signature', NULL, NULL, 'CLAUDIN7', 43681),
(99956, 'PR00210', NULL, 'High molecular weight glutenin signature', NULL, NULL, 'GLUTENIN', 43682),
(99957, 'PR01634', NULL, 'Voltage-dependent L-type calcium channel alpha-1S subunit signature', NULL, NULL, 'LVDCCALPHA1S', 43683),
(99958, 'PR01073', NULL, 'Presenilin 1 signature', NULL, NULL, 'PRESENILIN1', 43684),
(99959, 'PR00259', NULL, 'Transmembrane four family signature', NULL, NULL, 'TMFOUR', 43685),
(99960, 'PR00898', NULL, 'Vasopressin V2 receptor signature', NULL, NULL, 'VASOPRSNV2R', 43686),
(99961, 'PR01376', NULL, 'Yersinia/Haemophilus virulence surface antigen signature', NULL, NULL, 'BACSURFANTGN', 43687),
(99962, 'PR00527', NULL, 'Gastrin receptor signature', NULL, NULL, 'GASTRINR', 43688),
(99963, 'PR00217', NULL, '43kDa postsynaptic protein signature', NULL, NULL, 'POSTSYNAPTIC', 43689),
(99964, 'PR01388', NULL, 'Cytolethal distending toxin B signature', NULL, NULL, 'CDTOXINB', 43690),
(99965, 'PR00728', NULL, 'Eukaryotic signal peptidase (S26B) family signature', NULL, NULL, 'SIGNALPTASE', 43691),
(99966, 'PR00960', NULL, 'LmbP protein signature', NULL, NULL, 'LMBPPROTEIN', 43692),
(99967, 'PR00501', NULL, 'Kelch repeat signature', NULL, NULL, 'KELCHREPEAT', 43693),
(99968, 'PR01731', NULL, 'Lymphotactin precursor signature', NULL, NULL, 'LYMPHOTACTIN', 43694),
(99969, 'PR00087', NULL, 'Lipoxygenase signature', NULL, NULL, 'LIPOXYGENASE', 43695),
(99970, 'PR00278', NULL, 'Pancreatic hormone signature', NULL, NULL, 'PANCHORMONE', 43696),
(99971, 'PR01963', NULL, 'Tumour necrosis factor receptor 13B signature', NULL, NULL, 'TNFACTORR13B', 43697),
(99972, 'PR00358', NULL, 'Bombesin receptor signature', NULL, NULL, 'BOMBESINR', 43698),
(99973, 'PR01372', NULL, 'Yersinia virulence determinant YopE protein signature', NULL, NULL, 'YERSINIAYOPE', 43699),
(99974, 'PR01267', NULL, 'Mu-class glutathione S-transferase signature', NULL, NULL, 'GSTRNSFRASEM', 43700),
(99975, 'PR01537', NULL, 'Interleukin-1 receptor type I family signature', NULL, NULL, 'INTRLKN1R1F', 43701),
(99976, 'PR01556', NULL, 'Type IV secretion system CagX conjugation protein signature', NULL, NULL, 'TYPE4SSCAGX', 43702),
(99977, 'PR01359', NULL, 'Interleukin-1 beta precursor signature', NULL, NULL, 'INTRLEUKIN1B', 43703),
(99978, 'PR00310', NULL, 'Anti-proliferative protein BTG1 family signature', NULL, NULL, 'ANTIPRLFBTG1', 43704),
(99979, 'PR01753', NULL, 'Streptococcus streptokinase protein signature', NULL, NULL, 'STREPKINASE', 43705),
(99980, 'PR01631', NULL, 'N-type voltage-dependent calcium channel alpha-1 subunit signature', NULL, NULL, 'NVDCCALPHA1', 43706),
(99981, 'PR01879', NULL, 'Nervy protein signature', NULL, NULL, 'NERVYPROTEIN', 43707),
(99982, 'PR01754', NULL, 'Streptothricin acetyltransferase signature', NULL, NULL, 'SACTRNSFRASE', 43708),
(99983, 'PR01725', NULL, 'Gamma-aminobutyric-acid A receptor theta subunit signature', NULL, NULL, 'GABAARTHETA', 43709);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(99984, 'PR01478', NULL, 'Leukotriene B4 type 2 receptor signature', NULL, NULL, 'LTB2RECEPTOR', 43710),
(99985, 'PR01437', NULL, 'NADH-ubiquinone oxidoreductase subunit 4 signature', NULL, NULL, 'NUOXDRDTASE4', 43711),
(99986, 'PR01617', NULL, 'Gamma-aminobutyric-acid A receptor alpha 4 subunit signature', NULL, NULL, 'GABAARALPHA4', 43712),
(99987, 'PR01151', NULL, 'Melatonin-related 1X receptor signature', NULL, NULL, 'MELATONIN1XR', 43713),
(99988, 'PR01549', NULL, 'Autoinducer synthesis protein signature', NULL, NULL, 'AUTOINDCRSYN', 43714),
(99989, 'PR01084', NULL, 'Na+/H+ exchanger signature', NULL, NULL, 'NAHEXCHNGR', 43715),
(99990, 'PR02021', NULL, 'Aquaporin-9 signature', NULL, NULL, 'AQUAPORIN9', 43716),
(99991, 'PR00682', NULL, 'Isopenicillin N synthase signature', NULL, NULL, 'IPNSYNTHASE', 43717),
(99992, 'PR01305', NULL, 'Invasion protein B family signature', NULL, NULL, 'SSPAKPROTEIN', 43718),
(99993, 'PR01542', NULL, 'Foot-and-mouth disease virus VP1 coat protein signature', NULL, NULL, 'FMDVP1COAT', 43719),
(99994, 'PR00248', NULL, 'Metabotropic glutamate GPCR signature', NULL, NULL, 'GPCRMGR', 43720),
(99995, 'PR00763', NULL, 'Coagulin signature', NULL, NULL, 'COAGULIN', 43721),
(99996, 'PR00292', NULL, 'Potato inhibitor I signature', NULL, NULL, 'POTATOINHBTR', 43722),
(99997, 'PR02039', NULL, 'Pre-mRNA-splicing factor BRR1 signature', NULL, NULL, 'SPLICEFRBRR1', 43723),
(99998, 'PR00940', NULL, 'Cation-transporting P-type ATPase A signature', NULL, NULL, 'CATPATPASEA', 43724),
(99999, 'PR00656', NULL, 'Bacteriochlorophyll C binding protein signature', NULL, NULL, 'BCHLROPHYLLC', 43725),
(100000, 'PR00525', NULL, 'Delta opioid receptor signature', NULL, NULL, 'DELTAOPIOIDR', 43726),
(100001, 'PR01188', NULL, 'Anion exchanger isoform 2 signature', NULL, NULL, 'ANIONEXHNGR2', 43727),
(100002, 'PR01603', NULL, 'Voltage-dependent calcium channel gamma-4 subunit signature', NULL, NULL, 'VDCCGAMMA4', 43728),
(100003, 'PR00691', NULL, 'Adhesin B signature', NULL, NULL, 'ADHESINB', 43729),
(100004, 'PR01134', NULL, 'Gap junction alpha-4 protein (Connexin37) signature', NULL, NULL, 'CONNEXINA4', 43730),
(100005, 'PR01262', NULL, 'Innexin signature', NULL, NULL, 'INNEXIN', 43731),
(100006, 'PR00193', NULL, 'Myosin heavy chain signature', NULL, NULL, 'MYOSINHEAVY', 43732),
(100007, 'PR00007', NULL, 'Complement C1Q domain signature', NULL, NULL, 'COMPLEMNTC1Q', 43733),
(100008, 'PR01162', NULL, 'Alpha-tubulin signature', NULL, NULL, 'ALPHATUBULIN', 43734),
(100009, 'PR00520', NULL, 'Adrenocorticotrophin receptor signature', NULL, NULL, 'ACTROPHINR', 43735),
(100010, 'PR00061', NULL, 'Ribosomal protein L19 signature', NULL, NULL, 'RIBOSOMALL19', 43736),
(100011, 'PR01037', NULL, 'Tetracycline resistance protein TetO/TetQ/TetM family signature', NULL, NULL, 'TCRTETOQM', 43737),
(100012, 'PR00756', NULL, 'Membrane alanyl dipeptidase (M1) family signature', NULL, NULL, 'ALADIPTASE', 43738),
(100013, 'PR00040', NULL, 'MerR bacterial regulatory protein HTH signature', NULL, NULL, 'HTHMERR', 43739),
(100014, 'PR01507', NULL, 'Melanin-concentrating hormone 1 receptor signature', NULL, NULL, 'MCH1RECEPTOR', 43740),
(100015, 'PR00583', NULL, 'Prostanoid EP3 receptor type 1 signature', NULL, NULL, 'PRSTNOIDE31R', 43741),
(100016, 'PR01190', NULL, 'Glucose transporter type 1 (GLUT1) signature', NULL, NULL, 'GLUCTRSPORT1', 43742),
(100017, 'PR00141', NULL, 'Proteasome component signature', NULL, NULL, 'PROTEASOME', 43743),
(100018, 'PR01569', NULL, 'P2Y12 purinoceptor signature', NULL, NULL, 'P2Y12PRNCPTR', 43744),
(100019, 'PR00274', NULL, 'Glycoprotein hormone alpha chain signature', NULL, NULL, 'GLYCOHORMONE', 43745),
(100020, 'PR00754', NULL, 'Aerolysin signature', NULL, NULL, 'AEROLYSIN', 43746),
(100021, 'PR01440', NULL, 'Cellulose synthase subunit B signature', NULL, NULL, 'CELLSNTHASEB', 43747),
(100022, 'PR01387', NULL, 'Cytolethal distending toxin A signature', NULL, NULL, 'CDTOXINA', 43748),
(100023, 'PR00271', NULL, 'Defensin signature', NULL, NULL, 'DEFENSIN', 43749),
(100024, 'PR01973', NULL, 'Tumour necrosis factor receptor 27 signature', NULL, NULL, 'TNFACTORR27', 43750);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(100025, 'PR01471', NULL, 'Histamine H3 receptor signature', NULL, NULL, 'HISTAMINEH3R', 43751),
(100026, 'PR01028', NULL, 'Opioid neuropeptide precursor signature', NULL, NULL, 'OPIOIDPRCRSR', 43752),
(100027, 'PR00066', NULL, 'Xeroderma pigmentosum group G protein signature', NULL, NULL, 'XRODRMPGMNTG', 43753),
(100028, 'PR01415', NULL, 'Ankyrin repeat signature', NULL, NULL, 'ANKYRIN', 43754),
(100029, 'PR02002', NULL, 'Insulin-like growth factor signature', NULL, NULL, 'INSLNLIKEGF', 43755),
(100030, 'PR01202', NULL, 'Dopamine neurotransmitter transporter signature', NULL, NULL, 'DOPTRANSPORT', 43756),
(100031, 'PR00448', NULL, 'NSF attachment protein signature', NULL, NULL, 'NSFATTACHMNT', 43757),
(100032, 'PR01048', NULL, 'Hypothetical protein Y414 family signature', NULL, NULL, 'Y414FAMILY', 43758),
(100033, 'PR01541', NULL, 'Gonadoliberin I precursor signature', NULL, NULL, 'GONADOLIBRNI', 43759),
(100034, 'PR01482', NULL, 'Pertactin signature', NULL, NULL, 'PERTACTIN', 43760),
(100035, 'PR01396', NULL, 'Bordetella pertussis toxin B subunit signature', NULL, NULL, 'BORPETOXINB', 43761),
(100036, 'PR01461', NULL, 'KCNQ2 voltage-gated potassium channel signature', NULL, NULL, 'KCNQ2CHANNEL', 43762),
(100037, 'PR01757', NULL, 'Amelogenin signature', NULL, NULL, 'AMELOGENIN', 43763),
(100038, 'PR01433', NULL, 'Polycystic kidney disease type 2 protein (PKD2) signature', NULL, NULL, 'POLYCYSTIN2', 43764),
(100039, 'PR00385', NULL, 'P450 superfamily signature', NULL, NULL, 'P450', 43765),
(100040, 'PR00610', NULL, 'Cytochrome F signature', NULL, NULL, 'CYTOCHROMEF', 43766),
(100041, 'PR00297', NULL, '10kDa chaperonin signature', NULL, NULL, 'CHAPERONIN10', 43767),
(100042, 'PR01831', NULL, 'Trace amine receptor 1 signature', NULL, NULL, 'TRACEAMINE1R', 43768),
(100043, 'PR00119', NULL, 'P-type cation-transporting ATPase superfamily signature', NULL, NULL, 'CATATPASE', 43769),
(100044, 'PR00513', NULL, '5-hydroxytryptamine 1B receptor signature', NULL, NULL, '5HT1BRECEPTR', 43770),
(100045, 'PR01623', NULL, 'Gamma-aminobutyric-acid A receptor gamma 3 subunit signature', NULL, NULL, 'GABAARGAMMA3', 43771),
(100046, 'PR01115', NULL, 'CLC-4 chloride channel signature', NULL, NULL, 'CLCHANNEL4', 43772),
(100047, 'PR01385', NULL, 'Claudin-14 signature', NULL, NULL, 'CLAUDIN14', 43773),
(100048, 'PR01942', NULL, 'Neurotrophic tyrosine kinase receptor type 3 signature', NULL, NULL, 'NTKRECEPTOR3', 43774),
(100049, 'PR01165', NULL, 'Cytochrome c oxidase subunit I signature', NULL, NULL, 'CYCOXIDASEI', 43775),
(100050, 'PR00819', NULL, 'CbxX/CfqX superfamily signature', NULL, NULL, 'CBXCFQXSUPER', 43776),
(100051, 'PR00474', NULL, 'Glutamate 5-kinase family signature', NULL, NULL, 'GLU5KINASE', 43777),
(100052, 'PR01251', NULL, 'Amphiphysin signature', NULL, NULL, 'AMPHIPHYSIN', 43778),
(100053, 'PR01878', NULL, 'Myeloid transforming gene on chromosome 16 (MTG16) protein signature', NULL, NULL, 'MTG16PROTEIN', 43779),
(100054, 'PR01985', NULL, 'Neurogenic locus Notch protein 2 signature', NULL, NULL, 'NOTCH2', 43780),
(100055, 'PR00735', NULL, 'Glycosyl hydrolase family 8 signature', NULL, NULL, 'GLHYDRLASE8', 43781),
(100056, 'PR01280', NULL, 'Corticotropin releasing factor type 1 receptor signature', NULL, NULL, 'CRFRECEPTOR1', 43782),
(100057, 'PR00937', NULL, 'T-Box domain signature', NULL, NULL, 'TBOX', 43783),
(100058, 'PR02069', NULL, 'Endothelial cell-specific chemotaxis regulator signature', NULL, NULL, 'ECCREGULATOR', 43784),
(100059, 'PR00157', NULL, 'Plastocyanin signature', NULL, NULL, 'PLASTOCYANIN', 43785),
(100060, 'PR00706', NULL, 'Pyroglutamyl peptidase I (C15) family signature', NULL, NULL, 'PYROGLUPTASE', 43786),
(100061, 'PR01933', NULL, 'Interleukin-18 signature', NULL, NULL, 'INTRLEUKIN18', 43787),
(100062, 'PR00881', NULL, 'Ribosomal protein L7A/RS6 family signature', NULL, NULL, 'L7ARS6FAMILY', 43788),
(100063, 'PR00195', NULL, 'Dynamin signature', NULL, NULL, 'DYNAMIN', 43789),
(100064, 'PR01092', NULL, 'Sulphonylurea receptor family signature', NULL, NULL, 'SULFNYLUREAR', 43790);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(100065, 'PR00838', NULL, 'Venom allergen 5 signature', NULL, NULL, 'V5ALLERGEN', 43791),
(100066, 'PR00275', NULL, 'Glucagon polypeptide hormone superfamily signature', NULL, NULL, 'GLUCAGON', 43792),
(100067, 'PR01095', NULL, 'TASK K+ channel signature', NULL, NULL, 'TASKCHANNEL', 43793),
(100068, 'PR01448', NULL, 'Claudin-18 signature', NULL, NULL, 'CLAUDIN18', 43794),
(100069, 'PR02000', NULL, 'Putative plant GPCR, GCR1, signature', NULL, NULL, 'GCR1PLANT', 43795),
(100070, 'PR01413', NULL, 'Cytochrome c-type biogenesis protein NrfE signature', NULL, NULL, 'NRFEBIOGNSIS', 43796),
(100071, 'PR01903', NULL, 'Cysteinyl leukotriene receptor 2 signature', NULL, NULL, 'CYSLT2RECPTR', 43797),
(100072, 'PR00893', NULL, 'Rab escort (choroideraemia) protein signature', NULL, NULL, 'RABESCORT', 43798),
(100073, 'PR00457', NULL, 'Animal haem peroxidase signature', NULL, NULL, 'ANPEROXIDASE', 43799),
(100074, 'PR00741', NULL, 'Glycosyl hydrolase family 29 signature', NULL, NULL, 'GLHYDRLASE29', 43800),
(100075, 'PR01604', NULL, 'KCNE voltage-gated K+ channel subfamily E1 signature', NULL, NULL, 'KCNE1CHANNEL', 43801),
(100076, 'PR01866', NULL, 'MCL1 (myeloid cell leukaemia 1) apoptosis regulator protein signature', NULL, NULL, 'APOPREGMCL1', 43802),
(100077, 'PR01729', NULL, 'Lactobacillus surface layer protein signature', NULL, NULL, 'SURFACELAYER', 43803),
(100078, 'PR00298', NULL, '60kDa chaperonin signature', NULL, NULL, 'CHAPERONIN60', 43804),
(100079, 'PR00353', NULL, '4Fe-4S ferredoxin signature', NULL, NULL, '4FE4SFRDOXIN', 43805),
(100080, 'PR00515', NULL, '5-hydroxytryptamine 1F receptor signature', NULL, NULL, '5HT1FRECEPTR', 43806),
(100081, 'PR01152', NULL, 'Protease activated receptor 2 precursor signature', NULL, NULL, 'PROTEASEAR2', 43807),
(100082, 'PR01739', NULL, 'Relaxin receptor family signature', NULL, NULL, 'RELAXINR', 43808),
(100083, 'PR00611', NULL, 'Erythrocruorin family signature', NULL, NULL, 'ERYTHCRUORIN', 43809),
(100084, 'PR00431', NULL, 'Interleukin-4 signature', NULL, NULL, 'INTERLEUKIN4', 43810),
(100085, 'PR02066', NULL, 'Daughter-specific expression protein 2 signature', NULL, NULL, 'DSEPROTEIN2', 43811),
(100086, 'PR00045', NULL, 'Sigma-54 factor signature', NULL, NULL, 'SIGMA54FCT', 43812),
(100087, 'PR00917', NULL, 'Small round structured virus (C37) cysteine protease family signature', NULL, NULL, 'SRSVCYSPTASE', 43813),
(100088, 'PR01993', NULL, 'GP162 7TM protein signature', NULL, NULL, 'GPR162', 43814),
(100089, 'PR02085', NULL, 'DNA-directed RNA polymerase II subunit GRINL1 signature', NULL, NULL, 'POLR2GRINL1', 43815),
(100090, 'PR00542', NULL, 'Muscarinic M5 receptor signature', NULL, NULL, 'MUSCRINICM5R', 43816),
(100091, 'PR00023', NULL, 'Zona pellucida sperm-binding protein signature', NULL, NULL, 'ZPELLUCIDA', 43817),
(100092, 'PR01167', NULL, 'Insect alcohol dehydrogenase family signature', NULL, NULL, 'INSADHFAMILY', 43818),
(100093, 'PR00549', NULL, 'Hyperglycemic hormone type 2 signature', NULL, NULL, 'HYPRGLYCEMC2', 43819),
(100094, 'PR00586', NULL, 'Prostanoid EP4 receptor signature', NULL, NULL, 'PRSTNOIDEP4R', 43820),
(100095, 'PR01529', NULL, 'C-C chemokine receptor type 6 signature', NULL, NULL, 'CHEMOKINER6', 43821),
(100096, 'PR00807', NULL, 'Pollen allergen Amb family signature', NULL, NULL, 'AMBALLERGEN', 43822),
(100097, 'PR01695', NULL, 'Ig-hepta receptor signature', NULL, NULL, 'IGHEPTARCPTR', 43823),
(100098, 'PR02073', NULL, 'Folliculin-interacting protein 1 signature', NULL, NULL, 'FOLLICULNIP1', 43824),
(100099, 'PR00653', NULL, 'Activin type II receptor signature', NULL, NULL, 'ACTIVIN2R', 43825),
(100100, 'PR01060', NULL, 'C3A-anaphylatoxin receptor signature', NULL, NULL, 'C3ANPHYLTXNR', 43826),
(100101, 'PR00130', NULL, 'DNase I signature', NULL, NULL, 'DNASEI', 43827),
(100102, 'PR00953', NULL, 'Type III secretion system inner membrane R protein family signature', NULL, NULL, 'TYPE3IMRPROT', 43828),
(100103, 'PR00971', NULL, 'Ribosomal protein S10 family signature', NULL, NULL, 'RIBOSOMALS10', 43829),
(100104, 'PR01554', NULL, 'Escherichia coli P pili regulatory PapB protein signature', NULL, NULL, 'FIMREGULATRY', 43830);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(100105, 'PR01675', NULL, 'Glycine receptor alpha 2 subunit signature', NULL, NULL, 'GLYRALPHA2', 43831),
(100106, 'PR00321', NULL, 'Gamma G protein (transducin) signature', NULL, NULL, 'GPROTEING', 43832),
(100107, 'PR00789', NULL, 'O-sialoglycoprotein endopeptidase (M22) metallo-protease family signature', NULL, NULL, 'OSIALOPTASE', 43833),
(100108, 'PR01253', NULL, 'Amphiphysin isoform 2 signature', NULL, NULL, 'AMPHIPHYSIN2', 43834),
(100109, 'PR01339', NULL, 'Type III secretion system outer membrane O protein family signature', NULL, NULL, 'TYPE3OMOPROT', 43835),
(100110, 'PR00172', NULL, 'Mammalian facilitated glucose transporter family signature', NULL, NULL, 'GLUCTRNSPORT', 43836),
(100111, 'PR01784', NULL, 'Melanin-concentrating hormone 2 receptor signature', NULL, NULL, 'MCH2RECEPTOR', 43837),
(100112, 'PR01200', NULL, 'Taurine transporter signature', NULL, NULL, 'TAUTRANSPORT', 43838),
(100113, 'PR00652', NULL, '5-hydroxytryptamine 7 receptor signature', NULL, NULL, '5HT7RECEPTR', 43839),
(100114, 'PR00273', NULL, 'Galanin signature', NULL, NULL, 'GALANIN', 43840),
(100115, 'PR00913', NULL, 'Luteovirus ORF2 putative replicase 1 signature', NULL, NULL, 'LVIRUSORF2', 43841),
(100116, 'PR01386', NULL, 'Cytochrome c-type biogenesis protein CcmC signature', NULL, NULL, 'CCMCBIOGNSIS', 43842),
(100117, 'PR00014', NULL, 'Fibronectin type III repeat signature', NULL, NULL, 'FNTYPEIII', 43843),
(100118, 'PR00869', NULL, 'DNA-polymerase family X signature', NULL, NULL, 'DNAPOLX', 43844),
(100119, 'PR01959', NULL, 'SuhB family inositol monophosphatase signature', NULL, NULL, 'SBIMPHPHTASE', 43845),
(100120, 'PR00096', NULL, 'Glutamine amidotransferase superfamily signature', NULL, NULL, 'GATASE', 43846),
(100121, 'PR00338', NULL, 'Transcription termination factor NUSG signature', NULL, NULL, 'NUSGTNSCPFCT', 43847),
(100122, 'PR00928', NULL, 'Graves disease carrier protein signature', NULL, NULL, 'GRAVESDC', 43848),
(100123, 'PR01070', NULL, 'Acetyl-CoA carboxylase carboxyl transferase beta subunit signature', NULL, NULL, 'ACCCTRFRASEB', 43849),
(100124, 'PR01020', NULL, 'Lipopolysaccharide core biosynthesis protein signature', NULL, NULL, 'LPSBIOSNTHSS', 43850),
(100125, 'PR01790', NULL, 'Senescence marker protein-30 (SMP30) family signature', NULL, NULL, 'SMP30FAMILY', 43851),
(100126, 'PR00900', NULL, 'Pheromone A receptor signature', NULL, NULL, 'PHEROMONEAR', 43852),
(100127, 'PR01874', NULL, 'DNA repair protein radA signature', NULL, NULL, 'DNAREPAIRADA', 43853),
(100128, 'PR00113', NULL, 'Alkaline phosphatase signature', NULL, NULL, 'ALKPHPHTASE', 43854),
(100129, 'PR01330', NULL, 'Kir3.4 inward rectifier K+ channel signature', NULL, NULL, 'KIR34CHANNEL', 43855),
(100130, 'PR00517', NULL, '5-hydroxytryptamine 2C receptor signature', NULL, NULL, '5HT2CRECEPTR', 43856),
(100131, 'PR00779', NULL, 'Inositol 1,4,5-trisphosphate-binding protein receptor signature', NULL, NULL, 'INSP3RECEPTR', 43857),
(100132, 'PR00296', NULL, 'Cyclin-dependent kinase regulatory subunit signature', NULL, NULL, 'CYCLINKINASE', 43858),
(100133, 'PR00006', NULL, 'Cofilin/destrin family signature', NULL, NULL, 'COFILIN', 43859),
(100134, 'PR01224', NULL, 'Delta-tubulin signature', NULL, NULL, 'DELTATUBULIN', 43860),
(100135, 'PR01684', NULL, 'CYP2A P450 family signature', NULL, NULL, 'EP450ICYP2A', 43861),
(100136, 'PR01334', NULL, 'Chlamydia major outer membrane protein signature', NULL, NULL, 'CHLAMIDIAOMP', 43862),
(100137, 'PR00510', NULL, 'Nebulin signature', NULL, NULL, 'NEBULIN', 43863),
(100138, 'PR01978', NULL, 'Insulin-like growth factor-binding protein 2 signature', NULL, NULL, 'IGFBPFAMILY2', 43864),
(100139, 'PR00950', NULL, 'Type III secretion system inner membrane S protein family signature', NULL, NULL, 'TYPE3IMSPROT', 43865),
(100140, 'PR00677', NULL, 'Phosducin signature', NULL, NULL, 'PHOSDUCIN', 43866),
(100141, 'PR01235', NULL, 'Tumour necrosis factor alpha (cachectin) signature', NULL, NULL, 'TNFALPHA', 43867),
(100142, 'PR01526', NULL, 'EDG-6 sphingosine 1-phosphate receptor signature', NULL, NULL, 'EDG6RECEPTOR', 43868);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(100143, 'PR00980', NULL, 'Alanyl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHALA', 43869),
(100144, 'PR01552', NULL, 'DNA topoisomerase VI subunit A (TOP6A) signature', NULL, NULL, 'TPISMRASE6A', 43870),
(100145, 'PR01189', NULL, 'Anion exchanger isoform 3 signature', NULL, NULL, 'ANIONEXHNGR3', 43871),
(100146, 'PR01732', NULL, 'Neisseria meningitidis adhesin MafB signature', NULL, NULL, 'ADHESINMAFB', 43872),
(100147, 'PR02048', NULL, 'Protein family FAM25 signature', NULL, NULL, 'PROTEINF25', 43873),
(100148, 'PR01216', NULL, 'Adhesive plaque protein signature', NULL, NULL, 'ADHESIVEI', 43874),
(100149, 'PR01889', NULL, 'Neuropeptide B precursor signature', NULL, NULL, 'PPNRPEPTIDEB', 43875),
(100150, 'PR01407', NULL, 'Butyrophylin C-terminal DUF signature', NULL, NULL, 'BUTYPHLNCDUF', 43876),
(100151, 'PR01759', NULL, 'Capsule biosynthesis protein CapC signature', NULL, NULL, 'CAPSULEPROTC', 43877),
(100152, 'PR00570', NULL, 'Endothelin-A receptor signature', NULL, NULL, 'ENDOTHELINAR', 43878),
(100153, 'PR00366', NULL, 'Endothelin receptor signature', NULL, NULL, 'ENDOTHELINR', 43879),
(100154, 'PR01727', NULL, 'Prokaryotic integration host factor signature', NULL, NULL, 'DNABINDINGHU', 43880),
(100155, 'PR00882', NULL, 'Ribosomal protein L7A family signature', NULL, NULL, 'RIBOSOMALL7A', 43881),
(100156, 'PR01338', NULL, 'Type III secretion system outer membrane K protein family signature', NULL, NULL, 'TYPE3OMKPROT', 43882),
(100157, 'PR01352', NULL, 'Growth hormone-releasing hormone receptor signature', NULL, NULL, 'GHRHRECEPTOR', 43883),
(100158, 'PR01438', NULL, 'Universal stress protein signature', NULL, NULL, 'UNVRSLSTRESS', 43884),
(100159, 'PR01702', NULL, 'CD40 ligand/CD154 antigen signature', NULL, NULL, 'CD40LIGAND', 43885),
(100160, 'PR01812', NULL, 'Annexin type XXXI signature', NULL, NULL, 'ANNEXINXXXI', 43886),
(100161, 'PR00614', NULL, 'Ni-Fe hydrogenase small subunit signature', NULL, NULL, 'NIHGNASESMLL', 43887),
(100162, 'PR01192', NULL, 'Glucose transporter type 3 (GLUT3) signature', NULL, NULL, 'GLUCTRSPORT3', 43888),
(100163, 'PR02056', NULL, 'Protein family FAM105A signature', NULL, NULL, 'PROTEINF105A', 43889),
(100164, 'PR00392', NULL, 'Profilin signature', NULL, NULL, 'PROFILIN', 43890),
(100165, 'PR00769', NULL, 'Diphtheria toxin signature', NULL, NULL, 'DPTHRIATOXIN', 43891),
(100166, 'PR00254', NULL, 'Nicotinic acetylcholine receptor signature', NULL, NULL, 'NICOTINICR', 43892),
(100167, 'PR00482', NULL, 'Omptin serine protease signature', NULL, NULL, 'OMPTIN', 43893),
(100168, 'PR00978', NULL, 'Steroidogenic acute regulatory protein signature', NULL, NULL, 'STARPROTEIN', 43894),
(100169, 'PR00067', NULL, 'Catalase signature', NULL, NULL, 'CATALASE', 43895),
(100170, 'PR00122', NULL, 'Vacuolar ATP synthase 16kDa subunit signature', NULL, NULL, 'VACATPASE', 43896),
(100171, 'PR01250', NULL, 'Ribosomal protein L34 signature', NULL, NULL, 'RIBOSOMALL34', 43897),
(100172, 'PR01855', NULL, 'Neuropeptide W receptor family signature', NULL, NULL, 'NRPEPTIDEWR', 43898),
(100173, 'PR01422', NULL, 'GPR56 orphan receptor signature', NULL, NULL, 'GPR56ORPHANR', 43899),
(100174, 'PR01768', NULL, 'Vanilloid receptor (TRPV) family signature', NULL, NULL, 'TRPVRECEPTOR', 43900),
(100175, 'PR00427', NULL, 'Interleukin-8 receptor signature', NULL, NULL, 'INTRLEUKIN8R', 43901),
(100176, 'PR00110', NULL, 'Alpha-amylase signature', NULL, NULL, 'ALPHAAMYLASE', 43902),
(100177, 'PR01349', NULL, 'Wnt protein signature', NULL, NULL, 'WNTPROTEIN', 43903),
(100178, 'PR01273', NULL, 'Invertebrate colouration protein signature', NULL, NULL, 'INVTBRTCOLOR', 43904),
(100179, 'PR00374', NULL, 'High potential iron sulphur protein signature', NULL, NULL, 'HIPIPFRDOXIN', 43905),
(100180, 'PR00672', NULL, 'Inhibin beta C chain signature', NULL, NULL, 'INHIBINBC', 43906),
(100181, 'PR01704', NULL, 'Fungal allergen ribonucleotoxin signature', NULL, NULL, 'FUNRIBOTOXIN', 43907),
(100182, 'PR00565', NULL, 'Dopamine 1A receptor signature', NULL, NULL, 'DOPAMINED1AR', 43908),
(100183, 'PR00053', NULL, 'Fork head domain signature', NULL, NULL, 'FORKHEAD', 43909); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(100184, 'PR02019', NULL, 'Aquaporin-7 signature', NULL, NULL, 'AQUAPORIN7', 43910),
(100185, 'PR00783', NULL, 'Major intrinsic protein family signature', NULL, NULL, 'MINTRINSICP', 43911),
(100186, 'PR00093', NULL, 'Uricase signature', NULL, NULL, 'URICASE', 43912),
(100187, 'PR00350', NULL, 'Vitamin D receptor signature', NULL, NULL, 'VITAMINDR', 43913),
(100188, 'PR00463', NULL, 'E-class P450 group I signature', NULL, NULL, 'EP450I', 43914),
(100189, 'PR00576', NULL, 'Opsin RH1/RH2 signature', NULL, NULL, 'OPSINRH1RH2', 43915),
(100190, 'PR01530', NULL, 'C-C chemokine receptor type 8 signature', NULL, NULL, 'CHEMOKINER8', 43916),
(100191, 'PR00091', NULL, 'Nitrogenase component II signature', NULL, NULL, 'NITROGNASEII', 43917),
(100192, 'PR01218', NULL, 'Pistil-specific extensin-like signature', NULL, NULL, 'PSTLEXTENSIN', 43918),
(100193, 'PR01276', NULL, 'Type II keratin signature', NULL, NULL, 'TYPE2KERATIN', 43919),
(100194, 'PR01861', NULL, 'ADAM-TS8 protein signature', NULL, NULL, 'ADAMTS8', 43920),
(100195, 'PR00949', NULL, 'Type III secretion system inner membrane A protein family signature', NULL, NULL, 'TYPE3IMAPROT', 43921),
(100196, 'PR01457', NULL, 'Lens fibre membrane intrinsic protein (LMIP) signature', NULL, NULL, 'LENSMEMPROT', 43922),
(100197, 'PR01950', NULL, 'LanC-like protein superfamily signature', NULL, NULL, 'LANCSUPER', 43923),
(100198, 'PR01246', NULL, 'Rad1 repair protein signature', NULL, NULL, 'RAD1REPAIR', 43924),
(100199, 'PR01588', NULL, 'THIK K+ channel signature', NULL, NULL, 'THIKCHANNEL', 43925),
(100200, 'PR00746', NULL, 'Glycosyl hydrolase family 41 signature', NULL, NULL, 'GLHYDRLASE41', 43926),
(100201, 'PR01986', NULL, 'Neurogenic locus Notch protein 3 signature', NULL, NULL, 'NOTCH3', 43927),
(100202, 'PR00075', NULL, 'Fatty acid desaturase family 1 signature', NULL, NULL, 'FACDDSATRASE', 43928),
(100203, 'PR01459', NULL, 'KCNQ voltage-gated potassium channel family signature', NULL, NULL, 'KCNQCHANNEL', 43929),
(100204, 'PR00309', NULL, 'Arrestin signature', NULL, NULL, 'ARRESTIN', 43930),
(100205, 'PR01206', NULL, 'Orphan neurotransmitter transporter signature', NULL, NULL, 'ORPHTRNSPORT', 43931),
(100206, 'PR00079', NULL, 'Glucose-6-phosphate dehydrogenase signature', NULL, NULL, 'G6PDHDRGNASE', 43932),
(100207, 'PR01281', NULL, 'Corticotropin releasing factor type 2 receptor signature', NULL, NULL, 'CRFRECEPTOR2', 43933),
(100208, 'PR02065', NULL, 'Protein DPCD signature', NULL, NULL, 'PROTEINDPCD', 43934),
(100209, 'PR00730', NULL, 'Thermolysin metalloprotease (M4) family signature', NULL, NULL, 'THERMOLYSIN', 43935),
(100210, 'PR00478', NULL, 'Phosphoribulokinase family signature', NULL, NULL, 'PHRIBLKINASE', 43936),
(100211, 'PR01158', NULL, 'Topoisomerase II signature', NULL, NULL, 'TOPISMRASEII', 43937),
(100212, 'PR01002', NULL, 'Flagellar protein FlgJ signature', NULL, NULL, 'FLGFLGJ', 43938),
(100213, 'PR00470', NULL, 'Trypanothione reductase signature', NULL, NULL, 'TRYPANRDTASE', 43939),
(100214, 'PR00129', NULL, 'Cutinase signature', NULL, NULL, 'CUTINASE', 43940),
(100215, 'PR00241', NULL, 'Angiotensin II receptor signature', NULL, NULL, 'ANGIOTENSINR', 43941),
(100216, 'PR01821', NULL, 'DAPIT signature', NULL, NULL, 'DAPIT', 43942),
(100217, 'PR01654', NULL, 'Thyrotropin-releasing hormone receptor 2 signature', NULL, NULL, 'TRHRECEPTOR2', 43943),
(100218, 'PR00114', NULL, 'Serine/threonine phosphatase family signature', NULL, NULL, 'STPHPHTASE', 43944),
(100219, 'PR00683', NULL, 'Spectrin pleckstrin homology domain signature', NULL, NULL, 'SPECTRINPH', 43945),
(100220, 'PR00770', NULL, 'Eosinophil major basic protein signature', NULL, NULL, 'EMAJORBASICP', 43946),
(100221, 'PR00580', NULL, 'Prostanoid EP1 receptor signature', NULL, NULL, 'PRSTNOIDEP1R', 43947),
(100222, 'PR02003', NULL, 'Bombyxin signature', NULL, NULL, 'BOMBYXIN', 43948),
(100223, 'PR02068', NULL, 'Vesicular, over-expressed in cancer, pro-survival protein 1 signature', NULL, NULL, 'VOPPROTEIN1', 43949),
(100224, 'PR01080', NULL, 'Hypoxia-inducible factor-1 alpha signature', NULL, NULL, 'HYPOXIAIF1A', 43950);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(100225, 'PR00452', NULL, 'SH3 domain signature', NULL, NULL, 'SH3DOMAIN', 43951),
(100226, 'PR01406', NULL, 'B-box zinc finger signature', NULL, NULL, 'BBOXZNFINGER', 43952),
(100227, 'PR01988', NULL, 'Putative bacilysin exporter bacE signature', NULL, NULL, 'EXPORTERBACE', 43953),
(100228, 'PR00633', NULL, 'Chromosome condensation regulator RCC1 signature', NULL, NULL, 'RCCNDNSATION', 43954),
(100229, 'PR00294', NULL, 'Streptomyces subtilisin inhibitor signature', NULL, NULL, 'SSBTLNINHBTR', 43955),
(100230, 'PR01345', NULL, 'C.elegans hypothetical protein (pol-like reverse transciptase) signature', NULL, NULL, 'CERVTRCPTASE', 43956),
(100231, 'PR00491', NULL, 'Vasoactive intestinal peptide receptor signature', NULL, NULL, 'VASOACTVEIPR', 43957),
(100232, 'PR01964', NULL, 'Tumour necrosis factor receptor 13C signature', NULL, NULL, 'TNFACTORR13C', 43958),
(100233, 'PR01007', NULL, 'Flagellar hook-length control protein signature', NULL, NULL, 'FLGHOOKFLIK', 43959),
(100234, 'PR01056', NULL, 'Metabotropic glutamate receptor 6 signature', NULL, NULL, 'MTABOTROPC6R', 43960),
(100235, 'PR01818', NULL, 'Desmosomal cadherin signature', NULL, NULL, 'DESMOCADHERN', 43961),
(100236, 'PR01613', NULL, 'Escherichia coli P pili tip fibrillum PapF protein signature', NULL, NULL, 'FIMBRIALPAPF', 43962),
(100237, 'PR01619', NULL, 'Gamma-aminobutyric-acid A receptor alpha 6 subunit signature', NULL, NULL, 'GABAARALPHA6', 43963),
(100238, 'PR00932', NULL, 'Aminopeptidase I zinc metalloprotease (M18) signature', NULL, NULL, 'AMINO1PTASE', 43964),
(100239, 'PR00777', NULL, 'Hirudin signature', NULL, NULL, 'HIRUDIN', 43965),
(100240, 'PR01369', NULL, 'Intimin signature', NULL, NULL, 'INTIMIN', 43966),
(100241, 'PR01646', NULL, 'Transient receptor potential channel 5 signature', NULL, NULL, 'TRPCHANNEL5', 43967),
(100242, 'PR01375', NULL, 'Salmonella/Shigella invasin protein B signature', NULL, NULL, 'BACINVASINB', 43968),
(100243, 'PR01298', NULL, 'Colicin E1 (microcin) immunity protein signature', NULL, NULL, 'MICROCIN', 43969),
(100244, 'PR00902', NULL, 'VP6 blue-tongue virus inner capsid protein signature', NULL, NULL, 'VP6CAPSID', 43970),
(100245, 'PR00987', NULL, 'Glutamyl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHGLU', 43971),
(100246, 'PR01243', NULL, 'Nucleoside diphosphate kinase signature', NULL, NULL, 'NUCDPKINASE', 43972),
(100247, 'PR01161', NULL, 'Tubulin signature', NULL, NULL, 'TUBULIN', 43973),
(100248, 'PR01370', NULL, 'Translocated intimin receptor (Tir) signature', NULL, NULL, 'TRNSINTIMINR', 43974),
(100249, 'PR00528', NULL, 'Glucocorticoid receptor (3C nuclear receptor) signature', NULL, NULL, 'GLCORTICOIDR', 43975),
(100250, 'PR01828', NULL, 'Neurokinin B precursor signature', NULL, NULL, 'NEUROKININB', 43976),
(100251, 'PR00812', NULL, 'Bacterial general secretion pathway protein F signature', NULL, NULL, 'BCTERIALGSPF', 43977),
(100252, 'PR01408', NULL, 'Macrophage scavenger receptor signature', NULL, NULL, 'MACSCAVRCPTR', 43978),
(100253, 'PR00650', NULL, 'GPR12 orphan receptor signature', NULL, NULL, 'GPR12ORPHANR', 43979),
(100254, 'PR02047', NULL, 'Brefeldin A-sensitivity protein 4 signature', NULL, NULL, 'BREFELDNASP4', 43980),
(100255, 'PR01282', NULL, 'COUP transcription factor (2F nuclear receptor) family signature', NULL, NULL, 'COUPTNFACTOR', 43981),
(100256, 'PR01678', NULL, 'Kir5 inward rectifier K+ channel signature', NULL, NULL, 'KIR5CHANNEL', 43982),
(100257, 'PR01052', NULL, 'Metabotropic glutamate receptor 2 signature', NULL, NULL, 'MTABOTROPC2R', 43983),
(100258, 'PR01210', NULL, 'Gamma-glutamyltranspeptidase signature', NULL, NULL, 'GGTRANSPTASE', 43984),
(100259, 'PR01513', NULL, 'Kv1.6 voltage-gated K+ channel signature', NULL, NULL, 'KV16CHANNEL', 43985),
(100260, 'PR01762', NULL, 'Dishevelled-2 protein signature', NULL, NULL, 'DISHEVELLED2', 43986),
(100261, 'PR00740', NULL, 'Glycosyl hydrolase family 27 signature', NULL, NULL, 'GLHYDRLASE27', 43987),
(100262, 'PR00574', NULL, 'Blue-sensitive opsin signature', NULL, NULL, 'OPSINBLUE', 43988),
(100263, 'PR02012', NULL, 'RNA (C5-cytosine) methyltransferase NOP2 subfamily signature', NULL, NULL, 'RCMTNOP2', 43989);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(100264, 'PR00438', NULL, 'Growth factor cystine knot domain signature', NULL, NULL, 'GFCYSKNOT', 43990),
(100265, 'PR01078', NULL, 'Amiloride-sensitive sodium channel alpha-subunit signature', NULL, NULL, 'AMINACHANNEL', 43991),
(100266, 'PR01939', NULL, 'Neurotrophic tyrosine kinase receptor family signature', NULL, NULL, 'NTKRECEPTOR', 43992),
(100267, 'PR00551', NULL, '2-S globulin family signature', NULL, NULL, '2SGLOBULIN', 43993),
(100268, 'PR00547', NULL, 'X opioid receptor signature', NULL, NULL, 'XOPIOIDR', 43994),
(100269, 'PR02084', NULL, 'Golgi membrane protein 1/Cancer susceptibility candidate gene 4 signature', NULL, NULL, 'GOLM1CASC4', 43995),
(100270, 'PR02081', NULL, 'Protein GIGANTEA signature', NULL, NULL, 'GIGANTEA', 43996),
(100271, 'PR00260', NULL, 'Bacterial chemotaxis sensory transducer signature', NULL, NULL, 'CHEMTRNSDUCR', 43997),
(100272, 'PR00290', NULL, 'Kazal-type serine protease inhibitor signature', NULL, NULL, 'KAZALINHBTR', 43998),
(100273, 'PR01794', NULL, 'Voltage-dependent calcium channel gamma-6 subunit signature', NULL, NULL, 'VDCCGAMMA6', 43999),
(100274, 'PR02111', NULL, 'Mas-related G protein-coupled receptor E signature', NULL, NULL, 'MRGPCRE', 44000),
(100275, 'PR00128', NULL, 'Colipase signature', NULL, NULL, 'COLIPASE', 44001),
(100276, 'PR00305', NULL, '14-3-3 protein zeta signature', NULL, NULL, '1433ZETA', 44002),
(100277, 'PR01219', NULL, 'Apolipoprotein D signature', NULL, NULL, 'APOLIPOPROTD', 44003),
(100278, 'PR01931', NULL, 'Interleukin-16 signature', NULL, NULL, 'INTRLEUKIN16', 44004),
(100279, 'PR00863', NULL, 'Nodavirus coat precursor endopeptidase (A6) aspartic protease signature', NULL, NULL, 'NODAVIRPTASE', 44005),
(100280, 'PR01103', NULL, 'Adrenergic receptor signature', NULL, NULL, 'ADRENERGICR', 44006),
(100281, 'PR01203', NULL, 'Serotonin (5-HT) neurotransmitter transporter signature', NULL, NULL, '5HTTRANSPORT', 44007),
(100282, 'PR00328', NULL, 'GTP-binding SAR1 protein signature', NULL, NULL, 'SAR1GTPBP', 44008),
(100283, 'PR00592', NULL, 'Extracellular calcium-sensing receptor signature', NULL, NULL, 'CASENSINGR', 44009),
(100284, 'PR01892', NULL, 'Wnt-8 protein signature', NULL, NULL, 'WNT8PROTEIN', 44010),
(100285, 'PR01910', NULL, 'Atypical dual specificity phosphatase subfamily B signature', NULL, NULL, 'ADSPHPHTASEB', 44011),
(100286, 'PR00540', NULL, 'Muscarinic M3 receptor signature', NULL, NULL, 'MUSCRINICM3R', 44012),
(100287, 'PR01519', NULL, 'Epsilon-tubulin signature', NULL, NULL, 'EPSLNTUBULIN', 44013),
(100288, 'PR00840', NULL, 'MG067/MG068/MG395 hypothetical protein family signature', NULL, NULL, 'Y06768FAMILY', 44014),
(100289, 'PR00659', NULL, 'Chromogranin signature', NULL, NULL, 'CHROMOGRANIN', 44015),
(100290, 'PR00187', NULL, 'Arthropod haemocyanin signature', NULL, NULL, 'HAEMOCYANIN', 44016),
(100291, 'PR00031', NULL, 'Lambda-repressor HTH signature', NULL, NULL, 'HTHREPRESSR', 44017),
(100292, 'PR00221', NULL, 'Caulimovirus coat protein signature', NULL, NULL, 'CAULIMOCOAT', 44018),
(100293, 'PR00865', NULL, 'Papillomavirus major capsid protein L1 signature', NULL, NULL, 'HPVCAPSIDL1', 44019),
(100294, 'PR01638', NULL, 'MHC class I signature', NULL, NULL, 'MHCCLASSI', 44020),
(100295, 'PR01307', NULL, 'P2X purinoceptor family signature', NULL, NULL, 'P2XRECEPTOR', 44021),
(100296, 'PR01637', NULL, 'Pollen allergen Lol p2 signature', NULL, NULL, 'LOLP2ALLERGN', 44022),
(100297, 'PR01350', NULL, 'Calcitonin receptor family signature', NULL, NULL, 'CTRFAMILY', 44023),
(100298, 'PR00693', NULL, 'Granulocyte-macrophage colony-stimulating factor signature', NULL, NULL, 'GMCSFACTOR', 44024),
(100299, 'PR01525', NULL, 'EDG-5 sphingosine 1-phosphate receptor signature', NULL, NULL, 'EDG5RECEPTOR', 44025),
(100300, 'PR00232', NULL, 'Potex and carlavirus coat protein signature', NULL, NULL, 'POTXCARLCOAT', 44026),
(100301, 'PR01111', NULL, 'CLC-0 chloride channel signature', NULL, NULL, 'CLCHANNEL0', 44027),
(100302, 'PR00168', NULL, 'KCNE voltage-gated K+ channel family E signature', NULL, NULL, 'KCNECHANNEL', 44028);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(100303, 'PR01928', NULL, 'Interleukin-12 beta subunit signature', NULL, NULL, 'INTRLEUKN12B', 44029),
(100304, 'PR01895', NULL, 'Wnt-16 protein signature', NULL, NULL, 'WNT16PROTEIN', 44030),
(100305, 'PR01324', NULL, 'Kir2.1 inward rectifier K+ channel signature', NULL, NULL, 'KIR21CHANNEL', 44031),
(100306, 'PR01669', NULL, 'Tapasin signature', NULL, NULL, 'TAPASIN', 44032),
(100307, 'PR00666', NULL, 'Pineal opsin signature', NULL, NULL, 'PINOPSIN', 44033),
(100308, 'PR01881', NULL, 'Limb-bud-and-heart protein signature', NULL, NULL, 'LBHPROTEIN', 44034),
(100309, 'PR01284', NULL, 'Orphan nuclear receptor (4A nuclear receptor) family signature', NULL, NULL, 'NUCLEARECPTR', 44035),
(100310, 'PR00532', NULL, 'Kappa opioid receptor signature', NULL, NULL, 'KAPPAOPIOIDR', 44036),
(100311, 'PR00918', NULL, 'Calicivirus non-structural polyprotein family signature', NULL, NULL, 'CALICVIRUSNS', 44037),
(100312, 'PR01086', NULL, 'Na+/H+ exchanger isoform 2 (NHE2) signature', NULL, NULL, 'NAHEXCHNGR2', 44038),
(100313, 'PR01447', NULL, 'Claudin-16 signature', NULL, NULL, 'CLAUDIN16', 44039),
(100314, 'PR00242', NULL, 'Dopamine receptor signature', NULL, NULL, 'DOPAMINER', 44040),
(100315, 'PR00376', NULL, 'Interleukin-1B converting enzyme signature', NULL, NULL, 'IL1BCENZYME', 44041),
(100316, 'PR01545', NULL, 'Thermotoga maritima hypothetical protein TM1410 signature', NULL, NULL, 'THEMAYE10DUF', 44042),
(100317, 'PR01742', NULL, 'Septin 7 signature', NULL, NULL, 'SEPTIN7', 44043),
(100318, 'PR01913', NULL, 'Nerve growth factor beta subunit signature', NULL, NULL, 'NGFBETA', 44044),
(100319, 'PR01707', NULL, 'Rickettsia 56kDa type-specific antigen protein signature', NULL, NULL, '56KDTSANTIGN', 44045),
(100320, 'PR01458', NULL, 'Peripheral myelin protein PMP22 signature', NULL, NULL, 'PMYELIN22', 44046),
(100321, 'PR01498', NULL, 'Shaw voltage-gated K+ channel family signature', NULL, NULL, 'SHAWCHANNEL', 44047),
(100322, 'PR01842', NULL, 'Wnt-2 protein signature', NULL, NULL, 'WNT2PROTEIN', 44048),
(100323, 'PR01980', NULL, 'Insulin-like growth factor-binding protein 4 signature', NULL, NULL, 'IGFBPFAMILY4', 44049),
(100324, 'PR01488', NULL, 'Gram-negative bacterial RTX toxin determinant A family signature', NULL, NULL, 'RTXTOXINA', 44050),
(100325, 'PR00962', NULL, 'Lethal(2) giant larvae protein signature', NULL, NULL, 'LETHAL2GIANT', 44051),
(100326, 'PR01384', NULL, 'Claudin-11 signature', NULL, NULL, 'CLAUDIN11', 44052),
(100327, 'PR00037', NULL, 'LacR bacterial regulatory protein HTH signature', NULL, NULL, 'HTHLACR', 44053),
(100328, 'PR00539', NULL, 'Muscarinic M2 receptor signature', NULL, NULL, 'MUSCRINICM2R', 44054),
(100329, 'PR00751', NULL, 'Thyrotrophin-releasing hormone receptor signature', NULL, NULL, 'THYROLIBRINR', 44055),
(100330, 'PR00560', NULL, 'Alpha-2C adrenergic receptor signature', NULL, NULL, 'ADRENRGCA2CR', 44056),
(100331, 'PR01870', NULL, 'T-cell surface CD2 antigen signature', NULL, NULL, 'CD2ANTIGEN', 44057),
(100332, 'PR01846', NULL, 'Thyrotropin-releasing hormone receptor family signature', NULL, NULL, 'TRHRFAMILY', 44058),
(100333, 'PR01597', NULL, 'Zona occludens protein family signature', NULL, NULL, 'ZONOCCLUDNS', 44059),
(100334, 'PR01237', NULL, 'Tumour necrosis factor c (lymphotoxin-beta) signature', NULL, NULL, 'TNFC', 44060),
(100335, 'PR01106', NULL, 'C-C chemokine receptor type 1 signature', NULL, NULL, 'CHEMOKINER1', 44061),
(100336, 'PR00906', NULL, 'SecA protein signature', NULL, NULL, 'SECA', 44062),
(100337, 'PR00508', NULL, 'S21 class N4 adenine-specific DNA methyltransferase signature', NULL, NULL, 'S21N4MTFRASE', 44063),
(100338, 'PR00511', NULL, 'Tektin signature', NULL, NULL, 'TEKTIN', 44064),
(100339, 'PR01400', NULL, 'Bacterial thiol-activated pore-forming cytolysin signature', NULL, NULL, 'TACYTOLYSIN', 44065),
(100340, 'PR00836', NULL, 'Somatotropin hormone family signature', NULL, NULL, 'SOMATOTROPIN', 44066),
(100341, 'PR00687', NULL, 'Tryptophan RNA-binding attenuator protein signature', NULL, NULL, 'TRPRNAAP', 44067),
(100342, 'PR00638', NULL, 'Type 4 bombesin receptor signature', NULL, NULL, 'BOMBESIN4R', 44068);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(100343, 'PR01240', NULL, 'Filoviridae VP35 signature', NULL, NULL, 'FILOVP35', 44069),
(100344, 'PR01319', NULL, 'Glial cell line-derived neurotrophic factor receptor alpha 3 signature', NULL, NULL, 'GDNFRALPHA3', 44070),
(100345, 'PR00343', NULL, 'Selectin superfamily complement-binding repeat signature', NULL, NULL, 'SELECTIN', 44071),
(100346, 'PR02095', NULL, 'Haem transporter HRG signature', NULL, NULL, 'TRNSPORTRHRG', 44072),
(100347, 'PR00451', NULL, 'Chitin-binding domain signature', NULL, NULL, 'CHITINBINDNG', 44073),
(100348, 'PR00090', NULL, 'Ring hydroxylating dioxygenase alpha-subunit signature', NULL, NULL, 'RNGDIOXGNASE', 44074),
(100349, 'PR00845', NULL, 'Glycosyl hydrolase family 52 signature', NULL, NULL, 'GLHYDRLASE52', 44075),
(100350, 'PR01652', NULL, 'Bacterial cell shape determinant MreB/Mbl protein signature', NULL, NULL, 'SHAPEPROTEIN', 44076),
(100351, 'PR00121', NULL, 'Sodium/potassium-transporting ATPase signature', NULL, NULL, 'NAKATPASE', 44077),
(100352, 'PR00674', NULL, 'Light harvesting protein B chain signature', NULL, NULL, 'LIGHTHARVSTB', 44078),
(100353, 'PR01479', NULL, 'Neurotensin receptor signature', NULL, NULL, 'NEUROTENSINR', 44079),
(100354, 'PR00669', NULL, 'Inhibin alpha chain signature', NULL, NULL, 'INHIBINA', 44080),
(100355, 'PR01335', NULL, 'Chlamydia cysteine-rich outer membrane protein 3 signature', NULL, NULL, 'CHLAMIDIAOM3', 44081),
(100356, 'PR02032', NULL, 'Dexamethasone-induced protein signature', NULL, NULL, 'DEXMETHSNEIP', 44082),
(100357, 'PR01323', NULL, 'Kir1.3 inward rectifer K+ channel signature', NULL, NULL, 'KIR13CHANNEL', 44083),
(100358, 'PR00080', NULL, 'Short-chain dehydrogenase/reductase (SDR) superfamily signature', NULL, NULL, 'SDRFAMILY', 44084),
(100359, 'PR00047', NULL, 'C4-type steroid receptor zinc finger signature', NULL, NULL, 'STROIDFINGER', 44085),
(100360, 'PR01176', NULL, 'Metabotropic gamma-aminobutyric acid type B receptor signature', NULL, NULL, 'GABABRECEPTR', 44086),
(100361, 'PR01441', NULL, 'Cellulose synthase subunit C signature', NULL, NULL, 'CELLSNTHASEC', 44087),
(100362, 'PR01527', NULL, 'Lysophosphatidic acid receptor family signature', NULL, NULL, 'LPARECEPTOR', 44088),
(100363, 'PR00894', NULL, 'Yeast Mrs6p protein signature', NULL, NULL, 'YEASTMRS6P', 44089),
(100364, 'PR01480', NULL, 'Neurotensin type 1 receptor signature', NULL, NULL, 'NEUROTENSN1R', 44090),
(100365, 'PR00054', NULL, 'Fungal Zn-Cys binuclear cluster signature', NULL, NULL, 'FUNGALZNCYS', 44091),
(100366, 'PR01611', NULL, 'Lysosome membrane protein II (LIMP II) signature', NULL, NULL, 'LIMPII', 44092),
(100367, 'PR01967', NULL, 'Tumour necrosis factor receptor 17 signature', NULL, NULL, 'TNFACTORR17', 44093),
(100368, 'PR01737', NULL, 'Porphyromonas gingivalis fimbrillin protein signature', NULL, NULL, 'FIMBRILLIN', 44094),
(100369, 'PR01114', NULL, 'CLC-3 chloride channel signature', NULL, NULL, 'CLCHANNEL3', 44095),
(100370, 'PR01539', NULL, 'Interleukin-1 receptor type II precursor signature', NULL, NULL, 'INTRLEUKN1R2', 44096),
(100371, 'PR00856', NULL, 'Prostacyclin (prostanoid IP) receptor signature', NULL, NULL, 'PRSTNOIDIPR', 44097),
(100372, 'PR00109', NULL, 'Tyrosine kinase catalytic domain signature', NULL, NULL, 'TYRKINASE', 44098),
(100373, 'PR01260', NULL, 'Na+/Ca2+ exchanger isoform 1 signature', NULL, NULL, 'NACAEXCHNGR1', 44099),
(100374, 'PR00780', NULL, 'Leuserpin 2 signature', NULL, NULL, 'LEUSERPINII', 44100),
(100375, 'PR00630', NULL, 'Monellin A chain signature', NULL, NULL, 'MONELLINA', 44101),
(100376, 'PR00147', NULL, 'DNA photolyase signature', NULL, NULL, 'DNAPHOTLYASE', 44102),
(100377, 'PR00041', NULL, 'cAMP response element binding (CREB) protein signature', NULL, NULL, 'LEUZIPPRCREB', 44103),
(100378, 'PR01063', NULL, 'Melanocortin 5 receptor signature', NULL, NULL, 'MELNOCORTN5R', 44104),
(100379, 'PR01005', NULL, 'Flagellar hook-associated protein signature', NULL, NULL, 'FLGHOOKAP1', 44105),
(100380, 'PR00267', NULL, 'Interferon regulatory factor signature', NULL, NULL, 'INTFRNREGFCT', 44106);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(100381, 'PR00317', NULL, 'Ependymin signature', NULL, NULL, 'EPENDYMIN', 44107),
(100382, 'PR00418', NULL, 'DNA topoisomerase II family signature', NULL, NULL, 'TPI2FAMILY', 44108),
(100383, 'PR01364', NULL, 'Viral protein D10 signature', NULL, NULL, 'VD10PROTEIN', 44109),
(100384, 'PR00956', NULL, 'Flagellar motor switch protein FliN signature', NULL, NULL, 'FLGMOTORFLIN', 44110),
(100385, 'PR00083', NULL, 'Histidinol dehydrogenase signature', NULL, NULL, 'HOLDHDRGNASE', 44111),
(100386, 'PR01418', NULL, 'Galanin 1 receptor signature', NULL, NULL, 'GALANIN1R', 44112),
(100387, 'PR01809', NULL, 'Annexin type A10 signature', NULL, NULL, 'ANNEXINX', 44113),
(100388, 'PR01139', NULL, 'Gap junction beta-2 protein (Cx26) signature', NULL, NULL, 'CONNEXINB2', 44114),
(100389, 'PR00644', NULL, 'GPR orphan receptor signature', NULL, NULL, 'GPRORPHANR', 44115),
(100390, 'PR01935', NULL, 'Interleukin-20 signature', NULL, NULL, 'INTRLEUKIN20', 44116),
(100391, 'PR01465', NULL, 'ELK potassium channel family signature', NULL, NULL, 'ELKCHANNEL', 44117),
(100392, 'PR00375', NULL, 'Huntingtin signature', NULL, NULL, 'HUNTINGTIN', 44118),
(100393, 'PR00434', NULL, 'Interleukin-6 signature', NULL, NULL, 'INTERLEUKIN6', 44119),
(100394, 'PR01062', NULL, 'Melanocortin 4 receptor signature', NULL, NULL, 'MELNOCORTN4R', 44120),
(100395, 'PR00477', NULL, 'Phosphoglycerate kinase family signature', NULL, NULL, 'PHGLYCKINASE', 44121),
(100396, 'PR01501', NULL, 'Staphylococcal toxic shock syndrome toxin signature', NULL, NULL, 'TOXICSSTOXIN', 44122),
(100397, 'PR01916', NULL, 'Neurotrophin-6 signature', NULL, NULL, 'NEUROTROPHN6', 44123),
(100398, 'PR00368', NULL, 'FAD-dependent pyridine nucleotide reductase signature', NULL, NULL, 'FADPNR', 44124),
(100399, 'PR01043', NULL, 'Glycyl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHGLY', 44125),
(100400, 'PR00303', NULL, 'Preprotein translocase SecY subunit signature', NULL, NULL, 'SECYTRNLCASE', 44126),
(100401, 'PR01655', NULL, 'UDP-glucose receptor signature', NULL, NULL, 'UDPGLUCOSER', 44127),
(100402, 'PR00808', NULL, 'Cereal trypsin/alpha-amylase inhibitor family signature', NULL, NULL, 'AMLASEINHBTR', 44128),
(100403, 'PR00972', NULL, 'Ribosomal protein S12E family signature', NULL, NULL, 'RIBSOMALS12E', 44129),
(100404, 'PR00183', NULL, 'E.coli/Salmonella-type porin signature', NULL, NULL, 'ECOLIPORIN', 44130),
(100405, 'PR02072', NULL, 'Four-jointed box protein 1 signature', NULL, NULL, '4JOINTEDBOX1', 44131),
(100406, 'PR00995', NULL, '36kDa capillovirus serine protease (S35) signature', NULL, NULL, 'CAPILLOPTASE', 44132),
(100407, 'PR01698', NULL, 'Cytoplasmic fragile X mental retardation protein interacting protein signature', NULL, NULL, 'CYTOFMRPINTP', 44133),
(100408, 'PR00605', NULL, 'Class IC cytochrome C signature', NULL, NULL, 'CYTCHROMECIC', 44134),
(100409, 'PR02107', NULL, 'Inositol 1,4,5-trisphosphate receptor-interacting protein signature', NULL, NULL, 'INOS145TPRIP', 44135),
(100410, 'PR00201', NULL, 'Annexin type V signature', NULL, NULL, 'ANNEXINV', 44136),
(100411, 'PR01505', NULL, 'Prothrombin signature', NULL, NULL, 'PROTHROMBIN', 44137),
(100412, 'PR01308', NULL, 'P2X1 purinoceptor signature', NULL, NULL, 'P2X1RECEPTOR', 44138),
(100413, 'PR00072', NULL, 'Malic enzyme signature', NULL, NULL, 'MALOXRDTASE', 44139),
(100414, 'PR01042', NULL, 'Aspartyl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHASP', 44140),
(100415, 'PR01175', NULL, 'Von Ebner''s gland protein signature', NULL, NULL, 'VNEBNERGLAND', 44141),
(100416, 'PR01217', NULL, 'Proline rich extensin signature', NULL, NULL, 'PRICHEXTENSN', 44142),
(100417, 'PR01920', NULL, 'Tumour necrosis factor receptor 3 signature', NULL, NULL, 'TNFACTORR3', 44143),
(100418, 'PR00070', NULL, 'Dihydrofolate reductase signature', NULL, NULL, 'DHFR', 44144),
(100419, 'PR02031', NULL, 'Cysteine/serine-rich nuclear protein (CSRNP) family signature', NULL, NULL, 'CYSSERRICHNP', 44145),
(100420, 'PR01800', NULL, 'Staphylococcus aureus exotoxin signature', NULL, NULL, 'STAPHEXOTOXN', 44146),
(100421, 'PR01641', NULL, 'Pre-pro melanin-concentrating hormone signature', NULL, NULL, 'PROMCHFAMILY', 44147);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(100422, 'PR01314', NULL, 'P2X7 purinoceptor signature', NULL, NULL, 'P2X7RECEPTOR', 44148),
(100423, 'PR00796', NULL, 'Viral spike glycoprotein precursor signature', NULL, NULL, 'SPIKEPROTEIN', 44149),
(100424, 'PR00365', NULL, 'Endothelin signature', NULL, NULL, 'ENDOTHELIN', 44150),
(100425, 'PR01468', NULL, 'Staphylococcal bi-component toxin signature', NULL, NULL, 'BICOMPNTOXIN', 44151),
(100426, 'PR00180', NULL, 'Cellular retinaldehyde-binding protein signature', NULL, NULL, 'CRETINALDHBP', 44152),
(100427, 'PR01068', NULL, 'P2Y6 purinoceptor signature', NULL, NULL, 'P2Y6PRNOCPTR', 44153),
(100428, 'PR01772', NULL, 'JNK MAP kinase signature', NULL, NULL, 'JNKMAPKINASE', 44154),
(100429, 'PR02079', NULL, 'Probable serine/threonine-protein kinase GDT family signature', NULL, NULL, 'STKINASEGDT', 44155),
(100430, 'PR01227', NULL, 'Salmonella surface presentation of antigen gene type M signature', NULL, NULL, 'SSPAMPROTEIN', 44156),
(100431, 'PR00946', NULL, 'Mercury scavenger protein signature', NULL, NULL, 'HGSCAVENGER', 44157),
(100432, 'PR00042', NULL, 'Fos transforming protein signature', NULL, NULL, 'LEUZIPPRFOS', 44158),
(100433, 'PR00333', NULL, 'Herpsevirus integral membrane protein signature', NULL, NULL, 'HSVINTEGRLMP', 44159),
(100434, 'PR00602', NULL, 'Barwin domain signature', NULL, NULL, 'BARWIN', 44160),
(100435, 'PR00963', NULL, 'MARCKS family signature', NULL, NULL, 'MARCKS', 44161),
(100436, 'PR00909', NULL, 'Bacterial periplasmic spermidine/putrescine-binding protein signature', NULL, NULL, 'SPERMDNBNDNG', 44162),
(100437, 'PR01147', NULL, 'GPR4 sphingosylphosphorylcholine and lysophosphatidylcholine receptor signature', NULL, NULL, 'GPR4RECEPTOR', 44163),
(100438, 'PR00954', NULL, 'Flagellar motor switch protein FliG signature', NULL, NULL, 'FLGMOTORFLIG', 44164),
(100439, 'PR00178', NULL, 'Fatty acid-binding protein signature', NULL, NULL, 'FATTYACIDBP', 44165),
(100440, 'PR01127', NULL, 'Diuretic hormone receptor signature', NULL, NULL, 'DIUHORMONER', 44166),
(100441, 'PR00534', NULL, 'Melanocortin receptor family signature', NULL, NULL, 'MCRFAMILY', 44167),
(100442, 'PR01257', NULL, 'Otx2 transcription factor signature', NULL, NULL, 'OTX2HOMEOBOX', 44168),
(100443, 'PR00461', NULL, 'Plant peroxidase signature', NULL, NULL, 'PLPEROXIDASE', 44169),
(100444, 'PR01763', NULL, 'Dishevelled-3 protein signature', NULL, NULL, 'DISHEVELLED3', 44170),
(100445, 'PR00572', NULL, 'Interleukin 8A receptor signature', NULL, NULL, 'INTRLEUKN8AR', 44171),
(100446, 'PR01258', NULL, 'Occludin signature', NULL, NULL, 'OCCLUDIN', 44172),
(100447, 'PR00269', NULL, 'Pleiotrophin/midkine family signature', NULL, NULL, 'PTNMIDKINE', 44173),
(100448, 'PR01392', NULL, 'Anthrax toxin LF subunit signature', NULL, NULL, 'ANTHRAXTOXNA', 44174),
(100449, 'PR00566', NULL, 'Dopamine 1B receptor signature', NULL, NULL, 'DOPAMINED1BR', 44175),
(100450, 'PR00404', NULL, 'MADS domain signature', NULL, NULL, 'MADSDOMAIN', 44176),
(100451, 'PR00507', NULL, 'N12 class N6 adenine-specific DNA methyltransferase signature', NULL, NULL, 'N12N6MTFRASE', 44177),
(100452, 'PR02042', NULL, 'Cattle cerebrum and skeletal muscle-specific protein 1 signature', NULL, NULL, 'CCSMST1', 44178),
(100453, 'PR01044', NULL, 'Glycyl-tRNA synthetase alpha subunit signature', NULL, NULL, 'TRNASYNTHGA', 44179),
(100454, 'PR01636', NULL, 'Voltage-dependent L-type calcium channel alpha-1D subunit signature', NULL, NULL, 'LVDCCALPHA1D', 44180),
(100455, 'PR01691', NULL, 'TRAAK K+ channel signature', NULL, NULL, 'TRAAKCHANNEL', 44181),
(100456, 'PR00398', NULL, 'Steroid hormone receptor signature', NULL, NULL, 'STRDHORMONER', 44182),
(100457, 'PR00923', NULL, 'Lactococcus X-Pro dipeptidyl-peptidase (S15) family signature', NULL, NULL, 'LACTOPTASE', 44183),
(100458, 'PR00161', NULL, 'Nickel-dependent hydrogenase/B-type cytochrome signature', NULL, NULL, 'NIHGNASECYTB', 44184),
(100459, 'PR01142', NULL, 'Gap junction beta-5 protein (Cx30.3) signature', NULL, NULL, 'CONNEXINB5', 44185),
(100460, 'PR01209', NULL, 'Na-K-Cl co-transporter 2 signature', NULL, NULL, 'NAKCLTRSPRT2', 44186);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(100461, 'PR01538', NULL, 'Interleukin-1 receptor type I precursor signature', NULL, NULL, 'INTRLEUKN1R1', 44187),
(100462, 'PR00188', NULL, 'Plant globin signature', NULL, NULL, 'PLANTGLOBIN', 44188),
(100463, 'PR00732', NULL, 'Glycosyl hydrolase family 4 signature', NULL, NULL, 'GLHYDRLASE4', 44189),
(100464, 'PR00896', NULL, 'Vasopressin receptor signature', NULL, NULL, 'VASOPRESSINR', 44190),
(100465, 'PR01274', NULL, 'Metalloprotease inhibitor signature', NULL, NULL, 'MPTASEINHBTR', 44191),
(100466, 'PR01041', NULL, 'Methionyl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHMET', 44192),
(100467, 'PR01071', NULL, 'Acetyl-CoA biotin carboxyl carrier protein signature', NULL, NULL, 'ACOABIOTINCC', 44193),
(100468, 'PR01249', NULL, 'Ribosomal protein L31 signature', NULL, NULL, 'RIBOSOMALL31', 44194),
(100469, 'PR01347', NULL, 'Ephrin signature', NULL, NULL, 'EPHRIN', 44195),
(100470, 'PR01592', NULL, 'Low calcium response V antigen signature', NULL, NULL, 'LCRVANTIGEN', 44196),
(100471, 'PR00323', NULL, 'Gallidermin signature', NULL, NULL, 'GALLIDERMIN', 44197),
(100472, 'PR00554', NULL, 'Adenosine A2B receptor signature', NULL, NULL, 'ADENOSINA2BR', 44198),
(100473, 'PR01774', NULL, 'Exfoliative toxin signature', NULL, NULL, 'EXFOLTOXIN', 44199),
(100474, 'PR00214', NULL, 'Myelin proteolipid protein (PLP) signature', NULL, NULL, 'MYELINPLP', 44200),
(100475, 'PR01234', NULL, 'Tumour necrosis factor family signature', NULL, NULL, 'TNECROSISFCT', 44201),
(100476, 'PR01450', NULL, 'Calcium-activated BK potassium channel beta subunit signature', NULL, NULL, 'BKCHANNELB', 44202),
(100477, 'PR00947', NULL, 'Insect cuticle protein signature', NULL, NULL, 'CUTICLE', 44203),
(100478, 'PR02045', NULL, 'FAM138 N-terminal domain signature', NULL, NULL, 'F138DOMAIN', 44204),
(100479, 'PR00567', NULL, 'Dopamine D2 receptor signature', NULL, NULL, 'DOPAMINED2R', 44205),
(100480, 'PR00608', NULL, 'Class II cytochrome C signature', NULL, NULL, 'CYTCHROMECII', 44206),
(100481, 'PR01186', NULL, 'Integrin beta subunit signature', NULL, NULL, 'INTEGRINB', 44207),
(100482, 'PR00330', NULL, 'Haemagglutinin HA1 chain signature', NULL, NULL, 'HEMAGGLUTN1', 44208),
(100483, 'PR00282', NULL, 'Snake cytotoxin signature', NULL, NULL, 'CYTOTOXIN', 44209),
(100484, 'PR00948', NULL, 'Elicitin signature', NULL, NULL, 'ELICITIN', 44210),
(100485, 'PR00186', NULL, 'Hemerythrin signature', NULL, NULL, 'HEMERYTHRIN', 44211),
(100486, 'PR01679', NULL, 'Kir7 inward rectifier K+ channel signature', NULL, NULL, 'KIR7CHANNEL', 44212),
(100487, 'PR01994', NULL, 'Antirepressor protein ANT signature', NULL, NULL, 'ANTIREPRESSR', 44213),
(100488, 'PR00959', NULL, 'Mevalonate kinase family signature', NULL, NULL, 'MEVGALKINASE', 44214),
(100489, 'PR01751', NULL, 'Transcription factor AP-2 gamma signature', NULL, NULL, 'AP2CTNSCPFCT', 44215),
(100490, 'PR01690', NULL, 'TASK-5 K+ channel signature', NULL, NULL, 'TASK5CHANNEL', 44216),
(100491, 'PR01128', NULL, 'EMR1 hormone receptor signature', NULL, NULL, 'EMR1HORMONER', 44217),
(100492, 'PR01439', NULL, 'Cellulose synthase subunit A signature', NULL, NULL, 'CELLSNTHASEA', 44218),
(100493, 'PR00497', NULL, 'Neutrophil cytosol factor P40 signature', NULL, NULL, 'P40PHOX', 44219),
(100494, 'PR00446', NULL, 'Hydrogen uptake protein signature', NULL, NULL, 'HYDRGNUPTAKE', 44220),
(100495, 'PR02059', NULL, 'Jagged/Serrate protein family signature', NULL, NULL, 'JAGGEDFAMILY', 44221),
(100496, 'PR01630', NULL, 'L-type voltage-dependent calcium channel alpha-1 subunit signature', NULL, NULL, 'LVDCCALPHA1', 44222),
(100497, 'PR00493', NULL, 'Breast cancer type I susceptibility protein signature', NULL, NULL, 'BRSTCANCERI', 44223),
(100498, 'PR00975', NULL, 'Ribosomal protein S19 family signature', NULL, NULL, 'RIBOSOMALS19', 44224),
(100499, 'PR01968', NULL, 'Tumour necrosis factor receptor 18 signature', NULL, NULL, 'TNFACTORR18', 44225),
(100500, 'PR00175', NULL, 'Sodium/alanine symporter signature', NULL, NULL, 'NAALASMPORT', 44226),
(100501, 'PR00439', NULL, '11-S seed storage protein family signature', NULL, NULL, '11SGLOBULIN', 44227);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(100502, 'PR01410', NULL, 'Cytochrome c-type biogenesis protein signature', NULL, NULL, 'CCBIOGENESIS', 44228),
(100503, 'PR00387', NULL, '3''5''-cyclic nucleotide phosphodiesterase signature', NULL, NULL, 'PDIESTERASE1', 44229),
(100504, 'PR00231', NULL, 'Geminivirus AL3 coat protein signature', NULL, NULL, 'GEMCOATAL3', 44230),
(100505, 'PR01906', NULL, 'Lamprey and hagfish globin signature', NULL, NULL, 'FISHGLOBIN', 44231),
(100506, 'PR01520', NULL, 'Zeta-tubulin signature', NULL, NULL, 'ZETATUBULIN', 44232),
(100507, 'PR01417', NULL, 'Growth hormone secretagogue receptor type 1 signature', NULL, NULL, 'GHSRECEPTOR', 44233),
(100508, 'PR01863', NULL, 'Bcl-2 apoptosis regulator protein signature', NULL, NULL, 'APOPREGBCL2', 44234),
(100509, 'PR01873', NULL, 'Cytochrome c oxidase subunit IV signature', NULL, NULL, 'CYTCOXIDASE4', 44235),
(100510, 'PR00701', NULL, '60kDa inner membrane protein signature', NULL, NULL, '60KDINNERMP', 44236),
(100511, 'PR00628', NULL, 'Insulin receptor substrate-1 PTB domain signature', NULL, NULL, 'INSULINRSI', 44237),
(100512, 'PR01689', NULL, 'CYP3A P450 family signature', NULL, NULL, 'EP450IICYP3A', 44238),
(100513, 'PR01030', NULL, 'Proenkephalin B precursor signature', NULL, NULL, 'PENKBPRCRSR', 44239),
(100514, 'PR00483', NULL, 'Bacterial acid phosphatase class A signature', NULL, NULL, 'BACPHPHTASE', 44240),
(100515, 'PR01683', NULL, 'CYP1A P450 family signature', NULL, NULL, 'EP450ICYP1A', 44241),
(100516, 'PR00804', NULL, 'Vitamin D-binding protein signature', NULL, NULL, 'VITAMNDBNDNG', 44242),
(100517, 'PR00135', NULL, 'Lysozyme/alpha-lactalbumin superfamily signature', NULL, NULL, 'LYZLACT', 44243),
(100518, 'PR00441', NULL, 'G protein alpha subunit group I signature', NULL, NULL, 'GPROTEINAI', 44244),
(100519, 'PR01168', NULL, 'Insect alcohol dehydrogenase signature', NULL, NULL, 'ALCDHDRGNASE', 44245),
(100520, 'PR00206', NULL, 'Connexin signature', NULL, NULL, 'CONNEXIN', 44246),
(100521, 'PR01649', NULL, 'Psychosine receptor signature', NULL, NULL, 'PSYCHOSINER', 44247),
(100522, 'PR02060', NULL, 'Wolframin family signature', NULL, NULL, 'WOLFFAMILY', 44248),
(100523, 'PR01289', NULL, 'Peroxisome proliferator-activated receptor alpha signature', NULL, NULL, 'PROXISOMPAAR', 44249),
(100524, 'PR02104', NULL, 'Inheritance of peroxisomes protein 2 signature', NULL, NULL, 'INPROXISOME2', 44250),
(100525, 'PR00443', NULL, 'G protein alpha subunit group S signature', NULL, NULL, 'GPROTEINAS', 44251),
(100526, 'PR01357', NULL, 'Interleukin-1 alpha/beta precursor family signature', NULL, NULL, 'INTRLEUKN1AB', 44252),
(100527, 'PR02062', NULL, '78 kDa centrosomal protein signature', NULL, NULL, 'CENTROSOME78', 44253),
(100528, 'PR00503', NULL, 'Bromodomain signature', NULL, NULL, 'BROMODOMAIN', 44254),
(100529, 'PR00378', NULL, 'Lithium-sensitive myo-inositol monophosphatase family signature', NULL, NULL, 'LIIMPHPHTASE', 44255),
(100530, 'PR00922', NULL, 'D-Ala-D-Ala carboxypeptidase 3 (S13) family signature', NULL, NULL, 'DADACBPTASE3', 44256),
(100531, 'PR01104', NULL, 'Anaphylatoxin chemotactic receptor signature', NULL, NULL, 'ANPHYLATOXNR', 44257),
(100532, 'PR00606', NULL, 'Class ID cytochrome C signature', NULL, NULL, 'CYTCHROMECID', 44258),
(100533, 'PR00842', NULL, 'Plant beta-amylase signature', NULL, NULL, 'GLHYDLASE14B', 44259),
(100534, 'PR00313', NULL, 'NodO calcium binding signature', NULL, NULL, 'CABNDNGRPT', 44260),
(100535, 'PR00458', NULL, 'Haem peroxidase superfamily signature', NULL, NULL, 'PEROXIDASE', 44261),
(100536, 'PR00512', NULL, '5-hydroxytryptamine 1A receptor signature', NULL, NULL, '5HT1ARECEPTR', 44262),
(100537, 'PR01599', NULL, 'Zona occludens protein ZO-2 signature', NULL, NULL, 'ZONOCCLUDNS2', 44263),
(100538, 'PR01006', NULL, 'Flagellar hook-basal body complex protein FliE signature', NULL, NULL, 'FLGHOOKFLIE', 44264),
(100539, 'PR00775', NULL, '90kDa heat shock protein signature', NULL, NULL, 'HEATSHOCK90', 44265),
(100540, 'PR01837', NULL, 'MgtC/SapB protein signature', NULL, NULL, 'MGTCSAPBPROT', 44266),
(100541, 'PR00506', NULL, 'D21 class N6 adenine-specific DNA methyltransferase signature', NULL, NULL, 'D21N6MTFRASE', 44267);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(100542, 'PR01714', NULL, 'Ferric iron reductase signature', NULL, NULL, '2FE2SRDCTASE', 44268),
(100543, 'PR01651', NULL, 'Protein-export SecG membrane protein signature', NULL, NULL, 'SECGEXPORT', 44269),
(100544, 'PR02011', NULL, 'RNA (C5-cytosine) methyltransferase NCL1 subfamily signature', NULL, NULL, 'RCMTNCL1', 44270),
(100545, 'PR01752', NULL, 'Urea amidohydrolase (urease) protein signature', NULL, NULL, 'UREASE', 44271),
(100546, 'PR00103', NULL, 'cAMP-dependent protein kinase signature', NULL, NULL, 'CAMPKINASE', 44272),
(100547, 'PR01670', NULL, 'Gamma-aminobutyric-acid A (GABAA) receptor rho subunit signature', NULL, NULL, 'GABAARRHO', 44273),
(100548, 'PR01496', NULL, 'Shaker voltage-gated K+ channel family signature', NULL, NULL, 'SHAKERCHANEL', 44274),
(100549, 'PR01876', NULL, 'Myeloid transforming gene on chromosome 8 (MTG8) protein signature', NULL, NULL, 'MTG8PROTEIN', 44275),
(100550, 'PR00681', NULL, 'Ribosomal protein S1 signature', NULL, NULL, 'RIBOSOMALS1', 44276),
(100551, 'PR01287', NULL, 'Orphan nuclear receptor NURR signature', NULL, NULL, 'NURRNUCRCPTR', 44277),
(100552, 'PR00788', NULL, 'Nitrophorin signature', NULL, NULL, 'NITROPHORIN', 44278),
(100553, 'PR00149', NULL, 'Fumarate lyase superfamily signature', NULL, NULL, 'FUMRATELYASE', 44279),
(100554, 'PR00371', NULL, 'Flavoprotein pyridine nucleotide cytochrome reductase signature', NULL, NULL, 'FPNCR', 44280),
(100555, 'PR00247', NULL, 'cAMP-type GPCR signature', NULL, NULL, 'GPCRCAMP', 44281),
(100556, 'PR00051', NULL, 'Bacterial chromosomal replication initiator (DNAA) signature', NULL, NULL, 'DNAA', 44282),
(100557, 'PR02009', NULL, 'Viridiplantae FMU-related RCMT signature', NULL, NULL, 'RCMTFMUVIRPL', 44283),
(100558, 'PR00050', NULL, 'Cold shock protein signature', NULL, NULL, 'COLDSHOCK', 44284),
(100559, 'PR00591', NULL, 'Somatostatin receptor type 5 signature', NULL, NULL, 'SOMATOSTTN5R', 44285),
(100560, 'PR01178', NULL, 'Metabotropic gamma-aminobutyric acid type B2 receptor signature', NULL, NULL, 'GABAB2RECPTR', 44286),
(100561, 'PR01229', NULL, 'Green fluorescent protein signature', NULL, NULL, 'GFLUORESCENT', 44287),
(100562, 'PR00163', NULL, 'Rubredoxin signature', NULL, NULL, 'RUBREDOXIN', 44288),
(100563, 'PR00755', NULL, 'Aflatoxin biosynthesis regulatory protein signature', NULL, NULL, 'AFLATOXINBRP', 44289),
(100564, 'PR01361', NULL, 'Apical membrane antigen 1 signature', NULL, NULL, 'MEROZOITESA', 44290),
(100565, 'PR02078', NULL, 'GATS-like protein family signature', NULL, NULL, 'GATSLIKEFMLY', 44291),
(100566, 'PR01442', NULL, 'Cellulose synthase subunit D signature', NULL, NULL, 'CELLSNTHASED', 44292),
(100567, 'PR00360', NULL, 'C2 domain signature', NULL, NULL, 'C2DOMAIN', 44293),
(100568, 'PR01140', NULL, 'Gap junction beta-3 protein (Cx31) signature', NULL, NULL, 'CONNEXINB3', 44294),
(100569, 'PR00154', NULL, 'AMP-binding signature', NULL, NULL, 'AMPBINDING', 44295),
(100570, 'PR01485', NULL, 'Thrombopoietin signature', NULL, NULL, 'THROMBOPTN', 44296),
(100571, 'PR01781', NULL, 'Linker for activation of T cells (LAT) signature', NULL, NULL, 'LATPROTEIN', 44297),
(100572, 'PR01040', NULL, 'Tyrosyl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHTYR', 44298),
(100573, 'PR00490', NULL, 'Secretin receptor signature', NULL, NULL, 'SECRETINR', 44299),
(100574, 'PR00559', NULL, 'Alpha-2B adrenergic receptor signature', NULL, NULL, 'ADRENRGCA2BR', 44300),
(100575, 'PR00038', NULL, 'LuxR bacterial regulatory protein HTH signature', NULL, NULL, 'HTHLUXR', 44301),
(100576, 'PR00048', NULL, 'C2H2-type zinc finger signature', NULL, NULL, 'ZINCFINGER', 44302),
(100577, 'PR01105', NULL, 'C-X-C chemokine receptor type 6 signature', NULL, NULL, 'CXCCHMKINER6', 44303),
(100578, 'PR00071', NULL, 'Hydroxymethylglutaryl-coenzyme A reductase signature', NULL, NULL, 'HMGCOARDTASE', 44304),
(100579, 'PR01023', NULL, 'Sodium-type flagellar protein MotY precursor signature', NULL, NULL, 'NAFLGMOTY', 44305),
(100580, 'PR00435', NULL, 'Interleukin-7 signature', NULL, NULL, 'INTERLEUKIN7', 44306),
(100581, 'PR00831', NULL, 'Neurohypophysial hormone signature', NULL, NULL, 'NEUROPHYSIN', 44307);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(100582, 'PR00396', NULL, 'Ribosome inactivating protein family signature', NULL, NULL, 'SHIGARICIN', 44308),
(100583, 'PR00028', NULL, 'POU domain signature', NULL, NULL, 'POUDOMAIN', 44309),
(100584, 'PR01368', NULL, 'Synapsin signature', NULL, NULL, 'SYNAPSIN', 44310),
(100585, 'PR01568', NULL, 'Lymphotactin receptor signature', NULL, NULL, 'LYMPHOTACTNR', 44311),
(100586, 'PR00004', NULL, 'Anaphylatoxin domain signature', NULL, NULL, 'ANAPHYLATOXN', 44312),
(100587, 'PR00263', NULL, 'Heparin binding growth factor family signature', NULL, NULL, 'HBGFFGF', 44313),
(100588, 'PR01796', NULL, 'Voltage-dependent calcium channel gamma-8 subunit signature', NULL, NULL, 'VDCCGAMMA8', 44314),
(100589, 'PR00846', NULL, 'Glycosyl hydrolase family 56 signature', NULL, NULL, 'GLHYDRLASE56', 44315),
(100590, 'PR00688', NULL, 'Xylose isomerase signature', NULL, NULL, 'XYLOSISMRASE', 44316),
(100591, 'PR00481', NULL, 'Cytosol aminopeptidase signature', NULL, NULL, 'LAMNOPPTDASE', 44317),
(100592, 'PR00019', NULL, 'Leucine-rich repeat signature', NULL, NULL, 'LEURICHRPT', 44318),
(100593, 'PR01848', NULL, 'U2 auxiliary factor small subunit signature', NULL, NULL, 'U2AUXFACTOR', 44319),
(100594, 'PR00325', NULL, 'Germin signature', NULL, NULL, 'GERMIN', 44320),
(100595, 'PR00973', NULL, 'Ribosomal protein S17 family signature', NULL, NULL, 'RIBOSOMALS17', 44321),
(100596, 'PR01194', NULL, 'Fructose transporter (GLUT5) signature', NULL, NULL, 'GLUCTRSPORT5', 44322),
(100597, 'PR01760', NULL, 'Dishevelled protein signature', NULL, NULL, 'DISHEVELLED', 44323),
(100598, 'PR00815', NULL, 'Pi haemoglobin signature', NULL, NULL, 'PIHAEM', 44324),
(100599, 'PR01173', NULL, 'Odour binding protein signature', NULL, NULL, 'ODORANTBNDNG', 44325),
(100600, 'PR01038', NULL, 'Arginyl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHARG', 44326),
(100601, 'PR00496', NULL, 'Napin signature', NULL, NULL, 'NAPIN', 44327),
(100602, 'PR01693', NULL, 'Cyanase signature', NULL, NULL, 'CYANASE', 44328),
(100603, 'PR01593', NULL, 'Salmonella type III secretion SopE effector protein signature', NULL, NULL, 'SOPEPROTEIN', 44329),
(100604, 'PR00160', NULL, 'Glutaredoxin signature', NULL, NULL, 'GLUTAREDOXIN', 44330),
(100605, 'PR00587', NULL, 'Somatostatin receptor type 1 signature', NULL, NULL, 'SOMATOSTTN1R', 44331),
(100606, 'PR00060', NULL, 'Ribosomal protein L16 signature', NULL, NULL, 'RIBOSOMALL16', 44332),
(100607, 'PR00223', NULL, 'Geminivirus AR1/BR1 coat protein signature', NULL, NULL, 'GEMCOATARBR1', 44333),
(100608, 'PR01560', NULL, 'EDG-7 lysophosphatidic acid receptor signature', NULL, NULL, 'EDG7RECEPTOR', 44334),
(100609, 'PR00883', NULL, 'High mobility group-like nuclear protein signature', NULL, NULL, 'NUCLEARHMG', 44335),
(100610, 'PR00173', NULL, 'Glutamate-aspartate symporter signature', NULL, NULL, 'EDTRNSPORT', 44336),
(100611, 'PR00531', NULL, 'Histamine H2 receptor signature', NULL, NULL, 'HISTAMINEH2R', 44337),
(100612, 'PR00030', NULL, 'Cro repressor HTH signature', NULL, NULL, 'HTHCRO', 44338),
(100613, 'PR00871', NULL, 'DNA nucleotidylexotransferase (TDT) signature', NULL, NULL, 'DNAPOLXTDT', 44339),
(100614, 'PR00509', NULL, 'Phosphoglucomutase/phosphomannomutase family signature', NULL, NULL, 'PGMPMM', 44340),
(100615, 'PR00316', NULL, 'Enterobacterial virulence outer membrane protein signature', NULL, NULL, 'ENTEROVIROMP', 44341),
(100616, 'PR01584', NULL, 'TASK-1 K+ channel signature', NULL, NULL, 'TASK1CHANNEL', 44342),
(100617, 'PR00766', NULL, 'Amiloride-sensitive amine oxidase signature', NULL, NULL, 'CUDAOXIDASE', 44343),
(100618, 'PR00288', NULL, 'Purothionin signature', NULL, NULL, 'PUROTHIONIN', 44344),
(100619, 'PR00927', NULL, 'Adenine nucleotide translocator signature', NULL, NULL, 'ADPTRNSLCASE', 44345),
(100620, 'PR00533', NULL, 'Mas oncogene signature', NULL, NULL, 'MASONCOGENE', 44346),
(100621, 'PR00646', NULL, 'RDC1 orphan receptor signature', NULL, NULL, 'RDC1ORPHANR', 44347),
(100622, 'PR01839', NULL, 'DNA repair protein Rad23 signature', NULL, NULL, 'RAD23PROTEIN', 44348),
(100623, 'PR01777', NULL, 'Interferon-gamma receptor alpha chain signature', NULL, NULL, 'INTERFERONGR', 44349);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(100624, 'PR01087', NULL, 'Na+/H+ exchanger isoform 3 (NHE3) signature', NULL, NULL, 'NAHEXCHNGR3', 44350),
(100625, 'PR00480', NULL, 'Astacin family signature', NULL, NULL, 'ASTACIN', 44351),
(100626, 'PR00300', NULL, 'ATP-dependent Clp protease ATP-binding subunit signature', NULL, NULL, 'CLPPROTEASEA', 44352),
(100627, 'PR00011', NULL, 'Type III EGF-like signature', NULL, NULL, 'EGFLAMININ', 44353),
(100628, 'PR02029', NULL, 'Active regulator of SIRT1 signature', NULL, NULL, 'ACTREGSIRT1', 44354),
(100629, 'PR00986', NULL, 'Valyl-tRNA synthetase signature', NULL, NULL, 'TRNASYNTHVAL', 44355),
(100630, 'PR00924', NULL, 'Alphaherpesvirus alkaline exonuclease signature', NULL, NULL, 'ALKEXNUCLASE', 44356),
(100631, 'PR00791', NULL, 'Peptidyl-dipeptidase A (M2) metalloprotease family signature', NULL, NULL, 'PEPDIPTASEA', 44357),
(100632, 'PR01756', NULL, 'Yersinia outer membrane adhesin signature', NULL, NULL, 'OMADHESIN', 44358),
(100633, 'PR00951', NULL, 'Flagellar biosynthetic protein FliP signature', NULL, NULL, 'FLGBIOSNFLIP', 44359),
(100634, 'PR01008', NULL, 'Flagellar L-ring protein signature', NULL, NULL, 'FLGLRINGFLGH', 44360),
(100635, 'PR01076', NULL, 'Caldesmon signature', NULL, NULL, 'CALDESMON', 44361),
(100636, 'PR01648', NULL, 'Transient receptor potential channel 7 signature', NULL, NULL, 'TRPCHANNEL7', 44362),
(100637, 'PR01112', NULL, 'CLC-1 chloride channel signature', NULL, NULL, 'CLCHANNEL1', 44363),
(100638, 'PR00414', NULL, 'Palmitoyl protein thioesterase signature', NULL, NULL, 'PPTHIESTRASE', 44364),
(100639, 'PR00974', NULL, 'Ribosomal protein S18 family signature', NULL, NULL, 'RIBOSOMALS18', 44365),
(100640, 'PR01573', NULL, 'Tubby superfamily signature', NULL, NULL, 'SUPERTUBBY', 44366),
(100641, 'PR01193', NULL, 'Glucose transporter type 4 (GLUT4) signature', NULL, NULL, 'GLUCTRSPORT4', 44367),
(100642, 'PR01886', NULL, 'Protein Associated with Small Stress protein 1 (PASS1) signature', NULL, NULL, 'PASS1', 44368),
(100643, 'PR00445', NULL, 'HupF/HypC hydrogenase expression/synthesis family signature', NULL, NULL, 'HUPFHYPC', 44369),
(100644, 'PR00352', NULL, '3Fe-4S ferredoxin signature', NULL, NULL, '3FE4SFRDOXIN', 44370),
(100645, 'PR00774', NULL, 'Guanylin precursor signature', NULL, NULL, 'GUANYLIN', 44371),
(100646, 'PR01082', NULL, 'K-Cl co-transporter type 1 (KCC1) signature', NULL, NULL, 'KCLTRNSPORT1', 44372),
(100647, 'PR01318', NULL, 'Glial cell line-derived neurotrophic factor receptor alpha 2 signature', NULL, NULL, 'GDNFRALPHA2', 44373),
(100648, 'PR01882', NULL, 'Lysin signature', NULL, NULL, 'LYSIN', 44374),
(100649, 'PR01792', NULL, 'Voltage-dependent calcium channel gamma subunit signature', NULL, NULL, 'VDCCGAMMA', 44375),
(100650, 'PR00036', NULL, 'LacI bacterial regulatory protein HTH signature', NULL, NULL, 'HTHLACI', 44376),
(100651, 'PR01475', NULL, 'Parkin signature', NULL, NULL, 'PARKIN', 44377),
(100652, 'PR01462', NULL, 'KCNQ3 voltage-gated potassium channel signature', NULL, NULL, 'KCNQ3CHANNEL', 44378),
(100653, 'PR00645', NULL, 'C-X-C chemokine receptor type 4 signature', NULL, NULL, 'CXCCHMKINER4', 44379),
(100654, 'PR00104', NULL, 'cGMP-dependent protein kinase signature', NULL, NULL, 'CGMPKINASE', 44380),
(100655, 'PR01181', NULL, 'Diaminopimelate decarboxylase signature', NULL, NULL, 'DAPDCRBXLASE', 44381),
(100656, 'PR01710', NULL, '5-hydroxytryptamine 3 receptor B subunit signature', NULL, NULL, '5HT3BRECEPTR', 44382),
(100657, 'PR00579', NULL, 'Rhodopsin signature', NULL, NULL, 'RHODOPSIN', 44383),
(100658, 'PR00829', NULL, 'Major pollen allergen Lol pI signature', NULL, NULL, 'LOLP1ALLERGN', 44384),
(100659, 'PR02067', NULL, 'Chromatin modification-related protein EAF5 signature', NULL, NULL, 'PROTEINEAF5', 44385),
(100660, 'PR00867', NULL, 'DNA-polymerase gamma (family A) signature', NULL, NULL, 'DNAPOLG', 44386),
(100661, 'PR00137', NULL, 'Lysozyme signature', NULL, NULL, 'LYSOZYME', 44387),
(100662, 'PR00126', NULL, 'ATP synthase gamma subunit signature', NULL, NULL, 'ATPASEGAMMA', 44388),
(100663, 'PR01578', NULL, 'KCNAB voltage-gated K+ channel beta-1 subunit signature', NULL, NULL, 'KCNAB1CHANEL', 44389);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(100664, 'PR00220', NULL, 'Synaptophysin/synaptoporin family signature', NULL, NULL, 'SYNAPTOPHYSN', 44390),
(100665, 'PR00890', NULL, 'Smooth muscle protein 22-alpha (transgelin) signature', NULL, NULL, 'TRANSGELIN', 44391),
(100666, 'PR00855', NULL, 'Prostaglandin F receptor signature', NULL, NULL, 'PRSTNOIDFPR', 44392),
(100667, 'PR00337', NULL, 'Leu/Ile/Val-binding protein family signature', NULL, NULL, 'LEUILEVALBP', 44393),
(100668, 'PR01214', NULL, 'Gamma-synuclein signature', NULL, NULL, 'GSYNUCLEIN', 44394),
(100669, 'PR00191', NULL, 'F-actin capping protein alpha subunit signature', NULL, NULL, 'FACTINCAPA', 44395),
(100670, 'PR01328', NULL, 'Kir3.2 inward rectifier K+ channel signature', NULL, NULL, 'KIR32CHANNEL', 44396),
(100671, 'PR01628', NULL, 'L-type calcium channel beta-2 subunit signature', NULL, NULL, 'LCACHANNELB2', 44397),
(100672, 'PR01715', NULL, 'Ferrichrome-binding periplasmic protein signature', NULL, NULL, 'FERRIBNDNGPP', 44398),
(100673, 'PR01872', NULL, 'Claudin-12 signature', NULL, NULL, 'CLAUDIN12', 44399),
(100674, 'PR01711', NULL, 'Autoimmune regulator (AIRE) signature', NULL, NULL, 'AIREGULATOR', 44400),
(100675, 'PR01598', NULL, 'Zona occludens protein ZO-1 signature', NULL, NULL, 'ZONOCCLUDNS1', 44401),
(100676, 'PR00381', NULL, 'Kinesin light chain signature', NULL, NULL, 'KINESINLIGHT', 44402),
(100677, 'PR01141', NULL, 'Gap junction beta-4 protein (Cx31.1) signature', NULL, NULL, 'CONNEXINB4', 44403),
(100678, 'PR01035', NULL, 'Tetracycline resistance protein signature', NULL, NULL, 'TCRTETA', 44404),
(100679, 'PR02046', NULL, 'Retina-specific protein F379 family signature', NULL, NULL, 'FAM138ABCDF', 44405),
(100680, 'PR00561', NULL, 'Beta-1 adrenergic receptor signature', NULL, NULL, 'ADRENRGCB1AR', 44406),
(100681, 'PR00107', NULL, 'Phosphocarrier protein signature', NULL, NULL, 'PHOSPHOCPHPR', 44407),
(100682, 'PR00607', NULL, 'Class IE cytochrome C signature', NULL, NULL, 'CYTCHROMECIE', 44408),
(100683, 'PR00416', NULL, 'Eukaryotic DNA topoisomerase I signature', NULL, NULL, 'EUTPISMRASEI', 44409),
(100684, 'PR00595', NULL, 'P2Y1 purinoceptor signature', NULL, NULL, 'P2Y1PRNOCPTR', 44410),
(100685, 'PR01686', NULL, 'CYP2D P450 family signature', NULL, NULL, 'EP450ICYP2D', 44411),
(100686, 'PR01596', NULL, 'Gram-negative bacterial type III secretion SycE chaperone signature', NULL, NULL, 'SYCECHAPRONE', 44412),
(100687, 'PR01067', NULL, 'P2Y5 orphan receptor signature', NULL, NULL, 'P2Y5ORPHANR', 44413),
(100688, 'PR00203', NULL, 'Amyloid A4 protein precursor signature', NULL, NULL, 'AMYLOIDA4', 44414),
(100689, 'PR01311', NULL, 'P2X4 purinoceptor signature', NULL, NULL, 'P2X4RECEPTOR', 44415),
(100690, 'PR01563', NULL, 'G2A lysophosphatidylcholine receptor signature', NULL, NULL, 'G2ARECEPTOR', 44416),
(100691, 'PR00545', NULL, 'Retinoid X receptor signature', NULL, NULL, 'RETINOIDXR', 44417),
(100692, 'PR01137', NULL, 'Gap junction alpha-8 protein (Cx50) signature', NULL, NULL, 'CONNEXINA8', 44418),
(100693, 'PR00197', NULL, 'Annexin type I signature', NULL, NULL, 'ANNEXINI', 44419),
(100694, 'PR00230', NULL, 'Geminivirus AL2 coat protein signature', NULL, NULL, 'GEMCOATAL2', 44420),
(100695, 'PR02112', NULL, 'Mas-related G protein-coupled receptor F signature', NULL, NULL, 'MRGPCRF', 44421),
(100696, 'PR00170', NULL, 'Voltage-gated Na+ channel alpha subunit signature', NULL, NULL, 'NACHANNEL', 44422),
(100697, 'PR00944', NULL, 'Copper ion binding protein signature', NULL, NULL, 'CUEXPORT', 44423),
(100698, 'PR00426', NULL, 'C5A-anaphylatoxin receptor signature', NULL, NULL, 'C5ANPHYLTXNR', 44424),
(100699, 'PR01065', NULL, 'P2Y3 purinoceptor signature', NULL, NULL, 'P2Y3PRNOCPTR', 44425),
(100700, 'PR00341', NULL, 'Prion protein signature', NULL, NULL, 'PRION', 44426),
(100701, 'PR02033', NULL, 'Placentin signature', NULL, NULL, 'PLACENTIN', 44427),
(100702, 'PR00073', NULL, 'Coprogen oxidase signature', NULL, NULL, 'COPRGNOXDASE', 44428),
(100703, 'PR01930', NULL, 'Interleukin-15 signature', NULL, NULL, 'INTRLEUKIN15', 44429),
(100704, 'PR00393', NULL, 'Parathyroid hormone receptor signature', NULL, NULL, 'PTRHORMONER', 44430);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(100705, 'MF_03175', NULL, 'Methionine aminopeptidase 2 [METAP2].', NULL, NULL, 'MetAP_2_euk', 44431),
(100706, 'MF_04121', NULL, 'Peptidoglycan transglycosylase gp16.', NULL, NULL, 'TRANSGLYCOSYLASE_T7', 44432),
(100707, 'MF_01375', NULL, 'Phosphonoacetaldehyde hydrolase [phnX].', NULL, NULL, 'PhnX', 44433),
(100708, 'MF_01491', NULL, 'Ribonuclease J [rnj].', NULL, NULL, 'RNase_J_bact', 44434),
(100709, 'MF_00127', NULL, 'Histidine--tRNA ligase [hisS].', NULL, NULL, 'His_tRNA_synth', 44435),
(100710, 'MF_01215', NULL, 'Orotidine 5''-phosphate decarboxylase [pyrF].', NULL, NULL, 'OMPdecase_type2', 44436),
(100711, 'MF_00376', NULL, 'Dephospho-CoA kinase [coaE].', NULL, NULL, 'Dephospho_CoA_kinase', 44437),
(100712, 'MF_01157', NULL, 'DnaA initiator-associating protein DiaA [diaA].', NULL, NULL, 'SIS_DiaA', 44438),
(100713, 'MF_01943', NULL, 'Lipid A biosynthesis palmitoleoyltransferase [lpxP].', NULL, NULL, 'Lipid_A_LpxP', 44439),
(100714, 'MF_00228', NULL, 'Hydroxyethylthiazole kinase [thiM].', NULL, NULL, 'Thz_kinase', 44440),
(100715, 'MF_00951', NULL, 'Transcription antitermination protein RfaH [rfaH].', NULL, NULL, 'RfaH', 44441),
(100716, 'MF_04086', NULL, 'RNA-directed RNA polymerase L [L].', NULL, NULL, 'ARENA_L', 44442),
(100717, 'MF_00058', NULL, 'F420-dependent methylenetetrahydromethanopterin dehydrogenase [mtd].', NULL, NULL, 'MTD', 44443),
(100718, 'MF_00409', NULL, 'Tetraacyldisaccharide 4''-kinase [lpxK].', NULL, NULL, 'LpxK', 44444),
(100719, 'MF_03221', NULL, 'Succinate--CoA ligase [GDP-forming] subunit beta, mitochondrial [SUCLG2].', NULL, NULL, 'Succ_CoA_betaG_euk', 44445),
(100720, 'MF_00813', NULL, 'Probable allantoicase [alc].', NULL, NULL, 'Allantoicase', 44446),
(100721, 'MF_00060', NULL, '5''/3''-nucleotidase SurE [surE].', NULL, NULL, 'SurE', 44447),
(100722, 'MF_00981', NULL, 'Transcriptional regulatory protein RcsB [rcsB].', NULL, NULL, 'RcsB', 44448),
(100723, 'MF_00816', NULL, 'UPF0352 protein YejL [yejL].', NULL, NULL, 'UPF0352', 44449),
(100724, 'MF_01897', NULL, 'DNA gyrase subunit A [gyrA].', NULL, NULL, 'GyrA', 44450),
(100725, 'MF_00931', NULL, 'Aldehyde decarbonylase.', NULL, NULL, 'Aldeh_decarbonylase', 44451),
(100726, 'MF_04015', NULL, 'Tripartite terminase subunit 2 [TRM2].', NULL, NULL, 'HSV_TRM2', 44452),
(100727, 'MF_01404', NULL, 'Pyruvoyl-dependent arginine decarboxylase [pdaD].', NULL, NULL, 'PvlArgDC', 44453),
(100728, 'MF_04040', NULL, 'Cytoplasmic envelopment protein 3.', NULL, NULL, 'HSV_CEP3_alphahv', 44454),
(100729, 'MF_00616', NULL, 'Ureidoglycolate lyase [allA].', NULL, NULL, 'Ureidogly_lyase', 44455),
(100730, 'MF_04114', NULL, 'Portal protein.', NULL, NULL, 'PORTAL_T4', 44456),
(100731, 'MF_01810', NULL, 'Membrane protein insertase YidC [yidC].', NULL, NULL, 'YidC_type1', 44457),
(100732, 'MF_04061', NULL, 'Preterminal protein [PTP].', NULL, NULL, 'ADV_TERM', 44458),
(100733, 'MF_03048', NULL, 'Ubiquitin-related modifier 1 [URM1].', NULL, NULL, 'Urm1', 44459),
(100734, 'MF_00220_B', NULL, 'Dihydroorotase [pyrC].', NULL, NULL, 'PyrC_classI_B', 44460),
(100735, 'MF_00467', NULL, 'Probable M18 family aminopeptidase 2 [apeB].', NULL, NULL, 'Aminopeptidase_M18_2', 44461),
(100736, 'MF_00950', NULL, 'Transcription elongation factor Spt5 [spt5].', NULL, NULL, 'Spt5_arch', 44462),
(100737, 'MF_01067', NULL, 'UPF0259 membrane protein YciC [yciC].', NULL, NULL, 'UPF0259', 44463),
(100738, 'MF_00265', NULL, 'tRNA(fMet)-specific endonuclease VapC [vapC].', NULL, NULL, 'VapC_Nob1', 44464),
(100739, 'MF_00845', NULL, 'Flavin-dependent monooxygenase.', NULL, NULL, 'TetX_monooxygenase', 44465),
(100740, 'MF_01495', NULL, 'Photosystem II CP47 reaction center protein [psbB].', NULL, NULL, 'PSII_PsbB_CP47', 44466),
(100741, 'MF_04044', NULL, 'Large tegument protein deneddylase.', NULL, NULL, 'HSV_LTP', 44467),
(100742, 'MF_01970', NULL, 'Kynureninase [kynU].', NULL, NULL, 'Kynureninase', 44468),
(100743, 'MF_01417', NULL, 'Biosynthetic arginine decarboxylase [speA].', NULL, NULL, 'SpeA', 44469),
(100744, 'MF_00172', NULL, '5-methyltetrahydropteroyltriglutamate--homocysteine methyltransferase [metE].', NULL, NULL, 'Meth_synth', 44470);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(100745, 'MF_01342', NULL, '50S ribosomal protein L16 [rplP].', NULL, NULL, 'Ribosomal_L16', 44471),
(100746, 'MF_04119', NULL, 'Minor capsid protein.', NULL, NULL, 'CAPSID_PROTEIN_T7', 44472),
(100747, 'MF_00046', NULL, 'UDP-N-acetylmuramate--L-alanine ligase [murC].', NULL, NULL, 'MurC', 44473),
(100748, 'MF_00371', NULL, '30S ribosomal protein S27e [rps27e].', NULL, NULL, 'Ribosomal_S27e', 44474),
(100749, 'MF_01576', NULL, 'Bifunctional protein FolD [folD].', NULL, NULL, 'THF_DHG_CYH', 44475),
(100750, 'MF_01163', NULL, '5-formaminoimidazole-4-carboxamide-1-(beta)-D-ribofuranosyl 5''-monophosphate synthetase [purP].', NULL, NULL, 'IMP_biosynth_PurP', 44476),
(100751, 'MF_01111', NULL, 'UPF0200 protein <locus_tag>.', NULL, NULL, 'UPF0200', 44477),
(100752, 'MF_01097', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit D [mtrD].', NULL, NULL, 'MtrD', 44478),
(100753, 'MF_00105', NULL, 'Transcription elongation factor GreA [greA].', NULL, NULL, 'GreA_GreB', 44479),
(100754, 'MF_01294', NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit GatY [gatY].', NULL, NULL, 'TagBP_aldolase_GatY', 44480),
(100755, 'MF_01692', NULL, 'N-acetyldiaminopimelate deacetylase.', NULL, NULL, 'DapEL', 44481),
(100756, 'MF_03002', NULL, 'Eukaryotic translation initiation factor 3 subunit C [EIF3C].', NULL, NULL, 'eIF3c', 44482),
(100757, 'MF_01593', NULL, 'Protein MtfA [mtfA].', NULL, NULL, 'MtfA', 44483),
(100758, 'MF_01047', NULL, 'UPF0227 protein YcfP [ycfP].', NULL, NULL, 'UPF0227', 44484),
(100759, 'MF_02101', NULL, '1,4-dihydroxy-2-naphthoyl-CoA hydrolase.', NULL, NULL, 'DHNA_CoA_hydrolase', 44485),
(100760, 'MF_00421', NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurQ [purQ].', NULL, NULL, 'PurQ', 44486),
(100761, 'MF_01040', NULL, 'Probable phosphoglycerate mutase GpmB [gpmB].', NULL, NULL, 'PGAM_GpmB', 44487),
(100762, 'MF_03130', NULL, 'Alpha-tubulin N-acetyltransferase 1 [mec-17].', NULL, NULL, 'mec17', 44488),
(100763, 'MF_04115', NULL, 'Small outer capsid protein.', NULL, NULL, 'SOC_T4', 44489),
(100764, 'MF_00139', NULL, 'Bifunctional purine biosynthesis protein PurH [purH].', NULL, NULL, 'PurH', 44490),
(100765, 'MF_00332', NULL, 'Chaperone protein DnaK [dnaK].', NULL, NULL, 'DnaK', 44491),
(100766, 'MF_01413', NULL, 'Glutathione-regulated potassium-efflux system protein KefC [kefC].', NULL, NULL, 'K_H_efflux_KefC', 44492),
(100767, 'MF_00512', NULL, '30S ribosomal protein S6e [rps6e].', NULL, NULL, 'Ribosomal_S6e', 44493),
(100768, 'MF_01611', NULL, '7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase [cofG].', NULL, NULL, 'FO_synth_sub1', 44494),
(100769, 'MF_02079', NULL, 'Peptidoglycan glycosyltransferase MrdB [mrdB].', NULL, NULL, 'PGT_RodA', 44495),
(100770, 'MF_00056', NULL, '2-dehydro-3-deoxyphosphooctonate aldolase [kdsA].', NULL, NULL, 'KDO8P_synth', 44496),
(100771, 'MF_00788', NULL, '50S ribosomal protein L40e [rpl40e].', NULL, NULL, 'Ribosomal_L40e', 44497),
(100772, 'MF_03203', NULL, 'Elongation of very long chain fatty acids protein 3 [ELOVL3].', NULL, NULL, 'VLCF_elongase_3', 44498),
(100773, 'MF_01081', NULL, 'Probable tRNA pseudouridine synthase B [truB].', NULL, NULL, 'TruB_arch', 44499),
(100774, 'MF_00719', NULL, 'Adenosylcobinamide-GDP ribazoletransferase [cobS].', NULL, NULL, 'CobS', 44500),
(100775, 'MF_03169', NULL, 'GTP:AMP phosphotransferase AK3, mitochondrial [AK3].', NULL, NULL, 'Adenylate_kinase_AK3', 44501),
(100776, 'MF_00521', NULL, '3-deoxy-D-manno-octulosonic acid kinase [kdkA].', NULL, NULL, 'KDO_kinase', 44502),
(100777, 'MF_00600', NULL, '60 kDa chaperonin [groL].', NULL, NULL, 'CH60', 44503),
(100778, 'MF_00696', NULL, 'Fatty acid metabolism regulator protein [fadR].', NULL, NULL, 'HTH_FadR', 44504),
(100779, 'MF_04053', NULL, 'Core-capsid bridging protein [L2].', NULL, NULL, 'ADV_CORE5', 44505),
(100780, 'MF_03220', NULL, 'Succinate--CoA ligase [ADP-forming] subunit beta, mitochondrial [SUCLA2].', NULL, NULL, 'Succ_CoA_betaA_euk', 44506),
(100781, 'MF_00030', NULL, 'Deoxyguanosinetriphosphate triphosphohydrolase [dgt].', NULL, NULL, 'dGTPase_type1', 44507);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(100782, 'MF_01665', NULL, 'Heme A synthase [ctaA].', NULL, NULL, 'HemeA_synth_type2', 44508),
(100783, 'MF_01825', NULL, 'Erythronate-4-phosphate dehydrogenase [pdxB].', NULL, NULL, 'PdxB', 44509),
(100784, 'MF_00219', NULL, 'Dihydroorotase [pyrC].', NULL, NULL, 'PyrC_classII', 44510),
(100785, 'MF_04062', NULL, 'Polymerase basic protein 2 [PB2].', NULL, NULL, 'INV_PB2', 44511),
(100786, 'MF_00639', NULL, 'UDP-N-acetylmuramoylalanine--D-glutamate ligase [murD].', NULL, NULL, 'MurD', 44512),
(100787, 'MF_00643', NULL, 'Cytochrome b559 subunit beta [psbF].', NULL, NULL, 'PSII_PsbF', 44513),
(100788, 'MF_00934', NULL, 'Ribosomal RNA large subunit methyltransferase J [rlmJ].', NULL, NULL, '23SrRNA_methyltr_J', 44514),
(100789, 'MF_01579', NULL, 'Ribosomal RNA small subunit methyltransferase F [rsmF].', NULL, NULL, '16SrRNA_methyltr_F', 44515),
(100790, 'MF_00663', NULL, 'Phosphatidylserine decarboxylase proenzyme [psd].', NULL, NULL, 'PS_decarb_PSD_B_type2', 44516),
(100791, 'MF_01012', NULL, '23S rRNA (uracil(747)-C(5))-methyltransferase RlmC [rlmC].', NULL, NULL, '23SrRNA_methyltr_RlmC', 44517),
(100792, 'MF_01240', NULL, 'UPF0309 protein <locus_tag>.', NULL, NULL, 'UPF0309', 44518),
(100793, 'MF_01929', NULL, 'N5-carboxyaminoimidazole ribonucleotide mutase [purE].', NULL, NULL, 'PurE_classI', 44519),
(100794, 'MF_00771', NULL, 'UPF0310 protein <locus_tag>.', NULL, NULL, 'UPF0310', 44520),
(100795, 'MF_00916', NULL, 'Epoxyqueuosine reductase [queG].', NULL, NULL, 'QueG', 44521),
(100796, 'MF_01396', NULL, 'ATP synthase subunit c [atpH].', NULL, NULL, 'ATP_synth_c_bact', 44522),
(100797, 'MF_01480', NULL, 'CRISPR-associated endonuclease Cas9 [cas9].', NULL, NULL, 'Cas9', 44523),
(100798, 'MF_01070', NULL, 'Phosphoglycerol transferase I [mdoB].', NULL, NULL, 'MdoB_OpgB', 44524),
(100799, 'MF_01230', NULL, 'Haloalkane dehalogenase [dhmA].', NULL, NULL, 'Haloalk_dehal_type1', 44525),
(100800, 'MF_01206', NULL, 'Protein-methionine-sulfoxide reductase catalytic subunit MsrP [msrP].', NULL, NULL, 'MsrP', 44526),
(100801, 'MF_01364_B', NULL, '30S ribosomal protein S14 type Z [rpsZ].', NULL, NULL, 'Ribosomal_S14_2_B', 44527),
(100802, 'MF_01550', NULL, 'Guanosine-5''-triphosphate,3''-diphosphate pyrophosphatase [gppA].', NULL, NULL, 'GppA', 44528),
(100803, 'MF_01148', NULL, 'Apolipoprotein N-acyltransferase [lnt].', NULL, NULL, 'Lnt', 44529),
(100804, 'MF_01437', NULL, 'CDP-diacylglycerol--glycerol-3-phosphate 3-phosphatidyltransferase [pgsA].', NULL, NULL, 'PgsA', 44530),
(100805, 'MF_04110', NULL, 'Endolysin.', NULL, NULL, 'ENDOLYSIN_T4', 44531),
(100806, 'MF_00705', NULL, 'IMP cyclohydrolase [purO].', NULL, NULL, 'IMP_cyclohydrol', 44532),
(100807, 'MF_00965', NULL, 'ATP-dependent RNA helicase DbpA [dbpA].', NULL, NULL, 'DEAD_helicase_DbpA', 44533),
(100808, 'MF_02056', NULL, 'O-succinylhomoserine sulfhydrylase [metZ].', NULL, NULL, 'MetZ', 44534),
(100809, 'MF_01220_B', NULL, 'Uridylate kinase [pyrH].', NULL, NULL, 'PyrH_B', 44535),
(100810, 'MF_00316', NULL, 'Molybdenum cofactor guanylyltransferase [mobA].', NULL, NULL, 'MobA', 44536),
(100811, 'MF_00805', NULL, 'Citrate lyase acyl carrier protein [citD].', NULL, NULL, 'CitD', 44537),
(100812, 'MF_01895', NULL, 'Ribonuclease R [rnr].', NULL, NULL, 'RNase_R', 44538),
(100813, 'MF_04206', NULL, 'Envelope small membrane protein [E].', NULL, NULL, 'GAMMA_CORONA_E', 44539),
(100814, 'MF_00551', NULL, 'Uridine kinase [udk].', NULL, NULL, 'Uridine_kinase', 44540),
(100815, 'MF_01360', NULL, 'UPF0367 protein <locus_tag>.', NULL, NULL, 'UPF0367', 44541),
(100816, 'MF_01395', NULL, 'Acetyl-coenzyme A carboxylase carboxyl transferase subunit beta, chloroplastic [accD].', NULL, NULL, 'AcetylCoA_CT_beta', 44542),
(100817, 'MF_01243', NULL, 'Formamidase [amiF].', NULL, NULL, 'Formamidase', 44543),
(100818, 'MF_01514', NULL, 'UPF0314 protein <locus_tag>.', NULL, NULL, 'UPF0314', 44544),
(100819, 'MF_01803', NULL, 'Chromosome partition protein MukF [mukF].', NULL, NULL, 'MukF', 44545),
(100820, 'MF_00994', NULL, 'Lipopolysaccharide assembly protein B [lapB].', NULL, NULL, 'LPS_assembly_LapB', 44546); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(100821, 'MF_00501', NULL, '50S ribosomal protein L31 [rpmE].', NULL, NULL, 'Ribosomal_L31_1', 44547),
(100822, 'MF_00111', NULL, 'UDP-N-acetylglucosamine 1-carboxyvinyltransferase [murA].', NULL, NULL, 'MurA', 44548),
(100823, 'MF_01108', NULL, 'Acetylornithine deacetylase [argE].', NULL, NULL, 'ArgE', 44549),
(100824, 'MF_01486', NULL, 'RecBCD enzyme subunit RecC [recC].', NULL, NULL, 'RecC', 44550),
(100825, 'MF_01963', NULL, 'S-methyl-5''-thioadenosine phosphorylase [mtnP].', NULL, NULL, 'MTAP', 44551),
(100826, 'MF_00271', NULL, 'V-type ATP synthase subunit D [atpD].', NULL, NULL, 'ATP_synth_D_arch', 44552),
(100827, 'MF_01595', NULL, 'Polyribonucleotide nucleotidyltransferase [pnp].', NULL, NULL, 'PNPase', 44553),
(100828, 'MF_00670', NULL, 'Altronate oxidoreductase [uxaB].', NULL, NULL, 'Altron_oxidoreduct', 44554),
(100829, 'MF_01974', NULL, 'Methionine aminopeptidase [map].', NULL, NULL, 'MetAP_1', 44555),
(100830, 'MF_01891', NULL, 'Flagellar transcriptional regulator FlhC [flhC].', NULL, NULL, 'FhlC', 44556),
(100831, 'MF_00248', NULL, 'ATP-dependent protease subunit HslV [hslV].', NULL, NULL, 'HslV', 44557),
(100832, 'MF_00821', NULL, 'Protein-export protein SecB [secB].', NULL, NULL, 'SecB', 44558),
(100833, 'MF_01392', NULL, 'Cytochrome c biogenesis protein Ccs1 [ccs1].', NULL, NULL, 'CytC_Ccs1', 44559),
(100834, 'MF_00054_A', NULL, 'Elongation factor G [fusA].', NULL, NULL, 'EF_G_EF_2_A', 44560),
(100835, 'MF_00953', NULL, 'DNA topoisomerase 3 [topB].', NULL, NULL, 'Topoisom_3_prok', 44561),
(100836, 'MF_01421', NULL, 'UPF0323 lipoprotein <locus_tag>.', NULL, NULL, 'UPF0323', 44562),
(100837, 'MF_02027', NULL, 'dTDP-fucosamine acetyltransferase [wecD].', NULL, NULL, 'WecD_RffC', 44563),
(100838, 'MF_00973', NULL, 'Gluconeogenesis factor.', NULL, NULL, 'Gluconeogen_factor', 44564),
(100839, 'MF_00348', NULL, 'DNA repair and recombination protein RadA [radA].', NULL, NULL, 'RadA_arch', 44565),
(100840, 'MF_04048', NULL, 'Pre-protein VI [L3].', NULL, NULL, 'ADV_CAP6', 44566),
(100841, 'MF_00495', NULL, 'Phosphoglycolate phosphatase [gph].', NULL, NULL, 'GPH_hydrolase_bact', 44567),
(100842, 'MF_01006', NULL, 'Undecaprenyl-diphosphatase [uppP].', NULL, NULL, 'Undec_diphosphatase', 44568),
(100843, 'MF_02029', NULL, 'UDP-N-acetyl-D-mannosamine dehydrogenase [wecC].', NULL, NULL, 'WecC_RffD', 44569),
(100844, 'MF_01442', NULL, 'Coproheme decarboxylase [chdC].', NULL, NULL, 'Coproheme_decarbox_1', 44570),
(100845, 'MF_04001', NULL, 'Regulatory protein E2 [E2].', NULL, NULL, 'PPV_E2', 44571),
(100846, 'MF_00678', NULL, 'UPF0262 protein <locus_tag>.', NULL, NULL, 'UPF0262', 44572),
(100847, 'MF_01227', NULL, 'CTP synthase [pyrG].', NULL, NULL, 'PyrG', 44573),
(100848, 'MF_00065', NULL, 'Adenylyl-sulfate kinase [cysC].', NULL, NULL, 'Adenylyl_sulf_kinase', 44574),
(100849, 'MF_00253_A', NULL, 'Glycine--tRNA ligase [glyQS].', NULL, NULL, 'Gly_tRNA_synth_A', 44575),
(100850, 'MF_01838', NULL, 'Trans-2-enoyl-CoA reductase [NADH] [fabV].', NULL, NULL, 'FabV_reductase', 44576),
(100851, 'MF_01560', NULL, 'UPF0358 protein <locus_tag>.', NULL, NULL, 'UPF0358', 44577),
(100852, 'MF_03005', NULL, 'Eukaryotic translation initiation factor 3 subunit F [EIF3F].', NULL, NULL, 'eIF3f', 44578),
(100853, 'MF_00761', NULL, 'UPF0303 protein <locus_tag>.', NULL, NULL, 'UPF0303', 44579),
(100854, 'MF_01286', NULL, 'Digeranylgeranylglyceryl phosphate synthase.', NULL, NULL, 'DGGGP_synth', 44580),
(100855, 'MF_01561', NULL, 'Probable phosphatase YcdX [ycdX].', NULL, NULL, 'YcdX_phosphat', 44581),
(100856, 'MF_00156', NULL, '3-methyl-2-oxobutanoate hydroxymethyltransferase [panB].', NULL, NULL, 'PanB', 44582),
(100857, 'MF_01570', NULL, 'Proline--tRNA ligase [proS].', NULL, NULL, 'Pro_tRNA_synth_type2', 44583),
(100858, 'MF_00783', NULL, 'Probable flagellum biosynthesis repressor protein FlbT [flbT].', NULL, NULL, 'FlbT', 44584),
(100859, 'MF_03014', NULL, 'Kynurenine formamidase [AFMID].', NULL, NULL, 'KFase', 44585),
(100860, 'MF_01043', NULL, 'Glycerol-3-phosphate acyltransferase [plsY].', NULL, NULL, 'PlsY', 44586);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(100861, 'MF_02051', NULL, '(4S)-4-hydroxy-5-phosphonooxypentane-2,3-dione isomerase [lsrG].', NULL, NULL, 'LsrG', 44587),
(100862, 'MF_04117', NULL, 'Major capsid protein.', NULL, NULL, 'CAPSID_H_T4', 44588),
(100863, 'MF_00296', NULL, 'Homoserine O-acetyltransferase [metXA].', NULL, NULL, 'MetX_acyltransf', 44589),
(100864, 'MF_01667', NULL, 'Glyoxylate/hydroxypyruvate reductase B [ghrB].', NULL, NULL, '2_Hacid_dh_C_GhrB', 44590),
(100865, 'MF_00005', NULL, 'Argininosuccinate synthase [argG].', NULL, NULL, 'Arg_succ_synth_type1', 44591),
(100866, 'MF_03105', NULL, 'Mitochondrial distribution and morphology protein 34 [MDM34].', NULL, NULL, 'Mdm34', 44592),
(100867, 'MF_01427', NULL, '3''-5'' exoribonuclease YhaM [yhaM].', NULL, NULL, '3_5_Exoribonuc_YhaM', 44593),
(100868, 'MF_01527_A', NULL, 'GTP cyclohydrolase FolE2 [folE2].', NULL, NULL, 'GTP_cyclohydrol_A', 44594),
(100869, 'MF_02095', NULL, '3''(2''),5''-bisphosphate nucleotidase CysQ [cysQ].', NULL, NULL, 'CysQ', 44595),
(100870, 'MF_00195', NULL, 'GTPase Der [der].', NULL, NULL, 'GTPase_Der', 44596),
(100871, 'MF_01113', NULL, 'DNA polymerase IV [dinB].', NULL, NULL, 'DNApol_IV', 44597),
(100872, 'MF_04088', NULL, 'Non-structural protein 1.', NULL, NULL, 'ROTA_NSP1', 44598),
(100873, 'MF_00769', NULL, '2-phosphoglycerate kinase [pgk2].', NULL, NULL, '2PGK', 44599),
(100874, 'MF_01459', NULL, 'Chromophore lyase CpcS/CpeS [cpcS].', NULL, NULL, 'Chrphore_lyase_CpxS', 44600),
(100875, 'MF_03049', NULL, 'Adenylyltransferase and sulfurtransferase MOCS3 [MOCS3].', NULL, NULL, 'MOCS3_Uba4', 44601),
(100876, 'MF_01088', NULL, 'Universal stress protein B [uspB].', NULL, NULL, 'UspB', 44602),
(100877, 'MF_01549', NULL, 'Protein DsrB [dsrB].', NULL, NULL, 'DsrB', 44603),
(100878, 'MF_02240', NULL, 'Phosphoserine phosphatase.', NULL, NULL, 'PSP', 44604),
(100879, 'MF_00692', NULL, 'Protein adenylyltransferase SelO [selO].', NULL, NULL, 'SelO', 44605),
(100880, 'MF_03068', NULL, 'ATP-dependent RNA helicase DHX29 [DHX29].', NULL, NULL, 'DHX29', 44606),
(100881, 'MF_04020', NULL, 'Small capsomere-interacting protein [SCP].', NULL, NULL, 'HSV_SCP_alphahv', 44607),
(100882, 'MF_00372', NULL, 'Imidazolonepropionase [hutI].', NULL, NULL, 'HutI', 44608),
(100883, 'MF_00077', NULL, 'tRNA (cytidine(56)-2''-O)-methyltransferase.', NULL, NULL, 'tRNA_methyltr_aTrm56', 44609),
(100884, 'MF_02022', NULL, 'Cell division protein DedD [dedD].', NULL, NULL, 'DedD', 44610),
(100885, 'MF_03015', NULL, '40S ribosomal protein SA [rps-0].', NULL, NULL, 'Ribosomal_S2_euk', 44611),
(100886, 'MF_03066', NULL, 'E3 ubiquitin-protein ligase RNF168 [RNF168].', NULL, NULL, 'RNF168', 44612),
(100887, 'MF_02061', NULL, 'Thioredoxin/glutathione peroxidase BtuE [btuE].', NULL, NULL, 'Thiored_glutath_peroxid', 44613),
(100888, 'MF_00475', NULL, 'Trp operon repressor [trpR].', NULL, NULL, 'Trp_repressor', 44614),
(100889, 'MF_00923', NULL, 'Outer membrane protein assembly factor BamB [bamB].', NULL, NULL, 'OM_assembly_BamB', 44615),
(100890, 'MF_00516', NULL, 'Monomeric sarcosine oxidase [soxA].', NULL, NULL, 'MSOX', 44616),
(100891, 'MF_00489', NULL, 'UPF0178 protein YaiI [yaiI].', NULL, NULL, 'UPF0178', 44617),
(100892, 'MF_00537', NULL, '30S ribosomal protein S14 [rpsN].', NULL, NULL, 'Ribosomal_S14_1', 44618),
(100893, 'MF_01926', NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurS [purS].', NULL, NULL, 'PurS', 44619),
(100894, 'MF_03069', NULL, 'Protein kintoun [DNAAF2].', NULL, NULL, 'Kintoun', 44620),
(100895, 'MF_00165', NULL, 'Thymidylate kinase [tmk].', NULL, NULL, 'Thymidylate_kinase', 44621),
(100896, 'MF_00279', NULL, 'Pyridoxine 5''-phosphate synthase [pdxJ].', NULL, NULL, 'PdxJ', 44622),
(100897, 'MF_03008', NULL, 'Eukaryotic translation initiation factor 3 subunit I [EIF3I].', NULL, NULL, 'eIF3i', 44623),
(100898, 'MF_01685', NULL, 'Ferredoxin--NADP reductase.', NULL, NULL, 'FENR2', 44624),
(100899, 'MF_03127', NULL, 'Adenylosuccinate synthetase isozyme 2 [ADSS].', NULL, NULL, 'Adenylosucc_synth_vert_acid', 44625),
(100900, 'MF_01087', NULL, 'UPF0285 protein <locus_tag>.', NULL, NULL, 'UPF0285', 44626);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(100901, 'MF_01345_A', NULL, '30S ribosomal protein S17 [rpsQ].', NULL, NULL, 'Ribosomal_S17_A', 44627),
(100902, 'MF_04139', NULL, 'NAD(+)--arginine ADP-ribosyltransferase [alt].', NULL, NULL, 'ALT_T4', 44628),
(100903, 'MF_01041', NULL, 'UPF0223 protein <locus_tag>.', NULL, NULL, 'UPF0223', 44629),
(100904, 'MF_04078', NULL, 'Protein Nef [nef].', NULL, NULL, 'NEF_HIV', 44630),
(100905, 'MF_01890', NULL, 'Penicillin-binding protein activator LpoA [lpoA].', NULL, NULL, 'LpoA', 44631),
(100906, 'MF_01307_A', NULL, '30S ribosomal protein S5 [rpsE].', NULL, NULL, 'Ribosomal_S5_A', 44632),
(100907, 'MF_00264', NULL, 'UPF0128 protein <locus_tag>.', NULL, NULL, 'UPF0128', 44633),
(100908, 'MF_00268', NULL, 'Protein RecA [recA].', NULL, NULL, 'RecA', 44634),
(100909, 'MF_00967', NULL, 'ATP-dependent RNA helicase SrmB [srmB].', NULL, NULL, 'DEAD_helicase_SrmB', 44635),
(100910, 'MF_01868', NULL, 'Lipopolysaccharide core heptose(II)-phosphate phosphatase [ais].', NULL, NULL, 'Ais', 44636),
(100911, 'MF_00581', NULL, 'Argininosuccinate synthase [argG].', NULL, NULL, 'Arg_succ_synth_type2', 44637),
(100912, 'MF_01649', NULL, '3-phenylpropionate/cinnamic acid dioxygenase subunit beta [hcaF].', NULL, NULL, 'HcaF', 44638),
(100913, 'MF_01682', NULL, 'Acireductone dioxygenase [mtnD].', NULL, NULL, 'Salvage_MtnD', 44639),
(100914, 'MF_02080', NULL, 'Peptidoglycan D,D-transpeptidase FtsI [ftsI].', NULL, NULL, 'FtsI_transpept', 44640),
(100915, 'MF_01298', NULL, 'Arginine decarboxylase proenzyme.', NULL, NULL, 'ArgDC', 44641),
(100916, 'MF_01301', NULL, 'Maltoporin [lamB].', NULL, NULL, 'LamB', 44642),
(100917, 'MF_00036_B', NULL, 'Alanine--tRNA ligase [alaS].', NULL, NULL, 'Ala_tRNA_synth_B', 44643),
(100918, 'MF_00929', NULL, 'Cellobiose 2-epimerase.', NULL, NULL, 'Cellobiose_2_epim', 44644),
(100919, 'MF_04105', NULL, 'Antiholin.', NULL, NULL, 'ANTIH_T4', 44645),
(100920, 'MF_01565', NULL, 'Zinc transport protein ZntB [zntB].', NULL, NULL, 'ZntB', 44646),
(100921, 'MF_01548', NULL, 'UPF0354 protein <locus_tag>.', NULL, NULL, 'UPF0354', 44647),
(100922, 'MF_00948', NULL, 'Transcription termination/antitermination protein NusG [nusG].', NULL, NULL, 'NusG', 44648),
(100923, 'MF_01136', NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit gamma [cdhE].', NULL, NULL, 'CdhE', 44649),
(100924, 'MF_04012', NULL, 'Portal protein.', NULL, NULL, 'HSV_PORTL', 44650),
(100925, 'MF_01357', NULL, 'NAD(P)H-quinone oxidoreductase subunit J, chloroplastic [ndhJ].', NULL, NULL, 'NDH1_NuoC', 44651),
(100926, 'MF_00647', NULL, 'Phosphopantetheine adenylyltransferase [coaD].', NULL, NULL, 'PPAT_arch', 44652),
(100927, 'MF_00780', NULL, 'Protein YceI [yceI].', NULL, NULL, 'UPF0312', 44653),
(100928, 'MF_01279', NULL, 'Xaa-Pro dipeptidase [pepQ].', NULL, NULL, 'X_Pro_dipeptid', 44654),
(100929, 'MF_00226_B', NULL, 'Putative competence-damage inducible protein [cinA].', NULL, NULL, 'CinA_B', 44655),
(100930, 'MF_00234', NULL, 'Adenylate kinase [adkA].', NULL, NULL, 'Adenylate_kinase_AdkA', 44656),
(100931, 'MF_00480_A', NULL, '30S ribosomal protein S7 [rpsG].', NULL, NULL, 'Ribosomal_S7_A', 44657),
(100932, 'MF_04098', NULL, 'Spike glycoprotein [S].', NULL, NULL, 'GAMMA_CORONA_SPIKE', 44658),
(100933, 'MF_01456', NULL, 'NAD(P)H-quinone oxidoreductase subunit 4L, chloroplastic [ndhE].', NULL, NULL, 'NDH1_NuoK', 44659),
(100934, 'MF_00333', NULL, 'Oxygen-dependent coproporphyrinogen-III oxidase [hemF].', NULL, NULL, 'Coprogen_oxidas', 44660),
(100935, 'MF_01191', NULL, 'UPF0442 protein YjjB [yjjB].', NULL, NULL, 'UPF0442', 44661),
(100936, 'MF_00826', NULL, 'Glycine/sarcosine/betaine reductase complex component A [grdA].', NULL, NULL, 'GRDA', 44662),
(100937, 'MF_00830', NULL, 'Ureidoacrylate amidohydrolase RutB [rutB].', NULL, NULL, 'RutB', 44663),
(100938, 'MF_03228', NULL, 'Probable butyrate:acetyl-CoA coenzyme A-transferase.', NULL, NULL, 'But_CoA_trans', 44664),
(100939, 'MF_00093', NULL, 'Peptide chain release factor 1 [prfA].', NULL, NULL, 'Rel_fac_1', 44665),
(100940, 'MF_02239', NULL, 'Protoporphyrinogen IX oxidase.', NULL, NULL, 'HemJ', 44666);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(100941, 'MF_00043', NULL, 'Elongation factor 1-beta [ef1b].', NULL, NULL, 'EF1_beta', 44667),
(100942, 'MF_00362', NULL, '50S ribosomal protein L10 [rplJ].', NULL, NULL, 'Ribosomal_L10', 44668),
(100943, 'MF_00804', NULL, 'NAD/NADP-dependent betaine aldehyde dehydrogenase [betB].', NULL, NULL, 'BADH', 44669),
(100944, 'MF_00611', NULL, 'Protein FdhE [fdhE].', NULL, NULL, 'FdeH', 44670),
(100945, 'MF_00163', NULL, 'Peptide deformylase [def].', NULL, NULL, 'Pep_deformylase', 44671),
(100946, 'MF_00549', NULL, 'Methylglyoxal synthase [mgsA].', NULL, NULL, 'Methylglyoxal_synth', 44672),
(100947, 'MF_00388', NULL, 'UDP-3-O-acyl-N-acetylglucosamine deacetylase [lpxC].', NULL, NULL, 'LpxC', 44673),
(100948, 'MF_02084', NULL, '[LysW]-aminoadipate semialdehyde/glutamate semialdehyde transaminase [lysJ].', NULL, NULL, 'LysJ_aminotrans_3', 44674),
(100949, 'MF_01521', NULL, 'Probable manganese efflux pump MntP [mntP].', NULL, NULL, 'MntP_pump', 44675),
(100950, 'MF_01927', NULL, 'Formyltetrahydrofolate deformylase [purU].', NULL, NULL, 'PurU', 44676),
(100951, 'MF_01938', NULL, '2-carboxy-1,4-naphthoquinone phytyltransferase [menA].', NULL, NULL, 'MenA_2', 44677),
(100952, 'MF_00592', NULL, 'Deoxyribose-phosphate aldolase [deoC].', NULL, NULL, 'DeoC_type2', 44678),
(100953, 'MF_01493', NULL, 'DEAD-box ATP-dependent RNA helicase CshA [cshA].', NULL, NULL, 'DEAD_helicase_CshA', 44679),
(100954, 'MF_00029', NULL, '30S ribosomal protein S8e [rps8e].', NULL, NULL, 'Ribosomal_S8e', 44680),
(100955, 'MF_00261', NULL, 'DNA-directed RNA polymerase subunit L [rpoL].', NULL, NULL, 'RNApol_arch_L', 44681),
(100956, 'MF_01004', NULL, 'Vitamin B12 import system permease protein BtuC [btuC].', NULL, NULL, 'BtuC', 44682),
(100957, 'MF_00154', NULL, 'Protoheme IX farnesyltransferase [cyoE].', NULL, NULL, 'CyoE_CtaB', 44683),
(100958, 'MF_00655', NULL, 'PqqA binding protein [pqqD].', NULL, NULL, 'PQQ_syn_PqqD', 44684),
(100959, 'MF_01235', NULL, 'Putative N-acetylmannosamine-6-phosphate 2-epimerase [nanE].', NULL, NULL, 'ManNAc6P_epimer', 44685),
(100960, 'MF_00007', NULL, 'DNA primase DnaG [dnaG].', NULL, NULL, 'DNA_primase_DnaG_arc', 44686),
(100961, 'MF_00708', NULL, 'Fumarate reductase subunit C [frdC].', NULL, NULL, 'Fumarate_red_C', 44687),
(100962, 'MF_02008', NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, NULL, 'Tyr_tRNA_synth_type3', 44688),
(100963, 'MF_00567', NULL, 'Quinolinate synthase A [nadA].', NULL, NULL, 'NadA_type1', 44689),
(100964, 'MF_00554', NULL, 'Ribosomal RNA small subunit methyltransferase Nep1 [nep1].', NULL, NULL, 'NEP1', 44690),
(100965, 'MF_03152', NULL, 'tRNA (guanine(37)-N1)-methyltransferase [TRMT5].', NULL, NULL, 'TRM5', 44691),
(100966, 'MF_01959', NULL, 'Cytochrome c-type biogenesis protein CcmE [ccmE].', NULL, NULL, 'CcmE', 44692),
(100967, 'MF_00100_B', NULL, 'Translation initiation factor IF-2 [infB].', NULL, NULL, 'IF_2_B', 44693),
(100968, 'MF_01054', NULL, 'UPF0237 protein <locus_tag>.', NULL, NULL, 'UPF0237', 44694),
(100969, 'MF_01903', NULL, 'Xanthine-guanine phosphoribosyltransferase [gpt].', NULL, NULL, 'XGPRT', 44695),
(100970, 'MF_00359', NULL, '30S ribosomal protein S3Ae [rps3ae].', NULL, NULL, 'Ribosomal_S3Ae', 44696),
(100971, 'MF_04123', NULL, 'Inner capsid protein VP2.', NULL, NULL, 'Rota_VP2', 44697),
(100972, 'MF_04143', NULL, 'Poxin-Schlafen.', NULL, NULL, 'Poxins', 44698),
(100973, 'MF_04037', NULL, 'Envelope glycoprotein N [gN].', NULL, NULL, 'HSV_GN', 44699),
(100974, 'MF_02011', NULL, 'Cell cycle protein GpsB [gpsB].', NULL, NULL, 'GpsB', 44700),
(100975, 'MF_00148', NULL, 'Uracil-DNA glycosylase [ung].', NULL, NULL, 'UDG', 44701),
(100976, 'MF_00179', NULL, 'GTP cyclohydrolase-2 [ribA].', NULL, NULL, 'RibA', 44702),
(100977, 'MF_01309_A', NULL, '30S ribosomal protein S3 [rpsC].', NULL, NULL, 'Ribosomal_S3_A', 44703),
(100978, 'MF_00115', NULL, 'Large-conductance mechanosensitive channel [mscL].', NULL, NULL, 'MscL', 44704),
(100979, 'MF_00412', NULL, 'Gamma-glutamyl phosphate reductase [proA].', NULL, NULL, 'ProA', 44705),
(100980, 'MF_00476', NULL, 'Nickel-responsive regulator [nikR].', NULL, NULL, 'NikR', 44706);
INSERT INTO "PUBLIC"."MODEL" VALUES
(100981, 'MF_00307', NULL, 'Prefoldin subunit beta [pfdB].', NULL, NULL, 'PfdB', 44707),
(100982, 'MF_03060', NULL, 'Draxin [DRAXIN].', NULL, NULL, 'Draxin', 44708),
(100983, 'MF_01453', NULL, 'ATP-dependent helicase/deoxyribonuclease subunit B [rexB].', NULL, NULL, 'AddB_type2', 44709),
(100984, 'MF_04024', NULL, 'Nuclear egress protein 2 [NEC2].', NULL, NULL, 'HSV_NEC2', 44710),
(100985, 'MF_01841', NULL, 'Agmatine deiminase [aguA].', NULL, NULL, 'Agmatine_deimin', 44711),
(100986, 'MF_02091', NULL, 'Uncharacterized MFS-type transporter YfcJ [yfcJ].', NULL, NULL, 'MFS_YfcJ', 44712),
(100987, 'MF_01562', NULL, 'UPF0365 protein <locus_tag>.', NULL, NULL, 'UPF0365', 44713),
(100988, 'MF_04087', NULL, 'RING finger protein Z [Z].', NULL, NULL, 'ARENA_Z', 44714),
(100989, 'MF_00051', NULL, 'Serine hydroxymethyltransferase [glyA].', NULL, NULL, 'SHMT', 44715),
(100990, 'MF_01966', NULL, 'NAD(P)H-hydrate epimerase [nnrE].', NULL, NULL, 'NADHX_epimerase', 44716),
(100991, 'MF_00904', NULL, 'Modulator protein MzrA [mzrA].', NULL, NULL, 'Modulator_MzrA', 44717),
(100992, 'MF_01577', NULL, 'Putative multidrug resistance protein MdtD [mdtD].', NULL, NULL, 'MFS_MdtD', 44718),
(100993, 'MF_02235', NULL, 'N-succinylornithine carbamoyltransferase [argF''].', NULL, NULL, 'SOTCase', 44719),
(100994, 'MF_03206', NULL, 'Elongation of very long chain fatty acids protein 6 [ELOVL6].', NULL, NULL, 'VLCF_elongase_6', 44720),
(100995, 'MF_02041', NULL, 'tRNA-dihydrouridine(20/20a) synthase [dusA].', NULL, NULL, 'DusA_subfam', 44721),
(100996, 'MF_01631', NULL, 'Bifunctional protein GlmU [glmU].', NULL, NULL, 'GlmU', 44722),
(100997, 'MF_00836', NULL, 'Ribose 1,5-bisphosphate phosphokinase PhnN [phnN].', NULL, NULL, 'PhnN', 44723),
(100998, 'MF_02055', NULL, 'Tyrosine recombinase XerA [xerA].', NULL, NULL, 'Recomb_XerA', 44724),
(100999, 'MF_01352', NULL, 'NAD(P)H-quinone oxidoreductase subunit M [ndhM].', NULL, NULL, 'NDH1_NDH1M', 44725),
(101000, 'MF_00518', NULL, 'D-aminoacyl-tRNA deacylase [dtd].', NULL, NULL, 'Deacylase_Dtd', 44726),
(101001, 'MF_00629', NULL, '50S ribosomal protein L39e [rpl39e].', NULL, NULL, 'Ribosomal_L39e', 44727),
(101002, 'MF_00984', NULL, 'Single-stranded DNA-binding protein.', NULL, NULL, 'SSB', 44728),
(101003, 'MF_01267', NULL, '3-keto-L-gulonate-6-phosphate decarboxylase UlaD [ulaD].', NULL, NULL, 'UlaD', 44729),
(101004, 'MF_00367', NULL, 'GTPase Era [era].', NULL, NULL, 'GTPase_Era', 44730),
(101005, 'MF_00272', NULL, 'Glycine cleavage system H protein [gcvH].', NULL, NULL, 'GcvH', 44731),
(101006, 'MF_01344', NULL, 'Cytochrome b6-f complex subunit 4 [petD].', NULL, NULL, 'Cytb6_f_subIV', 44732),
(101007, 'MF_01400', NULL, 'Peptide methionine sulfoxide reductase MsrB [msrB].', NULL, NULL, 'MsrB', 44733),
(101008, 'MF_04141', NULL, 'NAD--protein ADP-ribosyltransferase modA [modA].', NULL, NULL, 'MODA_T4', 44734),
(101009, 'MF_00572', NULL, '2-isopropylmalate synthase [leuA].', NULL, NULL, 'LeuA_type2', 44735),
(101010, 'MF_01983', NULL, 'UbiD-like decarboxylase.', NULL, NULL, 'UbiD_FDC', 44736),
(101011, 'MF_00240', NULL, 'Outer-membrane lipoprotein carrier protein [lolA].', NULL, NULL, 'LolA', 44737),
(101012, 'MF_00787', NULL, 'Cobalt-precorrin-5B C(1)-methyltransferase [cbiD].', NULL, NULL, 'CbiD', 44738),
(101013, 'MF_02090', NULL, 'Glutamine-dependent NAD(+) synthetase [nadE].', NULL, NULL, 'NadE_glutamine_dep', 44739),
(101014, 'MF_00720', NULL, 'Primosomal replication protein N [priB].', NULL, NULL, 'PriB', 44740),
(101015, 'MF_03107', NULL, 'Very-long-chain 3-oxoacyl-CoA reductase.', NULL, NULL, '3_ketoreductase', 44741),
(101016, 'MF_02057', NULL, 'tRNA 5-carboxymethoxyuridine methyltransferase [cmoM].', NULL, NULL, 'tRNA_methyltr_CmoM', 44742),
(101017, 'MF_01071', NULL, 'UPF0266 membrane protein YobD [yobD].', NULL, NULL, 'UPF0266', 44743),
(101018, 'MF_00350', NULL, 'DNA repair and recombination protein RadB [radB].', NULL, NULL, 'RadB', 44744),
(101019, 'MF_00309', NULL, 'V-type ATP synthase alpha chain [atpA].', NULL, NULL, 'ATP_synth_A_arch', 44745),
(101020, 'MF_01530', NULL, 'Multidrug resistance protein MdtL [mdtL].', NULL, NULL, 'MFS_MdtL', 44746);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(101021, 'MF_00123', NULL, 'Arginine--tRNA ligase [argS].', NULL, NULL, 'Arg_tRNA_synth', 44747),
(101022, 'MF_01956', NULL, 'G/U mismatch-specific DNA glycosylase [mug].', NULL, NULL, 'MUG', 44748),
(101023, 'MF_03045', NULL, 'DIS3-like exonuclease 2 [DIS3L2].', NULL, NULL, 'DIS3L2', 44749),
(101024, 'MF_03210', NULL, 'Formate dehydrogenase, mitochondrial.', NULL, NULL, 'Formate_dehydrogenase', 44750),
(101025, 'MF_04070', NULL, 'Nucleoprotein [NP].', NULL, NULL, 'INFV_NCAP', 44751),
(101026, 'MF_00779', NULL, 'Hut operon positive regulatory protein [hutP].', NULL, NULL, 'HutP', 44752),
(101027, 'MF_01816', NULL, 'Tyrosine recombinase XerS [xerS].', NULL, NULL, 'Recomb_XerS', 44753),
(101028, 'MF_01654', NULL, '2-hydroxy-6-oxononadienedioate/2-hydroxy-6-oxononatrienedioate hydrolase [mhpC].', NULL, NULL, 'MhpC', 44754),
(101029, 'MF_02204', NULL, 'Peptidoglycan-associated lipoprotein [pal].', NULL, NULL, 'Pal', 44755),
(101030, 'MF_00256', NULL, '50S ribosomal protein L15e [rpl15e].', NULL, NULL, 'Ribosomal_L15e', 44756),
(101031, 'MF_00721', NULL, '50S ribosomal protein L14e [rpl14e].', NULL, NULL, 'Ribosomal_L14e', 44757),
(101032, 'MF_00344', NULL, 'GMP synthase [glutamine-hydrolyzing] [guaA].', NULL, NULL, 'GMP_synthase', 44758),
(101033, 'MF_01591', NULL, 'Protein Ves [ves].', NULL, NULL, 'Ves', 44759),
(101034, 'MF_00601', NULL, 'Ethanolamine ammonia-lyase light chain [eutC].', NULL, NULL, 'EutC', 44760),
(101035, 'MF_03027', NULL, 'Ribosome biogenesis protein @gn(BOP1) [BOP1].', NULL, NULL, 'BOP1', 44761),
(101036, 'MF_00528', NULL, 'dTTP/UTP pyrophosphatase.', NULL, NULL, 'Maf', 44762),
(101037, 'MF_01457', NULL, 'Flagellar brake protein YcgR [ycgR].', NULL, NULL, 'YcgR', 44763),
(101038, 'MF_00539', NULL, '50S ribosomal protein L27 [rpmA].', NULL, NULL, 'Ribosomal_L27', 44764),
(101039, 'MF_00759', NULL, 'DNA mismatch repair protein MutH [mutH].', NULL, NULL, 'MutH', 44765),
(101040, 'MF_00605', NULL, 'tRNA (guanine-N(1)-)-methyltransferase [trmD].', NULL, NULL, 'TrmD', 44766),
(101041, 'MF_00290', NULL, 'tRNA (guanine(26)-N(2))-dimethyltransferase [trm1].', NULL, NULL, 'tRNA_dimethyltr_TRM1', 44767),
(101042, 'MF_01502', NULL, 'UPF0295 protein <locus_tag>.', NULL, NULL, 'UPF0295', 44768),
(101043, 'MF_01011', NULL, 'tRNA/tmRNA (uracil-C(5))-methyltransferase [trmA].', NULL, NULL, 'RNA_methyltr_TrmA', 44769),
(101044, 'MF_00599', NULL, 'Cell division protein FtsB [ftsB].', NULL, NULL, 'FtsB', 44770),
(101045, 'MF_00977', NULL, '3''-5'' exoribonuclease.', NULL, NULL, '3_5_Exoribonuc_actinobact', 44771),
(101046, 'MF_00932', NULL, 'Thiol:disulfide interchange protein DsbL [dsbL].', NULL, NULL, 'DsbL', 44772),
(101047, 'MF_01394', NULL, 'NAD(P)H-quinone oxidoreductase subunit 3, chloroplastic [ndhC].', NULL, NULL, 'NDH1_NuoA', 44773),
(101048, 'MF_00052_B', NULL, 'Ribonuclease HII [rnhB].', NULL, NULL, 'RNase_HII_B', 44774),
(101049, 'MF_00158', NULL, 'Pantothenate synthetase [panC].', NULL, NULL, 'PanC', 44775),
(101050, 'MF_01464_A', NULL, 'Protein-export membrane protein SecF [secF].', NULL, NULL, 'SecF_A', 44776),
(101051, 'MF_01469', NULL, 'Ribonuclease M5 [rnmV].', NULL, NULL, 'RNase_M5', 44777),
(101052, 'MF_00481', NULL, '50S ribosomal protein L30e [rpl30e].', NULL, NULL, 'Ribosomal_L30e', 44778),
(101053, 'MF_00718', NULL, 'Tautomerase PptA [pptA].', NULL, NULL, 'Tautomerase_PptA', 44779),
(101054, 'MF_00395', NULL, 'Cytochrome b6-f complex subunit 8 [petN].', NULL, NULL, 'Cytb6_f_PetN', 44780),
(101055, 'MF_00741', NULL, 'Phosphoribosylformylglycinamidine cyclo-ligase [purM].', NULL, NULL, 'AIRS', 44781),
(101056, 'MF_01351', NULL, 'NAD(P)H-quinone oxidoreductase subunit I, chloroplastic [ndhI].', NULL, NULL, 'NDH1_NuoI', 44782),
(101057, 'MF_01657', NULL, 'Acetaldehyde dehydrogenase [mhpF].', NULL, NULL, 'Ac_ald_DH_ac', 44783),
(101058, 'MF_02025', NULL, 'ECA polysaccharide chain length modulation protein [wzzE].', NULL, NULL, 'WzzE', 44784),
(101059, 'MF_00233', NULL, 'Outer-membrane lipoprotein LolB [lolB].', NULL, NULL, 'LolB', 44785),
(101060, 'MF_00620', NULL, 'Putative transcriptional regulatory protein <locus_tag>.', NULL, NULL, 'HTH_type_Tfx', 44786);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(101061, 'MF_01090', NULL, '5,10-methenyltetrahydromethanopterin hydrogenase [hmd].', NULL, NULL, 'HMD', 44787),
(101062, 'MF_00023', NULL, 'SsrA-binding protein [smpB].', NULL, NULL, 'SmpB', 44788),
(101063, 'MF_01208', NULL, 'Orotate phosphoribosyltransferase [pyrE].', NULL, NULL, 'PyrE', 44789),
(101064, 'MF_00187', NULL, 'Sulfur carrier protein FdhD [fdhD].', NULL, NULL, 'FdhD', 44790),
(101065, 'MF_00368', NULL, '50S ribosomal protein L7/L12 [rplL].', NULL, NULL, 'Ribosomal_L7_L12', 44791),
(101066, 'MF_01931', NULL, 'Amidophosphoribosyltransferase [purF].', NULL, NULL, 'PurF', 44792),
(101067, 'MF_00987', NULL, 'L-fuculose phosphate aldolase [fucA].', NULL, NULL, 'FucA', 44793),
(101068, 'MF_02100', NULL, 'Uncharacterized methyltransferase <locus_tag>.', NULL, NULL, 'Methyltr_YrrT', 44794),
(101069, 'MF_02094', NULL, 'Phosphogluconate dehydratase [edd].', NULL, NULL, 'Edd', 44795),
(101070, 'MF_01402_A', NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase [apgM].', NULL, NULL, 'ApgM_A', 44796),
(101071, 'MF_00118_A', NULL, 'Elongation factor Tu [tuf].', NULL, NULL, 'EF_Tu_A', 44797),
(101072, 'MF_00843', NULL, 'Major outer membrane lipoprotein Lpp [lpp].', NULL, NULL, 'Lpp', 44798),
(101073, 'MF_01089', NULL, 'UPF0288 protein <locus_tag>.', NULL, NULL, 'UPF0288', 44799),
(101074, 'MF_01314', NULL, 'Anaerobic nitric oxide reductase transcription regulator NorR [norR].', NULL, NULL, 'NorR', 44800),
(101075, 'MF_00540', NULL, 'Adenosine deaminase [add].', NULL, NULL, 'A_deaminase', 44801),
(101076, 'MF_00608', NULL, 'GTP cyclohydrolase III [gch3].', NULL, NULL, 'GTP_cyclohydro_3', 44802),
(101077, 'MF_00526', NULL, 'Glutamate mutase sigma subunit [glmS].', NULL, NULL, 'Me_Asp_mutase_S', 44803),
(101078, 'MF_03181', NULL, 'PAN2-PAN3 deadenylation complex subunit PAN3 [PAN3].', NULL, NULL, 'PAN3', 44804),
(101079, 'MF_01435', NULL, 'Protein YebF [yebF].', NULL, NULL, 'YebF', 44805),
(101080, 'MF_01660', NULL, '2-succinyl-6-hydroxy-2,4-cyclohexadiene-1-carboxylate synthase [menH].', NULL, NULL, 'MenH', 44806),
(101081, 'MF_00329', NULL, '50S ribosomal protein L18e [rpl18e].', NULL, NULL, 'Ribosomal_L18e', 44807),
(101082, 'MF_01443', NULL, 'Bis(5''-nucleosyl)-tetraphosphatase PrpE [asymmetrical] [prpE].', NULL, NULL, 'PrpE', 44808),
(101083, 'MF_01644', NULL, 'D-phenylhydantoinase [hyuA].', NULL, NULL, 'D_hydantoinase', 44809),
(101084, 'MF_01063', NULL, 'Esterase FrsA [frsA].', NULL, NULL, 'FrsA', 44810),
(101085, 'MF_01244', NULL, '3-dehydroquinate synthase [aroB''].', NULL, NULL, 'Arch_DHQ_synthase', 44811),
(101086, 'MF_01942', NULL, 'Lipid A biosynthesis lauroyltransferase [lpxL].', NULL, NULL, 'Lipid_A_LpxL_LpxP', 44812),
(101087, 'MF_04090', NULL, 'Non-structural protein 3.', NULL, NULL, 'ROTA_NSP3', 44813),
(101088, 'MF_00817', NULL, 'NADPH-dependent 7-cyano-7-deazaguanine reductase [queF].', NULL, NULL, 'QueF_type2', 44814),
(101089, 'MF_00244', NULL, 'Probable nicotinate-nucleotide adenylyltransferase [nadD].', NULL, NULL, 'NaMN_adenylyltr', 44815),
(101090, 'MF_00057', NULL, '8-amino-3,8-dideoxy-manno-octulosonate cytidylyltransferase [kdsB].', NULL, NULL, 'KdsB', 44816),
(101091, 'MF_00403_B', NULL, '30S ribosomal protein S12 [rpsL].', NULL, NULL, 'Ribosomal_S12_B', 44817),
(101092, 'MF_00353', NULL, 'Light-independent protochlorophyllide reductase subunit B [bchB].', NULL, NULL, 'ChlB_BchB', 44818),
(101093, 'MF_00006', NULL, 'Argininosuccinate lyase [argH].', NULL, NULL, 'Arg_succ_lyase', 44819),
(101094, 'MF_01304', NULL, 'UPF0194 membrane protein YbhG [ybhG].', NULL, NULL, 'UPF0194', 44820),
(101095, 'MF_00520', NULL, 'Ribulokinase [araB].', NULL, NULL, 'Ribulokinase', 44821),
(101096, 'MF_04081', NULL, 'Virion infectivity factor [vif].', NULL, NULL, 'HIV_VIF', 44822),
(101097, 'MF_04013', NULL, 'Tripartite terminase subunit 3 [TRM3].', NULL, NULL, 'HSV_TRM3', 44823),
(101098, 'MF_02035', NULL, 'Hercynine oxygenase [egtB].', NULL, NULL, 'EgtB', 44824),
(101099, 'MF_01027', NULL, '3-isopropylmalate dehydratase large subunit [leuC].', NULL, NULL, 'LeuC_type2', 44825);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(101100, 'MF_01288', NULL, 'L-rhamnonate dehydratase [rhmD].', NULL, NULL, 'Rhamnon_dehydrat', 44826),
(101101, 'MF_01093', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit A [mtrA].', NULL, NULL, 'MtrA', 44827),
(101102, 'MF_00312', NULL, 'V-type ATP synthase subunit F [atpF].', NULL, NULL, 'ATP_synth_F_arch', 44828),
(101103, 'MF_01458', NULL, 'ATP-dependent zinc metalloprotease FtsH [ftsH].', NULL, NULL, 'FtsH', 44829),
(101104, 'MF_00483', NULL, 'DNA replication terminus site-binding protein [tus].', NULL, NULL, 'Rep_term_Tus', 44830),
(101105, 'MF_01199', NULL, 'Anti-adapter protein IraM [iraM].', NULL, NULL, 'Anti_adapt_IraM', 44831),
(101106, 'MF_00597', NULL, 'Probable acetoacetate decarboxylase [adc].', NULL, NULL, 'ADC', 44832),
(101107, 'MF_00713', NULL, 'Probable glycine dehydrogenase (decarboxylating) subunit 2 [gcvPB].', NULL, NULL, 'GcvPB', 44833),
(101108, 'MF_01205', NULL, 'O-acetyl-ADP-ribose deacetylase [ymdB].', NULL, NULL, 'YmdB', 44834),
(101109, 'MF_01523', NULL, 'Ribosomal RNA small subunit methyltransferase J [rsmJ].', NULL, NULL, '16SrRNA_methyltr_J', 44835),
(101110, 'MF_00425', NULL, 'Na(+)-translocating NADH-quinone reductase subunit A [nqrA].', NULL, NULL, 'NqrA', 44836),
(101111, 'MF_00366', NULL, 'DNA-directed RNA polymerase subunit omega [rpoZ].', NULL, NULL, 'RNApol_bact_RpoZ', 44837),
(101112, 'MF_02060', NULL, 'tRNA (guanosine(18)-2''-O)-methyltransferase [trmH].', NULL, NULL, 'tRNA_methyltr_TrmH', 44838),
(101113, 'MF_01460', NULL, 'Chromophore lyase CpcT/CpeT [cpcT].', NULL, NULL, 'Chrphore_lyase_CpxT', 44839),
(101114, 'MF_04099', NULL, 'Spike glycoprotein [S].', NULL, NULL, 'BETA_CORONA_SPIKE', 44840),
(101115, 'MF_01969', NULL, 'Kynurenine formamidase [kynB].', NULL, NULL, 'KynB', 44841),
(101116, 'MF_00793', NULL, 'Phycoerythrobilin:ferredoxin oxidoreductase [pebB].', NULL, NULL, 'PebB', 44842),
(101117, 'MF_01606', NULL, 'Iron-sulfur cluster repair protein YtfE [ytfE].', NULL, NULL, 'RIC_YtfE', 44843),
(101118, 'MF_01924', NULL, 'D-alanyl-D-alanine dipeptidase [ddpX].', NULL, NULL, 'A_A_dipeptidase', 44844),
(101119, 'MF_00454', NULL, 'Putative fluoride ion transporter CrcB [crcB].', NULL, NULL, 'CrcB', 44845),
(101120, 'MF_04149', NULL, 'RNA ligase 1.', NULL, NULL, 'RNALIG_T4', 44846),
(101121, 'MF_04104', NULL, 'Holin.', NULL, NULL, 'HOLIN_T4', 44847),
(101122, 'MF_01881', NULL, 'Propionate kinase [tdcD].', NULL, NULL, 'Propion_kin_subfam1', 44848),
(101123, 'MF_01588', NULL, 'DNA ligase [ligA].', NULL, NULL, 'DNA_ligase_A', 44849),
(101124, 'MF_00078', NULL, 'UPF0107 protein <locus_tag>.', NULL, NULL, 'UPF0107', 44850),
(101125, 'MF_01824', NULL, 'Pyridoxal 5''-phosphate synthase subunit PdxS [pdxS].', NULL, NULL, 'PdxS', 44851),
(101126, 'MF_00671', NULL, 'Tol-Pal system protein TolB [tolB].', NULL, NULL, 'TolB', 44852),
(101127, 'MF_04039', NULL, 'Cytoplasmic envelopment protein 2.', NULL, NULL, 'HSV_CEP2', 44853),
(101128, 'MF_01016', NULL, 'Putative transport protein YidE [yidE].', NULL, NULL, 'YidE', 44854),
(101129, 'MF_01482', NULL, 'Mycothiol S-conjugate amidase [mca].', NULL, NULL, 'Mca', 44855),
(101130, 'MF_00485', NULL, '30S ribosomal protein S4e [rps4e].', NULL, NULL, 'Ribosomal_S4e', 44856),
(101131, 'MF_01572', NULL, 'UPF0397 protein <locus_tag>.', NULL, NULL, 'UPF0397', 44857),
(101132, 'MF_01603', NULL, 'Bifunctional protein HldE [hldE].', NULL, NULL, 'HldE', 44858),
(101133, 'MF_00085', NULL, 'Translation initiation factor 5A [eif5a].', NULL, NULL, 'eIF_5A', 44859),
(101134, 'MF_04042', NULL, 'Cytoplasmic envelopment protein 3.', NULL, NULL, 'HSV_CEP3_gammahv', 44860),
(101135, 'MF_01337_A', NULL, '50S ribosomal protein L18 [rplR].', NULL, NULL, 'Ribosomal_L18_A', 44861),
(101136, 'MF_00580', NULL, '10 kDa chaperonin [groS].', NULL, NULL, 'CH10', 44862),
(101137, 'MF_01833', NULL, 'tRNA-splicing endonuclease [endA].', NULL, NULL, 'EndA_short', 44863),
(101138, 'MF_00197', NULL, 'Diaminopimelate epimerase [dapF].', NULL, NULL, 'DAP_epimerase', 44864),
(101139, 'MF_01658', NULL, '3-demethoxyubiquinol 3-hydroxylase [coq7].', NULL, NULL, 'COQ7', 44865);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(101140, 'MF_00363', NULL, 'UPF0154 protein <locus_tag>.', NULL, NULL, 'UPF0154', 44866),
(101141, 'MF_00560', NULL, 'Trans-aconitate 2-methyltransferase [tam].', NULL, NULL, 'Tran_acon_Me_trans', 44867),
(101142, 'MF_01691', NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-acetyltransferase [dapH].', NULL, NULL, 'DapH', 44868),
(101143, 'MF_00733', NULL, '1-pyrroline-5-carboxylate dehydrogenase [rocA].', NULL, NULL, 'RocA', 44869),
(101144, 'MF_02201', NULL, 'Ferredoxin-type protein NapF [napF].', NULL, NULL, 'NapF', 44870),
(101145, 'MF_00583_A', NULL, 'Putative ribose-phosphate pyrophosphokinase [prs].', NULL, NULL, 'RibP_PPkinase_A', 44871),
(101146, 'MF_03134', NULL, 'Probable alanine--tRNA ligase, chloroplastic.', NULL, NULL, 'Ala_tRNA_synth_plantC', 44872),
(101147, 'MF_01299', NULL, 'Oxaloacetate decarboxylase.', NULL, NULL, 'OadC', 44873),
(101148, 'MF_01000', NULL, 'Vitamin B12-binding protein [btuF].', NULL, NULL, 'BtuF', 44874),
(101149, 'MF_01326_A', NULL, '50S ribosomal protein L24 [rplX].', NULL, NULL, 'Ribosomal_L24_A', 44875),
(101150, 'MF_00514', NULL, '50S ribosomal protein L35 [rpmI].', NULL, NULL, 'Ribosomal_L35', 44876),
(101151, 'MF_00767', NULL, 'Succinylglutamate desuccinylase [astE].', NULL, NULL, 'Arg_catab_AstE', 44877),
(101152, 'MF_03012', NULL, 'COP9/Signalosome and eIF3 complex-shared subunit 1 [EIF3M].', NULL, NULL, 'eIF3m', 44878),
(101153, 'MF_01273', NULL, 'Type II pantothenate kinase [coaW].', NULL, NULL, 'Pantothen_kinase_2', 44879),
(101154, 'MF_03143', NULL, 'Pentafunctional AROM polypeptide [aroM].', NULL, NULL, 'Pentafunct_AroM', 44880),
(101155, 'MF_01575', NULL, 'UPF0398 protein <locus_tag>.', NULL, NULL, 'UPF0398', 44881),
(101156, 'MF_00151', NULL, 'Phosphopantetheine adenylyltransferase [coaD].', NULL, NULL, 'PPAT_bact', 44882),
(101157, 'MF_01627', NULL, 'Purine nucleoside phosphorylase DeoD-type [deoD].', NULL, NULL, 'Pur_nucleosid_phosp', 44883),
(101158, 'MF_00015', NULL, 'LexA repressor [lexA].', NULL, NULL, 'LexA', 44884),
(101159, 'MF_00596', NULL, 'GMP reductase [guaC].', NULL, NULL, 'GMP_reduct_type1', 44885),
(101160, 'MF_00673', NULL, 'UPF0254 protein <locus_tag>.', NULL, NULL, 'UPF0254', 44886),
(101161, 'MF_04060', NULL, 'Shutoff protein [L4].', NULL, NULL, 'ADV_SHUT', 44887),
(101162, 'MF_00758', NULL, 'UPF0301 protein YqgE [yqgE].', NULL, NULL, 'UPF0301', 44888),
(101163, 'MF_01346', NULL, 'ATP synthase subunit alpha [atpA].', NULL, NULL, 'ATP_synth_alpha_bact', 44889),
(101164, 'MF_01068', NULL, 'Glucans biosynthesis protein D [mdoD].', NULL, NULL, 'MdoD_OpgD', 44890),
(101165, 'MF_00972', NULL, 'tRNA-specific adenosine deaminase [tadA].', NULL, NULL, 'tRNA_aden_deaminase', 44891),
(101166, 'MF_01879', NULL, 'Dipeptide and tripeptide permease B [dtpB].', NULL, NULL, 'PTR2_DtpB_subfam', 44892),
(101167, 'MF_03158', NULL, 'Thiamine thiazole synthase, chloroplastic [THI4].', NULL, NULL, 'THI4', 44893),
(101168, 'MF_00267', NULL, 'Probable septum site-determining protein MinC [minC].', NULL, NULL, 'MinC', 44894),
(101169, 'MF_02127', NULL, 'Glucose 1-dehydrogenase [gdh].', NULL, NULL, 'Glucose_DH', 44895),
(101170, 'MF_00533', NULL, 'Nitrogenase iron protein [nifH].', NULL, NULL, 'NifH', 44896),
(101171, 'MF_02021', NULL, 'Cell division protein DamX [damX].', NULL, NULL, 'DamX', 44897),
(101172, 'MF_01558', NULL, 'Cytidine deaminase [cdd].', NULL, NULL, 'Cyt_deam', 44898),
(101173, 'MF_04096', NULL, 'Nucleoprotein [N].', NULL, NULL, 'BETA_CORONA_NCAP', 44899),
(101174, 'MF_01276', NULL, 'Putrescine aminotransferase [patA].', NULL, NULL, 'Putres_aminotrans_3', 44900),
(101175, 'MF_00032', NULL, 'Translation initiation factor 6 [eif6].', NULL, NULL, 'eIF_6', 44901),
(101176, 'MF_00458', NULL, 'Photosystem I P700 chlorophyll a apoprotein A1 [psaA].', NULL, NULL, 'PSI_PsaA', 44902),
(101177, 'MF_00386', NULL, 'Putative membrane protein insertion efficiency factor [yidD].', NULL, NULL, 'UPF0161_YidD', 44903),
(101178, 'MF_00462', NULL, 'Ion-translocating oxidoreductase complex subunit D [rsxD].', NULL, NULL, 'RsxD_RnfD', 44904),
(101179, 'MF_01848', NULL, 'Ribosomal RNA large subunit methyltransferase F [rlmF].', NULL, NULL, '23SrRNA_methyltr_F', 44905);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(101180, 'MF_01270', NULL, 'Anhydro-N-acetylmuramic acid kinase [anmK].', NULL, NULL, 'AnhMurNAc_kinase', 44906),
(101181, 'MF_00586', NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit D [gatD].', NULL, NULL, 'GatD', 44907),
(101182, 'MF_00750', NULL, 'Oxygen-dependent choline dehydrogenase [betA].', NULL, NULL, 'Choline_dehydrogen', 44908),
(101183, 'MF_01008', NULL, 'Transcriptional regulator MraZ [mraZ].', NULL, NULL, 'MraZ', 44909),
(101184, 'MF_00557', NULL, 'Alginate lyase [algL].', NULL, NULL, 'Alginate_lyase', 44910),
(101185, 'MF_01252', NULL, 'Flavohemoprotein [hmp].', NULL, NULL, 'Hmp', 44911),
(101186, 'MF_00001', NULL, 'Aspartate carbamoyltransferase [pyrB].', NULL, NULL, 'Asp_carb_tr', 44912),
(101187, 'MF_00291_A', NULL, '30S ribosomal protein S2 [rpsB].', NULL, NULL, 'Ribosomal_S2_A', 44913),
(101188, 'MF_00825', NULL, '3-hydroxyanthranilate 3,4-dioxygenase [nbaC].', NULL, NULL, '3_HAO', 44914),
(101189, 'MF_00488', NULL, 'L-lactate dehydrogenase [ldh].', NULL, NULL, 'Lactate_dehydrog', 44915),
(101190, 'MF_01633', NULL, '7-cyano-7-deazaguanine synthase [queC].', NULL, NULL, 'QueC', 44916),
(101191, 'MF_04095', NULL, 'Nucleoprotein [N].', NULL, NULL, 'ALPHA_CORONA_NCAP', 44917),
(101192, 'MF_00134_B', NULL, 'Indole-3-glycerol phosphate synthase [trpC].', NULL, NULL, 'IGPS_B', 44918),
(101193, 'MF_04021', NULL, 'Small capsomere-interacting protein [SCP].', NULL, NULL, 'HSV_SCP_betahv', 44919),
(101194, 'MF_01268', NULL, 'Bifunctional enzyme Fae/Hps [fae-hps].', NULL, NULL, 'Fae_Hps', 44920),
(101195, 'MF_01367', NULL, '50S ribosomal protein L14 [rplN].', NULL, NULL, 'Ribosomal_L14', 44921),
(101196, 'MF_01590', NULL, 'tRNA U34 carboxymethyltransferase [cmoB].', NULL, NULL, 'tRNA_carboxymethyltr_CmoB', 44922),
(101197, 'MF_00378', NULL, 'Exodeoxyribonuclease 7 large subunit [xseA].', NULL, NULL, 'Exonuc_7_L', 44923),
(101198, 'MF_04006', NULL, 'Protein E6 [E6].', NULL, NULL, 'HPV_E6', 44924),
(101199, 'MF_00317', NULL, 'DNA polymerase sliding clamp [pcn].', NULL, NULL, 'DNApol_clamp_arch', 44925),
(101200, 'MF_00691', NULL, '5-oxoprolinase subunit A [pxpA].', NULL, NULL, 'PxpA', 44926),
(101201, 'MF_01964', NULL, 'Inosine-5''-monophosphate dehydrogenase [guaB].', NULL, NULL, 'IMPDH', 44927),
(101202, 'MF_00125', NULL, 'ATP phosphoribosyltransferase regulatory subunit [hisZ].', NULL, NULL, 'HisZ', 44928),
(101203, 'MF_00486', NULL, 'Methenyltetrahydromethanopterin cyclohydrolase [mch].', NULL, NULL, 'McH', 44929),
(101204, 'MF_01636', NULL, '3-octaprenyl-4-hydroxybenzoate carboxy-lyase [ubiD].', NULL, NULL, 'UbiD', 44930),
(101205, 'MF_00390', NULL, 'Sulfurtransferase TusD [tusD].', NULL, NULL, 'Thiourid_synth_D', 44931),
(101206, 'MF_00681', NULL, '(5-formylfuran-3-yl)methyl phosphate synthase [mfnB].', NULL, NULL, 'MfnB', 44932),
(101207, 'MF_02125', NULL, '50S ribosomal protein L3 glutamine methyltransferase [prmB].', NULL, NULL, 'L3_methyltr_PrmB', 44933),
(101208, 'MF_01819', NULL, 'Transcriptional regulator SlyA [slyA].', NULL, NULL, 'HTH_type_SlyA', 44934),
(101209, 'MF_04147', NULL, 'Terminase, large subunit.', NULL, NULL, 'TERL_T7', 44935),
(101210, 'MF_00801', NULL, 'Endonuclease V [nfi].', NULL, NULL, 'Endonuclease_5', 44936),
(101211, 'MF_04029', NULL, 'Thymidine kinase [TK].', NULL, NULL, 'HSV_KITH', 44937),
(101212, 'MF_00211', NULL, 'Anthranilate phosphoribosyltransferase [trpD].', NULL, NULL, 'TrpD', 44938),
(101213, 'MF_01060', NULL, 'Periplasmic trehalase [treA].', NULL, NULL, 'Peripl_trehalase', 44939),
(101214, 'MF_01295', NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit KbaZ [kbaZ].', NULL, NULL, 'Tagatose_aldol_KbaZ', 44940),
(101215, 'MF_00403_A', NULL, '30S ribosomal protein S12 [rpsL].', NULL, NULL, 'Ribosomal_S12_A', 44941),
(101216, 'MF_00175', NULL, 'ATP-dependent Clp protease ATP-binding subunit ClpX [clpX].', NULL, NULL, 'ClpX', 44942),
(101217, 'MF_03029', NULL, 'Ribosome biogenesis protein @gn(WDR12) [WDR12].', NULL, NULL, 'WDR12', 44943),
(101218, 'MF_03022', NULL, 'Katanin p80 WD40 repeat-containing subunit B1 [KATNB1].', NULL, NULL, 'Katanin_p80_B1', 44944);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(101219, 'MF_01843', NULL, 'Protein Thf1 [thf1].', NULL, NULL, 'Thf1', 44945),
(101220, 'MF_02126', NULL, 'Release factor glutamine methyltransferase [prmC].', NULL, NULL, 'RF_methyltr_PrmC', 44946),
(101221, 'MF_00300', NULL, 'Chorismate synthase [aroC].', NULL, NULL, 'Chorismate_synth', 44947),
(101222, 'MF_00900', NULL, 'GTPase HflX [hflX].', NULL, NULL, 'GTPase_HflX', 44948),
(101223, 'MF_01176', NULL, 'HTH-type transcriptional regulator IscR [iscR].', NULL, NULL, 'HTH_type_IscR', 44949),
(101224, 'MF_01449', NULL, 'HTH-type transcriptional regulator SgrR [sgrR].', NULL, NULL, 'HTH_type_SgrR', 44950),
(101225, 'MF_01022', NULL, 'Histidine biosynthesis bifunctional protein HisB [hisB].', NULL, NULL, 'Bifunc_HisB', 44951),
(101226, 'MF_00938', NULL, 'DNA topoisomerase 4 subunit B [parE].', NULL, NULL, 'ParE_type1', 44952),
(101227, 'MF_01470', NULL, 'CRISPR-associated endonuclease Cas1 [cas1].', NULL, NULL, 'Cas1', 44953),
(101228, 'MF_00446', NULL, 'Aspartate 1-decarboxylase [panD].', NULL, NULL, 'PanD', 44954),
(101229, 'MF_00349', NULL, '50S ribosomal protein L34e [rpl34e].', NULL, NULL, 'Ribosomal_L34e', 44955),
(101230, 'MF_00717', NULL, 'Photosystem II protein Y [psbY].', NULL, NULL, 'PSII_PsbY', 44956),
(101231, 'MF_01608', NULL, 'Coenzyme A disulfide reductase [cdr].', NULL, NULL, 'CoA_diS_reduct', 44957),
(101232, 'MF_00729', NULL, 'Fructose-bisphosphate aldolase class 1 [fda].', NULL, NULL, 'FBP_aldolase_1', 44958),
(101233, 'MF_01140', NULL, 'Polyisoprenyl-teichoic acid--peptidoglycan teichoic acid transferase TagU [tagU].', NULL, NULL, 'TagU_transferase', 44959),
(101234, 'MF_01913', NULL, '3-sulfolactaldehyde reductase.', NULL, NULL, 'SLA_reductase', 44960),
(101235, 'MF_00407', NULL, 'DNA ligase [lig].', NULL, NULL, 'DNA_ligase', 44961),
(101236, 'MF_01860', NULL, 'UPF0736 protein <locus_tag>.', NULL, NULL, 'UPF0736', 44962),
(101237, 'MF_00797', NULL, 'UPF0335 protein <locus_tag>.', NULL, NULL, 'UPF0335', 44963),
(101238, 'MF_00394', NULL, 'Glycerol-3-phosphate dehydrogenase [NAD(P)+] [gpsA].', NULL, NULL, 'NAD_Glyc3P_dehydrog', 44964),
(101239, 'MF_01557', NULL, 'Tagatose-6-phosphate kinase [lacC].', NULL, NULL, 'LacC', 44965),
(101240, 'MF_01615', NULL, 'Pyridoxal 5''-phosphate synthase subunit PdxT [pdxT].', NULL, NULL, 'PdxT', 44966),
(101241, 'MF_01866', NULL, 'Protein YcgL [ycgL].', NULL, NULL, 'UPF0745', 44967),
(101242, 'MF_00402', NULL, '50S ribosomal protein L19 [rplS].', NULL, NULL, 'Ribosomal_L19', 44968),
(101243, 'MF_00381', NULL, 'Integration host factor subunit beta [ihfB].', NULL, NULL, 'IHF_beta', 44969),
(101244, 'MF_04109', NULL, 'Endolysin.', NULL, NULL, 'ENDOLYSIN_LAMBDA', 44970),
(101245, 'MF_01426', NULL, 'Cation/acetate symporter ActP [actP].', NULL, NULL, 'Acet_symport_ActP', 44971),
(101246, 'MF_01696', NULL, '1D-myo-inositol 2-acetamido-2-deoxy-alpha-D-glucopyranoside deacetylase [mshB].', NULL, NULL, 'MshB', 44972),
(101247, 'MF_01808', NULL, 'Tyrosine recombinase XerC [xerC].', NULL, NULL, 'Recomb_XerC_XerD', 44973),
(101248, 'MF_02070', NULL, 'N-acetylglucosaminyldiphosphoundecaprenol N-acetyl-beta-D-mannosaminyltransferase.', NULL, NULL, 'TagA_TarA', 44974),
(101249, 'MF_00920', NULL, 'Signal recognition particle receptor FtsY [ftsY].', NULL, NULL, 'FtsY', 44975),
(101250, 'MF_00189', NULL, 'Probable intracellular septation protein A [yciB].', NULL, NULL, 'Intracell_septation_prot_A', 44976),
(101251, 'MF_00314', NULL, 'V-type ATP synthase subunit C [atpC].', NULL, NULL, 'ATP_synth_C_arch', 44977),
(101252, 'MF_00404', NULL, 'Probable oxaloacetate decarboxylase gamma chain [oadG].', NULL, NULL, 'OadG', 44978),
(101253, 'MF_00229', NULL, 'Histidine ammonia-lyase [hutH].', NULL, NULL, 'His_ammonia_lyase', 44979),
(101254, 'MF_00025', NULL, 'DNA-directed RNA polymerase subunit H [rpoH].', NULL, NULL, 'RNApol_RpoH_RPB5', 44980),
(101255, 'MF_04118', NULL, 'Internal virion protein gp14.', NULL, NULL, 'GP14_T7', 44981),
(101256, 'MF_00474', NULL, 'Photosystem I reaction center subunit PsaK [psaK].', NULL, NULL, 'PSI_PsaK', 44982),
(101257, 'MF_00497_B', NULL, 'Glycerol-1-phosphate dehydrogenase [NAD(P)+] [egsA].', NULL, NULL, 'G1P_dehydrogenase_B', 44983);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(101258, 'MF_01329', NULL, 'Photosystem II reaction center protein Ycf12 [ycf12].', NULL, NULL, 'PSII_Ycf12', 44984),
(101259, 'MF_02206', NULL, '3''-5'' exonuclease DinG [dinG].', NULL, NULL, 'DinG_exonucl', 44985),
(101260, 'MF_00958', NULL, 'Regulator of RpoS [rssB].', NULL, NULL, 'RssB', 44986),
(101261, 'MF_01540', NULL, 'Sulfite reductase [NADPH] hemoprotein beta-component [cysI].', NULL, NULL, 'CysI', 44987),
(101262, 'MF_02102', NULL, 'Putrescine carbamoyltransferase [ptcA].', NULL, NULL, 'PTCase', 44988),
(101263, 'MF_03063', NULL, 'Elongation factor G, chloroplastic.', NULL, NULL, 'EF_G_plantC', 44989),
(101264, 'MF_00811', NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase [dapD].', NULL, NULL, 'DapD', 44990),
(101265, 'MF_00740', NULL, 'Phosphopentomutase [deoB].', NULL, NULL, 'Phosphopentomut', 44991),
(101266, 'MF_02106', NULL, 'Prokaryotic ubiquitin-like protein Pup [pup].', NULL, NULL, 'Pup', 44992),
(101267, 'MF_02050', NULL, 'Fused isobutyryl-CoA mutase [icmF].', NULL, NULL, 'IcmF', 44993),
(101268, 'MF_00764', NULL, 'UPF0306 protein YhbP [yhbP].', NULL, NULL, 'UPF0306', 44994),
(101269, 'MF_01167', NULL, 'UDP-4-amino-4-deoxy-L-arabinose--oxoglutarate aminotransferase [arnB].', NULL, NULL, 'ArnB_transfer', 44995),
(101270, 'MF_02098', NULL, 'Carnitine monooxygenase reductase subunit.', NULL, NULL, 'Carnitine_monoox_B', 44996),
(101271, 'MF_01663', NULL, 'L-rhamnose mutarotase [rhaM].', NULL, NULL, 'L_rham_rotase', 44997),
(101272, 'MF_01946', NULL, 'Tubulin-like protein CetZ [cetZ].', NULL, NULL, 'CetZ', 44998),
(101273, 'MF_01315', NULL, '30S ribosomal protein S13 [rpsM].', NULL, NULL, 'Ribosomal_S13_S18', 44999),
(101274, 'MF_02211', NULL, 'Murein peptide amidase A [mpaA].', NULL, NULL, 'MpaA_carboxypeptidase', 45000),
(101275, 'MF_04094', NULL, 'Non-structural protein 3.', NULL, NULL, 'ROTA_A_NSP3', 45001),
(101276, 'MF_01581', NULL, 'UPF0482 protein YnfB [ynfB].', NULL, NULL, 'UPF0482', 45002),
(101277, 'MF_00073', NULL, 'Transcription antitermination protein NusB [nusB].', NULL, NULL, 'NusB', 45003),
(101278, 'MF_00983', NULL, 'Probable primosomal protein N'' [priA].', NULL, NULL, 'PriA', 45004),
(101279, 'MF_01988', NULL, 'Succinate--CoA ligase [ADP-forming] subunit alpha [sucD].', NULL, NULL, 'Succ_CoA_alpha', 45005),
(101280, 'MF_00644', NULL, 'Photosystem II reaction center protein Z [psbZ].', NULL, NULL, 'PSII_PsbZ', 45006),
(101281, 'MF_01869', NULL, 'Probable 4-amino-4-deoxy-L-arabinose-phosphoundecaprenol flippase subunit ArnE [arnE].', NULL, NULL, 'Flippase_ArnE', 45007),
(101282, 'MF_04066', NULL, 'Non-structural protein 1 [NS].', NULL, NULL, 'INFV_NS1', 45008),
(101283, 'MF_00803', NULL, 'Ribosome biogenesis protein Nop10 [nop10].', NULL, NULL, 'Nop10', 45009),
(101284, 'MF_02049', NULL, 'Nucleoside permease NupG [nupG].', NULL, NULL, 'NupG', 45010),
(101285, 'MF_00045', NULL, 'Oligoribonuclease [orn].', NULL, NULL, 'Oligoribonuclease', 45011),
(101286, 'MF_01647', NULL, '3-phenylpropionate-dihydrodiol/cinnamic acid-dihydrodiol dehydrogenase [hcaB].', NULL, NULL, 'HcaB', 45012),
(101287, 'MF_01629', NULL, 'Pyridoxine/pyridoxamine 5''-phosphate oxidase [pdxH].', NULL, NULL, 'PdxH', 45013),
(101288, 'MF_01592', NULL, 'Uncharacterized Nudix hydrolase NudL [nudL].', NULL, NULL, 'Nudix_NudL', 45014),
(101289, 'MF_00990', NULL, 'L-2-hydroxyglutarate dehydrogenase [lhgD].', NULL, NULL, 'L_hydroxyglutarate_dehydrogenase', 45015),
(101290, 'MF_02241', NULL, 'Phosphatidylinositol phosphate synthase.', NULL, NULL, 'PIP_synthase', 45016),
(101291, 'MF_01248', NULL, 'Glycogen debranching enzyme [glgX].', NULL, NULL, 'GlgX', 45017),
(101292, 'MF_01362', NULL, 'UPF0387 membrane protein YohO [yohO].', NULL, NULL, 'UPF0387', 45018),
(101293, 'MF_01057', NULL, 'tRNA (guanine-N(7)-)-methyltransferase [trmB].', NULL, NULL, 'tRNA_methyltr_TrmB', 45019),
(101294, 'MF_01320_B', NULL, '50S ribosomal protein L2 [rplB].', NULL, NULL, 'Ribosomal_L2_B', 45020),
(101295, 'MF_01610', NULL, 'Probable L-tyrosine/L-aspartate decarboxylase [mfnA].', NULL, NULL, 'MfnA_decarbox', 45021);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(101296, 'MF_04132', NULL, 'Outer capsid protein VP4.', NULL, NULL, 'Rota_A_VP4', 45022),
(101297, 'MF_00482', NULL, 'Photosystem I P700 chlorophyll a apoprotein A2 [psaB].', NULL, NULL, 'PSI_PsaB', 45023),
(101298, 'MF_01616', NULL, 'Membrane-bound lytic murein transglycosylase C [mltC].', NULL, NULL, 'MltC', 45024),
(101299, 'MF_01475', NULL, '50S ribosomal protein L19e [rpl19e].', NULL, NULL, 'Ribosomal_L19e', 45025),
(101300, 'MF_04201', NULL, 'Membrane protein [M].', NULL, NULL, 'ALPHA_CORONA_M', 45026),
(101301, 'MF_00828', NULL, 'Photosystem I reaction center subunit XII [psaM].', NULL, NULL, 'PSI_PsaM', 45027),
(101302, 'MF_01331_A', NULL, '50S ribosomal protein L22 [rplV].', NULL, NULL, 'Ribosomal_L22_A', 45028),
(101303, 'MF_03101', NULL, 'Deoxyhypusine hydroxylase [DOHH].', NULL, NULL, 'Deoxyhypusine_hydroxylase', 45029),
(101304, 'MF_00909', NULL, 'Cell division protein FtsZ [ftsZ].', NULL, NULL, 'FtsZ', 45030),
(101305, 'MF_00108', NULL, '2-C-methyl-D-erythritol 4-phosphate cytidylyltransferase [ispD].', NULL, NULL, 'IspD', 45031),
(101306, 'MF_01614', NULL, 'NADPH dehydrogenase [namA].', NULL, NULL, 'NamA', 45032),
(101307, 'MF_00730', NULL, 'Nucleoid-associated protein YejK [yejK].', NULL, NULL, 'NdpA', 45033),
(101308, 'MF_00679', NULL, 'Chaperone protein HscA [hscA].', NULL, NULL, 'HscA', 45034),
(101309, 'MF_04004', NULL, 'Protein E7 [E7].', NULL, NULL, 'PPV_E7', 45035),
(101310, 'MF_00799', NULL, 'UPF0336 protein <locus_tag>.', NULL, NULL, 'UPF0336', 45036),
(101311, 'MF_01032', NULL, 'Methanogen homoaconitase small subunit [hacB].', NULL, NULL, 'LeuD_type2', 45037),
(101312, 'MF_00120', NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit A [gatA].', NULL, NULL, 'GatA', 45038),
(101313, 'MF_01982', NULL, '2-phytyl-1,4-naphtoquinone methyltransferase [menG].', NULL, NULL, 'MenG_phylloquinone_subfam', 45039),
(101314, 'MF_01920', NULL, 'ATP-dependent DNA helicase Rep [rep].', NULL, NULL, 'Helicase_Rep', 45040),
(101315, 'MF_00959', NULL, 'RNA polymerase sigma factor RpoS [rpoS].', NULL, NULL, 'Sigma70_RpoS', 45041),
(101316, 'MF_00734', NULL, 'Tagatose 1,6-diphosphate aldolase [lacD].', NULL, NULL, 'LacD', 45042),
(101317, 'MF_02120', NULL, 'Diaminopimelate decarboxylase [lysA].', NULL, NULL, 'LysA', 45043),
(101318, 'MF_01424', NULL, 'Multidrug resistance protein MdtC [mdtC].', NULL, NULL, 'MdtC', 45044),
(101319, 'MF_01126', NULL, 'UPF0298 protein <locus_tag>.', NULL, NULL, 'UPF0298', 45045),
(101320, 'MF_02083', NULL, '[LysW]-L-2-aminoadipate/[LysW]-L-glutamate phosphate reductase [lysY].', NULL, NULL, 'LysY', 45046),
(101321, 'MF_01479', NULL, 'Transcriptional regulator WhiB [whiB].', NULL, NULL, 'WhiB', 45047),
(101322, 'MF_00459', NULL, 'Ion-translocating oxidoreductase complex subunit A [rsxA].', NULL, NULL, 'RsxA_RnfA', 45048),
(101323, 'MF_00999', NULL, 'Sulfofructose kinase.', NULL, NULL, 'SF_kinase', 45049),
(101324, 'MF_03010', NULL, 'Eukaryotic translation initiation factor 3 subunit K [EIF3K].', NULL, NULL, 'eIF3k', 45050),
(101325, 'MF_00504', NULL, 'Peptidase B [pepB].', NULL, NULL, 'Aminopeptidase_M17', 45051),
(101326, 'MF_04036', NULL, 'Envelope glycoprotein L [gL].', NULL, NULL, 'HSV_GL_betahv', 45052),
(101327, 'MF_00180', NULL, '3,4-dihydroxy-2-butanone 4-phosphate synthase [ribB].', NULL, NULL, 'RibB', 45053),
(101328, 'MF_01820', NULL, 'Small ribosomal subunit biogenesis GTPase RsgA [rsgA].', NULL, NULL, 'GTPase_RsgA', 45054),
(101329, 'MF_01889', NULL, 'Penicillin-binding protein activator LpoB [lpoB].', NULL, NULL, 'LpoB', 45055),
(101330, 'MF_00136', NULL, 'S-adenosylmethionine synthase [mat].', NULL, NULL, 'S_AdoMet_synth2', 45056),
(101331, 'MF_00016', NULL, 'Holliday junction ATP-dependent DNA helicase RuvB [ruvB].', NULL, NULL, 'DNA_helic_RuvB', 45057),
(101332, 'MF_00468', NULL, 'Sulfate transporter CysZ [cysZ].', NULL, NULL, 'CysZ', 45058),
(101333, 'MF_01834', NULL, 'tRNA-splicing endonuclease [endA].', NULL, NULL, 'EndA_long', 45059),
(101334, 'MF_00401', NULL, 'Peroxiredoxin.', NULL, NULL, 'Peroxiredoxin', 45060),
(101335, 'MF_01155', NULL, 'Chaperone modulatory protein CbpM [cbpM].', NULL, NULL, 'CbpM', 45061);
INSERT INTO "PUBLIC"."MODEL" VALUES
(101336, 'MF_00954', NULL, 'Regulator of nucleoside diphosphate kinase [rnk].', NULL, NULL, 'Rnk', 45062),
(101337, 'MF_00435', NULL, 'Ketol-acid reductoisomerase (NADP(+)) [ilvC].', NULL, NULL, 'IlvC', 45063),
(101338, 'MF_00299', NULL, 'Probable RNA 2''-phosphotransferase [kptA].', NULL, NULL, 'KptA', 45064),
(101339, 'MF_00297', NULL, 'NADH pyrophosphatase [nudC].', NULL, NULL, 'Nudix_NudC', 45065),
(101340, 'MF_00922', NULL, 'Outer membrane protein assembly factor BamD [bamD].', NULL, NULL, 'OM_assembly_BamD', 45066),
(101341, 'MF_00232', NULL, 'Translation initiation factor 2 subunit beta [eif2b].', NULL, NULL, 'eIF_2_beta', 45067),
(101342, 'MF_01957', NULL, 'Serine/threonine-protein kinase PknD [pknD].', NULL, NULL, 'PknD_kinase', 45068),
(101343, 'MF_00124', NULL, 'Thymidine kinase [tdk].', NULL, NULL, 'Thymidine_kinase', 45069),
(101344, 'MF_01221', NULL, 'UPF0210 protein <locus_tag>.', NULL, NULL, 'UPF0210', 45070),
(101345, 'MF_03021', NULL, 'Spastin [SPAST].', NULL, NULL, 'Spastin', 45071),
(101346, 'MF_01434', NULL, 'Monofunctional glycosyltransferase [mgt].', NULL, NULL, 'MGT', 45072),
(101347, 'MF_00519', NULL, 'L-arabinose isomerase [araA].', NULL, NULL, 'Arabinose_Isome', 45073),
(101348, 'MF_01300', NULL, 'C4-dicarboxylate transport protein [dctA].', NULL, NULL, 'C4_dicarb_transport', 45074),
(101349, 'MF_01907', NULL, 'thr operon leader peptide [thrL].', NULL, NULL, 'Leader_Thr', 45075),
(101350, 'MF_04058', NULL, 'Packaging protein 3 [L1].', NULL, NULL, 'ADV_PKG3', 45076),
(101351, 'MF_01287', NULL, 'Digeranylgeranylglycerophospholipid reductase.', NULL, NULL, 'DGGGPL_reductase', 45077),
(101352, 'MF_00086', NULL, 'S-adenosylmethionine synthase [metK].', NULL, NULL, 'S_AdoMet_synth1', 45078),
(101353, 'MF_00831', NULL, 'Putative aminoacrylate peracid reductase RutC [rutC].', NULL, NULL, 'RutC', 45079),
(101354, 'MF_02132', NULL, 'AMP phosphorylase.', NULL, NULL, 'AMP_phosphorylase', 45080),
(101355, 'MF_01474', NULL, '30S ribosomal protein S19e [rps19e].', NULL, NULL, 'Ribosomal_S19e', 45081),
(101356, 'MF_01147', NULL, 'Phosphatidylglycerol--prolipoprotein diacylglyceryl transferase [lgt].', NULL, NULL, 'Lgt', 45082),
(101357, 'MF_00781', NULL, 'Heterocyst differentiation control protein [hetR].', NULL, NULL, 'HetR', 45083),
(101358, 'MF_01902', NULL, 'Error-prone DNA polymerase [dnaE2].', NULL, NULL, 'DNApol_error_prone', 45084),
(101359, 'MF_01607', NULL, 'HTH-type transcriptional regulator YidZ [yidZ].', NULL, NULL, 'HTH_type_YidZ', 45085),
(101360, 'MF_02015', NULL, 'Nucleoid occlusion protein [noc].', NULL, NULL, 'ParB_Noc', 45086),
(101361, 'MF_00699', NULL, 'Probable Brix domain-containing ribosomal biogenesis protein.', NULL, NULL, 'BriX', 45087),
(101362, 'MF_01537', NULL, 'Pyrimidine/purine nucleoside phosphorylase [ppnP].', NULL, NULL, 'Nucleos_phosphorylase_PpnP', 45088),
(101363, 'MF_04026', NULL, 'Ribonucleoside-diphosphate reductase large subunit [RIR1].', NULL, NULL, 'HSV_RIR1', 45089),
(101364, 'MF_01976', NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, NULL, 'Phosphofructokinase_III', 45090),
(101365, 'MF_00251', NULL, '50S ribosomal protein L36 [rpmJ].', NULL, NULL, 'Ribosomal_L36', 45091),
(101366, 'MF_01184', NULL, 'Xanthine phosphoribosyltransferase [xpt].', NULL, NULL, 'XPRTase', 45092),
(101367, 'MF_01225_B', NULL, 'GTP 3'',8-cyclase [moaA].', NULL, NULL, 'MoaA_B', 45093),
(101368, 'MF_02131', NULL, '6-hydroxymethyl-7,8-dihydropterin pyrophosphokinase [mptE].', NULL, NULL, 'HMPDK_arch', 45094),
(101369, 'MF_01842', NULL, 'Archaemetzincin [amzA].', NULL, NULL, 'Archaemetzincin', 45095),
(101370, 'MF_01605', NULL, '6-phosphogluconolactonase [pgl].', NULL, NULL, '6P_gluconolactonase', 45096),
(101371, 'MF_01353', NULL, 'NAD(P)H-quinone oxidoreductase subunit N [ndhN].', NULL, NULL, 'NDH1_NDH1N', 45097),
(101372, 'MF_01312', NULL, 'Anaerobic nitric oxide reductase flavorubredoxin [norV].', NULL, NULL, 'NorV', 45098),
(101373, 'MF_00660', NULL, 'PqqA peptide cyclase [pqqE].', NULL, NULL, 'PqqE', 45099),
(101374, 'MF_01556', NULL, 'Galactose-6-phosphate isomerase subunit LacB [lacB].', NULL, NULL, 'LacB', 45100);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(101375, 'MF_00365', NULL, 'DNA replication and repair protein RecF [recF].', NULL, NULL, 'RecF', 45101),
(101376, 'MF_04074', NULL, 'Protein X [X].', NULL, NULL, 'HBV_X', 45102),
(101377, 'MF_01074', NULL, 'Pyridinium-3,5-bisthiocarboxylic acid mononucleotide nickel insertion protein [larC].', NULL, NULL, 'LarC', 45103),
(101378, 'MF_01085', NULL, 'UPF0283 membrane protein YcjF [ycjF].', NULL, NULL, 'UPF0283', 45104),
(101379, 'MF_01142', NULL, 'Antiholin-like protein LrgB [lrgB].', NULL, NULL, 'LrgB', 45105),
(101380, 'MF_00989', NULL, 'L-ribulose-5-phosphate 4-epimerase [araD].', NULL, NULL, 'AraD_entero', 45106),
(101381, 'MF_01882', NULL, 'Probable propionate kinase [pduW].', NULL, NULL, 'Propion_kin_subfam2', 45107),
(101382, 'MF_01311', NULL, 'Protein-disulfide oxidoreductase DsbI [dsbI].', NULL, NULL, 'DsbI', 45108),
(101383, 'MF_00132', NULL, 'Type 2 DNA topoisomerase 6 subunit A [top6A].', NULL, NULL, 'Top6A', 45109),
(101384, 'MF_00794', NULL, 'Putative antitoxin <locus_tag>.', NULL, NULL, 'UPF0330', 45110),
(101385, 'MF_00925', NULL, 'Outer membrane protein assembly factor BamE [bamE].', NULL, NULL, 'OM_assembly_BamE', 45111),
(101386, 'MF_01084', NULL, 'Diphthine synthase [dphB].', NULL, NULL, 'Diphthine_synth', 45112),
(101387, 'MF_01382', NULL, 'Protein translocase subunit SecA [secA].', NULL, NULL, 'SecA', 45113),
(101388, 'MF_00088', NULL, 'UPF0109 protein <locus_tag>.', NULL, NULL, 'UPF0109', 45114),
(101389, 'MF_00918', NULL, 'Probable transcriptional regulatory protein YeeN [yeeN].', NULL, NULL, 'Transcrip_reg_TACO1_YeeN', 45115),
(101390, 'MF_01363', NULL, '50S ribosomal protein L21 [rplU].', NULL, NULL, 'Ribosomal_L21', 45116),
(101391, 'MF_01024', NULL, 'Histidinol dehydrogenase [hisD].', NULL, NULL, 'HisD', 45117),
(101392, 'MF_01984', NULL, 'Flavin prenyltransferase UbiX [ubiX].', NULL, NULL, 'ubiX_pad', 45118),
(101393, 'MF_02068', NULL, 'Ribitol-5-phosphate cytidylyltransferase [tarI].', NULL, NULL, 'TarI', 45119),
(101394, 'MF_01464_B', NULL, 'Protein-export membrane protein SecF [secF].', NULL, NULL, 'SecF_B', 45120),
(101395, 'MF_00995', NULL, 'Chorismate dehydratase [mqnA].', NULL, NULL, 'MqnA', 45121),
(101396, 'MF_01528', NULL, 'Multidrug resistance protein MdtG [mdtG].', NULL, NULL, 'MFS_MdtG', 45122),
(101397, 'MF_01679', NULL, '2,3-diketo-5-methylthiopentyl-1-phosphate enolase [mtnW].', NULL, NULL, 'Salvage_MtnW', 45123),
(101398, 'MF_01072', NULL, 'Glucans biosynthesis glucosyltransferase H [mdoH].', NULL, NULL, 'MdoH_OpgH', 45124),
(101399, 'MF_00471', NULL, 'Regulator of ribonuclease activity A [rraA].', NULL, NULL, 'RraA', 45125),
(101400, 'MF_01451', NULL, 'ATP-dependent helicase/nuclease subunit A [addA].', NULL, NULL, 'AddA', 45126),
(101401, 'MF_00621', NULL, 'GTP-sensing transcriptional pleiotropic repressor CodY [codY].', NULL, NULL, 'HTH_type_CodY', 45127),
(101402, 'MF_00463', NULL, 'Ion-translocating oxidoreductase complex subunit B [rsxB].', NULL, NULL, 'RsxB_RnfB', 45128),
(101403, 'MF_00375', NULL, 'Glutamate-1-semialdehyde 2,1-aminomutase [hemL].', NULL, NULL, 'HemL_aminotrans_3', 45129),
(101404, 'MF_00157', NULL, 'Ribonuclease T [rnt].', NULL, NULL, 'RNase_T', 45130),
(101405, 'MF_01939', NULL, '2-methylisocitrate lyase [prpB].', NULL, NULL, 'PrpB', 45131),
(101406, 'MF_04027', NULL, 'Ribonucleoside-diphosphate reductase large subunit-like protein [RIR1].', NULL, NULL, 'HSV_RIR1_betahv', 45132),
(101407, 'MF_01916', NULL, 'Cardiolipin synthase.', NULL, NULL, 'Cardiolipin_synth_Cls', 45133),
(101408, 'MF_01385', NULL, 'Urease accessory protein UreF [ureF].', NULL, NULL, 'UreF', 45134),
(101409, 'MF_00975', NULL, 'Exosome complex component Csl4 [csl4].', NULL, NULL, 'Exosome_Csl4', 45135),
(101410, 'MF_00798', NULL, 'Transcription attenuation protein MtrB [mtrB].', NULL, NULL, 'Trp_attenuator', 45136),
(101411, 'MF_01646', NULL, 'Siroheme synthase [cysG].', NULL, NULL, 'Siroheme_synth', 45137),
(101412, 'MF_01985', NULL, 'Phenolic acid decarboxylase.', NULL, NULL, 'UbiD_YclC', 45138),
(101413, 'MF_00921', NULL, 'Putative pyruvate, phosphate dikinase regulatory protein.', NULL, NULL, 'PDRP', 45139);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(101414, 'MF_01535', NULL, 'Rhamnulokinase [rhaB].', NULL, NULL, 'Rhamnulokinase', 45140),
(101415, 'MF_01159', NULL, 'Initiation-control protein YabA.', NULL, NULL, 'YabA', 45141),
(101416, 'MF_01490', NULL, 'Holliday junction resolvase Hjc [hjc].', NULL, NULL, 'HJ_Resolv_Hjc', 45142),
(101417, 'MF_00110', NULL, '3-dehydroquinate synthase [aroB].', NULL, NULL, 'DHQ_synthase', 45143),
(101418, 'MF_01171', NULL, 'Arginine N-succinyltransferase [astA].', NULL, NULL, 'AstA', 45144),
(101419, 'MF_01209', NULL, 'Carbamoyl-phosphate synthase small chain [carA].', NULL, NULL, 'CPSase_S_chain', 45145),
(101420, 'MF_01854', NULL, 'Fructose-1,6-bisphosphatase class 3 [fbp].', NULL, NULL, 'FBPase_class3', 45146),
(101421, 'MF_01369_B', NULL, '50S ribosomal protein L23 [rplW].', NULL, NULL, 'Ribosomal_L23_B', 45147),
(101422, 'MF_01915', NULL, 'Lipopolysaccharide export system protein LptC [lptC].', NULL, NULL, 'LPS_assembly_LptC', 45148),
(101423, 'MF_01971', NULL, 'Kynurenine 3-monooxygenase [kmo].', NULL, NULL, 'Kynurenine_monooxygenase', 45149),
(101424, 'MF_00173', NULL, 'Arginine repressor [argR].', NULL, NULL, 'Arg_repressor', 45150),
(101425, 'MF_00523', NULL, 'UDP-3-O-(3-hydroxymyristoyl)glucosamine N-acyltransferase [lpxD].', NULL, NULL, 'LpxD', 45151),
(101426, 'MF_01433', NULL, 'Pyrimidine-specific ribonucleoside hydrolase RihB [rihB].', NULL, NULL, 'Pyrim_hydro_RihB', 45152),
(101427, 'MF_03007', NULL, 'Eukaryotic translation initiation factor 3 subunit H [EIF3H].', NULL, NULL, 'eIF3h', 45153),
(101428, 'MF_00137', NULL, 'Phosphoribosylaminoimidazole-succinocarboxamide synthase [purC].', NULL, NULL, 'SAICAR_synth', 45154),
(101429, 'MF_00756', NULL, 'Ribonuclease P protein component 3 [rnp3].', NULL, NULL, 'RNase_P_3', 45155),
(101430, 'MF_00635', NULL, 'Probable deoxyuridine 5''-triphosphate nucleotidohydrolase [dut].', NULL, NULL, 'dUTPase_arch', 45156),
(101431, 'MF_00665', NULL, 'Small, acid-soluble spore protein O [sspO].', NULL, NULL, 'SspO', 45157),
(101432, 'MF_00784', NULL, 'Accessory gene regulator protein B [agrB].', NULL, NULL, 'AgrB', 45158),
(101433, 'MF_01332', NULL, 'Secretion monitor [secM].', NULL, NULL, 'SecM', 45159),
(101434, 'MF_01632', NULL, 'Chorismate pyruvate-lyase [ubiC].', NULL, NULL, 'UbiC', 45160),
(101435, 'MF_01317', NULL, 'Photosystem II reaction center protein L [psbL].', NULL, NULL, 'PSII_PsbL', 45161),
(101436, 'MF_01875', NULL, 'Non-homologous end joining protein Ku [ku].', NULL, NULL, 'Prokaryotic_Ku', 45162),
(101437, 'MF_03052', NULL, 'Molybdopterin synthase catalytic subunit [cnxH].', NULL, NULL, 'MOC2B', 45163),
(101438, 'MF_04043', NULL, 'Inner tegument protein.', NULL, NULL, 'HSV_ITP', 45164),
(101439, 'MF_01852', NULL, 'Threonylcarbamoyl-AMP synthase [tsaC].', NULL, NULL, 'TsaC', 45165),
(101440, 'MF_01883', NULL, '2-(5''''-triphosphoribosyl)-3''-dephosphocoenzyme-A synthase [mdcB].', NULL, NULL, 'MdcB', 45166),
(101441, 'MF_01249', NULL, 'HPr kinase/phosphorylase [hprK].', NULL, NULL, 'HPr_kinase', 45167),
(101442, 'MF_01940', NULL, 'RNA 2'',3''-cyclic phosphodiesterase [thpR].', NULL, NULL, 'RNA_CPDase', 45168),
(101443, 'MF_02112', NULL, 'Proteasome-associated ATPase [mpa].', NULL, NULL, 'ARC_ATPase', 45169),
(101444, 'MF_01850', NULL, 'tRNA-cytidine(32) 2-sulfurtransferase [ttcA].', NULL, NULL, 'TtcA', 45170),
(101445, 'MF_00942', NULL, 'Endonuclease III [nth].', NULL, NULL, 'Nth', 45171),
(101446, 'MF_02117', NULL, 'N(2)-fixation sustaining protein CowN [cowN].', NULL, NULL, 'CowN', 45172),
(101447, 'MF_01379', NULL, 'Photosystem II protein D1 [psbA].', NULL, NULL, 'PSII_PsbA_D1', 45173),
(101448, 'MF_04128', NULL, 'Protein VP3.', NULL, NULL, 'Rota_VP3_A', 45174),
(101449, 'MF_00226_A', NULL, 'Putative competence-damage inducible protein [cinA].', NULL, NULL, 'CinA_A', 45175),
(101450, 'MF_00266', NULL, 'tRNA(Phe) 7-((3-amino-3-carboxypropyl)-4-demethylwyosine(37)-N(4))-methyltransferase [taw3].', NULL, NULL, 'TYW3_archaea', 45176),
(101451, 'MF_00263', NULL, 'UPF0127 protein <locus_tag>.', NULL, NULL, 'UPF0127', 45177),
(101452, 'MF_00545', NULL, '30S ribosomal protein S24e [rps24e].', NULL, NULL, 'Ribosomal_S24e', 45178);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(101453, 'MF_01280', NULL, 'Processive diacylglycerol beta-glucosyltransferase [ugtP].', NULL, NULL, 'Diacylglyc_glucosyltr', 45179),
(101454, 'MF_01289', NULL, 'D-galactonate dehydratase [dgoD].', NULL, NULL, 'Galacton_dehydrat', 45180),
(101455, 'MF_00192', NULL, 'DNA-directed RNA polymerase subunit K [rpoK].', NULL, NULL, 'RNApol_arch_K', 45181),
(101456, 'MF_04055', NULL, 'DNA polymerase [POL].', NULL, NULL, 'ADV_DPOL', 45182),
(101457, 'MF_00152', NULL, 'Probable endonuclease 4 [nfo].', NULL, NULL, 'Nfo', 45183),
(101458, 'MF_00988', NULL, 'D-allose kinase [alsK].', NULL, NULL, 'Allose_kinase', 45184),
(101459, 'MF_00239', NULL, 'Cytidylate kinase [cmk].', NULL, NULL, 'Cytidyl_kinase_type2', 45185),
(101460, 'MF_02230', NULL, 'Ribose 1,5-bisphosphate isomerase.', NULL, NULL, 'R15P_isomerase', 45186),
(101461, 'MF_02229', NULL, '5-deoxyribose 1-phosphate isomerase [drdI].', NULL, NULL, 'Deoxyribose1P_isomerase', 45187),
(101462, 'MF_00689', NULL, 'Aspartate/glutamate leucyltransferase [bpt].', NULL, NULL, 'Bpt', 45188),
(101463, 'MF_01236', NULL, 'HTH-type transcriptional repressor NanR [nanR].', NULL, NULL, 'HTH_NanR', 45189),
(101464, 'MF_02226', NULL, 'D-allulose-6-phosphate 3-epimerase [alsE].', NULL, NULL, 'AlluloseP_3_epimer', 45190),
(101465, 'MF_01119', NULL, 'UPF0294 protein YafD [yafD].', NULL, NULL, 'UPF0294', 45191),
(101466, 'MF_00024', NULL, 'Cobalamin biosynthesis protein CbiB [cbiB].', NULL, NULL, 'CobD_CbiB', 45192),
(101467, 'MF_00040', NULL, 'Ribosome-recycling factor [frr].', NULL, NULL, 'RRF', 45193),
(101468, 'MF_00212', NULL, 'Probable malate:quinone oxidoreductase [mqo].', NULL, NULL, 'MQO', 45194),
(101469, 'MF_04035', NULL, 'Envelope glycoprotein M [gM].', NULL, NULL, 'HSV_GM', 45195),
(101470, 'MF_01587', NULL, 'DNA ligase B [ligB].', NULL, NULL, 'DNA_ligase_B', 45196),
(101471, 'MF_01546', NULL, 'Protein AaeX [aaeX].', NULL, NULL, 'AaeX', 45197),
(101472, 'MF_03129', NULL, 'Lipoyl synthase, chloroplastic [LIP1P].', NULL, NULL, 'Lipoyl_synth_plantC', 45198),
(101473, 'MF_00384', NULL, 'Homoserine kinase [thrB].', NULL, NULL, 'Homoser_kinase', 45199),
(101474, 'MF_01328_B', NULL, '50S ribosomal protein L4 [rplD].', NULL, NULL, 'Ribosomal_L4_B', 45200),
(101475, 'MF_01158', NULL, 'DnaA regulatory inactivator Hda [hda].', NULL, NULL, 'Hda', 45201),
(101476, 'MF_00049_A', NULL, 'Leucine--tRNA ligase [leuS].', NULL, NULL, 'Leu_tRNA_synth_A', 45202),
(101477, 'MF_04054', NULL, 'DNA-binding protein [DBP].', NULL, NULL, 'ADV_DNB2', 45203),
(101478, 'MF_01242', NULL, 'Aliphatic amidase [amiE].', NULL, NULL, 'Aliphatic_amidase', 45204),
(101479, 'MF_01260', NULL, 'Pimeloyl-[acyl-carrier protein] methyl ester esterase [bioH].', NULL, NULL, 'Carboxylester', 45205),
(101480, 'MF_01513', NULL, 'Putative phenylalanine aminotransferase [pat].', NULL, NULL, 'Phe_aminotrans_2', 45206),
(101481, 'MF_00926', NULL, 'RNA polymerase-binding transcription factor DksA [dksA].', NULL, NULL, 'DksA', 45207),
(101482, 'MF_00293', NULL, 'Protein PsbN [psbN].', NULL, NULL, 'PSII_PsbN', 45208),
(101483, 'MF_00326', NULL, '50S ribosomal protein L7Ae [rpl7ae].', NULL, NULL, 'Ribosomal_L7Ae_Arch', 45209),
(101484, 'MF_01522', NULL, 'Low affinity potassium transport system protein kup [kup].', NULL, NULL, 'Kup', 45210),
(101485, 'MF_00150', NULL, 'N-acetyl-gamma-glutamyl-phosphate reductase [argC].', NULL, NULL, 'ArgC_type1', 45211),
(101486, 'MF_00064', NULL, 'Sulfate adenylyltransferase subunit 2 [cysD].', NULL, NULL, 'Sulf_adenylyltr_sub2', 45212),
(101487, 'MF_00838', NULL, 'Diadenylate cyclase [dacB].', NULL, NULL, 'DacB', 45213),
(101488, 'MF_00396', NULL, 'Cytochrome b6-f complex subunit 7 [petM].', NULL, NULL, 'Cytb6_f_PetM', 45214),
(101489, 'MF_00408', NULL, 'TATA-box-binding protein [tbp].', NULL, NULL, 'TATA_bind_prot_arch', 45215),
(101490, 'MF_00667', NULL, 'Small, acid-soluble spore protein H [sspH].', NULL, NULL, 'SspH', 45216),
(101491, 'MF_00652', NULL, 'UPF0246 protein YaaA [yaaA].', NULL, NULL, 'UPF0246', 45217),
(101492, 'MF_00846', NULL, 'Ribosome protection protein VmlR [vmlR].', NULL, NULL, 'VmlR', 45218);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(101493, 'MF_01589', NULL, 'Carboxy-S-adenosyl-L-methionine synthase [cmoA].', NULL, NULL, 'Cx_SAM_synthase', 45219),
(101494, 'MF_01178', NULL, 'Sigma factor-binding protein Crl [crl].', NULL, NULL, 'Crl', 45220),
(101495, 'MF_01498', NULL, 'DNA repair protein RadA [radA].', NULL, NULL, 'RadA_bact', 45221),
(101496, 'MF_01675', NULL, 'O-phospho-L-seryl-tRNA:Cys-tRNA synthase.', NULL, NULL, 'Sep_Cys_tRNA_synth', 45222),
(101497, 'MF_01467', NULL, 'Hypoxanthine/guanine phosphoribosyltransferase [hpt].', NULL, NULL, 'Hypx_phosphoribosyltr', 45223),
(101498, 'MF_00184', NULL, 'Threonine--tRNA ligase [thrS].', NULL, NULL, 'Thr_tRNA_synth', 45224),
(101499, 'MF_01056', NULL, 'Protein FixB [fixB].', NULL, NULL, 'FixB', 45225),
(101500, 'MF_01073', NULL, 'Macrodomain Ter protein [matP].', NULL, NULL, 'MatP', 45226),
(101501, 'MF_01370', NULL, 'Photosystem II reaction center Psb28 protein [psb28].', NULL, NULL, 'PSII_Psb28', 45227),
(101502, 'MF_01408', NULL, 'Flavin-dependent thymidylate synthase [thyX].', NULL, NULL, 'ThyX', 45228),
(101503, 'MF_02010', NULL, 'Anti-adapter protein IraD [iraD].', NULL, NULL, 'IraD', 45229),
(101504, 'MF_01960', NULL, 'D-aminopeptidase [dap].', NULL, NULL, 'D_aminopeptidase', 45230),
(101505, 'MF_00657', NULL, 'PKHD-type hydroxylase YbiX [ybiX].', NULL, NULL, 'Hydroxyl_YbiX', 45231),
(101506, 'MF_00259', NULL, 'Aminomethyltransferase [gcvT].', NULL, NULL, 'GcvT', 45232),
(101507, 'MF_01422', NULL, 'Multidrug resistance protein MdtA [mdtA].', NULL, NULL, 'MdtA', 45233),
(101508, 'MF_00630', NULL, 'UPF0232 protein <locus_tag>.', NULL, NULL, 'UPF0232', 45234),
(101509, 'MF_04127', NULL, 'Inner capsid protein VP2.', NULL, NULL, 'Rota_VP2_A', 45235),
(101510, 'MF_01372', NULL, 'UPF0412 protein YaaI [yaaI].', NULL, NULL, 'UPF0412', 45236),
(101511, 'MF_03004', NULL, 'Eukaryotic translation initiation factor 3 subunit E [EIF3E].', NULL, NULL, 'eIF3e', 45237),
(101512, 'MF_04106', NULL, 'Baseplate wedge protein gp10.', NULL, NULL, 'BP10_T4', 45238),
(101513, 'MF_04007', NULL, 'Major DNA-binding protein [DBP].', NULL, NULL, 'HSV_DNBI', 45239),
(101514, 'MF_00773', NULL, '50S ribosomal protein L24e [rpl24e].', NULL, NULL, 'Ribosomal_L24e', 45240),
(101515, 'MF_01323', NULL, 'DNA-directed RNA polymerase subunit gamma [rpoC1].', NULL, NULL, 'RNApol_bact_RpoC1', 45241),
(101516, 'MF_02062', NULL, 'Sodium/glutamate symporter [gltS].', NULL, NULL, 'GltS', 45242),
(101517, 'MF_03170', NULL, 'Adenylate kinase 4, mitochondrial [AK4].', NULL, NULL, 'Adenylate_kinase_AK4', 45243),
(101518, 'MF_00274', NULL, 'Nucleoid-associated protein YbaB [ybaB].', NULL, NULL, 'DNA_YbaB_EbfC', 45244),
(101519, 'MF_00176', NULL, 'Serine--tRNA ligase [serS].', NULL, NULL, 'Ser_tRNA_synth_type1', 45245),
(101520, 'MF_01979', NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, NULL, 'Phosphofructokinase_II_Short', 45246),
(101521, 'MF_03193', NULL, 'Ubiquinone biosynthesis monooxygenase COQ6, mitochondrial [COQ6].', NULL, NULL, 'COQ6_monooxygenase', 45247),
(101522, 'MF_00992', NULL, 'Cyclic dehypoxanthine futalosine synthase [mqnC].', NULL, NULL, 'MqnC', 45248),
(101523, 'MF_01904', NULL, 'Phosphoenolpyruvate carboxylase [ppcA].', NULL, NULL, 'PEPcase_type2', 45249),
(101524, 'MF_02047', NULL, '6-phosphogluconate dehydrogenase, NAD(+)-dependent, decarboxylating.', NULL, NULL, '6PGDH_archaea', 45250),
(101525, 'MF_03117', NULL, 'Enolase-phosphatase E1 [ENOPH1].', NULL, NULL, 'Salvage_MtnC_euk', 45251),
(101526, 'MF_01213', NULL, 'Deoxyguanosinetriphosphate triphosphohydrolase-like protein.', NULL, NULL, 'dGTPase_type3', 45252),
(101527, 'MF_00466', NULL, 'Probable M18 family aminopeptidase 1 [apeA].', NULL, NULL, 'Aminopeptidase_M18_1', 45253),
(101528, 'MF_00245', NULL, 'UPF0122 protein <locus_tag>.', NULL, NULL, 'UPF0122', 45254),
(101529, 'MF_01981', NULL, 'ATP-dependent 6-phosphofructokinase [pfkA].', NULL, NULL, 'Phosphofructokinase_II_X', 45255),
(101530, 'MF_00356', NULL, 'DNA polymerase III PolC-type [polC].', NULL, NULL, 'DNApol_PolC', 45256),
(101531, 'MF_00449', NULL, 'DNA double-strand break repair Rad50 ATPase [rad50].', NULL, NULL, 'RAD50', 45257);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(101532, 'MF_00207', NULL, 'Probable manganese-dependent inorganic pyrophosphatase [ppaC].', NULL, NULL, 'PPase_C', 45258),
(101533, 'MF_00584', NULL, 'Putative HTH-type transcriptional regulatory protein <locus_tag>.', NULL, NULL, 'HTH_type_cro_C1', 45259),
(101534, 'MF_00971', NULL, 'DNA-binding protein MutS2 [mutS2].', NULL, NULL, 'MutS2_archaea', 45260),
(101535, 'MF_00276', NULL, 'Potassium-transporting ATPase KdpC subunit [kdpC].', NULL, NULL, 'KdpC', 45261),
(101536, 'MF_00765', NULL, 'UPF0307 protein YjgA [yjgA].', NULL, NULL, 'UPF0307', 45262),
(101537, 'MF_00018', NULL, 'UPF0758 protein YicR [yicR].', NULL, NULL, 'UPF0758_YicR', 45263),
(101538, 'MF_00770', NULL, 'Rhamnulose-1-phosphate aldolase [rhaD].', NULL, NULL, 'RhaD', 45264),
(101539, 'MF_01845', NULL, 'UPF0597 protein YhaM [yhaM].', NULL, NULL, 'UPF0597', 45265),
(101540, 'MF_00082', NULL, 'Acetylglutamate kinase [argB].', NULL, NULL, 'ArgB', 45266),
(101541, 'MF_01062', NULL, 'Phosphoenolpyruvate synthase regulatory protein [ppsR].', NULL, NULL, 'PSRP', 45267),
(101542, 'MF_01669', NULL, '3D-(3,5/4)-trihydroxycyclohexane-1,2-dione hydrolase [iolD].', NULL, NULL, 'IolD', 45268),
(101543, 'MF_00445', NULL, 'NAD(P)H-quinone oxidoreductase subunit 2, chloroplastic [ndhB].', NULL, NULL, 'NDH1_NuoN_1', 45269),
(101544, 'MF_04022', NULL, 'Small capsomere-interacting protein [SCP].', NULL, NULL, 'HSV_SCP_gammahv', 45270),
(101545, 'MF_01910', NULL, 'Probable ribonuclease FAU-1 [fau-1].', NULL, NULL, 'RNA_binding_AU_1', 45271),
(101546, 'MF_00850', NULL, 'Pyruvate dehydrogenase [ubiquinone] [poxB].', NULL, NULL, 'POX', 45272),
(101547, 'MF_00509', NULL, 'Cell division protein ZipA [zipA].', NULL, NULL, 'ZipA', 45273),
(101548, 'MF_01033', NULL, '3-isopropylmalate dehydrogenase [leuB].', NULL, NULL, 'LeuB_type1', 45274),
(101549, 'MF_02042', NULL, 'tRNA-dihydrouridine synthase B [dusB].', NULL, NULL, 'DusB_subfam', 45275),
(101550, 'MF_00422', NULL, 'Protein translocase subunit SecE [secE].', NULL, NULL, 'SecE', 45276),
(101551, 'MF_00019', NULL, 'Phosphate acyltransferase [plsX].', NULL, NULL, 'PlsX', 45277),
(101552, 'MF_00393', NULL, 'Glycerol-3-phosphate acyltransferase [plsB].', NULL, NULL, 'Glyc3P_acyltrans', 45278),
(101553, 'MF_00591', NULL, 'Exosome complex component Rrp41 [rrp41].', NULL, NULL, 'Exosome_Rrp41', 45279),
(101554, 'MF_01182', NULL, 'Cytochrome c-552 [nrfA].', NULL, NULL, 'Cytochrom_C552', 45280),
(101555, 'MF_00777', NULL, '30S ribosomal protein S27ae [rps27ae].', NULL, NULL, 'Ribosomal_S27ae', 45281),
(101556, 'MF_01687', NULL, 'Beta-galactosidase [lacZ].', NULL, NULL, 'Beta_gal', 45282),
(101557, 'MF_03106', NULL, 'Sulfate adenylyltransferase [MET3].', NULL, NULL, 'Sulf_adenylyltr_euk', 45283),
(101558, 'MF_04089', NULL, 'Non-structural protein 2.', NULL, NULL, 'ROTA_NSP2', 45284),
(101559, 'MF_01017', NULL, 'NAD(P)H dehydrogenase (quinone).', NULL, NULL, 'NQOR', 45285),
(101560, 'MF_00606', NULL, 'UV DNA damage endonuclease [uvsE].', NULL, NULL, 'UV_endonuclease', 45286),
(101561, 'MF_00614', NULL, 'Flap endonuclease 1 [fen].', NULL, NULL, 'Fen', 45287),
(101562, 'MF_00494', NULL, 'Probable transaldolase [tal].', NULL, NULL, 'Transaldolase_3b', 45288),
(101563, 'MF_00626', NULL, 'Germination protease [gpr].', NULL, NULL, 'Germination_prot', 45289),
(101564, 'MF_01867', NULL, 'Putative cysteine ligase BshC [bshC].', NULL, NULL, 'BshC', 45290),
(101565, 'MF_01641', NULL, 'UPF0509 protein YciZ [yciZ].', NULL, NULL, 'UPF0509', 45291),
(101566, 'MF_01551', NULL, 'Ribosomal RNA large subunit methyltransferase M [rlmM].', NULL, NULL, '23SrRNA_methyltr_M', 45292),
(101567, 'MF_00052_A', NULL, 'Ribonuclease HII [rnhB].', NULL, NULL, 'RNase_HII_A', 45293),
(101568, 'MF_01326_B', NULL, '50S ribosomal protein L24 [rplX].', NULL, NULL, 'Ribosomal_L24_B', 45294),
(101569, 'MF_01411', NULL, 'LPS-assembly protein LptD [lptD].', NULL, NULL, 'LPS_assembly_LptD', 45295),
(101570, 'MF_01001', NULL, 'UDP-N-acetyl-D-mannosaminuronic acid transferase [wecG].', NULL, NULL, 'WecG_RffM', 45296),
(101571, 'MF_01925', NULL, 'Pyrroline-5-carboxylate reductase [proC].', NULL, NULL, 'P5C_reductase', 45297); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(101572, 'MF_00438', NULL, 'Photosystem II reaction center protein M [psbM].', NULL, NULL, 'PSII_PsbM', 45298),
(101573, 'MF_02234', NULL, 'N-acetylornithine carbamoyltransferase [argF''].', NULL, NULL, 'AOTCase', 45299),
(101574, 'MF_01128', NULL, 'H(+)/Cl(-) exchange transporter ClcA [clcA].', NULL, NULL, 'CLC_ClcA', 45300),
(101575, 'MF_00039', NULL, 'Putative adenylate kinase.', NULL, NULL, 'Adenylate_kinase_AK6', 45301),
(101576, 'MF_02082', NULL, '[LysW]-aminoadipate/[LysW]-glutamate kinase [lysZ].', NULL, NULL, 'LysZ', 45302),
(101577, 'MF_00014', NULL, 'Ribosome maturation factor RimM [rimM].', NULL, NULL, 'Ribosome_mat_RimM', 45303),
(101578, 'MF_00181', NULL, 'Probable cytosol aminopeptidase [pepA].', NULL, NULL, 'Cytosol_peptidase_M17', 45304),
(101579, 'MF_01021', NULL, 'Phosphoribosyl-AMP cyclohydrolase [hisI].', NULL, NULL, 'HisI', 45305),
(101580, 'MF_00747', NULL, 'Isocitrate dehydrogenase kinase/phosphatase [aceK].', NULL, NULL, 'AceK', 45306),
(101581, 'MF_00099', NULL, 'Protein-glutamate methylesterase/protein-glutamine glutaminase [cheB].', NULL, NULL, 'CheB_chemtxs', 45307),
(101582, 'MF_02040', NULL, 'Iron-sulfur cluster carrier protein.', NULL, NULL, 'Mrp_NBP35', 45308),
(101583, 'MF_02111', NULL, 'Pup--protein ligase [pafA].', NULL, NULL, 'Pup_ligase', 45309),
(101584, 'MF_00556', NULL, 'Bacteriohemerythrin.', NULL, NULL, 'Hemerythrin', 45310),
(101585, 'MF_01574', NULL, '6-phospho-beta-galactosidase [lacG].', NULL, NULL, 'LacG', 45311),
(101586, 'MF_00715', NULL, 'Protein SlyX [slyX].', NULL, NULL, 'SlyX', 45312),
(101587, 'MF_01100', NULL, '5''-deoxynucleotidase YfbR [yfbR].', NULL, NULL, '5DNU', 45313),
(101588, 'MF_01950', NULL, 'Acyl carrier protein phosphodiesterase [acpH].', NULL, NULL, 'AcpH', 45314),
(101589, 'MF_00646', NULL, 'Elongation factor P-like protein [yeiP].', NULL, NULL, 'EFP', 45315),
(101590, 'MF_00478', NULL, 'Ion-translocating oxidoreductase complex subunit E [rsxE].', NULL, NULL, 'RsxE_RnfE', 45316),
(101591, 'MF_01849', NULL, 'Dual-specificity RNA methyltransferase RlmN [rlmN].', NULL, NULL, 'RNA_methyltr_RlmN', 45317),
(101592, 'MF_01202', NULL, 'D-amino acid dehydrogenase [dadA].', NULL, NULL, 'DadA', 45318),
(101593, 'MF_01350', NULL, 'NAD(P)H-quinone oxidoreductase subunit 1, chloroplastic [ndhA].', NULL, NULL, 'NDH1_NuoH', 45319),
(101594, 'MF_01569', NULL, 'Proline--tRNA ligase [proS].', NULL, NULL, 'Pro_tRNA_synth_type1', 45320),
(101595, 'MF_04092', NULL, 'Non-structural protein 5.', NULL, NULL, 'ROTA_NSP5', 45321),
(101596, 'MF_04207', NULL, 'Hemagglutinin-esterase [HE].', NULL, NULL, 'BETA_CORONA_HE', 45322),
(101597, 'MF_00511', NULL, '30S ribosomal protein S17e [rps17e].', NULL, NULL, 'Ribosomal_S17e', 45323),
(101598, 'MF_03056', NULL, 'tRNA (guanine-N(7)-)-methyltransferase non-catalytic subunit <gene_name> [WDR4].', NULL, NULL, 'TRM82', 45324),
(101599, 'MF_00204', NULL, 'UvrABC system protein B [uvrB].', NULL, NULL, 'UvrB', 45325),
(101600, 'MF_01666', NULL, 'Glyoxylate/hydroxypyruvate reductase A [ghrA].', NULL, NULL, '2_Hacid_dh_C_GhrA', 45326),
(101601, 'MF_04140', NULL, 'Flap endonuclease.', NULL, NULL, 'FEN_T5', 45327),
(101602, 'MF_00098', NULL, 'Methionine--tRNA ligase [metG].', NULL, NULL, 'Met_tRNA_synth_type1', 45328),
(101603, 'MF_01487', NULL, 'RecBCD enzyme subunit RecD [recD].', NULL, NULL, 'RecD', 45329),
(101604, 'MF_00712', NULL, 'Probable glycine dehydrogenase (decarboxylating) subunit 1 [gcvPA].', NULL, NULL, 'GcvPA', 45330),
(101605, 'MF_01450', NULL, 'Acylphosphatase [yccX].', NULL, NULL, 'Acylphosphatase_entero', 45331),
(101606, 'MF_00701', NULL, 'DNA primase large subunit PriL [priL].', NULL, NULL, 'DNA_primase_lrg_arc', 45332),
(101607, 'MF_03212', NULL, 'NADPH--cytochrome P450 reductase [POR].', NULL, NULL, 'NCPR', 45333),
(101608, 'MF_02045', NULL, 'Phosphoribosylaminoimidazole carboxylase [purE].', NULL, NULL, 'PurE_classII', 45334),
(101609, 'MF_01065', NULL, 'UPF0257 lipoprotein YnfC [ynfC].', NULL, NULL, 'UPF0257', 45335),
(101610, 'MF_00820', NULL, '2,3-diketo-L-gulonate reductase [dlgD].', NULL, NULL, 'Diketo_gul_reduc', 45336);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(101611, 'MF_00936', NULL, 'DNA topoisomerase 4 subunit A [parC].', NULL, NULL, 'ParC_type1', 45337),
(101612, 'MF_01162', NULL, 'Bifunctional protein Aas [aas].', NULL, NULL, 'Aas', 45338),
(101613, 'MF_01333_B', NULL, '50S ribosomal protein L5 [rplE].', NULL, NULL, 'Ribosomal_L5_B', 45339),
(101614, 'MF_02052', NULL, '3-hydroxy-5-phosphonooxypentane-2,4-dione thiolase [lsrF].', NULL, NULL, 'LsrF', 45340),
(101615, 'MF_01473', NULL, 'UDP-N-acetylglucosamine--peptide N-acetylglucosaminyltransferase stabilizing protein GtfB [gtfB].', NULL, NULL, 'GtfB', 45341),
(101616, 'MF_03030', NULL, 'Mitochondrial genome maintenance exonuclease 1 [MGME1].', NULL, NULL, 'MGME1', 45342),
(101617, 'MF_01677', NULL, 'Methylthioribulose-1-phosphate dehydratase [mtnB].', NULL, NULL, 'Salvage_MtnB', 45343),
(101618, 'MF_01639', NULL, 'Pyridoxal kinase PdxY [pdxY].', NULL, NULL, 'PdxY', 45344),
(101619, 'MF_00503', NULL, '50S ribosomal protein L9 [rplI].', NULL, NULL, 'Ribosomal_L9', 45345),
(101620, 'MF_01193', NULL, 'Endoribonuclease SymE [symE].', NULL, NULL, 'Endoribonucl_SymE', 45346),
(101621, 'MF_04073', NULL, 'Protein P [P].', NULL, NULL, 'HBV_DPOL', 45347),
(101622, 'MF_03071', NULL, 'Chromodomain-helicase-DNA-binding protein 8 [CHD8].', NULL, NULL, 'CHD8', 45348),
(101623, 'MF_00502', NULL, '50S ribosomal protein L31 type B [rpmE2].', NULL, NULL, 'Ribosomal_L31_2', 45349),
(101624, 'MF_01259', NULL, 'Bifunctional F420 biosynthesis protein FbiB [fbiB].', NULL, NULL, 'F420_ligase_FbiB', 45350),
(101625, 'MF_01520', NULL, 'Bifunctional enzyme IspD/IspF [ispDF].', NULL, NULL, 'IspDF', 45351),
(101626, 'MF_01839', NULL, 'Nucleoid occlusion factor SlmA [slmA].', NULL, NULL, 'NO_factor_SlmA', 45352),
(101627, 'MF_01409', NULL, 'UPF0219 protein <locus_tag>.', NULL, NULL, 'UPF0219', 45353),
(101628, 'MF_01173', NULL, 'Succinylornithine transaminase [astC].', NULL, NULL, 'AstC_aminotrans_3', 45354),
(101629, 'MF_03154', NULL, '1,2-dihydroxy-3-keto-5-methylthiopentene dioxygenase [ADI1].', NULL, NULL, 'Salvage_MtnD_euk', 45355),
(101630, 'MF_01328_A', NULL, '50S ribosomal protein L4 [rplD].', NULL, NULL, 'Ribosomal_L4_A', 45356),
(101631, 'MF_01059', NULL, 'Cytoplasmic trehalase [treF].', NULL, NULL, 'Cyt_trehalase', 45357),
(101632, 'MF_00650', NULL, 'Phosphoribosyl-dephospho-CoA transferase [mdcG].', NULL, NULL, 'Malonate_MdcG', 45358),
(101633, 'MF_00089', NULL, 'Phosphomethylpyrimidine synthase [thiC].', NULL, NULL, 'ThiC', 45359),
(101634, 'MF_00814', NULL, 'Nascent polypeptide-associated complex protein [nac].', NULL, NULL, 'NAC_arch', 45360),
(101635, 'MF_00723', NULL, 'Glutathione-dependent formaldehyde-activating enzyme [gfa].', NULL, NULL, 'Formald_GSH', 45361),
(101636, 'MF_03227', NULL, 'Butyryl-CoA:acetate CoA-transferase.', NULL, NULL, 'But_acet_CoA_trans', 45362),
(101637, 'MF_00944', NULL, 'Ribosome-binding ATPase YchF [ychF].', NULL, NULL, 'YchF_OLA1_ATPase', 45363),
(101638, 'MF_01310', NULL, '30S ribosomal protein S11 [rpsK].', NULL, NULL, 'Ribosomal_S11', 45364),
(101639, 'MF_02067', NULL, 'Fructose-1,6-bisphosphate aldolase/phosphatase [fbp].', NULL, NULL, 'FBP_aldolase_phosphatase', 45365),
(101640, 'MF_00441', NULL, 'Photosystem II reaction center protein K [psbK].', NULL, NULL, 'PSII_PsbK', 45366),
(101641, 'MF_00535', NULL, 'Cyanate hydratase [cynS].', NULL, NULL, 'Cyanate_hydrat', 45367),
(101642, 'MF_01686', NULL, 'Putative thymidylate synthase [thyA].', NULL, NULL, 'Thymidy_synth_arch', 45368),
(101643, 'MF_01293', NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit KbaY [kbaY].', NULL, NULL, 'TagBP_aldolase_KbaY', 45369),
(101644, 'MF_00143', NULL, 'UPF0114 protein YqhA [yqhA].', NULL, NULL, 'UPF0114', 45370),
(101645, 'MF_00852', NULL, '(S)-8-amino-7-oxononanoate synthase BioU [bioU].', NULL, NULL, 'BioU', 45371),
(101646, 'MF_01116', NULL, '16S rRNA aminocarboxypropyltransferase.', NULL, NULL, 'TSR3', 45372),
(101647, 'MF_00844_A', NULL, 'Rqc2 homolog RqcH [rqcH].', NULL, NULL, 'RqcH_A', 45373),
(101648, 'MF_01222', NULL, 'Protein archease.', NULL, NULL, 'Archease_arch', 45374);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(101649, 'MF_01888', NULL, 'Regulator of ribonuclease activity B [rraB].', NULL, NULL, 'RraB', 45375),
(101650, 'MF_04057', NULL, 'Packaging protein 1 [IVa2].', NULL, NULL, 'ADV_PKG1', 45376),
(101651, 'MF_01393', NULL, 'ATP synthase subunit a [atpB].', NULL, NULL, 'ATP_synth_a_bact', 45377),
(101652, 'MF_02016', NULL, 'Membrane-bound lytic murein transglycosylase F [mltF].', NULL, NULL, 'MltF', 45378),
(101653, 'MF_03113', NULL, 'Golgi to ER traffic protein 1 [GET1].', NULL, NULL, 'Get1', 45379),
(101654, 'MF_01082', NULL, 'tRNA pseudouridine synthase D [truD].', NULL, NULL, 'TruD', 45380),
(101655, 'MF_01430', NULL, 'Outer membrane protein assembly factor BamA [bamA].', NULL, NULL, 'OM_assembly_BamA', 45381),
(101656, 'MF_01912', NULL, 'Sulfofructosephosphate aldolase.', NULL, NULL, 'SFP_aldolase', 45382),
(101657, 'MF_01978', NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, NULL, 'Phosphofructokinase_II_B2', 45383),
(101658, 'MF_01143', NULL, 'Holin-like protein CidA [cidA].', NULL, NULL, 'CidA', 45384),
(101659, 'MF_01190', NULL, 'HTH-type transcriptional repressor FabR [fabR].', NULL, NULL, 'HTH_type_FabR', 45385),
(101660, 'MF_00613', NULL, 'Photosystem I reaction center subunit IV [psaE].', NULL, NULL, 'PSI_PsaE', 45386),
(101661, 'MF_00140_A', NULL, 'Tryptophan--tRNA ligase [trpS].', NULL, NULL, 'Trp_tRNA_synth_A', 45387),
(101662, 'MF_01876', NULL, 'Pseudouridine-5''-phosphate glycosidase [psuG].', NULL, NULL, 'PsiMP_glycosidase', 45388),
(101663, 'MF_02076', NULL, 'Glutamate--tRNA ligase [gltX].', NULL, NULL, 'Glu_tRNA_synth_type2', 45389),
(101664, 'MF_03162', NULL, 'Putative tRNA (cytidine(32)/guanosine(34)-2''-O)-methyltransferase [TRM7].', NULL, NULL, 'RNA_methyltr_E_TRM7', 45390),
(101665, 'MF_00162', NULL, 'Glutathione synthetase [gshB].', NULL, NULL, 'GSH_S', 45391),
(101666, 'MF_00615', NULL, 'DNA-directed RNA polymerase subunit P [rpoP].', NULL, NULL, 'RNApol_arch_P', 45392),
(101667, 'MF_00910', NULL, 'Cell division protein FtsL [ftsL].', NULL, NULL, 'FtsL', 45393),
(101668, 'MF_01118', NULL, 'Uncharacterized MFS-type transporter YhhS [yhhS].', NULL, NULL, 'MFS_YhhS', 45394),
(101669, 'MF_04072', NULL, 'Hemagglutinin [HA].', NULL, NULL, 'INFV_HEMA', 45395),
(101670, 'MF_03025', NULL, 'Katanin p60 ATPase-containing subunit A-like 2 [KATNAL2].', NULL, NULL, 'Katanin_p60_AL2', 45396),
(101671, 'MF_04131', NULL, 'Outer capsid glycoprotein VP7.', NULL, NULL, 'Rota_VP7_A', 45397),
(101672, 'MF_01106', NULL, 'Arginine biosynthesis bifunctional protein ArgJ [argJ].', NULL, NULL, 'ArgJ', 45398),
(101673, 'MF_01380', NULL, 'Iron-sulfur cluster insertion protein ErpA [erpA].', NULL, NULL, 'Fe_S_insert_ErpA', 45399),
(101674, 'MF_01297', NULL, 'UPF0678 fatty acid-binding protein-like protein <locus_tag>.', NULL, NULL, 'UPF0678', 45400),
(101675, 'MF_02048', NULL, 'D-aminoacyl-tRNA deacylase [dtd3].', NULL, NULL, 'Deacylase_DTD3', 45401),
(101676, 'MF_00590', NULL, 'GTP-dependent dephospho-CoA kinase.', NULL, NULL, 'Dephospho_CoA_kinase_GTP_dep', 45402),
(101677, 'MF_02069', NULL, 'Ribulose-5-phosphate reductase [tarJ].', NULL, NULL, 'TarJ', 45403),
(101678, 'MF_04016', NULL, 'Major capsid protein [MCP].', NULL, NULL, 'HSV_MCP', 45404),
(101679, 'MF_00208', NULL, 'UDP-N-acetylmuramoyl-L-alanyl-D-glutamate--2,6-diaminopimelate ligase [murE].', NULL, NULL, 'MurE', 45405),
(101680, 'MF_01042', NULL, 'UPF0115 protein YfcN [yfcN].', NULL, NULL, 'UPF0115', 45406),
(101681, 'MF_01447', NULL, 'Probable bifunctional tRNA threonylcarbamoyladenosine biosynthesis protein.', NULL, NULL, 'Kae1_Bud32_arch', 45407),
(101682, 'MF_03102', NULL, 'Mitochondrial distribution and morphology protein 10 [MDM10].', NULL, NULL, 'Mdm10', 45408),
(101683, 'MF_01271', NULL, 'N-acetyl-D-glucosamine kinase [nagK].', NULL, NULL, 'GlcNAc_kinase', 45409),
(101684, 'MF_01335', NULL, 'Cytochrome b6-f complex iron-sulfur subunit [petC].', NULL, NULL, 'Cytb6_f_Rieske', 45410),
(101685, 'MF_01204', NULL, 'Probable malonic semialdehyde reductase RutE [rutE].', NULL, NULL, 'Oxidoreductase_RutE_HadB', 45411);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(101686, 'MF_02104', NULL, 'Lactate utilization protein C [lutC].', NULL, NULL, 'LutC', 45412),
(101687, 'MF_01020', NULL, 'Phosphoribosyl-ATP pyrophosphatase [hisE].', NULL, NULL, 'HisE', 45413),
(101688, 'MF_03035', NULL, 'Polyribonucleotide 5''-hydroxyl-kinase Clp1 [CLP1].', NULL, NULL, 'Clp1', 45414),
(101689, 'MF_00377', NULL, 'Chromosomal replication initiator protein DnaA [dnaA].', NULL, NULL, 'DnaA_bact', 45415),
(101690, 'MF_00703', NULL, 'Putative thymidine phosphorylase.', NULL, NULL, 'Thymid_phosp_2', 45416),
(101691, 'MF_01052', NULL, 'Crotonobetainyl-CoA reductase [caiA].', NULL, NULL, 'CaiA', 45417),
(101692, 'MF_01086', NULL, 'UPF0284 protein <locus_tag>.', NULL, NULL, 'UPF0284', 45418),
(101693, 'MF_00524', NULL, 'Glucokinase [glk].', NULL, NULL, 'Glucokinase', 45419),
(101694, 'MF_00047', NULL, 'D-alanine--D-alanine ligase [ddl].', NULL, NULL, 'Dala_Dala_lig', 45420),
(101695, 'MF_01830', NULL, 'Putative hydro-lyase <locus_tag>.', NULL, NULL, 'Hydro_lyase', 45421),
(101696, 'MF_02020', NULL, 'UDP-N-acetylmuramate--L-alanyl-gamma-D-glutamyl-meso-2,6-diaminoheptandioate ligase [mpl].', NULL, NULL, 'Mpl', 45422),
(101697, 'MF_00795', NULL, 'Copper homeostasis protein CutC [cutC].', NULL, NULL, 'CutC', 45423),
(101698, 'MF_00472', NULL, 'Ubiquinone biosynthesis O-methyltransferase [ubiG].', NULL, NULL, 'UbiG', 45424),
(101699, 'MF_01175', NULL, 'tRNA-modifying protein YgfZ [ygfZ].', NULL, NULL, 'tRNA_modifying_YgfZ', 45425),
(101700, 'MF_01648', NULL, '3-phenylpropionate/cinnamic acid dioxygenase subunit alpha [hcaE].', NULL, NULL, 'HcaE', 45426),
(101701, 'MF_00963', NULL, 'RNA polymerase sigma factor RpoD [rpoD].', NULL, NULL, 'Sigma70_RpoD_SigA', 45427),
(101702, 'MF_00217', NULL, 'Mevalonate kinase [mvk].', NULL, NULL, 'Mevalonate_kinase', 45428),
(101703, 'MF_00096', NULL, 'DNA mismatch repair protein MutS [mutS].', NULL, NULL, 'MutS', 45429),
(101704, 'MF_01234', NULL, 'N-acetylmannosamine kinase [nanK].', NULL, NULL, 'ManNAc_kinase', 45430),
(101705, 'MF_01237', NULL, 'N-acetylneuraminate lyase [nanA].', NULL, NULL, 'N_acetylneuram_lyase', 45431),
(101706, 'MF_04112', NULL, 'Lysis inhibition accessory protein.', NULL, NULL, 'Linr3_BPT4', 45432),
(101707, 'MF_00917', NULL, '7-carboxy-7-deazaguanine synthase [queE].', NULL, NULL, 'QueE', 45433),
(101708, 'MF_01807', NULL, 'Tyrosine recombinase XerD [xerD].', NULL, NULL, 'Recomb_XerD', 45434),
(101709, 'MF_01233', NULL, 'HTH-type transcriptional regulator HdfR [hdfR].', NULL, NULL, 'HTH_type_HdfR', 45435),
(101710, 'MF_02031', NULL, 'Galactarate dehydratase (L-threo-forming) [garD].', NULL, NULL, 'Galactar_dehydrat', 45436),
(101711, 'MF_01544', NULL, 'p-hydroxybenzoic acid efflux pump subunit AaeA [aaeA].', NULL, NULL, 'AaeA', 45437),
(101712, 'MF_01863', NULL, 'UPF0741 protein <locus_tag>.', NULL, NULL, 'UPF0741', 45438),
(101713, 'MF_04129', NULL, 'Intermediate capsid protein VP6.', NULL, NULL, 'Rota_VP6_A', 45439),
(101714, 'MF_00809', NULL, 'ADP-dependent glucose/glucosamine kinase [glkA].', NULL, NULL, 'ADP_glucokinase', 45440),
(101715, 'MF_00185', NULL, 'tRNA dimethylallyltransferase [miaA].', NULL, NULL, 'IPP_trans', 45441),
(101716, 'MF_03112', NULL, 'ATPase <gene_name> [GET3].', NULL, NULL, 'Asna1_Get3', 45442),
(101717, 'MF_02110', NULL, 'UPF0763 protein <locus_tag>.', NULL, NULL, 'UPF0763', 45443),
(101718, 'MF_00978', NULL, 'Bifunctional ligase/repressor BirA [birA].', NULL, NULL, 'Bifunct_BirA', 45444),
(101719, 'MF_01164', NULL, 'Undecaprenyl-phosphate 4-deoxy-4-formamido-L-arabinose transferase [arnC].', NULL, NULL, 'ArnC_transfer', 45445),
(101720, 'MF_01414', NULL, 'Glutathione-regulated potassium-efflux system ancillary protein KefF [kefF].', NULL, NULL, 'K_H_efflux_KefF', 45446),
(101721, 'MF_03216', NULL, 'Phosphatidyl-N-methylethanolamine N-methyltransferase [PEMT].', NULL, NULL, 'PLMT', 45447),
(101722, 'MF_00079', NULL, 'ATP phosphoribosyltransferase [hisG].', NULL, NULL, 'HisG_Long', 45448),
(101723, 'MF_01355', NULL, 'NAD(P)H-quinone oxidoreductase subunit L [ndhL].', NULL, NULL, 'NDH1_NDH1L', 45449);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(101724, 'MF_03202', NULL, 'Elongation of very long chain fatty acids protein 2 [ELOVL2].', NULL, NULL, 'VLCF_elongase_2', 45450),
(101725, 'MF_00178', NULL, '6,7-dimethyl-8-ribityllumazine synthase [ribH].', NULL, NULL, 'Lumazine_synth', 45451),
(101726, 'MF_02122', NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase [dapD].', NULL, NULL, 'DapD_type2', 45452),
(101727, 'MF_01563', NULL, 'HTH-type transcriptional regulator UlaR [ulaR].', NULL, NULL, 'HTH_type_UlaR', 45453),
(101728, 'MF_03109', NULL, 'Protein SEY1 [SEY1].', NULL, NULL, 'Sey1', 45454),
(101729, 'MF_01225_A', NULL, 'GTP 3'',8-cyclase [moaA].', NULL, NULL, 'MoaA_A', 45455),
(101730, 'MF_03059', NULL, 'Ribosome-releasing factor 2, mitochondrial [GFM2].', NULL, NULL, 'mEF_G_2', 45456),
(101731, 'MF_01080', NULL, 'tRNA pseudouridine synthase B [truB].', NULL, NULL, 'TruB_bact', 45457),
(101732, 'MF_00095', NULL, 'Sugar fermentation stimulation protein A [sfsA].', NULL, NULL, 'SfsA', 45458),
(101733, 'MF_00623', NULL, 'Exosome complex component Rrp4 [rrp4].', NULL, NULL, 'Exosome_Rrp4', 45459),
(101734, 'MF_00905', NULL, '3'',5''-cyclic adenosine monophosphate phosphodiesterase CpdA [cpdA].', NULL, NULL, 'cAMP_phosphodiest_CpdA', 45460),
(101735, 'MF_00298', NULL, 'RNA pyrophosphohydrolase [rppH].', NULL, NULL, 'Nudix_RppH', 45461),
(101736, 'MF_01518', NULL, 'Adenine deaminase [ade].', NULL, NULL, 'Adenine_deamin', 45462),
(101737, 'MF_00011', NULL, 'Adenylosuccinate synthetase [purA].', NULL, NULL, 'Adenylosucc_synth', 45463),
(101738, 'MF_00731', NULL, '2-succinylbenzoate--CoA ligase [menE].', NULL, NULL, 'MenE', 45464),
(101739, 'MF_01339', NULL, 'Ribulose bisphosphate carboxylase [cbbM].', NULL, NULL, 'RuBisCO_L_type2', 45465),
(101740, 'MF_01403', NULL, 'Probable phosphoketolase.', NULL, NULL, 'Phosphoketolase', 45466),
(101741, 'MF_02019', NULL, 'UDP-N-acetylmuramoyl-tripeptide--D-alanyl-D-alanine ligase [murF].', NULL, NULL, 'MurF', 45467),
(101742, 'MF_00202', NULL, 'Isopentenyl-diphosphate Delta-isomerase [idi].', NULL, NULL, 'Idi', 45468),
(101743, 'MF_00688', NULL, 'Leucyl/phenylalanyl-tRNA--protein transferase [aat].', NULL, NULL, 'Leu_Phe_trans', 45469),
(101744, 'MF_00433', NULL, 'Cytochrome b6-f complex subunit 6 [petL].', NULL, NULL, 'Cytb6_f_PetL', 45470),
(101745, 'MF_01180', NULL, 'Flagellar protein FliT [fliT].', NULL, NULL, 'FliT', 45471),
(101746, 'MF_01368', NULL, '50S ribosomal protein L17 [rplQ].', NULL, NULL, 'Ribosomal_L17', 45472),
(101747, 'MF_02207', NULL, 'Cell shape-determining protein MreB [mreB].', NULL, NULL, 'MreB', 45473),
(101748, 'MF_00102', NULL, '4-hydroxy-tetrahydrodipicolinate reductase [dapB].', NULL, NULL, 'DapB', 45474),
(101749, 'MF_04002', NULL, 'Major capsid protein L1 [L1].', NULL, NULL, 'PPV_L1', 45475),
(101750, 'MF_01582', NULL, 'Serine/threonine transporter SstT [sstT].', NULL, NULL, 'Ser_Thr_transp_SstT', 45476),
(101751, 'MF_01864', NULL, 'tRNA-2-methylthio-N(6)-dimethylallyladenosine synthase [miaB].', NULL, NULL, 'tRNA_metthiotr_MiaB', 45477),
(101752, 'MF_03041', NULL, 'Protein Spindly [SPDL1].', NULL, NULL, 'SPDLY', 45478),
(101753, 'MF_00664', NULL, 'Phosphatidylserine decarboxylase proenzyme [psd].', NULL, NULL, 'PS_decarb_PSD_A', 45479),
(101754, 'MF_01045', NULL, 'D-cysteine desulfhydrase [dcyD].', NULL, NULL, 'D_Cys_desulfhydr', 45480),
(101755, 'MF_00083', NULL, 'Peptidyl-tRNA hydrolase [pth].', NULL, NULL, 'Pept_tRNA_hydro_bact', 45481),
(101756, 'MF_00048', NULL, 'UPF0102 protein YraN [yraN].', NULL, NULL, 'UPF0102', 45482),
(101757, 'MF_00976', NULL, 'Outer membrane lipoprotein RcsF [rcsF].', NULL, NULL, 'RcsF', 45483),
(101758, 'MF_00559', NULL, 'Glyceraldehyde-3-phosphate dehydrogenase [gap].', NULL, NULL, 'G3P_dehdrog_arch', 45484),
(101759, 'MF_00632', NULL, 'UPF0234 protein YajQ [yajQ].', NULL, NULL, 'UPF0234', 45485),
(101760, 'MF_04093', NULL, 'Non-structural protein 6.', NULL, NULL, 'ROTA_NSP6', 45486),
(101761, 'MF_04019', NULL, 'Triplex capsid protein 2 [TRX2].', NULL, NULL, 'HSV_TRX2', 45487),
(101762, 'MF_01257', NULL, 'Phosphoenolpyruvate transferase [fbiA].', NULL, NULL, 'CofD', 45488);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(101763, 'MF_02000', NULL, 'Small heat shock protein IbpA [ibpA].', NULL, NULL, 'HSP20_IbpA', 45489),
(101764, 'MF_03067', NULL, 'E3 ubiquitin-protein ligase RNF8 [RNF8].', NULL, NULL, 'RNF8', 45490),
(101765, 'MF_00339', NULL, 'ATP-dependent 6-phosphofructokinase [pfkA].', NULL, NULL, 'Phosphofructokinase_I_B1', 45491),
(101766, 'MF_00631', NULL, 'Cell division protein CrgA [crgA].', NULL, NULL, 'CrgA', 45492),
(101767, 'MF_01662', NULL, 'L-fucose mutarotase [fucU].', NULL, NULL, 'L_fucose_rotase', 45493),
(101768, 'MF_01635', NULL, '4-hydroxybenzoate octaprenyltransferase [ubiA].', NULL, NULL, 'UbiA', 45494),
(101769, 'MF_02203', NULL, 'Tol-Pal system protein TolR [tolR].', NULL, NULL, 'TolR', 45495),
(101770, 'MF_00687', NULL, '4-deoxy-L-threo-5-hexosulose-uronate ketol-isomerase [kduI].', NULL, NULL, 'KduI', 45496),
(101771, 'MF_00278', NULL, 'Imidazole glycerol phosphate synthase subunit HisH [hisH].', NULL, NULL, 'HisH', 45497),
(101772, 'MF_01207', NULL, 'Protein-methionine-sulfoxide reductase heme-binding subunit MsrQ [msrQ].', NULL, NULL, 'MsrQ', 45498),
(101773, 'MF_01179', NULL, 'Cell division inhibitor SulA [sulA].', NULL, NULL, 'SulA', 45499),
(101774, 'MF_00107', NULL, '2-C-methyl-D-erythritol 2,4-cyclodiphosphate synthase [ispF].', NULL, NULL, 'IspF', 45500),
(101775, 'MF_00305', NULL, 'Signal recognition particle 19 kDa protein [srp19].', NULL, NULL, 'SRP19', 45501),
(101776, 'MF_01552', NULL, 'Ribosomal protein S6--L-glutamate ligase [rimK].', NULL, NULL, 'RimK', 45502),
(101777, 'MF_00612', NULL, 'UPF0225 protein YchJ [ychJ].', NULL, NULL, 'UPF0225', 45503),
(101778, 'MF_00851', NULL, 'Leader peptide SpeFL [speFL].', NULL, NULL, 'Leader_SpeFL', 45504),
(101779, 'MF_00221', NULL, 'Divalent metal cation transporter MntH [mntH].', NULL, NULL, 'NRAMP', 45505),
(101780, 'MF_01002', NULL, 'TDP-N-acetylfucosamine:lipid II N-acetylfucosaminyltransferase [wecF].', NULL, NULL, 'WecF_RffT', 45506),
(101781, 'MF_00686', NULL, 'Probable Fe(2+)-trafficking protein [yggX].', NULL, NULL, 'Fe_traffic_YggX', 45507),
(101782, 'MF_01109', NULL, 'Ornithine carbamoyltransferase, catabolic [argI].', NULL, NULL, 'OTCase', 45508),
(101783, 'MF_00682', NULL, 'Co-chaperone protein HscB [hscB].', NULL, NULL, 'HscB', 45509),
(101784, 'MF_01415', NULL, 'Glutathione-regulated potassium-efflux system ancillary protein KefG [kefG].', NULL, NULL, 'K_H_efflux_KefG', 45510),
(101785, 'MF_00534', NULL, 'Asparagine--tRNA ligase [asnS].', NULL, NULL, 'Asn_tRNA_synth', 45511),
(101786, 'MF_00841', NULL, 'Glucosyltransferase 3 [gtf3].', NULL, NULL, 'Gtf3', 45512),
(101787, 'MF_01536', NULL, 'UPF0344 protein <locus_tag>.', NULL, NULL, 'UPF0344', 45513),
(101788, 'MF_00080', NULL, 'Translation initiation factor IF-3 [infC].', NULL, NULL, 'IF_3', 45514),
(101789, 'MF_01266', NULL, 'Probable L-ascorbate-6-phosphate lactonase UlaG [ulaG].', NULL, NULL, 'UlaG', 45515),
(101790, 'MF_01886', NULL, 'tRNA(Met) cytidine acetyltransferase TmcA [tmcA].', NULL, NULL, 'tRNA_acetyltr_TmcA', 45516),
(101791, 'MF_01678', NULL, 'Putative methylthioribose-1-phosphate isomerase [mtnA].', NULL, NULL, 'Salvage_MtnA', 45517),
(101792, 'MF_04069', NULL, 'Matrix protein 2 [M].', NULL, NULL, 'INFV_M2', 45518),
(101793, 'MF_00625', NULL, 'Selenide, water dikinase [selD].', NULL, NULL, 'SelD', 45519),
(101794, 'MF_04134', NULL, 'Tail assembly protein GT.', NULL, NULL, 'GT_LAMBD', 45520),
(101795, 'MF_00833', NULL, 'FMN reductase (NADH) RutF [rutF].', NULL, NULL, 'RutF', 45521),
(101796, 'MF_01484', NULL, 'Multidrug efflux pump accessory protein AcrZ [acrZ].', NULL, NULL, 'AcrZ', 45522),
(101797, 'MF_00358', NULL, '30S ribosomal protein S21 [rpsU].', NULL, NULL, 'Ribosomal_S21', 45523),
(101798, 'MF_01264', NULL, 'CCA-adding enzyme [cca].', NULL, NULL, 'CCA_arch', 45524),
(101799, 'MF_00164', NULL, 'Glutamine--fructose-6-phosphate aminotransferase [isomerizing] [glmS].', NULL, NULL, 'GlmS', 45525),
(101800, 'MF_00543', NULL, 'Tyrosine phenol-lyase [tpl].', NULL, NULL, 'Tyr_phenol_lyase', 45526),
(101801, 'MF_03114', NULL, 'Golgi to ER traffic protein 2 [GET2].', NULL, NULL, 'Get2', 45527);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(101802, 'MF_01220_A', NULL, 'Uridylate kinase [pyrH].', NULL, NULL, 'PyrH_A', 45528),
(101803, 'MF_00604', NULL, 'Protein translation factor SUI1 homolog.', NULL, NULL, 'SUI1', 45529),
(101804, 'MF_00260', NULL, 'Porphobilinogen deaminase [hemC].', NULL, NULL, 'Porphobil_deam', 45530),
(101805, 'MF_00311', NULL, 'V-type proton ATPase subunit E [atpE].', NULL, NULL, 'ATP_synth_E_arch', 45531),
(101806, 'MF_00340', NULL, '50S ribosomal protein L32 [rpmF].', NULL, NULL, 'Ribosomal_L32', 45532),
(101807, 'MF_00280', NULL, '50S ribosomal protein L10 [rpl10].', NULL, NULL, 'Ribosomal_L10_arch', 45533),
(101808, 'MF_01319', NULL, 'Thiol-disulfide oxidoreductase ResA [resA].', NULL, NULL, 'ResA', 45534),
(101809, 'MF_01181', NULL, 'Regulator of sigma D [rsd].', NULL, NULL, 'Rsd', 45535),
(101810, 'MF_02209', NULL, 'UDP-N-acetyl-alpha-D-muramoyl-L-alanyl-L-glutamate epimerase [murL].', NULL, NULL, 'MurL', 45536),
(101811, 'MF_01945', NULL, 'Lipid A 1-diphosphate synthase [lpxT].', NULL, NULL, 'Lipid_A_LpxT', 45537),
(101812, 'MF_01278', NULL, 'Type-2 serine--tRNA ligase [serS].', NULL, NULL, 'Ser_tRNA_synth_type2', 45538),
(101813, 'MF_00237', NULL, 'Sec-independent protein translocase protein TatB [tatB].', NULL, NULL, 'TatB', 45539),
(101814, 'MF_01025', NULL, '2-isopropylmalate synthase [leuA].', NULL, NULL, 'LeuA_type1', 45540),
(101815, 'MF_01127', NULL, 'Acetyltransferase YpeA [ypeA].', NULL, NULL, 'Acetyltransf_YpeA', 45541),
(101816, 'MF_01250', NULL, 'Pyrophosphatase PpaX [ppaX].', NULL, NULL, 'Pyrophosphat_PpaX', 45542),
(101817, 'MF_03172', NULL, 'UMP-CMP kinase [CMPK1].', NULL, NULL, 'Adenylate_kinase_UMP_CMP_kin', 45543),
(101818, 'MF_01153', NULL, 'Co-chaperone protein DjlA [djlA].', NULL, NULL, 'DjlA', 45544),
(101819, 'MF_03198', NULL, 'Protein-lysine N-methyltransferase <gene_name> [EFM6].', NULL, NULL, 'Methyltr_EFM6', 45545),
(101820, 'MF_04082', NULL, 'Protein Vpu [vpu].', NULL, NULL, 'HIV_VPU', 45546),
(101821, 'MF_02087', NULL, 'Pyridoxal phosphate homeostasis protein.', NULL, NULL, 'PLP_homeostasis', 45547),
(101822, 'MF_04079', NULL, 'Protein Tat [tat].', NULL, NULL, 'HIV_TAT', 45548),
(101823, 'MF_00496', NULL, 'Fructose-6-phosphate aldolase [fsa].', NULL, NULL, 'F6P_aldolase', 45549),
(101824, 'MF_01933', NULL, 'o-succinylbenzoate synthase [menC].', NULL, NULL, 'MenC_2', 45550),
(101825, 'MF_00188', NULL, 'Protease HtpX [htpX].', NULL, NULL, 'Pept_M48_protease_HtpX', 45551),
(101826, 'MF_01674', NULL, 'O-phosphoserine--tRNA(Cys) ligase [sepS].', NULL, NULL, 'Sep_tRNA_synth', 45552),
(101827, 'MF_04202', NULL, 'Membrane protein [M].', NULL, NULL, 'BETA_CORONA_M', 45553),
(101828, 'MF_02066', NULL, 'Cell division coordinator CpoB [cpoB].', NULL, NULL, 'CpoB', 45554),
(101829, 'MF_01529', NULL, 'Multidrug resistance protein MdtH [mdtH].', NULL, NULL, 'MFS_MdtH', 45555),
(101830, 'MF_00451', NULL, 'Nucleoside diphosphate kinase [ndk].', NULL, NULL, 'NDP_kinase', 45556),
(101831, 'MF_00424', NULL, 'Peptide chain release factor subunit 1 [prf1].', NULL, NULL, 'Rel_fact_arch_1', 45557),
(101832, 'MF_04014', NULL, 'Tripartite terminase subunit 1 [TRM1].', NULL, NULL, 'HSV_TRM1', 45558),
(101833, 'MF_03024', NULL, 'Katanin p60 ATPase-containing subunit A-like 1 [KATNAL1].', NULL, NULL, 'Katanin_p60_AL1', 45559),
(101834, 'MF_00385', NULL, '30S ribosomal protein S16 [rpsP].', NULL, NULL, 'Ribosomal_S16', 45560),
(101835, 'MF_00442', NULL, 'ATP-dependent DNA helicase Hel308 [hel308].', NULL, NULL, 'Helicase_Hel308', 45561),
(101836, 'MF_00352', NULL, 'Light-independent protochlorophyllide reductase subunit N [bchN].', NULL, NULL, 'ChlN_BchN', 45562),
(101837, 'MF_00140_B', NULL, 'Tryptophan--tRNA ligase [trpS].', NULL, NULL, 'Trp_tRNA_synth_B', 45563),
(101838, 'MF_00812', NULL, 'Thiopurine S-methyltransferase [tpm].', NULL, NULL, 'Thiopur_methtran', 45564),
(101839, 'MF_01905', NULL, 'GlcNAc-binding protein A [gbpA].', NULL, NULL, 'GbpA', 45565),
(101840, 'MF_00213', NULL, 'Hydrogenase maturation factor HypA [hypA].', NULL, NULL, 'HypA_HybF', 45566),
(101841, 'MF_00044', NULL, 'Aspartate--tRNA(Asp/Asn) ligase [aspS].', NULL, NULL, 'Asp_tRNA_synth_type1', 45567);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(101842, 'MF_01885', NULL, 'tRNA (cytidine(34)-2''-O)-methyltransferase [trmL].', NULL, NULL, 'tRNA_methyltr_TrmL', 45568),
(101843, 'MF_04030', NULL, 'DNA replication helicase [HELI].', NULL, NULL, 'HSV_HELI', 45569),
(101844, 'MF_00680', NULL, 'UPF0263 protein YciU [yciU].', NULL, NULL, 'UPF0263', 45570),
(101845, 'MF_01496', NULL, 'Photosystem II CP43 reaction center protein [psbC].', NULL, NULL, 'PSII_PsbC_CP43', 45571),
(101846, 'MF_04108', NULL, 'Holin.', NULL, NULL, 'HOLIN_T7', 45572),
(101847, 'MF_00017', NULL, 'Recombination protein RecR [recR].', NULL, NULL, 'RecR', 45573),
(101848, 'MF_00200', NULL, 'RNA 3''-terminal phosphate cyclase [rtcA].', NULL, NULL, 'RTC', 45574),
(101849, 'MF_01953', NULL, 'Urease subunit alpha [ureC].', NULL, NULL, 'Urease_alpha', 45575),
(101850, 'MF_00036_A', NULL, 'Alanine--tRNA ligase [alaS].', NULL, NULL, 'Ala_tRNA_synth_A', 45576),
(101851, 'MF_01232', NULL, 'UPF0229 protein YeaH [yeaH].', NULL, NULL, 'UPF0229', 45577),
(101852, 'MF_00191', NULL, '4-hydroxy-3-methylbut-2-enyl diphosphate reductase [ispH].', NULL, NULL, 'IspH', 45578),
(101853, 'MF_00142', NULL, 'Iron-sulfur cluster assembly protein CyaY [cyaY].', NULL, NULL, 'CyaY', 45579),
(101854, 'MF_01638', NULL, 'Pyridoxine/pyridoxal/pyridoxamine kinase [pdxK].', NULL, NULL, 'PdxK', 45580),
(101855, 'MF_00335', NULL, 'Ribonuclease Y [rny].', NULL, NULL, 'RNase_Y', 45581),
(101856, 'MF_00027', NULL, 'Hydrogenobyrinate a,c-diamide synthase [cobB].', NULL, NULL, 'CobB_CbiA', 45582),
(101857, 'MF_04068', NULL, 'Matrix protein 1 [M].', NULL, NULL, 'INFV_M1', 45583),
(101858, 'MF_03168', NULL, 'Adenylate kinase 2, mitochondrial [AK2].', NULL, NULL, 'Adenylate_kinase_AK2', 45584),
(101859, 'MF_00205', NULL, 'UvrABC system protein A [uvrA].', NULL, NULL, 'UvrA', 45585),
(101860, 'MF_02032', NULL, '2-hydroxy-3-oxopropionate reductase [garR].', NULL, NULL, 'Tartronate_sem_reduc', 45586),
(101861, 'MF_00742', NULL, 'Formyl-CoA:oxalate CoA-transferase [frc].', NULL, NULL, 'Formyl_CoA_transfer', 45587),
(101862, 'MF_00413', NULL, 'Sulfur carrier protein TusA [tusA].', NULL, NULL, 'Thiourid_synth_A', 45588),
(101863, 'MF_01505', NULL, 'Small, acid-soluble spore protein N [sspN].', NULL, NULL, 'SspN', 45589),
(101864, 'MF_00547', NULL, '50S ribosomal protein L37e [rpl37e].', NULL, NULL, 'Ribosomal_L37e', 45590),
(101865, 'MF_01865', NULL, 'Ribosomal protein S12 methylthiotransferase RimO [rimO].', NULL, NULL, 'MTTase_RimO', 45591),
(101866, 'MF_00398', NULL, 'Probable apo-citrate lyase phosphoribosyl-dephospho-CoA transferase [citX].', NULL, NULL, 'CitX', 45592),
(101867, 'MF_00131', NULL, 'Tryptophan synthase alpha chain [trpA].', NULL, NULL, 'Trp_synth_alpha', 45593),
(101868, 'MF_00315', NULL, '1-deoxy-D-xylulose-5-phosphate synthase [dxs].', NULL, NULL, 'DXP_synth', 45594),
(101869, 'MF_00714', NULL, 'Alkylmercury lyase [merB].', NULL, NULL, 'MerB', 45595),
(101870, 'MF_01506', NULL, 'Small, acid-soluble spore protein Tlp [tlp].', NULL, NULL, 'Tlp', 45596),
(101871, 'MF_02074', NULL, 'Renalase.', NULL, NULL, 'Bact_renalase', 45597),
(101872, 'MF_04203', NULL, 'Membrane protein [M].', NULL, NULL, 'GAMMA_CORONA_M', 45598),
(101873, 'MF_00238', NULL, 'Cytidylate kinase [cmk].', NULL, NULL, 'Cytidyl_kinase_type1', 45599),
(101874, 'MF_01851', NULL, 'UPF0637 protein <locus_tag>.', NULL, NULL, 'UPF0637', 45600),
(101875, 'MF_00844_B', NULL, 'Rqc2 homolog RqcH [rqcH].', NULL, NULL, 'RqcH_B', 45601),
(101876, 'MF_00908', NULL, 'Negative modulator of initiation of replication [seqA].', NULL, NULL, 'SeqA', 45602),
(101877, 'MF_00949', NULL, 'Transcription elongation factor Spt4 [spt4].', NULL, NULL, 'Spt4_arch', 45603),
(101878, 'MF_01338', NULL, 'Ribulose bisphosphate carboxylase large chain [rbcL].', NULL, NULL, 'RuBisCO_L_type1', 45604),
(101879, 'MF_01246', NULL, 'Chitooligosaccharide deacetylase [chbG].', NULL, NULL, 'COD', 45605),
(101880, 'MF_01283', NULL, 'Riboflavin biosynthesis protein RibBA [ribBA].', NULL, NULL, 'RibBA', 45606),
(101881, 'MF_02001', NULL, 'Small heat shock protein IbpB [ibpB].', NULL, NULL, 'HSP20_IbpB', 45607);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(101882, 'MF_01308', NULL, 'envelope membrane protein, chloroplastic [cemA].', NULL, NULL, 'CemA', 45608),
(101883, 'MF_01878', NULL, 'Dipeptide and tripeptide permease A [dtpA].', NULL, NULL, 'PTR2_DtpA_subfam', 45609),
(101884, 'MF_01877', NULL, 'Ribosomal RNA small subunit methyltransferase I [rsmI].', NULL, NULL, '16SrRNA_methyltr_I', 45610),
(101885, 'MF_01398', NULL, 'ATP synthase subunit b [atpF].', NULL, NULL, 'ATP_synth_b_bprime', 45611),
(101886, 'MF_01348', NULL, 'Ycf48-like protein [hcf136].', NULL, NULL, 'Ycf48', 45612),
(101887, 'MF_00577', NULL, 'Urocanate hydratase [hutU].', NULL, NULL, 'HutU', 45613),
(101888, 'MF_00104', NULL, 'Ribonuclease 3 [rnc].', NULL, NULL, 'RNase_III', 45614),
(101889, 'MF_00254', NULL, 'Glycine--tRNA ligase alpha subunit [glyQ].', NULL, NULL, 'Gly_tRNA_synth_alpha', 45615),
(101890, 'MF_00417', NULL, 'Pyrrolidone-carboxylate peptidase [pcp].', NULL, NULL, 'Pyrrolid_peptidase', 45616),
(101891, 'MF_02058', NULL, 'Choline trimethylamine-lyase [cutC].', NULL, NULL, 'Choline_CutC', 45617),
(101892, 'MF_00737', NULL, 'Formimidoylglutamase [hutG].', NULL, NULL, 'Formimidoylglutam', 45618),
(101893, 'MF_01989', NULL, 'Cyanuric acid amidohydrolase.', NULL, NULL, 'Cyc_amidohydrol', 45619),
(101894, 'MF_01689', NULL, 'Ornithine aminotransferase [rocD].', NULL, NULL, 'Ornith_aminotrans_3', 45620),
(101895, 'MF_00901', NULL, '3''-5'' ssDNA/RNA exonuclease TatD [tatD].', NULL, NULL, 'TatD_exonuclease', 45621),
(101896, 'MF_01545', NULL, 'p-hydroxybenzoic acid efflux pump subunit AaeB [aaeB].', NULL, NULL, 'AaeB', 45622),
(101897, 'MF_00661', NULL, 'ATP-dependent RNA helicase RhlB [rhlB].', NULL, NULL, 'DEAD_helicase_RhlB', 45623),
(101898, 'MF_03201', NULL, 'Elongation of very long chain fatty acids protein 1 [ELOVL1].', NULL, NULL, 'VLCF_elongase_1', 45624),
(101899, 'MF_00710', NULL, 'Malonate decarboxylase acyl carrier protein [mdcC].', NULL, NULL, 'Malonate_deCO2ase_dsu', 45625),
(101900, 'MF_01345_B', NULL, '30S ribosomal protein S17 [rpsQ].', NULL, NULL, 'Ribosomal_S17_B', 45626),
(101901, 'MF_04003', NULL, 'Minor capsid protein L2 [L2].', NULL, NULL, 'PPV_L2', 45627),
(101902, 'MF_04056', NULL, 'Pre-histone-like nucleoprotein [L2].', NULL, NULL, 'ADV_PVII', 45628),
(101903, 'MF_01014', NULL, '1-(5-phosphoribosyl)-5-[(5-phosphoribosylamino)methylideneamino] imidazole-4-carboxamide isomerase [hisA].', NULL, NULL, 'HisA', 45629),
(101904, 'MF_02214', NULL, 'Lipid II isoglutaminyl synthase (glutamine-hydrolyzing) subunit MurT [murT].', NULL, NULL, 'Lipid_II_synth_MurT', 45630),
(101905, 'MF_00755', NULL, 'Ribonuclease P protein component 2 [rnp2].', NULL, NULL, 'RNase_P_2', 45631),
(101906, 'MF_01231', NULL, 'Haloalkane dehalogenase [dhaA].', NULL, NULL, 'Haloalk_dehal_type2', 45632),
(101907, 'MF_01637', NULL, 'Fe/S biogenesis protein NfuA [nfuA].', NULL, NULL, 'Fe_S_biogen_NfuA', 45633),
(101908, 'MF_03006', NULL, 'Eukaryotic translation initiation factor 3 subunit G [EIF3G].', NULL, NULL, 'eIF3g', 45634),
(101909, 'MF_00308', NULL, 'Prefoldin subunit alpha [pfdA].', NULL, NULL, 'PfdA', 45635),
(101910, 'MF_00595', NULL, 'Phosphoenolpyruvate carboxylase [ppc].', NULL, NULL, 'PEPcase_type1', 45636),
(101911, 'MF_01223', NULL, 'UPF0212 protein <locus_tag>.', NULL, NULL, 'UPF0212', 45637),
(101912, 'MF_00037', NULL, 'UDP-N-acetylenolpyruvoylglucosamine reductase [murB].', NULL, NULL, 'MurB', 45638),
(101913, 'MF_00969', NULL, 'Transcription-repair-coupling factor [mfd].', NULL, NULL, 'TRCF', 45639),
(101914, 'MF_04085', NULL, 'Nucleoprotein [N].', NULL, NULL, 'ARENA_NCAP', 45640),
(101915, 'MF_00223', NULL, 'GTP cyclohydrolase 1 [folE].', NULL, NULL, 'FolE', 45641),
(101916, 'MF_03023', NULL, 'Meiotic spindle formation protein mei-1 [mei-1].', NULL, NULL, 'Katanin_p60_A1', 45642),
(101917, 'MF_01673', NULL, '5-deoxy-glucuronate isomerase [iolB].', NULL, NULL, 'IolB', 45643),
(101918, 'MF_00257', NULL, 'Putative snRNP Sm-like protein.', NULL, NULL, 'Lsm_RuxX', 45644),
(101919, 'MF_04008', NULL, 'Capsid scaffolding protein.', NULL, NULL, 'HSV_SCAF', 45645),
(101920, 'MF_03128', NULL, 'Lipoyl synthase, mitochondrial [LIP1].', NULL, NULL, 'Lipoyl_synth_plantM', 45646);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(101921, 'MF_01800', NULL, 'Chromosome partition protein MukB [mukB].', NULL, NULL, 'MukB', 45647),
(101922, 'MF_01322', NULL, 'DNA-directed RNA polymerase subunit beta'' [rpoC].', NULL, NULL, 'RNApol_bact_RpoC', 45648),
(101923, 'MF_03047', NULL, 'Ataxin-7-like protein 3 [ATXN7L3].', NULL, NULL, 'Sgf11', 45649),
(101924, 'MF_02005', NULL, 'Valine--tRNA ligase [valS].', NULL, NULL, 'Val_tRNA_synth_type2', 45650),
(101925, 'MF_01947', NULL, 'N(4)-bis(aminopropyl)spermidine synthase [bpsA].', NULL, NULL, 'Aminopropyltransf_BpsA', 45651),
(101926, 'MF_00937', NULL, 'DNA topoisomerase 4 subunit A [parC].', NULL, NULL, 'ParC_type2', 45652),
(101927, 'MF_01559', NULL, 'L-lactate dehydrogenase [lldD].', NULL, NULL, 'L_lact_dehydr', 45653),
(101928, 'MF_02099', NULL, 'Hydrogenase maturation factor HybF [hybF].', NULL, NULL, 'HybF_subfam', 45654),
(101929, 'MF_01670', NULL, 'Malonate-semialdehyde dehydrogenase [iolA].', NULL, NULL, 'IolA', 45655),
(101930, 'MF_00997', NULL, 'Beta-barrel assembly-enhancing protease [bepA].', NULL, NULL, 'Protease_BepA', 45656),
(101931, 'MF_00121', NULL, 'Aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase subunit B [gatB].', NULL, NULL, 'GatB', 45657),
(101932, 'MF_00583_B', NULL, 'Putative ribose-phosphate pyrophosphokinase [prs].', NULL, NULL, 'RibP_PPkinase_B', 45658),
(101933, 'MF_02119', NULL, 'Lipoyl-[GcvH]:protein N-lipoyltransferase [lipL].', NULL, NULL, 'LipL', 45659),
(101934, 'MF_00913', NULL, 'Probable peptidoglycan glycosyltransferase FtsW [ftsW].', NULL, NULL, 'PGT_FtsW_proteobact', 45660),
(101935, 'MF_01923', NULL, 'Glutamate mutase epsilon subunit [glmE].', NULL, NULL, 'Me_Asp_mutase_E', 45661),
(101936, 'MF_00566', NULL, 'Plastocyanin [petE].', NULL, NULL, 'Cytb6_f_plastocyanin', 45662),
(101937, 'MF_01214', NULL, 'PyrE-like protein.', NULL, NULL, 'PyrE_like', 45663),
(101938, 'MF_03013', NULL, 'Clustered mitochondria protein homolog [CLU1].', NULL, NULL, 'CLU', 45664),
(101939, 'MF_00685', NULL, '1,4-alpha-glucan branching enzyme GlgB [glgB].', NULL, NULL, 'GlgB', 45665),
(101940, 'MF_03116', NULL, 'Methylthioribulose-1-phosphate dehydratase [APIP].', NULL, NULL, 'Salvage_MtnB_euk', 45666),
(101941, 'MF_00970', NULL, 'Ribonuclease E [rne].', NULL, NULL, 'RNase_E', 45667),
(101942, 'MF_01094', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit B [mtrB].', NULL, NULL, 'MtrB', 45668),
(101943, 'MF_00126', NULL, 'Glutamine--tRNA ligase [glnS].', NULL, NULL, 'Gln_tRNA_synth', 45669),
(101944, 'MF_00294', NULL, '50S ribosomal protein L33 [rpmG].', NULL, NULL, 'Ribosomal_L33', 45670),
(101945, 'MF_01026', NULL, '3-isopropylmalate dehydratase large subunit [leuC].', NULL, NULL, 'LeuC_type1', 45671),
(101946, 'MF_01076', NULL, 'UPF0273 protein <locus_tag>.', NULL, NULL, 'UPF0273', 45672),
(101947, 'MF_00118_B', NULL, 'Elongation factor Tu [tuf].', NULL, NULL, 'EF_Tu_B', 45673),
(101948, 'MF_04120', NULL, 'Portal protein.', NULL, NULL, 'PORTAL_PROTEIN_T7', 45674),
(101949, 'MF_03111', NULL, 'Ubiquinone biosynthesis protein <gene_name>, mitochondrial [COQ4].', NULL, NULL, 'Coq4', 45675),
(101950, 'MF_03122', NULL, '40S ribosomal protein S1 [RPS3A].', NULL, NULL, 'Ribosomal_S3Ae_euk', 45676),
(101951, 'MF_00561', NULL, 'ADP-specific phosphofructokinase [pfkC].', NULL, NULL, 'ADP_PFKinase', 45677),
(101952, 'MF_02232', NULL, 'Ubiquinone biosynthesis protein UbiU [ubiU].', NULL, NULL, 'UbiU', 45678),
(101953, 'MF_01477', NULL, 'Ribosomal silencing factor RsfS [rsfS].', NULL, NULL, 'Iojap_RsfS', 45679),
(101954, 'MF_01015', NULL, 'Putative transport protein YbjL [ybjL].', NULL, NULL, 'YbjL', 45680),
(101955, 'MF_02228', NULL, 'Sulfopropanediol 3-dehydrogenase [hpsN].', NULL, NULL, 'Sulfopropanediol_dehydrog', 45681),
(101956, 'MF_00117', NULL, '33 kDa chaperonin [hslO].', NULL, NULL, 'HslO', 45682),
(101957, 'MF_01429', NULL, 'Iron-binding protein IscA [iscA].', NULL, NULL, 'Fe_S_insert_IscA', 45683),
(101958, 'MF_01554_B', NULL, 'Phosphoglucosamine mutase [glmM].', NULL, NULL, 'GlmM_B', 45684),
(101959, 'MF_00618', NULL, 'Phycocyanobilin:ferredoxin oxidoreductase [pcyA].', NULL, NULL, 'Ferredoxin_bilin_red', 45685);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(101960, 'MF_01438', NULL, 'DNA integrity scanning protein DisA [disA].', NULL, NULL, 'DisA', 45686),
(101961, 'MF_01534', NULL, 'HTH-type transcriptional activator RhaS [rhaS].', NULL, NULL, 'HTH_type_RhaS', 45687),
(101962, 'MF_00230', NULL, 'Nicotinate-nucleotide--dimethylbenzimidazole phosphoribosyltransferase [cobT].', NULL, NULL, 'CobT', 45688),
(101963, 'MF_03043', NULL, 'Queuine tRNA-ribosyltransferase accessory subunit 2 [QTRT2].', NULL, NULL, 'QTRT2', 45689),
(101964, 'MF_03031', NULL, 'Protein argonaute-2 [AGO2].', NULL, NULL, 'AGO2', 45690),
(101965, 'MF_00074', NULL, 'Ribosomal RNA small subunit methyltransferase G [rsmG].', NULL, NULL, '16SrRNA_methyltr_G', 45691),
(101966, 'MF_00055', NULL, 'MEMO1 family protein <locus_tag>.', NULL, NULL, 'MEMO1', 45692),
(101967, 'MF_04009', NULL, 'Shutoff alkaline exonuclease.', NULL, NULL, 'HSV_AN', 45693),
(101968, 'MF_00426', NULL, 'Na(+)-translocating NADH-quinone reductase subunit B [nqrB].', NULL, NULL, 'NqrB', 45694),
(101969, 'MF_01077', NULL, 'Ribosome maturation factor RimP [rimP].', NULL, NULL, 'RimP', 45695),
(101970, 'MF_00785', NULL, 'Sirohydrochlorin cobaltochelatase [cbiX].', NULL, NULL, 'CbiX', 45696),
(101971, 'MF_01359', NULL, 'NADH-quinone oxidoreductase subunit C/D [nuoC].', NULL, NULL, 'NDH1_NuoCD_1', 45697),
(101972, 'MF_00437', NULL, 'Photosystem I assembly protein Ycf4 [ycf4].', NULL, NULL, 'Ycf4', 45698),
(101973, 'MF_01583', NULL, 'Threonine/serine transporter TdcC [tdcC].', NULL, NULL, 'Thr_Ser_transp_TdcC', 45699),
(101974, 'MF_00380', NULL, 'Integration host factor subunit alpha [ihfA].', NULL, NULL, 'IHF_alpha', 45700),
(101975, 'MF_00336', NULL, 'ATP-dependent dethiobiotin synthetase BioD [bioD].', NULL, NULL, 'BioD', 45701),
(101976, 'MF_00531', NULL, '30S ribosomal protein S19 [rpsS].', NULL, NULL, 'Ribosomal_S19', 45702),
(101977, 'MF_00636', NULL, 'RNase adapter protein RapZ [rapZ].', NULL, NULL, 'RapZ_like', 45703),
(101978, 'MF_00593', NULL, 'D-alanine--D-alanyl carrier protein ligase [dltA].', NULL, NULL, 'DltA', 45704),
(101979, 'MF_02039', NULL, 'Cell division protein FtsN [ftsN].', NULL, NULL, 'FtsN_entero', 45705),
(101980, 'MF_00966', NULL, 'Glucose-6-phosphate 1-dehydrogenase [zwf].', NULL, NULL, 'G6PD', 45706),
(101981, 'MF_00169', NULL, '3-dehydroquinate dehydratase [aroQ].', NULL, NULL, 'AroQ', 45707),
(101982, 'MF_00744', NULL, 'Met repressor [metJ].', NULL, NULL, 'MetJ', 45708),
(101983, 'MF_01655', NULL, '2-keto-4-pentenoate hydratase [mhpD].', NULL, NULL, 'MhpD', 45709),
(101984, 'MF_00930', NULL, 'Transcription elongation factor GreB [greB].', NULL, NULL, 'GreB', 45710),
(101985, 'MF_01115', NULL, 'Putative ion-transport protein YfeO [yfeO].', NULL, NULL, 'CLC_YfeO', 45711),
(101986, 'MF_01228', NULL, 'Methionine--tRNA ligase [metG].', NULL, NULL, 'Met_tRNA_synth_type2', 45712),
(101987, 'MF_01009', NULL, 'Thiosulfate sulfurtransferase GlpE [glpE].', NULL, NULL, 'Thiosulf_sulfurtr', 45713),
(101988, 'MF_01333_A', NULL, '50S ribosomal protein L5 [rplE].', NULL, NULL, 'Ribosomal_L5_A', 45714),
(101989, 'MF_01896', NULL, 'DNA gyrase inhibitor [sbmC].', NULL, NULL, 'DNA_gyrase_inhibitor', 45715),
(101990, 'MF_01812', NULL, 'N-acetyltransferase Eis [eis].', NULL, NULL, 'Eis', 45716),
(101991, 'MF_01055', NULL, 'Protein FixA [fixA].', NULL, NULL, 'FixA', 45717),
(101992, 'MF_01818', NULL, 'Ribonuclease BN [rbn].', NULL, NULL, 'RNase_Z_BN', 45718),
(101993, 'MF_04113', NULL, 'Capsid vertex protein.', NULL, NULL, 'CAPSID_P_T4', 45719),
(101994, 'MF_00146', NULL, 'dCTP deaminase, dUMP-forming [dcd].', NULL, NULL, 'dCTP_deaminase', 45720),
(101995, 'MF_01200_A', NULL, 'Orotidine 5''-phosphate decarboxylase [pyrF].', NULL, NULL, 'OMPdecase_type1_A', 45721),
(101996, 'MF_01472', NULL, 'UDP-N-acetylglucosamine--peptide N-acetylglucosaminyltransferase GtfA subunit [gtfA].', NULL, NULL, 'GtfA', 45722),
(101997, 'MF_02223', NULL, 'Pantoate kinase.', NULL, NULL, 'Pantoate_kinase', 45723),
(101998, 'MF_01366', NULL, '50S ribosomal protein L13 [rplM].', NULL, NULL, 'Ribosomal_L13', 45724),
(101999, 'MF_02028', NULL, 'UDP-N-acetylglucosamine 2-epimerase [wecB].', NULL, NULL, 'WecB_RffE', 45725); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(102000, 'MF_01044', NULL, 'Protein TsgA [tsgA].', NULL, NULL, 'MFS_TsgA', 45726),
(102001, 'MF_00161', NULL, 'Lipoprotein signal peptidase [lspA].', NULL, NULL, 'LspA', 45727),
(102002, 'MF_01519', NULL, 'UPF0325 protein YaeH [yaeH].', NULL, NULL, 'UPF0325', 45728),
(102003, 'MF_02088', NULL, 'Probable queuosine precursor transporter.', NULL, NULL, 'Q_prec_transport', 45729),
(102004, 'MF_02034', NULL, 'Glutamate--cysteine ligase EgtA [egtA].', NULL, NULL, 'EgtA', 45730),
(102005, 'MF_00116', NULL, 'Deoxyuridine 5''-triphosphate nucleotidohydrolase [dut].', NULL, NULL, 'dUTPase_bact', 45731),
(102006, 'MF_03055', NULL, 'tRNA (guanine-N(7)-)-methyltransferase [METTL1].', NULL, NULL, 'tRNA_methyltr_TrmB_euk', 45732),
(102007, 'MF_00455', NULL, 'Xylose isomerase [xylA].', NULL, NULL, 'Xylose_isom_A', 45733),
(102008, 'MF_00347', NULL, 'Polyphosphate kinase [ppk].', NULL, NULL, 'Polyphosphate_kinase', 45734),
(102009, 'MF_00070', NULL, '2-keto-3-deoxygluconate permease [kdgT].', NULL, NULL, 'KdgT', 45735),
(102010, 'MF_01320_A', NULL, '50S ribosomal protein L2 [rplB].', NULL, NULL, 'Ribosomal_L2_A', 45736),
(102011, 'MF_00130', NULL, 'Holliday junction resolvase RecU [recU].', NULL, NULL, 'RecU', 45737),
(102012, 'MF_00711', NULL, 'Glycine dehydrogenase (decarboxylating) [gcvP].', NULL, NULL, 'GcvP', 45738),
(102013, 'MF_00042', NULL, 'Ribonuclease H [rnhA].', NULL, NULL, 'RNase_H', 45739),
(102014, 'MF_00003', NULL, 'Ribosome-binding factor A [rbfA].', NULL, NULL, 'RbfA', 45740),
(102015, 'MF_01275', NULL, 'Gamma-aminobutyraldehyde dehydrogenase [patD].', NULL, NULL, 'Aldedh_Prr', 45741),
(102016, 'MF_04091', NULL, 'Non-structural glycoprotein 4.', NULL, NULL, 'ROTA_NSP4', 45742),
(102017, 'MF_00834', NULL, 'Adenosylmethionine-8-amino-7-oxononanoate aminotransferase [bioA].', NULL, NULL, 'BioA', 45743),
(102018, 'MF_00637', NULL, 'Anti-sigma F factor [spoIIAB].', NULL, NULL, 'Anti_sigma_F', 45744),
(102019, 'MF_00522', NULL, 'Photosystem I reaction center subunit IX [psaJ].', NULL, NULL, 'PSI_PsaJ', 45745),
(102020, 'MF_01165', NULL, 'Undecaprenyl phosphate-alpha-4-amino-4-deoxy-L-arabinose arabinosyl transferase [arnT].', NULL, NULL, 'ArnT_transfer', 45746),
(102021, 'MF_01402_B', NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase [apgM].', NULL, NULL, 'ApgM_B', 45747),
(102022, 'MF_00320', NULL, 'DNA-directed RNA polymerase subunit D [rpoD].', NULL, NULL, 'RNApol_arch_D', 45748),
(102023, 'MF_01465', NULL, 'Protein translocase subunit SecY [secY].', NULL, NULL, 'SecY', 45749),
(102024, 'MF_02227', NULL, 'Ribulose-phosphate 3-epimerase [rpe].', NULL, NULL, 'RPE', 45750),
(102025, 'MF_00028', NULL, 'Cobyric acid synthase [cobQ].', NULL, NULL, 'CobQ', 45751),
(102026, 'MF_01489', NULL, 'Putative DNA helicase Rad25 [rad25].', NULL, NULL, 'Helicase_Rad25_arch', 45752),
(102027, 'MF_00829', NULL, 'UPF0435 protein <locus_tag>.', NULL, NULL, 'UPF0435', 45753),
(102028, 'MF_00068', NULL, 'N-acetylmuramic acid 6-phosphate etherase [murQ].', NULL, NULL, 'MurQ', 45754),
(102029, 'MF_01461', NULL, 'Energy-coupling factor transporter transmembrane protein EcfT [ecfT].', NULL, NULL, 'EcfT', 45755),
(102030, 'MF_00754', NULL, 'Ribonuclease P protein component 1 [rnp1].', NULL, NULL, 'RNase_P_1', 45756),
(102031, 'MF_01406', NULL, 'UPF0282 protein <locus_tag>.', NULL, NULL, 'UPF0282', 45757),
(102032, 'MF_03070', NULL, 'Scavenger receptor class A member 5 [SCARA5].', NULL, NULL, 'SCARA5', 45758),
(102033, 'MF_01185', NULL, 'Flagellar assembly factor FliW [fliW].', NULL, NULL, 'FliW', 45759),
(102034, 'MF_00361', NULL, 'NAD kinase [nadK].', NULL, NULL, 'NAD_kinase', 45760),
(102035, 'MF_00818', NULL, 'NADPH-dependent 7-cyano-7-deazaguanine reductase [queF].', NULL, NULL, 'QueF_type1', 45761),
(102036, 'MF_00853', NULL, 'Protoporphyrinogen IX dehydrogenase [quinone] [hemG].', NULL, NULL, 'HemG', 45762),
(102037, 'MF_01599', NULL, 'Na(+)/H(+) antiporter NhaB [nhaB].', NULL, NULL, 'NhaB', 45763),
(102038, 'MF_00062', NULL, 'Sulfate adenylyltransferase subunit 1 [cysN].', NULL, NULL, 'Sulf_adenylyltr_sub1', 45764);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(102039, 'MF_01837', NULL, 'Adaptive-response sensory-kinase SasA [sasA].', NULL, NULL, 'Kinase_SasA', 45765),
(102040, 'MF_01423', NULL, 'Multidrug resistance protein MdtB [mdtB].', NULL, NULL, 'MdtB', 45766),
(102041, 'MF_04023', NULL, 'Nuclear egress protein 1 [NEC1].', NULL, NULL, 'HSV_NEC1', 45767),
(102042, 'MF_00193', NULL, 'NH(3)-dependent NAD(+) synthetase [nadE].', NULL, NULL, 'NadE_ammonia_dep', 45768),
(102043, 'MF_00527', NULL, 'Putative 3-methyladenine DNA glycosylase.', NULL, NULL, '3MGH', 45769),
(102044, 'MF_01510', NULL, 'GMP synthase [glutamine-hydrolyzing] subunit A [guaAA].', NULL, NULL, 'GMP_synthase_A', 45770),
(102045, 'MF_00432', NULL, 'Cytochrome b6-f complex subunit 5 [petG].', NULL, NULL, 'Cytb6_f_PetG', 45771),
(102046, 'MF_01894', NULL, 'Chromosome partition protein Smc [smc].', NULL, NULL, 'Smc_prok', 45772),
(102047, 'MF_00224', NULL, 'Dihydroorotate dehydrogenase [pyrD].', NULL, NULL, 'DHO_dh_type1', 45773),
(102048, 'MF_00698', NULL, 'Xaa-Pro dipeptidyl-peptidase [pepX].', NULL, NULL, 'Aminopeptidase_S15', 45774),
(102049, 'MF_00324', NULL, 'DNA polymerase II large subunit [polC].', NULL, NULL, 'DNApol_II_L_arch', 45775),
(102050, 'MF_01986', NULL, 'Probable UbiX-like flavin prenyltransferase.', NULL, NULL, 'ubiX_pad_yclB', 45776),
(102051, 'MF_02097', NULL, 'Carnitine monooxygenase oxygenase subunit.', NULL, NULL, 'Carnitine_monoox_A', 45777),
(102052, 'MF_01448', NULL, 'UPF0473 protein <locus_tag>.', NULL, NULL, 'UPF0473', 45778),
(102053, 'MF_01201', NULL, 'Alanine racemase.', NULL, NULL, 'Ala_racemase', 45779),
(102054, 'MF_01892', NULL, 'tRNA(Ile2) 2-agmatinylcytidine synthetase TiaS [tiaS].', NULL, NULL, 'tRNA_Ile2_agm2C_synt', 45780),
(102055, 'MF_01187', NULL, 'UPF0434 protein YcaR [ycaR].', NULL, NULL, 'UPF0434', 45781),
(102056, 'MF_02089', NULL, 'Epoxyqueuosine reductase QueH [queH].', NULL, NULL, 'QueH', 45782),
(102057, 'MF_02113_A', NULL, 'Proteasome subunit beta [prcB].', NULL, NULL, 'Proteasome_B_A', 45783),
(102058, 'MF_01331_B', NULL, '50S ribosomal protein L22 [rplV].', NULL, NULL, 'Ribosomal_L22_B', 45784),
(102059, 'MF_00648', NULL, 'Inosine/xanthosine triphosphatase.', NULL, NULL, 'Non_canon_purine_NTPase_YjjX', 45785),
(102060, 'MF_01374', NULL, 'Hydroxyacylglutathione hydrolase [gloB].', NULL, NULL, 'Glyoxalase_2', 45786),
(102061, 'MF_01462', NULL, 'Cobalt transport protein CbiM [cbiM].', NULL, NULL, 'CbiM', 45787),
(102062, 'MF_00318', NULL, 'Enolase [eno].', NULL, NULL, 'Enolase', 45788),
(102063, 'MF_00709', NULL, 'Fumarate reductase subunit D [frdD].', NULL, NULL, 'Fumarate_red_D', 45789),
(102064, 'MF_01117', NULL, 'CDP-archaeol synthase [carS].', NULL, NULL, 'CDP_archaeol_synth', 45790),
(102065, 'MF_00498', NULL, 'UPF0179 protein <locus_tag>.', NULL, NULL, 'UPF0179', 45791),
(102066, 'MF_04018', NULL, 'Triplex capsid protein 1 [TRX1].', NULL, NULL, 'HSV_TRX1', 45792),
(102067, 'MF_04100', NULL, 'DNA-directed DNA polymerase.', NULL, NULL, 'DPOL_T4', 45793),
(102068, 'MF_01958', NULL, 'Acetyl esterase [aes].', NULL, NULL, 'Acetyl_esterase', 45794),
(102069, 'MF_03064', NULL, 'Mitochondrial glycine transporter [SLC25A38].', NULL, NULL, 'SLC25A38', 45795),
(102070, 'MF_01541', NULL, 'Sulfite reductase [NADPH] flavoprotein alpha-component [cysJ].', NULL, NULL, 'CysJ', 45796),
(102071, 'MF_00919', NULL, 'Ribosome modulation factor [rmf].', NULL, NULL, 'RMF', 45797),
(102072, 'MF_01680', NULL, '2-hydroxy-3-keto-5-methylthiopentenyl-1-phosphate phosphatase [mtnX].', NULL, NULL, 'Salvage_MtnX', 45798),
(102073, 'MF_01508', NULL, 'Replication factor C large subunit [rfcL].', NULL, NULL, 'RfcL', 45799),
(102074, 'MF_00525', NULL, 'Surface composition regulator [glgS].', NULL, NULL, 'GlgS', 45800),
(102075, 'MF_00138', NULL, 'Phosphoribosylamine--glycine ligase [purD].', NULL, NULL, 'GARS', 45801),
(102076, 'MF_01652', NULL, '3-(3-hydroxy-phenyl)propionate/3-hydroxycinnamic acid hydroxylase [mhpA].', NULL, NULL, 'MhpA', 45802),
(102077, 'MF_00840', NULL, 'Diadenylate cyclase [dacZ].', NULL, NULL, 'DacZ', 45803),
(102078, 'MF_01188', NULL, 'UPF0441 protein YgiB [ygiB].', NULL, NULL, 'UPF0441', 45804);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(102079, 'MF_00675', NULL, 'Uronate isomerase [uxaC].', NULL, NULL, 'UxaC', 45805),
(102080, 'MF_00749', NULL, 'RNA chaperone ProQ [proQ].', NULL, NULL, 'ProQ', 45806),
(102081, 'MF_03199', NULL, 'Palmitoyltransferase <gene_name> [PFA4].', NULL, NULL, 'DHHC_PAT_PFA4', 45807),
(102082, 'MF_01962', NULL, 'Adenine deaminase.', NULL, NULL, 'Adenine_deaminase', 45808),
(102083, 'MF_03065', NULL, 'Regulator of telomere elongation helicase 1 [RTEL1].', NULL, NULL, 'RTEL1', 45809),
(102084, 'MF_01416', NULL, 'ATP synthase subunit delta [atpD].', NULL, NULL, 'ATP_synth_delta_bact', 45810),
(102085, 'MF_00757', NULL, 'Ribonuclease P protein component 4 [rnp4].', NULL, NULL, 'RNase_P_4', 45811),
(102086, 'MF_00090', NULL, 'Protein-L-isoaspartate O-methyltransferase [pcm].', NULL, NULL, 'PIMT', 45812),
(102087, 'MF_00327', NULL, '50S ribosomal protein L37Ae [rpl37ae].', NULL, NULL, 'Ribosomal_L37Ae', 45813),
(102088, 'MF_01049', NULL, 'L-carnitine/gamma-butyrobetaine antiporter [caiT].', NULL, NULL, 'CaiT', 45814),
(102089, 'MF_02124', NULL, 'Alpha-1,4-glucan:maltose-1-phosphate maltosyltransferase [glgE].', NULL, NULL, 'GlgE', 45815),
(102090, 'MF_00964', NULL, 'ATP-dependent RNA helicase DeaD [deaD].', NULL, NULL, 'DEAD_helicase_DeaD', 45816),
(102091, 'MF_00215', NULL, 'Pantothenate kinase [coaA].', NULL, NULL, 'Pantothen_kinase_1', 45817),
(102092, 'MF_04041', NULL, 'Cytoplasmic envelopment protein 3.', NULL, NULL, 'HSV_CEP3_betahv', 45818),
(102093, 'MF_02037', NULL, 'Histidine N-alpha-methyltransferase [egtD].', NULL, NULL, 'EgtD', 45819),
(102094, 'MF_00571', NULL, 'Galactose-1-phosphate uridylyltransferase [galT].', NULL, NULL, 'GalP_UDP_trans', 45820),
(102095, 'MF_00182', NULL, 'Methionyl-tRNA formyltransferase [fmt].', NULL, NULL, 'Formyl_trans', 45821),
(102096, 'MF_01968', NULL, 'NAD-dependent protein deacetylase [cobB].', NULL, NULL, 'Sirtuin_ClassU', 45822),
(102097, 'MF_00373', NULL, '50S ribosomal protein L28 [rpmB].', NULL, NULL, 'Ribosomal_L28', 45823),
(102098, 'MF_00510', NULL, 'Peptidase E [pepE].', NULL, NULL, 'Peptidase_E', 45824),
(102099, 'MF_01921', NULL, 'S-adenosyl-L-methionine-dependent tRNA 4-demethylwyosine synthase [taw1].', NULL, NULL, 'TYW1_archaea', 45825),
(102100, 'MF_00012', NULL, 'Dihydroxy-acid dehydratase [ilvD].', NULL, NULL, 'IlvD', 45826),
(102101, 'MF_00491', NULL, 'NAD(P)H-quinone oxidoreductase chain 4 [ndhD].', NULL, NULL, 'NDH1_NuoM', 45827),
(102102, 'MF_01146', NULL, 'Aquaporin Z [aqpZ].', NULL, NULL, 'Aquaporin_Z', 45828),
(102103, 'MF_01358', NULL, 'NAD(P)H-quinone oxidoreductase subunit H, chloroplastic [ndhH].', NULL, NULL, 'NDH1_NuoD', 45829),
(102104, 'MF_00991', NULL, 'Futalosine hydrolase [mqnB].', NULL, NULL, 'MqnB', 45830),
(102105, 'MF_01440', NULL, 'Chemoreceptor glutamine deamidase CheD [cheD].', NULL, NULL, 'CheD', 45831),
(102106, 'MF_01634', NULL, 'tRNA-guanine(15) transglycosylase [tgtA].', NULL, NULL, 'TgtA_arch', 45832),
(102107, 'MF_01296', NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit GatZ [gatZ].', NULL, NULL, 'Tagatose_aldol_GatZ', 45833),
(102108, 'MF_00914', NULL, 'L-alanine exporter AlaE [alaE].', NULL, NULL, 'L_Ala_exporter', 45834),
(102109, 'MF_01847', NULL, 'HMP-PP phosphatase [cof].', NULL, NULL, 'HMP_PP_phosphat', 45835),
(102110, 'MF_01488', NULL, 'ATP-dependent RecD-like DNA helicase [recD2].', NULL, NULL, 'RecD_like', 45836),
(102111, 'MF_02128', NULL, 'Thiamine-monophosphate kinase [thiL].', NULL, NULL, 'TMP_kinase', 45837),
(102112, 'MF_00087', NULL, 'Glutamyl-tRNA reductase [hemA].', NULL, NULL, 'Glu_tRNA_reductase', 45838),
(102113, 'MF_01972', NULL, 'Tryptophan 2,3-dioxygenase [kynA].', NULL, NULL, 'T23O', 45839),
(102114, 'MF_03188', NULL, 'EEF1A lysine methyltransferase 2 [EEF1AKMT2].', NULL, NULL, 'Methyltr_EFM4', 45840),
(102115, 'MF_04077', NULL, 'Protein Rev [rev].', NULL, NULL, 'REV_HIV1', 45841),
(102116, 'MF_02086', NULL, '4-hydroxythreonine-4-phosphate dehydrogenase [pdxA].', NULL, NULL, 'PdxA_Epsilonprot', 45842),
(102117, 'MF_01683', NULL, 'Methylthioribose kinase [mtnK].', NULL, NULL, 'Salvage_MtnK', 45843);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(102118, 'MF_02093', NULL, 'Probable beta-carotene 15,15''-dioxygenase.', NULL, NULL, 'Beta_carotene_diox', 45844),
(102119, 'MF_01217', NULL, 'Acyl carrier protein [acpP].', NULL, NULL, 'Acyl_carrier', 45845),
(102120, 'MF_00270', NULL, '30S ribosomal protein S18 [rpsR].', NULL, NULL, 'Ribosomal_S18', 45846),
(102121, 'MF_01517', NULL, 'Malate dehydrogenase [mdh].', NULL, NULL, 'Malate_dehydrog_2', 45847),
(102122, 'MF_04033', NULL, 'Envelope glycoprotein H [gH].', NULL, NULL, 'HSV_GH', 45848),
(102123, 'MF_04063', NULL, 'Polymerase acidic protein [PA].', NULL, NULL, 'INFV_PA', 45849),
(102124, 'MF_00563', NULL, 'S-inosyl-L-homocysteine hydrolase [ahcY].', NULL, NULL, 'AdoHcyase', 45850),
(102125, 'MF_01813', NULL, 'Ubiquinone/menaquinone biosynthesis C-methyltransferase UbiE [ubiE].', NULL, NULL, 'MenG_UbiE_methyltr', 45851),
(102126, 'MF_01471', NULL, 'CRISPR-associated endoribonuclease Cas2 [cas2].', NULL, NULL, 'Cas2', 45852),
(102127, 'MF_00069', NULL, 'Hydroxylamine reductase [hcp].', NULL, NULL, 'Hydroxylam_reduct', 45853),
(102128, 'MF_01617', NULL, 'Fatty acid oxidation complex subunit alpha [fadJ].', NULL, NULL, 'FadJ', 45854),
(102129, 'MF_00206', NULL, 'Lipoyl synthase [lipA].', NULL, NULL, 'Lipoyl_synth', 45855),
(102130, 'MF_01844', NULL, 'Na(+)/H(+) antiporter NhaA [nhaA].', NULL, NULL, 'NhaA', 45856),
(102131, 'MF_00174', NULL, 'Elongation factor P--(R)-beta-lysine ligase [epmA].', NULL, NULL, 'EF_P_modif_A', 45857),
(102132, 'MF_01212', NULL, 'Deoxyguanosinetriphosphate triphosphohydrolase-like protein.', NULL, NULL, 'dGTPase_type2', 45858),
(102133, 'MF_04204', NULL, 'Envelope small membrane protein [E].', NULL, NULL, 'BETA_CORONA_E', 45859),
(102134, 'MF_00194', NULL, 'Recombination-associated protein RdgC [rdgC].', NULL, NULL, 'RdgC', 45860),
(102135, 'MF_00094', NULL, 'Peptide chain release factor 2 [prfB].', NULL, NULL, 'Rel_fac_2', 45861),
(102136, 'MF_01539', NULL, 'tRNA(Met) cytidine acetate ligase [tmcAL].', NULL, NULL, 'TmcAL', 45862),
(102137, 'MF_02115', NULL, 'FAD synthase [ribL].', NULL, NULL, 'FAD_synth_arch', 45863),
(102138, 'MF_00532_A', NULL, '30S ribosomal protein S9 [rpsI].', NULL, NULL, 'Ribosomal_S9_A', 45864),
(102139, 'MF_00694', NULL, 'Probable 5-dehydro-4-deoxyglucarate dehydratase.', NULL, NULL, 'KDGDH', 45865),
(102140, 'MF_01369_A', NULL, '50S ribosomal protein L23 [rplW].', NULL, NULL, 'Ribosomal_L23_A', 45866),
(102141, 'MF_01251', NULL, 'UPF0313 protein YgiQ [ygiQ].', NULL, NULL, 'UPF0313', 45867),
(102142, 'MF_00177', NULL, 'Lysine--tRNA ligase [lysS].', NULL, NULL, 'Lys_tRNA_synth_class1', 45868),
(102143, 'MF_01120', NULL, '[LysW]-lysine/[LysW]-ornithine hydrolase [lysK].', NULL, NULL, 'LysK', 45869),
(102144, 'MF_03226', NULL, 'Splicing factor YJU2 [YJU2].', NULL, NULL, 'YJU2', 45870),
(102145, 'MF_00819', NULL, 'Putative septation protein SpoVG [spoVG].', NULL, NULL, 'SpoVG', 45871),
(102146, 'MF_03011', NULL, 'Eukaryotic translation initiation factor 3 subunit L [EIF3L].', NULL, NULL, 'eIF3l', 45872),
(102147, 'MF_01445', NULL, 'tRNA N6-adenosine threonylcarbamoyltransferase [tsaD].', NULL, NULL, 'TsaD', 45873),
(102148, 'MF_02130', NULL, 'Dihydroneopterin aldolase [mptD].', NULL, NULL, 'DHNA_arch', 45874),
(102149, 'MF_00357', NULL, 'Probable DNA-directed RNA polymerase subunit delta [rpoE].', NULL, NULL, 'RNApol_bact_RpoE', 45875),
(102150, 'MF_00847', NULL, 'Energy-dependent translational throttle protein EttA [ettA].', NULL, NULL, 'EttA', 45876),
(102151, 'MF_00500', NULL, '30S ribosomal protein S20 [rpsT].', NULL, NULL, 'Ribosomal_S20', 45877),
(102152, 'MF_02103', NULL, 'Lactate utilization protein B [lutB].', NULL, NULL, 'LutB', 45878),
(102153, 'MF_00440', NULL, 'Transcriptional repressor NrdR [nrdR].', NULL, NULL, 'NrdR', 45879),
(102154, 'MF_01211', NULL, 'Dihydroorotate dehydrogenase B (NAD(+)), electron transfer subunit [pyrK].', NULL, NULL, 'DHODB_Fe_S_bind', 45880),
(102155, 'MF_04051', NULL, 'Hexon protein [L3].', NULL, NULL, 'ADV_CAPSH', 45881),
(102156, 'MF_00084', NULL, 'Nodulation protein A [nodA].', NULL, NULL, 'NodA', 45882);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(102157, 'MF_00092', NULL, 'Endonuclease MutS2 [mutS2].', NULL, NULL, 'MutS2', 45883),
(102158, 'MF_00634', NULL, 'UPF0235 protein YggU [yggU].', NULL, NULL, 'UPF0235', 45884),
(102159, 'MF_01274', NULL, 'Type III pantothenate kinase [coaX].', NULL, NULL, 'Pantothen_kinase_3', 45885),
(102160, 'MF_01961', NULL, 'Catalase-peroxidase [katG].', NULL, NULL, 'Catal_peroxid', 45886),
(102161, 'MF_03120', NULL, 'Lon protease homolog, mitochondrial [LONP1].', NULL, NULL, 'lonm_euk', 45887),
(102162, 'MF_00839', NULL, 'Ribosome hibernation promoting factor [hpf].', NULL, NULL, 'HPF', 45888),
(102163, 'MF_00255', NULL, 'Glycine--tRNA ligase beta subunit [glyS].', NULL, NULL, 'Gly_tRNA_synth_beta', 45889),
(102164, 'MF_01407', NULL, 'ORC1-type DNA replication protein.', NULL, NULL, 'ORC1_type_DNA_replic_protein', 45890),
(102165, 'MF_01906', NULL, 'D-(-)-3-hydroxybutyrate oligomer hydrolase.', NULL, NULL, '3HBOH', 45891),
(102166, 'MF_01952', NULL, 'L-ribulose-5-phosphate 4-epimerase UlaF [ulaF].', NULL, NULL, 'UlaF', 45892),
(102167, 'MF_01198', NULL, 'Anti-adapter protein IraP [iraP].', NULL, NULL, 'Anti_adapt_IraP', 45893),
(102168, 'MF_00103', NULL, 'Formamidopyrimidine-DNA glycosylase [mutM].', NULL, NULL, 'Fapy_DNA_glycosyl', 45894),
(102169, 'MF_00452', NULL, 'Phosphoenolpyruvate carboxykinase [GTP] [pckG].', NULL, NULL, 'PEPCK_GTP', 45895),
(102170, 'MF_00704', NULL, 'Probable aspartoacylase.', NULL, NULL, 'Aspartoacylase', 45896),
(102171, 'MF_00149', NULL, 'DNA mismatch repair protein MutL [mutL].', NULL, NULL, 'DNA_mis_repair', 45897),
(102172, 'MF_00282', NULL, 'Phenylalanine--tRNA ligase alpha subunit [pheS].', NULL, NULL, 'Phe_tRNA_synth_alpha2', 45898),
(102173, 'MF_00328', NULL, 'Guanylate kinase [gmk].', NULL, NULL, 'Guanylate_kinase', 45899),
(102174, 'MF_00941', NULL, 'GDP-mannose mannosyl hydrolase [gmm].', NULL, NULL, 'GDPMH_gmm', 45900),
(102175, 'MF_04011', NULL, 'DNA primase.', NULL, NULL, 'HSV_PRIM', 45901),
(102176, 'MF_01832', NULL, 'Cysteine desulfuration protein SufE [sufE].', NULL, NULL, 'SufE', 45902),
(102177, 'MF_00355', NULL, 'Light-independent protochlorophyllide reductase iron-sulfur ATP-binding protein [bchL].', NULL, NULL, 'ChlL_BchL', 45903),
(102178, 'MF_01078', NULL, 'RNA-free ribonuclease P.', NULL, NULL, 'RNA_free_RNase_P', 45904),
(102179, 'MF_02043', NULL, 'tRNA-dihydrouridine(16) synthase [dusC].', NULL, NULL, 'DusC_subfam', 45905),
(102180, 'MF_03104', NULL, 'Mitochondrial distribution and morphology protein 12 [MDM12].', NULL, NULL, 'Mdm12', 45906),
(102181, 'MF_04145', NULL, 'Terminase, large subunit.', NULL, NULL, 'TERL_SPP1', 45907),
(102182, 'MF_01555', NULL, 'Galactose-6-phosphate isomerase subunit LacA [lacA].', NULL, NULL, 'LacA', 45908),
(102183, 'MF_00669', NULL, 'Small, acid-soluble spore protein I [sspI].', NULL, NULL, 'SspI', 45909),
(102184, 'MF_01262', NULL, 'CCA-adding enzyme [cca].', NULL, NULL, 'CCA_bact_type2', 45910),
(102185, 'MF_01241', NULL, 'Glucosamine-6-phosphate deaminase [nagB].', NULL, NULL, 'GlcN6P_deamin', 45911),
(102186, 'MF_00706', NULL, 'Ecotin [eco].', NULL, NULL, 'Ecotin', 45912),
(102187, 'MF_01132', NULL, 'Regulatory protein Spx [spxA].', NULL, NULL, 'SpxA', 45913),
(102188, 'MF_01152', NULL, 'Chaperone protein DnaJ [dnaJ].', NULL, NULL, 'DnaJ', 45914),
(102189, 'MF_00479', NULL, 'Ion-translocating oxidoreductase complex subunit G [rsxG].', NULL, NULL, 'RsxG_RnfG', 45915),
(102190, 'MF_01138', NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit beta [cdhC].', NULL, NULL, 'CdhC', 45916),
(102191, 'MF_00287', NULL, 'Probable disulfide formation protein [bdbC].', NULL, NULL, 'BdbC', 45917),
(102192, 'MF_00310', NULL, 'V-type ATP synthase beta chain [atpB].', NULL, NULL, 'ATP_synth_B_arch', 45918),
(102193, 'MF_00473', NULL, 'Glucose-6-phosphate isomerase [pgi].', NULL, NULL, 'G6P_isomerase', 45919),
(102194, 'MF_00578', NULL, 'Glutamate--cysteine ligase [gshA].', NULL, NULL, 'Glu_cys_ligase', 45920),
(102195, 'MF_01527_B', NULL, 'GTP cyclohydrolase FolE2 [folE2].', NULL, NULL, 'GTP_cyclohydrol_B', 45921),
(102196, 'MF_00360', NULL, '30S ribosomal protein S6 [rpsF].', NULL, NULL, 'Ribosomal_S6', 45922); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(102197, 'MF_03223', NULL, 'Protein N-terminal and lysine N-methyltransferase EFM7 [EFM7].', NULL, NULL, 'Methyltr_EFM7', 45923),
(102198, 'MF_01340', NULL, 'UPF0353 protein <locus_tag>.', NULL, NULL, 'UPF0353', 45924),
(102199, 'MF_00792', NULL, '15,16-dihydrobiliverdin:ferredoxin oxidoreductase [pebA].', NULL, NULL, 'PebA', 45925),
(102200, 'MF_00460', NULL, 'Protein RnfH [rnfH].', NULL, NULL, 'UPF0125_RnfH', 45926),
(102201, 'MF_01386', NULL, 'Photosystem II reaction center X protein [psbX].', NULL, NULL, 'PSII_PsbX_1', 45927),
(102202, 'MF_00728', NULL, 'Septation ring formation regulator EzrA [ezrA].', NULL, NULL, 'EzrA', 45928),
(102203, 'MF_04028', NULL, 'Ribonucleoside-diphosphate reductase small subunit [RIR2].', NULL, NULL, 'HSV_RIR2', 45929),
(102204, 'MF_00429', NULL, 'Na(+)-translocating NADH-quinone reductase subunit E [nqrE].', NULL, NULL, 'NqrE', 45930),
(102205, 'MF_00241', NULL, '8-oxoguanine DNA glycosylase/AP lyase [ogg].', NULL, NULL, 'Ogg', 45931),
(102206, 'MF_01172', NULL, 'N-succinylarginine dihydrolase [astB].', NULL, NULL, 'AstB', 45932),
(102207, 'MF_02202', NULL, 'Tol-Pal system protein TolQ [tolQ].', NULL, NULL, 'TolQ', 45933),
(102208, 'MF_04142', NULL, 'NAD--protein ADP-ribosyltransferase modB [modB].', NULL, NULL, 'MODB_T4', 45934),
(102209, 'MF_01389', NULL, 'Urease accessory protein UreG [ureG].', NULL, NULL, 'UreG', 45935),
(102210, 'MF_01378', NULL, 'Cytochrome c-550 [psbV].', NULL, NULL, 'PSII_Cyt550', 45936),
(102211, 'MF_00541', NULL, 'L-rhamnose isomerase [rhaA].', NULL, NULL, 'RhaA', 45937),
(102212, 'MF_04136', NULL, 'SAR-endolysin.', NULL, NULL, 'SAR_ENDOLYSIN', 45938),
(102213, 'MF_00946', NULL, 'Acid stress chaperone HdeA [hdeA].', NULL, NULL, 'HdeA', 45939),
(102214, 'MF_01103', NULL, 'UPF0291 protein <locus_tag>.', NULL, NULL, 'UPF0291', 45940),
(102215, 'MF_01436', NULL, 'Enterobactin exporter EntS [entS].', NULL, NULL, 'MFS_EntS', 45941),
(102216, 'MF_01499', NULL, 'Diadenylate cyclase [dacA].', NULL, NULL, 'DacA', 45942),
(102217, 'MF_01955', NULL, 'Urease subunit alpha [ureA].', NULL, NULL, 'Urease_beta_gamma', 45943),
(102218, 'MF_00507', NULL, 'UPF0181 protein YoaH [yoaH].', NULL, NULL, 'UPF0181', 45944),
(102219, 'MF_00662', NULL, 'Phosphatidylserine decarboxylase proenzyme [psd].', NULL, NULL, 'PS_decarb_PSD_B_type1', 45945),
(102220, 'MF_01238', NULL, 'Sialic acid transporter NanT [nanT].', NULL, NULL, 'MFS_NanT', 45946),
(102221, 'MF_00041', NULL, 'Cysteine--tRNA ligase [cysS].', NULL, NULL, 'Cys_tRNA_synth', 45947),
(102222, 'MF_01604', NULL, 'Thiamine kinase [thiK].', NULL, NULL, 'Thiamine_kinase', 45948),
(102223, 'MF_03217', NULL, 'Phosphatidylethanolamine N-methyltransferase.', NULL, NULL, 'PEMT', 45949),
(102224, 'MF_00939', NULL, 'DNA topoisomerase 4 subunit B [parE].', NULL, NULL, 'ParE_type2', 45950),
(102225, 'MF_03026', NULL, 'Leucine zipper putative tumor suppressor 2 [LZTS2].', NULL, NULL, 'LZTS2', 45951),
(102226, 'MF_00081', NULL, 'Heat-inducible transcription repressor HrcA [hrcA].', NULL, NULL, 'HrcA', 45952),
(102227, 'MF_00628', NULL, 'Peptidyl-tRNA hydrolase [pth].', NULL, NULL, 'Pept_tRNA_hydro_arch', 45953),
(102228, 'MF_01229', NULL, 'Alkanesulfonate monooxygenase [ssuD].', NULL, NULL, 'Alkanesulf_monooxygen', 45954),
(102229, 'MF_01697', NULL, 'L-cysteine:1D-myo-inositol 2-amino-2-deoxy-alpha-D-glucopyranoside ligase [mshC].', NULL, NULL, 'MshC', 45955),
(102230, 'MF_01452', NULL, 'ATP-dependent helicase/deoxyribonuclease subunit B [addB].', NULL, NULL, 'AddB_type1', 45956),
(102231, 'MF_03115', NULL, 'Fe-S cluster assembly protein <gene_name> [DRE2].', NULL, NULL, 'Anamorsin', 45957),
(102232, 'MF_00457', NULL, 'UPF0173 metal-dependent hydrolase <locus_tag>.', NULL, NULL, 'UPF0173', 45958),
(102233, 'MF_00434', NULL, 'Putative pterin-4-alpha-carbinolamine dehydratase.', NULL, NULL, 'Pterin_4_alpha', 45959),
(102234, 'MF_00072', NULL, 'Peptide chain release factor 3 [prfC].', NULL, NULL, 'Rel_fac_3', 45960),
(102235, 'MF_00406', NULL, '3-hydroxyacyl-[acyl-carrier-protein] dehydratase FabZ [fabZ].', NULL, NULL, 'FabZ', 45961);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(102236, 'MF_00198', NULL, 'Polyamine aminopropyltransferase [speE].', NULL, NULL, 'Spermidine_synth', 45962),
(102237, 'MF_03058', NULL, 'Vacuolar ATPase assembly integral membrane protein <gene_name> [VMA21].', NULL, NULL, 'VMA21', 45963),
(102238, 'MF_01058', NULL, 'Der GTPase-activating protein YihI [yihI].', NULL, NULL, 'GAP_YihI', 45964),
(102239, 'MF_00418', NULL, '4-hydroxy-tetrahydrodipicolinate synthase [dapA].', NULL, NULL, 'DapA', 45965),
(102240, 'MF_00436', NULL, 'RNA-binding protein Hfq [hfq].', NULL, NULL, 'Hfq', 45966),
(102241, 'MF_00659', NULL, 'UPF0250 protein YbeD [ybeD].', NULL, NULL, 'UPF0250', 45967),
(102242, 'MF_00288', NULL, 'Methionine synthase [metE].', NULL, NULL, 'MetE', 45968),
(102243, 'MF_01091', NULL, '5,10-methylenetetrahydromethanopterin reductase [mer].', NULL, NULL, 'F420_mer', 45969),
(102244, 'MF_01397', NULL, 'NADH-quinone oxidoreductase subunit C/D [nuoC].', NULL, NULL, 'NDH1_NuoCD_2', 45970),
(102245, 'MF_01290', NULL, '2-keto-3-deoxy-L-rhamnonate aldolase [rhmA].', NULL, NULL, 'KDR_aldolase', 45971),
(102246, 'MF_01292', NULL, '4-hydroxy-2-oxo-heptane-1,7-dioate aldolase [hpcH].', NULL, NULL, 'HKHD_aldolase', 45972),
(102247, 'MF_00203', NULL, 'UvrABC system protein C [uvrC].', NULL, NULL, 'UvrC', 45973),
(102248, 'MF_01622', NULL, 'tRNA 2-selenouridine synthase [selU].', NULL, NULL, 'tRNA_sel_U_synth', 45974),
(102249, 'MF_01571', NULL, 'Proline--tRNA ligase [proS].', NULL, NULL, 'Pro_tRNA_synth_type3', 45975),
(102250, 'MF_01478', NULL, '50S ribosomal protein L12 [rpl12].', NULL, NULL, 'Ribosomal_L12_arch', 45976),
(102251, 'MF_00216', NULL, 'Translation initiation factor 1A [eif1a].', NULL, NULL, 'aIF_1A', 45977),
(102252, 'MF_00986', NULL, 'L-fuculokinase [fucK].', NULL, NULL, 'Fuculokinase', 45978),
(102253, 'MF_00727', NULL, 'Protein-glutamine gamma-glutamyltransferase [tgl].', NULL, NULL, 'Tgl', 45979),
(102254, 'MF_01324', NULL, 'DNA-directed RNA polymerase subunit beta'' [rpoC2].', NULL, NULL, 'RNApol_bact_RpoC2', 45980),
(102255, 'MF_01046', NULL, 'Protein/nucleic acid deglycase HchA [hchA].', NULL, NULL, 'Deglycase_HchA', 45981),
(102256, 'MF_01034', NULL, 'Putative D-alanyl-D-alanine carboxypeptidase [yfeW].', NULL, NULL, 'S12_YfeW', 45982),
(102257, 'MF_01354', NULL, 'NAD(P)H-quinone oxidoreductase subunit O [ndhO].', NULL, NULL, 'NDH1_NDH1O', 45983),
(102258, 'MF_03003', NULL, 'Eukaryotic translation initiation factor 3 subunit D [EIF3D].', NULL, NULL, 'eIF3d', 45984),
(102259, 'MF_01420', NULL, 'Probable cell division protein WhiA [whiA].', NULL, NULL, 'HTH_type_WhiA', 45985),
(102260, 'MF_03038', NULL, 'Cytosolic Fe-S cluster assembly factor NUBP1 [NUBP1].', NULL, NULL, 'NUBP1', 45986),
(102261, 'MF_00957', NULL, 'Poly(A) polymerase I [pcnB].', NULL, NULL, 'PolyA_pol', 45987),
(102262, 'MF_01805', NULL, 'Segregation and condensation protein A [scpA].', NULL, NULL, 'ScpA', 45988),
(102263, 'MF_00246', NULL, 'Galactokinase [galK].', NULL, NULL, 'Galactokinase', 45989),
(102264, 'MF_01112', NULL, 'UPF0201 protein <locus_tag>.', NULL, NULL, 'UPF0201', 45990),
(102265, 'MF_00439', NULL, 'Photosystem I assembly protein Ycf3 [ycf3].', NULL, NULL, 'Ycf3', 45991),
(102266, 'MF_01023', NULL, 'Histidinol-phosphate aminotransferase [hisC].', NULL, NULL, 'HisC_aminotrans_2', 45992),
(102267, 'MF_00968', NULL, 'ATP-dependent RNA helicase RhlE [rhlE].', NULL, NULL, 'DEAD_helicase_RhlE', 45993),
(102268, 'MF_00544', NULL, 'Tryptophanase [tnaA].', NULL, NULL, 'Tryptophanase', 45994),
(102269, 'MF_04025', NULL, 'Capsid vertex component 2 [CVC2].', NULL, NULL, 'HSV_CVC2', 45995),
(102270, 'MF_01497', NULL, 'Stress response kinase A [srkA].', NULL, NULL, 'SrkA_kinase', 45996),
(102271, 'MF_03178', NULL, 'NADPH-dependent diflavin oxidoreductase 1 [TAH18].', NULL, NULL, 'NDOR1', 45997),
(102272, 'MF_02114', NULL, 'Phosphoenolpyruvate guanylyltransferase [fbiD].', NULL, NULL, 'CofC', 45998),
(102273, 'MF_00075', NULL, 'Translation initiation factor IF-1 [infA].', NULL, NULL, 'IF_1', 45999),
(102274, 'MF_01538', NULL, 'UPF0346 protein <locus_tag>.', NULL, NULL, 'UPF0346', 46000);
INSERT INTO "PUBLIC"."MODEL" VALUES
(102275, 'MF_00392', NULL, 'Lipid-A-disaccharide synthase [lpxB].', NULL, NULL, 'LpxB', 46001),
(102276, 'MF_00569', NULL, 'Quinolinate synthase A [nadA].', NULL, NULL, 'NadA_type3', 46002),
(102277, 'MF_01282', NULL, 'Virginiamycin B lyase [vgb].', NULL, NULL, 'VirginiamycinB_lyase', 46003),
(102278, 'MF_01218_B', NULL, 'Uracil phosphoribosyltransferase [upp].', NULL, NULL, 'Upp_B', 46004),
(102279, 'MF_00915', NULL, 'Cell division protein FtsP [ftsP].', NULL, NULL, 'FtsP', 46005),
(102280, 'MF_00249', NULL, 'ATP-dependent protease ATPase subunit HslU [hslU].', NULL, NULL, 'HslU', 46006),
(102281, 'MF_01007', NULL, 'Ribosomal RNA small subunit methyltransferase H [rsmH].', NULL, NULL, '16SrRNA_methyltr_H', 46007),
(102282, 'MF_02133', NULL, 'Prokaryotic ubiquitin-like protein UBact [ubact].', NULL, NULL, 'UBact', 46008),
(102283, 'MF_03211', NULL, 'RNA cytidine acetyltransferase [NAT10].', NULL, NULL, 'RNA_acetyltr_Nat10', 46009),
(102284, 'MF_03103', NULL, 'Maintenance of mitochondrial morphology protein 1 [MMM1].', NULL, NULL, 'Mmm1', 46010),
(102285, 'MF_01307_B', NULL, '30S ribosomal protein S5 [rpsE].', NULL, NULL, 'Ribosomal_S5_B', 46011),
(102286, 'MF_00183', NULL, '1-deoxy-D-xylulose 5-phosphate reductoisomerase [dxr].', NULL, NULL, 'DXP_reductoisom', 46012),
(102287, 'MF_04084', NULL, 'Pre-glycoprotein polyprotein GP complex [GPC].', NULL, NULL, 'ARENA_GPC', 46013),
(102288, 'MF_01917', NULL, 'Cardiolipin synthase B [clsB].', NULL, NULL, 'Cardiolipin_synth_ClsB', 46014),
(102289, 'MF_01531', NULL, 'Vitamin B12 transporter BtuB [btuB].', NULL, NULL, 'BtuB', 46015),
(102290, 'MF_00697', NULL, 'UPF0276 protein <locus_tag>.', NULL, NULL, 'UPF0276', 46016),
(102291, 'MF_00013', NULL, 'Octanoyltransferase [lipB].', NULL, NULL, 'LipB', 46017),
(102292, 'MF_01898', NULL, 'DNA gyrase subunit B [gyrB].', NULL, NULL, 'GyrB', 46018),
(102293, 'MF_00739', NULL, 'Urease subunit gamma [ureA].', NULL, NULL, 'Urease_gamma', 46019),
(102294, 'MF_04125', NULL, 'Outer capsid protein VP4.', NULL, NULL, 'Rota_VP4', 46020),
(102295, 'MF_01668', NULL, '5-dehydro-2-deoxygluconokinase [iolC].', NULL, NULL, 'IolC', 46021),
(102296, 'MF_01245', NULL, 'UPF0248 protein <locus_tag>.', NULL, NULL, 'UPF0248', 46022),
(102297, 'MF_01341', NULL, '50S ribosomal protein L15 [rplO].', NULL, NULL, 'Ribosomal_L15', 46023),
(102298, 'MF_01418', NULL, 'Agmatinase [speB].', NULL, NULL, 'SpeB', 46024),
(102299, 'MF_01038', NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase [gpmI].', NULL, NULL, 'GpmI', 46025),
(102300, 'MF_01580', NULL, 'Cell division activator CedA [cedA].', NULL, NULL, 'CedA', 46026),
(102301, 'MF_01210_A', NULL, 'Carbamoyl-phosphate synthase large chain [carB].', NULL, NULL, 'CPSase_L_chain_A', 46027),
(102302, 'MF_00832', NULL, 'Putative aminoacrylate hydrolase RutD [rutD].', NULL, NULL, 'RutD', 46028),
(102303, 'MF_00020', NULL, 'Acetate kinase [ackA].', NULL, NULL, 'Acetate_kinase', 46029),
(102304, 'MF_04080', NULL, 'Protein Vpr [vpr].', NULL, NULL, 'HIV_VPR', 46030),
(102305, 'MF_00444', NULL, 'ATP-dependent Clp protease proteolytic subunit [clpP].', NULL, NULL, 'ClpP', 46031),
(102306, 'MF_00751', NULL, 'Preprotein translocase subunit SecG [secG].', NULL, NULL, 'SecG', 46032),
(102307, 'MF_04065', NULL, 'RNA-directed RNA polymerase catalytic subunit [PB1].', NULL, NULL, 'INFV_RDRP', 46033),
(102308, 'MF_00752', NULL, 'Photosystem II reaction center protein H [psbH].', NULL, NULL, 'PSII_PsbH', 46034),
(102309, 'MF_01151', NULL, 'Protein GrpE [grpE].', NULL, NULL, 'GrpE', 46035),
(102310, 'MF_00842', NULL, 'Outer membrane protein A [ompA].', NULL, NULL, 'OmpA', 46036),
(102311, 'MF_04135', NULL, 'Portal protein B [B].', NULL, NULL, 'PORTAL_LAMBDA', 46037),
(102312, 'MF_00776', NULL, 'Glyoxylate reductase [gyaR].', NULL, NULL, 'GyaR', 46038),
(102313, 'MF_00071', NULL, 'Elongation factor 4 [lepA].', NULL, NULL, 'LepA', 46039),
(102314, 'MF_01135', NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit delta [cdhD].', NULL, NULL, 'CdhD', 46040),
(102315, 'MF_01141', NULL, 'Antiholin-like protein LrgA [lrgA].', NULL, NULL, 'LrgA', 46041);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(102316, 'MF_00209', NULL, 'Inorganic pyrophosphatase [ppa].', NULL, NULL, 'Inorganic_PPase', 46042),
(102317, 'MF_01133', NULL, 'Ribulose bisphosphate carboxylase [rbcL].', NULL, NULL, 'RuBisCO_L_type3', 46043),
(102318, 'MF_01051', NULL, 'Carnitinyl-CoA dehydratase [caiD].', NULL, NULL, 'CaiD', 46044),
(102319, 'MF_01391', NULL, 'Cytochrome c biogenesis protein CcsA [ccsA].', NULL, NULL, 'CytC_CcsA', 46045),
(102320, 'MF_00345', NULL, 'GMP synthase [glutamine-hydrolyzing] subunit B [guaAB].', NULL, NULL, 'GMP_synthase_B', 46046),
(102321, 'MF_00186', NULL, 'Glycerol kinase [glpK].', NULL, NULL, 'Glycerol_kin', 46047),
(102322, 'MF_04150', NULL, 'RNA ligase 2.', NULL, NULL, 'RNALIG2_T4', 46048),
(102323, 'MF_00201', NULL, 'DNA repair protein RecO [recO].', NULL, NULL, 'RecO', 46049),
(102324, 'MF_01512', NULL, 'Metallothiol transferase FosB [fosB].', NULL, NULL, 'FosB', 46050),
(102325, 'MF_00848', NULL, 'ATP-binding protein Uup [uup].', NULL, NULL, 'Uup', 46051),
(102326, 'MF_00651', NULL, 'Putative pre-16S rRNA nuclease [yqgF].', NULL, NULL, 'Nuclease_YqgF', 46052),
(102327, 'MF_01306_B', NULL, '30S ribosomal protein S4 [rpsD].', NULL, NULL, 'Ribosomal_S4_B', 46053),
(102328, 'MF_04111', NULL, 'Endolysin.', NULL, NULL, 'ENDOLYSIN_T7', 46054),
(102329, 'MF_00499', NULL, '50S ribosomal protein L13e [rpl13e].', NULL, NULL, 'Ribosomal_L13e', 46055),
(102330, 'MF_00610', NULL, 'Cytochrome f [petA].', NULL, NULL, 'Cytb6_f_cytF', 46056),
(102331, 'MF_00763', NULL, 'UPF0305 protein <locus_tag>.', NULL, NULL, 'UPF0305', 46057),
(102332, 'MF_00313', NULL, 'Glutaminase [glsA].', NULL, NULL, 'Glutaminase', 46058),
(102333, 'MF_01156', NULL, 'Iron-sulfur cluster repair protein ScdA [scdA].', NULL, NULL, 'RIC_ScdA', 46059),
(102334, 'MF_01949', NULL, 'O-acetyltransferase WecH [wecH].', NULL, NULL, 'Acetyltr_WecH', 46060),
(102335, 'MF_01578', NULL, 'Quinate/shikimate dehydrogenase [ydiB].', NULL, NULL, 'Shikimate_DH_YdiB', 46061),
(102336, 'MF_01874', NULL, 'UPF0756 membrane protein YeaL [yeaL].', NULL, NULL, 'UPF0756', 46062),
(102337, 'MF_02213', NULL, 'Lipid II isoglutaminyl synthase (glutamine-hydrolyzing) subunit GatD [gatD].', NULL, NULL, 'Lipid_II_synth_GatD', 46063),
(102338, 'MF_00153', NULL, 'Probable deoxyhypusine synthase [dys].', NULL, NULL, 'DHS', 46064),
(102339, 'MF_00227', NULL, 'Ribonuclease P protein component [rnpA].', NULL, NULL, 'RNase_P', 46065),
(102340, 'MF_01504', NULL, 'Small, acid-soluble spore protein K [sspK].', NULL, NULL, 'SspK', 46066),
(102341, 'MF_04071', NULL, 'Neuraminidase [NA].', NULL, NULL, 'INFV_NRAM', 46067),
(102342, 'MF_01291', NULL, '5-keto-4-deoxy-D-glucarate aldolase [garL].', NULL, NULL, 'KDGluc_aldolase', 46068),
(102343, 'MF_01428', NULL, 'Glutamyl-Q tRNA(Asp) synthetase [gluQ].', NULL, NULL, 'Glu_Q_tRNA_synth', 46069),
(102344, 'MF_00469', NULL, 'tRNA uridine(34) hydroxylase [trhO].', NULL, NULL, 'TrhO', 46070),
(102345, 'MF_00497_A', NULL, 'Glycerol-1-phosphate dehydrogenase [NAD(P)+] [egsA].', NULL, NULL, 'G1P_dehydrogenase_A', 46071),
(102346, 'MF_00633', NULL, 'Cytochrome b6 [petB].', NULL, NULL, 'Cytb6_f_cytb6', 46072),
(102347, 'MF_01302_A', NULL, '30S ribosomal protein S8 [rpsH].', NULL, NULL, 'Ribosomal_S8_A', 46073),
(102348, 'MF_04052', NULL, 'Penton protein [L2].', NULL, NULL, 'ADV_CAPSP', 46074),
(102349, 'MF_00275', NULL, 'Potassium-transporting ATPase potassium-binding subunit [kdpA].', NULL, NULL, 'KdpA', 46075),
(102350, 'MF_00627', NULL, 'L-threonine 3-dehydrogenase [tdh].', NULL, NULL, 'Thr_dehydrog', 46076),
(102351, 'MF_04059', NULL, 'Protease [L3].', NULL, NULL, 'ADV_PRO', 46077),
(102352, 'MF_00654', NULL, 'Pyrroloquinoline-quinone synthase [pqqC].', NULL, NULL, 'PQQ_syn_PqqC', 46078),
(102353, 'MF_00575', NULL, 'UDP-2,3-diacylglucosamine hydrolase [lpxH].', NULL, NULL, 'LpxH', 46079),
(102354, 'MF_00598', NULL, 'Protein Smg [smg].', NULL, NULL, 'Smg', 46080),
(102355, 'MF_00933', NULL, 'Arylsulfate sulfotransferase AssT [assT].', NULL, NULL, 'Arylsulfotrans_AssT', 46081),
(102356, 'MF_01064', NULL, 'UPF0253 protein YaeP [yaeP].', NULL, NULL, 'UPF0253', 46082);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(102357, 'MF_00135', NULL, 'N-(5''-phosphoribosyl)anthranilate isomerase [trpF].', NULL, NULL, 'PRAI', 46083),
(102358, 'MF_00796', NULL, 'Nucleoside-triphosphatase <locus_tag>.', NULL, NULL, 'NTPase_1', 46084),
(102359, 'MF_01695', NULL, 'D-inositol-3-phosphate glycosyltransferase [mshA].', NULL, NULL, 'MshA', 46085),
(102360, 'MF_02073', NULL, 'Putrescine transporter PotE [potE].', NULL, NULL, 'Putrescine_transp', 46086),
(102361, 'MF_01277', NULL, 'HTH-type transcriptional repressor PurR [purR].', NULL, NULL, 'HTH_type_PurR', 46087),
(102362, 'MF_01932', NULL, 'AMP nucleosidase [amn].', NULL, NULL, 'AMP_nucleosidase', 46088),
(102363, 'MF_00548', NULL, 'Zinc transporter ZupT [zupT].', NULL, NULL, 'ZupT', 46089),
(102364, 'MF_01390', NULL, 'Maturase K [matK].', NULL, NULL, 'MatK', 46090),
(102365, 'MF_01831', NULL, 'Cysteine desulfurase [sufS].', NULL, NULL, 'SufS_aminotrans_5', 46091),
(102366, 'MF_01804', NULL, 'Segregation and condensation protein B [scpB].', NULL, NULL, 'ScpB', 46092),
(102367, 'MF_04032', NULL, 'Envelope glycoprotein B [gB].', NULL, NULL, 'HSV_GB', 46093),
(102368, 'MF_01401', NULL, 'Peptide methionine sulfoxide reductase MsrA [msrA].', NULL, NULL, 'MsrA', 46094),
(102369, 'MF_01937', NULL, '1,4-dihydroxy-2-naphthoate octaprenyltransferase [menA].', NULL, NULL, 'MenA_1', 46095),
(102370, 'MF_00210', NULL, '3-phosphoshikimate 1-carboxyvinyltransferase [aroA].', NULL, NULL, 'EPSP_synth', 46096),
(102371, 'MF_00133', NULL, 'Tryptophan synthase beta chain [trpB].', NULL, NULL, 'Trp_synth_beta', 46097),
(102372, 'MF_00420', NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurL [purL].', NULL, NULL, 'PurL_2', 46098),
(102373, 'MF_01302_B', NULL, '30S ribosomal protein S8 [rpsH].', NULL, NULL, 'Ribosomal_S8_B', 46099),
(102374, 'MF_00273', NULL, '50S ribosomal protein L18Ae [rpl18a].', NULL, NULL, 'Ribosomal_L18Ae', 46100),
(102375, 'MF_00076', NULL, 'Imidazoleglycerol-phosphate dehydratase [hisB].', NULL, NULL, 'HisB', 46101),
(102376, 'MF_00397', NULL, '2-(5''''-triphosphoribosyl)-3''-dephosphocoenzyme-A synthase [citG].', NULL, NULL, 'CitG', 46102),
(102377, 'MF_01612', NULL, '5-amino-6-(D-ribitylamino)uracil--L-tyrosine 4-hydroxyphenyl transferase [cofH].', NULL, NULL, 'FO_synth_sub2', 46103),
(102378, 'MF_01485', NULL, 'RecBCD enzyme subunit RecB [recB].', NULL, NULL, 'RecB', 46104),
(102379, 'MF_04076', NULL, 'External core antigen [C].', NULL, NULL, 'HBV_HBEAG', 46105),
(102380, 'MF_01967', NULL, 'NAD-dependent protein deacetylase [cobB].', NULL, NULL, 'Sirtuin_ClassII', 46106),
(102381, 'MF_01177', NULL, 'HTH-type transcriptional repressor NsrR [nsrR].', NULL, NULL, 'HTH_type_NsrR', 46107),
(102382, 'MF_03034', NULL, 'RISC-loading complex subunit @gn(TARBP2) [TARBP2].', NULL, NULL, 'TRBP2', 46108),
(102383, 'MF_01802', NULL, 'Chromosome partition protein MukE [mukE].', NULL, NULL, 'MukE', 46109),
(102384, 'MF_00985', NULL, '2-amino-3-ketobutyrate coenzyme A ligase [kbl].', NULL, NULL, '2am3keto_CoA_ligase', 46110),
(102385, 'MF_02222', NULL, 'Homocitrate synthase.', NULL, NULL, 'Homocitr_synth_fung_arch', 46111),
(102386, 'MF_01110', NULL, 'N-acetyl-gamma-glutamyl-phosphate reductase [argC].', NULL, NULL, 'ArgC_type2', 46112),
(102387, 'MF_00568', NULL, 'Quinolinate synthase A [nadA].', NULL, NULL, 'NadA_type2', 46113),
(102388, 'MF_01944', NULL, 'Lipid A biosynthesis myristoyltransferase [lpxM].', NULL, NULL, 'Lipid_A_LpxM', 46114),
(102389, 'MF_00912', NULL, 'Cell division protein DivIB [divIB].', NULL, NULL, 'DivIB', 46115),
(102390, 'MF_03184', NULL, 'ATP-dependent 6-phosphofructokinase.', NULL, NULL, 'Phosphofructokinase_I_E', 46116),
(102391, 'MF_01446', NULL, 'tRNA N6-adenosine threonylcarbamoyltransferase [kae1].', NULL, NULL, 'Kae1', 46117),
(102392, 'MF_01125', NULL, 'Reverse gyrase [rgy].', NULL, NULL, 'Reverse_gyrase', 46118),
(102393, 'MF_01254', NULL, 'L-fucose isomerase [fucI].', NULL, NULL, 'Fucose_iso', 46119),
(102394, 'MF_01543', NULL, 'Formate--tetrahydrofolate ligase [fhs].', NULL, NULL, 'FTHFS', 46120),
(102395, 'MF_03205', NULL, 'Elongation of very long chain fatty acids protein 5 [ELOVL5].', NULL, NULL, 'VLCF_elongase_5', 46121);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(102396, 'MF_01373', NULL, 'Lipoprotein LpqB [lpqB].', NULL, NULL, 'LpqB_lipoprot', 46122),
(102397, 'MF_00303', NULL, 'Trigger factor [tig].', NULL, NULL, 'Trigger_factor_Tig', 46123),
(102398, 'MF_00277', NULL, 'Bifunctional uridylyltransferase/uridylyl-removing enzyme [glnD].', NULL, NULL, 'PII_uridylyl_transf', 46124),
(102399, 'MF_00492', NULL, 'Transaldolase [tal].', NULL, NULL, 'Transaldolase_1', 46125),
(102400, 'MF_03163', NULL, 'AdoMet-dependent rRNA methyltransferase <gene_name> [SPB1].', NULL, NULL, 'RNA_methyltr_E_SPB1', 46126),
(102401, 'MF_01256', NULL, 'Putative metal-dependent hydrolase <locus_tag>.', NULL, NULL, 'YfiT_hydrol', 46127),
(102402, 'MF_00638', NULL, 'Serine-protein kinase RsbW [rsbW].', NULL, NULL, 'Anti_sigma_B', 46128),
(102403, 'MF_00960', NULL, '2-amino-3,7-dideoxy-D-threo-hept-6-ulosonate synthase [aroA''].', NULL, NULL, 'ADH_synthase', 46129),
(102404, 'MF_01037', NULL, 'Methylenetetrahydrofolate--tRNA-(uracil-5-)-methyltransferase TrmFO [trmFO].', NULL, NULL, 'TrmFO', 46130),
(102405, 'MF_00589', NULL, 'Photosystem II 12 kDa extrinsic protein [psbU].', NULL, NULL, 'PSII_PsbU', 46131),
(102406, 'MF_00641', NULL, 'Malate synthase G [glcB].', NULL, NULL, 'Malate_synth_G', 46132),
(102407, 'MF_00250', NULL, 'DNA-directed RNA polymerase subunit N [rpoN].', NULL, NULL, 'RNApol_arch_N', 46133),
(102408, 'MF_01858', NULL, 'Ribosomal RNA large subunit methyltransferase K/L [rlmL].', NULL, NULL, '23SrRNA_methyltr_KL', 46134),
(102409, 'MF_02014', NULL, 'Cell division suppressor protein YneA [yneA].', NULL, NULL, 'YneA', 46135),
(102410, 'MF_00166', NULL, 'DNA-binding protein Fis [fis].', NULL, NULL, 'DNA_binding_Fis', 46136),
(102411, 'MF_00974', NULL, 'DNA primase [dnaG].', NULL, NULL, 'DNA_primase_DnaG', 46137),
(102412, 'MF_00399', NULL, 'Thiol:disulfide interchange protein DsbD [dsbD].', NULL, NULL, 'DbsD', 46138),
(102413, 'MF_01893', NULL, 'tRNA pseudouridine synthase Pus10 [pus10].', NULL, NULL, 'Pus10_arch', 46139),
(102414, 'MF_03009', NULL, 'Eukaryotic translation initiation factor 3 subunit J [EIF3J].', NULL, NULL, 'eIF3j', 46140),
(102415, 'MF_00940', NULL, 'Tat proofreading chaperone DmsD [dmsD].', NULL, NULL, 'DmsD_chaperone', 46141),
(102416, 'MF_02105', NULL, 'Lactate utilization protein A [lutA].', NULL, NULL, 'LutA', 46142),
(102417, 'MF_00220_A', NULL, 'Dihydroorotase [pyrC].', NULL, NULL, 'PyrC_classI_A', 46143),
(102418, 'MF_00167', NULL, 'Translational regulator CsrA [csrA].', NULL, NULL, 'CsrA', 46144),
(102419, 'MF_01948', NULL, 'Lipopolysaccharide assembly protein A [lapA].', NULL, NULL, 'LPS_assembly_LapA', 46145),
(102420, 'MF_03204', NULL, 'Elongation of very long chain fatty acids protein 4 [ELOVL4].', NULL, NULL, 'VLCF_elongase_4', 46146),
(102421, 'MF_00724', NULL, 'Flagellar hook-basal body complex protein FliE [fliE].', NULL, NULL, 'FliE', 46147),
(102422, 'MF_01160', NULL, 'Divalent-cation tolerance protein CutA [cutA].', NULL, NULL, 'CutA', 46148),
(102423, 'MF_01815', NULL, '3-oxoacyl-[acyl-carrier-protein] synthase 3 [fabH].', NULL, NULL, 'FabH', 46149),
(102424, 'MF_00038', NULL, 'Phospho-N-acetylmuramoyl-pentapeptide-transferase [mraY].', NULL, NULL, 'MraY', 46150),
(102425, 'MF_02065', NULL, 'Endolytic murein transglycosylase [mltG].', NULL, NULL, 'MltG', 46151),
(102426, 'MF_02205', NULL, 'ATP-dependent DNA helicase DinG [dinG].', NULL, NULL, 'DinG_proteobact', 46152),
(102427, 'MF_01811', NULL, 'Membrane protein insertase YidC [yidC].', NULL, NULL, 'YidC_type2', 46153),
(102428, 'MF_01930', NULL, 'Phosphoribosylglycinamide formyltransferase [purN].', NULL, NULL, 'PurN', 46154),
(102429, 'MF_01928', NULL, 'N5-carboxyaminoimidazole ribonucleotide synthase [purK].', NULL, NULL, 'PurK', 46155),
(102430, 'MF_00924', NULL, 'Outer membrane protein assembly factor BamC [bamC].', NULL, NULL, 'OM_assembly_BamC', 46156),
(102431, 'MF_01387', NULL, 'Chromatin protein Cren7 [creN7].', NULL, NULL, 'Chromatin_Cren7', 46157),
(102432, 'MF_01492', NULL, 'Ribonuclease J [rnj].', NULL, NULL, 'RNase_J_arch', 46158),
(102433, 'MF_02006', NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, NULL, 'Tyr_tRNA_synth_type1', 46159);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(102434, 'MF_00338', NULL, 'UPF0145 protein YbjQ [ybjQ].', NULL, NULL, 'UPF0145', 46160),
(102435, 'MF_00943', NULL, 'Maleate isomerase [maiA].', NULL, NULL, 'Maleate_isomerase', 46161),
(102436, 'MF_01935', NULL, 'Isochorismate synthase MenF [menF].', NULL, NULL, 'MenF', 46162),
(102437, 'MF_02242', NULL, 'Archaetidylinositol phosphate synthase.', NULL, NULL, 'AIP_synthase', 46163),
(102438, 'MF_00247', NULL, 'Soluble pyridine nucleotide transhydrogenase [sthA].', NULL, NULL, 'SthA', 46164),
(102439, 'MF_00410', NULL, '50S ribosomal protein L31e [rpl31e].', NULL, NULL, 'Ribosomal_L31e', 46165),
(102440, 'MF_00306', NULL, 'Signal recognition particle 54 kDa protein [srp54].', NULL, NULL, 'SRP54', 46166),
(102441, 'MF_02225', NULL, 'Coenzyme A biosynthesis bifunctional protein CoaBC [coaBC].', NULL, NULL, 'CoaBC', 46167),
(102442, 'MF_00653', NULL, 'Coenzyme PQQ synthesis protein B [pqqB].', NULL, NULL, 'PQQ_syn_PqqB', 46168),
(102443, 'MF_01144', NULL, 'UPF0299 membrane protein YohJ [yohJ].', NULL, NULL, 'UPF0299', 46169),
(102444, 'MF_01859', NULL, 'Ribosomal RNA large subunit methyltransferase G [rlmG].', NULL, NULL, '23SrRNA_methyltr_G', 46170),
(102445, 'MF_00806', NULL, 'Autonomous glycyl radical cofactor [grcA].', NULL, NULL, 'GrcA', 46171),
(102446, 'MF_00049_B', NULL, 'Leucine--tRNA ligase [leuS].', NULL, NULL, 'Leu_tRNA_synth_B', 46172),
(102447, 'MF_00325', NULL, 'DNA polymerase II small subunit [polB].', NULL, NULL, 'DNApol_II_A_arch', 46173),
(102448, 'MF_01941', NULL, 'Mid-cell-anchored protein Z [mapZ].', NULL, NULL, 'MapZ', 46174),
(102449, 'MF_00622', NULL, 'Exosome complex component Rrp42 [rrp42].', NULL, NULL, 'Exosome_Rrp42', 46175),
(102450, 'MF_04017', NULL, 'Capsid vertex component 1 [CVC1].', NULL, NULL, 'HSV_CVC1', 46176),
(102451, 'MF_01218_A', NULL, 'Uracil phosphoribosyltransferase [upp].', NULL, NULL, 'Upp_A', 46177),
(102452, 'MF_00285', NULL, 'Potassium-transporting ATPase ATP-binding subunit [kdpB].', NULL, NULL, 'KdpB', 46178),
(102453, 'MF_04205', NULL, 'Envelope small membrane protein [E].', NULL, NULL, 'ALPHA_CORONA_E', 46179),
(102454, 'MF_00517', NULL, 'Probable sugar efflux transporter [sotB].', NULL, NULL, 'MFS_SotB', 46180),
(102455, 'MF_00144', NULL, 'tRNA-specific 2-thiouridylase MnmA [mnmA].', NULL, NULL, 'tRNA_thiouridyl_MnmA', 46181),
(102456, 'MF_00570', NULL, 'Nicotinate phosphoribosyltransferase [pncB].', NULL, NULL, 'NAPRTase', 46182),
(102457, 'MF_01105', NULL, 'Amino-acid acetyltransferase [argA].', NULL, NULL, 'N_acetyl_glu_synth', 46183),
(102458, 'MF_00113', NULL, 'S-adenosylmethionine:tRNA ribosyltransferase-isomerase [queA].', NULL, NULL, 'QueA', 46184),
(102459, 'MF_02059', NULL, 'Choline trimethylamine-lyase activating enzyme [cutD].', NULL, NULL, 'Activ_enz_CutD', 46185),
(102460, 'MF_00101', NULL, 'Holo-[acyl-carrier-protein] synthase [acpS].', NULL, NULL, 'AcpS', 46186),
(102461, 'MF_01189', NULL, 'Purine ribonucleoside efflux pump NepI [nepI].', NULL, NULL, 'MFS_NepI', 46187),
(102462, 'MF_01145', NULL, 'Foldase protein PrsA [prsA].', NULL, NULL, 'Foldase_PrsA', 46188),
(102463, 'MF_01247', NULL, 'HTH-type transcriptional regulator MalT [malT].', NULL, NULL, 'HTH_type_MalT', 46189),
(102464, 'MF_00550', NULL, 'Peptidase T [pepT].', NULL, NULL, 'Aminopeptidase_M20', 46190),
(102465, 'MF_01316', NULL, 'Photosystem II reaction center protein I [psbI].', NULL, NULL, 'PSII_PsbI', 46191),
(102466, 'MF_00588', NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit E [gatE].', NULL, NULL, 'GatE', 46192),
(102467, 'MF_00196', NULL, 'Mannitol-1-phosphate 5-dehydrogenase [mtlD].', NULL, NULL, 'Mannitol_dehydrog', 46193),
(102468, 'MF_01129', NULL, 'Putative K(+)-stimulated pyrophosphate-energized sodium pump [hppA].', NULL, NULL, 'PPase_energized_pump', 46194),
(102469, 'MF_00031', NULL, 'Holliday junction ATP-dependent DNA helicase RuvA [ruvA].', NULL, NULL, 'DNA_helic_RuvA', 46195),
(102470, 'MF_01343_A', NULL, '30S ribosomal protein S15 [rpsO].', NULL, NULL, 'Ribosomal_S15_A', 46196),
(102471, 'MF_01313', NULL, 'Nitric oxide reductase FlRd-NAD(+) reductase [norW].', NULL, NULL, 'NorW', 46197);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(102472, 'MF_00218', NULL, 'Uroporphyrinogen decarboxylase [hemE].', NULL, NULL, 'URO_D', 46198),
(102473, 'MF_00956', NULL, 'GDP-L-fucose synthase [fcl].', NULL, NULL, 'GDP_fucose_synth', 46199),
(102474, 'MF_01203', NULL, 'Voltage-gated ClC-type chloride channel ClcB [clcB].', NULL, NULL, 'CLC_ClcB', 46200),
(102475, 'MF_00292', NULL, '30S ribosomal protein S28e [rps28e].', NULL, NULL, 'Ribosomal_S28e', 46201),
(102476, 'MF_01468', NULL, 'Mini-ribonuclease 3 [mrnC].', NULL, NULL, 'RNase_Mini_III', 46202),
(102477, 'MF_01337_B', NULL, '50S ribosomal protein L18 [rplR].', NULL, NULL, 'Ribosomal_L18_B', 46203),
(102478, 'MF_00364', NULL, 'Beta-hexosaminidase [nagZ].', NULL, NULL, 'NagZ', 46204),
(102479, 'MF_00666', NULL, 'Small, acid-soluble spore protein P [sspP].', NULL, NULL, 'SspP', 46205),
(102480, 'MF_00772', NULL, 'Methylated-DNA--protein-cysteine methyltransferase [ogt].', NULL, NULL, 'OGT', 46206),
(102481, 'MF_01853', NULL, 'Protein pelota homolog [pelA].', NULL, NULL, 'PelO', 46207),
(102482, 'MF_00508', NULL, '30S ribosomal protein S10 [rpsJ].', NULL, NULL, 'Ribosomal_S10', 46208),
(102483, 'MF_02024', NULL, 'Lipid III flippase [wzxE].', NULL, NULL, 'WzxE', 46209),
(102484, 'MF_01186', NULL, 'LPS-assembly lipoprotein LptE [lptE].', NULL, NULL, 'LPS_assembly_LptE', 46210),
(102485, 'MF_01566', NULL, 'UPF0370 protein YpfN [ypfN].', NULL, NULL, 'UPF0370', 46211),
(102486, 'MF_00903', NULL, 'Probable Sec-independent protein translocase protein TatE [tatE].', NULL, NULL, 'TatE', 46212),
(102487, 'MF_00168', NULL, 'Queuine tRNA-ribosyltransferase [tgt].', NULL, NULL, 'Q_tRNA_Tgt', 46213),
(102488, 'MF_00008', NULL, 'Thymidylate synthase [thyA].', NULL, NULL, 'Thymidy_synth_bact', 46214),
(102489, 'MF_00961', NULL, 'RNA polymerase sigma factor RpoH [rpoH].', NULL, NULL, 'Sigma70_RpoH', 46215),
(102490, 'MF_01306_A', NULL, '30S ribosomal protein S4 [rpsD].', NULL, NULL, 'Ribosomal_S4_A', 46216),
(102491, 'MF_04000', NULL, 'Replication protein E1 [E1].', NULL, NULL, 'PPV_E1', 46217),
(102492, 'MF_01507', NULL, 'UPF0297 protein <locus_tag>.', NULL, NULL, 'UPF0297', 46218),
(102493, 'MF_01500', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit G [mtrG].', NULL, NULL, 'MtrG', 46219),
(102494, 'MF_01114', NULL, 'Regulatory protein RecX [recX].', NULL, NULL, 'RecX', 46220),
(102495, 'MF_00447', NULL, 'Photosystem I reaction center subunit XI [psaL].', NULL, NULL, 'PSI_PsaL', 46221),
(102496, 'MF_01028', NULL, 'Putative (R)-citramalate synthase CimA [cimA].', NULL, NULL, 'CimA', 46222),
(102497, 'MF_00927', NULL, 'Cell wall synthesis protein CwsA [cwsA].', NULL, NULL, 'CwsA', 46223),
(102498, 'MF_00231', NULL, 'Translation initiation factor 2 subunit alpha [eif2a].', NULL, NULL, 'eIF_2_alpha', 46224),
(102499, 'MF_00145', NULL, 'Phosphoglycerate kinase [pgk].', NULL, NULL, 'Phosphoglyc_kinase', 46225),
(102500, 'MF_00022', NULL, 'Glutamate--tRNA ligase [gltX].', NULL, NULL, 'Glu_tRNA_synth_type1', 46226),
(102501, 'MF_00529', NULL, 'Nitrogenase-stabilizing/protective protein NifW [nifW].', NULL, NULL, 'NifW', 46227),
(102502, 'MF_01083', NULL, 'Glutarate 2-hydroxylase [glaH].', NULL, NULL, 'glutarate_hydroxylase', 46228),
(102503, 'MF_01121', NULL, 'NAD-dependent protein deacylase [cobB].', NULL, NULL, 'Sirtuin_ClassIII', 46229),
(102504, 'MF_00414', NULL, 'Probable protein kinase UbiB [ubiB].', NULL, NULL, 'UbiB', 46230),
(102505, 'MF_03224', NULL, 'Cyanide hydratase.', NULL, NULL, 'CN_hydrolase', 46231),
(102506, 'MF_01174', NULL, 'N-succinylglutamate 5-semialdehyde dehydrogenase [astD].', NULL, NULL, 'Aldedh_AstD', 46232),
(102507, 'MF_01285', NULL, 'Riboflavin kinase [ribK].', NULL, NULL, 'Riboflavin_kinase', 46233),
(102508, 'MF_02053', NULL, 'Autoinducer-2 kinase [lsrK].', NULL, NULL, 'LsrK', 46234),
(102509, 'MF_00159', NULL, '4-hydroxy-3-methylbut-2-en-1-yl diphosphate synthase (ferredoxin) [ispG].', NULL, NULL, 'IspG', 46235),
(102510, 'MF_02212', NULL, 'Broad specificity amino-acid racemase.', NULL, NULL, 'Bsr_racemase', 46236),
(102511, 'MF_01168', NULL, 'N-glycosylase/DNA lyase.', NULL, NULL, 'AGOG', 46237);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(102512, 'MF_00553', NULL, 'Proteasome-activating nucleotidase [pan].', NULL, NULL, 'PAN', 46238),
(102513, 'MF_01532', NULL, 'L-rhamnose-proton symporter [rhaT].', NULL, NULL, 'RhaT', 46239),
(102514, 'MF_00955', NULL, 'GDP-mannose 4,6-dehydratase [gmd].', NULL, NULL, 'GDP_Man_dehydratase', 46240),
(102515, 'MF_01951', NULL, 'L-ribulose-5-phosphate 3-epimerase UlaE [ulaE].', NULL, NULL, 'UlaE', 46241),
(102516, 'MF_03187', NULL, 'EEF1A lysine methyltransferase 1 [EEF1AKMT1].', NULL, NULL, 'Methyltr_EFM5', 46242),
(102517, 'MF_01642', NULL, 'LL-diaminopimelate aminotransferase [dapL].', NULL, NULL, 'DapL_aminotrans_1', 46243),
(102518, 'MF_01265', NULL, 'L-aspartate dehydrogenase [nadX].', NULL, NULL, 'NadX', 46244),
(102519, 'MF_00513', NULL, 'HTH-type transcriptional regulator ArgP [argP].', NULL, NULL, 'HTH_type_ArgP', 46245),
(102520, 'MF_00690', NULL, 'UPF0270 protein YheU [yheU].', NULL, NULL, 'UPF0270', 46246),
(102521, 'MF_00515', NULL, 'N-methyl-L-tryptophan oxidase [solA].', NULL, NULL, 'MTOX', 46247),
(102522, 'MF_01618', NULL, '3-ketoacyl-CoA thiolase [fadI].', NULL, NULL, 'FadI', 46248),
(102523, 'MF_00594', NULL, 'Cytochrome c6 [petJ].', NULL, NULL, 'Cytc_PetJ', 46249),
(102524, 'MF_00716', NULL, 'Nitrous-oxide reductase [nosZ].', NULL, NULL, 'NosZ', 46250),
(102525, 'MF_04148', NULL, 'Terminase, large subunit.', NULL, NULL, 'TERL_BPP22', 46251),
(102526, 'MF_01101', NULL, 'UPF0208 membrane protein YfbV [yfbV].', NULL, NULL, 'UPF0208', 46252),
(102527, 'MF_01626', NULL, 'Protein ViaA [viaA].', NULL, NULL, 'ViaA', 46253),
(102528, 'MF_02208', NULL, 'UDP-N-acetylmuramoyl-L-alanine--L-glutamate ligase [murD2].', NULL, NULL, 'MurD2_subfam', 46254),
(102529, 'MF_00331', NULL, 'Cysteine desulfurase IscS [iscS].', NULL, NULL, 'Cys_desulf_IscS', 46255),
(102530, 'MF_01166', NULL, 'Bifunctional polymyxin resistance protein ArnA [arnA].', NULL, NULL, 'ArnA', 46256),
(102531, 'MF_04034', NULL, 'Envelope glycoprotein L [gL].', NULL, NULL, 'HSV_GL_alphagamma', 46257),
(102532, 'MF_01861', NULL, 'UPF0738 protein <locus_tag>.', NULL, NULL, 'UPF0738', 46258),
(102533, 'MF_03039', NULL, 'Cytosolic Fe-S cluster assembly factor NUBP2 [NUBP2].', NULL, NULL, 'NUBP2', 46259),
(102534, 'MF_00576', NULL, 'Gas vesicle structural protein [gvpA].', NULL, NULL, 'Gas_vesicle_A', 46260),
(102535, 'MF_01356', NULL, 'NAD(P)H-quinone oxidoreductase subunit K, chloroplastic [ndhK].', NULL, NULL, 'NDH1_NuoB', 46261),
(102536, 'MF_01494', NULL, 'DEAD-box ATP-dependent RNA helicase CshB [cshB].', NULL, NULL, 'DEAD_helicase_CshB', 46262),
(102537, 'MF_00302', NULL, 'ATP-dependent Clp protease adapter protein ClpS [clpS].', NULL, NULL, 'ClpS', 46263),
(102538, 'MF_00374', NULL, '50S ribosomal protein L29 [rpmC].', NULL, NULL, 'Ribosomal_L29', 46264),
(102539, 'MF_01050', NULL, 'L-carnitine CoA-transferase [caiB].', NULL, NULL, 'CaiB', 46265),
(102540, 'MF_02215', NULL, 'Ubiquinone biosynthesis accessory factor UbiJ [ubiJ].', NULL, NULL, 'UbiJ', 46266),
(102541, 'MF_01405', NULL, 'dITP/XTP pyrophosphatase.', NULL, NULL, 'Non_canon_purine_NTPase', 46267),
(102542, 'MF_04038', NULL, 'Cytoplasmic envelopment protein 1.', NULL, NULL, 'HSV_CEP1', 46268),
(102543, 'MF_00672', NULL, 'UPF0761 membrane protein YihY [yihY].', NULL, NULL, 'UPF0761', 46269),
(102544, 'MF_01075', NULL, 'K(+)/H(+) antiporter NhaP2 [nhaP2].', NULL, NULL, 'NhaP2', 46270),
(102545, 'MF_01161', NULL, 'tRNA(Ile)-lysidine synthase [tilS].', NULL, NULL, 'tRNA_Ile_lys_synt', 46271),
(102546, 'MF_03054', NULL, 'Cytoplasmic tRNA 2-thiolation protein 2 [CTU2].', NULL, NULL, 'CTU2', 46272),
(102547, 'MF_00552', NULL, 'Zinc transporter ZitB [zitB].', NULL, NULL, 'ZitB', 46273),
(102548, 'MF_00010', NULL, 'UPF0060 membrane protein YnfA [ynfA].', NULL, NULL, 'UPF0060', 46274),
(102549, 'MF_01079', NULL, 'UPF0280 protein <locus_tag>.', NULL, NULL, 'UPF0280', 46275),
(102550, 'MF_01466', NULL, 'Accessory Sec system protein translocase subunit SecY2 [secY2].', NULL, NULL, 'SecY2', 46276),
(102551, 'MF_04200', NULL, 'Spike glycoprotein [S].', NULL, NULL, 'ALPHA_CORONA_SPIKE', 46277);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(102552, 'MF_02121', NULL, 'Aspartate-semialdehyde dehydrogenase [asd].', NULL, NULL, 'ASADH', 46278),
(102553, 'MF_01134', NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit epsilon [cdhB].', NULL, NULL, 'CdhB', 46279),
(102554, 'MF_00579', NULL, 'Formylmethanofuran--tetrahydromethanopterin formyltransferase [ftr].', NULL, NULL, 'FTR', 46280),
(102555, 'MF_01524', NULL, 'Crotonobetaine/carnitine--CoA ligase [caiC].', NULL, NULL, 'CaiC', 46281),
(102556, 'MF_04124', NULL, 'Protein VP3.', NULL, NULL, 'Rota_VP3', 46282),
(102557, 'MF_02023', NULL, 'Dissimilatory sulfite reductase.', NULL, NULL, 'Sulfite_red', 46283),
(102558, 'MF_03062', NULL, 'Ubiquitin carboxyl-terminal hydrolase 16 [USP16].', NULL, NULL, 'UBP16', 46284),
(102559, 'MF_00947', NULL, 'Acid stress chaperone HdeB [hdeB].', NULL, NULL, 'HdeB', 46285),
(102560, 'MF_02085', NULL, 'UTP--glucose-1-phosphate uridylyltransferase [cugP].', NULL, NULL, 'CugP_cyano', 46286),
(102561, 'MF_01919', NULL, 'Cell division protein ZapE [zapE].', NULL, NULL, 'ZapE', 46287),
(102562, 'MF_01699', NULL, 'Pyrimidine monooxygenase RutA [rutA].', NULL, NULL, 'RutA', 46288),
(102563, 'MF_00269', NULL, 'Thiol peroxidase [tpx].', NULL, NULL, 'Tpx', 46289),
(102564, 'MF_01336', NULL, '50S ribosomal protein L25 [rplY].', NULL, NULL, 'Ribosomal_L25', 46290),
(102565, 'MF_03118', NULL, 'Probable bifunctional methylthioribulose-1-phosphate dehydratase/enolase-phosphatase E1.', NULL, NULL, 'Salvage_MtnBC', 46291),
(102566, 'MF_01463_B', NULL, 'Protein translocase subunit SecD [secD].', NULL, NULL, 'SecD_B', 46292),
(102567, 'MF_00415', NULL, 'Flagellar L-ring protein [flgH].', NULL, NULL, 'FlgH', 46293),
(102568, 'MF_01318_A', NULL, '50S ribosomal protein L1 [rplA].', NULL, NULL, 'Ribosomal_L1_A', 46294),
(102569, 'MF_00400', NULL, 'Multidrug resistance protein MdtK [mdtK].', NULL, NULL, 'MdtK', 46295),
(102570, 'MF_00766', NULL, 'Biosynthetic peptidoglycan transglycosylase [mtgA].', NULL, NULL, 'PGT_MtgA', 46296),
(102571, 'MF_00782', NULL, 'Glutathione biosynthesis bifunctional protein GshAB [gshAB].', NULL, NULL, 'Glut_biosynth', 46297),
(102572, 'MF_01107', NULL, 'Acetylornithine/succinyldiaminopimelate aminotransferase [argD].', NULL, NULL, 'ArgD_aminotrans_3', 46298),
(102573, 'MF_01501', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit H [mtrH].', NULL, NULL, 'MtrH', 46299),
(102574, 'MF_01388', NULL, 'Photosystem II reaction center X protein [psbX].', NULL, NULL, 'PSII_PsbX_2', 46300),
(102575, 'MF_02017', NULL, 'Cytoskeleton protein RodZ [rodZ].', NULL, NULL, 'RodZ', 46301),
(102576, 'MF_03183', NULL, 'Endonuclease III-like protein 1 [NTHL1].', NULL, NULL, 'Endonuclease_III_Nth', 46302),
(102577, 'MF_02046', NULL, 'NAD-dependent glucose-6-phosphate dehydrogenase.', NULL, NULL, 'Glc6PDH_archaea', 46303),
(102578, 'MF_01031', NULL, '3-isopropylmalate dehydratase small subunit [leuD].', NULL, NULL, 'LeuD_type1', 46304),
(102579, 'MF_01196', NULL, 'Cell division protein ZapB [zapB].', NULL, NULL, 'ZapB', 46305),
(102580, 'MF_00387', NULL, 'Acyl-[acyl-carrier-protein]--UDP-N-acetylglucosamine O-acyltransferase [lpxA].', NULL, NULL, 'LpxA', 46306),
(102581, 'MF_01195', NULL, 'N-acetylneuraminate epimerase [nanM].', NULL, NULL, 'NanM', 46307),
(102582, 'MF_01092', NULL, 'Cell division protein ZapD [zapD].', NULL, NULL, 'ZapD', 46308),
(102583, 'MF_00021', NULL, 'tRNA sulfurtransferase [thiI].', NULL, NULL, 'ThiI', 46309),
(102584, 'MF_00506', NULL, 'UPF0180 protein <locus_tag>.', NULL, NULL, 'UPF0180', 46310),
(102585, 'MF_02092', NULL, 'Quinone-dependent D-lactate dehydrogenase [dld].', NULL, NULL, 'DLDH_Dld', 46311),
(102586, 'MF_00129', NULL, 'tRNA uridine 5-carboxymethylaminomethyl modification enzyme MnmG [mnmG].', NULL, NULL, 'MnmG_GidA', 46312),
(102587, 'MF_00322', NULL, 'Type 2 DNA topoisomerase 6 subunit B [top6B].', NULL, NULL, 'Top6B', 46313),
(102588, 'MF_03176', NULL, 'ATP-dependent DNA helicase PIF1 [PIF1].', NULL, NULL, 'PIF1', 46314),
(102589, 'MF_02077', NULL, 'Lipid II flippase Amj [amj].', NULL, NULL, 'Amj_flippase', 46315);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(102590, 'MF_00170', NULL, 'Ribose-5-phosphate isomerase A [rpiA].', NULL, NULL, 'Rib_5P_isom_A', 46316),
(102591, 'MF_00823', NULL, 'Acetyl-coenzyme A carboxylase carboxyl transferase subunit alpha [accA].', NULL, NULL, 'AcetylCoA_CT_alpha', 46317),
(102592, 'MF_02129', NULL, 'L-carnitine dehydrogenase [lcdH].', NULL, NULL, 'L_carnitine_dehydrog', 46318),
(102593, 'MF_01628', NULL, 'Thymidine phosphorylase [deoA].', NULL, NULL, 'Thymid_phosp', 46319),
(102594, 'MF_01645', NULL, 'Allantoinase [allB].', NULL, NULL, 'Hydantoinase', 46320),
(102595, 'MF_01377', NULL, 'Probable lipid kinase YegS [yegS].', NULL, NULL, 'YegS', 46321),
(102596, 'MF_02236', NULL, 'N-acetyl-L-citrulline deacetylase [argE''].', NULL, NULL, 'ACDase', 46322),
(102597, 'MF_01383', NULL, 'Photosystem II D2 protein [psbD].', NULL, NULL, 'PSII_PsbD_D2', 46323),
(102598, 'MF_01150', NULL, 'Chaperone protein TorD [torD].', NULL, NULL, 'TorD', 46324),
(102599, 'MF_01263', NULL, 'CCA-adding enzyme [cca].', NULL, NULL, 'CCA_bact_type3', 46325),
(102600, 'MF_01676', NULL, 'Alkyl hydroperoxide reductase AhpD [ahpD].', NULL, NULL, 'AhpD', 46326),
(102601, 'MF_00134_A', NULL, 'Indole-3-glycerol phosphate synthase [trpC].', NULL, NULL, 'IGPS_A', 46327),
(102602, 'MF_00456', NULL, 'Glutamate 5-kinase [proB].', NULL, NULL, 'ProB', 46328),
(102603, 'MF_00609', NULL, 'Histidine decarboxylase [hdc].', NULL, NULL, 'Pyridoxal_decarbox', 46329),
(102604, 'MF_00461', NULL, 'Ion-translocating oxidoreductase complex subunit C [rsxC].', NULL, NULL, 'RsxC_RnfC', 46330),
(102605, 'MF_00558', NULL, 'Succinate--CoA ligase [ADP-forming] subunit beta [sucC].', NULL, NULL, 'Succ_CoA_beta', 46331),
(102606, 'MF_00059', NULL, 'DNA-directed RNA polymerase subunit alpha [rpoA].', NULL, NULL, 'RNApol_bact_RpoA', 46332),
(102607, 'MF_01821', NULL, 'RNA polymerase-associated protein RapA [rapA].', NULL, NULL, 'Helicase_RapA', 46333),
(102608, 'MF_04144', NULL, 'Terminase, large subunit.', NULL, NULL, 'TERL_LAMBDA', 46334),
(102609, 'MF_00676', NULL, 'UPF0260 protein YcgN [ycgN].', NULL, NULL, 'UPF0260', 46335),
(102610, 'MF_00389', NULL, 'Protein TusC [tusC].', NULL, NULL, 'Thiourid_synth_C', 46336),
(102611, 'MF_00573', NULL, '50S ribosomal protein L35Ae [rpl35ae].', NULL, NULL, 'Ribosomal_L35Ae', 46337),
(102612, 'MF_01681', NULL, 'Enolase-phosphatase E1 [mtnC].', NULL, NULL, 'Salvage_MtnC', 46338),
(102613, 'MF_01585', NULL, 'Lysophospholipid transporter LplT [lplT].', NULL, NULL, 'MFS_LplT', 46339),
(102614, 'MF_01573', NULL, 'Pyrrolysine--tRNA ligase [pylS].', NULL, NULL, 'Pyl_tRNA_synth', 46340),
(102615, 'MF_00725', NULL, 'Flagellar transcriptional regulator FlhD [flhD].', NULL, NULL, 'FlhD', 46341),
(102616, 'MF_01048', NULL, 'Protein PsiE [psiE].', NULL, NULL, 'PsiE', 46342),
(102617, 'MF_01325_A', NULL, '50S ribosomal protein L3 [rplC].', NULL, NULL, 'Ribosomal_L3_A', 46343),
(102618, 'MF_04130', NULL, 'Outer capsid glycoprotein VP7.', NULL, NULL, 'Rota_VP7', 46344),
(102619, 'MF_00235', NULL, 'Adenylate kinase [adk].', NULL, NULL, 'Adenylate_kinase_Adk', 46345),
(102620, 'MF_01137', NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit alpha [cdhA].', NULL, NULL, 'CdhA', 46346),
(102621, 'MF_00824', NULL, 'Uncharacterized N-acetyltransferase <locus_tag>.', NULL, NULL, 'Acetyltransf_YlbP', 46347),
(102622, 'MF_02007', NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, NULL, 'Tyr_tRNA_synth_type2', 46348),
(102623, 'MF_01653', NULL, '2,3-dihydroxyphenylpropionate/2,3-dihydroxicinnamic acid 1,2-dioxygenase [mhpB].', NULL, NULL, 'MhpB', 46349),
(102624, 'MF_04050', NULL, 'Hexon-interlacing protein [IX].', NULL, NULL, 'ADV_CAP9', 46350),
(102625, 'MF_00066', NULL, 'Sulfate adenylyltransferase [sat].', NULL, NULL, 'Sulf_adenylyltr', 46351),
(102626, 'MF_01200_B', NULL, 'Orotidine 5''-phosphate decarboxylase [pyrF].', NULL, NULL, 'OMPdecase_type1_B', 46352),
(102627, 'MF_03141', NULL, 'Platelet-activating factor acetylhydrolase IB subunit alpha [PAFAH1B1].', NULL, NULL, 'lis1', 46353),
(102628, 'MF_01005', NULL, 'Vitamin B12 import ATP-binding protein BtuD [btuD].', NULL, NULL, 'BtuD', 46354);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(102629, 'MF_00945_A', NULL, 'Transcription termination/antitermination protein NusA [nusA].', NULL, NULL, 'NusA_A', 46355),
(102630, 'MF_03208', NULL, 'Phosphatidylserine decarboxylase proenzyme [PISD].', NULL, NULL, 'PS_decarb_PSD_B_type1_euk', 46356),
(102631, 'MF_01619', NULL, 'NAD-dependent malic enzyme [maeA].', NULL, NULL, 'NAD_malic_enz', 46357),
(102632, 'MF_00582', NULL, 'UPF0215 protein <locus_tag>.', NULL, NULL, 'UPF0215', 46358),
(102633, 'MF_01131', NULL, 'Redox-sensing transcriptional repressor Rex [rex].', NULL, NULL, 'Rex', 46359),
(102634, 'MF_01330', NULL, 'Protein Ycf2 [ycf2].', NULL, NULL, 'Ycf2', 46360),
(102635, 'MF_02054', NULL, 'Tyrosine recombinase XerH [xerH].', NULL, NULL, 'Recomb_XerH', 46361),
(102636, 'MF_02118', NULL, 'Octanoyltransferase LipM [lipM].', NULL, NULL, 'LipM', 46362),
(102637, 'MF_01567', NULL, 'UPF0371 protein <locus_tag>.', NULL, NULL, 'UPF0371', 46363),
(102638, 'MF_00565', NULL, 'D-alanyl carrier protein [dltC].', NULL, NULL, 'DltC', 46364),
(102639, 'MF_01029', NULL, 'UPF0213 protein YhbQ [yhbQ].', NULL, NULL, 'UPF0213', 46365),
(102640, 'MF_02030', NULL, 'Undecaprenyl-phosphate alpha-N-acetylglucosaminyl 1-phosphate transferase [wecA].', NULL, NULL, 'WecA_Gammaproteo', 46366),
(102641, 'MF_01918', NULL, 'Cardiolipin synthase C [clsC].', NULL, NULL, 'Cardiolipin_synth_ClsC', 46367),
(102642, 'MF_03016', NULL, '40S ribosomal protein SA [RPSA].', NULL, NULL, 'Ribosomal_S2_laminin_receptor', 46368),
(102643, 'MF_03033', NULL, 'Protein argonaute-4 [EIF2C4].', NULL, NULL, 'AGO4', 46369),
(102644, 'MF_01410', NULL, 'Glucose-6-phosphate isomerase [pgiA].', NULL, NULL, 'G6P_isomerase_arch', 46370),
(102645, 'MF_01419', NULL, 'Phosphoglycolate phosphatase.', NULL, NULL, 'GPH_hydrolase_arch', 46371),
(102646, 'MF_00258', NULL, 'Glutamate racemase [murI].', NULL, NULL, 'Glu_racemase', 46372),
(102647, 'MF_03001', NULL, 'Eukaryotic translation initiation factor 3 subunit B [EIF3B].', NULL, NULL, 'eIF3b', 46373),
(102648, 'MF_01684', NULL, '5''-methylthioadenosine/S-adenosylhomocysteine nucleosidase [mtnN].', NULL, NULL, 'Salvage_MtnN', 46374),
(102649, 'MF_01503', NULL, 'Putative regulatory protein <locus_tag>.', NULL, NULL, 'RemA', 46375),
(102650, 'MF_01975', NULL, 'Methionine aminopeptidase [map].', NULL, NULL, 'MetAP_2_arc', 46376),
(102651, 'MF_00286', NULL, 'Disulfide bond formation protein B [dsbB].', NULL, NULL, 'DsbB', 46377),
(102652, 'MF_00542', NULL, 'Probable butyrate kinase [buk].', NULL, NULL, 'Butyrate_kinase', 46378),
(102653, 'MF_01099', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit F [mtrF].', NULL, NULL, 'MtrF', 46379),
(102654, 'MF_01621', NULL, 'Fatty acid oxidation complex subunit alpha [fadB].', NULL, NULL, 'FadB', 46380),
(102655, 'MF_04010', NULL, 'DNA helicase/primase complex-associated protein.', NULL, NULL, 'HSV_HEPA', 46381),
(102656, 'MF_01096', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit C [mtrC].', NULL, NULL, 'MtrC', 46382),
(102657, 'MF_00354', NULL, 'Isopentenyl-diphosphate delta-isomerase [fni].', NULL, NULL, 'Idi_2', 46383),
(102658, 'MF_00493', NULL, 'Transaldolase [tal].', NULL, NULL, 'Transaldolase_2', 46384),
(102659, 'MF_01003', NULL, 'Probable ECA polymerase [wzyE].', NULL, NULL, 'WzyE', 46385),
(102660, 'MF_00935', NULL, 'Alanine dehydrogenase [ala].', NULL, NULL, 'AlaDH_arch', 46386),
(102661, 'MF_00822', NULL, 'Urease accessory protein UreE [ureE].', NULL, NULL, 'UreE', 46387),
(102662, 'MF_02221', NULL, 'Carbamoyl-phosphate synthase.', NULL, NULL, 'CPSase', 46388),
(102663, 'MF_00262', NULL, 'Cell division topological specificity factor [minE].', NULL, NULL, 'MinE', 46389),
(102664, 'MF_01258', NULL, 'Coenzyme F420:L-glutamate ligase [cofE].', NULL, NULL, 'F420_ligase_CofE', 46390),
(102665, 'MF_00119', NULL, 'Translation initiation factor 2 subunit gamma [eif2g].', NULL, NULL, 'eIF_2_gamma', 46391),
(102666, 'MF_01169', NULL, '2-oxoglutarate dehydrogenase E1 component [odhA].', NULL, NULL, 'SucA_OdhA', 46392),
(102667, 'MF_01123', NULL, 'Acetyl-coenzyme A synthetase [acs].', NULL, NULL, 'Ac_CoA_synth', 46393);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(102668, 'MF_01343_B', NULL, '30S ribosomal protein S15 [rpsO].', NULL, NULL, 'Ribosomal_S15_B', 46394),
(102669, 'MF_03177', NULL, 'ATP-dependent DNA helicase RRM3 [RRM3].', NULL, NULL, 'RRM3', 46395),
(102670, 'MF_00642', NULL, 'Cytochrome b559 subunit alpha [psbE].', NULL, NULL, 'PSII_PsbE', 46396),
(102671, 'MF_02036', NULL, 'Gamma-glutamyl-hercynylcysteine sulfoxide hydrolase [egtC].', NULL, NULL, 'EgtC', 46397),
(102672, 'MF_00952', NULL, 'DNA topoisomerase 1 [topA].', NULL, NULL, 'Topoisom_1_prok', 46398),
(102673, 'MF_00585', NULL, 'UPF0216 protein <locus_tag>.', NULL, NULL, 'UPF0216', 46399),
(102674, 'MF_01643', NULL, 'Formate-dependent phosphoribosylglycinamide formyltransferase [purT].', NULL, NULL, 'PurT', 46400),
(102675, 'MF_01672', NULL, 'Inosose dehydratase [iolE].', NULL, NULL, 'IolE', 46401),
(102676, 'MF_01526', NULL, 'UPF0342 protein <locus_tag>.', NULL, NULL, 'UPF0342', 46402),
(102677, 'MF_01347', NULL, 'ATP synthase subunit beta [atpB].', NULL, NULL, 'ATP_synth_beta_bact', 46403),
(102678, 'MF_00026', NULL, 'DNA-binding protein <locus_tag>.', NULL, NULL, 'dsDNA_bind', 46404),
(102679, 'MF_00291_B', NULL, '30S ribosomal protein S2 [rpsB].', NULL, NULL, 'Ribosomal_S2_B', 46405),
(102680, 'MF_00033', NULL, 'UDP-N-acetylglucosamine--N-acetylmuramyl-(pentapeptide) pyrophosphoryl-undecaprenol N-acetylglucosamine transferase [murG].', NULL, NULL, 'MurG', 46406),
(102681, 'MF_01814', NULL, 'Transcription factor FapR [fapR].', NULL, NULL, 'Transcrip_fact_FapR', 46407),
(102682, 'MF_03100', NULL, 'Structure-specific endonuclease subunit <gene_name> [SLX1].', NULL, NULL, 'Endonuc_su_Slx1', 46408),
(102683, 'MF_01364_A', NULL, '30S ribosomal protein S14 type Z [rpsZ].', NULL, NULL, 'Ribosomal_S14_2_A', 46409),
(102684, 'MF_01533', NULL, 'HTH-type transcriptional activator RhaR [rhaR].', NULL, NULL, 'HTH_type_RhaR', 46410),
(102685, 'MF_02096', NULL, 'DNA repair protein.', NULL, NULL, 'Nre', 46411),
(102686, 'MF_00906', NULL, 'Cell division protein ZapC [zapC].', NULL, NULL, 'ZapC', 46412),
(102687, 'MF_00147_B', NULL, 'Triosephosphate isomerase [tpiA].', NULL, NULL, 'TIM_B', 46413),
(102688, 'MF_02231', NULL, 'Ubiquinone biosynthesis accessory factor UbiT [ubiT].', NULL, NULL, 'UbiT', 46414),
(102689, 'MF_00683', NULL, 'UPF0265 protein YeeX [yeeX].', NULL, NULL, 'UPF0265', 46415),
(102690, 'MF_03057', NULL, 'Succinate dehydrogenase assembly factor 2, mitochondrial [SDHAF2].', NULL, NULL, 'SDHAF2', 46416),
(102691, 'MF_01698', NULL, 'Mycothiol acetyltransferase [mshD].', NULL, NULL, 'MshD', 46417),
(102692, 'MF_04102', NULL, 'Baseplate wedge protein gp6.', NULL, NULL, 'BP06_T4', 46418),
(102693, 'MF_01554_A', NULL, 'Phosphoglucosamine mutase [glmM].', NULL, NULL, 'GlmM_A', 46419),
(102694, 'MF_04138', NULL, 'Tape measure protein [H].', NULL, NULL, 'TMP_LAMBDA', 46420),
(102695, 'MF_01862', NULL, 'Ribosomal RNA small subunit methyltransferase C [rsmC].', NULL, NULL, '16SrRNA_methyltr_C', 46421),
(102696, 'MF_00334', NULL, 'Homogentisate 1,2-dioxygenase [hmgA].', NULL, NULL, 'Homogentis_dioxygen', 46422),
(102697, 'MF_01197', NULL, 'Cell division protein SepF [sepF].', NULL, NULL, 'SepF', 46423),
(102698, 'MF_00945_B', NULL, 'Transcription termination/antitermination protein NusA [nusA].', NULL, NULL, 'NusA_B', 46424),
(102699, 'MF_01846', NULL, 'Nucleoside triphosphatase NudI [nudI].', NULL, NULL, 'Nudix_NudI', 46425),
(102700, 'MF_00807', NULL, '1-aminocyclopropane-1-carboxylate deaminase [acdS].', NULL, NULL, 'ACC_deaminase', 46426),
(102701, 'MF_01659', NULL, '2-succinyl-5-enolpyruvyl-6-hydroxy-3-cyclohexene-1-carboxylate synthase [menD].', NULL, NULL, 'MenD', 46427),
(102702, 'MF_00343', NULL, 'UPF0148 protein <locus_tag>.', NULL, NULL, 'UPF0148', 46428),
(102703, 'MF_01564', NULL, 'Protein TusB [tusB].', NULL, NULL, 'Thiourid_synth_B', 46429),
(102704, 'MF_00391', NULL, '50S ribosomal protein L34 [rpmH].', NULL, NULL, 'Ribosomal_L34', 46430),
(102705, 'MF_00979', NULL, 'Sensor histidine kinase RcsC [rcsC].', NULL, NULL, 'RcsC', 46431),
(102706, 'MF_01542', NULL, 'UPF0349 protein <locus_tag>.', NULL, NULL, 'UPF0349', 46432);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(102707, 'MF_00778', NULL, 'Probable subtilase-type protease inhibitor [sti].', NULL, NULL, 'SSI', 46433),
(102708, 'MF_00484', NULL, 'Glycogen synthase [glgA].', NULL, NULL, 'Glycogen_synth', 46434),
(102709, 'MF_01594', NULL, 'Rhomboid protease GlpG [glpG].', NULL, NULL, 'Rhomboid_GlpG', 46435),
(102710, 'MF_01609', NULL, 'Glutamate--cysteine ligase [gshA].', NULL, NULL, 'Glu_cys_ligase_2', 46436),
(102711, 'MF_02013', NULL, 'Cell division protein ZapA [zapA].', NULL, NULL, 'ZapA_type2', 46437),
(102712, 'MF_03121', NULL, 'Lon protease homolog 2, peroxisomal [LONP2].', NULL, NULL, 'lonp2_euk', 46438),
(102713, 'MF_00199', NULL, 'Bis(5''-nucleosyl)-tetraphosphatase, symmetrical [apaH].', NULL, NULL, 'ApaH', 46439),
(102714, 'MF_01908', NULL, 'Cyclic 2,3-diphosphoglycerate synthetase [cpgS].', NULL, NULL, 'Cyc_PG_syn', 46440),
(102715, 'MF_00122', NULL, 'Aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase subunit C [gatC].', NULL, NULL, 'GatC', 46441),
(102716, 'MF_00808', NULL, 'Photosystem II reaction center protein T [psbT].', NULL, NULL, 'PSII_PsbT', 46442),
(102717, 'MF_00530', NULL, 'ATP synthase epsilon chain [atpC].', NULL, NULL, 'ATP_synth_epsil_bac', 46443),
(102718, 'MF_01934', NULL, '1,4-dihydroxy-2-naphthoyl-CoA synthase [menB].', NULL, NULL, 'MenB', 46444),
(102719, 'MF_01568', NULL, 'UPF0374 protein <locus_tag>.', NULL, NULL, 'UPF0374', 46445),
(102720, 'MF_03032', NULL, 'Protein argonaute-3 [EIF2C3].', NULL, NULL, 'AGO3', 46446),
(102721, 'MF_01102', NULL, 'tRNA 5-methylaminomethyl-2-thiouridine biosynthesis bifunctional protein MnmC [mnmC].', NULL, NULL, 'MnmC', 46447),
(102722, 'MF_00649', NULL, 'DNA gyrase inhibitor YacG [yacG].', NULL, NULL, 'DNA_gyrase_inhibitor_YacG', 46448),
(102723, 'MF_00448', NULL, '50S ribosomal protein L10e [rpl10e].', NULL, NULL, 'Ribosomal_L10e', 46449),
(102724, 'MF_00323', NULL, 'Coproporphyrin III ferrochelatase [cpfC].', NULL, NULL, 'Ferrochelatase', 46450),
(102725, 'MF_03182', NULL, 'PAN2-PAN3 deadenylation complex catalytic subunit PAN2 [PAN2].', NULL, NULL, 'PAN2', 46451),
(102726, 'MF_00668', NULL, '6-carboxyhexanoate--CoA ligase [bioW].', NULL, NULL, 'BioW', 46452),
(102727, 'MF_01281', NULL, '5''-deoxyadenosine deaminase [dadD].', NULL, NULL, 'MTA_SAH_deamin', 46453),
(102728, 'MF_03036', NULL, '2''-deoxynucleoside 5''-phosphate N-hydrolase 1 [DNPH1].', NULL, NULL, 'Nuc_phosphate_hydrolase', 46454),
(102729, 'MF_00624', NULL, 'Glucose-1-phosphate adenylyltransferase [glgC].', NULL, NULL, 'GlgC', 46455),
(102730, 'MF_03148', NULL, 'Inosine triphosphate pyrophosphatase [ITPA].', NULL, NULL, 'HAM1_NTPase', 46456),
(102731, 'MF_01183', NULL, 'Chaperone SurA [surA].', NULL, NULL, 'Chaperone_SurA', 46457),
(102732, 'MF_00379', NULL, 'tRNA modification GTPase MnmE [mnmE].', NULL, NULL, 'GTPase_MnmE', 46458),
(102733, 'MF_01977', NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, NULL, 'Phosphofructokinase_II_P', 46459),
(102734, 'MF_04122', NULL, 'Internal virion protein gp15.', NULL, NULL, 'GP15_T7', 46460),
(102735, 'MF_00054_B', NULL, 'Elongation factor G [fusA].', NULL, NULL, 'EF_G_EF_2_B', 46461),
(102736, 'MF_00190', NULL, 'Cardiolipin synthase A [clsA].', NULL, NULL, 'Cardiolipin_synth_ClsA', 46462),
(102737, 'MF_03110', NULL, 'Structure-specific endonuclease subunit @gn(SLX4) [SLX4].', NULL, NULL, 'Endonuc_su_Slx4', 46463),
(102738, 'MF_00141', NULL, 'Elongation factor P [efp].', NULL, NULL, 'EF_P', 46464),
(102739, 'MF_00034', NULL, 'Crossover junction endodeoxyribonuclease RuvC [ruvC].', NULL, NULL, 'RuvC', 46465),
(102740, 'MF_01149', NULL, 'Uncharacterized MFS-type transporter YcaD [ycaD].', NULL, NULL, 'MFS_YcaD', 46466),
(102741, 'MF_00996', NULL, '1,4-dihydroxy-6-naphtoate synthase [mqnD].', NULL, NULL, 'MqnD', 46467),
(102742, 'MF_00835', NULL, 'Malonyl-[acyl-carrier protein] O-methyltransferase [bioC].', NULL, NULL, 'BioC', 46468),
(102743, 'MF_00061', NULL, 'Putative 4-diphosphocytidyl-2-C-methyl-D-erythritol kinase [ispE].', NULL, NULL, 'IspE', 46469),
(102744, 'MF_02072', NULL, 'Inhibitor of hydrogen peroxide resistance [iprA].', NULL, NULL, 'IprA', 46470);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(102745, 'MF_00640', NULL, 'Deoxyhypusine synthase-like protein.', NULL, NULL, 'DHS_like', 46471),
(102746, 'MF_00786', NULL, 'Probable cobalt-precorrin-6B C(15)-methyltransferase (decarboxylating) [cbiT].', NULL, NULL, 'CbiT', 46472),
(102747, 'MF_01255', NULL, 'L-ectoine synthase [ectC].', NULL, NULL, 'Ectoine_synth', 46473),
(102748, 'MF_02113_B', NULL, 'Proteasome subunit beta [prcB].', NULL, NULL, 'Proteasome_B_B', 46474),
(102749, 'MF_00346', NULL, 'UPF0149 protein YgfB [ygfB].', NULL, NULL, 'UPF0149', 46475),
(102750, 'MF_00225', NULL, 'Dihydroorotate dehydrogenase (quinone) [pyrD].', NULL, NULL, 'DHO_dh_type2', 46476),
(102751, 'MF_00998', NULL, 'Sulfoquinovose isomerase.', NULL, NULL, 'SQ_isomerase', 46477),
(102752, 'MF_02116', NULL, '2-amino-5-formylamino-6-ribosylaminopyrimidin-4(3H)-one 5''-monophosphate deformylase [arfB].', NULL, NULL, 'FAPy_deform', 46478),
(102753, 'MF_02243', NULL, 'Tagaturonate/fructuronate epimerase [uxaE].', NULL, NULL, 'UxaE', 46479),
(102754, 'MF_00490', NULL, '2-phosphosulfolactate phosphatase [comB].', NULL, NULL, 'ComB', 46480),
(102755, 'MF_01656', NULL, '4-hydroxy-2-oxovalerate aldolase [mhpE].', NULL, NULL, 'HOA', 46481),
(102756, 'MF_00745', NULL, 'Protein SprT-like.', NULL, NULL, 'SprT_like', 46482),
(102757, 'MF_00762', NULL, 'UPF0304 protein YfbU [yfbU].', NULL, NULL, 'UPF0304', 46483),
(102758, 'MF_01840', NULL, 'Aerobic magnesium-protoporphyrin IX monomethyl ester [oxidative] cyclase [acsF].', NULL, NULL, 'AcsF', 46484),
(102759, 'MF_00562', NULL, 'D-aminoacyl-tRNA deacylase [dtdA].', NULL, NULL, 'Deacylase_DtdA', 46485),
(102760, 'MF_00677', NULL, 'UPF0261 protein <locus_tag>.', NULL, NULL, 'UPF0261', 46486),
(102761, 'MF_01210_B', NULL, 'Carbamoyl-phosphate synthase large chain [carB].', NULL, NULL, 'CPSase_L_chain_B', 46487),
(102762, 'MF_04075', NULL, 'Large envelope protein [S].', NULL, NULL, 'HBV_HBSAG', 46488),
(102763, 'MF_00109', NULL, 'Shikimate kinase [aroK].', NULL, NULL, 'Shikimate_kinase', 46489),
(102764, 'MF_01253', NULL, 'Endonuclease 8 [nei].', NULL, NULL, 'Endonuclease_8', 46490),
(102765, 'MF_00009', NULL, 'Endoribonuclease YbeY [ybeY].', NULL, NULL, 'Endoribonucl_YbeY', 46491),
(102766, 'MF_04067', NULL, 'Nuclear export protein [NS].', NULL, NULL, 'INFV_NEP', 46492),
(102767, 'MF_00050', NULL, 'Elongation factor Ts [tsf].', NULL, NULL, 'EF_Ts', 46493),
(102768, 'MF_00106', NULL, 'Mannonate dehydratase [uxuA].', NULL, NULL, 'UxuA', 46494),
(102769, 'MF_01525', NULL, 'Carnitine operon protein CaiE [caiE].', NULL, NULL, 'CaiE', 46495),
(102770, 'MF_00775', NULL, 'UPF0311 protein <locus_tag>.', NULL, NULL, 'UPF0311', 46496),
(102771, 'MF_00962', NULL, 'RNA polymerase sigma factor FliA [fliA].', NULL, NULL, 'Sigma70_FliA', 46497),
(102772, 'MF_00768', NULL, 'HTH-type transcriptional regulator BetI [betI].', NULL, NULL, 'HTH_type_BetI', 46498),
(102773, 'MF_01911', NULL, 'HTH-type transcriptional regulator Hpr [hpr].', NULL, NULL, 'HTH_type_Hpr', 46499),
(102774, 'MF_00735', NULL, 'Ribosomal protein L11 methyltransferase [prmA].', NULL, NULL, 'Methyltr_PrmA', 46500),
(102775, 'MF_00369', NULL, '50S ribosomal protein L21e [rpl21e].', NULL, NULL, 'Ribosomal_L21e', 46501),
(102776, 'MF_01887', NULL, '23S rRNA (guanosine-2''-O-)-methyltransferase RlmB [rlmB].', NULL, NULL, '23SrRNA_methyltr_B', 46502),
(102777, 'MF_00505', NULL, 'Chaperone protein HtpG [htpG].', NULL, NULL, 'HSP90', 46503),
(102778, 'MF_01515', NULL, 'UPF0316 protein <locus_tag>.', NULL, NULL, 'UPF0316', 46504),
(102779, 'MF_01454', NULL, 'GTPase Obg [obg].', NULL, NULL, 'GTPase_Obg', 46505),
(102780, 'MF_02026', NULL, 'dTDP-4-amino-4,6-dideoxygalactose transaminase [wecE].', NULL, NULL, 'WecE_RffA', 46506),
(102781, 'MF_03144', NULL, 'RNA-splicing ligase RtcB homolog [RTCB].', NULL, NULL, 'RtcB_euk', 46507),
(102782, 'MF_00800', NULL, 'UPF0340 protein <locus_tag>.', NULL, NULL, 'UPF0340', 46508),
(102783, 'MF_01553', NULL, 'UPF0356 protein <locus_tag>.', NULL, NULL, 'UPF0356', 46509),
(102784, 'MF_01030', NULL, 'D-serine dehydratase [dsdA].', NULL, NULL, 'D_Ser_dehydrat', 46510);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(102785, 'MF_01376', NULL, '2-aminoethylphosphonate--pyruvate transaminase [phnW].', NULL, NULL, 'PhnW_aminotrans_5', 46511),
(102786, 'MF_00289_A', NULL, 'Proteasome subunit alpha [prcA].', NULL, NULL, 'Proteasome_A_A', 46512),
(102787, 'MF_00004', NULL, 'Adenine phosphoribosyltransferase [apt].', NULL, NULL, 'Aden_phosphoribosyltr', 46513),
(102788, 'MF_00351', NULL, 'Fibrillarin-like rRNA/tRNA 2''-O-methyltransferase [flpA].', NULL, NULL, 'RNA_methyltransf_FlpA', 46514),
(102789, 'MF_01104', NULL, 'Protein Syd [syd].', NULL, NULL, 'Syd', 46515),
(102790, 'MF_00112', NULL, 'Geranylgeranylglyceryl phosphate synthase [pcrB].', NULL, NULL, 'GGGP_HepGP_synthase', 46516),
(102791, 'MF_00067', NULL, 'Phosphoheptose isomerase [gmhA].', NULL, NULL, 'GmhA', 46517),
(102792, 'MF_03050', NULL, 'Molybdenum cofactor sulfurase [MOCOS].', NULL, NULL, 'MOCOS', 46518),
(102793, 'MF_04137', NULL, 'Spanin, inner membrane subunit.', NULL, NULL, 'I_SPANIN_LAMBDA', 46519),
(102794, 'MF_00063', NULL, 'Phosphoadenosine phosphosulfate reductase [cysH].', NULL, NULL, 'CysH', 46520),
(102795, 'MF_00222', NULL, 'Shikimate dehydrogenase (NADP(+)) [aroE].', NULL, NULL, 'Shikimate_DH_AroE', 46521),
(102796, 'MF_00416', NULL, 'Flagellar P-ring protein [flgI].', NULL, NULL, 'FlgI', 46522),
(102797, 'MF_00242', NULL, 'Arginine deiminase [arcA].', NULL, NULL, 'Arg_deiminase', 46523),
(102798, 'MF_01018', NULL, 'ATP phosphoribosyltransferase [hisG].', NULL, NULL, 'HisG_Short', 46524),
(102799, 'MF_00693', NULL, 'Probable transcriptional regulatory protein YebC [yebC].', NULL, NULL, 'Transcrip_reg_TACO1', 46525),
(102800, 'MF_00760', NULL, 'UPF0302 protein <locus_tag>.', NULL, NULL, 'UPF0302', 46526),
(102801, 'MF_01349', NULL, 'Bifunctional pantoate ligase/cytidylate kinase [panC/cmk].', NULL, NULL, 'PanCY', 46527),
(102802, 'MF_00470', NULL, 'o-succinylbenzoate synthase [menC].', NULL, NULL, 'MenC_1', 46528),
(102803, 'MF_01425', NULL, 'Ferrous-iron efflux pump FieF [fieF].', NULL, NULL, 'Cation_efflux_FieF', 46529),
(102804, 'MF_02210', NULL, '[Ribosomal protein S18]-alanine N-acetyltransferase [rimI].', NULL, NULL, 'RimI', 46530),
(102805, 'MF_00383', NULL, 'Transcription initiation factor IIB [tfb].', NULL, NULL, 'TF2B_arch', 46531),
(102806, 'MF_01871', NULL, 'UPF0753 protein <locus_tag>.', NULL, NULL, 'UPF0753', 46532),
(102807, 'MF_04116', NULL, 'Highly immunogenic outer capsid protein.', NULL, NULL, 'HOC_T4', 46533),
(102808, 'MF_00487', NULL, 'Malate dehydrogenase [mdh].', NULL, NULL, 'Malate_dehydrog_3', 46534),
(102809, 'MF_00304', NULL, 'Thiamine thiazole synthase [thi4].', NULL, NULL, 'Thi4', 46535),
(102810, 'MF_04103', NULL, 'Baseplate wedge protein gp7.', NULL, NULL, 'BP07_T4', 46536),
(102811, 'MF_01010', NULL, '23S rRNA (uracil(1939)-C(5))-methyltransferase RlmD [rlmD].', NULL, NULL, '23SrRNA_methyltr_RlmD', 46537),
(102812, 'MF_01035', NULL, '3-isopropylmalate dehydrogenase [leuB].', NULL, NULL, 'LeuB_type2', 46538),
(102813, 'MF_01124', NULL, 'Adapter protein MecA [mecA].', NULL, NULL, 'MecA', 46539),
(102814, 'MF_00532_B', NULL, '30S ribosomal protein S9 [rpsI].', NULL, NULL, 'Ribosomal_S9_B', 46540),
(102815, 'MF_01098', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit E [mtrE].', NULL, NULL, 'MtrE', 46541),
(102816, 'MF_01216', NULL, 'FMN-dependent NADH-azoreductase [azoR].', NULL, NULL, 'Azoreductase_type1', 46542),
(102817, 'MF_01365_B', NULL, '50S ribosomal protein L6 [rplF].', NULL, NULL, 'Ribosomal_L6_B', 46543),
(102818, 'MF_01694', NULL, 'Biotin synthase [bioB].', NULL, NULL, 'BioB', 46544),
(102819, 'MF_01835', NULL, 'Circadian clock protein KaiB [kaiB].', NULL, NULL, 'KaiB', 46545),
(102820, 'MF_00281', NULL, 'Phenylalanine--tRNA ligase alpha subunit [pheS].', NULL, NULL, 'Phe_tRNA_synth_alpha1', 46546),
(102821, 'MF_03153', NULL, 'U1 small nuclear ribonucleoprotein C [SNRPC].', NULL, NULL, 'U1_C', 46547),
(102822, 'MF_00837', NULL, 'Lipid A palmitoyltransferase PagP [pagP].', NULL, NULL, 'PagP_transferase', 46548),
(102823, 'MF_01371_B', NULL, '50S ribosomal protein L30 [rpmD].', NULL, NULL, 'Ribosomal_L30_B', 46549);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(102824, 'MF_02123', NULL, 'F420-dependent glucose-6-phosphate dehydrogenase [fgd].', NULL, NULL, 'F420_G6P_DH', 46550),
(102825, 'MF_00674', NULL, 'UPF0251 protein <locus_tag>.', NULL, NULL, 'UPF0251', 46551),
(102826, 'MF_00993', NULL, 'Aminodeoxyfutalosine synthase [mqnE].', NULL, NULL, 'MqnE', 46552),
(102827, 'MF_00431', NULL, 'Photosystem I reaction center subunit VIII [psaI].', NULL, NULL, 'PSI_PsaI', 46553),
(102828, 'MF_02108', NULL, 'HTH-type transcriptional regulator MurR [murR].', NULL, NULL, 'HTH_type_MurR', 46554),
(102829, 'MF_01884', NULL, 'Transcription termination factor Rho [rho].', NULL, NULL, 'Rho', 46555),
(102830, 'MF_01671', NULL, 'Inositol 2-dehydrogenase/D-chiro-inositol 3-dehydrogenase [iolG].', NULL, NULL, 'IolG', 46556),
(102831, 'MF_02216', NULL, 'Ubiquinone biosynthesis accessory factor UbiK [ubiK].', NULL, NULL, 'UbiK', 46557),
(102832, 'MF_02064', NULL, 'RNA polymerase sigma factor SigI [sigI].', NULL, NULL, 'Sigma70_SigI', 46558),
(102833, 'MF_00171', NULL, 'tRNA pseudouridine synthase A [truA].', NULL, NULL, 'TruA', 46559),
(102834, 'MF_00411', NULL, 'DNA-directed RNA polymerase subunit A'''' [rpoA2].', NULL, NULL, 'RNApol_arch_A', 46560),
(102835, 'MF_00789', NULL, 'UPF0319 protein YccT [yccT].', NULL, NULL, 'UPF0319', 46561),
(102836, 'MF_01224_B', NULL, 'Cyclic pyranopterin monophosphate synthase [moaC].', NULL, NULL, 'MoaC_B', 46562),
(102837, 'MF_00743', NULL, 'Fumarate hydratase class II [fumC].', NULL, NULL, 'FumaraseC', 46563),
(102838, 'MF_01412', NULL, 'Glutathione-regulated potassium-efflux system protein KefB [kefB].', NULL, NULL, 'K_H_efflux_KefB', 46564),
(102839, 'MF_01444', NULL, 'Putative phosphoesterase <locus_tag>.', NULL, NULL, '2H_phosphoesterase_YjcG', 46565),
(102840, 'MF_03051', NULL, 'Molybdopterin synthase sulfur carrier subunit [cnxG].', NULL, NULL, 'MOCS2A', 46566),
(102841, 'MF_01219', NULL, 'Bifunctional protein PyrR [pyrR].', NULL, NULL, 'PyrR', 46567),
(102842, 'MF_01600', NULL, 'UPF0182 protein <locus_tag>.', NULL, NULL, 'UPF0182', 46568),
(102843, 'MF_00382', NULL, '50S ribosomal protein L20 [rplT].', NULL, NULL, 'Ribosomal_L20', 46569),
(102844, 'MF_01693', NULL, '8-amino-7-oxononanoate synthase [bioF].', NULL, NULL, 'BioF_aminotrans_2', 46570),
(102845, 'MF_00587', NULL, 'tRNA (pseudouridine(54)-N(1))-methyltransferase [trmY].', NULL, NULL, 'tRNA_methyltr_TrmY', 46571),
(102846, 'MF_02063', NULL, 'Proton/glutamate-aspartate symporter [gltP].', NULL, NULL, 'GltP_subfam', 46572),
(102847, 'MF_01481', NULL, 'Photosystem II lipoprotein Psb27 [psb27].', NULL, NULL, 'PSII_Psb27', 46573),
(102848, 'MF_02238', NULL, '3-dehydroshikimate dehydratase.', NULL, NULL, 'DSD', 46574),
(102849, 'MF_01272', NULL, 'Heme oxygenase (staphylobilin-producing) [isdG].', NULL, NULL, 'Heme_degrading_monooxygenase', 46575),
(102850, 'MF_01909', NULL, 'Transcription factor E [tfe].', NULL, NULL, 'TFE_arch', 46576),
(102851, 'MF_01630', NULL, 'Periplasmic nitrate reductase [napA].', NULL, NULL, 'Nitrate_reduct_NapA', 46577),
(102852, 'MF_02002', NULL, 'Isoleucine--tRNA ligase [ileS].', NULL, NULL, 'Ile_tRNA_synth_type1', 46578),
(102853, 'MF_00147_A', NULL, 'Triosephosphate isomerase [tpiA].', NULL, NULL, 'TIM_A', 46579),
(102854, 'MF_01069', NULL, 'Glucans biosynthesis protein G [mdoG].', NULL, NULL, 'MdoG_OpgG', 46580),
(102855, 'MF_01361', NULL, 'UPF0391 membrane protein YtjA [ytjA].', NULL, NULL, 'UPF0391', 46581),
(102856, 'MF_00538', NULL, 'Probable 4-amino-4-deoxy-L-arabinose-phosphoundecaprenol flippase subunit ArnF [arnF].', NULL, NULL, 'Flippase_ArnF', 46582),
(102857, 'MF_03040', NULL, 'U6 snRNA phosphodiesterase [USB1].', NULL, NULL, 'USB1', 46583),
(102858, 'MF_03044', NULL, '25S rRNA (adenine(2142)-N(1))-methyltransferase [BMT2].', NULL, NULL, 'BMT2', 46584),
(102859, 'MF_00321', NULL, 'Probable GTP-binding protein EngB [engB].', NULL, NULL, 'GTPase_EngB', 46585),
(102860, 'MF_00423', NULL, 'L-seryl-tRNA(Sec) selenium transferase [selA].', NULL, NULL, 'SelA', 46586),
(102861, 'MF_02075', NULL, 'Aspartate--tRNA(Asp) ligase [aspS].', NULL, NULL, 'Asp_tRNA_synth_type2', 46587);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(102862, 'MF_04146', NULL, 'Terminase, large subunit.', NULL, NULL, 'TERL_T4', 46588),
(102863, 'MF_01019', NULL, 'Histidine biosynthesis bifunctional protein HisIE [hisI].', NULL, NULL, 'HisIE', 46589),
(102864, 'MF_01122', NULL, 'DNA/RNA-binding protein Alba [albA].', NULL, NULL, 'AlbA', 46590),
(102865, 'MF_01192', NULL, 'Flap endonuclease Xni [xni].', NULL, NULL, 'Xni', 46591),
(102866, 'MF_01651', NULL, '3-phenylpropionate/cinnamic acid dioxygenase ferredoxin--NAD(+) reductase component [hcaD].', NULL, NULL, 'HcaD', 46592),
(102867, 'MF_01509', NULL, 'Replication factor C small subunit [rfcS].', NULL, NULL, 'RfcS', 46593),
(102868, 'MF_00301', NULL, 'Homoserine kinase [thrB].', NULL, NULL, 'Homoser_kinase_2', 46594),
(102869, 'MF_00902', NULL, 'Sec-independent protein translocase protein TatC [tatC].', NULL, NULL, 'TatC', 46595),
(102870, 'MF_01269', NULL, 'Shikimate kinase 2 [aroL].', NULL, NULL, 'Shikimate_kinase_2', 46596),
(102871, 'MF_03207', NULL, 'Elongation of very long chain fatty acids protein 7 [ELOVL7].', NULL, NULL, 'VLCF_elongase_7', 46597),
(102872, 'MF_01516', NULL, 'Malate dehydrogenase [mdh].', NULL, NULL, 'Malate_dehydrog_1', 46598),
(102873, 'MF_02217', NULL, 'tRNA 5-hydroxyuridine methyltransferase [trmR].', NULL, NULL, 'TrmR_methyltr', 46599),
(102874, 'MF_01597', NULL, 'Spermidine export protein MdtI [mdtI].', NULL, NULL, 'MdtI', 46600),
(102875, 'MF_02233', NULL, 'Ubiquinone biosynthesis protein UbiV [ubiV].', NULL, NULL, 'UbiV', 46601),
(102876, 'MF_01095', NULL, 'UPF0292 protein <locus_tag>.', NULL, NULL, 'UPF0292', 46602),
(102877, 'MF_01261', NULL, 'Multifunctional CCA protein [cca].', NULL, NULL, 'CCA_bact_type1', 46603),
(102878, 'MF_03151', NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit F, mitochondrial [GTF1].', NULL, NULL, 'GatF', 46604),
(102879, 'MF_00430', NULL, 'Na(+)-translocating NADH-quinone reductase subunit F [nqrF].', NULL, NULL, 'NqrF', 46605),
(102880, 'MF_02033', NULL, 'Cell division protein FtsA [ftsA].', NULL, NULL, 'FtsA', 46606),
(102881, 'MF_02244', NULL, 'Coproheme decarboxylase [chdC].', NULL, NULL, 'Coproheme_decarbox_2', 46607),
(102882, 'MF_01303', NULL, 'Photosystem I iron-sulfur center [psaC].', NULL, NULL, 'PSI_PsaC', 46608),
(102883, 'MF_02071', NULL, 'Endolytic peptidoglycan transglycosylase RlpA [rlpA].', NULL, NULL, 'RlpA', 46609),
(102884, 'MF_01013', NULL, 'Imidazole glycerol phosphate synthase subunit HisF [hisF].', NULL, NULL, 'HisF', 46610),
(102885, 'MF_03000', NULL, 'Eukaryotic translation initiation factor 3 subunit A [EIF3A].', NULL, NULL, 'eIF3a', 46611),
(102886, 'MF_01624', NULL, 'Arsenate reductase [arsC].', NULL, NULL, 'Arsenate_reduct', 46612),
(102887, 'MF_01855', NULL, 'Fructose-1,6-bisphosphatase class 1 [fbp].', NULL, NULL, 'FBPase_class1', 46613),
(102888, 'MF_00982', NULL, 'Transcriptional regulatory protein RcsA [rcsA].', NULL, NULL, 'RcsA', 46614),
(102889, 'MF_00684', NULL, 'N(4)-acetylcytidine amidohydrolase.', NULL, NULL, 'ac4C_amidohydr', 46615),
(102890, 'MF_01688', NULL, '2-hydroxy-6-oxo-6-phenylhexa-2,4-dienoate hydrolase [bphD].', NULL, NULL, 'Biphenyl_BphD', 46616),
(102891, 'MF_01170', NULL, 'Chromosome-anchoring protein RacA [racA].', NULL, NULL, 'RacA', 46617),
(102892, 'MF_00802', NULL, 'Bifunctional glutamine synthetase adenylyltransferase/adenylyl-removing enzyme [glnE].', NULL, NULL, 'GlnE', 46618),
(102893, 'MF_00736', NULL, '50S ribosomal protein L11 [rplK].', NULL, NULL, 'Ribosomal_L11', 46619),
(102894, 'MF_00464', NULL, 'S-adenosylmethionine decarboxylase proenzyme [speH].', NULL, NULL, 'AdoMetDC_1', 46620),
(102895, 'MF_01309_B', NULL, '30S ribosomal protein S3 [rpsC].', NULL, NULL, 'Ribosomal_S3_B', 46621),
(102896, 'MF_03171', NULL, 'Adenylate kinase isoenzyme 1 [AK1].', NULL, NULL, 'Adenylate_kinase_AK1', 46622),
(102897, 'MF_02012', NULL, 'Cell division protein ZapA [zapA].', NULL, NULL, 'ZapA_type1', 46623),
(102898, 'MF_04097', NULL, 'Nucleoprotein [N].', NULL, NULL, 'GAMMA_CORONA_NCAP', 46624),
(102899, 'MF_00907', NULL, 'Proofreading thioesterase EntH [entH].', NULL, NULL, 'Thioesterase_EntH', 46625);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(102900, 'MF_00645', NULL, 'Protein <locus_tag>.', NULL, NULL, 'AMMECR1', 46626),
(102901, 'MF_01936', NULL, '1,4-dihydroxy-2-naphthoyl-CoA hydrolase [menI].', NULL, NULL, 'MenI', 46627),
(102902, 'MF_00330', NULL, 'Cobalt transport protein CbiN [cbiN].', NULL, NULL, 'CbiN', 46628),
(102903, 'MF_00732', NULL, 'HTH-type transcriptional regulator MntR [mntR].', NULL, NULL, 'HTH_MntR', 46629),
(102904, 'MF_01318_B', NULL, '50S ribosomal protein L1 [rplA].', NULL, NULL, 'Ribosomal_L1_B', 46630),
(102905, 'MF_01441', NULL, 'DNA protection during starvation protein [dps].', NULL, NULL, 'Dps', 46631),
(102906, 'MF_01640', NULL, 'D-erythrose-4-phosphate dehydrogenase [epd].', NULL, NULL, 'E4P_dehydrog', 46632),
(102907, 'MF_01690', NULL, 'Succinyl-diaminopimelate desuccinylase [dapE].', NULL, NULL, 'DapE', 46633),
(102908, 'MF_00128', NULL, 'Protein NrdI [nrdI].', NULL, NULL, 'NrdI', 46634),
(102909, 'MF_01602', NULL, 'Lipoate-protein ligase A [lplA].', NULL, NULL, 'LplA', 46635),
(102910, 'MF_00342', NULL, 'UPF0147 protein <locus_tag>.', NULL, NULL, 'UPF0147', 46636),
(102911, 'MF_00453', NULL, 'Phosphoenolpyruvate carboxykinase (ATP) [pckA].', NULL, NULL, 'PEPCK_ATP', 46637),
(102912, 'MF_03037', NULL, 'Probable cytosolic iron-sulfur protein assembly protein CIAO1 [CIAO1].', NULL, NULL, 'ciao1', 46638),
(102913, 'MF_00155', NULL, 'Cytochrome c oxidase assembly protein CtaG [ctaG].', NULL, NULL, 'CtaG', 46639),
(102914, 'MF_01899', NULL, 'Ribonuclease D [rnd].', NULL, NULL, 'RNase_D', 46640),
(102915, 'MF_04047', NULL, 'Pre-hexon-linking protein IIIa.', NULL, NULL, 'ADV_CAP3', 46641),
(102916, 'MF_00214', NULL, '3-dehydroquinate dehydratase [aroD].', NULL, NULL, 'AroD', 46642),
(102917, 'MF_00980', NULL, 'Phosphotransferase RcsD [rcsD].', NULL, NULL, 'RcsD', 46643),
(102918, 'MF_01224_A', NULL, 'Cyclic pyranopterin monophosphate synthase [moaC].', NULL, NULL, 'MoaC_A', 46644),
(102919, 'MF_02018', NULL, 'PanD regulatory factor [panZ].', NULL, NULL, 'PanZ_PanM', 46645),
(102920, 'MF_01584', NULL, 'UPF0502 protein YceH [yceH].', NULL, NULL, 'UPF0502', 46646),
(102921, 'MF_01922', NULL, 'tRNA(Phe) (4-demethylwyosine(37)-C(7)) aminocarboxypropyltransferase [taw2].', NULL, NULL, 'TYW2_archaea', 46647),
(102922, 'MF_01154', NULL, 'Curved DNA-binding protein [cbpA].', NULL, NULL, 'CbpA', 46648),
(102923, 'MF_01836', NULL, 'Circadian clock protein kinase KaiC [kaiC].', NULL, NULL, 'KaiC', 46649),
(102924, 'MF_00695', NULL, 'High frequency lysogenization protein HflD [hflD].', NULL, NULL, 'HflD_protein', 46650),
(102925, 'MF_00617', NULL, 'Mannosyl-3-phosphoglycerate phosphatase [mngB].', NULL, NULL, 'MPGP_rel', 46651),
(102926, 'MF_03138', NULL, 'Translation factor GUF1 homolog, organellar chromatophore [lepA].', NULL, NULL, 'GUFP', 46652),
(102927, 'MF_00428', NULL, 'Na(+)-translocating NADH-quinone reductase subunit D [nqrD].', NULL, NULL, 'NqrD', 46653),
(102928, 'MF_02003', NULL, 'Isoleucine--tRNA ligase [ileS].', NULL, NULL, 'Ile_tRNA_synth_type2', 46654),
(102929, 'MF_01327', NULL, 'Thiamine-phosphate synthase [thiE].', NULL, NULL, 'TMP_synthase_cyanobact', 46655),
(102930, 'MF_00100_A', NULL, 'Translation initiation factor IF-2 [infB].', NULL, NULL, 'IF_2_A', 46656),
(102931, 'MF_01954', NULL, 'Urease subunit beta [ureB].', NULL, NULL, 'Urease_beta', 46657),
(102932, 'MF_02044', NULL, 'DNA double-strand break repair protein Mre11 [mre11].', NULL, NULL, 'Mre11', 46658),
(102933, 'MF_01914', NULL, 'Lipopolysaccharide export system protein LptA [lptA].', NULL, NULL, 'LPS_assembly_LptA', 46659),
(102934, 'MF_02078', NULL, 'Probable lipid II flippase MurJ [murJ].', NULL, NULL, 'MurJ_MviN', 46660),
(102935, 'MF_02224', NULL, '4-phosphopantoate--beta-alanine ligase.', NULL, NULL, 'PPS', 46661),
(102936, 'MF_00658', NULL, 'Ribosomal RNA large subunit methyltransferase H [rlmH].', NULL, NULL, '23SrRNA_methyltr_H', 46662),
(102937, 'MF_00236', NULL, 'Sec-independent protein translocase protein TatA [tatA].', NULL, NULL, 'TatA_E', 46663),
(102938, 'MF_02009', NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, NULL, 'Tyr_tRNA_synth_type4', 46664);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(102939, 'MF_01371_A', NULL, '50S ribosomal protein L30 [rpmD].', NULL, NULL, 'Ribosomal_L30_A', 46665),
(102940, 'MF_00319', NULL, 'CDP-diacylglycerol pyrophosphatase [cdh].', NULL, NULL, 'Cdh', 46666),
(102941, 'MF_01880', NULL, 'Dipeptide permease D [dtpD].', NULL, NULL, 'PTR2_DtpD_subfam', 46667),
(102942, 'MF_02237', NULL, 'tRNA (cytosine(72)-C(5))-methyltransferase.', NULL, NULL, 'NSUN6', 46668),
(102943, 'MF_04101', NULL, 'DNA-directed DNA polymerase.', NULL, NULL, 'DPOL_T7', 46669),
(102944, 'MF_01625', NULL, 'ATPase RavA [ravA].', NULL, NULL, 'ATPase_RavA', 46670),
(102945, 'MF_00555', NULL, 'Aspartate--ammonia ligase [asnA].', NULL, NULL, 'AsnA', 46671),
(102946, 'MF_01987', NULL, 'Ribokinase [rbsK].', NULL, NULL, 'Ribokinase', 46672),
(102947, 'MF_00564', NULL, 'Ribonuclease PH [rph].', NULL, NULL, 'RNase_PH', 46673),
(102948, 'MF_01036', NULL, 'Exoribonuclease 2 [rnb].', NULL, NULL, 'RNase_II', 46674),
(102949, 'MF_01857', NULL, 'Ribosomal RNA large subunit methyltransferase I [rlmI].', NULL, NULL, '23SrRNA_methyltr_I', 46675),
(102950, 'MF_00114', NULL, 'Deoxyribose-phosphate aldolase [deoC].', NULL, NULL, 'DeoC_type1', 46676),
(102951, 'MF_00284', NULL, 'Phenylalanine--tRNA ligase beta subunit [pheT].', NULL, NULL, 'Phe_tRNA_synth_beta2', 46677),
(102952, 'MF_00619', NULL, 'Probable 30S ribosomal protein 3, chloroplastic [ycf65].', NULL, NULL, 'Ribosomal_plastid_S3', 46678),
(102953, 'MF_00283', NULL, 'Phenylalanine--tRNA ligase beta subunit [pheT].', NULL, NULL, 'Phe_tRNA_synth_beta1', 46679),
(102954, 'MF_01066', NULL, 'Glucans biosynthesis protein C [mdoC].', NULL, NULL, 'MdoC_OpgC', 46680),
(102955, 'MF_03028', NULL, 'Pescadillo homolog [PES1].', NULL, NULL, 'Pescadillo', 46681),
(102956, 'MF_00405', NULL, '3-hydroxydecanoyl-[acyl-carrier-protein] dehydratase [fabA].', NULL, NULL, 'FabA', 46682),
(102957, 'MF_00097', NULL, 'Thiamine-phosphate synthase [thiE].', NULL, NULL, 'TMP_synthase', 46683),
(102958, 'MF_02219', NULL, 'Type 3 secretion system secretin [sctC].', NULL, NULL, 'Type_III_secretin', 46684),
(102959, 'MF_01039', NULL, '2,3-bisphosphoglycerate-dependent phosphoglycerate mutase [gpmA].', NULL, NULL, 'PGAM_GpmA', 46685),
(102960, 'MF_00574', NULL, 'Putative ribosomal protein L7Ae-like.', NULL, NULL, 'Ribosomal_L7Ae_Bact', 46686),
(102961, 'MF_03046', NULL, 'Transcription and mRNA export factor <gene_name> [SUS1].', NULL, NULL, 'ENY2_Sus1', 46687),
(102962, 'MF_01476', NULL, '50S ribosomal protein L44e [rpl44e].', NULL, NULL, 'Ribosomal_L44e', 46688),
(102963, 'MF_01381', NULL, 'Endo-type membrane-bound lytic murein transglycosylase A [emtA].', NULL, NULL, 'EmtA', 46689),
(102964, 'MF_01980', NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, NULL, 'Phosphofructokinase_II_Long', 46690),
(102965, 'MF_01623', NULL, 'Penicillin-insensitive murein endopeptidase [mepA].', NULL, NULL, 'MepA', 46691),
(102966, 'MF_02109', NULL, 'Cysteate synthase.', NULL, NULL, 'Cya_synthase', 46692),
(102967, 'MF_00607', NULL, 'Ribosomal RNA small subunit methyltransferase A [rsmA].', NULL, NULL, '16SrRNA_methyltr_A', 46693),
(102968, 'MF_00091', NULL, 'S-ribosylhomocysteine lyase [luxS].', NULL, NULL, 'LuxS', 46694),
(102969, 'MF_00753', NULL, 'Anaerobic glycerol-3-phosphate dehydrogenase subunit B [glpB].', NULL, NULL, 'Glycerol3P_GlpB', 46695),
(102970, 'MF_00791', NULL, 'Protein ApaG [apaG].', NULL, NULL, 'ApaG', 46696),
(102971, 'MF_01483', NULL, 'RNA polymerase-binding protein RbpA [rbpA].', NULL, NULL, 'RbpA', 46697),
(102972, 'MF_00746', NULL, 'Protein SprT [sprT].', NULL, NULL, 'SprT', 46698),
(102973, 'MF_01870', NULL, 'Probable 4-deoxy-4-formamido-L-arabinose-phosphoundecaprenol deformylase ArnD [arnD].', NULL, NULL, 'ArnD', 46699),
(102974, 'MF_04126', NULL, 'Intermediate capsid protein VP6.', NULL, NULL, 'Rota_VP6', 46700),
(102975, 'MF_00160', NULL, 'Phosphoserine aminotransferase [serC].', NULL, NULL, 'SerC_aminotrans_5', 46701),
(102976, 'MF_01973', NULL, 'Lon protease [lon].', NULL, NULL, 'lon_bact', 46702),
(102977, 'MF_04133', NULL, 'Major capsid protein [E].', NULL, NULL, 'CAPSID_LAMBDA', 46703);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(102978, 'MF_01463_A', NULL, 'Protein translocase subunit SecD [secD].', NULL, NULL, 'SecD_A', 46704),
(102979, 'MF_01620', NULL, '3-ketoacyl-CoA thiolase [fadA].', NULL, NULL, 'FadA', 46705),
(102980, 'MF_01432', NULL, 'Non-specific ribonucleoside hydrolase RihC [rihC].', NULL, NULL, 'Nucleosid_hydro_RihC', 46706),
(102981, 'MF_04031', NULL, 'Deoxyuridine 5''-triphosphate nucleotidohydrolase [DUT].', NULL, NULL, 'HSV_DUT', 46707),
(102982, 'MF_01061', NULL, 'Primosomal protein 1 [dnaT].', NULL, NULL, 'DnaT', 46708),
(102983, 'MF_01455', NULL, 'UPF0757 protein YmgG [ymgG].', NULL, NULL, 'UPF0757', 46709),
(102984, 'MF_01321', NULL, 'DNA-directed RNA polymerase subunit beta [rpoB].', NULL, NULL, 'RNApol_bact_RpoB', 46710),
(102985, 'MF_01601', NULL, 'ADP-L-glycero-D-manno-heptose-6-epimerase [hldD].', NULL, NULL, 'Heptose_epimerase', 46711),
(102986, 'MF_00002', NULL, 'Aspartate carbamoyltransferase regulatory chain [pyrI].', NULL, NULL, 'Asp_carb_tr_reg', 46712),
(102987, 'MF_01334', NULL, '50S ribosomal protein L25 [rplY].', NULL, NULL, 'Ribosomal_L25_CTC', 46713),
(102988, 'MF_02004', NULL, 'Valine--tRNA ligase [valS].', NULL, NULL, 'Val_tRNA_synth_type1', 46714),
(102989, 'MF_00602', NULL, 'Protein-arginine kinase [mcsB].', NULL, NULL, 'Prot_Arg_kinase', 46715),
(102990, 'MF_01872', NULL, 'tRNA1(Val) (adenine(37)-N6)-methyltransferase [yfiC].', NULL, NULL, 'tRNA_methyltr_YfiC', 46716),
(102991, 'MF_00289_B', NULL, 'Proteasome subunit alpha [prcA].', NULL, NULL, 'Proteasome_A_B', 46717),
(102992, 'MF_00810', NULL, '50S ribosomal protein L32e [rpl32e].', NULL, NULL, 'Ribosomal_L32e', 46718),
(102993, 'MF_01856', NULL, 'Ribosomal RNA small subunit methyltransferase B [rsmB].', NULL, NULL, '16SrRNA_methyltr_B', 46719),
(102994, 'MF_01431', NULL, 'Pyrimidine-specific ribonucleoside hydrolase RihA [rihA].', NULL, NULL, 'Pyrim_hydro_RihA', 46720),
(102995, 'MF_00419', NULL, 'Phosphoribosylformylglycinamidine synthase [purL].', NULL, NULL, 'PurL_1', 46721),
(102996, 'MF_01817', NULL, 'Tyrosine recombinase XerD-like.', NULL, NULL, 'Recomb_XerD_like', 46722),
(102997, 'MF_01586', NULL, 'Probable [Fe-S]-dependent transcriptional repressor [feoC].', NULL, NULL, 'FeoC', 46723),
(102998, 'MF_00480_B', NULL, '30S ribosomal protein S7 [rpsG].', NULL, NULL, 'Ribosomal_S7_B', 46724),
(102999, 'MF_00656', NULL, 'Coenzyme PQQ synthesis protein A [pqqA].', NULL, NULL, 'PQQ_syn_PqqA', 46725),
(103000, 'MF_00053', NULL, 'Ribonuclease HIII [rnhC].', NULL, NULL, 'RNase_HIII', 46726),
(103001, 'MF_03053', NULL, 'Cytoplasmic tRNA 2-thiolation protein 1 [CTU1].', NULL, NULL, 'CTU1', 46727),
(103002, 'MF_00536', NULL, '4-hydroxythreonine-4-phosphate dehydrogenase [pdxA].', NULL, NULL, 'PdxA', 46728),
(103003, 'MF_01325_B', NULL, '50S ribosomal protein L3 [rplC].', NULL, NULL, 'Ribosomal_L3_B', 46729),
(103004, 'MF_00427', NULL, 'Na(+)-translocating NADH-quinone reductase subunit C [nqrC].', NULL, NULL, 'NqrC', 46730),
(103005, 'MF_01139', NULL, 'Ditrans,polycis-undecaprenyl-diphosphate synthase ((2E,6E)-farnesyl-diphosphate specific) [uppS].', NULL, NULL, 'ISPT', 46731),
(103006, 'MF_01664', NULL, 'Heme A synthase [ctaA].', NULL, NULL, 'HemeA_synth_type1', 46732),
(103007, 'MF_00911', NULL, 'Cell division protein FtsQ [ftsQ].', NULL, NULL, 'FtsQ_subfam', 46733),
(103008, 'MF_02218', NULL, 'Glucosamine kinase.', NULL, NULL, 'GlcN_kinase', 46734),
(103009, 'MF_00815', NULL, 'ATP synthase gamma chain [atpG].', NULL, NULL, 'ATP_synth_gamma_bact', 46735),
(103010, 'MF_04049', NULL, 'Pre-hexon-linking protein VIII [L4].', NULL, NULL, 'ADV_CAP8', 46736),
(103011, 'MF_00928', NULL, '4-O-beta-D-mannosyl-D-glucose phosphorylase.', NULL, NULL, 'Man_Glc_phosphorylase', 46737),
(103012, 'MF_00341', NULL, 'UPF0146 protein <locus_tag>.', NULL, NULL, 'UPF0146', 46738),
(103013, 'MF_01365_A', NULL, '50S ribosomal protein L6 [rplF].', NULL, NULL, 'Ribosomal_L6_A', 46739),
(103014, 'MF_01511', NULL, 'GMP reductase [guaC].', NULL, NULL, 'GMP_reduct_type2', 46740),
(103015, 'MF_01965', NULL, 'ADP-dependent (S)-NAD(P)H-hydrate dehydratase [nnrD].', NULL, NULL, 'NADHX_dehydratase', 46741);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(103016, 'MF_00774', NULL, 'Acyl transferase [luxD].', NULL, NULL, 'LuxD', 46742),
(103017, 'MF_01547', NULL, 'Ribosomal RNA large subunit methyltransferase E [rlmE].', NULL, NULL, 'RNA_methyltr_E', 46743),
(103018, 'MF_01901', NULL, 'Arginine exporter protein ArgO [argO].', NULL, NULL, 'ArgO', 46744),
(103019, 'MF_00253_B', NULL, 'Glycine--tRNA ligase [glyQS].', NULL, NULL, 'Gly_tRNA_synth_B', 46745),
(103020, 'MF_00337', NULL, 'Exodeoxyribonuclease 7 small subunit [xseB].', NULL, NULL, 'Exonuc_7_S', 46746),
(103021, 'MF_00707', NULL, 'UPF0735 ACT domain-containing protein <locus_tag>.', NULL, NULL, 'UPF0735', 46747),
(103022, 'MF_00722', NULL, 'Endonuclease NucS [nucS].', NULL, NULL, 'NucS', 46748),
(103023, 'MF_02038', NULL, 'Probable hercynylcysteine sulfoxide lyase [egtE].', NULL, NULL, 'EgtE', 46749),
(103024, 'MF_03126', NULL, 'Adenylosuccinate synthetase isozyme 1 [ADSSL1].', NULL, NULL, 'Adenylosucc_synth_vert_basic', 46750),
(103025, 'MF_01596', NULL, 'PhoP/PhoQ regulator MgrB [mgrB].', NULL, NULL, 'MgrB', 46751),
(103026, 'MF_01194', NULL, 'Heat shock protein HspQ [hspQ].', NULL, NULL, 'HspQ', 46752),
(103027, 'MF_00546', NULL, 'Acid shock protein [asr].', NULL, NULL, 'Asr', 46753),
(103028, 'MF_01053', NULL, 'UPF0231 protein YacL [yacL].', NULL, NULL, 'UPF0231', 46754),
(103029, 'MF_00370', NULL, 'Shikimate kinase [aroK].', NULL, NULL, 'Shik_kinase_arch', 46755),
(103030, 'MF_01399', NULL, 'ATP synthase subunit b'' [atpF2].', NULL, NULL, 'ATP_synth_bprime', 46756),
(103031, 'MF_01598', NULL, 'Spermidine export protein MdtJ [mdtJ].', NULL, NULL, 'MdtJ', 46757),
(103032, 'MF_01650', NULL, '3-phenylpropionate/cinnamic acid dioxygenase ferredoxin subunit [hcaC].', NULL, NULL, 'HcaC', 46758),
(103033, 'MF_00700', NULL, 'DNA primase small subunit PriS [priS].', NULL, NULL, 'DNA_primase_sml_arc', 46759),
(103034, 'MF_04064', NULL, 'Protein PB1-F2 [PB1].', NULL, NULL, 'INFV_PB1F2', 46760),
(103035, 'MF_01305', NULL, 'Photosystem II reaction center protein J [psbJ].', NULL, NULL, 'PSII_PsbJ', 46761),
(103036, 'MF_02220', NULL, 'Xylulose kinase [xylB].', NULL, NULL, 'XylB', 46762),
(103037, 'MF_04083', NULL, 'Envelope glycoprotein gp160 [env].', NULL, NULL, 'HIV_ENV', 46763),
(103038, 'MF_01661', NULL, 'D-ribose pyranase [rbsD].', NULL, NULL, 'D_rib_pyranase', 46764),
(103039, 'MF_00465', NULL, 'S-adenosylmethionine decarboxylase proenzyme [speD].', NULL, NULL, 'AdoMetDC_2', 46765),
(103040, 'MF_00243', NULL, 'Nicotinamide-nucleotide adenylyltransferase.', NULL, NULL, 'NMN_adenylyltr', 46766),
(103041, 'MF_00295', NULL, 'Homoserine O-succinyltransferase [metAS].', NULL, NULL, 'MetA_acyltransf', 46767),
(103042, 'MF_00827', NULL, 'UPF0386 protein YjhX [yjhX].', NULL, NULL, 'UPF0386', 46768),
(103043, 'MF_01873', NULL, 'Ribosomal RNA large subunit methyltransferase Cfr [cfr].', NULL, NULL, '23SrRNA_methyltr_Cfr', 46769),
(103044, 'MF_00849', NULL, '50S ribosomal subunit assembly factor BipA [bipA].', NULL, NULL, 'BipA', 46770),
(103045, 'MF_00252', NULL, 'Lysine--tRNA ligase [lysS].', NULL, NULL, 'Lys_tRNA_synth_class2', 46771),
(103046, 'MF_00790', NULL, 'Lipase chaperone [lifO].', NULL, NULL, 'Lipase_chap', 46772),
(103047, 'MF_01384', NULL, 'Urease accessory protein UreD [ureD].', NULL, NULL, 'UreD', 46773),
(103048, 'MF_00443', NULL, 'Thiazole synthase [thiG].', NULL, NULL, 'ThiG', 46774),
(103049, 'MF_02081', NULL, 'Peptidoglycan D,D-transpeptidase MrdA [mrdA].', NULL, NULL, 'MrdA_transpept', 46775),
(103050, 'MF_02200', NULL, 'Chaperone NapD [napD].', NULL, NULL, 'NapD', 46776),
(103051, 'PS00261', NULL, 'Glycoprotein hormones beta chain signature 1.', NULL, NULL, 'GLYCO_HORMONE_BETA_1', 46777),
(103052, 'PS00546', NULL, 'Matrixins cysteine switch.', NULL, NULL, 'CYSTEINE_SWITCH', 46778),
(103053, 'PS00811', NULL, 'Oleosins signature.', NULL, NULL, 'OLEOSINS', 46779),
(103054, 'PS00392', NULL, 'DDC / GAD / HDC / TyrDC pyridoxal-phosphate attachment site.', NULL, NULL, 'DDC_GAD_HDC_YDC', 46780),
(103055, 'PS00489', NULL, 'Bacteriophage-type RNA polymerase family active site signature 2.', NULL, NULL, 'RNA_POL_PHAGE_2', 46781);
INSERT INTO "PUBLIC"."MODEL" VALUES
(103056, 'PS00400', NULL, 'LBP / BPI / CETP family signature.', NULL, NULL, 'LBP_BPI_CETP', 46782),
(103057, 'PS00702', NULL, 'Granulocyte-macrophage colony-stimulating factor signature.', NULL, NULL, 'GM_CSF', 46783),
(103058, 'PS00297', NULL, 'Heat shock hsp70 proteins family signature 1.', NULL, NULL, 'HSP70_1', 46784),
(103059, 'PS60008', NULL, 'Cyclotides bracelet subfamily signature.', NULL, NULL, 'CYCLOTIDE_BRACELET', 46785),
(103060, 'PS60010', NULL, 'Assassin bug toxin signature.', NULL, NULL, 'ASSASSIN_BUG_TOXIN', 46786),
(103061, 'PS00385', NULL, 'Alpha-L-fucosidase putative active site.', NULL, NULL, 'ALPHA_L_FUCOSIDASE', 46787),
(103062, 'PS01349', NULL, 'Nodulation protein nodA signature.', NULL, NULL, 'NODA', 46788),
(103063, 'PS00422', NULL, 'Granins signature 1.', NULL, NULL, 'GRANINS_1', 46789),
(103064, 'PS00665', NULL, 'Dihydrodipicolinate synthase signature 1.', NULL, NULL, 'DHDPS_1', 46790),
(103065, 'PS00220', NULL, 'Anion exchangers family signature 2.', NULL, NULL, 'ANION_EXCHANGER_2', 46791),
(103066, 'PS01214', NULL, 'Uncharacterized protein family UPF0016 signature.', NULL, NULL, 'UPF0016', 46792),
(103067, 'PS00081', NULL, 'Lipoxygenases iron-binding region signature 2.', NULL, NULL, 'LIPOXYGENASE_2', 46793),
(103068, 'PS00306', NULL, 'Caseins alpha/beta signature.', NULL, NULL, 'CASEIN_ALPHA_BETA', 46794),
(103069, 'PS00217', NULL, 'Sugar transport proteins signature 2.', NULL, NULL, 'SUGAR_TRANSPORT_2', 46795),
(103070, 'PS01270', NULL, 'Band 7 protein family signature.', NULL, NULL, 'BAND_7', 46796),
(103071, 'PS00858', NULL, 'Prephenate dehydratase signature 2.', NULL, NULL, 'PREPHENATE_DEHYDR_2', 46797),
(103072, 'PS01310', NULL, 'FXYD family signature.', NULL, NULL, 'FXYD', 46798),
(103073, 'PS00351', NULL, 'Transcription factor TFIID repeat signature.', NULL, NULL, 'TFIID', 46799),
(103074, 'PS01194', NULL, 'Ribosomal protein L15e signature.', NULL, NULL, 'RIBOSOMAL_L15E', 46800),
(103075, 'PS00558', NULL, 'Eukaryotic mitochondrial porin signature.', NULL, NULL, 'EUKARYOTIC_PORIN', 46801),
(103076, 'PS00482', NULL, 'Dihydroorotase signature 1.', NULL, NULL, 'DIHYDROOROTASE_1', 46802),
(103077, 'PS00481', NULL, 'Thiol-activated cytolysins signature.', NULL, NULL, 'THIOL_CYTOLYSINS', 46803),
(103078, 'PS00518', NULL, 'Zinc finger RING-type signature.', NULL, NULL, 'ZF_RING_1', 46804),
(103079, 'PS00597', NULL, 'Plant lipid transfer proteins signature.', NULL, NULL, 'PLANT_LTP', 46805),
(103080, 'PS00161', NULL, 'Isocitrate lyase signature.', NULL, NULL, 'ISOCITRATE_LYASE', 46806),
(103081, 'PS00263', NULL, 'Natriuretic peptides signature.', NULL, NULL, 'NATRIURETIC_PEPTIDE', 46807),
(103082, 'PS01110', NULL, 'RNA polymerases H / 23 Kd subunits signature.', NULL, NULL, 'RNA_POL_H_23KD', 46808),
(103083, 'PS00279', NULL, 'Membrane attack complex/perforin (MACPF) domain signature.', NULL, NULL, 'MACPF_1', 46809),
(103084, 'PS00648', NULL, 'Bacterial ribonuclease P protein component signature.', NULL, NULL, 'RIBONUCLEASE_P', 46810),
(103085, 'PS00583', NULL, 'pfkB family of carbohydrate kinases signature 1.', NULL, NULL, 'PFKB_KINASES_1', 46811),
(103086, 'PS00484', NULL, 'Thyroglobulin type-1 repeat signature.', NULL, NULL, 'THYROGLOBULIN_1_1', 46812),
(103087, 'PS00659', NULL, 'Glycosyl hydrolases family 5 signature.', NULL, NULL, 'GLYCOSYL_HYDROL_F5', 46813),
(103088, 'PS01314', NULL, 'Uncharacterized protein family UPF0047 signature.', NULL, NULL, 'UPF0047', 46814),
(103089, 'PS01322', NULL, 'Phosphotriesterase family signature 1.', NULL, NULL, 'PHOSPHOTRIESTERASE_1', 46815),
(103090, 'PS00595', NULL, 'Aminotransferases class-V pyridoxal-phosphate attachment site.', NULL, NULL, 'AA_TRANSFER_CLASS_5', 46816),
(103091, 'PS01042', NULL, 'Homoserine dehydrogenase signature.', NULL, NULL, 'HOMOSER_DHGENASE', 46817),
(103092, 'PS00615', NULL, 'C-type lectin domain signature.', NULL, NULL, 'C_TYPE_LECTIN_1', 46818),
(103093, 'PS01182', NULL, 'Glycosyl hydrolases family 35 putative active site.', NULL, NULL, 'GLYCOSYL_HYDROL_F35', 46819),
(103094, 'PS00016', NULL, 'Cell attachment sequence.', NULL, NULL, 'RGD', 46820);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(103095, 'PS00917', NULL, 'Asparaginase / glutaminase active site signature 2.', NULL, NULL, 'ASN_GLN_ASE_2', 46821),
(103096, 'PS00957', NULL, 'NAD-dependent glycerol-3-phosphate dehydrogenase signature.', NULL, NULL, 'NAD_G3PDH', 46822),
(103097, 'PS00165', NULL, 'Serine/threonine dehydratases pyridoxal-phosphate attachment site.', NULL, NULL, 'DEHYDRATASE_SER_THR', 46823),
(103098, 'PS00642', NULL, 'Respiratory-chain NADH dehydrogenase 75 Kd subunit signature 2.', NULL, NULL, 'COMPLEX1_75K_2', 46824),
(103099, 'PS01183', NULL, 'ubiE/COQ5 methyltransferase family signature 1.', NULL, NULL, 'UBIE_1', 46825),
(103100, 'PS00421', NULL, 'Transmembrane 4 family signature.', NULL, NULL, 'TM4_1', 46826),
(103101, 'PS60029', NULL, 'Spider toxin CSTX family signature.', NULL, NULL, 'SPIDER_CSTX', 46827),
(103102, 'PS00819', NULL, 'Dps protein family signature 2.', NULL, NULL, 'DPS_2', 46828),
(103103, 'PS01292', NULL, 'Uncharacterized protein family UPF0036 signature.', NULL, NULL, 'UPF0036', 46829),
(103104, 'PS01122', NULL, 'Caspase family cysteine active site.', NULL, NULL, 'CASPASE_CYS', 46830),
(103105, 'PS00236', NULL, 'Neurotransmitter-gated ion-channels signature.', NULL, NULL, 'NEUROTR_ION_CHANNEL', 46831),
(103106, 'PS00619', NULL, 'PTN/MK heparin-binding protein family signature 1.', NULL, NULL, 'PTN_MK_1', 46832),
(103107, 'PS00936', NULL, 'Ribosomal protein L35 signature.', NULL, NULL, 'RIBOSOMAL_L35', 46833),
(103108, 'PS00825', NULL, 'Elongation factor 1 beta/beta''/delta chain signature 2.', NULL, NULL, 'EF1BD_2', 46834),
(103109, 'PS01207', NULL, 'Glypicans signature.', NULL, NULL, 'GLYPICAN', 46835),
(103110, 'PS01121', NULL, 'Caspase family histidine active site.', NULL, NULL, 'CASPASE_HIS', 46836),
(103111, 'PS00347', NULL, 'Poly(ADP-ribose) polymerase zinc finger domain signature.', NULL, NULL, 'PARP_ZN_FINGER_1', 46837),
(103112, 'PS01030', NULL, 'RNA polymerases M / 15 Kd subunits signature.', NULL, NULL, 'RNA_POL_M_15KD', 46838),
(103113, 'PS60004', NULL, 'Omega-conotoxin family signature.', NULL, NULL, 'OMEGA_CONOTOXIN', 46839),
(103114, 'PS00924', NULL, 'Aspartate and glutamate racemases signature 2.', NULL, NULL, 'ASP_GLU_RACEMASE_2', 46840),
(103115, 'PS00937', NULL, 'Ribosomal protein L20 signature.', NULL, NULL, 'RIBOSOMAL_L20', 46841),
(103116, 'PS00962', NULL, 'Ribosomal protein S2 signature 1.', NULL, NULL, 'RIBOSOMAL_S2_1', 46842),
(103117, 'PS00018', NULL, 'EF-hand calcium-binding domain.', NULL, NULL, 'EF_HAND_1', 46843),
(103118, 'PS00472', NULL, 'Small cytokines (intercrine/chemokine) C-C subfamily signature.', NULL, NULL, 'SMALL_CYTOKINES_CC', 46844),
(103119, 'PS00578', NULL, 'Ribosomal protein S6e signature.', NULL, NULL, 'RIBOSOMAL_S6E', 46845),
(103120, 'PS00920', NULL, 'Nitrilases / cyanide hydratase signature 1.', NULL, NULL, 'NITRIL_CHT_1', 46846),
(103121, 'PS01355', NULL, 'Short hematopoietin receptor family 1 signature.', NULL, NULL, 'HEMATOPO_REC_S_F1', 46847),
(103122, 'PS00247', NULL, 'HBGF/FGF family signature.', NULL, NULL, 'HBGF_FGF', 46848),
(103123, 'PS00557', NULL, 'FMN-dependent alpha-hydroxy acid dehydrogenases active site.', NULL, NULL, 'FMN_HYDROXY_ACID_DH_1', 46849),
(103124, 'PS00105', NULL, 'Aminotransferases class-I pyridoxal-phosphate attachment site.', NULL, NULL, 'AA_TRANSFER_CLASS_1', 46850),
(103125, 'PS00837', NULL, 'Alanine dehydrogenase & pyridine nucleotide transhydrogenase signature 2.', NULL, NULL, 'ALADH_PNT_2', 46851),
(103126, 'PS01006', NULL, 'Formate and nitrite transporters signature 2.', NULL, NULL, 'FORMATE_NITRITE_TP_2', 46852),
(103127, 'PS00606', NULL, 'Beta-ketoacyl synthases active site.', NULL, NULL, 'B_KETOACYL_SYNTHASE', 46853),
(103128, 'PS00913', NULL, 'Iron-containing alcohol dehydrogenases signature 1.', NULL, NULL, 'ADH_IRON_1', 46854),
(103129, 'PS01321', NULL, 'Crossover junction endodeoxyribonuclease ruvC signature.', NULL, NULL, 'RUVC', 46855),
(103130, 'PS00115', NULL, 'Eukaryotic RNA polymerase II heptapeptide repeat.', NULL, NULL, 'RNA_POL_II_REPEAT', 46856),
(103131, 'PS00842', NULL, 'XPG protein signature 2.', NULL, NULL, 'XPG_2', 46857);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(103132, 'PS00925', NULL, 'Pollen proteins Ole e I family signature.', NULL, NULL, 'OLEEI', 46858),
(103133, 'PS00600', NULL, 'Aminotransferases class-III pyridoxal-phosphate attachment site.', NULL, NULL, 'AA_TRANSFER_CLASS_3', 46859),
(103134, 'PS01074', NULL, 'Terpene synthases signature.', NULL, NULL, 'TERPENE_SYNTHASES', 46860),
(103135, 'PS00588', NULL, 'Flagella basal body rod proteins signature.', NULL, NULL, 'FLAGELLA_BB_ROD', 46861),
(103136, 'PS00864', NULL, 'Calsequestrin signature 2.', NULL, NULL, 'CALSEQUESTRIN_2', 46862),
(103137, 'PS00014', NULL, 'Endoplasmic reticulum targeting sequence.', NULL, NULL, 'ER_TARGET', 46863),
(103138, 'PS60023', NULL, 'Omega-agatoxin type II and III signature.', NULL, NULL, 'OMEGA_AGA_II_III', 46864),
(103139, 'PS01344', NULL, 'Frataxin family signature.', NULL, NULL, 'FRATAXIN_1', 46865),
(103140, 'PS01239', NULL, 'Dynein light chain type 1 signature.', NULL, NULL, 'DYNEIN_LIGHT_1', 46866),
(103141, 'PS00232', NULL, 'Cadherin domain signature.', NULL, NULL, 'CADHERIN_1', 46867),
(103142, 'PS00579', NULL, 'Ribosomal protein L29 signature.', NULL, NULL, 'RIBOSOMAL_L29', 46868),
(103143, 'PS01003', NULL, 'Translationally controlled tumor protein (TCTP) domain signature 2.', NULL, NULL, 'TCTP_2', 46869),
(103144, 'PS01054', NULL, 'Transaldolase signature 1.', NULL, NULL, 'TRANSALDOLASE_1', 46870),
(103145, 'PS00349', NULL, 'CTF/NF-I DNA-binding domain signature.', NULL, NULL, 'CTF_NFI_1', 46871),
(103146, 'PS60027', NULL, 'Contryphan family signature.', NULL, NULL, 'CONTRYPHAN', 46872),
(103147, 'PS00005', NULL, 'Protein kinase C phosphorylation site.', NULL, NULL, 'PKC_PHOSPHO_SITE', 46873),
(103148, 'PS00168', NULL, 'Tryptophan synthase beta chain pyridoxal-phosphate attachment site.', NULL, NULL, 'TRP_SYNTHASE_BETA', 46874),
(103149, 'PS00823', NULL, 'Dehydrins signature 2.', NULL, NULL, 'DEHYDRIN_2', 46875),
(103150, 'PS00603', NULL, 'Thymidine kinase cellular-type signature.', NULL, NULL, 'TK_CELLULAR_TYPE', 46876),
(103151, 'PS00056', NULL, 'Ribosomal protein S17 signature.', NULL, NULL, 'RIBOSOMAL_S17', 46877),
(103152, 'PS00202', NULL, 'Rubredoxin signature.', NULL, NULL, 'RUBREDOXIN', 46878),
(103153, 'PS00795', NULL, 'Involucrin signature.', NULL, NULL, 'INVOLUCRIN', 46879),
(103154, 'PS00601', NULL, 'IRF tryptophan pentad repeat DNA-binding domain signature.', NULL, NULL, 'IRF_1', 46880),
(103155, 'PS01056', NULL, 'NAD-dependent DNA ligase signature 2.', NULL, NULL, 'DNA_LIGASE_N2', 46881),
(103156, 'PS00176', NULL, 'Eukaryotic DNA topoisomerase I active site.', NULL, NULL, 'TOPOISOMERASE_I_EUK', 46882),
(103157, 'PS00527', NULL, 'Ribosomal protein S14 signature.', NULL, NULL, 'RIBOSOMAL_S14', 46883),
(103158, 'PS00329', NULL, 'Heat shock hsp70 proteins family signature 2.', NULL, NULL, 'HSP70_2', 46884),
(103159, 'PS00463', NULL, 'Zn(2)-C6 fungal-type DNA-binding domain signature.', NULL, NULL, 'ZN2_CY6_FUNGAL_1', 46885),
(103160, 'PS00944', NULL, 'Cyclin-dependent kinases regulatory subunits signature 1.', NULL, NULL, 'CKS_1', 46886),
(103161, 'PS01185', NULL, 'C-terminal cystine knot signature.', NULL, NULL, 'CTCK_1', 46887),
(103162, 'PS00032', NULL, '''Homeobox'' antennapedia-type protein signature.', NULL, NULL, 'ANTENNAPEDIA', 46888),
(103163, 'PS00806', NULL, 'Fructose-bisphosphate aldolase class-II signature 2.', NULL, NULL, 'ALDOLASE_CLASS_II_2', 46889),
(103164, 'PS00919', NULL, 'Deoxyribonuclease I signature 1.', NULL, NULL, 'DNASE_I_1', 46890),
(103165, 'PS01316', NULL, 'ATP phosphoribosyltransferase signature.', NULL, NULL, 'ATP_P_PHORIBOSYLTR', 46891),
(103166, 'PS00162', NULL, 'Alpha-carbonic anhydrases signature.', NULL, NULL, 'ALPHA_CA_1', 46892),
(103167, 'PS00787', NULL, 'Chorismate synthase signature 1.', NULL, NULL, 'CHORISMATE_SYNTHASE_1', 46893),
(103168, 'PS00761', NULL, 'Signal peptidases I signature 3.', NULL, NULL, 'SPASE_I_3', 46894),
(103169, 'PS00304', NULL, 'Small, acid-soluble spore proteins, alpha/beta type, signature 1.', NULL, NULL, 'SASP_1', 46895),
(103170, 'PS00045', NULL, 'Bacterial histone-like DNA-binding proteins signature.', NULL, NULL, 'HISTONE_LIKE', 46896);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(103171, 'PS00803', NULL, 'Calreticulin family signature 1.', NULL, NULL, 'CALRETICULIN_1', 46897),
(103172, 'PS01039', NULL, 'Bacterial extracellular solute-binding proteins, family 3 signature.', NULL, NULL, 'SBP_BACTERIAL_3', 46898),
(103173, 'PS00997', NULL, 'G10 protein signature 1.', NULL, NULL, 'G10_1', 46899),
(103174, 'PS00730', NULL, 'AP endonucleases family 2 signature 2.', NULL, NULL, 'AP_NUCLEASE_F2_2', 46900),
(103175, 'PS01139', NULL, 'Bacterial microcompartment (BMC) domain signature.', NULL, NULL, 'BMC_1', 46901),
(103176, 'PS00133', NULL, 'Zinc carboxypeptidases, zinc-binding region 2 signature.', NULL, NULL, 'CARBOXYPEPT_ZN_2', 46902),
(103177, 'PS00895', NULL, '3-hydroxyisobutyrate dehydrogenase signature.', NULL, NULL, '3_HYDROXYISOBUT_DH', 46903),
(103178, 'PS00336', NULL, 'Beta-lactamase class-C active site.', NULL, NULL, 'BETA_LACTAMASE_C', 46904),
(103179, 'PS00143', NULL, 'Insulinase family, zinc-binding region signature.', NULL, NULL, 'INSULINASE', 46905),
(103180, 'PS01263', NULL, 'Uncharacterized protein family UPF0021 signature.', NULL, NULL, 'UPF0021', 46906),
(103181, 'PS00083', NULL, 'Intradiol ring-cleavage dioxygenases signature.', NULL, NULL, 'INTRADIOL_DIOXYGENAS', 46907),
(103182, 'PS00448', NULL, 'Clostridium cellulosome enzymes repeated domain signature.', NULL, NULL, 'CLOS_CELLULOSOME_RPT', 46908),
(103183, 'PS00551', NULL, 'Prokaryotic molybdopterin oxidoreductases signature 1.', NULL, NULL, 'MOLYBDOPTERIN_PROK_1', 46909),
(103184, 'PS00556', NULL, 'Hok/gef family cell toxic proteins signature.', NULL, NULL, 'HOK_GEF', 46910),
(103185, 'PS00060', NULL, 'Iron-containing alcohol dehydrogenases signature 2.', NULL, NULL, 'ADH_IRON_2', 46911),
(103186, 'PS00021', NULL, 'Kringle domain signature.', NULL, NULL, 'KRINGLE_1', 46912),
(103187, 'PS01086', NULL, 'Ribulose-phosphate 3-epimerase family signature 2.', NULL, NULL, 'RIBUL_P_3_EPIMER_2', 46913),
(103188, 'PS01333', NULL, 'Pyrrolidone-carboxylate peptidase glutamic acid active site.', NULL, NULL, 'PYRASE_GLU', 46914),
(103189, 'PS00029', NULL, 'Leucine zipper pattern.', NULL, NULL, 'LEUCINE_ZIPPER', 46915),
(103190, 'PS00017', NULL, 'ATP/GTP-binding site motif A (P-loop).', NULL, NULL, 'ATP_GTP_A', 46916),
(103191, 'PS00644', NULL, 'Respiratory-chain NADH dehydrogenase 51 Kd subunit signature 1.', NULL, NULL, 'COMPLEX1_51K_1', 46917),
(103192, 'PS00706', NULL, 'Prion protein signature 2.', NULL, NULL, 'PRION_2', 46918),
(103193, 'PS01013', NULL, 'Oxysterol-binding protein family signature.', NULL, NULL, 'OSBP', 46919),
(103194, 'PS01313', NULL, 'Lipoate-protein ligase B signature.', NULL, NULL, 'LIPB', 46920),
(103195, 'PS01045', NULL, 'Squalene and phytoene synthases signature 2.', NULL, NULL, 'SQUALEN_PHYTOEN_SYN_2', 46921),
(103196, 'PS00779', NULL, 'Glycoprotein hormones alpha chain signature 1.', NULL, NULL, 'GLYCO_HORMONE_ALPHA_1', 46922),
(103197, 'PS00380', NULL, 'Rhodanese signature 1.', NULL, NULL, 'RHODANESE_1', 46923),
(103198, 'PS00680', NULL, 'Methionine aminopeptidase subfamily 1 signature.', NULL, NULL, 'MAP_1', 46924),
(103199, 'PS00152', NULL, 'ATP synthase alpha and beta subunits signature.', NULL, NULL, 'ATPASE_ALPHA_BETA', 46925),
(103200, 'PS60022', NULL, 'Huwentoxin-2 family signature.', NULL, NULL, 'HWTX_2', 46926),
(103201, 'PS00955', NULL, 'Imidazoleglycerol-phosphate dehydratase signature 2.', NULL, NULL, 'IGP_DEHYDRATASE_2', 46927),
(103202, 'PS00267', NULL, 'Tachykinin family signature.', NULL, NULL, 'TACHYKININ', 46928),
(103203, 'PS00608', NULL, 'Glycosyl hydrolases family 2 acid/base catalyst.', NULL, NULL, 'GLYCOSYL_HYDROL_F2_2', 46929),
(103204, 'PS00684', NULL, 'Small, acid-soluble spore proteins, alpha/beta type, signature 2.', NULL, NULL, 'SASP_2', 46930),
(103205, 'PS00667', NULL, 'Respiratory-chain NADH dehydrogenase subunit 1 signature 1.', NULL, NULL, 'COMPLEX1_ND1_1', 46931),
(103206, 'PS00116', NULL, 'DNA polymerase family B signature.', NULL, NULL, 'DNA_POLYMERASE_B', 46932),
(103207, 'PS00956', NULL, 'Fungal hydrophobins signature.', NULL, NULL, 'HYDROPHOBIN', 46933);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(103208, 'PS00354', NULL, 'HMG-I and HMG-Y DNA-binding domain (A+T-hook).', NULL, NULL, 'HMGI_Y', 46934),
(103209, 'PS00775', NULL, 'Glycosyl hydrolases family 3 active site.', NULL, NULL, 'GLYCOSYL_HYDROL_F3', 46935),
(103210, 'PS00718', NULL, 'Sigma-54 factors family signature 2.', NULL, NULL, 'SIGMA54_2', 46936),
(103211, 'PS00369', NULL, 'PTS HPR domain histidine phosphorylation site signature.', NULL, NULL, 'PTS_HPR_HIS', 46937),
(103212, 'PS01241', NULL, 'Link domain signature.', NULL, NULL, 'LINK_1', 46938),
(103213, 'PS01286', NULL, 'Coagulation factors 5/8 type C domain (FA58C) signature 2.', NULL, NULL, 'FA58C_2', 46939),
(103214, 'PS00010', NULL, 'Aspartic acid and asparagine hydroxylation site.', NULL, NULL, 'ASX_HYDROXYL', 46940),
(103215, 'PS00438', NULL, 'Catalase proximal active site signature.', NULL, NULL, 'CATALASE_2', 46941),
(103216, 'PS00486', NULL, 'DNA mismatch repair proteins mutS family signature.', NULL, NULL, 'DNA_MISMATCH_REPAIR_2', 46942),
(103217, 'PS01346', NULL, 'Claudin family signature.', NULL, NULL, 'CLAUDIN', 46943),
(103218, 'PS00935', NULL, 'Glyoxalase I signature 2.', NULL, NULL, 'GLYOXALASE_I_2', 46944),
(103219, 'PS01330', NULL, 'Polyamine biosynthesis (PABS) domain signature.', NULL, NULL, 'PABS_1', 46945),
(103220, 'PS00318', NULL, 'Hydroxymethylglutaryl-coenzyme A reductases signature 2.', NULL, NULL, 'HMG_COA_REDUCTASE_2', 46946),
(103221, 'PS00658', NULL, 'Fork head domain signature 2.', NULL, NULL, 'FORK_HEAD_2', 46947),
(103222, 'PS00770', NULL, 'Aminotransferases class-IV signature.', NULL, NULL, 'AA_TRANSFER_CLASS_4', 46948),
(103223, 'PS01152', NULL, 'Hypothetical hesB/yadR/yfhF family signature.', NULL, NULL, 'HESB', 46949),
(103224, 'PS00375', NULL, 'UDP-glycosyltransferases signature.', NULL, NULL, 'UDPGT', 46950),
(103225, 'PS01336', NULL, 'S-adenosylmethionine decarboxylase signature.', NULL, NULL, 'ADOMETDC', 46951),
(103226, 'PS01047', NULL, 'Heavy-metal-associated domain.', NULL, NULL, 'HMA_1', 46952),
(103227, 'PS01077', NULL, 'Ribosomal protein L37e signature.', NULL, NULL, 'RIBOSOMAL_L37E', 46953),
(103228, 'PS00077', NULL, 'Heme-copper oxidase catalytic subunit, copper B binding region signature.', NULL, NULL, 'COX1_CUB', 46954),
(103229, 'PS01174', NULL, 'Lipolytic enzymes "G-D-X-G" family, putative serine active site.', NULL, NULL, 'LIPASE_GDXG_SER', 46955),
(103230, 'PS00433', NULL, 'Phosphofructokinase signature.', NULL, NULL, 'PHOSPHOFRUCTOKINASE', 46956),
(103231, 'PS00495', NULL, 'Apple domain.', NULL, NULL, 'APPLE', 46957),
(103232, 'PS00418', NULL, 'Potexviruses and carlaviruses coat protein signature.', NULL, NULL, 'POTEX_CARLAVIRUS_COAT', 46958),
(103233, 'PS60016', NULL, 'Omega-atracotoxin (ACTX) type 1 family signature.', NULL, NULL, 'OMEGA_ACTX_1', 46959),
(103234, 'PS00184', NULL, 'Phosphoribosylglycinamide synthetase signature.', NULL, NULL, 'GARS', 46960),
(103235, 'PS00195', NULL, 'Glutaredoxin active site.', NULL, NULL, 'GLUTAREDOXIN_1', 46961),
(103236, 'PS00543', NULL, 'HlyD family secretion proteins signature.', NULL, NULL, 'HLYD_FAMILY', 46962),
(103237, 'PS00457', NULL, 'Sodium:solute symporter family signature 2.', NULL, NULL, 'NA_SOLUT_SYMP_2', 46963),
(103238, 'PS00507', NULL, 'Nickel-dependent hydrogenases large subunit signature 1.', NULL, NULL, 'NI_HGENASE_L_1', 46964),
(103239, 'PS00995', NULL, 'Chaperonins TCP-1 signature 3.', NULL, NULL, 'TCP1_3', 46965),
(103240, 'PS01304', NULL, 'ubiH/COQ6 monooxygenase family signature.', NULL, NULL, 'UBIH', 46966),
(103241, 'PS01106', NULL, 'Ribosomal protein L18e signature.', NULL, NULL, 'RIBOSOMAL_L18E', 46967),
(103242, 'PS01277', NULL, 'Ribonuclease PH signature.', NULL, NULL, 'RIBONUCLEASE_PH', 46968),
(103243, 'PS01251', NULL, 'Proliferating cell nuclear antigen signature 1.', NULL, NULL, 'PCNA_1', 46969),
(103244, 'PS01052', NULL, 'Calponin-like repeat signature.', NULL, NULL, 'CALPONIN_1', 46970),
(103245, 'PS00019', NULL, 'Actinin-type actin-binding domain signature 1.', NULL, NULL, 'ACTININ_1', 46971),
(103246, 'PS00058', NULL, 'DNA mismatch repair proteins mutL / hexB / PMS1 signature.', NULL, NULL, 'DNA_MISMATCH_REPAIR_1', 46972);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(103247, 'PS00445', NULL, 'FGGY family of carbohydrate kinases signature 2.', NULL, NULL, 'FGGY_KINASES_2', 46973),
(103248, 'PS01001', NULL, 'Succinate dehydrogenase cytochrome b subunit signature 2.', NULL, NULL, 'SDH_CYT_2', 46974),
(103249, 'PS00808', NULL, 'ADP-glucose pyrophosphorylase signature 1.', NULL, NULL, 'ADP_GLC_PYROPHOSPH_1', 46975),
(103250, 'PS00633', NULL, 'Bromodomain signature.', NULL, NULL, 'BROMODOMAIN_1', 46976),
(103251, 'PS00128', NULL, 'Glycosyl hydrolases family 22 (GH22) domain signature.', NULL, NULL, 'GLYCOSYL_HYDROL_F22_1', 46977),
(103252, 'PS01081', NULL, 'TetR-type HTH domain signature.', NULL, NULL, 'HTH_TETR_1', 46978),
(103253, 'PS01173', NULL, 'Lipolytic enzymes "G-D-X-G" family, putative histidine active site.', NULL, NULL, 'LIPASE_GDXG_HIS', 46979),
(103254, 'PS01257', NULL, 'Ribosomal protein L10e signature.', NULL, NULL, 'RIBOSOMAL_L10E', 46980),
(103255, 'PS00186', NULL, 'Isopenicillin N synthase signature 2.', NULL, NULL, 'IPNS_2', 46981),
(103256, 'PS00234', NULL, 'Gas vesicles protein GVPa signature 1.', NULL, NULL, 'GAS_VESICLE_A_1', 46982),
(103257, 'PS01359', NULL, 'Zinc finger PHD-type signature.', NULL, NULL, 'ZF_PHD_1', 46983),
(103258, 'PS00973', NULL, 'Ubiquitin specific protease (USP) domain signature 2.', NULL, NULL, 'USP_2', 46984),
(103259, 'PS00722', NULL, 'Formate--tetrahydrofolate ligase signature 2.', NULL, NULL, 'FTHFS_2', 46985),
(103260, 'PS00356', NULL, 'LacI-type HTH domain signature.', NULL, NULL, 'HTH_LACI_1', 46986),
(103261, 'PS00401', NULL, 'Prokaryotic sulfate-binding proteins signature 1.', NULL, NULL, 'PROK_SULFATE_BIND_1', 46987),
(103262, 'PS00536', NULL, 'Ubiquitin-activating enzyme signature 1.', NULL, NULL, 'UBIQUITIN_ACTIVAT_1', 46988),
(103263, 'PS00231', NULL, 'F-actin capping protein beta subunit signature.', NULL, NULL, 'F_ACTIN_CAPPING_BETA', 46989),
(103264, 'PS00252', NULL, 'Interferon alpha, beta and delta family signature.', NULL, NULL, 'INTERFERON_A_B_D', 46990),
(103265, 'PS00324', NULL, 'Aspartokinase signature.', NULL, NULL, 'ASPARTOKINASE', 46991),
(103266, 'PS00900', NULL, 'Bacteriophage-type RNA polymerase family active site signature 1.', NULL, NULL, 'RNA_POL_PHAGE_1', 46992),
(103267, 'PS00079', NULL, 'Multicopper oxidases signature 1.', NULL, NULL, 'MULTICOPPER_OXIDASE1', 46993),
(103268, 'PS00872', NULL, 'Sodium:galactoside symporter family signature.', NULL, NULL, 'NA_GALACTOSIDE_SYMP', 46994),
(103269, 'PS01235', NULL, 'PdxS/SNZ family signature.', NULL, NULL, 'PDXS_SNZ_1', 46995),
(103270, 'PS60026', NULL, 'Ergtoxin family signature.', NULL, NULL, 'ERGTX', 46996),
(103271, 'PS00372', NULL, 'PTS EIIA domains phosphorylation site signature 2.', NULL, NULL, 'PTS_EIIA_TYPE_2_HIS', 46997),
(103272, 'PS00834', NULL, 'Aspartyl proteases, omptin family signature 1.', NULL, NULL, 'OMPTIN_1', 46998),
(103273, 'PS00008', NULL, 'N-myristoylation site.', NULL, NULL, 'MYRISTYL', 46999),
(103274, 'PS00114', NULL, 'Phosphoribosyl pyrophosphate synthase signature.', NULL, NULL, 'PRPP_SYNTHASE', 47000),
(103275, 'PS00502', NULL, 'Polygalacturonase active site.', NULL, NULL, 'POLYGALACTURONASE', 47001),
(103276, 'PS00049', NULL, 'Ribosomal protein L14 signature.', NULL, NULL, 'RIBOSOMAL_L14', 47002),
(103277, 'PS00586', NULL, 'Ribosomal protein L16 signature 1.', NULL, NULL, 'RIBOSOMAL_L16_1', 47003),
(103278, 'PS00203', NULL, 'Vertebrate metallothioneins signature.', NULL, NULL, 'METALLOTHIONEIN_VRT', 47004),
(103279, 'PS00670', NULL, 'D-isomer specific 2-hydroxyacid dehydrogenases signature 2.', NULL, NULL, 'D_2_HYDROXYACID_DH_2', 47005),
(103280, 'PS00391', NULL, 'Sodium and potassium ATPases beta subunits signature 2.', NULL, NULL, 'ATPASE_NA_K_BETA_2', 47006),
(103281, 'PS00765', NULL, 'Phosphoglucose isomerase signature 1.', NULL, NULL, 'P_GLUCOSE_ISOMERASE_1', 47007),
(103282, 'PS01093', NULL, 'Adenylate cyclase class-I signature 2.', NULL, NULL, 'ADENYLATE_CYCLASE_1_2', 47008),
(103283, 'PS01216', NULL, 'ATP-citrate lyase / succinyl-CoA ligases family signature 1.', NULL, NULL, 'SUCCINYL_COA_LIG_1', 47009); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(103284, 'PS01143', NULL, 'Ribosomal protein L31 signature.', NULL, NULL, 'RIBOSOMAL_L31', 47010),
(103285, 'PS00701', NULL, 'Ribosomal protein L16 signature 2.', NULL, NULL, 'RIBOSOMAL_L16_2', 47011),
(103286, 'PS00248', NULL, 'Nerve growth factor family signature.', NULL, NULL, 'NGF_1', 47012),
(103287, 'PS00934', NULL, 'Glyoxalase I signature 1.', NULL, NULL, 'GLYOXALASE_I_1', 47013),
(103288, 'PS00568', NULL, 'Myelin P0 protein signature.', NULL, NULL, 'MYELIN_P0', 47014),
(103289, 'PS01166', NULL, 'RNA polymerases beta chain signature.', NULL, NULL, 'RNA_POL_BETA', 47015),
(103290, 'PS00762', NULL, 'WHEP-TRS domain signature.', NULL, NULL, 'WHEP_TRS_1', 47016),
(103291, 'PS00681', NULL, 'Chaperonins cpn10 signature.', NULL, NULL, 'CHAPERONINS_CPN10', 47017),
(103292, 'PS01027', NULL, 'Glycosyl hydrolases family 39 active site.', NULL, NULL, 'GLYCOSYL_HYDROL_F39', 47018),
(103293, 'PS01249', NULL, 'Hydrogenases expression/synthesis hypA family signature.', NULL, NULL, 'HYPA', 47019),
(103294, 'PS01065', NULL, 'Electron transfer flavoprotein beta-subunit signature.', NULL, NULL, 'ETF_BETA', 47020),
(103295, 'PS00746', NULL, 'NifH/frxC family signature 1.', NULL, NULL, 'NIFH_FRXC_1', 47021),
(103296, 'PS01295', NULL, '4-diphosphocytidyl-2C-methyl-D-erythritol synthase signature.', NULL, NULL, 'ISPD', 47022),
(103297, 'PS00099', NULL, 'Thiolases active site.', NULL, NULL, 'THIOLASE_3', 47023),
(103298, 'PS00323', NULL, 'Ribosomal protein S19 signature.', NULL, NULL, 'RIBOSOMAL_S19', 47024),
(103299, 'PS01109', NULL, 'Ribosomal protein L10 signature.', NULL, NULL, 'RIBOSOMAL_L10', 47025),
(103300, 'PS00989', NULL, 'Clathrin adaptor complexes small chain signature.', NULL, NULL, 'CLAT_ADAPTOR_S', 47026),
(103301, 'PS00517', NULL, 'Ribonuclease III family signature.', NULL, NULL, 'RNASE_3_1', 47027),
(103302, 'PS00322', NULL, 'Histone H3 signature 1.', NULL, NULL, 'HISTONE_H3_1', 47028),
(103303, 'PS01212', NULL, 'ATP P2X receptors signature.', NULL, NULL, 'P2X_RECEPTOR', 47029),
(103304, 'PS00335', NULL, 'Parathyroid hormone family signature.', NULL, NULL, 'PARATHYROID', 47030),
(103305, 'PS00120', NULL, 'Lipases, serine active site.', NULL, NULL, 'LIPASE_SER', 47031),
(103306, 'PS00382', NULL, 'Endopeptidase Clp histidine active site.', NULL, NULL, 'CLP_PROTEASE_HIS', 47032),
(103307, 'PS00245', NULL, 'Phytochrome chromophore attachment site signature.', NULL, NULL, 'PHYTOCHROME_1', 47033),
(103308, 'PS00564', NULL, 'Argininosuccinate synthase signature 1.', NULL, NULL, 'ARGININOSUCCIN_SYN_1', 47034),
(103309, 'PS01262', NULL, 'Eukaryotic initiation factor 1A signature.', NULL, NULL, 'IF1A', 47035),
(103310, 'PS00772', NULL, 'Barwin domain signature 2.', NULL, NULL, 'BARWIN_2', 47036),
(103311, 'PS00843', NULL, 'D-alanine--D-alanine ligase signature 1.', NULL, NULL, 'DALA_DALA_LIGASE_1', 47037),
(103312, 'PS00233', NULL, 'Chitin-binding type R&R domain signature.', NULL, NULL, 'CHIT_BIND_RR_1', 47038),
(103313, 'PS00268', NULL, 'Cecropin family signature.', NULL, NULL, 'CECROPIN', 47039),
(103314, 'PS00307', NULL, 'Legume lectins beta-chain signature.', NULL, NULL, 'LECTIN_LEGUME_BETA', 47040),
(103315, 'PS01158', NULL, 'Macrophage migration inhibitory factor family signature.', NULL, NULL, 'MIF', 47041),
(103316, 'PS01204', NULL, 'NF-kappa-B/Rel/dorsal domain signature.', NULL, NULL, 'REL_1', 47042),
(103317, 'PS00222', NULL, 'Insulin-like growth factor-binding protein (IGFBP) N-terminal domain signature.', NULL, NULL, 'IGFBP_N_1', 47043),
(103318, 'PS00478', NULL, 'LIM zinc-binding domain signature.', NULL, NULL, 'LIM_DOMAIN_1', 47044),
(103319, 'PS01101', NULL, 'Casein kinase II regulatory subunit signature.', NULL, NULL, 'CK2_BETA', 47045),
(103320, 'PS00097', NULL, 'Aspartate and ornithine carbamoyltransferases signature.', NULL, NULL, 'CARBAMOYLTRANSFERASE', 47046),
(103321, 'PS00090', NULL, 'Nitrogenases component 1 alpha and beta subunits signature 2.', NULL, NULL, 'NITROGENASE_1_2', 47047),
(103322, 'PS01125', NULL, 'ROK family signature.', NULL, NULL, 'ROK', 47048),
(103323, 'PS01186', NULL, 'EGF-like domain signature 2.', NULL, NULL, 'EGF_2', 47049);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(103324, 'PS00915', NULL, 'Phosphatidylinositol 3- and 4-kinases signature 1.', NULL, NULL, 'PI3_4_KINASE_1', 47050),
(103325, 'PS01165', NULL, 'Copper amine oxidase copper-binding site signature.', NULL, NULL, 'COPPER_AMINE_OXID_2', 47051),
(103326, 'PS00330', NULL, 'Hemolysin-type calcium-binding region signature.', NULL, NULL, 'HEMOLYSIN_CALCIUM', 47052),
(103327, 'PS60002', NULL, 'Phosphoketolase signature 1.', NULL, NULL, 'PHOSPHOKETOLASE_1', 47053),
(103328, 'PS00909', NULL, 'Mandelate racemase / muconate lactonizing enzyme family signature 2.', NULL, NULL, 'MR_MLE_2', 47054),
(103329, 'PS01320', NULL, 'Uncharacterized protein family UPF0067 signature.', NULL, NULL, 'UPF0067', 47055),
(103330, 'PS00305', NULL, '11-S plant seed storage proteins signature.', NULL, NULL, '11S_SEED_STORAGE', 47056),
(103331, 'PS00338', NULL, 'Somatotropin, prolactin and related hormones signature 2.', NULL, NULL, 'SOMATOTROPIN_2', 47057),
(103332, 'PS01023', NULL, 'PTR2 family proton/oligopeptide symporters signature 2.', NULL, NULL, 'PTR2_2', 47058),
(103333, 'PS00146', NULL, 'Beta-lactamase class-A active site.', NULL, NULL, 'BETA_LACTAMASE_A', 47059),
(103334, 'PS00183', NULL, 'Ubiquitin-conjugating (UBC) active site signature.', NULL, NULL, 'UBC_1', 47060),
(103335, 'PS00365', NULL, 'Nitrite and sulfite reductases iron-sulfur/siroheme-binding site.', NULL, NULL, 'NIR_SIR', 47061),
(103336, 'PS00757', NULL, 'Prokaryotic sulfate-binding proteins signature 2.', NULL, NULL, 'PROK_SULFATE_BIND_2', 47062),
(103337, 'PS01189', NULL, 'Ribosomal protein S12e signature.', NULL, NULL, 'RIBOSOMAL_S12E', 47063),
(103338, 'PS00683', NULL, 'Rhodanese C-terminal signature.', NULL, NULL, 'RHODANESE_2', 47064),
(103339, 'PS00862', NULL, 'Oxygen oxidoreductases covalent FAD-binding site.', NULL, NULL, 'OX2_COVAL_FAD', 47065),
(103340, 'PS01196', NULL, 'Peptidyl-tRNA hydrolase signature 2.', NULL, NULL, 'PEPT_TRNA_HYDROL_2', 47066),
(103341, 'PS00298', NULL, 'Heat shock hsp90 proteins family signature.', NULL, NULL, 'HSP90', 47067),
(103342, 'PS00455', NULL, 'Putative AMP-binding domain signature.', NULL, NULL, 'AMP_BINDING', 47068),
(103343, 'PS00413', NULL, 'Neuromodulin (GAP-43) signature 2.', NULL, NULL, 'NEUROMODULIN_2', 47069),
(103344, 'PS00639', NULL, 'Eukaryotic thiol (cysteine) proteases histidine active site.', NULL, NULL, 'THIOL_PROTEASE_HIS', 47070),
(103345, 'PS01291', NULL, 'NAD:arginine ADP-ribosyltransferases signature.', NULL, NULL, 'ART', 47071),
(103346, 'PS00361', NULL, 'Ribosomal protein S10 signature.', NULL, NULL, 'RIBOSOMAL_S10', 47072),
(103347, 'PS01094', NULL, 'Uncharacterized protein family UPF0076 signature.', NULL, NULL, 'UPF0076', 47073),
(103348, 'PS00947', NULL, 'Cathelicidins signature 2.', NULL, NULL, 'CATHELICIDINS_2', 47074),
(103349, 'PS00602', NULL, 'Fructose-bisphosphate aldolase class-II signature 1.', NULL, NULL, 'ALDOLASE_CLASS_II_1', 47075),
(103350, 'PS00911', NULL, 'Dihydroorotate dehydrogenase signature 1.', NULL, NULL, 'DHODEHASE_1', 47076),
(103351, 'PS01070', NULL, 'DNA/RNA non-specific endonucleases active site.', NULL, NULL, 'NUCLEASE_NON_SPEC', 47077),
(103352, 'PS00531', NULL, 'Ribonuclease T2 family histidine active site 2.', NULL, NULL, 'RNASE_T2_2', 47078),
(103353, 'PS01332', NULL, 'Rrf2-type HTH domain signature.', NULL, NULL, 'HTH_RRF2_1', 47079),
(103354, 'PS00820', NULL, 'Glucoamylase active site region signature.', NULL, NULL, 'GLUCOAMYLASE', 47080),
(103355, 'PS00240', NULL, 'Receptor tyrosine kinase class III signature.', NULL, NULL, 'RECEPTOR_TYR_KIN_III', 47081),
(103356, 'PS01267', NULL, 'Uncharacterized protein family UPF0023 signature.', NULL, NULL, 'UPF0023', 47082),
(103357, 'PS00703', NULL, 'Orn/Lys/Arg decarboxylases family 1 pyridoxal-P attachment site.', NULL, NULL, 'OKR_DC_1', 47083),
(103358, 'PS00302', NULL, 'Eukaryotic initiation factor 5A hypusine signature.', NULL, NULL, 'IF5A_HYPUSINE', 47084),
(103359, 'PS00928', NULL, 'Trehalase signature 2.', NULL, NULL, 'TREHALASE_2', 47085),
(103360, 'PS00788', NULL, 'Chorismate synthase signature 2.', NULL, NULL, 'CHORISMATE_SYNTHASE_2', 47086);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(103361, 'PS01057', NULL, 'SAICAR synthetase signature 1.', NULL, NULL, 'SAICAR_SYNTHETASE_1', 47087),
(103362, 'PS00981', NULL, 'G-protein coupled receptors family 3 signature 3.', NULL, NULL, 'G_PROTEIN_RECEP_F3_3', 47088),
(103363, 'PS01108', NULL, 'Ribosomal protein L24 signature.', NULL, NULL, 'RIBOSOMAL_L24', 47089),
(103364, 'PS01142', NULL, 'Bacterial type II secretion system protein N signature.', NULL, NULL, 'T2SP_N', 47090),
(103365, 'PS00756', NULL, 'Protein secY signature 2.', NULL, NULL, 'SECY_2', 47091),
(103366, 'PS01104', NULL, 'Ribosomal protein L13e signature.', NULL, NULL, 'RIBOSOMAL_L13E', 47092),
(103367, 'PS00312', NULL, 'Glycophorin A signature.', NULL, NULL, 'GLYCOPHORIN_A', 47093),
(103368, 'PS01208', NULL, 'VWFC domain signature.', NULL, NULL, 'VWFC_1', 47094),
(103369, 'PS00158', NULL, 'Fructose-bisphosphate aldolase class-I active site.', NULL, NULL, 'ALDOLASE_CLASS_I', 47095),
(103370, 'PS00514', NULL, 'Fibrinogen C-terminal domain signature.', NULL, NULL, 'FIBRINOGEN_C_1', 47096),
(103371, 'PS00357', NULL, 'Histone H2B signature.', NULL, NULL, 'HISTONE_H2B', 47097),
(103372, 'PS00393', NULL, 'Phosphoenolpyruvate carboxylase active site 2.', NULL, NULL, 'PEPCASE_2', 47098),
(103373, 'PS00572', NULL, 'Glycosyl hydrolases family 1 active site.', NULL, NULL, 'GLYCOSYL_HYDROL_F1_1', 47099),
(103374, 'PS00487', NULL, 'IMP dehydrogenase / GMP reductase signature.', NULL, NULL, 'IMP_DH_GMP_RED', 47100),
(103375, 'PS01352', NULL, 'Long hematopoietin receptor, single chain family signature.', NULL, NULL, 'HEMATOPO_REC_L_F1', 47101),
(103376, 'PS00548', NULL, 'Ribosomal protein S3 signature.', NULL, NULL, 'RIBOSOMAL_S3', 47102),
(103377, 'PS00367', NULL, 'Biopterin-dependent aromatic amino acid hydroxylases signature.', NULL, NULL, 'BH4_AAA_HYDROXYL_1', 47103),
(103378, 'PS01128', NULL, 'Shikimate kinase signature.', NULL, NULL, 'SHIKIMATE_KINASE', 47104),
(103379, 'PS00799', NULL, 'Granulins signature.', NULL, NULL, 'GRANULINS', 47105),
(103380, 'PS01035', NULL, 'PTS EIIB domains cysteine phosphorylation site signature.', NULL, NULL, 'PTS_EIIB_TYPE_1_CYS', 47106),
(103381, 'PS00992', NULL, 'Serum amyloid A proteins signature.', NULL, NULL, 'SAA', 47107),
(103382, 'PS00110', NULL, 'Pyruvate kinase active site signature.', NULL, NULL, 'PYRUVATE_KINASE', 47108),
(103383, 'PS00977', NULL, 'FAD-dependent glycerol-3-phosphate dehydrogenase signature 1.', NULL, NULL, 'FAD_G3PDH_1', 47109),
(103384, 'PS01258', NULL, 'Apoptosis regulator, Bcl-2 family BH2 motif signature.', NULL, NULL, 'BH2', 47110),
(103385, 'PS00781', NULL, 'Phosphoenolpyruvate carboxylase active site 1.', NULL, NULL, 'PEPCASE_1', 47111),
(103386, 'PS00238', NULL, 'Visual pigments (opsins) retinal binding site.', NULL, NULL, 'OPSIN', 47112),
(103387, 'PS00876', NULL, 'Indoleamine 2,3-dioxygenase signature 1.', NULL, NULL, 'IDO_1', 47113),
(103388, 'PS00209', NULL, 'Arthropod hemocyanins / insect LSPs signature 1.', NULL, NULL, 'HEMOCYANIN_1', 47114),
(103389, 'PS01025', NULL, 'Protein phosphatase 2A regulatory subunit PR55 signature 2.', NULL, NULL, 'PR55_2', 47115),
(103390, 'PS00822', NULL, 'Cytochrome c and c1 heme lyases signature 2.', NULL, NULL, 'CYTO_HEME_LYASE_2', 47116),
(103391, 'PS00256', NULL, 'Adipokinetic hormone family signature.', NULL, NULL, 'AKH', 47117),
(103392, 'PS00082', NULL, 'Extradiol ring-cleavage dioxygenases signature.', NULL, NULL, 'EXTRADIOL_DIOXYGENAS', 47118),
(103393, 'PS00033', NULL, '''Homeobox'' engrailed-type protein signature.', NULL, NULL, 'ENGRAILED', 47119),
(103394, 'PS00035', NULL, 'POU-specific (POUs) domain signature 1.', NULL, NULL, 'POU_1', 47120),
(103395, 'PS01203', NULL, 'BTG family signature 2.', NULL, NULL, 'BTG_2', 47121),
(103396, 'PS00139', NULL, 'Eukaryotic thiol (cysteine) proteases cysteine active site.', NULL, NULL, 'THIOL_PROTEASE_CYS', 47122),
(103397, 'PS01335', NULL, 'Methylglyoxal synthase active site.', NULL, NULL, 'METHYLGLYOXAL_SYNTH', 47123),
(103398, 'PS01243', NULL, 'Bax inhibitor-1 family signature.', NULL, NULL, 'BI1', 47124),
(103399, 'PS00149', NULL, 'Sulfatases signature 2.', NULL, NULL, 'SULFATASE_2', 47125);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(103400, 'PS00624', NULL, 'GMC oxidoreductases signature 2.', NULL, NULL, 'GMC_OXRED_2', 47126),
(103401, 'PS00860', NULL, 'GTP cyclohydrolase I signature 2.', NULL, NULL, 'GTP_CYCLOHYDROL_1_2', 47127),
(103402, 'PS00342', NULL, 'Microbodies C-terminal targeting signal.', NULL, NULL, 'MICROBODIES_CTER', 47128),
(103403, 'PS00316', NULL, 'Thaumatin family signature.', NULL, NULL, 'THAUMATIN_1', 47129),
(103404, 'PS01075', NULL, 'Acetate and butyrate kinases family signature 1.', NULL, NULL, 'ACETATE_KINASE_1', 47130),
(103405, 'PS00565', NULL, 'Argininosuccinate synthase signature 2.', NULL, NULL, 'ARGININOSUCCIN_SYN_2', 47131),
(103406, 'PS01242', NULL, 'Zinc finger FPG-type signature.', NULL, NULL, 'ZF_FPG_1', 47132),
(103407, 'PS00319', NULL, 'Amyloid precursor protein (APP) copper-binding (CuBD) domain signature.', NULL, NULL, 'APP_CUBD', 47133),
(103408, 'PS00345', NULL, 'Ets-domain signature 1.', NULL, NULL, 'ETS_DOMAIN_1', 47134),
(103409, 'PS00521', NULL, 'Delta 1-pyrroline-5-carboxylate reductase signature.', NULL, NULL, 'P5CR', 47135),
(103410, 'PS00869', NULL, 'Renal dipeptidase active site.', NULL, NULL, 'RENAL_DIPEPTIDASE_1', 47136),
(103411, 'PS00474', NULL, 'Ribosomal protein L3 signature.', NULL, NULL, 'RIBOSOMAL_L3', 47137),
(103412, 'PS00315', NULL, 'Dehydrins signature 1.', NULL, NULL, 'DEHYDRIN_1', 47138),
(103413, 'PS01327', NULL, 'Large-conductance mechanosensitive channels mscL family signature.', NULL, NULL, 'MSCL', 47139),
(103414, 'PS00771', NULL, 'Barwin domain signature 1.', NULL, NULL, 'BARWIN_1', 47140),
(103415, 'PS00792', NULL, 'Dihydropteroate synthase signature 1.', NULL, NULL, 'DHPS_1', 47141),
(103416, 'PS00542', NULL, 'Respiratory chain NADH dehydrogenase 30 Kd subunit signature.', NULL, NULL, 'COMPLEX1_30K', 47142),
(103417, 'PS01138', NULL, 'Scorpion short toxins signature.', NULL, NULL, 'SCORP_SHORT_TOXIN', 47143),
(103418, 'PS01164', NULL, 'Copper amine oxidase topaquinone signature.', NULL, NULL, 'COPPER_AMINE_OXID_1', 47144),
(103419, 'PS00210', NULL, 'Arthropod hemocyanins / insect LSPs signature 2.', NULL, NULL, 'HEMOCYANIN_2', 47145),
(103420, 'PS00121', NULL, 'Colipase signature.', NULL, NULL, 'COLIPASE_1', 47146),
(103421, 'PS00450', NULL, 'Aconitase family signature 1.', NULL, NULL, 'ACONITASE_1', 47147),
(103422, 'PS00301', NULL, 'Translational (tr)-type guanine nucleotide-binding (G) domain signature.', NULL, NULL, 'G_TR_1', 47148),
(103423, 'PS00594', NULL, 'Aromatic amino acids permeases signature.', NULL, NULL, 'AROMATIC_AA_PERMEASE_1', 47149),
(103424, 'PS01041', NULL, 'Stathmin family signature 2.', NULL, NULL, 'STATHMIN_2', 47150),
(103425, 'PS00061', NULL, 'Short-chain dehydrogenases/reductases family signature.', NULL, NULL, 'ADH_SHORT', 47151),
(103426, 'PS00066', NULL, 'Hydroxymethylglutaryl-coenzyme A reductases signature 1.', NULL, NULL, 'HMG_COA_REDUCTASE_1', 47152),
(103427, 'PS00999', NULL, 'Streptomyces subtilisin-type inhibitors signature.', NULL, NULL, 'SSI', 47153),
(103428, 'PS01293', NULL, 'Nudix CoA signature.', NULL, NULL, 'NUDIX_COA', 47154),
(103429, 'PS00767', NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase signature 2.', NULL, NULL, 'THF_DHG_CYH_2', 47155),
(103430, 'PS00567', NULL, 'Phosphoribulokinase signature.', NULL, NULL, 'PHOSPHORIBULOKINASE', 47156),
(103431, 'PS00399', NULL, 'ATP-citrate lyase / succinyl-CoA ligases family active site.', NULL, NULL, 'SUCCINYL_COA_LIG_2', 47157),
(103432, 'PS60032', NULL, 'Glycosyl hydrolases family 9 (GH9) active site signature 1.', NULL, NULL, 'GH9_1', 47158),
(103433, 'PS00103', NULL, 'Purine/pyrimidine phosphoribosyl transferases signature.', NULL, NULL, 'PUR_PYR_PR_TRANSFER', 47159),
(103434, 'PS00098', NULL, 'Thiolases acyl-enzyme intermediate signature.', NULL, NULL, 'THIOLASE_1', 47160),
(103435, 'PS01354', NULL, 'Long hematopoietin receptor, soluble alpha chains family signature.', NULL, NULL, 'HEMATOPO_REC_L_F3', 47161),
(103436, 'PS00059', NULL, 'Zinc-containing alcohol dehydrogenases signature.', NULL, NULL, 'ADH_ZINC', 47162),
(103437, 'PS00850', NULL, 'Glycine radical domain signature.', NULL, NULL, 'GLY_RADICAL_1', 47163);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(103438, 'PS01141', NULL, 'Bacterial type II secretion system protein C signature.', NULL, NULL, 'T2SP_C', 47164),
(103439, 'PS00810', NULL, 'ADP-glucose pyrophosphorylase signature 3.', NULL, NULL, 'ADP_GLC_PYROPHOSPH_3', 47165),
(103440, 'PS00106', NULL, 'Galactokinase signature.', NULL, NULL, 'GALACTOKINASE', 47166),
(103441, 'PS00509', NULL, 'Ras GTPase-activating proteins domain signature.', NULL, NULL, 'RAS_GTPASE_ACTIV_1', 47167),
(103442, 'PS00508', NULL, 'Nickel-dependent hydrogenases large subunit signature 2.', NULL, NULL, 'NI_HGENASE_L_2', 47168),
(103443, 'PS01206', NULL, 'Amiloride-sensitive sodium channels signature.', NULL, NULL, 'ASC', 47169),
(103444, 'PS00660', NULL, 'FERM domain signature 1.', NULL, NULL, 'FERM_1', 47170),
(103445, 'PS00657', NULL, 'Fork head domain signature 1.', NULL, NULL, 'FORK_HEAD_1', 47171),
(103446, 'PS01105', NULL, 'Ribosomal protein L35Ae signature.', NULL, NULL, 'RIBOSOMAL_L35AE', 47172),
(103447, 'PS00921', NULL, 'Nitrilases / cyanide hydratase active site signature.', NULL, NULL, 'NITRIL_CHT_2', 47173),
(103448, 'PS00677', NULL, 'D-amino acid oxidases signature.', NULL, NULL, 'DAO', 47174),
(103449, 'PS01157', NULL, 'Class A bacterial acid phosphatases signature.', NULL, NULL, 'ACID_PHOSPH_CL_A', 47175),
(103450, 'PS00813', NULL, 'Eukaryotic initiation factor 4E signature.', NULL, NULL, 'IF4E', 47176),
(103451, 'PS00679', NULL, 'Beta-amylase active site 2.', NULL, NULL, 'BETA_AMYLASE_2', 47177),
(103452, 'PS00299', NULL, 'Ubiquitin domain signature.', NULL, NULL, 'UBIQUITIN_1', 47178),
(103453, 'PS00662', NULL, 'Bacterial type II secretion system protein E signature.', NULL, NULL, 'T2SP_E', 47179),
(103454, 'PS00426', NULL, 'Cereal trypsin/alpha-amylase inhibitors family signature.', NULL, NULL, 'CEREAL_TRYP_AMYL_INH', 47180),
(103455, 'PS00164', NULL, 'Enolase signature.', NULL, NULL, 'ENOLASE', 47181),
(103456, 'PS00967', NULL, 'Neuromedin U signature.', NULL, NULL, 'NMU', 47182),
(103457, 'PS00561', NULL, 'CBM2a (carbohydrate-binding type-2) domain signature.', NULL, NULL, 'CBM2_A', 47183),
(103458, 'PS00208', NULL, 'Plant hemoglobins signature.', NULL, NULL, 'PLANT_GLOBIN', 47184),
(103459, 'PS00748', NULL, 'F-actin capping protein alpha subunit signature 1.', NULL, NULL, 'F_ACTIN_CAPPING_A_1', 47185),
(103460, 'PS00952', NULL, 'ER lumen protein retaining receptor signature 2.', NULL, NULL, 'ER_LUMEN_RECEPTOR_2', 47186),
(103461, 'PS00845', NULL, 'CAP-Gly domain signature.', NULL, NULL, 'CAP_GLY_1', 47187),
(103462, 'PS00405', NULL, '43 Kd postsynaptic protein signature.', NULL, NULL, '43_KD_POSTSYNAPTIC', 47188),
(103463, 'PS00782', NULL, 'Transcription factor TFIIB repeat signature.', NULL, NULL, 'TFIIB', 47189),
(103464, 'PS00075', NULL, 'Dihydrofolate reductase (DHFR) domain signature.', NULL, NULL, 'DHFR_1', 47190),
(103465, 'PS00280', NULL, 'Pancreatic trypsin inhibitor (Kunitz) family signature.', NULL, NULL, 'BPTI_KUNITZ_1', 47191),
(103466, 'PS00070', NULL, 'Aldehyde dehydrogenases cysteine active site.', NULL, NULL, 'ALDEHYDE_DEHYDR_CYS', 47192),
(103467, 'PS01252', NULL, 'Endogenous opioids neuropeptides precursors signature.', NULL, NULL, 'OPIOIDS_PRECURSOR', 47193),
(103468, 'PS00610', NULL, 'Sodium:neurotransmitter symporter family signature 1.', NULL, NULL, 'NA_NEUROTRAN_SYMP_1', 47194),
(103469, 'PS00905', NULL, 'GTP1/OBG family signature.', NULL, NULL, 'GTP1_OBG', 47195),
(103470, 'PS01088', NULL, 'CAP protein signature 1.', NULL, NULL, 'CAP_1', 47196),
(103471, 'PS01236', NULL, 'PdxT/SNO family family signature.', NULL, NULL, 'PDXT_SNO_1', 47197),
(103472, 'PS00001', NULL, 'N-glycosylation site.', NULL, NULL, 'ASN_GLYCOSYLATION', 47198),
(103473, 'PS00273', NULL, 'Heat-stable enterotoxins signature.', NULL, NULL, 'ENTEROTOXIN_H_STABLE', 47199),
(103474, 'PS01168', NULL, 'Ribosomal protein S27e signature.', NULL, NULL, 'RIBOSOMAL_S27E', 47200),
(103475, 'PS01034', NULL, 'Glycosyl hydrolases family 16 active sites.', NULL, NULL, 'GH16_1', 47201),
(103476, 'PS00953', NULL, 'Glycosyl hydrolases family 25 active site signature.', NULL, NULL, 'GLYCOSYL_HYDROL_F25_1', 47202);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(103477, 'PS00213', NULL, 'Lipocalin signature.', NULL, NULL, 'LIPOCALIN', 47203),
(103478, 'PS00888', NULL, 'Cyclic nucleotide-binding domain signature 1.', NULL, NULL, 'CNMP_BINDING_1', 47204),
(103479, 'PS00480', NULL, 'Citrate synthase signature.', NULL, NULL, 'CITRATE_SYNTHASE', 47205),
(103480, 'PS00740', NULL, 'MAM domain signature.', NULL, NULL, 'MAM_1', 47206),
(103481, 'PS00923', NULL, 'Aspartate and glutamate racemases signature 1.', NULL, NULL, 'ASP_GLU_RACEMASE_1', 47207),
(103482, 'PS00384', NULL, 'Prokaryotic zinc-dependent phospholipase C signature.', NULL, NULL, 'PROKAR_ZN_DEPEND_PLPC_1', 47208),
(103483, 'PS00424', NULL, 'Interleukin-2 signature.', NULL, NULL, 'INTERLEUKIN_2', 47209),
(103484, 'PS00034', NULL, 'Paired DNA-binding domain signature.', NULL, NULL, 'PAIRED_1', 47210),
(103485, 'PS01063', NULL, 'Sigma-70 factors ECF subfamily signature.', NULL, NULL, 'SIGMA70_ECF', 47211),
(103486, 'PS01230', NULL, 'RNA methyltransferase trmA family signature 1.', NULL, NULL, 'TRMA_1', 47212),
(103487, 'PS00254', NULL, 'Interleukin-6 / G-CSF / MGF signature.', NULL, NULL, 'INTERLEUKIN_6', 47213),
(103488, 'PS00469', NULL, 'Nucleoside diphosphate kinases active site.', NULL, NULL, 'NDP_KINASES', 47214),
(103489, 'PS00087', NULL, 'Copper/Zinc superoxide dismutase signature 1.', NULL, NULL, 'SOD_CU_ZN_1', 47215),
(103490, 'PS00328', NULL, 'HCP repeats signature.', NULL, NULL, 'HCP', 47216),
(103491, 'PS00093', NULL, 'N-4 cytosine-specific DNA methylases signature.', NULL, NULL, 'N4_MTASE', 47217),
(103492, 'PS00368', NULL, 'Ribonucleotide reductase small subunit signature.', NULL, NULL, 'RIBORED_SMALL', 47218),
(103493, 'PS01254', NULL, 'Fetuin family signature 1.', NULL, NULL, 'FETUIN_1', 47219),
(103494, 'PS00089', NULL, 'Ribonucleotide reductase large subunit signature.', NULL, NULL, 'RIBORED_LARGE', 47220),
(103495, 'PS00918', NULL, 'Deoxyribonuclease I signature 2.', NULL, NULL, 'DNASE_I_2', 47221),
(103496, 'PS00985', NULL, 'Spermadhesins family signature 1.', NULL, NULL, 'SPERMADHESIN_1', 47222),
(103497, 'PS00897', NULL, 'LacY family proton/sugar symporters signature 2.', NULL, NULL, 'LACY_2', 47223),
(103498, 'PS60015', NULL, 'Mu-agatoxin family signature.', NULL, NULL, 'MU_AGATOXIN', 47224),
(103499, 'PS01221', NULL, 'PMP-22 / EMP / MP20 family signature 1.', NULL, NULL, 'PMP22_1', 47225),
(103500, 'PS01048', NULL, 'Ribosomal protein S6 signature.', NULL, NULL, 'RIBOSOMAL_S6', 47226),
(103501, 'PS00175', NULL, 'Phosphoglycerate mutase family phosphohistidine signature.', NULL, NULL, 'PG_MUTASE', 47227),
(103502, 'PS00490', NULL, 'Prokaryotic molybdopterin oxidoreductases signature 2.', NULL, NULL, 'MOLYBDOPTERIN_PROK_2', 47228),
(103503, 'PS01317', NULL, 'SsrA-binding protein.', NULL, NULL, 'SSRP', 47229),
(103504, 'PS00196', NULL, 'Type-1 copper (blue) proteins signature.', NULL, NULL, 'COPPER_BLUE', 47230),
(103505, 'PS01120', NULL, 'Urease nickel ligands signature.', NULL, NULL, 'UREASE_1', 47231),
(103506, 'PS00153', NULL, 'ATP synthase gamma subunit signature.', NULL, NULL, 'ATPASE_GAMMA', 47232),
(103507, 'PS01029', NULL, 'Dehydroquinase class II signature.', NULL, NULL, 'DEHYDROQUINASE_II', 47233),
(103508, 'PS00978', NULL, 'FAD-dependent glycerol-3-phosphate dehydrogenase signature 2.', NULL, NULL, 'FAD_G3PDH_2', 47234),
(103509, 'PS00064', NULL, 'L-lactate dehydrogenase active site.', NULL, NULL, 'L_LDH', 47235),
(103510, 'PS00854', NULL, 'Proteasome beta-type subunits signature.', NULL, NULL, 'PROTEASOME_BETA_1', 47236),
(103511, 'PS00160', NULL, 'KDPG and KHG aldolases Schiff-base forming residue.', NULL, NULL, 'ALDOLASE_KDPG_KHG_2', 47237),
(103512, 'PS00946', NULL, 'Cathelicidins signature 1.', NULL, NULL, 'CATHELICIDINS_1', 47238),
(103513, 'PS01061', NULL, 'Flagella transport protein fliP family signature 2.', NULL, NULL, 'FLIP_2', 47239),
(103514, 'PS01220', NULL, 'Phosphatidylethanolamine-binding protein family signature.', NULL, NULL, 'PBP', 47240),
(103515, 'PS00933', NULL, 'FGGY family of carbohydrate kinases signature 1.', NULL, NULL, 'FGGY_KINASES_1', 47241);
INSERT INTO "PUBLIC"."MODEL" VALUES
(103516, 'PS00376', NULL, 'S-adenosylmethionine synthase signature 1.', NULL, NULL, 'ADOMET_SYNTHASE_1', 47242),
(103517, 'PS00650', NULL, 'G-protein coupled receptors family 2 signature 2.', NULL, NULL, 'G_PROTEIN_RECEP_F2_2', 47243),
(103518, 'PS00151', NULL, 'Acylphosphatase signature 2.', NULL, NULL, 'ACYLPHOSPHATASE_2', 47244),
(103519, 'PS00412', NULL, 'Neuromodulin (GAP-43) signature 1.', NULL, NULL, 'NEUROMODULIN_1', 47245),
(103520, 'PS00526', NULL, 'Ribosomal protein L19e signature.', NULL, NULL, 'RIBOSOMAL_L19E', 47246),
(103521, 'PS00295', NULL, 'Arrestins signature.', NULL, NULL, 'ARRESTINS', 47247),
(103522, 'PS01156', NULL, 'TonB-dependent receptor proteins signature 2.', NULL, NULL, 'TONB_DEPENDENT_REC_2', 47248),
(103523, 'PS01192', NULL, 'Hydroxymethylglutaryl-coenzyme A reductases signature 3.', NULL, NULL, 'HMG_COA_REDUCTASE_3', 47249),
(103524, 'PS00696', NULL, 'Electron transfer flavoprotein alpha-subunit signature.', NULL, NULL, 'ETF_ALPHA', 47250),
(103525, 'PS01288', NULL, 'Uncharacterized protein family UPF0027 signature.', NULL, NULL, 'UPF0027', 47251),
(103526, 'PS01064', NULL, 'Pyridoxamine 5''-phosphate oxidase signature.', NULL, NULL, 'PYRIDOX_OXIDASE', 47252),
(103527, 'PS00406', NULL, 'Actins signature 1.', NULL, NULL, 'ACTINS_1', 47253),
(103528, 'PS00777', NULL, 'Glycosyl hydrolases family 11 (GH11) active site signature 2.', NULL, NULL, 'GH11_2', 47254),
(103529, 'PS00993', NULL, 'Ribosomal protein L30e signature 2.', NULL, NULL, 'RIBOSOMAL_L30E_2', 47255),
(103530, 'PS00246', NULL, 'Wnt-1 family signature.', NULL, NULL, 'WNT1', 47256),
(103531, 'PS00885', NULL, 'EPSP synthase signature 2.', NULL, NULL, 'EPSP_SYNTHASE_2', 47257),
(103532, 'PS00275', NULL, 'Shiga/ricin ribosomal inactivating toxins active site signature.', NULL, NULL, 'SHIGA_RICIN', 47258),
(103533, 'PS00916', NULL, 'Phosphatidylinositol 3- and 4-kinases signature 2.', NULL, NULL, 'PI3_4_KINASE_2', 47259),
(103534, 'PS01058', NULL, 'SAICAR synthetase signature 2.', NULL, NULL, 'SAICAR_SYNTHETASE_2', 47260),
(103535, 'PS01079', NULL, 'Molybdenum cofactor biosynthesis proteins signature 2.', NULL, NULL, 'MOCF_BIOSYNTHESIS_2', 47261),
(103536, 'PS01131', NULL, 'Ribosomal RNA adenine dimethylases signature.', NULL, NULL, 'RRNA_A_DIMETH', 47262),
(103537, 'PS01130', NULL, 'SLC26A transporters signature.', NULL, NULL, 'SLC26A', 47263),
(103538, 'PS00031', NULL, 'Nuclear hormones receptors DNA-binding region signature.', NULL, NULL, 'NUCLEAR_REC_DBD_1', 47264),
(103539, 'PS00119', NULL, 'Phospholipase A2 aspartic acid active site.', NULL, NULL, 'PA2_ASP', 47265),
(103540, 'PS00461', NULL, '6-phosphogluconate dehydrogenase signature.', NULL, NULL, '6PGD', 47266),
(103541, 'PS01170', NULL, 'Ribosomal protein L6e signature.', NULL, NULL, 'RIBOSOMAL_L6E', 47267),
(103542, 'PS00794', NULL, '7,8-dihydro-6-hydroxymethylpterin-pyrophosphokinase signature.', NULL, NULL, 'HPPK', 47268),
(103543, 'PS00749', NULL, 'F-actin capping protein alpha subunit signature 2.', NULL, NULL, 'F_ACTIN_CAPPING_A_2', 47269),
(103544, 'PS00503', NULL, 'Pectinesterase signature 2.', NULL, NULL, 'PECTINESTERASE_2', 47270),
(103545, 'PS00856', NULL, 'Guanylate kinase-like signature.', NULL, NULL, 'GUANYLATE_KINASE_1', 47271),
(103546, 'PS00519', NULL, 'AsnC-type HTH domain signature.', NULL, NULL, 'HTH_ASNC_1', 47272),
(103547, 'PS00832', NULL, '2''-5''-oligoadenylate synthases signature 1.', NULL, NULL, '25A_SYNTH_1', 47273),
(103548, 'PS00525', NULL, 'Ribosomal protein L6 signature 1.', NULL, NULL, 'RIBOSOMAL_L6_1', 47274),
(103549, 'PS00750', NULL, 'Chaperonins TCP-1 signature 1.', NULL, NULL, 'TCP1_1', 47275),
(103550, 'PS00122', NULL, 'Carboxylesterases type-B serine active site.', NULL, NULL, 'CARBOXYLESTERASE_B_1', 47276),
(103551, 'PS00912', NULL, 'Dihydroorotate dehydrogenase signature 2.', NULL, NULL, 'DHODEHASE_2', 47277),
(103552, 'PS00991', NULL, 'Clathrin adaptor complexes medium chain signature 2.', NULL, NULL, 'CLAT_ADAPTOR_M_2', 47278),
(103553, 'PS01016', NULL, 'Glycoprotease family signature.', NULL, NULL, 'GLYCOPROTEASE', 47279);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(103554, 'PS00539', NULL, 'Pyrokinins signature.', NULL, NULL, 'PYROKININ', 47280),
(103555, 'PS00875', NULL, 'Bacterial type II secretion system protein D signature.', NULL, NULL, 'T2SP_D', 47281),
(103556, 'PS00239', NULL, 'Receptor tyrosine kinase class II signature.', NULL, NULL, 'RECEPTOR_TYR_KIN_II', 47282),
(103557, 'PS00966', NULL, 'Phosphomannose isomerase type I signature 2.', NULL, NULL, 'PMI_I_2', 47283),
(103558, 'PS00877', NULL, 'Indoleamine 2,3-dioxygenase signature 2.', NULL, NULL, 'IDO_2', 47284),
(103559, 'PS00758', NULL, 'ArgE / dapE / ACY1 / CPG2 / yscS family signature 1.', NULL, NULL, 'ARGE_DAPE_CPG2_1', 47285),
(103560, 'PS00930', NULL, 'Peripherin / rom-1 signature.', NULL, NULL, 'RDS_ROM1', 47286),
(103561, 'PS60007', NULL, 'Tyrosine kinase phosphorylation site 2.', NULL, NULL, 'TYR_PHOSPHO_SITE_2', 47287),
(103562, 'PS00348', NULL, 'p53 family signature.', NULL, NULL, 'P53', 47288),
(103563, 'PS01231', NULL, 'RNA methyltransferase trmA family signature 2.', NULL, NULL, 'TRMA_2', 47289),
(103564, 'PS00892', NULL, 'HIT domain signature.', NULL, NULL, 'HIT_1', 47290),
(103565, 'PS01329', NULL, 'Cytochrome c oxidase subunit VIa signature.', NULL, NULL, 'COX6A', 47291),
(103566, 'PS00590', NULL, 'LIF / OSM family signature.', NULL, NULL, 'LIF_OSM', 47292),
(103567, 'PS00686', NULL, 'NF-YA/HAP2 subunit signature.', NULL, NULL, 'NFYA_HAP2_1', 47293),
(103568, 'PS00277', NULL, 'Staphylococcal enterotoxin/Streptococcal pyrogenic exotoxin signature 1.', NULL, NULL, 'STAPH_STREP_TOXIN_1', 47294),
(103569, 'PS00118', NULL, 'Phospholipase A2 histidine active site.', NULL, NULL, 'PA2_HIS', 47295),
(103570, 'PS00353', NULL, 'HMG box A DNA-binding domain signature.', NULL, NULL, 'HMG_BOX_1', 47296),
(103571, 'PS01339', NULL, 'SURF4 family signature.', NULL, NULL, 'SURF4', 47297),
(103572, 'PS00776', NULL, 'Glycosyl hydrolases family 11 (GH11) active site signature 1.', NULL, NULL, 'GH11_1', 47298),
(103573, 'PS00868', NULL, 'Cys/Met metabolism enzymes pyridoxal-phosphate attachment site.', NULL, NULL, 'CYS_MET_METAB_PP', 47299),
(103574, 'PS01245', NULL, 'RIO1/ZK632.3/MJ0444 family signature.', NULL, NULL, 'RIO1', 47300),
(103575, 'PS60020', NULL, 'Janus-faced atracotoxin (J-ACTX) family signature.', NULL, NULL, 'J_ACTX', 47301),
(103576, 'PS00358', NULL, 'Ribosomal protein L5 signature.', NULL, NULL, 'RIBOSOMAL_L5', 47302),
(103577, 'PS01287', NULL, 'RNA 3''-terminal phosphate cyclase signature.', NULL, NULL, 'RTC', 47303),
(103578, 'PS01345', NULL, 'COE family signature.', NULL, NULL, 'COE', 47304),
(103579, 'PS00167', NULL, 'Tryptophan synthase alpha chain signature.', NULL, NULL, 'TRP_SYNTHASE_ALPHA', 47305),
(103580, 'PS00026', NULL, 'Chitin recognition or binding domain signature.', NULL, NULL, 'CHIT_BIND_I_1', 47306),
(103581, 'PS00006', NULL, 'Casein kinase II phosphorylation site.', NULL, NULL, 'CK2_PHOSPHO_SITE', 47307),
(103582, 'PS00986', NULL, 'Spermadhesins family signature 2.', NULL, NULL, 'SPERMADHESIN_2', 47308),
(103583, 'PS01297', NULL, 'FLAP/GST2/LTC4S family signature.', NULL, NULL, 'FLAP_GST2_LTC4S', 47309),
(103584, 'PS00451', NULL, 'Pathogenesis-related proteins Bet v I family signature.', NULL, NULL, 'PATHOGENESIS_BETVI', 47310),
(103585, 'PS01306', NULL, 'Uncharacterized protein family UPF0054 signature.', NULL, NULL, 'UPF0054', 47311),
(103586, 'PS00214', NULL, 'Cytosolic fatty-acid binding proteins signature.', NULL, NULL, 'FABP', 47312),
(103587, 'PS01011', NULL, 'Folylpolyglutamate synthase signature 1.', NULL, NULL, 'FOLYLPOLYGLU_SYNT_1', 47313),
(103588, 'PS00501', NULL, 'Signal peptidases I serine active site.', NULL, NULL, 'SPASE_I_1', 47314),
(103589, 'PS01296', NULL, 'RsmI AdoMet-dependent methyltransferase protein family signature.', NULL, NULL, 'RSMI', 47315),
(103590, 'PS00108', NULL, 'Serine/Threonine protein kinases active-site signature.', NULL, NULL, 'PROTEIN_KINASE_ST', 47316),
(103591, 'PS00112', NULL, 'Phosphagen kinase active site signature.', NULL, NULL, 'PHOSPHAGEN_KINASE', 47317),
(103592, 'PS00522', NULL, 'DNA polymerase family X signature.', NULL, NULL, 'DNA_POLYMERASE_X', 47318);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(103593, 'PS00867', NULL, 'Carbamoyl-phosphate synthase subdomain signature 2.', NULL, NULL, 'CPSASE_2', 47319),
(103594, 'PS00204', NULL, 'Ferritin iron-binding regions signature 2.', NULL, NULL, 'FERRITIN_2', 47320),
(103595, 'PS00370', NULL, 'PEP-utilizing enzymes phosphorylation site signature.', NULL, NULL, 'PEP_ENZYMES_PHOS_SITE', 47321),
(103596, 'PS00784', NULL, 'Ribosomal protein L34 signature.', NULL, NULL, 'RIBOSOMAL_L34', 47322),
(103597, 'PS00732', NULL, 'Ribosomal protein S16 signature.', NULL, NULL, 'RIBOSOMAL_S16', 47323),
(103598, 'PS00533', NULL, 'Porphobilinogen deaminase cofactor-binding site.', NULL, NULL, 'PORPHOBILINOGEN_DEAM', 47324),
(103599, 'PS00714', NULL, 'Sodium:dicarboxylate symporter family signature 2.', NULL, NULL, 'NA_DICARBOXYL_SYMP_2', 47325),
(103600, 'PS01195', NULL, 'Peptidyl-tRNA hydrolase signature 1.', NULL, NULL, 'PEPT_TRNA_HYDROL_1', 47326),
(103601, 'PS01269', NULL, 'Uncharacterized protein family UPF0025 signature.', NULL, NULL, 'UPF0025', 47327),
(103602, 'PS00914', NULL, 'Syntaxin / epimorphin family signature.', NULL, NULL, 'SYNTAXIN', 47328),
(103603, 'PS01144', NULL, 'Ribosomal protein L31e signature.', NULL, NULL, 'RIBOSOMAL_L31E', 47329),
(103604, 'PS00129', NULL, 'Glycosyl hydrolases family 31 active site.', NULL, NULL, 'GLYCOSYL_HYDROL_F31_1', 47330),
(103605, 'PS00396', NULL, 'Prokaryotic DNA topoisomerase I active site.', NULL, NULL, 'TOPOISOMERASE_I_PROK', 47331),
(103606, 'PS00511', NULL, 'Corticotropin-releasing factor family signature.', NULL, NULL, 'CRF', 47332),
(103607, 'PS00458', NULL, 'Natriuretic peptides receptors signature.', NULL, NULL, 'ANF_RECEPTORS', 47333),
(103608, 'PS00532', NULL, 'Phosphoenolpyruvate carboxykinase (ATP) signature.', NULL, NULL, 'PEPCK_ATP', 47334),
(103609, 'PS00893', NULL, 'Nudix box signature.', NULL, NULL, 'NUDIX_BOX', 47335),
(103610, 'PS01046', NULL, 'ATP-dependent serine proteases, lon family, serine active site.', NULL, NULL, 'LON_SER', 47336),
(103611, 'PS01256', NULL, 'Cullin family signature.', NULL, NULL, 'CULLIN_1', 47337),
(103612, 'PS01099', NULL, 'Respiratory-chain NADH dehydrogenase 24 Kd subunit signature.', NULL, NULL, 'COMPLEX1_24K', 47338),
(103613, 'PS00125', NULL, 'Serine/threonine specific protein phosphatases signature.', NULL, NULL, 'SER_THR_PHOSPHATASE', 47339),
(103614, 'PS00135', NULL, 'Serine proteases, trypsin family, serine active site.', NULL, NULL, 'TRYPSIN_SER', 47340),
(103615, 'PS00137', NULL, 'Serine proteases, subtilase family, histidine active site.', NULL, NULL, 'SUBTILASE_HIS', 47341),
(103616, 'PS00552', NULL, 'MerR-type HTH domain signature.', NULL, NULL, 'HTH_MERR_1', 47342),
(103617, 'PS00646', NULL, 'Ribosomal protein S13 signature.', NULL, NULL, 'RIBOSOMAL_S13_1', 47343),
(103618, 'PS00778', NULL, 'Histidine acid phosphatases active site signature.', NULL, NULL, 'HIS_ACID_PHOSPHAT_2', 47344),
(103619, 'PS00387', NULL, 'Inorganic pyrophosphatase signature.', NULL, NULL, 'PPASE', 47345),
(103620, 'PS01266', NULL, 'Adenylosuccinate synthetase GTP-binding site.', NULL, NULL, 'ADENYLOSUCCIN_SYN_1', 47346),
(103621, 'PS00355', NULL, 'HMG14 and HMG17 signature.', NULL, NULL, 'HMG14_17', 47347),
(103622, 'PS00691', NULL, 'DNA photolyases class 1 signature 2.', NULL, NULL, 'DNA_PHOTOLYASES_1_2', 47348),
(103623, 'PS01100', NULL, 'NNMT/PNMT/TEMT family of methyltransferases signature.', NULL, NULL, 'NNMT_PNMT_TEMT', 47349),
(103624, 'PS00627', NULL, 'GHMP kinases putative ATP-binding domain.', NULL, NULL, 'GHMP_KINASES_ATP', 47350),
(103625, 'PS00235', NULL, 'Gas vesicles protein GVPc repeated domain signature.', NULL, NULL, 'GAS_VESICLE_C', 47351),
(103626, 'PS01126', NULL, 'Elongation factor Ts signature 1.', NULL, NULL, 'EF_TS_1', 47352),
(103627, 'PS00466', NULL, 'Zinc finger TFIIS-type signature.', NULL, NULL, 'ZF_TFIIS_1', 47353),
(103628, 'PS00389', NULL, 'ATP synthase delta (OSCP) subunit signature.', NULL, NULL, 'ATPASE_DELTA', 47354),
(103629, 'PS00576', NULL, 'General diffusion Gram-negative porins signature.', NULL, NULL, 'GRAM_NEG_PORIN', 47355);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(103630, 'PS00764', NULL, 'Endonuclease III iron-sulfur binding region signature.', NULL, NULL, 'ENDONUCLEASE_III_1', 47356),
(103631, 'PS01021', NULL, 'Coproporphyrinogen III oxidase signature.', NULL, NULL, 'COPROGEN_OXIDASE', 47357),
(103632, 'PS00726', NULL, 'AP endonucleases family 1 signature 1.', NULL, NULL, 'AP_NUCLEASE_F1_1', 47358),
(103633, 'PS00294', NULL, 'Prenyl group binding site (CAAX box).', NULL, NULL, 'PRENYLATION', 47359),
(103634, 'PS01246', NULL, 'Uncharacterized protein family UPF0003 signature.', NULL, NULL, 'UPF0003', 47360),
(103635, 'PS00510', NULL, 'Malate synthase signature.', NULL, NULL, 'MALATE_SYNTHASE', 47361),
(103636, 'PS00131', NULL, 'Serine carboxypeptidases, serine active site.', NULL, NULL, 'CARBOXYPEPT_SER_SER', 47362),
(103637, 'PS00174', NULL, 'Phosphoglucose isomerase signature 2.', NULL, NULL, 'P_GLUCOSE_ISOMERASE_2', 47363),
(103638, 'PS00439', NULL, 'Acyltransferases ChoActase / COT / CPT family signature 1.', NULL, NULL, 'ACYLTRANSF_C_1', 47364),
(103639, 'PS01148', NULL, 'Uncharacterized protein family UPF0033 signature.', NULL, NULL, 'UPF0033', 47365),
(103640, 'PS00793', NULL, 'Dihydropteroate synthase signature 2.', NULL, NULL, 'DHPS_2', 47366),
(103641, 'PS00407', NULL, 'Connexins signature 1.', NULL, NULL, 'CONNEXINS_1', 47367),
(103642, 'PS00954', NULL, 'Imidazoleglycerol-phosphate dehydratase signature 1.', NULL, NULL, 'IGP_DEHYDRATASE_1', 47368),
(103643, 'PS00346', NULL, 'Ets-domain signature 2.', NULL, NULL, 'ETS_DOMAIN_2', 47369),
(103644, 'PS00951', NULL, 'ER lumen protein retaining receptor signature 1.', NULL, NULL, 'ER_LUMEN_RECEPTOR_1', 47370),
(103645, 'PS00050', NULL, 'Ribosomal protein L23 signature.', NULL, NULL, 'RIBOSOMAL_L23', 47371),
(103646, 'PS00717', NULL, 'Sigma-54 factors family signature 1.', NULL, NULL, 'SIGMA54_1', 47372),
(103647, 'PS00812', NULL, 'Glycosyl hydrolases family 8 signature.', NULL, NULL, 'GLYCOSYL_HYDROL_F8', 47373),
(103648, 'PS01119', NULL, 'Copper-fist DNA-binding domain signature.', NULL, NULL, 'COPPER_FIST_1', 47374),
(103649, 'PS00150', NULL, 'Acylphosphatase signature 1.', NULL, NULL, 'ACYLPHOSPHATASE_1', 47375),
(103650, 'PS00516', NULL, 'Alkylbase DNA glycosidases alkA family signature.', NULL, NULL, 'ALKYLBASE_DNA_GLYCOS', 47376),
(103651, 'PS00587', NULL, 'Glycosyl hydrolases family 17 signature.', NULL, NULL, 'GLYCOSYL_HYDROL_F17', 47377),
(103652, 'PS00409', NULL, 'Prokaryotic N-terminal methylation site.', NULL, NULL, 'PROKAR_NTER_METHYL', 47378),
(103653, 'PS00873', NULL, 'Sodium:alanine symporter family signature.', NULL, NULL, 'NA_ALANINE_SYMP', 47379),
(103654, 'PS00371', NULL, 'PTS EIIA domains phosphorylation site signature 1.', NULL, NULL, 'PTS_EIIA_TYPE_1_HIS', 47380),
(103655, 'PS00377', NULL, 'S-adenosylmethionine synthase signature 2.', NULL, NULL, 'ADOMET_SYNTHASE_2', 47381),
(103656, 'PS00827', NULL, 'MARCKS family phosphorylation site domain.', NULL, NULL, 'MARCKS_2', 47382),
(103657, 'PS00612', NULL, 'Osteonectin domain signature 1.', NULL, NULL, 'OSTEONECTIN_1', 47383),
(103658, 'PS60000', NULL, 'Chitosanases families 46 and 80 active sites signature.', NULL, NULL, 'CHITOSANASE_46_80', 47384),
(103659, 'PS00943', NULL, 'UbiA prenyltransferase family signature.', NULL, NULL, 'UBIA', 47385),
(103660, 'PS00979', NULL, 'G-protein coupled receptors family 3 signature 1.', NULL, NULL, 'G_PROTEIN_RECEP_F3_1', 47386),
(103661, 'PS00814', NULL, 'Adrenodoxin family, iron-sulfur binding region signature.', NULL, NULL, 'ADX', 47387),
(103662, 'PS01358', NULL, 'Zinc finger RanBP2-type signature.', NULL, NULL, 'ZF_RANBP2_1', 47388),
(103663, 'PS00416', NULL, 'Synapsins signature 2.', NULL, NULL, 'SYNAPSIN_2', 47389),
(103664, 'PS00441', NULL, 'Chalcone and stilbene synthases active site.', NULL, NULL, 'CHALCONE_SYNTH', 47390),
(103665, 'PS00653', NULL, 'Glycosyl hydrolases family 1 N-terminal signature.', NULL, NULL, 'GLYCOSYL_HYDROL_F1_2', 47391),
(103666, 'PS01226', NULL, 'Hydroxymethylglutaryl-coenzyme A synthase active site.', NULL, NULL, 'HMG_COA_SYNTHASE', 47392),
(103667, 'PS00550', NULL, 'Hemerythrin family signature.', NULL, NULL, 'HEMERYTHRINS', 47393);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(103668, 'PS01319', NULL, 'Ribosome-binding factor A signature.', NULL, NULL, 'RBFA', 47394),
(103669, 'PS00012', NULL, 'Phosphopantetheine attachment site.', NULL, NULL, 'PHOSPHOPANTETHEINE', 47395),
(103670, 'PS00048', NULL, 'Protamine P1 signature.', NULL, NULL, 'PROTAMINE_P1', 47396),
(103671, 'PS00237', NULL, 'G-protein coupled receptors family 1 signature.', NULL, NULL, 'G_PROTEIN_RECEP_F1_1', 47397),
(103672, 'PS00080', NULL, 'Multicopper oxidases signature 2.', NULL, NULL, 'MULTICOPPER_OXIDASE2', 47398),
(103673, 'PS00802', NULL, 'Transketolase signature 2.', NULL, NULL, 'TRANSKETOLASE_2', 47399),
(103674, 'PS00228', NULL, 'Tubulin-beta mRNA autoregulation signal.', NULL, NULL, 'TUBULIN_B_AUTOREG', 47400),
(103675, 'PS01290', NULL, 'Enhancer of rudimentary signature.', NULL, NULL, 'ER', 47401),
(103676, 'PS01062', NULL, 'Hydroxymethylglutaryl-coenzyme A lyase active site.', NULL, NULL, 'HMG_COA_LYASE', 47402),
(103677, 'PS01275', NULL, 'Elongation factor P signature.', NULL, NULL, 'EFP', 47403),
(103678, 'PS00493', NULL, 'Clusterin signature 2.', NULL, NULL, 'CLUSTERIN_2', 47404),
(103679, 'PS00889', NULL, 'Cyclic nucleotide-binding domain signature 2.', NULL, NULL, 'CNMP_BINDING_2', 47405),
(103680, 'PS00636', NULL, 'Nt-dnaJ domain signature.', NULL, NULL, 'DNAJ_1', 47406),
(103681, 'PS01049', NULL, 'YjeF C-terminal domain signature 1.', NULL, NULL, 'YJEF_C_1', 47407),
(103682, 'PS60028', NULL, 'Scorpion calcine family signature.', NULL, NULL, 'SCORPION_CALCINE', 47408),
(103683, 'PS00641', NULL, 'Respiratory-chain NADH dehydrogenase 75 Kd subunit signature 1.', NULL, NULL, 'COMPLEX1_75K_1', 47409),
(103684, 'PS00071', NULL, 'Glyceraldehyde 3-phosphate dehydrogenase active site.', NULL, NULL, 'GAPDH', 47410),
(103685, 'PS00945', NULL, 'Cyclin-dependent kinases regulatory subunits signature 2.', NULL, NULL, 'CKS_2', 47411),
(103686, 'PS01224', NULL, 'N-acetyl-gamma-glutamyl-phosphate reductase active site.', NULL, NULL, 'ARGC', 47412),
(103687, 'PS00331', NULL, 'Malic enzymes signature.', NULL, NULL, 'MALIC_ENZYMES', 47413),
(103688, 'PS00321', NULL, 'recA signature.', NULL, NULL, 'RECA_1', 47414),
(103689, 'PS00488', NULL, 'Phenylalanine and histidine ammonia-lyases signature.', NULL, NULL, 'PAL_HISTIDASE', 47415),
(103690, 'PS00467', NULL, 'Ribosomal protein L2 signature.', NULL, NULL, 'RIBOSOMAL_L2', 47416),
(103691, 'PS00429', NULL, 'Staphylocoagulase repeat signature.', NULL, NULL, 'STAPHYLOCOAGULASE', 47417),
(103692, 'PS00333', NULL, 'ATP-dependent DNA ligase signature 2.', NULL, NULL, 'DNA_LIGASE_A2', 47418),
(103693, 'PS00743', NULL, 'Beta-lactamases class B signature 1.', NULL, NULL, 'BETA_LACTAMASE_B_1', 47419),
(103694, 'PS00258', NULL, 'Calcitonin / CGRP / IAPP family signature.', NULL, NULL, 'CALCITONIN', 47420),
(103695, 'PS01000', NULL, 'Succinate dehydrogenase cytochrome b subunit signature 1.', NULL, NULL, 'SDH_CYT_1', 47421),
(103696, 'PS01085', NULL, 'Ribulose-phosphate 3-epimerase family signature 1.', NULL, NULL, 'RIBUL_P_3_EPIMER_1', 47422),
(103697, 'PS00725', NULL, 'Germin family signature.', NULL, NULL, 'GERMIN', 47423),
(103698, 'PS00975', NULL, 'Myristoyl-CoA:protein N-myristoyltransferase signature 1.', NULL, NULL, 'NMT_1', 47424),
(103699, 'PS60017', NULL, 'Omega-atracotoxin (ACTX) type 2 family signature.', NULL, NULL, 'OMEGA_ACTX_2', 47425),
(103700, 'PS00996', NULL, 'Ribosomal protein S21e signature.', NULL, NULL, 'RIBOSOMAL_S21E', 47426),
(103701, 'PS00645', NULL, 'Respiratory-chain NADH dehydrogenase 51 Kd subunit signature 2.', NULL, NULL, 'COMPLEX1_51K_2', 47427),
(103702, 'PS00932', NULL, 'Prokaryotic molybdopterin oxidoreductases signature 3.', NULL, NULL, 'MOLYBDOPTERIN_PROK_3', 47428),
(103703, 'PS00635', NULL, 'Gram-negative pili assembly chaperone signature.', NULL, NULL, 'PILI_CHAPERONE', 47429),
(103704, 'PS00707', NULL, 'Glycosyl hydrolases family 31 signature 2.', NULL, NULL, 'GLYCOSYL_HYDROL_F31_2', 47430),
(103705, 'PS00062', NULL, 'Aldo/keto reductase family signature 2.', NULL, NULL, 'ALDOKETO_REDUCTASE_2', 47431),
(103706, 'PS00327', NULL, 'Bacterial rhodopsins retinal binding site.', NULL, NULL, 'BACTERIAL_OPSIN_RET', 47432);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(103707, 'PS01084', NULL, 'DNA photolyases class 2 signature 2.', NULL, NULL, 'DNA_PHOTOLYASES_2_2', 47433),
(103708, 'PS00754', NULL, 'Sodium:neurotransmitter symporter family signature 2.', NULL, NULL, 'NA_NEUROTRAN_SYMP_2', 47434),
(103709, 'PS00831', NULL, 'Ribosomal protein L27 signature.', NULL, NULL, 'RIBOSOMAL_L27', 47435),
(103710, 'PS01255', NULL, 'Fetuin family signature 2.', NULL, NULL, 'FETUIN_2', 47436),
(103711, 'PS00436', NULL, 'Peroxidases active site signature.', NULL, NULL, 'PEROXIDASE_2', 47437),
(103712, 'PS00500', NULL, 'Thymosin beta-4 family signature.', NULL, NULL, 'THYMOSIN_B4', 47438),
(103713, 'PS01008', NULL, 'DnaA protein signature.', NULL, NULL, 'DNAA', 47439),
(103714, 'PS01007', NULL, 'Transposases, Mutator family, signature.', NULL, NULL, 'TRANSPOSASE_MUTATOR', 47440),
(103715, 'PS00194', NULL, 'Thioredoxin family active site.', NULL, NULL, 'THIOREDOXIN_1', 47441),
(103716, 'PS00434', NULL, 'HSF-type DNA-binding domain signature.', NULL, NULL, 'HSF_DOMAIN', 47442),
(103717, 'PS00523', NULL, 'Sulfatases signature 1.', NULL, NULL, 'SULFATASE_1', 47443),
(103718, 'PS00381', NULL, 'Endopeptidase Clp serine active site.', NULL, NULL, 'CLP_PROTEASE_SER', 47444),
(103719, 'PS00655', NULL, 'Glycosyl hydrolases family 6 signature 1.', NULL, NULL, 'GLYCOSYL_HYDROL_F6_1', 47445),
(103720, 'PS00283', NULL, 'Soybean trypsin inhibitor (Kunitz) protease inhibitors family signature.', NULL, NULL, 'SOYBEAN_KUNITZ', 47446),
(103721, 'PS00063', NULL, 'Aldo/keto reductase family putative active site signature.', NULL, NULL, 'ALDOKETO_REDUCTASE_3', 47447),
(103722, 'PS00088', NULL, 'Manganese and iron superoxide dismutases signature.', NULL, NULL, 'SOD_MN', 47448),
(103723, 'PS00086', NULL, 'Cytochrome P450 cysteine heme-iron ligand signature.', NULL, NULL, 'CYTOCHROME_P450', 47449),
(103724, 'PS00570', NULL, 'Bacterial ring hydroxylating dioxygenases alpha-subunit signature.', NULL, NULL, 'RING_HYDROXYL_ALPHA', 47450),
(103725, 'PS00847', NULL, 'MCM family signature.', NULL, NULL, 'MCM_1', 47451),
(103726, 'PS00692', NULL, 'NifH/frxC family signature 2.', NULL, NULL, 'NIFH_FRXC_2', 47452),
(103727, 'PS01017', NULL, 'Sterol reductase family signature 1.', NULL, NULL, 'STEROL_REDUCT_1', 47453),
(103728, 'PS01127', NULL, 'Elongation factor Ts signature 2.', NULL, NULL, 'EF_TS_2', 47454),
(103729, 'PS00902', NULL, 'Glutamate 5-kinase signature.', NULL, NULL, 'GLUTAMATE_5_KINASE', 47455),
(103730, 'PS00475', NULL, 'Ribosomal protein L15 signature.', NULL, NULL, 'RIBOSOMAL_L15', 47456),
(103731, 'PS01250', NULL, 'Arthropod CHH/MIH/GIH neurohormones family signature.', NULL, NULL, 'CHH_MIH_GIH', 47457),
(103732, 'PS00415', NULL, 'Synapsins signature 1.', NULL, NULL, 'SYNAPSIN_1', 47458),
(103733, 'PS01089', NULL, 'CAP protein signature 2.', NULL, NULL, 'CAP_2', 47459),
(103734, 'PS01190', NULL, 'Ribosomal protein L36e signature.', NULL, NULL, 'RIBOSOMAL_L36E', 47460),
(103735, 'PS01073', NULL, 'Ribosomal protein L24e signature.', NULL, NULL, 'RIBOSOMAL_L24E', 47461),
(103736, 'PS00669', NULL, 'Gas vesicles protein GVPa signature 2.', NULL, NULL, 'GAS_VESICLE_A_2', 47462),
(103737, 'PS00432', NULL, 'Actins signature 2.', NULL, NULL, 'ACTINS_2', 47463),
(103738, 'PS00582', NULL, 'Ribosomal protein L33 signature.', NULL, NULL, 'RIBOSOMAL_L33', 47464),
(103739, 'PS00763', NULL, 'Glutathione peroxidases signature 2.', NULL, NULL, 'GLUTATHIONE_PEROXID_2', 47465),
(103740, 'PS00723', NULL, 'Polyprenyl synthases signature 1.', NULL, NULL, 'POLYPRENYL_SYNTHASE_1', 47466),
(103741, 'PS01103', NULL, 'Aspartate-semialdehyde dehydrogenase signature.', NULL, NULL, 'ASD', 47467),
(103742, 'PS01272', NULL, 'Glucokinase regulatory protein family signature.', NULL, NULL, 'GCKR', 47468),
(103743, 'PS00468', NULL, 'Eukaryotic cobalamin-binding proteins signature.', NULL, NULL, 'COBALAMIN_BINDING', 47469),
(103744, 'PS00314', NULL, 'Bacterial ice-nucleation proteins octamer repeat.', NULL, NULL, 'ICE_NUCLEATION', 47470),
(103745, 'PS01351', NULL, 'MAP kinase signature.', NULL, NULL, 'MAPK', 47471),
(103746, 'PS01219', NULL, 'Ammonium transporters signature.', NULL, NULL, 'AMMONIUM_TRANSP', 47472);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(103747, 'PS00537', NULL, 'Cytochrome b559 subunits heme-binding site signature.', NULL, NULL, 'CYTOCHROME_B559', 47473),
(103748, 'PS00024', NULL, 'Hemopexin domain signature.', NULL, NULL, 'HEMOPEXIN', 47474),
(103749, 'PS01281', NULL, 'Glucose inhibited division protein A family signature 2.', NULL, NULL, 'GIDA_2', 47475),
(103750, 'PS00430', NULL, 'TonB-dependent receptor proteins signature 1.', NULL, NULL, 'TONB_DEPENDENT_REC_1', 47476),
(103751, 'PS00574', NULL, 'Fatty acid desaturases family 2 signature.', NULL, NULL, 'FATTY_ACID_DESATUR_2', 47477),
(103752, 'PS00699', NULL, 'Nitrogenases component 1 alpha and beta subunits signature 1.', NULL, NULL, 'NITROGENASE_1_1', 47478),
(103753, 'PS01012', NULL, 'Folylpolyglutamate synthase signature 2.', NULL, NULL, 'FOLYLPOLYGLU_SYNT_2', 47479),
(103754, 'PS01284', NULL, 'Thermonuclease family signature 2.', NULL, NULL, 'TNASE_2', 47480),
(103755, 'PS01361', NULL, 'Zinc finger Dof-type signature.', NULL, NULL, 'ZF_DOF_1', 47481),
(103756, 'PS00901', NULL, 'Cysteine synthase/cystathionine beta-synthase P-phosphate attachment site.', NULL, NULL, 'CYS_SYNTHASE', 47482),
(103757, 'PS00250', NULL, 'TGF-beta family signature.', NULL, NULL, 'TGF_BETA_1', 47483),
(103758, 'PS00085', NULL, 'Copper type II, ascorbate-dependent monooxygenases signature 2.', NULL, NULL, 'CU2_MONOOXYGENASE_2', 47484),
(103759, 'PS00766', NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase signature 1.', NULL, NULL, 'THF_DHG_CYH_1', 47485),
(103760, 'PS01136', NULL, 'Uncharacterized protein family UPF0034 signature.', NULL, NULL, 'UPF0034', 47486),
(103761, 'PS00530', NULL, 'Ribonuclease T2 family histidine active site 1.', NULL, NULL, 'RNASE_T2_1', 47487),
(103762, 'PS00983', NULL, 'Ly-6 / u-PAR domain signature.', NULL, NULL, 'LY6_UPAR', 47488),
(103763, 'PS00096', NULL, 'Serine hydroxymethyltransferase pyridoxal-phosphate attachment site.', NULL, NULL, 'SHMT', 47489),
(103764, 'PS00573', NULL, 'Pyridine nucleotide-disulphide oxidoreductases class-II active site.', NULL, NULL, 'PYRIDINE_REDOX_2', 47490),
(103765, 'PS00661', NULL, 'FERM domain signature 2.', NULL, NULL, 'FERM_2', 47491),
(103766, 'PS00839', NULL, 'Uroporphyrin-III C-methyltransferase signature 1.', NULL, NULL, 'SUMT_1', 47492),
(103767, 'PS00447', NULL, 'DNA polymerase family A signature.', NULL, NULL, 'DNA_POLYMERASE_A', 47493),
(103768, 'PS01315', NULL, 'Phosphatidate cytidylyltransferase signature.', NULL, NULL, 'CDS', 47494),
(103769, 'PS01328', NULL, '4-hydroxybenzoyl-CoA thioesterase family active site.', NULL, NULL, '4HBCOA_THIOESTERASE', 47495),
(103770, 'PS01107', NULL, 'Ribosomal protein L27e signature.', NULL, NULL, 'RIBOSOMAL_L27E', 47496),
(103771, 'PS00072', NULL, 'Acyl-CoA dehydrogenases signature 1.', NULL, NULL, 'ACYL_COA_DH_1', 47497),
(103772, 'PS00931', NULL, 'Cutinase, aspartate and histidine active sites.', NULL, NULL, 'CUTINASE_2', 47498),
(103773, 'PS00941', NULL, 'Carboxylesterases type-B signature 2.', NULL, NULL, 'CARBOXYLESTERASE_B_2', 47499),
(103774, 'PS00284', NULL, 'Serpins signature.', NULL, NULL, 'SERPIN', 47500),
(103775, 'PS00020', NULL, 'Actinin-type actin-binding domain signature 2.', NULL, NULL, 'ACTININ_2', 47501),
(103776, 'PS00922', NULL, 'Prokaryotic transglycosylases signature.', NULL, NULL, 'TRANSGLYCOSYLASE', 47502),
(103777, 'PS01209', NULL, 'LDL-receptor class A (LDLRA) domain signature.', NULL, NULL, 'LDLRA_1', 47503),
(103778, 'PS00796', NULL, '14-3-3 proteins signature 1.', NULL, NULL, '1433_1', 47504),
(103779, 'PS60009', NULL, 'Cyclotides Moebius subfamily signature.', NULL, NULL, 'CYCLOTIDE_MOEBIUS', 47505),
(103780, 'PS00926', NULL, 'Lysyl oxidase putative copper-binding region signature.', NULL, NULL, 'LYSYL_OXIDASE', 47506),
(103781, 'PS01218', NULL, 'TatC family signature.', NULL, NULL, 'TATC', 47507),
(103782, 'PS01265', NULL, 'Tpx family signature.', NULL, NULL, 'TPX', 47508),
(103783, 'PS00866', NULL, 'Carbamoyl-phosphate synthase subdomain signature 1.', NULL, NULL, 'CPSASE_1', 47509),
(103784, 'PS00350', NULL, 'MADS-box domain signature.', NULL, NULL, 'MADS_BOX_1', 47510);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(103785, 'PS00990', NULL, 'Clathrin adaptor complexes medium chain signature 1.', NULL, NULL, 'CLAT_ADAPTOR_M_1', 47511),
(103786, 'PS01348', NULL, 'MraY family signature 2.', NULL, NULL, 'MRAY_2', 47512),
(103787, 'PS00446', NULL, 'RNA polymerases D / 30 to 40 Kd subunits signature.', NULL, NULL, 'RNA_POL_D_30KD', 47513),
(103788, 'PS00908', NULL, 'Mandelate racemase / muconate lactonizing enzyme family signature 1.', NULL, NULL, 'MR_MLE_1', 47514),
(103789, 'PS60014', NULL, 'Alpha-conotoxin family signature.', NULL, NULL, 'ALPHA_CONOTOXIN', 47515),
(103790, 'PS00022', NULL, 'EGF-like domain signature 1.', NULL, NULL, 'EGF_1', 47516),
(103791, 'PS00344', NULL, 'GATA-type zinc finger domain.', NULL, NULL, 'GATA_ZN_FINGER_1', 47517),
(103792, 'PS00109', NULL, 'Tyrosine protein kinases specific active-site signature.', NULL, NULL, 'PROTEIN_KINASE_TYR', 47518),
(103793, 'PS00051', NULL, 'Ribosomal protein L39e signature.', NULL, NULL, 'RIBOSOMAL_L39E', 47519),
(103794, 'PS01337', NULL, 'Ornithine decarboxylase antizyme signature.', NULL, NULL, 'ODC_AZ', 47520),
(103795, 'PS00449', NULL, 'ATP synthase a subunit signature.', NULL, NULL, 'ATPASE_A', 47521),
(103796, 'PS00157', NULL, 'Ribulose bisphosphate carboxylase large chain active site.', NULL, NULL, 'RUBISCO_LARGE', 47522),
(103797, 'PS00197', NULL, '2Fe-2S ferredoxin-type iron-sulfur binding region signature.', NULL, NULL, '2FE2S_FER_1', 47523),
(103798, 'PS00899', NULL, 'Ependymins signature 2.', NULL, NULL, 'EPENDYMIN_2', 47524),
(103799, 'PS01159', NULL, 'WW/rsp5/WWP domain signature.', NULL, NULL, 'WW_DOMAIN_1', 47525),
(103800, 'PS00308', NULL, 'Legume lectins alpha-chain signature.', NULL, NULL, 'LECTIN_LEGUME_ALPHA', 47526),
(103801, 'PS00188', NULL, 'Biotin-requiring enzymes attachment site.', NULL, NULL, 'BIOTIN', 47527),
(103802, 'PS60024', NULL, 'Agouti domain signature.', NULL, NULL, 'AGOUTI_1', 47528),
(103803, 'PS60025', NULL, 'Conantokin family signature.', NULL, NULL, 'CONANTOKIN', 47529),
(103804, 'PS00134', NULL, 'Serine proteases, trypsin family, histidine active site.', NULL, NULL, 'TRYPSIN_HIS', 47530),
(103805, 'PS00505', NULL, 'Phosphoenolpyruvate carboxykinase (GTP) signature.', NULL, NULL, 'PEPCK_GTP', 47531),
(103806, 'PS00332', NULL, 'Copper/Zinc superoxide dismutase signature 2.', NULL, NULL, 'SOD_CU_ZN_2', 47532),
(103807, 'PS00938', NULL, 'Initiation factor 3 signature.', NULL, NULL, 'IF3', 47533),
(103808, 'PS01228', NULL, 'Hypothetical cof family signature 1.', NULL, NULL, 'COF_1', 47534),
(103809, 'PS00411', NULL, 'Kinesin motor domain signature.', NULL, NULL, 'KINESIN_MOTOR_1', 47535),
(103810, 'PS00629', NULL, 'Inositol monophosphatase family signature 1.', NULL, NULL, 'IMP_1', 47536),
(103811, 'PS01260', NULL, 'Apoptosis regulator, Bcl-2 family BH4 motif signature.', NULL, NULL, 'BH4_1', 47537),
(103812, 'PS00744', NULL, 'Beta-lactamases class B signature 2.', NULL, NULL, 'BETA_LACTAMASE_B_2', 47538),
(103813, 'PS01024', NULL, 'Protein phosphatase 2A regulatory subunit PR55 signature 1.', NULL, NULL, 'PR55_1', 47539),
(103814, 'PS01169', NULL, 'Ribosomal protein L21 signature.', NULL, NULL, 'RIBOSOMAL_L21', 47540),
(103815, 'PS01325', NULL, 'Lysyl hydroxylase signature.', NULL, NULL, 'LYS_HYDROXYLASE', 47541),
(103816, 'PS00276', NULL, 'Channel forming colicins signature.', NULL, NULL, 'CHANNEL_COLICIN', 47542),
(103817, 'PS00288', NULL, 'Tissue inhibitors of metalloproteinases signature.', NULL, NULL, 'TIMP', 47543),
(103818, 'PS00124', NULL, 'Fructose-1-6-bisphosphatase active site.', NULL, NULL, 'FBPASE', 47544),
(103819, 'PS00879', NULL, 'Orn/DAP/Arg decarboxylases family 2 signature 2.', NULL, NULL, 'ODR_DC_2_2', 47545),
(103820, 'PS01117', NULL, 'MarR-type HTH domain signature.', NULL, NULL, 'HTH_MARR_1', 47546),
(103821, 'PS00513', NULL, 'Adenylosuccinate synthetase active site.', NULL, NULL, 'ADENYLOSUCCIN_SYN_2', 47547),
(103822, 'PS00965', NULL, 'Phosphomannose isomerase type I signature 1.', NULL, NULL, 'PMI_I_1', 47548),
(103823, 'PS01353', NULL, 'Long hematopoietin receptor, gp130 family signature.', NULL, NULL, 'HEMATOPO_REC_L_F2', 47549);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(103824, 'PS01145', NULL, 'Ribosomal protein L34e signature.', NULL, NULL, 'RIBOSOMAL_L34E', 47550),
(103825, 'PS00211', NULL, 'ABC transporters family signature.', NULL, NULL, 'ABC_TRANSPORTER_1', 47551),
(103826, 'PS00182', NULL, 'Glutamine synthetase class-I adenylation site.', NULL, NULL, 'GLNA_ADENYLATION', 47552),
(103827, 'PS00622', NULL, 'LuxR-type HTH domain signature.', NULL, NULL, 'HTH_LUXR_1', 47553),
(103828, 'PS00880', NULL, 'Acyl-CoA-binding (ACB) domain signature.', NULL, NULL, 'ACB_1', 47554),
(103829, 'PS00253', NULL, 'Interleukin-1 signature.', NULL, NULL, 'INTERLEUKIN_1', 47555),
(103830, 'PS00968', NULL, 'Antenna complexes alpha subunits signature.', NULL, NULL, 'ANTENNA_COMP_ALPHA', 47556),
(103831, 'PS01076', NULL, 'Acetate and butyrate kinases family signature 2.', NULL, NULL, 'ACETATE_KINASE_2', 47557),
(103832, 'PS00801', NULL, 'Transketolase signature 1.', NULL, NULL, 'TRANSKETOLASE_1', 47558),
(103833, 'PS00830', NULL, 'Prokaryotic transcription elongation factors signature 2.', NULL, NULL, 'GREAB_2', 47559),
(103834, 'PS00296', NULL, 'Chaperonins cpn60 signature.', NULL, NULL, 'CHAPERONINS_CPN60', 47560),
(103835, 'PS00095', NULL, 'C-5 cytosine-specific DNA methylases C-terminal signature.', NULL, NULL, 'C5_MTASE_2', 47561),
(103836, 'PS00663', NULL, 'Vinculin family talin-binding region signature.', NULL, NULL, 'VINCULIN_1', 47562),
(103837, 'PS00755', NULL, 'Protein secY signature 1.', NULL, NULL, 'SECY_1', 47563),
(103838, 'PS00462', NULL, 'Gamma-glutamyltranspeptidase signature.', NULL, NULL, 'G_GLU_TRANSPEPTIDASE', 47564),
(103839, 'PS00113', NULL, 'Adenylate kinase signature.', NULL, NULL, 'ADENYLATE_KINASE', 47565),
(103840, 'PS01037', NULL, 'Bacterial extracellular solute-binding proteins, family 1 signature.', NULL, NULL, 'SBP_BACTERIAL_1', 47566),
(103841, 'PS01083', NULL, 'DNA photolyases class 2 signature 1.', NULL, NULL, 'DNA_PHOTOLYASES_2_1', 47567),
(103842, 'PS00138', NULL, 'Serine proteases, subtilase family, serine active site.', NULL, NULL, 'SUBTILASE_SER', 47568),
(103843, 'PS00774', NULL, 'Chitinases family 19 signature 2.', NULL, NULL, 'CHITINASE_19_2', 47569),
(103844, 'PS00528', NULL, 'Ribosomal protein S4e signature.', NULL, NULL, 'RIBOSOMAL_S4E', 47570),
(103845, 'PS00479', NULL, 'Zinc finger phorbol-ester/DAG-type signature.', NULL, NULL, 'ZF_DAG_PE_1', 47571),
(103846, 'PS01244', NULL, 'Aconitase family signature 2.', NULL, NULL, 'ACONITASE_2', 47572),
(103847, 'PS01268', NULL, 'Uncharacterized protein family UPF0024 signature.', NULL, NULL, 'UPF0024', 47573),
(103848, 'PS01010', NULL, 'CRISP family signature 2.', NULL, NULL, 'CRISP_2', 47574),
(103849, 'PS00181', NULL, 'Glutamine synthetase putative ATP-binding region signature.', NULL, NULL, 'GLNA_ATP', 47575),
(103850, 'PS00178', NULL, 'Aminoacyl-transfer RNA synthetases class-I signature.', NULL, NULL, 'AA_TRNA_LIGASE_I', 47576),
(103851, 'PS01133', NULL, 'Uncharacterized protein family UPF0017 signature.', NULL, NULL, 'UPF0017', 47577),
(103852, 'PS00286', NULL, 'Squash family of serine protease inhibitors signature.', NULL, NULL, 'SQUASH_INHIBITOR', 47578),
(103853, 'PS00383', NULL, 'Tyrosine specific protein phosphatases active site.', NULL, NULL, 'TYR_PHOSPHATASE_1', 47579),
(103854, 'PS00688', NULL, 'Sigma-54 interaction domain C-terminal part signature.', NULL, NULL, 'SIGMA54_INTERACT_3', 47580),
(103855, 'PS00789', NULL, 'Chorismate synthase signature 3.', NULL, NULL, 'CHORISMATE_SYNTHASE_3', 47581),
(103856, 'PS00607', NULL, 'cAMP phosphodiesterases class-II signature.', NULL, NULL, 'PDEASE_II', 47582),
(103857, 'PS00270', NULL, 'Endothelin family signature.', NULL, NULL, 'ENDOTHELIN', 47583),
(103858, 'PS00352', NULL, 'Cold-shock (CSD) domain signature.', NULL, NULL, 'CSD_1', 47584),
(103859, 'PS01177', NULL, 'Anaphylatoxin domain signature.', NULL, NULL, 'ANAPHYLATOXIN_1', 47585),
(103860, 'PS00719', NULL, 'Glycosyl hydrolases family 2 signature 1.', NULL, NULL, 'GLYCOSYL_HYDROL_F2_1', 47586),
(103861, 'PS01318', NULL, 'TsaA-like domain signature.', NULL, NULL, 'TSAA_1', 47587);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(103862, 'PS00397', NULL, 'Site-specific recombinases active site.', NULL, NULL, 'RECOMBINASES_1', 47588),
(103863, 'PS01151', NULL, 'Fimbrial biogenesis outer membrane usher protein signature.', NULL, NULL, 'FIMBRIAL_USHER', 47589),
(103864, 'PS00614', NULL, 'Indole-3-glycerol phosphate synthase signature.', NULL, NULL, 'IGPS', 47590),
(103865, 'PS00420', NULL, 'SRCR domain signature.', NULL, NULL, 'SRCR_1', 47591),
(103866, 'PS00828', NULL, 'Ribosomal protein L36 signature.', NULL, NULL, 'RIBOSOMAL_L36', 47592),
(103867, 'PS00007', NULL, 'Tyrosine kinase phosphorylation site 1.', NULL, NULL, 'TYR_PHOSPHO_SITE_1', 47593),
(103868, 'PS00826', NULL, 'MARCKS family signature 1.', NULL, NULL, 'MARCKS_1', 47594),
(103869, 'PS00473', NULL, 'Gonadotropin-releasing hormones signature.', NULL, NULL, 'GNRH', 47595),
(103870, 'PS01022', NULL, 'PTR2 family proton/oligopeptide symporters signature 1.', NULL, NULL, 'PTR2_1', 47596),
(103871, 'PS01307', NULL, 'Flagellar motor protein motA family signature.', NULL, NULL, 'MOTA', 47597),
(103872, 'PS00613', NULL, 'Osteonectin domain signature 2.', NULL, NULL, 'OSTEONECTIN_2', 47598),
(103873, 'PS01066', NULL, 'Undecaprenyl pyrophosphate synthase family signature.', NULL, NULL, 'UPP_SYNTHASE', 47599),
(103874, 'PS00476', NULL, 'Fatty acid desaturases family 1 signature.', NULL, NULL, 'FATTY_ACID_DESATUR_1', 47600),
(103875, 'PS00364', NULL, 'Bacterial quinoprotein dehydrogenases signature 2.', NULL, NULL, 'BACTERIAL_PQQ_2', 47601),
(103876, 'PS00844', NULL, 'D-alanine--D-alanine ligase signature 2.', NULL, NULL, 'DALA_DALA_LIGASE_2', 47602),
(103877, 'PS01132', NULL, 'Actins and actin-related proteins signature.', NULL, NULL, 'ACTINS_ACT_LIKE', 47603),
(103878, 'PS00498', NULL, 'Tyrosinase and hemocyanins CuB-binding region signature.', NULL, NULL, 'TYROSINASE_2', 47604),
(103879, 'PS60003', NULL, 'Phosphoketolase signature 2.', NULL, NULL, 'PHOSPHOKETOLASE_2', 47605),
(103880, 'PS00724', NULL, 'Stress-induced proteins SRP1/TIP1 family signature.', NULL, NULL, 'SRP1_TIP1', 47606),
(103881, 'PS00737', NULL, 'Thiolases signature 2.', NULL, NULL, 'THIOLASE_2', 47607),
(103882, 'PS00783', NULL, 'Ribosomal protein L13 signature.', NULL, NULL, 'RIBOSOMAL_L13', 47608),
(103883, 'PS01193', NULL, 'Ribosomal protein S8e signature.', NULL, NULL, 'RIBOSOMAL_S8E', 47609),
(103884, 'PS01096', NULL, 'PpiC-type peptidyl-prolyl cis-trans isomerase signature.', NULL, NULL, 'PPIC_PPIASE_1', 47610),
(103885, 'PS01357', NULL, 'Zinc finger ZZ-type signature.', NULL, NULL, 'ZF_ZZ_1', 47611),
(103886, 'PS00628', NULL, 'Ribosomal protein S19e signature.', NULL, NULL, 'RIBOSOMAL_S19E', 47612),
(103887, 'PS00994', NULL, 'Bacterial export FHIPEP family signature.', NULL, NULL, 'FHIPEP', 47613),
(103888, 'PS01111', NULL, 'RNA polymerases K / 14 to 18 Kd subunits signature.', NULL, NULL, 'RNA_POL_K_14KD', 47614),
(103889, 'PS00264', NULL, 'Neurohypophysial hormones signature.', NULL, NULL, 'NEUROHYPOPHYS_HORM', 47615),
(103890, 'PS00111', NULL, 'Phosphoglycerate kinase signature.', NULL, NULL, 'PGLYCERATE_KINASE', 47616),
(103891, 'PS00884', NULL, 'Osteopontin signature.', NULL, NULL, 'OSTEOPONTIN', 47617),
(103892, 'PS01050', NULL, 'YjeF C-terminal domain signature 2.', NULL, NULL, 'YJEF_C_2', 47618),
(103893, 'PS00373', NULL, 'Phosphoribosylglycinamide formyltransferase active site.', NULL, NULL, 'GART', 47619),
(103894, 'PS00720', NULL, 'Ras Guanine-nucleotide exchange factors domain signature.', NULL, NULL, 'RASGEF', 47620),
(103895, 'PS01068', NULL, 'OmpA-like domain.', NULL, NULL, 'OMPA_1', 47621),
(103896, 'PS01274', NULL, 'Coenzyme A transferases signature 2.', NULL, NULL, 'COA_TRANSF_2', 47622),
(103897, 'PS01162', NULL, 'Quinone oxidoreductase / zeta-crystallin signature.', NULL, NULL, 'QOR_ZETA_CRYSTAL', 47623),
(103898, 'PS00212', NULL, 'Albumin domain signature.', NULL, NULL, 'ALBUMIN_1', 47624),
(103899, 'PS00067', NULL, '3-hydroxyacyl-CoA dehydrogenase signature.', NULL, NULL, '3HCDH', 47625),
(103900, 'PS00408', NULL, 'Connexins signature 2.', NULL, NULL, 'CONNEXINS_2', 47626);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(103901, 'PS01102', NULL, 'Prokaryotic dksA C4-type zinc finger.', NULL, NULL, 'ZF_DKSA_1', 47627),
(103902, 'PS00871', NULL, 'Chaperonins clpA/B signature 2.', NULL, NULL, 'CLPAB_2', 47628),
(103903, 'PS01098', NULL, 'Lipolytic enzymes "G-D-S-L" family, serine active site.', NULL, NULL, 'LIPASE_GDSL_SER', 47629),
(103904, 'PS01298', NULL, 'Dihydrodipicolinate reductase signature.', NULL, NULL, 'DAPB', 47630),
(103905, 'PS60001', NULL, 'Nitric oxide synthase (NOS) signature.', NULL, NULL, 'NOS', 47631),
(103906, 'PS01032', NULL, 'PPM-type phosphatase domain signature.', NULL, NULL, 'PPM_1', 47632),
(103907, 'PS00540', NULL, 'Ferritin iron-binding regions signature 1.', NULL, NULL, 'FERRITIN_1', 47633),
(103908, 'PS00976', NULL, 'Myristoyl-CoA:protein N-myristoyltransferase signature 2.', NULL, NULL, 'NMT_2', 47634),
(103909, 'PS00041', NULL, 'Bacterial regulatory proteins, araC family signature.', NULL, NULL, 'HTH_ARAC_FAMILY_1', 47635),
(103910, 'PS01191', NULL, 'Ribosomal protein S3Ae signature.', NULL, NULL, 'RIBOSOMAL_S3AE', 47636),
(103911, 'PS60018', NULL, 'Delta-atracotoxin (ACTX) family signature.', NULL, NULL, 'DELTA_ACTX', 47637),
(103912, 'PS00117', NULL, 'Galactose-1-phosphate uridyl transferase family 1 active site signature.', NULL, NULL, 'GAL_P_UDP_TRANSF_I', 47638),
(103913, 'PS00229', NULL, 'Tau and MAP proteins tubulin-binding repeat signature.', NULL, NULL, 'TAU_MAP_1', 47639),
(103914, 'PS00477', NULL, 'Alpha-2-macroglobulin family thiolester region signature.', NULL, NULL, 'ALPHA_2_MACROGLOBULIN', 47640),
(103915, 'PS00738', NULL, 'S-adenosyl-L-homocysteine hydrolase signature 1.', NULL, NULL, 'ADOHCYASE_1', 47641),
(103916, 'PS01200', NULL, 'Tub family signature 1.', NULL, NULL, 'TUB_1', 47642),
(103917, 'PS00287', NULL, 'Cysteine proteases inhibitors signature.', NULL, NULL, 'CYSTATIN', 47643),
(103918, 'PS00690', NULL, 'DEAH-box subfamily ATP-dependent helicases signature.', NULL, NULL, 'DEAH_ATP_HELICASE', 47644),
(103919, 'PS00727', NULL, 'AP endonucleases family 1 signature 2.', NULL, NULL, 'AP_NUCLEASE_F1_2', 47645),
(103920, 'PS00963', NULL, 'Ribosomal protein S2 signature 2.', NULL, NULL, 'RIBOSOMAL_S2_2', 47646),
(103921, 'PS01223', NULL, 'Gamma-glutamyl phosphate reductase signature.', NULL, NULL, 'PROA', 47647),
(103922, 'PS00638', NULL, 'P-II protein C-terminal region signature.', NULL, NULL, 'PII_GLNB_CTER', 47648),
(103923, 'PS00798', NULL, 'Aldo/keto reductase family signature 1.', NULL, NULL, 'ALDOKETO_REDUCTASE_1', 47649),
(103924, 'PS00652', NULL, 'TNFR/NGFR family cysteine-rich region signature.', NULL, NULL, 'TNFR_NGFR_1', 47650),
(103925, 'PS00643', NULL, 'Respiratory-chain NADH dehydrogenase 75 Kd subunit signature 3.', NULL, NULL, 'COMPLEX1_75K_3', 47651),
(103926, 'PS01123', NULL, 'Thermonuclease family signature 1.', NULL, NULL, 'TNASE_1', 47652),
(103927, 'PS00230', NULL, 'Neuraxin and MAP1B proteins repeated region signature.', NULL, NULL, 'MAP1B_NEURAXIN', 47653),
(103928, 'PS01227', NULL, 'Uncharacterized protein family UPF0012 signature.', NULL, NULL, 'UPF0012', 47654),
(103929, 'PS00560', NULL, 'Serine carboxypeptidases, histidine active site.', NULL, NULL, 'CARBOXYPEPT_SER_HIS', 47655),
(103930, 'PS00733', NULL, 'Ribosomal protein S26e signature.', NULL, NULL, 'RIBOSOMAL_S26E', 47656),
(103931, 'PS00492', NULL, 'Clusterin signature 1.', NULL, NULL, 'CLUSTERIN_1', 47657),
(103932, 'PS01184', NULL, 'ubiE/COQ5 methyltransferase family signature 2.', NULL, NULL, 'UBIE_2', 47658),
(103933, 'PS00242', NULL, 'Integrins alpha chain signature.', NULL, NULL, 'INTEGRIN_ALPHA', 47659),
(103934, 'PS00004', NULL, 'cAMP- and cGMP-dependent protein kinase phosphorylation site.', NULL, NULL, 'CAMP_PHOSPHO_SITE', 47660),
(103935, 'PS00841', NULL, 'XPG protein signature 1.', NULL, NULL, 'XPG_1', 47661),
(103936, 'PS00906', NULL, 'Uroporphyrinogen decarboxylase signature 1.', NULL, NULL, 'UROD_1', 47662),
(103937, 'PS00791', NULL, 'Receptor tyrosine kinase class V signature 2.', NULL, NULL, 'RECEPTOR_TYR_KIN_V_2', 47663),
(103938, 'PS00036', NULL, 'Basic-leucine zipper (bZIP) domain signature.', NULL, NULL, 'BZIP_BASIC', 47664); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(103939, 'PS00313', NULL, 'Seminal vesicle protein I repeats signature.', NULL, NULL, 'SVP_I', 47665),
(103940, 'PS00218', NULL, 'Amino acid permeases signature.', NULL, NULL, 'AMINO_ACID_PERMEASE_1', 47666),
(103941, 'PS00838', NULL, 'Interleukins -4 and -13 signature.', NULL, NULL, 'INTERLEUKIN_4_13', 47667),
(103942, 'PS00581', NULL, 'Clathrin light chain signature 2.', NULL, NULL, 'CLATHRIN_LIGHT_CHN_2', 47668),
(103943, 'PS00969', NULL, 'Antenna complexes beta subunits signature.', NULL, NULL, 'ANTENNA_COMP_BETA', 47669),
(103944, 'PS01092', NULL, 'Adenylate cyclase class-I signature 1.', NULL, NULL, 'ADENYLATE_CYCLASE_1_1', 47670),
(103945, 'PS00769', NULL, 'Transthyretin signature 2.', NULL, NULL, 'TRANSTHYRETIN_2', 47671),
(103946, 'PS00311', NULL, 'LAMP glycoproteins transmembrane and cytoplasmic domain signature.', NULL, NULL, 'LAMP_2', 47672),
(103947, 'PS00554', NULL, 'TEA domain signature.', NULL, NULL, 'TEA_1', 47673),
(103948, 'PS01356', NULL, 'Short hematopoietin receptor family 2 signature.', NULL, NULL, 'HEMATOPO_REC_S_F2', 47674),
(103949, 'PS00942', NULL, 'glpT family of transporters signature.', NULL, NULL, 'GLPT', 47675),
(103950, 'PS00244', NULL, 'Photosynthetic reaction center proteins signature.', NULL, NULL, 'REACTION_CENTER', 47676),
(103951, 'PS00512', NULL, 'Alpha-galactosidase signature.', NULL, NULL, 'ALPHA_GALACTOSIDASE', 47677),
(103952, 'PS01129', NULL, 'Rlu family of pseudouridine synthase signature.', NULL, NULL, 'PSI_RLU', 47678),
(103953, 'PS00292', NULL, 'Cyclins signature.', NULL, NULL, 'CYCLINS', 47679),
(103954, 'PS00410', NULL, 'Dynamin-type guanine nucleotide-binding (G) domain signature.', NULL, NULL, 'G_DYNAMIN_1', 47680),
(103955, 'PS00768', NULL, 'Transthyretin signature 1.', NULL, NULL, 'TRANSTHYRETIN_1', 47681),
(103956, 'PS01283', NULL, 'T-box domain signature 1.', NULL, NULL, 'TBOX_1', 47682),
(103957, 'PS00534', NULL, 'Ferrochelatase signature.', NULL, NULL, 'FERROCHELATASE', 47683),
(103958, 'PS00535', NULL, 'Respiratory chain NADH dehydrogenase 49 Kd subunit signature.', NULL, NULL, 'COMPLEX1_49K', 47684),
(103959, 'PS01305', NULL, 'moaA / nifB / pqqE family signature.', NULL, NULL, 'MOAA_NIFB_PQQE', 47685),
(103960, 'PS00456', NULL, 'Sodium:solute symporter family signature 1.', NULL, NULL, 'NA_SOLUT_SYMP_1', 47686),
(103961, 'PS00948', NULL, 'Ribosomal protein S7e signature.', NULL, NULL, 'RIBOSOMAL_S7E', 47687),
(103962, 'PS01002', NULL, 'Translationally controlled tumor protein (TCTP) domain signature 1.', NULL, NULL, 'TCTP_1', 47688),
(103963, 'PS01273', NULL, 'Coenzyme A transferases signature 1.', NULL, NULL, 'COA_TRANSF_1', 47689),
(103964, 'PS00282', NULL, 'Kazal serine protease inhibitors family signature.', NULL, NULL, 'KAZAL_1', 47690),
(103965, 'PS00592', NULL, 'Glycosyl hydrolases family 9 (GH9) active site signature 2.', NULL, NULL, 'GH9_2', 47691),
(103966, 'PS00883', NULL, 'Nickel-dependent hydrogenases b-type cytochrome subunit signature 2.', NULL, NULL, 'NI_HGENASE_CYTB_2', 47692),
(103967, 'PS00549', NULL, 'Bacterioferritin signature.', NULL, NULL, 'BACTERIOFERRITIN', 47693),
(103968, 'PS60030', NULL, 'Bacteriocin class IIa family signature.', NULL, NULL, 'BACTERIOCIN_IIA', 47694),
(103969, 'PS00378', NULL, 'Hexokinase domain signature.', NULL, NULL, 'HEXOKINASE_1', 47695),
(103970, 'PS00169', NULL, 'Delta-aminolevulinic acid dehydratase active site.', NULL, NULL, 'D_ALA_DEHYDRATASE', 47696),
(103971, 'PS00623', NULL, 'GMC oxidoreductases signature 1.', NULL, NULL, 'GMC_OXRED_1', 47697),
(103972, 'PS00459', NULL, 'Myotoxins signature.', NULL, NULL, 'MYOTOXINS_1', 47698),
(103973, 'PS00575', NULL, 'Myelin proteolipid protein signature 1.', NULL, NULL, 'MYELIN_PLP_1', 47699),
(103974, 'PS00577', NULL, 'Avidin-like domain signature.', NULL, NULL, 'AVIDIN_1', 47700),
(103975, 'PS01199', NULL, 'Ribosomal protein L1 signature.', NULL, NULL, 'RIBOSOMAL_L1', 47701),
(103976, 'PS00464', NULL, 'Ribosomal protein L22 signature.', NULL, NULL, 'RIBOSOMAL_L22', 47702),
(103977, 'PS00320', NULL, 'Amyloid precursor protein (APP) intracellular domain signature.', NULL, NULL, 'APP_INTRA', 47703);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(103978, 'PS00363', NULL, 'Bacterial quinoprotein dehydrogenases signature 1.', NULL, NULL, 'BACTERIAL_PQQ_1', 47704),
(103979, 'PS00728', NULL, 'AP endonucleases family 1 signature 3.', NULL, NULL, 'AP_NUCLEASE_F1_3', 47705),
(103980, 'PS00290', NULL, 'Immunoglobulins and major histocompatibility complex proteins signature.', NULL, NULL, 'IG_MHC', 47706),
(103981, 'PS00145', NULL, 'Urease active site.', NULL, NULL, 'UREASE_2', 47707),
(103982, 'PS00515', NULL, 'Seminal vesicle protein II repeats signature.', NULL, NULL, 'SVP_II', 47708),
(103983, 'PS00293', NULL, 'Proliferating cell nuclear antigen signature 2.', NULL, NULL, 'PCNA_2', 47709),
(103984, 'PS00809', NULL, 'ADP-glucose pyrophosphorylase signature 2.', NULL, NULL, 'ADP_GLC_PYROPHOSPH_2', 47710),
(103985, 'PS01026', NULL, 'Photosystem I psaG and psaK proteins signature.', NULL, NULL, 'PHOTOSYSTEM_I_PSAGK', 47711),
(103986, 'PS01201', NULL, 'Tub family signature 2.', NULL, NULL, 'TUB_2', 47712),
(103987, 'PS00964', NULL, 'Syndecans signature.', NULL, NULL, 'SYNDECAN', 47713),
(103988, 'PS01087', NULL, 'Radical activating enzymes signature.', NULL, NULL, 'RADICAL_ACTIVATING', 47714),
(103989, 'PS01078', NULL, 'Molybdenum cofactor biosynthesis proteins signature 1.', NULL, NULL, 'MOCF_BIOSYNTHESIS_1', 47715),
(103990, 'PS00360', NULL, 'Ribosomal protein S9 signature.', NULL, NULL, 'RIBOSOMAL_S9', 47716),
(103991, 'PS00159', NULL, 'KDPG and KHG aldolases active site.', NULL, NULL, 'ALDOLASE_KDPG_KHG_1', 47717),
(103992, 'PS01140', NULL, 'Glycosyl hydrolases family 45 active site.', NULL, NULL, 'GLYCOSYL_HYDROL_F45', 47718),
(103993, 'PS00102', NULL, 'Phosphorylase pyridoxal-phosphate attachment site.', NULL, NULL, 'PHOSPHORYLASE', 47719),
(103994, 'PS00786', NULL, '5''-nucleotidase signature 2.', NULL, NULL, '5_NUCLEOTIDASE_2', 47720),
(103995, 'PS00580', NULL, 'Ribosomal protein L32e signature.', NULL, NULL, 'RIBOSOMAL_L32E', 47721),
(103996, 'PS00863', NULL, 'Calsequestrin signature 1.', NULL, NULL, 'CALSEQUESTRIN_1', 47722),
(103997, 'PS00265', NULL, 'Pancreatic hormone family signature.', NULL, NULL, 'PANCREATIC_HORMONE_1', 47723),
(103998, 'PS00716', NULL, 'Sigma-70 factors family signature 2.', NULL, NULL, 'SIGMA70_2', 47724),
(103999, 'PS00800', NULL, 'Pectinesterase signature 1.', NULL, NULL, 'PECTINESTERASE_1', 47725),
(104000, 'PS00666', NULL, 'Dihydrodipicolinate synthase signature 2.', NULL, NULL, 'DHDPS_2', 47726),
(104001, 'PS00713', NULL, 'Sodium:dicarboxylate symporter family signature 1.', NULL, NULL, 'NA_DICARBOXYL_SYMP_1', 47727),
(104002, 'PS01222', NULL, 'PMP-22 / EMP / MP20 family signature 2.', NULL, NULL, 'PMP22_2', 47728),
(104003, 'PS00326', NULL, 'Tropomyosins signature.', NULL, NULL, 'TROPOMYOSIN', 47729),
(104004, 'PS00427', NULL, 'Disintegrins signature.', NULL, NULL, 'DISINTEGRIN_1', 47730),
(104005, 'PS00618', NULL, 'RecF protein signature 2.', NULL, NULL, 'RECF_2', 47731),
(104006, 'PS00751', NULL, 'Chaperonins TCP-1 signature 2.', NULL, NULL, 'TCP1_2', 47732),
(104007, 'PS00571', NULL, 'Amidases signature.', NULL, NULL, 'AMIDASES', 47733),
(104008, 'PS00958', NULL, 'Transaldolase active site.', NULL, NULL, 'TRANSALDOLASE_2', 47734),
(104009, 'PS00604', NULL, 'Synaptophysin / synaptoporin signature.', NULL, NULL, 'SYNAPTOP', 47735),
(104010, 'PS00833', NULL, '2''-5''-oligoadenylate synthases signature 2.', NULL, NULL, '25A_SYNTH_2', 47736),
(104011, 'PS00177', NULL, 'DNA topoisomerase II signature.', NULL, NULL, 'TOPOISOMERASE_II', 47737),
(104012, 'PS00136', NULL, 'Serine proteases, subtilase family, aspartic acid active site.', NULL, NULL, 'SUBTILASE_ASP', 47738),
(104013, 'PS00759', NULL, 'ArgE / dapE / ACY1 / CPG2 / yscS family signature 2.', NULL, NULL, 'ARGE_DAPE_CPG2_2', 47739),
(104014, 'PS00894', NULL, 'DeoR-type HTH domain signature.', NULL, NULL, 'HTH_DEOR_1', 47740),
(104015, 'PS00949', NULL, 'Autoinducer synthase family signature.', NULL, NULL, 'AUTOINDUCER_SYNTH_1', 47741),
(104016, 'PS00260', NULL, 'Glucagon / GIP / secretin / VIP family signature.', NULL, NULL, 'GLUCAGON', 47742),
(104017, 'PS00362', NULL, 'Ribosomal protein S15 signature.', NULL, NULL, 'RIBOSOMAL_S15', 47743);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(104018, 'PS01276', NULL, 'Peptidase family U32 signature.', NULL, NULL, 'PEPTIDASE_U32', 47744),
(104019, 'PS01299', NULL, 'Ephrin receptor-binding (ephrin RBD) domain signature.', NULL, NULL, 'EPHRIN_RBD_1', 47745),
(104020, 'PS00216', NULL, 'Sugar transport proteins signature 1.', NULL, NULL, 'SUGAR_TRANSPORT_1', 47746),
(104021, 'PS01161', NULL, 'Glucosamine/galactosamine-6-phosphate isomerases signature.', NULL, NULL, 'GLC_GALNAC_ISOMERASE', 47747),
(104022, 'PS00009', NULL, 'Amidation site.', NULL, NULL, 'AMIDATION', 47748),
(104023, 'PS01278', NULL, 'Methylthiotransferase radical SAM domain signature.', NULL, NULL, 'MTTASE_RADICAL', 47749),
(104024, 'PS01060', NULL, 'Flagella transport protein fliP family signature 1.', NULL, NULL, 'FLIP_1', 47750),
(104025, 'PS00303', NULL, 'S-100/ICaBP type calcium binding protein signature.', NULL, NULL, 'S100_CABP', 47751),
(104026, 'PS00529', NULL, 'Ribosomal protein S24e signature.', NULL, NULL, 'RIBOSOMAL_S24E', 47752),
(104027, 'PS01040', NULL, 'Bacterial extracellular solute-binding proteins, family 5 signature.', NULL, NULL, 'SBP_BACTERIAL_5', 47753),
(104028, 'PS00910', NULL, 'Uncharacterized protein family UPF0029 signature.', NULL, NULL, 'UPF0029', 47754),
(104029, 'PS01334', NULL, 'Pyrrolidone-carboxylate peptidase cysteine active site.', NULL, NULL, 'PYRASE_CYS', 47755),
(104030, 'PS00620', NULL, 'PTN/MK heparin-binding protein family signature 2.', NULL, NULL, 'PTN_MK_2', 47756),
(104031, 'PS00804', NULL, 'Calreticulin family signature 2.', NULL, NULL, 'CALRETICULIN_2', 47757),
(104032, 'PS00816', NULL, 'Alpha-isopropylmalate and homocitrate synthases signature 2.', NULL, NULL, 'AIPM_HOMOCIT_SYNTH_2', 47758),
(104033, 'PS00745', NULL, 'Prokaryotic-type class I peptide chain release factors signature.', NULL, NULL, 'RF_PROK_I', 47759),
(104034, 'PS00896', NULL, 'LacY family proton/sugar symporters signature 1.', NULL, NULL, 'LACY_1', 47760),
(104035, 'PS00494', NULL, 'Bacterial luciferase subunits signature.', NULL, NULL, 'BACTERIAL_LUCIFERASE', 47761),
(104036, 'PS01036', NULL, 'Heat shock hsp70 proteins family signature 3.', NULL, NULL, 'HSP70_3', 47762),
(104037, 'PS60019', NULL, 'I-superfamily conotoxin signature.', NULL, NULL, 'I_CONOTOXIN', 47763),
(104038, 'PS00673', NULL, 'Serine proteases, V8 family, serine active site.', NULL, NULL, 'V8_SER', 47764),
(104039, 'PS00189', NULL, '2-oxo acid dehydrogenases acyltransferase component lipoyl binding site.', NULL, NULL, 'LIPOYL', 47765),
(104040, 'PS00417', NULL, 'Synaptobrevin signature.', NULL, NULL, 'SYNAPTOBREVIN', 47766),
(104041, 'PS00052', NULL, 'Ribosomal protein S7 signature.', NULL, NULL, 'RIBOSOMAL_S7', 47767),
(104042, 'PS60013', NULL, 'Mu-conotoxin family signature.', NULL, NULL, 'MU_CONOTOXIN', 47768),
(104043, 'PS00091', NULL, 'Thymidylate synthase active site.', NULL, NULL, 'THYMIDYLATE_SYNTHASE', 47769),
(104044, 'PS00278', NULL, 'Staphyloccocal enterotoxin/Streptococcal pyrogenic exotoxin signature 2.', NULL, NULL, 'STAPH_STREP_TOXIN_2', 47770),
(104045, 'PS01360', NULL, 'Zinc finger MYND-type signature.', NULL, NULL, 'ZF_MYND_1', 47771),
(104046, 'PS00271', NULL, 'Plant thionins signature.', NULL, NULL, 'THIONIN', 47772),
(104047, 'PS00395', NULL, 'Alanine racemase pyridoxal-phosphate attachment site.', NULL, NULL, 'ALANINE_RACEMASE', 47773),
(104048, 'PS01187', NULL, 'Calcium-binding EGF-like domain signature.', NULL, NULL, 'EGF_CA', 47774),
(104049, 'PS01154', NULL, 'RNA polymerases L / 13 to 16 Kd subunits signature.', NULL, NULL, 'RNA_POL_L_13KD', 47775),
(104050, 'PS00545', NULL, 'Aldose 1-epimerase putative active site.', NULL, NULL, 'ALDOSE_1_EPIMERASE', 47776),
(104051, 'PS01264', NULL, 'T-box domain signature 2.', NULL, NULL, 'TBOX_2', 47777),
(104052, 'PS00259', NULL, 'Gastrin / cholecystokinin family signature.', NULL, NULL, 'GASTRIN', 47778),
(104053, 'PS00054', NULL, 'Ribosomal protein S11 signature.', NULL, NULL, 'RIBOSOMAL_S11', 47779),
(104054, 'PS00219', NULL, 'Anion exchangers family signature 1.', NULL, NULL, 'ANION_EXCHANGER_1', 47780),
(104055, 'PS00940', NULL, 'Gamma-thionins family signature.', NULL, NULL, 'GAMMA_THIONIN', 47781);
INSERT INTO "PUBLIC"."MODEL" VALUES
(104056, 'PS00452', NULL, 'Guanylate cyclase signature.', NULL, NULL, 'GUANYLATE_CYCLASE_1', 47782),
(104057, 'PS00068', NULL, 'Malate dehydrogenase active site signature.', NULL, NULL, 'MDH', 47783),
(104058, 'PS01253', NULL, 'Fibronectin type-I domain signature.', NULL, NULL, 'FN1_1', 47784),
(104059, 'PS00300', NULL, 'SRP54-type proteins GTP-binding domain signature.', NULL, NULL, 'SRP54', 47785),
(104060, 'PS01055', NULL, 'NAD-dependent DNA ligase signature 1.', NULL, NULL, 'DNA_LIGASE_N1', 47786),
(104061, 'PS01248', NULL, 'Laminin-type EGF-like (LE) domain signature.', NULL, NULL, 'EGF_LAM_1', 47787),
(104062, 'PS00998', NULL, 'G10 protein signature 2.', NULL, NULL, 'G10_2', 47788),
(104063, 'PS01082', NULL, 'Ribosomal protein L7Ae signature.', NULL, NULL, 'RIBOSOMAL_L7AE', 47789),
(104064, 'PS01112', NULL, 'RNA polymerases N / 8 Kd subunits signature.', NULL, NULL, 'RNA_POL_N_8KD', 47790),
(104065, 'PS00142', NULL, 'Neutral zinc metallopeptidases, zinc-binding region signature.', NULL, NULL, 'ZINC_PROTEASE', 47791),
(104066, 'PS00874', NULL, 'Bacterial type II secretion system protein F signature.', NULL, NULL, 'T2SP_F', 47792),
(104067, 'PS01324', NULL, 'Glycosyl hydrolases family 4 signature.', NULL, NULL, 'GLYCOSYL_HYDROL_F4', 47793),
(104068, 'PS01210', NULL, 'Caveolins signature.', NULL, NULL, 'CAVEOLIN', 47794),
(104069, 'PS01171', NULL, 'Ribosomal protein L21e signature.', NULL, NULL, 'RIBOSOMAL_L21E', 47795),
(104070, 'PS00274', NULL, 'Aerolysin type toxins signature.', NULL, NULL, 'AEROLYSIN', 47796),
(104071, 'PS00431', NULL, 'Small hydrophilic plant seed proteins signature.', NULL, NULL, 'SMALL_HYDR_PLANT_SEED', 47797),
(104072, 'PS01271', NULL, 'Sodium:sulfate symporter family signature.', NULL, NULL, 'NA_SULFATE', 47798),
(104073, 'PS00625', NULL, 'Regulator of chromosome condensation (RCC1) signature 1.', NULL, NULL, 'RCC1_1', 47799),
(104074, 'PS01134', NULL, 'FtsZ protein signature 1.', NULL, NULL, 'FTSZ_1', 47800),
(104075, 'PS00672', NULL, 'Serine proteases, V8 family, histidine active site.', NULL, NULL, 'V8_HIS', 47801),
(104076, 'PS00285', NULL, 'Potato inhibitor I family signature.', NULL, NULL, 'POTATO_INHIBITOR', 47802),
(104077, 'PS00817', NULL, 'Erythropoietin / thrombopoeitin signature.', NULL, NULL, 'EPO_TPO', 47803),
(104078, 'PS00390', NULL, 'Sodium and potassium ATPases beta subunits signature 1.', NULL, NULL, 'ATPASE_NA_K_BETA_1', 47804),
(104079, 'PS00541', NULL, 'Nuclear transition protein 1 signature.', NULL, NULL, 'TP1', 47805),
(104080, 'PS00617', NULL, 'RecF protein signature 1.', NULL, NULL, 'RECF_1', 47806),
(104081, 'PS00398', NULL, 'Site-specific recombinases signature 2.', NULL, NULL, 'RECOMBINASES_2', 47807),
(104082, 'PS00709', NULL, 'Ribosomal protein L30e signature 1.', NULL, NULL, 'RIBOSOMAL_L30E_1', 47808),
(104083, 'PS00689', NULL, 'Glycoprotein hormones beta chain signature 2.', NULL, NULL, 'GLYCO_HORMONE_BETA_2', 47809),
(104084, 'PS00180', NULL, 'Glutamine synthetase signature 1.', NULL, NULL, 'GLNA_1', 47810),
(104085, 'PS00729', NULL, 'AP endonucleases family 2 signature 1.', NULL, NULL, 'AP_NUCLEASE_F2_1', 47811),
(104086, 'PS01347', NULL, 'MraY family signature 1.', NULL, NULL, 'MRAY_1', 47812),
(104087, 'PS00127', NULL, 'Pancreatic ribonuclease family signature.', NULL, NULL, 'RNASE_PANCREATIC', 47813),
(104088, 'PS00591', NULL, 'Glycosyl hydrolases family 10 (GH10) active site.', NULL, NULL, 'GH10_1', 47814),
(104089, 'PS00166', NULL, 'Enoyl-CoA hydratase/isomerase signature.', NULL, NULL, 'ENOYL_COA_HYDRATASE', 47815),
(104090, 'PS00171', NULL, 'Triosephosphate isomerase active site.', NULL, NULL, 'TIM_1', 47816),
(104091, 'PS00073', NULL, 'Acyl-CoA dehydrogenases signature 2.', NULL, NULL, 'ACYL_COA_DH_2', 47817),
(104092, 'PS01261', NULL, 'Uncharacterized protein family UPF0020 signature.', NULL, NULL, 'UPF0020', 47818),
(104093, 'PS00853', NULL, 'Beta-eliminating lyases pyridoxal-phosphate attachment site.', NULL, NULL, 'BETA_ELIM_LYASE', 47819),
(104094, 'PS00069', NULL, 'Glucose-6-phosphate dehydrogenase active site.', NULL, NULL, 'G6P_DEHYDROGENASE', 47820);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(104095, 'PS00440', NULL, 'Acyltransferases ChoActase / COT / CPT family signature 2.', NULL, NULL, 'ACYLTRANSF_C_2', 47821),
(104096, 'PS00374', NULL, 'Methylated-DNA--protein-cysteine methyltransferase active site.', NULL, NULL, 'MGMT', 47822),
(104097, 'PS00470', NULL, 'Isocitrate and isopropylmalate dehydrogenases signature.', NULL, NULL, 'IDH_IMDH', 47823),
(104098, 'PS00524', NULL, 'Somatomedin B domain (SMB) signature.', NULL, NULL, 'SMB_1', 47824),
(104099, 'PS00824', NULL, 'Elongation factor 1 beta/beta''/delta chain signature 1.', NULL, NULL, 'EF1BD_1', 47825),
(104100, 'PS00205', NULL, 'Transferrin-like domain signature 1.', NULL, NULL, 'TRANSFERRIN_LIKE_1', 47826),
(104101, 'PS01160', NULL, 'Kinesin light chain repeat.', NULL, NULL, 'KINESIN_LIGHT', 47827),
(104102, 'PS01217', NULL, 'ATP-citrate lyase / succinyl-CoA ligases family signature 3.', NULL, NULL, 'SUCCINYL_COA_LIG_3', 47828),
(104103, 'PS00269', NULL, 'Mammalian defensins signature.', NULL, NULL, 'DEFENSIN', 47829),
(104104, 'PS01155', NULL, 'Endonuclease III family signature.', NULL, NULL, 'ENDONUCLEASE_III_2', 47830),
(104105, 'PS01279', NULL, 'Protein-L-isoaspartate(D-aspartate) O-methyltransferase signature.', NULL, NULL, 'PCMT', 47831),
(104106, 'PS01331', NULL, 'Thymidylate kinase signature.', NULL, NULL, 'THYMIDYLATE_KINASE', 47832),
(104107, 'PS00818', NULL, 'Dps protein family signature 1.', NULL, NULL, 'DPS_1', 47833),
(104108, 'PS00846', NULL, 'Bacterial regulatory proteins, arsR family signature.', NULL, NULL, 'HTH_ARSR_1', 47834),
(104109, 'PS00682', NULL, 'ZP domain signature.', NULL, NULL, 'ZP_1', 47835),
(104110, 'PS00698', NULL, 'Glycosyl hydrolases family 9 (GH9) active site signature 3.', NULL, NULL, 'GH9_3', 47836),
(104111, 'PS00715', NULL, 'Sigma-70 factors family signature 1.', NULL, NULL, 'SIGMA70_1', 47837),
(104112, 'PS00632', NULL, 'Ribosomal protein S4 signature.', NULL, NULL, 'RIBOSOMAL_S4', 47838),
(104113, 'PS01340', NULL, 'Cornichon family signature.', NULL, NULL, 'CORNICHON', 47839),
(104114, 'PS00721', NULL, 'Formate--tetrahydrofolate ligase signature 1.', NULL, NULL, 'FTHFS_1', 47840),
(104115, 'PS00664', NULL, 'Vinculin repeated domain signature.', NULL, NULL, 'VINCULIN_2', 47841),
(104116, 'PS00747', NULL, 'Glutamyl-tRNA reductase signature.', NULL, NULL, 'GLUTR', 47842),
(104117, 'PS01069', NULL, 'Prokaryotic diacylglycerol kinase signature.', NULL, NULL, 'DAGK_PROKAR', 47843),
(104118, 'PS00959', NULL, 'Histone H3 signature 2.', NULL, NULL, 'HISTONE_H3_2', 47844),
(104119, 'PS01004', NULL, 'Myelin proteolipid protein signature 2.', NULL, NULL, 'MYELIN_PLP_2', 47845),
(104120, 'PS00584', NULL, 'pfkB family of carbohydrate kinases signature 2.', NULL, NULL, 'PFKB_KINASES_2', 47846),
(104121, 'PS00187', NULL, 'Thiamine pyrophosphate enzymes signature.', NULL, NULL, 'TPP_ENZYMES', 47847),
(104122, 'PS01303', NULL, 'BCCT family of transporters signature.', NULL, NULL, 'BCCT', 47848),
(104123, 'PS01280', NULL, 'Glucose inhibited division protein A family signature 1.', NULL, NULL, 'GIDA_1', 47849),
(104124, 'PS00249', NULL, 'Platelet-derived growth factor (PDGF) family signature.', NULL, NULL, 'PDGF_1', 47850),
(104125, 'PS00982', NULL, 'Bacterial-type phytoene dehydrogenase signature.', NULL, NULL, 'PHYTOENE_DH', 47851),
(104126, 'PS00836', NULL, 'Alanine dehydrogenase & pyridine nucleotide transhydrogenase signature 1.', NULL, NULL, 'ALADH_PNT_1', 47852),
(104127, 'PS00437', NULL, 'Catalase proximal heme-ligand signature.', NULL, NULL, 'CATALASE_1', 47853),
(104128, 'PS00640', NULL, 'Eukaryotic thiol (cysteine) proteases asparagine active site.', NULL, NULL, 'THIOL_PROTEASE_ASN', 47854),
(104129, 'PS00671', NULL, 'D-isomer specific 2-hydroxyacid dehydrogenases signature 3.', NULL, NULL, 'D_2_HYDROXYACID_DH_3', 47855),
(104130, 'PS00753', NULL, 'XPA protein signature 2.', NULL, NULL, 'XPA_2', 47856),
(104131, 'PS00414', NULL, 'Profilin signature.', NULL, NULL, 'PROFILIN', 47857),
(104132, 'PS01172', NULL, 'Ribosomal protein L44e signature.', NULL, NULL, 'RIBOSOMAL_L44E', 47858),
(104133, 'PS00835', NULL, 'Aspartyl proteases, omptin family signature 2.', NULL, NULL, 'OMPTIN_2', 47859);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(104134, 'PS01213', NULL, 'Protozoan/cyanobacterial globins signature.', NULL, NULL, 'GLOBIN_FAM_2', 47860),
(104135, 'PS01229', NULL, 'Hypothetical cof family signature 2.', NULL, NULL, 'COF_2', 47861),
(104136, 'PS01114', NULL, 'GPR1/FUN34/yaaH family signature.', NULL, NULL, 'GPR1_FUN34_YAAH', 47862),
(104137, 'PS01311', NULL, 'Prolipoprotein diacylglyceryl transferase signature.', NULL, NULL, 'LGT', 47863),
(104138, 'PS00243', NULL, 'Integrins beta chain cysteine-rich domain signature.', NULL, NULL, 'INTEGRIN_BETA', 47864),
(104139, 'PS01080', NULL, 'Apoptosis regulator, Bcl-2 family BH1 motif signature.', NULL, NULL, 'BH1', 47865),
(104140, 'PS01285', NULL, 'Coagulation factors 5/8 type C domain (FA58C) signature 1.', NULL, NULL, 'FA58C_1', 47866),
(104141, 'PS00435', NULL, 'Peroxidases proximal heme-ligand signature.', NULL, NULL, 'PEROXIDASE_1', 47867),
(104142, 'PS01302', NULL, 'Uncharacterized protein family UPF0758 signature.', NULL, NULL, 'UPF0758', 47868),
(104143, 'PS00569', NULL, 'Myelin basic protein signature.', NULL, NULL, 'MYELIN_MBP', 47869),
(104144, 'PS00520', NULL, 'Interleukin-10 family signature.', NULL, NULL, 'INTERLEUKIN_10', 47870),
(104145, 'PS00708', NULL, 'Prolyl endopeptidase family serine active site.', NULL, NULL, 'PRO_ENDOPEP_SER', 47871),
(104146, 'PS00882', NULL, 'Nickel-dependent hydrogenases b-type cytochrome subunit signature 1.', NULL, NULL, 'NI_HGENASE_CYTB_1', 47872),
(104147, 'PS01289', NULL, 'TSC-22 / dip / bun family signature.', NULL, NULL, 'TSC22', 47873),
(104148, 'PS00423', NULL, 'Granins signature 2.', NULL, NULL, 'GRANINS_2', 47874),
(104149, 'PS00460', NULL, 'Glutathione peroxidases active site.', NULL, NULL, 'GLUTATHIONE_PEROXID_1', 47875),
(104150, 'PS00589', NULL, 'PTS HPR domain serine phosphorylation site signature.', NULL, NULL, 'PTS_HPR_SER', 47876),
(104151, 'PS01053', NULL, 'Arginase family signature.', NULL, NULL, 'ARGINASE_1', 47877),
(104152, 'PS00974', NULL, 'Mannitol dehydrogenases signature.', NULL, NULL, 'MANNITOL_DHGENASE', 47878),
(104153, 'PS00251', NULL, 'TNF family signature.', NULL, NULL, 'TNF_1', 47879),
(104154, 'PS00857', NULL, 'Prephenate dehydratase signature 1.', NULL, NULL, 'PREPHENATE_DEHYDR_1', 47880),
(104155, 'PS00694', NULL, 'Enterobacterial virulence outer membrane protein signature 1.', NULL, NULL, 'ENT_VIR_OMP_1', 47881),
(104156, 'PS00711', NULL, 'Lipoxygenases iron-binding region signature 1.', NULL, NULL, 'LIPOXYGENASE_1', 47882),
(104157, 'PS00310', NULL, 'Lysosome-associated membrane glycoproteins duplicated domain signature.', NULL, NULL, 'LAMP_1', 47883),
(104158, 'PS01014', NULL, 'Transcription termination factor nusG signature.', NULL, NULL, 'NUSG', 47884),
(104159, 'PS00585', NULL, 'Ribosomal protein S5 signature.', NULL, NULL, 'RIBOSOMAL_S5', 47885),
(104160, 'PS00076', NULL, 'Pyridine nucleotide-disulphide oxidoreductases class-I active site.', NULL, NULL, 'PYRIDINE_REDOX_1', 47886),
(104161, 'PS00074', NULL, 'Glu / Leu / Phe / Val dehydrogenases active site.', NULL, NULL, 'GLFV_DEHYDROGENASE', 47887),
(104162, 'PS40000', NULL, 'DM DNA-binding domain signature.', NULL, NULL, 'DM_1', 47888),
(104163, 'PS00797', NULL, '14-3-3 proteins signature 2.', NULL, NULL, '1433_2', 47889),
(104164, 'PS01309', NULL, 'Uncharacterized protein family UPF0057 signature.', NULL, NULL, 'UPF0057', 47890),
(104165, 'PS01018', NULL, 'Sterol reductase family signature 2.', NULL, NULL, 'STEROL_REDUCT_2', 47891),
(104166, 'PS00055', NULL, 'Ribosomal protein S12 signature.', NULL, NULL, 'RIBOSOMAL_S12', 47892),
(104167, 'PS00084', NULL, 'Copper type II, ascorbate-dependent monooxygenases signature 1.', NULL, NULL, 'CU2_MONOOXYGENASE_1', 47893),
(104168, 'PS00654', NULL, 'PRD domain signature.', NULL, NULL, 'PRD_1', 47894),
(104169, 'PS00140', NULL, 'Ubiquitin carboxyl-terminal hydrolase family 1 cysteine active-site.', NULL, NULL, 'UCH_1', 47895),
(104170, 'PS00815', NULL, 'Alpha-isopropylmalate and homocitrate synthases signature 1.', NULL, NULL, 'AIPM_HOMOCIT_SYNTH_1', 47896),
(104171, 'PS00553', NULL, 'Lambdoid phages regulatory protein CIII signature.', NULL, NULL, 'LAMBDA_PHAGE_CIII', 47897);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(104172, 'PS00563', NULL, 'Stathmin family signature 1.', NULL, NULL, 'STATHMIN_1', 47898),
(104173, 'PS00980', NULL, 'G-protein coupled receptors family 3 signature 2.', NULL, NULL, 'G_PROTEIN_RECEP_F3_2', 47899),
(104174, 'PS00886', NULL, 'Dihydroxy-acid and 6-phosphogluconate dehydratases signature 1.', NULL, NULL, 'ILVD_EDD_1', 47900),
(104175, 'PS00191', NULL, 'Cytochrome b5 family, heme-binding domain signature.', NULL, NULL, 'CYTOCHROME_B5_1', 47901),
(104176, 'PS00675', NULL, 'Sigma-54 interaction domain ATP-binding region A signature.', NULL, NULL, 'SIGMA54_INTERACT_1', 47902),
(104177, 'PS00616', NULL, 'Histidine acid phosphatases phosphohistidine signature.', NULL, NULL, 'HIS_ACID_PHOSPHAT_1', 47903),
(104178, 'PS00855', NULL, 'Signal peptidases II signature.', NULL, NULL, 'SPASE_II', 47904),
(104179, 'PS60031', NULL, 'Glutamic acid-rich protein 2 (GARP2) signature.', NULL, NULL, 'GARP2', 47905),
(104180, 'PS00046', NULL, 'Histone H2A signature.', NULL, NULL, 'HISTONE_H2A', 47906),
(104181, 'PS01167', NULL, 'Ribosomal protein L17 signature.', NULL, NULL, 'RIBOSOMAL_L17', 47907),
(104182, 'PS00988', NULL, '6-pyruvoyl tetrahydropterin synthase signature 2.', NULL, NULL, 'PTPS_2', 47908),
(104183, 'PS00047', NULL, 'Histone H4 signature.', NULL, NULL, 'HISTONE_H4', 47909),
(104184, 'PS00039', NULL, 'DEAD-box subfamily ATP-dependent helicases signature.', NULL, NULL, 'DEAD_ATP_HELICASE', 47910),
(104185, 'PS00257', NULL, 'Bombesin-like peptides family signature.', NULL, NULL, 'BOMBESIN', 47911),
(104186, 'PS00053', NULL, 'Ribosomal protein S8 signature.', NULL, NULL, 'RIBOSOMAL_S8', 47912),
(104187, 'PS00262', NULL, 'Insulin family signature.', NULL, NULL, 'INSULIN', 47913),
(104188, 'PS01028', NULL, 'Dehydroquinase class I active site.', NULL, NULL, 'DEHYDROQUINASE_I', 47914),
(104189, 'PS00621', NULL, 'Tissue factor signature.', NULL, NULL, 'TISSUE_FACTOR', 47915),
(104190, 'PS01282', NULL, 'BIR repeat.', NULL, NULL, 'BIR_REPEAT_1', 47916),
(104191, 'PS01090', NULL, 'TatD deoxyribonuclease family signature 2.', NULL, NULL, 'TATD_2', 47917),
(104192, 'PS01067', NULL, 'Protein secE/sec61-gamma signature.', NULL, NULL, 'SECE_SEC61G', 47918),
(104193, 'PS00255', NULL, 'Interleukin-7 and -9 signature.', NULL, NULL, 'INTERLEUKIN_7_9', 47919),
(104194, 'PS00207', NULL, 'Transferrin-like domain signature 3.', NULL, NULL, 'TRANSFERRIN_LIKE_3', 47920),
(104195, 'PS00227', NULL, 'Tubulin subunits alpha, beta, and gamma signature.', NULL, NULL, 'TUBULIN', 47921),
(104196, 'PS00504', NULL, 'Fumarate reductase / succinate dehydrogenase FAD-binding site.', NULL, NULL, 'FRD_SDH_FAD_BINDING', 47922),
(104197, 'PS00704', NULL, 'Prokaryotic-type carbonic anhydrases signature 1.', NULL, NULL, 'PROK_CO2_ANHYDRASE_1', 47923),
(104198, 'PS00971', NULL, 'Nuclear transition protein 2 signature 2.', NULL, NULL, 'TP2_2', 47924),
(104199, 'PS00611', NULL, 'Histidinol dehydrogenase signature.', NULL, NULL, 'HISOL_DEHYDROGENASE', 47925),
(104200, 'PS00780', NULL, 'Glycoprotein hormones alpha chain signature 2.', NULL, NULL, 'GLYCO_HORMONE_ALPHA_2', 47926),
(104201, 'PS00491', NULL, 'Aminopeptidase P and proline dipeptidase signature.', NULL, NULL, 'PROLINE_PEPTIDASE', 47927),
(104202, 'PS00712', NULL, 'Ribosomal protein S17e signature.', NULL, NULL, 'RIBOSOMAL_S17E', 47928),
(104203, 'PS00687', NULL, 'Aldehyde dehydrogenases glutamic acid active site.', NULL, NULL, 'ALDEHYDE_DEHYDR_GLU', 47929),
(104204, 'PS01205', NULL, 'Iodothyronine deiodinases active site.', NULL, NULL, 'T4_DEIODINASE', 47930),
(104205, 'PS01240', NULL, 'Purine and other phosphorylases family 2 signature.', NULL, NULL, 'PNP_MTAP_2', 47931),
(104206, 'PS00272', NULL, 'Snake toxins signature.', NULL, NULL, 'SNAKE_TOXIN', 47932),
(104207, 'PS00011', NULL, 'Vitamin K-dependent carboxylation domain.', NULL, NULL, 'GLA_1', 47933),
(104208, 'PS00078', NULL, 'CO II and nitrous oxide reductase dinuclear copper centers signature.', NULL, NULL, 'COX2', 47934),
(104209, 'PS00929', NULL, 'Yeast PIR proteins repeats signature.', NULL, NULL, 'PIR_REPEAT_1', 47935); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(104210, 'PS01097', NULL, 'Hydrogenases expression/synthesis hupF/hypC family signature.', NULL, NULL, 'HUPF_HYPC', 47936),
(104211, 'PS01259', NULL, 'Apoptosis regulator, Bcl-2 family BH3 motif signature.', NULL, NULL, 'BH3', 47937),
(104212, 'PS00065', NULL, 'D-isomer specific 2-hydroxyacid dehydrogenases NAD-binding signature.', NULL, NULL, 'D_2_HYDROXYACID_DH_1', 47938),
(104213, 'PS00821', NULL, 'Cytochrome c and c1 heme lyases signature 1.', NULL, NULL, 'CYTO_HEME_LYASE_1', 47939),
(104214, 'PS00266', NULL, 'Somatotropin, prolactin and related hormones signature 1.', NULL, NULL, 'SOMATOTROPIN_1', 47940),
(104215, 'PS00506', NULL, 'Beta-amylase active site 1.', NULL, NULL, 'BETA_AMYLASE_1', 47941),
(104216, 'PS00898', NULL, 'Ependymins signature 1.', NULL, NULL, 'EPENDYMIN_1', 47942),
(104217, 'PS00970', NULL, 'Nuclear transition protein 2 signature 1.', NULL, NULL, 'TP2_1', 47943),
(104218, 'PS00785', NULL, '5''-nucleotidase signature 1.', NULL, NULL, '5_NUCLEOTIDASE_1', 47944),
(104219, 'PS00057', NULL, 'Ribosomal protein S18 signature.', NULL, NULL, 'RIBOSOMAL_S18', 47945),
(104220, 'PS00544', NULL, 'Methylmalonyl-CoA mutase signature.', NULL, NULL, 'METMALONYL_COA_MUTASE', 47946),
(104221, 'PS00695', NULL, 'Enterobacterial virulence outer membrane protein signature 2.', NULL, NULL, 'ENT_VIR_OMP_2', 47947),
(104222, 'PS01300', NULL, 'RecR protein signature.', NULL, NULL, 'RECR', 47948),
(104223, 'PS01211', NULL, 'Uncharacterized protein family UPF0001 signature.', NULL, NULL, 'UPF0001', 47949),
(104224, 'PS00092', NULL, 'N-6 Adenine-specific DNA methylases signature.', NULL, NULL, 'N6_MTASE', 47950),
(104225, 'PS00154', NULL, 'E1-E2 ATPases phosphorylation site.', NULL, NULL, 'ATPASE_E1_E2', 47951),
(104226, 'PS01149', NULL, 'Rsu family of pseudouridine synthase signature.', NULL, NULL, 'PSI_RSU', 47952),
(104227, 'PS00961', NULL, 'Ribosomal protein S28e signature.', NULL, NULL, 'RIBOSOMAL_S28E', 47953),
(104228, 'PS00394', NULL, 'DNA photolyases class 1 signature 1.', NULL, NULL, 'DNA_PHOTOLYASES_1_1', 47954),
(104229, 'PS00428', NULL, 'Cell cycle proteins ftsW / rodA / spoVE signature.', NULL, NULL, 'FTSW_RODA_SPOVE', 47955),
(104230, 'PS01153', NULL, 'NOL1/NOP2/sun family signature.', NULL, NULL, 'NOL1_NOP2_SUN', 47956),
(104231, 'PS60005', NULL, 'Delta-conotoxin family signature.', NULL, NULL, 'DELTA_CONOTOXIN', 47957),
(104232, 'PS00471', NULL, 'Small cytokines (intercrine/chemokine) C-x-C subfamily signature.', NULL, NULL, 'SMALL_CYTOKINES_CXC', 47958),
(104233, 'PS00731', NULL, 'AP endonucleases family 2 signature 3.', NULL, NULL, 'AP_NUCLEASE_F2_3', 47959),
(104234, 'PS01175', NULL, 'Ribonuclease II family signature.', NULL, NULL, 'RIBONUCLEASE_II', 47960),
(104235, 'PS00790', NULL, 'Receptor tyrosine kinase class V signature 1.', NULL, NULL, 'RECEPTOR_TYR_KIN_V_1', 47961),
(104236, 'PS01137', NULL, 'TatD deoxyribonuclease family signature 1.', NULL, NULL, 'TATD_1', 47962),
(104237, 'PS00861', NULL, 'Galanin signature.', NULL, NULL, 'GALANIN', 47963),
(104238, 'PS00223', NULL, 'Annexin repeat signature.', NULL, NULL, 'ANNEXIN_1', 47964),
(104239, 'PS00593', NULL, 'Heme oxygenase signature.', NULL, NULL, 'HEME_OXYGENASE', 47965),
(104240, 'PS01071', NULL, 'grpE protein signature.', NULL, NULL, 'GRPE', 47966),
(104241, 'PS00903', NULL, 'Cytidine and deoxycytidylate deaminases zinc-binding region signature.', NULL, NULL, 'CYT_DCMP_DEAMINASES_1', 47967),
(104242, 'PS00599', NULL, 'Aminotransferases class-II pyridoxal-phosphate attachment site.', NULL, NULL, 'AA_TRANSFER_CLASS_2', 47968),
(104243, 'PS00388', NULL, 'Proteasome alpha-type subunits signature.', NULL, NULL, 'PROTEASOME_ALPHA_1', 47969),
(104244, 'PS00760', NULL, 'Signal peptidases I lysine active site.', NULL, NULL, 'SPASE_I_2', 47970),
(104245, 'PS00927', NULL, 'Trehalase signature 1.', NULL, NULL, 'TREHALASE_1', 47971),
(104246, 'PS01233', NULL, 'Urocanase signature.', NULL, NULL, 'UROCANASE', 47972),
(104247, 'PS00972', NULL, 'Ubiquitin specific protease (USP) domain signature 1.', NULL, NULL, 'USP_1', 47973),
(104248, 'PS00156', NULL, 'Orotidine 5''-phosphate decarboxylase active site.', NULL, NULL, 'OMPDECASE', 47974);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(104249, 'PS00379', NULL, 'CDP-alcohol phosphatidyltransferases signature.', NULL, NULL, 'CDP_ALCOHOL_P_TRANSF', 47975),
(104250, 'PS00291', NULL, 'Prion protein signature 1.', NULL, NULL, 'PRION_1', 47976),
(104251, 'PS00094', NULL, 'C-5 cytosine-specific DNA methylases active site.', NULL, NULL, 'C5_MTASE_1', 47977),
(104252, 'PS00674', NULL, 'AAA-protein family signature.', NULL, NULL, 'AAA', 47978),
(104253, 'PS00224', NULL, 'Clathrin light chain signature 1.', NULL, NULL, 'CLATHRIN_LIGHT_CHN_1', 47979),
(104254, 'PS00221', NULL, 'MIP family signature.', NULL, NULL, 'MIP', 47980),
(104255, 'PS00104', NULL, 'EPSP synthase signature 1.', NULL, NULL, 'EPSP_SYNTHASE_1', 47981),
(104256, 'PS01234', NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit B signature.', NULL, NULL, 'GATB', 47982),
(104257, 'PS00598', NULL, 'Chromo domain signature.', NULL, NULL, 'CHROMO_1', 47983),
(104258, 'PS00752', NULL, 'XPA protein signature 1.', NULL, NULL, 'XPA_1', 47984),
(104259, 'PS00198', NULL, '4Fe-4S ferredoxin-type iron-sulfur binding region signature.', NULL, NULL, '4FE4S_FER_1', 47985),
(104260, 'PS00289', NULL, 'Pentraxin domain signature.', NULL, NULL, 'PTX_1', 47986),
(104261, 'PS00605', NULL, 'ATP synthase c subunit signature.', NULL, NULL, 'ATPASE_C', 47987),
(104262, 'PS00950', NULL, 'Bacterial rhodopsins signature 1.', NULL, NULL, 'BACTERIAL_OPSIN_1', 47988),
(104263, 'PS00626', NULL, 'Regulator of chromosome condensation (RCC1) signature 2.', NULL, NULL, 'RCC1_2', 47989),
(104264, 'PS00651', NULL, 'Ribosomal protein L9 signature.', NULL, NULL, 'RIBOSOMAL_L9', 47990),
(104265, 'PS01176', NULL, 'Initiation factor 2 signature.', NULL, NULL, 'IF2', 47991),
(104266, 'PS01232', NULL, 'Purine and other phosphorylases family 1 signature.', NULL, NULL, 'PNP_UDP_1', 47992),
(104267, 'PS00697', NULL, 'ATP-dependent DNA ligase AMP-binding site.', NULL, NULL, 'DNA_LIGASE_A1', 47993),
(104268, 'PS00907', NULL, 'Uroporphyrinogen decarboxylase signature 2.', NULL, NULL, 'UROD_2', 47994),
(104269, 'PS00609', NULL, 'Glycosyl hydrolases family 32 active site.', NULL, NULL, 'GLYCOSYL_HYDROL_F32', 47995),
(104270, 'PS01181', NULL, 'Ribosomal protein S21 signature.', NULL, NULL, 'RIBOSOMAL_S21', 47996),
(104271, 'PS00028', NULL, 'Zinc finger C2H2 type domain signature.', NULL, NULL, 'ZINC_FINGER_C2H2_1', 47997),
(104272, 'PS00201', NULL, 'Flavodoxin signature.', NULL, NULL, 'FLAVODOXIN', 47998),
(104273, 'PS01135', NULL, 'FtsZ protein signature 2.', NULL, NULL, 'FTSZ_2', 47999),
(104274, 'PS00496', NULL, 'P-II protein uridylation site.', NULL, NULL, 'PII_GLNB_UMP', 48000),
(104275, 'PS01237', NULL, 'Uncharacterized protein family UPF0028 signature.', NULL, NULL, 'UPF0028', 48001),
(104276, 'PS00741', NULL, 'Dbl homology (DH) domain signature.', NULL, NULL, 'DH_1', 48002),
(104277, 'PS00485', NULL, 'Adenosine and AMP deaminase signature.', NULL, NULL, 'A_DEAMINASE', 48003),
(104278, 'PS00163', NULL, 'Fumarate lyases signature.', NULL, NULL, 'FUMARATE_LYASES', 48004),
(104279, 'PS00144', NULL, 'Asparaginase / glutaminase active site signature 1.', NULL, NULL, 'ASN_GLN_ASE_1', 48005),
(104280, 'PS00656', NULL, 'Glycosyl hydrolases family 6 signature 2.', NULL, NULL, 'GLYCOSYL_HYDROL_F6_2', 48006),
(104281, 'PS60021', NULL, 'Huwentoxin-1 family signature.', NULL, NULL, 'HWTX_1', 48007),
(104282, 'PS00465', NULL, 'POU-specific (POUs) domain signature 2.', NULL, NULL, 'POU_2', 48008),
(104283, 'PS00538', NULL, 'Bacterial chemotaxis sensory transducers signature.', NULL, NULL, 'CHEMOTAXIS_TRANSDUC_1', 48009),
(104284, 'PS01150', NULL, 'Respiratory-chain NADH dehydrogenase 20 Kd subunit signature.', NULL, NULL, 'COMPLEX1_20K', 48010),
(104285, 'PS00939', NULL, 'Ribosomal protein L1e signature.', NULL, NULL, 'RIBOSOMAL_L1E', 48011),
(104286, 'PS01238', NULL, 'GDA1/CD39 family of nucleoside phosphatases signature.', NULL, NULL, 'GDA1_CD39_NTPASE', 48012),
(104287, 'PS00341', NULL, 'Surfactant associated polypeptide SP-C palmitoylation sites.', NULL, NULL, 'SURFACT_PALMITOYL', 48013),
(104288, 'PS00025', NULL, 'P-type ''Trefoil'' domain signature.', NULL, NULL, 'P_TREFOIL_1', 48014);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(104289, 'PS00859', NULL, 'GTP cyclohydrolase I signature 1.', NULL, NULL, 'GTP_CYCLOHYDROL_1_1', 48015),
(104290, 'PS00739', NULL, 'S-adenosyl-L-homocysteine hydrolase signature 2.', NULL, NULL, 'ADOHCYASE_2', 48016),
(104291, 'PS00700', NULL, 'Ribosomal protein L6 signature 2.', NULL, NULL, 'RIBOSOMAL_L6_2', 48017),
(104292, 'PS00984', NULL, 'Urotensin II signature.', NULL, NULL, 'UROTENSIN_II', 48018),
(104293, 'PS00631', NULL, 'Cytosol aminopeptidase signature.', NULL, NULL, 'CYTOSOL_AP', 48019),
(104294, 'PS00141', NULL, 'Eukaryotic and viral aspartyl proteases active site.', NULL, NULL, 'ASP_PROTEASE', 48020),
(104295, 'PS00483', NULL, 'Dihydroorotase signature 2.', NULL, NULL, 'DIHYDROOROTASE_2', 48021),
(104296, 'PS00027', NULL, '''Homeobox'' domain signature.', NULL, NULL, 'HOMEOBOX_1', 48022),
(104297, 'PS00023', NULL, 'Fibronectin type-II collagen-binding domain signature.', NULL, NULL, 'FN2_1', 48023),
(104298, 'PS60011', NULL, 'Plant C6 type antimicrobial peptide (AMP) signature.', NULL, NULL, 'PLANT_C6_AMP', 48024),
(104299, 'PS01005', NULL, 'Formate and nitrite transporters signature 1.', NULL, NULL, 'FORMATE_NITRITE_TP_1', 48025),
(104300, 'PS01215', NULL, 'Mrp family signature.', NULL, NULL, 'MRP', 48026),
(104301, 'PS00559', NULL, 'Eukaryotic molybdopterin oxidoreductases signature.', NULL, NULL, 'MOLYBDOPTERIN_EUK', 48027),
(104302, 'PS01015', NULL, 'Ribosomal protein L19 signature.', NULL, NULL, 'RIBOSOMAL_L19', 48028),
(104303, 'PS01326', NULL, 'Diaminopimelate epimerase signature.', NULL, NULL, 'DAP_EPIMERASE', 48029),
(104304, 'PS01188', NULL, 'ELO family signature.', NULL, NULL, 'ELO', 48030),
(104305, 'PS00123', NULL, 'Alkaline phosphatase active site.', NULL, NULL, 'ALKALINE_PHOSPHATASE', 48031),
(104306, 'PS00566', NULL, 'Fibrillarin signature.', NULL, NULL, 'FIBRILLARIN', 48032),
(104307, 'PS00742', NULL, 'PEP-utilizing enzymes signature 2.', NULL, NULL, 'PEP_ENZYMES_2', 48033),
(104308, 'PS01116', NULL, 'Xanthine/uracil permeases family signature.', NULL, NULL, 'XANTH_URACIL_PERMASE', 48034),
(104309, 'PS01247', NULL, 'Inosine-uridine preferring nucleoside hydrolase family signature.', NULL, NULL, 'IUNH', 48035),
(104310, 'PS00101', NULL, 'Hexapeptide-repeat containing-transferases signature.', NULL, NULL, 'HEXAPEP_TRANSFERASES', 48036),
(104311, 'PS00281', NULL, 'Bowman-Birk serine protease inhibitors family signature.', NULL, NULL, 'BOWMAN_BIRK', 48037),
(104312, 'PS00555', NULL, 'Plant viruses icosahedral capsid proteins ''S'' region signature.', NULL, NULL, 'ICOSAH_VIR_COAT_S', 48038),
(104313, 'PS00865', NULL, 'Ubiquitin-activating enzyme active site.', NULL, NULL, 'UBIQUITIN_ACTIVAT_2', 48039),
(104314, 'PS00170', NULL, 'Cyclophilin-type peptidyl-prolyl cis-trans isomerase signature.', NULL, NULL, 'CSA_PPIASE_1', 48040),
(104315, 'PS00805', NULL, 'Calreticulin family repeated motif signature.', NULL, NULL, 'CALRETICULIN_REPEAT', 48041),
(104316, 'PS00155', NULL, 'Cutinase, serine active site.', NULL, NULL, 'CUTINASE_1', 48042),
(104317, 'PS00773', NULL, 'Chitinases family 19 signature 1.', NULL, NULL, 'CHITINASE_19_1', 48043),
(104318, 'PS00185', NULL, 'Isopenicillin N synthase signature 1.', NULL, NULL, 'IPNS_1', 48044),
(104319, 'PS00206', NULL, 'Transferrin-like domain signature 2.', NULL, NULL, 'TRANSFERRIN_LIKE_2', 48045),
(104320, 'PS00840', NULL, 'Uroporphyrin-III C-methyltransferase signature 2.', NULL, NULL, 'SUMT_2', 48046),
(104321, 'PS00848', NULL, 'Cytochrome c oxidase subunit Vb, zinc binding region signature.', NULL, NULL, 'COX5B_1', 48047),
(104322, 'PS00685', NULL, 'NF-YB/HAP3 subunit signature.', NULL, NULL, 'NFYB_HAP3', 48048),
(104323, 'PS01044', NULL, 'Squalene and phytoene synthases signature 1.', NULL, NULL, 'SQUALEN_PHYTOEN_SYN_1', 48049),
(104324, 'PS01163', NULL, 'Galactose-1-phosphate uridyl transferase family 2 signature.', NULL, NULL, 'GAL_P_UDP_TRANSF_II', 48050),
(104325, 'PS00634', NULL, 'Ribosomal protein L30 signature.', NULL, NULL, 'RIBOSOMAL_L30', 48051),
(104326, 'PS00887', NULL, 'Dihydroxy-acid and 6-phosphogluconate dehydratases signature 2.', NULL, NULL, 'ILVD_EDD_2', 48052);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(104327, 'PS00547', NULL, 'Transglutaminases active site.', NULL, NULL, 'TRANSGLUTAMINASES', 48053),
(104328, 'PS01091', NULL, 'TatD deoxyribonuclease family signature 3.', NULL, NULL, 'TATD_3', 48054),
(104329, 'PS00705', NULL, 'Prokaryotic-type carbonic anhydrases signature 2.', NULL, NULL, 'PROK_CO2_ANHYDRASE_2', 48055),
(104330, 'PS00649', NULL, 'G-protein coupled receptors family 2 signature 1.', NULL, NULL, 'G_PROTEIN_RECEP_F2_1', 48056),
(104331, 'PS00668', NULL, 'Respiratory-chain NADH dehydrogenase subunit 1 signature 2.', NULL, NULL, 'COMPLEX1_ND1_2', 48057),
(104332, 'PS00366', NULL, 'Uricase signature.', NULL, NULL, 'URICASE', 48058),
(104333, 'PS00960', NULL, 'BTG family signature 1.', NULL, NULL, 'BTG_1', 48059),
(104334, 'PS01202', NULL, 'Methionine aminopeptidase subfamily 2 signature.', NULL, NULL, 'MAP_2', 48060),
(104335, 'PS00497', NULL, 'Tyrosinase CuA-binding region signature.', NULL, NULL, 'TYROSINASE_1', 48061),
(104336, 'PS00042', NULL, 'Crp-type HTH domain signature.', NULL, NULL, 'HTH_CRP_1', 48062),
(104337, 'PS01043', NULL, 'Transposases, IS30 family, signature.', NULL, NULL, 'TRANSPOSASE_IS30', 48063),
(104338, 'PS00829', NULL, 'Prokaryotic transcription elongation factors signature 1.', NULL, NULL, 'GREAB_1', 48064),
(104339, 'PS00419', NULL, 'Photosystem I psaA and psaB proteins signature.', NULL, NULL, 'PHOTOSYSTEM_I_PSAAB', 48065),
(104340, 'PS00710', NULL, 'Phosphoglucomutase and phosphomannomutase phosphoserine signature.', NULL, NULL, 'PGM_PMM', 48066),
(104341, 'PS00226', NULL, 'Intermediate filament (IF) rod domain signature.', NULL, NULL, 'IF_ROD_1', 48067),
(104342, 'PS01312', NULL, 'SecA family signature.', NULL, NULL, 'SECA', 48068),
(104343, 'PS01350', NULL, '2C-methyl-D-erythritol 2,4-cyclodiphosphate synthase signature.', NULL, NULL, 'ISPF', 48069),
(104344, 'PS00444', NULL, 'Polyprenyl synthases signature 2.', NULL, NULL, 'POLYPRENYL_SYNTHASE_2', 48070),
(104345, 'PS00100', NULL, 'Chloramphenicol acetyltransferase active site.', NULL, NULL, 'CAT', 48071),
(104346, 'PS00630', NULL, 'Inositol monophosphatase family signature 2.', NULL, NULL, 'IMP_2', 48072),
(104347, 'PS00870', NULL, 'Chaperonins clpA/B signature 1.', NULL, NULL, 'CLPAB_1', 48073),
(104348, 'PS00337', NULL, 'Beta-lactamase class-D active site.', NULL, NULL, 'BETA_LACTAMASE_D', 48074),
(104349, 'PS01095', NULL, 'Glycosyl hydrolases family 18 (GH18) active site signature.', NULL, NULL, 'GH18_1', 48075),
(104350, 'PS00132', NULL, 'Zinc carboxypeptidases, zinc-binding region 1 signature.', NULL, NULL, 'CARBOXYPEPT_ZN_1', 48076),
(104351, 'PS00676', NULL, 'Sigma-54 interaction domain ATP-binding region B signature.', NULL, NULL, 'SIGMA54_INTERACT_2', 48077),
(104352, 'PS00107', NULL, 'Protein kinases ATP-binding region signature.', NULL, NULL, 'PROTEIN_KINASE_ATP', 48078),
(104353, 'PS00130', NULL, 'Uracil-DNA glycosylase signature.', NULL, NULL, 'U_DNA_GLYCOSYLASE', 48079),
(104354, 'PS00359', NULL, 'Ribosomal protein L11 signature.', NULL, NULL, 'RIBOSOMAL_L11', 48080),
(104355, 'PS00678', NULL, 'Trp-Asp (WD) repeats signature.', NULL, NULL, 'WD_REPEATS_1', 48081),
(104356, 'PS01009', NULL, 'CRISP family signature 1.', NULL, NULL, 'CRISP_1', 48082),
(104357, 'PS00878', NULL, 'Orn/DAP/Arg decarboxylases family 2 pyridoxal-P attachment site.', NULL, NULL, 'ODR_DC_2_1', 48083),
(104358, 'PS00126', NULL, '3''5''-cyclic nucleotide phosphodiesterase domain signature.', NULL, NULL, 'PDEASE_I_1', 48084),
(104359, 'PS00562', NULL, 'CBM1 (carbohydrate binding type-1) domain signature.', NULL, NULL, 'CBM1_1', 48085),
(104360, 'PS00987', NULL, '6-pyruvoyl tetrahydropterin synthase signature 1.', NULL, NULL, 'PTPS_1', 48086),
(104361, 'PS00647', NULL, 'Thymidine and pyrimidine-nucleoside phosphorylases signature.', NULL, NULL, 'THYMID_PHOSPHORYLASE', 48087),
(104362, 'PS50841', NULL, 'DIX domain profile.', NULL, NULL, 'DIX', 48088),
(104363, 'PS51781', NULL, 'SH3b domain profile.', NULL, NULL, 'SH3B', 48089),
(104364, 'PS51846', NULL, 'CNNM transmembrane domain profile.', NULL, NULL, 'CNNM', 48090);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(104365, 'PS50855', NULL, 'Cytochrome oxidase subunit I  profile.', NULL, NULL, 'COX1', 48091),
(104366, 'PS51743', NULL, 'Alphavirus-like methyltransferase (MT) domain profile.', NULL, NULL, 'ALPHAVIRUS_MT', 48092),
(104367, 'PS51880', NULL, 'TGS domain profile.', NULL, NULL, 'TGS', 48093),
(104368, 'PS51076', NULL, 'MAD homology domain 2 (MH2) profile.', NULL, NULL, 'MH2', 48094),
(104369, 'PS51162', NULL, 'Thyroglobulin type-1 domain profile.', NULL, NULL, 'THYROGLOBULIN_1_2', 48095),
(104370, 'PS50256', NULL, 'Yeast PIR proteins repeats profile.', NULL, NULL, 'PIR_REPEAT_2', 48096),
(104371, 'PS51537', NULL, 'Norovirus 3C-like protease (NV 3CLpro) domain profile.', NULL, NULL, 'NV_3CL_PRO', 48097),
(104372, 'PS50200', NULL, 'Ras-associating (RA) domain profile.', NULL, NULL, 'RA', 48098),
(104373, 'PS50900', NULL, 'PLAC domain profile.', NULL, NULL, 'PLAC', 48099),
(104374, 'PS51703', NULL, 'DZF domain profile.', NULL, NULL, 'DZF', 48100),
(104375, 'PS51635', NULL, 'Patatin-like phospholipase (PNPLA) domain profile.', NULL, NULL, 'PNPLA', 48101),
(104376, 'PS51271', NULL, 'WAPL domain profile.', NULL, NULL, 'WAPL', 48102),
(104377, 'PS51073', NULL, 'RPEL repeat profile.', NULL, NULL, 'RPEL', 48103),
(104378, 'PS51274', NULL, 'CobBQ-type GATase domain profile.', NULL, NULL, 'GATASE_COBBQ', 48104),
(104379, 'PS51790', NULL, 'Methionine-R-sulfoxide reductase (MsrB) domain profile.', NULL, NULL, 'MSRB', 48105),
(104380, 'PS51013', NULL, 'Pannexin family profile.', NULL, NULL, 'PANNEXIN', 48106),
(104381, 'PS51156', NULL, 'ELM2 domain profile.', NULL, NULL, 'ELM2', 48107),
(104382, 'PS51521', NULL, 'Herpesvirus tegument ubiquitin-specific protease (htUSP) domain profile.', NULL, NULL, 'HTUSP', 48108),
(104383, 'PS51044', NULL, 'Zinc finger SP-RING-type profile.', NULL, NULL, 'ZF_SP_RING', 48109),
(104384, 'PS51376', NULL, 'DBB domain profile.', NULL, NULL, 'DBB', 48110),
(104385, 'PS50881', NULL, 'S5 double stranded RNA-binding domain profile.', NULL, NULL, 'S5_DSRBD', 48111),
(104386, 'PS51650', NULL, 'C2 DOCK-type domain profile.', NULL, NULL, 'C2_DOCK', 48112),
(104387, 'PS50134', NULL, 'Zinc finger TAZ-type profile.', NULL, NULL, 'ZF_TAZ', 48113),
(104388, 'PS51214', NULL, 'IBB domain profile.', NULL, NULL, 'IBB', 48114),
(104389, 'PS50137', NULL, 'Double stranded RNA-binding domain (dsRBD) profile.', NULL, NULL, 'DS_RBD', 48115),
(104390, 'PS51555', NULL, 'Methionine S-methyltransferase (EC 2.1.1.12) family profile.', NULL, NULL, 'SAM_MT12', 48116),
(104391, 'PS50824', NULL, 'DAPIN domain profile.', NULL, NULL, 'DAPIN', 48117),
(104392, 'PS51800', NULL, 'Zinc finger CHHC U11-48K-type profile.', NULL, NULL, 'ZF_CHHC_U11_48K', 48118),
(104393, 'PS51674', NULL, '4Fe-4S WhiB-like (Wbl)-type iron-sulfur binding domain profile.', NULL, NULL, '4FE4S_WBL', 48119),
(104394, 'PS51268', NULL, 'Arabinose import ATP-binding protein araG family profile.', NULL, NULL, 'ARAG', 48120),
(104395, 'PS51311', NULL, 'Secretoglobin (SCGB) family profile.', NULL, NULL, 'SCGB', 48121),
(104396, 'PS51691', NULL, 'Peptidase family S6 domain profile.', NULL, NULL, 'PEPTIDASE_S6', 48122),
(104397, 'PS51154', NULL, 'Macro domain profile.', NULL, NULL, 'MACRO', 48123),
(104398, 'PS50982', NULL, 'Methyl-CpG-binding domain (MBD) profile.', NULL, NULL, 'MBD', 48124),
(104399, 'PS51483', NULL, 'B5 domain profile.', NULL, NULL, 'B5', 48125),
(104400, 'PS51623', NULL, 'tRNA guanosine-2''-O-methyltransferase (EC 2.1.1.34) family profile.', NULL, NULL, 'SAM_MT_TRMH_1', 48126),
(104401, 'PS51340', NULL, 'MOSC domain profile.', NULL, NULL, 'MOSC', 48127),
(104402, 'PS51486', NULL, 'REKLES domain profile.', NULL, NULL, 'REKLES', 48128),
(104403, 'PS51241', NULL, 'Molybdenum import ATP-binding protein modC family profile.', NULL, NULL, 'MODC', 48129),
(104404, 'PS50207', NULL, 'Caspase family p10 domain profile.', NULL, NULL, 'CASPASE_P10', 48130),
(104405, 'PS51414', NULL, 'HSR domain profile.', NULL, NULL, 'HSR', 48131),
(104406, 'PS50051', NULL, 'MCM family domain profile.', NULL, NULL, 'MCM_2', 48132),
(104407, 'PS51572', NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, NULL, 'SAM_MT43_1', 48133); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(104408, 'PS51723', NULL, 'Peptidase family M60 domain profile.', NULL, NULL, 'PEPTIDASE_M60', 48134),
(104409, 'PS50953', NULL, 'KID domain profile.', NULL, NULL, 'KID', 48135),
(104410, 'PS51446', NULL, 'Pacifastin domain profile.', NULL, NULL, 'PACIFASTIN', 48136),
(104411, 'PS51465', NULL, 'Kazal domain profile.', NULL, NULL, 'KAZAL_2', 48137),
(104412, 'PS51683', NULL, 'SAM-dependent O-methyltransferase class II-type profile.', NULL, NULL, 'SAM_OMT_II', 48138),
(104413, 'PS50819', NULL, 'Intein DOD-type homing endonuclease domain profile.', NULL, NULL, 'INTEIN_ENDONUCLEASE', 48139),
(104414, 'PS50303', NULL, 'Pumilio homology domain (PUM-HD) profile.', NULL, NULL, 'PUM_HD', 48140),
(104415, 'PS51469', NULL, 'SUN domain profile.', NULL, NULL, 'SUN', 48141),
(104416, 'PS51866', NULL, 'Mop domain profile.', NULL, NULL, 'MOP', 48142),
(104417, 'PS50908', NULL, 'RWD domain profile.', NULL, NULL, 'RWD', 48143),
(104418, 'PS51246', NULL, 'Cobalt import ATP-binding protein cbiO.', NULL, NULL, 'CBIO', 48144),
(104419, 'PS51530', NULL, 'Fetuin-B-type cystatin domain profile.', NULL, NULL, 'CYSTATIN_FETUIN_B', 48145),
(104420, 'PS50955', NULL, 'LEM-like domain profile.', NULL, NULL, 'LEM_LIKE', 48146),
(104421, 'PS51666', NULL, 'QLQ domain profile.', NULL, NULL, 'QLQ', 48147),
(104422, 'PS51554', NULL, 'Pyruvate formate-lyase domain profile.', NULL, NULL, 'PFL', 48148),
(104423, 'PS50042', NULL, 'cAMP/cGMP binding motif profile.', NULL, NULL, 'CNMP_BINDING_3', 48149),
(104424, 'PS51716', NULL, 'IRG-type guanine nucleotide-binding (G) domain profile.', NULL, NULL, 'G_IRG', 48150),
(104425, 'PS50828', NULL, 'Smr domain profile.', NULL, NULL, 'SMR', 48151),
(104426, 'PS51608', NULL, 'UbiE family SAM-binding methyltransferase profile.', NULL, NULL, 'SAM_MT_UBIE', 48152),
(104427, 'PS51919', NULL, 'X4e domain profile.', NULL, NULL, 'X4E', 48153),
(104428, 'PS51665', NULL, 'Enkurin domain profile.', NULL, NULL, 'ENKURIN', 48154),
(104429, 'PS51505', NULL, 'SCA7 domain profile.', NULL, NULL, 'SCA7', 48155),
(104430, 'PS51158', NULL, 'Alpha-type protein kinase domain profile.', NULL, NULL, 'ALPHA_KINASE', 48156),
(104431, 'PS50139', NULL, 'Z-binding domain profile.', NULL, NULL, 'Z_BINDING', 48157),
(104432, 'PS50110', NULL, 'Response regulatory domain profile.', NULL, NULL, 'RESPONSE_REGULATORY', 48158),
(104433, 'PS51100', NULL, 'PTS_EIIB type-3 domain profile.', NULL, NULL, 'PTS_EIIB_TYPE_3', 48159),
(104434, 'PS51176', NULL, 'Prephenate/arogenate dehydrogenase domain profile.', NULL, NULL, 'PDH_ADH', 48160),
(104435, 'PS50048', NULL, 'Zn(2)-C6 fungal-type DNA-binding domain profile.', NULL, NULL, 'ZN2_CY6_FUNGAL_2', 48161),
(104436, 'PS51871', NULL, 'Potyviridae P1 protease domain profile.', NULL, NULL, 'PV_P1_PRO', 48162),
(104437, 'PS51244', NULL, 'Lipoprotein release ATP-binding protein lolD family profile.', NULL, NULL, 'LOLD', 48163),
(104438, 'PS51803', NULL, 'Zinc finger C2HC RNF-type profile.', NULL, NULL, 'ZF_C2HC_RNF', 48164),
(104439, 'PS51590', NULL, 'Mononegavirus L protein 2''-O-ribose methyltransferase domain profile.', NULL, NULL, 'SAM_MT_MNV_L', 48165),
(104440, 'PS50219', NULL, 'Citron homology (CNH) domain profile.', NULL, NULL, 'CNH', 48166),
(104441, 'PS50858', NULL, 'BSD domain profile.', NULL, NULL, 'BSD', 48167),
(104442, 'PS50954', NULL, 'LEM domain profile.', NULL, NULL, 'LEM', 48168),
(104443, 'PS51139', NULL, 'GTF2I-like repeat profile.', NULL, NULL, 'GTF2I', 48169),
(104444, 'PS51406', NULL, 'Fibrinogen C-terminal domain profile.', NULL, NULL, 'FIBRINOGEN_C_2', 48170),
(104445, 'PS51621', NULL, 'tRNA (uracil-5-)-methyltransferase (EC 2.1.1.35) family profile.', NULL, NULL, 'SAM_MT_RNA_M5U_1', 48171),
(104446, 'PS51129', NULL, 'PdxS/SNZ family profile.', NULL, NULL, 'PDXS_SNZ_2', 48172),
(104447, 'PS51011', NULL, 'ARID domain profile.', NULL, NULL, 'ARID', 48173),
(104448, 'PS51318', NULL, 'Twin arginine translocation (Tat) signal profile.', NULL, NULL, 'TAT', 48174),
(104449, 'PS51881', NULL, 'Obg C-terminal (OCT) domain profile.', NULL, NULL, 'OCT', 48175),
(104450, 'PS50089', NULL, 'Zinc finger RING-type profile.', NULL, NULL, 'ZF_RING_2', 48176);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(104451, 'PS50315', NULL, 'Glycine-rich region profile.', NULL, NULL, 'GLY_RICH', 48177),
(104452, 'PS50099', NULL, 'Proline-rich region profile.', NULL, NULL, 'PRO_RICH', 48178),
(104453, 'PS51865', NULL, 'GRASP-type PDZ domain profile.', NULL, NULL, 'PDZ_GRASP', 48179),
(104454, 'PS50119', NULL, 'Zinc finger B-box type profile.', NULL, NULL, 'ZF_BBOX', 48180),
(104455, 'PS51309', NULL, 'Poly(A)-binding protein C-terminal (PABC) domain profile.', NULL, NULL, 'PABC', 48181),
(104456, 'PS51583', NULL, 'Plant LSMT protein-lysine methyltransferase family profile.', NULL, NULL, 'SAM_MT127', 48182),
(104457, 'PS50031', NULL, 'EH domain profile.', NULL, NULL, 'EH', 48183),
(104458, 'PS51702', NULL, 'Mu-type HTH domain profile.', NULL, NULL, 'HTH_MU', 48184),
(104459, 'PS50310', NULL, 'Alanine-rich region profile.', NULL, NULL, 'ALA_RICH', 48185),
(104460, 'PS51297', NULL, 'K-box domain profile.', NULL, NULL, 'K_BOX', 48186),
(104461, 'PS51742', NULL, 'PPC domain profile profile.', NULL, NULL, 'PPC', 48187),
(104462, 'PS51145', NULL, 'ZU5 domain profile.', NULL, NULL, 'ZU5', 48188),
(104463, 'PS50276', NULL, 'Pancreatic hormone family profile.', NULL, NULL, 'PANCREATIC_HORMONE_2', 48189),
(104464, 'PS51680', NULL, 'SAM-dependent methyltransferase DRM-type domain profile.', NULL, NULL, 'SAM_MT_DRM', 48190),
(104465, 'PS51763', NULL, 'CBM10 (carbohydrate-binding type-10) domain profile.', NULL, NULL, 'CBM10', 48191),
(104466, 'PS51869', NULL, 'Amyloid precursor protein (APP) E1 domain profile.', NULL, NULL, 'APP_E1', 48192),
(104467, 'PS50846', NULL, 'Heavy-metal-associated domain profile.', NULL, NULL, 'HMA_2', 48193),
(104468, 'PS51569', NULL, 'Histone-lysine N-methyltransferase DOT1 (EC 2.1.1.43) domain profile.', NULL, NULL, 'DOT1', 48194),
(104469, 'PS51694', NULL, 'Peptidase family M66 domain profile.', NULL, NULL, 'PEPTIDASE_M66', 48195),
(104470, 'PS51847', NULL, 'Synaptotagmin-like mitochondrial lipid-binding proteins (SMP) domain profile.', NULL, NULL, 'SMP', 48196),
(104471, 'PS50052', NULL, 'Guanylate kinase-like domain profile.', NULL, NULL, 'GUANYLATE_KINASE_2', 48197),
(104472, 'PS50850', NULL, 'Major facilitator superfamily (MFS) profile.', NULL, NULL, 'MFS', 48198),
(104473, 'PS51223', NULL, 'MAP repeat profile.', NULL, NULL, 'MAP', 48199),
(104474, 'PS51489', NULL, 'BUB1 N-terminal domain profile.', NULL, NULL, 'BUB1_N', 48200),
(104475, 'PS51701', NULL, '6-Cysteine (6-Cys) domain profile.', NULL, NULL, '6_CYS', 48201),
(104476, 'PS51771', NULL, 'CGT/MARTX cysteine protease (CPD) domain profile.', NULL, NULL, 'CGT_MARTX_CPD', 48202),
(104477, 'PS51050', NULL, 'Zinc finger CW-type profile.', NULL, NULL, 'ZF_CW', 48203),
(104478, 'PS50929', NULL, 'ABC transporter integral membrane type-1 fused domain profile.', NULL, NULL, 'ABC_TM1F', 48204),
(104479, 'PS50011', NULL, 'Protein kinase domain profile.', NULL, NULL, 'PROTEIN_KINASE_DOM', 48205),
(104480, 'PS51098', NULL, 'PTS_EIIB type-1 domain profile.', NULL, NULL, 'PTS_EIIB_TYPE_1', 48206),
(104481, 'PS51136', NULL, 'WAC domain profile.', NULL, NULL, 'WAC', 48207),
(104482, 'PS51009', NULL, 'Cytochrome c class II profile.', NULL, NULL, 'CYTCII', 48208),
(104483, 'PS50046', NULL, 'Phytochrome chromophore attachment site domain profile.', NULL, NULL, 'PHYTOCHROME_2', 48209),
(104484, 'PS51328', NULL, 'L-type lectin-like (leguminous) domain profile.', NULL, NULL, 'L_LECTIN_LIKE', 48210),
(104485, 'PS51746', NULL, 'PPM-type phosphatase domain profile.', NULL, NULL, 'PPM_2', 48211),
(104486, 'PS51125', NULL, 'NHL repeat profile.', NULL, NULL, 'NHL', 48212),
(104487, 'PS51543', NULL, 'FYR domain FYRC motif profile.', NULL, NULL, 'FYRC', 48213),
(104488, 'PS51110', NULL, 'Saposin A-type domain profile.', NULL, NULL, 'SAP_A', 48214),
(104489, 'PS51791', NULL, 'hSac2 domain profile.', NULL, NULL, 'HSAC2', 48215),
(104490, 'PS50114', NULL, 'GATA-type zinc finger domain profile.', NULL, NULL, 'GATA_ZN_FINGER_2', 48216),
(104491, 'PS50192', NULL, 't-SNARE coiled-coil homology domain profile.', NULL, NULL, 'T_SNARE', 48217),
(104492, 'PS50811', NULL, 'WRKY domain profile.', NULL, NULL, 'WRKY', 48218);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(104493, 'PS50898', NULL, 'Ras-binding domain (RBD) profile.', NULL, NULL, 'RBD', 48219),
(104494, 'PS51301', NULL, 'KilA-N domain profile.', NULL, NULL, 'KILA_N', 48220),
(104495, 'PS51642', NULL, 'Hemopexin repeat profile.', NULL, NULL, 'HEMOPEXIN_2', 48221),
(104496, 'PS51835', NULL, 'Tripartite DENN C9ORF72-type domain profile.', NULL, NULL, 'DENN_C9ORF72', 48222),
(104497, 'PS50808', NULL, 'Zinc finger BED-type profile.', NULL, NULL, 'ZF_BED', 48223),
(104498, 'PS50229', NULL, 'WH1 domain profile.', NULL, NULL, 'WH1', 48224),
(104499, 'PS51434', NULL, 'NUP C-terminal domain profile.', NULL, NULL, 'NUP_C', 48225),
(104500, 'PS51442', NULL, 'Coronavirus main protease (M-pro) domain profile.', NULL, NULL, 'M_PRO', 48226),
(104501, 'PS50006', NULL, 'Forkhead-associated (FHA) domain profile.', NULL, NULL, 'FHA_DOMAIN', 48227),
(104502, 'PS51734', NULL, 'MPBQ/MBSQ family SAM-binding methyltransferase profile.', NULL, NULL, 'SAM_MPBQ_MSBQ_MT', 48228),
(104503, 'PS51875', NULL, 'Hypovirus-associated virus (HAV) papain-like protease p48 domain profile.', NULL, NULL, 'HAV_P48_PRO', 48229),
(104504, 'PS50014', NULL, 'Bromodomain profile.', NULL, NULL, 'BROMODOMAIN_2', 48230),
(104505, 'PS51436', NULL, 'Potyvirus NIa protease (NIa-pro) domain profile.', NULL, NULL, 'POTYVIRUS_NIA_PRO', 48231),
(104506, 'PS51003', NULL, 'Cytochrome b/b6 C-terminal region profile.', NULL, NULL, 'CYTB_CTER', 48232),
(104507, 'PS51783', NULL, 'BEACH-type PH domain profile.', NULL, NULL, 'PH_BEACH', 48233),
(104508, 'PS51718', NULL, 'Dynamin-type guanine nucleotide-binding (G) domain profile.', NULL, NULL, 'G_DYNAMIN_2', 48234),
(104509, 'PS50945', NULL, 'I/LWEQ domain profile.', NULL, NULL, 'I_LWEQ', 48235),
(104510, 'PS51341', NULL, 'Zinc finger large T-antigen (T-ag) D1-type profile.', NULL, NULL, 'ZF_LTAG_D1', 48236),
(104511, 'PS51464', NULL, 'SIS domain profile.', NULL, NULL, 'SIS', 48237),
(104512, 'PS51688', NULL, 'Intramolecular chaperone auto-processing (ICA) domain profile.', NULL, NULL, 'ICA', 48238),
(104513, 'PS51177', NULL, 'Riboflavin synthase alpha chain lumazine-binding repeat profile.', NULL, NULL, 'LUMAZINE_BIND', 48239),
(104514, 'PS51220', NULL, 'NIDO domain profile.', NULL, NULL, 'NIDO', 48240),
(104515, 'PS50143', NULL, 'BIR repeat profile.', NULL, NULL, 'BIR_REPEAT_2', 48241),
(104516, 'PS51218', NULL, 'Superfamily 3 helicase of positive ssRNA viruses domain profile.', NULL, NULL, 'SF3_HELICASE_2', 48242),
(104517, 'PS50007', NULL, 'Phosphatidylinositol-specific phospholipase X-box domain profile.', NULL, NULL, 'PIPLC_X_DOMAIN', 48243),
(104518, 'PS50924', NULL, 'MHYT domain profile.', NULL, NULL, 'MHYT', 48244),
(104519, 'PS51480', NULL, 'DhaL domain profile.', NULL, NULL, 'DHAL', 48245),
(104520, 'PS51909', NULL, 'Invertebrate (I)-type lysozyme domain profile.', NULL, NULL, 'LYSOZYME_I', 48246),
(104521, 'PS50914', NULL, 'BON domain profile.', NULL, NULL, 'BON', 48247),
(104522, 'PS51389', NULL, 'Xin repeat profile.', NULL, NULL, 'XIN', 48248),
(104523, 'PS51670', NULL, 'ShKT domain profile.', NULL, NULL, 'SHKT', 48249),
(104524, 'PS51682', NULL, 'SAM-dependent O-methyltransferase class I-type profile.', NULL, NULL, 'SAM_OMT_I', 48250),
(104525, 'PS51902', NULL, 'ClpX zinc binding (ZB) domain profile.', NULL, NULL, 'CLPX_ZB', 48251),
(104526, 'PS50184', NULL, 'VWFC domain profile.', NULL, NULL, 'VWFC_2', 48252),
(104527, 'PS50135', NULL, 'Zinc finger ZZ-type profile.', NULL, NULL, 'ZF_ZZ_2', 48253),
(104528, 'PS51377', NULL, 'KIND domain profile.', NULL, NULL, 'KIND', 48254),
(104529, 'PS51140', NULL, 'CUE domain profile.', NULL, NULL, 'CUE', 48255),
(104530, 'PS51896', NULL, 'Zinc finger C4H2-type profile.', NULL, NULL, 'ZF_C4H2', 48256),
(104531, 'PS50877', NULL, 'GoLoco/GPR motif profile.', NULL, NULL, 'GOLOCO', 48257),
(104532, 'PS51199', NULL, 'Superfamily 4 helicase domain profile.', NULL, NULL, 'SF4_HELICASE', 48258),
(104533, 'PS51706', NULL, 'EngB-type guanine nucleotide-binding (G) domain profile.', NULL, NULL, 'G_ENGB', 48259),
(104534, 'PS51049', NULL, 'KASH domain profile.', NULL, NULL, 'KASH', 48260);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(104535, 'PS51649', NULL, 'NPH3 domain profile.', NULL, NULL, 'NPH3', 48261),
(104536, 'PS50144', NULL, 'MATH/TRAF domain profile.', NULL, NULL, 'MATH', 48262),
(104537, 'PS51106', NULL, 'PTS_EIIC type-4 domain profile.', NULL, NULL, 'PTS_EIIC_TYPE_4', 48263),
(104538, 'PS50175', NULL, 'Aspartyl protease, retroviral-type family profile.', NULL, NULL, 'ASP_PROT_RETROV', 48264),
(104539, 'PS51891', NULL, 'CENP-V/GFA domain profile.', NULL, NULL, 'CENP_V_GFA', 48265),
(104540, 'PS01033', NULL, 'Globin family profile.', NULL, NULL, 'GLOBIN', 48266),
(104541, 'PS50901', NULL, 'FtsK domain profile.', NULL, NULL, 'FTSK', 48267),
(104542, 'PS51693', NULL, 'Hepacivirus nonstructural protein 2 (NS2) protease domain profile.', NULL, NULL, 'HCV_NS2_PRO', 48268),
(104543, 'PS50943', NULL, 'Cro/C1-type HTH domain profile.', NULL, NULL, 'HTH_CROC1', 48269),
(104544, 'PS50861', NULL, 'Heterodimeric glycyl-transfer RNA synthetases family profile.', NULL, NULL, 'AA_TRNA_LIGASE_II_GLYAB', 48270),
(104545, 'PS51503', NULL, 'HIG1 domain profile.', NULL, NULL, 'HIG1', 48271),
(104546, 'PS50262', NULL, 'G-protein coupled receptors family 1 profile.', NULL, NULL, 'G_PROTEIN_RECEP_F1_2', 48272),
(104547, 'PS51078', NULL, 'IclR effector binding domain profile.', NULL, NULL, 'ICLR_ED', 48273),
(104548, 'PS51820', NULL, 'PA14 domain profile.', NULL, NULL, 'PA14', 48274),
(104549, 'PS51826', NULL, 'Peripheral subunit-binding (PSBD) domain profile.', NULL, NULL, 'PSBD', 48275),
(104550, 'PS01225', NULL, 'C-terminal cystine knot domain profile.', NULL, NULL, 'CTCK_2', 48276),
(104551, 'PS51206', NULL, 'Superfamily 3 helicase of DNA viruses domain profile.', NULL, NULL, 'SF3_HELICASE_1', 48277),
(104552, 'PS51864', NULL, 'Astacin-like domain profile.', NULL, NULL, 'ASTACIN', 48278),
(104553, 'PS51733', NULL, 'Biotinyl protein ligase (BPL) and lipoyl protein ligase (LPL) catalytic domain profile.', NULL, NULL, 'BPL_LPL_CATALYTIC', 48279),
(104554, 'PS51592', NULL, 'mRNA (2''-O-methyladenosine-N(6)-)-methyltransferase-like (MT-A70-like) family profile.', NULL, NULL, 'SAM_MTA70L_2', 48280),
(104555, 'PS50526', NULL, 'RdRp of negative ssRNA viruses with non-segmented genomes catalytic domain profile.', NULL, NULL, 'RDRP_SSRNA_NEG_NONSEG', 48281),
(104556, 'PS51258', NULL, 'Munc13-homology domain 1 (MHD1) profile.', NULL, NULL, 'MHD1', 48282),
(104557, 'PS51818', NULL, 'Homeo-Prospero domain profile.', NULL, NULL, 'HOMEO_PROSPERO', 48283),
(104558, 'PS51115', NULL, 'Laminin IV type A domain profile.', NULL, NULL, 'LAMININ_IVA', 48284),
(104559, 'PS51213', NULL, 'ELK domain profile.', NULL, NULL, 'ELK', 48285),
(104560, 'PS51625', NULL, 'SAM-dependent methyltransferase TRMB-type domain profile.', NULL, NULL, 'SAM_MT_TRMB', 48286),
(104561, 'PS51302', NULL, 'Single-minded C-terminal domain profile.', NULL, NULL, 'SIM_C', 48287),
(104562, 'PS51420', NULL, 'small GTPase Rho family profile.', NULL, NULL, 'RHO', 48288),
(104563, 'PS51900', NULL, 'Core-binding (CB) domain profile.', NULL, NULL, 'CB', 48289),
(104564, 'PS50079', NULL, 'Bipartite nuclear localization signal profile.', NULL, NULL, 'NLS_BP', 48290),
(104565, 'PS51171', NULL, 'Prephenate dehydratase domain profile.', NULL, NULL, 'PREPHENATE_DEHYDR_3', 48291),
(104566, 'PS51196', NULL, 'SecA family profile.', NULL, NULL, 'SECA_MOTOR_DEAD', 48292),
(104567, 'PS51581', NULL, 'SAM-dependent methyltransferase gamma-tocopherol (gTMT)-type family profile.', NULL, NULL, 'SAM_GTMT', 48293),
(104568, 'PS51438', NULL, 'Albumin domain profile.', NULL, NULL, 'ALBUMIN_2', 48294),
(104569, 'PS51240', NULL, 'Nod factors export ATP-binding protein I nodI family profile.', NULL, NULL, 'NODI', 48295),
(104570, 'PS51947', NULL, 'Nidovirus RdRp-associated nucleotidyl transferase (NiRAN) domain profile.', NULL, NULL, 'NIRAN', 48296),
(104571, 'PS51293', NULL, 'SANT domain profile.', NULL, NULL, 'SANT', 48297),
(104572, 'PS51405', NULL, 'Heme haloperoxidase family profile.', NULL, NULL, 'HEME_HALOPEROXIDASE', 48298),
(104573, 'PS50888', NULL, 'Myc-type, basic helix-loop-helix (bHLH) domain profile.', NULL, NULL, 'BHLH', 48299);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(104574, 'PS50806', NULL, 'KRAB-related domain profile.', NULL, NULL, 'KRAB_RELATED', 48300),
(104575, 'PS51740', NULL, 'SpoVT-AbrB domain profile.', NULL, NULL, 'SPOVT_ABRB', 48301),
(104576, 'PS51335', NULL, 'ELMO domain profile.', NULL, NULL, 'ELMO', 48302),
(104577, 'PS50068', NULL, 'LDL-receptor class A (LDLRA) domain profile.', NULL, NULL, 'LDLRA_2', 48303),
(104578, 'PS50112', NULL, 'PAS repeat profile.', NULL, NULL, 'PAS', 48304),
(104579, 'PS51410', NULL, 'Biopterin-dependent aromatic amino acid hydroxylase family profile.', NULL, NULL, 'BH4_AAA_HYDROXYL_2', 48305),
(104580, 'PS51330', NULL, 'Dihydrofolate reductase (DHFR) domain profile.', NULL, NULL, 'DHFR_2', 48306),
(104581, 'PS51093', NULL, 'PTS_EIIA type-1 domain profile.', NULL, NULL, 'PTS_EIIA_TYPE_1', 48307),
(104582, 'PS51882', NULL, 'G-alpha domain profile.', NULL, NULL, 'G_ALPHA', 48308),
(104583, 'PS50253', NULL, 'Heme-copper oxidase subunit III family profile.', NULL, NULL, 'COX3', 48309),
(104584, 'PS50827', NULL, 'DDT domain profile.', NULL, NULL, 'DDT', 48310),
(104585, 'PS51190', NULL, 'FATC domain profile.', NULL, NULL, 'FATC', 48311),
(104586, 'PS51684', NULL, 'SAM-dependent methyltransferase TRM5/TYW2-type domain profile.', NULL, NULL, 'SAM_MT_TRM5_TYW2', 48312),
(104587, 'PS51854', NULL, 'CSPG repeat profile.', NULL, NULL, 'CSPG', 48313),
(104588, 'PS51367', NULL, 'Thaumatin family profile.', NULL, NULL, 'THAUMATIN_2', 48314),
(104589, 'PS51459', NULL, 'Fido domain profile.', NULL, NULL, 'FIDO', 48315),
(104590, 'PS50871', NULL, 'C1q domain profile.', NULL, NULL, 'C1Q', 48316),
(104591, 'PS51366', NULL, 'MI domain profile.', NULL, NULL, 'MI', 48317),
(104592, 'PS50822', NULL, 'Piwi domain profile.', NULL, NULL, 'PIWI', 48318),
(104593, 'PS50173', NULL, 'UmuC domain profile.', NULL, NULL, 'UMUC', 48319),
(104594, 'PS50889', NULL, 'S4 RNA-binding domain profile.', NULL, NULL, 'S4', 48320),
(104595, 'PS51720', NULL, 'AIG1-type G domain profile.', NULL, NULL, 'G_AIG1', 48321),
(104596, 'PS50913', NULL, 'GRIP domain profile.', NULL, NULL, 'GRIP', 48322),
(104597, 'PS51165', NULL, 'THUMP domain profile.', NULL, NULL, 'THUMP', 48323),
(104598, 'PS51687', NULL, 'SAM-dependent methyltransferase RNA m(5)U-type domain profile.', NULL, NULL, 'SAM_MT_RNA_M5U', 48324),
(104599, 'PS50032', NULL, 'Kinase associated domain 1 (KA1) profile.', NULL, NULL, 'KA1', 48325),
(104600, 'PS50844', NULL, 'Antifreeze protein-like domain profile.', NULL, NULL, 'AFP_LIKE', 48326),
(104601, 'PS50880', NULL, 'Toprim domain profile.', NULL, NULL, 'TOPRIM', 48327),
(104602, 'PS50999', NULL, 'Cytochrome oxidase subunit II transmembrane region profile.', NULL, NULL, 'COX2_TM', 48328),
(104603, 'PS51475', NULL, 'Proteasome alpha-type subunit profile.', NULL, NULL, 'PROTEASOME_ALPHA_2', 48329),
(104604, 'PS51811', NULL, 'Zinc finger CCHC HIVEP-type profile.', NULL, NULL, 'ZF_CCHC_HIVEP', 48330),
(104605, 'PS50190', NULL, 'SEC7 domain profile.', NULL, NULL, 'SEC7', 48331),
(104606, 'PS51837', NULL, 'LITAF domain profile.', NULL, NULL, 'LITAF', 48332),
(104607, 'PS50227', NULL, 'G-protein coupled receptors family 2 profile 1.', NULL, NULL, 'G_PROTEIN_RECEP_F2_3', 48333),
(104608, 'PS51399', NULL, 'SEP domain profile.', NULL, NULL, 'SEP', 48334),
(104609, 'PS51920', NULL, 'Sarbecovirus 9b domain profile.', NULL, NULL, 'SARS_9B', 48335),
(104610, 'PS50088', NULL, 'Ankyrin repeat profile.', NULL, NULL, 'ANK_REPEAT', 48336),
(104611, 'PS50258', NULL, 'LNR (Lin-12/Notch) repeat profile.', NULL, NULL, 'LNR', 48337),
(104612, 'PS51490', NULL, 'KHA domain profile.', NULL, NULL, 'KHA', 48338),
(104613, 'PS50249', NULL, 'MPN domain profile.', NULL, NULL, 'MPN', 48339),
(104614, 'PS50990', NULL, 'Peptidase family C39 domain profile.', NULL, NULL, 'PEPTIDASE_C39', 48340),
(104615, 'PS51533', NULL, 'ADD domain profile.', NULL, NULL, 'ADD', 48341),
(104616, 'PS50056', NULL, 'Tyrosine specific protein phosphatases domain profile.', NULL, NULL, 'TYR_PHOSPHATASE_2', 48342),
(104617, 'PS51042', NULL, 'CUT domain profile.', NULL, NULL, 'CUT', 48343),
(104618, 'PS50076', NULL, 'dnaJ domain profile.', NULL, NULL, 'DNAJ_2', 48344);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(104619, 'PS50922', NULL, 'TLC domain profile.', NULL, NULL, 'TLC', 48345),
(104620, 'PS51548', NULL, 'Birnavirus VP4 protease domain profile.', NULL, NULL, 'BIRNAVIRUS_VP4_PRO', 48346),
(104621, 'PS50884', NULL, 'Zinc finger Dof-type profile.', NULL, NULL, 'ZF_DOF_2', 48347),
(104622, 'PS51285', NULL, 'AGC-kinase C-terminal domain profile.', NULL, NULL, 'AGC_KINASE_CTER', 48348),
(104623, 'PS51482', NULL, 'DegV domain profile.', NULL, NULL, 'DEGV', 48349),
(104624, 'PS51863', NULL, 'LCN-type cysteine-stabilized alpha/beta (CS-alpha/beta) domain profile.', NULL, NULL, 'LCN_CSAB', 48350),
(104625, 'PS50199', NULL, 'Zinc finger RanBP2 type profile.', NULL, NULL, 'ZF_RANBP2_2', 48351),
(104626, 'PS50228', NULL, 'SUEL-type lectin domain profile.', NULL, NULL, 'SUEL_LECTIN', 48352),
(104627, 'PS50279', NULL, 'Pancreatic trypsin inhibitor (Kunitz) family profile.', NULL, NULL, 'BPTI_KUNITZ_2', 48353),
(104628, 'PS51334', NULL, 'PRONE domain profile.', NULL, NULL, 'PRONE', 48354),
(104629, 'PS51927', NULL, 'Coronavirus membrane (Cov-M) protein profile.', NULL, NULL, 'COV_M', 48355),
(104630, 'PS51201', NULL, 'RCK N-terminal domain profile.', NULL, NULL, 'RCK_N', 48356),
(104631, 'PS51556', NULL, 'Magnesium protoporphyrin IX methyltransferase (EC 2.1.1.11) family profile.', NULL, NULL, 'SAM_MT_MG_PIX', 48357),
(104632, 'PS51526', NULL, 'RFX-type winged-helix DNA-binding domain profile.', NULL, NULL, 'RFX_DBD', 48358),
(104633, 'PS51319', NULL, 'TFIIS N-terminal domain profile.', NULL, NULL, 'TFIIS_N', 48359),
(104634, 'PS51337', NULL, 'B12-binding N-terminal domain profile.', NULL, NULL, 'B12_BINDING_NTER', 48360),
(104635, 'PS51777', NULL, 'RH2 domain profile.', NULL, NULL, 'RH2', 48361),
(104636, 'PS50935', NULL, 'Single-strand binding (SSB) domain profile.', NULL, NULL, 'SSB', 48362),
(104637, 'PS51860', NULL, 'REM-1 domain profile.', NULL, NULL, 'REM_1', 48363),
(104638, 'PS51885', NULL, 'Neprilysin-like (M13) protease domain profile.', NULL, NULL, 'NEPRILYSIN', 48364),
(104639, 'PS51245', NULL, 'Maltose/Maltodextrin import ATP-binding protein malK family profile.', NULL, NULL, 'MALK', 48365),
(104640, 'PS51135', NULL, 'CIDE-N domain profile.', NULL, NULL, 'CIDE_N', 48366),
(104641, 'PS51462', NULL, 'Nudix hydrolase domain profile.', NULL, NULL, 'NUDIX', 48367),
(104642, 'PS51685', NULL, 'SAM-dependent methyltransferase Erg6/SMT-type domain profile.', NULL, NULL, 'SAM_MT_ERG6_SMT', 48368),
(104643, 'PS51386', NULL, 'RINT1/TIP20 domain profile.', NULL, NULL, 'RINT1_TIP20', 48369),
(104644, 'PS51712', NULL, 'EngA-type guanine nucleotide-binding (G) domain profile.', NULL, NULL, 'G_ENGA', 48370),
(104645, 'PS50061', NULL, 'Ets-domain profile.', NULL, NULL, 'ETS_DOMAIN_3', 48371),
(104646, 'PS51833', NULL, 'HD-related output (HDOD) domain profile.', NULL, NULL, 'HDOD', 48372),
(104647, 'PS51520', NULL, 'Alphavirus nsp2 protease (nsp2pro) domain profile.', NULL, NULL, 'NSP2PRO', 48373),
(104648, 'PS51784', NULL, 'Exonuclease I (ExoI) SH3-like domain profile.', NULL, NULL, 'EXOI_SH3', 48374),
(104649, 'PS50197', NULL, 'BEACH domain profile.', NULL, NULL, 'BEACH', 48375),
(104650, 'PS50821', NULL, 'PAZ domain profile.', NULL, NULL, 'PAZ', 48376),
(104651, 'PS01180', NULL, 'CUB domain profile.', NULL, NULL, 'CUB', 48377),
(104652, 'PS51874', NULL, 'Picornavirales 3C/3C-like protease domain profile.', NULL, NULL, 'PCV_3C_PRO', 48378),
(104653, 'PS51431', NULL, 'KaiA C-terminal domain profile.', NULL, NULL, 'KAIA_C', 48379),
(104654, 'PS51514', NULL, 'BRX domain profile.', NULL, NULL, 'BRX', 48380),
(104655, 'PS50179', NULL, 'VHS domain profile.', NULL, NULL, 'VHS', 48381),
(104656, 'PS50086', NULL, 'TBC/rab GAP domain profile.', NULL, NULL, 'TBC_RABGAP', 48382),
(104657, 'PS51155', NULL, 'Chitin-binding type R&R domain profile.', NULL, NULL, 'CHIT_BIND_RR_2', 48383),
(104658, 'PS51277', NULL, 'BURP domain profile.', NULL, NULL, 'BURP', 48384),
(104659, 'PS51772', NULL, 'Actin cross-linking (ACD) domain profile.', NULL, NULL, 'ACD', 48385),
(104660, 'PS51758', NULL, 'Letm1 ribosome-binding (RBD) domain profile.', NULL, NULL, 'LETM1_RBD', 48386);
INSERT INTO "PUBLIC"."MODEL" VALUES
(104661, 'PS51906', NULL, 'Zinc finger UBZ2-type profile.', NULL, NULL, 'ZF_UBZ2', 48387),
(104662, 'PS50926', NULL, 'TRAM domain profile.', NULL, NULL, 'TRAM', 48388),
(104663, 'PS51168', NULL, 'Chorismate mutase domain profile.', NULL, NULL, 'CHORISMATE_MUT_2', 48389),
(104664, 'PS50820', NULL, 'LCCL domain profile.', NULL, NULL, 'LCCL', 48390),
(104665, 'PS50268', NULL, 'Cadherins domain profile.', NULL, NULL, 'CADHERIN_2', 48391),
(104666, 'PS50507', NULL, 'RdRp of positive ssRNA viruses catalytic domain profile.', NULL, NULL, 'RDRP_SSRNA_POS', 48392),
(104667, 'PS51536', NULL, 'TFG box profile.', NULL, NULL, 'TFG', 48393),
(104668, 'PS51672', NULL, 'ACT-like domain profile.', NULL, NULL, 'ACT_LIKE', 48394),
(104669, 'PS50927', NULL, 'Bulb-type lectin domain profile.', NULL, NULL, 'BULB_LECTIN', 48395),
(104670, 'PS50102', NULL, 'Eukaryotic RNA Recognition Motif (RRM) profile.', NULL, NULL, 'RRM', 48396),
(104671, 'PS51774', NULL, 'Networked (NET) actin-binding (NAB) domain profile.', NULL, NULL, 'NAB', 48397),
(104672, 'PS51207', NULL, 'PXA domain profile.', NULL, NULL, 'PXA', 48398),
(104673, 'PS51940', NULL, 'Sarbecovirus Nsp3c-N domain profile.', NULL, NULL, 'SARS_NSP3C_N', 48399),
(104674, 'PS50807', NULL, 'GCM domain profile.', NULL, NULL, 'GCM', 48400),
(104675, 'PS51027', NULL, 'Integrase DNA binding domain profile.', NULL, NULL, 'INTEGRASE_DBD', 48401),
(104676, 'PS51353', NULL, 'ArsC family profile.', NULL, NULL, 'ARSC', 48402),
(104677, 'PS51370', NULL, 'R domain profile.', NULL, NULL, 'R', 48403),
(104678, 'PS50082', NULL, 'Trp-Asp (WD) repeats profile.', NULL, NULL, 'WD_REPEATS_2', 48404),
(104679, 'PS51692', NULL, 'Pestivirus nonstructural protein 2 (NS2) protease domain profile.', NULL, NULL, 'PESTIVIRUS_NS2_PRO', 48405),
(104680, 'PS51932', NULL, 'Bacterial microcompartment vertex (BMV) domain profile.', NULL, NULL, 'BMV', 48406),
(104681, 'PS51614', NULL, 'Adrift-type ribose 2''-O-methyltransferase (EC 2.1.1.-) domain profile.', NULL, NULL, 'SAM_MT_ADRIFT', 48407),
(104682, 'PS51810', NULL, 'Zinc finger CCHC FOG-type profile.', NULL, NULL, 'ZF_CCHC_FOG', 48408),
(104683, 'PS51253', NULL, 'CENPB-type HTH domain profile.', NULL, NULL, 'HTH_CENPB', 48409),
(104684, 'PS50104', NULL, 'TIR domain profile.', NULL, NULL, 'TIR', 48410),
(104685, 'PS51620', NULL, 'tRNA (adenine(57)-N(1)/adenine(58)-N(1) or adenine(58)-N(1)) (EC 2.1.1.219 or EC 2.1.1.220) family profile.', NULL, NULL, 'SAM_TRM61', 48411),
(104686, 'PS51675', NULL, 'SAM-dependent methyltransferase TRM10-type domain profile.', NULL, NULL, 'SAM_MT_TRM10', 48412),
(104687, 'PS50994', NULL, 'Integrase catalytic domain profile.', NULL, NULL, 'INTEGRASE', 48413),
(104688, 'PS50174', NULL, 'G-patch domain profile.', NULL, NULL, 'G_PATCH', 48414),
(104689, 'PS51123', NULL, 'OmpA-like domain profile.', NULL, NULL, 'OMPA_2', 48415),
(104690, 'PS50848', NULL, 'START domain profile.', NULL, NULL, 'START', 48416),
(104691, 'PS50195', NULL, 'PX domain profile.', NULL, NULL, 'PX', 48417),
(104692, 'PS51101', NULL, 'PTS_EIIB type-4 domain profile.', NULL, NULL, 'PTS_EIIB_TYPE_4', 48418),
(104693, 'PS51239', NULL, 'Lipid A export ATP-binding/permease protein msbA family profile.', NULL, NULL, 'MSBA', 48419),
(104694, 'PS50057', NULL, 'FERM domain profile.', NULL, NULL, 'FERM_3', 48420),
(104695, 'PS51248', NULL, 'Nickel import ATP-binding protein nikE.', NULL, NULL, 'NIKE', 48421),
(104696, 'PS50859', NULL, 'Longin domain profile.', NULL, NULL, 'LONGIN', 48422),
(104697, 'PS50292', NULL, 'Animal heme peroxidase superfamily profile.', NULL, NULL, 'PEROXIDASE_3', 48423),
(104698, 'PS50072', NULL, 'Cyclophilin-type peptidyl-prolyl cis-trans isomerase domain profile.', NULL, NULL, 'CSA_PPIASE_2', 48424),
(104699, 'PS50876', NULL, 'Zinc finger integrase-type profile.', NULL, NULL, 'ZF_INTEGRASE', 48425),
(104700, 'PS50323', NULL, 'Arginine-rich region profile.', NULL, NULL, 'ARG_RICH', 48426),
(104701, 'PS51785', NULL, 'Exonuclease I (ExoI) C-terminal domain profile.', NULL, NULL, 'EXOI_C', 48427),
(104702, 'PS50254', NULL, 'NF-kappa-B/Rel/dorsal domain profile.', NULL, NULL, 'REL_2', 48428); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(104703, 'PS50405', NULL, 'Soluble glutathione S-transferase C-terminal domain profile.', NULL, NULL, 'GST_CTER', 48429),
(104704, 'PS51898', NULL, 'Tyrosine recombinase domain profile.', NULL, NULL, 'TYR_RECOMBINASE', 48430),
(104705, 'PS51066', NULL, 'Zinc finger FPG-type profile.', NULL, NULL, 'ZF_FPG_2', 48431),
(104706, 'PS51233', NULL, 'VWFD domain profile.', NULL, NULL, 'VWFD', 48432),
(104707, 'PS50128', NULL, 'SURP motif repeat profile.', NULL, NULL, 'SURP', 48433),
(104708, 'PS50263', NULL, 'Carbon-nitrogen hydrolase domain profile.', NULL, NULL, 'CN_HYDROLASE', 48434),
(104709, 'PS51851', NULL, 'KARI C-terminal domain profile.', NULL, NULL, 'KARI_C', 48435),
(104710, 'PS51382', NULL, 'SPX domain profile.', NULL, NULL, 'SPX', 48436),
(104711, 'PS50952', NULL, 'KIX domain profile.', NULL, NULL, 'KIX', 48437),
(104712, 'PS51424', NULL, 'Roc domain profile.', NULL, NULL, 'ROC', 48438),
(104713, 'PS51449', NULL, 'Methylthiotransferase N-terminal domain profile.', NULL, NULL, 'MTTASE_N', 48439),
(104714, 'PS51181', NULL, 'Phosphatase tensin-type domain profile.', NULL, NULL, 'PPASE_TENSIN', 48440),
(104715, 'PS51146', NULL, 'KaiC domain profile.', NULL, NULL, 'KAIC', 48441),
(104716, 'PS51817', NULL, 'Peptidase family A3B domain profile.', NULL, NULL, 'PEPTIDASE_A3B', 48442),
(104717, 'PS51172', NULL, 'CBM3 (carbohydrate binding type-3) domain profile.', NULL, NULL, 'CBM3', 48443),
(104718, 'PS51689', NULL, 'rRNA adenine N(6)-methyltransferase family profile.', NULL, NULL, 'SAM_RNA_A_N6_MT', 48444),
(104719, 'PS50113', NULL, 'PAC domain profile.', NULL, NULL, 'PAC', 48445),
(104720, 'PS50238', NULL, 'Rho GTPase-activating proteins domain profile.', NULL, NULL, 'RHOGAP', 48446),
(104721, 'PS51085', NULL, '2Fe-2S ferredoxin-type iron-sulfur binding domain profile.', NULL, NULL, '2FE2S_FER_2', 48447),
(104722, 'PS51510', NULL, 'Phosphagen kinase C-terminal domain profile.', NULL, NULL, 'PHOSPHAGEN_KINASE_C', 48448),
(104723, 'PS50903', NULL, 'Rubredoxin-like domain profile.', NULL, NULL, 'RUBREDOXIN_LIKE', 48449),
(104724, 'PS51378', NULL, 'Invertebrate defensins family profile.', NULL, NULL, 'INVERT_DEFENSINS', 48450),
(104725, 'PS50834', NULL, 'HIN-200 A and B domains profile.', NULL, NULL, 'HIN_200', 48451),
(104726, 'PS50991', NULL, 'Pyruvate carboxyltransferase domain.', NULL, NULL, 'PYR_CT', 48452),
(104727, 'PS51008', NULL, 'Multiheme cytochrome c family profile.', NULL, NULL, 'MULTIHEME_CYTC', 48453),
(104728, 'PS50969', NULL, 'FCP1 homology domain profile.', NULL, NULL, 'FCP1', 48454),
(104729, 'PS51807', NULL, 'Zinc finger C2HC baculovirus (BV)-type profile.', NULL, NULL, 'ZF_C2HC_BV', 48455),
(104730, 'PS51708', NULL, 'CHAD domain profile.', NULL, NULL, 'CHAD', 48456),
(104731, 'PS50126', NULL, 'S1 domain profile.', NULL, NULL, 'S1', 48457),
(104732, 'PS51753', NULL, 'HBM domain profile.', NULL, NULL, 'HBM', 48458),
(104733, 'PS51633', NULL, 'CXC domain profile.', NULL, NULL, 'CXC', 48459),
(104734, 'PS50097', NULL, 'BTB domain profile.', NULL, NULL, 'BTB', 48460),
(104735, 'PS51200', NULL, 'Scorpion short toxin chloride channel inhibitor subfamily profile.', NULL, NULL, 'SHORT_SCORPION_CHLORIDE', 48461),
(104736, 'PS51805', NULL, 'Extended PHD (ePHD) domain profile.', NULL, NULL, 'EPHD', 48462),
(104737, 'PS50294', NULL, 'Trp-Asp (WD) repeats circular profile.', NULL, NULL, 'WD_REPEATS_REGION', 48463),
(104738, 'PS50904', NULL, 'PRELI/MSF1 domain profile.', NULL, NULL, 'PRELI_MSF1', 48464),
(104739, 'PS51322', NULL, 'UEV domain profile.', NULL, NULL, 'UEV', 48465),
(104740, 'PS51080', NULL, 'CTF/NF-I DNA-binding domain profile.', NULL, NULL, 'CTF_NFI_2', 48466),
(104741, 'PS51522', NULL, 'Zinc finger nanos-type profile.', NULL, NULL, 'ZF_NANOS', 48467),
(104742, 'PS50078', NULL, 'POLO box domain profile.', NULL, NULL, 'POLO_BOX', 48468),
(104743, 'PS51845', NULL, '3''5''-cyclic nucleotide phosphodiesterase domain profile.', NULL, NULL, 'PDEASE_I_2', 48469),
(104744, 'PS51089', NULL, 'Headpiece (HP) domain profile.', NULL, NULL, 'HP', 48470),
(104745, 'PS51872', NULL, 'Zinc finger ZBR-type profile.', NULL, NULL, 'ZF_ZBR', 48471);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(104746, 'PS51368', NULL, 'Urease domain profile.', NULL, NULL, 'UREASE_3', 48472),
(104747, 'PS51071', NULL, 'RpiR-type HTH domain profile.', NULL, NULL, 'HTH_RPIR', 48473),
(104748, 'PS51114', NULL, 'F-box-associated (FBA) domain profile.', NULL, NULL, 'FBA', 48474),
(104749, 'PS51726', NULL, 'MYST-type histone acetyltransferase (HAT) domain profile.', NULL, NULL, 'MYST_HAT', 48475),
(104750, 'PS51767', NULL, 'Peptidase family A1 domain profile.', NULL, NULL, 'PEPTIDASE_A1', 48476),
(104751, 'PS51782', NULL, 'LysM domain profile.', NULL, NULL, 'LYSM', 48477),
(104752, 'PS51508', NULL, 'CKK domain profile.', NULL, NULL, 'CKK', 48478),
(104753, 'PS51547', NULL, 'C2 phosphatidylinositol 3-kinase (PI3K)-type domain profile.', NULL, NULL, 'C2_PI3K', 48479),
(104754, 'PS51227', NULL, 'Sprouty (SPR) domain profile.', NULL, NULL, 'SPR', 48480),
(104755, 'PS50897', NULL, 'C-terminal to LisH (CTLH) motif profile.', NULL, NULL, 'CTLH', 48481),
(104756, 'PS50025', NULL, 'Laminin G domain profile.', NULL, NULL, 'LAM_G_DOMAIN', 48482),
(104757, 'PS51834', NULL, 'Tripartite DENN FLCN/SMCR8-type domain profile.', NULL, NULL, 'DENN_FLCN_SMCR8', 48483),
(104758, 'PS51550', NULL, 'Eph receptor ligand-binding domain profile.', NULL, NULL, 'EPH_LBD', 48484),
(104759, 'PS51256', NULL, 'GS domain profile.', NULL, NULL, 'GS', 48485),
(104760, 'PS51889', NULL, 'Rubella virus (RUBV) nonstructural (NS) protease domain profile.', NULL, NULL, 'RUBV_NS_PRO', 48486),
(104761, 'PS51857', NULL, 'Cold-shock (CSD) domain profile.', NULL, NULL, 'CSD_2', 48487),
(104762, 'PS50296', NULL, 'Translation initiation factor SUI1 family profile.', NULL, NULL, 'SUI1', 48488),
(104763, 'PS51564', NULL, 'Protein-S-isoprenylcysteine O-methyltransferase (EC 2.1.1.100) family profile.', NULL, NULL, 'SAM_ICMT', 48489),
(104764, 'PS51843', NULL, 'Nuclear receptor (NR) ligand-binding (LBD) domain profile.', NULL, NULL, 'NR_LBD', 48490),
(104765, 'PS50815', NULL, 'HORMA domain profile.', NULL, NULL, 'HORMA', 48491),
(104766, 'PS51262', NULL, 'COS domain profile.', NULL, NULL, 'COS', 48492),
(104767, 'PS51830', NULL, 'FIIND domain profile.', NULL, NULL, 'FIIND', 48493),
(104768, 'PS51528', NULL, 'Flavivirus NS3 protease (NS3pro) domain profile.', NULL, NULL, 'FLAVIVIRUS_NS3PRO', 48494),
(104769, 'PS50111', NULL, 'Bacterial chemotaxis sensory transducers domain profile.', NULL, NULL, 'CHEMOTAXIS_TRANSDUC_2', 48495),
(104770, 'PS51347', NULL, 'Phosphotriesterase family profile.', NULL, NULL, 'PHOSPHOTRIESTERASE_2', 48496),
(104771, 'PS51714', NULL, 'Bms1-type guanine nucleotide-binding (G) domain profile.', NULL, NULL, 'G_BMS1', 48497),
(104772, 'PS50023', NULL, 'LIM domain profile.', NULL, NULL, 'LIM_DOMAIN_2', 48498),
(104773, 'PS50208', NULL, 'Caspase family p20 domain profile.', NULL, NULL, 'CASPASE_P20', 48499),
(104774, 'PS51652', NULL, 'Arteriviridae zinc-binding (AV ZBD) domain profile.', NULL, NULL, 'AV_ZBD', 48500),
(104775, 'PS51224', NULL, 'MVP (vault) repeat profile.', NULL, NULL, 'MVP', 48501),
(104776, 'PS51566', NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, NULL, 'SAM_MT43_TRX_MLL', 48502),
(104777, 'PS50944', NULL, 'DtxR-type HTH domain profile.', NULL, NULL, 'HTH_DTXR', 48503),
(104778, 'PS51167', NULL, 'Chorismate mutase domain profile.', NULL, NULL, 'CHORISMATE_MUT_1', 48504),
(104779, 'PS50035', NULL, 'Phospholipase D phosphodiesterase active site profile.', NULL, NULL, 'PLD', 48505),
(104780, 'PS51788', NULL, 'CULT domain profile.', NULL, NULL, 'CULT', 48506),
(104781, 'PS51075', NULL, 'MAD homology domain 1 (MH1) profile.', NULL, NULL, 'MH1', 48507),
(104782, 'PS51105', NULL, 'PTS_EIIC type-3 domain profile.', NULL, NULL, 'PTS_EIIC_TYPE_3', 48508),
(104783, 'PS51242', NULL, 'Ferric cations import ATP-binding protein fbpC family profile.', NULL, NULL, 'FBPC', 48509),
(104784, 'PS51884', NULL, 'Chaplin domain profile.', NULL, NULL, 'CHAPLIN', 48510),
(104785, 'PS51477', NULL, 'PAH domain profile.', NULL, NULL, 'PAH', 48511),
(104786, 'PS51627', NULL, 'tRNA methyltransferase 11 (TRM11) (EC 2.1.1.-) family profile.', NULL, NULL, 'SAM_MT_TRM11', 48512);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(104787, 'PS51052', NULL, 'Cyclotides profile.', NULL, NULL, 'CYCLOTIDE', 48513),
(104788, 'PS51092', NULL, 'Fibronectin type-II collagen-binding domain profile.', NULL, NULL, 'FN2_2', 48514),
(104789, 'PS51529', NULL, 'Fetuin-A-type cystatin domain profile.', NULL, NULL, 'CYSTATIN_FETUIN_A', 48515),
(104790, 'PS51444', NULL, 'Formin homology-2 (FH2) domain profile.', NULL, NULL, 'FH2', 48516),
(104791, 'PS51284', NULL, 'DOC domain profile.', NULL, NULL, 'DOC', 48517),
(104792, 'PS51143', NULL, 'MT-A70-like family profile.', NULL, NULL, 'MT_A70', 48518),
(104793, 'PS51006', NULL, 'Polyamine biosynthesis (PABS) domain profile.', NULL, NULL, 'PABS_2', 48519),
(104794, 'PS51848', NULL, 'bMERB domain profile.', NULL, NULL, 'BMERB', 48520),
(104795, 'PS50165', NULL, 'UvrC family, homology region profile.', NULL, NULL, 'UVRC', 48521),
(104796, 'PS51232', NULL, 'Rho GTPase-binding/formin homology 3 (GBD/FH3) domain profile.', NULL, NULL, 'GBD_FH3', 48522),
(104797, 'PS50963', NULL, 'Link domain profile.', NULL, NULL, 'LINK_2', 48523),
(104798, 'PS51103', NULL, 'PTS_EIIC type-1 domain profile.', NULL, NULL, 'PTS_EIIC_TYPE_1', 48524),
(104799, 'PS51257', NULL, 'Prokaryotic membrane lipoprotein lipid attachment site profile.', NULL, NULL, 'PROKAR_LIPOPROTEIN', 48525),
(104800, 'PS51565', NULL, 'SETD3 actin-histidine N-methyltransferase (EC 2.1.1.85) family profile.', NULL, NULL, 'SAM_MT85_SETD3', 48526),
(104801, 'PS50870', NULL, 'Arfaptin homology (AH) domain profile.', NULL, NULL, 'AH', 48527),
(104802, 'PS51643', NULL, 'HD Cas3-type domain profile.', NULL, NULL, 'HD_CAS3', 48528),
(104803, 'PS51762', NULL, 'Glycosyl hydrolases family 16 (GH16) domain profile.', NULL, NULL, 'GH16_2', 48529),
(104804, 'PS50069', NULL, 'Cullin family profile.', NULL, NULL, 'CULLIN_2', 48530),
(104805, 'PS50800', NULL, 'SAP motif profile.', NULL, NULL, 'SAP', 48531),
(104806, 'PS50221', NULL, 'GPS domain profile.', NULL, NULL, 'GPS', 48532),
(104807, 'PS50989', NULL, 'Acetyl-coenzyme A (CoA) carboxyltransferase C-terminal domain profile.', NULL, NULL, 'COA_CT_CTER', 48533),
(104808, 'PS51450', NULL, 'Leucine-rich repeat profile.', NULL, NULL, 'LRR', 48534),
(104809, 'PS50093', NULL, 'Polycystic kidney disease (PKD) domain profile.', NULL, NULL, 'PKD', 48535),
(104810, 'PS51147', NULL, 'Protein prenyltransferases alpha subunit repeat profile.', NULL, NULL, 'PFTA', 48536),
(104811, 'PS51361', NULL, 'Teneurin N-terminal domain profile.', NULL, NULL, 'TENEURIN_N', 48537),
(104812, 'PS50287', NULL, 'SRCR domain profile.', NULL, NULL, 'SRCR_2', 48538),
(104813, 'PS51314', NULL, 'VPS37 C-terminal domain profile.', NULL, NULL, 'VPS37_C', 48539),
(104814, 'PS51893', NULL, 'A kinase-anchoring proteins AKAP-5 and AKAP-12 calmodulin (CaM)-binding motif profile.', NULL, NULL, 'AKAP_CAM_BD', 48540),
(104815, 'PS51173', NULL, 'CBM2 (Carbohydrate-binding type-2) domain profile.', NULL, NULL, 'CBM2', 48541),
(104816, 'PS51698', NULL, 'U-box domain profile.', NULL, NULL, 'U_BOX', 48542),
(104817, 'PS50867', NULL, 'Pre-SET domain profile.', NULL, NULL, 'PRE_SET', 48543),
(104818, 'PS51728', NULL, 'Rtt109-type histone acetyltransferase (HAT) domain profile.', NULL, NULL, 'RTT109_HAT', 48544),
(104819, 'PS51432', NULL, 'AP endonucleases family 2 profile.', NULL, NULL, 'AP_NUCLEASE_F2_4', 48545),
(104820, 'PS51870', NULL, 'Amyloid precursor protein (APP) E2 domain profile.', NULL, NULL, 'APP_E2', 48546),
(104821, 'PS51945', NULL, 'Betacoronavirus Nsp3e nucleic acid-binding (NAB) domain profile.', NULL, NULL, 'BCOV_NSP3E_NAB', 48547),
(104822, 'PS51611', NULL, '[Cytochrome c]-lysine N-methyltransferase (EC 2.1.1.59) family profile.', NULL, NULL, 'SAM_MT59', 48548),
(104823, 'PS50860', NULL, 'Alanyl-transfer RNA synthetases family profile.', NULL, NULL, 'AA_TRNA_LIGASE_II_ALA', 48549),
(104824, 'PS50127', NULL, 'Ubiquitin-conjugating (UBC) core domain profile.', NULL, NULL, 'UBC_2', 48550),
(104825, 'PS51686', NULL, 'SAM-dependent MTase RsmB/NOP-type domain profile.', NULL, NULL, 'SAM_MT_RSMB_NOP', 48551),
(104826, 'PS51897', NULL, 'Annexin repeat profile.', NULL, NULL, 'ANNEXIN_2', 48552);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(104827, 'PS50162', NULL, 'RecA family profile 1.', NULL, NULL, 'RECA_2', 48553),
(104828, 'PS51012', NULL, 'ABC transporter integral membrane type-2 domain profile.', NULL, NULL, 'ABC_TM2', 48554),
(104829, 'PS51862', NULL, 'BetaSPN-type cysteine-stabilized alpha/beta (CS-alpha/beta) domain profile.', NULL, NULL, 'BSPN_CSAB', 48555),
(104830, 'PS51440', NULL, 'Triosephosphate isomerase (TIM) family profile.', NULL, NULL, 'TIM_2', 48556),
(104831, 'PS50090', NULL, 'Myb-like domain profile.', NULL, NULL, 'MYB_LIKE', 48557),
(104832, 'PS51360', NULL, 'Plus3 domain profile.', NULL, NULL, 'PLUS3', 48558),
(104833, 'PS51926', NULL, 'Coronavirus envelope (CoV E) protein profile.', NULL, NULL, 'COV_E', 48559),
(104834, 'PS51192', NULL, 'Superfamilies 1 and 2 helicase ATP-binding type-1 domain profile.', NULL, NULL, 'HELICASE_ATP_BIND_1', 48560),
(104835, 'PS50040', NULL, 'Elongation factor 1 (EF-1) gamma C-terminal domain profile.', NULL, NULL, 'EF1G_C', 48561),
(104836, 'PS51286', NULL, 'RAP domain profile.', NULL, NULL, 'RAP', 48562),
(104837, 'PS51492', NULL, 'Peptidase family C23 domain profile.', NULL, NULL, 'PEPTIDASE_C23', 48563),
(104838, 'PS51375', NULL, 'Pentatricopeptide (PPR) repeat profile.', NULL, NULL, 'PPR', 48564),
(104839, 'PS51613', NULL, 'RrmJ-type ribose 2''-O-methyltransferase (EC 2.1.1.57) domain profile.', NULL, NULL, 'SAM_MT_RRMJ', 48565),
(104840, 'PS50062', NULL, 'BCL2-like apoptosis inhibitors family profile.', NULL, NULL, 'BCL2_FAMILY', 48566),
(104841, 'PS51710', NULL, 'OBG-type guanine nucleotide-binding (G) domain profile.', NULL, NULL, 'G_OBG', 48567),
(104842, 'PS50290', NULL, 'Phosphatidylinositol 3- and 4-kinases family profile.', NULL, NULL, 'PI3_4_KINASE_3', 48568),
(104843, 'PS50321', NULL, 'Asparagine-rich region profile.', NULL, NULL, 'ASN_RICH', 48569),
(104844, 'PS51398', NULL, 'PAW domain profile.', NULL, NULL, 'PAW', 48570),
(104845, 'PS51939', NULL, 'xRRM domain profile.', NULL, NULL, 'XRRM', 48571),
(104846, 'PS51249', NULL, 'Phosphonate import ATP-binding protein phnC.', NULL, NULL, 'PHNC', 48572),
(104847, 'PS51163', NULL, 'YrdC-like domain profile.', NULL, NULL, 'YRDC', 48573),
(104848, 'PS50060', NULL, 'MAM domain profile.', NULL, NULL, 'MAM_2', 48574),
(104849, 'PS50833', NULL, 'Brix domain profile.', NULL, NULL, 'BRIX', 48575),
(104850, 'PS51799', NULL, 'Zinc finger C2H2 AKAP95-type profile.', NULL, NULL, 'ZF_C2H2_AKAP95', 48576),
(104851, 'PS50214', NULL, 'Disintegrin domain profile.', NULL, NULL, 'DISINTEGRIN_2', 48577),
(104852, 'PS51787', NULL, 'Lon N-terminal domain profile.', NULL, NULL, 'LON_N', 48578),
(104853, 'PS50142', NULL, 'Ribonuclease III family domain profile.', NULL, NULL, 'RNASE_3_2', 48579),
(104854, 'PS51127', NULL, 'Big-1 (bacterial Ig-like domain 1) domain profile.', NULL, NULL, 'BIG1', 48580),
(104855, 'PS50925', NULL, 'BLUF domain profile.', NULL, NULL, 'BLUF', 48581),
(104856, 'PS51350', NULL, 'PTS HPR domain profile.', NULL, NULL, 'PTS_HPR_DOM', 48582),
(104857, 'PS51669', NULL, 'Prokaryotic molybdopterin oxidoreductases 4Fe-4S domain profile.', NULL, NULL, '4FE4S_MOW_BIS_MGD', 48583),
(104858, 'PS51914', NULL, 'MRH domain profile.', NULL, NULL, 'MRH', 48584),
(104859, 'PS50993', NULL, 'Nidogen G2 beta-barrel domain profile.', NULL, NULL, 'NIDOGEN_G2', 48585),
(104860, 'PS51385', NULL, 'YjeF N-terminal domain profile.', NULL, NULL, 'YJEF_N', 48586),
(104861, 'PS50957', NULL, 'Josephin domain profile.', NULL, NULL, 'JOSEPHIN', 48587),
(104862, 'PS51433', NULL, 'Pointed (PNT) domain profile.', NULL, NULL, 'PNT', 48588),
(104863, 'PS51415', NULL, 'Xylose isomerase family profile.', NULL, NULL, 'XYLOSE_ISOMERASE', 48589),
(104864, 'PS51876', NULL, 'Pestivirus N-terminal protease Npro domain profile.', NULL, NULL, 'PV_NPRO', 48590),
(104865, 'PS51439', NULL, 'MENTAL domain profile.', NULL, NULL, 'MENTAL', 48591),
(104866, 'PS51124', NULL, 'Peptidase family C16 domain profile.', NULL, NULL, 'PEPTIDASE_C16', 48592),
(104867, 'PS51068', NULL, 'Formamidopyrimidine-DNA glycosylase catalytic domain profile.', NULL, NULL, 'FPG_CAT', 48593); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(104868, 'PS51501', NULL, 'Zinc finger DNL-type profile.', NULL, NULL, 'ZF_DNL', 48594),
(104869, 'PS51336', NULL, 'DM10 domain profile.', NULL, NULL, 'DM10', 48595),
(104870, 'PS50932', NULL, 'LacI-type HTH domain profile.', NULL, NULL, 'HTH_LACI_2', 48596),
(104871, 'PS51732', NULL, 'Asparaginase / glutaminase domain profile.', NULL, NULL, 'ASN_GLN_ASE_3', 48597),
(104872, 'PS51332', NULL, 'B12-binding domain profile.', NULL, NULL, 'B12_BINDING', 48598),
(104873, 'PS50883', NULL, 'EAL domain profile.', NULL, NULL, 'EAL', 48599),
(104874, 'PS50936', NULL, 'EngC GTPase domain profile.', NULL, NULL, 'ENGC_GTPASE', 48600),
(104875, 'PS51567', NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, NULL, 'SAM_MT43_SUVAR420_1', 48601),
(104876, 'PS51808', NULL, 'Coiled coil-helix-coiled coil-helix (CHCH) domain profile.', NULL, NULL, 'CHCH', 48602),
(104877, 'PS51007', NULL, 'Cytochrome c family profile.', NULL, NULL, 'CYTC', 48603),
(104878, 'PS51108', NULL, 'PTS_EIID domain profile.', NULL, NULL, 'PTS_EIID', 48604),
(104879, 'PS51775', NULL, 'GTD-binding domain profile.', NULL, NULL, 'GTD_BINDING', 48605),
(104880, 'PS50212', NULL, 'Ras guanine-nucleotide exchange factors N-terminal domain profile.', NULL, NULL, 'RASGEF_NTER', 48606),
(104881, 'PS51664', NULL, 'YcaO domain profile.', NULL, NULL, 'YCAO', 48607),
(104882, 'PS50109', NULL, 'Histidine kinase domain profile.', NULL, NULL, 'HIS_KIN', 48608),
(104883, 'PS50123', NULL, 'CheR-type methyltransferase domain profile.', NULL, NULL, 'CHER', 48609),
(104884, 'PS50198', NULL, 'PpiC-type peptidyl-prolyl cis-trans isomerase family profile.', NULL, NULL, 'PPIC_PPIASE_2', 48610),
(104885, 'PS50070', NULL, 'Kringle domain profile.', NULL, NULL, 'KRINGLE_2', 48611),
(104886, 'PS50902', NULL, 'Flavodoxin-like domain profile.', NULL, NULL, 'FLAVODOXIN_LIKE', 48612),
(104887, 'PS51091', NULL, 'Fibronectin type-I domain profile.', NULL, NULL, 'FN1_2', 48613),
(104888, 'PS51379', NULL, '4Fe-4S ferredoxin-type iron-sulfur binding domain profile.', NULL, NULL, '4FE4S_FER_2', 48614),
(104889, 'PS50330', NULL, 'Ubiquitin-interacting motif (UIM) domain profile.', NULL, NULL, 'UIM', 48615),
(104890, 'PS50916', NULL, 'Rab-binding domain profile.', NULL, NULL, 'RABBD', 48616),
(104891, 'PS51656', NULL, '4Fe-4S domain profile.', NULL, NULL, '4FE4S', 48617),
(104892, 'PS51647', NULL, 'Kininogen-type cystatin domain profile.', NULL, NULL, 'CYSTATIN_KININOGEN', 48618),
(104893, 'PS51060', NULL, 'PARP alpha-helical domain profile.', NULL, NULL, 'PARP_ALPHA_HD', 48619),
(104894, 'PS51024', NULL, 'Zinc finger FCS-type profile.', NULL, NULL, 'ZF_FCS', 48620),
(104895, 'PS51088', NULL, 'TEA domain profile.', NULL, NULL, 'TEA_2', 48621),
(104896, 'PS50053', NULL, 'Ubiquitin domain profile.', NULL, NULL, 'UBIQUITIN_2', 48622),
(104897, 'PS50896', NULL, 'LIS1 homology (LisH) motif profile.', NULL, NULL, 'LISH', 48623),
(104898, 'PS51148', NULL, 'AXH domain profile.', NULL, NULL, 'AXH', 48624),
(104899, 'PS50157', NULL, 'Zinc finger C2H2 type domain profile.', NULL, NULL, 'ZINC_FINGER_C2H2_2', 48625),
(104900, 'PS50525', NULL, 'RdRp of negative ssRNA viruses with segmented genomes catalytic domain profile.', NULL, NULL, 'RDRP_SSRNA_NEG_SEG', 48626),
(104901, 'PS50865', NULL, 'Zinc finger MYND-type profile.', NULL, NULL, 'ZF_MYND_2', 48627),
(104902, 'PS51589', NULL, 'Viral protein 3 containing mRNA (guanine-N(7)-)-methyltransferase family profile.', NULL, NULL, 'SAM_MT56_VP3', 48628),
(104903, 'PS50823', NULL, 'Type-2 KH domain profile.', NULL, NULL, 'KH_TYPE_2', 48629),
(104904, 'PS51081', NULL, 'Zinc finger SIAH-type profile.', NULL, NULL, 'ZF_SIAH', 48630),
(104905, 'PS51563', NULL, 'mRNA (2''-O-methyladenosine-N(6)-)-methyltransferase (EC 2.1.1.62) family profile.', NULL, NULL, 'SAM_MTA70L_1', 48631),
(104906, 'PS51121', NULL, 'NtA (N-terminal agrin) domain profile.', NULL, NULL, 'NTA', 48632),
(104907, 'PS50921', NULL, 'ANTAR domain profile.', NULL, NULL, 'ANTAR', 48633),
(104908, 'PS50911', NULL, 'CHAP domain profile.', NULL, NULL, 'CHAP', 48634);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(104909, 'PS51457', NULL, 'BEN domain profile.', NULL, NULL, 'BEN', 48635),
(104910, 'PS50948', NULL, 'PAN/Apple domain profile.', NULL, NULL, 'PAN', 48636),
(104911, 'PS51217', NULL, 'UvrD-like DNA helicase C-terminal domain profile.', NULL, NULL, 'UVRD_HELICASE_CTER', 48637),
(104912, 'PS51137', NULL, 'VM domain profile.', NULL, NULL, 'VM', 48638),
(104913, 'PS51404', NULL, 'DyP-type peroxidase family.', NULL, NULL, 'DYP_PEROXIDASE', 48639),
(104914, 'PS51445', NULL, 'Phycobilisome (PBS) linker domain profile.', NULL, NULL, 'PBS_LINKER', 48640),
(104915, 'PS51187', NULL, 'Autoinducer synthase family profile.', NULL, NULL, 'AUTOINDUCER_SYNTH_2', 48641),
(104916, 'PS51657', NULL, '(+)RNA virus helicase core domain profile.', NULL, NULL, 'PSRV_HELICASE', 48642),
(104917, 'PS51312', NULL, 'Steadiness box (SB) domain profile.', NULL, NULL, 'SB', 48643),
(104918, 'PS51280', NULL, 'Xylose import ATP-binding protein xylG family profile.', NULL, NULL, 'XYLG', 48644),
(104919, 'PS51407', NULL, 'Lysosome-associated membrane glycoprotein family profile.', NULL, NULL, 'LAMP_3', 48645),
(104920, 'PS51721', NULL, 'Circularly permuted (CP)-type guanine nucleotide-binding (G) domain profile.', NULL, NULL, 'G_CP', 48646),
(104921, 'PS51226', NULL, 'TEP1 N-terminal repeat profile.', NULL, NULL, 'TEP1_N', 48647),
(104922, 'PS51363', NULL, 'W2 domain profile.', NULL, NULL, 'W2', 48648),
(104923, 'PS51373', NULL, 'High potential iron-sulfur proteins family profile.', NULL, NULL, 'HIPIP', 48649),
(104924, 'PS50894', NULL, 'Histidine-containing phosphotransfer (HPt) domain profile.', NULL, NULL, 'HPT', 48650),
(104925, 'PS50972', NULL, 'Pterin-binding domain profile.', NULL, NULL, 'PTERIN_BINDING', 48651),
(104926, 'PS50283', NULL, 'Sodium:solute symporter family profile.', NULL, NULL, 'NA_SOLUT_SYMP_3', 48652),
(104927, 'PS51525', NULL, 'NET domain profile.', NULL, NULL, 'NET', 48653),
(104928, 'PS50270', NULL, 'Nerve growth factor family profile.', NULL, NULL, 'NGF_2', 48654),
(104929, 'PS51908', NULL, 'Zinc finger UBZ4-type profile.', NULL, NULL, 'ZF_UBZ4', 48655),
(104930, 'PS50145', NULL, 'Zinc finger TRAF-type profile.', NULL, NULL, 'ZF_TRAF', 48656),
(104931, 'PS51868', NULL, 'Peptidase family S39 domain profile.', NULL, NULL, 'PEPTIDASE_S39', 48657),
(104932, 'PS51491', NULL, 'Tau and MAP proteins tubulin-binding repeat profile.', NULL, NULL, 'TAU_MAP_2', 48658),
(104933, 'PS51070', NULL, 'Stonin homology domain (SHD) profile.', NULL, NULL, 'SHD', 48659),
(104934, 'PS51667', NULL, 'WRC domain profile.', NULL, NULL, 'WRC', 48660),
(104935, 'PS50910', NULL, 'HEPN domain profile.', NULL, NULL, 'HEPN', 48661),
(104936, 'PS51658', NULL, 'Bifunctional nuclease (BFN) domain profile.', NULL, NULL, 'BFN', 48662),
(104937, 'PS50277', NULL, 'Glycoprotein hormones alpha chain family profile.', NULL, NULL, 'GLYCO_HORMONE_ALPHA_3', 48663),
(104938, 'PS51292', NULL, 'Zinc finger RING-CH-type profile.', NULL, NULL, 'ZF_RING_CH', 48664),
(104939, 'PS50325', NULL, 'Threonine-rich region profile.', NULL, NULL, 'THR_RICH', 48665),
(104940, 'PS51054', NULL, 'Orange domain profile.', NULL, NULL, 'ORANGE', 48666),
(104941, 'PS51303', NULL, 'PET domain profile.', NULL, NULL, 'PET', 48667),
(104942, 'PS50012', NULL, 'Regulator of chromosome condensation (RCC1) repeat profile.', NULL, NULL, 'RCC1_3', 48668),
(104943, 'PS51394', NULL, 'PFU domain profile.', NULL, NULL, 'PFU', 48669),
(104944, 'PS51222', NULL, 'DCD domain profile.', NULL, NULL, 'DCD', 48670),
(104945, 'PS50930', NULL, 'LytTR-type HTH domain profile.', NULL, NULL, 'HTH_LYTTR', 48671),
(104946, 'PS51057', NULL, 'Paired DNA-binding domain profile.', NULL, NULL, 'PAIRED_2', 48672),
(104947, 'PS51234', NULL, 'Thrombospondin type-3 (TSP3) repeat profile.', NULL, NULL, 'TSP3', 48673),
(104948, 'PS51916', NULL, 'DEUBAD (DEUBiquitinase ADaptor) domain profile.', NULL, NULL, 'DEUBAD', 48674),
(104949, 'PS50327', NULL, 'Tryptophan-rich region profile.', NULL, NULL, 'TRP_RICH', 48675),
(104950, 'PS51329', NULL, 'C-CAP/cofactor C-like domain profile.', NULL, NULL, 'C_CAP_COFACTOR_C', 48676);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(104951, 'PS51859', NULL, 'Rho-binding (RhoBD) domain profile.', NULL, NULL, 'RHO_BD', 48677),
(104952, 'PS50255', NULL, 'Cytochrome b5 family, heme-binding domain profile.', NULL, NULL, 'CYTOCHROME_B5_2', 48678),
(104953, 'PS51004', NULL, 'Sema domain profile.', NULL, NULL, 'SEMA', 48679),
(104954, 'PS51423', NULL, 'Miro domain profile.', NULL, NULL, 'MIRO', 48680),
(104955, 'PS50995', NULL, 'MarR-type HTH domain profile.', NULL, NULL, 'HTH_MARR_2', 48681),
(104956, 'PS51634', NULL, 'CRC domain profile.', NULL, NULL, 'CRC', 48682),
(104957, 'PS51858', NULL, 'PPPDE domain profile.', NULL, NULL, 'PPPDE', 48683),
(104958, 'PS51679', NULL, 'C-5 cytosine-specific DNA methylase (Dnmt) domain profile.', NULL, NULL, 'SAM_MT_C5', 48684),
(104959, 'PS50522', NULL, 'RdRp of RNA-containing bacteriophages catalytic domain profile.', NULL, NULL, 'RDRP_PHAGE', 48685),
(104960, 'PS51264', NULL, 'Methionine import ATP-binding protein metN family profile.', NULL, NULL, 'METN', 48686),
(104961, 'PS51369', NULL, 'TCP domain profile.', NULL, NULL, 'TCP', 48687),
(104962, 'PS51069', NULL, 'GBP repeat profile.', NULL, NULL, 'GBP', 48688),
(104963, 'PS51645', NULL, 'Photolyase/cryptochrome alpha/beta domain profile.', NULL, NULL, 'PHR_CRY_ALPHA_BETA', 48689),
(104964, 'PS51051', NULL, 'DSL domain profile.', NULL, NULL, 'DSL', 48690),
(104965, 'PS51298', NULL, 'Zinc import ATP-binding protein znuC family profile.', NULL, NULL, 'ZNUC', 48691),
(104966, 'PS51737', NULL, 'DNA-binding recombinase domain profile.', NULL, NULL, 'RECOMBINASE_DNA_BIND', 48692),
(104967, 'PS51441', NULL, 'CpcD-like domain profile.', NULL, NULL, 'CPCD_LIKE', 48693),
(104968, 'PS51485', NULL, 'Phytocyanin domain profile.', NULL, NULL, 'PHYTOCYANIN', 48694),
(104969, 'PS51010', NULL, 'Cytochrome f family profile.', NULL, NULL, 'CYTF', 48695),
(104970, 'PS51152', NULL, 'NF-YA/HAP2 family profile.', NULL, NULL, 'NFYA_HAP2_2', 48696),
(104971, 'PS50077', NULL, 'HEAT repeat profile.', NULL, NULL, 'HEAT_REPEAT', 48697),
(104972, 'PS51104', NULL, 'PTS_EIIC type-2 domain profile.', NULL, NULL, 'PTS_EIIC_TYPE_2', 48698),
(104973, 'PS50905', NULL, 'Ferritin-like diiron domain profile.', NULL, NULL, 'FERRITIN_LIKE', 48699),
(104974, 'PS51466', NULL, 'PINIT domain profile.', NULL, NULL, 'PINIT', 48700),
(104975, 'PS51571', NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, NULL, 'SAM_MT43_PR_SET', 48701),
(104976, 'PS51295', NULL, 'CRM domain profile.', NULL, NULL, 'CRM', 48702),
(104977, 'PS50830', NULL, 'Thermonuclease domain profile.', NULL, NULL, 'TNASE_3', 48703),
(104978, 'PS50275', NULL, 'Sac phosphatase domain profile.', NULL, NULL, 'SAC', 48704),
(104979, 'PS50245', NULL, 'CAP-Gly domain profile.', NULL, NULL, 'CAP_GLY_2', 48705),
(104980, 'PS51839', NULL, 'His(Cys)3-ligated-type [4Fe-4S] domain profile.', NULL, NULL, '4FE4S_HC3', 48706),
(104981, 'PS50863', NULL, 'B3 DNA-binding domain profile.', NULL, NULL, 'B3', 48707),
(104982, 'PS51084', NULL, 'HIT domain profile.', NULL, NULL, 'HIT_2', 48708),
(104983, 'PS51662', NULL, 'Beta-propeller phytase (BPP) domain profile.', NULL, NULL, 'BP_PHYTASE', 48709),
(104984, 'PS51578', NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, NULL, 'SAM_MT43_SET2_2', 48710),
(104985, 'PS51276', NULL, 'PfpI endopeptidase domain profile.', NULL, NULL, 'PEPTIDASE_C56_PFPI', 48711),
(104986, 'PS50814', NULL, 'WIF domain profile.', NULL, NULL, 'WIF', 48712),
(104987, 'PS51189', NULL, 'FAT domain profile.', NULL, NULL, 'FAT', 48713),
(104988, 'PS50038', NULL, 'Frizzled (fz) domain profile.', NULL, NULL, 'FZ', 48714),
(104989, 'PS51326', NULL, 'Avidin-like domain profile.', NULL, NULL, 'AVIDIN_2', 48715),
(104990, 'PS51470', NULL, 'FG-GAP repeat profile.', NULL, NULL, 'FG_GAP', 48716),
(104991, 'PS01031', NULL, 'Small heat shock protein (sHSP) domain profile.', NULL, NULL, 'SHSP', 48717),
(104992, 'PS51473', NULL, 'Gnk2-homologous domain profile.', NULL, NULL, 'GNK2', 48718),
(104993, 'PS51531', NULL, 'Foamy virus protease (FV PR) domain profile.', NULL, NULL, 'FV_PR', 48719);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(104994, 'PS51134', NULL, 'Zinc finger TFIIB-type profile.', NULL, NULL, 'ZF_TFIIB', 48720),
(104995, 'PS51744', NULL, 'Helper-component proteinase (HC-Pro) cysteine protease (CPD) domain profile.', NULL, NULL, 'HC_PRO_CPD', 48721),
(104996, 'PS50209', NULL, 'CARD caspase recruitment domain profile.', NULL, NULL, 'CARD', 48722),
(104997, 'PS51265', NULL, 'Zinc finger DBF4-type profile.', NULL, NULL, 'ZF_DBF4', 48723),
(104998, 'PS50049', NULL, 'TNF family profile.', NULL, NULL, 'TNF_2', 48724),
(104999, 'PS51321', NULL, 'TFIIS central domain profile.', NULL, NULL, 'TFIIS_CENTRAL', 48725),
(105000, 'PS50064', NULL, 'Poly(ADP-ribose) polymerase zinc finger domain profile.', NULL, NULL, 'PARP_ZN_FINGER_2', 48726),
(105001, 'PS51736', NULL, 'Resolvase/invertase-type recombinase catalytic domain profile.', NULL, NULL, 'RECOMBINASES_3', 48727),
(105002, 'PS51918', NULL, 'Radical SAM core domain profile.', NULL, NULL, 'RADICAL_SAM', 48728),
(105003, 'PS51287', NULL, 'Large T-antigen (T-ag) origin-binding domain (OBD) profile.', NULL, NULL, 'T_AG_OBD', 48729),
(105004, 'PS51484', NULL, 'G8 domain profile.', NULL, NULL, 'G8', 48730),
(105005, 'PS50050', NULL, 'TNFR/NGFR family cysteine-rich region domain profile.', NULL, NULL, 'TNFR_NGFR_2', 48731),
(105006, 'PS51352', NULL, 'Thioredoxin domain profile.', NULL, NULL, 'THIOREDOXIN_2', 48732),
(105007, 'PS50234', NULL, 'VWFA domain profile.', NULL, NULL, 'VWFA', 48733),
(105008, 'PS51349', NULL, 'FMN-dependent alpha-hydroxy acid dehydrogenase domain profile.', NULL, NULL, 'FMN_HYDROXY_ACID_DH_2', 48734),
(105009, 'PS50168', NULL, 'Death effector domain (DED) profile.', NULL, NULL, 'DED', 48735),
(105010, 'PS50933', NULL, 'CHRD domain profile.', NULL, NULL, 'CHRD', 48736),
(105011, 'PS51867', NULL, 'Gid-type RING finger profile.', NULL, NULL, 'ZF_RING_GID', 48737),
(105012, 'PS51041', NULL, 'EMI domain profile.', NULL, NULL, 'EMI', 48738),
(105013, 'PS51513', NULL, 'FFD box profile.', NULL, NULL, 'FFD', 48739),
(105014, 'PS50055', NULL, 'PTP type protein phosphatase domain profile.', NULL, NULL, 'TYR_PHOSPHATASE_PTP', 48740),
(105015, 'PS50309', NULL, 'Doublecortin domain profile.', NULL, NULL, 'DC', 48741),
(105016, 'PS51789', NULL, 'RIG-I-like receptor (RLR) C-terminal regulatory (CTR) domain profile.', NULL, NULL, 'RLR_CTR', 48742),
(105017, 'PS51238', NULL, 'Phosphate import ATP-binding protein pstB family profile.', NULL, NULL, 'PSTB', 48743),
(105018, 'PS51425', NULL, 'Stromalin conservative (SCD) domain profile.', NULL, NULL, 'SCD', 48744),
(105019, 'PS51838', NULL, 'Hepatitis delta antigen (HDAg) domain profile.', NULL, NULL, 'HDAG', 48745),
(105020, 'PS51795', NULL, 'Zinc finger FLZ-type profile.', NULL, NULL, 'ZF_FLZ', 48746),
(105021, 'PS51204', NULL, 'HSA domain profile.', NULL, NULL, 'HSA', 48747),
(105022, 'PS50803', NULL, 'OAR domain profile.', NULL, NULL, 'OAR', 48748),
(105023, 'PS50915', NULL, 'Crystallins beta and gamma ''Greek key'' motif profile.', NULL, NULL, 'CRYSTALLIN_BETA_GAMMA', 48749),
(105024, 'PS51925', NULL, 'SWIB/MDM2 domain profile.', NULL, NULL, 'SWIB_MDM2', 48750),
(105025, 'PS50404', NULL, 'Soluble glutathione S-transferase N-terminal domain profile.', NULL, NULL, 'GST_NTER', 48751),
(105026, 'PS50304', NULL, 'Tudor domain profile.', NULL, NULL, 'TUDOR', 48752),
(105027, 'PS51641', NULL, 'Agenet-like domain profile.', NULL, NULL, 'AGENET_LIKE', 48753),
(105028, 'PS50802', NULL, 'OTU domain profile.', NULL, NULL, 'OTU', 48754),
(105029, 'PS50324', NULL, 'Serine-rich region profile.', NULL, NULL, 'SER_RICH', 48755),
(105030, 'PS50923', NULL, 'Sushi/CCP/SCR domain profile.', NULL, NULL, 'SUSHI', 48756),
(105031, 'PS51496', NULL, 'CVC domain profile.', NULL, NULL, 'CVC', 48757),
(105032, 'PS51852', NULL, 'pG1 pseudoGTPase domain profile.', NULL, NULL, 'PG1', 48758),
(105033, 'PS51704', NULL, 'GP-PDE domain profile.', NULL, NULL, 'GP_PDE', 48759),
(105034, 'PS51327', NULL, 'Dicer double-stranded RNA-binding fold domain profile.', NULL, NULL, 'DICER_DSRBF', 48760),
(105035, 'PS51036', NULL, 'Zinc finger A20-type profile.', NULL, NULL, 'ZF_A20', 48761);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(105036, 'PS50958', NULL, 'Somatomedin B (SMB) domain profile.', NULL, NULL, 'SMB_2', 48762),
(105037, 'PS51671', NULL, 'ACT domain profile.', NULL, NULL, 'ACT', 48763),
(105038, 'PS51325', NULL, 'Alpha box DNA-binding domain profile.', NULL, NULL, 'ALPHA_BOX', 48764),
(105039, 'PS51282', NULL, 'DWNN domain profile.', NULL, NULL, 'DWNN', 48765),
(105040, 'PS51751', NULL, 'EXPERA domain profile.', NULL, NULL, 'EXPERA', 48766),
(105041, 'PS51090', NULL, 'Cortactin repeat profile.', NULL, NULL, 'CORTACTIN', 48767),
(105042, 'PS51144', NULL, 'Alpha-carbonic anhydrases profile.', NULL, NULL, 'ALPHA_CA_2', 48768),
(105043, 'PS50967', NULL, 'HRDC domain profile.', NULL, NULL, 'HRDC', 48769),
(105044, 'PS51354', NULL, 'Glutaredoxin domain profile.', NULL, NULL, 'GLUTAREDOXIN_2', 48770),
(105045, 'PS50237', NULL, 'HECT domain profile.', NULL, NULL, 'HECT', 48771),
(105046, 'PS50236', NULL, 'Clathrin heavy-chain (CHCR) repeat profile.', NULL, NULL, 'CHCR', 48772),
(105047, 'PS51030', NULL, 'Nuclear hormone receptors DNA-binding domain profile.', NULL, NULL, 'NUCLEAR_REC_DBD_2', 48773),
(105048, 'PS51542', NULL, 'FYR domain FYRN motif profile.', NULL, NULL, 'FYRN', 48774),
(105049, 'PS51138', NULL, 'EMSY N-terminal (ENT) domain profile.', NULL, NULL, 'ENT', 48775),
(105050, 'PS51164', NULL, 'CBM1 (carbohydrate binding type-1) domain profile.', NULL, NULL, 'CBM1_2', 48776),
(105051, 'PS51824', NULL, 'Flocculin 11 (Flo11) domain profile.', NULL, NULL, 'FLO11', 48777),
(105052, 'PS51299', NULL, 'APSES-type HTH DNA-binding domain profile.', NULL, NULL, 'HTH_APSES', 48778),
(105053, 'PS51677', NULL, 'NodB homology domain profile.', NULL, NULL, 'NODB', 48779),
(105054, 'PS51087', NULL, 'ApaG domain profile.', NULL, NULL, 'APAG', 48780),
(105055, 'PS50141', NULL, 'Adenosine to inosine editase domain profile.', NULL, NULL, 'A_DEAMIN_EDITASE', 48781),
(105056, 'PS51294', NULL, 'Myb-type HTH DNA-binding domain profile.', NULL, NULL, 'HTH_MYB', 48782),
(105057, 'PS51403', NULL, 'Collagen IV carboxyl-terminal non-collagenous (NC1) domain profile.', NULL, NULL, 'NC1_IV', 48783),
(105058, 'PS50837', NULL, 'NACHT-NTPase domain profile.', NULL, NULL, 'NACHT', 48784),
(105059, 'PS51122', NULL, 'Calponin-like repeat profile.', NULL, NULL, 'CALPONIN_2', 48785),
(105060, 'PS51430', NULL, 'KaiA N-terminal domain profile.', NULL, NULL, 'KAIA_N', 48786),
(105061, 'PS51094', NULL, 'PTS_EIIA type-2 domain profile.', NULL, NULL, 'PTS_EIIA_TYPE_2', 48787),
(105062, 'PS51600', NULL, 'Glycine N-methyltransferase (EC 2.1.1.20 and EC 2.1.1.156) family profile.', NULL, NULL, 'SAM_GNMT', 48788),
(105063, 'PS50004', NULL, 'C2 domain profile.', NULL, NULL, 'C2', 48789),
(105064, 'PS51615', NULL, 'Putrescine N-methyltransferase (EC 2.1.1.53) family profile.', NULL, NULL, 'SAM_MT_PUTRESCINE', 48790),
(105065, 'PS50832', NULL, 'S1 domain IF1 type profile.', NULL, NULL, 'S1_IF1_TYPE', 48791),
(105066, 'PS50879', NULL, 'RNase H domain profile.', NULL, NULL, 'RNASE_H', 48792),
(105067, 'PS50066', NULL, 'MADS-box domain profile.', NULL, NULL, 'MADS_BOX_2', 48793),
(105068, 'PS50801', NULL, 'STAS domain profile.', NULL, NULL, 'STAS', 48794),
(105069, 'PS51037', NULL, 'YEATS domain profile.', NULL, NULL, 'YEATS', 48795),
(105070, 'PS51467', NULL, 'HARP domain profile.', NULL, NULL, 'HARP', 48796),
(105071, 'PS51717', NULL, 'Very large inducible GTPASE (VLIG)-type guanine nucleotide-binding (G) domain profile.', NULL, NULL, 'G_VLIG', 48797),
(105072, 'PS51188', NULL, 'Zinc finger CR-type profile.', NULL, NULL, 'ZF_CR', 48798),
(105073, 'PS51673', NULL, 'SUZ domain profile.', NULL, NULL, 'SUZ', 48799),
(105074, 'PS51497', NULL, 'UMA domain profile.', NULL, NULL, 'UMA', 48800),
(105075, 'PS51032', NULL, 'AP2/ERF domain profile.', NULL, NULL, 'AP2_ERF', 48801),
(105076, 'PS51269', NULL, 'COMM domain profile.', NULL, NULL, 'COMM', 48802),
(105077, 'PS51279', NULL, 'Bucentaur C-terminal (BCNT-C) domain profile.', NULL, NULL, 'BCNT_C', 48803),
(105078, 'PS50009', NULL, 'Ras guanine-nucleotide exchange factors catalytic domain profile.', NULL, NULL, 'RASGEF_CAT', 48804);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(105079, 'PS51539', NULL, 'Arterivirus papain-like cysteine protease alpha (PCPalpha) domain profile.', NULL, NULL, 'AV_PCP_ALPHA', 48805),
(105080, 'PS51180', NULL, 'BRO1 domain profile.', NULL, NULL, 'BRO1', 48806),
(105081, 'PS50941', NULL, 'Chitin-binding type-1 domain profile.', NULL, NULL, 'CHIT_BIND_I_2', 48807),
(105082, 'PS50928', NULL, 'ABC transporter integral membrane type-1 domain profile.', NULL, NULL, 'ABC_TM1', 48808),
(105083, 'PS51760', NULL, 'Glycosyl hydrolases family 10 (GH10) domain profile.', NULL, NULL, 'GH10_2', 48809),
(105084, 'PS51259', NULL, 'Munc13-homology domain 2 (MHD2) profile.', NULL, NULL, 'MHD2', 48810),
(105085, 'PS51856', NULL, 'Rho RNA-binding domain profile.', NULL, NULL, 'RHO_RNA_BD', 48811),
(105086, 'PS51383', NULL, 'YjeF C-terminal domain profile.', NULL, NULL, 'YJEF_C_3', 48812),
(105087, 'PS51022', NULL, 'L27 domain profile.', NULL, NULL, 'L27', 48813),
(105088, 'PS50970', NULL, 'Homocysteine-binding domain profile.', NULL, NULL, 'HCY', 48814),
(105089, 'PS51212', NULL, 'WSC domain profile.', NULL, NULL, 'WSC', 48815),
(105090, 'PS50259', NULL, 'G-protein coupled receptors family 3 profile.', NULL, NULL, 'G_PROTEIN_RECEP_F3_4', 48816),
(105091, 'PS50890', NULL, 'PUA domain profile.', NULL, NULL, 'PUA', 48817),
(105092, 'PS50523', NULL, 'RdRp of Reoviridae dsRNA viruses catalytic domain profile.', NULL, NULL, 'RDRP_DSRNA_REO', 48818),
(105093, 'PS51182', NULL, 'C2 tensin-type domain profile.', NULL, NULL, 'C2_TENSIN', 48819),
(105094, 'PS50812', NULL, 'PWWP domain profile.', NULL, NULL, 'PWWP', 48820),
(105095, 'PS51275', NULL, 'Gamma-glutamyl hydrolase domain profile.', NULL, NULL, 'PEPTIDASE_C26_GGH', 48821),
(105096, 'PS51150', NULL, 'Agouti domain profile.', NULL, NULL, 'AGOUTI_2', 48822),
(105097, 'PS51471', NULL, 'Fe(2+) 2-oxoglutarate dioxygenase domain profile.', NULL, NULL, 'FE2OG_OXY', 48823),
(105098, 'PS51317', NULL, 'Beta-(1-->2)glucan export ATP-binding/permease protein ndvA family profile.', NULL, NULL, 'NDVA', 48824),
(105099, 'PS51725', NULL, 'ABM domain profile.', NULL, NULL, 'ABM', 48825),
(105100, 'PS51883', NULL, 'Obg domain profile.', NULL, NULL, 'OBG', 48826),
(105101, 'PS51797', NULL, 'Translationally controlled tumor protein (TCTP) domain profile.', NULL, NULL, 'TCTP_3', 48827),
(105102, 'PS50261', NULL, 'G-protein coupled receptors family 2 profile 2.', NULL, NULL, 'G_PROTEIN_RECEP_F2_4', 48828),
(105103, 'PS51247', NULL, 'Nickel import ATP-binding protein nikD.', NULL, NULL, 'NIKD', 48829),
(105104, 'PS51610', NULL, 'Calmodulin-lysine N-methyltransferase (EC 2.1.1.60) family profile.', NULL, NULL, 'SAM_CLNMT', 48830),
(105105, 'PS51724', NULL, 'SPOR domain profile.', NULL, NULL, 'SPOR', 48831),
(105106, 'PS50022', NULL, 'Coagulation factors 5/8 type C domain (FA58C) profile.', NULL, NULL, 'FA58C_3', 48832),
(105107, 'PS51735', NULL, 'Filoviruses VP35 interferon inhibitory domain profile.', NULL, NULL, 'VP35_IID', 48833),
(105108, 'PS50027', NULL, 'Laminin-type EGF-like (LE) domain profile.', NULL, NULL, 'EGF_LAM_2', 48834),
(105109, 'PS51879', NULL, 'RST domain profile.', NULL, NULL, 'RST', 48835),
(105110, 'PS50868', NULL, 'Post-SET domain profile.', NULL, NULL, 'POST_SET', 48836),
(105111, 'PS51741', NULL, 'F-BAR domain profile.', NULL, NULL, 'F_BAR', 48837),
(105112, 'PS50280', NULL, 'SET domain profile.', NULL, NULL, 'SET', 48838),
(105113, 'PS51005', NULL, 'NAC domain profile.', NULL, NULL, 'NAC', 48839),
(105114, 'PS51756', NULL, 'LXG domain profile.', NULL, NULL, 'LXG', 48840),
(105115, 'PS50322', NULL, 'Glutamine-rich region profile.', NULL, NULL, 'GLN_RICH', 48841),
(105116, 'PS51358', NULL, 'Nop domain profile.', NULL, NULL, 'NOP', 48842),
(105117, 'PS51463', NULL, 'Glucose-6-phosphate isomerase family profile.', NULL, NULL, 'P_GLUCOSE_ISOMERASE_3', 48843),
(105118, 'PS51668', NULL, 'TsaA-like domain profile.', NULL, NULL, 'TSAA_2', 48844),
(105119, 'PS51792', NULL, 'Yippee domain profile.', NULL, NULL, 'YIPPEE', 48845),
(105120, 'PS51017', NULL, 'CCT domain profile.', NULL, NULL, 'CCT', 48846),
(105121, 'PS51077', NULL, 'IclR-type HTH domain profile.', NULL, NULL, 'HTH_ICLR', 48847);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(105122, 'PS50271', NULL, 'Zinc finger UBP-type profile.', NULL, NULL, 'ZF_UBP', 48848),
(105123, 'PS50983', NULL, 'Iron siderophore/cobalamin periplasmic-binding domain profile.', NULL, NULL, 'FE_B12_PBP', 48849),
(105124, 'PS51283', NULL, 'DUSP domain profile.', NULL, NULL, 'DUSP', 48850),
(105125, 'PS51888', NULL, 'Clip domain profile.', NULL, NULL, 'CLIP', 48851),
(105126, 'PS51205', NULL, 'VPS9 domain profile.', NULL, NULL, 'VPS9', 48852),
(105127, 'PS50158', NULL, 'Zinc finger CCHC-type profile.', NULL, NULL, 'ZF_CCHC', 48853),
(105128, 'PS51300', NULL, 'NADH-nitrite reductase subunit D family profile.', NULL, NULL, 'NIRD', 48854),
(105129, 'PS51676', NULL, 'FF domain profile.', NULL, NULL, 'FF', 48855),
(105130, 'PS50319', NULL, 'Leucine-rich region profile.', NULL, NULL, 'LEU_RICH', 48856),
(105131, 'PS51193', NULL, 'Superfamilies 1 and 2 helicase ATP-binding type-2 domain profile.', NULL, NULL, 'HELICASE_ATP_BIND_2', 48857),
(105132, 'PS50125', NULL, 'Guanylate cyclase domain profile.', NULL, NULL, 'GUANYLATE_CYCLASE_2', 48858),
(105133, 'PS50194', NULL, 'Filamin/ABP280 repeat profile.', NULL, NULL, 'FILAMIN_REPEAT', 48859),
(105134, 'PS51255', NULL, 'ADP-dependent kinase (ADPK) domain profile.', NULL, NULL, 'ADPK', 48860),
(105135, 'PS51493', NULL, 'Arterivirus nsp4 proteinase domain profile.', NULL, NULL, 'AV_NSP4_PRO', 48861),
(105136, 'PS50202', NULL, 'Major sperm protein (MSP) domain profile.', NULL, NULL, 'MSP', 48862),
(105137, 'PS51323', NULL, 'Insulin-like growth factor-binding protein (IGFBP) N-terminal domain profile.', NULL, NULL, 'IGFBP_N_2', 48863),
(105138, 'PS51907', NULL, 'Zinc finger UBZ3-type profile.', NULL, NULL, 'ZF_UBZ3', 48864),
(105139, 'PS51118', NULL, 'HxlR-type HTH domain profile.', NULL, NULL, 'HTH_HXLR', 48865),
(105140, 'PS50977', NULL, 'TetR-type HTH domain profile.', NULL, NULL, 'HTH_TETR_2', 48866),
(105141, 'PS50312', NULL, 'Aspartic acid-rich region profile.', NULL, NULL, 'ASP_RICH', 48867),
(105142, 'PS50829', NULL, 'GYF domain profile.', NULL, NULL, 'GYF', 48868),
(105143, 'PS51065', NULL, 'Neuralized homology repeat (NHR) domain profile.', NULL, NULL, 'NHR', 48869),
(105144, 'PS51481', NULL, 'DhaK domain profile.', NULL, NULL, 'DHAK', 48870),
(105145, 'PS51705', NULL, 'HflX-type guanine nucleotide-binding (G) domain profile.', NULL, NULL, 'G_HFLX', 48871),
(105146, 'PS51157', NULL, 'Zinc finger UBR-type profile.', NULL, NULL, 'ZF_UBR', 48872),
(105147, 'PS51435', NULL, 'AP endonucleases family 1 profile.', NULL, NULL, 'AP_NUCLEASE_F1_4', 48873),
(105148, 'PS50001', NULL, 'Src homology 2 (SH2) domain profile.', NULL, NULL, 'SH2', 48874),
(105149, 'PS51779', NULL, 'POTRA domain profile.', NULL, NULL, 'POTRA', 48875),
(105150, 'PS50231', NULL, 'Lectin domain of ricin B chain profile.', NULL, NULL, 'RICIN_B_LECTIN', 48876),
(105151, 'PS51747', NULL, 'Cytidine and deoxycytidylate deaminases domain profile.', NULL, NULL, 'CYT_DCMP_DEAMINASES_2', 48877),
(105152, 'PS50030', NULL, 'Ubiquitin-associated domain (UBA) profile.', NULL, NULL, 'UBA', 48878),
(105153, 'PS50942', NULL, 'ENTH domain profile.', NULL, NULL, 'ENTH', 48879),
(105154, 'PS51523', NULL, 'Zinc-finger ZF-HD dimerization-type profile.', NULL, NULL, 'ZF_HD_DIMER', 48880),
(105155, 'PS51827', NULL, 'XRN2-binding (XTBD) domain profile.', NULL, NULL, 'XTBD', 48881),
(105156, 'PS01179', NULL, 'Phosphotyrosine interaction domain (PID) profile.', NULL, NULL, 'PID', 48882),
(105157, 'PS51388', NULL, 'GED domain profile.', NULL, NULL, 'GED', 48883),
(105158, 'PS51289', NULL, 'Cysteine-rich GLG1 repeat profile.', NULL, NULL, 'GLG1_C_RICH', 48884),
(105159, 'PS50191', NULL, 'CRAL-TRIO lipid binding domain profile.', NULL, NULL, 'CRAL_TRIO', 48885),
(105160, 'PS51715', NULL, 'GB1/RHD3-type guanine nucleotide-binding (G) domain profile.', NULL, NULL, 'G_GB1_RHD3', 48886),
(105161, 'PS51418', NULL, 'small GTPase Ran family profile.', NULL, NULL, 'RAN', 48887),
(105162, 'PS51899', NULL, 'Flp-type tyrosine recombinase domain profile.', NULL, NULL, 'TYR_RECOMBINASE_FLP', 48888),
(105163, 'PS50317', NULL, 'Isoleucine-rich region profile.', NULL, NULL, 'ILE_RICH', 48889);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(105164, 'PS51904', NULL, 'Glycosyl hydrolase family 25 (GH25) domain profile.', NULL, NULL, 'GLYCOSYL_HYDROL_F25_2', 48890),
(105165, 'PS50318', NULL, 'Lysine-rich region profile.', NULL, NULL, 'LYS_RICH', 48891),
(105166, 'PS51766', NULL, 'Dockerin domain profile.', NULL, NULL, 'DOCKERIN', 48892),
(105167, 'PS51055', NULL, 'ITAM motif mammalian type profile.', NULL, NULL, 'ITAM_1', 48893),
(105168, 'PS51553', NULL, 'GMP synthetase ATP pyrophosphatase (GMPS ATP-PPase) domain profile.', NULL, NULL, 'GMPS_ATP_PPASE', 48894),
(105169, 'PS51901', NULL, 'Archaeal CBS proteins (ACP)-type metal binding (MB) domain profile.', NULL, NULL, 'ACP_MB', 48895),
(105170, 'PS50065', NULL, 'Hydroxymethylglutaryl-coenzyme A reductases family profile.', NULL, NULL, 'HMG_COA_REDUCTASE_4', 48896),
(105171, 'PS51343', NULL, 'P-II protein family profile.', NULL, NULL, 'PII_GLNB_DOM', 48897),
(105172, 'PS51764', NULL, 'Glycosyl hydrolases family 26 (GH26) domain profile.', NULL, NULL, 'GH26', 48898),
(105173, 'PS50058', NULL, 'G-protein gamma subunit domain profile.', NULL, NULL, 'G_PROTEIN_GAMMA', 48899),
(105174, 'PS50278', NULL, 'Platelet-derived growth factor (PDGF) family profile.', NULL, NULL, 'PDGF_2', 48900),
(105175, 'PS50252', NULL, 'T-box domain profile.', NULL, NULL, 'TBOX_3', 48901),
(105176, 'PS51034', NULL, 'ZP domain profile.', NULL, NULL, 'ZP_2', 48902),
(105177, 'PS51202', NULL, 'RCK C-terminal domain profile.', NULL, NULL, 'RCK_C', 48903),
(105178, 'PS51412', NULL, 'Membrane attack complex/perforin (MACPF) domain profile.', NULL, NULL, 'MACPF_2', 48904),
(105179, 'PS51291', NULL, 'Aliphatic sulfonate import ATP-binding protein ssuB family profile.', NULL, NULL, 'SSUB', 48905),
(105180, 'PS51456', NULL, 'Myosin motor domain profile.', NULL, NULL, 'MYOSIN_MOTOR', 48906),
(105181, 'PS50805', NULL, 'Krueppel-associated box (KRAB) profile.', NULL, NULL, 'KRAB', 48907),
(105182, 'PS50843', NULL, 'Expansin, Cellulose-binding-like domain profile.', NULL, NULL, 'EXPANSIN_CBD', 48908),
(105183, 'PS51757', NULL, 'Class I myosin tail homology (TH1) domain profile.', NULL, NULL, 'TH1', 48909),
(105184, 'PS51260', NULL, 'Galactose/methyl galactoside import ATP-binding protein mglA family profile.', NULL, NULL, 'MGLA', 48910),
(105185, 'PS51640', NULL, 'MRG domain profile.', NULL, NULL, 'MRG', 48911),
(105186, 'PS50096', NULL, 'IQ motif profile.', NULL, NULL, 'IQ', 48912),
(105187, 'PS51527', NULL, 'Flavivirus NS2B domain profile.', NULL, NULL, 'FLAVIVIRUS_NS2B', 48913),
(105188, 'PS50956', NULL, 'AsnC-type HTH domain profile.', NULL, NULL, 'HTH_ASNC_2', 48914),
(105189, 'PS51391', NULL, 'CID domain profile.', NULL, NULL, 'CID', 48915),
(105190, 'PS50084', NULL, 'Type-1 KH domain profile.', NULL, NULL, 'KH_TYPE_1', 48916),
(105191, 'PS50008', NULL, 'Phosphatidylinositol-specific phospholipase Y-box domain profile.', NULL, NULL, 'PIPLC_Y_DOMAIN', 48917),
(105192, 'PS50869', NULL, 'BRICHOS domain profile.', NULL, NULL, 'BRICHOS', 48918),
(105193, 'PS51117', NULL, 'Laminin N-terminal domain profile.', NULL, NULL, 'LAMININ_NTER', 48919),
(105194, 'PS50817', NULL, 'Intein N-terminal splicing motif profile.', NULL, NULL, 'INTEIN_N_TER', 48920),
(105195, 'PS51690', NULL, 'Alphavirus core protein (CP) domain profile.', NULL, NULL, 'ALPHAVIRUS_CP', 48921),
(105196, 'PS50950', NULL, 'Zinc finger THAP-type profile', NULL, NULL, 'ZF_THAP', 48922),
(105197, 'PS51272', NULL, 'S-layer homology (SLH) domain profile.', NULL, NULL, 'SLH', 48923),
(105198, 'PS51580', NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, NULL, 'SAM_MT43_3', 48924),
(105199, 'PS50825', NULL, 'HYR domain profile.', NULL, NULL, 'HYR', 48925),
(105200, 'PS51928', NULL, 'Coronavirus nucleocapsid (CoV N) protein N-terminal (NTD) domain profile.', NULL, NULL, 'COV_N_NTD', 48926),
(105201, 'PS51935', NULL, 'NlpC/P60 domain profile.', NULL, NULL, 'NLPC_P60', 48927),
(105202, 'PS50105', NULL, 'SAM domain profile.', NULL, NULL, 'SAM_DOMAIN', 48928),
(105203, 'PS51306', NULL, 'ASD1 domain profile.', NULL, NULL, 'ASD1', 48929),
(105204, 'PS51384', NULL, 'Ferredoxin reductase-type FAD binding domain profile.', NULL, NULL, 'FAD_FR', 48930);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(105205, 'PS50206', NULL, 'Rhodanese domain profile.', NULL, NULL, 'RHODANESE_3', 48931),
(105206, 'PS51707', NULL, 'CYTH domain profile.', NULL, NULL, 'CYTH', 48932),
(105207, 'PS50178', NULL, 'Zinc finger FYVE/FYVE-related type profile.', NULL, NULL, 'ZF_FYVE', 48933),
(105208, 'PS51142', NULL, 'Nicotianamine synthase (NAS)-like family profile.', NULL, NULL, 'NAS', 48934),
(105209, 'PS51296', NULL, 'Rieske [2Fe-2S] iron-sulfur domain profile.', NULL, NULL, 'RIESKE', 48935),
(105210, 'PS51711', NULL, 'FeoB-type guanine nucleotide-binding (G) domain profile.', NULL, NULL, 'G_FEOB', 48936),
(105211, 'PS50893', NULL, 'ATP-binding cassette, ABC transporter-type domain profile.', NULL, NULL, 'ABC_TRANSPORTER_2', 48937),
(105212, 'PS50328', NULL, 'Tyrosine-rich region profile.', NULL, NULL, 'TYR_RICH', 48938),
(105213, 'PS51053', NULL, 'SERTA domain profile.', NULL, NULL, 'SERTA', 48939),
(105214, 'PS51126', NULL, 'Dilute domain profile.', NULL, NULL, 'DILUTE', 48940),
(105215, 'PS51778', NULL, 'VASt domain profile.', NULL, NULL, 'VAST', 48941),
(105216, 'PS51072', NULL, 'Mu homology domain (MHD) profile.', NULL, NULL, 'MHD', 48942),
(105217, 'PS51697', NULL, 'ALOG domain profile.', NULL, NULL, 'ALOG', 48943),
(105218, 'PS51031', NULL, 'BESS domain profile.', NULL, NULL, 'BESS', 48944),
(105219, 'PS51237', NULL, 'Sulfate/thiosulfate import ATP-binding protein cysA family profile.', NULL, NULL, 'CYSA', 48945),
(105220, 'PS51186', NULL, 'Gcn5-related N-acetyltransferase (GNAT) domain profile.', NULL, NULL, 'GNAT', 48946),
(105221, 'PS51822', NULL, 'Hepacivirus/Pegivirus NS3 protease domain profile.', NULL, NULL, 'HV_PV_NS3_PRO', 48947),
(105222, 'PS51266', NULL, 'Zinc finger CHY-type profile.', NULL, NULL, 'ZF_CHY', 48948),
(105223, 'PS50961', NULL, 'La-type HTH domain profile.', NULL, NULL, 'HTH_LA', 48949),
(105224, 'PS51759', NULL, 'Carbohydrate-binding module 15 (CBM15) domain profile.', NULL, NULL, 'CBM15', 48950),
(105225, 'PS50044', NULL, 'Sigma-54 factors family profile.', NULL, NULL, 'SIGMA54_3', 48951),
(105226, 'PS51083', NULL, 'Zinc finger HIT-type profile.', NULL, NULL, 'ZF_HIT', 48952),
(105227, 'PS51208', NULL, 'Autotransporter beta-domain profile.', NULL, NULL, 'AUTOTRANSPORTER', 48953),
(105228, 'PS51577', NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, NULL, 'SAM_MT43_SET7', 48954),
(105229, 'PS50836', NULL, 'DOMON domain profile.', NULL, NULL, 'DOMON', 48955),
(105230, 'PS50075', NULL, 'Carrier protein (CP) domain profile.', NULL, NULL, 'CARRIER', 48956),
(105231, 'PS51934', NULL, 'LRAT domain profile.', NULL, NULL, 'LRAT', 48957),
(105232, 'PS51305', NULL, 'Spermidine/putrescine import ATP-binding protein potA family profile.', NULL, NULL, 'POTA', 48958),
(105233, 'PS51380', NULL, 'EXS domain profile.', NULL, NULL, 'EXS', 48959),
(105234, 'PS50985', NULL, 'GRAS family profile.', NULL, NULL, 'GRAS', 48960),
(105235, 'PS50864', NULL, 'SAND domain profile.', NULL, NULL, 'SAND', 48961),
(105236, 'PS50937', NULL, 'MerR-type HTH domain profile.', NULL, NULL, 'HTH_MERR_2', 48962),
(105237, 'PS50895', NULL, 'SURF1 family profile.', NULL, NULL, 'SURF1', 48963),
(105238, 'PS50203', NULL, 'Cysteine proteinase, calpain-type, catalytic domain profile.', NULL, NULL, 'CALPAIN_CAT', 48964),
(105239, 'PS50211', NULL, 'Tripartite DENN domain profile.', NULL, NULL, 'DENN', 48965),
(105240, 'PS51488', NULL, 'KBD domain profile.', NULL, NULL, 'KBD', 48966),
(105241, 'PS01124', NULL, 'Bacterial regulatory proteins, araC family DNA-binding domain profile.', NULL, NULL, 'HTH_ARAC_FAMILY_2', 48967),
(105242, 'PS50987', NULL, 'ArsR-type HTH domain profile.', NULL, NULL, 'HTH_ARSR_2', 48968),
(105243, 'PS51252', NULL, 'Antistasin-like domain profile.', NULL, NULL, 'ANTISTASIN', 48969),
(105244, 'PS51663', NULL, 'Stathmin-like (SLD) domain profile.', NULL, NULL, 'STATHMIN_3', 48970),
(105245, 'PS51161', NULL, 'ATP-cone domain profile.', NULL, NULL, 'ATP_CONE', 48971),
(105246, 'PS50186', NULL, 'DEP domain profile.', NULL, NULL, 'DEP', 48972),
(105247, 'PS51183', NULL, 'JmjN domain profile.', NULL, NULL, 'JMJN', 48973);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(105248, 'PS50063', NULL, 'Apoptosis regulator, Bcl-2 family BH4 motif profile.', NULL, NULL, 'BH4_2', 48974),
(105249, 'PS50176', NULL, 'Armadillo/plakoglobin ARM repeat profile.', NULL, NULL, 'ARM_REPEAT', 48975),
(105250, 'PS50887', NULL, 'GGDEF domain profile.', NULL, NULL, 'GGDEF', 48976),
(105251, 'PS51750', NULL, 'Bro-N domain profile.', NULL, NULL, 'BRO_N', 48977),
(105252, 'PS51913', NULL, 'HARE-type HTH domain profile.', NULL, NULL, 'HTH_HARE', 48978),
(105253, 'PS51479', NULL, 'RTR1-type zinc finger.', NULL, NULL, 'ZF_RTR1', 48979),
(105254, 'PS51338', NULL, 'IMD domain profile.', NULL, NULL, 'IMD', 48980),
(105255, 'PS51112', NULL, 'AMMECR1 domain profile.', NULL, NULL, 'AMMECR1', 48981),
(105256, 'PS51551', NULL, 'Ephrin receptor-binding (ephrin RBD) domain profile.', NULL, NULL, 'EPHRIN_RBD_2', 48982),
(105257, 'PS50917', NULL, 'SPOC domain profile.', NULL, NULL, 'SPOC', 48983),
(105258, 'PS51342', NULL, 'Colipase family profile.', NULL, NULL, 'COLIPASE_2', 48984),
(105259, 'PS51844', NULL, 'Myosin N-terminal SH3-like domain profile.', NULL, NULL, 'SH3_LIKE', 48985),
(105260, 'PS51000', NULL, 'DeoR-type HTH domain profile.', NULL, NULL, 'HTH_DEOR_2', 48986),
(105261, 'PS50024', NULL, 'SEA domain profile.', NULL, NULL, 'SEA', 48987),
(105262, 'PS51500', NULL, 'Sin domain profile.', NULL, NULL, 'SIN', 48988),
(105263, 'PS51203', NULL, 'CS domain profile.', NULL, NULL, 'CS', 48989),
(105264, 'PS51409', NULL, 'Arginase family profile.', NULL, NULL, 'ARGINASE_2', 48990),
(105265, 'PS50163', NULL, 'RecA family profile 2.', NULL, NULL, 'RECA_3', 48991),
(105266, 'PS50235', NULL, 'Ubiquitin specific protease (USP) domain profile.', NULL, NULL, 'USP_3', 48992),
(105267, 'PS51392', NULL, 'KEN domain profile.', NULL, NULL, 'KEN', 48993),
(105268, 'PS51801', NULL, 'Zinc finger CCHC NOA-type profile.', NULL, NULL, 'ZF_CCHC_NOA', 48994),
(105269, 'PS50181', NULL, 'F-box domain profile.', NULL, NULL, 'FBOX', 48995),
(105270, 'PS50885', NULL, 'HAMP domain profile.', NULL, NULL, 'HAMP', 48996),
(105271, 'PS50831', NULL, 'SoHo domain profile.', NULL, NULL, 'SOHO', 48997),
(105272, 'PS50013', NULL, 'Chromo and chromo shadow domain profile.', NULL, NULL, 'CHROMO_2', 48998),
(105273, 'PS50005', NULL, 'TPR repeat profile.', NULL, NULL, 'TPR', 48999),
(105274, 'PS51102', NULL, 'PTS_EIIB type-5 domain profile.', NULL, NULL, 'PTS_EIIB_TYPE_5', 49000),
(105275, 'PS51509', NULL, 'Phosphagen kinase N-terminal domain profile.', NULL, NULL, 'PHOSPHAGEN_KINASE_N', 49001),
(105276, 'PS50988', NULL, 'TROVE domain profile.', NULL, NULL, 'TROVE', 49002),
(105277, 'PS51828', NULL, 'Pentraxin (PTX) domain profile.', NULL, NULL, 'PTX_2', 49003),
(105278, 'PS50882', NULL, 'YTH domain profile.', NULL, NULL, 'YTH', 49004),
(105279, 'PS50934', NULL, 'SWIRM domain profile.', NULL, NULL, 'SWIRM', 49005),
(105280, 'PS50838', NULL, 'MAGE conserved domain profile.', NULL, NULL, 'MAGE', 49006),
(105281, 'PS51823', NULL, 'Clueless (Clu) domain profile.', NULL, NULL, 'CLU', 49007),
(105282, 'PS50016', NULL, 'Zinc finger PHD-type profile.', NULL, NULL, 'ZF_PHD_2', 49008),
(105283, 'PS50297', NULL, 'Ankyrin repeat region circular profile.', NULL, NULL, 'ANK_REP_REGION', 49009),
(105284, 'PS51198', NULL, 'UvrD-like DNA helicase ATP-binding domain profile.', NULL, NULL, 'UVRD_HELICASE_ATP_BIND', 49010),
(105285, 'PS51546', NULL, 'Phosphatidylinositol 3-kinase Ras-binding (PI3K RBD) domain profile.', NULL, NULL, 'PI3K_RBD', 49011),
(105286, 'PS50305', NULL, 'Sirtuin catalytic domain profile.', NULL, NULL, 'SIRTUIN', 49012),
(105287, 'PS51310', NULL, 'VPS28 C-terminal domain profile.', NULL, NULL, 'VPS28_C', 49013),
(105288, 'PS51651', NULL, 'DOCKER domain profile.', NULL, NULL, 'DOCKER', 49014),
(105289, 'PS50026', NULL, 'EGF-like domain profile.', NULL, NULL, 'EGF_3', 49015),
(105290, 'PS50166', NULL, 'Importin-beta N-terminal domain profile.', NULL, NULL, 'IMPORTIN_B_NT', 49016),
(105291, 'PS51351', NULL, 'TFIIE beta central core DNA-binding domain profile.', NULL, NULL, 'TFIIE_BETA_C', 49017),
(105292, 'PS50152', NULL, '2''-5''-oligoadenylate synthase N-terminal region profile.', NULL, NULL, '25A_SYNTH_3', 49018);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(105293, 'PS51064', NULL, 'IRS-type PTB domain profile.', NULL, NULL, 'IRS_PTB', 49019),
(105294, 'PS51796', NULL, 'MSS4 domain profile.', NULL, NULL, 'MSS4', 49020),
(105295, 'PS51079', NULL, 'MBT repeat profile.', NULL, NULL, 'MBT', 49021),
(105296, 'PS51653', NULL, 'Coronaviridae zinc-binding (CV ZBD) domain profile.', NULL, NULL, 'CV_ZBD', 49022),
(105297, 'PS51130', NULL, 'PdxT/SNO family profile.', NULL, NULL, 'PDXT_SNO_2', 49023),
(105298, 'PS50039', NULL, 'Fork head domain profile.', NULL, NULL, 'FORK_HEAD_3', 49024),
(105299, 'PS50018', NULL, 'Ras GTPase-activating proteins profile.', NULL, NULL, 'RAS_GTPASE_ACTIV_2', 49025),
(105300, 'PS50878', NULL, 'Reverse transcriptase (RT) catalytic domain profile.', NULL, NULL, 'RT_POL', 49026),
(105301, 'PS51345', NULL, 'Myotoxins family profile.', NULL, NULL, 'MYOTOXINS_2', 49027),
(105302, 'PS51097', NULL, 'PTS_EIIA type-5 domain profile.', NULL, NULL, 'PTS_EIIA_TYPE_5', 49028),
(105303, 'PS51215', NULL, 'AWS domain profile.', NULL, NULL, 'AWS', 49029),
(105304, 'PS50244', NULL, 'Steroid 5-alpha reductase C-terminal domain profile.', NULL, NULL, 'S5A_REDUCTASE', 49030),
(105305, 'PS51029', NULL, 'MADF domain profile.', NULL, NULL, 'MADF', 49031),
(105306, 'PS50980', NULL, 'Acetyl-coenzyme A (CoA) carboxyltransferase N-terminal domain profile.', NULL, NULL, 'COA_CT_NTER', 49032),
(105307, 'PS51273', NULL, 'Glutamine amidotransferase type 1 domain profile.', NULL, NULL, 'GATASE_TYPE_1', 49033),
(105308, 'PS51709', NULL, 'TrmE-type guanine nucleotide-binding (G) domain profile.', NULL, NULL, 'G_TRME', 49034),
(105309, 'PS51063', NULL, 'Crp-type HTH domain profile.', NULL, NULL, 'HTH_CRP_2', 49035),
(105310, 'PS50862', NULL, 'Aminoacyl-transfer RNA synthetases class-II family profile.', NULL, NULL, 'AA_TRNA_LIGASE_II', 49036),
(105311, 'PS51943', NULL, 'Coronavirus Nsp3a Ubl domain profile.', NULL, NULL, 'COV_NSP3A_UBL', 49037),
(105312, 'PS51111', NULL, 'REJ domain profile.', NULL, NULL, 'REJ', 49038),
(105313, 'PS51681', NULL, 'SAM-dependent methyltransferase NNMT/PNMT/TEMT-type profile.', NULL, NULL, 'SAM_MT_NNMT_PNMT_TEMT', 49039),
(105314, 'PS51832', NULL, 'HD-GYP domain profile.', NULL, NULL, 'HD_GYP', 49040),
(105315, 'PS51372', NULL, 'PRD domain profile.', NULL, NULL, 'PRD_2', 49041),
(105316, 'PS51765', NULL, 'Zinc finger RAG1-type profile.', NULL, NULL, 'ZF_RAG1', 49042),
(105317, 'PS50164', NULL, 'GIY-YIG domain profile.', NULL, NULL, 'GIY_YIG', 49043),
(105318, 'PS51179', NULL, 'POU-specific (POUs) domain profile.', NULL, NULL, 'POU_3', 49044),
(105319, 'PS51229', NULL, 'DCUN1 domain profile.', NULL, NULL, 'DCUN1', 49045),
(105320, 'PS51243', NULL, 'Cytochrome C biogenesis export ATP-binding protein ccmA family profile.', NULL, NULL, 'CCMA', 49046),
(105321, 'PS51128', NULL, 'Prokaryotic dksA C4-type zinc finger profiles.', NULL, NULL, 'ZF_DKSA_2', 49047),
(105322, 'PS51540', NULL, 'Arterivirus papain-like cysteine protease beta (PCPbeta) domain profile.', NULL, NULL, 'AV_PCP_BETA', 49048),
(105323, 'PS50940', NULL, 'Chitin-binding type-2 domain profile.', NULL, NULL, 'CHIT_BIND_II', 49049),
(105324, 'PS50003', NULL, 'PH domain profile.', NULL, NULL, 'PH_DOMAIN', 49050),
(105325, 'PS51048', NULL, 'SGS domain profile.', NULL, NULL, 'SGS', 49051),
(105326, 'PS51585', NULL, 'Thiopurine or thiol or thiocyanate S-methyltransferase (TPMT) family profile.', NULL, NULL, 'SAM_MT_TPMT', 49052),
(105327, 'PS51923', NULL, 'Coronavirus spike (S) glycoprotein S2 subunit heptad repeat 1 (HR1) region profile.', NULL, NULL, 'COV_S2_HR1', 49053),
(105328, 'PS51738', NULL, 'Peptidase family C21 domain profile.', NULL, NULL, 'PEPTIDASE_C21', 49054),
(105329, 'PS50293', NULL, 'TPR repeat region circular profile.', NULL, NULL, 'TPR_REGION', 49055),
(105330, 'PS50002', NULL, 'Src homology 3 (SH3) domain profile.', NULL, NULL, 'SH3', 49056),
(105331, 'PS51731', NULL, 'Vertebrate-like NAGS Gcn5-related N-acetyltransferase (GNAT) domain profile.', NULL, NULL, 'GNAT_NAGS', 49057),
(105332, 'PS50965', NULL, 'NERD domain profile.', NULL, NULL, 'NERD', 49058);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(105333, 'PS51942', NULL, 'Betacoronavirus Nsp3c-C domain profile.', NULL, NULL, 'BCOV_NSP3C_C', 49059),
(105334, 'PS50873', NULL, 'Plant heme peroxidase family profile.', NULL, NULL, 'PEROXIDASE_4', 49060),
(105335, 'PS51254', NULL, 'Ribose import ATP-binding protein rbsA family profile.', NULL, NULL, 'RBSA', 49061),
(105336, 'PS51387', NULL, 'PCMH-type FAD-binding domain profile.', NULL, NULL, 'FAD_PCMH', 49062),
(105337, 'PS51722', NULL, 'Translational (tr)-type guanine nucleotide-binding (G) domain profile.', NULL, NULL, 'G_TR_2', 49063),
(105338, 'PS50081', NULL, 'Zinc finger phorbol-ester/DAG-type profile.', NULL, NULL, 'ZF_DAG_PE_2', 49064),
(105339, 'PS50092', NULL, 'Thrombospondin type-1 (TSP1) repeat profile.', NULL, NULL, 'TSP1', 49065),
(105340, 'PS50177', NULL, 'Nuclear transport factor 2 domain profile.', NULL, NULL, 'NTF2_DOMAIN', 49066),
(105341, 'PS51324', NULL, 'ERV/ALR sulfhydryl oxidase domain profile.', NULL, NULL, 'ERV_ALR', 49067),
(105342, 'PS50071', NULL, '''Homeobox'' domain profile.', NULL, NULL, 'HOMEOBOX_2', 49068),
(105343, 'PS51873', NULL, 'TRIAD supradomain profile.', NULL, NULL, 'TRIAD', 49069),
(105344, 'PS50041', NULL, 'C-type lectin domain profile.', NULL, NULL, 'C_TYPE_LECTIN_2', 49070),
(105345, 'PS51025', NULL, 'PWI domain profile.', NULL, NULL, 'PWI', 49071),
(105346, 'PS51648', NULL, 'YcgL domain profile.', NULL, NULL, 'YCGL', 49072),
(105347, 'PS51043', NULL, 'DDHD domain profile.', NULL, NULL, 'DDHD', 49073),
(105348, 'PS51307', NULL, 'ASD2 domain profile.', NULL, NULL, 'ASD2', 49074),
(105349, 'PS51938', NULL, 'SUZ-C domain profile.', NULL, NULL, 'SUZ_C', 49075),
(105350, 'PS51109', NULL, 'G5 domain profile.', NULL, NULL, 'G5', 49076),
(105351, 'PS51612', NULL, 'Poxvirus/kinetoplastid-type ribose 2''-O-methyltransferase (EC 2.1.1.57) family profile.', NULL, NULL, 'SAM_MT_2O_PK', 49077),
(105352, 'PS51804', NULL, 'Zinc finger C2HC LYAR-type profile.', NULL, NULL, 'ZF_C2HC_LYAR', 49078),
(105353, 'PS51160', NULL, 'Acylphosphatase-like domain profile.', NULL, NULL, 'ACYLPHOSPHATASE_3', 49079),
(105354, 'PS51516', NULL, 'Sox C-terminal domain profile.', NULL, NULL, 'SOX_C', 49080),
(105355, 'PS51408', NULL, 'Transferrin-like domain profile.', NULL, NULL, 'TRANSFERRIN_LIKE_4', 49081),
(105356, 'PS51020', NULL, 'Spondin domain profile.', NULL, NULL, 'SPONDIN', 49082),
(105357, 'PS51113', NULL, 'Zinc finger Btk-type profile.', NULL, NULL, 'ZF_BTK', 49083),
(105358, 'PS51855', NULL, 'MGS-like domain profile.', NULL, NULL, 'MGS', 49084),
(105359, 'PS51622', NULL, 'tRNA (uracil-5-)-methyltransferase (EC 2.1.1.35) family profile.', NULL, NULL, 'SAM_MT_RNA_M5U_2', 49085),
(105360, 'PS51221', NULL, 'TTL domain profile.', NULL, NULL, 'TTL', 49086),
(105361, 'PS51599', NULL, 'Phospholipid methyltransferases (EC 2.1.1.17 and EC=2.1.1.71) family profile.', NULL, NULL, 'SAM_PEMT_PEM2', 49087),
(105362, 'PS51937', NULL, 'HNF-1 dimerization (HNF-p1) domain profile.', NULL, NULL, 'HNF_P1', 49088),
(105363, 'PS51941', NULL, 'Betacoronavirus Nsp3c-M domain profile.', NULL, NULL, 'BCOV_NSP3C_M', 49089),
(105364, 'PS50532', NULL, 'IS408 transposase-type HTH domain profile.', NULL, NULL, 'HTH_IS408', 49090),
(105365, 'PS51821', NULL, 'Velvet domain profile.', NULL, NULL, 'VELVET', 49091),
(105366, 'PS50851', NULL, 'CheW-like domain profile.', NULL, NULL, 'CHEW', 49092),
(105367, 'PS51727', NULL, 'CBP/p300-type histone acetyltransferase (HAT) domain profile.', NULL, NULL, 'CBP_P300_HAT', 49093),
(105368, 'PS51231', NULL, 'Diaphanous autoregulatory domain (DAD) profile.', NULL, NULL, 'DAD', 49094),
(105369, 'PS50320', NULL, 'Methionine-rich region profile.', NULL, NULL, 'MET_RICH', 49095),
(105370, 'PS51460', NULL, 'GAR domain profile.', NULL, NULL, 'GAR', 49096),
(105371, 'PS50122', NULL, 'CheB-type methylesterase domain profile.', NULL, NULL, 'CHEB', 49097),
(105372, 'PS51499', NULL, 'APO domain profile.', NULL, NULL, 'APO', 49098),
(105373, 'PS51770', NULL, 'Hotdog acyl-CoA thioesterase (ACOT)-type domain profile.', NULL, NULL, 'HOTDOG_ACOT', 49099),
(105374, 'PS50919', NULL, 'MIR domain profile.', NULL, NULL, 'MIR', 49100);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(105375, 'PS51624', NULL, 'RNA methyltransferase TRMH family profile.', NULL, NULL, 'SAM_MT_TRMH_2', 49101),
(105376, 'PS51021', NULL, 'BAR domain profile.', NULL, NULL, 'BAR', 49102),
(105377, 'PS51719', NULL, 'Septin-type guanine nucleotide-binding (G) domain profile.', NULL, NULL, 'G_SEPTIN', 49103),
(105378, 'PS50106', NULL, 'PDZ domain profile.', NULL, NULL, 'PDZ', 49104),
(105379, 'PS51219', NULL, 'Dephospho-CoA kinase (DPCK) domain profile.', NULL, NULL, 'DPCK', 49105),
(105380, 'PS51515', NULL, 'Bin3-type S-adenosyl-L-methionine (SAM) domain profile.', NULL, NULL, 'BIN3_SAM', 49106),
(105381, 'PS51304', NULL, 'Galactoside-binding lectin (galectin) domain profile.', NULL, NULL, 'GALECTIN', 49107),
(105382, 'PS50215', NULL, 'ADAM type metalloprotease domain profile.', NULL, NULL, 'ADAM_MEPRO', 49108),
(105383, 'PS50986', NULL, 'MANSC domain profile.', NULL, NULL, 'MANSC', 49109),
(105384, 'PS50804', NULL, 'SCAN box profile.', NULL, NULL, 'SCAN_BOX', 49110),
(105385, 'PS50839', NULL, 'CHASE domain profile.', NULL, NULL, 'CHASE', 49111),
(105386, 'PS50912', NULL, 'EAR repeat profile.', NULL, NULL, 'EAR', 49112),
(105387, 'PS51396', NULL, 'PUL domain profile.', NULL, NULL, 'PUL', 49113),
(105388, 'PS50856', NULL, 'AMOP domain profile.', NULL, NULL, 'AMOP', 49114),
(105389, 'PS51315', NULL, 'sn-glycerol-3-phosphate import ATP-binding protein ugpC family profile.', NULL, NULL, 'UGPC', 49115),
(105390, 'PS50172', NULL, 'BRCT domain profile.', NULL, NULL, 'BRCT', 49116),
(105391, 'PS51538', NULL, 'Arterivirus nsp2 cysteine protease (AV CP) domain profile.', NULL, NULL, 'AV_CP', 49117),
(105392, 'PS51773', NULL, 'Orange carotenoid protein (OCP) N-terminal domain profile.', NULL, NULL, 'OCP_N', 49118),
(105393, 'PS50311', NULL, 'Cysteine-rich region profile.', NULL, NULL, 'CYS_RICH', 49119),
(105394, 'PS51002', NULL, 'Cytochrome b/b6 N-terminal region profile.', NULL, NULL, 'CYTB_NTER', 49120),
(105395, 'PS51421', NULL, 'small GTPase Ras family profile.', NULL, NULL, 'RAS', 49121),
(105396, 'PS51944', NULL, 'Coronavirus Nsp3d Ubl domain profile.', NULL, NULL, 'COV_NSP3D_UBL', 49122),
(105397, 'PS51184', NULL, 'JmjC domain profile.', NULL, NULL, 'JMJC', 49123),
(105398, 'PS51339', NULL, 'Myotubularin phosphatase domain.', NULL, NULL, 'PPASE_MYOTUBULARIN', 49124),
(105399, 'PS51946', NULL, 'Coronavirus Nsp4 C-terminal (Nsp4C) domain profile.', NULL, NULL, 'COV_NSP4C', 49125),
(105400, 'PS50159', NULL, 'Ribosomal protein S13 family profile.', NULL, NULL, 'RIBOSOMAL_S13_2', 49126),
(105401, 'PS51929', NULL, 'Coronavirus nucleocapsid (CoV N) protein C-terminal (CTD) domain profile.', NULL, NULL, 'COV_N_CTD', 49127),
(105402, 'PS51288', NULL, 'Thiamine import ATP-binding protein thiQ family profile.', NULL, NULL, 'THIQ', 49128),
(105403, 'PS50015', NULL, 'Saposin B type domain profile.', NULL, NULL, 'SAP_B', 49129),
(105404, 'PS51886', NULL, 'TLDc domain profile.', NULL, NULL, 'TLDC', 49130),
(105405, 'PS50998', NULL, 'Gla domain profile.', NULL, NULL, 'GLA_2', 49131),
(105406, 'PS51250', NULL, 'Taurine import ATP-binding protein tauB.', NULL, NULL, 'TAUB', 49132),
(105407, 'PS51487', NULL, 'NBD domain profile.', NULL, NULL, 'NBD', 49133),
(105408, 'PS50978', NULL, 'NEAT domain profile.', NULL, NULL, 'NEAT', 49134),
(105409, 'PS51016', NULL, 'MyTH4 domain profile.', NULL, NULL, 'MYTH4', 49135),
(105410, 'PS51931', NULL, 'Bacterial microcompartment (BMC) circularly permuted domain profile.', NULL, NULL, 'BMC_CP', 49136),
(105411, 'PS51936', NULL, 'POU-specific (POUs) atypical domain profile.', NULL, NULL, 'POU_4', 49137),
(105412, 'PS51930', NULL, 'Bacterial microcompartment (BMC) domain profile.', NULL, NULL, 'BMC_2', 49138),
(105413, 'PS51535', NULL, 'Pestivirus NS3 protease (NS3pro) domain profile.', NULL, NULL, 'PESTIVIRUS_NS3PRO', 49139),
(105414, 'PS51917', NULL, 'Pru (pleckstrin-like receptor for ubiquitin) domain profile.', NULL, NULL, 'PRU', 49140),
(105415, 'PS51371', NULL, 'CBS domain profile.', NULL, NULL, 'CBS', 49141),
(105416, 'PS50857', NULL, 'Cytochrome oxidase subunit II copper A binding domain profile.', NULL, NULL, 'COX2_CUA', 49142);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(105417, 'PS51411', NULL, 'PSP1 C-terminal domain profile.', NULL, NULL, 'PSP1_C', 49143),
(105418, 'PS50845', NULL, 'Reticulon domain profile.', NULL, NULL, 'RETICULON', 49144),
(105419, 'PS50021', NULL, 'Calponin homology (CH) domain profile.', NULL, NULL, 'CH', 49145),
(105420, 'PS51194', NULL, 'Superfamilies 1 and 2 helicase C-terminal domain profile.', NULL, NULL, 'HELICASE_CTER', 49146),
(105421, 'PS51849', NULL, 'RsgI N-terminal anti-sigma domain profile.', NULL, NULL, 'RSGI_N', 49147),
(105422, 'PS51861', NULL, 'Oxytoxin-type inhibitor cystine knot (ICK) domain profile.', NULL, NULL, 'OXYTX_ICK', 49148),
(105423, 'PS51545', NULL, 'PIK helical domain profile.', NULL, NULL, 'PIK_HELICAL', 49149),
(105424, 'PS51887', NULL, 'Aphthovirus leader protease (L(pro)) domain profile.', NULL, NULL, 'APHTHOVIRUS_LPRO', 49150),
(105425, 'PS51270', NULL, 'Zinc finger CTCHY-type profile.', NULL, NULL, 'ZF_CTCHY', 49151),
(105426, 'PS51225', NULL, 'MARVEL domain profile.', NULL, NULL, 'MARVEL', 49152),
(105427, 'PS51131', NULL, 'Rad50 zinc-hook domain profile.', NULL, NULL, 'ZN_HOOK', 49153),
(105428, 'PS51362', NULL, 'TGF-beta family profile.', NULL, NULL, 'TGF_BETA_2', 49154),
(105429, 'PS51216', NULL, 'Nebulin repeat profile.', NULL, NULL, 'NEBULIN', 49155),
(105430, 'PS51921', NULL, 'Betacoronavirus spike (S) glycoprotein S1 subunit C-terminal (CTD) domain profile.', NULL, NULL, 'BCOV_S1_CTD', 49156),
(105431, 'PS51598', NULL, 'Phosphatidylethanolamine N-methyltransferase (EC 2.1.1.17) family profile.', NULL, NULL, 'SAM_CHO2', 49157),
(105432, 'PS51313', NULL, 'VPS28 N-terminal domain profile.', NULL, NULL, 'VPS28_N', 49158),
(105433, 'PS51331', NULL, 'Flavin-dependent thymidylate synthase (thyX) domain profile.', NULL, NULL, 'THYX', 49159),
(105434, 'PS51549', NULL, 'DM13 domain profile.', NULL, NULL, 'DM13', 49160),
(105435, 'PS51281', NULL, 'TAP C-terminal (TAP-C) domain profile.', NULL, NULL, 'TAP_C', 49161),
(105436, 'PS51197', NULL, 'Rrf2-type HTH domain profile.', NULL, NULL, 'HTH_RRF2_2', 49162),
(105437, 'PS51695', NULL, 'Sedolisin domain profile.', NULL, NULL, 'SEDOLISIN', 49163),
(105438, 'PS51132', NULL, 'Olfactomedin-like domain profile.', NULL, NULL, 'OLF', 49164),
(105439, 'PS51422', NULL, 'small GTPase SAR1 family profile.', NULL, NULL, 'SAR1', 49165),
(105440, 'PS51559', NULL, 'Arginine and arginine-like N-methyltransferase domain profile.', NULL, NULL, 'SAM_RMT2', 49166),
(105441, 'PS51780', NULL, 'GW domain profile.', NULL, NULL, 'GW', 49167),
(105442, 'PS51519', NULL, 'RWP-RK domain profile.', NULL, NULL, 'RWP_RK', 49168),
(105443, 'PS51437', NULL, 'CG-1 DNA-binding domain profile.', NULL, NULL, 'CG_1', 49169),
(105444, 'PS51494', NULL, 'SpoIVB peptidase domain profile.', NULL, NULL, 'SPOIVB', 49170),
(105445, 'PS51819', NULL, 'Vicinal oxygen chelate (VOC) domain profile.', NULL, NULL, 'VOC', 49171),
(105446, 'PS51133', NULL, 'Zinc finger TFIIS-type profile.', NULL, NULL, 'ZF_TFIIS_2', 49172),
(105447, 'PS51159', NULL, 'CBM21 (carbohydrate binding type-21) domain profile.', NULL, NULL, 'CBM21', 49173),
(105448, 'PS51170', NULL, 'Cell wall-binding repeat profile.', NULL, NULL, 'CW', 49174),
(105449, 'PS50132', NULL, 'RGS domain profile.', NULL, NULL, 'RGS', 49175),
(105450, 'PS51014', NULL, 'Precorrin-6x reductase domain profile.', NULL, NULL, 'COBK_CBIJ', 49176),
(105451, 'PS51802', NULL, 'Zinc finger CCHHC-type profile.', NULL, NULL, 'ZF_CCHHC', 49177),
(105452, 'PS51210', NULL, 'PLA2c domain profile.', NULL, NULL, 'PLA2C', 49178),
(105453, 'PS51426', NULL, 'ABL domain profile.', NULL, NULL, 'ABL', 49179),
(105454, 'PS51853', NULL, 'pG2 pseudoGTPase domain profile.', NULL, NULL, 'PG2', 49180),
(105455, 'PS51910', NULL, 'Glycosyl hydrolases family 18 (GH18) domain profile.', NULL, NULL, 'GH18_2', 49181),
(105456, 'PS50853', NULL, 'Fibronectin type-III domain profile.', NULL, NULL, 'FN3', 49182),
(105457, 'PS51236', NULL, 'Thrombospondin C-terminal domain profile.', NULL, NULL, 'TSP_CTER', 49183),
(105458, 'PS51806', NULL, 'DOG1 domain profile.', NULL, NULL, 'DOG1', 49184);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(105459, 'PS50103', NULL, 'Zinc finger C3H1-type profile.', NULL, NULL, 'ZF_C3H1', 49185),
(105460, 'PS51175', NULL, 'CBM6 (carbohydrate binding type-6) domain profile.', NULL, NULL, 'CBM6', 49186),
(105461, 'PS51498', NULL, 'MABP domain profile.', NULL, NULL, 'MABP', 49187),
(105462, 'PS51455', NULL, 'Phosphatidylinositol phosphate kinase (PIPK) domain profile.', NULL, NULL, 'PIPK', 49188),
(105463, 'PS51261', NULL, 'Hemin import ATP-Binding protein hmuV family profile.', NULL, NULL, 'HMUV', 49189),
(105464, 'PS50180', NULL, 'Gamma-adaptin ear (GAE) domain profile.', NULL, NULL, 'GAE', 49190),
(105465, 'PS50866', NULL, 'GOLD domain profile.', NULL, NULL, 'GOLD', 49191),
(105466, 'PS51793', NULL, 'Mis18 domain profile.', NULL, NULL, 'MIS18', 49192),
(105467, 'PS50809', NULL, 'DM DNA-binding domain profile.', NULL, NULL, 'DM_2', 49193),
(105468, 'PS51035', NULL, 'BAG domain profile.', NULL, NULL, 'BAG', 49194),
(105469, 'PS51211', NULL, 'Vitellogenin domain profile.', NULL, NULL, 'VITELLOGENIN', 49195),
(105470, 'PS51504', NULL, 'Linker histone H1/H5 globular (H15) domain profile.', NULL, NULL, 'H15', 49196),
(105471, 'PS51568', NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, NULL, 'SAM_MT43_SET2_1', 49197),
(105472, 'PS51591', NULL, 'mRNA cap 0 and cap 1 methyltransferase (EC 2.1.1.56 and EC 2.1.1.57) domain profile.', NULL, NULL, 'RNA_CAP01_NS5_MT', 49198),
(105473, 'PS51506', NULL, 'Cbl-type phosphotyrosine-binding (Cbl-PTB) domain profile.', NULL, NULL, 'CBL_PTB', 49199),
(105474, 'PS50918', NULL, 'WWE domain profile.', NULL, NULL, 'WWE', 49200),
(105475, 'PS51059', NULL, 'PARP catalytic domain profile.', NULL, NULL, 'PARP_CATALYTIC', 49201),
(105476, 'PS51169', NULL, 'Chorismate mutase domain profile.', NULL, NULL, 'CHORISMATE_MUT_3', 49202),
(105477, 'PS51894', NULL, 'Caliciviridae (CV) 3C-like protein profile.', NULL, NULL, 'CV_3CL_PRO', 49203),
(105478, 'PS50531', NULL, 'IS21 transposase-type HTH domain profile.', NULL, NULL, 'HTH_IS21', 49204),
(105479, 'PS51730', NULL, 'Alpha-tubulin Gcn5-related N-acetyltransferase (GNAT) domain profile.', NULL, NULL, 'GNAT_ATAT', 49205),
(105480, 'PS51532', NULL, 'PITH domain profile.', NULL, NULL, 'PITH', 49206),
(105481, 'PS51877', NULL, 'Hypovirulence-associated virus (HAV) papain-like protease p29 domain profile.', NULL, NULL, 'HAV_P29_PRO', 49207),
(105482, 'PS51251', NULL, 'Teichoic acids export ATP-binding protein tagH.', NULL, NULL, 'TAGH', 49208),
(105483, 'PS51829', NULL, 'P/Homo B domain profile.', NULL, NULL, 'P_HOMO_B', 49209),
(105484, 'PS50146', NULL, 'DAG-kinase catalytic (DAGKc) domain profile.', NULL, NULL, 'DAGK', 49210),
(105485, 'PS50222', NULL, 'EF-hand calcium-binding domain profile.', NULL, NULL, 'EF_HAND_2', 49211),
(105486, 'PS51755', NULL, 'OmpR/PhoB-type DNA-binding domain profile.', NULL, NULL, 'OMPR_PHOB', 49212),
(105487, 'PS51915', NULL, 'ZAD domain profile.', NULL, NULL, 'ZAD', 49213),
(105488, 'PS50196', NULL, 'Ran binding domain type 1 profile.', NULL, NULL, 'RANBD1', 49214),
(105489, 'PS51468', NULL, 'VIT domain profile.', NULL, NULL, 'VIT', 49215),
(105490, 'PS50017', NULL, 'Death domain profile.', NULL, NULL, 'DEATH_DOMAIN', 49216),
(105491, 'PS50984', NULL, 'TRUD domain profile.', NULL, NULL, 'TRUD', 49217),
(105492, 'PS51579', NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, NULL, 'SAM_MT43_SUVAR39_3', 49218),
(105493, 'PS50974', NULL, 'AdoMet activation domain profile.', NULL, NULL, 'ADOMET_ACTIVATION', 49219),
(105494, 'PS51573', NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, NULL, 'SAM_MT43_SUVAR39_1', 49220),
(105495, 'PS50892', NULL, 'v-SNARE coiled-coil homology domain profile.', NULL, NULL, 'V_SNARE', 49221),
(105496, 'PS50267', NULL, 'Sodium:neurotransmitter symporter family profile.', NULL, NULL, 'NA_NEUROTRAN_SYMP_3', 49222),
(105497, 'PS51359', NULL, 'Cytochrome c oxidase subunit Vb, zinc binding domain profile.', NULL, NULL, 'COX5B_2', 49223),
(105498, 'PS51825', NULL, 'DIPSY domain profile.', NULL, NULL, 'DIPSY', 49224);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(105499, 'PS51393', NULL, 'Lipoxygenase iron-binding catalytic domain profile.', NULL, NULL, 'LIPOXYGENASE_3', 49225),
(105500, 'PS50816', NULL, 'NAF domain profile.', NULL, NULL, 'NAF', 49226),
(105501, 'PS51448', NULL, 'P-type ''Trefoil'' domain profile.', NULL, NULL, 'P_TREFOIL_2', 49227),
(105502, 'PS50010', NULL, 'Dbl homology (DH) domain profile.', NULL, NULL, 'DH_2', 49228),
(105503, 'PS51957', NULL, 'LIM interaction domain (LID) domain profile.', NULL, NULL, 'LID', 49229),
(105504, 'PS51026', NULL, 'NIFH_FRXC family profile.', NULL, NULL, 'NIFH_FRXC_3', 49230),
(105505, 'PS50886', NULL, 'tRNA-binding domain profile.', NULL, NULL, 'TRBD', 49231),
(105506, 'PS51517', NULL, 'NDT80 DNA-binding domain profile.', NULL, NULL, 'NDT80', 49232),
(105507, 'PS50189', NULL, 'NTR domain profile.', NULL, NULL, 'NTR', 49233),
(105508, 'PS50240', NULL, 'Serine proteases, trypsin domain profile.', NULL, NULL, 'TRYPSIN_DOM', 49234),
(105509, 'PS51062', NULL, 'Runt domain profile.', NULL, NULL, 'RUNT', 49235),
(105510, 'PS51141', NULL, 'Zinc finger SBP-type profile.', NULL, NULL, 'ZF_SBP', 49236),
(105511, 'PS51472', NULL, 'RNA-recognition motif (RRM) Nup35-type domain profile.', NULL, NULL, 'RRM_NUP35', 49237),
(105512, 'PS50020', NULL, 'WW/rsp5/WWP domain profile.', NULL, NULL, 'WW_DOMAIN_2', 49238),
(105513, 'PS50216', NULL, 'DHHC domain profile.', NULL, NULL, 'DHHC', 49239),
(105514, 'PS51512', NULL, 'DFDF domain profile.', NULL, NULL, 'DFDF', 49240),
(105515, 'PS51364', NULL, 'TGF-beta binding (TB) domain profile.', NULL, NULL, 'TB', 49241),
(105516, 'PS51560', NULL, 'Nicotinamide N-methyltransferase (EC 2.1.1.1) family profile.', NULL, NULL, 'SAM_MT_NNT1', 49242),
(105517, 'PS51038', NULL, 'BAH domain profile.', NULL, NULL, 'BAH', 49243),
(105518, 'PS50225', NULL, 'SOCS box domain profile.', NULL, NULL, 'SOCS', 49244),
(105519, 'PS50818', NULL, 'Intein C-terminal splicing motif profile.', NULL, NULL, 'INTEIN_C_TER', 49245),
(105520, 'PS51511', NULL, 'FIP-RBD domain profile.', NULL, NULL, 'FIP_RBD', 49246),
(105521, 'PS51096', NULL, 'PTS_EIIA type-4 domain profile.', NULL, NULL, 'PTS_EIIA_TYPE_4', 49247),
(105522, 'PS51905', NULL, 'Zinc finger UBZ1-type profile.', NULL, NULL, 'ZF_UBZ1', 49248),
(105523, 'PS51278', NULL, 'Glutamine amidotransferase type 2 domain profile.', NULL, NULL, 'GATASE_TYPE_2', 49249),
(105524, 'PS51228', NULL, 'Acyl-CoA-binding (ACB) domain profile.', NULL, NULL, 'ACB_2', 49250),
(105525, 'PS51058', NULL, 'Zinc finger CXXC-type profile.', NULL, NULL, 'ZF_CXXC', 49251),
(105526, 'PS51195', NULL, 'DEAD-box RNA helicase Q motif profile.', NULL, NULL, 'Q_MOTIF', 49252),
(105527, 'PS51178', NULL, 'PASTA domain profile.', NULL, NULL, 'PASTA', 49253),
(105528, 'PS51507', NULL, 'IRF tryptophan pentad repeat DNA-binding domain profile.', NULL, NULL, 'IRF_2', 49254),
(105529, 'PS51644', NULL, 'OST-type HTH domain profile.', NULL, NULL, 'HTH_OST', 49255),
(105530, 'PS51417', NULL, 'small GTPase Arf family profile.', NULL, NULL, 'ARF', 49256),
(105531, 'PS50156', NULL, 'Sterol-sensing domain (SSD) profile.', NULL, NULL, 'SSD', 49257),
(105532, 'PS51348', NULL, 'Glycosyl hydrolases family 22 (GH22) domain profile.', NULL, NULL, 'GLYCOSYL_HYDROL_F22_2', 49258),
(105533, 'PS51911', NULL, 'C2 Aida-type domain profile.', NULL, NULL, 'C2_AIDA', 49259),
(105534, 'PS51659', NULL, 'Glycosyltransferase family 23 (GT23) domain profile.', NULL, NULL, 'GT23', 49260),
(105535, 'PS51447', NULL, 'Ferredoxin-fold anticodon binding (FDX-ACB) domain profile.', NULL, NULL, 'FDX_ACB', 49261),
(105536, 'PS51699', NULL, 'DG-type SEA domain profile.', NULL, NULL, 'SEA_DG', 49262),
(105537, 'PS51401', NULL, 'CHORD domain profile.', NULL, NULL, 'CHORD', 49263),
(105538, 'PS51046', NULL, 'GON domain profile.', NULL, NULL, 'GON', 49264),
(105539, 'PS51290', NULL, 'CRIC domain profile.', NULL, NULL, 'CRIC', 49265),
(105540, 'PS51191', NULL, 'FemABX peptidyl transferase family profile.', NULL, NULL, 'FEMABX', 49266),
(105541, 'PS50171', NULL, 'Zinc finger matrin-type profile.', NULL, NULL, 'ZF_MATRIN', 49267),
(105542, 'PS50524', NULL, 'RdRp of Birnaviridae dsRNA viruses catalytic domain profile.', NULL, NULL, 'RDRP_DSRNA_BIR', 49268);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(105543, 'PS50138', NULL, 'BRCA2 repeat profile.', NULL, NULL, 'BRCA2_REPEAT', 49269),
(105544, 'PS51582', NULL, 'Phosphoethanolamine N-methyltransferase (PEAMT) (EC 2.1.1.103) family profile.', NULL, NULL, 'SAM_PEAMT', 49270),
(105545, 'PS51574', NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, NULL, 'SAM_MT43_2', 49271),
(105546, 'PS51841', NULL, 'Lamin-tail (LTD) domain profile.', NULL, NULL, 'LTD', 49272),
(105547, 'PS51443', NULL, 'Phytochelatin synthase (PCS) domain profile.', NULL, NULL, 'PCS', 49273),
(105548, 'PS51402', NULL, 'catalase family profile.', NULL, NULL, 'CATALASE_3', 49274),
(105549, 'PS51831', NULL, 'HD domain profile.', NULL, NULL, 'HD', 49275),
(105550, 'PS50188', NULL, 'B30.2/SPRY domain profile.', NULL, NULL, 'B302_SPRY', 49276),
(105551, 'PS50891', NULL, 'LOB domain profile.', NULL, NULL, 'LOB', 49277),
(105552, 'PS51099', NULL, 'PTS_EIIB type-2 domain profile.', NULL, NULL, 'PTS_EIIB_TYPE_2', 49278),
(105553, 'PS51776', NULL, 'RH1 domain profile.', NULL, NULL, 'RH1', 49279),
(105554, 'PS50966', NULL, 'Zinc finger SWIM-type profile.', NULL, NULL, 'ZF_SWIM', 49280),
(105555, 'PS51576', NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, NULL, 'SAM_MT43_EZ', 49281),
(105556, 'PS51344', NULL, 'TFE/IIEalpha-type HTH domain profile.', NULL, NULL, 'HTH_TFE_IIE', 49282),
(105557, 'PS51903', NULL, 'Clp repeat (R) domain profile.', NULL, NULL, 'CLP_R', 49283),
(105558, 'PS51320', NULL, 'Tify domain profile.', NULL, NULL, 'TIFY', 49284),
(105559, 'PS51922', NULL, 'Betacoronavirus spike (S) glycoprotein S1 subunit N-terminal (NTD) domain profile.', NULL, NULL, 'BCOV_S1_NTD', 49285),
(105560, 'PS50151', NULL, 'UVR domain profile.', NULL, NULL, 'UVR', 49286),
(105561, 'PS50045', NULL, 'Sigma-54 interaction domain profile.', NULL, NULL, 'SIGMA54_INTERACT_4', 49287),
(105562, 'PS51786', NULL, 'Lon proteolytic domain profile.', NULL, NULL, 'LON_PROTEOLYTIC', 49288),
(105563, 'PS51166', NULL, 'CBM20 (carbohydrate binding type-20) domain profile.', NULL, NULL, 'CBM20', 49289),
(105564, 'PS51892', NULL, 'Serine proteases, subtilase domain profile.', NULL, NULL, 'SUBTILASE', 49290),
(105565, 'PS50302', NULL, 'Pumilio RNA-binding repeat profile.', NULL, NULL, 'PUM', 49291),
(105566, 'PS50920', NULL, 'Solute carrier (Solcar) repeat profile.', NULL, NULL, 'SOLCAR', 49292),
(105567, 'PS51149', NULL, 'Glycine radical domain profile.', NULL, NULL, 'GLY_RADICAL_2', 49293),
(105568, 'PS50949', NULL, 'GntR-type HTH domain profile.', NULL, NULL, 'HTH_GNTR', 49294),
(105569, 'PS51842', NULL, 'Intermediate filament (IF) rod domain profile.', NULL, NULL, 'IF_ROD_2', 49295),
(105570, 'PS51365', NULL, 'Renal dipeptidase family profile.', NULL, NULL, 'RENAL_DIPEPTIDASE_2', 49296),
(105571, 'PS51570', NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, NULL, 'SAM_MT43_SUVAR420_2', 49297),
(105572, 'PS51316', NULL, 'Olduvai (ODV) domain profile.', NULL, NULL, 'ODV', 49298),
(105573, 'PS50600', NULL, 'Ubiquitin-like protease family profile.', NULL, NULL, 'ULP_PROTEASE', 49299),
(105574, 'PS51518', NULL, 'SGF29 C-terminal domain profile.', NULL, NULL, 'SGF29_C', 49300),
(105575, 'PS50931', NULL, 'LysR-type HTH domain profile.', NULL, NULL, 'HTH_LYSR', 49301),
(105576, 'PS51174', NULL, 'Barwin domain profile.', NULL, NULL, 'BARWIN_3', 49302),
(105577, 'PS50314', NULL, 'Phenylalanine-rich region profile.', NULL, NULL, 'PHE_RICH', 49303),
(105578, 'PS51700', NULL, 'SEPARIN core domain profile.', NULL, NULL, 'SEPARIN', 49304),
(105579, 'PS51502', NULL, 'Stress-response A/B barrel domain profile.', NULL, NULL, 'S_R_A_B_BARREL', 49305),
(105580, 'PS50059', NULL, 'FKBP-type peptidyl-prolyl cis-trans isomerase domain profile.', NULL, NULL, 'FKBP_PPIASE', 49306),
(105581, 'PS50939', NULL, 'Cytochrome b561 domain profile.', NULL, NULL, 'CYTOCHROME_B561', 49307),
(105582, 'PS50975', NULL, 'ATP-grasp fold profile.', NULL, NULL, 'ATP_GRASP', 49308),
(105583, 'PS50847', NULL, 'Gram-positive cocci surface proteins LPxTG motif profile.', NULL, NULL, 'GRAM_POS_ANCHORING', 49309);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(105584, 'PS51912', NULL, 'DMAP1-binding domain profile.', NULL, NULL, 'DMAP1_BIND', 49310),
(105585, 'PS51019', NULL, 'Reelin domain profile.', NULL, NULL, 'REELIN', 49311),
(105586, 'PS50095', NULL, 'PLAT domain profile.', NULL, NULL, 'PLAT', 49312),
(105587, 'PS51476', NULL, 'Proteasome beta-type subunit profile.', NULL, NULL, 'PROTEASOME_BETA_2', 49313),
(105588, 'PS50326', NULL, 'Valine-rich region profile.', NULL, NULL, 'VAL_RICH', 49314),
(105589, 'PS51752', NULL, 'Jacalin-type lectin domain profile.', NULL, NULL, 'JACALIN_LECTIN', 49315),
(105590, 'PS51056', NULL, 'ITAM motif hantavirus type profile.', NULL, NULL, 'ITAM_2', 49316),
(105591, 'PS51748', NULL, 'Hexokinase domain profile.', NULL, NULL, 'HEXOKINASE_2', 49317),
(105592, 'PS51107', NULL, 'PTS_EIIC type-5 domain profile.', NULL, NULL, 'PTS_EIIC_TYPE_5', 49318),
(105593, 'PS50909', NULL, 'GAT domain profile.', NULL, NULL, 'GAT', 49319),
(105594, 'PS51761', NULL, 'Glycosyl hydrolases family 11 (GH11) domain profile.', NULL, NULL, 'GH11_3', 49320),
(105595, 'PS51924', NULL, 'Coronavirus spike (S) glycoprotein S2 subunit heptad repeat 2 (HR2) region profile.', NULL, NULL, 'COV_S2_HR2', 49321),
(105596, 'PS51850', NULL, 'KARI N-terminal domain profile.', NULL, NULL, 'KARI_N', 49322),
(105597, 'PS50979', NULL, 'Biotin carboxylation domain profile.', NULL, NULL, 'BC', 49323),
(105598, 'PS51419', NULL, 'small GTPase Rab1 family profile.', NULL, NULL, 'RAB', 49324),
(105599, 'PS50217', NULL, 'Basic-leucine zipper (bZIP) domain profile.', NULL, NULL, 'BZIP', 49325),
(105600, 'PS51416', NULL, 'MIB/HERC2 domain profile.', NULL, NULL, 'MIB_HERC2', 49326),
(105601, 'PS51678', NULL, 'SAM-dependent methyltransferase PRMT-type domain profile.', NULL, NULL, 'SAM_MT_PRMT', 49327),
(105602, 'PS50835', NULL, 'Ig-like domain profile.', NULL, NULL, 'IG_LIKE', 49328),
(105603, 'PS51346', NULL, 'Prokaryotic zinc-dependent phospholipase C domain profile.', NULL, NULL, 'PROKAR_ZN_DEPEND_PLPC_2', 49329),
(105604, 'PS51749', NULL, 'Cas9-type HNH domain profile.', NULL, NULL, 'HNH_CAS9', 49330),
(105605, 'PS51397', NULL, 'WLM domain profile.', NULL, NULL, 'WLM', 49331),
(105606, 'PS51575', NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, NULL, 'SAM_MT43_SUVAR39_2', 49332),
(105607, 'PS50826', NULL, 'RUN domain profile.', NULL, NULL, 'RUN', 49333),
(105608, 'PS01178', NULL, 'Anaphylatoxin domain profile.', NULL, NULL, 'ANAPHYLATOXIN_2', 49334),
(105609, 'PS51745', NULL, 'PB1 domain profile.', NULL, NULL, 'PB1', 49335),
(105610, 'PS51534', NULL, 'SEFIR domain profile.', NULL, NULL, 'SEFIR', 49336),
(105611, 'PS51074', NULL, 'DPH-type metal-binding (MB) domain profile.', NULL, NULL, 'DPH_MB', 49337),
(105612, 'PS51390', NULL, 'WAP-type ''four-disulfide core'' domain profile.', NULL, NULL, 'WAP', 49338),
(105613, 'PS50108', NULL, 'CRIB domain profile.', NULL, NULL, 'CRIB', 49339),
(105614, 'PS50316', NULL, 'Histidine-rich region profile.', NULL, NULL, 'HIS_RICH', 49340),
(105615, 'PS51039', NULL, 'Zinc finger AN1-type profile.', NULL, NULL, 'ZF_AN1', 49341),
(105616, 'PS51933', NULL, 'EutK-Ctail domain profile.', NULL, NULL, 'EUTK_C', 49342),
(105617, 'PS50810', NULL, 'Frataxin family profile.', NULL, NULL, 'FRATAXIN_2', 49343),
(105618, 'PS50160', NULL, 'ATP-dependent DNA ligase family profile.', NULL, NULL, 'DNA_LIGASE_A3', 49344),
(105619, 'PS51544', NULL, 'Phosphatidylinositol 3-kinase adaptor-binding (PI3K ABD) domain profile.', NULL, NULL, 'PI3K_ABD', 49345),
(105620, 'PS51562', NULL, 'mRNA (guanine-N(7)-)-methyltransferase (EC 2.1.1.56) domain profile.', NULL, NULL, 'RNA_CAP0_MT', 49346),
(105621, 'PS51890', NULL, 'DAZ domain profile.', NULL, NULL, 'DAZ', 49347),
(105622, 'PS51095', NULL, 'PTS_EIIA type-3 domain profile.', NULL, NULL, 'PTS_EIIA_TYPE_3', 49348),
(105623, 'PS51754', NULL, 'OVATE domain profile.', NULL, NULL, 'OVATE', 49349),
(105624, 'PS51413', NULL, 'DBINO domain profile.', NULL, NULL, 'DBINO', 49350),
(105625, 'PS50960', NULL, 'Psq-type HTH domain profile.', NULL, NULL, 'HTH_PSQ', 49351),
(105626, 'PS51153', NULL, 'RPW8 domain profile.', NULL, NULL, 'RPW8', 49352);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(105627, 'PS50033', NULL, 'UBX domain profile.', NULL, NULL, 'UBX', 49353),
(105628, 'PS50054', NULL, 'Dual specificity protein phosphatase domain profile.', NULL, NULL, 'TYR_PHOSPHATASE_DUAL', 49354),
(105629, 'PS51230', NULL, 'EB1-C terminal (EB1-C) domain profile.', NULL, NULL, 'EB1_C', 49355),
(105630, 'PS51061', NULL, 'R3H domain profile.', NULL, NULL, 'R3H', 49356),
(105631, 'PS51116', NULL, 'Laminin IV type A domain profile.', NULL, NULL, 'LAMININ_IVB', 49357),
(105632, 'PS51794', NULL, 'Diadenylate cyclase (DAC) domain profile.', NULL, NULL, 'DAC', 49358),
(105633, 'PS50842', NULL, 'Expansin, family-45 endoglucanase-like domain profile.', NULL, NULL, 'EXPANSIN_EG45', 49359),
(105634, 'PS51355', NULL, 'Glutathione peroxidase profile.', NULL, NULL, 'GLUTATHIONE_PEROXID_3', 49360),
(105635, 'PS51119', NULL, 'TAFH/NHR1 domain profile.', NULL, NULL, 'TAFH', 49361),
(105636, 'PS51015', NULL, 'YDG domain profile.', NULL, NULL, 'YDG', 49362),
(105637, 'PS50250', NULL, 'PCI domain profile.', NULL, NULL, 'PCI', 49363),
(105638, 'PS51729', NULL, 'Yjdj-type Gcn5-related N-acetyltransferase (GNAT) domain profile.', NULL, NULL, 'GNAT_YJDJ', 49364),
(105639, 'PS50067', NULL, 'Kinesin motor domain profile.', NULL, NULL, 'KINESIN_MOTOR_2', 49365),
(105640, 'PS50906', NULL, 'Nitrate and nitrite sensing (NIT) domain profile.', NULL, NULL, 'NIT', 49366),
(105641, 'PS51185', NULL, 'WHEP-TRS domain profile.', NULL, NULL, 'WHEP_TRS_2', 49367),
(105642, 'PS51082', NULL, 'WH2 domain profile.', NULL, NULL, 'WH2', 49368),
(105643, 'PS51151', NULL, 'NAC A/B domain profile.', NULL, NULL, 'NAC_AB', 49369),
(105644, 'PS50313', NULL, 'Glutamic acid-rich region profile.', NULL, NULL, 'GLU_RICH', 49370),
(105645, 'PS51267', NULL, 'Macrolide export ATP-binding/permease protein macB family profile.', NULL, NULL, 'MACB', 49371),
(105646, 'PS50951', NULL, 'SARAH domain profile.', NULL, NULL, 'SARAH', 49372),
(105647, 'PS51381', NULL, 'C2 B9-type domain profile.', NULL, NULL, 'C2_B9', 49373),
(105648, 'PS51461', NULL, 'Fibrillar collagen C-terminal non-collagenous (NC1) domain profile.', NULL, NULL, 'NC1_FIB', 49374),
(105649, 'PS51263', NULL, 'ADF-H domain profile.', NULL, NULL, 'ADF_H', 49375),
(105650, 'PS50213', NULL, 'FAS1/BIgH3 domain profile.', NULL, NULL, 'FAS1', 49376),
(105651, 'PS50968', NULL, 'Biotinyl/lipoyl domain profile.', NULL, NULL, 'BIOTINYL_LIPOYL', 49377),
(105652, 'PS51597', NULL, 'Histamine N-methyltransferase (EC 2.1.1.8) family profile.', NULL, NULL, 'SAM_HNMT', 49378),
(105653, 'PS51626', NULL, 'Trm1 methyltransferase domain profile.', NULL, NULL, 'SAM_MT_TRM1', 49379),
(105654, 'PS51895', NULL, 'Alt a 1 (AA1)-like domain profile.', NULL, NULL, 'AA1', 49380),
(105655, 'PS50085', NULL, 'Rap GTPase activating proteins domain profile.', NULL, NULL, 'RAPGAP', 49381),
(105656, 'PS51495', NULL, 'GLUE domain profile.', NULL, NULL, 'GLUE', 49382),
(105657, 'PS50118', NULL, 'HMG boxes A and B DNA-binding domains profile.', NULL, NULL, 'HMG_BOX_2', 49383),
(105658, 'PS50115', NULL, 'ARF GTPase-activating proteins domain profile.', NULL, NULL, 'ARFGAP', 49384),
(105659, 'PS51840', NULL, 'C2 NT-type domain profile.', NULL, NULL, 'C2_NT', 49385),
(105660, 'PS50073', NULL, 'Copper-fist DNA-binding domain profile.', NULL, NULL, 'COPPER_FIST_2', 49386),
(105661, 'PS51836', NULL, 'Tripartite DENN FNIP1/2-type domain profile.', NULL, NULL, 'DENN_FNIP12', 49387),
(105662, 'PS50043', NULL, 'LuxR-type HTH domain profile.', NULL, NULL, 'HTH_LUXR_2', 49388),
(105663, 'PS51120', NULL, 'LDL-receptor class B (LDLRB) repeat profile.', NULL, NULL, 'LDLRB', 49389),
(105664, 'PS51713', NULL, 'Era-type guanine nucleotide-binding (G) domain profile.', NULL, NULL, 'G_ERA', 49390),
(105665, 'PIRSF021435', NULL, NULL, 172, NULL, 'SpoIIIAB', 49391),
(105666, 'PIRSF030840', NULL, NULL, 182, NULL, 'ShuX', 49392),
(105667, 'PIRSF006806', NULL, NULL, 192, NULL, '5_FTHF', 49393),
(105668, 'PIRSF002131', NULL, NULL, 133, NULL, 'RPS11p_RPS11a_RPS14e_RPS11o', 49394),
(105669, 'PIRSF000848', NULL, NULL, 225, NULL, 'CDP_diag_ino_3_P', 49395);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(105670, 'PIRSF000605', NULL, NULL, 523, NULL, 'RPS6_kin_1', 49396),
(105671, 'PIRSF037902', NULL, NULL, 1454, NULL, 'Subtilisin_rel_Ava_4226', 49397),
(105672, 'PIRSF028477', NULL, NULL, 290, NULL, 'UCP028477', 49398),
(105673, 'PIRSF028773', NULL, NULL, 111, NULL, 'UCP028773', 49399),
(105674, 'PIRSF007027', NULL, NULL, 258, NULL, 'UCP007027', 49400),
(105675, 'PIRSF003784', NULL, NULL, 117, NULL, 'VAC_N1L', 49401),
(105676, 'PIRSF016495', NULL, NULL, 375, NULL, 'UCP016495', 49402),
(105677, 'PIRSF018063', NULL, NULL, 168, NULL, 'Ferrtn_UCP018063', 49403),
(105678, 'PIRSF007807', NULL, NULL, 350, NULL, 'CDC123', 49404),
(105679, 'PIRSF016937', NULL, NULL, 486, NULL, 'UCP016937', 49405),
(105680, 'PIRSF033101', NULL, NULL, 262, NULL, 'UCP033101', 49406),
(105681, 'PIRSF001435', NULL, NULL, 225, NULL, 'Nth', 49407),
(105682, 'PIRSF037225', NULL, NULL, 62, NULL, 'UCP037225', 49408),
(105683, 'PIRSF001788', NULL, NULL, 141, NULL, 'GMF-beta', 49409),
(105684, 'PIRSF002070', NULL, NULL, 160, NULL, 'SSB', 49410),
(105685, 'PIRSF028340', NULL, NULL, 137, NULL, 'UCP028340', 49411),
(105686, 'PIRSF002527', NULL, NULL, 523, NULL, 'ER-like_NR', 49412),
(105687, 'PIRSF029557', NULL, NULL, 206, NULL, 'UCP029557', 49413),
(105688, 'PIRSF036805', NULL, NULL, 481, NULL, '26S_protsm_s5a', 49414),
(105689, 'PIRSF005822', NULL, NULL, 103, NULL, 'NDUA2', 49415),
(105690, 'PIRSF002190', NULL, NULL, 173, NULL, 'Ribosomal_L18a', 49416),
(105691, 'PIRSF022632', NULL, NULL, 156, NULL, 'UCP022632', 49417),
(105692, 'PIRSF027682', NULL, NULL, 369, NULL, 'UCP027682_CUB_vWA', 49418),
(105693, 'PIRSF500183', NULL, NULL, 728, NULL, 'Hepatocyte_GF', 49419),
(105694, 'PIRSF000188', NULL, NULL, 354, NULL, 'Phe_leu_dh', 49420),
(105695, 'PIRSF009415', NULL, NULL, 108, NULL, 'TFIIA_gamma_hum', 49421),
(105696, 'PIRSF000166', NULL, NULL, 347, NULL, 'Coproporphyri_ox', 49422),
(105697, 'PIRSF015965', NULL, NULL, 925, NULL, '26S_protsm_Rpn1', 49423),
(105698, 'PIRSF006743', NULL, NULL, 1521, NULL, 'Exonuclease_Xnr1', 49424),
(105699, 'PIRSF015693', NULL, NULL, 570, NULL, 'VAC-48L_nuct', 49425),
(105700, 'PIRSF017888', NULL, NULL, 230, NULL, 'CPSF-25', 49426),
(105701, 'PIRSF018567', NULL, NULL, 346, NULL, 'AcoX', 49427),
(105702, 'PIRSF000112', NULL, NULL, 367, NULL, 'Glycerol_dh', 49428),
(105703, 'PIRSF000729', NULL, NULL, 374, NULL, 'GK', 49429),
(105704, 'PIRSF010603', NULL, NULL, 106, NULL, 'UCP010603', 49430),
(105705, 'PIRSF030050', NULL, NULL, 307, NULL, 'UCP030050_HTH', 49431),
(105706, 'PIRSF018957', NULL, NULL, 191, NULL, 'UCP018957', 49432),
(105707, 'PIRSF016766', NULL, NULL, 326, NULL, 'UCP016766_ATPgrasp', 49433),
(105708, 'PIRSF015950', NULL, NULL, 340, NULL, 'Mev_P_decrbx', 49434),
(105709, 'PIRSF037445', NULL, NULL, 412, NULL, 'UCP037445_abhydr', 49435),
(105710, 'PIRSF019239', NULL, NULL, 172, NULL, 'MrpE', 49436),
(105711, 'PIRSF009265', NULL, NULL, 251, NULL, 'GCH3', 49437),
(105712, 'PIRSF033143', NULL, NULL, 112, NULL, 'LytTR_solo', 49438),
(105713, 'PIRSF002155', NULL, NULL, 234, NULL, 'RPL1p_RPL1a_RPL10e_RPL1o', 49439),
(105714, 'PIRSF002368', NULL, NULL, 448, NULL, 'Clusterin', 49440),
(105715, 'PIRSF016202', NULL, NULL, 333, NULL, 'PH1107', 49441),
(105716, 'PIRSF008210', NULL, NULL, 147, NULL, 'UCP008210', 49442),
(105717, 'PIRSF019302', NULL, NULL, 105, NULL, 'UCP019302', 49443),
(105718, 'PIRSF017385', NULL, NULL, 132, NULL, 'CtaF', 49444),
(105719, 'PIRSF037861', NULL, NULL, 340, NULL, 'Prion_URE2', 49445),
(105720, 'PIRSF000385', NULL, NULL, 295, NULL, 'Gly_N-mtase', 49446),
(105721, 'PIRSF000116', NULL, NULL, 490, NULL, 'IlvC_gammaproteo', 49447),
(105722, 'PIRSF016498', NULL, NULL, 120, NULL, 'UCP016498', 49448),
(105723, 'PIRSF000264', NULL, NULL, 265, NULL, 'Meth_CoM_rd_gama', 49449),
(105724, 'PIRSF500813', NULL, NULL, 314, NULL, 'PP1_PTG', 49450),
(105725, 'PIRSF500742', NULL, NULL, 965, NULL, 'MAPKKK13', 49451),
(105726, 'PIRSF001365', NULL, NULL, 307, NULL, 'DHDPS', 49452),
(105727, 'PIRSF001491', NULL, NULL, 404, NULL, 'Ppentomutase', 49453),
(105728, 'PIRSF029962', NULL, NULL, 93, NULL, 'UCP029962', 49454);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(105729, 'PIRSF000741', NULL, NULL, 758, NULL, 'FasBCD', 49455),
(105730, 'PIRSF002372', NULL, NULL, 232, NULL, 'Beta-casein', 49456),
(105731, 'PIRSF019543', NULL, NULL, 336, NULL, 'Clavaminate_syn', 49457),
(105732, 'PIRSF019115', NULL, NULL, 160, NULL, 'UCP019115', 49458),
(105733, 'PIRSF037161', NULL, NULL, 789, NULL, 'PRDM4', 49459),
(105734, 'PIRSF026343', NULL, NULL, 341, NULL, 'NlpB', 49460),
(105735, 'PIRSF003768', NULL, NULL, 79, NULL, 'VAC_I5L', 49461),
(105736, 'PIRSF016934', NULL, NULL, 122, NULL, 'UCP016934', 49462),
(105737, 'PIRSF016933', NULL, NULL, 228, NULL, 'PrsW', 49463),
(105738, 'PIRSF006386', NULL, NULL, 211, NULL, 'HCCAis_GSTk', 49464),
(105739, 'PIRSF001767', NULL, NULL, 562, NULL, 'Cdc6', 49465),
(105740, 'PIRSF006787', NULL, NULL, 579, NULL, 'Hydrgn_mat_HoxX', 49466),
(105741, 'PIRSF036640', NULL, NULL, 594, NULL, 'FPGT', 49467),
(105742, 'PIRSF000980', NULL, NULL, 1112, NULL, 'RecC', 49468),
(105743, 'PIRSF017681', NULL, NULL, 287, NULL, '3-HAO', 49469),
(105744, 'PIRSF036158', NULL, NULL, 199, NULL, 'UCP036158_MarR', 49470),
(105745, 'PIRSF038984', NULL, NULL, 534, NULL, 'FAD_binding_protein', 49471),
(105746, 'PIRSF004509', NULL, NULL, 86, NULL, 'UCP004509_Rem', 49472),
(105747, 'PIRSF015268', NULL, NULL, 343, NULL, 'Virulence_RhuM', 49473),
(105748, 'PIRSF006187', NULL, NULL, 154, NULL, 'UCP006187', 49474),
(105749, 'PIRSF019254', NULL, NULL, 267, NULL, 'CFP29', 49475),
(105750, 'PIRSF006865', NULL, NULL, 163, NULL, 'Ecotin', 49476),
(105751, 'PIRSF037798', NULL, NULL, 293, NULL, 'Hsp31', 49477),
(105752, 'PIRSF015753', NULL, NULL, 318, NULL, 'GST', 49478),
(105753, 'PIRSF028934', NULL, NULL, 390, NULL, 'Cyclin_CG14939', 49479),
(105754, 'PIRSF036226', NULL, NULL, 209, NULL, 'UCP036226', 49480),
(105755, 'PIRSF001196', NULL, NULL, 709, NULL, 'Meprin', 49481),
(105756, 'PIRSF036995', NULL, NULL, 313, NULL, 'RSM24', 49482),
(105757, 'PIRSF009414', NULL, NULL, 480, NULL, 'LuxC', 49483),
(105758, 'PIRSF034445', NULL, NULL, 167, NULL, 'CpxP_Spy', 49484),
(105759, 'PIRSF037347', NULL, NULL, 783, NULL, 'HK_CHASE2_PAS', 49485),
(105760, 'PIRSF036666', NULL, NULL, 545, NULL, 'G6S', 49486),
(105761, 'PIRSF037469', NULL, NULL, 586, NULL, 'Chc_related', 49487),
(105762, 'PIRSF003781', NULL, NULL, 199, NULL, 'VAC_C5L', 49488),
(105763, 'PIRSF003766', NULL, NULL, 75, NULL, 'VAC_I2L', 49489),
(105764, 'PIRSF016939', NULL, NULL, 357, NULL, 'ADP_ribosylarg_hydrolase', 49490),
(105765, 'PIRSF038940', NULL, NULL, 347, NULL, 'Low_specificity_LTA', 49491),
(105766, 'PIRSF500144', NULL, NULL, 266, NULL, 'IODI_III', 49492),
(105767, 'PIRSF011649', NULL, NULL, 339, NULL, 'MtTFB', 49493),
(105768, 'PIRSF017706', NULL, NULL, 845, NULL, 'TFIP11', 49494),
(105769, 'PIRSF031715', NULL, NULL, 623, NULL, 'CobT_chel', 49495),
(105770, 'PIRSF032756', NULL, NULL, 144, NULL, 'UCP032756', 49496),
(105771, 'PIRSF029271', NULL, NULL, 300, NULL, 'Pdx1', 49497),
(105772, 'PIRSF016599', NULL, NULL, 486, NULL, 'Xaa-His_dipept', 49498),
(105773, 'PIRSF020967', NULL, NULL, 380, NULL, 'UCP020967', 49499),
(105774, 'PIRSF006402', NULL, NULL, 716, NULL, 'UCP006402_thioredoxin', 49500),
(105775, 'PIRSF018507', NULL, NULL, 554, NULL, 'Prpndl_dhdrts_lg', 49501),
(105776, 'PIRSF001235', NULL, NULL, 420, NULL, 'Amidase_hyd_carb', 49502),
(105777, 'PIRSF005690', NULL, NULL, 491, NULL, 'GerBA', 49503),
(105778, 'PIRSF029669', NULL, NULL, 206, NULL, 'UCP029669', 49504),
(105779, 'PIRSF002465', NULL, NULL, 341, NULL, 'Phsphlp_syn_PlsX', 49505),
(105780, 'PIRSF001134', NULL, NULL, 385, NULL, 'Streptogrisin', 49506),
(105781, 'PIRSF022909', NULL, NULL, 125, NULL, 'UCP022909', 49507),
(105782, 'PIRSF028762', NULL, NULL, 412, NULL, 'ABD1', 49508),
(105783, 'PIRSF032968', NULL, NULL, 359, NULL, 'UCP032968', 49509),
(105784, 'PIRSF000163', NULL, NULL, 495, NULL, 'ChlB', 49510),
(105785, 'PIRSF005303', NULL, NULL, 326, NULL, 'Thiam_monoph_kin', 49511),
(105786, 'PIRSF018147', NULL, NULL, 218, NULL, 'ORM1', 49512),
(105787, 'PIRSF023956', NULL, NULL, 215, NULL, 'TPMT', 49513),
(105788, 'PIRSF019464', NULL, NULL, 196, NULL, 'UCP019464', 49514);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(105789, 'PIRSF001475', NULL, NULL, 302, NULL, 'Cyclophilin_E', 49515),
(105790, 'PIRSF021265', NULL, NULL, 123, NULL, 'ManO', 49516),
(105791, 'PIRSF024051', NULL, NULL, 177, NULL, 'UCP024051', 49517),
(105792, 'PIRSF026544', NULL, NULL, 124, NULL, 'DksA_homolog', 49518),
(105793, 'PIRSF000044', NULL, NULL, 410, NULL, 'Cis_Diol_DH_RD', 49519),
(105794, 'PIRSF001558', NULL, NULL, 486, NULL, 'GSHase', 49520),
(105795, 'PIRSF032862', NULL, NULL, 627, NULL, 'UCP032862_Fe-S', 49521),
(105796, 'PIRSF036542', NULL, NULL, 409, NULL, 'SpmA_SpmB', 49522),
(105797, 'PIRSF011396', NULL, NULL, 507, NULL, 'Trp_halogenase', 49523),
(105798, 'PIRSF002690', NULL, NULL, 267, NULL, 'Plant_L_lectin', 49524),
(105799, 'PIRSF006006', NULL, NULL, 182, NULL, 'UCP006006', 49525),
(105800, 'PIRSF015599', NULL, NULL, 279, NULL, 'KIT_ligand_MCF', 49526),
(105801, 'PIRSF037137', NULL, NULL, 434, NULL, 'HPS_DMK', 49527),
(105802, 'PIRSF002903', NULL, NULL, 80, NULL, 'CmsA/CmsE', 49528),
(105803, 'PIRSF001259', NULL, NULL, 407, NULL, 'RibA', 49529),
(105804, 'PIRSF037188', NULL, NULL, 115, NULL, 'Lsm7', 49530),
(105805, 'PIRSF039032', NULL, NULL, 113, NULL, 'HigB-2', 49531),
(105806, 'PIRSF037420', NULL, NULL, 377, NULL, 'PqqE', 49532),
(105807, 'PIRSF036580', NULL, NULL, 518, NULL, 'Cyclin_L', 49533),
(105808, 'PIRSF028583', NULL, NULL, 211, NULL, 'UCP028583', 49534),
(105809, 'PIRSF028921', NULL, NULL, 923, NULL, 'Vps41', 49535),
(105810, 'PIRSF000804', NULL, NULL, 372, NULL, 'DNA_pol_III_b', 49536),
(105811, 'PIRSF017288', NULL, NULL, 459, NULL, 'PMK_GHMP_euk', 49537),
(105812, 'PIRSF028770', NULL, NULL, 126, NULL, 'UCP028770', 49538),
(105813, 'PIRSF028704', NULL, NULL, 409, NULL, 'UCP028704', 49539),
(105814, 'PIRSF000278', NULL, NULL, 84, NULL, 'COX_VIb', 49540),
(105815, 'PIRSF006337', NULL, NULL, 600, NULL, 'Glycosyltrehalos_trehalohydrls', 49541),
(105816, 'PIRSF036478', NULL, NULL, 423, NULL, 'Uropor_mtas_plnt', 49542),
(105817, 'PIRSF007747', NULL, NULL, 482, NULL, 'RIT1', 49543),
(105818, 'PIRSF028513', NULL, NULL, 186, NULL, 'LptC', 49544),
(105819, 'PIRSF001028', NULL, NULL, 426, NULL, 'Alpha-amylase_plant', 49545),
(105820, 'PIRSF002305', NULL, NULL, 590, NULL, 'ERM', 49546),
(105821, 'PIRSF006171', NULL, NULL, 230, NULL, 'RR_citrat_malat', 49547),
(105822, 'PIRSF038100', NULL, NULL, 410, NULL, 'TEX28', 49548),
(105823, 'PIRSF004654', NULL, NULL, 307, NULL, 'NlpI', 49549),
(105824, 'PIRSF016013', NULL, NULL, 192, NULL, 'AtER_Rer1p', 49550),
(105825, 'PIRSF001007', NULL, NULL, 121, NULL, 'RusA', 49551),
(105826, 'PIRSF015582', NULL, NULL, 320, NULL, 'Cit_lyase_B', 49552),
(105827, 'PIRSF037356', NULL, NULL, 78, NULL, 'UCP037356', 49553),
(105828, 'PIRSF001332', NULL, NULL, 245, NULL, 'Acetolac_decarb', 49554),
(105829, 'PIRSF037091', NULL, NULL, 953, NULL, 'AP2_alpha', 49555),
(105830, 'PIRSF007778', NULL, NULL, 453, NULL, 'UCP007778', 49556),
(105831, 'PIRSF038981', NULL, NULL, 448, NULL, 'GRP', 49557),
(105832, 'PIRSF000292', NULL, NULL, 312, NULL, 'Ubiqnol_oxid_II', 49558),
(105833, 'PIRSF001438', NULL, NULL, 339, NULL, 'PBGD', 49559),
(105834, 'PIRSF005290', NULL, NULL, 818, NULL, 'NOT_su_3_5', 49560),
(105835, 'PIRSF017207', NULL, NULL, 189, NULL, 'UCP017207_Tmem85', 49561),
(105836, 'PIRSF016552', NULL, NULL, 230, NULL, 'MtrD', 49562),
(105837, 'PIRSF001427', NULL, NULL, 226, NULL, 'NHase_beta', 49563),
(105838, 'PIRSF004681', NULL, NULL, 140, NULL, 'UCP004681', 49564),
(105839, 'PIRSF005019', NULL, NULL, 94, NULL, 'EhaA', 49565),
(105840, 'PIRSF033541', NULL, NULL, 266, NULL, 'ORF25P_Sir2', 49566),
(105841, 'PIRSF036989', NULL, NULL, 671, NULL, 'Zeaxanthin_epoxidase', 49567),
(105842, 'PIRSF037785', NULL, NULL, 181, NULL, 'RecU', 49568),
(105843, 'PIRSF038601', NULL, NULL, 414, NULL, 'UCP038601', 49569),
(105844, 'PIRSF003867', NULL, NULL, 149, NULL, 'Rev_lenti-OC', 49570),
(105845, 'PIRSF019847', NULL, NULL, 217, NULL, 'Tri6', 49571),
(105846, 'PIRSF018637', NULL, NULL, 232, NULL, 'TrmK', 49572),
(105847, 'PIRSF028234', NULL, NULL, 235, NULL, 'UCP028234', 49573),
(105848, 'PIRSF000929', NULL, NULL, 599, NULL, 'PTPN6_PTPN11', 49574);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(105849, 'PIRSF037971', NULL, NULL, 364, NULL, 'TLX_CD46', 49575),
(105850, 'PIRSF014995', NULL, NULL, 171, NULL, 'UCP014995', 49576),
(105851, 'PIRSF036670', NULL, NULL, 274, NULL, 'ATPase_UCP036670', 49577),
(105852, 'PIRSF005901', NULL, NULL, 187, NULL, 'EF-P', 49578),
(105853, 'PIRSF036561', NULL, NULL, 224, NULL, 'ThTPase', 49579),
(105854, 'PIRSF004029', NULL, NULL, 562, NULL, 'N_ArenaV', 49580),
(105855, 'PIRSF037956', NULL, NULL, 323, NULL, 'ZRANB2', 49581),
(105856, 'PIRSF016238', NULL, NULL, 241, NULL, 'Gdnf', 49582),
(105857, 'PIRSF000714', NULL, NULL, 143, NULL, 'HIT', 49583),
(105858, 'PIRSF019075', NULL, NULL, 186, NULL, 'UCP019075', 49584),
(105859, 'PIRSF038128', NULL, NULL, 329, NULL, 'CORI1', 49585),
(105860, 'PIRSF000456', NULL, NULL, 266, NULL, 'UDP-GlcNAc_acltr', 49586),
(105861, 'PIRSF001191', NULL, NULL, 533, NULL, 'MMP_stromelysin', 49587),
(105862, 'PIRSF039090', NULL, NULL, 135, NULL, 'Flis', 49588),
(105863, 'PIRSF036410', NULL, NULL, 470, NULL, 'EutE_PduP', 49589),
(105864, 'PIRSF013329', NULL, NULL, 211, NULL, 'UCP013329', 49590),
(105865, 'PIRSF015618', NULL, NULL, 349, NULL, 'BHLH_neuroD', 49591),
(105866, 'PIRSF005278', NULL, NULL, 247, NULL, 'UCP005278', 49592),
(105867, 'PIRSF001778', NULL, NULL, 1200, NULL, 'Pro-EGF', 49593),
(105868, 'PIRSF001373', NULL, NULL, 527, NULL, 'TrpE', 49594),
(105869, 'PIRSF005536', NULL, NULL, 734, NULL, 'Agal', 49595),
(105870, 'PIRSF037984', NULL, NULL, 230, NULL, 'Met_synth_TM0269', 49596),
(105871, 'PIRSF016527', NULL, NULL, 261, NULL, 'TNF_CD40', 49597),
(105872, 'PIRSF017205', NULL, NULL, 510, NULL, 'ERO', 49598),
(105873, 'PIRSF037228', NULL, NULL, 987, NULL, 'Lan_mod_RumM', 49599),
(105874, 'PIRSF017066', NULL, NULL, 415, NULL, 'FlaD_arch', 49600),
(105875, 'PIRSF028458', NULL, NULL, 351, NULL, 'UCP028458', 49601),
(105876, 'PIRSF000388', NULL, NULL, 275, NULL, 'PanB', 49602),
(105877, 'PIRSF007764', NULL, NULL, 227, NULL, 'GINS_Sld5', 49603),
(105878, 'PIRSF037096', NULL, NULL, 1088, NULL, 'AP3_beta', 49604),
(105879, 'PIRSF016821', NULL, NULL, 127, NULL, 'HSP15', 49605),
(105880, 'PIRSF017494', NULL, NULL, 357, NULL, 'Thiazolinyl_imide_reduct_YbtU', 49606),
(105881, 'PIRSF022788', NULL, NULL, 267, NULL, 'UCP022788', 49607),
(105882, 'PIRSF001362', NULL, NULL, 431, NULL, 'ICL', 49608),
(105883, 'PIRSF028408', NULL, NULL, 382, NULL, 'UCP028408', 49609),
(105884, 'PIRSF029202', NULL, NULL, 311, NULL, 'UCP029202', 49610),
(105885, 'PIRSF037504', NULL, NULL, 231, NULL, 'GRA6', 49611),
(105886, 'PIRSF037506', NULL, NULL, 626, NULL, 'NTP_gondii', 49612),
(105887, 'PIRSF036762', NULL, NULL, 639, NULL, 'GAA1', 49613),
(105888, 'PIRSF000938', NULL, NULL, 362, NULL, 'PTPN1_yeast', 49614),
(105889, 'PIRSF037710', NULL, NULL, 115, NULL, 'COX7A2L', 49615),
(105890, 'PIRSF015750', NULL, NULL, 156, NULL, 'Riboflv_synth_arch', 49616),
(105891, 'PIRSF034405', NULL, NULL, 249, NULL, 'UCP034405', 49617),
(105892, 'PIRSF034890', NULL, NULL, 443, NULL, 'Pesteras_lmo2642', 49618),
(105893, 'PIRSF036361', NULL, NULL, 458, NULL, 'YunD', 49619),
(105894, 'PIRSF500230', NULL, NULL, 550, NULL, 'Sterol_acyltranf_ACAT', 49620),
(105895, 'PIRSF028226', NULL, NULL, 115, NULL, 'PhaP', 49621),
(105896, 'PIRSF037657', NULL, NULL, 57, NULL, 'Lipopeptide_LppL', 49622),
(105897, 'PIRSF000431', NULL, NULL, 456, NULL, 'G3POAT', 49623),
(105898, 'PIRSF004557', NULL, NULL, 453, NULL, 'SecY_Sec61alpha', 49624),
(105899, 'PIRSF003259', NULL, NULL, 101, NULL, 'TraL', 49625),
(105900, 'PIRSF005763', NULL, NULL, 264, NULL, 'Txn_reg_ModE', 49626),
(105901, 'PIRSF036514', NULL, NULL, 193, NULL, 'Sm_HSP_B1', 49627),
(105902, 'PIRSF038051', NULL, NULL, 839, NULL, 'Lys-Histone-de-mtase', 49628),
(105903, 'PIRSF010130', NULL, NULL, 215, NULL, 'PduL', 49629),
(105904, 'PIRSF030820', NULL, NULL, 172, NULL, 'UCP030820', 49630),
(105905, 'PIRSF037514', NULL, NULL, 554, NULL, 'Rab_ger_ger_transf_A_fungal', 49631),
(105906, 'PIRSF034888', NULL, NULL, 387, NULL, 'P-loop_UCP034888', 49632),
(105907, 'PIRSF009867', NULL, NULL, 132, NULL, 'Rrn10', 49633),
(105908, 'PIRSF000290', NULL, NULL, 602, NULL, 'PPO_plant', 49634);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(105909, 'PIRSF018468', NULL, NULL, 909, NULL, 'Rep_DICDI', 49635),
(105910, 'PIRSF000033', NULL, NULL, 160, NULL, 'Cytochrome_b6f_IV', 49636),
(105911, 'PIRSF006909', NULL, NULL, 103, NULL, 'UCP006909', 49637),
(105912, 'PIRSF016150', NULL, NULL, 459, NULL, 'FucT_helico', 49638),
(105913, 'PIRSF003947', NULL, NULL, 233, NULL, 'N_OrthobunV', 49639),
(105914, 'PIRSF000119', NULL, NULL, 401, NULL, 'Ilv5_fungal', 49640),
(105915, 'PIRSF020687', NULL, NULL, 152, NULL, 'UCP020687', 49641),
(105916, 'PIRSF001097', NULL, NULL, 290, NULL, 'Agarase', 49642),
(105917, 'PIRSF037318', NULL, NULL, 265, NULL, 'RfaP', 49643),
(105918, 'PIRSF015696', NULL, NULL, 96, NULL, 'VAC_E10R', 49644),
(105919, 'PIRSF005240', NULL, NULL, 603, NULL, 'CcmF', 49645),
(105920, 'PIRSF034754', NULL, NULL, 117, NULL, 'SigE', 49646),
(105921, 'PIRSF035859', NULL, NULL, 583, NULL, 'ABC_tp_sb', 49647),
(105922, 'PIRSF018162', NULL, NULL, 356, NULL, 'TRAMP_AIR', 49648),
(105923, 'PIRSF008955', NULL, NULL, 250, NULL, 'AGOG', 49649),
(105924, 'PIRSF028589', NULL, NULL, 253, NULL, 'UCP028589', 49650),
(105925, 'PIRSF016564', NULL, NULL, 125, NULL, 'NDUS6', 49651),
(105926, 'PIRSF037256', NULL, NULL, 114, NULL, 'UCP037256', 49652),
(105927, 'PIRSF004977', NULL, NULL, 118, NULL, 'UCP004977', 49653),
(105928, 'PIRSF026782', NULL, NULL, 361, NULL, 'CbiD', 49654),
(105929, 'PIRSF029407', NULL, NULL, 416, NULL, 'UCP029407', 49655),
(105930, 'PIRSF037512', NULL, NULL, 1248, NULL, 'PxSR', 49656),
(105931, 'PIRSF001111', NULL, NULL, 293, NULL, 'Isochorismatase', 49657),
(105932, 'PIRSF038096', NULL, NULL, 172, NULL, 'CD27BP', 49658),
(105933, 'PIRSF002216', NULL, NULL, 110, NULL, 'MRPL31', 49659),
(105934, 'PIRSF002374', NULL, NULL, 182, NULL, 'Kappa-casein', 49660),
(105935, 'PIRSF031900', NULL, NULL, 342, NULL, 'UCP031900', 49661),
(105936, 'PIRSF038931', NULL, NULL, 180, NULL, 'GerQ', 49662),
(105937, 'PIRSF038076', NULL, NULL, 159, NULL, 'US8A', 49663),
(105938, 'PIRSF000037', NULL, NULL, 44, NULL, 'Cytochrome_PsbF', 49664),
(105939, 'PIRSF000441', NULL, NULL, 200, NULL, 'CysE', 49665),
(105940, 'PIRSF001828', NULL, NULL, 44, NULL, 'Thymosin_beta', 49666),
(105941, 'PIRSF017190', NULL, NULL, 181, NULL, 'NIP7', 49667),
(105942, 'PIRSF005993', NULL, NULL, 502, NULL, 'Occludin', 49668),
(105943, 'PIRSF001658', NULL, NULL, 109, NULL, 'Amylase_inhib', 49669),
(105944, 'PIRSF009343', NULL, NULL, 485, NULL, 'SUV39_HMTase_SET', 49670),
(105945, 'PIRSF016624', NULL, NULL, 365, NULL, 'Mu_prophg_I', 49671),
(105946, 'PIRSF037664', NULL, NULL, 111, NULL, 'MmoD', 49672),
(105947, 'PIRSF006716', NULL, NULL, 161, NULL, 'Spore_CotF', 49673),
(105948, 'PIRSF000178', NULL, NULL, 140, NULL, 'SDH_cyt_b560', 49674),
(105949, 'PIRSF028063', NULL, NULL, 221, NULL, 'UCP028063', 49675),
(105950, 'PIRSF500795', NULL, NULL, 478, NULL, 'Thiamine_transporter_2', 49676),
(105951, 'PIRSF000498', NULL, NULL, 213, NULL, 'Riboflavin_syn_A', 49677),
(105952, 'PIRSF004793', NULL, NULL, 260, NULL, 'UCP004793', 49678),
(105953, 'PIRSF037227', NULL, NULL, 480, NULL, 'AbgB', 49679),
(105954, 'PIRSF033736', NULL, NULL, 142, NULL, 'UCP033763', 49680),
(105955, 'PIRSF036568', NULL, NULL, 862, NULL, 'CYTH_CHAD_HD', 49681),
(105956, 'PIRSF037242', NULL, NULL, 482, NULL, 'CNDP_dipeptidase', 49682),
(105957, 'PIRSF004008', NULL, NULL, 187, NULL, 'VAC_E3L', 49683),
(105958, 'PIRSF006728', NULL, NULL, 419, NULL, 'CinA', 49684),
(105959, 'PIRSF027807', NULL, NULL, 254, NULL, 'Cerberus', 49685),
(105960, 'PIRSF035805', NULL, NULL, 197, NULL, 'Tdk', 49686),
(105961, 'PIRSF037291', NULL, NULL, 87, NULL, 'UCP037291_gluthr', 49687),
(105962, 'PIRSF007510', NULL, NULL, 182, NULL, 'UCP007510', 49688),
(105963, 'PIRSF032582', NULL, NULL, 96, NULL, 'Cas2', 49689),
(105964, 'PIRSF028069', NULL, NULL, 255, NULL, 'UCP028069', 49690),
(105965, 'PIRSF036761', NULL, NULL, 1612, NULL, 'GDH_Mll4104', 49691),
(105966, 'PIRSF001340', NULL, NULL, 561, NULL, 'AIRC', 49692),
(105967, 'PIRSF500776', NULL, NULL, 417, NULL, 'Hyaluronidase_3', 49693),
(105968, 'PIRSF036503', NULL, NULL, 376, NULL, 'NDK7', 49694);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(105969, 'PIRSF019202', NULL, NULL, 232, NULL, 'UCP019202', 49695),
(105970, 'PIRSF036912', NULL, NULL, 64, NULL, 'Sac7', 49696),
(105971, 'PIRSF037320', NULL, NULL, 1267, NULL, 'Sac3', 49697),
(105972, 'PIRSF039097', NULL, NULL, 273, NULL, 'MoSto_subunit', 49698),
(105973, 'PIRSF003953', NULL, NULL, 245, NULL, 'N_PhelboV', 49699),
(105974, 'PIRSF000505', NULL, NULL, 440, NULL, 'EPSPS', 49700),
(105975, 'PIRSF038061', NULL, NULL, 321, NULL, 'K(+)', 49701),
(105976, 'PIRSF028440', NULL, NULL, 107, NULL, 'UCP_LAB_N', 49702),
(105977, 'PIRSF018671', NULL, NULL, 298, NULL, 'UCP018671', 49703),
(105978, 'PIRSF000423', NULL, NULL, 446, NULL, 'ArgA', 49704),
(105979, 'PIRSF016308', NULL, NULL, 806, NULL, 'UBP', 49705),
(105980, 'PIRSF024484', NULL, NULL, 138, NULL, 'UCP024484', 49706),
(105981, 'PIRSF004548', NULL, NULL, 462, NULL, 'CreD', 49707),
(105982, 'PIRSF034455', NULL, NULL, 164, NULL, 'UCP034455', 49708),
(105983, 'PIRSF015679', NULL, NULL, 598, NULL, 'VAC_mptidase_G1L', 49709),
(105984, 'PIRSF037201', NULL, NULL, 927, NULL, 'Ub_ligase_E6AP', 49710),
(105985, 'PIRSF009437', NULL, NULL, 263, NULL, 'NQR-1_subunit_C', 49711),
(105986, 'PIRSF009471', NULL, NULL, 194, NULL, 'UCP009471', 49712),
(105987, 'PIRSF039012', NULL, NULL, 337, NULL, 'ASP', 49713),
(105988, 'PIRSF036428', NULL, NULL, 412, NULL, 'CobL_MTase', 49714),
(105989, 'PIRSF029688', NULL, NULL, 115, NULL, 'UCP29688_pentapep', 49715),
(105990, 'PIRSF010076', NULL, NULL, 283, NULL, 'PAC1', 49716),
(105991, 'PIRSF016429', NULL, NULL, 349, NULL, 'UPTG', 49717),
(105992, 'PIRSF031679', NULL, NULL, 275, NULL, 'Mtase_Alr7345', 49718),
(105993, 'PIRSF007936', NULL, NULL, 122, NULL, 'SRB6', 49719),
(105994, 'PIRSF018786', NULL, NULL, 163, NULL, 'UCP018786', 49720),
(105995, 'PIRSF037226', NULL, NULL, 399, NULL, 'Amidohydrolase_ACY1L2', 49721),
(105996, 'PIRSF036492', NULL, NULL, 499, NULL, 'ALDH', 49722),
(105997, 'PIRSF005917', NULL, NULL, 287, NULL, 'MTase_YraL', 49723),
(105998, 'PIRSF006779', NULL, NULL, 271, NULL, 'UCP006779', 49724),
(105999, 'PIRSF025648', NULL, NULL, 326, NULL, 'DDH', 49725),
(106000, 'PIRSF005250', NULL, NULL, 1068, NULL, 'UCP005250', 49726),
(106001, 'PIRSF038154', NULL, NULL, 369, NULL, 'GTE6', 49727),
(106002, 'PIRSF001263', NULL, NULL, 154, NULL, 'Cyanate_hydratas', 49728),
(106003, 'PIRSF018431', NULL, NULL, 138, NULL, 'Molluscan_insulin_rel_peptide', 49729),
(106004, 'PIRSF036365', NULL, NULL, 612, NULL, 'Nematode_astacin', 49730),
(106005, 'PIRSF008459', NULL, NULL, 129, NULL, 'UCP008459', 49731),
(106006, 'PIRSF006281', NULL, NULL, 535, NULL, 'MdoG', 49732),
(106007, 'PIRSF006595', NULL, NULL, 148, NULL, 'UCP006595', 49733),
(106008, 'PIRSF036432', NULL, NULL, 262, NULL, 'Diphthine_synth', 49734),
(106009, 'PIRSF006256', NULL, NULL, 773, NULL, 'CMP_trnsf_HypF', 49735),
(106010, 'PIRSF032341', NULL, NULL, 557, NULL, 'UCP032341_glycerophostrnsf', 49736),
(106011, 'PIRSF001492', NULL, NULL, 517, NULL, 'IPGAM', 49737),
(106012, 'PIRSF021287', NULL, NULL, 123, NULL, 'YmcA', 49738),
(106013, 'PIRSF028137', NULL, NULL, 232, NULL, 'UCP028137', 49739),
(106014, 'PIRSF016509', NULL, NULL, 294, NULL, 'MtrE', 49740),
(106015, 'PIRSF019265', NULL, NULL, 258, NULL, 'UCP019265', 49741),
(106016, 'PIRSF015736', NULL, NULL, 252, NULL, 'MI', 49742),
(106017, 'PIRSF015614', NULL, NULL, 495, NULL, 'TRAF', 49743),
(106018, 'PIRSF000331', NULL, NULL, 493, NULL, 'HpaA_HpaB', 49744),
(106019, 'PIRSF004417', NULL, NULL, 229, NULL, 'Anti_term_Q', 49745),
(106020, 'PIRSF003249', NULL, NULL, 44, NULL, 'PyrBI_leader_pep', 49746),
(106021, 'PIRSF037923', NULL, NULL, 1129, NULL, 'UCP037923', 49747),
(106022, 'PIRSF037430', NULL, NULL, 177, NULL, 'Ribotoxin_alpha-sarcin', 49748),
(106023, 'PIRSF034659', NULL, NULL, 179, NULL, 'Vir_TviA', 49749),
(106024, 'PIRSF016325', NULL, NULL, 373, NULL, 'PTPA', 49750),
(106025, 'PIRSF001640', NULL, NULL, 72, NULL, 'Hirudin', 49751),
(106026, 'PIRSF037732', NULL, NULL, 163, NULL, 'YlbP', 49752),
(106027, 'PIRSF001174', NULL, NULL, 777, NULL, 'Lon_proteas', 49753),
(106028, 'PIRSF000029', NULL, NULL, 128, NULL, 'Cytochrome_b562', 49754);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(106029, 'PIRSF014422', NULL, NULL, 153, NULL, 'UCP014422', 49755),
(106030, 'PIRSF005978', NULL, NULL, 171, NULL, 'HTH_MJ0621', 49756),
(106031, 'PIRSF016184', NULL, NULL, 292, NULL, 'Ismrse_PhzF', 49757),
(106032, 'PIRSF037943', NULL, NULL, 238, NULL, 'SPAG7', 49758),
(106033, 'PIRSF018293', NULL, NULL, 186, NULL, 'TRAPP_1_Bet3', 49759),
(106034, 'PIRSF030092', NULL, NULL, 128, NULL, 'UCP030092', 49760),
(106035, 'PIRSF005378', NULL, NULL, 363, NULL, 'RNA_3-term_P_cyclase', 49761),
(106036, 'PIRSF005713', NULL, NULL, 402, NULL, 'P2X_purinoceptor', 49762),
(106037, 'PIRSF038127', NULL, NULL, 269, NULL, 'UCP038127_LOB', 49763),
(106038, 'PIRSF036639', NULL, NULL, 188, NULL, 'PMK_anim', 49764),
(106039, 'PIRSF002419', NULL, NULL, 251, NULL, 'Tetraspanin', 49765),
(106040, 'PIRSF035427', NULL, NULL, 371, NULL, 'All2852', 49766),
(106041, 'PIRSF003954', NULL, NULL, 95, NULL, 'NS-S_OrthobunV', 49767),
(106042, 'PIRSF004857', NULL, NULL, 212, NULL, 'Kin_aa_kin', 49768),
(106043, 'PIRSF037432', NULL, NULL, 344, NULL, 'HK_NreB', 49769),
(106044, 'PIRSF001382', NULL, NULL, 783, NULL, 'TrpG-trpC-trpF', 49770),
(106045, 'PIRSF030283', NULL, NULL, 248, NULL, 'Small_HSP_plant', 49771),
(106046, 'PIRSF005261', NULL, NULL, 299, NULL, 'HSP33', 49772),
(106047, 'PIRSF015974', NULL, NULL, 413, NULL, 'CLN3_BTN1', 49773),
(106048, 'PIRSF011521', NULL, NULL, 544, NULL, 'VieB', 49774),
(106049, 'PIRSF000447', NULL, NULL, 416, NULL, 'KAS_II', 49775),
(106050, 'PIRSF011503', NULL, NULL, 116, NULL, 'DdrB_PduH', 49776),
(106051, 'PIRSF016383', NULL, NULL, 316, NULL, 'UCP016383', 49777),
(106052, 'PIRSF026671', NULL, NULL, 226, NULL, 'AA_dipeptidase', 49778),
(106053, 'PIRSF001795', NULL, NULL, 251, NULL, 'TRH', 49779),
(106054, 'PIRSF017607', NULL, NULL, 617, NULL, 'Numb_numb_like', 49780),
(106055, 'PIRSF500134', NULL, NULL, 440, NULL, 'UDPglc_DH_bac', 49781),
(106056, 'PIRSF037778', NULL, NULL, 186, NULL, 'UCP037778_transp_RibU', 49782),
(106057, 'PIRSF004177', NULL, NULL, 97, NULL, 'gp1_phi29', 49783),
(106058, 'PIRSF037112', NULL, NULL, 321, NULL, 'ArdC', 49784),
(106059, 'PIRSF016660', NULL, NULL, 307, NULL, 'YedI', 49785),
(106060, 'PIRSF006533', NULL, NULL, 174, NULL, 'UCP006533', 49786),
(106061, 'PIRSF002498', NULL, NULL, 292, NULL, 'TF_factor_3', 49787),
(106062, 'PIRSF035261', NULL, NULL, 689, NULL, 'UCP035261', 49788),
(106063, 'PIRSF000027', NULL, NULL, 142, NULL, 'Cytochrome_c_prime', 49789),
(106064, 'PIRSF000489', NULL, NULL, 1001, NULL, 'NAD_ADPRT', 49790),
(106065, 'PIRSF009328', NULL, NULL, 494, NULL, 'RMT_SET', 49791),
(106066, 'PIRSF037263', NULL, NULL, 66, NULL, 'UCP037263', 49792),
(106067, 'PIRSF037733', NULL, NULL, 189, NULL, 'Txn_fact_FapR', 49793),
(106068, 'PIRSF001935', NULL, NULL, 211, NULL, 'IL-6', 49794),
(106069, 'PIRSF017269', NULL, NULL, 273, NULL, 'GCD14', 49795),
(106070, 'PIRSF000724', NULL, NULL, 411, NULL, 'Pgk', 49796),
(106071, 'PIRSF034781', NULL, NULL, 247, NULL, 'GEF_SopE', 49797),
(106072, 'PIRSF013220', NULL, NULL, 590, NULL, 'UCP013220', 49798),
(106073, 'PIRSF002181', NULL, NULL, 176, NULL, 'RPL13p_RPL13Aa_RPL16e_RPL13o', 49799),
(106074, 'PIRSF026534', NULL, NULL, 335, NULL, 'ABN', 49800),
(106075, 'PIRSF002031', NULL, NULL, 1431, NULL, 'Poly_globin', 49801),
(106076, 'PIRSF037196', NULL, NULL, 334, NULL, 'PvcA', 49802),
(106077, 'PIRSF001338', NULL, NULL, 164, NULL, 'AIR_carboxylase', 49803),
(106078, 'PIRSF003169', NULL, NULL, 387, NULL, 'HK_DegS', 49804),
(106079, 'PIRSF002191', NULL, NULL, 151, NULL, 'Ribosomal_L19', 49805),
(106080, 'PIRSF001456', NULL, NULL, 373, NULL, 'Chorismate_synth', 49806),
(106081, 'PIRSF037001', NULL, NULL, 989, NULL, 'RNA_ed_MP81', 49807),
(106082, 'PIRSF037390', NULL, NULL, 345, NULL, 'DoxA_doxD', 49808),
(106083, 'PIRSF002984', NULL, NULL, 266, NULL, 'Opacity_prot', 49809),
(106084, 'PIRSF000543', NULL, NULL, 391, NULL, 'NDUAA', 49810),
(106085, 'PIRSF037595', NULL, NULL, 802, NULL, 'Toll-like_receptor', 49811),
(106086, 'PIRSF038168', NULL, NULL, 599, NULL, 'MAPKKK7', 49812),
(106087, 'PIRSF034005', NULL, NULL, 180, NULL, 'Omp19', 49813);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(106088, 'PIRSF020079', NULL, NULL, 138, NULL, 'UCP020079', 49814),
(106089, 'PIRSF000022', NULL, NULL, 118, NULL, 'Bc1_14K', 49815),
(106090, 'PIRSF001137', NULL, NULL, 347, NULL, 'Haptoglobin', 49816),
(106091, 'PIRSF036488', NULL, NULL, 148, NULL, 'Myoglobin_tremt', 49817),
(106092, 'PIRSF016400', NULL, NULL, 190, NULL, 'TRAP-beta', 49818),
(106093, 'PIRSF001500', NULL, NULL, 362, NULL, 'Chor_mut_pdt_Ppr', 49819),
(106094, 'PIRSF009221', NULL, NULL, 187, NULL, 'VAP_Rhodococcus_equi', 49820),
(106095, 'PIRSF001529', NULL, NULL, 427, NULL, 'Ser-tRNA_ligase', 49821),
(106096, 'PIRSF002006', NULL, NULL, 790, NULL, 'PTPR_alpha_epsilon', 49822),
(106097, 'PIRSF003267', NULL, NULL, 227, NULL, 'TraJ_F', 49823),
(106098, 'PIRSF500312', NULL, NULL, 92, NULL, 'Bombyxin_A', 49824),
(106099, 'PIRSF037548', NULL, NULL, 2213, NULL, 'L_Filoviridae', 49825),
(106100, 'PIRSF012467', NULL, NULL, 1320, NULL, 'UCP012467', 49826),
(106101, 'PIRSF037630', NULL, NULL, 198, NULL, 'Blos3', 49827),
(106102, 'PIRSF017267', NULL, NULL, 129, NULL, 'Sulfiredoxin', 49828),
(106103, 'PIRSF016548', NULL, NULL, 160, NULL, 'Rsd_AlgQ', 49829),
(106104, 'PIRSF036936', NULL, NULL, 546, NULL, 'IGPS_HisHF', 49830),
(106105, 'PIRSF000477', NULL, NULL, 280, NULL, 'PurNPase', 49831),
(106106, 'PIRSF000375', NULL, NULL, 286, NULL, 'NifU', 49832),
(106107, 'PIRSF037874', NULL, NULL, 378, NULL, 'NCK', 49833),
(106108, 'PIRSF037239', NULL, NULL, 995, NULL, 'Exonuclease_Xrn2', 49834),
(106109, 'PIRSF021278', NULL, NULL, 209, NULL, 'AcuA', 49835),
(106110, 'PIRSF011452', NULL, NULL, 384, NULL, 'UCP011452_HNH', 49836),
(106111, 'PIRSF015380', NULL, NULL, 687, NULL, 'Site-sp_rcmb', 49837),
(106112, 'PIRSF021439', NULL, NULL, 113, NULL, 'YabA', 49838),
(106113, 'PIRSF004015', NULL, NULL, 829, NULL, 'LigT_rotavirus', 49839),
(106114, 'PIRSF012318', NULL, NULL, 282, NULL, 'UCP012318', 49840),
(106115, 'PIRSF000709', NULL, NULL, 636, NULL, '6PFK_fruc_bisph_Ptase', 49841),
(106116, 'PIRSF006304', NULL, NULL, 453, NULL, 'GatC', 49842),
(106117, 'PIRSF000574', NULL, NULL, 1145, NULL, 'STPK_PknK', 49843),
(106118, 'PIRSF019311', NULL, NULL, 172, NULL, 'Mb_md_hydr_PF0129', 49844),
(106119, 'PIRSF037186', NULL, NULL, 484, NULL, 'LPLUNC', 49845),
(106120, 'PIRSF006005', NULL, NULL, 500, NULL, 'GalT_BS', 49846),
(106121, 'PIRSF007949', NULL, NULL, 848, NULL, 'Vps16', 49847),
(106122, 'PIRSF017127', NULL, NULL, 1347, NULL, 'Condensin_D2', 49848),
(106123, 'PIRSF012526', NULL, NULL, 193, NULL, 'CYTH_UCP012526', 49849),
(106124, 'PIRSF037266', NULL, NULL, 98, NULL, 'UCP037266', 49850),
(106125, 'PIRSF001705', NULL, NULL, 430, NULL, 'Myc_protein', 49851),
(106126, 'PIRSF000179', NULL, NULL, 120, NULL, 'FrdD', 49852),
(106127, 'PIRSF005227', NULL, NULL, 269, NULL, 'Asp_dh_NAD_syn', 49853),
(106128, 'PIRSF007860', NULL, NULL, 974, NULL, 'Vps11', 49854),
(106129, 'PIRSF011407', NULL, NULL, 324, NULL, 'OmpS_Legionella', 49855),
(106130, 'PIRSF016408', NULL, NULL, 561, NULL, 'PAGM', 49856),
(106131, 'PIRSF036999', NULL, NULL, 401, NULL, 'RNA_ed_MP42', 49857),
(106132, 'PIRSF037647', NULL, NULL, 443, NULL, 'LisH', 49858),
(106133, 'PIRSF001439', NULL, NULL, 338, NULL, 'CryM', 49859),
(106134, 'PIRSF002695', NULL, NULL, 87, NULL, 'A-agglutinin', 49860),
(106135, 'PIRSF038921', NULL, NULL, 261, NULL, 'P14a', 49861),
(106136, 'PIRSF026389', NULL, NULL, 773, NULL, 'Ethylen_sen_hybr_HK', 49862),
(106137, 'PIRSF000170', NULL, NULL, 206, NULL, 'Succ_dh_cyt_b558', 49863),
(106138, 'PIRSF000354', NULL, NULL, 2194, NULL, 'Factors_V_VIII', 49864),
(106139, 'PIRSF500139', NULL, NULL, 480, NULL, 'AE', 49865),
(106140, 'PIRSF012611', NULL, NULL, 346, NULL, 'UCP012611', 49866),
(106141, 'PIRSF022348', NULL, NULL, 278, NULL, 'UCP022348', 49867),
(106142, 'PIRSF002736', NULL, NULL, 97, NULL, 'Citrt_lyas_gamma', 49868),
(106143, 'PIRSF015690', NULL, NULL, 272, NULL, 'VAC_E8R', 49869),
(106144, 'PIRSF002397', NULL, NULL, 3374, NULL, 'BRCA2', 49870),
(106145, 'PIRSF004690', NULL, NULL, 207, NULL, 'DmsD', 49871),
(106146, 'PIRSF012320', NULL, NULL, 156, NULL, 'Prplsmic_HI0178', 49872);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(106147, 'PIRSF000836', NULL, NULL, 2219, NULL, 'L_ArenaV', 49873),
(106148, 'PIRSF006413', NULL, NULL, 224, NULL, 'Transl_init_IF-6', 49874),
(106149, 'PIRSF004919', NULL, NULL, 464, NULL, 'TldD', 49875),
(106150, 'PIRSF020269', NULL, NULL, 214, NULL, 'UCP020269', 49876),
(106151, 'PIRSF017811', NULL, NULL, 197, NULL, 'CKI_KRP_plant', 49877),
(106152, 'PIRSF005883', NULL, NULL, 422, NULL, 'Carbohydrate_ST', 49878),
(106153, 'PIRSF026610', NULL, NULL, 183, NULL, 'UCP026610', 49879),
(106154, 'PIRSF032146', NULL, NULL, 160, NULL, 'UCP032146', 49880),
(106155, 'PIRSF007663', NULL, NULL, 796, NULL, 'UCP007663', 49881),
(106156, 'PIRSF036238', NULL, NULL, 107, NULL, 'UCP036238', 49882),
(106157, 'PIRSF028729', NULL, NULL, 178, NULL, 'SCF_Skp', 49883),
(106158, 'PIRSF018497', NULL, NULL, 349, NULL, 'V-ATP_synth_D', 49884),
(106159, 'PIRSF008159', NULL, NULL, 218, NULL, 'UCP008159_ABC', 49885),
(106160, 'PIRSF022944', NULL, NULL, 215, NULL, 'MRP8', 49886),
(106161, 'PIRSF006540', NULL, NULL, 258, NULL, 'Nop17p', 49887),
(106162, 'PIRSF012563', NULL, NULL, 285, NULL, 'YtxC', 49888),
(106163, 'PIRSF028200', NULL, NULL, 283, NULL, 'UCP028200', 49889),
(106164, 'PIRSF009393', NULL, NULL, 745, NULL, 'Orn_decarb', 49890),
(106165, 'PIRSF027352', NULL, NULL, 257, NULL, 'ERp29', 49891),
(106166, 'PIRSF037825', NULL, NULL, 155, NULL, 'GMP-Pdiesterase_delta', 49892),
(106167, 'PIRSF039050', NULL, NULL, 1090, NULL, 'Ade_cyc', 49893),
(106168, 'PIRSF031277', NULL, NULL, 357, NULL, 'UCP031277', 49894),
(106169, 'PIRSF022993', NULL, NULL, 166, NULL, 'Profilin_api', 49895),
(106170, 'PIRSF003959', NULL, NULL, 302, NULL, 'NS-M_TospoV', 49896),
(106171, 'PIRSF009433', NULL, NULL, 365, NULL, 'UCP009433', 49897),
(106172, 'PIRSF037309', NULL, NULL, 456, NULL, 'PPA2_B55', 49898),
(106173, 'PIRSF030771', NULL, NULL, 107, NULL, 'UCP030771', 49899),
(106174, 'PIRSF036900', NULL, NULL, 3945, NULL, 'Rd_RNA_pol_NRV', 49900),
(106175, 'PIRSF025737', NULL, NULL, 268, NULL, 'Cyco1', 49901),
(106176, 'PIRSF011360', NULL, NULL, 833, NULL, 'PVC2', 49902),
(106177, 'PIRSF033913', NULL, NULL, 174, NULL, 'S-S_format_DsbB', 49903),
(106178, 'PIRSF002595', NULL, NULL, 582, NULL, 'RR_SKN7', 49904),
(106179, 'PIRSF018168', NULL, NULL, 369, NULL, 'Beta-mannanase', 49905),
(106180, 'PIRSF000490', NULL, NULL, 560, NULL, 'Diphtheria_toxin', 49906),
(106181, 'PIRSF027081', NULL, NULL, 249, NULL, 'RPP29', 49907),
(106182, 'PIRSF038073', NULL, NULL, 373, NULL, 'B-acetylglucosaminyltrns_Rfng', 49908),
(106183, 'PIRSF028415', NULL, NULL, 368, NULL, 'UCP028415', 49909),
(106184, 'PIRSF002724', NULL, NULL, 90, NULL, 'Actobindin', 49910),
(106185, 'PIRSF038215', NULL, NULL, 251, NULL, 'Cripto-3_rel', 49911),
(106186, 'PIRSF017903', NULL, NULL, 196, NULL, 'CPDase_plant', 49912),
(106187, 'PIRSF032038', NULL, NULL, 180, NULL, 'UCP023238', 49913),
(106188, 'PIRSF036516', NULL, NULL, 235, NULL, 'CDT_A', 49914),
(106189, 'PIRSF009533', NULL, NULL, 145, NULL, 'FlbT', 49915),
(106190, 'PIRSF016049', NULL, NULL, 388, NULL, 'Mann_dehydr_UxuA', 49916),
(106191, 'PIRSF000563', NULL, NULL, 321, NULL, 'Homeobox_Pitx/Unc30', 49917),
(106192, 'PIRSF010052', NULL, NULL, 577, NULL, 'Polyub_prc_Npl4', 49918),
(106193, 'PIRSF008633', NULL, NULL, 125, NULL, 'BEX', 49919),
(106194, 'PIRSF036200', NULL, NULL, 237, NULL, 'UCP_TEII', 49920),
(106195, 'PIRSF000904', NULL, NULL, 331, NULL, 'FBPtase_SBPase', 49921),
(106196, 'PIRSF014300', NULL, NULL, 196, NULL, 'Protoglobin', 49922),
(106197, 'PIRSF007951', NULL, NULL, 141, NULL, 'Hemolysin_aeg', 49923),
(106198, 'PIRSF026622', NULL, NULL, 235, NULL, 'UCP026622_CAAX', 49924),
(106199, 'PIRSF003368', NULL, NULL, 636, NULL, 'Large_T_antigen_PPV', 49925),
(106200, 'PIRSF028177', NULL, NULL, 271, NULL, 'TcmP', 49926),
(106201, 'PIRSF005622', NULL, NULL, 368, NULL, 'Hydrgn_mat_hypD', 49927),
(106202, 'PIRSF001549', NULL, NULL, 439, NULL, 'His-tRNA_synth', 49928),
(106203, 'PIRSF001363', NULL, NULL, 537, NULL, 'Malate_synth', 49929),
(106204, 'PIRSF000343', NULL, NULL, 252, NULL, 'HMX1', 49930),
(106205, 'PIRSF013899', NULL, NULL, 295, NULL, 'UCP013899', 49931);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(106206, 'PIRSF000962', NULL, NULL, 368, NULL, '3_5-cyc_nuc_Pdiesterase', 49932),
(106207, 'PIRSF002033', NULL, NULL, 118, NULL, 'Hemerythrin_euk', 49933),
(106208, 'PIRSF015957', NULL, NULL, 242, NULL, 'UCP015957', 49934),
(106209, 'PIRSF021700', NULL, NULL, 159, NULL, '3-demethylubiquinone_Mtase', 49935),
(106210, 'PIRSF031878', NULL, NULL, 210, NULL, 'UCP031878', 49936),
(106211, 'PIRSF000127', NULL, NULL, 1331, NULL, 'Xanthine_dh', 49937),
(106212, 'PIRSF017932', NULL, NULL, 388, NULL, 'Conjugal_TraB', 49938),
(106213, 'PIRSF036555', NULL, NULL, 593, NULL, 'SUMT_yeast', 49939),
(106214, 'PIRSF015692', NULL, NULL, 737, NULL, 'VAC_E2L', 49940),
(106215, 'PIRSF032908', NULL, NULL, 369, NULL, 'UCP032908', 49941),
(106216, 'PIRSF000547', NULL, NULL, 369, NULL, 'Prot_kinase_T7', 49942),
(106217, 'PIRSF017222', NULL, NULL, 586, NULL, 'Transl_init_eIF2A', 49943),
(106218, 'PIRSF000422', NULL, NULL, 803, NULL, 'NAT_A', 49944),
(106219, 'PIRSF005751', NULL, NULL, 350, NULL, 'Acet_citr_lig', 49945),
(106220, 'PIRSF037215', NULL, NULL, 411, NULL, 'Peptidase_T', 49946),
(106221, 'PIRSF003698', NULL, NULL, 357, NULL, 'VAC_C10L', 49947),
(106222, 'PIRSF036873', NULL, NULL, 2925, NULL, 'L_TenuV', 49948),
(106223, 'PIRSF038881', NULL, NULL, 89, NULL, 'RNAbp_HP1423', 49949),
(106224, 'PIRSF020419', NULL, NULL, 297, NULL, 'Fe_uptake_reg_CjrA', 49950),
(106225, 'PIRSF037409', NULL, NULL, 235, NULL, 'UCP037409_transporter', 49951),
(106226, 'PIRSF004576', NULL, NULL, 247, NULL, 'Resolvase_Rsv', 49952),
(106227, 'PIRSF020653', NULL, NULL, 137, NULL, 'UCP020653', 49953),
(106228, 'PIRSF036931', NULL, NULL, 400, NULL, 'Doc2', 49954),
(106229, 'PIRSF019317', NULL, NULL, 725, NULL, 'UCP019317', 49955),
(106230, 'PIRSF015873', NULL, NULL, 127, NULL, 'FwdD', 49956),
(106231, 'PIRSF031924', NULL, NULL, 537, NULL, 'Pi-irrepressible_AP', 49957),
(106232, 'PIRSF003509', NULL, NULL, 173, NULL, 'UL45_HPV', 49958),
(106233, 'PIRSF001787', NULL, NULL, 386, NULL, 'TGF-beta', 49959),
(106234, 'PIRSF037472', NULL, NULL, 804, NULL, 'DHPS_Mtase', 49960),
(106235, 'PIRSF026508', NULL, NULL, 376, NULL, 'TelA', 49961),
(106236, 'PIRSF015278', NULL, NULL, 170, NULL, 'UCP015278', 49962),
(106237, 'PIRSF001369', NULL, NULL, 383, NULL, 'Citrate_synth', 49963),
(106238, 'PIRSF003230', NULL, NULL, 146, NULL, 'YbgC', 49964),
(106239, 'PIRSF001327', NULL, NULL, 589, NULL, 'ArsAB_ATPase', 49965),
(106240, 'PIRSF019422', NULL, NULL, 415, NULL, 'MltA', 49966),
(106241, 'PIRSF029703', NULL, NULL, 298, NULL, 'Mig-14', 49967),
(106242, 'PIRSF037966', NULL, NULL, 246, NULL, 'BZLF1', 49968),
(106243, 'PIRSF001941', NULL, NULL, 145, NULL, 'IL-4', 49969),
(106244, 'PIRSF027174', NULL, NULL, 446, NULL, 'YMR209C', 49970),
(106245, 'PIRSF022393', NULL, NULL, 187, NULL, 'HAP', 49971),
(106246, 'PIRSF002122', NULL, NULL, 224, NULL, 'RPS7p_RPS7a_RPS5e_RPS7o', 49972),
(106247, 'PIRSF034653', NULL, NULL, 248, NULL, 'Mtase_yjhp', 49973),
(106248, 'PIRSF002017', NULL, NULL, 374, NULL, 'CD14', 49974),
(106249, 'PIRSF001522', NULL, NULL, 315, NULL, 'OmpP', 49975),
(106250, 'PIRSF000337', NULL, NULL, 447, NULL, 'NTA_MOA', 49976),
(106251, 'PIRSF001625', NULL, NULL, 145, NULL, 'Prot_inhib_pacifastin', 49977),
(106252, 'PIRSF010309', NULL, NULL, 174, NULL, 'Cyc-rich_prot', 49978),
(106253, 'PIRSF027936', NULL, NULL, 271, NULL, 'UCP027936', 49979),
(106254, 'PIRSF002939', NULL, NULL, 216, NULL, 'IF_sigma_H', 49980),
(106255, 'PIRSF002394', NULL, NULL, 357, NULL, 'GNBP_B', 49981),
(106256, 'PIRSF036947', NULL, NULL, 1473, NULL, 'Spt6', 49982),
(106257, 'PIRSF034409', NULL, NULL, 778, NULL, 'Oligosach_lyase', 49983),
(106258, 'PIRSF037891', NULL, NULL, 31, NULL, 'Cycloviolacin', 49984),
(106259, 'PIRSF011561', NULL, NULL, 178, NULL, 'PAD', 49985),
(106260, 'PIRSF033318', NULL, NULL, 188, NULL, 'GFA', 49986),
(106261, 'PIRSF001779', NULL, NULL, 140, NULL, 'GF_C11R', 49987),
(106262, 'PIRSF036917', NULL, NULL, 691, NULL, 'Alph_amls_MalS', 49988),
(106263, 'PIRSF000821', NULL, NULL, 1304, NULL, 'RdRPol', 49989),
(106264, 'PIRSF005295', NULL, NULL, 255, NULL, 'UCP005295_hydrolase', 49990);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(106265, 'PIRSF031578', NULL, NULL, 379, NULL, 'UCP0310578_VanZ', 49991),
(106266, 'PIRSF021350', NULL, NULL, 349, NULL, 'UCP021350', 49992),
(106267, 'PIRSF037119', NULL, NULL, 787, NULL, 'HK_PgtB', 49993),
(106268, 'PIRSF000187', NULL, NULL, 2135, NULL, 'GOGAT', 49994),
(106269, 'PIRSF029644', NULL, NULL, 528, NULL, 'UCP029644', 49995),
(106270, 'PIRSF002845', NULL, NULL, 490, NULL, 'Ttrprl_mtas_MazG', 49996),
(106271, 'PIRSF012150', NULL, NULL, 276, NULL, 'UCP012150', 49997),
(106272, 'PIRSF028865', NULL, NULL, 216, NULL, 'Membrin-2', 49998),
(106273, 'PIRSF032806', NULL, NULL, 465, NULL, 'UCP032806', 49999),
(106274, 'PIRSF037123', NULL, NULL, 1678, NULL, 'H3K79_HMTase_animal', 50000),
(106275, 'PIRSF037949', NULL, NULL, 287, NULL, 'Transl_init_eIF-3_RNA-bind', 50001),
(106276, 'PIRSF019853', NULL, NULL, 127, NULL, 'UCP019853', 50002),
(106277, 'PIRSF002162', NULL, NULL, 185, NULL, 'RPL6p_RPL6a_RPL9e_RPL9o', 50003),
(106278, 'PIRSF001789', NULL, NULL, 253, NULL, 'NGFB', 50004),
(106279, 'PIRSF003639', NULL, NULL, 675, NULL, 'Capsid_P80/P87', 50005),
(106280, 'PIRSF005449', NULL, NULL, 374, NULL, 'TRAM', 50006),
(106281, 'PIRSF000126', NULL, NULL, 311, NULL, '11-beta-HSD1', 50007),
(106282, 'PIRSF037599', NULL, NULL, 152, NULL, 'GDPMH', 50008),
(106283, 'PIRSF500682', NULL, NULL, 706, NULL, 'Serotransferrin', 50009),
(106284, 'PIRSF021290', NULL, NULL, 179, NULL, 'UCP021290', 50010),
(106285, 'PIRSF038092', NULL, NULL, 114, NULL, 'NPSF_NPFF_NPAF', 50011),
(106286, 'PIRSF029886', NULL, NULL, 198, NULL, 'KBAA', 50012),
(106287, 'PIRSF002574', NULL, NULL, 666, NULL, 'SPRL1', 50013),
(106288, 'PIRSF005461', NULL, NULL, 222, NULL, '23S_rRNA_mtase', 50014),
(106289, 'PIRSF005604', NULL, NULL, 306, NULL, 'EndGlu_transf', 50015),
(106290, 'PIRSF037942', NULL, NULL, 372, NULL, 'MH2A1', 50016),
(106291, 'PIRSF037032', NULL, NULL, 296, NULL, 'BiliverdinRD_A', 50017),
(106292, 'PIRSF036597', NULL, NULL, 995, NULL, 'Protse_InhA_rel', 50018),
(106293, 'PIRSF003229', NULL, NULL, 64, NULL, 'ROM', 50019),
(106294, 'PIRSF022704', NULL, NULL, 198, NULL, 'UCP022704', 50020),
(106295, 'PIRSF033111', NULL, NULL, 230, NULL, 'UCP033111', 50021),
(106296, 'PIRSF037969', NULL, NULL, 186, NULL, 'U1-C', 50022),
(106297, 'PIRSF038007', NULL, NULL, 333, NULL, 'IL-12B', 50023),
(106298, 'PIRSF000371', NULL, NULL, 308, NULL, 'PFLA_YjjW', 50024),
(106299, 'PIRSF015283', NULL, NULL, 346, NULL, 'RpfE', 50025),
(106300, 'PIRSF001882', NULL, NULL, 37, NULL, 'Insect_neurot_curtatoxin', 50026),
(106301, 'PIRSF000882', NULL, NULL, 680, NULL, 'DSB_repair_MRE11', 50027),
(106302, 'PIRSF037207', NULL, NULL, 530, NULL, 'ATE1_euk', 50028),
(106303, 'PIRSF018250', NULL, NULL, 369, NULL, 'Saccharopine_DH_Lys', 50029),
(106304, 'PIRSF037253', NULL, NULL, 186, NULL, 'HTH_CBS', 50030),
(106305, 'PIRSF037004', NULL, NULL, 319, NULL, 'UCP037004', 50031),
(106306, 'PIRSF028570', NULL, NULL, 161, NULL, 'UCP028570', 50032),
(106307, 'PIRSF015596', NULL, NULL, 262, NULL, '5_alpha-SR2', 50033),
(106308, 'PIRSF007487', NULL, NULL, 346, NULL, 'CoiA', 50034),
(106309, 'PIRSF034300', NULL, NULL, 128, NULL, 'UCP034300', 50035),
(106310, 'PIRSF036440', NULL, NULL, 881, NULL, 'ARG5-6', 50036),
(106311, 'PIRSF029143', NULL, NULL, 105, NULL, 'UCP029143', 50037),
(106312, 'PIRSF003085', NULL, NULL, 412, NULL, 'CmaB', 50038),
(106313, 'PIRSF001832', NULL, NULL, 115, NULL, 'PTH', 50039),
(106314, 'PIRSF033535', NULL, NULL, 219, NULL, 'UCP033535_plp', 50040),
(106315, 'PIRSF015244', NULL, NULL, 436, NULL, 'UCP015244', 50041),
(106316, 'PIRSF005647', NULL, NULL, 250, NULL, 'CooC', 50042),
(106317, 'PIRSF037208', NULL, NULL, 249, NULL, 'ATE_prok', 50043),
(106318, 'PIRSF007783', NULL, NULL, 185, NULL, 'YHR121w', 50044),
(106319, 'PIRSF000628', NULL, NULL, 815, NULL, 'FGFR', 50045),
(106320, 'PIRSF029063', NULL, NULL, 457, NULL, 'IV_sec_VirJ', 50046),
(106321, 'PIRSF006107', NULL, NULL, 714, NULL, 'PTA_proteo', 50047),
(106322, 'PIRSF018938', NULL, NULL, 139, NULL, 'UCP018938', 50048),
(106323, 'PIRSF004810', NULL, NULL, 410, NULL, 'ChrA', 50049),
(106324, 'PIRSF022699', NULL, NULL, 372, NULL, 'MND2', 50050);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(106325, 'PIRSF005276', NULL, NULL, 147, NULL, 'SspB', 50051),
(106326, 'PIRSF002096', NULL, NULL, 133, NULL, 'HnS', 50052),
(106327, 'PIRSF037609', NULL, NULL, 170, NULL, 'BLOC-1_pldn', 50053),
(106328, 'PIRSF019078', NULL, NULL, 584, NULL, 'UCP019078', 50054),
(106329, 'PIRSF038934', NULL, NULL, 134, NULL, 'HyaE_HupG', 50055),
(106330, 'PIRSF021494', NULL, NULL, 345, NULL, 'Rv0216', 50056),
(106331, 'PIRSF001341', NULL, NULL, 321, NULL, 'His_decarboxylas', 50057),
(106332, 'PIRSF004789', NULL, NULL, 268, NULL, 'DR1281', 50058),
(106333, 'PIRSF036541', NULL, NULL, 302, NULL, 'UCP036541_AIR', 50059),
(106334, 'PIRSF000580', NULL, NULL, 1054, NULL, 'STPK_ULK1', 50060),
(106335, 'PIRSF001875', NULL, NULL, 94, NULL, 'Alpha_defensin', 50061),
(106336, 'PIRSF007398', NULL, NULL, 735, NULL, 'Sll0148_casp', 50062),
(106337, 'PIRSF004692', NULL, NULL, 330, NULL, 'KdsD_KpsF', 50063),
(106338, 'PIRSF000933', NULL, NULL, 2487, NULL, 'PTPN13', 50064),
(106339, 'PIRSF016578', NULL, NULL, 397, NULL, 'PIGM', 50065),
(106340, 'PIRSF032675', NULL, NULL, 466, NULL, 'UCP032675', 50066),
(106341, 'PIRSF000846', NULL, NULL, 308, NULL, 'ATP_adenylyltr', 50067),
(106342, 'PIRSF006241', NULL, NULL, 264, NULL, 'HyI', 50068),
(106343, 'PIRSF009279', NULL, NULL, 324, NULL, 'CRF-BP', 50069),
(106344, 'PIRSF004640', NULL, NULL, 363, NULL, 'IspG', 50070),
(106345, 'PIRSF000463', NULL, NULL, 718, NULL, 'GlgB', 50071),
(106346, 'PIRSF001979', NULL, NULL, 504, NULL, 'Alpha_1B_glycoprot', 50072),
(106347, 'PIRSF001294', NULL, NULL, 565, NULL, 'H/K_exch_ATPase_A', 50073),
(106348, 'PIRSF006621', NULL, NULL, 334, NULL, 'Dus', 50074),
(106349, 'PIRSF004380', NULL, NULL, 110, NULL, 'GroES_Gp31_phage', 50075),
(106350, 'PIRSF002849', NULL, NULL, 338, NULL, 'MoxR', 50076),
(106351, 'PIRSF003170', NULL, NULL, 228, NULL, 'Pet18p', 50077),
(106352, 'PIRSF006294', NULL, NULL, 532, NULL, 'PEP_crbxkin', 50078),
(106353, 'PIRSF007466', NULL, NULL, 492, NULL, 'SpoIVA', 50079),
(106354, 'PIRSF037755', NULL, NULL, 319, NULL, 'Mettl2', 50080),
(106355, 'PIRSF021377', NULL, NULL, 155, NULL, 'YtfJ', 50081),
(106356, 'PIRSF000551', NULL, NULL, 724, NULL, 'PKC_delta', 50082),
(106357, 'PIRSF026587', NULL, NULL, 328, NULL, 'Epsilon_toxin', 50083),
(106358, 'PIRSF003383', NULL, NULL, 622, NULL, 'E1_PLV', 50084),
(106359, 'PIRSF028043', NULL, NULL, 721, NULL, 'PP2A_B56', 50085),
(106360, 'PIRSF000604', NULL, NULL, 615, NULL, 'TyrPK_SYK', 50086),
(106361, 'PIRSF026426', NULL, NULL, 152, NULL, 'UCP026426', 50087),
(106362, 'PIRSF039131', NULL, NULL, 366, NULL, 'Parvin', 50088),
(106363, 'PIRSF038118', NULL, NULL, 470, NULL, 'MBP_jacalin', 50089),
(106364, 'PIRSF038321', NULL, NULL, 181, NULL, 'PTS_glc_srb_IIC', 50090),
(106365, 'PIRSF036313', NULL, NULL, 697, NULL, 'Fibulin-1', 50091),
(106366, 'PIRSF036482', NULL, NULL, 420, NULL, 'PPi_PFK_TM0289', 50092),
(106367, 'PIRSF500948', NULL, NULL, 1098, NULL, 'Beta-PDGF_receptor', 50093),
(106368, 'PIRSF012294', NULL, NULL, 256, NULL, 'ATR_EutT', 50094),
(106369, 'PIRSF028335', NULL, NULL, 933, NULL, 'OppA', 50095),
(106370, 'PIRSF038146', NULL, NULL, 527, NULL, 'STPK_RIO3', 50096),
(106371, 'PIRSF037274', NULL, NULL, 792, NULL, 'PIP5K_plant', 50097),
(106372, 'PIRSF037488', NULL, NULL, 645, NULL, 'Miro', 50098),
(106373, 'PIRSF036466', NULL, NULL, 55, NULL, 'UCP036466', 50099),
(106374, 'PIRSF028841', NULL, NULL, 192, NULL, 'APC10', 50100),
(106375, 'PIRSF000026', NULL, NULL, 556, NULL, 'Cytochrome_cc3', 50101),
(106376, 'PIRSF006380', NULL, NULL, 200, NULL, 'UCP006380', 50102),
(106377, 'PIRSF000806', NULL, NULL, 493, NULL, 'UDPGP', 50103),
(106378, 'PIRSF019262', NULL, NULL, 293, NULL, 'UCP019262', 50104),
(106379, 'PIRSF026396', NULL, NULL, 341, NULL, 'UCP026396_dh', 50105),
(106380, 'PIRSF001693', NULL, NULL, 553, NULL, 'Txn_fact_GAMYB', 50106),
(106381, 'PIRSF026760', NULL, NULL, 353, NULL, 'UCP026760', 50107),
(106382, 'PIRSF004878', NULL, NULL, 109, NULL, 'RNase_P_4', 50108),
(106383, 'PIRSF501175', NULL, NULL, 505, NULL, 'TDT', 50109),
(106384, 'PIRSF004539', NULL, NULL, 438, NULL, 'Anaerob_C4-dicrbxlt_transp', 50110);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(106385, 'PIRSF000819', NULL, NULL, 252, NULL, 'Streptomycin_3-adenylyltransf', 50111),
(106386, 'PIRSF034586', NULL, NULL, 888, NULL, 'SfrC', 50112),
(106387, 'PIRSF004950', NULL, NULL, 617, NULL, 'Mmb_sulf_HI0842', 50113),
(106388, 'PIRSF018539', NULL, NULL, 271, NULL, 'CDT_B', 50114),
(106389, 'PIRSF011409', NULL, NULL, 735, NULL, '3HB_olig_hydr', 50115),
(106390, 'PIRSF004762', NULL, NULL, 389, NULL, 'COFH', 50116),
(106391, 'PIRSF005485', NULL, NULL, 347, NULL, 'HrcA', 50117),
(106392, 'PIRSF005677', NULL, NULL, 557, NULL, 'PPi_PFK_PfpB', 50118),
(106393, 'PIRSF004553', NULL, NULL, 187, NULL, 'Methylase_YhhF', 50119),
(106394, 'PIRSF000941', NULL, NULL, 343, NULL, 'DUSP12', 50120),
(106395, 'PIRSF000149', NULL, NULL, 341, NULL, 'GAPDH', 50121),
(106396, 'PIRSF000296', NULL, NULL, 334, NULL, 'SrpA', 50122),
(106397, 'PIRSF037382', NULL, NULL, 231, NULL, 'CCT_LicC', 50123),
(106398, 'PIRSF024608', NULL, NULL, 209, NULL, 'UCP024608', 50124),
(106399, 'PIRSF037470', NULL, NULL, 346, NULL, 'RRP', 50125),
(106400, 'PIRSF020818', NULL, NULL, 424, NULL, 'PHB_depoly', 50126),
(106401, 'PIRSF000141', NULL, NULL, 427, NULL, 'Anaerobic_G3P_dh', 50127),
(106402, 'PIRSF011131', NULL, NULL, 1610, NULL, 'SAC', 50128),
(106403, 'PIRSF000199', NULL, NULL, 78, NULL, 'Dhfr_type_II', 50129),
(106404, 'PIRSF000777', NULL, NULL, 260, NULL, 'RNA_pol_RPC31', 50130),
(106405, 'PIRSF033924', NULL, NULL, 202, NULL, 'UCP033924', 50131),
(106406, 'PIRSF033053', NULL, NULL, 411, NULL, 'UCP033503_fimbr', 50132),
(106407, 'PIRSF006157', NULL, NULL, 266, NULL, 'Doxgns_DODA', 50133),
(106408, 'PIRSF017316', NULL, NULL, 608, NULL, 'Pesterase_C1039', 50134),
(106409, 'PIRSF000238', NULL, NULL, 520, NULL, 'AhpF', 50135),
(106410, 'PIRSF029904', NULL, NULL, 111, NULL, 'UCP029904_pph', 50136),
(106411, 'PIRSF003944', NULL, NULL, 1436, NULL, 'M_poly_OrthobunV', 50137),
(106412, 'PIRSF014979', NULL, NULL, 176, NULL, 'UCP014979', 50138),
(106413, 'PIRSF019587', NULL, NULL, 165, NULL, 'PGPase', 50139),
(106414, 'PIRSF001843', NULL, NULL, 126, NULL, 'NKB', 50140),
(106415, 'PIRSF003137', NULL, NULL, 204, NULL, 'CoM_red_McrC', 50141),
(106416, 'PIRSF033095', NULL, NULL, 743, NULL, '5NTD_SA0022', 50142),
(106417, 'PIRSF002490', NULL, NULL, 372, NULL, 'SLRP_I', 50143),
(106418, 'PIRSF036758', NULL, NULL, 400, NULL, 'Aden_M_ParB', 50144),
(106419, 'PIRSF004633', NULL, NULL, 182, NULL, 'UCP_PLP_oxd', 50145),
(106420, 'PIRSF016089', NULL, NULL, 186, NULL, 'SPC3', 50146),
(106421, 'PIRSF029389', NULL, NULL, 590, NULL, 'Subtilisin_rel_PA1242', 50147),
(106422, 'PIRSF500784', NULL, NULL, 291, NULL, 'TAG1', 50148),
(106423, 'PIRSF003716', NULL, NULL, 537, NULL, 'VAC_F3L', 50149),
(106424, 'PIRSF001822', NULL, NULL, 72, NULL, 'Dermaseptin_prec', 50150),
(106425, 'PIRSF002703', NULL, NULL, 761, NULL, 'PR5', 50151),
(106426, 'PIRSF028680', NULL, NULL, 152, NULL, 'UCP028680', 50152),
(106427, 'PIRSF500722', NULL, NULL, 427, NULL, 'TEF-3', 50153),
(106428, 'PIRSF028291', NULL, NULL, 104, NULL, 'UCP028291', 50154),
(106429, 'PIRSF038027', NULL, NULL, 95, NULL, 'Ufm1', 50155),
(106430, 'PIRSF005642', NULL, NULL, 148, NULL, 'UCP005642', 50156),
(106431, 'PIRSF005572', NULL, NULL, 382, NULL, 'NifS', 50157),
(106432, 'PIRSF029163', NULL, NULL, 94, NULL, 'MDH2', 50158),
(106433, 'PIRSF020606', NULL, NULL, 205, NULL, 'UCP020606', 50159),
(106434, 'PIRSF029691', NULL, NULL, 257, NULL, 'UCP029691', 50160),
(106435, 'PIRSF009160', NULL, NULL, 250, NULL, 'UCP009160', 50161),
(106436, 'PIRSF038010', NULL, NULL, 389, NULL, 'VASP', 50162),
(106437, 'PIRSF500135', NULL, NULL, 436, NULL, 'GDPman_DH', 50163),
(106438, 'PIRSF006278', NULL, NULL, 356, NULL, 'ACCD_DCysDesulf', 50164),
(106439, 'PIRSF009562', NULL, NULL, 129, NULL, 'PerB', 50165),
(106440, 'PIRSF002859', NULL, NULL, 245, NULL, 'Lipo_traT', 50166),
(106441, 'PIRSF006641', NULL, NULL, 371, NULL, 'EngD', 50167),
(106442, 'PIRSF000114', NULL, NULL, 346, NULL, 'Glycerol-3-P_dh', 50168),
(106443, 'PIRSF000349', NULL, NULL, 232, NULL, 'MnSOD_FeSOD', 50169),
(106444, 'PIRSF030829', NULL, NULL, 489, NULL, 'DAG_kinase_plant', 50170);
INSERT INTO "PUBLIC"."MODEL" VALUES
(106445, 'PIRSF037911', NULL, NULL, 1056, NULL, 'HDAC_II_euk', 50171),
(106446, 'PIRSF037029', NULL, NULL, 212, NULL, 'BAG_1', 50172),
(106447, 'PIRSF000333', NULL, NULL, 1200, NULL, 'INOS', 50173),
(106448, 'PIRSF018774', NULL, NULL, 374, NULL, 'GOGAT_lg_dom1', 50174),
(106449, 'PIRSF028175', NULL, NULL, 516, NULL, 'UCP028175', 50175),
(106450, 'PIRSF005658', NULL, NULL, 376, NULL, 'FwdF', 50176),
(106451, 'PIRSF003778', NULL, NULL, 177, NULL, 'VAC_C8L', 50177),
(106452, 'PIRSF018783', NULL, NULL, 330, NULL, 'UCP018783', 50178),
(106453, 'PIRSF038973', NULL, NULL, 212, NULL, 'SpoIIM', 50179),
(106454, 'PIRSF001569', NULL, NULL, 842, NULL, 'E3_ub_ligase_SMURF1', 50180),
(106455, 'PIRSF030798', NULL, NULL, 126, NULL, 'UCP030798', 50181),
(106456, 'PIRSF037863', NULL, NULL, 455, NULL, 'SLP_lactobac', 50182),
(106457, 'PIRSF036946', NULL, NULL, 675, NULL, 'Arg_N-mtase', 50183),
(106458, 'PIRSF039072', NULL, NULL, 553, NULL, 'ATPase_subunit_beta', 50184),
(106459, 'PIRSF038120', NULL, NULL, 326, NULL, 'Uch', 50185),
(106460, 'PIRSF037682', NULL, NULL, 262, NULL, 'Saliv_gland_allergen_Aed3', 50186),
(106461, 'PIRSF038130', NULL, NULL, 330, NULL, 'WRKY_txn_fact_IIc', 50187),
(106462, 'PIRSF002450', NULL, NULL, 968, NULL, 'K+_transpter_TRK', 50188),
(106463, 'PIRSF016262', NULL, NULL, 230, NULL, 'LPLase', 50189),
(106464, 'PIRSF003888', NULL, NULL, 407, NULL, 'NCAP_CRV', 50190),
(106465, 'PIRSF018427', NULL, NULL, 217, NULL, 'Isopentenyldiphpt_isom', 50191),
(106466, 'PIRSF011356', NULL, NULL, 287, NULL, 'VP30_FiloV', 50192),
(106467, 'PIRSF028205', NULL, NULL, 253, NULL, 'UCP028205', 50193),
(106468, 'PIRSF000478', NULL, NULL, 435, NULL, 'TP_PyNP', 50194),
(106469, 'PIRSF001293', NULL, NULL, 837, NULL, 'ATP6V0A1', 50195),
(106470, 'PIRSF010372', NULL, NULL, 209, NULL, 'PaiB', 50196),
(106471, 'PIRSF026713', NULL, NULL, 571, NULL, 'PMI_Firm_long', 50197),
(106472, 'PIRSF015849', NULL, NULL, 265, NULL, 'TFIIF-beta', 50198),
(106473, 'PIRSF021513', NULL, NULL, 168, NULL, 'GrhN_RubW', 50199),
(106474, 'PIRSF004846', NULL, NULL, 264, NULL, 'ModA', 50200),
(106475, 'PIRSF016323', NULL, NULL, 318, NULL, 'tRNA_m1G_Mtase_euk', 50201),
(106476, 'PIRSF015792', NULL, NULL, 226, NULL, 'VAC_F16L', 50202),
(106477, 'PIRSF009452', NULL, NULL, 240, NULL, 'MtrA_MtxA', 50203),
(106478, 'PIRSF010219', NULL, NULL, 227, NULL, 'UCP010219', 50204),
(106479, 'PIRSF031043', NULL, NULL, 433, NULL, 'UCP031043', 50205),
(106480, 'PIRSF006809', NULL, NULL, 422, NULL, 'GTP-binding_hflX', 50206),
(106481, 'PIRSF018506', NULL, NULL, 224, NULL, 'Prpndl_dhdrts_md', 50207),
(106482, 'PIRSF036054', NULL, NULL, 310, NULL, 'UCP036054', 50208),
(106483, 'PIRSF031134', NULL, NULL, 404, NULL, 'MTRK', 50209),
(106484, 'PIRSF001773', NULL, NULL, 456, NULL, 'COX10', 50210),
(106485, 'PIRSF028445', NULL, NULL, 218, NULL, 'UCP028445', 50211),
(106486, 'PIRSF024658', NULL, NULL, 172, NULL, 'FlaF_archaea', 50212),
(106487, 'PIRSF004761', NULL, NULL, 118, NULL, 'Hydrgn_mat_HypA', 50213),
(106488, 'PIRSF002744', NULL, NULL, 477, NULL, 'Pur-cyt_permease', 50214),
(106489, 'PIRSF037379', NULL, NULL, 100, NULL, 'Urm1', 50215),
(106490, 'PIRSF000181', NULL, NULL, 158, NULL, 'Grc_selenoprot_A', 50216),
(106491, 'PIRSF026986', NULL, NULL, 455, NULL, 'MET_SET', 50217),
(106492, 'PIRSF032436', NULL, NULL, 177, NULL, 'UCP032436', 50218),
(106493, 'PIRSF002285', NULL, NULL, 177, NULL, 'Op18_SCG10', 50219),
(106494, 'PIRSF036632', NULL, NULL, 657, NULL, 'GOGAT_lg_1_3', 50220),
(106495, 'PIRSF000719', NULL, NULL, 577, NULL, 'AceK', 50221),
(106496, 'PIRSF005992', NULL, NULL, 482, NULL, 'AP_complex_mu', 50222),
(106497, 'PIRSF028655', NULL, NULL, 332, NULL, 'NMP1', 50223),
(106498, 'PIRSF000105', NULL, NULL, 322, NULL, 'HCDH', 50224),
(106499, 'PIRSF006169', NULL, NULL, 76, NULL, 'UCP006169', 50225),
(106500, 'PIRSF034456', NULL, NULL, 106, NULL, 'UCP034456', 50226),
(106501, 'PIRSF000915', NULL, NULL, 314, NULL, 'PGP-type_phosphatase', 50227),
(106502, 'PIRSF029692', NULL, NULL, 432, NULL, 'UCP029692', 50228),
(106503, 'PIRSF000690', NULL, NULL, 500, NULL, 'Phosphotransf_FPr', 50229);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(106504, 'PIRSF001220', NULL, NULL, 331, NULL, 'L-ASNase_gatD', 50230),
(106505, 'PIRSF006470', NULL, NULL, 335, NULL, 'DctB', 50231),
(106506, 'PIRSF003950', NULL, NULL, 483, NULL, 'N_NairoV', 50232),
(106507, 'PIRSF032572', NULL, NULL, 123, NULL, 'MUB', 50233),
(106508, 'PIRSF002697', NULL, NULL, 67, NULL, 'AmbtV', 50234),
(106509, 'PIRSF005023', NULL, NULL, 636, NULL, 'CODH', 50235),
(106510, 'PIRSF007056', NULL, NULL, 527, NULL, 'UCP007056', 50236),
(106511, 'PIRSF029215', NULL, NULL, 389, NULL, 'UCP029215', 50237),
(106512, 'PIRSF037307', NULL, NULL, 939, NULL, 'Lhr-like_helic', 50238),
(106513, 'PIRSF001831', NULL, NULL, 2770, NULL, 'Thyroglobulin', 50239),
(106514, 'PIRSF001413', NULL, NULL, 411, NULL, 'Trp_syn_beta', 50240),
(106515, 'PIRSF001251', NULL, NULL, 808, NULL, 'AMP_deaminase', 50241),
(106516, 'PIRSF030780', NULL, NULL, 199, NULL, 'Md_memb_hyd', 50242),
(106517, 'PIRSF007165', NULL, NULL, 183, NULL, 'UCP007165', 50243),
(106518, 'PIRSF019373', NULL, NULL, 163, NULL, 'EhaF', 50244),
(106519, 'PIRSF005895', NULL, NULL, 358, NULL, 'UCP005895_mtase', 50245),
(106520, 'PIRSF001223', NULL, NULL, 100, NULL, 'Urease_gamma', 50246),
(106521, 'PIRSF015647', NULL, NULL, 375, NULL, 'FBPtase_archl', 50247),
(106522, 'PIRSF028688', NULL, NULL, 212, NULL, 'UCP028688', 50248),
(106523, 'PIRSF037395', NULL, NULL, 260, NULL, 'UCP037395_ABCper', 50249),
(106524, 'PIRSF036872', NULL, NULL, 2873, NULL, 'L_TospoV', 50250),
(106525, 'PIRSF037676', NULL, NULL, 69, NULL, 'UCP037676', 50251),
(106526, 'PIRSF001084', NULL, NULL, 669, NULL, 'B-galactosidase', 50252),
(106527, 'PIRSF034247', NULL, NULL, 213, NULL, 'RCAS1', 50253),
(106528, 'PIRSF017117', NULL, NULL, 110, NULL, 'YscY', 50254),
(106529, 'PIRSF004338', NULL, NULL, 104, NULL, 'Integrase', 50255),
(106530, 'PIRSF012359', NULL, NULL, 146, NULL, 'UCP012359', 50256),
(106531, 'PIRSF000111', NULL, NULL, 875, NULL, 'ALDH_ADH', 50257),
(106532, 'PIRSF000084', NULL, NULL, 1126, NULL, 'Phytochrome_conventional', 50258),
(106533, 'PIRSF000386', NULL, NULL, 250, NULL, 'tRNA_mtase', 50259),
(106534, 'PIRSF036441', NULL, NULL, 426, NULL, 'NAGK_DUF619', 50260),
(106535, 'PIRSF005496', NULL, NULL, 829, NULL, 'ATP_hel_HrpB', 50261),
(106536, 'PIRSF000319', NULL, NULL, 752, NULL, 'Trp_2-mono_O2ase', 50262),
(106537, 'PIRSF032064', NULL, NULL, 182, NULL, 'UCP032064', 50263),
(106538, 'PIRSF001060', NULL, NULL, 299, NULL, 'Endochitinase', 50264),
(106539, 'PIRSF036401', NULL, NULL, 529, NULL, 'Gcp_STYKS', 50265),
(106540, 'PIRSF501106', NULL, NULL, 737, NULL, 'Protein_kin_C_epsilon', 50266),
(106541, 'PIRSF001336', NULL, NULL, 644, NULL, 'ARGDC', 50267),
(106542, 'PIRSF002129', NULL, NULL, 247, NULL, 'RPS6e', 50268),
(106543, 'PIRSF005011', NULL, NULL, 248, NULL, 'SanA', 50269),
(106544, 'PIRSF036389', NULL, NULL, 732, NULL, 'IOR_B', 50270),
(106545, 'PIRSF015040', NULL, NULL, 838, NULL, 'ATPase_SAG2001', 50271),
(106546, 'PIRSF016632', NULL, NULL, 307, NULL, 'PLD_actino_fungi', 50272),
(106547, 'PIRSF037016', NULL, NULL, 687, NULL, 'Pseudouridin_synth_euk', 50273),
(106548, 'PIRSF006272', NULL, NULL, 166, NULL, 'UCP006272', 50274),
(106549, 'PIRSF001716', NULL, NULL, 638, NULL, 'Dorsal', 50275),
(106550, 'PIRSF000408', NULL, NULL, 188, NULL, 'Alkyltransferas_AdaA', 50276),
(106551, 'PIRSF000808', NULL, NULL, 349, NULL, 'GalT', 50277),
(106552, 'PIRSF004925', NULL, NULL, 391, NULL, 'HcaT', 50278),
(106553, 'PIRSF017962', NULL, NULL, 256, NULL, 'UCP017962', 50279),
(106554, 'PIRSF037178', NULL, NULL, 325, NULL, 'TTR-like', 50280),
(106555, 'PIRSF011443', NULL, NULL, 180, NULL, 'YgjV', 50281),
(106556, 'PIRSF018412', NULL, NULL, 388, NULL, 'TEBP_beta', 50282),
(106557, 'PIRSF017215', NULL, NULL, 250, NULL, 'ESCRT2_Vps22', 50283),
(106558, 'PIRSF021424', NULL, NULL, 122, NULL, 'RTP', 50284),
(106559, 'PIRSF029171', NULL, NULL, 412, NULL, 'Esterase_LipA', 50285),
(106560, 'PIRSF001265', NULL, NULL, 716, NULL, 'H+-PPtase', 50286),
(106561, 'PIRSF006113', NULL, NULL, 122, NULL, 'PTP_synth', 50287),
(106562, 'PIRSF037204', NULL, NULL, 613, NULL, 'UCP037204', 50288);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(106563, 'PIRSF039014', NULL, NULL, 507, NULL, 'OTR_cyc', 50289),
(106564, 'PIRSF017388', NULL, NULL, 248, NULL, 'Esterase_lipase', 50290),
(106565, 'PIRSF009564', NULL, NULL, 107, NULL, 'HdeA', 50291),
(106566, 'PIRSF006834', NULL, NULL, 254, NULL, 'UCP006834', 50292),
(106567, 'PIRSF019549', NULL, NULL, 364, NULL, 'Gpr', 50293),
(106568, 'PIRSF009404', NULL, NULL, 353, NULL, 'Txn_factor_DP', 50294),
(106569, 'PIRSF000666', NULL, NULL, 1000, NULL, 'TyrPK_ephrin_receptor', 50295),
(106570, 'PIRSF038170', NULL, NULL, 448, NULL, 'TRM6', 50296),
(106571, 'PIRSF027887', NULL, NULL, 358, NULL, 'Amidohyd_027887', 50297),
(106572, 'PIRSF000294', NULL, NULL, 340, NULL, 'Cytochrome-c_peroxidase', 50298),
(106573, 'PIRSF027391', NULL, NULL, 178, NULL, 'Hpre_diP_synt_I', 50299),
(106574, 'PIRSF006577', NULL, NULL, 103, NULL, 'UCP006577', 50300),
(106575, 'PIRSF028498', NULL, NULL, 132, NULL, 'UCP028498', 50301),
(106576, 'PIRSF000745', NULL, NULL, 259, NULL, 'VAC_RPO30', 50302),
(106577, 'PIRSF010244', NULL, NULL, 183, NULL, 'UCP010244_imp', 50303),
(106578, 'PIRSF004161', NULL, NULL, 25, NULL, 'DNA-bp_J_Microviridae', 50304),
(106579, 'PIRSF006993', NULL, NULL, 232, NULL, 'UCP006993', 50305),
(106580, 'PIRSF001939', NULL, NULL, 152, NULL, 'IL-3', 50306),
(106581, 'PIRSF006019', NULL, NULL, 159, NULL, 'dCMP_deaminase', 50307),
(106582, 'PIRSF029187', NULL, NULL, 204, NULL, 'SHR3', 50308),
(106583, 'PIRSF037730', NULL, NULL, 291, NULL, 'CWA_LytH', 50309),
(106584, 'PIRSF007542', NULL, NULL, 588, NULL, 'UCP007542', 50310),
(106585, 'PIRSF017570', NULL, NULL, 569, NULL, 'H3K79_H-MTase_fungal', 50311),
(106586, 'PIRSF037854', NULL, NULL, 1106, NULL, 'DhpA', 50312),
(106587, 'PIRSF500101', NULL, NULL, 618, NULL, 'ER-a', 50313),
(106588, 'PIRSF000148', NULL, NULL, 343, NULL, 'ASA_dh', 50314),
(106589, 'PIRSF002383', NULL, NULL, 186, NULL, 'NSG_calcyon', 50315),
(106590, 'PIRSF002513', NULL, NULL, 1822, NULL, 'Integrin_B4', 50316),
(106591, 'PIRSF036934', NULL, NULL, 730, NULL, 'TrpE-G', 50317),
(106592, 'PIRSF039101', NULL, NULL, 576, NULL, 'LysRS2', 50318),
(106593, 'PIRSF009290', NULL, NULL, 333, NULL, 'FrlB', 50319),
(106594, 'PIRSF016516', NULL, NULL, 349, NULL, 'Allantoicase', 50320),
(106595, 'PIRSF018297', NULL, NULL, 129, NULL, 'Doc', 50321),
(106596, 'PIRSF000852', NULL, NULL, 240, NULL, 'Phosphatidylserin_synth_fung', 50322),
(106597, 'PIRSF000827', NULL, NULL, 727, NULL, 'RdRPol_OMV', 50323),
(106598, 'PIRSF004631', NULL, NULL, 511, NULL, 'Retroelement_env', 50324),
(106599, 'PIRSF029091', NULL, NULL, 118, NULL, 'RstB1_B2', 50325),
(106600, 'PIRSF004929', NULL, NULL, 287, NULL, 'UCP004929', 50326),
(106601, 'PIRSF021308', NULL, NULL, 198, NULL, 'UCP021308', 50327),
(106602, 'PIRSF016565', NULL, NULL, 459, NULL, 'PucC', 50328),
(106603, 'PIRSF030333', NULL, NULL, 152, NULL, 'UCP030333_Alba', 50329),
(106604, 'PIRSF001942', NULL, NULL, 176, NULL, 'IL-7', 50330),
(106605, 'PIRSF010354', NULL, NULL, 3841, NULL, 'Trx_SET', 50331),
(106606, 'PIRSF034515', NULL, NULL, 1042, NULL, 'Chondroitinase', 50332),
(106607, 'PIRSF500627', NULL, NULL, 501, NULL, 'Cytochrome_CYP8B1', 50333),
(106608, 'PIRSF001141', NULL, NULL, 422, NULL, 'Acrosin', 50334),
(106609, 'PIRSF003692', NULL, NULL, 190, NULL, 'VAC_C14L', 50335),
(106610, 'PIRSF028188', NULL, NULL, 320, NULL, 'Amdntrnsf_FN0238', 50336),
(106611, 'PIRSF020565', NULL, NULL, 161, NULL, '3Ho_Ac_ACP_DH', 50337),
(106612, 'PIRSF001103', NULL, NULL, 320, NULL, 'Endo-b-N-acetylglucosaminidase', 50338),
(106613, 'PIRSF037081', NULL, NULL, 184, NULL, 'P-loop_All4644', 50339),
(106614, 'PIRSF029287', NULL, NULL, 223, NULL, 'UCP029287', 50340),
(106615, 'PIRSF000076', NULL, NULL, 549, NULL, 'HCP', 50341),
(106616, 'PIRSF030786', NULL, NULL, 71, NULL, 'Lysis_prot_S', 50342),
(106617, 'PIRSF037932', NULL, NULL, 382, NULL, 'A2BP1', 50343),
(106618, 'PIRSF029208', NULL, NULL, 150, NULL, 'Tail_GPU', 50344),
(106619, 'PIRSF018863', NULL, NULL, 415, NULL, 'UCP018863', 50345),
(106620, 'PIRSF003180', NULL, NULL, 407, NULL, 'DiGMP_Pdiesterase_YuxH', 50346),
(106621, 'PIRSF000534', NULL, NULL, 449, NULL, 'ATP_PFK_TP0108', 50347);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(106622, 'PIRSF025479', NULL, NULL, 185, NULL, 'UCP025479', 50348),
(106623, 'PIRSF008130', NULL, NULL, 106, NULL, 'UCP008130', 50349),
(106624, 'PIRSF003760', NULL, NULL, 88, NULL, 'VAC_K3L_Serpin', 50350),
(106625, 'PIRSF001589', NULL, NULL, 608, NULL, 'Asn_synthetase_glu-h', 50351),
(106626, 'PIRSF029033', NULL, NULL, 242, NULL, 'UCP029033', 50352),
(106627, 'PIRSF000927', NULL, NULL, 927, NULL, 'PTPN3_PTPN4', 50353),
(106628, 'PIRSF026509', NULL, NULL, 183, NULL, 'UCP026509', 50354),
(106629, 'PIRSF036446', NULL, NULL, 226, NULL, 'Phosphoesterase_HI0762', 50355),
(106630, 'PIRSF500060', NULL, NULL, 520, NULL, 'UCP500060', 50356),
(106631, 'PIRSF000239', NULL, NULL, 209, NULL, 'AHPC', 50357),
(106632, 'PIRSF500136', NULL, NULL, 445, NULL, 'UDP_ManNAc_DH', 50358),
(106633, 'PIRSF003948', NULL, NULL, 270, NULL, 'N_TospoV', 50359),
(106634, 'PIRSF005578', NULL, NULL, 265, NULL, 'TlyA', 50360),
(106635, 'PIRSF018634', NULL, NULL, 124, NULL, 'UCP018634', 50361),
(106636, 'PIRSF019325', NULL, NULL, 207, NULL, 'GPI', 50362),
(106637, 'PIRSF015417', NULL, NULL, 645, NULL, 'T31B5_30_vWA', 50363),
(106638, 'PIRSF038958', NULL, NULL, 517, NULL, 'PG_synth_SpoVB', 50364),
(106639, 'PIRSF005624', NULL, NULL, 230, NULL, 'Ni-bind_GTPase', 50365),
(106640, 'PIRSF010376', NULL, NULL, 293, NULL, 'IspE', 50366),
(106641, 'PIRSF028099', NULL, NULL, 482, NULL, 'Thiol_oxidored', 50367),
(106642, 'PIRSF006054', NULL, NULL, 428, NULL, 'UCP006054', 50368),
(106643, 'PIRSF002023', NULL, NULL, 202, NULL, 'PA2_inhib_alpha/gamma', 50369),
(106644, 'PIRSF016128', NULL, NULL, 140, NULL, 'UCP016128', 50370),
(106645, 'PIRSF031402', NULL, NULL, 158, NULL, 'SYS1_homolog', 50371),
(106646, 'PIRSF026802', NULL, NULL, 283, NULL, 'UCP026802', 50372),
(106647, 'PIRSF006102', NULL, NULL, 210, NULL, 'NQR_DE', 50373),
(106648, 'PIRSF008881', NULL, NULL, 220, NULL, 'Fhx_P25', 50374),
(106649, 'PIRSF004395', NULL, NULL, 185, NULL, 'Tail_Z', 50375),
(106650, 'PIRSF004006', NULL, NULL, 212, NULL, 'Minor_cap_RTV', 50376),
(106651, 'PIRSF011515', NULL, NULL, 392, NULL, 'EspG/VirA', 50377),
(106652, 'PIRSF001359', NULL, NULL, 289, NULL, 'F_bP_aldolase_II', 50378),
(106653, 'PIRSF001238', NULL, NULL, 388, NULL, 'IadA', 50379),
(106654, 'PIRSF011911', NULL, NULL, 505, NULL, 'Minor_capsid_gp61', 50380),
(106655, 'PIRSF000460', NULL, NULL, 774, NULL, 'Glucan_phosphorylase_GlgP', 50381),
(106656, 'PIRSF015971', NULL, NULL, 226, NULL, 'VAC_F1L', 50382),
(106657, 'PIRSF005627', NULL, NULL, 276, NULL, 'MTD', 50383),
(106658, 'PIRSF006351', NULL, NULL, 435, NULL, 'PTS_EIIC-Cellobiose', 50384),
(106659, 'PIRSF039133', NULL, NULL, 610, NULL, 'SUMO_E1B', 50385),
(106660, 'PIRSF007313', NULL, NULL, 370, NULL, 'PhnI', 50386),
(106661, 'PIRSF016379', NULL, NULL, 447, NULL, 'ENT', 50387),
(106662, 'PIRSF003764', NULL, NULL, 149, NULL, 'VAC_K7R', 50388),
(106663, 'PIRSF005412', NULL, NULL, 687, NULL, 'UCP005412_abhydr', 50389),
(106664, 'PIRSF007061', NULL, NULL, 107, NULL, 'UCP007061', 50390),
(106665, 'PIRSF037692', NULL, NULL, 71, NULL, 'UCP037692', 50391),
(106666, 'PIRSF000094', NULL, NULL, 260, NULL, 'Enoyl-ACP_rdct', 50392),
(106667, 'PIRSF029120', NULL, NULL, 354, NULL, 'UCP029120', 50393),
(106668, 'PIRSF028153', NULL, NULL, 483, NULL, 'MshI', 50394),
(106669, 'PIRSF000956', NULL, NULL, 1158, NULL, 'PLC-beta', 50395),
(106670, 'PIRSF009151', NULL, NULL, 135, NULL, 'UCP009151', 50396),
(106671, 'PIRSF001771', NULL, NULL, 461, NULL, 'Cyclin_A_B_D_E', 50397),
(106672, 'PIRSF018494', NULL, NULL, 353, NULL, 'PBSX_VPQ', 50398),
(106673, 'PIRSF028520', NULL, NULL, 171, NULL, 'UCP028520', 50399),
(106674, 'PIRSF029172', NULL, NULL, 399, NULL, 'UCP029172_ABC_sbc_YnjB', 50400),
(106675, 'PIRSF032441', NULL, NULL, 128, NULL, 'UCP032441', 50401),
(106676, 'PIRSF003938', NULL, NULL, 281, NULL, 'NS1_influenza_B', 50402),
(106677, 'PIRSF006468', NULL, NULL, 370, NULL, 'BCAT1', 50403),
(106678, 'PIRSF032025', NULL, NULL, 144, NULL, 'UCP032025', 50404),
(106679, 'PIRSF009407', NULL, NULL, 743, NULL, 'IDH_monmr', 50405),
(106680, 'PIRSF031551', NULL, NULL, 173, NULL, 'UCP031551', 50406);
INSERT INTO "PUBLIC"."MODEL" VALUES
(106681, 'PIRSF002565', NULL, NULL, 61, NULL, 'Statherin', 50407),
(106682, 'PIRSF000282', NULL, NULL, 62, NULL, 'COX7', 50408),
(106683, 'PIRSF029509', NULL, NULL, 150, NULL, 'UCP029509', 50409),
(106684, 'PIRSF038148', NULL, NULL, 403, NULL, 'Rmt2', 50410),
(106685, 'PIRSF000414', NULL, NULL, 526, NULL, 'PurH', 50411),
(106686, 'PIRSF004808', NULL, NULL, 249, NULL, 'LasT', 50412),
(106687, 'PIRSF036586', NULL, NULL, 474, NULL, 'CDP-ribitol_syn', 50413),
(106688, 'PIRSF037375', NULL, NULL, 616, NULL, 'EstA', 50414),
(106689, 'PIRSF003135', NULL, NULL, 108, NULL, 'Primosomal_n', 50415),
(106690, 'PIRSF005919', NULL, NULL, 200, NULL, 'UCP005919', 50416),
(106691, 'PIRSF027124', NULL, NULL, 433, NULL, 'HAT_Rtt109', 50417),
(106692, 'PIRSF004179', NULL, NULL, 266, NULL, 'DNAterm_GP3', 50418),
(106693, 'PIRSF038204', NULL, NULL, 645, NULL, 'Distrobrevin', 50419),
(106694, 'PIRSF037489', NULL, NULL, 370, NULL, 'NIF3_YqfO', 50420),
(106695, 'PIRSF037919', NULL, NULL, 741, NULL, 'HDAC_II_yeast', 50421),
(106696, 'PIRSF003767', NULL, NULL, 269, NULL, 'VAC_I3L', 50422),
(106697, 'PIRSF002421', NULL, NULL, 372, NULL, 'L-selectin', 50423),
(106698, 'PIRSF006493', NULL, NULL, 290, NULL, 'Prok_Ku', 50424),
(106699, 'PIRSF036408', NULL, NULL, 443, NULL, 'PduS', 50425),
(106700, 'PIRSF000381', NULL, NULL, 1200, NULL, 'Met_synth_MetH', 50426),
(106701, 'PIRSF000767', NULL, NULL, 575, NULL, 'Sigma_factor_SigC', 50427),
(106702, 'PIRSF000169', NULL, NULL, 115, NULL, 'SDH_D', 50428),
(106703, 'PIRSF501104', NULL, NULL, 676, NULL, 'Protein_kin_C_delta', 50429),
(106704, 'PIRSF018571', NULL, NULL, 300, NULL, 'SpoIIGA', 50430),
(106705, 'PIRSF006305', NULL, NULL, 210, NULL, 'Maf', 50431),
(106706, 'PIRSF000151', NULL, NULL, 421, NULL, 'GPR', 50432),
(106707, 'PIRSF037162', NULL, NULL, 565, NULL, 'PRDM', 50433),
(106708, 'PIRSF003109', NULL, NULL, 348, NULL, 'RE_McrC', 50434),
(106709, 'PIRSF004348', NULL, NULL, 64, NULL, 'RNA_pol_inhibit', 50435),
(106710, 'PIRSF016315', NULL, NULL, 175, NULL, 'p21-ARC', 50436),
(106711, 'PIRSF031853', NULL, NULL, 337, NULL, 'UCP031853', 50437),
(106712, 'PIRSF037159', NULL, NULL, 69, NULL, 'UCP037159', 50438),
(106713, 'PIRSF002882', NULL, NULL, 95, NULL, 'VapD', 50439),
(106714, 'PIRSF016958', NULL, NULL, 244, NULL, 'Mtase_AD-003', 50440),
(106715, 'PIRSF039004', NULL, NULL, 396, NULL, 'ADE_EF_0837', 50441),
(106716, 'PIRSF001936', NULL, NULL, 166, NULL, 'Interferon_gamma', 50442),
(106717, 'PIRSF006707', NULL, NULL, 186, NULL, 'MJ1563', 50443),
(106718, 'PIRSF000538', NULL, NULL, 499, NULL, 'GlpK', 50444),
(106719, 'PIRSF021328', NULL, NULL, 138, NULL, 'UCP021328', 50445),
(106720, 'PIRSF037713', NULL, NULL, 188, NULL, 'BT_exbB-like_prot_1', 50446),
(106721, 'PIRSF028101', NULL, NULL, 363, NULL, 'UCP028101', 50447),
(106722, 'PIRSF039087', NULL, NULL, 314, NULL, 'L10E', 50448),
(106723, 'PIRSF036417', NULL, NULL, 498, NULL, 'Very_long_ch_3-ktacl-CoA_syn', 50449),
(106724, 'PIRSF001423', NULL, NULL, 565, NULL, 'Urocanate_hydrat', 50450),
(106725, 'PIRSF037846', NULL, NULL, 445, NULL, 'Autolysin_YrvJ', 50451),
(106726, 'PIRSF038155', NULL, NULL, 315, NULL, 'AS2', 50452),
(106727, 'PIRSF011271', NULL, NULL, 118, NULL, 'SycE', 50453),
(106728, 'PIRSF038005', NULL, NULL, 545, NULL, 'MBD4', 50454),
(106729, 'PIRSF003165', NULL, NULL, 163, NULL, 'Chaper_prot_SicA', 50455),
(106730, 'PIRSF004523', NULL, NULL, 403, NULL, 'ABC_peripl_P37', 50456),
(106731, 'PIRSF020431', NULL, NULL, 117, NULL, 'NapD_delta/epsilon', 50457),
(106732, 'PIRSF037135', NULL, NULL, 802, NULL, 'Matriptase-2', 50458),
(106733, 'PIRSF000743', NULL, NULL, 170, NULL, 'RPO19', 50459),
(106734, 'PIRSF017290', NULL, NULL, 249, NULL, 'ROT1', 50460),
(106735, 'PIRSF500951', NULL, NULL, 965, NULL, 'SCGF_recepter', 50461),
(106736, 'PIRSF038133', NULL, NULL, 314, NULL, 'EAF3_MRG15', 50462),
(106737, 'PIRSF036461', NULL, NULL, 397, NULL, 'Chmtx_methlestr', 50463),
(106738, 'PIRSF038143', NULL, NULL, 525, NULL, 'Podoclyxn-like_1', 50464),
(106739, 'PIRSF001747', NULL, NULL, 827, NULL, 'Red1', 50465),
(106740, 'PIRSF037950', NULL, NULL, 534, NULL, 'E3_ub_ligase_RNF8', 50466);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(106741, 'PIRSF002457', NULL, NULL, 481, NULL, 'DASS', 50467),
(106742, 'PIRSF006320', NULL, NULL, 217, NULL, 'Elb2', 50468),
(106743, 'PIRSF016661', NULL, NULL, 194, NULL, 'BioY', 50469),
(106744, 'PIRSF036594', NULL, NULL, 319, NULL, 'MoaC_MogA', 50470),
(106745, 'PIRSF020555', NULL, NULL, 122, NULL, 'UCP020555', 50471),
(106746, 'PIRSF001863', NULL, NULL, 197, NULL, 'MAT_Alpha1', 50472),
(106747, 'PIRSF001221', NULL, NULL, 547, NULL, 'Amidase_fungi', 50473),
(106748, 'PIRSF000797', NULL, NULL, 1186, NULL, 'DNA_pol_mitochondrial', 50474),
(106749, 'PIRSF008153', NULL, NULL, 1274, NULL, 'CYFIP', 50475),
(106750, 'PIRSF036692', NULL, NULL, 220, NULL, 'SDH_B', 50476),
(106751, 'PIRSF005053', NULL, NULL, 113, NULL, 'RNAP_F_arch', 50477),
(106752, 'PIRSF004505', NULL, NULL, 160, NULL, 'MT_bac', 50478),
(106753, 'PIRSF005409', NULL, NULL, 113, NULL, 'VAMP-5_synaptobrevin', 50479),
(106754, 'PIRSF034565', NULL, NULL, 361, NULL, 'UCP034565', 50480),
(106755, 'PIRSF000138', NULL, NULL, 380, NULL, 'Al-hdrx_acd_dh', 50481),
(106756, 'PIRSF028836', NULL, NULL, 422, NULL, 'ISN1', 50482),
(106757, 'PIRSF021292', NULL, NULL, 143, NULL, 'ComGD', 50483),
(106758, 'PIRSF009303', NULL, NULL, 415, NULL, 'RAD9', 50484),
(106759, 'PIRSF016496', NULL, NULL, 266, NULL, 'Kin_FomA', 50485),
(106760, 'PIRSF037913', NULL, NULL, 456, NULL, 'HDAC_I_euk', 50486),
(106761, 'PIRSF014669', NULL, NULL, 370, NULL, 'UCP014669', 50487),
(106762, 'PIRSF000632', NULL, NULL, 824, NULL, 'TyrPK_fps', 50488),
(106763, 'PIRSF017199', NULL, NULL, 142, NULL, 'Dim1', 50489),
(106764, 'PIRSF038034', NULL, NULL, 269, NULL, 'RFXANK', 50490),
(106765, 'PIRSF037383', NULL, NULL, 602, NULL, 'LicCA', 50491),
(106766, 'PIRSF029416', NULL, NULL, 109, NULL, 'UCP029416_PTP', 50492),
(106767, 'PIRSF001906', NULL, NULL, 31, NULL, 'ATX_III', 50493),
(106768, 'PIRSF038119', NULL, NULL, 326, NULL, 'NUP53', 50494),
(106769, 'PIRSF007319', NULL, NULL, 263, NULL, 'UCP007319', 50495),
(106770, 'PIRSF010072', NULL, NULL, 362, NULL, 'BBS5_fem-3', 50496),
(106771, 'PIRSF039102', NULL, NULL, 366, NULL, 'Ddl/VanB', 50497),
(106772, 'PIRSF037167', NULL, NULL, 310, NULL, 'Mtase_YfcB', 50498),
(106773, 'PIRSF038471', NULL, NULL, 284, NULL, 'MreC', 50499),
(106774, 'PIRSF501177', NULL, NULL, 418, NULL, 'BoxA', 50500),
(106775, 'PIRSF004750', NULL, NULL, 279, NULL, 'Nitrile_oxidored_YqcD', 50501),
(106776, 'PIRSF011132', NULL, NULL, 278, NULL, 'TIG1_latexin_ovocalyxin-32', 50502),
(106777, 'PIRSF002486', NULL, NULL, 359, NULL, 'CIP_VAC_C3L', 50503),
(106778, 'PIRSF015952', NULL, NULL, 256, NULL, 'U3snoRNP11', 50504),
(106779, 'PIRSF036685', NULL, NULL, 501, NULL, 'BacLeuNPeptidase', 50505),
(106780, 'PIRSF004962', NULL, NULL, 156, NULL, 'UCP004962', 50506),
(106781, 'PIRSF031982', NULL, NULL, 344, NULL, 'UCP031982_abhydr', 50507),
(106782, 'PIRSF016753', NULL, NULL, 282, NULL, 'P_lipid/glycerol_ac_tran', 50508),
(106783, 'PIRSF034367', NULL, NULL, 341, NULL, 'UCP034367', 50509),
(106784, 'PIRSF027093', NULL, NULL, 629, NULL, 'EndopolyPtase_N1', 50510),
(106785, 'PIRSF015415', NULL, NULL, 591, NULL, 'COG8', 50511),
(106786, 'PIRSF018586', NULL, NULL, 191, NULL, 'FADD', 50512),
(106787, 'PIRSF037663', NULL, NULL, 159, NULL, 'Acetyltransf_GNAT', 50513),
(106788, 'PIRSF006324', NULL, NULL, 213, NULL, 'LeuE', 50514),
(106789, 'PIRSF031512', NULL, NULL, 300, NULL, 'EpsL', 50515),
(106790, 'PIRSF017209', NULL, NULL, 859, NULL, 'Memb_At2g17000', 50516),
(106791, 'PIRSF003961', NULL, NULL, 1194, NULL, 'M_poly_PhleboV', 50517),
(106792, 'PIRSF012337', NULL, NULL, 207, NULL, 'gp45', 50518),
(106793, 'PIRSF015921', NULL, NULL, 472, NULL, 'FA_sphingolip_des', 50519),
(106794, 'PIRSF030962', NULL, NULL, 123, NULL, 'Dehydrase', 50520),
(106795, 'PIRSF004800', NULL, NULL, 1830, NULL, 'Hmw2', 50521),
(106796, 'PIRSF003003', NULL, NULL, 175, NULL, 'Colicin_imm', 50522),
(106797, 'PIRSF017854', NULL, NULL, 89, NULL, 'TrbD', 50523),
(106798, 'PIRSF039096', NULL, NULL, 156, NULL, 'p16-ARC', 50524),
(106799, 'PIRSF000208', NULL, NULL, 695, NULL, 'P450R', 50525),
(106800, 'PIRSF031143', NULL, NULL, 149, NULL, 'UCP031143', 50526);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(106801, 'PIRSF000903', NULL, NULL, 275, NULL, 'B5n-ttraPtase_sm', 50527),
(106802, 'PIRSF036578', NULL, NULL, 962, NULL, 'RFC1', 50528),
(106803, 'PIRSF000443', NULL, NULL, 398, NULL, 'Homoser_Ac_trans', 50529),
(106804, 'PIRSF000445', NULL, NULL, 433, NULL, 'GluTR', 50530),
(106805, 'PIRSF011444', NULL, NULL, 203, NULL, 'UCP011444', 50531),
(106806, 'PIRSF004028', NULL, NULL, 486, NULL, 'GPC_ArenaV', 50532),
(106807, 'PIRSF500204', NULL, NULL, 196, NULL, 'RBP_purpurin', 50533),
(106808, 'PIRSF001430', NULL, NULL, 268, NULL, 'PSU-A', 50534),
(106809, 'PIRSF037475', NULL, NULL, 883, NULL, 'BLOC2_Hps5', 50535),
(106810, 'PIRSF000277', NULL, NULL, 115, NULL, 'COX_VIa', 50536),
(106811, 'PIRSF001418', NULL, NULL, 766, NULL, 'ACN', 50537),
(106812, 'PIRSF016550', NULL, NULL, 596, NULL, 'Rab_ger_ger_transf_A_euk', 50538),
(106813, 'PIRSF000098', NULL, NULL, 433, NULL, 'Homoser_dh', 50539),
(106814, 'PIRSF001594', NULL, NULL, 1147, NULL, 'PCB', 50540),
(106815, 'PIRSF037707', NULL, NULL, 175, NULL, 'TOM20', 50541),
(106816, 'PIRSF037492', NULL, NULL, 462, NULL, 'UCP037492_HAD', 50542),
(106817, 'PIRSF016580', NULL, NULL, 374, NULL, 'Acylprotsyn_LuxE', 50543),
(106818, 'PIRSF501176', NULL, NULL, 496, NULL, 'DNApol_mu', 50544),
(106819, 'PIRSF000822', NULL, NULL, 1444, NULL, 'RdRPol_RDV', 50545),
(106820, 'PIRSF000615', NULL, NULL, 990, NULL, 'TyrPK_CSF1-R', 50546),
(106821, 'PIRSF002369', NULL, NULL, 106, NULL, 'Apovitellenin_I', 50547),
(106822, 'PIRSF003182', NULL, NULL, 781, NULL, 'HK_hybr_ArcB', 50548),
(106823, 'PIRSF016511', NULL, NULL, 307, NULL, 'Cyclin_Pcl', 50549),
(106824, 'PIRSF036585', NULL, NULL, 125, NULL, 'EchD', 50550),
(106825, 'PIRSF028744', NULL, NULL, 107, NULL, 'UCP028744_Gp-49', 50551),
(106826, 'PIRSF000005', NULL, NULL, 215, NULL, 'Cytochrome_c4', 50552),
(106827, 'PIRSF006276', NULL, NULL, 142, NULL, 'UspA', 50553),
(106828, 'PIRSF021288', NULL, NULL, 262, NULL, 'YmfK_ACT', 50554),
(106829, 'PIRSF021171', NULL, NULL, 143, NULL, 'UCP022271', 50555),
(106830, 'PIRSF027019', NULL, NULL, 357, NULL, 'Euk_LigT', 50556),
(106831, 'PIRSF001486', NULL, NULL, 94, NULL, 'CatC', 50557),
(106832, 'PIRSF016154', NULL, NULL, 149, NULL, 'Nucl_a_bind_PIN_PH0500', 50558),
(106833, 'PIRSF000851', NULL, NULL, 245, NULL, 'PcS', 50559),
(106834, 'PIRSF016896', NULL, NULL, 280, NULL, 'GHMP_arc_MJ0969', 50560),
(106835, 'PIRSF015161', NULL, NULL, 453, NULL, 'TAFI48', 50561),
(106836, 'PIRSF001467', NULL, NULL, 178, NULL, 'Peptidylpro_ismrse', 50562),
(106837, 'PIRSF029047', NULL, NULL, 244, NULL, 'KMTS', 50563),
(106838, 'PIRSF037561', NULL, NULL, 33, NULL, 'Pardaxin', 50564),
(106839, 'PIRSF001043', NULL, NULL, 555, NULL, 'EG-B', 50565),
(106840, 'PIRSF004866', NULL, NULL, 200, NULL, 'IMP_cclhdr_arch', 50566),
(106841, 'PIRSF017804', NULL, NULL, 484, NULL, 'Secretion_EccD1', 50567),
(106842, 'PIRSF019435', NULL, NULL, 434, NULL, 'UCP019435', 50568),
(106843, 'PIRSF036510', NULL, NULL, 441, NULL, 'PDH_fung', 50569),
(106844, 'PIRSF000660', NULL, NULL, 1665, NULL, 'STPK_GCN2', 50570),
(106845, 'PIRSF037094', NULL, NULL, 828, NULL, 'AP1_gamma', 50571),
(106846, 'PIRSF000203', NULL, NULL, 511, NULL, 'NADP_transhydrogenase_alpha', 50572),
(106847, 'PIRSF012565', NULL, NULL, 207, NULL, 'UCP012565', 50573),
(106848, 'PIRSF000118', NULL, NULL, 591, NULL, 'Ilv5_plant', 50574),
(106849, 'PIRSF020979', NULL, NULL, 361, NULL, 'UCP020979', 50575),
(106850, 'PIRSF005963', NULL, NULL, 365, NULL, 'Lipoyl_synth', 50576),
(106851, 'PIRSF004546', NULL, NULL, 186, NULL, 'UCP004546', 50577),
(106852, 'PIRSF028756', NULL, NULL, 284, NULL, 'PPK2', 50578),
(106853, 'PIRSF022080', NULL, NULL, 102, NULL, 'UCP022080', 50579),
(106854, 'PIRSF036429', NULL, NULL, 772, NULL, 'P5C_synthetase', 50580),
(106855, 'PIRSF000744', NULL, NULL, 185, NULL, 'RPO22', 50581),
(106856, 'PIRSF006230', NULL, NULL, 289, NULL, 'MG442', 50582),
(106857, 'PIRSF037851', NULL, NULL, 596, NULL, 'Subtilisin_cyano', 50583),
(106858, 'PIRSF028141', NULL, NULL, 121, NULL, 'C-di-GMP_BP_PA4608', 50584),
(106859, 'PIRSF011716', NULL, NULL, 713, NULL, 'Endoprotease_Ssy5', 50585);
INSERT INTO "PUBLIC"."MODEL" VALUES
(106860, 'PIRSF013022', NULL, NULL, 589, NULL, 'UCP013022', 50586),
(106861, 'PIRSF036536', NULL, NULL, 221, NULL, 'EhaH', 50587),
(106862, 'PIRSF004853', NULL, NULL, 255, NULL, 'UCP004853', 50588),
(106863, 'PIRSF033091', NULL, NULL, 418, NULL, 'Pesterase_YhaO', 50589),
(106864, 'PIRSF026673', NULL, NULL, 483, NULL, 'UCP026673_ion_chan', 50590),
(106865, 'PIRSF037948', NULL, NULL, 442, NULL, 'ZMYND10', 50591),
(106866, 'PIRSF010636', NULL, NULL, 103, NULL, 'ANTAR_solo', 50592),
(106867, 'PIRSF005522', NULL, NULL, 483, NULL, 'UCP005522', 50593),
(106868, 'PIRSF038093', NULL, NULL, 367, NULL, 'ARPC1', 50594),
(106869, 'PIRSF020479', NULL, NULL, 333, NULL, 'UCP020479_CheW', 50595),
(106870, 'PIRSF034452', NULL, NULL, 277, NULL, 'TIM-br_sig_trnsd', 50596),
(106871, 'PIRSF037014', NULL, NULL, 808, NULL, 'SNF1LK_vert', 50597),
(106872, 'PIRSF008711', NULL, NULL, 125, NULL, 'UCP008711', 50598),
(106873, 'PIRSF015694', NULL, NULL, 158, NULL, 'VAC_F15L', 50599),
(106874, 'PIRSF039085', NULL, NULL, 252, NULL, 'ABC_ATPase_HisP', 50600),
(106875, 'PIRSF017565', NULL, NULL, 401, NULL, 'Kin_ATP-NAD_euk', 50601),
(106876, 'PIRSF004078', NULL, NULL, 219, NULL, 'Coat_ilarvirus', 50602),
(106877, 'PIRSF019404', NULL, NULL, 148, NULL, 'FliJ', 50603),
(106878, 'PIRSF000556', NULL, NULL, 992, NULL, 'MAPKKK9_MAPKKK10_MAPKKK11', 50604),
(106879, 'PIRSF001013', NULL, NULL, 154, NULL, 'RNAse_Ba', 50605),
(106880, 'PIRSF009120', NULL, NULL, 250, NULL, 'UCP009120_prtse', 50606),
(106881, 'PIRSF006630', NULL, NULL, 586, NULL, 'NADS_GAT', 50607),
(106882, 'PIRSF011570', NULL, NULL, 335, NULL, 'SpoVAD', 50608),
(106883, 'PIRSF030042', NULL, NULL, 136, NULL, 'UCP030042', 50609),
(106884, 'PIRSF039003', NULL, NULL, 64, NULL, 'IscX', 50610),
(106885, 'PIRSF036956', NULL, NULL, 727, NULL, 'Hrs_Vps27', 50611),
(106886, 'PIRSF028035', NULL, NULL, 984, NULL, 'UCP028035', 50612),
(106887, 'PIRSF018296', NULL, NULL, 307, NULL, 'Format_dh_formtn_FdhE', 50613),
(106888, 'PIRSF005897', NULL, NULL, 390, NULL, 'RR_PatA', 50614),
(106889, 'PIRSF013212', NULL, NULL, 762, NULL, 'PRDM1_SET', 50615),
(106890, 'PIRSF038896', NULL, NULL, 367, NULL, 'NAPE-PLD', 50616),
(106891, 'PIRSF028973', NULL, NULL, 319, NULL, 'DcpS', 50617),
(106892, 'PIRSF005700', NULL, NULL, 455, NULL, 'PepC', 50618),
(106893, 'PIRSF002026', NULL, NULL, 160, NULL, 'Nematode_globin', 50619),
(106894, 'PIRSF029950', NULL, NULL, 227, NULL, 'UCP029950', 50620),
(106895, 'PIRSF022536', NULL, NULL, 136, NULL, 'A612L_SET', 50621),
(106896, 'PIRSF029727', NULL, NULL, 353, NULL, 'UCP029727', 50622),
(106897, 'PIRSF003960', NULL, NULL, 1127, NULL, 'M_poly_TospoV', 50623),
(106898, 'PIRSF036641', NULL, NULL, 574, NULL, 'IMPase_NAD_kin', 50624),
(106899, 'PIRSF038172', NULL, NULL, 839, NULL, 'MAPKKKK', 50625),
(106900, 'PIRSF036437', NULL, NULL, 984, NULL, 'HK_TorS', 50626),
(106901, 'PIRSF038171', NULL, NULL, 467, NULL, 'MAPKKK8', 50627),
(106902, 'PIRSF038886', NULL, NULL, 440, NULL, 'Pellino', 50628),
(106903, 'PIRSF036442', NULL, NULL, 534, NULL, 'NAGS_animal', 50629),
(106904, 'PIRSF001703', NULL, NULL, 436, NULL, 'GABP_alpha', 50630),
(106905, 'PIRSF005727', NULL, NULL, 961, NULL, 'Beta-COP', 50631),
(106906, 'PIRSF007004', NULL, NULL, 125, NULL, 'UCP007004', 50632),
(106907, 'PIRSF006603', NULL, NULL, 462, NULL, 'DinF', 50633),
(106908, 'PIRSF038001', NULL, NULL, 417, NULL, 'Caspase_ICE', 50634),
(106909, 'PIRSF032817', NULL, NULL, 242, NULL, 'UCP032817', 50635),
(106910, 'PIRSF017246', NULL, NULL, 187, NULL, 'TFIID_TAF10', 50636),
(106911, 'PIRSF037992', NULL, NULL, 294, NULL, 'HnRNP_C_Raly', 50637),
(106912, 'PIRSF017835', NULL, NULL, 102, NULL, 'ATP-synth_g_mitoch_animal', 50638),
(106913, 'PIRSF000894', NULL, NULL, 450, NULL, 'Acid_Ptase', 50639),
(106914, 'PIRSF016502', NULL, NULL, 343, NULL, 'Urea_transporter', 50640),
(106915, 'PIRSF003376', NULL, NULL, 366, NULL, 'VP1_PMV', 50641),
(106916, 'PIRSF004323', NULL, NULL, 67, NULL, 'Xis-Tn', 50642),
(106917, 'PIRSF027158', NULL, NULL, 436, NULL, 'Lys_MTase_YDR198C', 50643),
(106918, 'PIRSF033303', NULL, NULL, 212, NULL, 'UCP033303', 50644);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(106919, 'PIRSF017529', NULL, NULL, 271, NULL, 'Aquaporin-11_12', 50645),
(106920, 'PIRSF002549', NULL, NULL, 709, NULL, 'Transferrin', 50646),
(106921, 'PIRSF002496', NULL, NULL, 945, NULL, 'Chordin', 50647),
(106922, 'PIRSF036558', NULL, NULL, 1286, NULL, 'Ntrrd_NNDBI_PRT', 50648),
(106923, 'PIRSF038025', NULL, NULL, 419, NULL, 'PTEN', 50649),
(106924, 'PIRSF000355', NULL, NULL, 349, NULL, 'NrdB', 50650),
(106925, 'PIRSF028732', NULL, NULL, 92, NULL, 'Alba', 50651),
(106926, 'PIRSF018649', NULL, NULL, 698, NULL, 'UCP018649', 50652),
(106927, 'PIRSF000450', NULL, NULL, 309, NULL, 'HTS', 50653),
(106928, 'PIRSF037332', NULL, NULL, 486, NULL, 'FucT_metazoa', 50654),
(106929, 'PIRSF016553', NULL, NULL, 784, NULL, 'BIGH3_OSF2', 50655),
(106930, 'PIRSF000747', NULL, NULL, 210, NULL, 'RPB5', 50656),
(106931, 'PIRSF021980', NULL, NULL, 207, NULL, 'UCP021980_RNA-bind', 50657),
(106932, 'PIRSF037880', NULL, NULL, 456, NULL, 'Parkin', 50658),
(106933, 'PIRSF038071', NULL, NULL, 464, NULL, 'GFR-alpha', 50659),
(106934, 'PIRSF020893', NULL, NULL, 177, NULL, 'UCP020893', 50660),
(106935, 'PIRSF000310', NULL, NULL, 355, NULL, 'Upt_hd_small', 50661),
(106936, 'PIRSF019251', NULL, NULL, 477, NULL, 'Rv0465c', 50662),
(106937, 'PIRSF037213', NULL, NULL, 175, NULL, 'UCP037213', 50663),
(106938, 'PIRSF037980', NULL, NULL, 1002, NULL, 'Sarcos_oxid_alpha', 50664),
(106939, 'PIRSF018005', NULL, NULL, 331, NULL, 'UCP018005', 50665),
(106940, 'PIRSF000190', NULL, NULL, 225, NULL, 'Pyd_amn-ph_oxd', 50666),
(106941, 'PIRSF029548', NULL, NULL, 160, NULL, 'UCP029548', 50667),
(106942, 'PIRSF009292', NULL, NULL, 186, NULL, 'BLIP', 50668),
(106943, 'PIRSF011124', NULL, NULL, 104, NULL, 'MRP63', 50669),
(106944, 'PIRSF020357', NULL, NULL, 408, NULL, 'UCP020357', 50670),
(106945, 'PIRSF006600', NULL, NULL, 152, NULL, 'UCP006600', 50671),
(106946, 'PIRSF000193', NULL, NULL, 269, NULL, 'P5CR', 50672),
(106947, 'PIRSF033634', NULL, NULL, 211, NULL, 'UCP033634', 50673),
(106948, 'PIRSF006677', NULL, NULL, 506, NULL, 'AtPEPC', 50674),
(106949, 'PIRSF021603', NULL, NULL, 285, NULL, 'UCP21603_Ac_t', 50675),
(106950, 'PIRSF029037', NULL, NULL, 258, NULL, 'UCP029037_Zn_ribbon', 50676),
(106951, 'PIRSF036535', NULL, NULL, 87, NULL, 'EhaE', 50677),
(106952, 'PIRSF006607', NULL, NULL, 254, NULL, 'RNAmts_UCP006607', 50678),
(106953, 'PIRSF000102', NULL, NULL, 330, NULL, 'Lac_mal_DH', 50679),
(106954, 'PIRSF017184', NULL, NULL, 507, NULL, 'Nnr', 50680),
(106955, 'PIRSF009360', NULL, NULL, 520, NULL, 'UCP009360', 50681),
(106956, 'PIRSF000008', NULL, NULL, 188, NULL, 'Cytochrome_c551i', 50682),
(106957, 'PIRSF006591', NULL, NULL, 213, NULL, 'UCP_CBS_MJ1004', 50683),
(106958, 'PIRSF035609', NULL, NULL, 127, NULL, 'UCP035609_HNH_endo', 50684),
(106959, 'PIRSF037677', NULL, NULL, 1246, NULL, 'Msh6', 50685),
(106960, 'PIRSF004491', NULL, NULL, 316, NULL, 'RibF_RibC', 50686),
(106961, 'PIRSF034217', NULL, NULL, 144, NULL, 'UCP_Mll2898', 50687),
(106962, 'PIRSF015852', NULL, NULL, 263, NULL, 'RRNA_mtase_Grm', 50688),
(106963, 'PIRSF032899', NULL, NULL, 897, NULL, 'UCP032899', 50689),
(106964, 'PIRSF038800', NULL, NULL, 425, NULL, 'KYNU', 50690),
(106965, 'PIRSF036525', NULL, NULL, 255, NULL, 'CobF', 50691),
(106966, 'PIRSF029598', NULL, NULL, 140, NULL, 'PsiE', 50692),
(106967, 'PIRSF030823', NULL, NULL, 645, NULL, 'UCP030823_PK_HhH', 50693),
(106968, 'PIRSF003958', NULL, NULL, 447, NULL, 'NS-S_TospoV', 50694),
(106969, 'PIRSF011355', NULL, NULL, 251, NULL, 'VP24', 50695),
(106970, 'PIRSF017250', NULL, NULL, 296, NULL, 'tRNA_endo_SEN34', 50696),
(106971, 'PIRSF020467', NULL, NULL, 260, NULL, 'RE_Tsp45I', 50697),
(106972, 'PIRSF029938', NULL, NULL, 112, NULL, 'UCP029938', 50698),
(106973, 'PIRSF037093', NULL, NULL, 904, NULL, 'Gamma-COP', 50699),
(106974, 'PIRSF036668', NULL, NULL, 275, NULL, 'ATPase_UCP036668', 50700),
(106975, 'PIRSF015868', NULL, NULL, 383, NULL, 'HP0120', 50701),
(106976, 'PIRSF005590', NULL, NULL, 182, NULL, 'RPL10a_RPL10e', 50702),
(106977, 'PIRSF013171', NULL, NULL, 364, NULL, 'Pur_nuclsid_perm', 50703),
(106978, 'PIRSF036960', NULL, NULL, 922, NULL, 'Neuropilin', 50704);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(106979, 'PIRSF000977', NULL, NULL, 483, NULL, 'Exodeoxyribonuclease_I', 50705),
(106980, 'PIRSF020738', NULL, NULL, 336, NULL, 'InvJ', 50706),
(106981, 'PIRSF005586', NULL, NULL, 114, NULL, 'RNApol_RpoM', 50707),
(106982, 'PIRSF006421', NULL, NULL, 257, NULL, 'UCP006421', 50708),
(106983, 'PIRSF022995', NULL, NULL, 568, NULL, 'ROP2', 50709),
(106984, 'PIRSF000711', NULL, NULL, 408, NULL, 'PFK27', 50710),
(106985, 'PIRSF004966', NULL, NULL, 135, NULL, 'Aconts_X_swiv', 50711),
(106986, 'PIRSF029122', NULL, NULL, 331, NULL, 'UCP029122', 50712),
(106987, 'PIRSF032840', NULL, NULL, 107, NULL, 'UCP032840', 50713),
(106988, 'PIRSF015689', NULL, NULL, 296, NULL, 'Actaldh_dh_actylatng', 50714),
(106989, 'PIRSF003271', NULL, NULL, 125, NULL, 'TrbF', 50715),
(106990, 'PIRSF022057', NULL, NULL, 170, NULL, 'UCP022057', 50716),
(106991, 'PIRSF033725', NULL, NULL, 127, NULL, 'UCP033725', 50717),
(106992, 'PIRSF000532', NULL, NULL, 333, NULL, 'ATP_PFK_prok', 50718),
(106993, 'PIRSF036458', NULL, NULL, 356, NULL, 'Butyrate_kin', 50719),
(106994, 'PIRSF033729', NULL, NULL, 209, NULL, 'UCP033729', 50720),
(106995, 'PIRSF000361', NULL, NULL, 371, NULL, 'Frd-NADP+_RD', 50721),
(106996, 'PIRSF001554', NULL, NULL, 382, NULL, 'SucCS_beta', 50722),
(106997, 'PIRSF022613', NULL, NULL, 277, NULL, 'MBA1', 50723),
(106998, 'PIRSF001143', NULL, NULL, 441, NULL, 'Coagul_factor_X', 50724),
(106999, 'PIRSF022280', NULL, NULL, 266, NULL, 'UCP022280', 50725),
(107000, 'PIRSF000732', NULL, NULL, 582, NULL, 'PTS_enzyme_I', 50726),
(107001, 'PIRSF017107', NULL, NULL, 413, NULL, 'MAAL', 50727),
(107002, 'PIRSF017632', NULL, NULL, 380, NULL, 'Ceramidase', 50728),
(107003, 'PIRSF000047', NULL, NULL, 504, NULL, 'Cytochrome_CYPVIIA1', 50729),
(107004, 'PIRSF038959', NULL, NULL, 215, NULL, 'SdpI', 50730),
(107005, 'PIRSF500231', NULL, NULL, 544, NULL, 'Oat_dag', 50731),
(107006, 'PIRSF017479', NULL, NULL, 234, NULL, 'TRAPP_1_Trs31', 50732),
(107007, 'PIRSF037638', NULL, NULL, 97, NULL, 'B144_protein', 50733),
(107008, 'PIRSF016636', NULL, NULL, 485, NULL, 'AlgI_DltB', 50734),
(107009, 'PIRSF036618', NULL, NULL, 598, NULL, 'MobB_MoeA', 50735),
(107010, 'PIRSF006060', NULL, NULL, 498, NULL, 'AA_transporter', 50736),
(107011, 'PIRSF029288', NULL, NULL, 274, NULL, 'SciE_ImpE', 50737),
(107012, 'PIRSF028538', NULL, NULL, 108, NULL, 'UCP028538', 50738),
(107013, 'PIRSF006078', NULL, NULL, 380, NULL, 'GlxK', 50739),
(107014, 'PIRSF001426', NULL, NULL, 207, NULL, 'NHase_alpha', 50740),
(107015, 'PIRSF015695', NULL, NULL, 452, NULL, 'STPK_F10L', 50741),
(107016, 'PIRSF005894', NULL, NULL, 111, NULL, 'Monothiol_GRX', 50742),
(107017, 'PIRSF002520', NULL, NULL, 618, NULL, 'ALB', 50743),
(107018, 'PIRSF006287', NULL, NULL, 122, NULL, 'UCP006287', 50744),
(107019, 'PIRSF000068', NULL, NULL, 144, NULL, 'Zn_Fdx_Sulfol', 50745),
(107020, 'PIRSF002455', NULL, NULL, 107, NULL, 'ATP_synth_F6', 50746),
(107021, 'PIRSF011368', NULL, NULL, 175, NULL, 'LPP20', 50747),
(107022, 'PIRSF000799', NULL, NULL, 537, NULL, 'DNA_pol_epsilon_2', 50748),
(107023, 'PIRSF029254', NULL, NULL, 635, NULL, 'MutS_C_archaeal', 50749),
(107024, 'PIRSF018747', NULL, NULL, 197, NULL, 'UCP018747', 50750),
(107025, 'PIRSF038455', NULL, NULL, 274, NULL, 'SoxA', 50751),
(107026, 'PIRSF005215', NULL, NULL, 289, NULL, 'TehB', 50752),
(107027, 'PIRSF036599', NULL, NULL, 505, NULL, 'AtpPhos', 50753),
(107028, 'PIRSF037987', NULL, NULL, 1006, NULL, 'UCP037987', 50754),
(107029, 'PIRSF038095', NULL, NULL, 71, NULL, 'NDUA1', 50755),
(107030, 'PIRSF012443', NULL, NULL, 275, NULL, 'UCP012443', 50756),
(107031, 'PIRSF000521', NULL, NULL, 483, NULL, 'Transaminase_4ab_Lys_Orn', 50757),
(107032, 'PIRSF016394', NULL, NULL, 95, NULL, 'Lsm2', 50758),
(107033, 'PIRSF038134', NULL, NULL, 309, NULL, 'Toc33/toc34', 50759),
(107034, 'PIRSF020513', NULL, NULL, 329, NULL, '6alphaFUT_NodZ', 50760),
(107035, 'PIRSF002291', NULL, NULL, 744, NULL, 'Beta_adaptin', 50761),
(107036, 'PIRSF004485', NULL, NULL, 147, NULL, 'T7_18-5', 50762),
(107037, 'PIRSF037656', NULL, NULL, 95, NULL, 'UCP037656_ESAT_EsxN', 50763);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(107038, 'PIRSF037895', NULL, NULL, 1601, NULL, 'Subtilisin_rel_Sama_2696', 50764),
(107039, 'PIRSF027133', NULL, NULL, 520, NULL, 'Rrn11', 50765),
(107040, 'PIRSF016533', NULL, NULL, 150, NULL, 'Sp17', 50766),
(107041, 'PIRSF026567', NULL, NULL, 333, NULL, 'Adenine_mtase_bact', 50767),
(107042, 'PIRSF005520', NULL, NULL, 136, NULL, 'UCP005520', 50768),
(107043, 'PIRSF000550', NULL, NULL, 674, NULL, 'PKC_alpha', 50769),
(107044, 'PIRSF000383', NULL, NULL, 884, NULL, 'PEAMT', 50770),
(107045, 'PIRSF001956', NULL, NULL, 898, NULL, 'IL3R_beta_c', 50771),
(107046, 'PIRSF019364', NULL, NULL, 135, NULL, 'RapGH', 50772),
(107047, 'PIRSF031653', NULL, NULL, 95, NULL, 'UCP031653', 50773),
(107048, 'PIRSF020945', NULL, NULL, 406, NULL, 'GGP', 50774),
(107049, 'PIRSF036298', NULL, NULL, 305, NULL, 'FDH_4Fe4S', 50775),
(107050, 'PIRSF004884', NULL, NULL, 330, NULL, 'Sugar_kin_arch', 50776),
(107051, 'PIRSF019072', NULL, NULL, 102, NULL, 'UCP019072', 50777),
(107052, 'PIRSF035905', NULL, NULL, 918, NULL, 'UCP035905_mp', 50778),
(107053, 'PIRSF038861', NULL, NULL, 1155, NULL, 'UCP038861', 50779),
(107054, 'PIRSF001222', NULL, NULL, 838, NULL, 'Urease', 50780),
(107055, 'PIRSF000446', NULL, NULL, 311, NULL, 'Mct', 50781),
(107056, 'PIRSF000995', NULL, NULL, 261, NULL, 'RE_EcoRV', 50782),
(107057, 'PIRSF004960', NULL, NULL, 316, NULL, 'MtrH_MtxH', 50783),
(107058, 'PIRSF005632', NULL, NULL, 361, NULL, 'Met_synth_catalytic', 50784),
(107059, 'PIRSF015665', NULL, NULL, 388, NULL, 'CHOPT', 50785),
(107060, 'PIRSF037850', NULL, NULL, 1492, NULL, 'Subtilase_Euglen', 50786),
(107061, 'PIRSF031773', NULL, NULL, 392, NULL, 'ABC_31773', 50787),
(107062, 'PIRSF000476', NULL, NULL, 470, NULL, 'EGT', 50788),
(107063, 'PIRSF005651', NULL, NULL, 307, NULL, 'HflC', 50789),
(107064, 'PIRSF009158', NULL, NULL, 158, NULL, 'UCP009158', 50790),
(107065, 'PIRSF000243', NULL, NULL, 520, NULL, 'NrfA', 50791),
(107066, 'PIRSF011544', NULL, NULL, 134, NULL, 'NuiA', 50792),
(107067, 'PIRSF018472', NULL, NULL, 163, NULL, 'MreD_proteobac', 50793),
(107068, 'PIRSF009445', NULL, NULL, 456, NULL, 'Cyc_PG_syn', 50794),
(107069, 'PIRSF013286', NULL, NULL, 256, NULL, 'MED6_fungi', 50795),
(107070, 'PIRSF036881', NULL, NULL, 423, NULL, 'PAT', 50796),
(107071, 'PIRSF003338', NULL, NULL, 317, NULL, 'MAT1', 50797),
(107072, 'PIRSF032162', NULL, NULL, 171, NULL, 'UCP032162_imp', 50798),
(107073, 'PIRSF029764', NULL, NULL, 262, NULL, 'RSM25', 50799),
(107074, 'PIRSF036498', NULL, NULL, 966, NULL, 'Kaurene_synth_fungi', 50800),
(107075, 'PIRSF037109', NULL, NULL, 270, NULL, 'Hox9', 50801),
(107076, 'PIRSF002854', NULL, NULL, 278, NULL, 'MetQ', 50802),
(107077, 'PIRSF007312', NULL, NULL, 149, NULL, 'Inner_mem_YidI', 50803),
(107078, 'PIRSF000009', NULL, NULL, 206, NULL, 'Cytochrome_c551', 50804),
(107079, 'PIRSF036951', NULL, NULL, 430, NULL, 'Mas1', 50805),
(107080, 'PIRSF001225', NULL, NULL, 230, NULL, 'Urease_gammabeta', 50806),
(107081, 'PIRSF016725', NULL, NULL, 130, NULL, 'UCP016725', 50807),
(107082, 'PIRSF003377', NULL, NULL, 351, NULL, 'VP2_VP3_PPV', 50808),
(107083, 'PIRSF004499', NULL, NULL, 115, NULL, 'Transl_init_SUI1_Euk', 50809),
(107084, 'PIRSF031601', NULL, NULL, 683, NULL, 'UCP031601', 50810),
(107085, 'PIRSF000124', NULL, NULL, 438, NULL, 'UDPglc_GDPman_dh', 50811),
(107086, 'PIRSF023869', NULL, NULL, 246, NULL, 'MED6_meta/plant', 50812),
(107087, 'PIRSF003945', NULL, NULL, 1139, NULL, 'M_poly_HantaV', 50813),
(107088, 'PIRSF016557', NULL, NULL, 256, NULL, 'CpsB', 50814),
(107089, 'PIRSF035652', NULL, NULL, 120, NULL, 'UCP035652', 50815),
(107090, 'PIRSF017998', NULL, NULL, 198, NULL, 'UCP017998', 50816),
(107091, 'PIRSF017434', NULL, NULL, 488, NULL, 'NT5C2', 50817),
(107092, 'PIRSF001555', NULL, NULL, 329, NULL, 'Asp_ammon_ligase', 50818),
(107093, 'PIRSF020728', NULL, NULL, 166, NULL, 'Fimbrin_SefA', 50819),
(107094, 'PIRSF000647', NULL, NULL, 530, NULL, 'STPK_SpkB', 50820),
(107095, 'PIRSF004976', NULL, NULL, 314, NULL, 'ATPase_YdaO', 50821),
(107096, 'PIRSF030802', NULL, NULL, 257, NULL, 'UCP030802', 50822),
(107097, 'PIRSF004959', NULL, NULL, 165, NULL, 'UCP004959', 50823);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(107098, 'PIRSF039123', NULL, NULL, 240, NULL, 'Diphthamide_synthase', 50824),
(107099, 'PIRSF036484', NULL, NULL, 403, NULL, 'PPi-PFK_SMc01852', 50825),
(107100, 'PIRSF002869', NULL, NULL, 516, NULL, 'MviN', 50826),
(107101, 'PIRSF016439', NULL, NULL, 184, NULL, 'UP2', 50827),
(107102, 'PIRSF004869', NULL, NULL, 315, NULL, 'PflX', 50828),
(107103, 'PIRSF033096', NULL, NULL, 485, NULL, 'PPPtase_5', 50829),
(107104, 'PIRSF007138', NULL, NULL, 261, NULL, 'FIG1', 50830),
(107105, 'PIRSF036456', NULL, NULL, 624, NULL, 'ASAL_AGS', 50831),
(107106, 'PIRSF037490', NULL, NULL, 360, NULL, 'UCP037490_NIF3', 50832),
(107107, 'PIRSF037907', NULL, NULL, 654, NULL, 'Subtilisin_rel_TK1689', 50833),
(107108, 'PIRSF011794', NULL, NULL, 533, NULL, 'Rhamnogalacturonase_B', 50834),
(107109, 'PIRSF018660', NULL, NULL, 184, NULL, 'Archl_flaC', 50835),
(107110, 'PIRSF029594', NULL, NULL, 337, NULL, 'UCP029594', 50836),
(107111, 'PIRSF015697', NULL, NULL, 202, NULL, 'UCP015697', 50837),
(107112, 'PIRSF006031', NULL, NULL, 144, NULL, 'UCP006031', 50838),
(107113, 'PIRSF000858', NULL, NULL, 523, NULL, 'SCOT-t', 50839),
(107114, 'PIRSF016907', NULL, NULL, 368, NULL, 'Kin_ATP-NAD', 50840),
(107115, 'PIRSF037322', NULL, NULL, 212, NULL, 'CDKN3', 50841),
(107116, 'PIRSF016988', NULL, NULL, 410, NULL, 'UCP016988', 50842),
(107117, 'PIRSF000389', NULL, NULL, 526, NULL, 'DHFR-TS', 50843),
(107118, 'PIRSF016183', NULL, NULL, 178, NULL, 'UCP016183', 50844),
(107119, 'PIRSF028754', NULL, NULL, 301, NULL, 'UCP028754', 50845),
(107120, 'PIRSF033579', NULL, NULL, 271, NULL, 'Anaer_Co_chel_CbiK', 50846),
(107121, 'PIRSF011860', NULL, NULL, 177, NULL, 'NRIF3', 50847),
(107122, 'PIRSF016817', NULL, NULL, 393, NULL, 'UCP016817_carboligase', 50848),
(107123, 'PIRSF005518', NULL, NULL, 108, NULL, 'MtrB', 50849),
(107124, 'PIRSF003093', NULL, NULL, 168, NULL, 'SulA', 50850),
(107125, 'PIRSF038135', NULL, NULL, 496, NULL, 'WD_rpt_23', 50851),
(107126, 'PIRSF000350', NULL, NULL, 550, NULL, 'Hg-II_reductase_MerA', 50852),
(107127, 'PIRSF006648', NULL, NULL, 273, NULL, 'DrrB', 50853),
(107128, 'PIRSF037875', NULL, NULL, 479, NULL, 'EpiP_NisP_MutP', 50854),
(107129, 'PIRSF025218', NULL, NULL, 556, NULL, 'UCP025218', 50855),
(107130, 'PIRSF011312', NULL, NULL, 281, NULL, 'HUS1', 50856),
(107131, 'PIRSF036688', NULL, NULL, 614, NULL, 'CmuA', 50857),
(107132, 'PIRSF016702', NULL, NULL, 143, NULL, 'DNA_bp_PD1', 50858),
(107133, 'PIRSF003913', NULL, NULL, 191, NULL, 'M2_paramyxovir', 50859),
(107134, 'PIRSF036802', NULL, NULL, 412, NULL, 'Tau55_TFC7', 50860),
(107135, 'PIRSF000676', NULL, NULL, 316, NULL, 'Homoser_kin', 50861),
(107136, 'PIRSF000728', NULL, NULL, 278, NULL, 'NAGK', 50862),
(107137, 'PIRSF004916', NULL, NULL, 108, NULL, 'UCP004916', 50863),
(107138, 'PIRSF037511', NULL, NULL, 118, NULL, 'Transl_init_SUI1_prok', 50864),
(107139, 'PIRSF000525', NULL, NULL, 369, NULL, 'SerC', 50865),
(107140, 'PIRSF003775', NULL, NULL, 240, NULL, 'E3_ub_ligase_p28', 50866),
(107141, 'PIRSF003407', NULL, NULL, 102, NULL, 'Trans_E7_PLV', 50867),
(107142, 'PIRSF038980', NULL, NULL, 1639, NULL, 'A2M_bac', 50868),
(107143, 'PIRSF000970', NULL, NULL, 420, NULL, '2_3-cyc_nuc_Pdiesterase', 50869),
(107144, 'PIRSF026649', NULL, NULL, 307, NULL, 'MsbB', 50870),
(107145, 'PIRSF028160', NULL, NULL, 235, NULL, 'UCP028160', 50871),
(107146, 'PIRSF018148', NULL, NULL, 528, NULL, 'UCP_CBS_YBR214w', 50872),
(107147, 'PIRSF002551', NULL, NULL, 440, NULL, 'Hemopexin', 50873),
(107148, 'PIRSF030811', NULL, NULL, 338, NULL, 'UCP030811', 50874),
(107149, 'PIRSF004362', NULL, NULL, 147, NULL, 'Endo_II_phage_DenA', 50875),
(107150, 'PIRSF026492', NULL, NULL, 558, NULL, 'Dig_cycl_CHASE', 50876),
(107151, 'PIRSF014972', NULL, NULL, 137, NULL, 'FlK', 50877),
(107152, 'PIRSF031796', NULL, NULL, 163, NULL, 'UCP031796', 50878),
(107153, 'PIRSF009103', NULL, NULL, 155, NULL, 'Ivy', 50879),
(107154, 'PIRSF009310', NULL, NULL, 205, NULL, 'Mtase_NodS', 50880),
(107155, 'PIRSF020623', NULL, NULL, 306, NULL, 'PaaX', 50881),
(107156, 'PIRSF019635', NULL, NULL, 188, NULL, 'Cytochrome_b245_alpha', 50882);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(107157, 'PIRSF036569', NULL, NULL, 3843, NULL, 'Hml', 50883),
(107158, 'PIRSF002431', NULL, NULL, 523, NULL, 'Saposin', 50884),
(107159, 'PIRSF005229', NULL, NULL, 351, NULL, 'AO', 50885),
(107160, 'PIRSF007828', NULL, NULL, 703, NULL, 'Dipeptidyl-peptidase_III', 50886),
(107161, 'PIRSF036874', NULL, NULL, 682, NULL, 'GPC_FiloV', 50887),
(107162, 'PIRSF006598', NULL, NULL, 371, NULL, 'UCP006598', 50888),
(107163, 'PIRSF016275', NULL, NULL, 1109, NULL, 'DNA_pol_II_DP2', 50889),
(107164, 'PIRSF004572', NULL, NULL, 170, NULL, 'SecM', 50890),
(107165, 'PIRSF037631', NULL, NULL, 136, NULL, 'Snapin', 50891),
(107166, 'PIRSF500175', NULL, NULL, 419, NULL, 'Glu_ADT_D', 50892),
(107167, 'PIRSF008502', NULL, NULL, 180, NULL, 'UCP008502', 50893),
(107168, 'PIRSF004131', NULL, NULL, 670, NULL, 'RNA_pol_P2', 50894),
(107169, 'PIRSF011769', NULL, NULL, 401, NULL, 'RAD17', 50895),
(107170, 'PIRSF021964', NULL, NULL, 157, NULL, 'UCP921964', 50896),
(107171, 'PIRSF002892', NULL, NULL, 345, NULL, 'Flagellin_A', 50897),
(107172, 'PIRSF037497', NULL, NULL, 170, NULL, 'MreD_Clostridium/Treponema', 50898),
(107173, 'PIRSF003113', NULL, NULL, 125, NULL, 'BolA', 50899),
(107174, 'PIRSF003028', NULL, NULL, 408, NULL, 'Txn_fact_GATA_4/5/6', 50900),
(107175, 'PIRSF018788', NULL, NULL, 460, NULL, 'EutB', 50901),
(107176, 'PIRSF000232', NULL, NULL, 192, NULL, 'YdjA', 50902),
(107177, 'PIRSF001620', NULL, NULL, 275, NULL, 'TFPI', 50903),
(107178, 'PIRSF005243', NULL, NULL, 404, NULL, 'ROO', 50904),
(107179, 'PIRSF002417', NULL, NULL, 478, NULL, 'Lipid_binding_protein', 50905),
(107180, 'PIRSF018933', NULL, NULL, 202, NULL, 'UCP018933', 50906),
(107181, 'PIRSF500947', NULL, NULL, 986, NULL, 'CSF-1_receptor', 50907),
(107182, 'PIRSF018267', NULL, NULL, 147, NULL, 'VSR_endonuc', 50908),
(107183, 'PIRSF007050', NULL, NULL, 139, NULL, 'UCP007050', 50909),
(107184, 'PIRSF000039', NULL, NULL, 92, NULL, 'Phenol_monooxy_K', 50910),
(107185, 'PIRSF014753', NULL, NULL, 612, NULL, 'UCP014753', 50911),
(107186, 'PIRSF003097', NULL, NULL, 301, NULL, 'FtsX', 50912),
(107187, 'PIRSF016522', NULL, NULL, 247, NULL, 'MOG', 50913),
(107188, 'PIRSF037099', NULL, NULL, 895, NULL, 'Stonin', 50914),
(107189, 'PIRSF005902', NULL, NULL, 337, NULL, 'DNase_TatD', 50915),
(107190, 'PIRSF037894', NULL, NULL, 572, NULL, 'Subtilisin_rel_CspABC', 50916),
(107191, 'PIRSF007939', NULL, NULL, 900, NULL, 'RRN6', 50917),
(107192, 'PIRSF034077', NULL, NULL, 128, NULL, 'UCP034077', 50918),
(107193, 'PIRSF029766', NULL, NULL, 444, NULL, 'UCP029766', 50919),
(107194, 'PIRSF030210', NULL, NULL, 365, NULL, 'UCP030210', 50920),
(107195, 'PIRSF500138', NULL, NULL, 395, NULL, 'GPI8', 50921),
(107196, 'PIRSF001741', NULL, NULL, 831, NULL, 'MAGUK_DLGH', 50922),
(107197, 'PIRSF000707', NULL, NULL, 320, NULL, 'Hygromycin-B_kin', 50923),
(107198, 'PIRSF007580', NULL, NULL, 295, NULL, 'UCP07580', 50924),
(107199, 'PIRSF016478', NULL, NULL, 297, NULL, 'Epsilon-COP', 50925),
(107200, 'PIRSF027982', NULL, NULL, 485, NULL, 'EryCV', 50926),
(107201, 'PIRSF018688', NULL, NULL, 302, NULL, 'UCP018688', 50927),
(107202, 'PIRSF038144', NULL, NULL, 510, NULL, 'Ladinin-1', 50928),
(107203, 'PIRSF010521', NULL, NULL, 203, NULL, 'Secr_Zn_protease', 50929),
(107204, 'PIRSF018644', NULL, NULL, 462, NULL, 'FAU-1', 50930),
(107205, 'PIRSF030013', NULL, NULL, 241, NULL, 'ThuA_PalA', 50931),
(107206, 'PIRSF019466', NULL, NULL, 371, NULL, 'EutH', 50932),
(107207, 'PIRSF026991', NULL, NULL, 208, NULL, 'MND1', 50933),
(107208, 'PIRSF003688', NULL, NULL, 101, NULL, 'VAC_PP', 50934),
(107209, 'PIRSF037824', NULL, NULL, 131, NULL, 'Orexin', 50935),
(107210, 'PIRSF036572', NULL, NULL, 140, NULL, 'RPP20', 50936),
(107211, 'PIRSF037236', NULL, NULL, 421, NULL, 'TaqI', 50937),
(107212, 'PIRSF000887', NULL, NULL, 239, NULL, 'Pesterase_MJ0037', 50938),
(107213, 'PIRSF037350', NULL, NULL, 480, NULL, 'Mtase_ZK1128', 50939),
(107214, 'PIRSF016094', NULL, NULL, 202, NULL, 'VirC2', 50940),
(107215, 'PIRSF004952', NULL, NULL, 121, NULL, 'RNase_P_2', 50941),
(107216, 'PIRSF001948', NULL, NULL, 555, NULL, 'MCSF', 50942);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(107217, 'PIRSF036392', NULL, NULL, 606, NULL, 'RR_ARR_type-B', 50943),
(107218, 'PIRSF018259', NULL, NULL, 283, NULL, 'CAML', 50944),
(107219, 'PIRSF022062', NULL, NULL, 174, NULL, 'UCP022062', 50945),
(107220, 'PIRSF037750', NULL, NULL, 233, NULL, 'TIR_Tirap', 50946),
(107221, 'PIRSF038023', NULL, NULL, 487, NULL, 'ANTXR2', 50947),
(107222, 'PIRSF021505', NULL, NULL, 411, NULL, 'O_gly_hdrol', 50948),
(107223, 'PIRSF000566', NULL, NULL, 381, NULL, 'STPK_Sbk1', 50949),
(107224, 'PIRSF017349', NULL, NULL, 137, NULL, 'UCP017349', 50950),
(107225, 'PIRSF019381', NULL, NULL, 476, NULL, 'YcjX', 50951),
(107226, 'PIRSF038018', NULL, NULL, 195, NULL, 'BIO', 50952),
(107227, 'PIRSF001092', NULL, NULL, 475, NULL, 'Alpha-L-fucosidase', 50953),
(107228, 'PIRSF006529', NULL, NULL, 216, NULL, 'UCP006529_dinclt', 50954),
(107229, 'PIRSF026584', NULL, NULL, 290, NULL, 'Delta_tox', 50955),
(107230, 'PIRSF019876', NULL, NULL, 205, NULL, 'HasA', 50956),
(107231, 'PIRSF018454', NULL, NULL, 170, NULL, 'TRL10', 50957),
(107232, 'PIRSF025926', NULL, NULL, 198, NULL, 'UCP025926', 50958),
(107233, 'PIRSF004764', NULL, NULL, 85, NULL, 'YmfJ', 50959),
(107234, 'PIRSF000013', NULL, NULL, 204, NULL, '4_hem_cytochrm_NapC', 50960),
(107235, 'PIRSF037464', NULL, NULL, 687, NULL, 'UCP037464_APP1', 50961),
(107236, 'PIRSF006581', NULL, NULL, 85, NULL, 'EhaD', 50962),
(107237, 'PIRSF015892', NULL, NULL, 427, NULL, 'N-myristl_transf', 50963),
(107238, 'PIRSF037989', NULL, NULL, 566, NULL, 'UCP037989', 50964),
(107239, 'PIRSF030219', NULL, NULL, 297, NULL, 'Heme_oxygenase_decyc_plant', 50965),
(107240, 'PIRSF036950', NULL, NULL, 371, NULL, 'UCP036950', 50966),
(107241, 'PIRSF035009', NULL, NULL, 359, NULL, 'UCP035009_HSDR_N', 50967),
(107242, 'PIRSF002889', NULL, NULL, 136, NULL, 'Rod_FlgB', 50968),
(107243, 'PIRSF002211', NULL, NULL, 61, NULL, 'RPL30p', 50969),
(107244, 'PIRSF007892', NULL, NULL, 546, NULL, 'NAGS_fungal', 50970),
(107245, 'PIRSF000485', NULL, NULL, 472, NULL, 'Pur1', 50971),
(107246, 'PIRSF029505', NULL, NULL, 176, NULL, 'UCP029505', 50972),
(107247, 'PIRSF038072', NULL, NULL, 414, NULL, 'Na(+)/PI_cotransporter', 50973),
(107248, 'PIRSF032620', NULL, NULL, 284, NULL, 'UCP032620', 50974),
(107249, 'PIRSF037354', NULL, NULL, 532, NULL, 'RtcR', 50975),
(107250, 'PIRSF037961', NULL, NULL, 217, NULL, 'FGF-19_FGF-21', 50976),
(107251, 'PIRSF500133', NULL, NULL, 477, NULL, 'UDPglc_DH_euk', 50977),
(107252, 'PIRSF036511', NULL, NULL, 1100, NULL, 'ATP_citrt_syn', 50978),
(107253, 'PIRSF016666', NULL, NULL, 488, NULL, 'UCP016666', 50979),
(107254, 'PIRSF035865', NULL, NULL, 384, NULL, 'UCP035865', 50980),
(107255, 'PIRSF021898', NULL, NULL, 291, NULL, 'UCP021898', 50981),
(107256, 'PIRSF000824', NULL, NULL, 2256, NULL, 'L_OrthobunV', 50982),
(107257, 'PIRSF018249', NULL, NULL, 282, NULL, 'MyrA', 50983),
(107258, 'PIRSF001100', NULL, NULL, 427, NULL, 'Cellulase', 50984),
(107259, 'PIRSF029056', NULL, NULL, 593, NULL, 'UCP029056', 50985),
(107260, 'PIRSF004270', NULL, NULL, 108, NULL, 'UCP004270', 50986),
(107261, 'PIRSF001399', NULL, NULL, 147, NULL, 'DHQase_2', 50987),
(107262, 'PIRSF019205', NULL, NULL, 354, NULL, 'UCP019205_transporter', 50988),
(107263, 'PIRSF036538', NULL, NULL, 84, NULL, 'EhaK', 50989),
(107264, 'PIRSF001149', NULL, NULL, 617, NULL, 'Thrombin', 50990),
(107265, 'PIRSF012622', NULL, NULL, 179, NULL, 'UCP012622', 50991),
(107266, 'PIRSF005216', NULL, NULL, 162, NULL, 'PvlArgDC', 50992),
(107267, 'PIRSF036522', NULL, NULL, 103, NULL, 'UCP036522_pph', 50993),
(107268, 'PIRSF005943', NULL, NULL, 481, NULL, 'NMPRT', 50994),
(107269, 'PIRSF015855', NULL, NULL, 654, NULL, 'TypeIII_Mtase_mKpnI', 50995),
(107270, 'PIRSF006549', NULL, NULL, 453, NULL, 'PDH_arog_dh_reg', 50996),
(107271, 'PIRSF000535', NULL, NULL, 313, NULL, '1PFK/6PFK/LacC', 50997),
(107272, 'PIRSF038038', NULL, NULL, 253, NULL, 'Gemin-2', 50998),
(107273, 'PIRSF012608', NULL, NULL, 353, NULL, 'UCP012608', 50999),
(107274, 'PIRSF031684', NULL, NULL, 362, NULL, 'Txn_reg_031684', 51000),
(107275, 'PIRSF007212', NULL, NULL, 712, NULL, 'Capsid_P70', 51001);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(107276, 'PIRSF020275', NULL, NULL, 246, NULL, 'RadSAM_TM0948', 51002),
(107277, 'PIRSF038971', NULL, NULL, 379, NULL, 'PhnM', 51003),
(107278, 'PIRSF008835', NULL, NULL, 154, NULL, 'TPR_repeat_11_Fis1', 51004),
(107279, 'PIRSF036939', NULL, NULL, 782, NULL, 'PanK_long', 51005),
(107280, 'PIRSF031644', NULL, NULL, 213, NULL, 'UCP031644', 51006),
(107281, 'PIRSF028977', NULL, NULL, 746, NULL, 'Noc3', 51007),
(107282, 'PIRSF037756', NULL, NULL, 292, NULL, 'MyD88', 51008),
(107283, 'PIRSF500125', NULL, NULL, 519, NULL, '4_HPA_large', 51009),
(107284, 'PIRSF026546', NULL, NULL, 209, NULL, 'UCP_CBS_YqzB', 51010),
(107285, 'PIRSF000554', NULL, NULL, 593, NULL, 'PKC_zeta', 51011),
(107286, 'PIRSF005514', NULL, NULL, 171, NULL, 'Mitoh_ATP-synt_D', 51012),
(107287, 'PIRSF017875', NULL, NULL, 337, NULL, 'Photosystem_II_Ycf48-like', 51013),
(107288, 'PIRSF010260', NULL, NULL, 189, NULL, 'UCP010260', 51014),
(107289, 'PIRSF030791', NULL, NULL, 170, NULL, 'UCP030791', 51015),
(107290, 'PIRSF033490', NULL, NULL, 115, NULL, 'MazF', 51016),
(107291, 'PIRSF016020', NULL, NULL, 313, NULL, 'PHexose_mutarotase', 51017),
(107292, 'PIRSF004923', NULL, NULL, 156, NULL, 'RseC', 51018),
(107293, 'PIRSF006615', NULL, NULL, 503, NULL, 'Zn_crbxpep_Taq', 51019),
(107294, 'PIRSF501178', NULL, NULL, 377, NULL, 'FNR-PetH', 51020),
(107295, 'PIRSF001273', NULL, NULL, 253, NULL, 'CDH', 51021),
(107296, 'PIRSF002746', NULL, NULL, 458, NULL, 'Gluconate_transporter', 51022),
(107297, 'PIRSF007010', NULL, NULL, 134, NULL, 'UCP007010', 51023),
(107298, 'PIRSF009597', NULL, NULL, 117, NULL, 'UCP009597', 51024),
(107299, 'PIRSF037827', NULL, NULL, 194, NULL, 'Bcl-2-like_11', 51025),
(107300, 'PIRSF038126', NULL, NULL, 408, NULL, 'SWI_SNF', 51026),
(107301, 'PIRSF000906', NULL, NULL, 649, NULL, 'FBPtase_Bacill', 51027),
(107302, 'PIRSF001415', NULL, NULL, 333, NULL, 'Porphbilin_synth', 51028),
(107303, 'PIRSF032474', NULL, NULL, 166, NULL, 'Rot', 51029),
(107304, 'PIRSF017126', NULL, NULL, 732, NULL, 'Condensin_H', 51030),
(107305, 'PIRSF001388', NULL, NULL, 382, NULL, 'Trichodiene_synth', 51031),
(107306, 'PIRSF037610', NULL, NULL, 176, NULL, 'BLOC-1_mut', 51032),
(107307, 'PIRSF006609', NULL, NULL, 86, NULL, 'snRNP_SmF', 51033),
(107308, 'PIRSF012637', NULL, NULL, 215, NULL, 'UCP012637', 51034),
(107309, 'PIRSF036487', NULL, NULL, 490, NULL, 'Hydroxylase_rubr', 51035),
(107310, 'PIRSF036382', NULL, NULL, 201, NULL, 'RR_antiterminator', 51036),
(107311, 'PIRSF002884', NULL, NULL, 225, NULL, 'CheZ', 51037),
(107312, 'PIRSF029218', NULL, NULL, 98, NULL, 'ParE', 51038),
(107313, 'PIRSF017930', NULL, NULL, 102, NULL, 'TraM', 51039),
(107314, 'PIRSF001883', NULL, NULL, 289, NULL, 'TxP_I', 51040),
(107315, 'PIRSF036397', NULL, NULL, 851, NULL, 'Bacteriophytochrome_rec', 51041),
(107316, 'PIRSF036495', NULL, NULL, 350, NULL, 'IGFBP_rP_CNN', 51042),
(107317, 'PIRSF027110', NULL, NULL, 221, NULL, 'PREG', 51043),
(107318, 'PIRSF029543', NULL, NULL, 133, NULL, 'UCP029543', 51044),
(107319, 'PIRSF036852', NULL, NULL, 277, NULL, 'RNase_H1_euk', 51045),
(107320, 'PIRSF010256', NULL, NULL, 395, NULL, 'CoxE_vWa', 51046),
(107321, 'PIRSF027717', NULL, NULL, 289, NULL, 'H4K20_HMTase', 51047),
(107322, 'PIRSF020481', NULL, NULL, 295, NULL, 'BAP', 51048),
(107323, 'PIRSF037031', NULL, NULL, 78, NULL, 'Redox_disulf_2', 51049),
(107324, 'PIRSF036883', NULL, NULL, 380, NULL, 'RR_HD-GYP_mod', 51050),
(107325, 'PIRSF001356', NULL, NULL, 267, NULL, 'SAM_decarboxylas', 51051),
(107326, 'PIRSF002264', NULL, NULL, 119, NULL, 'Lamprin', 51052),
(107327, 'PIRSF027109', NULL, NULL, 224, NULL, 'Golgi_SNARE', 51053),
(107328, 'PIRSF036314', NULL, NULL, 1623, NULL, 'LDLR-rel_5_6', 51054),
(107329, 'PIRSF001667', NULL, NULL, 71, NULL, 'PKI', 51055),
(107330, 'PIRSF037881', NULL, NULL, 411, NULL, 'Leupaxin', 51056),
(107331, 'PIRSF006443', NULL, NULL, 170, NULL, 'MoaB', 51057),
(107332, 'PIRSF001653', NULL, NULL, 211, NULL, 'API-B', 51058),
(107333, 'PIRSF005788', NULL, NULL, 158, NULL, 'NifK', 51059),
(107334, 'PIRSF037671', NULL, NULL, 453, NULL, 'Chloroquine_res_transporter', 51060);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(107335, 'PIRSF009467', NULL, NULL, 224, NULL, 'Urease_acces_UreF', 51061),
(107336, 'PIRSF009285', NULL, NULL, 236, NULL, 'GAMT', 51062),
(107337, 'PIRSF012508', NULL, NULL, 102, NULL, 'YerC', 51063),
(107338, 'PIRSF028846', NULL, NULL, 432, NULL, 'UCP028846', 51064),
(107339, 'PIRSF001257', NULL, NULL, 864, NULL, 'HIS4', 51065),
(107340, 'PIRSF000502', NULL, NULL, 298, NULL, 'Spermidine_synth', 51066),
(107341, 'PIRSF011572', NULL, NULL, 258, NULL, 'CodY', 51067),
(107342, 'PIRSF000196', NULL, NULL, 306, NULL, 'Pro_dehydrog', 51068),
(107343, 'PIRSF009400', NULL, NULL, 411, NULL, 'Hedgehog', 51069),
(107344, 'PIRSF010751', NULL, NULL, 606, NULL, 'HOP1_fungal', 51070),
(107345, 'PIRSF037865', NULL, NULL, 320, NULL, 'DFF_alpha', 51071),
(107346, 'PIRSF038054', NULL, NULL, 403, NULL, 'Nas7_nas8', 51072),
(107347, 'PIRSF005054', NULL, NULL, 255, NULL, 'PF1131', 51073),
(107348, 'PIRSF006517', NULL, NULL, 1017, NULL, 'DNA_pol_mt_plasmid', 51074),
(107349, 'PIRSF038142', NULL, NULL, 262, NULL, 'Rhodopsin_bac', 51075),
(107350, 'PIRSF000530', NULL, NULL, 415, NULL, 'Galactokinase', 51076),
(107351, 'PIRSF003203', NULL, NULL, 109, NULL, 'AzlD', 51077),
(107352, 'PIRSF015761', NULL, NULL, 388, NULL, 'Protein_L', 51078),
(107353, 'PIRSF500216', NULL, NULL, 391, NULL, 'DltB', 51079),
(107354, 'PIRSF004985', NULL, NULL, 139, NULL, 'Hlld_jn_rslvs_ar', 51080),
(107355, 'PIRSF015793', NULL, NULL, 648, NULL, 'VAC_EEV', 51081),
(107356, 'PIRSF019714', NULL, NULL, 260, NULL, 'NLBH', 51082),
(107357, 'PIRSF002495', NULL, NULL, 2813, NULL, 'VWF', 51083),
(107358, 'PIRSF029730', NULL, NULL, 260, NULL, 'UCP029730', 51084),
(107359, 'PIRSF001455', NULL, NULL, 365, NULL, '3dhq_synth', 51085),
(107360, 'PIRSF006523', NULL, NULL, 73, NULL, 'MtrF', 51086),
(107361, 'PIRSF025023', NULL, NULL, 115, NULL, 'Spt4', 51087),
(107362, 'PIRSF037955', NULL, NULL, 341, NULL, 'Snurportin-1', 51088),
(107363, 'PIRSF010631', NULL, NULL, 926, NULL, 'A-rhamnsds', 51089),
(107364, 'PIRSF033271', NULL, NULL, 402, NULL, 'UCP033271', 51090),
(107365, 'PIRSF019169', NULL, NULL, 357, NULL, 'Tfp_PilM', 51091),
(107366, 'PIRSF000242', NULL, NULL, 570, NULL, 'HAO', 51092),
(107367, 'PIRSF037435', NULL, NULL, 595, NULL, 'Hybr_HK_BC3207', 51093),
(107368, 'PIRSF031279', NULL, NULL, 172, NULL, 'UCP031279', 51094),
(107369, 'PIRSF006910', NULL, NULL, 150, NULL, 'NA_bind_Rv2694c', 51095),
(107370, 'PIRSF036899', NULL, NULL, 204, NULL, 'AGP', 51096),
(107371, 'PIRSF004094', NULL, NULL, 198, NULL, 'Coat_SV', 51097),
(107372, 'PIRSF036177', NULL, NULL, 200, NULL, 'HsdS', 51098),
(107373, 'PIRSF003299', NULL, NULL, 224, NULL, 'VirB8_PtlE', 51099),
(107374, 'PIRSF039110', NULL, NULL, 458, NULL, 'IPP_transferase', 51100),
(107375, 'PIRSF026449', NULL, NULL, 462, NULL, 'UCP026449', 51101),
(107376, 'PIRSF026434', NULL, NULL, 567, NULL, 'RR_ycf55', 51102),
(107377, 'PIRSF000180', NULL, NULL, 129, NULL, 'FrdC', 51103),
(107378, 'PIRSF009451', NULL, NULL, 514, NULL, 'Citrt_lyas_alpha', 51104),
(107379, 'PIRSF036548', NULL, NULL, 96, NULL, 'Fdx_FixX', 51105),
(107380, 'PIRSF036354', NULL, NULL, 733, NULL, 'NosR', 51106),
(107381, 'PIRSF025550', NULL, NULL, 173, NULL, 'UCP025550_lpd_carrier', 51107),
(107382, 'PIRSF036698', NULL, NULL, 56, NULL, 'UCP036698', 51108),
(107383, 'PIRSF005898', NULL, NULL, 265, NULL, 'CpeC_CpcI', 51109),
(107384, 'PIRSF004155', NULL, NULL, 84, NULL, 'Phage_C', 51110),
(107385, 'PIRSF006173', NULL, NULL, 150, NULL, 'UCP006173', 51111),
(107386, 'PIRSF036444', NULL, NULL, 1361, NULL, 'Pesterase_YvnB', 51112),
(107387, 'PIRSF004030', NULL, NULL, 95, NULL, 'Z_ArenaV', 51113),
(107388, 'PIRSF001386', NULL, NULL, 458, NULL, 'Trpase', 51114),
(107389, 'PIRSF500165', NULL, NULL, 344, NULL, 'HMDI', 51115),
(107390, 'PIRSF010044', NULL, NULL, 265, NULL, 'UCP010044', 51116),
(107391, 'PIRSF036603', NULL, NULL, 709, NULL, 'DNA_pol_eta', 51117),
(107392, 'PIRSF007159', NULL, NULL, 273, NULL, 'Protease_ASVF', 51118),
(107393, 'PIRSF038192', NULL, NULL, 358, NULL, 'Txn_reg_BtrU', 51119),
(107394, 'PIRSF005682', NULL, NULL, 491, NULL, 'Fascin', 51120); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(107395, 'PIRSF016788', NULL, NULL, 295, NULL, 'RR_Fis', 51121),
(107396, 'PIRSF003092', NULL, NULL, 286, NULL, 'MinD', 51122),
(107397, 'PIRSF005588', NULL, NULL, 140, NULL, 'DAD1_Ost2', 51123),
(107398, 'PIRSF016602', NULL, NULL, 139, NULL, 'CurC', 51124),
(107399, 'PIRSF002472', NULL, NULL, 123, NULL, 'Amyloid_prot_SAA', 51125),
(107400, 'PIRSF005799', NULL, NULL, 376, NULL, 'UDP-gal_transpt', 51126),
(107401, 'PIRSF038922', NULL, NULL, 662, NULL, 'SRP72', 51127),
(107402, 'PIRSF018239', NULL, NULL, 287, NULL, 'IGFBP_rP_mac25', 51128),
(107403, 'PIRSF038006', NULL, NULL, 482, NULL, 'MeCP2', 51129),
(107404, 'PIRSF006519', NULL, NULL, 234, NULL, 'GOGAT_dom3', 51130),
(107405, 'PIRSF004160', NULL, NULL, 328, NULL, 'Minor_spike_H', 51131),
(107406, 'PIRSF036836', NULL, NULL, 335, NULL, 'SBP1_RNase_bind', 51132),
(107407, 'PIRSF020680', NULL, NULL, 202, NULL, 'PhnH', 51133),
(107408, 'PIRSF001859', NULL, NULL, 88, NULL, 'Eclosion_hormone', 51134),
(107409, 'PIRSF001495', NULL, NULL, 483, NULL, 'Met_asp_mut_epsi', 51135),
(107410, 'PIRSF037465', NULL, NULL, 75, NULL, 'UCP037465_Zn', 51136),
(107411, 'PIRSF037559', NULL, NULL, 513, NULL, 'Gly_redC_beta', 51137),
(107412, 'PIRSF035042', NULL, NULL, 317, NULL, 'UCP035042_thirdx', 51138),
(107413, 'PIRSF007802', NULL, NULL, 160, NULL, 'ATG10', 51139),
(107414, 'PIRSF037632', NULL, NULL, 276, NULL, 'Rep-8_protein', 51140),
(107415, 'PIRSF500950', NULL, NULL, 1081, NULL, 'Alpha-PDGF_receptor', 51141),
(107416, 'PIRSF001619', NULL, NULL, 339, NULL, 'Biotin_synth', 51142),
(107417, 'PIRSF011018', NULL, NULL, 561, NULL, 'Nicalin', 51143),
(107418, 'PIRSF501105', NULL, NULL, 707, NULL, 'Protein_kin_C_theta', 51144),
(107419, 'PIRSF006503', NULL, NULL, 189, NULL, 'UCP006503', 51145),
(107420, 'PIRSF005785', NULL, NULL, 184, NULL, 'Zn-prot_arch', 51146),
(107421, 'PIRSF028111', NULL, NULL, 232, NULL, 'UCP028111', 51147),
(107422, 'PIRSF028301', NULL, NULL, 176, NULL, 'UCP028301', 51148),
(107423, 'PIRSF037634', NULL, NULL, 284, NULL, 'HS1-bp', 51149),
(107424, 'PIRSF006643', NULL, NULL, 121, NULL, 'NDUA6', 51150),
(107425, 'PIRSF017228', NULL, NULL, 338, NULL, 'Sphnglp_dlt4_des', 51151),
(107426, 'PIRSF011609', NULL, NULL, 308, NULL, 'DRT102', 51152),
(107427, 'PIRSF017371', NULL, NULL, 145, NULL, 'UCP017371', 51153),
(107428, 'PIRSF030150', NULL, NULL, 249, NULL, 'SrtB', 51154),
(107429, 'PIRSF003669', NULL, NULL, 256, NULL, 'Aden_E1A', 51155),
(107430, 'PIRSF036643', NULL, NULL, 938, NULL, 'FDH_alpha', 51156),
(107431, 'PIRSF019217', NULL, NULL, 166, NULL, 'AcxC', 51157),
(107432, 'PIRSF036990', NULL, NULL, 233, NULL, 'UCP_CBS_BON', 51158),
(107433, 'PIRSF007023', NULL, NULL, 343, NULL, 'UDP-Galf_transf', 51159),
(107434, 'PIRSF015982', NULL, NULL, 225, NULL, 'VAC_M2L', 51160),
(107435, 'PIRSF006092', NULL, NULL, 161, NULL, 'GreA_GreB', 51161),
(107436, 'PIRSF006483', NULL, NULL, 293, NULL, 'Membrane_protein_YitT', 51162),
(107437, 'PIRSF006398', NULL, NULL, 91, NULL, 'Sec61_beta', 51163),
(107438, 'PIRSF000722', NULL, NULL, 404, NULL, 'Acetate_prop_kin', 51164),
(107439, 'PIRSF037476', NULL, NULL, 809, NULL, 'BLOC2_Hps6', 51165),
(107440, 'PIRSF002786', NULL, NULL, 317, NULL, 'XcpX', 51166),
(107441, 'PIRSF019313', NULL, NULL, 125, NULL, 'UCP019313', 51167),
(107442, 'PIRSF036752', NULL, NULL, 210, NULL, 'TSase_MJ051', 51168),
(107443, 'PIRSF002304', NULL, NULL, 804, NULL, 'Band_41', 51169),
(107444, 'PIRSF036399', NULL, NULL, 1039, NULL, 'Gal_kin_glcsltr', 51170),
(107445, 'PIRSF037090', NULL, NULL, 950, NULL, 'IGluLR_plant', 51171),
(107446, 'PIRSF018978', NULL, NULL, 370, NULL, 'tRNA_m1G_Mtase_archaea', 51172),
(107447, 'PIRSF005499', NULL, NULL, 727, NULL, 'PNPase', 51173),
(107448, 'PIRSF015945', NULL, NULL, 121, NULL, 'V-ATP_synth_F', 51174),
(107449, 'PIRSF500628', NULL, NULL, 500, NULL, 'PTGIS', 51175),
(107450, 'PIRSF031639', NULL, NULL, 523, NULL, 'Ccs4', 51176),
(107451, 'PIRSF012293', NULL, NULL, 477, NULL, 'EutA', 51177),
(107452, 'PIRSF009226', NULL, NULL, 286, NULL, 'UCP009226_DNArpr', 51178),
(107453, 'PIRSF037369', NULL, NULL, 850, NULL, 'STPK_unc51', 51179); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(107454, 'PIRSF000216', NULL, NULL, 233, NULL, 'NDH-1_E', 51180),
(107455, 'PIRSF005673', NULL, NULL, 526, NULL, 'Importin_alpha', 51181),
(107456, 'PIRSF000779', NULL, NULL, 149, NULL, 'RPB8', 51182),
(107457, 'PIRSF018505', NULL, NULL, 168, NULL, 'Prpndl_dhdrts_sm', 51183),
(107458, 'PIRSF037473', NULL, NULL, 1003, NULL, 'BLOC2_Hps3', 51184),
(107459, 'PIRSF026169', NULL, NULL, 219, NULL, 'UCP026169', 51185),
(107460, 'PIRSF016138', NULL, NULL, 190, NULL, 'UCP016138', 51186),
(107461, 'PIRSF001488', NULL, NULL, 206, NULL, 'Tdi_protein', 51187),
(107462, 'PIRSF036497', NULL, NULL, 341, NULL, 'HDH_short', 51188),
(107463, 'PIRSF500102', NULL, NULL, 574, NULL, 'ER-b', 51189),
(107464, 'PIRSF025007', NULL, NULL, 805, NULL, 'Sec15', 51190),
(107465, 'PIRSF000233', NULL, NULL, 903, NULL, 'Nitr_rd_NADH', 51191),
(107466, 'PIRSF019136', NULL, NULL, 226, NULL, 'EhaG', 51192),
(107467, 'PIRSF002583', NULL, NULL, 717, NULL, 'HSP90_HTPG', 51193),
(107468, 'PIRSF002764', NULL, NULL, 225, NULL, 'CcmB', 51194),
(107469, 'PIRSF005639', NULL, NULL, 203, NULL, 'Glut_amidoT_SNO', 51195),
(107470, 'PIRSF028609', NULL, NULL, 103, NULL, 'UCP028609', 51196),
(107471, 'PIRSF006614', NULL, NULL, 144, NULL, 'Methylglyox_syn', 51197),
(107472, 'PIRSF037237', NULL, NULL, 899, NULL, 'Peptidase_WD_repeats_DUG2', 51198),
(107473, 'PIRSF015592', NULL, NULL, 215, NULL, 'Pyrrolidone-crbxlat_pptds', 51199),
(107474, 'PIRSF002133', NULL, NULL, 126, NULL, 'RPS12p_RPS12a_RPS23e_RPS12o', 51200),
(107475, 'PIRSF500625', NULL, NULL, 510, NULL, 'Cytochrome_CYP7A1', 51201),
(107476, 'PIRSF039114', NULL, NULL, 471, NULL, 'V-ATPsynth_beta/V-ATPase_B', 51202),
(107477, 'PIRSF025798', NULL, NULL, 571, NULL, 'Cables', 51203),
(107478, 'PIRSF017689', NULL, NULL, 486, NULL, 'SepSecS', 51204),
(107479, 'PIRSF038991', NULL, NULL, 359, NULL, 'Protein_AbrB', 51205),
(107480, 'PIRSF037303', NULL, NULL, 791, NULL, 'APC4', 51206),
(107481, 'PIRSF019736', NULL, NULL, 398, NULL, 'dTMP_TKRP1', 51207),
(107482, 'PIRSF037724', NULL, NULL, 243, NULL, 'Txn_reg_HTH_MJ1545', 51208),
(107483, 'PIRSF001604', NULL, NULL, 681, NULL, 'LigA', 51209),
(107484, 'PIRSF031509', NULL, NULL, 239, NULL, 'LiaF_YvqF', 51210),
(107485, 'PIRSF033909', NULL, NULL, 377, NULL, 'UCP033909', 51211),
(107486, 'PIRSF031611', NULL, NULL, 152, NULL, 'ComGF', 51212),
(107487, 'PIRSF037334', NULL, NULL, 408, NULL, 'FucT_plant', 51213),
(107488, 'PIRSF005413', NULL, NULL, 200, NULL, 'COX11', 51214),
(107489, 'PIRSF031802', NULL, NULL, 533, NULL, 'UCP031802', 51215),
(107490, 'PIRSF038214', NULL, NULL, 188, NULL, 'ESCRT1_Vps37_fungi', 51216),
(107491, 'PIRSF001247', NULL, NULL, 664, NULL, 'Prot-Arg_deiminase', 51217),
(107492, 'PIRSF000699', NULL, NULL, 110, NULL, 'PTS_IILac_III', 51218),
(107493, 'PIRSF012159', NULL, NULL, 235, NULL, 'Inh_gp21', 51219),
(107494, 'PIRSF002590', NULL, NULL, 120, NULL, 'HSP9_HSP12', 51220),
(107495, 'PIRSF030850', NULL, NULL, 290, NULL, 'UCP030850', 51221),
(107496, 'PIRSF001218', NULL, NULL, 204, NULL, 'Protease_ADV', 51222),
(107497, 'PIRSF006334', NULL, NULL, 288, NULL, 'Cdd_plus_pseudo', 51223),
(107498, 'PIRSF037158', NULL, NULL, 130, NULL, 'UCP037158', 51224),
(107499, 'PIRSF000636', NULL, NULL, 1128, NULL, 'TyrPK_Jak', 51225),
(107500, 'PIRSF038147', NULL, NULL, 561, NULL, 'STPK_RIO1', 51226),
(107501, 'PIRSF021331', NULL, NULL, 196, NULL, 'YkoF', 51227),
(107502, 'PIRSF016210', NULL, NULL, 268, NULL, 'UCP016210', 51228),
(107503, 'PIRSF500939', NULL, NULL, 440, NULL, 'ERR1-2-3', 51229),
(107504, 'PIRSF001770', NULL, NULL, 515, NULL, 'Cyclin_CLN', 51230),
(107505, 'PIRSF006160', NULL, NULL, 160, NULL, 'AI2', 51231),
(107506, 'PIRSF036292', NULL, NULL, 515, NULL, 'Prenylcysteine_oxidase', 51232),
(107507, 'PIRSF005052', NULL, NULL, 288, NULL, 'P-loop_kin_YhbJ', 51233),
(107508, 'PIRSF006439', NULL, NULL, 618, NULL, 'Indolepyruvate_ferr_oxidored', 51234),
(107509, 'PIRSF032209', NULL, NULL, 163, NULL, 'UCP032209', 51235),
(107510, 'PIRSF000880', NULL, NULL, 408, NULL, 'Eryth_est', 51236),
(107511, 'PIRSF006488', NULL, NULL, 84, NULL, 'ExoVII_small', 51237);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(107512, 'PIRSF037328', NULL, NULL, 361, NULL, 'Inhibin_alpha', 51238),
(107513, 'PIRSF030250', NULL, NULL, 355, NULL, 'Ptase_At2g46880', 51239),
(107514, 'PIRSF036612', NULL, NULL, 342, NULL, 'ABC_ATP_LytTR', 51240),
(107515, 'PIRSF009320', NULL, NULL, 224, NULL, 'Nuc_binding_HP_1000', 51241),
(107516, 'PIRSF000156', NULL, NULL, 893, NULL, 'Pyruvate_dh_E1', 51242),
(107517, 'PIRSF018326', NULL, NULL, 329, NULL, 'VP35_FiloV', 51243),
(107518, 'PIRSF000548', NULL, NULL, 408, NULL, 'PK_regulatory', 51244),
(107519, 'PIRSF006487', NULL, NULL, 791, NULL, 'GCST', 51245),
(107520, 'PIRSF002905', NULL, NULL, 751, NULL, 'PSI_A', 51246),
(107521, 'PIRSF000994', NULL, NULL, 246, NULL, 'RE_XhoI', 51247),
(107522, 'PIRSF003265', NULL, NULL, 97, NULL, 'TraQ', 51248),
(107523, 'PIRSF024534', NULL, NULL, 165, NULL, 'ThiW', 51249),
(107524, 'PIRSF038083', NULL, NULL, 326, NULL, 'UCP038083_GIPC', 51250),
(107525, 'PIRSF006356', NULL, NULL, 419, NULL, 'ADI', 51251),
(107526, 'PIRSF001154', NULL, NULL, 779, NULL, 'Compl_C2_B', 51252),
(107527, 'PIRSF007320', NULL, NULL, 195, NULL, 'Fimbrillin_MatB', 51253),
(107528, 'PIRSF016080', NULL, NULL, 288, NULL, 'RE_MboI', 51254),
(107529, 'PIRSF003027', NULL, NULL, 461, NULL, 'Txn_fact_GATA-1/2/3', 51255),
(107530, 'PIRSF003095', NULL, NULL, 452, NULL, 'Trigger_factor', 51256),
(107531, 'PIRSF030140', NULL, NULL, 164, NULL, 'UCP030140', 51257),
(107532, 'PIRSF037257', NULL, NULL, 87, NULL, 'UCP037257_Veg', 51258),
(107533, 'PIRSF001461', NULL, NULL, 228, NULL, 'RPE', 51259),
(107534, 'PIRSF000109', NULL, NULL, 484, NULL, '6PGD', 51260),
(107535, 'PIRSF036436', NULL, NULL, 394, NULL, 'UCP036436_permease', 51261),
(107536, 'PIRSF000474', NULL, NULL, 528, NULL, 'GM2_GD2_synthase', 51262),
(107537, 'PIRSF013674', NULL, NULL, 219, NULL, 'PXMP4', 51263),
(107538, 'PIRSF037338', NULL, NULL, 605, NULL, 'Spastin', 51264),
(107539, 'PIRSF006431', NULL, NULL, 318, NULL, 'Pro_iminopeptidase', 51265),
(107540, 'PIRSF037893', NULL, NULL, 851, NULL, 'Subtilisin_rel_Maqu_2796', 51266),
(107541, 'PIRSF004874', NULL, NULL, 479, NULL, 'Prcrn_mtase_isom', 51267),
(107542, 'PIRSF038945', NULL, NULL, 360, NULL, 'Thr_synthase', 51268),
(107543, 'PIRSF038016', NULL, NULL, 427, NULL, 'Pin2_TRF1', 51269),
(107544, 'PIRSF016477', NULL, NULL, 129, NULL, 'Prefoldin_4', 51270),
(107545, 'PIRSF036504', NULL, NULL, 212, NULL, 'NDK_H5', 51271),
(107546, 'PIRSF010611', NULL, NULL, 113, NULL, 'UCP010611', 51272),
(107547, 'PIRSF500313', NULL, NULL, 90, NULL, 'Bombyxin_B', 51273),
(107548, 'PIRSF006639', NULL, NULL, 114, NULL, 'UCP006639_pph', 51274),
(107549, 'PIRSF037210', NULL, NULL, 417, NULL, 'TGM_prok', 51275),
(107550, 'PIRSF005610', NULL, NULL, 122, NULL, 'UCP005610', 51276),
(107551, 'PIRSF005264', NULL, NULL, 139, NULL, 'UCP005264', 51277),
(107552, 'PIRSF037235', NULL, NULL, 3149, NULL, 'Vps13_fungi', 51278),
(107553, 'PIRSF001432', NULL, NULL, 562, NULL, 'Pect_lyase', 51279),
(107554, 'PIRSF037299', NULL, NULL, 443, NULL, 'CRH1', 51280),
(107555, 'PIRSF019015', NULL, NULL, 463, NULL, 'P60_peptidase_YkfC', 51281),
(107556, 'PIRSF002395', NULL, NULL, 1718, NULL, 'RIZ_SET', 51282),
(107557, 'PIRSF010045', NULL, NULL, 263, NULL, 'TMP_111', 51283),
(107558, 'PIRSF019663', NULL, NULL, 473, NULL, 'Legumain', 51284),
(107559, 'PIRSF019345', NULL, NULL, 216, NULL, 'SCPB', 51285),
(107560, 'PIRSF000830', NULL, NULL, 2210, NULL, 'L_ParamyxoV', 51286),
(107561, 'PIRSF007798', NULL, NULL, 223, NULL, 'UCP007798', 51287),
(107562, 'PIRSF009324', NULL, NULL, 331, NULL, 'Cdk5_activator', 51288),
(107563, 'PIRSF020485', NULL, NULL, 122, NULL, 'PA-IL', 51289),
(107564, 'PIRSF037921', NULL, NULL, 567, NULL, 'STPK_RIP2', 51290),
(107565, 'PIRSF015604', NULL, NULL, 166, NULL, 'OBP_PBP_Ditrysia', 51291),
(107566, 'PIRSF019423', NULL, NULL, 325, NULL, 'NMN_biosyn', 51292),
(107567, 'PIRSF029347', NULL, NULL, 381, NULL, 'RecF', 51293),
(107568, 'PIRSF004357', NULL, NULL, 301, NULL, 'MCP_bIL170', 51294),
(107569, 'PIRSF000409', NULL, NULL, 361, NULL, 'Ada', 51295),
(107570, 'PIRSF002144', NULL, NULL, 110, NULL, 'RPS19p_RPS19a_RPS15e_RPS19o', 51296);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(107571, 'PIRSF004377', NULL, NULL, 142, NULL, 'Ph_proh_core', 51297),
(107572, 'PIRSF003326', NULL, NULL, 288, NULL, 'PET111', 51298),
(107573, 'PIRSF004669', NULL, NULL, 89, NULL, 'FliQ', 51299),
(107574, 'PIRSF005018', NULL, NULL, 156, NULL, 'UCP005018', 51300),
(107575, 'PIRSF004953', NULL, NULL, 108, NULL, 'EhaL', 51301),
(107576, 'PIRSF038123', NULL, NULL, 257, NULL, 'PTI6', 51302),
(107577, 'PIRSF032748', NULL, NULL, 206, NULL, 'UCP032748', 51303),
(107578, 'PIRSF003269', NULL, NULL, 115, NULL, 'TrbA', 51304),
(107579, 'PIRSF028438', NULL, NULL, 236, NULL, 'UCP028438', 51305),
(107580, 'PIRSF006280', NULL, NULL, 379, NULL, 'YfiF', 51306),
(107581, 'PIRSF028937', NULL, NULL, 729, NULL, 'Lg_Ch_AO', 51307),
(107582, 'PIRSF028944', NULL, NULL, 815, NULL, 'Beta_gluc_GBA2', 51308),
(107583, 'PIRSF008765', NULL, NULL, 140, NULL, 'PIG-P_GPI19', 51309),
(107584, 'PIRSF014735', NULL, NULL, 187, NULL, 'UCP014735', 51310),
(107585, 'PIRSF037532', NULL, NULL, 739, NULL, 'HK_NtrY', 51311),
(107586, 'PIRSF036537', NULL, NULL, 74, NULL, 'EhaI', 51312),
(107587, 'PIRSF038074', NULL, NULL, 351, NULL, 'Peroxin-12', 51313),
(107588, 'PIRSF005715', NULL, NULL, 582, NULL, 'VPS45_Sec1', 51314),
(107589, 'PIRSF001587', NULL, NULL, 742, NULL, 'FGAM_synthase_II', 51315),
(107590, 'PIRSF005211', NULL, NULL, 434, NULL, 'Ab_hydro_YheT', 51316),
(107591, 'PIRSF037487', NULL, NULL, 219, NULL, 'Sulfite_red_assimil', 51317),
(107592, 'PIRSF022079', NULL, NULL, 196, NULL, 'UCP022079', 51318),
(107593, 'PIRSF036915', NULL, NULL, 378, NULL, 'Trnald_Bac_Plnt', 51319),
(107594, 'PIRSF000507', NULL, NULL, 243, NULL, 'IPT', 51320),
(107595, 'PIRSF001355', NULL, NULL, 353, NULL, 'SAM_decarbox_euk', 51321),
(107596, 'PIRSF032184', NULL, NULL, 455, NULL, 'V-ATP_synth_H', 51322),
(107597, 'PIRSF014872', NULL, NULL, 527, NULL, 'UCP014872', 51323),
(107598, 'PIRSF028763', NULL, NULL, 311, NULL, 'RNAP3_C34/C39', 51324),
(107599, 'PIRSF037214', NULL, NULL, 164, NULL, 'UCP037214', 51325),
(107600, 'PIRSF026306', NULL, NULL, 1156, NULL, 'UCP026306', 51326),
(107601, 'PIRSF000850', NULL, NULL, 452, NULL, 'PLD_PSS', 51327),
(107602, 'PIRSF033860', NULL, NULL, 153, NULL, 'UCP033860', 51328),
(107603, 'PIRSF037037', NULL, NULL, 585, NULL, 'Kelch_gigaxonin', 51329),
(107604, 'PIRSF009325', NULL, NULL, 206, NULL, 'PTPRC-associated_protein', 51330),
(107605, 'PIRSF010607', NULL, NULL, 156, NULL, 'Txn_repr_CtsR', 51331),
(107606, 'PIRSF021485', NULL, NULL, 256, NULL, 'UCP021485', 51332),
(107607, 'PIRSF006135', NULL, NULL, 184, NULL, 'CobU', 51333),
(107608, 'PIRSF018001', NULL, NULL, 319, NULL, 'Aspartoacylase', 51334),
(107609, 'PIRSF018868', NULL, NULL, 193, NULL, 'UCP018868', 51335),
(107610, 'PIRSF037293', NULL, NULL, 791, NULL, 'ERdj5', 51336),
(107611, 'PIRSF036893', NULL, NULL, 199, NULL, 'Lipocalin_ApoD', 51337),
(107612, 'PIRSF029394', NULL, NULL, 133, NULL, 'UCP029394', 51338),
(107613, 'PIRSF006655', NULL, NULL, 378, NULL, 'DHQS_altern', 51339),
(107614, 'PIRSF015658', NULL, NULL, 376, NULL, 'MmdB_OadB', 51340),
(107615, 'PIRSF037104', NULL, NULL, 1062, NULL, 'H3K4_HMTase_Set1_fungi', 51341),
(107616, 'PIRSF033199', NULL, NULL, 116, NULL, 'UCP033199', 51342),
(107617, 'PIRSF005465', NULL, NULL, 409, NULL, 'GIRK_kir', 51343),
(107618, 'PIRSF036636', NULL, NULL, 255, NULL, 'QcrC', 51344),
(107619, 'PIRSF034039', NULL, NULL, 1252, NULL, 'UCP034039', 51345),
(107620, 'PIRSF002599', NULL, NULL, 196, NULL, 'Cold_shock_A', 51346),
(107621, 'PIRSF000512', NULL, NULL, 349, NULL, 'TMP_PPase_Cyanobac', 51347),
(107622, 'PIRSF037834', NULL, NULL, 256, NULL, 'PaaC', 51348),
(107623, 'PIRSF004961', NULL, NULL, 285, NULL, 'UCP004961_hydrolase', 51349),
(107624, 'PIRSF037706', NULL, NULL, 93, NULL, 'MRP10', 51350),
(107625, 'PIRSF037579', NULL, NULL, 1457, NULL, 'MAPKK_SSK22', 51351),
(107626, 'PIRSF036464', NULL, NULL, 703, NULL, 'Ser_ala_racem', 51352),
(107627, 'PIRSF017324', NULL, NULL, 154, NULL, 'UCP017324', 51353),
(107628, 'PIRSF018300', NULL, NULL, 622, NULL, 'DNA_pol_alpha_2', 51354),
(107629, 'PIRSF036539', NULL, NULL, 457, NULL, 'CmaT_thioesters', 51355);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(107630, 'PIRSF000262', NULL, NULL, 555, NULL, 'MCR_alpha', 51356),
(107631, 'PIRSF004649', NULL, NULL, 212, NULL, 'MlaC', 51357),
(107632, 'PIRSF023577', NULL, NULL, 304, NULL, 'NOSIP', 51358),
(107633, 'PIRSF038003', NULL, NULL, 337, NULL, 'PINCH', 51359),
(107634, 'PIRSF037653', NULL, NULL, 224, NULL, 'SRY', 51360),
(107635, 'PIRSF005353', NULL, NULL, 446, NULL, 'PbuG', 51361),
(107636, 'PIRSF001093', NULL, NULL, 570, NULL, 'B-hxosamndse_ab_euk_', 51362),
(107637, 'PIRSF030748', NULL, NULL, 234, NULL, 'Autotransporter_YhjY', 51363),
(107638, 'PIRSF037933', NULL, NULL, 849, NULL, 'Polyserase-2', 51364),
(107639, 'PIRSF037672', NULL, NULL, 96, NULL, 'UCP037672', 51365),
(107640, 'PIRSF015980', NULL, NULL, 669, NULL, 'VAC_O1L', 51366),
(107641, 'PIRSF025024', NULL, NULL, 474, NULL, 'Txn_adaptor_ADA2', 51367),
(107642, 'PIRSF000778', NULL, NULL, 137, NULL, 'RpoK/RPB6', 51368),
(107643, 'PIRSF500156', NULL, NULL, 440, NULL, 'GalT_Corynebac', 51369),
(107644, 'PIRSF000034', NULL, NULL, 37, NULL, 'Cytochrome_b6f_V/PetG', 51370),
(107645, 'PIRSF002530', NULL, NULL, 515, NULL, 'FTZ-F1', 51371),
(107646, 'PIRSF000524', NULL, NULL, 394, NULL, 'SPT', 51372),
(107647, 'PIRSF028561', NULL, NULL, 323, NULL, 'Ac_Trasf', 51373),
(107648, 'PIRSF018503', NULL, NULL, 168, NULL, 'BMOH_MMO_gamma', 51374),
(107649, 'PIRSF021320', NULL, NULL, 150, NULL, 'UCP021320', 51375),
(107650, 'PIRSF002808', NULL, NULL, 451, NULL, 'Hexose_phosphate_transp', 51376),
(107651, 'PIRSF003059', NULL, NULL, 549, NULL, 'GtfA', 51377),
(107652, 'PIRSF003281', NULL, NULL, 217, NULL, 'ExcA', 51378),
(107653, 'PIRSF018193', NULL, NULL, 139, NULL, 'UCP018193', 51379),
(107654, 'PIRSF011474', NULL, NULL, 159, NULL, 'GutM', 51380),
(107655, 'PIRSF015877', NULL, NULL, 208, NULL, 'UCP015877', 51381),
(107656, 'PIRSF036508', NULL, NULL, 1373, NULL, 'Condns_HCP-6', 51382),
(107657, 'PIRSF011468', NULL, NULL, 291, NULL, 'PhnJ', 51383),
(107658, 'PIRSF006066', NULL, NULL, 427, NULL, 'HI0050', 51384),
(107659, 'PIRSF005850', NULL, NULL, 454, NULL, 'UCP005850', 51385),
(107660, 'PIRSF037000', NULL, NULL, 164, NULL, 'RNA_ed_MP18', 51386),
(107661, 'PIRSF016487', NULL, NULL, 161, NULL, 'CYTH_UCP016487', 51387),
(107662, 'PIRSF037618', NULL, NULL, 726, NULL, 'RNA_Mtase_bacterial', 51388),
(107663, 'PIRSF007945', NULL, NULL, 213, NULL, 'SRB2', 51389),
(107664, 'PIRSF024865', NULL, NULL, 175, NULL, 'UCP024865', 51390),
(107665, 'PIRSF017082', NULL, NULL, 333, NULL, 'YflP', 51391),
(107666, 'PIRSF015919', NULL, NULL, 426, NULL, 'TFIIH_SSL1', 51392),
(107667, 'PIRSF034585', NULL, NULL, 1011, NULL, 'SrfB', 51393),
(107668, 'PIRSF033595', NULL, NULL, 119, NULL, 'UCP033595', 51394),
(107669, 'PIRSF017300', NULL, NULL, 637, NULL, 'snoRNP_Mpp10', 51395),
(107670, 'PIRSF021525', NULL, NULL, 242, NULL, 'UCP021525', 51396),
(107671, 'PIRSF036978', NULL, NULL, 340, NULL, 'UCP036978_PHPhdr', 51397),
(107672, 'PIRSF500176', NULL, NULL, 330, NULL, 'L_ASNase', 51398),
(107673, 'PIRSF011386', NULL, NULL, 161, NULL, 'FixH', 51399),
(107674, 'PIRSF037892', NULL, NULL, 558, NULL, 'Subtilisin_rel_SRU_0565', 51400),
(107675, 'PIRSF501107', NULL, NULL, 683, NULL, 'Protein_kin_C_eta', 51401),
(107676, 'PIRSF000036', NULL, NULL, 83, NULL, 'Cytochrome_PsbE', 51402),
(107677, 'PIRSF002412', NULL, NULL, 489, NULL, 'MA_DBI', 51403),
(107678, 'PIRSF037840', NULL, NULL, 295, NULL, 'Aldolase_YihT', 51404),
(107679, 'PIRSF012290', NULL, NULL, 235, NULL, 'EutL_PduB', 51405),
(107680, 'PIRSF033367', NULL, NULL, 122, NULL, 'UCP033367_VanZ', 51406),
(107681, 'PIRSF000390', NULL, NULL, 381, NULL, 'PLP_StrS', 51407),
(107682, 'PIRSF005285', NULL, NULL, 166, NULL, 'tRNA_splic_endonuc_archaea', 51408),
(107683, 'PIRSF015195', NULL, NULL, 179, NULL, 'UCP015195', 51409),
(107684, 'PIRSF021697', NULL, NULL, 156, NULL, 'UCP021697', 51410),
(107685, 'PIRSF003923', NULL, NULL, 57, NULL, 'SH_protein_mumps', 51411),
(107686, 'PIRSF017617', NULL, NULL, 362, NULL, 'Thr_aldolase', 51412),
(107687, 'PIRSF037002', NULL, NULL, 592, NULL, 'RNA_ed_MP63', 51413),
(107688, 'PIRSF037139', NULL, NULL, 326, NULL, 'UCP037139', 51414); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(107689, 'PIRSF037844', NULL, NULL, 1408, NULL, 'Vpr-related_protease', 51415),
(107690, 'PIRSF002773', NULL, NULL, 740, NULL, 'ABC_prm/ATPase_B', 51416),
(107691, 'PIRSF005739', NULL, NULL, 372, NULL, 'O-mtase', 51417),
(107692, 'PIRSF022145', NULL, NULL, 210, NULL, 'Sulfocyanin', 51418),
(107693, 'PIRSF006363', NULL, NULL, 218, NULL, 'UCP006363_ACT', 51419),
(107694, 'PIRSF018455', NULL, NULL, 307, NULL, 'MepA', 51420),
(107695, 'PIRSF021239', NULL, NULL, 114, NULL, 'UCP021239', 51421),
(107696, 'PIRSF000826', NULL, NULL, 2098, NULL, 'L_PhleboV', 51422),
(107697, 'PIRSF018077', NULL, NULL, 503, NULL, 'UCP018077', 51423),
(107698, 'PIRSF028991', NULL, NULL, 510, NULL, 'Glycl_rad_HI0521', 51424),
(107699, 'PIRSF016573', NULL, NULL, 228, NULL, 'Snapalysin', 51425),
(107700, 'PIRSF034789', NULL, NULL, 121, NULL, 'Type_III_secr_syst_SsaM', 51426),
(107701, 'PIRSF031057', NULL, NULL, 286, NULL, 'TPK1', 51427),
(107702, 'PIRSF033622', NULL, NULL, 390, NULL, 'UCP033622_transglutaminase', 51428),
(107703, 'PIRSF005355', NULL, NULL, 304, NULL, 'UBIAD1', 51429),
(107704, 'PIRSF017233', NULL, NULL, 1279, NULL, 'IKAP', 51430),
(107705, 'PIRSF005890', NULL, NULL, 170, NULL, 'Phot_II_cyt_c550', 51431),
(107706, 'PIRSF030200', NULL, NULL, 99, NULL, 'PaaB', 51432),
(107707, 'PIRSF006162', NULL, NULL, 173, NULL, 'PgpA', 51433),
(107708, 'PIRSF002116', NULL, NULL, 244, NULL, 'RPS4a_RPS4e', 51434),
(107709, 'PIRSF000144', NULL, NULL, 770, NULL, 'CbbBc', 51435),
(107710, 'PIRSF000428', NULL, NULL, 322, NULL, 'P_Ac_trans', 51436),
(107711, 'PIRSF000988', NULL, NULL, 284, NULL, 'DNase_I', 51437),
(107712, 'PIRSF006035', NULL, NULL, 174, NULL, 'CO_dh_b_ACDS_e', 51438),
(107713, 'PIRSF029755', NULL, NULL, 268, NULL, 'UCP029755', 51439),
(107714, 'PIRSF032079', NULL, NULL, 179, NULL, 'UCP032079', 51440),
(107715, 'PIRSF038175', NULL, NULL, 948, NULL, 'MAPKKK14', 51441),
(107716, 'PIRSF018008', NULL, NULL, 264, NULL, 'UCP018008', 51442),
(107717, 'PIRSF022941', NULL, NULL, 406, NULL, 'ORC6_fungal', 51443),
(107718, 'PIRSF037903', NULL, NULL, 458, NULL, 'Subtilisin_rel_GFO_2223', 51444),
(107719, 'PIRSF001892', NULL, NULL, 486, NULL, 'CyaE', 51445),
(107720, 'PIRSF006594', NULL, NULL, 215, NULL, 'UCP006594', 51446),
(107721, 'PIRSF005028', NULL, NULL, 165, NULL, 'KhtT', 51447),
(107722, 'PIRSF012886', NULL, NULL, 307, NULL, 'UCP012886', 51448),
(107723, 'PIRSF025414', NULL, NULL, 356, NULL, 'Alpha-N-AFase', 51449),
(107724, 'PIRSF038193', NULL, NULL, 526, NULL, 'Hyaluronidase', 51450),
(107725, 'PIRSF000095', NULL, NULL, 313, NULL, '17beta-HSD', 51451),
(107726, 'PIRSF000567', NULL, NULL, 552, NULL, 'TYPK_Myt1', 51452),
(107727, 'PIRSF004983', NULL, NULL, 578, NULL, 'MenD', 51453),
(107728, 'PIRSF038928', NULL, NULL, 491, NULL, 'Catalase_clade1-3', 51454),
(107729, 'PIRSF001267', NULL, NULL, 504, NULL, 'Pyrophosphatase_GppA_Ppx', 51455),
(107730, 'PIRSF037087', NULL, NULL, 148, NULL, 'UCP037087', 51456),
(107731, 'PIRSF037378', NULL, NULL, 1302, NULL, 'EIN2', 51457),
(107732, 'PIRSF028451', NULL, NULL, 227, NULL, 'UCP028451', 51458),
(107733, 'PIRSF000909', NULL, NULL, 562, NULL, 'STPPPtase_PPZ', 51459),
(107734, 'PIRSF019574', NULL, NULL, 361, NULL, 'Periplasmic_polyamine_BP', 51460),
(107735, 'PIRSF009998', NULL, NULL, 97, NULL, 'DLC7', 51461),
(107736, 'PIRSF015200', NULL, NULL, 232, NULL, 'Cyclin_WDSV', 51462),
(107737, 'PIRSF019455', NULL, NULL, 134, NULL, 'CopR_AtkY', 51463),
(107738, 'PIRSF014405', NULL, NULL, 129, NULL, 'UCP014405', 51464),
(107739, 'PIRSF002371', NULL, NULL, 204, NULL, 'Alpha-s2-casein', 51465),
(107740, 'PIRSF014470', NULL, NULL, 322, NULL, 'UCP014470', 51466),
(107741, 'PIRSF007635', NULL, NULL, 642, NULL, 'Mmp_autolysin', 51467),
(107742, 'PIRSF006557', NULL, NULL, 128, NULL, 'UCP006557_sign', 51468),
(107743, 'PIRSF007808', NULL, NULL, 1450, NULL, 'Mms22p', 51469),
(107744, 'PIRSF037403', NULL, NULL, 449, NULL, 'BMP3/GDF10', 51470),
(107745, 'PIRSF038075', NULL, NULL, 89, NULL, 'Env_UL49A', 51471),
(107746, 'PIRSF011773', NULL, NULL, 116, NULL, 'RFA3_yeast', 51472),
(107747, 'PIRSF006485', NULL, NULL, 443, NULL, 'EngA', 51473);
INSERT INTO "PUBLIC"."MODEL" VALUES
(107748, 'PIRSF005925', NULL, NULL, 748, NULL, 'Dos', 51474),
(107749, 'PIRSF022207', NULL, NULL, 158, NULL, 'UCP022207', 51475),
(107750, 'PIRSF009416', NULL, NULL, 307, NULL, 'LuxD', 51476),
(107751, 'PIRSF037736', NULL, NULL, 291, NULL, 'SCO1', 51477),
(107752, 'PIRSF026583', NULL, NULL, 659, NULL, 'YybT', 51478),
(107753, 'PIRSF029038', NULL, NULL, 322, NULL, 'Mtase_YbiN', 51479),
(107754, 'PIRSF002401', NULL, NULL, 381, NULL, 'GTP-binding_obg', 51480),
(107755, 'PIRSF036426', NULL, NULL, 468, NULL, 'Sirohaem_synth', 51481),
(107756, 'PIRSF015034', NULL, NULL, 176, NULL, 'YacH', 51482),
(107757, 'PIRSF001109', NULL, NULL, 438, NULL, 'SAHH', 51483),
(107758, 'PIRSF003107', NULL, NULL, 221, NULL, 'PhoU', 51484),
(107759, 'PIRSF000934', NULL, NULL, 1180, NULL, 'PTPN14_PTPN21', 51485),
(107760, 'PIRSF000883', NULL, NULL, 242, NULL, 'Pesterase_MJ0912', 51486),
(107761, 'PIRSF037899', NULL, NULL, 1293, NULL, 'Subtilisin_rel_Moth_2364', 51487),
(107762, 'PIRSF001790', NULL, NULL, 326, NULL, 'TNF_C22L', 51488),
(107763, 'PIRSF037394', NULL, NULL, 198, NULL, 'ABC_permease_YkoE', 51489),
(107764, 'PIRSF000189', NULL, NULL, 361, NULL, 'D-aa_oxidase', 51490),
(107765, 'PIRSF003153', NULL, NULL, 484, NULL, 'ATF2_CRE-BP1', 51491),
(107766, 'PIRSF028103', NULL, NULL, 176, NULL, 'GcvR', 51492),
(107767, 'PIRSF037249', NULL, NULL, 373, NULL, 'Histone_Mtase_SET', 51493),
(107768, 'PIRSF036918', NULL, NULL, 607, NULL, 'Maltodextrin_glucosidase', 51494),
(107769, 'PIRSF011489', NULL, NULL, 196, NULL, 'UCP011489', 51495),
(107770, 'PIRSF037187', NULL, NULL, 240, NULL, 'SmB_SmN', 51496),
(107771, 'PIRSF037726', NULL, NULL, 179, NULL, 'IL-22', 51497),
(107772, 'PIRSF016070', NULL, NULL, 264, NULL, 'Vir_PGP3-D_Chlamydiae', 51498),
(107773, 'PIRSF000813', NULL, NULL, 409, NULL, 'CCA_bact', 51499),
(107774, 'PIRSF015691', NULL, NULL, 343, NULL, 'VAC_E5R', 51500),
(107775, 'PIRSF002674', NULL, NULL, 265, NULL, 'VSP', 51501),
(107776, 'PIRSF037118', NULL, NULL, 407, NULL, 'TerA', 51502),
(107777, 'PIRSF005198', NULL, NULL, 1195, NULL, 'SKI2', 51503),
(107778, 'PIRSF006298', NULL, NULL, 124, NULL, 'GtrA', 51504),
(107779, 'PIRSF000184', NULL, NULL, 1044, NULL, 'GDH_NAD', 51505),
(107780, 'PIRSF029636', NULL, NULL, 240, NULL, 'UCP029636', 51506),
(107781, 'PIRSF000167', NULL, NULL, 449, NULL, 'HemN', 51507),
(107782, 'PIRSF010312', NULL, NULL, 158, NULL, 'SoxY', 51508),
(107783, 'PIRSF000006', NULL, NULL, 303, NULL, 'Cbb3-Cox_fixP', 51509),
(107784, 'PIRSF000491', NULL, NULL, 681, NULL, 'Alt_phage', 51510),
(107785, 'PIRSF001348', NULL, NULL, 612, NULL, 'PEP_carboxykin_GTP', 51511),
(107786, 'PIRSF032370', NULL, NULL, 121, NULL, 'VraR', 51512),
(107787, 'PIRSF033328', NULL, NULL, 237, NULL, 'Phest_Mll4975', 51513),
(107788, 'PIRSF038131', NULL, NULL, 64, NULL, 'CX5C1', 51514),
(107789, 'PIRSF001024', NULL, NULL, 502, NULL, 'Alph-amyl_fung', 51515),
(107790, 'PIRSF015625', NULL, NULL, 313, NULL, 'VAC_I1L', 51516),
(107791, 'PIRSF006425', NULL, NULL, 616, NULL, 'UCP006425_WD40', 51517),
(107792, 'PIRSF016482', NULL, NULL, 215, NULL, 'PilO', 51518),
(107793, 'PIRSF012569', NULL, NULL, 362, NULL, 'UCP012569', 51519),
(107794, 'PIRSF003128', NULL, NULL, 554, NULL, 'RecN', 51520),
(107795, 'PIRSF016179', NULL, NULL, 229, NULL, 'UCP016179', 51521),
(107796, 'PIRSF008455', NULL, NULL, 163, NULL, 'UCP008455', 51522),
(107797, 'PIRSF028980', NULL, NULL, 270, NULL, 'tRNAHis_guanlltr', 51523),
(107798, 'PIRSF011771', NULL, NULL, 475, NULL, 'RMS1_SET', 51524),
(107799, 'PIRSF017834', NULL, NULL, 119, NULL, 'NDUC2', 51525),
(107800, 'PIRSF004532', NULL, NULL, 321, NULL, 'GlpX', 51526),
(107801, 'PIRSF000209', NULL, NULL, 1064, NULL, 'Bifunctional_P450_P450R', 51527),
(107802, 'PIRSF000746', NULL, NULL, 302, NULL, 'RPO35', 51528),
(107803, 'PIRSF016938', NULL, NULL, 199, NULL, 'RseA', 51529),
(107804, 'PIRSF001072', NULL, NULL, 575, NULL, 'HN_paramyxo', 51530),
(107805, 'PIRSF001458', NULL, NULL, 211, NULL, 'MerB', 51531),
(107806, 'PIRSF036301', NULL, NULL, 182, NULL, 'Cripto_growth_factor', 51532),
(107807, 'PIRSF037479', NULL, NULL, 458, NULL, 'Pg_GlcNAc_deacet', 51533);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(107808, 'PIRSF000260', NULL, NULL, 120, NULL, 'FTRc', 51534),
(107809, 'PIRSF018156', NULL, NULL, 347, NULL, 'MRPL51_fungal', 51535),
(107810, 'PIRSF034981', NULL, NULL, 188, NULL, 'Mtase_firmicutes', 51536),
(107811, 'PIRSF500103', NULL, NULL, 138, NULL, 'EndoV', 51537),
(107812, 'PIRSF020870', NULL, NULL, 361, NULL, 'Radical_SAM_bac', 51538),
(107813, 'PIRSF009136', NULL, NULL, 269, NULL, 'MDUP_MalA', 51539),
(107814, 'PIRSF000439', NULL, NULL, 537, NULL, 'Oat_ACAT_DAG_ARE', 51540),
(107815, 'PIRSF028788', NULL, NULL, 213, NULL, 'TfoX_Sxy', 51541),
(107816, 'PIRSF019454', NULL, NULL, 165, NULL, 'UCP019454_CBS_PAB0389', 51542),
(107817, 'PIRSF037818', NULL, NULL, 227, NULL, 'Glucagon', 51543),
(107818, 'PIRSF000071', NULL, NULL, 64, NULL, 'Rubredoxin', 51544),
(107819, 'PIRSF036577', NULL, NULL, 308, NULL, 'PDH_ADH_plant', 51545),
(107820, 'PIRSF019225', NULL, NULL, 374, NULL, 'Cyt_c1_Campylob', 51546),
(107821, 'PIRSF500700', NULL, NULL, 478, NULL, 'MDM2', 51547),
(107822, 'PIRSF020196', NULL, NULL, 275, NULL, 'NS2', 51548),
(107823, 'PIRSF004729', NULL, NULL, 459, NULL, 'MutL', 51549),
(107824, 'PIRSF001815', NULL, NULL, 156, NULL, 'Vasopressin_oxytocin', 51550),
(107825, 'PIRSF000727', NULL, NULL, 817, NULL, 'ThrA', 51551),
(107826, 'PIRSF037097', NULL, NULL, 1110, NULL, 'AP4_epsilon', 51552),
(107827, 'PIRSF037816', NULL, NULL, 257, NULL, 'Viral_cyclin', 51553),
(107828, 'PIRSF003108', NULL, NULL, 89, NULL, 'DinJ', 51554),
(107829, 'PIRSF005790', NULL, NULL, 111, NULL, 'Nitrogenase_stabiliz_NifW', 51555),
(107830, 'PIRSF000897', NULL, NULL, 266, NULL, 'Acid_Ptase_ClsA', 51556),
(107831, 'PIRSF004611', NULL, NULL, 630, NULL, 'CBP2', 51557),
(107832, 'PIRSF036633', NULL, NULL, 400, NULL, 'FmdC_D', 51558),
(107833, 'PIRSF006446', NULL, NULL, 461, NULL, 'Cyt_quinol_oxidase_1', 51559),
(107834, 'PIRSF029958', NULL, NULL, 300, NULL, 'Necrosis-inducing_protein', 51560),
(107835, 'PIRSF038992', NULL, NULL, 271, NULL, 'Aldolase_Ia', 51561),
(107836, 'PIRSF001138', NULL, NULL, 1034, NULL, 'Enteropeptidase', 51562),
(107837, 'PIRSF013370', NULL, NULL, 170, NULL, 'ACPS', 51563),
(107838, 'PIRSF036979', NULL, NULL, 302, NULL, 'Arginase', 51564),
(107839, 'PIRSF034934', NULL, NULL, 318, NULL, 'AbiF_AbiD', 51565),
(107840, 'PIRSF037314', NULL, NULL, 468, NULL, 'HK_MctS', 51566),
(107841, 'PIRSF021361', NULL, NULL, 150, NULL, 'UCP021361', 51567),
(107842, 'PIRSF028784', NULL, NULL, 95, NULL, 'MrpF', 51568),
(107843, 'PIRSF000654', NULL, NULL, 461, NULL, 'ILK', 51569),
(107844, 'PIRSF030158', NULL, NULL, 379, NULL, 'UCP030158', 51570),
(107845, 'PIRSF029129', NULL, NULL, 344, NULL, 'UCP029129', 51571),
(107846, 'PIRSF027923', NULL, NULL, 325, NULL, 'Rubrer_027923', 51572),
(107847, 'PIRSF003033', NULL, NULL, 621, NULL, 'Ku70', 51573),
(107848, 'PIRSF037900', NULL, NULL, 602, NULL, 'Subtilisin_rel_PfSUB_1', 51574),
(107849, 'PIRSF036376', NULL, NULL, 1113, NULL, 'Corin', 51575),
(107850, 'PIRSF002825', NULL, NULL, 356, NULL, 'CfbpA', 51576),
(107851, 'PIRSF019307', NULL, NULL, 173, NULL, 'UCP019307', 51577),
(107852, 'PIRSF005539', NULL, NULL, 301, NULL, 'F1_peptds', 51578),
(107853, 'PIRSF019401', NULL, NULL, 206, NULL, 'SeqA', 51579),
(107854, 'PIRSF003025', NULL, NULL, 157, NULL, 'Transl_init_eIF5A', 51580),
(107855, 'PIRSF015601', NULL, NULL, 244, NULL, 'MTase_slr0722', 51581),
(107856, 'PIRSF004311', NULL, NULL, 236, NULL, 'SSB_T7', 51582),
(107857, 'PIRSF036557', NULL, NULL, 488, NULL, 'XdhA_RC', 51583),
(107858, 'PIRSF003575', NULL, NULL, 304, NULL, 'MSA-2', 51584),
(107859, 'PIRSF015703', NULL, NULL, 229, NULL, 'UCP015703', 51585),
(107860, 'PIRSF036888', NULL, NULL, 466, NULL, 'HDGYPm_UCP036888', 51586),
(107861, 'PIRSF002148', NULL, NULL, 87, NULL, 'RPS21e', 51587),
(107862, 'PIRSF003217', NULL, NULL, 66, NULL, 'Cro_protein', 51588),
(107863, 'PIRSF029693', NULL, NULL, 356, NULL, 'UCP029693', 51589),
(107864, 'PIRSF006453', NULL, NULL, 570, NULL, 'FwdA', 51590),
(107865, 'PIRSF028774', NULL, NULL, 359, NULL, 'UCP028774', 51591),
(107866, 'PIRSF037666', NULL, NULL, 59, NULL, 'GerPD', 51592);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(107867, 'PIRSF001361', NULL, NULL, 360, NULL, 'DAHP_synthase', 51593),
(107868, 'PIRSF036940', NULL, NULL, 271, NULL, 'PanK_bac_aCoA', 51594),
(107869, 'PIRSF037565', NULL, NULL, 377, NULL, 'RRNA_m2G_Mtase_RsmD', 51595),
(107870, 'PIRSF038205', NULL, NULL, 954, NULL, 'DRP2', 51596),
(107871, 'PIRSF000007', NULL, NULL, 279, NULL, 'Ubiq_cycred_cyc', 51597),
(107872, 'PIRSF009288', NULL, NULL, 189, NULL, 'NDUB8', 51598),
(107873, 'PIRSF018781', NULL, NULL, 154, NULL, 'UCP018781', 51599),
(107874, 'PIRSF002541', NULL, NULL, 132, NULL, 'SP_pAIF', 51600),
(107875, 'PIRSF035170', NULL, NULL, 228, NULL, 'HD_phosphohydro', 51601),
(107876, 'PIRSF030959', NULL, NULL, 249, NULL, 'UCP030959', 51602),
(107877, 'PIRSF004954', NULL, NULL, 357, NULL, 'Radical_SAM', 51603),
(107878, 'PIRSF000363', NULL, NULL, 278, NULL, 'Nitrogenase_iron', 51604),
(107879, 'PIRSF006291', NULL, NULL, 164, NULL, 'GspM', 51605),
(107880, 'PIRSF038207', NULL, NULL, 326, NULL, 'PP1_GT_animal', 51606),
(107881, 'PIRSF000657', NULL, NULL, 299, NULL, 'STPK_ASFV', 51607),
(107882, 'PIRSF002603', NULL, NULL, 443, NULL, 'TEF', 51608),
(107883, 'PIRSF003078', NULL, NULL, 216, NULL, 'GidB', 51609),
(107884, 'PIRSF003314', NULL, NULL, 353, NULL, 'IPP_isomerase_FMN-dep', 51610),
(107885, 'PIRSF006205', NULL, NULL, 392, NULL, 'Dxp_reductoisomrs', 51611),
(107886, 'PIRSF026568', NULL, NULL, 126, NULL, 'UCP026568', 51612),
(107887, 'PIRSF000025', NULL, NULL, 119, NULL, 'Cytochrome_Bsub_c550', 51613),
(107888, 'PIRSF033399', NULL, NULL, 121, NULL, 'UCP033399', 51614),
(107889, 'PIRSF000183', NULL, NULL, 371, NULL, 'Alanine_dh', 51615),
(107890, 'PIRSF016302', NULL, NULL, 453, NULL, 'Man_a_manosd', 51616),
(107891, 'PIRSF006606', NULL, NULL, 125, NULL, 'UCP006606', 51617),
(107892, 'PIRSF019625', NULL, NULL, 232, NULL, 'EVI2A', 51618),
(107893, 'PIRSF001031', NULL, NULL, 614, NULL, 'Glu-a-glcsd_SBD', 51619),
(107894, 'PIRSF039100', NULL, NULL, 170, NULL, 'ARPC4', 51620),
(107895, 'PIRSF037217', NULL, NULL, 590, NULL, 'Carboxypeptdase_S', 51621),
(107896, 'PIRSF036521', NULL, NULL, 107, NULL, 'UCP036521_pph', 51622),
(107897, 'PIRSF038097', NULL, NULL, 85, NULL, 'V-ATP_synth_e1/e2', 51623),
(107898, 'PIRSF037052', NULL, NULL, 176, NULL, 'UCP037052', 51624),
(107899, 'PIRSF004862', NULL, NULL, 540, NULL, 'FliF', 51625),
(107900, 'PIRSF024492', NULL, NULL, 181, NULL, 'UCP024492', 51626),
(107901, 'PIRSF028777', NULL, NULL, 131, NULL, 'UCP028777', 51627),
(107902, 'PIRSF029883', NULL, NULL, 112, NULL, 'KdgF', 51628),
(107903, 'PIRSF006268', NULL, NULL, 343, NULL, 'ApbE', 51629),
(107904, 'PIRSF037744', NULL, NULL, 717, NULL, 'TIR_Ticam', 51630),
(107905, 'PIRSF036406', NULL, NULL, 343, NULL, 'Hept_kin', 51631),
(107906, 'PIRSF004749', NULL, NULL, 221, NULL, 'Pep_def', 51632),
(107907, 'PIRSF006821', NULL, NULL, 112, NULL, 'UCP006821', 51633),
(107908, 'PIRSF002629', NULL, NULL, 430, NULL, 'Txn_fact_POU_BRN', 51634),
(107909, 'PIRSF031032', NULL, NULL, 170, NULL, 'TMP_97', 51635),
(107910, 'PIRSF036983', NULL, NULL, 387, NULL, 'UCP_2CBS_MJ1404', 51636),
(107911, 'PIRSF004075', NULL, NULL, 197, NULL, 'Coat_Flexivir', 51637),
(107912, 'PIRSF018153', NULL, NULL, 442, NULL, 'Glycolip_mannosyltransf_fung', 51638),
(107913, 'PIRSF003696', NULL, NULL, 249, NULL, 'VAC_C23L', 51639),
(107914, 'PIRSF029811', NULL, NULL, 197, NULL, 'UCP029811', 51640),
(107915, 'PIRSF037947', NULL, NULL, 363, NULL, 'XRP2', 51641),
(107916, 'PIRSF011237', NULL, NULL, 281, NULL, 'GpU', 51642),
(107917, 'PIRSF036470', NULL, NULL, 824, NULL, 'PLD_plant', 51643),
(107918, 'PIRSF002560', NULL, NULL, 157, NULL, 'Bacterioferritin', 51644),
(107919, 'PIRSF000185', NULL, NULL, 419, NULL, 'Glu_DH', 51645),
(107920, 'PIRSF039073', NULL, NULL, 2149, NULL, 'BRR2', 51646),
(107921, 'PIRSF036531', NULL, NULL, 142, NULL, 'Tpp15', 51647),
(107922, 'PIRSF000077', NULL, NULL, 107, NULL, 'Thioredoxin', 51648),
(107923, 'PIRSF020772', NULL, NULL, 152, NULL, 'UCP020772', 51649),
(107924, 'PIRSF037149', NULL, NULL, 840, NULL, 'NirB', 51650),
(107925, 'PIRSF000533', NULL, NULL, 889, NULL, 'ATP_PFK_euk', 51651);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(107926, 'PIRSF002721', NULL, NULL, 156, NULL, 'Surface_antigen_Rickettsia', 51652),
(107927, 'PIRSF007991', NULL, NULL, 535, NULL, 'Vang-like', 51653),
(107928, 'PIRSF035836', NULL, NULL, 275, NULL, 'UCP035836', 51654),
(107929, 'PIRSF000207', NULL, NULL, 609, NULL, 'SiR-FP_CysJ', 51655),
(107930, 'PIRSF005357', NULL, NULL, 350, NULL, 'UCP005357', 51656),
(107931, 'PIRSF013684', NULL, NULL, 721, NULL, 'BBS2', 51657),
(107932, 'PIRSF019678', NULL, NULL, 184, NULL, 'UCP019678', 51658),
(107933, 'PIRSF000825', NULL, NULL, 2152, NULL, 'L_HantaV', 51659),
(107934, 'PIRSF000803', NULL, NULL, 537, NULL, 'DNA_pol_II_small_arch', 51660),
(107935, 'PIRSF006704', NULL, NULL, 320, NULL, 'TFIIS', 51661),
(107936, 'PIRSF036924', NULL, NULL, 405, NULL, 'Snx5_Snx6', 51662),
(107937, 'PIRSF006188', NULL, NULL, 72, NULL, 'UCP006188', 51663),
(107938, 'PIRSF017849', NULL, NULL, 123, NULL, 'TraD', 51664),
(107939, 'PIRSF000401', NULL, NULL, 314, NULL, 'RPL11_MTase', 51665),
(107940, 'PIRSF006223', NULL, NULL, 109, NULL, 'DsrC_TusE', 51666),
(107941, 'PIRSF032656', NULL, NULL, 902, NULL, 'Glycosylhydrolase_', 51667),
(107942, 'PIRSF001775', NULL, NULL, 578, NULL, 'Thrombomodulin', 51668),
(107943, 'PIRSF016195', NULL, NULL, 173, NULL, 'UCP016195', 51669),
(107944, 'PIRSF015730', NULL, NULL, 132, NULL, 'TFAR19', 51670),
(107945, 'PIRSF001997', NULL, NULL, 550, NULL, 'PTPRR', 51671),
(107946, 'PIRSF009427', NULL, NULL, 948, NULL, 'UCP009427_DNAmts', 51672),
(107947, 'PIRSF032888', NULL, NULL, 377, NULL, 'UCP032888', 51673),
(107948, 'PIRSF006553', NULL, NULL, 545, NULL, 'TopoVI-B', 51674),
(107949, 'PIRSF015797', NULL, NULL, 132, NULL, 'Virion_core', 51675),
(107950, 'PIRSF002094', NULL, NULL, 170, NULL, 'OMP26_Skp', 51676),
(107951, 'PIRSF000081', NULL, NULL, 166, NULL, 'Phycocyanin', 51677),
(107952, 'PIRSF037993', NULL, NULL, 404, NULL, 'STPK_Pim-1', 51678),
(107953, 'PIRSF038084', NULL, NULL, 433, NULL, 'HAT1', 51679),
(107954, 'PIRSF008716', NULL, NULL, 165, NULL, 'Ufc1', 51680),
(107955, 'PIRSF036565', NULL, NULL, 568, NULL, 'Pyruvt_ip_decrb', 51681),
(107956, 'PIRSF026633', NULL, NULL, 497, NULL, 'UCP026633_TfuA-like', 51682),
(107957, 'PIRSF029928', NULL, NULL, 109, NULL, 'ComGC', 51683),
(107958, 'PIRSF005457', NULL, NULL, 259, NULL, 'Glx', 51684),
(107959, 'PIRSF026579', NULL, NULL, 183, NULL, 'SpoVT', 51685),
(107960, 'PIRSF019240', NULL, NULL, 143, NULL, 'UCP019240_SpoVT/AbrB-related', 51686),
(107961, 'PIRSF006593', NULL, NULL, 294, NULL, 'UCP006593', 51687),
(107962, 'PIRSF004555', NULL, NULL, 107, NULL, 'UCP004555', 51688),
(107963, 'PIRSF024009', NULL, NULL, 236, NULL, 'UCP024009', 51689),
(107964, 'PIRSF007871', NULL, NULL, 193, NULL, 'Cox20', 51690),
(107965, 'PIRSF000611', NULL, NULL, 790, NULL, 'STPK_MPS1', 51691),
(107966, 'PIRSF000812', NULL, NULL, 285, NULL, 'AAD', 51692),
(107967, 'PIRSF037759', NULL, NULL, 281, NULL, 'Asf1', 51693),
(107968, 'PIRSF031780', NULL, NULL, 107, NULL, 'UCP031780', 51694),
(107969, 'PIRSF000437', NULL, NULL, 796, NULL, 'GPAT_DHAPAT', 51695),
(107970, 'PIRSF023381', NULL, NULL, 258, NULL, 'Mpdu1', 51696),
(107971, 'PIRSF001213', NULL, NULL, 263, NULL, 'MCP', 51697),
(107972, 'PIRSF016493', NULL, NULL, 581, NULL, 'Glycyl_aminpptds', 51698),
(107973, 'PIRSF022976', NULL, NULL, 187, NULL, 'NADH_Oxi_21kDa', 51699),
(107974, 'PIRSF005047', NULL, NULL, 575, NULL, 'UCP005047_PHP', 51700),
(107975, 'PIRSF036687', NULL, NULL, 861, NULL, 'AcnB', 51701),
(107976, 'PIRSF000106', NULL, NULL, 572, NULL, 'ME', 51702),
(107977, 'PIRSF037258', NULL, NULL, 87, NULL, 'UCP037258', 51703),
(107978, 'PIRSF037635', NULL, NULL, 92, NULL, 'BID3', 51704),
(107979, 'PIRSF037871', NULL, NULL, 439, NULL, 'TIM44', 51705),
(107980, 'PIRSF016481', NULL, NULL, 171, NULL, 'PilP_PilQ', 51706),
(107981, 'PIRSF016255', NULL, NULL, 440, NULL, 'Transl_init_eIF3e', 51707),
(107982, 'PIRSF019370', NULL, NULL, 317, NULL, 'EhaR', 51708),
(107983, 'PIRSF017321', NULL, NULL, 456, NULL, 'PIG-W', 51709),
(107984, 'PIRSF004982', NULL, NULL, 190, NULL, 'SlP', 51710),
(107985, 'PIRSF036894', NULL, NULL, 316, NULL, 'PMI_Firm_short', 51711);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(107986, 'PIRSF000137', NULL, NULL, 612, NULL, 'Alcohol_oxidase', 51712),
(107987, 'PIRSF036480', NULL, NULL, 286, NULL, 'FormyFH4_hydr', 51713),
(107988, 'PIRSF000969', NULL, NULL, 87, NULL, '3_5-cGMP_Pdiesterase_gamma', 51714),
(107989, 'PIRSF001123', NULL, NULL, 359, NULL, 'PepA_GA', 51715),
(107990, 'PIRSF000332', NULL, NULL, 533, NULL, 'FMO', 51716),
(107991, 'PIRSF036105', NULL, NULL, 642, NULL, 'VirE3_Rhizobiaceae', 51717),
(107992, 'PIRSF004882', NULL, NULL, 155, NULL, 'GTP_bind_MJ1339', 51718),
(107993, 'PIRSF036696', NULL, NULL, 402, NULL, 'ACY-1', 51719),
(107994, 'PIRSF017020', NULL, NULL, 345, NULL, 'ASTE', 51720),
(107995, 'PIRSF001837', NULL, NULL, 167, NULL, 'Leptin', 51721),
(107996, 'PIRSF037053', NULL, NULL, 99, NULL, 'UCP037053', 51722),
(107997, 'PIRSF037575', NULL, NULL, 143, NULL, 'SBP', 51723),
(107998, 'PIRSF017029', NULL, NULL, 86, NULL, 'SRP9', 51724),
(107999, 'PIRSF000972', NULL, NULL, 613, NULL, 'Arylsulf_plant', 51725),
(108000, 'PIRSF010386', NULL, NULL, 558, NULL, 'RocB', 51726),
(108001, 'PIRSF000952', NULL, NULL, 1275, NULL, 'PLC-gamma', 51727),
(108002, 'PIRSF005546', NULL, NULL, 615, NULL, 'Ifb-2', 51728),
(108003, 'PIRSF006336', NULL, NULL, 645, NULL, 'B-gal', 51729),
(108004, 'PIRSF038919', NULL, NULL, 655, NULL, 'NOG1', 51730),
(108005, 'PIRSF003496', NULL, NULL, 99, NULL, 'Myristoylat_tegument_UL11', 51731),
(108006, 'PIRSF000549', NULL, NULL, 645, NULL, 'Ser_prot_kin', 51732),
(108007, 'PIRSF005669', NULL, NULL, 542, NULL, 'HAT_Elp3', 51733),
(108008, 'PIRSF028235', NULL, NULL, 310, NULL, 'UCP028235', 51734),
(108009, 'PIRSF038145', NULL, NULL, 2055, NULL, 'STPK_citron', 51735),
(108010, 'PIRSF037393', NULL, NULL, 561, NULL, 'TGFRII', 51736),
(108011, 'PIRSF039008', NULL, NULL, 66, NULL, 'YjbJ', 51737),
(108012, 'PIRSF000817', NULL, NULL, 507, NULL, 'Nucleotidyltrnsf', 51738),
(108013, 'PIRSF010056', NULL, NULL, 188, NULL, 'UCP010056', 51739),
(108014, 'PIRSF028304', NULL, NULL, 622, NULL, 'UCP028304', 51740),
(108015, 'PIRSF011861', NULL, NULL, 533, NULL, 'Biotinidase', 51741),
(108016, 'PIRSF000168', NULL, NULL, 692, NULL, 'Acyl-CoA_oxidase', 51742),
(108017, 'PIRSF016441', NULL, NULL, 961, NULL, 'GTF2I', 51743),
(108018, 'PIRSF036862', NULL, NULL, 638, NULL, 'ERp72', 51744),
(108019, 'PIRSF018654', NULL, NULL, 364, NULL, 'Fe-S_or_NB_arc', 51745),
(108020, 'PIRSF028065', NULL, NULL, 149, NULL, 'UCP028065', 51746),
(108021, 'PIRSF016393', NULL, NULL, 104, NULL, 'Enhancer_rudimentary', 51747),
(108022, 'PIRSF002937', NULL, NULL, 270, NULL, 'Res_reg_Spo0A', 51748),
(108023, 'PIRSF033887', NULL, NULL, 299, NULL, 'PduX', 51749),
(108024, 'PIRSF006288', NULL, NULL, 882, NULL, 'PII_uridyltransf', 51750),
(108025, 'PIRSF021719', NULL, NULL, 205, NULL, 'UCP021719', 51751),
(108026, 'PIRSF004682', NULL, NULL, 192, NULL, 'GmhB', 51752),
(108027, 'PIRSF000948', NULL, NULL, 641, NULL, 'Sphingomyelin_Pdiesterase', 51753),
(108028, 'PIRSF000164', NULL, NULL, 349, NULL, 'DHO_oxidase', 51754),
(108029, 'PIRSF020763', NULL, NULL, 338, NULL, 'TcpF', 51755),
(108030, 'PIRSF037343', NULL, NULL, 616, NULL, 'PTSIIBC_sugar', 51756),
(108031, 'PIRSF000705', NULL, NULL, 226, NULL, 'DNK', 51757),
(108032, 'PIRSF037429', NULL, NULL, 284, NULL, 'UCP037429', 51758),
(108033, 'PIRSF036911', NULL, NULL, 220, NULL, 'CREG', 51759),
(108034, 'PIRSF002867', NULL, NULL, 317, NULL, 'CheV', 51760),
(108035, 'PIRSF015853', NULL, NULL, 274, NULL, 'Pep_DppA', 51761),
(108036, 'PIRSF031088', NULL, NULL, 544, NULL, 'UCP031088_abhydr', 51762),
(108037, 'PIRSF006004', NULL, NULL, 358, NULL, 'Cfr', 51763),
(108038, 'PIRSF006864', NULL, NULL, 161, NULL, 'UCP006864', 51764),
(108039, 'PIRSF000075', NULL, NULL, 41, NULL, 'Desulforedoxin', 51765),
(108040, 'PIRSF037404', NULL, NULL, 1599, NULL, 'DNMT1', 51766),
(108041, 'PIRSF005384', NULL, NULL, 148, NULL, 'RpiB_LacA_B', 51767),
(108042, 'PIRSF024622', NULL, NULL, 185, NULL, 'Tfp_FimT', 51768),
(108043, 'PIRSF018953', NULL, NULL, 410, NULL, 'UCP018953', 51769),
(108044, 'PIRSF001924', NULL, NULL, 314, NULL, 'Shigella_toxin', 51770),
(108045, 'PIRSF002158', NULL, NULL, 267, NULL, 'RPL2p_RPL2a_RPL8e_RPL2o', 51771);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(108046, 'PIRSF037546', NULL, NULL, 2109, NULL, 'RNA_pol_L_Rhabdo_sub', 51772),
(108047, 'PIRSF037392', NULL, NULL, 571, NULL, 'AMHRII', 51773),
(108048, 'PIRSF033093', NULL, NULL, 381, NULL, 'UCP_ML1119', 51774),
(108049, 'PIRSF028983', NULL, NULL, 308, NULL, 'BCP1', 51775),
(108050, 'PIRSF001150', NULL, NULL, 810, NULL, 'Plasmin', 51776),
(108051, 'PIRSF036949', NULL, NULL, 272, NULL, 'RPA32', 51777),
(108052, 'PIRSF006232', NULL, NULL, 287, NULL, 'Pirin', 51778),
(108053, 'PIRSF019260', NULL, NULL, 463, NULL, 'PBSX_XkdE', 51779),
(108054, 'PIRSF029895', NULL, NULL, 400, NULL, 'SpoIV', 51780),
(108055, 'PIRSF005508', NULL, NULL, 359, NULL, 'Arsen_res_ArsB', 51781),
(108056, 'PIRSF001786', NULL, NULL, 171, NULL, 'StpA_StpB', 51782),
(108057, 'PIRSF037048', NULL, NULL, 475, NULL, 'PNPOx_plant', 51783),
(108058, 'PIRSF000926', NULL, NULL, 432, NULL, 'PTPN1_PTPN2', 51784),
(108059, 'PIRSF005426', NULL, NULL, 249, NULL, 'Frp', 51785),
(108060, 'PIRSF005758', NULL, NULL, 283, NULL, 'Shikimt_kin_arch', 51786),
(108061, 'PIRSF000587', NULL, NULL, 874, NULL, 'PI3K_Vps34', 51787),
(108062, 'PIRSF000517', NULL, NULL, 453, NULL, 'Tyr_transaminase', 51788),
(108063, 'PIRSF037709', NULL, NULL, 120, NULL, 'DOV-IR', 51789),
(108064, 'PIRSF015558', NULL, NULL, 296, NULL, 'Txn_reg_DeoR', 51790),
(108065, 'PIRSF022260', NULL, NULL, 361, NULL, 'UCP022260', 51791),
(108066, 'PIRSF006250', NULL, NULL, 284, NULL, 'NadC_ModD', 51792),
(108067, 'PIRSF003956', NULL, NULL, 271, NULL, 'NS-S_PhleboV', 51793),
(108068, 'PIRSF006578', NULL, NULL, 210, NULL, 'FwdE', 51794),
(108069, 'PIRSF017340', NULL, NULL, 174, NULL, 'Nudix_hydro', 51795),
(108070, 'PIRSF005636', NULL, NULL, 160, NULL, 'McrD', 51796),
(108071, 'PIRSF036704', NULL, NULL, 69, NULL, 'UCP036704', 51797),
(108072, 'PIRSF011491', NULL, NULL, 225, NULL, 'Mtase_YbcY', 51798),
(108073, 'PIRSF000932', NULL, NULL, 698, NULL, 'PTPN12', 51799),
(108074, 'PIRSF029195', NULL, NULL, 259, NULL, 'UCP029195_PTS_EIIA2', 51800),
(108075, 'PIRSF032126', NULL, NULL, 124, NULL, 'F0F1_ATP_synth_I', 51801),
(108076, 'PIRSF038153', NULL, NULL, 430, NULL, 'WRKY_txn_fact_IIe', 51802),
(108077, 'PIRSF028743', NULL, NULL, 123, NULL, 'GvpO_protein', 51803),
(108078, 'PIRSF000157', NULL, NULL, 947, NULL, 'Oxoglu_dh_E1', 51804),
(108079, 'PIRSF006257', NULL, NULL, 108, NULL, 'UCP006257', 51805),
(108080, 'PIRSF026640', NULL, NULL, 191, NULL, 'Peripl_chor_mut', 51806),
(108081, 'PIRSF001227', NULL, NULL, 800, NULL, 'Pen_acylase', 51807),
(108082, 'PIRSF037870', NULL, NULL, 402, NULL, 'Doublin', 51808),
(108083, 'PIRSF000398', NULL, NULL, 287, NULL, 'M_m6A_EcoRV', 51809),
(108084, 'PIRSF039117', NULL, NULL, 485, NULL, 'KaiC', 51810),
(108085, 'PIRSF032178', NULL, NULL, 379, NULL, 'UCP032178', 51811),
(108086, 'PIRSF001849', NULL, NULL, 114, NULL, 'Guanylin', 51812),
(108087, 'PIRSF006118', NULL, NULL, 176, NULL, 'KDO8-P_Ptase', 51813),
(108088, 'PIRSF016789', NULL, NULL, 123, NULL, 'UCP016789', 51814),
(108089, 'PIRSF037254', NULL, NULL, 177, NULL, 'Gremlin', 51815),
(108090, 'PIRSF000788', NULL, NULL, 1056, NULL, 'DNA_pol_ADV', 51816),
(108091, 'PIRSF003949', NULL, NULL, 430, NULL, 'N_HantaV', 51817),
(108092, 'PIRSF019322', NULL, NULL, 243, NULL, 'UCP019322', 51818),
(108093, 'PIRSF039089', NULL, NULL, 310, NULL, 'ATP_synthase_gamma', 51819),
(108094, 'PIRSF036962', NULL, NULL, 320, NULL, 'UCP036962_SignTr_Ycf55', 51820),
(108095, 'PIRSF003401', NULL, NULL, 44, NULL, 'Trans_E5_PLV', 51821),
(108096, 'PIRSF018982', NULL, NULL, 263, NULL, 'EutC', 51822),
(108097, 'PIRSF002279', NULL, NULL, 2507, NULL, 'Notch', 51823),
(108098, 'PIRSF028345', NULL, NULL, 180, NULL, 'UCP028345', 51824),
(108099, 'PIRSF039026', NULL, NULL, 360, NULL, 'SiaP', 51825),
(108100, 'PIRSF001553', NULL, NULL, 296, NULL, 'SucCS_alpha', 51826),
(108101, 'PIRSF003783', NULL, NULL, 212, NULL, 'VAC_C1L', 51827),
(108102, 'PIRSF000876', NULL, NULL, 358, NULL, 'RR_chemtxs_CheB', 51828),
(108103, 'PIRSF036506', NULL, NULL, 660, NULL, 'MtRNA_frt_NDPSE', 51829),
(108104, 'PIRSF015947', NULL, NULL, 977, NULL, '26S_protsm_Rpn2', 51830);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(108105, 'PIRSF037038', NULL, NULL, 93, NULL, 'Bombyxin', 51831),
(108106, 'PIRSF006293', NULL, NULL, 225, NULL, 'ExsB', 51832),
(108107, 'PIRSF005087', NULL, NULL, 139, NULL, 'NrdI', 51833),
(108108, 'PIRSF001357', NULL, NULL, 234, NULL, 'DeoC', 51834),
(108109, 'PIRSF001237', NULL, NULL, 349, NULL, 'Dihydroorotase', 51835),
(108110, 'PIRSF004159', NULL, NULL, 179, NULL, 'VGG', 51836),
(108111, 'PIRSF005813', NULL, NULL, 923, NULL, 'MSH2', 51837),
(108112, 'PIRSF030989', NULL, NULL, 468, NULL, 'Glycoporin_RafY', 51838),
(108113, 'PIRSF036710', NULL, NULL, 203, NULL, 'YphA_Bacsu', 51839),
(108114, 'PIRSF029225', NULL, NULL, 131, NULL, 'DNA_pol_III_psi', 51840),
(108115, 'PIRSF037673', NULL, NULL, 129, NULL, 'UCP037673', 51841),
(108116, 'PIRSF037646', NULL, NULL, 1252, NULL, 'Apaf_1', 51842),
(108117, 'PIRSF018234', NULL, NULL, 521, NULL, 'Pp1_interacting', 51843),
(108118, 'PIRSF007972', NULL, NULL, 211, NULL, 'Gra2', 51844),
(108119, 'PIRSF003273', NULL, NULL, 589, NULL, 'Mobilization_A', 51845),
(108120, 'PIRSF020372', NULL, NULL, 160, NULL, 'Rev_Borrelia', 51846),
(108121, 'PIRSF037289', NULL, NULL, 1472, NULL, 'SARA/endofin', 51847),
(108122, 'PIRSF037387', NULL, NULL, 686, NULL, 'JP', 51848),
(108123, 'PIRSF009193', NULL, NULL, 187, NULL, 'UCP009193', 51849),
(108124, 'PIRSF009375', NULL, NULL, 858, NULL, 'Retromer_Vps35', 51850),
(108125, 'PIRSF006156', NULL, NULL, 92, NULL, 'YafQ', 51851),
(108126, 'PIRSF020217', NULL, NULL, 116, NULL, 'UCP020217', 51852),
(108127, 'PIRSF037935', NULL, NULL, 581, NULL, 'TMPRSS13', 51853),
(108128, 'PIRSF038055', NULL, NULL, 553, NULL, 'Nas9_nas10_nas11', 51854),
(108129, 'PIRSF000040', NULL, NULL, 344, NULL, 'MMOH_comp', 51855),
(108130, 'PIRSF037882', NULL, NULL, 726, NULL, 'Subtilisin_rel_fervidolysin', 51856),
(108131, 'PIRSF002111', NULL, NULL, 533, NULL, 'RpsA', 51857),
(108132, 'PIRSF029595', NULL, NULL, 114, NULL, 'LecB', 51858),
(108133, 'PIRSF038189', NULL, NULL, 477, NULL, 'IRAK4', 51859),
(108134, 'PIRSF017535', NULL, NULL, 218, NULL, 'ESCRT1_Vps28', 51860),
(108135, 'PIRSF015848', NULL, NULL, 468, NULL, 'TEBP_alpha', 51861),
(108136, 'PIRSF000136', NULL, NULL, 463, NULL, 'LGO_GLO', 51862),
(108137, 'PIRSF005149', NULL, NULL, 367, NULL, 'IPC-B_HD', 51863),
(108138, 'PIRSF037181', NULL, NULL, 143, NULL, 'UCP037181', 51864),
(108139, 'PIRSF002912', NULL, NULL, 146, NULL, 'PsaK', 51865),
(108140, 'PIRSF036400', NULL, NULL, 264, NULL, 'RR_Ctr_UCP036400', 51866),
(108141, 'PIRSF009264', NULL, NULL, 430, NULL, 'TagBP_ald_acces_AgaZ', 51867),
(108142, 'PIRSF004178', NULL, NULL, 572, NULL, 'DNA_pol_Bac_phage', 51868),
(108143, 'PIRSF005825', NULL, NULL, 73, NULL, 'PufQ', 51869),
(108144, 'PIRSF006755', NULL, NULL, 235, NULL, 'DTB_synth', 51870),
(108145, 'PIRSF000868', NULL, NULL, 246, NULL, '14-3-3', 51871),
(108146, 'PIRSF005637', NULL, NULL, 110, NULL, 'UCP005637', 51872),
(108147, 'PIRSF008315', NULL, NULL, 464, NULL, 'UCP008315', 51873),
(108148, 'PIRSF028998', NULL, NULL, 217, NULL, 'GINS_PSF2', 51874),
(108149, 'PIRSF002379', NULL, NULL, 175, NULL, 'Coagulogen', 51875),
(108150, 'PIRSF000171', NULL, NULL, 586, NULL, 'SDHA_APRA_LASPO', 51876),
(108151, 'PIRSF015626', NULL, NULL, 276, NULL, 'FdhD', 51877),
(108152, 'PIRSF000624', NULL, NULL, 860, NULL, 'TyrPK_TMrec_ROR', 51878),
(108153, 'PIRSF021774', NULL, NULL, 132, NULL, 'UCP021774', 51879),
(108154, 'PIRSF028431', NULL, NULL, 452, NULL, 'UCP028431', 51880),
(108155, 'PIRSF006815', NULL, NULL, 446, NULL, 'GcvPA', 51881),
(108156, 'PIRSF036421', NULL, NULL, 1060, NULL, 'Tricorn_protease', 51882),
(108157, 'PIRSF002855', NULL, NULL, 79, NULL, 'Murein-lipo', 51883),
(108158, 'PIRSF016642', NULL, NULL, 272, NULL, 'UCP016642', 51884),
(108159, 'PIRSF009431', NULL, NULL, 608, NULL, 'UCP009431', 51885),
(108160, 'PIRSF038941', NULL, NULL, 381, NULL, 'NspC', 51886),
(108161, 'PIRSF033563', NULL, NULL, 409, NULL, 'UCP033563', 51887),
(108162, 'PIRSF001444', NULL, NULL, 854, NULL, 'Adenylate_cycl', 51888),
(108163, 'PIRSF035808', NULL, NULL, 285, NULL, 'Pdiesterase_Brain_239', 51889),
(108164, 'PIRSF038196', NULL, NULL, 314, NULL, 'IRF-1_IRF-2', 51890); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(108165, 'PIRSF000412', NULL, NULL, 450, NULL, 'SHMT', 51891),
(108166, 'PIRSF037345', NULL, NULL, 758, NULL, 'ALG8_EndoV', 51892),
(108167, 'PIRSF029285', NULL, NULL, 369, NULL, 'Aminopept', 51893),
(108168, 'PIRSF029393', NULL, NULL, 174, NULL, 'UCP029393', 51894),
(108169, 'PIRSF001002', NULL, NULL, 283, NULL, 'EcoRI', 51895),
(108170, 'PIRSF001992', NULL, NULL, 269, NULL, 'CD74_antigen', 51896),
(108171, 'PIRSF012666', NULL, NULL, 500, NULL, 'UCP012666', 51897),
(108172, 'PIRSF000192', NULL, NULL, 188, NULL, 'Amine_dh_beta', 51898),
(108173, 'PIRSF021438', NULL, NULL, 392, NULL, 'DltD', 51899),
(108174, 'PIRSF028162', NULL, NULL, 239, NULL, 'BcbE', 51900),
(108175, 'PIRSF032673', NULL, NULL, 136, NULL, 'UCP032673', 51901),
(108176, 'PIRSF006692', NULL, NULL, 264, NULL, 'Txn_reg_HTH_AF0396', 51902),
(108177, 'PIRSF006181', NULL, NULL, 160, NULL, 'EbsC_YbaK', 51903),
(108178, 'PIRSF500064', NULL, NULL, 820, NULL, 'GPAT', 51904),
(108179, 'PIRSF000847', NULL, NULL, 187, NULL, 'Phos_ph_gly_syn', 51905),
(108180, 'PIRSF007531', NULL, NULL, 209, NULL, 'CPT', 51906),
(108181, 'PIRSF038159', NULL, NULL, 541, NULL, 'PP1_16AB', 51907),
(108182, 'PIRSF022603', NULL, NULL, 193, NULL, 'UCP022603', 51908),
(108183, 'PIRSF001617', NULL, NULL, 1391, NULL, 'Alpha-AR', 51909),
(108184, 'PIRSF036411', NULL, NULL, 331, NULL, 'ATR_PduO', 51910),
(108185, 'PIRSF029681', NULL, NULL, 184, NULL, 'PagL', 51911),
(108186, 'PIRSF032623', NULL, NULL, 1218, NULL, 'Protease_SSO2181', 51912),
(108187, 'PIRSF000514', NULL, NULL, 1575, NULL, 'Pentafunct_AroM', 51913),
(108188, 'PIRSF000509', NULL, NULL, 448, NULL, 'Trp_DMAT', 51914),
(108189, 'PIRSF005879', NULL, NULL, 317, NULL, 'C/EBP', 51915),
(108190, 'PIRSF500699', NULL, NULL, 491, NULL, 'MDM4', 51916),
(108191, 'PIRSF000345', NULL, NULL, 485, NULL, 'OLE1', 51917),
(108192, 'PIRSF002134', NULL, NULL, 131, NULL, 'RPS13p_RPS13a_RPS18e_RPS13o', 51918),
(108193, 'PIRSF005567', NULL, NULL, 883, NULL, 'Beta''-COP', 51919),
(108194, 'PIRSF011091', NULL, NULL, 720, NULL, 'BBS7', 51920),
(108195, 'PIRSF008292', NULL, NULL, 235, NULL, 'UCP008292', 51921),
(108196, 'PIRSF025560', NULL, NULL, 113, NULL, 'UCP025560', 51922),
(108197, 'PIRSF001145', NULL, NULL, 563, NULL, 'Tissue_plasm_act', 51923),
(108198, 'PIRSF500166', NULL, NULL, 343, NULL, 'HMDII_III', 51924),
(108199, 'PIRSF002967', NULL, NULL, 181, NULL, 'Fimbr_prot_A', 51925),
(108200, 'PIRSF018072', NULL, NULL, 151, NULL, 'UCP018072', 51926),
(108201, 'PIRSF030561', NULL, NULL, 112, NULL, 'UCP030561', 51927),
(108202, 'PIRSF037578', NULL, NULL, 1191, NULL, 'MAPKKK_STE11_Cryp', 51928),
(108203, 'PIRSF027377', NULL, NULL, 141, NULL, 'Nitrile_oxidored_QueF', 51929),
(108204, 'PIRSF003352', NULL, NULL, 298, NULL, 'MAK16', 51930),
(108205, 'PIRSF018327', NULL, NULL, 326, NULL, 'VP40_FiloV', 51931),
(108206, 'PIRSF011502', NULL, NULL, 609, NULL, 'DdrA_PduG', 51932),
(108207, 'PIRSF000661', NULL, NULL, 798, NULL, 'STPK_RAD53', 51933),
(108208, 'PIRSF000857', NULL, NULL, 248, NULL, 'PAPS_reductase', 51934),
(108209, 'PIRSF002936', NULL, NULL, 302, NULL, 'SAT_2', 51935),
(108210, 'PIRSF037251', NULL, NULL, 404, NULL, 'AADAC', 51936),
(108211, 'PIRSF025624', NULL, NULL, 151, NULL, 'ACT_PheB', 51937),
(108212, 'PIRSF001065', NULL, NULL, 185, NULL, 'Lysozyme_g', 51938),
(108213, 'PIRSF006846', NULL, NULL, 166, NULL, 'UL5', 51939),
(108214, 'PIRSF015588', NULL, NULL, 152, NULL, 'AP_complex_sigma', 51940),
(108215, 'PIRSF036388', NULL, NULL, 431, NULL, 'Ctsl_amnpptdse_B', 51941),
(108216, 'PIRSF036945', NULL, NULL, 1090, NULL, 'Spt5', 51942),
(108217, 'PIRSF005644', NULL, NULL, 338, NULL, 'Hdrgns_mtr_HypE', 51943),
(108218, 'PIRSF001586', NULL, NULL, 243, NULL, 'FGAM_synth_I', 51944),
(108219, 'PIRSF000368', NULL, NULL, 177, NULL, 'Anaer_RNR_III_small', 51945),
(108220, 'PIRSF000620', NULL, NULL, 1378, NULL, 'Insulin_receptor', 51946),
(108221, 'PIRSF032067', NULL, NULL, 509, NULL, 'Cyanophycinase', 51947),
(108222, 'PIRSF038181', NULL, NULL, 1435, NULL, 'NCoA', 51948),
(108223, 'PIRSF005859', NULL, NULL, 162, NULL, 'PBR', 51949);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(108224, 'PIRSF002483', NULL, NULL, 96, NULL, 'Plasminogen-related', 51950),
(108225, 'PIRSF016055', NULL, NULL, 405, NULL, 'NqrB', 51951),
(108226, 'PIRSF500824', NULL, NULL, 437, NULL, 'TrpB_prok', 51952),
(108227, 'PIRSF010361', NULL, NULL, 447, NULL, 'UCP010361', 51953),
(108228, 'PIRSF037738', NULL, NULL, 239, NULL, 'UCP037738', 51954),
(108229, 'PIRSF028696', NULL, NULL, 336, NULL, 'UCP028696', 51955),
(108230, 'PIRSF000619', NULL, NULL, 1277, NULL, 'TyrPK_EGF-R', 51956),
(108231, 'PIRSF009554', NULL, NULL, 146, NULL, 'UCP009554', 51957),
(108232, 'PIRSF020632', NULL, NULL, 110, NULL, 'YeaR', 51958),
(108233, 'PIRSF034834', NULL, NULL, 183, NULL, 'PduT', 51959),
(108234, 'PIRSF001069', NULL, NULL, 149, NULL, 'Lytic_enz_p15', 51960),
(108235, 'PIRSF038057', NULL, NULL, 496, NULL, 'Hatching_uvs2', 51961),
(108236, 'PIRSF039020', NULL, NULL, 122, NULL, 'EhpR', 51962),
(108237, 'PIRSF006563', NULL, NULL, 285, NULL, 'UCP006563', 51963),
(108238, 'PIRSF029477', NULL, NULL, 151, NULL, 'UCP029477', 51964),
(108239, 'PIRSF000552', NULL, NULL, 905, NULL, 'PKC_mu_nu_D2', 51965),
(108240, 'PIRSF004932', NULL, NULL, 145, NULL, 'DNA_bp_Tfx', 51966),
(108241, 'PIRSF018432', NULL, NULL, 286, NULL, 'WbeT', 51967),
(108242, 'PIRSF036638', NULL, NULL, 644, NULL, 'M_m6A_StsI', 51968),
(108243, 'PIRSF005962', NULL, NULL, 398, NULL, 'Amidohydrol_AmhX', 51969),
(108244, 'PIRSF037246', NULL, NULL, 77, NULL, 'UCP037246', 51970),
(108245, 'PIRSF017018', NULL, NULL, 185, NULL, 'Tp34', 51971),
(108246, 'PIRSF008505', NULL, NULL, 160, NULL, 'UCP008505', 51972),
(108247, 'PIRSF037660', NULL, NULL, 146, NULL, 'HA-17', 51973),
(108248, 'PIRSF000930', NULL, NULL, 807, NULL, 'PTPN8_PTPN22', 51974),
(108249, 'PIRSF017023', NULL, NULL, 572, NULL, 'KNR4', 51975),
(108250, 'PIRSF004574', NULL, NULL, 128, NULL, 'RepA4', 51976),
(108251, 'PIRSF032676', NULL, NULL, 301, NULL, 'PQQC_032676', 51977),
(108252, 'PIRSF002888', NULL, NULL, 339, NULL, 'FliM', 51978),
(108253, 'PIRSF014439', NULL, NULL, 222, NULL, 'APE1894_ACT', 51979),
(108254, 'PIRSF001478', NULL, NULL, 499, NULL, 'L-ara_isomerase', 51980),
(108255, 'PIRSF005852', NULL, NULL, 510, NULL, 'UCP005852', 51981),
(108256, 'PIRSF013503', NULL, NULL, 267, NULL, 'OTUB', 51982),
(108257, 'PIRSF004108', NULL, NULL, 317, NULL, 'Coat_Tenuivirus', 51983),
(108258, 'PIRSF000770', NULL, NULL, 269, NULL, 'SigK_SigE', 51984),
(108259, 'PIRSF029792', NULL, NULL, 335, NULL, 'Pro_racemase', 51985),
(108260, 'PIRSF011221', NULL, NULL, 250, NULL, 'Chloropl_CC', 51986),
(108261, 'PIRSF006444', NULL, NULL, 439, NULL, 'PaaK', 51987),
(108262, 'PIRSF027893', NULL, NULL, 334, NULL, 'UCP027893', 51988),
(108263, 'PIRSF015875', NULL, NULL, 148, NULL, 'UCP015875', 51989),
(108264, 'PIRSF012535', NULL, NULL, 540, NULL, 'UCP012535', 51990),
(108265, 'PIRSF033239', NULL, NULL, 209, NULL, 'ExoD', 51991),
(108266, 'PIRSF007349', NULL, NULL, 490, NULL, 'Tsp_L', 51992),
(108267, 'PIRSF020370', NULL, NULL, 257, NULL, 'Oms28', 51993),
(108268, 'PIRSF036409', NULL, NULL, 146, NULL, 'EutP_PduV', 51994),
(108269, 'PIRSF012509', NULL, NULL, 389, NULL, 'CamS', 51995),
(108270, 'PIRSF015840', NULL, NULL, 358, NULL, 'Lem3/Cdc50', 51996),
(108271, 'PIRSF006221', NULL, NULL, 294, NULL, 'KT3K', 51997),
(108272, 'PIRSF030837', NULL, NULL, 155, NULL, 'TerW', 51998),
(108273, 'PIRSF012641', NULL, NULL, 349, NULL, 'UCP012641', 51999),
(108274, 'PIRSF003268', NULL, NULL, 228, NULL, 'TraJ_R1', 52000),
(108275, 'PIRSF016839', NULL, NULL, 308, NULL, 'PhP', 52001),
(108276, 'PIRSF030175', NULL, NULL, 261, NULL, 'UCP030175', 52002),
(108277, 'PIRSF013217', NULL, NULL, 315, NULL, 'UCP013217_Opy1', 52003),
(108278, 'PIRSF006500', NULL, NULL, 75, NULL, 'MtrG', 52004),
(108279, 'PIRSF009376', NULL, NULL, 1146, NULL, 'PLD_euk', 52005),
(108280, 'PIRSF015883', NULL, NULL, 462, NULL, 'ADP-Pfk_glckin', 52006),
(108281, 'PIRSF006247', NULL, NULL, 486, NULL, 'TrkH', 52007),
(108282, 'PIRSF011560', NULL, NULL, 190, NULL, 'ComK', 52008),
(108283, 'PIRSF028470', NULL, NULL, 161, NULL, 'UCP028470', 52009),
(108284, 'PIRSF013232', NULL, NULL, 118, NULL, 'UCP013232', 52010);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(108285, 'PIRSF021497', NULL, NULL, 254, NULL, 'Sulfotransf_LpsS', 52011),
(108286, 'PIRSF036630', NULL, NULL, 566, NULL, 'Aconts_X_fused', 52012),
(108287, 'PIRSF020906', NULL, NULL, 162, NULL, 'Anti_s_fact_PmgA', 52013),
(108288, 'PIRSF000854', NULL, NULL, 796, NULL, 'PEP_synthase', 52014),
(108289, 'PIRSF037259', NULL, NULL, 407, NULL, 'ABC_permease_EcsB', 52015),
(108290, 'PIRSF019548', NULL, NULL, 234, NULL, 'TNF_CD30L', 52016),
(108291, 'PIRSF038972', NULL, NULL, 433, NULL, 'Trm12', 52017),
(108292, 'PIRSF032131', NULL, NULL, 142, NULL, 'UCP032131', 52018),
(108293, 'PIRSF000108', NULL, NULL, 428, NULL, 'IDH_NADP', 52019),
(108294, 'PIRSF017302', NULL, NULL, 455, NULL, 'Gltscr2', 52020),
(108295, 'PIRSF000362', NULL, NULL, 472, NULL, 'FNR', 52021),
(108296, 'PIRSF037748', NULL, NULL, 308, NULL, 'RNase_HIII', 52022),
(108297, 'PIRSF031505', NULL, NULL, 261, NULL, 'GalT_short', 52023),
(108298, 'PIRSF000472', NULL, NULL, 564, NULL, 'Alpha1_6FUT_euk', 52024),
(108299, 'PIRSF008109', NULL, NULL, 108, NULL, 'RFamide_ACEP-1', 52025),
(108300, 'PIRSF003817', NULL, NULL, 3416, NULL, 'Gen_Poly_FLV', 52026),
(108301, 'PIRSF037006', NULL, NULL, 355, NULL, 'Wax_synthase', 52027),
(108302, 'PIRSF036459', NULL, NULL, 869, NULL, 'DAP_dec_asp_kin', 52028),
(108303, 'PIRSF006373', NULL, NULL, 176, NULL, 'TFE_archaea', 52029),
(108304, 'PIRSF036402', NULL, NULL, 158, NULL, 'Ureas_acces_UreE', 52030),
(108305, 'PIRSF021383', NULL, NULL, 239, NULL, 'YunB', 52031),
(108306, 'PIRSF018557', NULL, NULL, 177, NULL, 'DAN', 52032),
(108307, 'PIRSF026326', NULL, NULL, 240, NULL, 'InaA', 52033),
(108308, 'PIRSF019236', NULL, NULL, 320, NULL, 'UCP019236', 52034),
(108309, 'PIRSF036767', NULL, NULL, 447, NULL, 'ASM-like_Pdiesterase', 52035),
(108310, 'PIRSF011844', NULL, NULL, 466, NULL, 'Sufu', 52036),
(108311, 'PIRSF028288', NULL, NULL, 206, NULL, 'UCP028288', 52037),
(108312, 'PIRSF036483', NULL, NULL, 417, NULL, 'PFK_XF0274', 52038),
(108313, 'PIRSF000087', NULL, NULL, 125, NULL, 'PYP', 52039),
(108314, 'PIRSF029008', NULL, NULL, 229, NULL, 'MecA', 52040),
(108315, 'PIRSF037999', NULL, NULL, 435, NULL, 'TNFR_3_LTBR', 52041),
(108316, 'PIRSF004602', NULL, NULL, 364, NULL, 'ATPgrasp_PurP', 52042),
(108317, 'PIRSF001535', NULL, NULL, 572, NULL, 'ProRS_1', 52043),
(108318, 'PIRSF002097', NULL, NULL, 99, NULL, 'DNA-bp_Fis', 52044),
(108319, 'PIRSF015617', NULL, NULL, 204, NULL, 'Adenosyltransferase_CobA', 52045),
(108320, 'PIRSF036625', NULL, NULL, 246, NULL, 'GAF_ANTAR', 52046),
(108321, 'PIRSF010252', NULL, NULL, 180, NULL, 'ZapC', 52047),
(108322, 'PIRSF000429', NULL, NULL, 401, NULL, 'Ac-CoA_Ac_transf', 52048),
(108323, 'PIRSF037221', NULL, NULL, 337, NULL, 'UCP037221', 52049),
(108324, 'PIRSF011859', NULL, NULL, 185, NULL, 'TNFR_17_CD269', 52050),
(108325, 'PIRSF038286', NULL, NULL, 475, NULL, 'PRAME', 52051),
(108326, 'PIRSF034961', NULL, NULL, 118, NULL, 'UCP034961_SH3_2', 52052),
(108327, 'PIRSF000451', NULL, NULL, 377, NULL, 'PKS_III', 52053),
(108328, 'PIRSF001734', NULL, NULL, 1802, NULL, 'BRCA1', 52054),
(108329, 'PIRSF001296', NULL, NULL, 193, NULL, 'H/K_exch_ATPase_C', 52055),
(108330, 'PIRSF037793', NULL, NULL, 81, NULL, 'EsaB', 52056),
(108331, 'PIRSF006515', NULL, NULL, 355, NULL, 'KRR1', 52057),
(108332, 'PIRSF001657', NULL, NULL, 158, NULL, 'Alpha-amyl_inhib_seed_allergen', 52058),
(108333, 'PIRSF001698', NULL, NULL, 474, NULL, 'C-ETS', 52059),
(108334, 'PIRSF018100', NULL, NULL, 110, NULL, 'CsgC', 52060),
(108335, 'PIRSF501032', NULL, NULL, 473, NULL, 'C-ets-2', 52061),
(108336, 'PIRSF036654', NULL, NULL, 551, NULL, 'Fum_suc_asp_HD', 52062),
(108337, 'PIRSF039144', NULL, NULL, 112, NULL, 'GlnB', 52063),
(108338, 'PIRSF001021', NULL, NULL, 510, NULL, 'Alph-amls_thrmst', 52064),
(108339, 'PIRSF036534', NULL, NULL, 88, NULL, 'EhaC', 52065),
(108340, 'PIRSF032285', NULL, NULL, 165, NULL, 'UCP032285', 52066),
(108341, 'PIRSF033949', NULL, NULL, 258, NULL, 'Phosest_Mlr3352', 52067),
(108342, 'PIRSF000905', NULL, NULL, 353, NULL, 'G6Pase', 52068),
(108343, 'PIRSF016158', NULL, NULL, 333, NULL, 'HMD', 52069);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(108344, 'PIRSF002816', NULL, NULL, 336, NULL, 'AraF', 52070),
(108345, 'PIRSF036778', NULL, NULL, 273, NULL, 'UCP036778', 52071),
(108346, 'PIRSF005765', NULL, NULL, 264, NULL, 'Fib-L', 52072),
(108347, 'PIRSF019029', NULL, NULL, 462, NULL, 'Txn_fac_bZIP_E4BP4', 52073),
(108348, 'PIRSF037116', NULL, NULL, 265, NULL, 'PhnK', 52074),
(108349, 'PIRSF037901', NULL, NULL, 603, NULL, 'Subtilisin_rel_Nmul_A1891', 52075),
(108350, 'PIRSF500206', NULL, NULL, 319, NULL, 'MtrH', 52076),
(108351, 'PIRSF004486', NULL, NULL, 308, NULL, 'MraW', 52077),
(108352, 'PIRSF012876', NULL, NULL, 321, NULL, 'Txn_rg_UCP012876', 52078),
(108353, 'PIRSF009530', NULL, NULL, 122, NULL, 'Nvp', 52079),
(108354, 'PIRSF022950', NULL, NULL, 373, NULL, 'Pptase_methylesteras', 52080),
(108355, 'PIRSF016570', NULL, NULL, 709, NULL, 'Ku80', 52081),
(108356, 'PIRSF005814', NULL, NULL, 773, NULL, 'MutS_YshD', 52082),
(108357, 'PIRSF017306', NULL, NULL, 160, NULL, 'Ureidoglycolate_hydrolase', 52083),
(108358, 'PIRSF029827', NULL, NULL, 90, NULL, 'Fe_traffic_YggX', 52084),
(108359, 'PIRSF006429', NULL, NULL, 537, NULL, 'GOGAT_lg_2', 52085),
(108360, 'PIRSF000346', NULL, NULL, 379, NULL, 'Dlt9_acylACP_des', 52086),
(108361, 'PIRSF027744', NULL, NULL, 579, NULL, 'Snx9', 52087),
(108362, 'PIRSF006685', NULL, NULL, 195, NULL, 'UCP_006685', 52088),
(108363, 'PIRSF011588', NULL, NULL, 428, NULL, 'Gly_sarc_betain_reduct_a_b', 52089),
(108364, 'PIRSF005091', NULL, NULL, 637, NULL, 'Mmb_sulf_HI1246', 52090),
(108365, 'PIRSF006325', NULL, NULL, 245, NULL, 'Mtase_YecO', 52091),
(108366, 'PIRSF036996', NULL, NULL, 456, NULL, 'RSM23', 52092),
(108367, 'PIRSF011791', NULL, NULL, 565, NULL, 'Retromer_Vps17', 52093),
(108368, 'PIRSF036961', NULL, NULL, 452, NULL, 'Kremen', 52094),
(108369, 'PIRSF015557', NULL, NULL, 386, NULL, 'UCP015557', 52095),
(108370, 'PIRSF015901', NULL, NULL, 186, NULL, 'NAC_alpha', 52096),
(108371, 'PIRSF000606', NULL, NULL, 777, NULL, 'RPS6_kin_2', 52097),
(108372, 'PIRSF032900', NULL, NULL, 455, NULL, 'MALP', 52098),
(108373, 'PIRSF028739', NULL, NULL, 469, NULL, 'Folate/thiamine_transporter', 52099),
(108374, 'PIRSF034303', NULL, NULL, 149, NULL, 'UCP034303', 52100),
(108375, 'PIRSF037567', NULL, NULL, 1301, NULL, 'Mtase_MttB', 52101),
(108376, 'PIRSF021362', NULL, NULL, 191, NULL, 'UCP021362_HAD', 52102),
(108377, 'PIRSF006246', NULL, NULL, 131, NULL, 'ADC', 52103),
(108378, 'PIRSF014728', NULL, NULL, 495, NULL, 'PqaA', 52104),
(108379, 'PIRSF000159', NULL, NULL, 1183, NULL, 'NifJ', 52105),
(108380, 'PIRSF000459', NULL, NULL, 688, NULL, 'TGM_EBP42', 52106),
(108381, 'PIRSF038013', NULL, NULL, 298, NULL, 'TNF10_TNF11', 52107),
(108382, 'PIRSF017901', NULL, NULL, 451, NULL, 'GCL', 52108),
(108383, 'PIRSF000018', NULL, NULL, 448, NULL, 'Mb_ADH_cytochrome_c', 52109),
(108384, 'PIRSF001217', NULL, NULL, 612, NULL, 'Protease_4_SppA', 52110),
(108385, 'PIRSF037092', NULL, NULL, 963, NULL, 'AP3_delta', 52111),
(108386, 'PIRSF006625', NULL, NULL, 276, NULL, 'KduI', 52112),
(108387, 'PIRSF031074', NULL, NULL, 228, NULL, 'UCP031074', 52113),
(108388, 'PIRSF000379', NULL, NULL, 747, NULL, 'For_Ac_trans_1', 52114),
(108389, 'PIRSF027833', NULL, NULL, 425, NULL, 'MtTFB2', 52115),
(108390, 'PIRSF037177', NULL, NULL, 268, NULL, 'COMT_euk', 52116),
(108391, 'PIRSF005427', NULL, NULL, 334, NULL, 'RseB', 52117),
(108392, 'PIRSF037035', NULL, NULL, 99, NULL, 'StpC', 52118),
(108393, 'PIRSF026317', NULL, NULL, 254, NULL, 'UCP026317_WGR', 52119),
(108394, 'PIRSF500063', NULL, NULL, 680, NULL, 'DHAPAT', 52120),
(108395, 'PIRSF038019', NULL, NULL, 266, NULL, 'Neurexophilin', 52121),
(108396, 'PIRSF001000', NULL, NULL, 139, NULL, 'PDG_ENDV', 52122),
(108397, 'PIRSF002512', NULL, NULL, 802, NULL, 'Integrin_B', 52123),
(108398, 'PIRSF005335', NULL, NULL, 443, NULL, 'CCA_arch', 52124),
(108399, 'PIRSF030365', NULL, NULL, 544, NULL, 'UCP030365', 52125),
(108400, 'PIRSF006076', NULL, NULL, 792, NULL, 'Omp85', 52126),
(108401, 'PIRSF021389', NULL, NULL, 129, NULL, 'UCP021389', 52127),
(108402, 'PIRSF038895', NULL, NULL, 513, NULL, 'FPGS', 52128);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(108403, 'PIRSF007948', NULL, NULL, 105, NULL, 'Wun1', 52129),
(108404, 'PIRSF000241', NULL, NULL, 309, NULL, 'Urate_oxidase', 52130),
(108405, 'PIRSF005650', NULL, NULL, 249, NULL, 'Uridylate_kin', 52131),
(108406, 'PIRSF037847', NULL, NULL, 171, NULL, 'NiaR', 52132),
(108407, 'PIRSF000197', NULL, NULL, 1213, NULL, 'Bifunct_PutA', 52133),
(108408, 'PIRSF037527', NULL, NULL, 275, NULL, 'GTPase_Tem1', 52134),
(108409, 'PIRSF037023', NULL, NULL, 672, NULL, 'Api_ROM4_ROM5', 52135),
(108410, 'PIRSF000452', NULL, NULL, 152, NULL, '6-N-acetyltransf', 52136),
(108411, 'PIRSF006661', NULL, NULL, 274, NULL, 'UCP006661_PP-loop', 52137),
(108412, 'PIRSF036489', NULL, NULL, 904, NULL, '10-FTHFDH', 52138),
(108413, 'PIRSF036620', NULL, NULL, 490, NULL, 'MPTbdFAD', 52139),
(108414, 'PIRSF019554', NULL, NULL, 123, NULL, 'LT-IIA', 52140),
(108415, 'PIRSF011869', NULL, NULL, 786, NULL, 'Nibrin_animal', 52141),
(108416, 'PIRSF037113', NULL, NULL, 380, NULL, 'Yin_yang', 52142),
(108417, 'PIRSF000340', NULL, NULL, 579, NULL, 'MPO_fungal', 52143),
(108418, 'PIRSF004440', NULL, NULL, 363, NULL, 'GpP', 52144),
(108419, 'PIRSF021573', NULL, NULL, 216, NULL, 'UCP021573', 52145),
(108420, 'PIRSF027153', NULL, NULL, 198, NULL, 'NNF1', 52146),
(108421, 'PIRSF037456', NULL, NULL, 258, NULL, 'BAMBI', 52147),
(108422, 'PIRSF002811', NULL, NULL, 594, NULL, 'DnaG', 52148),
(108423, 'PIRSF038925', NULL, NULL, 370, NULL, 'AMP-prot_trans', 52149),
(108424, 'PIRSF012755', NULL, NULL, 101, NULL, 'UCP012755', 52150),
(108425, 'PIRSF000161', NULL, NULL, 261, NULL, 'DHPR', 52151),
(108426, 'PIRSF006816', NULL, NULL, 260, NULL, 'Cyc3_hyd_g', 52152),
(108427, 'PIRSF001814', NULL, NULL, 112, NULL, 'Somatostatin', 52153),
(108428, 'PIRSF002900', NULL, NULL, 55, NULL, 'LH-2', 52154),
(108429, 'PIRSF039137', NULL, NULL, 239, NULL, 'ABC_branched_ATPase', 52155),
(108430, 'PIRSF019706', NULL, NULL, 168, NULL, 'EhaB', 52156),
(108431, 'PIRSF036363', NULL, NULL, 912, NULL, 'STPPP_BSU1', 52157),
(108432, 'PIRSF038021', NULL, NULL, 302, NULL, 'UCP038021_RWDD2', 52158),
(108433, 'PIRSF017318', NULL, NULL, 261, NULL, 'Chor_mut_AroQ_eu', 52159),
(108434, 'PIRSF018282', NULL, NULL, 440, NULL, 'MukF', 52160),
(108435, 'PIRSF019711', NULL, NULL, 194, NULL, 'Memb_prtease_arc', 52161),
(108436, 'PIRSF016838', NULL, NULL, 324, NULL, 'PafC', 52162),
(108437, 'PIRSF038885', NULL, NULL, 403, NULL, 'COB', 52163),
(108438, 'PIRSF000865', NULL, NULL, 485, NULL, 'LPL_LIPH', 52164),
(108439, 'PIRSF003440', NULL, NULL, 311, NULL, 'UCP003440', 52165),
(108440, 'PIRSF500808', NULL, NULL, 820, NULL, 'PTPR_alpha', 52166),
(108441, 'PIRSF016919', NULL, NULL, 194, NULL, 'HupE_UreJ', 52167),
(108442, 'PIRSF000641', NULL, NULL, 855, NULL, 'SRK', 52168),
(108443, 'PIRSF033642', NULL, NULL, 279, NULL, 'UCP033642', 52169),
(108444, 'PIRSF004967', NULL, NULL, 366, NULL, 'DPH1', 52170),
(108445, 'PIRSF000014', NULL, NULL, 389, NULL, 'Cytochrome_c_torY_torC', 52171),
(108446, 'PIRSF016468', NULL, NULL, 112, NULL, 'RDS3p', 52172),
(108447, 'PIRSF039093', NULL, NULL, 181, NULL, 'HslV', 52173),
(108448, 'PIRSF006414', NULL, NULL, 296, NULL, 'Ftr_formyl_trnsf', 52174),
(108449, 'PIRSF017085', NULL, NULL, 404, NULL, 'Glycosyltransf_RedA', 52175),
(108450, 'PIRSF037905', NULL, NULL, 1098, NULL, 'Subtilisin_rel_CJE1557', 52176),
(108451, 'PIRSF500210', NULL, NULL, 332, NULL, 'FBPtase', 52177),
(108452, 'PIRSF500741', NULL, NULL, 897, NULL, 'MAPKKK12', 52178),
(108453, 'PIRSF038186', NULL, NULL, 323, NULL, 'ITPK', 52179),
(108454, 'PIRSF024851', NULL, NULL, 193, NULL, 'SCD1', 52180),
(108455, 'PIRSF038994', NULL, NULL, 391, NULL, 'NagA', 52181),
(108456, 'PIRSF016021', NULL, NULL, 286, NULL, 'ESCAROLA', 52182),
(108457, 'PIRSF016792', NULL, NULL, 129, NULL, 'UCP016792', 52183),
(108458, 'PIRSF001205', NULL, NULL, 484, NULL, 'Serralysin', 52184),
(108459, 'PIRSF005419', NULL, NULL, 693, NULL, 'FlhA', 52185),
(108460, 'PIRSF016123', NULL, NULL, 178, NULL, 'UCP016123', 52186),
(108461, 'PIRSF000130', NULL, NULL, 493, NULL, 'IMPDH', 52187),
(108462, 'PIRSF016616', NULL, NULL, 292, NULL, 'HNMT', 52188);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(108463, 'PIRSF038166', NULL, NULL, 227, NULL, 'DMRL_synth_chloropl', 52189),
(108464, 'PIRSF036922', NULL, NULL, 378, NULL, 'RNaseH_PGAM', 52190),
(108465, 'PIRSF037262', NULL, NULL, 73, NULL, 'UCP037262', 52191),
(108466, 'PIRSF003354', NULL, NULL, 1218, NULL, 'Alpha-COP', 52192),
(108467, 'PIRSF036920', NULL, NULL, 412, NULL, 'X4Y4', 52193),
(108468, 'PIRSF008756', NULL, NULL, 193, NULL, 'P_tr_PHO88', 52194),
(108469, 'PIRSF031804', NULL, NULL, 127, NULL, 'UCP031804', 52195),
(108470, 'PIRSF000263', NULL, NULL, 443, NULL, 'Meth_CoM_rd_beta', 52196),
(108471, 'PIRSF011282', NULL, NULL, 236, NULL, 'Synaptogyrin', 52197),
(108472, 'PIRSF036407', NULL, NULL, 347, NULL, 'SelenoP_synth', 52198),
(108473, 'PIRSF031066', NULL, NULL, 409, NULL, 'SPF45', 52199),
(108474, 'PIRSF000099', NULL, NULL, 432, NULL, 'Histidinol_dh', 52200),
(108475, 'PIRSF020785', NULL, NULL, 178, NULL, 'ComB', 52201),
(108476, 'PIRSF005856', NULL, NULL, 326, NULL, 'Rad51', 52202),
(108477, 'PIRSF020588', NULL, NULL, 335, NULL, 'Flk', 52203),
(108478, 'PIRSF005928', NULL, NULL, 226, NULL, 'Nucleotidltrnsf', 52204),
(108479, 'PIRSF029720', NULL, NULL, 132, NULL, 'UCP029720', 52205),
(108480, 'PIRSF036794', NULL, NULL, 438, NULL, 'UCP_erythr_ester', 52206),
(108481, 'PIRSF030125', NULL, NULL, 271, NULL, 'UCP030125', 52207),
(108482, 'PIRSF036575', NULL, NULL, 292, NULL, 'CM_nematode', 52208),
(108483, 'PIRSF037290', NULL, NULL, 220, NULL, 'UCP037290', 52209),
(108484, 'PIRSF001600', NULL, NULL, 341, NULL, 'DNA_ligase_T3', 52210),
(108485, 'PIRSF011668', NULL, NULL, 675, NULL, 'Ccz1p', 52211),
(108486, 'PIRSF005784', NULL, NULL, 189, NULL, 'RnfB', 52212),
(108487, 'PIRSF015589', NULL, NULL, 708, NULL, 'PPK_bact', 52213),
(108488, 'PIRSF000726', NULL, NULL, 461, NULL, 'Asp_kin', 52214),
(108489, 'PIRSF004911', NULL, NULL, 404, NULL, 'L-lysine_2_3-aminomutase', 52215),
(108490, 'PIRSF034285', NULL, NULL, 271, NULL, 'UCP034285', 52216),
(108491, 'PIRSF029745', NULL, NULL, 577, NULL, 'FhaC', 52217),
(108492, 'PIRSF004955', NULL, NULL, 266, NULL, 'HTH_arch', 52218),
(108493, 'PIRSF004525', NULL, NULL, 194, NULL, 'Pilin_peptidase-dep_B', 52219),
(108494, 'PIRSF037336', NULL, NULL, 703, NULL, 'IspG_partdup', 52220),
(108495, 'PIRSF037941', NULL, NULL, 421, NULL, 'TMPRSS11ABCDE', 52221),
(108496, 'PIRSF003073', NULL, NULL, 255, NULL, 'DNAC_TnpB_IstB', 52222),
(108497, 'PIRSF016095', NULL, NULL, 445, NULL, 'VirD2', 52223),
(108498, 'PIRSF038139', NULL, NULL, 724, NULL, 'EF-2_kin', 52224),
(108499, 'PIRSF025725', NULL, NULL, 287, NULL, 'UCP025725', 52225),
(108500, 'PIRSF005646', NULL, NULL, 433, NULL, 'FwdB', 52226),
(108501, 'PIRSF032086', NULL, NULL, 234, NULL, 'UCP032086', 52227),
(108502, 'PIRSF004990', NULL, NULL, 63, NULL, 'UCP004990', 52228),
(108503, 'PIRSF038085', NULL, NULL, 151, NULL, 'ChM-II', 52229),
(108504, 'PIRSF500794', NULL, NULL, 454, NULL, 'Thiamine_transporter_1', 52230),
(108505, 'PIRSF001665', NULL, NULL, 52, NULL, 'PLB', 52231),
(108506, 'PIRSF038141', NULL, NULL, 976, NULL, 'PP1_12ABC_vert', 52232),
(108507, 'PIRSF029611', NULL, NULL, 117, NULL, 'UCP029611', 52233),
(108508, 'PIRSF002799', NULL, NULL, 778, NULL, 'PBP1b', 52234),
(108509, 'PIRSF037062', NULL, NULL, 189, NULL, 'INSL6', 52235),
(108510, 'PIRSF006346', NULL, NULL, 447, NULL, 'Ni_metllenz_mat', 52236),
(108511, 'PIRSF005096', NULL, NULL, 355, NULL, 'GALM', 52237),
(108512, 'PIRSF018357', NULL, NULL, 253, NULL, 'Trans_reg_ArsR', 52238),
(108513, 'PIRSF005648', NULL, NULL, 90, NULL, 'UCP005648_Ca_binding', 52239),
(108514, 'PIRSF029502', NULL, NULL, 124, NULL, 'UCP029502', 52240),
(108515, 'PIRSF036773', NULL, NULL, 247, NULL, 'HIRIP5', 52241),
(108516, 'PIRSF000032', NULL, NULL, 215, NULL, 'Cytochrome_b6', 52242),
(108517, 'PIRSF018266', NULL, NULL, 328, NULL, 'FecR', 52243),
(108518, 'PIRSF037471', NULL, NULL, 396, NULL, 'UCP037471', 52244),
(108519, 'PIRSF038132', NULL, NULL, 302, NULL, 'NUDIX_AtNUDT22', 52245),
(108520, 'PIRSF028170', NULL, NULL, 156, NULL, 'UCP028170', 52246),
(108521, 'PIRSF018269', NULL, NULL, 436, NULL, 'CDP-DAG_synth_e', 52247);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(108522, 'PIRSF037402', NULL, NULL, 367, NULL, 'Lefty', 52248),
(108523, 'PIRSF003796', NULL, NULL, 233, NULL, 'M-T4_MXV', 52249),
(108524, 'PIRSF017179', NULL, NULL, 901, NULL, 'RISC-Tudor-SN', 52250),
(108525, 'PIRSF001146', NULL, NULL, 592, NULL, 'Factor_XII_HGFA', 52251),
(108526, 'PIRSF016281', NULL, NULL, 553, NULL, 'Transl_init_eIF3d', 52252),
(108527, 'PIRSF004698', NULL, NULL, 500, NULL, 'UCP_CBS_MJ0100', 52253),
(108528, 'PIRSF006105', NULL, NULL, 156, NULL, 'NapB', 52254),
(108529, 'PIRSF036490', NULL, NULL, 797, NULL, 'Aldedh_dupl', 52255),
(108530, 'PIRSF037991', NULL, NULL, 457, NULL, 'UCP037991_UBX_2_7', 52256),
(108531, 'PIRSF000283', NULL, NULL, 60, NULL, 'COX9', 52257),
(108532, 'PIRSF005557', NULL, NULL, 384, NULL, 'Sialyl_trans', 52258),
(108533, 'PIRSF000378', NULL, NULL, 124, NULL, 'Gly_radicl_YfiD', 52259),
(108534, 'PIRSF037281', NULL, NULL, 587, NULL, 'Wee1_like_PK', 52260),
(108535, 'PIRSF038163', NULL, NULL, 547, NULL, 'ITPK_unchar_domain', 52261),
(108536, 'PIRSF018136', NULL, NULL, 441, NULL, 'L_lectin_yeast', 52262),
(108537, 'PIRSF014484', NULL, NULL, 251, NULL, 'UCP014484', 52263),
(108538, 'PIRSF029775', NULL, NULL, 104, NULL, 'Isochor_pyr_lyas', 52264),
(108539, 'PIRSF014543', NULL, NULL, 125, NULL, 'UCP014543', 52265),
(108540, 'PIRSF000484', NULL, NULL, 456, NULL, 'NAPRT', 52266),
(108541, 'PIRSF500720', NULL, NULL, 435, NULL, 'TEF-5', 52267),
(108542, 'PIRSF017818', NULL, NULL, 238, NULL, 'Acid_Ptase_B', 52268),
(108543, 'PIRSF000097', NULL, NULL, 321, NULL, 'AKR', 52269),
(108544, 'PIRSF028840', NULL, NULL, 402, NULL, 'MMP37', 52270),
(108545, 'PIRSF036613', NULL, NULL, 214, NULL, 'LytTR', 52271),
(108546, 'PIRSF036626', NULL, NULL, 536, NULL, 'MPTBd_MobAlike', 52272),
(108547, 'PIRSF037219', NULL, NULL, 369, NULL, 'NOS_oxygenase', 52273),
(108548, 'PIRSF004305', NULL, NULL, 81, NULL, 'Imm', 52274),
(108549, 'PIRSF017292', NULL, NULL, 108, NULL, 'UCP017292_zn', 52275),
(108550, 'PIRSF000845', NULL, NULL, 1293, NULL, 'mRNA_capping_reovirus', 52276),
(108551, 'PIRSF005900', NULL, NULL, 170, NULL, 'Dps', 52277),
(108552, 'PIRSF009141', NULL, NULL, 268, NULL, 'UCP009141', 52278),
(108553, 'PIRSF001434', NULL, NULL, 406, NULL, 'CGS', 52279),
(108554, 'PIRSF005954', NULL, NULL, 211, NULL, 'Thrmst_ogg', 52280),
(108555, 'PIRSF007036', NULL, NULL, 111, NULL, 'Elb1', 52281),
(108556, 'PIRSF003841', NULL, NULL, 517, NULL, 'Gypsy_env', 52282),
(108557, 'PIRSF037852', NULL, NULL, 1246, NULL, 'Subtilisin_rel_SAV5721', 52283),
(108558, 'PIRSF000110', NULL, NULL, 501, NULL, 'G6PD', 52284),
(108559, 'PIRSF030471', NULL, NULL, 242, NULL, 'STR_Vng0742h', 52285),
(108560, 'PIRSF015578', NULL, NULL, 431, NULL, 'Myoinositol-ppht_synth', 52286),
(108561, 'PIRSF037708', NULL, NULL, 150, NULL, 'Protein_FYV7', 52287),
(108562, 'PIRSF031890', NULL, NULL, 229, NULL, 'UCP031890_transporter_Tim44', 52288),
(108563, 'PIRSF037714', NULL, NULL, 462, NULL, 'TolR', 52289),
(108564, 'PIRSF029876', NULL, NULL, 110, NULL, 'UCP029876', 52290),
(108565, 'PIRSF032442', NULL, NULL, 245, NULL, 'UCP032442', 52291),
(108566, 'PIRSF001959', NULL, NULL, 508, NULL, 'EPO_receptor', 52292),
(108567, 'PIRSF006748', NULL, NULL, 488, NULL, 'MDM_2/4', 52293),
(108568, 'PIRSF016305', NULL, NULL, 332, NULL, 'LCMT', 52294),
(108569, 'PIRSF038165', NULL, NULL, 917, NULL, 'MAPKKK12_MAPKKK13', 52295),
(108570, 'PIRSF038169', NULL, NULL, 371, NULL, 'WD_rpt_55', 52296),
(108571, 'PIRSF037866', NULL, NULL, 354, NULL, 'EBP50', 52297),
(108572, 'PIRSF003047', NULL, NULL, 1887, NULL, 'TFIID_TAF1_animal', 52298),
(108573, 'PIRSF002756', NULL, NULL, 370, NULL, 'PstS', 52299),
(108574, 'PIRSF027779', NULL, NULL, 163, NULL, 'UCP207779', 52300),
(108575, 'PIRSF036540', NULL, NULL, 327, NULL, 'UCP036540_AIR', 52301),
(108576, 'PIRSF031737', NULL, NULL, 294, NULL, 'TM_LytTR', 52302),
(108577, 'PIRSF015894', NULL, NULL, 664, NULL, 'PRMT5', 52303),
(108578, 'PIRSF026631', NULL, NULL, 498, NULL, 'UCP026631', 52304),
(108579, 'PIRSF037995', NULL, NULL, 467, NULL, 'CB-R', 52305),
(108580, 'PIRSF021332', NULL, NULL, 206, NULL, 'UCP021332', 52306);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(108581, 'PIRSF036665', NULL, NULL, 878, NULL, 'Sulf1', 52307),
(108582, 'PIRSF015981', NULL, NULL, 354, NULL, 'VAC_F11L', 52308),
(108583, 'PIRSF001110', NULL, NULL, 152, NULL, 'ADOMetase', 52309),
(108584, 'PIRSF016551', NULL, NULL, 231, NULL, 'SAS5/TFIID_14', 52310),
(108585, 'PIRSF001330', NULL, NULL, 261, NULL, 'IOD', 52311),
(108586, 'PIRSF037232', NULL, NULL, 1472, NULL, 'Tricalbin', 52312),
(108587, 'PIRSF036431', NULL, NULL, 628, NULL, 'HK_DctB', 52313),
(108588, 'PIRSF016433', NULL, NULL, 234, NULL, 'Viral_DNA_prim', 52314),
(108589, 'PIRSF004374', NULL, NULL, 215, NULL, 'Gp59', 52315),
(108590, 'PIRSF037437', NULL, NULL, 691, NULL, 'Atp22', 52316),
(108591, 'PIRSF033094', NULL, NULL, 233, NULL, 'Pesterase_CT488', 52317),
(108592, 'PIRSF006456', NULL, NULL, 128, NULL, 'UCP006456', 52318),
(108593, 'PIRSF004848', NULL, NULL, 242, NULL, 'YBL036c_PLPDEIII', 52319),
(108594, 'PIRSF036543', NULL, NULL, 286, NULL, 'YdrC_chlamyd', 52320),
(108595, 'PIRSF037250', NULL, NULL, 663, NULL, 'CcmM', 52321),
(108596, 'PIRSF020736', NULL, NULL, 207, NULL, 'MiaE', 52322),
(108597, 'PIRSF004604', NULL, NULL, 103, NULL, 'UCP004604', 52323),
(108598, 'PIRSF036500', NULL, NULL, 327, NULL, 'GMP_red_Firmic', 52324),
(108599, 'PIRSF003161', NULL, NULL, 338, NULL, 'FliG', 52325),
(108600, 'PIRSF500687', NULL, NULL, 134, NULL, 'MTase_demethylubiq_bact', 52326),
(108601, 'PIRSF006318', NULL, NULL, 141, NULL, 'YhcB', 52327),
(108602, 'PIRSF038015', NULL, NULL, 457, NULL, 'N-chimaerin', 52328),
(108603, 'PIRSF027386', NULL, NULL, 337, NULL, 'UCP027386_ABC_sbc_TM0202', 52329),
(108604, 'PIRSF005246', NULL, NULL, 1487, NULL, 'MukB', 52330),
(108605, 'PIRSF036593', NULL, NULL, 383, NULL, 'GrdD', 52331),
(108606, 'PIRSF016662', NULL, NULL, 295, NULL, 'UCP016662_Toprim', 52332),
(108607, 'PIRSF037495', NULL, NULL, 476, NULL, 'OoxA/HcnB', 52333),
(108608, 'PIRSF005348', NULL, NULL, 440, NULL, 'YxkH', 52334),
(108609, 'PIRSF028139', NULL, NULL, 114, NULL, 'DOPA-diox_rel_Mll2280', 52335),
(108610, 'PIRSF010340', NULL, NULL, 5052, NULL, 'Midasin', 52336),
(108611, 'PIRSF007858', NULL, NULL, 432, NULL, 'ORC4', 52337),
(108612, 'PIRSF000083', NULL, NULL, 67, NULL, 'Allophyco_linker', 52338),
(108613, 'PIRSF006404', NULL, NULL, 364, NULL, 'UCP_M50_CBS', 52339),
(108614, 'PIRSF018169', NULL, NULL, 514, NULL, 'PAF_acetylhydrolase', 52340),
(108615, 'PIRSF008757', NULL, NULL, 168, NULL, 'UCP008757', 52341),
(108616, 'PIRSF011789', NULL, NULL, 405, NULL, 'tRNA_endo_SEN2', 52342),
(108617, 'PIRSF031767', NULL, NULL, 305, NULL, 'MHYE_LytTR', 52343),
(108618, 'PIRSF037238', NULL, NULL, 381, NULL, 'Carboxypeptidase_G2', 52344),
(108619, 'PIRSF019375', NULL, NULL, 505, NULL, 'UCP019375', 52345),
(108620, 'PIRSF026532', NULL, NULL, 292, NULL, 'Mtx2_tox', 52346),
(108621, 'PIRSF037945', NULL, NULL, 200, NULL, 'PGRP-S', 52347),
(108622, 'PIRSF037433', NULL, NULL, 491, NULL, 'HK_STH3221', 52348),
(108623, 'PIRSF037867', NULL, NULL, 417, NULL, 'CD261_antigen', 52349),
(108624, 'PIRSF019073', NULL, NULL, 299, NULL, 'UCP019073', 52350),
(108625, 'PIRSF037270', NULL, NULL, 587, NULL, 'MIS', 52351),
(108626, 'PIRSF028503', NULL, NULL, 550, NULL, 'UCP028503', 52352),
(108627, 'PIRSF017016', NULL, NULL, 167, NULL, 'NDUA8', 52353),
(108628, 'PIRSF001866', NULL, NULL, 177, NULL, 'Mating_factor_alpha', 52354),
(108629, 'PIRSF009935', NULL, NULL, 102, NULL, 'TCTA', 52355),
(108630, 'PIRSF037442', NULL, NULL, 294, NULL, 'UCP037442_abhydr', 52356),
(108631, 'PIRSF001563', NULL, NULL, 440, NULL, 'Folylpolyglu_synth', 52357),
(108632, 'PIRSF000862', NULL, NULL, 408, NULL, 'Steryl_ester_lip', 52358),
(108633, 'PIRSF000384', NULL, NULL, 263, NULL, 'PNMTase', 52359),
(108634, 'PIRSF009309', NULL, NULL, 213, NULL, 'RE_BamHI', 52360),
(108635, 'PIRSF037205', NULL, NULL, 52, NULL, 'UCP037205', 52361),
(108636, 'PIRSF003159', NULL, NULL, 181, NULL, 'FlhC', 52362),
(108637, 'PIRSF029570', NULL, NULL, 948, NULL, 'UCP029570', 52363),
(108638, 'PIRSF005444', NULL, NULL, 208, NULL, 'PEMT_MPLS', 52364),
(108639, 'PIRSF029256', NULL, NULL, 155, NULL, 'SpoU_TrmH', 52365); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(108640, 'PIRSF037988', NULL, NULL, 379, NULL, 'UCP037988', 52366),
(108641, 'PIRSF005965', NULL, NULL, 125, NULL, 'Chor_mut_AroH', 52367),
(108642, 'PIRSF022996', NULL, NULL, 187, NULL, 'SAG2', 52368),
(108643, 'PIRSF003336', NULL, NULL, 230, NULL, 'RadB', 52369),
(108644, 'PIRSF032762', NULL, NULL, 450, NULL, 'UCP032762', 52370),
(108645, 'PIRSF033905', NULL, NULL, 332, NULL, 'UCP033905', 52371),
(108646, 'PIRSF015477', NULL, NULL, 1433, NULL, 'Bpr', 52372),
(108647, 'PIRSF004699', NULL, NULL, 265, NULL, 'UCP_CBS_ParB', 52373),
(108648, 'PIRSF018417', NULL, NULL, 559, NULL, 'FACC_protein', 52374),
(108649, 'PIRSF004930', NULL, NULL, 346, NULL, 'Tln_factor_SUA5', 52375),
(108650, 'PIRSF029826', NULL, NULL, 123, NULL, 'UCP029826_pph', 52376),
(108651, 'PIRSF034081', NULL, NULL, 502, NULL, 'ATPase_Atu1862', 52377),
(108652, 'PIRSF033132', NULL, NULL, 494, NULL, 'UCP033132', 52378),
(108653, 'PIRSF037010', NULL, NULL, 86, NULL, 'SF3B5', 52379),
(108654, 'PIRSF005653', NULL, NULL, 73, NULL, 'RpoN_RPB10', 52380),
(108655, 'PIRSF000089', NULL, NULL, 328, NULL, 'Electra_flavoP_a', 52381),
(108656, 'PIRSF037125', NULL, NULL, 461, NULL, 'Nob1', 52382),
(108657, 'PIRSF006698', NULL, NULL, 435, NULL, 'Septin', 52383),
(108658, 'PIRSF000939', NULL, NULL, 373, NULL, 'MAPK_Ptase', 52384),
(108659, 'PIRSF009374', NULL, NULL, 453, NULL, 'RUNX_CBFa', 52385),
(108660, 'PIRSF004117', NULL, NULL, 82, NULL, 'Phage_coat_B', 52386),
(108661, 'PIRSF037898', NULL, NULL, 1285, NULL, 'Subtilisin_rel_Sputw3181_3341', 52387),
(108662, 'PIRSF011484', NULL, NULL, 180, NULL, 'YaeQ', 52388),
(108663, 'PIRSF006091', NULL, NULL, 211, NULL, 'E_trnsport_RnfG', 52389),
(108664, 'PIRSF000177', NULL, NULL, 259, NULL, 'Fumar_rd_cyt_b', 52390),
(108665, 'PIRSF018425', NULL, NULL, 596, NULL, 'PolyA_polymerase', 52391),
(108666, 'PIRSF008381', NULL, NULL, 707, NULL, 'TP0020_vWA', 52392),
(108667, 'PIRSF031501', NULL, NULL, 166, NULL, 'QueT', 52393),
(108668, 'PIRSF032522', NULL, NULL, 462, NULL, 'TcaA', 52394),
(108669, 'PIRSF002356', NULL, NULL, 407, NULL, 'Calreticulin', 52395),
(108670, 'PIRSF036055', NULL, NULL, 158, NULL, 'UCP036055', 52396),
(108671, 'PIRSF003278', NULL, NULL, 89, NULL, 'SopC', 52397),
(108672, 'PIRSF002686', NULL, NULL, 443, NULL, 'SLG', 52398),
(108673, 'PIRSF018867', NULL, NULL, 115, NULL, 'Na_decarb_PF0672', 52399),
(108674, 'PIRSF002030', NULL, NULL, 130, NULL, 'Globin_Protozoa_Cyanob', 52400),
(108675, 'PIRSF003779', NULL, NULL, 158, NULL, 'VAC_C7L', 52401),
(108676, 'PIRSF023322', NULL, NULL, 190, NULL, 'UCP023322_TM_coiled-coil', 52402),
(108677, 'PIRSF037185', NULL, NULL, 497, NULL, 'Cetp', 52403),
(108678, 'PIRSF002297', NULL, NULL, 2332, NULL, 'Spectrin_beta', 52404),
(108679, 'PIRSF010606', NULL, NULL, 89, NULL, 'CotJB', 52405),
(108680, 'PIRSF037260', NULL, NULL, 92, NULL, 'UCP037260', 52406),
(108681, 'PIRSF023925', NULL, NULL, 103, NULL, 'G0S2', 52407),
(108682, 'PIRSF038065', NULL, NULL, 401, NULL, 'TNFR_11B', 52408),
(108683, 'PIRSF039099', NULL, NULL, 534, NULL, 'APP-BP1', 52409),
(108684, 'PIRSF002341', NULL, NULL, 3657, NULL, 'Dystrophin_utrophin', 52410),
(108685, 'PIRSF018814', NULL, NULL, 218, NULL, 'UCP018814', 52411),
(108686, 'PIRSF036573', NULL, NULL, 1025, NULL, 'REV1', 52412),
(108687, 'PIRSF038151', NULL, NULL, 97, NULL, 'TOM9-2_plant', 52413),
(108688, 'PIRSF006530', NULL, NULL, 266, NULL, 'MtrC', 52414),
(108689, 'PIRSF037240', NULL, NULL, 269, NULL, 'MAF1', 52415),
(108690, 'PIRSF032543', NULL, NULL, 254, NULL, 'UCP032543_ParB', 52416),
(108691, 'PIRSF008129', NULL, NULL, 228, NULL, 'Noggin', 52417),
(108692, 'PIRSF019164', NULL, NULL, 310, NULL, 'UCP019164', 52418),
(108693, 'PIRSF038056', NULL, NULL, 616, NULL, 'BP10_SPAN', 52419),
(108694, 'PIRSF038901', NULL, NULL, 1431, NULL, 'AQR_cwf11', 52420),
(108695, 'PIRSF031503', NULL, NULL, 260, NULL, 'UCP031503_mp', 52421),
(108696, 'PIRSF005956', NULL, NULL, 270, NULL, 'BtpA', 52422),
(108697, 'PIRSF037327', NULL, NULL, 590, NULL, 'TFIIIB_Bdp1_fungal', 52423),
(108698, 'PIRSF008546', NULL, NULL, 143, NULL, 'UCP008546', 52424);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(108699, 'PIRSF030066', NULL, NULL, 151, NULL, 'UCP030066', 52425),
(108700, 'PIRSF000471', NULL, NULL, 400, NULL, 'Alpha_GT', 52426),
(108701, 'PIRSF014677', NULL, NULL, 528, NULL, 'UCP014677', 52427),
(108702, 'PIRSF033018', NULL, NULL, 380, NULL, 'EspD', 52428),
(108703, 'PIRSF037163', NULL, NULL, 355, NULL, 'PRDM12', 52429),
(108704, 'PIRSF000382', NULL, NULL, 767, NULL, 'Met_synth_MetE', 52430),
(108705, 'PIRSF000235', NULL, NULL, 348, NULL, 'GMP_reductase', 52431),
(108706, 'PIRSF014899', NULL, NULL, 281, NULL, 'UCP014899', 52432),
(108707, 'PIRSF021940', NULL, NULL, 131, NULL, 'UCP021940', 52433),
(108708, 'PIRSF009449', NULL, NULL, 504, NULL, 'DNA_primase_large', 52434),
(108709, 'PIRSF018579', NULL, NULL, 113, NULL, 'Sbp', 52435),
(108710, 'PIRSF003174', NULL, NULL, 165, NULL, 'CreA', 52436),
(108711, 'PIRSF034852', NULL, NULL, 97, NULL, 'UCP034852', 52437),
(108712, 'PIRSF016465', NULL, NULL, 573, NULL, 'Kapp', 52438),
(108713, 'PIRSF038098', NULL, NULL, 385, NULL, 'SOX-12/11/4a', 52439),
(108714, 'PIRSF500061', NULL, NULL, 482, NULL, 'GOGAT_lg2_archl', 52440),
(108715, 'PIRSF030218', NULL, NULL, 575, NULL, 'Mannosyltr_MA4085', 52441),
(108716, 'PIRSF006521', NULL, NULL, 88, NULL, 'TEF-1-beta_archaea', 52442),
(108717, 'PIRSF038995', NULL, NULL, 602, NULL, 'SRP68', 52443),
(108718, 'PIRSF001155', NULL, NULL, 706, NULL, 'C1r_C1s_MASP', 52444),
(108719, 'PIRSF038157', NULL, NULL, 254, NULL, 'Cpn21', 52445),
(108720, 'PIRSF037799', NULL, NULL, 78, NULL, 'Tautomer_YdcE', 52446),
(108721, 'PIRSF037828', NULL, NULL, 110, NULL, 'SAP', 52447),
(108722, 'PIRSF031854', NULL, NULL, 346, NULL, 'UCP031854', 52448),
(108723, 'PIRSF026166', NULL, NULL, 340, NULL, 'UCP026166', 52449),
(108724, 'PIRSF035918', NULL, NULL, 324, NULL, 'UCP035918', 52450),
(108725, 'PIRSF000774', NULL, NULL, 466, NULL, 'RpoN', 52451),
(108726, 'PIRSF038036', NULL, NULL, 214, NULL, 'Cdc42ep2', 52452),
(108727, 'PIRSF012560', NULL, NULL, 309, NULL, 'UCP012560', 52453),
(108728, 'PIRSF036615', NULL, NULL, 402, NULL, 'MHYT_LytTR', 52454),
(108729, 'PIRSF000194', NULL, NULL, 170, NULL, 'DHFR', 52455),
(108730, 'PIRSF011416', NULL, NULL, 203, NULL, 'Ais-TraG-AfrS', 52456),
(108731, 'PIRSF000454', NULL, NULL, 1843, NULL, 'FAS_yeast_alpha', 52457),
(108732, 'PIRSF003962', NULL, NULL, 1684, NULL, 'M_poly_NairoV', 52458),
(108733, 'PIRSF018636', NULL, NULL, 472, NULL, 'CbiX_N-term', 52459),
(108734, 'PIRSF009283', NULL, NULL, 377, NULL, '4HPP_dioxygenase', 52460),
(108735, 'PIRSF000410', NULL, NULL, 290, NULL, 'CheR', 52461),
(108736, 'PIRSF007248', NULL, NULL, 103, NULL, 'UCP007248', 52462),
(108737, 'PIRSF000610', NULL, NULL, 870, NULL, 'STPK_YKL171w', 52463),
(108738, 'PIRSF019634', NULL, NULL, 832, NULL, 'tRNA_lig_yeast', 52464),
(108739, 'PIRSF038039', NULL, NULL, 246, NULL, 'UCP038039_Lin-7_homol', 52465),
(108740, 'PIRSF002161', NULL, NULL, 193, NULL, 'RPL5p_RPL5a_RPL11e_RPL5o', 52466),
(108741, 'PIRSF031568', NULL, NULL, 127, NULL, 'UCP031568', 52467),
(108742, 'PIRSF000162', NULL, NULL, 429, NULL, 'P_chlorophyll_rd', 52468),
(108743, 'PIRSF015629', NULL, NULL, 566, NULL, 'VAC_E6R', 52469),
(108744, 'PIRSF035823', NULL, NULL, 841, NULL, 'VirD5_Agrobacterium', 52470),
(108745, 'PIRSF002572', NULL, NULL, 147, NULL, 'PIP-GCDFP-15', 52471),
(108746, 'PIRSF500207', NULL, NULL, 240, NULL, 'MtrA', 52472),
(108747, 'PIRSF036592', NULL, NULL, 396, NULL, 'Methlestr_CheB', 52473),
(108748, 'PIRSF001112', NULL, NULL, 449, NULL, 'Epoxide_hydro', 52474),
(108749, 'PIRSF016719', NULL, NULL, 419, NULL, 'UCP016719', 52475),
(108750, 'PIRSF003900', NULL, NULL, 738, NULL, 'N_FiloV', 52476),
(108751, 'PIRSF007043', NULL, NULL, 182, NULL, 'YopQ', 52477),
(108752, 'PIRSF036289', NULL, NULL, 786, NULL, 'Glycosyl_hydrolase_malt_phosph', 52478),
(108753, 'PIRSF028757', NULL, NULL, 310, NULL, 'LD-carboxypeptidase', 52479),
(108754, 'PIRSF018871', NULL, NULL, 441, NULL, 'UCP018871', 52480),
(108755, 'PIRSF016398', NULL, NULL, 296, NULL, 'TFIIE-beta', 52481),
(108756, 'PIRSF500181', NULL, NULL, 761, NULL, 'Complement_B', 52482),
(108757, 'PIRSF000303', NULL, NULL, 191, NULL, 'Glutathion_perox', 52483);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(108758, 'PIRSF035875', NULL, NULL, 306, NULL, 'RNase_BN', 52484),
(108759, 'PIRSF018875', NULL, NULL, 499, NULL, 'UCP018875_ABC_perm', 52485),
(108760, 'PIRSF005719', NULL, NULL, 1196, NULL, 'SMC', 52486),
(108761, 'PIRSF012296', NULL, NULL, 116, NULL, 'EutS_PduU', 52487),
(108762, 'PIRSF000617', NULL, NULL, 1406, NULL, 'TyrPK_HGF-R', 52488),
(108763, 'PIRSF000440', NULL, NULL, 215, NULL, 'CAT', 52489),
(108764, 'PIRSF036312', NULL, NULL, 2873, NULL, 'Fibrillin', 52490),
(108765, 'PIRSF036551', NULL, NULL, 291, NULL, 'Chitosanase', 52491),
(108766, 'PIRSF016571', NULL, NULL, 168, NULL, 'C/EBPzeta_CHOP_DDIT3', 52492),
(108767, 'PIRSF000497', NULL, NULL, 389, NULL, 'MAT', 52493),
(108768, 'PIRSF018461', NULL, NULL, 283, NULL, 'Phage_rep_C1', 52494),
(108769, 'PIRSF037930', NULL, NULL, 678, NULL, 'K_endopeptidase', 52495),
(108770, 'PIRSF029900', NULL, NULL, 719, NULL, 'Alpha-glucuronds', 52496),
(108771, 'PIRSF000101', NULL, NULL, 567, NULL, 'D-lactate_dh', 52497),
(108772, 'PIRSF016992', NULL, NULL, 273, NULL, 'Txn_fac_GATA_plant', 52498),
(108773, 'PIRSF011362', NULL, NULL, 279, NULL, 'DevR', 52499),
(108774, 'PIRSF015162', NULL, NULL, 197, NULL, 'IL-18', 52500),
(108775, 'PIRSF036750', NULL, NULL, 246, NULL, 'dCMP_HMase', 52501),
(108776, 'PIRSF037938', NULL, NULL, 358, NULL, 'SIR2_euk', 52502),
(108777, 'PIRSF001480', NULL, NULL, 425, NULL, 'PMI', 52503),
(108778, 'PIRSF019883', NULL, NULL, 102, NULL, 'UCP019883', 52504),
(108779, 'PIRSF027202', NULL, NULL, 571, NULL, 'Ced_4', 52505),
(108780, 'PIRSF036517', NULL, NULL, 147, NULL, 'Ext_hemo', 52506),
(108781, 'PIRSF001951', NULL, NULL, 195, NULL, 'EPO', 52507),
(108782, 'PIRSF003196', NULL, NULL, 101, NULL, 'Trp_repressor', 52508),
(108783, 'PIRSF005562', NULL, NULL, 2059, NULL, 'FAS_yeast_beta', 52509),
(108784, 'PIRSF000912', NULL, NULL, 664, NULL, 'PPEF', 52510),
(108785, 'PIRSF004944', NULL, NULL, 308, NULL, 'UCP004944_hydrls', 52511),
(108786, 'PIRSF031475', NULL, NULL, 265, NULL, 'UCP031475', 52512),
(108787, 'PIRSF000336', NULL, NULL, 484, NULL, 'TH', 52513),
(108788, 'PIRSF006170', NULL, NULL, 215, NULL, 'YfgM', 52514),
(108789, 'PIRSF009180', NULL, NULL, 241, NULL, 'UCP009180', 52515),
(108790, 'PIRSF012702', NULL, NULL, 501, NULL, 'MlrC', 52516),
(108791, 'PIRSF021441', NULL, NULL, 163, NULL, 'CcdC', 52517),
(108792, 'PIRSF038150', NULL, NULL, 325, NULL, 'Metaxin', 52518),
(108793, 'PIRSF028810', NULL, NULL, 465, NULL, 'Alg10', 52519),
(108794, 'PIRSF014774', NULL, NULL, 316, NULL, 'YdgH', 52520),
(108795, 'PIRSF000609', NULL, NULL, 534, NULL, 'STPK_YKL116c', 52521),
(108796, 'PIRSF001499', NULL, NULL, 375, NULL, 'Chor_mut_pdh_Tpr', 52522),
(108797, 'PIRSF000898', NULL, NULL, 333, NULL, 'Acid_Ptase_5', 52523),
(108798, 'PIRSF007028', NULL, NULL, 118, NULL, 'UCP007028', 52524),
(108799, 'PIRSF003167', NULL, NULL, 630, NULL, 'HK_NarX/NarQ', 52525),
(108800, 'PIRSF017259', NULL, NULL, 454, NULL, 'tRNA_Mtase_TRM11', 52526),
(108801, 'PIRSF000309', NULL, NULL, 236, NULL, 'HoxU', 52527),
(108802, 'PIRSF002741', NULL, NULL, 538, NULL, 'MppA', 52528),
(108803, 'PIRSF006601', NULL, NULL, 260, NULL, 'ATPase_UCP006601', 52529),
(108804, 'PIRSF500683', NULL, NULL, 708, NULL, 'Lactotransferrin', 52530),
(108805, 'PIRSF007059', NULL, NULL, 137, NULL, 'ComD', 52531),
(108806, 'PIRSF000513', NULL, NULL, 263, NULL, 'Thz_kinase', 52532),
(108807, 'PIRSF023803', NULL, NULL, 162, NULL, 'RNase_P', 52533),
(108808, 'PIRSF028758', NULL, NULL, 260, NULL, 'Cyclin_C_H_G', 52534),
(108809, 'PIRSF020634', NULL, NULL, 206, NULL, 'TerY_vWA', 52535),
(108810, 'PIRSF037136', NULL, NULL, 595, NULL, 'RKM1', 52536),
(108811, 'PIRSF038953', NULL, NULL, 253, NULL, 'SigI', 52537),
(108812, 'PIRSF028299', NULL, NULL, 123, NULL, 'UCP028299', 52538),
(108813, 'PIRSF003048', NULL, NULL, 827, NULL, 'Hist_acetylase_PCAF', 52539),
(108814, 'PIRSF015897', NULL, NULL, 274, NULL, 'PRIB5', 52540),
(108815, 'PIRSF036659', NULL, NULL, 144, NULL, 'BdbC', 52541),
(108816, 'PIRSF017393', NULL, NULL, 275, NULL, 'MTase_SAV2177', 52542),
(108817, 'PIRSF035040', NULL, NULL, 211, NULL, 'UCP_CBS_Lmo0553', 52543);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(108818, 'PIRSF000370', NULL, NULL, 220, NULL, 'QueE', 52544),
(108819, 'PIRSF000501', NULL, NULL, 380, NULL, 'DHPS_Campy', 52545),
(108820, 'PIRSF029342', NULL, NULL, 384, NULL, 'UCP029342_Bll4150', 52546),
(108821, 'PIRSF001836', NULL, NULL, 104, NULL, 'Neuroparsin', 52547),
(108822, 'PIRSF039033', NULL, NULL, 224, NULL, 'START_dom', 52548),
(108823, 'PIRSF000019', NULL, NULL, 85, NULL, 'Bc1_11K', 52549),
(108824, 'PIRSF006158', NULL, NULL, 210, NULL, 'UCP006158_SH3', 52550),
(108825, 'PIRSF012281', NULL, NULL, 266, NULL, 'UCP012281', 52551),
(108826, 'PIRSF037568', NULL, NULL, 1385, NULL, 'ROCK', 52552),
(108827, 'PIRSF026478', NULL, NULL, 553, NULL, 'UCP026478_dh', 52553),
(108828, 'PIRSF019709', NULL, NULL, 241, NULL, 'MtxX', 52554),
(108829, 'PIRSF016134', NULL, NULL, 111, NULL, 'UCP016134', 52555),
(108830, 'PIRSF002290', NULL, NULL, 1688, NULL, 'CHC', 52556),
(108831, 'PIRSF037931', NULL, NULL, 1065, NULL, 'TMPRSS9_polyserase-1', 52557),
(108832, 'PIRSF031051', NULL, NULL, 258, NULL, 'PLP_phosphatas_PHOSPHO2', 52558),
(108833, 'PIRSF029658', NULL, NULL, 274, NULL, 'UCP029658_TPR', 52559),
(108834, 'PIRSF036948', NULL, NULL, 471, NULL, 'TOM1', 52560),
(108835, 'PIRSF000545', NULL, NULL, 317, NULL, 'Pantothenate_kin', 52561),
(108836, 'PIRSF017245', NULL, NULL, 808, NULL, 'Phosphoketolase', 52562),
(108837, 'PIRSF020514', NULL, NULL, 168, NULL, 'NolB', 52563),
(108838, 'PIRSF016567', NULL, NULL, 561, NULL, 'IFNAR1', 52564),
(108839, 'PIRSF006769', NULL, NULL, 373, NULL, 'RibD', 52565),
(108840, 'PIRSF028687', NULL, NULL, 148, NULL, 'UCP028687', 52566),
(108841, 'PIRSF022936', NULL, NULL, 199, NULL, 'RAD59_fungi', 52567),
(108842, 'PIRSF018748', NULL, NULL, 177, NULL, 'UCP018748', 52568),
(108843, 'PIRSF033722', NULL, NULL, 329, NULL, 'DnaD_CA_C3587', 52569),
(108844, 'PIRSF018968', NULL, NULL, 633, NULL, 'ABC_permease_BceB', 52570),
(108845, 'PIRSF500126', NULL, NULL, 421, NULL, 'Pgk_euglenozoa', 52571),
(108846, 'PIRSF000723', NULL, NULL, 312, NULL, 'Carbamate_kin', 52572),
(108847, 'PIRSF012562', NULL, NULL, 267, NULL, 'UCP012562', 52573),
(108848, 'PIRSF012335', NULL, NULL, 154, NULL, 'UCP012335', 52574),
(108849, 'PIRSF037839', NULL, NULL, 205, NULL, 'RNase_H', 52575),
(108850, 'PIRSF012524', NULL, NULL, 290, NULL, 'YitL_S1', 52576),
(108851, 'PIRSF000090', NULL, NULL, 268, NULL, 'Beta-ETF', 52577),
(108852, 'PIRSF003854', NULL, NULL, 198, NULL, 'Vif_BLV', 52578),
(108853, 'PIRSF038927', NULL, NULL, 701, NULL, 'Catalase_clade2', 52579),
(108854, 'PIRSF016175', NULL, NULL, 277, NULL, 'UCP016175', 52580),
(108855, 'PIRSF008142', NULL, NULL, 103, NULL, 'SH3-bind_E-rich_L', 52581),
(108856, 'PIRSF000900', NULL, NULL, 610, NULL, 'Acid_Ptase_Asper', 52582),
(108857, 'PIRSF004638', NULL, NULL, 150, NULL, 'UCP004638', 52583),
(108858, 'PIRSF004803', NULL, NULL, 561, NULL, 'RnjA', 52584),
(108859, 'PIRSF005225', NULL, NULL, 380, NULL, 'LAG1_LAC1', 52585),
(108860, 'PIRSF001394', NULL, NULL, 522, NULL, 'Fe_dep_fumar_hy', 52586),
(108861, 'PIRSF037505', NULL, NULL, 363, NULL, 'BHMT', 52587),
(108862, 'PIRSF038149', NULL, NULL, 430, NULL, 'Pyruvate_Pi_dikinase_reg', 52588),
(108863, 'PIRSF038996', NULL, NULL, 173, NULL, 'FldA', 52589),
(108864, 'PIRSF007352', NULL, NULL, 138, NULL, 'OapB', 52590),
(108865, 'PIRSF000103', NULL, NULL, 299, NULL, 'HIBADH', 52591),
(108866, 'PIRSF038156', NULL, NULL, 165, NULL, 'RNA_polymII_KELP', 52592),
(108867, 'PIRSF011575', NULL, NULL, 290, NULL, 'YabG', 52593),
(108868, 'PIRSF032437', NULL, NULL, 175, NULL, 'UCP032437', 52594),
(108869, 'PIRSF016396', NULL, NULL, 192, NULL, 'Prefoldin_3', 52595),
(108870, 'PIRSF000139', NULL, NULL, 424, NULL, 'Glc_ox_4Fe-4S', 52596),
(108871, 'PIRSF004776', NULL, NULL, 408, NULL, 'NadR_NMNAT/RNK', 52597),
(108872, 'PIRSF004567', NULL, NULL, 534, NULL, 'TnsE', 52598),
(108873, 'PIRSF038017', NULL, NULL, 309, NULL, 'GTP-BP_GEM', 52599),
(108874, 'PIRSF000706', NULL, NULL, 264, NULL, 'Kanamycin_kin', 52600),
(108875, 'PIRSF500773', NULL, NULL, 519, NULL, 'Hyaluronidase_PH20_Hyal5', 52601),
(108876, 'PIRSF037373', NULL, NULL, 124, NULL, 'UCP037373_trxn_reg', 52602);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(108877, 'PIRSF005067', NULL, NULL, 221, NULL, 'Tma_RNA-bind', 52603),
(108878, 'PIRSF005512', NULL, NULL, 362, NULL, 'UCP005512', 52604),
(108879, 'PIRSF004897', NULL, NULL, 167, NULL, 'UCP004897_ACT', 52605),
(108880, 'PIRSF001199', NULL, NULL, 1034, NULL, 'BMP1', 52606),
(108881, 'PIRSF037637', NULL, NULL, 149, NULL, 'SAP18', 52607),
(108882, 'PIRSF000853', NULL, NULL, 883, NULL, 'PPDK', 52608),
(108883, 'PIRSF034110', NULL, NULL, 159, NULL, 'UCP034110', 52609),
(108884, 'PIRSF011576', NULL, NULL, 102, NULL, 'YabP', 52610),
(108885, 'PIRSF026412', NULL, NULL, 325, NULL, 'Streptogrm_lyase', 52611),
(108886, 'PIRSF005989', NULL, NULL, 37, NULL, 'Ectatomin', 52612),
(108887, 'PIRSF500217', NULL, NULL, 486, NULL, 'AlgI', 52613),
(108888, 'PIRSF005063', NULL, NULL, 298, NULL, 'UCP_CBS_MJ1232', 52614),
(108889, 'PIRSF020408', NULL, NULL, 104, NULL, 'UCP020408', 52615),
(108890, 'PIRSF038079', NULL, NULL, 339, NULL, 'Torsin-2A', 52616),
(108891, 'PIRSF015000', NULL, NULL, 240, NULL, 'UCP01500', 52617),
(108892, 'PIRSF003890', NULL, NULL, 263, NULL, 'LigT_coronavirus', 52618),
(108893, 'PIRSF000267', NULL, NULL, 351, NULL, 'Cyt_oxidse_sub2', 52619),
(108894, 'PIRSF500814', NULL, NULL, 285, NULL, 'PP1_GL', 52620),
(108895, 'PIRSF001400', NULL, NULL, 429, NULL, 'Enolase', 52621),
(108896, 'PIRSF038122', NULL, NULL, 450, NULL, 'COBRA', 52622),
(108897, 'PIRSF007519', NULL, NULL, 781, NULL, 'Protease_InhA', 52623),
(108898, 'PIRSF036959', NULL, NULL, 433, NULL, 'mRNA_cap_alpha', 52624),
(108899, 'PIRSF012943', NULL, NULL, 321, NULL, 'UCP012943', 52625),
(108900, 'PIRSF036684', NULL, NULL, 760, NULL, 'ME_PTA', 52626),
(108901, 'PIRSF001152', NULL, NULL, 714, NULL, 'HGF_MST1', 52627),
(108902, 'PIRSF028135', NULL, NULL, 445, NULL, 'UCP028135_HipA-like', 52628),
(108903, 'PIRSF007103', NULL, NULL, 109, NULL, 'UCP007103', 52629),
(108904, 'PIRSF036424', NULL, NULL, 708, NULL, 'Transl_init_eIF3b', 52630),
(108905, 'PIRSF019083', NULL, NULL, 171, NULL, 'UCP019083_VanZ', 52631),
(108906, 'PIRSF012939', NULL, NULL, 209, NULL, 'NAR2', 52632),
(108907, 'PIRSF007407', NULL, NULL, 853, NULL, 'UCP007407_Abi', 52633),
(108908, 'PIRSF000495', NULL, NULL, 211, NULL, 'Amidotransf_HisH', 52634),
(108909, 'PIRSF001390', NULL, NULL, 197, NULL, 'Dipicolinate_synth_subunit_B', 52635),
(108910, 'PIRSF015013', NULL, NULL, 303, NULL, 'UCP015013', 52636),
(108911, 'PIRSF000204', NULL, NULL, 468, NULL, 'PNTB', 52637),
(108912, 'PIRSF037434', NULL, NULL, 412, NULL, 'HK_ChrS', 52638),
(108913, 'PIRSF036958', NULL, NULL, 615, NULL, 'mRNA_capping_HCE', 52639),
(108914, 'PIRSF014897', NULL, NULL, 752, NULL, 'UCP014897', 52640),
(108915, 'PIRSF002004', NULL, NULL, 1275, NULL, 'Leukocyte_common_antigen', 52641),
(108916, 'PIRSF500185', NULL, NULL, 708, NULL, 'MSP_HGFL', 52642),
(108917, 'PIRSF036427', NULL, NULL, 240, NULL, 'Precrrn-2_mtase', 52643),
(108918, 'PIRSF007797', NULL, NULL, 713, NULL, 'RSM22', 52644),
(108919, 'PIRSF036628', NULL, NULL, 272, NULL, 'IolB', 52645),
(108920, 'PIRSF006392', NULL, NULL, 414, NULL, 'IPGAM_arch', 52646),
(108921, 'PIRSF019108', NULL, NULL, 108, NULL, 'Txn_reg_CopG', 52647),
(108922, 'PIRSF003101', NULL, NULL, 422, NULL, 'FtsA', 52648),
(108923, 'PIRSF006588', NULL, NULL, 349, NULL, 'TyrRS_arch_euk', 52649),
(108924, 'PIRSF039088', NULL, NULL, 511, NULL, 'F_ATPase_subunit_alpha', 52650),
(108925, 'PIRSF016521', NULL, NULL, 419, NULL, 'Acyl-CoA_hydro', 52651),
(108926, 'PIRSF002466', NULL, NULL, 145, NULL, 'Glycophorin', 52652),
(108927, 'PIRSF500154', NULL, NULL, 137, NULL, 'RPB6', 52653),
(108928, 'PIRSF019693', NULL, NULL, 265, NULL, 'VAMP_assoc_prot', 52654),
(108929, 'PIRSF021591', NULL, NULL, 155, NULL, 'UCP021591', 52655),
(108930, 'PIRSF001905', NULL, NULL, 48, NULL, 'Sea_anemon_toxin', 52656),
(108931, 'PIRSF500793', NULL, NULL, 509, NULL, 'Folate_transporter_1', 52657),
(108932, 'PIRSF000559', NULL, NULL, 746, NULL, 'cGMP-dep_kinase', 52658),
(108933, 'PIRSF016104', NULL, NULL, 297, NULL, 'PIG-C', 52659),
(108934, 'PIRSF000017', NULL, NULL, 348, NULL, 'RC_cytochrome', 52660),
(108935, 'PIRSF036370', NULL, NULL, 855, NULL, 'ST14', 52661);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(108936, 'PIRSF037712', NULL, NULL, 124, NULL, 'TIP-1', 52662),
(108937, 'PIRSF001473', NULL, NULL, 437, NULL, 'FK506-bp_FPR3', 52663),
(108938, 'PIRSF016951', NULL, NULL, 251, NULL, 'MADP_ribosyltransf_Edin', 52664),
(108939, 'PIRSF004697', NULL, NULL, 204, NULL, 'UCP_CBS_CP12', 52665),
(108940, 'PIRSF000376', NULL, NULL, 467, NULL, 'ACDS_gamma', 52666),
(108941, 'PIRSF016897', NULL, NULL, 190, NULL, 'GlpP', 52667),
(108942, 'PIRSF037431', NULL, NULL, 349, NULL, 'HK_LiaS', 52668),
(108943, 'PIRSF000631', NULL, NULL, 1112, NULL, 'TyrPK_receptor_Ret', 52669),
(108944, 'PIRSF019271', NULL, NULL, 282, NULL, 'Acid_Ptase_C', 52670),
(108945, 'PIRSF037536', NULL, NULL, 1178, NULL, 'WD35', 52671),
(108946, 'PIRSF021524', NULL, NULL, 315, NULL, 'MSH_acetyltransferase', 52672),
(108947, 'PIRSF003726', NULL, NULL, 309, NULL, 'Vaccinia_VP39', 52673),
(108948, 'PIRSR000138-1', NULL, NULL, 369, NULL, 'PIRSR000138-1', 52674),
(108949, 'PIRSR028729-50', NULL, NULL, 163, NULL, 'PIRSR028729-50', 52675),
(108950, 'PIRSR016408-3', NULL, NULL, 486, NULL, 'PIRSR016408-3', 52676),
(108951, 'PIRSR038085-1', NULL, NULL, 151, NULL, 'PIRSR038085-1', 52677),
(108952, 'PIRSR004030-1', NULL, NULL, 95, NULL, 'PIRSR004030-1', 52678),
(108953, 'PIRSR001031-2', NULL, NULL, 616, NULL, 'PIRSR001031-2', 52679),
(108954, 'PIRSR006113-1', NULL, NULL, 130, NULL, 'PIRSR006113-1', 52680),
(108955, 'PIRSR000977-1', NULL, NULL, 480, NULL, 'PIRSR000977-1', 52681),
(108956, 'PIRSR005943-1', NULL, NULL, 481, NULL, 'PIRSR005943-1', 52682),
(108957, 'PIRSR021497-1', NULL, NULL, 267, NULL, 'PIRSR021497-1', 52683),
(108958, 'PIRSR000619-1', NULL, NULL, 1262, NULL, 'PIRSR000619-1', 52684),
(108959, 'PIRSR006404-1', NULL, NULL, 322, NULL, 'PIRSR006404-1', 52685),
(108960, 'PIRSR631038-2', NULL, NULL, 333, NULL, 'PIRSR631038-2', 52686),
(108961, 'PIRSR600821-50', NULL, NULL, 377, NULL, 'PIRSR600821-50', 52687),
(108962, 'PIRSR032067-1', NULL, NULL, 271, NULL, 'PIRSR032067-1', 52688),
(108963, 'PIRSR000429-1', NULL, NULL, 330, NULL, 'PIRSR000429-1', 52689),
(108964, 'PIRSR006156-1', NULL, NULL, 90, NULL, 'PIRSR006156-1', 52690),
(108965, 'PIRSR000190-2', NULL, NULL, 218, NULL, 'PIRSR000190-2', 52691),
(108966, 'PIRSR002560-1', NULL, NULL, 158, NULL, 'PIRSR002560-1', 52692),
(108967, 'PIRSR000554-1', NULL, NULL, 589, NULL, 'PIRSR000554-1', 52693),
(108968, 'PIRSR002855-2', NULL, NULL, 78, NULL, 'PIRSR002855-2', 52694),
(108969, 'PIRSR000865-3', NULL, NULL, 462, NULL, 'PIRSR000865-3', 52695),
(108970, 'PIRSR005539-1', NULL, NULL, 290, NULL, 'PIRSR005539-1', 52696),
(108971, 'PIRSR604061-50', NULL, NULL, 382, NULL, 'PIRSR604061-50', 52697),
(108972, 'PIRSR000853-3', NULL, NULL, 833, NULL, 'PIRSR000853-3', 52698),
(108973, 'PIRSR007828-2', NULL, NULL, 598, NULL, 'PIRSR007828-2', 52699),
(108974, 'PIRSR038186-1', NULL, NULL, 236, NULL, 'PIRSR038186-1', 52700),
(108975, 'PIRSR000006-1', NULL, NULL, 277, NULL, 'PIRSR000006-1', 52701),
(108976, 'PIRSR004131-1', NULL, NULL, 712, NULL, 'PIRSR004131-1', 52702),
(108977, 'PIRSR001205-1', NULL, NULL, 484, NULL, 'PIRSR001205-1', 52703),
(108978, 'PIRSR001373-1', NULL, NULL, 527, NULL, 'PIRSR001373-1', 52704),
(108979, 'PIRSR002572-1', NULL, NULL, 146, NULL, 'PIRSR002572-1', 52705),
(108980, 'PIRSR036636-50', NULL, NULL, 255, NULL, 'PIRSR036636-50', 52706),
(108981, 'PIRSR037177-1', NULL, NULL, 271, NULL, 'PIRSR037177-1', 52707),
(108982, 'PIRSR001415-3', NULL, NULL, 314, NULL, 'PIRSR001415-3', 52708),
(108983, 'PIRSR038885-2', NULL, NULL, 389, NULL, 'PIRSR038885-2', 52709),
(108984, 'PIRSR039004-3', NULL, NULL, 372, NULL, 'PIRSR039004-3', 52710),
(108985, 'PIRSR034515-2', NULL, NULL, 993, NULL, 'PIRSR034515-2', 52711),
(108986, 'PIRSR000933-51', NULL, NULL, 2487, NULL, 'PIRSR000933-51', 52712),
(108987, 'PIRSR000410-1', NULL, NULL, 228, NULL, 'PIRSR000410-1', 52713),
(108988, 'PIRSR031051-1', NULL, NULL, 247, NULL, 'PIRSR031051-1', 52714),
(108989, 'PIRSR600877-50', NULL, NULL, 226, NULL, 'PIRSR600877-50', 52715),
(108990, 'PIRSR630294-1', NULL, NULL, 306, NULL, 'PIRSR630294-1', 52716),
(108991, 'PIRSR000926-2', NULL, NULL, 298, NULL, 'PIRSR000926-2', 52717);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(108992, 'PIRSR001594-1', NULL, NULL, 1106, NULL, 'PIRSR001594-1', 52718),
(108993, 'PIRSR600542-1', NULL, NULL, 630, NULL, 'PIRSR600542-1', 52719),
(108994, 'PIRSR000705-2', NULL, NULL, 198, NULL, 'PIRSR000705-2', 52720),
(108995, 'PIRSR036894-1', NULL, NULL, 315, NULL, 'PIRSR036894-1', 52721),
(108996, 'PIRSR605856-50', NULL, NULL, 316, NULL, 'PIRSR605856-50', 52722),
(108997, 'PIRSR608356-51', NULL, NULL, 562, NULL, 'PIRSR608356-51', 52723),
(108998, 'PIRSR000294-1', NULL, NULL, 340, NULL, 'PIRSR000294-1', 52724),
(108999, 'PIRSR600246-1', NULL, NULL, 336, NULL, 'PIRSR600246-1', 52725),
(109000, 'PIRSR601621-4', NULL, NULL, 370, NULL, 'PIRSR601621-4', 52726),
(109001, 'PIRSR000970-1', NULL, NULL, 420, NULL, 'PIRSR000970-1', 52727),
(109002, 'PIRSR006246-3', NULL, NULL, 118, NULL, 'PIRSR006246-3', 52728),
(109003, 'PIRSR038147-2', NULL, NULL, 556, NULL, 'PIRSR038147-2', 52729),
(109004, 'PIRSR000409-2', NULL, NULL, 338, NULL, 'PIRSR000409-2', 52730),
(109005, 'PIRSR016020-1', NULL, NULL, 257, NULL, 'PIRSR016020-1', 52731),
(109006, 'PIRSR000159-50', NULL, NULL, 1183, NULL, 'PIRSR000159-50', 52732),
(109007, 'PIRSR003033-1', NULL, NULL, 630, NULL, 'PIRSR003033-1', 52733),
(109008, 'PIRSR036959-1', NULL, NULL, 352, NULL, 'PIRSR036959-1', 52734),
(109009, 'PIRSR001024-5', NULL, NULL, 477, NULL, 'PIRSR001024-5', 52735),
(109010, 'PIRSR000232-1', NULL, NULL, 148, NULL, 'PIRSR000232-1', 52736),
(109011, 'PIRSR006769-1', NULL, NULL, 324, NULL, 'PIRSR006769-1', 52737),
(109012, 'PIRSR039144-50', NULL, NULL, 112, NULL, 'PIRSR039144-50', 52738),
(109013, 'PIRSR605437-50', NULL, NULL, 473, NULL, 'PIRSR605437-50', 52739),
(109014, 'PIRSR000485-3', NULL, NULL, 468, NULL, 'PIRSR000485-3', 52740),
(109015, 'PIRSR036517-1', NULL, NULL, 145, NULL, 'PIRSR036517-1', 52741),
(109016, 'PIRSR000068-1', NULL, NULL, 104, NULL, 'PIRSR000068-1', 52742),
(109017, 'PIRSR009400-1', NULL, NULL, 411, NULL, 'PIRSR009400-1', 52743),
(109018, 'PIRSR006105-2', NULL, NULL, 157, NULL, 'PIRSR006105-2', 52744),
(109019, 'PIRSR639036-50', NULL, NULL, 610, NULL, 'PIRSR639036-50', 52745),
(109020, 'PIRSR000260-2', NULL, NULL, 96, NULL, 'PIRSR000260-2', 52746),
(109021, 'PIRSR000239-1', NULL, NULL, 194, NULL, 'PIRSR000239-1', 52747),
(109022, 'PIRSR609662-50', NULL, NULL, 103, NULL, 'PIRSR609662-50', 52748),
(109023, 'PIRSR009407-1', NULL, NULL, 742, NULL, 'PIRSR009407-1', 52749),
(109024, 'PIRSR016262-2', NULL, NULL, 216, NULL, 'PIRSR016262-2', 52750),
(109025, 'PIRSR617774-1', NULL, NULL, 397, NULL, 'PIRSR617774-1', 52751),
(109026, 'PIRSR630220-1', NULL, NULL, 1040, NULL, 'PIRSR630220-1', 52752),
(109027, 'PIRSR017107-3', NULL, NULL, 415, NULL, 'PIRSR017107-3', 52753),
(109028, 'PIRSR036917-3', NULL, NULL, 684, NULL, 'PIRSR036917-3', 52754),
(109029, 'PIRSR623088-3', NULL, NULL, 333, NULL, 'PIRSR623088-3', 52755),
(109030, 'PIRSR038165-51', NULL, NULL, 965, NULL, 'PIRSR038165-51', 52756),
(109031, 'PIRSR629890-3', NULL, NULL, 908, NULL, 'PIRSR629890-3', 52757),
(109032, 'PIRSR000732-1', NULL, NULL, 473, NULL, 'PIRSR000732-1', 52758),
(109033, 'PIRSR006661-1', NULL, NULL, 229, NULL, 'PIRSR006661-1', 52759),
(109034, 'PIRSR000806-2', NULL, NULL, 499, NULL, 'PIRSR000806-2', 52760),
(109035, 'PIRSR036685-1', NULL, NULL, 392, NULL, 'PIRSR036685-1', 52761),
(109036, 'PIRSR038073-1', NULL, NULL, 297, NULL, 'PIRSR038073-1', 52762),
(109037, 'PIRSR602129-50', NULL, NULL, 431, NULL, 'PIRSR602129-50', 52763),
(109038, 'PIRSR038061-1', NULL, NULL, 284, NULL, 'PIRSR038061-1', 52764),
(109039, 'PIRSR633197-3', NULL, NULL, 285, NULL, 'PIRSR633197-3', 52765),
(109040, 'PIRSR000114-1', NULL, NULL, 344, NULL, 'PIRSR000114-1', 52766),
(109041, 'PIRSR000017-2', NULL, NULL, 341, NULL, 'PIRSR000017-2', 52767),
(109042, 'PIRSR037891-1', NULL, NULL, 31, NULL, 'PIRSR037891-1', 52768),
(109043, 'PIRSR500947-51', NULL, NULL, 987, NULL, 'PIRSR500947-51', 52769),
(109044, 'PIRSR633560-50', NULL, NULL, 572, NULL, 'PIRSR633560-50', 52770),
(109045, 'PIRSR604723-51', NULL, NULL, 395, NULL, 'PIRSR604723-51', 52771),
(109046, 'PIRSR001123-1', NULL, NULL, 341, NULL, 'PIRSR001123-1', 52772);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(109047, 'PIRSR001399-1', NULL, NULL, 149, NULL, 'PIRSR001399-1', 52773),
(109048, 'PIRSR038927-1', NULL, NULL, 631, NULL, 'PIRSR038927-1', 52774),
(109049, 'PIRSR001093-2', NULL, NULL, 535, NULL, 'PIRSR001093-2', 52775),
(109050, 'PIRSR005229-1', NULL, NULL, 228, NULL, 'PIRSR005229-1', 52776),
(109051, 'PIRSR000097-1', NULL, NULL, 236, NULL, 'PIRSR000097-1', 52777),
(109052, 'PIRSR629511-2', NULL, NULL, 279, NULL, 'PIRSR629511-2', 52778),
(109053, 'PIRSR605468-50', NULL, NULL, 150, NULL, 'PIRSR605468-50', 52779),
(109054, 'PIRSR000333-1', NULL, NULL, 1095, NULL, 'PIRSR000333-1', 52780),
(109055, 'PIRSR000666-2', NULL, NULL, 899, NULL, 'PIRSR000666-2', 52781),
(109056, 'PIRSR000988-2', NULL, NULL, 259, NULL, 'PIRSR000988-2', 52782),
(109057, 'PIRSR017570-1', NULL, NULL, 374, NULL, 'PIRSR017570-1', 52783),
(109058, 'PIRSR001837-1', NULL, NULL, 167, NULL, 'PIRSR001837-1', 52784),
(109059, 'PIRSR037242-1', NULL, NULL, 480, NULL, 'PIRSR037242-1', 52785),
(109060, 'PIRSR027744-1', NULL, NULL, 567, NULL, 'PIRSR027744-1', 52786),
(109061, 'PIRSR617653-2', NULL, NULL, 446, NULL, 'PIRSR617653-2', 52787),
(109062, 'PIRSR608127-51', NULL, NULL, 455, NULL, 'PIRSR608127-51', 52788),
(109063, 'PIRSR000941-50', NULL, NULL, 330, NULL, 'PIRSR000941-50', 52789),
(109064, 'PIRSR037430-1', NULL, NULL, 177, NULL, 'PIRSR037430-1', 52790),
(109065, 'PIRSR038065-2', NULL, NULL, 401, NULL, 'PIRSR038065-2', 52791),
(109066, 'PIRSR000025-1', NULL, NULL, 119, NULL, 'PIRSR000025-1', 52792),
(109067, 'PIRSR500950-50', NULL, NULL, 1088, NULL, 'PIRSR500950-50', 52793),
(109068, 'PIRSR000350-4', NULL, NULL, 478, NULL, 'PIRSR000350-4', 52794),
(109069, 'PIRSR018425-1', NULL, NULL, 546, NULL, 'PIRSR018425-1', 52795),
(109070, 'PIRSR029271-50', NULL, NULL, 301, NULL, 'PIRSR029271-50', 52796),
(109071, 'PIRSR038994-1', NULL, NULL, 286, NULL, 'PIRSR038994-1', 52797),
(109072, 'PIRSR006268-2', NULL, NULL, 341, NULL, 'PIRSR006268-2', 52798),
(109073, 'PIRSR036421-1', NULL, NULL, 1083, NULL, 'PIRSR036421-1', 52799),
(109074, 'PIRSR630056-1', NULL, NULL, 147, NULL, 'PIRSR630056-1', 52800),
(109075, 'PIRSR610059-51', NULL, NULL, 309, NULL, 'PIRSR610059-51', 52801),
(109076, 'PIRSR036565-1', NULL, NULL, 519, NULL, 'PIRSR036565-1', 52802),
(109077, 'PIRSR000235-3', NULL, NULL, 348, NULL, 'PIRSR000235-3', 52803),
(109078, 'PIRSR001341-2', NULL, NULL, 316, NULL, 'PIRSR001341-2', 52804),
(109079, 'PIRSR001589-1', NULL, NULL, 535, NULL, 'PIRSR001589-1', 52805),
(109080, 'PIRSR629881-2', NULL, NULL, 875, NULL, 'PIRSR629881-2', 52806),
(109081, 'PIRSR000013-1', NULL, NULL, 203, NULL, 'PIRSR000013-1', 52807),
(109082, 'PIRSR011588-51', NULL, NULL, 428, NULL, 'PIRSR011588-51', 52808),
(109083, 'PIRSR037479-2', NULL, NULL, 472, NULL, 'PIRSR037479-2', 52809),
(109084, 'PIRSR038142-50', NULL, NULL, 258, NULL, 'PIRSR038142-50', 52810),
(109085, 'PIRSR000631-1', NULL, NULL, 1114, NULL, 'PIRSR000631-1', 52811),
(109086, 'PIRSR629576-5', NULL, NULL, 604, NULL, 'PIRSR629576-5', 52812),
(109087, 'PIRSR631048-51', NULL, NULL, 611, NULL, 'PIRSR631048-51', 52813),
(109088, 'PIRSR000169-1', NULL, NULL, 115, NULL, 'PIRSR000169-1', 52814),
(109089, 'PIRSR001154-1', NULL, NULL, 640, NULL, 'PIRSR001154-1', 52815),
(109090, 'PIRSR016573-1', NULL, NULL, 161, NULL, 'PIRSR016573-1', 52816),
(109091, 'PIRSR600936-1', NULL, NULL, 1264, NULL, 'PIRSR600936-1', 52817),
(109092, 'PIRSR001024-2', NULL, NULL, 477, NULL, 'PIRSR001024-2', 52818),
(109093, 'PIRSR039133-4', NULL, NULL, 649, NULL, 'PIRSR039133-4', 52819),
(109094, 'PIRSR000183-2', NULL, NULL, 372, NULL, 'PIRSR000183-2', 52820),
(109095, 'PIRSR018063-50', NULL, NULL, 171, NULL, 'PIRSR018063-50', 52821),
(109096, 'PIRSR000112-1', NULL, NULL, 367, NULL, 'PIRSR000112-1', 52822),
(109097, 'PIRSR000446-1', NULL, NULL, 310, NULL, 'PIRSR000446-1', 52823),
(109098, 'PIRSR037254-1', NULL, NULL, 182, NULL, 'PIRSR037254-1', 52824),
(109099, 'PIRSR004682-3', NULL, NULL, 186, NULL, 'PIRSR004682-3', 52825),
(109100, 'PIRSR629601-1', NULL, NULL, 1866, NULL, 'PIRSR629601-1', 52826),
(109101, 'PIRSR001789-1', NULL, NULL, 247, NULL, 'PIRSR001789-1', 52827);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(109102, 'PIRSR009407-4', NULL, NULL, 742, NULL, 'PIRSR009407-4', 52828),
(109103, 'PIRSR015477-1', NULL, NULL, 1442, NULL, 'PIRSR015477-1', 52829),
(109104, 'PIRSR000149-2', NULL, NULL, 341, NULL, 'PIRSR000149-2', 52830),
(109105, 'PIRSR000929-1', NULL, NULL, 540, NULL, 'PIRSR000929-1', 52831),
(109106, 'PIRSR500133-3', NULL, NULL, 474, NULL, 'PIRSR500133-3', 52832),
(109107, 'PIRSR000808-2', NULL, NULL, 352, NULL, 'PIRSR000808-2', 52833),
(109108, 'PIRSR036665-51', NULL, NULL, 881, NULL, 'PIRSR036665-51', 52834),
(109109, 'PIRSR036687-1', NULL, NULL, 756, NULL, 'PIRSR036687-1', 52835),
(109110, 'PIRSR001430-2', NULL, NULL, 204, NULL, 'PIRSR001430-2', 52836),
(109111, 'PIRSR036750-1', NULL, NULL, 204, NULL, 'PIRSR036750-1', 52837),
(109112, 'PIRSR000445-2', NULL, NULL, 428, NULL, 'PIRSR000445-2', 52838),
(109113, 'PIRSR000905-1', NULL, NULL, 353, NULL, 'PIRSR000905-1', 52839),
(109114, 'PIRSR028973-2', NULL, NULL, 291, NULL, 'PIRSR028973-2', 52840),
(109115, 'PIRSR001488-1', NULL, NULL, 206, NULL, 'PIRSR001488-1', 52841),
(109116, 'PIRSR003817-4', NULL, NULL, 3418, NULL, 'PIRSR003817-4', 52842),
(109117, 'PIRSR029928-50', NULL, NULL, 102, NULL, 'PIRSR029928-50', 52843),
(109118, 'PIRSR000127-3', NULL, NULL, 1342, NULL, 'PIRSR000127-3', 52844),
(109119, 'PIRSR005536-2', NULL, NULL, 723, NULL, 'PIRSR005536-2', 52845),
(109120, 'PIRSR025737-2', NULL, NULL, 280, NULL, 'PIRSR025737-2', 52846),
(109121, 'PIRSR037318-50', NULL, NULL, 265, NULL, 'PIRSR037318-50', 52847),
(109122, 'PIRSR037907-3', NULL, NULL, 660, NULL, 'PIRSR037907-3', 52848),
(109123, 'PIRSR602717-51', NULL, NULL, 482, NULL, 'PIRSR602717-51', 52849),
(109124, 'PIRSR631245-5', NULL, NULL, 760, NULL, 'PIRSR631245-5', 52850),
(109125, 'PIRSR037913-1', NULL, NULL, 365, NULL, 'PIRSR037913-1', 52851),
(109126, 'PIRSR016527-1', NULL, NULL, 261, NULL, 'PIRSR016527-1', 52852),
(109127, 'PIRSR037599-2', NULL, NULL, 159, NULL, 'PIRSR037599-2', 52853),
(109128, 'PIRSR600823-5', NULL, NULL, 331, NULL, 'PIRSR600823-5', 52854),
(109129, 'PIRSR630295-50', NULL, NULL, 292, NULL, 'PIRSR630295-50', 52855),
(109130, 'PIRSR036900-50', NULL, NULL, 3945, NULL, 'PIRSR036900-50', 52856),
(109131, 'PIRSR601559-50', NULL, NULL, 305, NULL, 'PIRSR601559-50', 52857),
(109132, 'PIRSR611778-50', NULL, NULL, 500, NULL, 'PIRSR611778-50', 52858),
(109133, 'PIRSR004789-50', NULL, NULL, 266, NULL, 'PIRSR004789-50', 52859),
(109134, 'PIRSR000027-2', NULL, NULL, 127, NULL, 'PIRSR000027-2', 52860),
(109135, 'PIRSR001060-2', NULL, NULL, 320, NULL, 'PIRSR001060-2', 52861),
(109136, 'PIRSR005096-1', NULL, NULL, 289, NULL, 'PIRSR005096-1', 52862),
(109137, 'PIRSR037404-3', NULL, NULL, 1614, NULL, 'PIRSR037404-3', 52863),
(109138, 'PIRSR000605-51', NULL, NULL, 517, NULL, 'PIRSR000605-51', 52864),
(109139, 'PIRSR036488-1', NULL, NULL, 149, NULL, 'PIRSR036488-1', 52865),
(109140, 'PIRSR006337-3', NULL, NULL, 599, NULL, 'PIRSR006337-3', 52866),
(109141, 'PIRSR001341-5', NULL, NULL, 316, NULL, 'PIRSR001341-5', 52867),
(109142, 'PIRSR038945-2', NULL, NULL, 300, NULL, 'PIRSR038945-2', 52868),
(109143, 'PIRSR000192-6', NULL, NULL, 188, NULL, 'PIRSR000192-6', 52869),
(109144, 'PIRSR038084-2', NULL, NULL, 419, NULL, 'PIRSR038084-2', 52870),
(109145, 'PIRSR036442-1', NULL, NULL, 527, NULL, 'PIRSR036442-1', 52871),
(109146, 'PIRSR028762-2', NULL, NULL, 389, NULL, 'PIRSR028762-2', 52872),
(109147, 'PIRSR006615-2', NULL, NULL, 503, NULL, 'PIRSR006615-2', 52873),
(109148, 'PIRSR600239-51', NULL, NULL, 597, NULL, 'PIRSR600239-51', 52874),
(109149, 'PIRSR633144-3', NULL, NULL, 410, NULL, 'PIRSR633144-3', 52875),
(109150, 'PIRSR005054-50', NULL, NULL, 239, NULL, 'PIRSR005054-50', 52876),
(109151, 'PIRSR036958-2', NULL, NULL, 602, NULL, 'PIRSR036958-2', 52877),
(109152, 'PIRSR017388-3', NULL, NULL, 245, NULL, 'PIRSR017388-3', 52878),
(109153, 'PIRSR018249-2', NULL, NULL, 210, NULL, 'PIRSR018249-2', 52879),
(109154, 'PIRSR000381-1', NULL, NULL, 1218, NULL, 'PIRSR000381-1', 52880),
(109155, 'PIRSR038455-2', NULL, NULL, 228, NULL, 'PIRSR038455-2', 52881),
(109156, 'PIRSR001134-2', NULL, NULL, 348, NULL, 'PIRSR001134-2', 52882);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(109157, 'PIRSR629727-3', NULL, NULL, 750, NULL, 'PIRSR629727-3', 52883),
(109158, 'PIRSR000094-2', NULL, NULL, 260, NULL, 'PIRSR000094-2', 52884),
(109159, 'PIRSR005993-1', NULL, NULL, 515, NULL, 'PIRSR005993-1', 52885),
(109160, 'PIRSR004692-3', NULL, NULL, 314, NULL, 'PIRSR004692-3', 52886),
(109161, 'PIRSR606118-50', NULL, NULL, 362, NULL, 'PIRSR606118-50', 52887),
(109162, 'PIRSR000102-1', NULL, NULL, 327, NULL, 'PIRSR000102-1', 52888),
(109163, 'PIRSR604809-50', NULL, NULL, 456, NULL, 'PIRSR604809-50', 52889),
(109164, 'PIRSR000636-1', NULL, NULL, 1129, NULL, 'PIRSR000636-1', 52890),
(109165, 'PIRSR013503-1', NULL, NULL, 215, NULL, 'PIRSR013503-1', 52891),
(109166, 'PIRSR000005-2', NULL, NULL, 213, NULL, 'PIRSR000005-2', 52892),
(109167, 'PIRSR036918-50', NULL, NULL, 605, NULL, 'PIRSR036918-50', 52893),
(109168, 'PIRSR002825-1', NULL, NULL, 346, NULL, 'PIRSR002825-1', 52894),
(109169, 'PIRSR000192-3', NULL, NULL, 188, NULL, 'PIRSR000192-3', 52895),
(109170, 'PIRSR000238-2', NULL, NULL, 520, NULL, 'PIRSR000238-2', 52896),
(109171, 'PIRSR001359-3', NULL, NULL, 260, NULL, 'PIRSR001359-3', 52897),
(109172, 'PIRSR000552-1', NULL, NULL, 888, NULL, 'PIRSR000552-1', 52898),
(109173, 'PIRSR000631-4', NULL, NULL, 1114, NULL, 'PIRSR000631-4', 52899),
(109174, 'PIRSR629727-2', NULL, NULL, 750, NULL, 'PIRSR629727-2', 52900),
(109175, 'PIRSR623612-1', NULL, NULL, 532, NULL, 'PIRSR623612-1', 52901),
(109176, 'PIRSR000927-1', NULL, NULL, 927, NULL, 'PIRSR000927-1', 52902),
(109177, 'PIRSR002421-1', NULL, NULL, 372, NULL, 'PIRSR002421-1', 52903),
(109178, 'PIRSR000168-2', NULL, NULL, 573, NULL, 'PIRSR000168-2', 52904),
(109179, 'PIRSR017818-1', NULL, NULL, 223, NULL, 'PIRSR017818-1', 52905),
(109180, 'PIRSR039026-2', NULL, NULL, 246, NULL, 'PIRSR039026-2', 52906),
(109181, 'PIRSR000948-1', NULL, NULL, 631, NULL, 'PIRSR000948-1', 52907),
(109182, 'PIRSR001461-2', NULL, NULL, 213, NULL, 'PIRSR001461-2', 52908),
(109183, 'PIRSR036298-50', NULL, NULL, 305, NULL, 'PIRSR036298-50', 52909),
(109184, 'PIRSR000431-2', NULL, NULL, 457, NULL, 'PIRSR000431-2', 52910),
(109185, 'PIRSR618044-2', NULL, NULL, 391, NULL, 'PIRSR618044-2', 52911),
(109186, 'PIRSR001065-1', NULL, NULL, 200, NULL, 'PIRSR001065-1', 52912),
(109187, 'PIRSR604677-50', NULL, NULL, 536, NULL, 'PIRSR604677-50', 52913),
(109188, 'PIRSR000109-1', NULL, NULL, 469, NULL, 'PIRSR000109-1', 52914),
(109189, 'PIRSR620777-51', NULL, NULL, 817, NULL, 'PIRSR620777-51', 52915),
(109190, 'PIRSR001553-1', NULL, NULL, 254, NULL, 'PIRSR001553-1', 52916),
(109191, 'PIRSR037393-2', NULL, NULL, 548, NULL, 'PIRSR037393-2', 52917),
(109192, 'PIRSR000498-1', NULL, NULL, 198, NULL, 'PIRSR000498-1', 52918),
(109193, 'PIRSR617736-1', NULL, NULL, 452, NULL, 'PIRSR617736-1', 52919),
(109194, 'PIRSR038895-1', NULL, NULL, 528, NULL, 'PIRSR038895-1', 52920),
(109195, 'PIRSR601233-2', NULL, NULL, 495, NULL, 'PIRSR601233-2', 52921),
(109196, 'PIRSR037217-2', NULL, NULL, 568, NULL, 'PIRSR037217-2', 52922),
(109197, 'PIRSR625650-2', NULL, NULL, 644, NULL, 'PIRSR625650-2', 52923),
(109198, 'PIRSR006247-1', NULL, NULL, 485, NULL, 'PIRSR006247-1', 52924),
(109199, 'PIRSR002006-2', NULL, NULL, 662, NULL, 'PIRSR002006-2', 52925),
(109200, 'PIRSR005604-1', NULL, NULL, 302, NULL, 'PIRSR005604-1', 52926),
(109201, 'PIRSR000894-2', NULL, NULL, 392, NULL, 'PIRSR000894-2', 52927),
(109202, 'PIRSR000185-2', NULL, NULL, 401, NULL, 'PIRSR000185-2', 52928),
(109203, 'PIRSR036489-3', NULL, NULL, 902, NULL, 'PIRSR036489-3', 52929),
(109204, 'PIRSR000454-3', NULL, NULL, 1844, NULL, 'PIRSR000454-3', 52930),
(109205, 'PIRSR000296-1', NULL, NULL, 293, NULL, 'PIRSR000296-1', 52931),
(109206, 'PIRSR001959-2', NULL, NULL, 508, NULL, 'PIRSR001959-2', 52932),
(109207, 'PIRSR006336-1', NULL, NULL, 645, NULL, 'PIRSR006336-1', 52933),
(109208, 'PIRSR037938-3', NULL, NULL, 252, NULL, 'PIRSR037938-3', 52934),
(109209, 'PIRSR629576-1', NULL, NULL, 604, NULL, 'PIRSR629576-1', 52935),
(109210, 'PIRSR018168-1', NULL, NULL, 365, NULL, 'PIRSR018168-1', 52936),
(109211, 'PIRSR000550-3', NULL, NULL, 608, NULL, 'PIRSR000550-3', 52937);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(109212, 'PIRSR602506-52', NULL, NULL, 213, NULL, 'PIRSR602506-52', 52938),
(109213, 'PIRSR029792-2', NULL, NULL, 335, NULL, 'PIRSR029792-2', 52939),
(109214, 'PIRSR002884-1', NULL, NULL, 199, NULL, 'PIRSR002884-1', 52940),
(109215, 'PIRSR000385-1', NULL, NULL, 271, NULL, 'PIRSR000385-1', 52941),
(109216, 'PIRSR000898-1', NULL, NULL, 327, NULL, 'PIRSR000898-1', 52942),
(109217, 'PIRSR000388-1', NULL, NULL, 244, NULL, 'PIRSR000388-1', 52943),
(109218, 'PIRSR001072-1', NULL, NULL, 568, NULL, 'PIRSR001072-1', 52944),
(109219, 'PIRSR036497-2', NULL, NULL, 340, NULL, 'PIRSR036497-2', 52945),
(109220, 'PIRSR001150-1', NULL, NULL, 810, NULL, 'PIRSR001150-1', 52946),
(109221, 'PIRSR601621-1', NULL, NULL, 370, NULL, 'PIRSR601621-1', 52947),
(109222, 'PIRSR000905-2', NULL, NULL, 353, NULL, 'PIRSR000905-2', 52948),
(109223, 'PIRSR000118-2', NULL, NULL, 592, NULL, 'PIRSR000118-2', 52949),
(109224, 'PIRSR018001-3', NULL, NULL, 313, NULL, 'PIRSR018001-3', 52950),
(109225, 'PIRSR036874-51', NULL, NULL, 681, NULL, 'PIRSR036874-51', 52951),
(109226, 'PIRSR000130-2', NULL, NULL, 473, NULL, 'PIRSR000130-2', 52952),
(109227, 'PIRSR000808-3', NULL, NULL, 353, NULL, 'PIRSR000808-3', 52953),
(109228, 'PIRSR000027-1', NULL, NULL, 127, NULL, 'PIRSR000027-1', 52954),
(109229, 'PIRSR037947-1', NULL, NULL, 357, NULL, 'PIRSR037947-1', 52955),
(109230, 'PIRSR037023-1', NULL, NULL, 663, NULL, 'PIRSR037023-1', 52956),
(109231, 'PIRSR016958-1', NULL, NULL, 200, NULL, 'PIRSR016958-1', 52957),
(109232, 'PIRSR630295-51', NULL, NULL, 298, NULL, 'PIRSR630295-51', 52958),
(109233, 'PIRSR039133-1', NULL, NULL, 649, NULL, 'PIRSR039133-1', 52959),
(109234, 'PIRSR017434-3', NULL, NULL, 425, NULL, 'PIRSR017434-3', 52960),
(109235, 'PIRSR018427-1', NULL, NULL, 195, NULL, 'PIRSR018427-1', 52961),
(109236, 'PIRSR018774-1', NULL, NULL, 365, NULL, 'PIRSR018774-1', 52962),
(109237, 'PIRSR026534-3', NULL, NULL, 324, NULL, 'PIRSR026534-3', 52963),
(109238, 'PIRSR003085-2', NULL, NULL, 327, NULL, 'PIRSR003085-2', 52964),
(109239, 'PIRSR005784-1', NULL, NULL, 168, NULL, 'PIRSR005784-1', 52965),
(109240, 'PIRSR000460-1', NULL, NULL, 348, NULL, 'PIRSR000460-1', 52966),
(109241, 'PIRSR015894-3', NULL, NULL, 456, NULL, 'PIRSR015894-3', 52967),
(109242, 'PIRSR037249-1', NULL, NULL, 373, NULL, 'PIRSR037249-1', 52968),
(109243, 'PIRSR000349-1', NULL, NULL, 201, NULL, 'PIRSR000349-1', 52969),
(109244, 'PIRSR000724-2', NULL, NULL, 315, NULL, 'PIRSR000724-2', 52970),
(109245, 'PIRSR003047-1', NULL, NULL, 1891, NULL, 'PIRSR003047-1', 52971),
(109246, 'PIRSR631098-51', NULL, NULL, 125, NULL, 'PIRSR631098-51', 52972),
(109247, 'PIRSR037907-2', NULL, NULL, 664, NULL, 'PIRSR037907-2', 52973),
(109248, 'PIRSR001238-1', NULL, NULL, 390, NULL, 'PIRSR001238-1', 52974),
(109249, 'PIRSR001149-1', NULL, NULL, 619, NULL, 'PIRSR001149-1', 52975),
(109250, 'PIRSR001500-2', NULL, NULL, 363, NULL, 'PIRSR001500-2', 52976),
(109251, 'PIRSR000183-1', NULL, NULL, 372, NULL, 'PIRSR000183-1', 52977),
(109252, 'PIRSR038159-50', NULL, NULL, 541, NULL, 'PIRSR038159-50', 52978),
(109253, 'PIRSR634598-3', NULL, NULL, 446, NULL, 'PIRSR634598-3', 52979),
(109254, 'PIRSR633040-1', NULL, NULL, 260, NULL, 'PIRSR633040-1', 52980),
(109255, 'PIRSR001426-1', NULL, NULL, 187, NULL, 'PIRSR001426-1', 52981),
(109256, 'PIRSR632916-1', NULL, NULL, 393, NULL, 'PIRSR632916-1', 52982),
(109257, 'PIRSR001492-2', NULL, NULL, 514, NULL, 'PIRSR001492-2', 52983),
(109258, 'PIRSR000604-2', NULL, NULL, 615, NULL, 'PIRSR000604-2', 52984),
(109259, 'PIRSR036665-52', NULL, NULL, 881, NULL, 'PIRSR036665-52', 52985),
(109260, 'PIRSR006278-2', NULL, NULL, 260, NULL, 'PIRSR006278-2', 52986),
(109261, 'PIRSR600917-51', NULL, NULL, 562, NULL, 'PIRSR600917-51', 52987),
(109262, 'PIRSR001028-2', NULL, NULL, 427, NULL, 'PIRSR001028-2', 52988),
(109263, 'PIRSR001217-1', NULL, NULL, 613, NULL, 'PIRSR001217-1', 52989),
(109264, 'PIRSR005700-1', NULL, NULL, 437, NULL, 'PIRSR005700-1', 52990),
(109265, 'PIRSR033579-3', NULL, NULL, 271, NULL, 'PIRSR033579-3', 52991),
(109266, 'PIRSR603739-50', NULL, NULL, 413, NULL, 'PIRSR603739-50', 52992);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(109267, 'PIRSR600823-2', NULL, NULL, 331, NULL, 'PIRSR600823-2', 52993),
(109268, 'PIRSR000934-1', NULL, NULL, 1179, NULL, 'PIRSR000934-1', 52994),
(109269, 'PIRSR019663-1', NULL, NULL, 426, NULL, 'PIRSR019663-1', 52995),
(109270, 'PIRSR634603-3', NULL, NULL, 359, NULL, 'PIRSR634603-3', 52996),
(109271, 'PIRSR000463-1', NULL, NULL, 638, NULL, 'PIRSR000463-1', 52997),
(109272, 'PIRSR017269-1', NULL, NULL, 208, NULL, 'PIRSR017269-1', 52998),
(109273, 'PIRSR002017-1', NULL, NULL, 374, NULL, 'PIRSR002017-1', 52999),
(109274, 'PIRSR001522-1', NULL, NULL, 315, NULL, 'PIRSR001522-1', 53000),
(109275, 'PIRSR004869-50', NULL, NULL, 319, NULL, 'PIRSR004869-50', 53001),
(109276, 'PIRSR000606-51', NULL, NULL, 738, NULL, 'PIRSR000606-51', 53002),
(109277, 'PIRSR633560-51', NULL, NULL, 572, NULL, 'PIRSR633560-51', 53003),
(109278, 'PIRSR500947-50', NULL, NULL, 987, NULL, 'PIRSR500947-50', 53004),
(109279, 'PIRSR036666-50', NULL, NULL, 519, NULL, 'PIRSR036666-50', 53005),
(109280, 'PIRSR617653-3', NULL, NULL, 446, NULL, 'PIRSR617653-3', 53006),
(109281, 'PIRSR037242-2', NULL, NULL, 480, NULL, 'PIRSR037242-2', 53007),
(109282, 'PIRSR037432-51', NULL, NULL, 344, NULL, 'PIRSR037432-51', 53008),
(109283, 'PIRSR037799-1', NULL, NULL, 76, NULL, 'PIRSR037799-1', 53009),
(109284, 'PIRSR633197-2', NULL, NULL, 285, NULL, 'PIRSR633197-2', 53010),
(109285, 'PIRSR001220-1', NULL, NULL, 255, NULL, 'PIRSR001220-1', 53011),
(109286, 'PIRSR001399-2', NULL, NULL, 149, NULL, 'PIRSR001399-2', 53012),
(109287, 'PIRSR601559-52', NULL, NULL, 305, NULL, 'PIRSR601559-52', 53013),
(109288, 'PIRSR607724-2', NULL, NULL, 433, NULL, 'PIRSR607724-2', 53014),
(109289, 'PIRSR038051-1', NULL, NULL, 523, NULL, 'PIRSR038051-1', 53015),
(109290, 'PIRSR001430-3', NULL, NULL, 204, NULL, 'PIRSR001430-3', 53016),
(109291, 'PIRSR015599-1', NULL, NULL, 279, NULL, 'PIRSR015599-1', 53017),
(109292, 'PIRSR037479-3', NULL, NULL, 472, NULL, 'PIRSR037479-3', 53018),
(109293, 'PIRSR001959-1', NULL, NULL, 508, NULL, 'PIRSR001959-1', 53019),
(109294, 'PIRSR001123-2', NULL, NULL, 341, NULL, 'PIRSR001123-2', 53020),
(109295, 'PIRSR002900-1', NULL, NULL, 55, NULL, 'PIRSR002900-1', 53021),
(109296, 'PIRSR633144-1', NULL, NULL, 410, NULL, 'PIRSR633144-1', 53022),
(109297, 'PIRSR001787-1', NULL, NULL, 392, NULL, 'PIRSR001787-1', 53023),
(109298, 'PIRSR037913-2', NULL, NULL, 365, NULL, 'PIRSR037913-2', 53024),
(109299, 'PIRSR000013-2', NULL, NULL, 203, NULL, 'PIRSR000013-2', 53025),
(109300, 'PIRSR001341-3', NULL, NULL, 316, NULL, 'PIRSR001341-3', 53026),
(109301, 'PIRSR024851-51', NULL, NULL, 169, NULL, 'PIRSR024851-51', 53027),
(109302, 'PIRSR001589-2', NULL, NULL, 535, NULL, 'PIRSR001589-2', 53028),
(109303, 'PIRSR017107-2', NULL, NULL, 415, NULL, 'PIRSR017107-2', 53029),
(109304, 'PIRSR000699-2', NULL, NULL, 103, NULL, 'PIRSR000699-2', 53030),
(109305, 'PIRSR002520-1', NULL, NULL, 609, NULL, 'PIRSR002520-1', 53031),
(109306, 'PIRSR028757-1', NULL, NULL, 235, NULL, 'PIRSR028757-1', 53032),
(109307, 'PIRSR500135-1', NULL, NULL, 438, NULL, 'PIRSR500135-1', 53033),
(109308, 'PIRSR603051-50', NULL, NULL, 415, NULL, 'PIRSR603051-50', 53034),
(109309, 'PIRSR000350-3', NULL, NULL, 478, NULL, 'PIRSR000350-3', 53035),
(109310, 'PIRSR016238-1', NULL, NULL, 218, NULL, 'PIRSR016238-1', 53036),
(109311, 'PIRSR037921-1', NULL, NULL, 405, NULL, 'PIRSR037921-1', 53037),
(109312, 'PIRSR000355-1', NULL, NULL, 342, NULL, 'PIRSR000355-1', 53038),
(109313, 'PIRSR000509-1', NULL, NULL, 415, NULL, 'PIRSR000509-1', 53039),
(109314, 'PIRSR002279-1', NULL, NULL, 2340, NULL, 'PIRSR002279-1', 53040),
(109315, 'PIRSR600983-52', NULL, NULL, 151, NULL, 'PIRSR600983-52', 53041),
(109316, 'PIRSR038134-1', NULL, NULL, 285, NULL, 'PIRSR038134-1', 53042),
(109317, 'PIRSR005465-1', NULL, NULL, 409, NULL, 'PIRSR005465-1', 53043),
(109318, 'PIRSR003726-1', NULL, NULL, 295, NULL, 'PIRSR003726-1', 53044),
(109319, 'PIRSR634598-2', NULL, NULL, 446, NULL, 'PIRSR634598-2', 53045),
(109320, 'PIRSR004682-4', NULL, NULL, 186, NULL, 'PIRSR004682-4', 53046),
(109321, 'PIRSR000007-51', NULL, NULL, 276, NULL, 'PIRSR000007-51', 53047);
INSERT INTO "PUBLIC"."MODEL" VALUES
(109322, 'PIRSR000260-1', NULL, NULL, 96, NULL, 'PIRSR000260-1', 53048),
(109323, 'PIRSR001199-1', NULL, NULL, 1005, NULL, 'PIRSR001199-1', 53049),
(109324, 'PIRSR029681-2', NULL, NULL, 181, NULL, 'PIRSR029681-2', 53050),
(109325, 'PIRSR037938-2', NULL, NULL, 252, NULL, 'PIRSR037938-2', 53051),
(109326, 'PIRSR002551-1', NULL, NULL, 458, NULL, 'PIRSR002551-1', 53052),
(109327, 'PIRSR000628-1', NULL, NULL, 744, NULL, 'PIRSR000628-1', 53053),
(109328, 'PIRSR026389-4', NULL, NULL, 740, NULL, 'PIRSR026389-4', 53054),
(109329, 'PIRSR000409-3', NULL, NULL, 338, NULL, 'PIRSR000409-3', 53055),
(109330, 'PIRSR016308-1', NULL, NULL, 824, NULL, 'PIRSR016308-1', 53056),
(109331, 'PIRSR000188-2', NULL, NULL, 326, NULL, 'PIRSR000188-2', 53057),
(109332, 'PIRSR002033-1', NULL, NULL, 119, NULL, 'PIRSR002033-1', 53058),
(109333, 'PIRSR017388-2', NULL, NULL, 245, NULL, 'PIRSR017388-2', 53059),
(109334, 'PIRSR000183-4', NULL, NULL, 372, NULL, 'PIRSR000183-4', 53060),
(109335, 'PIRSR000294-2', NULL, NULL, 340, NULL, 'PIRSR000294-2', 53061),
(109336, 'PIRSR627173-50', NULL, NULL, 905, NULL, 'PIRSR627173-50', 53062),
(109337, 'PIRSR023956-1', NULL, NULL, 211, NULL, 'PIRSR023956-1', 53063),
(109338, 'PIRSR601191-2', NULL, NULL, 342, NULL, 'PIRSR601191-2', 53064),
(109339, 'PIRSR000108-2', NULL, NULL, 358, NULL, 'PIRSR000108-2', 53065),
(109340, 'PIRSR036894-2', NULL, NULL, 315, NULL, 'PIRSR036894-2', 53066),
(109341, 'PIRSR000102-2', NULL, NULL, 327, NULL, 'PIRSR000102-2', 53067),
(109342, 'PIRSR033579-1', NULL, NULL, 271, NULL, 'PIRSR033579-1', 53068),
(109343, 'PIRSR000386-1', NULL, NULL, 216, NULL, 'PIRSR000386-1', 53069),
(109344, 'PIRSR006431-1', NULL, NULL, 300, NULL, 'PIRSR006431-1', 53070),
(109345, 'PIRSR629890-2', NULL, NULL, 908, NULL, 'PIRSR629890-2', 53071),
(109346, 'PIRSR012565-1', NULL, NULL, 111, NULL, 'PIRSR012565-1', 53072),
(109347, 'PIRSR006615-1', NULL, NULL, 503, NULL, 'PIRSR006615-1', 53073),
(109348, 'PIRSR000192-5', NULL, NULL, 188, NULL, 'PIRSR000192-5', 53074),
(109349, 'PIRSR004692-2', NULL, NULL, 314, NULL, 'PIRSR004692-2', 53075),
(109350, 'PIRSR633573-1', NULL, NULL, 383, NULL, 'PIRSR633573-1', 53076),
(109351, 'PIRSR038073-2', NULL, NULL, 297, NULL, 'PIRSR038073-2', 53077),
(109352, 'PIRSR000806-1', NULL, NULL, 492, NULL, 'PIRSR000806-1', 53078),
(109353, 'PIRSR629576-4', NULL, NULL, 604, NULL, 'PIRSR629576-4', 53079),
(109354, 'PIRSR001461-3', NULL, NULL, 213, NULL, 'PIRSR001461-3', 53080),
(109355, 'PIRSR000732-2', NULL, NULL, 473, NULL, 'PIRSR000732-2', 53081),
(109356, 'PIRSR011588-50', NULL, NULL, 428, NULL, 'PIRSR011588-50', 53082),
(109357, 'PIRSR036917-2', NULL, NULL, 684, NULL, 'PIRSR036917-2', 53083),
(109358, 'PIRSR005965-1', NULL, NULL, 124, NULL, 'PIRSR005965-1', 53084),
(109359, 'PIRSR038193-2', NULL, NULL, 455, NULL, 'PIRSR038193-2', 53085),
(109360, 'PIRSR000009-1', NULL, NULL, 213, NULL, 'PIRSR000009-1', 53086),
(109361, 'PIRSR001594-2', NULL, NULL, 1106, NULL, 'PIRSR001594-2', 53087),
(109362, 'PIRSR011789-1', NULL, NULL, 400, NULL, 'PIRSR011789-1', 53088),
(109363, 'PIRSR036426-1', NULL, NULL, 232, NULL, 'PIRSR036426-1', 53089),
(109364, 'PIRSR000177-1', NULL, NULL, 252, NULL, 'PIRSR000177-1', 53090),
(109365, 'PIRSR000130-3', NULL, NULL, 473, NULL, 'PIRSR000130-3', 53091),
(109366, 'PIRSR003888-1', NULL, NULL, 417, NULL, 'PIRSR003888-1', 53092),
(109367, 'PIRSR610059-50', NULL, NULL, 309, NULL, 'PIRSR610059-50', 53093),
(109368, 'PIRSR500950-52', NULL, NULL, 1088, NULL, 'PIRSR500950-52', 53094),
(109369, 'PIRSR000865-2', NULL, NULL, 462, NULL, 'PIRSR000865-2', 53095),
(109370, 'PIRSR006468-1', NULL, NULL, 357, NULL, 'PIRSR006468-1', 53096),
(109371, 'PIRSR000361-1', NULL, NULL, 373, NULL, 'PIRSR000361-1', 53097),
(109372, 'PIRSR611612-50', NULL, NULL, 570, NULL, 'PIRSR611612-50', 53098),
(109373, 'PIRSR629580-5', NULL, NULL, 600, NULL, 'PIRSR629580-5', 53099),
(109374, 'PIRSR036421-3', NULL, NULL, 1083, NULL, 'PIRSR036421-3', 53100),
(109375, 'PIRSR005096-2', NULL, NULL, 289, NULL, 'PIRSR005096-2', 53101),
(109376, 'PIRSR602187-50', NULL, NULL, 115, NULL, 'PIRSR602187-50', 53102);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(109377, 'PIRSR000018-50', NULL, NULL, 448, NULL, 'PIRSR000018-50', 53103),
(109378, 'PIRSR000439-1', NULL, NULL, 236, NULL, 'PIRSR000439-1', 53104),
(109379, 'PIRSR001619-1', NULL, NULL, 296, NULL, 'PIRSR001619-1', 53105),
(109380, 'PIRSR005149-50', NULL, NULL, 369, NULL, 'PIRSR005149-50', 53106),
(109381, 'PIRSR609451-50', NULL, NULL, 407, NULL, 'PIRSR609451-50', 53107),
(109382, 'PIRSR639901-2', NULL, NULL, 430, NULL, 'PIRSR639901-2', 53108),
(109383, 'PIRSR037403-1', NULL, NULL, 453, NULL, 'PIRSR037403-1', 53109),
(109384, 'PIRSR600990-52', NULL, NULL, 671, NULL, 'PIRSR600990-52', 53110),
(109385, 'PIRSR018250-1', NULL, NULL, 371, NULL, 'PIRSR018250-1', 53111),
(109386, 'PIRSR001092-1', NULL, NULL, 462, NULL, 'PIRSR001092-1', 53112),
(109387, 'PIRSR001031-1', NULL, NULL, 616, NULL, 'PIRSR001031-1', 53113),
(109388, 'PIRSR600269-50', NULL, NULL, 742, NULL, 'PIRSR600269-50', 53114),
(109389, 'PIRSR002356-1', NULL, NULL, 410, NULL, 'PIRSR002356-1', 53115),
(109390, 'PIRSR622312-50', NULL, NULL, 334, NULL, 'PIRSR622312-50', 53116),
(109391, 'PIRSR001100-1', NULL, NULL, 290, NULL, 'PIRSR001100-1', 53117),
(109392, 'PIRSR036441-50', NULL, NULL, 443, NULL, 'PIRSR036441-50', 53118),
(109393, 'PIRSR000926-1', NULL, NULL, 298, NULL, 'PIRSR000926-1', 53119),
(109394, 'PIRSR602325-50', NULL, NULL, 319, NULL, 'PIRSR602325-50', 53120),
(109395, 'PIRSR000933-50', NULL, NULL, 2487, NULL, 'PIRSR000933-50', 53121),
(109396, 'PIRSR037238-1', NULL, NULL, 381, NULL, 'PIRSR037238-1', 53122),
(109397, 'PIRSR630294-2', NULL, NULL, 306, NULL, 'PIRSR630294-2', 53123),
(109398, 'PIRSR001667-1', NULL, NULL, 75, NULL, 'PIRSR001667-1', 53124),
(109399, 'PIRSR016150-50', NULL, NULL, 459, NULL, 'PIRSR016150-50', 53125),
(109400, 'PIRSR000336-1', NULL, NULL, 441, NULL, 'PIRSR000336-1', 53126),
(109401, 'PIRSR006230-1', NULL, NULL, 289, NULL, 'PIRSR006230-1', 53127),
(109402, 'PIRSR006769-2', NULL, NULL, 324, NULL, 'PIRSR006769-2', 53128),
(109403, 'PIRSR006325-1', NULL, NULL, 235, NULL, 'PIRSR006325-1', 53129),
(109404, 'PIRSR001924-3', NULL, NULL, 315, NULL, 'PIRSR001924-3', 53130),
(109405, 'PIRSR001084-2', NULL, NULL, 673, NULL, 'PIRSR001084-2', 53131),
(109406, 'PIRSR001355-2', NULL, NULL, 358, NULL, 'PIRSR001355-2', 53132),
(109407, 'PIRSR606225-1', NULL, NULL, 248, NULL, 'PIRSR606225-1', 53133),
(109408, 'PIRSR028762-1', NULL, NULL, 389, NULL, 'PIRSR028762-1', 53134),
(109409, 'PIRSR006404-2', NULL, NULL, 322, NULL, 'PIRSR006404-2', 53135),
(109410, 'PIRSR000241-1', NULL, NULL, 289, NULL, 'PIRSR000241-1', 53136),
(109411, 'PIRSR001112-1', NULL, NULL, 458, NULL, 'PIRSR001112-1', 53137),
(109412, 'PIRSR001951-1', NULL, NULL, 193, NULL, 'PIRSR001951-1', 53138),
(109413, 'PIRSR002855-1', NULL, NULL, 78, NULL, 'PIRSR002855-1', 53139),
(109414, 'PIRSR001149-4', NULL, NULL, 619, NULL, 'PIRSR001149-4', 53140),
(109415, 'PIRSR037911-3', NULL, NULL, 660, NULL, 'PIRSR037911-3', 53141),
(109416, 'PIRSR000071-1', NULL, NULL, 53, NULL, 'PIRSR000071-1', 53142),
(109417, 'PIRSR005713-1', NULL, NULL, 390, NULL, 'PIRSR005713-1', 53143),
(109418, 'PIRSR002431-1', NULL, NULL, 524, NULL, 'PIRSR002431-1', 53144),
(109419, 'PIRSR604329-50', NULL, NULL, 151, NULL, 'PIRSR604329-50', 53145),
(109420, 'PIRSR003085-1', NULL, NULL, 327, NULL, 'PIRSR003085-1', 53146),
(109421, 'PIRSR001558-2', NULL, NULL, 320, NULL, 'PIRSR001558-2', 53147),
(109422, 'PIRSR017340-1', NULL, NULL, 176, NULL, 'PIRSR017340-1', 53148),
(109423, 'PIRSR015894-2', NULL, NULL, 456, NULL, 'PIRSR015894-2', 53149),
(109424, 'PIRSR003047-2', NULL, NULL, 1893, NULL, 'PIRSR003047-2', 53150),
(109425, 'PIRSR610300-51', NULL, NULL, 204, NULL, 'PIRSR610300-51', 53151),
(109426, 'PIRSR000450-1', NULL, NULL, 301, NULL, 'PIRSR000450-1', 53152),
(109427, 'PIRSR001024-4', NULL, NULL, 477, NULL, 'PIRSR001024-4', 53153),
(109428, 'PIRSR637571-50', NULL, NULL, 686, NULL, 'PIRSR637571-50', 53154),
(109429, 'PIRSR006246-5', NULL, NULL, 128, NULL, 'PIRSR006246-5', 53155),
(109430, 'PIRSR004848-1', NULL, NULL, 192, NULL, 'PIRSR004848-1', 53156),
(109431, 'PIRSR006019-2', NULL, NULL, 159, NULL, 'PIRSR006019-2', 53157);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(109432, 'PIRSR016573-3', NULL, NULL, 161, NULL, 'PIRSR016573-3', 53158),
(109433, 'PIRSR001363-1', NULL, NULL, 537, NULL, 'PIRSR001363-1', 53159),
(109434, 'PIRSR627185-50', NULL, NULL, 785, NULL, 'PIRSR627185-50', 53160),
(109435, 'PIRSR001357-50', NULL, NULL, 238, NULL, 'PIRSR001357-50', 53161),
(109436, 'PIRSR028774-1', NULL, NULL, 358, NULL, 'PIRSR028774-1', 53162),
(109437, 'PIRSR036936-2', NULL, NULL, 491, NULL, 'PIRSR036936-2', 53163),
(109438, 'PIRSR037091-1', NULL, NULL, 576, NULL, 'PIRSR037091-1', 53164),
(109439, 'PIRSR006337-1', NULL, NULL, 599, NULL, 'PIRSR006337-1', 53165),
(109440, 'PIRSR605428-52', NULL, NULL, 472, NULL, 'PIRSR605428-52', 53166),
(109441, 'PIRSR000099-2', NULL, NULL, 362, NULL, 'PIRSR000099-2', 53167),
(109442, 'PIRSR000196-1', NULL, NULL, 307, NULL, 'PIRSR000196-1', 53168),
(109443, 'PIRSR600823-1', NULL, NULL, 331, NULL, 'PIRSR600823-1', 53169),
(109444, 'PIRSR006621-1', NULL, NULL, 299, NULL, 'PIRSR006621-1', 53170),
(109445, 'PIRSR001492-3', NULL, NULL, 514, NULL, 'PIRSR001492-3', 53171),
(109446, 'PIRSR017205-3', NULL, NULL, 404, NULL, 'PIRSR017205-3', 53172),
(109447, 'PIRSR006278-1', NULL, NULL, 260, NULL, 'PIRSR006278-1', 53173),
(109448, 'PIRSR037350-1', NULL, NULL, 239, NULL, 'PIRSR037350-1', 53174),
(109449, 'PIRSR000094-4', NULL, NULL, 260, NULL, 'PIRSR000094-4', 53175),
(109450, 'PIRSR018136-1', NULL, NULL, 441, NULL, 'PIRSR018136-1', 53176),
(109451, 'PIRSR001149-2', NULL, NULL, 619, NULL, 'PIRSR001149-2', 53177),
(109452, 'PIRSR006816-2', NULL, NULL, 207, NULL, 'PIRSR006816-2', 53178),
(109453, 'PIRSR037038-1', NULL, NULL, 93, NULL, 'PIRSR037038-1', 53179),
(109454, 'PIRSR000454-4', NULL, NULL, 1844, NULL, 'PIRSR000454-4', 53180),
(109455, 'PIRSR600269-51', NULL, NULL, 742, NULL, 'PIRSR600269-51', 53181),
(109456, 'PIRSR001235-2', NULL, NULL, 415, NULL, 'PIRSR001235-2', 53182),
(109457, 'PIRSR000550-2', NULL, NULL, 608, NULL, 'PIRSR000550-2', 53183),
(109458, 'PIRSR037242-4', NULL, NULL, 480, NULL, 'PIRSR037242-4', 53184),
(109459, 'PIRSR018153-1', NULL, NULL, 423, NULL, 'PIRSR018153-1', 53185),
(109460, 'PIRSR500947-52', NULL, NULL, 987, NULL, 'PIRSR500947-52', 53186),
(109461, 'PIRSR005822-1', NULL, NULL, 93, NULL, 'PIRSR005822-1', 53187),
(109462, 'PIRSR000185-1', NULL, NULL, 401, NULL, 'PIRSR000185-1', 53188),
(109463, 'PIRSR037219-1', NULL, NULL, 369, NULL, 'PIRSR037219-1', 53189),
(109464, 'PIRSR000459-2', NULL, NULL, 673, NULL, 'PIRSR000459-2', 53190),
(109465, 'PIRSR000972-50', NULL, NULL, 594, NULL, 'PIRSR000972-50', 53191),
(109466, 'PIRSR011396-2', NULL, NULL, 308, NULL, 'PIRSR011396-2', 53192),
(109467, 'PIRSR000556-1', NULL, NULL, 548, NULL, 'PIRSR000556-1', 53193),
(109468, 'PIRSR000865-1', NULL, NULL, 384, NULL, 'PIRSR000865-1', 53194),
(109469, 'PIRSR634603-2', NULL, NULL, 359, NULL, 'PIRSR634603-2', 53195),
(109470, 'PIRSR000207-1', NULL, NULL, 547, NULL, 'PIRSR000207-1', 53196),
(109471, 'PIRSR600917-52', NULL, NULL, 562, NULL, 'PIRSR600917-52', 53197),
(109472, 'PIRSR009103-2', NULL, NULL, 156, NULL, 'PIRSR009103-2', 53198),
(109473, 'PIRSR037281-3', NULL, NULL, 480, NULL, 'PIRSR037281-3', 53199),
(109474, 'PIRSR001355-3', NULL, NULL, 358, NULL, 'PIRSR001355-3', 53200),
(109475, 'PIRSR006816-1', NULL, NULL, 207, NULL, 'PIRSR006816-1', 53201),
(109476, 'PIRSR007531-1', NULL, NULL, 214, NULL, 'PIRSR007531-1', 53202),
(109477, 'PIRSR611612-52', NULL, NULL, 570, NULL, 'PIRSR611612-52', 53203),
(109478, 'PIRSR038065-1', NULL, NULL, 401, NULL, 'PIRSR038065-1', 53204),
(109479, 'PIRSR000559-1', NULL, NULL, 597, NULL, 'PIRSR000559-1', 53205),
(109480, 'PIRSR631084-1', NULL, NULL, 538, NULL, 'PIRSR631084-1', 53206),
(109481, 'PIRSR016150-51', NULL, NULL, 459, NULL, 'PIRSR016150-51', 53207),
(109482, 'PIRSR001222-50', NULL, NULL, 837, NULL, 'PIRSR001222-50', 53208),
(109483, 'PIRSR005669-1', NULL, NULL, 548, NULL, 'PIRSR005669-1', 53209),
(109484, 'PIRSR629576-2', NULL, NULL, 604, NULL, 'PIRSR629576-2', 53210),
(109485, 'PIRSR037935-1', NULL, NULL, 567, NULL, 'PIRSR037935-1', 53211),
(109486, 'PIRSR001979-1', NULL, NULL, 503, NULL, 'PIRSR001979-1', 53212);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(109487, 'PIRSR017199-1', NULL, NULL, 112, NULL, 'PIRSR017199-1', 53213),
(109488, 'PIRSR038023-2', NULL, NULL, 411, NULL, 'PIRSR038023-2', 53214),
(109489, 'PIRSR001109-1', NULL, NULL, 421, NULL, 'PIRSR001109-1', 53215),
(109490, 'PIRSR629890-1', NULL, NULL, 908, NULL, 'PIRSR629890-1', 53216),
(109491, 'PIRSR001238-2', NULL, NULL, 390, NULL, 'PIRSR001238-2', 53217),
(109492, 'PIRSR038120-1', NULL, NULL, 177, NULL, 'PIRSR038120-1', 53218),
(109493, 'PIRSR600888-2', NULL, NULL, 164, NULL, 'PIRSR600888-2', 53219),
(109494, 'PIRSR000732-3', NULL, NULL, 473, NULL, 'PIRSR000732-3', 53220),
(109495, 'PIRSR001145-1', NULL, NULL, 563, NULL, 'PIRSR001145-1', 53221),
(109496, 'PIRSR000188-1', NULL, NULL, 326, NULL, 'PIRSR000188-1', 53222),
(109497, 'PIRSR000108-4', NULL, NULL, 358, NULL, 'PIRSR000108-4', 53223),
(109498, 'PIRSR011356-1', NULL, NULL, 287, NULL, 'PIRSR011356-1', 53224),
(109499, 'PIRSR613307-50', NULL, NULL, 242, NULL, 'PIRSR613307-50', 53225),
(109500, 'PIRSR009449-1', NULL, NULL, 437, NULL, 'PIRSR009449-1', 53226),
(109501, 'PIRSR016308-2', NULL, NULL, 824, NULL, 'PIRSR016308-2', 53227),
(109502, 'PIRSR037010-50', NULL, NULL, 85, NULL, 'PIRSR037010-50', 53228),
(109503, 'PIRSR000108-3', NULL, NULL, 358, NULL, 'PIRSR000108-3', 53229),
(109504, 'PIRSR037322-1', NULL, NULL, 166, NULL, 'PIRSR037322-1', 53230),
(109505, 'PIRSR009407-2', NULL, NULL, 742, NULL, 'PIRSR009407-2', 53231),
(109506, 'PIRSR600542-2', NULL, NULL, 630, NULL, 'PIRSR600542-2', 53232),
(109507, 'PIRSR002816-1', NULL, NULL, 335, NULL, 'PIRSR002816-1', 53233),
(109508, 'PIRSR017689-1', NULL, NULL, 502, NULL, 'PIRSR017689-1', 53234),
(109509, 'PIRSR001942-1', NULL, NULL, 176, NULL, 'PIRSR001942-1', 53235),
(109510, 'PIRSR634180-2', NULL, NULL, 421, NULL, 'PIRSR634180-2', 53236),
(109511, 'PIRSR002006-3', NULL, NULL, 662, NULL, 'PIRSR002006-3', 53237),
(109512, 'PIRSR029681-1', NULL, NULL, 181, NULL, 'PIRSR029681-1', 53238),
(109513, 'PIRSR006241-50', NULL, NULL, 267, NULL, 'PIRSR006241-50', 53239),
(109514, 'PIRSR031051-2', NULL, NULL, 247, NULL, 'PIRSR031051-2', 53240),
(109515, 'PIRSR038128-50', NULL, NULL, 330, NULL, 'PIRSR038128-50', 53241),
(109516, 'PIRSR629601-3', NULL, NULL, 1866, NULL, 'PIRSR629601-3', 53242),
(109517, 'PIRSR000862-1', NULL, NULL, 365, NULL, 'PIRSR000862-1', 53243),
(109518, 'PIRSR004776-1', NULL, NULL, 411, NULL, 'PIRSR004776-1', 53244),
(109519, 'PIRSR000706-1', NULL, NULL, 264, NULL, 'PIRSR000706-1', 53245),
(109520, 'PIRSR019543-2', NULL, NULL, 164, NULL, 'PIRSR019543-2', 53246),
(109521, 'PIRSR006356-1', NULL, NULL, 402, NULL, 'PIRSR006356-1', 53247),
(109522, 'PIRSR037568-2', NULL, NULL, 1182, NULL, 'PIRSR037568-2', 53248),
(109523, 'PIRSR000118-1', NULL, NULL, 592, NULL, 'PIRSR000118-1', 53249),
(109524, 'PIRSR000915-1', NULL, NULL, 269, NULL, 'PIRSR000915-1', 53250),
(109525, 'PIRSR037506-1', NULL, NULL, 628, NULL, 'PIRSR037506-1', 53251),
(109526, 'PIRSR500950-51', NULL, NULL, 1088, NULL, 'PIRSR500950-51', 53252),
(109527, 'PIRSR011794-1', NULL, NULL, 528, NULL, 'PIRSR011794-1', 53253),
(109528, 'PIRSR000556-2', NULL, NULL, 548, NULL, 'PIRSR000556-2', 53254),
(109529, 'PIRSR617653-1', NULL, NULL, 446, NULL, 'PIRSR617653-1', 53255),
(109530, 'PIRSR000977-2', NULL, NULL, 480, NULL, 'PIRSR000977-2', 53256),
(109531, 'PIRSR038896-50', NULL, NULL, 381, NULL, 'PIRSR038896-50', 53257),
(109532, 'PIRSR006105-1', NULL, NULL, 157, NULL, 'PIRSR006105-1', 53258),
(109533, 'PIRSR025648-1', NULL, NULL, 245, NULL, 'PIRSR025648-1', 53259),
(109534, 'PIRSR016408-1', NULL, NULL, 479, NULL, 'PIRSR016408-1', 53260),
(109535, 'PIRSR015604-1', NULL, NULL, 160, NULL, 'PIRSR015604-1', 53261),
(109536, 'PIRSR028980-2', NULL, NULL, 211, NULL, 'PIRSR028980-2', 53262),
(109537, 'PIRSR634180-3', NULL, NULL, 421, NULL, 'PIRSR634180-3', 53263),
(109538, 'PIRSR629511-1', NULL, NULL, 279, NULL, 'PIRSR629511-1', 53264),
(109539, 'PIRSR000927-2', NULL, NULL, 927, NULL, 'PIRSR000927-2', 53265),
(109540, 'PIRSR002412-1', NULL, NULL, 509, NULL, 'PIRSR002412-1', 53266),
(109541, 'PIRSR024851-50', NULL, NULL, 169, NULL, 'PIRSR024851-50', 53267);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(109542, 'PIRSR031051-3', NULL, NULL, 247, NULL, 'PIRSR031051-3', 53268),
(109543, 'PIRSR000090-1', NULL, NULL, 258, NULL, 'PIRSR000090-1', 53269),
(109544, 'PIRSR037932-1', NULL, NULL, 278, NULL, 'PIRSR037932-1', 53270),
(109545, 'PIRSR038994-3', NULL, NULL, 286, NULL, 'PIRSR038994-3', 53271),
(109546, 'PIRSR000235-1', NULL, NULL, 348, NULL, 'PIRSR000235-1', 53272),
(109547, 'PIRSR002736-50', NULL, NULL, 97, NULL, 'PIRSR002736-50', 53273),
(109548, 'PIRSR038455-1', NULL, NULL, 228, NULL, 'PIRSR038455-1', 53274),
(109549, 'PIRSR002512-1', NULL, NULL, 799, NULL, 'PIRSR002512-1', 53275),
(109550, 'PIRSR000105-3', NULL, NULL, 286, NULL, 'PIRSR000105-3', 53276),
(109551, 'PIRSR018168-3', NULL, NULL, 365, NULL, 'PIRSR018168-3', 53277),
(109552, 'PIRSR000138-2', NULL, NULL, 369, NULL, 'PIRSR000138-2', 53278),
(109553, 'PIRSR000550-1', NULL, NULL, 608, NULL, 'PIRSR000550-1', 53279),
(109554, 'PIRSR038023-1', NULL, NULL, 411, NULL, 'PIRSR038023-1', 53280),
(109555, 'PIRSR001569-1', NULL, NULL, 469, NULL, 'PIRSR001569-1', 53281),
(109556, 'PIRSR038085-2', NULL, NULL, 151, NULL, 'PIRSR038085-2', 53282),
(109557, 'PIRSR037432-50', NULL, NULL, 344, NULL, 'PIRSR037432-50', 53283),
(109558, 'PIRSR001814-1', NULL, NULL, 113, NULL, 'PIRSR001814-1', 53284),
(109559, 'PIRSR002490-1', NULL, NULL, 368, NULL, 'PIRSR002490-1', 53285),
(109560, 'PIRSR038927-3', NULL, NULL, 631, NULL, 'PIRSR038927-3', 53286),
(109561, 'PIRSR600888-1', NULL, NULL, 164, NULL, 'PIRSR600888-1', 53287),
(109562, 'PIRSR001199-2', NULL, NULL, 1005, NULL, 'PIRSR001199-2', 53288),
(109563, 'PIRSR026389-3', NULL, NULL, 740, NULL, 'PIRSR026389-3', 53289),
(109564, 'PIRSR606710-1', NULL, NULL, 322, NULL, 'PIRSR606710-1', 53290),
(109565, 'PIRSR010354-50', NULL, NULL, 3808, NULL, 'PIRSR010354-50', 53291),
(109566, 'PIRSR038025-50', NULL, NULL, 401, NULL, 'PIRSR038025-50', 53292),
(109567, 'PIRSR000094-3', NULL, NULL, 260, NULL, 'PIRSR000094-3', 53293),
(109568, 'PIRSR007531-2', NULL, NULL, 214, NULL, 'PIRSR007531-2', 53294),
(109569, 'PIRSR037938-1', NULL, NULL, 252, NULL, 'PIRSR037938-1', 53295),
(109570, 'PIRSR611612-51', NULL, NULL, 570, NULL, 'PIRSR611612-51', 53296),
(109571, 'PIRSR005739-1', NULL, NULL, 292, NULL, 'PIRSR005739-1', 53297),
(109572, 'PIRSR001222-51', NULL, NULL, 837, NULL, 'PIRSR001222-51', 53298),
(109573, 'PIRSR036936-1', NULL, NULL, 549, NULL, 'PIRSR036936-1', 53299),
(109574, 'PIRSR015852-1', NULL, NULL, 262, NULL, 'PIRSR015852-1', 53300),
(109575, 'PIRSR015919-1', NULL, NULL, 403, NULL, 'PIRSR015919-1', 53301),
(109576, 'PIRSR000097-3', NULL, NULL, 236, NULL, 'PIRSR000097-3', 53302),
(109577, 'PIRSR036551-1', NULL, NULL, 236, NULL, 'PIRSR036551-1', 53303),
(109578, 'PIRSR037032-1', NULL, NULL, 296, NULL, 'PIRSR037032-1', 53304),
(109579, 'PIRSR000127-2', NULL, NULL, 1342, NULL, 'PIRSR000127-2', 53305),
(109580, 'PIRSR005639-2', NULL, NULL, 195, NULL, 'PIRSR005639-2', 53306),
(109581, 'PIRSR000310-1', NULL, NULL, 299, NULL, 'PIRSR000310-1', 53307),
(109582, 'PIRSR004692-1', NULL, NULL, 314, NULL, 'PIRSR004692-1', 53308),
(109583, 'PIRSR001558-1', NULL, NULL, 320, NULL, 'PIRSR001558-1', 53309),
(109584, 'PIRSR000238-1', NULL, NULL, 520, NULL, 'PIRSR000238-1', 53310),
(109585, 'PIRSR006337-2', NULL, NULL, 599, NULL, 'PIRSR006337-2', 53311),
(109586, 'PIRSR015582-2', NULL, NULL, 258, NULL, 'PIRSR015582-2', 53312),
(109587, 'PIRSR028774-2', NULL, NULL, 358, NULL, 'PIRSR028774-2', 53313),
(109588, 'PIRSR000620-2', NULL, NULL, 306, NULL, 'PIRSR000620-2', 53314),
(109589, 'PIRSR038193-1', NULL, NULL, 455, NULL, 'PIRSR038193-1', 53315),
(109590, 'PIRSR634603-1', NULL, NULL, 359, NULL, 'PIRSR634603-1', 53316),
(109591, 'PIRSR000169-2', NULL, NULL, 115, NULL, 'PIRSR000169-2', 53317),
(109592, 'PIRSR000183-3', NULL, NULL, 372, NULL, 'PIRSR000183-3', 53318),
(109593, 'PIRSR629727-4', NULL, NULL, 750, NULL, 'PIRSR629727-4', 53319),
(109594, 'PIRSR000029-1', NULL, NULL, 128, NULL, 'PIRSR000029-1', 53320),
(109595, 'PIRSR019634-50', NULL, NULL, 809, NULL, 'PIRSR019634-50', 53321),
(109596, 'PIRSR017818-3', NULL, NULL, 223, NULL, 'PIRSR017818-3', 53322);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(109597, 'PIRSR600514-1', NULL, NULL, 518, NULL, 'PIRSR600514-1', 53323),
(109598, 'PIRSR000617-1', NULL, NULL, 1428, NULL, 'PIRSR000617-1', 53324),
(109599, 'PIRSR630297-1', NULL, NULL, 223, NULL, 'PIRSR630297-1', 53325),
(109600, 'PIRSR610300-50', NULL, NULL, 204, NULL, 'PIRSR610300-50', 53326),
(109601, 'PIRSR039050-51', NULL, NULL, 1101, NULL, 'PIRSR039050-51', 53327),
(109602, 'PIRSR015894-1', NULL, NULL, 456, NULL, 'PIRSR015894-1', 53328),
(109603, 'PIRSR037375-1', NULL, NULL, 497, NULL, 'PIRSR037375-1', 53329),
(109604, 'PIRSR009343-2', NULL, NULL, 258, NULL, 'PIRSR009343-2', 53330),
(109605, 'PIRSR025737-1', NULL, NULL, 280, NULL, 'PIRSR025737-1', 53331),
(109606, 'PIRSR037599-3', NULL, NULL, 159, NULL, 'PIRSR037599-3', 53332),
(109607, 'PIRSR037634-1', NULL, NULL, 279, NULL, 'PIRSR037634-1', 53333),
(109608, 'PIRSR038079-1', NULL, NULL, 332, NULL, 'PIRSR038079-1', 53334),
(109609, 'PIRSR001000-1', NULL, NULL, 139, NULL, 'PIRSR001000-1', 53335),
(109610, 'PIRSR038013-50', NULL, NULL, 293, NULL, 'PIRSR038013-50', 53336),
(109611, 'PIRSR009393-1', NULL, NULL, 623, NULL, 'PIRSR009393-1', 53337),
(109612, 'PIRSR001149-3', NULL, NULL, 619, NULL, 'PIRSR001149-3', 53338),
(109613, 'PIRSR036370-1', NULL, NULL, 843, NULL, 'PIRSR036370-1', 53339),
(109614, 'PIRSR000846-2', NULL, NULL, 298, NULL, 'PIRSR000846-2', 53340),
(109615, 'PIRSR001480-2', NULL, NULL, 403, NULL, 'PIRSR001480-2', 53341),
(109616, 'PIRSR002421-3', NULL, NULL, 372, NULL, 'PIRSR002421-3', 53342),
(109617, 'PIRSR001084-1', NULL, NULL, 673, NULL, 'PIRSR001084-1', 53343),
(109618, 'PIRSR631048-50', NULL, NULL, 611, NULL, 'PIRSR631048-50', 53344),
(109619, 'PIRSR605428-51', NULL, NULL, 472, NULL, 'PIRSR605428-51', 53345),
(109620, 'PIRSR000241-2', NULL, NULL, 289, NULL, 'PIRSR000241-2', 53346),
(109621, 'PIRSR000988-1', NULL, NULL, 259, NULL, 'PIRSR000988-1', 53347),
(109622, 'PIRSR001134-1', NULL, NULL, 254, NULL, 'PIRSR001134-1', 53348),
(109623, 'PIRSR001196-2', NULL, NULL, 707, NULL, 'PIRSR001196-2', 53349),
(109624, 'PIRSR000099-1', NULL, NULL, 362, NULL, 'PIRSR000099-1', 53350),
(109625, 'PIRSR000445-3', NULL, NULL, 428, NULL, 'PIRSR000445-3', 53351),
(109626, 'PIRSR604241-50', NULL, NULL, 117, NULL, 'PIRSR604241-50', 53352),
(109627, 'PIRSR002279-2', NULL, NULL, 2340, NULL, 'PIRSR002279-2', 53353),
(109628, 'PIRSR500133-2', NULL, NULL, 474, NULL, 'PIRSR500133-2', 53354),
(109629, 'PIRSR006019-1', NULL, NULL, 159, NULL, 'PIRSR006019-1', 53355),
(109630, 'PIRSR000149-1', NULL, NULL, 341, NULL, 'PIRSR000149-1', 53356),
(109631, 'PIRSR008129-1', NULL, NULL, 226, NULL, 'PIRSR008129-1', 53357),
(109632, 'PIRSR018571-1', NULL, NULL, 301, NULL, 'PIRSR018571-1', 53358),
(109633, 'PIRSR600250-50', NULL, NULL, 256, NULL, 'PIRSR600250-50', 53359),
(109634, 'PIRSR006250-1', NULL, NULL, 282, NULL, 'PIRSR006250-1', 53360),
(109635, 'PIRSR016573-2', NULL, NULL, 161, NULL, 'PIRSR016573-2', 53361),
(109636, 'PIRSR000894-1', NULL, NULL, 392, NULL, 'PIRSR000894-1', 53362),
(109637, 'PIRSR000726-1', NULL, NULL, 354, NULL, 'PIRSR000726-1', 53363),
(109638, 'PIRSR000389-1', NULL, NULL, 524, NULL, 'PIRSR000389-1', 53364),
(109639, 'PIRSR600990-51', NULL, NULL, 425, NULL, 'PIRSR600990-51', 53365),
(109640, 'PIRSR002356-2', NULL, NULL, 410, NULL, 'PIRSR002356-2', 53366),
(109641, 'PIRSR001021-1', NULL, NULL, 472, NULL, 'PIRSR001021-1', 53367),
(109642, 'PIRSR018168-2', NULL, NULL, 365, NULL, 'PIRSR018168-2', 53368),
(109643, 'PIRSR000018-51', NULL, NULL, 448, NULL, 'PIRSR000018-51', 53369),
(109644, 'PIRSR028980-1', NULL, NULL, 211, NULL, 'PIRSR028980-1', 53370),
(109645, 'PIRSR000098-1', NULL, NULL, 434, NULL, 'PIRSR000098-1', 53371),
(109646, 'PIRSR037955-1', NULL, NULL, 340, NULL, 'PIRSR037955-1', 53372),
(109647, 'PIRSR001084-3', NULL, NULL, 673, NULL, 'PIRSR001084-3', 53373),
(109648, 'PIRSR036767-51', NULL, NULL, 445, NULL, 'PIRSR036767-51', 53374),
(109649, 'PIRSR038928-1', NULL, NULL, 489, NULL, 'PIRSR038928-1', 53375),
(109650, 'PIRSR000346-1', NULL, NULL, 389, NULL, 'PIRSR000346-1', 53376),
(109651, 'PIRSR036489-4', NULL, NULL, 902, NULL, 'PIRSR036489-4', 53377);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(109652, 'PIRSR625650-1', NULL, NULL, 644, NULL, 'PIRSR625650-1', 53378),
(109653, 'PIRSR002030-1', NULL, NULL, 130, NULL, 'PIRSR002030-1', 53379),
(109654, 'PIRSR037947-2', NULL, NULL, 357, NULL, 'PIRSR037947-2', 53380),
(109655, 'PIRSR000109-3', NULL, NULL, 469, NULL, 'PIRSR000109-3', 53381),
(109656, 'PIRSR002006-1', NULL, NULL, 662, NULL, 'PIRSR002006-1', 53382),
(109657, 'PIRSR000101-1', NULL, NULL, 567, NULL, 'PIRSR000101-1', 53383),
(109658, 'PIRSR011502-2', NULL, NULL, 602, NULL, 'PIRSR011502-2', 53384),
(109659, 'PIRSR037217-1', NULL, NULL, 568, NULL, 'PIRSR037217-1', 53385),
(109660, 'PIRSR016055-50', NULL, NULL, 406, NULL, 'PIRSR016055-50', 53386),
(109661, 'PIRSR006809-1', NULL, NULL, 341, NULL, 'PIRSR006809-1', 53387),
(109662, 'PIRSR000858-1', NULL, NULL, 429, NULL, 'PIRSR000858-1', 53388),
(109663, 'PIRSR000447-1', NULL, NULL, 427, NULL, 'PIRSR000447-1', 53389),
(109664, 'PIRSR001480-1', NULL, NULL, 403, NULL, 'PIRSR001480-1', 53390),
(109665, 'PIRSR000952-1', NULL, NULL, 1281, NULL, 'PIRSR000952-1', 53391),
(109666, 'PIRSR017205-2', NULL, NULL, 404, NULL, 'PIRSR017205-2', 53392),
(109667, 'PIRSR627185-51', NULL, NULL, 785, NULL, 'PIRSR627185-51', 53393),
(109668, 'PIRSR006135-2', NULL, NULL, 184, NULL, 'PIRSR006135-2', 53394),
(109669, 'PIRSR006429-1', NULL, NULL, 505, NULL, 'PIRSR006429-1', 53395),
(109670, 'PIRSR037599-4', NULL, NULL, 152, NULL, 'PIRSR037599-4', 53396),
(109671, 'PIRSR600823-3', NULL, NULL, 331, NULL, 'PIRSR600823-3', 53397),
(109672, 'PIRSR001359-2', NULL, NULL, 260, NULL, 'PIRSR001359-2', 53398),
(109673, 'PIRSR036441-51', NULL, NULL, 443, NULL, 'PIRSR036441-51', 53399),
(109674, 'PIRSR634180-1', NULL, NULL, 421, NULL, 'PIRSR634180-1', 53400),
(109675, 'PIRSR000617-2', NULL, NULL, 1428, NULL, 'PIRSR000617-2', 53401),
(109676, 'PIRSR016305-1', NULL, NULL, 271, NULL, 'PIRSR016305-1', 53402),
(109677, 'PIRSR000303-1', NULL, NULL, 179, NULL, 'PIRSR000303-1', 53403),
(109678, 'PIRSR605428-53', NULL, NULL, 509, NULL, 'PIRSR605428-53', 53404),
(109679, 'PIRSR029775-1', NULL, NULL, 91, NULL, 'PIRSR029775-1', 53405),
(109680, 'PIRSR036511-1', NULL, NULL, 1100, NULL, 'PIRSR036511-1', 53406),
(109681, 'PIRSR002799-1', NULL, NULL, 711, NULL, 'PIRSR002799-1', 53407),
(109682, 'PIRSR017388-1', NULL, NULL, 245, NULL, 'PIRSR017388-1', 53408),
(109683, 'PIRSR500134-3', NULL, NULL, 434, NULL, 'PIRSR500134-3', 53409),
(109684, 'PIRSR014972-1', NULL, NULL, 134, NULL, 'PIRSR014972-1', 53410),
(109685, 'PIRSR001238-3', NULL, NULL, 390, NULL, 'PIRSR001238-3', 53411),
(109686, 'PIRSR627173-51', NULL, NULL, 905, NULL, 'PIRSR627173-51', 53412),
(109687, 'PIRSR000548-1', NULL, NULL, 270, NULL, 'PIRSR000548-1', 53413),
(109688, 'PIRSR037393-3', NULL, NULL, 548, NULL, 'PIRSR037393-3', 53414),
(109689, 'PIRSR000808-4', NULL, NULL, 353, NULL, 'PIRSR000808-4', 53415),
(109690, 'PIRSR634598-1', NULL, NULL, 445, NULL, 'PIRSR634598-1', 53416),
(109691, 'PIRSR000209-1', NULL, NULL, 1059, NULL, 'PIRSR000209-1', 53417),
(109692, 'PIRSR016496-2', NULL, NULL, 260, NULL, 'PIRSR016496-2', 53418),
(109693, 'PIRSR000559-2', NULL, NULL, 597, NULL, 'PIRSR000559-2', 53419),
(109694, 'PIRSR001218-1', NULL, NULL, 203, NULL, 'PIRSR001218-1', 53420),
(109695, 'PIRSR000882-1', NULL, NULL, 686, NULL, 'PIRSR000882-1', 53421),
(109696, 'PIRSR036893-50', NULL, NULL, 201, NULL, 'PIRSR036893-50', 53422),
(109697, 'PIRSR000047-2', NULL, NULL, 501, NULL, 'PIRSR000047-2', 53423),
(109698, 'PIRSR001227-2', NULL, NULL, 808, NULL, 'PIRSR001227-2', 53424),
(109699, 'PIRSR000343-2', NULL, NULL, 272, NULL, 'PIRSR000343-2', 53425),
(109700, 'PIRSR000898-2', NULL, NULL, 327, NULL, 'PIRSR000898-2', 53426),
(109701, 'PIRSR038193-3', NULL, NULL, 455, NULL, 'PIRSR038193-3', 53427),
(109702, 'PIRSR017434-1', NULL, NULL, 424, NULL, 'PIRSR017434-1', 53428),
(109703, 'PIRSR000130-4', NULL, NULL, 473, NULL, 'PIRSR000130-4', 53429),
(109704, 'PIRSR000605-50', NULL, NULL, 517, NULL, 'PIRSR000605-50', 53430),
(109705, 'PIRSR002549-1', NULL, NULL, 708, NULL, 'PIRSR002549-1', 53431),
(109706, 'PIRSR629576-3', NULL, NULL, 604, NULL, 'PIRSR629576-3', 53432);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(109707, 'PIRSR022993-1', NULL, NULL, 154, NULL, 'PIRSR022993-1', 53433),
(109708, 'PIRSR000706-2', NULL, NULL, 264, NULL, 'PIRSR000706-2', 53434),
(109709, 'PIRSR000156-1', NULL, NULL, 860, NULL, 'PIRSR000156-1', 53435),
(109710, 'PIRSR001992-1', NULL, NULL, 272, NULL, 'PIRSR001992-1', 53436),
(109711, 'PIRSR037210-1', NULL, NULL, 417, NULL, 'PIRSR037210-1', 53437),
(109712, 'PIRSR629727-1', NULL, NULL, 750, NULL, 'PIRSR629727-1', 53438),
(109713, 'PIRSR000440-1', NULL, NULL, 205, NULL, 'PIRSR000440-1', 53439),
(109714, 'PIRSR017617-1', NULL, NULL, 276, NULL, 'PIRSR017617-1', 53440),
(109715, 'PIRSR600239-50', NULL, NULL, 597, NULL, 'PIRSR600239-50', 53441),
(109716, 'PIRSR037281-2', NULL, NULL, 480, NULL, 'PIRSR037281-2', 53442),
(109717, 'PIRSR006439-50', NULL, NULL, 618, NULL, 'PIRSR006439-50', 53443),
(109718, 'PIRSR000168-1', NULL, NULL, 573, NULL, 'PIRSR000168-1', 53444),
(109719, 'PIRSR000192-4', NULL, NULL, 188, NULL, 'PIRSR000192-4', 53445),
(109720, 'PIRSR002395-1', NULL, NULL, 1694, NULL, 'PIRSR002395-1', 53446),
(109721, 'PIRSR035805-1', NULL, NULL, 207, NULL, 'PIRSR035805-1', 53447),
(109722, 'PIRSR000552-2', NULL, NULL, 888, NULL, 'PIRSR000552-2', 53448),
(109723, 'PIRSR009103-1', NULL, NULL, 156, NULL, 'PIRSR009103-1', 53449),
(109724, 'PIRSR001589-3', NULL, NULL, 535, NULL, 'PIRSR001589-3', 53450),
(109725, 'PIRSR001238-50', NULL, NULL, 388, NULL, 'PIRSR001238-50', 53451),
(109726, 'PIRSR018001-1', NULL, NULL, 313, NULL, 'PIRSR018001-1', 53452),
(109727, 'PIRSR000105-2', NULL, NULL, 286, NULL, 'PIRSR000105-2', 53453),
(109728, 'PIRSR001355-4', NULL, NULL, 358, NULL, 'PIRSR001355-4', 53454),
(109729, 'PIRSR000331-2', NULL, NULL, 468, NULL, 'PIRSR000331-2', 53455),
(109730, 'PIRSR006118-2', NULL, NULL, 176, NULL, 'PIRSR006118-2', 53456),
(109731, 'PIRSR001399-3', NULL, NULL, 149, NULL, 'PIRSR001399-3', 53457),
(109732, 'PIRSR627086-1', NULL, NULL, 723, NULL, 'PIRSR627086-1', 53458),
(109733, 'PIRSR006470-1', NULL, NULL, 331, NULL, 'PIRSR006470-1', 53459),
(109734, 'PIRSR037505-2', NULL, NULL, 406, NULL, 'PIRSR037505-2', 53460),
(109735, 'PIRSR037242-3', NULL, NULL, 480, NULL, 'PIRSR037242-3', 53461),
(109736, 'PIRSR601559-51', NULL, NULL, 305, NULL, 'PIRSR601559-51', 53462),
(109737, 'PIRSR000167-2', NULL, NULL, 293, NULL, 'PIRSR000167-2', 53463),
(109738, 'PIRSR633197-1', NULL, NULL, 285, NULL, 'PIRSR633197-1', 53464),
(109739, 'PIRSR036417-1', NULL, NULL, 453, NULL, 'PIRSR036417-1', 53465),
(109740, 'PIRSR038172-2', NULL, NULL, 788, NULL, 'PIRSR038172-2', 53466),
(109741, 'PIRSR000149-4', NULL, NULL, 341, NULL, 'PIRSR000149-4', 53467),
(109742, 'PIRSR036503-50', NULL, NULL, 377, NULL, 'PIRSR036503-50', 53468),
(109743, 'PIRSR038084-1', NULL, NULL, 419, NULL, 'PIRSR038084-1', 53469),
(109744, 'PIRSR037038-2', NULL, NULL, 93, NULL, 'PIRSR037038-2', 53470),
(109745, 'PIRSR639901-1', NULL, NULL, 430, NULL, 'PIRSR639901-1', 53471),
(109746, 'PIRSR000452-1', NULL, NULL, 151, NULL, 'PIRSR000452-1', 53472),
(109747, 'PIRSR628651-50', NULL, NULL, 274, NULL, 'PIRSR628651-50', 53473),
(109748, 'PIRSR000517-1', NULL, NULL, 404, NULL, 'PIRSR000517-1', 53474),
(109749, 'PIRSR000007-50', NULL, NULL, 276, NULL, 'PIRSR000007-50', 53475),
(109750, 'PIRSR617736-2', NULL, NULL, 452, NULL, 'PIRSR617736-2', 53476),
(109751, 'PIRSR037031-51', NULL, NULL, 78, NULL, 'PIRSR037031-51', 53477),
(109752, 'PIRSR000262-1', NULL, NULL, 555, NULL, 'PIRSR000262-1', 53478),
(109753, 'PIRSR000355-2', NULL, NULL, 322, NULL, 'PIRSR000355-2', 53479),
(109754, 'PIRSR001461-1', NULL, NULL, 213, NULL, 'PIRSR001461-1', 53480),
(109755, 'PIRSR633478-2', NULL, NULL, 790, NULL, 'PIRSR633478-2', 53481),
(109756, 'PIRSR001103-1', NULL, NULL, 321, NULL, 'PIRSR001103-1', 53482),
(109757, 'PIRSR002421-2', NULL, NULL, 372, NULL, 'PIRSR002421-2', 53483),
(109758, 'PIRSR625650-4', NULL, NULL, 644, NULL, 'PIRSR625650-4', 53484),
(109759, 'PIRSR619342-50', NULL, NULL, 104, NULL, 'PIRSR619342-50', 53485),
(109760, 'PIRSR005378-2', NULL, NULL, 353, NULL, 'PIRSR005378-2', 53486),
(109761, 'PIRSR037907-1', NULL, NULL, 660, NULL, 'PIRSR037907-1', 53487);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(109762, 'PIRSR620777-52', NULL, NULL, 817, NULL, 'PIRSR620777-52', 53488),
(109763, 'PIRSR605428-50', NULL, NULL, 472, NULL, 'PIRSR605428-50', 53489),
(109764, 'PIRSR033579-2', NULL, NULL, 271, NULL, 'PIRSR033579-2', 53490),
(109765, 'PIRSR028937-1', NULL, NULL, 748, NULL, 'PIRSR028937-1', 53491),
(109766, 'PIRSR500133-1', NULL, NULL, 474, NULL, 'PIRSR500133-1', 53492),
(109767, 'PIRSR037913-3', NULL, NULL, 365, NULL, 'PIRSR037913-3', 53493),
(109768, 'PIRSR002530-1', NULL, NULL, 435, NULL, 'PIRSR002530-1', 53494),
(109769, 'PIRSR633508-1', NULL, NULL, 950, NULL, 'PIRSR633508-1', 53495),
(109770, 'PIRSR000495-1', NULL, NULL, 208, NULL, 'PIRSR000495-1', 53496),
(109771, 'PIRSR001174-2', NULL, NULL, 760, NULL, 'PIRSR001174-2', 53497),
(109772, 'PIRSR001492-1', NULL, NULL, 514, NULL, 'PIRSR001492-1', 53498),
(109773, 'PIRSR037847-1', NULL, NULL, 160, NULL, 'PIRSR037847-1', 53499),
(109774, 'PIRSR039026-1', NULL, NULL, 246, NULL, 'PIRSR039026-1', 53500),
(109775, 'PIRSR633508-4', NULL, NULL, 950, NULL, 'PIRSR633508-4', 53501),
(109776, 'PIRSR005461-1', NULL, NULL, 207, NULL, 'PIRSR005461-1', 53502),
(109777, 'PIRSR000636-2', NULL, NULL, 1129, NULL, 'PIRSR000636-2', 53503),
(109778, 'PIRSR630297-2', NULL, NULL, 223, NULL, 'PIRSR630297-2', 53504),
(109779, 'PIRSR031924-50', NULL, NULL, 537, NULL, 'PIRSR031924-50', 53505),
(109780, 'PIRSR017818-2', NULL, NULL, 223, NULL, 'PIRSR017818-2', 53506),
(109781, 'PIRSR000242-2', NULL, NULL, 566, NULL, 'PIRSR000242-2', 53507),
(109782, 'PIRSR601191-1', NULL, NULL, 342, NULL, 'PIRSR601191-1', 53508),
(109783, 'PIRSR015582-1', NULL, NULL, 258, NULL, 'PIRSR015582-1', 53509),
(109784, 'PIRSR039133-2', NULL, NULL, 649, NULL, 'PIRSR039133-2', 53510),
(109785, 'PIRSR000019-1', NULL, NULL, 69, NULL, 'PIRSR000019-1', 53511),
(109786, 'PIRSR001028-1', NULL, NULL, 427, NULL, 'PIRSR001028-1', 53512),
(109787, 'PIRSR008129-2', NULL, NULL, 226, NULL, 'PIRSR008129-2', 53513),
(109788, 'PIRSR015957-1', NULL, NULL, 236, NULL, 'PIRSR015957-1', 53514),
(109789, 'PIRSR000108-1', NULL, NULL, 358, NULL, 'PIRSR000108-1', 53515),
(109790, 'PIRSR631098-50', NULL, NULL, 126, NULL, 'PIRSR631098-50', 53516),
(109791, 'PIRSR036874-50', NULL, NULL, 681, NULL, 'PIRSR036874-50', 53517),
(109792, 'PIRSR600250-51', NULL, NULL, 282, NULL, 'PIRSR600250-51', 53518),
(109793, 'PIRSR000130-1', NULL, NULL, 473, NULL, 'PIRSR000130-1', 53519),
(109794, 'PIRSR000551-50', NULL, NULL, 719, NULL, 'PIRSR000551-50', 53520),
(109795, 'PIRSR604550-50', NULL, NULL, 352, NULL, 'PIRSR604550-50', 53521),
(109796, 'PIRSR001338-1', NULL, NULL, 151, NULL, 'PIRSR001338-1', 53522),
(109797, 'PIRSR005562-1', NULL, NULL, 2069, NULL, 'PIRSR005562-1', 53523),
(109798, 'PIRSR001341-4', NULL, NULL, 316, NULL, 'PIRSR001341-4', 53524),
(109799, 'PIRSR000846-1', NULL, NULL, 298, NULL, 'PIRSR000846-1', 53525),
(109800, 'PIRSR038096-1', NULL, NULL, 175, NULL, 'PIRSR038096-1', 53526),
(109801, 'PIRSR039050-50', NULL, NULL, 1101, NULL, 'PIRSR039050-50', 53527),
(109802, 'PIRSR000362-2', NULL, NULL, 352, NULL, 'PIRSR000362-2', 53528),
(109803, 'PIRSR001150-2', NULL, NULL, 810, NULL, 'PIRSR001150-2', 53529),
(109804, 'PIRSR001196-1', NULL, NULL, 707, NULL, 'PIRSR001196-1', 53530),
(109805, 'PIRSR009343-1', NULL, NULL, 258, NULL, 'PIRSR009343-1', 53531),
(109806, 'PIRSR018169-1', NULL, NULL, 370, NULL, 'PIRSR018169-1', 53532),
(109807, 'PIRSR000187-1', NULL, NULL, 2115, NULL, 'PIRSR000187-1', 53533),
(109808, 'PIRSR633144-2', NULL, NULL, 410, NULL, 'PIRSR633144-2', 53534),
(109809, 'PIRSR005992-1', NULL, NULL, 430, NULL, 'PIRSR005992-1', 53535),
(109810, 'PIRSR036958-1', NULL, NULL, 602, NULL, 'PIRSR036958-1', 53536),
(109811, 'PIRSR037303-2', NULL, NULL, 808, NULL, 'PIRSR037303-2', 53537),
(109812, 'PIRSR602506-51', NULL, NULL, 213, NULL, 'PIRSR602506-51', 53538),
(109813, 'PIRSR002756-1', NULL, NULL, 348, NULL, 'PIRSR002756-1', 53539),
(109814, 'PIRSR037921-2', NULL, NULL, 405, NULL, 'PIRSR037921-2', 53540),
(109815, 'PIRSR606710-2', NULL, NULL, 322, NULL, 'PIRSR606710-2', 53541),
(109816, 'PIRSR000350-2', NULL, NULL, 478, NULL, 'PIRSR000350-2', 53542);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(109817, 'PIRSR000017-1', NULL, NULL, 341, NULL, 'PIRSR000017-1', 53543),
(109818, 'PIRSR026389-2', NULL, NULL, 740, NULL, 'PIRSR026389-2', 53544),
(109819, 'PIRSR000216-1', NULL, NULL, 155, NULL, 'PIRSR000216-1', 53545),
(109820, 'PIRSR001415-1', NULL, NULL, 314, NULL, 'PIRSR001415-1', 53546),
(109821, 'PIRSR003170-2', NULL, NULL, 223, NULL, 'PIRSR003170-2', 53547),
(109822, 'PIRSR001341-1', NULL, NULL, 316, NULL, 'PIRSR001341-1', 53548),
(109823, 'PIRSR600821-52', NULL, NULL, 377, NULL, 'PIRSR600821-52', 53549),
(109824, 'PIRSR000384-1', NULL, NULL, 232, NULL, 'PIRSR000384-1', 53550),
(109825, 'PIRSR037993-1', NULL, NULL, 318, NULL, 'PIRSR037993-1', 53551),
(109826, 'PIRSR017107-4', NULL, NULL, 415, NULL, 'PIRSR017107-4', 53552),
(109827, 'PIRSR000194-1', NULL, NULL, 164, NULL, 'PIRSR000194-1', 53553),
(109828, 'PIRSR026583-50', NULL, NULL, 661, NULL, 'PIRSR026583-50', 53554),
(109829, 'PIRSR038994-2', NULL, NULL, 286, NULL, 'PIRSR038994-2', 53555),
(109830, 'PIRSR005091-3', NULL, NULL, 553, NULL, 'PIRSR005091-3', 53556),
(109831, 'PIRSR001939-1', NULL, NULL, 166, NULL, 'PIRSR001939-1', 53557),
(109832, 'PIRSR000977-3', NULL, NULL, 480, NULL, 'PIRSR000977-3', 53558),
(109833, 'PIRSR000376-2', NULL, NULL, 467, NULL, 'PIRSR000376-2', 53559),
(109834, 'PIRSR005384-1', NULL, NULL, 151, NULL, 'PIRSR005384-1', 53560),
(109835, 'PIRSR016487-1', NULL, NULL, 157, NULL, 'PIRSR016487-1', 53561),
(109836, 'PIRSR037941-1', NULL, NULL, 348, NULL, 'PIRSR037941-1', 53562),
(109837, 'PIRSR000009-2', NULL, NULL, 213, NULL, 'PIRSR000009-2', 53563),
(109838, 'PIRSR037479-1', NULL, NULL, 472, NULL, 'PIRSR037479-1', 53564),
(109839, 'PIRSR010354-51', NULL, NULL, 3808, NULL, 'PIRSR010354-51', 53565),
(109840, 'PIRSR029792-1', NULL, NULL, 335, NULL, 'PIRSR029792-1', 53566),
(109841, 'PIRSR036917-1', NULL, NULL, 684, NULL, 'PIRSR036917-1', 53567),
(109842, 'PIRSR004911-1', NULL, NULL, 289, NULL, 'PIRSR004911-1', 53568),
(109843, 'PIRSR601233-3', NULL, NULL, 495, NULL, 'PIRSR601233-3', 53569),
(109844, 'PIRSR037430-2', NULL, NULL, 177, NULL, 'PIRSR037430-2', 53570),
(109845, 'PIRSR000127-1', NULL, NULL, 1342, NULL, 'PIRSR000127-1', 53571),
(109846, 'PIRSR000661-50', NULL, NULL, 805, NULL, 'PIRSR000661-50', 53572),
(109847, 'PIRSR001093-1', NULL, NULL, 570, NULL, 'PIRSR001093-1', 53573),
(109848, 'PIRSR036421-2', NULL, NULL, 1083, NULL, 'PIRSR036421-2', 53574),
(109849, 'PIRSR000445-4', NULL, NULL, 428, NULL, 'PIRSR000445-4', 53575),
(109850, 'PIRSR500951-1', NULL, NULL, 874, NULL, 'PIRSR500951-1', 53576),
(109851, 'PIRSR000660-2', NULL, NULL, 1658, NULL, 'PIRSR000660-2', 53577),
(109852, 'PIRSR038073-3', NULL, NULL, 297, NULL, 'PIRSR038073-3', 53578),
(109853, 'PIRSR635711-52', NULL, NULL, 1653, NULL, 'PIRSR635711-52', 53579),
(109854, 'PIRSR621537-50', NULL, NULL, 796, NULL, 'PIRSR621537-50', 53580),
(109855, 'PIRSR000197-1', NULL, NULL, 1202, NULL, 'PIRSR000197-1', 53581),
(109856, 'PIRSR006223-50', NULL, NULL, 109, NULL, 'PIRSR006223-50', 53582),
(109857, 'PIRSR011861-1', NULL, NULL, 511, NULL, 'PIRSR011861-1', 53583),
(109858, 'PIRSR013503-2', NULL, NULL, 215, NULL, 'PIRSR013503-2', 53584),
(109859, 'PIRSR009407-3', NULL, NULL, 742, NULL, 'PIRSR009407-3', 53585),
(109860, 'PIRSR000631-3', NULL, NULL, 1114, NULL, 'PIRSR000631-3', 53586),
(109861, 'PIRSR038147-3', NULL, NULL, 556, NULL, 'PIRSR038147-3', 53587),
(109862, 'PIRSR000705-3', NULL, NULL, 198, NULL, 'PIRSR000705-3', 53588),
(109863, 'PIRSR037123-1', NULL, NULL, 1249, NULL, 'PIRSR037123-1', 53589),
(109864, 'PIRSR038165-50', NULL, NULL, 965, NULL, 'PIRSR038165-50', 53590),
(109865, 'PIRSR000084-50', NULL, NULL, 1129, NULL, 'PIRSR000084-50', 53591),
(109866, 'PIRSR036685-2', NULL, NULL, 392, NULL, 'PIRSR036685-2', 53592),
(109867, 'PIRSR001362-1', NULL, NULL, 540, NULL, 'PIRSR001362-1', 53593),
(109868, 'PIRSR630056-3', NULL, NULL, 147, NULL, 'PIRSR630056-3', 53594),
(109869, 'PIRSR000409-1', NULL, NULL, 338, NULL, 'PIRSR000409-1', 53595),
(109870, 'PIRSR005639-1', NULL, NULL, 195, NULL, 'PIRSR005639-1', 53596),
(109871, 'PIRSR036917-4', NULL, NULL, 684, NULL, 'PIRSR036917-4', 53597);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(109872, 'PIRSR600997-1', NULL, NULL, 604, NULL, 'PIRSR600997-1', 53598),
(109873, 'PIRSR016262-3', NULL, NULL, 216, NULL, 'PIRSR016262-3', 53599),
(109874, 'PIRSR037911-2', NULL, NULL, 660, NULL, 'PIRSR037911-2', 53600),
(109875, 'PIRSR036376-50', NULL, NULL, 1088, NULL, 'PIRSR036376-50', 53601),
(109876, 'PIRSR038189-2', NULL, NULL, 332, NULL, 'PIRSR038189-2', 53602),
(109877, 'PIRSR000106-1', NULL, NULL, 483, NULL, 'PIRSR000106-1', 53603),
(109878, 'PIRSR603437-50', NULL, NULL, 966, NULL, 'PIRSR603437-50', 53604),
(109879, 'PIRSR005713-2', NULL, NULL, 390, NULL, 'PIRSR005713-2', 53605),
(109880, 'PIRSR629580-4', NULL, NULL, 600, NULL, 'PIRSR629580-4', 53606),
(109881, 'PIRSR037568-1', NULL, NULL, 1182, NULL, 'PIRSR037568-1', 53607),
(109882, 'PIRSR000260-3', NULL, NULL, 96, NULL, 'PIRSR000260-3', 53608),
(109883, 'PIRSR618044-1', NULL, NULL, 391, NULL, 'PIRSR618044-1', 53609),
(109884, 'PIRSR000199-50', NULL, NULL, 78, NULL, 'PIRSR000199-50', 53610),
(109885, 'PIRSR000189-1', NULL, NULL, 348, NULL, 'PIRSR000189-1', 53611),
(109886, 'PIRSR500135-2', NULL, NULL, 438, NULL, 'PIRSR500135-2', 53612),
(109887, 'PIRSR000620-1', NULL, NULL, 306, NULL, 'PIRSR000620-1', 53613),
(109888, 'PIRSR000915-2', NULL, NULL, 269, NULL, 'PIRSR000915-2', 53614),
(109889, 'PIRSR001369-1', NULL, NULL, 361, NULL, 'PIRSR001369-1', 53615),
(109890, 'PIRSR001594-3', NULL, NULL, 1106, NULL, 'PIRSR001594-3', 53616),
(109891, 'PIRSR000381-2', NULL, NULL, 1218, NULL, 'PIRSR000381-2', 53617),
(109892, 'PIRSR038945-1', NULL, NULL, 300, NULL, 'PIRSR038945-1', 53618),
(109893, 'PIRSR006268-1', NULL, NULL, 341, NULL, 'PIRSR006268-1', 53619),
(109894, 'PIRSR034515-3', NULL, NULL, 1021, NULL, 'PIRSR034515-3', 53620),
(109895, 'PIRSR608127-53', NULL, NULL, 455, NULL, 'PIRSR608127-53', 53621),
(109896, 'PIRSR037479-4', NULL, NULL, 472, NULL, 'PIRSR037479-4', 53622),
(109897, 'PIRSR000097-2', NULL, NULL, 236, NULL, 'PIRSR000097-2', 53623),
(109898, 'PIRSR000190-1', NULL, NULL, 218, NULL, 'PIRSR000190-1', 53624),
(109899, 'PIRSR629881-4', NULL, NULL, 875, NULL, 'PIRSR629881-4', 53625),
(109900, 'PIRSR038927-2', NULL, NULL, 631, NULL, 'PIRSR038927-2', 53626),
(109901, 'PIRSR002520-2', NULL, NULL, 609, NULL, 'PIRSR002520-2', 53627),
(109902, 'PIRSR630294-3', NULL, NULL, 306, NULL, 'PIRSR630294-3', 53628),
(109903, 'PIRSR037470-50', NULL, NULL, 346, NULL, 'PIRSR037470-50', 53629),
(109904, 'PIRSR000853-1', NULL, NULL, 833, NULL, 'PIRSR000853-1', 53630),
(109905, 'PIRSR000014-1', NULL, NULL, 390, NULL, 'PIRSR000014-1', 53631),
(109906, 'PIRSR605977-50', NULL, NULL, 278, NULL, 'PIRSR605977-50', 53632),
(109907, 'PIRSR006113-2', NULL, NULL, 130, NULL, 'PIRSR006113-2', 53633),
(109908, 'PIRSR620443-50', NULL, NULL, 168, NULL, 'PIRSR620443-50', 53634),
(109909, 'PIRSR001235-1', NULL, NULL, 415, NULL, 'PIRSR001235-1', 53635),
(109910, 'PIRSR000278-1', NULL, NULL, 83, NULL, 'PIRSR000278-1', 53636),
(109911, 'PIRSR004846-1', NULL, NULL, 209, NULL, 'PIRSR004846-1', 53637),
(109912, 'PIRSR009285-1', NULL, NULL, 234, NULL, 'PIRSR009285-1', 53638),
(109913, 'PIRSR016408-2', NULL, NULL, 486, NULL, 'PIRSR016408-2', 53639),
(109914, 'PIRSR038120-2', NULL, NULL, 177, NULL, 'PIRSR038120-2', 53640),
(109915, 'PIRSR001600-50', NULL, NULL, 339, NULL, 'PIRSR001600-50', 53641),
(109916, 'PIRSR607724-1', NULL, NULL, 433, NULL, 'PIRSR607724-1', 53642),
(109917, 'PIRSR036432-1', NULL, NULL, 207, NULL, 'PIRSR036432-1', 53643),
(109918, 'PIRSR622350-50', NULL, NULL, 150, NULL, 'PIRSR622350-50', 53644),
(109919, 'PIRSR038455-3', NULL, NULL, 228, NULL, 'PIRSR038455-3', 53645),
(109920, 'PIRSR600243-1', NULL, NULL, 246, NULL, 'PIRSR600243-1', 53646),
(109921, 'PIRSR037875-50', NULL, NULL, 471, NULL, 'PIRSR037875-50', 53647),
(109922, 'PIRSR600888-3', NULL, NULL, 164, NULL, 'PIRSR600888-3', 53648),
(109923, 'PIRSR003726-2', NULL, NULL, 295, NULL, 'PIRSR003726-2', 53649),
(109924, 'PIRSR029900-1', NULL, NULL, 690, NULL, 'PIRSR029900-1', 53650),
(109925, 'PIRSR604450-51', NULL, NULL, 480, NULL, 'PIRSR604450-51', 53651),
(109926, 'PIRSR617774-2', NULL, NULL, 397, NULL, 'PIRSR617774-2', 53652);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(109927, 'PIRSR038186-2', NULL, NULL, 236, NULL, 'PIRSR038186-2', 53653),
(109928, 'PIRSR000196-2', NULL, NULL, 307, NULL, 'PIRSR000196-2', 53654),
(109929, 'PIRSR009374-1', NULL, NULL, 148, NULL, 'PIRSR009374-1', 53655),
(109930, 'PIRSR037933-1', NULL, NULL, 856, NULL, 'PIRSR037933-1', 53656),
(109931, 'PIRSR000445-1', NULL, NULL, 428, NULL, 'PIRSR000445-1', 53657),
(109932, 'PIRSR038134-2', NULL, NULL, 285, NULL, 'PIRSR038134-2', 53658),
(109933, 'PIRSR037177-2', NULL, NULL, 271, NULL, 'PIRSR037177-2', 53659),
(109934, 'PIRSR000524-50', NULL, NULL, 390, NULL, 'PIRSR000524-50', 53660),
(109935, 'PIRSR000632-2', NULL, NULL, 831, NULL, 'PIRSR000632-2', 53661),
(109936, 'PIRSR001143-1', NULL, NULL, 291, NULL, 'PIRSR001143-1', 53662),
(109937, 'PIRSR603912-52', NULL, NULL, 419, NULL, 'PIRSR603912-52', 53663),
(109938, 'PIRSR000114-3', NULL, NULL, 344, NULL, 'PIRSR000114-3', 53664),
(109939, 'PIRSR001220-2', NULL, NULL, 255, NULL, 'PIRSR001220-2', 53665),
(109940, 'PIRSR629601-2', NULL, NULL, 1866, NULL, 'PIRSR629601-2', 53666),
(109941, 'PIRSR618319-50', NULL, NULL, 462, NULL, 'PIRSR618319-50', 53667),
(109942, 'PIRSR000459-1', NULL, NULL, 673, NULL, 'PIRSR000459-1', 53668),
(109943, 'PIRSR000699-1', NULL, NULL, 103, NULL, 'PIRSR000699-1', 53669),
(109944, 'PIRSR627185-54', NULL, NULL, 785, NULL, 'PIRSR627185-54', 53670),
(109945, 'PIRSR015853-2', NULL, NULL, 187, NULL, 'PIRSR015853-2', 53671),
(109946, 'PIRSR017107-1', NULL, NULL, 415, NULL, 'PIRSR017107-1', 53672),
(109947, 'PIRSR036960-1', NULL, NULL, 930, NULL, 'PIRSR036960-1', 53673),
(109948, 'PIRSR000099-3', NULL, NULL, 362, NULL, 'PIRSR000099-3', 53674),
(109949, 'PIRSR627179-50', NULL, NULL, 75, NULL, 'PIRSR627179-50', 53675),
(109950, 'PIRSR019543-1', NULL, NULL, 164, NULL, 'PIRSR019543-1', 53676),
(109951, 'PIRSR011396-1', NULL, NULL, 308, NULL, 'PIRSR011396-1', 53677),
(109952, 'PIRSR016502-1', NULL, NULL, 326, NULL, 'PIRSR016502-1', 53678),
(109953, 'PIRSR617821-2', NULL, NULL, 501, NULL, 'PIRSR617821-2', 53679),
(109954, 'PIRSR001558-3', NULL, NULL, 320, NULL, 'PIRSR001558-3', 53680),
(109955, 'PIRSR001145-2', NULL, NULL, 563, NULL, 'PIRSR001145-2', 53681),
(109956, 'PIRSR002498-1', NULL, NULL, 293, NULL, 'PIRSR002498-1', 53682),
(109957, 'PIRSR001024-3', NULL, NULL, 477, NULL, 'PIRSR001024-3', 53683),
(109958, 'PIRSR038142-1', NULL, NULL, 262, NULL, 'PIRSR038142-1', 53684),
(109959, 'PIRSR036565-2', NULL, NULL, 519, NULL, 'PIRSR036565-2', 53685),
(109960, 'PIRSR605212-50', NULL, NULL, 465, NULL, 'PIRSR605212-50', 53686),
(109961, 'PIRSR000077-4', NULL, NULL, 106, NULL, 'PIRSR000077-4', 53687),
(109962, 'PIRSR000112-2', NULL, NULL, 367, NULL, 'PIRSR000112-2', 53688),
(109963, 'PIRSR000233-1', NULL, NULL, 903, NULL, 'PIRSR000233-1', 53689),
(109964, 'PIRSR005557-1', NULL, NULL, 369, NULL, 'PIRSR005557-1', 53690),
(109965, 'PIRSR037880-1', NULL, NULL, 357, NULL, 'PIRSR037880-1', 53691),
(109966, 'PIRSR003182-50', NULL, NULL, 781, NULL, 'PIRSR003182-50', 53692),
(109967, 'PIRSR628829-1', NULL, NULL, 888, NULL, 'PIRSR628829-1', 53693),
(109968, 'PIRSR002811-1', NULL, NULL, 592, NULL, 'PIRSR002811-1', 53694),
(109969, 'PIRSR003817-3', NULL, NULL, 3418, NULL, 'PIRSR003817-3', 53695),
(109970, 'PIRSR600877-51', NULL, NULL, 226, NULL, 'PIRSR600877-51', 53696),
(109971, 'PIRSR016308-3', NULL, NULL, 824, NULL, 'PIRSR016308-3', 53697),
(109972, 'PIRSR631245-4', NULL, NULL, 760, NULL, 'PIRSR631245-4', 53698),
(109973, 'PIRSR005023-1', NULL, NULL, 625, NULL, 'PIRSR005023-1', 53699),
(109974, 'PIRSR038885-1', NULL, NULL, 389, NULL, 'PIRSR038885-1', 53700),
(109975, 'PIRSR629881-1', NULL, NULL, 875, NULL, 'PIRSR629881-1', 53701),
(109976, 'PIRSR001146-1', NULL, NULL, 460, NULL, 'PIRSR001146-1', 53702),
(109977, 'PIRSR633195-1', NULL, NULL, 423, NULL, 'PIRSR633195-1', 53703),
(109978, 'PIRSR001430-1', NULL, NULL, 204, NULL, 'PIRSR001430-1', 53704),
(109979, 'PIRSR002551-2', NULL, NULL, 458, NULL, 'PIRSR002551-2', 53705),
(109980, 'PIRSR022950-1', NULL, NULL, 371, NULL, 'PIRSR022950-1', 53706),
(109981, 'PIRSR000137-1', NULL, NULL, 578, NULL, 'PIRSR000137-1', 53707);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(109982, 'PIRSR000929-2', NULL, NULL, 540, NULL, 'PIRSR000929-2', 53708),
(109983, 'PIRSR036593-50', NULL, NULL, 383, NULL, 'PIRSR036593-50', 53709),
(109984, 'PIRSR002572-2', NULL, NULL, 146, NULL, 'PIRSR002572-2', 53710),
(109985, 'PIRSR006769-3', NULL, NULL, 324, NULL, 'PIRSR006769-3', 53711),
(109986, 'PIRSR001355-1', NULL, NULL, 358, NULL, 'PIRSR001355-1', 53712),
(109987, 'PIRSR001415-5', NULL, NULL, 309, NULL, 'PIRSR001415-5', 53713),
(109988, 'PIRSR629580-1', NULL, NULL, 600, NULL, 'PIRSR629580-1', 53714),
(109989, 'PIRSR000817-1', NULL, NULL, 508, NULL, 'PIRSR000817-1', 53715),
(109990, 'PIRSR633478-1', NULL, NULL, 790, NULL, 'PIRSR633478-1', 53716),
(109991, 'PIRSR637571-51', NULL, NULL, 686, NULL, 'PIRSR637571-51', 53717),
(109992, 'PIRSR004682-2', NULL, NULL, 186, NULL, 'PIRSR004682-2', 53718),
(109993, 'PIRSR607702-2', NULL, NULL, 140, NULL, 'PIRSR607702-2', 53719),
(109994, 'PIRSR000554-2', NULL, NULL, 589, NULL, 'PIRSR000554-2', 53720),
(109995, 'PIRSR037575-1', NULL, NULL, 89, NULL, 'PIRSR037575-1', 53721),
(109996, 'PIRSR614186-1', NULL, NULL, 281, NULL, 'PIRSR614186-1', 53722),
(109997, 'PIRSR005091-1', NULL, NULL, 553, NULL, 'PIRSR005091-1', 53723),
(109998, 'PIRSR000337-1', NULL, NULL, 442, NULL, 'PIRSR000337-1', 53724),
(109999, 'PIRSR621116-50', NULL, NULL, 139, NULL, 'PIRSR621116-50', 53725),
(110000, 'PIRSR001138-1', NULL, NULL, 1034, NULL, 'PIRSR001138-1', 53726),
(110001, 'PIRSR005604-2', NULL, NULL, 302, NULL, 'PIRSR005604-2', 53727),
(110002, 'PIRSR037756-1', NULL, NULL, 297, NULL, 'PIRSR037756-1', 53728),
(110003, 'PIRSR602137-50', NULL, NULL, 270, NULL, 'PIRSR602137-50', 53729),
(110004, 'PIRSR605468-51', NULL, NULL, 148, NULL, 'PIRSR605468-51', 53730),
(110005, 'PIRSR036503-51', NULL, NULL, 377, NULL, 'PIRSR036503-51', 53731),
(110006, 'PIRSR029271-51', NULL, NULL, 301, NULL, 'PIRSR029271-51', 53732),
(110007, 'PIRSR601233-1', NULL, NULL, 495, NULL, 'PIRSR601233-1', 53733),
(110008, 'PIRSR004803-2', NULL, NULL, 558, NULL, 'PIRSR004803-2', 53734),
(110009, 'PIRSR016429-51', NULL, NULL, 357, NULL, 'PIRSR016429-51', 53735),
(110010, 'PIRSR623088-2', NULL, NULL, 333, NULL, 'PIRSR623088-2', 53736),
(110011, 'PIRSR000106-3', NULL, NULL, 515, NULL, 'PIRSR000106-3', 53737),
(110012, 'PIRSR606285-1', NULL, NULL, 643, NULL, 'PIRSR606285-1', 53738),
(110013, 'PIRSR037293-1', NULL, NULL, 794, NULL, 'PIRSR037293-1', 53739),
(110014, 'PIRSR000114-2', NULL, NULL, 344, NULL, 'PIRSR000114-2', 53740),
(110015, 'PIRSR003059-2', NULL, NULL, 490, NULL, 'PIRSR003059-2', 53741),
(110016, 'PIRSR017250-50', NULL, NULL, 294, NULL, 'PIRSR017250-50', 53742),
(110017, 'PIRSR005536-1', NULL, NULL, 723, NULL, 'PIRSR005536-1', 53743),
(110018, 'PIRSR015853-1', NULL, NULL, 187, NULL, 'PIRSR015853-1', 53744),
(110019, 'PIRSR039102-3', NULL, NULL, 350, NULL, 'PIRSR039102-3', 53745),
(110020, 'PIRSR500948-2', NULL, NULL, 1098, NULL, 'PIRSR500948-2', 53746),
(110021, 'PIRSR000149-3', NULL, NULL, 341, NULL, 'PIRSR000149-3', 53747),
(110022, 'PIRSR036492-1', NULL, NULL, 479, NULL, 'PIRSR036492-1', 53748),
(110023, 'PIRSR037031-50', NULL, NULL, 78, NULL, 'PIRSR037031-50', 53749),
(110024, 'PIRSR037646-50', NULL, NULL, 1252, NULL, 'PIRSR037646-50', 53750),
(110025, 'PIRSR000343-1', NULL, NULL, 272, NULL, 'PIRSR000343-1', 53751),
(110026, 'PIRSR018425-2', NULL, NULL, 546, NULL, 'PIRSR018425-2', 53752),
(110027, 'PIRSR617453-50', NULL, NULL, 130, NULL, 'PIRSR617453-50', 53753),
(110028, 'PIRSR019574-1', NULL, NULL, 353, NULL, 'PIRSR019574-1', 53754),
(110029, 'PIRSR608127-52', NULL, NULL, 455, NULL, 'PIRSR608127-52', 53755),
(110030, 'PIRSR000025-2', NULL, NULL, 119, NULL, 'PIRSR000025-2', 53756),
(110031, 'PIRSR627057-2', NULL, NULL, 439, NULL, 'PIRSR627057-2', 53757),
(110032, 'PIRSR001141-2', NULL, NULL, 327, NULL, 'PIRSR001141-2', 53758),
(110033, 'PIRSR007802-1', NULL, NULL, 157, NULL, 'PIRSR007802-1', 53759),
(110034, 'PIRSR000185-3', NULL, NULL, 401, NULL, 'PIRSR000185-3', 53760),
(110035, 'PIRSR001362-2', NULL, NULL, 540, NULL, 'PIRSR001362-2', 53761),
(110036, 'PIRSR030150-2', NULL, NULL, 246, NULL, 'PIRSR030150-2', 53762);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(110037, 'PIRSR037125-1', NULL, NULL, 146, NULL, 'PIRSR037125-1', 53763),
(110038, 'PIRSR001024-1', NULL, NULL, 477, NULL, 'PIRSR001024-1', 53764),
(110039, 'PIRSR004576-50', NULL, NULL, 246, NULL, 'PIRSR004576-50', 53765),
(110040, 'PIRSR000988-3', NULL, NULL, 259, NULL, 'PIRSR000988-3', 53766),
(110041, 'PIRSR000956-1', NULL, NULL, 1191, NULL, 'PIRSR000956-1', 53767),
(110042, 'PIRSR633508-3', NULL, NULL, 950, NULL, 'PIRSR633508-3', 53768),
(110043, 'PIRSR009328-1', NULL, NULL, 416, NULL, 'PIRSR009328-1', 53769),
(110044, 'PIRSR605856-51', NULL, NULL, 316, NULL, 'PIRSR605856-51', 53770),
(110045, 'PIRSR628472-1', NULL, NULL, 565, NULL, 'PIRSR628472-1', 53771),
(110046, 'PIRSR002937-1', NULL, NULL, 269, NULL, 'PIRSR002937-1', 53772),
(110047, 'PIRSR016262-1', NULL, NULL, 216, NULL, 'PIRSR016262-1', 53773),
(110048, 'PIRSR631245-1', NULL, NULL, 760, NULL, 'PIRSR631245-1', 53774),
(110049, 'PIRSR001355-5', NULL, NULL, 358, NULL, 'PIRSR001355-5', 53775),
(110050, 'PIRSR017434-2', NULL, NULL, 424, NULL, 'PIRSR017434-2', 53776),
(110051, 'PIRSR629881-3', NULL, NULL, 875, NULL, 'PIRSR629881-3', 53777),
(110052, 'PIRSR631048-52', NULL, NULL, 611, NULL, 'PIRSR631048-52', 53778),
(110053, 'PIRSR601621-3', NULL, NULL, 370, NULL, 'PIRSR601621-3', 53779),
(110054, 'PIRSR037281-1', NULL, NULL, 480, NULL, 'PIRSR037281-1', 53780),
(110055, 'PIRSR620777-50', NULL, NULL, 817, NULL, 'PIRSR620777-50', 53781),
(110056, 'PIRSR000094-1', NULL, NULL, 260, NULL, 'PIRSR000094-1', 53782),
(110057, 'PIRSR000159-1', NULL, NULL, 921, NULL, 'PIRSR000159-1', 53783),
(110058, 'PIRSR006135-1', NULL, NULL, 184, NULL, 'PIRSR006135-1', 53784),
(110059, 'PIRSR006246-2', NULL, NULL, 118, NULL, 'PIRSR006246-2', 53785),
(110060, 'PIRSR001174-1', NULL, NULL, 760, NULL, 'PIRSR001174-1', 53786),
(110061, 'PIRSR038147-1', NULL, NULL, 556, NULL, 'PIRSR038147-1', 53787),
(110062, 'PIRSR031924-51', NULL, NULL, 537, NULL, 'PIRSR031924-51', 53788),
(110063, 'PIRSR630616-1', NULL, NULL, 349, NULL, 'PIRSR630616-1', 53789),
(110064, 'PIRSR008716-1', NULL, NULL, 165, NULL, 'PIRSR008716-1', 53790),
(110065, 'PIRSR036636-51', NULL, NULL, 255, NULL, 'PIRSR036636-51', 53791),
(110066, 'PIRSR630056-2', NULL, NULL, 147, NULL, 'PIRSR630056-2', 53792),
(110067, 'PIRSR627185-52', NULL, NULL, 785, NULL, 'PIRSR627185-52', 53793),
(110068, 'PIRSR000109-2', NULL, NULL, 469, NULL, 'PIRSR000109-2', 53794),
(110069, 'PIRSR005894-1', NULL, NULL, 108, NULL, 'PIRSR005894-1', 53795),
(110070, 'PIRSR006809-2', NULL, NULL, 341, NULL, 'PIRSR006809-2', 53796),
(110071, 'PIRSR037839-1', NULL, NULL, 168, NULL, 'PIRSR037839-1', 53797),
(110072, 'PIRSR000948-2', NULL, NULL, 631, NULL, 'PIRSR000948-2', 53798),
(110073, 'PIRSR038084-3', NULL, NULL, 419, NULL, 'PIRSR038084-3', 53799),
(110074, 'PIRSR000290-1', NULL, NULL, 489, NULL, 'PIRSR000290-1', 53800),
(110075, 'PIRSR000398-1', NULL, NULL, 197, NULL, 'PIRSR000398-1', 53801),
(110076, 'PIRSR016020-2', NULL, NULL, 257, NULL, 'PIRSR016020-2', 53802),
(110077, 'PIRSR036514-1', NULL, NULL, 176, NULL, 'PIRSR036514-1', 53803),
(110078, 'PIRSR036684-3', NULL, NULL, 760, NULL, 'PIRSR036684-3', 53804),
(110079, 'PIRSR001815-50', NULL, NULL, 155, NULL, 'PIRSR001815-50', 53805),
(110080, 'PIRSR002854-1', NULL, NULL, 269, NULL, 'PIRSR002854-1', 53806),
(110081, 'PIRSR000388-3', NULL, NULL, 244, NULL, 'PIRSR000388-3', 53807),
(110082, 'PIRSR006806-1', NULL, NULL, 175, NULL, 'PIRSR006806-1', 53808),
(110083, 'PIRSR038189-1', NULL, NULL, 332, NULL, 'PIRSR038189-1', 53809),
(110084, 'PIRSR000485-2', NULL, NULL, 468, NULL, 'PIRSR000485-2', 53810),
(110085, 'PIRSR001227-1', NULL, NULL, 808, NULL, 'PIRSR001227-1', 53811),
(110086, 'PIRSR618191-1', NULL, NULL, 62, NULL, 'PIRSR618191-1', 53812),
(110087, 'PIRSR002356-3', NULL, NULL, 410, NULL, 'PIRSR002356-3', 53813),
(110088, 'PIRSR037251-1', NULL, NULL, 398, NULL, 'PIRSR037251-1', 53814),
(110089, 'PIRSR000008-2', NULL, NULL, 181, NULL, 'PIRSR000008-2', 53815),
(110090, 'PIRSR037299-1', NULL, NULL, 338, NULL, 'PIRSR037299-1', 53816),
(110091, 'PIRSR002374-1', NULL, NULL, 182, NULL, 'PIRSR002374-1', 53817);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(110092, 'PIRSR601681-50', NULL, NULL, 439, NULL, 'PIRSR601681-50', 53818),
(110093, 'PIRSR631038-1', NULL, NULL, 333, NULL, 'PIRSR631038-1', 53819),
(110094, 'PIRSR001021-2', NULL, NULL, 473, NULL, 'PIRSR001021-2', 53820),
(110095, 'PIRSR005054-1', NULL, NULL, 239, NULL, 'PIRSR005054-1', 53821),
(110096, 'PIRSR001935-1', NULL, NULL, 212, NULL, 'PIRSR001935-1', 53822),
(110097, 'PIRSR026389-1', NULL, NULL, 740, NULL, 'PIRSR026389-1', 53823),
(110098, 'PIRSR039004-2', NULL, NULL, 372, NULL, 'PIRSR039004-2', 53824),
(110099, 'PIRSR600990-50', NULL, NULL, 425, NULL, 'PIRSR600990-50', 53825),
(110100, 'PIRSR635711-51', NULL, NULL, 1653, NULL, 'PIRSR635711-51', 53826),
(110101, 'PIRSR000105-1', NULL, NULL, 286, NULL, 'PIRSR000105-1', 53827),
(110102, 'PIRSR018250-3', NULL, NULL, 371, NULL, 'PIRSR018250-3', 53828),
(110103, 'PIRSR001415-2', NULL, NULL, 314, NULL, 'PIRSR001415-2', 53829),
(110104, 'PIRSR000661-51', NULL, NULL, 805, NULL, 'PIRSR000661-51', 53830),
(110105, 'PIRSR036561-2', NULL, NULL, 224, NULL, 'PIRSR036561-2', 53831),
(110106, 'PIRSR038895-2', NULL, NULL, 528, NULL, 'PIRSR038895-2', 53832),
(110107, 'PIRSR036958-3', NULL, NULL, 602, NULL, 'PIRSR036958-3', 53833),
(110108, 'PIRSR000898-3', NULL, NULL, 327, NULL, 'PIRSR000898-3', 53834),
(110109, 'PIRSR003048-1', NULL, NULL, 824, NULL, 'PIRSR003048-1', 53835),
(110110, 'PIRSR006698-2', NULL, NULL, 286, NULL, 'PIRSR006698-2', 53836),
(110111, 'PIRSR037215-1', NULL, NULL, 411, NULL, 'PIRSR037215-1', 53837),
(110112, 'PIRSR000103-1', NULL, NULL, 272, NULL, 'PIRSR000103-1', 53838),
(110113, 'PIRSR001205-2', NULL, NULL, 484, NULL, 'PIRSR001205-2', 53839),
(110114, 'PIRSR000006-2', NULL, NULL, 277, NULL, 'PIRSR000006-2', 53840),
(110115, 'PIRSR000443-1', NULL, NULL, 376, NULL, 'PIRSR000443-1', 53841),
(110116, 'PIRSR006386-1', NULL, NULL, 214, NULL, 'PIRSR006386-1', 53842),
(110117, 'PIRSR037993-2', NULL, NULL, 318, NULL, 'PIRSR037993-2', 53843),
(110118, 'PIRSR036893-51', NULL, NULL, 201, NULL, 'PIRSR036893-51', 53844),
(110119, 'PIRSR038925-1', NULL, NULL, 233, NULL, 'PIRSR038925-1', 53845),
(110120, 'PIRSR002520-4', NULL, NULL, 609, NULL, 'PIRSR002520-4', 53846),
(110121, 'PIRSR004789-51', NULL, NULL, 266, NULL, 'PIRSR004789-51', 53847),
(110122, 'PIRSR000429-2', NULL, NULL, 330, NULL, 'PIRSR000429-2', 53848),
(110123, 'PIRSR004682-1', NULL, NULL, 186, NULL, 'PIRSR004682-1', 53849),
(110124, 'PIRSR633199-1', NULL, NULL, 265, NULL, 'PIRSR633199-1', 53850),
(110125, 'PIRSR600246-2', NULL, NULL, 336, NULL, 'PIRSR600246-2', 53851),
(110126, 'PIRSR607702-1', NULL, NULL, 140, NULL, 'PIRSR607702-1', 53852),
(110127, 'PIRSR500134-2', NULL, NULL, 434, NULL, 'PIRSR500134-2', 53853),
(110128, 'PIRSR000192-2', NULL, NULL, 178, NULL, 'PIRSR000192-2', 53854),
(110129, 'PIRSR017632-1', NULL, NULL, 395, NULL, 'PIRSR017632-1', 53855),
(110130, 'PIRSR608356-50', NULL, NULL, 562, NULL, 'PIRSR608356-50', 53856),
(110131, 'PIRSR001145-3', NULL, NULL, 563, NULL, 'PIRSR001145-3', 53857),
(110132, 'PIRSR000112-3', NULL, NULL, 367, NULL, 'PIRSR000112-3', 53858),
(110133, 'PIRSR630560-2', NULL, NULL, 579, NULL, 'PIRSR630560-2', 53859),
(110134, 'PIRSR005557-2', NULL, NULL, 369, NULL, 'PIRSR005557-2', 53860),
(110135, 'PIRSR018077-1', NULL, NULL, 455, NULL, 'PIRSR018077-1', 53861),
(110136, 'PIRSR037249-2', NULL, NULL, 373, NULL, 'PIRSR037249-2', 53862),
(110137, 'PIRSR000354-1', NULL, NULL, 2186, NULL, 'PIRSR000354-1', 53863),
(110138, 'PIRSR000606-50', NULL, NULL, 738, NULL, 'PIRSR000606-50', 53864),
(110139, 'PIRSR002004-1', NULL, NULL, 1276, NULL, 'PIRSR002004-1', 53865),
(110140, 'PIRSR001359-1', NULL, NULL, 260, NULL, 'PIRSR001359-1', 53866),
(110141, 'PIRSR026534-2', NULL, NULL, 324, NULL, 'PIRSR026534-2', 53867),
(110142, 'PIRSR000118-3', NULL, NULL, 580, NULL, 'PIRSR000118-3', 53868),
(110143, 'PIRSR000705-1', NULL, NULL, 198, NULL, 'PIRSR000705-1', 53869),
(110144, 'PIRSR018249-1', NULL, NULL, 210, NULL, 'PIRSR018249-1', 53870),
(110145, 'PIRSR016323-2', NULL, NULL, 285, NULL, 'PIRSR016323-2', 53871),
(110146, 'PIRSR000095-1', NULL, NULL, 268, NULL, 'PIRSR000095-1', 53872);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(110147, 'PIRSR000178-1', NULL, NULL, 112, NULL, 'PIRSR000178-1', 53873),
(110148, 'PIRSR600223-1', NULL, NULL, 249, NULL, 'PIRSR600223-1', 53874),
(110149, 'PIRSR014972-2', NULL, NULL, 134, NULL, 'PIRSR014972-2', 53875),
(110150, 'PIRSR001013-1', NULL, NULL, 106, NULL, 'PIRSR001013-1', 53876),
(110151, 'PIRSR036289-51', NULL, NULL, 785, NULL, 'PIRSR036289-51', 53877),
(110152, 'PIRSR629580-2', NULL, NULL, 600, NULL, 'PIRSR629580-2', 53878),
(110153, 'PIRSR037177-3', NULL, NULL, 271, NULL, 'PIRSR037177-3', 53879),
(110154, 'PIRSR500951-3', NULL, NULL, 874, NULL, 'PIRSR500951-3', 53880),
(110155, 'PIRSR000604-1', NULL, NULL, 615, NULL, 'PIRSR000604-1', 53881),
(110156, 'PIRSR015693-50', NULL, NULL, 470, NULL, 'PIRSR015693-50', 53882),
(110157, 'PIRSR001415-4', NULL, NULL, 327, NULL, 'PIRSR001415-4', 53883),
(110158, 'PIRSR002551-3', NULL, NULL, 458, NULL, 'PIRSR002551-3', 53884),
(110159, 'PIRSR004532-1', NULL, NULL, 311, NULL, 'PIRSR004532-1', 53885),
(110160, 'PIRSR634178-1', NULL, NULL, 415, NULL, 'PIRSR634178-1', 53886),
(110161, 'PIRSR016308-4', NULL, NULL, 824, NULL, 'PIRSR016308-4', 53887),
(110162, 'PIRSR601465-50', NULL, NULL, 578, NULL, 'PIRSR601465-50', 53888),
(110163, 'PIRSR000454-2', NULL, NULL, 1844, NULL, 'PIRSR000454-2', 53889),
(110164, 'PIRSR021331-1', NULL, NULL, 195, NULL, 'PIRSR021331-1', 53890),
(110165, 'PIRSR006779-1', NULL, NULL, 242, NULL, 'PIRSR006779-1', 53891),
(110166, 'PIRSR001111-50', NULL, NULL, 292, NULL, 'PIRSR001111-50', 53892),
(110167, 'PIRSR002305-1', NULL, NULL, 580, NULL, 'PIRSR002305-1', 53893),
(110168, 'PIRSR021497-2', NULL, NULL, 267, NULL, 'PIRSR021497-2', 53894),
(110169, 'PIRSR633040-2', NULL, NULL, 260, NULL, 'PIRSR633040-2', 53895),
(110170, 'PIRSR036489-2', NULL, NULL, 902, NULL, 'PIRSR036489-2', 53896),
(110171, 'PIRSR002026-1', NULL, NULL, 165, NULL, 'PIRSR002026-1', 53897),
(110172, 'PIRSR038941-1', NULL, NULL, 337, NULL, 'PIRSR038941-1', 53898),
(110173, 'PIRSR003726-3', NULL, NULL, 295, NULL, 'PIRSR003726-3', 53899),
(110174, 'PIRSR037299-2', NULL, NULL, 338, NULL, 'PIRSR037299-2', 53900),
(110175, 'PIRSR620443-51', NULL, NULL, 177, NULL, 'PIRSR620443-51', 53901),
(110176, 'PIRSR019876-1', NULL, NULL, 207, NULL, 'PIRSR019876-1', 53902),
(110177, 'PIRSR006118-1', NULL, NULL, 176, NULL, 'PIRSR006118-1', 53903),
(110178, 'PIRSR608256-1', NULL, NULL, 238, NULL, 'PIRSR608256-1', 53904),
(110179, 'PIRSR039004-1', NULL, NULL, 372, NULL, 'PIRSR039004-1', 53905),
(110180, 'PIRSR000008-1', NULL, NULL, 181, NULL, 'PIRSR000008-1', 53906),
(110181, 'PIRSR001467-1', NULL, NULL, 176, NULL, 'PIRSR001467-1', 53907),
(110182, 'PIRSR628131-1', NULL, NULL, 360, NULL, 'PIRSR628131-1', 53908),
(110183, 'PIRSR016616-1', NULL, NULL, 293, NULL, 'PIRSR016616-1', 53909),
(110184, 'PIRSR000624-2', NULL, NULL, 942, NULL, 'PIRSR000624-2', 53910),
(110185, 'PIRSR038172-1', NULL, NULL, 788, NULL, 'PIRSR038172-1', 53911),
(110186, 'PIRSR000087-50', NULL, NULL, 125, NULL, 'PIRSR000087-50', 53912),
(110187, 'PIRSR001097-50', NULL, NULL, 309, NULL, 'PIRSR001097-50', 53913),
(110188, 'PIRSR036960-2', NULL, NULL, 930, NULL, 'PIRSR036960-2', 53914),
(110189, 'PIRSR001400-2', NULL, NULL, 315, NULL, 'PIRSR001400-2', 53915),
(110190, 'PIRSR006614-1', NULL, NULL, 116, NULL, 'PIRSR006614-1', 53916),
(110191, 'PIRSR633019-50', NULL, NULL, 799, NULL, 'PIRSR633019-50', 53917),
(110192, 'PIRSR000477-2', NULL, NULL, 282, NULL, 'PIRSR000477-2', 53918),
(110193, 'PIRSR000099-4', NULL, NULL, 362, NULL, 'PIRSR000099-4', 53919),
(110194, 'PIRSR017689-50', NULL, NULL, 487, NULL, 'PIRSR017689-50', 53920),
(110195, 'PIRSR001434-2', NULL, NULL, 299, NULL, 'PIRSR001434-2', 53921),
(110196, 'PIRSR000137-2', NULL, NULL, 578, NULL, 'PIRSR000137-2', 53922),
(110197, 'PIRSR002703-1', NULL, NULL, 253, NULL, 'PIRSR002703-1', 53923),
(110198, 'PIRSR625650-3', NULL, NULL, 644, NULL, 'PIRSR625650-3', 53924),
(110199, 'PIRSR000485-1', NULL, NULL, 468, NULL, 'PIRSR000485-1', 53925),
(110200, 'PIRSR036684-1', NULL, NULL, 760, NULL, 'PIRSR036684-1', 53926),
(110201, 'PIRSR003817-2', NULL, NULL, 668, NULL, 'PIRSR003817-2', 53927);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(110202, 'PIRSR009400-2', NULL, NULL, 411, NULL, 'PIRSR009400-2', 53928),
(110203, 'PIRSR002096-1', NULL, NULL, 135, NULL, 'PIRSR002096-1', 53929),
(110204, 'PIRSR036561-1', NULL, NULL, 224, NULL, 'PIRSR036561-1', 53930),
(110205, 'PIRSR000388-2', NULL, NULL, 244, NULL, 'PIRSR000388-2', 53931),
(110206, 'PIRSR617763-1', NULL, NULL, 146, NULL, 'PIRSR617763-1', 53932),
(110207, 'PIRSR000296-2', NULL, NULL, 293, NULL, 'PIRSR000296-2', 53933),
(110208, 'PIRSR000666-1', NULL, NULL, 899, NULL, 'PIRSR000666-1', 53934),
(110209, 'PIRSR000939-1', NULL, NULL, 395, NULL, 'PIRSR000939-1', 53935),
(110210, 'PIRSR000167-1', NULL, NULL, 293, NULL, 'PIRSR000167-1', 53936),
(110211, 'PIRSR000290-3', NULL, NULL, 489, NULL, 'PIRSR000290-3', 53937),
(110212, 'PIRSR028973-1', NULL, NULL, 291, NULL, 'PIRSR028973-1', 53938),
(110213, 'PIRSR006246-1', NULL, NULL, 126, NULL, 'PIRSR006246-1', 53939),
(110214, 'PIRSR037014-2', NULL, NULL, 921, NULL, 'PIRSR037014-2', 53940),
(110215, 'PIRSR000970-2', NULL, NULL, 420, NULL, 'PIRSR000970-2', 53941),
(110216, 'PIRSR000005-1', NULL, NULL, 213, NULL, 'PIRSR000005-1', 53942),
(110217, 'PIRSR631245-3', NULL, NULL, 760, NULL, 'PIRSR631245-3', 53943),
(110218, 'PIRSR638639-50', NULL, NULL, 479, NULL, 'PIRSR638639-50', 53944),
(110219, 'PIRSR016184-1', NULL, NULL, 278, NULL, 'PIRSR016184-1', 53945),
(110220, 'PIRSR629890-4', NULL, NULL, 908, NULL, 'PIRSR629890-4', 53946),
(110221, 'PIRSR037393-1', NULL, NULL, 548, NULL, 'PIRSR037393-1', 53947),
(110222, 'PIRSR617821-1', NULL, NULL, 501, NULL, 'PIRSR617821-1', 53948),
(110223, 'PIRSR631245-2', NULL, NULL, 760, NULL, 'PIRSR631245-2', 53949),
(110224, 'PIRSR001500-1', NULL, NULL, 363, NULL, 'PIRSR001500-1', 53950),
(110225, 'PIRSR633199-2', NULL, NULL, 265, NULL, 'PIRSR633199-2', 53951),
(110226, 'PIRSR001336-50', NULL, NULL, 644, NULL, 'PIRSR001336-50', 53952),
(110227, 'PIRSR628472-2', NULL, NULL, 565, NULL, 'PIRSR628472-2', 53953),
(110228, 'PIRSR000412-50', NULL, NULL, 429, NULL, 'PIRSR000412-50', 53954),
(110229, 'PIRSR638639-51', NULL, NULL, 479, NULL, 'PIRSR638639-51', 53955),
(110230, 'PIRSR633508-2', NULL, NULL, 950, NULL, 'PIRSR633508-2', 53956),
(110231, 'PIRSR002520-3', NULL, NULL, 609, NULL, 'PIRSR002520-3', 53957),
(110232, 'PIRSR036639-1', NULL, NULL, 185, NULL, 'PIRSR036639-1', 53958),
(110233, 'PIRSR037861-1', NULL, NULL, 208, NULL, 'PIRSR037861-1', 53959),
(110234, 'PIRSR000290-2', NULL, NULL, 489, NULL, 'PIRSR000290-2', 53960),
(110235, 'PIRSR001373-3', NULL, NULL, 527, NULL, 'PIRSR001373-3', 53961),
(110236, 'PIRSR000014-2', NULL, NULL, 390, NULL, 'PIRSR000014-2', 53962),
(110237, 'PIRSR017205-1', NULL, NULL, 404, NULL, 'PIRSR017205-1', 53963),
(110238, 'PIRSR017267-2', NULL, NULL, 106, NULL, 'PIRSR017267-2', 53964),
(110239, 'PIRSR037736-1', NULL, NULL, 146, NULL, 'PIRSR037736-1', 53965),
(110240, 'PIRSR601286-50', NULL, NULL, 680, NULL, 'PIRSR601286-50', 53966),
(110241, 'PIRSR001191-1', NULL, NULL, 464, NULL, 'PIRSR001191-1', 53967),
(110242, 'PIRSR600407-1', NULL, NULL, 518, NULL, 'PIRSR600407-1', 53968),
(110243, 'PIRSR001941-1', NULL, NULL, 144, NULL, 'PIRSR001941-1', 53969),
(110244, 'PIRSR630220-2', NULL, NULL, 1040, NULL, 'PIRSR630220-2', 53970),
(110245, 'PIRSR018001-2', NULL, NULL, 313, NULL, 'PIRSR018001-2', 53971),
(110246, 'PIRSR000724-1', NULL, NULL, 315, NULL, 'PIRSR000724-1', 53972),
(110247, 'PIRSR016521-1', NULL, NULL, 391, NULL, 'PIRSR016521-1', 53973),
(110248, 'PIRSR007828-1', NULL, NULL, 598, NULL, 'PIRSR007828-1', 53974),
(110249, 'PIRSR002498-2', NULL, NULL, 293, NULL, 'PIRSR002498-2', 53975),
(110250, 'PIRSR011502-1', NULL, NULL, 602, NULL, 'PIRSR011502-1', 53976),
(110251, 'PIRSR500135-3', NULL, NULL, 438, NULL, 'PIRSR500135-3', 53977),
(110252, 'PIRSR000853-2', NULL, NULL, 833, NULL, 'PIRSR000853-2', 53978),
(110253, 'PIRSR000390-2', NULL, NULL, 333, NULL, 'PIRSR000390-2', 53979),
(110254, 'PIRSR000632-1', NULL, NULL, 831, NULL, 'PIRSR000632-1', 53980),
(110255, 'PIRSR000390-1', NULL, NULL, 333, NULL, 'PIRSR000390-1', 53981),
(110256, 'PIRSR001924-1', NULL, NULL, 315, NULL, 'PIRSR001924-1', 53982);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(110257, 'PIRSR016496-1', NULL, NULL, 260, NULL, 'PIRSR016496-1', 53983),
(110258, 'PIRSR627185-53', NULL, NULL, 785, NULL, 'PIRSR627185-53', 53984),
(110259, 'PIRSR003817-1', NULL, NULL, 3418, NULL, 'PIRSR003817-1', 53985),
(110260, 'PIRSR001373-2', NULL, NULL, 527, NULL, 'PIRSR001373-2', 53986),
(110261, 'PIRSR001620-1', NULL, NULL, 275, NULL, 'PIRSR001620-1', 53987),
(110262, 'PIRSR601621-2', NULL, NULL, 370, NULL, 'PIRSR601621-2', 53988),
(110263, 'PIRSR003048-2', NULL, NULL, 824, NULL, 'PIRSR003048-2', 53989),
(110264, 'PIRSR036517-2', NULL, NULL, 145, NULL, 'PIRSR036517-2', 53990),
(110265, 'PIRSR000159-2', NULL, NULL, 921, NULL, 'PIRSR000159-2', 53991),
(110266, 'PIRSR000385-2', NULL, NULL, 271, NULL, 'PIRSR000385-2', 53992),
(110267, 'PIRSR600407-2', NULL, NULL, 518, NULL, 'PIRSR600407-2', 53993),
(110268, 'PIRSR018250-4', NULL, NULL, 371, NULL, 'PIRSR018250-4', 53994),
(110269, 'PIRSR037911-1', NULL, NULL, 660, NULL, 'PIRSR037911-1', 53995),
(110270, 'PIRSR000047-1', NULL, NULL, 504, NULL, 'PIRSR000047-1', 53996),
(110271, 'PIRSR005713-3', NULL, NULL, 390, NULL, 'PIRSR005713-3', 53997),
(110272, 'PIRSR009283-1', NULL, NULL, 318, NULL, 'PIRSR009283-1', 53998),
(110273, 'PIRSR028937-2', NULL, NULL, 748, NULL, 'PIRSR028937-2', 53999),
(110274, 'PIRSR000617-4', NULL, NULL, 1428, NULL, 'PIRSR000617-4', 54000),
(110275, 'PIRSR628651-51', NULL, NULL, 274, NULL, 'PIRSR628651-51', 54001),
(110276, 'PIRSR017267-1', NULL, NULL, 106, NULL, 'PIRSR017267-1', 54002),
(110277, 'PIRSR005384-2', NULL, NULL, 151, NULL, 'PIRSR005384-2', 54003),
(110278, 'PIRSR036497-1', NULL, NULL, 236, NULL, 'PIRSR036497-1', 54004),
(110279, 'PIRSR639314-50', NULL, NULL, 106, NULL, 'PIRSR639314-50', 54005),
(110280, 'PIRSR000624-1', NULL, NULL, 942, NULL, 'PIRSR000624-1', 54006),
(110281, 'PIRSR003059-1', NULL, NULL, 490, NULL, 'PIRSR003059-1', 54007),
(110282, 'PIRSR611166-50', NULL, NULL, 459, NULL, 'PIRSR611166-50', 54008),
(110283, 'PIRSR037014-1', NULL, NULL, 921, NULL, 'PIRSR037014-1', 54009),
(110284, 'PIRSR036489-1', NULL, NULL, 902, NULL, 'PIRSR036489-1', 54010),
(110285, 'PIRSR600823-4', NULL, NULL, 331, NULL, 'PIRSR600823-4', 54011),
(110286, 'PIRSR000098-2', NULL, NULL, 434, NULL, 'PIRSR000098-2', 54012),
(110287, 'PIRSR016616-2', NULL, NULL, 293, NULL, 'PIRSR016616-2', 54013),
(110288, 'PIRSR002486-1', NULL, NULL, 239, NULL, 'PIRSR002486-1', 54014),
(110289, 'PIRSR030150-1', NULL, NULL, 246, NULL, 'PIRSR030150-1', 54015),
(110290, 'PIRSR005091-2', NULL, NULL, 553, NULL, 'PIRSR005091-2', 54016),
(110291, 'PIRSR039020-50', NULL, NULL, 122, NULL, 'PIRSR039020-50', 54017),
(110292, 'PIRSR620405-1', NULL, NULL, 201, NULL, 'PIRSR620405-1', 54018),
(110293, 'PIRSR627057-1', NULL, NULL, 439, NULL, 'PIRSR627057-1', 54019),
(110294, 'PIRSR000454-1', NULL, NULL, 1844, NULL, 'PIRSR000454-1', 54020),
(110295, 'PIRSR034515-1', NULL, NULL, 1021, NULL, 'PIRSR034515-1', 54021),
(110296, 'PIRSR500951-2', NULL, NULL, 874, NULL, 'PIRSR500951-2', 54022),
(110297, 'PIRSR037942-1', NULL, NULL, 357, NULL, 'PIRSR037942-1', 54023),
(110298, 'PIRSR036684-2', NULL, NULL, 760, NULL, 'PIRSR036684-2', 54024),
(110299, 'PIRSR015244-50', NULL, NULL, 435, NULL, 'PIRSR015244-50', 54025),
(110300, 'PIRSR037945-1', NULL, NULL, 200, NULL, 'PIRSR037945-1', 54026),
(110301, 'PIRSR637571-53', NULL, NULL, 686, NULL, 'PIRSR637571-53', 54027),
(110302, 'PIRSR001060-1', NULL, NULL, 320, NULL, 'PIRSR001060-1', 54028),
(110303, 'PIRSR004930-1', NULL, NULL, 342, NULL, 'PIRSR004930-1', 54029),
(110304, 'PIRSR000331-1', NULL, NULL, 468, NULL, 'PIRSR000331-1', 54030),
(110305, 'PIRSR001141-1', NULL, NULL, 327, NULL, 'PIRSR001141-1', 54031),
(110306, 'PIRSR000260-4', NULL, NULL, 96, NULL, 'PIRSR000260-4', 54032),
(110307, 'PIRSR000137-3', NULL, NULL, 578, NULL, 'PIRSR000137-3', 54033),
(110308, 'PIRSR637641-50', NULL, NULL, 303, NULL, 'PIRSR637641-50', 54034),
(110309, 'PIRSR038945-3', NULL, NULL, 300, NULL, 'PIRSR038945-3', 54035),
(110310, 'PIRSR005894-2', NULL, NULL, 108, NULL, 'PIRSR005894-2', 54036),
(110311, 'PIRSR036687-2', NULL, NULL, 756, NULL, 'PIRSR036687-2', 54037);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(110312, 'PIRSR623088-1', NULL, NULL, 333, NULL, 'PIRSR623088-1', 54038),
(110313, 'PIRSR036665-50', NULL, NULL, 881, NULL, 'PIRSR036665-50', 54039),
(110314, 'PIRSR001400-1', NULL, NULL, 315, NULL, 'PIRSR001400-1', 54040),
(110315, 'PIRSR038928-2', NULL, NULL, 489, NULL, 'PIRSR038928-2', 54041),
(110316, 'PIRSR500948-1', NULL, NULL, 1098, NULL, 'PIRSR500948-1', 54042),
(110317, 'PIRSR016429-50', NULL, NULL, 357, NULL, 'PIRSR016429-50', 54043),
(110318, 'PIRSR000362-1', NULL, NULL, 352, NULL, 'PIRSR000362-1', 54044),
(110319, 'PIRSR000619-2', NULL, NULL, 1262, NULL, 'PIRSR000619-2', 54045),
(110320, 'PIRSR629580-3', NULL, NULL, 600, NULL, 'PIRSR629580-3', 54046),
(110321, 'PIRSR605626-50', NULL, NULL, 470, NULL, 'PIRSR605626-50', 54047),
(110322, 'PIRSR003170-1', NULL, NULL, 223, NULL, 'PIRSR003170-1', 54048),
(110323, 'PIRSR000376-1', NULL, NULL, 468, NULL, 'PIRSR000376-1', 54049),
(110324, 'PIRSR001247-1', NULL, NULL, 664, NULL, 'PIRSR001247-1', 54050),
(110325, 'PIRSR000192-1', NULL, NULL, 178, NULL, 'PIRSR000192-1', 54051),
(110326, 'PIRSR000242-1', NULL, NULL, 566, NULL, 'PIRSR000242-1', 54052),
(110327, 'PIRSR039133-3', NULL, NULL, 649, NULL, 'PIRSR039133-3', 54053),
(110328, 'PIRSR500134-1', NULL, NULL, 434, NULL, 'PIRSR500134-1', 54054),
(110329, 'PIRSR036918-51', NULL, NULL, 605, NULL, 'PIRSR036918-51', 54055),
(110330, 'PIRSR016527-2', NULL, NULL, 261, NULL, 'PIRSR016527-2', 54056),
(110331, 'PIRSR000451-1', NULL, NULL, 341, NULL, 'PIRSR000451-1', 54057),
(110332, 'PIRSR015753-1', NULL, NULL, 323, NULL, 'PIRSR015753-1', 54058),
(110333, 'PIRSR629576-6', NULL, NULL, 604, NULL, 'PIRSR629576-6', 54059),
(110334, 'PIRSR000660-1', NULL, NULL, 1658, NULL, 'PIRSR000660-1', 54060),
(110335, 'PIRSR036289-50', NULL, NULL, 785, NULL, 'PIRSR036289-50', 54061),
(110336, 'PIRSR006386-2', NULL, NULL, 214, NULL, 'PIRSR006386-2', 54062),
(110337, 'PIRSR630560-1', NULL, NULL, 579, NULL, 'PIRSR630560-1', 54063),
(110338, 'PIRSR000187-2', NULL, NULL, 2115, NULL, 'PIRSR000187-2', 54064),
(110339, 'PIRSR016323-1', NULL, NULL, 285, NULL, 'PIRSR016323-1', 54065),
(110340, 'PIRSR004532-2', NULL, NULL, 311, NULL, 'PIRSR004532-2', 54066),
(110341, 'PIRSR000075-1', NULL, NULL, 41, NULL, 'PIRSR000075-1', 54067),
(110342, 'PIRSR000262-2', NULL, NULL, 555, NULL, 'PIRSR000262-2', 54068),
(110343, 'PIRSR000808-1', NULL, NULL, 352, NULL, 'PIRSR000808-1', 54069),
(110344, 'PIRSR037404-1', NULL, NULL, 1614, NULL, 'PIRSR037404-1', 54070),
(110345, 'PIRSR608734-50', NULL, NULL, 1207, NULL, 'PIRSR608734-50', 54071),
(110346, 'PIRSR001997-1', NULL, NULL, 583, NULL, 'PIRSR001997-1', 54072),
(110347, 'PIRSR001362-3', NULL, NULL, 540, NULL, 'PIRSR001362-3', 54073),
(110348, 'PIRSR037215-2', NULL, NULL, 411, NULL, 'PIRSR037215-2', 54074),
(110349, 'PIRSR605792-51', NULL, NULL, 516, NULL, 'PIRSR605792-51', 54075),
(110350, 'PIRSR029256-1', NULL, NULL, 141, NULL, 'PIRSR029256-1', 54076),
(110351, 'PIRSR000103-2', NULL, NULL, 272, NULL, 'PIRSR000103-2', 54077),
(110352, 'PIRSR005378-1', NULL, NULL, 353, NULL, 'PIRSR005378-1', 54078),
(110353, 'PIRSR037471-1', NULL, NULL, 400, NULL, 'PIRSR037471-1', 54079),
(110354, 'PIRSR026534-1', NULL, NULL, 324, NULL, 'PIRSR026534-1', 54080),
(110355, 'PIRSR000551-51', NULL, NULL, 719, NULL, 'PIRSR000551-51', 54081),
(110356, 'PIRSR600246-3', NULL, NULL, 336, NULL, 'PIRSR600246-3', 54082),
(110357, 'PIRSR635711-50', NULL, NULL, 1653, NULL, 'PIRSR635711-50', 54083),
(110358, 'PIRSR000095-2', NULL, NULL, 268, NULL, 'PIRSR000095-2', 54084),
(110359, 'PIRSR017632-2', NULL, NULL, 395, NULL, 'PIRSR017632-2', 54085),
(110360, 'PTHR31324', NULL, NULL, NULL, NULL, 'MORF4 FAMILY-ASSOCIATED PROTEIN 1-RELATED', 54086),
(110361, 'PTHR33395:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54087),
(110362, 'PTHR43586:SF8', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURASE 1, CHLOROPLASTIC', 54088),
(110363, 'PTHR13554', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 5-RELATED', 54089),
(110364, 'PTHR11037:SF17', NULL, NULL, NULL, NULL, 'GRAINYHEAD-LIKE PROTEIN 2 HOMOLOG', 54090);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(110365, 'PTHR31636:SF254', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', 54091),
(110366, 'PTHR23430:SF298', NULL, NULL, NULL, NULL, 'HISTONE H2A.7-RELATED', 54092),
(110367, 'PTHR31509:SF90', NULL, NULL, NULL, NULL, 'BNAANNG04190D PROTEIN', 54093),
(110368, 'PTHR48055:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54094),
(110369, 'PTHR31175:SF75', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 54095),
(110370, 'PTHR11533:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG03367', 54096),
(110371, 'PTHR37809', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S12 METHYLTHIOTRANSFERASE ACCESSORY FACTOR YCAO', 54097),
(110372, 'PTHR22801:SF59', NULL, NULL, NULL, NULL, 'SI:DKEYP-75B4.10', 54098),
(110373, 'PTHR23517', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN MDTM, PUTATIVE-RELATED-RELATED', 54099),
(110374, 'PTHR11689:SF147', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 54100),
(110375, 'PTHR11388:SF145', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', 54101),
(110376, 'PTHR42810:SF1', NULL, NULL, NULL, NULL, 'PURINE PERMEASE YWDJ-RELATED', 54102),
(110377, 'PTHR47641', NULL, NULL, NULL, NULL, 'PERIAXIN-LIKE', 54103),
(110378, 'PTHR47181:SF1', NULL, NULL, NULL, NULL, 'OS07G0689950 PROTEIN', 54104),
(110379, 'PTHR32039:SF7', NULL, NULL, NULL, NULL, 'COMPETENCE PROTEIN COMM', 54105),
(110380, 'PTHR46288:SF36', NULL, NULL, NULL, NULL, 'BNAC04G49590D PROTEIN', 54106),
(110381, 'PTHR10337:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54107),
(110382, 'PTHR33608:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54108),
(110383, 'PTHR11431:SF100', NULL, NULL, NULL, NULL, 'FERRITIN', 54109),
(110384, 'PTHR43689:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 54110),
(110385, 'PTHR24422:SF23', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN METHYLTRANSFERASE', 54111),
(110386, 'PTHR33147:SF108', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 6', 54112),
(110387, 'PTHR33214:SF50', NULL, NULL, NULL, NULL, 'LIPID-TRANSFER PROTEIN 2G, PUTATIVE, EXPRESSED-RELATED', 54113),
(110388, 'PTHR31790:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54114),
(110389, 'PTHR47965:SF27', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY, ASPARTIC PEPTIDASE DOMAIN, XYLANASE INHIBITOR-RELATED', 54115),
(110390, 'PTHR24214:SF38', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN ZASP', 54116),
(110391, 'PTHR31241:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54117),
(110392, 'PTHR34827:SF2', NULL, NULL, NULL, NULL, 'INSULIN GROWTH FACTOR-LIKE FAMILY MEMBER 1', 54118),
(110393, 'PTHR45752:SF110', NULL, NULL, NULL, NULL, 'VOLUME-REGULATED ANION CHANNEL SUBUNIT LRRC8E', 54119),
(110394, 'PTHR11615:SF304', NULL, NULL, NULL, NULL, 'IRON HYDROGENASE, PUTATIVE-RELATED', 54120),
(110395, 'PTHR13832:SF760', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 42-RELATED', 54121),
(110396, 'PTHR15907:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54122),
(110397, 'PTHR40625:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54123),
(110398, 'PTHR24384:SF126', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 519', 54124),
(110399, 'PTHR47993:SF87', NULL, NULL, NULL, NULL, 'BNAC01G33030D PROTEIN', 54125),
(110400, 'PTHR20855:SF26', NULL, NULL, NULL, NULL, 'MONOCYTE TO MACROPHAGE DIFFERENTIATION FACTOR', 54126),
(110401, 'PTHR43719:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54127),
(110402, 'PTHR14392:SF2', NULL, NULL, NULL, NULL, 'NIBAN-LIKE PROTEIN 1', 54128),
(110403, 'PTHR35750:SF5', NULL, NULL, NULL, NULL, 'BNAA06G40400D PROTEIN', 54129),
(110404, 'PTHR47956:SF61', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 54130),
(110405, 'PTHR11003:SF158', NULL, NULL, NULL, NULL, 'BCDNA.GH04802', 54131),
(110406, 'PTHR43039:SF1', NULL, NULL, NULL, NULL, 'SIGMA FACTOR SIGB REGULATION PROTEIN RSBQ', 54132),
(110407, 'PTHR15079:SF10', NULL, NULL, NULL, NULL, 'DEATH ASSOCIATED PROTEIN KINASE 1', 54133),
(110408, 'PTHR10443:SF38', NULL, NULL, NULL, NULL, 'DIPEPTIDASE 1', 54134),
(110409, 'PTHR33305:SF28', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 1 PROTEIN', 54135);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(110410, 'PTHR43227:SF6', NULL, NULL, NULL, NULL, 'BLR3390 PROTEIN', 54136),
(110411, 'PTHR34223:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54137),
(110412, 'PTHR32448:SF23', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN-RELATED', 54138),
(110413, 'PTHR24286:SF279', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE-LIKE ISOFORM X1', 54139),
(110414, 'PTHR31071:SF36', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED', 54140),
(110415, 'PTHR27007:SF356', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54141),
(110416, 'PTHR23238:SF25', NULL, NULL, NULL, NULL, 'TATA-BINDING PROTEIN-ASSOCIATED FACTOR 2N', 54142),
(110417, 'PTHR45988:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 36', 54143),
(110418, 'PTHR21523:SF7', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', 54144),
(110419, 'PTHR12924:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54145),
(110420, 'PTHR22966:SF15', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 54146),
(110421, 'PTHR13987', NULL, NULL, NULL, NULL, 'PROTEIN BEX4', 54147),
(110422, 'PTHR31681:SF49', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF295)-RELATED', 54148),
(110423, 'PTHR33736:SF18', NULL, NULL, NULL, NULL, 'F-BOX PLANT-LIKE PROTEIN', 54149),
(110424, 'PTHR15487', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 2-BINDING PROTEIN', 54150),
(110425, 'PTHR34136', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 54151),
(110426, 'PTHR37179:SF1', NULL, NULL, NULL, NULL, 'TRANSGLYCOSYLASE', 54152),
(110427, 'PTHR43166:SF25', NULL, NULL, NULL, NULL, 'ARGININE TRANSPORT ATP-BINDING PROTEIN ARTP', 54153),
(110428, 'PTHR32227:SF279', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 5', 54154),
(110429, 'PTHR11260:SF345', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE GST 23-LIKE', 54155),
(110430, 'PTHR21818', NULL, NULL, NULL, NULL, 'BC025462 PROTEIN', 54156),
(110431, 'PTHR21645:SF7', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 54157),
(110432, 'PTHR42960:SF1', NULL, NULL, NULL, NULL, 'YCF46 PROTEIN', 54158),
(110433, 'PTHR11177:SF144', NULL, NULL, NULL, NULL, 'CHITINASE 5', 54159),
(110434, 'PTHR11351:SF88', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE, TYPE 1, CORE-RELATED', 54160),
(110435, 'PTHR24377:SF860', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WECKLE', 54161),
(110436, 'PTHR14167:SF41', NULL, NULL, NULL, NULL, 'NOSTRIN, ISOFORM H', 54162),
(110437, 'PTHR24204:SF2', NULL, NULL, NULL, NULL, 'INSULIN GENE ENHANCER PROTEIN ISL-2', 54163),
(110438, 'PTHR24343:SF476', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2F', 54164),
(110439, 'PTHR14950:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54165),
(110440, 'PTHR44675:SF1', NULL, NULL, NULL, NULL, 'PAK1 INTERACTING PROTEIN 1', 54166),
(110441, 'PTHR47445:SF1', NULL, NULL, NULL, NULL, 'OS08G0441400 PROTEIN', 54167),
(110442, 'PTHR19229:SF216', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY A (ABC1), MEMBER 1A', 54168),
(110443, 'PTHR20932:SF4', NULL, NULL, NULL, NULL, 'AND PUTATIVE PEPTIDOGLYCAN-BINDING DOMAIN-CONTAINING PROTEIN 2-RELATED', 54169),
(110444, 'PTHR31705', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 30', 54170),
(110445, 'PTHR46720:SF3', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01460)-RELATED', 54171),
(110446, 'PTHR11863:SF199', NULL, NULL, NULL, NULL, 'BNAA03G17370D PROTEIN', 54172),
(110447, 'PTHR36946:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG03444', 54173),
(110448, 'PTHR31136:SF4', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN', 54174),
(110449, 'PTHR34492:SF2', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR FAMILY', 54175),
(110450, 'PTHR47979:SF65', NULL, NULL, NULL, NULL, 'SMALL GTP-BINDING PROTEIN', 54176),
(110451, 'PTHR13780:SF110', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSCBSPB1-LIKE', 54177),
(110452, 'PTHR10704', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE', 54178),
(110453, 'PTHR43029:SF3', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 3', 54179),
(110454, 'PTHR43816:SF3', NULL, NULL, NULL, NULL, 'NICOTINAMIDE PHOSPHORIBOSYLTRANSFERASE', 54180);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(110455, 'PTHR24377:SF710', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 805', 54181),
(110456, 'PTHR23054:SF66', NULL, NULL, NULL, NULL, 'BNAA04G13840D PROTEIN', 54182),
(110457, 'PTHR19957:SF235', NULL, NULL, NULL, NULL, 'SYNTAXIN-22', 54183),
(110458, 'PTHR22967:SF96', NULL, NULL, NULL, NULL, 'AP2-ASSOCIATED PROTEIN KINASE 1', 54184),
(110459, 'PTHR13480:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CBLL2', 54185),
(110460, 'PTHR12750:SF17', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE VIP2', 54186),
(110461, 'PTHR30385:SF6', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGI', 54187),
(110462, 'PTHR31286:SF86', NULL, NULL, NULL, NULL, 'BNAC03G44920D PROTEIN', 54188),
(110463, 'PTHR24023:SF604', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(III) CHAIN', 54189),
(110464, 'PTHR23015:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG17912', 54190),
(110465, 'PTHR36068:SF1', NULL, NULL, NULL, NULL, 'OS01G0102500 PROTEIN', 54191),
(110466, 'PTHR48018:SF120', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 54192),
(110467, 'PTHR11082:SF5', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(16/17) SYNTHASE [NAD(P)(+)]-LIKE', 54193),
(110468, 'PTHR32153:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54194),
(110469, 'PTHR33240:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54195),
(110470, 'PTHR20937:SF4', NULL, NULL, NULL, NULL, 'MESOGENIN-1', 54196),
(110471, 'PTHR31232:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54197),
(110472, 'PTHR24170', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 27', 54198),
(110473, 'PTHR10720:SF0', NULL, NULL, NULL, NULL, 'HEME OXYGENASE', 54199),
(110474, 'PTHR43076:SF13', NULL, NULL, NULL, NULL, '5-AMINO-6-(D-RIBITYLAMINO)URACIL--L-TYROSINE 4-HYDROXYPHENYL TRANSFERASE', 54200),
(110475, 'PTHR42637', NULL, NULL, NULL, NULL, 'TRNA-(MS[2]IO[6]A)-HYDROXYLASE', 54201),
(110476, 'PTHR11188:SF76', NULL, NULL, NULL, NULL, 'PH-RESPONSE REGULATOR PROTEIN PALF/RIM8', 54202),
(110477, 'PTHR20995', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 5', 54203),
(110478, 'PTHR47512:SF6', NULL, NULL, NULL, NULL, 'CHALCONE-FLAVANONE ISOMERASE FAMILY PROTEIN', 54204),
(110479, 'PTHR43329:SF105', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', 54205),
(110480, 'PTHR14330', NULL, NULL, NULL, NULL, 'A-KINASE-INTERACTING PROTEIN 1', 54206),
(110481, 'PTHR45974:SF60', NULL, NULL, NULL, NULL, 'OS02G0153700 PROTEIN', 54207),
(110482, 'PTHR15011', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN F', 54208),
(110483, 'PTHR10372:SF27', NULL, NULL, NULL, NULL, 'ADHERENS JUNCTION PROTEIN P120', 54209),
(110484, 'PTHR12959:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54210),
(110485, 'PTHR30344', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', 54211),
(110486, 'PTHR33074:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54212),
(110487, 'PTHR18976', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN', 54213),
(110488, 'PTHR10209:SF731', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54214),
(110489, 'PTHR39944:SF3', NULL, NULL, NULL, NULL, 'METHIONINE RICH ARABINOGALACTAN', 54215),
(110490, 'PTHR48065:SF7', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITOR 1', 54216),
(110491, 'PTHR27008:SF395', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54217),
(110492, 'PTHR23291:SF44', NULL, NULL, NULL, NULL, 'INHIBITOR OF APOPTOSIS-PROMOTING BAX1 PROTEIN', 54218),
(110493, 'PTHR19143:SF348', NULL, NULL, NULL, NULL, 'TENASCIN-N', 54219),
(110494, 'PTHR31675:SF39', NULL, NULL, NULL, NULL, 'BNAA09G31050D PROTEIN', 54220),
(110495, 'PTHR43253:SF1', NULL, NULL, NULL, NULL, 'TRICORN PROTEASE HOMOLOG 2-RELATED', 54221),
(110496, 'PTHR35936:SF26', NULL, NULL, NULL, NULL, 'PERIPLASMIC SUBSTRATE BINDING PROTEIN FAMILY 3', 54222),
(110497, 'PTHR43353:SF5', NULL, NULL, NULL, NULL, 'SUCCINATE-SEMIALDEHYDE DEHYDROGENASE, MITOCHONDRIAL', 54223),
(110498, 'PTHR10623:SF6', NULL, NULL, NULL, NULL, 'EB1, ISOFORM F-RELATED', 54224),
(110499, 'PTHR31213:SF17', NULL, NULL, NULL, NULL, 'PR-10 TYPE PATHOGENESIS-RELATED PROTEIN-RELATED', 54225);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(110500, 'PTHR30094:SF6', NULL, NULL, NULL, NULL, 'TRYPANOTHIONE SYNTHETASE-LIKE PROTEIN', 54226),
(110501, 'PTHR47977:SF1', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABD2A', 54227),
(110502, 'PTHR11938:SF91', NULL, NULL, NULL, NULL, 'NADPH:ADRENODOXIN OXIDOREDUCTASE, MITOCHONDRIAL', 54228),
(110503, 'PTHR14234:SF18', NULL, NULL, NULL, NULL, 'RIMS-BINDING PROTEIN 2', 54229),
(110504, 'PTHR23322:SF57', NULL, NULL, NULL, NULL, 'SI:CH73-173P19.1', 54230),
(110505, 'PTHR33618', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L53, MITOCHONDRIAL', 54231),
(110506, 'PTHR45621:SF167', NULL, NULL, NULL, NULL, 'BNAC05G10600D PROTEIN', 54232),
(110507, 'PTHR11730:SF100', NULL, NULL, NULL, NULL, 'RH-LIKE PROTEIN IC', 54233),
(110508, 'PTHR36770', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY FACTOR PSA3, CHLOROPLASTIC', 54234),
(110509, 'PTHR26379:SF367', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54235),
(110510, 'PTHR31639:SF46', NULL, NULL, NULL, NULL, 'OS04G0267600 PROTEIN', 54236),
(110511, 'PTHR15127:SF29', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING ADAPTER PROTEIN E', 54237),
(110512, 'PTHR10281:SF89', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE HEME/STEROID-BINDING DOMAIN PROTEIN', 54238),
(110513, 'PTHR45647:SF107', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS FAMILY PROTEIN', 54239),
(110514, 'PTHR21421', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR', 54240),
(110515, 'PTHR32093:SF131', NULL, NULL, NULL, NULL, 'BNAC05G26270D PROTEIN', 54241),
(110516, 'PTHR43811:SF39', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP53-LIKE', 54242),
(110517, 'PTHR12316:SF19', NULL, NULL, NULL, NULL, 'NINJURIN-1', 54243),
(110518, 'PTHR14705', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT BETA', 54244),
(110519, 'PTHR15283:SF6', NULL, NULL, NULL, NULL, 'GREMLIN', 54245),
(110520, 'PTHR43186', NULL, NULL, NULL, NULL, 'BLR3900 PROTEIN', 54246),
(110521, 'PTHR48100:SF38', NULL, NULL, NULL, NULL, 'PHOSPHOHISTIDINE PHOSPHATASE SIXA', 54247),
(110522, 'PTHR48049:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 54248),
(110523, 'PTHR31558:SF16', NULL, NULL, NULL, NULL, 'DUF1336 FAMILY PROTEIN', 54249),
(110524, 'PTHR31561:SF83', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 54250),
(110525, 'PTHR46162:SF40', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 12-LIKE', 54251),
(110526, 'PTHR43434:SF3', NULL, NULL, NULL, NULL, 'GMP/IMP NUCLEOTIDASE YRFG', 54252),
(110527, 'PTHR33735:SF9', NULL, NULL, NULL, NULL, 'OS04G0450600 PROTEIN', 54253),
(110528, 'PTHR13098:SF5', NULL, NULL, NULL, NULL, 'WOLFRAM SYNDROME 1B (WOLFRAMIN)', 54254),
(110529, 'PTHR12526:SF590', NULL, NULL, NULL, NULL, 'ALPHA-MALTOSE-1-PHOSPHATE SYNTHASE', 54255),
(110530, 'PTHR45647:SF87', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 35-LIKE', 54256),
(110531, 'PTHR22847:SF635', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 64', 54257),
(110532, 'PTHR23226:SF61', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 165', 54258),
(110533, 'PTHR31216:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-13', 54259),
(110534, 'PTHR33463:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54260),
(110535, 'PTHR31852:SF191', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOFAMILY PROTEIN', 54261),
(110536, 'PTHR18952:SF235', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE-LIKE PROTEIN', 54262),
(110537, 'PTHR43391:SF62', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN', 54263),
(110538, 'PTHR10615:SF195', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', 54264),
(110539, 'PTHR35503:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0006M15.15 PROTEIN', 54265),
(110540, 'PTHR22946:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG13057', 54266),
(110541, 'PTHR45632:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54267),
(110542, 'PTHR23107:SF25', NULL, NULL, NULL, NULL, 'SSXT PROTEIN (AMINO-TERMINAL REGION) PROTEIN', 54268),
(110543, 'PTHR38048', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 54269),
(110544, 'PTHR31221:SF176', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR', 54270);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(110545, 'PTHR11567:SF145', NULL, NULL, NULL, NULL, 'TESTICULAR ACID PHOSPHATASE', 54271),
(110546, 'PTHR45717:SF6', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 54272),
(110547, 'PTHR10078:SF27', NULL, NULL, NULL, NULL, 'INTERLEUKIN-36 GAMMA', 54273),
(110548, 'PTHR46328:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 2-LIKE', 54274),
(110549, 'PTHR11348:SF22', NULL, NULL, NULL, NULL, 'WNT1-INDUCIBLE-SIGNALING PATHWAY PROTEIN 2', 54275),
(110550, 'PTHR10801:SF17', NULL, NULL, NULL, NULL, 'BNAA05G19350D PROTEIN', 54276),
(110551, 'PTHR24220:SF659', NULL, NULL, NULL, NULL, 'BLL1002 PROTEIN', 54277),
(110552, 'PTHR31676:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54278),
(110553, 'PTHR32285:SF245', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 41', 54279),
(110554, 'PTHR30146:SF105', NULL, NULL, NULL, NULL, 'CATABOLITE CONTROL PROTEIN B', 54280),
(110555, 'PTHR13457:SF1', NULL, NULL, NULL, NULL, 'HEAT REPEAT-CONTAINING PROTEIN 1', 54281),
(110556, 'PTHR23147:SF176', NULL, NULL, NULL, NULL, 'BNAA03G51620D PROTEIN', 54282),
(110557, 'PTHR11615:SF325', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 54283),
(110558, 'PTHR10579:SF126', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', 54284),
(110559, 'PTHR14091:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG05170', 54285),
(110560, 'PTHR46431:SF4', NULL, NULL, NULL, NULL, 'ASSOCIATED GOLGI PROTEIN FAMILY, PUTATIVE-RELATED', 54286),
(110561, 'PTHR21562:SF97', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 54287),
(110562, 'PTHR10489:SF664', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 9', 54288),
(110563, 'PTHR31889:SF67', NULL, NULL, NULL, NULL, 'BNACNNG39560D PROTEIN', 54289),
(110564, 'PTHR37463:SF1', NULL, NULL, NULL, NULL, 'GSL3115 PROTEIN', 54290),
(110565, 'PTHR21624', NULL, NULL, NULL, NULL, 'STEROL DESATURASE-RELATED PROTEIN', 54291),
(110566, 'PTHR33109:SF61', NULL, NULL, NULL, NULL, 'BNACNNG25950D PROTEIN', 54292),
(110567, 'PTHR48190', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 54293),
(110568, 'PTHR33088:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54294),
(110569, 'PTHR31989:SF259', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 86-LIKE ISOFORM X1', 54295),
(110570, 'PTHR34709:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54296),
(110571, 'PTHR44329:SF6', NULL, NULL, NULL, NULL, 'RECEPTOR-INTERACTING SERINE/THREONINE-PROTEIN KINASE 1', 54297),
(110572, 'PTHR31071:SF53', NULL, NULL, NULL, NULL, 'BNAA08G31660D PROTEIN', 54298),
(110573, 'PTHR45752:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT SERINE/THREONINE-PROTEIN KINASE 2', 54299),
(110574, 'PTHR47928:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54300),
(110575, 'PTHR34397:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54301),
(110576, 'PTHR48044:SF30', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 54302),
(110577, 'PTHR37520', NULL, NULL, NULL, NULL, 'INTRON-ENCODED DNA ENDONUCLEASE AI2A-RELATED', 54303),
(110578, 'PTHR45959:SF41', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 54304),
(110579, 'PTHR31669:SF218', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 3', 54305),
(110580, 'PTHR38820', NULL, NULL, NULL, NULL, 'ANNEXIN-2 RECEPTOR', 54306),
(110581, 'PTHR47990:SF77', NULL, NULL, NULL, NULL, 'GA3OX-A3 PROTEIN', 54307),
(110582, 'PTHR47242:SF2', NULL, NULL, NULL, NULL, 'ALPHA-TAXILIN-LIKE', 54308),
(110583, 'PTHR31374:SF256', NULL, NULL, NULL, NULL, 'BNAC05G50280D PROTEIN', 54309),
(110584, 'PTHR33167:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54310),
(110585, 'PTHR31828:SF23', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA-LIKE', 54311),
(110586, 'PTHR11527:SF314', NULL, NULL, NULL, NULL, 'CYTOSOLIC CLASS I SMALL HEAT SHOCK PROTEIN', 54312),
(110587, 'PTHR31907:SF66', NULL, NULL, NULL, NULL, 'BNAA07G09710D PROTEIN', 54313),
(110588, 'PTHR27003:SF372', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54314),
(110589, 'PTHR31165:SF69', NULL, NULL, NULL, NULL, 'BNAA05G34250D PROTEIN', 54315),
(110590, 'PTHR43975', NULL, NULL, NULL, NULL, 'ZGC:101858', 54316);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(110591, 'PTHR37177:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PSY3', 54317),
(110592, 'PTHR11685:SF348', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 54318),
(110593, 'PTHR11223:SF5', NULL, NULL, NULL, NULL, 'EXPORTIN 1 (CRM1 HOMOLOG, YEAST) A', 54319),
(110594, 'PTHR37466:SF1', NULL, NULL, NULL, NULL, 'SLR1628 PROTEIN', 54320),
(110595, 'PTHR10751:SF40', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 5', 54321),
(110596, 'PTHR37487:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 54322),
(110597, 'PTHR11699:SF198', NULL, NULL, NULL, NULL, 'DEHYDROGENASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03250)-RELATED', 54323),
(110598, 'PTHR11680:SF18', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE 2', 54324),
(110599, 'PTHR20935:SF1', NULL, NULL, NULL, NULL, 'BLR5857 PROTEIN', 54325),
(110600, 'PTHR31083', NULL, NULL, NULL, NULL, 'UPSTREAM OF FLC PROTEIN (DUF966)', 54326),
(110601, 'PTHR11558:SF50', NULL, NULL, NULL, NULL, 'SPERMIDINE SYNTHASE-RELATED', 54327),
(110602, 'PTHR33738:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54328),
(110603, 'PTHR24229:SF42', NULL, NULL, NULL, NULL, 'SOMATOSTATIN RECEPTOR TYPE 3', 54329),
(110604, 'PTHR11489:SF23', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', 54330),
(110605, 'PTHR10454:SF162', NULL, NULL, NULL, NULL, 'CASPASE-8', 54331),
(110606, 'PTHR11461:SF53', NULL, NULL, NULL, NULL, 'ANTITHROMBIN-III', 54332),
(110607, 'PTHR21388:SF5', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 38', 54333),
(110608, 'PTHR11675:SF33', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 3', 54334),
(110609, 'PTHR46242', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 9 ZCCHC9', 54335),
(110610, 'PTHR43080:SF21', NULL, NULL, NULL, NULL, 'OSJNBA0095E20.4 PROTEIN', 54336),
(110611, 'PTHR23130:SF195', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 54337),
(110612, 'PTHR12884:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', 54338),
(110613, 'PTHR36685', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 54339),
(110614, 'PTHR22422', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 5B-RELATED', 54340),
(110615, 'PTHR24031:SF719', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 54341),
(110616, 'PTHR47329:SF2', NULL, NULL, NULL, NULL, 'BNAA09G16010D PROTEIN', 54342),
(110617, 'PTHR19321:SF4', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 5', 54343),
(110618, 'PTHR31717:SF72', NULL, NULL, NULL, NULL, 'OS06G0661200 PROTEIN', 54344),
(110619, 'PTHR46408:SF19', NULL, NULL, NULL, NULL, 'BNAA09G26320D PROTEIN', 54345),
(110620, 'PTHR12655:SF3', NULL, NULL, NULL, NULL, 'BNAA04G17790D PROTEIN', 54346),
(110621, 'PTHR19336', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED DUF1167', 54347),
(110622, 'PTHR46244:SF4', NULL, NULL, NULL, NULL, 'MULTIPHOSPHORYL TRANSFER PROTEIN 1-RELATED', 54348),
(110623, 'PTHR11654:SF397', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.15', 54349),
(110624, 'PTHR21646:SF33', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 22', 54350),
(110625, 'PTHR42264:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54351),
(110626, 'PTHR47357:SF4', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', 54352),
(110627, 'PTHR37030', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', 54353),
(110628, 'PTHR47092:SF1', NULL, NULL, NULL, NULL, 'CAT EYE SYNDROME CRITICAL REGION PROTEIN 2', 54354),
(110629, 'PTHR48052:SF33', NULL, NULL, NULL, NULL, 'OS01G0623000 PROTEIN', 54355),
(110630, 'PTHR36736', NULL, NULL, NULL, NULL, 'OS03G0100030 PROTEIN', 54356),
(110631, 'PTHR43349:SF9', NULL, NULL, NULL, NULL, 'PHENYLCOUMARAN BENZYLIC ETHER REDUCTASE-LIKE PROTEIN', 54357),
(110632, 'PTHR19321:SF37', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 1', 54358),
(110633, 'PTHR31578:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG03167', 54359),
(110634, 'PTHR12107:SF0', NULL, NULL, NULL, NULL, 'GH12419P1', 54360),
(110635, 'PTHR31072:SF127', NULL, NULL, NULL, NULL, 'OS07G0152000 PROTEIN', 54361);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(110636, 'PTHR31806:SF16', NULL, NULL, NULL, NULL, 'PURINE-CYTOSINE TRANSPORTER (EUROFUNG)', 54362),
(110637, 'PTHR10986:SF20', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L20', 54363),
(110638, 'PTHR46572', NULL, NULL, NULL, NULL, 'RHO1 GDP-GTP EXCHANGE PROTEIN 1-RELATED', 54364),
(110639, 'PTHR22807:SF34', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE NSUN6-RELATED', 54365),
(110640, 'PTHR27005:SF283', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-RELATED', 54366),
(110641, 'PTHR23238:SF26', NULL, NULL, NULL, NULL, 'GH13594P-RELATED', 54367),
(110642, 'PTHR11689:SF60', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN C', 54368),
(110643, 'PTHR16088:SF9', NULL, NULL, NULL, NULL, 'YY1-ASSOCIATED PROTEIN 1', 54369),
(110644, 'PTHR31223:SF71', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 54370),
(110645, 'PTHR11711:SF349', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR, ARF', 54371),
(110646, 'PTHR35109:SF3', NULL, NULL, NULL, NULL, 'BNAA05G20540D PROTEIN', 54372),
(110647, 'PTHR16124:SF3', NULL, NULL, NULL, NULL, 'MIS18-BINDING PROTEIN 1', 54373),
(110648, 'PTHR33124:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PAR2', 54374),
(110649, 'PTHR46025', NULL, NULL, NULL, NULL, 'XYLOSYLTRANSFERASE OXT', 54375),
(110650, 'PTHR30068:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID/GLYCEROL ACYLTRANSFERASE', 54376),
(110651, 'PTHR18914:SF33', NULL, NULL, NULL, NULL, 'SERENDIPITY LOCUS PROTEIN ALPHA-LIKE PROTEIN', 54377),
(110652, 'PTHR13778:SF10', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE 1,3-GALACTOSYLTRANSFERASE', 54378),
(110653, 'PTHR22589:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54379),
(110654, 'PTHR31958', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 127', 54380),
(110655, 'PTHR45923:SF15', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', 54381),
(110656, 'PTHR14778:SF2', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN DSN1 HOMOLOG', 54382),
(110657, 'PTHR45444', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 54383),
(110658, 'PTHR10502:SF199', NULL, NULL, NULL, NULL, 'ANNEXIN', 54384),
(110659, 'PTHR37049', NULL, NULL, NULL, NULL, 'PEPTIDASE S41 FAMILY PROTEIN', 54385),
(110660, 'PTHR12309:SF29', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT GAMMA-1', 54386),
(110661, 'PTHR33469:SF24', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 3-LIKE', 54387),
(110662, 'PTHR46104:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54388),
(110663, 'PTHR21568', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 54389),
(110664, 'PTHR46523:SF1', NULL, NULL, NULL, NULL, 'DCTP PYROPHOSPHATASE 1', 54390),
(110665, 'PTHR10270:SF306', NULL, NULL, NULL, NULL, 'MAT2 PROTEINMATING TYPE HMG-BOX PROTEIN', 54391),
(110666, 'PTHR23257:SF816', NULL, NULL, NULL, NULL, 'ACT-DOMAIN CONTAINING PROTEIN KINASE FAMILY PROTEIN-RELATED', 54392),
(110667, 'PTHR30249', NULL, NULL, NULL, NULL, 'PUTATIVE SEROTONIN TRANSPORTER', 54393),
(110668, 'PTHR16134:SF81', NULL, NULL, NULL, NULL, 'AGAP003930-PA', 54394),
(110669, 'PTHR48017:SF146', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 54395),
(110670, 'PTHR11738:SF161', NULL, NULL, NULL, NULL, 'KILLER CELL IMMUNOGLOBULIN-LIKE RECEPTOR 2DL1-RELATED', 54396),
(110671, 'PTHR32212:SF349', NULL, NULL, NULL, NULL, 'BNAC06G04200D PROTEIN', 54397),
(110672, 'PTHR21654:SF61', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GTL2', 54398),
(110673, 'PTHR33219:SF1', NULL, NULL, NULL, NULL, 'YLMG HOMOLOG PROTEIN 2, CHLOROPLASTIC', 54399),
(110674, 'PTHR31081:SF20', NULL, NULL, NULL, NULL, 'BNAA06G39890D PROTEIN', 54400),
(110675, 'PTHR47925:SF42', NULL, NULL, NULL, NULL, 'BNAC06G00550D PROTEIN', 54401),
(110676, 'PTHR45005', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 54402),
(110677, 'PTHR43743', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE ATP-BINDING SUBUNIT', 54403),
(110678, 'PTHR23510:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG19165', 54404),
(110679, 'PTHR34949:SF7', NULL, NULL, NULL, NULL, 'BNAA07G01630D PROTEIN', 54405);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(110680, 'PTHR39517:SF1', NULL, NULL, NULL, NULL, 'SLL0192 PROTEIN', 54406),
(110681, 'PTHR45849', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SSRP1', 54407),
(110682, 'PTHR11558:SF45', NULL, NULL, NULL, NULL, 'PUTRESCINE N-METHYLTRANSFERASE 3', 54408),
(110683, 'PTHR47584:SF11', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN-LIKE', 54409),
(110684, 'PTHR42835:SF1', NULL, NULL, NULL, NULL, 'MALTO-OLIGOSYLTREHALOSE TREHALOHYDROLASE', 54410),
(110685, 'PTHR45716:SF2', NULL, NULL, NULL, NULL, 'BITESIZE, ISOFORM I', 54411),
(110686, 'PTHR31851:SF51', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER-LIKE PROTEIN 2.1', 54412),
(110687, 'PTHR46476:SF12', NULL, NULL, NULL, NULL, 'RUBISCO-ASSOCIATED PROTEIN', 54413),
(110688, 'PTHR10352:SF14', NULL, NULL, NULL, NULL, 'OS01G0766700 PROTEIN', 54414),
(110689, 'PTHR45707:SF36', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', 54415),
(110690, 'PTHR12802:SF105', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX SUBUNIT SMARCC2', 54416),
(110691, 'PTHR45663:SF33', NULL, NULL, NULL, NULL, 'THIOREDOXIN-1-LIKE', 54417),
(110692, 'PTHR11360:SF247', NULL, NULL, NULL, NULL, 'RE01051P', 54418),
(110693, 'PTHR48071:SF5', NULL, NULL, NULL, NULL, 'NEUROTRYPSIN', 54419),
(110694, 'PTHR39231:SF1', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP25', 54420),
(110695, 'PTHR46548:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54421),
(110696, 'PTHR43991:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54422),
(110697, 'PTHR31744:SF125', NULL, NULL, NULL, NULL, 'BNAA08G19970D PROTEIN', 54423),
(110698, 'PTHR47233:SF1', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN-RELATED', 54424),
(110699, 'PTHR34194:SF21', NULL, NULL, NULL, NULL, 'OS05G0423200 PROTEIN', 54425),
(110700, 'PTHR21131', NULL, NULL, NULL, NULL, 'SERINE-TYPE ENDOPEPTIDASE INHIBITOR', 54426),
(110701, 'PTHR22936:SF87', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 5', 54427),
(110702, 'PTHR28491', NULL, NULL, NULL, NULL, 'UPF0688 PROTEIN C1ORF174', 54428),
(110703, 'PTHR19282:SF447', NULL, NULL, NULL, NULL, 'TETRASPANIN', 54429),
(110704, 'PTHR45642:SF67', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', 54430),
(110705, 'PTHR23257:SF770', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0267686-RELATED', 54431),
(110706, 'PTHR10257:SF64', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 54432),
(110707, 'PTHR43748:SF8', NULL, NULL, NULL, NULL, 'BNAANNG10640D PROTEIN', 54433),
(110708, 'PTHR33827:SF7', NULL, NULL, NULL, NULL, 'PROTEIN SAWADEE HOMEODOMAIN HOMOLOG 2', 54434),
(110709, 'PTHR11831:SF31', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9', 54435),
(110710, 'PTHR33305:SF31', NULL, NULL, NULL, NULL, 'OS07G0223600 PROTEIN', 54436),
(110711, 'PTHR46476:SF4', NULL, NULL, NULL, NULL, '2, PUTATIVE, EXPRESSED-RELATED', 54437),
(110712, 'PTHR12537:SF149', NULL, NULL, NULL, NULL, 'PUMILIO-LIKE PROTEIN 1', 54438),
(110713, 'PTHR10811:SF103', NULL, NULL, NULL, NULL, 'FRINGE GLYCOSYLTRANSFERASE', 54439),
(110714, 'PTHR16655:SF0', NULL, NULL, NULL, NULL, 'COCAINE- AND AMPHETAMINE-REGULATED TRANSCRIPT PROTEIN', 54440),
(110715, 'PTHR15241:SF312', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SR45A-LIKE', 54441),
(110716, 'PTHR15876:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN ADIPOCYTE-ASSOCIATED 1', 54442),
(110717, 'PTHR11849:SF174', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPI-B', 54443),
(110718, 'PTHR46204:SF9', NULL, NULL, NULL, NULL, 'CHITIN ELICITOR RECEPTOR KINASE 1-LIKE', 54444),
(110719, 'PTHR31096:SF47', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR8-LIKE ISOFORM X1', 54445),
(110720, 'PTHR46248:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54446),
(110721, 'PTHR10969:SF15', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEINS 1A/1B LIGHT CHAIN 3 BETA 2-RELATED', 54447),
(110722, 'PTHR23084:SF244', NULL, NULL, NULL, NULL, 'IP09867P-RELATED', 54448),
(110723, 'PTHR37460:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE III', 54449);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(110724, 'PTHR12696', NULL, NULL, NULL, NULL, 'TIP120', 54450),
(110725, 'PTHR12374', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTOR 2  ADA2 -RELATED', 54451),
(110726, 'PTHR42946:SF4', NULL, NULL, NULL, NULL, 'HYPOXANTHINE-GUANINE PHOSPHORIBOSYLTRANSFERASE-RELATED', 54452),
(110727, 'PTHR31757', NULL, NULL, NULL, NULL, 'SLL0781 PROTEIN', 54453),
(110728, 'PTHR45640:SF23', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 22-RELATED', 54454),
(110729, 'PTHR10857:SF58', NULL, NULL, NULL, NULL, 'COPINE-C-RELATED', 54455),
(110730, 'PTHR46550:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE C85627-RELATED', 54456),
(110731, 'PTHR26452:SF56', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 54457),
(110732, 'PTHR47928:SF124', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 54458),
(110733, 'PTHR12549:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUMONJI (JMJC) DOMAIN PROTEIN', 54459),
(110734, 'PTHR31459:SF2', NULL, NULL, NULL, NULL, 'OS03G0843300 PROTEIN', 54460),
(110735, 'PTHR33078:SF51', NULL, NULL, NULL, NULL, 'BNAA06G19290D PROTEIN', 54461),
(110736, 'PTHR33511:SF28', NULL, NULL, NULL, NULL, 'BNAA09G04130D PROTEIN', 54462),
(110737, 'PTHR34663:SF14', NULL, NULL, NULL, NULL, 'BNAA03G53880D PROTEIN', 54463),
(110738, 'PTHR43562:SF2', NULL, NULL, NULL, NULL, 'ION/PROTON EXCHANGER, PUTATIVE (EUROFUNG)-RELATED', 54464),
(110739, 'PTHR37825:SF1', NULL, NULL, NULL, NULL, 'TRNA(MET) CYTIDINE ACETATE LIGASE', 54465),
(110740, 'PTHR46635:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE FAMILY 1 PROTEIN', 54466),
(110741, 'PTHR34043:SF9', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 54467),
(110742, 'PTHR47958:SF19', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 35', 54468),
(110743, 'PTHR32222', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN U', 54469),
(110744, 'PTHR10168:SF239', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S2', 54470),
(110745, 'PTHR24039:SF38', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MEC-9', 54471),
(110746, 'PTHR10281:SF82', NULL, NULL, NULL, NULL, 'VACUOLE MEMBRANE PROTEIN KMS1-LIKE', 54472),
(110747, 'PTHR45934:SF20', NULL, NULL, NULL, NULL, 'MONOOXYGENASE 2-RELATED', 54473),
(110748, 'PTHR10687:SF6', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 3', 54474),
(110749, 'PTHR31137:SF12', NULL, NULL, NULL, NULL, 'PROTEIN PSIJ', 54475),
(110750, 'PTHR13036:SF0', NULL, NULL, NULL, NULL, 'CHITOBIOSYLDIPHOSPHODOLICHOL BETA-MANNOSYLTRANSFERASE', 54476),
(110751, 'PTHR15184:SF9', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SPAL-RELATED', 54477),
(110752, 'PTHR24100:SF109', NULL, NULL, NULL, NULL, 'BUTYROPHILIN-LIKE PROTEIN 3', 54478),
(110753, 'PTHR11214:SF121', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 54479),
(110754, 'PTHR24032:SF72', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN COMC', 54480),
(110755, 'PTHR22943:SF18', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 54481),
(110756, 'PTHR40128:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 54482),
(110757, 'PTHR45988:SF55', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN AZF1', 54483),
(110758, 'PTHR24356:SF246', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE N1', 54484),
(110759, 'PTHR36882:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED SEQUENCE 37 PROTEIN', 54485),
(110760, 'PTHR11011:SF101', NULL, NULL, NULL, NULL, 'BNAC06G16040D PROTEIN', 54486),
(110761, 'PTHR48002:SF81', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4S1', 54487),
(110762, 'PTHR31032:SF10', NULL, NULL, NULL, NULL, 'PGR5-LIKE PROTEIN 1A', 54488),
(110763, 'PTHR10497:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', 54489),
(110764, 'PTHR33672:SF18', NULL, NULL, NULL, NULL, 'BNAA02G22780D PROTEIN', 54490),
(110765, 'PTHR45662:SF7', NULL, NULL, NULL, NULL, 'SACI DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G15890)', 54491),
(110766, 'PTHR42055', NULL, NULL, NULL, NULL, 'YALI0E03476P', 54492),
(110767, 'PTHR12322:SF60', NULL, NULL, NULL, NULL, 'DMRT-LIKE FAMILY C1C1', 54493),
(110768, 'PTHR45950:SF18', NULL, NULL, NULL, NULL, 'BNAA04G20300D PROTEIN', 54494),
(110769, 'PTHR10656:SF37', NULL, NULL, NULL, NULL, 'PROTEIN MAB-21-LIKE 2', 54495);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(110770, 'PTHR23510:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 54496),
(110771, 'PTHR45730:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54497),
(110772, 'PTHR24092:SF78', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IK', 54498),
(110773, 'PTHR30055:SF172', NULL, NULL, NULL, NULL, 'SLL1392 PROTEIN', 54499),
(110774, 'PTHR31945:SF105', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING SUPERFAMILY PROTEIN-RELATED', 54500),
(110775, 'PTHR22765:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54501),
(110776, 'PTHR43995:SF4', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 19-LIKE PROTEIN 1', 54502),
(110777, 'PTHR33033:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54503),
(110778, 'PTHR13114:SF7', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 17', 54504),
(110779, 'PTHR11430:SF63', NULL, NULL, NULL, NULL, 'LIPOCALIN 15-RELATED', 54505),
(110780, 'PTHR48047:SF119', NULL, NULL, NULL, NULL, 'CYTOKININ-O-GLUCOSYLTRANSFERASE 3', 54506),
(110781, 'PTHR11225:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP93', 54507),
(110782, 'PTHR45868:SF50', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 37-LIKE', 54508),
(110783, 'PTHR24068:SF224', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 28', 54509),
(110784, 'PTHR23075:SF10', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN', 54510),
(110785, 'PTHR15711:SF15', NULL, NULL, NULL, NULL, 'SIGNAL-INDUCED PROLIFERATION-ASSOCIATED 1-LIKE PROTEIN 3', 54511),
(110786, 'PTHR13856:SF136', NULL, NULL, NULL, NULL, 'TARGET OF MYB1-LIKE 2 MEMBRANE-TRAFFICKING PROTEIN', 54512),
(110787, 'PTHR47985:SF51', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE LIP2', 54513),
(110788, 'PTHR24006:SF660', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 35', 54514),
(110789, 'PTHR13110:SF12', NULL, NULL, NULL, NULL, 'SM-LIKE PROTEIN LSM3B', 54515),
(110790, 'PTHR12565:SF364', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 54516),
(110791, 'PTHR48002:SF20', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 54517),
(110792, 'PTHR38663', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 54518),
(110793, 'PTHR19944:SF96', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DR BETA 4 CHAIN', 54519),
(110794, 'PTHR19343:SF0', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 23/DELTA VARIABLE 6', 54520),
(110795, 'PTHR33085:SF62', NULL, NULL, NULL, NULL, 'OS02G0604200 PROTEIN', 54521),
(110796, 'PTHR13140:SF811', NULL, NULL, NULL, NULL, 'MYOSIN XVI', 54522),
(110797, 'PTHR31232:SF106', NULL, NULL, NULL, NULL, 'BNAA03G00970D PROTEIN', 54523),
(110798, 'PTHR32161:SF8', NULL, NULL, NULL, NULL, 'DPP6 N-TERMINAL DOMAIN-LIKE PROTEIN', 54524),
(110799, 'PTHR21660:SF33', NULL, NULL, NULL, NULL, 'BLR4075 PROTEIN', 54525),
(110800, 'PTHR12411:SF533', NULL, NULL, NULL, NULL, 'CYSTEINE ENDOPEPTIDASE', 54526),
(110801, 'PTHR25480:SF199', NULL, NULL, NULL, NULL, 'C-MAF-INDUCING PROTEIN', 54527),
(110802, 'PTHR10153', NULL, NULL, NULL, NULL, 'SMALL CONDUCTANCE CALCIUM-ACTIVATED POTASSIUM CHANNEL', 54528),
(110803, 'PTHR10992:SF1053', NULL, NULL, NULL, NULL, 'PIR7B, PUTATIVE-RELATED', 54529),
(110804, 'PTHR12582:SF5', NULL, NULL, NULL, NULL, 'NETRIN RECEPTOR UNC5D', 54530),
(110805, 'PTHR46443:SF9', NULL, NULL, NULL, NULL, 'PROTEIN MARD1', 54531),
(110806, 'PTHR24054:SF40', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA-2', 54532),
(110807, 'PTHR22953:SF129', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 54533),
(110808, 'PTHR12147:SF49', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE YDR415C-RELATED', 54534),
(110809, 'PTHR48005:SF33', NULL, NULL, NULL, NULL, 'OS02G0153200 PROTEIN', 54535),
(110810, 'PTHR34215', NULL, NULL, NULL, NULL, 'BLL0784 PROTEIN', 54536),
(110811, 'PTHR45714:SF37', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', 54537),
(110812, 'PTHR45621:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 54538);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(110813, 'PTHR19842', NULL, NULL, NULL, NULL, 'G BETA-LIKE PROTEIN GBL', 54539),
(110814, 'PTHR22893:SF101', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOIC ACID REDUCTASE 1-A2A', 54540),
(110815, 'PTHR18896:SF128', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE', 54541),
(110816, 'PTHR47435:SF6', NULL, NULL, NULL, NULL, 'BNAC06G05180D PROTEIN', 54542),
(110817, 'PTHR11165:SF155', NULL, NULL, NULL, NULL, 'BNAC07G14750D PROTEIN', 54543),
(110818, 'PTHR45642:SF7', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 54544),
(110819, 'PTHR12673:SF159', NULL, NULL, NULL, NULL, 'PROTEIN TAG-52-RELATED', 54545),
(110820, 'PTHR31744:SF139', NULL, NULL, NULL, NULL, 'BNAA03G07000D PROTEIN', 54546),
(110821, 'PTHR31734:SF130', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA18', 54547),
(110822, 'PTHR46099:SF2', NULL, NULL, NULL, NULL, 'ENDOTHELIN-1 RECEPTOR', 54548),
(110823, 'PTHR23105:SF169', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 2-LIKE PROTEIN', 54549),
(110824, 'PTHR20843:SF3', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING 10A', 54550),
(110825, 'PTHR47532:SF2', NULL, NULL, NULL, NULL, 'GOLD DOMAIN-CONTAINING PROTEIN-RELATED', 54551),
(110826, 'PTHR46132:SF5', NULL, NULL, NULL, NULL, 'OS02G0539100 PROTEIN', 54552),
(110827, 'PTHR32026:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG13744', 54553),
(110828, 'PTHR23515:SF24', NULL, NULL, NULL, NULL, 'BNAC08G43380D PROTEIN', 54554),
(110829, 'PTHR22950:SF612', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 5-LIKE', 54555),
(110830, 'PTHR13820:SF5', NULL, NULL, NULL, NULL, 'ALPHA-SYNUCLEIN', 54556),
(110831, 'PTHR13018:SF117', NULL, NULL, NULL, NULL, 'CSC1-LIKE PROTEIN RXW8', 54557),
(110832, 'PTHR22597:SF4', NULL, NULL, NULL, NULL, 'SWI/SNF GLOBAL TRANSCRIPTION ACTIVATOR COMPLEX SUBUNIT SWP82', 54558),
(110833, 'PTHR10353:SF44', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1 PROTEIN', 54559),
(110834, 'PTHR14958:SF12', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD5', 54560),
(110835, 'PTHR47926:SF26', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 54561),
(110836, 'PTHR30269:SF34', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN TAUE LIKE', 54562),
(110837, 'PTHR43903:SF19', NULL, NULL, NULL, NULL, 'FI18641P1', 54563),
(110838, 'PTHR32467:SF149', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WRI1', 54564),
(110839, 'PTHR27007:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54565),
(110840, 'PTHR31391:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54566),
(110841, 'PTHR30032:SF4', NULL, NULL, NULL, NULL, 'STAGE II SPORULATION PROTEIN D', 54567),
(110842, 'PTHR31388:SF129', NULL, NULL, NULL, NULL, 'PEROXIDASE 54', 54568),
(110843, 'PTHR21533:SF18', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4921530L21 GENE', 54569),
(110844, 'PTHR21141:SF85', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2-BETA', 54570),
(110845, 'PTHR16983:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54571),
(110846, 'PTHR31371:SF15', NULL, NULL, NULL, NULL, 'PLANT/T32M21-140 PROTEIN', 54572),
(110847, 'PTHR45666:SF18', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 9', 54573),
(110848, 'PTHR34542:SF2', NULL, NULL, NULL, NULL, 'OS01G0136300 PROTEIN', 54574),
(110849, 'PTHR35318:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54575),
(110850, 'PTHR24206:SF69', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN PLIM2C', 54576),
(110851, 'PTHR33664:SF1', NULL, NULL, NULL, NULL, 'RCG26366', 54577),
(110852, 'PTHR13780:SF106', NULL, NULL, NULL, NULL, 'CBS/OCTICOSAPEPTIDE/PHOX/BEMP1 (PB1) DOMAIN PROTEIN', 54578),
(110853, 'PTHR31568:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54579),
(110854, 'PTHR47990:SF177', NULL, NULL, NULL, NULL, 'BNACNNG35770D PROTEIN', 54580),
(110855, 'PTHR33091:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54581),
(110856, 'PTHR31589:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54582),
(110857, 'PTHR31189:SF37', NULL, NULL, NULL, NULL, 'GLYCININ G3', 54583),
(110858, 'PTHR12603:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54584);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(110859, 'PTHR46201:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54585),
(110860, 'PTHR16188:SF15', NULL, NULL, NULL, NULL, '4933415F23RIK PROTEIN', 54586),
(110861, 'PTHR31488:SF6', NULL, NULL, NULL, NULL, 'C-MANNOSYLTRANSFERASE DPY19L2-RELATED', 54587),
(110862, 'PTHR47992:SF25', NULL, NULL, NULL, NULL, 'ALPHABET, ISOFORM E', 54588),
(110863, 'PTHR46038:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54589),
(110864, 'PTHR13547:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54590),
(110865, 'PTHR24103:SF639', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM39', 54591),
(110866, 'PTHR24073:SF1139', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-32B', 54592),
(110867, 'PTHR24240:SF85', NULL, NULL, NULL, NULL, 'OPSIN RH1-RELATED', 54593),
(110868, 'PTHR31917:SF45', NULL, NULL, NULL, NULL, 'DUF724 DOMAIN-CONTAINING PROTEIN 7', 54594),
(110869, 'PTHR31215:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54595),
(110870, 'PTHR21468', NULL, NULL, NULL, NULL, 'HSD9', 54596),
(110871, 'PTHR12953', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN CH1 RELATED', 54597),
(110872, 'PTHR12483:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54598),
(110873, 'PTHR46327:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TRIHELIX FAMILY-RELATED', 54599),
(110874, 'PTHR33648:SF28', NULL, NULL, NULL, NULL, 'BNAA04G05250D PROTEIN', 54600),
(110875, 'PTHR47928:SF78', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 54601),
(110876, 'PTHR13014', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S30/P52 PRO-APOTOTIC PROTEIN', 54602),
(110877, 'PTHR32096:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54603),
(110878, 'PTHR33207:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54604),
(110879, 'PTHR43139:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54605),
(110880, 'PTHR36122:SF2', NULL, NULL, NULL, NULL, 'NICOTINAMIDE RIBOSIDE TRANSPORTER PNUC', 54606),
(110881, 'PTHR16116:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 839', 54607),
(110882, 'PTHR35115:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54608),
(110883, 'PTHR13526:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPT20 HOMOLOG', 54609),
(110884, 'PTHR11742:SF28', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE 1,2-ALPHA-MANNOSIDASE IC', 54610),
(110885, 'PTHR43490:SF85', NULL, NULL, NULL, NULL, 'BNAC05G00270D PROTEIN', 54611),
(110886, 'PTHR26453:SF71', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 54612),
(110887, 'PTHR13233', NULL, NULL, NULL, NULL, 'MICROSPHERULE PROTEIN 1', 54613),
(110888, 'PTHR10662:SF41', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR 2', 54614),
(110889, 'PTHR35699:SF1', NULL, NULL, NULL, NULL, 'F2J10.10 PROTEIN', 54615),
(110890, 'PTHR26453:SF57', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T6', 54616),
(110891, 'PTHR24221:SF211', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY B (MDR/TAP), MEMBER 11A', 54617),
(110892, 'PTHR11955:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54618),
(110893, 'PTHR11021', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN F  SNRNP-F', 54619),
(110894, 'PTHR46726:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54620),
(110895, 'PTHR10024:SF176', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-3', 54621),
(110896, 'PTHR11165:SF151', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 5', 54622),
(110897, 'PTHR10438:SF402', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 54623),
(110898, 'PTHR43520:SF9', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE 2', 54624),
(110899, 'PTHR48043:SF89', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 54625),
(110900, 'PTHR47928:SF76', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN', 54626),
(110901, 'PTHR31614:SF19', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC PROTEIN C13-LIKE', 54627),
(110902, 'PTHR31025:SF16', NULL, NULL, NULL, NULL, 'SI:CH1073-164K15.3-RELATED', 54628),
(110903, 'PTHR35101:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54629),
(110904, 'PTHR46008:SF21', NULL, NULL, NULL, NULL, 'BNAC06G27850D PROTEIN', 54630);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(110905, 'PTHR18837', NULL, NULL, NULL, NULL, 'STROMAL CELL-DERIVED FACTOR 1', 54631),
(110906, 'PTHR31662:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54632),
(110907, 'PTHR22298:SF157', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 54633),
(110908, 'PTHR24025:SF22', NULL, NULL, NULL, NULL, 'DACHSOUS CADHERIN-RELATED 1', 54634),
(110909, 'PTHR11475:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54635),
(110910, 'PTHR10513:SF35', NULL, NULL, NULL, NULL, 'DEOXYADENOSINE KINASE', 54636),
(110911, 'PTHR15241:SF294', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN RZ1B-LIKE', 54637),
(110912, 'PTHR31752:SF42', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 7', 54638),
(110913, 'PTHR31089:SF51', NULL, NULL, NULL, NULL, 'BNACNNG61810D PROTEIN', 54639),
(110914, 'PTHR15692:SF20', NULL, NULL, NULL, NULL, 'MAML1 DOMAIN-CONTAINING PROTEIN', 54640),
(110915, 'PTHR23159:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54641),
(110916, 'PTHR24281:SF127', NULL, NULL, NULL, NULL, '5-EPIARISTOLOCHENE 1,3-DIHYDROXYLASE', 54642),
(110917, 'PTHR31276:SF10', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', 54643),
(110918, 'PTHR47972:SF19', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 54644),
(110919, 'PTHR45866:SF10', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2', 54645),
(110920, 'PTHR11260:SF566', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54646),
(110921, 'PTHR32093:SF117', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 7', 54647),
(110922, 'PTHR33110:SF79', NULL, NULL, NULL, NULL, 'OS12G0155900 PROTEIN', 54648),
(110923, 'PTHR43683:SF1', NULL, NULL, NULL, NULL, 'MULTIDRUG EFFLUX PROTEIN YFMO', 54649),
(110924, 'PTHR13832:SF641', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 47-RELATED', 54650),
(110925, 'PTHR32099:SF67', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 25', 54651),
(110926, 'PTHR11802:SF320', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 54652),
(110927, 'PTHR31989:SF238', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 62', 54653),
(110928, 'PTHR35826:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ATP6V1FNB', 54654),
(110929, 'PTHR19969:SF19', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCER OF SEVENLESS 2B-LIKE PROTEIN', 54655),
(110930, 'PTHR45802:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54656),
(110931, 'PTHR10480:SF14', NULL, NULL, NULL, NULL, 'UNC-13 HOMOLOG BA (C. ELEGANS)', 54657),
(110932, 'PTHR43600:SF2', NULL, NULL, NULL, NULL, 'HYDROGENASE LARGE SUBUNIT', 54658),
(110933, 'PTHR21515:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG04098', 54659),
(110934, 'PTHR43072:SF43', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-LIKE PROTEIN', 54660),
(110935, 'PTHR30189:SF1', NULL, NULL, NULL, NULL, 'LPS-ASSEMBLY PROTEIN LPTD', 54661),
(110936, 'PTHR10728:SF33', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE 1-RELATED', 54662),
(110937, 'PTHR32295:SF227', NULL, NULL, NULL, NULL, 'BNAC01G42170D PROTEIN', 54663),
(110938, 'PTHR10489:SF635', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 7', 54664),
(110939, 'PTHR18966:SF487', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3.4', 54665),
(110940, 'PTHR11260:SF696', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U7-LIKE', 54666),
(110941, 'PTHR44489:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54667),
(110942, 'PTHR12902:SF10', NULL, NULL, NULL, NULL, 'OS03G0298700 PROTEIN', 54668),
(110943, 'PTHR31549:SF190', NULL, NULL, NULL, NULL, 'UPF0481 PROTEIN-RELATED', 54669),
(110944, 'PTHR19422:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54670),
(110945, 'PTHR34397:SF12', NULL, NULL, NULL, NULL, 'OS07G0424000 PROTEIN', 54671),
(110946, 'PTHR43028:SF5', NULL, NULL, NULL, NULL, '3''(2''),5''-BISPHOSPHATE NUCLEOTIDASE 1', 54672),
(110947, 'PTHR47392:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 82-RELATED', 54673),
(110948, 'PTHR31636:SF21', NULL, NULL, NULL, NULL, 'OS12G0138200 PROTEIN', 54674),
(110949, 'PTHR43158:SF8', NULL, NULL, NULL, NULL, 'LANTIBIOTIC ABC TRANSPORTER,ATP-BINDING PROTEIN-RELATED', 54675),
(110950, 'PTHR24320:SF162', NULL, NULL, NULL, NULL, 'OS03G0115700 PROTEIN', 54676);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(110951, 'PTHR10366:SF681', NULL, NULL, NULL, NULL, 'BNAA05G13490D PROTEIN', 54677),
(110952, 'PTHR47215:SF1', NULL, NULL, NULL, NULL, 'F9L1.8 PROTEIN', 54678),
(110953, 'PTHR12866:SF5', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED 10, ISOFORM B', 54679),
(110954, 'PTHR43372:SF4', NULL, NULL, NULL, NULL, 'FATTY-ACID AMIDE HYDROLASE 2', 54680),
(110955, 'PTHR11767:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54681),
(110956, 'PTHR35542:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 168', 54682),
(110957, 'PTHR43243:SF77', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER-LIKE PROTEIN', 54683),
(110958, 'PTHR43625:SF70', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE YAKC [NADP(+)]', 54684),
(110959, 'PTHR46158:SF14', NULL, NULL, NULL, NULL, 'BNAC05G43260D PROTEIN', 54685),
(110960, 'PTHR10231:SF90', NULL, NULL, NULL, NULL, 'UDP-SUGAR TRANSPORTER PROTEIN SLC35A5-RELATED', 54686),
(110961, 'PTHR46537:SF8', NULL, NULL, NULL, NULL, 'BNAC05G02040D PROTEIN', 54687),
(110962, 'PTHR33565:SF15', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN-LIKE 1-RELATED', 54688),
(110963, 'PTHR23073:SF100', NULL, NULL, NULL, NULL, '26S PROTEASE REGULATORY SUBUNIT 6A HOMOLOG A', 54689),
(110964, 'PTHR46300', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED-RELATED', 54690),
(110965, 'PTHR10351:SF64', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', 54691),
(110966, 'PTHR48047:SF104', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', 54692),
(110967, 'PTHR38015', NULL, NULL, NULL, NULL, 'BLR6086 PROTEIN', 54693),
(110968, 'PTHR34041:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REPAIR PROTEIN PSB27-H1, CHLOROPLASTIC', 54694),
(110969, 'PTHR31044:SF43', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 13-LIKE ISOFORM X1', 54695),
(110970, 'PTHR10015:SF329', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-1', 54696),
(110971, 'PTHR45650:SF9', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 54697),
(110972, 'PTHR39156', NULL, NULL, NULL, NULL, 'RIBONUCLEASE M5', 54698),
(110973, 'PTHR13071', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S22', 54699),
(110974, 'PTHR30096:SF0', NULL, NULL, NULL, NULL, '4,5-DOPA DIOXYGENASE EXTRADIOL-LIKE PROTEIN', 54700),
(110975, 'PTHR11136:SF5', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE, MITOCHONDRIAL', 54701),
(110976, 'PTHR24055:SF386', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 54702),
(110977, 'PTHR32468:SF0', NULL, NULL, NULL, NULL, 'K(+)/H(+) ANTIPORTER 1', 54703),
(110978, 'PTHR22870:SF397', NULL, NULL, NULL, NULL, 'INACTIVE PHOSPHOLIPASE C-LIKE PROTEIN 2', 54704),
(110979, 'PTHR23120:SF14', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT-CONTAINING PROTEIN FAMILY MEMBER 2A', 54705),
(110980, 'PTHR31669:SF217', NULL, NULL, NULL, NULL, 'OS03G0614250 PROTEIN', 54706),
(110981, 'PTHR31325:SF175', NULL, NULL, NULL, NULL, 'OSJNBB0049I21.4 PROTEIN', 54707),
(110982, 'PTHR31790:SF218', NULL, NULL, NULL, NULL, 'S-LOCUS F-BOX PROTEIN TYPE-1', 54708),
(110983, 'PTHR21469:SF4', NULL, NULL, NULL, NULL, 'EXOPHILIN-5', 54709),
(110984, 'PTHR18949:SF1', NULL, NULL, NULL, NULL, 'LYMPHOCYTE-SPECIFIC PROTEIN 1', 54710),
(110985, 'PTHR45648:SF9', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN APG, PUTATIVE-RELATED', 54711),
(110986, 'PTHR24135:SF29', NULL, NULL, NULL, NULL, 'SH3 AND MULTIPLE ANKYRIN REPEAT DOMAINS 3B', 54712),
(110987, 'PTHR46128:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54713),
(110988, 'PTHR31038:SF19', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA, CHLOROPLASTIC', 54714),
(110989, 'PTHR46488:SF1', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT ZETA-1', 54715),
(110990, 'PTHR48043:SF101', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 54716),
(110991, 'PTHR36466', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 15', 54717),
(110992, 'PTHR43620:SF22', NULL, NULL, NULL, NULL, 'BNAC09G33580D PROTEIN', 54718),
(110993, 'PTHR11909:SF20', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM ALPHA', 54719);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(110994, 'PTHR14313', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G5B', 54720),
(110995, 'PTHR10209:SF705', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 8', 54721),
(110996, 'PTHR10807:SF121', NULL, NULL, NULL, NULL, 'BNAC02G02660D PROTEIN', 54722),
(110997, 'PTHR43655:SF2', NULL, NULL, NULL, NULL, 'SD01613P', 54723),
(110998, 'PTHR31080:SF173', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', 54724),
(110999, 'PTHR31928:SF6', NULL, NULL, NULL, NULL, 'OS01G0108800 PROTEIN', 54725),
(111000, 'PTHR14107:SF23', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 20-LIKE', 54726),
(111001, 'PTHR45674:SF11', NULL, NULL, NULL, NULL, 'BLR5182 PROTEIN', 54727),
(111002, 'PTHR46502:SF9', NULL, NULL, NULL, NULL, 'ELICITOR-RESPONSIVE PROTEIN 3', 54728),
(111003, 'PTHR31045:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54729),
(111004, 'PTHR13822', NULL, NULL, NULL, NULL, 'ATP SYNTHASE DELTA/EPSILON CHAIN', 54730),
(111005, 'PTHR21664', NULL, NULL, NULL, NULL, 'CHRONIC MYELOGENOUS LEUKEMIA TUMOR ANTIGEN 66', 54731),
(111006, 'PTHR46038:SF34', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 54732),
(111007, 'PTHR37488', NULL, NULL, NULL, NULL, 'DUF1275 DOMAIN-CONTAINING PROTEIN', 54733),
(111008, 'PTHR45714:SF56', NULL, NULL, NULL, NULL, 'BNAA06G34950D PROTEIN', 54734),
(111009, 'PTHR18934:SF209', NULL, NULL, NULL, NULL, 'HELICASE, C-TERMINAL', 54735),
(111010, 'PTHR36113', NULL, NULL, NULL, NULL, 'LYASE, PUTATIVE-RELATED-RELATED', 54736),
(111011, 'PTHR31311:SF32', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 54737),
(111012, 'PTHR45655:SF2', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE SOLUBLE SUBUNIT BETA-1', 54738),
(111013, 'PTHR11886:SF56', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 54739),
(111014, 'PTHR26452:SF105', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 54740),
(111015, 'PTHR26452:SF36', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 492-RELATED', 54741),
(111016, 'PTHR42254:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54742),
(111017, 'PTHR43625', NULL, NULL, NULL, NULL, 'AFLATOXIN B1 ALDEHYDE REDUCTASE', 54743),
(111018, 'PTHR15623:SF8', NULL, NULL, NULL, NULL, 'SPATS2-LIKE PROTEIN', 54744),
(111019, 'PTHR16631:SF24', NULL, NULL, NULL, NULL, 'FAMILY 17 GLUCOSIDASE SCW11-RELATED', 54745),
(111020, 'PTHR11229:SF16', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L3-1, CHLOROPLASTIC', 54746),
(111021, 'PTHR45824:SF20', NULL, NULL, NULL, NULL, 'CELLULAR RETINALDEHYDE BINDING/ALPHA-TOCOPHEROL TRANSPORT-RELATED', 54747),
(111022, 'PTHR42832:SF3', NULL, NULL, NULL, NULL, 'LL-DIAMINOPIMELATE AMINOTRANSFERASE', 54748),
(111023, 'PTHR23236:SF54', NULL, NULL, NULL, NULL, 'BNAC03G60210D PROTEIN', 54749),
(111024, 'PTHR10742', NULL, NULL, NULL, NULL, 'FLAVIN MONOAMINE OXIDASE', 54750),
(111025, 'PTHR24384:SF211', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 92', 54751),
(111026, 'PTHR10201:SF21', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-17', 54752),
(111027, 'PTHR47989:SF4', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 40', 54753),
(111028, 'PTHR30314:SF22', NULL, NULL, NULL, NULL, 'CELL DIVISION FTSZ-LIKE PROTEIN', 54754),
(111029, 'PTHR12506:SF66', NULL, NULL, NULL, NULL, 'BNAANNG03230D PROTEIN', 54755),
(111030, 'PTHR10739:SF30', NULL, NULL, NULL, NULL, 'CHOLINEPHOSPHATE CYTIDYLYLTRANSFERASE', 54756),
(111031, 'PTHR26450:SF146', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 54757),
(111032, 'PTHR31377:SF5', NULL, NULL, NULL, NULL, 'BNAC05G11260D PROTEIN', 54758),
(111033, 'PTHR35121:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54759),
(111034, 'PTHR10159:SF414', NULL, NULL, NULL, NULL, 'RHODANESE DOMAIN-CONTAINING DUAL SPECIFICITY PROTEIN PHOSPHATASE-RELATED', 54760),
(111035, 'PTHR43096:SF50', NULL, NULL, NULL, NULL, 'DNAJ-CLASS MOLECULAR CHAPERONE', 54761),
(111036, 'PTHR12044', NULL, NULL, NULL, NULL, 'BCL2 INTERACTING MEDIATOR OF CELL DEATH', 54762),
(111037, 'PTHR10811:SF79', NULL, NULL, NULL, NULL, 'BNAA10G29940D PROTEIN', 54763),
(111038, 'PTHR11208:SF117', NULL, NULL, NULL, NULL, 'PROTEIN CBG06045', 54764);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(111039, 'PTHR46471:SF2', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE', 54765),
(111040, 'PTHR13318:SF185', NULL, NULL, NULL, NULL, 'C-MAF INDUCING PROTEIN', 54766),
(111041, 'PTHR21136:SF72', NULL, NULL, NULL, NULL, 'OS07G0249200 PROTEIN', 54767),
(111042, 'PTHR45878:SF30', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP2', 54768),
(111043, 'PTHR23322:SF78', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 12-RELATED', 54769),
(111044, 'PTHR19241:SF551', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54770),
(111045, 'PTHR44372:SF7', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-GAMMA-RELATED', 54771),
(111046, 'PTHR36788', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 183', 54772),
(111047, 'PTHR24253:SF103', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 7', 54773),
(111048, 'PTHR11875', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED PROTEIN', 54774),
(111049, 'PTHR21041:SF3', NULL, NULL, NULL, NULL, 'OSTEOCLAST STIMULATORY TRANSMEMBRANE PROTEIN', 54775),
(111050, 'PTHR36194:SF1', NULL, NULL, NULL, NULL, 'S-LAYER-LIKE PROTEIN', 54776),
(111051, 'PTHR11635:SF153', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE TYPE II-ALPHA REGULATORY SUBUNIT', 54777),
(111052, 'PTHR11051:SF9', NULL, NULL, NULL, NULL, 'KOJIBIOSE PHOSPHORYLASE', 54778),
(111053, 'PTHR31707:SF246', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 61-RELATED', 54779),
(111054, 'PTHR11002:SF13', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 54780),
(111055, 'PTHR45676:SF95', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL53-RELATED', 54781),
(111056, 'PTHR41161', NULL, NULL, NULL, NULL, 'PROTEIN NCBP2AS2', 54782),
(111057, 'PTHR42681:SF4', NULL, NULL, NULL, NULL, 'MONOOXYGENASE RV1533-RELATED', 54783),
(111058, 'PTHR31218:SF159', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 54784),
(111059, 'PTHR28553:SF1', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE B', 54785),
(111060, 'PTHR10177:SF385', NULL, NULL, NULL, NULL, 'CYCLIN-A1-4', 54786),
(111061, 'PTHR24093:SF450', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 54787),
(111062, 'PTHR11977:SF33', NULL, NULL, NULL, NULL, 'ADVILLIN', 54788),
(111063, 'PTHR43710:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54789),
(111064, 'PTHR23113:SF172', NULL, NULL, NULL, NULL, 'RAS-GEF DOMAIN-CONTAINING FAMILY MEMBER 1A', 54790),
(111065, 'PTHR28629:SF14', NULL, NULL, NULL, NULL, 'DIHYDROXYACETONE KINASE, L SUBUNIT', 54791),
(111066, 'PTHR11472:SF1', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION AND DNA REPAIR FACTOR IIH HELICASE SUBUNIT XPD', 54792),
(111067, 'PTHR33110:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54793),
(111068, 'PTHR37888:SF4', NULL, NULL, NULL, NULL, 'OS07G0565300 PROTEIN', 54794),
(111069, 'PTHR11785:SF203', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', 54795),
(111070, 'PTHR16757:SF1', NULL, NULL, NULL, NULL, 'DENDRIN', 54796),
(111071, 'PTHR44083:SF22', NULL, NULL, NULL, NULL, 'PROTEIN TPR3-LIKE', 54797),
(111072, 'PTHR45844:SF9', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN-LIKE', 54798),
(111073, 'PTHR31126:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54799),
(111074, 'PTHR44067:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54800),
(111075, 'PTHR45621:SF17', NULL, NULL, NULL, NULL, 'OS03G0407900 PROTEIN', 54801),
(111076, 'PTHR45969:SF45', NULL, NULL, NULL, NULL, 'BNAA02G36840D PROTEIN', 54802),
(111077, 'PTHR23021:SF18', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 54803),
(111078, 'PTHR19957:SF322', NULL, NULL, NULL, NULL, 'SYNTAXIN-8', 54804),
(111079, 'PTHR31549:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54805),
(111080, 'PTHR42886:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54806),
(111081, 'PTHR18952:SF233', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 3-LIKE PROTEIN', 54807),
(111082, 'PTHR34058:SF2', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 1-2, CHLOROPLASTIC', 54808),
(111083, 'PTHR11593', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17', 54809),
(111084, 'PTHR47116:SF9', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 5', 54810);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(111085, 'PTHR22794:SF2', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 11', 54811),
(111086, 'PTHR35137', NULL, NULL, NULL, NULL, 'CHROMOPHORE LYASE CRL, CHLOROPLASTIC', 54812),
(111087, 'PTHR24340:SF27', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-2.8', 54813),
(111088, 'PTHR33184:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54814),
(111089, 'PTHR11709:SF350', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSP', 54815),
(111090, 'PTHR24247:SF34', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 1F', 54816),
(111091, 'PTHR24286:SF53', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE-LIKE', 54817),
(111092, 'PTHR48031:SF1', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 7', 54818),
(111093, 'PTHR31269:SF48', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH1', 54819),
(111094, 'PTHR23359:SF201', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 54820),
(111095, 'PTHR46147:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASH1L', 54821),
(111096, 'PTHR24343:SF372', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK4', 54822),
(111097, 'PTHR21229:SF66', NULL, NULL, NULL, NULL, 'PROTEIN GPR107-LIKE', 54823),
(111098, 'PTHR12722:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM50B', 54824),
(111099, 'PTHR31066:SF65', NULL, NULL, NULL, NULL, 'BNAA02G11790D PROTEIN', 54825),
(111100, 'PTHR31352:SF3', NULL, NULL, NULL, NULL, 'INACTIVE BETA-AMYLASE 9', 54826),
(111101, 'PTHR21191:SF7', NULL, NULL, NULL, NULL, 'AQUAPORIN-11', 54827),
(111102, 'PTHR32410:SF194', NULL, NULL, NULL, NULL, 'BNAA05G26170D PROTEIN', 54828),
(111103, 'PTHR14398', NULL, NULL, NULL, NULL, 'RNA RECOGNITION RRM/RNP DOMAIN', 54829),
(111104, 'PTHR24258:SF136', NULL, NULL, NULL, NULL, 'SERINE PROTEASE H81', 54830),
(111105, 'PTHR31989:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54831),
(111106, 'PTHR47926:SF191', NULL, NULL, NULL, NULL, 'OS10G0477200 PROTEIN', 54832),
(111107, 'PTHR14950:SF46', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE DICER HOMOLOG 3', 54833),
(111108, 'PTHR47420:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 54834),
(111109, 'PTHR19229:SF49', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 7', 54835),
(111110, 'PTHR31197:SF14', NULL, NULL, NULL, NULL, 'OS06G0693700 PROTEIN', 54836),
(111111, 'PTHR14689:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 82', 54837),
(111112, 'PTHR47993:SF14', NULL, NULL, NULL, NULL, 'BNAA09G27180D PROTEIN', 54838),
(111113, 'PTHR44218', NULL, NULL, NULL, NULL, 'PROTEIN SPA1-RELATED 2', 54839),
(111114, 'PTHR36370:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54840),
(111115, 'PTHR21015:SF27', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--N-ACETYLMURAMYL-(PENTAPEPTIDE) PYROPHOSPHORYL-UNDECAPRENOL N-ACETYLGLUCOSAMINE TRANSFERASE', 54841),
(111116, 'PTHR11893:SF31', NULL, NULL, NULL, NULL, 'INNEXIN-11', 54842),
(111117, 'PTHR31194:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54843),
(111118, 'PTHR46195:SF27', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', 54844),
(111119, 'PTHR23105:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54845),
(111120, 'PTHR42201:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54846),
(111121, 'PTHR47958:SF37', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 39-LIKE', 54847),
(111122, 'PTHR23193:SF40', NULL, NULL, NULL, NULL, 'LD43047P-RELATED', 54848),
(111123, 'PTHR13190:SF20', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 2 HOMOLOG B', 54849),
(111124, 'PTHR23417:SF22', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N-7) METHYLTRANSFERASE', 54850),
(111125, 'PTHR20961:SF108', NULL, NULL, NULL, NULL, 'EGF DOMAIN-SPECIFIC O-LINKED N-ACETYLGLUCOSAMINE TRANSFERASE-LIKE', 54851),
(111126, 'PTHR38593', NULL, NULL, NULL, NULL, 'BLR2558 PROTEIN', 54852),
(111127, 'PTHR33450:SF21', NULL, NULL, NULL, NULL, 'OS09G0279200 PROTEIN', 54853),
(111128, 'PTHR19890:SF15', NULL, NULL, NULL, NULL, 'FGF RECEPTOR-LIKE PROTEIN 1B BETA', 54854),
(111129, 'PTHR47372:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54855); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(111130, 'PTHR39210:SF1', NULL, NULL, NULL, NULL, 'HEPARIN-SULFATE LYASE', 54856),
(111131, 'PTHR31213:SF64', NULL, NULL, NULL, NULL, 'PHYTOHORMONE-BINDING PROTEIN', 54857),
(111132, 'PTHR28242:SF46', NULL, NULL, NULL, NULL, 'PSEUDO HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 6', 54858),
(111133, 'PTHR24356:SF385', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PKGA-RELATED', 54859),
(111134, 'PTHR24051:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE RECEPTOR TYPE T', 54860),
(111135, 'PTHR43734:SF1', NULL, NULL, NULL, NULL, 'PHYTOENE DESATURASE', 54861),
(111136, 'PTHR24177:SF205', NULL, NULL, NULL, NULL, 'OS11G0198900 PROTEIN', 54862),
(111137, 'PTHR11760:SF52', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3-RELATED', 54863),
(111138, 'PTHR46144:SF7', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 12-LIKE', 54864),
(111139, 'PTHR35578', NULL, NULL, NULL, NULL, 'PROLINE-RICH TRANSMEMBRANE PROTEIN 4-RELATED', 54865),
(111140, 'PTHR11214:SF87', NULL, NULL, NULL, NULL, 'UDP-GLCNAC:BETAGAL BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE 8', 54866),
(111141, 'PTHR31580:SF41', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 3', 54867),
(111142, 'PTHR10322:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54868),
(111143, 'PTHR35298:SF5', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN S1FA3', 54869),
(111144, 'PTHR32141:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54870),
(111145, 'PTHR11801:SF50', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION C', 54871),
(111146, 'PTHR16059:SF24', NULL, NULL, NULL, NULL, 'ANTXR CELL ADHESION MOLECULE 1B', 54872),
(111147, 'PTHR46033:SF20', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-LIKE, PLANT MOBILE DOMAIN FAMILY PROTEIN', 54873),
(111148, 'PTHR19957:SF317', NULL, NULL, NULL, NULL, 'SYNTAXIN-7A', 54874),
(111149, 'PTHR42695', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE YLR126C-RELATED', 54875),
(111150, 'PTHR18884:SF124', NULL, NULL, NULL, NULL, 'SEPTIN 4A', 54876),
(111151, 'PTHR31852:SF163', NULL, NULL, NULL, NULL, 'OS06G0116900 PROTEIN', 54877),
(111152, 'PTHR47991:SF18', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 54878),
(111153, 'PTHR48056:SF42', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', 54879),
(111154, 'PTHR48011:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54880),
(111155, 'PTHR24248:SF21', NULL, NULL, NULL, NULL, 'BETA-2 ADRENERGIC RECEPTOR', 54881),
(111156, 'PTHR24006:SF782', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 54882),
(111157, 'PTHR46151:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54883),
(111158, 'PTHR24314:SF22', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR', 54884),
(111159, 'PTHR10540:SF20', NULL, NULL, NULL, NULL, 'OS04G0661900 PROTEIN', 54885),
(111160, 'PTHR12350:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54886),
(111161, 'PTHR21198:SF8', NULL, NULL, NULL, NULL, 'BROAD SPECIFICITY AMINO-ACID RACEMASE RACX', 54887),
(111162, 'PTHR16043:SF1', NULL, NULL, NULL, NULL, 'DALR ANTICODON-BINDING DOMAIN-CONTAINING PROTEIN 3', 54888),
(111163, 'PTHR31692:SF81', NULL, NULL, NULL, NULL, 'EXPANSIN-B5-LIKE', 54889),
(111164, 'PTHR31235:SF297', NULL, NULL, NULL, NULL, 'PEROXIDASE', 54890),
(111165, 'PTHR35688:SF2', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN', 54891),
(111166, 'PTHR45959:SF43', NULL, NULL, NULL, NULL, 'BASIC HELIX LOOP HELIX (BHLH) DNA-BINDING FAMILY PROTEIN', 54892),
(111167, 'PTHR37950:SF1', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE CATABOLISM PROTEIN', 54893),
(111168, 'PTHR32116:SF58', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 2-RELATED', 54894),
(111169, 'PTHR12740:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4931417E11', 54895),
(111170, 'PTHR24216:SF56', NULL, NULL, NULL, NULL, 'LEUPAXIN', 54896),
(111171, 'PTHR11088:SF25', NULL, NULL, NULL, NULL, 'TRNA DIMETHYLALLYLTRANSFERASE', 54897),
(111172, 'PTHR23036:SF112', NULL, NULL, NULL, NULL, 'INTERLEUKIN-23 RECEPTOR', 54898);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(111173, 'PTHR14095:SF8', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND PROTEIN', 54899),
(111174, 'PTHR46433', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 54900),
(111175, 'PTHR39944', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 54901),
(111176, 'PTHR33306:SF18', NULL, NULL, NULL, NULL, 'OS02G0775300 PROTEIN', 54902),
(111177, 'PTHR31388:SF167', NULL, NULL, NULL, NULL, 'PEROXIDASE', 54903),
(111178, 'PTHR45626:SF14', NULL, NULL, NULL, NULL, 'OS01G0952200 PROTEIN', 54904),
(111179, 'PTHR21593:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG04697', 54905),
(111180, 'PTHR45613:SF312', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54906),
(111181, 'PTHR45614:SF48', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 54907),
(111182, 'PTHR11937:SF463', NULL, NULL, NULL, NULL, 'BNAA02G07080D PROTEIN', 54908),
(111183, 'PTHR31607:SF15', NULL, NULL, NULL, NULL, 'BNAA09G02350D PROTEIN', 54909),
(111184, 'PTHR24637:SF256', NULL, NULL, NULL, NULL, 'COLLAGEN', 54910),
(111185, 'PTHR31304:SF49', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 42', 54911),
(111186, 'PTHR31605', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE O-ACYLTRANSFERASE 1', 54912),
(111187, 'PTHR37517:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54913),
(111188, 'PTHR10582:SF28', NULL, NULL, NULL, NULL, 'NANCHUNG, ISOFORM B', 54914),
(111189, 'PTHR31235:SF226', NULL, NULL, NULL, NULL, 'PEROXIDASE', 54915),
(111190, 'PTHR31221:SF258', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 49-RELATED', 54916),
(111191, 'PTHR31669:SF196', NULL, NULL, NULL, NULL, 'OS03G0843700 PROTEIN', 54917),
(111192, 'PTHR11610:SF162', NULL, NULL, NULL, NULL, 'AGAP003749-PA', 54918),
(111193, 'PTHR21879:SF18', NULL, NULL, NULL, NULL, 'LD17368P', 54919),
(111194, 'PTHR31816', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC13', 54920),
(111195, 'PTHR43224:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54921),
(111196, 'PTHR12013', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 14 KD PROTEIN', 54922),
(111197, 'PTHR31238:SF219', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 8', 54923),
(111198, 'PTHR33090:SF44', NULL, NULL, NULL, NULL, 'WOUND INDUCED PROTEIN', 54924),
(111199, 'PTHR24320:SF102', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 12', 54925),
(111200, 'PTHR21879:SF4', NULL, NULL, NULL, NULL, 'OSIRIS 17, ISOFORM C', 54926),
(111201, 'PTHR46443:SF18', NULL, NULL, NULL, NULL, 'BNAC03G42890D PROTEIN', 54927),
(111202, 'PTHR32370:SF114', NULL, NULL, NULL, NULL, 'OS05G0178000 PROTEIN', 54928),
(111203, 'PTHR31029:SF8', NULL, NULL, NULL, NULL, 'OS09G0488800 PROTEIN', 54929),
(111204, 'PTHR30183:SF6', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YNJC', 54930),
(111205, 'PTHR33474:SF20', NULL, NULL, NULL, NULL, 'OS07G0631300 PROTEIN', 54931),
(111206, 'PTHR24282:SF201', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 54932),
(111207, 'PTHR28259:SF14', NULL, NULL, NULL, NULL, 'FLUORIDE ION TRANSPORTER CRCB-RELATED', 54933),
(111208, 'PTHR48001:SF76', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 54934),
(111209, 'PTHR12865', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE TYPE-II', 54935),
(111210, 'PTHR11247:SF61', NULL, NULL, NULL, NULL, 'BNAA07G12610D PROTEIN', 54936),
(111211, 'PTHR12308:SF76', NULL, NULL, NULL, NULL, 'ANOCTAMIN', 54937),
(111212, 'PTHR43742:SF8', NULL, NULL, NULL, NULL, 'ANAEROBIC DIMETHYL SULFOXIDE REDUCTASE, SUBUNIT A-RELATED', 54938),
(111213, 'PTHR15082:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54939),
(111214, 'PTHR23428:SF270', NULL, NULL, NULL, NULL, 'HISTONE H2B', 54940),
(111215, 'PTHR11893:SF9', NULL, NULL, NULL, NULL, 'INNEXIN-7', 54941),
(111216, 'PTHR31321:SF99', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 54942),
(111217, 'PTHR24015:SF1752', NULL, NULL, NULL, NULL, 'OS08G0375800 PROTEIN', 54943),
(111218, 'PTHR44051:SF8', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 54944),
(111219, 'PTHR10607', NULL, NULL, NULL, NULL, 'OSTEOPONTIN', 54945),
(111220, 'PTHR33356:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54946);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(111221, 'PTHR10891:SF873', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 3', 54947),
(111222, 'PTHR14102:SF4', NULL, NULL, NULL, NULL, 'PARTITIONING DEFECTIVE 6 HOMOLOG BETA', 54948),
(111223, 'PTHR47073:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ANTI-SILENCING 1', 54949),
(111224, 'PTHR12386:SF26', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT G 2, MITOCHONDRIAL-RELATED', 54950),
(111225, 'PTHR35125:SF4', NULL, NULL, NULL, NULL, 'BNAC06G15830D PROTEIN', 54951),
(111226, 'PTHR12585', NULL, NULL, NULL, NULL, 'SCC1 / RAD21 FAMILY MEMBER', 54952),
(111227, 'PTHR43757:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG06141', 54953),
(111228, 'PTHR10052:SF43', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73B4-LIKE', 54954),
(111229, 'PTHR46119:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54955),
(111230, 'PTHR35375:SF2', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP D', 54956),
(111231, 'PTHR31429:SF3', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 40-RELATED', 54957),
(111232, 'PTHR23155:SF1115', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 54958),
(111233, 'PTHR24365:SF261', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 1', 54959),
(111234, 'PTHR14856', NULL, NULL, NULL, NULL, 'PQ-LOOP REPEAT-CONTAINING PROTEIN 1-LIKE PROTEIN', 54960),
(111235, 'PTHR10502:SF19', NULL, NULL, NULL, NULL, 'ANNEXIN A6', 54961),
(111236, 'PTHR34191:SF28', NULL, NULL, NULL, NULL, 'BNAANNG28600D PROTEIN', 54962),
(111237, 'PTHR43103:SF5', NULL, NULL, NULL, NULL, '4-EPIMERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00360)-RELATED', 54963),
(111238, 'PTHR47319:SF15', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1', 54964),
(111239, 'PTHR31087:SF101', NULL, NULL, NULL, NULL, 'TUBBY C 2 PROTEIN', 54965),
(111240, 'PTHR11662:SF427', NULL, NULL, NULL, NULL, 'FI19708P1', 54966),
(111241, 'PTHR11985:SF10', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', 54967),
(111242, 'PTHR31675:SF32', NULL, NULL, NULL, NULL, 'MALE STERILE PROTEIN-RELATED', 54968),
(111243, 'PTHR46287:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 54969),
(111244, 'PTHR12265:SF35', NULL, NULL, NULL, NULL, 'BNAA07G04120D PROTEIN', 54970),
(111245, 'PTHR12859:SF9', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 54971),
(111246, 'PTHR39940:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TRUNK', 54972),
(111247, 'PTHR27007:SF281', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', 54973),
(111248, 'PTHR10291:SF25', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE-RELATED', 54974),
(111249, 'PTHR45631:SF111', NULL, NULL, NULL, NULL, 'INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE 1, PUTATIVE-RELATED', 54975),
(111250, 'PTHR47660:SF3', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03310)-RELATED', 54976),
(111251, 'PTHR43245:SF24', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', 54977),
(111252, 'PTHR11850:SF59', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN TGIF1', 54978),
(111253, 'PTHR35975:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 11A', 54979),
(111254, 'PTHR33159:SF49', NULL, NULL, NULL, NULL, 'OS06G0636100 PROTEIN', 54980),
(111255, 'PTHR32370:SF6', NULL, NULL, NULL, NULL, 'ROOT PHOTOTROPISM PROTEIN 3', 54981),
(111256, 'PTHR31194:SF152', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF5-RELATED', 54982),
(111257, 'PTHR31787:SF7', NULL, NULL, NULL, NULL, 'FRIZZLED/SMOOTHENED-LIKE SANS CRD PROTEIN F-RELATED', 54983),
(111258, 'PTHR14694:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-RESPONSIVE TRANSCRIPTION FACTOR', 54984),
(111259, 'PTHR37278:SF1', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 33-RELATED', 54985),
(111260, 'PTHR10846', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER', 54986),
(111261, 'PTHR11527:SF286', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN 2-LIKE', 54987),
(111262, 'PTHR36912:SF2', NULL, NULL, NULL, NULL, 'ANTIGEN 332, DBL-LIKE PROTEIN', 54988),
(111263, 'PTHR11417:SF1', NULL, NULL, NULL, NULL, 'PROLACTIN-8A9', 54989),
(111264, 'PTHR36505:SF1', NULL, NULL, NULL, NULL, 'BLR1072 PROTEIN', 54990); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(111265, 'PTHR43502', NULL, NULL, NULL, NULL, 'ENDONUCLEASE MJ1434-RELATED', 54991),
(111266, 'PTHR23070:SF135', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 54992),
(111267, 'PTHR46905:SF19', NULL, NULL, NULL, NULL, 'BNAANNG19830D PROTEIN', 54993),
(111268, 'PTHR40547', NULL, NULL, NULL, NULL, 'SLL0298 PROTEIN', 54994),
(111269, 'PTHR46666:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL L18A-LIKE PROTEIN', 54995),
(111270, 'PTHR12881', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 1', 54996),
(111271, 'PTHR47981:SF25', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABG2', 54997),
(111272, 'PTHR12677', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 54998),
(111273, 'PTHR46058:SF26', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 1', 54999),
(111274, 'PTHR15083', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 6', 55000),
(111275, 'PTHR12403:SF26', NULL, NULL, NULL, NULL, 'BNAA06G40850D PROTEIN', 55001),
(111276, 'PTHR40400:SF1', NULL, NULL, NULL, NULL, 'SLR1512 PROTEIN', 55002),
(111277, 'PTHR45651:SF90', NULL, NULL, NULL, NULL, 'OS02G0789100 PROTEIN', 55003),
(111278, 'PTHR10333:SF41', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN 5', 55004),
(111279, 'PTHR23413:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32-1-LIKE', 55005),
(111280, 'PTHR19876:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55006),
(111281, 'PTHR32044:SF93', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 9 ISOFORM X1-RELATED', 55007),
(111282, 'PTHR15398:SF10', NULL, NULL, NULL, NULL, 'BNAC04G22430D PROTEIN', 55008),
(111283, 'PTHR27005:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55009),
(111284, 'PTHR33567', NULL, NULL, NULL, NULL, 'CHROMATE ION TRANSPORTER (EUROFUNG)', 55010),
(111285, 'PTHR11566:SF131', NULL, NULL, NULL, NULL, 'GTPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G07630)-RELATED', 55011),
(111286, 'PTHR43563:SF1', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 55012),
(111287, 'PTHR45630:SF4', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE 13A5-RELATED', 55013),
(111288, 'PTHR43079:SF3', NULL, NULL, NULL, NULL, 'BNAA09G42040D PROTEIN', 55014),
(111289, 'PTHR11753:SF34', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', 55015),
(111290, 'PTHR48060:SF11', NULL, NULL, NULL, NULL, 'BNAC01G32420D PROTEIN', 55016),
(111291, 'PTHR45652', NULL, NULL, NULL, NULL, 'GLIAL FIBRILLARY ACIDIC PROTEIN', 55017),
(111292, 'PTHR11834:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ENHANCER FACTOR TEF-3', 55018),
(111293, 'PTHR47398', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 3', 55019),
(111294, 'PTHR31377:SF0', NULL, NULL, NULL, NULL, 'AGMATINE DEIMINASE-RELATED', 55020),
(111295, 'PTHR11042:SF164', NULL, NULL, NULL, NULL, 'EIF-2-ALPHA KINASE GCN2', 55021),
(111296, 'PTHR22847:SF622', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 83', 55022),
(111297, 'PTHR46518', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 151', 55023),
(111298, 'PTHR23113:SF344', NULL, NULL, NULL, NULL, 'ZGC:171558', 55024),
(111299, 'PTHR19443:SF62', NULL, NULL, NULL, NULL, 'HEXOKINASE-1', 55025),
(111300, 'PTHR47993:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55026),
(111301, 'PTHR24211:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55027),
(111302, 'PTHR10778:SF47', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE/UDP-GLUCOSE TRANSPORTER 5', 55028),
(111303, 'PTHR11216:SF152', NULL, NULL, NULL, NULL, 'BNAA06G14620D PROTEIN', 55029),
(111304, 'PTHR46045', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U-RELATED', 55030),
(111305, 'PTHR48146', NULL, NULL, NULL, NULL, 'K-STIMULATED PYROPHOSPHATE-ENERGIZED SODIUM PUMP PROTEIN', 55031),
(111306, 'PTHR26450:SF140', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51G1', 55032),
(111307, 'PTHR13457', NULL, NULL, NULL, NULL, 'BAP28', 55033),
(111308, 'PTHR38342:SF1', NULL, NULL, NULL, NULL, 'SLR5037 PROTEIN', 55034),
(111309, 'PTHR47354:SF7', NULL, NULL, NULL, NULL, 'NAD(P)H-FLAVIN REDUCTASE', 55035),
(111310, 'PTHR11309:SF34', NULL, NULL, NULL, NULL, 'FRIZZLED-2', 55036);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(111311, 'PTHR34806:SF5', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 3.1', 55037),
(111312, 'PTHR33388:SF15', NULL, NULL, NULL, NULL, 'OS05G0559316 PROTEIN', 55038),
(111313, 'PTHR11711:SF348', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 2-LIKE', 55039),
(111314, 'PTHR41795', NULL, NULL, NULL, NULL, 'EXOPOLYSACCHARIDE SYNTHESIS PROTEIN', 55040),
(111315, 'PTHR26454:SF7', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6S1', 55041),
(111316, 'PTHR31062:SF38', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 55042),
(111317, 'PTHR46301:SF21', NULL, NULL, NULL, NULL, 'N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', 55043),
(111318, 'PTHR23502', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY', 55044),
(111319, 'PTHR36357:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55045),
(111320, 'PTHR13555:SF57', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 474', 55046),
(111321, 'PTHR31042:SF110', NULL, NULL, NULL, NULL, 'BNAA06G38890D PROTEIN', 55047),
(111322, 'PTHR24068:SF40', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 D3', 55048),
(111323, 'PTHR11710', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19', 55049),
(111324, 'PTHR37213:SF2', NULL, NULL, NULL, NULL, 'BNAC04G43990D PROTEIN', 55050),
(111325, 'PTHR11339:SF365', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9530053A07 GENE', 55051),
(111326, 'PTHR36730:SF2', NULL, NULL, NULL, NULL, 'BNAA02G36930D PROTEIN', 55052),
(111327, 'PTHR36586:SF20', NULL, NULL, NULL, NULL, 'EXTENSIN-3', 55053),
(111328, 'PTHR15004:SF2', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT C, CHLOROPLASTIC/MITOCHONDRIAL', 55054),
(111329, 'PTHR24067:SF313', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1-LIKE ISOFORM X1', 55055),
(111330, 'PTHR31001:SF66', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', 55056),
(111331, 'PTHR32039:SF17', NULL, NULL, NULL, NULL, 'MG-PROTOPORPHYRIN IX CHELATASE', 55057),
(111332, 'PTHR21649:SF125', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 55058),
(111333, 'PTHR47324:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG17315', 55059),
(111334, 'PTHR22808:SF21', NULL, NULL, NULL, NULL, 'SPERM HEAD AND TAIL ASSOCIATED PROTEIN', 55060),
(111335, 'PTHR26452:SF813', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 55061),
(111336, 'PTHR23054:SF20', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1 LEUCINE-ZIPPER PROTEIN', 55062),
(111337, 'PTHR48021:SF18', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 8', 55063),
(111338, 'PTHR31561:SF12', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 55064),
(111339, 'PTHR11969:SF62', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 55065),
(111340, 'PTHR31790:SF135', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED DOMAIN, TYPE 1-RELATED', 55066),
(111341, 'PTHR31676:SF27', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 55067),
(111342, 'PTHR46780:SF8', NULL, NULL, NULL, NULL, 'MGC171851 PROTEIN-RELATED', 55068),
(111343, 'PTHR46093:SF5', NULL, NULL, NULL, NULL, 'ACYL-COA BINDING PROTEIN-LIKE', 55069),
(111344, 'PTHR35300:SF6', NULL, NULL, NULL, NULL, 'BNAC01G30480D PROTEIN', 55070),
(111345, 'PTHR46933', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 55071),
(111346, 'PTHR36493:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55072),
(111347, 'PTHR24178:SF15', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 39-RELATED', 55073),
(111348, 'PTHR38393', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA (GLN) AMIDOTRANSFERASE SUBUNIT C', 55074),
(111349, 'PTHR47990:SF95', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN-RELATED', 55075),
(111350, 'PTHR47976:SF56', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', 55076),
(111351, 'PTHR13388:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55077),
(111352, 'PTHR33264:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55078),
(111353, 'PTHR38601:SF1', NULL, NULL, NULL, NULL, 'HYDROGENASE-4 COMPONENT E', 55079);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(111354, 'PTHR31343:SF29', NULL, NULL, NULL, NULL, 'PLANT/F9H3-4 PROTEIN', 55080),
(111355, 'PTHR23037', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR', 55081),
(111356, 'PTHR31707:SF310', NULL, NULL, NULL, NULL, 'INHIBITOR, PUTATIVE-RELATED', 55082),
(111357, 'PTHR12937:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 28 HOMOLOG', 55083),
(111358, 'PTHR24093:SF420', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 3, PLASMA MEMBRANE-TYPE', 55084),
(111359, 'PTHR24068:SF303', NULL, NULL, NULL, NULL, 'BNAC01G21910D PROTEIN', 55085),
(111360, 'PTHR22814:SF294', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 27', 55086),
(111361, 'PTHR48061:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55087),
(111362, 'PTHR30618:SF2', NULL, NULL, NULL, NULL, 'ALLANTOIN PERMEASE-RELATED', 55088),
(111363, 'PTHR22811:SF80', NULL, NULL, NULL, NULL, 'PROTEIN ERP2-RELATED', 55089),
(111364, 'PTHR14083:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YIF1B-LIKE', 55090),
(111365, 'PTHR24095', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', 55091),
(111366, 'PTHR33122:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55092),
(111367, 'PTHR11681:SF2', NULL, NULL, NULL, NULL, 'OXYTOCIN-NEUROPHYSIN 1', 55093),
(111368, 'PTHR48024', NULL, NULL, NULL, NULL, 'GEO13361P1-RELATED', 55094),
(111369, 'PTHR10795:SF594', NULL, NULL, NULL, NULL, 'SUBTILASE FAMILY PROTEIN-RELATED', 55095),
(111370, 'PTHR13439:SF54', NULL, NULL, NULL, NULL, 'OS05G0485300 PROTEIN', 55096),
(111371, 'PTHR46506:SF32', NULL, NULL, NULL, NULL, 'DIRIGENT', 55097),
(111372, 'PTHR12010:SF18', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S14P/S29E FAMILY PROTEIN-RELATED', 55098),
(111373, 'PTHR11895:SF147', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA AMIDOTRANSFERASE, SUBUNIT A (GATA-1)', 55099),
(111374, 'PTHR34064:SF3', NULL, NULL, NULL, NULL, 'OS04G0672300 PROTEIN', 55100),
(111375, 'PTHR35936:SF19', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND LYTIC MUREIN TRANSGLYCOSYLASE F', 55101),
(111376, 'PTHR45725:SF11', NULL, NULL, NULL, NULL, 'FORMIN-D-RELATED', 55102),
(111377, 'PTHR31818:SF14', NULL, NULL, NULL, NULL, 'GDP-FUCOSE O-FUCOSYLTRANSFERASE-LIKE PROTEIN', 55103),
(111378, 'PTHR14304:SF14', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE AND APOPTOSIS REGULATOR PROTEIN 1', 55104),
(111379, 'PTHR48056:SF43', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 55105),
(111380, 'PTHR36483:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55106),
(111381, 'PTHR34157:SF2', NULL, NULL, NULL, NULL, 'TUZIN', 55107),
(111382, 'PTHR31304:SF39', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', 55108),
(111383, 'PTHR11829:SF357', NULL, NULL, NULL, NULL, 'CIRCADIANLY REGULATED PROTEIN-RELATED', 55109),
(111384, 'PTHR30146:SF60', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN TORT', 55110),
(111385, 'PTHR10155:SF7', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 2', 55111),
(111386, 'PTHR48018:SF26', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 55112),
(111387, 'PTHR33495:SF9', NULL, NULL, NULL, NULL, 'ANTI-SIGMA-B FACTOR ANTAGONIST', 55113),
(111388, 'PTHR30546:SF3', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 2-RELATED', 55114),
(111389, 'PTHR48065:SF22', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', 55115),
(111390, 'PTHR24082:SF484', NULL, NULL, NULL, NULL, 'ECDYSONE-INDUCED PROTEIN 75B, ISOFORM B', 55116),
(111391, 'PTHR31558:SF28', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 55117),
(111392, 'PTHR31218:SF68', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 55118),
(111393, 'PTHR31963:SF4', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR K', 55119),
(111394, 'PTHR24177:SF264', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55120),
(111395, 'PTHR30408:SF2', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME S SUBUNIT', 55121),
(111396, 'PTHR13271:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55122),
(111397, 'PTHR22601:SF4', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER MTD1, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00910)-RELATED', 55123);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(111398, 'PTHR43895:SF61', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 55124),
(111399, 'PTHR13429:SF5', NULL, NULL, NULL, NULL, 'FERM DOMAIN (PROTEIN4.1-EZRIN-RADIXIN-MOESIN) FAMILY', 55125),
(111400, 'PTHR31734:SF154', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA4', 55126),
(111401, 'PTHR12321:SF133', NULL, NULL, NULL, NULL, 'ALFIN-LIKE TRANSCRIPTION FACTOR', 55127),
(111402, 'PTHR45671:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATE CARRIER PROTEIN', 55128),
(111403, 'PTHR32141:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55129),
(111404, 'PTHR31972:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55130),
(111405, 'PTHR24240:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55131),
(111406, 'PTHR13247:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION 1 PROTEIN', 55132),
(111407, 'PTHR34298:SF2', NULL, NULL, NULL, NULL, 'SEGREGATION AND CONDENSATION PROTEIN B', 55133),
(111408, 'PTHR45616:SF29', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 2 ORAL', 55134),
(111409, 'PTHR45696:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55135),
(111410, 'PTHR33504:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME X OPEN READING FRAME 58', 55136),
(111411, 'PTHR12585:SF20', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND-BREAK REPAIR PROTEIN RAD21 HOMOLOG', 55137),
(111412, 'PTHR13439:SF65', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 55138),
(111413, 'PTHR10177:SF366', NULL, NULL, NULL, NULL, 'PROTEIN CBG05210', 55139),
(111414, 'PTHR16518', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 153, 162', 55140),
(111415, 'PTHR12312:SF20', NULL, NULL, NULL, NULL, 'TWISTED GASTRULATION HOMOLOG 2', 55141),
(111416, 'PTHR47932:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55142),
(111417, 'PTHR43133:SF39', NULL, NULL, NULL, NULL, 'SIMILAR TO RNA POLYMERASE SIGMA-E FACTOR', 55143),
(111418, 'PTHR10484', NULL, NULL, NULL, NULL, 'HISTONE H4', 55144),
(111419, 'PTHR47053:SF2', NULL, NULL, NULL, NULL, 'ENDOPEPTIDASE YDDH-RELATED', 55145),
(111420, 'PTHR11985:SF15', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE, MITOCHONDRIAL', 55146),
(111421, 'PTHR42647:SF9', NULL, NULL, NULL, NULL, 'S-RIBONUCLEASE BINDING PROTEIN SBP1-RELATED', 55147),
(111422, 'PTHR31482:SF15', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 55148),
(111423, 'PTHR10766:SF103', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 55149),
(111424, 'PTHR23239:SF215', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 28', 55150),
(111425, 'PTHR21454:SF38', NULL, NULL, NULL, NULL, 'CSL ZINC FINGER PROTEIN', 55151),
(111426, 'PTHR19338:SF15', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8-LIKE', 55152),
(111427, 'PTHR31062:SF216', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 4', 55153),
(111428, 'PTHR11711:SF377', NULL, NULL, NULL, NULL, 'ADP RIBOSYLATION FACTOR', 55154),
(111429, 'PTHR43718:SF11', NULL, NULL, NULL, NULL, 'BNAA06G02580D PROTEIN', 55155),
(111430, 'PTHR34659', NULL, NULL, NULL, NULL, 'BNAA05G11610D PROTEIN', 55156),
(111431, 'PTHR11533:SF192', NULL, NULL, NULL, NULL, 'PROTEIN CBG20905', 55157),
(111432, 'PTHR31311:SF7', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 2', 55158),
(111433, 'PTHR47834', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CITRX, CHLOROPLASTIC', 55159),
(111434, 'PTHR33418:SF1', NULL, NULL, NULL, NULL, 'HELICASE-ASSOCIATED', 55160),
(111435, 'PTHR11863:SF186', NULL, NULL, NULL, NULL, 'BNAA10G11680D PROTEIN', 55161),
(111436, 'PTHR11566:SF190', NULL, NULL, NULL, NULL, 'BNAA01G22340D PROTEIN', 55162),
(111437, 'PTHR30330:SF14', NULL, NULL, NULL, NULL, 'SODIUM/ALANINE SYMPORTER-RELATED', 55163),
(111438, 'PTHR33862', NULL, NULL, NULL, NULL, 'OROFACIAL CLEFT 1 CANDIDATE GENE 1 PROTEIN', 55164),
(111439, 'PTHR10426:SF62', NULL, NULL, NULL, NULL, 'OS08G0175000 PROTEIN', 55165),
(111440, 'PTHR10250:SF22', NULL, NULL, NULL, NULL, 'MICROSOMAL GLUTATHIONE S-TRANSFERASE 3', 55166),
(111441, 'PTHR13468:SF12', NULL, NULL, NULL, NULL, 'DEK DOMAIN-CONTAINING CHROMATIN ASSOCIATED PROTEIN', 55167); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(111442, 'PTHR44013:SF1', NULL, NULL, NULL, NULL, 'ZINC-TYPE ALCOHOL DEHYDROGENASE-LIKE PROTEIN C16A3.02C', 55168),
(111443, 'PTHR43210', NULL, NULL, NULL, NULL, 'DETHIOBIOTIN SYNTHETASE', 55169),
(111444, 'PTHR23500:SF178', NULL, NULL, NULL, NULL, 'OS02G0160400 PROTEIN', 55170),
(111445, 'PTHR43434:SF6', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE', 55171),
(111446, 'PTHR30620:SF100', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 3-RELATED', 55172),
(111447, 'PTHR11638:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55173),
(111448, 'PTHR24418:SF370', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 55174),
(111449, 'PTHR24281:SF139', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D6', 55175),
(111450, 'PTHR23101:SF51', NULL, NULL, NULL, NULL, 'RAS AND RAB INTERACTOR 2', 55176),
(111451, 'PTHR24296:SF101', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94B1', 55177),
(111452, 'PTHR11353:SF196', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ZETA 2', 55178),
(111453, 'PTHR10540:SF8', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 6', 55179),
(111454, 'PTHR48011:SF43', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 19', 55180),
(111455, 'PTHR31874:SF33', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 16-RELATED', 55181),
(111456, 'PTHR13333', NULL, NULL, NULL, NULL, 'M-AAA PROTEASE-INTERACTING PROTEIN 1, MITOCHONDRIAL', 55182),
(111457, 'PTHR10795:SF702', NULL, NULL, NULL, NULL, 'PEPTIDASE S8, SUBTILISIN-RELATED PROTEIN-RELATED', 55183),
(111458, 'PTHR21301', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE', 55184),
(111459, 'PTHR10760:SF2', NULL, NULL, NULL, NULL, 'LD13476P-RELATED', 55185),
(111460, 'PTHR33573:SF13', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 2', 55186),
(111461, 'PTHR31639:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55187),
(111462, 'PTHR11654:SF489', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.4', 55188),
(111463, 'PTHR15160:SF12', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NUCLEASE 2', 55189),
(111464, 'PTHR14289', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 3', 55190),
(111465, 'PTHR24243:SF45', NULL, NULL, NULL, NULL, 'GASTRIN/CHOLECYSTOKININ TYPE B RECEPTOR', 55191),
(111466, 'PTHR40472:SF10', NULL, NULL, NULL, NULL, 'RAPUNZEL 5', 55192),
(111467, 'PTHR43690:SF7', NULL, NULL, NULL, NULL, 'OS01G0779100 PROTEIN', 55193),
(111468, 'PTHR43157:SF49', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02580)-RELATED', 55194),
(111469, 'PTHR31906:SF3', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 11, CHLOROPLASTIC-RELATED', 55195),
(111470, 'PTHR22589:SF31', NULL, NULL, NULL, NULL, 'CARNITINE PALMITOYLTRANSFERASE I', 55196),
(111471, 'PTHR10837:SF11', NULL, NULL, NULL, NULL, 'PROTEIN-ARGININE DEIMINASE TYPE-1', 55197),
(111472, 'PTHR23004:SF5', NULL, NULL, NULL, NULL, 'DOUBLECORTIN DOMAIN-CONTAINING PROTEIN 2', 55198),
(111473, 'PTHR13377:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 115', 55199),
(111474, 'PTHR45993:SF4', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA/LEUKEMIA 11B', 55200),
(111475, 'PTHR46780:SF14', NULL, NULL, NULL, NULL, 'PROTEIN EVA-1 HOMOLOG A', 55201),
(111476, 'PTHR28304', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX29', 55202),
(111477, 'PTHR23226:SF257', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 525', 55203),
(111478, 'PTHR31375:SF200', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', 55204),
(111479, 'PTHR32021:SF27', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5B1', 55205),
(111480, 'PTHR22968:SF27', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C, BRAIN ISOZYME-LIKE PROTEIN', 55206),
(111481, 'PTHR32009:SF55', NULL, NULL, NULL, NULL, 'TIR DOMAIN-CONTAINING PROTEIN-RELATED', 55207),
(111482, 'PTHR32003:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM199X', 55208),
(111483, 'PTHR11260:SF643', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', 55209),
(111484, 'PTHR11021:SF1', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM6', 55210),
(111485, 'PTHR13382:SF19', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 55211); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(111486, 'PTHR33130:SF65', NULL, NULL, NULL, NULL, 'BNAA06G00370D PROTEIN', 55212),
(111487, 'PTHR24376:SF151', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 770', 55213),
(111488, 'PTHR11699:SF120', NULL, NULL, NULL, NULL, 'CYTOSOLIC 10-FORMYLTETRAHYDROFOLATE DEHYDROGENASE', 55214),
(111489, 'PTHR31612:SF2', NULL, NULL, NULL, NULL, 'MULTIVESICULAR BODY SUBUNIT 12A', 55215),
(111490, 'PTHR31989:SF299', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 43', 55216),
(111491, 'PTHR45844:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH131', 55217),
(111492, 'PTHR10816', NULL, NULL, NULL, NULL, 'MYELIN TRANSCRIPTION FACTOR 1-RELATED', 55218),
(111493, 'PTHR37013:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55219),
(111494, 'PTHR24377:SF369', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 10', 55220),
(111495, 'PTHR12654:SF0', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', 55221),
(111496, 'PTHR24559:SF329', NULL, NULL, NULL, NULL, 'PROTEIN CBG16472', 55222),
(111497, 'PTHR10233:SF15', NULL, NULL, NULL, NULL, 'NAGB/RPIA/COA TRANSFERASE-LIKE SUPERFAMILY PROTEIN', 55223),
(111498, 'PTHR16052:SF0', NULL, NULL, NULL, NULL, 'TBCC DOMAIN-CONTAINING PROTEIN 1', 55224),
(111499, 'PTHR34452:SF13', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', 55225),
(111500, 'PTHR47978', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 55226),
(111501, 'PTHR31945:SF122', NULL, NULL, NULL, NULL, 'BNAA02G27370D PROTEIN', 55227),
(111502, 'PTHR36481:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 55228),
(111503, 'PTHR31645:SF51', NULL, NULL, NULL, NULL, 'YELLOW STRIPE-LIKE 9 TRANSPORTER', 55229),
(111504, 'PTHR15919:SF12', NULL, NULL, NULL, NULL, 'DAPPER HOMOLOG 1', 55230),
(111505, 'PTHR21136:SF190', NULL, NULL, NULL, NULL, 'LONGIN-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 55231),
(111506, 'PTHR16830:SF1', NULL, NULL, NULL, NULL, 'FYN-BINDING PROTEIN 2', 55232),
(111507, 'PTHR26312:SF132', NULL, NULL, NULL, NULL, 'OS01G0855200 PROTEIN', 55233),
(111508, 'PTHR31346:SF1', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 3, MITOCHONDRIAL', 55234),
(111509, 'PTHR23202:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55235),
(111510, 'PTHR11339:SF382', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55236),
(111511, 'PTHR14453:SF94', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 55237),
(111512, 'PTHR16148:SF11', NULL, NULL, NULL, NULL, 'CDKN2A-INTERACTING PROTEIN-RELATED', 55238),
(111513, 'PTHR38488:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 9.5 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G08980)-RELATED', 55239),
(111514, 'PTHR35981:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG26136', 55240),
(111515, 'PTHR47968:SF39', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7B', 55241),
(111516, 'PTHR31062:SF163', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE-RELATED', 55242),
(111517, 'PTHR24559:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55243),
(111518, 'PTHR31283:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55244),
(111519, 'PTHR11347:SF205', NULL, NULL, NULL, NULL, '5''-CYCLIC NUCLEOTIDE PHOSPHODIESTERASE, PUTATIVE-RELATED', 55245),
(111520, 'PTHR45969:SF44', NULL, NULL, NULL, NULL, 'BNAA04G17360D PROTEIN', 55246),
(111521, 'PTHR16445:SF0', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN FLJ20010', 55247),
(111522, 'PTHR34451:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55248),
(111523, 'PTHR32191:SF66', NULL, NULL, NULL, NULL, 'BNAA06G40190D PROTEIN', 55249),
(111524, 'PTHR48063:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55250),
(111525, 'PTHR33564:SF11', NULL, NULL, NULL, NULL, 'OS06G0604600 PROTEIN', 55251),
(111526, 'PTHR43331:SF1', NULL, NULL, NULL, NULL, 'HOMOSERINE DEHYDROGENASE', 55252),
(111527, 'PTHR45614:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55253),
(111528, 'PTHR11771:SF149', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 55254),
(111529, 'PTHR30451', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE USHER PROTEIN', 55255);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(111530, 'PTHR23189:SF102', NULL, NULL, NULL, NULL, 'FI21126P1-RELATED', 55256),
(111531, 'PTHR12619:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RFX4', 55257),
(111532, 'PTHR34223:SF44', NULL, NULL, NULL, NULL, 'OS01G0789000 PROTEIN', 55258),
(111533, 'PTHR47194', NULL, NULL, NULL, NULL, 'SORTING NEXIN-29-RELATED', 55259),
(111534, 'PTHR33057:SF17', NULL, NULL, NULL, NULL, 'OS01G0226700 PROTEIN', 55260),
(111535, 'PTHR11537:SF104', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 6', 55261),
(111536, 'PTHR33509:SF29', NULL, NULL, NULL, NULL, 'OS01G0314800 PROTEIN', 55262),
(111537, 'PTHR47995:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55263),
(111538, 'PTHR11061:SF30', NULL, NULL, NULL, NULL, 'TRNA (URACIL(54)-C(5))-METHYLTRANSFERASE', 55264),
(111539, 'PTHR23359:SF58', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4, MITOCHONDRIAL', 55265),
(111540, 'PTHR31948:SF103', NULL, NULL, NULL, NULL, 'ZF-HD HOMEOBOX PROTEIN, CYS/HIS-RICH DIMERIZATION DOMAIN-CONTAINING PROTEIN-RELATED', 55266),
(111541, 'PTHR32077:SF70', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 7', 55267),
(111542, 'PTHR22811:SF166', NULL, NULL, NULL, NULL, 'BNAA08G19840D PROTEIN', 55268),
(111543, 'PTHR31262:SF13', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN 1A, CHLOROPLASTIC-RELATED', 55269),
(111544, 'PTHR13043:SF1', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 2', 55270),
(111545, 'PTHR24177:SF329', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', 55271),
(111546, 'PTHR33598:SF9', NULL, NULL, NULL, NULL, 'OS12G0581700 PROTEIN', 55272),
(111547, 'PTHR12737:SF16', NULL, NULL, NULL, NULL, 'N(G),N(G)-DIMETHYLARGININE DIMETHYLAMINOHYDROLASE 2', 55273),
(111548, 'PTHR19269:SF41', NULL, NULL, NULL, NULL, 'TROPOMYOSIN ALPHA-1 CHAIN', 55274),
(111549, 'PTHR26453:SF276', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 55275),
(111550, 'PTHR24064:SF337', NULL, NULL, NULL, NULL, 'PHOSPHATE PERMEASE (AFU_ORTHOLOGUE AFUA_5G01320)', 55276),
(111551, 'PTHR47999:SF39', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN ZM1', 55277),
(111552, 'PTHR11467:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55278),
(111553, 'PTHR48052:SF22', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE CLAVATA1', 55279),
(111554, 'PTHR22802:SF364', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 55280),
(111555, 'PTHR35173', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 55281),
(111556, 'PTHR31388:SF113', NULL, NULL, NULL, NULL, 'PEROXIDASE 37-RELATED', 55282),
(111557, 'PTHR31539:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 19 KDA', 55283),
(111558, 'PTHR12537:SF120', NULL, NULL, NULL, NULL, 'OS12G0488900 PROTEIN', 55284),
(111559, 'PTHR32444:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55285),
(111560, 'PTHR11820:SF106', NULL, NULL, NULL, NULL, 'ACYLPYRUVASE FAHD1, MITOCHONDRIAL', 55286),
(111561, 'PTHR31165:SF40', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE4', 55287),
(111562, 'PTHR10217:SF548', NULL, NULL, NULL, NULL, 'GH12235P', 55288),
(111563, 'PTHR28556', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 106B', 55289),
(111564, 'PTHR48047:SF25', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 55290),
(111565, 'PTHR33474:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55291),
(111566, 'PTHR16483:SF0', NULL, NULL, NULL, NULL, 'BRICHOS DOMAIN-CONTAINING PROTEIN 5', 55292),
(111567, 'PTHR43776:SF1', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, ATP-BINDING PROTEIN', 55293),
(111568, 'PTHR12411:SF769', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE 1', 55294),
(111569, 'PTHR10605:SF56', NULL, NULL, NULL, NULL, 'GH20068P', 55295),
(111570, 'PTHR46118:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55296),
(111571, 'PTHR43329:SF99', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G02310)-RELATED', 55297),
(111572, 'PTHR24028:SF261', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 7A', 55298),
(111573, 'PTHR33181:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55299),
(111574, 'PTHR31218:SF224', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55300);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(111575, 'PTHR13609:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55301),
(111576, 'PTHR48112:SF19', NULL, NULL, NULL, NULL, 'HMG', 55302),
(111577, 'PTHR43888:SF37', NULL, NULL, NULL, NULL, 'SHOCK PROTEIN DNAJ, PUTATIVE-RELATED', 55303),
(111578, 'PTHR10937', NULL, NULL, NULL, NULL, 'GLUCOSAMINE--FRUCTOSE-6-PHOSPHATE AMINOTRANSFERASE, ISOMERIZING', 55304),
(111579, 'PTHR12632:SF60', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-10-LIKE', 55305),
(111580, 'PTHR31865:SF28', NULL, NULL, NULL, NULL, 'BNAA10G03900D PROTEIN', 55306),
(111581, 'PTHR11690:SF232', NULL, NULL, NULL, NULL, 'DEGENERIN LIKE', 55307),
(111582, 'PTHR24164:SF4', NULL, NULL, NULL, NULL, 'RELA-ASSOCIATED INHIBITOR', 55308),
(111583, 'PTHR33065:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55309),
(111584, 'PTHR45775:SF3', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RAD', 55310),
(111585, 'PTHR13019:SF18', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23 HOMOLOG A', 55311),
(111586, 'PTHR43572:SF55', NULL, NULL, NULL, NULL, 'BNAA04G05400D PROTEIN', 55312),
(111587, 'PTHR11125:SF13', NULL, NULL, NULL, NULL, 'KOW DOMAIN-CONTAINING PROTEIN-RELATED', 55313),
(111588, 'PTHR12396:SF1', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 3-LIKE 1', 55314),
(111589, 'PTHR23421:SF64', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE B-RELATED', 55315),
(111590, 'PTHR46938:SF2', NULL, NULL, NULL, NULL, 'DISCOIDIN-2', 55316),
(111591, 'PTHR27002:SF496', NULL, NULL, NULL, NULL, 'OSJNBA0043L09.10 PROTEIN', 55317),
(111592, 'PTHR32212:SF372', NULL, NULL, NULL, NULL, 'BNAA06G11390D PROTEIN', 55318),
(111593, 'PTHR14519:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55319),
(111594, 'PTHR15654:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 96', 55320),
(111595, 'PTHR24286:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55321),
(111596, 'PTHR12321:SF77', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 6', 55322),
(111597, 'PTHR11739:SF30', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', 55323),
(111598, 'PTHR34400', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 55324),
(111599, 'PTHR24637:SF233', NULL, NULL, NULL, NULL, 'COLLAGEN', 55325),
(111600, 'PTHR32086', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP D2 PROTEIN', 55326),
(111601, 'PTHR13976:SF42', NULL, NULL, NULL, NULL, 'G-RICH SEQUENCE FACTOR 1', 55327),
(111602, 'PTHR47690', NULL, NULL, NULL, NULL, 'GLUCOKINASE', 55328),
(111603, 'PTHR46995:SF1', NULL, NULL, NULL, NULL, 'OS12G0472800 PROTEIN', 55329),
(111604, 'PTHR40606:SF1', NULL, NULL, NULL, NULL, 'UPF0339 PROTEIN YEGP', 55330),
(111605, 'PTHR47329:SF1', NULL, NULL, NULL, NULL, 'OS05G0129900 PROTEIN', 55331),
(111606, 'PTHR47250:SF3', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', 55332),
(111607, 'PTHR47233', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN CHEV', 55333),
(111608, 'PTHR24223:SF375', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 11-RELATED', 55334),
(111609, 'PTHR24106:SF109', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN-RELATED', 55335),
(111610, 'PTHR22870:SF373', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY WITH FYVE ZINC FINGER DOMAIN-CONTAINING PROTEIN', 55336),
(111611, 'PTHR21567:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55337),
(111612, 'PTHR31921:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DPCD', 55338),
(111613, 'PTHR42913:SF3', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 1', 55339),
(111614, 'PTHR30460:SF1', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL', 55340),
(111615, 'PTHR26312:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55341),
(111616, 'PTHR42997', NULL, NULL, NULL, NULL, 'HIT FAMILY HYDROLASE', 55342),
(111617, 'PTHR33237:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55343),
(111618, 'PTHR31656:SF48', NULL, NULL, NULL, NULL, 'BNACNNG43430D PROTEIN', 55344),
(111619, 'PTHR10809:SF101', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE-PROTEIN-ASSOCIATED PROTEIN-RELATED', 55345),
(111620, 'PTHR24423:SF618', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR 4', 55346);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(111621, 'PTHR10980:SF14', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 2-RELATED', 55347),
(111622, 'PTHR23157:SF25', NULL, NULL, NULL, NULL, 'GRIP AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', 55348),
(111623, 'PTHR23037:SF7', NULL, NULL, NULL, NULL, 'INTERLEUKIN-21 RECEPTOR', 55349),
(111624, 'PTHR46122:SF7', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN', 55350),
(111625, 'PTHR43607:SF2', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE CATALYTIC SUBUNIT A', 55351),
(111626, 'PTHR24356:SF340', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 55352),
(111627, 'PTHR11361:SF20', NULL, NULL, NULL, NULL, 'MUTS PROTEIN HOMOLOG 5', 55353),
(111628, 'PTHR24298:SF822', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55354),
(111629, 'PTHR24096:SF387', NULL, NULL, NULL, NULL, 'BNAUNNG04240D PROTEIN', 55355),
(111630, 'PTHR36928:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATASE YCDX-RELATED', 55356),
(111631, 'PTHR15683:SF10', NULL, NULL, NULL, NULL, 'APOPTOTIC CHROMATIN CONDENSATION INDUCER 1', 55357),
(111632, 'PTHR10225', NULL, NULL, NULL, NULL, 'HYALURONAN  RECEPTOR', 55358),
(111633, 'PTHR10223:SF7', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 4', 55359),
(111634, 'PTHR37237:SF1', NULL, NULL, NULL, NULL, 'OS02G0567000 PROTEIN', 55360),
(111635, 'PTHR46493', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP3', 55361),
(111636, 'PTHR42820:SF19', NULL, NULL, NULL, NULL, 'BNAA09G45350D PROTEIN', 55362),
(111637, 'PTHR11945:SF668', NULL, NULL, NULL, NULL, 'BOX PROTEIN, PUTATIVE-RELATED', 55363),
(111638, 'PTHR11206:SF102', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 20-RELATED', 55364),
(111639, 'PTHR24388:SF53', NULL, NULL, NULL, NULL, 'FI01024P', 55365),
(111640, 'PTHR48014:SF6', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 55366),
(111641, 'PTHR10693:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55367),
(111642, 'PTHR11527:SF324', NULL, NULL, NULL, NULL, 'BNAA10G12710D PROTEIN', 55368),
(111643, 'PTHR12526:SF596', NULL, NULL, NULL, NULL, 'SLL1466 PROTEIN', 55369),
(111644, 'PTHR24242:SF201', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 11H1-RELATED', 55370),
(111645, 'PTHR10404:SF71', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE TRE2, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10650)-RELATED', 55371),
(111646, 'PTHR48000:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55372),
(111647, 'PTHR18953:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55373),
(111648, 'PTHR46797:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', 55374),
(111649, 'PTHR31062:SF123', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 14', 55375),
(111650, 'PTHR30419:SF25', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YTLI', 55376),
(111651, 'PTHR23316:SF51', NULL, NULL, NULL, NULL, 'PROTEIN CBG12407', 55377),
(111652, 'PTHR48062:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55378),
(111653, 'PTHR30027', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE E', 55379),
(111654, 'PTHR13154', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 2', 55380),
(111655, 'PTHR11017:SF402', NULL, NULL, NULL, NULL, 'BNAA04G27840D PROTEIN', 55381),
(111656, 'PTHR37258:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55382),
(111657, 'PTHR34071:SF2', NULL, NULL, NULL, NULL, '5-NITROIMIDAZOLE ANTIBIOTICS RESISTANCE PROTEIN, NIMA-FAMILY-RELATED PROTEIN', 55383),
(111658, 'PTHR24349:SF115', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 5', 55384),
(111659, 'PTHR24377:SF282', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 470', 55385),
(111660, 'PTHR23280', NULL, NULL, NULL, NULL, '4.1 G PROTEIN', 55386),
(111661, 'PTHR31734:SF16', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA5', 55387),
(111662, 'PTHR31866:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55388),
(111663, 'PTHR12197:SF275', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55389),
(111664, 'PTHR33377:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55390);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(111665, 'PTHR38326:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 11 OPEN READING FRAME 97', 55391),
(111666, 'PTHR33048:SF123', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', 55392),
(111667, 'PTHR21562:SF49', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 55393),
(111668, 'PTHR33147:SF44', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN', 55394),
(111669, 'PTHR24128:SF37', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT31-RELATED', 55395),
(111670, 'PTHR18945:SF28', NULL, NULL, NULL, NULL, 'GLYCINE RECEPTOR SUBUNIT ALPHA-2', 55396),
(111671, 'PTHR24346:SF34', NULL, NULL, NULL, NULL, 'GM01569P', 55397),
(111672, 'PTHR46149:SF1', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHES', 55398),
(111673, 'PTHR46985:SF2', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 1', 55399),
(111674, 'PTHR31433:SF0', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN 1', 55400),
(111675, 'PTHR19357', NULL, NULL, NULL, NULL, 'TRIGGERING RECEPTOR EXPRESSED ON MYELOID CELLS 1', 55401),
(111676, 'PTHR12411:SF56', NULL, NULL, NULL, NULL, 'CATHEPSIN 7', 55402),
(111677, 'PTHR43391:SF63', NULL, NULL, NULL, NULL, 'BNAC07G33280D PROTEIN', 55403),
(111678, 'PTHR47932:SF35', NULL, NULL, NULL, NULL, 'OS10G0147250 PROTEIN', 55404),
(111679, 'PTHR31046:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 265', 55405),
(111680, 'PTHR24103:SF612', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY, F4', 55406),
(111681, 'PTHR11827:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG15341', 55407),
(111682, 'PTHR18896:SF145', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 55408),
(111683, 'PTHR45955:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOACETYLGLUCOSAMINE MUTASE', 55409),
(111684, 'PTHR33122:SF45', NULL, NULL, NULL, NULL, 'LIPID-TRANSFER PROTEIN-RELATED', 55410),
(111685, 'PTHR27006:SF321', NULL, NULL, NULL, NULL, 'OS05G0256500 PROTEIN', 55411),
(111686, 'PTHR48041:SF77', NULL, NULL, NULL, NULL, 'OS04G0194500 PROTEIN', 55412),
(111687, 'PTHR12277', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE DOMAIN-CONTAINING PROTEIN', 55413),
(111688, 'PTHR23429:SF0', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE', 55414),
(111689, 'PTHR24006:SF810', NULL, NULL, NULL, NULL, 'UBIQUITIN C-TERMINAL HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G06440)', 55415),
(111690, 'PTHR45951', NULL, NULL, NULL, NULL, 'PROTEIN DISPATCHED-RELATED', 55416),
(111691, 'PTHR46733:SF4', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 21, CHLOROPLASTIC', 55417),
(111692, 'PTHR12433:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55418),
(111693, 'PTHR37433:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG04492', 55419),
(111694, 'PTHR24012:SF802', NULL, NULL, NULL, NULL, 'F12A21.10', 55420),
(111695, 'PTHR48224:SF1', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 270-RELATED', 55421),
(111696, 'PTHR14254:SF6', NULL, NULL, NULL, NULL, 'TYROSINE KINASE NON RECEPTOR 2', 55422),
(111697, 'PTHR13495:SF1', NULL, NULL, NULL, NULL, 'BNAC06G18360D PROTEIN', 55423),
(111698, 'PTHR43520:SF18', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE HMA5-RELATED', 55424),
(111699, 'PTHR14009:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55425),
(111700, 'PTHR22765:SF275', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL7-LIKE', 55426),
(111701, 'PTHR10593:SF174', NULL, NULL, NULL, NULL, 'CYS2/HIS2-TYPE ZINC FINGER TRANSCRIPTION FACTOR', 55427),
(111702, 'PTHR31009:SF109', NULL, NULL, NULL, NULL, 'BNAA09G26920D PROTEIN', 55428),
(111703, 'PTHR22844:SF340', NULL, NULL, NULL, NULL, 'OS01G0946100 PROTEIN', 55429),
(111704, 'PTHR43055:SF1', NULL, NULL, NULL, NULL, 'FORMATE-DEPENDENT PHOSPHORIBOSYLGLYCINAMIDE FORMYLTRANSFERASE', 55430),
(111705, 'PTHR48044:SF58', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 55431),
(111706, 'PTHR33831:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55432),
(111707, 'PTHR22900:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG22016', 55433),
(111708, 'PTHR32295:SF137', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', 55434),
(111709, 'PTHR45714:SF59', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT14-LIKE', 55435);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(111710, 'PTHR24027:SF425', NULL, NULL, NULL, NULL, 'CADHERIN-23', 55436),
(111711, 'PTHR46319', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN', 55437),
(111712, 'PTHR13145:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING-CH-TYPE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 55438),
(111713, 'PTHR32468:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55439),
(111714, 'PTHR46611:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 55440),
(111715, 'PTHR38658', NULL, NULL, NULL, NULL, 'OXPP CYCLE PROTEIN OPCA-RELATED', 55441),
(111716, 'PTHR11477:SF10', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 3', 55442),
(111717, 'PTHR10177:SF261', NULL, NULL, NULL, NULL, 'CYCLIN-B2-1', 55443),
(111718, 'PTHR11814:SF85', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.4-RELATED', 55444),
(111719, 'PTHR47654:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 55445),
(111720, 'PTHR21472:SF19', NULL, NULL, NULL, NULL, 'ZGC:172339', 55446),
(111721, 'PTHR15907:SF177', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 10', 55447),
(111722, 'PTHR31225:SF41', NULL, NULL, NULL, NULL, 'OS04G0340300 PROTEIN', 55448),
(111723, 'PTHR47629:SF4', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 55449),
(111724, 'PTHR31045:SF8', NULL, NULL, NULL, NULL, 'OS05G0341900 PROTEIN', 55450),
(111725, 'PTHR43039:SF17', NULL, NULL, NULL, NULL, 'BNAA01G23000D PROTEIN', 55451),
(111726, 'PTHR37316', NULL, NULL, NULL, NULL, 'TEICHOIC ACID GLYCEROL-PHOSPHATE PRIMASE', 55452),
(111727, 'PTHR48099:SF15', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL METHYLENETETRAHYDROFOLATE DEHYDROGENASE/CYCLOHYDROLASE, MITOCHONDRIAL', 55453),
(111728, 'PTHR44137:SF6', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK AMINO-TERMINAL DOMAIN PROTEIN', 55454),
(111729, 'PTHR11782:SF104', NULL, NULL, NULL, NULL, 'NUCLEOSIDE PHOSPHATASE GDA1/CD39-RELATED', 55455),
(111730, 'PTHR44259:SF12', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 55456),
(111731, 'PTHR46976:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ARABIDILLO 1-LIKE', 55457),
(111732, 'PTHR46084:SF28', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', 55458),
(111733, 'PTHR24033:SF176', NULL, NULL, NULL, NULL, 'NOTCH3 ISOFORM 1', 55459),
(111734, 'PTHR24123:SF106', NULL, NULL, NULL, NULL, 'ANKYRIN 2, ISOFORM U', 55460),
(111735, 'PTHR43567:SF3', NULL, NULL, NULL, NULL, 'FLAVIN REDUCTASE-LIKE, FMN-BINDING', 55461),
(111736, 'PTHR24023:SF923', NULL, NULL, NULL, NULL, 'COLLAGEN', 55462),
(111737, 'PTHR32154:SF20', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE OXIDOREDUCTASE SUBUNIT KORA', 55463),
(111738, 'PTHR33102:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55464),
(111739, 'PTHR23354:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55465),
(111740, 'PTHR16223:SF121', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING SUPERFAMILY PROTEIN-RELATED', 55466),
(111741, 'PTHR47926:SF180', NULL, NULL, NULL, NULL, 'BNAC08G09080D PROTEIN', 55467),
(111742, 'PTHR11547:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55468),
(111743, 'PTHR46938:SF1', NULL, NULL, NULL, NULL, 'DISCOIDIN-1 SUBUNIT A-RELATED', 55469),
(111744, 'PTHR14796:SF5', NULL, NULL, NULL, NULL, 'NEURENSIN-2', 55470),
(111745, 'PTHR47746:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55471),
(111746, 'PTHR37389:SF13', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN 3 SHORT ISOFORM-LIKE', 55472),
(111747, 'PTHR35662:SF1', NULL, NULL, NULL, NULL, 'INTERACTOR OF HORMAD1 PROTEIN 1', 55473),
(111748, 'PTHR19367', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR ALPHA CHAIN V REGION', 55474),
(111749, 'PTHR12080:SF54', NULL, NULL, NULL, NULL, 'T-CELL SURFACE ANTIGEN CD2', 55475),
(111750, 'PTHR11685:SF320', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 55476),
(111751, 'PTHR31744:SF143', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 3-LIKE', 55477),
(111752, 'PTHR12546:SF36', NULL, NULL, NULL, NULL, 'FER-1-LIKE PROTEIN 4', 55478),
(111753, 'PTHR11003:SF298', NULL, NULL, NULL, NULL, 'CHANNEL, PUTATIVE-RELATED', 55479);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(111754, 'PTHR48142', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 55480),
(111755, 'PTHR24299:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55481),
(111756, 'PTHR33649:SF19', NULL, NULL, NULL, NULL, 'PAR1-RELATED', 55482),
(111757, 'PTHR24068:SF349', NULL, NULL, NULL, NULL, 'NEDD8-CONJUGATING ENZYME UBC12', 55483),
(111758, 'PTHR10527:SF69', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL-RELATED', 55484),
(111759, 'PTHR19375:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55485),
(111760, 'PTHR19282:SF263', NULL, NULL, NULL, NULL, 'LEUKOCYTE ANTIGEN CD37', 55486),
(111761, 'PTHR46626:SF6', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 55487),
(111762, 'PTHR11908:SF147', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE', 55488),
(111763, 'PTHR24377:SF817', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 561', 55489),
(111764, 'PTHR14140:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UHRF2', 55490),
(111765, 'PTHR24356:SF390', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C, BRAIN ISOZYME-RELATED', 55491),
(111766, 'PTHR28525:SF1', NULL, NULL, NULL, NULL, 'REACTIVE OXYGEN SPECIES MODULATOR 1', 55492),
(111767, 'PTHR10106', NULL, NULL, NULL, NULL, 'CYTOCHROME B561-RELATED', 55493),
(111768, 'PTHR24070:SF404', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55494),
(111769, 'PTHR10343', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE , BETA SUBUNIT', 55495),
(111770, 'PTHR12181:SF62', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE LPIN3', 55496),
(111771, 'PTHR31325:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55497),
(111772, 'PTHR14038:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PRRC2C', 55498),
(111773, 'PTHR13833:SF78', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 55499),
(111774, 'PTHR31867:SF108', NULL, NULL, NULL, NULL, 'EXPANSIN', 55500),
(111775, 'PTHR24221:SF542', NULL, NULL, NULL, NULL, 'BILE SALT EXPORT PUMP-RELATED', 55501),
(111776, 'PTHR11783:SF270', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 55502),
(111777, 'PTHR11439:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55503),
(111778, 'PTHR19305:SF1', NULL, NULL, NULL, NULL, 'SYNAPTOSOMAL-ASSOCIATED PROTEIN 47', 55504),
(111779, 'PTHR19422:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55505),
(111780, 'PTHR34874:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YCHN', 55506),
(111781, 'PTHR23291:SF33', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-120', 55507),
(111782, 'PTHR24083:SF48', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 2 GROUP C MEMBER 2', 55508),
(111783, 'PTHR11818:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55509),
(111784, 'PTHR26452:SF361', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 55510),
(111785, 'PTHR30404:SF0', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE AMIB', 55511),
(111786, 'PTHR22767:SF3', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 25, NATB AUXILIARY SUBUNIT', 55512),
(111787, 'PTHR47746:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55513),
(111788, 'PTHR43148:SF6', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 55514),
(111789, 'PTHR43491:SF4', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-D-MANNOSAMINE DEHYDROGENASE', 55515),
(111790, 'PTHR10252:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55516),
(111791, 'PTHR31651', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 55517),
(111792, 'PTHR24100:SF108', NULL, NULL, NULL, NULL, 'BUTYROPHILIN-LIKE PROTEIN 8', 55518),
(111793, 'PTHR27003:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55519),
(111794, 'PTHR37824', NULL, NULL, NULL, NULL, 'IRON-REGULATED SURFACE DETERMINANT PROTEIN C', 55520),
(111795, 'PTHR13903', NULL, NULL, NULL, NULL, 'PIRIN-RELATED', 55521),
(111796, 'PTHR13620:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55522),
(111797, 'PTHR12621', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH DOMAIN  CHORD -CONTAINING PROTEIN', 55523),
(111798, 'PTHR10880:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55524),
(111799, 'PTHR45764:SF21', NULL, NULL, NULL, NULL, 'BNACNNG60880D PROTEIN', 55525),
(111800, 'PTHR24177:SF274', NULL, NULL, NULL, NULL, 'OS05G0427600 PROTEIN', 55526);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(111801, 'PTHR24258:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55527),
(111802, 'PTHR11412:SF86', NULL, NULL, NULL, NULL, 'COMPLEMENT C4-A-RELATED', 55528),
(111803, 'PTHR31989:SF349', NULL, NULL, NULL, NULL, 'OS08G0103900 PROTEIN', 55529),
(111804, 'PTHR31338:SF16', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', 55530),
(111805, 'PTHR33908:SF5', NULL, NULL, NULL, NULL, 'SLR1820 PROTEIN', 55531),
(111806, 'PTHR24249:SF395', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55532),
(111807, 'PTHR10015:SF353', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-5-LIKE', 55533),
(111808, 'PTHR46034:SF26', NULL, NULL, NULL, NULL, 'BNAA09G01890D PROTEIN', 55534),
(111809, 'PTHR10315:SF118', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 55535),
(111810, 'PTHR19384:SF111', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE 1', 55536),
(111811, 'PTHR42861:SF70', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 55537),
(111812, 'PTHR32248:SF4', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-54 FACTOR', 55538),
(111813, 'PTHR13318:SF147', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 55539),
(111814, 'PTHR13271:SF113', NULL, NULL, NULL, NULL, '[FRUCTOSE-BISPHOSPHATE ALDOLASE]-LYSINE N-METHYLTRANSFERASE, CHLOROPLASTIC', 55540),
(111815, 'PTHR10682', NULL, NULL, NULL, NULL, 'POLY A  POLYMERASE', 55541),
(111816, 'PTHR37946:SF1', NULL, NULL, NULL, NULL, 'SLL1969 PROTEIN', 55542),
(111817, 'PTHR28570:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR AMINOPEPTIDASE 1', 55543),
(111818, 'PTHR16770:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RIPPLY1', 55544),
(111819, 'PTHR12772:SF0', NULL, NULL, NULL, NULL, 'DNA REPLICATION COMPLEX GINS PROTEIN PSF2', 55545),
(111820, 'PTHR30335', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN OF SOXR-REDUCING COMPLEX', 55546),
(111821, 'PTHR10896:SF9', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE 3', 55547),
(111822, 'PTHR47242:SF1', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', 55548),
(111823, 'PTHR12841:SF7', NULL, NULL, NULL, NULL, 'BNAA07G03880D PROTEIN', 55549),
(111824, 'PTHR13409:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L51, MITOCHONDRIAL', 55550),
(111825, 'PTHR38774', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 55551),
(111826, 'PTHR36901:SF2', NULL, NULL, NULL, NULL, 'OS10G0520400 PROTEIN', 55552),
(111827, 'PTHR43163', NULL, NULL, NULL, NULL, 'DIPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN DPPB-RELATED', 55553),
(111828, 'PTHR46754:SF1', NULL, NULL, NULL, NULL, 'MKI67 FHA DOMAIN-INTERACTING NUCLEOLAR PHOSPHOPROTEIN', 55554),
(111829, 'PTHR19325:SF529', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55555),
(111830, 'PTHR33484:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55556),
(111831, 'PTHR47640:SF10', NULL, NULL, NULL, NULL, 'TRNA SELENOCYSTEINE 1-ASSOCIATED PROTEIN 1-RELATED', 55557),
(111832, 'PTHR15020:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55558),
(111833, 'PTHR46630', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 29', 55559),
(111834, 'PTHR11709:SF395', NULL, NULL, NULL, NULL, 'BNAA02G11730D PROTEIN', 55560),
(111835, 'PTHR45621:SF193', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL20-RELATED', 55561),
(111836, 'PTHR32468:SF147', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 19-LIKE', 55562),
(111837, 'PTHR44307:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE N-METHYLTRANSFERASE-LIKE', 55563),
(111838, 'PTHR45714:SF43', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT4', 55564),
(111839, 'PTHR31421:SF8', NULL, NULL, NULL, NULL, 'BARLEY B RECOMBINANT-LIKE PROTEIN D', 55565),
(111840, 'PTHR21726:SF64', NULL, NULL, NULL, NULL, 'SERINE-RICH ADHESIN FOR PLATELETS-LIKE PROTEIN', 55566),
(111841, 'PTHR13167:SF25', NULL, NULL, NULL, NULL, 'PIEZO-TYPE MECHANOSENSITIVE ION CHANNEL COMPONENT', 55567),
(111842, 'PTHR23354:SF65', NULL, NULL, NULL, NULL, 'TLD DOMAIN-CONTAINING PROTEIN 2', 55568),
(111843, 'PTHR31235:SF210', NULL, NULL, NULL, NULL, 'PEROXIDASE 29-RELATED', 55569);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(111844, 'PTHR27006:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55570),
(111845, 'PTHR34755:SF2', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 3', 55571),
(111846, 'PTHR12537:SF136', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 9-RELATED', 55572),
(111847, 'PTHR10535:SF21', NULL, NULL, NULL, NULL, 'BNAA05G17270D PROTEIN', 55573),
(111848, 'PTHR47928:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55574),
(111849, 'PTHR13914:SF26', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE', 55575),
(111850, 'PTHR31376:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55576),
(111851, 'PTHR45700:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE E3C', 55577),
(111852, 'PTHR45699', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', 55578),
(111853, 'PTHR12483:SF83', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 6-LIKE', 55579),
(111854, 'PTHR46600:SF6', NULL, NULL, NULL, NULL, 'ZGC:153292', 55580),
(111855, 'PTHR20961:SF110', NULL, NULL, NULL, NULL, 'PROTEIN O-LINKED-MANNOSE BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE 2-LIKE', 55581),
(111856, 'PTHR43066:SF13', NULL, NULL, NULL, NULL, 'RHOMBOID DOMAIN-CONTAINING PROTEIN 2', 55582),
(111857, 'PTHR15463', NULL, NULL, NULL, NULL, 'AP1 GAMMA SUBUNIT BINDING PROTEIN 1', 55583),
(111858, 'PTHR10707:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 4I2', 55584),
(111859, 'PTHR24103:SF46', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM21', 55585),
(111860, 'PTHR37705:SF3', NULL, NULL, NULL, NULL, 'BNAA07G04000D PROTEIN', 55586),
(111861, 'PTHR33116:SF40', NULL, NULL, NULL, NULL, 'BNAA09G28300D PROTEIN', 55587),
(111862, 'PTHR19957:SF297', NULL, NULL, NULL, NULL, 'TARGET SNARE COILED-COIL DOMAIN-CONTAINING PROTEIN-RELATED', 55588),
(111863, 'PTHR31506:SF26', NULL, NULL, NULL, NULL, 'BES1/BZR1 PLANT TRANSCRIPTION FACTOR-RELATED', 55589),
(111864, 'PTHR33133:SF26', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 55590),
(111865, 'PTHR12174:SF62', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 5', 55591),
(111866, 'PTHR32285:SF203', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 21', 55592),
(111867, 'PTHR21090:SF17', NULL, NULL, NULL, NULL, 'REPRESSOR PROTEIN (AFU_ORTHOLOGUE AFUA_8G02700)', 55593),
(111868, 'PTHR11558:SF11', NULL, NULL, NULL, NULL, 'SPERMIDINE SYNTHASE', 55594),
(111869, 'PTHR47025:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER, FYVE/PHD-TYPE-RELATED', 55595),
(111870, 'PTHR13861:SF12', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT F', 55596),
(111871, 'PTHR31669:SF225', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5-LIKE', 55597),
(111872, 'PTHR47967:SF29', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 55598),
(111873, 'PTHR47926:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55599),
(111874, 'PTHR38674:SF1', NULL, NULL, NULL, NULL, 'ALKANE 1-MONOOXYGENASE 1', 55600),
(111875, 'PTHR31675:SF42', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 6', 55601),
(111876, 'PTHR31189:SF53', NULL, NULL, NULL, NULL, '12S SEED STORAGE PROTEIN CRB', 55602),
(111877, 'PTHR47052:SF3', NULL, NULL, NULL, NULL, 'CONSERVED SERINE PROLINE-RICH PROTEIN (AFU_ORTHOLOGUE AFUA_2G01790)', 55603),
(111878, 'PTHR31907', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 423', 55604),
(111879, 'PTHR31945:SF126', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ICE1-LIKE', 55605),
(111880, 'PTHR22870:SF412', NULL, NULL, NULL, NULL, 'BNAA09G52370D PROTEIN', 55606),
(111881, 'PTHR45647:SF25', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 55607),
(111882, 'PTHR37178', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN', 55608),
(111883, 'PTHR33021:SF371', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 2', 55609),
(111884, 'PTHR32448:SF139', NULL, NULL, NULL, NULL, 'BNAC02G47420D PROTEIN', 55610),
(111885, 'PTHR26451:SF882', NULL, NULL, NULL, NULL, 'ZGC:194312', 55611),
(111886, 'PTHR15141:SF74', NULL, NULL, NULL, NULL, 'ELONGIN-A3-RELATED', 55612),
(111887, 'PTHR24306:SF4', NULL, NULL, NULL, NULL, 'PROSTACYCLIN SYNTHASE', 55613);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(111888, 'PTHR31589:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55614),
(111889, 'PTHR30531:SF12', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLHB', 55615),
(111890, 'PTHR15710:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55616),
(111891, 'PTHR47989:SF25', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ALE2', 55617),
(111892, 'PTHR33348:SF29', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP1-RELATED', 55618),
(111893, 'PTHR47938:SF9', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 55619),
(111894, 'PTHR47225', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 12', 55620),
(111895, 'PTHR45743:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55621),
(111896, 'PTHR11468:SF27', NULL, NULL, NULL, NULL, 'ALPHA-1,4 GLUCAN PHOSPHORYLASE L-2 ISOZYME, CHLOROPLASTIC/AMYLOPLASTIC', 55622),
(111897, 'PTHR24320:SF230', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', 55623),
(111898, 'PTHR12442:SF11', NULL, NULL, NULL, NULL, 'DYNEIN INTERMEDIATE CHAIN 1, AXONEMAL', 55624),
(111899, 'PTHR31089:SF44', NULL, NULL, NULL, NULL, 'BNAA04G19980D PROTEIN', 55625),
(111900, 'PTHR47581', NULL, NULL, NULL, NULL, 'OS09G0431600 PROTEIN', 55626),
(111901, 'PTHR48018:SF106', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5M11', 55627),
(111902, 'PTHR11022:SF67', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-RECOGNITION PROTEIN LB-RELATED', 55628),
(111903, 'PTHR47814', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE ARFB', 55629),
(111904, 'PTHR31988:SF28', NULL, NULL, NULL, NULL, 'BNACNNG32890D PROTEIN', 55630),
(111905, 'PTHR12231:SF231', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE 2', 55631),
(111906, 'PTHR18896:SF140', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 55632),
(111907, 'PTHR10366:SF432', NULL, NULL, NULL, NULL, 'OS02G0180700 PROTEIN', 55633),
(111908, 'PTHR31549:SF24', NULL, NULL, NULL, NULL, 'OS06G0160600 PROTEIN', 55634),
(111909, 'PTHR16001', NULL, NULL, NULL, NULL, 'ECTO-NOX DISULFIDE-THIOL EXCHANGER', 55635),
(111910, 'PTHR43245:SF14', NULL, NULL, NULL, NULL, 'CDP-ABEQUOSE SYNTHASE', 55636),
(111911, 'PTHR33168:SF42', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 55637),
(111912, 'PTHR11697:SF218', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 55638),
(111913, 'PTHR10963:SF60', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14540)-RELATED', 55639),
(111914, 'PTHR31792:SF8', NULL, NULL, NULL, NULL, 'VACUOLAR ATPASE ASSEMBLY INTEGRAL MEMBRANE PROTEIN VMA21 HOMOLOG', 55640),
(111915, 'PTHR36206:SF12', NULL, NULL, NULL, NULL, 'ASPERCRYPTIN BIOSYNTHESIS CLUSTER-SPECIFIC TRANSCRIPTION REGULATOR ATNN-RELATED', 55641),
(111916, 'PTHR46927:SF3', NULL, NULL, NULL, NULL, 'AGAP005574-PA', 55642),
(111917, 'PTHR21436', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 55643),
(111918, 'PTHR31236:SF55', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 5-LIKE', 55644),
(111919, 'PTHR45898:SF17', NULL, NULL, NULL, NULL, 'BNAA03G52190D PROTEIN', 55645),
(111920, 'PTHR22893:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55646),
(111921, 'PTHR24346:SF38', NULL, NULL, NULL, NULL, 'SALT INDUCIBLE KINASE 2', 55647),
(111922, 'PTHR39415:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 27', 55648),
(111923, 'PTHR45618:SF25', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 6', 55649),
(111924, 'PTHR33432:SF20', NULL, NULL, NULL, NULL, 'PROTEIN EMSY-LIKE 2', 55650),
(111925, 'PTHR12136:SF103', NULL, NULL, NULL, NULL, 'BNAC06G15410D PROTEIN', 55651),
(111926, 'PTHR26453:SF214', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2AJ1', 55652),
(111927, 'PTHR26452:SF775', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5H8', 55653),
(111928, 'PTHR21643:SF6', NULL, NULL, NULL, NULL, 'AEX-2 RELATED NEUROPEPTIDE RECEPTOR', 55654),
(111929, 'PTHR31048:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55655),
(111930, 'PTHR32093:SF130', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 55656),
(111931, 'PTHR14678', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 55657);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(111932, 'PTHR23070:SF120', NULL, NULL, NULL, NULL, 'AAA-ATPASE ASD MITOCHONDRIAL', 55658),
(111933, 'PTHR12002:SF3', NULL, NULL, NULL, NULL, 'CLAUDIN-23', 55659),
(111934, 'PTHR24366:SF65', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND IMMUNOGLOBULIN LIKE DOMAINS 3', 55660),
(111935, 'PTHR24112:SF43', NULL, NULL, NULL, NULL, 'CAPPING PROTEIN, ARP2/3 AND MYOSIN-I LINKER PROTEIN 3', 55661),
(111936, 'PTHR11655', NULL, NULL, NULL, NULL, '60S/50S RIBOSOMAL PROTEIN L6/L9', 55662),
(111937, 'PTHR16461', NULL, NULL, NULL, NULL, 'TOLL-INTERACTING PROTEIN', 55663),
(111938, 'PTHR10408:SF14', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE', 55664),
(111939, 'PTHR27006:SF365', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55665),
(111940, 'PTHR43358:SF13', NULL, NULL, NULL, NULL, 'BNAC03G59850D PROTEIN', 55666),
(111941, 'PTHR33680:SF1', NULL, NULL, NULL, NULL, 'OS07G0190500 PROTEIN', 55667),
(111942, 'PTHR31218:SF12', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 55668),
(111943, 'PTHR40202', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 55669),
(111944, 'PTHR32099:SF42', NULL, NULL, NULL, NULL, 'OS01G0774133 PROTEIN', 55670),
(111945, 'PTHR48112:SF22', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN DSP1', 55671),
(111946, 'PTHR31470:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55672),
(111947, 'PTHR24343:SF424', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0279719-RELATED', 55673),
(111948, 'PTHR10953:SF186', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME 6', 55674),
(111949, 'PTHR11670:SF59', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE', 55675),
(111950, 'PTHR36388', NULL, NULL, NULL, NULL, 'OS02G0469000 PROTEIN', 55676),
(111951, 'PTHR23266:SF219', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION 441-RELATED', 55677),
(111952, 'PTHR11736:SF48', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 4-RELATED', 55678),
(111953, 'PTHR42820:SF1', NULL, NULL, NULL, NULL, 'XANTHOXIN DEHYDROGENASE', 55679),
(111954, 'PTHR15054:SF3', NULL, NULL, NULL, NULL, 'SARCOPLASMIC RETICULUM HISTIDINE-RICH CALCIUM-BINDING PROTEIN', 55680),
(111955, 'PTHR19302:SF65', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT', 55681),
(111956, 'PTHR43731:SF20', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 13', 55682),
(111957, 'PTHR22765:SF38', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF133', 55683),
(111958, 'PTHR11206:SF428', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 55684),
(111959, 'PTHR13832:SF756', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-LIKE PROTEIN', 55685),
(111960, 'PTHR46198:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55686),
(111961, 'PTHR12673:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55687),
(111962, 'PTHR48043:SF1', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-48-RELATED', 55688),
(111963, 'PTHR12021:SF21', NULL, NULL, NULL, NULL, 'TMSB15B ISOFORM 1', 55689),
(111964, 'PTHR46777:SF10', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 8-LIKE', 55690),
(111965, 'PTHR31065:SF52', NULL, NULL, NULL, NULL, 'BNAA09G38660D PROTEIN', 55691),
(111966, 'PTHR23336:SF65', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 6', 55692),
(111967, 'PTHR43778', NULL, NULL, NULL, NULL, 'PYRUVATE CARBOXYLASE', 55693),
(111968, 'PTHR30603:SF43', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-C FACTOR-RELATED', 55694),
(111969, 'PTHR24264', NULL, NULL, NULL, NULL, 'TRYPSIN-RELATED', 55695),
(111970, 'PTHR31636:SF269', NULL, NULL, NULL, NULL, 'BNAA07G37270D PROTEIN', 55696),
(111971, 'PTHR24096:SF358', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 8', 55697),
(111972, 'PTHR44573:SF2', NULL, NULL, NULL, NULL, '2-METHYLENE-FURAN-3-ONE REDUCTASE-LIKE', 55698),
(111973, 'PTHR19241:SF545', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 29', 55699),
(111974, 'PTHR13780:SF135', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN-RELATED', 55700),
(111975, 'PTHR31639:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55701),
(111976, 'PTHR43423:SF9', NULL, NULL, NULL, NULL, 'PHOSPHATE IMPORT ATP-BINDING PROTEIN PSTB 3', 55702);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(111977, 'PTHR15127:SF31', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING ADAPTER PROTEIN B', 55703),
(111978, 'PTHR11945:SF341', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN SOC1', 55704),
(111979, 'PTHR11098:SF23', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE', 55705),
(111980, 'PTHR31897:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04687', 55706),
(111981, 'PTHR47928:SF89', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 55707),
(111982, 'PTHR24296:SF180', NULL, NULL, NULL, NULL, 'BNAA09G15130D PROTEIN', 55708),
(111983, 'PTHR38046:SF1', NULL, NULL, NULL, NULL, 'CRYPTIC LOCI REGULATOR 2', 55709),
(111984, 'PTHR43416', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE SUCCINYLTRANSFERASE COMPONENT OF 2-OXOGLUTARATE DEHYDROGENASE COMPLEX, MITOCHONDRIAL-RELATED', 55710),
(111985, 'PTHR45748:SF14', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1C-RELATED', 55711),
(111986, 'PTHR34822', NULL, NULL, NULL, NULL, 'GRPB DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G01530)', 55712),
(111987, 'PTHR31250:SF55', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM4', 55713),
(111988, 'PTHR31048:SF49', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', 55714),
(111989, 'PTHR10795:SF593', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55715),
(111990, 'PTHR33429:SF30', NULL, NULL, NULL, NULL, 'BNAC07G48290D PROTEIN', 55716),
(111991, 'PTHR44147:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 1', 55717),
(111992, 'PTHR10281:SF24', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROGESTERONE RECEPTOR COMPONENT 2', 55718),
(111993, 'PTHR31080:SF144', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', 55719),
(111994, 'PTHR19375:SF412', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70KD, C-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', 55720),
(111995, 'PTHR46989', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 55721),
(111996, 'PTHR15852:SF68', NULL, NULL, NULL, NULL, 'BNAA06G17240D PROTEIN', 55722),
(111997, 'PTHR10795:SF545', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3', 55723),
(111998, 'PTHR31374:SF310', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP PROTEIN 58', 55724),
(111999, 'PTHR33427:SF3', NULL, NULL, NULL, NULL, 'HNH ENDONUCLEASE', 55725),
(112000, 'PTHR10676:SF356', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 14, AXONEMAL', 55726),
(112001, 'PTHR32133:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55727),
(112002, 'PTHR45619:SF29', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP-X ISOZYME 1', 55728),
(112003, 'PTHR43009:SF6', NULL, NULL, NULL, NULL, 'HOMOGENTISATE PHYTYLTRANSFERASE 1, CHLOROPLASTIC', 55729),
(112004, 'PTHR12001:SF47', NULL, NULL, NULL, NULL, 'SHORT CHAIN ISOPRENYL DIPHOSPHATE SYNTHASE', 55730),
(112005, 'PTHR43719:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55731),
(112006, 'PTHR31995', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IIS FAMILY PROTEIN-RELATED', 55732),
(112007, 'PTHR46204', NULL, NULL, NULL, NULL, 'CHITIN ELICITOR RECEPTOR KINASE 1-RELATED', 55733),
(112008, 'PTHR40517', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PHOSPHOHYDROLASE, HD SUPERFAMILY-RELATED', 55734),
(112009, 'PTHR46940', NULL, NULL, NULL, NULL, 'NKAP DOMAIN-CONTAINING 1', 55735),
(112010, 'PTHR43390:SF1', NULL, NULL, NULL, NULL, 'CHLOROPLAST PROCESSING PEPTIDASE', 55736),
(112011, 'PTHR24241:SF18', NULL, NULL, NULL, NULL, 'VASOPRESSIN V1B RECEPTOR', 55737),
(112012, 'PTHR34783:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55738),
(112013, 'PTHR31948:SF65', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 1', 55739),
(112014, 'PTHR10334:SF495', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55740),
(112015, 'PTHR37769:SF2', NULL, NULL, NULL, NULL, 'BNAA10G11470D PROTEIN', 55741),
(112016, 'PTHR33172:SF34', NULL, NULL, NULL, NULL, 'OS09G0499000 PROTEIN', 55742),
(112017, 'PTHR12634:SF22', NULL, NULL, NULL, NULL, 'SIT4 PHOSPHATASE-ASSOCIATED FAMILY PROTEIN', 55743),
(112018, 'PTHR23024:SF530', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55744),
(112019, 'PTHR31945:SF53', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', 55745);
INSERT INTO "PUBLIC"."MODEL" VALUES
(112020, 'PTHR13768:SF2', NULL, NULL, NULL, NULL, 'GAMMA-SOLUBLE NSF ATTACHMENT PROTEIN', 55746),
(112021, 'PTHR10257:SF49', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 55747),
(112022, 'PTHR11915:SF434', NULL, NULL, NULL, NULL, 'ALPHA-ACTININ-1', 55748),
(112023, 'PTHR24637:SF272', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 8', 55749),
(112024, 'PTHR11358:SF32', NULL, NULL, NULL, NULL, 'ARGINASE 2, CHLOROPLASTIC/MITOCHONDRIAL', 55750),
(112025, 'PTHR31375:SF11', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 55751),
(112026, 'PTHR37162:SF1', NULL, NULL, NULL, NULL, 'HAT FAMILY DIMERISATION DOMAINCONTAINING PROTEIN', 55752),
(112027, 'PTHR21366:SF22', NULL, NULL, NULL, NULL, 'OS07G0160400 PROTEIN', 55753),
(112028, 'PTHR47926:SF240', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL-RELATED', 55754),
(112029, 'PTHR47925:SF5', NULL, NULL, NULL, NULL, 'BNAC05G10750D PROTEIN', 55755),
(112030, 'PTHR37877:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL COILED-COIL DOMAIN PROTEIN 1', 55756),
(112031, 'PTHR15907:SF109', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 9', 55757),
(112032, 'PTHR14237:SF75', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE, MAJOR REGION, SUBDOMAIN 1-RELATED', 55758),
(112033, 'PTHR32208:SF60', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE GLOX1', 55759),
(112034, 'PTHR16134:SF79', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT INHIBITOR RESPONSE 1', 55760),
(112035, 'PTHR28657:SF5', NULL, NULL, NULL, NULL, 'INDOLEAMINE 2,3-DIOXYGENASE', 55761),
(112036, 'PTHR47021:SF9', NULL, NULL, NULL, NULL, 'BNACNNG63080D PROTEIN', 55762),
(112037, 'PTHR24343:SF121', NULL, NULL, NULL, NULL, 'MATERNAL EMBRYONIC LEUCINE ZIPPER KINASE', 55763),
(112038, 'PTHR11043:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55764),
(112039, 'PTHR45883:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FAM10A5-RELATED', 55765),
(112040, 'PTHR31133:SF12', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN', 55766),
(112041, 'PTHR24379:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55767),
(112042, 'PTHR11999', NULL, NULL, NULL, NULL, 'GROUP II PYRIDOXAL-5-PHOSPHATE DECARBOXYLASE', 55768),
(112043, 'PTHR31213:SF155', NULL, NULL, NULL, NULL, 'PYR1-LIKE 7-RELATED', 55769),
(112044, 'PTHR48018:SF107', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5B17', 55770),
(112045, 'PTHR23411:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE (SDR FAMILY) MEMBER 13B-RELATED', 55771),
(112046, 'PTHR33430:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0027H06.14 PROTEIN', 55772),
(112047, 'PTHR48002:SF48', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 55773),
(112048, 'PTHR31500:SF9', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 9', 55774),
(112049, 'PTHR13713:SF8', NULL, NULL, NULL, NULL, 'TYPE 2 LACTOSAMINE ALPHA-2,3-SIALYLTRANSFERASE', 55775),
(112050, 'PTHR36016:SF10', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 7', 55776),
(112051, 'PTHR33164:SF13', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE CATABOLISM PROTEIN', 55777),
(112052, 'PTHR22993:SF26', NULL, NULL, NULL, NULL, 'OS06G0643600 PROTEIN', 55778),
(112053, 'PTHR10992:SF848', NULL, NULL, NULL, NULL, 'OS01G0557100 PROTEIN', 55779),
(112054, 'PTHR12868:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55780),
(112055, 'PTHR10489:SF928', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 2', 55781),
(112056, 'PTHR24322:SF729', NULL, NULL, NULL, NULL, 'MIP05442P', 55782),
(112057, 'PTHR24559:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55783),
(112058, 'PTHR31375:SF169', NULL, NULL, NULL, NULL, 'F3F20.10 PROTEIN-RELATED', 55784),
(112059, 'PTHR24057:SF54', NULL, NULL, NULL, NULL, 'BNAA09G38810D PROTEIN', 55785),
(112060, 'PTHR45617:SF95', NULL, NULL, NULL, NULL, '18 WHEELER-RELATED', 55786),
(112061, 'PTHR22923:SF70', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 6', 55787),
(112062, 'PTHR31580:SF7', NULL, NULL, NULL, NULL, 'OS04G0505000 PROTEIN', 55788),
(112063, 'PTHR23155:SF1067', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 55789);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(112064, 'PTHR34137', NULL, NULL, NULL, NULL, 'EXODEOXYRIBONUCLEASE 7 SMALL SUBUNIT', 55790),
(112065, 'PTHR20937:SF3', NULL, NULL, NULL, NULL, 'IP14615P', 55791),
(112066, 'PTHR47322:SF14', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 55792),
(112067, 'PTHR31500:SF73', NULL, NULL, NULL, NULL, 'BNAA02G33320D PROTEIN', 55793),
(112068, 'PTHR19139:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55794),
(112069, 'PTHR47991:SF10', NULL, NULL, NULL, NULL, 'HYOSCYAMINE 6-DIOXYGENASE-LIKE', 55795),
(112070, 'PTHR14241:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-208G24.8-RELATED', 55796),
(112071, 'PTHR24203:SF45', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 55797),
(112072, 'PTHR13848:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE 2', 55798),
(112073, 'PTHR45974:SF177', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 55799),
(112074, 'PTHR31425:SF6', NULL, NULL, NULL, NULL, 'OS02G0663900 PROTEIN', 55800),
(112075, 'PTHR45614:SF150', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR-LIKE PROTEIN', 55801),
(112076, 'PTHR11592:SF78', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID HYDROPEROXIDE GLUTATHIONE PEROXIDASE', 55802),
(112077, 'PTHR37196', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 55803),
(112078, 'PTHR24121:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 14', 55804),
(112079, 'PTHR33085:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55805),
(112080, 'PTHR30032:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE CWLM', 55806),
(112081, 'PTHR37363', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT GON7', 55807),
(112082, 'PTHR30136:SF19', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL REPRESSOR YIAJ', 55808),
(112083, 'PTHR24012:SF818', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN BRN2', 55809),
(112084, 'PTHR46746', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY F MEMBER 2', 55810),
(112085, 'PTHR45670:SF11', NULL, NULL, NULL, NULL, 'BNAA03G00690D PROTEIN', 55811),
(112086, 'PTHR47668:SF1', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G01940)', 55812),
(112087, 'PTHR42678', NULL, NULL, NULL, NULL, 'AMIDASE', 55813),
(112088, 'PTHR43625:SF44', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 6-RELATED', 55814),
(112089, 'PTHR14464', NULL, NULL, NULL, NULL, 'EXONUCLEASE V', 55815),
(112090, 'PTHR31448:SF40', NULL, NULL, NULL, NULL, 'BNAA04G17750D PROTEIN', 55816),
(112091, 'PTHR34444', NULL, NULL, NULL, NULL, 'LOC361192', 55817),
(112092, 'PTHR31707:SF341', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 55818),
(112093, 'PTHR11746:SF143', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE 12-RELATED', 55819),
(112094, 'PTHR22776:SF33', NULL, NULL, NULL, NULL, 'PROTEIN CBG22717', 55820),
(112095, 'PTHR24089:SF281', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE TRANSPORTER BT1, CHLOROPLASTIC/AMYLOPLASTIC/MITOCHONDRIAL', 55821),
(112096, 'PTHR39648', NULL, NULL, NULL, NULL, '6-HYDROXYMETHYL-7,8-DIHYDROPTERIN PYROPHOSPHOKINASE', 55822),
(112097, 'PTHR47126:SF8', NULL, NULL, NULL, NULL, 'BNAC01G40410D PROTEIN', 55823),
(112098, 'PTHR23430:SF234', NULL, NULL, NULL, NULL, 'HISTONE H2A', 55824),
(112099, 'PTHR45969:SF39', NULL, NULL, NULL, NULL, 'BNACNNG20990D PROTEIN', 55825),
(112100, 'PTHR43895', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 55826),
(112101, 'PTHR31718:SF32', NULL, NULL, NULL, NULL, 'EMBRYO-SPECIFIC PROTEIN ATS3B', 55827),
(112102, 'PTHR46011:SF15', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 55828),
(112103, 'PTHR47158:SF2', NULL, NULL, NULL, NULL, 'BNAA03G01640D PROTEIN', 55829),
(112104, 'PTHR11062:SF231', NULL, NULL, NULL, NULL, 'GLUCOSAMINE INOSITOLPHOSPHORYLCERAMIDE TRANSFERASE 1', 55830),
(112105, 'PTHR23430:SF282', NULL, NULL, NULL, NULL, 'HISTONE H2A', 55831),
(112106, 'PTHR32116:SF59', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 55832),
(112107, 'PTHR24025:SF0', NULL, NULL, NULL, NULL, 'DESMOCOLLIN-2', 55833),
(112108, 'PTHR24281:SF64', NULL, NULL, NULL, NULL, 'OS06G0642300 PROTEIN', 55834),
(112109, 'PTHR46612:SF1', NULL, NULL, NULL, NULL, 'XYLOSIDE XYLOSYLTRANSFERASE 1', 55835);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(112110, 'PTHR11636:SF121', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 3, TRANSCRIPTION FACTOR 3-A', 55836),
(112111, 'PTHR31232:SF89', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY-RELATED', 55837),
(112112, 'PTHR32246:SF60', NULL, NULL, NULL, NULL, '16 KDA PHLOEM PROTEIN 1', 55838),
(112113, 'PTHR21645:SF8', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN F13G3.3', 55839),
(112114, 'PTHR31942:SF60', NULL, NULL, NULL, NULL, 'OS05G0418100 PROTEIN', 55840),
(112115, 'PTHR43602:SF1', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE DOMAIN-CONTAINING PROTEIN 3, MITOCHONDRIAL', 55841),
(112116, 'PTHR46079:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG22314', 55842),
(112117, 'PTHR31639:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55843),
(112118, 'PTHR45621:SF57', NULL, NULL, NULL, NULL, 'KINASE CX32, PUTATIVE-RELATED', 55844),
(112119, 'PTHR12300:SF147', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 55845),
(112120, 'PTHR45646:SF4', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE CLK1', 55846),
(112121, 'PTHR12300:SF55', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 55847),
(112122, 'PTHR37937', NULL, NULL, NULL, NULL, 'CONJUGATIVE TRANSFER: DNA TRANSPORT', 55848),
(112123, 'PTHR27002:SF833', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55849),
(112124, 'PTHR24056:SF225', NULL, NULL, NULL, NULL, 'OS11G0242500 PROTEIN', 55850),
(112125, 'PTHR11079:SF168', NULL, NULL, NULL, NULL, 'RIBOFLAVIN BIOSYNTHESIS PROTEIN PYRR, CHLOROPLASTIC', 55851),
(112126, 'PTHR32175:SF18', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 55852),
(112127, 'PTHR24393:SF91', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 76', 55853),
(112128, 'PTHR12064:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55854),
(112129, 'PTHR10621:SF50', NULL, NULL, NULL, NULL, 'UV EXCISION REPAIR PROTEIN RAD23-RELATED', 55855),
(112130, 'PTHR10177:SF210', NULL, NULL, NULL, NULL, 'CYCLIN J, ISOFORM A', 55856),
(112131, 'PTHR31851:SF54', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER HOMOLOG 1', 55857),
(112132, 'PTHR46629:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55858),
(112133, 'PTHR11746:SF180', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE 2-RELATED', 55859),
(112134, 'PTHR45660:SF22', NULL, NULL, NULL, NULL, 'OSJNBB0038F03.7 PROTEIN', 55860),
(112135, 'PTHR11081', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE FAMILY MEMBER', 55861),
(112136, 'PTHR11705:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55862),
(112137, 'PTHR47939', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED SALT-INDUCIBLE PROTEIN-LIKE', 55863),
(112138, 'PTHR45690:SF11', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 12', 55864),
(112139, 'PTHR31048:SF40', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', 55865),
(112140, 'PTHR31642:SF190', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 55866),
(112141, 'PTHR22870:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55867),
(112142, 'PTHR31471:SF57', NULL, NULL, NULL, NULL, 'REMORIN-LIKE', 55868),
(112143, 'PTHR38795', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 55869),
(112144, 'PTHR11743:SF23', NULL, NULL, NULL, NULL, 'GH26960P-RELATED', 55870),
(112145, 'PTHR35504', NULL, NULL, NULL, NULL, 'PROTEIN EMBRYONIC FLOWER 1', 55871),
(112146, 'PTHR23416:SF36', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS ACETYLTRANSFERASE WCAF-RELATED', 55872),
(112147, 'PTHR40635:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55873),
(112148, 'PTHR12837', NULL, NULL, NULL, NULL, 'POLY ADP-RIBOSE  GLYCOHYDROLASE', 55874),
(112149, 'PTHR43367', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 55875),
(112150, 'PTHR10871:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN SWS2, MITOCHONDRIAL', 55876),
(112151, 'PTHR31621:SF60', NULL, NULL, NULL, NULL, 'PROTEIN DMP2', 55877),
(112152, 'PTHR31325:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55878),
(112153, 'PTHR33128:SF64', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF 3339)-RELATED', 55879),
(112154, 'PTHR33683:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55880);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(112155, 'PTHR11782:SF86', NULL, NULL, NULL, NULL, 'APYRASE 1', 55881),
(112156, 'PTHR32080:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55882),
(112157, 'PTHR33133:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55883),
(112158, 'PTHR39560', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE FIC-RELATED', 55884),
(112159, 'PTHR10742:SF391', NULL, NULL, NULL, NULL, 'BNAC07G50830D PROTEIN', 55885),
(112160, 'PTHR11746:SF120', NULL, NULL, NULL, NULL, 'CAFFEATE O-METHYLTRANSFERASE-LIKE PROTEIN 2', 55886),
(112161, 'PTHR11254:SF395', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SMURF1', 55887),
(112162, 'PTHR31003:SF37', NULL, NULL, NULL, NULL, 'BNAA05G16090D PROTEIN', 55888),
(112163, 'PTHR37245:SF4', NULL, NULL, NULL, NULL, 'PAMP-INDUCED SECRETED PEPTIDE 1', 55889),
(112164, 'PTHR32219:SF18', NULL, NULL, NULL, NULL, 'BNAA08G14070D PROTEIN', 55890),
(112165, 'PTHR10285:SF191', NULL, NULL, NULL, NULL, 'URIDINE KINASE-LIKE PROTEIN 4', 55891),
(112166, 'PTHR35365:SF11', NULL, NULL, NULL, NULL, 'SPORE COAT PROTEIN SP65', 55892),
(112167, 'PTHR47289', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (DUF1664)-RELATED', 55893),
(112168, 'PTHR42799:SF17', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE-LIKE', 55894),
(112169, 'PTHR12903:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L24, MITOCHONDRIAL', 55895),
(112170, 'PTHR46100:SF8', NULL, NULL, NULL, NULL, 'OS05G0170200 PROTEIN', 55896),
(112171, 'PTHR46707:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07468', 55897),
(112172, 'PTHR10631', NULL, NULL, NULL, NULL, 'N 2 ,N 2 -DIMETHYLGUANOSINE TRNA METHYLTRANSFERASE', 55898),
(112173, 'PTHR24056:SF254', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 2', 55899),
(112174, 'PTHR24284:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 55900),
(112175, 'PTHR33670:SF19', NULL, NULL, NULL, NULL, 'T20H2.15 PROTEIN', 55901),
(112176, 'PTHR48002:SF43', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4A5-RELATED', 55902),
(112177, 'PTHR11902:SF48', NULL, NULL, NULL, NULL, 'ENOLASE', 55903),
(112178, 'PTHR45463', NULL, NULL, NULL, NULL, 'OS09G0392200 PROTEIN', 55904),
(112179, 'PTHR11349:SF103', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', 55905),
(112180, 'PTHR46950', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER CORA-LIKE FAMILY PROTEIN', 55906),
(112181, 'PTHR26453:SF638', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10AC1', 55907),
(112182, 'PTHR42788:SF10', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING COMPONENT', 55908),
(112183, 'PTHR22943:SF89', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 55909),
(112184, 'PTHR47988:SF34', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 55910),
(112185, 'PTHR34190:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55911),
(112186, 'PTHR45629:SF7', NULL, NULL, NULL, NULL, 'DNA EXCISION REPAIR PROTEIN ERCC-6-RELATED', 55912),
(112187, 'PTHR46195:SF17', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 8', 55913),
(112188, 'PTHR27008:SF471', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55914),
(112189, 'PTHR11999:SF104', NULL, NULL, NULL, NULL, 'OS05G0510600 PROTEIN', 55915),
(112190, 'PTHR22811:SF147', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA5', 55916),
(112191, 'PTHR22950', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 55917),
(112192, 'PTHR38648', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930451I11 GENE', 55918),
(112193, 'PTHR31650:SF54', NULL, NULL, NULL, NULL, 'BNAC04G48780D PROTEIN', 55919),
(112194, 'PTHR31871:SF33', NULL, NULL, NULL, NULL, 'HISTIDINE-TRNA LIGASE', 55920),
(112195, 'PTHR14256:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55921),
(112196, 'PTHR22883:SF305', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 3-RELATED', 55922),
(112197, 'PTHR32285:SF175', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 43', 55923),
(112198, 'PTHR31719:SF173', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29-LIKE', 55924),
(112199, 'PTHR47266:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55925);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(112200, 'PTHR47979:SF41', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-11B', 55926),
(112201, 'PTHR23192:SF74', NULL, NULL, NULL, NULL, 'SI:DKEYP-46H3.3-RELATED', 55927),
(112202, 'PTHR24391:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER E-BOX-BINDING HOMEOBOX 1', 55928),
(112203, 'PTHR11566:SF201', NULL, NULL, NULL, NULL, 'DYNAMIN CENTRAL DOMAIN-CONTAINING PROTEIN-RELATED', 55929),
(112204, 'PTHR31509:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55930),
(112205, 'PTHR43485:SF1', NULL, NULL, NULL, NULL, 'FORMATE HYDROGENLYASE SUBUNIT 5-RELATED', 55931),
(112206, 'PTHR33492', NULL, NULL, NULL, NULL, 'OSJNBA0043A12.37 PROTEIN-RELATED', 55932),
(112207, 'PTHR10501:SF30', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN WITH MULTIPLE SPLICING 2', 55933),
(112208, 'PTHR23119:SF6', NULL, NULL, NULL, NULL, 'DISKS LARGE HOMOLOG 2', 55934),
(112209, 'PTHR11024:SF12', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC13 HOMOLOG A', 55935),
(112210, 'PTHR32444:SF63', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RKS1', 55936),
(112211, 'PTHR14950:SF15', NULL, NULL, NULL, NULL, 'DICER-LIKE PROTEIN 4', 55937),
(112212, 'PTHR31852:SF9', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 55938),
(112213, 'PTHR12356:SF20', NULL, NULL, NULL, NULL, 'PROTEIN BOBBER 1-LIKE', 55939),
(112214, 'PTHR23349:SF42', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX', 55940),
(112215, 'PTHR46145:SF1', NULL, NULL, NULL, NULL, 'INACTIVE HEPARANASE-2', 55941),
(112216, 'PTHR19297:SF96', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYL-O-GLYCOSYL-GLYCOPROTEIN BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE', 55942),
(112217, 'PTHR39147:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SPT21', 55943),
(112218, 'PTHR15241:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55944),
(112219, 'PTHR33473:SF11', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ADAPTER PROTEIN CLPS', 55945),
(112220, 'PTHR37610:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55946),
(112221, 'PTHR24376:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 55947),
(112222, 'PTHR13421:SF16', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 3', 55948),
(112223, 'PTHR31108', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P63-REGULATED GENE 1-LIKE PROTEIN', 55949),
(112224, 'PTHR45688:SF15', NULL, NULL, NULL, NULL, 'BNAA04G22010D PROTEIN', 55950),
(112225, 'PTHR43895:SF100', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 55951),
(112226, 'PTHR32227:SF392', NULL, NULL, NULL, NULL, 'BNACNNG06930D PROTEIN', 55952),
(112227, 'PTHR12243:SF49', NULL, NULL, NULL, NULL, 'GH22016P-RELATED', 55953),
(112228, 'PTHR15454:SF25', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 23', 55954),
(112229, 'PTHR13609:SF20', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN 2', 55955),
(112230, 'PTHR15720:SF13', NULL, NULL, NULL, NULL, 'PROTEIN GREB1', 55956),
(112231, 'PTHR31889:SF35', NULL, NULL, NULL, NULL, 'OSJNBA0064H22.19 PROTEIN', 55957),
(112232, 'PTHR10221:SF19', NULL, NULL, NULL, NULL, 'BNAA08G28140D PROTEIN', 55958),
(112233, 'PTHR30634:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55959),
(112234, 'PTHR11767:SF109', NULL, NULL, NULL, NULL, 'POTASSIUM INWARDLY-RECTIFYING CHANNEL, SUBFAMILY J, MEMBER 2B', 55960),
(112235, 'PTHR11726:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55961),
(112236, 'PTHR34580', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 55962),
(112237, 'PTHR45614:SF33', NULL, NULL, NULL, NULL, 'OS02G0271900 PROTEIN', 55963),
(112238, 'PTHR31321:SF71', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 55964),
(112239, 'PTHR11875:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55965),
(112240, 'PTHR24032:SF18', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', 55966),
(112241, 'PTHR32285:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PMR5', 55967),
(112242, 'PTHR10292:SF18', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', 55968),
(112243, 'PTHR11743:SF72', NULL, NULL, NULL, NULL, 'BNAC09G32780D PROTEIN', 55969),
(112244, 'PTHR13242:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT L', 55970);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(112245, 'PTHR34396', NULL, NULL, NULL, NULL, 'OS03G0264950 PROTEIN-RELATED', 55971),
(112246, 'PTHR10994:SF73', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 55972),
(112247, 'PTHR45739:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55973),
(112248, 'PTHR32502:SF4', NULL, NULL, NULL, NULL, 'PTS SYSTEM MANNOSE-SPECIFIC EIIC COMPONENT', 55974),
(112249, 'PTHR43150:SF4', NULL, NULL, NULL, NULL, 'L-GLYCERALDEHYDE 3-PHOSPHATE REDUCTASE', 55975),
(112250, 'PTHR42791:SF4', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, GNAT FAMILY FAMILY (AFU_ORTHOLOGUE AFUA_4G09540)', 55976),
(112251, 'PTHR31717:SF88', NULL, NULL, NULL, NULL, 'BNAA10G08290D PROTEIN', 55977),
(112252, 'PTHR36792:SF6', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 55978),
(112253, 'PTHR47182', NULL, NULL, NULL, NULL, 'CELL WALL ALPHA-1,3-GLUCAN SYNTHASE AGS1-RELATED', 55979),
(112254, 'PTHR13059:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CAPICUA HOMOLOG', 55980),
(112255, 'PTHR48149:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37A', 55981),
(112256, 'PTHR47784:SF5', NULL, NULL, NULL, NULL, 'STEROL UPTAKE CONTROL PROTEIN 2', 55982),
(112257, 'PTHR43826:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55983),
(112258, 'PTHR14416:SF2', NULL, NULL, NULL, NULL, 'PROTEIN NJMU-R1', 55984),
(112259, 'PTHR47958:SF62', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 37-LIKE ISOFORM X1', 55985),
(112260, 'PTHR33937:SF2', NULL, NULL, NULL, NULL, 'IRON-MOLYBDENUM PROTEIN-RELATED', 55986),
(112261, 'PTHR47638', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 55987),
(112262, 'PTHR24221:SF126', NULL, NULL, NULL, NULL, 'SERINE PROTEASE/ABC TRANSPORTER B FAMILY PROTEIN TAGA', 55988),
(112263, 'PTHR10641:SF1251', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 55989),
(112264, 'PTHR11654:SF320', NULL, NULL, NULL, NULL, 'OS01G0872500 PROTEIN', 55990),
(112265, 'PTHR24225:SF26', NULL, NULL, NULL, NULL, 'FORMYL PEPTIDE RECEPTOR-RELATED SEQUENCE 4', 55991),
(112266, 'PTHR31917:SF101', NULL, NULL, NULL, NULL, 'OS07G0607300 PROTEIN', 55992),
(112267, 'PTHR13683:SF789', NULL, NULL, NULL, NULL, 'OS05G0590000 PROTEIN', 55993),
(112268, 'PTHR24159:SF5', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', 55994),
(112269, 'PTHR11462:SF37', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUN-B', 55995),
(112270, 'PTHR11686:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55996),
(112271, 'PTHR27008:SF479', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 55997),
(112272, 'PTHR39189:SF1', NULL, NULL, NULL, NULL, 'UPF0173 METAL-DEPENDENT HYDROLASE YTKL', 55998),
(112273, 'PTHR46736:SF26', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', 55999),
(112274, 'PTHR31374:SF258', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR76', 56000),
(112275, 'PTHR33067:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56001),
(112276, 'PTHR33076:SF72', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 56002),
(112277, 'PTHR40743:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56003),
(112278, 'PTHR43349:SF62', NULL, NULL, NULL, NULL, 'BNAC05G24220D PROTEIN', 56004),
(112279, 'PTHR10108:SF1108', NULL, NULL, NULL, NULL, 'BNAC04G05690D PROTEIN', 56005),
(112280, 'PTHR32009:SF87', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 56006),
(112281, 'PTHR34283', NULL, NULL, NULL, NULL, 'PROTEIN RESPONSE TO LOW SULFUR 1', 56007),
(112282, 'PTHR30086:SF5', NULL, NULL, NULL, NULL, 'HOMOGENTISATE EXPORT PROTEIN', 56008),
(112283, 'PTHR43377:SF13', NULL, NULL, NULL, NULL, 'DEHYDROGENASES AND RELATED PROTEINS-RELATED', 56009),
(112284, 'PTHR31314:SF124', NULL, NULL, NULL, NULL, 'BNAA02G30980D PROTEIN', 56010),
(112285, 'PTHR31852:SF232', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56011),
(112286, 'PTHR23329:SF1', NULL, NULL, NULL, NULL, 'TUFTELIN-INTERACTING PROTEIN 11', 56012),
(112287, 'PTHR13808:SF28', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE HAC12', 56013),
(112288, 'PTHR43625:SF35', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 1 ISOFORM X1-RELATED', 56014);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(112289, 'PTHR45724:SF33', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP5-1 ISOFORM X1-RELATED', 56015),
(112290, 'PTHR31301:SF126', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 27-RELATED', 56016),
(112291, 'PTHR43280:SF22', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR', 56017),
(112292, 'PTHR47482:SF11', NULL, NULL, NULL, NULL, 'OS11G0632001 PROTEIN', 56018),
(112293, 'PTHR31071:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56019),
(112294, 'PTHR33386:SF13', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', 56020),
(112295, 'PTHR33083:SF84', NULL, NULL, NULL, NULL, 'ATS40-3', 56021),
(112296, 'PTHR35243:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56022),
(112297, 'PTHR12411:SF586', NULL, NULL, NULL, NULL, 'CATHEPSIN L,-LIKE-RELATED', 56023),
(112298, 'PTHR38775:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 56024),
(112299, 'PTHR47175:SF2', NULL, NULL, NULL, NULL, 'LIPASE ATG15-RELATED', 56025),
(112300, 'PTHR23055:SF161', NULL, NULL, NULL, NULL, 'VISININ', 56026),
(112301, 'PTHR24070:SF178', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN DI-RAS2', 56027),
(112302, 'PTHR21713:SF2', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA-2', 56028),
(112303, 'PTHR33191:SF63', NULL, NULL, NULL, NULL, 'RLPA-LIKE DOUBLE-PSI BETA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', 56029),
(112304, 'PTHR33935:SF4', NULL, NULL, NULL, NULL, 'OS10G0149400 PROTEIN', 56030),
(112305, 'PTHR24269', NULL, NULL, NULL, NULL, 'KREMEN PROTEIN', 56031),
(112306, 'PTHR16146', NULL, NULL, NULL, NULL, 'INTELECTIN', 56032),
(112307, 'PTHR31459:SF23', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA-14, IMMUNOGLOBULIN-LIKE FOLD PROTEIN-RELATED', 56033),
(112308, 'PTHR31245:SF29', NULL, NULL, NULL, NULL, 'BNAC05G11050D PROTEIN', 56034),
(112309, 'PTHR21022:SF35', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE 3, CHLOROPLASTIC', 56035),
(112310, 'PTHR23149', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN CONTAINING PROTEIN', 56036),
(112311, 'PTHR10529:SF345', NULL, NULL, NULL, NULL, 'STONIN-2', 56037),
(112312, 'PTHR24388:SF62', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 280C', 56038),
(112313, 'PTHR26450:SF354', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 56039),
(112314, 'PTHR48062', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 14', 56040),
(112315, 'PTHR21580:SF23', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 3', 56041),
(112316, 'PTHR19309', NULL, NULL, NULL, NULL, 'GASTRIN', 56042),
(112317, 'PTHR34687', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ-LIKE PROTEIN', 56043),
(112318, 'PTHR45617:SF88', NULL, NULL, NULL, NULL, 'ASTROCYTIC LEUCINE-RICH REPEAT MOLECULE-RELATED', 56044),
(112319, 'PTHR48006:SF18', NULL, NULL, NULL, NULL, 'BNAA02G12070D PROTEIN', 56045),
(112320, 'PTHR12400:SF40', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE KINASE 3', 56046),
(112321, 'PTHR37459:SF1', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED PROTEIN CAS7/CST2/DEVR', 56047),
(112322, 'PTHR27005:SF393', NULL, NULL, NULL, NULL, 'OS01G0580150 PROTEIN', 56048),
(112323, 'PTHR21345', NULL, NULL, NULL, NULL, 'SPIRE', 56049),
(112324, 'PTHR42721:SF3', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 2-RELATED', 56050),
(112325, 'PTHR32440:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56051),
(112326, 'PTHR43895:SF89', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 56052),
(112327, 'PTHR13620:SF39', NULL, NULL, NULL, NULL, 'OSJNBB0072N21.11 PROTEIN', 56053),
(112328, 'PTHR24061:SF515', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 106-RELATED', 56054),
(112329, 'PTHR46539:SF6', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL14', 56055),
(112330, 'PTHR13481:SF0', NULL, NULL, NULL, NULL, 'UPF0454 PROTEIN C12ORF49', 56056),
(112331, 'PTHR43039:SF16', NULL, NULL, NULL, NULL, 'BNAA03G53980D PROTEIN', 56057),
(112332, 'PTHR34590', NULL, NULL, NULL, NULL, 'OS03G0124300 PROTEIN-RELATED', 56058),
(112333, 'PTHR31414:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56059),
(112334, 'PTHR43184:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56060);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(112335, 'PTHR22913:SF7', NULL, NULL, NULL, NULL, 'HYALURONAN SYNTHASE 2', 56061),
(112336, 'PTHR23084:SF242', NULL, NULL, NULL, NULL, 'CENTRAL APPARATUS ASSOCIATED PROTEIN C1A-18', 56062),
(112337, 'PTHR33576:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56063),
(112338, 'PTHR26454:SF19', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C68', 56064),
(112339, 'PTHR13430', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 56065),
(112340, 'PTHR19850:SF25', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-1', 56066),
(112341, 'PTHR30074:SF6', NULL, NULL, NULL, NULL, 'BLL5475 PROTEIN', 56067),
(112342, 'PTHR24056:SF174', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 16', 56068),
(112343, 'PTHR13843:SF6', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 1A', 56069),
(112344, 'PTHR10015:SF340', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-6A-LIKE', 56070),
(112345, 'PTHR32295:SF167', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', 56071),
(112346, 'PTHR30128:SF61', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A1', 56072),
(112347, 'PTHR23504:SF39', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03860)-RELATED', 56073),
(112348, 'PTHR34067:SF13', NULL, NULL, NULL, NULL, 'OS04G0613800 PROTEIN', 56074),
(112349, 'PTHR33109:SF3', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 1', 56075),
(112350, 'PTHR11353:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56076),
(112351, 'PTHR12176', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', 56077),
(112352, 'PTHR31662:SF62', NULL, NULL, NULL, NULL, 'BNAANNG07420D PROTEIN', 56078),
(112353, 'PTHR34894', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE RSMI, CONSERVED SITE', 56079),
(112354, 'PTHR24189:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56080),
(112355, 'PTHR33052:SF15', NULL, NULL, NULL, NULL, 'OS07G0123100 PROTEIN', 56081),
(112356, 'PTHR36814:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT N, CHLOROPLASTIC', 56082),
(112357, 'PTHR43539:SF66', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 56083),
(112358, 'PTHR46414', NULL, NULL, NULL, NULL, 'PROTEIN BHLHB9-RELATED', 56084),
(112359, 'PTHR34278:SF3', NULL, NULL, NULL, NULL, 'HOP-INTERACTING PROTEIN THI031', 56085),
(112360, 'PTHR33711', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02910)-RELATED', 56086),
(112361, 'PTHR46325:SF19', NULL, NULL, NULL, NULL, 'BNAC04G43900D PROTEIN', 56087),
(112362, 'PTHR33402:SF3', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 11-LIKE', 56088),
(112363, 'PTHR12713:SF32', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G', 56089),
(112364, 'PTHR10807:SF43', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 5', 56090),
(112365, 'PTHR31682', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE MUTASE', 56091),
(112366, 'PTHR11616:SF125', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT NEUTRAL AMINO ACID TRANSPORTER B(0)AT1', 56092),
(112367, 'PTHR10574:SF303', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT BETA-1', 56093),
(112368, 'PTHR34391:SF1', NULL, NULL, NULL, NULL, 'UPF0658 GOLGI APPARATUS MEMBRANE PROTEIN C1952.10C-RELATED', 56094),
(112369, 'PTHR46070:SF3', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 5B', 56095),
(112370, 'PTHR47662:SF5', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL56-LIKE', 56096),
(112371, 'PTHR24072:SF313', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE 2', 56097),
(112372, 'PTHR11702:SF42', NULL, NULL, NULL, NULL, 'BNAA08G29050D PROTEIN', 56098),
(112373, 'PTHR23127:SF2', NULL, NULL, NULL, NULL, 'BNAA02G21770D PROTEIN', 56099),
(112374, 'PTHR32099:SF70', NULL, NULL, NULL, NULL, 'BNAC03G29880D PROTEIN', 56100),
(112375, 'PTHR46598:SF3', NULL, NULL, NULL, NULL, 'OS07G0495300 PROTEIN', 56101),
(112376, 'PTHR45633:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56102),
(112377, 'PTHR45821:SF18', NULL, NULL, NULL, NULL, 'SNF2 DOMAIN-CONTAINING PROTEIN CLASSY 1-LIKE', 56103),
(112378, 'PTHR34065', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 14', 56104);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(112379, 'PTHR46006:SF3', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR (GEF) 3,-LIKE', 56105),
(112380, 'PTHR31190:SF278', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ABR1-LIKE', 56106),
(112381, 'PTHR11909:SF379', NULL, NULL, NULL, NULL, 'TAU TUBULIN KINASE 2B', 56107),
(112382, 'PTHR36063:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56108),
(112383, 'PTHR31681:SF60', NULL, NULL, NULL, NULL, 'BNAC02G23540D PROTEIN', 56109),
(112384, 'PTHR31282:SF164', NULL, NULL, NULL, NULL, 'BNAC03G33830D PROTEIN', 56110),
(112385, 'PTHR45876:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACD', 56111),
(112386, 'PTHR32285:SF299', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 3', 56112),
(112387, 'PTHR10091:SF32', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 56113),
(112388, 'PTHR22595:SF149', NULL, NULL, NULL, NULL, 'BASIC 30 KDA ENDOCHITINASE', 56114),
(112389, 'PTHR11905:SF167', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPEPTIDASE DOMAIN 4-RELATED', 56115),
(112390, 'PTHR31775:SF38', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL REGION REMORIN', 56116),
(112391, 'PTHR38354:SF2', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX-LIKE PROTEIN DTM1', 56117),
(112392, 'PTHR46277:SF4', NULL, NULL, NULL, NULL, 'OS01G0926800 PROTEIN', 56118),
(112393, 'PTHR20873:SF0', NULL, NULL, NULL, NULL, 'L-SERYL-TRNA(SEC) KINASE', 56119),
(112394, 'PTHR33217:SF5', NULL, NULL, NULL, NULL, 'MUTATOR FAMILY TRANSPOSASE', 56120),
(112395, 'PTHR10502:SF204', NULL, NULL, NULL, NULL, 'ANNEXIN', 56121),
(112396, 'PTHR33921:SF19', NULL, NULL, NULL, NULL, 'CALVIN CYCLE PROTEIN CP12-2, CHLOROPLASTIC', 56122),
(112397, 'PTHR31066:SF70', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', 56123),
(112398, 'PTHR37361:SF2', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 9', 56124),
(112399, 'PTHR34094:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM185A', 56125),
(112400, 'PTHR31859:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56126),
(112401, 'PTHR46158:SF12', NULL, NULL, NULL, NULL, 'BNAANNG03170D PROTEIN', 56127),
(112402, 'PTHR11733:SF7', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', 56128),
(112403, 'PTHR31920:SF62', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS03G0621600-RELATED', 56129),
(112404, 'PTHR10872:SF4', NULL, NULL, NULL, NULL, 'SH2B ADAPTER PROTEIN 2', 56130),
(112405, 'PTHR15218:SF0', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 96', 56131),
(112406, 'PTHR10015:SF350', NULL, NULL, NULL, NULL, 'BNAC04G32080D PROTEIN', 56132),
(112407, 'PTHR20855:SF61', NULL, NULL, NULL, NULL, 'PROTEIN CBG19039', 56133),
(112408, 'PTHR10150', NULL, NULL, NULL, NULL, 'DNA REPAIR ENDONUCLEASE XPF', 56134),
(112409, 'PTHR21310:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56135),
(112410, 'PTHR46211:SF8', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE-RELATED', 56136),
(112411, 'PTHR31151', NULL, NULL, NULL, NULL, 'PROLINE-TRNA LIGASE (DUF1680)', 56137),
(112412, 'PTHR46477:SF17', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 56138),
(112413, 'PTHR42683:SF64', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE-RELATED', 56139),
(112414, 'PTHR43027', NULL, NULL, NULL, NULL, 'DOXORUBICIN RESISTANCE ABC TRANSPORTER PERMEASE PROTEIN DRRC-RELATED', 56140),
(112415, 'PTHR31194:SF144', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF4-LIKE', 56141),
(112416, 'PTHR12565:SF336', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 56142),
(112417, 'PTHR47891', NULL, NULL, NULL, NULL, 'TRANSPORTER-RELATED', 56143),
(112418, 'PTHR47640:SF31', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP47A', 56144),
(112419, 'PTHR10791:SF30', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET1', 56145),
(112420, 'PTHR10165:SF17', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE-RELATED PROTEIN TYPE 5', 56146),
(112421, 'PTHR31677:SF147', NULL, NULL, NULL, NULL, 'BNAC02G48800D PROTEIN', 56147),
(112422, 'PTHR24394:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 42', 56148);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(112423, 'PTHR10502:SF212', NULL, NULL, NULL, NULL, 'ANNEXIN B9', 56149),
(112424, 'PTHR18870', NULL, NULL, NULL, NULL, 'PROTEIN TAG-278-RELATED', 56150),
(112425, 'PTHR33128:SF9', NULL, NULL, NULL, NULL, 'OS05G0103400 PROTEIN', 56151),
(112426, 'PTHR47720:SF1', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP2-1-RELATED', 56152),
(112427, 'PTHR47992:SF35', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', 56153),
(112428, 'PTHR33214:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56154),
(112429, 'PTHR31907:SF4', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 34-RELATED', 56155),
(112430, 'PTHR26452:SF785', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 56156),
(112431, 'PTHR47520:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG10012', 56157),
(112432, 'PTHR43521:SF5', NULL, NULL, NULL, NULL, 'ALPHA-AMINOADIPIC SEMIALDEHYDE DEHYDROGENASE', 56158),
(112433, 'PTHR31343:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56159),
(112434, 'PTHR34938:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56160),
(112435, 'PTHR11802:SF348', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 56161),
(112436, 'PTHR23500:SF74', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN MST5', 56162),
(112437, 'PTHR23054:SF76', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1-LIKE', 56163),
(112438, 'PTHR26453:SF588', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 56164),
(112439, 'PTHR45844:SF4', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN-LIKE', 56165),
(112440, 'PTHR47928:SF23', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL-RELATED', 56166),
(112441, 'PTHR47314', NULL, NULL, NULL, NULL, 'MALTOSE/MALTODEXTRIN TRANSPORT SYSTEM PERMEASE PROTEIN MALF', 56167),
(112442, 'PTHR12876:SF28', NULL, NULL, NULL, NULL, 'PROTEIN KHNYN', 56168),
(112443, 'PTHR11999:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56169),
(112444, 'PTHR33622:SF11', NULL, NULL, NULL, NULL, 'BNAA05G31660D PROTEIN', 56170),
(112445, 'PTHR37183:SF1', NULL, NULL, NULL, NULL, 'PLANT THIONIN FAMILY PROTEIN', 56171),
(112446, 'PTHR36953:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG07386', 56172),
(112447, 'PTHR45621:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56173),
(112448, 'PTHR23176:SF120', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN RGD1', 56174),
(112449, 'PTHR37766:SF1', NULL, NULL, NULL, NULL, 'OS01G0897100 PROTEIN', 56175),
(112450, 'PTHR45784:SF3', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 20 MEMBER A-RELATED', 56176),
(112451, 'PTHR11592:SF109', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 56177),
(112452, 'PTHR27009:SF180', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK3', 56178),
(112453, 'PTHR33428:SF9', NULL, NULL, NULL, NULL, 'CHLOROPHYLLASE-1', 56179),
(112454, 'PTHR43772:SF2', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSIDASE (EUROFUNG)', 56180),
(112455, 'PTHR11567:SF113', NULL, NULL, NULL, NULL, 'PROTEIN CBG06098', 56181),
(112456, 'PTHR37542', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 56182),
(112457, 'PTHR13683:SF232', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN 1-LIKE', 56183),
(112458, 'PTHR34718:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56184),
(112459, 'PTHR11202', NULL, NULL, NULL, NULL, 'SPROUTY-RELATED, EVH1 DOMAIN-CONTAINING PROTEIN FAMILY MEMBER', 56185),
(112460, 'PTHR24281:SF45', NULL, NULL, NULL, NULL, 'DUF1517 DOMAIN-CONTAINING PROTEIN', 56186),
(112461, 'PTHR24418:SF294', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE BTK29A', 56187),
(112462, 'PTHR11467:SF29', NULL, NULL, NULL, NULL, 'HISTONE H1-LIKE', 56188),
(112463, 'PTHR47977:SF45', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RIC1', 56189),
(112464, 'PTHR27007:SF253', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE II.1-RELATED', 56190),
(112465, 'PTHR38468', NULL, NULL, NULL, NULL, 'SLL0939 PROTEIN', 56191),
(112466, 'PTHR10201:SF165', NULL, NULL, NULL, NULL, 'COLLAGENASE 3', 56192),
(112467, 'PTHR11260:SF652', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE PARA-RELATED', 56193);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(112468, 'PTHR36803:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CHLORORESPIRATORY REDUCTION 7, CHLOROPLASTIC', 56194),
(112469, 'PTHR23244:SF432', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56195),
(112470, 'PTHR11987:SF30', NULL, NULL, NULL, NULL, 'ALPHA-2,8-SIALYLTRANSFERASE 8B', 56196),
(112471, 'PTHR42071:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56197),
(112472, 'PTHR10003', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE  CU-ZN -RELATED', 56198),
(112473, 'PTHR31190:SF282', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1', 56199),
(112474, 'PTHR36408', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 56200),
(112475, 'PTHR28398', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX CENTRAL ELEMENT PROTEIN 2', 56201),
(112476, 'PTHR46212:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56202),
(112477, 'PTHR11062:SF302', NULL, NULL, NULL, NULL, 'BNAA09G04460D PROTEIN', 56203),
(112478, 'PTHR23268:SF6', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 5-1-RELATED', 56204),
(112479, 'PTHR24115:SF930', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7L, CHLOROPLASTIC', 56205),
(112480, 'PTHR23507:SF31', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14230)-RELATED', 56206),
(112481, 'PTHR31992:SF186', NULL, NULL, NULL, NULL, 'BNAANNG11790D PROTEIN', 56207),
(112482, 'PTHR37723:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED-ELONGATED HYPOCOTYL 1-LIKE', 56208),
(112483, 'PTHR26453:SF644', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 56209),
(112484, 'PTHR45743:SF16', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT5-RELATED', 56210),
(112485, 'PTHR11079:SF163', NULL, NULL, NULL, NULL, 'CYTIDINE/DEOXYCYTIDYLATE DEAMINASE FAMILY PROTEIN', 56211),
(112486, 'PTHR10166:SF56', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, VOLTAGE-DEPENDENT, ALPHA2/DELTA SUBUNIT 3', 56212),
(112487, 'PTHR38789', NULL, NULL, NULL, NULL, 'REPRESSIBLE PROTEIN GRG1, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14210)-RELATED', 56213),
(112488, 'PTHR24248:SF14', NULL, NULL, NULL, NULL, 'ALPHA-1D ADRENERGIC RECEPTOR', 56214),
(112489, 'PTHR10209:SF441', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 6', 56215),
(112490, 'PTHR31860:SF9', NULL, NULL, NULL, NULL, 'HEAT-INDUCIBLE TRANSCRIPTION REPRESSOR (DUF639)', 56216),
(112491, 'PTHR30473', NULL, NULL, NULL, NULL, 'PROTEIN PHOH', 56217),
(112492, 'PTHR48056:SF28', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 56218),
(112493, 'PTHR11227:SF48', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18A-LIKE', 56219),
(112494, 'PTHR36442:SF1', NULL, NULL, NULL, NULL, 'CYCLIC-DI-AMP PHOSPHODIESTERASE PGPH', 56220),
(112495, 'PTHR11125:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT5 HOMOLOG 1-RELATED', 56221),
(112496, 'PTHR31683:SF80', NULL, NULL, NULL, NULL, 'PECTATE LYASE 16-RELATED', 56222),
(112497, 'PTHR33931:SF6', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN YXZK-RELATED', 56223),
(112498, 'PTHR11645', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE', 56224),
(112499, 'PTHR47924:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56225),
(112500, 'PTHR12612:SF0', NULL, NULL, NULL, NULL, 'GEO05124P1', 56226),
(112501, 'PTHR45651:SF79', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 1-LIKE', 56227),
(112502, 'PTHR19367:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56228),
(112503, 'PTHR46169:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG13700', 56229),
(112504, 'PTHR43132:SF2', NULL, NULL, NULL, NULL, 'ARSENICAL RESISTANCE OPERON REPRESSOR ARSR-RELATED', 56230),
(112505, 'PTHR27002:SF800', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 20-RELATED', 56231),
(112506, 'PTHR15729:SF12', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 30', 56232),
(112507, 'PTHR11183:SF130', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 56233),
(112508, 'PTHR27002:SF818', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 56234),
(112509, 'PTHR16148', NULL, NULL, NULL, NULL, 'NF-KAPPA-B-REPRESSING FACTOR-RELATED', 56235);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(112510, 'PTHR11260:SF527', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', 56236),
(112511, 'PTHR11176:SF16', NULL, NULL, NULL, NULL, 'OS01G0876800 PROTEIN', 56237),
(112512, 'PTHR42058:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56238),
(112513, 'PTHR11017:SF440', NULL, NULL, NULL, NULL, 'BNAC09G39460D PROTEIN', 56239),
(112514, 'PTHR22883:SF294', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 13-RELATED', 56240),
(112515, 'PTHR31992:SF108', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.4-LIKE ISOFORM X1', 56241),
(112516, 'PTHR46266:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC1', 56242),
(112517, 'PTHR36740:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 56243),
(112518, 'PTHR16705', NULL, NULL, NULL, NULL, 'COMPLEXIN', 56244),
(112519, 'PTHR10774:SF198', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN-RELATED', 56245),
(112520, 'PTHR24281:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56246),
(112521, 'PTHR11073:SF1', NULL, NULL, NULL, NULL, 'CALNEXIN 14D-RELATED', 56247),
(112522, 'PTHR32468:SF18', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 1', 56248),
(112523, 'PTHR11736:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56249),
(112524, 'PTHR11802:SF244', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 26', 56250),
(112525, 'PTHR12970', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 2', 56251),
(112526, 'PTHR22957:SF560', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56252),
(112527, 'PTHR14865', NULL, NULL, NULL, NULL, 'CST COMPLEX SUBUNIT CTC1', 56253),
(112528, 'PTHR21419:SF32', NULL, NULL, NULL, NULL, 'PROTEIN DEFECTIVE IN EXINE FORMATION 1', 56254),
(112529, 'PTHR31827:SF42', NULL, NULL, NULL, NULL, 'LORICRIN-RELATED', 56255),
(112530, 'PTHR31048:SF44', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN R MINOR FORM', 56256),
(112531, 'PTHR19269:SF39', NULL, NULL, NULL, NULL, 'TROPOMYOSIN 3, RELATED SEQUENCE 7', 56257),
(112532, 'PTHR30525:SF6', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE 5-PHOSPHATE REDUCTOISOMERASE', 56258),
(112533, 'PTHR46602', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF GENE SILENCING 3', 56259),
(112534, 'PTHR31992:SF114', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.1', 56260),
(112535, 'PTHR24248:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56261),
(112536, 'PTHR11206:SF420', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 56262),
(112537, 'PTHR34376:SF2', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, KAZAL-TYPE FAMILY PROTEIN', 56263),
(112538, 'PTHR45786:SF47', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD-LIKE PROTEIN', 56264),
(112539, 'PTHR23213:SF352', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 9', 56265),
(112540, 'PTHR42938:SF20', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE', 56266),
(112541, 'PTHR31495:SF29', NULL, NULL, NULL, NULL, 'PEROXYGENASE 5-RELATED', 56267),
(112542, 'PTHR24286:SF293', NULL, NULL, NULL, NULL, 'BNAA08G03170D PROTEIN', 56268),
(112543, 'PTHR33207:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56269),
(112544, 'PTHR33021:SF399', NULL, NULL, NULL, NULL, 'BNAC06G04180D PROTEIN', 56270),
(112545, 'PTHR43811:SF49', NULL, NULL, NULL, NULL, 'FKBP-TYPE 16 KDA PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 56271),
(112546, 'PTHR46651:SF5', NULL, NULL, NULL, NULL, 'BNAANNG23790D PROTEIN', 56272),
(112547, 'PTHR21450:SF48', NULL, NULL, NULL, NULL, 'OS08G0551200 PROTEIN', 56273),
(112548, 'PTHR13411:SF6', NULL, NULL, NULL, NULL, 'PLASMINOGEN RECEPTOR (KT)', 56274),
(112549, 'PTHR32027:SF0', NULL, NULL, NULL, NULL, 'CYTOSINE DEAMINASE', 56275),
(112550, 'PTHR47979:SF53', NULL, NULL, NULL, NULL, 'FI07418P', 56276),
(112551, 'PTHR36153:SF5', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 56277),
(112552, 'PTHR48041:SF40', NULL, NULL, NULL, NULL, 'OS05G0120200 PROTEIN', 56278),
(112553, 'PTHR13343', NULL, NULL, NULL, NULL, 'CREG1 PROTEIN', 56279),
(112554, 'PTHR31744:SF113', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 26', 56280);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(112555, 'PTHR20886:SF10', NULL, NULL, NULL, NULL, 'VANG-LIKE PROTEIN 2', 56281),
(112556, 'PTHR12931:SF30', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE', 56282),
(112557, 'PTHR10127:SF779', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 56283),
(112558, 'PTHR12718:SF7', NULL, NULL, NULL, NULL, 'BNACNNG51390D PROTEIN', 56284),
(112559, 'PTHR15698:SF8', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA HYDROXYLASE-INTERACTING PROTEIN-LIKE', 56285),
(112560, 'PTHR13318:SF98', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 14-LIKE', 56286),
(112561, 'PTHR33269:SF5', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 6', 56287),
(112562, 'PTHR23226:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56288),
(112563, 'PTHR22803:SF69', NULL, NULL, NULL, NULL, 'C-TYPE MANNOSE RECEPTOR 2', 56289),
(112564, 'PTHR39164', NULL, NULL, NULL, NULL, 'PROTEIN CCDC', 56290),
(112565, 'PTHR19969:SF16', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN NCK1', 56291),
(112566, 'PTHR12236:SF81', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 67B-RELATED', 56292),
(112567, 'PTHR43382:SF4', NULL, NULL, NULL, NULL, 'PROLINE--TRNA LIGASE, CYTOPLASMIC-LIKE', 56293),
(112568, 'PTHR48047:SF52', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 89B1', 56294),
(112569, 'PTHR36206:SF15', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CONSERVED PROTEIN (EUROFUNG)', 56295),
(112570, 'PTHR22846:SF61', NULL, NULL, NULL, NULL, 'F-BOX-LIKE/WD REPEAT TBL1XR1-LIKE PROTEIN', 56296),
(112571, 'PTHR19229:SF113', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 13', 56297),
(112572, 'PTHR24128:SF60', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN WARIAI-LIKE', 56298),
(112573, 'PTHR33053:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56299),
(112574, 'PTHR11825:SF44', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 56300),
(112575, 'PTHR24298:SF613', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A2-LIKE', 56301),
(112576, 'PTHR11668:SF459', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 1', 56302),
(112577, 'PTHR47477:SF8', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR HOMOLOG 1A', 56303),
(112578, 'PTHR21337:SF30', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', 56304),
(112579, 'PTHR43127:SF2', NULL, NULL, NULL, NULL, 'DEVELOPMENTALLY-REGULATED GTP-BINDING PROTEIN 2', 56305),
(112580, 'PTHR22953:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56306),
(112581, 'PTHR31009:SF101', NULL, NULL, NULL, NULL, 'SALICYLATE CARBOXYMETHYLTRANSFERASE-LIKE', 56307),
(112582, 'PTHR34371:SF8', NULL, NULL, NULL, NULL, 'BNAC04G50870D PROTEIN', 56308),
(112583, 'PTHR12743:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME C HEME LYASE', 56309),
(112584, 'PTHR44169:SF9', NULL, NULL, NULL, NULL, 'BNAANNG04690D PROTEIN', 56310),
(112585, 'PTHR11732:SF442', NULL, NULL, NULL, NULL, 'OSJNBB0089K06.1 PROTEIN', 56311),
(112586, 'PTHR11009:SF28', NULL, NULL, NULL, NULL, 'DERLIN-2.1', 56312),
(112587, 'PTHR33108:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56313),
(112588, 'PTHR10795:SF731', NULL, NULL, NULL, NULL, 'BNAA06G34900D PROTEIN', 56314),
(112589, 'PTHR33373:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56315),
(112590, 'PTHR33640:SF13', NULL, NULL, NULL, NULL, 'NUCLEOLAR-LIKE PROTEIN', 56316),
(112591, 'PTHR46484', NULL, NULL, NULL, NULL, 'SI:CH211-171H4.5-RELATED', 56317),
(112592, 'PTHR31642:SF233', NULL, NULL, NULL, NULL, 'AGMATINE COUMAROYLTRANSFERASE-2-LIKE', 56318),
(112593, 'PTHR12430:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56319),
(112594, 'PTHR12216', NULL, NULL, NULL, NULL, 'UROCANATE HYDRATASE', 56320),
(112595, 'PTHR46419:SF6', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD5-LIKE ISOFORM X1', 56321),
(112596, 'PTHR12121:SF72', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE', 56322),
(112597, 'PTHR10496:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', 56323),
(112598, 'PTHR45666:SF30', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 1', 56324);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(112599, 'PTHR10791:SF166', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 56325),
(112600, 'PTHR46152:SF3', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR-INTERACTING RAS-LIKE PROTEIN', 56326),
(112601, 'PTHR15454:SF38', NULL, NULL, NULL, NULL, 'OUTER ARM DYNEIN LIGHT CHAIN 1 PROTEIN', 56327),
(112602, 'PTHR19212:SF0', NULL, NULL, NULL, NULL, 'LD07988P', 56328),
(112603, 'PTHR10795:SF677', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56329),
(112604, 'PTHR28572:SF2', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II ASSOCIATED PROTEIN 3', 56330),
(112605, 'PTHR45778:SF8', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 56331),
(112606, 'PTHR33639:SF1', NULL, NULL, NULL, NULL, 'THIOL-DISULFIDE OXIDOREDUCTASE DCC-RELATED', 56332),
(112607, 'PTHR24411', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR ERYTHROID 2-RELATED FACTOR', 56333),
(112608, 'PTHR31032:SF2', NULL, NULL, NULL, NULL, 'PGR5-LIKE A PROTEIN', 56334),
(112609, 'PTHR11738:SF171', NULL, NULL, NULL, NULL, 'LEUKOCYTE-ASSOCIATED IMMUNOGLOBULIN-LIKE RECEPTOR 1', 56335),
(112610, 'PTHR31471:SF74', NULL, NULL, NULL, NULL, 'PROTEASOME ENDOPEPTIDASE COMPLEX', 56336),
(112611, 'PTHR31683:SF139', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 56337),
(112612, 'PTHR13211:SF0', NULL, NULL, NULL, NULL, 'TELOMERASE CAJAL BODY PROTEIN 1', 56338),
(112613, 'PTHR32246:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56339),
(112614, 'PTHR24230:SF70', NULL, NULL, NULL, NULL, 'RELAXIN-3 RECEPTOR 1', 56340),
(112615, 'PTHR11562', NULL, NULL, NULL, NULL, 'CATION EFFLUX PROTEIN/ ZINC TRANSPORTER', 56341),
(112616, 'PTHR31048:SF92', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', 56342),
(112617, 'PTHR11040:SF157', NULL, NULL, NULL, NULL, 'ZIP ZINC/IRON TRANSPORT FAMILY PROTEIN', 56343),
(112618, 'PTHR32440:SF25', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE 14-RELATED', 56344),
(112619, 'PTHR21637:SF7', NULL, NULL, NULL, NULL, 'BTB (POZ) DOMAIN-CONTAINING 10A', 56345),
(112620, 'PTHR10334:SF236', NULL, NULL, NULL, NULL, 'GLIPR1-LIKE PROTEIN 2', 56346),
(112621, 'PTHR10809:SF104', NULL, NULL, NULL, NULL, 'OSJNBA0010H02.20 PROTEIN', 56347),
(112622, 'PTHR45650:SF59', NULL, NULL, NULL, NULL, 'BNAA02G27390D PROTEIN', 56348),
(112623, 'PTHR10566:SF121', NULL, NULL, NULL, NULL, 'PROTEIN KINASE-LIKE DOMAIN', 56349),
(112624, 'PTHR11339:SF387', NULL, NULL, NULL, NULL, 'MUCIN 5AC, OLIGOMERIC MUCUS/GEL-FORMING', 56350),
(112625, 'PTHR33885:SF4', NULL, NULL, NULL, NULL, 'LMO2487 PROTEIN', 56351),
(112626, 'PTHR31150:SF32', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 56352),
(112627, 'PTHR30547:SF5', NULL, NULL, NULL, NULL, 'NUCLEASE YHCG-RELATED', 56353),
(112628, 'PTHR10725:SF60', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT P TRANSPOSASE-LIKE PROTEIN', 56354),
(112629, 'PTHR10687:SF56', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 2', 56355),
(112630, 'PTHR31633', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX NON-CORE SUBUNIT NAF1', 56356),
(112631, 'PTHR23226:SF162', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 1', 56357),
(112632, 'PTHR36128', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 117', 56358),
(112633, 'PTHR24089:SF694', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER ADNT1', 56359),
(112634, 'PTHR47942:SF30', NULL, NULL, NULL, NULL, 'OS11G0607100 PROTEIN', 56360),
(112635, 'PTHR46286:SF9', NULL, NULL, NULL, NULL, 'BNAC03G74580D PROTEIN', 56361),
(112636, 'PTHR31948:SF106', NULL, NULL, NULL, NULL, 'BNAC02G19350D PROTEIN', 56362),
(112637, 'PTHR23208:SF36', NULL, NULL, NULL, NULL, 'LYSOZYME-LIKE PROTEIN 1', 56363),
(112638, 'PTHR43329:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56364),
(112639, 'PTHR31165:SF8', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 9', 56365),
(112640, 'PTHR24381:SF338', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 3', 56366),
(112641, 'PTHR34753', NULL, NULL, NULL, NULL, 'TELOMERASE RNA COMPONENT INTERACTING RNASE', 56367),
(112642, 'PTHR22844:SF370', NULL, NULL, NULL, NULL, 'EN/SPM-LIKE TRANSPOSON PROTEIN-LIKE', 56368);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(112643, 'PTHR48070', NULL, NULL, NULL, NULL, 'ESTERASE OVCA2', 56369),
(112644, 'PTHR46267', NULL, NULL, NULL, NULL, 'SINGLE MYB HISTONE 4', 56370),
(112645, 'PTHR31619', NULL, NULL, NULL, NULL, '4-HYDROXY-3-METHYLBUT-2-ENYL DIPHOSPHATE REDUCTASE, CHLOROPLASTIC', 56371),
(112646, 'PTHR10302:SF21', NULL, NULL, NULL, NULL, 'PROTEIN OSB2, CHLOROPLASTIC', 56372),
(112647, 'PTHR45910', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 20', 56373),
(112648, 'PTHR31717:SF71', NULL, NULL, NULL, NULL, 'B-BOX-TYPE ZINC FINGER-RELATED', 56374),
(112649, 'PTHR35704:SF4', NULL, NULL, NULL, NULL, 'BNAC09G12200D PROTEIN', 56375),
(112650, 'PTHR41800:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 56376),
(112651, 'PTHR31225:SF98', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 9-RELATED', 56377),
(112652, 'PTHR27006:SF247', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', 56378),
(112653, 'PTHR32133:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56379),
(112654, 'PTHR19957:SF91', NULL, NULL, NULL, NULL, 'SYNTAXIN-112', 56380),
(112655, 'PTHR12910:SF10', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 12', 56381),
(112656, 'PTHR11346:SF147', NULL, NULL, NULL, NULL, 'GALECTIN', 56382),
(112657, 'PTHR24326:SF581', NULL, NULL, NULL, NULL, 'BNAC03G60860D PROTEIN', 56383),
(112658, 'PTHR15527', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM6 HOMOLOG', 56384),
(112659, 'PTHR41752:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56385),
(112660, 'PTHR10527:SF70', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 56386),
(112661, 'PTHR31375:SF117', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE-LIKE', 56387),
(112662, 'PTHR14168', NULL, NULL, NULL, NULL, 'TUMOR-ASSOCIATED CALCIUM SIGNAL TRANSDUCER', 56388),
(112663, 'PTHR18966', NULL, NULL, NULL, NULL, 'IONOTROPIC GLUTAMATE RECEPTOR', 56389),
(112664, 'PTHR11615:SF143', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2D1', 56390),
(112665, 'PTHR33499:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56391),
(112666, 'PTHR45724:SF6', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP4-1-RELATED', 56392),
(112667, 'PTHR11017:SF358', NULL, NULL, NULL, NULL, 'ATP BINDING PROTEIN', 56393),
(112668, 'PTHR32093:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56394),
(112669, 'PTHR37610:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56395),
(112670, 'PTHR48081:SF11', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G09800)-RELATED', 56396),
(112671, 'PTHR23257:SF828', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MARK1-LIKE', 56397),
(112672, 'PTHR24055:SF439', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 11-RELATED', 56398),
(112673, 'PTHR10269:SF1', NULL, NULL, NULL, NULL, 'GDNF FAMILY RECEPTOR ALPHA-LIKE', 56399),
(112674, 'PTHR36075:SF1', NULL, NULL, NULL, NULL, 'BNAA10G09820D PROTEIN', 56400),
(112675, 'PTHR33057:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56401),
(112676, 'PTHR21433:SF4', NULL, NULL, NULL, NULL, 'OS02G0106800 PROTEIN', 56402),
(112677, 'PTHR48059:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56403),
(112678, 'PTHR30055:SF204', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 56404),
(112679, 'PTHR24150:SF8', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND MYND DOMAIN-CONTAINING PROTEIN 2', 56405),
(112680, 'PTHR15241:SF354', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 2, MITOCHONDRIAL-LIKE', 56406),
(112681, 'PTHR11461:SF128', NULL, NULL, NULL, NULL, 'MCG20280-RELATED', 56407),
(112682, 'PTHR45930:SF2', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR A3', 56408),
(112683, 'PTHR10671:SF96', NULL, NULL, NULL, NULL, 'CLC-LIKE PROTEIN 5', 56409),
(112684, 'PTHR19447:SF14', NULL, NULL, NULL, NULL, 'OOCYTE-EXPRESSED PROTEIN HOMOLOG', 56410),
(112685, 'PTHR10407:SF18', NULL, NULL, NULL, NULL, 'TALIN-1', 56411),
(112686, 'PTHR48002:SF96', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 56412),
(112687, 'PTHR21593:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG21632', 56413),
(112688, 'PTHR22826', NULL, NULL, NULL, NULL, 'RHO GUANINE EXCHANGE FACTOR-RELATED', 56414);
INSERT INTO "PUBLIC"."MODEL" VALUES
(112689, 'PTHR13817:SF140', NULL, NULL, NULL, NULL, 'FASCICLIN-2-LIKE PROTEIN', 56415),
(112690, 'PTHR47596:SF3', NULL, NULL, NULL, NULL, 'BNAC08G45370D PROTEIN', 56416),
(112691, 'PTHR24296:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56417),
(112692, 'PTHR47958:SF11', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX4-RELATED', 56418),
(112693, 'PTHR11334:SF8', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER B8', 56419),
(112694, 'PTHR28255:SF1', NULL, NULL, NULL, NULL, 'UPF0303 PROTEIN YBR137W', 56420),
(112695, 'PTHR45638:SF16', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL BETA-1', 56421),
(112696, 'PTHR11850:SF312', NULL, NULL, NULL, NULL, 'CLASS II KNOTTED-LIKE HOMEOBOX PROTEIN', 56422),
(112697, 'PTHR15822:SF17', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN, EXPRESSED', 56423),
(112698, 'PTHR36593:SF1', NULL, NULL, NULL, NULL, 'EXPORTED SERINE/THREONINE PROTEIN KINASE', 56424),
(112699, 'PTHR12487:SF5', NULL, NULL, NULL, NULL, 'TEASHIRT HOMOLOG 3', 56425),
(112700, 'PTHR15740:SF2', NULL, NULL, NULL, NULL, 'ACTIVITY-DEPENDENT NEUROPROTECTOR HOMEOBOX PROTEIN 2', 56426),
(112701, 'PTHR46067:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56427),
(112702, 'PTHR10794:SF45', NULL, NULL, NULL, NULL, 'MONOACYLGLYCEROL LIPASE ABHD2', 56428),
(112703, 'PTHR27008:SF400', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56429),
(112704, 'PTHR46791:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 56430),
(112705, 'PTHR24284:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 56431),
(112706, 'PTHR43267:SF2', NULL, NULL, NULL, NULL, 'TRNA THREONYLCARBAMOYLADENOSINE DEHYDRATASE 1-RELATED', 56432),
(112707, 'PTHR46122:SF15', NULL, NULL, NULL, NULL, 'BNAC07G48940D PROTEIN', 56433),
(112708, 'PTHR23421:SF51', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 5-RELATED', 56434),
(112709, 'PTHR10794:SF50', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE ABHD3', 56435),
(112710, 'PTHR22777:SF27', NULL, NULL, NULL, NULL, 'MAGNESIUM AND COBALT EFFLUX PROTEIN CORC', 56436),
(112711, 'PTHR32080:SF7', NULL, NULL, NULL, NULL, 'OS02G0643900 PROTEIN', 56437),
(112712, 'PTHR11654:SF495', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', 56438),
(112713, 'PTHR27007:SF295', NULL, NULL, NULL, NULL, 'LEGUME LECTIN BETA DOMAIN PROTEIN', 56439),
(112714, 'PTHR11481:SF51', NULL, NULL, NULL, NULL, 'LOW AFFINITY IMMUNOGLOBULIN GAMMA FC REGION RECEPTOR II-A', 56440),
(112715, 'PTHR38828', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 56441),
(112716, 'PTHR11929:SF219', NULL, NULL, NULL, NULL, 'ALPHA(1,3)FUCOSYLTRANSFERASE GENE 1-RELATED', 56442),
(112717, 'PTHR43939:SF51', NULL, NULL, NULL, NULL, 'BNAA03G46100D PROTEIN', 56443),
(112718, 'PTHR47968:SF12', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7H', 56444),
(112719, 'PTHR10641:SF622', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB104-RELATED', 56445),
(112720, 'PTHR48018:SF49', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 56446),
(112721, 'PTHR47993:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56447),
(112722, 'PTHR30603:SF18', NULL, NULL, NULL, NULL, 'OS01G0604700 PROTEIN', 56448),
(112723, 'PTHR10621:SF54', NULL, NULL, NULL, NULL, 'OS06G0264300 PROTEIN', 56449),
(112724, 'PTHR43634:SF11', NULL, NULL, NULL, NULL, 'MSCS-LIKE 3-RELATED', 56450),
(112725, 'PTHR35774:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN M', 56451),
(112726, 'PTHR20515', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN', 56452),
(112727, 'PTHR24305:SF35', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 56453),
(112728, 'PTHR21879:SF17', NULL, NULL, NULL, NULL, 'LD24139P', 56454),
(112729, 'PTHR43227:SF8', NULL, NULL, NULL, NULL, 'BLL4140 PROTEIN', 56455),
(112730, 'PTHR47093:SF1', NULL, NULL, NULL, NULL, 'PROTEIN JSN1-RELATED', 56456),
(112731, 'PTHR12709:SF9', NULL, NULL, NULL, NULL, 'BNAC08G44960D PROTEIN', 56457),
(112732, 'PTHR32256:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56458),
(112733, 'PTHR45841:SF1', NULL, NULL, NULL, NULL, 'MRNA TURNOVER PROTEIN 4 HOMOLOG', 56459);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(112734, 'PTHR24070:SF200', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAP-2C', 56460),
(112735, 'PTHR19321:SF0', NULL, NULL, NULL, NULL, 'FASCETTO-RELATED', 56461),
(112736, 'PTHR33207:SF38', NULL, NULL, NULL, NULL, 'OS01G0165800 PROTEIN', 56462),
(112737, 'PTHR11652:SF60', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S12, MITOCHONDRIAL', 56463),
(112738, 'PTHR48022:SF16', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY GLUCOSE TRANSPORTER RGT2-RELATED', 56464),
(112739, 'PTHR43481:SF8', NULL, NULL, NULL, NULL, 'GLYCEROL-1-PHOSPHATE PHOSPHOHYDROLASE 1-RELATED', 56465),
(112740, 'PTHR11588:SF398', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-6 CHAIN', 56466),
(112741, 'PTHR23024:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56467),
(112742, 'PTHR35300:SF4', NULL, NULL, NULL, NULL, 'COACTIVATOR CBP, KIX DOMAIN-CONTAINING PROTEIN-RELATED', 56468),
(112743, 'PTHR14495', NULL, NULL, NULL, NULL, 'SHIELDIN COMPLEX SUBUNIT 2', 56469),
(112744, 'PTHR10082:SF25', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-3', 56470),
(112745, 'PTHR31989:SF245', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 17-LIKE ISOFORM X1', 56471),
(112746, 'PTHR45089:SF25', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', 56472),
(112747, 'PTHR22811:SF149', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY PROTEIN', 56473),
(112748, 'PTHR31375:SF175', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE ADPG2', 56474),
(112749, 'PTHR24073:SF1086', NULL, NULL, NULL, NULL, 'SMALL GTPASE FAMILY RAB PROTEIN', 56475),
(112750, 'PTHR47956:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B23', 56476),
(112751, 'PTHR47932:SF39', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', 56477),
(112752, 'PTHR11909:SF352', NULL, NULL, NULL, NULL, 'OS05G0593800 PROTEIN', 56478),
(112753, 'PTHR24086', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 5 GROUP A', 56479),
(112754, 'PTHR43537:SF5', NULL, NULL, NULL, NULL, 'UXU OPERON TRANSCRIPTIONAL REGULATOR', 56480),
(112755, 'PTHR42912:SF45', NULL, NULL, NULL, NULL, '23S RRNA (GUANINE(745)-N(1))-METHYLTRANSFERASE', 56481),
(112756, 'PTHR16471:SF3', NULL, NULL, NULL, NULL, 'CMT1A DUPLICATED REGION TRANSCRIPT 15 PROTEIN', 56482),
(112757, 'PTHR38402:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN OM14', 56483),
(112758, 'PTHR33470:SF27', NULL, NULL, NULL, NULL, 'OS01G0899700 PROTEIN', 56484),
(112759, 'PTHR31549:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56485),
(112760, 'PTHR15427:SF29', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q SUBCOMPONENT SUBUNIT C', 56486),
(112761, 'PTHR10682:SF6', NULL, NULL, NULL, NULL, 'POLY(A) POLYMERASE GAMMA', 56487),
(112762, 'PTHR22603:SF85', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOLAMINE KINASE', 56488),
(112763, 'PTHR36874', NULL, NULL, NULL, NULL, 'EQUATORIN', 56489),
(112764, 'PTHR19446:SF447', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56490),
(112765, 'PTHR10845:SF155', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 18', 56491),
(112766, 'PTHR38454', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 56492),
(112767, 'PTHR47657:SF11', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01650)-RELATED', 56493),
(112768, 'PTHR17630:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56494),
(112769, 'PTHR46719:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 56495),
(112770, 'PTHR18966:SF475', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 56496),
(112771, 'PTHR12620:SF43', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF DOMAIN, EUKARYOTE-RELATED', 56497),
(112772, 'PTHR23501:SF43', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03040)-RELATED', 56498),
(112773, 'PTHR48105:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE NTRB', 56499),
(112774, 'PTHR33070:SF79', NULL, NULL, NULL, NULL, 'OS11G0159900 PROTEIN', 56500),
(112775, 'PTHR33048:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56501),
(112776, 'PTHR21563', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 56502),
(112777, 'PTHR31086:SF64', NULL, NULL, NULL, NULL, 'ALUMINUM ACTIVATED MALATE TRANSPORTER FAMILY PROTEIN', 56503);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(112778, 'PTHR34943:SF2', NULL, NULL, NULL, NULL, 'PROTEIN COFACTOR ASSEMBLY OF COMPLEX C SUBUNIT B CCB4, CHLOROPLASTIC', 56504),
(112779, 'PTHR43091:SF2', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE 3 PROTEIN 2', 56505),
(112780, 'PTHR48005:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1-LIKE', 56506),
(112781, 'PTHR45650', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE-RELATED', 56507),
(112782, 'PTHR46215:SF11', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 56508),
(112783, 'PTHR28018:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL HYPOXIA RESPONSIVE DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G12250)', 56509),
(112784, 'PTHR10353:SF236', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 18', 56510),
(112785, 'PTHR28307:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PAL1', 56511),
(112786, 'PTHR19290:SF83', NULL, NULL, NULL, NULL, 'NEUROGENIC DIFFERENTIATION FACTOR 2', 56512),
(112787, 'PTHR36771:SF3', NULL, NULL, NULL, NULL, 'BNAA09G35750D PROTEIN', 56513),
(112788, 'PTHR31311', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 5-RELATED-RELATED', 56514),
(112789, 'PTHR13815:SF5', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 5', 56515),
(112790, 'PTHR10527:SF77', NULL, NULL, NULL, NULL, 'IMPORTIN-5-LIKE', 56516),
(112791, 'PTHR31507:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG00663', 56517),
(112792, 'PTHR31674:SF64', NULL, NULL, NULL, NULL, 'BNAC07G12370D PROTEIN', 56518),
(112793, 'PTHR42678:SF11', NULL, NULL, NULL, NULL, 'AMIDASE FAMILY PROTEIN', 56519),
(112794, 'PTHR45886:SF16', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 56520),
(112795, 'PTHR46504:SF2', NULL, NULL, NULL, NULL, 'TRNASE Z TRZ1', 56521),
(112796, 'PTHR48051:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56522),
(112797, 'PTHR27006:SF360', NULL, NULL, NULL, NULL, 'BNAA07G39120D PROTEIN', 56523),
(112798, 'PTHR21538:SF24', NULL, NULL, NULL, NULL, 'DIVISION MAL FOUTUE 1 PROTEIN', 56524),
(112799, 'PTHR23531:SF1', NULL, NULL, NULL, NULL, 'QUINOLENE RESISTANCE PROTEIN NORA', 56525),
(112800, 'PTHR46995:SF9', NULL, NULL, NULL, NULL, 'BNAA09G01840D PROTEIN', 56526),
(112801, 'PTHR10830:SF0', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE 48 KDA SUBUNIT', 56527),
(112802, 'PTHR45666:SF49', NULL, NULL, NULL, NULL, 'BNAA10G03640D PROTEIN', 56528),
(112803, 'PTHR10131:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56529),
(112804, 'PTHR31741:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56530),
(112805, 'PTHR10271:SF30', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 1', 56531),
(112806, 'PTHR48010:SF14', NULL, NULL, NULL, NULL, 'BNAA09G05020D PROTEIN', 56532),
(112807, 'PTHR33148:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56533),
(112808, 'PTHR10742:SF359', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC HISTONE DEMETHYLASE 1B', 56534),
(112809, 'PTHR13149:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56535),
(112810, 'PTHR23236:SF62', NULL, NULL, NULL, NULL, 'BNAA09G15150D PROTEIN', 56536),
(112811, 'PTHR48022:SF58', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER-RELATED', 56537),
(112812, 'PTHR11654:SF168', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 3.1', 56538),
(112813, 'PTHR39596', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 56539),
(112814, 'PTHR11010:SF93', NULL, NULL, NULL, NULL, 'LYSOSOMAL PRO-X CARBOXYPEPTIDASE-LIKE PROTEIN', 56540),
(112815, 'PTHR24422:SF10', NULL, NULL, NULL, NULL, 'BIOFILM DISPERSION PROTEIN BDLA', 56541),
(112816, 'PTHR48104:SF17', NULL, NULL, NULL, NULL, 'METACASPASE-3', 56542),
(112817, 'PTHR38457', NULL, NULL, NULL, NULL, 'REGULATOR ABRB-RELATED', 56543),
(112818, 'PTHR46978:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE GLH-1-LIKE ISOFORM X1', 56544),
(112819, 'PTHR33974:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56545),
(112820, 'PTHR31951', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', 56546),
(112821, 'PTHR18945:SF806', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-TYPE UNC-38', 56547);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(112822, 'PTHR23257:SF845', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 56548),
(112823, 'PTHR10015:SF360', NULL, NULL, NULL, NULL, 'BNACNNG14280D PROTEIN', 56549),
(112824, 'PTHR43490:SF70', NULL, NULL, NULL, NULL, 'BNACNNG24570D PROTEIN', 56550),
(112825, 'PTHR23024:SF441', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 3-RELATED', 56551),
(112826, 'PTHR24343:SF371', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 8', 56552),
(112827, 'PTHR12000:SF38', NULL, NULL, NULL, NULL, 'LEGUMAIN', 56553),
(112828, 'PTHR11814:SF198', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.2', 56554),
(112829, 'PTHR43281:SF1', NULL, NULL, NULL, NULL, 'FARNESYL DIPHOSPHATE SYNTHASE', 56555),
(112830, 'PTHR47976:SF1', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-5', 56556),
(112831, 'PTHR31790:SF389', NULL, NULL, NULL, NULL, 'BNAA04G28520D PROTEIN', 56557),
(112832, 'PTHR26454:SF76', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 56558),
(112833, 'PTHR11017:SF416', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE', 56559),
(112834, 'PTHR46220:SF5', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD13-RELATED', 56560),
(112835, 'PTHR11771:SF89', NULL, NULL, NULL, NULL, 'LINOLEATE 13S-LIPOXYGENASE 2-1, CHLOROPLASTIC', 56561),
(112836, 'PTHR21236:SF18', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', 56562),
(112837, 'PTHR10177:SF195', NULL, NULL, NULL, NULL, 'S-PHASE ENTRY CYCLIN-5-RELATED', 56563),
(112838, 'PTHR48032:SF12', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', 56564),
(112839, 'PTHR22893:SF98', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', 56565),
(112840, 'PTHR32467:SF102', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR PLT1', 56566),
(112841, 'PTHR22854:SF16', NULL, NULL, NULL, NULL, 'INDOLE-3-GLYCEROL PHOSPHATE SYNTHASE, CHLOROPLASTIC-LIKE ISOFORM X1', 56567),
(112842, 'PTHR33488', NULL, NULL, NULL, NULL, 'ZGC:162509', 56568),
(112843, 'PTHR11709:SF384', NULL, NULL, NULL, NULL, 'BNAC07G16450D PROTEIN', 56569),
(112844, 'PTHR31284:SF19', NULL, NULL, NULL, NULL, 'OS05G0192100 PROTEIN', 56570),
(112845, 'PTHR11926:SF1283', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 56571),
(112846, 'PTHR35259:SF1', NULL, NULL, NULL, NULL, 'BOMBESIN RECEPTOR-ACTIVATED PROTEIN C6ORF89', 56572),
(112847, 'PTHR11740:SF29', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', 56573),
(112848, 'PTHR11581:SF34', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4-3-LIKE', 56574),
(112849, 'PTHR31906:SF16', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 13, CHLOROPLASTIC-RELATED', 56575),
(112850, 'PTHR33346:SF5', NULL, NULL, NULL, NULL, 'DEHYDRIN XERO 2-RELATED', 56576),
(112851, 'PTHR31639:SF161', NULL, NULL, NULL, NULL, 'OS08G0460800 PROTEIN', 56577),
(112852, 'PTHR33270:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56578),
(112853, 'PTHR10476', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN', 56579),
(112854, 'PTHR43273:SF5', NULL, NULL, NULL, NULL, 'RADICAL SAM PROTEIN-RELATED', 56580),
(112855, 'PTHR19443:SF4', NULL, NULL, NULL, NULL, 'HEXOKINASE-2', 56581),
(112856, 'PTHR24304:SF2', NULL, NULL, NULL, NULL, '24-HYDROXYCHOLESTEROL 7-ALPHA-HYDROXYLASE', 56582),
(112857, 'PTHR45613:SF354', NULL, NULL, NULL, NULL, 'OS10G0368902 PROTEIN', 56583),
(112858, 'PTHR45988:SF35', NULL, NULL, NULL, NULL, 'BNAA03G11040D PROTEIN', 56584),
(112859, 'PTHR13720:SF11', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE 4', 56585),
(112860, 'PTHR27005:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56586),
(112861, 'PTHR48021:SF9', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', 56587),
(112862, 'PTHR11440:SF18', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE-STEROL ACYLTRANSFERASE', 56588),
(112863, 'PTHR33827:SF9', NULL, NULL, NULL, NULL, 'SAWADEE DOMAIN-CONTAINING PROTEIN-RELATED', 56589);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(112864, 'PTHR12741:SF81', NULL, NULL, NULL, NULL, 'BNAA01G32440D PROTEIN', 56590),
(112865, 'PTHR31353', NULL, NULL, NULL, NULL, 'FAM98', 56591),
(112866, 'PTHR45868:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56592),
(112867, 'PTHR33095:SF74', NULL, NULL, NULL, NULL, 'DUF1645 FAMILY PROTEIN', 56593),
(112868, 'PTHR33548:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56594),
(112869, 'PTHR11362:SF87', NULL, NULL, NULL, NULL, 'ZCN17', 56595),
(112870, 'PTHR22883:SF378', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 56596),
(112871, 'PTHR43065:SF31', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SENSOR HISTIDINE KINASE-RELATED', 56597),
(112872, 'PTHR13029:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56598),
(112873, 'PTHR31636:SF24', NULL, NULL, NULL, NULL, 'PROTEIN SCARECROW', 56599),
(112874, 'PTHR46250:SF1', NULL, NULL, NULL, NULL, 'OS07G0647600 PROTEIN', 56600),
(112875, 'PTHR32285:SF312', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 39', 56601),
(112876, 'PTHR11214:SF20', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 1', 56602),
(112877, 'PTHR11949:SF50', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR', 56603),
(112878, 'PTHR31391:SF101', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0234100', 56604),
(112879, 'PTHR11002:SF52', NULL, NULL, NULL, NULL, 'BETA CARBONIC ANHYDRASE 3', 56605),
(112880, 'PTHR40700:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED, DUF63 FAMILY', 56606),
(112881, 'PTHR33109:SF46', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 4', 56607),
(112882, 'PTHR24107:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56608),
(112883, 'PTHR19308:SF41', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', 56609),
(112884, 'PTHR15896:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CASC4', 56610),
(112885, 'PTHR23257:SF708', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0288147-RELATED', 56611),
(112886, 'PTHR10371', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE  UBIQUINONE  FLAVOPROTEIN 2, MITOCHONDRIAL', 56612),
(112887, 'PTHR12480:SF32', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ARGININE DEMETHYLASE AND LYSYL-HYDROXYLASE JMJD6', 56613),
(112888, 'PTHR36121', NULL, NULL, NULL, NULL, 'PROTEIN SXY', 56614),
(112889, 'PTHR31080:SF68', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', 56615),
(112890, 'PTHR37313', NULL, NULL, NULL, NULL, 'UPF0749 PROTEIN RV1825', 56616),
(112891, 'PTHR24056:SF490', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56617),
(112892, 'PTHR47942:SF48', NULL, NULL, NULL, NULL, 'OS05G0355200 PROTEIN', 56618),
(112893, 'PTHR10517:SF17', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR GAMMA', 56619),
(112894, 'PTHR14187:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56620),
(112895, 'PTHR10083:SF360', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, KUNITZ TYPE 5', 56621),
(112896, 'PTHR43490:SF37', NULL, NULL, NULL, NULL, 'OS02G0607700 PROTEIN', 56622),
(112897, 'PTHR33845:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56623),
(112898, 'PTHR27009:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56624),
(112899, 'PTHR45746:SF2', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 6', 56625),
(112900, 'PTHR35118', NULL, NULL, NULL, NULL, 'KINASE FAMILY PROTEIN', 56626),
(112901, 'PTHR15819:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN FAM155A', 56627),
(112902, 'PTHR45800:SF25', NULL, NULL, NULL, NULL, 'BNAC09G12160D PROTEIN', 56628),
(112903, 'PTHR33085:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56629),
(112904, 'PTHR47127:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56630),
(112905, 'PTHR23503:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG00640', 56631),
(112906, 'PTHR11736:SF36', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B10', 56632),
(112907, 'PTHR20963:SF24', NULL, NULL, NULL, NULL, '3-PHYTASE B', 56633),
(112908, 'PTHR45887:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT EPSILON', 56634),
(112909, 'PTHR45671:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PHOSPHATE CARRIER PROTEIN 1, MITOCHONDRIAL', 56635);
INSERT INTO "PUBLIC"."MODEL" VALUES
(112910, 'PTHR47983:SF4', NULL, NULL, NULL, NULL, 'PTI1-LIKE TYROSINE-PROTEIN KINASE 3', 56636),
(112911, 'PTHR47976:SF45', NULL, NULL, NULL, NULL, 'OS01G0885700 PROTEIN', 56637),
(112912, 'PTHR34119:SF16', NULL, NULL, NULL, NULL, 'ARFAPTIN HOMOLOGY (AH) DOMAIN/BAR DOMAIN PROTEIN-RELATED', 56638),
(112913, 'PTHR47926:SF147', NULL, NULL, NULL, NULL, 'OS01G0814300 PROTEIN', 56639),
(112914, 'PTHR11690:SF185', NULL, NULL, NULL, NULL, 'DEGENERIN DEL-1', 56640),
(112915, 'PTHR33266:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', 56641),
(112916, 'PTHR24281:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56642),
(112917, 'PTHR31963:SF13', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF3537)-RELATED', 56643),
(112918, 'PTHR47977:SF4', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-30', 56644),
(112919, 'PTHR12471:SF7', NULL, NULL, NULL, NULL, 'LD09158P', 56645),
(112920, 'PTHR41386:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 56646),
(112921, 'PTHR10887:SF368', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN K', 56647),
(112922, 'PTHR24381:SF342', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 26', 56648),
(112923, 'PTHR46268:SF14', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A', 56649),
(112924, 'PTHR31218:SF60', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 56650),
(112925, 'PTHR27002:SF549', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56651),
(112926, 'PTHR19961:SF63', NULL, NULL, NULL, NULL, 'FIMBRIN-2', 56652),
(112927, 'PTHR31867:SF156', NULL, NULL, NULL, NULL, 'EXPANSIN', 56653),
(112928, 'PTHR12632:SF27', NULL, NULL, NULL, NULL, 'CCAAT-BINDING TRANSCRIPTION FACTOR', 56654),
(112929, 'PTHR11562:SF88', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN A1', 56655),
(112930, 'PTHR45815:SF5', NULL, NULL, NULL, NULL, 'THIOREDOXIN FAMILY PROTEIN', 56656),
(112931, 'PTHR45731:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56657),
(112932, 'PTHR10816:SF19', NULL, NULL, NULL, NULL, 'AGAP012958-PA', 56658),
(112933, 'PTHR47264', NULL, NULL, NULL, NULL, 'OS01G0128800 PROTEIN', 56659),
(112934, 'PTHR34113:SF2', NULL, NULL, NULL, NULL, 'BNAA01G24310D PROTEIN', 56660),
(112935, 'PTHR17605', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN BOP1  BLOCK OF PROLIFERATION 1 PROTEIN', 56661),
(112936, 'PTHR11680:SF50', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', 56662),
(112937, 'PTHR45687:SF47', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-1', 56663),
(112938, 'PTHR33146:SF14', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 1', 56664),
(112939, 'PTHR47966:SF29', NULL, NULL, NULL, NULL, 'FUNGAL PROTEINASE A, ASPARTIC PROTEINASE SUPERFAMILY PROTEIN', 56665),
(112940, 'PTHR45837', NULL, NULL, NULL, NULL, 'VESICLE-TRAFFICKING PROTEIN SEC22B', 56666),
(112941, 'PTHR33083:SF95', NULL, NULL, NULL, NULL, 'OS01G0862600 PROTEIN', 56667),
(112942, 'PTHR20963', NULL, NULL, NULL, NULL, 'MULTIPLE INOSITOL POLYPHOSPHATE PHOSPHATASE-RELATED', 56668),
(112943, 'PTHR18860:SF85', NULL, NULL, NULL, NULL, 'GENERAL REGULATORY FACTOR 13', 56669),
(112944, 'PTHR42695:SF5', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE YLR126C-RELATED', 56670),
(112945, 'PTHR11616:SF103', NULL, NULL, NULL, NULL, 'TRANSPORTER', 56671),
(112946, 'PTHR31968:SF4', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RELATED PROTEIN 53', 56672),
(112947, 'PTHR11851:SF143', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 1, MITOCHONDRIAL', 56673),
(112948, 'PTHR21559:SF21', NULL, NULL, NULL, NULL, 'DYSTROGLYCAN, ISOFORM D', 56674),
(112949, 'PTHR46506:SF53', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 56675),
(112950, 'PTHR11097:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56676),
(112951, 'PTHR24028:SF272', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-C4', 56677),
(112952, 'PTHR23032:SF16', NULL, NULL, NULL, NULL, 'ENDOSOMAL TARGETING BRO1-LIKE DOMAIN PROTEIN', 56678),
(112953, 'PTHR43180:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56679),
(112954, 'PTHR31775:SF32', NULL, NULL, NULL, NULL, 'BNAA04G26460D PROTEIN', 56680),
(112955, 'PTHR31945:SF98', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTIONAL FACTOR', 56681);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(112956, 'PTHR23244:SF458', NULL, NULL, NULL, NULL, 'BNAA02G16730D PROTEIN', 56682),
(112957, 'PTHR47993:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56683),
(112958, 'PTHR31814:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56684),
(112959, 'PTHR46839:SF2', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 6', 56685),
(112960, 'PTHR46128:SF92', NULL, NULL, NULL, NULL, 'BNAA01G22910D PROTEIN', 56686),
(112961, 'PTHR24418:SF375', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 56687),
(112962, 'PTHR43539:SF55', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA5-RELATED', 56688),
(112963, 'PTHR24409:SF357', NULL, NULL, NULL, NULL, 'HUCKEBEIN', 56689),
(112964, 'PTHR14155:SF497', NULL, NULL, NULL, NULL, 'OS05G0241300 PROTEIN', 56690),
(112965, 'PTHR28128', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP15', 56691),
(112966, 'PTHR19229:SF151', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER FAMILY', 56692),
(112967, 'PTHR42833:SF4', NULL, NULL, NULL, NULL, 'AMINO ACID KINASE FAMILY PROTEIN', 56693),
(112968, 'PTHR42715:SF2', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE L-RELATED', 56694),
(112969, 'PTHR47374:SF6', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN-LIKE', 56695),
(112970, 'PTHR33479:SF4', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE TRYPSIN INHIBITOR', 56696),
(112971, 'PTHR12313:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 56697),
(112972, 'PTHR26453:SF124', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1342', 56698),
(112973, 'PTHR13286:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56699),
(112974, 'PTHR10706:SF143', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 39', 56700),
(112975, 'PTHR45743:SF20', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KAT3', 56701),
(112976, 'PTHR31983', NULL, NULL, NULL, NULL, 'ENDO-1,3(4)-BETA-GLUCANASE 1', 56702),
(112977, 'PTHR10751:SF96', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 1', 56703),
(112978, 'PTHR32227:SF386', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17, X8 DOMAIN-CONTAINING PROTEIN-RELATED', 56704),
(112979, 'PTHR36111', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 56705),
(112980, 'PTHR32091:SF22', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B2', 56706),
(112981, 'PTHR47917:SF1', NULL, NULL, NULL, NULL, 'COENZYME F420:L-GLUTAMATE LIGASE', 56707),
(112982, 'PTHR11593:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56708),
(112983, 'PTHR27006:SF290', NULL, NULL, NULL, NULL, 'BNAA06G11200D PROTEIN', 56709),
(112984, 'PTHR36469:SF1', NULL, NULL, NULL, NULL, 'DISTAL MEMBRANE-ARM ASSEMBLY COMPLEX PROTEIN 1', 56710),
(112985, 'PTHR23024:SF149', NULL, NULL, NULL, NULL, 'OS07G0162500 PROTEIN', 56711),
(112986, 'PTHR16223:SF215', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MEE8-RELATED', 56712),
(112987, 'PTHR35014', NULL, NULL, NULL, NULL, 'INFECTION RESPONSE PROTEIN-RELATED', 56713),
(112988, 'PTHR33985:SF5', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN FAMILY PROTEIN', 56714),
(112989, 'PTHR15451:SF19', NULL, NULL, NULL, NULL, 'ERGOSTEROL BIOSYNTHETIC PROTEIN 28-RELATED', 56715),
(112990, 'PTHR11054:SF8', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE 2-RELATED', 56716),
(112991, 'PTHR45615:SF38', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN STRUCTURAL GENES', 56717),
(112992, 'PTHR31190:SF317', NULL, NULL, NULL, NULL, 'BNAC09G43740D PROTEIN', 56718),
(112993, 'PTHR14965', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 56719),
(112994, 'PTHR43507:SF1', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 4', 56720),
(112995, 'PTHR48063:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56721),
(112996, 'PTHR33740:SF3', NULL, NULL, NULL, NULL, 'GPI-ANCHORED ADHESIN-LIKE PROTEIN', 56722),
(112997, 'PTHR45666:SF15', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 8', 56723),
(112998, 'PTHR23108:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE FAMILY PROTEIN-RELATED', 56724),
(112999, 'PTHR10177:SF184', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN-B2', 56725);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(113000, 'PTHR10865:SF24', NULL, NULL, NULL, NULL, 'MESODERM INDUCTION EARLY RESPONSE PROTEIN 1', 56726),
(113001, 'PTHR35337', NULL, NULL, NULL, NULL, 'SLR1478 PROTEIN', 56727),
(113002, 'PTHR22891:SF112', NULL, NULL, NULL, NULL, 'ARGONAUTE-1, ISOFORM A', 56728),
(113003, 'PTHR31218:SF187', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 56729),
(113004, 'PTHR11761:SF29', NULL, NULL, NULL, NULL, 'BNAA06G11840D PROTEIN', 56730),
(113005, 'PTHR47926:SF245', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56731),
(113006, 'PTHR34191:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56732),
(113007, 'PTHR31080:SF230', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 1-LIKE', 56733),
(113008, 'PTHR12277:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56734),
(113009, 'PTHR11618:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56735),
(113010, 'PTHR42873', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE', 56736),
(113011, 'PTHR13935:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56737),
(113012, 'PTHR10509:SF11', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE 3-RELATED', 56738),
(113013, 'PTHR33180:SF19', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM ANTENNA PROTEIN-LIKE PROTEIN-RELATED', 56739),
(113014, 'PTHR44688:SF1', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR LIKE PROTEIN', 56740),
(113015, 'PTHR31423', NULL, NULL, NULL, NULL, 'YBAK DOMAIN-CONTAINING PROTEIN', 56741),
(113016, 'PTHR31121:SF6', NULL, NULL, NULL, NULL, 'ALPHA-1,2 MANNOSYLTRANSFERASE KTR1', 56742),
(113017, 'PTHR24070:SF369', NULL, NULL, NULL, NULL, 'GTPASE ERAS', 56743),
(113018, 'PTHR10621:SF34', NULL, NULL, NULL, NULL, 'UBIQUITIN RECEPTOR RAD23C-LIKE', 56744),
(113019, 'PTHR43917:SF9', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE THETA-4', 56745),
(113020, 'PTHR10353:SF277', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 3', 56746),
(113021, 'PTHR11614:SF156', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASE SUPERFAMILY PROTEIN', 56747),
(113022, 'PTHR45654:SF62', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 56748),
(113023, 'PTHR13205', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 15-RELATED', 56749),
(113024, 'PTHR45893', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP RING FINGER PROTEIN', 56750),
(113025, 'PTHR19328:SF29', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 56751),
(113026, 'PTHR24206:SF81', NULL, NULL, NULL, NULL, 'BNAA09G39010D PROTEIN', 56752),
(113027, 'PTHR44177', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 8', 56753),
(113028, 'PTHR11576:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56754),
(113029, 'PTHR16260', NULL, NULL, NULL, NULL, 'SIMILAR TO 1700123O20RIK PROTEIN', 56755),
(113030, 'PTHR18916:SF70', NULL, NULL, NULL, NULL, 'PROTEIN NIP100', 56756),
(113031, 'PTHR11017:SF236', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 56757),
(113032, 'PTHR48002:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56758),
(113033, 'PTHR10315:SF128', NULL, NULL, NULL, NULL, 'BNAC04G21600D PROTEIN', 56759),
(113034, 'PTHR31133:SF13', NULL, NULL, NULL, NULL, 'BNAA02G28890D PROTEIN', 56760),
(113035, 'PTHR43173:SF22', NULL, NULL, NULL, NULL, 'ABC2 HOMOLOG 13', 56761),
(113036, 'PTHR14695:SF8', NULL, NULL, NULL, NULL, 'SHC SH2 DOMAIN-BINDING PROTEIN 1', 56762),
(113037, 'PTHR21399:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56763),
(113038, 'PTHR10226:SF7', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN SPHKAP', 56764),
(113039, 'PTHR11986:SF111', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-RELATED', 56765),
(113040, 'PTHR11043:SF8', NULL, NULL, NULL, NULL, 'CLATHRIN ADAPTOR COMPLEX SMALL CHAIN', 56766),
(113041, 'PTHR10168:SF118', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C12-RELATED', 56767),
(113042, 'PTHR23220', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA', 56768),
(113043, 'PTHR13999:SF4', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 3', 56769),
(113044, 'PTHR12411:SF698', NULL, NULL, NULL, NULL, 'PROTEIN CBG23351', 56770),
(113045, 'PTHR26452:SF747', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5H1', 56771);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(113046, 'PTHR35702:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 56772),
(113047, 'PTHR33191:SF27', NULL, NULL, NULL, NULL, 'KIWELLIN-1', 56773),
(113048, 'PTHR46538:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 10', 56774),
(113049, 'PTHR11514:SF115', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC2-LIKE', 56775),
(113050, 'PTHR23235:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP7', 56776),
(113051, 'PTHR13713:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56777),
(113052, 'PTHR42886:SF66', NULL, NULL, NULL, NULL, 'BNAC03G57030D PROTEIN', 56778),
(113053, 'PTHR46968:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF138', 56779),
(113054, 'PTHR24092:SF38', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IG', 56780),
(113055, 'PTHR10426:SF117', NULL, NULL, NULL, NULL, 'STRICTOSIDINE SYNTHASE-RELATED', 56781),
(113056, 'PTHR31301:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56782),
(113057, 'PTHR32448:SF100', NULL, NULL, NULL, NULL, 'OS06G0549633 PROTEIN', 56783),
(113058, 'PTHR11691:SF69', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-7', 56784),
(113059, 'PTHR43895:SF69', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 56785),
(113060, 'PTHR23430:SF259', NULL, NULL, NULL, NULL, 'HISTONE H2A.8', 56786),
(113061, 'PTHR33938:SF13', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 56787),
(113062, 'PTHR21136:SF208', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN, LONGIN-LIKE DOMAIN PROTEIN-RELATED', 56788),
(113063, 'PTHR24296:SF186', NULL, NULL, NULL, NULL, 'BNAA09G51710D PROTEIN', 56789),
(113064, 'PTHR11100:SF24', NULL, NULL, NULL, NULL, 'NEUREGULIN 2A', 56790),
(113065, 'PTHR13869:SF21', NULL, NULL, NULL, NULL, 'MYELIN PROTEIN ZERO-LIKE PROTEIN 2', 56791),
(113066, 'PTHR12547:SF142', NULL, NULL, NULL, NULL, 'ZINC FINGER C-X8-C-X5-C-X3-H TYPE PROTEIN', 56792),
(113067, 'PTHR45460:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO CYSTEINE PROTEINASE', 56793),
(113068, 'PTHR10183:SF405', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.13', 56794),
(113069, 'PTHR48050:SF2', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE:STEROL GLUCOSYLTRANSFERASE SGT4', 56795),
(113070, 'PTHR15040:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-14D8.6-RELATED', 56796),
(113071, 'PTHR23024:SF134', NULL, NULL, NULL, NULL, 'OS08G0475100 PROTEIN', 56797),
(113072, 'PTHR14796:SF6', NULL, NULL, NULL, NULL, 'NEURENSIN-1', 56798),
(113073, 'PTHR48126', NULL, NULL, NULL, NULL, 'RE24507P', 56799),
(113074, 'PTHR33021:SF171', NULL, NULL, NULL, NULL, 'BLUE COPPER-BINDING PROTEIN-LIKE', 56800),
(113075, 'PTHR33624:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56801),
(113076, 'PTHR13113', NULL, NULL, NULL, NULL, 'ECSIT  EVOLUTIONARILY CONSERVED SIGNALING INTERMEDIATE IN TOLL PATHWAYS', 56802),
(113077, 'PTHR44329:SF142', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CTR1-LIKE ISOFORM X1', 56803),
(113078, 'PTHR46228:SF1', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 1', 56804),
(113079, 'PTHR11514:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56805),
(113080, 'PTHR47999:SF74', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB5-LIKE', 56806),
(113081, 'PTHR47973', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 3', 56807),
(113082, 'PTHR32212:SF273', NULL, NULL, NULL, NULL, 'BNACNNG65420D PROTEIN', 56808),
(113083, 'PTHR12296', NULL, NULL, NULL, NULL, 'C-MYC PROMOTER BINDING PROTEIN', 56809),
(113084, 'PTHR31985:SF167', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF026', 56810),
(113085, 'PTHR11829:SF371', NULL, NULL, NULL, NULL, 'FORKHEAD BOX A3', 56811),
(113086, 'PTHR47941:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0027P08.18 PROTEIN', 56812),
(113087, 'PTHR22897:SF7', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE 2', 56813),
(113088, 'PTHR42683:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56814),
(113089, 'PTHR33453:SF7', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 56815),
(113090, 'PTHR35995:SF2', NULL, NULL, NULL, NULL, 'BNAA10G08730D PROTEIN', 56816),
(113091, 'PTHR23302:SF45', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 4', 56817);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(113092, 'PTHR43943:SF13', NULL, NULL, NULL, NULL, 'BNAC03G64870D PROTEIN', 56818),
(113093, 'PTHR11785:SF303', NULL, NULL, NULL, NULL, 'Y+L AMINO ACID TRANSPORTER 1', 56819),
(113094, 'PTHR22883:SF327', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 56820),
(113095, 'PTHR11067', NULL, NULL, NULL, NULL, 'INOSINE TRIPHOSPHATE PYROPHOSPHATASE/HAM1 PROTEIN', 56821),
(113096, 'PTHR46127:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 65', 56822),
(113097, 'PTHR43364:SF9', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', 56823),
(113098, 'PTHR24296:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56824),
(113099, 'PTHR34781:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 56825),
(113100, 'PTHR42923:SF3', NULL, NULL, NULL, NULL, 'PROTOPORPHYRINOGEN OXIDASE', 56826),
(113101, 'PTHR43125:SF1', NULL, NULL, NULL, NULL, 'INOSITOL-3-PHOSPHATE SYNTHASE', 56827),
(113102, 'PTHR12352:SF24', NULL, NULL, NULL, NULL, 'AGAP007053-PA', 56828),
(113103, 'PTHR12587:SF16', NULL, NULL, NULL, NULL, 'LIPRIN-BETA-1', 56829),
(113104, 'PTHR11926:SF1369', NULL, NULL, NULL, NULL, 'OS11G0444000 PROTEIN', 56830),
(113105, 'PTHR11347:SF141', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CGMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 9A', 56831),
(113106, 'PTHR47973:SF4', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE', 56832),
(113107, 'PTHR10261:SF4', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA-2', 56833),
(113108, 'PTHR28649:SF5', NULL, NULL, NULL, NULL, 'REPRIMO, TP53-DEPENDENT G2 ARREST MEDIATOR HOMOLOG 3', 56834),
(113109, 'PTHR31942:SF109', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 56835),
(113110, 'PTHR15458:SF11', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE N-METHYLTRANSFERASE B', 56836),
(113111, 'PTHR13683:SF774', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 56837),
(113112, 'PTHR31194:SF124', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF003-LIKE', 56838),
(113113, 'PTHR11740:SF0', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', 56839),
(113114, 'PTHR22973:SF13', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE P24-TRAFFICKING PROTEIN 8', 56840),
(113115, 'PTHR45580:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG05798', 56841),
(113116, 'PTHR13507:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56842),
(113117, 'PTHR18945:SF754', NULL, NULL, NULL, NULL, 'GLUTAMATE-GATED CHLORIDE CHANNEL ALPHA', 56843),
(113118, 'PTHR43655', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE', 56844),
(113119, 'PTHR46090:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE 13A', 56845),
(113120, 'PTHR10625:SF132', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE RPD3', 56846),
(113121, 'PTHR15402', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR-LIKE 5 PROTEIN', 56847),
(113122, 'PTHR36405', NULL, NULL, NULL, NULL, 'BNAA10G09140D PROTEIN', 56848),
(113123, 'PTHR23310:SF62', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING PROTEIN HOMOLOG-RELATED', 56849),
(113124, 'PTHR11132:SF258', NULL, NULL, NULL, NULL, 'GDP-MANNOSE TRANSPORTER GONST2', 56850),
(113125, 'PTHR12542:SF24', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 56851),
(113126, 'PTHR10209:SF774', NULL, NULL, NULL, NULL, 'OS08G0392100 PROTEIN', 56852),
(113127, 'PTHR31625:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56853),
(113128, 'PTHR31383:SF2', NULL, NULL, NULL, NULL, 'OXIDATIVE STRESS-RESPONSIVE SERINE-RICH PROTEIN 1', 56854),
(113129, 'PTHR10353:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56855),
(113130, 'PTHR37298', NULL, NULL, NULL, NULL, 'UPF0111 PROTEIN YKAA', 56856),
(113131, 'PTHR15350:SF13', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT M', 56857),
(113132, 'PTHR43490:SF115', NULL, NULL, NULL, NULL, 'OSJNBA0081C01.25 PROTEIN', 56858),
(113133, 'PTHR32227:SF337', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17 PROTEIN', 56859),
(113134, 'PTHR33142:SF40', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR6-RELATED', 56860),
(113135, 'PTHR11743:SF60', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 1', 56861);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(113136, 'PTHR31549:SF157', NULL, NULL, NULL, NULL, 'OS09G0300150 PROTEIN', 56862),
(113137, 'PTHR33513:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56863),
(113138, 'PTHR24300:SF134', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 2, SUBFAMILY AB, POLYPEPTIDE 1', 56864),
(113139, 'PTHR11062:SF299', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE, PUTATIVE-RELATED', 56865),
(113140, 'PTHR31779:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56866),
(113141, 'PTHR11753:SF44', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT SIGMA', 56867),
(113142, 'PTHR14742', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P SUBUNIT P21', 56868),
(113143, 'PTHR41251:SF1', NULL, NULL, NULL, NULL, 'NON-HOMOLOGOUS END JOINING PROTEIN KU', 56869),
(113144, 'PTHR21477:SF27', NULL, NULL, NULL, NULL, 'CF9 PROTEIN', 56870),
(113145, 'PTHR18919:SF153', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL ENZYME SUBUNIT BETA, MITOCHONDRIAL', 56871),
(113146, 'PTHR12197:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56872),
(113147, 'PTHR10201:SF269', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 3-MMP-LIKE', 56873),
(113148, 'PTHR21964:SF15', NULL, NULL, NULL, NULL, 'BREAST CANCER METASTASIS-SUPPRESSOR 1', 56874),
(113149, 'PTHR45988:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT6', 56875),
(113150, 'PTHR16188:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56876),
(113151, 'PTHR24348:SF53', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATG1T', 56877),
(113152, 'PTHR24103:SF586', NULL, NULL, NULL, NULL, 'BLOODTHIRSTY-RELATED GENE FAMILY, MEMBER 31-RELATED', 56878),
(113153, 'PTHR19308:SF2', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER (START) DOMAIN-CONTAINING 15', 56879),
(113154, 'PTHR31642:SF225', NULL, NULL, NULL, NULL, 'BNAANNG21320D PROTEIN', 56880),
(113155, 'PTHR47958:SF53', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 37', 56881),
(113156, 'PTHR46339:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG17404', 56882),
(113157, 'PTHR40407:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-LIKE PROTEIN', 56883),
(113158, 'PTHR48044:SF35', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 56884),
(113159, 'PTHR43464:SF31', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', 56885),
(113160, 'PTHR47926:SF177', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 56886),
(113161, 'PTHR13184:SF5', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT RNA METHYLTRANSFERASE RSM22, MITOCHONDRIAL-RELATED', 56887),
(113162, 'PTHR10381:SF59', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', 56888),
(113163, 'PTHR32285:SF265', NULL, NULL, NULL, NULL, 'PMR5 N-TERMINAL DOMAIN, PC-ESTERASE-RELATED', 56889),
(113164, 'PTHR10909:SF315', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACYL-COENZYME A OXIDASE 3', 56890),
(113165, 'PTHR37204', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 56891),
(113166, 'PTHR31286:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56892),
(113167, 'PTHR28620:SF9', NULL, NULL, NULL, NULL, 'CARBON-SULFUR LYASES', 56893),
(113168, 'PTHR48085:SF10', NULL, NULL, NULL, NULL, 'CADMIUM/ZINC-TRANSPORTING ATPASE HMA2-LIKE', 56894),
(113169, 'PTHR37836', NULL, NULL, NULL, NULL, 'LMO1036 PROTEIN', 56895),
(113170, 'PTHR44375:SF9', NULL, NULL, NULL, NULL, 'BNAA09G10000D PROTEIN', 56896),
(113171, 'PTHR47303:SF1', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR BETA', 56897),
(113172, 'PTHR42903', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YCCF', 56898),
(113173, 'PTHR31509:SF65', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 3 SUBUNIT A, PUTATIVE-RELATED', 56899),
(113174, 'PTHR23138:SF136', NULL, NULL, NULL, NULL, 'OS05G0350600 PROTEIN', 56900),
(113175, 'PTHR10117:SF46', NULL, NULL, NULL, NULL, 'TRANSIENT-RECEPTOR-POTENTIAL-LIKE PROTEIN', 56901),
(113176, 'PTHR35290:SF5', NULL, NULL, NULL, NULL, 'BNAA03G52930D PROTEIN', 56902),
(113177, 'PTHR10855:SF5', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 4-LIKE', 56903),
(113178, 'PTHR35569', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 56904);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(113179, 'PTHR11938:SF138', NULL, NULL, NULL, NULL, 'BNAA03G19380D PROTEIN', 56905),
(113180, 'PTHR31636:SF227', NULL, NULL, NULL, NULL, 'BNAA09G10790D PROTEIN', 56906),
(113181, 'PTHR34741:SF2', NULL, NULL, NULL, NULL, 'IMAP FAMILY MEMBER 1, PUTATIVE-RELATED', 56907),
(113182, 'PTHR33432:SF27', NULL, NULL, NULL, NULL, 'PROTEIN EMSY-LIKE 3', 56908),
(113183, 'PTHR46481', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 4', 56909),
(113184, 'PTHR27003:SF313', NULL, NULL, NULL, NULL, 'BNAC05G10630D PROTEIN', 56910),
(113185, 'PTHR13296', NULL, NULL, NULL, NULL, 'BCAS2 PROTEIN', 56911),
(113186, 'PTHR46661:SF1', NULL, NULL, NULL, NULL, 'ZGC:66427', 56912),
(113187, 'PTHR31218:SF215', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 56913),
(113188, 'PTHR32212:SF305', NULL, NULL, NULL, NULL, 'BNAA08G26470D PROTEIN', 56914),
(113189, 'PTHR23101:SF58', NULL, NULL, NULL, NULL, 'RAS AND RAB INTERACTOR 3', 56915),
(113190, 'PTHR11064:SF125', NULL, NULL, NULL, NULL, 'BNAA04G21250D PROTEIN', 56916),
(113191, 'PTHR11817:SF100', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 56917),
(113192, 'PTHR28258', NULL, NULL, NULL, NULL, 'VACUOLAR SEGREGATION PROTEIN 7', 56918),
(113193, 'PTHR24126:SF7', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 1', 56919),
(113194, 'PTHR46991:SF19', NULL, NULL, NULL, NULL, 'BNAA06G35430D PROTEIN', 56920),
(113195, 'PTHR24126:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56921),
(113196, 'PTHR11689:SF145', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL', 56922),
(113197, 'PTHR33672:SF11', NULL, NULL, NULL, NULL, 'ROOT HAIR SPECIFIC 4', 56923),
(113198, 'PTHR21700:SF23', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 56924),
(113199, 'PTHR48066', NULL, NULL, NULL, NULL, 'CARNOSINE SYNTHASE 1', 56925),
(113200, 'PTHR31928:SF13', NULL, NULL, NULL, NULL, 'OS07G0588300 PROTEIN', 56926),
(113201, 'PTHR32018:SF34', NULL, NULL, NULL, NULL, 'BNAC03G76550D PROTEIN', 56927),
(113202, 'PTHR11157:SF135', NULL, NULL, NULL, NULL, 'BNAA01G32810D PROTEIN', 56928),
(113203, 'PTHR47926:SF34', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 56929),
(113204, 'PTHR28666', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 240', 56930),
(113205, 'PTHR31898:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 136', 56931),
(113206, 'PTHR19241:SF640', NULL, NULL, NULL, NULL, 'PLANT PDR ABC TRANSPORTER ASSOCIATED-RELATED', 56932),
(113207, 'PTHR36108:SF15', NULL, NULL, NULL, NULL, 'COLLAGEN ADHESION PROTEIN', 56933),
(113208, 'PTHR32044:SF88', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 12-RELATED', 56934),
(113209, 'PTHR45627:SF7', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 5', 56935),
(113210, 'PTHR31319:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56936),
(113211, 'PTHR23279:SF36', NULL, NULL, NULL, NULL, 'HEMICENTIN 1', 56937),
(113212, 'PTHR31569:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56938),
(113213, 'PTHR31374:SF140', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 56939),
(113214, 'PTHR32018:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56940),
(113215, 'PTHR14274:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 8', 56941),
(113216, 'PTHR41158:SF2', NULL, NULL, NULL, NULL, 'AGAP010294-PA', 56942),
(113217, 'PTHR18919:SF158', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACETOACETYL-COENZYME A THIOLASE', 56943),
(113218, 'PTHR10634:SF108', NULL, NULL, NULL, NULL, 'BNAA05G26550D PROTEIN', 56944),
(113219, 'PTHR16290:SF5', NULL, NULL, NULL, NULL, 'MRNA-DECAPPING ENZYME 1B', 56945),
(113220, 'PTHR11909:SF137', NULL, NULL, NULL, NULL, 'TAU TUBULIN KINASE', 56946),
(113221, 'PTHR34482:SF29', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN 2-LIKE', 56947),
(113222, 'PTHR21629:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG13119', 56948),
(113223, 'PTHR10366:SF705', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE/ISOMERASE, PUTATIVE-RELATED', 56949),
(113224, 'PTHR31395:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56950),
(113225, 'PTHR21733:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBR-HPO-6', 56951);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(113226, 'PTHR10811:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56952),
(113227, 'PTHR31625:SF12', NULL, NULL, NULL, NULL, 'OS12G0565450 PROTEIN', 56953),
(113228, 'PTHR30354:SF20', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY GLUCONATE TRANSPORTER', 56954),
(113229, 'PTHR18966:SF384', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 64A-RELATED', 56955),
(113230, 'PTHR12919:SF36', NULL, NULL, NULL, NULL, 'BNAC02G11990D PROTEIN', 56956),
(113231, 'PTHR45821:SF8', NULL, NULL, NULL, NULL, 'SNF2 DOMAIN-CONTAINING PROTEIN CLASSY 1', 56957),
(113232, 'PTHR28607:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 56958),
(113233, 'PTHR43767:SF4', NULL, NULL, NULL, NULL, 'FATTY-ACID-COA LIGASE FADD36 (FATTY-ACID-COA SYNTHETASE) (FATTY-ACID-COA SYNTHASE)-RELATED', 56959),
(113234, 'PTHR39074:SF1', NULL, NULL, NULL, NULL, 'AGAP007547-PA', 56960),
(113235, 'PTHR24637:SF286', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 6', 56961),
(113236, 'PTHR11426:SF226', NULL, NULL, NULL, NULL, 'HISTONE H3.2', 56962),
(113237, 'PTHR11594:SF4', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', 56963),
(113238, 'PTHR30332:SF23', NULL, NULL, NULL, NULL, 'SECRETION PATHWAY PROTEIN D, PUTATIVE-RELATED', 56964),
(113239, 'PTHR31235:SF274', NULL, NULL, NULL, NULL, 'PEROXIDASE', 56965),
(113240, 'PTHR15492:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-D1-BINDING PROTEIN', 56966),
(113241, 'PTHR45621:SF181', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL11-RELATED', 56967),
(113242, 'PTHR31500:SF93', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 1', 56968),
(113243, 'PTHR30399:SF4', NULL, NULL, NULL, NULL, 'UTP PYROPHOSPHATASE', 56969),
(113244, 'PTHR31301:SF75', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 7', 56970),
(113245, 'PTHR10891:SF676', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML16-RELATED', 56971),
(113246, 'PTHR11206:SF159', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 56972),
(113247, 'PTHR46128:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56973),
(113248, 'PTHR33179:SF61', NULL, NULL, NULL, NULL, 'BNAA06G24120D PROTEIN', 56974),
(113249, 'PTHR13078:SF57', NULL, NULL, NULL, NULL, 'DEHYDRATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00640)-RELATED', 56975),
(113250, 'PTHR21595:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56976),
(113251, 'PTHR12547:SF139', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 14', 56977),
(113252, 'PTHR23419', NULL, NULL, NULL, NULL, 'DIVALENT CATION TOLERANCE CUTA-RELATED', 56978),
(113253, 'PTHR11599:SF158', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 56979),
(113254, 'PTHR22950:SF650', NULL, NULL, NULL, NULL, 'BNAC06G40470D PROTEIN', 56980),
(113255, 'PTHR24419', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE', 56981),
(113256, 'PTHR22765:SF58', NULL, NULL, NULL, NULL, 'PROTEIN GOLIATH', 56982),
(113257, 'PTHR24070:SF226', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHEB HOMOLOG', 56983),
(113258, 'PTHR47591:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 56984),
(113259, 'PTHR31533:SF2', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN LLG1-RELATED', 56985),
(113260, 'PTHR43364:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE YDHF', 56986),
(113261, 'PTHR43721', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU-RELATED', 56987),
(113262, 'PTHR12411:SF660', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RDL4-RELATED', 56988),
(113263, 'PTHR31889:SF61', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 7-RELATED', 56989),
(113264, 'PTHR15427:SF32', NULL, NULL, NULL, NULL, 'PROTEIN HP-20 HOMOLOG', 56990),
(113265, 'PTHR46214:SF30', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 56991),
(113266, 'PTHR24015:SF1849', NULL, NULL, NULL, NULL, 'OS03G0158900 PROTEIN', 56992),
(113267, 'PTHR31326:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CLT2, CHLOROPLASTIC', 56993),
(113268, 'PTHR10627:SF65', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF/POINTED DOMAIN-CONTAINING PROTEIN-RELATED', 56994),
(113269, 'PTHR45614:SF146', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN N', 56995);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(113270, 'PTHR13318:SF158', NULL, NULL, NULL, NULL, 'EIN3-BINDING F-BOX PROTEIN 2', 56996),
(113271, 'PTHR35546:SF21', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN', 56997),
(113272, 'PTHR24222:SF60', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 9', 56998),
(113273, 'PTHR30034:SF3', NULL, NULL, NULL, NULL, 'FLAGELLAR MOTOR SWITCH PROTEIN FLIM', 56999),
(113274, 'PTHR22951:SF99', NULL, NULL, NULL, NULL, 'ENTH/VHS AND ANTH DOMAINS-CONTAINING PROTEIN-RELATED', 57000),
(113275, 'PTHR31549:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57001),
(113276, 'PTHR31104:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57002),
(113277, 'PTHR45682:SF4', NULL, NULL, NULL, NULL, 'INACTIVE DUAL SPECIFICITY PHOSPHATASE 27', 57003),
(113278, 'PTHR46939', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 2', 57004),
(113279, 'PTHR12553:SF69', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', 57005),
(113280, 'PTHR46142:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57006),
(113281, 'PTHR21139:SF31', NULL, NULL, NULL, NULL, 'BNAC08G26250D PROTEIN', 57007),
(113282, 'PTHR44743:SF9', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 57008),
(113283, 'PTHR15887:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57009),
(113284, 'PTHR21608:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-22L1.1', 57010),
(113285, 'PTHR11732:SF438', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57011),
(113286, 'PTHR48125:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57012),
(113287, 'PTHR28180:SF2', NULL, NULL, NULL, NULL, 'CONSERVED MITOCHONDRIAL PROTEIN', 57013),
(113288, 'PTHR10201:SF263', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 3-MMP', 57014),
(113289, 'PTHR10681:SF156', NULL, NULL, NULL, NULL, 'BNAA05G27440D PROTEIN', 57015),
(113290, 'PTHR48041:SF20', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 19', 57016),
(113291, 'PTHR33702:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57017),
(113292, 'PTHR36380:SF1', NULL, NULL, NULL, NULL, 'BNAA03G58330D PROTEIN', 57018),
(113293, 'PTHR10443:SF9', NULL, NULL, NULL, NULL, 'DIPEPTIDASE 2', 57019),
(113294, 'PTHR10853:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PELOTA HOMOLOG', 57020),
(113295, 'PTHR10694:SF95', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 5D', 57021),
(113296, 'PTHR10504:SF135', NULL, NULL, NULL, NULL, 'PROTEIN CBG15266', 57022),
(113297, 'PTHR24055:SF218', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 17', 57023),
(113298, 'PTHR31541:SF53', NULL, NULL, NULL, NULL, 'BNAC08G44360D PROTEIN', 57024),
(113299, 'PTHR24120', NULL, NULL, NULL, NULL, 'GH07239P', 57025),
(113300, 'PTHR24412:SF210', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 18', 57026),
(113301, 'PTHR11972:SF148', NULL, NULL, NULL, NULL, 'FERRIC REDUCTION OXIDASE 3, MITOCHONDRIAL-RELATED', 57027),
(113302, 'PTHR19317:SF69', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 57028),
(113303, 'PTHR38396', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 57029),
(113304, 'PTHR33133:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 57030),
(113305, 'PTHR38118:SF1', NULL, NULL, NULL, NULL, 'ANCHORED CELL WALL PROTEIN 11', 57031),
(113306, 'PTHR24300:SF63', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 57032),
(113307, 'PTHR11353:SF211', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ETA', 57033),
(113308, 'PTHR31949:SF28', NULL, NULL, NULL, NULL, 'BNAA09G27720D PROTEIN', 57034),
(113309, 'PTHR24224:SF33', NULL, NULL, NULL, NULL, 'OPSIN RELATED', 57035),
(113310, 'PTHR31960:SF25', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A15-LIKE', 57036),
(113311, 'PTHR36877', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 13', 57037),
(113312, 'PTHR23026:SF90', NULL, NULL, NULL, NULL, 'IODOTYROSINE DEIODINASE 1', 57038),
(113313, 'PTHR11588:SF300', NULL, NULL, NULL, NULL, 'TUBULIN BETA-5 CHAIN', 57039),
(113314, 'PTHR10015:SF380', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX DNA-BINDING DOMAIN, HEAT SHOCK TRANSCRIPTION FACTOR FAMILY-RELATED', 57040),
(113315, 'PTHR11588:SF330', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2B CHAIN', 57041);
INSERT INTO "PUBLIC"."MODEL" VALUES
(113316, 'PTHR31568:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57042),
(113317, 'PTHR10638:SF20', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 57043),
(113318, 'PTHR33047:SF23', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN', 57044),
(113319, 'PTHR12411:SF444', NULL, NULL, NULL, NULL, 'CATHEPSIN F', 57045),
(113320, 'PTHR31245', NULL, NULL, NULL, NULL, 'UBIQUITIN SYSTEM COMPONENT CUE PROTEIN', 57046),
(113321, 'PTHR31867:SF136', NULL, NULL, NULL, NULL, 'EXPANSIN', 57047),
(113322, 'PTHR33168:SF53', NULL, NULL, NULL, NULL, 'OS02G0182850 PROTEIN', 57048),
(113323, 'PTHR23339:SF110', NULL, NULL, NULL, NULL, 'BNAC01G23580D PROTEIN', 57049),
(113324, 'PTHR45969:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 57050),
(113325, 'PTHR34114:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57051),
(113326, 'PTHR23147:SF76', NULL, NULL, NULL, NULL, 'LD40489P', 57052),
(113327, 'PTHR11620:SF59', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L23, CHLOROPLASTIC', 57053),
(113328, 'PTHR38648:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930451I11 GENE', 57054),
(113329, 'PTHR31263:SF58', NULL, NULL, NULL, NULL, 'BNAC09G41180D PROTEIN', 57055),
(113330, 'PTHR42968:SF19', NULL, NULL, NULL, NULL, 'PFS, NACHT AND WD DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_7G07100)', 57056),
(113331, 'PTHR21331', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED ATM ACTIVATOR 1', 57057),
(113332, 'PTHR48244', NULL, NULL, NULL, NULL, 'ZEIN-ALPHA A20-RELATED', 57058),
(113333, 'PTHR31189:SF56', NULL, NULL, NULL, NULL, '11S GLOBULIN SUBUNIT BETA-RELATED', 57059),
(113334, 'PTHR33840:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57060),
(113335, 'PTHR31036:SF0', NULL, NULL, NULL, NULL, 'FANCD2 OPPOSITE STRAND PROTEIN', 57061),
(113336, 'PTHR47156:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG12711', 57062),
(113337, 'PTHR24292:SF54', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 28A5-RELATED', 57063),
(113338, 'PTHR32227:SF95', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-RELATED', 57064),
(113339, 'PTHR10540:SF21', NULL, NULL, NULL, NULL, 'BNAC02G02190D PROTEIN', 57065),
(113340, 'PTHR28654:SF1', NULL, NULL, NULL, NULL, 'AXIN INTERACTOR, DORSALIZATION-ASSOCIATED PROTEIN', 57066),
(113341, 'PTHR43065:SF36', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE TRANSPORT SYSTEM SENSOR PROTEIN PGTB', 57067),
(113342, 'PTHR11098', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE', 57068),
(113343, 'PTHR23406:SF64', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME 3', 57069),
(113344, 'PTHR32205', NULL, NULL, NULL, NULL, 'ARCHAEMETZINCIN-2-RELATED', 57070),
(113345, 'PTHR11157:SF36', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN', 57071),
(113346, 'PTHR33673:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57072),
(113347, 'PTHR11972:SF159', NULL, NULL, NULL, NULL, 'BNAA05G13820D PROTEIN', 57073),
(113348, 'PTHR28422', NULL, NULL, NULL, NULL, 'SIMILAR TO HUMAN CHROMOSOME 15 OPEN READING FRAME 39', 57074),
(113349, 'PTHR43571:SF2', NULL, NULL, NULL, NULL, 'BNAA06G02140D PROTEIN', 57075),
(113350, 'PTHR19856:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WD40-LIKE FAMILY-RELATED', 57076),
(113351, 'PTHR42713', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE-RELATED', 57077),
(113352, 'PTHR24115:SF352', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF20A', 57078),
(113353, 'PTHR31561:SF162', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 57079),
(113354, 'PTHR46905:SF4', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL78-LIKE', 57080),
(113355, 'PTHR38622:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG25801', 57081),
(113356, 'PTHR47990:SF78', NULL, NULL, NULL, NULL, 'BNAC03G75160D PROTEIN', 57082),
(113357, 'PTHR23164:SF28', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PIB1', 57083),
(113358, 'PTHR44252:SF2', NULL, NULL, NULL, NULL, 'L-XYLULOSE REDUCTASE', 57084),
(113359, 'PTHR22808:SF3', NULL, NULL, NULL, NULL, '5-METHYLCYTOSINE RRNA METHYLTRANSFERASE NSUN4', 57085),
(113360, 'PTHR38224:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57086),
(113361, 'PTHR18884:SF21', NULL, NULL, NULL, NULL, 'SPORULATION-REGULATED PROTEIN 28', 57087);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(113362, 'PTHR26312:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57088),
(113363, 'PTHR30620:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57089),
(113364, 'PTHR31975', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 7-RELATED', 57090),
(113365, 'PTHR12585:SF51', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN REC8', 57091),
(113366, 'PTHR33428:SF11', NULL, NULL, NULL, NULL, 'CHLOROPHYLLASE-2, CHLOROPLASTIC-LIKE', 57092),
(113367, 'PTHR47317', NULL, NULL, NULL, NULL, 'PROTEIN LHCP TRANSLOCATION DEFECT', 57093),
(113368, 'PTHR24376:SF119', NULL, NULL, NULL, NULL, 'SI:CABZ01069013.3-RELATED', 57094),
(113369, 'PTHR31376:SF69', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 2', 57095),
(113370, 'PTHR46845', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR I', 57096),
(113371, 'PTHR15852:SF7', NULL, NULL, NULL, NULL, 'PROTEIN SSUH2 HOMOLOG', 57097),
(113372, 'PTHR45635:SF35', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1, MITOCHONDRIAL-LIKE', 57098),
(113373, 'PTHR33112:SF6', NULL, NULL, NULL, NULL, 'HETEROKARYON INCOMPATIBILITY PROTEIN', 57099),
(113374, 'PTHR11994:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57100),
(113375, 'PTHR31429:SF83', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 6', 57101),
(113376, 'PTHR10728:SF35', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2', 57102),
(113377, 'PTHR45954:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN-SIGNALING MODULATOR 2', 57103),
(113378, 'PTHR31683:SF89', NULL, NULL, NULL, NULL, 'PECTATE LYASE 7-RELATED', 57104),
(113379, 'PTHR24298:SF845', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 57105),
(113380, 'PTHR10466', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE', 57106),
(113381, 'PTHR36833:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE TRANSPORT PROTEIN-RELATED', 57107),
(113382, 'PTHR45671:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATE CARRIER PROTEIN, MITOCHONDRIAL', 57108),
(113383, 'PTHR48001:SF131', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 57109),
(113384, 'PTHR48001:SF28', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 57110),
(113385, 'PTHR47247:SF1', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR 2', 57111),
(113386, 'PTHR11615:SF320', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 57112),
(113387, 'PTHR33895:SF7', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 3', 57113),
(113388, 'PTHR24064:SF488', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PROTEIN4', 57114),
(113389, 'PTHR31194:SF106', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF118-LIKE', 57115),
(113390, 'PTHR11913:SF89', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 3', 57116),
(113391, 'PTHR10505:SF3', NULL, NULL, NULL, NULL, 'CALCITONIN GENE-RELATED PEPTIDE 2', 57117),
(113392, 'PTHR31490:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57118),
(113393, 'PTHR33681:SF8', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 57119),
(113394, 'PTHR31197:SF26', NULL, NULL, NULL, NULL, 'BNAA07G38330D PROTEIN', 57120),
(113395, 'PTHR23428:SF160', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-H', 57121),
(113396, 'PTHR31282:SF5', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 30-RELATED', 57122),
(113397, 'PTHR38148:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57123),
(113398, 'PTHR12381', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN U FAMILY MEMBER', 57124),
(113399, 'PTHR12210:SF136', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', 57125),
(113400, 'PTHR46250:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57126),
(113401, 'PTHR10583:SF4', NULL, NULL, NULL, NULL, 'SECRETOGRANIN-1', 57127),
(113402, 'PTHR27006:SF227', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', 57128),
(113403, 'PTHR31301:SF140', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', 57129),
(113404, 'PTHR48124:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57130),
(113405, 'PTHR42936', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE', 57131),
(113406, 'PTHR46485:SF7', NULL, NULL, NULL, NULL, 'LIM DOMAIN KINASE 1', 57132);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(113407, 'PTHR37186', NULL, NULL, NULL, NULL, 'OS06G0524500 PROTEIN', 57133),
(113408, 'PTHR11603:SF165', NULL, NULL, NULL, NULL, 'MORR PROTEIN', 57134),
(113409, 'PTHR46125:SF21', NULL, NULL, NULL, NULL, 'BNAC06G41200D PROTEIN', 57135),
(113410, 'PTHR24418:SF78', NULL, NULL, NULL, NULL, 'FOCAL ADHESION KINASE 1', 57136),
(113411, 'PTHR42979:SF8', NULL, NULL, NULL, NULL, 'BNAC02G22990D PROTEIN', 57137),
(113412, 'PTHR11132:SF447', NULL, NULL, NULL, NULL, 'BNAA06G14900D PROTEIN', 57138),
(113413, 'PTHR11815:SF16', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT BETA, MITOCHONDRIAL', 57139),
(113414, 'PTHR10871:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S18-LIKE', 57140),
(113415, 'PTHR24067', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2', 57141),
(113416, 'PTHR15138:SF26', NULL, NULL, NULL, NULL, 'BNAA06G36870D PROTEIN', 57142),
(113417, 'PTHR19359:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57143),
(113418, 'PTHR33057:SF146', NULL, NULL, NULL, NULL, 'OVATE FAMILY PROTEIN', 57144),
(113419, 'PTHR46048:SF3', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLIC ACID RECEPTOR 1', 57145),
(113420, 'PTHR47970:SF9', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-5D', 57146),
(113421, 'PTHR28005:SF1', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 17', 57147),
(113422, 'PTHR48001:SF86', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 866', 57148),
(113423, 'PTHR24960:SF79', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I IRON-SULFUR CENTER', 57149),
(113424, 'PTHR12794:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57150),
(113425, 'PTHR32410:SF196', NULL, NULL, NULL, NULL, 'BNAC09G00270D PROTEIN', 57151),
(113426, 'PTHR24083:SF98', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 2 GROUP E MEMBER 1', 57152),
(113427, 'PTHR22536:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 19', 57153),
(113428, 'PTHR11673:SF6', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', 57154),
(113429, 'PTHR23315:SF248', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 45', 57155),
(113430, 'PTHR45855:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UNE10', 57156),
(113431, 'PTHR31639:SF213', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57157),
(113432, 'PTHR43329:SF72', NULL, NULL, NULL, NULL, 'SERINE HYDROLASE-LIKE PROTEIN-RELATED', 57158),
(113433, 'PTHR45631:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 57159),
(113434, 'PTHR48018:SF128', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 57160),
(113435, 'PTHR24014:SF6', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 1, MITOCHONDRIAL', 57161),
(113436, 'PTHR45670', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIP12', 57162),
(113437, 'PTHR12791:SF28', NULL, NULL, NULL, NULL, 'BET1 HOMOLOG', 57163),
(113438, 'PTHR23068:SF11', NULL, NULL, NULL, NULL, 'INACTIVE DNA (CYTOSINE-5)-METHYLTRANSFERASE DRM3-RELATED', 57164),
(113439, 'PTHR46413:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57165),
(113440, 'PTHR12952:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 244', 57166),
(113441, 'PTHR19359:SF74', NULL, NULL, NULL, NULL, 'B5, PUTATIVE-RELATED', 57167),
(113442, 'PTHR26312:SF169', NULL, NULL, NULL, NULL, 'TPR REPEAT PROTEIN', 57168),
(113443, 'PTHR30519:SF24', NULL, NULL, NULL, NULL, '5-METHYLTETRAHYDROPTEROYLTRIGLUTAMATE--HOMOCYSTEINE METHYLTRANSFERASE 1', 57169),
(113444, 'PTHR35469:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 57170),
(113445, 'PTHR46490:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 1 MEMBER A', 57171),
(113446, 'PTHR17204:SF23', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN COMPONENT PRP42', 57172),
(113447, 'PTHR27006:SF377', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 57173),
(113448, 'PTHR22850:SF197', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN', 57174),
(113449, 'PTHR11879', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 57175),
(113450, 'PTHR31623:SF82', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', 57176);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(113451, 'PTHR31155:SF33', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE', 57177),
(113452, 'PTHR31009:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57178),
(113453, 'PTHR12585:SF27', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN REC8 HOMOLOG', 57179),
(113454, 'PTHR46521:SF4', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 2-RELATED', 57180),
(113455, 'PTHR30096:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57181),
(113456, 'PTHR26452:SF709', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 57182),
(113457, 'PTHR23150:SF32', NULL, NULL, NULL, NULL, 'FORMYLGLYCINE-GENERATING ENZYME', 57183),
(113458, 'PTHR33286:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57184),
(113459, 'PTHR43874:SF57', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR7', 57185),
(113460, 'PTHR10005:SF3', NULL, NULL, NULL, NULL, 'SKI-LIKE PROTEIN', 57186),
(113461, 'PTHR10648:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 1', 57187),
(113462, 'PTHR31235:SF86', NULL, NULL, NULL, NULL, 'PEROXIDASE', 57188),
(113463, 'PTHR45614:SF162', NULL, NULL, NULL, NULL, 'BNAC03G66940D PROTEIN', 57189),
(113464, 'PTHR33416', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 57190),
(113465, 'PTHR10516', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 57191),
(113466, 'PTHR39741:SF12', NULL, NULL, NULL, NULL, 'BNAA09G51760D PROTEIN', 57192),
(113467, 'PTHR13309:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR FRAGILE X MENTAL RETARDATION-INTERACTING PROTEIN 1', 57193),
(113468, 'PTHR13146:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57194),
(113469, 'PTHR24055:SF178', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 57195),
(113470, 'PTHR11002:SF69', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 57196),
(113471, 'PTHR22802:SF311', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER C', 57197),
(113472, 'PTHR47233:SF3', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN CHEV', 57198),
(113473, 'PTHR23250:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-251F6.6-RELATED', 57199),
(113474, 'PTHR24113:SF10', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', 57200),
(113475, 'PTHR10366:SF717', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE-LIKE SNL6', 57201),
(113476, 'PTHR46908:SF2', NULL, NULL, NULL, NULL, 'CUBILIN-LIKE PROTEIN', 57202),
(113477, 'PTHR22624:SF39', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE ATG4B', 57203),
(113478, 'PTHR27001:SF842', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57204),
(113479, 'PTHR45847:SF1', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE HOMOLOG', 57205),
(113480, 'PTHR48059:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 57206),
(113481, 'PTHR33165:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57207),
(113482, 'PTHR23055:SF84', NULL, NULL, NULL, NULL, 'HIPPOCALCIN-LIKE PROTEIN 4', 57208),
(113483, 'PTHR12304:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57209),
(113484, 'PTHR23503:SF49', NULL, NULL, NULL, NULL, 'PROTEIN CBG06204', 57210),
(113485, 'PTHR47234', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 57211),
(113486, 'PTHR11009:SF0', NULL, NULL, NULL, NULL, 'DERLIN', 57212),
(113487, 'PTHR48002:SF28', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 57213),
(113488, 'PTHR15380:SF2', NULL, NULL, NULL, NULL, 'CEROID-LIPOFUSCINOSIS NEURONAL PROTEIN 5', 57214),
(113489, 'PTHR12411:SF652', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE', 57215),
(113490, 'PTHR11902:SF49', NULL, NULL, NULL, NULL, 'ENOLASE A', 57216),
(113491, 'PTHR24390:SF143', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 408', 57217),
(113492, 'PTHR11476:SF6', NULL, NULL, NULL, NULL, 'HISTIDINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', 57218),
(113493, 'PTHR31577:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM156A/FAM156B', 57219),
(113494, 'PTHR21532', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE HL', 57220),
(113495, 'PTHR31589:SF110', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', 57221),
(113496, 'PTHR46199:SF1', NULL, NULL, NULL, NULL, 'RAC GTPASE-ACTIVATING PROTEIN 1', 57222);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(113497, 'PTHR33021:SF33', NULL, NULL, NULL, NULL, 'COPPER ION BINDING / ELECTRON CARRIER PROTEIN-RELATED', 57223),
(113498, 'PTHR10795:SF725', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57224),
(113499, 'PTHR45615:SF6', NULL, NULL, NULL, NULL, 'MYOSIN-3', 57225),
(113500, 'PTHR46311:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 7B', 57226),
(113501, 'PTHR33680:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57227),
(113502, 'PTHR31446:SF28', NULL, NULL, NULL, NULL, 'PHOSPHATIDIC ACID PHOSPHATASE TYPE 2/HALOPEROXIDASE-RELATED', 57228),
(113503, 'PTHR24032:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57229),
(113504, 'PTHR11732:SF284', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G08290)-RELATED', 57230),
(113505, 'PTHR45736:SF2', NULL, NULL, NULL, NULL, 'GLUTAMINE-RICH 1-LIKE', 57231),
(113506, 'PTHR37693:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL LYSYLTRANSFERASE', 57232),
(113507, 'PTHR10621', NULL, NULL, NULL, NULL, 'UV EXCISION REPAIR PROTEIN RAD23', 57233),
(113508, 'PTHR31374:SF300', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 57234),
(113509, 'PTHR16517:SF114', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 57235),
(113510, 'PTHR14499:SF120', NULL, NULL, NULL, NULL, 'PROTEIN CBG10153', 57236),
(113511, 'PTHR46040:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57237),
(113512, 'PTHR11738:SF156', NULL, NULL, NULL, NULL, 'PLATELET GLYCOPROTEIN VI', 57238),
(113513, 'PTHR31636:SF193', NULL, NULL, NULL, NULL, 'GIBBERELLIN-RESPONSIVE PROTEIN, PUTATIVE-RELATED', 57239),
(113514, 'PTHR22943:SF61', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 57240),
(113515, 'PTHR10694:SF7', NULL, NULL, NULL, NULL, 'LYSINE DEMETHYLASE 4B', 57241),
(113516, 'PTHR23147:SF186', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 1-RELATED', 57242),
(113517, 'PTHR14226:SF75', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE SDP1L', 57243),
(113518, 'PTHR23502:SF138', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01350)-RELATED', 57244),
(113519, 'PTHR21662:SF53', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', 57245),
(113520, 'PTHR11824', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL BETA SUBUNIT', 57246),
(113521, 'PTHR11062:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57247),
(113522, 'PTHR11716:SF57', NULL, NULL, NULL, NULL, 'GROUP IID SECRETORY PHOSPHOLIPASE A2', 57248),
(113523, 'PTHR45679', NULL, NULL, NULL, NULL, 'ER DEGRADATION-ENHANCING ALPHA-MANNOSIDASE-LIKE PROTEIN 2', 57249),
(113524, 'PTHR24023:SF959', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE XVII, ALPHA 1B', 57250),
(113525, 'PTHR12861:SF7', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN SUBUNIT BETA-LIKE', 57251),
(113526, 'PTHR46370', NULL, NULL, NULL, NULL, 'GPALPP MOTIFS-CONTAINING PROTEIN 1', 57252),
(113527, 'PTHR47991:SF78', NULL, NULL, NULL, NULL, 'SYNTHASE/FLAVANONE 3-HYDROXYLASE, PUTATIVE-RELATED', 57253),
(113528, 'PTHR10334:SF475', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57254),
(113529, 'PTHR27007:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57255),
(113530, 'PTHR40135:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57256),
(113531, 'PTHR33317', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', 57257),
(113532, 'PTHR13382:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57258),
(113533, 'PTHR24055:SF451', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57259),
(113534, 'PTHR30612', NULL, NULL, NULL, NULL, 'SECA INNER MEMBRANE COMPONENT OF SEC PROTEIN SECRETION SYSTEM', 57260),
(113535, 'PTHR35477:SF2', NULL, NULL, NULL, NULL, 'BNAC02G20790D PROTEIN', 57261),
(113536, 'PTHR14217:SF2', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE 4', 57262),
(113537, 'PTHR24186:SF19', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN ISOFORM 1', 57263),
(113538, 'PTHR43447:SF27', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 1-RELATED', 57264),
(113539, 'PTHR24082:SF498', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1, GROUP H, MEMBER 3', 57265);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(113540, 'PTHR31375:SF31', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 57266),
(113541, 'PTHR22957:SF462', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 22B', 57267),
(113542, 'PTHR23011:SF36', NULL, NULL, NULL, NULL, 'AGAP000594-PA', 57268),
(113543, 'PTHR31319', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 4', 57269),
(113544, 'PTHR22891:SF133', NULL, NULL, NULL, NULL, 'ARGONAUTE108', 57270),
(113545, 'PTHR47924:SF17', NULL, NULL, NULL, NULL, 'BNAC05G48160D PROTEIN', 57271),
(113546, 'PTHR41339', NULL, NULL, NULL, NULL, 'LIPL48', 57272),
(113547, 'PTHR23500:SF558', NULL, NULL, NULL, NULL, 'HEXOSE CARRIER PROTEIN HEX6-LIKE', 57273),
(113548, 'PTHR23417', NULL, NULL, NULL, NULL, '3-DEOXY-D-MANNO-OCTULOSONIC-ACID TRANSFERASE/TRNA  GUANINE-N 7 - -METHYLTRANSFERASE', 57274),
(113549, 'PTHR31919', NULL, NULL, NULL, NULL, 'ZINC FINGERS AND HOMEOBOXES PROTEIN 1, ISOFORM 2', 57275),
(113550, 'PTHR12843:SF6', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE OS01G0121100', 57276),
(113551, 'PTHR11188:SF16', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN 4', 57277),
(113552, 'PTHR21433', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN INDUCED BY TUMOR NECROSIS FACTOR ALPHA', 57278),
(113553, 'PTHR10529:SF340', NULL, NULL, NULL, NULL, 'CARMINE, ISOFORM A', 57279),
(113554, 'PTHR33021:SF398', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN-LIKE', 57280),
(113555, 'PTHR45760:SF2', NULL, NULL, NULL, NULL, 'FI19922P1-RELATED', 57281),
(113556, 'PTHR12847:SF15', NULL, NULL, NULL, NULL, 'ADAPTIN EAR-BINDING COAT-ASSOCIATED PROTEIN 1', 57282),
(113557, 'PTHR14207:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57283),
(113558, 'PTHR32448:SF72', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 22', 57284),
(113559, 'PTHR24068:SF382', NULL, NULL, NULL, NULL, 'NEDD8-CONJUGATING ENZYME UBC12-LIKE-RELATED', 57285),
(113560, 'PTHR31741:SF53', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 19', 57286),
(113561, 'PTHR24024:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57287),
(113562, 'PTHR39614:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57288),
(113563, 'PTHR31992:SF196', NULL, NULL, NULL, NULL, 'BNAA03G58570D PROTEIN', 57289),
(113564, 'PTHR34231:SF2', NULL, NULL, NULL, NULL, 'EXS-RELATED PROTEIN', 57290),
(113565, 'PTHR31342:SF57', NULL, NULL, NULL, NULL, 'BNAA05G15040D PROTEIN', 57291),
(113566, 'PTHR23322:SF70', NULL, NULL, NULL, NULL, 'OS07G0294500 PROTEIN', 57292),
(113567, 'PTHR31346:SF5', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 1, MITOCHONDRIAL', 57293),
(113568, 'PTHR37344', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 5', 57294),
(113569, 'PTHR10336:SF160', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 57295),
(113570, 'PTHR21666:SF267', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN YTFB', 57296),
(113571, 'PTHR21396', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L43', 57297),
(113572, 'PTHR31989:SF99', NULL, NULL, NULL, NULL, 'NAC DOMAIN TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', 57298),
(113573, 'PTHR47746:SF28', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE RELATED PROTEIN', 57299),
(113574, 'PTHR27006:SF269', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RFK1-RELATED', 57300),
(113575, 'PTHR48000:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX1', 57301),
(113576, 'PTHR35363:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57302),
(113577, 'PTHR24637:SF312', NULL, NULL, NULL, NULL, 'COLLAGEN', 57303),
(113578, 'PTHR24073:SF1132', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RAB6', 57304),
(113579, 'PTHR22950:SF635', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT3C', 57305),
(113580, 'PTHR34541:SF4', NULL, NULL, NULL, NULL, 'EPSTEIN-BARR NUCLEAR ANTIGEN', 57306),
(113581, 'PTHR11567:SF34', NULL, NULL, NULL, NULL, 'INTESTINAL ACID PHOSPHATASE', 57307),
(113582, 'PTHR46089', NULL, NULL, NULL, NULL, 'ALSIN HOMOLOG', 57308),
(113583, 'PTHR45631:SF102', NULL, NULL, NULL, NULL, 'BNAA10G12600D PROTEIN', 57309),
(113584, 'PTHR11062:SF236', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE PLANT-LIKE PROTEIN', 57310);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(113585, 'PTHR12154:SF4', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE TRANSFERASE SUBUNIT ALG14 HOMOLOG', 57311),
(113586, 'PTHR12638:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57312),
(113587, 'PTHR45436:SF12', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN QSEC', 57313),
(113588, 'PTHR10414:SF41', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOLAMINEPHOSPHOTRANSFERASE', 57314),
(113589, 'PTHR10742:SF388', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 2-RELATED', 57315),
(113590, 'PTHR15593:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DDB_G0292252-RELATED', 57316),
(113591, 'PTHR10472:SF5', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE 1', 57317),
(113592, 'PTHR48106:SF9', NULL, NULL, NULL, NULL, 'ADH5P', 57318),
(113593, 'PTHR11437:SF22', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 11-RELATED', 57319),
(113594, 'PTHR18868:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57320),
(113595, 'PTHR36521:SF1', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED', 57321),
(113596, 'PTHR34815:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57322),
(113597, 'PTHR42734:SF14', NULL, NULL, NULL, NULL, 'VITAMIN B12 IMPORT ATP-BINDING PROTEIN BTUD', 57323),
(113598, 'PTHR33021:SF394', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN', 57324),
(113599, 'PTHR44916:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', 57325),
(113600, 'PTHR11716:SF93', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2-DELTA-RELATED', 57326),
(113601, 'PTHR33541:SF12', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE B', 57327),
(113602, 'PTHR46635', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE FAMILY 1 PROTEIN', 57328),
(113603, 'PTHR47016', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPT1, CHLOROPLASTIC', 57329),
(113604, 'PTHR33450:SF20', NULL, NULL, NULL, NULL, 'BNAC04G23890D PROTEIN', 57330),
(113605, 'PTHR11746:SF78', NULL, NULL, NULL, NULL, '(RS)-NORCOCLAURINE 6-O-METHYLTRANSFERASE-LIKE ISOFORM X1', 57331),
(113606, 'PTHR23168', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE ASSEMBLY CHECKPOINT PROTEIN MAD1  MITOTIC ARREST DEFICIENT-LIKE PROTEIN 1', 57332),
(113607, 'PTHR34779:SF6', NULL, NULL, NULL, NULL, 'SYRINGOLIDE-INDUCED PROTEIN', 57333),
(113608, 'PTHR33076:SF133', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 57334),
(113609, 'PTHR31190:SF262', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF110', 57335),
(113610, 'PTHR23280:SF12', NULL, NULL, NULL, NULL, 'PROTEIN 4.1', 57336),
(113611, 'PTHR48212:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57337),
(113612, 'PTHR45988:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', 57338),
(113613, 'PTHR12372:SF2', NULL, NULL, NULL, NULL, 'PECANEX-LIKE PROTEIN 1', 57339),
(113614, 'PTHR11371', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE', 57340),
(113615, 'PTHR23035:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57341),
(113616, 'PTHR32154', NULL, NULL, NULL, NULL, 'PYRUVATE-FLAVODOXIN OXIDOREDUCTASE-RELATED', 57342),
(113617, 'PTHR16223:SF199', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH113-LIKE ISOFORM X1', 57343),
(113618, 'PTHR11012:SF6', NULL, NULL, NULL, NULL, 'CHK DOMAIN OV1-RELATED', 57344),
(113619, 'PTHR31808', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 57345),
(113620, 'PTHR24349:SF428', NULL, NULL, NULL, NULL, 'BNAA05G11330D PROTEIN', 57346),
(113621, 'PTHR31301:SF105', NULL, NULL, NULL, NULL, 'LOB DOMAIN PROTEIN', 57347),
(113622, 'PTHR31867:SF129', NULL, NULL, NULL, NULL, 'EXPANSIN-A17-RELATED', 57348),
(113623, 'PTHR33785:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57349),
(113624, 'PTHR31752:SF15', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 5B-RELATED', 57350),
(113625, 'PTHR33155:SF8', NULL, NULL, NULL, NULL, 'DUF3049 FAMILY PROTEIN', 57351),
(113626, 'PTHR13904:SF1', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 57352),
(113627, 'PTHR46547:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', 57353),
(113628, 'PTHR11689:SF144', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-C', 57354);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(113629, 'PTHR37960', NULL, NULL, NULL, NULL, 'PROTEIN CBG06493-RELATED', 57355),
(113630, 'PTHR31001:SF65', NULL, NULL, NULL, NULL, 'ZCF5P', 57356),
(113631, 'PTHR12241', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE', 57357),
(113632, 'PTHR10908:SF0', NULL, NULL, NULL, NULL, 'SEROTONIN N-ACETYLTRANSFERASE', 57358),
(113633, 'PTHR23202:SF39', NULL, NULL, NULL, NULL, 'NEURAL WISKOTT-ALDRICH SYNDROME PROTEIN', 57359),
(113634, 'PTHR43133:SF40', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR', 57360),
(113635, 'PTHR31639:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57361),
(113636, 'PTHR48043:SF33', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 57362),
(113637, 'PTHR31279:SF41', NULL, NULL, NULL, NULL, 'OS02G0756200 PROTEIN', 57363),
(113638, 'PTHR23353:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57364),
(113639, 'PTHR12902:SF32', NULL, NULL, NULL, NULL, 'PROTEIN SCAR4', 57365),
(113640, 'PTHR11640', NULL, NULL, NULL, NULL, 'NEPHRIN', 57366),
(113641, 'PTHR47993:SF108', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 57367),
(113642, 'PTHR27006:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57368),
(113643, 'PTHR43574:SF44', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR EPIMERASE-RELATED', 57369),
(113644, 'PTHR23267:SF342', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 2-40-RELATED', 57370),
(113645, 'PTHR46616:SF9', NULL, NULL, NULL, NULL, 'OS03G0211100 PROTEIN', 57371),
(113646, 'PTHR11587', NULL, NULL, NULL, NULL, 'ARGININOSUCCINATE SYNTHASE', 57372),
(113647, 'PTHR24092:SF153', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 57373),
(113648, 'PTHR43518:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE [NADPH] SMALL CHAIN', 57374),
(113649, 'PTHR23255:SF58', NULL, NULL, NULL, NULL, 'ACTIVIN RECEPTOR TYPE-1C', 57375),
(113650, 'PTHR43899:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57376),
(113651, 'PTHR31415:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57377),
(113652, 'PTHR42899:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 20', 57378),
(113653, 'PTHR31804:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15', 57379),
(113654, 'PTHR20863', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 57380),
(113655, 'PTHR12692:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57381),
(113656, 'PTHR32077:SF57', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 13', 57382),
(113657, 'PTHR21131:SF0', NULL, NULL, NULL, NULL, 'SI:CH211-195B11.3', 57383),
(113658, 'PTHR31692:SF17', NULL, NULL, NULL, NULL, 'EXPANSIN-B3', 57384),
(113659, 'PTHR43273:SF3', NULL, NULL, NULL, NULL, 'ANAEROBIC SULFATASE-MATURATING ENZYME HOMOLOG ASLB-RELATED', 57385),
(113660, 'PTHR23257:SF793', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/TYROSINE-PROTEIN KINASE HT1', 57386),
(113661, 'PTHR34095', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L55, MITOCHONDRIAL', 57387),
(113662, 'PTHR11802:SF297', NULL, NULL, NULL, NULL, 'OS06G0520000 PROTEIN', 57388),
(113663, 'PTHR22945:SF96', NULL, NULL, NULL, NULL, 'PROTEIN CBR-SRN-1', 57389),
(113664, 'PTHR12406:SF7', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PHOSPHOLIPASE DOMAIN-CONTAINING PROTEIN 4', 57390),
(113665, 'PTHR48018:SF176', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 57391),
(113666, 'PTHR33873:SF3', NULL, NULL, NULL, NULL, 'OS05G0515700 PROTEIN', 57392),
(113667, 'PTHR11963:SF36', NULL, NULL, NULL, NULL, 'LEUCINE AMINOPEPTIDASE 1', 57393),
(113668, 'PTHR31867:SF133', NULL, NULL, NULL, NULL, 'EXPANSIN-A29', 57394),
(113669, 'PTHR11738:SF113', NULL, NULL, NULL, NULL, 'KILLER CELL IMMUNOGLOBULIN-LIKE RECEPTOR 3DL3', 57395),
(113670, 'PTHR31503:SF53', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 3', 57396),
(113671, 'PTHR42804', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 57397),
(113672, 'PTHR24166:SF48', NULL, NULL, NULL, NULL, 'ROLLING PEBBLES, ISOFORM B', 57398),
(113673, 'PTHR48053:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRI1-LIKE 1', 57399),
(113674, 'PTHR48081:SF9', NULL, NULL, NULL, NULL, 'LIPASE-RELATED', 57400);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(113675, 'PTHR32078', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN MDM1', 57401),
(113676, 'PTHR33264:SF16', NULL, NULL, NULL, NULL, 'OS03G0750500 PROTEIN', 57402),
(113677, 'PTHR16223:SF186', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH80', 57403),
(113678, 'PTHR14155:SF499', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57404),
(113679, 'PTHR48022:SF49', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01340)-RELATED', 57405),
(113680, 'PTHR24068:SF62', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 E2', 57406),
(113681, 'PTHR10827', NULL, NULL, NULL, NULL, 'RETICULOCALBIN', 57407),
(113682, 'PTHR24044:SF467', NULL, NULL, NULL, NULL, 'DELTA AND NOTCH-LIKE EPIDERMAL GROWTH FACTOR-RELATED RECEPTOR', 57408),
(113683, 'PTHR46134:SF3', NULL, NULL, NULL, NULL, 'DRONGO, ISOFORM F', 57409),
(113684, 'PTHR18953:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57410),
(113685, 'PTHR34057:SF16', NULL, NULL, NULL, NULL, 'BNAC07G31630D PROTEIN', 57411),
(113686, 'PTHR16703', NULL, NULL, NULL, NULL, 'CLAUDIN-12', 57412),
(113687, 'PTHR39233:SF1', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 10', 57413),
(113688, 'PTHR30560:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57414),
(113689, 'PTHR44888:SF2', NULL, NULL, NULL, NULL, 'HEMICENTIN 1', 57415),
(113690, 'PTHR31720', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS Z-RELATED', 57416),
(113691, 'PTHR11774:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FARNESYLTRANSFERASE SUBUNIT BETA', 57417),
(113692, 'PTHR31169:SF2', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE-ASSOCIATED PROTEIN 7', 57418),
(113693, 'PTHR28011:SF1', NULL, NULL, NULL, NULL, 'NON-CLASSICAL EXPORT PROTEIN 1', 57419),
(113694, 'PTHR43617:SF24', NULL, NULL, NULL, NULL, 'STREPTOTHRICIN ACETYLTRANSFERASE A', 57420),
(113695, 'PTHR10803:SF24', NULL, NULL, NULL, NULL, 'ARSENICAL PUMP ATPASE, ARSA/GET3, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 57421),
(113696, 'PTHR47326:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57422),
(113697, 'PTHR11260:SF653', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTU1-RELATED', 57423),
(113698, 'PTHR23268:SF88', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 18', 57424),
(113699, 'PTHR22692:SF24', NULL, NULL, NULL, NULL, 'MYOSIN VIIB', 57425),
(113700, 'PTHR19375:SF441', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 2-LIKE', 57426),
(113701, 'PTHR48041:SF69', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 18', 57427),
(113702, 'PTHR19303:SF17', NULL, NULL, NULL, NULL, 'TIGGER TRANSPOSABLE ELEMENT-DERIVED PROTEIN 7', 57428),
(113703, 'PTHR34282', NULL, NULL, NULL, NULL, 'OS01G0228800 PROTEIN-RELATED', 57429),
(113704, 'PTHR22600:SF47', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE A', 57430),
(113705, 'PTHR42776:SF26', NULL, NULL, NULL, NULL, 'BNAA08G30180D PROTEIN', 57431),
(113706, 'PTHR31889:SF7', NULL, NULL, NULL, NULL, 'OS02G0763900 PROTEIN', 57432),
(113707, 'PTHR45998:SF5', NULL, NULL, NULL, NULL, 'BNAC02G01280D PROTEIN', 57433),
(113708, 'PTHR23070:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57434),
(113709, 'PTHR31375:SF185', NULL, NULL, NULL, NULL, 'ENDO POLYGALACTURONASE', 57435),
(113710, 'PTHR31134:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 128', 57436),
(113711, 'PTHR46533', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 12', 57437),
(113712, 'PTHR23351', NULL, NULL, NULL, NULL, 'FOS TRANSCRIPTION FACTOR-RELATED', 57438),
(113713, 'PTHR12509:SF14', NULL, NULL, NULL, NULL, 'RIKEN CDNA 6430531B16 GENE', 57439),
(113714, 'PTHR11839:SF18', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 14, CHLOROPLASTIC', 57440),
(113715, 'PTHR21177', NULL, NULL, NULL, NULL, 'IP06524P-RELATED', 57441),
(113716, 'PTHR30081:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLOCASE SUBUNIT SECF', 57442),
(113717, 'PTHR33729:SF15', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 57443),
(113718, 'PTHR31992:SF154', NULL, NULL, NULL, NULL, 'DOF-TYPE ZINC FINGER DNA-BINDING FAMILY PROTEIN-RELATED', 57444);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(113719, 'PTHR48202:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 57445),
(113720, 'PTHR31696:SF75', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1-LIKE', 57446),
(113721, 'PTHR10496:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57447),
(113722, 'PTHR23267:SF401', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57448),
(113723, 'PTHR25464:SF4', NULL, NULL, NULL, NULL, 'NHL-REPEAT-CONTAINING PROTEIN 4', 57449),
(113724, 'PTHR33228:SF49', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 4-RELATED', 57450),
(113725, 'PTHR31466', NULL, NULL, NULL, NULL, 'GENE 5591-RELATED', 57451),
(113726, 'PTHR33780:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 57452),
(113727, 'PTHR10361:SF40', NULL, NULL, NULL, NULL, 'SODIUM/BILE ACID COTRANSPORTER', 57453),
(113728, 'PTHR12454:SF5', NULL, NULL, NULL, NULL, 'TRIMERIC INTRACELLULAR CATION CHANNEL TYPE B', 57454),
(113729, 'PTHR10127:SF830', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-11', 57455),
(113730, 'PTHR48018:SF105', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 57456),
(113731, 'PTHR31415:SF91', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 57457),
(113732, 'PTHR45920:SF1', NULL, NULL, NULL, NULL, 'FORMIN-C', 57458),
(113733, 'PTHR12537:SF126', NULL, NULL, NULL, NULL, 'PUMILIO/PUF RNA BINDING PROTEIN 7-RELATED', 57459),
(113734, 'PTHR45711:SF6', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 57460),
(113735, 'PTHR45621:SF86', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', 57461),
(113736, 'PTHR35068:SF1', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 7', 57462),
(113737, 'PTHR47288:SF3', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 8', 57463),
(113738, 'PTHR10811:SF6', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE MANIC FRINGE', 57464),
(113739, 'PTHR31388:SF187', NULL, NULL, NULL, NULL, 'PEROXIDASE', 57465),
(113740, 'PTHR18945:SF764', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 3C', 57466),
(113741, 'PTHR43876:SF15', NULL, NULL, NULL, NULL, 'LYCOPENE BETA CYCLASE, CHLOROPLASTIC', 57467),
(113742, 'PTHR47980:SF37', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABE1C-LIKE', 57468),
(113743, 'PTHR22937:SF139', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR2-LIKE ISOFORM X1', 57469),
(113744, 'PTHR42827', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER-BINDING PROTEIN-RELATED', 57470),
(113745, 'PTHR15185:SF3', NULL, NULL, NULL, NULL, 'B-CELL CLL/LYMPHOMA 9-LIKE PROTEIN', 57471),
(113746, 'PTHR13190:SF1', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED 2, ISOFORM A', 57472),
(113747, 'PTHR46941', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 126', 57473),
(113748, 'PTHR31529:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57474),
(113749, 'PTHR10291:SF41', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 57475),
(113750, 'PTHR24414:SF64', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING F-BOX-LIKE', 57476),
(113751, 'PTHR12716', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIE, BETA SUBUNIT', 57477),
(113752, 'PTHR31375:SF231', NULL, NULL, NULL, NULL, 'OS05G0542800 PROTEIN', 57478),
(113753, 'PTHR31215:SF28', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 57479),
(113754, 'PTHR41532:SF1', NULL, NULL, NULL, NULL, 'FIXS PROTEIN', 57480),
(113755, 'PTHR24134:SF15', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', 57481),
(113756, 'PTHR31251:SF102', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN', 57482),
(113757, 'PTHR11505:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57483),
(113758, 'PTHR31268:SF36', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE-RELATED', 57484),
(113759, 'PTHR10459:SF106', NULL, NULL, NULL, NULL, 'PROTEIN ADP-RIBOSYLTRANSFERASE PARP3', 57485),
(113760, 'PTHR44259:SF16', NULL, NULL, NULL, NULL, 'OS06G0542600 PROTEIN', 57486),
(113761, 'PTHR48197:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57487),
(113762, 'PTHR22235:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 30', 57488),
(113763, 'PTHR33938:SF16', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 57489);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(113764, 'PTHR43434:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE', 57490),
(113765, 'PTHR32552', NULL, NULL, NULL, NULL, 'FERRICHROME IRON RECEPTOR-RELATED', 57491),
(113766, 'PTHR36234:SF5', NULL, NULL, NULL, NULL, 'LYSYL ENDOPEPTIDASE', 57492),
(113767, 'PTHR12686:SF8', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT CSL4', 57493),
(113768, 'PTHR23176:SF108', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 15', 57494),
(113769, 'PTHR31210:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57495),
(113770, 'PTHR47720:SF4', NULL, NULL, NULL, NULL, 'BNAA09G36250D PROTEIN', 57496),
(113771, 'PTHR11260:SF559', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U2', 57497),
(113772, 'PTHR31818:SF20', NULL, NULL, NULL, NULL, 'BNAA01G17130D PROTEIN', 57498),
(113773, 'PTHR18929:SF214', NULL, NULL, NULL, NULL, 'DISULFIDE ISOMERASE, PUTATIVE-RELATED', 57499),
(113774, 'PTHR46301:SF27', NULL, NULL, NULL, NULL, 'BNAC05G50650D PROTEIN', 57500),
(113775, 'PTHR36819:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF PHOSPHOLIPASE D SRF1', 57501),
(113776, 'PTHR47640:SF16', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP47C-RELATED', 57502),
(113777, 'PTHR31251:SF153', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN', 57503),
(113778, 'PTHR42893:SF17', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 57504),
(113779, 'PTHR12652:SF17', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11B', 57505),
(113780, 'PTHR24096:SF379', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 2-LIKE', 57506),
(113781, 'PTHR11071:SF465', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 57507),
(113782, 'PTHR16056:SF18', NULL, NULL, NULL, NULL, 'REGULATOR OF MICROTUBULE DYNAMICS PROTEIN 3', 57508),
(113783, 'PTHR48016:SF32', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 4', 57509),
(113784, 'PTHR13780:SF127', NULL, NULL, NULL, NULL, 'SNF4', 57510),
(113785, 'PTHR20961:SF127', NULL, NULL, NULL, NULL, 'BNACNNG59270D PROTEIN', 57511),
(113786, 'PTHR10556:SF53', NULL, NULL, NULL, NULL, 'STEROID 5-ALPHA-REDUCTASE DET2', 57512),
(113787, 'PTHR31707:SF313', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 57513),
(113788, 'PTHR23001:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57514),
(113789, 'PTHR11908:SF129', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE 5', 57515),
(113790, 'PTHR11453:SF20', NULL, NULL, NULL, NULL, 'ELECTROGENIC SODIUM BICARBONATE COTRANSPORTER 4', 57516),
(113791, 'PTHR21595:SF3', NULL, NULL, NULL, NULL, 'CALMODULIN-REGULATED SPECTRIN-ASSOCIATED PROTEIN 1', 57517),
(113792, 'PTHR31665:SF0', NULL, NULL, NULL, NULL, 'FLYWCH FAMILY MEMBER 2', 57518),
(113793, 'PTHR45687:SF43', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1 2A', 57519),
(113794, 'PTHR36383', NULL, NULL, NULL, NULL, 'OS09G0529350 PROTEIN', 57520),
(113795, 'PTHR23257:SF854', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0272092-RELATED', 57521),
(113796, 'PTHR32499:SF6', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', 57522),
(113797, 'PTHR10168:SF263', NULL, NULL, NULL, NULL, 'BNAC04G00060D PROTEIN', 57523),
(113798, 'PTHR13301:SF146', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', 57524),
(113799, 'PTHR10218:SF310', NULL, NULL, NULL, NULL, 'G PROTEIN ALPHA I SUBUNIT', 57525),
(113800, 'PTHR10666:SF320', NULL, NULL, NULL, NULL, 'SI:CH211-202A12.4', 57526),
(113801, 'PTHR31384:SF143', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 57527),
(113802, 'PTHR32116:SF87', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 57528),
(113803, 'PTHR44218:SF8', NULL, NULL, NULL, NULL, 'COATOMER BETA'' SUBUNIT (COPB2)-RELATED', 57529),
(113804, 'PTHR24282:SF197', NULL, NULL, NULL, NULL, 'ECERIFERUM-U', 57530),
(113805, 'PTHR48001:SF154', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 57531),
(113806, 'PTHR33373:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57532),
(113807, 'PTHR11927:SF8', NULL, NULL, NULL, NULL, 'L-FUCOSYLTRANSFERASE', 57533),
(113808, 'PTHR31479:SF14', NULL, NULL, NULL, NULL, 'GB|AAD29063.1', 57534),
(113809, 'PTHR33076:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57535);
INSERT INTO "PUBLIC"."MODEL" VALUES
(113810, 'PTHR47478:SF1', NULL, NULL, NULL, NULL, 'PYRIMIDINE 5''-NUCLEOTIDASE YJJG', 57536),
(113811, 'PTHR24305:SF182', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 57537),
(113812, 'PTHR43678:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00640)-RELATED', 57538),
(113813, 'PTHR22619:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 6', 57539),
(113814, 'PTHR46440', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D12-RELATED', 57540),
(113815, 'PTHR24103:SF87', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM31', 57541),
(113816, 'PTHR36515', NULL, NULL, NULL, NULL, 'PROTEIN CBG00810', 57542),
(113817, 'PTHR11963:SF23', NULL, NULL, NULL, NULL, 'ZGC:152830', 57543),
(113818, 'PTHR11850:SF316', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 6', 57544),
(113819, 'PTHR15581:SF0', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN R', 57545),
(113820, 'PTHR31328:SF2', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 6', 57546),
(113821, 'PTHR47958:SF87', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE PL10-RELATED', 57547),
(113822, 'PTHR32100:SF42', NULL, NULL, NULL, NULL, 'FAD8', 57548),
(113823, 'PTHR15360', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR RECEPTOR LIKE', 57549),
(113824, 'PTHR31235:SF38', NULL, NULL, NULL, NULL, 'PEROXIDASE', 57550),
(113825, 'PTHR31683:SF76', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 57551),
(113826, 'PTHR31617:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 171', 57552),
(113827, 'PTHR14186:SF23', NULL, NULL, NULL, NULL, 'KAZAL-TYPE SERINE PEPTIDASE INHIBITOR DOMAIN 2', 57553),
(113828, 'PTHR30620:SF105', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 3-RELATED', 57554),
(113829, 'PTHR40106:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN RCLC', 57555),
(113830, 'PTHR33076:SF77', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 57556),
(113831, 'PTHR19359:SF30', NULL, NULL, NULL, NULL, 'OS02G0649800 PROTEIN', 57557),
(113832, 'PTHR42753', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOME PROTEIN L39/PROLYL-TRNA LIGASE FAMILY MEMBER', 57558),
(113833, 'PTHR24006:SF758', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 37', 57559),
(113834, 'PTHR21547:SF0', NULL, NULL, NULL, NULL, 'CLUSTERIN-ASSOCIATED PROTEIN 1', 57560),
(113835, 'PTHR31066:SF75', NULL, NULL, NULL, NULL, 'BNAA06G32850D PROTEIN', 57561),
(113836, 'PTHR45935:SF10', NULL, NULL, NULL, NULL, 'SCAN DOMAIN-CONTAINING PROTEIN 1', 57562),
(113837, 'PTHR23004:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG20746', 57563),
(113838, 'PTHR11960:SF17', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E TYPE 2', 57564),
(113839, 'PTHR44375:SF12', NULL, NULL, NULL, NULL, 'BNAA06G25500D PROTEIN', 57565),
(113840, 'PTHR43939:SF59', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 158', 57566),
(113841, 'PTHR33286:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57567),
(113842, 'PTHR11733:SF164', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', 57568),
(113843, 'PTHR45701:SF6', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 3', 57569),
(113844, 'PTHR10543:SF110', NULL, NULL, NULL, NULL, 'BETA-CAROTENE OXYGENASE 1', 57570),
(113845, 'PTHR10885:SF14', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE I-LIKE', 57571),
(113846, 'PTHR47992:SF36', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 9-RELATED', 57572),
(113847, 'PTHR33257:SF43', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 57573),
(113848, 'PTHR22951:SF23', NULL, NULL, NULL, NULL, 'OS05G0112101 PROTEIN', 57574),
(113849, 'PTHR31915', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 57575),
(113850, 'PTHR48082:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57576),
(113851, 'PTHR46007:SF3', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 12-LIKE PROTEIN', 57577),
(113852, 'PTHR34757', NULL, NULL, NULL, NULL, 'JUNCTIONAL PROTEIN ASSOCIATED WITH CORONARY ARTERY DISEASE', 57578),
(113853, 'PTHR48235', NULL, NULL, NULL, NULL, 'OS01G0916700 PROTEIN', 57579);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(113854, 'PTHR19325:SF524', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57580),
(113855, 'PTHR33781:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57581),
(113856, 'PTHR37977', NULL, NULL, NULL, NULL, 'PROTEIN CBG18402-RELATED', 57582),
(113857, 'PTHR43826:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04634', 57583),
(113858, 'PTHR31733:SF11', NULL, NULL, NULL, NULL, 'RIBONUCLEASE KAPPA-A', 57584),
(113859, 'PTHR35988:SF2', NULL, NULL, NULL, NULL, '15-CIS-ZETA-CAROTENE ISOMERASE, CHLOROPLASTIC', 57585),
(113860, 'PTHR43149:SF1', NULL, NULL, NULL, NULL, 'DELTA(3,5)-DELTA(2,4)-DIENOYL-COA ISOMERASE, MITOCHONDRIAL', 57586),
(113861, 'PTHR27006:SF385', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 57587),
(113862, 'PTHR11731:SF187', NULL, NULL, NULL, NULL, 'INACTIVE DIPEPTIDYL PEPTIDASE 10-LIKE PROTEIN', 57588),
(113863, 'PTHR32205:SF5', NULL, NULL, NULL, NULL, 'ARCHAEMETZINCIN-2', 57589),
(113864, 'PTHR47744:SF1', NULL, NULL, NULL, NULL, 'OS05G0526300 PROTEIN', 57590),
(113865, 'PTHR10003:SF77', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SUPEROXIDE DISMUTASE [CU-ZN]', 57591),
(113866, 'PTHR15604', NULL, NULL, NULL, NULL, 'SIGNALING THRESHOLD-REGULATING TRANSMEMBRANE ADAPTER 1', 57592),
(113867, 'PTHR13462:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57593),
(113868, 'PTHR11165', NULL, NULL, NULL, NULL, 'SKP1', 57594),
(113869, 'PTHR20988:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 183A-RELATED', 57595),
(113870, 'PTHR14015:SF0', NULL, NULL, NULL, NULL, 'OPIOID GROWTH FACTOR RECEPTOR-LIKE PROTEIN 1', 57596),
(113871, 'PTHR36450', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 57597),
(113872, 'PTHR47993:SF127', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN EXPRESSED', 57598),
(113873, 'PTHR11802:SF224', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE PROTEIN', 57599),
(113874, 'PTHR10891:SF863', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57600),
(113875, 'PTHR10736:SF2', NULL, NULL, NULL, NULL, 'BESTROPHIN-3', 57601),
(113876, 'PTHR12729:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57602),
(113877, 'PTHR10476:SF56', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 2B', 57603),
(113878, 'PTHR14209:SF20', NULL, NULL, NULL, NULL, 'OS09G0121900 PROTEIN', 57604),
(113879, 'PTHR30629:SF2', NULL, NULL, NULL, NULL, 'PROPHAGE INTEGRASE INTS-RELATED', 57605),
(113880, 'PTHR16127:SF12', NULL, NULL, NULL, NULL, 'ALPHA-TAXILIN', 57606),
(113881, 'PTHR30094:SF0', NULL, NULL, NULL, NULL, 'ACID--AMINE LIGASE YGIC-RELATED', 57607),
(113882, 'PTHR45619:SF38', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 57608),
(113883, 'PTHR45730:SF85', NULL, NULL, NULL, NULL, 'OS07G0593000 PROTEIN', 57609),
(113884, 'PTHR48021:SF38', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN-RELATED', 57610),
(113885, 'PTHR37488:SF6', NULL, NULL, NULL, NULL, 'DUF1275 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G07550)', 57611),
(113886, 'PTHR24298:SF224', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 57612),
(113887, 'PTHR11926:SF1179', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 57613),
(113888, 'PTHR15296:SF0', NULL, NULL, NULL, NULL, 'PDZK1-INTERACTING PROTEIN 1', 57614),
(113889, 'PTHR15960:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57615),
(113890, 'PTHR42729', NULL, NULL, NULL, NULL, 'OLIGO/DIPEPTIDE TRANSPORT, PERMEASE PROTEIN (DPPC-2)', 57616),
(113891, 'PTHR32410:SF184', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 57617),
(113892, 'PTHR45724:SF19', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP6-1', 57618),
(113893, 'PTHR10621:SF13', NULL, NULL, NULL, NULL, 'UV EXCISION REPAIR PROTEIN RAD23 HOMOLOG B', 57619),
(113894, 'PTHR48043:SF36', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 57620),
(113895, 'PTHR11528:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57621),
(113896, 'PTHR10657:SF33', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 57622),
(113897, 'PTHR10772:SF39', NULL, NULL, NULL, NULL, '10 KDA CHAPERONIN', 57623);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(113898, 'PTHR13018:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57624),
(113899, 'PTHR23081:SF21', NULL, NULL, NULL, NULL, 'F14O10.8 PROTEIN-RELATED', 57625),
(113900, 'PTHR28583:SF4', NULL, NULL, NULL, NULL, 'N-ACYLETHANOLAMINE-HYDROLYZING ACID AMIDASE', 57626),
(113901, 'PTHR34667:SF3', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE-LIKE ISOFORM X1', 57627),
(113902, 'PTHR11471:SF5', NULL, NULL, NULL, NULL, 'CD40 LIGAND', 57628),
(113903, 'PTHR15944:SF3', NULL, NULL, NULL, NULL, 'PRENYLCYSTEINE OXIDASE 1', 57629),
(113904, 'PTHR33642:SF3', NULL, NULL, NULL, NULL, 'COX1/OXI3 INTRON 1 PROTEIN-RELATED', 57630),
(113905, 'PTHR31964:SF125', NULL, NULL, NULL, NULL, 'OS05G0357525 PROTEIN', 57631),
(113906, 'PTHR31948:SF125', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 1', 57632),
(113907, 'PTHR48047:SF105', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 57633),
(113908, 'PTHR33021:SF6', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 18', 57634),
(113909, 'PTHR27006:SF410', NULL, NULL, NULL, NULL, 'OS06G0692600 PROTEIN', 57635),
(113910, 'PTHR46307', NULL, NULL, NULL, NULL, 'G9A, ISOFORM B', 57636),
(113911, 'PTHR37494', NULL, NULL, NULL, NULL, 'HEMAGGLUTININ', 57637),
(113912, 'PTHR46408:SF5', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 25-LIKE ISOFORM X2', 57638),
(113913, 'PTHR33179:SF43', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 22-LIKE', 57639),
(113914, 'PTHR12924', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN, ALPHA SUBUNIT', 57640),
(113915, 'PTHR42860', NULL, NULL, NULL, NULL, 'VITAMIN B12-BINDING PROTEIN', 57641),
(113916, 'PTHR24291:SF150', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D7', 57642),
(113917, 'PTHR35486:SF2', NULL, NULL, NULL, NULL, 'BNAA09G38280D PROTEIN', 57643),
(113918, 'PTHR46908:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR-INDUCIBLE GENE 6 PROTEIN', 57644),
(113919, 'PTHR24214:SF34', NULL, NULL, NULL, NULL, 'PRICKLE-LIKE PROTEIN 4', 57645),
(113920, 'PTHR34150:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG10108', 57646),
(113921, 'PTHR35704:SF1', NULL, NULL, NULL, NULL, 'OS02G0254600 PROTEIN', 57647),
(113922, 'PTHR24343:SF348', NULL, NULL, NULL, NULL, 'AT25266P', 57648),
(113923, 'PTHR21551:SF19', NULL, NULL, NULL, NULL, 'II-ASSOCIATED PROTEIN PAT1, PUTATIVE-RELATED', 57649),
(113924, 'PTHR11471:SF34', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 14', 57650),
(113925, 'PTHR47928:SF49', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 57651),
(113926, 'PTHR15959:SF1', NULL, NULL, NULL, NULL, 'SYNTAXIN-18', 57652),
(113927, 'PTHR22444:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 1', 57653),
(113928, 'PTHR24343:SF453', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 57654),
(113929, 'PTHR33059:SF81', NULL, NULL, NULL, NULL, 'DUF581 FAMILY PROTEIN', 57655),
(113930, 'PTHR32054:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57656),
(113931, 'PTHR38622:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11328', 57657),
(113932, 'PTHR47791:SF1', NULL, NULL, NULL, NULL, 'ENDO MANNANASE, GH76 FAMILY (EUROFUNG)-RELATED', 57658),
(113933, 'PTHR48075:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57659),
(113934, 'PTHR43222:SF4', NULL, NULL, NULL, NULL, 'BLR2458 PROTEIN', 57660),
(113935, 'PTHR11706:SF32', NULL, NULL, NULL, NULL, 'NRAMP-LIKE TRANSPORTER SMF-3', 57661),
(113936, 'PTHR21726:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57662),
(113937, 'PTHR33098:SF77', NULL, NULL, NULL, NULL, 'BNAA10G28770D PROTEIN', 57663),
(113938, 'PTHR43023:SF4', NULL, NULL, NULL, NULL, 'AMINO ACID ABC TRANSPORTER ATP-BINDING PROTEIN', 57664),
(113939, 'PTHR11046:SF11', NULL, NULL, NULL, NULL, 'EXODEOXYRIBONUCLEASE I', 57665),
(113940, 'PTHR13234:SF57', NULL, NULL, NULL, NULL, 'GAMMA INTERFERON RESPONSIVE LYSOSOMAL THIOL (GILT) REDUCTASE FAMILY PROTEIN', 57666),
(113941, 'PTHR36162', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 57667),
(113942, 'PTHR22814:SF103', NULL, NULL, NULL, NULL, 'OS08G0403300 PROTEIN', 57668),
(113943, 'PTHR31942:SF73', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 57669);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(113944, 'PTHR45744:SF26', NULL, NULL, NULL, NULL, 'BNAA09G43670D PROTEIN', 57670),
(113945, 'PTHR11886:SF36', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 57671),
(113946, 'PTHR31117:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG15402', 57672),
(113947, 'PTHR11122:SF44', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 57673),
(113948, 'PTHR24229:SF88', NULL, NULL, NULL, NULL, 'MELANIN CONCENTRATING HORMONE RECEPTOR 2', 57674),
(113949, 'PTHR42942:SF1', NULL, NULL, NULL, NULL, 'ALKYLTRANSFERASE-LIKE PROTEIN 1', 57675),
(113950, 'PTHR47979:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57676),
(113951, 'PTHR23316:SF12', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-1', 57677),
(113952, 'PTHR31673:SF38', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 57678),
(113953, 'PTHR11214:SF137', NULL, NULL, NULL, NULL, 'N-ACETYLLACTOSAMINIDE BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE 4', 57679),
(113954, 'PTHR36082:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT IX', 57680),
(113955, 'PTHR32018:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57681),
(113956, 'PTHR10497:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', 57682),
(113957, 'PTHR12124:SF68', NULL, NULL, NULL, NULL, 'PROTEIN RRP6-LIKE 3', 57683),
(113958, 'PTHR12345:SF13', NULL, NULL, NULL, NULL, 'SYNTENIN-2', 57684),
(113959, 'PTHR43276:SF2', NULL, NULL, NULL, NULL, 'ALPHA AMYLASE CATALYTIC REGION', 57685),
(113960, 'PTHR11945:SF145', NULL, NULL, NULL, NULL, 'MYOCYTE ENHANCER FACTOR 2AA-RELATED', 57686),
(113961, 'PTHR21077:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57687),
(113962, 'PTHR26452:SF262', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AN1', 57688),
(113963, 'PTHR15668', NULL, NULL, NULL, NULL, 'JM1 PROTEIN', 57689),
(113964, 'PTHR38782:SF1', NULL, NULL, NULL, NULL, 'SIGMA-E FACTOR REGULATORY PROTEIN RSEB', 57690),
(113965, 'PTHR38389:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 57691),
(113966, 'PTHR46773', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 57692),
(113967, 'PTHR31645:SF60', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL2-LIKE ISOFORM X1', 57693),
(113968, 'PTHR43177:SF5', NULL, NULL, NULL, NULL, 'ANAEROBIC DIMETHYL SULFOXIDE REDUCTASE CHAIN B-RELATED', 57694),
(113969, 'PTHR47877:SF7', NULL, NULL, NULL, NULL, 'BNAC03G23780D PROTEIN', 57695),
(113970, 'PTHR47522', NULL, NULL, NULL, NULL, 'SALVADOR FAMILY WW DOMAIN-CONTAINING PROTEIN 1', 57696),
(113971, 'PTHR22932:SF16', NULL, NULL, NULL, NULL, 'BNAC05G01500D PROTEIN', 57697),
(113972, 'PTHR11945:SF663', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL8', 57698),
(113973, 'PTHR32444:SF83', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', 57699),
(113974, 'PTHR45697:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 2', 57700),
(113975, 'PTHR19370:SF185', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', 57701),
(113976, 'PTHR13223:SF2', NULL, NULL, NULL, NULL, 'ACIDIC FIBROBLAST GROWTH FACTOR INTRACELLULAR-BINDING PROTEIN', 57702),
(113977, 'PTHR23500:SF492', NULL, NULL, NULL, NULL, 'ARABINOSE-PROTON SYMPORTER-LIKE', 57703),
(113978, 'PTHR23113:SF193', NULL, NULL, NULL, NULL, 'RAS-SPECIFIC GUANINE NUCLEOTIDE-RELEASING FACTOR 1', 57704),
(113979, 'PTHR43511:SF9', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE-LIKE', 57705),
(113980, 'PTHR10891:SF864', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', 57706),
(113981, 'PTHR10286:SF65', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE 3', 57707),
(113982, 'PTHR22589:SF107', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, PUTATIVE-RELATED', 57708),
(113983, 'PTHR48173:SF1', NULL, NULL, NULL, NULL, 'PROCESSING PROTEIN PRP39, PUTATIVE-RELATED', 57709),
(113984, 'PTHR11728:SF9', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)]', 57710),
(113985, 'PTHR24362:SF309', NULL, NULL, NULL, NULL, 'CATABOLITE DEREPRESSING PROTEIN KINASE, PUTATIVE-RELATED', 57711),
(113986, 'PTHR36400:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L35', 57712);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(113987, 'PTHR45898:SF8', NULL, NULL, NULL, NULL, 'OS01G0825700 PROTEIN', 57713),
(113988, 'PTHR13268', NULL, NULL, NULL, NULL, 'BREAST CARCINOMA AMPLIFIED SEQUENCE 3', 57714),
(113989, 'PTHR47928:SF28', NULL, NULL, NULL, NULL, 'OS01G0545900 PROTEIN', 57715),
(113990, 'PTHR10766:SF131', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 57716),
(113991, 'PTHR14526', NULL, NULL, NULL, NULL, 'AURORA KINASE A AND NINEIN-INTERACTING PROTEIN', 57717),
(113992, 'PTHR14568:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 6 SUPERFAMILY MEMBER 2', 57718),
(113993, 'PTHR40400', NULL, NULL, NULL, NULL, 'SLR1512 PROTEIN', 57719),
(113994, 'PTHR21040', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 57720),
(113995, 'PTHR43116:SF3', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR PRFB1, CHLOROPLASTIC-RELATED', 57721),
(113996, 'PTHR45737:SF1', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN DDB_G0267758-RELATED', 57722),
(113997, 'PTHR13683:SF816', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN 1-LIKE', 57723),
(113998, 'PTHR11523:SF31', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1', 57724),
(113999, 'PTHR15422:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57725),
(114000, 'PTHR14168:SF2', NULL, NULL, NULL, NULL, 'EPITHELIAL CELL ADHESION MOLECULE', 57726),
(114001, 'PTHR22883:SF243', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 57727),
(114002, 'PTHR10476:SF42', NULL, NULL, NULL, NULL, 'OS03G0108400 PROTEIN', 57728),
(114003, 'PTHR35307:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 57729),
(114004, 'PTHR45918:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 57730),
(114005, 'PTHR38150:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57731),
(114006, 'PTHR24377:SF690', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 549', 57732),
(114007, 'PTHR45748:SF15', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE FAMILY PROTEIN-RELATED', 57733),
(114008, 'PTHR30629', NULL, NULL, NULL, NULL, 'PROPHAGE INTEGRASE', 57734),
(114009, 'PTHR27007:SF314', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.1-RELATED', 57735),
(114010, 'PTHR47998:SF29', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 57736),
(114011, 'PTHR37363:SF1', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT GON7', 57737),
(114012, 'PTHR43544:SF7', NULL, NULL, NULL, NULL, 'LD36273P', 57738),
(114013, 'PTHR27001:SF749', NULL, NULL, NULL, NULL, 'OS03G0773300 PROTEIN', 57739),
(114014, 'PTHR23337:SF3', NULL, NULL, NULL, NULL, 'MORC FAMILY CW-TYPE ZINC FINGER 2', 57740),
(114015, 'PTHR42811:SF16', NULL, NULL, NULL, NULL, 'BNAC03G13300D PROTEIN', 57741),
(114016, 'PTHR48058:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57742),
(114017, 'PTHR43416:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57743),
(114018, 'PTHR10956:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57744),
(114019, 'PTHR45743:SF41', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SKOR-LIKE', 57745),
(114020, 'PTHR32285:SF28', NULL, NULL, NULL, NULL, 'PROTEIN ALTERED XYLOGLUCAN 4-LIKE', 57746),
(114021, 'PTHR22835:SF581', NULL, NULL, NULL, NULL, 'ACETYLAJMALAN ESTERASE-LIKE', 57747),
(114022, 'PTHR11165:SF129', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 4', 57748),
(114023, 'PTHR42180', NULL, NULL, NULL, NULL, 'HOMOLOGY DOMAIN-CONTAINING PROTEIN,PUTATIVE-RELATED', 57749),
(114024, 'PTHR46211:SF7', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE', 57750),
(114025, 'PTHR24257:SF10', NULL, NULL, NULL, NULL, 'ZGC:112285', 57751),
(114026, 'PTHR40619:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57752),
(114027, 'PTHR12300', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEINS', 57753),
(114028, 'PTHR22952:SF440', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 46', 57754),
(114029, 'PTHR11461:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57755),
(114030, 'PTHR10865:SF28', NULL, NULL, NULL, NULL, 'MESODERM INDUCTION EARLY RESPONSE PROTEIN 3-LIKE PROTEIN', 57756),
(114031, 'PTHR43791:SF17', NULL, NULL, NULL, NULL, 'ALLANTOATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03720)-RELATED', 57757);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(114032, 'PTHR11732:SF435', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 4 MEMBER C11', 57758),
(114033, 'PTHR22780:SF32', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA', 57759),
(114034, 'PTHR32217', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6H', 57760),
(114035, 'PTHR31717:SF10', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN, EXPRESSED', 57761),
(114036, 'PTHR34222:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57762),
(114037, 'PTHR31065:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57763),
(114038, 'PTHR24271:SF70', NULL, NULL, NULL, NULL, 'GRANZYME D-RELATED', 57764),
(114039, 'PTHR12629:SF39', NULL, NULL, NULL, NULL, 'MUTT-LIKE PROTEIN', 57765),
(114040, 'PTHR48084:SF2', NULL, NULL, NULL, NULL, 'PYRUVATE FERREDOXIN/FLAVODOXIN OXIDOREDUCTASE, BETA SUBUNIT', 57766),
(114041, 'PTHR10791:SF134', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET9', 57767),
(114042, 'PTHR44329:SF166', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', 57768),
(114043, 'PTHR43706', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', 57769),
(114044, 'PTHR31994', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 42', 57770),
(114045, 'PTHR10705', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT DAD1', 57771),
(114046, 'PTHR45620:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57772),
(114047, 'PTHR46206:SF1', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 57773),
(114048, 'PTHR42647:SF55', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 1', 57774),
(114049, 'PTHR48007:SF23', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 57775),
(114050, 'PTHR31636:SF201', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', 57776),
(114051, 'PTHR37410', NULL, NULL, NULL, NULL, 'ADHESIN, PUTATIVE-RELATED', 57777),
(114052, 'PTHR10903:SF112', NULL, NULL, NULL, NULL, 'SI:DKEYP-69E1.8', 57778),
(114053, 'PTHR10037:SF208', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 10 SUBUNIT ALPHA', 57779),
(114054, 'PTHR46798:SF8', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 57780),
(114055, 'PTHR11972:SF177', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 57781),
(114056, 'PTHR14557', NULL, NULL, NULL, NULL, 'PROTEIN C7ORF21', 57782),
(114057, 'PTHR27004:SF331', NULL, NULL, NULL, NULL, 'BNAA04G28950D PROTEIN', 57783),
(114058, 'PTHR26450:SF359', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 57784),
(114059, 'PTHR48051:SF12', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 28', 57785),
(114060, 'PTHR11604:SF40', NULL, NULL, NULL, NULL, 'PROFILIN', 57786),
(114061, 'PTHR11188:SF144', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', 57787),
(114062, 'PTHR48071:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57788),
(114063, 'PTHR33059:SF91', NULL, NULL, NULL, NULL, 'BNACNNG30940D PROTEIN', 57789),
(114064, 'PTHR32556', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 57790),
(114065, 'PTHR33148:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57791),
(114066, 'PTHR11544:SF127', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN CSPB', 57792),
(114067, 'PTHR10159:SF299', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 10', 57793),
(114068, 'PTHR14167:SF54', NULL, NULL, NULL, NULL, 'VINEXIN', 57794),
(114069, 'PTHR13069:SF8', NULL, NULL, NULL, NULL, 'ALKYLATED DNA REPAIR PROTEIN ALKBH8 HOMOLOG', 57795),
(114070, 'PTHR33170:SF2', NULL, NULL, NULL, NULL, 'OS12G0531500 PROTEIN', 57796),
(114071, 'PTHR33480:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57797),
(114072, 'PTHR11214:SF219', NULL, NULL, NULL, NULL, 'UDP-GALNAC:BETA-1,3-N-ACETYLGALACTOSAMINYLTRANSFERASE 2', 57798),
(114073, 'PTHR10052:SF42', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', 57799),
(114074, 'PTHR26312:SF127', NULL, NULL, NULL, NULL, 'PROTEIN SLOW GREEN 1, CHLOROPLASTIC-LIKE', 57800),
(114075, 'PTHR33233:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57801),
(114076, 'PTHR31623:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57802);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(114077, 'PTHR15124:SF16', NULL, NULL, NULL, NULL, 'SELENOPROTEIN W', 57803),
(114078, 'PTHR48008:SF5', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 57804),
(114079, 'PTHR48052:SF32', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', 57805),
(114080, 'PTHR22589:SF104', NULL, NULL, NULL, NULL, 'PROTEIN CBG06455', 57806),
(114081, 'PTHR43736:SF4', NULL, NULL, NULL, NULL, 'SLR1690 PROTEIN', 57807),
(114082, 'PTHR31265:SF23', NULL, NULL, NULL, NULL, 'BNAC04G47820D PROTEIN', 57808),
(114083, 'PTHR34539:SF9', NULL, NULL, NULL, NULL, 'T2P11.11 PROTEIN', 57809),
(114084, 'PTHR18919:SF156', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE, MITOCHONDRIAL', 57810),
(114085, 'PTHR23188', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-ASSOCIATED FACTOR 1 HOMOLOG', 57811),
(114086, 'PTHR31623:SF46', NULL, NULL, NULL, NULL, 'ANTHRANILATE N-BENZOYLTRANSFERASE', 57812),
(114087, 'PTHR11941', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE-RELATED', 57813),
(114088, 'PTHR43584:SF5', NULL, NULL, NULL, NULL, 'PROTEIN LICC', 57814),
(114089, 'PTHR10612:SF40', NULL, NULL, NULL, NULL, 'OS08G0440100 PROTEIN', 57815),
(114090, 'PTHR40593:SF1', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN ACTIVATOR LPOB', 57816),
(114091, 'PTHR13301:SF200', NULL, NULL, NULL, NULL, 'BNACNNG06180D PROTEIN', 57817),
(114092, 'PTHR10809:SF123', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN (MSP) DOMAIN, VESICLE-ASSOCIATED MEMBRANE-PROTEIN-ASSOCIATED PROTEIN-RELATED', 57818),
(114093, 'PTHR24103:SF613', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57819),
(114094, 'PTHR24064:SF492', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-9-RELATED', 57820),
(114095, 'PTHR28541', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 15', 57821),
(114096, 'PTHR48047:SF53', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 57822),
(114097, 'PTHR31803:SF3', NULL, NULL, NULL, NULL, 'ALTERNATIVE OXIDASE', 57823),
(114098, 'PTHR24351', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE', 57824),
(114099, 'PTHR33592:SF12', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 57825),
(114100, 'PTHR24256:SF515', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 30', 57826),
(114101, 'PTHR24377:SF611', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 584', 57827),
(114102, 'PTHR47967:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57828),
(114103, 'PTHR46225:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING-CH-TYPE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 57829),
(114104, 'PTHR11461:SF335', NULL, NULL, NULL, NULL, 'BNAC05G21900D PROTEIN', 57830),
(114105, 'PTHR13019:SF20', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23', 57831),
(114106, 'PTHR18896:SF115', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA 2', 57832),
(114107, 'PTHR35700:SF1', NULL, NULL, NULL, NULL, 'OS07G0181800 PROTEIN', 57833),
(114108, 'PTHR43341:SF13', NULL, NULL, NULL, NULL, 'HISTIDINE PERMEASE', 57834),
(114109, 'PTHR10623:SF16', NULL, NULL, NULL, NULL, 'MICROTUBULE END BINDING PROTEIN', 57835),
(114110, 'PTHR33203:SF47', NULL, NULL, NULL, NULL, 'BNAA09G02110D PROTEIN', 57836),
(114111, 'PTHR11618:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57837),
(114112, 'PTHR10963:SF58', NULL, NULL, NULL, NULL, 'ENDO-1,3(4)-BETA-GLUCANASE XGEA', 57838),
(114113, 'PTHR36354:SF3', NULL, NULL, NULL, NULL, 'BNAA09G35880D PROTEIN', 57839),
(114114, 'PTHR31920:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR B3-DOMAIN FAMILY-RELATED', 57840),
(114115, 'PTHR12097:SF1', NULL, NULL, NULL, NULL, 'BNAA06G23400D PROTEIN', 57841),
(114116, 'PTHR28628', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 88-RELATED', 57842),
(114117, 'PTHR31707:SF273', NULL, NULL, NULL, NULL, 'PECTINESTERASE, CATALYTIC-RELATED', 57843),
(114118, 'PTHR10807:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57844),
(114119, 'PTHR22957:SF565', NULL, NULL, NULL, NULL, 'TBC DOMAIN-CONTAINING PROTEIN C1778.09', 57845),
(114120, 'PTHR10891:SF818', NULL, NULL, NULL, NULL, 'EXCHANGER FAMILY PROTEIN / CALCIUM-BINDING EF HAND FAMILY PROTEIN, PUTATIVE-RELATED', 57846);
INSERT INTO "PUBLIC"."MODEL" VALUES
(114121, 'PTHR45680:SF33', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 57847),
(114122, 'PTHR33147:SF78', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 2-RELATED', 57848),
(114123, 'PTHR46560:SF7', NULL, NULL, NULL, NULL, 'RE59626P', 57849),
(114124, 'PTHR46007', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 12', 57850),
(114125, 'PTHR33492:SF11', NULL, NULL, NULL, NULL, 'OSJNBA0043A12.37 PROTEIN', 57851),
(114126, 'PTHR48065:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57852),
(114127, 'PTHR31707:SF163', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 23-RELATED', 57853),
(114128, 'PTHR16165:SF26', NULL, NULL, NULL, NULL, 'NXPE FAMILY MEMBER 1', 57854),
(114129, 'PTHR43888:SF5', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', 57855),
(114130, 'PTHR26452:SF186', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AU1', 57856),
(114131, 'PTHR23314:SF2', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 6', 57857),
(114132, 'PTHR23315:SF294', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 57858),
(114133, 'PTHR27002:SF813', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57859),
(114134, 'PTHR10649:SF15', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR 1B', 57860),
(114135, 'PTHR38441:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 57861),
(114136, 'PTHR45967:SF29', NULL, NULL, NULL, NULL, 'BNAA03G56410D PROTEIN', 57862),
(114137, 'PTHR12019:SF9', NULL, NULL, NULL, NULL, 'EMERIN HOMOLOG 1', 57863),
(114138, 'PTHR45654:SF55', NULL, NULL, NULL, NULL, 'BNAC04G12430D PROTEIN', 57864),
(114139, 'PTHR32552:SF64', NULL, NULL, NULL, NULL, 'FERRICHROME OUTER MEMBRANE TRANSPORTER/PHAGE RECEPTOR', 57865),
(114140, 'PTHR31559:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57866),
(114141, 'PTHR23267:SF216', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1D-43', 57867),
(114142, 'PTHR38137:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57868),
(114143, 'PTHR16306', NULL, NULL, NULL, NULL, 'TRANSLIN-ASSOCIATED FACTOR X-INTERACTING PROTEIN 1', 57869),
(114144, 'PTHR26453:SF664', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 57870),
(114145, 'PTHR31225:SF157', NULL, NULL, NULL, NULL, 'ALPHA-COPAENE SYNTHASE-RELATED', 57871),
(114146, 'PTHR31650:SF30', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1', 57872),
(114147, 'PTHR47574', NULL, NULL, NULL, NULL, 'CANCER-RELATED REGULATOR OF ACTIN DYNAMICS', 57873),
(114148, 'PTHR34670:SF2', NULL, NULL, NULL, NULL, 'OS01G0847100 PROTEIN', 57874),
(114149, 'PTHR10635:SF5', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA', 57875),
(114150, 'PTHR11640:SF134', NULL, NULL, NULL, NULL, 'ECHINOID, ISOFORM A-RELATED', 57876),
(114151, 'PTHR43976:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57877),
(114152, 'PTHR11360:SF163', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 9-LIKE PROTEIN', 57878),
(114153, 'PTHR19317:SF66', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 57879),
(114154, 'PTHR11455:SF50', NULL, NULL, NULL, NULL, 'CRYPTOCHROME-1', 57880),
(114155, 'PTHR37159:SF1', NULL, NULL, NULL, NULL, 'GH11867P', 57881),
(114156, 'PTHR36066:SF16', NULL, NULL, NULL, NULL, 'OS06G0267300 PROTEIN', 57882),
(114157, 'PTHR12822:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', 57883),
(114158, 'PTHR32183', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 57884),
(114159, 'PTHR24131:SF10', NULL, NULL, NULL, NULL, 'ANKYRIN-REPEAT, SH3-DOMAIN, AND PROLINE-RICH-REGION CONTAINING PROTEIN, ISOFORM B', 57885),
(114160, 'PTHR10593:SF167', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED PROTEIN', 57886),
(114161, 'PTHR11817:SF79', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 57887),
(114162, 'PTHR31665:SF3', NULL, NULL, NULL, NULL, 'FLYWCH-TYPE ZINC FINGER-CONTAINING PROTEIN 1', 57888),
(114163, 'PTHR48004:SF21', NULL, NULL, NULL, NULL, 'OS02G0614966 PROTEIN', 57889),
(114164, 'PTHR21319:SF39', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', 57890),
(114165, 'PTHR43422:SF3', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE', 57891);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(114166, 'PTHR31891:SF9', NULL, NULL, NULL, NULL, 'ACETAMIDASE/FORMAMIDASE FAMILY PROTEIN', 57892),
(114167, 'PTHR31236:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57893),
(114168, 'PTHR11260:SF558', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U10-LIKE', 57894),
(114169, 'PTHR46119:SF16', NULL, NULL, NULL, NULL, 'BNACNNG28760D PROTEIN', 57895),
(114170, 'PTHR42826:SF10', NULL, NULL, NULL, NULL, 'DICARBOXYLATE TRANSPORTER 2.2, CHLOROPLASTIC', 57896),
(114171, 'PTHR46476:SF17', NULL, NULL, NULL, NULL, 'CHITINASE 2', 57897),
(114172, 'PTHR43200:SF19', NULL, NULL, NULL, NULL, 'PAP-SPECIFIC PHOSPHATASE HAL2-LIKE', 57898),
(114173, 'PTHR32295:SF161', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', 57899),
(114174, 'PTHR31044:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57900),
(114175, 'PTHR11353:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57901),
(114176, 'PTHR15231:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT H', 57902),
(114177, 'PTHR11329:SF2', NULL, NULL, NULL, NULL, 'LEUKOCYTE CELL-DERIVED CHEMOTAXIN 2-RELATED', 57903),
(114178, 'PTHR31218:SF151', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 57904),
(114179, 'PTHR33984:SF1', NULL, NULL, NULL, NULL, 'OS09G0281800 PROTEIN', 57905),
(114180, 'PTHR45713', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 57906),
(114181, 'PTHR36775:SF1', NULL, NULL, NULL, NULL, 'LYR MOTIF PROTEIN', 57907),
(114182, 'PTHR43620:SF23', NULL, NULL, NULL, NULL, 'BNAC09G24190D PROTEIN', 57908),
(114183, 'PTHR33791:SF1', NULL, NULL, NULL, NULL, 'CHAPERONIN-LIKE RBCX PROTEIN 2, CHLOROPLASTIC', 57909),
(114184, 'PTHR10664:SF35', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS BC (CLASS B-LIKE)', 57910),
(114185, 'PTHR48049:SF20', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 79B4-RELATED', 57911),
(114186, 'PTHR31259:SF3', NULL, NULL, NULL, NULL, 'ENDOSOME-ASSOCIATED-TRAFFICKING REGULATOR 1', 57912),
(114187, 'PTHR45669:SF6', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN FAMILY PROTEIN', 57913),
(114188, 'PTHR23026:SF119', NULL, NULL, NULL, NULL, 'BLL7798 PROTEIN', 57914),
(114189, 'PTHR31969:SF49', NULL, NULL, NULL, NULL, 'FH INTERACTING PROTEIN 1-RELATED', 57915),
(114190, 'PTHR15907:SF123', NULL, NULL, NULL, NULL, 'GENE1000 PROTEIN', 57916),
(114191, 'PTHR11537:SF266', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY KQT MEMBER 1', 57917),
(114192, 'PTHR36354', NULL, NULL, NULL, NULL, 'IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT', 57918),
(114193, 'PTHR12902:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57919),
(114194, 'PTHR23262:SF180', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 12-2', 57920),
(114195, 'PTHR43321:SF16', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 57921),
(114196, 'PTHR11014:SF160', NULL, NULL, NULL, NULL, 'BNAA06G02080D PROTEIN', 57922),
(114197, 'PTHR46204:SF5', NULL, NULL, NULL, NULL, 'KINASE FAMILY PROTEIN / PEPTIDOGLYCAN-BINDING LYSM DOMAIN-CONTAINING PROTEIN', 57923),
(114198, 'PTHR31845:SF29', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 57924),
(114199, 'PTHR35308:SF10', NULL, NULL, NULL, NULL, 'BNAA03G58550D PROTEIN', 57925),
(114200, 'PTHR27003:SF83', NULL, NULL, NULL, NULL, 'TRANSFERASE, PROTEIN KINASE RLK-PELLE-LRR-I-1 FAMILY-RELATED', 57926),
(114201, 'PTHR35828:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57927),
(114202, 'PTHR24068:SF24', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 D4', 57928),
(114203, 'PTHR43194', NULL, NULL, NULL, NULL, 'HYDROLASE ALPHA/BETA FOLD FAMILY', 57929),
(114204, 'PTHR48018:SF97', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 57930),
(114205, 'PTHR24414:SF158', NULL, NULL, NULL, NULL, 'BNAA04G14990D PROTEIN', 57931),
(114206, 'PTHR14907:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57932),
(114207, 'PTHR34933', NULL, NULL, NULL, NULL, 'FLAGELLAR L-RING PROTEIN', 57933),
(114208, 'PTHR12479:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG20493', 57934),
(114209, 'PTHR34482:SF13', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL BETA-1-LIKE', 57935);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(114210, 'PTHR19818:SF144', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR (SWI5), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11250)-RELATED', 57936),
(114211, 'PTHR37224:SF1', NULL, NULL, NULL, NULL, 'OS02G0804400 PROTEIN', 57937),
(114212, 'PTHR10340:SF27', NULL, NULL, NULL, NULL, 'ASM3P', 57938),
(114213, 'PTHR27001:SF554', NULL, NULL, NULL, NULL, 'OS12G0180500 PROTEIN', 57939),
(114214, 'PTHR45007', NULL, NULL, NULL, NULL, 'CARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G07570)-RELATED', 57940),
(114215, 'PTHR19855:SF12', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 37', 57941),
(114216, 'PTHR10383:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG04578', 57942),
(114217, 'PTHR33167:SF42', NULL, NULL, NULL, NULL, 'BNAC05G09670D PROTEIN', 57943),
(114218, 'PTHR10201:SF249', NULL, NULL, NULL, NULL, 'OS10G0558125 PROTEIN', 57944),
(114219, 'PTHR13140:SF417', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-ID', 57945),
(114220, 'PTHR15128:SF0', NULL, NULL, NULL, NULL, 'SCL-INTERRUPTING LOCUS PROTEIN', 57946),
(114221, 'PTHR24399:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 648', 57947),
(114222, 'PTHR12357:SF94', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 57948),
(114223, 'PTHR11002:SF61', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 57949),
(114224, 'PTHR31678:SF2', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 6-3', 57950),
(114225, 'PTHR19353:SF25', NULL, NULL, NULL, NULL, 'DELTA(6)-FATTY-ACID DESATURASE FAT-3', 57951),
(114226, 'PTHR42470:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57952),
(114227, 'PTHR48054:SF13', NULL, NULL, NULL, NULL, 'OS08G0446200 PROTEIN', 57953),
(114228, 'PTHR47994:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB80', 57954),
(114229, 'PTHR10590:SF19', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE TRANSPORT PROTEIN NUPG', 57955),
(114230, 'PTHR47306:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-178J18.4-RELATED', 57956),
(114231, 'PTHR22947:SF19', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN DOMAIN CONTAINING', 57957),
(114232, 'PTHR10281:SF93', NULL, NULL, NULL, NULL, 'VACUOLE MEMBRANE PROTEIN-RELATED', 57958),
(114233, 'PTHR22807:SF16', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 57959),
(114234, 'PTHR42943:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57960),
(114235, 'PTHR11188:SF3', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', 57961),
(114236, 'PTHR46513:SF16', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 5-RELATED', 57962),
(114237, 'PTHR31197:SF4', NULL, NULL, NULL, NULL, 'OS02G0150900 PROTEIN', 57963),
(114238, 'PTHR48021:SF58', NULL, NULL, NULL, NULL, 'SUGAR PORTER (SP) FAMILY MFS TRANSPORTER', 57964),
(114239, 'PTHR37028:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57965),
(114240, 'PTHR33512:SF13', NULL, NULL, NULL, NULL, 'F16P17.15', 57966),
(114241, 'PTHR15696:SF7', NULL, NULL, NULL, NULL, 'PROTEIN SMG5', 57967),
(114242, 'PTHR48017:SF74', NULL, NULL, NULL, NULL, 'AUXIN INFLUX TRANSPORTER', 57968),
(114243, 'PTHR11260:SF605', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U23', 57969),
(114244, 'PTHR45621:SF81', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 57970),
(114245, 'PTHR45780:SF1', NULL, NULL, NULL, NULL, 'CYTIDYLYLTRANSFERASE A, PUTATIVE-RELATED', 57971),
(114246, 'PTHR42691', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE YHDR-RELATED', 57972),
(114247, 'PTHR11267:SF32', NULL, NULL, NULL, NULL, 'MAX GENE-ASSOCIATED PROTEIN', 57973),
(114248, 'PTHR15326:SF9', NULL, NULL, NULL, NULL, 'SI:CH211-189A15.5', 57974),
(114249, 'PTHR31896:SF60', NULL, NULL, NULL, NULL, 'BNAA02G29330D PROTEIN', 57975),
(114250, 'PTHR10615:SF190', NULL, NULL, NULL, NULL, 'D4, ISOFORM A', 57976),
(114251, 'PTHR33740', NULL, NULL, NULL, NULL, 'GPI-ANCHORED ADHESIN-LIKE PROTEIN', 57977),
(114252, 'PTHR43297:SF8', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, ATP-BINDING PROTEIN', 57978),
(114253, 'PTHR31319:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 4', 57979),
(114254, 'PTHR22617', NULL, NULL, NULL, NULL, 'CHEMOTAXIS SENSOR HISTIDINE KINASE-RELATED', 57980);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(114255, 'PTHR24073:SF1123', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 57981),
(114256, 'PTHR33831:SF11', NULL, NULL, NULL, NULL, 'BNAC09G13950D PROTEIN', 57982),
(114257, 'PTHR24347:SF391', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN DEPENDENT PROTEIN KINASE IV', 57983),
(114258, 'PTHR31962:SF3', NULL, NULL, NULL, NULL, 'SPHINGOLIPID LONG CHAIN BASE-RESPONSIVE PROTEIN LSP1', 57984),
(114259, 'PTHR16003:SF3', NULL, NULL, NULL, NULL, 'C9ORF40 ISOFORM 1', 57985),
(114260, 'PTHR21724:SF100', NULL, NULL, NULL, NULL, 'DIETARY RESTRICTION DOWN REGULATED-RELATED', 57986),
(114261, 'PTHR44329:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57987),
(114262, 'PTHR13018:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57988),
(114263, 'PTHR37534:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 57989),
(114264, 'PTHR11481:SF58', NULL, NULL, NULL, NULL, 'ALLERGIN-1', 57990),
(114265, 'PTHR23147:SF127', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RSZ22-RELATED', 57991),
(114266, 'PTHR32343:SF36', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 12-LIKE', 57992),
(114267, 'PTHR12706:SF30', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 57993),
(114268, 'PTHR12253', NULL, NULL, NULL, NULL, 'RH14732P', 57994),
(114269, 'PTHR48044:SF38', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 57995),
(114270, 'PTHR21453:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG21356', 57996),
(114271, 'PTHR45564:SF7', NULL, NULL, NULL, NULL, 'NADH:QUINONE OXIDOREDUCTASE/MRP ANTIPORTER, MEMBRANE SUBUNIT-RELATED', 57997),
(114272, 'PTHR12767:SF11', NULL, NULL, NULL, NULL, 'B-CELL CLL/LYMPHOMA 7 PROTEIN FAMILY MEMBER A', 57998),
(114273, 'PTHR33541:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 57999),
(114274, 'PTHR11668:SF311', NULL, NULL, NULL, NULL, 'PROTEIN CBG05769', 58000),
(114275, 'PTHR31713', NULL, NULL, NULL, NULL, 'OS02G0177800 PROTEIN', 58001),
(114276, 'PTHR46220:SF11', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD10', 58002),
(114277, 'PTHR34949:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58003),
(114278, 'PTHR11449:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30', 58004),
(114279, 'PTHR19446:SF442', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58005),
(114280, 'PTHR47991', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE', 58006),
(114281, 'PTHR10015:SF379', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-6B-LIKE', 58007),
(114282, 'PTHR31945:SF64', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18', 58008),
(114283, 'PTHR24286:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', 58009),
(114284, 'PTHR10196:SF82', NULL, NULL, NULL, NULL, 'GH12641P', 58010),
(114285, 'PTHR11709:SF355', NULL, NULL, NULL, NULL, 'LACCASE', 58011),
(114286, 'PTHR31213:SF143', NULL, NULL, NULL, NULL, 'OS03G0300400 PROTEIN', 58012),
(114287, 'PTHR46691', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 9', 58013),
(114288, 'PTHR48028:SF2', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN RZ1A', 58014),
(114289, 'PTHR24215:SF7', NULL, NULL, NULL, NULL, 'AGAP004186-PA', 58015),
(114290, 'PTHR21220', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 58016),
(114291, 'PTHR11134:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58017),
(114292, 'PTHR21228:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58018),
(114293, 'PTHR38634:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG16428', 58019),
(114294, 'PTHR47993:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58020),
(114295, 'PTHR43551:SF1', NULL, NULL, NULL, NULL, 'DSRK PROTEIN', 58021),
(114296, 'PTHR46702:SF5', NULL, NULL, NULL, NULL, 'DUF1666 FAMILY PROTEIN', 58022),
(114297, 'PTHR36573', NULL, NULL, NULL, NULL, 'INTERMEMBRANE PHOSPHOLIPID TRANSPORT SYSTEM BINDING PROTEIN MLAC', 58023),
(114298, 'PTHR24298:SF366', NULL, NULL, NULL, NULL, 'OS10G0511200 PROTEIN', 58024),
(114299, 'PTHR48092:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58025);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(114300, 'PTHR31987:SF1', NULL, NULL, NULL, NULL, 'GLUTAMINASE A', 58026),
(114301, 'PTHR45526:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN DPIA', 58027),
(114302, 'PTHR31642:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58028),
(114303, 'PTHR15288', NULL, NULL, NULL, NULL, 'SUPPRESSION OF TUMORIGENICITY 5  ST5', 58029),
(114304, 'PTHR47958:SF77', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE-LIKE PROTEIN', 58030),
(114305, 'PTHR14149', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN WITH IQ MOTIF', 58031),
(114306, 'PTHR31365:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58032),
(114307, 'PTHR43459:SF4', NULL, NULL, NULL, NULL, 'OS11G0269900 PROTEIN', 58033),
(114308, 'PTHR34987:SF5', NULL, NULL, NULL, NULL, 'ALPHA-RHAMNOSIDASE', 58034),
(114309, 'PTHR42251', NULL, NULL, NULL, NULL, 'UPF0147 PROTEIN MJ1419', 58035),
(114310, 'PTHR21193', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-LIKE DOMAIN-CONTAINING PROTEIN 1', 58036),
(114311, 'PTHR24206:SF77', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN WLIM1-LIKE', 58037),
(114312, 'PTHR46431:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 58038),
(114313, 'PTHR10985:SF88', NULL, NULL, NULL, NULL, 'HAIRY/ENHANCER-OF-SPLIT RELATED WITH YRPW MOTIF PROTEIN 2', 58039),
(114314, 'PTHR43105:SF2', NULL, NULL, NULL, NULL, 'RESPIRATORY NITRATE REDUCTASE 2 ALPHA CHAIN', 58040),
(114315, 'PTHR12801:SF112', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE 3', 58041),
(114316, 'PTHR47301:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC681006', 58042),
(114317, 'PTHR27002:SF851', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-1', 58043),
(114318, 'PTHR47989:SF28', NULL, NULL, NULL, NULL, 'BNAA09G10190D PROTEIN', 58044),
(114319, 'PTHR23257:SF835', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', 58045),
(114320, 'PTHR46811:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN-CONTAINING PROTEIN 7', 58046),
(114321, 'PTHR43736:SF5', NULL, NULL, NULL, NULL, 'DIHYDRONEOPTERIN TRIPHOSPHATE DIPHOSPHATASE', 58047),
(114322, 'PTHR24406', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR CTCFL-RELATED', 58048),
(114323, 'PTHR43188:SF1', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE 4, PEROXISOMAL', 58049),
(114324, 'PTHR47287', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', 58050),
(114325, 'PTHR12146:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10-1-LIKE', 58051),
(114326, 'PTHR10743:SF15', NULL, NULL, NULL, NULL, 'PROTEIN RER1', 58052),
(114327, 'PTHR24201:SF7', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 4 INHIBITOR D', 58053),
(114328, 'PTHR32303:SF10', NULL, NULL, NULL, NULL, 'POLYVINYLALCOHOL DEHYDROGENASE', 58054),
(114329, 'PTHR42872:SF5', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMATE METHYLESTERASE/PROTEIN-GLUTAMINE GLUTAMINASE', 58055),
(114330, 'PTHR24023:SF844', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXVII) CHAIN', 58056),
(114331, 'PTHR34952:SF7', NULL, NULL, NULL, NULL, 'BNAA04G21460D PROTEIN', 58057),
(114332, 'PTHR31343:SF42', NULL, NULL, NULL, NULL, 'T15D22.8', 58058),
(114333, 'PTHR18934:SF233', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE PRP16', 58059),
(114334, 'PTHR19855:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58060),
(114335, 'PTHR37256:SF1', NULL, NULL, NULL, NULL, 'E1A-BINDING PROTEIN P400-LIKE', 58061),
(114336, 'PTHR24104:SF33', NULL, NULL, NULL, NULL, 'BRAIN TUMOR PROTEIN', 58062),
(114337, 'PTHR37979', NULL, NULL, NULL, NULL, 'PROTEIN HER-1', 58063),
(114338, 'PTHR31221:SF158', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 50-RELATED', 58064),
(114339, 'PTHR16517:SF95', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 14', 58065),
(114340, 'PTHR11738:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58066),
(114341, 'PTHR10192:SF2', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN MOLYBDENUMTRANSFERASE', 58067),
(114342, 'PTHR33469:SF15', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 2', 58068),
(114343, 'PTHR11630', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM FAMILY MEMBER', 58069);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(114344, 'PTHR44573', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALKENAL/ONE OXIDOREDUCTASE, CHLOROPLASTIC', 58070),
(114345, 'PTHR11933', NULL, NULL, NULL, NULL, 'TRNA  5-METHYLAMINOMETHYL-2-THIOURIDYLATE -METHYLTRANSFERASE', 58071),
(114346, 'PTHR34222:SF52', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN 3-LIKE', 58072),
(114347, 'PTHR22601:SF12', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 7-LIKE', 58073),
(114348, 'PTHR45717:SF8', NULL, NULL, NULL, NULL, 'OS01G0301500 PROTEIN', 58074),
(114349, 'PTHR18964:SF146', NULL, NULL, NULL, NULL, 'POLYPHOSPHATE GLUCOKINASE', 58075),
(114350, 'PTHR27009:SF110', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE', 58076),
(114351, 'PTHR33168:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58077),
(114352, 'PTHR44490', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION ELONGATION FACTOR 1 EPSILON-1', 58078),
(114353, 'PTHR24025:SF23', NULL, NULL, NULL, NULL, 'SI:CH211-186J3.6-RELATED', 58079),
(114354, 'PTHR46072:SF10', NULL, NULL, NULL, NULL, 'ACETAMIDASE', 58080),
(114355, 'PTHR46280', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY F MEMBER 2-RELATED', 58081),
(114356, 'PTHR33179:SF30', NULL, NULL, NULL, NULL, 'VQ MOTIF PROTEIN', 58082),
(114357, 'PTHR12313:SF45', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA3-LIKE', 58083),
(114358, 'PTHR44843:SF9', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-RELATED', 58084),
(114359, 'PTHR11206:SF87', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 14', 58085),
(114360, 'PTHR31301:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58086),
(114361, 'PTHR31568:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58087),
(114362, 'PTHR23359:SF174', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4', 58088),
(114363, 'PTHR23423:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 184C', 58089),
(114364, 'PTHR19325:SF326', NULL, NULL, NULL, NULL, 'PROTEIN CBG16936', 58090),
(114365, 'PTHR11835:SF70', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT, MITOCHONDRIAL', 58091),
(114366, 'PTHR24249:SF393', NULL, NULL, NULL, NULL, 'COUPLED OCTOPAMINE RECEPTOR, PUTATIVE-RELATED', 58092),
(114367, 'PTHR24054:SF46', NULL, NULL, NULL, NULL, 'KINASE II, PUTATIVE-RELATED', 58093),
(114368, 'PTHR10024:SF356', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN IXA', 58094),
(114369, 'PTHR43072:SF37', NULL, NULL, NULL, NULL, 'BNAA03G54100D PROTEIN', 58095),
(114370, 'PTHR19143:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58096),
(114371, 'PTHR12822:SF5', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', 58097),
(114372, 'PTHR11566:SF154', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE PROTEIN 1E', 58098),
(114373, 'PTHR12506:SF67', NULL, NULL, NULL, NULL, 'BNAA07G07880D PROTEIN', 58099),
(114374, 'PTHR36463:SF1', NULL, NULL, NULL, NULL, 'KERATINOCYTE DIFFERENTIATION-ASSOCIATED PROTEIN', 58100),
(114375, 'PTHR10791:SF70', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET', 58101),
(114376, 'PTHR10621:SF44', NULL, NULL, NULL, NULL, 'BNAC09G00330D PROTEIN', 58102),
(114377, 'PTHR32091:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58103),
(114378, 'PTHR10160:SF19', NULL, NULL, NULL, NULL, 'NICOTINAMIDE NUCLEOTIDE TRANSHYDROGENASE', 58104),
(114379, 'PTHR45650:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58105),
(114380, 'PTHR27000:SF722', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58106),
(114381, 'PTHR31374:SF157', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR36-LIKE', 58107),
(114382, 'PTHR45237', NULL, NULL, NULL, NULL, 'POSSIBLE PARA-NITROBENZYL ESTERASE', 58108),
(114383, 'PTHR19229:SF127', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 7', 58109),
(114384, 'PTHR33057:SF128', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP3', 58110),
(114385, 'PTHR42647:SF46', NULL, NULL, NULL, NULL, 'BNAA01G23230D PROTEIN', 58111),
(114386, 'PTHR23009:SF2', NULL, NULL, NULL, NULL, 'HISTIDINE-RICH CARBOXYL TERMINUS PROTEIN 1', 58112),
(114387, 'PTHR10736', NULL, NULL, NULL, NULL, 'BESTROPHIN', 58113),
(114388, 'PTHR48047:SF83', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 87A1', 58114);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(114389, 'PTHR21649:SF91', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 58115),
(114390, 'PTHR20930:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ILRUN', 58116),
(114391, 'PTHR31235:SF277', NULL, NULL, NULL, NULL, 'PEROXIDASE', 58117),
(114392, 'PTHR21669:SF12', NULL, NULL, NULL, NULL, 'UBINUCLEIN-1', 58118),
(114393, 'PTHR31509:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58119),
(114394, 'PTHR11003:SF288', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 58120),
(114395, 'PTHR10510:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A1, MITOCHONDRIAL', 58121),
(114396, 'PTHR33981', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 58122),
(114397, 'PTHR22844:SF346', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE B-LIKE', 58123),
(114398, 'PTHR31889:SF49', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 6', 58124),
(114399, 'PTHR12357:SF9', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING FAMILY PROTEIN 3', 58125),
(114400, 'PTHR43435:SF4', NULL, NULL, NULL, NULL, 'FGGY CARBOHYDRATE KINASE DOMAIN-CONTAINING PROTEIN', 58126),
(114401, 'PTHR31713:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58127),
(114402, 'PTHR21310:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58128),
(114403, 'PTHR35308', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7', 58129),
(114404, 'PTHR47993:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58130),
(114405, 'PTHR16134:SF111', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FBW2', 58131),
(114406, 'PTHR46286:SF8', NULL, NULL, NULL, NULL, 'BNAC02G11530D PROTEIN', 58132),
(114407, 'PTHR14791', NULL, NULL, NULL, NULL, 'BOMB/KIRA PROTEINS', 58133),
(114408, 'PTHR30602:SF14', NULL, NULL, NULL, NULL, 'BNAA03G54190D PROTEIN', 58134),
(114409, 'PTHR33128:SF52', NULL, NULL, NULL, NULL, 'OS02G0508801 PROTEIN', 58135),
(114410, 'PTHR12022:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', 58136),
(114411, 'PTHR31671', NULL, NULL, NULL, NULL, 'DIABETES AND OBESITY REGULATED, ISOFORM G', 58137),
(114412, 'PTHR10334:SF490', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58138),
(114413, 'PTHR11017:SF422', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 58139),
(114414, 'PTHR10971:SF11', NULL, NULL, NULL, NULL, 'MRNA EXPORT FACTOR', 58140),
(114415, 'PTHR38117:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58141),
(114416, 'PTHR31602:SF80', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 3-LIKE', 58142),
(114417, 'PTHR12350:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58143),
(114418, 'PTHR13831:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HIR2', 58144),
(114419, 'PTHR11070:SF17', NULL, NULL, NULL, NULL, 'DNA HELICASE', 58145),
(114420, 'PTHR15735:SF15', NULL, NULL, NULL, NULL, 'HIGH OSMOLARITY SIGNALING PROTEIN SHO1', 58146),
(114421, 'PTHR11062:SF78', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE MUR3', 58147),
(114422, 'PTHR26379:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58148),
(114423, 'PTHR11830:SF23', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', 58149),
(114424, 'PTHR31259:SF6', NULL, NULL, NULL, NULL, 'ENDOSOME-ASSOCIATED-TRAFFICKING REGULATOR 1', 58150),
(114425, 'PTHR23135:SF4', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYL-L-ALANYL-D-GLUTAMATE--2,6-DIAMINOPIMELATE LIGASE MURE HOMOLOG, CHLOROPLASTIC', 58151),
(114426, 'PTHR47977:SF22', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABD1', 58152),
(114427, 'PTHR15454:SF49', NULL, NULL, NULL, NULL, 'BNAA09G01440D PROTEIN', 58153),
(114428, 'PTHR45647:SF101', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 34-LIKE', 58154),
(114429, 'PTHR10791:SF143', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 58155),
(114430, 'PTHR43032:SF5', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 58156),
(114431, 'PTHR33128:SF57', NULL, NULL, NULL, NULL, 'PEROXIDASE (DUF 3339)', 58157),
(114432, 'PTHR43139:SF30', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 58158),
(114433, 'PTHR33739:SF14', NULL, NULL, NULL, NULL, 'BNAA01G23760D PROTEIN', 58159);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(114434, 'PTHR45654:SF12', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ROC8', 58160),
(114435, 'PTHR38820:SF1', NULL, NULL, NULL, NULL, 'ANNEXIN-2 RECEPTOR', 58161),
(114436, 'PTHR34223:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58162),
(114437, 'PTHR42683:SF45', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE-LIKE PROTEIN', 58163),
(114438, 'PTHR24148', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 39 HOMOLOG-RELATED', 58164),
(114439, 'PTHR48079:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58165),
(114440, 'PTHR33932:SF5', NULL, NULL, NULL, NULL, 'MULTIPLE RESISTANCE/PH REGULATION RELATED PROTEIN B (NA+/H+ ANTIPORTER)', 58166),
(114441, 'PTHR45621:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58167),
(114442, 'PTHR23177:SF65', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 4', 58168),
(114443, 'PTHR33165:SF47', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 58169),
(114444, 'PTHR48019:SF65', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 27', 58170),
(114445, 'PTHR33918:SF2', NULL, NULL, NULL, NULL, 'OS01G0704200 PROTEIN', 58171),
(114446, 'PTHR15138:SF24', NULL, NULL, NULL, NULL, 'OS03G0441000 PROTEIN', 58172),
(114447, 'PTHR43688:SF1', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN LIPOAMIDASE SIRTUIN-4, MITOCHONDRIAL', 58173),
(114448, 'PTHR43349:SF34', NULL, NULL, NULL, NULL, 'PINORESINOL-LARICIRESINOL REDUCTASE 3-RELATED', 58174),
(114449, 'PTHR10638:SF71', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 58175),
(114450, 'PTHR48080:SF2', NULL, NULL, NULL, NULL, 'D-GALACTONATE DEHYDRATASE', 58176),
(114451, 'PTHR47956:SF39', NULL, NULL, NULL, NULL, 'OS02G0186800 PROTEIN', 58177),
(114452, 'PTHR31889:SF79', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 7', 58178),
(114453, 'PTHR47958:SF34', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-II', 58179),
(114454, 'PTHR16524', NULL, NULL, NULL, NULL, 'CELL DEATH REGULATOR AVEN', 58180),
(114455, 'PTHR33972:SF20', NULL, NULL, NULL, NULL, 'BNAC07G15820D PROTEIN', 58181),
(114456, 'PTHR43281:SF25', NULL, NULL, NULL, NULL, 'BNAANNG18270D PROTEIN', 58182),
(114457, 'PTHR47771:SF1', NULL, NULL, NULL, NULL, 'HL02234P', 58183),
(114458, 'PTHR43991:SF32', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 58184),
(114459, 'PTHR12271:SF108', NULL, NULL, NULL, NULL, 'U SIX SNRNA INTERACTING PROTEIN', 58185),
(114460, 'PTHR33238:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MNTR', 58186),
(114461, 'PTHR36512:SF3', NULL, NULL, NULL, NULL, 'BLR5678 PROTEIN', 58187),
(114462, 'PTHR46632', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINA-LIKE 4', 58188),
(114463, 'PTHR10519:SF42', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID TYPE B RECEPTOR SUBUNIT 1', 58189),
(114464, 'PTHR33499:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58190),
(114465, 'PTHR43242:SF1', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 58191),
(114466, 'PTHR38130:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58192),
(114467, 'PTHR46102:SF2', NULL, NULL, NULL, NULL, 'AXIN', 58193),
(114468, 'PTHR35162:SF2', NULL, NULL, NULL, NULL, 'OS08G0516600 PROTEIN', 58194),
(114469, 'PTHR47998:SF6', NULL, NULL, NULL, NULL, 'OS02G0732600 PROTEIN', 58195),
(114470, 'PTHR31089:SF49', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.5-LIKE', 58196),
(114471, 'PTHR47861', NULL, NULL, NULL, NULL, 'FKBP-TYPE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE SLYD', 58197),
(114472, 'PTHR30093:SF7', NULL, NULL, NULL, NULL, 'MSHA MAJOR PILIN SUBUNIT MSHA', 58198),
(114473, 'PTHR31719:SF165', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 68', 58199),
(114474, 'PTHR13691:SF53', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L8-3', 58200),
(114475, 'PTHR15852:SF65', NULL, NULL, NULL, NULL, 'PROTEIN P13.9, PUTATIVE-RELATED', 58201),
(114476, 'PTHR45744:SF5', NULL, NULL, NULL, NULL, 'NICOTIANAMINE AMINOTRANSFERASE 1', 58202),
(114477, 'PTHR47871', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 8', 58203),
(114478, 'PTHR34542:SF6', NULL, NULL, NULL, NULL, '50S RIBOSOMAL-LIKE PROTEIN', 58204); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(114479, 'PTHR42932:SF1', NULL, NULL, NULL, NULL, 'GENERAL STRESS PROTEIN 20U', 58205),
(114480, 'PTHR11776:SF0', NULL, NULL, NULL, NULL, 'ZGC:174895', 58206),
(114481, 'PTHR46066:SF2', NULL, NULL, NULL, NULL, 'CHITINASE DOMAIN-CONTAINING PROTEIN 1', 58207),
(114482, 'PTHR32196:SF66', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', 58208),
(114483, 'PTHR31585:SF12', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 9, CHLOROPLASTIC-RELATED', 58209),
(114484, 'PTHR15431:SF14', NULL, NULL, NULL, NULL, 'ORAL-FACIAL-DIGITAL SYNDROME 1 PROTEIN', 58210),
(114485, 'PTHR48002:SF146', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4X2', 58211),
(114486, 'PTHR35461', NULL, NULL, NULL, NULL, 'BNAANNG14610D PROTEIN', 58212),
(114487, 'PTHR19443:SF68', NULL, NULL, NULL, NULL, 'HEXOKINASE-7', 58213),
(114488, 'PTHR24064:SF533', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 2', 58214),
(114489, 'PTHR43208', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', 58215),
(114490, 'PTHR33018:SF20', NULL, NULL, NULL, NULL, 'ULP1 PROTEASE FAMILY, C-TERMINAL CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 58216),
(114491, 'PTHR23504:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58217),
(114492, 'PTHR10971:SF27', NULL, NULL, NULL, NULL, 'PLANT POLY(A)+ RNA EXPORT PROTEIN', 58218),
(114493, 'PTHR13693:SF50', NULL, NULL, NULL, NULL, '5-AMINOLEVULINATE SYNTHASE, NONSPECIFIC, MITOCHONDRIAL', 58219),
(114494, 'PTHR24123:SF84', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 17', 58220),
(114495, 'PTHR32018:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58221),
(114496, 'PTHR46083:SF3', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN', 58222),
(114497, 'PTHR36781:SF1', NULL, NULL, NULL, NULL, 'OS05G0114600 PROTEIN', 58223),
(114498, 'PTHR34977', NULL, NULL, NULL, NULL, 'UPF0337 PROTEIN YJBJ', 58224),
(114499, 'PTHR13268:SF11', NULL, NULL, NULL, NULL, 'ATG18-LIKE PROTEIN-RELATED', 58225),
(114500, 'PTHR34358:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58226),
(114501, 'PTHR37177:SF6', NULL, NULL, NULL, NULL, 'BNAA04G17160D PROTEIN', 58227),
(114502, 'PTHR31677:SF128', NULL, NULL, NULL, NULL, 'BNAC03G69420D PROTEIN', 58228),
(114503, 'PTHR15422', NULL, NULL, NULL, NULL, 'OS05G0565100 PROTEIN', 58229),
(114504, 'PTHR31901:SF67', NULL, NULL, NULL, NULL, 'GH3 FAMILY-RELATED', 58230),
(114505, 'PTHR33181:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58231),
(114506, 'PTHR21297:SF4', NULL, NULL, NULL, NULL, 'BNACNNG11130D PROTEIN', 58232),
(114507, 'PTHR48043:SF84', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 58233),
(114508, 'PTHR34219:SF6', NULL, NULL, NULL, NULL, 'BLR3280 PROTEIN', 58234),
(114509, 'PTHR31286:SF55', NULL, NULL, NULL, NULL, 'BNAC06G26400D PROTEIN', 58235),
(114510, 'PTHR16897:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58236),
(114511, 'PTHR18966:SF417', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR-RELATED', 58237),
(114512, 'PTHR21562:SF98', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 3', 58238),
(114513, 'PTHR10985:SF8', NULL, NULL, NULL, NULL, 'HAIRY AND ENHANCER OF SPLIT-RELATED PROTEIN HELT', 58239),
(114514, 'PTHR13271:SF9', NULL, NULL, NULL, NULL, 'RUBISCO METHYLTRANSFERASE FAMILY PROTEIN', 58240),
(114515, 'PTHR45808:SF13', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACR', 58241),
(114516, 'PTHR12461:SF81', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN C', 58242),
(114517, 'PTHR27007:SF75', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN FAMILY PROTEIN-RELATED', 58243),
(114518, 'PTHR31302:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN WITH METALLOPHOSPHOESTERASE DOMAIN', 58244),
(114519, 'PTHR12302:SF21', NULL, NULL, NULL, NULL, 'STAPHYLOCOCCAL-LIKE NUCLEASE CAN2', 58245),
(114520, 'PTHR33147:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58246),
(114521, 'PTHR12300:SF93', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN 5', 58247),
(114522, 'PTHR15910:SF1', NULL, NULL, NULL, NULL, 'ARCHAEMETZINCIN', 58248),
(114523, 'PTHR23504:SF84', NULL, NULL, NULL, NULL, 'ZINC INDUCED FACILITATOR-LIKE PROTEIN', 58249);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(114524, 'PTHR46662:SF40', NULL, NULL, NULL, NULL, 'PROTEIN TOO MANY MOUTHS', 58250),
(114525, 'PTHR42714:SF6', NULL, NULL, NULL, NULL, 'ATP/GTP-BINDING PROTEIN-RELATED', 58251),
(114526, 'PTHR13832:SF762', NULL, NULL, NULL, NULL, 'BNAANNG08800D PROTEIN', 58252),
(114527, 'PTHR21523:SF10', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', 58253),
(114528, 'PTHR10629:SF51', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE', 58254),
(114529, 'PTHR46519:SF3', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 58255),
(114530, 'PTHR34000:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58256),
(114531, 'PTHR45581:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06551', 58257),
(114532, 'PTHR11691:SF61', NULL, NULL, NULL, NULL, 'INTERFERON-DELTA-4', 58258),
(114533, 'PTHR14453:SF70', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP9', 58259),
(114534, 'PTHR11158', NULL, NULL, NULL, NULL, 'MSF1/PX19 RELATED', 58260),
(114535, 'PTHR23092:SF49', NULL, NULL, NULL, NULL, 'DNA POLYMERASE SIGMA-LIKE PROTEIN', 58261),
(114536, 'PTHR11394:SF66', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 46', 58262),
(114537, 'PTHR35801:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE RSBX', 58263),
(114538, 'PTHR31657:SF52', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 58264),
(114539, 'PTHR10209:SF135', NULL, NULL, NULL, NULL, 'DEACETOXYVINDOLINE 4-HYDROXYLASE', 58265),
(114540, 'PTHR10165:SF114', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE RELATED HOMOLOG', 58266),
(114541, 'PTHR23001:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58267),
(114542, 'PTHR32154:SF29', NULL, NULL, NULL, NULL, 'BLR6743 PROTEIN', 58268),
(114543, 'PTHR45648:SF111', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 58269),
(114544, 'PTHR21646:SF42', NULL, NULL, NULL, NULL, 'UBIQUITIN SPECIFIC PROTEASE', 58270),
(114545, 'PTHR11267', NULL, NULL, NULL, NULL, 'T-BOX PROTEIN-RELATED', 58271),
(114546, 'PTHR24346:SF65', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE GRIK2-LIKE', 58272),
(114547, 'PTHR27006:SF253', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE KINASE', 58273),
(114548, 'PTHR31636:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58274),
(114549, 'PTHR10489', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE', 58275),
(114550, 'PTHR12480:SF35', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN 8', 58276),
(114551, 'PTHR37287:SF1', NULL, NULL, NULL, NULL, 'INO EIGHTY SUBUNIT 1', 58277),
(114552, 'PTHR12173:SF9', NULL, NULL, NULL, NULL, 'ARTEMIN', 58278),
(114553, 'PTHR43414:SF3', NULL, NULL, NULL, NULL, 'LMO2377 PROTEIN', 58279),
(114554, 'PTHR31676:SF138', NULL, NULL, NULL, NULL, 'BNAA02G04340D PROTEIN', 58280),
(114555, 'PTHR33281:SF1', NULL, NULL, NULL, NULL, 'UPF0187 PROTEIN YNEE', 58281),
(114556, 'PTHR46058:SF28', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE', 58282),
(114557, 'PTHR24015:SF1868', NULL, NULL, NULL, NULL, 'OS12G0490100 PROTEIN', 58283),
(114558, 'PTHR31509:SF73', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF241)-RELATED', 58284),
(114559, 'PTHR31969:SF55', NULL, NULL, NULL, NULL, 'GRAM DOMAIN PROTEIN/ABA-RESPONSIVE-LIKE PROTEIN', 58285),
(114560, 'PTHR10996:SF249', NULL, NULL, NULL, NULL, 'BNAA09G47050D PROTEIN', 58286),
(114561, 'PTHR45996:SF2', NULL, NULL, NULL, NULL, 'CYCLIC AMP-RESPONSIVE ELEMENT-BINDING PROTEIN 3-LIKE PROTEIN 4', 58287),
(114562, 'PTHR10900:SF115', NULL, NULL, NULL, NULL, 'FI19380P1', 58288),
(114563, 'PTHR34119:SF13', NULL, NULL, NULL, NULL, 'ARFAPTIN HOMOLOGY (AH) DOMAIN/BAR DOMAIN PROTEIN-RELATED', 58289),
(114564, 'PTHR21516:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG05501', 58290),
(114565, 'PTHR42951:SF15', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY PROTEIN', 58291),
(114566, 'PTHR43804:SF6', NULL, NULL, NULL, NULL, 'CLASS I PEPTIDE CHAIN RELEASE FACTOR', 58292),
(114567, 'PTHR45974:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58293),
(114568, 'PTHR24023:SF568', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(I) CHAIN', 58294);
INSERT INTO "PUBLIC"."MODEL" VALUES
(114569, 'PTHR32196:SF69', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, PERMEASE PROTEIN-RELATED', 58295),
(114570, 'PTHR13169:SF9', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN 2', 58296),
(114571, 'PTHR34198:SF17', NULL, NULL, NULL, NULL, 'BNAANNG26280D PROTEIN', 58297),
(114572, 'PTHR45717:SF32', NULL, NULL, NULL, NULL, 'BNAC01G28810D PROTEIN', 58298),
(114573, 'PTHR24376:SF166', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 735-RELATED', 58299),
(114574, 'PTHR13906:SF17', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE 2-LIKE', 58300),
(114575, 'PTHR31598', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN D', 58301),
(114576, 'PTHR19051:SF18', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 15-1', 58302),
(114577, 'PTHR46260:SF1', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 8A', 58303),
(114578, 'PTHR24359:SF22', NULL, NULL, NULL, NULL, 'LOC100135243 PROTEIN', 58304),
(114579, 'PTHR11909:SF404', NULL, NULL, NULL, NULL, 'BNAA05G37270D PROTEIN', 58305),
(114580, 'PTHR31280:SF1', NULL, NULL, NULL, NULL, 'OS02G0796200 PROTEIN', 58306),
(114581, 'PTHR31623:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58307),
(114582, 'PTHR31403:SF11', NULL, NULL, NULL, NULL, 'OS12G0614500 PROTEIN', 58308),
(114583, 'PTHR47925:SF77', NULL, NULL, NULL, NULL, 'BNAC04G43080D PROTEIN', 58309),
(114584, 'PTHR31627:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-7', 58310),
(114585, 'PTHR37831:SF1', NULL, NULL, NULL, NULL, 'D-RIBOSE PYRANASE', 58311),
(114586, 'PTHR15160:SF16', NULL, NULL, NULL, NULL, 'NUCLEASE IN BASAL DEFENSE RESPONSE PROTEIN', 58312),
(114587, 'PTHR31717:SF58', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 13', 58313),
(114588, 'PTHR34208:SF13', NULL, NULL, NULL, NULL, 'BNACNNG21600D PROTEIN', 58314),
(114589, 'PTHR48049:SF35', NULL, NULL, NULL, NULL, 'SCOPOLETIN GLUCOSYLTRANSFERASE', 58315),
(114590, 'PTHR31985:SF181', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 58316),
(114591, 'PTHR45722:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-LIKE', 58317),
(114592, 'PTHR24222:SF67', NULL, NULL, NULL, NULL, 'IRON IMPORT ATP-BINDING/PERMEASE PROTEIN IRTA', 58318),
(114593, 'PTHR16675:SF266', NULL, NULL, NULL, NULL, 'UL16-BINDING PROTEIN 1', 58319),
(114594, 'PTHR11847:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L15-1-RELATED', 58320),
(114595, 'PTHR47000:SF1', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 58321),
(114596, 'PTHR10201:SF274', NULL, NULL, NULL, NULL, 'BNACNNG51190D PROTEIN', 58322),
(114597, 'PTHR47991:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58323),
(114598, 'PTHR32370:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58324),
(114599, 'PTHR11616:SF124', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT GABA TRANSPORTER 3', 58325),
(114600, 'PTHR47947:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 58326),
(114601, 'PTHR11003:SF21', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 2', 58327),
(114602, 'PTHR23189:SF49', NULL, NULL, NULL, NULL, 'SPEN FAMILY TRANSCRIPTIONAL REPRESSOR', 58328),
(114603, 'PTHR23143:SF19', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 6-LIKE PROTEIN 10-RELATED', 58329),
(114604, 'PTHR39377:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG18423', 58330),
(114605, 'PTHR21649:SF89', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 6, CHLOROPLASTIC', 58331),
(114606, 'PTHR24282:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58332),
(114607, 'PTHR43288:SF2', NULL, NULL, NULL, NULL, 'BIOTIN SYNTHASE-RELATED PROTEIN, RADICAL SAM SUPERFAMILY', 58333),
(114608, 'PTHR32208:SF72', NULL, NULL, NULL, NULL, 'BNAC07G14990D PROTEIN', 58334),
(114609, 'PTHR23130:SF89', NULL, NULL, NULL, NULL, 'OS08G0524400 PROTEIN', 58335),
(114610, 'PTHR24099:SF17', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF CONTAINING 55', 58336),
(114611, 'PTHR46080', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN J', 58337),
(114612, 'PTHR12317:SF0', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 1', 58338);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(114613, 'PTHR23065:SF25', NULL, NULL, NULL, NULL, 'MENTAL RETARDATION GTPASE ACTIVATING PROTEIN HOMOLOG 1', 58339),
(114614, 'PTHR45724:SF23', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP4-1', 58340),
(114615, 'PTHR10046:SF48', NULL, NULL, NULL, NULL, 'ENDOPEPTIDASE LA', 58341),
(114616, 'PTHR12232:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58342),
(114617, 'PTHR24296:SF171', NULL, NULL, NULL, NULL, 'BNAANNG14430D PROTEIN', 58343),
(114618, 'PTHR23147:SF14', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 8', 58344),
(114619, 'PTHR15191', NULL, NULL, NULL, NULL, 'PROTEIN CBG20567', 58345),
(114620, 'PTHR46307:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EHMT1', 58346),
(114621, 'PTHR11022:SF62', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-RECOGNITION PROTEIN LA', 58347),
(114622, 'PTHR11848:SF22', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 15', 58348),
(114623, 'PTHR48002:SF25', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 58349),
(114624, 'PTHR10913:SF13', NULL, NULL, NULL, NULL, 'FOLLISTATIN-RELATED PROTEIN 1', 58350),
(114625, 'PTHR23504:SF14', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 9', 58351),
(114626, 'PTHR10639:SF22', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', 58352),
(114627, 'PTHR11741:SF5', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TS, MITOCHONDRIAL', 58353),
(114628, 'PTHR45977:SF1', NULL, NULL, NULL, NULL, 'OS02G0674700 PROTEIN', 58354),
(114629, 'PTHR31235:SF35', NULL, NULL, NULL, NULL, 'PEROXIDASE', 58355),
(114630, 'PTHR48049:SF31', NULL, NULL, NULL, NULL, 'SOYASAPOGENOL B GLUCURONIDE GALACTOSYLTRANSFERASE-RELATED', 58356),
(114631, 'PTHR10050:SF46', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSYL-TRANSFERASE 2', 58357),
(114632, 'PTHR11432', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE SUBUNIT 1', 58358),
(114633, 'PTHR33147:SF15', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', 58359),
(114634, 'PTHR33077:SF61', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 3A-RELATED', 58360),
(114635, 'PTHR11977:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58361),
(114636, 'PTHR46128:SF178', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', 58362),
(114637, 'PTHR21141:SF91', NULL, NULL, NULL, NULL, 'BNAA04G15980D PROTEIN', 58363),
(114638, 'PTHR12442:SF12', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 78', 58364),
(114639, 'PTHR30250:SF10', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE BIOSYNTHESIS PROTEIN WZXC', 58365),
(114640, 'PTHR13042:SF6', NULL, NULL, NULL, NULL, 'GENE 16381-RELATED', 58366),
(114641, 'PTHR31194:SF127', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF069-LIKE', 58367),
(114642, 'PTHR11132:SF392', NULL, NULL, NULL, NULL, 'GDP-MANNOSE TRANSPORTER GONST3', 58368),
(114643, 'PTHR12378:SF58', NULL, NULL, NULL, NULL, 'PPPDE PUTATIVE PEPTIDASE DOMAIN-CONTAINING PROTEIN-RELATED', 58369),
(114644, 'PTHR14379:SF31', NULL, NULL, NULL, NULL, 'BNAA01G07790D PROTEIN', 58370),
(114645, 'PTHR22791:SF9', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 183', 58371),
(114646, 'PTHR13844:SF70', NULL, NULL, NULL, NULL, 'BNAA08G14290D PROTEIN', 58372),
(114647, 'PTHR45765:SF4', NULL, NULL, NULL, NULL, 'METHIONINE--TRNA LIGASE CYTOPLASMIC', 58373),
(114648, 'PTHR24282:SF99', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714A1', 58374),
(114649, 'PTHR24253:SF90', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 55', 58375),
(114650, 'PTHR26374:SF355', NULL, NULL, NULL, NULL, 'AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 58376),
(114651, 'PTHR37014', NULL, NULL, NULL, NULL, 'EXPRESSION LETHALITY PROTEIN HEL10, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06580)-RELATED', 58377),
(114652, 'PTHR31717:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 10', 58378),
(114653, 'PTHR42647:SF26', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', 58379),
(114654, 'PTHR47127:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58380),
(114655, 'PTHR24115:SF925', NULL, NULL, NULL, NULL, 'BNAC03G59790D PROTEIN', 58381),
(114656, 'PTHR47629:SF9', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 58382);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(114657, 'PTHR13379:SF0', NULL, NULL, NULL, NULL, 'UPF0415 PROTEIN C7ORF25', 58383),
(114658, 'PTHR31707:SF181', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 58384),
(114659, 'PTHR32133:SF315', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58385),
(114660, 'PTHR31948:SF55', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 2', 58386),
(114661, 'PTHR32054:SF66', NULL, NULL, NULL, NULL, 'BNACNNG18760D PROTEIN', 58387),
(114662, 'PTHR27005:SF387', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 8', 58388),
(114663, 'PTHR48247:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58389),
(114664, 'PTHR31790:SF342', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 58390),
(114665, 'PTHR47094:SF12', NULL, NULL, NULL, NULL, 'ELFLESS, ISOFORM B', 58391),
(114666, 'PTHR32295:SF126', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', 58392),
(114667, 'PTHR19241:SF574', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 30-RELATED', 58393),
(114668, 'PTHR16476:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM216A', 58394),
(114669, 'PTHR47594', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 58395),
(114670, 'PTHR20858:SF19', NULL, NULL, NULL, NULL, 'PYRIDOXINE KINASE', 58396),
(114671, 'PTHR47990:SF175', NULL, NULL, NULL, NULL, 'BNAA09G13940D PROTEIN', 58397),
(114672, 'PTHR35707', NULL, NULL, NULL, NULL, 'OS06G0608100 PROTEIN', 58398),
(114673, 'PTHR21461:SF61', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 58399),
(114674, 'PTHR22950:SF154', NULL, NULL, NULL, NULL, 'PROTON-COUPLED AMINO ACID TRANSPORTER-LIKE PROTEIN PATHETIC', 58400),
(114675, 'PTHR12763:SF42', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM14-3-LIKE', 58401),
(114676, 'PTHR31446:SF31', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE/VANADIUM-DEPENDENT HALOPEROXIDASE-RELATED PROTEIN-RELATED', 58402),
(114677, 'PTHR11403:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 3', 58403),
(114678, 'PTHR43173:SF31', NULL, NULL, NULL, NULL, 'ALPHA-1,3-GLUCANASE/MUTANASE, PUTATIVE-RELATED', 58404),
(114679, 'PTHR47926:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58405),
(114680, 'PTHR17985:SF22', NULL, NULL, NULL, NULL, 'OS04G0564500 PROTEIN', 58406),
(114681, 'PTHR46265:SF4', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN REN1', 58407),
(114682, 'PTHR11362:SF13', NULL, NULL, NULL, NULL, 'PROTEIN TERMINAL FLOWER 1', 58408),
(114683, 'PTHR31443', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 58409),
(114684, 'PTHR11256:SF51', NULL, NULL, NULL, NULL, 'GENE 20521-RELATED', 58410),
(114685, 'PTHR21136:SF200', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN, LONGIN-LIKE DOMAIN PROTEIN-RELATED', 58411),
(114686, 'PTHR42991:SF3', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 58412),
(114687, 'PTHR24214:SF32', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN 5', 58413),
(114688, 'PTHR32379', NULL, NULL, NULL, NULL, 'GUANIDINOACETATE N-METHYLTRANSFERASE', 58414),
(114689, 'PTHR47974:SF11', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', 58415),
(114690, 'PTHR31621:SF63', NULL, NULL, NULL, NULL, 'BNAA03G55920D PROTEIN', 58416),
(114691, 'PTHR32411:SF56', NULL, NULL, NULL, NULL, 'BNAA01G12770D PROTEIN', 58417),
(114692, 'PTHR24067:SF273', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 7-LIKE', 58418),
(114693, 'PTHR15092:SF43', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 58419),
(114694, 'PTHR24305:SF197', NULL, NULL, NULL, NULL, 'OS06G0641200 PROTEIN', 58420),
(114695, 'PTHR33963', NULL, NULL, NULL, NULL, 'MKRN2 OPPOSITE STRAND PROTEIN', 58421),
(114696, 'PTHR44218:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SPA1-RELATED 3', 58422),
(114697, 'PTHR33133:SF36', NULL, NULL, NULL, NULL, 'BNAC04G26430D PROTEIN', 58423),
(114698, 'PTHR34475:SF1', NULL, NULL, NULL, NULL, 'CYTOSKELETON PROTEIN RODZ', 58424),
(114699, 'PTHR11370', NULL, NULL, NULL, NULL, 'DNA-REPAIR PROTEIN XRCC1', 58425),
(114700, 'PTHR33671:SF3', NULL, NULL, NULL, NULL, 'F28N24.8 PROTEIN', 58426),
(114701, 'PTHR40141', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 58427);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(114702, 'PTHR31218', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 58428),
(114703, 'PTHR48092:SF18', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 6 GROUP A MEMBER 1', 58429),
(114704, 'PTHR30540:SF101', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 58430),
(114705, 'PTHR26453:SF184', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2J1', 58431),
(114706, 'PTHR21724:SF103', NULL, NULL, NULL, NULL, 'PROTEIN CBG20815', 58432),
(114707, 'PTHR31044:SF47', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', 58433),
(114708, 'PTHR15245:SF39', NULL, NULL, NULL, NULL, 'SYMPLEKIN-RELATED', 58434),
(114709, 'PTHR43201:SF12', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', 58435),
(114710, 'PTHR22883:SF299', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 58436),
(114711, 'PTHR11571:SF133', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 3', 58437),
(114712, 'PTHR11206:SF140', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 36', 58438),
(114713, 'PTHR23257:SF841', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0290621-RELATED', 58439),
(114714, 'PTHR10622:SF10', NULL, NULL, NULL, NULL, 'HET DOMAIN-CONTAINING PROTEIN', 58440),
(114715, 'PTHR31949:SF29', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 58441),
(114716, 'PTHR23248:SF31', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', 58442),
(114717, 'PTHR46352:SF5', NULL, NULL, NULL, NULL, 'OS03G0838800 PROTEIN', 58443),
(114718, 'PTHR13115:SF15', NULL, NULL, NULL, NULL, 'PLUS-3 DOMAIN PROTEIN', 58444),
(114719, 'PTHR11655:SF36', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L9-1', 58445),
(114720, 'PTHR48011:SF10', NULL, NULL, NULL, NULL, 'OS10G0130000 PROTEIN', 58446),
(114721, 'PTHR35381', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 58447),
(114722, 'PTHR24340:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58448),
(114723, 'PTHR48001:SF25', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 58449),
(114724, 'PTHR36340:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE SUBUNIT CRR3, CHLOROPLASTIC-RELATED', 58450),
(114725, 'PTHR11783:SF194', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 58451),
(114726, 'PTHR23406:SF63', NULL, NULL, NULL, NULL, 'MALIC ENZYME', 58452),
(114727, 'PTHR11530:SF11', NULL, NULL, NULL, NULL, 'D-ASPARTATE OXIDASE', 58453),
(114728, 'PTHR10489:SF941', NULL, NULL, NULL, NULL, 'CABZ01093075.1-RELATED', 58454),
(114729, 'PTHR12619:SF30', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RFX6', 58455),
(114730, 'PTHR31429:SF38', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 49', 58456),
(114731, 'PTHR31989:SF374', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', 58457),
(114732, 'PTHR23266:SF152', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION MOPC 47A-RELATED', 58458),
(114733, 'PTHR11961:SF40', NULL, NULL, NULL, NULL, 'CYTOCHROME C-1', 58459),
(114734, 'PTHR23227:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58460),
(114735, 'PTHR24368', NULL, NULL, NULL, NULL, 'AMPHOTERIN-INDUCED PROTEIN', 58461),
(114736, 'PTHR11439:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58462),
(114737, 'PTHR14167:SF76', NULL, NULL, NULL, NULL, 'CAP, ISOFORM X-RELATED', 58463),
(114738, 'PTHR18945:SF196', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT RHO-3', 58464),
(114739, 'PTHR11662:SF434', NULL, NULL, NULL, NULL, 'SIALIN', 58465),
(114740, 'PTHR23129:SF0', NULL, NULL, NULL, NULL, 'FAT STORAGE-INDUCING TRANSMEMBRANE PROTEIN', 58466),
(114741, 'PTHR21319:SF45', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 58467),
(114742, 'PTHR11690:SF267', NULL, NULL, NULL, NULL, 'DEGENERIN MEC-4', 58468),
(114743, 'PTHR23245:SF31', NULL, NULL, NULL, NULL, 'TRNA WYBUTOSINE-SYNTHESIZING PROTEIN 3 HOMOLOG', 58469),
(114744, 'PTHR33149:SF35', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II D2 PROTEIN', 58470),
(114745, 'PTHR12128:SF28', NULL, NULL, NULL, NULL, '2-DEHYDRO-3-DEOXY-D-GLUCONATE ALDOLASE YAGE-RELATED', 58471),
(114746, 'PTHR47285:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TIC 62, CHLOROPLASTIC', 58472),
(114747, 'PTHR24248:SF170', NULL, NULL, NULL, NULL, 'D(1B) DOPAMINE RECEPTOR', 58473);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(114748, 'PTHR24023:SF954', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE II, ALPHA 1', 58474),
(114749, 'PTHR37422', NULL, NULL, NULL, NULL, 'TEICHURONIC ACID BIOSYNTHESIS PROTEIN TUAE', 58475),
(114750, 'PTHR25462:SF255', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 42', 58476),
(114751, 'PTHR19957:SF313', NULL, NULL, NULL, NULL, 'BNAA08G25390D PROTEIN', 58477),
(114752, 'PTHR33076:SF119', NULL, NULL, NULL, NULL, 'OS03G0808500 PROTEIN', 58478),
(114753, 'PTHR11835:SF43', NULL, NULL, NULL, NULL, 'ISOCITRATE/ISOPROPYLMALATE DEHYDROGENASE', 58479),
(114754, 'PTHR32410:SF181', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 58480),
(114755, 'PTHR45961', NULL, NULL, NULL, NULL, 'IP21249P', 58481),
(114756, 'PTHR23236:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58482),
(114757, 'PTHR16083', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING PROTEIN', 58483),
(114758, 'PTHR45977:SF38', NULL, NULL, NULL, NULL, 'BNAA04G26400D PROTEIN', 58484),
(114759, 'PTHR48043:SF119', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 58485),
(114760, 'PTHR22893:SF120', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 11-RELATED', 58486),
(114761, 'PTHR35529:SF1', NULL, NULL, NULL, NULL, 'MANGANESE EFFLUX PUMP MNTP-RELATED', 58487),
(114762, 'PTHR47296', NULL, NULL, NULL, NULL, 'PROTEIN TIC 40, CHLOROPLASTIC', 58488),
(114763, 'PTHR13217:SF12', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING, FAMILY G (WITH RHOGEF DOMAIN) MEMBER 5A-RELATED', 58489),
(114764, 'PTHR32286', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G6F', 58490),
(114765, 'PTHR42760:SF105', NULL, NULL, NULL, NULL, 'SORBITOL-6-PHOSPHATE 2-DEHYDROGENASE', 58491),
(114766, 'PTHR10039:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58492),
(114767, 'PTHR43739:SF2', NULL, NULL, NULL, NULL, 'XYLOGLUCANASE (EUROFUNG)', 58493),
(114768, 'PTHR11772:SF40', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING] 1', 58494),
(114769, 'PTHR12654:SF3', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', 58495),
(114770, 'PTHR24166:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58496),
(114771, 'PTHR22605', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 58497),
(114772, 'PTHR28235:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FYV4, MITOCHONDRIAL', 58498),
(114773, 'PTHR12439', NULL, NULL, NULL, NULL, 'PLACENTAL PROTEIN 11-RELATED', 58499),
(114774, 'PTHR31081:SF19', NULL, NULL, NULL, NULL, 'BNAC09G21970D PROTEIN', 58500),
(114775, 'PTHR31530:SF4', NULL, NULL, NULL, NULL, 'MAJOR INTRINSICALLY DISORDERED NOTCH2-BINDING RECEPTOR 1-LIKE', 58501),
(114776, 'PTHR18919:SF144', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE', 58502),
(114777, 'PTHR13301:SF138', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN E1', 58503),
(114778, 'PTHR14209:SF34', NULL, NULL, NULL, NULL, 'BNAA01G30950D PROTEIN', 58504),
(114779, 'PTHR45743:SF39', NULL, NULL, NULL, NULL, 'K+ TRANSPORTER 1-RELATED', 58505),
(114780, 'PTHR47027:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58506),
(114781, 'PTHR46387:SF13', NULL, NULL, NULL, NULL, 'OS10G0458700 PROTEIN', 58507),
(114782, 'PTHR43205:SF42', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE, ZINC-CONTAINING (AFU_ORTHOLOGUE AFUA_7G04530)', 58508),
(114783, 'PTHR11183:SF150', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 58509),
(114784, 'PTHR31415:SF109', NULL, NULL, NULL, NULL, 'PROTEIN YLS9-LIKE', 58510),
(114785, 'PTHR33129', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 58511),
(114786, 'PTHR21668:SF14', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A, X-CHROMOSOMAL', 58512),
(114787, 'PTHR24220:SF660', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 58513),
(114788, 'PTHR45719:SF25', NULL, NULL, NULL, NULL, 'BNAC03G69410D PROTEIN', 58514),
(114789, 'PTHR16423:SF7', NULL, NULL, NULL, NULL, 'NATURAL CYTOTOXICITY TRIGGERING RECEPTOR 2', 58515),
(114790, 'PTHR11759:SF44', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14-2-LIKE', 58516),
(114791, 'PTHR24271:SF81', NULL, NULL, NULL, NULL, 'SI:DKEY-21E2.12-RELATED', 58517);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(114792, 'PTHR40045', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 58518),
(114793, 'PTHR30510', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 58519),
(114794, 'PTHR47156:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG20824', 58520),
(114795, 'PTHR31731:SF136', NULL, NULL, NULL, NULL, 'BNAC05G49400D PROTEIN', 58521),
(114796, 'PTHR24123:SF33', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY A MEMBER 1', 58522),
(114797, 'PTHR32467:SF146', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN APETALA 2-LIKE ISOFORM X1', 58523),
(114798, 'PTHR11431:SF40', NULL, NULL, NULL, NULL, 'BACTERIAL NON-HEME FERRITIN-LIKE PROTEIN', 58524),
(114799, 'PTHR23043', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE FACTOR 1 ALPHA', 58525),
(114800, 'PTHR35518', NULL, NULL, NULL, NULL, 'MAINTENANCE OF TELOMOERE CAPPING', 58526),
(114801, 'PTHR13943:SF31', NULL, NULL, NULL, NULL, 'HRAS-LIKE SUPPRESSOR 3', 58527),
(114802, 'PTHR47361', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 58528),
(114803, 'PTHR11937:SF433', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 7', 58529),
(114804, 'PTHR23138:SF140', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP50B-LIKE', 58530),
(114805, 'PTHR12669:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58531),
(114806, 'PTHR11132:SF339', NULL, NULL, NULL, NULL, 'OS02G0154600 PROTEIN', 58532),
(114807, 'PTHR23220:SF23', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-2', 58533),
(114808, 'PTHR11787:SF9', NULL, NULL, NULL, NULL, 'RAB PROTEINS GERANYLGERANYLTRANSFERASE COMPONENT A 2', 58534),
(114809, 'PTHR14754:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 7', 58535),
(114810, 'PTHR31418:SF2', NULL, NULL, NULL, NULL, 'FATTY ACID/RETINOL BINDING PROTEIN', 58536),
(114811, 'PTHR47996:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DUO1', 58537),
(114812, 'PTHR46277', NULL, NULL, NULL, NULL, 'OS03G0850700 PROTEIN', 58538),
(114813, 'PTHR12312', NULL, NULL, NULL, NULL, 'TWISTED GASTRULATION PROTEIN HOMOLOG 1-A-RELATED', 58539),
(114814, 'PTHR11963:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58540),
(114815, 'PTHR45889:SF2', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE 1', 58541),
(114816, 'PTHR28242:SF54', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 3', 58542),
(114817, 'PTHR11679:SF82', NULL, NULL, NULL, NULL, 'SEC1 FAMILY TRANSPORT PROTEIN SLY1-LIKE', 58543),
(114818, 'PTHR11709:SF360', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', 58544),
(114819, 'PTHR36617:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 58545),
(114820, 'PTHR23113:SF157', NULL, NULL, NULL, NULL, 'RAS GUANYL-RELEASING PROTEIN 4', 58546),
(114821, 'PTHR23309:SF36', NULL, NULL, NULL, NULL, 'PEROXISOMAL FATTY ACID BETA-OXIDATION MULTIFUNCTIONAL PROTEIN AIM1', 58547),
(114822, 'PTHR23021:SF38', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 58548),
(114823, 'PTHR10133:SF40', NULL, NULL, NULL, NULL, 'DNA POLYMERASE I PROTEIN B, PUTATIVE-RELATED', 58549),
(114824, 'PTHR11662:SF284', NULL, NULL, NULL, NULL, 'SMALL INTESTINE URATE EXPORTER-RELATED', 58550),
(114825, 'PTHR13609:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58551),
(114826, 'PTHR46183:SF16', NULL, NULL, NULL, NULL, 'PROTEIN PHOX3', 58552),
(114827, 'PTHR33713:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 58553),
(114828, 'PTHR35123', NULL, NULL, NULL, NULL, 'OS07G0633900 PROTEIN-RELATED', 58554),
(114829, 'PTHR23020:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG00800', 58555),
(114830, 'PTHR10174:SF222', NULL, NULL, NULL, NULL, 'GH10083P-RELATED', 58556),
(114831, 'PTHR45959:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58557),
(114832, 'PTHR31728:SF1', NULL, NULL, NULL, NULL, 'BRISC COMPLEX SUBUNIT ABRAXAS 2', 58558),
(114833, 'PTHR10684', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR', 58559),
(114834, 'PTHR11615:SF329', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 5', 58560),
(114835, 'PTHR23291:SF74', NULL, NULL, NULL, NULL, 'FAS APOPTOTIC INHIBITORY MOLECULE 2B', 58561);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(114836, 'PTHR14657', NULL, NULL, NULL, NULL, 'IGF-LIKE FAMILY RECEPTOR 1', 58562),
(114837, 'PTHR23503:SF51', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 1', 58563),
(114838, 'PTHR21593:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG23956', 58564),
(114839, 'PTHR31471:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58565),
(114840, 'PTHR44227', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 58566),
(114841, 'PTHR31499:SF58', NULL, NULL, NULL, NULL, 'OS08G0346400 PROTEIN', 58567),
(114842, 'PTHR26379:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58568),
(114843, 'PTHR26452:SF201', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 58569),
(114844, 'PTHR15387:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 17', 58570),
(114845, 'PTHR18916', NULL, NULL, NULL, NULL, 'DYNACTIN 1-RELATED MICROTUBULE-BINDING', 58571),
(114846, 'PTHR43506', NULL, NULL, NULL, NULL, 'BIOTIN/LIPOATE A/B PROTEIN LIGASE FAMILY', 58572),
(114847, 'PTHR47997:SF12', NULL, NULL, NULL, NULL, 'BNAC08G42690D PROTEIN', 58573),
(114848, 'PTHR10672:SF21', NULL, NULL, NULL, NULL, 'CLASS II ALDOLASE/ADDUCIN N-TERMINAL', 58574),
(114849, 'PTHR34194:SF2', NULL, NULL, NULL, NULL, 'F14J8.16 PROTEIN', 58575),
(114850, 'PTHR33426:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58576),
(114851, 'PTHR46020:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58577),
(114852, 'PTHR24281:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58578),
(114853, 'PTHR23267:SF421', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-16', 58579),
(114854, 'PTHR45088:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0022H21.17 PROTEIN', 58580),
(114855, 'PTHR36451:SF1', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', 58581),
(114856, 'PTHR10492:SF58', NULL, NULL, NULL, NULL, 'HELICASE', 58582),
(114857, 'PTHR12363:SF33', NULL, NULL, NULL, NULL, 'IMPORTIN-13', 58583),
(114858, 'PTHR11771:SF146', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 58584),
(114859, 'PTHR24286:SF283', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE-LIKE', 58585),
(114860, 'PTHR45730:SF28', NULL, NULL, NULL, NULL, 'OS02G0182300 PROTEIN', 58586),
(114861, 'PTHR33545:SF4', NULL, NULL, NULL, NULL, 'UPF0750 MEMBRANE PROTEIN YXKD', 58587),
(114862, 'PTHR42919:SF22', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1', 58588),
(114863, 'PTHR33138:SF56', NULL, NULL, NULL, NULL, 'OS01G0137282 PROTEIN', 58589),
(114864, 'PTHR31331:SF7', NULL, NULL, NULL, NULL, 'LCCL DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G02970)', 58590),
(114865, 'PTHR27007:SF329', NULL, NULL, NULL, NULL, 'BNAA03G17380D PROTEIN', 58591),
(114866, 'PTHR12081:SF82', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2FB', 58592),
(114867, 'PTHR31463:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58593),
(114868, 'PTHR22950:SF653', NULL, NULL, NULL, NULL, 'BNAC06G12470D PROTEIN', 58594),
(114869, 'PTHR48248:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58595),
(114870, 'PTHR37329:SF1', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SOS7', 58596),
(114871, 'PTHR19963:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG21716', 58597),
(114872, 'PTHR48063:SF26', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 58598),
(114873, 'PTHR28554:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L45, MITOCHONDRIAL', 58599),
(114874, 'PTHR47223', NULL, NULL, NULL, NULL, 'SPERM ACROSOME MEMBRANE-ASSOCIATED PROTEIN 1', 58600),
(114875, 'PTHR26451:SF61', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1K1', 58601),
(114876, 'PTHR38116:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 58602),
(114877, 'PTHR11824:SF9', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT BETA-2', 58603),
(114878, 'PTHR22937:SF154', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN, PUTATIVE-RELATED', 58604),
(114879, 'PTHR11736:SF35', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B5', 58605),
(114880, 'PTHR35365:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58606),
(114881, 'PTHR23291:SF77', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, N-METHYL D-ASPARTATE-ASSOCIATED PROTEIN 1B (GLUTAMATE-BINDING)', 58607);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(114882, 'PTHR13370:SF24', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 58608),
(114883, 'PTHR10489:SF671', NULL, NULL, NULL, NULL, 'C-X-C CHEMOKINE RECEPTOR TYPE 3', 58609),
(114884, 'PTHR45706:SF6', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 14', 58610),
(114885, 'PTHR23315:SF297', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 58611),
(114886, 'PTHR11987', NULL, NULL, NULL, NULL, 'ALPHA-2,8-SIALYLTRANSFERASE', 58612),
(114887, 'PTHR45658:SF59', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 4', 58613),
(114888, 'PTHR10739:SF19', NULL, NULL, NULL, NULL, 'CHOLINE-PHOSPHATE CYTIDYLYLTRANSFERASE A', 58614),
(114889, 'PTHR48027:SF8', NULL, NULL, NULL, NULL, 'OS10G0321700 PROTEIN', 58615),
(114890, 'PTHR31388:SF19', NULL, NULL, NULL, NULL, 'OS06G0521900 PROTEIN', 58616),
(114891, 'PTHR24343:SF458', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIM-1/2/3-RELATED', 58617),
(114892, 'PTHR21643:SF3', NULL, NULL, NULL, NULL, 'AEX-2 RELATED NEUROPEPTIDE RECEPTOR', 58618),
(114893, 'PTHR24406:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER X-CHROMOSOMAL PROTEIN', 58619),
(114894, 'PTHR47933:SF14', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', 58620),
(114895, 'PTHR32208:SF54', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE GLOX-LIKE', 58621),
(114896, 'PTHR10972:SF152', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 7', 58622),
(114897, 'PTHR43173:SF3', NULL, NULL, NULL, NULL, 'ABC1 FAMILY PROTEIN', 58623),
(114898, 'PTHR31903:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58624),
(114899, 'PTHR31636:SF210', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL1-LIKE', 58625),
(114900, 'PTHR11132:SF417', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', 58626),
(114901, 'PTHR48011:SF31', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 58627),
(114902, 'PTHR45752:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 69', 58628),
(114903, 'PTHR31218:SF243', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 58629),
(114904, 'PTHR13690:SF86', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER (BZIP) TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', 58630),
(114905, 'PTHR12215:SF22', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 58631),
(114906, 'PTHR11629:SF73', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 58632),
(114907, 'PTHR11849:SF188', NULL, NULL, NULL, NULL, 'PROTEIN C-ETS-2', 58633),
(114908, 'PTHR45952:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58634),
(114909, 'PTHR33044:SF17', NULL, NULL, NULL, NULL, 'OS03G0664600 PROTEIN', 58635),
(114910, 'PTHR11465:SF9', NULL, NULL, NULL, NULL, 'CATALASE', 58636),
(114911, 'PTHR31314:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58637),
(114912, 'PTHR46908:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58638),
(114913, 'PTHR48002:SF103', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4M1-RELATED', 58639),
(114914, 'PTHR24414:SF130', NULL, NULL, NULL, NULL, 'BNAC03G75770D PROTEIN', 58640),
(114915, 'PTHR31221:SF115', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 45-RELATED', 58641),
(114916, 'PTHR48006:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58642),
(114917, 'PTHR11669:SF60', NULL, NULL, NULL, NULL, 'BNAC09G18610D PROTEIN', 58643),
(114918, 'PTHR33347:SF37', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FHKB-RELATED', 58644),
(114919, 'PTHR38082', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 58645),
(114920, 'PTHR13593:SF106', NULL, NULL, NULL, NULL, 'BNAANNG15340D PROTEIN', 58646),
(114921, 'PTHR24228:SF13', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR NPR-29-RELATED', 58647),
(114922, 'PTHR13049', NULL, NULL, NULL, NULL, 'DUF814-RELATED', 58648),
(114923, 'PTHR31553:SF3', NULL, NULL, NULL, NULL, 'NF-KAPPA-B ESSENTIAL MODULATOR', 58649),
(114924, 'PTHR34755:SF3', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 2', 58650),
(114925, 'PTHR22792:SF54', NULL, NULL, NULL, NULL, 'OS08G0542900 PROTEIN', 58651),
(114926, 'PTHR33095:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58652);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(114927, 'PTHR34284:SF1', NULL, NULL, NULL, NULL, 'FG-GAP REPEAT-CONTAINING PROTEIN', 58653),
(114928, 'PTHR43340:SF8', NULL, NULL, NULL, NULL, 'HYPOXANTHINE PHOSPHORIBOSYLTRANSFERASE', 58654),
(114929, 'PTHR48011:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58655),
(114930, 'PTHR48047:SF93', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73D1', 58656),
(114931, 'PTHR12629:SF55', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE-LIKE PROTEIN', 58657),
(114932, 'PTHR14889:SF3', NULL, NULL, NULL, NULL, 'RCG36411', 58658),
(114933, 'PTHR43734:SF4', NULL, NULL, NULL, NULL, 'UDP-GALACTOPYRANOSE MUTASE', 58659),
(114934, 'PTHR15682', NULL, NULL, NULL, NULL, 'UNHEALTHY RIBOSOME BIOGENESIS PROTEIN 2 HOMOLOG', 58660),
(114935, 'PTHR10876:SF4', NULL, NULL, NULL, NULL, 'BNAA08G07440D PROTEIN', 58661),
(114936, 'PTHR45586:SF10', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING PROTEIN YVCD', 58662),
(114937, 'PTHR10015:SF294', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-7A-LIKE', 58663),
(114938, 'PTHR16089:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 541', 58664),
(114939, 'PTHR12197:SF251', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SMYD3', 58665),
(114940, 'PTHR24073:SF997', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABC', 58666),
(114941, 'PTHR24123:SF117', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN PUTATIVE-RELATED', 58667),
(114942, 'PTHR43900:SF69', NULL, NULL, NULL, NULL, 'OS09G0544400 PROTEIN', 58668),
(114943, 'PTHR46929:SF4', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 58669),
(114944, 'PTHR45941:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58670),
(114945, 'PTHR31009:SF53', NULL, NULL, NULL, NULL, 'SALICYLATE/BENZOATE CARBOXYL METHYLTRANSFERASE-LIKE', 58671),
(114946, 'PTHR15191:SF1', NULL, NULL, NULL, NULL, 'PITUITARY TUMOR-TRANSFORMING 1-INTERACTING PROTEIN, GENE 2', 58672),
(114947, 'PTHR47084', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE SMALL SUBUNIT A', 58673),
(114948, 'PTHR22765:SF135', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL6', 58674),
(114949, 'PTHR27009:SF237', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.1', 58675),
(114950, 'PTHR40629:SF1', NULL, NULL, NULL, NULL, 'PRO41 PROTEIN', 58676),
(114951, 'PTHR31321:SF79', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 58677),
(114952, 'PTHR34533', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN CCDC163', 58678),
(114953, 'PTHR11987:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58679),
(114954, 'PTHR24073:SF1154', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1E', 58680),
(114955, 'PTHR10209:SF726', NULL, NULL, NULL, NULL, 'OS07G0169600 PROTEIN', 58681),
(114956, 'PTHR12652:SF10', NULL, NULL, NULL, NULL, 'PEROXIN 11', 58682),
(114957, 'PTHR44042:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58683),
(114958, 'PTHR33272:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG11525', 58684),
(114959, 'PTHR45718:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GLIS3', 58685),
(114960, 'PTHR24073:SF1141', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RHN1', 58686),
(114961, 'PTHR11931:SF29', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE 1, HISTIDINE PHOSPHATASE SUPERFAMILY-RELATED', 58687),
(114962, 'PTHR12042:SF21', NULL, NULL, NULL, NULL, 'ALPHA4GT1-RELATED', 58688),
(114963, 'PTHR24377:SF644', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 813', 58689),
(114964, 'PTHR48007:SF7', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 58690),
(114965, 'PTHR32522:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58691),
(114966, 'PTHR31176', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 58692),
(114967, 'PTHR45645:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58693),
(114968, 'PTHR35735:SF9', NULL, NULL, NULL, NULL, 'BNAA02G25150D PROTEIN', 58694),
(114969, 'PTHR31675:SF36', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 4-LIKE', 58695),
(114970, 'PTHR43154', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00940)-RELATED', 58696),
(114971, 'PTHR47942:SF36', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 58697);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(114972, 'PTHR28035:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 10', 58698),
(114973, 'PTHR46324:SF20', NULL, NULL, NULL, NULL, 'BZIP PROTEIN', 58699),
(114974, 'PTHR33405:SF7', NULL, NULL, NULL, NULL, 'PROTEIN FLX-LIKE 1', 58700),
(114975, 'PTHR31669:SF213', NULL, NULL, NULL, NULL, 'FAR1 FAMILY PROTEIN, EXPRESSED', 58701),
(114976, 'PTHR38605', NULL, NULL, NULL, NULL, 'ATPASE-RELATED', 58702),
(114977, 'PTHR15583:SF14', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR D', 58703),
(114978, 'PTHR40021', NULL, NULL, NULL, NULL, 'DEFECT AT LOW TEMPERATURE PROTEIN 1', 58704),
(114979, 'PTHR26450:SF126', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 58705),
(114980, 'PTHR11811:SF50', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING', 58706),
(114981, 'PTHR43884:SF31', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE/OXIDASE-RELATED', 58707),
(114982, 'PTHR11709:SF327', NULL, NULL, NULL, NULL, 'LACCASE', 58708),
(114983, 'PTHR31071:SF48', NULL, NULL, NULL, NULL, 'OSJNBA0053K19.22 PROTEIN', 58709),
(114984, 'PTHR23105:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L7A', 58710),
(114985, 'PTHR48092:SF3', NULL, NULL, NULL, NULL, 'VITAMIN D3 RECEPTOR', 58711),
(114986, 'PTHR33411:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58712),
(114987, 'PTHR11849:SF31', NULL, NULL, NULL, NULL, 'ETS DOMAIN-CONTAINING TRANSCRIPTION FACTOR ERF', 58713),
(114988, 'PTHR12197:SF283', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', 58714),
(114989, 'PTHR10849:SF32', NULL, NULL, NULL, NULL, 'ALPHA-HELICAL FERREDOXIN-RELATED', 58715),
(114990, 'PTHR31860:SF6', NULL, NULL, NULL, NULL, 'HEAT-INDUCIBLE TRANSCRIPTION REPRESSOR (DUF639)', 58716),
(114991, 'PTHR24039:SF37', NULL, NULL, NULL, NULL, 'PROTEIN CBG17988', 58717),
(114992, 'PTHR48007:SF30', NULL, NULL, NULL, NULL, 'BNAA06G19280D PROTEIN', 58718),
(114993, 'PTHR11802:SF318', NULL, NULL, NULL, NULL, 'PEPTIDASE S10, SERINE CARBOXYPEPTIDASE, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 58719),
(114994, 'PTHR10315:SF110', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 58720),
(114995, 'PTHR34956:SF4', NULL, NULL, NULL, NULL, 'BNAC03G34540D PROTEIN', 58721),
(114996, 'PTHR13068:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58722),
(114997, 'PTHR47979:SF29', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1F-LIKE', 58723),
(114998, 'PTHR10353:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58724),
(114999, 'PTHR19282:SF426', NULL, NULL, NULL, NULL, 'TETRASPANIN-32', 58725),
(115000, 'PTHR11945:SF648', NULL, NULL, NULL, NULL, 'BOX PROTEIN, PUTATIVE-RELATED', 58726),
(115001, 'PTHR23118:SF37', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE BETA CHAIN PROTEIN 2-LIKE', 58727),
(115002, 'PTHR11017:SF367', NULL, NULL, NULL, NULL, 'BNAC01G40280D PROTEIN', 58728),
(115003, 'PTHR27000:SF697', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', 58729),
(115004, 'PTHR21229:SF2', NULL, NULL, NULL, NULL, 'RE59932P', 58730),
(115005, 'PTHR31832:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58731),
(115006, 'PTHR48081:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58732),
(115007, 'PTHR24286:SF251', NULL, NULL, NULL, NULL, 'STEROL 14-DEMETHYLASE', 58733),
(115008, 'PTHR26453:SF19', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10D4-RELATED', 58734),
(115009, 'PTHR48020:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58735),
(115010, 'PTHR47999:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 58736),
(115011, 'PTHR48247:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58737),
(115012, 'PTHR14413:SF22', NULL, NULL, NULL, NULL, 'BNAA09G06940D PROTEIN', 58738),
(115013, 'PTHR21449', NULL, NULL, NULL, NULL, 'PROTEIN CBG05271-RELATED', 58739),
(115014, 'PTHR35748:SF1', NULL, NULL, NULL, NULL, 'OS05G0358400 PROTEIN', 58740),
(115015, 'PTHR48007:SF38', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 58741),
(115016, 'PTHR22920:SF21', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 58742);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(115017, 'PTHR27005:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58743),
(115018, 'PTHR10233:SF14', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT DELTA', 58744),
(115019, 'PTHR11890:SF19', NULL, NULL, NULL, NULL, 'SINGLE IG IL-1-RELATED RECEPTOR', 58745),
(115020, 'PTHR14389:SF3', NULL, NULL, NULL, NULL, 'SI:CH1073-475A24.1', 58746),
(115021, 'PTHR13285:SF18', NULL, NULL, NULL, NULL, 'PROTEIN-CYSTEINE N-PALMITOYLTRANSFERASE RASP', 58747),
(115022, 'PTHR15438:SF14', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX-INTERACTING PROTEIN FAMILY MEMBER A1-RELATED', 58748),
(115023, 'PTHR31568:SF103', NULL, NULL, NULL, NULL, 'BNACNNG07560D PROTEIN', 58749),
(115024, 'PTHR32227:SF322', NULL, NULL, NULL, NULL, 'BNAA05G37350D PROTEIN', 58750),
(115025, 'PTHR32285:SF42', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 37', 58751),
(115026, 'PTHR24044:SF459', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58752),
(115027, 'PTHR33784:SF20', NULL, NULL, NULL, NULL, 'BNAA04G05730D PROTEIN', 58753),
(115028, 'PTHR10263:SF60', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C2', 58754),
(115029, 'PTHR31008:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58755),
(115030, 'PTHR23226:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58756),
(115031, 'PTHR10956:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L31', 58757),
(115032, 'PTHR21646:SF12', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 16', 58758),
(115033, 'PTHR10589:SF41', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 58759),
(115034, 'PTHR11601:SF36', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURASE NIFS-RELATED', 58760),
(115035, 'PTHR31875:SF34', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 2', 58761),
(115036, 'PTHR35170', NULL, NULL, NULL, NULL, 'PROTEIN DD3-3', 58762),
(115037, 'PTHR11802:SF25', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE 24', 58763),
(115038, 'PTHR12878:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', 58764),
(115039, 'PTHR43105:SF4', NULL, NULL, NULL, NULL, 'PROTEIN YDEP', 58765),
(115040, 'PTHR34560:SF7', NULL, NULL, NULL, NULL, 'BNAA03G55370D PROTEIN', 58766),
(115041, 'PTHR24377:SF409', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 860', 58767),
(115042, 'PTHR23167:SF18', NULL, NULL, NULL, NULL, 'CYTOSPIN-A', 58768),
(115043, 'PTHR22504', NULL, NULL, NULL, NULL, 'REPRESSOR OF RNA POLYMERASE III TRANSCRIPTION MAF1', 58769),
(115044, 'PTHR11911:SF125', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE', 58770),
(115045, 'PTHR33326:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 58771),
(115046, 'PTHR32116:SF67', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 14-RELATED', 58772),
(115047, 'PTHR47040', NULL, NULL, NULL, NULL, 'OSJNBA0068L06.9 PROTEIN', 58773),
(115048, 'PTHR36918:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-EXPORT PROTEIN SECB', 58774),
(115049, 'PTHR12385:SF56', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN 1', 58775),
(115050, 'PTHR24223:SF343', NULL, NULL, NULL, NULL, 'CYSTIC FIBROSIS TRANSMEMBRANE CONDUCTANCE REGULATOR HOMOLOG', 58776),
(115051, 'PTHR27006:SF402', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 58777),
(115052, 'PTHR27002:SF561', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58778),
(115053, 'PTHR47982:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58779),
(115054, 'PTHR22957:SF359', NULL, NULL, NULL, NULL, 'GROWTH HORMONE-REGULATED TBC PROTEIN 1', 58780),
(115055, 'PTHR48014:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BLUS1', 58781),
(115056, 'PTHR11003:SF138', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 3', 58782),
(115057, 'PTHR44147:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 58783),
(115058, 'PTHR34976:SF2', NULL, NULL, NULL, NULL, 'RIBONUCLEASE YQCG', 58784),
(115059, 'PTHR31509:SF81', NULL, NULL, NULL, NULL, 'PLANT/F1M20-13 PROTEIN', 58785),
(115060, 'PTHR11792:SF19', NULL, NULL, NULL, NULL, 'ARRESTIN-C', 58786),
(115061, 'PTHR45700:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL6', 58787);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(115062, 'PTHR32054:SF34', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 58788),
(115063, 'PTHR10106:SF44', NULL, NULL, NULL, NULL, 'CYTOCHROME B561/FERRIC REDUCTASE TRANSMEMBRANE-RELATED', 58789),
(115064, 'PTHR31374:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58790),
(115065, 'PTHR32444:SF132', NULL, NULL, NULL, NULL, 'BULB-TYPE LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', 58791),
(115066, 'PTHR35849', NULL, NULL, NULL, NULL, 'BLR2341 PROTEIN', 58792),
(115067, 'PTHR23244:SF452', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58793),
(115068, 'PTHR31463', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 58794),
(115069, 'PTHR24015:SF1695', NULL, NULL, NULL, NULL, 'OS06G0185800 PROTEIN', 58795),
(115070, 'PTHR13832:SF757', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58796),
(115071, 'PTHR13140:SF748', NULL, NULL, NULL, NULL, 'P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', 58797),
(115072, 'PTHR34835:SF44', NULL, NULL, NULL, NULL, 'OS02G0622900 PROTEIN', 58798),
(115073, 'PTHR11955:SF135', NULL, NULL, NULL, NULL, 'FATTY ACID BINDING PROTEIN, ISOFORM C', 58799),
(115074, 'PTHR45878:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP6', 58800),
(115075, 'PTHR33982:SF6', NULL, NULL, NULL, NULL, 'BNAA09G55760D PROTEIN', 58801),
(115076, 'PTHR13516:SF16', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P25-LIKE PROTEIN', 58802),
(115077, 'PTHR24020:SF66', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE, RECEPTOR TYPE B', 58803),
(115078, 'PTHR47926:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58804),
(115079, 'PTHR11749:SF14', NULL, NULL, NULL, NULL, 'RIBULOSE-PHOSPHATE 3-EPIMERASE, CHLOROPLASTIC ISOFORM X1', 58805),
(115080, 'PTHR13382:SF18', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 17-LIKE ISOFORM X1', 58806),
(115081, 'PTHR34396:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58807),
(115082, 'PTHR46197:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ABHD14B', 58808),
(115083, 'PTHR43865:SF1', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN-RELATED', 58809),
(115084, 'PTHR34274:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 58810),
(115085, 'PTHR48002:SF71', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 58811),
(115086, 'PTHR10438:SF230', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 8', 58812),
(115087, 'PTHR31642:SF260', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-LIKE', 58813),
(115088, 'PTHR46506:SF1', NULL, NULL, NULL, NULL, 'OS11G0165700 PROTEIN', 58814),
(115089, 'PTHR45752:SF63', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 3', 58815),
(115090, 'PTHR11706:SF47', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP4', 58816),
(115091, 'PTHR10418:SF2', NULL, NULL, NULL, NULL, 'SECURIN', 58817),
(115092, 'PTHR23504', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 10', 58818),
(115093, 'PTHR31650:SF55', NULL, NULL, NULL, NULL, 'BNAUNNG02180D PROTEIN', 58819),
(115094, 'PTHR33829', NULL, NULL, NULL, NULL, 'OSJNBA0044M19.10 PROTEIN', 58820),
(115095, 'PTHR43874:SF39', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR10', 58821),
(115096, 'PTHR30231:SF35', NULL, NULL, NULL, NULL, 'PROTEIN NEN1-LIKE ISOFORM X1', 58822),
(115097, 'PTHR24286:SF204', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 702, SUBFAMILY A, POLYPEPTIDE 8', 58823),
(115098, 'PTHR36939:SF6', NULL, NULL, NULL, NULL, 'DOWNSTREAM OF DAF-NINETEEN', 58824),
(115099, 'PTHR48016:SF24', NULL, NULL, NULL, NULL, 'RHO-ASSOCIATED PROTEIN KINASE 1/2-RELATED', 58825),
(115100, 'PTHR11177:SF82', NULL, NULL, NULL, NULL, 'CHITINASE-3-LIKE PROTEIN 2', 58826),
(115101, 'PTHR12002:SF93', NULL, NULL, NULL, NULL, 'CLAUDIN 34C1-RELATED', 58827),
(115102, 'PTHR43213', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DTTP/UTP PYROPHOSPHATASE/METHYLTRANSFERASE PROTEIN-RELATED', 58828),
(115103, 'PTHR31625:SF49', NULL, NULL, NULL, NULL, 'OS02G0820400 PROTEIN', 58829),
(115104, 'PTHR45974:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58830),
(115105, 'PTHR31713:SF60', NULL, NULL, NULL, NULL, 'BNACNNG22620D PROTEIN', 58831);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(115106, 'PTHR10796:SF130', NULL, NULL, NULL, NULL, 'PATCHED DOMAIN-CONTAINING PROTEIN 3-LIKE PROTEIN', 58832),
(115107, 'PTHR23291:SF78', NULL, NULL, NULL, NULL, 'FAS APOPTOTIC INHIBITORY MOLECULE 2A', 58833),
(115108, 'PTHR47816:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE C', 58834),
(115109, 'PTHR33228:SF43', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 2-LIKE', 58835),
(115110, 'PTHR24416:SF18', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 3', 58836),
(115111, 'PTHR11017:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58837),
(115112, 'PTHR36539', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTN', 58838),
(115113, 'PTHR11913:SF12', NULL, NULL, NULL, NULL, 'COFILIN/ACTIN-DEPOLYMERIZING FACTOR HOMOLOG-RELATED', 58839),
(115114, 'PTHR47429:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TWIN LOV 1', 58840),
(115115, 'PTHR11599:SF16', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-2', 58841),
(115116, 'PTHR22792:SF122', NULL, NULL, NULL, NULL, 'PROTEIN SLF1', 58842),
(115117, 'PTHR46560:SF11', NULL, NULL, NULL, NULL, 'GH09980P', 58843),
(115118, 'PTHR33700:SF3', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE', 58844),
(115119, 'PTHR32411:SF54', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 30-RELATED', 58845),
(115120, 'PTHR21240:SF19', NULL, NULL, NULL, NULL, 'CATALYTIC/ HYDROLASE', 58846),
(115121, 'PTHR31235:SF246', NULL, NULL, NULL, NULL, 'PEROXIDASE', 58847),
(115122, 'PTHR37515:SF2', NULL, NULL, NULL, NULL, 'YALI0C09240P', 58848),
(115123, 'PTHR10739:SF50', NULL, NULL, NULL, NULL, 'PHOSPHORYLCHOLINE CYTIDYLYLTRANSFERASE-RELATED', 58849),
(115124, 'PTHR33107:SF46', NULL, NULL, NULL, NULL, 'BNAUNNG02310D PROTEIN', 58850),
(115125, 'PTHR15703:SF3', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4931406P16 GENE', 58851),
(115126, 'PTHR33074:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58852),
(115127, 'PTHR31009:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58853),
(115128, 'PTHR21974:SF2', NULL, NULL, NULL, NULL, 'RE15880P', 58854),
(115129, 'PTHR24346:SF47', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SIK2', 58855),
(115130, 'PTHR10811:SF60', NULL, NULL, NULL, NULL, 'BNAC06G42360D PROTEIN', 58856),
(115131, 'PTHR46024', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EGGLESS', 58857),
(115132, 'PTHR46836:SF1', NULL, NULL, NULL, NULL, 'OS05G0116700 PROTEIN', 58858),
(115133, 'PTHR15241:SF337', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SR45A', 58859),
(115134, 'PTHR11165:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58860),
(115135, 'PTHR31707:SF183', NULL, NULL, NULL, NULL, 'PECTINESTERASE 30-RELATED', 58861),
(115136, 'PTHR31069:SF22', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 58862),
(115137, 'PTHR21345:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SPIRE', 58863),
(115138, 'PTHR10953:SF4', NULL, NULL, NULL, NULL, 'GH24511P', 58864),
(115139, 'PTHR30435:SF31', NULL, NULL, NULL, NULL, 'FLAGELLAR BASAL BODY PROTEIN', 58865),
(115140, 'PTHR43166', NULL, NULL, NULL, NULL, 'AMINO ACID IMPORT ATP-BINDING PROTEIN', 58866),
(115141, 'PTHR24379:SF90', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 709', 58867),
(115142, 'PTHR24282:SF177', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 58868),
(115143, 'PTHR33432', NULL, NULL, NULL, NULL, 'PROTEIN EMSY-LIKE 4', 58869),
(115144, 'PTHR27000:SF676', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 58870),
(115145, 'PTHR34649', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 99', 58871),
(115146, 'PTHR31286:SF83', NULL, NULL, NULL, NULL, 'BNAA10G03650D PROTEIN', 58872),
(115147, 'PTHR33676:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58873),
(115148, 'PTHR45798:SF45', NULL, NULL, NULL, NULL, 'BNAA07G02620D PROTEIN', 58874),
(115149, 'PTHR21017:SF19', NULL, NULL, NULL, NULL, 'NIPSNAP HOMOLOG 3A (C. ELEGANS)', 58875),
(115150, 'PTHR37810', NULL, NULL, NULL, NULL, 'IMMUNITY PROTEIN SDPI', 58876),
(115151, 'PTHR13362', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN S33', 58877);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(115152, 'PTHR48002:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58878),
(115153, 'PTHR14596:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58879),
(115154, 'PTHR35762:SF5', NULL, NULL, NULL, NULL, 'MYELIN TRANSCRIPTION FACTOR 1-LIKE', 58880),
(115155, 'PTHR39163:SF1', NULL, NULL, NULL, NULL, 'FERREDOXIN', 58881),
(115156, 'PTHR32439:SF7', NULL, NULL, NULL, NULL, 'BNAA07G04150D PROTEIN', 58882),
(115157, 'PTHR33527:SF27', NULL, NULL, NULL, NULL, 'BNAA05G12810D PROTEIN', 58883),
(115158, 'PTHR45626:SF34', NULL, NULL, NULL, NULL, 'HELICASE-LIKE TRANSCRIPTION FACTOR CHR27-RELATED', 58884),
(115159, 'PTHR11654:SF437', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.12', 58885),
(115160, 'PTHR15683:SF4', NULL, NULL, NULL, NULL, 'SCAFFOLD ATTACHMENT FACTOR B2', 58886),
(115161, 'PTHR11945:SF670', NULL, NULL, NULL, NULL, 'BNAC09G50730D PROTEIN', 58887),
(115162, 'PTHR11875:SF128', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1,1-RELATED', 58888),
(115163, 'PTHR11878:SF66', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 8 MEMBER 2A', 58889),
(115164, 'PTHR11926:SF1367', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 58890),
(115165, 'PTHR24409:SF386', NULL, NULL, NULL, NULL, 'WORNIU', 58891),
(115166, 'PTHR43341:SF18', NULL, NULL, NULL, NULL, 'PROLINE-SPECIFIC PERMEASE', 58892),
(115167, 'PTHR11615:SF279', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4A1', 58893),
(115168, 'PTHR46224:SF19', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 58894),
(115169, 'PTHR12295:SF33', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', 58895),
(115170, 'PTHR22621:SF29', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 58896),
(115171, 'PTHR22913:SF6', NULL, NULL, NULL, NULL, 'HYALURONAN SYNTHASE 3', 58897),
(115172, 'PTHR11699:SF285', NULL, NULL, NULL, NULL, 'OS01G0591300 PROTEIN', 58898),
(115173, 'PTHR24055:SF335', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 58899),
(115174, 'PTHR43161:SF13', NULL, NULL, NULL, NULL, 'L-ARABINITOL 4-DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_1G11020)', 58900),
(115175, 'PTHR31338:SF20', NULL, NULL, NULL, NULL, 'BNAA01G13350D PROTEIN', 58901),
(115176, 'PTHR12221:SF8', NULL, NULL, NULL, NULL, 'PESCADILLO HOMOLOG', 58902),
(115177, 'PTHR11346:SF32', NULL, NULL, NULL, NULL, 'GALECTIN-4', 58903),
(115178, 'PTHR21477:SF31', NULL, NULL, NULL, NULL, 'BNAC07G31540D PROTEIN', 58904),
(115179, 'PTHR48048:SF20', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 58905),
(115180, 'PTHR45842:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEATS AND IMMUNOGLOBULIN-LIKE DOMAINS 3', 58906),
(115181, 'PTHR34835:SF36', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 58907),
(115182, 'PTHR12411:SF704', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58908),
(115183, 'PTHR10984:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58909),
(115184, 'PTHR31558:SF17', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF1336)-RELATED', 58910),
(115185, 'PTHR30438:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 58911),
(115186, 'PTHR31307:SF55', NULL, NULL, NULL, NULL, 'MADF DOMAIN, MYB-LIKE DOMAIN PROTEIN-RELATED', 58912),
(115187, 'PTHR12917:SF13', NULL, NULL, NULL, NULL, 'PROTEIN DDI1 HOMOLOG 2', 58913),
(115188, 'PTHR10177:SF400', NULL, NULL, NULL, NULL, 'CYCLIN-D5-1', 58914),
(115189, 'PTHR23081:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58915),
(115190, 'PTHR33305:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58916),
(115191, 'PTHR10687:SF72', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 5', 58917),
(115192, 'PTHR10809:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58918),
(115193, 'PTHR33059', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 5', 58919),
(115194, 'PTHR47364:SF24', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 5-LIKE', 58920),
(115195, 'PTHR43270', NULL, NULL, NULL, NULL, 'BETA-ALA-HIS DIPEPTIDASE', 58921),
(115196, 'PTHR37017:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58922),
(115197, 'PTHR12345:SF14', NULL, NULL, NULL, NULL, 'AMYLOID-BETA A4 PRECURSOR PROTEIN-BINDING FAMILY A MEMBER 1', 58923);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(115198, 'PTHR10252:SF117', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-9', 58924),
(115199, 'PTHR10037', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED CATION CHANNEL  CALCIUM AND SODIUM', 58925),
(115200, 'PTHR19229:SF103', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY A (ABC1), MEMBER 15', 58926),
(115201, 'PTHR33700:SF22', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 58927),
(115202, 'PTHR31286:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58928),
(115203, 'PTHR44083:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TOPLESS-RELATED PROTEIN 2', 58929),
(115204, 'PTHR44329:SF193', NULL, NULL, NULL, NULL, 'RAF HOMOLOG SERINE/THREONINE-PROTEIN KINASE RAF', 58930),
(115205, 'PTHR47992:SF11', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 33-RELATED', 58931),
(115206, 'PTHR11119:SF96', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 4', 58932),
(115207, 'PTHR34395', NULL, NULL, NULL, NULL, 'OS11G0427500 PROTEIN', 58933),
(115208, 'PTHR12210:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58934),
(115209, 'PTHR31699:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58935),
(115210, 'PTHR44468:SF4', NULL, NULL, NULL, NULL, 'CAR-LIKE SOLUBLE PROTEIN', 58936),
(115211, 'PTHR45125', NULL, NULL, NULL, NULL, 'F21J9.4-RELATED', 58937),
(115212, 'PTHR34397:SF23', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 58938),
(115213, 'PTHR23093', NULL, NULL, NULL, NULL, 'SIMILAR TO CHROMOSOME 3 OPEN READING FRAME 20', 58939),
(115214, 'PTHR24235:SF10', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR TYPE 5', 58940),
(115215, 'PTHR44137:SF30', NULL, NULL, NULL, NULL, 'OS10G0188200 PROTEIN', 58941),
(115216, 'PTHR27002:SF698', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 38', 58942),
(115217, 'PTHR33076:SF97', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 58943),
(115218, 'PTHR43549', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN YPNP-RELATED', 58944),
(115219, 'PTHR16151', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 58945),
(115220, 'PTHR21700:SF26', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 58946),
(115221, 'PTHR31225:SF50', NULL, NULL, NULL, NULL, 'GERMACRENE A SYNTHASE 1-RELATED', 58947),
(115222, 'PTHR24281:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58948),
(115223, 'PTHR46684:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58949),
(115224, 'PTHR30508', NULL, NULL, NULL, NULL, 'FES CLUSTER ASSEMBLY PROTEIN SUF', 58950),
(115225, 'PTHR47104:SF2', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', 58951),
(115226, 'PTHR31307:SF39', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASIL1', 58952),
(115227, 'PTHR10602', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 1', 58953),
(115228, 'PTHR12281:SF29', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', 58954),
(115229, 'PTHR10209:SF743', NULL, NULL, NULL, NULL, 'BNAC07G33950D PROTEIN', 58955),
(115230, 'PTHR10366:SF678', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1-LIKE', 58956),
(115231, 'PTHR43655:SF25', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 3, MITOCHONDRIAL', 58957),
(115232, 'PTHR14208', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER AND W2 DOMAIN-CONTAINING PROTEIN', 58958),
(115233, 'PTHR24092:SF152', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 11-RELATED', 58959),
(115234, 'PTHR23155:SF892', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58960),
(115235, 'PTHR33021:SF341', NULL, NULL, NULL, NULL, 'CHEMOCYANIN', 58961),
(115236, 'PTHR37196:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 58962),
(115237, 'PTHR23105:SF54', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 2', 58963),
(115238, 'PTHR13140:SF782', NULL, NULL, NULL, NULL, 'BNAA09G10180D PROTEIN', 58964),
(115239, 'PTHR11700:SF27', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S10-RELATED', 58965),
(115240, 'PTHR36953:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG17380', 58966),
(115241, 'PTHR45654:SF60', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ANTHOCYANINLESS 2-LIKE ISOFORM X1', 58967);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(115242, 'PTHR20855:SF125', NULL, NULL, NULL, NULL, 'ADIPOR/HEMOLYSIN-III-RELATED PROTEIN-RELATED', 58968),
(115243, 'PTHR10037:SF278', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 2 SUBUNIT ALPHA', 58969),
(115244, 'PTHR43539:SF61', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 58970),
(115245, 'PTHR12599:SF14', NULL, NULL, NULL, NULL, 'BNAC03G59490D PROTEIN', 58971),
(115246, 'PTHR47632:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR FRPR-1-RELATED', 58972),
(115247, 'PTHR31213:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58973),
(115248, 'PTHR31235:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58974),
(115249, 'PTHR19865:SF0', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-INTERACTING PROTEIN 2', 58975),
(115250, 'PTHR10732:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17', 58976),
(115251, 'PTHR23070:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 58977),
(115252, 'PTHR24012:SF814', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 58978),
(115253, 'PTHR45977:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) FAMILY PROTEIN-RELATED', 58979),
(115254, 'PTHR24637:SF253', NULL, NULL, NULL, NULL, 'COLLAGEN', 58980),
(115255, 'PTHR12586:SF1', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--GLYCEROL-3-PHOSPHATE 3-PHOSPHATIDYLTRANSFERASE, MITOCHONDRIAL', 58981),
(115256, 'PTHR24234:SF6', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 5', 58982),
(115257, 'PTHR11071:SF492', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP18-3-RELATED', 58983),
(115258, 'PTHR23159', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN 2', 58984),
(115259, 'PTHR33162', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATA, CHLOROPLASTIC', 58985),
(115260, 'PTHR10159:SF517', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE MPK3', 58986),
(115261, 'PTHR40101', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 58987),
(115262, 'PTHR11223:SF2', NULL, NULL, NULL, NULL, 'EXPORTIN-1', 58988),
(115263, 'PTHR20961:SF21', NULL, NULL, NULL, NULL, 'OS02G0327700 PROTEIN', 58989),
(115264, 'PTHR43829:SF7', NULL, NULL, NULL, NULL, 'AQUAPORIN-3', 58990),
(115265, 'PTHR24286:SF184', NULL, NULL, NULL, NULL, 'OS02G0323600 PROTEIN', 58991),
(115266, 'PTHR26374:SF390', NULL, NULL, NULL, NULL, 'BNAC04G15490D PROTEIN', 58992),
(115267, 'PTHR47938:SF23', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 58993),
(115268, 'PTHR11527:SF330', NULL, NULL, NULL, NULL, '18.1 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', 58994),
(115269, 'PTHR46501', NULL, NULL, NULL, NULL, 'MYOMEGALIN', 58995),
(115270, 'PTHR48022:SF37', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G09910)-RELATED', 58996),
(115271, 'PTHR33191:SF42', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 3', 58997),
(115272, 'PTHR32227:SF286', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN', 58998),
(115273, 'PTHR15117:SF2', NULL, NULL, NULL, NULL, 'ATAXIN-7', 58999),
(115274, 'PTHR24247:SF78', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10H4', 59000),
(115275, 'PTHR34364:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 59001),
(115276, 'PTHR11615:SF244', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1B2', 59002),
(115277, 'PTHR26312:SF78', NULL, NULL, NULL, NULL, 'OSJNBA0004N05.2 PROTEIN', 59003),
(115278, 'PTHR13084:SF4', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1-INTERACTING PROTEIN 1', 59004),
(115279, 'PTHR22572:SF149', NULL, NULL, NULL, NULL, 'BNAA07G31840D PROTEIN', 59005),
(115280, 'PTHR47293:SF27', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 22-RELATED', 59006),
(115281, 'PTHR11353:SF185', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT EPSILON', 59007),
(115282, 'PTHR45710:SF10', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN-LIKE RECEPTOR 2M', 59008),
(115283, 'PTHR45642:SF30', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 59009),
(115284, 'PTHR43726:SF1', NULL, NULL, NULL, NULL, '3-METHYLORNITHINE SYNTHASE', 59010),
(115285, 'PTHR13723:SF289', NULL, NULL, NULL, NULL, 'RANDOM SLUG CDNA22 PROTEIN', 59011);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(115286, 'PTHR10257:SF92', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 56 KDA REGULATORY SUBUNIT EPSILON ISOFORM', 59012),
(115287, 'PTHR10210:SF60', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYL PYROPHOSPHATE SYNTHETASE 1A-RELATED', 59013),
(115288, 'PTHR48067', NULL, NULL, NULL, NULL, 'GPI-ANCHOR TRANSAMIDASE', 59014),
(115289, 'PTHR23382:SF24', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', 59015),
(115290, 'PTHR11740:SF21', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA-2', 59016),
(115291, 'PTHR38079', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 59017),
(115292, 'PTHR18952:SF89', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 5A, MITOCHONDRIAL', 59018),
(115293, 'PTHR11132:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59019),
(115294, 'PTHR31942:SF101', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 59020),
(115295, 'PTHR47991:SF13', NULL, NULL, NULL, NULL, 'HYOSCYAMINE 6-DIOXYGENASE-LIKE', 59021),
(115296, 'PTHR46653:SF1', NULL, NULL, NULL, NULL, 'SPECIFICITY PROTEIN PHOSPHATASE, PUTATIVE-RELATED', 59022),
(115297, 'PTHR46408:SF2', NULL, NULL, NULL, NULL, 'OS12G0601800 PROTEIN', 59023),
(115298, 'PTHR31642:SF21', NULL, NULL, NULL, NULL, 'OS07G0421600 PROTEIN', 59024),
(115299, 'PTHR33861:SF3', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC COILED-COIL DOMAIN-CONTAINING PROTEIN MEIOC', 59025),
(115300, 'PTHR24287:SF1', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 59026),
(115301, 'PTHR23050:SF331', NULL, NULL, NULL, NULL, 'PROTEIN CBG14543', 59027),
(115302, 'PTHR31807', NULL, NULL, NULL, NULL, 'AUGMIN FAMILY MEMBER', 59028),
(115303, 'PTHR12138:SF115', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 59029),
(115304, 'PTHR45851:SF3', NULL, NULL, NULL, NULL, 'MYC PROTEIN', 59030),
(115305, 'PTHR31405:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PDR8-RELATED', 59031),
(115306, 'PTHR23262:SF188', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-2-RELATED', 59032),
(115307, 'PTHR22835:SF520', NULL, NULL, NULL, NULL, 'BNAA07G08280D PROTEIN', 59033),
(115308, 'PTHR21584:SF10', NULL, NULL, NULL, NULL, 'G2 AND S PHASE-EXPRESSED PROTEIN 1', 59034),
(115309, 'PTHR20957:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59035),
(115310, 'PTHR24281:SF145', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A7-LIKE', 59036),
(115311, 'PTHR23421:SF154', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 59037),
(115312, 'PTHR23226:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59038),
(115313, 'PTHR11673:SF37', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-3', 59039),
(115314, 'PTHR33181:SF44', NULL, NULL, NULL, NULL, 'OSJNBA0011F23.6 PROTEIN', 59040),
(115315, 'PTHR24256:SF505', NULL, NULL, NULL, NULL, 'AGAP011910-PA', 59041),
(115316, 'PTHR43085:SF10', NULL, NULL, NULL, NULL, 'FRUCTOKINASE-LIKE 1, CHLOROPLASTIC', 59042),
(115317, 'PTHR47992:SF105', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1B', 59043),
(115318, 'PTHR23177:SF59', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 2', 59044),
(115319, 'PTHR48041:SF46', NULL, NULL, NULL, NULL, 'BNAA10G09280D PROTEIN', 59045),
(115320, 'PTHR45620:SF12', NULL, NULL, NULL, NULL, 'PITUITARY ADENYLATE CYCLASE-ACTIVATING POLYPEPTIDE TYPE I RECEPTOR', 59046),
(115321, 'PTHR16768:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-218O21.4', 59047),
(115322, 'PTHR12486:SF5', NULL, NULL, NULL, NULL, 'HISTIDINE TRIAD NUCLEOTIDE-BINDING PROTEIN 3', 59048),
(115323, 'PTHR48040:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59049),
(115324, 'PTHR27000:SF712', NULL, NULL, NULL, NULL, 'SURFACE ANTIGEN PROTEIN-RELATED', 59050),
(115325, 'PTHR46820', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD7', 59051),
(115326, 'PTHR48052:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59052),
(115327, 'PTHR46506:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59053),
(115328, 'PTHR23024:SF403', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59054),
(115329, 'PTHR38926:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59055),
(115330, 'PTHR26453:SF580', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 59056);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(115331, 'PTHR11592:SF81', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 59057),
(115332, 'PTHR43080:SF17', NULL, NULL, NULL, NULL, 'CBS DOMAIN PROTEIN', 59058),
(115333, 'PTHR22907:SF46', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 59059),
(115334, 'PTHR12185:SF16', NULL, NULL, NULL, NULL, 'SID1 TRANSMEMBRANE FAMILY MEMBER 2', 59060),
(115335, 'PTHR10335:SF6', NULL, NULL, NULL, NULL, 'RRNA/TRNA 2''-O-METHYLTRANSFERASE FIBRILLARIN-LIKE PROTEIN 1', 59061),
(115336, 'PTHR32444:SF90', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 59062),
(115337, 'PTHR43539:SF46', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 59063),
(115338, 'PTHR43614:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 59064),
(115339, 'PTHR48047:SF96', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73C2', 59065),
(115340, 'PTHR10352:SF45', NULL, NULL, NULL, NULL, 'OS05G0303700 PROTEIN', 59066),
(115341, 'PTHR35320', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT', 59067),
(115342, 'PTHR14950', NULL, NULL, NULL, NULL, 'DICER-RELATED', 59068),
(115343, 'PTHR10655:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59069),
(115344, 'PTHR33355:SF14', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE PROTEIN', 59070),
(115345, 'PTHR10353:SF213', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 45', 59071),
(115346, 'PTHR21041:SF6', NULL, NULL, NULL, NULL, 'DC-STAMP DOMAIN-CONTAINING PROTEIN 2', 59072),
(115347, 'PTHR23001:SF35', NULL, NULL, NULL, NULL, 'BNAA02G05130D PROTEIN', 59073),
(115348, 'PTHR32002:SF35', NULL, NULL, NULL, NULL, 'PROTEIN NLP6', 59074),
(115349, 'PTHR47966:SF45', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE', 59075),
(115350, 'PTHR13743:SF86', NULL, NULL, NULL, NULL, 'LYSOSOMAL-TRAFFICKING REGULATOR', 59076),
(115351, 'PTHR23077:SF63', NULL, NULL, NULL, NULL, 'ZGC:136908', 59077),
(115352, 'PTHR20883:SF19', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL DIOXYGENASE AUSE', 59078),
(115353, 'PTHR31875:SF23', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 4', 59079),
(115354, 'PTHR11673:SF13', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-2', 59080),
(115355, 'PTHR11486:SF17', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 12', 59081),
(115356, 'PTHR46912', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 13', 59082),
(115357, 'PTHR45824:SF7', NULL, NULL, NULL, NULL, 'OS05G0267800 PROTEIN', 59083),
(115358, 'PTHR21136:SF188', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 722-RELATED', 59084),
(115359, 'PTHR11808:SF81', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE (AFU_ORTHOLOGUE AFUA_7G01590)', 59085),
(115360, 'PTHR11926:SF1319', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 59086),
(115361, 'PTHR31319:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59087),
(115362, 'PTHR43825:SF3', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT', 59088),
(115363, 'PTHR34961:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59089),
(115364, 'PTHR12496', NULL, NULL, NULL, NULL, 'CGI-41 METHYLTRANSFERASE', 59090),
(115365, 'PTHR17117', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE', 59091),
(115366, 'PTHR44191:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1R1-LIKE', 59092),
(115367, 'PTHR19372:SF7', NULL, NULL, NULL, NULL, 'SULFITE OXIDASE, MITOCHONDRIAL', 59093),
(115368, 'PTHR47990:SF94', NULL, NULL, NULL, NULL, 'BNAA04G20250D PROTEIN', 59094),
(115369, 'PTHR12817:SF2', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 6A', 59095),
(115370, 'PTHR11100', NULL, NULL, NULL, NULL, 'HEREGULIN-NEUREGULIN FAMILY MEMBER', 59096),
(115371, 'PTHR30451:SF4', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE USHER PROTEIN YQIG-RELATED', 59097),
(115372, 'PTHR10177:SF207', NULL, NULL, NULL, NULL, 'CYCLIN-D2-3-RELATED', 59098),
(115373, 'PTHR11909:SF124', NULL, NULL, NULL, NULL, 'PROTEIN CBG19430', 59099),
(115374, 'PTHR45988:SF1', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY', 59100),
(115375, 'PTHR45974:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59101);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(115376, 'PTHR23167:SF59', NULL, NULL, NULL, NULL, 'MICAL-LIKE 1A-RELATED', 59102),
(115377, 'PTHR47983:SF27', NULL, NULL, NULL, NULL, 'BNAC04G48730D PROTEIN', 59103),
(115378, 'PTHR13466:SF5', NULL, NULL, NULL, NULL, 'MAINTENANCE OF MITOCHONDRIAL MORPHOLOGY PROTEIN 1', 59104),
(115379, 'PTHR23222:SF19', NULL, NULL, NULL, NULL, 'PROHIBITIN', 59105),
(115380, 'PTHR47797:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59106),
(115381, 'PTHR11042:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59107),
(115382, 'PTHR11783:SF100', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 4, ISOFORM A', 59108),
(115383, 'PTHR32444:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59109),
(115384, 'PTHR27007:SF200', NULL, NULL, NULL, NULL, 'OS09G0251100 PROTEIN', 59110),
(115385, 'PTHR10353:SF171', NULL, NULL, NULL, NULL, 'FUROSTANOL GLYCOSIDE 26-O-BETA-GLUCOSIDASE-LIKE', 59111),
(115386, 'PTHR35791:SF1', NULL, NULL, NULL, NULL, 'UPF0754 MEMBRANE PROTEIN YHEB', 59112),
(115387, 'PTHR43550', NULL, NULL, NULL, NULL, '3-KETODIHYDROSPHINGOSINE REDUCTASE', 59113),
(115388, 'PTHR45621:SF31', NULL, NULL, NULL, NULL, 'KINASE 1B', 59114),
(115389, 'PTHR11461:SF34', NULL, NULL, NULL, NULL, 'CORTICOSTEROID-BINDING GLOBULIN', 59115),
(115390, 'PTHR31985:SF20', NULL, NULL, NULL, NULL, 'OS02G0558700 PROTEIN', 59116),
(115391, 'PTHR45732:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59117),
(115392, 'PTHR33593:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59118),
(115393, 'PTHR10336:SF25', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE GAMMA-2', 59119),
(115394, 'PTHR24058:SF125', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE, ERK3/4-RELATED', 59120),
(115395, 'PTHR13306', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 59121),
(115396, 'PTHR33459', NULL, NULL, NULL, NULL, 'DD-GDCA PROTEIN', 59122),
(115397, 'PTHR12827:SF4', NULL, NULL, NULL, NULL, 'BNAC02G02260D PROTEIN', 59123),
(115398, 'PTHR22900', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 59124),
(115399, 'PTHR11787:SF24', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', 59125),
(115400, 'PTHR13029:SF16', NULL, NULL, NULL, NULL, 'MYELIN REGULATORY FACTOR', 59126),
(115401, 'PTHR46011:SF12', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 59127),
(115402, 'PTHR33843', NULL, NULL, NULL, NULL, 'ASCORBATE-SPECIFIC PTS SYSTEM EIIC COMPONENT', 59128),
(115403, 'PTHR18934:SF213', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA/RNA HELICASE DHX36', 59129),
(115404, 'PTHR43755:SF2', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT PYRIDINE NUCLEOTIDE-DISULPHIDE OXIDOREDUCTASE', 59130),
(115405, 'PTHR22881', NULL, NULL, NULL, NULL, 'BROMODOMAIN CONTAINING PROTEIN', 59131),
(115406, 'PTHR31953:SF81', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE INSOLUBLE ISOENZYME CWINV2', 59132),
(115407, 'PTHR24326:SF571', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX20', 59133),
(115408, 'PTHR34361:SF8', NULL, NULL, NULL, NULL, 'BNAA06G15880D PROTEIN', 59134),
(115409, 'PTHR45844:SF7', NULL, NULL, NULL, NULL, 'OS05G0163900 PROTEIN', 59135),
(115410, 'PTHR10155:SF17', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 6', 59136),
(115411, 'PTHR24223:SF413', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59137),
(115412, 'PTHR12871:SF0', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYL-GLYCOPROTEIN 2-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE', 59138),
(115413, 'PTHR18952:SF19', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 12', 59139),
(115414, 'PTHR11153', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN', 59140),
(115415, 'PTHR48047:SF62', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73D1', 59141),
(115416, 'PTHR33021:SF226', NULL, NULL, NULL, NULL, 'OS11G0491500 PROTEIN', 59142),
(115417, 'PTHR33882:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59143),
(115418, 'PTHR47037:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L33, MITOCHONDRIAL', 59144),
(115419, 'PTHR31692:SF13', NULL, NULL, NULL, NULL, 'OS06G0662300 PROTEIN', 59145),
(115420, 'PTHR18945:SF431', NULL, NULL, NULL, NULL, 'SEROTONIN-GATED CHLORIDE CHANNEL', 59146); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(115421, 'PTHR23429:SF8', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE', 59147),
(115422, 'PTHR13018:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59148),
(115423, 'PTHR24073:SF315', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-7L1', 59149),
(115424, 'PTHR43766:SF1', NULL, NULL, NULL, NULL, 'TRYPTOPHAN--TRNA LIGASE, MITOCHONDRIAL', 59150),
(115425, 'PTHR37722:SF2', NULL, NULL, NULL, NULL, 'OS01G0167700 PROTEIN', 59151),
(115426, 'PTHR22909', NULL, NULL, NULL, NULL, 'GOLGI INTEGRAL MEMBRANE PROTEIN 4', 59152),
(115427, 'PTHR31189:SF63', NULL, NULL, NULL, NULL, 'GLYCININ G5', 59153),
(115428, 'PTHR26451:SF963', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR, FAMILY H, SUBFAMILY 132, MEMBER 2-RELATED', 59154),
(115429, 'PTHR31920:SF88', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0723500-LIKE ISOFORM X1', 59155),
(115430, 'PTHR10826:SF25', NULL, NULL, NULL, NULL, 'BNAA06G10550D PROTEIN', 59156),
(115431, 'PTHR10934:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59157),
(115432, 'PTHR32212:SF314', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 59158),
(115433, 'PTHR11136:SF11', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE', 59159),
(115434, 'PTHR23074:SF150', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A1-LIKE', 59160),
(115435, 'PTHR21495:SF193', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 59161),
(115436, 'PTHR24637:SF320', NULL, NULL, NULL, NULL, 'DUMPY: SHORTER THAN WILD-TYPE', 59162),
(115437, 'PTHR10759:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59163),
(115438, 'PTHR15907:SF183', NULL, NULL, NULL, NULL, 'CORNIFELIN HOMOLOG', 59164),
(115439, 'PTHR31282:SF132', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING PROTEIN 70-RELATED', 59165),
(115440, 'PTHR28618:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN POC5', 59166),
(115441, 'PTHR48052:SF23', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 59167),
(115442, 'PTHR10938:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59168),
(115443, 'PTHR23272:SF131', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 59169),
(115444, 'PTHR16091:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59170),
(115445, 'PTHR11064:SF132', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-8', 59171),
(115446, 'PTHR36012', NULL, NULL, NULL, NULL, 'OS01G0654400 PROTEIN', 59172),
(115447, 'PTHR10138:SF0', NULL, NULL, NULL, NULL, 'TRYPTOPHAN 2,3-DIOXYGENASE', 59173),
(115448, 'PTHR12228:SF0', NULL, NULL, NULL, NULL, 'TAF7 RNA POLYMERASE II, TATA BOX-BINDING PROTEIN (TBP)-ASSOCIATED FACTOR', 59174),
(115449, 'PTHR24343:SF113', NULL, NULL, NULL, NULL, 'NITROGEN PERMEASE REACTIVATOR PROTEIN-RELATED', 59175),
(115450, 'PTHR37962:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG09348', 59176),
(115451, 'PTHR47012:SF1', NULL, NULL, NULL, NULL, 'LAMIN TAIL DOMAIN-CONTAINING PROTEIN 1', 59177),
(115452, 'PTHR24064:SF170', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 15', 59178),
(115453, 'PTHR21137:SF39', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 19A-RELATED', 59179),
(115454, 'PTHR32370:SF89', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', 59180),
(115455, 'PTHR15215', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 59181),
(115456, 'PTHR13063:SF10', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE-INTERACTING PROTEIN', 59182),
(115457, 'PTHR46386', NULL, NULL, NULL, NULL, 'NUCLEAR BODY PROTEIN SP140', 59183),
(115458, 'PTHR11474:SF21', NULL, NULL, NULL, NULL, 'TYROSINASE', 59184),
(115459, 'PTHR12411:SF756', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE', 59185),
(115460, 'PTHR12264:SF23', NULL, NULL, NULL, NULL, 'BNAA09G45000D PROTEIN', 59186),
(115461, 'PTHR12485', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE SUBUNIT B', 59187),
(115462, 'PTHR37915', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 59188),
(115463, 'PTHR45742:SF1', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C8 ALPHA CHAIN', 59189),
(115464, 'PTHR27006:SF21', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 59190);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(115465, 'PTHR43751:SF2', NULL, NULL, NULL, NULL, 'SULFATASE DOMAIN PROTEIN', 59191),
(115466, 'PTHR16529:SF9', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING 10-RELATED', 59192),
(115467, 'PTHR12215:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG23511', 59193),
(115468, 'PTHR13620:SF84', NULL, NULL, NULL, NULL, 'EMB|CAB82946.1-RELATED', 59194),
(115469, 'PTHR10992:SF1005', NULL, NULL, NULL, NULL, 'ESTERASE PIR7A-RELATED', 59195),
(115470, 'PTHR23084:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59196),
(115471, 'PTHR11474:SF104', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE, CHLOROPLASTIC-LIKE', 59197),
(115472, 'PTHR10953:SF222', NULL, NULL, NULL, NULL, 'BNAA04G17280D PROTEIN', 59198),
(115473, 'PTHR33265:SF45', NULL, NULL, NULL, NULL, 'AVR9/CF-9 RAPIDLY ELICITED PROTEIN', 59199),
(115474, 'PTHR28616:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 125', 59200),
(115475, 'PTHR32444:SF115', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 59201),
(115476, 'PTHR10168:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59202),
(115477, 'PTHR23101:SF114', NULL, NULL, NULL, NULL, 'EXCHANGE FACTOR, PUTATIVE-RELATED', 59203),
(115478, 'PTHR42799:SF20', NULL, NULL, NULL, NULL, 'BNAA03G47160D PROTEIN', 59204),
(115479, 'PTHR33070:SF67', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF241)-RELATED', 59205),
(115480, 'PTHR48022:SF54', NULL, NULL, NULL, NULL, 'GLUCOSE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G00890)-RELATED', 59206),
(115481, 'PTHR31944:SF131', NULL, NULL, NULL, NULL, 'HEME-RESPONSIVE ZINC FINGER TRANSCRIPTION FACTOR HAP1', 59207),
(115482, 'PTHR13199:SF11', NULL, NULL, NULL, NULL, 'GH03947P', 59208),
(115483, 'PTHR47985:SF1', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 59209),
(115484, 'PTHR13271:SF117', NULL, NULL, NULL, NULL, 'BNAANNG22450D PROTEIN', 59210),
(115485, 'PTHR33507:SF3', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YBBJ', 59211),
(115486, 'PTHR23050:SF432', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59212),
(115487, 'PTHR31832', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 22', 59213),
(115488, 'PTHR11955:SF96', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN, LIVER', 59214),
(115489, 'PTHR40658:SF3', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 59215),
(115490, 'PTHR14000:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59216),
(115491, 'PTHR10994:SF170', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 59217),
(115492, 'PTHR24012:SF797', NULL, NULL, NULL, NULL, 'PROTEIN PES4-RELATED', 59218),
(115493, 'PTHR10887:SF447', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 59219),
(115494, 'PTHR23239:SF353', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA7', 59220),
(115495, 'PTHR43080:SF20', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN YKUL', 59221),
(115496, 'PTHR31896:SF31', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 59222),
(115497, 'PTHR20955', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 59223),
(115498, 'PTHR43725:SF29', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 59224),
(115499, 'PTHR31388:SF17', NULL, NULL, NULL, NULL, 'PEROXIDASE', 59225),
(115500, 'PTHR48134:SF2', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN 96-92-RELATED', 59226),
(115501, 'PTHR30217:SF11', NULL, NULL, NULL, NULL, 'PROTEASE-RELATED', 59227),
(115502, 'PTHR48048:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59228),
(115503, 'PTHR14360:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59229),
(115504, 'PTHR32479', NULL, NULL, NULL, NULL, 'GLYCOLATE OXIDASE IRON-SULFUR SUBUNIT', 59230),
(115505, 'PTHR47958:SF27', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 57', 59231),
(115506, 'PTHR38742', NULL, NULL, NULL, NULL, 'PROTEIN GP17', 59232),
(115507, 'PTHR31920:SF65', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR VRN1-LIKE', 59233),
(115508, 'PTHR11926:SF1411', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', 59234);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(115509, 'PTHR23259:SF65', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 59235),
(115510, 'PTHR10751:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 112', 59236),
(115511, 'PTHR19328:SF67', NULL, NULL, NULL, NULL, 'HIPL1 PROTEIN-LIKE', 59237),
(115512, 'PTHR24388:SF77', NULL, NULL, NULL, NULL, 'CHORION TRANSCRIPTION FACTOR CF2-RELATED', 59238),
(115513, 'PTHR14155:SF530', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL39', 59239),
(115514, 'PTHR10353:SF207', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 27', 59240),
(115515, 'PTHR21596:SF72', NULL, NULL, NULL, NULL, 'BNAC08G40140D PROTEIN', 59241),
(115516, 'PTHR26453:SF195', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 59242),
(115517, 'PTHR11469', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE ISOMERASE', 59243),
(115518, 'PTHR27003:SF296', NULL, NULL, NULL, NULL, 'OS03G0759600 PROTEIN', 59244),
(115519, 'PTHR30615:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59245),
(115520, 'PTHR33191:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59246),
(115521, 'PTHR21485', NULL, NULL, NULL, NULL, 'HAD SUPERFAMILY MEMBERS CMAS AND KDSC', 59247),
(115522, 'PTHR12040:SF25', NULL, NULL, NULL, NULL, 'HISTONE CHAPERONE ASF1A-RELATED', 59248),
(115523, 'PTHR11082:SF25', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE SYNTHASE B', 59249),
(115524, 'PTHR24326:SF541', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX13-LIKE', 59250),
(115525, 'PTHR30065:SF8', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLIR', 59251),
(115526, 'PTHR31238:SF211', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 59252),
(115527, 'PTHR35307:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59253),
(115528, 'PTHR15907:SF4', NULL, NULL, NULL, NULL, 'PLACENTA-SPECIFIC 8', 59254),
(115529, 'PTHR31415:SF112', NULL, NULL, NULL, NULL, 'BNAC05G32280D PROTEIN', 59255),
(115530, 'PTHR10091:SF35', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 59256),
(115531, 'PTHR42991:SF6', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 59257),
(115532, 'PTHR37866:SF1', NULL, NULL, NULL, NULL, 'PRE T-CELL ANTIGEN RECEPTOR ALPHA', 59258),
(115533, 'PTHR24340:SF24', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-2.2', 59259),
(115534, 'PTHR47101:SF4', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 4, CHLOROPLASTIC', 59260),
(115535, 'PTHR44427:SF14', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC BETA-1-GLYCOPROTEIN 9', 59261),
(115536, 'PTHR36326:SF12', NULL, NULL, NULL, NULL, 'PROTEIN SULFUR DEFICIENCY-INDUCED 1-LIKE', 59262),
(115537, 'PTHR45762:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 346-LIKE', 59263),
(115538, 'PTHR47933:SF19', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE-RELATED', 59264),
(115539, 'PTHR24326:SF564', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-12', 59265),
(115540, 'PTHR14952:SF15', NULL, NULL, NULL, NULL, 'AT09290P', 59266),
(115541, 'PTHR24123:SF95', NULL, NULL, NULL, NULL, 'ANKYRIN DOMAIN PROTEIN', 59267),
(115542, 'PTHR34975:SF2', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN A2', 59268),
(115543, 'PTHR10695:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59269),
(115544, 'PTHR17613:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN PROTEIN 3', 59270),
(115545, 'PTHR10887:SF485', NULL, NULL, NULL, NULL, 'HELICASE SENATAXIN-RELATED', 59271),
(115546, 'PTHR22943:SF41', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 59272),
(115547, 'PTHR45782:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOME-ASSOCIATED GTPASE 1', 59273),
(115548, 'PTHR35006:SF2', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G14830)', 59274),
(115549, 'PTHR24028:SF42', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-12', 59275),
(115550, 'PTHR11417:SF3', NULL, NULL, NULL, NULL, 'SOMATOLACTIN ALPHA-RELATED', 59276),
(115551, 'PTHR46827', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DDB_G0288861-RELATED', 59277),
(115552, 'PTHR43243:SF29', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 7 MEMBER 14B', 59278),
(115553, 'PTHR23054:SF18', NULL, NULL, NULL, NULL, 'BNAA07G12450D PROTEIN', 59279);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(115554, 'PTHR26452:SF795', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5K4', 59280),
(115555, 'PTHR47990:SF139', NULL, NULL, NULL, NULL, 'NARINGENIN,2-OXOGLUTARATE 3-DIOXYGENASE', 59281),
(115556, 'PTHR46354:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBP-1B(C38)-LIKE', 59282),
(115557, 'PTHR14097', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE HTATIP2', 59283),
(115558, 'PTHR12002:SF179', NULL, NULL, NULL, NULL, 'CLAUDIN-RELATED', 59284),
(115559, 'PTHR23422:SF11', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE 3', 59285),
(115560, 'PTHR24028:SF254', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-11 X-LINKED', 59286),
(115561, 'PTHR47976:SF22', NULL, NULL, NULL, NULL, 'BNAC06G30440D PROTEIN', 59287),
(115562, 'PTHR31357:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG00326', 59288),
(115563, 'PTHR11710:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19', 59289),
(115564, 'PTHR24093:SF430', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 5, PLASMA MEMBRANE-TYPE', 59290),
(115565, 'PTHR41247', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR YCNK', 59291),
(115566, 'PTHR48182:SF1', NULL, NULL, NULL, NULL, 'GH15286P', 59292),
(115567, 'PTHR11920:SF472', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-9', 59293),
(115568, 'PTHR44329:SF170', NULL, NULL, NULL, NULL, 'BNAA09G55190D PROTEIN', 59294),
(115569, 'PTHR31642:SF246', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59295),
(115570, 'PTHR12483:SF22', NULL, NULL, NULL, NULL, 'HIGH AFFINITY COPPER UPTAKE PROTEIN 1', 59296),
(115571, 'PTHR30126:SF22', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YHAJ-RELATED', 59297),
(115572, 'PTHR46148:SF31', NULL, NULL, NULL, NULL, 'PROTEIN NYNRIN-LIKE', 59298),
(115573, 'PTHR31890:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59299),
(115574, 'PTHR48041:SF21', NULL, NULL, NULL, NULL, 'PIGMENT PERMEASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 59300),
(115575, 'PTHR32467:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59301),
(115576, 'PTHR24125', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND DEATH DOMAIN-CONTAINING PROTEIN', 59302),
(115577, 'PTHR45666:SF14', NULL, NULL, NULL, NULL, 'OS01G0183300 PROTEIN', 59303),
(115578, 'PTHR21700:SF109', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 59304),
(115579, 'PTHR10869:SF102', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 12-RELATED', 59305),
(115580, 'PTHR21398:SF21', NULL, NULL, NULL, NULL, 'AGAP004005-PA', 59306),
(115581, 'PTHR35705:SF7', NULL, NULL, NULL, NULL, 'OS01G0235350 PROTEIN', 59307),
(115582, 'PTHR12537:SF169', NULL, NULL, NULL, NULL, 'BNAC02G24900D PROTEIN', 59308),
(115583, 'PTHR11742:SF49', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 59309),
(115584, 'PTHR35254:SF1', NULL, NULL, NULL, NULL, 'STIMULATED BY RETINOIC ACID GENE 8 PROTEIN HOMOLOG', 59310),
(115585, 'PTHR23253:SF53', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR ISOFORM 4G-2', 59311),
(115586, 'PTHR31741:SF51', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONAN I RHAMNOSYLTRANSFERASE 1', 59312),
(115587, 'PTHR24377:SF609', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 665', 59313),
(115588, 'PTHR31920:SF73', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM13-LIKE', 59314),
(115589, 'PTHR11311:SF6', NULL, NULL, NULL, NULL, 'CIRCUMSPOROZOITE-AND TRAP-RELATED PROTEIN', 59315),
(115590, 'PTHR46160:SF3', NULL, NULL, NULL, NULL, 'ALPHA-TECTORIN', 59316),
(115591, 'PTHR13948:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59317),
(115592, 'PTHR10933:SF11', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-BINDING PROTEIN 1', 59318),
(115593, 'PTHR38762', NULL, NULL, NULL, NULL, 'CRYPTIC OUTER MEMBRANE PORIN BGLH-RELATED', 59319),
(115594, 'PTHR31664:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG09301', 59320),
(115595, 'PTHR16897:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59321),
(115596, 'PTHR31707:SF152', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 5-RELATED', 59322),
(115597, 'PTHR13954', NULL, NULL, NULL, NULL, 'IRE1-RELATED', 59323),
(115598, 'PTHR23185:SF0', NULL, NULL, NULL, NULL, 'PROTEIN VIRILIZER HOMOLOG', 59324);
INSERT INTO "PUBLIC"."MODEL" VALUES
(115599, 'PTHR24061:SF504', NULL, NULL, NULL, NULL, 'VOMERONASAL 2 RECEPTOR, A20', 59325),
(115600, 'PTHR11961:SF44', NULL, NULL, NULL, NULL, 'CYTOCHROME C-2', 59326),
(115601, 'PTHR47965:SF32', NULL, NULL, NULL, NULL, 'BASIC 7S GLOBULIN-LIKE', 59327),
(115602, 'PTHR43628', NULL, NULL, NULL, NULL, 'ACTIVATOR OF C KINASE PROTEIN 1-RELATED', 59328),
(115603, 'PTHR10827:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59329),
(115604, 'PTHR45640:SF9', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', 59330),
(115605, 'PTHR15386', NULL, NULL, NULL, NULL, 'FIBRINOGEN SILENCER-BINDING PROTEIN', 59331),
(115606, 'PTHR10606:SF44', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO 2-KINASE/FRUCTOSE 2,6-BISPHOSPHATASE LONG FORM', 59332),
(115607, 'PTHR31235:SF305', NULL, NULL, NULL, NULL, 'PEROXIDASE', 59333),
(115608, 'PTHR34205:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 59334),
(115609, 'PTHR24089:SF358', NULL, NULL, NULL, NULL, 'OS06G0602700 PROTEIN', 59335),
(115610, 'PTHR35529:SF2', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN YTAF-RELATED', 59336),
(115611, 'PTHR23155:SF945', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 59337),
(115612, 'PTHR13683:SF711', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN, PUTATIVE-RELATED', 59338),
(115613, 'PTHR15854', NULL, NULL, NULL, NULL, 'THAP4 PROTEIN', 59339),
(115614, 'PTHR38041', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', 59340),
(115615, 'PTHR47924:SF20', NULL, NULL, NULL, NULL, 'BNACNNG62680D PROTEIN', 59341),
(115616, 'PTHR48017:SF39', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 59342),
(115617, 'PTHR24057:SF66', NULL, NULL, NULL, NULL, 'BNAANNG31110D PROTEIN', 59343),
(115618, 'PTHR10516:SF423', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 59344),
(115619, 'PTHR46324:SF8', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', 59345),
(115620, 'PTHR32370:SF151', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN-RELATED', 59346),
(115621, 'PTHR42067', NULL, NULL, NULL, NULL, 'YALI0C15378P', 59347),
(115622, 'PTHR32256:SF6', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', 59348),
(115623, 'PTHR11639:SF76', NULL, NULL, NULL, NULL, 'PROTEIN S100-A16', 59349),
(115624, 'PTHR31928:SF17', NULL, NULL, NULL, NULL, 'OS11G0265300 PROTEIN', 59350),
(115625, 'PTHR30348:SF4', NULL, NULL, NULL, NULL, 'DUF72', 59351),
(115626, 'PTHR32467:SF169', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR-RELATED', 59352),
(115627, 'PTHR12515:SF9', NULL, NULL, NULL, NULL, 'PROTEIN SMAUG HOMOLOG 2', 59353),
(115628, 'PTHR24221:SF128', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', 59354),
(115629, 'PTHR10585:SF72', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN RETAINING RECEPTOR-RELATED', 59355),
(115630, 'PTHR24064:SF544', NULL, NULL, NULL, NULL, 'LP17136P', 59356),
(115631, 'PTHR12281:SF19', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN', 59357),
(115632, 'PTHR12270', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', 59358),
(115633, 'PTHR47633', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 59359),
(115634, 'PTHR31595:SF27', NULL, NULL, NULL, NULL, 'TOXIN BIOSYNTHESIS PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02360)-RELATED', 59360),
(115635, 'PTHR33199:SF17', NULL, NULL, NULL, NULL, 'BNAA01G13800D PROTEIN', 59361),
(115636, 'PTHR32080:SF29', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 38-LIKE', 59362),
(115637, 'PTHR36699:SF1', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE YAFK-RELATED', 59363),
(115638, 'PTHR35174:SF3', NULL, NULL, NULL, NULL, 'BLL7171 PROTEIN', 59364),
(115639, 'PTHR11480:SF79', NULL, NULL, NULL, NULL, 'PROACTIVATOR POLYPEPTIDE-LIKE 1', 59365),
(115640, 'PTHR45955', NULL, NULL, NULL, NULL, 'PHOSPHOACETYLGLUCOSAMINE MUTASE', 59366),
(115641, 'PTHR14618', NULL, NULL, NULL, NULL, 'HOMEODOX-CONTAINING PROTEIN 1 HMBOX1', 59367),
(115642, 'PTHR12191:SF21', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP4', 59368),
(115643, 'PTHR26379:SF387', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59369),
(115644, 'PTHR33433:SF12', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 3', 59370);
INSERT INTO "PUBLIC"."MODEL" VALUES
(115645, 'PTHR33116:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59371),
(115646, 'PTHR31282:SF136', NULL, NULL, NULL, NULL, 'BNAA03G51590D PROTEIN', 59372),
(115647, 'PTHR45624', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL BASIC AMINO ACIDS TRANSPORTER-RELATED', 59373),
(115648, 'PTHR36066:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SAC51', 59374),
(115649, 'PTHR10502:SF195', NULL, NULL, NULL, NULL, 'ANNEXIN D7', 59375),
(115650, 'PTHR10192:SF5', NULL, NULL, NULL, NULL, 'GEPHYRIN', 59376),
(115651, 'PTHR14047:SF11', NULL, NULL, NULL, NULL, 'P ANTIGEN FAMILY MEMBER 4', 59377),
(115652, 'PTHR31917:SF63', NULL, NULL, NULL, NULL, 'JHL25H03.10-LIKE PROTEIN', 59378),
(115653, 'PTHR46012:SF2', NULL, NULL, NULL, NULL, 'IP22168P', 59379),
(115654, 'PTHR22835:SF603', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59380),
(115655, 'PTHR37792', NULL, NULL, NULL, NULL, 'RIBONUCLEASE MRP PROTEIN SUBUNIT RMP1', 59381),
(115656, 'PTHR14167:SF64', NULL, NULL, NULL, NULL, 'SORBIN AND SH3 DOMAIN-CONTAINING PROTEIN 1', 59382),
(115657, 'PTHR45751:SF35', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 59383),
(115658, 'PTHR10605:SF46', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE GLUCOSAMINE 3-O-SULFOTRANSFERASE 5', 59384),
(115659, 'PTHR15660:SF1', NULL, NULL, NULL, NULL, 'BRISC AND BRCA1-A COMPLEX MEMBER 1', 59385),
(115660, 'PTHR31712:SF0', NULL, NULL, NULL, NULL, 'DIETARY RESTRICTION OVER EXPRESSED', 59386),
(115661, 'PTHR42089:SF1', NULL, NULL, NULL, NULL, 'YALI0F09427P', 59387),
(115662, 'PTHR47967:SF59', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE CDR1-LIKE', 59388),
(115663, 'PTHR47928:SF11', NULL, NULL, NULL, NULL, 'OS01G0715900 PROTEIN', 59389),
(115664, 'PTHR46797:SF1', NULL, NULL, NULL, NULL, 'BLL2473 PROTEIN', 59390),
(115665, 'PTHR10168:SF279', NULL, NULL, NULL, NULL, 'BNAC03G66790D PROTEIN', 59391),
(115666, 'PTHR41521:SF4', NULL, NULL, NULL, NULL, 'BLR0684 PROTEIN', 59392),
(115667, 'PTHR43531:SF6', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN I-RELATED', 59393),
(115668, 'PTHR31375:SF172', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 59394),
(115669, 'PTHR10953:SF5', NULL, NULL, NULL, NULL, 'SUMO-ACTIVATING ENZYME SUBUNIT 2', 59395),
(115670, 'PTHR34356', NULL, NULL, NULL, NULL, 'ANTIGENIC HEAT-STABLE PROTEIN', 59396),
(115671, 'PTHR10353:SF285', NULL, NULL, NULL, NULL, 'BNAA09G14750D PROTEIN', 59397),
(115672, 'PTHR43000:SF22', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL UDP-GLUCOSE 4,6-DEHYDRATASE/UDP-4-KETO-6-DEOXY-D-GLUCOSE 3,5-EPIMERASE/UDP-4-KETO-L-RHAMNOSE-REDUCTASE RHM3-LIKE', 59398),
(115673, 'PTHR48017:SF19', NULL, NULL, NULL, NULL, 'PROLINE TRANSPORTER 3', 59399),
(115674, 'PTHR23063:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59400),
(115675, 'PTHR14002:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59401),
(115676, 'PTHR22802:SF387', NULL, NULL, NULL, NULL, 'SI:CH211-170D8.5-RELATED', 59402),
(115677, 'PTHR12542:SF137', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 59403),
(115678, 'PTHR43710', NULL, NULL, NULL, NULL, '2-HYDROXYACYL-COA LYASE', 59404),
(115679, 'PTHR24083:SF154', NULL, NULL, NULL, NULL, 'DISSATISFACTION, ISOFORM A', 59405),
(115680, 'PTHR31072:SF159', NULL, NULL, NULL, NULL, 'OS02G0747400 PROTEIN', 59406),
(115681, 'PTHR37970', NULL, NULL, NULL, NULL, 'PROTEIN CBG08587', 59407),
(115682, 'PTHR33044:SF122', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 59408),
(115683, 'PTHR31189:SF35', NULL, NULL, NULL, NULL, '12S SEED STORAGE PROTEIN CRC', 59409),
(115684, 'PTHR23266:SF262', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-69-RELATED', 59410),
(115685, 'PTHR43981:SF6', NULL, NULL, NULL, NULL, 'TRANS-2-ENOYL-COA REDUCTASE, MITOCHONDRIAL-RELATED', 59411),
(115686, 'PTHR24365:SF539', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59412),
(115687, 'PTHR31677:SF149', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 59413),
(115688, 'PTHR24248:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59414),
(115689, 'PTHR24356:SF159', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C EPSILON TYPE', 59415);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(115690, 'PTHR24384:SF95', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 486', 59416),
(115691, 'PTHR46104:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59417),
(115692, 'PTHR13308:SF23', NULL, NULL, NULL, NULL, 'NEDD4-BINDING PROTEIN 2-LIKE 2', 59418),
(115693, 'PTHR43652:SF6', NULL, NULL, NULL, NULL, 'ARGININE REPRESSOR-RELATED', 59419),
(115694, 'PTHR33713:SF3', NULL, NULL, NULL, NULL, 'ANTITOXIN', 59420),
(115695, 'PTHR46080:SF11', NULL, NULL, NULL, NULL, 'BNAA09G04350D PROTEIN', 59421),
(115696, 'PTHR46301:SF37', NULL, NULL, NULL, NULL, 'BNAA09G14340D PROTEIN', 59422),
(115697, 'PTHR21258:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59423),
(115698, 'PTHR23107:SF21', NULL, NULL, NULL, NULL, 'CALCIUM-RESPONSIVE TRANSACTIVATOR-RELATED', 59424),
(115699, 'PTHR15282', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY E MEMBER 1, 3', 59425),
(115700, 'PTHR24328:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MOX-2', 59426),
(115701, 'PTHR43060:SF11', NULL, NULL, NULL, NULL, 'DEHYDROGENASE', 59427),
(115702, 'PTHR43450:SF2', NULL, NULL, NULL, NULL, 'ASPARTYL-TRNA SYNTHETASE', 59428),
(115703, 'PTHR10366:SF711', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1-LIKE', 59429),
(115704, 'PTHR11261:SF3', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN 3', 59430),
(115705, 'PTHR48002:SF125', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 59431),
(115706, 'PTHR10182:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MO25', 59432),
(115707, 'PTHR30126', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR', 59433),
(115708, 'PTHR24012:SF796', NULL, NULL, NULL, NULL, 'PROTEIN ALAN SHEPARD', 59434),
(115709, 'PTHR33916:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59435),
(115710, 'PTHR21312:SF33', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 10-RELATED', 59436),
(115711, 'PTHR45642:SF100', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 59437),
(115712, 'PTHR22765:SF314', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59438),
(115713, 'PTHR48094:SF8', NULL, NULL, NULL, NULL, 'OS01G0217800 PROTEIN', 59439),
(115714, 'PTHR22988:SF26', NULL, NULL, NULL, NULL, 'CITRON RHO-INTERACTING KINASE', 59440),
(115715, 'PTHR46294:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX EVEN-SKIPPED HOMOLOG PROTEIN 1', 59441),
(115716, 'PTHR47283:SF1', NULL, NULL, NULL, NULL, 'ENT-KAURENE OXIDASE, CHLOROPLASTIC', 59442),
(115717, 'PTHR34706:SF1', NULL, NULL, NULL, NULL, 'SLR1338 PROTEIN', 59443),
(115718, 'PTHR24282:SF49', NULL, NULL, NULL, NULL, 'OS01G0628700 PROTEIN', 59444),
(115719, 'PTHR11071:SF446', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP19-1', 59445),
(115720, 'PTHR31639:SF224', NULL, NULL, NULL, NULL, 'OS01G0553400 PROTEIN', 59446),
(115721, 'PTHR46463:SF40', NULL, NULL, NULL, NULL, 'BNAA02G05410D PROTEIN', 59447),
(115722, 'PTHR23291:SF34', NULL, NULL, NULL, NULL, 'BAX INHIBITOR 1', 59448),
(115723, 'PTHR23064:SF34', NULL, NULL, NULL, NULL, 'LOC683667 PROTEIN', 59449),
(115724, 'PTHR13865:SF29', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION PROTEIN 1A', 59450),
(115725, 'PTHR31509:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59451),
(115726, 'PTHR45980:SF6', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 2, CHLOROPLASTIC', 59452),
(115727, 'PTHR31251:SF132', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 1-RELATED', 59453),
(115728, 'PTHR31676:SF145', NULL, NULL, NULL, NULL, 'BNAA08G26490D PROTEIN', 59454),
(115729, 'PTHR24377:SF678', NULL, NULL, NULL, NULL, 'REDUCED EXPRESSION 2-RELATED', 59455),
(115730, 'PTHR34050:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR RAD52-LIKE PROTEIN 1, MITOCHONDRIAL', 59456),
(115731, 'PTHR23142', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 59457),
(115732, 'PTHR11893:SF41', NULL, NULL, NULL, NULL, 'INNEXIN INX2', 59458),
(115733, 'PTHR12121:SF76', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 59459),
(115734, 'PTHR30477:SF9', NULL, NULL, NULL, NULL, 'IRON TRANSPORT SYSTEM MEMBRANE PROTEIN HI_0359-RELATED', 59460),
(115735, 'PTHR46396', NULL, NULL, NULL, NULL, 'PROTEIN O-LINKED-MANNOSE BETA-1,2-N-ACETYLGLUCOSAMINYLTRANSFERASE 1', 59461);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(115736, 'PTHR40732', NULL, NULL, NULL, NULL, 'UPF0218 PROTEIN TK1697', 59462),
(115737, 'PTHR34450:SF2', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 245-RELATED', 59463),
(115738, 'PTHR13542', NULL, NULL, NULL, NULL, 'LSM12 HOMOLOG', 59464),
(115739, 'PTHR24377:SF879', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 16', 59465),
(115740, 'PTHR11799:SF28', NULL, NULL, NULL, NULL, 'MECHANOSENSORY ABNORMALITY PROTEIN 6', 59466),
(115741, 'PTHR24270', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED', 59467),
(115742, 'PTHR11771:SF101', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 59468),
(115743, 'PTHR31683:SF116', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 59469),
(115744, 'PTHR34925', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 59470),
(115745, 'PTHR10408:SF7', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 1', 59471),
(115746, 'PTHR11592:SF86', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 3', 59472),
(115747, 'PTHR43329:SF97', NULL, NULL, NULL, NULL, 'BNAC07G33340D PROTEIN', 59473),
(115748, 'PTHR12136:SF111', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2', 59474),
(115749, 'PTHR12106:SF41', NULL, NULL, NULL, NULL, 'SORTILIN', 59475),
(115750, 'PTHR48040:SF11', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 1', 59476),
(115751, 'PTHR42704:SF9', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE LARGE CHAIN', 59477),
(115752, 'PTHR22904:SF522', NULL, NULL, NULL, NULL, 'HSP70-HSP90 ORGANIZING PROTEIN 3', 59478),
(115753, 'PTHR16517:SF111', NULL, NULL, NULL, NULL, 'SI:DKEY-220F10.4', 59479),
(115754, 'PTHR43098:SF5', NULL, NULL, NULL, NULL, 'DUAL-FUNCTIONAL MONOOXYGENASE/METHYLTRANSFERASE PSOF', 59480),
(115755, 'PTHR26451:SF210', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 59481),
(115756, 'PTHR22978:SF46', NULL, NULL, NULL, NULL, 'B-CELL TRANSLOCATION GENE 5', 59482),
(115757, 'PTHR31852:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59483),
(115758, 'PTHR12634:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY SUBUNIT', 59484),
(115759, 'PTHR42828', NULL, NULL, NULL, NULL, 'DHBP SYNTHASE RIBB-LIKE ALPHA/BETA DOMAIN-CONTAINING PROTEIN', 59485),
(115760, 'PTHR33147', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', 59486),
(115761, 'PTHR31496:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAN4-RELATED', 59487),
(115762, 'PTHR33337', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 59488),
(115763, 'PTHR10504:SF131', NULL, NULL, NULL, NULL, 'UPF0522 PROTEIN C', 59489),
(115764, 'PTHR15528:SF10', NULL, NULL, NULL, NULL, 'PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR GAMMA COACTIVATOR 1-ALPHA', 59490),
(115765, 'PTHR24209:SF33', NULL, NULL, NULL, NULL, 'PROTEIN DA1-RELATED 2', 59491),
(115766, 'PTHR47926:SF189', NULL, NULL, NULL, NULL, 'BNAA07G12550D PROTEIN', 59492),
(115767, 'PTHR48027:SF12', NULL, NULL, NULL, NULL, 'DAZ-ASSOCIATED PROTEIN 1', 59493),
(115768, 'PTHR10003:SF82', NULL, NULL, NULL, NULL, 'BNAA09G10710D PROTEIN', 59494),
(115769, 'PTHR33067:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59495),
(115770, 'PTHR48045:SF8', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 59496),
(115771, 'PTHR12131:SF7', NULL, NULL, NULL, NULL, 'EXOSOME RNA HELICASE MTR4', 59497),
(115772, 'PTHR15592:SF34', NULL, NULL, NULL, NULL, 'OS02G0789700 PROTEIN', 59498),
(115773, 'PTHR32343:SF8', NULL, NULL, NULL, NULL, 'SPLICING REGULATORY GLUTAMINE/LYSINE-RICH PROTEIN 1', 59499),
(115774, 'PTHR47257', NULL, NULL, NULL, NULL, 'PH-RESPONSE TRANSCRIPTION FACTOR PACC/RIM101', 59500),
(115775, 'PTHR13976:SF31', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 12', 59501),
(115776, 'PTHR34964:SF7', NULL, NULL, NULL, NULL, 'BNAANNG15920D PROTEIN', 59502),
(115777, 'PTHR30302:SF7', NULL, NULL, NULL, NULL, 'F420-NONREDUCING HYDROGENASE II', 59503),
(115778, 'PTHR32278:SF44', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A13', 59504),
(115779, 'PTHR36321:SF2', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 1', 59505),
(115780, 'PTHR13976:SF32', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN F', 59506);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(115781, 'PTHR10168:SF281', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S11-LIKE', 59507),
(115782, 'PTHR24330:SF10', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN B-H1-RELATED', 59508),
(115783, 'PTHR13268:SF12', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18H', 59509),
(115784, 'PTHR12138:SF112', NULL, NULL, NULL, NULL, 'CHROMOSOME 14 OPEN READING FRAME 178', 59510),
(115785, 'PTHR47681:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59511),
(115786, 'PTHR31236:SF31', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 1', 59512),
(115787, 'PTHR21596:SF70', NULL, NULL, NULL, NULL, 'BNAC02G46630D PROTEIN', 59513),
(115788, 'PTHR10366:SF690', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59514),
(115789, 'PTHR24414:SF170', NULL, NULL, NULL, NULL, 'BNACNNG41470D PROTEIN', 59515),
(115790, 'PTHR10836:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59516),
(115791, 'PTHR43711:SF15', NULL, NULL, NULL, NULL, 'OSMOSENSOR HISTIDINE KINASE', 59517),
(115792, 'PTHR11776:SF28', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYL TRANSFERASE, PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN-RELATED', 59518),
(115793, 'PTHR11999:SF140', NULL, NULL, NULL, NULL, 'HISTIDINE DECARBOXYASE LIKE', 59519),
(115794, 'PTHR31080:SF74', NULL, NULL, NULL, NULL, 'INVERTASE INHIBITOR', 59520),
(115795, 'PTHR19384:SF114', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', 59521),
(115796, 'PTHR11945:SF631', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59522),
(115797, 'PTHR46472', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN', 59523),
(115798, 'PTHR23502:SF153', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00230)-RELATED', 59524),
(115799, 'PTHR37322:SF3', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE ABC EXOLYASE', 59525),
(115800, 'PTHR18945:SF744', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT BETA-TYPE ACR-2', 59526),
(115801, 'PTHR14418:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59527),
(115802, 'PTHR46363:SF1', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE TATDN2-RELATED', 59528),
(115803, 'PTHR46950:SF3', NULL, NULL, NULL, NULL, 'BNAA04G24710D PROTEIN', 59529),
(115804, 'PTHR10943:SF15', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2', 59530),
(115805, 'PTHR12155', NULL, NULL, NULL, NULL, 'SCHLAFEN', 59531),
(115806, 'PTHR46442:SF13', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 59532),
(115807, 'PTHR18959:SF57', NULL, NULL, NULL, NULL, 'TRANSGELIN-3', 59533),
(115808, 'PTHR23226:SF139', NULL, NULL, NULL, NULL, 'FI01106P-RELATED', 59534),
(115809, 'PTHR34753:SF1', NULL, NULL, NULL, NULL, 'TELOMERASE RNA COMPONENT INTERACTING RNASE', 59535),
(115810, 'PTHR45798:SF40', NULL, NULL, NULL, NULL, 'OS02G0686100 PROTEIN', 59536),
(115811, 'PTHR31623:SF70', NULL, NULL, NULL, NULL, 'PELARGONIDIN PROTEIN-RELATED', 59537),
(115812, 'PTHR44240:SF17', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 11, CHLOROPLASTIC-LIKE', 59538),
(115813, 'PTHR45089:SF40', NULL, NULL, NULL, NULL, 'OS11G0574216 PROTEIN', 59539),
(115814, 'PTHR36793:SF2', NULL, NULL, NULL, NULL, 'BNAA06G24390D PROTEIN', 59540),
(115815, 'PTHR45704:SF8', NULL, NULL, NULL, NULL, 'ZGC:110699', 59541),
(115816, 'PTHR24296:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59542),
(115817, 'PTHR11654:SF304', NULL, NULL, NULL, NULL, 'OS01G0902800 PROTEIN', 59543),
(115818, 'PTHR31852:SF138', NULL, NULL, NULL, NULL, 'F3F19.7', 59544),
(115819, 'PTHR23321', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S15, BACTERIAL AND ORGANELLAR', 59545),
(115820, 'PTHR44328:SF11', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE L2, CHLOROPLASTIC', 59546),
(115821, 'PTHR22753:SF40', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 59547),
(115822, 'PTHR37310', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 59548),
(115823, 'PTHR46266:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR EGL1', 59549),
(115824, 'PTHR23105:SF149', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 2-LIKE PROTEIN', 59550),
(115825, 'PTHR33109:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59551);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(115826, 'PTHR10454:SF203', NULL, NULL, NULL, NULL, 'APOPTOSIS-ASSOCIATED SPECK-LIKE PROTEIN CONTAINING A CARD', 59552),
(115827, 'PTHR11360:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59553),
(115828, 'PTHR10405:SF15', NULL, NULL, NULL, NULL, 'SPINDLIN-1', 59554),
(115829, 'PTHR44137:SF13', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 59555),
(115830, 'PTHR33595:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59556),
(115831, 'PTHR32099:SF58', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 9-RELATED', 59557),
(115832, 'PTHR43741:SF4', NULL, NULL, NULL, NULL, 'FMN-DEPENDENT NADH-AZOREDUCTASE 1', 59558),
(115833, 'PTHR38010:SF1', NULL, NULL, NULL, NULL, 'SLR0848 PROTEIN', 59559),
(115834, 'PTHR35845:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED SERINE-RICH PROTEIN 1', 59560),
(115835, 'PTHR42934:SF1', NULL, NULL, NULL, NULL, 'GLYCOLATE OXIDASE SUBUNIT GLCD', 59561),
(115836, 'PTHR33279:SF7', NULL, NULL, NULL, NULL, 'SSL1707 PROTEIN', 59562),
(115837, 'PTHR11119:SF41', NULL, NULL, NULL, NULL, 'OS08G0420600 PROTEIN', 59563),
(115838, 'PTHR12588:SF14', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE 5', 59564),
(115839, 'PTHR43349:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59565),
(115840, 'PTHR27004:SF362', NULL, NULL, NULL, NULL, 'BNAC02G09350D PROTEIN', 59566),
(115841, 'PTHR24296:SF209', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', 59567),
(115842, 'PTHR37728', NULL, NULL, NULL, NULL, 'BNAA04G26730D PROTEIN', 59568),
(115843, 'PTHR11945:SF553', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 42', 59569),
(115844, 'PTHR45764:SF54', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', 59570),
(115845, 'PTHR31265', NULL, NULL, NULL, NULL, 'OS02G0527500 PROTEIN-RELATED', 59571),
(115846, 'PTHR12606:SF115', NULL, NULL, NULL, NULL, 'CLAN CE, FAMILY C48, ULP1-LIKE CYSTEINE PEPTIDASE', 59572),
(115847, 'PTHR38506:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930544D05 GENE', 59573),
(115848, 'PTHR21255:SF27', NULL, NULL, NULL, NULL, 'TCTEX1 DOMAIN-CONTAINING PROTEIN 3', 59574),
(115849, 'PTHR19877:SF11', NULL, NULL, NULL, NULL, 'F9L1.42 PROTEIN', 59575),
(115850, 'PTHR10795:SF671', NULL, NULL, NULL, NULL, 'BNAC01G30950D PROTEIN', 59576),
(115851, 'PTHR45722:SF20', NULL, NULL, NULL, NULL, 'OS02G0503400 PROTEIN', 59577),
(115852, 'PTHR24365:SF530', NULL, NULL, NULL, NULL, 'MSTPROX-RELATED', 59578),
(115853, 'PTHR45669:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59579),
(115854, 'PTHR11177:SF324', NULL, NULL, NULL, NULL, 'CHITINASE 11', 59580),
(115855, 'PTHR42938', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE 1', 59581),
(115856, 'PTHR13771:SF17', NULL, NULL, NULL, NULL, 'INTERCELLULAR ADHESION MOLECULE 3', 59582),
(115857, 'PTHR45654:SF17', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ROC8', 59583),
(115858, 'PTHR46058:SF12', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 3', 59584),
(115859, 'PTHR32208:SF58', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN ARB_07867-LIKE', 59585),
(115860, 'PTHR11610:SF147', NULL, NULL, NULL, NULL, 'PANCREATIC LIPASE-RELATED PROTEIN 2', 59586),
(115861, 'PTHR23423:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59587),
(115862, 'PTHR43742:SF4', NULL, NULL, NULL, NULL, 'TRIMETHYLAMINE-N-OXIDE REDUCTASE 1', 59588),
(115863, 'PTHR10779:SF22', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN ROADBLOCK-TYPE 2', 59589),
(115864, 'PTHR21495:SF162', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 59590),
(115865, 'PTHR34046:SF15', NULL, NULL, NULL, NULL, 'BNACNNG28320D PROTEIN', 59591),
(115866, 'PTHR47427', NULL, NULL, NULL, NULL, 'PROTEIN STE12', 59592),
(115867, 'PTHR27004:SF369', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 59593),
(115868, 'PTHR37209:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59594),
(115869, 'PTHR31989:SF178', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 83', 59595),
(115870, 'PTHR13407', NULL, NULL, NULL, NULL, 'RNF121 PROTEIN', 59596),
(115871, 'PTHR44372:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59597);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(115872, 'PTHR32385', NULL, NULL, NULL, NULL, 'MANNOSYL PHOSPHORYLINOSITOL CERAMIDE SYNTHASE', 59598),
(115873, 'PTHR30363:SF52', NULL, NULL, NULL, NULL, 'GLUCITOL OPERON REPRESSOR', 59599),
(115874, 'PTHR33203:SF37', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN / OLEOSIN', 59600),
(115875, 'PTHR10969:SF62', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8D', 59601),
(115876, 'PTHR24235:SF9', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 59602),
(115877, 'PTHR48004:SF38', NULL, NULL, NULL, NULL, 'ROP-INTERACTIVE CRIB MOTIF-CONTAINING PROTEIN 7', 59603),
(115878, 'PTHR14340:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59604),
(115879, 'PTHR44240:SF15', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 11, CHLOROPLASTIC', 59605),
(115880, 'PTHR31080:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59606),
(115881, 'PTHR10388:SF50', NULL, NULL, NULL, NULL, 'APO PROTEIN 3, MITOCHONDRIAL-LIKE', 59607),
(115882, 'PTHR33647:SF17', NULL, NULL, NULL, NULL, 'BNAC03G41560D PROTEIN', 59608),
(115883, 'PTHR35163:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59609),
(115884, 'PTHR45376:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0070M12.14 PROTEIN', 59610),
(115885, 'PTHR35707:SF1', NULL, NULL, NULL, NULL, 'OS06G0608100 PROTEIN', 59611),
(115886, 'PTHR11653:SF12', NULL, NULL, NULL, NULL, 'PARVALBUMIN 1-RELATED', 59612),
(115887, 'PTHR10666:SF345', NULL, NULL, NULL, NULL, 'UBIQUITIN-40S RIBOSOMAL PROTEIN S27A', 59613),
(115888, 'PTHR43416:SF18', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE SUCCINYLTRANSFERASE COMPONENT OF 2-OXOGLUTARATE DEHYDROGENASE COMPLEX, MITOCHONDRIAL', 59614),
(115889, 'PTHR39214', NULL, NULL, NULL, NULL, 'MICROBODY (PEROXISOME) BIOGENESIS PROTEIN PEROXIN 8 (EUROFUNG)', 59615),
(115890, 'PTHR24637:SF337', NULL, NULL, NULL, NULL, 'COLLAGEN', 59616),
(115891, 'PTHR14222:SF2', NULL, NULL, NULL, NULL, 'CONDENSIN COMPLEX SUBUNIT 1', 59617),
(115892, 'PTHR30634:SF13', NULL, NULL, NULL, NULL, 'PROTEIN YEHF', 59618),
(115893, 'PTHR48001:SF65', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1E3', 59619),
(115894, 'PTHR45650:SF3', NULL, NULL, NULL, NULL, 'OS01G0748500 PROTEIN', 59620),
(115895, 'PTHR24115:SF929', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN AT 31E, ISOFORM A', 59621),
(115896, 'PTHR31459:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59622),
(115897, 'PTHR28014', NULL, NULL, NULL, NULL, 'NEGATIVE REGULATOR OF RAS-CAMP PATHWAY', 59623),
(115898, 'PTHR12547:SF53', NULL, NULL, NULL, NULL, 'MRNA DECAY ACTIVATOR PROTEIN ZFP36L1', 59624),
(115899, 'PTHR45680:SF7', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 59625),
(115900, 'PTHR24093:SF452', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 9, PLASMA MEMBRANE-TYPE', 59626),
(115901, 'PTHR11802:SF31', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 34', 59627),
(115902, 'PTHR24223:SF402', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 13-RELATED', 59628),
(115903, 'PTHR43092:SF5', NULL, NULL, NULL, NULL, 'L-CYSTEINE DESULFHYDRASE 2-RELATED', 59629),
(115904, 'PTHR43671:SF37', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK1', 59630),
(115905, 'PTHR11442:SF47', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT BETA-H0', 59631),
(115906, 'PTHR11711:SF340', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR A1F', 59632),
(115907, 'PTHR34357:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59633),
(115908, 'PTHR31549:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59634),
(115909, 'PTHR47324:SF1', NULL, NULL, NULL, NULL, 'PROTEIN IRG-7', 59635),
(115910, 'PTHR46278:SF4', NULL, NULL, NULL, NULL, 'ASPARTATE-SEMIALDEHYDE DEHYDROGENASE', 59636),
(115911, 'PTHR31190:SF316', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 59637),
(115912, 'PTHR48082', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ALPHA, MITOCHONDRIAL', 59638),
(115913, 'PTHR33923:SF11', NULL, NULL, NULL, NULL, 'PLANT CALMODULIN-BINDING-LIKE PROTEIN', 59639),
(115914, 'PTHR24073:SF1130', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1D', 59640),
(115915, 'PTHR21355', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 59641);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(115916, 'PTHR30246', NULL, NULL, NULL, NULL, '2-KETO-3-DEOXY-6-PHOSPHOGLUCONATE ALDOLASE', 59642),
(115917, 'PTHR13140:SF767', NULL, NULL, NULL, NULL, 'MYOSIN-11', 59643),
(115918, 'PTHR12098:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PELLINO HOMOLOG 2', 59644),
(115919, 'PTHR21879:SF15', NULL, NULL, NULL, NULL, 'OSIRIS 21', 59645),
(115920, 'PTHR46749', NULL, NULL, NULL, NULL, 'COMPLEX III ASSEMBLY FACTOR LYRM7', 59646),
(115921, 'PTHR33776', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 59647),
(115922, 'PTHR10366:SF447', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE/ISOMERASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06450)-RELATED', 59648),
(115923, 'PTHR11615:SF328', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 59649),
(115924, 'PTHR15657:SF1', NULL, NULL, NULL, NULL, 'THYROID TRANSCRIPTION FACTOR 1-ASSOCIATED PROTEIN 26', 59650),
(115925, 'PTHR36410:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59651),
(115926, 'PTHR14949:SF32', NULL, NULL, NULL, NULL, 'WNT INHIBITORY FACTOR 1', 59652),
(115927, 'PTHR24416:SF343', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR 4', 59653),
(115928, 'PTHR34535:SF4', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYBF', 59654),
(115929, 'PTHR24403:SF90', NULL, NULL, NULL, NULL, 'MOG INTERACTING AND ECTOPIC P-GRANULES PROTEIN 1', 59655),
(115930, 'PTHR13068:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59656),
(115931, 'PTHR41534', NULL, NULL, NULL, NULL, 'BLR3401 PROTEIN', 59657),
(115932, 'PTHR24296:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59658),
(115933, 'PTHR30561:SF23', NULL, NULL, NULL, NULL, '4-AMINO-4-DEOXY-L-ARABINOSE-PHOSPHOUNDECAPRENOL FLIPPASE SUBUNIT ARNE-RELATED', 59659),
(115934, 'PTHR11984:SF107', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', 59660),
(115935, 'PTHR11165:SF142', NULL, NULL, NULL, NULL, 'BNAA02G22640D PROTEIN', 59661),
(115936, 'PTHR31780:SF10', NULL, NULL, NULL, NULL, 'BNAA03G11200D PROTEIN', 59662),
(115937, 'PTHR11102:SF70', NULL, NULL, NULL, NULL, 'PROTEIN SEL-1 HOMOLOG 1', 59663),
(115938, 'PTHR31375:SF212', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 59664),
(115939, 'PTHR46496:SF7', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, FAD-BINDING', 59665),
(115940, 'PTHR12588', NULL, NULL, NULL, NULL, 'MYOINOSITOL OXYGENASE', 59666),
(115941, 'PTHR13533:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59667),
(115942, 'PTHR43903:SF10', NULL, NULL, NULL, NULL, 'NEUROLIGIN-4, X-LINKED', 59668),
(115943, 'PTHR46330:SF7', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC DEATH RECEPTOR', 59669),
(115944, 'PTHR11699:SF132', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 9 MEMBER A1-B', 59670),
(115945, 'PTHR33109:SF68', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 2', 59671),
(115946, 'PTHR11417', NULL, NULL, NULL, NULL, 'SOMATOTROPIN,PROLACTIN', 59672),
(115947, 'PTHR23012:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59673),
(115948, 'PTHR10641:SF1259', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 59674),
(115949, 'PTHR33869:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59675),
(115950, 'PTHR11895:SF83', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G09140)-RELATED', 59676),
(115951, 'PTHR36727:SF2', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT L, CHLOROPLASTIC', 59677),
(115952, 'PTHR18945:SF782', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59678),
(115953, 'PTHR21581:SF28', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN PROTEIN-RELATED', 59679),
(115954, 'PTHR47332:SF2', NULL, NULL, NULL, NULL, 'SET-6', 59680),
(115955, 'PTHR22883:SF284', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 1-RELATED', 59681),
(115956, 'PTHR11017:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59682),
(115957, 'PTHR13428:SF10', NULL, NULL, NULL, NULL, 'INNER NUCLEAR MEMBRANE PROTEIN MAN1', 59683),
(115958, 'PTHR24064:SF461', NULL, NULL, NULL, NULL, 'ORGANIC CATION TRANSPORTER 2', 59684),
(115959, 'PTHR33528:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59685);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(115960, 'PTHR34835', NULL, NULL, NULL, NULL, 'OS07G0283600 PROTEIN-RELATED', 59686),
(115961, 'PTHR10388:SF52', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR SUI1', 59687),
(115962, 'PTHR12247:SF77', NULL, NULL, NULL, NULL, 'SCM-LIKE WITH FOUR MBT DOMAINS PROTEIN 1', 59688),
(115963, 'PTHR10966', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', 59689),
(115964, 'PTHR40076:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 59690),
(115965, 'PTHR37441:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR-LIKE PROTEIN B0244.6-RELATED', 59691),
(115966, 'PTHR15710:SF109', NULL, NULL, NULL, NULL, 'BNAC04G01590D PROTEIN', 59692),
(115967, 'PTHR13803:SF35', NULL, NULL, NULL, NULL, 'BNAC03G35080D PROTEIN', 59693),
(115968, 'PTHR31728', NULL, NULL, NULL, NULL, 'ABRAXAS FAMILY MEMBER', 59694),
(115969, 'PTHR33044:SF148', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 59695),
(115970, 'PTHR42870:SF2', NULL, NULL, NULL, NULL, 'LIPID-TRANSFER PROTEIN, PUTATIVE-RELATED', 59696),
(115971, 'PTHR22771', NULL, NULL, NULL, NULL, 'CULLIN AND GALACTOSE-BINDING DOMAIN-CONTAINING', 59697),
(115972, 'PTHR47947:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 81, SUBFAMILY K, POLYPEPTIDE 1-RELATED', 59698),
(115973, 'PTHR45694:SF18', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN 2', 59699),
(115974, 'PTHR31790:SF395', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59700),
(115975, 'PTHR31989:SF256', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 72', 59701),
(115976, 'PTHR46244:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE-PROTEIN PHOSPHOTRANSFERASE', 59702),
(115977, 'PTHR19282:SF203', NULL, NULL, NULL, NULL, 'TETRASPANIN-13', 59703),
(115978, 'PTHR11800:SF14', NULL, NULL, NULL, NULL, 'BNAA01G22480D PROTEIN', 59704),
(115979, 'PTHR24096:SF149', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 2', 59705),
(115980, 'PTHR31218:SF344', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 59706),
(115981, 'PTHR31676:SF10', NULL, NULL, NULL, NULL, 'T31J12.3 PROTEIN', 59707),
(115982, 'PTHR45730:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59708),
(115983, 'PTHR12981:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-LIKE 1', 59709),
(115984, 'PTHR27002:SF443', NULL, NULL, NULL, NULL, 'OS07G0550500 PROTEIN', 59710),
(115985, 'PTHR45687:SF10', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-8-RELATED', 59711),
(115986, 'PTHR33110:SF23', NULL, NULL, NULL, NULL, 'OS04G0316800 PROTEIN', 59712),
(115987, 'PTHR23084:SF229', NULL, NULL, NULL, NULL, 'MORN REPEAT PROTEIN', 59713),
(115988, 'PTHR28525', NULL, NULL, NULL, NULL, 'REACTIVE OXYGEN SPECIES MODULATOR 1', 59714),
(115989, 'PTHR37748:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59715),
(115990, 'PTHR36705:SF8', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE204 PROTEIN', 59716),
(115991, 'PTHR14716', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 69', 59717),
(115992, 'PTHR38666', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 59718),
(115993, 'PTHR11738:SF166', NULL, NULL, NULL, NULL, 'KILLER CELL IMMUNOGLOBULIN-LIKE RECEPTOR 3DL1-RELATED', 59719),
(115994, 'PTHR11690:SF5', NULL, NULL, NULL, NULL, 'DEGENERIN LIKE', 59720),
(115995, 'PTHR43625:SF42', NULL, NULL, NULL, NULL, 'PERAKINE REDUCTASE-LIKE', 59721),
(115996, 'PTHR31639:SF40', NULL, NULL, NULL, NULL, 'MEIOTIC F-BOX PROTEIN MOF', 59722),
(115997, 'PTHR45621:SF144', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL9-RELATED', 59723),
(115998, 'PTHR21720', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 59724),
(115999, 'PTHR15572:SF1', NULL, NULL, NULL, NULL, 'BRD4-INTERACTING CHROMATIN-REMODELING COMPLEX-ASSOCIATED PROTEIN', 59725),
(116000, 'PTHR11771:SF161', NULL, NULL, NULL, NULL, 'HYDROPEROXIDE ISOMERASE ALOXE3', 59726),
(116001, 'PTHR16134:SF100', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 12-LIKE', 59727),
(116002, 'PTHR23215:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59728),
(116003, 'PTHR13115:SF9', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', 59729);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(116004, 'PTHR24366:SF13', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT NEURONAL PROTEIN 4', 59730),
(116005, 'PTHR23239:SF167', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 20', 59731),
(116006, 'PTHR15031', NULL, NULL, NULL, NULL, 'CARTILAGE INTERMEDIATE LAYER PROTEIN  CLIP', 59732),
(116007, 'PTHR32295:SF225', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE ISOFORM X1', 59733),
(116008, 'PTHR10996:SF247', NULL, NULL, NULL, NULL, '2-HYDROXYACID DEHYDROGENASE YGL185C-RELATED', 59734),
(116009, 'PTHR11467:SF57', NULL, NULL, NULL, NULL, 'HISTONE H1.4', 59735),
(116010, 'PTHR28243', NULL, NULL, NULL, NULL, 'AGL049CP', 59736),
(116011, 'PTHR43176:SF15', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE, MITOCHONDRIAL', 59737),
(116012, 'PTHR47060', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NOBOX', 59738),
(116013, 'PTHR12232:SF6', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING GLUTAMIC ACID-RICH-LIKE PROTEIN', 59739),
(116014, 'PTHR12189:SF6', NULL, NULL, NULL, NULL, 'MRNA CAP GUANINE-N7 METHYLTRANSFERASE', 59740),
(116015, 'PTHR31744', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 2-RELATED', 59741),
(116016, 'PTHR23155:SF1075', NULL, NULL, NULL, NULL, 'OS06G0644300 PROTEIN', 59742),
(116017, 'PTHR45889:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59743),
(116018, 'PTHR21736:SF39', NULL, NULL, NULL, NULL, 'PROTEIN OBERON 1', 59744),
(116019, 'PTHR45631:SF116', NULL, NULL, NULL, NULL, 'BNAA02G06940D PROTEIN', 59745),
(116020, 'PTHR40041:SF4', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', 59746),
(116021, 'PTHR33206:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG10425', 59747),
(116022, 'PTHR47518:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 59748),
(116023, 'PTHR22750:SF5', NULL, NULL, NULL, NULL, 'MELANOCORTIN RECEPTOR 5', 59749),
(116024, 'PTHR37698', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 1, CHLOROPLASTIC', 59750),
(116025, 'PTHR43673:SF3', NULL, NULL, NULL, NULL, 'NAD(P)H NITROREDUCTASE YODC-RELATED', 59751),
(116026, 'PTHR31241:SF43', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2E', 59752),
(116027, 'PTHR13980:SF15', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SPT16', 59753),
(116028, 'PTHR31071:SF7', NULL, NULL, NULL, NULL, 'PLANT/F24K9-26 PROTEIN', 59754),
(116029, 'PTHR11845', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 59755),
(116030, 'PTHR34831:SF1', NULL, NULL, NULL, NULL, 'MIGRATION AND INVASION-INHIBITORY PROTEIN', 59756),
(116031, 'PTHR42747:SF3', NULL, NULL, NULL, NULL, 'NITRONATE MONOOXYGENASE-RELATED', 59757),
(116032, 'PTHR11937:SF193', NULL, NULL, NULL, NULL, 'ACTIN, ALPHA SKELETAL MUSCLE', 59758),
(116033, 'PTHR11017:SF390', NULL, NULL, NULL, NULL, 'BNAC09G50760D PROTEIN', 59759),
(116034, 'PTHR11607:SF62', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE', 59760),
(116035, 'PTHR24056:SF45', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PRP4 HOMOLOG', 59761),
(116036, 'PTHR37891', NULL, NULL, NULL, NULL, 'OS06G0113900 PROTEIN', 59762),
(116037, 'PTHR31571:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59763),
(116038, 'PTHR24012:SF744', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 4', 59764),
(116039, 'PTHR23140:SF1', NULL, NULL, NULL, NULL, 'SR-RELATED CTD ASSOCIATED FACTOR 8', 59765),
(116040, 'PTHR33207:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59766),
(116041, 'PTHR24072:SF301', NULL, NULL, NULL, NULL, 'GTPASE CRAC1B', 59767),
(116042, 'PTHR46175:SF7', NULL, NULL, NULL, NULL, 'ADAGIO PROTEIN 1-LIKE', 59768),
(116043, 'PTHR36483:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59769),
(116044, 'PTHR46057:SF7', NULL, NULL, NULL, NULL, 'OS02G0686800 PROTEIN', 59770),
(116045, 'PTHR14024:SF50', NULL, NULL, NULL, NULL, 'LIPID STORAGE DROPLETS SURFACE-BINDING PROTEIN 2', 59771),
(116046, 'PTHR32295:SF15', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 33', 59772),
(116047, 'PTHR11183:SF128', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE PGSIP7-RELATED', 59773),
(116048, 'PTHR11413:SF108', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 59774);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(116049, 'PTHR43775:SF25', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (JCVI)-RELATED', 59775),
(116050, 'PTHR46128:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59776),
(116051, 'PTHR22763:SF177', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 59777),
(116052, 'PTHR24055:SF374', NULL, NULL, NULL, NULL, 'U2AF HOMOLOGY MOTIF KINASE 1', 59778),
(116053, 'PTHR23147:SF121', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 3', 59779),
(116054, 'PTHR10052:SF47', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', 59780),
(116055, 'PTHR13381:SF3', NULL, NULL, NULL, NULL, 'BNAANNG41120D PROTEIN', 59781),
(116056, 'PTHR46105:SF3', NULL, NULL, NULL, NULL, 'NUCLEUS ACCUMBENS-ASSOCIATED PROTEIN 1', 59782),
(116057, 'PTHR15503:SF8', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG-LIKE PROTEIN 4', 59783),
(116058, 'PTHR10333:SF94', NULL, NULL, NULL, NULL, 'PROTEIN YNG1', 59784),
(116059, 'PTHR13428', NULL, NULL, NULL, NULL, 'INNER NUCLEAR MEMBRANE PROTEIN MAN1  LEM DOMAIN CONTAINING PROTEIN', 59785),
(116060, 'PTHR12931:SF33', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE', 59786),
(116061, 'PTHR12746:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL EXPORT PROTEIN NMD3', 59787),
(116062, 'PTHR45926:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE6', 59788),
(116063, 'PTHR26374:SF398', NULL, NULL, NULL, NULL, 'BNAA01G31690D PROTEIN', 59789),
(116064, 'PTHR42345:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59790),
(116065, 'PTHR14581:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59791),
(116066, 'PTHR48041:SF26', NULL, NULL, NULL, NULL, 'FI22810P1', 59792),
(116067, 'PTHR11785:SF518', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 7 MEMBER 10A', 59793),
(116068, 'PTHR36389', NULL, NULL, NULL, NULL, 'OS05G0110100 PROTEIN', 59794),
(116069, 'PTHR24286:SF236', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 59795),
(116070, 'PTHR23070:SF144', NULL, NULL, NULL, NULL, 'OS12G0639500 PROTEIN', 59796),
(116071, 'PTHR11216:SF74', NULL, NULL, NULL, NULL, 'ACTIN CYTOSKELETON-REGULATORY COMPLEX PROTEIN END3', 59797),
(116072, 'PTHR43201:SF22', NULL, NULL, NULL, NULL, 'BNAA01G28170D PROTEIN', 59798),
(116073, 'PTHR23421:SF171', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 59799),
(116074, 'PTHR15664:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59800),
(116075, 'PTHR28441:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM91A1', 59801),
(116076, 'PTHR31205:SF47', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING-RELATED', 59802),
(116077, 'PTHR31943', NULL, NULL, NULL, NULL, 'INTERLEUKIN-28 AND 29', 59803),
(116078, 'PTHR45659:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B5', 59804),
(116079, 'PTHR11132:SF374', NULL, NULL, NULL, NULL, 'BNAC08G42000D PROTEIN', 59805),
(116080, 'PTHR24044:SF474', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', 59806),
(116081, 'PTHR45979:SF8', NULL, NULL, NULL, NULL, 'PAP/OAS1 SUBSTRATE-BINDING DOMAIN SUPERFAMILY', 59807),
(116082, 'PTHR31963:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59808),
(116083, 'PTHR48018:SF29', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 59809),
(116084, 'PTHR23088:SF48', NULL, NULL, NULL, NULL, 'SLL1640 PROTEIN', 59810),
(116085, 'PTHR47640:SF49', NULL, NULL, NULL, NULL, 'BNAA01G26250D PROTEIN', 59811),
(116086, 'PTHR33203:SF29', NULL, NULL, NULL, NULL, 'OLEOSIN FAMILY PROTEIN', 59812),
(116087, 'PTHR22397:SF2', NULL, NULL, NULL, NULL, 'JUNCTIONAL SARCOPLASMIC RETICULUM PROTEIN 1', 59813),
(116088, 'PTHR11920:SF228', NULL, NULL, NULL, NULL, 'RETINAL GUANYLYL CYCLASE 1', 59814),
(116089, 'PTHR11461:SF338', NULL, NULL, NULL, NULL, 'PROTEIN CBG15321', 59815),
(116090, 'PTHR21551:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PAT1 HOMOLOG 1', 59816),
(116091, 'PTHR34126:SF5', NULL, NULL, NULL, NULL, 'PEROXIN 22-RELATED', 59817),
(116092, 'PTHR48053:SF5', NULL, NULL, NULL, NULL, 'REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 59818),
(116093, 'PTHR31513:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59819),
(116094, 'PTHR43128:SF14', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', 59820); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(116095, 'PTHR11581:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', 59821),
(116096, 'PTHR46666:SF9', NULL, NULL, NULL, NULL, 'BNAC03G70050D PROTEIN', 59822),
(116097, 'PTHR44240:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59823),
(116098, 'PTHR47933:SF15', NULL, NULL, NULL, NULL, 'OS03G0795400 PROTEIN', 59824),
(116099, 'PTHR42749:SF5', NULL, NULL, NULL, NULL, 'CELL SHAPE-DETERMINING PROTEIN MREBH', 59825),
(116100, 'PTHR11852:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59826),
(116101, 'PTHR10408:SF19', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE', 59827),
(116102, 'PTHR11588:SF280', NULL, NULL, NULL, NULL, 'TUBULIN BETA-4 CHAIN', 59828),
(116103, 'PTHR24326:SF234', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX22', 59829),
(116104, 'PTHR11431:SF103', NULL, NULL, NULL, NULL, 'FERRITIN', 59830),
(116105, 'PTHR31087:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59831),
(116106, 'PTHR11216:SF63', NULL, NULL, NULL, NULL, 'RALBP1-ASSOCIATED EPS DOMAIN-CONTAINING PROTEIN 1', 59832),
(116107, 'PTHR14237:SF73', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', 59833),
(116108, 'PTHR30548', NULL, NULL, NULL, NULL, '2-HYDROXYGLUTARYL-COA DEHYDRATASE, D-COMPONENT-RELATED', 59834),
(116109, 'PTHR23140:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59835),
(116110, 'PTHR20981:SF30', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L21-A-RELATED', 59836),
(116111, 'PTHR35936:SF5', NULL, NULL, NULL, NULL, 'PERIPLASMIC SUBSTRATE BINDING PROTEIN FAMILY 3', 59837),
(116112, 'PTHR43544:SF5', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 59838),
(116113, 'PTHR12565:SF328', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH77-LIKE', 59839),
(116114, 'PTHR45911:SF3', NULL, NULL, NULL, NULL, 'MULTIPLE C2 AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', 59840),
(116115, 'PTHR11630:SF96', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM3 HOMOLOG 3', 59841),
(116116, 'PTHR11375:SF2', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY MEMBER B', 59842),
(116117, 'PTHR35378', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 59843),
(116118, 'PTHR35182:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04729', 59844),
(116119, 'PTHR22947', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 59845),
(116120, 'PTHR11177:SF339', NULL, NULL, NULL, NULL, 'NOD FACTOR HYDROLASE PROTEIN 1', 59846),
(116121, 'PTHR47215:SF2', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE', 59847),
(116122, 'PTHR23024:SF406', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', 59848),
(116123, 'PTHR33128:SF49', NULL, NULL, NULL, NULL, 'BNAANNG27000D PROTEIN', 59849),
(116124, 'PTHR23508', NULL, NULL, NULL, NULL, 'CARBOXYLIC ACID TRANSPORTER PROTEIN HOMOLOG', 59850),
(116125, 'PTHR31172:SF6', NULL, NULL, NULL, NULL, 'OS07G0642800 PROTEIN', 59851),
(116126, 'PTHR27007:SF274', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', 59852),
(116127, 'PTHR13832:SF657', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60-RELATED', 59853),
(116128, 'PTHR33332:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59854),
(116129, 'PTHR31503:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59855),
(116130, 'PTHR34709:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59856),
(116131, 'PTHR11732:SF252', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 4 MEMBER C9', 59857),
(116132, 'PTHR24055:SF444', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 1-LIKE', 59858),
(116133, 'PTHR32116:SF82', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 59859),
(116134, 'PTHR23227:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59860),
(116135, 'PTHR32000:SF3', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN', 59861),
(116136, 'PTHR38525:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59862),
(116137, 'PTHR46797:SF10', NULL, NULL, NULL, NULL, 'BLR1115 PROTEIN', 59863),
(116138, 'PTHR31662:SF38', NULL, NULL, NULL, NULL, 'PROTEIN PFC0760C-LIKE', 59864),
(116139, 'PTHR10766:SF128', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 59865);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(116140, 'PTHR31645:SF20', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', 59866),
(116141, 'PTHR36047:SF1', NULL, NULL, NULL, NULL, 'OS01G0191000 PROTEIN', 59867),
(116142, 'PTHR43895:SF76', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 19', 59868),
(116143, 'PTHR47439:SF1', NULL, NULL, NULL, NULL, 'LOW MOLECULAR WEIGHT PHOSPHOTYROSINE PROTEIN PHOSPHATASE-RELATED', 59869),
(116144, 'PTHR24298:SF668', NULL, NULL, NULL, NULL, 'INDOLE-2-MONOOXYGENASE', 59870),
(116145, 'PTHR12025:SF3', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR C', 59871),
(116146, 'PTHR21105:SF0', NULL, NULL, NULL, NULL, 'GH16255P', 59872),
(116147, 'PTHR45811:SF63', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', 59873),
(116148, 'PTHR46416:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59874),
(116149, 'PTHR14155:SF546', NULL, NULL, NULL, NULL, 'OS02G0572200 PROTEIN', 59875),
(116150, 'PTHR45714:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59876),
(116151, 'PTHR26312:SF187', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE A, AUXILIARY SUBUNIT-RELATED', 59877),
(116152, 'PTHR47689:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59878),
(116153, 'PTHR18953:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59879),
(116154, 'PTHR47999:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB8-RELATED', 59880),
(116155, 'PTHR28469:SF1', NULL, NULL, NULL, NULL, 'ECTODYSPLASIN-A RECEPTOR-ASSOCIATED ADAPTER PROTEIN', 59881),
(116156, 'PTHR44656:SF6', NULL, NULL, NULL, NULL, 'SI:CH211-165B10.3', 59882),
(116157, 'PTHR27008:SF243', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59883),
(116158, 'PTHR30468:SF5', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT SULFATE ESTER DIOXYGENASE', 59884),
(116159, 'PTHR47993:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59885),
(116160, 'PTHR12773:SF3', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL METHYLTRANSFERASE SUBUNIT TRM112 HOMOLOG B', 59886),
(116161, 'PTHR24083:SF71', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 59887),
(116162, 'PTHR32133:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59888),
(116163, 'PTHR40061:SF1', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN YLMC-RELATED', 59889),
(116164, 'PTHR31375:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59890),
(116165, 'PTHR44329:SF129', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0282963 ISOFORM X1-RELATED', 59891),
(116166, 'PTHR47938:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59892),
(116167, 'PTHR33257:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59893),
(116168, 'PTHR47327:SF9', NULL, NULL, NULL, NULL, 'NO MECHANORECEPTOR POTENTIAL A, ISOFORM A', 59894),
(116169, 'PTHR30451:SF5', NULL, NULL, NULL, NULL, 'SLR0019 PROTEIN', 59895),
(116170, 'PTHR43215:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ACCUMULATION AND REPLICATION OF CHLOROPLASTS 3', 59896),
(116171, 'PTHR13082:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59897),
(116172, 'PTHR13799:SF13', NULL, NULL, NULL, NULL, 'NIF3-LIKE PROTEIN 1', 59898),
(116173, 'PTHR31992:SF203', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.4-LIKE', 59899),
(116174, 'PTHR45676:SF73', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-RELATED', 59900),
(116175, 'PTHR32073:SF7', NULL, NULL, NULL, NULL, 'GH11358P', 59901),
(116176, 'PTHR11206:SF280', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 59902),
(116177, 'PTHR22601:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59903),
(116178, 'PTHR32044:SF89', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', 59904),
(116179, 'PTHR33923', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN-RELATED', 59905),
(116180, 'PTHR12300:SF105', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN G-RELATED', 59906),
(116181, 'PTHR10340', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE', 59907),
(116182, 'PTHR33463:SF100', NULL, NULL, NULL, NULL, 'RPP4C3', 59908),
(116183, 'PTHR31388:SF215', NULL, NULL, NULL, NULL, 'PEROXIDASE', 59909);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(116184, 'PTHR14469:SF0', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 113', 59910),
(116185, 'PTHR31060:SF35', NULL, NULL, NULL, NULL, 'BNAC03G41230D PROTEIN', 59911),
(116186, 'PTHR12888:SF2', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY PROTEIN 12', 59912),
(116187, 'PTHR40375', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 22', 59913),
(116188, 'PTHR23315:SF265', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 46-RELATED', 59914),
(116189, 'PTHR34785', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS RELATED FAMILY PROTEIN-RELATED', 59915),
(116190, 'PTHR10438:SF242', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CXXS1', 59916),
(116191, 'PTHR12087:SF0', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 4', 59917),
(116192, 'PTHR47364:SF21', NULL, NULL, NULL, NULL, 'PHYTOCYSTATIN 5', 59918),
(116193, 'PTHR45798:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59919),
(116194, 'PTHR11413:SF110', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 7', 59920),
(116195, 'PTHR23070:SF177', NULL, NULL, NULL, NULL, 'CHAPERONE BCS1, PUTATIVE-RELATED', 59921),
(116196, 'PTHR24035:SF104', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC PROTEIN 6', 59922),
(116197, 'PTHR12000:SF39', NULL, NULL, NULL, NULL, 'PEPTIDASE C13, LEGUMAIN-RELATED', 59923),
(116198, 'PTHR47926:SF29', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 59924),
(116199, 'PTHR23513:SF6', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE EFFLUX PROTEIN-RELATED', 59925),
(116200, 'PTHR45648:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59926),
(116201, 'PTHR11260:SF326', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTU6-RELATED', 59927),
(116202, 'PTHR24335:SF3', NULL, NULL, NULL, NULL, 'MOTOR NEURON AND PANCREAS HOMEOBOX PROTEIN 1', 59928),
(116203, 'PTHR34797:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59929),
(116204, 'PTHR46038:SF10', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE FAMILY PROTEIN', 59930),
(116205, 'PTHR47287:SF14', NULL, NULL, NULL, NULL, 'BNAA09G04660D PROTEIN', 59931),
(116206, 'PTHR46915:SF6', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN', 59932),
(116207, 'PTHR23157:SF24', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 1', 59933),
(116208, 'PTHR31013:SF10', NULL, NULL, NULL, NULL, 'THAUMATIN FAMILY', 59934),
(116209, 'PTHR45651:SF35', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 10-RELATED', 59935),
(116210, 'PTHR45922:SF1', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 2', 59936),
(116211, 'PTHR15288:SF23', NULL, NULL, NULL, NULL, 'BNAA09G10210D PROTEIN', 59937),
(116212, 'PTHR46787', NULL, NULL, NULL, NULL, 'SYNDROMES PUTATIVE CHAPERONIN-RELATED', 59938),
(116213, 'PTHR10165:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59939),
(116214, 'PTHR47985:SF47', NULL, NULL, NULL, NULL, 'BNAC03G71490D PROTEIN', 59940),
(116215, 'PTHR38689:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE HYDROPHOBIC MEMBRANE ANCHOR SUBUNIT', 59941),
(116216, 'PTHR46337', NULL, NULL, NULL, NULL, 'RCC1-LIKE G EXCHANGING FACTOR-LIKE PROTEIN', 59942),
(116217, 'PTHR13806:SF44', NULL, NULL, NULL, NULL, 'FLOTILLIN-2', 59943),
(116218, 'PTHR43570:SF20', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE ALDX-RELATED', 59944),
(116219, 'PTHR31279:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59945),
(116220, 'PTHR33800:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59946),
(116221, 'PTHR10788:SF82', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 4-RELATED', 59947),
(116222, 'PTHR23338:SF18', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', 59948),
(116223, 'PTHR19241:SF643', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', 59949),
(116224, 'PTHR31265:SF22', NULL, NULL, NULL, NULL, 'F17A17.37 PROTEIN', 59950),
(116225, 'PTHR48001:SF50', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1A1-RELATED', 59951),
(116226, 'PTHR11545:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59952);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(116227, 'PTHR21089:SF31', NULL, NULL, NULL, NULL, 'SHIKIMATE DEHYDROGENASE (NADP(+))', 59953),
(116228, 'PTHR24006:SF692', NULL, NULL, NULL, NULL, 'UBIQUITIN SPECIFIC PROTEASE 9', 59954),
(116229, 'PTHR45714:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX26-RELATED', 59955),
(116230, 'PTHR15349:SF0', NULL, NULL, NULL, NULL, 'ENDOTHELIAL PROTEIN C RECEPTOR', 59956),
(116231, 'PTHR11736:SF140', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B1', 59957),
(116232, 'PTHR47210:SF4', NULL, NULL, NULL, NULL, 'BNAA03G55870D PROTEIN', 59958),
(116233, 'PTHR46629:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UBIQUITIN LIGASE ACTIVATOR OF NFKB 1-LIKE', 59959),
(116234, 'PTHR24210:SF0', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN', 59960),
(116235, 'PTHR21184', NULL, NULL, NULL, NULL, 'MENORIN (DENDRITIC BRANCHING PROTEIN)', 59961),
(116236, 'PTHR10353:SF65', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 27', 59962),
(116237, 'PTHR34031:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 162 KDA', 59963),
(116238, 'PTHR45968:SF1', NULL, NULL, NULL, NULL, 'OS09G0363900 PROTEIN', 59964),
(116239, 'PTHR10168:SF246', NULL, NULL, NULL, NULL, 'THIOREDOXIN SUPERFAMILY PROTEIN-RELATED', 59965),
(116240, 'PTHR41749:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59966),
(116241, 'PTHR44329:SF202', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY17-LIKE ISOFORM X1', 59967),
(116242, 'PTHR12419:SF76', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN DDB_G0284757-LIKE ISOFORM X1', 59968),
(116243, 'PTHR23345:SF9', NULL, NULL, NULL, NULL, 'SI:DKEY-4C23.3-RELATED', 59969),
(116244, 'PTHR11639:SF26', NULL, NULL, NULL, NULL, 'CORNULIN', 59970),
(116245, 'PTHR12241:SF159', NULL, NULL, NULL, NULL, 'TUBULIN-TYROSINE LIGASE-LIKE PROTEIN, CONSERVED', 59971),
(116246, 'PTHR12025:SF14', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR BA-RELATED', 59972),
(116247, 'PTHR23023:SF166', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', 59973),
(116248, 'PTHR21228:SF50', NULL, NULL, NULL, NULL, 'AGAP000447-PA', 59974),
(116249, 'PTHR33801:SF6', NULL, NULL, NULL, NULL, 'OSJNBB0088C09.10 PROTEIN', 59975),
(116250, 'PTHR11817:SF91', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 59976),
(116251, 'PTHR11346:SF166', NULL, NULL, NULL, NULL, 'GALECTIN-16', 59977),
(116252, 'PTHR10869:SF148', NULL, NULL, NULL, NULL, 'OS01G0174500 PROTEIN', 59978),
(116253, 'PTHR24229:SF7', NULL, NULL, NULL, NULL, 'MU-TYPE OPIOID RECEPTOR', 59979),
(116254, 'PTHR31374:SF188', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', 59980),
(116255, 'PTHR18966:SF511', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 59981),
(116256, 'PTHR21576:SF110', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', 59982),
(116257, 'PTHR31500:SF77', NULL, NULL, NULL, NULL, 'AT HOOK MOTIF DNA-BINDING FAMILY PROTEIN', 59983),
(116258, 'PTHR23333:SF4', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 11', 59984),
(116259, 'PTHR19282:SF155', NULL, NULL, NULL, NULL, 'TETRASPANIN-2', 59985),
(116260, 'PTHR31001:SF56', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, PUTATIVE-RELATED', 59986),
(116261, 'PTHR33136:SF41', NULL, NULL, NULL, NULL, 'OS01G0932950 PROTEIN', 59987),
(116262, 'PTHR12353:SF31', NULL, NULL, NULL, NULL, 'LD44824P', 59988),
(116263, 'PTHR45974:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 59989),
(116264, 'PTHR11571:SF245', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE A5', 59990),
(116265, 'PTHR12701:SF12', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED-LIKE PROTEIN', 59991),
(116266, 'PTHR19308', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE TRANSFER PROTEIN', 59992),
(116267, 'PTHR31719:SF179', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 102-LIKE', 59993),
(116268, 'PTHR18952:SF216', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 2, ISOFORM A', 59994),
(116269, 'PTHR23201:SF2', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 1-RELATED', 59995),
(116270, 'PTHR11014:SF55', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 4-RELATED', 59996);
INSERT INTO "PUBLIC"."MODEL" VALUES
(116271, 'PTHR12547:SF141', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 15', 59997),
(116272, 'PTHR31415:SF142', NULL, NULL, NULL, NULL, 'OS07G0250501 PROTEIN', 59998),
(116273, 'PTHR10795:SF528', NULL, NULL, NULL, NULL, 'OS10G0524600 PROTEIN', 59999),
(116274, 'PTHR43272:SF32', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE ACSBG2', 60000),
(116275, 'PTHR31448:SF45', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 60001),
(116276, 'PTHR23428:SF278', NULL, NULL, NULL, NULL, 'HISTONE H2B', 60002),
(116277, 'PTHR13271:SF103', NULL, NULL, NULL, NULL, 'BNAA07G01600D PROTEIN', 60003),
(116278, 'PTHR24056:SF233', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 12', 60004),
(116279, 'PTHR13887:SF42', NULL, NULL, NULL, NULL, 'DISULFIDE BOND FORMATION FACILITATOR', 60005),
(116280, 'PTHR32208:SF82', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH, BETA-PROPELLER-RELATED', 60006),
(116281, 'PTHR43217:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE SEMIALDEHYDE DEHYDROGENASE [NAD(P)+] SAD', 60007),
(116282, 'PTHR15858:SF5', NULL, NULL, NULL, NULL, 'IMMEDIATE EARLY RESPONSE 3-INTERACTING PROTEIN 1-LIKE', 60008),
(116283, 'PTHR12620:SF36', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF SMALL SUBUNIT A', 60009),
(116284, 'PTHR24242:SF192', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 60010),
(116285, 'PTHR35408:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60011),
(116286, 'PTHR13935:SF62', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE HOMOLOG 2', 60012),
(116287, 'PTHR31827:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60013),
(116288, 'PTHR31280:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60014),
(116289, 'PTHR31062:SF242', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 60015),
(116290, 'PTHR19876:SF43', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN POF1', 60016),
(116291, 'PTHR31770:SF3', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE PROTEIN TAFA-3', 60017),
(116292, 'PTHR47978:SF10', NULL, NULL, NULL, NULL, 'RAB FAMILY GTPASE', 60018),
(116293, 'PTHR10838:SF22', NULL, NULL, NULL, NULL, 'SYNAPTOGYRIN-4', 60019),
(116294, 'PTHR38640:SF1', NULL, NULL, NULL, NULL, 'GEO09659P1', 60020),
(116295, 'PTHR11108:SF4', NULL, NULL, NULL, NULL, 'FERROCHELATASE-1, CHLOROPLASTIC/MITOCHONDRIAL', 60021),
(116296, 'PTHR22298:SF43', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 22', 60022),
(116297, 'PTHR23501:SF178', NULL, NULL, NULL, NULL, 'QUINOLONE RESISTANCE PROTEIN NORB', 60023),
(116298, 'PTHR46413:SF15', NULL, NULL, NULL, NULL, 'OS10G0440300 PROTEIN', 60024),
(116299, 'PTHR15416:SF2', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE INHIBITOR ALPHA', 60025),
(116300, 'PTHR10314:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60026),
(116301, 'PTHR24125:SF0', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND DEATH DOMAIN-CONTAINING PROTEIN 1A', 60027),
(116302, 'PTHR14315:SF18', NULL, NULL, NULL, NULL, 'THYROID HORMONE-INDUCIBLE HEPATIC PROTEIN', 60028),
(116303, 'PTHR15926', NULL, NULL, NULL, NULL, 'ALL-TRANS RETINOIC ACID-INDUCED DIFFERENTIATION FACTOR', 60029),
(116304, 'PTHR33122:SF58', NULL, NULL, NULL, NULL, 'BNAA03G11410D PROTEIN', 60030),
(116305, 'PTHR12993', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYL-PHOSPHATIDYLINOSITOL DE-N-ACETYLASE-RELATED', 60031),
(116306, 'PTHR11685:SF345', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 60032),
(116307, 'PTHR40430', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 60033),
(116308, 'PTHR10291:SF38', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 60034),
(116309, 'PTHR43808:SF3', NULL, NULL, NULL, NULL, 'ACETYLORNITHINE DEACETYLASE', 60035),
(116310, 'PTHR21231:SF3', NULL, NULL, NULL, NULL, 'GPN-LOOP GTPASE 2', 60036),
(116311, 'PTHR13690:SF142', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 60037),
(116312, 'PTHR43374:SF1', NULL, NULL, NULL, NULL, 'FLAVIN PRENYLTRANSFERASE PAD1, MITOCHONDRIAL', 60038),
(116313, 'PTHR45940:SF19', NULL, NULL, NULL, NULL, 'BNAA09G18650D PROTEIN', 60039),
(116314, 'PTHR43618:SF6', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT BETA-KETOACYL REDUCTASE (RHLG)-RELATED', 60040);
INSERT INTO "PUBLIC"."MODEL" VALUES
(116315, 'PTHR11216:SF71', NULL, NULL, NULL, NULL, 'SARCALUMENIN', 60041),
(116316, 'PTHR43771:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE', 60042),
(116317, 'PTHR19862:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WD40-LIKE FAMILY-RELATED', 60043),
(116318, 'PTHR30561:SF6', NULL, NULL, NULL, NULL, 'SPERMIDINE EXPORT PROTEIN MDTI', 60044),
(116319, 'PTHR23025:SF3', NULL, NULL, NULL, NULL, 'HORMONE-SENSITIVE LIPASE', 60045),
(116320, 'PTHR31948:SF122', NULL, NULL, NULL, NULL, 'BNAA08G14660D PROTEIN', 60046),
(116321, 'PTHR28177:SF1', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 19, MITOCHONDRIAL', 60047),
(116322, 'PTHR12320:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60048),
(116323, 'PTHR43281:SF11', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE 11, CHLOROPLASTIC-RELATED', 60049),
(116324, 'PTHR10743', NULL, NULL, NULL, NULL, 'PROTEIN RER1', 60050),
(116325, 'PTHR10804:SF136', NULL, NULL, NULL, NULL, 'BNAA01G19300D PROTEIN', 60051),
(116326, 'PTHR10900:SF77', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN YLR001C', 60052),
(116327, 'PTHR36140:SF2', NULL, NULL, NULL, NULL, 'OS01G0152950 PROTEIN', 60053),
(116328, 'PTHR11594:SF9', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', 60054),
(116329, 'PTHR31161:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 60055),
(116330, 'PTHR32502', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE PERMEASE II COMPONENT-RELATED', 60056),
(116331, 'PTHR43537:SF6', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR RSPR', 60057),
(116332, 'PTHR20275:SF29', NULL, NULL, NULL, NULL, 'NAD KINASE B', 60058),
(116333, 'PTHR13068:SF130', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN, PUTATIVE-RELATED', 60059),
(116334, 'PTHR33142:SF57', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR1-LIKE', 60060),
(116335, 'PTHR22572:SF145', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLYLTRANSFERASE 1', 60061),
(116336, 'PTHR46986', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE YBEY, CHLOROPLASTIC', 60062),
(116337, 'PTHR33065:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60063),
(116338, 'PTHR38690', NULL, NULL, NULL, NULL, 'PROTEASE-RELATED', 60064),
(116339, 'PTHR33148:SF52', NULL, NULL, NULL, NULL, 'OS06G0260000 PROTEIN', 60065),
(116340, 'PTHR27003:SF339', NULL, NULL, NULL, NULL, 'BNAA06G40790D PROTEIN', 60066),
(116341, 'PTHR33736:SF15', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 60067),
(116342, 'PTHR11119:SF95', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 6-LIKE', 60068),
(116343, 'PTHR31079:SF2', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 44-RELATED', 60069),
(116344, 'PTHR46698:SF2', NULL, NULL, NULL, NULL, 'KIELIN/CHORDIN-LIKE PROTEIN', 60070),
(116345, 'PTHR44419:SF14', NULL, NULL, NULL, NULL, 'NADPH-PROTOCHLOROPHYLLIDE OXIDOREDUCTASE', 60071),
(116346, 'PTHR31111:SF22', NULL, NULL, NULL, NULL, 'BNAA05G37150D PROTEIN', 60072),
(116347, 'PTHR31770:SF7', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE PROTEIN TAFA-4', 60073),
(116348, 'PTHR31165:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60074),
(116349, 'PTHR40038:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEIN TCAA', 60075),
(116350, 'PTHR31210:SF64', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF707)-RELATED', 60076),
(116351, 'PTHR42039:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02940)-RELATED', 60077),
(116352, 'PTHR12242:SF9', NULL, NULL, NULL, NULL, 'OS01G0171800 PROTEIN', 60078),
(116353, 'PTHR46895:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR F59B2.13-RELATED', 60079),
(116354, 'PTHR11500', NULL, NULL, NULL, NULL, 'BETA CASEIN', 60080),
(116355, 'PTHR24006:SF779', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', 60081),
(116356, 'PTHR13843:SF5', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 1B', 60082),
(116357, 'PTHR27006:SF293', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 60083),
(116358, 'PTHR24230:SF49', NULL, NULL, NULL, NULL, 'GONADOTROPIN-RELEASING HORMONE RECEPTOR (GNRHR) RELATED', 60084);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(116359, 'PTHR24281:SF183', NULL, NULL, NULL, NULL, 'BNAC06G01270D PROTEIN', 60085),
(116360, 'PTHR13902:SF116', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK9-RELATED', 60086),
(116361, 'PTHR31589:SF125', NULL, NULL, NULL, NULL, 'BNAANNG31550D PROTEIN', 60087),
(116362, 'PTHR40137', NULL, NULL, NULL, NULL, 'PROTEIN GVPK 1', 60088),
(116363, 'PTHR11360:SF156', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14260)-RELATED', 60089),
(116364, 'PTHR13814:SF14', NULL, NULL, NULL, NULL, 'FETUIN B', 60090),
(116365, 'PTHR31752:SF45', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 9-RELATED', 60091),
(116366, 'PTHR33074:SF75', NULL, NULL, NULL, NULL, 'OS01G0189800 PROTEIN', 60092),
(116367, 'PTHR48002:SF153', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 60093),
(116368, 'PTHR43578:SF3', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT F', 60094),
(116369, 'PTHR33784:SF21', NULL, NULL, NULL, NULL, 'BNAC03G16590D PROTEIN', 60095),
(116370, 'PTHR11795:SF452', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', 60096),
(116371, 'PTHR14614:SF130', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', 60097),
(116372, 'PTHR24072:SF165', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930544G11', 60098),
(116373, 'PTHR46344:SF1', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING F-BOX PROTEIN-LIKE', 60099),
(116374, 'PTHR20884:SF20', NULL, NULL, NULL, NULL, 'GDP-D-GLUCOSE PHOSPHORYLASE 1-RELATED', 60100),
(116375, 'PTHR23334:SF58', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN GAMMA-LIKE PROTEIN', 60101),
(116376, 'PTHR11972:SF79', NULL, NULL, NULL, NULL, 'FERRIC REDUCTION OXIDASE 4-RELATED', 60102),
(116377, 'PTHR45707:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60103),
(116378, 'PTHR23166:SF7', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER PROTEIN 1', 60104),
(116379, 'PTHR48044:SF50', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 60105),
(116380, 'PTHR11588:SF310', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 60106),
(116381, 'PTHR13683:SF712', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2-LIKE', 60107),
(116382, 'PTHR24349:SF382', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60108),
(116383, 'PTHR24055:SF367', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 15', 60109),
(116384, 'PTHR43148:SF2', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE 2', 60110),
(116385, 'PTHR44051:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60111),
(116386, 'PTHR18966:SF495', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 60112),
(116387, 'PTHR22835:SF620', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60113),
(116388, 'PTHR11426:SF201', NULL, NULL, NULL, NULL, 'HISTONE H3, EMBRYONIC', 60114),
(116389, 'PTHR11909:SF399', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60115),
(116390, 'PTHR33710:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60116),
(116391, 'PTHR24343:SF474', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2A', 60117),
(116392, 'PTHR31218:SF156', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 60118),
(116393, 'PTHR21724:SF93', NULL, NULL, NULL, NULL, 'PHARYNGEAL GLAND TOXIN-RELATED', 60119),
(116394, 'PTHR35115:SF1', NULL, NULL, NULL, NULL, 'CYCLIN DELTA-3', 60120),
(116395, 'PTHR46162:SF37', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 7-LIKE ISOFORM X1', 60121),
(116396, 'PTHR23147:SF129', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF', 60122),
(116397, 'PTHR33873:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60123),
(116398, 'PTHR35101:SF11', NULL, NULL, NULL, NULL, 'OS08G0192100 PROTEIN', 60124),
(116399, 'PTHR38768:SF1', NULL, NULL, NULL, NULL, 'UPF0502 PROTEIN YCEH', 60125),
(116400, 'PTHR45752:SF61', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 2', 60126),
(116401, 'PTHR30544', NULL, NULL, NULL, NULL, '23S RRNA METHYLTRANSFERASE', 60127),
(116402, 'PTHR33377:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60128),
(116403, 'PTHR31390:SF14', NULL, NULL, NULL, NULL, 'BNAA09G11020D PROTEIN', 60129); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(116404, 'PTHR11161:SF33', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 60130),
(116405, 'PTHR48048:SF44', NULL, NULL, NULL, NULL, 'OS10G0162980 PROTEIN', 60131),
(116406, 'PTHR47156', NULL, NULL, NULL, NULL, 'PROTEIN CBG20824', 60132),
(116407, 'PTHR39173', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', 60133),
(116408, 'PTHR10803:SF23', NULL, NULL, NULL, NULL, 'ATPASE ASNA-1-LIKE', 60134),
(116409, 'PTHR30480:SF15', NULL, NULL, NULL, NULL, 'SUGAR HYDROLASE-RELATED', 60135),
(116410, 'PTHR30060:SF1', NULL, NULL, NULL, NULL, 'UPF0053 INNER MEMBRANE PROTEIN YGDQ', 60136),
(116411, 'PTHR22947:SF38', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 60137),
(116412, 'PTHR34863', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 60138),
(116413, 'PTHR47926:SF153', NULL, NULL, NULL, NULL, 'BNAA06G15620D PROTEIN', 60139),
(116414, 'PTHR11206:SF424', NULL, NULL, NULL, NULL, 'TRANSPORTER PROTEIN, PUTATIVE-RELATED', 60140),
(116415, 'PTHR48047:SF35', NULL, NULL, NULL, NULL, 'OS04G0130433 PROTEIN', 60141),
(116416, 'PTHR34455', NULL, NULL, NULL, NULL, 'OS07G0673550 PROTEIN', 60142),
(116417, 'PTHR43280:SF10', NULL, NULL, NULL, NULL, 'ARAC/XYLS FAMILY REGULATOR-RELATED', 60143),
(116418, 'PTHR12106:SF9', NULL, NULL, NULL, NULL, 'VPS10 DOMAIN-CONTAINING RECEPTOR SORCS2', 60144),
(116419, 'PTHR13768:SF36', NULL, NULL, NULL, NULL, 'OS01G0812500 PROTEIN', 60145),
(116420, 'PTHR46128:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60146),
(116421, 'PTHR32191:SF1', NULL, NULL, NULL, NULL, 'TETRASPANIN-6', 60147),
(116422, 'PTHR31472:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60148),
(116423, 'PTHR45914:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH53', 60149),
(116424, 'PTHR10196:SF60', NULL, NULL, NULL, NULL, 'L-FUCULOKINASE', 60150),
(116425, 'PTHR31917:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60151),
(116426, 'PTHR46279:SF7', NULL, NULL, NULL, NULL, 'BNAC04G21640D PROTEIN', 60152),
(116427, 'PTHR11035:SF20', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE 3', 60153),
(116428, 'PTHR45617:SF82', NULL, NULL, NULL, NULL, 'CHAOPTIN-LIKE PROTEIN', 60154),
(116429, 'PTHR46393:SF3', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT BFB-RELATED', 60155),
(116430, 'PTHR23024:SF242', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07260)-RELATED', 60156),
(116431, 'PTHR47979:SF14', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1A', 60157),
(116432, 'PTHR46067:SF16', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE (GNAT) DOMAIN PROTEIN', 60158),
(116433, 'PTHR31241:SF54', NULL, NULL, NULL, NULL, 'BNAA05G27930D PROTEIN', 60159),
(116434, 'PTHR47989:SF9', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 60160),
(116435, 'PTHR39606', NULL, NULL, NULL, NULL, 'SURFACE PROTEIN, PUTATIVE-RELATED', 60161),
(116436, 'PTHR38688', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 60162),
(116437, 'PTHR31080:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60163),
(116438, 'PTHR15741:SF34', NULL, NULL, NULL, NULL, 'MLX-INTERACTING PROTEIN-LIKE', 60164),
(116439, 'PTHR43963:SF2', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE [NADPH] 1', 60165),
(116440, 'PTHR45624:SF3', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 47', 60166),
(116441, 'PTHR27002:SF634', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', 60167),
(116442, 'PTHR31301:SF121', NULL, NULL, NULL, NULL, 'BNAA08G28560D PROTEIN', 60168),
(116443, 'PTHR24168:SF23', NULL, NULL, NULL, NULL, 'KN MOTIF AND ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 3', 60169),
(116444, 'PTHR34046:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60170),
(116445, 'PTHR31989:SF175', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 97', 60171),
(116446, 'PTHR43349:SF75', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 3-RELATED', 60172),
(116447, 'PTHR31875', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19', 60173),
(116448, 'PTHR46121', NULL, NULL, NULL, NULL, 'STEROIDOGENIC ACUTE REGULATORY PROTEIN-LIKE', 60174),
(116449, 'PTHR12632:SF39', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-10', 60175);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(116450, 'PTHR14057:SF36', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CEH-38', 60176),
(116451, 'PTHR30404', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE', 60177),
(116452, 'PTHR45648:SF13', NULL, NULL, NULL, NULL, 'OS02G0290900 PROTEIN', 60178),
(116453, 'PTHR14754:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 1', 60179),
(116454, 'PTHR24349:SF409', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 6', 60180),
(116455, 'PTHR46851', NULL, NULL, NULL, NULL, 'OS01G0884500 PROTEIN', 60181),
(116456, 'PTHR31241:SF37', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2A-RELATED', 60182),
(116457, 'PTHR10336:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60183),
(116458, 'PTHR14753', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 38', 60184),
(116459, 'PTHR45890:SF12', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 60185),
(116460, 'PTHR31269:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60186),
(116461, 'PTHR33175:SF12', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN HU-ALPHA', 60187),
(116462, 'PTHR31282:SF142', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY51-LIKE', 60188),
(116463, 'PTHR47280:SF1', NULL, NULL, NULL, NULL, 'PHEOPHYTINASE, CHLOROPLASTIC', 60189),
(116464, 'PTHR47461:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60190),
(116465, 'PTHR24559:SF330', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE HOMOLOG', 60191),
(116466, 'PTHR12128:SF57', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE SYNTHASE, CHLOROPLASTIC', 60192),
(116467, 'PTHR11945:SF483', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE-34-RELATED', 60193),
(116468, 'PTHR45652:SF17', NULL, NULL, NULL, NULL, 'GLIAL FIBRILLARY ACIDIC PROTEIN', 60194),
(116469, 'PTHR23421:SF137', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 15-RELATED', 60195),
(116470, 'PTHR11048:SF28', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOATE POLYPRENYLTRANSFERASE, MITOCHONDRIAL', 60196),
(116471, 'PTHR31832:SF13', NULL, NULL, NULL, NULL, 'OS05G0204600 PROTEIN', 60197),
(116472, 'PTHR43618:SF16', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_7G04540)', 60198),
(116473, 'PTHR10880:SF44', NULL, NULL, NULL, NULL, 'PROTEIN MRG1-LIKE ISOFORM X1', 60199),
(116474, 'PTHR46841:SF5', NULL, NULL, NULL, NULL, 'ISEC2 PROTEIN, INTESTINAL SECRETORY CELL PROTEIN 2-RELATED', 60200),
(116475, 'PTHR36070', NULL, NULL, NULL, NULL, 'OSJNBA0019G23.7 PROTEIN', 60201),
(116476, 'PTHR28659', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 60202),
(116477, 'PTHR23406:SF27', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT MALIC ENZYME, MITOCHONDRIAL', 60203),
(116478, 'PTHR10316:SF68', NULL, NULL, NULL, NULL, 'FERM DOMAIN (PROTEIN4.1-EZRIN-RADIXIN-MOESIN) FAMILY', 60204),
(116479, 'PTHR23139:SF114', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF LARGE SUBUNIT A', 60205),
(116480, 'PTHR24177:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60206),
(116481, 'PTHR23277:SF114', NULL, NULL, NULL, NULL, 'NECTIN CELL ADHESION MOLECULE 1A', 60207),
(116482, 'PTHR12189:SF3', NULL, NULL, NULL, NULL, 'MRNA CAP GUANINE-N7 METHYLTRANSFERASE 2', 60208),
(116483, 'PTHR31963:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60209),
(116484, 'PTHR12565:SF319', NULL, NULL, NULL, NULL, 'OS02G0705500 PROTEIN', 60210),
(116485, 'PTHR34235:SF1', NULL, NULL, NULL, NULL, 'SLR0416 PROTEIN', 60211),
(116486, 'PTHR27008:SF373', NULL, NULL, NULL, NULL, 'OS06G0586400 PROTEIN', 60212),
(116487, 'PTHR33175:SF2', NULL, NULL, NULL, NULL, 'INTEGRATION HOST FACTOR SUBUNIT ALPHA', 60213),
(116488, 'PTHR15502:SF7', NULL, NULL, NULL, NULL, 'CALCINEURIN-BINDING PROTEIN CABIN-1', 60214),
(116489, 'PTHR32467:SF167', NULL, NULL, NULL, NULL, 'BNAA02G06490D PROTEIN', 60215),
(116490, 'PTHR46915:SF14', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 1D', 60216),
(116491, 'PTHR47810', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 60217),
(116492, 'PTHR12321:SF110', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 7', 60218),
(116493, 'PTHR30252:SF3', NULL, NULL, NULL, NULL, 'PYRUVATE/PROTON SYMPORTER BTST', 60219);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(116494, 'PTHR21091', NULL, NULL, NULL, NULL, 'METHYLTETRAHYDROFOLATE:HOMOCYSTEINE METHYLTRANSFERASE RELATED', 60220),
(116495, 'PTHR40621', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAPC-RELATED', 60221),
(116496, 'PTHR33878:SF1', NULL, NULL, NULL, NULL, 'OS08G0559000 PROTEIN', 60222),
(116497, 'PTHR46665:SF5', NULL, NULL, NULL, NULL, 'HLH DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 60223),
(116498, 'PTHR31641:SF2', NULL, NULL, NULL, NULL, 'RENAL CANCER DIFFERENTIATION GENE 1 PROTEIN', 60224),
(116499, 'PTHR47085:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 15', 60225),
(116500, 'PTHR10783:SF121', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1-LIKE PROTEIN', 60226),
(116501, 'PTHR48138', NULL, NULL, NULL, NULL, 'KERATINOCYTE PROLINE-RICH PROTEIN-RELATED', 60227),
(116502, 'PTHR13068:SF160', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', 60228),
(116503, 'PTHR13890:SF53', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-B-RELATED', 60229),
(116504, 'PTHR11764:SF74', NULL, NULL, NULL, NULL, 'BNAC08G11080D PROTEIN', 60230),
(116505, 'PTHR46026:SF3', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 7', 60231),
(116506, 'PTHR16127', NULL, NULL, NULL, NULL, 'TAXILIN', 60232),
(116507, 'PTHR47990:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60233),
(116508, 'PTHR31344:SF15', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 PROTEIN AMINO-TERMINAL DOMAIN PROTEIN', 60234),
(116509, 'PTHR34661:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60235),
(116510, 'PTHR38116:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60236),
(116511, 'PTHR31490:SF61', NULL, NULL, NULL, NULL, 'BNAA08G11420D PROTEIN', 60237),
(116512, 'PTHR13396:SF5', NULL, NULL, NULL, NULL, 'NEDD4 FAMILY INTERACTING PROTEIN', 60238),
(116513, 'PTHR12665:SF18', NULL, NULL, NULL, NULL, 'ORMDL FAMILY PROTEIN', 60239),
(116514, 'PTHR39600:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60240),
(116515, 'PTHR19972:SF14', NULL, NULL, NULL, NULL, 'CALBINDIN', 60241),
(116516, 'PTHR43372:SF1', NULL, NULL, NULL, NULL, 'LD38433P', 60242),
(116517, 'PTHR18947:SF38', NULL, NULL, NULL, NULL, 'PROTEIN HOOK HOMOLOG 3', 60243),
(116518, 'PTHR13683:SF634', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 2', 60244),
(116519, 'PTHR11709:SF71', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE TPCJ', 60245),
(116520, 'PTHR34570:SF15', NULL, NULL, NULL, NULL, 'BNAC07G33690D PROTEIN', 60246),
(116521, 'PTHR36973', NULL, NULL, NULL, NULL, 'SLL1456 PROTEIN-RELATED', 60247),
(116522, 'PTHR27006:SF124', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', 60248),
(116523, 'PTHR13690:SF125', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 60249),
(116524, 'PTHR35035:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60250),
(116525, 'PTHR45619:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 60251),
(116526, 'PTHR11675:SF10', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 11', 60252),
(116527, 'PTHR26452:SF810', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 60253),
(116528, 'PTHR11848:SF135', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 7', 60254),
(116529, 'PTHR24123:SF118', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 50-LIKE PROTEIN', 60255),
(116530, 'PTHR47972:SF7', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 60256),
(116531, 'PTHR14879:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60257),
(116532, 'PTHR33136', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR-LIKE', 60258),
(116533, 'PTHR21136:SF204', NULL, NULL, NULL, NULL, 'OS03G0803000 PROTEIN', 60259),
(116534, 'PTHR12231:SF236', NULL, NULL, NULL, NULL, 'ROUNDABOUT HOMOLOG 3', 60260),
(116535, 'PTHR37380:SF1', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE501 PROTEIN', 60261),
(116536, 'PTHR11814:SF189', NULL, NULL, NULL, NULL, 'FI18412P1', 60262),
(116537, 'PTHR42865:SF2', NULL, NULL, NULL, NULL, 'PROTON:GLUTAMATE SYMPORTER DAACS FAMILY', 60263),
(116538, 'PTHR43675:SF14', NULL, NULL, NULL, NULL, 'TUBERCULOSTEARIC ACID METHYLTRANSFERASE UFAA1-LIKE ISOFORM X1', 60264);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(116539, 'PTHR35713:SF3', NULL, NULL, NULL, NULL, 'BNAC03G47530D PROTEIN', 60265),
(116540, 'PTHR48001:SF159', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 60266),
(116541, 'PTHR13586:SF12', NULL, NULL, NULL, NULL, 'OS01G0111200 PROTEIN', 60267),
(116542, 'PTHR24073:SF555', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-5B', 60268),
(116543, 'PTHR42939', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN ALBC-RELATED', 60269),
(116544, 'PTHR27004:SF354', NULL, NULL, NULL, NULL, 'TM RESISTANCE PROTEIN, PUTATIVE-RELATED', 60270),
(116545, 'PTHR47293:SF58', NULL, NULL, NULL, NULL, 'BNAC06G30120D PROTEIN', 60271),
(116546, 'PTHR14379:SF42', NULL, NULL, NULL, NULL, 'BNAA04G28620D PROTEIN', 60272),
(116547, 'PTHR10218:SF242', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-1 SUBUNIT', 60273),
(116548, 'PTHR10334:SF473', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', 60274),
(116549, 'PTHR15131:SF7', NULL, NULL, NULL, NULL, 'SNAPC (SMALL NUCLEAR RNA ACTIVATING COMPLEX) HOMOLOG', 60275),
(116550, 'PTHR45817:SF8', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE HOMOLOG 1', 60276),
(116551, 'PTHR46808:SF1', NULL, NULL, NULL, NULL, 'H2.0-LIKE HOMEOBOX PROTEIN', 60277),
(116552, 'PTHR31839:SF56', NULL, NULL, NULL, NULL, 'CBF/DREB1 TRANSCRIPTION FACTOR', 60278),
(116553, 'PTHR11528:SF113', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE PROTEIN 80-LIKE', 60279),
(116554, 'PTHR45945:SF4', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 10', 60280),
(116555, 'PTHR11935', NULL, NULL, NULL, NULL, 'BETA LACTAMASE DOMAIN', 60281),
(116556, 'PTHR10654:SF18', NULL, NULL, NULL, NULL, 'IP17195P', 60282),
(116557, 'PTHR15196:SF1', NULL, NULL, NULL, NULL, 'CILIARY NEUROTROPHIC FACTOR', 60283),
(116558, 'PTHR43895:SF64', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 60284),
(116559, 'PTHR32343:SF65', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 11-LIKE', 60285),
(116560, 'PTHR24015:SF72', NULL, NULL, NULL, NULL, 'OSJNBA0006B20.8 PROTEIN', 60286),
(116561, 'PTHR34098', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 47', 60287),
(116562, 'PTHR47915:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.7', 60288),
(116563, 'PTHR24281:SF11', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE-LIKE', 60289),
(116564, 'PTHR30008:SF0', NULL, NULL, NULL, NULL, 'EXODEOXYRIBONUCLEASE 7 LARGE SUBUNIT', 60290),
(116565, 'PTHR22923:SF67', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q-LIKE PROTEIN 4', 60291),
(116566, 'PTHR43104', NULL, NULL, NULL, NULL, 'L-2-HYDROXYGLUTARATE DEHYDROGENASE, MITOCHONDRIAL', 60292),
(116567, 'PTHR26453:SF301', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 60293),
(116568, 'PTHR10529', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT MU', 60294),
(116569, 'PTHR46727:SF2', NULL, NULL, NULL, NULL, 'CBX4 PROTEIN', 60295),
(116570, 'PTHR48043:SF56', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 91C1', 60296),
(116571, 'PTHR12080:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60297),
(116572, 'PTHR31614:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60298),
(116573, 'PTHR24559:SF383', NULL, NULL, NULL, NULL, 'DNA/RNA POLYMERASES SUPERFAMILY PROTEIN', 60299),
(116574, 'PTHR22950:SF659', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60300),
(116575, 'PTHR24131:SF5', NULL, NULL, NULL, NULL, 'APOPTOSIS-STIMULATING OF P53 PROTEIN 1', 60301),
(116576, 'PTHR16675:SF237', NULL, NULL, NULL, NULL, 'MHC CLASS I ANTIGEN TRANSCRIPT VARIANT 1-RELATED', 60302),
(116577, 'PTHR42893:SF37', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 60303),
(116578, 'PTHR32241:SF4', NULL, NULL, NULL, NULL, 'OS12G0611300 PROTEIN', 60304),
(116579, 'PTHR14024:SF25', NULL, NULL, NULL, NULL, 'PERILIPIN-2', 60305),
(116580, 'PTHR48172:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 62-RELATED', 60306),
(116581, 'PTHR31929:SF84', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A', 60307),
(116582, 'PTHR43313:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60308),
(116583, 'PTHR10807:SF36', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 8', 60309);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(116584, 'PTHR11685:SF376', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 60310),
(116585, 'PTHR23024:SF495', NULL, NULL, NULL, NULL, 'EXPANSIN', 60311),
(116586, 'PTHR10671:SF51', NULL, NULL, NULL, NULL, 'NEURONAL SYMMETRY', 60312),
(116587, 'PTHR10336:SF11', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE BETA-3', 60313),
(116588, 'PTHR42920:SF19', NULL, NULL, NULL, NULL, 'AROMATIC AMINO ACID EXPORTER YDDG', 60314),
(116589, 'PTHR43080:SF3', NULL, NULL, NULL, NULL, 'CBS DOMAIN CONTAINING PROTEIN', 60315),
(116590, 'PTHR11984', NULL, NULL, NULL, NULL, 'CONNEXIN', 60316),
(116591, 'PTHR35902', NULL, NULL, NULL, NULL, 'S-LAYER DOMAIN-LIKE PROTEIN-RELATED', 60317),
(116592, 'PTHR45811:SF47', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', 60318),
(116593, 'PTHR11817:SF103', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 60319),
(116594, 'PTHR23110:SF101', NULL, NULL, NULL, NULL, 'PROTEIN JIM LOVELL', 60320),
(116595, 'PTHR32133:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60321),
(116596, 'PTHR33431', NULL, NULL, NULL, NULL, 'ENABLED-LIKE PROTEIN (DUF1635)', 60322),
(116597, 'PTHR10366:SF563', NULL, NULL, NULL, NULL, 'VESTITONE REDUCTASE-LIKE', 60323),
(116598, 'PTHR14493:SF107', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCCH-TYPE-RELATED', 60324),
(116599, 'PTHR11895:SF153', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT A, MITOCHONDRIAL', 60325),
(116600, 'PTHR47480:SF7', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', 60326),
(116601, 'PTHR15907:SF171', NULL, NULL, NULL, NULL, 'BNAC06G30300D PROTEIN', 60327),
(116602, 'PTHR48043:SF64', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 60328),
(116603, 'PTHR42069', NULL, NULL, NULL, NULL, 'HYPHAL ANASTAMOSIS-8 PROTEIN', 60329),
(116604, 'PTHR45687:SF19', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', 60330),
(116605, 'PTHR31972:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60331),
(116606, 'PTHR48002:SF115', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K14', 60332),
(116607, 'PTHR33304:SF35', NULL, NULL, NULL, NULL, 'BNAA06G03130D PROTEIN', 60333),
(116608, 'PTHR35318:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60334),
(116609, 'PTHR46758:SF5', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 60335),
(116610, 'PTHR11926:SF1384', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 60336),
(116611, 'PTHR46087:SF12', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE PROTEIN', 60337),
(116612, 'PTHR32246:SF127', NULL, NULL, NULL, NULL, 'PROTEIN SRC2-LIKE PROTEIN', 60338),
(116613, 'PTHR24381:SF319', NULL, NULL, NULL, NULL, 'ZNF699 ISOFORM 2', 60339),
(116614, 'PTHR33124:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60340),
(116615, 'PTHR12537:SF50', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN, PUTATIVE-RELATED', 60341),
(116616, 'PTHR43547', NULL, NULL, NULL, NULL, 'TWO-COMPONENT HISTIDINE KINASE', 60342),
(116617, 'PTHR46809:SF6', NULL, NULL, NULL, NULL, 'BNAA09G55850D PROTEIN', 60343),
(116618, 'PTHR22765:SF303', NULL, NULL, NULL, NULL, 'GB|AAD18119.1-RELATED', 60344),
(116619, 'PTHR37960:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG02859', 60345),
(116620, 'PTHR45770:SF37', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 60346),
(116621, 'PTHR33085:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60347),
(116622, 'PTHR16515:SF35', NULL, NULL, NULL, NULL, 'FEZ FAMILY ZINC FINGER PROTEIN 2', 60348),
(116623, 'PTHR34476:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT OMEGA', 60349),
(116624, 'PTHR45921:SF5', NULL, NULL, NULL, NULL, 'T CELL LEUKEMIA HOMEOBOX 2', 60350),
(116625, 'PTHR43450:SF9', NULL, NULL, NULL, NULL, 'BNAA03G51360D PROTEIN', 60351),
(116626, 'PTHR10026:SF117', NULL, NULL, NULL, NULL, 'CYCLIN-T1-1-RELATED', 60352),
(116627, 'PTHR31376:SF47', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 9-RELATED', 60353),
(116628, 'PTHR46133:SF15', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 60354),
(116629, 'PTHR47812', NULL, NULL, NULL, NULL, 'SMR (SMALL MUTS RELATED) DOMAIN-CONTAINING PROTEIN', 60355);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(116630, 'PTHR45651:SF71', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, VOLTAGE-DEPENDENT, EAG/ELK/ERG-RELATED', 60356),
(116631, 'PTHR27008', NULL, NULL, NULL, NULL, 'OS04G0122200 PROTEIN', 60357),
(116632, 'PTHR32295:SF194', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', 60358),
(116633, 'PTHR22966:SF26', NULL, NULL, NULL, NULL, 'OS05G0413662 PROTEIN', 60359),
(116634, 'PTHR24055:SF389', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 60360),
(116635, 'PTHR34555', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE HEMOLYSIN-III-LIKE PROTEIN', 60361),
(116636, 'PTHR31993:SF6', NULL, NULL, NULL, NULL, 'UBA-LIKE DOMAIN-CONTAINING PROTEIN 2', 60362),
(116637, 'PTHR23179:SF27', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN AT 71E, ISOFORM D', 60363),
(116638, 'PTHR23257:SF765', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 60364),
(116639, 'PTHR38633:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG15572', 60365),
(116640, 'PTHR11349:SF49', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE, MITOCHONDRIAL', 60366),
(116641, 'PTHR45933:SF12', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 10', 60367),
(116642, 'PTHR21567:SF64', NULL, NULL, NULL, NULL, 'OS02G0816300 PROTEIN', 60368),
(116643, 'PTHR27006:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60369),
(116644, 'PTHR13572:SF4', NULL, NULL, NULL, NULL, 'RE57134P', 60370),
(116645, 'PTHR11999:SF60', NULL, NULL, NULL, NULL, '3,4-DIHYDROXYPHENYLACETALDEHYDE SYNTHASE', 60371),
(116646, 'PTHR10426:SF31', NULL, NULL, NULL, NULL, 'STRICTOSIDINE SYNTHASE 3', 60372),
(116647, 'PTHR31636:SF161', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 60373),
(116648, 'PTHR12674:SF4', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT ALPHA 2', 60374),
(116649, 'PTHR13509:SF16', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', 60375),
(116650, 'PTHR31080:SF176', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', 60376),
(116651, 'PTHR12984:SF6', NULL, NULL, NULL, NULL, 'SCY1-LIKE PROTEIN 2', 60377),
(116652, 'PTHR31245:SF28', NULL, NULL, NULL, NULL, 'OS01G0610000 PROTEIN', 60378),
(116653, 'PTHR10804:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60379),
(116654, 'PTHR13994:SF30', NULL, NULL, NULL, NULL, 'NUDIX FAMILY HYDROLASE', 60380),
(116655, 'PTHR42722', NULL, NULL, NULL, NULL, 'LEUCINE DEHYDROGENASE', 60381),
(116656, 'PTHR48001:SF134', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 60382),
(116657, 'PTHR35991', NULL, NULL, NULL, NULL, 'CA-RESPONSIVE PROTEIN', 60383),
(116658, 'PTHR43823:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE MATE FAMILY TRANSPORTER PROTEIN-RELATED', 60384),
(116659, 'PTHR11593:SF10', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L17', 60385),
(116660, 'PTHR47173:SF5', NULL, NULL, NULL, NULL, 'PROTEIN DR1 HOMOLOG', 60386),
(116661, 'PTHR33124:SF88', NULL, NULL, NULL, NULL, 'BNAANNG02890D PROTEIN', 60387),
(116662, 'PTHR30523:SF26', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE 2', 60388),
(116663, 'PTHR31623:SF84', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', 60389),
(116664, 'PTHR31605:SF2', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE O-ACYLTRANSFERASE 2', 60390),
(116665, 'PTHR32176:SF33', NULL, NULL, NULL, NULL, 'PATATIN', 60391),
(116666, 'PTHR46084:SF24', NULL, NULL, NULL, NULL, 'PROTEIN MALE DISCOVERER 2', 60392),
(116667, 'PTHR31973:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60393),
(116668, 'PTHR24015:SF1805', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60394),
(116669, 'PTHR23502:SF158', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01890)-RELATED', 60395),
(116670, 'PTHR22891:SF43', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN 4', 60396),
(116671, 'PTHR36766:SF8', NULL, NULL, NULL, NULL, 'BNAANNG11770D PROTEIN', 60397),
(116672, 'PTHR10285:SF72', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE-RELATED', 60398),
(116673, 'PTHR30036', NULL, NULL, NULL, NULL, 'D-XYLOSE-BINDING PERIPLASMIC PROTEIN', 60399),
(116674, 'PTHR31374:SF13', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 60400); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(116675, 'PTHR30136:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR XYNR-RELATED', 60401),
(116676, 'PTHR22601:SF70', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 2', 60402),
(116677, 'PTHR47293:SF21', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 15', 60403),
(116678, 'PTHR45923:SF18', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', 60404),
(116679, 'PTHR14049:SF9', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 60405),
(116680, 'PTHR24150:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60406),
(116681, 'PTHR10366:SF623', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE FAMILY PROTEIN, EXPRESSED', 60407),
(116682, 'PTHR12313:SF82', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA1H1-LIKE', 60408),
(116683, 'PTHR10795:SF699', NULL, NULL, NULL, NULL, 'PEPTIDASE S8, SUBTILISIN-RELATED PROTEIN-RELATED', 60409),
(116684, 'PTHR31591:SF6', NULL, NULL, NULL, NULL, 'BNAC09G38800D PROTEIN', 60410),
(116685, 'PTHR31328', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 6', 60411),
(116686, 'PTHR43011:SF4', NULL, NULL, NULL, NULL, 'BNACNNG10620D PROTEIN', 60412),
(116687, 'PTHR24231:SF46', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 11', 60413),
(116688, 'PTHR47393', NULL, NULL, NULL, NULL, 'CYSTATIN-12-RELATED', 60414),
(116689, 'PTHR11802:SF311', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60415),
(116690, 'PTHR42987:SF1', NULL, NULL, NULL, NULL, 'PROTEASE SOHB-RELATED', 60416),
(116691, 'PTHR48018:SF125', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 60417),
(116692, 'PTHR11588:SF369', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 60418),
(116693, 'PTHR33102:SF48', NULL, NULL, NULL, NULL, 'OS09G0306500 PROTEIN', 60419),
(116694, 'PTHR47073:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60420),
(116695, 'PTHR36251', NULL, NULL, NULL, NULL, 'FELS-1 PROPHAGE HOST SPECIFICITY PROTEIN-RELATED', 60421),
(116696, 'PTHR11017:SF356', NULL, NULL, NULL, NULL, 'BNAA08G14760D PROTEIN', 60422),
(116697, 'PTHR11937:SF414', NULL, NULL, NULL, NULL, 'ACTIN, CYTOPLASMIC 2', 60423),
(116698, 'PTHR46532:SF6', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 9', 60424),
(116699, 'PTHR12176:SF65', NULL, NULL, NULL, NULL, 'OS07G0656800 PROTEIN', 60425),
(116700, 'PTHR33914:SF2', NULL, NULL, NULL, NULL, '18S PRE-RIBOSOMAL ASSEMBLY PROTEIN GAR2-LIKE PROTEIN', 60426),
(116701, 'PTHR26453:SF51', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 60427),
(116702, 'PTHR32448:SF59', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT OXIDOREDUCTASE FOX2-LIKE', 60428),
(116703, 'PTHR11679:SF61', NULL, NULL, NULL, NULL, 'SEC1-LIKE FAMILY PROTEIN', 60429),
(116704, 'PTHR14155:SF519', NULL, NULL, NULL, NULL, 'OS05G0359500 PROTEIN', 60430),
(116705, 'PTHR13759:SF1', NULL, NULL, NULL, NULL, 'TWINFILIN', 60431),
(116706, 'PTHR12800:SF4', NULL, NULL, NULL, NULL, 'HSP90 CO-CHAPERONE CDC37', 60432),
(116707, 'PTHR21504:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SEPA-1-RELATED', 60433),
(116708, 'PTHR31218:SF327', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 60434),
(116709, 'PTHR23226:SF144', NULL, NULL, NULL, NULL, 'ZNF768 ISOFORM 2', 60435),
(116710, 'PTHR22814:SF297', NULL, NULL, NULL, NULL, 'HEAVY-METAL-ASSOCIATED DOMAIN PROTEIN', 60436),
(116711, 'PTHR31374:SF202', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 60437),
(116712, 'PTHR33893:SF9', NULL, NULL, NULL, NULL, 'INSULIN RELATED-RELATED', 60438),
(116713, 'PTHR48022:SF80', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12170)-RELATED', 60439),
(116714, 'PTHR33098:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60440),
(116715, 'PTHR43471:SF10', NULL, NULL, NULL, NULL, 'SLL1107 PROTEIN', 60441),
(116716, 'PTHR34576:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 6-RELATED', 60442),
(116717, 'PTHR14095:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B'''' SUBUNIT BETA', 60443),
(116718, 'PTHR44083:SF24', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 2', 60444);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(116719, 'PTHR20852:SF45', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', 60445),
(116720, 'PTHR36371', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 10', 60446),
(116721, 'PTHR33102:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60447),
(116722, 'PTHR47524', NULL, NULL, NULL, NULL, '20S RRNA ACCUMULATION PROTEIN 4', 60448),
(116723, 'PTHR32246:SF66', NULL, NULL, NULL, NULL, 'BON1-ASSOCIATED PROTEIN 2', 60449),
(116724, 'PTHR36705:SF3', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE403 PROTEIN', 60450),
(116725, 'PTHR35532', NULL, NULL, NULL, NULL, 'SIMILAR TO POLYHYDROXYALKANOATE DEPOLYMERASE', 60451),
(116726, 'PTHR45822:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60452),
(116727, 'PTHR47036:SF1', NULL, NULL, NULL, NULL, 'COBALT-FACTOR III C(17)-METHYLTRANSFERASE-RELATED', 60453),
(116728, 'PTHR11002:SF66', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 60454),
(116729, 'PTHR12483:SF80', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 6-LIKE', 60455),
(116730, 'PTHR36203:SF1', NULL, NULL, NULL, NULL, 'ASCORBATE-SPECIFIC PTS SYSTEM EIIA COMPONENT', 60456),
(116731, 'PTHR31895:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG14285', 60457),
(116732, 'PTHR45626:SF37', NULL, NULL, NULL, NULL, 'BNAC07G15760D PROTEIN', 60458),
(116733, 'PTHR38926:SF36', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 23-RELATED', 60459),
(116734, 'PTHR47928:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60460),
(116735, 'PTHR31279:SF13', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 6', 60461),
(116736, 'PTHR36752:SF2', NULL, NULL, NULL, NULL, 'OS12G0405700 PROTEIN', 60462),
(116737, 'PTHR34469:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60463),
(116738, 'PTHR44329:SF30', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 21', 60464),
(116739, 'PTHR10108:SF1061', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE PROTEIN-LIKE', 60465),
(116740, 'PTHR14154:SF85', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A/B BINDING PROTEIN DOMAIN-CONTAINING PROTEIN-RELATED', 60466),
(116741, 'PTHR35383:SF1', NULL, NULL, NULL, NULL, 'MUCIN 12EA-RELATED', 60467),
(116742, 'PTHR45983:SF3', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 12', 60468),
(116743, 'PTHR13301:SF94', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D1', 60469),
(116744, 'PTHR31544:SF6', NULL, NULL, NULL, NULL, 'AIG2-LIKE PROTEIN A-RELATED', 60470),
(116745, 'PTHR24377:SF605', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 226', 60471),
(116746, 'PTHR10102:SF15', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', 60472),
(116747, 'PTHR21397', NULL, NULL, NULL, NULL, 'CHROMATIN COMPLEXES SUBUNIT BAP18-RELATED', 60473),
(116748, 'PTHR34053:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ULTRAPETALA 1', 60474),
(116749, 'PTHR43144:SF5', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE ALD1, CHLOROPLASTIC', 60475),
(116750, 'PTHR11863:SF198', NULL, NULL, NULL, NULL, 'BNAA04G29140D PROTEIN', 60476),
(116751, 'PTHR34682:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60477),
(116752, 'PTHR16483:SF1', NULL, NULL, NULL, NULL, 'GASTROKINE-1', 60478),
(116753, 'PTHR22669:SF15', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', 60479),
(116754, 'PTHR46634:SF8', NULL, NULL, NULL, NULL, 'DUF3741 FAMILY PROTEIN', 60480),
(116755, 'PTHR19297:SF183', NULL, NULL, NULL, NULL, 'N-ACETYLLACTOSAMINIDE BETA-1,6-N-ACETYLGLUCOSAMINYL-TRANSFERASE', 60481),
(116756, 'PTHR12537:SF158', NULL, NULL, NULL, NULL, 'BNAA08G08040D PROTEIN', 60482),
(116757, 'PTHR19965:SF77', NULL, NULL, NULL, NULL, 'FI13061P-RELATED', 60483),
(116758, 'PTHR11589:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60484),
(116759, 'PTHR24243:SF14', NULL, NULL, NULL, NULL, 'NEUROMEDIN-U RECEPTOR 2', 60485),
(116760, 'PTHR31325:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60486),
(116761, 'PTHR43795:SF64', NULL, NULL, NULL, NULL, 'GLUTAMATE-OXALOACETATE TRANSAMINASE5', 60487),
(116762, 'PTHR23268:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60488),
(116763, 'PTHR33059:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60489);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(116764, 'PTHR46559:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60490),
(116765, 'PTHR43083:SF2', NULL, NULL, NULL, NULL, 'MANNAN POLYMERASE II COMPLEX ANP1 SUBUNIT', 60491),
(116766, 'PTHR11071:SF493', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 60492),
(116767, 'PTHR31618:SF29', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', 60493),
(116768, 'PTHR10926:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG16211', 60494),
(116769, 'PTHR45782', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOME-ASSOCIATED GTPASE 1', 60495),
(116770, 'PTHR46857:SF2', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 16', 60496),
(116771, 'PTHR46736:SF11', NULL, NULL, NULL, NULL, 'OS05G0331700 PROTEIN', 60497),
(116772, 'PTHR31500:SF67', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 11', 60498),
(116773, 'PTHR46128:SF63', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 60499),
(116774, 'PTHR31221:SF174', NULL, NULL, NULL, NULL, 'OS05G0474800 PROTEIN', 60500),
(116775, 'PTHR11079:SF162', NULL, NULL, NULL, NULL, 'RIBOFLAVIN BIOSYNTHESIS PROTEIN PYRD, CHLOROPLASTIC', 60501),
(116776, 'PTHR48018:SF77', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 60502),
(116777, 'PTHR31515:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 60503),
(116778, 'PTHR46092:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A11', 60504),
(116779, 'PTHR33130:SF56', NULL, NULL, NULL, NULL, 'BNAANNG11150D PROTEIN', 60505),
(116780, 'PTHR12623:SF9', NULL, NULL, NULL, NULL, 'NGFI-A-BINDING PROTEIN 1', 60506),
(116781, 'PTHR23416', NULL, NULL, NULL, NULL, 'SIALIC ACID SYNTHASE-RELATED', 60507),
(116782, 'PTHR24349:SF363', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE KINASE 2', 60508),
(116783, 'PTHR42790:SF6', NULL, NULL, NULL, NULL, 'GNTR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 60509),
(116784, 'PTHR10497:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', 60510),
(116785, 'PTHR30251:SF1', NULL, NULL, NULL, NULL, 'FIMBRIAL CHAPARONE', 60511),
(116786, 'PTHR31561:SF118', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 20', 60512),
(116787, 'PTHR11880', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S19P FAMILY MEMBER', 60513),
(116788, 'PTHR10829:SF49', NULL, NULL, NULL, NULL, 'COACTOSIN', 60514),
(116789, 'PTHR45814:SF4', NULL, NULL, NULL, NULL, 'SET DOMAIN-CONTAINING 1B, HISTONE LYSINE METHYLTRANSFERASE B', 60515),
(116790, 'PTHR13327:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700029P11 GENE', 60516),
(116791, 'PTHR12015:SF108', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 20', 60517),
(116792, 'PTHR33304:SF25', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 60518),
(116793, 'PTHR11926:SF1345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60519),
(116794, 'PTHR11615:SF292', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 60520),
(116795, 'PTHR30035:SF3', NULL, NULL, NULL, NULL, 'INTERMEMBRANE PHOSPHOLIPID TRANSPORT SYSTEM LIPOPROTEIN MLAA', 60521),
(116796, 'PTHR23001:SF28', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5-1-RELATED', 60522),
(116797, 'PTHR47295:SF9', NULL, NULL, NULL, NULL, 'OS09G0472900 PROTEIN', 60523),
(116798, 'PTHR31080:SF134', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 2-LIKE', 60524),
(116799, 'PTHR21297:SF3', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT 4-LIKE', 60525),
(116800, 'PTHR33098:SF81', NULL, NULL, NULL, NULL, 'BNAA10G28920D PROTEIN', 60526),
(116801, 'PTHR12645:SF1', NULL, NULL, NULL, NULL, 'FAD-LINKED SULFHYDRYL OXIDASE ERV2', 60527),
(116802, 'PTHR14047:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60528),
(116803, 'PTHR22792:SF128', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 60529),
(116804, 'PTHR11132:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60530),
(116805, 'PTHR48025', NULL, NULL, NULL, NULL, 'OS02G0815200 PROTEIN', 60531),
(116806, 'PTHR19957:SF325', NULL, NULL, NULL, NULL, 'SYNTAXIN-8', 60532),
(116807, 'PTHR36964', NULL, NULL, NULL, NULL, 'PROTEIN-METHIONINE-SULFOXIDE REDUCTASE HEME-BINDING SUBUNIT MSRQ', 60533);
INSERT INTO "PUBLIC"."MODEL" VALUES
(116808, 'PTHR46910:SF9', NULL, NULL, NULL, NULL, 'MISCELLANEOUS ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)', 60534),
(116809, 'PTHR24281:SF91', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE', 60535),
(116810, 'PTHR11875:SF122', NULL, NULL, NULL, NULL, 'NAP1-RELATED PROTEIN 1', 60536),
(116811, 'PTHR11440:SF79', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID:DIACYLGLYCEROL ACYLTRANSFERASE 1-LIKE', 60537),
(116812, 'PTHR11304:SF18', NULL, NULL, NULL, NULL, 'EPHRIN-B2', 60538),
(116813, 'PTHR31686:SF3', NULL, NULL, NULL, NULL, 'ACID TRANSPORT PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G09410)-RELATED', 60539),
(116814, 'PTHR16165:SF3', NULL, NULL, NULL, NULL, 'NXPE FAMILY MEMBER 4', 60540),
(116815, 'PTHR19957:SF281', NULL, NULL, NULL, NULL, 'SYNTAXIN-24-RELATED', 60541),
(116816, 'PTHR44542:SF12', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE 18', 60542),
(116817, 'PTHR13321', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION, SUBUNIT 18', 60543),
(116818, 'PTHR34709:SF10', NULL, NULL, NULL, NULL, 'OS07G0118900 PROTEIN', 60544),
(116819, 'PTHR11527:SF295', NULL, NULL, NULL, NULL, '19.0 KDA CLASS II HEAT SHOCK PROTEIN', 60545),
(116820, 'PTHR23322:SF86', NULL, NULL, NULL, NULL, 'BNAA05G10590D PROTEIN', 60546),
(116821, 'PTHR48008:SF11', NULL, NULL, NULL, NULL, 'KINASE-LIKE PROTEIN TMKL1-RELATED', 60547),
(116822, 'PTHR33044:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60548),
(116823, 'PTHR46662:SF49', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 60549),
(116824, 'PTHR45669:SF39', NULL, NULL, NULL, NULL, 'BNAA10G30280D PROTEIN', 60550),
(116825, 'PTHR47987:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60551),
(116826, 'PTHR33132:SF72', NULL, NULL, NULL, NULL, 'OS01G0778900 PROTEIN', 60552),
(116827, 'PTHR20854:SF29', NULL, NULL, NULL, NULL, 'INOSITOL MONOPHOSPHATASE 2', 60553),
(116828, 'PTHR31093:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60554),
(116829, 'PTHR24161:SF92', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE-RELATED', 60555),
(116830, 'PTHR11831:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60556),
(116831, 'PTHR31867:SF18', NULL, NULL, NULL, NULL, 'EXPANSIN-A13', 60557),
(116832, 'PTHR45934:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60558),
(116833, 'PTHR47992:SF121', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1A', 60559),
(116834, 'PTHR47269:SF4', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 60560),
(116835, 'PTHR32092', NULL, NULL, NULL, NULL, '6-PHOSPHO-BETA-GLUCOSIDASE-RELATED', 60561),
(116836, 'PTHR47198', NULL, NULL, NULL, NULL, 'OS05G0299300 PROTEIN', 60562),
(116837, 'PTHR16223:SF139', NULL, NULL, NULL, NULL, 'HLH DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 60563),
(116838, 'PTHR11596', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE', 60564),
(116839, 'PTHR46847:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERIPLASMIC-BINDING PROTEIN YTFQ', 60565),
(116840, 'PTHR21661:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60566),
(116841, 'PTHR24399:SF27', NULL, NULL, NULL, NULL, 'HYPERMETHYLATED IN CANCER 2 PROTEIN', 60567),
(116842, 'PTHR37971:SF1', NULL, NULL, NULL, NULL, 'ANTIBACTERIAL FACTOR-RELATED PEPTIDE 1-RELATED', 60568),
(116843, 'PTHR10891:SF809', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 4', 60569),
(116844, 'PTHR24231:SF16', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 6', 60570),
(116845, 'PTHR33021:SF314', NULL, NULL, NULL, NULL, 'BNAA02G35610D PROTEIN', 60571),
(116846, 'PTHR42994:SF2', NULL, NULL, NULL, NULL, 'T, PUTATIVE-RELATED', 60572),
(116847, 'PTHR27007:SF61', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN KINASE S.2', 60573),
(116848, 'PTHR34061:SF7', NULL, NULL, NULL, NULL, 'BNAA01G35080D PROTEIN', 60574),
(116849, 'PTHR48041:SF55', NULL, NULL, NULL, NULL, 'OS01G0836600 PROTEIN', 60575),
(116850, 'PTHR33321:SF16', NULL, NULL, NULL, NULL, 'PLANT BASIC SECRETORY PROTEIN (BSP) FAMILY PROTEIN', 60576),
(116851, 'PTHR33054:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60577),
(116852, 'PTHR24366:SF54', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY, MEMBER 10', 60578);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(116853, 'PTHR45631:SF104', NULL, NULL, NULL, NULL, 'OS09G0458300 PROTEIN', 60579),
(116854, 'PTHR13285:SF22', NULL, NULL, NULL, NULL, 'HOMOLOG OF HEDGEHOG ACYLTRANSFERASE', 60580),
(116855, 'PTHR11607:SF58', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE-RELATED', 60581),
(116856, 'PTHR45622:SF40', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE E3A-RELATED', 60582),
(116857, 'PTHR22883:SF207', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC2', 60583),
(116858, 'PTHR43301', NULL, NULL, NULL, NULL, 'ARABINAN ENDO-1,5-ALPHA-L-ARABINOSIDASE', 60584),
(116859, 'PTHR31441', NULL, NULL, NULL, NULL, 'FOLLICULIN FAMILY MEMBER', 60585),
(116860, 'PTHR43811:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60586),
(116861, 'PTHR13334:SF4', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S10, MITOCHONDRIAL', 60587),
(116862, 'PTHR46450:SF13', NULL, NULL, NULL, NULL, 'INACTIVE HISTONE-LYSINE N-METHYLTRANSFERASE SUVR2-RELATED', 60588),
(116863, 'PTHR31250:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60589),
(116864, 'PTHR12403:SF19', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 2', 60590),
(116865, 'PTHR31650:SF46', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE (WSD1-LIKE) FAMILY PROTEIN', 60591),
(116866, 'PTHR46048:SF7', NULL, NULL, NULL, NULL, '12-(S)-HYDROXY-5,8,10,14-EICOSATETRAENOIC ACID RECEPTOR', 60592),
(116867, 'PTHR23023:SF261', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 60593),
(116868, 'PTHR34531:SF1', NULL, NULL, NULL, NULL, 'ZGC:153352', 60594),
(116869, 'PTHR12231:SF254', NULL, NULL, NULL, NULL, 'CONTACTIN-5', 60595),
(116870, 'PTHR26453:SF619', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 418', 60596),
(116871, 'PTHR33573:SF10', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2A1', 60597),
(116872, 'PTHR13495', NULL, NULL, NULL, NULL, 'NEFA-INTERACTING NUCLEAR PROTEIN NIP30', 60598),
(116873, 'PTHR33420:SF33', NULL, NULL, NULL, NULL, 'MINOR FIMBRIAL SUBUNIT-RELATED', 60599),
(116874, 'PTHR39377:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG18428', 60600),
(116875, 'PTHR34069:SF2', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE 3', 60601),
(116876, 'PTHR31676:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60602),
(116877, 'PTHR35462:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 60603),
(116878, 'PTHR24298:SF523', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 81, SUBFAMILY D, POLYPEPTIDE 6-RELATED', 60604),
(116879, 'PTHR41536:SF1', NULL, NULL, NULL, NULL, 'PKHD-TYPE HYDROXYLASE YBIX', 60605),
(116880, 'PTHR31769:SF42', NULL, NULL, NULL, NULL, 'INOSITOL-DEACYLASE C, PUTATIVE (DUF1218)-RELATED', 60606),
(116881, 'PTHR24399:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60607),
(116882, 'PTHR47537:SF3', NULL, NULL, NULL, NULL, 'AGAP006059-PA', 60608),
(116883, 'PTHR47322:SF4', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 60609),
(116884, 'PTHR11615:SF269', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 60610),
(116885, 'PTHR23226:SF138', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 5A', 60611),
(116886, 'PTHR11988:SF28', NULL, NULL, NULL, NULL, 'HEPATIC LEUKEMIA FACTOR', 60612),
(116887, 'PTHR46935', NULL, NULL, NULL, NULL, 'OS01G0674700 PROTEIN', 60613),
(116888, 'PTHR21558:SF12', NULL, NULL, NULL, NULL, '2610042L04RIK PROTEIN-RELATED', 60614),
(116889, 'PTHR31265:SF1', NULL, NULL, NULL, NULL, 'OS01G0756600 PROTEIN', 60615),
(116890, 'PTHR35400:SF2', NULL, NULL, NULL, NULL, 'SLL1072 PROTEIN', 60616),
(116891, 'PTHR22772:SF5', NULL, NULL, NULL, NULL, 'HECT DOMAIN E3 UBIQUITIN PROTEIN LIGASE 4', 60617),
(116892, 'PTHR10791:SF130', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET6-RELATED', 60618),
(116893, 'PTHR37519', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 60619),
(116894, 'PTHR33108:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60620),
(116895, 'PTHR35121:SF5', NULL, NULL, NULL, NULL, 'GB|AAD20160.1', 60621),
(116896, 'PTHR31235:SF171', NULL, NULL, NULL, NULL, 'OS01G0326100 PROTEIN', 60622),
(116897, 'PTHR21258:SF14', NULL, NULL, NULL, NULL, 'DOCKING PROTEIN 2', 60623);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(116898, 'PTHR11042:SF59', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 35', 60624),
(116899, 'PTHR24264:SF56', NULL, NULL, NULL, NULL, 'SI:DKEY-33M11.7', 60625),
(116900, 'PTHR24392:SF50', NULL, NULL, NULL, NULL, 'ZINC FINGER Y-CHROMOSOMAL PROTEIN-LIKE PROTEIN', 60626),
(116901, 'PTHR13445', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSING SUBTRANSFERABLE CANDIDATE 4 TSSC4', 60627),
(116902, 'PTHR31476:SF4', NULL, NULL, NULL, NULL, 'PROTEIN WHAT''S THIS FACTOR 1 HOMOLOG, CHLOROPLASTIC', 60628),
(116903, 'PTHR11494:SF8', NULL, NULL, NULL, NULL, 'CYTOTOXIC T-LYMPHOCYTE PROTEIN 4', 60629),
(116904, 'PTHR43243:SF6', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE FAMILY PROTEIN, EXPRESSED', 60630),
(116905, 'PTHR31065:SF42', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', 60631),
(116906, 'PTHR27005:SF330', NULL, NULL, NULL, NULL, 'BNACNNG14080D PROTEIN', 60632),
(116907, 'PTHR18976:SF13', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN A-V', 60633),
(116908, 'PTHR31744:SF151', NULL, NULL, NULL, NULL, 'PROTEIN FEZ ISOFORM X1', 60634),
(116909, 'PTHR45627:SF16', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', 60635),
(116910, 'PTHR10638', NULL, NULL, NULL, NULL, 'COPPER AMINE OXIDASE', 60636),
(116911, 'PTHR12603:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60637),
(116912, 'PTHR11099:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 35', 60638),
(116913, 'PTHR23239:SF349', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 18', 60639),
(116914, 'PTHR13038:SF10', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 9', 60640),
(116915, 'PTHR31342:SF51', NULL, NULL, NULL, NULL, 'BNAC08G42200D PROTEIN', 60641),
(116916, 'PTHR13610', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 60642),
(116917, 'PTHR33057:SF110', NULL, NULL, NULL, NULL, 'OVATE FAMILY PROTEIN 5', 60643),
(116918, 'PTHR13954:SF26', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE DOMAIN PROTEIN', 60644),
(116919, 'PTHR36570:SF3', NULL, NULL, NULL, NULL, 'DISULFIDE BOND FORMATION PROTEIN B', 60645),
(116920, 'PTHR22942:SF63', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD57', 60646),
(116921, 'PTHR24055:SF196', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 2', 60647),
(116922, 'PTHR27005:SF331', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 60648),
(116923, 'PTHR23260:SF6', NULL, NULL, NULL, NULL, 'GENE 11939-RELATED', 60649),
(116924, 'PTHR27006:SF263', NULL, NULL, NULL, NULL, 'BNAA04G18590D PROTEIN', 60650),
(116925, 'PTHR47997:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60651),
(116926, 'PTHR45642:SF13', NULL, NULL, NULL, NULL, 'OS06G0351500 PROTEIN', 60652),
(116927, 'PTHR10489:SF730', NULL, NULL, NULL, NULL, 'CHEMOKINE XC RECEPTOR 1', 60653),
(116928, 'PTHR11878:SF7', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER 3', 60654),
(116929, 'PTHR47591:SF7', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN-RELATED', 60655),
(116930, 'PTHR31561:SF145', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 60656),
(116931, 'PTHR45798:SF59', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL8', 60657),
(116932, 'PTHR32278:SF27', NULL, NULL, NULL, NULL, 'LECTIN-LIKE', 60658),
(116933, 'PTHR24248:SF150', NULL, NULL, NULL, NULL, 'OCTOPAMINE RECEPTOR BETA-3R', 60659),
(116934, 'PTHR31377:SF2', NULL, NULL, NULL, NULL, 'AGMATINE DEIMINASE', 60660),
(116935, 'PTHR15869:SF0', NULL, NULL, NULL, NULL, 'ENDOMUCIN', 60661),
(116936, 'PTHR10194:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60662),
(116937, 'PTHR16134:SF87', NULL, NULL, NULL, NULL, 'ADAPTOR PROTEIN COMPLEX, SIGMA SUBUNIT, AP COMPLEX, MU/SIGMA SUBUNIT-RELATED', 60663),
(116938, 'PTHR46128:SF227', NULL, NULL, NULL, NULL, 'BNAA07G03750D PROTEIN', 60664),
(116939, 'PTHR22847:SF697', NULL, NULL, NULL, NULL, 'F-BOX/WD DOMAIN CONTAINING PROTEIN', 60665),
(116940, 'PTHR36111:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 60666),
(116941, 'PTHR18860:SF129', NULL, NULL, NULL, NULL, 'BNAA09G52470D PROTEIN', 60667),
(116942, 'PTHR36424:SF1', NULL, NULL, NULL, NULL, 'PHEROMONE-REGULATED MEMBRANE PROTEIN 6', 60668);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(116943, 'PTHR11689:SF143', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-D', 60669),
(116944, 'PTHR21600:SF58', NULL, NULL, NULL, NULL, 'RIBOSOMAL SMALL SUBUNIT PSEUDOURIDINE SYNTHASE A', 60670),
(116945, 'PTHR46417:SF1', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(1)-)-METHYLTRANSFERASE', 60671),
(116946, 'PTHR24240:SF16', NULL, NULL, NULL, NULL, 'SHORT-WAVE-SENSITIVE OPSIN 1', 60672),
(116947, 'PTHR11480:SF87', NULL, NULL, NULL, NULL, 'PROSAPOSIN-LIKE', 60673),
(116948, 'PTHR19818:SF129', NULL, NULL, NULL, NULL, 'PAIR-RULE PROTEIN ODD-PAIRED', 60674),
(116949, 'PTHR12461:SF87', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN 4', 60675),
(116950, 'PTHR45794:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60676),
(116951, 'PTHR11550:SF39', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', 60677),
(116952, 'PTHR28307:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60678),
(116953, 'PTHR26450:SF382', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 60679),
(116954, 'PTHR24024:SF35', NULL, NULL, NULL, NULL, 'MANNOSE-BINDING PROTEIN A', 60680),
(116955, 'PTHR22624:SF38', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE ATG4C', 60681),
(116956, 'PTHR24543:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60682),
(116957, 'PTHR22298:SF135', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 19', 60683),
(116958, 'PTHR23013:SF19', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 60684),
(116959, 'PTHR46226:SF10', NULL, NULL, NULL, NULL, 'BNAA06G35290D PROTEIN', 60685),
(116960, 'PTHR12243:SF14', NULL, NULL, NULL, NULL, 'MADF DOMAIN TRANSCRIPTION FACTOR', 60686),
(116961, 'PTHR19229:SF203', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 7', 60687),
(116962, 'PTHR31063:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09307', 60688),
(116963, 'PTHR11038:SF18', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM12', 60689),
(116964, 'PTHR18953:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60690),
(116965, 'PTHR16189:SF13', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', 60691),
(116966, 'PTHR35713', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH-LIKE SPLICING FACTOR', 60692),
(116967, 'PTHR37285:SF5', NULL, NULL, NULL, NULL, 'SPORE WALL MATURATION PROTEIN DIT1', 60693),
(116968, 'PTHR12309:SF27', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT GAMMA', 60694),
(116969, 'PTHR45822:SF1', NULL, NULL, NULL, NULL, 'FREE FATTY ACID RECEPTOR 2-LIKE RECEPTOR', 60695),
(116970, 'PTHR37376', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 60696),
(116971, 'PTHR12783', NULL, NULL, NULL, NULL, 'RALA BINDING PROTEIN 1  RALBP1', 60697),
(116972, 'PTHR47956:SF83', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 60698),
(116973, 'PTHR30591', NULL, NULL, NULL, NULL, 'RECBCD ENZYME SUBUNIT RECC', 60699),
(116974, 'PTHR10682:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60700),
(116975, 'PTHR45648:SF78', NULL, NULL, NULL, NULL, 'OS02G0119900 PROTEIN', 60701),
(116976, 'PTHR36325', NULL, NULL, NULL, NULL, 'MYOSIN-2 HEAVY CHAIN-LIKE PROTEIN', 60702),
(116977, 'PTHR21579:SF18', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', 60703),
(116978, 'PTHR22552', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 60704),
(116979, 'PTHR31022', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 60705),
(116980, 'PTHR16299:SF2', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN KIZUNA', 60706),
(116981, 'PTHR30587:SF0', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLIP', 60707),
(116982, 'PTHR45675:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB62', 60708),
(116983, 'PTHR32370:SF84', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', 60709),
(116984, 'PTHR32176:SF50', NULL, NULL, NULL, NULL, 'PATATIN', 60710),
(116985, 'PTHR13718:SF101', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S2-1-RELATED', 60711),
(116986, 'PTHR46896:SF2', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 7', 60712),
(116987, 'PTHR11921:SF44', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] IRON-SULFUR SUBUNIT, MITOCHONDRIAL', 60713),
(116988, 'PTHR10410:SF24', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT H', 60714);
INSERT INTO "PUBLIC"."MODEL" VALUES
(116989, 'PTHR24347:SF401', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DCLK1', 60715),
(116990, 'PTHR13090:SF1', NULL, NULL, NULL, NULL, 'ARGININE-HYDROXYLASE NDUFAF5, MITOCHONDRIAL', 60716),
(116991, 'PTHR47096', NULL, NULL, NULL, NULL, 'MISSHAPEN LIKE KINASE 1', 60717),
(116992, 'PTHR33512', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1191)-RELATED', 60718),
(116993, 'PTHR43099:SF5', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 60719),
(116994, 'PTHR22765:SF190', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL41', 60720),
(116995, 'PTHR11909:SF305', NULL, NULL, NULL, NULL, 'PROTEIN CBG08225', 60721),
(116996, 'PTHR34212:SF2', NULL, NULL, NULL, NULL, 'OS06G0106900 PROTEIN', 60722),
(116997, 'PTHR27008:SF448', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60723),
(116998, 'PTHR12815:SF42', NULL, NULL, NULL, NULL, 'PROTEIN TOC75-3, CHLOROPLASTIC-RELATED', 60724),
(116999, 'PTHR33525:SF4', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE CDGJ', 60725),
(117000, 'PTHR10264:SF122', NULL, NULL, NULL, NULL, 'STOMATIN-4', 60726),
(117001, 'PTHR10353:SF288', NULL, NULL, NULL, NULL, 'BNAC04G49650D PROTEIN', 60727),
(117002, 'PTHR13572', NULL, NULL, NULL, NULL, 'ENDO-ALPHA-1,2-MANNOSIDASE', 60728),
(117003, 'PTHR13138:SF3', NULL, NULL, NULL, NULL, 'CD2 ANTIGEN CYTOPLASMIC TAIL-BINDING PROTEIN 2', 60729),
(117004, 'PTHR10996:SF225', NULL, NULL, NULL, NULL, 'HYDROXYPHENYLPYRUVATE REDUCTASE-LIKE', 60730),
(117005, 'PTHR22870:SF198', NULL, NULL, NULL, NULL, 'OS02G0597000 PROTEIN', 60731),
(117006, 'PTHR45760:SF7', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN CGI-69', 60732),
(117007, 'PTHR22953:SF106', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 60733),
(117008, 'PTHR31284:SF10', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-LIKE PROTEIN', 60734),
(117009, 'PTHR31062:SF183', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 60735),
(117010, 'PTHR33146:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60736),
(117011, 'PTHR24203:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 10', 60737),
(117012, 'PTHR11165:SF152', NULL, NULL, NULL, NULL, 'OS10G0438100 PROTEIN', 60738),
(117013, 'PTHR46265:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 7', 60739),
(117014, 'PTHR43076:SF7', NULL, NULL, NULL, NULL, 'AMINODEOXYFUTALOSINE SYNTHASE', 60740),
(117015, 'PTHR23257:SF871', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 53-RELATED', 60741),
(117016, 'PTHR43019:SF18', NULL, NULL, NULL, NULL, 'OS07G0231900 PROTEIN', 60742),
(117017, 'PTHR31480:SF2', NULL, NULL, NULL, NULL, 'PHYTOENE SYNTHASE, CHLOROPLASTIC', 60743),
(117018, 'PTHR47979:SF69', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-39B', 60744),
(117019, 'PTHR11511:SF25', NULL, NULL, NULL, NULL, 'LARVAL SERUM PROTEIN 2', 60745),
(117020, 'PTHR24366:SF103', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT TRANSMEMBRANE NEURONAL 3', 60746),
(117021, 'PTHR39267', NULL, NULL, NULL, NULL, 'SURVIVAL MOTOR NEURON-LIKE PROTEIN 1', 60747),
(117022, 'PTHR34109:SF1', NULL, NULL, NULL, NULL, 'BNAUNNG04460D PROTEIN', 60748),
(117023, 'PTHR31681:SF32', NULL, NULL, NULL, NULL, 'BNAC03G59090D PROTEIN', 60749),
(117024, 'PTHR11668:SF471', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 60750),
(117025, 'PTHR31238:SF216', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 60751),
(117026, 'PTHR45364:SF2', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 60752),
(117027, 'PTHR47977:SF42', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-30', 60753),
(117028, 'PTHR47077', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 60754),
(117029, 'PTHR37257:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 7', 60755),
(117030, 'PTHR46909', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L36, MITOCHONDRIAL', 60756),
(117031, 'PTHR23254:SF18', NULL, NULL, NULL, NULL, 'RE28271P', 60757),
(117032, 'PTHR31529:SF42', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 16', 60758),
(117033, 'PTHR31288:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60759);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(117034, 'PTHR43037:SF2', NULL, NULL, NULL, NULL, 'ACETYL XYLAN ESTERASE', 60760),
(117035, 'PTHR33674:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60761),
(117036, 'PTHR27002:SF126', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 6', 60762),
(117037, 'PTHR24320:SF117', NULL, NULL, NULL, NULL, 'WW DOMAIN-CONTAINING OXIDOREDUCTASE', 60763),
(117038, 'PTHR36399', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 5, CHLOROPLASTIC', 60764),
(117039, 'PTHR11009:SF29', NULL, NULL, NULL, NULL, 'DERLIN', 60765),
(117040, 'PTHR48085:SF2', NULL, NULL, NULL, NULL, 'BNAC07G50890D PROTEIN', 60766),
(117041, 'PTHR12381:SF11', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN U', 60767),
(117042, 'PTHR46906:SF1', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-8', 60768),
(117043, 'PTHR33168:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60769),
(117044, 'PTHR36064:SF1', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 2735', 60770),
(117045, 'PTHR11040:SF187', NULL, NULL, NULL, NULL, 'ZINC/IRON PERMEASE-RELATED', 60771),
(117046, 'PTHR24099:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM9', 60772),
(117047, 'PTHR14379:SF45', NULL, NULL, NULL, NULL, 'BNAA02G37100D PROTEIN', 60773),
(117048, 'PTHR31214:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM221B', 60774),
(117049, 'PTHR34568:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60775),
(117050, 'PTHR24056:SF188', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 60776),
(117051, 'PTHR45637:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE UCNL', 60777),
(117052, 'PTHR10782:SF42', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE SIZ2', 60778),
(117053, 'PTHR43342', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE, E SUBUNIT', 60779),
(117054, 'PTHR18934:SF91', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE PRP16', 60780),
(117055, 'PTHR12321:SF138', NULL, NULL, NULL, NULL, 'BNAA01G30960D PROTEIN', 60781),
(117056, 'PTHR45787:SF2', NULL, NULL, NULL, NULL, 'RHOMBOTIN-1', 60782),
(117057, 'PTHR12198:SF5', NULL, NULL, NULL, NULL, 'PROSPERO HOMEOBOX PROTEIN 2', 60783),
(117058, 'PTHR16062:SF13', NULL, NULL, NULL, NULL, 'CHROMATIN STRUCTURE-REMODELING COMPLEX SUBUNIT RSC4', 60784),
(117059, 'PTHR43000:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60785),
(117060, 'PTHR22601:SF22', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 6', 60786),
(117061, 'PTHR22811:SF152', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA7-LIKE', 60787),
(117062, 'PTHR43039', NULL, NULL, NULL, NULL, 'ESTERASE-RELATED', 60788),
(117063, 'PTHR22937:SF158', NULL, NULL, NULL, NULL, 'BNAA03G51470D PROTEIN', 60789),
(117064, 'PTHR43581', NULL, NULL, NULL, NULL, 'ATP/GTP PHOSPHATASE', 60790),
(117065, 'PTHR31312:SF9', NULL, NULL, NULL, NULL, 'BNAA06G36250D PROTEIN', 60791),
(117066, 'PTHR31374:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60792),
(117067, 'PTHR23012:SF167', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', 60793),
(117068, 'PTHR36077:SF1', NULL, NULL, NULL, NULL, 'BNAA02G07370D PROTEIN', 60794),
(117069, 'PTHR31403:SF35', NULL, NULL, NULL, NULL, 'OS01G0900700 PROTEIN', 60795),
(117070, 'PTHR11119:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG08364', 60796),
(117071, 'PTHR31549:SF210', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED', 60797),
(117072, 'PTHR10185:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG13083', 60798),
(117073, 'PTHR34715', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 60799),
(117074, 'PTHR44042:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DIVARICATA', 60800),
(117075, 'PTHR12638:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MAGO NASHI HOMOLOG', 60801),
(117076, 'PTHR31621:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60802),
(117077, 'PTHR19818:SF137', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN (GLI3), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G10280)-RELATED', 60803),
(117078, 'PTHR31639:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60804);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(117079, 'PTHR40761', NULL, NULL, NULL, NULL, 'CONSERVED INTEGRAL MEMBRANE ALANINE VALINE AND LEUCINE RICH PROTEIN-RELATED', 60805),
(117080, 'PTHR11046', NULL, NULL, NULL, NULL, 'OLIGORIBONUCLEASE, MITOCHONDRIAL', 60806),
(117081, 'PTHR10641:SF1243', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB30-LIKE', 60807),
(117082, 'PTHR31509:SF93', NULL, NULL, NULL, NULL, 'BNAA03G46010D PROTEIN', 60808),
(117083, 'PTHR23077:SF148', NULL, NULL, NULL, NULL, 'OS09G0563800 PROTEIN', 60809),
(117084, 'PTHR47928:SF52', NULL, NULL, NULL, NULL, 'TRANSCRIPT PROCESSING PROTEIN, PUTATIVE-RELATED', 60810),
(117085, 'PTHR38447', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR YDEB-RELATED', 60811),
(117086, 'PTHR31221:SF207', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', 60812),
(117087, 'PTHR47606', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY G MEMBER 2', 60813),
(117088, 'PTHR11214:SF25', NULL, NULL, NULL, NULL, 'N-ACETYLLACTOSAMINIDE BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE 2', 60814),
(117089, 'PTHR31985:SF85', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN', 60815),
(117090, 'PTHR42767:SF1', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,6-GALACTANASE', 60816),
(117091, 'PTHR46311', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 8-RELATED', 60817),
(117092, 'PTHR35122:SF4', NULL, NULL, NULL, NULL, 'BNAA05G32390D PROTEIN', 60818),
(117093, 'PTHR38599:SF1', NULL, NULL, NULL, NULL, 'CUPIN DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G13620)', 60819),
(117094, 'PTHR47928:SF125', NULL, NULL, NULL, NULL, 'OSJNBA0027H06.17 PROTEIN', 60820),
(117095, 'PTHR33086:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60821),
(117096, 'PTHR34053:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ULTRAPETALA 2-LIKE', 60822),
(117097, 'PTHR32285:SF296', NULL, NULL, NULL, NULL, 'BNAA05G28590D PROTEIN', 60823),
(117098, 'PTHR10108:SF1145', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 60824),
(117099, 'PTHR31998:SF42', NULL, NULL, NULL, NULL, 'OS05G0156900 PROTEIN', 60825),
(117100, 'PTHR11216:SF69', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR SUBSTRATE 15-LIKE 1', 60826),
(117101, 'PTHR24238:SF42', NULL, NULL, NULL, NULL, 'SUBSTANCE P RECEPTOR', 60827),
(117102, 'PTHR32083:SF31', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 58', 60828),
(117103, 'PTHR11909:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60829),
(117104, 'PTHR11654:SF518', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60830),
(117105, 'PTHR11615:SF226', NULL, NULL, NULL, NULL, 'THIOSULFATE REDUCTASE MOLYBDOPTERIN-CONTAINING SUBUNIT PHSA', 60831),
(117106, 'PTHR24393:SF18', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 15', 60832),
(117107, 'PTHR46234:SF2', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE 2-LIKE', 60833),
(117108, 'PTHR10559:SF13', NULL, NULL, NULL, NULL, 'TRANSCOBALAMIN-1', 60834),
(117109, 'PTHR36686:SF1', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX CENTRAL ELEMENT PROTEIN 3', 60835),
(117110, 'PTHR10553', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN', 60836),
(117111, 'PTHR21454:SF2', NULL, NULL, NULL, NULL, 'DPH3 HOMOLOG', 60837),
(117112, 'PTHR13847:SF266', NULL, NULL, NULL, NULL, 'OS09G0514100 PROTEIN', 60838),
(117113, 'PTHR11738:SF157', NULL, NULL, NULL, NULL, 'T-CELL-INTERACTING, ACTIVATING RECEPTOR ON MYELOID CELLS PROTEIN 1', 60839),
(117114, 'PTHR15327:SF0', NULL, NULL, NULL, NULL, 'MICROFIBRILLAR-ASSOCIATED PROTEIN 1', 60840),
(117115, 'PTHR12484', NULL, NULL, NULL, NULL, 'B-LYMPHOCYTE ANTIGEN-RELATED', 60841),
(117116, 'PTHR23510:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60842),
(117117, 'PTHR45613:SF240', NULL, NULL, NULL, NULL, 'OS08G0272200 PROTEIN', 60843),
(117118, 'PTHR11014:SF63', NULL, NULL, NULL, NULL, 'METALLOPEPTIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G09600)-RELATED', 60844),
(117119, 'PTHR22765:SF40', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF130', 60845),
(117120, 'PTHR33177:SF9', NULL, NULL, NULL, NULL, 'OS01G0863500 PROTEIN', 60846),
(117121, 'PTHR13871:SF88', NULL, NULL, NULL, NULL, 'PROTEIN CBG01721', 60847);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(117122, 'PTHR24126:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 2', 60848),
(117123, 'PTHR31623:SF21', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', 60849),
(117124, 'PTHR43689:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60850),
(117125, 'PTHR45752:SF112', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 4', 60851),
(117126, 'PTHR32258:SF33', NULL, NULL, NULL, NULL, 'BNAA03G55220D PROTEIN', 60852),
(117127, 'PTHR10814:SF29', NULL, NULL, NULL, NULL, 'TRANSDUCIN-LIKE ENHANCER PROTEIN 1', 60853),
(117128, 'PTHR11715:SF25', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', 60854),
(117129, 'PTHR22017:SF0', NULL, NULL, NULL, NULL, 'PHOTORECEPTOR CILIUM ACTIN REGULATOR', 60855),
(117130, 'PTHR30185:SF13', NULL, NULL, NULL, NULL, 'LICABCH OPERON REGULATOR-RELATED', 60856),
(117131, 'PTHR34524:SF1', NULL, NULL, NULL, NULL, 'UPF0686 PROTEIN C11ORF1', 60857),
(117132, 'PTHR36560:SF1', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING DOMAIN-CONTAINING PROTEIN', 60858),
(117133, 'PTHR16091:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 17', 60859),
(117134, 'PTHR31707:SF8', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 34-RELATED', 60860),
(117135, 'PTHR46959', NULL, NULL, NULL, NULL, 'SULFOQUINOVOSIDASE', 60861),
(117136, 'PTHR24286:SF100', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 26C1', 60862),
(117137, 'PTHR30251:SF7', NULL, NULL, NULL, NULL, 'FIMBRIAE CHAPARONE-RELATED', 60863),
(117138, 'PTHR31072:SF106', NULL, NULL, NULL, NULL, 'OS06G0226700 PROTEIN', 60864),
(117139, 'PTHR11348:SF4', NULL, NULL, NULL, NULL, 'WNT1-INDUCIBLE-SIGNALING PATHWAY PROTEIN 1', 60865),
(117140, 'PTHR24116', NULL, NULL, NULL, NULL, 'KINASE D-INTERACTING SUBSTRATE OF 220 KDA', 60866),
(117141, 'PTHR46996:SF3', NULL, NULL, NULL, NULL, 'OS01G0815100 PROTEIN', 60867),
(117142, 'PTHR41349', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 60868),
(117143, 'PTHR31265:SF8', NULL, NULL, NULL, NULL, 'OSJNBB0091E11.19 PROTEIN', 60869),
(117144, 'PTHR46391:SF25', NULL, NULL, NULL, NULL, 'BZIP FAMILY TRANSCRIPTION FACTOR', 60870),
(117145, 'PTHR43359:SF1', NULL, NULL, NULL, NULL, 'FORMATE HYDROGENLYASE SUBUNIT 4-RELATED', 60871),
(117146, 'PTHR33912:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60872),
(117147, 'PTHR47112:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60873),
(117148, 'PTHR11783:SF222', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 60874),
(117149, 'PTHR18896:SF160', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 60875),
(117150, 'PTHR24244:SF0', NULL, NULL, NULL, NULL, 'SI:DKEY-78K11.9', 60876),
(117151, 'PTHR12231:SF105', NULL, NULL, NULL, NULL, 'DPR-INTERACTING PROTEIN THETA', 60877),
(117152, 'PTHR11003', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, SUBFAMILY K', 60878),
(117153, 'PTHR32044:SF78', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 7', 60879),
(117154, 'PTHR33597', NULL, NULL, NULL, NULL, 'OS02G0760400 PROTEIN', 60880),
(117155, 'PTHR48047:SF87', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 87A2', 60881),
(117156, 'PTHR46084:SF14', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 60882),
(117157, 'PTHR23430:SF315', NULL, NULL, NULL, NULL, 'HISTONE H2A', 60883),
(117158, 'PTHR24351:SF169', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE', 60884),
(117159, 'PTHR24320:SF114', NULL, NULL, NULL, NULL, 'OS06G0129100 PROTEIN', 60885),
(117160, 'PTHR33487:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 54', 60886),
(117161, 'PTHR11802:SF325', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 60887),
(117162, 'PTHR11905:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60888),
(117163, 'PTHR27000:SF290', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RCH1', 60889),
(117164, 'PTHR43780:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60890),
(117165, 'PTHR47967:SF4', NULL, NULL, NULL, NULL, 'BNAA04G20600D PROTEIN', 60891),
(117166, 'PTHR30578:SF0', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT D', 60892);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(117167, 'PTHR13817:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60893),
(117168, 'PTHR42841', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 60894),
(117169, 'PTHR31422:SF30', NULL, NULL, NULL, NULL, 'BNACNNG14690D PROTEIN', 60895),
(117170, 'PTHR24006:SF672', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', 60896),
(117171, 'PTHR11709:SF348', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', 60897),
(117172, 'PTHR47540:SF2', NULL, NULL, NULL, NULL, 'THIAMINE REPRESSIBLE GENES REGULATORY PROTEIN THI5', 60898),
(117173, 'PTHR36321', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 9', 60899),
(117174, 'PTHR33868:SF14', NULL, NULL, NULL, NULL, 'BNACNNG08610D PROTEIN', 60900),
(117175, 'PTHR45717:SF7', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 60901),
(117176, 'PTHR10366:SF691', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', 60902),
(117177, 'PTHR13856:SF137', NULL, NULL, NULL, NULL, 'GH05942P', 60903),
(117178, 'PTHR31942:SF87', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 11', 60904),
(117179, 'PTHR46136:SF8', NULL, NULL, NULL, NULL, 'OS05G0324000 PROTEIN', 60905),
(117180, 'PTHR11309:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60906),
(117181, 'PTHR43574:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60907),
(117182, 'PTHR23510:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG08609', 60908),
(117183, 'PTHR14431', NULL, NULL, NULL, NULL, 'HCLS1-BINDING PROTEIN 3', 60909),
(117184, 'PTHR46293:SF7', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP2', 60910),
(117185, 'PTHR42689', NULL, NULL, NULL, NULL, 'ACETYL-COA ACYLTRANSFERASE FADA2 (3-KETOACYL-COA THIOLASE) (BETA-KETOTHIOLASE)-RELATED', 60911),
(117186, 'PTHR35098:SF8', NULL, NULL, NULL, NULL, 'BNAA06G33680D PROTEIN', 60912),
(117187, 'PTHR33065:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60913),
(117188, 'PTHR33076:SF116', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 60914),
(117189, 'PTHR31623:SF17', NULL, NULL, NULL, NULL, 'F21J9.9', 60915),
(117190, 'PTHR24559:SF336', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON 297-LIKE PROTEIN', 60916),
(117191, 'PTHR15682:SF2', NULL, NULL, NULL, NULL, 'UNHEALTHY RIBOSOME BIOGENESIS PROTEIN 2 HOMOLOG', 60917),
(117192, 'PTHR33567:SF3', NULL, NULL, NULL, NULL, 'CHROMATE ION TRANSPORTER (EUROFUNG)', 60918),
(117193, 'PTHR46988', NULL, NULL, NULL, NULL, 'TWO PORE CALCIUM CHANNEL PROTEIN 1', 60919),
(117194, 'PTHR10845:SF184', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 4', 60920),
(117195, 'PTHR31471:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60921),
(117196, 'PTHR19303:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60922),
(117197, 'PTHR24416:SF339', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 8', 60923),
(117198, 'PTHR21621:SF7', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6--L-GLUTAMATE LIGASE', 60924),
(117199, 'PTHR11475:SF61', NULL, NULL, NULL, NULL, 'PEROXIDASE MLT-7', 60925),
(117200, 'PTHR45949:SF2', NULL, NULL, NULL, NULL, 'SORTING NEXIN-4', 60926),
(117201, 'PTHR48011:SF37', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 60927),
(117202, 'PTHR21558', NULL, NULL, NULL, NULL, 'SPEER/SPETEX', 60928),
(117203, 'PTHR32332:SF18', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE-RELATED', 60929),
(117204, 'PTHR47990:SF116', NULL, NULL, NULL, NULL, 'FLAVANONE 3-DIOXYGENASE 2', 60930),
(117205, 'PTHR14221:SF28', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 44-LIKE', 60931),
(117206, 'PTHR15154:SF2', NULL, NULL, NULL, NULL, 'HAMARTIN', 60932),
(117207, 'PTHR43138:SF2', NULL, NULL, NULL, NULL, 'HISTONE ACETYLASE (EUROFUNG)', 60933),
(117208, 'PTHR13242:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06962', 60934),
(117209, 'PTHR23143:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60935),
(117210, 'PTHR11999:SF96', NULL, NULL, NULL, NULL, 'TYROSINE DECARBOXYLASE', 60936),
(117211, 'PTHR47376:SF7', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 2-LIKE', 60937),
(117212, 'PTHR43719:SF1', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE I', 60938);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(117213, 'PTHR44489:SF4', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 86', 60939),
(117214, 'PTHR12313:SF43', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', 60940),
(117215, 'PTHR12649:SF12', NULL, NULL, NULL, NULL, 'SI:DKEY-19E4.5', 60941),
(117216, 'PTHR12483:SF24', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 1', 60942),
(117217, 'PTHR14196:SF5', NULL, NULL, NULL, NULL, 'PROTEIN ODD-SKIPPED-RELATED 1', 60943),
(117218, 'PTHR14499:SF30', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL TETRAMERISATION DOMAIN CONTAINING 12B, ISOFORM CRA_A', 60944),
(117219, 'PTHR31282:SF158', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 7-RELATED', 60945),
(117220, 'PTHR31989:SF358', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 86-LIKE', 60946),
(117221, 'PTHR43586:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60947),
(117222, 'PTHR31384:SF88', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 60948),
(117223, 'PTHR11461:SF55', NULL, NULL, NULL, NULL, 'SERPIN B5', 60949),
(117224, 'PTHR15197', NULL, NULL, NULL, NULL, 'COILIN P80', 60950),
(117225, 'PTHR38341:SF1', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATE ALDOLASE/PHOSPHATASE', 60951),
(117226, 'PTHR44329:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60952),
(117227, 'PTHR35281:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60953),
(117228, 'PTHR13902:SF67', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-BINDING PROTEIN HOMOLOG', 60954),
(117229, 'PTHR31948:SF92', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN', 60955),
(117230, 'PTHR31165:SF78', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE7', 60956),
(117231, 'PTHR31206:SF6', NULL, NULL, NULL, NULL, 'ZGC:153383', 60957),
(117232, 'PTHR11814', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER', 60958),
(117233, 'PTHR14015:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60959),
(117234, 'PTHR10458:SF2', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE, MITOCHONDRIAL', 60960),
(117235, 'PTHR13803:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60961),
(117236, 'PTHR43598:SF4', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE, NITRATE-INDUCIBLE, MAJOR SUBUNIT', 60962),
(117237, 'PTHR32468:SF22', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 3-LIKE ISOFORM X1', 60963),
(117238, 'PTHR23092', NULL, NULL, NULL, NULL, 'POLY(A) RNA POLYMERASE', 60964),
(117239, 'PTHR45940:SF14', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 1', 60965),
(117240, 'PTHR31734:SF89', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA14', 60966),
(117241, 'PTHR33132:SF41', NULL, NULL, NULL, NULL, 'OSJNBA0014K14.12 PROTEIN', 60967),
(117242, 'PTHR11067:SF9', NULL, NULL, NULL, NULL, 'INOSINE TRIPHOSPHATE PYROPHOSPHATASE', 60968),
(117243, 'PTHR43895:SF28', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 15', 60969),
(117244, 'PTHR22967:SF10', NULL, NULL, NULL, NULL, 'BMP-2-INDUCIBLE PROTEIN KINASE', 60970),
(117245, 'PTHR24403:SF36', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 335', 60971),
(117246, 'PTHR24349:SF415', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60972),
(117247, 'PTHR10869:SF62', NULL, NULL, NULL, NULL, 'OS07G0194500 PROTEIN', 60973),
(117248, 'PTHR24228', NULL, NULL, NULL, NULL, 'B2 BRADYKININ RECEPTOR/ANGIOTENSIN II RECEPTOR', 60974),
(117249, 'PTHR11649', NULL, NULL, NULL, NULL, 'MSS1/TRME-RELATED GTP-BINDING PROTEIN', 60975),
(117250, 'PTHR46667:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60976),
(117251, 'PTHR45647:SF18', NULL, NULL, NULL, NULL, 'OS07G0210300 PROTEIN', 60977),
(117252, 'PTHR47357', NULL, NULL, NULL, NULL, 'COP1-INTERACTIVE PROTEIN 1', 60978),
(117253, 'PTHR14049', NULL, NULL, NULL, NULL, 'LEPRECAN 1', 60979),
(117254, 'PTHR11945:SF653', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR-LIKE PROTEIN', 60980),
(117255, 'PTHR31636:SF22', NULL, NULL, NULL, NULL, 'OS05G0485400 PROTEIN', 60981),
(117256, 'PTHR14614:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 60982),
(117257, 'PTHR31280:SF3', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 4 SUBUNIT B (DUF810)', 60983),
(117258, 'PTHR31790:SF414', NULL, NULL, NULL, NULL, 'F-BOX AND ASSOCIATED INTERACTION DOMAINS-CONTAINING-LIKE PROTEIN', 60984);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(117259, 'PTHR12757:SF4', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA-INDUCED PROTEIN 8-LIKE PROTEIN 2', 60985),
(117260, 'PTHR45855:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF1', 60986),
(117261, 'PTHR46224:SF41', NULL, NULL, NULL, NULL, 'OS02G0494400 PROTEIN', 60987),
(117262, 'PTHR22765:SF225', NULL, NULL, NULL, NULL, 'RECEPTOR HOMOLOGY REGION, TRANSMEMBRANE DOMAIN- AND RING DOMAIN-CONTAINING PROTEIN 2-LIKE', 60988),
(117263, 'PTHR31088:SF6', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEIN VIPP1, CHLOROPLASTIC', 60989),
(117264, 'PTHR11435', NULL, NULL, NULL, NULL, 'NADH UBIQUINONE OXIDOREDUCTASE SUBUNIT ND6', 60990),
(117265, 'PTHR15438:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX-INTERACTING PROTEIN FAMILY MEMBER B15-RELATED', 60991),
(117266, 'PTHR33057:SF79', NULL, NULL, NULL, NULL, 'OS01G0831800 PROTEIN', 60992),
(117267, 'PTHR35354:SF1', NULL, NULL, NULL, NULL, 'RGD1561648', 60993),
(117268, 'PTHR39956:SF1', NULL, NULL, NULL, NULL, 'GH09530P-RELATED', 60994),
(117269, 'PTHR34827:SF6', NULL, NULL, NULL, NULL, 'INSULIN GROWTH FACTOR-LIKE FAMILY MEMBER 2', 60995),
(117270, 'PTHR11103:SF15', NULL, NULL, NULL, NULL, 'METHIONINE SYNTHASE', 60996),
(117271, 'PTHR10161:SF48', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 60997),
(117272, 'PTHR33232:SF24', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION B-LIKE ISOFORM X1', 60998),
(117273, 'PTHR11758:SF16', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S15A', 60999),
(117274, 'PTHR31731:SF105', NULL, NULL, NULL, NULL, 'CORTICAL CELL-DELINEATING PROTEIN', 61000),
(117275, 'PTHR44329:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61001),
(117276, 'PTHR31448:SF9', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 6-RELATED', 61002),
(117277, 'PTHR45615:SF2', NULL, NULL, NULL, NULL, 'MYOSIN-4', 61003),
(117278, 'PTHR36885:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61004),
(117279, 'PTHR30501:SF2', NULL, NULL, NULL, NULL, 'UPF0597 PROTEIN YHAM', 61005),
(117280, 'PTHR11017:SF419', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 61006),
(117281, 'PTHR24559:SF287', NULL, NULL, NULL, NULL, 'TRANSPOSON TY3-G GAG-POL POLYPROTEIN-RELATED', 61007),
(117282, 'PTHR23294:SF57', NULL, NULL, NULL, NULL, 'DUF895 DOMAIN MEMBRANE PROTEIN', 61008),
(117283, 'PTHR45950:SF19', NULL, NULL, NULL, NULL, 'BNACNNG38170D PROTEIN', 61009),
(117284, 'PTHR33528:SF17', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 61010),
(117285, 'PTHR24390:SF151', NULL, NULL, NULL, NULL, 'PROTEIN KRUEPPEL', 61011),
(117286, 'PTHR21105:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG10838', 61012),
(117287, 'PTHR46163:SF10', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE', 61013),
(117288, 'PTHR30598', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE PRIVATE CHAPERONE, REDOX ENZYME MATURATION PROTEIN  REMP  FAMILY', 61014),
(117289, 'PTHR45622:SF21', NULL, NULL, NULL, NULL, 'OS11G0545800 PROTEIN', 61015),
(117290, 'PTHR28637:SF1', NULL, NULL, NULL, NULL, 'DNA REPLICATION FACTOR CDT1', 61016),
(117291, 'PTHR31731:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61017),
(117292, 'PTHR22593:SF9', NULL, NULL, NULL, NULL, 'OS05G0432500 PROTEIN', 61018),
(117293, 'PTHR45660:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61019),
(117294, 'PTHR48099:SF1', NULL, NULL, NULL, NULL, 'C-1-TETRAHYDROFOLATE SYNTHASE, CYTOPLASMIC', 61020),
(117295, 'PTHR24056:SF432', NULL, NULL, NULL, NULL, 'OS10G0154500 PROTEIN', 61021),
(117296, 'PTHR24012:SF677', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 61022),
(117297, 'PTHR10807:SF39', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 10', 61023),
(117298, 'PTHR47145:SF1', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A MEMBER 2', 61024),
(117299, 'PTHR24349:SF302', NULL, NULL, NULL, NULL, 'CALMODULIN-DOMAIN KINASE CDPK PROTEIN', 61025),
(117300, 'PTHR46812:SF1', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE HOMOLOG', 61026),
(117301, 'PTHR19321:SF25', NULL, NULL, NULL, NULL, 'ASE1P', 61027),
(117302, 'PTHR45702:SF7', NULL, NULL, NULL, NULL, 'ADAM METALLOPEPTIDASE DOMAIN 17A', 61028);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(117303, 'PTHR43827:SF1', NULL, NULL, NULL, NULL, '2,5-DIKETO-D-GLUCONIC ACID REDUCTASE', 61029),
(117304, 'PTHR46458:SF8', NULL, NULL, NULL, NULL, 'GLOBIN-LIKE PROTEIN 6', 61030),
(117305, 'PTHR11820:SF110', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE CATABOLISM PROTEIN', 61031),
(117306, 'PTHR12725:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61032),
(117307, 'PTHR23255:SF98', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RECEPTOR', 61033),
(117308, 'PTHR24056:SF430', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 61034),
(117309, 'PTHR32009:SF49', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 61035),
(117310, 'PTHR45642:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61036),
(117311, 'PTHR35366:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG18620', 61037),
(117312, 'PTHR33147:SF104', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', 61038),
(117313, 'PTHR30158:SF20', NULL, NULL, NULL, NULL, 'CATION EFFLUX PUMP-RELATED', 61039),
(117314, 'PTHR22175', NULL, NULL, NULL, NULL, 'SMALL ACIDIC PROTEIN-RELATED', 61040),
(117315, 'PTHR31696:SF82', NULL, NULL, NULL, NULL, 'BNAC03G23430D PROTEIN', 61041),
(117316, 'PTHR19855:SF26', NULL, NULL, NULL, NULL, 'F-BOX/WD-40 REPEAT-CONTAINING PROTEIN', 61042),
(117317, 'PTHR46047:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 2', 61043),
(117318, 'PTHR21649:SF120', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 61044),
(117319, 'PTHR43440', NULL, NULL, NULL, NULL, 'UREASE', 61045),
(117320, 'PTHR35615:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61046),
(117321, 'PTHR33984:SF2', NULL, NULL, NULL, NULL, 'OS02G0717600 PROTEIN', 61047),
(117322, 'PTHR19957:SF250', NULL, NULL, NULL, NULL, 'SYNTAXIN-132', 61048),
(117323, 'PTHR27005:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61049),
(117324, 'PTHR48017:SF11', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 7 ISOFORM X1-RELATED', 61050),
(117325, 'PTHR13999:SF10', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 5', 61051),
(117326, 'PTHR40020:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 2', 61052),
(117327, 'PTHR11532:SF73', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE D', 61053),
(117328, 'PTHR46128:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GROUP I INTRON SPLICING FACTOR CCM1', 61054),
(117329, 'PTHR45719:SF18', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14B-LIKE', 61055),
(117330, 'PTHR24291:SF144', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 61056),
(117331, 'PTHR37251:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM5 HOMOLOG', 61057),
(117332, 'PTHR22883:SF350', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 61058),
(117333, 'PTHR45647:SF15', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 35', 61059),
(117334, 'PTHR33110', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN-RELATED', 61060),
(117335, 'PTHR37180:SF6', NULL, NULL, NULL, NULL, 'BNACNNG64540D PROTEIN', 61061),
(117336, 'PTHR43228:SF16', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN CHEY', 61062),
(117337, 'PTHR31104:SF16', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA- GLUCOSAMINYL)ASPARAGINE AMIDASE A-LIKE', 61063),
(117338, 'PTHR13935:SF100', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH100', 61064),
(117339, 'PTHR32241:SF12', NULL, NULL, NULL, NULL, 'OS03G0784100 PROTEIN', 61065),
(117340, 'PTHR15352:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61066),
(117341, 'PTHR48000:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61067),
(117342, 'PTHR11662:SF438', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61068),
(117343, 'PTHR33052:SF73', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR', 61069),
(117344, 'PTHR14167:SF48', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN 19', 61070),
(117345, 'PTHR23012:SF194', NULL, NULL, NULL, NULL, 'BNAC05G01320D PROTEIN', 61071),
(117346, 'PTHR13337:SF8', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] CYTOCHROME B SMALL SUBUNIT', 61072);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(117347, 'PTHR23503:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG05042', 61073),
(117348, 'PTHR33132:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61074),
(117349, 'PTHR11588:SF382', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 61075),
(117350, 'PTHR31639:SF138', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 61076),
(117351, 'PTHR23406:SF83', NULL, NULL, NULL, NULL, 'MALIC ENZYME', 61077),
(117352, 'PTHR12626', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH 4', 61078),
(117353, 'PTHR47426', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 61079),
(117354, 'PTHR20889:SF22', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE 1', 61080),
(117355, 'PTHR30546:SF49', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 2-RELATED', 61081),
(117356, 'PTHR43490:SF83', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE', 61082),
(117357, 'PTHR33840:SF2', NULL, NULL, NULL, NULL, 'AEL066CP', 61083),
(117358, 'PTHR35202:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61084),
(117359, 'PTHR34003', NULL, NULL, NULL, NULL, 'BLL2395 PROTEIN', 61085),
(117360, 'PTHR45631:SF21', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 61086),
(117361, 'PTHR31395', NULL, NULL, NULL, NULL, 'SHISA', 61087),
(117362, 'PTHR35693:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 61088),
(117363, 'PTHR24068:SF48', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 D3', 61089),
(117364, 'PTHR47790:SF2', NULL, NULL, NULL, NULL, 'TRNA/TMRNA (URACIL-C(5))-METHYLTRANSFERASE', 61090),
(117365, 'PTHR45667:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ASPARTATE-GLUTAMATE CARRIER PROTEIN-LIKE', 61091),
(117366, 'PTHR22961:SF17', NULL, NULL, NULL, NULL, 'TRIBBLES HOMOLOG 1', 61092),
(117367, 'PTHR46033:SF6', NULL, NULL, NULL, NULL, 'GLOBULAR STAGE, PUTATIVE-RELATED', 61093),
(117368, 'PTHR23079:SF34', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 61094),
(117369, 'PTHR10378:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61095),
(117370, 'PTHR24023:SF1001', NULL, NULL, NULL, NULL, 'COLLAGEN', 61096),
(117371, 'PTHR15076:SF15', NULL, NULL, NULL, NULL, 'CD99 ANTIGEN', 61097),
(117372, 'PTHR31044:SF91', NULL, NULL, NULL, NULL, 'X8 DOMAIN-CONTAINING PROTEIN-RELATED', 61098),
(117373, 'PTHR34209:SF1', NULL, NULL, NULL, NULL, 'CALCIUM SENSING RECEPTOR, CHLOROPLASTIC', 61099),
(117374, 'PTHR37723:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED ELONGATED HYPOCOTYL 1', 61100),
(117375, 'PTHR10795:SF705', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61101),
(117376, 'PTHR45431:SF3', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 15, CHLOROPLASTIC', 61102),
(117377, 'PTHR33187:SF11', NULL, NULL, NULL, NULL, 'WU:FI09B08', 61103),
(117378, 'PTHR34369:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 10 KDA POLYPEPTIDE, CHLOROPLASTIC', 61104),
(117379, 'PTHR46236:SF27', NULL, NULL, NULL, NULL, 'BNAC03G13690D PROTEIN', 61105),
(117380, 'PTHR32002:SF41', NULL, NULL, NULL, NULL, 'PROTEIN NLP8', 61106),
(117381, 'PTHR47975:SF10', NULL, NULL, NULL, NULL, 'S-LOCUS RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 61107),
(117382, 'PTHR26450:SF36', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 61108),
(117383, 'PTHR40376', NULL, NULL, NULL, NULL, 'ODONTOGENESIS ASSOCIATED PHOSPHOPROTEIN', 61109),
(117384, 'PTHR31045:SF23', NULL, NULL, NULL, NULL, 'OS01G0825900 PROTEIN', 61110),
(117385, 'PTHR24326:SF536', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 61111),
(117386, 'PTHR34120:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61112),
(117387, 'PTHR33545:SF2', NULL, NULL, NULL, NULL, 'UPF0750 MEMBRANE PROTEIN YDEO', 61113),
(117388, 'PTHR46019:SF8', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A, MEMBER 6', 61114),
(117389, 'PTHR43539:SF50', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA11-RELATED', 61115),
(117390, 'PTHR42898:SF71', NULL, NULL, NULL, NULL, 'BNAA09G15660D PROTEIN', 61116),
(117391, 'PTHR48043:SF94', NULL, NULL, NULL, NULL, 'SOYASAPONIN III RHAMNOSYLTRANSFERASE', 61117);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(117392, 'PTHR16134:SF54', NULL, NULL, NULL, NULL, 'PROTEIN AUXIN SIGNALING F-BOX 3', 61118),
(117393, 'PTHR20961:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61119),
(117394, 'PTHR11099:SF3', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 35A', 61120),
(117395, 'PTHR45733:SF20', NULL, NULL, NULL, NULL, 'ACTIN-BINDING FH2 (FORMIN-LIKE) PROTEIN-RELATED', 61121),
(117396, 'PTHR33640:SF23', NULL, NULL, NULL, NULL, 'BNAA07G32070D PROTEIN', 61122),
(117397, 'PTHR31099:SF14', NULL, NULL, NULL, NULL, 'OS06G0165300 PROTEIN', 61123),
(117398, 'PTHR23239:SF347', NULL, NULL, NULL, NULL, 'KERATIN 93-RELATED', 61124),
(117399, 'PTHR13829:SF2', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM2', 61125),
(117400, 'PTHR24242:SF183', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 11G2', 61126),
(117401, 'PTHR11119:SF98', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER-LIKE PROTEIN', 61127),
(117402, 'PTHR28651', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 232', 61128),
(117403, 'PTHR17597:SF0', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN MLC1', 61129),
(117404, 'PTHR35660:SF1', NULL, NULL, NULL, NULL, 'SERINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', 61130),
(117405, 'PTHR10529:SF342', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT MU-1', 61131),
(117406, 'PTHR11645:SF27', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PYRROLINE-5-CARBOXYLATE REDUCTASE (EUROFUNG)', 61132),
(117407, 'PTHR24006:SF832', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', 61133),
(117408, 'PTHR46258:SF3', NULL, NULL, NULL, NULL, 'VESICLE-TRAFFICKING PROTEIN SEC22A', 61134),
(117409, 'PTHR43321', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 61135),
(117410, 'PTHR33221:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CYMR', 61136),
(117411, 'PTHR31008:SF21', NULL, NULL, NULL, NULL, 'COP1-INTERACTING-LIKE PROTEIN', 61137),
(117412, 'PTHR13219', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 61138),
(117413, 'PTHR12802:SF41', NULL, NULL, NULL, NULL, 'BRAHMA ASSOCIATED PROTEIN 155 KDA', 61139),
(117414, 'PTHR45694:SF14', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C2', 61140),
(117415, 'PTHR32448:SF111', NULL, NULL, NULL, NULL, 'BNAANNG10050D PROTEIN', 61141),
(117416, 'PTHR13822:SF7', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT DELTA, MITOCHONDRIAL', 61142),
(117417, 'PTHR42781:SF7', NULL, NULL, NULL, NULL, 'MOLYBDENUM ABC TRANSPORTER, ATP-BINDING PROTEIN', 61143),
(117418, 'PTHR45891:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER HOMEOBOX PROTEIN 3', 61144),
(117419, 'PTHR48021:SF32', NULL, NULL, NULL, NULL, 'FACILITATED TREHALOSE TRANSPORTER TRET1-2 HOMOLOG-LIKE PROTEIN', 61145),
(117420, 'PTHR12181:SF61', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE PAH2-LIKE ISOFORM X1', 61146),
(117421, 'PTHR10388:SF57', NULL, NULL, NULL, NULL, 'BNAA03G48450D PROTEIN', 61147),
(117422, 'PTHR31263:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61148),
(117423, 'PTHR45376:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', 61149),
(117424, 'PTHR13006:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 704', 61150),
(117425, 'PTHR22808:SF1', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(34)-C(5))-METHYLTRANSFERASE', 61151),
(117426, 'PTHR23509:SF4', NULL, NULL, NULL, NULL, 'SEC23-INTERACTING PROTEIN', 61152),
(117427, 'PTHR13029:SF18', NULL, NULL, NULL, NULL, 'MYELIN REGULATORY FACTOR HOMOLOG 1', 61153),
(117428, 'PTHR22977:SF7', NULL, NULL, NULL, NULL, 'COX ASSEMBLY MITOCHONDRIAL PROTEIN', 61154),
(117429, 'PTHR12002:SF9', NULL, NULL, NULL, NULL, 'CLAUDIN-18', 61155),
(117430, 'PTHR31375:SF103', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT2', 61156),
(117431, 'PTHR45629:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61157),
(117432, 'PTHR24072:SF21', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHON', 61158),
(117433, 'PTHR31205:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61159),
(117434, 'PTHR23049:SF8', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN 5', 61160),
(117435, 'PTHR48017:SF176', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 3', 61161);
INSERT INTO "PUBLIC"."MODEL" VALUES
(117436, 'PTHR11715:SF3', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN, MITOCHONDRIAL', 61162),
(117437, 'PTHR24408:SF31', NULL, NULL, NULL, NULL, 'E4F TRANSCRIPTION FACTOR 1', 61163),
(117438, 'PTHR31895:SF9', NULL, NULL, NULL, NULL, 'ACTIVATED IN BLOCKED UNFOLDED PROTEIN RESPONSE-RELATED', 61164),
(117439, 'PTHR23510:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG18913', 61165),
(117440, 'PTHR33285:SF40', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 3', 61166),
(117441, 'PTHR11848:SF54', NULL, NULL, NULL, NULL, 'PROTEIN DECAPENTAPLEGIC', 61167),
(117442, 'PTHR24115:SF942', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 61168),
(117443, 'PTHR27001:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61169),
(117444, 'PTHR34545:SF7', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 16', 61170),
(117445, 'PTHR11945:SF678', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 3 ISOFORM X1', 61171),
(117446, 'PTHR43572', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPD, CHLOROPLASTIC', 61172),
(117447, 'PTHR36794:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61173),
(117448, 'PTHR13533:SF27', NULL, NULL, NULL, NULL, 'PROTEIN REDUCED WALL ACETYLATION 1', 61174),
(117449, 'PTHR45659:SF9', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B6', 61175),
(117450, 'PTHR31190:SF257', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 61176),
(117451, 'PTHR14237:SF61', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE FAMILY PROTEIN', 61177),
(117452, 'PTHR33650:SF2', NULL, NULL, NULL, NULL, 'CHLOROPLAST ENVELOPE MEMBRANE PROTEIN', 61178),
(117453, 'PTHR11530:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61179),
(117454, 'PTHR19241:SF538', NULL, NULL, NULL, NULL, 'PDR12 (PLEIOTROPIC DRUG RESISTANCE 12)', 61180),
(117455, 'PTHR31730:SF2', NULL, NULL, NULL, NULL, 'OS01G0873900 PROTEIN', 61181),
(117456, 'PTHR43829:SF5', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', 61182),
(117457, 'PTHR42939:SF5', NULL, NULL, NULL, NULL, 'ABC-TYPE TRANSPORTER ATP-BINDING PROTEIN ECSA', 61183),
(117458, 'PTHR22595:SF167', NULL, NULL, NULL, NULL, 'CHITINASE 2', 61184),
(117459, 'PTHR47928:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61185),
(117460, 'PTHR32116:SF30', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 15-RELATED', 61186),
(117461, 'PTHR31147:SF29', NULL, NULL, NULL, NULL, 'SPERMIDINE COUMAROYL-COA ACYLTRANSFERASE', 61187),
(117462, 'PTHR35295:SF1', NULL, NULL, NULL, NULL, 'DNA LIGASE-LIKE PROTEIN', 61188),
(117463, 'PTHR31636:SF266', NULL, NULL, NULL, NULL, 'BNAA08G30240D PROTEIN', 61189),
(117464, 'PTHR15341:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR NUCLEIC ACID-BINDING PROTEIN C1D', 61190),
(117465, 'PTHR15123:SF6', NULL, NULL, NULL, NULL, 'SECRETED AND TRANSMEMBRANE PROTEIN 1A', 61191),
(117466, 'PTHR43825:SF5', NULL, NULL, NULL, NULL, 'HYPOTHETICAL TRANSKETOLASE FAMILY PROTEIN', 61192),
(117467, 'PTHR43557:SF11', NULL, NULL, NULL, NULL, 'MONODEHYDROASCORBATE REDUCTASE-LIKE ISOFORM X1', 61193),
(117468, 'PTHR31625:SF57', NULL, NULL, NULL, NULL, 'MALONYL-COENZYME A:ANTHOCYANIN 3-O-GLUCOSIDE-6''''-O-MALONYLTRANSFERASE-RELATED', 61194),
(117469, 'PTHR19433:SF52', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 21', 61195),
(117470, 'PTHR11686:SF59', NULL, NULL, NULL, NULL, 'BNAC07G41830D PROTEIN', 61196),
(117471, 'PTHR31246:SF5', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-5', 61197),
(117472, 'PTHR10252:SF89', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-9-LIKE', 61198),
(117473, 'PTHR45613:SF120', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 61199),
(117474, 'PTHR32468:SF88', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 10-RELATED', 61200),
(117475, 'PTHR45933:SF33', NULL, NULL, NULL, NULL, 'BNAC06G24460D PROTEIN', 61201),
(117476, 'PTHR24068:SF350', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME FAMILY PROTEIN', 61202),
(117477, 'PTHR47502:SF1', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 7', 61203),
(117478, 'PTHR10024:SF221', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN', 61204);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(117479, 'PTHR28265', NULL, NULL, NULL, NULL, 'MAINTENANCE OF TELOMERE CAPPING PROTEIN 1', 61205),
(117480, 'PTHR34193:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61206),
(117481, 'PTHR15574:SF40', NULL, NULL, NULL, NULL, 'WD AND TETRATRICOPEPTIDE REPEATS PROTEIN 1', 61207),
(117482, 'PTHR45614:SF102', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR TAMYB1', 61208),
(117483, 'PTHR31669:SF223', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 12-LIKE', 61209),
(117484, 'PTHR19248:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61210),
(117485, 'PTHR31985:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61211),
(117486, 'PTHR23239:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61212),
(117487, 'PTHR34790:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61213),
(117488, 'PTHR16277:SF6', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE-ASSOCIATED PROTEIN 4', 61214),
(117489, 'PTHR31311:SF12', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 3-RELATED', 61215),
(117490, 'PTHR24379:SF98', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 44', 61216),
(117491, 'PTHR46932:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61217),
(117492, 'PTHR23048:SF7', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT POLYPEPTIDE 6', 61218),
(117493, 'PTHR48018:SF136', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 883', 61219),
(117494, 'PTHR31698', NULL, NULL, NULL, NULL, 'LYSOZYME G FAMILY MEMBER', 61220),
(117495, 'PTHR32522:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61221),
(117496, 'PTHR14155:SF554', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', 61222),
(117497, 'PTHR10206:SF2', NULL, NULL, NULL, NULL, 'CATHELICIDIN ANTIMICROBIAL PEPTIDE', 61223),
(117498, 'PTHR32295:SF195', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 61224),
(117499, 'PTHR46929:SF9', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 61225),
(117500, 'PTHR33433:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61226),
(117501, 'PTHR24260:SF131', NULL, NULL, NULL, NULL, 'GH12831P-RELATED', 61227),
(117502, 'PTHR24177:SF273', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 61228),
(117503, 'PTHR36721:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61229),
(117504, 'PTHR35546:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61230),
(117505, 'PTHR45698', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 19N-RELATED', 61231),
(117506, 'PTHR33353:SF34', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12560)-RELATED', 61232),
(117507, 'PTHR40758', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 61233),
(117508, 'PTHR46068', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 61234),
(117509, 'PTHR48158', NULL, NULL, NULL, NULL, 'OS11G0453550 PROTEIN', 61235),
(117510, 'PTHR31920', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING', 61236),
(117511, 'PTHR43078:SF35', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE 3-RELATED', 61237),
(117512, 'PTHR33334:SF9', NULL, NULL, NULL, NULL, 'PROTEIN LNK3', 61238),
(117513, 'PTHR11793:SF13', NULL, NULL, NULL, NULL, 'PROTEIN DAUGHTERLESS', 61239),
(117514, 'PTHR33443:SF16', NULL, NULL, NULL, NULL, 'BNAA07G00190D PROTEIN', 61240),
(117515, 'PTHR30532:SF10', NULL, NULL, NULL, NULL, 'IRON-UPTAKE SYSTEM-BINDING PROTEIN', 61241),
(117516, 'PTHR48100:SF4', NULL, NULL, NULL, NULL, 'HISTIDINE PHOSPHATASE FAMILY (BRANCH 1) PROTEIN', 61242),
(117517, 'PTHR26374:SF387', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE PROTEIN-RELATED', 61243),
(117518, 'PTHR11850:SF323', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 3', 61244),
(117519, 'PTHR38604', NULL, NULL, NULL, NULL, 'PERIPLASMIC NITRATE REDUCTASE, ELECTRON TRANSFER SUBUNIT', 61245),
(117520, 'PTHR47987:SF23', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-PROTEIN KINASE RBK1', 61246),
(117521, 'PTHR10934:SF19', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18-1-RELATED', 61247),
(117522, 'PTHR45623:SF9', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 3', 61248);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(117523, 'PTHR31949:SF26', NULL, NULL, NULL, NULL, 'BNAC04G05350D PROTEIN', 61249),
(117524, 'PTHR32100:SF54', NULL, NULL, NULL, NULL, 'OMEGA-3 FATTY ACID DESATURASE PROTEIN-RELATED', 61250),
(117525, 'PTHR14221:SF34', NULL, NULL, NULL, NULL, 'OS04G0568400 PROTEIN', 61251),
(117526, 'PTHR39606:SF1', NULL, NULL, NULL, NULL, 'SURFACE PROTEIN, PUTATIVE-RELATED', 61252),
(117527, 'PTHR36328:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 61253),
(117528, 'PTHR47959:SF10', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE RHLB', 61254),
(117529, 'PTHR21859:SF7', NULL, NULL, NULL, NULL, 'GENE, 30302-RELATED', 61255),
(117530, 'PTHR24039:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61256),
(117531, 'PTHR27007:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61257),
(117532, 'PTHR31985:SF110', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TINY', 61258),
(117533, 'PTHR11937:SF461', NULL, NULL, NULL, NULL, 'ACTIN-71', 61259),
(117534, 'PTHR48107:SF21', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR-RELATED', 61260),
(117535, 'PTHR42877:SF11', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13790)-RELATED', 61261),
(117536, 'PTHR23050:SF428', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML19-RELATED', 61262),
(117537, 'PTHR33703:SF14', NULL, NULL, NULL, NULL, 'WOUND-INDUCED PROTEIN, WUN1-RELATED', 61263),
(117538, 'PTHR14269:SF41', NULL, NULL, NULL, NULL, 'HYDROLASE FAMILY PROTEIN / HAD-SUPERFAMILY PROTEIN', 61264),
(117539, 'PTHR31496:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAN3-RELATED', 61265),
(117540, 'PTHR33871:SF17', NULL, NULL, NULL, NULL, 'BNAC05G08500D PROTEIN', 61266),
(117541, 'PTHR39594', NULL, NULL, NULL, NULL, 'PROTEIN YCHQ', 61267),
(117542, 'PTHR10627:SF34', NULL, NULL, NULL, NULL, 'VIGILIN', 61268),
(117543, 'PTHR31301:SF145', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 12-LIKE', 61269),
(117544, 'PTHR21017:SF12', NULL, NULL, NULL, NULL, 'NIPSNAP HOMOLOG 3A', 61270),
(117545, 'PTHR22192:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61271),
(117546, 'PTHR22811:SF131', NULL, NULL, NULL, NULL, 'COATED VESICLE MEMBRANE PROTEIN-LIKE', 61272),
(117547, 'PTHR13376:SF0', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 46 HOMOLOG', 61273),
(117548, 'PTHR12411:SF631', NULL, NULL, NULL, NULL, 'CATHEPSIN L.1', 61274),
(117549, 'PTHR23147:SF159', NULL, NULL, NULL, NULL, 'BNAC08G47240D PROTEIN', 61275),
(117550, 'PTHR23503:SF7', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 1-LIKE', 61276),
(117551, 'PTHR45786:SF30', NULL, NULL, NULL, NULL, 'BNAC01G23600D PROTEIN', 61277),
(117552, 'PTHR31080:SF226', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', 61278),
(117553, 'PTHR34193:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61279),
(117554, 'PTHR27007:SF57', NULL, NULL, NULL, NULL, 'OS04G0531500 PROTEIN', 61280),
(117555, 'PTHR12289:SF44', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN (SAM35), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13180)-RELATED', 61281),
(117556, 'PTHR33573:SF19', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 61282),
(117557, 'PTHR48052:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61283),
(117558, 'PTHR11732:SF434', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE FAMILY OXIDOREDUCTASE', 61284),
(117559, 'PTHR10334:SF217', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', 61285),
(117560, 'PTHR31205:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61286),
(117561, 'PTHR11949:SF3', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 1', 61287),
(117562, 'PTHR33914:SF9', NULL, NULL, NULL, NULL, 'BNAANNG06620D PROTEIN', 61288),
(117563, 'PTHR11685:SF111', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF19A', 61289),
(117564, 'PTHR45787:SF8', NULL, NULL, NULL, NULL, 'LIM DOMAIN ONLY 4-RELATED', 61290),
(117565, 'PTHR33179:SF46', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 22', 61291),
(117566, 'PTHR43829:SF13', NULL, NULL, NULL, NULL, 'AQUAPORIN-10', 61292);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(117567, 'PTHR24072:SF124', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE 1', 61293),
(117568, 'PTHR24221:SF397', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING TRANSMEMBRANE PROTEIN', 61294),
(117569, 'PTHR10209:SF706', NULL, NULL, NULL, NULL, 'FERULOYL COA ORTHO-HYDROXYLASE 2-LIKE', 61295),
(117570, 'PTHR31232:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61296),
(117571, 'PTHR36983:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61297),
(117572, 'PTHR31060', NULL, NULL, NULL, NULL, 'OSJNBA0011J08.25 PROTEIN-RELATED', 61298),
(117573, 'PTHR23505:SF52', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 61299),
(117574, 'PTHR16476:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61300),
(117575, 'PTHR24203:SF55', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND PROTEIN KINASE DOMAIN-CONTAINING PROTEIN 1-LIKE', 61301),
(117576, 'PTHR24232:SF90', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 5B', 61302),
(117577, 'PTHR13497', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP130', 61303),
(117578, 'PTHR10104:SF20', NULL, NULL, NULL, NULL, 'STATHMIN DOMAIN-CONTAINING PROTEIN 1', 61304),
(117579, 'PTHR28675', NULL, NULL, NULL, NULL, 'MELANOCORTIN-2 RECEPTOR ACCESSORY PROTEIN 2', 61305),
(117580, 'PTHR26452:SF4', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 61306),
(117581, 'PTHR42734:SF4', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY ZINC UPTAKE SYSTEM ATP-BINDING PROTEIN ZNUC', 61307),
(117582, 'PTHR46310:SF8', NULL, NULL, NULL, NULL, 'BNAC06G02070D PROTEIN', 61308),
(117583, 'PTHR36315:SF3', NULL, NULL, NULL, NULL, 'BNAC08G49490D PROTEIN', 61309),
(117584, 'PTHR14477:SF1', NULL, NULL, NULL, NULL, 'CUB DOMAIN-CONTAINING PROTEIN 1', 61310),
(117585, 'PTHR11985:SF33', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', 61311),
(117586, 'PTHR46051:SF6', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 1A', 61312),
(117587, 'PTHR13468:SF13', NULL, NULL, NULL, NULL, 'OS01G0924900 PROTEIN', 61313),
(117588, 'PTHR36316', NULL, NULL, NULL, NULL, 'OS06G0213900 PROTEIN', 61314),
(117589, 'PTHR12604:SF5', NULL, NULL, NULL, NULL, 'X-RAY REPAIR CROSS-COMPLEMENTING PROTEIN 6', 61315),
(117590, 'PTHR43341:SF26', NULL, NULL, NULL, NULL, 'GENERAL AMINO ACID PERMEASE AGP3', 61316),
(117591, 'PTHR45686:SF10', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN 2', 61317),
(117592, 'PTHR43677:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61318),
(117593, 'PTHR38108:SF1', NULL, NULL, NULL, NULL, 'UPF0319 PROTEIN YCCT', 61319),
(117594, 'PTHR45988:SF32', NULL, NULL, NULL, NULL, 'OS07G0588600 PROTEIN', 61320),
(117595, 'PTHR39654:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 75BB', 61321),
(117596, 'PTHR33431:SF3', NULL, NULL, NULL, NULL, 'ENABLED-LIKE PROTEIN (DUF1635)', 61322),
(117597, 'PTHR31707:SF288', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 61323),
(117598, 'PTHR16209:SF4', NULL, NULL, NULL, NULL, 'WW DOMAIN BINDING PROTEIN 1-LIKE', 61324),
(117599, 'PTHR12547:SF110', NULL, NULL, NULL, NULL, 'CYTOPLASMIC ZINC-FINGER PROTEIN-RELATED', 61325),
(117600, 'PTHR24072:SF153', NULL, NULL, NULL, NULL, 'TRANSFORMING PROTEIN RHOA', 61326),
(117601, 'PTHR33168:SF67', NULL, NULL, NULL, NULL, 'OS06G0666800 PROTEIN', 61327),
(117602, 'PTHR45768:SF47', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 61328),
(117603, 'PTHR36719:SF1', NULL, NULL, NULL, NULL, 'OS01G0676200 PROTEIN', 61329),
(117604, 'PTHR31942:SF86', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 2', 61330),
(117605, 'PTHR43776:SF5', NULL, NULL, NULL, NULL, 'ATPASE COMPONENT OF ABC-TYPE TRANSPORT SYSTEM-RELATED', 61331),
(117606, 'PTHR10751:SF112', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 2', 61332),
(117607, 'PTHR15902:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61333),
(117608, 'PTHR22889', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 61334),
(117609, 'PTHR10791:SF142', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET16', 61335),
(117610, 'PTHR11908:SF132', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE 1-RELATED', 61336);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(117611, 'PTHR45976', NULL, NULL, NULL, NULL, 'ARMADILLO SEGMENT POLARITY PROTEIN', 61337),
(117612, 'PTHR11926:SF959', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 61338),
(117613, 'PTHR32429:SF22', NULL, NULL, NULL, NULL, 'BNAC04G05700D PROTEIN', 61339),
(117614, 'PTHR11559:SF170', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 61340),
(117615, 'PTHR11418:SF0', NULL, NULL, NULL, NULL, 'GLUCAGON', 61341),
(117616, 'PTHR12011:SF433', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR E4P-RELATED', 61342),
(117617, 'PTHR23139:SF56', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 61343),
(117618, 'PTHR36926:SF1', NULL, NULL, NULL, NULL, 'COLICIN V PRODUCTION PROTEIN', 61344),
(117619, 'PTHR46806:SF3', NULL, NULL, NULL, NULL, 'DISCOIDIN, CUB AND LCCL DOMAIN-CONTAINING PROTEIN 2', 61345),
(117620, 'PTHR34395:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61346),
(117621, 'PTHR10334:SF64', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN LCCL DOMAIN-CONTAINING 2', 61347),
(117622, 'PTHR33048:SF132', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G07820)-RELATED', 61348),
(117623, 'PTHR10126:SF53', NULL, NULL, NULL, NULL, 'BNAA03G55450D PROTEIN', 61349),
(117624, 'PTHR24064:SF222', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 4', 61350),
(117625, 'PTHR47068:SF2', NULL, NULL, NULL, NULL, 'OS04G0552400 PROTEIN', 61351),
(117626, 'PTHR22952:SF445', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 7', 61352),
(117627, 'PTHR23160:SF7', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED PROTEIN', 61353),
(117628, 'PTHR43599:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 MODIFICATION PROTEIN-RELATED PROTEIN', 61354),
(117629, 'PTHR31651:SF26', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER-RELATED', 61355),
(117630, 'PTHR22298:SF109', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 61356),
(117631, 'PTHR23500:SF334', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN HEX6, PUTATIVE, EXPRESSED-RELATED', 61357),
(117632, 'PTHR27002:SF801', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', 61358),
(117633, 'PTHR11143:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L26', 61359),
(117634, 'PTHR34200:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61360),
(117635, 'PTHR26452:SF206', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 61361),
(117636, 'PTHR24221:SF518', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 2', 61362),
(117637, 'PTHR34280:SF7', NULL, NULL, NULL, NULL, 'OS04G0380200 PROTEIN', 61363),
(117638, 'PTHR35470:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61364),
(117639, 'PTHR24072:SF287', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC3', 61365),
(117640, 'PTHR36840:SF1', NULL, NULL, NULL, NULL, 'BLL5714 PROTEIN', 61366),
(117641, 'PTHR11669:SF55', NULL, NULL, NULL, NULL, 'PROTEIN STICHEL-LIKE 2', 61367),
(117642, 'PTHR46776:SF24', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR FAMILY PROTEIN-RELATED', 61368),
(117643, 'PTHR10745:SF21', NULL, NULL, NULL, NULL, 'BNAA09G26600D PROTEIN', 61369),
(117644, 'PTHR31336:SF3', NULL, NULL, NULL, NULL, 'PROTEIN LIN-37 HOMOLOG', 61370),
(117645, 'PTHR35109:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE RACEMASE', 61371),
(117646, 'PTHR11786:SF5', NULL, NULL, NULL, NULL, 'ARYLAMINE N-ACETYLTRANSFERASE 3', 61372),
(117647, 'PTHR17204:SF25', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 140', 61373),
(117648, 'PTHR26452:SF750', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 14I1-RELATED', 61374),
(117649, 'PTHR10209:SF739', NULL, NULL, NULL, NULL, '4-HYDROXYLASE, PUTATIVE-RELATED', 61375),
(117650, 'PTHR21649:SF74', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 7, CHLOROPLASTIC', 61376),
(117651, 'PTHR47979:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61377),
(117652, 'PTHR10732:SF5', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17', 61378),
(117653, 'PTHR10795:SF694', NULL, NULL, NULL, NULL, 'PEPTIDASE S8, SUBTILISIN-RELATED PROTEIN-RELATED', 61379),
(117654, 'PTHR24366:SF117', NULL, NULL, NULL, NULL, 'IP22191P', 61380);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(117655, 'PTHR42250:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61381),
(117656, 'PTHR47642:SF4', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 61382),
(117657, 'PTHR11461:SF296', NULL, NULL, NULL, NULL, 'SERPIN-RELATED', 61383),
(117658, 'PTHR47214', NULL, NULL, NULL, NULL, 'PROTEIN ROUGH SHEATH 2 HOMOLOG', 61384),
(117659, 'PTHR15941:SF15', NULL, NULL, NULL, NULL, 'MYOZENIN-3', 61385),
(117660, 'PTHR23148:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61386),
(117661, 'PTHR35798', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN SEPF', 61387),
(117662, 'PTHR23115:SF273', NULL, NULL, NULL, NULL, 'BNAA06G12300D PROTEIN', 61388),
(117663, 'PTHR24064:SF550', NULL, NULL, NULL, NULL, 'PROTEIN CBG11705', 61389),
(117664, 'PTHR24012:SF697', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, Y CHROMOSOME, FAMILY 1 MEMBER C-RELATED', 61390),
(117665, 'PTHR36910:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61391),
(117666, 'PTHR45630:SF10', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', 61392),
(117667, 'PTHR24115:SF789', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KLP68D', 61393),
(117668, 'PTHR11100:SF25', NULL, NULL, NULL, NULL, 'PRO-NEUREGULIN-1, MEMBRANE-BOUND ISOFORM', 61394),
(117669, 'PTHR22951:SF92', NULL, NULL, NULL, NULL, 'BNAC05G01680D PROTEIN', 61395),
(117670, 'PTHR23122:SF47', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PALMITOYLATED 3B (MAGUK P55 SUBFAMILY MEMBER 3)', 61396),
(117671, 'PTHR23430:SF319', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-J', 61397),
(117672, 'PTHR22941:SF297', NULL, NULL, NULL, NULL, 'PROTEIN CBG06652', 61398),
(117673, 'PTHR27007:SF198', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN KINASE S.3', 61399),
(117674, 'PTHR43270:SF6', NULL, NULL, NULL, NULL, 'DARMIN', 61400),
(117675, 'PTHR10286:SF49', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE 2, MITOCHONDRIAL', 61401),
(117676, 'PTHR32295:SF186', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', 61402),
(117677, 'PTHR23024:SF139', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', 61403),
(117678, 'PTHR47963:SF5', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE CSHA', 61404),
(117679, 'PTHR36779:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0083N12.13 PROTEIN', 61405),
(117680, 'PTHR48048:SF25', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 61406),
(117681, 'PTHR19051', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN', 61407),
(117682, 'PTHR27005:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61408),
(117683, 'PTHR10744:SF32', NULL, NULL, NULL, NULL, 'OS04G0502300 PROTEIN', 61409),
(117684, 'PTHR23124:SF131', NULL, NULL, NULL, NULL, 'PROTEIN CBG00393', 61410),
(117685, 'PTHR31549:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61411),
(117686, 'PTHR45988:SF15', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', 61412),
(117687, 'PTHR10015:SF363', NULL, NULL, NULL, NULL, 'BNAA08G06910D PROTEIN', 61413),
(117688, 'PTHR23235:SF15', NULL, NULL, NULL, NULL, 'FI01014P-RELATED', 61414),
(117689, 'PTHR10656:SF38', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE MAB21L1-RELATED', 61415),
(117690, 'PTHR32227:SF52', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 2', 61416),
(117691, 'PTHR47926:SF228', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61417),
(117692, 'PTHR43767:SF3', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE', 61418),
(117693, 'PTHR32212:SF351', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 13-LIKE', 61419),
(117694, 'PTHR12730:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SDA1', 61420),
(117695, 'PTHR47998:SF12', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR ETC3', 61421),
(117696, 'PTHR45654:SF23', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN MERISTEM L1-LIKE', 61422),
(117697, 'PTHR43107:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61423),
(117698, 'PTHR31500:SF96', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 7', 61424),
(117699, 'PTHR34956:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61425),
(117700, 'PTHR46756:SF6', NULL, NULL, NULL, NULL, 'TRANSGELIN', 61426);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(117701, 'PTHR43852:SF2', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', 61427),
(117702, 'PTHR13105:SF17', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN-LIKE', 61428),
(117703, 'PTHR12064:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61429),
(117704, 'PTHR26453:SF585', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 976', 61430),
(117705, 'PTHR46668:SF9', NULL, NULL, NULL, NULL, 'BNAC02G38200D PROTEIN', 61431),
(117706, 'PTHR35989:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 32-LIKE', 61432),
(117707, 'PTHR31072:SF121', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP20-LIKE', 61433),
(117708, 'PTHR11434:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61434),
(117709, 'PTHR31080:SF70', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 61435),
(117710, 'PTHR45717:SF20', NULL, NULL, NULL, NULL, 'OS07G0598500 PROTEIN', 61436),
(117711, 'PTHR31283:SF4', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN 1', 61437),
(117712, 'PTHR11086', NULL, NULL, NULL, NULL, 'DEOXYCYTIDYLATE DEAMINASE-RELATED', 61438),
(117713, 'PTHR11767:SF52', NULL, NULL, NULL, NULL, 'G PROTEIN-ACTIVATED INWARD RECTIFIER POTASSIUM CHANNEL 4', 61439),
(117714, 'PTHR22945:SF30', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 61440),
(117715, 'PTHR13061:SF33', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE 1, MITOCHONDRIAL-LIKE', 61441),
(117716, 'PTHR48002:SF13', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C5', 61442),
(117717, 'PTHR10286:SF50', NULL, NULL, NULL, NULL, 'PYROPHOSPHATASE (INORGANIC) 2', 61443),
(117718, 'PTHR11006:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61444),
(117719, 'PTHR10036:SF9', NULL, NULL, NULL, NULL, 'CD59 GLYCOPROTEIN', 61445),
(117720, 'PTHR46325:SF14', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC5', 61446),
(117721, 'PTHR10972:SF190', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 4C', 61447),
(117722, 'PTHR11017:SF337', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 61448),
(117723, 'PTHR33831:SF4', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN', 61449),
(117724, 'PTHR19957:SF221', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61450),
(117725, 'PTHR21649:SF98', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 1, CHLOROPLASTIC-RELATED', 61451),
(117726, 'PTHR45890:SF8', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 61452),
(117727, 'PTHR24089:SF243', NULL, NULL, NULL, NULL, 'MCG4550', 61453),
(117728, 'PTHR22730', NULL, NULL, NULL, NULL, 'PROMININ  PROM  PROTEIN', 61454),
(117729, 'PTHR23244:SF465', NULL, NULL, NULL, NULL, 'ZGC:163014', 61455),
(117730, 'PTHR10502:SF17', NULL, NULL, NULL, NULL, 'ANNEXIN A1', 61456),
(117731, 'PTHR15603:SF1', NULL, NULL, NULL, NULL, 'METASTASIS-ASSOCIATED IN COLON CANCER PROTEIN 1', 61457),
(117732, 'PTHR47982:SF46', NULL, NULL, NULL, NULL, 'OS07G0568100 PROTEIN', 61458),
(117733, 'PTHR31061:SF24', NULL, NULL, NULL, NULL, 'LD22376P', 61459),
(117734, 'PTHR24241:SF75', NULL, NULL, NULL, NULL, 'OREXIN RECEPTOR TYPE 2', 61460),
(117735, 'PTHR27004:SF386', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61461),
(117736, 'PTHR10108:SF1064', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE FAMILY PROTEIN-LIKE', 61462),
(117737, 'PTHR23056:SF98', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', 61463),
(117738, 'PTHR10631:SF3', NULL, NULL, NULL, NULL, 'TRNA (GUANINE(26)-N(2))-DIMETHYLTRANSFERASE', 61464),
(117739, 'PTHR33916', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 61465),
(117740, 'PTHR11599:SF50', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-9', 61466),
(117741, 'PTHR33728:SF13', NULL, NULL, NULL, NULL, 'CTTNBP 2 AMINO-TERMINAL-LIKE PROTEIN', 61467),
(117742, 'PTHR45947:SF7', NULL, NULL, NULL, NULL, 'SULFOQUINOVOSYL TRANSFERASE SQD2-LIKE', 61468),
(117743, 'PTHR12290:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 5', 61469),
(117744, 'PTHR11588:SF78', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 61470),
(117745, 'PTHR24264:SF53', NULL, NULL, NULL, NULL, 'TRYPSIN-2', 61471),
(117746, 'PTHR47999:SF80', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4', 61472);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(117747, 'PTHR45721:SF4', NULL, NULL, NULL, NULL, 'LAMIN L3', 61473),
(117748, 'PTHR12552:SF3', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 42', 61474),
(117749, 'PTHR11879:SF22', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, MITOCHONDRIAL', 61475),
(117750, 'PTHR35250:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 4', 61476),
(117751, 'PTHR48009:SF11', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERL1', 61477),
(117752, 'PTHR36733:SF6', NULL, NULL, NULL, NULL, 'BNAC07G50610D PROTEIN', 61478),
(117753, 'PTHR24384:SF121', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 680', 61479),
(117754, 'PTHR12176:SF64', NULL, NULL, NULL, NULL, 'PROTEIN CBG14642', 61480),
(117755, 'PTHR34786:SF1', NULL, NULL, NULL, NULL, 'OS09G0504900 PROTEIN', 61481),
(117756, 'PTHR11570:SF27', NULL, NULL, NULL, NULL, 'BNAC01G34670D PROTEIN', 61482),
(117757, 'PTHR11699:SF278', NULL, NULL, NULL, NULL, 'RETINAL DEHYDROGENASE 2', 61483),
(117758, 'PTHR33057:SF138', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP10', 61484),
(117759, 'PTHR24166:SF30', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 63', 61485),
(117760, 'PTHR35317:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61486),
(117761, 'PTHR45696:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61487),
(117762, 'PTHR47354:SF6', NULL, NULL, NULL, NULL, 'NADH OXIDOREDUCTASE HCR', 61488),
(117763, 'PTHR12378:SF55', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 61489),
(117764, 'PTHR45648:SF74', NULL, NULL, NULL, NULL, 'BNAC08G21900D PROTEIN', 61490),
(117765, 'PTHR10353:SF209', NULL, NULL, NULL, NULL, 'GALACTOLIPID GALACTOSYLTRANSFERASE SFR2, CHLOROPLASTIC', 61491),
(117766, 'PTHR22298:SF152', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 61492),
(117767, 'PTHR26450:SF18', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52N5', 61493),
(117768, 'PTHR45675:SF81', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB2', 61494),
(117769, 'PTHR33730:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61495),
(117770, 'PTHR33124:SF44', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 61496),
(117771, 'PTHR30509', NULL, NULL, NULL, NULL, 'P-HYDROXYBENZOIC ACID EFFLUX PUMP SUBUNIT-RELATED', 61497),
(117772, 'PTHR34256:SF1', NULL, NULL, NULL, NULL, 'UPF0561 PROTEIN C2ORF68', 61498),
(117773, 'PTHR24056:SF126', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 12', 61499),
(117774, 'PTHR34439:SF1', NULL, NULL, NULL, NULL, 'CENTROBIN', 61500),
(117775, 'PTHR24006:SF722', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 48', 61501),
(117776, 'PTHR13268:SF13', NULL, NULL, NULL, NULL, 'BNAA10G08530D PROTEIN', 61502),
(117777, 'PTHR24031:SF326', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 53, MITOCHONDRIAL', 61503),
(117778, 'PTHR43452:SF24', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE-RELATED', 61504),
(117779, 'PTHR12374:SF56', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER 2A', 61505),
(117780, 'PTHR24050:SF23', NULL, NULL, NULL, NULL, 'FIBULIN-1', 61506),
(117781, 'PTHR31236:SF53', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 13-LIKE', 61507),
(117782, 'PTHR45738:SF2', NULL, NULL, NULL, NULL, 'OS06G0195600 PROTEIN', 61508),
(117783, 'PTHR33085:SF40', NULL, NULL, NULL, NULL, 'OS06G0189600 PROTEIN', 61509),
(117784, 'PTHR30154:SF35', NULL, NULL, NULL, NULL, 'ASNC-FAMILY TRANSCRIPTIONAL REGULATORY PROTEIN-RELATED', 61510),
(117785, 'PTHR11071:SF439', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 61511),
(117786, 'PTHR47965:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61512),
(117787, 'PTHR11206:SF270', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EXTRUSION PROTEIN 2', 61513),
(117788, 'PTHR23510:SF69', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING MEMBRANE PROTEIN OS09G0521800', 61514),
(117789, 'PTHR34002:SF10', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 61515),
(117790, 'PTHR30118', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LEUO-RELATED', 61516),
(117791, 'PTHR24409:SF389', NULL, NULL, NULL, NULL, 'PROTEIN CBR-ZTF-1', 61517);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(117792, 'PTHR14432:SF2', NULL, NULL, NULL, NULL, 'TANK-BINDING KINASE 1-BINDING PROTEIN 1', 61518),
(117793, 'PTHR13077:SF6', NULL, NULL, NULL, NULL, 'SELENOPROTEIN F', 61519),
(117794, 'PTHR10353:SF194', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 12-RELATED', 61520),
(117795, 'PTHR42959:SF1', NULL, NULL, NULL, NULL, 'CARBAMOYLTRANSFERASE HYPF', 61521),
(117796, 'PTHR23430:SF287', NULL, NULL, NULL, NULL, 'HISTONE H2A', 61522),
(117797, 'PTHR36206:SF7', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE-RELATED', 61523),
(117798, 'PTHR36527:SF3', NULL, NULL, NULL, NULL, 'OS01G0282866 PROTEIN', 61524),
(117799, 'PTHR46648:SF2', NULL, NULL, NULL, NULL, 'HIT DOMAIN-CONTAINING PROTEIN', 61525),
(117800, 'PTHR46824:SF7', NULL, NULL, NULL, NULL, 'BNAA03G55310D PROTEIN', 61526),
(117801, 'PTHR40765:SF2', NULL, NULL, NULL, NULL, 'ESX-2 SECRETION SYSTEM ATPASE ECCB2', 61527),
(117802, 'PTHR20835:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61528),
(117803, 'PTHR19847:SF19', NULL, NULL, NULL, NULL, 'LEC14B HOMOLOG', 61529),
(117804, 'PTHR45884:SF5', NULL, NULL, NULL, NULL, 'ESTABLISHMENT OF SISTER CHROMATID COHESION N-ACETYLTRANSFERASE 1', 61530),
(117805, 'PTHR28649:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 41', 61531),
(117806, 'PTHR11524:SF39', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7-3-RELATED', 61532),
(117807, 'PTHR11787', NULL, NULL, NULL, NULL, 'RAB GDP-DISSOCIATION INHIBITOR', 61533),
(117808, 'PTHR46632:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINA-LIKE 1-RELATED', 61534),
(117809, 'PTHR13813:SF2', NULL, NULL, NULL, NULL, 'GLYCOPHORIN-B', 61535),
(117810, 'PTHR47993:SF64', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 61536),
(117811, 'PTHR21562:SF72', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 61537),
(117812, 'PTHR31232:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61538),
(117813, 'PTHR22849:SF130', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 61539),
(117814, 'PTHR43778:SF2', NULL, NULL, NULL, NULL, 'PYRUVATE CARBOXYLASE, MITOCHONDRIAL', 61540),
(117815, 'PTHR23257:SF757', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE', 61541),
(117816, 'PTHR32246:SF83', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 61542),
(117817, 'PTHR39963:SF1', NULL, NULL, NULL, NULL, 'SLL0983 PROTEIN', 61543),
(117818, 'PTHR46353:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GIS3-LIKE', 61544),
(117819, 'PTHR45933:SF6', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 11', 61545),
(117820, 'PTHR44051:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-LIKE PROTEIN TPCF', 61546),
(117821, 'PTHR12000:SF46', NULL, NULL, NULL, NULL, 'LEGUMAIN PROTEIN-RELATED', 61547),
(117822, 'PTHR43634:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61548),
(117823, 'PTHR45724:SF38', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP5-1 ISOFORM X1-RELATED', 61549),
(117824, 'PTHR47463:SF3', NULL, NULL, NULL, NULL, 'BNAA10G04050D PROTEIN', 61550),
(117825, 'PTHR10426', NULL, NULL, NULL, NULL, 'STRICTOSIDINE SYNTHASE-RELATED', 61551),
(117826, 'PTHR11363:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L3', 61552),
(117827, 'PTHR45752:SF99', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 18', 61553),
(117828, 'PTHR31194:SF98', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF121-RELATED', 61554),
(117829, 'PTHR31235:SF353', NULL, NULL, NULL, NULL, 'PEROXIDASE', 61555),
(117830, 'PTHR47977:SF30', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABC2A-LIKE', 61556),
(117831, 'PTHR47640:SF28', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP45-LIKE ISOFORM X1', 61557),
(117832, 'PTHR10615:SF180', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE SAS2', 61558),
(117833, 'PTHR10177:SF480', NULL, NULL, NULL, NULL, 'CYCLIN D3,3-RELATED', 61559),
(117834, 'PTHR43039:SF20', NULL, NULL, NULL, NULL, 'SIGMA FACTOR SIGB REGULATION RSBQ-LIKE PROTEIN', 61560),
(117835, 'PTHR43601:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 61561);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(117836, 'PTHR34826:SF1', NULL, NULL, NULL, NULL, 'UPF0590 PROTEIN C594.01', 61562),
(117837, 'PTHR24350:SF8', NULL, NULL, NULL, NULL, 'AURORA/IPL1 RELATED KINASE', 61563),
(117838, 'PTHR11680:SF43', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE 1, MITOCHONDRIAL', 61564),
(117839, 'PTHR21319:SF47', NULL, NULL, NULL, NULL, 'BNAA09G44410D PROTEIN', 61565),
(117840, 'PTHR47753:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 61566),
(117841, 'PTHR45992:SF7', NULL, NULL, NULL, NULL, 'HEAVY CHAIN KINASE A, PUTATIVE-RELATED', 61567),
(117842, 'PTHR32410:SF180', NULL, NULL, NULL, NULL, 'BNAA09G09760D PROTEIN', 61568),
(117843, 'PTHR14205:SF16', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN DWA2', 61569),
(117844, 'PTHR24106:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61570),
(117845, 'PTHR45898:SF21', NULL, NULL, NULL, NULL, 'ENTH/VHS, TARGET OF MYB PROTEIN 1-RELATED', 61571),
(117846, 'PTHR46813:SF5', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 18', 61572),
(117847, 'PTHR38015:SF1', NULL, NULL, NULL, NULL, 'BLR6086 PROTEIN', 61573),
(117848, 'PTHR13817:SF59', NULL, NULL, NULL, NULL, 'PROTEIN SIDEKICK-2', 61574),
(117849, 'PTHR10663:SF367', NULL, NULL, NULL, NULL, 'PROTEIN CBG21340', 61575),
(117850, 'PTHR23192:SF65', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L2B, TANDEM DUPLICATE 1-RELATED', 61576),
(117851, 'PTHR31916:SF52', NULL, NULL, NULL, NULL, 'BNAC03G65720D PROTEIN', 61577),
(117852, 'PTHR47733:SF1', NULL, NULL, NULL, NULL, 'ATAXIN-7-LIKE PROTEIN 3B', 61578),
(117853, 'PTHR11620:SF62', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L23, CHLOROPLASTIC', 61579),
(117854, 'PTHR47991:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61580),
(117855, 'PTHR42893:SF10', NULL, NULL, NULL, NULL, 'EFFLUX FAMILY PROTEIN, PUTATIVE-RELATED', 61581),
(117856, 'PTHR15249', NULL, NULL, NULL, NULL, 'TRAF FAMILY MEMBER-ASSOCIATED NF-KAPPA-B ACTIVATOR', 61582),
(117857, 'PTHR23081:SF0', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II SUBUNIT A C-TERMINAL DOMAIN PHOSPHATASE', 61583),
(117858, 'PTHR47926:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61584),
(117859, 'PTHR43329:SF91', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', 61585),
(117860, 'PTHR18966:SF502', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3.1', 61586),
(117861, 'PTHR45855:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF5', 61587),
(117862, 'PTHR13049:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61588),
(117863, 'PTHR38537:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61589),
(117864, 'PTHR47924:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61590),
(117865, 'PTHR11516:SF66', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', 61591),
(117866, 'PTHR35772:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61592),
(117867, 'PTHR10484:SF185', NULL, NULL, NULL, NULL, 'HISTONE H4', 61593),
(117868, 'PTHR11733:SF205', NULL, NULL, NULL, NULL, 'NEPRILYSIN-11', 61594),
(117869, 'PTHR31933:SF5', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 39', 61595),
(117870, 'PTHR10534:SF15', NULL, NULL, NULL, NULL, 'PYRIDOXINE/PYRIDOXAL/PYRIDOXAMINE KINASE', 61596),
(117871, 'PTHR10996:SF258', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14400)-RELATED', 61597),
(117872, 'PTHR47116:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61598),
(117873, 'PTHR23193:SF20', NULL, NULL, NULL, NULL, 'POM121-LIKE PROTEIN 2', 61599),
(117874, 'PTHR31325:SF34', NULL, NULL, NULL, NULL, 'OS06G0119100 PROTEIN', 61600),
(117875, 'PTHR22906', NULL, NULL, NULL, NULL, 'PROPERDIN', 61601),
(117876, 'PTHR43294:SF5', NULL, NULL, NULL, NULL, 'CATION TRANSPORTING ATPASE', 61602),
(117877, 'PTHR10424:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61603),
(117878, 'PTHR24012:SF806', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 61604),
(117879, 'PTHR32009:SF82', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS CLASS), PUTATIVE-RELATED', 61605),
(117880, 'PTHR10281:SF80', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI FAMILY PROTEIN-RELATED', 61606);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(117881, 'PTHR22802:SF380', NULL, NULL, NULL, NULL, 'ZGC:174904', 61607),
(117882, 'PTHR10426:SF115', NULL, NULL, NULL, NULL, 'PROTEIN CBG20870', 61608),
(117883, 'PTHR31790:SF288', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN DOR', 61609),
(117884, 'PTHR47323:SF7', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', 61610),
(117885, 'PTHR19965:SF69', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', 61611),
(117886, 'PTHR10094:SF25', NULL, NULL, NULL, NULL, 'EUCALYPTUS, ISOFORM B-RELATED', 61612),
(117887, 'PTHR12346:SF22', NULL, NULL, NULL, NULL, 'OS08G0339750 PROTEIN', 61613),
(117888, 'PTHR11088:SF53', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE-LIKE', 61614),
(117889, 'PTHR30399:SF1', NULL, NULL, NULL, NULL, 'SLL8048 PROTEIN', 61615),
(117890, 'PTHR11986:SF118', NULL, NULL, NULL, NULL, 'ORNITHINE AMINOTRANSFERASE, MITOCHONDRIAL', 61616),
(117891, 'PTHR47967:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61617),
(117892, 'PTHR45644:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61618),
(117893, 'PTHR36080', NULL, NULL, NULL, NULL, 'DBJ|BAA96220.1', 61619),
(117894, 'PTHR30118:SF14', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 61620),
(117895, 'PTHR24377:SF248', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 1 HOMOLOG', 61621),
(117896, 'PTHR34591:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61622),
(117897, 'PTHR48063:SF17', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERL1', 61623),
(117898, 'PTHR23193:SF15', NULL, NULL, NULL, NULL, 'NUCLEAR PORE-ASSOCIATED PROTEIN 1-RELATED', 61624),
(117899, 'PTHR48053:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61625),
(117900, 'PTHR10903:SF106', NULL, NULL, NULL, NULL, 'SI:CH211-113E8.9-RELATED', 61626),
(117901, 'PTHR42929:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YDCU-RELATED', 61627),
(117902, 'PTHR33377:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61628),
(117903, 'PTHR48024:SF19', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEINS 1B-RELATED', 61629),
(117904, 'PTHR31942:SF77', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 14', 61630),
(117905, 'PTHR23335:SF30', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 3', 61631),
(117906, 'PTHR11188:SF46', NULL, NULL, NULL, NULL, 'ARRESTIN-RELATED TRAFFICKING ADAPTER 3-RELATED', 61632),
(117907, 'PTHR33882:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 61633),
(117908, 'PTHR46128:SF205', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 61634),
(117909, 'PTHR11675:SF117', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 5', 61635),
(117910, 'PTHR47993:SF67', NULL, NULL, NULL, NULL, 'OS12G0568600 PROTEIN', 61636),
(117911, 'PTHR27007:SF279', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', 61637),
(117912, 'PTHR23001:SF16', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT BETA', 61638),
(117913, 'PTHR12321:SF127', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: PHD FINGER PROTEIN ALFIN-LIKE 5-LIKE', 61639),
(117914, 'PTHR24064:SF558', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', 61640),
(117915, 'PTHR22854:SF2', NULL, NULL, NULL, NULL, 'TRYPTOPHAN BIOSYNTHESIS PROTEIN TRPCF', 61641),
(117916, 'PTHR34997:SF2', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03980)-RELATED', 61642),
(117917, 'PTHR31683:SF21', NULL, NULL, NULL, NULL, 'PECTATE LYASE 12-RELATED', 61643),
(117918, 'PTHR27000:SF580', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RPK2', 61644),
(117919, 'PTHR22941:SF134', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 61645),
(117920, 'PTHR10269:SF4', NULL, NULL, NULL, NULL, 'GDNF FAMILY RECEPTOR ALPHA-2', 61646),
(117921, 'PTHR46831:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 19', 61647),
(117922, 'PTHR35167', NULL, NULL, NULL, NULL, 'OS05G0216466 PROTEIN', 61648);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(117923, 'PTHR19139:SF280', NULL, NULL, NULL, NULL, 'AQUAPORIN', 61649),
(117924, 'PTHR24393:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61650),
(117925, 'PTHR47990:SF68', NULL, NULL, NULL, NULL, 'ISOPENICILLIN N SYNTHASE-RELATED', 61651),
(117926, 'PTHR10334:SF433', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN PRMS-LIKE', 61652),
(117927, 'PTHR31581:SF1', NULL, NULL, NULL, NULL, 'KICSTOR COMPLEX PROTEIN C12ORF66', 61653),
(117928, 'PTHR11937:SF481', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 3C', 61654),
(117929, 'PTHR33481', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE', 61655),
(117930, 'PTHR21669:SF1', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 2A-RELATED', 61656),
(117931, 'PTHR10370:SF0', NULL, NULL, NULL, NULL, 'ERYTHROPOIETIN', 61657),
(117932, 'PTHR11069:SF37', NULL, NULL, NULL, NULL, 'GLUCOSYLCERAMIDASE 1-RELATED', 61658),
(117933, 'PTHR30100', NULL, NULL, NULL, NULL, 'FATTY ACID/PHOSPHOLIPID SYNTHESIS PROTEIN PLSX', 61659),
(117934, 'PTHR23417:SF21', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(7)-)-METHYLTRANSFERASE', 61660),
(117935, 'PTHR31677:SF157', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 3', 61661),
(117936, 'PTHR43670:SF80', NULL, NULL, NULL, NULL, 'BNAA04G15610D PROTEIN', 61662),
(117937, 'PTHR39708:SF2', NULL, NULL, NULL, NULL, 'OS07G0483400 PROTEIN', 61663),
(117938, 'PTHR26450:SF22', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51B6', 61664),
(117939, 'PTHR34239:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61665),
(117940, 'PTHR12317:SF64', NULL, NULL, NULL, NULL, 'TYPE 2 ACYL-COA DIACYLGLYCEROL ACYLTRANSFERASE', 61666),
(117941, 'PTHR30128:SF57', NULL, NULL, NULL, NULL, 'BLR1084 PROTEIN', 61667),
(117942, 'PTHR31917:SF66', NULL, NULL, NULL, NULL, 'AGENET DOMAIN-CONTAINING PROTEIN', 61668),
(117943, 'PTHR12951:SF5', NULL, NULL, NULL, NULL, 'PROTEIN UNC-119 HOMOLOG A', 61669),
(117944, 'PTHR19303', NULL, NULL, NULL, NULL, 'TRANSPOSON', 61670),
(117945, 'PTHR11453:SF106', NULL, NULL, NULL, NULL, 'BICARBONATE TRANSPORTER, EUKARYOTIC-RELATED', 61671),
(117946, 'PTHR31050:SF8', NULL, NULL, NULL, NULL, 'BNAC08G15950D PROTEIN', 61672),
(117947, 'PTHR46854:SF3', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', 61673),
(117948, 'PTHR13179:SF8', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN DEPDC5', 61674),
(117949, 'PTHR11206:SF367', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 61675),
(117950, 'PTHR24083:SF149', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 61676),
(117951, 'PTHR11176:SF13', NULL, NULL, NULL, NULL, 'SUPPRESSOR', 61677),
(117952, 'PTHR33384:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61678),
(117953, 'PTHR31568:SF100', NULL, NULL, NULL, NULL, 'BNAA06G32650D PROTEIN', 61679),
(117954, 'PTHR27006:SF264', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61680),
(117955, 'PTHR27009:SF67', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 61681),
(117956, 'PTHR24377:SF852', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 59', 61682),
(117957, 'PTHR47997:SF17', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 61683),
(117958, 'PTHR19256:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61684),
(117959, 'PTHR43829:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61685),
(117960, 'PTHR24291:SF154', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 4, SUBFAMILY F, POLYPEPTIDE 40', 61686),
(117961, 'PTHR12321:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61687),
(117962, 'PTHR46285:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61688),
(117963, 'PTHR24225:SF17', NULL, NULL, NULL, NULL, 'FORMYL PEPTIDE RECEPTOR-RELATED SEQUENCE 6-RELATED', 61689),
(117964, 'PTHR48019:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61690),
(117965, 'PTHR36961', NULL, NULL, NULL, NULL, 'LEUKEMIA-ASSOCIATED PROTEIN 7', 61691),
(117966, 'PTHR16557', NULL, NULL, NULL, NULL, 'ALKYLATED DNA REPAIR PROTEIN ALKB-RELATED', 61692),
(117967, 'PTHR32285:SF34', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BEREFRINGENCE-LIKE 7', 61693),
(117968, 'PTHR12277:SF37', NULL, NULL, NULL, NULL, 'PROTEIN ABHD16B', 61694);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(117969, 'PTHR45614:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61695),
(117970, 'PTHR15282:SF6', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY E MEMBER 3', 61696),
(117971, 'PTHR46196:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR EMB1444-RELATED', 61697),
(117972, 'PTHR47926:SF184', NULL, NULL, NULL, NULL, 'BNACNNG64210D PROTEIN', 61698),
(117973, 'PTHR32295:SF214', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 4', 61699),
(117974, 'PTHR11349:SF108', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', 61700),
(117975, 'PTHR38590:SF1', NULL, NULL, NULL, NULL, 'BLL0828 PROTEIN', 61701),
(117976, 'PTHR31325:SF89', NULL, NULL, NULL, NULL, 'OS01G0333600 PROTEIN', 61702),
(117977, 'PTHR15241:SF338', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN 3', 61703),
(117978, 'PTHR21087:SF4', NULL, NULL, NULL, NULL, 'INACTIVE SHIKIMATE KINASE LIKE 1, CHLOROPLASTIC-RELATED', 61704),
(117979, 'PTHR34963:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PSB28 PROTEIN, CHLOROPLASTIC', 61705),
(117980, 'PTHR42757:SF12', NULL, NULL, NULL, NULL, 'IGLON FAMILY MEMBER 5', 61706),
(117981, 'PTHR19433:SF123', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 24', 61707),
(117982, 'PTHR13068:SF132', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', 61708),
(117983, 'PTHR12080:SF46', NULL, NULL, NULL, NULL, 'SLAM FAMILY MEMBER 7', 61709),
(117984, 'PTHR22765:SF253', NULL, NULL, NULL, NULL, 'BNAA03G47220D PROTEIN', 61710),
(117985, 'PTHR23315:SF274', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 61711),
(117986, 'PTHR11913:SF16', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 5', 61712),
(117987, 'PTHR32044:SF71', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 5-RELATED', 61713),
(117988, 'PTHR14226:SF10', NULL, NULL, NULL, NULL, 'LIPASE 4-RELATED', 61714),
(117989, 'PTHR13723:SF200', NULL, NULL, NULL, NULL, 'ADAMTS FAMILY', 61715),
(117990, 'PTHR36178:SF2', NULL, NULL, NULL, NULL, 'SLR0625 PROTEIN', 61716),
(117991, 'PTHR47991:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61717),
(117992, 'PTHR14209:SF33', NULL, NULL, NULL, NULL, 'BNAA03G17630D PROTEIN', 61718),
(117993, 'PTHR11439:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61719),
(117994, 'PTHR11834:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SCALLOPED', 61720),
(117995, 'PTHR33078:SF48', NULL, NULL, NULL, NULL, 'NADH-PLASTOQUINONE OXIDOREDUCTASE, CHAIN 5 SUBGROUP-RELATED', 61721),
(117996, 'PTHR10903', NULL, NULL, NULL, NULL, 'GTPASE, IMAP FAMILY MEMBER-RELATED', 61722),
(117997, 'PTHR23280:SF4', NULL, NULL, NULL, NULL, 'BAND 4.1-LIKE PROTEIN 4A', 61723),
(117998, 'PTHR39563', NULL, NULL, NULL, NULL, 'XANTHINE PHOSPHORIBOSYLTRANSFERASE', 61724),
(117999, 'PTHR24068:SF74', NULL, NULL, NULL, NULL, 'FI16911P1', 61725),
(118000, 'PTHR18063:SF18', NULL, NULL, NULL, NULL, 'OS08G0527500 PROTEIN', 61726),
(118001, 'PTHR33748:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04248', 61727),
(118002, 'PTHR24271:SF3', NULL, NULL, NULL, NULL, 'KALLIKREIN-13', 61728),
(118003, 'PTHR42683:SF17', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 1-RELATED', 61729),
(118004, 'PTHR18934:SF219', NULL, NULL, NULL, NULL, 'DNA/RNA HELICASE, DEAD/DEAH BOX TYPE, N-TERMINAL', 61730),
(118005, 'PTHR15712:SF19', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 10', 61731),
(118006, 'PTHR33202:SF6', NULL, NULL, NULL, NULL, 'ZINC UPTAKE REGULATION PROTEIN', 61732),
(118007, 'PTHR33138:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61733),
(118008, 'PTHR33076:SF78', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 61734),
(118009, 'PTHR46624', NULL, NULL, NULL, NULL, 'AGAP002036-PA', 61735),
(118010, 'PTHR45627', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 1', 61736),
(118011, 'PTHR48044:SF55', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 61737),
(118012, 'PTHR35852', NULL, NULL, NULL, NULL, 'PROTEIN CBG16246', 61738),
(118013, 'PTHR43888:SF36', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ A6', 61739),
(118014, 'PTHR11590:SF52', NULL, NULL, NULL, NULL, 'HEMOCYTE PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE-LIKE PROTEIN', 61740);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(118015, 'PTHR12722:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM50A', 61741),
(118016, 'PTHR48049:SF45', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 61742),
(118017, 'PTHR11732:SF290', NULL, NULL, NULL, NULL, 'PROTEIN CBG09588', 61743),
(118018, 'PTHR43787:SF10', NULL, NULL, NULL, NULL, 'COFACTOR MODIFYING PROTEIN-RELATED', 61744),
(118019, 'PTHR20917:SF0', NULL, NULL, NULL, NULL, 'CALCIUM LOAD-ACTIVATED CALCIUM CHANNEL', 61745),
(118020, 'PTHR31016', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 61746),
(118021, 'PTHR33110:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61747),
(118022, 'PTHR28576', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED PROTEIN 5', 61748),
(118023, 'PTHR43601:SF23', NULL, NULL, NULL, NULL, 'THIOREDOXIN Y1 CHLOROPLASTIC', 61749),
(118024, 'PTHR19321:SF22', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 3-LIKE ISOFORM X1', 61750),
(118025, 'PTHR43248:SF21', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01350)-RELATED', 61751),
(118026, 'PTHR46401:SF7', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE A', 61752),
(118027, 'PTHR36067:SF4', NULL, NULL, NULL, NULL, 'BNAC02G43600D PROTEIN', 61753),
(118028, 'PTHR23064:SF54', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN', 61754),
(118029, 'PTHR10891:SF806', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML39', 61755),
(118030, 'PTHR27006:SF287', NULL, NULL, NULL, NULL, 'OS08G0203600 PROTEIN', 61756),
(118031, 'PTHR31418:SF20', NULL, NULL, NULL, NULL, 'PERMEABLE EGGSHELL', 61757),
(118032, 'PTHR11349:SF105', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE 1', 61758),
(118033, 'PTHR22840', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 36', 61759),
(118034, 'PTHR24136:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61760),
(118035, 'PTHR10209:SF452', NULL, NULL, NULL, NULL, 'OSJNBA0064M23.15 PROTEIN', 61761),
(118036, 'PTHR24067:SF248', NULL, NULL, NULL, NULL, 'DORSAL INTERACTING PROTEIN 4', 61762),
(118037, 'PTHR10783:SF112', NULL, NULL, NULL, NULL, 'EXS-RELATED', 61763),
(118038, 'PTHR42743:SF13', NULL, NULL, NULL, NULL, 'YALI0C15422P', 61764),
(118039, 'PTHR28280', NULL, NULL, NULL, NULL, 'SHUTTLING PRE-60S FACTOR ECM1', 61765),
(118040, 'PTHR46022:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PATCHED', 61766),
(118041, 'PTHR11440:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID:DIACYLGLYCEROL ACYLTRANSFERASE', 61767),
(118042, 'PTHR44757', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCP', 61768),
(118043, 'PTHR31623:SF87', NULL, NULL, NULL, NULL, 'BNAA09G05070D PROTEIN', 61769),
(118044, 'PTHR37614:SF2', NULL, NULL, NULL, NULL, 'OS02G0121400 PROTEIN', 61770),
(118045, 'PTHR32009:SF84', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-LIKE RECEPTOR-PROTEIN', 61771),
(118046, 'PTHR10802:SF3', NULL, NULL, NULL, NULL, 'IP11229P', 61772),
(118047, 'PTHR31339:SF51', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE/GLYCOSIDE HYDROLASE FAMILY PROTEIN', 61773),
(118048, 'PTHR12174:SF39', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 2B', 61774),
(118049, 'PTHR38793:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61775),
(118050, 'PTHR31400:SF2', NULL, NULL, NULL, NULL, 'GUANYLYL CYCLASE-RELATED', 61776),
(118051, 'PTHR32525:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE', 61777),
(118052, 'PTHR14286', NULL, NULL, NULL, NULL, 'GENE, 49355-RELATED', 61778),
(118053, 'PTHR19871:SF28', NULL, NULL, NULL, NULL, 'AGAP004827-PA', 61779),
(118054, 'PTHR43670:SF39', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 2-LIKE ISOFORM X1', 61780),
(118055, 'PTHR47086:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM-TYPE-CONTAINING 9', 61781),
(118056, 'PTHR10634:SF106', NULL, NULL, NULL, NULL, 'BNACNNG45170D PROTEIN', 61782),
(118057, 'PTHR11010:SF23', NULL, NULL, NULL, NULL, 'SERINE PEPTIDASE', 61783),
(118058, 'PTHR11266', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 2, PXMP2  MPV17', 61784),
(118059, 'PTHR18871', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 112 KDA', 61785),
(118060, 'PTHR24300:SF103', NULL, NULL, NULL, NULL, 'CYP2A22 PROTEIN-RELATED', 61786);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(118061, 'PTHR22973:SF11', NULL, NULL, NULL, NULL, 'GOLGI RESIDENT PROTEIN GCP60', 61787),
(118062, 'PTHR37812', NULL, NULL, NULL, NULL, 'MU-LIKE PROPHAGE FLUMU PROTEIN C', 61788),
(118063, 'PTHR12956:SF67', NULL, NULL, NULL, NULL, 'BNAANNG02230D PROTEIN', 61789),
(118064, 'PTHR34194:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ATRX HOMOLOG', 61790),
(118065, 'PTHR32054:SF46', NULL, NULL, NULL, NULL, 'WEB FAMILY PROTEIN-RELATED', 61791),
(118066, 'PTHR33384:SF17', NULL, NULL, NULL, NULL, 'BNAC07G32200D PROTEIN', 61792),
(118067, 'PTHR23430:SF217', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-D', 61793),
(118068, 'PTHR23244:SF446', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACHH', 61794),
(118069, 'PTHR32546:SF7', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 179-RELATED', 61795),
(118070, 'PTHR47318', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP37, CHLOROPLASTIC', 61796),
(118071, 'PTHR11926:SF1332', NULL, NULL, NULL, NULL, '7-DEOXYLOGANETIC ACID GLUCOSYLTRANSFERASE-LIKE', 61797),
(118072, 'PTHR10177:SF401', NULL, NULL, NULL, NULL, 'CYCLIN-O', 61798),
(118073, 'PTHR31930:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS R', 61799),
(118074, 'PTHR39398:SF1', NULL, NULL, NULL, NULL, 'YALI0F14311P', 61800),
(118075, 'PTHR47652:SF3', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', 61801),
(118076, 'PTHR48047:SF70', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 61802),
(118077, 'PTHR12369:SF15', NULL, NULL, NULL, NULL, 'BETA-1,4-N-ACETYLGALACTOSAMINYLTRANSFERASE 3', 61803),
(118078, 'PTHR23130:SF198', NULL, NULL, NULL, NULL, 'CYTOCHROME AND DOMON DOMAIN-CONTAINING PROTEIN', 61804),
(118079, 'PTHR45496:SF9', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN PROTEIN', 61805),
(118080, 'PTHR46057:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.15 PROTEIN', 61806),
(118081, 'PTHR14155:SF575', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61807),
(118082, 'PTHR24073:SF1143', NULL, NULL, NULL, NULL, 'RAB41, MEMBER RAS ONCOGENE FAMILY', 61808),
(118083, 'PTHR21450:SF43', NULL, NULL, NULL, NULL, 'BNAA10G08300D PROTEIN', 61809),
(118084, 'PTHR24637:SF284', NULL, NULL, NULL, NULL, 'COLLAGEN', 61810),
(118085, 'PTHR24092:SF79', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE VB-RELATED', 61811),
(118086, 'PTHR35464', NULL, NULL, NULL, NULL, 'OS06G0115200 PROTEIN', 61812),
(118087, 'PTHR18821', NULL, NULL, NULL, NULL, 'PROKINETICIN', 61813),
(118088, 'PTHR24281:SF149', NULL, NULL, NULL, NULL, '(S)-N-METHYLCOCLAURINE 3''-HYDROXYLASE ISOZYME 2-RELATED', 61814),
(118089, 'PTHR34863:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 61815),
(118090, 'PTHR43341:SF2', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE', 61816),
(118091, 'PTHR45626:SF29', NULL, NULL, NULL, NULL, 'BNAA10G03160D PROTEIN', 61817),
(118092, 'PTHR43591:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61818),
(118093, 'PTHR15077:SF9', NULL, NULL, NULL, NULL, 'FAS-ASSOCIATED DEATH DOMAIN PROTEIN', 61819),
(118094, 'PTHR26453:SF314', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2M7', 61820),
(118095, 'PTHR47244:SF2', NULL, NULL, NULL, NULL, 'OS02G0720300 PROTEIN', 61821),
(118096, 'PTHR31235:SF56', NULL, NULL, NULL, NULL, 'PEROXIDASE 19', 61822),
(118097, 'PTHR10784:SF9', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 6', 61823),
(118098, 'PTHR31225:SF127', NULL, NULL, NULL, NULL, 'BETA MYRCENE/LIMONENE SYNTHASE', 61824),
(118099, 'PTHR47338:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G09360)-RELATED', 61825),
(118100, 'PTHR12263:SF0', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT', 61826),
(118101, 'PTHR12080:SF16', NULL, NULL, NULL, NULL, 'SLAM FAMILY MEMBER 6', 61827),
(118102, 'PTHR31707:SF186', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 36-RELATED', 61828),
(118103, 'PTHR33830:SF18', NULL, NULL, NULL, NULL, 'BNAA01G07580D PROTEIN', 61829),
(118104, 'PTHR45621:SF18', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', 61830),
(118105, 'PTHR27007:SF164', NULL, NULL, NULL, NULL, 'OS12G0500400 PROTEIN', 61831);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(118106, 'PTHR31917:SF72', NULL, NULL, NULL, NULL, 'BNACNNG41910D PROTEIN', 61832),
(118107, 'PTHR33405:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61833),
(118108, 'PTHR24390:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61834),
(118109, 'PTHR48079:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 61835),
(118110, 'PTHR35726:SF4', NULL, NULL, NULL, NULL, 'GLUTAMIC ACID-RICH PROTEIN-LIKE', 61836),
(118111, 'PTHR31689:SF0', NULL, NULL, NULL, NULL, 'DIAMINOPIMELATE EPIMERASE, CHLOROPLASTIC', 61837),
(118112, 'PTHR22760:SF5', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE', 61838),
(118113, 'PTHR46464', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 61839),
(118114, 'PTHR37994', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 61840),
(118115, 'PTHR10826:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61841),
(118116, 'PTHR45736:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER MYM-TYPE PROTEIN 1', 61842),
(118117, 'PTHR43780:SF2', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE DEAMINASE-RELATED', 61843),
(118118, 'PTHR31602:SF84', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR-LIKE PROTEIN', 61844),
(118119, 'PTHR22937:SF156', NULL, NULL, NULL, NULL, 'OS05G0163400 PROTEIN', 61845),
(118120, 'PTHR24351:SF188', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 61846),
(118121, 'PTHR11361:SF137', NULL, NULL, NULL, NULL, 'REPAIR PROTEIN MSH5, PUTATIVE-RELATED', 61847),
(118122, 'PTHR15710:SF93', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE PROTEIN', 61848),
(118123, 'PTHR21193:SF3', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-LIKE DOMAIN-CONTAINING PROTEIN 1', 61849),
(118124, 'PTHR38703', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 61850),
(118125, 'PTHR10555:SF170', NULL, NULL, NULL, NULL, 'FI18122P1', 61851),
(118126, 'PTHR31587:SF5', NULL, NULL, NULL, NULL, 'NEMP FAMILY, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', 61852),
(118127, 'PTHR22969:SF10', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE SUBUNIT EPSILON', 61853),
(118128, 'PTHR47938:SF27', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 61854),
(118129, 'PTHR36763', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 61855),
(118130, 'PTHR35112:SF1', NULL, NULL, NULL, NULL, 'OS08G0360500 PROTEIN', 61856),
(118131, 'PTHR24377:SF770', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 526', 61857),
(118132, 'PTHR16212:SF4', NULL, NULL, NULL, NULL, 'FOCADHESIN', 61858),
(118133, 'PTHR13857:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61859),
(118134, 'PTHR12565:SF396', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH49-LIKE ISOFORM X1', 61860),
(118135, 'PTHR46044:SF8', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NITRILASE/NITRILE HYDRATASE NIT4B-LIKE ISOFORM X1', 61861),
(118136, 'PTHR11430:SF5', NULL, NULL, NULL, NULL, 'VOMERONASAL SECRETORY PROTEIN 2', 61862),
(118137, 'PTHR23056:SF116', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 6', 61863),
(118138, 'PTHR24062:SF88', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 61864),
(118139, 'PTHR31561:SF80', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 61865),
(118140, 'PTHR15377:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION REGULATOR 1', 61866),
(118141, 'PTHR20843:SF0', NULL, NULL, NULL, NULL, 'PROTEIN AVEUGLE', 61867),
(118142, 'PTHR46929:SF22', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 61868),
(118143, 'PTHR11692', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PURINE BIOSYNTHESIS PROTEIN PURH', 61869),
(118144, 'PTHR12603:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61870),
(118145, 'PTHR31933:SF16', NULL, NULL, NULL, NULL, 'BNAANNG14240D PROTEIN', 61871),
(118146, 'PTHR13617', NULL, NULL, NULL, NULL, 'PROTEIN ABHD18', 61872),
(118147, 'PTHR31391:SF23', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS03G0619800', 61873),
(118148, 'PTHR11851:SF156', NULL, NULL, NULL, NULL, 'PROCESSING PEPTIDASE, BETA SUBUNIT, PUTATIVE-RELATED', 61874),
(118149, 'PTHR19944:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61875);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(118150, 'PTHR43356', NULL, NULL, NULL, NULL, 'PHOSPHATE ACETYLTRANSFERASE', 61876),
(118151, 'PTHR13558:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 134', 61877),
(118152, 'PTHR10625:SF205', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 61878),
(118153, 'PTHR33695', NULL, NULL, NULL, NULL, 'LIPOPROTEIN SIGNAL PEPTIDASE', 61879),
(118154, 'PTHR27006:SF333', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', 61880),
(118155, 'PTHR31284:SF44', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1-LIKE', 61881),
(118156, 'PTHR43313:SF7', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 61882),
(118157, 'PTHR34659:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61883),
(118158, 'PTHR39940:SF1', NULL, NULL, NULL, NULL, 'PROTHORACICOTROPIC HORMONE, ISOFORM F', 61884),
(118159, 'PTHR42998:SF1', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME HINDVIIP M PROTEIN-RELATED', 61885),
(118160, 'PTHR19354:SF7', NULL, NULL, NULL, NULL, 'ZIPPER PUTATIVE TUMOR SUPPRESSOR 2 HOMOLOG-RELATED', 61886),
(118161, 'PTHR43677:SF9', NULL, NULL, NULL, NULL, 'BNAA08G02470D PROTEIN', 61887),
(118162, 'PTHR11626:SF3', NULL, NULL, NULL, NULL, 'INACTIVE SQUALENE SYNTHASE 2', 61888),
(118163, 'PTHR37515', NULL, NULL, NULL, NULL, 'YALI0C09240P', 61889),
(118164, 'PTHR33168:SF70', NULL, NULL, NULL, NULL, 'OS01G0182300 PROTEIN', 61890),
(118165, 'PTHR24390:SF149', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 808', 61891),
(118166, 'PTHR23070:SF37', NULL, NULL, NULL, NULL, 'OS07G0517500 PROTEIN', 61892),
(118167, 'PTHR33044:SF100', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 61893),
(118168, 'PTHR43631:SF1', NULL, NULL, NULL, NULL, 'PULLULANASE 1, CHLOROPLASTIC', 61894),
(118169, 'PTHR43042', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE', 61895),
(118170, 'PTHR11062:SF252', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 64 PROTEIN C4-LIKE', 61896),
(118171, 'PTHR14200', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE POLYPEPTIDE', 61897),
(118172, 'PTHR33783:SF5', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 5', 61898),
(118173, 'PTHR31517:SF17', NULL, NULL, NULL, NULL, 'PEROXIDASE 41', 61899),
(118174, 'PTHR27005:SF145', NULL, NULL, NULL, NULL, 'OS10G0151100 PROTEIN', 61900),
(118175, 'PTHR43325:SF1', NULL, NULL, NULL, NULL, 'BLR4156 PROTEIN', 61901),
(118176, 'PTHR22957:SF443', NULL, NULL, NULL, NULL, 'RABGAP/TBC DOMAIN-CONTAINING PROTEIN', 61902),
(118177, 'PTHR39369:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBR-LIN-24', 61903),
(118178, 'PTHR47958:SF47', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 24', 61904),
(118179, 'PTHR20986:SF22', NULL, NULL, NULL, NULL, 'FMRFAMIDE-RELATED PEPTIDES', 61905),
(118180, 'PTHR18829:SF0', NULL, NULL, NULL, NULL, 'PROTEIN YAE1 HOMOLOG', 61906),
(118181, 'PTHR10766:SF43', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 61907),
(118182, 'PTHR31827:SF32', NULL, NULL, NULL, NULL, 'LORICRIN-LIKE', 61908),
(118183, 'PTHR13504:SF39', NULL, NULL, NULL, NULL, 'FIDO DOMAIN-CONTAINING PROTEIN DDB_G0283145', 61909),
(118184, 'PTHR12321:SF98', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 5', 61910),
(118185, 'PTHR38790', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 61911),
(118186, 'PTHR10869:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61912),
(118187, 'PTHR31989:SF170', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 76', 61913),
(118188, 'PTHR36296', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN A', 61914),
(118189, 'PTHR45621:SF157', NULL, NULL, NULL, NULL, 'OS09G0442100 PROTEIN', 61915),
(118190, 'PTHR31062:SF135', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 61916),
(118191, 'PTHR15173', NULL, NULL, NULL, NULL, 'OREXIN', 61917),
(118192, 'PTHR35120:SF2', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT6B-LIKE', 61918),
(118193, 'PTHR14555:SF1', NULL, NULL, NULL, NULL, 'MELANOPHILIN', 61919),
(118194, 'PTHR11686:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG11402', 61920),
(118195, 'PTHR24376:SF170', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 616', 61921);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(118196, 'PTHR47925:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61922),
(118197, 'PTHR30534:SF0', NULL, NULL, NULL, NULL, 'FLAGELLAR MOTOR SWITCH PROTEIN FLIG', 61923),
(118198, 'PTHR32246:SF108', NULL, NULL, NULL, NULL, 'BNACNNG52310D PROTEIN', 61924),
(118199, 'PTHR34059:SF8', NULL, NULL, NULL, NULL, 'BNAA04G27400D PROTEIN', 61925),
(118200, 'PTHR35555:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61926),
(118201, 'PTHR33734:SF12', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING GPI-ANCHORED PROTEIN LYP4', 61927),
(118202, 'PTHR47998:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CPC', 61928),
(118203, 'PTHR46530', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP4', 61929),
(118204, 'PTHR33232:SF23', NULL, NULL, NULL, NULL, 'MEDIATOR COMPLEX SUBUNIT MED28-RELATED', 61930),
(118205, 'PTHR10209:SF251', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 2', 61931),
(118206, 'PTHR27005:SF174', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', 61932),
(118207, 'PTHR45631:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61933),
(118208, 'PTHR31722:SF47', NULL, NULL, NULL, NULL, 'BNAA05G31310D PROTEIN', 61934),
(118209, 'PTHR34920:SF1', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA/LEUKEMIA 10', 61935),
(118210, 'PTHR31352:SF43', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', 61936),
(118211, 'PTHR33601:SF32', NULL, NULL, NULL, NULL, 'BNAC04G50200D PROTEIN', 61937),
(118212, 'PTHR19957:SF311', NULL, NULL, NULL, NULL, 'BNAC05G30860D PROTEIN', 61938),
(118213, 'PTHR32096:SF96', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 46-RELATED', 61939),
(118214, 'PTHR31719:SF171', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 1', 61940),
(118215, 'PTHR10315:SF96', NULL, NULL, NULL, NULL, 'OS05G0152600 PROTEIN', 61941),
(118216, 'PTHR11783:SF168', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 61942),
(118217, 'PTHR10949:SF30', NULL, NULL, NULL, NULL, 'LIPOYL SYNTHASE, CHLOROPLASTIC', 61943),
(118218, 'PTHR37610:SF44', NULL, NULL, NULL, NULL, 'COPIA-LIKE POLYPROTEIN/RETROTRANSPOSON', 61944),
(118219, 'PTHR11071:SF495', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP20-1', 61945),
(118220, 'PTHR46408:SF8', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 9', 61946),
(118221, 'PTHR34035:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 47', 61947),
(118222, 'PTHR21523:SF38', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', 61948),
(118223, 'PTHR45700:SF7', NULL, NULL, NULL, NULL, 'BNAC01G43970D PROTEIN', 61949),
(118224, 'PTHR16120', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT SIGMA-1', 61950),
(118225, 'PTHR11764:SF73', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 61951),
(118226, 'PTHR46204:SF16', NULL, NULL, NULL, NULL, 'CHITIN ELICITOR RECEPTOR KINASE 1-LIKE', 61952),
(118227, 'PTHR21228:SF29', NULL, NULL, NULL, NULL, 'FAST KINASE DOMAIN-CONTAINING PROTEIN 1, MITOCHONDRIAL', 61953),
(118228, 'PTHR38095:SF2', NULL, NULL, NULL, NULL, 'ANAEROBIC DIMETHYL SULFOXIDE REDUCTASE CHAIN C', 61954),
(118229, 'PTHR31692:SF76', NULL, NULL, NULL, NULL, 'EXPANSIN-B15', 61955),
(118230, 'PTHR38778:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 61956),
(118231, 'PTHR11005:SF134', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FAMILY PROTEIN', 61957),
(118232, 'PTHR21501:SF5', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC PROTEIN 10-INTERACTING PROTEIN', 61958),
(118233, 'PTHR33376:SF2', NULL, NULL, NULL, NULL, '2,3-DIKETO-L-GULONATE-BINDING PERIPLASMIC PROTEIN YIAO', 61959),
(118234, 'PTHR36504:SF1', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE EXPORT SYSTEM PROTEIN LPTA', 61960),
(118235, 'PTHR33207:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61961),
(118236, 'PTHR33086:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61962),
(118237, 'PTHR13935', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE TRANSCRIPTION FACTOR-RELATED', 61963),
(118238, 'PTHR44419:SF15', NULL, NULL, NULL, NULL, 'PROTOCHLOROPHYLLIDE REDUCTASE C, CHLOROPLASTIC', 61964),
(118239, 'PTHR11412:SF146', NULL, NULL, NULL, NULL, 'LD23292P', 61965);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(118240, 'PTHR21385:SF0', NULL, NULL, NULL, NULL, 'RE51073P', 61966),
(118241, 'PTHR30523:SF33', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE 3', 61967),
(118242, 'PTHR23327:SF45', NULL, NULL, NULL, NULL, 'BNACNNG58730D PROTEIN', 61968),
(118243, 'PTHR47241:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 6', 61969),
(118244, 'PTHR12027:SF99', NULL, NULL, NULL, NULL, 'PROTEIN WNT', 61970),
(118245, 'PTHR10627:SF72', NULL, NULL, NULL, NULL, 'PROTEIN BICAUDAL C HOMOLOG 1-A-LIKE', 61971),
(118246, 'PTHR35243:SF21', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1', 61972),
(118247, 'PTHR12411:SF775', NULL, NULL, NULL, NULL, 'CATHEPSIN O-RELATED', 61973),
(118248, 'PTHR24287', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 61974),
(118249, 'PTHR23267:SF218', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 6-4-RELATED', 61975),
(118250, 'PTHR14303:SF13', NULL, NULL, NULL, NULL, 'OS08G0543800 PROTEIN', 61976),
(118251, 'PTHR31375:SF210', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 61977),
(118252, 'PTHR26451:SF489', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61978),
(118253, 'PTHR20961:SF91', NULL, NULL, NULL, NULL, 'OS01G0118600 PROTEIN', 61979),
(118254, 'PTHR11735:SF6', NULL, NULL, NULL, NULL, 'TRNA N6-ADENOSINE THREONYLCARBAMOYLTRANSFERASE, MITOCHONDRIAL-RELATED', 61980),
(118255, 'PTHR22763:SF163', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF139', 61981),
(118256, 'PTHR32295:SF109', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', 61982),
(118257, 'PTHR12899:SF5', NULL, NULL, NULL, NULL, 'RIBOSOMAL L18P/L5E FAMILY PROTEIN', 61983),
(118258, 'PTHR24209:SF32', NULL, NULL, NULL, NULL, 'PROTEIN DA1-RELATED 3', 61984),
(118259, 'PTHR21212:SF10', NULL, NULL, NULL, NULL, 'SEIPIN FAMILY-RELATED', 61985),
(118260, 'PTHR10209:SF597', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 11', 61986),
(118261, 'PTHR43056:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61987),
(118262, 'PTHR42864:SF2', NULL, NULL, NULL, NULL, 'LIGHT-INDEPENDENT PROTOCHLOROPHYLLIDE REDUCTASE IRON-SULFUR ATP-BINDING PROTEIN', 61988),
(118263, 'PTHR24235:SF20', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR TYPE 2', 61989),
(118264, 'PTHR42889:SF1', NULL, NULL, NULL, NULL, 'BLR3681 PROTEIN', 61990),
(118265, 'PTHR11690:SF175', NULL, NULL, NULL, NULL, 'PICKPOCKET 13-RELATED', 61991),
(118266, 'PTHR10666:SF250', NULL, NULL, NULL, NULL, 'OS10G0475900 PROTEIN', 61992),
(118267, 'PTHR45676:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 61993),
(118268, 'PTHR11630:SF71', NULL, NULL, NULL, NULL, 'DNA HELICASE', 61994),
(118269, 'PTHR21229:SF1', NULL, NULL, NULL, NULL, 'GH17801P', 61995),
(118270, 'PTHR31945:SF94', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ICE1-LIKE ISOFORM X1', 61996),
(118271, 'PTHR43349:SF35', NULL, NULL, NULL, NULL, 'PHENYLCOUMARAN BENZYLIC ETHER REDUCTASE 1', 61997),
(118272, 'PTHR12121:SF74', NULL, NULL, NULL, NULL, 'PROTEIN ANGEL', 61998),
(118273, 'PTHR33672:SF13', NULL, NULL, NULL, NULL, 'BNAA02G22800D PROTEIN', 61999),
(118274, 'PTHR46751:SF1', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 6A', 62000),
(118275, 'PTHR33512:SF17', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', 62001),
(118276, 'PTHR31034', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 101', 62002),
(118277, 'PTHR37610:SF46', NULL, NULL, NULL, NULL, 'FBD PROTEIN', 62003),
(118278, 'PTHR11566:SF161', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 1E-LIKE', 62004),
(118279, 'PTHR11346:SF167', NULL, NULL, NULL, NULL, 'GALECTIN', 62005),
(118280, 'PTHR14305', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CCNB1IP1', 62006),
(118281, 'PTHR47171:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 62007),
(118282, 'PTHR10177:SF472', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN-3-RELATED', 62008),
(118283, 'PTHR45842:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 2', 62009);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(118284, 'PTHR33077:SF53', NULL, NULL, NULL, NULL, 'JASMONATE ZIM-DOMAIN PROTEIN 10', 62010),
(118285, 'PTHR10641:SF1034', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 9', 62011),
(118286, 'PTHR27006:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62012),
(118287, 'PTHR14226:SF71', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE SDP1-LIKE ISOFORM X1', 62013),
(118288, 'PTHR11848:SF263', NULL, NULL, NULL, NULL, 'DAWDLE, ISOFORM A-RELATED', 62014),
(118289, 'PTHR45724:SF16', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP2-1', 62015),
(118290, 'PTHR24056:SF380', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 62016),
(118291, 'PTHR31734:SF163', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 62017),
(118292, 'PTHR32246:SF128', NULL, NULL, NULL, NULL, 'BNAA03G58120D PROTEIN', 62018),
(118293, 'PTHR33136:SF62', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR 23', 62019),
(118294, 'PTHR45622:SF18', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HERC3-RELATED', 62020),
(118295, 'PTHR36069:SF5', NULL, NULL, NULL, NULL, 'BNAA09G04170D PROTEIN', 62021),
(118296, 'PTHR23257:SF813', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE EDR1', 62022),
(118297, 'PTHR10438:SF371', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 62023),
(118298, 'PTHR45933:SF36', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 11-LIKE', 62024),
(118299, 'PTHR47956:SF54', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D10-LIKE', 62025),
(118300, 'PTHR21505:SF8', NULL, NULL, NULL, NULL, 'FI09734P-RELATED', 62026),
(118301, 'PTHR28670:SF1', NULL, NULL, NULL, NULL, 'UV-STIMULATED SCAFFOLD PROTEIN A', 62027),
(118302, 'PTHR24281:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62028),
(118303, 'PTHR45089:SF34', NULL, NULL, NULL, NULL, 'BNAC02G39610D PROTEIN', 62029),
(118304, 'PTHR11909:SF7', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 7-RELATED PROTEIN KINASE', 62030),
(118305, 'PTHR45680', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 62031),
(118306, 'PTHR12241:SF156', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL7', 62032),
(118307, 'PTHR31375:SF135', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', 62033),
(118308, 'PTHR10807:SF64', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 4', 62034),
(118309, 'PTHR48024:SF32', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN RSD1', 62035),
(118310, 'PTHR28013:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 62036),
(118311, 'PTHR15267', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 18', 62037),
(118312, 'PTHR33090:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62038),
(118313, 'PTHR31681:SF75', NULL, NULL, NULL, NULL, 'BNAA09G54160D PROTEIN', 62039),
(118314, 'PTHR31087:SF25', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 11', 62040),
(118315, 'PTHR36384:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62041),
(118316, 'PTHR46586:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62042),
(118317, 'PTHR27002:SF379', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-1', 62043),
(118318, 'PTHR47990:SF129', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 3-LIKE', 62044),
(118319, 'PTHR43577', NULL, NULL, NULL, NULL, 'CARBOXYPHOSPHONOENOLPYRUVATE PHOSPHONOMUTASE-LIKE PROTEIN (AFU_ORTHOLOGUE AFUA_5G07230)', 62045),
(118320, 'PTHR11909:SF370', NULL, NULL, NULL, NULL, 'PROTEIN CBG11137', 62046),
(118321, 'PTHR22811:SF143', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY/GOLD PROTEIN', 62047),
(118322, 'PTHR31707:SF212', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 41-RELATED', 62048),
(118323, 'PTHR12114:SF1', NULL, NULL, NULL, NULL, 'GAMMA-PARVIN', 62049),
(118324, 'PTHR48071:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-14D8.20', 62050),
(118325, 'PTHR11359:SF11', NULL, NULL, NULL, NULL, 'AMP DEAMINASE', 62051),
(118326, 'PTHR46107:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN-RELATED TRANSMEMBRANE PROTEIN 1', 62052),
(118327, 'PTHR31636:SF246', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL2', 62053),
(118328, 'PTHR34717', NULL, NULL, NULL, NULL, 'EG:BACR7A4.20 PROTEIN', 62054);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(118329, 'PTHR21040:SF5', NULL, NULL, NULL, NULL, 'ZGC:113333', 62055),
(118330, 'PTHR31549:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62056),
(118331, 'PTHR46034:SF27', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', 62057),
(118332, 'PTHR31769:SF73', NULL, NULL, NULL, NULL, 'OS12G0242200 PROTEIN', 62058),
(118333, 'PTHR10332:SF77', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 8', 62059),
(118334, 'PTHR48062:SF15', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 8-RELATED', 62060),
(118335, 'PTHR19964:SF83', NULL, NULL, NULL, NULL, 'FERM DOMAIN (PROTEIN4.1-EZRIN-RADIXIN-MOESIN) FAMILY', 62061),
(118336, 'PTHR31707:SF269', NULL, NULL, NULL, NULL, 'BNAC03G34350D PROTEIN', 62062),
(118337, 'PTHR46007:SF5', NULL, NULL, NULL, NULL, 'AGAP013017-PA', 62063),
(118338, 'PTHR32444:SF121', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 6', 62064),
(118339, 'PTHR31327:SF10', NULL, NULL, NULL, NULL, 'MULTIPLE PDZ DOMAIN PROTEIN', 62065),
(118340, 'PTHR10891:SF911', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62066),
(118341, 'PTHR33780:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 62067),
(118342, 'PTHR11831:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62068),
(118343, 'PTHR23282:SF129', NULL, NULL, NULL, NULL, 'APICAL ENDOSOMAL GLYCOPROTEIN', 62069),
(118344, 'PTHR12736', NULL, NULL, NULL, NULL, 'LANC-LIKE PROTEIN', 62070),
(118345, 'PTHR13268:SF7', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18F', 62071),
(118346, 'PTHR12684:SF2', NULL, NULL, NULL, NULL, 'TRNA 2''-PHOSPHOTRANSFERASE 1', 62072),
(118347, 'PTHR22891:SF127', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 4B', 62073),
(118348, 'PTHR13410', NULL, NULL, NULL, NULL, 'PROTEIN PBDC1', 62074),
(118349, 'PTHR23176:SF5', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACFF', 62075),
(118350, 'PTHR15298:SF11', NULL, NULL, NULL, NULL, 'GLYCINE N-PHENYLACETYLTRANSFERASE', 62076),
(118351, 'PTHR16445', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN FLJ20010', 62077),
(118352, 'PTHR33124:SF78', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH148-LIKE ISOFORM X1', 62078),
(118353, 'PTHR10543:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62079),
(118354, 'PTHR21553:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62080),
(118355, 'PTHR22930:SF159', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1 ISOFORM X1-RELATED', 62081),
(118356, 'PTHR33207:SF29', NULL, NULL, NULL, NULL, 'OS02G0288925 PROTEIN', 62082),
(118357, 'PTHR34740', NULL, NULL, NULL, NULL, 'FINGER, C3HC4 TYPE, PUTATIVE-RELATED-RELATED', 62083),
(118358, 'PTHR37153', NULL, NULL, NULL, NULL, 'CHROMOSOME 19 C19ORF81 HOMOLOG', 62084),
(118359, 'PTHR37419:SF6', NULL, NULL, NULL, NULL, 'KINASE HI_0665-RELATED', 62085),
(118360, 'PTHR15588:SF11', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM1', 62086),
(118361, 'PTHR43791:SF18', NULL, NULL, NULL, NULL, 'NICOTINIC ACID TRANSPORTER TNA1, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03820)-RELATED', 62087),
(118362, 'PTHR12385', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE (SLC FAMILY 44)', 62088),
(118363, 'PTHR42985:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62089),
(118364, 'PTHR48111:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN BAER', 62090),
(118365, 'PTHR16950:SF18', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIPT-7.1', 62091),
(118366, 'PTHR39555:SF1', NULL, NULL, NULL, NULL, 'FIMBRIAL ASSEMBLY PROTEIN PILO-LIKE PROTEIN-RELATED', 62092),
(118367, 'PTHR31808:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62093),
(118368, 'PTHR47933:SF6', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT-CONTAINING-LIKE PROTEIN', 62094),
(118369, 'PTHR31184:SF3', NULL, NULL, NULL, NULL, 'BNAA05G30770D PROTEIN', 62095),
(118370, 'PTHR47177', NULL, NULL, NULL, NULL, 'F18C1.6 PROTEIN', 62096),
(118371, 'PTHR47924:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62097),
(118372, 'PTHR17602', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS REGULATORY PROTEIN', 62098),
(118373, 'PTHR47327:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG00939', 62099);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(118374, 'PTHR39652', NULL, NULL, NULL, NULL, 'UPF0201 PROTEIN TK1335', 62100),
(118375, 'PTHR12917:SF16', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-INTERACTING PROTEIN 3', 62101),
(118376, 'PTHR21399:SF5', NULL, NULL, NULL, NULL, 'BNAA02G33340D PROTEIN', 62102),
(118377, 'PTHR12411:SF741', NULL, NULL, NULL, NULL, 'SI:DKEY-228A15.1-RELATED', 62103),
(118378, 'PTHR13593:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62104),
(118379, 'PTHR11879:SF46', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, CYTOPLASMIC', 62105),
(118380, 'PTHR46733:SF6', NULL, NULL, NULL, NULL, 'LOCALIZED SMALL HEAT SHOCK PROTEIN', 62106),
(118381, 'PTHR46386:SF9', NULL, NULL, NULL, NULL, 'RIKEN CDNA A630001G21 GENE', 62107),
(118382, 'PTHR33875:SF4', NULL, NULL, NULL, NULL, 'BNAC03G41270D PROTEIN', 62108),
(118383, 'PTHR11206:SF131', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 62109),
(118384, 'PTHR11452:SF37', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', 62110),
(118385, 'PTHR48049:SF40', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 62111),
(118386, 'PTHR11390', NULL, NULL, NULL, NULL, 'PROKARYOTIC DNA TOPOISOMERASE', 62112),
(118387, 'PTHR43045', NULL, NULL, NULL, NULL, 'SHIKIMATE TRANSPORTER', 62113),
(118388, 'PTHR10859:SF106', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE', 62114),
(118389, 'PTHR46410:SF3', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 2', 62115),
(118390, 'PTHR24260:SF128', NULL, NULL, NULL, NULL, 'IP09419P', 62116),
(118391, 'PTHR44489:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62117),
(118392, 'PTHR11431:SF84', NULL, NULL, NULL, NULL, 'FERRITIN', 62118),
(118393, 'PTHR31564:SF0', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 16', 62119),
(118394, 'PTHR12840:SF3', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 8, MITOCHONDRIAL', 62120),
(118395, 'PTHR23430:SF63', NULL, NULL, NULL, NULL, 'HUNTINGTIN-INTERACTING PROTEIN M', 62121),
(118396, 'PTHR31645:SF74', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 62122),
(118397, 'PTHR13190:SF21', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 2 HOMOLOG A', 62123),
(118398, 'PTHR10315:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62124),
(118399, 'PTHR19964:SF33', NULL, NULL, NULL, NULL, 'LIGAND OF NUMB PROTEIN X 2', 62125),
(118400, 'PTHR47327:SF7', NULL, NULL, NULL, NULL, 'GH08941P', 62126),
(118401, 'PTHR36357:SF1', NULL, NULL, NULL, NULL, 'OS03G0148300 PROTEIN', 62127),
(118402, 'PTHR48112:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62128),
(118403, 'PTHR21749:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG05367', 62129),
(118404, 'PTHR45862:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SGT1 HOMOLOG', 62130),
(118405, 'PTHR32410:SF155', NULL, NULL, NULL, NULL, 'CHP-RICH ZINC FINGER PROTEIN-LIKE', 62131),
(118406, 'PTHR11918', NULL, NULL, NULL, NULL, 'RADICAL SAM PROTEINS', 62132),
(118407, 'PTHR33167:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62133),
(118408, 'PTHR10807:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62134),
(118409, 'PTHR46611:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 62135),
(118410, 'PTHR31723:SF7', NULL, NULL, NULL, NULL, 'NTF2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 62136),
(118411, 'PTHR31874:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 8', 62137),
(118412, 'PTHR14986:SF4', NULL, NULL, NULL, NULL, 'UBIQUITIN-RELATED MODIFIER 1', 62138),
(118413, 'PTHR31357:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-10', 62139),
(118414, 'PTHR21551:SF22', NULL, NULL, NULL, NULL, 'BNAC05G12690D PROTEIN', 62140),
(118415, 'PTHR34591:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62141),
(118416, 'PTHR31321', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTER HYDROLASE YBHC-RELATED', 62142),
(118417, 'PTHR24161:SF97', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 10', 62143),
(118418, 'PTHR48021:SF25', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 5', 62144),
(118419, 'PTHR33096', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 62145);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(118420, 'PTHR10648:SF23', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2A REGULATORY SUBUNIT, PUTATIVE-RELATED', 62146),
(118421, 'PTHR33147:SF95', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN', 62147),
(118422, 'PTHR10494', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN INHIBITOR, NOGGIN', 62148),
(118423, 'PTHR31415:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62149),
(118424, 'PTHR10048:SF107', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 3-KINASE CATALYTIC SUBUNIT ALPHA ISOFORM', 62150),
(118425, 'PTHR45988:SF50', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN', 62151),
(118426, 'PTHR15898:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER, ZZ-TYPE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 62152),
(118427, 'PTHR43941', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 2', 62153),
(118428, 'PTHR44157:SF2', NULL, NULL, NULL, NULL, 'DNAJ (HSP40) HOMOLOG, SUBFAMILY C, MEMBER 11A', 62154),
(118429, 'PTHR23167:SF22', NULL, NULL, NULL, NULL, 'ALPHA-ACTININ-2', 62155),
(118430, 'PTHR27004:SF368', NULL, NULL, NULL, NULL, 'BNAA07G02940D PROTEIN', 62156),
(118431, 'PTHR42735:SF10', NULL, NULL, NULL, NULL, 'PYRIDOXAL-DEPENDENT DECARBOXYLASE DOMAIN-CONTAINING PROTEIN 1-RELATED', 62157),
(118432, 'PTHR12560:SF56', NULL, NULL, NULL, NULL, 'LD18904P', 62158),
(118433, 'PTHR13952:SF18', NULL, NULL, NULL, NULL, 'BNAC06G03980D PROTEIN', 62159),
(118434, 'PTHR33386:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62160),
(118435, 'PTHR43452:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62161),
(118436, 'PTHR39160:SF4', NULL, NULL, NULL, NULL, 'CELL WALL-BINDING PROTEIN YOCH', 62162),
(118437, 'PTHR48049:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 62163),
(118438, 'PTHR47948:SF4', NULL, NULL, NULL, NULL, 'TRANS-CINNAMATE 4-MONOOXYGENASE', 62164),
(118439, 'PTHR10334:SF391', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1', 62165),
(118440, 'PTHR15549', NULL, NULL, NULL, NULL, 'PAIRED IMMUNOGLOBULIN-LIKE TYPE 2 RECEPTOR', 62166),
(118441, 'PTHR18945:SF440', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 62167),
(118442, 'PTHR12226:SF4', NULL, NULL, NULL, NULL, 'MANNOSE-P-DOLICHOL UTILIZATION DEFECT 1 PROTEIN HOMOLOG 1', 62168),
(118443, 'PTHR12957:SF35', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN FAMILY 45 MEMBER A1-RELATED', 62169),
(118444, 'PTHR46128:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62170),
(118445, 'PTHR11278:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', 62171),
(118446, 'PTHR33138:SF54', NULL, NULL, NULL, NULL, 'OS01G0690900 PROTEIN', 62172),
(118447, 'PTHR24040:SF3', NULL, NULL, NULL, NULL, 'SEX HORMONE-BINDING GLOBULIN', 62173),
(118448, 'PTHR38633:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG15573', 62174),
(118449, 'PTHR13594', NULL, NULL, NULL, NULL, 'CENTRIOLAR COILED-COIL PROTEIN OF 110 KDA', 62175),
(118450, 'PTHR11537:SF184', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY C MEMBER 3', 62176),
(118451, 'PTHR19384:SF119', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', 62177),
(118452, 'PTHR21818:SF0', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP I PROTEIN', 62178),
(118453, 'PTHR24416:SF541', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR', 62179),
(118454, 'PTHR31339:SF78', NULL, NULL, NULL, NULL, 'BNAA06G16130D PROTEIN', 62180),
(118455, 'PTHR13713:SF94', NULL, NULL, NULL, NULL, 'ST3 BETA-GALACTOSIDE ALPHA-2,3-SIALYLTRANSFERASE 7', 62181),
(118456, 'PTHR11786', NULL, NULL, NULL, NULL, 'N-HYDROXYARYLAMINE O-ACETYLTRANSFERASE', 62182),
(118457, 'PTHR33570:SF9', NULL, NULL, NULL, NULL, 'BLL4600 PROTEIN', 62183),
(118458, 'PTHR11923:SF93', NULL, NULL, NULL, NULL, 'GH07959P-RELATED', 62184),
(118459, 'PTHR24089:SF671', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 24,-LIKE', 62185),
(118460, 'PTHR31072:SF150', NULL, NULL, NULL, NULL, 'TCP TRANSCRIPTION FACTOR 15', 62186),
(118461, 'PTHR31789:SF11', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', 62187),
(118462, 'PTHR43572:SF61', NULL, NULL, NULL, NULL, 'BNAC02G11800D PROTEIN', 62188);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(118463, 'PTHR31300:SF38', NULL, NULL, NULL, NULL, 'BNAC02G43970D PROTEIN', 62189),
(118464, 'PTHR48043:SF53', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 62190),
(118465, 'PTHR35461:SF5', NULL, NULL, NULL, NULL, 'RNA HELICASE DDX11-LIKE PROTEIN, PUTATIVE-RELATED', 62191),
(118466, 'PTHR42796:SF4', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE DOMAIN-CONTAINING PROTEIN 2A', 62192),
(118467, 'PTHR32009:SF76', NULL, NULL, NULL, NULL, 'BNAA09G53570D PROTEIN', 62193),
(118468, 'PTHR11654:SF548', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 62194),
(118469, 'PTHR44272:SF9', NULL, NULL, NULL, NULL, 'BNAA02G13770D PROTEIN', 62195),
(118470, 'PTHR24232:SF25', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 8', 62196),
(118471, 'PTHR11632:SF71', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE FLAVOPROTEIN SUBUNIT', 62197),
(118472, 'PTHR33832:SF11', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR TYPE-2 TR8', 62198),
(118473, 'PTHR46028:SF4', NULL, NULL, NULL, NULL, 'AROMATIC-RING HYDROXYLASE-LIKE', 62199),
(118474, 'PTHR24281:SF155', NULL, NULL, NULL, NULL, 'STEROID 21-HYDROXYLASE', 62200),
(118475, 'PTHR47966:SF51', NULL, NULL, NULL, NULL, 'BETA-SITE APP-CLEAVING ENZYME, ISOFORM A-RELATED', 62201),
(118476, 'PTHR15592:SF27', NULL, NULL, NULL, NULL, 'HEPHAESTUS, ISOFORM Y', 62202),
(118477, 'PTHR23177:SF72', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 1', 62203),
(118478, 'PTHR46124', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE', 62204),
(118479, 'PTHR10791:SF56', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET13', 62205),
(118480, 'PTHR11266:SF21', NULL, NULL, NULL, NULL, 'MPV17/PMP22', 62206),
(118481, 'PTHR10426:SF118', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 10', 62207),
(118482, 'PTHR46695:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 44-LIKE ISOFORM X1', 62208),
(118483, 'PTHR31656:SF35', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN-RELATED / LEA PROTEIN-RELATED', 62209),
(118484, 'PTHR35714:SF3', NULL, NULL, NULL, NULL, 'BNACNNG22830D PROTEIN', 62210),
(118485, 'PTHR28057:SF1', NULL, NULL, NULL, NULL, 'PROTEIN IFH1-RELATED', 62211),
(118486, 'PTHR37871', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 22', 62212),
(118487, 'PTHR13843:SF11', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 1S', 62213),
(118488, 'PTHR31223:SF14', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOGL9-RELATED', 62214),
(118489, 'PTHR11130:SF0', NULL, NULL, NULL, NULL, 'GLUTATHIONE SYNTHETASE', 62215),
(118490, 'PTHR23273:SF65', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD PROTEIN-RELATED', 62216),
(118491, 'PTHR37042:SF4', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN RV1973', 62217),
(118492, 'PTHR11349:SF101', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE, CYTOSOLIC', 62218),
(118493, 'PTHR31194:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62219),
(118494, 'PTHR31839:SF40', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN', 62220),
(118495, 'PTHR31351:SF32', NULL, NULL, NULL, NULL, 'AUXIN CANALIZATION PROTEIN (DUF828)', 62221),
(118496, 'PTHR14508:SF2', NULL, NULL, NULL, NULL, 'SNRPN UPSTREAM READING FRAME PROTEIN', 62222),
(118497, 'PTHR12903:SF8', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L24, CHLOROPLASTIC', 62223),
(118498, 'PTHR11537:SF268', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, SHAW-RELATED SUBFAMILY, MEMBER 3A', 62224),
(118499, 'PTHR34360', NULL, NULL, NULL, NULL, 'OS08G0519400 PROTEIN', 62225),
(118500, 'PTHR31992:SF201', NULL, NULL, NULL, NULL, 'BNAA08G01830D PROTEIN', 62226),
(118501, 'PTHR30511:SF0', NULL, NULL, NULL, NULL, 'ALANINE RACEMASE, CATABOLIC-RELATED', 62227),
(118502, 'PTHR46540:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 12', 62228),
(118503, 'PTHR22937:SF133', NULL, NULL, NULL, NULL, 'OS05G0550000 PROTEIN', 62229),
(118504, 'PTHR10288:SF253', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C3H FAMILY-RELATED', 62230),
(118505, 'PTHR39408:SF3', NULL, NULL, NULL, NULL, 'MUCIN-21', 62231);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(118506, 'PTHR31989:SF311', NULL, NULL, NULL, NULL, 'BNAA09G00440D PROTEIN', 62232),
(118507, 'PTHR31744:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62233),
(118508, 'PTHR24093:SF346', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 62234),
(118509, 'PTHR31086:SF50', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 8-LIKE', 62235),
(118510, 'PTHR32468:SF134', NULL, NULL, NULL, NULL, 'CATION:PROTON ANTIPORTER, PUTATIVE-RELATED', 62236),
(118511, 'PTHR42786:SF4', NULL, NULL, NULL, NULL, 'TRNA/RRNA METHYLTRANSFERASE, SPOU', 62237),
(118512, 'PTHR11751:SF440', NULL, NULL, NULL, NULL, 'OS09G0433900 PROTEIN', 62238),
(118513, 'PTHR30055:SF185', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY TETR-FAMILY)-RELATED', 62239),
(118514, 'PTHR37089', NULL, NULL, NULL, NULL, 'PROTEIN U-RELATED', 62240),
(118515, 'PTHR12236:SF77', NULL, NULL, NULL, NULL, 'CUTICLE PROTEIN', 62241),
(118516, 'PTHR31104:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62242),
(118517, 'PTHR44094:SF11', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', 62243),
(118518, 'PTHR31225:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62244),
(118519, 'PTHR10332:SF40', NULL, NULL, NULL, NULL, 'NUCLEOBASE/NUCLEOSIDE TRANSPORTER 8.1', 62245),
(118520, 'PTHR46806', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 62246),
(118521, 'PTHR10177:SF431', NULL, NULL, NULL, NULL, 'BNAA03G50910D PROTEIN', 62247),
(118522, 'PTHR10075:SF5', NULL, NULL, NULL, NULL, 'NEUROPLASTIN', 62248),
(118523, 'PTHR13448:SF10', NULL, NULL, NULL, NULL, 'BNAA09G51340D PROTEIN', 62249),
(118524, 'PTHR11932:SF79', NULL, NULL, NULL, NULL, 'OS08G0170900 PROTEIN', 62250),
(118525, 'PTHR22957:SF168', NULL, NULL, NULL, NULL, 'TBC DOMAIN-CONTAINING PROTEIN KINASE-LIKE PROTEIN', 62251),
(118526, 'PTHR11260:SF651', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', 62252),
(118527, 'PTHR36968:SF14', NULL, NULL, NULL, NULL, 'HOMEOBOX DOMAIN PROTEIN', 62253),
(118528, 'PTHR21666:SF274', NULL, NULL, NULL, NULL, 'STAGE IV SPORULATION PROTEIN FA', 62254),
(118529, 'PTHR43540:SF1', NULL, NULL, NULL, NULL, 'FAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G12220)-RELATED', 62255),
(118530, 'PTHR33143:SF45', NULL, NULL, NULL, NULL, 'BNAA04G25650D PROTEIN', 62256),
(118531, 'PTHR44137:SF25', NULL, NULL, NULL, NULL, 'BNAA09G40870D PROTEIN', 62257),
(118532, 'PTHR11036:SF22', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3E', 62258),
(118533, 'PTHR34034', NULL, NULL, NULL, NULL, 'PROTEIN FAM180A-RELATED', 62259),
(118534, 'PTHR43885', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE', 62260),
(118535, 'PTHR13301:SF189', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN B5-RELATED', 62261),
(118536, 'PTHR46453:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C-BINDING PROTEIN 1', 62262),
(118537, 'PTHR24247:SF232', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE (SEROTONIN) RECEPTOR 1A B', 62263),
(118538, 'PTHR24177:SF247', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 62264),
(118539, 'PTHR21447:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG25521', 62265),
(118540, 'PTHR10492:SF17', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 62266),
(118541, 'PTHR11848:SF165', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 4', 62267),
(118542, 'PTHR47323:SF2', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', 62268),
(118543, 'PTHR37989:SF33', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 6', 62269),
(118544, 'PTHR22669:SF10', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', 62270),
(118545, 'PTHR27006:SF140', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ISOFORM X1-RELATED', 62271),
(118546, 'PTHR22601:SF53', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 8', 62272),
(118547, 'PTHR33128:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62273),
(118548, 'PTHR31365:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCOPROTEIN FAMILY PROTEIN-LIKE', 62274),
(118549, 'PTHR47100:SF5', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE PHS1', 62275);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(118550, 'PTHR12062', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYLTRANSFERASE VI', 62276),
(118551, 'PTHR10380:SF203', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 65EB-RELATED', 62277),
(118552, 'PTHR24068:SF36', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 D1', 62278),
(118553, 'PTHR31235:SF294', NULL, NULL, NULL, NULL, 'PEROXIDASE', 62279),
(118554, 'PTHR46196:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LHW-LIKE', 62280),
(118555, 'PTHR27004:SF103', NULL, NULL, NULL, NULL, 'OS02G0161500 PROTEIN', 62281),
(118556, 'PTHR11409:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62282),
(118557, 'PTHR11661:SF17', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12-1-RELATED', 62283),
(118558, 'PTHR33091:SF7', NULL, NULL, NULL, NULL, 'INHIBITOR I FAMILY PROTEIN', 62284),
(118559, 'PTHR11653:SF3', NULL, NULL, NULL, NULL, 'PARVALBUMIN, THYMIC', 62285),
(118560, 'PTHR38160:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 40', 62286),
(118561, 'PTHR33790:SF10', NULL, NULL, NULL, NULL, 'PROTEIN EARLY RESPONSIVE TO DEHYDRATION 15', 62287),
(118562, 'PTHR47707:SF1', NULL, NULL, NULL, NULL, '8-OXO-DGTP DIPHOSPHATASE', 62288),
(118563, 'PTHR37615', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP159-LIKE', 62289),
(118564, 'PTHR42826:SF9', NULL, NULL, NULL, NULL, 'SODIUM/SULFATE SYMPORTER-RELATED', 62290),
(118565, 'PTHR33766', NULL, NULL, NULL, NULL, 'PROTEIN FAM181B', 62291),
(118566, 'PTHR42155:SF1', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT ZETA', 62292),
(118567, 'PTHR32080:SF45', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 62293),
(118568, 'PTHR14695', NULL, NULL, NULL, NULL, 'SHC SH2-DOMAIN BINDING PROTEIN 1-RELATED', 62294),
(118569, 'PTHR46931:SF9', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN-RELATED', 62295),
(118570, 'PTHR47972:SF2', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 62296),
(118571, 'PTHR31218:SF232', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 62297),
(118572, 'PTHR12542:SF114', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 62298),
(118573, 'PTHR11054', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE', 62299),
(118574, 'PTHR10484:SF162', NULL, NULL, NULL, NULL, 'HISTONE H4', 62300),
(118575, 'PTHR10841:SF17', NULL, NULL, NULL, NULL, 'SYNAPSIN', 62301),
(118576, 'PTHR13900:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 1', 62302),
(118577, 'PTHR23012:SF169', NULL, NULL, NULL, NULL, 'BNAA09G00550D PROTEIN', 62303),
(118578, 'PTHR46724', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 9-RELATED', 62304),
(118579, 'PTHR34046:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62305),
(118580, 'PTHR34481:SF8', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE INHIBITOR 0.19', 62306),
(118581, 'PTHR23355:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62307),
(118582, 'PTHR13878:SF142', NULL, NULL, NULL, NULL, 'BNAA02G05340D PROTEIN', 62308),
(118583, 'PTHR23155:SF1041', NULL, NULL, NULL, NULL, 'OS06G0667900 PROTEIN', 62309),
(118584, 'PTHR46247', NULL, NULL, NULL, NULL, 'CRS2-ASSOCIATED FACTOR 1, CHLOROPLASTIC', 62310),
(118585, 'PTHR43483:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN HI_0806-RELATED', 62311),
(118586, 'PTHR22914:SF9', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 1', 62312),
(118587, 'PTHR33078:SF50', NULL, NULL, NULL, NULL, 'YCF2-LIKE PROTEIN', 62313),
(118588, 'PTHR43311:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE--TRNA LIGASE, MITOCHONDRIAL-RELATED', 62314),
(118589, 'PTHR27005:SF355', NULL, NULL, NULL, NULL, 'BNAC04G24050D PROTEIN', 62315),
(118590, 'PTHR48001:SF51', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1L1', 62316),
(118591, 'PTHR31149:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 62317),
(118592, 'PTHR43763:SF12', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE P1', 62318),
(118593, 'PTHR12974:SF36', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', 62319),
(118594, 'PTHR17388:SF2', NULL, NULL, NULL, NULL, 'SECRETOGRANIN-3', 62320),
(118595, 'PTHR45647:SF88', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 52-LIKE ISOFORM X1', 62321);
INSERT INTO "PUBLIC"."MODEL" VALUES
(118596, 'PTHR11654:SF94', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.10', 62322),
(118597, 'PTHR35663:SF3', NULL, NULL, NULL, NULL, 'GENE, 30191-RELATED', 62323),
(118598, 'PTHR10826:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62324),
(118599, 'PTHR31042:SF91', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 62325),
(118600, 'PTHR38450:SF1', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN AC', 62326),
(118601, 'PTHR31791:SF41', NULL, NULL, NULL, NULL, 'A_TM021B04.7 PROTEIN', 62327),
(118602, 'PTHR14881:SF4', NULL, NULL, NULL, NULL, 'LISH DOMAIN-CONTAINING PROTEIN ARMC9', 62328),
(118603, 'PTHR24291:SF106', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4G1-RELATED', 62329),
(118604, 'PTHR33280', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L31, CHLOROPLASTIC', 62330),
(118605, 'PTHR42745:SF1', NULL, NULL, NULL, NULL, 'ARABINOSE 5-PHOSPHATE ISOMERASE KDSD', 62331),
(118606, 'PTHR11685:SF340', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 62332),
(118607, 'PTHR16277:SF7', NULL, NULL, NULL, NULL, 'RE12330P', 62333),
(118608, 'PTHR43327:SF5', NULL, NULL, NULL, NULL, 'BAND 7 PROTEIN', 62334),
(118609, 'PTHR11141:SF23', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', 62335),
(118610, 'PTHR48001:SF96', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7G2', 62336),
(118611, 'PTHR14237:SF50', NULL, NULL, NULL, NULL, 'OS11G0487100 PROTEIN', 62337),
(118612, 'PTHR32285:SF206', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 38', 62338),
(118613, 'PTHR21503:SF31', NULL, NULL, NULL, NULL, 'PROTEIN CBG05321', 62339),
(118614, 'PTHR16717:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 8B, MITOCHONDRIAL', 62340),
(118615, 'PTHR24346:SF51', NULL, NULL, NULL, NULL, 'PAS DOMAIN-CONTAINING SERINE/THREONINE-PROTEIN KINASE', 62341),
(118616, 'PTHR33869:SF21', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 2', 62342),
(118617, 'PTHR11733:SF189', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', 62343),
(118618, 'PTHR18929:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62344),
(118619, 'PTHR48111:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN CREB', 62345),
(118620, 'PTHR22762:SF133', NULL, NULL, NULL, NULL, 'ACID ALPHA GLUCOSIDASE RELATE', 62346),
(118621, 'PTHR10666:SF367', NULL, NULL, NULL, NULL, 'NEURAL PRECURSOR CELL-EXPRESSED, DEVELOPMENTALLY DOWN-REGULATED 8,-LIKE', 62347),
(118622, 'PTHR48183:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 62348),
(118623, 'PTHR12506:SF70', NULL, NULL, NULL, NULL, 'BNAC04G00080D PROTEIN', 62349),
(118624, 'PTHR12659:SF6', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 13', 62350),
(118625, 'PTHR37346:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 19', 62351),
(118626, 'PTHR11785:SF213', NULL, NULL, NULL, NULL, 'Y+L AMINO ACID TRANSPORTER 2-LIKE', 62352),
(118627, 'PTHR34251:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-, GLUTAMATE- AND LYSINE-RICH PROTEIN 1', 62353),
(118628, 'PTHR45637:SF32', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PK', 62354),
(118629, 'PTHR23023:SF137', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 62355),
(118630, 'PTHR10108:SF1125', NULL, NULL, NULL, NULL, 'BNAA07G09320D PROTEIN', 62356),
(118631, 'PTHR11635:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62357),
(118632, 'PTHR41142:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-16J16.4', 62358),
(118633, 'PTHR30603:SF25', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR', 62359),
(118634, 'PTHR11232:SF32', NULL, NULL, NULL, NULL, 'NUMB-LIKE PROTEIN', 62360),
(118635, 'PTHR23162:SF7', NULL, NULL, NULL, NULL, 'PROTEIN BCAP', 62361),
(118636, 'PTHR15496:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62362),
(118637, 'PTHR31735:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR MEMBRANE PROTEIN YPL162C', 62363),
(118638, 'PTHR11255:SF92', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE IOTA', 62364),
(118639, 'PTHR38222', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 62365),
(118640, 'PTHR21648', NULL, NULL, NULL, NULL, 'FLAGELLAR RADIAL SPOKE PROTEIN 3', 62366);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(118641, 'PTHR24068:SF305', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 5B-LIKE', 62367),
(118642, 'PTHR22849:SF139', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 62368),
(118643, 'PTHR24281:SF83', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1', 62369),
(118644, 'PTHR10094:SF29', NULL, NULL, NULL, NULL, 'SCP2 STEROL-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 62370),
(118645, 'PTHR46783:SF1', NULL, NULL, NULL, NULL, 'CYTOGLOBIN', 62371),
(118646, 'PTHR31675:SF4', NULL, NULL, NULL, NULL, 'AXIAL REGULATOR YABBY 3', 62372),
(118647, 'PTHR45732:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8A', 62373),
(118648, 'PTHR13703:SF36', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 5', 62374),
(118649, 'PTHR34952:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62375),
(118650, 'PTHR24024:SF33', NULL, NULL, NULL, NULL, 'PULMONARY SURFACTANT-ASSOCIATED PROTEIN A2', 62376),
(118651, 'PTHR38848', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 62377),
(118652, 'PTHR21659:SF85', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 62378),
(118653, 'PTHR24232:SF20', NULL, NULL, NULL, NULL, 'PROTEINASE-ACTIVATED RECEPTOR 1', 62379),
(118654, 'PTHR31003:SF34', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', 62380),
(118655, 'PTHR40399:SF1', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCITOL/SORBITOL-SPECIFIC EIIC COMPONENT', 62381),
(118656, 'PTHR11309:SF23', NULL, NULL, NULL, NULL, 'FRIZZLED-4', 62382),
(118657, 'PTHR34061', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 62383),
(118658, 'PTHR23406:SF79', NULL, NULL, NULL, NULL, 'MALIC ENZYME, NAD-BINDING', 62384),
(118659, 'PTHR15680:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62385),
(118660, 'PTHR42706:SF1', NULL, NULL, NULL, NULL, 'FORMYLTETRAHYDROFOLATE DEFORMYLASE 1, MITOCHONDRIAL', 62386),
(118661, 'PTHR45569', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN KDPD', 62387),
(118662, 'PTHR33463:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62388),
(118663, 'PTHR45712:SF2', NULL, NULL, NULL, NULL, 'ASPORIN', 62389),
(118664, 'PTHR48017:SF62', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 1', 62390),
(118665, 'PTHR43008', NULL, NULL, NULL, NULL, 'BENZIL REDUCTASE', 62391),
(118666, 'PTHR34283:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62392),
(118667, 'PTHR24093:SF453', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 62393),
(118668, 'PTHR46057:SF13', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 3', 62394),
(118669, 'PTHR35538:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62395),
(118670, 'PTHR19868:SF10', NULL, NULL, NULL, NULL, 'RECEPTOR FOR ACTIVATED C KINASE 1A', 62396),
(118671, 'PTHR43125', NULL, NULL, NULL, NULL, 'INOSITOL-3-PHOSPHATE SYNTHASE', 62397),
(118672, 'PTHR34957', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN', 62398),
(118673, 'PTHR33021:SF298', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 14-RELATED', 62399),
(118674, 'PTHR31852:SF132', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOFAMILY PROTEIN, PUTATIVE-RELATED', 62400),
(118675, 'PTHR23177:SF67', NULL, NULL, NULL, NULL, 'OSJNBA0020J04.11 PROTEIN', 62401),
(118676, 'PTHR24089:SF687', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER LIKE PROTEIN', 62402),
(118677, 'PTHR47392', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 82-RELATED', 62403),
(118678, 'PTHR23268:SF45', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 2', 62404),
(118679, 'PTHR43000:SF28', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL UDP-GLUCOSE 4,6-DEHYDRATASE/UDP-4-KETO-6-DEOXY-D-GLUCOSE 3,5-EPIMERASE/UDP-4-KETO-L-RHAMNOSE-REDUCTASE RHM1-LIKE', 62405),
(118680, 'PTHR12385:SF84', NULL, NULL, NULL, NULL, 'F20H23.27 PROTEIN-RELATED', 62406),
(118681, 'PTHR14047:SF1', NULL, NULL, NULL, NULL, 'P ANTIGEN FAMILY MEMBER 3', 62407),
(118682, 'PTHR24366:SF29', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND FIBRONECTIN TYPE III DOMAIN CONTAINING 5', 62408),
(118683, 'PTHR24056:SF400', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 62409);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(118684, 'PTHR30349:SF74', NULL, NULL, NULL, NULL, 'SLR7005 PROTEIN', 62410),
(118685, 'PTHR48111:SF52', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN YVRH', 62411),
(118686, 'PTHR11926:SF1399', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62412),
(118687, 'PTHR33227:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62413),
(118688, 'PTHR23360:SF68', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 62414),
(118689, 'PTHR31636:SF40', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 29', 62415),
(118690, 'PTHR47663:SF2', NULL, NULL, NULL, NULL, 'ARABINOLYTIC TRANSCRIPTIONAL ACTIVATOR ARAR-RELATED', 62416),
(118691, 'PTHR36409:SF2', NULL, NULL, NULL, NULL, 'BNAA09G07940D PROTEIN', 62417),
(118692, 'PTHR35462', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 62418),
(118693, 'PTHR15453', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR CANDIDATE 2', 62419),
(118694, 'PTHR13586:SF17', NULL, NULL, NULL, NULL, 'BNAA09G17550D PROTEIN', 62420),
(118695, 'PTHR12756:SF24', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE 1', 62421),
(118696, 'PTHR15992', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RECOGNITION PROTEIN', 62422),
(118697, 'PTHR12663:SF40', NULL, NULL, NULL, NULL, 'BNAC01G40770D PROTEIN', 62423),
(118698, 'PTHR36692:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SNAKESKIN', 62424),
(118699, 'PTHR10075:SF12', NULL, NULL, NULL, NULL, 'BASIGIN', 62425),
(118700, 'PTHR18919:SF140', NULL, NULL, NULL, NULL, 'ACETYL-COA C-ACETYLTRANSFERASE (ACETOACETYL-COA THIOLASE) (ACAB-5)', 62426),
(118701, 'PTHR10126', NULL, NULL, NULL, NULL, 'TATA-BOX BINDING PROTEIN', 62427),
(118702, 'PTHR16798:SF0', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP C PROTEIN', 62428),
(118703, 'PTHR11239', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', 62429),
(118704, 'PTHR24138:SF13', NULL, NULL, NULL, NULL, 'INTRACELLLAR PHOSPHOLIPASE A FAMILY', 62430),
(118705, 'PTHR33918', NULL, NULL, NULL, NULL, 'OS01G0704200 PROTEIN', 62431),
(118706, 'PTHR46521:SF6', NULL, NULL, NULL, NULL, 'HAD-SUPERFAMILY HYDROLASE, SUBFAMILY IIB', 62432),
(118707, 'PTHR43706:SF27', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE, MITOCHONDRIAL, PUTATIVE-RELATED', 62433),
(118708, 'PTHR31500:SF90', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 6-LIKE', 62434),
(118709, 'PTHR31668:SF22', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 62435),
(118710, 'PTHR33573:SF25', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 62436),
(118711, 'PTHR43394:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PERMEASE MDL1, MITOCHONDRIAL', 62437),
(118712, 'PTHR23070:SF172', NULL, NULL, NULL, NULL, 'BNAA09G55560D PROTEIN', 62438),
(118713, 'PTHR36898:SF1', NULL, NULL, NULL, NULL, 'OSJNBB0026I12.6 PROTEIN', 62439),
(118714, 'PTHR33085:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62440),
(118715, 'PTHR14154:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62441),
(118716, 'PTHR13935:SF134', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', 62442),
(118717, 'PTHR31736:SF12', NULL, NULL, NULL, NULL, 'EXO-POLYGALACTURONASE, PUTATIVE-RELATED', 62443),
(118718, 'PTHR10666:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62444),
(118719, 'PTHR45650:SF36', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 62445),
(118720, 'PTHR33193:SF52', NULL, NULL, NULL, NULL, 'DUF3511 DOMAIN PROTEIN', 62446),
(118721, 'PTHR21578', NULL, NULL, NULL, NULL, 'PROTEIN CBG03826', 62447),
(118722, 'PTHR34564:SF10', NULL, NULL, NULL, NULL, 'HYALURONAN MEDIATED MOTILITY RECEPTOR-LIKE PROTEIN', 62448),
(118723, 'PTHR21228:SF61', NULL, NULL, NULL, NULL, 'LD32258P', 62449),
(118724, 'PTHR31044:SF68', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E 10-LIKE', 62450),
(118725, 'PTHR15600:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62451),
(118726, 'PTHR31458:SF9', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-1 NON-CATALYTIC SUBUNIT BETA', 62452),
(118727, 'PTHR11947:SF41', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE (ACETYL-TRANSFERRING)] KINASE, MITOCHONDRIAL', 62453),
(118728, 'PTHR35767', NULL, NULL, NULL, NULL, 'HAPLESS PROTEIN', 62454);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(118729, 'PTHR11909:SF90', NULL, NULL, NULL, NULL, 'PROTEIN CBG19692', 62455),
(118730, 'PTHR24373:SF330', NULL, NULL, NULL, NULL, 'FISH-LIPS, ISOFORM C', 62456),
(118731, 'PTHR43590:SF1', NULL, NULL, NULL, NULL, 'ARSENIC RESISTANCE PROTEIN ARSH (AFU_ORTHOLOGUE AFUA_5G15030)', 62457),
(118732, 'PTHR23273:SF82', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR-A-LIKE PROTEIN', 62458),
(118733, 'PTHR31901:SF63', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE', 62459),
(118734, 'PTHR21234:SF44', NULL, NULL, NULL, NULL, 'BNAA03G59110D PROTEIN', 62460),
(118735, 'PTHR11453:SF93', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 7-RELATED', 62461),
(118736, 'PTHR31232:SF24', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', 62462),
(118737, 'PTHR42034:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62463),
(118738, 'PTHR12980:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 9-LIKE', 62464),
(118739, 'PTHR30250:SF19', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE BIOSYNTHESIS PROTEIN', 62465),
(118740, 'PTHR22949', NULL, NULL, NULL, NULL, 'WHITE COLLAR 2 PROTEIN  WC2', 62466),
(118741, 'PTHR12289:SF69', NULL, NULL, NULL, NULL, 'CADMIUM RESPONSIVE', 62467),
(118742, 'PTHR15192:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG05349', 62468),
(118743, 'PTHR14948:SF19', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 233', 62469),
(118744, 'PTHR31325:SF169', NULL, NULL, NULL, NULL, 'OS08G0194900 PROTEIN', 62470),
(118745, 'PTHR45730:SF51', NULL, NULL, NULL, NULL, 'OS07G0153600 PROTEIN', 62471),
(118746, 'PTHR34576:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62472),
(118747, 'PTHR43650:SF18', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', 62473),
(118748, 'PTHR47976:SF51', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK2', 62474),
(118749, 'PTHR12722', NULL, NULL, NULL, NULL, 'XAP-5 PROTEIN-RELATED', 62475),
(118750, 'PTHR21713:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62476),
(118751, 'PTHR11654:SF400', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62477),
(118752, 'PTHR11761:SF30', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23-LIKE', 62478),
(118753, 'PTHR31238:SF152', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 62479),
(118754, 'PTHR11081:SF58', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE 1', 62480),
(118755, 'PTHR47967:SF53', NULL, NULL, NULL, NULL, 'BNAC09G21290D PROTEIN', 62481),
(118756, 'PTHR46128:SF264', NULL, NULL, NULL, NULL, 'REPEAT 336, PUTATIVE-RELATED', 62482),
(118757, 'PTHR45983:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 22', 62483),
(118758, 'PTHR28533:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PBN1', 62484),
(118759, 'PTHR23512:SF3', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 1', 62485),
(118760, 'PTHR26312:SF166', NULL, NULL, NULL, NULL, 'BNAA07G10330D PROTEIN', 62486),
(118761, 'PTHR35928', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S3, MITOCHONDRIAL', 62487),
(118762, 'PTHR43664:SF1', NULL, NULL, NULL, NULL, 'MONOAMINE OXIDASE-RELATED', 62488),
(118763, 'PTHR26453:SF112', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2B11', 62489),
(118764, 'PTHR24111:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62490),
(118765, 'PTHR47317:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LHCP TRANSLOCATION DEFECT', 62491),
(118766, 'PTHR23272:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN DAYSLEEPER-LIKE ISOFORM X1', 62492),
(118767, 'PTHR45840:SF2', NULL, NULL, NULL, NULL, 'LP02893P-RELATED', 62493),
(118768, 'PTHR11552:SF218', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', 62494),
(118769, 'PTHR18929:SF223', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 62495),
(118770, 'PTHR43301:SF5', NULL, NULL, NULL, NULL, 'ARABINAN ENDO-1,5-ALPHA-L-ARABINOSIDASE D-RELATED', 62496),
(118771, 'PTHR24221:SF509', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 11-LIKE ISOFORM X1', 62497),
(118772, 'PTHR21141:SF38', NULL, NULL, NULL, NULL, 'OS08G0250300 PROTEIN', 62498);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(118773, 'PTHR45767:SF5', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN O6', 62499),
(118774, 'PTHR46885', NULL, NULL, NULL, NULL, 'PROTEIN ANKUB1', 62500),
(118775, 'PTHR24347:SF419', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62501),
(118776, 'PTHR34154:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62502),
(118777, 'PTHR24376:SF120', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 493', 62503),
(118778, 'PTHR13937:SF6', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT C', 62504),
(118779, 'PTHR23202:SF64', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN, PUTATIVE-RELATED', 62505),
(118780, 'PTHR31589:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62506),
(118781, 'PTHR36464:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BEAN1', 62507),
(118782, 'PTHR48033:SF1', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A/B', 62508),
(118783, 'PTHR31072:SF124', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP3', 62509),
(118784, 'PTHR24403:SF89', NULL, NULL, NULL, NULL, 'FI04829P-RELATED', 62510),
(118785, 'PTHR19375:SF465', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 1', 62511),
(118786, 'PTHR11792:SF17', NULL, NULL, NULL, NULL, 'KURTZ ARRESTIN', 62512),
(118787, 'PTHR30365:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME BD2 SUBUNIT I', 62513),
(118788, 'PTHR38115', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 62514),
(118789, 'PTHR15241:SF348', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1-LIKE', 62515),
(118790, 'PTHR13318:SF79', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 14', 62516),
(118791, 'PTHR43717:SF1', NULL, NULL, NULL, NULL, 'ANAEROBIC NITRIC OXIDE REDUCTASE FLAVORUBREDOXIN', 62517),
(118792, 'PTHR16076:SF8', NULL, NULL, NULL, NULL, 'CYTOSKELETON-ASSOCIATED PROTEIN 2', 62518),
(118793, 'PTHR13084:SF3', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1-INTERACTING PROTEIN 2', 62519),
(118794, 'PTHR43715:SF6', NULL, NULL, NULL, NULL, 'BNAC01G23490D PROTEIN', 62520),
(118795, 'PTHR30538', NULL, NULL, NULL, NULL, 'LYSINE 2,3-AMINOMUTASE-RELATED', 62521),
(118796, 'PTHR12741:SF15', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCAN SYNTHASE COMPONENT FKS3', 62522),
(118797, 'PTHR45836:SF15', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 2', 62523),
(118798, 'PTHR11627:SF73', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 62524),
(118799, 'PTHR43675:SF15', NULL, NULL, NULL, NULL, 'CYCLOPROPANE-FATTY-ACYL-PHOSPHOLIPID SYNTHASE', 62525),
(118800, 'PTHR24296:SF26', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 86A1', 62526),
(118801, 'PTHR33155:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 4', 62527),
(118802, 'PTHR43391:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62528),
(118803, 'PTHR33494:SF20', NULL, NULL, NULL, NULL, 'BNAA01G06420D PROTEIN', 62529),
(118804, 'PTHR21191:SF2', NULL, NULL, NULL, NULL, 'AQUAPORIN', 62530),
(118805, 'PTHR31100:SF8', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 19', 62531),
(118806, 'PTHR45640:SF26', NULL, NULL, NULL, NULL, 'RE23625P', 62532),
(118807, 'PTHR31859:SF5', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT DOMAIN 39D', 62533),
(118808, 'PTHR13989:SF41', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 32 KDA SUBUNIT A', 62534),
(118809, 'PTHR23180:SF404', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD4', 62535),
(118810, 'PTHR43795:SF88', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-RELATED PROTEIN 4', 62536),
(118811, 'PTHR30287', NULL, NULL, NULL, NULL, 'MEMBRANE COMPONENT OF PREDICTED ABC SUPERFAMILY METABOLITE UPTAKE TRANSPORTER', 62537),
(118812, 'PTHR46684:SF9', NULL, NULL, NULL, NULL, 'BNAA05G31160D PROTEIN', 62538),
(118813, 'PTHR10961:SF26', NULL, NULL, NULL, NULL, 'L-SACCHAROPINE OXIDASE', 62539),
(118814, 'PTHR31342:SF15', NULL, NULL, NULL, NULL, 'OS01G0580800 PROTEIN', 62540),
(118815, 'PTHR37406', NULL, NULL, NULL, NULL, 'T4-TYPE LYSOZYME 1-RELATED', 62541),
(118816, 'PTHR17490', NULL, NULL, NULL, NULL, 'SUA5', 62542),
(118817, 'PTHR47989:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62543);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(118818, 'PTHR31589:SF138', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', 62544),
(118819, 'PTHR13502:SF4', NULL, NULL, NULL, NULL, 'CDC42 SMALL EFFECTOR PROTEIN 2', 62545),
(118820, 'PTHR24092:SF184', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 62546),
(118821, 'PTHR33477:SF9', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 62547),
(118822, 'PTHR11802:SF300', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62548),
(118823, 'PTHR31545:SF4', NULL, NULL, NULL, NULL, 'SPEEDY PROTEIN A', 62549),
(118824, 'PTHR41535:SF1', NULL, NULL, NULL, NULL, 'BLL8127 PROTEIN', 62550),
(118825, 'PTHR32096:SF69', NULL, NULL, NULL, NULL, 'OS02G0698800 PROTEIN', 62551),
(118826, 'PTHR11879:SF39', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, MITOCHONDRIAL', 62552),
(118827, 'PTHR24073:SF469', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-41', 62553),
(118828, 'PTHR12652:SF52', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', 62554),
(118829, 'PTHR10736:SF21', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG', 62555),
(118830, 'PTHR19278:SF41', NULL, NULL, NULL, NULL, 'PYRE-LIKE PROTEIN', 62556),
(118831, 'PTHR13031', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P SUBUNIT P30', 62557),
(118832, 'PTHR46179:SF7', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 62558),
(118833, 'PTHR31503:SF50', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', 62559),
(118834, 'PTHR45768:SF37', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 62560),
(118835, 'PTHR35863:SF1', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-5B C(1)-METHYLTRANSFERASE', 62561),
(118836, 'PTHR11632:SF80', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 62562),
(118837, 'PTHR33332', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 62563),
(118838, 'PTHR11361:SF90', NULL, NULL, NULL, NULL, 'ENDONUCLEASE MUTS2', 62564),
(118839, 'PTHR21644', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 62565),
(118840, 'PTHR24376:SF59', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 606', 62566),
(118841, 'PTHR10857:SF111', NULL, NULL, NULL, NULL, 'COPINE DOMAIN PROTEIN, ATYPICAL', 62567),
(118842, 'PTHR31215:SF32', NULL, NULL, NULL, NULL, 'BNAA07G10620D PROTEIN', 62568),
(118843, 'PTHR10108:SF1144', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT10-RELATED', 62569),
(118844, 'PTHR45811:SF13', NULL, NULL, NULL, NULL, 'OS04G0661100 PROTEIN', 62570),
(118845, 'PTHR10460:SF40', NULL, NULL, NULL, NULL, 'ABI FAMILY, MEMBER 3B-RELATED', 62571),
(118846, 'PTHR10261:SF5', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA-1', 62572),
(118847, 'PTHR44914:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 13', 62573),
(118848, 'PTHR48016:SF12', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', 62574),
(118849, 'PTHR23013:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 62575),
(118850, 'PTHR36181:SF3', NULL, NULL, NULL, NULL, 'LAGLIDADG ENDONUCLEASE', 62576),
(118851, 'PTHR22692', NULL, NULL, NULL, NULL, 'MYOSIN VII, XV', 62577),
(118852, 'PTHR27001:SF784', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE DOMAIN KINASE', 62578),
(118853, 'PTHR31438:SF1', NULL, NULL, NULL, NULL, 'LYSINE N-ACYLTRANSFERASE C17G9.06C-RELATED', 62579),
(118854, 'PTHR12499:SF17', NULL, NULL, NULL, NULL, 'OS01G0242300 PROTEIN', 62580),
(118855, 'PTHR43518:SF1', NULL, NULL, NULL, NULL, 'RESPIRATORY NITRATE REDUCTASE 1 BETA CHAIN', 62581),
(118856, 'PTHR22880:SF175', NULL, NULL, NULL, NULL, 'BROMODOMAIN TESTIS-SPECIFIC PROTEIN', 62582),
(118857, 'PTHR10760:SF15', NULL, NULL, NULL, NULL, 'TORSIN-1A', 62583),
(118858, 'PTHR28398:SF1', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX CENTRAL ELEMENT PROTEIN 2', 62584),
(118859, 'PTHR43180:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62585),
(118860, 'PTHR11571:SF122', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 9-RELATED', 62586),
(118861, 'PTHR10060:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62587),
(118862, 'PTHR45680:SF16', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 62588);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(118863, 'PTHR24074:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62589),
(118864, 'PTHR47926:SF168', NULL, NULL, NULL, NULL, 'BNAA09G42850D PROTEIN', 62590),
(118865, 'PTHR14949', NULL, NULL, NULL, NULL, 'EGF-LIKE-DOMAIN, MULTIPLE 7, 8', 62591),
(118866, 'PTHR11474:SF107', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE B, CHLOROPLASTIC', 62592),
(118867, 'PTHR31636:SF19', NULL, NULL, NULL, NULL, 'OSJNBA0084A10.13 PROTEIN', 62593),
(118868, 'PTHR23315:SF221', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 62594),
(118869, 'PTHR35778', NULL, NULL, NULL, NULL, 'SIGNALING MUCIN HKR1-RELATED', 62595),
(118870, 'PTHR43272:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62596),
(118871, 'PTHR14248:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62597),
(118872, 'PTHR42811', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE', 62598),
(118873, 'PTHR35483:SF1', NULL, NULL, NULL, NULL, 'NUCLEUSENVELOPE PROTEIN', 62599),
(118874, 'PTHR47982:SF30', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK4', 62600),
(118875, 'PTHR22802:SF396', NULL, NULL, NULL, NULL, 'MIP03875P', 62601),
(118876, 'PTHR10835:SF21', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE, FAD/NAD(P)-BINDING DOMAIN PROTEIN-RELATED', 62602),
(118877, 'PTHR11203', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR FAMILY MEMBER', 62603),
(118878, 'PTHR10969:SF61', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8C', 62604),
(118879, 'PTHR24271:SF60', NULL, NULL, NULL, NULL, 'KALLIKREIN-15', 62605),
(118880, 'PTHR31744:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62606),
(118881, 'PTHR10353:SF200', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 20', 62607),
(118882, 'PTHR24034:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62608),
(118883, 'PTHR47985:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62609),
(118884, 'PTHR34833:SF1', NULL, NULL, NULL, NULL, 'GENE, 17359-RELATED', 62610),
(118885, 'PTHR47537:SF4', NULL, NULL, NULL, NULL, 'GH12701P', 62611),
(118886, 'PTHR34957:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN', 62612),
(118887, 'PTHR15729:SF3', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 31', 62613),
(118888, 'PTHR32341', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCIBLE GTPASE', 62614),
(118889, 'PTHR38580:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 192', 62615),
(118890, 'PTHR46619:SF4', NULL, NULL, NULL, NULL, 'XS DOMAIN-CONTAINING PROTEIN-RELATED', 62616),
(118891, 'PTHR23226:SF209', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 32', 62617),
(118892, 'PTHR21705:SF11', NULL, NULL, NULL, NULL, 'UPF0518 PROTEIN CG3558', 62618),
(118893, 'PTHR34227:SF5', NULL, NULL, NULL, NULL, 'TAT PROOFREADING CHAPERONE DMSD-RELATED', 62619),
(118894, 'PTHR24028:SF241', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 2 ALPHA A 1', 62620),
(118895, 'PTHR14540:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA E130309D02 GENE', 62621),
(118896, 'PTHR21141:SF96', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2B', 62622),
(118897, 'PTHR47992:SF23', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 72-RELATED', 62623),
(118898, 'PTHR24250:SF56', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P96', 62624),
(118899, 'PTHR18937:SF170', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 1A', 62625),
(118900, 'PTHR45624:SF26', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G07710)-RELATED', 62626),
(118901, 'PTHR36026:SF6', NULL, NULL, NULL, NULL, 'BNAA04G27200D PROTEIN', 62627),
(118902, 'PTHR10110:SF92', NULL, NULL, NULL, NULL, 'NA(+)/H(+) EXCHANGER PROTEIN 2-RELATED', 62628),
(118903, 'PTHR31232:SF104', NULL, NULL, NULL, NULL, 'BNAC02G08890D PROTEIN', 62629),
(118904, 'PTHR24393:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 324B', 62630),
(118905, 'PTHR11994:SF30', NULL, NULL, NULL, NULL, 'BNAA09G55240D PROTEIN', 62631),
(118906, 'PTHR36326', NULL, NULL, NULL, NULL, 'PROTEIN POLLENLESS 3-LIKE 2', 62632),
(118907, 'PTHR16736:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62633);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(118908, 'PTHR45628:SF3', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT P/Q-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1A', 62634),
(118909, 'PTHR45701:SF4', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN RELATED', 62635),
(118910, 'PTHR12549:SF44', NULL, NULL, NULL, NULL, 'BNAA09G13360D PROTEIN', 62636),
(118911, 'PTHR34630:SF19', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE ISOFORM X1', 62637),
(118912, 'PTHR16007:SF59', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 45B', 62638),
(118913, 'PTHR10438:SF430', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 62639),
(118914, 'PTHR11771:SF129', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 62640),
(118915, 'PTHR16189:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 104', 62641),
(118916, 'PTHR43128:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62642),
(118917, 'PTHR21427:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62643),
(118918, 'PTHR47514:SF1', NULL, NULL, NULL, NULL, 'TRANSKETOLASE N-TERMINAL SECTION-RELATED', 62644),
(118919, 'PTHR47947:SF29', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', 62645),
(118920, 'PTHR35851', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSQ', 62646),
(118921, 'PTHR31422:SF0', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 7', 62647),
(118922, 'PTHR23267:SF320', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-8-RELATED', 62648),
(118923, 'PTHR31692:SF58', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE B1', 62649),
(118924, 'PTHR15238:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L39, MITOCHONDRIAL', 62650),
(118925, 'PTHR48017:SF124', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 8', 62651),
(118926, 'PTHR20852:SF99', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', 62652),
(118927, 'PTHR21551:SF15', NULL, NULL, NULL, NULL, 'TOPOISOMERASE II-ASSOCIATED PROTEIN PAT1', 62653),
(118928, 'PTHR10414:SF32', NULL, NULL, NULL, NULL, 'CHOLINEPHOSPHOTRANSFERASE 1', 62654),
(118929, 'PTHR43180:SF45', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE-RELATED', 62655),
(118930, 'PTHR47928:SF66', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 62656),
(118931, 'PTHR31719:SF177', NULL, NULL, NULL, NULL, 'OS11G0512200 PROTEIN', 62657),
(118932, 'PTHR24107:SF10', NULL, NULL, NULL, NULL, 'NLR FAMILY PYRIN DOMAIN CONTAINING 7', 62658),
(118933, 'PTHR21357:SF3', NULL, NULL, NULL, NULL, 'COTRANSCRIPTIONAL REGULATOR FAM172A', 62659),
(118934, 'PTHR11909:SF190', NULL, NULL, NULL, NULL, 'PROTEIN CBG04032', 62660),
(118935, 'PTHR31108:SF7', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P63-REGULATED GENE 1-LIKE PROTEIN', 62661),
(118936, 'PTHR10024:SF352', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN 2', 62662),
(118937, 'PTHR47947:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP81A1', 62663),
(118938, 'PTHR10209:SF625', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 62664),
(118939, 'PTHR44191:SF40', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', 62665),
(118940, 'PTHR12771:SF59', NULL, NULL, NULL, NULL, 'ELMO/CED-12 FAMILY PROTEIN', 62666),
(118941, 'PTHR32021:SF31', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 62667),
(118942, 'PTHR43337:SF3', NULL, NULL, NULL, NULL, 'PURINE TRANSPORTER', 62668),
(118943, 'PTHR43085', NULL, NULL, NULL, NULL, 'HEXOKINASE FAMILY MEMBER', 62669),
(118944, 'PTHR46273:SF2', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', 62670),
(118945, 'PTHR46408:SF16', NULL, NULL, NULL, NULL, 'BNAA03G18190D PROTEIN', 62671),
(118946, 'PTHR30540:SF126', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 62672),
(118947, 'PTHR47810:SF3', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', 62673),
(118948, 'PTHR32100:SF59', NULL, NULL, NULL, NULL, 'OMEGA-3 FATTY ACID DESATURASE PROTEIN-RELATED', 62674),
(118949, 'PTHR23299:SF44', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN', 62675),
(118950, 'PTHR24409:SF320', NULL, NULL, NULL, NULL, 'AZ2-RELATED', 62676),
(118951, 'PTHR10768:SF30', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', 62677),
(118952, 'PTHR11260:SF626', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U4', 62678);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(118953, 'PTHR33065:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62679),
(118954, 'PTHR33065:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62680),
(118955, 'PTHR31054:SF9', NULL, NULL, NULL, NULL, 'ZYGOTE ARREST 1-LIKE', 62681),
(118956, 'PTHR19411:SF8', NULL, NULL, NULL, NULL, 'PROTEIN BUD31-LIKE PROTEIN', 62682),
(118957, 'PTHR24231:SF45', NULL, NULL, NULL, NULL, 'CYSTEINYL LEUKOTRIENE RECEPTOR 1', 62683),
(118958, 'PTHR19317:SF41', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 62684),
(118959, 'PTHR24282:SF126', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 62685),
(118960, 'PTHR24343:SF102', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 62686),
(118961, 'PTHR11746:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62687),
(118962, 'PTHR32018:SF22', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE LYASE FAMILY 4 PROTEIN', 62688),
(118963, 'PTHR33787', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 62689),
(118964, 'PTHR22847:SF600', NULL, NULL, NULL, NULL, 'WD-REPEAT PROTEIN', 62690),
(118965, 'PTHR35790', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PCHR', 62691),
(118966, 'PTHR45988:SF36', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 62692),
(118967, 'PTHR13328:SF4', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR A', 62693),
(118968, 'PTHR33065:SF94', NULL, NULL, NULL, NULL, 'OS05G0112700 PROTEIN', 62694),
(118969, 'PTHR30136:SF37', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 62695),
(118970, 'PTHR10209:SF777', NULL, NULL, NULL, NULL, 'SI:DKEY-10O6.2', 62696),
(118971, 'PTHR42840:SF11', NULL, NULL, NULL, NULL, 'BINDING ROSSMANN FOLD OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G09900)-RELATED', 62697),
(118972, 'PTHR33136:SF54', NULL, NULL, NULL, NULL, 'RALFL33', 62698),
(118973, 'PTHR12753:SF1', NULL, NULL, NULL, NULL, 'N-TERMINAL XAA-PRO-LYS N-METHYLTRANSFERASE 1', 62699),
(118974, 'PTHR10766:SF91', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 62700),
(118975, 'PTHR18947:SF37', NULL, NULL, NULL, NULL, 'PROTEIN HOOK HOMOLOG 2', 62701),
(118976, 'PTHR46508:SF13', NULL, NULL, NULL, NULL, 'BNAA02G05910D PROTEIN', 62702),
(118977, 'PTHR15301:SF12', NULL, NULL, NULL, NULL, 'INSILUN INDUCED PROTEIN', 62703),
(118978, 'PTHR47961:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE MJ1401-RELATED', 62704),
(118979, 'PTHR47322:SF19', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 62705),
(118980, 'PTHR22811:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62706),
(118981, 'PTHR48002:SF142', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 62707),
(118982, 'PTHR34722', NULL, NULL, NULL, NULL, 'HOMOLOG OF ODR-2 (TWO)-RELATED', 62708),
(118983, 'PTHR33115:SF54', NULL, NULL, NULL, NULL, 'OS12G0284500 PROTEIN', 62709),
(118984, 'PTHR24064:SF478', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-12-RELATED', 62710),
(118985, 'PTHR24257:SF19', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE ELASTASE FAMILY MEMBER 2A', 62711),
(118986, 'PTHR31500:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62712),
(118987, 'PTHR23093:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62713),
(118988, 'PTHR31238:SF137', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 20', 62714),
(118989, 'PTHR31238:SF42', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 9-2-RELATED', 62715),
(118990, 'PTHR24222:SF26', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING/PERMEASE PROTEIN HI_0664-RELATED', 62716),
(118991, 'PTHR48044:SF61', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 62717),
(118992, 'PTHR10209:SF711', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE-RELATED', 62718),
(118993, 'PTHR34956:SF8', NULL, NULL, NULL, NULL, 'BNAANNG03070D PROTEIN', 62719),
(118994, 'PTHR11909:SF135', NULL, NULL, NULL, NULL, 'PROTEIN CBG13435', 62720),
(118995, 'PTHR21290:SF56', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL:CERAMIDE INOSITOLPHOSPHOTRANSFERASE 1-LIKE ISOFORM X1', 62721),
(118996, 'PTHR45749:SF10', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 2-RELATED ZINC FINGER PROTEIN', 62722);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(118997, 'PTHR35720:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 12, CHLOROPLASTIC', 62723),
(118998, 'PTHR10505:SF17', NULL, NULL, NULL, NULL, 'CALCITONIN GENE-RELATED PEPTIDE 1', 62724),
(118999, 'PTHR31065:SF61', NULL, NULL, NULL, NULL, 'BNAC04G22060D PROTEIN', 62725),
(119000, 'PTHR33157:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62726),
(119001, 'PTHR12815:SF12', NULL, NULL, NULL, NULL, 'TRANSLOCATION AND ASSEMBLY MODULE SUBUNIT TAMA', 62727),
(119002, 'PTHR23359:SF86', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 7, MITOCHONDRIAL-RELATED', 62728),
(119003, 'PTHR31485:SF4', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-ARABINOSYLTRANSFERASE 3', 62729),
(119004, 'PTHR22990:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG15150', 62730),
(119005, 'PTHR19143:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62731),
(119006, 'PTHR24221:SF489', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 1', 62732),
(119007, 'PTHR23226:SF194', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 287', 62733),
(119008, 'PTHR11849:SF294', NULL, NULL, NULL, NULL, 'ETS TRANSLOCATION VARIANT 3-LIKE PROTEIN', 62734),
(119009, 'PTHR10621:SF52', NULL, NULL, NULL, NULL, 'RAD23 HOMOLOG A, NUCLEOTIDE EXCISION REPAIR PROTEIN A', 62735),
(119010, 'PTHR42683:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62736),
(119011, 'PTHR47184', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-AND 4-KINASE FAMILY PROTEIN-RELATED', 62737),
(119012, 'PTHR11902:SF30', NULL, NULL, NULL, NULL, 'ENOLASE 4', 62738),
(119013, 'PTHR10857:SF126', NULL, NULL, NULL, NULL, 'NICOTINIC RECEPTOR-ASSOCIATED PROTEIN 1', 62739),
(119014, 'PTHR34357:SF6', NULL, NULL, NULL, NULL, 'F26F24.3', 62740),
(119015, 'PTHR15032', NULL, NULL, NULL, NULL, 'N-ACYL-PHOSPHATIDYLETHANOLAMINE-HYDROLYZING PHOSPHOLIPASE D', 62741),
(119016, 'PTHR35749', NULL, NULL, NULL, NULL, 'OSJNBA0084A10.10 PROTEIN', 62742),
(119017, 'PTHR45708:SF48', NULL, NULL, NULL, NULL, 'CHITINASE', 62743),
(119018, 'PTHR12234:SF6', NULL, NULL, NULL, NULL, 'BNAA07G00620D PROTEIN', 62744),
(119019, 'PTHR30417:SF4', NULL, NULL, NULL, NULL, '1,6-ANHYDRO-N-ACETYLMURAMYL-L-ALANINE AMIDASE AMPD', 62745),
(119020, 'PTHR11814:SF11', NULL, NULL, NULL, NULL, 'TESTIS ANION TRANSPORTER 1', 62746),
(119021, 'PTHR45619:SF47', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-2 CATALYTIC SUBUNIT', 62747),
(119022, 'PTHR10623', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN RP/EB FAMILY MEMBER', 62748),
(119023, 'PTHR36302:SF1', NULL, NULL, NULL, NULL, 'BLR7088 PROTEIN', 62749),
(119024, 'PTHR36778', NULL, NULL, NULL, NULL, 'CADMIUM-INDUCED PROTEIN AS8', 62750),
(119025, 'PTHR31161:SF6', NULL, NULL, NULL, NULL, 'KINECTIN-LIKE PROTEIN', 62751),
(119026, 'PTHR45768', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF13-LIKE', 62752),
(119027, 'PTHR22811:SF38', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 4', 62753),
(119028, 'PTHR45444:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62754),
(119029, 'PTHR31623:SF27', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', 62755),
(119030, 'PTHR31992:SF164', NULL, NULL, NULL, NULL, 'BNAC03G64450D PROTEIN', 62756),
(119031, 'PTHR23147:SF145', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 2', 62757),
(119032, 'PTHR13448', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 214', 62758),
(119033, 'PTHR23294:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62759),
(119034, 'PTHR47162:SF6', NULL, NULL, NULL, NULL, 'DDT DOMAIN, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 62760),
(119035, 'PTHR11534:SF2', NULL, NULL, NULL, NULL, 'MYOBLAST DETERMINATION PROTEIN 1', 62761),
(119036, 'PTHR34951:SF2', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', 62762),
(119037, 'PTHR10566:SF119', NULL, NULL, NULL, NULL, 'OSJNBB0079B02.1 PROTEIN', 62763),
(119038, 'PTHR33179:SF57', NULL, NULL, NULL, NULL, 'OS02G0173200 PROTEIN', 62764),
(119039, 'PTHR24230:SF17', NULL, NULL, NULL, NULL, 'GALANIN RECEPTOR TYPE 3', 62765),
(119040, 'PTHR14198:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62766);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(119041, 'PTHR18821:SF7', NULL, NULL, NULL, NULL, 'PROKINETICIN-1', 62767),
(119042, 'PTHR23403:SF1', NULL, NULL, NULL, NULL, 'TREHALASE', 62768),
(119043, 'PTHR47992:SF51', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 12-RELATED', 62769),
(119044, 'PTHR23267:SF166', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 4-3-RELATED', 62770),
(119045, 'PTHR11654:SF527', NULL, NULL, NULL, NULL, 'BNAA09G54940D PROTEIN', 62771),
(119046, 'PTHR36937:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06983', 62772),
(119047, 'PTHR16040:SF8', NULL, NULL, NULL, NULL, 'BOREALIN-2', 62773),
(119048, 'PTHR43016', NULL, NULL, NULL, NULL, 'PRESEQUENCE PROTEASE', 62774),
(119049, 'PTHR33692', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION FACTOR RIMM', 62775),
(119050, 'PTHR45642:SF86', NULL, NULL, NULL, NULL, 'BNAC05G04810D PROTEIN', 62776),
(119051, 'PTHR24056:SF489', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 2 HOMOLOG 4', 62777),
(119052, 'PTHR31696:SF27', NULL, NULL, NULL, NULL, 'OS03G0811550 PROTEIN', 62778),
(119053, 'PTHR24228:SF31', NULL, NULL, NULL, NULL, 'APELIN RECEPTOR', 62779),
(119054, 'PTHR31511:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG23764', 62780),
(119055, 'PTHR22959:SF0', NULL, NULL, NULL, NULL, 'PARTNER OF Y14 AND MAGO', 62781),
(119056, 'PTHR31388:SF114', NULL, NULL, NULL, NULL, 'PEROXIDASE', 62782),
(119057, 'PTHR10828:SF69', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 25 HOMOLOG D', 62783),
(119058, 'PTHR24034:SF112', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN', 62784),
(119059, 'PTHR10378:SF26', NULL, NULL, NULL, NULL, 'LIM-DOMAIN BINDING PROTEIN/SEUSS-RELATED', 62785),
(119060, 'PTHR24356:SF190', NULL, NULL, NULL, NULL, 'RAC-GAMMA SERINE/THREONINE-PROTEIN KINASE', 62786),
(119061, 'PTHR16134:SF69', NULL, NULL, NULL, NULL, 'OS02G0317500 PROTEIN', 62787),
(119062, 'PTHR34274:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 62788),
(119063, 'PTHR45969:SF38', NULL, NULL, NULL, NULL, 'OS08G0157400 PROTEIN', 62789),
(119064, 'PTHR12786:SF3', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3A SUBUNIT 3', 62790),
(119065, 'PTHR47991:SF43', NULL, NULL, NULL, NULL, 'BNAA08G30850D PROTEIN', 62791),
(119066, 'PTHR31143', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 62792),
(119067, 'PTHR15367:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62793),
(119068, 'PTHR46084:SF31', NULL, NULL, NULL, NULL, 'BNAA02G24120D PROTEIN', 62794),
(119069, 'PTHR19858', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', 62795),
(119070, 'PTHR48043:SF29', NULL, NULL, NULL, NULL, 'OS10G0331700 PROTEIN', 62796),
(119071, 'PTHR11011:SF71', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 62797),
(119072, 'PTHR11783:SF227', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 62798),
(119073, 'PTHR11783:SF275', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 62799),
(119074, 'PTHR32382:SF65', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN-RELATED', 62800),
(119075, 'PTHR23061', NULL, NULL, NULL, NULL, 'DNA POLYMERASE 2 ALPHA 70 KDA SUBUNIT', 62801),
(119076, 'PTHR10015:SF332', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR C-1', 62802),
(119077, 'PTHR11588:SF395', NULL, NULL, NULL, NULL, 'TUBULIN BETA-9 CHAIN', 62803),
(119078, 'PTHR23024:SF510', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62804),
(119079, 'PTHR19430:SF3', NULL, NULL, NULL, NULL, 'PROTEIN BEX1', 62805),
(119080, 'PTHR21248:SF20', NULL, NULL, NULL, NULL, 'CARDIOLIPIN SYNTHASE YWIE-RELATED', 62806),
(119081, 'PTHR31985:SF174', NULL, NULL, NULL, NULL, 'AP2 DOMAIN TRANSCRIPTION FACTOR-LIKE', 62807),
(119082, 'PTHR31740:SF2', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN L', 62808),
(119083, 'PTHR12131', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA AND DNA HELICASE', 62809),
(119084, 'PTHR12308:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62810),
(119085, 'PTHR33075', NULL, NULL, NULL, NULL, 'OS02G0499800 PROTEIN', 62811),
(119086, 'PTHR23331:SF2', NULL, NULL, NULL, NULL, 'WAS PROTEIN FAMILY HOMOLOG 2-RELATED', 62812),
(119087, 'PTHR36161:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG08560', 62813);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(119088, 'PTHR34251', NULL, NULL, NULL, NULL, 'LEUCINE-, GLUTAMATE- AND LYSINE-RICH PROTEIN 1', 62814),
(119089, 'PTHR47133', NULL, NULL, NULL, NULL, 'TALIN ROD DOMAIN-CONTAINING PROTEIN 1', 62815),
(119090, 'PTHR33095:SF81', NULL, NULL, NULL, NULL, 'OS02G0761300 PROTEIN', 62816),
(119091, 'PTHR18966:SF427', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3.7', 62817),
(119092, 'PTHR43586:SF17', NULL, NULL, NULL, NULL, 'OS11G0209900 PROTEIN', 62818),
(119093, 'PTHR33829:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 62819),
(119094, 'PTHR46739:SF2', NULL, NULL, NULL, NULL, 'SIP2.1, PUTATIVE-RELATED', 62820),
(119095, 'PTHR34574:SF11', NULL, NULL, NULL, NULL, 'OS09G0483100 PROTEIN', 62821),
(119096, 'PTHR45680:SF26', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-127-RELATED', 62822),
(119097, 'PTHR32212:SF283', NULL, NULL, NULL, NULL, 'BNAANNG05380D PROTEIN', 62823),
(119098, 'PTHR10494:SF4', NULL, NULL, NULL, NULL, 'NOGGIN', 62824),
(119099, 'PTHR46407:SF4', NULL, NULL, NULL, NULL, 'AFR, PUTATIVE-RELATED', 62825),
(119100, 'PTHR31907:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62826),
(119101, 'PTHR24240', NULL, NULL, NULL, NULL, 'OPSIN', 62827),
(119102, 'PTHR31769:SF55', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 62828),
(119103, 'PTHR15937', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 7 SUPERFAMILY MEMBER 3', 62829),
(119104, 'PTHR46837:SF5', NULL, NULL, NULL, NULL, 'PROTEIN MLN51 HOMOLOG', 62830),
(119105, 'PTHR31444:SF8', NULL, NULL, NULL, NULL, 'PROTEIN IRREGULAR XYLEM 15', 62831),
(119106, 'PTHR35796:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62832),
(119107, 'PTHR34397:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62833),
(119108, 'PTHR32378:SF7', NULL, NULL, NULL, NULL, 'OS03G0407400 PROTEIN', 62834),
(119109, 'PTHR21102', NULL, NULL, NULL, NULL, 'OPALIN', 62835),
(119110, 'PTHR13134:SF4', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 13-RELATED', 62836),
(119111, 'PTHR11945:SF546', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN SVP-LIKE ISOFORM X1', 62837),
(119112, 'PTHR43686', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE-RELATED', 62838),
(119113, 'PTHR10574:SF240', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT GAMMA-3', 62839),
(119114, 'PTHR33147:SF109', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', 62840),
(119115, 'PTHR46329:SF3', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR 3-RELATED', 62841),
(119116, 'PTHR11002:SF63', NULL, NULL, NULL, NULL, 'BETA CARBONIC ANHYDRASE 5, CHLOROPLASTIC', 62842),
(119117, 'PTHR43792:SF10', NULL, NULL, NULL, NULL, 'YALI0F11605P', 62843),
(119118, 'PTHR27006:SF441', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62844),
(119119, 'PTHR12176:SF56', NULL, NULL, NULL, NULL, 'OSJNBA0004N05.3 PROTEIN', 62845),
(119120, 'PTHR14083:SF13', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE HRF1 FAMILY PROTEIN', 62846),
(119121, 'PTHR43735:SF11', NULL, NULL, NULL, NULL, 'HYPOTHETICAL OXIDOREDUCTASE (EUROFUNG)', 62847),
(119122, 'PTHR32414', NULL, NULL, NULL, NULL, 'NEUROMEDIN-S', 62848),
(119123, 'PTHR46749:SF2', NULL, NULL, NULL, NULL, 'BNAA09G40160D PROTEIN', 62849),
(119124, 'PTHR30036:SF1', NULL, NULL, NULL, NULL, 'D-XYLOSE-BINDING PERIPLASMIC PROTEIN', 62850),
(119125, 'PTHR12595:SF0', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE ISOENZYME 6', 62851),
(119126, 'PTHR47926:SF137', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN ELI1, CHLOROPLASTIC-LIKE', 62852),
(119127, 'PTHR31367', NULL, NULL, NULL, NULL, 'CYTOSOLIC 5''-NUCLEOTIDASE 1 FAMILY MEMBER', 62853),
(119128, 'PTHR24403:SF82', NULL, NULL, NULL, NULL, 'ZINC FINGER-CONTAINING UBIQUITIN PEPTIDASE 1', 62854),
(119129, 'PTHR31790:SF81', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX, F-BOX PROTEIN INTERACTION DOMAIN', 62855),
(119130, 'PTHR23501:SF154', NULL, NULL, NULL, NULL, 'MULTIDRUG-EFFLUX TRANSPORTER RV1634-RELATED', 62856),
(119131, 'PTHR39336', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE PHOSPHATE OXIDASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G11440)', 62857),
(119132, 'PTHR32009:SF41', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN', 62858);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(119133, 'PTHR31851:SF49', NULL, NULL, NULL, NULL, 'FE2+/MN2+ TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 62859),
(119134, 'PTHR43952:SF64', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', 62860),
(119135, 'PTHR12944:SF2', NULL, NULL, NULL, NULL, 'O-PHOSPHOSERYL-TRNA(SEC) SELENIUM TRANSFERASE', 62861),
(119136, 'PTHR30457:SF15', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE SURE-LIKE ISOFORM X1', 62862),
(119137, 'PTHR12882:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT4', 62863),
(119138, 'PTHR47969:SF12', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', 62864),
(119139, 'PTHR12002:SF115', NULL, NULL, NULL, NULL, 'CLAUDIN', 62865),
(119140, 'PTHR13771:SF9', NULL, NULL, NULL, NULL, 'INTERCELLULAR ADHESION MOLECULE 1', 62866),
(119141, 'PTHR11119:SF58', NULL, NULL, NULL, NULL, 'PROTEIN CBG08341', 62867),
(119142, 'PTHR11011:SF66', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 6, CHLOROPLASTIC', 62868),
(119143, 'PTHR31238:SF104', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 62869),
(119144, 'PTHR33641:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62870),
(119145, 'PTHR35703:SF3', NULL, NULL, NULL, NULL, 'HEME OXYGENASE3', 62871),
(119146, 'PTHR48062:SF3', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 1', 62872),
(119147, 'PTHR34282:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 62873),
(119148, 'PTHR16134:SF3', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 12', 62874),
(119149, 'PTHR33103:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62875),
(119150, 'PTHR23266:SF314', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 6-1-RELATED', 62876),
(119151, 'PTHR11216:SF76', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND PROTEIN', 62877),
(119152, 'PTHR33544:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62878),
(119153, 'PTHR31813:SF4', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 23B', 62879),
(119154, 'PTHR30386:SF18', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YIAV-RELATED', 62880),
(119155, 'PTHR11633:SF1', NULL, NULL, NULL, NULL, 'LD28763P', 62881),
(119156, 'PTHR36462:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 12 OPEN READING FRAME 71', 62882),
(119157, 'PTHR11242', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR INTERACTING PROTEIN RELATED', 62883),
(119158, 'PTHR11388:SF2', NULL, NULL, NULL, NULL, 'ORGANIC ANION TRANSPORTING POLYPEPTIDE 33EB', 62884),
(119159, 'PTHR10648:SF30', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT A, PUTATIVE-RELATED', 62885),
(119160, 'PTHR15446', NULL, NULL, NULL, NULL, 'UROPLAKIN III', 62886),
(119161, 'PTHR32295:SF41', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 11', 62887),
(119162, 'PTHR31797:SF5', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN CAMBP64-RELATED', 62888),
(119163, 'PTHR12052:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62889),
(119164, 'PTHR11753:SF51', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', 62890),
(119165, 'PTHR24223:SF416', NULL, NULL, NULL, NULL, 'BNAA09G10230D PROTEIN', 62891),
(119166, 'PTHR47655', NULL, NULL, NULL, NULL, 'QUINIC ACID UTILIZATION ACTIVATOR', 62892),
(119167, 'PTHR42861:SF12', NULL, NULL, NULL, NULL, 'SODIUM ION P-TYPE ATPASE (EUROFUNG)', 62893),
(119168, 'PTHR10836:SF112', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE GAPC1, CYTOSOLIC-RELATED', 62894),
(119169, 'PTHR47256', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 62895),
(119170, 'PTHR39364', NULL, NULL, NULL, NULL, 'PROTEIN CBG04867', 62896),
(119171, 'PTHR31395:SF16', NULL, NULL, NULL, NULL, 'AMELOGENIN-RELATED PROTEIN', 62897),
(119172, 'PTHR21660:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62898),
(119173, 'PTHR33157', NULL, NULL, NULL, NULL, 'AUTONOMOUS TRANSPOSABLE ELEMENT EN-1 MOSAIC PROTEIN-RELATED', 62899),
(119174, 'PTHR34222:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62900),
(119175, 'PTHR10509:SF76', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 62901),
(119176, 'PTHR11082:SF35', NULL, NULL, NULL, NULL, 'BNAA09G07510D PROTEIN', 62902);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(119177, 'PTHR10772:SF49', NULL, NULL, NULL, NULL, 'BNAA08G31360D PROTEIN', 62903),
(119178, 'PTHR34139', NULL, NULL, NULL, NULL, 'UPF0331 PROTEIN MJ0127', 62904),
(119179, 'PTHR33098:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62905),
(119180, 'PTHR33622:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62906),
(119181, 'PTHR31414:SF22', NULL, NULL, NULL, NULL, 'ENVELOPE GLYCOPROTEIN B', 62907),
(119182, 'PTHR31269:SF44', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH2', 62908),
(119183, 'PTHR24115:SF0', NULL, NULL, NULL, NULL, 'FI21273P1-RELATED', 62909),
(119184, 'PTHR35248', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 62910),
(119185, 'PTHR24373:SF285', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN COMPLEX ACID LABILE SUBUNIT', 62911),
(119186, 'PTHR21110:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOPENTOMUTASE', 62912),
(119187, 'PTHR10791:SF160', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 62913),
(119188, 'PTHR45811:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62914),
(119189, 'PTHR12010:SF15', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S14-RELATED', 62915),
(119190, 'PTHR11005:SF120', NULL, NULL, NULL, NULL, 'LIPASE', 62916),
(119191, 'PTHR45676:SF86', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL5-LIKE', 62917),
(119192, 'PTHR24161:SF91', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CHANNEL PYREXIA', 62918),
(119193, 'PTHR43671:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK2', 62919),
(119194, 'PTHR46416', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 62920),
(119195, 'PTHR13832:SF386', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62921),
(119196, 'PTHR31660:SF76', NULL, NULL, NULL, NULL, 'GAG-POL POLYPROTEIN-LIKE PROTEIN', 62922),
(119197, 'PTHR48004:SF11', NULL, NULL, NULL, NULL, 'OS02G0227900 PROTEIN', 62923),
(119198, 'PTHR14754:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 8', 62924),
(119199, 'PTHR32285:SF199', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 33', 62925),
(119200, 'PTHR26452:SF768', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 62926),
(119201, 'PTHR45666:SF37', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL-1,4,5-TRISPHOSPHATE 5-PHOSPHATASE', 62927),
(119202, 'PTHR45623:SF20', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 7', 62928),
(119203, 'PTHR11932:SF159', NULL, NULL, NULL, NULL, 'BNAA09G51080D PROTEIN', 62929),
(119204, 'PTHR33103:SF39', NULL, NULL, NULL, NULL, 'BNACNNG24410D PROTEIN', 62930),
(119205, 'PTHR11500:SF0', NULL, NULL, NULL, NULL, 'BETA-CASEIN', 62931),
(119206, 'PTHR13832:SF385', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 58-RELATED', 62932),
(119207, 'PTHR24637:SF334', NULL, NULL, NULL, NULL, 'COLLAGEN', 62933),
(119208, 'PTHR39426', NULL, NULL, NULL, NULL, 'HOMOLOGY TO DEATH-ON-CURING PROTEIN OF PHAGE P1', 62934),
(119209, 'PTHR15678', NULL, NULL, NULL, NULL, 'ANTIGEN MLAA-22-RELATED', 62935),
(119210, 'PTHR11595:SF67', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION ELONGATION FACTOR 1 DELTA A (GUANINE NUCLEOTIDE EXCHANGE PROTEIN)', 62936),
(119211, 'PTHR12411', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE FAMILY C1-RELATED', 62937),
(119212, 'PTHR31589:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62938),
(119213, 'PTHR10887:SF472', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62939),
(119214, 'PTHR24040:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62940),
(119215, 'PTHR43874:SF152', NULL, NULL, NULL, NULL, 'BNAC04G55620D PROTEIN', 62941),
(119216, 'PTHR37525', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 62942),
(119217, 'PTHR34549:SF7', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT IV A', 62943),
(119218, 'PTHR23236:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62944),
(119219, 'PTHR46346:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT P', 62945),
(119220, 'PTHR33110:SF71', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN-RELATED', 62946),
(119221, 'PTHR47369:SF2', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 2', 62947);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(119222, 'PTHR43662', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 62948),
(119223, 'PTHR47019:SF1', NULL, NULL, NULL, NULL, 'LIPID II FLIPPASE MURJ', 62949),
(119224, 'PTHR33444:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG04286', 62950),
(119225, 'PTHR33088:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62951),
(119226, 'PTHR48019:SF80', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', 62952),
(119227, 'PTHR31223:SF54', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 62953),
(119228, 'PTHR45924:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 1', 62954),
(119229, 'PTHR12369:SF42', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE SYNTHASE 1', 62955),
(119230, 'PTHR33783:SF7', NULL, NULL, NULL, NULL, 'BNAA02G24670D PROTEIN', 62956),
(119231, 'PTHR21646:SF44', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 31', 62957),
(119232, 'PTHR48105:SF13', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE 2', 62958),
(119233, 'PTHR22957:SF367', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 14', 62959),
(119234, 'PTHR11945:SF674', NULL, NULL, NULL, NULL, '2FE-2S FERREDOXIN-LIKE SUPERFAMILY PROTEIN-RELATED', 62960),
(119235, 'PTHR18884:SF50', NULL, NULL, NULL, NULL, 'SEPTIN-10', 62961),
(119236, 'PTHR11132:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62962),
(119237, 'PTHR12824', NULL, NULL, NULL, NULL, 'GROUP XII SECRETORY PHOSPHOLIPASE A2 FAMILY MEMBER', 62963),
(119238, 'PTHR15869', NULL, NULL, NULL, NULL, 'ENDOMUCIN-RELATED', 62964),
(119239, 'PTHR31442:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYBC1', 62965),
(119240, 'PTHR47990:SF2', NULL, NULL, NULL, NULL, 'OS03G0289800 PROTEIN', 62966),
(119241, 'PTHR10751:SF41', NULL, NULL, NULL, NULL, 'ATLASTIN (ENDOPLASMIC RETICULUM GTPASE) RELATED', 62967),
(119242, 'PTHR31218:SF294', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 62968),
(119243, 'PTHR19229:SF225', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 2', 62969),
(119244, 'PTHR24300:SF19', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2E1', 62970),
(119245, 'PTHR36511:SF4', NULL, NULL, NULL, NULL, 'ANTITOXIN MQSA', 62971),
(119246, 'PTHR37187:SF8', NULL, NULL, NULL, NULL, 'BNAA09G26770D PROTEIN', 62972),
(119247, 'PTHR33993:SF3', NULL, NULL, NULL, NULL, 'GLYOXYLASE CFP32-RELATED', 62973),
(119248, 'PTHR47372:SF13', NULL, NULL, NULL, NULL, 'EMBRYONIC PROTEIN DC-8-LIKE', 62974),
(119249, 'PTHR43832:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 62975),
(119250, 'PTHR46386:SF7', NULL, NULL, NULL, NULL, 'SP110 NUCLEAR BODY PROTEIN', 62976),
(119251, 'PTHR11700:SF32', NULL, NULL, NULL, NULL, 'BNAA01G25960D PROTEIN', 62977),
(119252, 'PTHR12608:SF12', NULL, NULL, NULL, NULL, 'GDT1 FAMILY PROTEIN', 62978),
(119253, 'PTHR31150:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62979),
(119254, 'PTHR11913:SF102', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 10', 62980),
(119255, 'PTHR33564:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 62981),
(119256, 'PTHR47609:SF1', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC25', 62982),
(119257, 'PTHR10579:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62983),
(119258, 'PTHR31050:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62984),
(119259, 'PTHR24225:SF1', NULL, NULL, NULL, NULL, 'C5A ANAPHYLATOXIN CHEMOTACTIC RECEPTOR 2', 62985),
(119260, 'PTHR35680:SF1', NULL, NULL, NULL, NULL, 'NFAT ACTIVATION MOLECULE 1', 62986),
(119261, 'PTHR11746:SF236', NULL, NULL, NULL, NULL, 'BNAA02G18320D PROTEIN', 62987),
(119262, 'PTHR24637:SF287', NULL, NULL, NULL, NULL, 'COLLAGEN', 62988),
(119263, 'PTHR10082', NULL, NULL, NULL, NULL, 'INTEGRIN BETA SUBUNIT', 62989),
(119264, 'PTHR10159:SF520', NULL, NULL, NULL, NULL, 'PUCKERED, ISOFORM A', 62990),
(119265, 'PTHR21566:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG06703', 62991),
(119266, 'PTHR12307', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT', 62992),
(119267, 'PTHR19375:SF460', NULL, NULL, NULL, NULL, '70 KDA HEAT SHOCK PROTEIN', 62993);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(119268, 'PTHR12714:SF20', NULL, NULL, NULL, NULL, 'FAD SYNTHETASE 1, CHLOROPLASTIC-RELATED', 62994),
(119269, 'PTHR12307:SF15', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3C', 62995),
(119270, 'PTHR24253:SF6', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC SERINE PROTEASE 4', 62996),
(119271, 'PTHR45267', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 62997),
(119272, 'PTHR13451:SF10', NULL, NULL, NULL, NULL, 'ESSENTIAL MEIOTIC ENDONUCLEASE', 62998),
(119273, 'PTHR24006:SF765', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 62999),
(119274, 'PTHR24356:SF316', NULL, NULL, NULL, NULL, 'OS12G0290100 PROTEIN', 63000),
(119275, 'PTHR38519:SF2', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 63001),
(119276, 'PTHR19850:SF30', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-2', 63002),
(119277, 'PTHR22750:SF55', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 186', 63003),
(119278, 'PTHR10663:SF345', NULL, NULL, NULL, NULL, 'PATTERN FORMATION PROTEIN GNOM PROTEIN', 63004),
(119279, 'PTHR35547:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63005),
(119280, 'PTHR15592:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63006),
(119281, 'PTHR31867:SF144', NULL, NULL, NULL, NULL, 'EXPANSIN-A5', 63007),
(119282, 'PTHR35883', NULL, NULL, NULL, NULL, 'CYCLIC AMP-INDUCIBLE PROTEIN BP74-RELATED', 63008),
(119283, 'PTHR35466:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 63009),
(119284, 'PTHR12300:SF107', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 63010),
(119285, 'PTHR30406:SF8', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORT SYSTEM PERMEASE PROTEIN CYST', 63011),
(119286, 'PTHR46557:SF2', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 63012),
(119287, 'PTHR10766:SF120', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 63013),
(119288, 'PTHR37236:SF1', NULL, NULL, NULL, NULL, 'AUXIN-BINDING PROTEIN 1', 63014),
(119289, 'PTHR13559:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FUZZY HOMOLOG', 63015),
(119290, 'PTHR31639:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63016),
(119291, 'PTHR13158', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 63017),
(119292, 'PTHR11709:SF116', NULL, NULL, NULL, NULL, 'LACCASE', 63018),
(119293, 'PTHR43302:SF8', NULL, NULL, NULL, NULL, 'SILICON EFFLUX TRANSPORTER LSI2', 63019),
(119294, 'PTHR31500:SF47', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 1', 63020),
(119295, 'PTHR23280:SF25', NULL, NULL, NULL, NULL, 'LD33734P', 63021),
(119296, 'PTHR19134:SF505', NULL, NULL, NULL, NULL, 'IP14232P', 63022),
(119297, 'PTHR21567:SF62', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 63023),
(119298, 'PTHR31649:SF10', NULL, NULL, NULL, NULL, 'IP19903P-RELATED', 63024),
(119299, 'PTHR27002:SF113', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 63025),
(119300, 'PTHR21686:SF12', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOTIDYLTRANSFERASE TERMINAL-INTERACTING PROTEIN 2', 63026),
(119301, 'PTHR10540:SF25', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 7', 63027),
(119302, 'PTHR10366:SF704', NULL, NULL, NULL, NULL, 'OS09G0419200 PROTEIN', 63028),
(119303, 'PTHR14155:SF570', NULL, NULL, NULL, NULL, 'BNAC04G02700D PROTEIN', 63029),
(119304, 'PTHR46128:SF246', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63030),
(119305, 'PTHR43219', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDONUCLEASE CAS1', 63031),
(119306, 'PTHR37706:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 63032),
(119307, 'PTHR47030', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3 FAMILY PROTEIN', 63033),
(119308, 'PTHR36752:SF5', NULL, NULL, NULL, NULL, 'WOUND-INDUCED BASIC PROTEIN-LIKE', 63034),
(119309, 'PTHR24062:SF161', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 63035),
(119310, 'PTHR46038:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63036),
(119311, 'PTHR35275:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 63037),
(119312, 'PTHR12558:SF24', NULL, NULL, NULL, NULL, 'SI:DKEY-12J5.1', 63038),
(119313, 'PTHR46264:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63039);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(119314, 'PTHR12372', NULL, NULL, NULL, NULL, 'PECANEX', 63040),
(119315, 'PTHR42213', NULL, NULL, NULL, NULL, 'CPX CHROMOSOMAL REGION CANDIDATE GENE 1 PROTEIN', 63041),
(119316, 'PTHR43900:SF70', NULL, NULL, NULL, NULL, 'BNAC04G00150D PROTEIN', 63042),
(119317, 'PTHR40735', NULL, NULL, NULL, NULL, 'RNA-EDITING COMPLEX PROTEIN MP42-RELATED', 63043),
(119318, 'PTHR47999:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB114-LIKE', 63044),
(119319, 'PTHR23236:SF30', NULL, NULL, NULL, NULL, 'OS05G0114500 PROTEIN', 63045),
(119320, 'PTHR10788:SF98', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 9-RELATED', 63046),
(119321, 'PTHR14571:SF13', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 13', 63047),
(119322, 'PTHR11614:SF175', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN LPX1', 63048),
(119323, 'PTHR22933:SF39', NULL, NULL, NULL, NULL, 'CPAP1-I', 63049),
(119324, 'PTHR12701:SF50', NULL, NULL, NULL, NULL, 'LP10861P', 63050),
(119325, 'PTHR31808:SF9', NULL, NULL, NULL, NULL, 'F21O3.2 PROTEIN', 63051),
(119326, 'PTHR31079:SF5', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 73', 63052),
(119327, 'PTHR45932:SF16', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 63053),
(119328, 'PTHR36477', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 225', 63054),
(119329, 'PTHR44115:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 63055),
(119330, 'PTHR48017:SF110', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 2', 63056),
(119331, 'PTHR43625:SF62', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 1-RELATED', 63057),
(119332, 'PTHR46128:SF23', NULL, NULL, NULL, NULL, 'BNAA10G28040D PROTEIN', 63058),
(119333, 'PTHR11738:SF165', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY A MEMBER 1-RELATED', 63059),
(119334, 'PTHR24064:SF470', NULL, NULL, NULL, NULL, 'SI:DKEY-166K12.1', 63060),
(119335, 'PTHR47993:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63061),
(119336, 'PTHR11632:SF77', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN SUBUNIT, MITOCHONDRIAL', 63062),
(119337, 'PTHR11654:SF401', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.2-LIKE ISOFORM X1', 63063),
(119338, 'PTHR48098', NULL, NULL, NULL, NULL, 'ENTEROCHELIN ESTERASE-RELATED', 63064),
(119339, 'PTHR35478:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN PROTEIN', 63065),
(119340, 'PTHR13533:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63066),
(119341, 'PTHR38353:SF2', NULL, NULL, NULL, NULL, 'TROPOMYOSIN', 63067),
(119342, 'PTHR32077:SF12', NULL, NULL, NULL, NULL, 'OS05G0563600 PROTEIN', 63068),
(119343, 'PTHR19433:SF114', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 20-RELATED', 63069),
(119344, 'PTHR24058:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63070),
(119345, 'PTHR21579:SF6', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', 63071),
(119346, 'PTHR22792:SF121', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 6B-LIKE', 63072),
(119347, 'PTHR31790:SF143', NULL, NULL, NULL, NULL, 'BNAA07G07500D PROTEIN', 63073),
(119348, 'PTHR31251:SF151', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 4', 63074),
(119349, 'PTHR21645:SF15', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN F55C10.4', 63075),
(119350, 'PTHR43201:SF11', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (JCVI)-RELATED', 63076),
(119351, 'PTHR28640:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 6-INTERACTING PROTEIN 6', 63077),
(119352, 'PTHR21450:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63078),
(119353, 'PTHR23112:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63079),
(119354, 'PTHR12804', NULL, NULL, NULL, NULL, 'MICROSOMAL SIGNAL PEPTIDASE 23 KD SUBUNIT  SPC22/23', 63080),
(119355, 'PTHR33091:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63081),
(119356, 'PTHR24068:SF157', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-21 KDA', 63082),
(119357, 'PTHR24349:SF398', NULL, NULL, NULL, NULL, 'BNAA02G32840D PROTEIN', 63083),
(119358, 'PTHR33827:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63084);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(119359, 'PTHR24093:SF481', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 63085),
(119360, 'PTHR24388', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 63086),
(119361, 'PTHR43920:SF5', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL, ISOFORM A', 63087),
(119362, 'PTHR45870:SF2', NULL, NULL, NULL, NULL, 'TUBULIN MONOGLYCYLASE TTLL3', 63088),
(119363, 'PTHR39244:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63089),
(119364, 'PTHR28359:SF1', NULL, NULL, NULL, NULL, 'ASHWIN', 63090),
(119365, 'PTHR20933:SF4', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 7-LIKE PROTEIN', 63091),
(119366, 'PTHR11999:SF148', NULL, NULL, NULL, NULL, 'OS10G0400500 PROTEIN', 63092),
(119367, 'PTHR14493:SF91', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 56-LIKE', 63093),
(119368, 'PTHR11848:SF133', NULL, NULL, NULL, NULL, 'INHIBIN BETA A CHAIN', 63094),
(119369, 'PTHR46694', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 4', 63095),
(119370, 'PTHR34473:SF1', NULL, NULL, NULL, NULL, 'UPF0699 TRANSMEMBRANE PROTEIN YDBT', 63096),
(119371, 'PTHR47997:SF41', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-RELATED', 63097),
(119372, 'PTHR46660:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 1 DOMAIN-CONTAINING PROTEIN 1', 63098),
(119373, 'PTHR14379:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63099),
(119374, 'PTHR11430:SF117', NULL, NULL, NULL, NULL, 'GLYCODELIN', 63100),
(119375, 'PTHR45642:SF65', NULL, NULL, NULL, NULL, 'BNAA02G25900D PROTEIN', 63101),
(119376, 'PTHR41814:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 63102),
(119377, 'PTHR47983:SF35', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE, NON-RECEPTOR JAK/TYK2-RELATED', 63103),
(119378, 'PTHR31314:SF84', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', 63104),
(119379, 'PTHR43620:SF31', NULL, NULL, NULL, NULL, 'BNAA02G12670D PROTEIN', 63105),
(119380, 'PTHR45798:SF43', NULL, NULL, NULL, NULL, 'OS03G0398250 PROTEIN', 63106),
(119381, 'PTHR32149', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G6C', 63107),
(119382, 'PTHR31967:SF16', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)', 63108),
(119383, 'PTHR10678:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63109),
(119384, 'PTHR10641:SF1288', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', 63110),
(119385, 'PTHR31744:SF114', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 2', 63111),
(119386, 'PTHR45903:SF2', NULL, NULL, NULL, NULL, 'BNAA07G09700D PROTEIN', 63112),
(119387, 'PTHR24381:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63113),
(119388, 'PTHR45712:SF20', NULL, NULL, NULL, NULL, 'PODOCAN', 63114),
(119389, 'PTHR16134:SF86', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 6-LIKE PROTEIN', 63115),
(119390, 'PTHR10196:SF89', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE', 63116),
(119391, 'PTHR31044:SF104', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 3', 63117),
(119392, 'PTHR34855:SF1', NULL, NULL, NULL, NULL, 'TRICHOHYALIN', 63118),
(119393, 'PTHR26453:SF661', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 63119),
(119394, 'PTHR46455:SF1', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN CONTAINING, ARTHROPOD-SPECIFIC, MEMBER 2', 63120),
(119395, 'PTHR24404:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR CTCF', 63121),
(119396, 'PTHR47992:SF114', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 15-RELATED', 63122),
(119397, 'PTHR27003:SF393', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE THESEUS 1', 63123),
(119398, 'PTHR24032:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63124),
(119399, 'PTHR13223', NULL, NULL, NULL, NULL, 'ACIDIC FIBROBLAST GROWTH FACTOR INTRACELLULAR BINDING PROTEIN', 63125),
(119400, 'PTHR11654:SF79', NULL, NULL, NULL, NULL, 'OS03G0204700 PROTEIN', 63126),
(119401, 'PTHR13683:SF607', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63127),
(119402, 'PTHR12411:SF356', NULL, NULL, NULL, NULL, 'PROTEIN CBG05143', 63128),
(119403, 'PTHR19970:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39', 63129);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(119404, 'PTHR45614:SF133', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR MYB-LIKE ISOFORM X1', 63130),
(119405, 'PTHR22941:SF131', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 63131),
(119406, 'PTHR44156:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63132),
(119407, 'PTHR48018:SF43', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 63133),
(119408, 'PTHR11122:SF53', NULL, NULL, NULL, NULL, 'ALDOSE 1-/GLUCOSE-6-PHOSPHATE 1-EPIMERASE, GALACTOSE MUTAROTASE-LIKE DOMAIN PROTEIN-RELATED', 63134),
(119409, 'PTHR10252:SF94', NULL, NULL, NULL, NULL, 'CCAAT TRANSCRIPTION FACTOR', 63135),
(119410, 'PTHR43076:SF8', NULL, NULL, NULL, NULL, 'CYCLIC DEHYPOXANTHINE FUTALOSINE SYNTHASE', 63136),
(119411, 'PTHR48201', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 63137),
(119412, 'PTHR33983:SF14', NULL, NULL, NULL, NULL, 'BNAC04G24170D PROTEIN', 63138),
(119413, 'PTHR41710', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 39', 63139),
(119414, 'PTHR28492:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63140),
(119415, 'PTHR24559:SF349', NULL, NULL, NULL, NULL, 'OSJNBA0059D20.8-LIKE PROTEIN', 63141),
(119416, 'PTHR31189:SF64', NULL, NULL, NULL, NULL, 'LEGUMIN A-LIKE', 63142),
(119417, 'PTHR24349:SF449', NULL, NULL, NULL, NULL, 'CALCIUM DEPENDENT PROTEIN KINASE 16', 63143),
(119418, 'PTHR10300:SF4', NULL, NULL, NULL, NULL, 'CALCIPRESSIN-1', 63144),
(119419, 'PTHR31029:SF10', NULL, NULL, NULL, NULL, 'BNAA02G36310D PROTEIN', 63145),
(119420, 'PTHR31568:SF62', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH TM MODULE STRESS TOLERANCE PROTEIN', 63146),
(119421, 'PTHR31111', NULL, NULL, NULL, NULL, 'BNAA05G37150D PROTEIN-RELATED', 63147),
(119422, 'PTHR11964:SF56', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE 2', 63148),
(119423, 'PTHR47990:SF144', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 3', 63149),
(119424, 'PTHR22835:SF510', NULL, NULL, NULL, NULL, '2, PUTATIVE-RELATED', 63150),
(119425, 'PTHR43240:SF14', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-2-NAPHTHOYL-COA THIOESTERASE 2', 63151),
(119426, 'PTHR36575:SF2', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14430)-RELATED', 63152),
(119427, 'PTHR11588:SF371', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN-RELATED', 63153),
(119428, 'PTHR34130:SF9', NULL, NULL, NULL, NULL, 'BNAA03G50030D PROTEIN', 63154),
(119429, 'PTHR45934:SF21', NULL, NULL, NULL, NULL, 'MONOOXYGENASE 1', 63155),
(119430, 'PTHR40416', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 63156),
(119431, 'PTHR15607:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63157),
(119432, 'PTHR46038:SF17', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 63158),
(119433, 'PTHR11932:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63159),
(119434, 'PTHR23155:SF976', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPM1', 63160),
(119435, 'PTHR30050:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOMAL REPLICATION INITIATOR PROTEIN DNAA', 63161),
(119436, 'PTHR11721:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27A', 63162),
(119437, 'PTHR31048:SF174', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 63163),
(119438, 'PTHR31465:SF8', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14140)-RELATED', 63164),
(119439, 'PTHR11615:SF159', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1C1', 63165),
(119440, 'PTHR23167:SF54', NULL, NULL, NULL, NULL, 'PROTEIN-METHIONINE SULFOXIDE OXIDASE MICAL-LIKE PROTEIN', 63166),
(119441, 'PTHR23233:SF85', NULL, NULL, NULL, NULL, 'SI:CH211-212K18.5', 63167),
(119442, 'PTHR12277:SF161', NULL, NULL, NULL, NULL, 'BNAA08G12730D PROTEIN', 63168),
(119443, 'PTHR11360:SF278', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER FAMILY', 63169),
(119444, 'PTHR10572:SF37', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', 63170),
(119445, 'PTHR11802:SF53', NULL, NULL, NULL, NULL, 'OS10G0101200 PROTEIN', 63171),
(119446, 'PTHR32382:SF43', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 2', 63172),
(119447, 'PTHR10663:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63173); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(119448, 'PTHR10353:SF210', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE', 63174),
(119449, 'PTHR31639:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63175),
(119450, 'PTHR12297', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCBILE GENE 1  HIG1 -RELATED', 63176),
(119451, 'PTHR31184', NULL, NULL, NULL, NULL, 'HUNTINGTIN-INTERACTING PROTEIN K FAMILY MEMBER', 63177),
(119452, 'PTHR11926:SF968', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C1', 63178),
(119453, 'PTHR21075', NULL, NULL, NULL, NULL, 'ANAEROBIC RIBONUCLEOSIDE-TRIPHOSPHATE REDUCTASE', 63179),
(119454, 'PTHR36766', NULL, NULL, NULL, NULL, 'PLANT BROAD-SPECTRUM MILDEW RESISTANCE PROTEIN RPW8', 63180),
(119455, 'PTHR19846:SF3', NULL, NULL, NULL, NULL, 'BNAC04G01920D PROTEIN', 63181),
(119456, 'PTHR43243:SF72', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 9-RELATED', 63182),
(119457, 'PTHR22847:SF625', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63183),
(119458, 'PTHR48066:SF1', NULL, NULL, NULL, NULL, 'CARNOSINE SYNTHASE 1', 63184),
(119459, 'PTHR31681:SF87', NULL, NULL, NULL, NULL, 'BNAC03G60730D PROTEIN', 63185),
(119460, 'PTHR41910:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE 2 MEMBRANE SUBUNIT SDHC', 63186),
(119461, 'PTHR38001', NULL, NULL, NULL, NULL, 'PROTEIN CEBPZOS', 63187),
(119462, 'PTHR38928:SF8', NULL, NULL, NULL, NULL, 'ARGOS7', 63188),
(119463, 'PTHR12764:SF4', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 122 HOMOLOG', 63189),
(119464, 'PTHR41774:SF1', NULL, NULL, NULL, NULL, 'NIF3-RELATED PROTEIN', 63190),
(119465, 'PTHR14430:SF5', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR FOR RAB-3A', 63191),
(119466, 'PTHR18953:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63192),
(119467, 'PTHR43859:SF9', NULL, NULL, NULL, NULL, 'OS02G0119200 PROTEIN', 63193),
(119468, 'PTHR35468:SF2', NULL, NULL, NULL, NULL, 'BNAC06G04540D PROTEIN', 63194),
(119469, 'PTHR12084:SF11', NULL, NULL, NULL, NULL, 'NUCLEOPORIN-62 C-TERMINAL-LIKE PROTEIN', 63195),
(119470, 'PTHR48049:SF48', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71B2', 63196),
(119471, 'PTHR23093:SF17', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 6B', 63197),
(119472, 'PTHR12794:SF6', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 2', 63198),
(119473, 'PTHR16223:SF234', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH110', 63199),
(119474, 'PTHR34601:SF1', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP B', 63200),
(119475, 'PTHR43201:SF4', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', 63201),
(119476, 'PTHR22382', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4921504E06 GENE', 63202),
(119477, 'PTHR10055:SF9', NULL, NULL, NULL, NULL, 'TRYPTOPHAN--TRNA LIGASE', 63203),
(119478, 'PTHR35400', NULL, NULL, NULL, NULL, 'SLR1083 PROTEIN', 63204),
(119479, 'PTHR23130:SF178', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 63205),
(119480, 'PTHR45695:SF7', NULL, NULL, NULL, NULL, 'GASTRIN-RELEASING PEPTIDE RECEPTOR', 63206),
(119481, 'PTHR36132:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 221', 63207),
(119482, 'PTHR10992:SF1051', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63208),
(119483, 'PTHR11685:SF351', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 63209),
(119484, 'PTHR17614:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 804A', 63210),
(119485, 'PTHR46877:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63211),
(119486, 'PTHR12313:SF64', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF8-RELATED', 63212),
(119487, 'PTHR12701:SF55', NULL, NULL, NULL, NULL, 'OS05G0272900 PROTEIN', 63213),
(119488, 'PTHR24072:SF127', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC7', 63214),
(119489, 'PTHR33136:SF85', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 22', 63215),
(119490, 'PTHR31310:SF11', NULL, NULL, NULL, NULL, 'INOSITOL PHOSPHORYLCERAMIDE SYNTHASE CATALYTIC SUBUNIT AUR1', 63216),
(119491, 'PTHR11669:SF64', NULL, NULL, NULL, NULL, 'BNAA01G14140D PROTEIN', 63217),
(119492, 'PTHR13031:SF1', NULL, NULL, NULL, NULL, 'BNAA10G29620D PROTEIN', 63218);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(119493, 'PTHR36423', NULL, NULL, NULL, NULL, 'AFR070WP', 63219),
(119494, 'PTHR33524:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63220),
(119495, 'PTHR24237:SF38', NULL, NULL, NULL, NULL, 'SI:CH211-184M13.4', 63221),
(119496, 'PTHR31923:SF32', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN-RELATED', 63222),
(119497, 'PTHR33070:SF90', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF241)-RELATED', 63223),
(119498, 'PTHR47985:SF58', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', 63224),
(119499, 'PTHR46086:SF6', NULL, NULL, NULL, NULL, 'OS05G0153300 PROTEIN', 63225),
(119500, 'PTHR23510:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG15681', 63226),
(119501, 'PTHR10772:SF30', NULL, NULL, NULL, NULL, '20 KDA CHAPERONIN, CHLOROPLASTIC-LIKE', 63227),
(119502, 'PTHR48017:SF130', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', 63228),
(119503, 'PTHR47107:SF1', NULL, NULL, NULL, NULL, 'SVF1-LIKE PROTEIN YDR222W-RELATED', 63229),
(119504, 'PTHR45624:SF7', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 48', 63230),
(119505, 'PTHR22526', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 63231),
(119506, 'PTHR43276:SF3', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN:MALTOSE-1-PHOSPHATE MALTOSYLTRANSFERASE 2', 63232),
(119507, 'PTHR11062:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63233),
(119508, 'PTHR38779', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN I-RELATED', 63234),
(119509, 'PTHR24133:SF14', NULL, NULL, NULL, NULL, 'ZGC:112001', 63235),
(119510, 'PTHR10663:SF353', NULL, NULL, NULL, NULL, 'ARF GUANINE-NUCLEOTIDE EXCHANGE FACTOR GNL1', 63236),
(119511, 'PTHR11206:SF197', NULL, NULL, NULL, NULL, 'AEL099WP', 63237),
(119512, 'PTHR21325', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B, PLB1', 63238),
(119513, 'PTHR27004:SF318', NULL, NULL, NULL, NULL, 'BNAA05G09460D PROTEIN', 63239),
(119514, 'PTHR11412:SF136', NULL, NULL, NULL, NULL, 'GH01829P-RELATED', 63240),
(119515, 'PTHR43162', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 63241),
(119516, 'PTHR33076:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63242),
(119517, 'PTHR11071:SF471', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF LUMENAL LOCATION 5, CHLOROPLASTIC', 63243),
(119518, 'PTHR31346:SF20', NULL, NULL, NULL, NULL, 'BNAANNG21120D PROTEIN', 63244),
(119519, 'PTHR11654:SF131', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.5', 63245),
(119520, 'PTHR11647:SF1', NULL, NULL, NULL, NULL, 'COLLAPSIN RESPONSE MEDIATOR PROTEIN', 63246),
(119521, 'PTHR36698:SF2', NULL, NULL, NULL, NULL, 'BLL5892 PROTEIN', 63247),
(119522, 'PTHR11987:SF3', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLNEURAMINIDE ALPHA-2,8-SIALYLTRANSFERASE', 63248),
(119523, 'PTHR36489:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-COUPLED RECEPTOR GPR1, PUTATIVE-RELATED', 63249),
(119524, 'PTHR44542:SF17', NULL, NULL, NULL, NULL, 'BNAA07G12790D PROTEIN', 63250),
(119525, 'PTHR12802:SF131', NULL, NULL, NULL, NULL, 'OS02G0685200 PROTEIN', 63251),
(119526, 'PTHR11404:SF39', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [MN] 2, MITOCHONDRIAL', 63252),
(119527, 'PTHR16551:SF4', NULL, NULL, NULL, NULL, 'AGOUTI-RELATED PROTEIN', 63253),
(119528, 'PTHR31707:SF151', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 20-RELATED', 63254),
(119529, 'PTHR13832:SF662', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 55-RELATED', 63255),
(119530, 'PTHR47031:SF7', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING PROTEIN-RELATED', 63256),
(119531, 'PTHR12424:SF18', NULL, NULL, NULL, NULL, 'PROTEIN TWEETY-2', 63257),
(119532, 'PTHR10582', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL ION CHANNEL PROTEIN', 63258),
(119533, 'PTHR46035:SF3', NULL, NULL, NULL, NULL, 'TRANSLOCATION PROTEIN SEC72', 63259),
(119534, 'PTHR19325:SF519', NULL, NULL, NULL, NULL, 'PROTEIN LEV-9', 63260),
(119535, 'PTHR23235:SF28', NULL, NULL, NULL, NULL, 'SP5 TRANSCRIPTION FACTOR-LIKE', 63261),
(119536, 'PTHR12268:SF19', NULL, NULL, NULL, NULL, 'DYSTROBREVIN ALPHA', 63262),
(119537, 'PTHR48018:SF58', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9I1', 63263);
INSERT INTO "PUBLIC"."MODEL" VALUES
(119538, 'PTHR19241:SF565', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 40', 63264),
(119539, 'PTHR12596:SF2', NULL, NULL, NULL, NULL, 'EXPORTIN 7', 63265),
(119540, 'PTHR31238:SF177', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 63266),
(119541, 'PTHR33065:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63267),
(119542, 'PTHR23098:SF17', NULL, NULL, NULL, NULL, 'NUCLEAR APOPTOSIS-INDUCING FACTOR 1-RELATED', 63268),
(119543, 'PTHR27007:SF276', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN RECEPTOR KINASE', 63269),
(119544, 'PTHR34833', NULL, NULL, NULL, NULL, 'GENE, 17359-RELATED', 63270),
(119545, 'PTHR46039', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE 3-RELATED', 63271),
(119546, 'PTHR47956:SF92', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B13-RELATED', 63272),
(119547, 'PTHR31301:SF141', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 1-LIKE', 63273),
(119548, 'PTHR31374:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63274),
(119549, 'PTHR31218:SF280', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 63275),
(119550, 'PTHR32196:SF15', NULL, NULL, NULL, NULL, 'SUGAR ABC TRANSPORTER PERMEASE PROTEIN', 63276),
(119551, 'PTHR31696:SF59', NULL, NULL, NULL, NULL, 'OSJNBB0003B01.5 PROTEIN', 63277),
(119552, 'PTHR45868:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63278),
(119553, 'PTHR46535', NULL, NULL, NULL, NULL, 'NEDD4-BINDING PROTEIN 2', 63279),
(119554, 'PTHR10334:SF450', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63280),
(119555, 'PTHR21879:SF22', NULL, NULL, NULL, NULL, 'FI03362P-RELATED', 63281),
(119556, 'PTHR24320:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63282),
(119557, 'PTHR33308:SF9', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN HYDROLASE FLGJ', 63283),
(119558, 'PTHR10201:SF115', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-27', 63284),
(119559, 'PTHR30204:SF69', NULL, NULL, NULL, NULL, 'DNA-BINDING REGULATOR-RELATED', 63285),
(119560, 'PTHR10891:SF851', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML45-RELATED', 63286),
(119561, 'PTHR15663:SF6', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN-RELATED', 63287),
(119562, 'PTHR30457:SF19', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G01070)-RELATED', 63288),
(119563, 'PTHR47991:SF35', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 63289),
(119564, 'PTHR24094:SF15', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN', 63290),
(119565, 'PTHR23203', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN', 63291),
(119566, 'PTHR10666:SF372', NULL, NULL, NULL, NULL, 'UBIQUITIN-RELATED DOMAIN-CONTAINING PROTEIN-RELATED', 63292),
(119567, 'PTHR11920:SF482', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', 63293),
(119568, 'PTHR12825:SF0', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN SEC20', 63294),
(119569, 'PTHR23266:SF236', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-43-RELATED', 63295),
(119570, 'PTHR24055:SF203', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 1', 63296),
(119571, 'PTHR10460:SF38', NULL, NULL, NULL, NULL, 'ABI FAMILY-RELATED', 63297),
(119572, 'PTHR18929:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63298),
(119573, 'PTHR16082', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT MU-1', 63299),
(119574, 'PTHR18945:SF512', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL 50', 63300),
(119575, 'PTHR12673:SF80', NULL, NULL, NULL, NULL, 'RAC GUANYL-NUCLEOTIDE EXCHANGE FACTOR', 63301),
(119576, 'PTHR33433:SF25', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-RELATED', 63302),
(119577, 'PTHR11567:SF19', NULL, NULL, NULL, NULL, 'GH19849P', 63303),
(119578, 'PTHR16399:SF31', NULL, NULL, NULL, NULL, 'GASDERMIN DOMAIN-CONTAINING PROTEIN RGD1359449', 63304),
(119579, 'PTHR40943', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 63305),
(119580, 'PTHR24023:SF968', NULL, NULL, NULL, NULL, 'COLLAGEN', 63306),
(119581, 'PTHR10739:SF13', NULL, NULL, NULL, NULL, 'GH25855P-RELATED', 63307),
(119582, 'PTHR31923:SF3', NULL, NULL, NULL, NULL, 'OS04G0662000 PROTEIN', 63308);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(119583, 'PTHR47975:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63309),
(119584, 'PTHR31490:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 10 PROTEIN', 63310),
(119585, 'PTHR31744:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUNGBRUNNEN 1', 63311),
(119586, 'PTHR12050', NULL, NULL, NULL, NULL, 'LEPTIN RECEPTOR-RELATED', 63312),
(119587, 'PTHR15829:SF15', NULL, NULL, NULL, NULL, 'RIPOR FAMILY MEMBER 3', 63313),
(119588, 'PTHR36576:SF1', NULL, NULL, NULL, NULL, 'UPF0654 PROTEIN C11D3.01C-RELATED', 63314),
(119589, 'PTHR12542:SF90', NULL, NULL, NULL, NULL, 'OS08G0519900 PROTEIN', 63315),
(119590, 'PTHR11627:SF2', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE B', 63316),
(119591, 'PTHR23115:SF241', NULL, NULL, NULL, NULL, 'FACTOR 1-ALPHA, PUTATIVE-RELATED', 63317),
(119592, 'PTHR45894:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63318),
(119593, 'PTHR24271:SF24', NULL, NULL, NULL, NULL, 'CHYMASE', 63319),
(119594, 'PTHR31904', NULL, NULL, NULL, NULL, 'BYPASS OF STOP CODON PROTEIN 5-RELATED', 63320),
(119595, 'PTHR24340:SF95', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN PNX', 63321),
(119596, 'PTHR45458:SF2', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY SUPERFAMILY (AFU_ORTHOLOGUE AFUA_3G13450)', 63322),
(119597, 'PTHR43874:SF137', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR11', 63323),
(119598, 'PTHR37955', NULL, NULL, NULL, NULL, 'TELLURITE RESISTANCE PROTEIN TEHA', 63324),
(119599, 'PTHR28242:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63325),
(119600, 'PTHR11594:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', 63326),
(119601, 'PTHR15075:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63327),
(119602, 'PTHR24177:SF141', NULL, NULL, NULL, NULL, 'OS06G0294400 PROTEIN', 63328),
(119603, 'PTHR14796:SF3', NULL, NULL, NULL, NULL, 'NEURENSIN 1-RELATED', 63329),
(119604, 'PTHR12884', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', 63330),
(119605, 'PTHR24072:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63331),
(119606, 'PTHR34482:SF4', NULL, NULL, NULL, NULL, 'POLYMERASES SUPERFAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', 63332),
(119607, 'PTHR34371:SF17', NULL, NULL, NULL, NULL, 'BNAC01G20460D PROTEIN', 63333),
(119608, 'PTHR24254', NULL, NULL, NULL, NULL, 'PROTHROMBIN', 63334),
(119609, 'PTHR43329', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', 63335),
(119610, 'PTHR33065:SF136', NULL, NULL, NULL, NULL, 'OS11G0558700 PROTEIN', 63336),
(119611, 'PTHR27009:SF253', NULL, NULL, NULL, NULL, 'OS11G0133100 PROTEIN', 63337),
(119612, 'PTHR35709', NULL, NULL, NULL, NULL, 'PROTEIN PROTON GRADIENT REGULATION 5, CHLOROPLASTIC', 63338),
(119613, 'PTHR44825', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 63339),
(119614, 'PTHR11005:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63340),
(119615, 'PTHR11935:SF144', NULL, NULL, NULL, NULL, 'BNAC03G24200D PROTEIN', 63341),
(119616, 'PTHR12848:SF16', NULL, NULL, NULL, NULL, 'REGULATORY-ASSOCIATED PROTEIN OF MTOR', 63342),
(119617, 'PTHR23176:SF121', NULL, NULL, NULL, NULL, 'RHO-TYPE GTPASE-ACTIVATING PROTEIN 1-RELATED', 63343),
(119618, 'PTHR10654', NULL, NULL, NULL, NULL, 'CAS SCAFFOLDING PROTEIN', 63344),
(119619, 'PTHR36721:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 63345),
(119620, 'PTHR48017:SF59', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 1', 63346),
(119621, 'PTHR12565:SF400', NULL, NULL, NULL, NULL, 'BNAC09G14890D PROTEIN', 63347),
(119622, 'PTHR32370:SF131', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN-RELATED', 63348),
(119623, 'PTHR38607:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG00180', 63349),
(119624, 'PTHR23512:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63350),
(119625, 'PTHR45613:SF143', NULL, NULL, NULL, NULL, 'OS06G0694600 PROTEIN', 63351),
(119626, 'PTHR23234:SF5', NULL, NULL, NULL, NULL, 'RIKEN CDNA B230307C23 GENE', 63352),
(119627, 'PTHR23266:SF284', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA CONSTANT 6', 63353),
(119628, 'PTHR31304:SF50', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 39', 63354);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(119629, 'PTHR22850:SF27', NULL, NULL, NULL, NULL, 'HISTONE-BINDING PROTEIN CAF1-RELATED', 63355),
(119630, 'PTHR13832:SF531', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 54-RELATED', 63356),
(119631, 'PTHR33320:SF24', NULL, NULL, NULL, NULL, 'BNAA03G49870D PROTEIN', 63357),
(119632, 'PTHR48187', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 63358),
(119633, 'PTHR16070', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 63359),
(119634, 'PTHR47961:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63360),
(119635, 'PTHR23349:SF10', NULL, NULL, NULL, NULL, 'CLASS A BASIC HELIX-LOOP-HELIX PROTEIN 9', 63361),
(119636, 'PTHR24291:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 27C1', 63362),
(119637, 'PTHR12107', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA SUBUNIT', 63363),
(119638, 'PTHR37393:SF1', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 1A-LIKE', 63364),
(119639, 'PTHR33673:SF2', NULL, NULL, NULL, NULL, 'OS06G0150000 PROTEIN', 63365),
(119640, 'PTHR12223', NULL, NULL, NULL, NULL, 'VESICULAR MANNOSE-BINDING LECTIN', 63366),
(119641, 'PTHR13869:SF7', NULL, NULL, NULL, NULL, 'MYELIN PROTEIN P0', 63367),
(119642, 'PTHR24200:SF6', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 69', 63368),
(119643, 'PTHR23129:SF1', NULL, NULL, NULL, NULL, 'FAT STORAGE-INDUCING TRANSMEMBRANE PROTEIN 2', 63369),
(119644, 'PTHR45764:SF47', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 44', 63370),
(119645, 'PTHR33124:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PAR1', 63371),
(119646, 'PTHR24115:SF889', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF27', 63372),
(119647, 'PTHR31636:SF165', NULL, NULL, NULL, NULL, 'GRAS TRANSCRIPTION FACTOR', 63373),
(119648, 'PTHR30336', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN, PROBABLE PERMEASE', 63374),
(119649, 'PTHR31549:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63375),
(119650, 'PTHR33477:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63376),
(119651, 'PTHR43692:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYLALANINE--D-GLUTAMATE LIGASE', 63377),
(119652, 'PTHR44984', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK3', 63378),
(119653, 'PTHR31723', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED FAMILY PROTEIN', 63379),
(119654, 'PTHR46508:SF5', NULL, NULL, NULL, NULL, 'PHD-FINGER AND DNA BINDING DOMAIN-CONTAINING PROTEIN', 63380),
(119655, 'PTHR47924:SF22', NULL, NULL, NULL, NULL, 'BNAC07G16730D PROTEIN', 63381),
(119656, 'PTHR44329:SF159', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE-LIKE PROTEIN', 63382),
(119657, 'PTHR32134:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63383),
(119658, 'PTHR34224:SF15', NULL, NULL, NULL, NULL, 'BNAA03G16970D PROTEIN', 63384),
(119659, 'PTHR31111:SF31', NULL, NULL, NULL, NULL, 'BNAA05G31090D PROTEIN', 63385),
(119660, 'PTHR43226:SF7', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE', 63386),
(119661, 'PTHR13343:SF22', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE-BINDING PROTEIN, CHLOROPLASTIC', 63387),
(119662, 'PTHR13174', NULL, NULL, NULL, NULL, 'D-GLUCURONYL C5-EPIMERASE', 63388),
(119663, 'PTHR43545:SF4', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE-O IRON-SULFUR SUBUNIT', 63389),
(119664, 'PTHR43523:SF7', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE SMALL SUBUNIT 1, CHLOROPLASTIC/AMYLOPLASTIC', 63390),
(119665, 'PTHR33375:SF8', NULL, NULL, NULL, NULL, 'NUCLEOID OCCLUSION PROTEIN', 63391),
(119666, 'PTHR10663:SF328', NULL, NULL, NULL, NULL, 'MIP16918P', 63392),
(119667, 'PTHR42721:SF21', NULL, NULL, NULL, NULL, 'BETA-XYLOSIDASE/ALPHA-L-ARABINOFURANOSIDASE 2-LIKE', 63393),
(119668, 'PTHR47925:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63394),
(119669, 'PTHR31301:SF131', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 28', 63395),
(119670, 'PTHR31920:SF37', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR VRN1', 63396),
(119671, 'PTHR24232', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', 63397),
(119672, 'PTHR41795:SF1', NULL, NULL, NULL, NULL, 'EXOPOLYSACCHARIDE SYNTHESIS PROTEIN', 63398);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(119673, 'PTHR31718', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 63399),
(119674, 'PTHR11690:SF184', NULL, NULL, NULL, NULL, 'PICKPOCKET 31', 63400),
(119675, 'PTHR31680:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 63401),
(119676, 'PTHR14467', NULL, NULL, NULL, NULL, 'ARV1', 63402),
(119677, 'PTHR35358:SF5', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE-LIKE PROTEIN (PEARLI 4) FAMILY PROTEIN', 63403),
(119678, 'PTHR16306:SF1', NULL, NULL, NULL, NULL, 'POSSIBLE LRR CALCIUM-BINDING PROTEIN', 63404),
(119679, 'PTHR22957:SF581', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN GYP1-LIKE', 63405),
(119680, 'PTHR24208:SF91', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX3', 63406),
(119681, 'PTHR11136:SF14', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE', 63407),
(119682, 'PTHR12374:SF51', NULL, NULL, NULL, NULL, 'BNAA09G44370D PROTEIN', 63408),
(119683, 'PTHR11439:SF283', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', 63409),
(119684, 'PTHR24407:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 766-RELATED', 63410),
(119685, 'PTHR32089:SF109', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN CTPL', 63411),
(119686, 'PTHR11740:SF30', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA-4-RELATED', 63412),
(119687, 'PTHR22907:SF48', NULL, NULL, NULL, NULL, 'CUTICLIN-1', 63413),
(119688, 'PTHR47983:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63414),
(119689, 'PTHR44394:SF1', NULL, NULL, NULL, NULL, 'BETA-ALANINE-ACTIVATING ENZYME', 63415),
(119690, 'PTHR10953:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME ATG7', 63416),
(119691, 'PTHR22652:SF0', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP43', 63417),
(119692, 'PTHR31314:SF5', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL7-LIKE', 63418),
(119693, 'PTHR12856', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIH-RELATED', 63419),
(119694, 'PTHR43060:SF13', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRATE DEHYDROGENASE-LIKE 2, MITOCHONDRIAL-RELATED', 63420),
(119695, 'PTHR40429:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR ASSOCIATED PROTEIN', 63421),
(119696, 'PTHR47933:SF11', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 1, MITOCHONDRIAL', 63422),
(119697, 'PTHR23105:SF105', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', 63423),
(119698, 'PTHR16083:SF17', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 18', 63424),
(119699, 'PTHR23428:SF232', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-M', 63425),
(119700, 'PTHR45757:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG19968', 63426),
(119701, 'PTHR13768:SF34', NULL, NULL, NULL, NULL, 'N-ETHYLMALEIMIDE-SENSITIVE FACTOR ATTACHMENT PROTEIN, BETA A', 63427),
(119702, 'PTHR11596:SF37', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE', 63428),
(119703, 'PTHR47172:SF9', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 16', 63429),
(119704, 'PTHR47926:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63430),
(119705, 'PTHR33565:SF17', NULL, NULL, NULL, NULL, 'BNAC03G30720D PROTEIN', 63431),
(119706, 'PTHR48075:SF3', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-COA DEHYDROGENASE', 63432),
(119707, 'PTHR30070:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C BIOGENESIS B-RELATED', 63433),
(119708, 'PTHR24071:SF19', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN', 63434),
(119709, 'PTHR31282:SF134', NULL, NULL, NULL, NULL, 'BNACNNG41380D PROTEIN', 63435),
(119710, 'PTHR22855:SF29', NULL, NULL, NULL, NULL, '3-METHYLCROTONYL-COA CARBOXYLASE BETA SUBUNIT', 63436),
(119711, 'PTHR31376:SF3', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 4-RELATED', 63437),
(119712, 'PTHR30290:SF9', NULL, NULL, NULL, NULL, 'D,D-DIPEPTIDE-BINDING PERIPLASMIC PROTEIN DDPA-RELATED', 63438),
(119713, 'PTHR15601:SF0', NULL, NULL, NULL, NULL, 'GEO09675P1', 63439),
(119714, 'PTHR33177:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63440),
(119715, 'PTHR26450:SF161', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52N2', 63441),
(119716, 'PTHR12603:SF20', NULL, NULL, NULL, NULL, 'BNAC04G15670D PROTEIN', 63442),
(119717, 'PTHR34113', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE-LIKE PROTEIN', 63443);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(119718, 'PTHR23179:SF3', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN', 63444),
(119719, 'PTHR34850:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG21297', 63445),
(119720, 'PTHR10736:SF1', NULL, NULL, NULL, NULL, 'BESTROPHIN-2', 63446),
(119721, 'PTHR46779:SF5', NULL, NULL, NULL, NULL, 'BETA-16-GALACTOSYLTRANSFERASE GALT29A', 63447),
(119722, 'PTHR31839:SF66', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CBF PROTEIN', 63448),
(119723, 'PTHR24055:SF478', NULL, NULL, NULL, NULL, 'BNAC03G74820D PROTEIN', 63449),
(119724, 'PTHR36449:SF1', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 63450),
(119725, 'PTHR23070:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63451),
(119726, 'PTHR11242:SF6', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT', 63452),
(119727, 'PTHR30115:SF20', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN P-II 2', 63453),
(119728, 'PTHR23114', NULL, NULL, NULL, NULL, 'M7GPPPN-MRNA HYDROLASE', 63454),
(119729, 'PTHR43617:SF22', NULL, NULL, NULL, NULL, 'L-AMINO ACID N-ACETYLTRANSFERASE AAAT', 63455),
(119730, 'PTHR42715:SF19', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE G-RELATED', 63456),
(119731, 'PTHR23257:SF823', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0278521-RELATED', 63457),
(119732, 'PTHR43468', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 63458),
(119733, 'PTHR31762:SF11', NULL, NULL, NULL, NULL, 'MYOSIN', 63459),
(119734, 'PTHR33122:SF33', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 63460),
(119735, 'PTHR31963:SF24', NULL, NULL, NULL, NULL, 'BNAC01G32640D PROTEIN', 63461),
(119736, 'PTHR35971', NULL, NULL, NULL, NULL, 'SI:DKEY-31G6.6', 63462),
(119737, 'PTHR11040:SF154', NULL, NULL, NULL, NULL, 'OS08G0100200 PROTEIN', 63463),
(119738, 'PTHR16035:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAM90A1', 63464),
(119739, 'PTHR10117:SF6', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 2-RELATED', 63465),
(119740, 'PTHR48102:SF5', NULL, NULL, NULL, NULL, 'OS01G0886600 PROTEIN', 63466),
(119741, 'PTHR48020:SF11', NULL, NULL, NULL, NULL, 'H(+) MYOINOSITOL COTRANSPORTER', 63467),
(119742, 'PTHR39229', NULL, NULL, NULL, NULL, 'MCG1037962', 63468),
(119743, 'PTHR11502:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', 63469),
(119744, 'PTHR11736:SF66', NULL, NULL, NULL, NULL, 'MAGE-LIKE PROTEIN 2', 63470),
(119745, 'PTHR24186:SF31', NULL, NULL, NULL, NULL, 'BNAC04G12840D PROTEIN', 63471),
(119746, 'PTHR31992:SF160', NULL, NULL, NULL, NULL, 'BNACNNG56790D PROTEIN', 63472),
(119747, 'PTHR31232:SF63', NULL, NULL, NULL, NULL, 'BNAA06G36510D PROTEIN', 63473),
(119748, 'PTHR37543:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63474),
(119749, 'PTHR48100:SF41', NULL, NULL, NULL, NULL, 'BNAA02G24710D PROTEIN', 63475),
(119750, 'PTHR31120:SF8', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TIKI2', 63476),
(119751, 'PTHR14791:SF46', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 63477),
(119752, 'PTHR15184:SF60', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA-1, MITOCHONDRIAL-RELATED', 63478),
(119753, 'PTHR11685:SF233', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 63479),
(119754, 'PTHR40642', NULL, NULL, NULL, NULL, 'YALI0F31295P', 63480),
(119755, 'PTHR46722:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM7 HOMOLOG', 63481),
(119756, 'PTHR47480', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', 63482),
(119757, 'PTHR12035:SF94', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 6', 63483),
(119758, 'PTHR23266:SF318', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-3', 63484),
(119759, 'PTHR31218:SF322', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 63485),
(119760, 'PTHR46353:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 6-LIKE', 63486),
(119761, 'PTHR31791', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN 3-RELATED', 63487),
(119762, 'PTHR11062:SF108', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 63488),
(119763, 'PTHR11260:SF594', NULL, NULL, NULL, NULL, 'S-TRANSFERASE GSTU6, PUTATIVE, EXPRESSED-RELATED', 63489);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(119764, 'PTHR30038:SF8', NULL, NULL, NULL, NULL, 'ALDEHYDE FERREDOXIN OXIDOREDUCTASE', 63490),
(119765, 'PTHR11709:SF408', NULL, NULL, NULL, NULL, 'LACCASE', 63491),
(119766, 'PTHR44329:SF84', NULL, NULL, NULL, NULL, 'PROTEIN KINASE LIKE PROTEIN', 63492),
(119767, 'PTHR34348', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 2', 63493),
(119768, 'PTHR11017:SF328', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN N, PUTATIVE-RELATED', 63494),
(119769, 'PTHR32295:SF123', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 5', 63495),
(119770, 'PTHR47259', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 63496),
(119771, 'PTHR31384:SF132', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 63497),
(119772, 'PTHR31953:SF50', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 5', 63498),
(119773, 'PTHR13448:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 214-LIKE', 63499),
(119774, 'PTHR43122', NULL, NULL, NULL, NULL, 'FERREDOXIN SUBUNIT OF PYRUVATE:FLAVODOXIN OXIDOREDUCTASE-RELATED', 63500),
(119775, 'PTHR48002:SF131', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4S2', 63501),
(119776, 'PTHR33227:SF33', NULL, NULL, NULL, NULL, 'BNAA03G11570D PROTEIN', 63502),
(119777, 'PTHR43690:SF28', NULL, NULL, NULL, NULL, 'BNAA02G30780D PROTEIN', 63503),
(119778, 'PTHR47942:SF37', NULL, NULL, NULL, NULL, 'OS07G0674300 PROTEIN', 63504),
(119779, 'PTHR33377:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63505),
(119780, 'PTHR11639:SF57', NULL, NULL, NULL, NULL, 'PROTEIN S100-A13', 63506),
(119781, 'PTHR47315', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH INTERACTING PROTEIN 2', 63507),
(119782, 'PTHR23334:SF59', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 8', 63508),
(119783, 'PTHR19432:SF72', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUC2-LIKE', 63509),
(119784, 'PTHR33865:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM183BP', 63510),
(119785, 'PTHR46464:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63511),
(119786, 'PTHR33375', NULL, NULL, NULL, NULL, 'CHROMOSOME-PARTITIONING PROTEIN PARB-RELATED', 63512),
(119787, 'PTHR24015:SF1764', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 63513),
(119788, 'PTHR11690:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63514),
(119789, 'PTHR21590:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63515),
(119790, 'PTHR11873:SF0', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED PROTEIN', 63516),
(119791, 'PTHR46532', NULL, NULL, NULL, NULL, 'MALE FERTILITY FACTOR KL5', 63517),
(119792, 'PTHR21237:SF28', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG', 63518),
(119793, 'PTHR44523', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 13', 63519),
(119794, 'PTHR45844:SF16', NULL, NULL, NULL, NULL, 'OS09G0463900 PROTEIN', 63520),
(119795, 'PTHR31727:SF9', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', 63521),
(119796, 'PTHR10177:SF387', NULL, NULL, NULL, NULL, 'CYCLIN-A3-4', 63522),
(119797, 'PTHR23122:SF37', NULL, NULL, NULL, NULL, '55 KDA ERYTHROCYTE MEMBRANE PROTEIN', 63523),
(119798, 'PTHR31917:SF81', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 63524),
(119799, 'PTHR31875:SF32', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 6', 63525),
(119800, 'PTHR13806:SF33', NULL, NULL, NULL, NULL, 'FLOTILLIN 1A', 63526),
(119801, 'PTHR11736:SF67', NULL, NULL, NULL, NULL, 'MAGE FAMILY MEMBER B6B', 63527),
(119802, 'PTHR12533', NULL, NULL, NULL, NULL, 'NFAT', 63528),
(119803, 'PTHR11654:SF550', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.3-LIKE', 63529),
(119804, 'PTHR38041:SF2', NULL, NULL, NULL, NULL, 'SECRETED CHORISMATE MUTASE', 63530),
(119805, 'PTHR33306:SF30', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 63531),
(119806, 'PTHR32212:SF365', NULL, NULL, NULL, NULL, 'F-BOX/RNI-LIKE SUPERFAMILY PROTEIN', 63532),
(119807, 'PTHR11132:SF257', NULL, NULL, NULL, NULL, 'UDP-XYLOSE TRANSPORTER 1', 63533),
(119808, 'PTHR46174:SF2', NULL, NULL, NULL, NULL, 'CXXC-TYPE ZINC FINGER PROTEIN 1', 63534),
(119809, 'PTHR43811:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63535);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(119810, 'PTHR47885:SF1', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT ZETA-1', 63536),
(119811, 'PTHR28659:SF1', NULL, NULL, NULL, NULL, 'RETICULOPHAGY REGULATOR 3', 63537),
(119812, 'PTHR43329:SF15', NULL, NULL, NULL, NULL, 'HALOALKANE DEHALOGENASE', 63538),
(119813, 'PTHR47928:SF119', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 63539),
(119814, 'PTHR33108:SF12', NULL, NULL, NULL, NULL, 'OS02G0229900 PROTEIN', 63540),
(119815, 'PTHR11644:SF11', NULL, NULL, NULL, NULL, 'CYTIDINE DEAMINASE', 63541),
(119816, 'PTHR34224:SF11', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 2, CHLOROPLASTIC-LIKE ISOFORM X1', 63542),
(119817, 'PTHR43044', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 63543),
(119818, 'PTHR10177:SF447', NULL, NULL, NULL, NULL, 'BNAANNG04890D PROTEIN', 63544),
(119819, 'PTHR47980:SF41', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABE1E', 63545),
(119820, 'PTHR10110:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63546),
(119821, 'PTHR24031:SF721', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX31-RELATED', 63547),
(119822, 'PTHR11743:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63548),
(119823, 'PTHR21576:SF125', NULL, NULL, NULL, NULL, 'BNAC06G40450D PROTEIN', 63549),
(119824, 'PTHR48062:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 2-RELATED', 63550),
(119825, 'PTHR24327:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63551),
(119826, 'PTHR47984:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 63552),
(119827, 'PTHR35765:SF2', NULL, NULL, NULL, NULL, 'OS05G0569200 PROTEIN', 63553),
(119828, 'PTHR31722:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD1A-LIKE', 63554),
(119829, 'PTHR12191:SF31', NULL, NULL, NULL, NULL, 'IP18018P', 63555),
(119830, 'PTHR10502:SF134', NULL, NULL, NULL, NULL, 'MAJOR PRION PROTEIN', 63556),
(119831, 'PTHR10279', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE ANTIZYME', 63557),
(119832, 'PTHR33052:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63558),
(119833, 'PTHR45676:SF111', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 63559),
(119834, 'PTHR47636:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RCO1', 63560),
(119835, 'PTHR13848:SF75', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 63561),
(119836, 'PTHR24235:SF1', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 63562),
(119837, 'PTHR31238:SF87', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 63563),
(119838, 'PTHR22938:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 598-LIKE ISOFORM X1', 63564),
(119839, 'PTHR33700:SF17', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN X', 63565),
(119840, 'PTHR31245:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63566),
(119841, 'PTHR22855:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63567),
(119842, 'PTHR11071:SF467', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP19-4', 63568),
(119843, 'PTHR11469:SF1', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE ISOMERASE', 63569),
(119844, 'PTHR32487:SF12', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE ISOFORM X1', 63570),
(119845, 'PTHR31650:SF38', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE', 63571),
(119846, 'PTHR47998:SF9', NULL, NULL, NULL, NULL, 'ANTHOCYANIN REGULATORY C1 PROTEIN', 63572),
(119847, 'PTHR31388:SF226', NULL, NULL, NULL, NULL, 'PEROXIDASE', 63573),
(119848, 'PTHR13018:SF105', NULL, NULL, NULL, NULL, 'BNAC05G09770D PROTEIN', 63574),
(119849, 'PTHR45724:SF42', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN (MIP) FAMILY TRANSPORTER', 63575),
(119850, 'PTHR31875:SF38', NULL, NULL, NULL, NULL, 'OS12G0556100 PROTEIN', 63576),
(119851, 'PTHR31790:SF339', NULL, NULL, NULL, NULL, 'BNAA05G10950D PROTEIN', 63577),
(119852, 'PTHR12128:SF15', NULL, NULL, NULL, NULL, '4-HYDROXY-2-OXOGLUTARATE ALDOLASE, MITOCHONDRIAL', 63578),
(119853, 'PTHR24248:SF140', NULL, NULL, NULL, NULL, 'HISTAMINE RECEPTOR H3', 63579),
(119854, 'PTHR23050:SF305', NULL, NULL, NULL, NULL, 'CENTRIN-2', 63580);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(119855, 'PTHR37431:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG06927', 63581),
(119856, 'PTHR11615:SF225', NULL, NULL, NULL, NULL, 'HYDROGENASE SUBUNIT', 63582),
(119857, 'PTHR43297:SF9', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 63583),
(119858, 'PTHR42977:SF2', NULL, NULL, NULL, NULL, 'BLR7068 PROTEIN', 63584),
(119859, 'PTHR48011:SF62', NULL, NULL, NULL, NULL, 'BNAA08G14260D PROTEIN', 63585),
(119860, 'PTHR43364:SF14', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', 63586),
(119861, 'PTHR19277:SF158', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 6', 63587),
(119862, 'PTHR24281:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63588),
(119863, 'PTHR17416:SF0', NULL, NULL, NULL, NULL, 'SMALL MUSCULAR PROTEIN', 63589),
(119864, 'PTHR16166:SF125', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13C', 63590),
(119865, 'PTHR15829', NULL, NULL, NULL, NULL, 'PROTEIN KINASE PKN/PRK1, EFFECTOR', 63591),
(119866, 'PTHR10155:SF10', NULL, NULL, NULL, NULL, 'PI3K21B, ISOFORM B', 63592),
(119867, 'PTHR11599:SF113', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 63593),
(119868, 'PTHR13177:SF4', NULL, NULL, NULL, NULL, 'GEO09647P1', 63594),
(119869, 'PTHR10353:SF223', NULL, NULL, NULL, NULL, 'BNAA09G40120D PROTEIN', 63595),
(119870, 'PTHR24349:SF288', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 28', 63596),
(119871, 'PTHR33271:SF3', NULL, NULL, NULL, NULL, 'OS02G0620400 PROTEIN', 63597),
(119872, 'PTHR22621:SF27', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 4B', 63598),
(119873, 'PTHR11106', NULL, NULL, NULL, NULL, 'GANGLIOSIDE INDUCED DIFFERENTIATION ASSOCIATED PROTEIN 2-RELATED', 63599),
(119874, 'PTHR35758:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 63600),
(119875, 'PTHR10221:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 6', 63601),
(119876, 'PTHR20855:SF108', NULL, NULL, NULL, NULL, 'HEPTAHELICAL TRANSMEMBRANE PROTEIN 3', 63602),
(119877, 'PTHR14167', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING', 63603),
(119878, 'PTHR24390:SF156', NULL, NULL, NULL, NULL, 'PROTEIN ZNF783', 63604),
(119879, 'PTHR35772:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN I', 63605),
(119880, 'PTHR12411:SF721', NULL, NULL, NULL, NULL, 'VIGNAIN', 63606),
(119881, 'PTHR11937:SF485', NULL, NULL, NULL, NULL, 'ACTIN-2-LIKE', 63607),
(119882, 'PTHR11615:SF295', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 63608),
(119883, 'PTHR45752:SF107', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 3', 63609),
(119884, 'PTHR42931', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14520)-RELATED', 63610),
(119885, 'PTHR42824', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE', 63611),
(119886, 'PTHR33593:SF26', NULL, NULL, NULL, NULL, 'BNAC08G41310D PROTEIN', 63612),
(119887, 'PTHR47777:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SEBOX', 63613),
(119888, 'PTHR11633', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR', 63614),
(119889, 'PTHR12706:SF13', NULL, NULL, NULL, NULL, 'PROTEIN STRAWBERRY NOTCH', 63615),
(119890, 'PTHR47992:SF147', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 43-RELATED', 63616),
(119891, 'PTHR47892', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN E', 63617),
(119892, 'PTHR10641:SF1273', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39-LIKE', 63618),
(119893, 'PTHR24031:SF720', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-II', 63619),
(119894, 'PTHR33979:SF2', NULL, NULL, NULL, NULL, 'OS02G0221600 PROTEIN', 63620),
(119895, 'PTHR11877:SF57', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE-LIKE', 63621),
(119896, 'PTHR24403:SF64', NULL, NULL, NULL, NULL, 'RE1-SILENCING TRANSCRIPTION FACTOR', 63622),
(119897, 'PTHR47830:SF1', NULL, NULL, NULL, NULL, 'OS11G0534100 PROTEIN', 63623),
(119898, 'PTHR31374:SF199', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 63624),
(119899, 'PTHR46162:SF20', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN PROTEIN', 63625),
(119900, 'PTHR31338:SF28', NULL, NULL, NULL, NULL, 'BNAC07G50250D PROTEIN', 63626);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(119901, 'PTHR11132:SF440', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', 63627),
(119902, 'PTHR11803', NULL, NULL, NULL, NULL, '2-IMINOBUTANOATE/2-IMINOPROPANOATE DEAMINASE RIDA', 63628),
(119903, 'PTHR35455:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 63629),
(119904, 'PTHR47061:SF1', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 9', 63630),
(119905, 'PTHR23272:SF141', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 2-LIKE', 63631),
(119906, 'PTHR21136:SF174', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', 63632),
(119907, 'PTHR14440:SF7', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA49', 63633),
(119908, 'PTHR11132:SF348', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE/PHOSPHATE TRANSLOCATOR-RELATED', 63634),
(119909, 'PTHR36020:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 63635),
(119910, 'PTHR28284:SF1', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP60', 63636),
(119911, 'PTHR16983:SF12', NULL, NULL, NULL, NULL, 'GLYCOSYLPHOSPHATIDYLINOSITOL-ANCHORED HIGH DENSITY LIPOPROTEIN-BINDING PROTEIN 1', 63637),
(119912, 'PTHR24377:SF885', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63638),
(119913, 'PTHR11362:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63639),
(119914, 'PTHR11802:SF352', NULL, NULL, NULL, NULL, 'BNACNNG22970D PROTEIN', 63640),
(119915, 'PTHR15644', NULL, NULL, NULL, NULL, 'OSTEOPETROSIS ASSOCIATED TRANSMEMBRANE PROTEIN 1', 63641),
(119916, 'PTHR46031:SF26', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 6', 63642),
(119917, 'PTHR43000:SF7', NULL, NULL, NULL, NULL, 'DTDP-D-GLUCOSE 4,6-DEHYDRATASE', 63643),
(119918, 'PTHR12138:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63644),
(119919, 'PTHR31696:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63645),
(119920, 'PTHR10648', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A 65 KDA REGULATORY SUBUNIT', 63646),
(119921, 'PTHR37002:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63647),
(119922, 'PTHR48043:SF116', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 63648),
(119923, 'PTHR47267:SF5', NULL, NULL, NULL, NULL, 'DEHALOGENASE-LIKE HYDROLASE, PUTATIVE-RELATED', 63649),
(119924, 'PTHR46835:SF2', NULL, NULL, NULL, NULL, 'BNAA08G04750D PROTEIN', 63650),
(119925, 'PTHR45847:SF7', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE HOMOLOG', 63651),
(119926, 'PTHR21377', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 63652),
(119927, 'PTHR32021:SF32', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5C3', 63653),
(119928, 'PTHR11208:SF122', NULL, NULL, NULL, NULL, 'BNAA03G48080D PROTEIN', 63654),
(119929, 'PTHR10336:SF185', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 63655),
(119930, 'PTHR28625', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 35', 63656),
(119931, 'PTHR31669:SF179', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5', 63657),
(119932, 'PTHR10915:SF1', NULL, NULL, NULL, NULL, 'SYNDECAN', 63658),
(119933, 'PTHR12826:SF13', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN PNO1', 63659),
(119934, 'PTHR15439:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63660),
(119935, 'PTHR45721:SF13', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFD-2', 63661),
(119936, 'PTHR11783:SF244', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 63662),
(119937, 'PTHR33470:SF31', NULL, NULL, NULL, NULL, 'NON-CLASSICAL ARABINOGALACTAN PROTEIN 31-LIKE', 63663),
(119938, 'PTHR24031:SF734', NULL, NULL, NULL, NULL, 'BOX RNA HELICASE HELA, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G15620)-RELATED', 63664),
(119939, 'PTHR24221:SF303', NULL, NULL, NULL, NULL, 'TRANSPORTER FAMILY PROTEIN, PUTATIVE-RELATED', 63665),
(119940, 'PTHR11590:SF73', NULL, NULL, NULL, NULL, 'TRANSGLUTAMINASE 2,-LIKE', 63666),
(119941, 'PTHR22891:SF161', NULL, NULL, NULL, NULL, 'BNACNNG35060D PROTEIN', 63667),
(119942, 'PTHR44575:SF4', NULL, NULL, NULL, NULL, 'EMBRYONIC ABUNDANT PROTEIN-LIKE', 63668),
(119943, 'PTHR46520', NULL, NULL, NULL, NULL, 'SERINE BETA-LACTAMASE-LIKE PROTEIN LACTB, MITOCHONDRIAL', 63669);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(119944, 'PTHR30126:SF25', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR METR', 63670),
(119945, 'PTHR27004:SF349', NULL, NULL, NULL, NULL, 'BNAA01G19190D PROTEIN', 63671),
(119946, 'PTHR31948:SF127', NULL, NULL, NULL, NULL, 'BNAA09G02420D PROTEIN', 63672),
(119947, 'PTHR43853:SF11', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE FADA', 63673),
(119948, 'PTHR23291:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63674),
(119949, 'PTHR40626:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', 63675),
(119950, 'PTHR20905:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG06006', 63676),
(119951, 'PTHR43327:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63677),
(119952, 'PTHR22943:SF100', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 63678),
(119953, 'PTHR43148:SF11', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE 1', 63679),
(119954, 'PTHR43207:SF4', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE YQEC-RELATED', 63680),
(119955, 'PTHR22812:SF143', NULL, NULL, NULL, NULL, 'C.ELEGANS CHROMODOMAIN PROTEIN', 63681),
(119956, 'PTHR16125', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 74', 63682),
(119957, 'PTHR40124', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 63683),
(119958, 'PTHR43031:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63684),
(119959, 'PTHR45665:SF23', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP3-2-RELATED', 63685),
(119960, 'PTHR10728:SF13', NULL, NULL, NULL, NULL, 'CYTOSOLIC PHOSPHOLIPASE A2', 63686),
(119961, 'PTHR14739:SF9', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 9', 63687),
(119962, 'PTHR31717:SF60', NULL, NULL, NULL, NULL, 'OS08G0178800 PROTEIN', 63688),
(119963, 'PTHR11132:SF371', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSPORTER 2-LIKE', 63689),
(119964, 'PTHR24055:SF401', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 14-RELATED', 63690),
(119965, 'PTHR12308:SF31', NULL, NULL, NULL, NULL, 'ANOCTAMIN', 63691),
(119966, 'PTHR24377:SF797', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 12', 63692),
(119967, 'PTHR24115:SF398', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF21A', 63693),
(119968, 'PTHR12526:SF591', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', 63694),
(119969, 'PTHR20856:SF25', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 63695),
(119970, 'PTHR23280:SF24', NULL, NULL, NULL, NULL, 'BAND 4.1-LIKE PROTEIN 1', 63696),
(119971, 'PTHR13994:SF33', NULL, NULL, NULL, NULL, 'NUDIX FAMILY HYDROLASE', 63697),
(119972, 'PTHR10091:SF24', NULL, NULL, NULL, NULL, 'GALACTOSE MUTAROTASE-LIKE SUPERFAMILY PROTEIN', 63698),
(119973, 'PTHR31042:SF122', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 63699),
(119974, 'PTHR46694:SF4', NULL, NULL, NULL, NULL, 'OS08G0361000 PROTEIN', 63700),
(119975, 'PTHR26454:SF30', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6X1', 63701),
(119976, 'PTHR10540:SF7', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 7', 63702),
(119977, 'PTHR46216:SF2', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 37-LIKE 1B', 63703),
(119978, 'PTHR42647:SF6', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 2-RELATED', 63704),
(119979, 'PTHR31286:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63705),
(119980, 'PTHR42832:SF2', NULL, NULL, NULL, NULL, 'ASPARTATE TRANSAMINASE', 63706),
(119981, 'PTHR33167:SF46', NULL, NULL, NULL, NULL, 'BNAC09G32870D PROTEIN', 63707),
(119982, 'PTHR13008', NULL, NULL, NULL, NULL, 'MAP-KINASE ACTIVATING DEATH DOMAIN PROTEIN  MADD /DENN/AEX-3 C.ELEGANS', 63708),
(119983, 'PTHR37024:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63709),
(119984, 'PTHR27006:SF400', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', 63710),
(119985, 'PTHR34846:SF4', NULL, NULL, NULL, NULL, '4-CARBOXYMUCONOLACTONE DECARBOXYLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G03690)', 63711),
(119986, 'PTHR43280:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR, ARAC FAMILY-RELATED', 63712),
(119987, 'PTHR23253:SF68', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR ISOFORM 4G-1', 63713);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(119988, 'PTHR45854:SF1', NULL, NULL, NULL, NULL, 'ARF-GAP WITH SH3 DOMAIN, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 3', 63714),
(119989, 'PTHR47956:SF79', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B31-RELATED', 63715),
(119990, 'PTHR13902:SF144', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK1', 63716),
(119991, 'PTHR33147:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63717),
(119992, 'PTHR42759:SF6', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN-RELATED', 63718),
(119993, 'PTHR43450:SF4', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', 63719),
(119994, 'PTHR40269', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED', 63720),
(119995, 'PTHR24034:SF143', NULL, NULL, NULL, NULL, 'ZGC:66455', 63721),
(119996, 'PTHR11920:SF375', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-13', 63722),
(119997, 'PTHR31232:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63723),
(119998, 'PTHR10701:SF18', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN-ASSOCIATED PROTEIN', 63724),
(119999, 'PTHR47746:SF29', NULL, NULL, NULL, NULL, 'NON-LTR RETROLELEMENT REVERSE TRANSCRIPTASE-RELATED', 63725),
(120000, 'PTHR21354:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 511', 63726),
(120001, 'PTHR38146', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 63727),
(120002, 'PTHR11071:SF487', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 63728),
(120003, 'PTHR11652:SF56', NULL, NULL, NULL, NULL, 'BNAA02G24860D PROTEIN', 63729),
(120004, 'PTHR31646:SF1', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSYLTRANSFERASE MNN2', 63730),
(120005, 'PTHR33734:SF16', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING GPI-ANCHORED PROTEIN 3', 63731),
(120006, 'PTHR33377:SF3', NULL, NULL, NULL, NULL, 'OS07G0121000 PROTEIN', 63732),
(120007, 'PTHR34069:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA:ACYL-COA ALKYLTRANSFERASE', 63733),
(120008, 'PTHR13068:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63734),
(120009, 'PTHR11995:SF28', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 7, MITOCHONDRIAL', 63735),
(120010, 'PTHR16140:SF15', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', 63736),
(120011, 'PTHR38432:SF2', NULL, NULL, NULL, NULL, 'TELLURITE RESISTANCE PROTEIN', 63737),
(120012, 'PTHR47014', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY S MEMBER 1', 63738),
(120013, 'PTHR31554', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 184', 63739),
(120014, 'PTHR26452:SF254', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 63740),
(120015, 'PTHR10630', NULL, NULL, NULL, NULL, 'MONOCYTE DIFFERENTIATION ANTIGEN CD14', 63741),
(120016, 'PTHR46436:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 76 KDA', 63742),
(120017, 'PTHR31325:SF150', NULL, NULL, NULL, NULL, 'OS07G0105800 PROTEIN', 63743),
(120018, 'PTHR11877:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63744),
(120019, 'PTHR33095:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63745),
(120020, 'PTHR21713:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63746),
(120021, 'PTHR46929:SF12', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 63747),
(120022, 'PTHR43895:SF67', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 21', 63748),
(120023, 'PTHR24243:SF205', NULL, NULL, NULL, NULL, 'NEUROMEDIN U RECEPTOR 3', 63749),
(120024, 'PTHR11947:SF3', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE (ACETYL-TRANSFERRING)] KINASE, MITOCHONDRIAL', 63750),
(120025, 'PTHR43706:SF25', NULL, NULL, NULL, NULL, 'EXTERNAL ALTERNATIVE NAD(P)H-UBIQUINONE OXIDOREDUCTASE B4, MITOCHONDRIAL', 63751),
(120026, 'PTHR10676:SF36', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', 63752),
(120027, 'PTHR44099:SF2', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 72', 63753),
(120028, 'PTHR22775:SF29', NULL, NULL, NULL, NULL, 'SORTING NEXIN-25', 63754),
(120029, 'PTHR31325:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63755),
(120030, 'PTHR31069', NULL, NULL, NULL, NULL, 'OLEATE-ACTIVATED TRANSCRIPTION FACTOR 1-RELATED', 63756); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(120031, 'PTHR24095:SF14', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE 1', 63757),
(120032, 'PTHR30620:SF90', NULL, NULL, NULL, NULL, 'BETA-D-GLUCAN EXOHYDROLASE-LIKE PROTEIN', 63758),
(120033, 'PTHR10078:SF30', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 BETA', 63759),
(120034, 'PTHR24055:SF79', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 15', 63760),
(120035, 'PTHR21731', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 63761),
(120036, 'PTHR11413:SF114', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 63762),
(120037, 'PTHR23359:SF191', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4', 63763),
(120038, 'PTHR48016:SF26', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE-LIKE', 63764),
(120039, 'PTHR10088', NULL, NULL, NULL, NULL, 'GLUCOKINASE REGULATORY PROTEIN', 63765),
(120040, 'PTHR38113:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63766),
(120041, 'PTHR45613:SF62', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 63767),
(120042, 'PTHR11915:SF431', NULL, NULL, NULL, NULL, 'SPECTRIN ALPHA CHAIN, ERYTHROCYTIC 1', 63768),
(120043, 'PTHR31499:SF40', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB1-LIKE', 63769),
(120044, 'PTHR43330:SF23', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', 63770),
(120045, 'PTHR31791:SF54', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 63771),
(120046, 'PTHR34536', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', 63772),
(120047, 'PTHR31033:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63773),
(120048, 'PTHR10783:SF115', NULL, NULL, NULL, NULL, 'BNAA07G24450D PROTEIN', 63774),
(120049, 'PTHR33090:SF70', NULL, NULL, NULL, NULL, 'BNAA06G17220D PROTEIN', 63775),
(120050, 'PTHR31190:SF210', NULL, NULL, NULL, NULL, 'EREBP TRANSCRIPTION FACTOR', 63776),
(120051, 'PTHR32133:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63777),
(120052, 'PTHR23070:SF90', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 63778),
(120053, 'PTHR31194:SF73', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF120-RELATED', 63779),
(120054, 'PTHR12021:SF16', NULL, NULL, NULL, NULL, 'THYMOSIN BETA', 63780),
(120055, 'PTHR11923:SF96', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS B MEMBER 1', 63781),
(120056, 'PTHR23147:SF153', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SR34A ISOFORM X1', 63782),
(120057, 'PTHR34055:SF1', NULL, NULL, NULL, NULL, 'OS09G0491596 PROTEIN', 63783),
(120058, 'PTHR11135:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63784),
(120059, 'PTHR44375:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63785),
(120060, 'PTHR38449:SF1', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN TM_1690-RELATED', 63786),
(120061, 'PTHR34272:SF8', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 63787),
(120062, 'PTHR32429:SF23', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE/OXYGENASE ACTIVASE 1 PROTEIN-RELATED', 63788),
(120063, 'PTHR45708:SF23', NULL, NULL, NULL, NULL, 'OS07G0632000 PROTEIN', 63789),
(120064, 'PTHR46587:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 63790),
(120065, 'PTHR10314:SF219', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', 63791),
(120066, 'PTHR21230:SF76', NULL, NULL, NULL, NULL, 'BNAC04G31610D PROTEIN', 63792),
(120067, 'PTHR20772:SF4', NULL, NULL, NULL, NULL, 'HYPOTHETICAL AMINO ACID TRANSPORTER (EUROFUNG)', 63793),
(120068, 'PTHR15486:SF73', NULL, NULL, NULL, NULL, 'BNAC05G00450D PROTEIN', 63794),
(120069, 'PTHR22306:SF2', NULL, NULL, NULL, NULL, 'ZMP:0000000624', 63795),
(120070, 'PTHR46142:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 63796),
(120071, 'PTHR11849:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63797),
(120072, 'PTHR19446:SF415', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE FROM TRANSPOSON BS-LIKE PROTEIN-RELATED', 63798),
(120073, 'PTHR31415:SF71', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 63799),
(120074, 'PTHR21663:SF2', NULL, NULL, NULL, NULL, 'HEAT REPEAT-CONTAINING PROTEIN 5B', 63800);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(120075, 'PTHR47236:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63801),
(120076, 'PTHR11620:SF77', NULL, NULL, NULL, NULL, 'OS04G0501000 PROTEIN', 63802),
(120077, 'PTHR11388:SF149', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 1A1', 63803),
(120078, 'PTHR18952:SF227', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE II', 63804),
(120079, 'PTHR30292', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YBGL-RELATED', 63805),
(120080, 'PTHR12000:SF45', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME-LIKE', 63806),
(120081, 'PTHR28075:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63807),
(120082, 'PTHR23257:SF879', NULL, NULL, NULL, NULL, 'BNAA09G41440D PROTEIN', 63808),
(120083, 'PTHR35486:SF5', NULL, NULL, NULL, NULL, 'BNAC04G22330D PROTEIN', 63809),
(120084, 'PTHR12726', NULL, NULL, NULL, NULL, 'CERAMIDE GLUCOSYLTRANSFERASE', 63810),
(120085, 'PTHR11849:SF15', NULL, NULL, NULL, NULL, 'ETS-RELATED TRANSCRIPTION FACTOR ELF-5', 63811),
(120086, 'PTHR31100:SF14', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 15', 63812),
(120087, 'PTHR47378', NULL, NULL, NULL, NULL, 'DIVINYL CHLOROPHYLLIDE A 8-VINYL-REDUCTASE, CHLOROPLASTIC', 63813),
(120088, 'PTHR43180:SF42', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE ATA1', 63814),
(120089, 'PTHR15741:SF23', NULL, NULL, NULL, NULL, 'MLX-INTERACTING PROTEIN', 63815),
(120090, 'PTHR33832:SF6', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR TYPE-2 P303.51', 63816),
(120091, 'PTHR27007:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63817),
(120092, 'PTHR14499:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63818),
(120093, 'PTHR11085:SF15', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE SIRTUIN-1', 63819),
(120094, 'PTHR48021:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63820),
(120095, 'PTHR38365:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63821),
(120096, 'PTHR47947:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63822),
(120097, 'PTHR43245:SF11', NULL, NULL, NULL, NULL, 'LD23561P', 63823),
(120098, 'PTHR48173', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 63824),
(120099, 'PTHR10582:SF25', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY V MEMBER 6', 63825),
(120100, 'PTHR11654:SF98', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.6', 63826),
(120101, 'PTHR47958:SF26', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-III', 63827),
(120102, 'PTHR33728:SF16', NULL, NULL, NULL, NULL, 'BNAA08G25440D PROTEIN', 63828),
(120103, 'PTHR12300:SF150', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN K', 63829),
(120104, 'PTHR45642:SF104', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', 63830),
(120105, 'PTHR11738:SF116', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY A MEMBER 5', 63831),
(120106, 'PTHR10788:SF14', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 8-RELATED', 63832),
(120107, 'PTHR47967:SF26', NULL, NULL, NULL, NULL, 'BNAA01G17170D PROTEIN', 63833),
(120108, 'PTHR11850:SF274', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SBH1-LIKE ISOFORM X1', 63834),
(120109, 'PTHR10527:SF51', NULL, NULL, NULL, NULL, 'BETA-3, PUTATIVE-RELATED', 63835),
(120110, 'PTHR14324', NULL, NULL, NULL, NULL, 'CONDENSIN-2 COMPLEX SUBUNIT H2', 63836),
(120111, 'PTHR11668:SF290', NULL, NULL, NULL, NULL, 'PROTEIN CBG20631', 63837),
(120112, 'PTHR32278:SF50', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B12-RELATED', 63838),
(120113, 'PTHR33078:SF43', NULL, NULL, NULL, NULL, 'PROTEIN YCF2', 63839),
(120114, 'PTHR31133:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0081L15.3 PROTEIN', 63840),
(120115, 'PTHR32077:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63841),
(120116, 'PTHR31327:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG02257', 63842),
(120117, 'PTHR21258:SF46', NULL, NULL, NULL, NULL, 'DOCKING PROTEIN 1', 63843),
(120118, 'PTHR33883:SF4', NULL, NULL, NULL, NULL, 'OS07G0147800 PROTEIN', 63844),
(120119, 'PTHR13382:SF7', NULL, NULL, NULL, NULL, 'F-BOX AND LEUCINE-RICH REPEAT PROTEIN 17', 63845);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(120120, 'PTHR23267:SF393', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-12', 63846),
(120121, 'PTHR14768:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN PMIS2', 63847),
(120122, 'PTHR20961:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63848),
(120123, 'PTHR31651:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63849),
(120124, 'PTHR11994:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11', 63850),
(120125, 'PTHR42924:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63851),
(120126, 'PTHR43840:SF2', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 9', 63852),
(120127, 'PTHR31378:SF20', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', 63853),
(120128, 'PTHR31087:SF76', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 8-LIKE', 63854),
(120129, 'PTHR48022:SF17', NULL, NULL, NULL, NULL, 'HEXOSE TRANSPORTER-RELATED', 63855),
(120130, 'PTHR10083:SF353', NULL, NULL, NULL, NULL, 'SALIVARY GLAND PEPTIDE, PUTATIVE-RELATED', 63856),
(120131, 'PTHR42850:SF9', NULL, NULL, NULL, NULL, 'SLL1387 PROTEIN', 63857),
(120132, 'PTHR47926:SF94', NULL, NULL, NULL, NULL, 'OS08G0511000 PROTEIN', 63858),
(120133, 'PTHR33110:SF69', NULL, NULL, NULL, NULL, 'OS02G0318200 PROTEIN', 63859),
(120134, 'PTHR31722:SF56', NULL, NULL, NULL, NULL, 'BNAC03G73740D PROTEIN', 63860),
(120135, 'PTHR12603:SF4', NULL, NULL, NULL, NULL, 'OS01G0209500 PROTEIN', 63861),
(120136, 'PTHR22427:SF7', NULL, NULL, NULL, NULL, 'GH15728P', 63862),
(120137, 'PTHR18964:SF168', NULL, NULL, NULL, NULL, 'N-ACETYLMANNOSAMINE KINASE', 63863),
(120138, 'PTHR14865:SF2', NULL, NULL, NULL, NULL, 'CST COMPLEX SUBUNIT CTC1', 63864),
(120139, 'PTHR20914', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 8', 63865),
(120140, 'PTHR13282:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63866),
(120141, 'PTHR14221:SF30', NULL, NULL, NULL, NULL, 'SIMILARITY TO UNKNOWN PROTEIN', 63867),
(120142, 'PTHR43808:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63868),
(120143, 'PTHR21092', NULL, NULL, NULL, NULL, 'NICASTRIN', 63869),
(120144, 'PTHR43968', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 63870),
(120145, 'PTHR45655:SF12', NULL, NULL, NULL, NULL, 'SOLUBLE GUANYLATE CYCLASE GCY-34', 63871),
(120146, 'PTHR12411:SF789', NULL, NULL, NULL, NULL, 'BNAA09G28660D PROTEIN', 63872),
(120147, 'PTHR23279', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE  DPR -RELATED', 63873),
(120148, 'PTHR45633:SF27', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60-2, MITOCHONDRIAL-LIKE ISOFORM X1', 63874),
(120149, 'PTHR46559:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63875),
(120150, 'PTHR23070:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63876),
(120151, 'PTHR11822:SF22', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', 63877),
(120152, 'PTHR31465:SF34', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00480)-RELATED', 63878),
(120153, 'PTHR10732:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63879),
(120154, 'PTHR33710:SF25', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', 63880),
(120155, 'PTHR33102:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63881),
(120156, 'PTHR31734:SF180', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 63882),
(120157, 'PTHR32487:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63883),
(120158, 'PTHR31448', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 2', 63884),
(120159, 'PTHR35124:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 63885),
(120160, 'PTHR41394:SF6', NULL, NULL, NULL, NULL, 'SLC41 DIVALENT CATION TRANSPORTERS, INTEGRAL MEMBRANE DOMAIN', 63886),
(120161, 'PTHR24089:SF463', NULL, NULL, NULL, NULL, 'GRAVES DISEASE MITOCHONDRIAL SOLUTE CARRIER PROTEIN-LIKE', 63887),
(120162, 'PTHR10694:SF119', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 4A', 63888),
(120163, 'PTHR31561:SF116', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 63889),
(120164, 'PTHR22802:SF398', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING PROTEIN 160', 63890); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(120165, 'PTHR19271:SF22', NULL, NULL, NULL, NULL, 'CYTOCHROME B6/F COMPLEX, SUBUNIT IV-RELATED', 63891),
(120166, 'PTHR46631:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63892),
(120167, 'PTHR11049:SF3', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A THIOESTERASE', 63893),
(120168, 'PTHR33967:SF1', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR4', 63894),
(120169, 'PTHR34856', NULL, NULL, NULL, NULL, 'PROTEIN NRFD', 63895),
(120170, 'PTHR40044:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 63896),
(120171, 'PTHR31867:SF30', NULL, NULL, NULL, NULL, 'EXPANSIN-A8', 63897),
(120172, 'PTHR43995:SF5', NULL, NULL, NULL, NULL, 'BNAC04G11150D PROTEIN', 63898),
(120173, 'PTHR23267:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63899),
(120174, 'PTHR47956:SF45', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B7', 63900),
(120175, 'PTHR24107:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63901),
(120176, 'PTHR43880:SF20', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 6', 63902),
(120177, 'PTHR33085:SF49', NULL, NULL, NULL, NULL, 'OS03G0778800 PROTEIN', 63903),
(120178, 'PTHR36349:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CLAVATA 3', 63904),
(120179, 'PTHR12956:SF22', NULL, NULL, NULL, NULL, 'OS06G0724300 PROTEIN', 63905),
(120180, 'PTHR10972:SF181', NULL, NULL, NULL, NULL, 'LD10220P', 63906),
(120181, 'PTHR24282:SF182', NULL, NULL, NULL, NULL, 'CYTOCHROME', 63907),
(120182, 'PTHR11909:SF191', NULL, NULL, NULL, NULL, 'PROTEIN CBG09188', 63908),
(120183, 'PTHR43179', NULL, NULL, NULL, NULL, 'RHAMNOSYLTRANSFERASE WBBL', 63909),
(120184, 'PTHR11879:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63910),
(120185, 'PTHR35111:SF6', NULL, NULL, NULL, NULL, 'BNAA08G31210D PROTEIN', 63911),
(120186, 'PTHR19300:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63912),
(120187, 'PTHR31288:SF30', NULL, NULL, NULL, NULL, 'BNAC06G04700D PROTEIN', 63913),
(120188, 'PTHR24401', NULL, NULL, NULL, NULL, 'SI:CH211-243P7.3-RELATED', 63914),
(120189, 'PTHR10309:SF8', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE', 63915),
(120190, 'PTHR35273', NULL, NULL, NULL, NULL, 'ALPHA-1,4 POLYGALACTOSAMINIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07890)-RELATED', 63916),
(120191, 'PTHR42847:SF8', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 63917),
(120192, 'PTHR23023:SF85', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', 63918),
(120193, 'PTHR19877:SF9', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT I', 63919),
(120194, 'PTHR24298:SF811', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 63920),
(120195, 'PTHR14139:SF6', NULL, NULL, NULL, NULL, 'CALSYNTENIN 2', 63921),
(120196, 'PTHR48209', NULL, NULL, NULL, NULL, 'AGL056WP', 63922),
(120197, 'PTHR35306:SF1', NULL, NULL, NULL, NULL, 'BNAA03G57290D PROTEIN', 63923),
(120198, 'PTHR43004:SF3', NULL, NULL, NULL, NULL, 'P-HYDROXYBENZOATE HYDROXYLASE', 63924),
(120199, 'PTHR32002:SF56', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', 63925),
(120200, 'PTHR12675:SF3', NULL, NULL, NULL, NULL, 'MUSCLEBLIND-LIKE PROTEIN 3', 63926),
(120201, 'PTHR11932:SF141', NULL, NULL, NULL, NULL, 'CULLIN-1-LIKE ISOFORM X1', 63927),
(120202, 'PTHR33391:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME B559 SUBUNIT BETA', 63928),
(120203, 'PTHR23510:SF66', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YAJR', 63929),
(120204, 'PTHR46051:SF7', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 1B', 63930),
(120205, 'PTHR33624:SF23', NULL, NULL, NULL, NULL, 'VQ MOTIF FAMILY PROTEIN EXPRESSED', 63931),
(120206, 'PTHR35402:SF2', NULL, NULL, NULL, NULL, 'FLAGELLA ACCESSORY PROTEIN J', 63932),
(120207, 'PTHR31692:SF25', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE A4', 63933),
(120208, 'PTHR15071:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63934),
(120209, 'PTHR35125:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PATRONUS 1', 63935),
(120210, 'PTHR32468:SF95', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE', 63936),
(120211, 'PTHR15486:SF56', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 3-RELATED', 63937);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(120212, 'PTHR12977:SF14', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 63938),
(120213, 'PTHR45658:SF61', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 14', 63939),
(120214, 'PTHR12956:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63940),
(120215, 'PTHR43537:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 63941),
(120216, 'PTHR22888:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63942),
(120217, 'PTHR34237', NULL, NULL, NULL, NULL, 'PAREP8-RELATED', 63943),
(120218, 'PTHR27007:SF342', NULL, NULL, NULL, NULL, 'OS07G0133100 PROTEIN', 63944),
(120219, 'PTHR32278:SF61', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, PHLOEM PROTEIN 2-LIKE PROTEIN-RELATED', 63945),
(120220, 'PTHR32444:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63946),
(120221, 'PTHR46471:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE', 63947),
(120222, 'PTHR46871', NULL, NULL, NULL, NULL, 'BROMO-ADJACENT HOMOLOGY (BAH) DOMAIN-CONTAINING PROTEIN', 63948),
(120223, 'PTHR13627:SF31', NULL, NULL, NULL, NULL, 'FUKUTIN-RELATED PROTEIN', 63949),
(120224, 'PTHR46223:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE-RELATED', 63950),
(120225, 'PTHR31549:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63951),
(120226, 'PTHR48027:SF1', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 3 MITOCHONDRIAL', 63952),
(120227, 'PTHR13462:SF17', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN 4, MITOCHONDRIAL', 63953),
(120228, 'PTHR11525:SF1', NULL, NULL, NULL, NULL, 'FARNESYL DIPHOSPHATE SYNTHASE DDB_G0268742-RELATED', 63954),
(120229, 'PTHR47925:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63955),
(120230, 'PTHR13691:SF48', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L8', 63956),
(120231, 'PTHR32382:SF63', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN 2-RELATED', 63957),
(120232, 'PTHR19375:SF413', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 18-RELATED', 63958),
(120233, 'PTHR11486:SF144', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', 63959),
(120234, 'PTHR21649:SF16', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN CP26, CHLOROPLASTIC', 63960),
(120235, 'PTHR45640:SF29', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', 63961),
(120236, 'PTHR30302', NULL, NULL, NULL, NULL, 'HYDROGENASE 1 MATURATION PROTEASE', 63962),
(120237, 'PTHR24056:SF467', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63963),
(120238, 'PTHR12980:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 9', 63964),
(120239, 'PTHR39104:SF1', NULL, NULL, NULL, NULL, 'AMINO ACID-LIGASE', 63965),
(120240, 'PTHR23267:SF120', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 7-46', 63966),
(120241, 'PTHR46038:SF2', NULL, NULL, NULL, NULL, 'OS07G0294800 PROTEIN', 63967),
(120242, 'PTHR22835:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 63968),
(120243, 'PTHR31859:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 39C', 63969),
(120244, 'PTHR31951:SF26', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS RELATED FAMILY', 63970),
(120245, 'PTHR43829:SF15', NULL, NULL, NULL, NULL, 'AQUAPORIN-7', 63971),
(120246, 'PTHR10127:SF826', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-25', 63972),
(120247, 'PTHR21040:SF11', NULL, NULL, NULL, NULL, 'HEXOSAMINIDASE', 63973),
(120248, 'PTHR46502:SF2', NULL, NULL, NULL, NULL, '16 KDA PHLOEM PROTEIN 2', 63974),
(120249, 'PTHR31509:SF92', NULL, NULL, NULL, NULL, 'DUF793 FAMILY PROTEIN', 63975),
(120250, 'PTHR10676:SF387', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN AT 62B', 63976),
(120251, 'PTHR43329:SF83', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', 63977),
(120252, 'PTHR28228', NULL, NULL, NULL, NULL, 'SECRETORY COMPONENT PROTEIN SHR3', 63978),
(120253, 'PTHR43131:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE', 63979),
(120254, 'PTHR35473:SF3', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', 63980),
(120255, 'PTHR15710:SF82', NULL, NULL, NULL, NULL, 'BNAC05G32760D PROTEIN', 63981),
(120256, 'PTHR43591:SF50', NULL, NULL, NULL, NULL, 'N-METHYLTRANSFERASE GLIN', 63982);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(120257, 'PTHR39757:SF6', NULL, NULL, NULL, NULL, 'BNAC09G53690D PROTEIN', 63983),
(120258, 'PTHR35523:SF1', NULL, NULL, NULL, NULL, 'CELL WALL PROTEIN SED1', 63984),
(120259, 'PTHR46786:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER MATRIN-TYPE PROTEIN 3', 63985),
(120260, 'PTHR23262:SF202', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-3', 63986),
(120261, 'PTHR32191:SF46', NULL, NULL, NULL, NULL, 'TETRASPANIN-3', 63987),
(120262, 'PTHR33429:SF35', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 63988),
(120263, 'PTHR26452:SF193', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 63989),
(120264, 'PTHR34559:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 8', 63990),
(120265, 'PTHR24286:SF254', NULL, NULL, NULL, NULL, '3-EPI-6-DEOXOCATHASTERONE 23-MONOOXYGENASE CYP90C1', 63991),
(120266, 'PTHR33021:SF369', NULL, NULL, NULL, NULL, 'BNAC09G42260D PROTEIN', 63992),
(120267, 'PTHR11654:SF409', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.5-LIKE', 63993),
(120268, 'PTHR23328:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF169', 63994),
(120269, 'PTHR22950:SF150', NULL, NULL, NULL, NULL, 'FI17861P1', 63995),
(120270, 'PTHR11011:SF85', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 63996),
(120271, 'PTHR16138', NULL, NULL, NULL, NULL, 'MYCOPHENOLIC ACID ACYL-GLUCURONIDE ESTERASE, MITOCHONDRIAL', 63997),
(120272, 'PTHR22950:SF648', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', 63998),
(120273, 'PTHR13293:SF9', NULL, NULL, NULL, NULL, 'AKIRIN-1', 63999),
(120274, 'PTHR34660:SF12', NULL, NULL, NULL, NULL, 'GLUTAMIC ACID-RICH PROTEIN-LIKE', 64000),
(120275, 'PTHR34045:SF13', NULL, NULL, NULL, NULL, 'BNAC05G14780D PROTEIN', 64001),
(120276, 'PTHR24216:SF46', NULL, NULL, NULL, NULL, 'GH01042P-RELATED', 64002),
(120277, 'PTHR35010:SF2', NULL, NULL, NULL, NULL, 'BLL4672 PROTEIN', 64003),
(120278, 'PTHR46431:SF2', NULL, NULL, NULL, NULL, 'OS07G0634000 PROTEIN', 64004),
(120279, 'PTHR45628:SF5', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT R-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1E', 64005),
(120280, 'PTHR23423:SF72', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER OSTALPHA PROTEIN (DUF300)', 64006),
(120281, 'PTHR24064:SF283', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 5', 64007),
(120282, 'PTHR19353:SF69', NULL, NULL, NULL, NULL, 'BNAA09G39290D PROTEIN', 64008),
(120283, 'PTHR31385:SF14', NULL, NULL, NULL, NULL, 'BNAA09G05820D PROTEIN', 64009),
(120284, 'PTHR31852:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64010),
(120285, 'PTHR24186:SF18', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 64011),
(120286, 'PTHR31221:SF38', NULL, NULL, NULL, NULL, 'OS01G0842801 PROTEIN', 64012),
(120287, 'PTHR31948:SF79', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 7', 64013),
(120288, 'PTHR46683:SF1', NULL, NULL, NULL, NULL, 'OROTATE PHOSPHORIBOSYLTRANSFERASE 1-RELATED', 64014),
(120289, 'PTHR31190:SF232', NULL, NULL, NULL, NULL, 'AP2/ERF DOMAIN PROTEIN', 64015),
(120290, 'PTHR46879:SF1', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 3', 64016),
(120291, 'PTHR47357:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64017),
(120292, 'PTHR22762:SF122', NULL, NULL, NULL, NULL, 'MALTASE-GLUCOAMYLASE 2-RELATED', 64018),
(120293, 'PTHR10722:SF25', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', 64019),
(120294, 'PTHR31301:SF124', NULL, NULL, NULL, NULL, 'BNAANNG38890D PROTEIN', 64020),
(120295, 'PTHR11732:SF467', NULL, NULL, NULL, NULL, 'OSJNBA0064H22.3 PROTEIN', 64021),
(120296, 'PTHR30622:SF2', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-DIPHOSPHATASE', 64022),
(120297, 'PTHR33699:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64023),
(120298, 'PTHR11909:SF393', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE', 64024),
(120299, 'PTHR33735:SF14', NULL, NULL, NULL, NULL, 'PHAGE CAPSID SCAFFOLDING PROTEIN (GPO) SERINE PEPTIDASE', 64025),
(120300, 'PTHR43178:SF1', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE COMPONENT 3 OF PYRUVATE DEHYDROGENASE COMPLEX, MITOCHONDRIAL', 64026),
(120301, 'PTHR33976:SF7', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN MEMBRANE GPI-ANCHORED PROTEIN', 64027);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(120302, 'PTHR33972:SF18', NULL, NULL, NULL, NULL, 'BNAC05G12850D PROTEIN', 64028),
(120303, 'PTHR12992:SF26', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 15, MITOCHONDRIAL-LIKE', 64029),
(120304, 'PTHR23226:SF177', NULL, NULL, NULL, NULL, 'PATERNALLY-EXPRESSED GENE 3 PROTEIN', 64030),
(120305, 'PTHR23084:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64031),
(120306, 'PTHR21109:SF15', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S21', 64032),
(120307, 'PTHR23266:SF300', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64033),
(120308, 'PTHR46435', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECTD4-RELATED', 64034),
(120309, 'PTHR38081:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64035),
(120310, 'PTHR35304:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64036),
(120311, 'PTHR35631:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64037),
(120312, 'PTHR47255:SF12', NULL, NULL, NULL, NULL, 'BNAA10G10940D PROTEIN', 64038),
(120313, 'PTHR45967:SF16', NULL, NULL, NULL, NULL, 'G-BOX-BINDING FACTOR 1-LIKE ISOFORM X1', 64039),
(120314, 'PTHR34806:SF4', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER-ACTIVATING PROTEIN 2.2-RELATED', 64040),
(120315, 'PTHR31288:SF26', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', 64041),
(120316, 'PTHR31973:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64042),
(120317, 'PTHR46415:SF1', NULL, NULL, NULL, NULL, 'DCC-INTERACTING PROTEIN 13-BETA', 64043),
(120318, 'PTHR32002:SF51', NULL, NULL, NULL, NULL, 'BNAC04G48980D PROTEIN', 64044),
(120319, 'PTHR34652', NULL, NULL, NULL, NULL, 'AGAP002134-PA', 64045),
(120320, 'PTHR13890:SF39', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-5', 64046),
(120321, 'PTHR34697', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL LYSYLTRANSFERASE', 64047),
(120322, 'PTHR31769:SF64', NULL, NULL, NULL, NULL, 'OSJNBA0064G10.22 PROTEIN', 64048),
(120323, 'PTHR46387:SF28', NULL, NULL, NULL, NULL, 'RNASE H FAMILY PROTEIN', 64049),
(120324, 'PTHR12479:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG16844', 64050),
(120325, 'PTHR11814:SF17', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 26 MEMBER 9', 64051),
(120326, 'PTHR11206:SF398', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 64052),
(120327, 'PTHR23291:SF32', NULL, NULL, NULL, NULL, 'GROWTH HORMONE-INDUCIBLE TRANSMEMBRANE PROTEIN', 64053),
(120328, 'PTHR31321:SF31', NULL, NULL, NULL, NULL, 'PECTINESTERASE QRT1', 64054),
(120329, 'PTHR11945:SF449', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL16', 64055),
(120330, 'PTHR11362:SF96', NULL, NULL, NULL, NULL, 'FTC', 64056),
(120331, 'PTHR12461:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64057),
(120332, 'PTHR16254:SF21', NULL, NULL, NULL, NULL, 'BNAA07G01130D PROTEIN', 64058),
(120333, 'PTHR10517:SF21', NULL, NULL, NULL, NULL, 'RIBOFLAVIN-BINDING PROTEIN', 64059),
(120334, 'PTHR16172:SF37', NULL, NULL, NULL, NULL, 'RE36877P', 64060),
(120335, 'PTHR31618:SF15', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 6-RELATED', 64061),
(120336, 'PTHR24349:SF389', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 6', 64062),
(120337, 'PTHR10283', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 13 MEMBER', 64063),
(120338, 'PTHR32494:SF5', NULL, NULL, NULL, NULL, 'ALLANTOATE DEIMINASE-RELATED', 64064),
(120339, 'PTHR35282:SF2', NULL, NULL, NULL, NULL, 'F5D14.24 PROTEIN', 64065),
(120340, 'PTHR24055:SF153', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 64066),
(120341, 'PTHR35501:SF6', NULL, NULL, NULL, NULL, 'BNAC09G28270D PROTEIN', 64067),
(120342, 'PTHR48233:SF1', NULL, NULL, NULL, NULL, 'MUCIN 4B, ISOFORM B-RELATED', 64068),
(120343, 'PTHR11599:SF169', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 64069),
(120344, 'PTHR10977', NULL, NULL, NULL, NULL, 'DIPHOSPHOMEVALONATE DECARBOXYLASE', 64070),
(120345, 'PTHR48002:SF93', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 64071),
(120346, 'PTHR47294:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 64072),
(120347, 'PTHR23050:SF392', NULL, NULL, NULL, NULL, 'CALMODULIN-RELATED PROTEIN 97A-LIKE', 64073);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(120348, 'PTHR45881', NULL, NULL, NULL, NULL, 'CHECKPOINT SUPPRESSOR 1-LIKE, ISOFORM A-RELATED', 64074),
(120349, 'PTHR30329:SF14', NULL, NULL, NULL, NULL, 'STATOR-FORCE GENERATOR OF NA+ COUPLED FLAGELLAR MOTOR POMB', 64075),
(120350, 'PTHR32021:SF16', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5A2', 64076),
(120351, 'PTHR23405:SF5', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 7 HOMOLOG', 64077),
(120352, 'PTHR12603:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 64078),
(120353, 'PTHR10414:SF27', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOLAMINEPHOSPHOTRANSFERASE 1', 64079),
(120354, 'PTHR40621:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAPC-RELATED', 64080),
(120355, 'PTHR44328:SF12', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE L3', 64081),
(120356, 'PTHR42893:SF20', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 64082),
(120357, 'PTHR24567:SF31', NULL, NULL, NULL, NULL, 'GLOBAL NITROGEN REGULATOR', 64083),
(120358, 'PTHR48005:SF21', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE CORYNE', 64084),
(120359, 'PTHR31509:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64085),
(120360, 'PTHR45638:SF1', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL SUBUNIT B, ISOFORM A', 64086),
(120361, 'PTHR47594:SF5', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 64087),
(120362, 'PTHR33085:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64088),
(120363, 'PTHR31992', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.4-RELATED', 64089),
(120364, 'PTHR13778:SF57', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 10-RELATED', 64090),
(120365, 'PTHR31009:SF97', NULL, NULL, NULL, NULL, 'BENZOATE CARBOXYL METHYLTRANSFERASE-RELATED', 64091),
(120366, 'PTHR46995:SF4', NULL, NULL, NULL, NULL, 'OS09G0508200 PROTEIN', 64092),
(120367, 'PTHR18919:SF141', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE, CYTOSOLIC 1-LIKE', 64093),
(120368, 'PTHR11934', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE', 64094),
(120369, 'PTHR48020:SF22', NULL, NULL, NULL, NULL, 'MYO-INOSITOL TRANSPORTER (AFU_ORTHOLOGUE AFUA_2G07910)', 64095),
(120370, 'PTHR35869', NULL, NULL, NULL, NULL, 'OUTER-MEMBRANE LIPOPROTEIN CARRIER PROTEIN', 64096),
(120371, 'PTHR31639:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64097),
(120372, 'PTHR22957:SF495', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 13-LIKE', 64098),
(120373, 'PTHR15615:SF99', NULL, NULL, NULL, NULL, 'CYCLIN', 64099),
(120374, 'PTHR35501:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YY1', 64100),
(120375, 'PTHR24115:SF399', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF18A', 64101),
(120376, 'PTHR48011:SF61', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 16', 64102),
(120377, 'PTHR11654:SF20', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.13', 64103),
(120378, 'PTHR46050:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64104),
(120379, 'PTHR22996:SF8', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', 64105),
(120380, 'PTHR22835:SF522', NULL, NULL, NULL, NULL, 'BNACNNG44680D PROTEIN', 64106),
(120381, 'PTHR47980:SF39', NULL, NULL, NULL, NULL, 'OS07G0239400 PROTEIN', 64107),
(120382, 'PTHR12843:SF2', NULL, NULL, NULL, NULL, 'EEF1A LYSINE METHYLTRANSFERASE 2', 64108),
(120383, 'PTHR30031:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64109),
(120384, 'PTHR31495:SF33', NULL, NULL, NULL, NULL, 'PEROXYGENASE 4-RELATED', 64110),
(120385, 'PTHR34067:SF11', NULL, NULL, NULL, NULL, 'OS04G0193200 PROTEIN', 64111),
(120386, 'PTHR21495:SF215', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 64112),
(120387, 'PTHR33286:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64113),
(120388, 'PTHR46662:SF44', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 64114),
(120389, 'PTHR26453:SF190', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 64115),
(120390, 'PTHR47953:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 64116),
(120391, 'PTHR11550:SF36', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', 64117);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(120392, 'PTHR18956:SF6', NULL, NULL, NULL, NULL, 'HYALURONAN MEDIATED MOTILITY RECEPTOR', 64118),
(120393, 'PTHR33128:SF15', NULL, NULL, NULL, NULL, 'OS01G0101900 PROTEIN', 64119),
(120394, 'PTHR10985:SF78', NULL, NULL, NULL, NULL, 'HAIRY/ENHANCER-OF-SPLIT RELATED WITH YRPW MOTIF PROTEIN 1', 64120),
(120395, 'PTHR31221:SF184', NULL, NULL, NULL, NULL, 'BNACNNG75330D PROTEIN', 64121),
(120396, 'PTHR22835:SF273', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 2', 64122),
(120397, 'PTHR34821:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YDCZ', 64123),
(120398, 'PTHR48007:SF5', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 3', 64124),
(120399, 'PTHR13462:SF44', NULL, NULL, NULL, NULL, 'BNAC02G48870D PROTEIN', 64125),
(120400, 'PTHR10806:SF31', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', 64126),
(120401, 'PTHR35043:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64127),
(120402, 'PTHR11548:SF2', NULL, NULL, NULL, NULL, 'THYMIDYLATE SYNTHASE', 64128),
(120403, 'PTHR34379:SF13', NULL, NULL, NULL, NULL, 'VITELLOGENIN-2-LIKE', 64129),
(120404, 'PTHR48018:SF133', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AL1', 64130),
(120405, 'PTHR38605:SF1', NULL, NULL, NULL, NULL, 'ATPASE-RELATED', 64131),
(120406, 'PTHR11802:SF98', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE CPVL-RELATED', 64132),
(120407, 'PTHR46045:SF18', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 64133),
(120408, 'PTHR23291:SF18', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 2', 64134),
(120409, 'PTHR22902:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64135),
(120410, 'PTHR46109', NULL, NULL, NULL, NULL, 'PROTEIN LIN-28', 64136),
(120411, 'PTHR21581:SF27', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE DACA', 64137),
(120412, 'PTHR13304:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64138),
(120413, 'PTHR11785:SF498', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY METHIONINE PERMEASE', 64139),
(120414, 'PTHR10353', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE', 64140),
(120415, 'PTHR11683:SF15', NULL, NULL, NULL, NULL, 'DMALPHA2B', 64141),
(120416, 'PTHR10218:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64142),
(120417, 'PTHR45733:SF15', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 64143),
(120418, 'PTHR46072:SF7', NULL, NULL, NULL, NULL, 'AMIDASE GMDA, PUTATIVE-RELATED', 64144),
(120419, 'PTHR46429:SF1', NULL, NULL, NULL, NULL, '23S RRNA (GUANOSINE-2''-O-)-METHYLTRANSFERASE RLMB', 64145),
(120420, 'PTHR15315:SF64', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 151', 64146),
(120421, 'PTHR24377:SF777', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 471', 64147),
(120422, 'PTHR11863:SF195', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROXYLASE SUPERFAMILY-RELATED', 64148),
(120423, 'PTHR11362:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64149),
(120424, 'PTHR45826:SF18', NULL, NULL, NULL, NULL, 'OS03G0375900 PROTEIN', 64150),
(120425, 'PTHR10270:SF113', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-11', 64151),
(120426, 'PTHR45998:SF7', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE KINASE, GAMMA CATALYTIC SUBUNIT-RELATED', 64152),
(120427, 'PTHR46128:SF29', NULL, NULL, NULL, NULL, 'BNACNNG68030D PROTEIN', 64153),
(120428, 'PTHR31889:SF65', NULL, NULL, NULL, NULL, 'BNAA09G45820D PROTEIN', 64154),
(120429, 'PTHR45621:SF74', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIX7-RELATED', 64155),
(120430, 'PTHR10153:SF34', NULL, NULL, NULL, NULL, 'KCNN (POTASSIUM K CHANNEL, CALCIUM ACTIVATED)-LIKE', 64156),
(120431, 'PTHR21454:SF37', NULL, NULL, NULL, NULL, 'BNAA05G27300D PROTEIN', 64157),
(120432, 'PTHR21093:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64158),
(120433, 'PTHR15065', NULL, NULL, NULL, NULL, 'INSULINOMA-ASSOCIATED 1', 64159),
(120434, 'PTHR24364:SF16', NULL, NULL, NULL, NULL, 'TROPHOBLAST GLYCOPROTEIN-LIKE', 64160),
(120435, 'PTHR43859:SF45', NULL, NULL, NULL, NULL, 'BENZOYLOXYGLUCOSINOLATE 1-RELATED', 64161),
(120436, 'PTHR24264:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64162),
(120437, 'PTHR11467:SF21', NULL, NULL, NULL, NULL, 'HISTONE H1X', 64163);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(120438, 'PTHR28602:SF1', NULL, NULL, NULL, NULL, 'ENDOTHELIAL CELL-SPECIFIC CHEMOTAXIS REGULATOR', 64164),
(120439, 'PTHR45676:SF98', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL2', 64165),
(120440, 'PTHR31942:SF106', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 64166),
(120441, 'PTHR21461:SF72', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 64167),
(120442, 'PTHR10108:SF1139', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 64168),
(120443, 'PTHR33191:SF19', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN GRIP22', 64169),
(120444, 'PTHR34191:SF20', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', 64170),
(120445, 'PTHR47989:SF38', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', 64171),
(120446, 'PTHR31917:SF77', NULL, NULL, NULL, NULL, 'DUF724 DOMAIN-CONTAINING PROTEIN 2', 64172),
(120447, 'PTHR46883', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 12 PROTEIN', 64173),
(120448, 'PTHR19317:SF81', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN D', 64174),
(120449, 'PTHR36027:SF1', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC PROTEIN ASY3', 64175),
(120450, 'PTHR31496:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB-HB-LIKE FAMILY-RELATED', 64176),
(120451, 'PTHR47215:SF6', NULL, NULL, NULL, NULL, 'BNAC05G11450D PROTEIN', 64177),
(120452, 'PTHR10621:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64178),
(120453, 'PTHR33115:SF24', NULL, NULL, NULL, NULL, 'OS01G0522400 PROTEIN', 64179),
(120454, 'PTHR24423:SF629', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', 64180),
(120455, 'PTHR43650', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE', 64181),
(120456, 'PTHR16320:SF8', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE 3', 64182),
(120457, 'PTHR19961:SF64', NULL, NULL, NULL, NULL, 'FIMBRIN-3', 64183),
(120458, 'PTHR11615:SF252', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 2', 64184),
(120459, 'PTHR31790:SF333', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 8-LIKE', 64185),
(120460, 'PTHR48017:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64186),
(120461, 'PTHR13402:SF22', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16', 64187),
(120462, 'PTHR19346:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 64188),
(120463, 'PTHR24960:SF68', NULL, NULL, NULL, NULL, 'IRON ONLY HYDROGENASE LARGE SUBUNIT, C-TERMINAL DOMAIN CONTAINING PROTEIN', 64189),
(120464, 'PTHR46214:SF20', NULL, NULL, NULL, NULL, 'BNAC04G26610D PROTEIN', 64190),
(120465, 'PTHR16015:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 51', 64191),
(120466, 'PTHR22943:SF49', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 64192),
(120467, 'PTHR26450:SF123', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52H1', 64193),
(120468, 'PTHR46758:SF9', NULL, NULL, NULL, NULL, 'HCP FAMILY PROTEIN WITH MYND-TYPE ZINC FINGER PROTEIN', 64194),
(120469, 'PTHR22791:SF3', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 208', 64195),
(120470, 'PTHR33199:SF12', NULL, NULL, NULL, NULL, 'MACPF DOMAIN-CONTAINING PROTEIN', 64196),
(120471, 'PTHR31707:SF210', NULL, NULL, NULL, NULL, 'OS01G0704000 PROTEIN', 64197),
(120472, 'PTHR24012:SF745', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64198),
(120473, 'PTHR18863', NULL, NULL, NULL, NULL, 'TSEC-2-RELATED', 64199),
(120474, 'PTHR10030:SF2', NULL, NULL, NULL, NULL, 'TISSUE ALPHA-L-FUCOSIDASE', 64200),
(120475, 'PTHR10366:SF682', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 64201),
(120476, 'PTHR45693:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA7', 64202),
(120477, 'PTHR45722:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64203),
(120478, 'PTHR30472:SF23', NULL, NULL, NULL, NULL, 'IRON-UPTAKE SYSTEM PERMEASE PROTEIN FEUC', 64204),
(120479, 'PTHR35679', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4933402J07 GENE', 64205),
(120480, 'PTHR43255:SF2', NULL, NULL, NULL, NULL, 'HETERODISULFIDE REDUCTASE RELATED PROTEIN', 64206),
(120481, 'PTHR11324:SF8', NULL, NULL, NULL, NULL, 'BIG BANG, ISOFORM C', 64207);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(120482, 'PTHR43176:SF25', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE 1-LIKE', 64208),
(120483, 'PTHR11909:SF411', NULL, NULL, NULL, NULL, 'ZINC FINGER PUTATIVE TRANSCRIPTION FACTOR-RELATED', 64209),
(120484, 'PTHR13800:SF1', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL TRPM', 64210),
(120485, 'PTHR24377:SF895', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 529', 64211),
(120486, 'PTHR15924:SF11', NULL, NULL, NULL, NULL, 'RNA TRANSCRIPTION, TRANSLATION AND TRANSPORT FACTOR PROTEIN', 64212),
(120487, 'PTHR10209:SF546', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 4-LIKE', 64213),
(120488, 'PTHR31625:SF62', NULL, NULL, NULL, NULL, 'BNAC06G12660D PROTEIN', 64214),
(120489, 'PTHR33076:SF130', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 64215),
(120490, 'PTHR10803:SF20', NULL, NULL, NULL, NULL, 'ATPASE LOC107812171', 64216),
(120491, 'PTHR22835:SF606', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64217),
(120492, 'PTHR11742:SF29', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 64218),
(120493, 'PTHR24223:SF388', NULL, NULL, NULL, NULL, 'OS05G0196100 PROTEIN', 64219),
(120494, 'PTHR12001:SF55', NULL, NULL, NULL, NULL, 'DECAPRENYL-DIPHOSPHATE SYNTHASE SUBUNIT 2', 64220),
(120495, 'PTHR33147:SF94', NULL, NULL, NULL, NULL, 'BNAC04G53180D PROTEIN', 64221),
(120496, 'PTHR34835:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64222),
(120497, 'PTHR31126:SF51', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE DSP4-RELATED', 64223),
(120498, 'PTHR13516:SF4', NULL, NULL, NULL, NULL, 'FI09323P', 64224),
(120499, 'PTHR46325:SF16', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC1', 64225),
(120500, 'PTHR36861:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 116', 64226),
(120501, 'PTHR14154:SF93', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER 2', 64227),
(120502, 'PTHR48005:SF16', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', 64228),
(120503, 'PTHR46999:SF2', NULL, NULL, NULL, NULL, 'PYRUVATE PHOSPHATE DIKINASE,PEP/PYRUVATE-BINDING', 64229),
(120504, 'PTHR11908:SF149', NULL, NULL, NULL, NULL, 'BNAA06G20180D PROTEIN', 64230),
(120505, 'PTHR27009:SF210', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK3', 64231),
(120506, 'PTHR10739:SF47', NULL, NULL, NULL, NULL, 'OS08G0161800 PROTEIN', 64232),
(120507, 'PTHR24078:SF556', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ DOMAIN PROTEIN', 64233),
(120508, 'PTHR31662:SF58', NULL, NULL, NULL, NULL, 'BNAA03G60220D PROTEIN', 64234),
(120509, 'PTHR33730:SF20', NULL, NULL, NULL, NULL, 'BNAC05G11720D PROTEIN', 64235),
(120510, 'PTHR42647:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64236),
(120511, 'PTHR48010:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64237),
(120512, 'PTHR31083:SF18', NULL, NULL, NULL, NULL, 'PROTEIN UPSTREAM OF FLC', 64238),
(120513, 'PTHR45768:SF58', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL46-LIKE', 64239),
(120514, 'PTHR31769:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64240),
(120515, 'PTHR33021:SF277', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 64241),
(120516, 'PTHR35724:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CHLORORESPIRATORY REDUCTION 6, CHLOROPLASTIC', 64242),
(120517, 'PTHR16024:SF23', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', 64243),
(120518, 'PTHR24393:SF66', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G02690)-RELATED', 64244),
(120519, 'PTHR43030:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE SYNTHASE', 64245),
(120520, 'PTHR11089:SF30', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN-LIKE 3 HOMOLOG', 64246),
(120521, 'PTHR47958:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64247),
(120522, 'PTHR47416:SF7', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 60', 64248),
(120523, 'PTHR31625:SF55', NULL, NULL, NULL, NULL, 'MALONYL-COENZYME A:ANTHOCYANIN 3-O-GLUCOSIDE-6''''-O-MALONYLTRANSFERASE-LIKE', 64249),
(120524, 'PTHR43421:SF1', NULL, NULL, NULL, NULL, 'METALLOPROTEASE PMBA', 64250);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(120525, 'PTHR31953:SF52', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV4', 64251),
(120526, 'PTHR45801:SF64', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SUPERMAN', 64252),
(120527, 'PTHR46561:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA/BETA-14', 64253),
(120528, 'PTHR33147:SF39', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 10-RELATED', 64254),
(120529, 'PTHR24296:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 86A7', 64255),
(120530, 'PTHR12119', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE COMPLEX UBIQUINONE-BINDING PROTEIN QP-C', 64256),
(120531, 'PTHR30566:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64257),
(120532, 'PTHR31210:SF52', NULL, NULL, NULL, NULL, 'LYSINE KETOGLUTARATE REDUCTASE TRANS-SPLICING PROTEIN', 64258),
(120533, 'PTHR14089:SF8', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MRN1', 64259),
(120534, 'PTHR14463:SF10', NULL, NULL, NULL, NULL, 'LIPASE MATURATION FACTOR 1', 64260),
(120535, 'PTHR31282:SF124', NULL, NULL, NULL, NULL, 'BNAC03G22830D PROTEIN', 64261),
(120536, 'PTHR19211:SF15', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY F MEMBER 2', 64262),
(120537, 'PTHR24296:SF135', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 64263),
(120538, 'PTHR14948:SF18', NULL, NULL, NULL, NULL, 'PROLINE RICH TRANSMEMBRANE PROTEIN 1B', 64264),
(120539, 'PTHR34986:SF1', NULL, NULL, NULL, NULL, 'EVOLVED BETA-GALACTOSIDASE SUBUNIT BETA', 64265),
(120540, 'PTHR14351:SF1', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE KINASE SUBSTRATE', 64266),
(120541, 'PTHR31669:SF219', NULL, NULL, NULL, NULL, 'FAR-RED ELONGATED HYPOCOTYLS 3-RELATED', 64267),
(120542, 'PTHR22573:SF58', NULL, NULL, NULL, NULL, 'BNAA09G30060D PROTEIN', 64268),
(120543, 'PTHR47504', NULL, NULL, NULL, NULL, 'RIGHT ORIGIN-BINDING PROTEIN', 64269),
(120544, 'PTHR11937:SF16', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 5', 64270),
(120545, 'PTHR12585:SF60', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND-BREAK REPAIR PROTEIN RAD21 HOMOLOG A-RELATED', 64271),
(120546, 'PTHR31639:SF69', NULL, NULL, NULL, NULL, 'OS12G0594700 PROTEIN', 64272),
(120547, 'PTHR46180', NULL, NULL, NULL, NULL, 'VINCULIN', 64273),
(120548, 'PTHR47993:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64274),
(120549, 'PTHR31374:SF227', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-INDUCED PROTEIN ARG7-LIKE', 64275),
(120550, 'PTHR43243:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG07007', 64276),
(120551, 'PTHR37799:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S25, MITOCHONDRIAL', 64277),
(120552, 'PTHR46288:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64278),
(120553, 'PTHR23021:SF49', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 64279),
(120554, 'PTHR11071:SF490', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE A', 64280),
(120555, 'PTHR32227:SF299', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', 64281),
(120556, 'PTHR47993:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64282),
(120557, 'PTHR47260:SF4', NULL, NULL, NULL, NULL, 'MIOREX COMPLEX COMPONENT 3', 64283),
(120558, 'PTHR11905:SF118', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 24', 64284),
(120559, 'PTHR24377:SF612', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 223', 64285),
(120560, 'PTHR47640:SF18', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP45-LIKE', 64286),
(120561, 'PTHR11649:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64287),
(120562, 'PTHR31079:SF20', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 10', 64288),
(120563, 'PTHR10844:SF17', NULL, NULL, NULL, NULL, 'CAVEOLIN', 64289),
(120564, 'PTHR36384', NULL, NULL, NULL, NULL, 'SAWADEE PROTEIN', 64290),
(120565, 'PTHR24416:SF558', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN-TYROSINE KINASE', 64291),
(120566, 'PTHR36494', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 64292),
(120567, 'PTHR14167:SF81', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN 2', 64293),
(120568, 'PTHR42697:SF2', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 8 2-RELATED', 64294);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(120569, 'PTHR37066', NULL, NULL, NULL, NULL, 'HELICASE-ASSOCIATED', 64295),
(120570, 'PTHR11926:SF763', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 64296),
(120571, 'PTHR10476:SF2', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 1B', 64297),
(120572, 'PTHR10896:SF30', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE', 64298),
(120573, 'PTHR31509:SF75', NULL, NULL, NULL, NULL, 'PLANT/F1M20-13 PROTEIN', 64299),
(120574, 'PTHR31790:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64300),
(120575, 'PTHR22835:SF536', NULL, NULL, NULL, NULL, 'OS05G0401000 PROTEIN', 64301),
(120576, 'PTHR11473:SF19', NULL, NULL, NULL, NULL, 'TYROSINE HYDROXYLASE 2', 64302),
(120577, 'PTHR11802:SF379', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 64303),
(120578, 'PTHR43639:SF5', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_6G09140)', 64304),
(120579, 'PTHR23504:SF105', NULL, NULL, NULL, NULL, 'BNACNNG05450D PROTEIN', 64305),
(120580, 'PTHR11875:SF70', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1-LIKE 1', 64306),
(120581, 'PTHR24232:SF41', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 4', 64307),
(120582, 'PTHR15680:SF13', NULL, NULL, NULL, NULL, 'BNAC08G48140D PROTEIN', 64308),
(120583, 'PTHR45671:SF15', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 64309),
(120584, 'PTHR24282:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64310),
(120585, 'PTHR12411:SF762', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE-RELATED', 64311),
(120586, 'PTHR11668:SF246', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 64312),
(120587, 'PTHR16055:SF2', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 10', 64313),
(120588, 'PTHR12588:SF0', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE', 64314),
(120589, 'PTHR15811', NULL, NULL, NULL, NULL, 'MTH938 DOMAIN-CONTAINING PROTEIN', 64315),
(120590, 'PTHR33074:SF79', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 64316),
(120591, 'PTHR37954:SF3', NULL, NULL, NULL, NULL, 'BLL4979 PROTEIN', 64317),
(120592, 'PTHR36530', NULL, NULL, NULL, NULL, 'INHIBITOR OF CYSTEINE PEPTIDASE', 64318),
(120593, 'PTHR42908:SF3', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR-LIKE GTPASE 1', 64319),
(120594, 'PTHR24093:SF424', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 64320),
(120595, 'PTHR24103:SF650', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM22', 64321),
(120596, 'PTHR10209:SF727', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 64322),
(120597, 'PTHR31584:SF1', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P53-INDUCIBLE PROTEIN 11', 64323),
(120598, 'PTHR27006:SF205', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 64324),
(120599, 'PTHR30161:SF2', NULL, NULL, NULL, NULL, 'INVASION PROTEIN INVA', 64325),
(120600, 'PTHR11240:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64326),
(120601, 'PTHR45886:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 64327),
(120602, 'PTHR45709:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64328),
(120603, 'PTHR34093', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL CLIC-LIKE PROTEIN 1', 64329),
(120604, 'PTHR11644:SF25', NULL, NULL, NULL, NULL, 'BNAA03G49610D PROTEIN', 64330),
(120605, 'PTHR34145:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64331),
(120606, 'PTHR30204:SF68', NULL, NULL, NULL, NULL, 'REGULATOR, MERR FAMILY, PUTATIVE-RELATED', 64332),
(120607, 'PTHR24418:SF231', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE SYK', 64333),
(120608, 'PTHR37306:SF1', NULL, NULL, NULL, NULL, 'COLICIN V PRODUCTION PROTEIN', 64334),
(120609, 'PTHR47476', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 64335),
(120610, 'PTHR10836:SF109', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 64336),
(120611, 'PTHR43323:SF6', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', 64337),
(120612, 'PTHR46192:SF2', NULL, NULL, NULL, NULL, 'BROAD-RANGE ACID PHOSPHATASE DET1', 64338),
(120613, 'PTHR33078:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64339);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(120614, 'PTHR47995:SF17', NULL, NULL, NULL, NULL, 'BNAANNG23930D PROTEIN', 64340),
(120615, 'PTHR14199:SF21', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA BREAKPOINT FAMILY MEMBER 6-LIKE PROTEIN ISOFORM X2', 64341),
(120616, 'PTHR23226:SF244', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 343', 64342),
(120617, 'PTHR22849:SF133', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 64343),
(120618, 'PTHR28567:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM53B', 64344),
(120619, 'PTHR33232:SF26', NULL, NULL, NULL, NULL, 'SIEVE ELEMENT OCCLUSION-RELATED', 64345),
(120620, 'PTHR15710:SF114', NULL, NULL, NULL, NULL, 'OS03G0271600 PROTEIN', 64346),
(120621, 'PTHR11474:SF111', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE A, CHLOROPLASTIC', 64347),
(120622, 'PTHR14218:SF37', NULL, NULL, NULL, NULL, 'HYPOTHETICAL TRIPEPTIDYL-PEPTIDASE (EUROFUNG)', 64348),
(120623, 'PTHR11909:SF373', NULL, NULL, NULL, NULL, 'PROTEIN CBG07290', 64349),
(120624, 'PTHR10476:SF57', NULL, NULL, NULL, NULL, 'ESCRT-RELATED PROTEIN CHMP1A-RELATED', 64350),
(120625, 'PTHR43791:SF35', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 64351),
(120626, 'PTHR23098', NULL, NULL, NULL, NULL, 'AGAP001331-PA-RELATED', 64352),
(120627, 'PTHR11877:SF68', NULL, NULL, NULL, NULL, 'OS07G0501100 PROTEIN', 64353),
(120628, 'PTHR20941', NULL, NULL, NULL, NULL, 'FOLATE SYNTHESIS PROTEINS', 64354),
(120629, 'PTHR31637:SF7', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-INDEPENDENT PHOSPHOGLYCERATE MUTASE 2-RELATED', 64355),
(120630, 'PTHR24296:SF163', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 704, SUBFAMILY A, POLYPEPTIDE 1', 64356),
(120631, 'PTHR47294:SF3', NULL, NULL, NULL, NULL, 'OS08G0431150 PROTEIN', 64357),
(120632, 'PTHR11009:SF32', NULL, NULL, NULL, NULL, 'DERLIN-1', 64358),
(120633, 'PTHR10263:SF63', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', 64359),
(120634, 'PTHR24349:SF397', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 13-RELATED', 64360),
(120635, 'PTHR42743:SF11', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE-LIKE PROTEIN 1-RELATED', 64361),
(120636, 'PTHR16266:SF25', NULL, NULL, NULL, NULL, 'BROMODOMAIN AND WD REPEAT-CONTAINING PROTEIN 3', 64362),
(120637, 'PTHR12387:SF1', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 8', 64363),
(120638, 'PTHR24390:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 710', 64364),
(120639, 'PTHR46913:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 64365),
(120640, 'PTHR11461:SF49', NULL, NULL, NULL, NULL, 'PLASMINOGEN ACTIVATOR INHIBITOR 1', 64366),
(120641, 'PTHR32247', NULL, NULL, NULL, NULL, 'DIABLO HOMOLOG, MITOCHONDRIAL', 64367),
(120642, 'PTHR35161:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64368),
(120643, 'PTHR33386:SF5', NULL, NULL, NULL, NULL, 'OS02G0740600 PROTEIN', 64369),
(120644, 'PTHR13085', NULL, NULL, NULL, NULL, 'MICROSOMAL SIGNAL PEPTIDASE 25 KDA SUBUNIT', 64370),
(120645, 'PTHR37804:SF1', NULL, NULL, NULL, NULL, 'CDAA REGULATORY PROTEIN CDAR', 64371),
(120646, 'PTHR31375:SF157', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 28 PROTEIN / POLYGALACTURONASE (PECTINASE) FAMILY PROTEIN', 64372),
(120647, 'PTHR14038:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PRRC2A-LIKE PROTEIN', 64373),
(120648, 'PTHR37691:SF1', NULL, NULL, NULL, NULL, 'BLR3518 PROTEIN', 64374),
(120649, 'PTHR15225:SF8', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 43', 64375),
(120650, 'PTHR32097:SF15', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN SCP2', 64376),
(120651, 'PTHR11014:SF120', NULL, NULL, NULL, NULL, 'CLAN MH, FAMILY M20, PEPTIDASE T-LIKE METALLOPEPTIDASE', 64377),
(120652, 'PTHR31374:SF302', NULL, NULL, NULL, NULL, 'BNAC09G37060D PROTEIN', 64378),
(120653, 'PTHR31223:SF72', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG7', 64379),
(120654, 'PTHR21569:SF33', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S16', 64380),
(120655, 'PTHR13832:SF631', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 21-RELATED', 64381);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(120656, 'PTHR24103:SF574', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 51', 64382),
(120657, 'PTHR26453:SF284', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6B1', 64383),
(120658, 'PTHR42683:SF57', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 7', 64384),
(120659, 'PTHR32063:SF23', NULL, NULL, NULL, NULL, 'HAE1 FAMILY EFFLLUX PUMP PERMEASE COMPONENT', 64385),
(120660, 'PTHR31238:SF132', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 8', 64386),
(120661, 'PTHR47967:SF42', NULL, NULL, NULL, NULL, 'BNAA05G26480D PROTEIN', 64387),
(120662, 'PTHR11993:SF10', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 2, MITOCHONDRIAL', 64388),
(120663, 'PTHR46137:SF14', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 64389),
(120664, 'PTHR31867:SF153', NULL, NULL, NULL, NULL, 'EXPANSIN', 64390),
(120665, 'PTHR12447:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 13B', 64391),
(120666, 'PTHR47094', NULL, NULL, NULL, NULL, 'ELFLESS, ISOFORM B', 64392),
(120667, 'PTHR15168', NULL, NULL, NULL, NULL, 'CYTOCHROME B-245 LIGHT CHAIN', 64393),
(120668, 'PTHR30109:SF0', NULL, NULL, NULL, NULL, 'HYDROXYLAMINE REDUCTASE', 64394),
(120669, 'PTHR23055:SF74', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN L', 64395),
(120670, 'PTHR40626:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', 64396),
(120671, 'PTHR31371:SF17', NULL, NULL, NULL, NULL, 'BNAC02G02650D PROTEIN', 64397),
(120672, 'PTHR35008:SF4', NULL, NULL, NULL, NULL, 'SLL1359 PROTEIN', 64398),
(120673, 'PTHR22803:SF111', NULL, NULL, NULL, NULL, 'REGENERATING ISLET-DERIVED PROTEIN 3-GAMMA', 64399),
(120674, 'PTHR11202:SF33', NULL, NULL, NULL, NULL, 'HOMER SCAFFOLD PROTEIN 3', 64400),
(120675, 'PTHR16151:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64401),
(120676, 'PTHR33826:SF9', NULL, NULL, NULL, NULL, 'OS05G0373500 PROTEIN', 64402),
(120677, 'PTHR12150', NULL, NULL, NULL, NULL, 'CLASS IV SAM-BINDING METHYLTRANSFERASE-RELATED', 64403),
(120678, 'PTHR45798:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 64404),
(120679, 'PTHR19229:SF229', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER FAMILY', 64405),
(120680, 'PTHR24543:SF307', NULL, NULL, NULL, NULL, 'MILK FAT GLOBULE-EGF FACTOR 8 PROTEIN B', 64406),
(120681, 'PTHR32282:SF8', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 1A', 64407),
(120682, 'PTHR48018:SF151', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1089', 64408),
(120683, 'PTHR11523:SF51', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-3-RELATED', 64409),
(120684, 'PTHR12228', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID 55 KD SUBUNIT-RELATED', 64410),
(120685, 'PTHR38136:SF3', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN', 64411),
(120686, 'PTHR24416:SF258', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 10', 64412),
(120687, 'PTHR23050:SF167', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML8-RELATED', 64413),
(120688, 'PTHR31325:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64414),
(120689, 'PTHR36383:SF1', NULL, NULL, NULL, NULL, 'OS09G0529350 PROTEIN', 64415),
(120690, 'PTHR30582:SF14', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE 2', 64416),
(120691, 'PTHR47933:SF17', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', 64417),
(120692, 'PTHR46067:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64418),
(120693, 'PTHR11827:SF98', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 9', 64419),
(120694, 'PTHR46356', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 2-OXODICARBOXYLATE CARRIER', 64420),
(120695, 'PTHR13619:SF0', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE, MITOCHONDRIAL', 64421),
(120696, 'PTHR11139:SF109', NULL, NULL, NULL, NULL, 'BNAC09G09620D PROTEIN', 64422),
(120697, 'PTHR31989:SF336', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTORS 60', 64423),
(120698, 'PTHR31867:SF139', NULL, NULL, NULL, NULL, 'EXPANSIN', 64424),
(120699, 'PTHR37529:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSG FOR INSERTION SEQUENCE ELEMENT IS4-RELATED', 64425);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(120700, 'PTHR47928:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64426),
(120701, 'PTHR45928:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 35', 64427),
(120702, 'PTHR23317:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64428),
(120703, 'PTHR31790:SF300', NULL, NULL, NULL, NULL, 'BNAC05G28940D PROTEIN', 64429),
(120704, 'PTHR31542', NULL, NULL, NULL, NULL, '39A RIBOSOMAL PROTEIN L50, MITOCHONDRIAL', 64430),
(120705, 'PTHR44203', NULL, NULL, NULL, NULL, 'ETO1-RELATED', 64431),
(120706, 'PTHR34567', NULL, NULL, NULL, NULL, 'FK506-BINDING-LIKE PROTEIN', 64432),
(120707, 'PTHR24189:SF52', NULL, NULL, NULL, NULL, 'MYOTROPHIN', 64433),
(120708, 'PTHR16004:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-181M9.8', 64434),
(120709, 'PTHR31852:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64435),
(120710, 'PTHR10362:SF35', NULL, NULL, NULL, NULL, 'HAL-LIKE PROTEIN DDB_G0273787/DDB_G0273081', 64436),
(120711, 'PTHR18860:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64437),
(120712, 'PTHR11571:SF240', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', 64438),
(120713, 'PTHR36482', NULL, NULL, NULL, NULL, 'OSJNBA0024J22.15 PROTEIN', 64439),
(120714, 'PTHR21495:SF196', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 64440),
(120715, 'PTHR34456:SF12', NULL, NULL, NULL, NULL, 'MITOVIRUS RNA-DEPENDENT RNA POLYMERASE', 64441),
(120716, 'PTHR45229:SF2', NULL, NULL, NULL, NULL, 'BIODEGRADATIVE ARGININE DECARBOXYLASE', 64442),
(120717, 'PTHR31488:SF2', NULL, NULL, NULL, NULL, 'C-MANNOSYLTRANSFERASE DPY19L4-RELATED', 64443),
(120718, 'PTHR23425:SF17', NULL, NULL, NULL, NULL, 'SPERM PROTEIN ASSOCIATED WITH THE NUCLEUS ON THE X CHROMOSOME N5', 64444),
(120719, 'PTHR23430:SF312', NULL, NULL, NULL, NULL, 'HISTONE H2A', 64445),
(120720, 'PTHR33057:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64446),
(120721, 'PTHR23501:SF78', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G08230)-RELATED', 64447),
(120722, 'PTHR31580:SF30', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 5', 64448),
(120723, 'PTHR45660:SF45', NULL, NULL, NULL, NULL, 'BNAA06G35550D PROTEIN', 64449),
(120724, 'PTHR31301:SF58', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 3', 64450),
(120725, 'PTHR33222:SF32', NULL, NULL, NULL, NULL, 'OS06G0217700 PROTEIN', 64451),
(120726, 'PTHR22895', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 64452),
(120727, 'PTHR10694:SF118', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ14-RELATED', 64453),
(120728, 'PTHR11822', NULL, NULL, NULL, NULL, 'NADP-SPECIFIC ISOCITRATE DEHYDROGENASE', 64454),
(120729, 'PTHR23500:SF458', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64455),
(120730, 'PTHR14155:SF564', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL30', 64456),
(120731, 'PTHR31985:SF161', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF027-LIKE', 64457),
(120732, 'PTHR47375:SF3', NULL, NULL, NULL, NULL, 'BNAA10G07140D PROTEIN', 64458),
(120733, 'PTHR23257', NULL, NULL, NULL, NULL, 'SERINE-THREONINE PROTEIN KINASE', 64459),
(120734, 'PTHR33199:SF10', NULL, NULL, NULL, NULL, 'MACPF DOMAIN-CONTAINING PROTEIN CAD1-LIKE', 64460),
(120735, 'PTHR14154:SF51', NULL, NULL, NULL, NULL, 'LIGHT-HARVESTING COMPLEX-LIKE PROTEIN OHP1, CHLOROPLASTIC', 64461),
(120736, 'PTHR11849:SF171', NULL, NULL, NULL, NULL, 'ETS HOMOLOGOUS FACTOR', 64462),
(120737, 'PTHR30098:SF2', NULL, NULL, NULL, NULL, 'LEUCYL/PHENYLALANYL-TRNA--PROTEIN TRANSFERASE', 64463),
(120738, 'PTHR10005', NULL, NULL, NULL, NULL, 'SKI ONCOGENE-RELATED', 64464),
(120739, 'PTHR31707:SF234', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 64465),
(120740, 'PTHR35357', NULL, NULL, NULL, NULL, 'OS02G0537100 PROTEIN', 64466),
(120741, 'PTHR12385:SF86', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER PROTEIN 1', 64467),
(120742, 'PTHR10442:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', 64468),
(120743, 'PTHR13005:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH HYDROPHOBIC DOMAIN-CONTAINING PROTEIN 1', 64469),
(120744, 'PTHR44329:SF150', NULL, NULL, NULL, NULL, 'BNACNNG32250D PROTEIN', 64470);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(120745, 'PTHR18916:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64471),
(120746, 'PTHR11206:SF119', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 64472),
(120747, 'PTHR11006:SF108', NULL, NULL, NULL, NULL, 'BNAC05G40790D PROTEIN', 64473),
(120748, 'PTHR21146:SF0', NULL, NULL, NULL, NULL, 'BLOC-1-RELATED COMPLEX SUBUNIT 8', 64474),
(120749, 'PTHR10378:SF35', NULL, NULL, NULL, NULL, 'THIOREDOXIN M1', 64475),
(120750, 'PTHR46436', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 76 KDA', 64476),
(120751, 'PTHR44579:SF4', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 64477),
(120752, 'PTHR43345', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE SMALL SUBUNIT 2-RELATED-RELATED', 64478),
(120753, 'PTHR30476', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 64479),
(120754, 'PTHR33088:SF57', NULL, NULL, NULL, NULL, 'PROTEIN APP1-LIKE', 64480),
(120755, 'PTHR21500', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE A', 64481),
(120756, 'PTHR31992:SF134', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF4.6', 64482),
(120757, 'PTHR47985:SF28', NULL, NULL, NULL, NULL, 'OS01G0789200 PROTEIN', 64483),
(120758, 'PTHR12869:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 147', 64484),
(120759, 'PTHR31250:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64485),
(120760, 'PTHR11963:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64486),
(120761, 'PTHR35723', NULL, NULL, NULL, NULL, 'POLYPHOSPHATIDYLINOSITOL PHOSPHATASE', 64487),
(120762, 'PTHR19303:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64488),
(120763, 'PTHR35747:SF3', NULL, NULL, NULL, NULL, 'BNAA05G13220D PROTEIN', 64489),
(120764, 'PTHR11609', NULL, NULL, NULL, NULL, 'PURINE BIOSYNTHESIS PROTEIN 6/7, PUR6/7', 64490),
(120765, 'PTHR13072:SF0', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 6', 64491),
(120766, 'PTHR31342:SF43', NULL, NULL, NULL, NULL, 'F11A17.16', 64492),
(120767, 'PTHR22950:SF567', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', 64493),
(120768, 'PTHR10677:SF10', NULL, NULL, NULL, NULL, 'MCG53927', 64494),
(120769, 'PTHR34401:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG13337', 64495),
(120770, 'PTHR34187:SF3', NULL, NULL, NULL, NULL, 'DUF DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G11150)', 64496),
(120771, 'PTHR12537:SF121', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 5', 64497),
(120772, 'PTHR42912:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64498),
(120773, 'PTHR48019:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64499),
(120774, 'PTHR22814:SF318', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 25', 64500),
(120775, 'PTHR10982:SF21', NULL, NULL, NULL, NULL, 'FATTY ACID SYNTHASE SUBUNIT BETA', 64501),
(120776, 'PTHR27008:SF445', NULL, NULL, NULL, NULL, 'BNAA06G17300D PROTEIN', 64502),
(120777, 'PTHR24305:SF188', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 64503),
(120778, 'PTHR24247:SF17', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 1D', 64504),
(120779, 'PTHR11538:SF78', NULL, NULL, NULL, NULL, 'BNAA04G12390D PROTEIN', 64505),
(120780, 'PTHR11206:SF389', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 64506),
(120781, 'PTHR11477:SF32', NULL, NULL, NULL, NULL, 'SPOC DOMAIN / TRANSCRIPTION ELONGATION FACTOR S-II PROTEIN', 64507),
(120782, 'PTHR48020:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64508),
(120783, 'PTHR47932:SF28', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 64509),
(120784, 'PTHR10687:SF11', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 4', 64510),
(120785, 'PTHR10344:SF1', NULL, NULL, NULL, NULL, 'THYMIDYLATE KINASE', 64511),
(120786, 'PTHR10383:SF45', NULL, NULL, NULL, NULL, 'OS01G0179800 PROTEIN', 64512),
(120787, 'PTHR34224:SF4', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 2, CHLOROPLASTIC', 64513),
(120788, 'PTHR31268:SF10', NULL, NULL, NULL, NULL, 'OS04G0481100 PROTEIN', 64514),
(120789, 'PTHR43792:SF1', NULL, NULL, NULL, NULL, 'GNAT FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00765)-RELATED', 64515);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(120790, 'PTHR11654:SF476', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64516),
(120791, 'PTHR46593:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 64', 64517),
(120792, 'PTHR23235:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP1', 64518),
(120793, 'PTHR34939:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT III, CHLOROPLASTIC', 64519),
(120794, 'PTHR35693', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 64520),
(120795, 'PTHR31339:SF3', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 64521),
(120796, 'PTHR43690:SF18', NULL, NULL, NULL, NULL, 'INSULIN-DEGRADING ENZYME-RELATED', 64522),
(120797, 'PTHR15138:SF25', NULL, NULL, NULL, NULL, 'BNAA07G36550D PROTEIN', 64523),
(120798, 'PTHR10179:SF44', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 9', 64524),
(120799, 'PTHR12357:SF103', NULL, NULL, NULL, NULL, 'BNAC01G37620D PROTEIN', 64525),
(120800, 'PTHR16719:SF7', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE COX17-1-LIKE PROTEIN', 64526),
(120801, 'PTHR23213:SF373', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 64527),
(120802, 'PTHR46020:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64528),
(120803, 'PTHR31707:SF187', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 64529),
(120804, 'PTHR12975:SF6', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 8', 64530),
(120805, 'PTHR11586:SF42', NULL, NULL, NULL, NULL, 'ZGC:101853', 64531),
(120806, 'PTHR10091:SF10', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 64532),
(120807, 'PTHR24414:SF40', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP30', 64533),
(120808, 'PTHR11771:SF166', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 64534),
(120809, 'PTHR47965:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64535),
(120810, 'PTHR11360:SF3', NULL, NULL, NULL, NULL, 'OXALATE/FORMATE ANTIPORTER', 64536),
(120811, 'PTHR46769:SF2', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY AND HEPATIC DISEASE 1 (AUTOSOMAL RECESSIVE)-LIKE 1', 64537),
(120812, 'PTHR12634:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY SUBUNIT 3', 64538),
(120813, 'PTHR46116:SF27', NULL, NULL, NULL, NULL, 'BNAA03G53560D PROTEIN', 64539),
(120814, 'PTHR45653:SF3', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 5', 64540),
(120815, 'PTHR21721:SF25', NULL, NULL, NULL, NULL, 'GH09876P-RELATED', 64541),
(120816, 'PTHR47981:SF18', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB7', 64542),
(120817, 'PTHR33659:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64543),
(120818, 'PTHR27005:SF187', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 15', 64544),
(120819, 'PTHR42711:SF15', NULL, NULL, NULL, NULL, 'ABC-TYPE MULTIDRUG TRANSPORT SYSTEM, ATPASE COMPONENT-RELATED', 64545),
(120820, 'PTHR24355:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE-RELATED PROTEIN', 64546),
(120821, 'PTHR11654:SF460', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.13-RELATED', 64547),
(120822, 'PTHR46128:SF80', NULL, NULL, NULL, NULL, 'BNAA01G29980D PROTEIN', 64548),
(120823, 'PTHR32285:SF30', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 42', 64549),
(120824, 'PTHR23083:SF365', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 7B', 64550),
(120825, 'PTHR11866:SF3', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E2 RECEPTOR EP1 SUBTYPE', 64551),
(120826, 'PTHR31798:SF10', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', 64552),
(120827, 'PTHR31451:SF61', NULL, NULL, NULL, NULL, 'BNAA09G43620D PROTEIN', 64553),
(120828, 'PTHR24320:SF95', NULL, NULL, NULL, NULL, 'PROTEIN CBG13117', 64554),
(120829, 'PTHR24216:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64555),
(120830, 'PTHR24006:SF797', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL HYDROLASE 1,PUTATIVE-RELATED', 64556),
(120831, 'PTHR24281:SF17', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE-LIKE', 64557),
(120832, 'PTHR13096:SF7', NULL, NULL, NULL, NULL, 'RIBOSOMAL OXYGENASE 2', 64558),
(120833, 'PTHR11969:SF6', NULL, NULL, NULL, NULL, 'MAX DIMERIZATION PROTEIN 3', 64559),
(120834, 'PTHR46336:SF20', NULL, NULL, NULL, NULL, 'BNAA09G39320D PROTEIN', 64560);
INSERT INTO "PUBLIC"."MODEL" VALUES
(120835, 'PTHR24221:SF533', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER RELATED', 64561),
(120836, 'PTHR10972:SF187', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 1C-LIKE', 64562),
(120837, 'PTHR31325:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64563),
(120838, 'PTHR45682:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64564),
(120839, 'PTHR46204:SF4', NULL, NULL, NULL, NULL, 'LYSM DOMAIN RECEPTOR-LIKE KINASE 10', 64565),
(120840, 'PTHR39596:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64566),
(120841, 'PTHR27005:SF253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64567),
(120842, 'PTHR47099:SF1', NULL, NULL, NULL, NULL, 'METHYLCOBAMIDE:COM METHYLTRANSFERASE MTBA', 64568),
(120843, 'PTHR11926:SF1420', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C1', 64569),
(120844, 'PTHR23070:SF142', NULL, NULL, NULL, NULL, 'BNAC07G31990D PROTEIN', 64570),
(120845, 'PTHR21089:SF7', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3-DEHYDROQUINATE DEHYDRATASE/SHIKIMATE DEHYDROGENASE, CHLOROPLASTIC-LIKE', 64571),
(120846, 'PTHR10579:SF109', NULL, NULL, NULL, NULL, 'OS10G0464500 PROTEIN', 64572),
(120847, 'PTHR27002:SF805', NULL, NULL, NULL, NULL, 'OS09G0550600 PROTEIN', 64573),
(120848, 'PTHR11309:SF137', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE RECEPTOR LIN-17', 64574),
(120849, 'PTHR43572:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 5', 64575),
(120850, 'PTHR23031:SF6', NULL, NULL, NULL, NULL, 'RHOPHILIN-1', 64576),
(120851, 'PTHR47642', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 64577),
(120852, 'PTHR13388:SF11', NULL, NULL, NULL, NULL, 'DETONATOR, ISOFORM E', 64578),
(120853, 'PTHR11062:SF315', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64579),
(120854, 'PTHR31152', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', 64580),
(120855, 'PTHR24377:SF273', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 311', 64581),
(120856, 'PTHR24099:SF23', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MIDLINE-1', 64582),
(120857, 'PTHR22952:SF393', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BZIP FAMILY-RELATED', 64583),
(120858, 'PTHR46215:SF15', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 24', 64584),
(120859, 'PTHR47984:SF12', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', 64585),
(120860, 'PTHR47864:SF8', NULL, NULL, NULL, NULL, 'BNAC03G30290D PROTEIN', 64586),
(120861, 'PTHR31450:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 19', 64587),
(120862, 'PTHR14363:SF17', NULL, NULL, NULL, NULL, 'HEPARANASE-LIKE PROTEIN 3', 64588),
(120863, 'PTHR45698:SF1', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 19N', 64589),
(120864, 'PTHR45868:SF45', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 32', 64590),
(120865, 'PTHR14221:SF54', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 44-LIKE', 64591),
(120866, 'PTHR44188:SF1', NULL, NULL, NULL, NULL, 'GDAP1, ISOFORM A', 64592),
(120867, 'PTHR31081:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64593),
(120868, 'PTHR24055:SF493', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 64594),
(120869, 'PTHR46166', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 64595),
(120870, 'PTHR11689:SF151', NULL, NULL, NULL, NULL, 'BNAC06G13300D PROTEIN', 64596),
(120871, 'PTHR43822:SF14', NULL, NULL, NULL, NULL, 'ISOPROPYLMALATE/CITRAMALATE ISOMERASE LARGE SUBUNIT-RELATED', 64597),
(120872, 'PTHR46045:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 64598),
(120873, 'PTHR30249:SF12', NULL, NULL, NULL, NULL, 'PLASTIDAL GLYCOLATE/GLYCERATE TRANSLOCATOR 1 CHLOROPLASTIC', 64599),
(120874, 'PTHR47105:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64600),
(120875, 'PTHR26450:SF101', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 64601),
(120876, 'PTHR14334:SF2', NULL, NULL, NULL, NULL, 'B-CELL ANTIGEN RECEPTOR COMPLEX-ASSOCIATED PROTEIN BETA CHAIN', 64602),
(120877, 'PTHR35280:SF1', NULL, NULL, NULL, NULL, 'F17L21.9', 64603),
(120878, 'PTHR13778:SF58', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 64604),
(120879, 'PTHR11176:SF8', NULL, NULL, NULL, NULL, 'DELETED IN AZOOSPERMIA PROTEIN 1-RELATED', 64605);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(120880, 'PTHR31992:SF227', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.4-LIKE', 64606),
(120881, 'PTHR24061:SF492', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 100-RELATED', 64607),
(120882, 'PTHR30537:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 64608),
(120883, 'PTHR45657:SF9', NULL, NULL, NULL, NULL, 'OS08G0497300 PROTEIN', 64609),
(120884, 'PTHR11062:SF286', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 64 PROTEIN C4', 64610),
(120885, 'PTHR31072:SF111', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP13', 64611),
(120886, 'PTHR47122:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64612),
(120887, 'PTHR11852:SF2', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE IB SUBUNIT GAMMA', 64613),
(120888, 'PTHR10641:SF1290', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 306-LIKE', 64614),
(120889, 'PTHR24300:SF23', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2S1', 64615),
(120890, 'PTHR46921', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 21', 64616),
(120891, 'PTHR23158:SF52', NULL, NULL, NULL, NULL, 'CTAGE FAMILY MEMBER 2', 64617),
(120892, 'PTHR46662:SF29', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO2', 64618),
(120893, 'PTHR13473', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN L48', 64619),
(120894, 'PTHR31517:SF53', NULL, NULL, NULL, NULL, 'PEROXIDASE', 64620),
(120895, 'PTHR31056', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 179B', 64621),
(120896, 'PTHR27001:SF489', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK8', 64622),
(120897, 'PTHR10366:SF687', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE HOMOLOG', 64623),
(120898, 'PTHR22881:SF32', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN', 64624),
(120899, 'PTHR16223:SF251', NULL, NULL, NULL, NULL, 'BNAC03G30830D PROTEIN', 64625),
(120900, 'PTHR43767:SF7', NULL, NULL, NULL, NULL, 'FATTY ACID COA-LIGASE', 64626),
(120901, 'PTHR45637:SF58', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PK-LIKE ISOFORM X1', 64627),
(120902, 'PTHR30302:SF1', NULL, NULL, NULL, NULL, 'HYDROGENASE 1 MATURATION PROTEASE', 64628),
(120903, 'PTHR28026', NULL, NULL, NULL, NULL, 'DUF962 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_8G05310)', 64629),
(120904, 'PTHR22776:SF9', NULL, NULL, NULL, NULL, 'PLASMOLIPIN', 64630),
(120905, 'PTHR10352:SF57', NULL, NULL, NULL, NULL, 'PROTEIN SEX-LETHAL-LIKE PROTEIN', 64631),
(120906, 'PTHR13832:SF773', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-LIKE PROTEIN', 64632),
(120907, 'PTHR10796:SF189', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 64633),
(120908, 'PTHR34395:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64634),
(120909, 'PTHR16222:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64635),
(120910, 'PTHR21659', NULL, NULL, NULL, NULL, 'HYDROPHOBIC PROTEIN RCI2  LOW TEMPERATURE AND SALT RESPONSIVE PROTEIN LTI6 -RELATED', 64636),
(120911, 'PTHR24024', NULL, NULL, NULL, NULL, 'PULMONARY SURFACTANT-ASSOCIATED PROTEIN A', 64637),
(120912, 'PTHR31972:SF11', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C, PUTATIVE-RELATED', 64638),
(120913, 'PTHR31260:SF49', NULL, NULL, NULL, NULL, 'BNACNNG73910D PROTEIN', 64639),
(120914, 'PTHR48191:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HHL1 CHLOROPLASTIC', 64640),
(120915, 'PTHR22775:SF45', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 64641),
(120916, 'PTHR45661:SF9', NULL, NULL, NULL, NULL, 'SURFACE ANTIGEN BSPA-LIKE', 64642),
(120917, 'PTHR32510', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 98', 64643),
(120918, 'PTHR34056:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64644),
(120919, 'PTHR35899', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE DOMAIN CONTAINING PROTEIN', 64645),
(120920, 'PTHR10666:SF254', NULL, NULL, NULL, NULL, 'UBIQUITIN-40S RIBOSOMAL PROTEIN S31', 64646),
(120921, 'PTHR10125:SF4', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR 2', 64647),
(120922, 'PTHR46895', NULL, NULL, NULL, NULL, 'PROTEIN CBG20548-RELATED', 64648),
(120923, 'PTHR11776:SF22', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE 5', 64649);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(120924, 'PTHR45685', NULL, NULL, NULL, NULL, 'HELICASE SRCAP-RELATED', 64650),
(120925, 'PTHR33672:SF15', NULL, NULL, NULL, NULL, 'BNACNNG61680D PROTEIN', 64651),
(120926, 'PTHR41687:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 9', 64652),
(120927, 'PTHR35373:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG02080', 64653),
(120928, 'PTHR48019:SF14', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 47', 64654),
(120929, 'PTHR11017:SF399', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 64655),
(120930, 'PTHR35496:SF12', NULL, NULL, NULL, NULL, 'BNAC01G19300D PROTEIN', 64656),
(120931, 'PTHR41532', NULL, NULL, NULL, NULL, 'FIXS PROTEIN', 64657),
(120932, 'PTHR48000:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64658),
(120933, 'PTHR11743:SF27', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 4', 64659),
(120934, 'PTHR33130:SF38', NULL, NULL, NULL, NULL, 'OS05G0551500 PROTEIN', 64660),
(120935, 'PTHR19143:SF385', NULL, NULL, NULL, NULL, 'TENASCIN XBA', 64661),
(120936, 'PTHR31639:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64662),
(120937, 'PTHR13780:SF141', NULL, NULL, NULL, NULL, 'SUCROSE NONFERMENTING 4-LIKE PROTEIN', 64663),
(120938, 'PTHR31131', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 64664),
(120939, 'PTHR40660:SF1', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE 5''-PHOSPHATE OXIDASE-RELATED FMN-BINDING', 64665),
(120940, 'PTHR43190:SF9', NULL, NULL, NULL, NULL, 'ATPASE, BADF/BADG/BCRA/BCRD TYPE-RELATED', 64666),
(120941, 'PTHR31837:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME B-245 CHAPERONE 1', 64667),
(120942, 'PTHR45714:SF51', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX17', 64668),
(120943, 'PTHR31238:SF205', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 64669),
(120944, 'PTHR21223:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM92A', 64670),
(120945, 'PTHR31145:SF2', NULL, NULL, NULL, NULL, 'FLAVIN CARRIER PROTEIN 2', 64671),
(120946, 'PTHR45615:SF46', NULL, NULL, NULL, NULL, 'MYOSIN, HEAVY CHAIN 6, CARDIAC MUSCLE, ALPHA', 64672),
(120947, 'PTHR24326:SF598', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-6-LIKE', 64673),
(120948, 'PTHR21315', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 64674),
(120949, 'PTHR32246:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64675),
(120950, 'PTHR15728:SF0', NULL, NULL, NULL, NULL, 'PAN2-PAN3 DEADENYLATION COMPLEX CATALYTIC SUBUNIT PAN2', 64676),
(120951, 'PTHR31636:SF169', NULL, NULL, NULL, NULL, 'PROTEIN SHORT-ROOT 2', 64677),
(120952, 'PTHR31282:SF79', NULL, NULL, NULL, NULL, 'WRKY45-LIKE TRANSCRIPTION FACTOR', 64678),
(120953, 'PTHR24361:SF714', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 8', 64679),
(120954, 'PTHR43112:SF29', NULL, NULL, NULL, NULL, 'FERREDOXIN', 64680),
(120955, 'PTHR24055:SF501', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 64681),
(120956, 'PTHR31499:SF51', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 2 ISOFORM X1', 64682),
(120957, 'PTHR20531:SF1', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 40', 64683),
(120958, 'PTHR31064:SF27', NULL, NULL, NULL, NULL, 'SODIUM TRANSPORTER HKT1', 64684),
(120959, 'PTHR10426:SF75', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 11', 64685),
(120960, 'PTHR12649:SF11', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE 2, MITOCHONDRIAL', 64686),
(120961, 'PTHR24044:SF440', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', 64687),
(120962, 'PTHR11952:SF12', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE DIPHOSPHORYLASE 2', 64688),
(120963, 'PTHR33926:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TIC 22-LIKE, CHLOROPLASTIC', 64689),
(120964, 'PTHR13009:SF21', NULL, NULL, NULL, NULL, 'ACTIVATOR OF HSP90 ATPASE, N-TERMINAL', 64690),
(120965, 'PTHR31875:SF36', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 4-LIKE', 64691),
(120966, 'PTHR47990:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64692),
(120967, 'PTHR11208:SF130', NULL, NULL, NULL, NULL, 'KH DOMAIN, STAR PROTEIN, HOMODIMERIZATION REGION-RELATED', 64693);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(120968, 'PTHR24216:SF51', NULL, NULL, NULL, NULL, 'PAXILLIN B', 64694),
(120969, 'PTHR31730:SF18', NULL, NULL, NULL, NULL, 'FACTOR G, PUTATIVE (DUF668)-RELATED', 64695),
(120970, 'PTHR12287:SF22', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR KINASE SUBSTRATE 8-LIKE PROTEIN 3', 64696),
(120971, 'PTHR23226:SF132', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 31', 64697),
(120972, 'PTHR23023:SF244', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE FMO GS-OX1-RELATED', 64698),
(120973, 'PTHR33968', NULL, NULL, NULL, NULL, 'PROTEIN PET100 HOMOLOG, MITOCHONDRIAL', 64699),
(120974, 'PTHR10927:SF1', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION PROTEIN SBDS', 64700),
(120975, 'PTHR10543:SF46', NULL, NULL, NULL, NULL, 'CAROTENOID CLEAVAGE DIOXYGENASE 4, CHLOROPLASTIC-RELATED', 64701),
(120976, 'PTHR43238:SF5', NULL, NULL, NULL, NULL, 'GDP-L-FUCOSE SYNTHASE 2-RELATED', 64702),
(120977, 'PTHR48005:SF14', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 7', 64703),
(120978, 'PTHR13377:SF10', NULL, NULL, NULL, NULL, 'BNAC01G39550D PROTEIN', 64704),
(120979, 'PTHR27001:SF799', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', 64705),
(120980, 'PTHR24020:SF17', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XII) CHAIN', 64706),
(120981, 'PTHR12374:SF28', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN J-RELATED', 64707),
(120982, 'PTHR36746:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64708),
(120983, 'PTHR43735:SF18', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR HOMOLOG B-LIKE', 64709),
(120984, 'PTHR11544:SF14', NULL, NULL, NULL, NULL, 'Y-BOX-BINDING PROTEIN 3', 64710),
(120985, 'PTHR43719:SF55', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE/RESPONSE REGULATOR, PUTATIVE-RELATED', 64711),
(120986, 'PTHR24248:SF133', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR 3', 64712),
(120987, 'PTHR19971:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64713),
(120988, 'PTHR43292', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', 64714),
(120989, 'PTHR47978:SF39', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN, PUTATIVE-RELATED', 64715),
(120990, 'PTHR12348:SF23', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 1', 64716),
(120991, 'PTHR12268:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE KCMF1', 64717),
(120992, 'PTHR48063:SF8', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE RECEPTOR 1', 64718),
(120993, 'PTHR33021:SF322', NULL, NULL, NULL, NULL, 'OS08G0482700 PROTEIN', 64719),
(120994, 'PTHR33527:SF34', NULL, NULL, NULL, NULL, 'BNAA06G20120D PROTEIN', 64720),
(120995, 'PTHR14931:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64721),
(120996, 'PTHR22635:SF0', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 207', 64722),
(120997, 'PTHR42051:SF1', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED PROTEIN PB1A10.08', 64723),
(120998, 'PTHR31213:SF137', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE, START-LIKE DOMAIN PROTEIN-RELATED', 64724),
(120999, 'PTHR10159:SF305', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 7', 64725),
(121000, 'PTHR24559:SF377', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64726),
(121001, 'PTHR46875:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 5', 64727),
(121002, 'PTHR45708:SF45', NULL, NULL, NULL, NULL, 'ACIDIC ENDOCHITINASE', 64728),
(121003, 'PTHR47932:SF41', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 64729),
(121004, 'PTHR46023', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3 PROTEIN-LIKE', 64730),
(121005, 'PTHR31083:SF32', NULL, NULL, NULL, NULL, 'OS09G0571000 PROTEIN', 64731),
(121006, 'PTHR42095:SF1', NULL, NULL, NULL, NULL, 'YALI0C12166P', 64732),
(121007, 'PTHR12106:SF44', NULL, NULL, NULL, NULL, 'SORTILIN', 64733),
(121008, 'PTHR23022:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64734),
(121009, 'PTHR14132:SF21', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR', 64735),
(121010, 'PTHR46522:SF3', NULL, NULL, NULL, NULL, 'CYTIDINE MONOPHOSPHATE-N-ACETYLNEURAMINIC ACID HYDROXYLASE', 64736);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(121011, 'PTHR36023:SF2', NULL, NULL, NULL, NULL, 'OS08G0113700 PROTEIN', 64737),
(121012, 'PTHR11552:SF217', NULL, NULL, NULL, NULL, 'GLUCOSE DEHYDROGENASE [FAD, QUINONE]', 64738),
(121013, 'PTHR31674:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64739),
(121014, 'PTHR46110:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HMX2', 64740),
(121015, 'PTHR11953', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT', 64741),
(121016, 'PTHR47926:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64742),
(121017, 'PTHR38745', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', 64743),
(121018, 'PTHR47967:SF79', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN', 64744),
(121019, 'PTHR23163', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN-RELATED', 64745),
(121020, 'PTHR16105:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64746),
(121021, 'PTHR31696:SF23', NULL, NULL, NULL, NULL, 'BNAC07G49860D PROTEIN', 64747),
(121022, 'PTHR38633:SF1', NULL, NULL, NULL, NULL, 'UTERINE LUMIN EXPRESSED/LOCAILIZED', 64748),
(121023, 'PTHR23406', NULL, NULL, NULL, NULL, 'MALIC ENZYME-RELATED', 64749),
(121024, 'PTHR10196:SF75', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G08470)-RELATED', 64750),
(121025, 'PTHR24177:SF337', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64751),
(121026, 'PTHR24377:SF641', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 354B', 64752),
(121027, 'PTHR21666:SF273', NULL, NULL, NULL, NULL, 'PERIPLASMIC METALLOPROTEASE M23B FAMILY', 64753),
(121028, 'PTHR11736:SF62', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 9', 64754),
(121029, 'PTHR48063:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', 64755),
(121030, 'PTHR23502:SF32', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN D', 64756),
(121031, 'PTHR12360:SF14', NULL, NULL, NULL, NULL, 'BNAA09G48270D PROTEIN', 64757),
(121032, 'PTHR30154:SF45', NULL, NULL, NULL, NULL, 'ASNC-FAMILY REGULATORY PROTEIN-RELATED', 64758),
(121033, 'PTHR10514:SF24', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME 2', 64759),
(121034, 'PTHR24376:SF95', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 319', 64760),
(121035, 'PTHR44575:SF5', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 64761),
(121036, 'PTHR12378:SF61', NULL, NULL, NULL, NULL, 'PPPDE PUTATIVE PEPTIDASE DOMAIN-CONTAINING PROTEIN-RELATED', 64762),
(121037, 'PTHR23073:SF121', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 8', 64763),
(121038, 'PTHR28573', NULL, NULL, NULL, NULL, 'SPINDLE AND KINETOCHORE-ASSOCIATED PROTEIN 1', 64764),
(121039, 'PTHR12311:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64765),
(121040, 'PTHR31194:SF51', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF2-LIKE', 64766),
(121041, 'PTHR48001:SF93', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 64767),
(121042, 'PTHR32444:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64768),
(121043, 'PTHR42836', NULL, NULL, NULL, NULL, '7-CARBOXY-7-DEAZAGUANINE SYNTHASE', 64769),
(121044, 'PTHR45952:SF7', NULL, NULL, NULL, NULL, 'BNAC05G37800D PROTEIN', 64770),
(121045, 'PTHR38042:SF1', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III SYNTHASE, CHLOROPLASTIC', 64771),
(121046, 'PTHR46154:SF1', NULL, NULL, NULL, NULL, 'ACTIVE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17570)-RELATED', 64772),
(121047, 'PTHR31205:SF42', NULL, NULL, NULL, NULL, 'CROSS-LINKING PROTEIN, PUTATIVE (DUF569)-RELATED', 64773),
(121048, 'PTHR26451:SF417', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10J1', 64774),
(121049, 'PTHR16134:SF63', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP19', 64775),
(121050, 'PTHR11373', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOSIDE TRIPHOSPHATE TRIPHOSPHOHYDROLASE', 64776),
(121051, 'PTHR23024:SF546', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 1', 64777),
(121052, 'PTHR12570:SF62', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA7-RELATED', 64778),
(121053, 'PTHR23504:SF101', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER-RELATED', 64779),
(121054, 'PTHR30204:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR PROTEIN', 64780);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(121055, 'PTHR45772:SF8', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN', 64781),
(121056, 'PTHR24131:SF15', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1, REGULATORY SUBUNIT 13BA', 64782),
(121057, 'PTHR47253:SF4', NULL, NULL, NULL, NULL, 'ISOCHORISMATE SYNTHASE 2, CHLOROPLASTIC', 64783),
(121058, 'PTHR35546:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64784),
(121059, 'PTHR31645:SF68', NULL, NULL, NULL, NULL, 'BNAA03G46460D PROTEIN', 64785),
(121060, 'PTHR21859:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64786),
(121061, 'PTHR22883:SF326', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC19-RELATED', 64787),
(121062, 'PTHR44324:SF2', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 64', 64788),
(121063, 'PTHR48102:SF9', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE-RELATED', 64789),
(121064, 'PTHR13490', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S28', 64790),
(121065, 'PTHR23304:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64791),
(121066, 'PTHR24145', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 11', 64792),
(121067, 'PTHR11681:SF5', NULL, NULL, NULL, NULL, 'OXYTOCIN', 64793),
(121068, 'PTHR23024:SF458', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', 64794),
(121069, 'PTHR46618:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 3', 64795),
(121070, 'PTHR23114:SF24', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE, CONSERVED', 64796),
(121071, 'PTHR10736:SF57', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG', 64797),
(121072, 'PTHR14208:SF8', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 64798),
(121073, 'PTHR31992:SF183', NULL, NULL, NULL, NULL, 'BNACNNG75710D PROTEIN', 64799),
(121074, 'PTHR11214:SF256', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE HPGT2', 64800),
(121075, 'PTHR23267:SF434', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-II REGION 17S29.1-RELATED', 64801),
(121076, 'PTHR24412:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64802),
(121077, 'PTHR33070:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64803),
(121078, 'PTHR31218:SF37', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 64804),
(121079, 'PTHR31251:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64805),
(121080, 'PTHR20916:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64806),
(121081, 'PTHR19441:SF34', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 2', 64807),
(121082, 'PTHR10641:SF1010', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', 64808),
(121083, 'PTHR47928:SF58', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 64809),
(121084, 'PTHR35020:SF2', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-INDUCED PROTEIN 1', 64810),
(121085, 'PTHR22796:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-217F16.1-RELATED', 64811),
(121086, 'PTHR11679:SF83', NULL, NULL, NULL, NULL, 'BNAA02G28070D PROTEIN', 64812),
(121087, 'PTHR44375:SF2', NULL, NULL, NULL, NULL, 'BETA-KETOACYL-ACP REDUCTASE-LIKE PROTEIN-RELATED', 64813),
(121088, 'PTHR47990:SF149', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 2-RELATED', 64814),
(121089, 'PTHR24256:SF301', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 28', 64815),
(121090, 'PTHR35477:SF5', NULL, NULL, NULL, NULL, 'BNAC01G44190D PROTEIN', 64816),
(121091, 'PTHR42678:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64817),
(121092, 'PTHR35500', NULL, NULL, NULL, NULL, 'OS03G0108700 PROTEIN', 64818),
(121093, 'PTHR19432:SF39', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUT3', 64819),
(121094, 'PTHR11969:SF51', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING PROTEIN-LIKE', 64820),
(121095, 'PTHR27001:SF721', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY KINASE DOMAIN PROTEIN', 64821),
(121096, 'PTHR46201:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 64822),
(121097, 'PTHR43811:SF32', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP16-4, CHLOROPLASTIC', 64823),
(121098, 'PTHR26379:SF336', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64824);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(121099, 'PTHR11588:SF13', NULL, NULL, NULL, NULL, 'TUBULIN EPSILON CHAIN', 64825),
(121100, 'PTHR23113:SF163', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR B', 64826),
(121101, 'PTHR11863:SF182', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROXYLASE SUPERFAMILY PROTEIN', 64827),
(121102, 'PTHR22814:SF290', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 20-LIKE', 64828),
(121103, 'PTHR10942:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64829),
(121104, 'PTHR43207:SF8', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDROGENASE 1, CHLOROPLASTIC', 64830),
(121105, 'PTHR12011:SF62', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L1', 64831),
(121106, 'PTHR47958:SF67', NULL, NULL, NULL, NULL, 'BNAA02G16100D PROTEIN', 64832),
(121107, 'PTHR10352:SF46', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', 64833),
(121108, 'PTHR22722:SF6', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 1B', 64834),
(121109, 'PTHR13703:SF53', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 3', 64835),
(121110, 'PTHR10196:SF85', NULL, NULL, NULL, NULL, 'OS12G0633000 PROTEIN', 64836),
(121111, 'PTHR30481:SF4', NULL, NULL, NULL, NULL, 'D12 CLASS N6 ADENINE-SPECIFIC DNA METHYLTRANSFERASE', 64837),
(121112, 'PTHR24356:SF371', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 64838),
(121113, 'PTHR33128:SF61', NULL, NULL, NULL, NULL, 'BNAA02G28560D PROTEIN', 64839),
(121114, 'PTHR18953:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64840),
(121115, 'PTHR13817:SF134', NULL, NULL, NULL, NULL, 'STRIATED MUSCLE-ENRICHED PROTEIN KINASE B', 64841),
(121116, 'PTHR12161:SF56', NULL, NULL, NULL, NULL, 'IST1 HOMOLOG', 64842),
(121117, 'PTHR33148:SF55', NULL, NULL, NULL, NULL, 'OS01G0219300 PROTEIN', 64843),
(121118, 'PTHR46985', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 1', 64844),
(121119, 'PTHR32080:SF24', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 2', 64845),
(121120, 'PTHR22146:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FAM166B', 64846),
(121121, 'PTHR46826', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 64847),
(121122, 'PTHR13763:SF7', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED RING DOMAIN PROTEIN 1-LIKE', 64848),
(121123, 'PTHR45619:SF49', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 64849),
(121124, 'PTHR43859:SF23', NULL, NULL, NULL, NULL, 'ACETATE/BUTYRATE--COA LIGASE AAE7, PEROXISOMAL-LIKE', 64850),
(121125, 'PTHR19282:SF169', NULL, NULL, NULL, NULL, 'TETRASPANIN-6', 64851),
(121126, 'PTHR24023:SF903', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(VIII) CHAIN', 64852),
(121127, 'PTHR19308:SF34', NULL, NULL, NULL, NULL, 'BNAC03G73640D PROTEIN', 64853),
(121128, 'PTHR31998:SF34', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE', 64854),
(121129, 'PTHR31989:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64855),
(121130, 'PTHR33416:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64856),
(121131, 'PTHR42832:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE-PYRUVATE AMINOTRANSFERASE ALAC', 64857),
(121132, 'PTHR23359:SF195', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4-LIKE', 64858),
(121133, 'PTHR10678:SF14', NULL, NULL, NULL, NULL, 'BNAA09G54190D PROTEIN', 64859),
(121134, 'PTHR32295:SF121', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE ISOFORM X1', 64860),
(121135, 'PTHR21432:SF20', NULL, NULL, NULL, NULL, 'GM14349P', 64861),
(121136, 'PTHR37234:SF1', NULL, NULL, NULL, NULL, 'OS03G0319200 PROTEIN', 64862),
(121137, 'PTHR33591:SF1', NULL, NULL, NULL, NULL, 'BETA-CAROTENE ISOMERASE D27, CHLOROPLASTIC', 64863),
(121138, 'PTHR13145:SF8', NULL, NULL, NULL, NULL, 'BNAA08G11620D PROTEIN', 64864),
(121139, 'PTHR16088', NULL, NULL, NULL, NULL, 'YY1 ASSOCIATED PROTEIN-RELATED', 64865),
(121140, 'PTHR15710:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64866),
(121141, 'PTHR32018:SF42', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-LIKE', 64867),
(121142, 'PTHR11654:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64868);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(121143, 'PTHR22803:SF104', NULL, NULL, NULL, NULL, 'MACROPHAGE MANNOSE RECEPTOR 1', 64869),
(121144, 'PTHR13878:SF133', NULL, NULL, NULL, NULL, 'BNACNNG57660D PROTEIN', 64870),
(121145, 'PTHR46580:SF3', NULL, NULL, NULL, NULL, 'ATP/GTP-BINDING PROTEIN-RELATED', 64871),
(121146, 'PTHR15736:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FAM131B', 64872),
(121147, 'PTHR15907:SF158', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 11', 64873),
(121148, 'PTHR33673:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64874),
(121149, 'PTHR35740', NULL, NULL, NULL, NULL, 'OS12G0111700 PROTEIN', 64875),
(121150, 'PTHR22767:SF6', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 15, NATA AUXILIARY SUBUNIT', 64876),
(121151, 'PTHR34358:SF2', NULL, NULL, NULL, NULL, 'OS03G0411600 PROTEIN', 64877),
(121152, 'PTHR44051:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR URE2', 64878),
(121153, 'PTHR46645:SF2', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN 2B', 64879),
(121154, 'PTHR28184:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL HOMOLOGOUS RECOMBINATION PROTEIN 1', 64880),
(121155, 'PTHR48007:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64881),
(121156, 'PTHR23065:SF15', NULL, NULL, NULL, NULL, 'AT02057P', 64882),
(121157, 'PTHR31325:SF191', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 64883),
(121158, 'PTHR23222:SF28', NULL, NULL, NULL, NULL, 'BNAA09G50790D PROTEIN', 64884),
(121159, 'PTHR12121:SF90', NULL, NULL, NULL, NULL, 'BNAA09G51440D PROTEIN', 64885),
(121160, 'PTHR14903:SF4', NULL, NULL, NULL, NULL, 'SCLEROSTIN', 64886),
(121161, 'PTHR19359:SF112', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-RELATED', 64887),
(121162, 'PTHR47857:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 64888),
(121163, 'PTHR34214', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 64889),
(121164, 'PTHR14027', NULL, NULL, NULL, NULL, 'RNA POLYMERASE-ASSOCIATED PROTEIN CTR9', 64890),
(121165, 'PTHR16276', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT DOMAIN-CONTAINING PROTEIN 3', 64891),
(121166, 'PTHR11955:SF59', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN 2', 64892),
(121167, 'PTHR35410:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 64893),
(121168, 'PTHR31607:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64894),
(121169, 'PTHR23003:SF17', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN PIN4', 64895),
(121170, 'PTHR33021:SF388', NULL, NULL, NULL, NULL, 'OS01G0272700 PROTEIN', 64896),
(121171, 'PTHR32295:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64897),
(121172, 'PTHR12461:SF50', NULL, NULL, NULL, NULL, 'TRNA WYBUTOSINE-SYNTHESIZING PROTEIN 5', 64898),
(121173, 'PTHR46848', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 3', 64899),
(121174, 'PTHR16435:SF5', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS ASSOCIATED 6-LIKE PROTEIN', 64900),
(121175, 'PTHR31048:SF99', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', 64901),
(121176, 'PTHR31190:SF44', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1', 64902),
(121177, 'PTHR11802:SF281', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 64903),
(121178, 'PTHR43205:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64904),
(121179, 'PTHR22948:SF50', NULL, NULL, NULL, NULL, 'PROTEIN CBR-EKL-1', 64905),
(121180, 'PTHR46977:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FREE1-LIKE ISOFORM X1', 64906),
(121181, 'PTHR40137:SF2', NULL, NULL, NULL, NULL, 'PROTEIN GVPK 1', 64907),
(121182, 'PTHR24349:SF418', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 64908),
(121183, 'PTHR30239:SF22', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE SMALL SUBUNIT 2, CHLOROPLASTIC', 64909),
(121184, 'PTHR45616:SF38', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 3', 64910),
(121185, 'PTHR38009:SF1', NULL, NULL, NULL, NULL, 'CONSERVED HYPOTHETICAL PHAGE TAIL PROTEIN', 64911),
(121186, 'PTHR48201:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64912),
(121187, 'PTHR11496:SF94', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTG', 64913),
(121188, 'PTHR12122:SF4', NULL, NULL, NULL, NULL, 'RETINAL ROD RHODOPSIN-SENSITIVE CGMP 3'',5''-CYCLIC PHOSPHODIESTERASE SUBUNIT GAMMA', 64914);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(121189, 'PTHR16119:SF17', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 144', 64915),
(121190, 'PTHR36162:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64916),
(121191, 'PTHR12321:SF116', NULL, NULL, NULL, NULL, 'ALFIN-LIKE TRANSCRIPTION FACTOR', 64917),
(121192, 'PTHR43175:SF3', NULL, NULL, NULL, NULL, 'CARBON DISULFIDE HYDROLASE', 64918),
(121193, 'PTHR45778:SF22', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 64919),
(121194, 'PTHR13222:SF3', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 11, UBIQUITIN-RELATED DOMAIN PROTEIN-RELATED', 64920),
(121195, 'PTHR34464:SF8', NULL, NULL, NULL, NULL, 'BNAC03G61080D PROTEIN', 64921),
(121196, 'PTHR22536', NULL, NULL, NULL, NULL, 'LUNG CANCER METASTASIS-RELATED  LCMR1  PROTEIN', 64922),
(121197, 'PTHR23155:SF1123', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPM1', 64923),
(121198, 'PTHR47237:SF1', NULL, NULL, NULL, NULL, 'SLL0310 PROTEIN', 64924),
(121199, 'PTHR14221:SF31', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 64925),
(121200, 'PTHR31066:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64926),
(121201, 'PTHR30031:SF2', NULL, NULL, NULL, NULL, 'OS04G0592500 PROTEIN', 64927),
(121202, 'PTHR33264:SF37', NULL, NULL, NULL, NULL, 'BNAANNG39210D PROTEIN', 64928),
(121203, 'PTHR28661:SF1', NULL, NULL, NULL, NULL, 'SJOEGREN SYNDROME NUCLEAR AUTOANTIGEN 1', 64929),
(121204, 'PTHR23160:SF3', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN 1-RELATED', 64930),
(121205, 'PTHR47926:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64931),
(121206, 'PTHR32467:SF123', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ANT', 64932),
(121207, 'PTHR35298:SF7', NULL, NULL, NULL, NULL, 'BNACNNG30990D PROTEIN', 64933),
(121208, 'PTHR33228:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64934),
(121209, 'PTHR11945:SF448', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', 64935),
(121210, 'PTHR14726:SF1', NULL, NULL, NULL, NULL, 'JHY PROTEIN HOMOLOG', 64936),
(121211, 'PTHR31415:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64937),
(121212, 'PTHR13780:SF48', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSCBSPB4-RELATED', 64938),
(121213, 'PTHR10388:SF63', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLATION FACTOR SUI1-LIKE PROTEIN', 64939),
(121214, 'PTHR24015:SF1922', NULL, NULL, NULL, NULL, 'OS07G0239600 PROTEIN', 64940),
(121215, 'PTHR11534:SF3', NULL, NULL, NULL, NULL, 'MYOGENIC FACTOR 5', 64941),
(121216, 'PTHR48107:SF18', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE FAMILY PROTEIN, EXPRESSED', 64942),
(121217, 'PTHR12322:SF106', NULL, NULL, NULL, NULL, 'DM (DOUBLESEX/MAB-3) DOMAIN FAMILY-RELATED', 64943),
(121218, 'PTHR45929:SF3', NULL, NULL, NULL, NULL, 'JAK PATHWAY SIGNAL TRANSDUCTION ADAPTOR MOLECULE', 64944),
(121219, 'PTHR13457:SF2', NULL, NULL, NULL, NULL, 'BNAA05G30840D PROTEIN', 64945),
(121220, 'PTHR47987:SF10', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-PROTEIN KINASE RBK2 ISOFORM X1', 64946),
(121221, 'PTHR11743', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL', 64947),
(121222, 'PTHR17204:SF30', NULL, NULL, NULL, NULL, 'BNAC05G39480D PROTEIN', 64948),
(121223, 'PTHR43243:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64949),
(121224, 'PTHR30126:SF78', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORS, LYSR FAMILY', 64950),
(121225, 'PTHR31291:SF2', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE FTO', 64951),
(121226, 'PTHR24416:SF52', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR RECEPTOR ALPHA', 64952),
(121227, 'PTHR24373:SF296', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE NEURONAL PROTEIN 3', 64953),
(121228, 'PTHR11260:SF535', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64954),
(121229, 'PTHR31080:SF190', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', 64955),
(121230, 'PTHR43677', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE', 64956),
(121231, 'PTHR42908:SF29', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION ELONGATION FACTOR 2A, TANDEM DUPLICATE 1-RELATED', 64957);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(121232, 'PTHR47183:SF2', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE CYTIDYLYLTRANSFERASE-RELATED', 64958),
(121233, 'PTHR12864:SF20', NULL, NULL, NULL, NULL, 'PROTEIN SSH4', 64959),
(121234, 'PTHR12603', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX RELATED', 64960),
(121235, 'PTHR45647:SF73', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', 64961),
(121236, 'PTHR46327:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', 64962),
(121237, 'PTHR12308:SF36', NULL, NULL, NULL, NULL, 'ANOCTAMIN', 64963),
(121238, 'PTHR33922:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64964),
(121239, 'PTHR16515:SF34', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 15', 64965),
(121240, 'PTHR46623:SF7', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE HOMOLOG ISOFORM X1', 64966),
(121241, 'PTHR31987:SF11', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN PHOSPHATASE', 64967),
(121242, 'PTHR24177:SF293', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT, PH AND SEC7 DOMAIN CONTAINING PROTEIN SECG-LIKE', 64968),
(121243, 'PTHR45798:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64969),
(121244, 'PTHR10788:SF99', NULL, NULL, NULL, NULL, 'TREHALOSE PHOSPHATASE/SYNTHASE 11-RELATED', 64970),
(121245, 'PTHR43874:SF50', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR3-RELATED', 64971),
(121246, 'PTHR22780:SF31', NULL, NULL, NULL, NULL, 'OS02G0805000 PROTEIN', 64972),
(121247, 'PTHR19328:SF40', NULL, NULL, NULL, NULL, 'BLL0591 PROTEIN', 64973),
(121248, 'PTHR13720:SF15', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE 3', 64974),
(121249, 'PTHR12752:SF7', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 4', 64975),
(121250, 'PTHR46084:SF32', NULL, NULL, NULL, NULL, 'BNAC04G25160D PROTEIN', 64976),
(121251, 'PTHR47978:SF27', NULL, NULL, NULL, NULL, 'BNAA05G26830D PROTEIN', 64977),
(121252, 'PTHR21139:SF17', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE A', 64978),
(121253, 'PTHR31948:SF119', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 7', 64979),
(121254, 'PTHR45684:SF32', NULL, NULL, NULL, NULL, 'PROTEIN SAR1A, PUTATIVE, EXPRESSED-RELATED', 64980),
(121255, 'PTHR23257:SF821', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE EDR1-LIKE', 64981),
(121256, 'PTHR43452:SF7', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 1', 64982),
(121257, 'PTHR11441:SF3', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE A', 64983),
(121258, 'PTHR31985:SF215', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF036-LIKE', 64984),
(121259, 'PTHR10519:SF66', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR-LIKE PROTEIN P', 64985),
(121260, 'PTHR35367:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64986),
(121261, 'PTHR47990:SF165', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20-OXIDASE', 64987),
(121262, 'PTHR31218:SF14', NULL, NULL, NULL, NULL, 'OS11G0588100 PROTEIN', 64988),
(121263, 'PTHR33836', NULL, NULL, NULL, NULL, 'LOW-TEMPERATURE-INDUCED 65 KDA PROTEIN-RELATED', 64989),
(121264, 'PTHR21021:SF16', NULL, NULL, NULL, NULL, 'TIP41-LIKE PROTEIN', 64990),
(121265, 'PTHR32085', NULL, NULL, NULL, NULL, 'PROTEIN CSF1', 64991),
(121266, 'PTHR47691', NULL, NULL, NULL, NULL, 'REGULATOR-RELATED', 64992),
(121267, 'PTHR48204', NULL, NULL, NULL, NULL, 'OS07G0265100 PROTEIN', 64993),
(121268, 'PTHR35369', NULL, NULL, NULL, NULL, 'BLR3025 PROTEIN-RELATED', 64994),
(121269, 'PTHR33167:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64995),
(121270, 'PTHR31235:SF209', NULL, NULL, NULL, NULL, 'PEROXIDASE', 64996),
(121271, 'PTHR43296:SF9', NULL, NULL, NULL, NULL, 'PEROXISOMAL 2,4-DIENOYL-COA REDUCTASE-LIKE', 64997),
(121272, 'PTHR35311:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 64998),
(121273, 'PTHR47123:SF19', NULL, NULL, NULL, NULL, 'BNAC03G26810D PROTEIN', 64999),
(121274, 'PTHR31953:SF85', NULL, NULL, NULL, NULL, 'SUCROSE:SUCROSE 1-FRUCTOSYLTRANSFERASE', 65000),
(121275, 'PTHR47942:SF15', NULL, NULL, NULL, NULL, 'OS12G0557800 PROTEIN', 65001);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(121276, 'PTHR21535:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65002),
(121277, 'PTHR11736:SF64', NULL, NULL, NULL, NULL, 'MELANOMA ANTIGEN, FAMILY A, 4', 65003),
(121278, 'PTHR32444:SF112', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 65004),
(121279, 'PTHR33512:SF8', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1191)-RELATED', 65005),
(121280, 'PTHR33083:SF81', NULL, NULL, NULL, NULL, 'OS10G0481000 PROTEIN', 65006),
(121281, 'PTHR10334:SF416', NULL, NULL, NULL, NULL, 'BNACNNG34500D PROTEIN', 65007),
(121282, 'PTHR10795:SF652', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65008),
(121283, 'PTHR10638:SF68', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 65009),
(121284, 'PTHR46046:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP10', 65010),
(121285, 'PTHR15937:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 7 SUPERFAMILY MEMBER 3', 65011),
(121286, 'PTHR13280', NULL, NULL, NULL, NULL, 'PHOSPHOFURIN ACIDIC CLUSTER SORTING PROTEIN', 65012),
(121287, 'PTHR33167:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65013),
(121288, 'PTHR12203:SF55', NULL, NULL, NULL, NULL, 'O-GLUCOSYLTRANSFERASE RUMI-LIKE PROTEIN', 65014),
(121289, 'PTHR48090:SF4', NULL, NULL, NULL, NULL, 'GLUCOSYL-3-PHOSPHOGLYCERATE SYNTHASE', 65015),
(121290, 'PTHR48069:SF4', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE', 65016),
(121291, 'PTHR35699', NULL, NULL, NULL, NULL, 'F2J10.10 PROTEIN', 65017),
(121292, 'PTHR45974:SF44', NULL, NULL, NULL, NULL, 'BNAA09G29620D PROTEIN', 65018),
(121293, 'PTHR34592:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 65019),
(121294, 'PTHR24377:SF812', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 543', 65020),
(121295, 'PTHR33361:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65021),
(121296, 'PTHR12281:SF21', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', 65022),
(121297, 'PTHR23117:SF21', NULL, NULL, NULL, NULL, 'GUANYLATE KINASE 1', 65023),
(121298, 'PTHR12537:SF166', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 18-RELATED', 65024),
(121299, 'PTHR31147:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65025),
(121300, 'PTHR24072:SF28', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHO2', 65026),
(121301, 'PTHR45640:SF30', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-11', 65027),
(121302, 'PTHR11024:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SEC13 HOMOLOG', 65028),
(121303, 'PTHR48048:SF28', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 65029),
(121304, 'PTHR31731:SF114', NULL, NULL, NULL, NULL, 'KDA PROLINE-RICH PROTEIN DC2.15, PUTATIVE-RELATED', 65030),
(121305, 'PTHR12147:SF44', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM METALLOPEPTIDASE 1-RELATED', 65031),
(121306, 'PTHR37534:SF26', NULL, NULL, NULL, NULL, 'PRO1A C6 ZINK-FINGER PROTEIN', 65032),
(121307, 'PTHR14069:SF0', NULL, NULL, NULL, NULL, 'FILENSIN', 65033),
(121308, 'PTHR24286:SF152', NULL, NULL, NULL, NULL, 'OS07G0519100 PROTEIN', 65034),
(121309, 'PTHR13817:SF95', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY DCC SUBCLASS MEMBER 4', 65035),
(121310, 'PTHR43096:SF47', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 65036),
(121311, 'PTHR31218:SF253', NULL, NULL, NULL, NULL, 'NODULIN MTN21/EAMA-LIKE TRANSPORTER FAMILY PROTEIN', 65037),
(121312, 'PTHR40027:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DIVIC', 65038),
(121313, 'PTHR47967:SF48', NULL, NULL, NULL, NULL, 'OS08G0469100 PROTEIN', 65039),
(121314, 'PTHR11972:SF44', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN E', 65040),
(121315, 'PTHR47989:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN CCR2', 65041),
(121316, 'PTHR46005:SF1', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 35', 65042),
(121317, 'PTHR23326', NULL, NULL, NULL, NULL, 'CCR4 NOT-RELATED', 65043),
(121318, 'PTHR10353:SF262', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 65044),
(121319, 'PTHR46371:SF25', NULL, NULL, NULL, NULL, 'BNAA05G30010D PROTEIN', 65045),
(121320, 'PTHR15237:SF2', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT CONTROL PROTEIN RAD9B', 65046);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(121321, 'PTHR12035:SF117', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 9', 65047),
(121322, 'PTHR33377:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65048),
(121323, 'PTHR46312', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 65049),
(121324, 'PTHR31065:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65050),
(121325, 'PTHR33599', NULL, NULL, NULL, NULL, 'PROTEIN IDA-LIKE 5', 65051),
(121326, 'PTHR11003:SF274', NULL, NULL, NULL, NULL, 'TWO-PORE POTASSIUM CHANNEL 2', 65052),
(121327, 'PTHR23149:SF26', NULL, NULL, NULL, NULL, 'PROTEIN TMA23', 65053),
(121328, 'PTHR36806:SF1', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE', 65054),
(121329, 'PTHR12542:SF143', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 65055),
(121330, 'PTHR37314:SF2', NULL, NULL, NULL, NULL, 'SLR0142 PROTEIN', 65056),
(121331, 'PTHR12151:SF3', NULL, NULL, NULL, NULL, 'C OXIDASE ASSEMBLY FACTOR, PUTATIVE ELECTRON TRANSPORT PROTEIN SCO1/2, PUTATIVE-RELATED', 65057),
(121332, 'PTHR11863:SF129', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 2', 65058),
(121333, 'PTHR22802:SF246', NULL, NULL, NULL, NULL, 'CD209 ANTIGEN-LIKE PROTEIN C', 65059),
(121334, 'PTHR11886:SF82', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 65060),
(121335, 'PTHR12110', NULL, NULL, NULL, NULL, 'HYDROXYPYRUVATE ISOMERASE', 65061),
(121336, 'PTHR33647:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65062),
(121337, 'PTHR48024:SF23', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN ARP1-RELATED', 65063),
(121338, 'PTHR45564:SF5', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT 2 B, CHLOROPLASTIC', 65064),
(121339, 'PTHR11360:SF153', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', 65065),
(121340, 'PTHR15344:SF17', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN (RHO GTPASE-BINDING) 1B', 65066),
(121341, 'PTHR24567:SF71', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE PAT', 65067),
(121342, 'PTHR32227:SF332', NULL, NULL, NULL, NULL, 'BNAA03G11520D PROTEIN', 65068),
(121343, 'PTHR13683:SF814', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE ASP1-LIKE', 65069),
(121344, 'PTHR24068:SF338', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 25-RELATED', 65070),
(121345, 'PTHR32278', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 65071),
(121346, 'PTHR30290:SF73', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORT SYSTEM SECRETED PEPTIDE-BINDING PROTEIN-RELATED', 65072),
(121347, 'PTHR12338:SF8', NULL, NULL, NULL, NULL, 'ANTIGEN 43', 65073),
(121348, 'PTHR46592:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65074),
(121349, 'PTHR46871:SF1', NULL, NULL, NULL, NULL, 'BROMO-ADJACENT HOMOLOGY (BAH) DOMAIN-CONTAINING PROTEIN', 65075),
(121350, 'PTHR10909:SF383', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACYL-COENZYME A OXIDASE 1', 65076),
(121351, 'PTHR23049:SF58', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 12B', 65077),
(121352, 'PTHR48062:SF23', NULL, NULL, NULL, NULL, 'PIRIFORMOSPORA INDICA-INSENSITIVE-LIKE PROTEIN', 65078),
(121353, 'PTHR11653:SF18', NULL, NULL, NULL, NULL, 'PARVALBUMIN 4-RELATED', 65079),
(121354, 'PTHR31893:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 151 HOMOLOG', 65080),
(121355, 'PTHR45800:SF21', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 8', 65081),
(121356, 'PTHR31676:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65082),
(121357, 'PTHR42041', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 65083),
(121358, 'PTHR24381:SF53', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 404', 65084),
(121359, 'PTHR44137:SF39', NULL, NULL, NULL, NULL, 'MOLECULAR CHAPERONE HSP40/DNAJ FAMILY PROTEIN', 65085),
(121360, 'PTHR43031:SF11', NULL, NULL, NULL, NULL, 'RHODANESE-RELATED SULFURTRANSFERASES', 65086),
(121361, 'PTHR16517:SF103', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 2', 65087),
(121362, 'PTHR11937:SF447', NULL, NULL, NULL, NULL, 'BNAC04G48100D PROTEIN', 65088),
(121363, 'PTHR47022:SF1', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN-CONTAINING PROTEIN 36-RELATED', 65089),
(121364, 'PTHR11091:SF3', NULL, NULL, NULL, NULL, '2,3-DIKETO-L-GULONATE REDUCTASE', 65090);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(121365, 'PTHR43791:SF67', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G04010)-RELATED', 65091),
(121366, 'PTHR42916:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHYLLO, CHLOROPLASTIC', 65092),
(121367, 'PTHR26453:SF245', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 65093),
(121368, 'PTHR10353:SF158', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 11', 65094),
(121369, 'PTHR11785:SF512', NULL, NULL, NULL, NULL, 'FRUCTOSELYSINE/PSICOSELYSINE TRANSPORTER FRLA-RELATED', 65095),
(121370, 'PTHR48008:SF12', NULL, NULL, NULL, NULL, 'EPHRIN RECEPTOR TYPE-A /TYPE-B-RELATED', 65096),
(121371, 'PTHR47976:SF34', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', 65097),
(121372, 'PTHR43591:SF69', NULL, NULL, NULL, NULL, '2-PHYTYL-1,4-BETA-NAPHTHOQUINONE METHYLTRANSFERASE, CHLOROPLASTIC', 65098),
(121373, 'PTHR14167:SF85', NULL, NULL, NULL, NULL, 'SORBIN HOMOLOG', 65099),
(121374, 'PTHR12558:SF9', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 16 HOMOLOG', 65100),
(121375, 'PTHR24056:SF443', NULL, NULL, NULL, NULL, 'BNAA06G23890D PROTEIN', 65101),
(121376, 'PTHR24414:SF174', NULL, NULL, NULL, NULL, 'BNAA06G40530D PROTEIN', 65102),
(121377, 'PTHR37998', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 262', 65103),
(121378, 'PTHR24349:SF401', NULL, NULL, NULL, NULL, 'BNAA08G24650D PROTEIN', 65104),
(121379, 'PTHR48231:SF1', NULL, NULL, NULL, NULL, 'KUA-UBIQUITIN CONJUGATING ENZYME HYBRID,LOCALISATION', 65105),
(121380, 'PTHR48019:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65106),
(121381, 'PTHR15241:SF339', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN 24', 65107),
(121382, 'PTHR47950:SF6', NULL, NULL, NULL, NULL, '3''-HYDROXYLASE ISOZYME, PUTATIVE-RELATED', 65108),
(121383, 'PTHR21230:SF64', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT THROUGH INTERACTION WITH T-SNARES HOMOLOG 1B', 65109),
(121384, 'PTHR33743:SF12', NULL, NULL, NULL, NULL, 'OS04G0643800 PROTEIN', 65110),
(121385, 'PTHR11005:SF111', NULL, NULL, NULL, NULL, 'LIPASE', 65111),
(121386, 'PTHR34789:SF3', NULL, NULL, NULL, NULL, 'BNAA07G01290D PROTEIN', 65112),
(121387, 'PTHR31283:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65113),
(121388, 'PTHR44203:SF7', NULL, NULL, NULL, NULL, 'BNAC03G21230D PROTEIN', 65114),
(121389, 'PTHR23500:SF6', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 4-RELATED', 65115),
(121390, 'PTHR23500:SF571', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65116),
(121391, 'PTHR45693:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PERIANTHIA', 65117),
(121392, 'PTHR30086:SF17', NULL, NULL, NULL, NULL, 'AMINO ACID EFFLUX PERMEASE RHTB FAMILY-RELATED', 65118),
(121393, 'PTHR37534:SF12', NULL, NULL, NULL, NULL, 'NOSA PROTEIN', 65119),
(121394, 'PTHR25464:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF152', 65120),
(121395, 'PTHR39321:SF3', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE ADENYLYLTRANSFERASE-RELATED', 65121),
(121396, 'PTHR15057', NULL, NULL, NULL, NULL, 'STATHERIN', 65122),
(121397, 'PTHR11431:SF106', NULL, NULL, NULL, NULL, 'FERRITIN', 65123),
(121398, 'PTHR37740:SF1', NULL, NULL, NULL, NULL, 'OS02G0193500 PROTEIN', 65124),
(121399, 'PTHR14297', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORT PROTEIN XK FAMILY MEMBER', 65125),
(121400, 'PTHR24296:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65126),
(121401, 'PTHR24229:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65127),
(121402, 'PTHR23003:SF39', NULL, NULL, NULL, NULL, 'REGULATOR OF RDNA TRANSCRIPTION PROTEIN 5', 65128),
(121403, 'PTHR12458:SF8', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 20', 65129),
(121404, 'PTHR12169:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65130),
(121405, 'PTHR11505:SF213', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65131),
(121406, 'PTHR11654:SF327', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.1-RELATED', 65132),
(121407, 'PTHR43158', NULL, NULL, NULL, NULL, 'SKFA PEPTIDE EXPORT ATP-BINDING PROTEIN SKFE', 65133),
(121408, 'PTHR10615:SF196', NULL, NULL, NULL, NULL, 'BNAC02G00720D PROTEIN', 65134),
(121409, 'PTHR12096:SF0', NULL, NULL, NULL, NULL, 'SNW DOMAIN-CONTAINING PROTEIN 1', 65135);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(121410, 'PTHR10168:SF253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65136),
(121411, 'PTHR14186:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65137),
(121412, 'PTHR32012:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 182', 65138),
(121413, 'PTHR10694:SF120', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 4B-RELATED', 65139),
(121414, 'PTHR46116:SF17', NULL, NULL, NULL, NULL, 'OS01G0229900 PROTEIN', 65140),
(121415, 'PTHR31618:SF12', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', 65141),
(121416, 'PTHR33109:SF74', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 6', 65142),
(121417, 'PTHR30559:SF0', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 65143),
(121418, 'PTHR45113', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE A', 65144),
(121419, 'PTHR42085:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65145),
(121420, 'PTHR12085:SF5', NULL, NULL, NULL, NULL, 'BNAC09G39240D PROTEIN', 65146),
(121421, 'PTHR45758:SF15', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', 65147),
(121422, 'PTHR27003:SF353', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 65148),
(121423, 'PTHR33103:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65149),
(121424, 'PTHR47990:SF153', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 65150),
(121425, 'PTHR13136:SF13', NULL, NULL, NULL, NULL, 'KAT8 REGULATORY NSL COMPLEX SUBUNIT 3/TESTIS-EXPRESSED SEQUENCE 30 PROTEIN-RELATED', 65151),
(121426, 'PTHR10334:SF385', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', 65152),
(121427, 'PTHR47178:SF4', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE APTC', 65153),
(121428, 'PTHR46298:SF1', NULL, NULL, NULL, NULL, 'ANDROGLOBIN', 65154),
(121429, 'PTHR47293:SF7', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 34-RELATED', 65155),
(121430, 'PTHR31985:SF178', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF035', 65156),
(121431, 'PTHR12056', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III', 65157),
(121432, 'PTHR23070:SF126', NULL, NULL, NULL, NULL, 'P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', 65158),
(121433, 'PTHR34372:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C-4-RELATED', 65159),
(121434, 'PTHR24056:SF176', NULL, NULL, NULL, NULL, 'OS01G0367700 PROTEIN', 65160),
(121435, 'PTHR30352', NULL, NULL, NULL, NULL, 'PYRUVATE FORMATE-LYASE-ACTIVATING ENZYME', 65161),
(121436, 'PTHR10742:SF387', NULL, NULL, NULL, NULL, 'BNAC04G52890D PROTEIN', 65162),
(121437, 'PTHR34130', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 65163),
(121438, 'PTHR21592:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG03557', 65164),
(121439, 'PTHR45708:SF51', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 18 PROTEIN', 65165),
(121440, 'PTHR24282:SF206', NULL, NULL, NULL, NULL, 'STEROID C-22 OXYGENASE', 65166),
(121441, 'PTHR31444:SF39', NULL, NULL, NULL, NULL, 'PROTEIN IRX15-LIKE', 65167),
(121442, 'PTHR12247:SF62', NULL, NULL, NULL, NULL, 'SCM-LIKE WITH FOUR MBT DOMAINS PROTEIN 2', 65168),
(121443, 'PTHR23155:SF1033', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65169),
(121444, 'PTHR31356:SF52', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 4, PEROXISOMAL-RELATED', 65170),
(121445, 'PTHR34496:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65171),
(121446, 'PTHR46219:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG10467', 65172),
(121447, 'PTHR47990:SF29', NULL, NULL, NULL, NULL, 'BNAC03G30370D PROTEIN', 65173),
(121448, 'PTHR42111', NULL, NULL, NULL, NULL, 'YALI0D23727P', 65174),
(121449, 'PTHR33090:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65175),
(121450, 'PTHR31325:SF218', NULL, NULL, NULL, NULL, 'OS01G0143400 PROTEIN', 65176),
(121451, 'PTHR32077:SF43', NULL, NULL, NULL, NULL, 'OSJNBA0089K21.15 PROTEIN', 65177),
(121452, 'PTHR21541', NULL, NULL, NULL, NULL, 'BTB  POZ  DOMAIN CONTAINING 12', 65178);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(121453, 'PTHR44337:SF5', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 6', 65179),
(121454, 'PTHR11011:SF91', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 65180),
(121455, 'PTHR22849:SF113', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 29', 65181),
(121456, 'PTHR45648:SF120', NULL, NULL, NULL, NULL, 'OS04G0561800 PROTEIN', 65182),
(121457, 'PTHR24326:SF597', NULL, NULL, NULL, NULL, 'BNAA02G11290D PROTEIN', 65183),
(121458, 'PTHR45667:SF24', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE CARRIER 2, CHLOROPLASTIC-RELATED', 65184),
(121459, 'PTHR10996:SF147', NULL, NULL, NULL, NULL, 'OSJNBB0085F13.13 PROTEIN', 65185),
(121460, 'PTHR23101:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65186),
(121461, 'PTHR18947:SF41', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 88B', 65187),
(121462, 'PTHR23219:SF13', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE C15H7.3-RELATED', 65188),
(121463, 'PTHR47928:SF130', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 65189),
(121464, 'PTHR24381:SF138', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 619', 65190),
(121465, 'PTHR10795:SF630', NULL, NULL, NULL, NULL, 'CUCUMISIN PROTEIN', 65191),
(121466, 'PTHR28554', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L45, MITOCHONDRIAL', 65192),
(121467, 'PTHR11347:SF115', NULL, NULL, NULL, NULL, 'ROD CGMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE SUBUNIT ALPHA', 65193),
(121468, 'PTHR36854:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', 65194),
(121469, 'PTHR36350', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 65195),
(121470, 'PTHR32100:SF19', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL OELATE/LINOLEIC ACID DELTA DESATURASE (EUROFUNG)', 65196),
(121471, 'PTHR13318:SF150', NULL, NULL, NULL, NULL, 'F-BOX/LRR-LIKE PROTEIN', 65197),
(121472, 'PTHR31989:SF269', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 60', 65198),
(121473, 'PTHR23273:SF68', NULL, NULL, NULL, NULL, 'BNAC08G15530D PROTEIN', 65199),
(121474, 'PTHR22781:SF13', NULL, NULL, NULL, NULL, 'BNACNNG77970D PROTEIN', 65200),
(121475, 'PTHR10257:SF73', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 57 KDA REGULATORY SUBUNIT B'' THETA ISOFORM', 65201),
(121476, 'PTHR47364:SF26', NULL, NULL, NULL, NULL, 'BNAANNG17020D PROTEIN', 65202),
(121477, 'PTHR11232:SF2', NULL, NULL, NULL, NULL, 'FI05246P', 65203),
(121478, 'PTHR36221', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 65204),
(121479, 'PTHR22442:SF3', NULL, NULL, NULL, NULL, 'SOLUBLE LAMIN-ASSOCIATED PROTEIN OF 75 KDA', 65205),
(121480, 'PTHR10635:SF2', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA', 65206),
(121481, 'PTHR23079:SF17', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 65207),
(121482, 'PTHR11913:SF20', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 11', 65208),
(121483, 'PTHR24416:SF113', NULL, NULL, NULL, NULL, 'MACROPHAGE-STIMULATING PROTEIN RECEPTOR', 65209),
(121484, 'PTHR11266:SF28', NULL, NULL, NULL, NULL, 'SI:CH211-120K19.1', 65210),
(121485, 'PTHR33067:SF22', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG DOMAIN, ASPARTIC PEPTIDASE DOMAIN PROTEIN-RELATED', 65211),
(121486, 'PTHR11640:SF136', NULL, NULL, NULL, NULL, 'NEPHRIN', 65212),
(121487, 'PTHR24359:SF31', NULL, NULL, NULL, NULL, 'BNAC08G43810D PROTEIN', 65213),
(121488, 'PTHR30074:SF5', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE, NITRATE-INDUCIBLE, CYTOCHROME B556(FDN) SUBUNIT', 65214),
(121489, 'PTHR36578:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', 65215),
(121490, 'PTHR11003:SF111', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 65216),
(121491, 'PTHR27004:SF352', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65217),
(121492, 'PTHR19375:SF356', NULL, NULL, NULL, NULL, 'OS09G0491772 PROTEIN', 65218),
(121493, 'PTHR31650:SF28', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE ISOFORM X1', 65219),
(121494, 'PTHR28595:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L54, MITOCHONDRIAL', 65220),
(121495, 'PTHR34145:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65221);
INSERT INTO "PUBLIC"."MODEL" VALUES
(121496, 'PTHR12191:SF32', NULL, NULL, NULL, NULL, 'ZRT (ZRT), IRT-(IRT-) LIKE PROTEIN TRANSPORTER', 65222),
(121497, 'PTHR11738:SF129', NULL, NULL, NULL, NULL, 'LEUKOCYTE-ASSOCIATED IMMUNOGLOBULIN-LIKE RECEPTOR 2', 65223),
(121498, 'PTHR34367:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65224),
(121499, 'PTHR11214:SF306', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 65225),
(121500, 'PTHR19965', NULL, NULL, NULL, NULL, 'RNA AND EXPORT FACTOR BINDING PROTEIN', 65226),
(121501, 'PTHR30164', NULL, NULL, NULL, NULL, 'MTFA PEPTIDASE', 65227),
(121502, 'PTHR24414:SF128', NULL, NULL, NULL, NULL, 'BNACNNG44470D PROTEIN', 65228),
(121503, 'PTHR24064:SF335', NULL, NULL, NULL, NULL, 'FI24011P1-RELATED', 65229),
(121504, 'PTHR24361:SF739', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE OSR1-LIKE', 65230),
(121505, 'PTHR24033:SF186', NULL, NULL, NULL, NULL, 'PROTEIN EYES SHUT HOMOLOG', 65231),
(121506, 'PTHR43704:SF3', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN ASNC/LRP FAMILY', 65232),
(121507, 'PTHR23235:SF67', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 352', 65233),
(121508, 'PTHR15407:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG11699', 65234),
(121509, 'PTHR14898:SF2', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB-LIKE PROTEIN', 65235),
(121510, 'PTHR31257', NULL, NULL, NULL, NULL, 'RICIN B-LIKE LECTIN EULS3', 65236),
(121511, 'PTHR11926:SF1134', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 65237),
(121512, 'PTHR10353:SF122', NULL, NULL, NULL, NULL, '6-PHOSPHO-BETA-GLUCOSIDASE ASCB-RELATED', 65238),
(121513, 'PTHR48041:SF75', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY G MEMBER 4', 65239),
(121514, 'PTHR24366:SF109', NULL, NULL, NULL, NULL, 'PROTEIN SINGED WINGS 2', 65240),
(121515, 'PTHR11599', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA/BETA', 65241),
(121516, 'PTHR43719:SF54', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', 65242),
(121517, 'PTHR14304:SF12', NULL, NULL, NULL, NULL, 'CELL CYCLE AND APOPTOSIS REGULATOR PROTEIN 2', 65243),
(121518, 'PTHR10744:SF33', NULL, NULL, NULL, NULL, 'BNAANNG30090D PROTEIN', 65244),
(121519, 'PTHR10826:SF1', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT 1 Q SUBCOMPONENT-BINDING PROTEIN, MITOCHONDRIAL', 65245),
(121520, 'PTHR46288:SF44', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 65246),
(121521, 'PTHR22996:SF20', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', 65247),
(121522, 'PTHR34777:SF18', NULL, NULL, NULL, NULL, 'OS02G0251800 PROTEIN', 65248),
(121523, 'PTHR33133:SF5', NULL, NULL, NULL, NULL, 'OS08G0107100 PROTEIN', 65249),
(121524, 'PTHR24253:SF55', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 13', 65250),
(121525, 'PTHR43536:SF1', NULL, NULL, NULL, NULL, 'MANNOSYLGLYCOPROTEIN ENDO-BETA-MANNOSIDASE', 65251),
(121526, 'PTHR36031', NULL, NULL, NULL, NULL, 'F21O3.15 PROTEIN', 65252),
(121527, 'PTHR10105:SF3', NULL, NULL, NULL, NULL, 'SELENOPROTEIN P', 65253),
(121528, 'PTHR24230:SF31', NULL, NULL, NULL, NULL, 'GALANIN RECEPTOR TYPE 1', 65254),
(121529, 'PTHR11960:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65255),
(121530, 'PTHR11588:SF344', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 65256),
(121531, 'PTHR11746:SF167', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE 3', 65257),
(121532, 'PTHR46183:SF15', NULL, NULL, NULL, NULL, 'BNAA09G41010D PROTEIN', 65258),
(121533, 'PTHR33463:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65259),
(121534, 'PTHR31989:SF177', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 76-LIKE', 65260),
(121535, 'PTHR10218:SF68', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(T) SUBUNIT ALPHA-2', 65261),
(121536, 'PTHR16517:SF122', NULL, NULL, NULL, NULL, 'BNAA05G14540D PROTEIN', 65262),
(121537, 'PTHR36365', NULL, NULL, NULL, NULL, 'OS05G0500400 PROTEIN', 65263),
(121538, 'PTHR24056:SF358', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE C', 65264),
(121539, 'PTHR11214:SF259', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 65265),
(121540, 'PTHR24281:SF115', NULL, NULL, NULL, NULL, 'BNACNNG68950D PROTEIN', 65266);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(121541, 'PTHR10629:SF50', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE CMT3', 65267),
(121542, 'PTHR43364:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65268),
(121543, 'PTHR24286:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65269),
(121544, 'PTHR45770:SF9', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 2', 65270),
(121545, 'PTHR43280:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 65271),
(121546, 'PTHR31707:SF162', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 51-RELATED', 65272),
(121547, 'PTHR47926:SF225', NULL, NULL, NULL, NULL, 'BNAA06G39630D PROTEIN', 65273),
(121548, 'PTHR13453:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65274),
(121549, 'PTHR31805:SF15', NULL, NULL, NULL, NULL, 'OF P53 PROTEIN 1, PUTATIVE-RELATED', 65275),
(121550, 'PTHR12893:SF0', NULL, NULL, NULL, NULL, 'GRASP65', 65276),
(121551, 'PTHR24326:SF525', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX25', 65277),
(121552, 'PTHR45626:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 2', 65278),
(121553, 'PTHR41251', NULL, NULL, NULL, NULL, 'NON-HOMOLOGOUS END JOINING PROTEIN KU', 65279),
(121554, 'PTHR22846:SF52', NULL, NULL, NULL, NULL, 'F-BOX-LIKE/WD REPEAT-CONTAINING PROTEIN TBL1Y', 65280),
(121555, 'PTHR27007:SF338', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VIII.1', 65281),
(121556, 'PTHR43830', NULL, NULL, NULL, NULL, 'PROTEIN PSP1', 65282),
(121557, 'PTHR24026:SF75', NULL, NULL, NULL, NULL, 'CADHERIN-RELATED FAMILY MEMBER 2', 65283),
(121558, 'PTHR10593:SF154', NULL, NULL, NULL, NULL, 'OS08G0467100 PROTEIN', 65284),
(121559, 'PTHR31325:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65285),
(121560, 'PTHR31174:SF4', NULL, NULL, NULL, NULL, 'OS03G0747500 PROTEIN', 65286),
(121561, 'PTHR48010:SF21', NULL, NULL, NULL, NULL, 'OS07G0681100 PROTEIN', 65287),
(121562, 'PTHR10291:SF35', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 65288),
(121563, 'PTHR43768:SF41', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', 65289),
(121564, 'PTHR21453:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG04724', 65290),
(121565, 'PTHR45589:SF5', NULL, NULL, NULL, NULL, 'MAPKBP1 ISOFORM 4', 65291),
(121566, 'PTHR34808:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65292),
(121567, 'PTHR15348:SF18', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 6', 65293),
(121568, 'PTHR11243:SF22', NULL, NULL, NULL, NULL, 'GROWTH FACTOR RECEPTOR-BOUND PROTEIN 14', 65294),
(121569, 'PTHR15272:SF3', NULL, NULL, NULL, NULL, 'OS07G0273301 PROTEIN', 65295),
(121570, 'PTHR10617', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN-UBIQUINONE OXIDOREDUCTASE', 65296),
(121571, 'PTHR16469:SF42', NULL, NULL, NULL, NULL, 'BNAA04G27410D PROTEIN', 65297),
(121572, 'PTHR32212:SF257', NULL, NULL, NULL, NULL, 'BNAA03G10780D PROTEIN', 65298),
(121573, 'PTHR35546:SF19', NULL, NULL, NULL, NULL, 'OS01G0876300 PROTEIN', 65299),
(121574, 'PTHR47925:SF72', NULL, NULL, NULL, NULL, 'BNAC09G43810D PROTEIN', 65300),
(121575, 'PTHR22753:SF37', NULL, NULL, NULL, NULL, 'BNAC02G36410D PROTEIN', 65301),
(121576, 'PTHR15048', NULL, NULL, NULL, NULL, 'STARCH-BINDING DOMAIN-CONTAINING PROTEIN 1', 65302),
(121577, 'PTHR31636:SF171', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL1-LIKE', 65303),
(121578, 'PTHR47549', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP38-RELATED', 65304),
(121579, 'PTHR31115:SF6', NULL, NULL, NULL, NULL, 'BNAA01G07190D PROTEIN', 65305),
(121580, 'PTHR33737:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65306),
(121581, 'PTHR23338:SF56', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM4-RELATED', 65307),
(121582, 'PTHR35834:SF2', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', 65308),
(121583, 'PTHR30071:SF15', NULL, NULL, NULL, NULL, 'PROTEIN HEMX', 65309),
(121584, 'PTHR46857:SF1', NULL, NULL, NULL, NULL, 'EPITHELIAL CELL-TRANSFORMING SEQUENCE 2 ONCOGENE-LIKE', 65310),
(121585, 'PTHR24033:SF163', NULL, NULL, NULL, NULL, 'PROTEIN CBG18408', 65311);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(121586, 'PTHR18861', NULL, NULL, NULL, NULL, 'ELKS/RAB6-INTERACTING/CAST PROTEIN', 65312),
(121587, 'PTHR22836:SF0', NULL, NULL, NULL, NULL, 'PRE-MRNA 3'' END PROCESSING PROTEIN WDR33', 65313),
(121588, 'PTHR43719:SF40', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', 65314),
(121589, 'PTHR23119:SF44', NULL, NULL, NULL, NULL, 'PROTEIN SCRIBBLE HOMOLOG', 65315),
(121590, 'PTHR11017:SF379', NULL, NULL, NULL, NULL, 'BNAA02G24560D PROTEIN', 65316),
(121591, 'PTHR11733:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65317),
(121592, 'PTHR23024:SF428', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', 65318),
(121593, 'PTHR12059:SF7', NULL, NULL, NULL, NULL, 'BNAC07G51330D PROTEIN', 65319),
(121594, 'PTHR11668:SF194', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE-RELATED', 65320),
(121595, 'PTHR19359:SF68', NULL, NULL, NULL, NULL, 'B5, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G07720)-RELATED', 65321),
(121596, 'PTHR30620:SF85', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 3 PROTEIN', 65322),
(121597, 'PTHR13620:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65323),
(121598, 'PTHR24251', NULL, NULL, NULL, NULL, 'OVOCHYMASE-RELATED', 65324),
(121599, 'PTHR47988:SF19', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 1-LIKE ISOFORM X1', 65325),
(121600, 'PTHR10182:SF28', NULL, NULL, NULL, NULL, 'BNAC09G20270D PROTEIN', 65326),
(121601, 'PTHR31692:SF82', NULL, NULL, NULL, NULL, 'EXPANSIN-B17', 65327),
(121602, 'PTHR11588:SF322', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-3C CHAIN-RELATED', 65328),
(121603, 'PTHR11481:SF11', NULL, NULL, NULL, NULL, 'HIGH AFFINITY IMMUNOGLOBULIN GAMMA FC RECEPTOR I-RELATED', 65329),
(121604, 'PTHR31072:SF175', NULL, NULL, NULL, NULL, 'BNAA02G28500D PROTEIN', 65330),
(121605, 'PTHR31860:SF13', NULL, NULL, NULL, NULL, 'BNAA09G42940D PROTEIN', 65331),
(121606, 'PTHR43378:SF2', NULL, NULL, NULL, NULL, 'UDP-3-O-ACYLGLUCOSAMINE N-ACYLTRANSFERASE 1, MITOCHONDRIAL-RELATED', 65332),
(121607, 'PTHR23119:SF50', NULL, NULL, NULL, NULL, 'ERBB2-INTERACTING PROTEIN', 65333),
(121608, 'PTHR24208:SF167', NULL, NULL, NULL, NULL, 'FI06571P', 65334),
(121609, 'PTHR31176:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG02297', 65335),
(121610, 'PTHR46684:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR FAMA', 65336),
(121611, 'PTHR33248:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65337),
(121612, 'PTHR27000:SF710', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE, PUTATIVE-RELATED', 65338),
(121613, 'PTHR24282:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65339),
(121614, 'PTHR10168:SF298', NULL, NULL, NULL, NULL, 'BNAC06G18660D PROTEIN', 65340),
(121615, 'PTHR31221:SF253', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 23', 65341),
(121616, 'PTHR10168:SF200', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S6', 65342),
(121617, 'PTHR11157:SF29', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 5', 65343),
(121618, 'PTHR21551:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ASSOCIATED WITH TOPO II RELATED-1, ISOFORM A', 65344),
(121619, 'PTHR45614:SF38', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 100-RELATED', 65345),
(121620, 'PTHR11817:SF40', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE 1', 65346),
(121621, 'PTHR43795:SF30', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-RELATED PROTEIN 1', 65347),
(121622, 'PTHR10366:SF405', NULL, NULL, NULL, NULL, 'OS02G0678400 PROTEIN', 65348),
(121623, 'PTHR32044:SF21', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 3-RELATED', 65349),
(121624, 'PTHR31225:SF99', NULL, NULL, NULL, NULL, '(3S)-LINALOOL/(E)-NEROLIDOL/(E,E)-GERANYL LINALOOL SYNTHASE', 65350),
(121625, 'PTHR24103:SF588', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF CONTAINING 8', 65351),
(121626, 'PTHR15221:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 3', 65352),
(121627, 'PTHR10578:SF110', NULL, NULL, NULL, NULL, '(S)-2-HYDROXY-ACID OXIDASE GLO2', 65353),
(121628, 'PTHR11183:SF142', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 2', 65354);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(121629, 'PTHR21230:SF27', NULL, NULL, NULL, NULL, 'NOVEL PLANT SNARE 11', 65355),
(121630, 'PTHR45792:SF8', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL LIPASE HOMOLOG', 65356),
(121631, 'PTHR31625:SF70', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 65357),
(121632, 'PTHR45869:SF6', NULL, NULL, NULL, NULL, 'MUCOSAL PENTRAXIN-RELATED', 65358),
(121633, 'PTHR46021:SF3', NULL, NULL, NULL, NULL, 'ZGC:92360', 65359),
(121634, 'PTHR31168:SF17', NULL, NULL, NULL, NULL, 'OS09G0327000 PROTEIN', 65360),
(121635, 'PTHR22750:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65361),
(121636, 'PTHR19443:SF74', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', 65362),
(121637, 'PTHR31775:SF17', NULL, NULL, NULL, NULL, 'OS02G0117200 PROTEIN', 65363),
(121638, 'PTHR31901:SF64', NULL, NULL, NULL, NULL, 'GH3 FAMILY-RELATED', 65364),
(121639, 'PTHR42756', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, MARR', 65365),
(121640, 'PTHR46022:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PATCHED HOMOLOG 1', 65366),
(121641, 'PTHR45650:SF37', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE SUPERFAMILY PROTEIN', 65367),
(121642, 'PTHR24230:SF32', NULL, NULL, NULL, NULL, 'RELAXIN-3 RECEPTOR 2', 65368),
(121643, 'PTHR48020:SF17', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G06870)-RELATED', 65369),
(121644, 'PTHR34546:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65370),
(121645, 'PTHR32212:SF324', NULL, NULL, NULL, NULL, 'BNAC06G41100D PROTEIN', 65371),
(121646, 'PTHR23500:SF30', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 3', 65372),
(121647, 'PTHR11360:SF20', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 7', 65373),
(121648, 'PTHR38324', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 158', 65374),
(121649, 'PTHR18964:SF147', NULL, NULL, NULL, NULL, 'FRUCTOKINASE', 65375),
(121650, 'PTHR14110:SF13', NULL, NULL, NULL, NULL, 'OS02G0526500 PROTEIN', 65376),
(121651, 'PTHR47572', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', 65377),
(121652, 'PTHR11461:SF186', NULL, NULL, NULL, NULL, 'SERPIN B4', 65378),
(121653, 'PTHR44313:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 17', 65379),
(121654, 'PTHR31585:SF46', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 2-RELATED', 65380),
(121655, 'PTHR43597:SF7', NULL, NULL, NULL, NULL, 'BNAC02G17580D PROTEIN', 65381),
(121656, 'PTHR37706', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 65382),
(121657, 'PTHR21425', NULL, NULL, NULL, NULL, 'NICE-3', 65383),
(121658, 'PTHR21286:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP160', 65384),
(121659, 'PTHR48054:SF6', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 65385),
(121660, 'PTHR31422:SF17', NULL, NULL, NULL, NULL, 'OS08G0269000 PROTEIN', 65386),
(121661, 'PTHR32278:SF59', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B12 ISOFORM X1-RELATED', 65387),
(121662, 'PTHR15496', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 4 FAMILY', 65388),
(121663, 'PTHR37871:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 22', 65389),
(121664, 'PTHR46224:SF48', NULL, NULL, NULL, NULL, 'OS02G0492900 PROTEIN', 65390),
(121665, 'PTHR39652:SF1', NULL, NULL, NULL, NULL, 'UPF0201 PROTEIN TK1335', 65391),
(121666, 'PTHR42780:SF2', NULL, NULL, NULL, NULL, 'BNAUNNG00270D PROTEIN', 65392),
(121667, 'PTHR31704:SF44', NULL, NULL, NULL, NULL, 'BNAA03G53150D PROTEIN', 65393),
(121668, 'PTHR21708:SF40', NULL, NULL, NULL, NULL, 'REDUCTASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14497)-RELATED', 65394),
(121669, 'PTHR46784', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY B MEMBER 1', 65395),
(121670, 'PTHR33972:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65396),
(121671, 'PTHR13315:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TED1', 65397),
(121672, 'PTHR24327:SF35', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC HOMEOBOX PROTEIN HOMOLOG', 65398),
(121673, 'PTHR47236:SF2', NULL, NULL, NULL, NULL, 'GENE, 32742-RELATED', 65399),
(121674, 'PTHR11709:SF291', NULL, NULL, NULL, NULL, 'LACCASE', 65400); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(121675, 'PTHR12538:SF21', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', 65401),
(121676, 'PTHR19431:SF1', NULL, NULL, NULL, NULL, 'OS07G0180900 PROTEIN', 65402),
(121677, 'PTHR47990:SF54', NULL, NULL, NULL, NULL, 'NON-HEME DIOXYGENASE IN MORPHINE SYNTHESIS AMINO-TERMINAL PROTEIN', 65403),
(121678, 'PTHR24637:SF260', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 80-RELATED', 65404),
(121679, 'PTHR47372:SF23', NULL, NULL, NULL, NULL, 'BNAA03G57480D PROTEIN', 65405),
(121680, 'PTHR31022:SF4', NULL, NULL, NULL, NULL, 'CENTRIOLE, CILIA AND SPINDLE-ASSOCIATED PROTEIN', 65406),
(121681, 'PTHR32468:SF71', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 2', 65407),
(121682, 'PTHR22850:SF206', NULL, NULL, NULL, NULL, 'BNAANNG11080D PROTEIN', 65408),
(121683, 'PTHR47963:SF1', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE CSHB', 65409),
(121684, 'PTHR13691:SF52', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L8-LIKE', 65410),
(121685, 'PTHR10891:SF801', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 30', 65411),
(121686, 'PTHR31342:SF40', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 65412),
(121687, 'PTHR45767:SF6', NULL, NULL, NULL, NULL, 'FORKHEAD BOX O6 B', 65413),
(121688, 'PTHR17554:SF2', NULL, NULL, NULL, NULL, 'TYRO PROTEIN TYROSINE KINASE-BINDING PROTEIN', 65414),
(121689, 'PTHR45197', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04190)-RELATED', 65415),
(121690, 'PTHR48010:SF55', NULL, NULL, NULL, NULL, 'OS05G0588300 PROTEIN', 65416),
(121691, 'PTHR24028:SF294', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 10A', 65417),
(121692, 'PTHR48152:SF1', NULL, NULL, NULL, NULL, 'F1C9.34 PROTEIN', 65418),
(121693, 'PTHR39468', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 65419),
(121694, 'PTHR45651:SF85', NULL, NULL, NULL, NULL, 'BNAA04G14530D PROTEIN', 65420),
(121695, 'PTHR40465:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 65421),
(121696, 'PTHR31669:SF222', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5-LIKE ISOFORM X1', 65422),
(121697, 'PTHR33784:SF27', NULL, NULL, NULL, NULL, 'BNAA08G03080D PROTEIN', 65423),
(121698, 'PTHR31225:SF9', NULL, NULL, NULL, NULL, 'OS04G0344100 PROTEIN', 65424),
(121699, 'PTHR33389:SF3', NULL, NULL, NULL, NULL, 'OS07G0580700 PROTEIN', 65425),
(121700, 'PTHR45615:SF47', NULL, NULL, NULL, NULL, 'NON-MUSCLE MYOSIN', 65426),
(121701, 'PTHR13026:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA-PROCESSING 1', 65427),
(121702, 'PTHR12411:SF617', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE CP1', 65428),
(121703, 'PTHR38626:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG18294', 65429),
(121704, 'PTHR21575:SF12', NULL, NULL, NULL, NULL, 'PROTEIN HID1', 65430),
(121705, 'PTHR23050:SF438', NULL, NULL, NULL, NULL, 'CALMODULIN-7', 65431),
(121706, 'PTHR36715:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65432),
(121707, 'PTHR11751:SF473', NULL, NULL, NULL, NULL, 'ALANINE AMINOTRANSFERASE 2', 65433),
(121708, 'PTHR11005:SF118', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE 1', 65434),
(121709, 'PTHR43620:SF18', NULL, NULL, NULL, NULL, 'BNAC09G52640D PROTEIN', 65435),
(121710, 'PTHR34765:SF1', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 19', 65436),
(121711, 'PTHR21859:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FAM205A-RELATED', 65437),
(121712, 'PTHR26453:SF632', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2L8', 65438),
(121713, 'PTHR33110:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65439),
(121714, 'PTHR42923:SF20', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 65440),
(121715, 'PTHR11731:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65441),
(121716, 'PTHR33124:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH146', 65442),
(121717, 'PTHR48017:SF69', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 65443),
(121718, 'PTHR20516', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 114/235 FAMILY MEMBER', 65444),
(121719, 'PTHR12629', NULL, NULL, NULL, NULL, 'DIPHOSPHOINOSITOL POLYPHOSPHATE PHOSPHOHYDROLASE', 65445);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(121720, 'PTHR43272:SF82', NULL, NULL, NULL, NULL, 'BACTERIAL LONG-CHAIN FATTY ACID COA SYNTHETASE', 65446),
(121721, 'PTHR15486:SF77', NULL, NULL, NULL, NULL, 'OS08G0131300 PROTEIN', 65447),
(121722, 'PTHR31099:SF18', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC PROTEIN ASY2-RELATED', 65448),
(121723, 'PTHR10288:SF254', NULL, NULL, NULL, NULL, 'PROTEIN BTR1', 65449),
(121724, 'PTHR31568:SF87', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', 65450),
(121725, 'PTHR27001:SF178', NULL, NULL, NULL, NULL, 'OS06G0654600 PROTEIN', 65451),
(121726, 'PTHR31739:SF29', NULL, NULL, NULL, NULL, '(E,E)-GERANYLLINALOOL SYNTHASE-LIKE', 65452),
(121727, 'PTHR34808:SF9', NULL, NULL, NULL, NULL, 'OS04G0458800 PROTEIN', 65453),
(121728, 'PTHR37377:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65454),
(121729, 'PTHR12801:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65455),
(121730, 'PTHR39308:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65456),
(121731, 'PTHR21576:SF45', NULL, NULL, NULL, NULL, 'TRANSPORTER MCH1-RELATED', 65457),
(121732, 'PTHR48001:SF100', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 3A4-RELATED', 65458),
(121733, 'PTHR22812:SF112', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 1', 65459),
(121734, 'PTHR31101:SF2', NULL, NULL, NULL, NULL, 'UPF0547 PROTEIN C16ORF87', 65460),
(121735, 'PTHR23267:SF347', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 1-36', 65461),
(121736, 'PTHR37458:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65462),
(121737, 'PTHR45617:SF96', NULL, NULL, NULL, NULL, 'PROTEIN CBR-DMA-1', 65463),
(121738, 'PTHR11831:SF36', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9-2-LIKE', 65464),
(121739, 'PTHR15336:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6', 65465),
(121740, 'PTHR11863:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65466),
(121741, 'PTHR31279:SF66', NULL, NULL, NULL, NULL, 'PHOSPHATE-RESPONSIVE 1 FAMILY PROTEIN', 65467),
(121742, 'PTHR19321:SF33', NULL, NULL, NULL, NULL, 'BNAA04G15970D PROTEIN', 65468),
(121743, 'PTHR37323', NULL, NULL, NULL, NULL, 'GCN5-RELATED N-ACETYLTRANSFERASE', 65469),
(121744, 'PTHR32024:SF2', NULL, NULL, NULL, NULL, 'TRK SYSTEM POTASSIUM UPTAKE PROTEIN TRKG-RELATED', 65470),
(121745, 'PTHR33495:SF6', NULL, NULL, NULL, NULL, 'ANTI-SIGMA FACTOR ANTAGONIST', 65471),
(121746, 'PTHR12859:SF3', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 65472),
(121747, 'PTHR24055:SF459', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIM-1/2/3-RELATED', 65473),
(121748, 'PTHR11673', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 5A FAMILY MEMBER', 65474),
(121749, 'PTHR33052:SF87', NULL, NULL, NULL, NULL, 'POLY POLYMERASE', 65475),
(121750, 'PTHR34491:SF35', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', 65476),
(121751, 'PTHR13455:SF7', NULL, NULL, NULL, NULL, 'SIMJANG, ISOFORM E', 65477),
(121752, 'PTHR35977:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 71', 65478),
(121753, 'PTHR31503:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65479),
(121754, 'PTHR10161:SF51', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 65480),
(121755, 'PTHR24115:SF928', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7K, CHLOROPLASTIC', 65481),
(121756, 'PTHR31388:SF9', NULL, NULL, NULL, NULL, 'PEROXIDASE 11', 65482),
(121757, 'PTHR46538:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65483),
(121758, 'PTHR34297:SF3', NULL, NULL, NULL, NULL, 'ALKALINE SHOCK PROTEIN 23', 65484),
(121759, 'PTHR31514:SF1', NULL, NULL, NULL, NULL, 'MUSCULAR LMNA-INTERACTING PROTEIN', 65485),
(121760, 'PTHR43280:SF14', NULL, NULL, NULL, NULL, 'MELIBIOSE OPERON REGULATORY PROTEIN', 65486),
(121761, 'PTHR12027:SF111', NULL, NULL, NULL, NULL, 'PROTEIN WNT-4', 65487),
(121762, 'PTHR24241:SF161', NULL, NULL, NULL, NULL, 'ARGININE VASOPRESSIN RECEPTOR', 65488),
(121763, 'PTHR48056:SF45', NULL, NULL, NULL, NULL, 'BNAC07G31500D PROTEIN', 65489),
(121764, 'PTHR45036:SF3', NULL, NULL, NULL, NULL, 'BNAC06G30740D PROTEIN', 65490);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(121765, 'PTHR33883:SF7', NULL, NULL, NULL, NULL, 'WPP DOMAIN ASSOCIATED PROTEIN', 65491),
(121766, 'PTHR10174', NULL, NULL, NULL, NULL, 'ALPHA-TOCOPHEROL TRANSFER PROTEIN-RELATED', 65492),
(121767, 'PTHR23501:SF51', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN B', 65493),
(121768, 'PTHR11005:SF125', NULL, NULL, NULL, NULL, 'LIPASE', 65494),
(121769, 'PTHR46551:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65495),
(121770, 'PTHR11224:SF37', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MAKORIN-4-RELATED', 65496),
(121771, 'PTHR26453:SF670', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 65497),
(121772, 'PTHR34056', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN', 65498),
(121773, 'PTHR42773', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE-RELATED', 65499),
(121774, 'PTHR35182:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13762', 65500),
(121775, 'PTHR12181:SF56', NULL, NULL, NULL, NULL, 'PHOSPHATIDIC ACID PHOSPHOHYDROLASE', 65501),
(121776, 'PTHR10183:SF284', NULL, NULL, NULL, NULL, 'CALPAIN-1 CATALYTIC SUBUNIT', 65502),
(121777, 'PTHR31945:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65503),
(121778, 'PTHR46281:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B-3-LIKE', 65504),
(121779, 'PTHR36619', NULL, NULL, NULL, NULL, 'OS04G0208900 PROTEIN', 65505),
(121780, 'PTHR33748:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG04600', 65506),
(121781, 'PTHR45648:SF24', NULL, NULL, NULL, NULL, 'OS06G0257600 PROTEIN', 65507),
(121782, 'PTHR11712:SF343', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE', 65508),
(121783, 'PTHR11042:SF85', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE IFKC-RELATED', 65509),
(121784, 'PTHR11742:SF31', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE 1,2-ALPHA-MANNOSIDASE IA', 65510),
(121785, 'PTHR16276:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT DOMAIN-CONTAINING PROTEIN 3, MITOCHONDRIAL', 65511),
(121786, 'PTHR46777', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 13', 65512),
(121787, 'PTHR48053:SF20', NULL, NULL, NULL, NULL, 'OS03G0228800 PROTEIN', 65513),
(121788, 'PTHR11675:SF16', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 5', 65514),
(121789, 'PTHR23155:SF1072', NULL, NULL, NULL, NULL, 'OS07G0521800 PROTEIN', 65515),
(121790, 'PTHR24381:SF344', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 79', 65516),
(121791, 'PTHR31681:SF51', NULL, NULL, NULL, NULL, 'FINGER PROTEIN-RELATED, PUTATIVE-RELATED', 65517),
(121792, 'PTHR12357:SF101', NULL, NULL, NULL, NULL, 'BNAA01G33850D PROTEIN', 65518),
(121793, 'PTHR44755:SF2', NULL, NULL, NULL, NULL, 'NATRIURETIC PEPTIDE RECEPTOR 3', 65519),
(121794, 'PTHR15188:SF0', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 14', 65520),
(121795, 'PTHR43014:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE)', 65521),
(121796, 'PTHR13285', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE', 65522),
(121797, 'PTHR44376:SF13', NULL, NULL, NULL, NULL, 'LISH-SSDP-WD40', 65523),
(121798, 'PTHR13169:SF21', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN', 65524),
(121799, 'PTHR11417:SF9', NULL, NULL, NULL, NULL, 'PROLACTIN-7A1-RELATED', 65525),
(121800, 'PTHR12801:SF134', NULL, NULL, NULL, NULL, 'INTERFERON STIMULATED EXONUCLEASE GENE 20', 65526),
(121801, 'PTHR24015:SF1996', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN CHLOROPLASTIC', 65527),
(121802, 'PTHR14568', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE SUPERFAMILY 6 MEMBER 1/2', 65528),
(121803, 'PTHR32044:SF67', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 6-RELATED', 65529),
(121804, 'PTHR34535:SF3', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYPA', 65530),
(121805, 'PTHR13832:SF165', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 49-RELATED', 65531),
(121806, 'PTHR45941', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 65532),
(121807, 'PTHR10641:SF1295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65533),
(121808, 'PTHR28090:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ROT1', 65534),
(121809, 'PTHR23335:SF19', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 4-LIKE', 65535); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(121810, 'PTHR22814:SF325', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 20', 65536),
(121811, 'PTHR13232:SF11', NULL, NULL, NULL, NULL, 'NAD(P)H-HYDRATE EPIMERASE', 65537),
(121812, 'PTHR47603:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65538),
(121813, 'PTHR13866:SF18', NULL, NULL, NULL, NULL, 'TESTICAN-2', 65539),
(121814, 'PTHR10410:SF6', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 5', 65540),
(121815, 'PTHR36396', NULL, NULL, NULL, NULL, 'MALTASE-GLUCOAMYLASE, INTESTINAL PROTEIN', 65541),
(121816, 'PTHR48052:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65542),
(121817, 'PTHR32028', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN M', 65543),
(121818, 'PTHR47958:SF106', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN ISOFORM 4', 65544),
(121819, 'PTHR12224:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65545),
(121820, 'PTHR22955', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON', 65546),
(121821, 'PTHR18935:SF9', NULL, NULL, NULL, NULL, 'JANUS KINASE AND MICROTUBULE-INTERACTING PROTEIN 3', 65547),
(121822, 'PTHR16230:SF4', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 4', 65548),
(121823, 'PTHR37016', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 65549),
(121824, 'PTHR11686:SF65', NULL, NULL, NULL, NULL, 'BNAA06G40450D PROTEIN', 65550),
(121825, 'PTHR43539:SF38', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA6', 65551),
(121826, 'PTHR11040:SF173', NULL, NULL, NULL, NULL, 'BNACNNG46010D PROTEIN', 65552),
(121827, 'PTHR23021:SF15', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 65553),
(121828, 'PTHR11071:SF449', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP21-1', 65554),
(121829, 'PTHR26452:SF820', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65555),
(121830, 'PTHR31174:SF36', NULL, NULL, NULL, NULL, 'BNAA03G12360D PROTEIN', 65556),
(121831, 'PTHR44991', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 5', 65557),
(121832, 'PTHR31189:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65558),
(121833, 'PTHR47990:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65559),
(121834, 'PTHR48049:SF68', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71C5', 65560),
(121835, 'PTHR23155:SF1118', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPP13-LIKE PROTEIN 1-RELATED', 65561),
(121836, 'PTHR11959:SF11', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE', 65562),
(121837, 'PTHR11799:SF14', NULL, NULL, NULL, NULL, 'SERUM PARAOXONASE/LACTONASE 3', 65563),
(121838, 'PTHR36034:SF3', NULL, NULL, NULL, NULL, 'BNAA01G27160D PROTEIN', 65564),
(121839, 'PTHR31251:SF130', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 3', 65565),
(121840, 'PTHR24015:SF1963', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65566),
(121841, 'PTHR11945:SF582', NULL, NULL, NULL, NULL, 'MYOCYTE ENHANCER FACTOR 2D', 65567),
(121842, 'PTHR12741:SF79', NULL, NULL, NULL, NULL, 'OS02G0247000 PROTEIN', 65568),
(121843, 'PTHR24055:SF392', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 20', 65569),
(121844, 'PTHR47361:SF4', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 65570),
(121845, 'PTHR10996:SF178', NULL, NULL, NULL, NULL, 'GLYOXYLATE REDUCTASE 1', 65571),
(121846, 'PTHR36742:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-G HEAVY CHAIN-LIKE PROTEIN', 65572),
(121847, 'PTHR31989:SF216', NULL, NULL, NULL, NULL, 'OS10G0402100 PROTEIN', 65573),
(121848, 'PTHR43721:SF2', NULL, NULL, NULL, NULL, 'AT01345P', 65574),
(121849, 'PTHR36175:SF1', NULL, NULL, NULL, NULL, 'CYANOPHYCINASE', 65575),
(121850, 'PTHR47993:SF165', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 65576),
(121851, 'PTHR32212:SF285', NULL, NULL, NULL, NULL, 'FBD / LEUCINE RICH REPEAT DOMAINS CONTAINING PROTEIN-RELATED', 65577),
(121852, 'PTHR24064:SF548', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 65578),
(121853, 'PTHR27001:SF693', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 65579);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(121854, 'PTHR13857:SF26', NULL, NULL, NULL, NULL, 'C-U-EDITING ENZYME APOBEC-1', 65580),
(121855, 'PTHR31705:SF6', NULL, NULL, NULL, NULL, 'ZGC:114119', 65581),
(121856, 'PTHR31384:SF137', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 65582),
(121857, 'PTHR12277:SF169', NULL, NULL, NULL, NULL, 'BNAA02G04910D PROTEIN', 65583),
(121858, 'PTHR45675:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65584),
(121859, 'PTHR12178:SF11', NULL, NULL, NULL, NULL, 'N-TERMINAL EF-HAND CALCIUM-BINDING PROTEIN 1', 65585),
(121860, 'PTHR35483:SF5', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 65586),
(121861, 'PTHR24282:SF148', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 72A15-LIKE', 65587),
(121862, 'PTHR31731:SF19', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN DC2.15', 65588),
(121863, 'PTHR31495:SF17', NULL, NULL, NULL, NULL, 'CALEOSIN', 65589),
(121864, 'PTHR30437:SF5', NULL, NULL, NULL, NULL, 'REGULATOR OF NUCLEOSIDE DIPHOSPHATE KINASE', 65590),
(121865, 'PTHR42985:SF31', NULL, NULL, NULL, NULL, 'LD47995P-RELATED', 65591),
(121866, 'PTHR45641:SF12', NULL, NULL, NULL, NULL, 'LIPA AND NB-ARC DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G11500)', 65592),
(121867, 'PTHR12271:SF33', NULL, NULL, NULL, NULL, 'POLY(A) RNA POLYMERASE, MITOCHONDRIAL', 65593),
(121868, 'PTHR32347', NULL, NULL, NULL, NULL, 'EFFLUX SYSTEM COMPONENT YKNX-RELATED', 65594),
(121869, 'PTHR14571:SF8', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 23', 65595),
(121870, 'PTHR22777:SF29', NULL, NULL, NULL, NULL, 'UPF0053 PROTEIN SLL0260', 65596),
(121871, 'PTHR31194:SF67', NULL, NULL, NULL, NULL, 'AP2-EREBP TRANSCRIPTION FACTOR', 65597),
(121872, 'PTHR45724:SF26', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP7-1-RELATED', 65598),
(121873, 'PTHR16465:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER MATRIN-TYPE PROTEIN 5', 65599),
(121874, 'PTHR12538:SF1', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', 65600),
(121875, 'PTHR12991:SF10', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN NPRL2', 65601),
(121876, 'PTHR48047:SF47', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 65602),
(121877, 'PTHR34677:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 65603),
(121878, 'PTHR10648:SF32', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 65 KDA REGULATORY SUBUNIT A ALPHA ISOFORM', 65604),
(121879, 'PTHR31421:SF17', NULL, NULL, NULL, NULL, 'PROTEIN BASIC PENTACYSTEINE3', 65605),
(121880, 'PTHR22989:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG23469', 65606),
(121881, 'PTHR12827', NULL, NULL, NULL, NULL, 'MEIOTIC CHECKPOINT REGULATOR TSG24 FAMILY MEMBER', 65607),
(121882, 'PTHR11224:SF38', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MAKORIN-3-RELATED', 65608),
(121883, 'PTHR38702', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 65609),
(121884, 'PTHR45081', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 65610),
(121885, 'PTHR11911:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65611),
(121886, 'PTHR24377:SF246', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 30 HOMOLOG', 65612),
(121887, 'PTHR31232:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65613),
(121888, 'PTHR45639:SF15', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 16', 65614),
(121889, 'PTHR35284:SF1', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 24A, CHLOROPLASTIC-RELATED', 65615),
(121890, 'PTHR46690:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 6 HOMOLOG', 65616),
(121891, 'PTHR24359:SF30', NULL, NULL, NULL, NULL, 'SH3 DOMAIN BINDING KINASE FAMILY MEMBER 2', 65617),
(121892, 'PTHR24055:SF72', NULL, NULL, NULL, NULL, 'MAPK/MAK/MRK OVERLAPPING KINASE', 65618),
(121893, 'PTHR22599:SF56', NULL, NULL, NULL, NULL, 'MOB-LIKE PROTEIN PHOCEIN', 65619),
(121894, 'PTHR15162:SF5', NULL, NULL, NULL, NULL, 'N-ACYL-AROMATIC-L-AMINO ACID AMIDOHYDROLASE (CARBOXYLATE-FORMING)', 65620),
(121895, 'PTHR39583', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN J-RELATED', 65621),
(121896, 'PTHR24055:SF146', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 12', 65622),
(121897, 'PTHR46897:SF1', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 4', 65623);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(121898, 'PTHR12847:SF5', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 16', 65624),
(121899, 'PTHR21596:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65625),
(121900, 'PTHR46514:SF3', NULL, NULL, NULL, NULL, 'AMPHIPHYSIN', 65626),
(121901, 'PTHR24240:SF67', NULL, NULL, NULL, NULL, 'TELEOST MULTIPLE TISSUE OPSIN 3A', 65627),
(121902, 'PTHR47902', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 119', 65628),
(121903, 'PTHR34485', NULL, NULL, NULL, NULL, 'PROLINE-RICH, LACRIMAL 1', 65629),
(121904, 'PTHR44272:SF2', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 16', 65630),
(121905, 'PTHR11902:SF47', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ENOLASE 2/TRANSCRIPTIONAL ACTIVATOR', 65631),
(121906, 'PTHR24177:SF262', NULL, NULL, NULL, NULL, 'OS11G0682000 PROTEIN', 65632),
(121907, 'PTHR23505:SF51', NULL, NULL, NULL, NULL, 'TETRACYCLINE RESISTANCE PROTEIN, CLASS B-LIKE', 65633),
(121908, 'PTHR45844', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH30', 65634),
(121909, 'PTHR31153:SF12', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 65635),
(121910, 'PTHR35464:SF2', NULL, NULL, NULL, NULL, 'F18O14.9', 65636),
(121911, 'PTHR42963', NULL, NULL, NULL, NULL, 'CHROMOSOME PARTITION PROTEIN MUKB', 65637),
(121912, 'PTHR32370:SF123', NULL, NULL, NULL, NULL, 'OS01G0780600 PROTEIN', 65638),
(121913, 'PTHR48007:SF16', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 1 ISOFORM X1', 65639),
(121914, 'PTHR11802:SF393', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 65640),
(121915, 'PTHR32285:SF7', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 3', 65641),
(121916, 'PTHR19226', NULL, NULL, NULL, NULL, 'THY-1 MEMBRANE GLYCOPROTEIN', 65642),
(121917, 'PTHR10766:SF125', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 65643),
(121918, 'PTHR45658:SF43', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 65644),
(121919, 'PTHR13131:SF9', NULL, NULL, NULL, NULL, 'CYSTINOSIN-LIKE PROTEIN', 65645),
(121920, 'PTHR47926:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65646),
(121921, 'PTHR12356:SF31', NULL, NULL, NULL, NULL, 'PROTEIN BOBBER 1-LIKE', 65647),
(121922, 'PTHR36012:SF4', NULL, NULL, NULL, NULL, 'OS08G0385000 PROTEIN', 65648),
(121923, 'PTHR31235:SF333', NULL, NULL, NULL, NULL, 'PEROXIDASE', 65649),
(121924, 'PTHR31388:SF142', NULL, NULL, NULL, NULL, 'PEROXIDASE', 65650),
(121925, 'PTHR47998:SF36', NULL, NULL, NULL, NULL, 'OS09G0401000 PROTEIN', 65651),
(121926, 'PTHR33544:SF14', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 65652),
(121927, 'PTHR42877:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65653),
(121928, 'PTHR33107:SF40', NULL, NULL, NULL, NULL, 'TRYPSIN INHIBITOR A', 65654),
(121929, 'PTHR47406:SF2', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR 5/8 TYPE, C-TERMINAL', 65655),
(121930, 'PTHR47533:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG00837', 65656),
(121931, 'PTHR43673:SF8', NULL, NULL, NULL, NULL, 'PROTEIN DRGA', 65657),
(121932, 'PTHR23236:SF71', NULL, NULL, NULL, NULL, 'BNAA02G11420D PROTEIN', 65658),
(121933, 'PTHR48094:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DJ-1 HOMOLOG C', 65659),
(121934, 'PTHR34576:SF8', NULL, NULL, NULL, NULL, 'KINASE REGULATOR-LIKE PROTEIN, PUTATIVE-RELATED', 65660),
(121935, 'PTHR39112:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 27', 65661),
(121936, 'PTHR15907:SF167', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 2-LIKE', 65662),
(121937, 'PTHR19134:SF358', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 65663),
(121938, 'PTHR34550:SF2', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S31, CHLOROPLASTIC', 65664),
(121939, 'PTHR19241:SF621', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 49', 65665),
(121940, 'PTHR36461:SF1', NULL, NULL, NULL, NULL, 'COORDINATOR OF PRMT5 AND DIFFERENTIATION STIMULATOR', 65666),
(121941, 'PTHR22298:SF129', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 24', 65667),
(121942, 'PTHR46869:SF1', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', 65668),
(121943, 'PTHR13773:SF24', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', 65669);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(121944, 'PTHR19961:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65670),
(121945, 'PTHR48092:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65671),
(121946, 'PTHR22972:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PINK1, MITOCHONDRIAL', 65672),
(121947, 'PTHR34268:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65673),
(121948, 'PTHR34273', NULL, NULL, NULL, NULL, 'METHYLTHIORIBOSE KINASE', 65674),
(121949, 'PTHR43544:SF10', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN', 65675),
(121950, 'PTHR33095:SF5', NULL, NULL, NULL, NULL, 'OS06G0215100 PROTEIN', 65676),
(121951, 'PTHR24423:SF624', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', 65677),
(121952, 'PTHR12850:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S25-1-RELATED', 65678),
(121953, 'PTHR12555:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN FUSION DEGRADATION UFD1 FAMILY PROTEIN', 65679),
(121954, 'PTHR33127:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65680),
(121955, 'PTHR31152:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65681),
(121956, 'PTHR24383', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 65682),
(121957, 'PTHR43806:SF7', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND TRANSCRIPTION FACTOR SITE-1 PROTEASE', 65683),
(121958, 'PTHR10166:SF7', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL SUBUNIT ALPHA-2/DELTA-2', 65684),
(121959, 'PTHR48022:SF19', NULL, NULL, NULL, NULL, 'HIGH AFFINITY GLUCOSE TRANSPORTER GHT1', 65685),
(121960, 'PTHR31213:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65686),
(121961, 'PTHR48090:SF6', NULL, NULL, NULL, NULL, 'SLR5056 PROTEIN', 65687),
(121962, 'PTHR45827', NULL, NULL, NULL, NULL, 'SORTING NEXIN', 65688),
(121963, 'PTHR47990:SF30', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 1', 65689),
(121964, 'PTHR47782:SF1', NULL, NULL, NULL, NULL, 'PYRIMIDINE PATHWAY REGULATORY PROTEIN 1', 65690),
(121965, 'PTHR24416:SF377', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 7', 65691),
(121966, 'PTHR36397:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0081L15.1 PROTEIN', 65692),
(121967, 'PTHR10057:SF15', NULL, NULL, NULL, NULL, 'TSPO/MBR-RELATED PROTEIN', 65693),
(121968, 'PTHR23420', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', 65694),
(121969, 'PTHR43490:SF66', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE', 65695),
(121970, 'PTHR33973:SF4', NULL, NULL, NULL, NULL, 'OS07G0153300 PROTEIN', 65696),
(121971, 'PTHR16100:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE-INTERACTING PROTEIN', 65697),
(121972, 'PTHR24064:SF468', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 13A', 65698),
(121973, 'PTHR24292:SF91', NULL, NULL, NULL, NULL, 'CYP9F3-RELATED', 65699),
(121974, 'PTHR48044:SF2', NULL, NULL, NULL, NULL, 'CYANIDIN-3-O-GLUCOSIDE 2-O-GLUCURONOSYLTRANSFERASE-LIKE', 65700),
(121975, 'PTHR10638:SF40', NULL, NULL, NULL, NULL, 'PRIMARY AMINE OXIDASE 1', 65701),
(121976, 'PTHR19325:SF493', NULL, NULL, NULL, NULL, 'E-SELECTIN', 65702),
(121977, 'PTHR14514:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65703),
(121978, 'PTHR12632:SF49', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-3', 65704),
(121979, 'PTHR23024:SF493', NULL, NULL, NULL, NULL, 'DEACETYLASE, PUTATIVE-RELATED', 65705),
(121980, 'PTHR43400:SF8', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE 1-RELATED', 65706),
(121981, 'PTHR33326:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65707),
(121982, 'PTHR11394:SF30', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 104', 65708),
(121983, 'PTHR10606:SF73', NULL, NULL, NULL, NULL, 'OS05G0164100 PROTEIN', 65709),
(121984, 'PTHR13453:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65710),
(121985, 'PTHR11592:SF90', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE-RELATED', 65711),
(121986, 'PTHR31375:SF244', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 65712),
(121987, 'PTHR27007:SF1', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.9', 65713),
(121988, 'PTHR35936:SF18', NULL, NULL, NULL, NULL, 'L-CYSTINE-BINDING PROTEIN TCYJ', 65714);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(121989, 'PTHR11849:SF59', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PROTEIN', 65715),
(121990, 'PTHR24298:SF810', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 65716),
(121991, 'PTHR46249:SF31', NULL, NULL, NULL, NULL, 'BNAC08G47480D PROTEIN', 65717),
(121992, 'PTHR12317:SF10', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 2-LIKE PROTEIN DGAT2L7P-RELATED', 65718),
(121993, 'PTHR24393:SF63', NULL, NULL, NULL, NULL, 'PR/SET DOMAIN 13', 65719),
(121994, 'PTHR13245:SF14', NULL, NULL, NULL, NULL, 'RRP15-LIKE PROTEIN', 65720),
(121995, 'PTHR46719:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65721),
(121996, 'PTHR46466:SF1', NULL, NULL, NULL, NULL, 'GLYOXALASE DOMAIN-CONTAINING PROTEIN 4', 65722),
(121997, 'PTHR23155:SF950', NULL, NULL, NULL, NULL, 'OS05G0585200 PROTEIN', 65723),
(121998, 'PTHR11440:SF87', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID:DIACYLGLYCEROL ACYLTRANSFERASE 2-RELATED', 65724),
(121999, 'PTHR33790:SF13', NULL, NULL, NULL, NULL, 'BNAC03G23350D PROTEIN', 65725),
(122000, 'PTHR45138:SF3', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCC-RELATED', 65726),
(122001, 'PTHR31301:SF149', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 1-LIKE', 65727),
(122002, 'PTHR32222:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN U', 65728),
(122003, 'PTHR46991:SF18', NULL, NULL, NULL, NULL, '26.2 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', 65729),
(122004, 'PTHR11588:SF364', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 65730),
(122005, 'PTHR32246:SF15', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 65731),
(122006, 'PTHR11886:SF35', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN 2, CYTOPLASMIC', 65732),
(122007, 'PTHR11654:SF333', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 7.2', 65733),
(122008, 'PTHR10075:SF55', NULL, NULL, NULL, NULL, 'CONTACTIN-2', 65734),
(122009, 'PTHR31139:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65735),
(122010, 'PTHR31065:SF58', NULL, NULL, NULL, NULL, 'BNAA02G36800D PROTEIN', 65736),
(122011, 'PTHR33399:SF6', NULL, NULL, NULL, NULL, 'PSBQ-LIKE PROTEIN 3, CHLOROPLASTIC', 65737),
(122012, 'PTHR35680', NULL, NULL, NULL, NULL, 'NFAT ACTIVATION MOLECULE 1', 65738),
(122013, 'PTHR24384:SF2', NULL, NULL, NULL, NULL, 'MYELOID ZINC FINGER 1', 65739),
(122014, 'PTHR33484', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 65740),
(122015, 'PTHR42718:SF31', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER OF UNKOWN SPECIFICITY (AFU_ORTHOLOGUE AFUA_1G11350)', 65741),
(122016, 'PTHR15907:SF102', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 2-LIKE', 65742),
(122017, 'PTHR36179:SF1', NULL, NULL, NULL, NULL, 'PRESPORE-SPECIFIC PROTEIN', 65743),
(122018, 'PTHR45730:SF65', NULL, NULL, NULL, NULL, 'BNAA09G03180D PROTEIN', 65744),
(122019, 'PTHR33333:SF27', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 65745),
(122020, 'PTHR30465:SF66', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YEJB', 65746),
(122021, 'PTHR17498:SF3', NULL, NULL, NULL, NULL, 'SEMINAL VESICLE SECRETORY PROTEIN 5', 65747),
(122022, 'PTHR11017:SF413', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 65748),
(122023, 'PTHR31462', NULL, NULL, NULL, NULL, 'ENDOSOMAL/LYSOSOMAL POTASSIUM CHANNEL TMEM175', 65749),
(122024, 'PTHR24305:SF111', NULL, NULL, NULL, NULL, 'ECDYSONE 20-MONOOXYGENASE', 65750),
(122025, 'PTHR48013:SF14', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE JKK-1', 65751),
(122026, 'PTHR44329:SF32', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TNNI3K', 65752),
(122027, 'PTHR18860:SF28', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN BETA/ALPHA', 65753),
(122028, 'PTHR12056:SF2', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC4', 65754),
(122029, 'PTHR33320:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65755),
(122030, 'PTHR10336:SF173', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE GAMMA-1', 65756),
(122031, 'PTHR10146', NULL, NULL, NULL, NULL, 'PROLINE SYNTHETASE CO-TRANSCRIBED BACTERIAL HOMOLOG PROTEIN', 65757);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(122032, 'PTHR32227:SF266', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE, ACIDIC ISOFORM GL153', 65758),
(122033, 'PTHR35710:SF1', NULL, NULL, NULL, NULL, 'OBP3-RESPONSIVE PROTEIN 4 (ORG4)', 65759),
(122034, 'PTHR31807:SF36', NULL, NULL, NULL, NULL, 'BNAA09G41690D PROTEIN', 65760),
(122035, 'PTHR10127:SF847', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-37', 65761),
(122036, 'PTHR44111:SF1', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 2', 65762),
(122037, 'PTHR31221:SF232', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 65763),
(122038, 'PTHR33107:SF55', NULL, NULL, NULL, NULL, 'BNAC02G46470D PROTEIN', 65764),
(122039, 'PTHR21190:SF1', NULL, NULL, NULL, NULL, 'GH10077P', 65765),
(122040, 'PTHR11783:SF253', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 65766),
(122041, 'PTHR10071:SF309', NULL, NULL, NULL, NULL, 'ERYTHROID-LIKE TRANSCRIPTION FACTOR FAMILY-RELATED', 65767),
(122042, 'PTHR42898:SF42', NULL, NULL, NULL, NULL, 'OS11G0652900 PROTEIN', 65768),
(122043, 'PTHR31920:SF72', NULL, NULL, NULL, NULL, 'BNAA01G27140D PROTEIN', 65769),
(122044, 'PTHR11686:SF19', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE 5 PROENZYME', 65770),
(122045, 'PTHR12483:SF92', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 5.1-LIKE', 65771),
(122046, 'PTHR40659', NULL, NULL, NULL, NULL, 'NICKEL/COBALT EFFLUX SYSTEM RCNA', 65772),
(122047, 'PTHR11673:SF43', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', 65773),
(122048, 'PTHR47988:SF21', NULL, NULL, NULL, NULL, 'INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE 1, PUTATIVE, EXPRESSED-RELATED', 65774),
(122049, 'PTHR24064:SF502', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65775),
(122050, 'PTHR21231', NULL, NULL, NULL, NULL, 'XPA-BINDING PROTEIN 1-RELATED', 65776),
(122051, 'PTHR21255:SF44', NULL, NULL, NULL, NULL, 'TCTEX1 DOMAIN-CONTAINING PROTEIN 1', 65777),
(122052, 'PTHR11863:SF177', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 1-LIKE', 65778),
(122053, 'PTHR24078:SF530', NULL, NULL, NULL, NULL, 'DNAJ-LIKE PROTEIN', 65779),
(122054, 'PTHR12934', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L15', 65780),
(122055, 'PTHR11776:SF27', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE 5-LIKE ISOFORM X1', 65781),
(122056, 'PTHR10593:SF187', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JACKDAW', 65782),
(122057, 'PTHR43212', NULL, NULL, NULL, NULL, 'QUERCETIN 2,3-DIOXYGENASE', 65783),
(122058, 'PTHR11319', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR-RELATED', 65784),
(122059, 'PTHR43196:SF1', NULL, NULL, NULL, NULL, 'SULFATE ADENYLYLTRANSFERASE SUBUNIT 2', 65785),
(122060, 'PTHR15751:SF13', NULL, NULL, NULL, NULL, 'TRAFFICKING KINESIN-BINDING PROTEIN 2', 65786),
(122061, 'PTHR10362:SF46', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', 65787),
(122062, 'PTHR10809:SF111', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 1-3', 65788),
(122063, 'PTHR11550:SF37', NULL, NULL, NULL, NULL, 'BNAA07G05000D PROTEIN', 65789),
(122064, 'PTHR14731', NULL, NULL, NULL, NULL, 'BRAIN AND ACUTE LEUKEMIA CYTOPLASMIC PROTEIN', 65790),
(122065, 'PTHR46128:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65791),
(122066, 'PTHR12210:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM50', 65792),
(122067, 'PTHR11920:SF68', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-4', 65793),
(122068, 'PTHR33193:SF26', NULL, NULL, NULL, NULL, 'DUF3511 DOMAIN PROTEIN (DUF3511)', 65794),
(122069, 'PTHR26454:SF15', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C65', 65795),
(122070, 'PTHR23070:SF94', NULL, NULL, NULL, NULL, 'PROTEIN HYPER-SENSITIVITY-RELATED 4-LIKE', 65796),
(122071, 'PTHR46056:SF7', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', 65797),
(122072, 'PTHR27005:SF39', NULL, NULL, NULL, NULL, '(RICE GENOME ANNOTATION PROJECT) OSWAK10A - OSWAK RECEPTOR-LIKE CYTOPLASMIC KINASE', 65798),
(122073, 'PTHR30540:SF109', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 65799),
(122074, 'PTHR31265:SF2', NULL, NULL, NULL, NULL, 'F17A17.37 PROTEIN', 65800);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(122075, 'PTHR47845', NULL, NULL, NULL, NULL, 'NUCLEAR SPECKLE SPLICING REGULATORY PROTEIN 1 HOMOLOG', 65801),
(122076, 'PTHR33491:SF27', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-LIKE', 65802),
(122077, 'PTHR30303:SF4', NULL, NULL, NULL, NULL, 'HYDROGENASE EXPRESSION/FORMATION FACTOR RELATED PROTEIN', 65803),
(122078, 'PTHR23076:SF110', NULL, NULL, NULL, NULL, 'INACTIVE ATP-DEPENDENT ZINC METALLOPROTEASE FTSHI 3, CHLOROPLASTIC-RELATED', 65804),
(122079, 'PTHR11537:SF28', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 3', 65805),
(122080, 'PTHR24012:SF829', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65806),
(122081, 'PTHR12482:SF58', NULL, NULL, NULL, NULL, 'BNAA06G38020D PROTEIN', 65807),
(122082, 'PTHR34072:SF9', NULL, NULL, NULL, NULL, 'ENZYMATIC POLYPROTEIN-RELATED', 65808),
(122083, 'PTHR31579:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65809),
(122084, 'PTHR12300:SF116', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN D', 65810),
(122085, 'PTHR39611:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65811),
(122086, 'PTHR10742:SF392', NULL, NULL, NULL, NULL, 'FLAVIN AMINE OXIDASE', 65812),
(122087, 'PTHR45621:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65813),
(122088, 'PTHR43738:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, MEMBRANE PROTEIN', 65814),
(122089, 'PTHR46639:SF4', NULL, NULL, NULL, NULL, 'ZGC:101100', 65815),
(122090, 'PTHR23278:SF27', NULL, NULL, NULL, NULL, 'GH14967P', 65816),
(122091, 'PTHR10209:SF721', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 1-LIKE', 65817),
(122092, 'PTHR12411:SF800', NULL, NULL, NULL, NULL, 'BNAA02G21750D PROTEIN', 65818),
(122093, 'PTHR11909:SF329', NULL, NULL, NULL, NULL, 'OS01G0772600 PROTEIN', 65819),
(122094, 'PTHR15286:SF6', NULL, NULL, NULL, NULL, 'GH01133P', 65820),
(122095, 'PTHR47035:SF6', NULL, NULL, NULL, NULL, 'OSJNBA0088I22.3 PROTEIN', 65821),
(122096, 'PTHR11738:SF175', NULL, NULL, NULL, NULL, 'OSTEOCLAST-ASSOCIATED IMMUNOGLOBULIN-LIKE RECEPTOR', 65822),
(122097, 'PTHR24281:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65823),
(122098, 'PTHR13848:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65824),
(122099, 'PTHR35530:SF2', NULL, NULL, NULL, NULL, 'TAUTOMERASE-RELATED', 65825),
(122100, 'PTHR32295:SF157', NULL, NULL, NULL, NULL, 'OS01G0743100 PROTEIN', 65826),
(122101, 'PTHR31072:SF130', NULL, NULL, NULL, NULL, 'BNAC05G51920D PROTEIN', 65827),
(122102, 'PTHR11058:SF17', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 3', 65828),
(122103, 'PTHR10285:SF138', NULL, NULL, NULL, NULL, 'URIDINE KINASE', 65829),
(122104, 'PTHR11668:SF448', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 65830),
(122105, 'PTHR31627:SF40', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-17', 65831),
(122106, 'PTHR22765:SF115', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 145', 65832),
(122107, 'PTHR13935:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65833),
(122108, 'PTHR19282:SF48', NULL, NULL, NULL, NULL, 'TETRASPANIN-3', 65834),
(122109, 'PTHR22804:SF40', NULL, NULL, NULL, NULL, 'HYALURONAN AND PROTEOGLYCAN LINK PROTEIN 3', 65835),
(122110, 'PTHR16517:SF20', NULL, NULL, NULL, NULL, 'TUBBY-RELATED PROTEIN 3', 65836),
(122111, 'PTHR45651:SF70', NULL, NULL, NULL, NULL, 'BNAC09G29350D PROTEIN', 65837),
(122112, 'PTHR12850:SF20', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S25', 65838),
(122113, 'PTHR11533:SF246', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 65839),
(122114, 'PTHR10366:SF710', NULL, NULL, NULL, NULL, 'BNAA09G28520D PROTEIN', 65840),
(122115, 'PTHR47416:SF11', NULL, NULL, NULL, NULL, 'BNACNNG38290D PROTEIN', 65841),
(122116, 'PTHR12674:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG01589', 65842),
(122117, 'PTHR23111:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER, RANBP2-TYPE-RELATED', 65843),
(122118, 'PTHR46035:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 4', 65844),
(122119, 'PTHR23413:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65845),
(122120, 'PTHR12263:SF5', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E 1', 65846);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(122121, 'PTHR32133:SF309', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65847),
(122122, 'PTHR31928:SF12', NULL, NULL, NULL, NULL, 'BNAC03G41030D PROTEIN', 65848),
(122123, 'PTHR23074:SF92', NULL, NULL, NULL, NULL, 'KATANIN', 65849),
(122124, 'PTHR47981', NULL, NULL, NULL, NULL, 'RAB FAMILY', 65850),
(122125, 'PTHR24177:SF306', NULL, NULL, NULL, NULL, 'OS06G0293100 PROTEIN', 65851),
(122126, 'PTHR46387:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65852),
(122127, 'PTHR31235:SF291', NULL, NULL, NULL, NULL, 'OS07G0639500 PROTEIN', 65853),
(122128, 'PTHR10441:SF2', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD8 ALPHA CHAIN', 65854),
(122129, 'PTHR46008:SF12', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.1', 65855),
(122130, 'PTHR23030:SF33', NULL, NULL, NULL, NULL, 'ALG2-INTERACTING PROTEIN X-LIKE', 65856),
(122131, 'PTHR12374:SF60', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER ADA2B', 65857),
(122132, 'PTHR13019:SF17', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23', 65858),
(122133, 'PTHR24058:SF43', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-INTERACTING PROTEIN KINASE 1', 65859),
(122134, 'PTHR15054', NULL, NULL, NULL, NULL, 'HISTIDINE-RICH CALCIUM-BINDING PROTEIN-RELATED', 65860),
(122135, 'PTHR24072:SF99', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOF', 65861),
(122136, 'PTHR31747:SF18', NULL, NULL, NULL, NULL, 'PROTEIN LSD1', 65862),
(122137, 'PTHR45651:SF89', NULL, NULL, NULL, NULL, 'BNAA01G22170D PROTEIN', 65863),
(122138, 'PTHR12276:SF88', NULL, NULL, NULL, NULL, 'ENTH/VHS FAMILY PROTEIN', 65864),
(122139, 'PTHR42866:SF1', NULL, NULL, NULL, NULL, 'SPORE COAT POLYSACCHARIDE BIOSYNTHESIS PROTEIN SPSF', 65865),
(122140, 'PTHR11972:SF175', NULL, NULL, NULL, NULL, 'DUAL OXIDASE', 65866),
(122141, 'PTHR12121:SF89', NULL, NULL, NULL, NULL, 'CARBON CATABOLITE REPRESSOR-LIKE PROTEIN', 65867),
(122142, 'PTHR28036:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD2', 65868),
(122143, 'PTHR35164:SF10', NULL, NULL, NULL, NULL, 'OS08G0481100 PROTEIN', 65869),
(122144, 'PTHR11689:SF92', NULL, NULL, NULL, NULL, 'CHLORIDE TRANSPORT PROTEIN 6', 65870),
(122145, 'PTHR36110', NULL, NULL, NULL, NULL, 'RING-CLEAVING DIOXYGENASE MHQE-RELATED', 65871),
(122146, 'PTHR11453:SF10', NULL, NULL, NULL, NULL, 'ELECTROGENIC SODIUM BICARBONATE COTRANSPORTER 1', 65872),
(122147, 'PTHR33018:SF18', NULL, NULL, NULL, NULL, 'OS06G0261900 PROTEIN', 65873),
(122148, 'PTHR11926:SF1102', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 84A2', 65874),
(122149, 'PTHR47591:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT3-LIKE', 65875),
(122150, 'PTHR43218', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLTRANSFERASE-RELATED', 65876),
(122151, 'PTHR36436', NULL, NULL, NULL, NULL, 'SLL5081 PROTEIN', 65877),
(122152, 'PTHR31637:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE, PUTATIVE-RELATED', 65878),
(122153, 'PTHR18929:SF211', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 1-2', 65879),
(122154, 'PTHR23235:SF107', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 1', 65880),
(122155, 'PTHR48002:SF31', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 65881),
(122156, 'PTHR31388:SF31', NULL, NULL, NULL, NULL, 'PEROXIDASE', 65882),
(122157, 'PTHR31727:SF19', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', 65883),
(122158, 'PTHR43098:SF3', NULL, NULL, NULL, NULL, 'MONOOXYGENASE (CPMA), PUTATIVE (AFU_ORTHOLOGUE AFUA_5G07490)-RELATED', 65884),
(122159, 'PTHR24103:SF304', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 60', 65885),
(122160, 'PTHR45615:SF39', NULL, NULL, NULL, NULL, 'MYOSIN-2', 65886),
(122161, 'PTHR11035:SF35', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE', 65887),
(122162, 'PTHR48007:SF52', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 2', 65888),
(122163, 'PTHR11153:SF14', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-2', 65889),
(122164, 'PTHR47967:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65890),
(122165, 'PTHR11527:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65891);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(122166, 'PTHR31154', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 65892),
(122167, 'PTHR26453:SF330', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 65893),
(122168, 'PTHR31155', NULL, NULL, NULL, NULL, 'ACYL- ACYL-CARRIER-PROTEIN  DESATURASE-RELATED', 65894),
(122169, 'PTHR35844', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 65895),
(122170, 'PTHR45832:SF10', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 65896),
(122171, 'PTHR36962:SF2', NULL, NULL, NULL, NULL, 'ASPARAGINE-RICH ANTIGEN', 65897),
(122172, 'PTHR31391:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65898),
(122173, 'PTHR44137:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65899),
(122174, 'PTHR47721', NULL, NULL, NULL, NULL, 'OS01G0235100 PROTEIN', 65900),
(122175, 'PTHR44307:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE N-METHYLTRANSFERASE 3', 65901),
(122176, 'PTHR27002:SF845', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-1', 65902),
(122177, 'PTHR46058:SF11', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 3-RELATED', 65903),
(122178, 'PTHR30399', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YGJP', 65904),
(122179, 'PTHR11132:SF338', NULL, NULL, NULL, NULL, 'GDP-MANNOSE TRANSPORTER GONST5', 65905),
(122180, 'PTHR42908:SF25', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR FAMILY PROTEIN', 65906),
(122181, 'PTHR32319:SF0', NULL, NULL, NULL, NULL, 'BACTERIAL HEMOLYSIN-LIKE PROTEIN', 65907),
(122182, 'PTHR24349:SF335', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 7', 65908),
(122183, 'PTHR31680:SF14', NULL, NULL, NULL, NULL, 'BNAC09G42280D PROTEIN', 65909),
(122184, 'PTHR21050:SF1', NULL, NULL, NULL, NULL, 'MIDKINE AND PLEIOTROPHIN 1, ISOFORM A-RELATED', 65910),
(122185, 'PTHR11926:SF1342', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 65911),
(122186, 'PTHR31967:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG11524', 65912),
(122187, 'PTHR11827:SF55', NULL, NULL, NULL, NULL, 'POTASSIUM/CHLORIDE COTRANSPORTER 3', 65913),
(122188, 'PTHR13058:SF26', NULL, NULL, NULL, NULL, 'OS04G0623400 PROTEIN', 65914),
(122189, 'PTHR43850', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN MA_4021-RELATED', 65915),
(122190, 'PTHR31731:SF67', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', 65916),
(122191, 'PTHR10956:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65917),
(122192, 'PTHR31969:SF53', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN-RELATED', 65918),
(122193, 'PTHR22881:SF28', NULL, NULL, NULL, NULL, 'BROMODOMAIN PROTEIN', 65919),
(122194, 'PTHR22600:SF39', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE SUBUNIT ALPHA', 65920),
(122195, 'PTHR10024:SF180', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-9', 65921),
(122196, 'PTHR12725:SF72', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE', 65922),
(122197, 'PTHR40035', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN I', 65923),
(122198, 'PTHR34684:SF1', NULL, NULL, NULL, NULL, 'OS08G0192200 PROTEIN', 65924),
(122199, 'PTHR14154:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65925),
(122200, 'PTHR23291:SF103', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 3', 65926),
(122201, 'PTHR13068:SF91', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', 65927),
(122202, 'PTHR18867', NULL, NULL, NULL, NULL, 'RAD50', 65928),
(122203, 'PTHR24244', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE S RECEPTOR', 65929),
(122204, 'PTHR24412:SF453', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 41A', 65930),
(122205, 'PTHR10656:SF9', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR-INTERACTING PROTEIN-LIKE 2', 65931),
(122206, 'PTHR26379:SF342', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65932),
(122207, 'PTHR11558', NULL, NULL, NULL, NULL, 'SPERMIDINE/SPERMINE SYNTHASE', 65933),
(122208, 'PTHR18884:SF48', NULL, NULL, NULL, NULL, 'SEPTIN-11', 65934),
(122209, 'PTHR47990:SF96', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', 65935),
(122210, 'PTHR11802:SF87', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 25', 65936);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(122211, 'PTHR14572:SF0', NULL, NULL, NULL, NULL, 'PANCREATIC PROGENITOR CELL DIFFERENTIATION AND PROLIFERATION FACTOR', 65937),
(122212, 'PTHR37539', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 65938),
(122213, 'PTHR32176:SF27', NULL, NULL, NULL, NULL, 'PATATIN', 65939),
(122214, 'PTHR21654:SF91', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', 65940),
(122215, 'PTHR28288:SF2', NULL, NULL, NULL, NULL, 'PROTEASE B INHIBITOR 2', 65941),
(122216, 'PTHR11740:SF26', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', 65942),
(122217, 'PTHR14845:SF8', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930548H24', 65943),
(122218, 'PTHR46171', NULL, NULL, NULL, NULL, 'GH10160P', 65944),
(122219, 'PTHR48043:SF78', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 65945),
(122220, 'PTHR34586:SF5', NULL, NULL, NULL, NULL, 'PRESPORE VESICLE PROTEIN', 65946),
(122221, 'PTHR33589:SF3', NULL, NULL, NULL, NULL, 'OS11G0524900 PROTEIN', 65947),
(122222, 'PTHR23111:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65948),
(122223, 'PTHR43539:SF69', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 65949),
(122224, 'PTHR11102', NULL, NULL, NULL, NULL, 'SEL-1-LIKE PROTEIN', 65950),
(122225, 'PTHR24064:SF495', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 1', 65951),
(122226, 'PTHR23200:SF51', NULL, NULL, NULL, NULL, 'PROTEIN CBG11581', 65952),
(122227, 'PTHR19269:SF67', NULL, NULL, NULL, NULL, 'TROPOMYOSIN 3', 65953),
(122228, 'PTHR11945:SF667', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65954),
(122229, 'PTHR36681:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR GTPASE, GERMINAL CENTER-ASSOCIATED, TANDEM DUPLICATE 2-RELATED', 65955),
(122230, 'PTHR33784:SF36', NULL, NULL, NULL, NULL, 'BNAA02G22090D PROTEIN', 65956),
(122231, 'PTHR31194:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65957),
(122232, 'PTHR33886:SF1', NULL, NULL, NULL, NULL, 'WALL GLYCOSYL HYDROLASE YTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14630)-RELATED', 65958),
(122233, 'PTHR28617:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 77', 65959),
(122234, 'PTHR37486:SF1', NULL, NULL, NULL, NULL, 'STRINGENT STARVATION PROTEIN B', 65960),
(122235, 'PTHR31190:SF253', NULL, NULL, NULL, NULL, 'INTEGRASE-TYPE DNA-BINDING SUPERFAMILY PROTEIN-RELATED', 65961),
(122236, 'PTHR31549:SF4', NULL, NULL, NULL, NULL, 'OS09G0255900 PROTEIN', 65962),
(122237, 'PTHR33470:SF34', NULL, NULL, NULL, NULL, 'NON-CLASSICAL ARABINOGALACTAN PROTEIN 30', 65963),
(122238, 'PTHR43105:SF6', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G15190)-RELATED', 65964),
(122239, 'PTHR43080:SF12', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-SYNTHASE (CBS) FAMILY PROTEIN', 65965),
(122240, 'PTHR13481', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 65966),
(122241, 'PTHR46545', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 51', 65967),
(122242, 'PTHR45701:SF3', NULL, NULL, NULL, NULL, 'NEURONAL SYNAPTOBREVIN, ISOFORM J', 65968),
(122243, 'PTHR23316:SF11', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-8', 65969),
(122244, 'PTHR22380', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 15', 65970),
(122245, 'PTHR46326:SF11', NULL, NULL, NULL, NULL, 'OS07G0598800 PROTEIN', 65971),
(122246, 'PTHR32410:SF177', NULL, NULL, NULL, NULL, 'CHP-RICH ZINC FINGER PROTEIN-LIKE-RELATED', 65972),
(122247, 'PTHR21432', NULL, NULL, NULL, NULL, 'ACETYL-COA HYDROLASE-RELATED', 65973),
(122248, 'PTHR31985:SF154', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TINY-LIKE', 65974),
(122249, 'PTHR12697:SF20', NULL, NULL, NULL, NULL, 'HEAT REPEAT-CONTAINING PROTEIN 4', 65975),
(122250, 'PTHR24282:SF175', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP72A219-LIKE', 65976),
(122251, 'PTHR10666:SF350', NULL, NULL, NULL, NULL, 'UBIQUITIN 13', 65977),
(122252, 'PTHR23266:SF332', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION VH558 A1/A4-RELATED', 65978),
(122253, 'PTHR33021:SF252', NULL, NULL, NULL, NULL, 'OS06G0218600 PROTEIN', 65979),
(122254, 'PTHR21419', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 65980);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(122255, 'PTHR43939:SF67', NULL, NULL, NULL, NULL, 'PROTEIN CBG15627', 65981),
(122256, 'PTHR23235:SF48', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 3', 65982),
(122257, 'PTHR43108:SF7', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SULFATASE', 65983),
(122258, 'PTHR37736:SF3', NULL, NULL, NULL, NULL, 'BNAA07G09190D PROTEIN', 65984),
(122259, 'PTHR24102:SF18', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 21B', 65985),
(122260, 'PTHR34340:SF3', NULL, NULL, NULL, NULL, 'MELANOREGULIN', 65986),
(122261, 'PTHR31301:SF112', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 22-LIKE', 65987),
(122262, 'PTHR14677:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 65988),
(122263, 'PTHR31246:SF28', NULL, NULL, NULL, NULL, 'BNAANNG06460D PROTEIN', 65989),
(122264, 'PTHR24282:SF191', NULL, NULL, NULL, NULL, 'CYTOCHROME', 65990),
(122265, 'PTHR10867:SF18', NULL, NULL, NULL, NULL, 'PHENYLETHANOLAMINE N-METHYLTRANSFERASE', 65991),
(122266, 'PTHR42774:SF3', NULL, NULL, NULL, NULL, 'PFKB-LIKE CARBOHYDRATE KINASE FAMILY PROTEIN', 65992),
(122267, 'PTHR30151:SF16', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', 65993),
(122268, 'PTHR36751', NULL, NULL, NULL, NULL, 'F3E22.8 PROTEIN', 65994),
(122269, 'PTHR31741:SF22', NULL, NULL, NULL, NULL, '1 PROTEIN, PUTATIVE, EXPRESSED-RELATED', 65995),
(122270, 'PTHR12103:SF13', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE DOMAIN-CONTAINING PROTEIN 1', 65996),
(122271, 'PTHR45799:SF4', NULL, NULL, NULL, NULL, 'RETICULON-3', 65997),
(122272, 'PTHR31221:SF173', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN WRKY2-LIKE', 65998),
(122273, 'PTHR10666:SF347', NULL, NULL, NULL, NULL, 'BNAA08G20480D PROTEIN', 65999),
(122274, 'PTHR38926:SF37', NULL, NULL, NULL, NULL, 'BNAA09G01410D PROTEIN', 66000),
(122275, 'PTHR11440:SF90', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID:DIACYLGLYCEROL ACYLTRANSFERASE-RELATED', 66001),
(122276, 'PTHR11099', NULL, NULL, NULL, NULL, 'VACUOLAR SORTING PROTEIN 35', 66002),
(122277, 'PTHR31549:SF174', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', 66003),
(122278, 'PTHR33142:SF66', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR2-LIKE', 66004),
(122279, 'PTHR33186:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66005),
(122280, 'PTHR24023:SF987', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE XXIV, ALPHA 1', 66006),
(122281, 'PTHR24088:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S17, MITOCHONDRIAL', 66007),
(122282, 'PTHR31213:SF154', NULL, NULL, NULL, NULL, 'ALLERGEN PRU AR, PUTATIVE-RELATED', 66008),
(122283, 'PTHR43329:SF6', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE-LIKE PROTEIN', 66009),
(122284, 'PTHR35670:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 81', 66010),
(122285, 'PTHR46915:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66011),
(122286, 'PTHR43289:SF14', NULL, NULL, NULL, NULL, 'LYMPHOKINE-ACTIVATED KILLER T-CELL-ORIGINATED PROTEIN KINASE-RELATED', 66012),
(122287, 'PTHR33888', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4932415D10 GENE', 66013),
(122288, 'PTHR45873:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66014),
(122289, 'PTHR43895:SF103', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 66015),
(122290, 'PTHR19143:SF156', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-1', 66016),
(122291, 'PTHR42933:SF4', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME ECOKI M PROTEIN', 66017),
(122292, 'PTHR11017:SF349', NULL, NULL, NULL, NULL, 'BACTERIAL SPOT DISEASE RESISTANCE PROTEIN 4', 66018),
(122293, 'PTHR32015:SF7', NULL, NULL, NULL, NULL, 'LIPASE RELATED', 66019),
(122294, 'PTHR24343:SF471', NULL, NULL, NULL, NULL, 'SUCROSE NONFERMENTING 1(SNF1)-RELATED KINASE', 66020),
(122295, 'PTHR11614', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE-RELATED', 66021),
(122296, 'PTHR35138', NULL, NULL, NULL, NULL, 'OS01G0225300 PROTEIN', 66022),
(122297, 'PTHR24075:SF15', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH12-LIKE', 66023),
(122298, 'PTHR30532', NULL, NULL, NULL, NULL, 'IRON III  DICITRATE-BINDING PERIPLASMIC PROTEIN', 66024),
(122299, 'PTHR11351:SF81', NULL, NULL, NULL, NULL, 'BNAA08G28450D PROTEIN', 66025);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(122300, 'PTHR33571', NULL, NULL, NULL, NULL, 'SSL8005 PROTEIN', 66026),
(122301, 'PTHR22881:SF33', NULL, NULL, NULL, NULL, 'BROMODOMAIN AND WD REPEAT-CONTAINING PROTEIN 1-LIKE', 66027),
(122302, 'PTHR10728:SF24', NULL, NULL, NULL, NULL, 'CYTOSOLIC PHOSPHOLIPASE A2 EPSILON', 66028),
(122303, 'PTHR45974:SF160', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 66029),
(122304, 'PTHR35505:SF4', NULL, NULL, NULL, NULL, 'SNF2 DOMAIN PROTEIN', 66030),
(122305, 'PTHR10963:SF62', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE', 66031),
(122306, 'PTHR24960:SF78', NULL, NULL, NULL, NULL, 'FERREDOXIN YFHL', 66032),
(122307, 'PTHR47383', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 66033),
(122308, 'PTHR32077:SF74', NULL, NULL, NULL, NULL, 'BNAA06G16020D PROTEIN', 66034),
(122309, 'PTHR43952:SF60', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 1 ISOFORM X1', 66035),
(122310, 'PTHR19855:SF19', NULL, NULL, NULL, NULL, 'F-BOX/WD-40 REPEAT PLANT PROTEIN', 66036),
(122311, 'PTHR44281:SF3', NULL, NULL, NULL, NULL, 'SPINDLE ASSEMBLY 6 HOMOLOG', 66037),
(122312, 'PTHR24373:SF332', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT, IG-LIKE AND TRANSMEMBRANE DOMAINS 1', 66038),
(122313, 'PTHR31172:SF10', NULL, NULL, NULL, NULL, 'PLECTIN-RELATED PROTEIN-RELATED', 66039),
(122314, 'PTHR11537', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED POTASSIUM CHANNEL', 66040),
(122315, 'PTHR10261:SF6', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA', 66041),
(122316, 'PTHR33170:SF32', NULL, NULL, NULL, NULL, 'OS05G0102200 PROTEIN', 66042),
(122317, 'PTHR11685:SF359', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 66043),
(122318, 'PTHR10366:SF723', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66044),
(122319, 'PTHR47947:SF24', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81E8', 66045),
(122320, 'PTHR34937:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66046),
(122321, 'PTHR31914:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM163A', 66047),
(122322, 'PTHR22800:SF244', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY I MEMBER 1', 66048),
(122323, 'PTHR33509:SF22', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 37', 66049),
(122324, 'PTHR11654:SF156', NULL, NULL, NULL, NULL, 'OS04G0660900 PROTEIN', 66050),
(122325, 'PTHR46910:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 66051),
(122326, 'PTHR43616:SF3', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLATE DEHYDROGENASE A', 66052),
(122327, 'PTHR42870:SF7', NULL, NULL, NULL, NULL, 'ACETYL-COA C-ACETYLTRANSFERASE (ACETOACETYL-COA THIOLASE) (ACAB-3)', 66053),
(122328, 'PTHR32285:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66054),
(122329, 'PTHR14315:SF20', NULL, NULL, NULL, NULL, 'SIMILAR TO VERTEBRATE MID1 INTERACTING-LIKE PROTEIN', 66055),
(122330, 'PTHR43029:SF4', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER MEP1-RELATED', 66056),
(122331, 'PTHR32444:SF102', NULL, NULL, NULL, NULL, 'S-LOCUS-SPECIFIC GLYCOPROTEIN S13', 66057),
(122332, 'PTHR33110:SF15', NULL, NULL, NULL, NULL, 'OS11G0594500 PROTEIN', 66058),
(122333, 'PTHR16039:SF1', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 2', 66059),
(122334, 'PTHR34670:SF9', NULL, NULL, NULL, NULL, 'OS05G0456900 PROTEIN', 66060),
(122335, 'PTHR10605:SF11', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE GLUCOSAMINE 3-O-SULFOTRANSFERASE 4', 66061),
(122336, 'PTHR31286:SF59', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', 66062),
(122337, 'PTHR31989:SF307', NULL, NULL, NULL, NULL, 'BNACNNG38230D PROTEIN', 66063),
(122338, 'PTHR35984:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66064),
(122339, 'PTHR31190:SF129', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1', 66065),
(122340, 'PTHR45647:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66066),
(122341, 'PTHR32077:SF3', NULL, NULL, NULL, NULL, 'OS08G0502400 PROTEIN', 66067),
(122342, 'PTHR11726:SF38', NULL, NULL, NULL, NULL, 'BNAA07G24130D PROTEIN', 66068),
(122343, 'PTHR11206:SF390', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 66069);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(122344, 'PTHR13832:SF305', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1J', 66070),
(122345, 'PTHR18841:SF0', NULL, NULL, NULL, NULL, 'VITELLINE MEMBRANE OUTER LAYER PROTEIN 1 HOMOLOG', 66071),
(122346, 'PTHR45717', NULL, NULL, NULL, NULL, 'OS12G0527900 PROTEIN', 66072),
(122347, 'PTHR46085', NULL, NULL, NULL, NULL, 'ARFGAP/RECO-RELATED', 66073),
(122348, 'PTHR46134:SF4', NULL, NULL, NULL, NULL, 'ARF-GAP DOMAIN AND FG REPEAT-CONTAINING PROTEIN 2', 66074),
(122349, 'PTHR11216:SF120', NULL, NULL, NULL, NULL, 'SI:CH211-11K18.4', 66075),
(122350, 'PTHR24377:SF417', NULL, NULL, NULL, NULL, 'MCG141845-RELATED', 66076),
(122351, 'PTHR45823', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 66077),
(122352, 'PTHR13170:SF19', NULL, NULL, NULL, NULL, 'O-GLCNACASE-LIKE', 66078),
(122353, 'PTHR45845:SF3', NULL, NULL, NULL, NULL, 'PURATROPHIN-1-LIKE, ISOFORM A', 66079),
(122354, 'PTHR14226:SF70', NULL, NULL, NULL, NULL, 'BNAC02G02780D PROTEIN', 66080),
(122355, 'PTHR31009:SF6', NULL, NULL, NULL, NULL, 'OS01G0701700 PROTEIN', 66081),
(122356, 'PTHR42743:SF17', NULL, NULL, NULL, NULL, 'BNAA09G03710D PROTEIN', 66082),
(122357, 'PTHR34795:SF4', NULL, NULL, NULL, NULL, 'NEMATODE RESISTANCE PROTEIN-LIKE HSPRO2', 66083),
(122358, 'PTHR40052:SF1', NULL, NULL, NULL, NULL, 'UPF0403 PROTEIN YQIW', 66084),
(122359, 'PTHR33712:SF7', NULL, NULL, NULL, NULL, 'LIGHT-INDEPENDENT PROTOCHLOROPHYLLIDE REDUCTASE SUBUNIT B', 66085),
(122360, 'PTHR21649:SF71', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN CP29.2, CHLOROPLASTIC', 66086),
(122361, 'PTHR11461:SF13', NULL, NULL, NULL, NULL, 'ANGIOTENSINOGEN', 66087),
(122362, 'PTHR24180:SF29', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT35-RELATED', 66088),
(122363, 'PTHR12411:SF55', NULL, NULL, NULL, NULL, 'CATHEPSIN K', 66089),
(122364, 'PTHR36925:SF1', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-6A REDUCTASE', 66090),
(122365, 'PTHR24305:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66091),
(122366, 'PTHR45640:SF21', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP-16.41-RELATED', 66092),
(122367, 'PTHR32099:SF69', NULL, NULL, NULL, NULL, 'OS01G0342200 PROTEIN', 66093),
(122368, 'PTHR23342:SF6', NULL, NULL, NULL, NULL, 'ACETYLGLUTAMATE KINASE', 66094),
(122369, 'PTHR20961:SF119', NULL, NULL, NULL, NULL, 'EGF DOMAIN-SPECIFIC O-LINKED N-ACETYLGLUCOSAMINE TRANSFERASE-LIKE', 66095),
(122370, 'PTHR32093:SF115', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 2', 66096),
(122371, 'PTHR46300:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A3', 66097),
(122372, 'PTHR23033:SF44', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1-A', 66098),
(122373, 'PTHR24177:SF139', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 66099),
(122374, 'PTHR24093:SF462', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 11, PLASMA MEMBRANE-TYPE-RELATED', 66100),
(122375, 'PTHR43330:SF7', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 1', 66101),
(122376, 'PTHR21064:SF1', NULL, NULL, NULL, NULL, 'HYDROXYLYSINE KINASE', 66102),
(122377, 'PTHR28021', NULL, NULL, NULL, NULL, 'PRESEQUENCE TRANSLOCATED-ASSOCIATED MOTOR SUBUNIT PAM17, MITOCHONDRIAL', 66103),
(122378, 'PTHR37846', NULL, NULL, NULL, NULL, 'YALI0B21296P', 66104),
(122379, 'PTHR21592:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG17952', 66105),
(122380, 'PTHR10894:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66106),
(122381, 'PTHR47993:SF120', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT', 66107),
(122382, 'PTHR27002:SF593', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 19', 66108),
(122383, 'PTHR33270:SF33', NULL, NULL, NULL, NULL, 'BNACNNG23130D PROTEIN', 66109),
(122384, 'PTHR27007:SF280', NULL, NULL, NULL, NULL, 'RECEPTOR LECTIN KINASE', 66110),
(122385, 'PTHR12629:SF0', NULL, NULL, NULL, NULL, 'APS, ISOFORM A', 66111),
(122386, 'PTHR10996:SF241', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 66112),
(122387, 'PTHR45757:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG03118', 66113); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(122388, 'PTHR23070:SF182', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 66114),
(122389, 'PTHR13265:SF0', NULL, NULL, NULL, NULL, 'HPR1', 66115),
(122390, 'PTHR33730:SF17', NULL, NULL, NULL, NULL, 'BNAC02G23270D PROTEIN', 66116),
(122391, 'PTHR46981', NULL, NULL, NULL, NULL, 'BIS(5''-ADENOSYL)-TRIPHOSPHATASE', 66117),
(122392, 'PTHR13768:SF23', NULL, NULL, NULL, NULL, 'ALPHA-SOLUBLE NSF ATTACHMENT PROTEIN', 66118),
(122393, 'PTHR34272:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66119),
(122394, 'PTHR31836', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 66120),
(122395, 'PTHR33605:SF2', NULL, NULL, NULL, NULL, 'EARLY NODULIN-93', 66121),
(122396, 'PTHR30471:SF3', NULL, NULL, NULL, NULL, 'UPF0758 PROTEIN YEES-RELATED', 66122),
(122397, 'PTHR46084:SF18', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 66123),
(122398, 'PTHR24233:SF10', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 13', 66124),
(122399, 'PTHR46407:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66125),
(122400, 'PTHR33021:SF190', NULL, NULL, NULL, NULL, 'UMECYANIN-LIKE', 66126),
(122401, 'PTHR23243:SF3', NULL, NULL, NULL, NULL, 'SUPRABASIN', 66127),
(122402, 'PTHR45654:SF42', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG6', 66128),
(122403, 'PTHR45917:SF3', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 5', 66129),
(122404, 'PTHR47393:SF2', NULL, NULL, NULL, NULL, 'CYSTATIN-14', 66130),
(122405, 'PTHR31707:SF254', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 66131),
(122406, 'PTHR23147:SF188', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH SPLICING FACTOR SC39 TRANSCRIPT I', 66132),
(122407, 'PTHR16121:SF0', NULL, NULL, NULL, NULL, 'CAP-SPECIFIC MRNA (NUCLEOSIDE-2''-O-)-METHYLTRANSFERASE 1', 66133),
(122408, 'PTHR47926:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66134),
(122409, 'PTHR48011:SF50', NULL, NULL, NULL, NULL, 'BNAANNG23400D PROTEIN', 66135),
(122410, 'PTHR10286:SF64', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE-RELATED', 66136),
(122411, 'PTHR22298:SF23', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 11', 66137),
(122412, 'PTHR14513:SF1', NULL, NULL, NULL, NULL, 'PROTECTION OF TELOMERES 1B', 66138),
(122413, 'PTHR31138:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', 66139),
(122414, 'PTHR11440:SF85', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID:DIACYLGLYCEROL ACYLTRANSFERASE 1-LIKE', 66140),
(122415, 'PTHR33988:SF2', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE MAZF', 66141),
(122416, 'PTHR31225:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66142),
(122417, 'PTHR11730', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 66143),
(122418, 'PTHR12750:SF15', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE', 66144),
(122419, 'PTHR20963:SF42', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', 66145),
(122420, 'PTHR12290:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 3', 66146),
(122421, 'PTHR48100:SF34', NULL, NULL, NULL, NULL, 'BROAD-SPECIFICITY PHOSPHATASE YOR283W', 66147),
(122422, 'PTHR31920:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66148),
(122423, 'PTHR46213:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR DEMETER', 66149),
(122424, 'PTHR16505', NULL, NULL, NULL, NULL, 'PROTEIN LZIC', 66150),
(122425, 'PTHR24056:SF211', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE C-3', 66151),
(122426, 'PTHR12728:SF0', NULL, NULL, NULL, NULL, 'RIBOSOME PRODUCTION FACTOR 2 HOMOLOG', 66152),
(122427, 'PTHR11984:SF113', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', 66153),
(122428, 'PTHR47990:SF57', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 6', 66154),
(122429, 'PTHR10571:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66155),
(122430, 'PTHR33998', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 66156),
(122431, 'PTHR34669:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD DOMAIN-CONTAINING PROTEIN MRL7L, CHLOROPLASTIC', 66157),
(122432, 'PTHR12635:SF7', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN 6', 66158); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(122433, 'PTHR45801:SF56', NULL, NULL, NULL, NULL, 'OS04G0168100 PROTEIN', 66159),
(122434, 'PTHR12522', NULL, NULL, NULL, NULL, 'ZINC-FINGER PROTEIN NOLZ1-RELATED', 66160),
(122435, 'PTHR24064:SF411', NULL, NULL, NULL, NULL, 'ORGANIC CATION TRANSPORTER PROTEIN-RELATED', 66161),
(122436, 'PTHR31165:SF79', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 10-LIKE', 66162),
(122437, 'PTHR16223:SF250', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH84-LIKE', 66163),
(122438, 'PTHR33348:SF21', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP9', 66164),
(122439, 'PTHR10638:SF74', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 66165),
(122440, 'PTHR33447:SF11', NULL, NULL, NULL, NULL, 'BNAA09G16880D PROTEIN', 66166),
(122441, 'PTHR33413', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 66167),
(122442, 'PTHR31314:SF19', NULL, NULL, NULL, NULL, 'OS06G0609500 PROTEIN', 66168),
(122443, 'PTHR34156:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YDGH', 66169),
(122444, 'PTHR11255:SF103', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 66170),
(122445, 'PTHR12733', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ATP SYNTHASE B CHAIN', 66171),
(122446, 'PTHR31828:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66172),
(122447, 'PTHR11252:SF13', NULL, NULL, NULL, NULL, 'BNAA05G32780D PROTEIN', 66173),
(122448, 'PTHR46128:SF238', NULL, NULL, NULL, NULL, 'BNAC03G60930D PROTEIN', 66174),
(122449, 'PTHR31885:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 86B', 66175),
(122450, 'PTHR12956:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66176),
(122451, 'PTHR33122:SF4', NULL, NULL, NULL, NULL, 'LIPID BINDING PROTEIN', 66177),
(122452, 'PTHR35315', NULL, NULL, NULL, NULL, 'ACI13', 66178),
(122453, 'PTHR24235:SF23', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 66179),
(122454, 'PTHR46008:SF22', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', 66180),
(122455, 'PTHR11972:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66181),
(122456, 'PTHR24072:SF343', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 66182),
(122457, 'PTHR21015:SF22', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 66183),
(122458, 'PTHR27006:SF243', NULL, NULL, NULL, NULL, 'BNAC01G36570D PROTEIN', 66184),
(122459, 'PTHR43899:SF18', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN 3-OXOACYL-COA REDUCTASE-B', 66185),
(122460, 'PTHR31388:SF145', NULL, NULL, NULL, NULL, 'PEROXIDASE', 66186),
(122461, 'PTHR39601:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66187),
(122462, 'PTHR46525:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66188),
(122463, 'PTHR24282:SF202', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, RIBONUCLEASE H-LIKE DOMAIN, GAG-PRE-INTEGRASE DOMAIN PROTEIN-RELATED', 66189),
(122464, 'PTHR12791:SF44', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SFT1', 66190),
(122465, 'PTHR31625:SF8', NULL, NULL, NULL, NULL, 'OS04G0638100 PROTEIN', 66191),
(122466, 'PTHR42760:SF90', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID 17-BETA DEHYDROGENASE 8', 66192),
(122467, 'PTHR16675:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66193),
(122468, 'PTHR11125', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TY 5', 66194),
(122469, 'PTHR23079:SF14', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 66195),
(122470, 'PTHR42908:SF10', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 2', 66196),
(122471, 'PTHR24559:SF268', NULL, NULL, NULL, NULL, 'TRANSPOSON TF2-1 POLYPROTEIN-RELATED', 66197),
(122472, 'PTHR31969:SF10', NULL, NULL, NULL, NULL, 'OSJNBA0038O10.17 PROTEIN', 66198),
(122473, 'PTHR10758:SF2', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 3', 66199),
(122474, 'PTHR34347', NULL, NULL, NULL, NULL, 'DNA REPAIR-SCAFFOLDING PROTEIN SPIDR', 66200),
(122475, 'PTHR19433:SF85', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 17', 66201),
(122476, 'PTHR33869:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66202),
(122477, 'PTHR46487', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XRCC3', 66203);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(122478, 'PTHR10394:SF23', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', 66204),
(122479, 'PTHR34145:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66205),
(122480, 'PTHR24416:SF552', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66206),
(122481, 'PTHR31867:SF72', NULL, NULL, NULL, NULL, 'EXPANSIN-A2', 66207),
(122482, 'PTHR12138:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66208),
(122483, 'PTHR31388:SF136', NULL, NULL, NULL, NULL, 'PEROXIDASE', 66209),
(122484, 'PTHR12777:SF0', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D2', 66210),
(122485, 'PTHR10628:SF19', NULL, NULL, NULL, NULL, 'SIALIDASE', 66211),
(122486, 'PTHR24055:SF102', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 2', 66212),
(122487, 'PTHR43952:SF33', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', 66213),
(122488, 'PTHR13683:SF375', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 66214),
(122489, 'PTHR10026:SF76', NULL, NULL, NULL, NULL, 'CYCLIN-T1-1', 66215),
(122490, 'PTHR43537:SF1', NULL, NULL, NULL, NULL, 'GLC OPERON TRANSCRIPTIONAL ACTIVATOR', 66216),
(122491, 'PTHR31413:SF17', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN AFP1-LIKE ISOFORM X1', 66217),
(122492, 'PTHR38788:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66218),
(122493, 'PTHR43185:SF1', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORTER FEOB', 66219),
(122494, 'PTHR15615:SF10', NULL, NULL, NULL, NULL, 'PHO85 CYCLIN-2-RELATED', 66220),
(122495, 'PTHR24214:SF9', NULL, NULL, NULL, NULL, 'LIM DOMAIN-BINDING PROTEIN 3', 66221),
(122496, 'PTHR14588:SF2', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 10', 66222),
(122497, 'PTHR44653:SF2', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 1', 66223),
(122498, 'PTHR31549:SF81', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', 66224),
(122499, 'PTHR23315:SF243', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 66225),
(122500, 'PTHR28581:SF1', NULL, NULL, NULL, NULL, 'CONSORTIN', 66226),
(122501, 'PTHR33021:SF400', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66227),
(122502, 'PTHR13720:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66228),
(122503, 'PTHR47192', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 3-2, CHLOROPLASTIC', 66229),
(122504, 'PTHR46668:SF1', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR5', 66230),
(122505, 'PTHR35385', NULL, NULL, NULL, NULL, 'PROTEIN B, PUTATIVE-RELATED-RELATED', 66231),
(122506, 'PTHR31852:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66232),
(122507, 'PTHR24349:SF383', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 34-LIKE', 66233),
(122508, 'PTHR34380:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66234),
(122509, 'PTHR32467:SF162', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TOE3', 66235),
(122510, 'PTHR33237:SF21', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 66236),
(122511, 'PTHR11909:SF375', NULL, NULL, NULL, NULL, 'CASEIN KINASE I C03C10.2-RELATED', 66237),
(122512, 'PTHR43029:SF28', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 66238),
(122513, 'PTHR47926:SF15', NULL, NULL, NULL, NULL, 'OS05G0534900 PROTEIN', 66239),
(122514, 'PTHR31080:SF108', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 66240),
(122515, 'PTHR45868:SF40', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1-LIKE', 66241),
(122516, 'PTHR23291:SF87', NULL, NULL, NULL, NULL, 'OS07G0177300 PROTEIN', 66242),
(122517, 'PTHR48048:SF56', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 66243),
(122518, 'PTHR13780:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66244),
(122519, 'PTHR10334:SF452', NULL, NULL, NULL, NULL, 'BNAA03G50090D PROTEIN', 66245),
(122520, 'PTHR24416:SF560', NULL, NULL, NULL, NULL, 'DISCOIDIN DOMAIN-CONTAINING RECEPTOR A', 66246),
(122521, 'PTHR43391:SF65', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', 66247),
(122522, 'PTHR44227:SF3', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSYL-TRANSFERASE TMTC4', 66248),
(122523, 'PTHR23318:SF23', NULL, NULL, NULL, NULL, 'BNAC03G34820D PROTEIN', 66249);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(122524, 'PTHR31992:SF213', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.1', 66250),
(122525, 'PTHR37421', NULL, NULL, NULL, NULL, 'UPF0260 PROTEIN YCGN', 66251),
(122526, 'PTHR33415:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66252),
(122527, 'PTHR36109:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 66253),
(122528, 'PTHR46111:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE I', 66254),
(122529, 'PTHR33647:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66255),
(122530, 'PTHR13620:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66256),
(122531, 'PTHR46387:SF6', NULL, NULL, NULL, NULL, '14.7 KDA RIBONUCLEASE H-LIKE PROTEIN', 66257),
(122532, 'PTHR24393:SF17', NULL, NULL, NULL, NULL, 'GDNF-INDUCIBLE ZINC FINGER PROTEIN 1', 66258),
(122533, 'PTHR46454:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66259),
(122534, 'PTHR19375:SF455', NULL, NULL, NULL, NULL, 'SHOCK 70 KDA PROTEIN, PUTATIVE-RELATED', 66260),
(122535, 'PTHR38099', NULL, NULL, NULL, NULL, 'LARGE RIBOSOMAL RNA SUBUNIT ACCUMULATION PROTEIN YCED', 66261),
(122536, 'PTHR12207:SF21', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 3', 66262),
(122537, 'PTHR16112:SF18', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 5', 66263),
(122538, 'PTHR10725:SF63', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT P TRANSPOSASE-LIKE PROTEIN', 66264),
(122539, 'PTHR23055:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66265),
(122540, 'PTHR31338:SF26', NULL, NULL, NULL, NULL, 'BNAC09G52200D PROTEIN', 66266),
(122541, 'PTHR34133:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 66267),
(122542, 'PTHR27009:SF73', NULL, NULL, NULL, NULL, 'OS01G0691050 PROTEIN', 66268),
(122543, 'PTHR34723', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 66269),
(122544, 'PTHR12499:SF10', NULL, NULL, NULL, NULL, 'OPTIC ATROPHY 3 PROTEIN', 66270),
(122545, 'PTHR23320:SF37', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 18', 66271),
(122546, 'PTHR23208:SF21', NULL, NULL, NULL, NULL, 'LYSOZYME-LIKE PROTEIN 2', 66272),
(122547, 'PTHR36847', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 66273),
(122548, 'PTHR12167:SF6', NULL, NULL, NULL, NULL, 'SI:CH73-265D7.2', 66274),
(122549, 'PTHR10829:SF42', NULL, NULL, NULL, NULL, 'HIGH OSMOLARITY SIGNALING PROTEIN SHO1', 66275),
(122550, 'PTHR33906', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 25 HOMOLOG', 66276),
(122551, 'PTHR21022:SF13', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', 66277),
(122552, 'PTHR45946:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A1', 66278),
(122553, 'PTHR43859:SF29', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE AND LIGASE SUPERFAMILY PROTEIN-RELATED', 66279),
(122554, 'PTHR11945:SF633', NULL, NULL, NULL, NULL, 'BNAC04G15630D PROTEIN', 66280),
(122555, 'PTHR46454:SF2', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 2', 66281),
(122556, 'PTHR31110:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66282),
(122557, 'PTHR47992:SF75', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 64-RELATED', 66283),
(122558, 'PTHR11945:SF398', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66284),
(122559, 'PTHR23070:SF180', NULL, NULL, NULL, NULL, 'BNAANNG38610D PROTEIN', 66285),
(122560, 'PTHR24349:SF379', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PEPKR2-LIKE ISOFORM X1', 66286),
(122561, 'PTHR13780:SF131', NULL, NULL, NULL, NULL, 'SUCROSE NONFERMENTING 4-LIKE PROTEIN ISOFORM X1', 66287),
(122562, 'PTHR35312:SF1', NULL, NULL, NULL, NULL, 'OS07G0641800 PROTEIN', 66288),
(122563, 'PTHR24206:SF35', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN WLIM1', 66289),
(122564, 'PTHR31636:SF32', NULL, NULL, NULL, NULL, 'OS11G0141500 PROTEIN', 66290),
(122565, 'PTHR43718:SF10', NULL, NULL, NULL, NULL, 'BNACNNG50070D PROTEIN', 66291),
(122566, 'PTHR31241:SF39', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ABI4', 66292),
(122567, 'PTHR34539:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66293),
(122568, 'PTHR36055:SF1', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', 66294); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(122569, 'PTHR14191:SF25', NULL, NULL, NULL, NULL, 'NA(+)/H(+) EXCHANGE REGULATORY COFACTOR NHE-RF1', 66295),
(122570, 'PTHR32468:SF129', NULL, NULL, NULL, NULL, 'BNAANNG38490D PROTEIN', 66296),
(122571, 'PTHR22812:SF140', NULL, NULL, NULL, NULL, 'CHROMOBOX HOMOLOG 3B', 66297),
(122572, 'PTHR34827:SF5', NULL, NULL, NULL, NULL, 'INSULIN GROWTH FACTOR-LIKE FAMILY MEMBER 3', 66298),
(122573, 'PTHR46277:SF14', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN-RELATED', 66299),
(122574, 'PTHR33743:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66300),
(122575, 'PTHR47978:SF6', NULL, NULL, NULL, NULL, 'BNACNNG07030D PROTEIN', 66301),
(122576, 'PTHR33021:SF383', NULL, NULL, NULL, NULL, 'PEELING CUPREDOXIN, PUTATIVE-RELATED', 66302),
(122577, 'PTHR48104:SF26', NULL, NULL, NULL, NULL, 'CASPASE-LIKE DOMAIN PROTEIN-RELATED', 66303),
(122578, 'PTHR43184:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG17618', 66304),
(122579, 'PTHR19964:SF10', NULL, NULL, NULL, NULL, 'MULTIPLE PDZ DOMAIN PROTEIN', 66305),
(122580, 'PTHR32073', NULL, NULL, NULL, NULL, 'GH11358P', 66306),
(122581, 'PTHR23505:SF53', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY-RELATED', 66307),
(122582, 'PTHR11532:SF86', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE D-LIKE PROTEIN', 66308),
(122583, 'PTHR47995:SF7', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 81-RELATED', 66309),
(122584, 'PTHR47937:SF2', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT-CONTAINING PROTEIN, PF01535''-RELATED', 66310),
(122585, 'PTHR46391:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66311),
(122586, 'PTHR31656:SF9', NULL, NULL, NULL, NULL, 'CONSTITUENT OF CELL WALL, PUTATIVE-RELATED', 66312),
(122587, 'PTHR47245:SF1', NULL, NULL, NULL, NULL, 'FOLDASE PROTEIN PRSA', 66313),
(122588, 'PTHR45901:SF1', NULL, NULL, NULL, NULL, 'LIPOXYGENASE HOMOLOGY DOMAINS 1A', 66314),
(122589, 'PTHR45677:SF1', NULL, NULL, NULL, NULL, 'ACIDIC AMINO ACID DECARBOXYLASE GADL1', 66315),
(122590, 'PTHR19423', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING PROTEIN 5', 66316),
(122591, 'PTHR35105:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CDI', 66317),
(122592, 'PTHR37437:SF4', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED PROTEIN', 66318),
(122593, 'PTHR28246:SF1', NULL, NULL, NULL, NULL, 'G1-SPECIFIC TRANSCRIPTIONAL REPRESSOR WHI5-RELATED', 66319),
(122594, 'PTHR38827:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66320),
(122595, 'PTHR19317:SF10', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 66321),
(122596, 'PTHR20863:SF65', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 66322),
(122597, 'PTHR10579:SF141', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR, TYPE A, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 66323),
(122598, 'PTHR37390:SF1', NULL, NULL, NULL, NULL, 'OS02G0592500 PROTEIN', 66324),
(122599, 'PTHR16675:SF260', NULL, NULL, NULL, NULL, 'CLASS I HISTOCOMPATIBILITY ANTIGEN, GOGO-B*0102 ALPHA CHAIN', 66325),
(122600, 'PTHR24237:SF7', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 183', 66326),
(122601, 'PTHR11606:SF29', NULL, NULL, NULL, NULL, 'NAD-SPECIFIC GLUTAMATE DEHYDROGENASE', 66327),
(122602, 'PTHR22870:SF420', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66328),
(122603, 'PTHR11685:SF371', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 66329),
(122604, 'PTHR11017:SF427', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 66330),
(122605, 'PTHR33021:SF302', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN', 66331),
(122606, 'PTHR48004:SF5', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 66332),
(122607, 'PTHR42953:SF2', NULL, NULL, NULL, NULL, 'ADHESION PROTEIN', 66333),
(122608, 'PTHR45753:SF5', NULL, NULL, NULL, NULL, 'ORNITHINE CARBAMOYLTRANSFERASE, CHLOROPLASTIC-LIKE', 66334),
(122609, 'PTHR24414:SF138', NULL, NULL, NULL, NULL, 'BNAC01G31390D PROTEIN', 66335),
(122610, 'PTHR24036:SF5', NULL, NULL, NULL, NULL, 'THROMBOMODULIN', 66336),
(122611, 'PTHR45650:SF51', NULL, NULL, NULL, NULL, 'BNAA05G17780D PROTEIN', 66337),
(122612, 'PTHR24027:SF323', NULL, NULL, NULL, NULL, 'CADHERIN-19', 66338);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(122613, 'PTHR22595:SF125', NULL, NULL, NULL, NULL, 'CHITINASE II', 66339),
(122614, 'PTHR31637:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE, 2,3-BISPHOSPHOGLYCERATE-INDEPENDENT-RELATED', 66340),
(122615, 'PTHR10763:SF22', NULL, NULL, NULL, NULL, 'ORC1-TYPE DNA REPLICATION PROTEIN 1', 66341),
(122616, 'PTHR31828:SF30', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 1', 66342),
(122617, 'PTHR24247:SF209', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR M5', 66343),
(122618, 'PTHR34807:SF13', NULL, NULL, NULL, NULL, 'BNAC03G12670D PROTEIN', 66344),
(122619, 'PTHR38003:SF1', NULL, NULL, NULL, NULL, 'THYMIC STROMAL LYMPHOPOIETIN', 66345),
(122620, 'PTHR45773:SF3', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE PROTEIN 4', 66346),
(122621, 'PTHR23074:SF71', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A1', 66347),
(122622, 'PTHR47928:SF61', NULL, NULL, NULL, NULL, 'OS01G0818200 PROTEIN', 66348),
(122623, 'PTHR32227:SF294', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', 66349),
(122624, 'PTHR13326:SF8', NULL, NULL, NULL, NULL, 'OS01G0773000 PROTEIN', 66350),
(122625, 'PTHR43157:SF47', NULL, NULL, NULL, NULL, 'WW DOMAIN-CONTAINING OXIDOREDUCTASE-LIKE PROTEIN', 66351),
(122626, 'PTHR45868:SF58', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 66352),
(122627, 'PTHR34270:SF3', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 15-RELATED', 66353),
(122628, 'PTHR15710:SF106', NULL, NULL, NULL, NULL, 'OS05G0495000 PROTEIN', 66354),
(122629, 'PTHR24381:SF285', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 2', 66355),
(122630, 'PTHR47999:SF51', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 308-LIKE', 66356),
(122631, 'PTHR27004:SF350', NULL, NULL, NULL, NULL, 'INACTIVE LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BIR2', 66357),
(122632, 'PTHR22883:SF279', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 14-RELATED', 66358),
(122633, 'PTHR31060:SF4', NULL, NULL, NULL, NULL, '1,8-CINEOLE SYNTHASE', 66359),
(122634, 'PTHR23267:SF206', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 9-49', 66360),
(122635, 'PTHR12737:SF9', NULL, NULL, NULL, NULL, 'GM09012P', 66361),
(122636, 'PTHR45665:SF28', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP2-1-RELATED', 66362),
(122637, 'PTHR10578:SF128', NULL, NULL, NULL, NULL, 'ALPHA-HYDROXY ACID DEHYDROGENASE, FMN-DEPENDENT', 66363),
(122638, 'PTHR12895:SF10', NULL, NULL, NULL, NULL, 'BNAC05G02330D PROTEIN', 66364),
(122639, 'PTHR13270:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66365),
(122640, 'PTHR47925:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66366),
(122641, 'PTHR11592:SF7', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 8-RELATED', 66367),
(122642, 'PTHR11802:SF198', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 27', 66368),
(122643, 'PTHR45764:SF37', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 11-LIKE', 66369),
(122644, 'PTHR11267:SF181', NULL, NULL, NULL, NULL, 'OPTOMOTOR-BLIND-RELATED-GENE-1, ISOFORM A-RELATED', 66370),
(122645, 'PTHR10867:SF17', NULL, NULL, NULL, NULL, 'AMINE N-METHYLTRANSFERASE', 66371),
(122646, 'PTHR10791:SF44', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET1', 66372),
(122647, 'PTHR10270:SF45', NULL, NULL, NULL, NULL, 'PROTEIN SOX-15', 66373),
(122648, 'PTHR24203:SF60', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', 66374),
(122649, 'PTHR24253:SF37', NULL, NULL, NULL, NULL, 'SERINE PROTEASE LINT', 66375),
(122650, 'PTHR32054:SF50', NULL, NULL, NULL, NULL, 'BNAA05G26110D PROTEIN', 66376),
(122651, 'PTHR13162:SF13', NULL, NULL, NULL, NULL, 'BNACNNG58980D PROTEIN', 66377),
(122652, 'PTHR10751:SF85', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 3', 66378),
(122653, 'PTHR14217:SF17', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', 66379),
(122654, 'PTHR27007:SF48', NULL, NULL, NULL, NULL, 'LECTIN-LIKE PROTEIN KINASE-LIKE', 66380),
(122655, 'PTHR22442', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 66381),
(122656, 'PTHR10725:SF54', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT P TRANSPOSASE-LIKE PROTEIN', 66382);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(122657, 'PTHR35862:SF1', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', 66383),
(122658, 'PTHR26379:SF264', NULL, NULL, NULL, NULL, 'OS08G0228200 PROTEIN', 66384),
(122659, 'PTHR33306', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED-RELATED', 66385),
(122660, 'PTHR24256:SF493', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P52', 66386),
(122661, 'PTHR31009:SF122', NULL, NULL, NULL, NULL, 'BNAA07G03510D PROTEIN', 66387),
(122662, 'PTHR46422:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE BSL2 HOMOLOG', 66388),
(122663, 'PTHR24417:SF5', NULL, NULL, NULL, NULL, 'LEMUR TYROSINE KINASE 2', 66389),
(122664, 'PTHR24034:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66390),
(122665, 'PTHR34269:SF5', NULL, NULL, NULL, NULL, 'BNAC02G48470D PROTEIN', 66391),
(122666, 'PTHR46675', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 66392),
(122667, 'PTHR46232:SF2', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY E MEMBER 1', 66393),
(122668, 'PTHR30009:SF20', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCOSE-SPECIFIC EIICB COMPONENT-RELATED', 66394),
(122669, 'PTHR22930:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66395),
(122670, 'PTHR11926:SF1403', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 66396),
(122671, 'PTHR22835:SF309', NULL, NULL, NULL, NULL, 'OS01G0650900 PROTEIN', 66397),
(122672, 'PTHR47024', NULL, NULL, NULL, NULL, 'BIOFILM ABSENT ON HEAD (AFTER YERSINIA EXPOSURE)-RELATED', 66398),
(122673, 'PTHR31956:SF28', NULL, NULL, NULL, NULL, 'NON-SPECIFIC PHOSPHOLIPASE C4-RELATED', 66399),
(122674, 'PTHR43636:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66400),
(122675, 'PTHR43842:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66401),
(122676, 'PTHR10502:SF96', NULL, NULL, NULL, NULL, 'ANNEXIN', 66402),
(122677, 'PTHR31301:SF143', NULL, NULL, NULL, NULL, 'BNAA09G06440D PROTEIN', 66403),
(122678, 'PTHR34851', NULL, NULL, NULL, NULL, 'PROTEIN CBG05235-RELATED', 66404),
(122679, 'PTHR16134:SF57', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FBX14', 66405),
(122680, 'PTHR13555:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER C2HC DOMAIN-CONTAINING PROTEIN T03G11.3', 66406),
(122681, 'PTHR31964:SF135', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', 66407),
(122682, 'PTHR36433:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 66408),
(122683, 'PTHR39518:SF2', NULL, NULL, NULL, NULL, 'UPF0215 PROTEIN MJ1150', 66409),
(122684, 'PTHR23236:SF73', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 66410),
(122685, 'PTHR12046:SF0', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE TYPE B CATALYTIC SUBUNIT', 66411),
(122686, 'PTHR10210:SF105', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYL PYROPHOSPHATE SYNTHETASE 1-LIKE 3-RELATED', 66412),
(122687, 'PTHR31717:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66413),
(122688, 'PTHR30509:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66414),
(122689, 'PTHR46146', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN CCR4', 66415),
(122690, 'PTHR22710', NULL, NULL, NULL, NULL, 'X-RAY RADIATION RESISTANCE ASSOCIATED PROTEIN 1  XRRA1', 66416),
(122691, 'PTHR48043:SF108', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 83A1', 66417),
(122692, 'PTHR19384:SF63', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE, BRAIN', 66418),
(122693, 'PTHR14338', NULL, NULL, NULL, NULL, 'ACTIN FILAMENT-ASSOCIATED PROTEIN 1 FAMILY MEMBER', 66419),
(122694, 'PTHR24281:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66420),
(122695, 'PTHR46249:SF37', NULL, NULL, NULL, NULL, 'VIRAL MOVEMENT PROTEIN', 66421),
(122696, 'PTHR31215:SF22', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 66422),
(122697, 'PTHR46813:SF6', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 18-LIKE', 66423),
(122698, 'PTHR16134:SF78', NULL, NULL, NULL, NULL, 'F-BOX AND LEUCINE-RICH REPEAT PROTEIN 8', 66424),
(122699, 'PTHR11783:SF258', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 66425),
(122700, 'PTHR43300', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', 66426);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(122701, 'PTHR24356:SF192', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C ETA TYPE', 66427),
(122702, 'PTHR46777:SF3', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 10-RELATED', 66428),
(122703, 'PTHR47026:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66429),
(122704, 'PTHR31945:SF92', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 66430),
(122705, 'PTHR11811:SF59', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING 2, CHLOROPLASTIC', 66431),
(122706, 'PTHR13968:SF6', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN RALY', 66432),
(122707, 'PTHR31116:SF29', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE SUPERFAMILY PROTEIN', 66433),
(122708, 'PTHR30055:SF168', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY TETR-FAMILY)-RELATED', 66434),
(122709, 'PTHR11986:SF113', NULL, NULL, NULL, NULL, 'ACETYLORNITHINE/SUCCINYLDIAMINOPIMELATE AMINOTRANSFERASE', 66435),
(122710, 'PTHR31080:SF224', NULL, NULL, NULL, NULL, 'BNAA09G06030D PROTEIN', 66436),
(122711, 'PTHR11709:SF262', NULL, NULL, NULL, NULL, 'LACCASE-15', 66437),
(122712, 'PTHR47968:SF30', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7E', 66438),
(122713, 'PTHR11937:SF149', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2-A-RELATED', 66439),
(122714, 'PTHR32044:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66440),
(122715, 'PTHR37823:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C-550', 66441),
(122716, 'PTHR11183:SF145', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE:XYLAN ALPHA-GLUCURONOSYLTRANSFERASE 4-RELATED', 66442),
(122717, 'PTHR34583:SF3', NULL, NULL, NULL, NULL, 'MULTISUBUNIT SODIUM/HYDROGEN ANTIPORTER, MNHC SUBUNIT', 66443),
(122718, 'PTHR33177:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66444),
(122719, 'PTHR24369:SF185', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEATS AND IMMUNOGLOBULIN-LIKE DOMAINS PROTEIN 3', 66445),
(122720, 'PTHR16140:SF21', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', 66446),
(122721, 'PTHR33077:SF105', NULL, NULL, NULL, NULL, 'BNAC08G48340D PROTEIN', 66447),
(122722, 'PTHR28584', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 228 MEMBER A', 66448),
(122723, 'PTHR34371:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66449),
(122724, 'PTHR36776:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 66450),
(122725, 'PTHR46813:SF13', NULL, NULL, NULL, NULL, 'BNAC01G40720D PROTEIN', 66451),
(122726, 'PTHR14948:SF39', NULL, NULL, NULL, NULL, 'SI:CH73-343G19.4-RELATED', 66452),
(122727, 'PTHR46820:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD7', 66453),
(122728, 'PTHR11876:SF33', NULL, NULL, NULL, NULL, 'DEFENSIN-7', 66454),
(122729, 'PTHR39669', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 66455),
(122730, 'PTHR36732:SF1', NULL, NULL, NULL, NULL, 'GLYCINE RICH PROTEIN 9-RELATED', 66456),
(122731, 'PTHR48164:SF1', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 4', 66457),
(122732, 'PTHR31790:SF327', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66458),
(122733, 'PTHR46204:SF15', NULL, NULL, NULL, NULL, 'LYSM DOMAIN RECEPTOR-LIKE KINASE 3', 66459),
(122734, 'PTHR33432:SF4', NULL, NULL, NULL, NULL, 'OS08G0510500 PROTEIN', 66460),
(122735, 'PTHR43670:SF46', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN, EXPRESSED', 66461),
(122736, 'PTHR40463:SF1', NULL, NULL, NULL, NULL, 'PH-RESPONSE REGULATOR PROTEIN PALC', 66462),
(122737, 'PTHR48054:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66463),
(122738, 'PTHR24031:SF539', NULL, NULL, NULL, NULL, 'DEAD/DEAH BOX HELICASE, FUSED TO N-TERMINAL HD DOMAIN', 66464),
(122739, 'PTHR31221:SF186', NULL, NULL, NULL, NULL, 'BNAA09G26610D PROTEIN', 66465),
(122740, 'PTHR23192:SF73', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L3.1', 66466),
(122741, 'PTHR46569', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRAIP', 66467),
(122742, 'PTHR13204', NULL, NULL, NULL, NULL, 'PTD012 PROTEIN', 66468),
(122743, 'PTHR30222', NULL, NULL, NULL, NULL, 'SPERMIDINE/PUTRESCINE-BINDING PERIPLASMIC PROTEIN', 66469);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(122744, 'PTHR30546:SF24', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 2-RELATED', 66470),
(122745, 'PTHR47979:SF11', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5A', 66471),
(122746, 'PTHR11709:SF349', NULL, NULL, NULL, NULL, 'LACCASE-9-RELATED', 66472),
(122747, 'PTHR36516:SF4', NULL, NULL, NULL, NULL, 'DOMON DOMAIN-CONTAINING PROTEIN Y73F4A.1', 66473),
(122748, 'PTHR35891', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBA', 66474),
(122749, 'PTHR31280:SF22', NULL, NULL, NULL, NULL, 'DUF810 FAMILY PROTEIN', 66475),
(122750, 'PTHR30292:SF0', NULL, NULL, NULL, NULL, '5-OXOPROLINASE SUBUNIT A', 66476),
(122751, 'PTHR31517:SF67', NULL, NULL, NULL, NULL, 'PEROXIDASE', 66477),
(122752, 'PTHR48078:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG07184', 66478),
(122753, 'PTHR45084', NULL, NULL, NULL, NULL, 'ERAD-ASSOCIATED E3 UBIQUITIN-PROTEIN LIGASE COMPONENT HRD3A-RELATED', 66479),
(122754, 'PTHR42204:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 66480),
(122755, 'PTHR12670:SF17', NULL, NULL, NULL, NULL, 'NEUTRAL CERAMIDASE 2', 66481),
(122756, 'PTHR33281:SF18', NULL, NULL, NULL, NULL, 'BESTROPHIN/UPF0187-RELATED', 66482),
(122757, 'PTHR27006:SF306', NULL, NULL, NULL, NULL, 'BNACNNG08380D PROTEIN', 66483),
(122758, 'PTHR11927', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-L-FUCOSYLTRANSFERASE', 66484),
(122759, 'PTHR45614:SF143', NULL, NULL, NULL, NULL, 'BNACNNG12230D PROTEIN', 66485),
(122760, 'PTHR11960:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66486),
(122761, 'PTHR11590:SF50', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE 6', 66487),
(122762, 'PTHR33047:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66488),
(122763, 'PTHR46706:SF2', NULL, NULL, NULL, NULL, 'WARTHOG (HEDGEHOG-LIKE FAMILY)-RELATED', 66489),
(122764, 'PTHR24068:SF368', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 10', 66490),
(122765, 'PTHR15157', NULL, NULL, NULL, NULL, 'UV RADIATION RESISTANCE-ASSOCIATED GENE PROTEIN', 66491),
(122766, 'PTHR24082:SF113', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP D MEMBER 1', 66492),
(122767, 'PTHR24369:SF166', NULL, NULL, NULL, NULL, 'LRRC32 ISOFORM 1', 66493),
(122768, 'PTHR12555:SF16', NULL, NULL, NULL, NULL, 'OS04G0577000 PROTEIN', 66494),
(122769, 'PTHR34207:SF7', NULL, NULL, NULL, NULL, 'PROTEIN BIC2', 66495),
(122770, 'PTHR30349:SF51', NULL, NULL, NULL, NULL, 'TYROSINE RECOMBINASE XERH', 66496),
(122771, 'PTHR31832:SF5', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 19', 66497),
(122772, 'PTHR23198:SF23', NULL, NULL, NULL, NULL, 'BNAA09G11030D PROTEIN', 66498),
(122773, 'PTHR21724:SF25', NULL, NULL, NULL, NULL, 'PHARYNGEAL GLAND TOXIN-RELATED', 66499),
(122774, 'PTHR32176:SF78', NULL, NULL, NULL, NULL, 'PATATIN', 66500),
(122775, 'PTHR23267:SF417', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 9-2', 66501),
(122776, 'PTHR31279:SF42', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM', 66502),
(122777, 'PTHR11893:SF39', NULL, NULL, NULL, NULL, 'INNEXIN INX1', 66503),
(122778, 'PTHR33295:SF20', NULL, NULL, NULL, NULL, 'ATPASE', 66504),
(122779, 'PTHR47750:SF1', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SNE', 66505),
(122780, 'PTHR35763:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66506),
(122781, 'PTHR28079:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN5', 66507),
(122782, 'PTHR31282:SF26', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 41-RELATED', 66508),
(122783, 'PTHR42893:SF19', NULL, NULL, NULL, NULL, 'MATE EFFLUX FAMILY PROTEIN', 66509),
(122784, 'PTHR33401:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66510),
(122785, 'PTHR22884:SF489', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 66511),
(122786, 'PTHR24347:SF412', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DCLK3', 66512),
(122787, 'PTHR15712', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT CONTAINING PROTEIN', 66513),
(122788, 'PTHR31744:SF129', NULL, NULL, NULL, NULL, 'BNAC05G47500D PROTEIN', 66514),
(122789, 'PTHR10288:SF276', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN K,-LIKE', 66515);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(122790, 'PTHR47981:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66516),
(122791, 'PTHR34720', NULL, NULL, NULL, NULL, 'MICROCYSTIN DEPENDENT PROTEIN', 66517),
(122792, 'PTHR10887:SF428', NULL, NULL, NULL, NULL, 'HELICASE WITH ZINC FINGER DOMAIN 2', 66518),
(122793, 'PTHR47088:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 66519),
(122794, 'PTHR32002:SF36', NULL, NULL, NULL, NULL, 'PROTEIN NLP5', 66520),
(122795, 'PTHR31561:SF24', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 12', 66521),
(122796, 'PTHR23253', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4 GAMMA', 66522),
(122797, 'PTHR24271:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66523),
(122798, 'PTHR24015:SF1812', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 66524),
(122799, 'PTHR11467:SF133', NULL, NULL, NULL, NULL, 'BNAA04G17710D PROTEIN', 66525),
(122800, 'PTHR31568:SF56', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH TM MODULE STRESS TOLERANCE PROTEIN', 66526),
(122801, 'PTHR14191:SF22', NULL, NULL, NULL, NULL, 'GH04176P', 66527),
(122802, 'PTHR24328:SF8', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MOX-1', 66528),
(122803, 'PTHR24282:SF121', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714C2-LIKE', 66529),
(122804, 'PTHR10773:SF16', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES II AND V SUBUNIT 6B', 66530),
(122805, 'PTHR31775:SF19', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', 66531),
(122806, 'PTHR18896:SF86', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D DELTA', 66532),
(122807, 'PTHR12010:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S29', 66533),
(122808, 'PTHR11886:SF87', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 66534),
(122809, 'PTHR45138:SF17', NULL, NULL, NULL, NULL, 'REGULATORY COMPONENTS OF SENSORY TRANSDUCTION SYSTEM', 66535),
(122810, 'PTHR14817:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 15', 66536),
(122811, 'PTHR15950:SF15', NULL, NULL, NULL, NULL, 'PROTEIN VESTIGIAL', 66537),
(122812, 'PTHR47964', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE HOMOLOG RECG, CHLOROPLASTIC', 66538),
(122813, 'PTHR42861:SF92', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 66539),
(122814, 'PTHR48049:SF32', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 92A1', 66540),
(122815, 'PTHR11328:SF24', NULL, NULL, NULL, NULL, 'INNER MEMBRANE SYMPORTER YICJ-RELATED', 66541),
(122816, 'PTHR18966:SF472', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 66542),
(122817, 'PTHR10845:SF196', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 17', 66543),
(122818, 'PTHR45832:SF5', NULL, NULL, NULL, NULL, 'STE FAMILY PROTEIN KINASE', 66544),
(122819, 'PTHR42791:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66545),
(122820, 'PTHR27009:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66546),
(122821, 'PTHR11599:SF118', NULL, NULL, NULL, NULL, 'PROTEASOME ENDOPEPTIDASE COMPLEX', 66547),
(122822, 'PTHR11746:SF272', NULL, NULL, NULL, NULL, '5-PENTADECATRIENYL RESORCINOL O-METHYLTRANSFERASE', 66548),
(122823, 'PTHR43999', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 2', 66549),
(122824, 'PTHR46578:SF4', NULL, NULL, NULL, NULL, 'ARM-REPEAT/TETRATRICOPEPTIDE REPEAT (TPR)-LIKE PROTEIN', 66550),
(122825, 'PTHR47983:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66551),
(122826, 'PTHR43391:SF16', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G04120)', 66552),
(122827, 'PTHR13713:SF60', NULL, NULL, NULL, NULL, 'LACTOSYLCERAMIDE ALPHA-2,3-SIALYLTRANSFERASE', 66553),
(122828, 'PTHR27008:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66554),
(122829, 'PTHR33528:SF14', NULL, NULL, NULL, NULL, 'OS07G0239500 PROTEIN', 66555),
(122830, 'PTHR24161:SF89', NULL, NULL, NULL, NULL, 'ANKYRIN/TPR REPEAT PROTEIN', 66556),
(122831, 'PTHR46289', NULL, NULL, NULL, NULL, '52 KDA REPRESSOR OF THE INHIBITOR OF THE PROTEIN KINASE-LIKE PROTEIN-RELATED', 66557),
(122832, 'PTHR34810', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN BIN4', 66558),
(122833, 'PTHR27002:SF799', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 15-RELATED', 66559);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(122834, 'PTHR28206', NULL, NULL, NULL, NULL, 'NUCLEOPORIN POM152', 66560),
(122835, 'PTHR44188:SF3', NULL, NULL, NULL, NULL, 'GANGLIOSIDE-INDUCED DIFFERENTIATION-ASSOCIATED PROTEIN 1', 66561),
(122836, 'PTHR11017:SF259', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 66562),
(122837, 'PTHR22796', NULL, NULL, NULL, NULL, 'URG4-RELATED', 66563),
(122838, 'PTHR31948:SF108', NULL, NULL, NULL, NULL, 'BNAA09G57080D PROTEIN', 66564),
(122839, 'PTHR15288:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66565),
(122840, 'PTHR15729', NULL, NULL, NULL, NULL, 'CDC42 GTPASE-ACTIVATING PROTEIN', 66566),
(122841, 'PTHR22763:SF167', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 145', 66567),
(122842, 'PTHR32295:SF219', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', 66568),
(122843, 'PTHR30624:SF11', NULL, NULL, NULL, NULL, 'ZINC-DEPENDENT PROTEASE, TLDD/PMBA FAMILY', 66569),
(122844, 'PTHR11346:SF93', NULL, NULL, NULL, NULL, 'GALECTIN', 66570),
(122845, 'PTHR33064:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66571),
(122846, 'PTHR11183:SF136', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 66572),
(122847, 'PTHR11566:SF54', NULL, NULL, NULL, NULL, 'DYNAMIN-3', 66573),
(122848, 'PTHR24093:SF475', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 66574),
(122849, 'PTHR33165:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66575),
(122850, 'PTHR10541:SF2', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE', 66576),
(122851, 'PTHR10183:SF399', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE, PUTATIVE-RELATED', 66577),
(122852, 'PTHR31521:SF6', NULL, NULL, NULL, NULL, 'BNAA05G08780D PROTEIN', 66578),
(122853, 'PTHR42647:SF2', NULL, NULL, NULL, NULL, 'OS08G0115700 PROTEIN', 66579),
(122854, 'PTHR10814', NULL, NULL, NULL, NULL, 'TRANSDUCIN-LIKE ENHANCER PROTEIN', 66580),
(122855, 'PTHR24221:SF281', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER H FAMILY MEMBER 4', 66581),
(122856, 'PTHR46101:SF11', NULL, NULL, NULL, NULL, 'HISTIDINE DECARBOXYLASE-LIKE', 66582),
(122857, 'PTHR11132:SF416', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66583),
(122858, 'PTHR31218:SF71', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 66584),
(122859, 'PTHR11711:SF376', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 2-LIKE ISOFORM X1', 66585),
(122860, 'PTHR23315:SF238', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 66586),
(122861, 'PTHR11614:SF172', NULL, NULL, NULL, NULL, 'LIPASE, PUTATIVE-RELATED', 66587),
(122862, 'PTHR10516:SF426', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 66588),
(122863, 'PTHR31234:SF45', NULL, NULL, NULL, NULL, 'OS01G0574800 PROTEIN', 66589),
(122864, 'PTHR12200', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCIBLE PROTEIN AIM2 FAMILY MEMBER', 66590),
(122865, 'PTHR10501:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66591),
(122866, 'PTHR22298:SF111', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 3', 66592),
(122867, 'PTHR47666', NULL, NULL, NULL, NULL, 'PROTEIN VASCULAR ASSOCIATED DEATH 1, CHLOROPLASTIC', 66593),
(122868, 'PTHR21490', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 66594),
(122869, 'PTHR27002:SF812', NULL, NULL, NULL, NULL, 'LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE, PUTATIVE-RELATED', 66595),
(122870, 'PTHR11818:SF22', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN N', 66596),
(122871, 'PTHR34222:SF19', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 66597),
(122872, 'PTHR11721:SF3', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27A', 66598),
(122873, 'PTHR15348:SF17', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 5', 66599),
(122874, 'PTHR12749:SF0', NULL, NULL, NULL, NULL, 'DNA EXCISION REPAIR PROTEIN ERCC-1', 66600),
(122875, 'PTHR31142:SF1', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 1', 66601),
(122876, 'PTHR13098:SF4', NULL, NULL, NULL, NULL, 'WOLFRAM SYNDROME 1A (WOLFRAMIN)', 66602),
(122877, 'PTHR33344:SF10', NULL, NULL, NULL, NULL, 'OS06G0214100 PROTEIN', 66603),
(122878, 'PTHR33154:SF28', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YGAV-RELATED', 66604);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(122879, 'PTHR24006:SF650', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 30', 66605),
(122880, 'PTHR10625:SF193', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 1', 66606),
(122881, 'PTHR31874:SF49', NULL, NULL, NULL, NULL, 'CCT DOMAIN-CONTAINING PROTEIN-RELATED', 66607),
(122882, 'PTHR31549:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66608),
(122883, 'PTHR47512', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 66609),
(122884, 'PTHR24028:SF81', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-14', 66610),
(122885, 'PTHR23302:SF35', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 3', 66611),
(122886, 'PTHR47345', NULL, NULL, NULL, NULL, 'CUT9-INTERACTING PROTEIN SCN1', 66612),
(122887, 'PTHR37577:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66613),
(122888, 'PTHR10438:SF399', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 66614),
(122889, 'PTHR37767:SF2', NULL, NULL, NULL, NULL, 'BNAANNG08100D PROTEIN', 66615),
(122890, 'PTHR24028:SF134', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A2', 66616),
(122891, 'PTHR20982', NULL, NULL, NULL, NULL, 'RIBOSOME RECYCLING FACTOR', 66617),
(122892, 'PTHR22811:SF176', NULL, NULL, NULL, NULL, 'TMP21-RELATED PROTEIN-RELATED', 66618),
(122893, 'PTHR31476:SF11', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAMILY PROTEIN', 66619),
(122894, 'PTHR37989:SF37', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 7', 66620),
(122895, 'PTHR31657:SF54', NULL, NULL, NULL, NULL, 'BNAA09G12290D PROTEIN', 66621),
(122896, 'PTHR11409:SF42', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE-LIKE PROTEIN', 66622),
(122897, 'PTHR32499:SF13', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN-RELATED', 66623),
(122898, 'PTHR16631:SF25', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE BTGC', 66624),
(122899, 'PTHR43228', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 66625),
(122900, 'PTHR48043:SF111', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 66626),
(122901, 'PTHR24064:SF443', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 27-RELATED', 66627),
(122902, 'PTHR38085', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 66628),
(122903, 'PTHR45836:SF11', NULL, NULL, NULL, NULL, 'RETICULON-4 RECEPTOR-LIKE 1', 66629),
(122904, 'PTHR31235:SF327', NULL, NULL, NULL, NULL, 'PEROXIDASE', 66630),
(122905, 'PTHR10722:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', 66631),
(122906, 'PTHR47389:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66632),
(122907, 'PTHR26450:SF170', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52E8', 66633),
(122908, 'PTHR13318:SF148', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN MAX2', 66634),
(122909, 'PTHR24015:SF622', NULL, NULL, NULL, NULL, 'OS02G0833050 PROTEIN', 66635),
(122910, 'PTHR47967:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66636),
(122911, 'PTHR44586:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66637),
(122912, 'PTHR24253:SF72', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 56', 66638),
(122913, 'PTHR31161:SF18', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', 66639),
(122914, 'PTHR34114', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 1', 66640),
(122915, 'PTHR10747:SF38', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR COLLIER', 66641),
(122916, 'PTHR24388:SF46', NULL, NULL, NULL, NULL, 'CCCTC-BINDING FACTOR (ZINC FINGER PROTEIN)', 66642),
(122917, 'PTHR43795:SF10', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 9', 66643),
(122918, 'PTHR23147:SF162', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 3', 66644),
(122919, 'PTHR24377:SF212', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 28 HOMOLOG', 66645),
(122920, 'PTHR10676:SF310', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 7, AXONEMAL', 66646),
(122921, 'PTHR10064:SF24', NULL, NULL, NULL, NULL, 'BNAA02G37000D PROTEIN', 66647),
(122922, 'PTHR11017:SF296', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN ADR1', 66648),
(122923, 'PTHR21661:SF35', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', 66649),
(122924, 'PTHR13847:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66650);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(122925, 'PTHR31906:SF17', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 1, CHLOROPLASTIC-RELATED', 66651),
(122926, 'PTHR33494:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66652),
(122927, 'PTHR12186', NULL, NULL, NULL, NULL, 'SIKE FAMILY MEMBER', 66653),
(122928, 'PTHR11705:SF123', NULL, NULL, NULL, NULL, 'RE62864P-RELATED', 66654),
(122929, 'PTHR33172:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66655),
(122930, 'PTHR31413:SF15', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2/RNA RECOGNITION MOTIF PROTEIN', 66656),
(122931, 'PTHR46508:SF1', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY PROTEIN', 66657),
(122932, 'PTHR23143:SF20', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 6-LIKE PROTEIN 1-RELATED', 66658),
(122933, 'PTHR24306:SF8', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 66659),
(122934, 'PTHR11588:SF79', NULL, NULL, NULL, NULL, 'TUBULIN GAMMA-2 CHAIN', 66660),
(122935, 'PTHR10217:SF481', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 3', 66661),
(122936, 'PTHR46659:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/TYROSINE-INTERACTING-LIKE PROTEIN 1', 66662),
(122937, 'PTHR31683:SF145', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 66663),
(122938, 'PTHR23101:SF63', NULL, NULL, NULL, NULL, 'OS03G0842700 PROTEIN', 66664),
(122939, 'PTHR24270:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66665),
(122940, 'PTHR11040:SF140', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 11', 66666),
(122941, 'PTHR32278:SF96', NULL, NULL, NULL, NULL, 'BNAC02G34420D PROTEIN', 66667),
(122942, 'PTHR33076:SF134', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 1', 66668),
(122943, 'PTHR36337', NULL, NULL, NULL, NULL, 'OBSCURIN-LIKE PROTEIN', 66669),
(122944, 'PTHR24356:SF387', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66670),
(122945, 'PTHR31933:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66671),
(122946, 'PTHR42973:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66672),
(122947, 'PTHR11538:SF38', NULL, NULL, NULL, NULL, 'O-PHOSPHOSERINE--TRNA(CYS) LIGASE', 66673),
(122948, 'PTHR26453:SF217', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 66674),
(122949, 'PTHR33334:SF5', NULL, NULL, NULL, NULL, 'PROTEIN LNK2', 66675),
(122950, 'PTHR23318:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 3', 66676),
(122951, 'PTHR31096:SF76', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN-RELATED', 66677),
(122952, 'PTHR24228:SF61', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 66678),
(122953, 'PTHR45744:SF15', NULL, NULL, NULL, NULL, 'S-ALKYL-THIOHYDROXIMATE LYASE SUR1', 66679),
(122954, 'PTHR31113:SF31', NULL, NULL, NULL, NULL, 'BNAA06G14280D PROTEIN', 66680),
(122955, 'PTHR46544:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-32E6.6-RELATED', 66681),
(122956, 'PTHR45894:SF5', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 8A-LIKE', 66682),
(122957, 'PTHR35318:SF13', NULL, NULL, NULL, NULL, 'BNAANNG41220D PROTEIN', 66683),
(122958, 'PTHR42085:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66684),
(122959, 'PTHR21213:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66685),
(122960, 'PTHR46028:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66686),
(122961, 'PTHR35546:SF67', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 66687),
(122962, 'PTHR31729:SF2', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-1-RELATED', 66688),
(122963, 'PTHR24068:SF168', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 J1', 66689),
(122964, 'PTHR32153:SF60', NULL, NULL, NULL, NULL, 'BNAA02G18910D PROTEIN', 66690),
(122965, 'PTHR23301:SF58', NULL, NULL, NULL, NULL, 'FI16963P1-RELATED', 66691),
(122966, 'PTHR13068:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF15, MITOCHONDRIAL-LIKE', 66692),
(122967, 'PTHR45699:SF9', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', 66693),
(122968, 'PTHR10514:SF27', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME-RELATED', 66694),
(122969, 'PTHR31898:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 136A', 66695);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(122970, 'PTHR45839:SF12', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', 66696),
(122971, 'PTHR11653:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66697),
(122972, 'PTHR43790:SF4', NULL, NULL, NULL, NULL, 'CARBOHYDRATE TRANSPORT ATP-BINDING PROTEIN MG119-RELATED', 66698),
(122973, 'PTHR10460:SF46', NULL, NULL, NULL, NULL, 'ABIL1-LIKE PROTEIN', 66699),
(122974, 'PTHR33872:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0084K11.10-LIKE PROTEIN', 66700),
(122975, 'PTHR34458', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN-RELATED', 66701),
(122976, 'PTHR45968:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0019K04.7 PROTEIN', 66702),
(122977, 'PTHR11265:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66703),
(122978, 'PTHR23324:SF88', NULL, NULL, NULL, NULL, 'CRAL/TRIO AND GOLD DOMAIN CONTAINING', 66704),
(122979, 'PTHR31314:SF112', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL7', 66705),
(122980, 'PTHR33098:SF87', NULL, NULL, NULL, NULL, 'BNAC02G11900D PROTEIN', 66706),
(122981, 'PTHR31374:SF155', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR40', 66707),
(122982, 'PTHR45846:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66708),
(122983, 'PTHR45647:SF93', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', 66709),
(122984, 'PTHR22596:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG14949', 66710),
(122985, 'PTHR33420:SF9', NULL, NULL, NULL, NULL, 'MINOR FIMBRIAL SUBUNIT-RELATED', 66711),
(122986, 'PTHR11205:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66712),
(122987, 'PTHR12231:SF87', NULL, NULL, NULL, NULL, 'DPR-INTERACTING PROTEIN BETA, ISOFORM C', 66713),
(122988, 'PTHR27003:SF59', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 66714),
(122989, 'PTHR12321:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66715),
(122990, 'PTHR10494:SF15', NULL, NULL, NULL, NULL, 'NOGGIN', 66716),
(122991, 'PTHR19290:SF130', NULL, NULL, NULL, NULL, 'NEUROGENIN-1', 66717),
(122992, 'PTHR24026:SF88', NULL, NULL, NULL, NULL, 'CADHERIN FAMILY', 66718),
(122993, 'PTHR44743:SF10', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 66719),
(122994, 'PTHR10367', NULL, NULL, NULL, NULL, 'MRNA-CAPPING ENZYME', 66720),
(122995, 'PTHR12570:SF60', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 66721),
(122996, 'PTHR21659:SF70', NULL, NULL, NULL, NULL, 'HYDROPHOBIC PROTEIN LTI6A', 66722),
(122997, 'PTHR47172', NULL, NULL, NULL, NULL, 'OS01G0976800 PROTEIN', 66723),
(122998, 'PTHR11062:SF206', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 66724),
(122999, 'PTHR10629:SF34', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE CMT2', 66725),
(123000, 'PTHR43609', NULL, NULL, NULL, NULL, 'ACETYL-COA HYDROLASE', 66726),
(123001, 'PTHR23050:SF411', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 66727),
(123002, 'PTHR42798', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM ATP-BINDING PROTEIN LOLD', 66728),
(123003, 'PTHR48046:SF5', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 72E2-RELATED', 66729),
(123004, 'PTHR24230:SF131', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 151', 66730),
(123005, 'PTHR11654:SF477', NULL, NULL, NULL, NULL, 'BNAA02G13640D PROTEIN', 66731),
(123006, 'PTHR43681', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GTPASE FZO', 66732),
(123007, 'PTHR43280:SF24', NULL, NULL, NULL, NULL, 'ARABINOSE OPERON REGULATORY PROTEIN', 66733),
(123008, 'PTHR12318', NULL, NULL, NULL, NULL, 'TESTOSTERONE-REGULATED PROTEIN RP2', 66734),
(123009, 'PTHR19139:SF39', NULL, NULL, NULL, NULL, 'LENS FIBER MAJOR INTRINSIC PROTEIN', 66735),
(123010, 'PTHR11710:SF22', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S19E, WINGED HELIX-TURN-HELIX DNA-BINDING DOMAIN PROTEIN-RELATED', 66736),
(123011, 'PTHR48043:SF86', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 2B10-RELATED', 66737),
(123012, 'PTHR11441:SF6', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE', 66738),
(123013, 'PTHR10656:SF72', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 102', 66739),
(123014, 'PTHR11551:SF27', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 6A-RELATED', 66740);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(123015, 'PTHR36124:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66741),
(123016, 'PTHR24071:SF28', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN', 66742),
(123017, 'PTHR31692:SF2', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE B1', 66743),
(123018, 'PTHR31902:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66744),
(123019, 'PTHR11736:SF55', NULL, NULL, NULL, NULL, '1700080O16RIK PROTEIN', 66745),
(123020, 'PTHR45788:SF8', NULL, NULL, NULL, NULL, 'SI:DKEY-178E17.1', 66746),
(123021, 'PTHR31221:SF250', NULL, NULL, NULL, NULL, 'BNAA01G05500D PROTEIN', 66747),
(123022, 'PTHR15258:SF2', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR-BINDING PROTEIN 1', 66748),
(123023, 'PTHR11630:SF43', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM6', 66749),
(123024, 'PTHR36561', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 66750),
(123025, 'PTHR10353:SF275', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE-RELATED', 66751),
(123026, 'PTHR21196:SF1', NULL, NULL, NULL, NULL, 'U7 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM10', 66752),
(123027, 'PTHR14319:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 8B', 66753),
(123028, 'PTHR38483', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 66754),
(123029, 'PTHR23263:SF51', NULL, NULL, NULL, NULL, 'LATE CORNIFIED ENVELOPE PROTEIN 2B-RELATED', 66755),
(123030, 'PTHR45759:SF4', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 66756),
(123031, 'PTHR22951:SF71', NULL, NULL, NULL, NULL, 'BNAA02G13590D PROTEIN', 66757),
(123032, 'PTHR12607:SF12', NULL, NULL, NULL, NULL, 'APC-LIKE, ISOFORM A-RELATED', 66758),
(123033, 'PTHR15380', NULL, NULL, NULL, NULL, 'CEROID-LIPOFUSCINOSIS, NEURONAL 5', 66759),
(123034, 'PTHR31235:SF229', NULL, NULL, NULL, NULL, 'PEROXIDASE', 66760),
(123035, 'PTHR33377:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66761),
(123036, 'PTHR44042:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DIVARICATA-LIKE ISOFORM X1', 66762),
(123037, 'PTHR27006:SF414', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', 66763),
(123038, 'PTHR48016:SF29', NULL, NULL, NULL, NULL, 'MEKK1, ISOFORM B', 66764),
(123039, 'PTHR46339:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG16264', 66765),
(123040, 'PTHR42965', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 66766),
(123041, 'PTHR43166:SF9', NULL, NULL, NULL, NULL, 'AMINO-ACID ABC TRANSPORTER ATP-BINDING PROTEIN HI_1078-RELATED', 66767),
(123042, 'PTHR47977:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66768),
(123043, 'PTHR47925:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66769),
(123044, 'PTHR12322:SF104', NULL, NULL, NULL, NULL, 'DOUBLESEX-MAB RELATED 93B', 66770),
(123045, 'PTHR30096:SF16', NULL, NULL, NULL, NULL, 'OS01G0878900 PROTEIN', 66771),
(123046, 'PTHR11417:SF17', NULL, NULL, NULL, NULL, 'PROLACTIN-7B1', 66772),
(123047, 'PTHR31218:SF313', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 66773),
(123048, 'PTHR31311:SF15', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 6-LIKE', 66774),
(123049, 'PTHR32448:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66775),
(123050, 'PTHR45642:SF48', NULL, NULL, NULL, NULL, 'OS02G0189300 PROTEIN', 66776),
(123051, 'PTHR48049:SF62', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 66777),
(123052, 'PTHR12757:SF5', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA-INDUCED PROTEIN 8-LIKE PROTEIN 3', 66778),
(123053, 'PTHR21237:SF34', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG', 66779),
(123054, 'PTHR11783:SF250', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 66780),
(123055, 'PTHR24071:SF25', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN', 66781),
(123056, 'PTHR31734:SF193', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA31', 66782),
(123057, 'PTHR47926:SF144', NULL, NULL, NULL, NULL, 'BNAA09G40840D PROTEIN', 66783),
(123058, 'PTHR45715:SF10', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E1', 66784),
(123059, 'PTHR24033', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', 66785),
(123060, 'PTHR46128:SF257', NULL, NULL, NULL, NULL, 'BNAC06G05450D PROTEIN', 66786);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(123061, 'PTHR16915:SF0', NULL, NULL, NULL, NULL, 'RADIATION-INDUCIBLE IMMEDIATE-EARLY GENE IEX-1', 66787),
(123062, 'PTHR20940', NULL, NULL, NULL, NULL, 'TETRA THYMOSIN', 66788),
(123063, 'PTHR48049:SF71', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 66789),
(123064, 'PTHR24349:SF240', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 26', 66790),
(123065, 'PTHR23257:SF748', NULL, NULL, NULL, NULL, 'OS08G0224100 PROTEIN', 66791),
(123066, 'PTHR18919:SF139', NULL, NULL, NULL, NULL, 'BLL2936 PROTEIN', 66792),
(123067, 'PTHR24393:SF71', NULL, NULL, NULL, NULL, 'SNAIL FAMILY TRANSCRIPTIONAL REPRESSOR 1', 66793),
(123068, 'PTHR34120:SF19', NULL, NULL, NULL, NULL, 'OS01G0860900 PROTEIN', 66794),
(123069, 'PTHR47258:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XERICO-RELATED', 66795),
(123070, 'PTHR47827:SF2', NULL, NULL, NULL, NULL, 'MLLT3, SUPER ELONGATION COMPLEX SUBUNIT', 66796),
(123071, 'PTHR35549', NULL, NULL, NULL, NULL, 'OS04G0584500 PROTEIN', 66797),
(123072, 'PTHR31790:SF382', NULL, NULL, NULL, NULL, 'BNAA04G26550D PROTEIN', 66798),
(123073, 'PTHR24109', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 31', 66799),
(123074, 'PTHR22844:SF367', NULL, NULL, NULL, NULL, 'APOPTOTIC PROTEASE-ACTIVATING FACTOR 1-RELATED', 66800),
(123075, 'PTHR47925:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66801),
(123076, 'PTHR10315:SF129', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 66802),
(123077, 'PTHR31734:SF150', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA27', 66803),
(123078, 'PTHR23023:SF161', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE FMO GS-OX-LIKE 9', 66804),
(123079, 'PTHR24027:SF411', NULL, NULL, NULL, NULL, 'CADHERIN RELATED FAMILY MEMBER 2', 66805),
(123080, 'PTHR28630:SF3', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-LIKE 2A', 66806),
(123081, 'PTHR31218:SF316', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 66807),
(123082, 'PTHR47990:SF65', NULL, NULL, NULL, NULL, 'NON-HEME DIOXYGENASE N-TERMINAL DOMAIN, ISOPENICILLIN N SYNTHASE-LIKE PROTEIN-RELATED', 66808),
(123083, 'PTHR11909:SF401', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66809),
(123084, 'PTHR46610', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 66810),
(123085, 'PTHR12747:SF0', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 1', 66811),
(123086, 'PTHR43939:SF57', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE', 66812),
(123087, 'PTHR24086:SF44', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-3', 66813),
(123088, 'PTHR32467:SF141', NULL, NULL, NULL, NULL, 'OS04G0653600 PROTEIN', 66814),
(123089, 'PTHR24104:SF34', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NHLRC1', 66815),
(123090, 'PTHR34058:SF9', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 1, CHLOROPLASTIC', 66816),
(123091, 'PTHR47926:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66817),
(123092, 'PTHR36542:SF8', NULL, NULL, NULL, NULL, 'GIG2-LIKE PROTEIN DREN', 66818),
(123093, 'PTHR16471', NULL, NULL, NULL, NULL, 'CMT1A DUPLICATED REGION TRANSCRIPT 15 PROTEIN-LIKE PROTEIN', 66819),
(123094, 'PTHR12976:SF0', NULL, NULL, NULL, NULL, 'RETINAL ROD RHODOPSIN-SENSITIVE CGMP 3'',5''-CYCLIC PHOSPHODIESTERASE SUBUNIT DELTA', 66820),
(123095, 'PTHR43795:SF69', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', 66821),
(123096, 'PTHR37810:SF5', NULL, NULL, NULL, NULL, 'IMMUNITY PROTEIN SDPI', 66822),
(123097, 'PTHR11909:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66823),
(123098, 'PTHR11036:SF92', NULL, NULL, NULL, NULL, 'SEMAPHORIN RELATED', 66824),
(123099, 'PTHR43441:SF8', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 66825),
(123100, 'PTHR27008:SF459', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66826),
(123101, 'PTHR15020:SF11', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G12510)', 66827),
(123102, 'PTHR11909:SF412', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE', 66828),
(123103, 'PTHR31920:SF44', NULL, NULL, NULL, NULL, 'BNAA04G20470D PROTEIN', 66829),
(123104, 'PTHR31691:SF1', NULL, NULL, NULL, NULL, 'ROTATIN', 66830);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(123105, 'PTHR31218:SF209', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 66831),
(123106, 'PTHR11764:SF56', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 66832),
(123107, 'PTHR10953:SF211', NULL, NULL, NULL, NULL, 'BNAC03G16630D PROTEIN', 66833),
(123108, 'PTHR10177:SF347', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN-B', 66834),
(123109, 'PTHR15405:SF0', NULL, NULL, NULL, NULL, 'LD47990P', 66835),
(123110, 'PTHR19282:SF473', NULL, NULL, NULL, NULL, 'TETRASPANIN', 66836),
(123111, 'PTHR19288', NULL, NULL, NULL, NULL, '4-NITROPHENYLPHOSPHATASE-RELATED', 66837),
(123112, 'PTHR21538:SF11', NULL, NULL, NULL, NULL, 'ANILLIN-LIKE PROTEIN 1', 66838),
(123113, 'PTHR38433', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 66839),
(123114, 'PTHR32448:SF143', NULL, NULL, NULL, NULL, 'OS08G0158400 PROTEIN', 66840),
(123115, 'PTHR11042:SF163', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED, DOUBLE-STRANDED RNA-ACTIVATED PROTEIN KINASE', 66841),
(123116, 'PTHR10504:SF134', NULL, NULL, NULL, NULL, 'PROTEIN CBG19248', 66842),
(123117, 'PTHR45669:SF4', NULL, NULL, NULL, NULL, 'OSJNBA0063C18.3 PROTEIN', 66843),
(123118, 'PTHR39231', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP25', 66844),
(123119, 'PTHR24356:SF232', NULL, NULL, NULL, NULL, '3-PHOSPHOINOSITIDE-DEPENDENT PROTEIN KINASE B', 66845),
(123120, 'PTHR46540', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 12', 66846),
(123121, 'PTHR21090:SF28', NULL, NULL, NULL, NULL, '3-PHOSPHOSHIKIMATE 1-CARBOXYVINYLTRANSFERASE, CHLOROPLASTIC', 66847),
(123122, 'PTHR12383:SF30', NULL, NULL, NULL, NULL, 'PEPTIDASE S24/S26A/S26B/S26C FAMILY PROTEIN', 66848),
(123123, 'PTHR23158:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66849),
(123124, 'PTHR33214:SF5', NULL, NULL, NULL, NULL, 'OS05G0550600 PROTEIN', 66850),
(123125, 'PTHR28549:SF1', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN INTEGRAL MEMBRANE PROTEIN 1', 66851),
(123126, 'PTHR47192:SF4', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 3-2, CHLOROPLASTIC', 66852),
(123127, 'PTHR11339:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66853),
(123128, 'PTHR33989:SF4', NULL, NULL, NULL, NULL, 'PTS SYSTEM N,N''-DIACETYLCHITOBIOSE-SPECIFIC EIIC COMPONENT', 66854),
(123129, 'PTHR33077:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 8', 66855),
(123130, 'PTHR11206:SF384', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 66856),
(123131, 'PTHR21681:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT J', 66857),
(123132, 'PTHR24281:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66858),
(123133, 'PTHR48010:SF54', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE-RELATED', 66859),
(123134, 'PTHR24241:SF119', NULL, NULL, NULL, NULL, 'PYROGLUTAMYLATED RF-AMIDE PEPTIDE RECEPTOR', 66860),
(123135, 'PTHR22814:SF312', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 20-LIKE', 66861),
(123136, 'PTHR31168:SF27', NULL, NULL, NULL, NULL, 'BNAC05G35140D PROTEIN', 66862),
(123137, 'PTHR10641:SF1192', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB29-RELATED', 66863),
(123138, 'PTHR30492:SF0', NULL, NULL, NULL, NULL, 'METHYLGLYOXAL SYNTHASE', 66864),
(123139, 'PTHR24223:SF382', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN ABC TRANSPORTER FAMILY PROTEIN', 66865),
(123140, 'PTHR11905:SF219', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 1B', 66866),
(123141, 'PTHR31561:SF111', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 66867),
(123142, 'PTHR48000:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB36', 66868),
(123143, 'PTHR34546:SF3', NULL, NULL, NULL, NULL, 'OS06G0153600 PROTEIN', 66869),
(123144, 'PTHR47992:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66870),
(123145, 'PTHR33095:SF45', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN', 66871),
(123146, 'PTHR22883:SF307', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 66872),
(123147, 'PTHR31722:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66873),
(123148, 'PTHR31677:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66874);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(123149, 'PTHR10426:SF107', NULL, NULL, NULL, NULL, 'BNAC01G23410D PROTEIN', 66875),
(123150, 'PTHR33107:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66876),
(123151, 'PTHR48026:SF11', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A1-LIKE 2', 66877),
(123152, 'PTHR43495', NULL, NULL, NULL, NULL, 'GABA PERMEASE', 66878),
(123153, 'PTHR48059:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 66879),
(123154, 'PTHR33869:SF8', NULL, NULL, NULL, NULL, 'OS01G0754800 PROTEIN', 66880),
(123155, 'PTHR31235:SF336', NULL, NULL, NULL, NULL, 'PEROXIDASE', 66881),
(123156, 'PTHR46774:SF6', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE, HELICASE/SANT-ASSOCIATED DOMAIN PROTEIN-RELATED', 66882),
(123157, 'PTHR11599:SF164', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 66883),
(123158, 'PTHR48005:SF28', NULL, NULL, NULL, NULL, 'OS06G0691800 PROTEIN', 66884),
(123159, 'PTHR31100:SF63', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 66885),
(123160, 'PTHR11668:SF454', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 66886),
(123161, 'PTHR10605:SF7', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE GLUCOSAMINE 3-O-SULFOTRANSFERASE 3B1', 66887),
(123162, 'PTHR32170:SF3', NULL, NULL, NULL, NULL, 'PROTEASOME ACTIVATOR COMPLEX SUBUNIT 4', 66888),
(123163, 'PTHR31221:SF200', NULL, NULL, NULL, NULL, 'BNAA03G51140D PROTEIN', 66889),
(123164, 'PTHR47468', NULL, NULL, NULL, NULL, 'OS08G0130000 PROTEIN', 66890),
(123165, 'PTHR31233:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66891),
(123166, 'PTHR24637:SF250', NULL, NULL, NULL, NULL, 'COLLAGEN', 66892),
(123167, 'PTHR10177:SF412', NULL, NULL, NULL, NULL, 'CYCLIN-D4-1', 66893),
(123168, 'PTHR24115:SF372', NULL, NULL, NULL, NULL, 'KINESIN FAMILY MEMBER 19A', 66894),
(123169, 'PTHR43867:SF7', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE (EUROFUNG)-RELATED', 66895),
(123170, 'PTHR11588:SF359', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 66896),
(123171, 'PTHR33088:SF45', NULL, NULL, NULL, NULL, 'ESX-1 SECRETION-ASSOCIATED PROTEIN ESPE-LIKE', 66897),
(123172, 'PTHR32153:SF50', NULL, NULL, NULL, NULL, 'BNAC03G22500D PROTEIN', 66898),
(123173, 'PTHR45086:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN PCN', 66899),
(123174, 'PTHR45675:SF74', NULL, NULL, NULL, NULL, 'BNAANNG32620D PROTEIN', 66900),
(123175, 'PTHR11036:SF37', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3B', 66901),
(123176, 'PTHR21576:SF30', NULL, NULL, NULL, NULL, 'NODULIN-LIKE FAMILY PROTEIN, EXPRESSED', 66902),
(123177, 'PTHR31931:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CHURCHILL', 66903),
(123178, 'PTHR45974:SF34', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING RECEPTOR-LIKE CYTOPLASMIC KINASE 2', 66904),
(123179, 'PTHR45680:SF30', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 66905),
(123180, 'PTHR16026:SF1', NULL, NULL, NULL, NULL, 'CARTILAGE ACIDIC PROTEIN 1A', 66906),
(123181, 'PTHR23309:SF41', NULL, NULL, NULL, NULL, 'BNAC03G34950D PROTEIN', 66907),
(123182, 'PTHR31080:SF210', NULL, NULL, NULL, NULL, 'BNACNNG78530D PROTEIN', 66908),
(123183, 'PTHR14140:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UHRF1', 66909),
(123184, 'PTHR30569:SF0', NULL, NULL, NULL, NULL, 'CYTOSINE PERMEASE', 66910),
(123185, 'PTHR24015:SF1951', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 66911),
(123186, 'PTHR34998:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66912),
(123187, 'PTHR24369:SF187', NULL, NULL, NULL, NULL, 'FI03228P-RELATED', 66913),
(123188, 'PTHR24113:SF8', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', 66914),
(123189, 'PTHR36753:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 66915),
(123190, 'PTHR46952:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 66916),
(123191, 'PTHR43833:SF8', NULL, NULL, NULL, NULL, 'TRK SYSTEM POTASSIUM UPTAKE PROTEIN TRKA', 66917),
(123192, 'PTHR32092:SF6', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', 66918),
(123193, 'PTHR11592:SF36', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 2', 66919);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(123194, 'PTHR44793', NULL, NULL, NULL, NULL, 'MATRIX REMODELING-ASSOCIATED PROTEIN 8', 66920),
(123195, 'PTHR11208:SF111', NULL, NULL, NULL, NULL, 'BNAA03G17930D PROTEIN', 66921),
(123196, 'PTHR45890:SF1', NULL, NULL, NULL, NULL, 'AARF DOMAIN CONTAINING KINASE 2 (PREDICTED)', 66922),
(123197, 'PTHR11337:SF12', NULL, NULL, NULL, NULL, 'SIALOMUCIN CORE PROTEIN 24', 66923),
(123198, 'PTHR10114:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66924),
(123199, 'PTHR34482:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66925),
(123200, 'PTHR28384:SF1', NULL, NULL, NULL, NULL, 'PROGRESSIVE ANKYLOSIS PROTEIN HOMOLOG', 66926),
(123201, 'PTHR33709:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66927),
(123202, 'PTHR47967:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66928),
(123203, 'PTHR13817:SF115', NULL, NULL, NULL, NULL, 'IG-LIKE AND FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 1-RELATED', 66929),
(123204, 'PTHR48005:SF32', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 5-LIKE', 66930),
(123205, 'PTHR43464:SF23', NULL, NULL, NULL, NULL, 'JUVENILE HORMONE ACID O-METHYLTRANSFERASE', 66931),
(123206, 'PTHR30603', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR RPO', 66932),
(123207, 'PTHR43899:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66933),
(123208, 'PTHR33417:SF20', NULL, NULL, NULL, NULL, 'B12D PROTEIN-RELATED', 66934),
(123209, 'PTHR12109:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG07411', 66935),
(123210, 'PTHR24286:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66936),
(123211, 'PTHR13354:SF9', NULL, NULL, NULL, NULL, 'ROUND SPERMATID BASIC PROTEIN 1-LIKE PROTEIN', 66937),
(123212, 'PTHR33156:SF48', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 6, CHLOROPLASTIC/MITOCHONDRIAL', 66938),
(123213, 'PTHR14168:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66939),
(123214, 'PTHR24229:SF97', NULL, NULL, NULL, NULL, 'SI:CH73-113G13.1-RELATED', 66940),
(123215, 'PTHR19359:SF104', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE HEME/STEROID BINDING DOMAIN CONTAINING PROTEIN', 66941),
(123216, 'PTHR43874:SF114', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR9', 66942),
(123217, 'PTHR23111:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66943),
(123218, 'PTHR27009:SF246', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-5', 66944),
(123219, 'PTHR24067:SF261', NULL, NULL, NULL, NULL, 'NEDD8-CONJUGATING ENZYME UBC-12', 66945),
(123220, 'PTHR47933:SF5', NULL, NULL, NULL, NULL, 'OS01G0747600 PROTEIN', 66946),
(123221, 'PTHR11260:SF615', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U17', 66947),
(123222, 'PTHR12871:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66948),
(123223, 'PTHR24296:SF216', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94A2-LIKE', 66949),
(123224, 'PTHR15622:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT AND SOCS BOX-CONTAINING PROTEIN 2', 66950),
(123225, 'PTHR47239:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66951),
(123226, 'PTHR11101:SF85', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 66952),
(123227, 'PTHR19304', NULL, NULL, NULL, NULL, 'CYCLIC-AMP RESPONSE ELEMENT BINDING PROTEIN', 66953),
(123228, 'PTHR23032:SF1', NULL, NULL, NULL, NULL, 'BRO1 DOMAIN-CONTAINING PROTEIN BROX', 66954),
(123229, 'PTHR10655:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66955),
(123230, 'PTHR33033:SF74', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H FOLD', 66956),
(123231, 'PTHR31221:SF112', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 59-RELATED', 66957),
(123232, 'PTHR10634:SF122', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 6', 66958),
(123233, 'PTHR48007:SF24', NULL, NULL, NULL, NULL, 'BNAC09G43790D PROTEIN', 66959),
(123234, 'PTHR32175:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66960),
(123235, 'PTHR21043:SF3', NULL, NULL, NULL, NULL, 'BNAC05G40400D PROTEIN', 66961),
(123236, 'PTHR46410', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 2', 66962);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(123237, 'PTHR43888:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', 66963),
(123238, 'PTHR24031:SF716', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-2', 66964),
(123239, 'PTHR15666:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66965),
(123240, 'PTHR17102', NULL, NULL, NULL, NULL, 'NEURONAL REGENERATION-RELATED PROTEIN', 66966),
(123241, 'PTHR45647:SF22', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 32', 66967),
(123242, 'PTHR27001:SF871', NULL, NULL, NULL, NULL, 'OS11G0664100 PROTEIN', 66968),
(123243, 'PTHR13723:SF141', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 2', 66969),
(123244, 'PTHR31882:SF10', NULL, NULL, NULL, NULL, 'TNFAIP3-INTERACTING PROTEIN 2', 66970),
(123245, 'PTHR33021:SF262', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 20', 66971),
(123246, 'PTHR48011:SF7', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 14', 66972),
(123247, 'PTHR37439:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG19417', 66973),
(123248, 'PTHR43826:SF3', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE EXCHANGER SLC37A4', 66974),
(123249, 'PTHR31851:SF68', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER (VIT) FAMILY PROTEIN-RELATED', 66975),
(123250, 'PTHR11972:SF163', NULL, NULL, NULL, NULL, 'FERRIC REDUCTASE TRANSMEMBRANE COMPONENT', 66976),
(123251, 'PTHR10625:SF198', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HOS1', 66977),
(123252, 'PTHR23342:SF14', NULL, NULL, NULL, NULL, 'N-ACETYL GLUTAMATE KINASE 2', 66978),
(123253, 'PTHR11908:SF137', NULL, NULL, NULL, NULL, 'HYPOXANTHINE OXIDASE XDHD-RELATED', 66979),
(123254, 'PTHR31476:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 66980),
(123255, 'PTHR12277:SF164', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', 66981),
(123256, 'PTHR10075:SF81', NULL, NULL, NULL, NULL, 'MYOTILIN', 66982),
(123257, 'PTHR22925:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66983),
(123258, 'PTHR33170:SF33', NULL, NULL, NULL, NULL, 'OS02G0198100 PROTEIN', 66984),
(123259, 'PTHR13523:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN CONTAINING 2, ISOFORM A-RELATED', 66985),
(123260, 'PTHR46011:SF10', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-199-RELATED', 66986),
(123261, 'PTHR23266:SF79', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA CONSTANT', 66987),
(123262, 'PTHR42886:SF35', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 66988),
(123263, 'PTHR46673:SF3', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 3 MEMBER 2A-RELATED', 66989),
(123264, 'PTHR21137', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR', 66990),
(123265, 'PTHR45743:SF22', NULL, NULL, NULL, NULL, 'INWARDLY RECTIFYING POTASSIUM CHANNEL SUBUNIT', 66991),
(123266, 'PTHR48017:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 66992),
(123267, 'PTHR31172', NULL, NULL, NULL, NULL, 'STOMATAL CLOSURE-RELATED ACTIN-BINDING PROTEIN 1', 66993),
(123268, 'PTHR11955:SF83', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN, ADIPOCYTE', 66994),
(123269, 'PTHR11849:SF187', NULL, NULL, NULL, NULL, 'ETS-DOMAIN LACKING', 66995),
(123270, 'PTHR11142:SF24', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE', 66996),
(123271, 'PTHR11208:SF123', NULL, NULL, NULL, NULL, 'OS02G0722700 PROTEIN', 66997),
(123272, 'PTHR22849:SF23', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 66998),
(123273, 'PTHR35104:SF16', NULL, NULL, NULL, NULL, 'BNAA05G25800D PROTEIN', 66999),
(123274, 'PTHR37168:SF1', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED EXONUCLEASE CAS4', 67000),
(123275, 'PTHR10434:SF46', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE ALPHA', 67001),
(123276, 'PTHR36897:SF2', NULL, NULL, NULL, NULL, 'OS10G0351100-LIKE PROTEIN', 67002),
(123277, 'PTHR34992:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67003),
(123278, 'PTHR24381:SF30', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 596', 67004),
(123279, 'PTHR36220:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 67005);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(123280, 'PTHR33512:SF7', NULL, NULL, NULL, NULL, 'PLANT/F17O14-7 PROTEIN', 67006),
(123281, 'PTHR24020:SF65', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE IV, ALPHA 1-RELATED', 67007),
(123282, 'PTHR11945:SF673', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67008),
(123283, 'PTHR11328:SF28', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 12', 67009),
(123284, 'PTHR48001:SF73', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 67010),
(123285, 'PTHR10795:SF696', NULL, NULL, NULL, NULL, 'BNAA10G12230D PROTEIN', 67011),
(123286, 'PTHR40663:SF2', NULL, NULL, NULL, NULL, 'HELIX-TURN-HELIX AND ZINC RIBBON TRANSCRIPTIONAL REGULATOR', 67012),
(123287, 'PTHR11615:SF314', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 67013),
(123288, 'PTHR48063:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67014),
(123289, 'PTHR18063:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67015),
(123290, 'PTHR47925:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67016),
(123291, 'PTHR11360:SF246', NULL, NULL, NULL, NULL, 'AGAP000795-PA', 67017),
(123292, 'PTHR47344:SF1', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN-RELATED', 67018),
(123293, 'PTHR24026:SF108', NULL, NULL, NULL, NULL, 'SI:DKEY-1M11.6', 67019),
(123294, 'PTHR24006:SF778', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1-RELATED', 67020),
(123295, 'PTHR23192:SF13', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-LIKE PROTEIN 1', 67021),
(123296, 'PTHR11709:SF318', NULL, NULL, NULL, NULL, 'MULTI-COPPER OXIDASE TYPE I FAMILY PROTEIN-RELATED', 67022),
(123297, 'PTHR24115:SF344', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 67023),
(123298, 'PTHR24292:SF45', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 6G1-RELATED', 67024),
(123299, 'PTHR33186:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67025),
(123300, 'PTHR11616:SF101', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT NEUTRAL AMINO ACID TRANSPORTER B(0)AT2', 67026),
(123301, 'PTHR45800', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA', 67027),
(123302, 'PTHR14269:SF44', NULL, NULL, NULL, NULL, 'BNAA09G54840D PROTEIN', 67028),
(123303, 'PTHR45769:SF9', NULL, NULL, NULL, NULL, 'ADENOSINE KINASE ISOFORM 1T', 67029),
(123304, 'PTHR46339:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG06945', 67030),
(123305, 'PTHR24006:SF798', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 13-LIKE ISOFORM X1', 67031),
(123306, 'PTHR31645:SF65', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', 67032),
(123307, 'PTHR14224:SF1', NULL, NULL, NULL, NULL, 'PREFERENTIALLY-EXPRESSED ANTIGEN IN MELANOMA', 67033),
(123308, 'PTHR10876:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZPR1', 67034),
(123309, 'PTHR45615:SF3', NULL, NULL, NULL, NULL, 'MYOSIN-1', 67035),
(123310, 'PTHR33288:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME F', 67036),
(123311, 'PTHR47968:SF13', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 67037),
(123312, 'PTHR46371:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67038),
(123313, 'PTHR11206:SF327', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 67039),
(123314, 'PTHR32263:SF27', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 67040),
(123315, 'PTHR33543:SF18', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 2B', 67041),
(123316, 'PTHR48104:SF4', NULL, NULL, NULL, NULL, 'METACASPASE FAMILY PROTEIN-RELATED', 67042),
(123317, 'PTHR24303:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 305A1-RELATED', 67043),
(123318, 'PTHR19241:SF522', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 43', 67044),
(123319, 'PTHR28632:SF6', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 7', 67045),
(123320, 'PTHR32097', NULL, NULL, NULL, NULL, 'CAMP-BINDING PROTEIN 1-RELATED', 67046),
(123321, 'PTHR45853:SF3', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE SIRTUIN-6', 67047),
(123322, 'PTHR15065:SF6', NULL, NULL, NULL, NULL, 'INSULINOMA-ASSOCIATED PROTEIN 2', 67048),
(123323, 'PTHR22624:SF56', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE ATG4', 67049),
(123324, 'PTHR10485', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM-17', 67050);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(123325, 'PTHR14514:SF2', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 6', 67051),
(123326, 'PTHR33304:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67052),
(123327, 'PTHR47103:SF4', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN', 67053),
(123328, 'PTHR34311:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG21578', 67054),
(123329, 'PTHR31250:SF38', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM6', 67055),
(123330, 'PTHR13318:SF159', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 67056),
(123331, 'PTHR46554', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26A-RELATED', 67057),
(123332, 'PTHR12634:SF29', NULL, NULL, NULL, NULL, 'OS05G0592500 PROTEIN', 67058),
(123333, 'PTHR44042:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67059),
(123334, 'PTHR33165:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67060),
(123335, 'PTHR35973', NULL, NULL, NULL, NULL, 'MAPK-INTERACTING AND SPINDLE-STABILIZING PROTEIN-LIKE', 67061),
(123336, 'PTHR47581:SF2', NULL, NULL, NULL, NULL, 'OS09G0431600 PROTEIN', 67062),
(123337, 'PTHR46224:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67063),
(123338, 'PTHR46377:SF3', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY PHOSPHATASE 19B', 67064),
(123339, 'PTHR47965:SF10', NULL, NULL, NULL, NULL, 'OS01G0844500 PROTEIN', 67065),
(123340, 'PTHR11596:SF42', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE, GERM CELL TYPE', 67066),
(123341, 'PTHR22883:SF116', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE SWF1', 67067),
(123342, 'PTHR26452:SF417', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 507', 67068),
(123343, 'PTHR47756:SF2', NULL, NULL, NULL, NULL, 'BLL6612 PROTEIN', 67069),
(123344, 'PTHR10956:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67070),
(123345, 'PTHR11143:SF19', NULL, NULL, NULL, NULL, 'BNAC07G31580D PROTEIN', 67071),
(123346, 'PTHR11260:SF476', NULL, NULL, NULL, NULL, 'S-TRANSFERASE GSTU6, PUTATIVE, EXPRESSED-RELATED', 67072),
(123347, 'PTHR10795:SF626', NULL, NULL, NULL, NULL, 'OS07G0685900 PROTEIN', 67073),
(123348, 'PTHR32054:SF44', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT 1-LIKE', 67074),
(123349, 'PTHR14949:SF38', NULL, NULL, NULL, NULL, 'CRYPTIC PROTEIN', 67075),
(123350, 'PTHR37879', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH TAIL PROTEIN 1', 67076),
(123351, 'PTHR12161:SF62', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', 67077),
(123352, 'PTHR24377:SF908', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 514', 67078),
(123353, 'PTHR46068:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG27172', 67079),
(123354, 'PTHR22604:SF105', NULL, NULL, NULL, NULL, 'TRANS-1,2-DIHYDROBENZENE-1,2-DIOL DEHYDROGENASE', 67080),
(123355, 'PTHR10634:SF113', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 5-LIKE', 67081),
(123356, 'PTHR23155:SF859', NULL, NULL, NULL, NULL, 'OS12G0559300 PROTEIN', 67082),
(123357, 'PTHR12878:SF4', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 2', 67083),
(123358, 'PTHR24414:SF78', NULL, NULL, NULL, NULL, 'BNAA06G40700D PROTEIN', 67084),
(123359, 'PTHR10366:SF349', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 67085),
(123360, 'PTHR13778:SF47', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 67086),
(123361, 'PTHR31113:SF3', NULL, NULL, NULL, NULL, 'UPF0496 PROTEIN 1', 67087),
(123362, 'PTHR43403', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 67088),
(123363, 'PTHR23266:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67089),
(123364, 'PTHR32217:SF5', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6H', 67090),
(123365, 'PTHR11055:SF48', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE', 67091),
(123366, 'PTHR12618', NULL, NULL, NULL, NULL, 'PHD AND RING FINGER DOMAIN-CONTAINING PROTEIN 1', 67092),
(123367, 'PTHR14217:SF23', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', 67093),
(123368, 'PTHR13857:SF20', NULL, NULL, NULL, NULL, 'DNA DC-DU-EDITING ENZYME APOBEC-3G', 67094);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(123369, 'PTHR11432:SF3', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 1', 67095),
(123370, 'PTHR37163:SF1', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 67096),
(123371, 'PTHR24296:SF19', NULL, NULL, NULL, NULL, 'OS04G0573900 PROTEIN', 67097),
(123372, 'PTHR10693:SF66', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN-RELATED', 67098),
(123373, 'PTHR16155:SF3', NULL, NULL, NULL, NULL, 'ZMP:0000000735', 67099),
(123374, 'PTHR14009:SF31', NULL, NULL, NULL, NULL, 'LETM1-LIKE PROTEIN', 67100),
(123375, 'PTHR35771:SF2', NULL, NULL, NULL, NULL, 'ELICITOR PEPTIDE 6', 67101),
(123376, 'PTHR15706:SF19', NULL, NULL, NULL, NULL, 'SH3 AND PX DOMAIN-CONTAINING PROTEIN 2B', 67102),
(123377, 'PTHR45828:SF21', NULL, NULL, NULL, NULL, 'SI:DKEY-251I10.2', 67103),
(123378, 'PTHR33972:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 67104),
(123379, 'PTHR30572:SF4', NULL, NULL, NULL, NULL, 'MACROLIDE EXPORT ATP-BINDING/PERMEASE PROTEIN MACB', 67105),
(123380, 'PTHR30383:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67106),
(123381, 'PTHR15642:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 3 HOMOLOG, MITOCHONDRIAL', 67107),
(123382, 'PTHR11088:SF36', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE', 67108),
(123383, 'PTHR11461:SF146', NULL, NULL, NULL, NULL, 'SERPIN', 67109),
(123384, 'PTHR36846:SF1', NULL, NULL, NULL, NULL, 'PROTEIN VIAA', 67110),
(123385, 'PTHR44042:SF24', NULL, NULL, NULL, NULL, 'GID2 PROTEIN ISOFORM 1', 67111),
(123386, 'PTHR31561:SF167', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 67112),
(123387, 'PTHR13024:SF0', NULL, NULL, NULL, NULL, 'MICROSOMAL TRIACYLGLYCEROL TRANSFER PROTEIN', 67113),
(123388, 'PTHR46128:SF171', NULL, NULL, NULL, NULL, 'BNAC02G25990D PROTEIN', 67114),
(123389, 'PTHR42811:SF14', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE', 67115),
(123390, 'PTHR19325:SF391', NULL, NULL, NULL, NULL, 'COMPLEMENT RECEPTOR TYPE 2', 67116),
(123391, 'PTHR31568:SF98', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 67117),
(123392, 'PTHR42307', NULL, NULL, NULL, NULL, 'PUP DEAMIDASE/DEPUPYLASE', 67118),
(123393, 'PTHR48007:SF56', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 2 ISOFORM X1', 67119),
(123394, 'PTHR27003:SF318', NULL, NULL, NULL, NULL, 'BNAC03G27170D PROTEIN', 67120),
(123395, 'PTHR11278:SF11', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7-1', 67121),
(123396, 'PTHR31190:SF302', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67122),
(123397, 'PTHR31549:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67123),
(123398, 'PTHR46977:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FREE1', 67124),
(123399, 'PTHR35870:SF6', NULL, NULL, NULL, NULL, 'MGS207 PROTEIN', 67125),
(123400, 'PTHR11685:SF365', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 67126),
(123401, 'PTHR14379:SF41', NULL, NULL, NULL, NULL, 'BNAA09G39600D PROTEIN', 67127),
(123402, 'PTHR46711', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD2', 67128),
(123403, 'PTHR16803', NULL, NULL, NULL, NULL, 'HIGH AFFINITY IMMUNOGLOBULIN EPSILON RECEPTOR GAMMA-SUBUNIT', 67129),
(123404, 'PTHR34798:SF3', NULL, NULL, NULL, NULL, 'BNAC03G42780D PROTEIN', 67130),
(123405, 'PTHR45801:SF52', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR TAC1', 67131),
(123406, 'PTHR16223:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67132),
(123407, 'PTHR10459:SF73', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 67133),
(123408, 'PTHR15323:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67134),
(123409, 'PTHR31281', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 67135),
(123410, 'PTHR31815:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 200A', 67136),
(123411, 'PTHR12346:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67137),
(123412, 'PTHR43142:SF8', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 67138),
(123413, 'PTHR46224:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67139),
(123414, 'PTHR45621:SF122', NULL, NULL, NULL, NULL, 'BNAA06G09200D PROTEIN', 67140);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(123415, 'PTHR46163:SF4', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 67141),
(123416, 'PTHR31006:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG24455', 67142),
(123417, 'PTHR31314:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67143),
(123418, 'PTHR23360:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG02329', 67144),
(123419, 'PTHR47928:SF146', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL-RELATED', 67145),
(123420, 'PTHR19282:SF440', NULL, NULL, NULL, NULL, 'RETINAL OUTER SEGMENT MEMBRANE PROTEIN 1A-RELATED', 67146),
(123421, 'PTHR46990:SF1', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN DOMAIN-CONTAINING CYSTEINE-RICH PROTEIN 1', 67147),
(123422, 'PTHR33895:SF17', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 13', 67148),
(123423, 'PTHR48002:SF119', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 67149),
(123424, 'PTHR10641:SF1134', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB15', 67150),
(123425, 'PTHR24074:SF48', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G03520)', 67151),
(123426, 'PTHR34559', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 8', 67152),
(123427, 'PTHR31205:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67153),
(123428, 'PTHR12021:SF22', NULL, NULL, NULL, NULL, 'THYMOSIN BETA', 67154),
(123429, 'PTHR31929:SF124', NULL, NULL, NULL, NULL, 'BNAA10G16740D PROTEIN', 67155),
(123430, 'PTHR23236:SF38', NULL, NULL, NULL, NULL, 'OS03G0123200 PROTEIN', 67156),
(123431, 'PTHR48041:SF61', NULL, NULL, NULL, NULL, 'SD03967P', 67157),
(123432, 'PTHR31472:SF4', NULL, NULL, NULL, NULL, 'OS05G0100800 PROTEIN', 67158),
(123433, 'PTHR14168:SF5', NULL, NULL, NULL, NULL, 'TUMOR-ASSOCIATED CALCIUM SIGNAL TRANSDUCER 2', 67159),
(123434, 'PTHR11716:SF95', NULL, NULL, NULL, NULL, 'BNAA08G13410D PROTEIN', 67160),
(123435, 'PTHR47991:SF98', NULL, NULL, NULL, NULL, 'OS06G0176300 PROTEIN', 67161),
(123436, 'PTHR15009', NULL, NULL, NULL, NULL, 'MUELLERIAN-INHIBITING FACTOR', 67162),
(123437, 'PTHR11673:SF48', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', 67163),
(123438, 'PTHR31018', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN-RELATED', 67164),
(123439, 'PTHR13479:SF57', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S18C, MITOCHONDRIAL', 67165),
(123440, 'PTHR23257:SF707', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 12', 67166),
(123441, 'PTHR23226:SF223', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GFI-1-LIKE PROTEIN', 67167),
(123442, 'PTHR37038:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', 67168),
(123443, 'PTHR23138:SF139', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE RANBP2', 67169),
(123444, 'PTHR11406:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE', 67170),
(123445, 'PTHR38926:SF45', NULL, NULL, NULL, NULL, 'BNAA09G01740D PROTEIN', 67171),
(123446, 'PTHR10199:SF10', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-2', 67172),
(123447, 'PTHR32370:SF17', NULL, NULL, NULL, NULL, 'ROOT PHOTOTROPISM PROTEIN 2', 67173),
(123448, 'PTHR31707:SF248', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 67174),
(123449, 'PTHR33318:SF18', NULL, NULL, NULL, NULL, 'PROTEIN JASON', 67175),
(123450, 'PTHR12980:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 9', 67176),
(123451, 'PTHR31304:SF20', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 41', 67177),
(123452, 'PTHR33384:SF37', NULL, NULL, NULL, NULL, 'BNAC06G30070D PROTEIN', 67178),
(123453, 'PTHR10663:SF362', NULL, NULL, NULL, NULL, 'SEC7 DOMAIN-CONTAINING PROTEIN-RELATED', 67179),
(123454, 'PTHR24298:SF763', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A26', 67180),
(123455, 'PTHR11954:SF23', NULL, NULL, NULL, NULL, 'D-DOPACHROME DECARBOXYLASE', 67181),
(123456, 'PTHR34676:SF8', NULL, NULL, NULL, NULL, 'MYOSIN-11-LIKE', 67182),
(123457, 'PTHR11374:SF34', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', 67183),
(123458, 'PTHR37338:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 32', 67184),
(123459, 'PTHR18953:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67185);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(123460, 'PTHR20961:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67186),
(123461, 'PTHR46933:SF1', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN-CONTAINING PROTEIN 2', 67187),
(123462, 'PTHR31500:SF79', NULL, NULL, NULL, NULL, 'BNAC05G14850D PROTEIN', 67188),
(123463, 'PTHR13780:SF57', NULL, NULL, NULL, NULL, 'CBS DOMAIN CONTAINING PROTEIN-LIKE', 67189),
(123464, 'PTHR33110:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67190),
(123465, 'PTHR42693:SF12', NULL, NULL, NULL, NULL, 'ARYLSULFATASE D', 67191),
(123466, 'PTHR18945:SF531', NULL, NULL, NULL, NULL, 'NICOTINIC ACETYLCHOLINE RECEPTOR ALPHA4, ISOFORM H', 67192),
(123467, 'PTHR34487', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 67193),
(123468, 'PTHR46371:SF27', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY', 67194),
(123469, 'PTHR31730:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0088K19.7 PROTEIN', 67195),
(123470, 'PTHR24134:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67196),
(123471, 'PTHR11804:SF8', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDASE A', 67197),
(123472, 'PTHR45790:SF1', NULL, NULL, NULL, NULL, 'SIROHEME SYNTHASE', 67198),
(123473, 'PTHR30560', NULL, NULL, NULL, NULL, 'TRIGGER FACTOR CHAPERONE AND PEPTIDYL-PROLYL CIS/TRANS ISOMERASE', 67199),
(123474, 'PTHR10657:SF30', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 67200),
(123475, 'PTHR31885:SF6', NULL, NULL, NULL, NULL, 'GH04784P', 67201),
(123476, 'PTHR27007:SF368', NULL, NULL, NULL, NULL, 'OS12G0574700 PROTEIN', 67202),
(123477, 'PTHR10983:SF28', NULL, NULL, NULL, NULL, 'OS05G0502200 PROTEIN', 67203),
(123478, 'PTHR45828:SF12', NULL, NULL, NULL, NULL, 'DEFENSE PROTEIN 3-RELATED', 67204),
(123479, 'PTHR45988:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT10', 67205),
(123480, 'PTHR31907:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67206),
(123481, 'PTHR12729:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67207),
(123482, 'PTHR21329:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT Q', 67208),
(123483, 'PTHR33098:SF78', NULL, NULL, NULL, NULL, 'BNAA03G11920D PROTEIN', 67209),
(123484, 'PTHR21105', NULL, NULL, NULL, NULL, 'GH16255P', 67210),
(123485, 'PTHR46713:SF7', NULL, NULL, NULL, NULL, 'PUB DOMAIN-CONTAINING PROTEIN-RELATED', 67211),
(123486, 'PTHR13832:SF571', NULL, NULL, NULL, NULL, 'GM14286P', 67212),
(123487, 'PTHR31066:SF68', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P FAMILY PROTEIN', 67213),
(123488, 'PTHR10015:SF352', NULL, NULL, NULL, NULL, 'BNAC03G62890D PROTEIN', 67214),
(123489, 'PTHR11011:SF57', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 67215),
(123490, 'PTHR46450:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67216),
(123491, 'PTHR31142:SF7', NULL, NULL, NULL, NULL, 'OS02G0683900 PROTEIN', 67217),
(123492, 'PTHR21659:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67218),
(123493, 'PTHR31062:SF213', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 67219),
(123494, 'PTHR11614:SF121', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE', 67220),
(123495, 'PTHR45850:SF3', NULL, NULL, NULL, NULL, 'SORTING NEXIN-32', 67221),
(123496, 'PTHR42750:SF1', NULL, NULL, NULL, NULL, 'SHORT-CHAIN ALCOHOL DEHYDROGENASE FAMILY', 67222),
(123497, 'PTHR12952:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SYS1 HOMOLOG', 67223),
(123498, 'PTHR11771:SF152', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 67224),
(123499, 'PTHR33232:SF21', NULL, NULL, NULL, NULL, 'SIEVE ELEMENT OCCLUSION-RELATED', 67225),
(123500, 'PTHR12147', NULL, NULL, NULL, NULL, 'METALLOPEPTIDASE M28 FAMILY MEMBER', 67226),
(123501, 'PTHR42886:SF49', NULL, NULL, NULL, NULL, 'BAAT/ACYL-COA THIOESTER HYDROLASE CARBOXY-TERMINAL PROTEIN', 67227),
(123502, 'PTHR10509:SF81', NULL, NULL, NULL, NULL, 'OS09G0481400 PROTEIN', 67228),
(123503, 'PTHR12156:SF22', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN FAMILY B MEMBER 3', 67229),
(123504, 'PTHR36860', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 35', 67230),
(123505, 'PTHR34196:SF8', NULL, NULL, NULL, NULL, 'BNAA09G53740D PROTEIN', 67231);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(123506, 'PTHR24414:SF136', NULL, NULL, NULL, NULL, 'BNAC08G14750D PROTEIN', 67232),
(123507, 'PTHR12320:SF59', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 67233),
(123508, 'PTHR45783:SF2', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN 2', 67234),
(123509, 'PTHR10903:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67235),
(123510, 'PTHR23222:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67236),
(123511, 'PTHR46387:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67237),
(123512, 'PTHR11306:SF42', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE, EXPRESSED-RELATED', 67238),
(123513, 'PTHR31403:SF31', NULL, NULL, NULL, NULL, 'DAD-1', 67239),
(123514, 'PTHR44489:SF12', NULL, NULL, NULL, NULL, 'BNACNNG32770D PROTEIN', 67240),
(123515, 'PTHR11636:SF75', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 3, TRANSCRIPTION FACTOR 1', 67241),
(123516, 'PTHR10811:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67242),
(123517, 'PTHR19290:SF86', NULL, NULL, NULL, NULL, 'NEUROGENIC DIFFERENTIATION FACTOR 4', 67243),
(123518, 'PTHR11668:SF398', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 67244),
(123519, 'PTHR11571:SF116', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE DOMAIN-CONTAINING PROTEIN DDB_G0273153/DDB_G0273923', 67245),
(123520, 'PTHR32278:SF83', NULL, NULL, NULL, NULL, 'BNAA02G26350D PROTEIN', 67246),
(123521, 'PTHR12547:SF121', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 39', 67247),
(123522, 'PTHR43487', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL AMINOPEPTIDASE', 67248),
(123523, 'PTHR13832:SF739', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', 67249),
(123524, 'PTHR43917', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 67250),
(123525, 'PTHR46263:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 7', 67251),
(123526, 'PTHR47655:SF2', NULL, NULL, NULL, NULL, 'QUINIC ACID UTILIZATION ACTIVATOR', 67252),
(123527, 'PTHR14196:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ODD-SKIPPED-RELATED 2', 67253),
(123528, 'PTHR11740:SF32', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', 67254),
(123529, 'PTHR22670:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG20013', 67255),
(123530, 'PTHR31800', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 32', 67256),
(123531, 'PTHR21579:SF13', NULL, NULL, NULL, NULL, 'PROTEIN TINCAR', 67257),
(123532, 'PTHR31283:SF11', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT LAGE3', 67258),
(123533, 'PTHR31042:SF102', NULL, NULL, NULL, NULL, 'BNAA08G30840D PROTEIN', 67259),
(123534, 'PTHR45089:SF13', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN CONTAINING PROTEIN, EXPRESSED', 67260),
(123535, 'PTHR43701:SF10', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN YRKJ-RELATED', 67261),
(123536, 'PTHR31852:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67262),
(123537, 'PTHR42919:SF8', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 50', 67263),
(123538, 'PTHR15225:SF1', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED 35 KDA PROTEIN', 67264),
(123539, 'PTHR26452:SF187', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 67265),
(123540, 'PTHR27008:SF169', NULL, NULL, NULL, NULL, 'OS01G0152000 PROTEIN', 67266),
(123541, 'PTHR31948:SF111', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 6-LIKE', 67267),
(123542, 'PTHR45987:SF4', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L12, MITOCHONDRIAL', 67268),
(123543, 'PTHR16166:SF93', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13D', 67269),
(123544, 'PTHR48022:SF61', NULL, NULL, NULL, NULL, 'HIGH AFFINITY GLUCOSE TRANSPORTER RGT2', 67270),
(123545, 'PTHR11206:SF406', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 67271),
(123546, 'PTHR31744:SF137', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 3-LIKE', 67272),
(123547, 'PTHR12341:SF54', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE', 67273),
(123548, 'PTHR41403:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67274),
(123549, 'PTHR22842', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', 67275),
(123550, 'PTHR31062:SF144', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 33-RELATED', 67276);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(123551, 'PTHR27006:SF288', NULL, NULL, NULL, NULL, 'BNAA09G56230D PROTEIN', 67277),
(123552, 'PTHR24235:SF14', NULL, NULL, NULL, NULL, 'PROLACTIN-RELEASING PEPTIDE RECEPTOR-LIKE PROTEIN', 67278),
(123553, 'PTHR11937:SF175', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 3', 67279),
(123554, 'PTHR10091:SF21', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 67280),
(123555, 'PTHR23113:SF178', NULL, NULL, NULL, NULL, 'RAS GUANYL-RELEASING PROTEIN 3', 67281),
(123556, 'PTHR24247:SF235', NULL, NULL, NULL, NULL, 'OCTOPAMINE RECEPTOR (GPCR)', 67282),
(123557, 'PTHR32002:SF54', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 67283),
(123558, 'PTHR45721:SF14', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFD-1', 67284),
(123559, 'PTHR46825:SF6', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN CONTAINING', 67285),
(123560, 'PTHR45907:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', 67286),
(123561, 'PTHR33879:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67287),
(123562, 'PTHR47746:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67288),
(123563, 'PTHR11851:SF203', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA-1, MITOCHONDRIAL-RELATED', 67289),
(123564, 'PTHR31917:SF9', NULL, NULL, NULL, NULL, 'G2484-1 PROTEIN', 67290),
(123565, 'PTHR45637:SF73', NULL, NULL, NULL, NULL, 'BNAC04G49860D PROTEIN', 67291),
(123566, 'PTHR23423:SF9', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER SUBUNIT ALPHA', 67292),
(123567, 'PTHR48024:SF6', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 7-RELATED', 67293),
(123568, 'PTHR31917:SF17', NULL, NULL, NULL, NULL, 'DUF724 DOMAIN-CONTAINING PROTEIN 3-LIKE', 67294),
(123569, 'PTHR24177:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67295),
(123570, 'PTHR32010:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67296),
(123571, 'PTHR27002:SF843', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 13-RELATED', 67297),
(123572, 'PTHR47925:SF110', NULL, NULL, NULL, NULL, 'BNAC06G06430D PROTEIN', 67298),
(123573, 'PTHR11426:SF200', NULL, NULL, NULL, NULL, 'HISTONE H3.1T', 67299),
(123574, 'PTHR31319:SF80', NULL, NULL, NULL, NULL, 'CCT PROTEIN', 67300),
(123575, 'PTHR46092', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A11-RELATED', 67301),
(123576, 'PTHR22835:SF574', NULL, NULL, NULL, NULL, 'OS01G0214800 PROTEIN', 67302),
(123577, 'PTHR31897:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04712', 67303),
(123578, 'PTHR47967:SF34', NULL, NULL, NULL, NULL, 'BNAA04G16340D PROTEIN', 67304),
(123579, 'PTHR23024:SF446', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 7-RELATED', 67305),
(123580, 'PTHR23324:SF51', NULL, NULL, NULL, NULL, 'SEC14-LIKE PROTEIN 1', 67306),
(123581, 'PTHR48047:SF114', NULL, NULL, NULL, NULL, 'F11M15.8 PROTEIN', 67307),
(123582, 'PTHR11570:SF2', NULL, NULL, NULL, NULL, 'DECARBOXYLASE PROENZYME-LIKE, PUTATIVE-RELATED', 67308),
(123583, 'PTHR26452:SF22', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 67309),
(123584, 'PTHR10201:SF247', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 2-MMP', 67310),
(123585, 'PTHR31989:SF335', NULL, NULL, NULL, NULL, 'BNAC03G58370D PROTEIN', 67311),
(123586, 'PTHR33086:SF4', NULL, NULL, NULL, NULL, 'OS05G0467700 PROTEIN', 67312),
(123587, 'PTHR33021:SF280', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 11', 67313),
(123588, 'PTHR11599:SF6', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-2', 67314),
(123589, 'PTHR12348:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG20790', 67315),
(123590, 'PTHR43245:SF35', NULL, NULL, NULL, NULL, 'DEHYDRATASE OR EPIMERASE, PUTATIVE-RELATED', 67316),
(123591, 'PTHR12277:SF158', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 67317),
(123592, 'PTHR43147', NULL, NULL, NULL, NULL, 'PROTEIN TAS', 67318),
(123593, 'PTHR22924:SF89', NULL, NULL, NULL, NULL, 'NON-SYMBIOTIC HEMOGLOBIN', 67319),
(123594, 'PTHR31100:SF68', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 67320),
(123595, 'PTHR10291:SF28', NULL, NULL, NULL, NULL, 'UNDECAPRENYL DIPHOSPHATE SYNTHASE', 67321);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(123596, 'PTHR43553:SF8', NULL, NULL, NULL, NULL, 'ENERGY-COUPLING FACTOR TRANSPORTER ATP-BINDING PROTEIN ECFA2', 67322),
(123597, 'PTHR13183:SF1', NULL, NULL, NULL, NULL, 'ARM LIGHT CHAIN, AXONEMAL, PUTATIVE-RELATED', 67323),
(123598, 'PTHR43230:SF3', NULL, NULL, NULL, NULL, 'ABC-TYPE DIPEPTIDE/OLIGOPEPTIDE TRANSPORT SYSTEM, ATPASE COMPONENT', 67324),
(123599, 'PTHR11054:SF15', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', 67325),
(123600, 'PTHR30002:SF4', NULL, NULL, NULL, NULL, 'EPOXYQUEUOSINE REDUCTASE', 67326),
(123601, 'PTHR44083:SF37', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 67327),
(123602, 'PTHR38226:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67328),
(123603, 'PTHR19847:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67329),
(123604, 'PTHR35304:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67330),
(123605, 'PTHR34552:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67331),
(123606, 'PTHR45642:SF113', NULL, NULL, NULL, NULL, 'BNAA07G09940D PROTEIN', 67332),
(123607, 'PTHR15233:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ATP5MPL, MITOCHONDRIAL', 67333),
(123608, 'PTHR11960:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E TYPE 1B', 67334),
(123609, 'PTHR46391:SF3', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 19', 67335),
(123610, 'PTHR11005:SF48', NULL, NULL, NULL, NULL, 'LIPASE', 67336),
(123611, 'PTHR45673:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 67337),
(123612, 'PTHR23124:SF134', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 67338),
(123613, 'PTHR23226:SF277', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 83', 67339),
(123614, 'PTHR24300:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67340),
(123615, 'PTHR47379:SF3', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE-LIKE PROTEIN 2', 67341),
(123616, 'PTHR11848:SF257', NULL, NULL, NULL, NULL, 'LEFT-RIGHT DETERMINATION FACTOR 1', 67342),
(123617, 'PTHR33204:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 67343),
(123618, 'PTHR33057:SF134', NULL, NULL, NULL, NULL, 'OVATE PROTEIN FAMILY-RELATED', 67344),
(123619, 'PTHR23315:SF65', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 67345),
(123620, 'PTHR13620:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67346),
(123621, 'PTHR45781:SF4', NULL, NULL, NULL, NULL, 'THYMOCYTE SELECTION-ASSOCIATED HIGH MOBILITY GROUP BOX PROTEIN TOX', 67347),
(123622, 'PTHR31973:SF93', NULL, NULL, NULL, NULL, 'MUDR FAMILY TRANSPOSASE ISOFORM 1', 67348),
(123623, 'PTHR23504:SF97', NULL, NULL, NULL, NULL, 'OS07G0180700 PROTEIN', 67349),
(123624, 'PTHR23257:SF761', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE MOM-4', 67350),
(123625, 'PTHR27006:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67351),
(123626, 'PTHR23416:SF23', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE C18B11.09C-RELATED', 67352),
(123627, 'PTHR46251', NULL, NULL, NULL, NULL, 'RUN DOMAIN-CONTAINING 3 PROTEIN RUNDC3', 67353),
(123628, 'PTHR42912:SF22', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE 7A-RELATED', 67354),
(123629, 'PTHR24057:SF41', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE ALPHA', 67355),
(123630, 'PTHR10516:SF437', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 67356),
(123631, 'PTHR45664:SF2', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN PROBOSCIPEDIA', 67357),
(123632, 'PTHR46215:SF17', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 67358),
(123633, 'PTHR45690:SF3', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 12 ISOFORM 3', 67359),
(123634, 'PTHR26452:SF192', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 299', 67360),
(123635, 'PTHR46202', NULL, NULL, NULL, NULL, 'DNA EXCISION REPAIR PROTEIN ERCC-8', 67361),
(123636, 'PTHR13030', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE', 67362),
(123637, 'PTHR13022:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT K', 67363),
(123638, 'PTHR27007:SF195', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.6', 67364),
(123639, 'PTHR11017:SF222', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 67365);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(123640, 'PTHR24073:SF1156', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1B', 67366),
(123641, 'PTHR34841:SF5', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN V', 67367),
(123642, 'PTHR12200:SF24', NULL, NULL, NULL, NULL, 'INTERFERON-ACTIVABLE PROTEIN 203-RELATED', 67368),
(123643, 'PTHR33085:SF95', NULL, NULL, NULL, NULL, 'OS07G0690600 PROTEIN', 67369),
(123644, 'PTHR31650:SF48', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE, WSD1 DOMAIN-CONTAINING PROTEIN-RELATED', 67370),
(123645, 'PTHR24281:SF111', NULL, NULL, NULL, NULL, 'BNAA09G38870D PROTEIN', 67371),
(123646, 'PTHR23236:SF56', NULL, NULL, NULL, NULL, 'BNAC04G47460D PROTEIN', 67372),
(123647, 'PTHR12000:SF35', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME', 67373),
(123648, 'PTHR33699:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67374),
(123649, 'PTHR10638:SF79', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 67375),
(123650, 'PTHR32378:SF16', NULL, NULL, NULL, NULL, 'BNAA01G24300D PROTEIN', 67376),
(123651, 'PTHR21599:SF6', NULL, NULL, NULL, NULL, 'GLYCERATE 3-KINASE', 67377),
(123652, 'PTHR21568:SF0', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE PUS10-RELATED', 67378),
(123653, 'PTHR33624:SF21', NULL, NULL, NULL, NULL, 'BNAA03G19340D PROTEIN', 67379),
(123654, 'PTHR12433:SF10', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 25', 67380),
(123655, 'PTHR12901', NULL, NULL, NULL, NULL, 'SPERM PROTEIN HOMOLOG', 67381),
(123656, 'PTHR10366:SF658', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 67382),
(123657, 'PTHR46457:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG 4', 67383),
(123658, 'PTHR20766:SF7', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 43 MEMBER 1A', 67384),
(123659, 'PTHR34835:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67385),
(123660, 'PTHR45650:SF23', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 67386),
(123661, 'PTHR31044:SF95', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 3-LIKE ISOFORM X1', 67387),
(123662, 'PTHR30469:SF12', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTA', 67388),
(123663, 'PTHR10811:SF64', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', 67389),
(123664, 'PTHR24409:SF298', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 142', 67390),
(123665, 'PTHR12596', NULL, NULL, NULL, NULL, 'EXPORTIN 4,7-RELATED', 67391),
(123666, 'PTHR47926:SF204', NULL, NULL, NULL, NULL, 'BNAC02G46850D PROTEIN', 67392),
(123667, 'PTHR23163:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE', 67393),
(123668, 'PTHR32054:SF17', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 67394),
(123669, 'PTHR47176:SF3', NULL, NULL, NULL, NULL, 'RELATED DNASE, PUTATIVE-RELATED', 67395),
(123670, 'PTHR31382:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67396),
(123671, 'PTHR36019:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67397),
(123672, 'PTHR35721', NULL, NULL, NULL, NULL, 'UREIDOGLYCOLATE HYDROLASE', 67398),
(123673, 'PTHR31148:SF2', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN C', 67399),
(123674, 'PTHR31790:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67400),
(123675, 'PTHR31996:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67401),
(123676, 'PTHR34663:SF8', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 67402),
(123677, 'PTHR19970:SF19', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39-1', 67403),
(123678, 'PTHR12066', NULL, NULL, NULL, NULL, 'TELOMERASE REVERSE TRANSCRIPTASE', 67404),
(123679, 'PTHR31307:SF50', NULL, NULL, NULL, NULL, 'SEQUENCE-SPECIFIC DNA BINDING TRANSCRIPTION FACTOR', 67405),
(123680, 'PTHR37437:SF1', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED PROTEIN', 67406),
(123681, 'PTHR10480:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67407),
(123682, 'PTHR23354:SF112', NULL, NULL, NULL, NULL, 'RE10231P', 67408),
(123683, 'PTHR48053:SF13', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERECTA', 67409),
(123684, 'PTHR34890:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67410);
INSERT INTO "PUBLIC"."MODEL" VALUES
(123685, 'PTHR31374:SF267', NULL, NULL, NULL, NULL, 'OS04G0537100 PROTEIN', 67411),
(123686, 'PTHR46189', NULL, NULL, NULL, NULL, 'LD41958P', 67412),
(123687, 'PTHR24055:SF472', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE F-4-LIKE ISOFORM X1', 67413),
(123688, 'PTHR47942:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67414),
(123689, 'PTHR24388:SF36', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 221-RELATED', 67415),
(123690, 'PTHR34656:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 67416),
(123691, 'PTHR21026', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L32, MITOCHONDRIAL', 67417),
(123692, 'PTHR10460:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ABIL5-RELATED', 67418),
(123693, 'PTHR46631:SF2', NULL, NULL, NULL, NULL, 'OS01G0242900 PROTEIN', 67419),
(123694, 'PTHR32472:SF18', NULL, NULL, NULL, NULL, 'OS03G0447100 PROTEIN', 67420),
(123695, 'PTHR24414:SF145', NULL, NULL, NULL, NULL, 'BNAA07G38780D PROTEIN', 67421),
(123696, 'PTHR31225:SF42', NULL, NULL, NULL, NULL, '5-EPIARISTOLOCHENE SYNTHASE', 67422),
(123697, 'PTHR10851', NULL, NULL, NULL, NULL, 'PYRIDOXINE-5-PHOSPHATE OXIDASE', 67423),
(123698, 'PTHR11455:SF9', NULL, NULL, NULL, NULL, '(6-4)-PHOTOLYASE, ISOFORM A', 67424),
(123699, 'PTHR32096:SF90', NULL, NULL, NULL, NULL, 'WRKY PROTEIN', 67425),
(123700, 'PTHR48017:SF175', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: AMINO ACID PERMEASE 6-LIKE', 67426),
(123701, 'PTHR46462:SF2', NULL, NULL, NULL, NULL, 'INACTIVE HISTONE-LYSINE N-METHYLTRANSFERASE 2E', 67427),
(123702, 'PTHR46564', NULL, NULL, NULL, NULL, 'TRANSPOSASE', 67428),
(123703, 'PTHR11972:SF48', NULL, NULL, NULL, NULL, 'SUPEROXIDE-GENERATING NADPH OXIDASE HEAVY CHAIN SUBUNIT C', 67429),
(123704, 'PTHR33630', NULL, NULL, NULL, NULL, 'CUTINASE RV1984C-RELATED-RELATED', 67430),
(123705, 'PTHR45613:SF445', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 67431),
(123706, 'PTHR31852:SF155', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN', 67432),
(123707, 'PTHR38705:SF5', NULL, NULL, NULL, NULL, 'RESPONSE PROTEIN RDS1, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G12490)-RELATED', 67433),
(123708, 'PTHR36782:SF6', NULL, NULL, NULL, NULL, 'BNAA01G13500D PROTEIN', 67434),
(123709, 'PTHR43035:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67435),
(123710, 'PTHR24391:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67436),
(123711, 'PTHR24377:SF892', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 160', 67437),
(123712, 'PTHR10003:SF40', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN]', 67438),
(123713, 'PTHR43775:SF38', NULL, NULL, NULL, NULL, 'HIGHLY REDUCING POLYKETIDE SYNTHASE ALNA-RELATED', 67439),
(123714, 'PTHR23143:SF22', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 6-LIKE PROTEIN 2-RELATED', 67440),
(123715, 'PTHR23073:SF109', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 8 HOMOLOG B', 67441),
(123716, 'PTHR11977:SF86', NULL, NULL, NULL, NULL, 'SUPERVILLIN A', 67442),
(123717, 'PTHR22911:SF114', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER G2A-RELATED', 67443),
(123718, 'PTHR24055:SF509', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 67444),
(123719, 'PTHR31876:SF20', NULL, NULL, NULL, NULL, 'PROTEIN LIKE COV 1-LIKE', 67445),
(123720, 'PTHR31080:SF194', NULL, NULL, NULL, NULL, 'BNAC06G24540D PROTEIN', 67446),
(123721, 'PTHR12629:SF42', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 4', 67447),
(123722, 'PTHR48077', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE-RELATED', 67448),
(123723, 'PTHR46463:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHF1A', 67449),
(123724, 'PTHR47990:SF63', NULL, NULL, NULL, NULL, 'ACC OXIDASE 2', 67450),
(123725, 'PTHR23501:SF180', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN B HOMOLOG', 67451),
(123726, 'PTHR10352:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67452),
(123727, 'PTHR34372:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C', 67453),
(123728, 'PTHR11017:SF437', NULL, NULL, NULL, NULL, 'BNAC04G27190D PROTEIN', 67454),
(123729, 'PTHR31657:SF58', NULL, NULL, NULL, NULL, 'BNAC01G20660D PROTEIN', 67455);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(123730, 'PTHR12283:SF3', NULL, NULL, NULL, NULL, 'GLUTAMINYL-PEPTIDE CYCLOTRANSFERASE-LIKE PROTEIN', 67456),
(123731, 'PTHR45666:SF24', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE 5-PHOSPHATASE-LIKE PROTEIN', 67457),
(123732, 'PTHR48018:SF94', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 67458),
(123733, 'PTHR27008:SF468', NULL, NULL, NULL, NULL, 'OS02G0615500 PROTEIN', 67459),
(123734, 'PTHR26453:SF224', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 62', 67460),
(123735, 'PTHR45761', NULL, NULL, NULL, NULL, 'EXTENDED SYNAPTOTAGMIN-LIKE PROTEIN 2, ISOFORM C', 67461),
(123736, 'PTHR31995:SF9', NULL, NULL, NULL, NULL, 'BNAC04G12190D PROTEIN', 67462),
(123737, 'PTHR11200:SF257', NULL, NULL, NULL, NULL, 'SYNAPTOJANIN 1', 67463),
(123738, 'PTHR44427:SF13', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 19', 67464),
(123739, 'PTHR30304:SF10', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 67465),
(123740, 'PTHR31065:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67466),
(123741, 'PTHR31016:SF16', NULL, NULL, NULL, NULL, 'BNACNNG42740D PROTEIN', 67467),
(123742, 'PTHR10504:SF132', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY C,-LIKE', 67468),
(123743, 'PTHR45620:SF3', NULL, NULL, NULL, NULL, 'PDF RECEPTOR', 67469),
(123744, 'PTHR13690:SF131', NULL, NULL, NULL, NULL, 'BNAC03G22760D PROTEIN', 67470),
(123745, 'PTHR31907:SF56', NULL, NULL, NULL, NULL, 'BNAC06G24430D PROTEIN', 67471),
(123746, 'PTHR31476:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAMILY PROTEIN', 67472),
(123747, 'PTHR10562:SF104', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 3', 67473),
(123748, 'PTHR20978:SF4', NULL, NULL, NULL, NULL, 'SPLICING FACTOR SUBUNIT', 67474),
(123749, 'PTHR10857:SF51', NULL, NULL, NULL, NULL, 'COPINE-5', 67475),
(123750, 'PTHR37255', NULL, NULL, NULL, NULL, 'OS07G0669600 PROTEIN', 67476),
(123751, 'PTHR33595:SF17', NULL, NULL, NULL, NULL, 'BNAA02G33690D PROTEIN', 67477),
(123752, 'PTHR11654:SF115', NULL, NULL, NULL, NULL, 'OS10G0469900 PROTEIN', 67478),
(123753, 'PTHR21736:SF43', NULL, NULL, NULL, NULL, 'BNAA05G29870D PROTEIN', 67479),
(123754, 'PTHR35683:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67480),
(123755, 'PTHR39597:SF1', NULL, NULL, NULL, NULL, 'UBA DOMAIN-CONTAINING PROTEIN RUP1', 67481),
(123756, 'PTHR10913:SF68', NULL, NULL, NULL, NULL, 'MSANTD3-TMEFF1 FUSION PROTEIN', 67482),
(123757, 'PTHR31218:SF182', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 67483),
(123758, 'PTHR47251', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G04180)-RELATED', 67484),
(123759, 'PTHR26454:SF34', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 67485),
(123760, 'PTHR44170:SF20', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY DCC SUBCLASS MEMBER 3', 67486),
(123761, 'PTHR31425:SF11', NULL, NULL, NULL, NULL, 'OS01G0585300 PROTEIN', 67487),
(123762, 'PTHR23201:SF45', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED FAMILY PROTEIN', 67488),
(123763, 'PTHR36734', NULL, NULL, NULL, NULL, 'YCF37-LIKE PROTEIN', 67489),
(123764, 'PTHR11255:SF100', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 67490),
(123765, 'PTHR23062:SF8', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 67491),
(123766, 'PTHR23257:SF856', NULL, NULL, NULL, NULL, 'TKL FAMILY PROTEIN KINASE', 67492),
(123767, 'PTHR26392:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67493),
(123768, 'PTHR24349:SF114', NULL, NULL, NULL, NULL, 'MAP KINASE-INTERACTING SERINE/THREONINE-PROTEIN KINASE 1', 67494),
(123769, 'PTHR12080:SF80', NULL, NULL, NULL, NULL, 'SI:CH1073-220M6.1-RELATED', 67495),
(123770, 'PTHR24343:SF441', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CG17528-LIKE PROTEIN', 67496),
(123771, 'PTHR21461:SF66', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 67497),
(123772, 'PTHR44846:SF5', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GMUR', 67498),
(123773, 'PTHR11640:SF128', NULL, NULL, NULL, NULL, 'FASCICLIN-3', 67499),
(123774, 'PTHR13370:SF16', NULL, NULL, NULL, NULL, 'TYPE III RESTRICTION-MODIFICATION SYSTEM HINDVIP ENZYME MOD-RELATED', 67500);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(123775, 'PTHR34961', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 67501),
(123776, 'PTHR31851:SF58', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER HOMOLOG 2', 67502),
(123777, 'PTHR12864:SF53', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 44F-LIKE PROTEIN', 67503),
(123778, 'PTHR24340:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67504),
(123779, 'PTHR31156', NULL, NULL, NULL, NULL, 'WBSCR19-LIKE PROTEIN', 67505),
(123780, 'PTHR31215:SF26', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 67506),
(123781, 'PTHR12137:SF60', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 13', 67507),
(123782, 'PTHR45796', NULL, NULL, NULL, NULL, 'FORKHEAD BOX P, ISOFORM C', 67508),
(123783, 'PTHR11668:SF426', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 67509),
(123784, 'PTHR11601:SF59', NULL, NULL, NULL, NULL, 'SELENOCYSTEINE LYASE', 67510),
(123785, 'PTHR12015:SF21', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 16', 67511),
(123786, 'PTHR47976:SF8', NULL, NULL, NULL, NULL, 'OS09G0454900 PROTEIN', 67512),
(123787, 'PTHR42188', NULL, NULL, NULL, NULL, '23S RRNA-SPECIFIC ENDONUCLEASE VAPC20', 67513),
(123788, 'PTHR15813:SF9', NULL, NULL, NULL, NULL, 'NEXIN-24, PUTATIVE-RELATED', 67514),
(123789, 'PTHR11909:SF94', NULL, NULL, NULL, NULL, 'PROTEIN CBG07267', 67515),
(123790, 'PTHR47640:SF19', NULL, NULL, NULL, NULL, 'OLIGOURIDYLATE-BINDING PROTEIN 1C', 67516),
(123791, 'PTHR22957:SF337', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 5', 67517),
(123792, 'PTHR47453', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCAN, WATER DIKINASE, CHLOROPLASTIC', 67518),
(123793, 'PTHR21026:SF2', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L32, MITOCHONDRIAL', 67519),
(123794, 'PTHR45621:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67520),
(123795, 'PTHR24115:SF497', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7M, CHLOROPLASTIC', 67521),
(123796, 'PTHR30161:SF3', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS PROTEIN SSAV', 67522),
(123797, 'PTHR23278:SF4', NULL, NULL, NULL, NULL, 'SIDESTEP, ISOFORM C', 67523),
(123798, 'PTHR46422:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 67524),
(123799, 'PTHR21213:SF23', NULL, NULL, NULL, NULL, 'BNAA05G33350D PROTEIN', 67525),
(123800, 'PTHR10966:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', 67526),
(123801, 'PTHR21136:SF183', NULL, NULL, NULL, NULL, 'OS12G0639800 PROTEIN', 67527),
(123802, 'PTHR11732:SF198', NULL, NULL, NULL, NULL, 'REDUCTASE (AKR), PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01910)-RELATED', 67528),
(123803, 'PTHR10366:SF739', NULL, NULL, NULL, NULL, 'BNACNNG31530D PROTEIN', 67529),
(123804, 'PTHR10332:SF76', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', 67530),
(123805, 'PTHR37989:SF36', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 8', 67531),
(123806, 'PTHR12299:SF55', NULL, NULL, NULL, NULL, 'BNAC01G10120D PROTEIN', 67532),
(123807, 'PTHR45621', NULL, NULL, NULL, NULL, 'OS01G0588500 PROTEIN-RELATED', 67533),
(123808, 'PTHR34539:SF11', NULL, NULL, NULL, NULL, 'BNAC06G25190D PROTEIN', 67534),
(123809, 'PTHR24100:SF51', NULL, NULL, NULL, NULL, 'SELECTION AND UPKEEP OF INTRAEPITHELIAL T-CELLS PROTEIN 7-RELATED', 67535),
(123810, 'PTHR12203:SF99', NULL, NULL, NULL, NULL, 'O-GLUCOSYLTRANSFERASE RUMI HOMOLOG ISOFORM X1', 67536),
(123811, 'PTHR47885', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT ZETA-1', 67537),
(123812, 'PTHR10315:SF124', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 67538),
(123813, 'PTHR33167:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67539),
(123814, 'PTHR45613:SF39', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 67540),
(123815, 'PTHR24223:SF167', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MRP-1', 67541),
(123816, 'PTHR31692:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67542),
(123817, 'PTHR42700:SF1', NULL, NULL, NULL, NULL, 'SULFATE ADENYLYLTRANSFERASE', 67543),
(123818, 'PTHR21022:SF26', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE/PREPHENATE DEHYDRATASE 2, CHLOROPLASTIC-LIKE', 67544);
INSERT INTO "PUBLIC"."MODEL" VALUES
(123819, 'PTHR47972:SF15', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14D', 67545),
(123820, 'PTHR43670:SF34', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', 67546),
(123821, 'PTHR12741', NULL, NULL, NULL, NULL, 'LYST-INTERACTING PROTEIN LIP5  DOPAMINE RESPONSIVE PROTEIN DRG-1', 67547),
(123822, 'PTHR31989:SF160', NULL, NULL, NULL, NULL, 'OS02G0745300 PROTEIN', 67548),
(123823, 'PTHR33463:SF79', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN RPS2, PUTATIVE-RELATED', 67549),
(123824, 'PTHR10556:SF50', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE FAMILY PROTEIN', 67550),
(123825, 'PTHR45952:SF17', NULL, NULL, NULL, NULL, 'STEM-SPECIFIC PROTEIN TSJT1', 67551),
(123826, 'PTHR21700:SF112', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 67552),
(123827, 'PTHR10165:SF154', NULL, NULL, NULL, NULL, 'PAP2 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G09730)', 67553),
(123828, 'PTHR11224:SF51', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MAKORIN', 67554),
(123829, 'PTHR23086:SF130', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', 67555),
(123830, 'PTHR10177:SF445', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67556),
(123831, 'PTHR24349:SF395', NULL, NULL, NULL, NULL, 'CALMODULIN-DOMAIN KINASE CDPK PROTEIN', 67557),
(123832, 'PTHR43649:SF1', NULL, NULL, NULL, NULL, 'SN-GLYCEROL-3-PHOSPHATE-BINDING PERIPLASMIC PROTEIN UGPB', 67558),
(123833, 'PTHR15852:SF24', NULL, NULL, NULL, NULL, 'PROTEIN ORANGE, CHLOROPLASTIC', 67559),
(123834, 'PTHR13234:SF47', NULL, NULL, NULL, NULL, 'GAMMA-INTERFERON-INDUCIBLE LYSOSOMAL THIOL REDUCTASE-LIKE', 67560),
(123835, 'PTHR46273:SF13', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', 67561),
(123836, 'PTHR27003:SF337', NULL, NULL, NULL, NULL, 'MRLK5', 67562),
(123837, 'PTHR34465', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL HYDROLASE-LIKE PROTEIN, PUTATIVE (DUF627 AND DUF629)-RELATED', 67563),
(123838, 'PTHR36493:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67564),
(123839, 'PTHR33172:SF53', NULL, NULL, NULL, NULL, 'BNAA05G32410D PROTEIN', 67565),
(123840, 'PTHR10358:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67566),
(123841, 'PTHR35362:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67567),
(123842, 'PTHR45667:SF19', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', 67568),
(123843, 'PTHR34219:SF3', NULL, NULL, NULL, NULL, 'IRON-REGULATED INNER MEMBRANE PROTEIN', 67569),
(123844, 'PTHR45830:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG06651', 67570),
(123845, 'PTHR22957:SF324', NULL, NULL, NULL, NULL, 'CARABIN', 67571),
(123846, 'PTHR31517:SF64', NULL, NULL, NULL, NULL, 'PEROXIDASE', 67572),
(123847, 'PTHR19375:SF168', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 6', 67573),
(123848, 'PTHR33906:SF1', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 25 HOMOLOG', 67574),
(123849, 'PTHR10641:SF1267', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 306-LIKE', 67575),
(123850, 'PTHR10593:SF169', NULL, NULL, NULL, NULL, 'BNAA02G22520D PROTEIN', 67576),
(123851, 'PTHR27002:SF493', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE KINASE', 67577),
(123852, 'PTHR24064:SF561', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 25', 67578),
(123853, 'PTHR11011:SF96', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 67579),
(123854, 'PTHR11592:SF95', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 67580),
(123855, 'PTHR31942:SF93', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 67581),
(123856, 'PTHR24249:SF83', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 4', 67582),
(123857, 'PTHR45671:SF13', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PIC2, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G12080)-RELATED', 67583),
(123858, 'PTHR13593:SF103', NULL, NULL, NULL, NULL, 'RE10370P', 67584),
(123859, 'PTHR37435:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG04414', 67585),
(123860, 'PTHR14454:SF6', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED AND REGULATOR OF MAPK PROTEIN 1', 67586),
(123861, 'PTHR10634:SF71', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 6', 67587);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(123862, 'PTHR32227:SF347', NULL, NULL, NULL, NULL, 'BNAC05G37500D PROTEIN', 67588),
(123863, 'PTHR33186:SF13', NULL, NULL, NULL, NULL, 'OS10G0136900 PROTEIN', 67589),
(123864, 'PTHR12547:SF134', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 8', 67590),
(123865, 'PTHR16505:SF8', NULL, NULL, NULL, NULL, 'PROTEIN LZIC', 67591),
(123866, 'PTHR24305:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67592),
(123867, 'PTHR11920:SF335', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-22', 67593),
(123868, 'PTHR33937:SF1', NULL, NULL, NULL, NULL, 'NITROGEN FIXATION PROTEIN NIFX', 67594),
(123869, 'PTHR20661:SF0', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-GLYCAN BIOSYNTHESIS CLASS W PROTEIN', 67595),
(123870, 'PTHR31232:SF25', NULL, NULL, NULL, NULL, 'LEGUMINOSIN GROUP486 SECRETED PEPTIDE', 67596),
(123871, 'PTHR10598:SF0', NULL, NULL, NULL, NULL, 'SET1/ASH2 HISTONE METHYLTRANSFERASE COMPLEX SUBUNIT ASH2', 67597),
(123872, 'PTHR11880:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67598),
(123873, 'PTHR48001:SF69', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1F12', 67599),
(123874, 'PTHR48059', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITOR 1', 67600),
(123875, 'PTHR31948:SF78', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 8', 67601),
(123876, 'PTHR48068:SF4', NULL, NULL, NULL, NULL, 'TAF9 RNA POLYMERASE II, TATA BOX-BINDING PROTEIN (TBP)-ASSOCIATED FACTOR', 67602),
(123877, 'PTHR37441:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR B0244.10-RELATED', 67603),
(123878, 'PTHR23147:SF200', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 2', 67604),
(123879, 'PTHR30041:SF7', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN SPX', 67605),
(123880, 'PTHR12632:SF34', NULL, NULL, NULL, NULL, 'CCAAT-BINDING TRANSCRIPTION FACTOR SUBUNIT B FAMILY PROTEIN, EXPRESSED', 67606),
(123881, 'PTHR31065:SF11', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', 67607),
(123882, 'PTHR24186:SF16', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN', 67608),
(123883, 'PTHR31985:SF194', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF034', 67609),
(123884, 'PTHR33704', NULL, NULL, NULL, NULL, 'PROTEIN HEAT INTOLERANT 4-RELATED', 67610),
(123885, 'PTHR46128:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67611),
(123886, 'PTHR46371:SF13', NULL, NULL, NULL, NULL, 'ATFP4', 67612),
(123887, 'PTHR47474:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE RLPH2', 67613),
(123888, 'PTHR26450:SF151', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52B2', 67614),
(123889, 'PTHR31775:SF16', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL REGION REMORIN', 67615),
(123890, 'PTHR47956:SF31', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE', 67616),
(123891, 'PTHR11850:SF313', NULL, NULL, NULL, NULL, 'POX DOMAIN, HOMEOBOX KN DOMAIN-CONTAINING PROTEIN-RELATED', 67617),
(123892, 'PTHR11003:SF30', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 4', 67618),
(123893, 'PTHR35984:SF1', NULL, NULL, NULL, NULL, 'PERIPLASMIC SERINE PROTEASE', 67619),
(123894, 'PTHR35324:SF5', NULL, NULL, NULL, NULL, 'BNAC07G16390D PROTEIN', 67620),
(123895, 'PTHR10969:SF72', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8G', 67621),
(123896, 'PTHR43341:SF23', NULL, NULL, NULL, NULL, 'GENERAL AMINO-ACID PERMEASE GAP1', 67622),
(123897, 'PTHR47967', NULL, NULL, NULL, NULL, 'OS07G0603500 PROTEIN-RELATED', 67623),
(123898, 'PTHR12802', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX-RELATED', 67624),
(123899, 'PTHR24393:SF103', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 410', 67625),
(123900, 'PTHR31676:SF20', NULL, NULL, NULL, NULL, 'T19F6.7 PROTEIN', 67626),
(123901, 'PTHR24322:SF665', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67627),
(123902, 'PTHR22677', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 60', 67628),
(123903, 'PTHR15351', NULL, NULL, NULL, NULL, 'ERLIN (ER LIPID RAFT ASSOCIATED PROTEIN) HOMOLOG', 67629),
(123904, 'PTHR35534:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L32', 67630),
(123905, 'PTHR24019', NULL, NULL, NULL, NULL, 'ADIPOLIN', 67631);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(123906, 'PTHR11909:SF300', NULL, NULL, NULL, NULL, 'NUCLEOSOMAL HISTONE KINASE 1', 67632),
(123907, 'PTHR47530:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE BIG BROTHER-RELATED', 67633),
(123908, 'PTHR31307:SF52', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', 67634),
(123909, 'PTHR47992:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67635),
(123910, 'PTHR33214:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67636),
(123911, 'PTHR31988:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 67637),
(123912, 'PTHR45921:SF3', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA HOMEOBOX PROTEIN 2', 67638),
(123913, 'PTHR11909:SF123', NULL, NULL, NULL, NULL, 'PROTEIN CBG11420', 67639),
(123914, 'PTHR10366:SF661', NULL, NULL, NULL, NULL, 'OS09G0127300 PROTEIN', 67640),
(123915, 'PTHR47968:SF16', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 67641),
(123916, 'PTHR24247:SF103', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10J6-RELATED', 67642),
(123917, 'PTHR31190:SF287', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 2-LIKE', 67643),
(123918, 'PTHR43895:SF11', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 9', 67644),
(123919, 'PTHR24057:SF43', NULL, NULL, NULL, NULL, 'SHAGGY-LIKE KINASE', 67645),
(123920, 'PTHR11937:SF397', NULL, NULL, NULL, NULL, 'ACTIN, INDIRECT FLIGHT MUSCLE-RELATED', 67646),
(123921, 'PTHR13153', NULL, NULL, NULL, NULL, 'CGTHBA PROTEIN  -14 GENE PROTEIN', 67647),
(123922, 'PTHR10513', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOSIDE KINASE', 67648),
(123923, 'PTHR35767:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67649),
(123924, 'PTHR28141:SF4', NULL, NULL, NULL, NULL, 'CYCLIC PHOSPHODIESTERASE-LIKE', 67650),
(123925, 'PTHR24381:SF244', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 439-RELATED', 67651),
(123926, 'PTHR31246:SF23', NULL, NULL, NULL, NULL, 'BNAA09G45420D PROTEIN', 67652),
(123927, 'PTHR12817:SF0', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX 6B-LIKE-RELATED', 67653),
(123928, 'PTHR34792:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67654),
(123929, 'PTHR34219:SF5', NULL, NULL, NULL, NULL, 'BLR4505 PROTEIN', 67655),
(123930, 'PTHR15710:SF9', NULL, NULL, NULL, NULL, 'OS01G0276600 PROTEIN', 67656),
(123931, 'PTHR33116:SF20', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE (REVERSE TRANSCRIPTASE)-RELATED FAMILY PROTEIN', 67657),
(123932, 'PTHR10677:SF21', NULL, NULL, NULL, NULL, 'UBIQUILIN-4', 67658),
(123933, 'PTHR34480:SF10', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 67659),
(123934, 'PTHR24353:SF128', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PRKY-RELATED', 67660),
(123935, 'PTHR36764', NULL, NULL, NULL, NULL, 'TRNA (ILE)-LYSIDINE SYNTHASE', 67661),
(123936, 'PTHR47980:SF6', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-8B', 67662),
(123937, 'PTHR45777:SF4', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2', 67663),
(123938, 'PTHR10562:SF85', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', 67664),
(123939, 'PTHR45613:SF88', NULL, NULL, NULL, NULL, 'OS12G0152600 PROTEIN', 67665),
(123940, 'PTHR10836:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67666),
(123941, 'PTHR46372:SF12', NULL, NULL, NULL, NULL, 'PROTEIN WAVE-DAMPENED 2', 67667),
(123942, 'PTHR24031:SF741', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE MSS116, MITOCHONDRIAL', 67668),
(123943, 'PTHR11969:SF65', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH94', 67669),
(123944, 'PTHR35992:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67670),
(123945, 'PTHR21230:SF73', NULL, NULL, NULL, NULL, 'BNAA01G36970D PROTEIN', 67671),
(123946, 'PTHR45659:SF16', NULL, NULL, NULL, NULL, 'AMPHIHOX6', 67672),
(123947, 'PTHR22898:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG21995', 67673),
(123948, 'PTHR18966:SF449', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 67674),
(123949, 'PTHR14112:SF24', NULL, NULL, NULL, NULL, 'PROTEIN SSX2-RELATED', 67675),
(123950, 'PTHR12289:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67676),
(123951, 'PTHR43349:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67677); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(123952, 'PTHR14429:SF20', NULL, NULL, NULL, NULL, 'FIBROSIN-1-LIKE PROTEIN', 67678),
(123953, 'PTHR28018:SF7', NULL, NULL, NULL, NULL, 'HYPOXIA-RESPONSIVE FAMILY PROTEIN-RELATED', 67679),
(123954, 'PTHR46610:SF7', NULL, NULL, NULL, NULL, 'OS02G0216300 PROTEIN', 67680),
(123955, 'PTHR31544:SF2', NULL, NULL, NULL, NULL, 'AIG2-LIKE PROTEIN D', 67681),
(123956, 'PTHR23538:SF1', NULL, NULL, NULL, NULL, '44.5 KD BACTERIOCHLOROPHYLL SYNTHASE SUBUNIT', 67682),
(123957, 'PTHR11455:SF56', NULL, NULL, NULL, NULL, 'CRY2A PROTEIN', 67683),
(123958, 'PTHR39666:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67684),
(123959, 'PTHR33133:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67685),
(123960, 'PTHR23302:SF24', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 7', 67686),
(123961, 'PTHR16166:SF97', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13F-RELATED', 67687),
(123962, 'PTHR11909:SF366', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 7', 67688),
(123963, 'PTHR33103:SF46', NULL, NULL, NULL, NULL, 'OS05G0115600 PROTEIN', 67689),
(123964, 'PTHR10064:SF23', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-3', 67690),
(123965, 'PTHR12484:SF4', NULL, NULL, NULL, NULL, 'A KINASE (PRKA) ANCHOR PROTEIN 17A', 67691),
(123966, 'PTHR43076:SF1', NULL, NULL, NULL, NULL, '5-AMINO-6-(D-RIBITYLAMINO)URACIL--L-TYROSINE 4-HYDROXYPHENYL TRANSFERASE', 67692),
(123967, 'PTHR11260:SF547', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', 67693),
(123968, 'PTHR44137:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67694),
(123969, 'PTHR47029:SF1', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS 4', 67695),
(123970, 'PTHR11588:SF400', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 67696),
(123971, 'PTHR34883:SF3', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN, PUTATIVE-RELATED', 67697),
(123972, 'PTHR33237:SF25', NULL, NULL, NULL, NULL, 'OS02G0321600 PROTEIN', 67698),
(123973, 'PTHR26452:SF176', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5A2', 67699),
(123974, 'PTHR11709:SF330', NULL, NULL, NULL, NULL, 'LACCASE', 67700),
(123975, 'PTHR24256:SF485', NULL, NULL, NULL, NULL, 'INACTIVE SERINE PROTEASE 54', 67701),
(123976, 'PTHR11544:SF60', NULL, NULL, NULL, NULL, 'LIN-28 HOMOLOG B (C. ELEGANS)-RELATED', 67702),
(123977, 'PTHR12632:SF65', NULL, NULL, NULL, NULL, 'HAP2 SUBUNIT OF HAP COMPLEX', 67703),
(123978, 'PTHR24055:SF482', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 67704),
(123979, 'PTHR11893:SF28', NULL, NULL, NULL, NULL, 'INNEXIN-2', 67705),
(123980, 'PTHR43603:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67706),
(123981, 'PTHR31744:SF65', NULL, NULL, NULL, NULL, 'CONTAINING PROTEIN 9, PUTATIVE, EXPRESSED-RELATED', 67707),
(123982, 'PTHR15486:SF58', NULL, NULL, NULL, NULL, 'OS05G0280500 PROTEIN', 67708),
(123983, 'PTHR43272:SF6', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 1', 67709),
(123984, 'PTHR46397:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 67710),
(123985, 'PTHR13140:SF792', NULL, NULL, NULL, NULL, 'MYOSIN-9', 67711),
(123986, 'PTHR45796:SF8', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN P2', 67712),
(123987, 'PTHR47076', NULL, NULL, NULL, NULL, 'NHL DOMAIN PROTEIN', 67713),
(123988, 'PTHR33525:SF5', NULL, NULL, NULL, NULL, 'TWO COMPONENT SIGNAL TRANSDUCTION SYSTEM RESPONSE REGULATOR', 67714),
(123989, 'PTHR48132:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37A-2', 67715),
(123990, 'PTHR23423:SF67', NULL, NULL, NULL, NULL, 'OS02G0670000 PROTEIN', 67716),
(123991, 'PTHR31953:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67717),
(123992, 'PTHR45882', NULL, NULL, NULL, NULL, 'PITUITARY HOMEOBOX HOMOLOG PTX1', 67718),
(123993, 'PTHR21517', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 67719),
(123994, 'PTHR24296:SF203', NULL, NULL, NULL, NULL, 'BNAANNG35910D PROTEIN', 67720),
(123995, 'PTHR34201', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 67721),
(123996, 'PTHR10496:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', 67722);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(123997, 'PTHR31216:SF0', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-10-RELATED', 67723),
(123998, 'PTHR22846:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67724),
(123999, 'PTHR31321:SF82', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 67725),
(124000, 'PTHR48107:SF20', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALDEHYDE REDUCTASE 2, CHLOROPLASTIC', 67726),
(124001, 'PTHR33194:SF4', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE DOMAINCONTAINING PROTEIN', 67727),
(124002, 'PTHR45855:SF8', NULL, NULL, NULL, NULL, 'OS02G0805250 PROTEIN', 67728),
(124003, 'PTHR31561:SF29', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 67729),
(124004, 'PTHR30128', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN, OMPA-RELATED', 67730),
(124005, 'PTHR31589:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67731),
(124006, 'PTHR12632:SF17', NULL, NULL, NULL, NULL, 'CCAAT-BINDING TRANSCRIPTION FACTOR SUBUNIT B FAMILY PROTEIN, EXPRESSED', 67732),
(124007, 'PTHR34455:SF6', NULL, NULL, NULL, NULL, 'ULTRAVIOLET-B-REPRESSIBLE PROTEIN', 67733),
(124008, 'PTHR43321:SF3', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 67734),
(124009, 'PTHR12321:SF148', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 8', 67735),
(124010, 'PTHR33784:SF14', NULL, NULL, NULL, NULL, 'BNACNNG27400D PROTEIN', 67736),
(124011, 'PTHR33385:SF22', NULL, NULL, NULL, NULL, 'OS01G0918100 PROTEIN', 67737),
(124012, 'PTHR39313', NULL, NULL, NULL, NULL, 'IM:7138239', 67738),
(124013, 'PTHR18843:SF7', NULL, NULL, NULL, NULL, 'SI:DKEYP-82A1.6-RELATED', 67739),
(124014, 'PTHR11945:SF596', NULL, NULL, NULL, NULL, 'MYOCYTE ENHANCER FACTOR 2B', 67740),
(124015, 'PTHR42837', NULL, NULL, NULL, NULL, 'REGULATOR OF SIGMA-E PROTEASE RSEP', 67741),
(124016, 'PTHR48195', NULL, NULL, NULL, NULL, 'FRIEND VIRUS SUSCEPTIBILITY PROTEIN 1', 67742),
(124017, 'PTHR31058:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER C4H2 DOMAIN-CONTAINING PROTEIN', 67743),
(124018, 'PTHR31813:SF3', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 23D1-RELATED', 67744),
(124019, 'PTHR47933:SF2', NULL, NULL, NULL, NULL, 'PROTON GRADIENT REGULATION3-LIKE PROTEIN', 67745),
(124020, 'PTHR36179', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 67746),
(124021, 'PTHR11260:SF654', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', 67747),
(124022, 'PTHR33132:SF37', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN-LIKE PROTEIN', 67748),
(124023, 'PTHR33601:SF30', NULL, NULL, NULL, NULL, 'OS04G0411200 PROTEIN', 67749),
(124024, 'PTHR31943:SF14', NULL, NULL, NULL, NULL, 'INTERFERON LAMBDA-1', 67750),
(124025, 'PTHR37468', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER CYSZ', 67751),
(124026, 'PTHR11206:SF395', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 67752),
(124027, 'PTHR14710', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 6', 67753),
(124028, 'PTHR38790:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67754),
(124029, 'PTHR33168', NULL, NULL, NULL, NULL, 'STRESS INDUCED PROTEIN-RELATED', 67755),
(124030, 'PTHR24089:SF181', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 41', 67756),
(124031, 'PTHR11260:SF698', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U17-LIKE', 67757),
(124032, 'PTHR12300:SF158', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 67758),
(124033, 'PTHR13703:SF25', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG', 67759),
(124034, 'PTHR22255:SF9', NULL, NULL, NULL, NULL, 'LP06548P', 67760),
(124035, 'PTHR42760:SF36', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE YTKK-RELATED', 67761),
(124036, 'PTHR32125:SF8', NULL, NULL, NULL, NULL, 'RIBITOL-5-PHOSPHATE CYTIDYLYLTRANSFERASE', 67762),
(124037, 'PTHR31621:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67763),
(124038, 'PTHR43804', NULL, NULL, NULL, NULL, 'LD18447P', 67764),
(124039, 'PTHR36729', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 67765),
(124040, 'PTHR34567:SF7', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING-LIKE PROTEIN', 67766),
(124041, 'PTHR31989:SF303', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', 67767),
(124042, 'PTHR12161:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67768);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(124043, 'PTHR13229:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KISH-A', 67769),
(124044, 'PTHR24044:SF423', NULL, NULL, NULL, NULL, 'PROTEIN DELTA HOMOLOG 2', 67770),
(124045, 'PTHR32266:SF22', NULL, NULL, NULL, NULL, 'BNAC09G32590D PROTEIN', 67771),
(124046, 'PTHR11710:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67772),
(124047, 'PTHR11132:SF437', NULL, NULL, NULL, NULL, 'BNAC02G47130D PROTEIN', 67773),
(124048, 'PTHR10572:SF25', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE 2', 67774),
(124049, 'PTHR31218:SF48', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 67775),
(124050, 'PTHR45665:SF8', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP4-2-RELATED', 67776),
(124051, 'PTHR45618:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 4', 67777),
(124052, 'PTHR11214:SF301', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 67778),
(124053, 'PTHR46781:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE, DXD SUGAR-BINDING MOTIF PROTEIN-RELATED', 67779),
(124054, 'PTHR10926:SF54', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN 50C', 67780),
(124055, 'PTHR33598', NULL, NULL, NULL, NULL, 'OS02G0833400 PROTEIN', 67781),
(124056, 'PTHR24270:SF8', NULL, NULL, NULL, NULL, 'IP11552P-RELATED', 67782),
(124057, 'PTHR45648:SF112', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 67783),
(124058, 'PTHR22595:SF131', NULL, NULL, NULL, NULL, 'ENDOCHITINASE EP3', 67784),
(124059, 'PTHR11011:SF79', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 67785),
(124060, 'PTHR47713', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 67786),
(124061, 'PTHR11062:SF129', NULL, NULL, NULL, NULL, 'EXOSTOSIN-1', 67787),
(124062, 'PTHR31300:SF29', NULL, NULL, NULL, NULL, 'LIPASE-LIKE PROTEIN', 67788),
(124063, 'PTHR10219:SF65', NULL, NULL, NULL, NULL, 'CERAMIDE-1-PHOSPHATE TRANSFER PROTEIN', 67789),
(124064, 'PTHR48047:SF108', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 67790),
(124065, 'PTHR24023:SF1019', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67791),
(124066, 'PTHR31407:SF38', NULL, NULL, NULL, NULL, 'PSBP DOMAIN-CONTAINING PROTEIN 4, CHLOROPLASTIC', 67792),
(124067, 'PTHR10369', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36A/L44', 67793),
(124068, 'PTHR45926:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE7-LIKE', 67794),
(124069, 'PTHR45966:SF21', NULL, NULL, NULL, NULL, 'BNAA08G29200D PROTEIN', 67795),
(124070, 'PTHR10517:SF20', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR FAMILY PROTEIN', 67796),
(124071, 'PTHR10177:SF471', NULL, NULL, NULL, NULL, 'BNAA09G45480D PROTEIN', 67797),
(124072, 'PTHR35075:SF1', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 14', 67798),
(124073, 'PTHR11890:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67799),
(124074, 'PTHR31814', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 67800),
(124075, 'PTHR47602:SF3', NULL, NULL, NULL, NULL, 'BNAA04G11690D PROTEIN', 67801),
(124076, 'PTHR44305:SF4', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 6', 67802),
(124077, 'PTHR43349:SF30', NULL, NULL, NULL, NULL, 'NMRA-LIKE NEGATIVE TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN', 67803),
(124078, 'PTHR47005:SF7', NULL, NULL, NULL, NULL, 'OS11G0629100 PROTEIN', 67804),
(124079, 'PTHR43768:SF19', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE 6-RELATED', 67805),
(124080, 'PTHR24186', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT', 67806),
(124081, 'PTHR12745:SF11', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TUMORIGENICITY 7 PROTEIN-LIKE', 67807),
(124082, 'PTHR37561:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67808),
(124083, 'PTHR33702:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67809),
(124084, 'PTHR26453:SF138', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 67810),
(124085, 'PTHR34543', NULL, NULL, NULL, NULL, 'PROTEIN ABA DEFICIENT 4, CHLOROPLASTIC', 67811),
(124086, 'PTHR24390:SF62', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 865', 67812),
(124087, 'PTHR31265:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67813),
(124088, 'PTHR31245:SF2', NULL, NULL, NULL, NULL, 'OS06G0642650 PROTEIN', 67814);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(124089, 'PTHR11977:SF107', NULL, NULL, NULL, NULL, 'VILLIN/GELSOLIN, ADF-H/GELSOLIN-LIKE DOMAIN PROTEIN-RELATED', 67815),
(124090, 'PTHR35486:SF4', NULL, NULL, NULL, NULL, 'BNAANNG19180D PROTEIN', 67816),
(124091, 'PTHR45752:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67817),
(124092, 'PTHR47207:SF2', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P3-1-RELATED', 67818),
(124093, 'PTHR23086:SF29', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 4', 67819),
(124094, 'PTHR27000:SF715', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 67820),
(124095, 'PTHR11771:SF40', NULL, NULL, NULL, NULL, 'ARACHIDONATE 12-LIPOXYGENASE, 12R-TYPE', 67821),
(124096, 'PTHR27006:SF136', NULL, NULL, NULL, NULL, 'BNAA01G29140D PROTEIN', 67822),
(124097, 'PTHR27005:SF247', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67823),
(124098, 'PTHR31945:SF97', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 67824),
(124099, 'PTHR23501:SF143', NULL, NULL, NULL, NULL, 'DRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G08530)-RELATED', 67825),
(124100, 'PTHR12701:SF52', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED PROTEIN 29/31-RELATED', 67826),
(124101, 'PTHR38386:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67827),
(124102, 'PTHR11556:SF13', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE ISOZYME 2', 67828),
(124103, 'PTHR42690:SF1', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE-LIKE 2', 67829),
(124104, 'PTHR24298:SF152', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', 67830),
(124105, 'PTHR45995:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE NIMA-INTERACTING 4', 67831),
(124106, 'PTHR11334:SF60', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER H', 67832),
(124107, 'PTHR30425', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PST', 67833),
(124108, 'PTHR10574:SF233', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT BETA-1', 67834),
(124109, 'PTHR18860:SF109', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14-C', 67835),
(124110, 'PTHR14969:SF27', NULL, NULL, NULL, NULL, 'SI:CH211-212G7.6', 67836),
(124111, 'PTHR12790', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IA  RRN3', 67837),
(124112, 'PTHR12552', NULL, NULL, NULL, NULL, 'OLIGOPHRENIN 1', 67838),
(124113, 'PTHR24009:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 18-LIKE ISOFORM X1', 67839),
(124114, 'PTHR47327:SF4', NULL, NULL, NULL, NULL, 'NOMPA HOMOLOG (DROSOPHILA NOMPA: NO MECHANORECEPTOR POTENTIAL A)', 67840),
(124115, 'PTHR36447:SF2', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE YESZ', 67841),
(124116, 'PTHR31707:SF344', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 67842),
(124117, 'PTHR42785:SF4', NULL, NULL, NULL, NULL, 'BNAA01G05990D PROTEIN', 67843),
(124118, 'PTHR32341:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67844),
(124119, 'PTHR10288:SF135', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING PROTEIN 2', 67845),
(124120, 'PTHR23138:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67846),
(124121, 'PTHR21060', NULL, NULL, NULL, NULL, 'ACETATE KINASE', 67847),
(124122, 'PTHR43195', NULL, NULL, NULL, NULL, 'TRANSKETOLASE', 67848),
(124123, 'PTHR45724:SF18', NULL, NULL, NULL, NULL, 'NODULIN-26', 67849),
(124124, 'PTHR31544:SF8', NULL, NULL, NULL, NULL, 'PROTEIN AIG2 B', 67850),
(124125, 'PTHR13400:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 28A-LIKE PROTEIN', 67851),
(124126, 'PTHR26374:SF405', NULL, NULL, NULL, NULL, 'BNAA03G46860D PROTEIN', 67852),
(124127, 'PTHR46301:SF41', NULL, NULL, NULL, NULL, 'F-BOX-LIKE PROTEIN', 67853),
(124128, 'PTHR12320:SF56', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 67854),
(124129, 'PTHR43620:SF20', NULL, NULL, NULL, NULL, 'OSJNBB0022F23.4 PROTEIN', 67855),
(124130, 'PTHR24211:SF0', NULL, NULL, NULL, NULL, 'LIM AND CYSTEINE-RICH DOMAINS PROTEIN 1', 67856),
(124131, 'PTHR24414:SF149', NULL, NULL, NULL, NULL, 'BNAA03G52730D PROTEIN', 67857),
(124132, 'PTHR11214:SF226', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 6', 67858);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(124133, 'PTHR11071:SF419', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 67859),
(124134, 'PTHR46147', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASH1', 67860),
(124135, 'PTHR16502', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 67861),
(124136, 'PTHR10593:SF151', NULL, NULL, NULL, NULL, 'OS01G0935000 PROTEIN', 67862),
(124137, 'PTHR21277:SF38', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF RNA POLII, SAGA, SUBUNIT', 67863),
(124138, 'PTHR11567:SF183', NULL, NULL, NULL, NULL, 'GH28721P-RELATED', 67864),
(124139, 'PTHR11119:SF29', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 3', 67865),
(124140, 'PTHR47714', NULL, NULL, NULL, NULL, 'CRS1/YHBY DOMAIN CONTAINING PROTEIN, EXPRESSED', 67866),
(124141, 'PTHR27005:SF320', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-LIKE', 67867),
(124142, 'PTHR12570:SF54', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 67868),
(124143, 'PTHR47968:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE-ASSOCIATED PROTEIN E', 67869),
(124144, 'PTHR48024:SF11', NULL, NULL, NULL, NULL, 'NUCLEAR LOCALIZATION SEQUENCE-BINDING PROTEIN', 67870),
(124145, 'PTHR45990', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN REV1', 67871),
(124146, 'PTHR22951:SF102', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN-RELATED', 67872),
(124147, 'PTHR37409:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67873),
(124148, 'PTHR23213:SF367', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 67874),
(124149, 'PTHR22835:SF617', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67875),
(124150, 'PTHR27000:SF444', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 67876),
(124151, 'PTHR18860:SF120', NULL, NULL, NULL, NULL, 'BNAA07G09490D PROTEIN', 67877),
(124152, 'PTHR45089:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67878),
(124153, 'PTHR12064:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67879),
(124154, 'PTHR47965:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67880),
(124155, 'PTHR35787', NULL, NULL, NULL, NULL, 'GLYCEROL UPTAKE OPERON ANTITERMINATOR REGULATORY PROTEIN', 67881),
(124156, 'PTHR27007:SF265', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VIII.1', 67882),
(124157, 'PTHR40663', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 67883),
(124158, 'PTHR11908:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67884),
(124159, 'PTHR21733:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG13565', 67885),
(124160, 'PTHR32382:SF47', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 14', 67886),
(124161, 'PTHR32285:SF274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67887),
(124162, 'PTHR48111:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN YXDJ', 67888),
(124163, 'PTHR43112:SF26', NULL, NULL, NULL, NULL, 'FERREDOXIN', 67889),
(124164, 'PTHR33427:SF1', NULL, NULL, NULL, NULL, 'F6A14.21 PROTEIN', 67890),
(124165, 'PTHR10676:SF365', NULL, NULL, NULL, NULL, 'DYNEIN, AXONEMAL, HEAVY CHAIN 5-LIKE', 67891),
(124166, 'PTHR24027:SF311', NULL, NULL, NULL, NULL, 'CADHERIN-22', 67892),
(124167, 'PTHR12172:SF1', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 67893),
(124168, 'PTHR19277:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67894),
(124169, 'PTHR23024:SF550', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 18-RELATED', 67895),
(124170, 'PTHR31286:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67896),
(124171, 'PTHR10201:SF280', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-A', 67897),
(124172, 'PTHR34781:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67898),
(124173, 'PTHR36683:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67899),
(124174, 'PTHR23113:SF241', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR M', 67900),
(124175, 'PTHR45757:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG24628', 67901),
(124176, 'PTHR23111:SF29', NULL, NULL, NULL, NULL, 'ZINC FINGER (RAN-BINDING) FAMILY PROTEIN', 67902),
(124177, 'PTHR22829:SF5', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR155', 67903);
INSERT INTO "PUBLIC"."MODEL" VALUES
(124178, 'PTHR46236:SF28', NULL, NULL, NULL, NULL, 'BNAC04G48310D PROTEIN', 67904),
(124179, 'PTHR11629:SF56', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 67905),
(124180, 'PTHR38452:SF1', NULL, NULL, NULL, NULL, 'UPF0756 MEMBRANE PROTEIN YEAL', 67906),
(124181, 'PTHR13146:SF6', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', 67907),
(124182, 'PTHR43328', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 67908),
(124183, 'PTHR10625:SF201', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 3', 67909),
(124184, 'PTHR31153:SF1', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 67910),
(124185, 'PTHR31992:SF188', NULL, NULL, NULL, NULL, 'BNAC03G64440D PROTEIN', 67911),
(124186, 'PTHR48001:SF90', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 67912),
(124187, 'PTHR31989:SF224', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 16', 67913),
(124188, 'PTHR47926:SF99', NULL, NULL, NULL, NULL, 'BNAANNG32650D PROTEIN', 67914),
(124189, 'PTHR22803:SF130', NULL, NULL, NULL, NULL, 'REGENERATING ISLET-DERIVED PROTEIN 3-ALPHA', 67915),
(124190, 'PTHR22938:SF14', NULL, NULL, NULL, NULL, 'EBR1', 67916),
(124191, 'PTHR13385:SF4', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN ATG12', 67917),
(124192, 'PTHR46351:SF11', NULL, NULL, NULL, NULL, 'HEVEIN-LIKE PREPROPROTEIN', 67918),
(124193, 'PTHR24381:SF293', NULL, NULL, NULL, NULL, 'PATERNALLY-EXPRESSED GENE 3 PROTEIN', 67919),
(124194, 'PTHR11913:SF101', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 7-LIKE', 67920),
(124195, 'PTHR16675:SF235', NULL, NULL, NULL, NULL, 'MAJOR HISTOCOMPATIBILITY COMPLEX CLASS I ANTIGEN', 67921),
(124196, 'PTHR47663:SF1', NULL, NULL, NULL, NULL, 'XYLANOLYTIC TRANSCRIPTIONAL ACTIVATOR XLNR-RELATED', 67922),
(124197, 'PTHR12771:SF3', NULL, NULL, NULL, NULL, 'CED-12', 67923),
(124198, 'PTHR12259:SF2', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN GIPC3', 67924),
(124199, 'PTHR10687:SF51', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 67925),
(124200, 'PTHR23139', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN', 67926),
(124201, 'PTHR15315:SF63', NULL, NULL, NULL, NULL, 'OS07G0275300 PROTEIN', 67927),
(124202, 'PTHR43479', NULL, NULL, NULL, NULL, 'ACREF/ENVCD OPERON REPRESSOR-RELATED', 67928),
(124203, 'PTHR47485', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 17.4 KDA PROTEIN, CHLOROPLASTIC', 67929),
(124204, 'PTHR42820:SF20', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE 5', 67930),
(124205, 'PTHR40735:SF4', NULL, NULL, NULL, NULL, 'RNA EDITING COMPLEX PROTEIN MP63', 67931),
(124206, 'PTHR48024:SF17', NULL, NULL, NULL, NULL, 'OS02G0602600 PROTEIN', 67932),
(124207, 'PTHR21152:SF34', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE AMINOTRANSFERASE', 67933),
(124208, 'PTHR43795:SF59', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', 67934),
(124209, 'PTHR11054:SF0', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE', 67935),
(124210, 'PTHR45968:SF14', NULL, NULL, NULL, NULL, 'OS02G0678300 PROTEIN', 67936),
(124211, 'PTHR46293:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIPH-RELATED', 67937),
(124212, 'PTHR24031:SF594', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX52-RELATED', 67938),
(124213, 'PTHR12136:SF92', NULL, NULL, NULL, NULL, 'OS06G0116500 PROTEIN', 67939),
(124214, 'PTHR44329:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67940),
(124215, 'PTHR47699', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN FAMILY', 67941),
(124216, 'PTHR27003:SF331', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 67942),
(124217, 'PTHR45836:SF16', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2', 67943),
(124218, 'PTHR31929:SF119', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR21-LIKE', 67944),
(124219, 'PTHR24351:SF58', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE ALPHA-3', 67945),
(124220, 'PTHR46698', NULL, NULL, NULL, NULL, 'CROSSVEINLESS 2', 67946),
(124221, 'PTHR10992:SF1007', NULL, NULL, NULL, NULL, 'METHYLESTERASE 4-RELATED', 67947);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(124222, 'PTHR43060:SF15', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRATE DEHYDROGENASE-LIKE 1, MITOCHONDRIAL-RELATED', 67948),
(124223, 'PTHR46979:SF1', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 20', 67949),
(124224, 'PTHR18945:SF390', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 67950),
(124225, 'PTHR46414:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BHLHB9', 67951),
(124226, 'PTHR46058:SF20', NULL, NULL, NULL, NULL, 'BNAA03G56110D PROTEIN', 67952),
(124227, 'PTHR30329:SF4', NULL, NULL, NULL, NULL, 'MOTILITY PROTEIN B', 67953),
(124228, 'PTHR43556', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR RF3', 67954),
(124229, 'PTHR12015:SF156', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE', 67955),
(124230, 'PTHR11240:SF66', NULL, NULL, NULL, NULL, 'OS01G0897300 PROTEIN', 67956),
(124231, 'PTHR13140:SF550', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67957),
(124232, 'PTHR46086:SF16', NULL, NULL, NULL, NULL, 'LIPASE-LIKE', 67958),
(124233, 'PTHR11374:SF40', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', 67959),
(124234, 'PTHR35901:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC3', 67960),
(124235, 'PTHR10913', NULL, NULL, NULL, NULL, 'FOLLISTATIN-RELATED', 67961),
(124236, 'PTHR11165:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67962),
(124237, 'PTHR37531:SF1', NULL, NULL, NULL, NULL, 'HEME EXPORTER PROTEIN D', 67963),
(124238, 'PTHR13068:SF141', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', 67964),
(124239, 'PTHR45779:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP11', 67965),
(124240, 'PTHR10903:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67966),
(124241, 'PTHR39490:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN 21', 67967),
(124242, 'PTHR47822:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67968),
(124243, 'PTHR30075', NULL, NULL, NULL, NULL, 'GLYCYL-TRNA SYNTHETASE', 67969),
(124244, 'PTHR28626', NULL, NULL, NULL, NULL, 'SRR1-LIKE PROTEIN', 67970),
(124245, 'PTHR28598:SF1', NULL, NULL, NULL, NULL, 'STAGA COMPLEX 65 SUBUNIT GAMMA', 67971),
(124246, 'PTHR31561:SF105', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 67972),
(124247, 'PTHR28186:SF1', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 9 PROTEIN', 67973),
(124248, 'PTHR33454:SF7', NULL, NULL, NULL, NULL, 'GAMMA-GLIADIN', 67974),
(124249, 'PTHR43477:SF4', NULL, NULL, NULL, NULL, '3-HYDROXYBUTYRATE DEHYDROGENASE TYPE 2', 67975),
(124250, 'PTHR43046:SF8', NULL, NULL, NULL, NULL, 'MUTT/NUDIX FAMILY PROTEIN', 67976),
(124251, 'PTHR14154:SF9', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER 1-LIKE PROTEIN', 67977),
(124252, 'PTHR33755:SF3', NULL, NULL, NULL, NULL, 'TOXIN', 67978),
(124253, 'PTHR45709:SF3', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN-LIKE 1', 67979),
(124254, 'PTHR15438:SF5', NULL, NULL, NULL, NULL, 'NPIP-LIKE PROTEIN LOC729978-RELATED', 67980),
(124255, 'PTHR10464:SF5', NULL, NULL, NULL, NULL, 'UREA TRANSPORTER 1', 67981),
(124256, 'PTHR47934:SF6', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN PET309, MITOCHONDRIAL', 67982),
(124257, 'PTHR35013:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG22618', 67983),
(124258, 'PTHR35154:SF2', NULL, NULL, NULL, NULL, 'GSK-3-BINDING PROTEIN FRAT2', 67984),
(124259, 'PTHR33623:SF14', NULL, NULL, NULL, NULL, 'OS10G0524000 PROTEIN', 67985),
(124260, 'PTHR45693:SF54', NULL, NULL, NULL, NULL, 'BNAA05G26790D PROTEIN', 67986),
(124261, 'PTHR37018:SF1', NULL, NULL, NULL, NULL, 'CULTURE SPECIFIC PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00130)-RELATED', 67987),
(124262, 'PTHR45751:SF15', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RGLG1', 67988),
(124263, 'PTHR22855', NULL, NULL, NULL, NULL, 'ACETYL, PROPIONYL, PYRUVATE, AND GLUTACONYL CARBOXYLASE-RELATED', 67989),
(124264, 'PTHR11177:SF369', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 67990),
(124265, 'PTHR27009:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 67991),
(124266, 'PTHR24391:SF18', NULL, NULL, NULL, NULL, 'EG:115C2.6 PROTEIN', 67992);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(124267, 'PTHR10627:SF63', NULL, NULL, NULL, NULL, 'OS12G0478900 PROTEIN', 67993),
(124268, 'PTHR23073:SF120', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 6B HOMOLOG', 67994),
(124269, 'PTHR35325:SF6', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN K', 67995),
(124270, 'PTHR47136', NULL, NULL, NULL, NULL, 'SYNEMIN', 67996),
(124271, 'PTHR10344:SF4', NULL, NULL, NULL, NULL, 'THYMIDYLATE KINASE', 67997),
(124272, 'PTHR12956:SF54', NULL, NULL, NULL, NULL, 'OS03G0769050 PROTEIN', 67998),
(124273, 'PTHR31644:SF1', NULL, NULL, NULL, NULL, 'WEAK ACID RESISTANCE PROTEIN 1', 67999),
(124274, 'PTHR30413:SF10', NULL, NULL, NULL, NULL, 'TEICHOIC ACID TRANSLOCATION PERMEASE PROTEIN TAGG', 68000),
(124275, 'PTHR13902:SF53', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-BINDING PROTEIN 2', 68001),
(124276, 'PTHR10257:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 56 KDA REGULATORY SUBUNIT BETA ISOFORM', 68002),
(124277, 'PTHR43710:SF7', NULL, NULL, NULL, NULL, 'INDOLEPYRUVATE FERREDOXIN OXIDOREDUCTASE ALPHA SUBUNIT', 68003),
(124278, 'PTHR31334', NULL, NULL, NULL, NULL, 'SMITH-MAGENIS SYNDROME REGION GENE 8 PROTEIN', 68004),
(124279, 'PTHR33132:SF7', NULL, NULL, NULL, NULL, 'OS02G0525600 PROTEIN', 68005),
(124280, 'PTHR14360:SF15', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 90B, MITOCHONDRIAL-LIKE ISOFORM X1', 68006),
(124281, 'PTHR48047:SF36', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 68007),
(124282, 'PTHR12271:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68008),
(124283, 'PTHR31790:SF355', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68009),
(124284, 'PTHR34539:SF17', NULL, NULL, NULL, NULL, 'BNAA02G27660D PROTEIN', 68010),
(124285, 'PTHR26452:SF263', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10V1', 68011),
(124286, 'PTHR13052', NULL, NULL, NULL, NULL, 'NFRKB-RELATED', 68012),
(124287, 'PTHR46280:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY F MEMBER 2', 68013),
(124288, 'PTHR14309:SF12', NULL, NULL, NULL, NULL, 'AGAP013121-PA', 68014),
(124289, 'PTHR48111:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN GLNR', 68015),
(124290, 'PTHR33710:SF43', NULL, NULL, NULL, NULL, 'BNAC02G20440D PROTEIN', 68016),
(124291, 'PTHR21700:SF33', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-LIKE PROTEIN 1', 68017),
(124292, 'PTHR28535:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER GRF-TYPE CONTAINING 1', 68018),
(124293, 'PTHR19051:SF25', NULL, NULL, NULL, NULL, 'KERATIN ASSOCIATED PROTEIN 25-1', 68019),
(124294, 'PTHR23421:SF71', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 68020),
(124295, 'PTHR15422:SF40', NULL, NULL, NULL, NULL, 'BETA-MONOOXYGENASE, PUTATIVE-RELATED', 68021),
(124296, 'PTHR12827:SF3', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 1', 68022),
(124297, 'PTHR32251:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68023),
(124298, 'PTHR11785:SF246', NULL, NULL, NULL, NULL, 'SI:CH73-352P4.8', 68024),
(124299, 'PTHR19336:SF10', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN CEP57L1', 68025),
(124300, 'PTHR15081', NULL, NULL, NULL, NULL, 'NUCLEAR AUTOANTIGENIC SPERM PROTEIN  NASP -RELATED', 68026),
(124301, 'PTHR31391:SF97', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS06G0112300', 68027),
(124302, 'PTHR21600:SF34', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RNA PSEUDOURIDINE SYNTHASE RPUSD4', 68028),
(124303, 'PTHR14083:SF10', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE HRF1 FAMILY PROTEIN', 68029),
(124304, 'PTHR27009:SF257', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', 68030),
(124305, 'PTHR10974:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG19234', 68031),
(124306, 'PTHR11913:SF57', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 8', 68032),
(124307, 'PTHR10583', NULL, NULL, NULL, NULL, 'CHROMOGRANIN', 68033),
(124308, 'PTHR26451:SF956', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6K3', 68034),
(124309, 'PTHR24208:SF121', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX6', 68035),
(124310, 'PTHR19317:SF77', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN B3', 68036);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(124311, 'PTHR23345:SF33', NULL, NULL, NULL, NULL, 'CROSSVEINLESS D', 68037),
(124312, 'PTHR43247:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE AMINOTRANSFERASE', 68038),
(124313, 'PTHR32227:SF290', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE', 68039),
(124314, 'PTHR11654:SF462', NULL, NULL, NULL, NULL, 'DIPEPTIDE AND TRIPEPTIDE PERMEASE C', 68040),
(124315, 'PTHR35329', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE EXPORT CHAPERONE', 68041),
(124316, 'PTHR32467:SF122', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 68042),
(124317, 'PTHR24222:SF53', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 15', 68043),
(124318, 'PTHR46157', NULL, NULL, NULL, NULL, 'K(+) EFFLUX ANTIPORTER 3, CHLOROPLASTIC', 68044),
(124319, 'PTHR46450:SF16', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUVR2-LIKE PROTEIN', 68045),
(124320, 'PTHR16288:SF0', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(7)-)-METHYLTRANSFERASE NON-CATALYTIC SUBUNIT WDR4', 68046),
(124321, 'PTHR12854:SF13', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 3', 68047),
(124322, 'PTHR23333:SF25', NULL, NULL, NULL, NULL, 'OS06G0634600 PROTEIN', 68048),
(124323, 'PTHR31561:SF99', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 4', 68049),
(124324, 'PTHR35257', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 82', 68050),
(124325, 'PTHR34257', NULL, NULL, NULL, NULL, 'ADAPTER PROTEIN CIKS', 68051),
(124326, 'PTHR24255:SF18', NULL, NULL, NULL, NULL, 'COMPLEMENT C1S SUBCOMPONENT', 68052),
(124327, 'PTHR24282:SF114', NULL, NULL, NULL, NULL, 'CYTOCHROME', 68053),
(124328, 'PTHR10438:SF433', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CXXS1', 68054),
(124329, 'PTHR46003:SF2', NULL, NULL, NULL, NULL, 'HOST CELL FACTOR 2', 68055),
(124330, 'PTHR11024:SF18', NULL, NULL, NULL, NULL, 'BNAA05G12310D PROTEIN', 68056),
(124331, 'PTHR31213:SF145', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE 2-LIKE', 68057),
(124332, 'PTHR34413:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 68058),
(124333, 'PTHR33044:SF154', NULL, NULL, NULL, NULL, 'BNAA09G44640D PROTEIN', 68059),
(124334, 'PTHR10641:SF1279', NULL, NULL, NULL, NULL, 'BNAC03G17390D PROTEIN', 68060),
(124335, 'PTHR10887:SF433', NULL, NULL, NULL, NULL, 'DNA REPLICATION ATP-DEPENDENT HELICASE/NUCLEASE DNA2', 68061),
(124336, 'PTHR31852:SF123', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOPROTEIN, PUTATIVE-RELATED', 68062),
(124337, 'PTHR36386:SF1', NULL, NULL, NULL, NULL, 'OS06G0683900 PROTEIN', 68063),
(124338, 'PTHR11092:SF2', NULL, NULL, NULL, NULL, 'BNAA06G40070D PROTEIN', 68064),
(124339, 'PTHR23130:SF86', NULL, NULL, NULL, NULL, 'OS05G0556400 PROTEIN', 68065),
(124340, 'PTHR11624', NULL, NULL, NULL, NULL, 'DEHYDROGENASE RELATED', 68066),
(124341, 'PTHR45624:SF12', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARNITINE/ACYLCARNITINE CARRIER-LIKE PROTEIN', 68067),
(124342, 'PTHR43427', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-E', 68068),
(124343, 'PTHR46606:SF2', NULL, NULL, NULL, NULL, 'SHOOTIN-1', 68069),
(124344, 'PTHR11208:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68070),
(124345, 'PTHR31113:SF2', NULL, NULL, NULL, NULL, 'OS04G0423200 PROTEIN', 68071),
(124346, 'PTHR31509:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68072),
(124347, 'PTHR21261:SF5', NULL, NULL, NULL, NULL, 'BEAT-VA, ISOFORM A-RELATED', 68073),
(124348, 'PTHR24183', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE 3 AND ANKYRIN REPEAT DOMAINS PROTEIN 1', 68074),
(124349, 'PTHR31734:SF202', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 68075),
(124350, 'PTHR43884:SF32', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE YDBM-RELATED', 68076),
(124351, 'PTHR11709:SF362', NULL, NULL, NULL, NULL, 'LACCASE-14', 68077),
(124352, 'PTHR40980:SF6', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR', 68078),
(124353, 'PTHR14069', NULL, NULL, NULL, NULL, 'FILENSIN', 68079),
(124354, 'PTHR20863:SF37', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 68080),
(124355, 'PTHR31414:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68081);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(124356, 'PTHR43173:SF16', NULL, NULL, NULL, NULL, 'ALPHA 1,3 GLUCANASE, GH71 FAMILY (EUROFUNG)-RELATED', 68082),
(124357, 'PTHR47992:SF46', NULL, NULL, NULL, NULL, 'BNACNNG24960D PROTEIN', 68083),
(124358, 'PTHR31443:SF2', NULL, NULL, NULL, NULL, 'ZGC:153675', 68084),
(124359, 'PTHR43243:SF58', NULL, NULL, NULL, NULL, 'TORN AND DIMINISHED RHABDOMERES, ISOFORM D', 68085),
(124360, 'PTHR12203:SF21', NULL, NULL, NULL, NULL, 'PROTEIN O-GLUCOSYLTRANSFERASE 2', 68086),
(124361, 'PTHR12993:SF11', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYL-PHOSPHATIDYLINOSITOL DE-N-ACETYLASE', 68087),
(124362, 'PTHR48016:SF4', NULL, NULL, NULL, NULL, 'MAP3K EPSILON PROTEIN KINASE 1', 68088),
(124363, 'PTHR45842:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 4', 68089),
(124364, 'PTHR10885:SF5', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE 1', 68090),
(124365, 'PTHR24033:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68091),
(124366, 'PTHR28067', NULL, NULL, NULL, NULL, 'DNA REPLICATION REGULATOR SLD3', 68092),
(124367, 'PTHR48002:SF128', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C6', 68093),
(124368, 'PTHR26454:SF16', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2AP1', 68094),
(124369, 'PTHR12411:SF558', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68095),
(124370, 'PTHR11260:SF519', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U25-LIKE', 68096),
(124371, 'PTHR12482:SF46', NULL, NULL, NULL, NULL, 'OS11G0167500 PROTEIN', 68097),
(124372, 'PTHR10366:SF633', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68098),
(124373, 'PTHR10497:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', 68099),
(124374, 'PTHR23024:SF340', NULL, NULL, NULL, NULL, 'NEUTRAL CHOLESTEROL ESTER HYDROLASE HOMOLOG', 68100),
(124375, 'PTHR18966:SF433', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 68101),
(124376, 'PTHR30295:SF9', NULL, NULL, NULL, NULL, 'BACTERIOFERRITIN', 68102),
(124377, 'PTHR10131:SF127', NULL, NULL, NULL, NULL, 'RE66324P', 68103),
(124378, 'PTHR32343:SF37', NULL, NULL, NULL, NULL, 'BINDING PARTNER OF ACD11 1', 68104),
(124379, 'PTHR43490:SF97', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', 68105),
(124380, 'PTHR13602:SF2', NULL, NULL, NULL, NULL, 'UPF0488 PROTEIN C8ORF33', 68106),
(124381, 'PTHR47999:SF38', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', 68107),
(124382, 'PTHR24414:SF154', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT SKIP6-LIKE PROTEIN', 68108),
(124383, 'PTHR24124:SF5', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR ZETA', 68109),
(124384, 'PTHR23206:SF4', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND KH DOMAIN-CONTAINING 1', 68110),
(124385, 'PTHR48077:SF7', NULL, NULL, NULL, NULL, 'BNAA04G27890D PROTEIN', 68111),
(124386, 'PTHR46713:SF4', NULL, NULL, NULL, NULL, 'UBA/UBX DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 68112),
(124387, 'PTHR46128:SF224', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 68113),
(124388, 'PTHR42254', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 68114),
(124389, 'PTHR11905:SF120', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 1A', 68115),
(124390, 'PTHR10615:SF161', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', 68116),
(124391, 'PTHR33463:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68117),
(124392, 'PTHR10288:SF234', NULL, NULL, NULL, NULL, 'FAR UPSTREAM ELEMENT-BINDING PROTEIN 3', 68118),
(124393, 'PTHR32023', NULL, NULL, NULL, NULL, 'PILR ALPHA-ASSOCIATED NEURAL PROTEIN', 68119),
(124394, 'PTHR46101:SF8', NULL, NULL, NULL, NULL, 'SERINE DECARBOXYLASE 2', 68120),
(124395, 'PTHR31680:SF10', NULL, NULL, NULL, NULL, 'PROTEIN LONGIFOLIA 1', 68121),
(124396, 'PTHR13693:SF57', NULL, NULL, NULL, NULL, '5-AMINOLEVULINATE SYNTHASE', 68122),
(124397, 'PTHR14102:SF9', NULL, NULL, NULL, NULL, 'PARTITIONING DEFECTIVE 6 HOMOLOG ALPHA', 68123),
(124398, 'PTHR23147:SF181', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 68124),
(124399, 'PTHR43358:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 68125);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(124400, 'PTHR45875', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE N6AMT1', 68126),
(124401, 'PTHR33110:SF36', NULL, NULL, NULL, NULL, 'OS02G0671100 PROTEIN', 68127),
(124402, 'PTHR23382:SF20', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE [NADP], CHLOROPLASTIC', 68128),
(124403, 'PTHR12121:SF31', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 68129),
(124404, 'PTHR10489:SF649', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 3', 68130),
(124405, 'PTHR34684:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68131),
(124406, 'PTHR33531:SF9', NULL, NULL, NULL, NULL, 'BLR7895 PROTEIN', 68132),
(124407, 'PTHR42844:SF7', NULL, NULL, NULL, NULL, '7,8-DIHYDRONEOPTERIN ALDOLASE', 68133),
(124408, 'PTHR14303', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA SUBUNIT 4', 68134),
(124409, 'PTHR31407:SF4', NULL, NULL, NULL, NULL, 'PSBP-LIKE PROTEIN 1, CHLOROPLASTIC', 68135),
(124410, 'PTHR35508:SF4', NULL, NULL, NULL, NULL, 'BNAC02G06670D PROTEIN', 68136),
(124411, 'PTHR20961:SF26', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 68137),
(124412, 'PTHR37337', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING GLUTAMATE-RICH PROTEIN 1', 68138),
(124413, 'PTHR12004:SF13', NULL, NULL, NULL, NULL, 'PRORELAXIN H2', 68139),
(124414, 'PTHR47643', NULL, NULL, NULL, NULL, 'TPR DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G12710)', 68140),
(124415, 'PTHR32468:SF67', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 6B', 68141),
(124416, 'PTHR33202:SF21', NULL, NULL, NULL, NULL, 'FERRIC UPTAKE REGULATION PROTEIN', 68142),
(124417, 'PTHR13047', NULL, NULL, NULL, NULL, 'PRE-MRNA CLEAVAGE FACTOR IM, 25KD SUBUNIT', 68143),
(124418, 'PTHR23257:SF830', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68144),
(124419, 'PTHR46080:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', 68145),
(124420, 'PTHR24376:SF48', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 484', 68146),
(124421, 'PTHR10335:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG15334', 68147),
(124422, 'PTHR13817:SF74', NULL, NULL, NULL, NULL, 'ALPHA-KINASE 3A', 68148),
(124423, 'PTHR34228:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG09452', 68149),
(124424, 'PTHR47033:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-M', 68150),
(124425, 'PTHR11119:SF104', NULL, NULL, NULL, NULL, 'XANTHINE/URACIL/VITAMIN C PERMEASE-RELATED', 68151),
(124426, 'PTHR46425:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR RHO', 68152),
(124427, 'PTHR11206:SF423', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 68153),
(124428, 'PTHR14738:SF35', NULL, NULL, NULL, NULL, 'OS08G0504600 PROTEIN', 68154),
(124429, 'PTHR33558:SF2', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN C5ORF63', 68155),
(124430, 'PTHR24381:SF249', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 660', 68156),
(124431, 'PTHR47928:SF47', NULL, NULL, NULL, NULL, 'OS11G0114800 PROTEIN', 68157),
(124432, 'PTHR11732:SF455', NULL, NULL, NULL, NULL, 'D-GALACTURONATE REDUCTASE-LIKE ISOFORM X1', 68158),
(124433, 'PTHR24253:SF114', NULL, NULL, NULL, NULL, 'CORIN, ISOFORM B', 68159),
(124434, 'PTHR31382:SF3', NULL, NULL, NULL, NULL, 'SODIUM ION/PROTON EXCHANGER (EUROFUNG)', 68160),
(124435, 'PTHR33207', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN-RELATED', 68161),
(124436, 'PTHR33429:SF31', NULL, NULL, NULL, NULL, 'OS05G0417700 PROTEIN', 68162),
(124437, 'PTHR11247:SF56', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 68163),
(124438, 'PTHR36393', NULL, NULL, NULL, NULL, 'SULFATE ADENYLYLTRANSFERASE SUBUNIT', 68164),
(124439, 'PTHR14614:SF94', NULL, NULL, NULL, NULL, 'RIBOSOMAL LYSINE N-METHYLTRANSFERASE 5', 68165),
(124440, 'PTHR45752:SF108', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE', 68166),
(124441, 'PTHR15710:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68167),
(124442, 'PTHR10201:SF237', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-28', 68168),
(124443, 'PTHR10891:SF839', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN', 68169),
(124444, 'PTHR36791', NULL, NULL, NULL, NULL, 'OS03G0363400 PROTEIN', 68170);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(124445, 'PTHR31343:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68171),
(124446, 'PTHR28664:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68172),
(124447, 'PTHR42851', NULL, NULL, NULL, NULL, 'ALDOLASE-RELATED', 68173),
(124448, 'PTHR16434:SF2', NULL, NULL, NULL, NULL, 'EWING''S TUMOR-ASSOCIATED ANTIGEN 1', 68174),
(124449, 'PTHR43689:SF44', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', 68175),
(124450, 'PTHR45613:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68176),
(124451, 'PTHR31087:SF94', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 68177),
(124452, 'PTHR42799:SF18', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE FAMILY PROTEIN', 68178),
(124453, 'PTHR10791:SF137', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 68179),
(124454, 'PTHR11472:SF61', NULL, NULL, NULL, NULL, 'REGULATOR OF TELOMERE ELONGATION HELICASE 1', 68180),
(124455, 'PTHR10992:SF1032', NULL, NULL, NULL, NULL, 'METHYLESTERASE 17', 68181),
(124456, 'PTHR47992:SF103', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 65-RELATED', 68182),
(124457, 'PTHR11038:SF22', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM10-LIKE', 68183),
(124458, 'PTHR21716:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 245', 68184),
(124459, 'PTHR31550:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68185),
(124460, 'PTHR33181:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68186),
(124461, 'PTHR10527:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68187),
(124462, 'PTHR13326:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68188),
(124463, 'PTHR46162:SF36', NULL, NULL, NULL, NULL, 'BNAA06G39530D PROTEIN', 68189),
(124464, 'PTHR27006:SF388', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', 68190),
(124465, 'PTHR43142:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68191),
(124466, 'PTHR24028:SF68', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-11', 68192),
(124467, 'PTHR27008:SF305', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 68193),
(124468, 'PTHR24286:SF220', NULL, NULL, NULL, NULL, 'ABSCISIC ACID 8''-HYDROXYLASE 2', 68194),
(124469, 'PTHR24240:SF153', NULL, NULL, NULL, NULL, 'GREEN-SENSITIVE OPSIN', 68195),
(124470, 'PTHR34287:SF14', NULL, NULL, NULL, NULL, 'BNAA08G05640D PROTEIN', 68196),
(124471, 'PTHR46578:SF1', NULL, NULL, NULL, NULL, 'ARM-REPEAT/TETRATRICOPEPTIDE REPEAT (TPR)-LIKE PROTEIN', 68197),
(124472, 'PTHR19134:SF203', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE F', 68198),
(124473, 'PTHR47908:SF2', NULL, NULL, NULL, NULL, 'TPR REPEAT', 68199),
(124474, 'PTHR14096', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L', 68200),
(124475, 'PTHR11183:SF44', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE:XYLAN ALPHA-GLUCURONOSYLTRANSFERASE 2', 68201),
(124476, 'PTHR36514:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG00436', 68202),
(124477, 'PTHR23073:SF108', NULL, NULL, NULL, NULL, 'BNAA02G17210D PROTEIN', 68203),
(124478, 'PTHR43329:SF17', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 1', 68204),
(124479, 'PTHR31142:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68205),
(124480, 'PTHR13681:SF27', NULL, NULL, NULL, NULL, 'SURVIVAL MOTOR NEURON PROTEIN', 68206),
(124481, 'PTHR35806:SF1', NULL, NULL, NULL, NULL, 'OXALOACETATE DECARBOXYLASE BETA CHAIN 2', 68207),
(124482, 'PTHR32285:SF183', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 26', 68208),
(124483, 'PTHR31953:SF86', NULL, NULL, NULL, NULL, 'BNAC05G39500D PROTEIN', 68209),
(124484, 'PTHR47932:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68210),
(124485, 'PTHR11654:SF111', NULL, NULL, NULL, NULL, 'OS01G0761400 PROTEIN', 68211),
(124486, 'PTHR24012:SF732', NULL, NULL, NULL, NULL, 'RE50839P', 68212),
(124487, 'PTHR24349:SF331', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 2', 68213),
(124488, 'PTHR33514:SF7', NULL, NULL, NULL, NULL, 'HMP/THIAMINE PERMEASE PROTEIN YKOC-RELATED', 68214),
(124489, 'PTHR26453:SF122', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 68215);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(124490, 'PTHR44668', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 68216),
(124491, 'PTHR11552:SF216', NULL, NULL, NULL, NULL, 'GLUCOSE DEHYDROGENASE [FAD, QUINONE]-LIKE PROTEIN', 68217),
(124492, 'PTHR19308:SF38', NULL, NULL, NULL, NULL, 'PROTEIN CP5, PUTATIVE-RELATED', 68218),
(124493, 'PTHR24058:SF35', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TYROSINE-PHOSPHORYLATION-REGULATED KINASE 3', 68219),
(124494, 'PTHR45089:SF29', NULL, NULL, NULL, NULL, 'BNAA05G31000D PROTEIN', 68220),
(124495, 'PTHR47598:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP17-3, CHLOROPLASTIC', 68221),
(124496, 'PTHR37739:SF7', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12E', 68222),
(124497, 'PTHR24085:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR HR38-RELATED', 68223),
(124498, 'PTHR11615:SF319', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1F2', 68224),
(124499, 'PTHR28067:SF1', NULL, NULL, NULL, NULL, 'DNA REPLICATION REGULATOR SLD3', 68225),
(124500, 'PTHR45946:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D1', 68226),
(124501, 'PTHR39229:SF1', NULL, NULL, NULL, NULL, 'MCG1037962', 68227),
(124502, 'PTHR47223:SF1', NULL, NULL, NULL, NULL, 'SPERM ACROSOME MEMBRANE-ASSOCIATED PROTEIN 1', 68228),
(124503, 'PTHR31677:SF48', NULL, NULL, NULL, NULL, 'OSJNBA0085I10.10 PROTEIN', 68229),
(124504, 'PTHR16223:SF62', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR PTF1', 68230),
(124505, 'PTHR31472:SF31', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD PROTEIN-RELATED', 68231),
(124506, 'PTHR31150:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 68232),
(124507, 'PTHR34801:SF3', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 68233),
(124508, 'PTHR42908:SF28', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION ELONGATION FACTOR 2,-LIKE 2-RELATED', 68234),
(124509, 'PTHR11439:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68235),
(124510, 'PTHR12196:SF2', NULL, NULL, NULL, NULL, 'DIPHTHINE--AMMONIA LIGASE', 68236),
(124511, 'PTHR11453:SF14', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN 2', 68237),
(124512, 'PTHR10484:SF0', NULL, NULL, NULL, NULL, 'HISTONE H4 TYPE VIII', 68238),
(124513, 'PTHR31009:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68239),
(124514, 'PTHR31650:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68240),
(124515, 'PTHR39267:SF1', NULL, NULL, NULL, NULL, 'SURVIVAL MOTOR NEURON-LIKE PROTEIN 1', 68241),
(124516, 'PTHR13009:SF15', NULL, NULL, NULL, NULL, 'HSP90 CO-CHAPERONE HCH1', 68242),
(124517, 'PTHR10183:SF382', NULL, NULL, NULL, NULL, 'CALPAIN-15', 68243),
(124518, 'PTHR27005:SF241', NULL, NULL, NULL, NULL, 'OS10G0174548 PROTEIN', 68244),
(124519, 'PTHR15852:SF27', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE LQY1, CHLOROPLASTIC', 68245),
(124520, 'PTHR34223:SF47', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 68246),
(124521, 'PTHR30425:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YQGH-RELATED', 68247),
(124522, 'PTHR48062:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68248),
(124523, 'PTHR34688:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C6, CHLOROPLASTIC', 68249),
(124524, 'PTHR30614:SF42', NULL, NULL, NULL, NULL, 'GLUTAMATE/ASPARTATE IMPORT PERMEASE PROTEIN GLTJ', 68250),
(124525, 'PTHR12510:SF16', NULL, NULL, NULL, NULL, 'BNACNNG06060D PROTEIN', 68251),
(124526, 'PTHR13018:SF96', NULL, NULL, NULL, NULL, 'OS05G0393800 PROTEIN', 68252),
(124527, 'PTHR44920:SF2', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN', 68253),
(124528, 'PTHR12490:SF4', NULL, NULL, NULL, NULL, 'GSK3B-INTERACTING PROTEIN', 68254),
(124529, 'PTHR31351', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 68255),
(124530, 'PTHR12483:SF71', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN CTR1', 68256),
(124531, 'PTHR11984:SF9', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-10 PROTEIN', 68257),
(124532, 'PTHR11709:SF276', NULL, NULL, NULL, NULL, 'LACCASE-5-RELATED', 68258),
(124533, 'PTHR14152:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68259),
(124534, 'PTHR36755', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 68260); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(124535, 'PTHR21700:SF12', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 68261),
(124536, 'PTHR45861:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE ALPHA CATALYTIC SUBUNIT', 68262),
(124537, 'PTHR28297:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68263),
(124538, 'PTHR15854:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11199', 68264),
(124539, 'PTHR30615:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68265),
(124540, 'PTHR31194:SF12', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WIN1-LIKE', 68266),
(124541, 'PTHR47999:SF52', NULL, NULL, NULL, NULL, 'OS11G0180900 PROTEIN', 68267),
(124542, 'PTHR10366:SF626', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE', 68268),
(124543, 'PTHR10554:SF3', NULL, NULL, NULL, NULL, 'GAMMA-2-SYNTROPHIN', 68269),
(124544, 'PTHR46264:SF4', NULL, NULL, NULL, NULL, 'TYROSINE-TRNA LIGASE', 68270),
(124545, 'PTHR43377:SF2', NULL, NULL, NULL, NULL, 'ZGC:154075', 68271),
(124546, 'PTHR43584:SF6', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMATE ALPHA-1-PHOSPHATE URIDYLYLTRANSFERASE', 68272),
(124547, 'PTHR31342:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68273),
(124548, 'PTHR31009:SF131', NULL, NULL, NULL, NULL, '7-METHYLXANTHOSINE SYNTHASE 1-LIKE ISOFORM X1', 68274),
(124549, 'PTHR33312', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 4-RELATED', 68275),
(124550, 'PTHR31500:SF81', NULL, NULL, NULL, NULL, 'BNAA09G12490D PROTEIN', 68276),
(124551, 'PTHR10857:SF116', NULL, NULL, NULL, NULL, 'PROTEIN BONZAI 2', 68277),
(124552, 'PTHR13848:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE CG15309', 68278),
(124553, 'PTHR31228:SF30', NULL, NULL, NULL, NULL, 'BNAA05G20510D PROTEIN', 68279),
(124554, 'PTHR24232:SF99', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR II (THROMBIN) RECEPTOR-LIKE 1', 68280),
(124555, 'PTHR13555:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER C2HC DOMAIN-CONTAINING PROTEIN 1A', 68281),
(124556, 'PTHR13935:SF66', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE HOMOLOG 1', 68282),
(124557, 'PTHR22943:SF111', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 68283),
(124558, 'PTHR10177:SF202', NULL, NULL, NULL, NULL, 'CYCLIN-SDS', 68284),
(124559, 'PTHR22957:SF194', NULL, NULL, NULL, NULL, 'SMALL G PROTEIN SIGNALING MODULATOR 2', 68285),
(124560, 'PTHR14155:SF583', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL11', 68286),
(124561, 'PTHR31221:SF196', NULL, NULL, NULL, NULL, 'BNAC02G40180D PROTEIN', 68287),
(124562, 'PTHR31867:SF124', NULL, NULL, NULL, NULL, 'EXPANSIN-A12', 68288),
(124563, 'PTHR34405:SF3', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDORIBONUCLEASE CAS2 3', 68289),
(124564, 'PTHR22943:SF38', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 68290),
(124565, 'PTHR12901:SF14', NULL, NULL, NULL, NULL, 'COENZYME Q-BINDING PROTEIN COQ10 HOMOLOG, MITOCHONDRIAL', 68291),
(124566, 'PTHR11311:SF12', NULL, NULL, NULL, NULL, 'SPONDIN 2A, EXTRACELLULAR MATRIX PROTEIN', 68292),
(124567, 'PTHR48018:SF103', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 901', 68293),
(124568, 'PTHR46438:SF7', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 68294),
(124569, 'PTHR11709:SF415', NULL, NULL, NULL, NULL, 'LACCASE-3', 68295),
(124570, 'PTHR37214:SF2', NULL, NULL, NULL, NULL, 'CYTOMEGALOVIRUS UL139 PROTEIN', 68296),
(124571, 'PTHR26450:SF64', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 68297),
(124572, 'PTHR33248:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68298),
(124573, 'PTHR31384:SF9', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 19', 68299),
(124574, 'PTHR46668:SF4', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR5', 68300),
(124575, 'PTHR45811:SF36', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 1', 68301),
(124576, 'PTHR11926:SF1353', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 68302),
(124577, 'PTHR11851:SF212', NULL, NULL, NULL, NULL, 'BNAC03G78020D PROTEIN', 68303),
(124578, 'PTHR40763', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 68304),
(124579, 'PTHR10334:SF456', NULL, NULL, NULL, NULL, 'AT04879P-RELATED', 68305);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(124580, 'PTHR46012:SF1', NULL, NULL, NULL, NULL, 'GLUCOSIDE XYLOSYLTRANSFERASE 2', 68306),
(124581, 'PTHR11614:SF118', NULL, NULL, NULL, NULL, 'BLL3777 PROTEIN', 68307),
(124582, 'PTHR24247:SF223', NULL, NULL, NULL, NULL, 'HISTAMINE H1 RECEPTOR', 68308),
(124583, 'PTHR23180:SF405', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD1', 68309),
(124584, 'PTHR24103:SF600', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 64-RELATED', 68310),
(124585, 'PTHR10709', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 1', 68311),
(124586, 'PTHR33065:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68312),
(124587, 'PTHR46128:SF118', NULL, NULL, NULL, NULL, 'BNAA02G19980D PROTEIN', 68313),
(124588, 'PTHR43349:SF82', NULL, NULL, NULL, NULL, 'HYPOTHETICAL OXIDOREDUCTASE (EUROFUNG)', 68314),
(124589, 'PTHR33772:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TBATA', 68315),
(124590, 'PTHR10165:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE-RELATED PROTEIN TYPE 4', 68316),
(124591, 'PTHR33924:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 68317),
(124592, 'PTHR24155', NULL, NULL, NULL, NULL, 'OSTEOCLAST-STIMULATING FACTOR 1', 68318),
(124593, 'PTHR12296:SF16', NULL, NULL, NULL, NULL, 'C-MYC PROMOTER-BINDING PROTEIN', 68319),
(124594, 'PTHR24393:SF78', NULL, NULL, NULL, NULL, 'LD32088P-RELATED', 68320),
(124595, 'PTHR22945:SF86', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)-RELATED', 68321),
(124596, 'PTHR44307:SF16', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE N-METHYLTRANSFERASE', 68322),
(124597, 'PTHR34473:SF2', NULL, NULL, NULL, NULL, 'UPF0699 TRANSMEMBRANE PROTEIN YDBS', 68323),
(124598, 'PTHR45688', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 68324),
(124599, 'PTHR14215:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION REGULATOR 1-LIKE', 68325),
(124600, 'PTHR36800:SF1', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1-BINDING PROTEIN', 68326),
(124601, 'PTHR37219', NULL, NULL, NULL, NULL, 'PROTEIN PALE CRESS, CHLOROPLASTIC', 68327),
(124602, 'PTHR11733:SF201', NULL, NULL, NULL, NULL, 'KELL METALLO-ENDOPEPTIDASE (KELL BLOOD GROUP)', 68328),
(124603, 'PTHR13683:SF798', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED3-LIKE', 68329),
(124604, 'PTHR31744:SF70', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 19-LIKE', 68330),
(124605, 'PTHR31897:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG17011', 68331),
(124606, 'PTHR15711:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68332),
(124607, 'PTHR10693:SF55', NULL, NULL, NULL, NULL, 'OS07G0603100 PROTEIN', 68333),
(124608, 'PTHR45161', NULL, NULL, NULL, NULL, 'CYTOSKELETON-ASSOCIATED PROTEIN 4', 68334),
(124609, 'PTHR19423:SF2', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR REI-1', 68335),
(124610, 'PTHR11937:SF387', NULL, NULL, NULL, NULL, 'ACTIN-5C-RELATED', 68336),
(124611, 'PTHR12802:SF20', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN G', 68337),
(124612, 'PTHR43329:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68338),
(124613, 'PTHR33203:SF46', NULL, NULL, NULL, NULL, 'OLEOSIN', 68339),
(124614, 'PTHR22754:SF32', NULL, NULL, NULL, NULL, 'DISCO-INTERACTING PROTEIN 2', 68340),
(124615, 'PTHR43386:SF14', NULL, NULL, NULL, NULL, 'D,D-DIPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN DDPC-RELATED', 68341),
(124616, 'PTHR33257:SF37', NULL, NULL, NULL, NULL, 'BNACNNG40650D PROTEIN', 68342),
(124617, 'PTHR11814:SF106', NULL, NULL, NULL, NULL, 'BNAA04G05880D PROTEIN', 68343),
(124618, 'PTHR45986:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER MATRIN-TYPE PROTEIN 2', 68344),
(124619, 'PTHR47327', NULL, NULL, NULL, NULL, 'FI18240P1-RELATED', 68345),
(124620, 'PTHR35361:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68346),
(124621, 'PTHR43721:SF5', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU, CHLOROPLASTIC', 68347),
(124622, 'PTHR24207', NULL, NULL, NULL, NULL, 'ZYX102 PROTEIN', 68348),
(124623, 'PTHR33091:SF61', NULL, NULL, NULL, NULL, 'OS06G0319900 PROTEIN', 68349),
(124624, 'PTHR45651:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68350);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(124625, 'PTHR11437:SF55', NULL, NULL, NULL, NULL, 'AMPHINASE-4-LIKE', 68351),
(124626, 'PTHR31494', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 68352),
(124627, 'PTHR48001:SF11', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 68353),
(124628, 'PTHR10578:SF116', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO4-LIKE', 68354),
(124629, 'PTHR24064:SF545', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-12-RELATED', 68355),
(124630, 'PTHR12606:SF111', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 1B-RELATED', 68356),
(124631, 'PTHR27009:SF151', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 68357),
(124632, 'PTHR23192:SF75', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L3', 68358),
(124633, 'PTHR22595:SF126', NULL, NULL, NULL, NULL, 'BNAC03G24360D PROTEIN', 68359),
(124634, 'PTHR47995:SF22', NULL, NULL, NULL, NULL, 'BNAA05G10900D PROTEIN', 68360),
(124635, 'PTHR31064:SF7', NULL, NULL, NULL, NULL, 'CATION TRANSPORTER HKT7-RELATED', 68361),
(124636, 'PTHR30576:SF4', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-PHOSPHATE GALACTOSE PHOSPHOTRANSFERASE', 68362),
(124637, 'PTHR19357:SF0', NULL, NULL, NULL, NULL, 'TRIGGERING RECEPTOR EXPRESSED ON MYELOID CELLS 1', 68363),
(124638, 'PTHR47942:SF64', NULL, NULL, NULL, NULL, 'F21B23.6 PROTEIN', 68364),
(124639, 'PTHR12673:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68365),
(124640, 'PTHR27007:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68366),
(124641, 'PTHR23155:SF1125', NULL, NULL, NULL, NULL, 'OS11G0550500 PROTEIN', 68367),
(124642, 'PTHR45819:SF7', NULL, NULL, NULL, NULL, 'ARF-GAP WITH GTPASE, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 4-RELATED', 68368),
(124643, 'PTHR46719:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68369),
(124644, 'PTHR27007:SF160', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.4-LIKE', 68370),
(124645, 'PTHR46112:SF3', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE YPDF', 68371),
(124646, 'PTHR43625:SF50', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 2-RELATED', 68372),
(124647, 'PTHR10612:SF45', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED PROTEIN', 68373),
(124648, 'PTHR31087:SF63', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 10', 68374),
(124649, 'PTHR42973:SF17', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14340)-RELATED', 68375),
(124650, 'PTHR33149:SF30', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC REACTION CENTRE, L/M-RELATED', 68376),
(124651, 'PTHR45675:SF50', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 68377),
(124652, 'PTHR12741:SF51', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 7-LIKE', 68378),
(124653, 'PTHR10846:SF2', NULL, NULL, NULL, NULL, 'RE48874P', 68379),
(124654, 'PTHR28142:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE I-AAA PROTEASE SUPERCOMPLEX SUBUNIT MGR3-RELATED', 68380),
(124655, 'PTHR33098', NULL, NULL, NULL, NULL, 'COTTON FIBER (DUF761)', 68381),
(124656, 'PTHR46128:SF65', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 68382),
(124657, 'PTHR32481', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 68383),
(124658, 'PTHR12929:SF10', NULL, NULL, NULL, NULL, 'RIBOFLAVIN TRANSPORTER RFT-2', 68384),
(124659, 'PTHR11654:SF554', NULL, NULL, NULL, NULL, 'BNAC09G20910D PROTEIN', 68385),
(124660, 'PTHR10732:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17-LIKE', 68386),
(124661, 'PTHR31623:SF81', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', 68387),
(124662, 'PTHR24388:SF66', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 521', 68388),
(124663, 'PTHR22791:SF6', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN', 68389),
(124664, 'PTHR31415:SF121', NULL, NULL, NULL, NULL, 'BNAANNG30660D PROTEIN', 68390),
(124665, 'PTHR47928:SF5', NULL, NULL, NULL, NULL, 'OS02G0830000 PROTEIN', 68391),
(124666, 'PTHR35175:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 68392),
(124667, 'PTHR13386:SF1', NULL, NULL, NULL, NULL, 'HISTONE PARYLATION FACTOR 1', 68393),
(124668, 'PTHR11384:SF61', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER D FAMILY MEMBER 1-RELATED', 68394);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(124669, 'PTHR24070:SF395', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAP-1A', 68395),
(124670, 'PTHR31790:SF374', NULL, NULL, NULL, NULL, 'F-BOX/WD-40 REPEAT-CONTAINING PROTEIN 1-LIKE', 68396),
(124671, 'PTHR10671:SF84', NULL, NULL, NULL, NULL, 'LENS INTRINSIC MEMBRANE PROTEIN 2.4', 68397),
(124672, 'PTHR11461:SF328', NULL, NULL, NULL, NULL, 'BNAA09G11360D PROTEIN', 68398),
(124673, 'PTHR42898:SF52', NULL, NULL, NULL, NULL, 'BNAA04G17040D PROTEIN', 68399),
(124674, 'PTHR47316:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN H1', 68400),
(124675, 'PTHR43702:SF9', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G06630)-RELATED', 68401),
(124676, 'PTHR48047:SF5', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 89C1-LIKE', 68402),
(124677, 'PTHR24067:SF295', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 2', 68403),
(124678, 'PTHR40124:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 68404),
(124679, 'PTHR12271:SF113', NULL, NULL, NULL, NULL, 'POLY(A) RNA POLYMERASE CID11-RELATED', 68405),
(124680, 'PTHR13935:SF55', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE HOMOLOG 5', 68406),
(124681, 'PTHR47459', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN-RELATED', 68407),
(124682, 'PTHR45924', NULL, NULL, NULL, NULL, 'FI17866P1', 68408),
(124683, 'PTHR11984:SF53', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', 68409),
(124684, 'PTHR48005:SF37', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE 1-LIKE PROTEIN', 68410),
(124685, 'PTHR23115:SF267', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', 68411),
(124686, 'PTHR23036:SF21', NULL, NULL, NULL, NULL, 'CILIARY NEUROTROPHIC FACTOR RECEPTOR SUBUNIT ALPHA', 68412),
(124687, 'PTHR11675:SF63', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE', 68413),
(124688, 'PTHR46081:SF4', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE B4-RELATED', 68414),
(124689, 'PTHR42252:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68415),
(124690, 'PTHR10438:SF382', NULL, NULL, NULL, NULL, 'THIOREDOXIN F2, CHLOROPLASTIC', 68416),
(124691, 'PTHR42683:SF18', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT ALCOHOL DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_6G00510)', 68417),
(124692, 'PTHR26450:SF189', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52A4', 68418),
(124693, 'PTHR11920:SF347', NULL, NULL, NULL, NULL, 'HEAT-STABLE ENTEROTOXIN RECEPTOR', 68419),
(124694, 'PTHR11214:SF245', NULL, NULL, NULL, NULL, 'GALACTOSYLTRANSFERASE FAMILY-LIKE PROTEIN', 68420),
(124695, 'PTHR11877:SF14', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE', 68421),
(124696, 'PTHR24234', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 5/SPHINGOSYLPHOSPHORYLCHOLINE RECEPTOR', 68422),
(124697, 'PTHR33107:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68423),
(124698, 'PTHR31659:SF19', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF740)-RELATED', 68424),
(124699, 'PTHR48053:SF56', NULL, NULL, NULL, NULL, 'BNAC04G43580D PROTEIN', 68425),
(124700, 'PTHR35485:SF10', NULL, NULL, NULL, NULL, 'OS05G0417500 PROTEIN', 68426),
(124701, 'PTHR14247:SF10', NULL, NULL, NULL, NULL, 'BREAST CANCER ANTI-ESTROGEN RESISTANCE PROTEIN 3', 68427),
(124702, 'PTHR48217:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68428),
(124703, 'PTHR43250:SF1', NULL, NULL, NULL, NULL, 'EXODEOXYRIBONUCLEASE III', 68429),
(124704, 'PTHR10366:SF679', NULL, NULL, NULL, NULL, 'BNAC05G24140D PROTEIN', 68430),
(124705, 'PTHR24068:SF371', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME/RWD-LIKE', 68431),
(124706, 'PTHR14470:SF1', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 5', 68432),
(124707, 'PTHR40250:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 11 OPEN READING FRAME 96', 68433),
(124708, 'PTHR23024:SF528', NULL, NULL, NULL, NULL, 'BNACNNG53200D PROTEIN', 68434),
(124709, 'PTHR31314:SF116', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 68435),
(124710, 'PTHR11709:SF332', NULL, NULL, NULL, NULL, 'LACCASE-2', 68436),
(124711, 'PTHR10826:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68437);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(124712, 'PTHR31717:SF57', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE', 68438),
(124713, 'PTHR33699:SF25', NULL, NULL, NULL, NULL, 'OS06G0347300 PROTEIN', 68439),
(124714, 'PTHR37835', NULL, NULL, NULL, NULL, 'ALPHA-CLOSTRIPAIN', 68440),
(124715, 'PTHR15092:SF23', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 68441),
(124716, 'PTHR16083:SF11', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND CALPONIN HOMOLOGY DOMAIN-CONTAINING PROTEIN 2', 68442),
(124717, 'PTHR13593:SF94', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASES SUPERFAMILY PROTEIN', 68443),
(124718, 'PTHR13683:SF794', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', 68444),
(124719, 'PTHR22907:SF1', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 68445),
(124720, 'PTHR28457:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 189', 68446),
(124721, 'PTHR26453:SF329', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 68447),
(124722, 'PTHR36700', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMR SUBUNIT CMR4', 68448),
(124723, 'PTHR34075', NULL, NULL, NULL, NULL, 'BLR3430 PROTEIN', 68449),
(124724, 'PTHR10551:SF28', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE-RELATED', 68450),
(124725, 'PTHR37810:SF7', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 68451),
(124726, 'PTHR16092:SF28', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 1-RELATED', 68452),
(124727, 'PTHR10901:SF5', NULL, NULL, NULL, NULL, 'LEIOMODIN-1', 68453),
(124728, 'PTHR31852:SF22', NULL, NULL, NULL, NULL, 'OS05G0238400 PROTEIN', 68454),
(124729, 'PTHR11390:SF20', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 3-BETA-1', 68455),
(124730, 'PTHR33706', NULL, NULL, NULL, NULL, 'MORN VARIANT REPEAT PROTEIN', 68456),
(124731, 'PTHR47319:SF4', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN KIC', 68457),
(124732, 'PTHR37540:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68458),
(124733, 'PTHR46604:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 68459),
(124734, 'PTHR14149:SF14', NULL, NULL, NULL, NULL, 'PATTERNED EXPRESSION SITE', 68460),
(124735, 'PTHR11394:SF23', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 14', 68461),
(124736, 'PTHR12668:SF47', NULL, NULL, NULL, NULL, 'PROTEIN FATTY ACID EXPORT 7', 68462),
(124737, 'PTHR21771', NULL, NULL, NULL, NULL, 'MITOCHONDRIA-EATING PROTEIN-RELATED', 68463),
(124738, 'PTHR33828:SF1', NULL, NULL, NULL, NULL, 'OS05G0596200 PROTEIN', 68464),
(124739, 'PTHR33098:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68465),
(124740, 'PTHR11716:SF10', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PHOSPHOLIPASE A2', 68466),
(124741, 'PTHR21101', NULL, NULL, NULL, NULL, 'RESISTIN', 68467),
(124742, 'PTHR10381:SF50', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT 3, CHLOROPLASTIC', 68468),
(124743, 'PTHR33285:SF28', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES-LIKE', 68469),
(124744, 'PTHR10906:SF20', NULL, NULL, NULL, NULL, 'OS03G0692300 PROTEIN', 68470),
(124745, 'PTHR11620:SF79', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A-RELATED', 68471),
(124746, 'PTHR13462:SF41', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN 6, MITOCHONDRIAL', 68472),
(124747, 'PTHR15228:SF22', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 22', 68473),
(124748, 'PTHR19957:SF293', NULL, NULL, NULL, NULL, 'SYNTAXIN-32-LIKE', 68474),
(124749, 'PTHR14110:SF9', NULL, NULL, NULL, NULL, 'IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM17/TIM22/TIM23 FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 68475),
(124750, 'PTHR31929:SF82', NULL, NULL, NULL, NULL, 'BNAC02G34520D PROTEIN', 68476),
(124751, 'PTHR45988:SF26', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT10-LIKE', 68477),
(124752, 'PTHR31463:SF4', NULL, NULL, NULL, NULL, 'MACROPHAGE-EXPRESSED GENE 1 PROTEIN', 68478),
(124753, 'PTHR10250:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68479),
(124754, 'PTHR45619:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-4 CATALYTIC SUBUNIT', 68480),
(124755, 'PTHR31692:SF92', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE B1', 68481),
(124756, 'PTHR34835:SF40', NULL, NULL, NULL, NULL, 'OS04G0377400 PROTEIN', 68482);
INSERT INTO "PUBLIC"."MODEL" VALUES
(124757, 'PTHR31079:SF40', NULL, NULL, NULL, NULL, 'BNAA01G07600D PROTEIN', 68483),
(124758, 'PTHR11662:SF437', NULL, NULL, NULL, NULL, 'GH23975P', 68484),
(124759, 'PTHR11260:SF688', NULL, NULL, NULL, NULL, 'BNAC06G31020D PROTEIN', 68485),
(124760, 'PTHR33057:SF169', NULL, NULL, NULL, NULL, 'OS03G0159400 PROTEIN', 68486),
(124761, 'PTHR45648:SF72', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 22-RELATED', 68487),
(124762, 'PTHR33155:SF35', NULL, NULL, NULL, NULL, 'OS03G0705800 PROTEIN', 68488),
(124763, 'PTHR47481:SF3', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', 68489),
(124764, 'PTHR10906:SF10', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT ALPHA ISOFORM 2', 68490),
(124765, 'PTHR38650', NULL, NULL, NULL, NULL, 'KITA-KYUSHU LUNG CANCER ANTIGEN 1', 68491),
(124766, 'PTHR11774:SF15', NULL, NULL, NULL, NULL, 'GERANYLGERANYL TRANSFERASE TYPE-2 SUBUNIT BETA', 68492),
(124767, 'PTHR47989:SF47', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL28-RELATED', 68493),
(124768, 'PTHR43000:SF26', NULL, NULL, NULL, NULL, 'BNAC05G13120D PROTEIN', 68494),
(124769, 'PTHR10424:SF68', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP 3 MEMBER 1 ENV POLYPROTEIN', 68495),
(124770, 'PTHR33223:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68496),
(124771, 'PTHR43652:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68497),
(124772, 'PTHR12290:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENATE--CYSTEINE LIGASE', 68498),
(124773, 'PTHR46108', NULL, NULL, NULL, NULL, 'BLUE CHEESE', 68499),
(124774, 'PTHR11860:SF95', NULL, NULL, NULL, NULL, 'SI:CH211-114L13.12-RELATED', 68500),
(124775, 'PTHR15664:SF18', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 230-LIKE', 68501),
(124776, 'PTHR23220:SF3', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-5', 68502),
(124777, 'PTHR24377:SF837', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 20', 68503),
(124778, 'PTHR34630:SF13', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 68504),
(124779, 'PTHR48108:SF3', NULL, NULL, NULL, NULL, 'SLR0689 PROTEIN', 68505),
(124780, 'PTHR10736:SF8', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 5', 68506),
(124781, 'PTHR31282:SF80', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 21-RELATED', 68507),
(124782, 'PTHR45647:SF28', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 33-LIKE', 68508),
(124783, 'PTHR10353:SF61', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 22', 68509),
(124784, 'PTHR43276:SF1', NULL, NULL, NULL, NULL, 'GLUCOSYLGLYCERATE PHOSPHORYLASE', 68510),
(124785, 'PTHR31120:SF7', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TIKI1', 68511),
(124786, 'PTHR46034:SF13', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', 68512),
(124787, 'PTHR23235:SF82', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 5', 68513),
(124788, 'PTHR10015:SF322', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-7A', 68514),
(124789, 'PTHR31451:SF47', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 2', 68515),
(124790, 'PTHR32523:SF8', NULL, NULL, NULL, NULL, 'PHYTOL KINASE 1, CHLOROPLASTIC', 68516),
(124791, 'PTHR24223:SF358', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MRP-3', 68517),
(124792, 'PTHR21325:SF32', NULL, NULL, NULL, NULL, 'PROTEIN CBG12377', 68518),
(124793, 'PTHR11129', NULL, NULL, NULL, NULL, 'PROTEIN FARNESYLTRANSFERASE ALPHA SUBUNIT/RAB GERANYLGERANYL TRANSFERASE ALPHA SUBUNIT', 68519),
(124794, 'PTHR23416:SF77', NULL, NULL, NULL, NULL, 'O-ACETYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03380)-RELATED', 68520),
(124795, 'PTHR31314:SF92', NULL, NULL, NULL, NULL, 'BNAA06G34360D PROTEIN', 68521),
(124796, 'PTHR31677:SF130', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 68522),
(124797, 'PTHR22984:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIM-1', 68523),
(124798, 'PTHR47435:SF9', NULL, NULL, NULL, NULL, 'BNAA06G37510D PROTEIN', 68524),
(124799, 'PTHR48017:SF43', NULL, NULL, NULL, NULL, 'BNAC05G49210D PROTEIN', 68525),
(124800, 'PTHR32100:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68526);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(124801, 'PTHR19957:SF314', NULL, NULL, NULL, NULL, 'SYNTAXIN-123', 68527),
(124802, 'PTHR46521:SF11', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE PHOSPHATASE-RELATED', 68528),
(124803, 'PTHR31985:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68529),
(124804, 'PTHR31929:SF98', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR20', 68530),
(124805, 'PTHR10961:SF23', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE-RELATED', 68531),
(124806, 'PTHR35575:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG23597', 68532),
(124807, 'PTHR33107', NULL, NULL, NULL, NULL, 'KUNITZ TRYPSIN INHIBITOR 2', 68533),
(124808, 'PTHR37564', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 68534),
(124809, 'PTHR43433:SF4', NULL, NULL, NULL, NULL, 'NON-HEME CHLOROPEROXIDASE-RELATED', 68535),
(124810, 'PTHR45786:SF39', NULL, NULL, NULL, NULL, 'OS02G0701800 PROTEIN', 68536),
(124811, 'PTHR43559:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 68537),
(124812, 'PTHR24056:SF154', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 14', 68538),
(124813, 'PTHR23428:SF178', NULL, NULL, NULL, NULL, 'HISTONE H2B.V2', 68539),
(124814, 'PTHR31707:SF239', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 46-RELATED', 68540),
(124815, 'PTHR31731:SF69', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 68541),
(124816, 'PTHR24230:SF13', NULL, NULL, NULL, NULL, 'GALANIN RECEPTOR TYPE 2', 68542),
(124817, 'PTHR40980:SF4', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT PHYTASE RECEPTOR', 68543),
(124818, 'PTHR12196', NULL, NULL, NULL, NULL, 'DOMAIN OF UNKNOWN FUNCTION 71  DUF71 -CONTAINING PROTEIN', 68544),
(124819, 'PTHR32278:SF55', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A9-LIKE', 68545),
(124820, 'PTHR13659:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68546),
(124821, 'PTHR24242:SF366', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 68547),
(124822, 'PTHR31269', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 68548),
(124823, 'PTHR47940:SF1', NULL, NULL, NULL, NULL, 'OS12G0283900 PROTEIN', 68549),
(124824, 'PTHR47985:SF57', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOPLASMIC KINASE 185', 68550),
(124825, 'PTHR10766:SF57', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 68551),
(124826, 'PTHR10126:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68552),
(124827, 'PTHR22999:SF36', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE SLOB1-RELATED', 68553),
(124828, 'PTHR12011:SF457', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR E5B, DUPLICATE 2-RELATED', 68554),
(124829, 'PTHR11785', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 68555),
(124830, 'PTHR11561:SF11', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE [GTP], MITOCHONDRIAL', 68556),
(124831, 'PTHR46847:SF4', NULL, NULL, NULL, NULL, 'AUTOINDUCER 2-BINDING PROTEIN LSRB', 68557),
(124832, 'PTHR31945:SF100', NULL, NULL, NULL, NULL, 'BNAC06G42410D PROTEIN', 68558),
(124833, 'PTHR38598:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YJCH', 68559),
(124834, 'PTHR36079:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LEAFY', 68560),
(124835, 'PTHR45977:SF7', NULL, NULL, NULL, NULL, 'OS03G0380700 PROTEIN', 68561),
(124836, 'PTHR14226:SF29', NULL, NULL, NULL, NULL, 'NEUROPATHY TARGET ESTERASE SWS', 68562),
(124837, 'PTHR31790:SF136', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN', 68563),
(124838, 'PTHR31595:SF36', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 2-RELATED', 68564),
(124839, 'PTHR38110:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68565),
(124840, 'PTHR48184', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 68566),
(124841, 'PTHR31215:SF33', NULL, NULL, NULL, NULL, 'BNACNNG06390D PROTEIN', 68567),
(124842, 'PTHR46950:SF7', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER CORA-LIKE FAMILY PROTEIN-RELATED', 68568),
(124843, 'PTHR34061:SF23', NULL, NULL, NULL, NULL, 'BNACNNG37290D PROTEIN', 68569),
(124844, 'PTHR45224:SF10', NULL, NULL, NULL, NULL, 'MYB FAMILY PROTEIN-LIKE', 68570),
(124845, 'PTHR36690:SF1', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 237 MEMBER B', 68571);
INSERT INTO "PUBLIC"."MODEL" VALUES
(124846, 'PTHR31681:SF12', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', 68572),
(124847, 'PTHR23220:SF123', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-PS3-RELATED', 68573),
(124848, 'PTHR36148:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68574),
(124849, 'PTHR15907:SF30', NULL, NULL, NULL, NULL, 'PLAC8 ONZIN-RELATED PROTEIN 2-RELATED', 68575),
(124850, 'PTHR35546', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN-RELATED', 68576),
(124851, 'PTHR24320:SF179', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', 68577),
(124852, 'PTHR24299:SF40', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 76A2-LIKE', 68578),
(124853, 'PTHR35105:SF8', NULL, NULL, NULL, NULL, 'BNAA07G25180D PROTEIN', 68579),
(124854, 'PTHR31972:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68580),
(124855, 'PTHR45663:SF6', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN YDBP', 68581),
(124856, 'PTHR13585:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68582),
(124857, 'PTHR46230:SF4', NULL, NULL, NULL, NULL, 'PROTEIN BOLA4, CHLOROPLASTIC/MITOCHONDRIAL', 68583),
(124858, 'PTHR47160:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68584),
(124859, 'PTHR47926:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68585),
(124860, 'PTHR26453:SF647', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 68586),
(124861, 'PTHR11961:SF42', NULL, NULL, NULL, NULL, 'CYTOCHROME C-LIKE', 68587),
(124862, 'PTHR33388:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68588),
(124863, 'PTHR44328:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68589),
(124864, 'PTHR23113:SF346', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR L', 68590),
(124865, 'PTHR13890:SF31', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-2-RELATED', 68591),
(124866, 'PTHR45840:SF8', NULL, NULL, NULL, NULL, 'RHOMBOID-4', 68592),
(124867, 'PTHR27002:SF76', NULL, NULL, NULL, NULL, 'OS10G0136500 PROTEIN', 68593),
(124868, 'PTHR13218:SF19', NULL, NULL, NULL, NULL, 'TAFII28-LIKE PROTEIN-RELATED', 68594),
(124869, 'PTHR33271:SF28', NULL, NULL, NULL, NULL, 'BNAC04G43140D PROTEIN', 68595),
(124870, 'PTHR20515:SF4', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 33', 68596),
(124871, 'PTHR11863:SF163', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROXYLASE-RELATED', 68597),
(124872, 'PTHR38592:SF3', NULL, NULL, NULL, NULL, 'BLL4819 PROTEIN', 68598),
(124873, 'PTHR31225:SF122', NULL, NULL, NULL, NULL, 'TPS14', 68599),
(124874, 'PTHR11176:SF30', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 68600),
(124875, 'PTHR24286:SF234', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', 68601),
(124876, 'PTHR33493:SF17', NULL, NULL, NULL, NULL, 'OS08G0327700 PROTEIN', 68602),
(124877, 'PTHR28489:SF2', NULL, NULL, NULL, NULL, 'RENTINAL DEGENERATION 3-LIKE', 68603),
(124878, 'PTHR21713', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE ASSOCIATED COMPLEX ALPHA SUBUNIT-RELATED', 68604),
(124879, 'PTHR41156:SF1', NULL, NULL, NULL, NULL, 'AGAP006184-PA', 68605),
(124880, 'PTHR33912:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 68606),
(124881, 'PTHR12824:SF8', NULL, NULL, NULL, NULL, 'GXIVSPLA2, ISOFORM A', 68607),
(124882, 'PTHR24103:SF597', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 44', 68608),
(124883, 'PTHR26450:SF38', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 605', 68609),
(124884, 'PTHR14514:SF4', NULL, NULL, NULL, NULL, 'NESPRIN-2', 68610),
(124885, 'PTHR45614:SF113', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN AA', 68611),
(124886, 'PTHR45874:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B10A', 68612),
(124887, 'PTHR31197:SF2', NULL, NULL, NULL, NULL, 'BNACNNG39290D PROTEIN', 68613),
(124888, 'PTHR47998:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB82', 68614),
(124889, 'PTHR36735:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 68615),
(124890, 'PTHR31209:SF0', NULL, NULL, NULL, NULL, 'COFACTOR-INDEPENDENT PHOSPHOGLYCERATE MUTASE', 68616),
(124891, 'PTHR38700:SF1', NULL, NULL, NULL, NULL, 'YALI0E22418P', 68617),
(124892, 'PTHR31048:SF102', NULL, NULL, NULL, NULL, 'THAUMATIN DOMAIN FAMILY PROTEIN-RELATED', 68618);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(124893, 'PTHR46050:SF15', NULL, NULL, NULL, NULL, 'BNAA05G14560D PROTEIN', 68619),
(124894, 'PTHR47928:SF107', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 68620),
(124895, 'PTHR34552:SF9', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER W', 68621),
(124896, 'PTHR11034:SF20', NULL, NULL, NULL, NULL, 'PROTEIN NDRG3', 68622),
(124897, 'PTHR24070:SF290', NULL, NULL, NULL, NULL, 'EG:BACR37P7.8 PROTEIN', 68623),
(124898, 'PTHR46798:SF2', NULL, NULL, NULL, NULL, 'OS09G0511500 PROTEIN', 68624),
(124899, 'PTHR22811:SF73', NULL, NULL, NULL, NULL, 'OS09G0453200 PROTEIN', 68625),
(124900, 'PTHR11905:SF32', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 28', 68626),
(124901, 'PTHR31369:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02325', 68627),
(124902, 'PTHR34814:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68628),
(124903, 'PTHR47993:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68629),
(124904, 'PTHR47125', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 68630),
(124905, 'PTHR46644:SF2', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XRCC2', 68631),
(124906, 'PTHR11122:SF18', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 2, CHLOROPLASTIC', 68632),
(124907, 'PTHR16116', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 839', 68633),
(124908, 'PTHR11153:SF6', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-5', 68634),
(124909, 'PTHR23024:SF541', NULL, NULL, NULL, NULL, 'OS06G0214800 PROTEIN', 68635),
(124910, 'PTHR33057:SF152', NULL, NULL, NULL, NULL, 'BNAA03G58430D PROTEIN', 68636),
(124911, 'PTHR11135:SF0', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 3', 68637),
(124912, 'PTHR24206:SF84', NULL, NULL, NULL, NULL, 'BNAANNG26690D PROTEIN', 68638),
(124913, 'PTHR42905:SF10', NULL, NULL, NULL, NULL, 'OSJNBA0044M19.9 PROTEIN', 68639),
(124914, 'PTHR12411:SF761', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68640),
(124915, 'PTHR10334:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68641),
(124916, 'PTHR47453:SF3', NULL, NULL, NULL, NULL, 'BNAC01G44700D PROTEIN', 68642),
(124917, 'PTHR31683:SF162', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 68643),
(124918, 'PTHR33609:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE-RELATED', 68644),
(124919, 'PTHR31992:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68645),
(124920, 'PTHR24034:SF46', NULL, NULL, NULL, NULL, 'LATENT-TRANSFORMING GROWTH FACTOR BETA-BINDING PROTEIN 3', 68646),
(124921, 'PTHR11527:SF299', NULL, NULL, NULL, NULL, '18.5 KDA CLASS IV HEAT SHOCK PROTEIN', 68647),
(124922, 'PTHR47993:SF19', NULL, NULL, NULL, NULL, 'BNAA01G31800D PROTEIN', 68648),
(124923, 'PTHR10934:SF10', NULL, NULL, NULL, NULL, 'OS07G0674700 PROTEIN', 68649),
(124924, 'PTHR23159:SF14', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC GENE 10 PROTEIN', 68650),
(124925, 'PTHR10209:SF458', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68651),
(124926, 'PTHR31355:SF3', NULL, NULL, NULL, NULL, 'TORTIFOLIA1-LIKE PROTEIN 4', 68652),
(124927, 'PTHR46031:SF22', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING MOTIF PROTEIN', 68653),
(124928, 'PTHR34491:SF29', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', 68654),
(124929, 'PTHR11850:SF108', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN EXTRADENTICLE', 68655),
(124930, 'PTHR19308:SF33', NULL, NULL, NULL, NULL, 'START DOMAIN-CONTAINING 14', 68656),
(124931, 'PTHR23024:SF222', NULL, NULL, NULL, NULL, 'ARYLACETAMIDE DEACETYLASE', 68657),
(124932, 'PTHR48065:SF10', NULL, NULL, NULL, NULL, 'OS12G0559400 PROTEIN', 68658),
(124933, 'PTHR15486:SF83', NULL, NULL, NULL, NULL, 'OS10G0413400 PROTEIN', 68659),
(124934, 'PTHR42776:SF13', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR BINDING PROTEIN 1-RELATED', 68660),
(124935, 'PTHR35552:SF2', NULL, NULL, NULL, NULL, 'BNAA06G33860D PROTEIN', 68661),
(124936, 'PTHR21456', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 102', 68662),
(124937, 'PTHR14162', NULL, NULL, NULL, NULL, 'MUCOSAL ADDRESSIN CELL ADHESION MOLECULE-1', 68663),
(124938, 'PTHR48018:SF21', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AP2', 68664);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(124939, 'PTHR23105:SF172', NULL, NULL, NULL, NULL, 'PROTEASOME-INTERACTING PROTEIN CIC1', 68665),
(124940, 'PTHR11223:SF4', NULL, NULL, NULL, NULL, 'EXPORTIN 1 (CRM1 HOMOLOG, YEAST) B', 68666),
(124941, 'PTHR10887:SF449', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68667),
(124942, 'PTHR47982:SF5', NULL, NULL, NULL, NULL, 'BNAC08G14430D PROTEIN', 68668),
(124943, 'PTHR31466:SF8', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930433I11 GENE', 68669),
(124944, 'PTHR27001', NULL, NULL, NULL, NULL, 'OS01G0253100 PROTEIN', 68670),
(124945, 'PTHR24270:SF22', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 3', 68671),
(124946, 'PTHR43422:SF6', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE, CHLOROPLASTIC', 68672),
(124947, 'PTHR10826:SF20', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN FAMILY PROTEIN', 68673),
(124948, 'PTHR11259:SF4', NULL, NULL, NULL, NULL, 'RAS-RELATED GTP-BINDING PROTEIN B', 68674),
(124949, 'PTHR14677:SF11', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 2A', 68675),
(124950, 'PTHR35992:SF1', NULL, NULL, NULL, NULL, 'CYTOMATRIX PROTEIN-LIKE PROTEIN', 68676),
(124951, 'PTHR31929:SF51', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR22-LIKE', 68677),
(124952, 'PTHR23257:SF796', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 68678),
(124953, 'PTHR12289:SF59', NULL, NULL, NULL, NULL, 'FAILED AXON CONNECTIONS HOMOLOG', 68679),
(124954, 'PTHR14499:SF68', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD8', 68680),
(124955, 'PTHR43547:SF3', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN CITS', 68681),
(124956, 'PTHR10953:SF220', NULL, NULL, NULL, NULL, 'ADENYLYLTRANSFERASE AND SULFURTRANSFERASE MOCS3', 68682),
(124957, 'PTHR48019:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68683),
(124958, 'PTHR20981:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L21-2-LIKE', 68684),
(124959, 'PTHR30118:SF11', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YIDZ', 68685),
(124960, 'PTHR45744:SF12', NULL, NULL, NULL, NULL, 'TYROSINE AMINOTRANSFERASE HOMOLOG1', 68686),
(124961, 'PTHR32212:SF364', NULL, NULL, NULL, NULL, 'FBD PROTEIN', 68687),
(124962, 'PTHR28262', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT SPC19', 68688),
(124963, 'PTHR15282:SF11', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY E MEMBER 1', 68689),
(124964, 'PTHR35092', NULL, NULL, NULL, NULL, 'CHLORINASE MJ1651', 68690),
(124965, 'PTHR11685:SF354', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 68691),
(124966, 'PTHR43874:SF115', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE PRR73-RELATED', 68692),
(124967, 'PTHR16209:SF5', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 1', 68693),
(124968, 'PTHR46966:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX EXPRESSED IN ES CELLS 1', 68694),
(124969, 'PTHR13720:SF42', NULL, NULL, NULL, NULL, 'CILIA AND FLAGELLA ASSOCIATED PROTEIN 57', 68695),
(124970, 'PTHR23130:SF175', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 68696),
(124971, 'PTHR38101:SF1', NULL, NULL, NULL, NULL, 'UPF0307 PROTEIN YJGA', 68697),
(124972, 'PTHR11132:SF438', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER D3', 68698),
(124973, 'PTHR45851:SF4', NULL, NULL, NULL, NULL, 'PROTEIN S-MYC', 68699),
(124974, 'PTHR11407:SF62', NULL, NULL, NULL, NULL, 'LYSOZYME-LIKE PROTEIN 1-RELATED', 68700),
(124975, 'PTHR19850:SF31', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(T) SUBUNIT BETA-3', 68701),
(124976, 'PTHR46373:SF21', NULL, NULL, NULL, NULL, 'BNAA02G10530D PROTEIN', 68702),
(124977, 'PTHR36140:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68703),
(124978, 'PTHR32261', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN', 68704),
(124979, 'PTHR22835:SF590', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68705),
(124980, 'PTHR16504:SF5', NULL, NULL, NULL, NULL, '5''(3'')-DEOXYRIBONUCLEOTIDASE, CYTOSOLIC TYPE', 68706),
(124981, 'PTHR23299:SF18', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-3', 68707),
(124982, 'PTHR14005', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3, THETA SUBUNIT', 68708);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(124983, 'PTHR47992:SF78', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 14-RELATED', 68709),
(124984, 'PTHR43349:SF40', NULL, NULL, NULL, NULL, 'PHENYLCOUMARAN BENZYLIC ETHER REDUCTASE-LIKE PROTEIN FI1', 68710),
(124985, 'PTHR13847:SF262', NULL, NULL, NULL, NULL, 'MALATE:QUINONE OXIDOREDUCTASE', 68711),
(124986, 'PTHR31009:SF118', NULL, NULL, NULL, NULL, 'BNAC06G27540D PROTEIN', 68712),
(124987, 'PTHR24056:SF371', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE A-2', 68713),
(124988, 'PTHR38386', NULL, NULL, NULL, NULL, 'OS05G0426900 PROTEIN', 68714),
(124989, 'PTHR24296:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68715),
(124990, 'PTHR43668:SF1', NULL, NULL, NULL, NULL, 'DIHYDROOROTASE-RELATED', 68716),
(124991, 'PTHR31447:SF8', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, 2OG-FE(II) OXYGENASE FAMILY PROTEIN', 68717),
(124992, 'PTHR31280:SF25', NULL, NULL, NULL, NULL, 'BNAC05G02570D PROTEIN', 68718),
(124993, 'PTHR14217:SF24', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE 1', 68719),
(124994, 'PTHR34566', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN', 68720),
(124995, 'PTHR11255:SF33', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE KAPPA', 68721),
(124996, 'PTHR31264:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68722),
(124997, 'PTHR21579:SF10', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', 68723),
(124998, 'PTHR24064:SF291', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 1', 68724),
(124999, 'PTHR21163:SF1', NULL, NULL, NULL, NULL, 'AGAP006635-PA', 68725),
(125000, 'PTHR33871:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68726),
(125001, 'PTHR33530:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68727),
(125002, 'PTHR15531:SF0', NULL, NULL, NULL, NULL, 'PROSAAS', 68728),
(125003, 'PTHR32212:SF304', NULL, NULL, NULL, NULL, 'BNACNNG47350D PROTEIN', 68729),
(125004, 'PTHR42878', NULL, NULL, NULL, NULL, 'TWO-COMPONENT HISTIDINE KINASE', 68730),
(125005, 'PTHR45828:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG00983', 68731),
(125006, 'PTHR12234:SF0', NULL, NULL, NULL, NULL, 'FORMIMIDOYLTRANSFERASE-CYCLODEAMINASE', 68732),
(125007, 'PTHR31920:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68733),
(125008, 'PTHR30296:SF0', NULL, NULL, NULL, NULL, 'LACTATE UTILIZATION PROTEIN A', 68734),
(125009, 'PTHR44259:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68735),
(125010, 'PTHR16160:SF13', NULL, NULL, NULL, NULL, 'FERMITIN 2-RELATED', 68736),
(125011, 'PTHR31642:SF35', NULL, NULL, NULL, NULL, 'TRYPTAMINE HYDROXYCINNAMOYLTRANSFERASE 1', 68737),
(125012, 'PTHR22844:SF337', NULL, NULL, NULL, NULL, 'F16N3.9 PROTEIN', 68738),
(125013, 'PTHR43220:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 68739),
(125014, 'PTHR37952:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CREA', 68740),
(125015, 'PTHR31189:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68741),
(125016, 'PTHR11785:SF389', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68742),
(125017, 'PTHR43183:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL DIHYDROXY-ACID DEHYDRATASE (EUROFUNG)', 68743),
(125018, 'PTHR31221:SF125', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 1', 68744),
(125019, 'PTHR27006:SF245', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', 68745),
(125020, 'PTHR30038:SF0', NULL, NULL, NULL, NULL, 'TUNGSTEN-CONTAINING ALDEHYDE FERREDOXIN OXIDOREDUCTASE', 68746),
(125021, 'PTHR31929:SF114', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 68747),
(125022, 'PTHR32044:SF18', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 6-RELATED', 68748),
(125023, 'PTHR21310:SF47', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE-RELATED', 68749),
(125024, 'PTHR31266:SF2', NULL, NULL, NULL, NULL, 'TRAF-INTERACTING PROTEIN WITH FHA DOMAIN-CONTAINING PROTEIN A', 68750),
(125025, 'PTHR43159:SF2', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE [NADH], CHLOROPLASTIC', 68751),
(125026, 'PTHR19331:SF459', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68752),
(125027, 'PTHR48002:SF14', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 68753);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(125028, 'PTHR34057', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR', 68754),
(125029, 'PTHR10544:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28', 68755),
(125030, 'PTHR23070:SF84', NULL, NULL, NULL, NULL, 'BNAANNG18710D PROTEIN', 68756),
(125031, 'PTHR23279:SF6', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 7, ISOFORM F', 68757),
(125032, 'PTHR11040:SF147', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 4', 68758),
(125033, 'PTHR11945:SF412', NULL, NULL, NULL, NULL, 'MADS TRANSCRIPTION FACTOR', 68759),
(125034, 'PTHR32176:SF11', NULL, NULL, NULL, NULL, 'PATATIN', 68760),
(125035, 'PTHR31989:SF252', NULL, NULL, NULL, NULL, 'PLANT NAC DOMAIN PROTEIN', 68761),
(125036, 'PTHR12155:SF30', NULL, NULL, NULL, NULL, 'PROTEIN SLFN14', 68762),
(125037, 'PTHR33469:SF14', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 4-LIKE', 68763),
(125038, 'PTHR11011:SF99', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 3', 68764),
(125039, 'PTHR11039:SF48', NULL, NULL, NULL, NULL, 'NEBULETTE', 68765),
(125040, 'PTHR15835:SF13', NULL, NULL, NULL, NULL, 'IAP-LIKE PROTEIN 1-RELATED', 68766),
(125041, 'PTHR47993:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68767),
(125042, 'PTHR10179:SF38', NULL, NULL, NULL, NULL, 'PLATELET FACTOR 4 VARIANT', 68768),
(125043, 'PTHR10408:SF15', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 1C', 68769),
(125044, 'PTHR32096', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 30-RELATED-RELATED', 68770),
(125045, 'PTHR11923:SF95', NULL, NULL, NULL, NULL, 'FI02050P-RELATED', 68771),
(125046, 'PTHR33248:SF3', NULL, NULL, NULL, NULL, 'ZINC ION-BINDING PROTEIN', 68772),
(125047, 'PTHR10972:SF52', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 1', 68773),
(125048, 'PTHR24356:SF379', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 68774),
(125049, 'PTHR28242:SF48', NULL, NULL, NULL, NULL, 'BNAC05G36960D PROTEIN', 68775),
(125050, 'PTHR18945:SF533', NULL, NULL, NULL, NULL, 'PROTON-GATED ION CHANNEL SUBUNIT PBO-5', 68776),
(125051, 'PTHR34339:SF1', NULL, NULL, NULL, NULL, 'STIMULATOR OF INTERFERON GENES PROTEIN', 68777),
(125052, 'PTHR11545:SF28', NULL, NULL, NULL, NULL, 'BNAC03G44740D PROTEIN', 68778),
(125053, 'PTHR11010:SF5', NULL, NULL, NULL, NULL, 'IP20428P-RELATED', 68779),
(125054, 'PTHR35936:SF13', NULL, NULL, NULL, NULL, 'HISTIDINE-BINDING PERIPLASMIC PROTEIN', 68780),
(125055, 'PTHR33624:SF15', NULL, NULL, NULL, NULL, 'SIGMA FACTOR BINDING PROTEIN 2, CHLOROPLASTIC', 68781),
(125056, 'PTHR22406:SF4', NULL, NULL, NULL, NULL, 'SLAIN MOTIF-CONTAINING PROTEIN 2', 68782),
(125057, 'PTHR31064:SF10', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORT PROTEIN DDB_G0292412-RELATED', 68783),
(125058, 'PTHR24299:SF26', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B37-LIKE', 68784),
(125059, 'PTHR14350:SF2', NULL, NULL, NULL, NULL, 'ARGININE VASOPRESSIN-INDUCED PROTEIN 1', 68785),
(125060, 'PTHR16223:SF242', NULL, NULL, NULL, NULL, 'BNAA10G29390D PROTEIN', 68786),
(125061, 'PTHR11902:SF31', NULL, NULL, NULL, NULL, 'ENOLASE 1', 68787),
(125062, 'PTHR31668:SF19', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 68788),
(125063, 'PTHR37708:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX HOX-B3-LIKE PROTEIN', 68789),
(125064, 'PTHR46199', NULL, NULL, NULL, NULL, 'RAC GTPASE-ACTIVATING PROTEIN 1', 68790),
(125065, 'PTHR31351:SF21', NULL, NULL, NULL, NULL, 'OS02G0689600 PROTEIN', 68791),
(125066, 'PTHR33155:SF34', NULL, NULL, NULL, NULL, 'BNAA08G27370D PROTEIN', 68792),
(125067, 'PTHR12771:SF20', NULL, NULL, NULL, NULL, 'ELMO/CED-12 FAMILY PROTEIN', 68793),
(125068, 'PTHR23294:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68794),
(125069, 'PTHR45800:SF29', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 4-LIKE', 68795),
(125070, 'PTHR42852:SF4', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN HI_1115', 68796),
(125071, 'PTHR23201:SF56', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED FAMILY PROTEIN-RELATED', 68797),
(125072, 'PTHR33070:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68798);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(125073, 'PTHR11545:SF27', NULL, NULL, NULL, NULL, 'BNAA02G18970D PROTEIN', 68799),
(125074, 'PTHR24286:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68800),
(125075, 'PTHR15746:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68801),
(125076, 'PTHR15907:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68802),
(125077, 'PTHR13780:SF47', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT GAMMA-1-LIKE', 68803),
(125078, 'PTHR15140:SF11', NULL, NULL, NULL, NULL, 'TUBULIN FOLDING COFACTOR E-LIKE A-RELATED', 68804),
(125079, 'PTHR46288:SF47', NULL, NULL, NULL, NULL, 'DC1, C1-LIKE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 68805),
(125080, 'PTHR33052:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68806),
(125081, 'PTHR33057:SF66', NULL, NULL, NULL, NULL, 'OS05G0517100 PROTEIN', 68807),
(125082, 'PTHR31525:SF1', NULL, NULL, NULL, NULL, 'HEME TRANSPORTER HRG1', 68808),
(125083, 'PTHR11256:SF46', NULL, NULL, NULL, NULL, 'INDUCED MYELOID LEUKEMIA CELL DIFFERENTIATION PROTEIN MCL-1', 68809),
(125084, 'PTHR31734:SF8', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA2', 68810),
(125085, 'PTHR31301:SF95', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 3-LIKE', 68811),
(125086, 'PTHR15367:SF2', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT', 68812),
(125087, 'PTHR46666:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L18AE FAMILY', 68813),
(125088, 'PTHR31639:SF194', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAINS-CONTAINING PROTEIN', 68814),
(125089, 'PTHR33059:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68815),
(125090, 'PTHR27003:SF366', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', 68816),
(125091, 'PTHR45832:SF8', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 68817),
(125092, 'PTHR42709:SF9', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE LIKE PROTEIN', 68818),
(125093, 'PTHR24056:SF479', NULL, NULL, NULL, NULL, 'BNAA06G18950D PROTEIN', 68819),
(125094, 'PTHR43719:SF56', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE 4-RELATED', 68820),
(125095, 'PTHR24115:SF945', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 68821),
(125096, 'PTHR24210', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN', 68822),
(125097, 'PTHR10796:SF124', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 68823),
(125098, 'PTHR37751', NULL, NULL, NULL, NULL, 'LOW PROTEIN: M-PHASE INDUCER PHOSPHATASE-LIKE PROTEIN', 68824),
(125099, 'PTHR24028:SF234', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A3', 68825),
(125100, 'PTHR22943:SF6', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 68826),
(125101, 'PTHR21662:SF28', NULL, NULL, NULL, NULL, 'PROTEIN IRLD-34', 68827),
(125102, 'PTHR31140:SF118', NULL, NULL, NULL, NULL, 'BNAA04G27480D PROTEIN', 68828),
(125103, 'PTHR12439:SF13', NULL, NULL, NULL, NULL, 'POLY(U)-SPECIFIC ENDORIBONUCLEASE-C', 68829),
(125104, 'PTHR24346:SF66', NULL, NULL, NULL, NULL, 'GEMINIVIRUS REP INTERACTING KINASE 2-RELATED', 68830),
(125105, 'PTHR10797:SF13', NULL, NULL, NULL, NULL, 'OS07G0169800 PROTEIN', 68831),
(125106, 'PTHR47631:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 68832),
(125107, 'PTHR11783:SF247', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 68833),
(125108, 'PTHR31533:SF3', NULL, NULL, NULL, NULL, 'OS04G0500300 PROTEIN', 68834),
(125109, 'PTHR12884:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', 68835),
(125110, 'PTHR31495:SF27', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING PROTEIN', 68836),
(125111, 'PTHR24093:SF432', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 12, PLASMA MEMBRANE-TYPE-LIKE', 68837),
(125112, 'PTHR10336:SF174', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 68838),
(125113, 'PTHR33701:SF7', NULL, NULL, NULL, NULL, 'OS05G0446500 PROTEIN', 68839),
(125114, 'PTHR33142:SF63', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR4', 68840),
(125115, 'PTHR31766:SF5', NULL, NULL, NULL, NULL, 'STOREKEEPER PROTEIN, PUTATIVE, EXPRESSED-RELATED', 68841),
(125116, 'PTHR47383:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0008M17.14-LIKE PROTEIN', 68842);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(125117, 'PTHR27002:SF4', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 68843),
(125118, 'PTHR43895:SF33', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 68844),
(125119, 'PTHR47323:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG19190', 68845),
(125120, 'PTHR31385:SF3', NULL, NULL, NULL, NULL, 'F5O8.22 PROTEIN', 68846),
(125121, 'PTHR33294:SF17', NULL, NULL, NULL, NULL, 'BNAA09G26780D PROTEIN', 68847),
(125122, 'PTHR34041:SF5', NULL, NULL, NULL, NULL, 'BNAC08G46250D PROTEIN', 68848),
(125123, 'PTHR45618:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68849),
(125124, 'PTHR33676:SF19', NULL, NULL, NULL, NULL, 'BNAANNG40190D PROTEIN', 68850),
(125125, 'PTHR10728:SF57', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE', 68851),
(125126, 'PTHR21662:SF33', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', 68852),
(125127, 'PTHR13609:SF16', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN 1-LIKE ISOFORM X1', 68853),
(125128, 'PTHR21229:SF23', NULL, NULL, NULL, NULL, 'OS02G0618700 PROTEIN', 68854),
(125129, 'PTHR38769', NULL, NULL, NULL, NULL, 'UPF0381 PROTEIN YFCZ-RELATED', 68855),
(125130, 'PTHR43712', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14580)-RELATED', 68856),
(125131, 'PTHR10585:SF64', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR C28H8.4-RELATED', 68857),
(125132, 'PTHR11359:SF2', NULL, NULL, NULL, NULL, 'AMP DEAMINASE 3', 68858),
(125133, 'PTHR38118:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68859),
(125134, 'PTHR48000:SF22', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 68860),
(125135, 'PTHR11849:SF182', NULL, NULL, NULL, NULL, 'SAM POINTED DOMAIN-CONTAINING ETS TRANSCRIPTION FACTOR', 68861),
(125136, 'PTHR46168:SF4', NULL, NULL, NULL, NULL, 'ARMADILLO/BETA-CATENIN-LIKE REPEAT FAMILY PROTEIN, EXPRESSED', 68862),
(125137, 'PTHR31719:SF111', NULL, NULL, NULL, NULL, 'OS01G0104200 PROTEIN', 68863),
(125138, 'PTHR20893:SF2', NULL, NULL, NULL, NULL, 'LD08641P', 68864),
(125139, 'PTHR45686:SF15', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD9-RELATED', 68865),
(125140, 'PTHR14063:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LIN-7 HOMOLOG', 68866),
(125141, 'PTHR14140:SF36', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ORTHRUS 2', 68867),
(125142, 'PTHR31901:SF48', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.10', 68868),
(125143, 'PTHR31828:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 7', 68869),
(125144, 'PTHR10165:SF149', NULL, NULL, NULL, NULL, 'OS01G0666000 PROTEIN', 68870),
(125145, 'PTHR31945:SF112', NULL, NULL, NULL, NULL, 'BNAC03G46920D PROTEIN', 68871),
(125146, 'PTHR36832:SF1', NULL, NULL, NULL, NULL, 'SLR1174 PROTEIN', 68872),
(125147, 'PTHR43000:SF12', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING PROTEIN YBJT-RELATED', 68873),
(125148, 'PTHR33307:SF6', NULL, NULL, NULL, NULL, 'ALPHA-RHAMNOSIDASE (EUROFUNG)', 68874),
(125149, 'PTHR31503', NULL, NULL, NULL, NULL, 'VACUOLAR CALCIUM ION TRANSPORTER', 68875),
(125150, 'PTHR22948:SF57', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 1, MITOCHONDRIAL', 68876),
(125151, 'PTHR31218:SF165', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 68877),
(125152, 'PTHR47695', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 68878),
(125153, 'PTHR46400:SF15', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE BIG BROTHER-LIKE ISOFORM X1', 68879),
(125154, 'PTHR22776:SF86', NULL, NULL, NULL, NULL, 'LD04844P-RELATED', 68880),
(125155, 'PTHR31642:SF237', NULL, NULL, NULL, NULL, 'OS06G0151100 PROTEIN', 68881),
(125156, 'PTHR10264', NULL, NULL, NULL, NULL, 'BAND 7 PROTEIN-RELATED', 68882),
(125157, 'PTHR23239:SF364', NULL, NULL, NULL, NULL, 'KERATIN 97-RELATED', 68883),
(125158, 'PTHR36335:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68884),
(125159, 'PTHR12801:SF78', NULL, NULL, NULL, NULL, 'INTERFERON-STIMULATED 20 KDA EXONUCLEASE-LIKE 2', 68885),
(125160, 'PTHR48017:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68886),
(125161, 'PTHR43479:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, TETR FAMILY', 68887);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(125162, 'PTHR34257:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68888),
(125163, 'PTHR16160', NULL, NULL, NULL, NULL, 'FERMITIN 2-RELATED', 68889),
(125164, 'PTHR31736:SF11', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE C-RELATED', 68890),
(125165, 'PTHR13693:SF86', NULL, NULL, NULL, NULL, 'LONG CHAIN BASE BIOSYNTHESIS PROTEIN 1-LIKE', 68891),
(125166, 'PTHR43422:SF11', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE, CHLOROPLASTIC', 68892),
(125167, 'PTHR10370', NULL, NULL, NULL, NULL, 'ERYTHROPOIETIN', 68893),
(125168, 'PTHR33474:SF3', NULL, NULL, NULL, NULL, 'OS01G0276900 PROTEIN', 68894),
(125169, 'PTHR16089:SF43', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.10', 68895),
(125170, 'PTHR47926:SF21', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 68896),
(125171, 'PTHR23077:SF167', NULL, NULL, NULL, NULL, 'OS08G0413000 PROTEIN', 68897),
(125172, 'PTHR31218:SF212', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 68898),
(125173, 'PTHR24637:SF262', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', 68899),
(125174, 'PTHR12439:SF33', NULL, NULL, NULL, NULL, 'SI:DKEY-222F8.3', 68900),
(125175, 'PTHR47003:SF7', NULL, NULL, NULL, NULL, 'PPR SUPERFAMILY PROTEIN', 68901),
(125176, 'PTHR47942:SF47', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 68902),
(125177, 'PTHR47926:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68903),
(125178, 'PTHR32468:SF148', NULL, NULL, NULL, NULL, 'CATION:PROTON ANTIPORTER, PUTATIVE-RELATED', 68904),
(125179, 'PTHR13233:SF14', NULL, NULL, NULL, NULL, 'SMAD/FHA DOMAIN-CONTAINING PROTEIN-RELATED', 68905),
(125180, 'PTHR45029:SF4', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 68906),
(125181, 'PTHR24009:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C3H FAMILY-RELATED', 68907),
(125182, 'PTHR11818:SF8', NULL, NULL, NULL, NULL, 'BETA-CRYSTALLIN A3', 68908),
(125183, 'PTHR11879:SF38', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 68909),
(125184, 'PTHR11475:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68910),
(125185, 'PTHR36706:SF2', NULL, NULL, NULL, NULL, 'BNAC08G44080D PROTEIN', 68911),
(125186, 'PTHR32096:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68912),
(125187, 'PTHR27002:SF745', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE', 68913),
(125188, 'PTHR37199:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', 68914),
(125189, 'PTHR45853:SF4', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE SIRTUIN-7', 68915),
(125190, 'PTHR28581:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-206P8.1', 68916),
(125191, 'PTHR30158', NULL, NULL, NULL, NULL, 'ACRA/E-RELATED COMPONENT OF DRUG EFFLUX TRANSPORTER', 68917),
(125192, 'PTHR28582', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN15', 68918),
(125193, 'PTHR16288', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN 4', 68919),
(125194, 'PTHR24241:SF120', NULL, NULL, NULL, NULL, 'CHOLECYSTOKININ RECEPTOR TYPE A', 68920),
(125195, 'PTHR10177:SF235', NULL, NULL, NULL, NULL, 'CYCLIN-D2-2', 68921),
(125196, 'PTHR39329', NULL, NULL, NULL, NULL, 'ETHANOLAMINE AMMONIA-LYASE HEAVY CHAIN', 68922),
(125197, 'PTHR36063', NULL, NULL, NULL, NULL, 'ARABIDOPSIS THALIANA GENOMIC DNA, CHROMOSOME 5, P1 CLONE:MOK16', 68923),
(125198, 'PTHR31901:SF9', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.1-RELATED', 68924),
(125199, 'PTHR22811:SF151', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN A', 68925),
(125200, 'PTHR31717:SF74', NULL, NULL, NULL, NULL, 'BNAA05G19900D PROTEIN', 68926),
(125201, 'PTHR45647:SF85', NULL, NULL, NULL, NULL, 'BNAA04G26520D PROTEIN', 68927),
(125202, 'PTHR33494:SF19', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 68928),
(125203, 'PTHR39168', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 68929),
(125204, 'PTHR24270:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68930),
(125205, 'PTHR33976:SF12', NULL, NULL, NULL, NULL, 'BNAANNG03060D PROTEIN', 68931),
(125206, 'PTHR34962', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 1703-RELATED', 68932);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(125207, 'PTHR47998:SF38', NULL, NULL, NULL, NULL, 'OS01G0127450 PROTEIN', 68933),
(125208, 'PTHR11847:SF24', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L15', 68934),
(125209, 'PTHR31734:SF33', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA16', 68935),
(125210, 'PTHR30603:SF4', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGE, CHLOROPLASTIC/MITOCHONDRIAL', 68936),
(125211, 'PTHR31245:SF24', NULL, NULL, NULL, NULL, 'UBIQUITIN SYSTEM COMPONENT CUE PROTEIN', 68937),
(125212, 'PTHR31422:SF3', NULL, NULL, NULL, NULL, 'BNAANNG28530D PROTEIN', 68938),
(125213, 'PTHR13129:SF4', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 1', 68939),
(125214, 'PTHR35344', NULL, NULL, NULL, NULL, 'GAS VESICLE STRUCTURAL PROTEIN 2-RELATED', 68940),
(125215, 'PTHR34567:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68941),
(125216, 'PTHR43939:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68942),
(125217, 'PTHR24409:SF390', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68943),
(125218, 'PTHR12447:SF18', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 68944),
(125219, 'PTHR45657:SF42', NULL, NULL, NULL, NULL, 'BNAA03G52910D PROTEIN', 68945),
(125220, 'PTHR11851:SF206', NULL, NULL, NULL, NULL, 'PROCESSING PEPTIDASE', 68946),
(125221, 'PTHR33095:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68947),
(125222, 'PTHR13743:SF108', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN LVSE', 68948),
(125223, 'PTHR22753:SF32', NULL, NULL, NULL, NULL, 'TRANSFERASE', 68949),
(125224, 'PTHR24223:SF330', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 7', 68950),
(125225, 'PTHR19965:SF22', NULL, NULL, NULL, NULL, 'CHROMATIN TARGET OF PRMT1 PROTEIN', 68951),
(125226, 'PTHR13832:SF640', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 2-RELATED', 68952),
(125227, 'PTHR43000:SF34', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', 68953),
(125228, 'PTHR23083:SF464', NULL, NULL, NULL, NULL, 'LETHAL (2) K14710, ISOFORM A', 68954),
(125229, 'PTHR35852:SF4', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE-LIKE PEPTIDE 36', 68955),
(125230, 'PTHR31181:SF74', NULL, NULL, NULL, NULL, 'PROLAMIN-LIKE PROTEIN (DUF1278)', 68956),
(125231, 'PTHR31087:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68957),
(125232, 'PTHR45747:SF11', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EZ1', 68958),
(125233, 'PTHR19957:SF275', NULL, NULL, NULL, NULL, 'SYNTAXIN-124-RELATED', 68959),
(125234, 'PTHR14614:SF109', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE EFM6', 68960),
(125235, 'PTHR37283', NULL, NULL, NULL, NULL, 'PH DOMAIN-CONTAINING PROTEIN YHR131C', 68961),
(125236, 'PTHR11461:SF204', NULL, NULL, NULL, NULL, 'SERPIN B9', 68962),
(125237, 'PTHR11431:SF101', NULL, NULL, NULL, NULL, 'FERRITIN-2, CHLOROPLASTIC', 68963),
(125238, 'PTHR45769:SF3', NULL, NULL, NULL, NULL, 'ADENOSINE KINASE', 68964),
(125239, 'PTHR31288:SF17', NULL, NULL, NULL, NULL, 'OS11G0176300 PROTEIN', 68965),
(125240, 'PTHR24409:SF326', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 507', 68966),
(125241, 'PTHR13844:SF49', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX COMPONENT SNF12 HOMOLOG', 68967),
(125242, 'PTHR10938:SF7', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-3-LIKE', 68968),
(125243, 'PTHR33137', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15A-RELATED', 68969),
(125244, 'PTHR42825:SF11', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE 6', 68970),
(125245, 'PTHR31731:SF17', NULL, NULL, NULL, NULL, 'CORTICAL CELL-DELINEATING PROTEIN', 68971),
(125246, 'PTHR24056:SF397', NULL, NULL, NULL, NULL, 'KINASE CDK9, PUTATIVE-RELATED', 68972),
(125247, 'PTHR34418:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP214 ISOFORM X1', 68973),
(125248, 'PTHR31692:SF108', NULL, NULL, NULL, NULL, 'BNAC04G03990D PROTEIN', 68974),
(125249, 'PTHR22948:SF12', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 10', 68975),
(125250, 'PTHR11003:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68976),
(125251, 'PTHR47971:SF12', NULL, NULL, NULL, NULL, 'BNAA01G28450D PROTEIN', 68977);
INSERT INTO "PUBLIC"."MODEL" VALUES
(125252, 'PTHR31327:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG02245', 68978),
(125253, 'PTHR45654:SF28', NULL, NULL, NULL, NULL, 'HOMEODOMAIN LEUCINE ZIPPER FAMILY IV PROTEIN', 68979),
(125254, 'PTHR12138:SF121', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ENSP00000375192', 68980),
(125255, 'PTHR11056:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 68981),
(125256, 'PTHR24089:SF724', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN B', 68982),
(125257, 'PTHR33132:SF13', NULL, NULL, NULL, NULL, 'OSJNBB0118P14.9 PROTEIN', 68983),
(125258, 'PTHR11690:SF18', NULL, NULL, NULL, NULL, 'AMILORIDE-SENSITIVE SODIUM CHANNEL SUBUNIT BETA', 68984),
(125259, 'PTHR12919:SF37', NULL, NULL, NULL, NULL, 'BNAA02G24190D PROTEIN', 68985),
(125260, 'PTHR40129', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 68986),
(125261, 'PTHR31321:SF77', NULL, NULL, NULL, NULL, 'PECTINESTERASE 11-RELATED', 68987),
(125262, 'PTHR45824:SF23', NULL, NULL, NULL, NULL, 'CELLULAR RETINALDEHYDE BINDING/ALPHA-TOCOPHEROL TRANSPORT-RELATED', 68988),
(125263, 'PTHR35103:SF1', NULL, NULL, NULL, NULL, 'OS06G0115700 PROTEIN', 68989),
(125264, 'PTHR24381:SF82', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 70', 68990),
(125265, 'PTHR33562:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG01603', 68991),
(125266, 'PTHR14493:SF95', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 61', 68992),
(125267, 'PTHR36018', NULL, NULL, NULL, NULL, 'OS09G0481800 PROTEIN', 68993),
(125268, 'PTHR10540:SF23', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT F', 68994),
(125269, 'PTHR10774:SF178', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-4', 68995),
(125270, 'PTHR11475:SF109', NULL, NULL, NULL, NULL, 'CHORION PEROXIDASE-LIKE PROTEIN', 68996),
(125271, 'PTHR47837', NULL, NULL, NULL, NULL, 'GTP PYROPHOSPHOKINASE YJBM', 68997),
(125272, 'PTHR24237', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', 68998),
(125273, 'PTHR33121:SF59', NULL, NULL, NULL, NULL, 'OXYGEN SENSOR PROTEIN DOSP', 68999),
(125274, 'PTHR46924:SF2', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR-LIKE PROTEIN A-RELATED', 69000),
(125275, 'PTHR36351:SF1', NULL, NULL, NULL, NULL, 'EMBRYO SAC DEVELOPMENT ARREST 12', 69001),
(125276, 'PTHR10663:SF124', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 2', 69002),
(125277, 'PTHR21708:SF26', NULL, NULL, NULL, NULL, '2-DEHYDROPANTOATE 2-REDUCTASE-RELATED', 69003),
(125278, 'PTHR22055:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69004),
(125279, 'PTHR46301:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69005),
(125280, 'PTHR12771:SF60', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN A-LIKE ISOFORM X1', 69006),
(125281, 'PTHR19143:SF391', NULL, NULL, NULL, NULL, 'PROTEIN CBG24478', 69007),
(125282, 'PTHR31251:SF143', NULL, NULL, NULL, NULL, 'BNAA02G14580D PROTEIN', 69008),
(125283, 'PTHR31375:SF234', NULL, NULL, NULL, NULL, 'BNAC03G28060D PROTEIN', 69009),
(125284, 'PTHR35481', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT ALPHA', 69010),
(125285, 'PTHR12245:SF2', NULL, NULL, NULL, NULL, 'SPRY DOMAIN-CONTAINING SOCS BOX PROTEIN 2', 69011),
(125286, 'PTHR11595:SF21', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA', 69012),
(125287, 'PTHR33052:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69013),
(125288, 'PTHR21749:SF4', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', 69014),
(125289, 'PTHR35834:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69015),
(125290, 'PTHR24237:SF35', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 141-RELATED', 69016),
(125291, 'PTHR44191:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RADIALIS', 69017),
(125292, 'PTHR46142:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69018),
(125293, 'PTHR43545', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE, NITRATE-INDUCIBLE, IRON-SULFUR SUBUNIT', 69019),
(125294, 'PTHR45720:SF14', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 69020),
(125295, 'PTHR10826:SF34', NULL, NULL, NULL, NULL, 'BNAA03G12340D PROTEIN', 69021);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(125296, 'PTHR31677:SF151', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 4-LIKE', 69022),
(125297, 'PTHR24271:SF66', NULL, NULL, NULL, NULL, 'KALLIKREIN-10', 69023),
(125298, 'PTHR10896:SF66', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASES', 69024),
(125299, 'PTHR11654:SF107', NULL, NULL, NULL, NULL, 'OS10G0109900 PROTEIN', 69025),
(125300, 'PTHR33442', NULL, NULL, NULL, NULL, 'TRANS-3-HYDROXY-L-PROLINE DEHYDRATASE', 69026),
(125301, 'PTHR43130:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, ARAC FAMILY', 69027),
(125302, 'PTHR32212:SF363', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 25-LIKE', 69028),
(125303, 'PTHR11827:SF72', NULL, NULL, NULL, NULL, 'SODIUM CHLORIDE COTRANSPORTER 69, ISOFORM E', 69029),
(125304, 'PTHR30537:SF73', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', 69030),
(125305, 'PTHR31374:SF7', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN-LIKE', 69031),
(125306, 'PTHR11706:SF89', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP3 PROTEIN', 69032),
(125307, 'PTHR14514', NULL, NULL, NULL, NULL, 'PKA ANCHORING PROTEIN', 69033),
(125308, 'PTHR34661:SF2', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 3-LIKE', 69034),
(125309, 'PTHR34357:SF10', NULL, NULL, NULL, NULL, 'BNAA09G45860D PROTEIN', 69035),
(125310, 'PTHR43240:SF19', NULL, NULL, NULL, NULL, '14-DIHYDROXY-2-NAPHTHOYL-COA THIOESTERASE 1', 69036),
(125311, 'PTHR23198:SF24', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP98B', 69037),
(125312, 'PTHR23520:SF2', NULL, NULL, NULL, NULL, 'ABR173CP', 69038),
(125313, 'PTHR31221:SF168', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 56-RELATED', 69039),
(125314, 'PTHR37692', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', 69040),
(125315, 'PTHR31007:SF3', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE II INHIBITOR 1', 69041),
(125316, 'PTHR37736', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 69042),
(125317, 'PTHR15852:SF49', NULL, NULL, NULL, NULL, 'PROTEIN SSUH2 HOMOLOG', 69043),
(125318, 'PTHR24291:SF53', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4F22', 69044),
(125319, 'PTHR33088:SF42', NULL, NULL, NULL, NULL, 'OS07G0142200 PROTEIN', 69045),
(125320, 'PTHR36291:SF1', NULL, NULL, NULL, NULL, 'UBAP1-MVB12-ASSOCIATED (UMA)-DOMAIN CONTAINING PROTEIN 1', 69046),
(125321, 'PTHR24296:SF151', NULL, NULL, NULL, NULL, 'OS05G0445100 PROTEIN', 69047),
(125322, 'PTHR33414:SF12', NULL, NULL, NULL, NULL, 'BNAA02G04950D PROTEIN', 69048),
(125323, 'PTHR31172:SF11', NULL, NULL, NULL, NULL, 'BNAC04G47430D PROTEIN', 69049),
(125324, 'PTHR48086', NULL, NULL, NULL, NULL, 'SODIUM/PROLINE SYMPORTER-RELATED', 69050),
(125325, 'PTHR20854:SF43', NULL, NULL, NULL, NULL, 'INOSITOL-1-MONOPHOSPHATASE', 69051),
(125326, 'PTHR11751:SF476', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE, ASPARTATE 1-DECARBOXYLASE, PYRIDOXAL-DEPENDENT-RELATED', 69052),
(125327, 'PTHR14091:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69053),
(125328, 'PTHR10653:SF20', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA', 69054),
(125329, 'PTHR31346:SF15', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 2 CHLOROPLASTIC', 69055),
(125330, 'PTHR15152', NULL, NULL, NULL, NULL, 'CD70 ANTIGEN', 69056),
(125331, 'PTHR11771:SF163', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 69057),
(125332, 'PTHR23502:SF135', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G16320)-RELATED', 69058),
(125333, 'PTHR31238:SF149', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 69059),
(125334, 'PTHR24012:SF845', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 69060),
(125335, 'PTHR31681:SF85', NULL, NULL, NULL, NULL, 'BNACNNG47010D PROTEIN', 69061),
(125336, 'PTHR14130:SF12', NULL, NULL, NULL, NULL, 'BARGIN-RELATED', 69062),
(125337, 'PTHR28242:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69063),
(125338, 'PTHR31623:SF24', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 69064),
(125339, 'PTHR32145:SF20', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN-RELATED', 69065); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(125340, 'PTHR10795:SF707', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', 69066),
(125341, 'PTHR16703:SF3', NULL, NULL, NULL, NULL, 'CLAUDIN-12', 69067),
(125342, 'PTHR23244:SF460', NULL, NULL, NULL, NULL, 'BNAC09G15350D PROTEIN', 69068),
(125343, 'PTHR11767:SF43', NULL, NULL, NULL, NULL, 'INWARD RECTIFIER POTASSIUM CHANNEL 2', 69069),
(125344, 'PTHR13531:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 216', 69070),
(125345, 'PTHR11487:SF6', NULL, NULL, NULL, NULL, 'THIOESTERASE', 69071),
(125346, 'PTHR12170:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN TRANSFERASE RMND5B', 69072),
(125347, 'PTHR32008:SF2', NULL, NULL, NULL, NULL, 'MATURIN', 69073),
(125348, 'PTHR45974:SF178', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 69074),
(125349, 'PTHR23503:SF108', NULL, NULL, NULL, NULL, 'PROTEIN CBG16701', 69075),
(125350, 'PTHR21656:SF2', NULL, NULL, NULL, NULL, 'MALE-SPECIFIC LETHAL 1 HOMOLOG', 69076),
(125351, 'PTHR47972:SF36', NULL, NULL, NULL, NULL, 'KINESIN-4-LIKE', 69077),
(125352, 'PTHR10811:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69078),
(125353, 'PTHR31080:SF136', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 69079),
(125354, 'PTHR16083:SF21', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 57', 69080),
(125355, 'PTHR30074', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE, NITRATE-INDUCIBLE, CYTOCHROME B556 FDN  SUBUNIT', 69081),
(125356, 'PTHR46890:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69082),
(125357, 'PTHR31791:SF60', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 69083),
(125358, 'PTHR43035:SF1', NULL, NULL, NULL, NULL, 'FATTY ACID REPRESSION MUTANT PROTEIN 2-RELATED', 69084),
(125359, 'PTHR47096:SF1', NULL, NULL, NULL, NULL, 'MISSHAPEN LIKE KINASE 1', 69085),
(125360, 'PTHR22414', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 69086),
(125361, 'PTHR23284:SF3', NULL, NULL, NULL, NULL, 'OS03G0799900 PROTEIN', 69087),
(125362, 'PTHR47619:SF1', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE YYCJ-RELATED', 69088),
(125363, 'PTHR28054', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN10', 69089),
(125364, 'PTHR12547:SF112', NULL, NULL, NULL, NULL, 'CTH1', 69090),
(125365, 'PTHR39649:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L40E', 69091),
(125366, 'PTHR31988:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69092),
(125367, 'PTHR36312:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69093),
(125368, 'PTHR10579:SF136', NULL, NULL, NULL, NULL, 'ACTIVATED CHLORINE CHANNEL, PUTATIVE-RELATED', 69094),
(125369, 'PTHR36680:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC498675', 69095),
(125370, 'PTHR12209:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69096),
(125371, 'PTHR46408:SF12', NULL, NULL, NULL, NULL, 'LIGHT-INDUCIBLE PROTEIN CPRF2-LIKE', 69097),
(125372, 'PTHR23402:SF1', NULL, NULL, NULL, NULL, 'RE07960P', 69098),
(125373, 'PTHR10666:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69099),
(125374, 'PTHR35289:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 69100),
(125375, 'PTHR11652:SF58', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S23', 69101),
(125376, 'PTHR46128:SF223', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', 69102),
(125377, 'PTHR12247:SF104', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN SFMBT', 69103),
(125378, 'PTHR12411:SF696', NULL, NULL, NULL, NULL, 'VIGNAIN', 69104),
(125379, 'PTHR11802:SF306', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 28', 69105),
(125380, 'PTHR23024:SF384', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE', 69106),
(125381, 'PTHR24320:SF223', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE PKFC', 69107),
(125382, 'PTHR12777:SF5', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D2', 69108),
(125383, 'PTHR18953:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69109),
(125384, 'PTHR31947:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69110),
(125385, 'PTHR39591', NULL, NULL, NULL, NULL, 'UPF0265 PROTEIN YEEX', 69111);
INSERT INTO "PUBLIC"."MODEL" VALUES
(125386, 'PTHR12015:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69112),
(125387, 'PTHR33513:SF33', NULL, NULL, NULL, NULL, 'BNAC09G36280D PROTEIN', 69113),
(125388, 'PTHR31368:SF5', NULL, NULL, NULL, NULL, 'KHDC1-LIKE PROTEIN-RELATED', 69114),
(125389, 'PTHR10994:SF155', NULL, NULL, NULL, NULL, 'BNAC04G13170D PROTEIN', 69115),
(125390, 'PTHR24379:SF91', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 878', 69116),
(125391, 'PTHR30582:SF29', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE YNHG-RELATED', 69117),
(125392, 'PTHR48011:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69118),
(125393, 'PTHR24034:SF137', NULL, NULL, NULL, NULL, 'SI:DKEY-163F14.6', 69119),
(125394, 'PTHR31003:SF28', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR EFM-LIKE ISOFORM X1', 69120),
(125395, 'PTHR33077:SF68', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 11B', 69121),
(125396, 'PTHR36191', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 69122),
(125397, 'PTHR37012:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 69123),
(125398, 'PTHR14233:SF19', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER SLC35F1/F2/F6-RELATED', 69124),
(125399, 'PTHR11699:SF275', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE (NAD) FAMILY PROTEIN (EUROFUNG)', 69125),
(125400, 'PTHR22750:SF16', NULL, NULL, NULL, NULL, 'SPHINGOSINE 1-PHOSPHATE RECEPTOR 1', 69126),
(125401, 'PTHR10315:SF121', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINAT3', 69127),
(125402, 'PTHR11986:SF115', NULL, NULL, NULL, NULL, 'SUCCINYLORNITHINE TRANSAMINASE', 69128),
(125403, 'PTHR47311:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69129),
(125404, 'PTHR31650:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69130),
(125405, 'PTHR27007:SF217', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', 69131),
(125406, 'PTHR32031', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN-RELATED-RELATED', 69132),
(125407, 'PTHR47999:SF77', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB5-LIKE', 69133),
(125408, 'PTHR31062:SF202', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 69134),
(125409, 'PTHR39380', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED-RELATED-RELATED', 69135),
(125410, 'PTHR10562:SF88', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 3', 69136),
(125411, 'PTHR34917:SF1', NULL, NULL, NULL, NULL, 'RBPJ-INTERACTING AND TUBULIN-ASSOCIATED PROTEIN 1', 69137),
(125412, 'PTHR23220:SF21', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-11', 69138),
(125413, 'PTHR31683:SF156', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 69139),
(125414, 'PTHR31960:SF19', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A15-LIKE', 69140),
(125415, 'PTHR13683:SF703', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69141),
(125416, 'PTHR30055:SF179', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR UIDR-RELATED', 69142),
(125417, 'PTHR13848:SF69', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 69143),
(125418, 'PTHR31288:SF24', NULL, NULL, NULL, NULL, 'PROTEIN MANNAN SYNTHESIS-RELATED 2', 69144),
(125419, 'PTHR11571:SF221', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE ALPHA-2-RELATED', 69145),
(125420, 'PTHR13015:SF2', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 3', 69146),
(125421, 'PTHR33227:SF39', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC PROTEIN STIG1-RELATED', 69147),
(125422, 'PTHR15469:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 4', 69148),
(125423, 'PTHR21534', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 69149),
(125424, 'PTHR33376:SF4', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING PERIPLASMIC PROTEIN SIAP', 69150),
(125425, 'PTHR11639:SF115', NULL, NULL, NULL, NULL, 'S100 CALCIUM-BINDING PROTEIN U-RELATED', 69151),
(125426, 'PTHR11538:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69152),
(125427, 'PTHR23204:SF3', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 6', 69153),
(125428, 'PTHR21493:SF249', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN GOT1B-LIKE', 69154),
(125429, 'PTHR23514:SF16', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17270)-RELATED', 69155);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(125430, 'PTHR33919:SF11', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 69156),
(125431, 'PTHR30055:SF189', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN-RELATED', 69157),
(125432, 'PTHR13416:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 43', 69158),
(125433, 'PTHR12677:SF57', NULL, NULL, NULL, NULL, 'BNAA04G18420D PROTEIN', 69159),
(125434, 'PTHR24107:SF19', NULL, NULL, NULL, NULL, 'NUCLEOTIDE BINDING OLIGOMERIZATION DOMAIN CONTAINING 2', 69160),
(125435, 'PTHR47982:SF1', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 69161),
(125436, 'PTHR46628:SF1', NULL, NULL, NULL, NULL, 'PIRNA BIOGENESIS PROTEIN EXD1', 69162),
(125437, 'PTHR10108:SF1117', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 69163),
(125438, 'PTHR11662:SF439', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 17 MEMBER 7B', 69164),
(125439, 'PTHR11024:SF15', NULL, NULL, NULL, NULL, 'SEC13-LIKE PROTEIN-RELATED', 69165),
(125440, 'PTHR40942:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C5', 69166),
(125441, 'PTHR48001:SF124', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1M1', 69167),
(125442, 'PTHR28271:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L31, MITOCHONDRIAL', 69168),
(125443, 'PTHR43003:SF7', NULL, NULL, NULL, NULL, 'BNAC05G15000D PROTEIN', 69169),
(125444, 'PTHR43768:SF10', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE 8-RELATED', 69170),
(125445, 'PTHR11761:SF19', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23', 69171),
(125446, 'PTHR14493:SF106', NULL, NULL, NULL, NULL, 'BNAC05G02070D PROTEIN', 69172),
(125447, 'PTHR43490:SF87', NULL, NULL, NULL, NULL, 'SALUTARIDINE REDUCTASE-LIKE', 69173),
(125448, 'PTHR17469:SF14', NULL, NULL, NULL, NULL, 'PROTEIN ITPRID1', 69174),
(125449, 'PTHR33077:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69175),
(125450, 'PTHR13096:SF8', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L16 3-HYDROXYLASE', 69176),
(125451, 'PTHR40449', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTS', 69177),
(125452, 'PTHR48051:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69178),
(125453, 'PTHR23147:SF199', NULL, NULL, NULL, NULL, 'OS03G0344100 PROTEIN', 69179),
(125454, 'PTHR22800:SF237', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY I MEMBER 2', 69180),
(125455, 'PTHR47102:SF1', NULL, NULL, NULL, NULL, 'BNI1-RELATED PROTEIN 1', 69181),
(125456, 'PTHR12000:SF33', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME ALPHA-ISOZYME', 69182),
(125457, 'PTHR12268:SF21', NULL, NULL, NULL, NULL, 'DISCONTINUOUS ACTIN HEXAGON', 69183),
(125458, 'PTHR11945:SF473', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CAULIFLOWER', 69184),
(125459, 'PTHR16140:SF18', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', 69185),
(125460, 'PTHR43689:SF22', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 69186),
(125461, 'PTHR18934:SF118', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX33', 69187),
(125462, 'PTHR33168:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69188),
(125463, 'PTHR46316:SF9', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-1', 69189),
(125464, 'PTHR13832:SF600', NULL, NULL, NULL, NULL, 'QUALITY PROTEIN: PROBABLE PROTEIN PHOSPHATASE 2C 4-RELATED', 69190),
(125465, 'PTHR24305:SF29', NULL, NULL, NULL, NULL, 'BENZOATE-PARA-HYDROXYLASE', 69191),
(125466, 'PTHR24064:SF87', NULL, NULL, NULL, NULL, 'PROTEIN CBG21150', 69192),
(125467, 'PTHR11988:SF42', NULL, NULL, NULL, NULL, 'PROTEIN GIANT', 69193),
(125468, 'PTHR43790:SF7', NULL, NULL, NULL, NULL, 'GALACTOSE/METHYL GALACTOSIDE IMPORT ATP-BINDING PROTEIN MGLA', 69194),
(125469, 'PTHR19971:SF11', NULL, NULL, NULL, NULL, 'GENE 5150-RELATED', 69195),
(125470, 'PTHR43448:SF6', NULL, NULL, NULL, NULL, 'BNAC04G03820D PROTEIN', 69196),
(125471, 'PTHR43295:SF4', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE', 69197),
(125472, 'PTHR22708:SF0', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 56', 69198),
(125473, 'PTHR47139:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 9', 69199);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(125474, 'PTHR46286:SF1', NULL, NULL, NULL, NULL, 'VIN3-LIKE PROTEIN 1', 69200),
(125475, 'PTHR13707', NULL, NULL, NULL, NULL, 'KETOACID-COENZYME A TRANSFERASE', 69201),
(125476, 'PTHR45614:SF8', NULL, NULL, NULL, NULL, 'OS03G0236300 PROTEIN', 69202),
(125477, 'PTHR11782:SF109', NULL, NULL, NULL, NULL, 'GDA1/CD39 NUCLEOSIDE PHOSPHATASE FAMILY PROTEIN', 69203),
(125478, 'PTHR22957:SF456', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', 69204),
(125479, 'PTHR42853', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A CARBOXYLASE CARBOXYL TRANSFERASE SUBUNIT ALPHA', 69205),
(125480, 'PTHR47971:SF11', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 69206),
(125481, 'PTHR24032:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69207),
(125482, 'PTHR42995:SF1', NULL, NULL, NULL, NULL, 'BETA SUBUNIT OF MALONATE DECARBOXYLASE', 69208),
(125483, 'PTHR12150:SF13', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE C9ORF114-RELATED', 69209),
(125484, 'PTHR11486:SF67', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 11', 69210),
(125485, 'PTHR24054:SF45', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA-2', 69211),
(125486, 'PTHR34359:SF5', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 10', 69212),
(125487, 'PTHR22536:SF7', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 19A', 69213),
(125488, 'PTHR42774:SF11', NULL, NULL, NULL, NULL, 'PFKB FAMILY CARBOHYDRATE KINASE', 69214),
(125489, 'PTHR30239:SF16', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE, SMALL SUBUNIT-RELATED', 69215),
(125490, 'PTHR46869:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69216),
(125491, 'PTHR47131:SF1', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN 3', 69217),
(125492, 'PTHR10285:SF166', NULL, NULL, NULL, NULL, 'URIDINE KINASE', 69218),
(125493, 'PTHR11668:SF443', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 69219),
(125494, 'PTHR27006:SF424', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 69220),
(125495, 'PTHR15128', NULL, NULL, NULL, NULL, 'TAL1  SCL  INTERRUPTING LOCUS', 69221),
(125496, 'PTHR10190:SF11', NULL, NULL, NULL, NULL, 'EYES ABSENT HOMOLOG 1', 69222),
(125497, 'PTHR23065:SF13', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN', 69223),
(125498, 'PTHR48048:SF51', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 69224),
(125499, 'PTHR12636', NULL, NULL, NULL, NULL, 'NEP1/MRA1', 69225),
(125500, 'PTHR31760:SF0', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 69226),
(125501, 'PTHR46506:SF9', NULL, NULL, NULL, NULL, 'OS05G0143600 PROTEIN', 69227),
(125502, 'PTHR32044:SF12', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 7-RELATED', 69228),
(125503, 'PTHR21649:SF128', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 69229),
(125504, 'PTHR11932:SF74', NULL, NULL, NULL, NULL, 'OSJNBA0033G05.2 PROTEIN', 69230),
(125505, 'PTHR24286:SF264', NULL, NULL, NULL, NULL, 'BNAA01G37200D PROTEIN', 69231),
(125506, 'PTHR30546:SF50', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 1-RELATED', 69232),
(125507, 'PTHR40037', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE YJCG-RELATED', 69233),
(125508, 'PTHR33265:SF10', NULL, NULL, NULL, NULL, 'OS01G0133200 PROTEIN', 69234),
(125509, 'PTHR12691:SF10', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 23', 69235),
(125510, 'PTHR24034:SF139', NULL, NULL, NULL, NULL, 'LDL RECEPTOR RELATED PROTEIN 1', 69236),
(125511, 'PTHR46758:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0044M19.1 PROTEIN', 69237),
(125512, 'PTHR47926:SF186', NULL, NULL, NULL, NULL, 'OS11G0482400 PROTEIN', 69238),
(125513, 'PTHR11071:SF389', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 69239),
(125514, 'PTHR31061:SF19', NULL, NULL, NULL, NULL, 'HEPARAN-ALPHA-GLUCOSAMINIDE N-ACETYLTRANSFERASE', 69240),
(125515, 'PTHR42919:SF24', NULL, NULL, NULL, NULL, 'DTDP-FUCOSAMINE ACETYLTRANSFERASE', 69241),
(125516, 'PTHR36312:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TAP1-LIKE', 69242);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(125517, 'PTHR10949:SF28', NULL, NULL, NULL, NULL, 'LIPOYL SYNTHASE 2', 69243),
(125518, 'PTHR43382:SF3', NULL, NULL, NULL, NULL, 'PROLINE--TRNA LIGASE, CHLOROPLASTIC/MITOCHONDRIAL', 69244),
(125519, 'PTHR11945:SF547', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 55-RELATED', 69245),
(125520, 'PTHR31769:SF65', NULL, NULL, NULL, NULL, 'PROTEIN MODIFYING WALL LIGNIN-2', 69246),
(125521, 'PTHR13061:SF43', NULL, NULL, NULL, NULL, 'BNAC08G04620D PROTEIN', 69247),
(125522, 'PTHR12489:SF15', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 1 PROTEIN', 69248),
(125523, 'PTHR31471:SF53', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 69249),
(125524, 'PTHR12861:SF6', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN BETA (TRAPB) FAMILY PROTEIN', 69250),
(125525, 'PTHR14647:SF63', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 69251),
(125526, 'PTHR11558:SF32', NULL, NULL, NULL, NULL, 'POLYAMINE AMINOPROPYLTRANSFERASE', 69252),
(125527, 'PTHR24254:SF10', NULL, NULL, NULL, NULL, 'PROTHROMBIN', 69253),
(125528, 'PTHR45642:SF11', NULL, NULL, NULL, NULL, 'OS09G0132200 PROTEIN', 69254),
(125529, 'PTHR10242:SF4', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE-RELATED', 69255),
(125530, 'PTHR36812', NULL, NULL, NULL, NULL, 'NEUROFILAMENT TRIPLET M PROTEIN-LIKE PROTEIN', 69256),
(125531, 'PTHR45676:SF112', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3', 69257),
(125532, 'PTHR24106:SF151', NULL, NULL, NULL, NULL, 'LOC567531 PROTEIN-RELATED', 69258),
(125533, 'PTHR31009:SF18', NULL, NULL, NULL, NULL, 'JASMONATE O-METHYLTRANSFERASE-LIKE', 69259),
(125534, 'PTHR45826:SF10', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER PUT1', 69260),
(125535, 'PTHR22576', NULL, NULL, NULL, NULL, 'MUCOSA ASSOCIATED LYMPHOID TISSUE LYMPHOMA TRANSLOCATION PROTEIN 1/PARACASPASE', 69261),
(125536, 'PTHR34559:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 8-RELATED', 69262),
(125537, 'PTHR18860:SF3', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN THETA', 69263),
(125538, 'PTHR45691:SF9', NULL, NULL, NULL, NULL, 'PROTEIN DIAPHANOUS HOMOLOG 3', 69264),
(125539, 'PTHR30540:SF33', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 4-RELATED', 69265),
(125540, 'PTHR23301:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69266),
(125541, 'PTHR45648:SF28', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 69267),
(125542, 'PTHR12354:SF16', NULL, NULL, NULL, NULL, 'INTERFERON-RELATED DEVELOPMENTAL REGULATOR FAMILY PROTEIN / IFRD PROTEIN FAMILY-RELATED', 69268),
(125543, 'PTHR38608', NULL, NULL, NULL, NULL, 'PROTEIN CBG07207', 69269),
(125544, 'PTHR13068:SF190', NULL, NULL, NULL, NULL, 'BNAC03G44350D PROTEIN', 69270),
(125545, 'PTHR10394:SF12', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', 69271),
(125546, 'PTHR31734:SF183', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 69272),
(125547, 'PTHR48041:SF35', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, G1, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 69273),
(125548, 'PTHR22791:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 225', 69274),
(125549, 'PTHR15073:SF2', NULL, NULL, NULL, NULL, 'MAP7 DOMAIN-CONTAINING PROTEIN 1', 69275),
(125550, 'PTHR13466:SF13', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', 69276),
(125551, 'PTHR10829:SF29', NULL, NULL, NULL, NULL, 'COACTOSIN-LIKE PROTEIN', 69277),
(125552, 'PTHR33516:SF2', NULL, NULL, NULL, NULL, 'PROPHAGE REPRESSOR COHE-RELATED', 69278),
(125553, 'PTHR43721:SF9', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN 1', 69279),
(125554, 'PTHR24355:SF14', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE 4', 69280),
(125555, 'PTHR12805:SF0', NULL, NULL, NULL, NULL, 'DNA/RNA-BINDING PROTEIN KIN17', 69281),
(125556, 'PTHR31353:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM98A-LIKE PROTEIN', 69282),
(125557, 'PTHR21137:SF30', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 83A', 69283),
(125558, 'PTHR46852:SF1', NULL, NULL, NULL, NULL, 'ALKALINE PHYTOCERAMIDASE FAMILY PROTEIN, EXPRESSED', 69284),
(125559, 'PTHR30290:SF38', NULL, NULL, NULL, NULL, 'PERIPLASMIC DIPEPTIDE TRANSPORT PROTEIN', 69285),
(125560, 'PTHR11561:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOENOLYPYRUVATE CARBOXYKINASE', 69286);
INSERT INTO "PUBLIC"."MODEL" VALUES
(125561, 'PTHR31676:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69287),
(125562, 'PTHR48045:SF13', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE-RELATED', 69288),
(125563, 'PTHR31100:SF83', NULL, NULL, NULL, NULL, 'BNAC05G49680D PROTEIN', 69289),
(125564, 'PTHR10956:SF33', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L31-2-RELATED', 69290),
(125565, 'PTHR31734:SF34', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA15', 69291),
(125566, 'PTHR13778:SF50', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 69292),
(125567, 'PTHR13817:SF130', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 3A-LIKE PROTEIN', 69293),
(125568, 'PTHR28039:SF8', NULL, NULL, NULL, NULL, 'CHALCONE--FLAVONONE ISOMERASE 1-RELATED', 69294),
(125569, 'PTHR22602:SF0', NULL, NULL, NULL, NULL, 'TRANSFERASE CAF17, MITOCHONDRIAL-RELATED', 69295),
(125570, 'PTHR19282:SF3', NULL, NULL, NULL, NULL, 'TETRASPANIN-31', 69296),
(125571, 'PTHR35274:SF2', NULL, NULL, NULL, NULL, 'E6-LIKE PROTEIN', 69297),
(125572, 'PTHR31205:SF50', NULL, NULL, NULL, NULL, 'BNAA07G28440D PROTEIN', 69298),
(125573, 'PTHR32227:SF107', NULL, NULL, NULL, NULL, 'ENDO-1,3-BETA-GLUCOSIDASE 7, PUTATIVE, EXPRESSED-RELATED', 69299),
(125574, 'PTHR12349:SF4', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND LEM DOMAIN-CONTAINING PROTEIN 2', 69300),
(125575, 'PTHR10676:SF359', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN DOMAIN-CONTAINING PROTEIN 1', 69301),
(125576, 'PTHR31733:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69302),
(125577, 'PTHR37804', NULL, NULL, NULL, NULL, 'CDAA REGULATORY PROTEIN CDAR', 69303),
(125578, 'PTHR22952:SF184', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER TRANSCRIPTION FACTOR', 69304),
(125579, 'PTHR24298:SF612', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A2-LIKE', 69305),
(125580, 'PTHR48081:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69306),
(125581, 'PTHR11782:SF35', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 5', 69307),
(125582, 'PTHR24286:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69308),
(125583, 'PTHR23335:SF26', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', 69309),
(125584, 'PTHR10221', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 6', 69310),
(125585, 'PTHR24064:SF532', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE 2-RELATED PROTEIN-RELATED', 69311),
(125586, 'PTHR31639:SF100', NULL, NULL, NULL, NULL, 'OS06G0713400 PROTEIN', 69312),
(125587, 'PTHR31451:SF36', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 4', 69313),
(125588, 'PTHR35756', NULL, NULL, NULL, NULL, 'OS05G0337400 PROTEIN', 69314),
(125589, 'PTHR15681:SF1', NULL, NULL, NULL, NULL, 'MAD2L1-BINDING PROTEIN', 69315),
(125590, 'PTHR45614:SF88', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB119-RELATED', 69316),
(125591, 'PTHR27003:SF333', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 69317),
(125592, 'PTHR44094:SF6', NULL, NULL, NULL, NULL, 'OS01G0702450 PROTEIN', 69318),
(125593, 'PTHR31100:SF56', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 22', 69319),
(125594, 'PTHR10949:SF0', NULL, NULL, NULL, NULL, 'LIPOYL SYNTHASE, MITOCHONDRIAL', 69320),
(125595, 'PTHR31279:SF47', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM', 69321),
(125596, 'PTHR43065:SF9', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE', 69322),
(125597, 'PTHR10476:SF46', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 2 HOMOLOG 1-LIKE', 69323),
(125598, 'PTHR10980:SF9', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 1', 69324),
(125599, 'PTHR22951:SF21', NULL, NULL, NULL, NULL, 'OS06G0661400 PROTEIN', 69325),
(125600, 'PTHR31232:SF92', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', 69326),
(125601, 'PTHR24291:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69327),
(125602, 'PTHR31238:SF36', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 1-1', 69328),
(125603, 'PTHR42825:SF22', NULL, NULL, NULL, NULL, 'BNAC03G41160D PROTEIN', 69329),
(125604, 'PTHR46610:SF6', NULL, NULL, NULL, NULL, 'OS01G0585200 PROTEIN', 69330);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(125605, 'PTHR46508', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY PROTEIN', 69331),
(125606, 'PTHR20932:SF2', NULL, NULL, NULL, NULL, 'AND PUTATIVE PEPTIDOGLYCAN-BINDING DOMAIN-CONTAINING PROTEIN 1-RELATED', 69332),
(125607, 'PTHR33541:SF19', NULL, NULL, NULL, NULL, 'BNAA06G00600D PROTEIN', 69333),
(125608, 'PTHR33674', NULL, NULL, NULL, NULL, 'METHIONINE-S-OXIDE REDUCTASE', 69334),
(125609, 'PTHR24349:SF179', NULL, NULL, NULL, NULL, 'MAP KINASE-ACTIVATED PROTEIN KINASE 5', 69335),
(125610, 'PTHR33748:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG29112', 69336),
(125611, 'PTHR11615:SF289', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE H', 69337),
(125612, 'PTHR47016:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPT1, CHLOROPLASTIC', 69338),
(125613, 'PTHR24062:SF26', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 69339),
(125614, 'PTHR11387:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT', 69340),
(125615, 'PTHR46162', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', 69341),
(125616, 'PTHR35340:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69342),
(125617, 'PTHR32212:SF344', NULL, NULL, NULL, NULL, 'BNAA05G28170D PROTEIN', 69343),
(125618, 'PTHR31890', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 69344),
(125619, 'PTHR33869:SF18', NULL, NULL, NULL, NULL, 'BNAANNG37330D PROTEIN', 69345),
(125620, 'PTHR32015:SF4', NULL, NULL, NULL, NULL, 'LIPASE RELATED', 69346),
(125621, 'PTHR31589:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69347),
(125622, 'PTHR43490:SF106', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE-LIKE PROTEIN', 69348),
(125623, 'PTHR12537:SF163', NULL, NULL, NULL, NULL, 'OS03G0191700 PROTEIN', 69349),
(125624, 'PTHR31707:SF194', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', 69350),
(125625, 'PTHR33221:SF9', NULL, NULL, NULL, NULL, 'RRF2 FAMILY PROTEIN', 69351),
(125626, 'PTHR12863:SF17', NULL, NULL, NULL, NULL, 'FATTY ACID 2-HYDROXYLASE 2', 69352),
(125627, 'PTHR11607:SF19', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE B', 69353),
(125628, 'PTHR31669:SF212', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 11-LIKE', 69354),
(125629, 'PTHR47025:SF17', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE WITH RING/FYVE/PHD-TYPE ZINC FINGER DOMAIN', 69355),
(125630, 'PTHR45657:SF53', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH3', 69356),
(125631, 'PTHR43599', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL PROTEIN ADE2', 69357),
(125632, 'PTHR46413:SF24', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 5', 69358),
(125633, 'PTHR11440:SF51', NULL, NULL, NULL, NULL, 'LECITHIN-CHOLESTEROL ACYLTRANSFERASE-LIKE 1', 69359),
(125634, 'PTHR11630:SF101', NULL, NULL, NULL, NULL, 'DNA HELICASE', 69360),
(125635, 'PTHR22930:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69361),
(125636, 'PTHR23430:SF200', NULL, NULL, NULL, NULL, 'HISTONE H2A', 69362),
(125637, 'PTHR31992:SF62', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.7', 69363),
(125638, 'PTHR23065:SF50', NULL, NULL, NULL, NULL, 'ZGC:91999', 69364),
(125639, 'PTHR21243:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69365),
(125640, 'PTHR44329:SF88', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', 69366),
(125641, 'PTHR15597:SF40', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN FOX-1 HOMOLOG 1-LIKE', 69367),
(125642, 'PTHR21659:SF90', NULL, NULL, NULL, NULL, 'PROTEIN CBG04231', 69368),
(125643, 'PTHR32170:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69369),
(125644, 'PTHR12475', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 69370),
(125645, 'PTHR30566:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69371),
(125646, 'PTHR33960', NULL, NULL, NULL, NULL, 'SIMILAR TO KIAA0825 PROTEIN', 69372),
(125647, 'PTHR47293:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69373),
(125648, 'PTHR12357:SF77', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CONSERVED C-TERMINAL REGION 10', 69374),
(125649, 'PTHR46465', NULL, NULL, NULL, NULL, 'LATERAL SIGNALING TARGET PROTEIN 2 HOMOLOG', 69375);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(125650, 'PTHR43408:SF1', NULL, NULL, NULL, NULL, 'FMN REDUCTASE (NADPH)', 69376),
(125651, 'PTHR37273', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 69377),
(125652, 'PTHR43243:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69378),
(125653, 'PTHR11260:SF634', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 69379),
(125654, 'PTHR33090:SF39', NULL, NULL, NULL, NULL, 'BNAC06G41740D PROTEIN', 69380),
(125655, 'PTHR10937:SF10', NULL, NULL, NULL, NULL, 'GLUTAMINE--FRUCTOSE-6-PHOSPHATE AMINOTRANSFERASE [ISOMERIZING] 2', 69381),
(125656, 'PTHR13585:SF19', NULL, NULL, NULL, NULL, 'CHASCON, ISOFORM D-RELATED', 69382),
(125657, 'PTHR33205', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 69383),
(125658, 'PTHR47103:SF6', NULL, NULL, NULL, NULL, 'OS10G0545300 PROTEIN', 69384),
(125659, 'PTHR11545:SF30', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13A', 69385),
(125660, 'PTHR47080:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 96', 69386),
(125661, 'PTHR26379:SF280', NULL, NULL, NULL, NULL, 'OS10G0423400 PROTEIN', 69387),
(125662, 'PTHR31668:SF9', NULL, NULL, NULL, NULL, 'URACIL CATABOLISM PROTEIN 2', 69388),
(125663, 'PTHR47990', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN-RELATED', 69389),
(125664, 'PTHR31374:SF142', NULL, NULL, NULL, NULL, 'OS07G0475700 PROTEIN', 69390),
(125665, 'PTHR15462:SF10', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 23', 69391),
(125666, 'PTHR13620:SF54', NULL, NULL, NULL, NULL, 'OS01G0566000 PROTEIN', 69392),
(125667, 'PTHR13847:SF181', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G06470)-RELATED', 69393),
(125668, 'PTHR23267:SF322', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-10', 69394),
(125669, 'PTHR23273:SF51', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD PROTEIN-RELATED', 69395),
(125670, 'PTHR23267:SF133', NULL, NULL, NULL, NULL, 'PRE-B LYMPHOCYTE PROTEIN 3', 69396),
(125671, 'PTHR12844:SF12', NULL, NULL, NULL, NULL, 'SI:CH211-26B3.4', 69397),
(125672, 'PTHR24366:SF58', NULL, NULL, NULL, NULL, 'MESOCENTIN', 69398),
(125673, 'PTHR10046:SF68', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG 2, PEROXISOMAL', 69399),
(125674, 'PTHR10545:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69400),
(125675, 'PTHR20852:SF42', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE (GLUTAMATE-AMMONIA LIGASE)', 69401),
(125676, 'PTHR31802:SF17', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT1-LIKE ISOFORM X1', 69402),
(125677, 'PTHR48053:SF43', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM3', 69403),
(125678, 'PTHR11062:SF97', NULL, NULL, NULL, NULL, 'EXOSTOSIN-1', 69404),
(125679, 'PTHR31656:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69405),
(125680, 'PTHR46898:SF4', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED CARBOXYLESTERASE 101-LIKE ISOFORM X1', 69406),
(125681, 'PTHR33122:SF46', NULL, NULL, NULL, NULL, 'OS07G0290200 PROTEIN', 69407),
(125682, 'PTHR31744:SF133', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', 69408),
(125683, 'PTHR12378:SF65', NULL, NULL, NULL, NULL, 'BNAC07G34370D PROTEIN', 69409),
(125684, 'PTHR23176:SF102', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACI', 69410),
(125685, 'PTHR10196:SF78', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE', 69411),
(125686, 'PTHR28177', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 19, MITOCHONDRIAL', 69412),
(125687, 'PTHR45180', NULL, NULL, NULL, NULL, 'OS01G0307686 PROTEIN', 69413),
(125688, 'PTHR43228:SF13', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR', 69414),
(125689, 'PTHR11588:SF362', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 69415),
(125690, 'PTHR23070:SF80', NULL, NULL, NULL, NULL, 'AAA1', 69416),
(125691, 'PTHR33047:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69417),
(125692, 'PTHR12370:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE 1', 69418),
(125693, 'PTHR46369:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CELLULOSE SYNTHASE INTERACTIVE 1', 69419);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(125694, 'PTHR28009:SF1', NULL, NULL, NULL, NULL, 'PHEROMONE ALPHA FACTOR RECEPTOR', 69420),
(125695, 'PTHR11800:SF16', NULL, NULL, NULL, NULL, 'BNAC01G28690D PROTEIN', 69421),
(125696, 'PTHR11017:SF434', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 69422),
(125697, 'PTHR10005:SF8', NULL, NULL, NULL, NULL, 'SKI FAMILY TRANSCRIPTIONAL COREPRESSOR 1', 69423),
(125698, 'PTHR24366:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69424),
(125699, 'PTHR24127', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND EF-HAND DOMAIN-CONTAINING PROTEIN 1', 69425),
(125700, 'PTHR15852:SF51', NULL, NULL, NULL, NULL, 'PROTEIN BUNDLE SHEATH DEFECTIVE 2, CHLOROPLASTIC', 69426),
(125701, 'PTHR31627:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-8', 69427),
(125702, 'PTHR43976:SF9', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', 69428),
(125703, 'PTHR13869:SF40', NULL, NULL, NULL, NULL, 'SCN4BA PROTEIN-RELATED', 69429),
(125704, 'PTHR19134:SF489', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE 3', 69430),
(125705, 'PTHR10585:SF71', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN RETAINING RECEPTOR FAMILY PROTEIN', 69431),
(125706, 'PTHR33600:SF1', NULL, NULL, NULL, NULL, 'OS06G0506000 PROTEIN', 69432),
(125707, 'PTHR33971:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69433),
(125708, 'PTHR11599:SF110', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 69434),
(125709, 'PTHR26452:SF76', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 69435),
(125710, 'PTHR37812:SF1', NULL, NULL, NULL, NULL, 'MU-LIKE PROPHAGE FLUMU PROTEIN C', 69436),
(125711, 'PTHR10799:SF856', NULL, NULL, NULL, NULL, 'ISWI CHROMATIN-REMODELING COMPLEX ATPASE ISW1', 69437),
(125712, 'PTHR11877:SF62', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 7', 69438),
(125713, 'PTHR19241:SF497', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 45', 69439),
(125714, 'PTHR46905:SF1', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL79-LIKE', 69440),
(125715, 'PTHR14336', NULL, NULL, NULL, NULL, 'TANDEM PH DOMAIN CONTAINING PROTEIN', 69441),
(125716, 'PTHR33130:SF40', NULL, NULL, NULL, NULL, 'CHROMOGRANIN (DUF1639)', 69442),
(125717, 'PTHR47551:SF1', NULL, NULL, NULL, NULL, 'TUBULIN--TYROSINE LIGASE PBY1-RELATED', 69443),
(125718, 'PTHR21292:SF16', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 3-LIKE 4-RELATED', 69444),
(125719, 'PTHR20963:SF48', NULL, NULL, NULL, NULL, 'MULTIPLE INOSITOL POLYPHOSPHATE PHOSPHATASE 1', 69445),
(125720, 'PTHR42968', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING', 69446),
(125721, 'PTHR11963:SF20', NULL, NULL, NULL, NULL, 'PEPTIDASE B', 69447),
(125722, 'PTHR23261:SF70', NULL, NULL, NULL, NULL, 'CUTICLIN-2-RELATED', 69448),
(125723, 'PTHR46279:SF18', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL20-LIKE', 69449),
(125724, 'PTHR40068', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR NIAR-RELATED', 69450),
(125725, 'PTHR32295:SF174', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN', 69451),
(125726, 'PTHR24103:SF589', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM41', 69452),
(125727, 'PTHR16154:SF22', NULL, NULL, NULL, NULL, 'NEURABIN-1', 69453),
(125728, 'PTHR35811', NULL, NULL, NULL, NULL, 'SLR1870 PROTEIN', 69454),
(125729, 'PTHR11306:SF54', NULL, NULL, NULL, NULL, 'MD-2-RELATED LIPID RECOGNITION DOMAIN-CONTAINING PROTEIN-RELATED', 69455),
(125730, 'PTHR37744', NULL, NULL, NULL, NULL, 'STAR LIPID TRANSFER-LIKE PROTEIN', 69456),
(125731, 'PTHR11039:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69457),
(125732, 'PTHR10654:SF19', NULL, NULL, NULL, NULL, 'CAS SCAFFOLDING PROTEIN FAMILY MEMBER 4', 69458),
(125733, 'PTHR24256:SF477', NULL, NULL, NULL, NULL, 'LD47230P-RELATED', 69459),
(125734, 'PTHR46463:SF39', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE', 69460),
(125735, 'PTHR31374:SF317', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 69461),
(125736, 'PTHR10699:SF26', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY, Q', 69462),
(125737, 'PTHR45968:SF34', NULL, NULL, NULL, NULL, 'BNAC03G15770D PROTEIN', 69463);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(125738, 'PTHR21569:SF30', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S9P', 69464),
(125739, 'PTHR21184:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69465),
(125740, 'PTHR32410', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 69466),
(125741, 'PTHR31970:SF10', NULL, NULL, NULL, NULL, 'BNAA09G40790D PROTEIN', 69467),
(125742, 'PTHR45718:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GLI1', 69468),
(125743, 'PTHR10766:SF108', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 69469),
(125744, 'PTHR31964:SF126', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 69470),
(125745, 'PTHR10795:SF683', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE PROTEASE', 69471),
(125746, 'PTHR38110:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', 69472),
(125747, 'PTHR24070:SF384', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAPC', 69473),
(125748, 'PTHR28242:SF26', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 2-RELATED', 69474),
(125749, 'PTHR34582', NULL, NULL, NULL, NULL, 'UPF0702 TRANSMEMBRANE PROTEIN YCAP', 69475),
(125750, 'PTHR11751', NULL, NULL, NULL, NULL, 'ALANINE AMINOTRANSFERASE', 69476),
(125751, 'PTHR12922:SF7', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS PROTEIN COQ4 HOMOLOG, MITOCHONDRIAL', 69477),
(125752, 'PTHR24298:SF475', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 705A5-RELATED', 69478),
(125753, 'PTHR48047:SF31', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 69479),
(125754, 'PTHR46652:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IQ DOMAIN-CONTAINING PROTEIN 1', 69480),
(125755, 'PTHR24184', NULL, NULL, NULL, NULL, 'SI:CH211-189E2.2', 69481),
(125756, 'PTHR14379:SF65', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, MEIOSIS ARREST FEMALE PROTEIN 1, PIN DOMAIN-LIKE PROTEIN-RELATED', 69482),
(125757, 'PTHR36901:SF5', NULL, NULL, NULL, NULL, 'OS10G0520200 PROTEIN', 69483),
(125758, 'PTHR10182:SF9', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 39-LIKE', 69484),
(125759, 'PTHR31659:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69485),
(125760, 'PTHR11804:SF78', NULL, NULL, NULL, NULL, 'BNAC02G00250D PROTEIN', 69486),
(125761, 'PTHR32370:SF13', NULL, NULL, NULL, NULL, 'OS07G0584200 PROTEIN', 69487),
(125762, 'PTHR37429:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG15883', 69488),
(125763, 'PTHR30501', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 69489),
(125764, 'PTHR47993:SF147', NULL, NULL, NULL, NULL, 'BNAA06G34270D PROTEIN', 69490),
(125765, 'PTHR19211:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69491),
(125766, 'PTHR28242:SF38', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 2-LIKE', 69492),
(125767, 'PTHR22775:SF31', NULL, NULL, NULL, NULL, 'SORTING NEXIN-19', 69493),
(125768, 'PTHR31913', NULL, NULL, NULL, NULL, 'VACUOLAR IMPORT AND DEGRADATION PROTEIN 27', 69494),
(125769, 'PTHR13140:SF719', NULL, NULL, NULL, NULL, 'PROTEIN CBR-SPE-15', 69495),
(125770, 'PTHR10209:SF773', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69496),
(125771, 'PTHR21068:SF20', NULL, NULL, NULL, NULL, 'SPARTIN', 69497),
(125772, 'PTHR11843:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 69498),
(125773, 'PTHR10075:SF82', NULL, NULL, NULL, NULL, 'NEURONAL IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN RIG-3', 69499),
(125774, 'PTHR24058', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE', 69500),
(125775, 'PTHR35365:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69501),
(125776, 'PTHR24072:SF295', NULL, NULL, NULL, NULL, 'RHO-RELATED PROTEIN RACD-RELATED', 69502),
(125777, 'PTHR31094', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2310061I04 GENE', 69503),
(125778, 'PTHR14409:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69504),
(125779, 'PTHR45689:SF5', NULL, NULL, NULL, NULL, 'I[[H]] CHANNEL, ISOFORM E', 69505),
(125780, 'PTHR23044', NULL, NULL, NULL, NULL, '3''-5'' EXONUCLEASE ERI1-RELATED', 69506),
(125781, 'PTHR35869:SF1', NULL, NULL, NULL, NULL, 'OUTER-MEMBRANE LIPOPROTEIN CARRIER PROTEIN', 69507);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(125782, 'PTHR33048:SF128', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN PTH11-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13800)-RELATED', 69508),
(125783, 'PTHR43768:SF15', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE 10-RELATED', 69509),
(125784, 'PTHR45759:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR GTP-BINDING PROTEIN 1', 69510),
(125785, 'PTHR31920:SF50', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM23', 69511),
(125786, 'PTHR14513:SF4', NULL, NULL, NULL, NULL, 'PROTECTION OF TELOMERES PROTEIN 1A-LIKE ISOFORM X1', 69512),
(125787, 'PTHR42858', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', 69513),
(125788, 'PTHR33168:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69514),
(125789, 'PTHR10625:SF202', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 69515),
(125790, 'PTHR10334:SF399', NULL, NULL, NULL, NULL, 'VENOM-ALLERGEN-LIKE PROTEIN', 69516),
(125791, 'PTHR24098:SF11', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 80 HOMOLOG', 69517),
(125792, 'PTHR11070:SF57', NULL, NULL, NULL, NULL, 'DNA HELICASE', 69518),
(125793, 'PTHR11654:SF496', NULL, NULL, NULL, NULL, 'OS03G0235900 PROTEIN', 69519),
(125794, 'PTHR10372:SF9', NULL, NULL, NULL, NULL, 'CATENIN DELTA-2', 69520),
(125795, 'PTHR28018:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69521),
(125796, 'PTHR42029', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 69522),
(125797, 'PTHR10994:SF142', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 69523),
(125798, 'PTHR45650:SF44', NULL, NULL, NULL, NULL, 'BNAA02G27380D PROTEIN', 69524),
(125799, 'PTHR10562:SF90', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 2', 69525),
(125800, 'PTHR24115:SF549', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 69526),
(125801, 'PTHR31100:SF80', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 69527),
(125802, 'PTHR21261:SF2', NULL, NULL, NULL, NULL, 'GH04238P-RELATED', 69528),
(125803, 'PTHR11360:SF223', NULL, NULL, NULL, NULL, 'ASPYRIDONES EFFLUX PROTEIN APDF-RELATED', 69529),
(125804, 'PTHR45967:SF26', NULL, NULL, NULL, NULL, 'OS07G0209800 PROTEIN', 69530),
(125805, 'PTHR33820', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 17', 69531),
(125806, 'PTHR48017:SF3', NULL, NULL, NULL, NULL, 'BNAA09G28620D PROTEIN', 69532),
(125807, 'PTHR12258', NULL, NULL, NULL, NULL, 'JANUS-A/JANUS-B', 69533),
(125808, 'PTHR21499:SF40', NULL, NULL, NULL, NULL, 'OS01G0927900 PROTEIN', 69534),
(125809, 'PTHR42898:SF29', NULL, NULL, NULL, NULL, 'BNAA05G12670D PROTEIN', 69535),
(125810, 'PTHR45647:SF46', NULL, NULL, NULL, NULL, 'OS09G0569800 PROTEIN', 69536),
(125811, 'PTHR27004:SF198', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', 69537),
(125812, 'PTHR45644:SF49', NULL, NULL, NULL, NULL, 'P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', 69538),
(125813, 'PTHR19282:SF377', NULL, NULL, NULL, NULL, 'TETRASPANIN', 69539),
(125814, 'PTHR47925:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69540),
(125815, 'PTHR31896:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69541),
(125816, 'PTHR10578:SF127', NULL, NULL, NULL, NULL, 'HYDROXYACID OXIDASE 1', 69542),
(125817, 'PTHR11616:SF105', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT SEROTONIN TRANSPORTER', 69543),
(125818, 'PTHR47527:SF5', NULL, NULL, NULL, NULL, 'BNAA05G18770D PROTEIN', 69544),
(125819, 'PTHR32295:SF197', NULL, NULL, NULL, NULL, 'BNAA05G09740D PROTEIN', 69545),
(125820, 'PTHR27007:SF297', NULL, NULL, NULL, NULL, 'BNAA10G13100D PROTEIN', 69546),
(125821, 'PTHR28581', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 69547),
(125822, 'PTHR15454:SF35', NULL, NULL, NULL, NULL, 'NISCHARIN', 69548),
(125823, 'PTHR47327:SF6', NULL, NULL, NULL, NULL, 'PROTEIN LET-653', 69549),
(125824, 'PTHR24177:SF284', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', 69550),
(125825, 'PTHR45651:SF52', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 5-RELATED', 69551),
(125826, 'PTHR31061:SF6', NULL, NULL, NULL, NULL, 'OS02G0526000 PROTEIN', 69552),
(125827, 'PTHR15907:SF162', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 6', 69553);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(125828, 'PTHR24343:SF198', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE', 69554),
(125829, 'PTHR24388:SF58', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 4', 69555),
(125830, 'PTHR24031:SF730', NULL, NULL, NULL, NULL, 'BNAC02G01070D PROTEIN', 69556),
(125831, 'PTHR46851:SF12', NULL, NULL, NULL, NULL, 'ZINC ION BINDING,DNA BINDING PROTEIN-RELATED', 69557),
(125832, 'PTHR22642:SF16', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE FAMILY PROTEIN', 69558),
(125833, 'PTHR32468:SF132', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 21-RELATED', 69559),
(125834, 'PTHR14791:SF23', NULL, NULL, NULL, NULL, 'AGAP006574-PA', 69560),
(125835, 'PTHR21733:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13564', 69561),
(125836, 'PTHR11260:SF538', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69562),
(125837, 'PTHR32246:SF97', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 69563),
(125838, 'PTHR20900:SF1', NULL, NULL, NULL, NULL, 'BNAA02G26170D PROTEIN', 69564),
(125839, 'PTHR14662', NULL, NULL, NULL, NULL, 'PARTNER AND LOCALIZER OF BRCA2', 69565),
(125840, 'PTHR31210:SF74', NULL, NULL, NULL, NULL, 'OS07G0414700 PROTEIN', 69566),
(125841, 'PTHR23021:SF83', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 69567),
(125842, 'PTHR21068:SF38', NULL, NULL, NULL, NULL, 'SENESCENCE/SPARTIN-ASSOCIATED-RELATED', 69568),
(125843, 'PTHR45787:SF5', NULL, NULL, NULL, NULL, 'LIM DOMAIN TRANSCRIPTION FACTOR LMO4', 69569),
(125844, 'PTHR47032:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 69570),
(125845, 'PTHR26453:SF228', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 69571),
(125846, 'PTHR10676:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69572),
(125847, 'PTHR46128:SF276', NULL, NULL, NULL, NULL, 'BNAA10G30370D PROTEIN', 69573),
(125848, 'PTHR22914:SF26', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 7', 69574),
(125849, 'PTHR30126:SF18', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 69575),
(125850, 'PTHR18952:SF138', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE XA-RELATED', 69576),
(125851, 'PTHR23501:SF6', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14560)-RELATED', 69577),
(125852, 'PTHR22674:SF4', NULL, NULL, NULL, NULL, 'NTPASE KAP FAMILY P-LOOP DOMAIN-CONTAINING PROTEIN 1', 69578),
(125853, 'PTHR31161:SF15', NULL, NULL, NULL, NULL, 'OS02G0639200 PROTEIN', 69579),
(125854, 'PTHR31719:SF121', NULL, NULL, NULL, NULL, 'OS11G0126900 PROTEIN', 69580),
(125855, 'PTHR31374:SF133', NULL, NULL, NULL, NULL, 'BNAC09G29950D PROTEIN', 69581),
(125856, 'PTHR21549:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 148', 69582),
(125857, 'PTHR32382:SF38', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 1', 69583),
(125858, 'PTHR31917:SF62', NULL, NULL, NULL, NULL, 'PLANT TUDOR-LIKE RNA-BINDING PROTEIN', 69584),
(125859, 'PTHR46336', NULL, NULL, NULL, NULL, 'OS02G0260700 PROTEIN', 69585),
(125860, 'PTHR10241:SF27', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 69586),
(125861, 'PTHR47208:SF8', NULL, NULL, NULL, NULL, 'DUF581 FAMILY PROTEIN', 69587),
(125862, 'PTHR43239:SF1', NULL, NULL, NULL, NULL, 'UPF0734 PROTEIN DDB_G0273871/DDB_G0273177', 69588),
(125863, 'PTHR24393:SF55', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 69589),
(125864, 'PTHR43159:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69590),
(125865, 'PTHR22981:SF81', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 69591),
(125866, 'PTHR31194:SF96', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', 69592),
(125867, 'PTHR36149:SF1', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', 69593),
(125868, 'PTHR47966:SF25', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY, ASPARTIC PEPTIDASE DOMAIN PROTEIN-RELATED', 69594),
(125869, 'PTHR47979:SF17', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-4B', 69595),
(125870, 'PTHR47951:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 706, SUBFAMILY A, POLYPEPTIDE 3-RELATED', 69596);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(125871, 'PTHR31262:SF10', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN A, CHLOROPLASTIC', 69597),
(125872, 'PTHR10984:SF58', NULL, NULL, NULL, NULL, 'OS05G0490200 PROTEIN', 69598),
(125873, 'PTHR32093:SF142', NULL, NULL, NULL, NULL, 'BNAC05G49420D PROTEIN', 69599),
(125874, 'PTHR46288:SF37', NULL, NULL, NULL, NULL, 'ZINC FINGER, PHD-TYPE, DC1, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 69600),
(125875, 'PTHR46279:SF13', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL21A-RELATED', 69601),
(125876, 'PTHR44156:SF16', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN-CONTAINING 9', 69602),
(125877, 'PTHR10496:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', 69603),
(125878, 'PTHR46579:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69604),
(125879, 'PTHR19277:SF122', NULL, NULL, NULL, NULL, 'PENTRAXIN-4', 69605),
(125880, 'PTHR45622:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69606),
(125881, 'PTHR23339:SF96', NULL, NULL, NULL, NULL, 'PALADIN', 69607),
(125882, 'PTHR35546:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69608),
(125883, 'PTHR37236', NULL, NULL, NULL, NULL, 'AUXIN-BINDING PROTEIN 1', 69609),
(125884, 'PTHR21371', NULL, NULL, NULL, NULL, 'KETOL-ACID REDUCTOISOMERASE, MITOCHONDRIAL', 69610),
(125885, 'PTHR28422:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO HUMAN CHROMOSOME 15 OPEN READING FRAME 39', 69611),
(125886, 'PTHR18966:SF527', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, AMPA 3A', 69612),
(125887, 'PTHR23430:SF301', NULL, NULL, NULL, NULL, 'HISTONE H2A', 69613),
(125888, 'PTHR27001:SF748', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 69614),
(125889, 'PTHR44102:SF1', NULL, NULL, NULL, NULL, 'OS10G0471400 PROTEIN', 69615),
(125890, 'PTHR13743:SF136', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN-RELATED', 69616),
(125891, 'PTHR24346:SF21', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MARK1', 69617),
(125892, 'PTHR33107:SF65', NULL, NULL, NULL, NULL, 'BNAC09G14950D PROTEIN', 69618),
(125893, 'PTHR46330:SF2', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 10A', 69619),
(125894, 'PTHR12889:SF0', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE SUBUNIT APH-1', 69620),
(125895, 'PTHR42943:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE KAPPA 1', 69621),
(125896, 'PTHR31579:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69622),
(125897, 'PTHR19282:SF455', NULL, NULL, NULL, NULL, 'TETRASPANIN-16', 69623),
(125898, 'PTHR10791:SF115', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 69624),
(125899, 'PTHR43673:SF2', NULL, NULL, NULL, NULL, 'NAD(P)H NITROREDUCTASE YDGI-RELATED', 69625),
(125900, 'PTHR35860:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM24A', 69626),
(125901, 'PTHR43075', NULL, NULL, NULL, NULL, 'FORMATE LYASE ACTIVATING ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15630)-RELATED', 69627),
(125902, 'PTHR11937:SF176', NULL, NULL, NULL, NULL, 'ACTIN, ALPHA CARDIAC MUSCLE 1', 69628),
(125903, 'PTHR11999:SF142', NULL, NULL, NULL, NULL, 'AROMATIC-L-AMINO-ACID DECARBOXYLASE-LIKE', 69629),
(125904, 'PTHR19432:SF69', NULL, NULL, NULL, NULL, 'ZGC:77158', 69630),
(125905, 'PTHR45635:SF37', NULL, NULL, NULL, NULL, 'ADP, ATP CARRIER PROTEIN', 69631),
(125906, 'PTHR12455:SF1', NULL, NULL, NULL, NULL, 'BNAC09G09250D PROTEIN', 69632),
(125907, 'PTHR40727', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR, ENCODED NEXT TO RECA SUPERFAMILY ATPASE-RELATED', 69633),
(125908, 'PTHR34114:SF15', NULL, NULL, NULL, NULL, 'BNAC05G39800D PROTEIN', 69634),
(125909, 'PTHR34188:SF9', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 69635),
(125910, 'PTHR10578:SF130', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO4', 69636),
(125911, 'PTHR11439:SF332', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69637),
(125912, 'PTHR30521:SF5', NULL, NULL, NULL, NULL, 'BLR4509 PROTEIN', 69638),
(125913, 'PTHR43012', NULL, NULL, NULL, NULL, 'ADH3P', 69639),
(125914, 'PTHR11256:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69640);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(125915, 'PTHR10366:SF740', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69641),
(125916, 'PTHR42953:SF8', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY ZINC UPTAKE SYSTEM PROTEIN ZNUA', 69642),
(125917, 'PTHR48047:SF100', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN 3-O-GLUCOSYLTRANSFERASE 5-LIKE', 69643),
(125918, 'PTHR33142:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69644),
(125919, 'PTHR22599:SF53', NULL, NULL, NULL, NULL, 'ONE BINDER KINASE ACTIVATOR-LIKE 1A, PUTATIVE, EXPRESSED-RELATED', 69645),
(125920, 'PTHR13563:SF16', NULL, NULL, NULL, NULL, 'TRNA METHYLTRANSFERASE 10 HOMOLOG B', 69646),
(125921, 'PTHR15907:SF135', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 9-LIKE', 69647),
(125922, 'PTHR10627:SF46', NULL, NULL, NULL, NULL, 'BICC FAMILY RNA-BINDING PROTEIN 1A-RELATED', 69648),
(125923, 'PTHR41390', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 69649),
(125924, 'PTHR33265:SF6', NULL, NULL, NULL, NULL, 'OS01G0930500 PROTEIN', 69650),
(125925, 'PTHR45687:SF73', NULL, NULL, NULL, NULL, 'BNAC06G14590D PROTEIN', 69651),
(125926, 'PTHR47597', NULL, NULL, NULL, NULL, 'IS A MEMBER OF THE PF|00364 BIOTIN-REQUIRING ENZYMES FAMILY-RELATED', 69652),
(125927, 'PTHR34052:SF9', NULL, NULL, NULL, NULL, 'BNAC04G19690D PROTEIN', 69653),
(125928, 'PTHR46775:SF5', NULL, NULL, NULL, NULL, 'GBF-INTERACTING PROTEIN 1', 69654),
(125929, 'PTHR11662:SF60', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', 69655),
(125930, 'PTHR28511:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE V', 69656),
(125931, 'PTHR30543:SF26', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE-RELATED', 69657),
(125932, 'PTHR45188', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN P58IPK HOMOLOG', 69658),
(125933, 'PTHR10281:SF73', NULL, NULL, NULL, NULL, 'OS07G0571500 PROTEIN', 69659),
(125934, 'PTHR18821:SF10', NULL, NULL, NULL, NULL, 'PROKINETICIN 1', 69660),
(125935, 'PTHR43447:SF31', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE ISOZYME 3C', 69661),
(125936, 'PTHR12632:SF66', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-7', 69662),
(125937, 'PTHR24249:SF403', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69663),
(125938, 'PTHR46413:SF23', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', 69664),
(125939, 'PTHR11206:SF414', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 7-RELATED', 69665),
(125940, 'PTHR13878:SF138', NULL, NULL, NULL, NULL, 'BNAA10G28940D PROTEIN', 69666),
(125941, 'PTHR48036', NULL, NULL, NULL, NULL, 'SPLICING FACTOR (PAD-1), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G15810)-RELATED', 69667),
(125942, 'PTHR21407:SF1', NULL, NULL, NULL, NULL, 'RE43931P', 69668),
(125943, 'PTHR18868:SF16', NULL, NULL, NULL, NULL, 'OS05G0158400 PROTEIN', 69669),
(125944, 'PTHR11347:SF23', NULL, NULL, NULL, NULL, 'CONE CGMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE SUBUNIT ALPHA''', 69670),
(125945, 'PTHR24377:SF816', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 615', 69671),
(125946, 'PTHR31234:SF2', NULL, NULL, NULL, NULL, 'OS05G0199100 PROTEIN', 69672),
(125947, 'PTHR12411:SF553', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69673),
(125948, 'PTHR45621:SF104', NULL, NULL, NULL, NULL, 'KINASE CX32, PUTATIVE-RELATED', 69674),
(125949, 'PTHR31496:SF4', NULL, NULL, NULL, NULL, 'OS08G0160300 PROTEIN', 69675),
(125950, 'PTHR22752:SF9', NULL, NULL, NULL, NULL, 'COUPLED RECEPTOR, PUTATIVE-RELATED', 69676),
(125951, 'PTHR33736:SF19', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-RELATED', 69677),
(125952, 'PTHR47203', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 69678),
(125953, 'PTHR33349:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69679),
(125954, 'PTHR24559:SF326', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON 17.6-LIKE PROTEIN', 69680),
(125955, 'PTHR31190:SF265', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', 69681),
(125956, 'PTHR23084:SF215', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 1', 69682),
(125957, 'PTHR44137:SF28', NULL, NULL, NULL, NULL, 'BNAA04G14940D PROTEIN', 69683),
(125958, 'PTHR15710:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69684);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(125959, 'PTHR35708:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 69685),
(125960, 'PTHR32285:SF255', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 33', 69686),
(125961, 'PTHR11753:SF4', NULL, NULL, NULL, NULL, 'AP-4 COMPLEX SUBUNIT SIGMA-1', 69687),
(125962, 'PTHR33065:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69688),
(125963, 'PTHR23113:SF184', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR V', 69689),
(125964, 'PTHR11220:SF54', NULL, NULL, NULL, NULL, 'OS02G0533200 PROTEIN', 69690),
(125965, 'PTHR12341', NULL, NULL, NULL, NULL, '5''->3'' EXORIBONUCLEASE', 69691),
(125966, 'PTHR10676:SF255', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 12, AXONEMAL', 69692),
(125967, 'PTHR13844:SF66', NULL, NULL, NULL, NULL, 'CHROMATIN REMODELING COMPLEX SUBUNIT', 69693),
(125968, 'PTHR34379:SF11', NULL, NULL, NULL, NULL, 'OS07G0553800 PROTEIN', 69694),
(125969, 'PTHR33265:SF9', NULL, NULL, NULL, NULL, 'OS05G0520600 PROTEIN', 69695),
(125970, 'PTHR11995:SF24', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', 69696),
(125971, 'PTHR11260:SF645', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 69697),
(125972, 'PTHR27007:SF255', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', 69698),
(125973, 'PTHR24286:SF277', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 85A3', 69699),
(125974, 'PTHR45795', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 69700),
(125975, 'PTHR46288:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69701),
(125976, 'PTHR45023:SF8', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 69702),
(125977, 'PTHR43521', NULL, NULL, NULL, NULL, 'ALPHA-AMINOADIPIC SEMIALDEHYDE DEHYDROGENASE', 69703),
(125978, 'PTHR44215', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 75', 69704),
(125979, 'PTHR46991:SF21', NULL, NULL, NULL, NULL, 'BNAA02G17900D PROTEIN', 69705),
(125980, 'PTHR11588:SF6', NULL, NULL, NULL, NULL, 'ZETA TUBULIN', 69706),
(125981, 'PTHR47989:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69707),
(125982, 'PTHR12317:SF61', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL ACYLTRANSFERASE FAMILY (AFU_ORTHOLOGUE AFUA_4G14150)', 69708),
(125983, 'PTHR30108', NULL, NULL, NULL, NULL, '3-OCTAPRENYL-4-HYDROXYBENZOATE CARBOXY-LYASE-RELATED', 69709),
(125984, 'PTHR24131:SF16', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P53-BINDING PROTEIN, 2B', 69710),
(125985, 'PTHR46856:SF1', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN EREL1-RELATED', 69711),
(125986, 'PTHR20934:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', 69712),
(125987, 'PTHR11710:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19', 69713),
(125988, 'PTHR11216:SF144', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND PROTEIN', 69714),
(125989, 'PTHR24394:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING 21', 69715),
(125990, 'PTHR34835:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69716),
(125991, 'PTHR10791:SF43', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET-RELATED', 69717),
(125992, 'PTHR14139:SF4', NULL, NULL, NULL, NULL, 'CALSYNTENIN-1', 69718),
(125993, 'PTHR10438:SF427', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 69719),
(125994, 'PTHR43490:SF111', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE ISOFORM X1', 69720),
(125995, 'PTHR44279:SF1', NULL, NULL, NULL, NULL, 'CORTICOSTEROID 11-BETA-DEHYDROGENASE ISOZYME 1', 69721),
(125996, 'PTHR13309:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69722),
(125997, 'PTHR13618:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ROGDI HOMOLOG', 69723),
(125998, 'PTHR34538:SF15', NULL, NULL, NULL, NULL, 'OS02G0637200 PROTEIN', 69724),
(125999, 'PTHR26312:SF153', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 69725),
(126000, 'PTHR10343:SF49', NULL, NULL, NULL, NULL, 'AMP-ACTIVATED KINASE BETA SUBUNIT', 69726),
(126001, 'PTHR10615:SF189', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN EHD3', 69727),
(126002, 'PTHR35743', NULL, NULL, NULL, NULL, 'NODULIN HOMEOBOX', 69728),
(126003, 'PTHR34796', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 69729);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(126004, 'PTHR36091', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 9, MITOCHONDRIAL', 69730),
(126005, 'PTHR11958:SF63', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 69731),
(126006, 'PTHR39967', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 69732),
(126007, 'PTHR22937:SF137', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR1-LIKE', 69733),
(126008, 'PTHR11581:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', 69734),
(126009, 'PTHR32278:SF56', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B2-RELATED', 69735),
(126010, 'PTHR15152:SF0', NULL, NULL, NULL, NULL, 'CD70 ANTIGEN', 69736),
(126011, 'PTHR43011', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY 2 HOMOLOG, MITOCHONDRIAL', 69737),
(126012, 'PTHR43977:SF1', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 3', 69738),
(126013, 'PTHR37738', NULL, NULL, NULL, NULL, 'OS03G0209700 PROTEIN', 69739),
(126014, 'PTHR12550:SF42', NULL, NULL, NULL, NULL, 'PC4 AND SFRS1-INTERACTING PROTEIN', 69740),
(126015, 'PTHR35325:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69741),
(126016, 'PTHR11407:SF21', NULL, NULL, NULL, NULL, 'LYSOZYME-LIKE PROTEIN 4', 69742),
(126017, 'PTHR12425:SF2', NULL, NULL, NULL, NULL, 'SYNEMBRYN-B', 69743),
(126018, 'PTHR23239:SF115', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 12', 69744),
(126019, 'PTHR33395:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTASE, PUTATIVE-RELATED', 69745),
(126020, 'PTHR45752:SF118', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS GROUP-RELATED LRR 9-RELATED', 69746),
(126021, 'PTHR43735:SF2', NULL, NULL, NULL, NULL, 'FE-REGULATED PROTEIN 8', 69747),
(126022, 'PTHR21231:SF7', NULL, NULL, NULL, NULL, 'GPN-LOOP GTPASE 3', 69748),
(126023, 'PTHR35133:SF1', NULL, NULL, NULL, NULL, 'PROTEIN EFFECTOR OF TRANSCRIPTION 2-RELATED', 69749),
(126024, 'PTHR46016:SF4', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 166', 69750),
(126025, 'PTHR15708:SF8', NULL, NULL, NULL, NULL, 'PROTEIN MTSS 2', 69751),
(126026, 'PTHR47971:SF8', NULL, NULL, NULL, NULL, 'KINESIN-RELATED PROTEIN 6', 69752),
(126027, 'PTHR11599:SF150', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 69753),
(126028, 'PTHR33333:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 69754),
(126029, 'PTHR47658', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 12-RELATED', 69755),
(126030, 'PTHR10925', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 10', 69756),
(126031, 'PTHR43180:SF39', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE 1', 69757),
(126032, 'PTHR37962', NULL, NULL, NULL, NULL, 'MALE STERILE (3) 76CA', 69758),
(126033, 'PTHR31485:SF17', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 69759),
(126034, 'PTHR33529:SF7', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE EXPORT SYSTEM PERMEASE PROTEIN LPTF', 69760),
(126035, 'PTHR32382:SF54', NULL, NULL, NULL, NULL, 'BNAC04G50210D PROTEIN', 69761),
(126036, 'PTHR46727', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE CBX4', 69762),
(126037, 'PTHR12867:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69763),
(126038, 'PTHR24023', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA', 69764),
(126039, 'PTHR46949:SF1', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 89 MEMBER A-RELATED', 69765),
(126040, 'PTHR23028', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', 69766),
(126041, 'PTHR36799:SF2', NULL, NULL, NULL, NULL, 'DUF3148 FAMILY PROTEIN', 69767),
(126042, 'PTHR12444', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 69768),
(126043, 'PTHR46800', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED-RELATED', 69769),
(126044, 'PTHR35391:SF3', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04300)-RELATED', 69770),
(126045, 'PTHR24421:SF46', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE SENSOR PROTEIN NARQ', 69771),
(126046, 'PTHR11802:SF302', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 18', 69772),
(126047, 'PTHR35711:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 69773),
(126048, 'PTHR13902:SF129', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK7-RELATED', 69774);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(126049, 'PTHR33052:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69775),
(126050, 'PTHR21141', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN FAMILY MEMBER', 69776),
(126051, 'PTHR11525:SF0', NULL, NULL, NULL, NULL, 'FARNESYL PYROPHOSPHATE SYNTHASE', 69777),
(126052, 'PTHR47270:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MLP1-LIKE', 69778),
(126053, 'PTHR24339:SF34', NULL, NULL, NULL, NULL, 'VENTRAL ANTERIOR HOMEOBOX 2', 69779),
(126054, 'PTHR14024:SF48', NULL, NULL, NULL, NULL, 'PERILIPIN 6', 69780),
(126055, 'PTHR47926:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69781),
(126056, 'PTHR11206:SF176', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 69782),
(126057, 'PTHR23024:SF503', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', 69783),
(126058, 'PTHR11086:SF21', NULL, NULL, NULL, NULL, 'CYTIDINE/DEOXYCYTIDYLATE DEAMINASE FAMILY PROTEIN', 69784),
(126059, 'PTHR43952:SF19', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', 69785),
(126060, 'PTHR10108:SF1095', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 69786),
(126061, 'PTHR39602', NULL, NULL, NULL, NULL, 'ACW-9', 69787),
(126062, 'PTHR23155:SF958', NULL, NULL, NULL, NULL, 'OS09G0479500 PROTEIN', 69788),
(126063, 'PTHR24291:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69789),
(126064, 'PTHR15746:SF22', NULL, NULL, NULL, NULL, 'RAB11 FAMILY-INTERACTING PROTEIN 1', 69790),
(126065, 'PTHR23042:SF50', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR NUCLEAR TRANSLOCATOR', 69791),
(126066, 'PTHR13620:SF0', NULL, NULL, NULL, NULL, 'EXONUCLEASE 3''-5'' DOMAIN-CONTAINING PROTEIN 2', 69792),
(126067, 'PTHR33689', NULL, NULL, NULL, NULL, 'FAS-BINDING FACTOR 1', 69793),
(126068, 'PTHR45660:SF29', NULL, NULL, NULL, NULL, 'SET DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G09180)', 69794),
(126069, 'PTHR19353:SF72', NULL, NULL, NULL, NULL, 'DELTA(12) FATTY ACID DESATURASE FAT-2', 69795),
(126070, 'PTHR31221:SF111', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 43-RELATED', 69796),
(126071, 'PTHR31062', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 8-RELATED', 69797),
(126072, 'PTHR31265:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69798),
(126073, 'PTHR19359:SF111', NULL, NULL, NULL, NULL, 'BNAA04G27110D PROTEIN', 69799),
(126074, 'PTHR32422', NULL, NULL, NULL, NULL, 'ADHERENS JUNCTION-ASSOCIATED PROTEIN 1', 69800),
(126075, 'PTHR43297:SF7', NULL, NULL, NULL, NULL, 'D,D-DIPEPTIDE TRANSPORT ATP-BINDING PROTEIN DDPD-RELATED', 69801),
(126076, 'PTHR46151:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69802),
(126077, 'PTHR34289', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF819)-RELATED', 69803),
(126078, 'PTHR18860:SF118', NULL, NULL, NULL, NULL, 'BNAC03G57490D PROTEIN', 69804),
(126079, 'PTHR31221:SF234', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 2 ISOFORM X1-RELATED', 69805),
(126080, 'PTHR10513:SF24', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE 2, MITOCHONDRIAL', 69806),
(126081, 'PTHR34536:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69807),
(126082, 'PTHR46128:SF129', NULL, NULL, NULL, NULL, 'BNAC04G32520D PROTEIN', 69808),
(126083, 'PTHR24384:SF80', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 713', 69809),
(126084, 'PTHR11226:SF9', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE GLYCOPROTEIN GLUCOSYLTRANSFERASE', 69810),
(126085, 'PTHR47986', NULL, NULL, NULL, NULL, 'OSJNBA0070M12.3 PROTEIN', 69811),
(126086, 'PTHR31707:SF315', NULL, NULL, NULL, NULL, 'BNAANNG02770D PROTEIN', 69812),
(126087, 'PTHR37429', NULL, NULL, NULL, NULL, 'PROTEIN CBG19148-RELATED', 69813),
(126088, 'PTHR31033:SF22', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 69814),
(126089, 'PTHR31009:SF47', NULL, NULL, NULL, NULL, 'SALICYLATE/BENZOATE CARBOXYL METHYLTRANSFERASE', 69815),
(126090, 'PTHR26453:SF205', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10S1', 69816),
(126091, 'PTHR23344:SF1', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHOINOSITOL INOSITOLPHOSPHODIESTERASE GDPD2', 69817),
(126092, 'PTHR33265:SF34', NULL, NULL, NULL, NULL, 'BNAC03G73780D PROTEIN', 69818);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(126093, 'PTHR16073', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 69819),
(126094, 'PTHR11654:SF521', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69820),
(126095, 'PTHR24377:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 157', 69821),
(126096, 'PTHR45648:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69822),
(126097, 'PTHR11224:SF39', NULL, NULL, NULL, NULL, 'MAKORIN, RING FINGER PROTEIN, 4', 69823),
(126098, 'PTHR47357:SF8', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT 110-LIKE', 69824),
(126099, 'PTHR46402', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN 5', 69825),
(126100, 'PTHR48021:SF42', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', 69826),
(126101, 'PTHR31516:SF17', NULL, NULL, NULL, NULL, 'STABILIZER OF AXONEMAL MICROTUBULES 2', 69827),
(126102, 'PTHR23335:SF1', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 4', 69828),
(126103, 'PTHR27007:SF363', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.4', 69829),
(126104, 'PTHR11635:SF162', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE TYPE II REGULATORY SUBUNIT', 69830),
(126105, 'PTHR47932:SF47', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 69831),
(126106, 'PTHR19325:SF535', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69832),
(126107, 'PTHR28142', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE I-AAA PROTEASE SUPERCOMPLEX SUBUNIT MGR3-RELATED', 69833),
(126108, 'PTHR47924:SF46', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', 69834),
(126109, 'PTHR31374:SF152', NULL, NULL, NULL, NULL, 'SAUR FAMILY PROTEIN', 69835),
(126110, 'PTHR43675:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69836),
(126111, 'PTHR46378', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN CLEAVAGE-ACTIVATING PROTEIN', 69837),
(126112, 'PTHR24092:SF150', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IA', 69838),
(126113, 'PTHR13068:SF79', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR-LIKE', 69839),
(126114, 'PTHR17630:SF82', NULL, NULL, NULL, NULL, 'ENDO-1,3-1,4-BETA-D-GLUCANASE-LIKE PROTEIN', 69840),
(126115, 'PTHR23024:SF192', NULL, NULL, NULL, NULL, 'OS09G0455500 PROTEIN', 69841),
(126116, 'PTHR31493', NULL, NULL, NULL, NULL, 'NAZO FAMILY MEMBER', 69842),
(126117, 'PTHR31827', NULL, NULL, NULL, NULL, 'EMB|CAB89363.1', 69843),
(126118, 'PTHR11817:SF31', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE PKLR', 69844),
(126119, 'PTHR10179:SF12', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 5', 69845),
(126120, 'PTHR14221:SF52', NULL, NULL, NULL, NULL, 'BNAA03G12240D PROTEIN', 69846),
(126121, 'PTHR34214:SF1', NULL, NULL, NULL, NULL, 'OS05G0539900 PROTEIN', 69847),
(126122, 'PTHR26453:SF133', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 69848),
(126123, 'PTHR24064:SF569', NULL, NULL, NULL, NULL, 'BNAA02G18110D PROTEIN', 69849),
(126124, 'PTHR24326:SF576', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69850),
(126125, 'PTHR22849:SF144', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 69851),
(126126, 'PTHR46320:SF1', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE 1', 69852),
(126127, 'PTHR31966:SF18', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN PHOS32', 69853),
(126128, 'PTHR23337:SF6', NULL, NULL, NULL, NULL, 'MORC FAMILY CW-TYPE ZINC FINGER PROTEIN 1', 69854),
(126129, 'PTHR45621:SF183', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 69855),
(126130, 'PTHR23262:SF182', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-2', 69856),
(126131, 'PTHR32141:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69857),
(126132, 'PTHR19331:SF465', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69858),
(126133, 'PTHR12243:SF50', NULL, NULL, NULL, NULL, 'LD26477P', 69859),
(126134, 'PTHR10806:SF32', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX CATALYTIC SUBUNIT SEC11B-RELATED', 69860); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(126135, 'PTHR16099:SF5', NULL, NULL, NULL, NULL, 'NUCLEOTIDE TRIPHOSPHATE DIPHOSPHATASE NUDT15', 69861),
(126136, 'PTHR45969:SF16', NULL, NULL, NULL, NULL, 'OSJNBA0064M23.13 PROTEIN', 69862),
(126137, 'PTHR10110:SF117', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 2', 69863),
(126138, 'PTHR24300:SF338', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP36A1-RELATED', 69864),
(126139, 'PTHR24353:SF111', NULL, NULL, NULL, NULL, 'PROTEIN KINASE CGMP-DEPENDENT 1', 69865),
(126140, 'PTHR31692:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69866),
(126141, 'PTHR13270:SF4', NULL, NULL, NULL, NULL, 'PHD ZINC FINGER-CONTAINING PROTEIN-RELATED', 69867),
(126142, 'PTHR12329:SF20', NULL, NULL, NULL, NULL, 'OS06G0126500 PROTEIN', 69868),
(126143, 'PTHR48013:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SBK2', 69869),
(126144, 'PTHR21304:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69870),
(126145, 'PTHR46364:SF13', NULL, NULL, NULL, NULL, 'BNAC03G64850D PROTEIN', 69871),
(126146, 'PTHR37951', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 69872),
(126147, 'PTHR43186:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCEROL TRANSFERASE I', 69873),
(126148, 'PTHR45777:SF1', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2-2', 69874),
(126149, 'PTHR32021:SF0', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5B2', 69875),
(126150, 'PTHR14889:SF2', NULL, NULL, NULL, NULL, 'GENE 6377-RELATED', 69876),
(126151, 'PTHR24034:SF118', NULL, NULL, NULL, NULL, 'EGF-LIKE AND EMI DOMAIN-CONTAINING PROTEIN 1', 69877),
(126152, 'PTHR11705:SF135', NULL, NULL, NULL, NULL, 'FI01817P-RELATED', 69878),
(126153, 'PTHR24409:SF306', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 423', 69879),
(126154, 'PTHR14596:SF67', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN YER130C', 69880),
(126155, 'PTHR15361:SF4', NULL, NULL, NULL, NULL, 'RAD51-ASSOCIATED PROTEIN 1', 69881),
(126156, 'PTHR35299', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 69882),
(126157, 'PTHR31490:SF70', NULL, NULL, NULL, NULL, 'HYDROLYZING O-GLYCOSYL COMPOUNDS, PUTATIVE-RELATED', 69883),
(126158, 'PTHR12241:SF16', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL5', 69884),
(126159, 'PTHR11467:SF123', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX TRANSCRIPTION REPRESSOR DNA-BINDING PROTEIN-RELATED', 69885),
(126160, 'PTHR20955:SF2', NULL, NULL, NULL, NULL, 'PROTEIN JAGUNAL HOMOLOG 1-B', 69886),
(126161, 'PTHR11461:SF175', NULL, NULL, NULL, NULL, 'SERPIN B10', 69887),
(126162, 'PTHR46970:SF1', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX DOMAIN-CONTAINING PROTEIN USF3', 69888),
(126163, 'PTHR21072', NULL, NULL, NULL, NULL, 'GPI TRANSAMIDASE COMPONENT PIG-S', 69889),
(126164, 'PTHR45717:SF16', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN', 69890),
(126165, 'PTHR36040', NULL, NULL, NULL, NULL, 'OS04G0188500 PROTEIN', 69891),
(126166, 'PTHR46225', NULL, NULL, NULL, NULL, 'C3H4 TYPE ZINC FINGER PROTEIN', 69892),
(126167, 'PTHR22883:SF330', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 69893),
(126168, 'PTHR42886:SF29', NULL, NULL, NULL, NULL, 'RE40534P', 69894),
(126169, 'PTHR23118:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69895),
(126170, 'PTHR14790:SF15', NULL, NULL, NULL, NULL, 'RECQ-MEDIATED GENOME INSTABILITY PROTEIN 1', 69896),
(126171, 'PTHR31250:SF45', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM3', 69897),
(126172, 'PTHR46817', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC9-RELATED', 69898),
(126173, 'PTHR10201:SF272', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 2-MMP-LIKE', 69899),
(126174, 'PTHR16134:SF5', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 3', 69900),
(126175, 'PTHR33647:SF5', NULL, NULL, NULL, NULL, 'OS01G0793900 PROTEIN', 69901),
(126176, 'PTHR13266:SF2', NULL, NULL, NULL, NULL, 'BNAA09G54950D PROTEIN', 69902),
(126177, 'PTHR47968:SF15', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12F', 69903),
(126178, 'PTHR13859:SF12', NULL, NULL, NULL, NULL, 'ARGININE-GLUTAMIC ACID DIPEPTIDE REPEATS PROTEIN', 69904),
(126179, 'PTHR15439:SF12', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RBBP6-LIKE', 69905);
INSERT INTO "PUBLIC"."MODEL" VALUES
(126180, 'PTHR22576:SF37', NULL, NULL, NULL, NULL, 'MALT1 PARACASPASE HOMOLOG', 69906),
(126181, 'PTHR31916:SF46', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE A, MITOCHONDRIAL', 69907),
(126182, 'PTHR47758:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS M', 69908),
(126183, 'PTHR11879:SF49', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 69909),
(126184, 'PTHR34212:SF1', NULL, NULL, NULL, NULL, 'OS02G0104200 PROTEIN', 69910),
(126185, 'PTHR34662:SF3', NULL, NULL, NULL, NULL, 'OS04G0422700 PROTEIN', 69911),
(126186, 'PTHR24356:SF373', NULL, NULL, NULL, NULL, 'BNAC06G02020D PROTEIN', 69912),
(126187, 'PTHR11559:SF400', NULL, NULL, NULL, NULL, 'ACYLCARNITINE HYDROLASE-RELATED', 69913),
(126188, 'PTHR21660:SF47', NULL, NULL, NULL, NULL, 'F19P19.27 PROTEIN', 69914),
(126189, 'PTHR42759', NULL, NULL, NULL, NULL, 'MOXR FAMILY PROTEIN', 69915),
(126190, 'PTHR45621:SF54', NULL, NULL, NULL, NULL, 'OS09G0533600 PROTEIN', 69916),
(126191, 'PTHR23515:SF16', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 2.1-LIKE', 69917),
(126192, 'PTHR13742:SF22', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-RELATED PROTEIN 2', 69918),
(126193, 'PTHR24129', NULL, NULL, NULL, NULL, 'ANKYCORBIN', 69919),
(126194, 'PTHR33271:SF27', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL PROTEIN-RELATED', 69920),
(126195, 'PTHR46524:SF2', NULL, NULL, NULL, NULL, 'OS05G0371100 PROTEIN', 69921),
(126196, 'PTHR12555:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69922),
(126197, 'PTHR35280', NULL, NULL, NULL, NULL, 'F17L21.9', 69923),
(126198, 'PTHR10183:SF322', NULL, NULL, NULL, NULL, 'CALPAIN-11', 69924),
(126199, 'PTHR32102:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69925),
(126200, 'PTHR43391:SF61', NULL, NULL, NULL, NULL, 'BNAC03G27860D PROTEIN', 69926),
(126201, 'PTHR31790:SF350', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69927),
(126202, 'PTHR46391:SF13', NULL, NULL, NULL, NULL, 'ACTIVATOR OF SPOMIN LUC3', 69928),
(126203, 'PTHR31817:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69929),
(126204, 'PTHR31580:SF4', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 4', 69930),
(126205, 'PTHR12281:SF8', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN 4', 69931),
(126206, 'PTHR47371', NULL, NULL, NULL, NULL, 'LIPOTEICHOIC ACID SYNTHASE', 69932),
(126207, 'PTHR46018', NULL, NULL, NULL, NULL, 'ZINC PHOSPHODIESTERASE ELAC PROTEIN 1', 69933),
(126208, 'PTHR33077:SF67', NULL, NULL, NULL, NULL, 'DIVERGENT CCT MOTIF PROTEIN', 69934),
(126209, 'PTHR35402', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 69935),
(126210, 'PTHR33739:SF11', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 33A-LIKE', 69936),
(126211, 'PTHR47950:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 76A1-LIKE', 69937),
(126212, 'PTHR33566:SF8', NULL, NULL, NULL, NULL, 'AND MITOMYCIN C INDUCED PROTEIN, PUTATIVE-RELATED', 69938),
(126213, 'PTHR33358:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69939),
(126214, 'PTHR44888', NULL, NULL, NULL, NULL, 'HEPACAM FAMILY MEMBER 2-RELATED', 69940),
(126215, 'PTHR30314:SF24', NULL, NULL, NULL, NULL, 'BNAA02G09160D PROTEIN', 69941),
(126216, 'PTHR46044:SF1', NULL, NULL, NULL, NULL, 'NITRILASE', 69942),
(126217, 'PTHR43851:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-36G24.3', 69943),
(126218, 'PTHR38326', NULL, NULL, NULL, NULL, 'CHROMOSOME 11 OPEN READING FRAME 97', 69944),
(126219, 'PTHR12046', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE TYPE B CATALYTIC SUBUNIT', 69945),
(126220, 'PTHR43895:SF20', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 27-RELATED', 69946),
(126221, 'PTHR13148:SF12', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', 69947),
(126222, 'PTHR19139:SF278', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69948),
(126223, 'PTHR43334:SF1', NULL, NULL, NULL, NULL, 'ACETATE--COA LIGASE [ADP-FORMING]', 69949),
(126224, 'PTHR45931:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHY1A-RELATED', 69950),
(126225, 'PTHR11937:SF31', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 3B', 69951);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(126226, 'PTHR23326:SF15', NULL, NULL, NULL, NULL, 'NOT TRANSCRIPTION COMPLEX SUBUNIT VIP2 ISOFORM X1-RELATED', 69952),
(126227, 'PTHR31851:SF9', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER 1.1-LIKE', 69953),
(126228, 'PTHR11679:SF33', NULL, NULL, NULL, NULL, 'SYNTAXIN-BINDING PROTEIN 3', 69954),
(126229, 'PTHR11799:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69955),
(126230, 'PTHR11552:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69956),
(126231, 'PTHR43742:SF7', NULL, NULL, NULL, NULL, 'DIMETHYL SULFOXIDE REDUCTASE CHAIN YNFE-RELATED', 69957),
(126232, 'PTHR14221:SF59', NULL, NULL, NULL, NULL, 'BNAA03G11960D PROTEIN', 69958),
(126233, 'PTHR12847:SF12', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 20', 69959),
(126234, 'PTHR23244:SF310', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN B', 69960),
(126235, 'PTHR31949', NULL, NULL, NULL, NULL, 'GASTRIC MUCIN-LIKE PROTEIN', 69961),
(126236, 'PTHR31707:SF291', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 51-RELATED', 69962),
(126237, 'PTHR43523:SF17', NULL, NULL, NULL, NULL, 'INACTIVE GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE SMALL SUBUNIT 2, CHLOROPLASTIC', 69963),
(126238, 'PTHR11679:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG13544', 69964),
(126239, 'PTHR31589:SF141', NULL, NULL, NULL, NULL, 'BNAANNG13170D PROTEIN', 69965),
(126240, 'PTHR24056:SF131', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 19', 69966),
(126241, 'PTHR10157:SF31', NULL, NULL, NULL, NULL, 'DBH-LIKE MONOOXYGENASE PROTEIN 2-RELATED', 69967),
(126242, 'PTHR23122:SF40', NULL, NULL, NULL, NULL, 'PERIPHERAL PLASMA MEMBRANE PROTEIN CASK', 69968),
(126243, 'PTHR10388:SF20', NULL, NULL, NULL, NULL, 'APO PROTEIN 4, MITOCHONDRIAL', 69969),
(126244, 'PTHR23028:SF121', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 69970),
(126245, 'PTHR48129:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37A', 69971),
(126246, 'PTHR45632:SF4', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 36', 69972),
(126247, 'PTHR23055:SF30', NULL, NULL, NULL, NULL, 'KV CHANNEL-INTERACTING PROTEIN 4', 69973),
(126248, 'PTHR47985:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL21-RELATED', 69974),
(126249, 'PTHR45089:SF38', NULL, NULL, NULL, NULL, 'BNAC05G46870D PROTEIN', 69975),
(126250, 'PTHR31776', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE 1', 69976),
(126251, 'PTHR47342', NULL, NULL, NULL, NULL, 'PROTEIN PTST, CHLOROPLASTIC', 69977),
(126252, 'PTHR31321:SF72', NULL, NULL, NULL, NULL, 'PECTINESTERASE 11-RELATED', 69978),
(126253, 'PTHR31273:SF2', NULL, NULL, NULL, NULL, 'SLL0529 PROTEIN', 69979),
(126254, 'PTHR46918', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN 1', 69980),
(126255, 'PTHR24414:SF131', NULL, NULL, NULL, NULL, 'BNAA05G20460D PROTEIN', 69981),
(126256, 'PTHR39697:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69982),
(126257, 'PTHR43668', NULL, NULL, NULL, NULL, 'ALLANTOINASE', 69983),
(126258, 'PTHR31190:SF283', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69984),
(126259, 'PTHR45974:SF127', NULL, NULL, NULL, NULL, 'BNAA02G30100D PROTEIN', 69985),
(126260, 'PTHR31674:SF59', NULL, NULL, NULL, NULL, 'BNAA05G17050D PROTEIN', 69986),
(126261, 'PTHR35179:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02620', 69987),
(126262, 'PTHR10285:SF159', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE FAMILY PROTEIN-RELATED PROTEIN', 69988),
(126263, 'PTHR42960:SF2', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN', 69989),
(126264, 'PTHR46016:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF114', 69990),
(126265, 'PTHR45974:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 69991),
(126266, 'PTHR35549:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LIN-RELATED', 69992),
(126267, 'PTHR15960:SF6', NULL, NULL, NULL, NULL, 'BNAA03G12290D PROTEIN', 69993),
(126268, 'PTHR10795:SF625', NULL, NULL, NULL, NULL, 'OSJNBA0027O01.12 PROTEIN', 69994),
(126269, 'PTHR21695', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 69995),
(126270, 'PTHR10783:SF59', NULL, NULL, NULL, NULL, 'SI:DKEY-6N6.7 PROTEIN', 69996);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(126271, 'PTHR45778:SF27', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 69997),
(126272, 'PTHR12932:SF18', NULL, NULL, NULL, NULL, 'TUBULIN POLYMERIZATION-PROMOTING PROTEIN', 69998),
(126273, 'PTHR48167', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 69999),
(126274, 'PTHR10517:SF10', NULL, NULL, NULL, NULL, 'SPERM-EGG FUSION PROTEIN JUNO', 70000),
(126275, 'PTHR42810:SF6', NULL, NULL, NULL, NULL, 'PURINE PERMEASE YBBY-RELATED', 70001),
(126276, 'PTHR10527:SF6', NULL, NULL, NULL, NULL, 'IMPORTIN-4', 70002),
(126277, 'PTHR15160:SF13', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NUCLEASE 1', 70003),
(126278, 'PTHR46398', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 70004),
(126279, 'PTHR42880:SF2', NULL, NULL, NULL, NULL, '(R)-CITRAMALATE SYNTHASE CIMA', 70005),
(126280, 'PTHR24055:SF487', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 70006),
(126281, 'PTHR18896:SF174', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 70007),
(126282, 'PTHR12897', NULL, NULL, NULL, NULL, 'COLON CANCER-ASSOCIATED PROTEIN MIC1', 70008),
(126283, 'PTHR33285:SF32', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 5', 70009),
(126284, 'PTHR46978:SF4', NULL, NULL, NULL, NULL, 'BNAC03G27270D PROTEIN', 70010),
(126285, 'PTHR39550', NULL, NULL, NULL, NULL, 'SLL0658 PROTEIN', 70011),
(126286, 'PTHR21562:SF92', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 70012),
(126287, 'PTHR23360:SF17', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 70013),
(126288, 'PTHR46128:SF59', NULL, NULL, NULL, NULL, 'BNAA07G31830D PROTEIN', 70014),
(126289, 'PTHR43511:SF7', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE 1', 70015),
(126290, 'PTHR33076:SF127', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 4', 70016),
(126291, 'PTHR13018:SF115', NULL, NULL, NULL, NULL, 'BNAC09G13620D PROTEIN', 70017),
(126292, 'PTHR35936:SF27', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', 70018),
(126293, 'PTHR43293:SF3', NULL, NULL, NULL, NULL, 'COA-TRANSFERASE SUBUNIT BETA RV3552-RELATED', 70019),
(126294, 'PTHR10366:SF728', NULL, NULL, NULL, NULL, 'BNAA05G15210D PROTEIN', 70020),
(126295, 'PTHR37718', NULL, NULL, NULL, NULL, 'BNAC03G61340D PROTEIN', 70021),
(126296, 'PTHR44191:SF28', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 70022),
(126297, 'PTHR12202:SF0', NULL, NULL, NULL, NULL, 'ESF1 HOMOLOG', 70023),
(126298, 'PTHR47993:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70024),
(126299, 'PTHR40626', NULL, NULL, NULL, NULL, 'MIP31509P', 70025),
(126300, 'PTHR11751:SF409', NULL, NULL, NULL, NULL, 'OS10G0390600 PROTEIN', 70026),
(126301, 'PTHR10127:SF805', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-15', 70027),
(126302, 'PTHR41536', NULL, NULL, NULL, NULL, 'PKHD-TYPE HYDROXYLASE YBIX', 70028),
(126303, 'PTHR24302:SF32', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 3, SUBFAMILY A, POLYPEPTIDE 65', 70029),
(126304, 'PTHR46754', NULL, NULL, NULL, NULL, 'MKI67 FHA DOMAIN-INTERACTING NUCLEOLAR PHOSPHOPROTEIN', 70030),
(126305, 'PTHR40733', NULL, NULL, NULL, NULL, 'ZINC-RIBBON RNA-BINDING PROTEIN INVOLVED IN TRANSLATION-RELATED', 70031),
(126306, 'PTHR36400', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L35', 70032),
(126307, 'PTHR43180:SF70', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', 70033),
(126308, 'PTHR33744:SF1', NULL, NULL, NULL, NULL, 'CARBOHYDRATE DIACID REGULATOR', 70034),
(126309, 'PTHR38766:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR PROTEIN FLIO', 70035),
(126310, 'PTHR47005:SF9', NULL, NULL, NULL, NULL, 'CIRCUMSPOROZOITE PROTEIN', 70036),
(126311, 'PTHR47091:SF2', NULL, NULL, NULL, NULL, 'ALPHA-PROTEIN KINASE 2', 70037),
(126312, 'PTHR11705:SF136', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE A4', 70038),
(126313, 'PTHR12939:SF5', NULL, NULL, NULL, NULL, 'ZETA-SARCOGLYCAN', 70039),
(126314, 'PTHR43319', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE-RELATED', 70040),
(126315, 'PTHR32285:SF136', NULL, NULL, NULL, NULL, 'OS11G0586825 PROTEIN', 70041),
(126316, 'PTHR24379:SF70', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 101', 70042);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(126317, 'PTHR31734:SF44', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA29', 70043),
(126318, 'PTHR46446:SF19', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 70044),
(126319, 'PTHR23430:SF29', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-H', 70045),
(126320, 'PTHR33681:SF13', NULL, NULL, NULL, NULL, 'CITRATE-BINDING PROTEIN-LIKE', 70046),
(126321, 'PTHR10666:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70047),
(126322, 'PTHR11709:SF245', NULL, NULL, NULL, NULL, 'SKU5 SIMILAR 16', 70048),
(126323, 'PTHR31339:SF16', NULL, NULL, NULL, NULL, 'OS01G0618900 PROTEIN', 70049),
(126324, 'PTHR45714:SF39', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER, HOMEOBOX-ASSOCIATED, HOMEODOMAIN-LIKE PROTEIN-RELATED', 70050),
(126325, 'PTHR27002:SF858', NULL, NULL, NULL, NULL, 'OS09G0551400 PROTEIN', 70051),
(126326, 'PTHR32092:SF4', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE', 70052),
(126327, 'PTHR28026:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70053),
(126328, 'PTHR34953:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70054),
(126329, 'PTHR34536:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70055),
(126330, 'PTHR12143:SF23', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 70056),
(126331, 'PTHR31235:SF18', NULL, NULL, NULL, NULL, 'PEROXIDASE', 70057),
(126332, 'PTHR43130:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70058),
(126333, 'PTHR30050', NULL, NULL, NULL, NULL, 'CHROMOSOMAL REPLICATION INITIATOR PROTEIN DNAA', 70059),
(126334, 'PTHR23017:SF46', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 70060),
(126335, 'PTHR46288:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70061),
(126336, 'PTHR11886:SF99', NULL, NULL, NULL, NULL, 'OS04G0462600 PROTEIN', 70062),
(126337, 'PTHR15507:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70063),
(126338, 'PTHR12953:SF0', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING OSSIFICATION FACTOR', 70064),
(126339, 'PTHR31062:SF133', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 23-RELATED', 70065),
(126340, 'PTHR12912', NULL, NULL, NULL, NULL, 'BARRIER TO AUTOINTEGRATION FACTOR BAF', 70066),
(126341, 'PTHR24343:SF467', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK2', 70067),
(126342, 'PTHR11618:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70068),
(126343, 'PTHR24031:SF421', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX28-RELATED', 70069),
(126344, 'PTHR33070:SF60', NULL, NULL, NULL, NULL, 'OS06G0725700 PROTEIN', 70070),
(126345, 'PTHR28289', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT HSK3', 70071),
(126346, 'PTHR31947:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70072),
(126347, 'PTHR11260:SF501', NULL, NULL, NULL, NULL, 'S-TRANSFERASE GSTU6, PUTATIVE, EXPRESSED-RELATED', 70073),
(126348, 'PTHR48010:SF33', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 70074),
(126349, 'PTHR24414:SF142', NULL, NULL, NULL, NULL, 'BNAC03G72950D PROTEIN', 70075),
(126350, 'PTHR23267:SF416', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 9-1', 70076),
(126351, 'PTHR11143:SF17', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L26-1-RELATED', 70077),
(126352, 'PTHR22420', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 70078),
(126353, 'PTHR10199:SF92', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-4', 70079),
(126354, 'PTHR21472:SF8', NULL, NULL, NULL, NULL, 'ENDONUCLEASE DOMAIN-CONTAINING 1 PROTEIN', 70080),
(126355, 'PTHR11615:SF324', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1B1', 70081),
(126356, 'PTHR35191', NULL, NULL, NULL, NULL, 'PROPHAGE SIDE TAIL FIBER PROTEIN HOMOLOG STFQ-RELATED', 70082),
(126357, 'PTHR33463:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70083),
(126358, 'PTHR42845', NULL, NULL, NULL, NULL, 'COENZYME F420-REDUCING HYDROGENASE, GAMMA SUBUNIT', 70084),
(126359, 'PTHR12431:SF17', NULL, NULL, NULL, NULL, 'SORTING NEXIN FAMILY MEMBER 27', 70085),
(126360, 'PTHR23024:SF556', NULL, NULL, NULL, NULL, 'BNAA09G44300D PROTEIN', 70086),
(126361, 'PTHR31223:SF11', NULL, NULL, NULL, NULL, 'LOG FAMILY PROTEIN YJL055W', 70087);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(126362, 'PTHR22910', NULL, NULL, NULL, NULL, 'PROTEIN MGARP', 70088),
(126363, 'PTHR31722:SF26', NULL, NULL, NULL, NULL, 'OS02G0165500 PROTEIN', 70089),
(126364, 'PTHR31852:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70090),
(126365, 'PTHR37444', NULL, NULL, NULL, NULL, 'PROTEIN CBG24900-RELATED', 70091),
(126366, 'PTHR31683:SF87', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 70092),
(126367, 'PTHR31140:SF116', NULL, NULL, NULL, NULL, 'BNACNNG66590D PROTEIN', 70093),
(126368, 'PTHR31087:SF90', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 2', 70094),
(126369, 'PTHR35368', NULL, NULL, NULL, NULL, 'HYDROPEROXIDE REDUCTASE', 70095),
(126370, 'PTHR35546:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70096),
(126371, 'PTHR33074:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70097),
(126372, 'PTHR18860:SF103', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14-F', 70098),
(126373, 'PTHR15710', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PRAJA', 70099),
(126374, 'PTHR48099:SF9', NULL, NULL, NULL, NULL, 'BNACNNG31000D PROTEIN', 70100),
(126375, 'PTHR31238:SF202', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 70101),
(126376, 'PTHR16477', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 106', 70102),
(126377, 'PTHR46013:SF4', NULL, NULL, NULL, NULL, 'CD22 MOLECULE-RELATED', 70103),
(126378, 'PTHR45959:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70104),
(126379, 'PTHR32499:SF7', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 16', 70105),
(126380, 'PTHR24418:SF403', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 70106),
(126381, 'PTHR33162:SF3', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATB, CHLOROPLASTIC', 70107),
(126382, 'PTHR22939:SF13', NULL, NULL, NULL, NULL, 'SERINE PROTEASE HTRA1', 70108),
(126383, 'PTHR33334:SF6', NULL, NULL, NULL, NULL, 'OS01G0281100 PROTEIN', 70109),
(126384, 'PTHR45650:SF50', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 70110),
(126385, 'PTHR45676:SF76', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 70111),
(126386, 'PTHR10300:SF5', NULL, NULL, NULL, NULL, 'CALCIPRESSIN-2', 70112),
(126387, 'PTHR11647:SF56', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINASE-RELATED PROTEIN 2', 70113),
(126388, 'PTHR15491', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 70114),
(126389, 'PTHR45674:SF4', NULL, NULL, NULL, NULL, 'DNA LIGASE 1', 70115),
(126390, 'PTHR11945:SF628', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN FUL-L', 70116),
(126391, 'PTHR46633', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC/MYB-RELATED', 70117),
(126392, 'PTHR12411:SF785', NULL, NULL, NULL, NULL, 'TESTIN-2', 70118),
(126393, 'PTHR47928:SF115', NULL, NULL, NULL, NULL, 'OS02G0126500 PROTEIN', 70119),
(126394, 'PTHR16515:SF32', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 5', 70120),
(126395, 'PTHR30579:SF2', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ARGP', 70121),
(126396, 'PTHR31639:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70122),
(126397, 'PTHR33085:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70123),
(126398, 'PTHR47920:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG24386', 70124),
(126399, 'PTHR45671:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG23535', 70125),
(126400, 'PTHR11863:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70126),
(126401, 'PTHR23294:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG21964', 70127),
(126402, 'PTHR19211:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70128),
(126403, 'PTHR33562:SF18', NULL, NULL, NULL, NULL, 'BOUDIN-RELATED', 70129),
(126404, 'PTHR23155:SF1098', NULL, NULL, NULL, NULL, 'OS11G0678400 PROTEIN', 70130),
(126405, 'PTHR10366:SF564', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALDEHYDE REDUCTASE ARI1-RELATED', 70131),
(126406, 'PTHR31604:SF26', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 4', 70132),
(126407, 'PTHR24062:SF174', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 5-RELATED', 70133),
(126408, 'PTHR45969:SF25', NULL, NULL, NULL, NULL, 'OS02G0682300 PROTEIN', 70134);
INSERT INTO "PUBLIC"."MODEL" VALUES
(126409, 'PTHR24027:SF433', NULL, NULL, NULL, NULL, 'CADHERIN 27', 70135),
(126410, 'PTHR48041:SF73', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', 70136),
(126411, 'PTHR43792', NULL, NULL, NULL, NULL, 'GNAT FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00765)-RELATED-RELATED', 70137),
(126412, 'PTHR11654:SF416', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.11', 70138),
(126413, 'PTHR47293:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70139),
(126414, 'PTHR30514:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 70140),
(126415, 'PTHR31223:SF43', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 70141),
(126416, 'PTHR47446:SF2', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 70142),
(126417, 'PTHR26452:SF695', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 5 SUBFAMILY F MEMBER 1', 70143),
(126418, 'PTHR46694:SF5', NULL, NULL, NULL, NULL, 'ARID/BRIGHT DNA-BINDING DOMAIN PROTEIN', 70144),
(126419, 'PTHR11926:SF1364', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 70145),
(126420, 'PTHR11093:SF7', NULL, NULL, NULL, NULL, 'RUVB-LIKE HELICASE', 70146),
(126421, 'PTHR23309', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-COA DEHYROGENASE', 70147),
(126422, 'PTHR35358:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE-LIKE PROTEIN (PEARLI 4) FAMILY PROTEIN', 70148),
(126423, 'PTHR47184:SF2', NULL, NULL, NULL, NULL, 'SYMPLEKIN/PTA1-RELATED', 70149),
(126424, 'PTHR33110:SF35', NULL, NULL, NULL, NULL, 'OS02G0714801 PROTEIN', 70150),
(126425, 'PTHR48017:SF165', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 1-LIKE', 70151),
(126426, 'PTHR10578:SF114', NULL, NULL, NULL, NULL, '(S)-2-HYDROXY-ACID OXIDASE GLO1', 70152),
(126427, 'PTHR33203:SF57', NULL, NULL, NULL, NULL, 'OLEOSIN', 70153),
(126428, 'PTHR22870:SF375', NULL, NULL, NULL, NULL, 'ULTRAVIOLET-B RECEPTOR UVR8-LIKE ISOFORM X1', 70154),
(126429, 'PTHR37427:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG00435', 70155),
(126430, 'PTHR11731:SF162', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE 4-RELATED', 70156),
(126431, 'PTHR10615:SF175', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATXR6', 70157),
(126432, 'PTHR31985:SF220', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 70158),
(126433, 'PTHR33222', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 70159),
(126434, 'PTHR10502:SF210', NULL, NULL, NULL, NULL, 'PRION PROTEIN B', 70160),
(126435, 'PTHR14619', NULL, NULL, NULL, NULL, 'NEURON-DERIVED NEUROTROPHIC FACTOR', 70161),
(126436, 'PTHR31190:SF309', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-12', 70162),
(126437, 'PTHR14054:SF14', NULL, NULL, NULL, NULL, 'REPETIN', 70163),
(126438, 'PTHR45762:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER RNA-BINDING PROTEIN', 70164),
(126439, 'PTHR33909', NULL, NULL, NULL, NULL, 'SEC TRANSLOCON ACCESSORY COMPLEX SUBUNIT YAJC', 70165),
(126440, 'PTHR12956:SF38', NULL, NULL, NULL, NULL, 'F3H9.11 PROTEIN', 70166),
(126441, 'PTHR13343:SF35', NULL, NULL, NULL, NULL, 'FMN-BINDING SPLIT BARREL-RELATED', 70167),
(126442, 'PTHR45693:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA2.2', 70168),
(126443, 'PTHR11849:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PU.1', 70169),
(126444, 'PTHR32289:SF2', NULL, NULL, NULL, NULL, 'ALANINE AND ARGININE-RICH DOMAIN-CONTAINING PROTEIN', 70170),
(126445, 'PTHR31339:SF0', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 70171),
(126446, 'PTHR15964:SF0', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN B RECEPTOR', 70172),
(126447, 'PTHR24393:SF88', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 345', 70173),
(126448, 'PTHR46682:SF1', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR V1', 70174),
(126449, 'PTHR32266:SF23', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE', 70175),
(126450, 'PTHR23036:SF175', NULL, NULL, NULL, NULL, 'INTERLEUKIN-3 RECEPTOR SUBUNIT ALPHA', 70176),
(126451, 'PTHR24256:SF219', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 33', 70177),
(126452, 'PTHR12035:SF119', NULL, NULL, NULL, NULL, 'SI:CH73-380L3.1-RELATED', 70178);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(126453, 'PTHR10476:SF18', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 1B', 70179),
(126454, 'PTHR31225:SF117', NULL, NULL, NULL, NULL, 'INACTIVE SESQUITHUJENE SYNTHASE', 70180),
(126455, 'PTHR21229:SF55', NULL, NULL, NULL, NULL, 'LUNG SEVEN TRANSMEMBRANE RECEPTOR FAMILY PROTEIN', 70181),
(126456, 'PTHR15123', NULL, NULL, NULL, NULL, 'SECRETED AND TRANSMEMBRANE PROTEIN 1', 70182),
(126457, 'PTHR24377:SF874', NULL, NULL, NULL, NULL, 'KRAB-CONTAINING ZINC-FINGER PROTEIN KRAZ2', 70183),
(126458, 'PTHR45714:SF26', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', 70184),
(126459, 'PTHR24321:SF8', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 70185),
(126460, 'PTHR11945:SF581', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN CMB1-LIKE', 70186),
(126461, 'PTHR16290:SF29', NULL, NULL, NULL, NULL, 'BNAA08G27050D PROTEIN', 70187),
(126462, 'PTHR32468:SF23', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 14', 70188),
(126463, 'PTHR11814:SF65', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 1.3', 70189),
(126464, 'PTHR23421:SF88', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 14', 70190),
(126465, 'PTHR11561:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE, CYTOSOLIC [GTP]', 70191),
(126466, 'PTHR43103:SF3', NULL, NULL, NULL, NULL, 'ADP-L-GLYCERO-D-MANNO-HEPTOSE-6-EPIMERASE', 70192),
(126467, 'PTHR23281:SF26', NULL, NULL, NULL, NULL, 'MOESIN', 70193),
(126468, 'PTHR48153:SF1', NULL, NULL, NULL, NULL, 'UFM1-SPECIFIC PROTEASE 2', 70194),
(126469, 'PTHR16007:SF21', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 45A', 70195),
(126470, 'PTHR48043:SF69', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE, EXPRESSED-RELATED', 70196),
(126471, 'PTHR24221:SF219', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', 70197),
(126472, 'PTHR46277:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70198),
(126473, 'PTHR10120:SF26', NULL, NULL, NULL, NULL, 'OS01G0970700 PROTEIN', 70199),
(126474, 'PTHR31225:SF60', NULL, NULL, NULL, NULL, 'TRICYCLENE SYNTHASE, CHLOROPLASTIC', 70200),
(126475, 'PTHR33604:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0004B13.7 PROTEIN', 70201),
(126476, 'PTHR13891', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 70202),
(126477, 'PTHR33386', NULL, NULL, NULL, NULL, 'OS02G0740600 PROTEIN', 70203),
(126478, 'PTHR23415:SF31', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT', 70204),
(126479, 'PTHR10677:SF48', NULL, NULL, NULL, NULL, 'BNAC09G09230D PROTEIN', 70205),
(126480, 'PTHR46449:SF5', NULL, NULL, NULL, NULL, 'ZGC:158260', 70206),
(126481, 'PTHR31852:SF226', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70207),
(126482, 'PTHR45722:SF9', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35', 70208),
(126483, 'PTHR22974', NULL, NULL, NULL, NULL, 'MIXED LINEAGE PROTEIN KINASE', 70209),
(126484, 'PTHR11544:SF108', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN CSPA-RELATED', 70210),
(126485, 'PTHR31316', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE-LIKE PROTEIN NCA3, MITOCHONDRIAL-RELATED', 70211),
(126486, 'PTHR12375:SF31', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN LUC7-LIKE 1-RELATED', 70212),
(126487, 'PTHR13274', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN S25', 70213),
(126488, 'PTHR47177:SF4', NULL, NULL, NULL, NULL, '2X PHD DOMAIN CONTAINING PROTEIN-LIKE', 70214),
(126489, 'PTHR37376:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70215),
(126490, 'PTHR15160:SF9', NULL, NULL, NULL, NULL, 'ZGC:194223 PROTEIN', 70216),
(126491, 'PTHR35996:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0038O10.25 PROTEIN', 70217),
(126492, 'PTHR11760:SF49', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3-2-LIKE', 70218),
(126493, 'PTHR14217:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70219),
(126494, 'PTHR10869:SF190', NULL, NULL, NULL, NULL, 'PROLYL-4-HYDROXYLASE 5', 70220),
(126495, 'PTHR47999:SF26', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 70221),
(126496, 'PTHR31802:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70222),
(126497, 'PTHR43323:SF9', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', 70223); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(126498, 'PTHR10891:SF887', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND PROTEIN', 70224),
(126499, 'PTHR10361:SF58', NULL, NULL, NULL, NULL, 'SODIUM/METABOLITE COTRANSPORTER BASS2, CHLOROPLASTIC-RELATED', 70225),
(126500, 'PTHR42861:SF107', NULL, NULL, NULL, NULL, 'P-TYPE ATPASE, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 70226),
(126501, 'PTHR16172:SF38', NULL, NULL, NULL, NULL, 'GH27779P', 70227),
(126502, 'PTHR33076:SF101', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 1-LIKE', 70228),
(126503, 'PTHR36030', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 70229),
(126504, 'PTHR24062', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 70230),
(126505, 'PTHR19868:SF0', NULL, NULL, NULL, NULL, 'RECEPTOR OF ACTIVATED PROTEIN C KINASE 1', 70231),
(126506, 'PTHR13778:SF55', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 70232),
(126507, 'PTHR11691:SF57', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-16-RELATED', 70233),
(126508, 'PTHR31972:SF57', NULL, NULL, NULL, NULL, 'BNAA02G30050D PROTEIN', 70234),
(126509, 'PTHR24058:SF12', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TYROSINE-PHOSPHORYLATION-REGULATED KINASE 1B', 70235),
(126510, 'PTHR45724:SF13', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP1-1-RELATED', 70236),
(126511, 'PTHR21713:SF18', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX ALPHA SUBUNIT-LIKE PROTEIN', 70237),
(126512, 'PTHR12659:SF3', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 8', 70238),
(126513, 'PTHR33346:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70239),
(126514, 'PTHR46733:SF3', NULL, NULL, NULL, NULL, '23.6 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', 70240),
(126515, 'PTHR22792:SF51', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 1', 70241),
(126516, 'PTHR45788:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70242),
(126517, 'PTHR27007:SF351', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', 70243),
(126518, 'PTHR22412:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG15873', 70244),
(126519, 'PTHR31062:SF149', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 70245),
(126520, 'PTHR31286', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1.8-LIKE', 70246),
(126521, 'PTHR12242:SF40', NULL, NULL, NULL, NULL, 'BNAA03G53740D PROTEIN', 70247),
(126522, 'PTHR34216:SF3', NULL, NULL, NULL, NULL, 'POLY-BETA-1,6-N-ACETYL-D-GLUCOSAMINE N-DEACETYLASE', 70248),
(126523, 'PTHR43713:SF3', NULL, NULL, NULL, NULL, 'GLUTAMATE-1-SEMIALDEHYDE 2,1-AMINOMUTASE 1, CHLOROPLASTIC-RELATED', 70249),
(126524, 'PTHR34659:SF1', NULL, NULL, NULL, NULL, 'F3N23.33 PROTEIN', 70250),
(126525, 'PTHR24399:SF18', NULL, NULL, NULL, NULL, 'RE1 SILENCING TRANSCRIPTION FACTOR', 70251),
(126526, 'PTHR11709:SF292', NULL, NULL, NULL, NULL, 'LACCASE-1', 70252),
(126527, 'PTHR48018:SF15', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 70253),
(126528, 'PTHR31006:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG09232', 70254),
(126529, 'PTHR45869', NULL, NULL, NULL, NULL, 'C-REACTIVE PROTEIN-RELATED', 70255),
(126530, 'PTHR24056:SF422', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 14, CHLOROPLASTIC-RELATED', 70256),
(126531, 'PTHR47987:SF3', NULL, NULL, NULL, NULL, 'OS08G0249100 PROTEIN', 70257),
(126532, 'PTHR45863:SF16', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK1-2', 70258),
(126533, 'PTHR22765:SF187', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHA4A-RELATED', 70259),
(126534, 'PTHR19853:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 3', 70260),
(126535, 'PTHR16717:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 8, ISOFORM A', 70261),
(126536, 'PTHR22776:SF88', NULL, NULL, NULL, NULL, 'MAL, T CELL DIFFERENTIATION PROTEIN B-RELATED', 70262),
(126537, 'PTHR28632:SF3', NULL, NULL, NULL, NULL, 'HCG2014768, ISOFORM CRA_A', 70263),
(126538, 'PTHR31713:SF46', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 A-LIKE ISOFORM X1', 70264),
(126539, 'PTHR31221:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70265),
(126540, 'PTHR47541:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 70266);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(126541, 'PTHR46048:SF4', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLIC ACID RECEPTOR 1-4', 70267),
(126542, 'PTHR45969:SF31', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHA2B', 70268),
(126543, 'PTHR26453:SF25', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 70269),
(126544, 'PTHR34803:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT XI, CHLOROPLASTIC', 70270),
(126545, 'PTHR31301:SF115', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 10', 70271),
(126546, 'PTHR33995:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG18546', 70272),
(126547, 'PTHR23226:SF76', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 23', 70273),
(126548, 'PTHR12062:SF3', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE-LIKE PROTEIN MGAT4E', 70274),
(126549, 'PTHR24128:SF12', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN WARIAI', 70275),
(126550, 'PTHR46121:SF2', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 3', 70276),
(126551, 'PTHR45730:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', 70277),
(126552, 'PTHR31124:SF10', NULL, NULL, NULL, NULL, 'BNAC01G28650D PROTEIN', 70278),
(126553, 'PTHR33090:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70279),
(126554, 'PTHR12190:SF4', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 8-LIKE', 70280),
(126555, 'PTHR35287', NULL, NULL, NULL, NULL, 'SI:ZFOS-911D5.4', 70281),
(126556, 'PTHR36131', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 8-1', 70282),
(126557, 'PTHR12544:SF33', NULL, NULL, NULL, NULL, 'GLUTAMINASE LIVER ISOFORM, MITOCHONDRIAL', 70283),
(126558, 'PTHR33576:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70284),
(126559, 'PTHR30514:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, RPIR FAMILY', 70285),
(126560, 'PTHR11736:SF63', NULL, NULL, NULL, NULL, 'RIKEN CDNA 3830417A13', 70286),
(126561, 'PTHR10291:SF18', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 70287),
(126562, 'PTHR31734:SF28', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA17', 70288),
(126563, 'PTHR47565:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE 19-2', 70289),
(126564, 'PTHR43875:SF3', NULL, NULL, NULL, NULL, 'MALTOSE/MALTODEXTRIN IMPORT ATP-BINDING PROTEIN MALK', 70290),
(126565, 'PTHR47990:SF86', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 5', 70291),
(126566, 'PTHR45617:SF42', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING G PROTEIN-COUPLED RECEPTOR 6', 70292),
(126567, 'PTHR22953', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE RELATED', 70293),
(126568, 'PTHR24221:SF539', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 4-LIKE', 70294),
(126569, 'PTHR31945:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SCREAM2', 70295),
(126570, 'PTHR31911:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM133', 70296),
(126571, 'PTHR14038', NULL, NULL, NULL, NULL, 'BAT2  HLA-B-ASSOCIATED TRANSCRIPT 2', 70297),
(126572, 'PTHR31947:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70298),
(126573, 'PTHR10687:SF62', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 70299),
(126574, 'PTHR21454:SF26', NULL, NULL, NULL, NULL, 'EXPP1 PROTEIN', 70300),
(126575, 'PTHR32108:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70301),
(126576, 'PTHR23164:SF17', NULL, NULL, NULL, NULL, 'EARLY ENDOSOME ANTIGEN 1', 70302),
(126577, 'PTHR48048:SF45', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 70303),
(126578, 'PTHR45651:SF92', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-GATED ION CHANNEL, PUTATIVE-RELATED', 70304),
(126579, 'PTHR26450:SF396', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 70305),
(126580, 'PTHR10218:SF302', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(O) SUBUNIT ALPHA', 70306),
(126581, 'PTHR12411:SF525', NULL, NULL, NULL, NULL, 'CATHEPSIN S', 70307),
(126582, 'PTHR23319:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70308),
(126583, 'PTHR10168:SF221', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S5', 70309),
(126584, 'PTHR12632:SF52', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-4-LIKE', 70310);
INSERT INTO "PUBLIC"."MODEL" VALUES
(126585, 'PTHR11334:SF22', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER X1', 70311),
(126586, 'PTHR44329:SF80', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE EDR1-LIKE ISOFORM X1', 70312),
(126587, 'PTHR24052:SF12', NULL, NULL, NULL, NULL, 'PLATELET ENDOTHELIAL AGGREGATION RECEPTOR 1', 70313),
(126588, 'PTHR24031:SF620', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70314),
(126589, 'PTHR13163:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 35B', 70315),
(126590, 'PTHR11101:SF93', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 70316),
(126591, 'PTHR38139:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70317),
(126592, 'PTHR19965:SF58', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G08310)-RELATED', 70318),
(126593, 'PTHR35762', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 70319),
(126594, 'PTHR21022:SF30', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', 70320),
(126595, 'PTHR33193:SF27', NULL, NULL, NULL, NULL, 'OS07G0690200 PROTEIN', 70321),
(126596, 'PTHR24012:SF840', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 70322),
(126597, 'PTHR47209:SF6', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 70323),
(126598, 'PTHR46301:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70324),
(126599, 'PTHR10491:SF4', NULL, NULL, NULL, NULL, 'METHIONINE ADENOSYLTRANSFERASE 2 SUBUNIT BETA', 70325),
(126600, 'PTHR32212:SF339', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 70326),
(126601, 'PTHR12707', NULL, NULL, NULL, NULL, 'PINN', 70327),
(126602, 'PTHR46631:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE', 70328),
(126603, 'PTHR36607:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70329),
(126604, 'PTHR11661:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12', 70330),
(126605, 'PTHR45688:SF1', NULL, NULL, NULL, NULL, 'ETHANOLAMINE-PHOSPHATE PHOSPHO-LYASE', 70331),
(126606, 'PTHR39222:SF2', NULL, NULL, NULL, NULL, 'GENE 28372-RELATED', 70332),
(126607, 'PTHR24055:SF381', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 70333),
(126608, 'PTHR47364:SF13', NULL, NULL, NULL, NULL, 'BNAA01G17250D PROTEIN', 70334),
(126609, 'PTHR33915:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0033G05.11 PROTEIN', 70335),
(126610, 'PTHR34054:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 70336),
(126611, 'PTHR11304:SF43', NULL, NULL, NULL, NULL, 'VAB-2', 70337),
(126612, 'PTHR10091:SF26', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 70338),
(126613, 'PTHR45855:SF26', NULL, NULL, NULL, NULL, 'OS07G0143200 PROTEIN', 70339),
(126614, 'PTHR23239:SF184', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 42', 70340),
(126615, 'PTHR23226:SF224', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 263', 70341),
(126616, 'PTHR11654:SF389', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.7', 70342),
(126617, 'PTHR27006:SF101', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', 70343),
(126618, 'PTHR35021', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 70344),
(126619, 'PTHR19212:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (IN FLII)-INTERACTING PROTEIN 1A', 70345),
(126620, 'PTHR36318:SF4', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE, RNA-DEPENDENT DNA POLYMERASE-RELATED', 70346),
(126621, 'PTHR11374:SF51', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', 70347),
(126622, 'PTHR43544:SF20', NULL, NULL, NULL, NULL, 'ZGC:110339', 70348),
(126623, 'PTHR45939:SF4', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 17', 70349),
(126624, 'PTHR10623:SF32', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN RP/EB FAMILY MEMBER 1A', 70350),
(126625, 'PTHR35182:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG04730', 70351),
(126626, 'PTHR22168:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70352),
(126627, 'PTHR23331:SF3', NULL, NULL, NULL, NULL, 'WAS PROTEIN FAMILY HOMOLOG 6', 70353),
(126628, 'PTHR42847:SF9', NULL, NULL, NULL, NULL, 'BLL6451 PROTEIN', 70354),
(126629, 'PTHR36181:SF6', NULL, NULL, NULL, NULL, 'INTRON-ENCODED LAGLIDADG ENDONUCLEASE FAMILY PROTEIN', 70355);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(126630, 'PTHR11346:SF116', NULL, NULL, NULL, NULL, 'GALECTIN', 70356),
(126631, 'PTHR31646', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSYLTRANSFERASE MNN2', 70357),
(126632, 'PTHR33147:SF37', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 13-RELATED', 70358),
(126633, 'PTHR47074:SF18', NULL, NULL, NULL, NULL, '14.7 KDA RIBONUCLEASE H-LIKE PROTEIN', 70359),
(126634, 'PTHR10772:SF0', NULL, NULL, NULL, NULL, '10 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', 70360),
(126635, 'PTHR16134:SF103', NULL, NULL, NULL, NULL, 'BNAA03G56600D PROTEIN', 70361),
(126636, 'PTHR19290:SF145', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX', 70362),
(126637, 'PTHR27001:SF682', NULL, NULL, NULL, NULL, 'OS03G0113000 PROTEIN', 70363),
(126638, 'PTHR11920:SF355', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-10-RELATED', 70364),
(126639, 'PTHR10903:SF109', NULL, NULL, NULL, NULL, 'SI:CH211-254C8.3-RELATED', 70365),
(126640, 'PTHR24147:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70366),
(126641, 'PTHR47950:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70367),
(126642, 'PTHR31174:SF32', NULL, NULL, NULL, NULL, 'OS12G0470000 PROTEIN', 70368),
(126643, 'PTHR45868:SF8', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', 70369),
(126644, 'PTHR30006:SF24', NULL, NULL, NULL, NULL, 'ABC-TYPE IRON(III) TRANSPORT SYSTEM, PERIPLASMIC COMPONENT', 70370),
(126645, 'PTHR23266:SF83', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY CONSTANT GAMMA 1-RELATED', 70371),
(126646, 'PTHR31253:SF0', NULL, NULL, NULL, NULL, 'BRI3-BINDING PROTEIN', 70372),
(126647, 'PTHR48056:SF29', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', 70373),
(126648, 'PTHR24406:SF11', NULL, NULL, NULL, NULL, 'SI:DKEYP-2E4.2-RELATED', 70374),
(126649, 'PTHR12884:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', 70375),
(126650, 'PTHR10779:SF17', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN ROADBLOCK-TYPE 1', 70376),
(126651, 'PTHR11550:SF25', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', 70377),
(126652, 'PTHR31096:SF74', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR10-LIKE', 70378),
(126653, 'PTHR31057:SF0', NULL, NULL, NULL, NULL, 'E3 UFM1-PROTEIN LIGASE 1', 70379),
(126654, 'PTHR11654:SF452', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.5', 70380),
(126655, 'PTHR47046:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE ASSEMBLY FACTOR 1, MITOCHONDRIAL', 70381),
(126656, 'PTHR13061:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70382),
(126657, 'PTHR11532:SF87', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE D', 70383),
(126658, 'PTHR40142:SF1', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B, MEMBER 9B-RELATED', 70384),
(126659, 'PTHR22923:SF64', NULL, NULL, NULL, NULL, 'C1Q-RELATED FACTOR', 70385),
(126660, 'PTHR10281:SF94', NULL, NULL, NULL, NULL, 'MEMBRANE STEROID-BINDING PROTEIN 2', 70386),
(126661, 'PTHR27009:SF193', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE UNC-51-RELATED', 70387),
(126662, 'PTHR24092:SF187', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 70388),
(126663, 'PTHR10676:SF284', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 17, AXONEMAL', 70389),
(126664, 'PTHR11905:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70390),
(126665, 'PTHR33130:SF48', NULL, NULL, NULL, NULL, 'BNAA08G03040D PROTEIN', 70391),
(126666, 'PTHR11439:SF234', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON TNT 1-94-LIKE PROTEIN', 70392),
(126667, 'PTHR10334:SF430', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', 70393),
(126668, 'PTHR12210:SF155', NULL, NULL, NULL, NULL, 'FCP1-LIKE DOMAIN, HAD-LIKE DOMAIN PROTEIN-RELATED', 70394),
(126669, 'PTHR43801:SF1', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING PROTEIN-RELATED', 70395),
(126670, 'PTHR10288:SF290', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70396),
(126671, 'PTHR12992:SF34', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 3', 70397),
(126672, 'PTHR33308', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN HYDROLASE FLGJ', 70398);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(126673, 'PTHR33181:SF10', NULL, NULL, NULL, NULL, 'OS01G0288200 PROTEIN', 70399),
(126674, 'PTHR27005:SF318', NULL, NULL, NULL, NULL, 'SNTOX1 SENSITIVITY PROTEIN', 70400),
(126675, 'PTHR11385:SF14', NULL, NULL, NULL, NULL, 'AFAMIN', 70401),
(126676, 'PTHR12027:SF104', NULL, NULL, NULL, NULL, 'PROTEIN WNT', 70402),
(126677, 'PTHR31500:SF49', NULL, NULL, NULL, NULL, 'AT HOOK MOTIF DNA-BINDING FAMILY PROTEIN', 70403),
(126678, 'PTHR33172:SF54', NULL, NULL, NULL, NULL, 'BNAC04G49880D PROTEIN', 70404),
(126679, 'PTHR37435', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 70405),
(126680, 'PTHR34676:SF3', NULL, NULL, NULL, NULL, 'BNAA04G11390D PROTEIN', 70406),
(126681, 'PTHR32285:SF170', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 43', 70407),
(126682, 'PTHR46169:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 1', 70408),
(126683, 'PTHR46245:SF10', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS07G0563300', 70409),
(126684, 'PTHR11538:SF66', NULL, NULL, NULL, NULL, 'DUF2431 DOMAIN PROTEIN', 70410),
(126685, 'PTHR11885:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70411),
(126686, 'PTHR46218:SF4', NULL, NULL, NULL, NULL, 'LIM AND SH3 DOMAIN PROTEIN LASP', 70412),
(126687, 'PTHR42083:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70413),
(126688, 'PTHR46816:SF6', NULL, NULL, NULL, NULL, 'OS03G0304500 PROTEIN', 70414),
(126689, 'PTHR47924:SF9', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 70415),
(126690, 'PTHR20982:SF12', NULL, NULL, NULL, NULL, 'OSJNBA0076N16.8 PROTEIN', 70416),
(126691, 'PTHR17600', NULL, NULL, NULL, NULL, 'MESODERM DEVELOPMENT CANDIDATE 2', 70417),
(126692, 'PTHR46668:SF5', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR6', 70418),
(126693, 'PTHR38449', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN TM_1690-RELATED', 70419),
(126694, 'PTHR30128:SF59', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I PSAA/PSAB-RELATED', 70420),
(126695, 'PTHR11945:SF170', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL11', 70421),
(126696, 'PTHR23382:SF3', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE, CYTOPLASMIC', 70422),
(126697, 'PTHR32093:SF143', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 4', 70423),
(126698, 'PTHR43658:SF8', NULL, NULL, NULL, NULL, '17-BETA-HYDROXYSTEROID DEHYDROGENASE 14-RELATED', 70424),
(126699, 'PTHR43530:SF1', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE CATALYTIC SUBUNIT 1', 70425),
(126700, 'PTHR23267', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LIGHT CHAIN', 70426),
(126701, 'PTHR13169:SF18', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN', 70427),
(126702, 'PTHR16231:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70428),
(126703, 'PTHR23253:SF66', NULL, NULL, NULL, NULL, 'BNAA08G12910D PROTEIN', 70429),
(126704, 'PTHR10639:SF31', NULL, NULL, NULL, NULL, 'BNAA07G00560D PROTEIN', 70430),
(126705, 'PTHR31675:SF35', NULL, NULL, NULL, NULL, 'BNAA07G38010D PROTEIN', 70431),
(126706, 'PTHR35133:SF4', NULL, NULL, NULL, NULL, 'PROTEIN EFFECTOR OF TRANSCRIPTION 1', 70432),
(126707, 'PTHR10334:SF445', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', 70433),
(126708, 'PTHR11746:SF275', NULL, NULL, NULL, NULL, 'TABERSONINE 16-O-METHYLTRANSFERASE', 70434),
(126709, 'PTHR30108:SF7', NULL, NULL, NULL, NULL, '3-POLYPRENYL-4-HYDROXYBENZOATE DECARBOXYLASE', 70435),
(126710, 'PTHR20859:SF80', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR FAMILY MEMBER B15-RELATED', 70436),
(126711, 'PTHR10194:SF138', NULL, NULL, NULL, NULL, 'INHIBITORY REGULATOR PROTEIN IRA1-RELATED', 70437),
(126712, 'PTHR22891:SF122', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 10', 70438),
(126713, 'PTHR19331:SF400', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70439),
(126714, 'PTHR19370:SF204', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', 70440),
(126715, 'PTHR17039', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RIBONUCLEOPROTEIN PROTEIN MPP10', 70441),
(126716, 'PTHR24305:SF201', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, CONSERVED SITE', 70442); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(126717, 'PTHR13902:SF137', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK11-RELATED', 70443),
(126718, 'PTHR22811:SF37', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 9', 70444),
(126719, 'PTHR31707:SF258', NULL, NULL, NULL, NULL, 'BNAA06G00180D PROTEIN', 70445),
(126720, 'PTHR31992:SF207', NULL, NULL, NULL, NULL, 'OBF BINDING PROTEIN 2 DOF1.1-1', 70446),
(126721, 'PTHR47928:SF122', NULL, NULL, NULL, NULL, 'OS06G0700100 PROTEIN', 70447),
(126722, 'PTHR32444:SF138', NULL, NULL, NULL, NULL, 'D-MANNOSE-BINDING LECTIN PROTEIN', 70448),
(126723, 'PTHR47928:SF82', NULL, NULL, NULL, NULL, 'OS01G0715700 PROTEIN', 70449),
(126724, 'PTHR31964:SF122', NULL, NULL, NULL, NULL, 'OS02G0760500 PROTEIN', 70450),
(126725, 'PTHR46158:SF13', NULL, NULL, NULL, NULL, 'BNAA10G13380D PROTEIN', 70451),
(126726, 'PTHR36746:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70452),
(126727, 'PTHR13271:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70453),
(126728, 'PTHR38224', NULL, NULL, NULL, NULL, 'PHLOEM SPECIFIC PROTEIN', 70454),
(126729, 'PTHR34660:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70455),
(126730, 'PTHR32071:SF79', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 70456),
(126731, 'PTHR22802:SF11', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER D', 70457),
(126732, 'PTHR10338:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70458),
(126733, 'PTHR11442:SF87', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT ALPHA', 70459),
(126734, 'PTHR12064:SF83', NULL, NULL, NULL, NULL, 'BNAA09G50940D PROTEIN', 70460),
(126735, 'PTHR48011:SF5', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE NPK1-LIKE', 70461),
(126736, 'PTHR22745:SF3', NULL, NULL, NULL, NULL, 'PARATHYMOSIN', 70462),
(126737, 'PTHR32295:SF207', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', 70463),
(126738, 'PTHR46985:SF1', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 8', 70464),
(126739, 'PTHR45693:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBP-1B(C1)', 70465),
(126740, 'PTHR27001:SF711', NULL, NULL, NULL, NULL, 'OS01G0927500 PROTEIN', 70466),
(126741, 'PTHR47947:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82A2', 70467),
(126742, 'PTHR21513:SF24', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 70468),
(126743, 'PTHR24114:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70469),
(126744, 'PTHR31734:SF166', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 70470),
(126745, 'PTHR33078:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70471),
(126746, 'PTHR12817', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 6B', 70472),
(126747, 'PTHR11820:SF111', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE (FAA) HYDROLASE FAMILY', 70473),
(126748, 'PTHR12096', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN SKIP-RELATED', 70474),
(126749, 'PTHR48049:SF82', NULL, NULL, NULL, NULL, '7-DEOXYLOGANETIC ACID GLUCOSYLTRANSFERASE-LIKE ISOFORM X1', 70475),
(126750, 'PTHR40052', NULL, NULL, NULL, NULL, 'UPF0403 PROTEIN YQIW-RELATED', 70476),
(126751, 'PTHR26454:SF8', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C2', 70477),
(126752, 'PTHR10177:SF482', NULL, NULL, NULL, NULL, 'BNAA10G27360D PROTEIN', 70478),
(126753, 'PTHR32370:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70479),
(126754, 'PTHR11592:SF106', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 70480),
(126755, 'PTHR31352:SF46', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', 70481),
(126756, 'PTHR31269:SF34', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH3', 70482),
(126757, 'PTHR46352:SF8', NULL, NULL, NULL, NULL, 'OS08G0562300 PROTEIN', 70483),
(126758, 'PTHR46038:SF43', NULL, NULL, NULL, NULL, 'BNAANNG05330D PROTEIN', 70484),
(126759, 'PTHR47843:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70485),
(126760, 'PTHR10362:SF37', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE 3', 70486),
(126761, 'PTHR13173', NULL, NULL, NULL, NULL, 'WW DOMAIN BINDING PROTEIN 4', 70487),
(126762, 'PTHR24296:SF147', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1', 70488);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(126763, 'PTHR11706:SF85', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP1', 70489),
(126764, 'PTHR48010:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70490),
(126765, 'PTHR12203:SF22', NULL, NULL, NULL, NULL, 'CAPSULE ASSOCIATED PROTEIN', 70491),
(126766, 'PTHR24240:SF92', NULL, NULL, NULL, NULL, 'RETINAL G PROTEIN-COUPLED RECEPTOR B', 70492),
(126767, 'PTHR34372:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C-2-RELATED', 70493),
(126768, 'PTHR19965:SF25', NULL, NULL, NULL, NULL, 'REF/ALY RNA EXPORT ADAPTOR FAMILY', 70494),
(126769, 'PTHR11003:SF240', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 70495),
(126770, 'PTHR31225:SF83', NULL, NULL, NULL, NULL, '(R)-LINALOOL SYNTHASE TPS5, CHLOROPLASTIC', 70496),
(126771, 'PTHR27006:SF363', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN, SERINE/THREONINE-PROTEIN KINASE PLK3-RELATED', 70497),
(126772, 'PTHR24062:SF32', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 70498),
(126773, 'PTHR48017:SF23', NULL, NULL, NULL, NULL, 'BNAA09G57240D PROTEIN', 70499),
(126774, 'PTHR32116:SF63', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 12-RELATED', 70500),
(126775, 'PTHR23513:SF17', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 70501),
(126776, 'PTHR45648:SF92', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 70502),
(126777, 'PTHR24327:SF74', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN DISTAL-LESS', 70503),
(126778, 'PTHR22835:SF587', NULL, NULL, NULL, NULL, 'ESTERASE-RELATED', 70504),
(126779, 'PTHR38459:SF1', NULL, NULL, NULL, NULL, 'PROPHAGE BACTOPRENOL-LINKED GLUCOSE TRANSLOCASE HOMOLOG', 70505),
(126780, 'PTHR47926:SF77', NULL, NULL, NULL, NULL, 'BNAC08G46300D PROTEIN', 70506),
(126781, 'PTHR33827:SF3', NULL, NULL, NULL, NULL, 'OS09G0346900 PROTEIN', 70507),
(126782, 'PTHR38603:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE NAPD', 70508),
(126783, 'PTHR31218:SF288', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 70509),
(126784, 'PTHR24217:SF13', NULL, NULL, NULL, NULL, 'SYNAPTOPODIN', 70510),
(126785, 'PTHR22298:SF60', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 70511),
(126786, 'PTHR43826:SF6', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE TRANSPORTER', 70512),
(126787, 'PTHR45950:SF17', NULL, NULL, NULL, NULL, 'BNAC03G69040D PROTEIN', 70513),
(126788, 'PTHR27009:SF162', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 70514),
(126789, 'PTHR24296:SF123', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94A2-LIKE', 70515),
(126790, 'PTHR24271:SF52', NULL, NULL, NULL, NULL, 'GRANZYME K', 70516),
(126791, 'PTHR22957:SF272', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATING PROTEIN-LIKE', 70517),
(126792, 'PTHR21074:SF0', NULL, NULL, NULL, NULL, 'IQ AND UBIQUITIN-LIKE DOMAIN-CONTAINING PROTEIN', 70518),
(126793, 'PTHR36311:SF2', NULL, NULL, NULL, NULL, 'BNAC08G43200D PROTEIN', 70519),
(126794, 'PTHR10621:SF55', NULL, NULL, NULL, NULL, 'UBIQUITIN RECEPTOR RAD23D-LIKE ISOFORM X1', 70520),
(126795, 'PTHR11878:SF37', NULL, NULL, NULL, NULL, 'NA/CA EXCHANGERS', 70521),
(126796, 'PTHR13832:SF285', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 22-RELATED', 70522),
(126797, 'PTHR11761:SF36', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23', 70523),
(126798, 'PTHR15201', NULL, NULL, NULL, NULL, 'CRSP70', 70524),
(126799, 'PTHR10098:SF106', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR ASPARTATE PHOSPHATASE G', 70525),
(126800, 'PTHR23024:SF411', NULL, NULL, NULL, NULL, 'ISOPRENYLCYSTEINE ALPHA-CARBONYL METHYLESTERASE ICMEL2-RELATED', 70526),
(126801, 'PTHR47863:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70527),
(126802, 'PTHR23415:SF12', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT 2', 70528),
(126803, 'PTHR27005:SF360', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70529),
(126804, 'PTHR31189', NULL, NULL, NULL, NULL, 'OS03G0336100 PROTEIN-RELATED', 70530),
(126805, 'PTHR43245:SF23', NULL, NULL, NULL, NULL, 'HREPIB', 70531),
(126806, 'PTHR32295:SF106', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 24', 70532),
(126807, 'PTHR23201:SF111', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 10', 70533);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(126808, 'PTHR37975', NULL, NULL, NULL, NULL, 'FLYWCH ZINC FINGER TRANSCRIPTION FACTOR HOMOLOG', 70534),
(126809, 'PTHR24068:SF194', NULL, NULL, NULL, NULL, 'NEDD8-CONJUGATING ENZYME UBE2F', 70535),
(126810, 'PTHR46216:SF4', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 37-LIKE 1', 70536),
(126811, 'PTHR11909:SF382', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE', 70537),
(126812, 'PTHR31415:SF141', NULL, NULL, NULL, NULL, 'BNAANNG23450D PROTEIN', 70538),
(126813, 'PTHR24156:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 34B', 70539),
(126814, 'PTHR47364:SF19', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 1-LIKE', 70540),
(126815, 'PTHR38106:SF1', NULL, NULL, NULL, NULL, 'RNA CHAPERONE PROQ', 70541),
(126816, 'PTHR11654:SF478', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', 70542),
(126817, 'PTHR31744:SF120', NULL, NULL, NULL, NULL, 'BNAC05G40360D PROTEIN', 70543),
(126818, 'PTHR24567:SF58', NULL, NULL, NULL, NULL, 'CYCLIC AMP-BINDING REGULATORY PROTEIN', 70544),
(126819, 'PTHR46146:SF9', NULL, NULL, NULL, NULL, 'CYTOKININ-REGULATED KINASE-LIKE', 70545),
(126820, 'PTHR28047:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70546),
(126821, 'PTHR24334', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GBX', 70547),
(126822, 'PTHR11875:SF126', NULL, NULL, NULL, NULL, 'NAP1-RELATED PROTEIN 2', 70548),
(126823, 'PTHR10332:SF4', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER 4', 70549),
(126824, 'PTHR41309:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 70550),
(126825, 'PTHR43811:SF42', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 70551),
(126826, 'PTHR12482:SF14', NULL, NULL, NULL, NULL, 'OS02G0655600 PROTEIN', 70552),
(126827, 'PTHR45029', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE-RELATED', 70553),
(126828, 'PTHR31048:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70554),
(126829, 'PTHR32145:SF11', NULL, NULL, NULL, NULL, 'DIFLAVIN FLAVOPROTEIN A 2-RELATED', 70555),
(126830, 'PTHR46049:SF5', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY H MEMBER 3', 70556),
(126831, 'PTHR43004:SF16', NULL, NULL, NULL, NULL, 'PHENOL 2-MONOOXYGENASE', 70557),
(126832, 'PTHR11732:SF214', NULL, NULL, NULL, NULL, 'NADP(+) COUPLED GLYCEROL DEHYDROGENASE (EUROFUNG)', 70558),
(126833, 'PTHR45653:SF7', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 4', 70559),
(126834, 'PTHR47941:SF4', NULL, NULL, NULL, NULL, 'OS12G0407800 PROTEIN', 70560),
(126835, 'PTHR33076:SF21', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 13', 70561),
(126836, 'PTHR47548:SF1', NULL, NULL, NULL, NULL, 'BNAA06G32370D PROTEIN', 70562),
(126837, 'PTHR48005:SF40', NULL, NULL, NULL, NULL, 'BNACNNG36800D PROTEIN', 70563),
(126838, 'PTHR38934:SF15', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 70564),
(126839, 'PTHR15711:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70565),
(126840, 'PTHR10067:SF7', NULL, NULL, NULL, NULL, 'DUF1077 FAMILY PROTEIN', 70566),
(126841, 'PTHR10285:SF149', NULL, NULL, NULL, NULL, 'URIDINE KINASE', 70567),
(126842, 'PTHR12814', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN NOB1', 70568),
(126843, 'PTHR43791:SF59', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06550)-RELATED', 70569),
(126844, 'PTHR12692:SF6', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 3B-RELATED', 70570),
(126845, 'PTHR30124', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND LYTIC MUREIN TRANSGLYCOSYLASE A', 70571),
(126846, 'PTHR34782:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE', 70572),
(126847, 'PTHR46087:SF1', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 70573),
(126848, 'PTHR43503:SF11', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-6', 70574),
(126849, 'PTHR42911', NULL, NULL, NULL, NULL, 'MODULATOR OF FTSH PROTEASE HFLC', 70575),
(126850, 'PTHR26454:SF45', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 70576),
(126851, 'PTHR24221:SF242', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY B MEMBER 9', 70577);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(126852, 'PTHR31631:SF0', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 2D', 70578),
(126853, 'PTHR47993:SF161', NULL, NULL, NULL, NULL, 'BNACNNG21380D PROTEIN', 70579),
(126854, 'PTHR45680:SF13', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 70580),
(126855, 'PTHR11668:SF437', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 70581),
(126856, 'PTHR44420:SF4', NULL, NULL, NULL, NULL, 'F18O14.31-RELATED', 70582),
(126857, 'PTHR33244:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70583),
(126858, 'PTHR30448', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 70584),
(126859, 'PTHR11843:SF21', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 70585),
(126860, 'PTHR33199:SF15', NULL, NULL, NULL, NULL, 'MACPF DOMAIN-CONTAINING PROTEIN CAD1-LIKE', 70586),
(126861, 'PTHR33736:SF23', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 70587),
(126862, 'PTHR33179:SF4', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', 70588),
(126863, 'PTHR46291:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70589),
(126864, 'PTHR11880:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70590),
(126865, 'PTHR34924:SF1', NULL, NULL, NULL, NULL, 'UPF0573 PROTEIN C2ORF70', 70591),
(126866, 'PTHR31111:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70592),
(126867, 'PTHR43228:SF6', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR RECEIVER', 70593),
(126868, 'PTHR26452:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 14J1', 70594),
(126869, 'PTHR11903:SF28', NULL, NULL, NULL, NULL, 'PSI-PRODUCING OXYGENASE A', 70595),
(126870, 'PTHR11510:SF15', NULL, NULL, NULL, NULL, 'INOSITOL-3-PHOSPHATE SYNTHASE 1', 70596),
(126871, 'PTHR45862:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATASE-RELATED', 70597),
(126872, 'PTHR33914:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70598),
(126873, 'PTHR22599:SF11', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 3', 70599),
(126874, 'PTHR23428:SF209', NULL, NULL, NULL, NULL, 'HISTONE H2B 5', 70600),
(126875, 'PTHR43268:SF5', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN', 70601),
(126876, 'PTHR19303:SF10', NULL, NULL, NULL, NULL, 'TIGGER TRANSPOSABLE ELEMENT DERIVED 5', 70602),
(126877, 'PTHR36570:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-DISULFIDE OXIDOREDUCTASE DSBI', 70603),
(126878, 'PTHR43625:SF11', NULL, NULL, NULL, NULL, 'AFLATOXIN B1 ALDEHYDE REDUCTASE MEMBER 3-RELATED', 70604),
(126879, 'PTHR16234', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN FLJ20508', 70605),
(126880, 'PTHR28060', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT J, MITOCHONDRIAL', 70606),
(126881, 'PTHR46542:SF1', NULL, NULL, NULL, NULL, 'X-BOX BINDING PROTEIN 1', 70607),
(126882, 'PTHR27009:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70608),
(126883, 'PTHR31235:SF321', NULL, NULL, NULL, NULL, 'PEROXIDASE 27', 70609),
(126884, 'PTHR47926:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70610),
(126885, 'PTHR11782:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70611),
(126886, 'PTHR11753:SF19', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT SIGMA-2', 70612),
(126887, 'PTHR22847:SF715', NULL, NULL, NULL, NULL, 'F-BOX/WD-40 DOMAIN-CONTAINING PROTEIN 2', 70613),
(126888, 'PTHR48021:SF57', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', 70614),
(126889, 'PTHR43899:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70615),
(126890, 'PTHR10759:SF12', NULL, NULL, NULL, NULL, 'BNAA09G02410D PROTEIN', 70616),
(126891, 'PTHR45886:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 70617),
(126892, 'PTHR47975:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 70618),
(126893, 'PTHR22798:SF10', NULL, NULL, NULL, NULL, 'MALIGNANT T-CELL-AMPLIFIED SEQUENCE 1', 70619),
(126894, 'PTHR33164:SF63', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ROT', 70620),
(126895, 'PTHR33915:SF9', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN-CONTAINING PROTEIN', 70621),
(126896, 'PTHR11017:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70622);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(126897, 'PTHR40012', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 29', 70623),
(126898, 'PTHR39160:SF5', NULL, NULL, NULL, NULL, 'LMO0186 PROTEIN', 70624),
(126899, 'PTHR22605:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70625),
(126900, 'PTHR24399:SF52', NULL, NULL, NULL, NULL, 'RCG58974-RELATED', 70626),
(126901, 'PTHR34768', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 89', 70627),
(126902, 'PTHR46038:SF30', NULL, NULL, NULL, NULL, 'OS01G0921100 PROTEIN', 70628),
(126903, 'PTHR24377:SF649', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 415', 70629),
(126904, 'PTHR38489:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70630),
(126905, 'PTHR38088', NULL, NULL, NULL, NULL, 'UCP029143 FAMILY PROTEIN', 70631),
(126906, 'PTHR24177:SF301', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', 70632),
(126907, 'PTHR11724:SF1', NULL, NULL, NULL, NULL, 'LEPTIN', 70633),
(126908, 'PTHR10997:SF60', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 70634),
(126909, 'PTHR14477', NULL, NULL, NULL, NULL, 'CUB DOMAIN-CONTAINING PROTEIN 1', 70635),
(126910, 'PTHR43211:SF1', NULL, NULL, NULL, NULL, 'BLL6422 PROTEIN', 70636),
(126911, 'PTHR11183:SF153', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 70637),
(126912, 'PTHR11814:SF132', NULL, NULL, NULL, NULL, 'LD38576P-RELATED', 70638),
(126913, 'PTHR22847:SF647', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 6, ISOFORM F-RELATED', 70639),
(126914, 'PTHR31121:SF7', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE KTR4-RELATED', 70640),
(126915, 'PTHR18966:SF413', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 21A', 70641),
(126916, 'PTHR45960', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED-BINDING PROTEIN', 70642),
(126917, 'PTHR14399:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70643),
(126918, 'PTHR31503:SF58', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', 70644),
(126919, 'PTHR12111:SF10', NULL, NULL, NULL, NULL, 'BNAANNG34380D PROTEIN', 70645),
(126920, 'PTHR43000', NULL, NULL, NULL, NULL, 'DTDP-D-GLUCOSE 4,6-DEHYDRATASE-RELATED', 70646),
(126921, 'PTHR14154:SF72', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER 3', 70647),
(126922, 'PTHR24247:SF116', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 7', 70648),
(126923, 'PTHR16024', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', 70649),
(126924, 'PTHR10880:SF37', NULL, NULL, NULL, NULL, 'MALE-SPECIFIC LETHAL-3 PROTEIN-LIKE 2-RELATED', 70650),
(126925, 'PTHR12977:SF11', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE KMT5C', 70651),
(126926, 'PTHR16238:SF7', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 8', 70652),
(126927, 'PTHR11260', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, GST, SUPERFAMILY, GST DOMAIN CONTAINING', 70653),
(126928, 'PTHR31960:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70654),
(126929, 'PTHR31595:SF45', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 1-RELATED', 70655),
(126930, 'PTHR12894:SF34', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 3', 70656),
(126931, 'PTHR12064:SF59', NULL, NULL, NULL, NULL, 'UNEXTENDED, ISOFORM E', 70657),
(126932, 'PTHR12195:SF0', NULL, NULL, NULL, NULL, 'CYTOPLASMIC FMR1-INTERACTING PROTEIN 2', 70658),
(126933, 'PTHR13743:SF62', NULL, NULL, NULL, NULL, 'NEUROBEACHIN', 70659),
(126934, 'PTHR33453:SF28', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 70660),
(126935, 'PTHR42673:SF13', NULL, NULL, NULL, NULL, 'OS02G0564000 PROTEIN', 70661),
(126936, 'PTHR34560:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70662),
(126937, 'PTHR48001:SF59', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 70663),
(126938, 'PTHR38455:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 70664),
(126939, 'PTHR32258:SF27', NULL, NULL, NULL, NULL, 'INTERACTING (KIP1-LIKE) FAMILY PROTEIN, PUTATIVE-RELATED', 70665),
(126940, 'PTHR33168:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70666),
(126941, 'PTHR31549:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70667),
(126942, 'PTHR11787:SF1', NULL, NULL, NULL, NULL, 'RAB GDP DISSOCIATION INHIBITOR BETA', 70668);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(126943, 'PTHR24281:SF208', NULL, NULL, NULL, NULL, 'CYTOCHROME 71A2', 70669),
(126944, 'PTHR11516', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT, ALPHA SUBUNIT  BACTERIAL AND ORGANELLAR', 70670),
(126945, 'PTHR33376:SF5', NULL, NULL, NULL, NULL, 'SLR1962 PROTEIN', 70671),
(126946, 'PTHR21461:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 70672),
(126947, 'PTHR10994:SF136', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 70673),
(126948, 'PTHR46840', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 1', 70674),
(126949, 'PTHR22802:SF197', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER M', 70675),
(126950, 'PTHR31960:SF28', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, PHLOEM PROTEIN 2-LIKE PROTEIN-RELATED', 70676),
(126951, 'PTHR31223:SF48', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 70677),
(126952, 'PTHR14493:SF114', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 56', 70678),
(126953, 'PTHR33705:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOCARRIER PROTEIN NPR', 70679),
(126954, 'PTHR31775:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70680),
(126955, 'PTHR33447:SF2', NULL, NULL, NULL, NULL, 'PHYTOCHELATIN SYNTHASE', 70681),
(126956, 'PTHR24112', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT, ISOFORM F-RELATED', 70682),
(126957, 'PTHR31692:SF59', NULL, NULL, NULL, NULL, 'EXPANSIN-B1', 70683),
(126958, 'PTHR11615:SF331', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 70684),
(126959, 'PTHR19818:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZIC 3', 70685),
(126960, 'PTHR46484:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70686),
(126961, 'PTHR23169:SF25', NULL, NULL, NULL, NULL, 'MICROTUBULE-ACTIN CROSS-LINKING FACTOR 1, ISOFORMS 1/2/3/5', 70687),
(126962, 'PTHR18934:SF215', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE DEAH1-LIKE', 70688),
(126963, 'PTHR15348', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN  ARID DOMAIN- CONTAINING PROTEIN   DEAD RINGER PROTEIN   B-CELL REGULATOR OF IGH TRANSCRIPTION   BRIGHT', 70689),
(126964, 'PTHR11017:SF439', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 70690),
(126965, 'PTHR31444:SF35', NULL, NULL, NULL, NULL, 'IRX15/IRX15L/IGXM, POLYSACCHARIDE BIOSYNTHESIS DOMAIN PROTEIN-RELATED', 70691),
(126966, 'PTHR11640:SF133', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 10', 70692),
(126967, 'PTHR23065:SF27', NULL, NULL, NULL, NULL, 'SH3-CONTAINING GRB2-LIKE PROTEIN 3-INTERACTING PROTEIN 1', 70693),
(126968, 'PTHR46778:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1D', 70694),
(126969, 'PTHR24390:SF105', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 692', 70695),
(126970, 'PTHR45665:SF44', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', 70696),
(126971, 'PTHR24173:SF40', NULL, NULL, NULL, NULL, 'AGAP006757-PA', 70697),
(126972, 'PTHR10992:SF1013', NULL, NULL, NULL, NULL, 'ALPHA-HYDROXYNITRILE LYASE', 70698),
(126973, 'PTHR46463:SF12', NULL, NULL, NULL, NULL, 'BNAA03G45980D PROTEIN', 70699),
(126974, 'PTHR11776:SF23', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE 2', 70700),
(126975, 'PTHR45798:SF66', NULL, NULL, NULL, NULL, 'OS02G0541500 PROTEIN', 70701),
(126976, 'PTHR10694:SF43', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 5C', 70702),
(126977, 'PTHR45637:SF4', NULL, NULL, NULL, NULL, 'KINASE DOMAIN CONTAINING PROTEIN', 70703),
(126978, 'PTHR43775:SF20', NULL, NULL, NULL, NULL, 'HYBRID PKS-NRPS SYNTHETASE APDA', 70704),
(126979, 'PTHR47596:SF2', NULL, NULL, NULL, NULL, 'DVL13', 70705),
(126980, 'PTHR34383', NULL, NULL, NULL, NULL, 'POLYPHOSPHATE:AMP PHOSPHOTRANSFERASE-RELATED', 70706),
(126981, 'PTHR13808:SF1', NULL, NULL, NULL, NULL, 'NEJIRE, ISOFORM C', 70707),
(126982, 'PTHR24031:SF724', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', 70708),
(126983, 'PTHR20855:SF33', NULL, NULL, NULL, NULL, 'ADIPONECTIN RECEPTOR PROTEIN 2', 70709);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(126984, 'PTHR31828:SF24', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA', 70710),
(126985, 'PTHR46868', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 11', 70711),
(126986, 'PTHR18919:SF145', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE, MITOCHONDRIAL', 70712),
(126987, 'PTHR45707:SF45', NULL, NULL, NULL, NULL, 'PROTEIN QUIRKY-LIKE ISOFORM X1', 70713),
(126988, 'PTHR23091:SF282', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 11', 70714),
(126989, 'PTHR37180', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP14', 70715),
(126990, 'PTHR10885:SF1', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE 2', 70716),
(126991, 'PTHR36542:SF7', NULL, NULL, NULL, NULL, 'GIG2-LIKE PROTEIN DREO', 70717),
(126992, 'PTHR33800:SF13', NULL, NULL, NULL, NULL, 'OS06G0113600 PROTEIN', 70718),
(126993, 'PTHR13722:SF0', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN 8', 70719),
(126994, 'PTHR34835:SF37', NULL, NULL, NULL, NULL, 'OS08G0555500 PROTEIN', 70720),
(126995, 'PTHR35767:SF9', NULL, NULL, NULL, NULL, 'HAPLESS 8', 70721),
(126996, 'PTHR31884:SF9', NULL, NULL, NULL, NULL, 'ENDOPOLYGALACTURONASE D-RELATED', 70722),
(126997, 'PTHR43572:SF53', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPC2, CHLOROPLASTIC', 70723),
(126998, 'PTHR32002:SF50', NULL, NULL, NULL, NULL, 'BNAC03G47510D PROTEIN', 70724),
(126999, 'PTHR12565:SF325', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH78', 70725),
(127000, 'PTHR11993', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE 49 KDA SUBUNIT', 70726),
(127001, 'PTHR21245:SF10', NULL, NULL, NULL, NULL, 'SYNCRIP, ISOFORM Q', 70727),
(127002, 'PTHR26451:SF196', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 398', 70728),
(127003, 'PTHR34629:SF4', NULL, NULL, NULL, NULL, 'EARLY NODULIN-11', 70729),
(127004, 'PTHR47974:SF12', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE PLANT', 70730),
(127005, 'PTHR24298:SF820', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A2-LIKE', 70731),
(127006, 'PTHR47829', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 70732),
(127007, 'PTHR31168:SF22', NULL, NULL, NULL, NULL, 'OS08G0153900 PROTEIN', 70733),
(127008, 'PTHR37239:SF1', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 9', 70734),
(127009, 'PTHR44191:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYBS1', 70735),
(127010, 'PTHR11334:SF27', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER X1', 70736),
(127011, 'PTHR10992:SF1003', NULL, NULL, NULL, NULL, 'OS11G0492800 PROTEIN', 70737),
(127012, 'PTHR23500:SF537', NULL, NULL, NULL, NULL, 'OS04G0453266 PROTEIN', 70738),
(127013, 'PTHR45647:SF11', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', 70739),
(127014, 'PTHR33181:SF33', NULL, NULL, NULL, NULL, 'OS08G0241300 PROTEIN', 70740),
(127015, 'PTHR45717:SF47', NULL, NULL, NULL, NULL, 'BNAA07G00520D PROTEIN', 70741),
(127016, 'PTHR45476:SF2', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN', 70742),
(127017, 'PTHR12587:SF6', NULL, NULL, NULL, NULL, 'LIPRIN-ALPHA-2', 70743),
(127018, 'PTHR48044:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 70744),
(127019, 'PTHR23267:SF214', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 6N-6', 70745),
(127020, 'PTHR24260:SF107', NULL, NULL, NULL, NULL, 'EG:BACR7A4.3 PROTEIN-RELATED', 70746),
(127021, 'PTHR46128:SF252', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70747),
(127022, 'PTHR37915:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70748),
(127023, 'PTHR15348:SF25', NULL, NULL, NULL, NULL, 'BNAC07G06470D PROTEIN', 70749),
(127024, 'PTHR21324:SF9', NULL, NULL, NULL, NULL, 'ZGC:154058-RELATED', 70750),
(127025, 'PTHR43671:SF24', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK11', 70751),
(127026, 'PTHR46050:SF14', NULL, NULL, NULL, NULL, '43KDA POSTSYNAPTIC PROTEIN-RELATED', 70752),
(127027, 'PTHR14791:SF25', NULL, NULL, NULL, NULL, 'PROTEIN WWC3', 70753),
(127028, 'PTHR22809:SF4', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 2A-RELATED', 70754),
(127029, 'PTHR11117:SF6', NULL, NULL, NULL, NULL, 'SYNTHETASE SUBUNIT ALPHA, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G10830)-RELATED', 70755);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(127030, 'PTHR15153', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 9', 70756),
(127031, 'PTHR37540', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR (ACR-2), PUTATIVE-RELATED-RELATED', 70757),
(127032, 'PTHR33199:SF18', NULL, NULL, NULL, NULL, 'BNAA09G27290D PROTEIN', 70758),
(127033, 'PTHR13994:SF34', NULL, NULL, NULL, NULL, 'FI03680P', 70759),
(127034, 'PTHR31342:SF53', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN FAMILY PROTEIN, PUTATIVE-RELATED', 70760),
(127035, 'PTHR11073:SF37', NULL, NULL, NULL, NULL, 'SI:CH211-274F20.2', 70761),
(127036, 'PTHR16024:SF9', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 6', 70762),
(127037, 'PTHR11062:SF124', NULL, NULL, NULL, NULL, 'XYLOGALACTURONAN BETA-1,3-XYLOSYLTRANSFERASE', 70763),
(127038, 'PTHR31907:SF40', NULL, NULL, NULL, NULL, 'SN-1 PROTEIN', 70764),
(127039, 'PTHR24291:SF120', NULL, NULL, NULL, NULL, 'SI:DKEY-91I10.3', 70765),
(127040, 'PTHR32285:SF281', NULL, NULL, NULL, NULL, 'BNAA03G57390D PROTEIN', 70766),
(127041, 'PTHR23084:SF238', NULL, NULL, NULL, NULL, 'PROTEIN TIC 100', 70767),
(127042, 'PTHR22849:SF138', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 70768),
(127043, 'PTHR47929:SF19', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', 70769),
(127044, 'PTHR24388:SF60', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR SCRATCH 1', 70770),
(127045, 'PTHR21074', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 70771),
(127046, 'PTHR11616:SF241', NULL, NULL, NULL, NULL, 'TRANSPORTER', 70772),
(127047, 'PTHR33304:SF36', NULL, NULL, NULL, NULL, 'ZINC ION-BINDING PROTEIN', 70773),
(127048, 'PTHR11254:SF66', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ITCHY HOMOLOG', 70774),
(127049, 'PTHR11594:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', 70775),
(127050, 'PTHR45635:SF25', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN, MITOCHONDRIAL', 70776),
(127051, 'PTHR23320:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70777),
(127052, 'PTHR47464', NULL, NULL, NULL, NULL, 'MACOILIN', 70778),
(127053, 'PTHR31282:SF152', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING PROTEIN 54-RELATED', 70779),
(127054, 'PTHR44156:SF12', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING BETA SUBUNIT-LIKE PROTEIN', 70780),
(127055, 'PTHR47418', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 70781),
(127056, 'PTHR12301:SF3', NULL, NULL, NULL, NULL, 'SAM AND SH3 DOMAIN-CONTAINING PROTEIN 1', 70782),
(127057, 'PTHR11588:SF7', NULL, NULL, NULL, NULL, 'TUBULIN GAMMA CHAIN', 70783),
(127058, 'PTHR23056', NULL, NULL, NULL, NULL, 'CALCINEURIN B', 70784),
(127059, 'PTHR11654:SF408', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70785),
(127060, 'PTHR24282:SF212', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 PROTEIN-RELATED', 70786),
(127061, 'PTHR10072:SF47', NULL, NULL, NULL, NULL, 'PROTEIN SUFA', 70787),
(127062, 'PTHR31325:SF197', NULL, NULL, NULL, NULL, 'OS11G0171050 PROTEIN', 70788),
(127063, 'PTHR26450:SF106', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 70789),
(127064, 'PTHR11733:SF17', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', 70790),
(127065, 'PTHR10791:SF121', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 70791),
(127066, 'PTHR45977:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70792),
(127067, 'PTHR11972:SF94', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN D', 70793),
(127068, 'PTHR12281:SF26', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', 70794),
(127069, 'PTHR31215:SF25', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 70795),
(127070, 'PTHR31221:SF254', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 70796),
(127071, 'PTHR24012:SF808', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 70797),
(127072, 'PTHR44259:SF30', NULL, NULL, NULL, NULL, 'OS11G0593250 PROTEIN', 70798),
(127073, 'PTHR10257:SF95', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 70799),
(127074, 'PTHR43343:SF3', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 8, CHLOROPLASTIC', 70800);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(127075, 'PTHR44102:SF11', NULL, NULL, NULL, NULL, 'BNAA06G19640D PROTEIN', 70801),
(127076, 'PTHR45693:SF19', NULL, NULL, NULL, NULL, 'FACTOR BZIP PROTEIN, PUTATIVE-RELATED', 70802),
(127077, 'PTHR32467:SF170', NULL, NULL, NULL, NULL, 'RAFFINOSE SYNTHASE OR SEED INHIBITION PROTEIN SIP1', 70803),
(127078, 'PTHR12956:SF56', NULL, NULL, NULL, NULL, 'DUF616 FAMILY PROTEIN', 70804),
(127079, 'PTHR12632:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT ALPHA', 70805),
(127080, 'PTHR31072:SF97', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP4-LIKE', 70806),
(127081, 'PTHR23130:SF183', NULL, NULL, NULL, NULL, 'DOMON DOMAIN-CONTAINING PROTEIN-RELATED', 70807),
(127082, 'PTHR22939:SF101', NULL, NULL, NULL, NULL, 'PERIPLASMIC PH-DEPENDENT SERINE ENDOPROTEASE DEGQ', 70808),
(127083, 'PTHR45921:SF2', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA HOMEOBOX PROTEIN 1', 70809),
(127084, 'PTHR47965:SF6', NULL, NULL, NULL, NULL, 'OS05G0403000 PROTEIN', 70810),
(127085, 'PTHR32295:SF104', NULL, NULL, NULL, NULL, 'OS01G0833800 PROTEIN', 70811),
(127086, 'PTHR31301:SF97', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 12-LIKE', 70812),
(127087, 'PTHR30345:SF2', NULL, NULL, NULL, NULL, 'SUGAR-PHOSPHATE ISOMERASE-RELATED', 70813),
(127088, 'PTHR45768:SF54', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL47-RELATED', 70814),
(127089, 'PTHR43184:SF22', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE TRANSPORTER 1-RELATED', 70815),
(127090, 'PTHR37297:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NRDI', 70816),
(127091, 'PTHR11017:SF436', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70817),
(127092, 'PTHR33184', NULL, NULL, NULL, NULL, 'PROTEIN TAPETUM DETERMINANT 1-LIKE-RELATED', 70818),
(127093, 'PTHR46236:SF16', NULL, NULL, NULL, NULL, 'BNAA09G50850D PROTEIN', 70819),
(127094, 'PTHR31105:SF42', NULL, NULL, NULL, NULL, 'G-LIKE PROTEIN, PUTATIVE (DUF3133)-RELATED', 70820),
(127095, 'PTHR42764', NULL, NULL, NULL, NULL, 'PHOSPHONATES UTILIZATION ATP-BINDING PROTEIN PHNK-RELATED', 70821),
(127096, 'PTHR10887:SF419', NULL, NULL, NULL, NULL, 'RNA HELICASE MOV10L1', 70822),
(127097, 'PTHR47982:SF20', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 70823),
(127098, 'PTHR11439:SF326', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70824),
(127099, 'PTHR13516:SF8', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P25-LIKE PROTEIN', 70825),
(127100, 'PTHR13318:SF160', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 70826),
(127101, 'PTHR13169:SF22', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN', 70827),
(127102, 'PTHR46128:SF189', NULL, NULL, NULL, NULL, 'BNAC05G49570D PROTEIN', 70828),
(127103, 'PTHR31631:SF11', NULL, NULL, NULL, NULL, 'OS05G0119400 PROTEIN', 70829),
(127104, 'PTHR31836:SF11', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN DDB_G0293186', 70830),
(127105, 'PTHR11945:SF630', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 83-RELATED', 70831),
(127106, 'PTHR10672:SF34', NULL, NULL, NULL, NULL, 'CLASS II ALDOLASE/ADDUCIN DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G01330)', 70832),
(127107, 'PTHR47181:SF2', NULL, NULL, NULL, NULL, 'BRCA1 C TERMINUS DOMAIN CONTAINING PROTEIN, EXPRESSED', 70833),
(127108, 'PTHR31677:SF77', NULL, NULL, NULL, NULL, 'OS05G0497200 PROTEIN', 70834),
(127109, 'PTHR11200:SF261', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 12', 70835),
(127110, 'PTHR48004:SF2', NULL, NULL, NULL, NULL, 'TYROSINE-SULFATED GLYCOPEPTIDE RECEPTOR 1-RELATED', 70836),
(127111, 'PTHR43201:SF3', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (JCVI)-RELATED', 70837),
(127112, 'PTHR32026:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70838),
(127113, 'PTHR37857', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 273', 70839),
(127114, 'PTHR46442:SF10', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 70840),
(127115, 'PTHR45687:SF12', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP 1-3', 70841),
(127116, 'PTHR13169:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 3', 70842),
(127117, 'PTHR47978:SF2', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 70843);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(127118, 'PTHR11829:SF336', NULL, NULL, NULL, NULL, 'FORKHEAD TRANSCRIPTION FACTOR FAMILY', 70844),
(127119, 'PTHR45647:SF111', NULL, NULL, NULL, NULL, 'BNAC04G29590D PROTEIN', 70845),
(127120, 'PTHR35372:SF2', NULL, NULL, NULL, NULL, 'ATP BINDING PROTEIN-RELATED', 70846),
(127121, 'PTHR47980:SF30', NULL, NULL, NULL, NULL, 'SMALL GTP-BINDING PROTEIN RAB18', 70847),
(127122, 'PTHR11453:SF105', NULL, NULL, NULL, NULL, 'SODIUM BICARBONATE COTRANSPORTER 3', 70848),
(127123, 'PTHR23267:SF211', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 1-40-RELATED', 70849),
(127124, 'PTHR31218:SF283', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 70850),
(127125, 'PTHR34285:SF3', NULL, NULL, NULL, NULL, 'OS08G0510800 PROTEIN', 70851),
(127126, 'PTHR36805:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70852),
(127127, 'PTHR47990:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70853),
(127128, 'PTHR20914:SF8', NULL, NULL, NULL, NULL, 'GENE 12253-RELATED', 70854),
(127129, 'PTHR31301:SF122', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 11', 70855),
(127130, 'PTHR10426:SF114', NULL, NULL, NULL, NULL, 'TGW6', 70856),
(127131, 'PTHR34050:SF5', NULL, NULL, NULL, NULL, 'BNAA09G02810D PROTEIN', 70857),
(127132, 'PTHR33589:SF1', NULL, NULL, NULL, NULL, 'ZYMOGEN GRANULE PROTEIN 16 HOMOLOG B', 70858),
(127133, 'PTHR16148:SF13', NULL, NULL, NULL, NULL, 'NFKB-REPRESSING FACTOR', 70859),
(127134, 'PTHR43939:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70860),
(127135, 'PTHR35892', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN PAGN-RELATED', 70861),
(127136, 'PTHR10788:SF96', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 1', 70862),
(127137, 'PTHR21716:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70863),
(127138, 'PTHR12668:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14C', 70864),
(127139, 'PTHR47926:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70865),
(127140, 'PTHR24410:SF3', NULL, NULL, NULL, NULL, 'SERINE-ENRICHED PROTEIN', 70866),
(127141, 'PTHR27009:SF263', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 70867),
(127142, 'PTHR32329:SF4', NULL, NULL, NULL, NULL, 'ACTIVATOR OF 2-HYDROXYACYL-COA DEHYDRATASE-RELATED', 70868),
(127143, 'PTHR11054:SF17', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE 1-RELATED', 70869),
(127144, 'PTHR35166:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70870),
(127145, 'PTHR45615:SF36', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE, ISOFORM B', 70871),
(127146, 'PTHR45649:SF20', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 70872),
(127147, 'PTHR37240:SF1', NULL, NULL, NULL, NULL, 'PREPROTEIN TRANSLOCASE SUBUNIT SECE1', 70873),
(127148, 'PTHR11654:SF520', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', 70874),
(127149, 'PTHR30069:SF30', NULL, NULL, NULL, NULL, 'FERRIENTEROBACTIN RECEPTOR', 70875),
(127150, 'PTHR15486', NULL, NULL, NULL, NULL, 'ANCIENT UBIQUITOUS PROTEIN', 70876),
(127151, 'PTHR12702:SF6', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT', 70877),
(127152, 'PTHR23158:SF55', NULL, NULL, NULL, NULL, 'CTAGE FAMILY MEMBER 3-RELATED', 70878),
(127153, 'PTHR24006:SF706', NULL, NULL, NULL, NULL, 'SPECIFIC PROTEASE, PUTATIVE-RELATED', 70879),
(127154, 'PTHR22406:SF5', NULL, NULL, NULL, NULL, 'SLAIN MOTIF-CONTAINING PROTEIN-LIKE', 70880),
(127155, 'PTHR33021:SF156', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN', 70881),
(127156, 'PTHR34959:SF3', NULL, NULL, NULL, NULL, 'PROTEIN LAZY 1', 70882),
(127157, 'PTHR23284:SF4', NULL, NULL, NULL, NULL, 'BNAA06G34910D PROTEIN', 70883),
(127158, 'PTHR31225:SF145', NULL, NULL, NULL, NULL, '18-CINEOLE SYNTHASE 1 CHLOROPLASTIC', 70884),
(127159, 'PTHR41139:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70885),
(127160, 'PTHR22951:SF91', NULL, NULL, NULL, NULL, 'ENTH/ANTH/VHS SUPERFAMILY PROTEIN-RELATED', 70886),
(127161, 'PTHR23006:SF0', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 5', 70887),
(127162, 'PTHR46898:SF3', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED CARBOXYLESTERASE 101', 70888);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(127163, 'PTHR22884:SF501', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE CG1716-RELATED', 70889),
(127164, 'PTHR30177:SF29', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE-BINDING PROTEIN YEHZ', 70890),
(127165, 'PTHR35828:SF21', NULL, NULL, NULL, NULL, 'OS08G0203800 PROTEIN', 70891),
(127166, 'PTHR12902:SF23', NULL, NULL, NULL, NULL, 'GUK-HOLDER, ISOFORM A', 70892),
(127167, 'PTHR37304:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 70893),
(127168, 'PTHR46915:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70894),
(127169, 'PTHR31235:SF350', NULL, NULL, NULL, NULL, 'PEROXIDASE', 70895),
(127170, 'PTHR22941:SF292', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 70896),
(127171, 'PTHR21561:SF14', NULL, NULL, NULL, NULL, 'HIT ZINC FINGER AND PAPA-1-LIKE DOMAIN-CONTAINING PROTEIN', 70897),
(127172, 'PTHR13318:SF76', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP2', 70898),
(127173, 'PTHR22595:SF138', NULL, NULL, NULL, NULL, 'BASIC ENDOCHITINASE-LIKE', 70899),
(127174, 'PTHR37335', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700003F12 GENE', 70900),
(127175, 'PTHR24394', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 70901),
(127176, 'PTHR23012:SF177', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH11-LIKE', 70902),
(127177, 'PTHR38934:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70903),
(127178, 'PTHR33146:SF20', NULL, NULL, NULL, NULL, 'S1/P1 NUCLEASE FAMILY PROTEIN', 70904),
(127179, 'PTHR33453:SF23', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 70905),
(127180, 'PTHR45695', NULL, NULL, NULL, NULL, 'LEUCOKININ RECEPTOR-RELATED', 70906),
(127181, 'PTHR23155:SF1137', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 70907),
(127182, 'PTHR31265:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70908),
(127183, 'PTHR27006:SF279', NULL, NULL, NULL, NULL, 'BNAC06G27220D PROTEIN', 70909),
(127184, 'PTHR31062:SF108', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 9', 70910),
(127185, 'PTHR45622:SF12', NULL, NULL, NULL, NULL, 'SI:CH211-281G13.4-RELATED', 70911),
(127186, 'PTHR10857:SF122', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PHOSPHOLIPID-BINDING COPINE FAMILY PROTEIN-RELATED', 70912),
(127187, 'PTHR22594:SF34', NULL, NULL, NULL, NULL, 'ASPARAGINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', 70913),
(127188, 'PTHR48201:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70914),
(127189, 'PTHR11439:SF359', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', 70915),
(127190, 'PTHR46500:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 221', 70916),
(127191, 'PTHR11841:SF1', NULL, NULL, NULL, NULL, 'REELIN', 70917),
(127192, 'PTHR12210:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70918),
(127193, 'PTHR43094:SF1', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE CLASS-III', 70919),
(127194, 'PTHR45339:SF3', NULL, NULL, NULL, NULL, 'SENSORY HISTIDINE PROTEIN KINASE', 70920),
(127195, 'PTHR12112:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70921),
(127196, 'PTHR10903:SF148', NULL, NULL, NULL, NULL, 'SI:DKEY-185M8.2', 70922),
(127197, 'PTHR11188:SF45', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', 70923),
(127198, 'PTHR40626:SF24', NULL, NULL, NULL, NULL, 'RESPIRATION FACTOR 2-RELATED', 70924),
(127199, 'PTHR30483:SF39', NULL, NULL, NULL, NULL, 'ABC-TYPE BRANCHED-CHAIN AMINO ACID TRANSPORT SYSTEM, PERIPLASMIC COMPONENT', 70925),
(127200, 'PTHR16861', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN 38', 70926),
(127201, 'PTHR45647:SF45', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 33-LIKE', 70927),
(127202, 'PTHR33601:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LITTLE ZIPPER 4', 70928),
(127203, 'PTHR38049:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70929),
(127204, 'PTHR27004:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70930),
(127205, 'PTHR16517:SF119', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 3-RELATED', 70931),
(127206, 'PTHR33741:SF4', NULL, NULL, NULL, NULL, 'BNAANNG16770D PROTEIN', 70932),
(127207, 'PTHR14281:SF4', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SPC25', 70933);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(127208, 'PTHR11860:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70934),
(127209, 'PTHR11525:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70935),
(127210, 'PTHR23306:SF3', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR PROTEIN 101', 70936),
(127211, 'PTHR43570:SF17', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 3 MEMBER F1', 70937),
(127212, 'PTHR16675:SF1', NULL, NULL, NULL, NULL, 'UL16-BINDING PROTEIN 1 ISOFORM 1', 70938),
(127213, 'PTHR37610:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0286465-RELATED', 70939),
(127214, 'PTHR47386:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 1B', 70940),
(127215, 'PTHR24343:SF149', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 70941),
(127216, 'PTHR16200:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70942),
(127217, 'PTHR47041', NULL, NULL, NULL, NULL, 'SEC14 CYTOSOLIC FACTOR FAMILY PROTEIN / PHOSPHOGLYCERIDE TRANSFER FAMILY PROTEIN', 70943),
(127218, 'PTHR33413:SF24', NULL, NULL, NULL, NULL, 'BNAC03G27640D PROTEIN', 70944),
(127219, 'PTHR13038:SF18', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 9', 70945),
(127220, 'PTHR21385:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 70946),
(127221, 'PTHR36321:SF13', NULL, NULL, NULL, NULL, 'BNAA04G12920D PROTEIN', 70947),
(127222, 'PTHR13780:SF114', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', 70948),
(127223, 'PTHR12400:SF44', NULL, NULL, NULL, NULL, 'KINASE', 70949),
(127224, 'PTHR23028:SF115', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 70950),
(127225, 'PTHR31852:SF223', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, GROUP 2', 70951),
(127226, 'PTHR48019:SF38', NULL, NULL, NULL, NULL, 'BNAA06G01120D PROTEIN', 70952),
(127227, 'PTHR45621:SF37', NULL, NULL, NULL, NULL, 'OS06G0202900 PROTEIN', 70953),
(127228, 'PTHR24418:SF391', NULL, NULL, NULL, NULL, 'TYROSINE KINASE, NON-RECEPTOR, 2A-RELATED', 70954),
(127229, 'PTHR19422:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70955),
(127230, 'PTHR21377:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70956),
(127231, 'PTHR45905:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-BINDING PROTEIN GGA1', 70957),
(127232, 'PTHR22891:SF162', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE PNH1', 70958),
(127233, 'PTHR23260:SF1', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 3-3', 70959),
(127234, 'PTHR23112:SF5', NULL, NULL, NULL, NULL, 'CYCLIC AMP RECEPTOR-LIKE PROTEIN D', 70960),
(127235, 'PTHR16024:SF6', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', 70961),
(127236, 'PTHR47965:SF71', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 70962),
(127237, 'PTHR34126:SF9', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 22', 70963),
(127238, 'PTHR46503:SF10', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR, TYPE A-RELATED', 70964),
(127239, 'PTHR48052:SF39', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM3', 70965),
(127240, 'PTHR34281:SF14', NULL, NULL, NULL, NULL, 'EARLY FLOWERING PROTEIN', 70966),
(127241, 'PTHR40690', NULL, NULL, NULL, NULL, 'GLL3100 PROTEIN', 70967),
(127242, 'PTHR45732:SF19', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8B ISOFORM X1', 70968),
(127243, 'PTHR34732:SF2', NULL, NULL, NULL, NULL, '73 KDA PARAFLAGELLAR ROD PROTEIN', 70969),
(127244, 'PTHR27001:SF882', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE DOMAIN KINASE', 70970),
(127245, 'PTHR31165:SF64', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 5', 70971),
(127246, 'PTHR22883:SF105', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 70972),
(127247, 'PTHR47824', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 70973),
(127248, 'PTHR47950:SF21', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 76, SUBFAMILY C, POLYPEPTIDE 5-RELATED', 70974),
(127249, 'PTHR11705:SF20', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE B', 70975),
(127250, 'PTHR24282:SF136', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP749A22-LIKE', 70976);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(127251, 'PTHR46780:SF13', NULL, NULL, NULL, NULL, 'SI:CH211-66I15.5', 70977),
(127252, 'PTHR12151:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SCO1 HOMOLOG 2, MITOCHONDRIAL', 70978),
(127253, 'PTHR45495:SF1', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN JJJ1 HOMOLOG', 70979),
(127254, 'PTHR31235:SF196', NULL, NULL, NULL, NULL, 'PEROXIDASE', 70980),
(127255, 'PTHR11455:SF18', NULL, NULL, NULL, NULL, 'SI:CH1073-390K14.1', 70981),
(127256, 'PTHR24409:SF384', NULL, NULL, NULL, NULL, 'CES-1-RELATED', 70982),
(127257, 'PTHR46845:SF3', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR 1', 70983),
(127258, 'PTHR40562', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 70984),
(127259, 'PTHR48016:SF27', NULL, NULL, NULL, NULL, 'STE PROTEIN KINASE', 70985),
(127260, 'PTHR31260:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70986),
(127261, 'PTHR11062:SF114', NULL, NULL, NULL, NULL, 'OS04G0574100 PROTEIN', 70987),
(127262, 'PTHR45672:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE A5', 70988),
(127263, 'PTHR31734:SF41', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA28-RELATED', 70989),
(127264, 'PTHR31903:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70990),
(127265, 'PTHR19969:SF10', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATING PROTEIN FAMILY', 70991),
(127266, 'PTHR23199:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SPAETZLE 5', 70992),
(127267, 'PTHR36374:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70993),
(127268, 'PTHR11158:SF17', NULL, NULL, NULL, NULL, 'PROTEIN SLOWMO', 70994),
(127269, 'PTHR48022:SF51', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11920)-RELATED', 70995),
(127270, 'PTHR16290:SF30', NULL, NULL, NULL, NULL, 'DECAPPING ENZYME 1A, PUTATIVE-RELATED', 70996),
(127271, 'PTHR48047:SF122', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 70997),
(127272, 'PTHR34658:SF2', NULL, NULL, NULL, NULL, 'OS01G0151800 PROTEIN', 70998),
(127273, 'PTHR32343:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 70999),
(127274, 'PTHR10774:SF149', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-5', 71000),
(127275, 'PTHR31956:SF26', NULL, NULL, NULL, NULL, 'NON-SPECIFIC PHOSPHOLIPASE C2', 71001),
(127276, 'PTHR10454:SF218', NULL, NULL, NULL, NULL, 'CASPA PROTEIN-RELATED', 71002),
(127277, 'PTHR24023:SF973', NULL, NULL, NULL, NULL, 'PROTEIN CBR-COL-44', 71003),
(127278, 'PTHR24083:SF151', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-91', 71004),
(127279, 'PTHR24247:SF217', NULL, NULL, NULL, NULL, 'D(1A) DOPAMINE RECEPTOR', 71005),
(127280, 'PTHR11909:SF108', NULL, NULL, NULL, NULL, 'PROTEIN CBG10779', 71006),
(127281, 'PTHR31761:SF1', NULL, NULL, NULL, NULL, 'GROWTH ARREST AND DNA DAMAGE-INDUCIBLE PROTEINS-INTERACTING PROTEIN 1', 71007),
(127282, 'PTHR10791:SF126', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 71008),
(127283, 'PTHR23354:SF75', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING GPI-ANCHORED PROTEIN LYP6', 71009),
(127284, 'PTHR12663:SF23', NULL, NULL, NULL, NULL, 'T24D18.4', 71010),
(127285, 'PTHR26453:SF34', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13C3', 71011),
(127286, 'PTHR47494:SF1', NULL, NULL, NULL, NULL, 'NKG2-D TYPE II INTEGRAL MEMBRANE PROTEIN', 71012),
(127287, 'PTHR21304', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 71013),
(127288, 'PTHR24281:SF81', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81E8-LIKE', 71014),
(127289, 'PTHR13720:SF50', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE 2', 71015),
(127290, 'PTHR47825:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71016),
(127291, 'PTHR12175:SF1', NULL, NULL, NULL, NULL, 'PITH DOMAIN-CONTAINING PROTEIN 1', 71017),
(127292, 'PTHR42861:SF81', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 71018),
(127293, 'PTHR10983:SF19', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE-LIKE', 71019),
(127294, 'PTHR12984:SF3', NULL, NULL, NULL, NULL, 'N-TERMINAL KINASE-LIKE PROTEIN', 71020),
(127295, 'PTHR43888:SF33', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN HOMOLOG', 71021),
(127296, 'PTHR14614:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71022); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(127297, 'PTHR21290:SF25', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN SYNTHASE-RELATED PROTEIN 1', 71023),
(127298, 'PTHR24177:SF323', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS TRANSMEMBRANE PROTEIN-LIKE', 71024),
(127299, 'PTHR33463:SF50', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPS5-LIKE PROTEIN', 71025),
(127300, 'PTHR46176:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM76A', 71026),
(127301, 'PTHR13270:SF8', NULL, NULL, NULL, NULL, 'LIMPET, ISOFORM K', 71027),
(127302, 'PTHR47971:SF16', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 71028),
(127303, 'PTHR31374:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71029),
(127304, 'PTHR36482:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71030),
(127305, 'PTHR31677:SF161', NULL, NULL, NULL, NULL, 'BNAA06G40170D PROTEIN', 71031),
(127306, 'PTHR42683:SF61', NULL, NULL, NULL, NULL, '8-HYDROXYGERANIOL DEHYDROGENASE-LIKE', 71032),
(127307, 'PTHR31319:SF39', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 1', 71033),
(127308, 'PTHR12430:SF1', NULL, NULL, NULL, NULL, 'TOMM20-LIKE PROTEIN 1', 71034),
(127309, 'PTHR10031:SF32', NULL, NULL, NULL, NULL, 'ATP SYNTHASE F(0) COMPLEX SUBUNIT C1, MITOCHONDRIAL', 71035),
(127310, 'PTHR24012:SF795', NULL, NULL, NULL, NULL, 'BRUNOL5 PROTEIN-RELATED', 71036),
(127311, 'PTHR34382:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM SUGAR-SPECIFIC EII COMPONENT', 71037),
(127312, 'PTHR19134:SF331', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE V', 71038),
(127313, 'PTHR33790:SF1', NULL, NULL, NULL, NULL, 'OS05G0344200 PROTEIN', 71039),
(127314, 'PTHR46798:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 71040),
(127315, 'PTHR37959', NULL, NULL, NULL, NULL, 'PROTEIN CBG15758', 71041),
(127316, 'PTHR10024:SF115', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-11', 71042),
(127317, 'PTHR34945:SF7', NULL, NULL, NULL, NULL, 'BNAC03G21390D PROTEIN', 71043),
(127318, 'PTHR39174:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 71044),
(127319, 'PTHR20648', NULL, NULL, NULL, NULL, 'ELONGIN-C', 71045),
(127320, 'PTHR43795:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71046),
(127321, 'PTHR10315:SF111', NULL, NULL, NULL, NULL, 'OS07G0659800 PROTEIN', 71047),
(127322, 'PTHR36710:SF3', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 71048),
(127323, 'PTHR11017:SF409', NULL, NULL, NULL, NULL, 'BNAA02G23780D PROTEIN', 71049),
(127324, 'PTHR10807:SF8', NULL, NULL, NULL, NULL, 'GH09546P', 71050),
(127325, 'PTHR14009:SF38', NULL, NULL, NULL, NULL, 'BNAA10G30500D PROTEIN', 71051),
(127326, 'PTHR42898:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71052),
(127327, 'PTHR21523', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 71053),
(127328, 'PTHR10426:SF103', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 3-LIKE', 71054),
(127329, 'PTHR26453:SF127', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 71055),
(127330, 'PTHR11985:SF29', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE, MITOCHONDRIAL', 71056),
(127331, 'PTHR43880:SF14', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 4', 71057),
(127332, 'PTHR30447', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE CLASS 2', 71058),
(127333, 'PTHR44328:SF5', NULL, NULL, NULL, NULL, 'PROTEIN IN2-1 HOMOLOG A', 71059),
(127334, 'PTHR48001:SF120', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 71060),
(127335, 'PTHR46477:SF20', NULL, NULL, NULL, NULL, 'OS08G0404900 PROTEIN', 71061),
(127336, 'PTHR46368:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71062),
(127337, 'PTHR31225:SF108', NULL, NULL, NULL, NULL, '(E,E)-GERMACRENE B SYNTHASE', 71063),
(127338, 'PTHR31072:SF153', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP4-LIKE', 71064),
(127339, 'PTHR47255:SF4', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 22-RELATED', 71065),
(127340, 'PTHR12004:SF14', NULL, NULL, NULL, NULL, 'PRORELAXIN H1', 71066),
(127341, 'PTHR30354:SF23', NULL, NULL, NULL, NULL, 'GNTP FAMILY PERMEASE', 71067),
(127342, 'PTHR47586', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 71068);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(127343, 'PTHR43603:SF5', NULL, NULL, NULL, NULL, 'COBALAMIN (VITAMIN B12) BIOSYNTHESIS COBW-LIKE,C-TERMINAL', 71069),
(127344, 'PTHR23310:SF116', NULL, NULL, NULL, NULL, 'BNAA08G07670D PROTEIN', 71070),
(127345, 'PTHR11620:SF75', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L25/L23-RELATED', 71071),
(127346, 'PTHR16675:SF250', NULL, NULL, NULL, NULL, 'HISTOCOMPATIBILITY 2, T REGION LOCUS 24', 71072),
(127347, 'PTHR12563:SF15', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 2, MITOCHONDRIAL', 71073),
(127348, 'PTHR14969', NULL, NULL, NULL, NULL, 'SPHINGOSINE-1-PHOSPHATE PHOSPHOHYDROLASE', 71074),
(127349, 'PTHR38693', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS PROTEIN UBIJ', 71075),
(127350, 'PTHR13453', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 71076),
(127351, 'PTHR24062:SF172', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 71077),
(127352, 'PTHR45636:SF27', NULL, NULL, NULL, NULL, 'N-TERMINAL PAX (PAI DOMAIN ONLY) PROTEIN', 71078),
(127353, 'PTHR24056:SF491', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', 71079),
(127354, 'PTHR22883:SF324', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 71080),
(127355, 'PTHR28360:SF1', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 3', 71081),
(127356, 'PTHR31763', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689766', 71082),
(127357, 'PTHR11070:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71083),
(127358, 'PTHR31374:SF146', NULL, NULL, NULL, NULL, 'OS08G0118800 PROTEIN', 71084),
(127359, 'PTHR15438:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71085),
(127360, 'PTHR24177:SF326', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71086),
(127361, 'PTHR10438:SF438', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 71087),
(127362, 'PTHR10804:SF135', NULL, NULL, NULL, NULL, 'ERBB-3 BINDING PROTEIN 1', 71088),
(127363, 'PTHR33732:SF9', NULL, NULL, NULL, NULL, 'REF/SRPP-LIKE PROTEIN OS05G0151300/LOC_OS05G05940', 71089),
(127364, 'PTHR45614:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71090),
(127365, 'PTHR36066:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH145', 71091),
(127366, 'PTHR33138:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71092),
(127367, 'PTHR31416', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 125', 71093),
(127368, 'PTHR31496:SF37', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS PROTEIN', 71094),
(127369, 'PTHR47815', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A FAMILY PROTEIN C25B2.10', 71095),
(127370, 'PTHR11346', NULL, NULL, NULL, NULL, 'GALECTIN', 71096),
(127371, 'PTHR33021:SF231', NULL, NULL, NULL, NULL, 'LAMIN-LIKE PROTEIN', 71097),
(127372, 'PTHR31642:SF204', NULL, NULL, NULL, NULL, 'AGMATINE COUMAROYLTRANSFERASE-2-LIKE', 71098),
(127373, 'PTHR32285:SF213', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 11', 71099),
(127374, 'PTHR39156:SF2', NULL, NULL, NULL, NULL, 'DNA PRIMASE (BACTERIAL TYPE) AND SMALL PRIMASE-LIKE PROTEINS', 71100),
(127375, 'PTHR19302:SF63', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT', 71101),
(127376, 'PTHR35292:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71102),
(127377, 'PTHR24384:SF98', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 736', 71103),
(127378, 'PTHR33714:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71104),
(127379, 'PTHR35365:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71105),
(127380, 'PTHR10012:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A ACTIVATOR', 71106),
(127381, 'PTHR23055:SF174', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE ACTIVATOR 1C', 71107),
(127382, 'PTHR11036:SF140', NULL, NULL, NULL, NULL, 'SEMA DOMAIN, IMMUNOGLOBULIN DOMAIN (IG), TRANSMEMBRANE DOMAIN (TM) AND SHORT CYTOPLASMIC DOMAIN, (SEMAPHORIN) 4BA', 71108),
(127383, 'PTHR12510:SF5', NULL, NULL, NULL, NULL, 'OS11G0139900 PROTEIN', 71109),
(127384, 'PTHR11973:SF2', NULL, NULL, NULL, NULL, 'CD166 ANTIGEN', 71110),
(127385, 'PTHR11654:SF108', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.10', 71111),
(127386, 'PTHR31163', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 71112);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(127387, 'PTHR45648:SF22', NULL, NULL, NULL, NULL, 'GDSL LIPASE/ACYLHYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_4G14700)', 71113),
(127388, 'PTHR42780:SF1', NULL, NULL, NULL, NULL, 'ISOLEUCINE--TRNA LIGASE, CYTOPLASMIC', 71114),
(127389, 'PTHR14986', NULL, NULL, NULL, NULL, 'RURM1 PROTEIN', 71115),
(127390, 'PTHR26453:SF73', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6P1', 71116),
(127391, 'PTHR24242:SF361', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 71117),
(127392, 'PTHR11885:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S13', 71118),
(127393, 'PTHR21562:SF86', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 71119),
(127394, 'PTHR23538', NULL, NULL, NULL, NULL, '44.5 KD BACTERIOCHLOROPHYLL SYNTHASE SUBUNIT', 71120),
(127395, 'PTHR23092:SF51', NULL, NULL, NULL, NULL, 'TERMINAL NUCLEOTIDYLTRANSFERASE 4A', 71121),
(127396, 'PTHR32444:SF89', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', 71122),
(127397, 'PTHR10927', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION PROTEIN SBDS', 71123),
(127398, 'PTHR30143', NULL, NULL, NULL, NULL, 'ACID HYDRATASE', 71124),
(127399, 'PTHR16441', NULL, NULL, NULL, NULL, 'FIDIPIDINE', 71125),
(127400, 'PTHR47926:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71126),
(127401, 'PTHR33057:SF159', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP7-LIKE', 71127),
(127402, 'PTHR47968:SF37', NULL, NULL, NULL, NULL, 'ATP-BINDING MICROTUBULE MOTOR FAMILY PROTEIN', 71128),
(127403, 'PTHR12896:SF1', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 4', 71129),
(127404, 'PTHR31376:SF96', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 4-RELATED', 71130),
(127405, 'PTHR42924:SF11', NULL, NULL, NULL, NULL, 'DOMAIN, PUTATIVE-RELATED', 71131),
(127406, 'PTHR10846:SF28', NULL, NULL, NULL, NULL, 'SI:CH73-335M24.5', 71132),
(127407, 'PTHR30458:SF0', NULL, NULL, NULL, NULL, '1,2-PHENYLACETYL-COA EPOXIDASE, SUBUNIT C', 71133),
(127408, 'PTHR13451:SF12', NULL, NULL, NULL, NULL, 'CROSSOVER JUNCTION ENDONUCLEASE MUS81', 71134),
(127409, 'PTHR43389:SF1', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT B, KIDNEY ISOFORM', 71135),
(127410, 'PTHR45090:SF3', NULL, NULL, NULL, NULL, 'OS09G0368800 PROTEIN', 71136),
(127411, 'PTHR45671:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', 71137),
(127412, 'PTHR11760:SF50', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3-A-RELATED', 71138),
(127413, 'PTHR21230:SF31', NULL, NULL, NULL, NULL, 'OS01G0560200 PROTEIN', 71139),
(127414, 'PTHR42818:SF1', NULL, NULL, NULL, NULL, 'SULFOPYRUVATE DECARBOXYLASE SUBUNIT ALPHA', 71140),
(127415, 'PTHR12209', NULL, NULL, NULL, NULL, 'O-SIALOGLYCOPROTEIN ENDOPEPTIDASE', 71141),
(127416, 'PTHR23219:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 71142),
(127417, 'PTHR33142:SF76', NULL, NULL, NULL, NULL, 'BNAANNG22820D PROTEIN', 71143),
(127418, 'PTHR38624:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08397', 71144),
(127419, 'PTHR11064:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71145),
(127420, 'PTHR22765:SF281', NULL, NULL, NULL, NULL, 'OS02G0248440 PROTEIN', 71146),
(127421, 'PTHR11113:SF14', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-PHOSPHATE DEACETYLASE', 71147),
(127422, 'PTHR14995:SF2', NULL, NULL, NULL, NULL, 'PROTEIN AMNIONLESS', 71148),
(127423, 'PTHR40730:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR PROTEIN-LIKE PROTEIN', 71149),
(127424, 'PTHR11850:SF302', NULL, NULL, NULL, NULL, 'POX DOMAIN, HOMEOBOX KN DOMAIN-CONTAINING PROTEIN-RELATED', 71150),
(127425, 'PTHR12802:SF107', NULL, NULL, NULL, NULL, 'OSJNBA0088A01.20 PROTEIN', 71151),
(127426, 'PTHR34134', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR BLAI', 71152),
(127427, 'PTHR11736:SF29', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN C2', 71153),
(127428, 'PTHR24138:SF10', NULL, NULL, NULL, NULL, 'INTRACELLLAR PHOSPHOLIPASE A FAMILY', 71154),
(127429, 'PTHR24393:SF43', NULL, NULL, NULL, NULL, 'PLAG1-LIKE ZINC FINGER 2', 71155),
(127430, 'PTHR13589:SF15', NULL, NULL, NULL, NULL, 'CREB-REGULATED TRANSCRIPTION COACTIVATOR, ISOFORM B', 71156);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(127431, 'PTHR48001:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71157),
(127432, 'PTHR33177:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71158),
(127433, 'PTHR23005:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71159),
(127434, 'PTHR10696:SF3', NULL, NULL, NULL, NULL, 'TRIMETHYLLYSINE DIOXYGENASE, MITOCHONDRIAL', 71160),
(127435, 'PTHR17920:SF17', NULL, NULL, NULL, NULL, 'DUF726 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G03760)', 71161),
(127436, 'PTHR31882:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71162),
(127437, 'PTHR47991:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71163),
(127438, 'PTHR12412:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR CAP-BINDING PROTEIN SUBUNIT 1', 71164),
(127439, 'PTHR46263:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71165),
(127440, 'PTHR13609:SF27', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN 1-LIKE', 71166),
(127441, 'PTHR46385:SF1', NULL, NULL, NULL, NULL, 'PAIRED MESODERM HOMEOBOX PROTEIN 1', 71167),
(127442, 'PTHR34119:SF11', NULL, NULL, NULL, NULL, 'BNAA05G10100D PROTEIN', 71168),
(127443, 'PTHR22814:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71169),
(127444, 'PTHR45646:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 71170),
(127445, 'PTHR11552:SF210', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00610)-RELATED', 71171),
(127446, 'PTHR48084', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE OXIDOREDUCTASE SUBUNIT KORB-RELATED', 71172),
(127447, 'PTHR48083:SF13', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FAMILY MEMBER 10-RELATED', 71173),
(127448, 'PTHR27005:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71174),
(127449, 'PTHR44086:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71175),
(127450, 'PTHR23071:SF1', NULL, NULL, NULL, NULL, 'GPI ETHANOLAMINE PHOSPHATE TRANSFERASE 3', 71176),
(127451, 'PTHR11208:SF121', NULL, NULL, NULL, NULL, 'KH DOMAIN-LIKE PROTEIN', 71177),
(127452, 'PTHR24235:SF17', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y /PEPTIDE YY RECEPTOR YB-RELATED', 71178),
(127453, 'PTHR21462:SF3', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN CD200 RECEPTOR 2', 71179),
(127454, 'PTHR11461:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71180),
(127455, 'PTHR33116:SF47', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN, ZINC FINGER, CCHC-TYPE-RELATED', 71181),
(127456, 'PTHR43047:SF43', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YVRG', 71182),
(127457, 'PTHR35010', NULL, NULL, NULL, NULL, 'BLL4672 PROTEIN-RELATED', 71183),
(127458, 'PTHR10219:SF81', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN (GLTP) FAMILY PROTEIN', 71184),
(127459, 'PTHR12109:SF5', NULL, NULL, NULL, NULL, 'AUTOCRINE MOTILITY FACTOR RECEPTOR B', 71185),
(127460, 'PTHR46859:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE, TRANSMEMBRANE FRAGILE-X-F-ASSOCIATED PROTEIN-RELATED', 71186),
(127461, 'PTHR24103:SF651', NULL, NULL, NULL, NULL, 'ZGC:92594', 71187),
(127462, 'PTHR11732:SF431', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE FAMILY OXIDOREDUCTASE', 71188),
(127463, 'PTHR34222:SF49', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', 71189),
(127464, 'PTHR48043:SF61', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 71190),
(127465, 'PTHR10496:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', 71191),
(127466, 'PTHR31642:SF236', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', 71192),
(127467, 'PTHR15071', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE RECEPTOR FAMILY MEMBER', 71193),
(127468, 'PTHR11969:SF61', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH99', 71194),
(127469, 'PTHR31822', NULL, NULL, NULL, NULL, 'SERINE-RICH SINGLE-PASS MEMBRANE PROTEIN 1', 71195),
(127470, 'PTHR31989:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71196),
(127471, 'PTHR42720:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 71197),
(127472, 'PTHR24384:SF193', NULL, NULL, NULL, NULL, 'PR/SET DOMAIN 15', 71198),
(127473, 'PTHR24343:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71199);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(127474, 'PTHR37553', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 71200),
(127475, 'PTHR43112:SF32', NULL, NULL, NULL, NULL, 'FERREDOXIN', 71201),
(127476, 'PTHR13280:SF14', NULL, NULL, NULL, NULL, 'SI:CH211-126J24.1', 71202),
(127477, 'PTHR31286:SF66', NULL, NULL, NULL, NULL, 'BNAANNG25970D PROTEIN', 71203),
(127478, 'PTHR45770:SF33', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 7', 71204),
(127479, 'PTHR11782:SF97', NULL, NULL, NULL, NULL, 'APYRASE 1-LIKE', 71205),
(127480, 'PTHR24282:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71206),
(127481, 'PTHR45645:SF47', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 71207),
(127482, 'PTHR22945:SF21', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)-RELATED', 71208),
(127483, 'PTHR42826:SF1', NULL, NULL, NULL, NULL, 'DICARBOXYLATE TRANSPORTER 2.1, CHLOROPLASTIC', 71209),
(127484, 'PTHR31325:SF108', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF594)-RELATED', 71210),
(127485, 'PTHR16821:SF2', NULL, NULL, NULL, NULL, 'FRATAXIN, MITOCHONDRIAL', 71211),
(127486, 'PTHR31790:SF349', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71212),
(127487, 'PTHR42861:SF26', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE 1-RELATED', 71213),
(127488, 'PTHR13778:SF61', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 71214),
(127489, 'PTHR21258:SF53', NULL, NULL, NULL, NULL, 'RAS ACTIVATING FACTOR IN DEVELOPMENT OF GERMLINE', 71215),
(127490, 'PTHR10903:SF127', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: TRANSLOCASE OF CHLOROPLAST 159, CHLOROPLASTIC-LIKE', 71216),
(127491, 'PTHR13285:SF19', NULL, NULL, NULL, NULL, 'PROTEIN-CYSTEINE N-PALMITOYLTRANSFERASE HHAT-LIKE PROTEIN', 71217),
(127492, 'PTHR24365:SF422', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 6', 71218),
(127493, 'PTHR13980:SF21', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SPT16-LIKE', 71219),
(127494, 'PTHR14312:SF1', NULL, NULL, NULL, NULL, 'CREB/ATF BZIP TRANSCRIPTION FACTOR', 71220),
(127495, 'PTHR13808:SF34', NULL, NULL, NULL, NULL, 'CREB-BINDING PROTEIN', 71221),
(127496, 'PTHR24126:SF53', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 2D (P19, INHIBITS CDK4)', 71222),
(127497, 'PTHR47924', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 71223),
(127498, 'PTHR31500:SF57', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 10', 71224),
(127499, 'PTHR23262:SF213', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 9-1-RELATED', 71225),
(127500, 'PTHR48018:SF145', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 71226),
(127501, 'PTHR22811', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN', 71227),
(127502, 'PTHR15272', NULL, NULL, NULL, NULL, 'CHROMATIN ASSEMBLY FACTOR 1 SUBUNIT A  CAF-1 SUBUNIT A', 71228),
(127503, 'PTHR16520', NULL, NULL, NULL, NULL, 'KINETOCHORE SCAFFOLD 1', 71229),
(127504, 'PTHR48104:SF32', NULL, NULL, NULL, NULL, 'METACASPASE-1-LIKE', 71230),
(127505, 'PTHR31080:SF186', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', 71231),
(127506, 'PTHR46142:SF3', NULL, NULL, NULL, NULL, 'F18B13.24 PROTEIN', 71232),
(127507, 'PTHR12834:SF12', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 9 KDA PROTEIN', 71233),
(127508, 'PTHR31065:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71234),
(127509, 'PTHR24056:SF455', NULL, NULL, NULL, NULL, 'BNAANNG12030D PROTEIN', 71235),
(127510, 'PTHR48010:SF15', NULL, NULL, NULL, NULL, 'BNAA01G36890D PROTEIN', 71236),
(127511, 'PTHR13466:SF2', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 2', 71237),
(127512, 'PTHR20852:SF57', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE 2 CYTOPLASMIC', 71238),
(127513, 'PTHR48041:SF76', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORTER FAMILY PROTEIN-RELATED', 71239),
(127514, 'PTHR24223:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71240),
(127515, 'PTHR22799:SF3', NULL, NULL, NULL, NULL, 'TETRANECTIN', 71241),
(127516, 'PTHR30069:SF39', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR', 71242),
(127517, 'PTHR26453:SF598', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2A2', 71243),
(127518, 'PTHR13123', NULL, NULL, NULL, NULL, 'LD30288P', 71244);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(127519, 'PTHR23502:SF142', NULL, NULL, NULL, NULL, 'ORF', 71245),
(127520, 'PTHR12620:SF8', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RNA AUXILIARY FACTOR 1', 71246),
(127521, 'PTHR34450:SF5', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 229-RELATED', 71247),
(127522, 'PTHR33738:SF1', NULL, NULL, NULL, NULL, 'PLANT/T7H20-70 PROTEIN', 71248),
(127523, 'PTHR33597:SF15', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 71249),
(127524, 'PTHR10072:SF51', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 71250),
(127525, 'PTHR45755:SF2', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER PROTEIN DDB_G0269332-RELATED', 71251),
(127526, 'PTHR31009:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71252),
(127527, 'PTHR32093:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71253),
(127528, 'PTHR37534:SF30', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 71254),
(127529, 'PTHR12169:SF25', NULL, NULL, NULL, NULL, 'AFG1-LIKE ATPASE A', 71255),
(127530, 'PTHR10165:SF84', NULL, NULL, NULL, NULL, 'PHOSPHATIDIC ACID PHOSPHATASE BETA', 71256),
(127531, 'PTHR35804:SF1', NULL, NULL, NULL, NULL, 'LYSINE EXPORTER LYSO', 71257),
(127532, 'PTHR46236:SF22', NULL, NULL, NULL, NULL, 'BNAA01G22060D PROTEIN', 71258),
(127533, 'PTHR31676:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71259),
(127534, 'PTHR32439:SF0', NULL, NULL, NULL, NULL, 'FERREDOXIN--NITRITE REDUCTASE, CHLOROPLASTIC', 71260),
(127535, 'PTHR19444:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71261),
(127536, 'PTHR10334:SF394', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1', 71262),
(127537, 'PTHR45767:SF2', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN O', 71263),
(127538, 'PTHR31050:SF4', NULL, NULL, NULL, NULL, 'DUF1262 FAMILY PROTEIN (DUF1262)', 71264),
(127539, 'PTHR11452:SF82', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', 71265),
(127540, 'PTHR33744', NULL, NULL, NULL, NULL, 'CARBOHYDRATE DIACID REGULATOR', 71266),
(127541, 'PTHR24302:SF38', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 3A4', 71267),
(127542, 'PTHR13939:SF4', NULL, NULL, NULL, NULL, 'PROTEIN YDEJ', 71268),
(127543, 'PTHR33387:SF3', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL FOLD PROTEIN', 71269),
(127544, 'PTHR44129:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71270),
(127545, 'PTHR22937:SF122', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 71271),
(127546, 'PTHR21234:SF45', NULL, NULL, NULL, NULL, 'NUCLEOSIDASE, PUTATIVE-RELATED', 71272),
(127547, 'PTHR10615:SF166', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', 71273),
(127548, 'PTHR22984', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIM', 71274),
(127549, 'PTHR24414:SF60', NULL, NULL, NULL, NULL, 'LOW PROTEIN: COATOMER SUBUNIT ALPHA-1-LIKE PROTEIN', 71275),
(127550, 'PTHR12385:SF87', NULL, NULL, NULL, NULL, 'PLASMA-MEMBRANE CHOLINE TRANSPORTER FAMILY PROTEIN-RELATED', 71276),
(127551, 'PTHR32295:SF135', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', 71277),
(127552, 'PTHR11592:SF112', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 71278),
(127553, 'PTHR42745:SF2', NULL, NULL, NULL, NULL, 'ARABINOSE 5-PHOSPHATE ISOMERASE GUTQ', 71279),
(127554, 'PTHR31948:SF94', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 4-LIKE', 71280),
(127555, 'PTHR24232:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71281),
(127556, 'PTHR24068:SF304', NULL, NULL, NULL, NULL, 'BNACNNG21490D PROTEIN', 71282),
(127557, 'PTHR45864:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE SLINGSHOT HOMOLOG 3', 71283),
(127558, 'PTHR43391:SF58', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE 3-RELATED', 71284),
(127559, 'PTHR10859', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE', 71285),
(127560, 'PTHR23328:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF168', 71286),
(127561, 'PTHR34804', NULL, NULL, NULL, NULL, 'CAMP-REGULATED PHOSPHOPROTEIN 19-RELATED PROTEIN', 71287),
(127562, 'PTHR38446:SF1', NULL, NULL, NULL, NULL, 'BLL0914 PROTEIN', 71288),
(127563, 'PTHR23001:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71289);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(127564, 'PTHR31639:SF118', NULL, NULL, NULL, NULL, 'FBD PROTEIN', 71290),
(127565, 'PTHR24166:SF47', NULL, NULL, NULL, NULL, 'M-PHASE PHOSPHOPROTEIN 8', 71291),
(127566, 'PTHR10953:SF29', NULL, NULL, NULL, NULL, 'NEDD8-ACTIVATING ENZYME E1 REGULATORY SUBUNIT', 71292),
(127567, 'PTHR26453:SF31', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 71293),
(127568, 'PTHR13935:SF104', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH160', 71294),
(127569, 'PTHR31358:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71295),
(127570, 'PTHR11675:SF68', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE', 71296),
(127571, 'PTHR11547:SF38', NULL, NULL, NULL, NULL, 'ARGININE KINASE-RELATED', 71297),
(127572, 'PTHR35297', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 71298),
(127573, 'PTHR47965:SF25', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE 3-RELATED', 71299),
(127574, 'PTHR27002:SF837', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 71300),
(127575, 'PTHR13318:SF179', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 15', 71301),
(127576, 'PTHR21558:SF48', NULL, NULL, NULL, NULL, 'HN1-LIKE PROTEIN ISOFORM X1', 71302),
(127577, 'PTHR14487:SF3', NULL, NULL, NULL, NULL, 'ADRENOCORTICAL DYSPLASIA PROTEIN HOMOLOG', 71303),
(127578, 'PTHR21668:SF13', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A X-LINKED A-RELATED', 71304),
(127579, 'PTHR17615:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71305),
(127580, 'PTHR43288:SF1', NULL, NULL, NULL, NULL, 'GLYCYL-RADICAL ENZYME ACTIVATING ENZYME MJ0021-RELATED', 71306),
(127581, 'PTHR24320:SF233', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE, ISOFORM A', 71307),
(127582, 'PTHR10671:SF95', NULL, NULL, NULL, NULL, 'CLAUDIN-LIKE IN CAENORHABDITIS', 71308),
(127583, 'PTHR42658:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71309),
(127584, 'PTHR13140:SF679', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN IC', 71310),
(127585, 'PTHR23155:SF1116', NULL, NULL, NULL, NULL, 'OS08G0170100 PROTEIN', 71311),
(127586, 'PTHR47746:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 71312),
(127587, 'PTHR33021:SF263', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71313),
(127588, 'PTHR24416:SF568', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE KINASE 7 (INACTIVE)', 71314),
(127589, 'PTHR11926:SF1338', NULL, NULL, NULL, NULL, 'BNAA09G35290D PROTEIN', 71315),
(127590, 'PTHR31373:SF13', NULL, NULL, NULL, NULL, 'OS12G0141800 PROTEIN', 71316),
(127591, 'PTHR32212:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71317),
(127592, 'PTHR15592:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71318),
(127593, 'PTHR45671:SF12', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PHOSPHATE CARRIER PROTEIN', 71319),
(127594, 'PTHR13683:SF648', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 2', 71320),
(127595, 'PTHR16517:SF38', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 7', 71321),
(127596, 'PTHR46249:SF34', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE HOMOLOG', 71322),
(127597, 'PTHR11328:SF39', NULL, NULL, NULL, NULL, '2,3-DIHYDROXYPROPANE-1-SULFONATE EXPORTER-RELATED', 71323),
(127598, 'PTHR31807:SF44', NULL, NULL, NULL, NULL, 'AUGMIN SUBUNIT 8', 71324),
(127599, 'PTHR11206:SF417', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 71325),
(127600, 'PTHR14209:SF30', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE CPRD49', 71326),
(127601, 'PTHR44998:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--PEPTIDE N-ACETYLGLUCOSAMINYLTRANSFERASE SEC-RELATED', 71327),
(127602, 'PTHR18898', NULL, NULL, NULL, NULL, 'NUCLEOPROTEIN TPR-RELATED', 71328),
(127603, 'PTHR10064:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-2', 71329),
(127604, 'PTHR24281:SF157', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', 71330),
(127605, 'PTHR10426:SF26', NULL, NULL, NULL, NULL, 'ADIPOCYTE PLASMA MEMBRANE-ASSOCIATED PROTEIN', 71331),
(127606, 'PTHR37228:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S21 FAMILY PROTEIN', 71332),
(127607, 'PTHR23122:SF33', NULL, NULL, NULL, NULL, 'MAGUK P55 SUBFAMILY MEMBER 3', 71333);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(127608, 'PTHR47958:SF112', NULL, NULL, NULL, NULL, 'VASA-AND BELLE-LIKE HELICASE', 71334),
(127609, 'PTHR21495:SF142', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 71335),
(127610, 'PTHR10048:SF35', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 3-KINASE CATALYTIC SUBUNIT DELTA ISOFORM', 71336),
(127611, 'PTHR33076:SF102', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 71337),
(127612, 'PTHR30304:SF3', NULL, NULL, NULL, NULL, '3-OXO-TETRONATE KINASE', 71338),
(127613, 'PTHR10783:SF4', NULL, NULL, NULL, NULL, 'XENOTROPIC AND POLYTROPIC RETROVIRUS RECEPTOR 1', 71339),
(127614, 'PTHR48017:SF21', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1E', 71340),
(127615, 'PTHR11712:SF336', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE 2', 71341),
(127616, 'PTHR10114:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36-RELATED', 71342),
(127617, 'PTHR10476:SF49', NULL, NULL, NULL, NULL, 'BNAC06G23830D PROTEIN', 71343),
(127618, 'PTHR43646:SF2', NULL, NULL, NULL, NULL, 'SLR0092 PROTEIN', 71344),
(127619, 'PTHR22814:SF339', NULL, NULL, NULL, NULL, 'CHAPERONE, PUTATIVE-RELATED', 71345),
(127620, 'PTHR12429:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NEURL1', 71346),
(127621, 'PTHR43490:SF91', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE', 71347),
(127622, 'PTHR40070', NULL, NULL, NULL, NULL, 'UPF0478 PROTEIN YTXG', 71348),
(127623, 'PTHR18896:SF173', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA 1', 71349),
(127624, 'PTHR24351:SF182', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C EPSILON TYPE', 71350),
(127625, 'PTHR31388:SF153', NULL, NULL, NULL, NULL, 'PEROXIDASE', 71351),
(127626, 'PTHR35982:SF1', NULL, NULL, NULL, NULL, 'AGAP005361-PA', 71352),
(127627, 'PTHR11923:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71353),
(127628, 'PTHR24281:SF182', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE-LIKE', 71354),
(127629, 'PTHR22849:SF145', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 31', 71355),
(127630, 'PTHR31790:SF253', NULL, NULL, NULL, NULL, 'BNAA05G36760D PROTEIN', 71356),
(127631, 'PTHR43452:SF22', NULL, NULL, NULL, NULL, 'DECARBOXYLASE, PUTATIVE-RELATED', 71357),
(127632, 'PTHR13087:SF3', NULL, NULL, NULL, NULL, 'NKAP-LIKE PROTEIN', 71358),
(127633, 'PTHR24326:SF566', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER, HOMEOBOX-ASSOCIATED, HOMEODOMAIN-LIKE PROTEIN-RELATED', 71359),
(127634, 'PTHR15379:SF2', NULL, NULL, NULL, NULL, 'CELL GROWTH REGULATOR WITH RING FINGER DOMAIN PROTEIN 1', 71360),
(127635, 'PTHR23253:SF65', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING PROTEIN DDB_G0287999', 71361),
(127636, 'PTHR24064:SF555', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', 71362),
(127637, 'PTHR33993:SF5', NULL, NULL, NULL, NULL, 'GLYOXALASE', 71363),
(127638, 'PTHR39469', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 71364),
(127639, 'PTHR12542:SF49', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 71365),
(127640, 'PTHR43874:SF119', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR1', 71366),
(127641, 'PTHR35545:SF14', NULL, NULL, NULL, NULL, 'OS07G0645701 PROTEIN', 71367),
(127642, 'PTHR10351:SF61', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', 71368),
(127643, 'PTHR46772:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH95', 71369),
(127644, 'PTHR22883:SF371', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 16-RELATED', 71370),
(127645, 'PTHR43999:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAMYB', 71371),
(127646, 'PTHR34541:SF3', NULL, NULL, NULL, NULL, 'OS05G0530300 PROTEIN', 71372),
(127647, 'PTHR11947:SF20', NULL, NULL, NULL, NULL, '[3-METHYL-2-OXOBUTANOATE DEHYDROGENASE [LIPOAMIDE]] KINASE, MITOCHONDRIAL', 71373),
(127648, 'PTHR45974:SF40', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RPK1-RELATED', 71374),
(127649, 'PTHR24138', NULL, NULL, NULL, NULL, 'INTRACELLLAR PHOSPHOLIPASE A FAMILY', 71375);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(127650, 'PTHR31636:SF275', NULL, NULL, NULL, NULL, 'GRAS FAMILY PROTEIN', 71376),
(127651, 'PTHR31033:SF21', NULL, NULL, NULL, NULL, 'BNAA03G47080D PROTEIN', 71377),
(127652, 'PTHR17630:SF99', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 71378),
(127653, 'PTHR34566:SF6', NULL, NULL, NULL, NULL, 'OS09G0530700 PROTEIN', 71379),
(127654, 'PTHR43829:SF25', NULL, NULL, NULL, NULL, 'AQUAPORIN-7-LIKE PROTEIN 3-RELATED', 71380),
(127655, 'PTHR33108:SF3', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN', 71381),
(127656, 'PTHR23311:SF5', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 72 KDA', 71382),
(127657, 'PTHR11232:SF45', NULL, NULL, NULL, NULL, 'PROTEIN NUMB', 71383),
(127658, 'PTHR11804:SF44', NULL, NULL, NULL, NULL, 'NEUROLYSIN, MITOCHONDRIAL', 71384),
(127659, 'PTHR43029:SF22', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 2 MEMBER 1', 71385),
(127660, 'PTHR45878:SF28', NULL, NULL, NULL, NULL, 'OS09G0282100 PROTEIN', 71386),
(127661, 'PTHR46508:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71387),
(127662, 'PTHR23501:SF38', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', 71388),
(127663, 'PTHR35121', NULL, NULL, NULL, NULL, 'HOMEODOMAIN PROTEIN 8, PUTATIVE-RELATED', 71389),
(127664, 'PTHR24047', NULL, NULL, NULL, NULL, 'FI01909P-RELATED', 71390),
(127665, 'PTHR34208:SF14', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 71391),
(127666, 'PTHR46324:SF25', NULL, NULL, NULL, NULL, 'BNAUNNG01680D PROTEIN', 71392),
(127667, 'PTHR34130:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71393),
(127668, 'PTHR10291:SF24', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 71394),
(127669, 'PTHR48048:SF39', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 71395),
(127670, 'PTHR21433:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 120A', 71396),
(127671, 'PTHR31920:SF46', NULL, NULL, NULL, NULL, 'B3 DOMAIN TRANSCRIPTION FACTOR VRN1-LIKE PROTEIN', 71397),
(127672, 'PTHR33264:SF3', NULL, NULL, NULL, NULL, 'OS01G0638800 PROTEIN', 71398),
(127673, 'PTHR23273:SF60', NULL, NULL, NULL, NULL, 'BNACNNG56390D PROTEIN', 71399),
(127674, 'PTHR12411:SF101', NULL, NULL, NULL, NULL, 'CATHEPSIN W', 71400),
(127675, 'PTHR11926:SF1038', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 71401),
(127676, 'PTHR11931:SF26', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE/BISPHOSPHOGLYCERATE MUTASE', 71402),
(127677, 'PTHR10535:SF19', NULL, NULL, NULL, NULL, 'EUKARYOTIC RPB5 RNA POLYMERASE SUBUNIT FAMILY PROTEIN-RELATED', 71403),
(127678, 'PTHR23162', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER OF SPERM TAILS 2', 71404),
(127679, 'PTHR11037:SF13', NULL, NULL, NULL, NULL, 'UPSTREAM-BINDING PROTEIN 1', 71405),
(127680, 'PTHR34946:SF11', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 16-LIKE', 71406),
(127681, 'PTHR13318:SF136', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-CONTAINING PROTEIN-RELATED', 71407),
(127682, 'PTHR45874', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ABDOMINAL-B', 71408),
(127683, 'PTHR10129:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAFA', 71409),
(127684, 'PTHR45868:SF36', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 71410),
(127685, 'PTHR24376:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 62 HOMOLOG', 71411),
(127686, 'PTHR33090:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71412),
(127687, 'PTHR46128:SF169', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT-CONTAINING PROTEIN-RELATED', 71413),
(127688, 'PTHR14159', NULL, NULL, NULL, NULL, 'ATAXIN-3-RELATED', 71414),
(127689, 'PTHR45934:SF18', NULL, NULL, NULL, NULL, 'MONOOXYGENASE 1', 71415),
(127690, 'PTHR11818:SF7', NULL, NULL, NULL, NULL, 'BETA-CRYSTALLIN A2', 71416),
(127691, 'PTHR13318:SF99', NULL, NULL, NULL, NULL, 'EIN3-BINDING F-BOX PROTEIN 2-LIKE', 71417),
(127692, 'PTHR22811:SF133', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA10', 71418),
(127693, 'PTHR45752', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING', 71419),
(127694, 'PTHR15989', NULL, NULL, NULL, NULL, 'VEZATIN', 71420);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(127695, 'PTHR11069:SF30', NULL, NULL, NULL, NULL, 'GLUCOSYLCERAMIDASE 3-RELATED', 71421),
(127696, 'PTHR11256:SF55', NULL, NULL, NULL, NULL, 'BCL2-ASSOCIATED X, APOPTOSIS REGULATOR A-RELATED', 71422),
(127697, 'PTHR43085:SF1', NULL, NULL, NULL, NULL, 'KETOHEXOKINASE', 71423),
(127698, 'PTHR11911:SF129', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE 1B', 71424),
(127699, 'PTHR11214:SF273', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 71425),
(127700, 'PTHR48013:SF9', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 5', 71426),
(127701, 'PTHR31221:SF194', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', 71427),
(127702, 'PTHR12866', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-CONJUGATING ENZYME ATG3', 71428),
(127703, 'PTHR33569:SF1', NULL, NULL, NULL, NULL, 'UREASE', 71429),
(127704, 'PTHR45711:SF7', NULL, NULL, NULL, NULL, 'H(+)/CL(-) EXCHANGE TRANSPORTER 5', 71430),
(127705, 'PTHR11122:SF13', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 71431),
(127706, 'PTHR47627', NULL, NULL, NULL, NULL, 'RUBREDOXIN', 71432),
(127707, 'PTHR33074:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71433),
(127708, 'PTHR21060:SF15', NULL, NULL, NULL, NULL, 'PROPIONATE KINASE-RELATED', 71434),
(127709, 'PTHR23105', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L7AE FAMILY MEMBER', 71435),
(127710, 'PTHR31253', NULL, NULL, NULL, NULL, 'BRI3-BINDING PROTEIN', 71436),
(127711, 'PTHR11850:SF135', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 5', 71437),
(127712, 'PTHR33491:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71438),
(127713, 'PTHR31805:SF5', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 71439),
(127714, 'PTHR24343:SF369', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE CATALYTIC SUBUNIT ALPHA KIN12', 71440),
(127715, 'PTHR13363:SF6', NULL, NULL, NULL, NULL, 'RING FINGER AND SPRY DOMAIN-CONTAINING PROTEIN 1', 71441),
(127716, 'PTHR11481:SF92', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE PROTEIN 1', 71442),
(127717, 'PTHR33659:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 71443),
(127718, 'PTHR12411:SF270', NULL, NULL, NULL, NULL, 'TUBULOINTERSTITIAL NEPHRITIS ANTIGEN-LIKE', 71444),
(127719, 'PTHR12565:SF334', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH49', 71445),
(127720, 'PTHR21437:SF4', NULL, NULL, NULL, NULL, 'ANKYRIN-REPEAT AND FIBRONECTIN TYPE III DOMAIN CONTAINING 1', 71446),
(127721, 'PTHR45660:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71447),
(127722, 'PTHR24228:SF56', NULL, NULL, NULL, NULL, 'MELATONIN-RELATED RECEPTOR', 71448),
(127723, 'PTHR24291:SF130', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 71449),
(127724, 'PTHR43791:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71450),
(127725, 'PTHR46025:SF3', NULL, NULL, NULL, NULL, 'XYLOSYLTRANSFERASE OXT', 71451),
(127726, 'PTHR45633:SF10', NULL, NULL, NULL, NULL, 'HSP60, MITOCHONDRIAL, PUTATIVE-RELATED', 71452),
(127727, 'PTHR46834', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH91', 71453),
(127728, 'PTHR32080:SF27', NULL, NULL, NULL, NULL, 'OS11G0470500 PROTEIN', 71454),
(127729, 'PTHR43382:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL GLUTAMATE/PROLINE--TRNA LIGASE', 71455),
(127730, 'PTHR21964:SF16', NULL, NULL, NULL, NULL, 'BREAST CANCER METASTASIS-SUPPRESSOR 1-LIKE PROTEIN', 71456),
(127731, 'PTHR13370:SF25', NULL, NULL, NULL, NULL, 'DNA ADENINE METHYLTRANSFERASE YHDJ', 71457),
(127732, 'PTHR34959:SF2', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR-LIKE PROTEIN', 71458),
(127733, 'PTHR11271:SF6', NULL, NULL, NULL, NULL, 'GUANINE DEAMINASE', 71459),
(127734, 'PTHR31897:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG04693', 71460),
(127735, 'PTHR12560:SF49', NULL, NULL, NULL, NULL, 'LAG1 LONGEVITY ASSURANCE HOMOLOG 3', 71461),
(127736, 'PTHR11227:SF57', NULL, NULL, NULL, NULL, 'OS05G0169200 PROTEIN', 71462),
(127737, 'PTHR12313:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71463),
(127738, 'PTHR33083:SF85', NULL, NULL, NULL, NULL, 'BNAC09G13940D PROTEIN', 71464);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(127739, 'PTHR15046:SF1', NULL, NULL, NULL, NULL, 'BETA-1,4 N-ACETYLGALACTOSAMINYLTRANSFERASE 1', 71465),
(127740, 'PTHR46290', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 71466),
(127741, 'PTHR12603:SF25', NULL, NULL, NULL, NULL, 'BNAA02G17010D PROTEIN', 71467),
(127742, 'PTHR15628', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN 3', 71468),
(127743, 'PTHR14154:SF73', NULL, NULL, NULL, NULL, 'EARLY LIGHT-INDUCED PROTEIN 11', 71469),
(127744, 'PTHR23210', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR 7 INTERACTING PROTEIN', 71470),
(127745, 'PTHR46043:SF16', NULL, NULL, NULL, NULL, 'BNAC03G16340D PROTEIN', 71471),
(127746, 'PTHR24372:SF68', NULL, NULL, NULL, NULL, 'RELAXIN RECEPTOR 1', 71472),
(127747, 'PTHR11945:SF522', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL6', 71473),
(127748, 'PTHR48002:SF104', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K2', 71474),
(127749, 'PTHR34278', NULL, NULL, NULL, NULL, 'PROTEIN THI031, PUTATIVE-RELATED', 71475),
(127750, 'PTHR11960:SF51', NULL, NULL, NULL, NULL, 'BNAA09G26760D PROTEIN', 71476),
(127751, 'PTHR31616', NULL, NULL, NULL, NULL, 'TREHALASE', 71477),
(127752, 'PTHR11827:SF53', NULL, NULL, NULL, NULL, 'K+/CL-COTRANSPORTER', 71478),
(127753, 'PTHR12634:SF27', NULL, NULL, NULL, NULL, 'BNAC01G24200D PROTEIN', 71479),
(127754, 'PTHR46187:SF2', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE DCD3B-RELATED', 71480),
(127755, 'PTHR22957:SF467', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 12-RELATED', 71481),
(127756, 'PTHR24028:SF41', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-17', 71482),
(127757, 'PTHR37355', NULL, NULL, NULL, NULL, 'PLACENTA-SPECIFIC PROTEIN 9', 71483),
(127758, 'PTHR13832:SF768', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C MEMBER 13, MITOCHONDRIAL-RELATED', 71484),
(127759, 'PTHR12002:SF89', NULL, NULL, NULL, NULL, 'CLAUDIN-4', 71485),
(127760, 'PTHR46179:SF2', NULL, NULL, NULL, NULL, 'FINGER PUTATIVE TRANSCRIPTION FACTOR FAMILY-RELATED', 71486),
(127761, 'PTHR31384:SF117', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', 71487),
(127762, 'PTHR27001:SF24', NULL, NULL, NULL, NULL, 'OS06G0166900 PROTEIN', 71488),
(127763, 'PTHR20835:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG06971', 71489),
(127764, 'PTHR22937:SF111', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR2-LIKE ISOFORM X1', 71490),
(127765, 'PTHR10807:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71491),
(127766, 'PTHR10460:SF31', NULL, NULL, NULL, NULL, 'PROTEIN ABIL2-LIKE ISOFORM X1', 71492),
(127767, 'PTHR31650:SF64', NULL, NULL, NULL, NULL, 'BNAA10G06730D PROTEIN', 71493),
(127768, 'PTHR12968:SF2', NULL, NULL, NULL, NULL, 'B9 DOMAIN-CONTAINING PROTEIN 2', 71494),
(127769, 'PTHR13533:SF26', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 14', 71495),
(127770, 'PTHR23056:SF26', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 10', 71496),
(127771, 'PTHR31875:SF33', NULL, NULL, NULL, NULL, 'BNAA05G30650D PROTEIN', 71497),
(127772, 'PTHR45950:SF10', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN REVOLUTA', 71498),
(127773, 'PTHR31325:SF213', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 71499),
(127774, 'PTHR31606:SF11', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 2-LIKE', 71500),
(127775, 'PTHR23294:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71501),
(127776, 'PTHR24270:SF27', NULL, NULL, NULL, NULL, 'CD320 ANTIGEN', 71502),
(127777, 'PTHR44019:SF16', NULL, NULL, NULL, NULL, 'F-BOX AND WD-40 DOMAIN PROTEIN 17', 71503),
(127778, 'PTHR46443', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 8', 71504),
(127779, 'PTHR31147:SF36', NULL, NULL, NULL, NULL, '10-DEACETYLBACCATIN III-10-O-ACETYL TRANSFERASE-LIKE', 71505),
(127780, 'PTHR15127:SF28', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING ADAPTER PROTEIN F', 71506),
(127781, 'PTHR14566:SF0', NULL, NULL, NULL, NULL, 'CELL CYCLE REGULATOR OF NON-HOMOLOGOUS END JOINING', 71507),
(127782, 'PTHR21013', NULL, NULL, NULL, NULL, 'ATP SYNTHASE MITOCHONDRIAL F1 COMPLEX ASSEMBLY FACTOR 2/ATP12 PROTEIN, MITOCHONDRIAL PRECURSOR', 71508);
INSERT INTO "PUBLIC"."MODEL" VALUES
(127783, 'PTHR10336:SF179', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 71509),
(127784, 'PTHR14136', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 71510),
(127785, 'PTHR12422:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM49A', 71511),
(127786, 'PTHR33091:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71512),
(127787, 'PTHR31499:SF56', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR23-LIKE ISOFORM X1', 71513),
(127788, 'PTHR11864:SF20', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 40 HOMOLOG A', 71514),
(127789, 'PTHR44464:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 17', 71515),
(127790, 'PTHR45811:SF27', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', 71516),
(127791, 'PTHR31929:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71517),
(127792, 'PTHR47981:SF11', NULL, NULL, NULL, NULL, 'BNAA01G26470D PROTEIN', 71518),
(127793, 'PTHR21525:SF9', NULL, NULL, NULL, NULL, 'PHAGE-LIKE ELEMENT PBSX PROTEIN XKDO', 71519),
(127794, 'PTHR31973:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71520),
(127795, 'PTHR11527:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71521),
(127796, 'PTHR31388:SF229', NULL, NULL, NULL, NULL, 'PEROXIDASE', 71522),
(127797, 'PTHR33981:SF14', NULL, NULL, NULL, NULL, 'BNAA03G54810D PROTEIN', 71523),
(127798, 'PTHR43019:SF36', NULL, NULL, NULL, NULL, 'SERINE PROTEASE RV3671C', 71524),
(127799, 'PTHR11801:SF2', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION 3', 71525),
(127800, 'PTHR31139', NULL, NULL, NULL, NULL, 'ECTOPIC P GRANULES PROTEIN 5 HOMOLOG', 71526),
(127801, 'PTHR17630:SF89', NULL, NULL, NULL, NULL, 'ENDO-1,31,4-BETA-D-GLUCANASE-RELATED', 71527),
(127802, 'PTHR46372:SF14', NULL, NULL, NULL, NULL, 'BNAC03G29720D PROTEIN', 71528),
(127803, 'PTHR37078:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71529),
(127804, 'PTHR43788', NULL, NULL, NULL, NULL, 'DNA2/NAM7 HELICASE FAMILY MEMBER', 71530),
(127805, 'PTHR10378:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SLK1-RELATED', 71531),
(127806, 'PTHR24281:SF71', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 703A2', 71532),
(127807, 'PTHR47210:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26C-RELATED', 71533),
(127808, 'PTHR10954:SF21', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', 71534),
(127809, 'PTHR24314:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71535),
(127810, 'PTHR34189:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 71536),
(127811, 'PTHR47982:SF28', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK11-RELATED', 71537),
(127812, 'PTHR12056:SF3', NULL, NULL, NULL, NULL, 'BNAA06G00770D PROTEIN', 71538),
(127813, 'PTHR11627:SF68', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE 1, CHLOROPLASTIC', 71539),
(127814, 'PTHR11351:SF90', NULL, NULL, NULL, NULL, 'STEAROYL-COA DESATURASE 5', 71540),
(127815, 'PTHR11516:SF63', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', 71541),
(127816, 'PTHR24256:SF464', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P11', 71542),
(127817, 'PTHR47991:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71543),
(127818, 'PTHR24083:SF159', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-1', 71544),
(127819, 'PTHR10540', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT F-RELATED', 71545),
(127820, 'PTHR47965:SF63', NULL, NULL, NULL, NULL, '7S GLOBULIN 2 SMALL SUBUNIT, PUTATIVE-RELATED', 71546),
(127821, 'PTHR37332:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 71547),
(127822, 'PTHR23105:SF110', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN, LARGE', 71548),
(127823, 'PTHR45767:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN O1', 71549),
(127824, 'PTHR42748:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71550),
(127825, 'PTHR48111:SF36', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 71551),
(127826, 'PTHR46631:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE PROTEIN', 71552);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(127827, 'PTHR47372:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71553),
(127828, 'PTHR11711:SF373', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARC-1', 71554),
(127829, 'PTHR43791:SF24', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER', 71555),
(127830, 'PTHR22437:SF0', NULL, NULL, NULL, NULL, 'FI21431P1', 71556),
(127831, 'PTHR24012:SF835', NULL, NULL, NULL, NULL, 'PLASTID-SPECIFIC 30S RIBOSOMAL PROTEIN 2', 71557),
(127832, 'PTHR10388:SF58', NULL, NULL, NULL, NULL, 'OS05G0498400 PROTEIN', 71558),
(127833, 'PTHR45899:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN AT 15B, ISOFORM C', 71559),
(127834, 'PTHR10677:SF5', NULL, NULL, NULL, NULL, 'UBIQUILIN-2', 71560),
(127835, 'PTHR21502', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN DZIP1', 71561),
(127836, 'PTHR42999:SF1', NULL, NULL, NULL, NULL, 'ANTIBIOTIC RESISTANCE PROTEIN MCBG', 71562),
(127837, 'PTHR42647:SF19', NULL, NULL, NULL, NULL, 'BNAA01G22460D PROTEIN', 71563),
(127838, 'PTHR46318:SF4', NULL, NULL, NULL, NULL, 'NUCLEOLAR TRANSCRIPTION FACTOR 1', 71564),
(127839, 'PTHR37441:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG16518', 71565),
(127840, 'PTHR35828:SF1', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 71566),
(127841, 'PTHR45642:SF52', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 71567),
(127842, 'PTHR22792:SF131', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN LARP4B', 71568),
(127843, 'PTHR35832:SF10', NULL, NULL, NULL, NULL, 'OS06G0314501 PROTEIN', 71569),
(127844, 'PTHR47932:SF48', NULL, NULL, NULL, NULL, 'FERTILITY RESTORER-LIKE', 71570),
(127845, 'PTHR23501:SF184', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 71571),
(127846, 'PTHR33454:SF13', NULL, NULL, NULL, NULL, 'GSP-1 GRAIN SOFTNESS PROTEIN', 71572),
(127847, 'PTHR31213:SF78', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL7', 71573),
(127848, 'PTHR11709:SF389', NULL, NULL, NULL, NULL, 'LACCASE', 71574),
(127849, 'PTHR45798:SF33', NULL, NULL, NULL, NULL, 'OS06G0666500 PROTEIN', 71575),
(127850, 'PTHR10795:SF544', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.4', 71576),
(127851, 'PTHR39218', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 14 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12110)-RELATED', 71577),
(127852, 'PTHR11566:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71578),
(127853, 'PTHR24393:SF69', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE MECOM', 71579),
(127854, 'PTHR32097:SF14', NULL, NULL, NULL, NULL, 'TELLURIUM RESISTANCE PROTEIN TERD', 71580),
(127855, 'PTHR15723:SF0', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 15', 71581),
(127856, 'PTHR10773:SF14', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SUBUNIT, PUTATIVE-RELATED', 71582),
(127857, 'PTHR46285:SF12', NULL, NULL, NULL, NULL, 'OS08G0462800 PROTEIN', 71583),
(127858, 'PTHR10110:SF161', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 71584),
(127859, 'PTHR47040:SF3', NULL, NULL, NULL, NULL, 'BNAA08G28470D PROTEIN', 71585),
(127860, 'PTHR31062:SF180', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 71586),
(127861, 'PTHR14002:SF1', NULL, NULL, NULL, NULL, 'ENDOGLIN', 71587),
(127862, 'PTHR12281:SF24', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN 3', 71588),
(127863, 'PTHR12741:SF80', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 48-RELATED', 71589),
(127864, 'PTHR47490:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BLISTER', 71590),
(127865, 'PTHR24416:SF564', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR CAM-1', 71591),
(127866, 'PTHR35447', NULL, NULL, NULL, NULL, 'BH3-INTERACTING DOMAIN DEATH AGONIST', 71592),
(127867, 'PTHR31213:SF67', NULL, NULL, NULL, NULL, 'MAJOR ALLERGEN PRU AV 1-LIKE', 71593),
(127868, 'PTHR31636:SF13', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 3', 71594),
(127869, 'PTHR32258:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71595),
(127870, 'PTHR24060:SF134', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR FAMILY', 71596),
(127871, 'PTHR22601:SF59', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER OPT FAMILY PROTEIN', 71597);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(127872, 'PTHR25466:SF4', NULL, NULL, NULL, NULL, 'T-LYMPHOCYTE ACTIVATION ANTIGEN CD80', 71598),
(127873, 'PTHR46714:SF8', NULL, NULL, NULL, NULL, 'BNAC01G35040D PROTEIN', 71599),
(127874, 'PTHR31604:SF18', NULL, NULL, NULL, NULL, 'PROTEIN EXPRESSION OF TERPENOIDS 1', 71600),
(127875, 'PTHR31942:SF98', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 71601),
(127876, 'PTHR12280:SF36', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE 1', 71602),
(127877, 'PTHR46816:SF7', NULL, NULL, NULL, NULL, 'BNAA09G39930D PROTEIN', 71603),
(127878, 'PTHR11550:SF31', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', 71604),
(127879, 'PTHR32133:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71605),
(127880, 'PTHR21068:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71606),
(127881, 'PTHR48212', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 71607),
(127882, 'PTHR11260:SF569', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U16', 71608),
(127883, 'PTHR12918:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE DIOXYGENASE TYPE 1', 71609),
(127884, 'PTHR31839:SF28', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1I', 71610),
(127885, 'PTHR31375:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71611),
(127886, 'PTHR11588:SF75', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 71612),
(127887, 'PTHR31375:SF160', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 71613),
(127888, 'PTHR30353:SF15', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YABI', 71614),
(127889, 'PTHR27007:SF324', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.9', 71615),
(127890, 'PTHR43963:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71616),
(127891, 'PTHR23049:SF9', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 2, VENTRICULAR/CARDIAC MUSCLE ISOFORM', 71617),
(127892, 'PTHR47563:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FMP25, MITOCHONDRIAL', 71618),
(127893, 'PTHR46869', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', 71619),
(127894, 'PTHR11736:SF74', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 2', 71620),
(127895, 'PTHR35861', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 71621),
(127896, 'PTHR31744:SF79', NULL, NULL, NULL, NULL, 'OS01G0888300 PROTEIN', 71622),
(127897, 'PTHR47178:SF1', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE DBAB', 71623),
(127898, 'PTHR11538:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71624),
(127899, 'PTHR43773:SF3', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MGTE', 71625),
(127900, 'PTHR31205:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71626),
(127901, 'PTHR13219:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 94', 71627),
(127902, 'PTHR31940', NULL, NULL, NULL, NULL, 'SMALL KINETOCHORE-ASSOCIATED PROTEIN', 71628),
(127903, 'PTHR43549:SF2', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN YPNP-RELATED', 71629),
(127904, 'PTHR12027:SF110', NULL, NULL, NULL, NULL, 'PROTEIN WNT', 71630),
(127905, 'PTHR45418:SF1', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN 55', 71631),
(127906, 'PTHR27004:SF360', NULL, NULL, NULL, NULL, 'BNACNNG75160D PROTEIN', 71632),
(127907, 'PTHR36432', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 71633),
(127908, 'PTHR44575:SF1', NULL, NULL, NULL, NULL, 'EMBRYONIC ABUNDANT PROTEIN-LIKE', 71634),
(127909, 'PTHR27006:SF352', NULL, NULL, NULL, NULL, 'BNAA07G07730D PROTEIN', 71635),
(127910, 'PTHR39156:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE M5', 71636),
(127911, 'PTHR46301:SF25', NULL, NULL, NULL, NULL, 'BNAA07G08860D PROTEIN', 71637),
(127912, 'PTHR24028:SF46', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-8', 71638),
(127913, 'PTHR24023:SF996', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE IX, ALPHA 1A', 71639),
(127914, 'PTHR10182:SF11', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 39', 71640),
(127915, 'PTHR47936', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 71641),
(127916, 'PTHR33625:SF4', NULL, NULL, NULL, NULL, 'OS08G0179900 PROTEIN', 71642),
(127917, 'PTHR36810', NULL, NULL, NULL, NULL, 'BNACNNG47150D PROTEIN', 71643),
(127918, 'PTHR44259', NULL, NULL, NULL, NULL, 'OS07G0183000 PROTEIN-RELATED', 71644);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(127919, 'PTHR11062:SF285', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN-RELATED', 71645),
(127920, 'PTHR45676:SF71', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 71646),
(127921, 'PTHR45628:SF10', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1C', 71647),
(127922, 'PTHR31865:SF46', NULL, NULL, NULL, NULL, 'BNAC08G44460D PROTEIN', 71648),
(127923, 'PTHR31673:SF23', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 4', 71649),
(127924, 'PTHR10681:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71650),
(127925, 'PTHR33388:SF12', NULL, NULL, NULL, NULL, 'PROTEIN SPEAR3', 71651),
(127926, 'PTHR33128:SF45', NULL, NULL, NULL, NULL, 'OS05G0103300 PROTEIN', 71652),
(127927, 'PTHR47853:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71653),
(127928, 'PTHR22761:SF68', NULL, NULL, NULL, NULL, 'BNAA07G00950D PROTEIN', 71654),
(127929, 'PTHR23335:SF14', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 2', 71655),
(127930, 'PTHR35546:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71656),
(127931, 'PTHR45961:SF7', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE 28', 71657),
(127932, 'PTHR11843:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 71658),
(127933, 'PTHR30445', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 71659),
(127934, 'PTHR36325:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-2 HEAVY CHAIN-LIKE PROTEIN', 71660),
(127935, 'PTHR41747:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71661),
(127936, 'PTHR43880:SF45', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE', 71662),
(127937, 'PTHR33672:SF6', NULL, NULL, NULL, NULL, 'OS03G0315301 PROTEIN', 71663),
(127938, 'PTHR12942:SF2', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR SLU7', 71664),
(127939, 'PTHR31313', NULL, NULL, NULL, NULL, 'TY1 ENHANCER ACTIVATOR', 71665),
(127940, 'PTHR44376:SF11', NULL, NULL, NULL, NULL, 'OS03G0860900 PROTEIN', 71666),
(127941, 'PTHR33021:SF358', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 1', 71667),
(127942, 'PTHR46553:SF22', NULL, NULL, NULL, NULL, 'BNAA05G27200D PROTEIN', 71668),
(127943, 'PTHR37977:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG26449', 71669),
(127944, 'PTHR30178:SF3', NULL, NULL, NULL, NULL, 'SUCCINATE-ACETATE/PROTON SYMPORTER SATP', 71670),
(127945, 'PTHR19290:SF96', NULL, NULL, NULL, NULL, 'OLIGODENDROCYTE TRANSCRIPTION FACTOR 3', 71671),
(127946, 'PTHR46525:SF6', NULL, NULL, NULL, NULL, 'ARABIDOPSIS THALIANA GENOMIC DNA, CHROMOSOME 5, P1 CLONE:MOK16', 71672),
(127947, 'PTHR11462', NULL, NULL, NULL, NULL, 'JUN TRANSCRIPTION FACTOR-RELATED', 71673),
(127948, 'PTHR30151:SF22', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN MJ0413-RELATED', 71674),
(127949, 'PTHR23359:SF206', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', 71675),
(127950, 'PTHR46034:SF4', NULL, NULL, NULL, NULL, 'OS09G0563700 PROTEIN', 71676),
(127951, 'PTHR30128:SF64', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I CHLOROPHYLL A APOPROTEIN A2', 71677),
(127952, 'PTHR45950:SF15', NULL, NULL, NULL, NULL, 'START DOMAIN, HOMEODOMAIN-LIKE, MEKHLA, START-LIKE DOMAIN PROTEIN-RELATED', 71678),
(127953, 'PTHR31639:SF43', NULL, NULL, NULL, NULL, 'OS06G0688400 PROTEIN', 71679),
(127954, 'PTHR36058:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71680),
(127955, 'PTHR35102:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71681),
(127956, 'PTHR36363', NULL, NULL, NULL, NULL, 'OS04G0687200 PROTEIN', 71682),
(127957, 'PTHR43507:SF15', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 71683),
(127958, 'PTHR10641:SF1265', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 71684),
(127959, 'PTHR10953:SF200', NULL, NULL, NULL, NULL, 'ADENYLYLTRANSFERASE AND SULFURTRANSFERASE MOCS3', 71685),
(127960, 'PTHR26379:SF338', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 71686),
(127961, 'PTHR31589:SF63', NULL, NULL, NULL, NULL, 'BNAA05G37050D PROTEIN', 71687),
(127962, 'PTHR35885:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71688),
(127963, 'PTHR21394', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 71689),
(127964, 'PTHR11915:SF232', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN, NON-ERYTHROCYTIC 4', 71690);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(127965, 'PTHR43286:SF3', NULL, NULL, NULL, NULL, 'ENDONUCLEASE III HOMOLOG 2, CHLOROPLASTIC', 71691),
(127966, 'PTHR45820:SF5', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN CZCD', 71692),
(127967, 'PTHR31568:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71693),
(127968, 'PTHR48043:SF100', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 71694),
(127969, 'PTHR23180:SF160', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN EFFECTOR PROTEIN 1', 71695),
(127970, 'PTHR31175:SF41', NULL, NULL, NULL, NULL, 'OS09G0546700 PROTEIN', 71696),
(127971, 'PTHR22951:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-BINDING CLATHRIN ASSEMBLY PROTEIN LAP', 71697),
(127972, 'PTHR21495:SF156', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 71698),
(127973, 'PTHR13440:SF7', NULL, NULL, NULL, NULL, 'BLOC-1-RELATED COMPLEX SUBUNIT 6', 71699),
(127974, 'PTHR31854:SF2', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE COMPLEX SUBUNIT 2', 71700),
(127975, 'PTHR11709:SF306', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', 71701),
(127976, 'PTHR10352:SF15', NULL, NULL, NULL, NULL, 'ELAV-LIKE PROTEIN 3', 71702),
(127977, 'PTHR16231:SF15', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 8', 71703),
(127978, 'PTHR31651:SF29', NULL, NULL, NULL, NULL, 'BNAC02G45090D PROTEIN', 71704),
(127979, 'PTHR33138:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71705),
(127980, 'PTHR26453:SF140', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6Q1', 71706),
(127981, 'PTHR10394:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', 71707),
(127982, 'PTHR34179', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P53-INDUCIBLE PROTEIN 13', 71708),
(127983, 'PTHR12103:SF11', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE DOMAIN-CONTAINING PROTEIN 3', 71709),
(127984, 'PTHR31985:SF165', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TINY-LIKE', 71710),
(127985, 'PTHR23428:SF176', NULL, NULL, NULL, NULL, 'HISTONE H2B.1', 71711),
(127986, 'PTHR45908:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG11685', 71712),
(127987, 'PTHR24221:SF395', NULL, NULL, NULL, NULL, 'SERINE PROTEASE/ABC TRANSPORTER B FAMILY PROTEIN TAGB-RELATED', 71713),
(127988, 'PTHR10782:SF9', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE PIAS4', 71714),
(127989, 'PTHR45898:SF11', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 6 ISOFORM X1', 71715),
(127990, 'PTHR21472:SF10', NULL, NULL, NULL, NULL, 'K123 PROTEIN', 71716),
(127991, 'PTHR23056:SF93', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN', 71717),
(127992, 'PTHR10291:SF0', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE COMPLEX SUBUNIT DHDDS', 71718),
(127993, 'PTHR31992:SF224', NULL, NULL, NULL, NULL, 'BNAA10G27100D PROTEIN', 71719),
(127994, 'PTHR31707:SF295', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 71720),
(127995, 'PTHR47936:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71721),
(127996, 'PTHR19282:SF273', NULL, NULL, NULL, NULL, 'TETRASPANIN', 71722),
(127997, 'PTHR31790:SF399', NULL, NULL, NULL, NULL, 'BNAA05G32970D PROTEIN', 71723),
(127998, 'PTHR10766:SF117', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 71724),
(127999, 'PTHR10044:SF171', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XIAP', 71725),
(128000, 'PTHR16515:SF24', NULL, NULL, NULL, NULL, 'PR DOMAIN-CONTAINING 1A, WITH ZNF DOMAIN', 71726),
(128001, 'PTHR22941', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR', 71727),
(128002, 'PTHR43895:SF114', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 71728),
(128003, 'PTHR47925:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71729),
(128004, 'PTHR37451:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71730),
(128005, 'PTHR10766:SF138', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 11', 71731),
(128006, 'PTHR10314:SF214', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN (CYK3), PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03400)-RELATED', 71732),
(128007, 'PTHR14200:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71733);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(128008, 'PTHR13866:SF14', NULL, NULL, NULL, NULL, 'BM-40', 71734),
(128009, 'PTHR33455:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71735),
(128010, 'PTHR33172:SF45', NULL, NULL, NULL, NULL, 'EMB|CAB83157.1', 71736),
(128011, 'PTHR33178:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 71737),
(128012, 'PTHR33074:SF68', NULL, NULL, NULL, NULL, 'OS07G0642050 PROTEIN', 71738),
(128013, 'PTHR33110:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71739),
(128014, 'PTHR14155:SF518', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71740),
(128015, 'PTHR47905:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 4B', 71741),
(128016, 'PTHR32089:SF65', NULL, NULL, NULL, NULL, 'CHEMOTAXIS SIGNAL TRANSDUCTION SYSTEM METHYL ACCEPTING SENSORY TRANSDUCER', 71742),
(128017, 'PTHR11532:SF80', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE N CATALYTIC CHAIN', 71743),
(128018, 'PTHR34114:SF13', NULL, NULL, NULL, NULL, 'BNAA06G00380D PROTEIN', 71744),
(128019, 'PTHR24248:SF118', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR D2-LIKE', 71745),
(128020, 'PTHR20971:SF0', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM5', 71746),
(128021, 'PTHR45805:SF7', NULL, NULL, NULL, NULL, 'RAR-RELATED ORPHAN RECEPTOR C B', 71747),
(128022, 'PTHR47993:SF10', NULL, NULL, NULL, NULL, 'BNAA01G26460D PROTEIN', 71748),
(128023, 'PTHR44067:SF2', NULL, NULL, NULL, NULL, 'OS08G0113400 PROTEIN', 71749),
(128024, 'PTHR11304:SF34', NULL, NULL, NULL, NULL, 'EPHRIN-B3', 71750),
(128025, 'PTHR24085:SF6', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR GAMMA', 71751),
(128026, 'PTHR16134:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71752),
(128027, 'PTHR24408:SF39', NULL, NULL, NULL, NULL, 'PAIRED ZINC FINGER PROTEIN-RELATED', 71753),
(128028, 'PTHR24044:SF448', NULL, NULL, NULL, NULL, 'PROTEIN JAGGED-1', 71754),
(128029, 'PTHR36071:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71755),
(128030, 'PTHR42861:SF74', NULL, NULL, NULL, NULL, 'ATPASE 1, PLASMA MEMBRANE-TYPE', 71756),
(128031, 'PTHR39080:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L28', 71757),
(128032, 'PTHR34460:SF11', NULL, NULL, NULL, NULL, 'BNAA05G30600D PROTEIN', 71758),
(128033, 'PTHR19384:SF108', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', 71759),
(128034, 'PTHR21255:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71760),
(128035, 'PTHR12395:SF23', NULL, NULL, NULL, NULL, 'DECAPPING NUCLEASE DOM-3', 71761),
(128036, 'PTHR33402:SF25', NULL, NULL, NULL, NULL, 'BNAC03G58490D PROTEIN', 71762),
(128037, 'PTHR45752:SF103', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 4', 71763),
(128038, 'PTHR48054:SF22', NULL, NULL, NULL, NULL, 'OS10G0467900 PROTEIN', 71764),
(128039, 'PTHR12771:SF63', NULL, NULL, NULL, NULL, 'BNAA05G32830D PROTEIN', 71765),
(128040, 'PTHR12320:SF69', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 24-RELATED', 71766),
(128041, 'PTHR37974:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14951', 71767),
(128042, 'PTHR39959:SF2', NULL, NULL, NULL, NULL, 'RE44287P', 71768),
(128043, 'PTHR47293:SF6', NULL, NULL, NULL, NULL, 'MANNOSE/GLUCOSE-SPECIFIC LECTIN-LIKE', 71769),
(128044, 'PTHR45676:SF39', NULL, NULL, NULL, NULL, 'OS11G0703200 PROTEIN', 71770),
(128045, 'PTHR23050:SF422', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML16-RELATED', 71771),
(128046, 'PTHR33429:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71772),
(128047, 'PTHR47364:SF10', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 71773),
(128048, 'PTHR43037', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT-RELATED', 71774),
(128049, 'PTHR24177:SF187', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', 71775),
(128050, 'PTHR47956:SF82', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 71776),
(128051, 'PTHR23428:SF284', NULL, NULL, NULL, NULL, 'HISTONE H2B', 71777),
(128052, 'PTHR10201:SF257', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71778),
(128053, 'PTHR27000:SF680', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR KINASE XIAO-RELATED', 71779),
(128054, 'PTHR23105:SF148', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L7AE/L8/NHP2 FAMILY, 50S RIBOSOMAL PROTEIN L30E-LIKE PROTEIN-RELATED', 71780);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(128055, 'PTHR24055:SF148', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', 71781),
(128056, 'PTHR12555:SF24', NULL, NULL, NULL, NULL, 'FUSION DEGRADATION PROTEIN 1,PUTATIVE-RELATED', 71782),
(128057, 'PTHR11474:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71783),
(128058, 'PTHR12231:SF241', NULL, NULL, NULL, NULL, 'L1 CELL ADHESION MOLECULE', 71784),
(128059, 'PTHR44914', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 13', 71785),
(128060, 'PTHR38342:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE OR EXPORTED-RELATED', 71786),
(128061, 'PTHR42968:SF21', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT-CONTAINING PROTEIN (AFU_ORTHOLOGUE AFUA_2G12060)', 71787),
(128062, 'PTHR10378:SF37', NULL, NULL, NULL, NULL, 'BNAA03G47480D PROTEIN', 71788),
(128063, 'PTHR31196', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II NUCLEAR LOCALIZATION PROTEIN SLC7A6OS-RELATED', 71789),
(128064, 'PTHR45762:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER, U1-TYPE, ZINC FINGER, C2H2-LIKE PROTEIN-RELATED', 71790),
(128065, 'PTHR24206:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71791),
(128066, 'PTHR22603:SF83', NULL, NULL, NULL, NULL, 'CHOLINE KINASE 1-RELATED', 71792),
(128067, 'PTHR37807', NULL, NULL, NULL, NULL, 'OS07G0160300 PROTEIN', 71793),
(128068, 'PTHR46495', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 21', 71794),
(128069, 'PTHR37377:SF2', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE LARGE CHAIN', 71795),
(128070, 'PTHR23206:SF5', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND KH DOMAIN-CONTAINING PROTEIN 1', 71796),
(128071, 'PTHR21593:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CBG05431', 71797),
(128072, 'PTHR45660:SF28', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 71798),
(128073, 'PTHR27005:SF57', NULL, NULL, NULL, NULL, 'OS08G0365500 PROTEIN', 71799),
(128074, 'PTHR47622', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH PROTEIN 1', 71800),
(128075, 'PTHR12411:SF591', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RDL3-RELATED', 71801),
(128076, 'PTHR13169:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN 4', 71802),
(128077, 'PTHR23513:SF19', NULL, NULL, NULL, NULL, 'MACROLIDE-EFFLUX PROTEIN', 71803),
(128078, 'PTHR46950:SF2', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER CORA-LIKE FAMILY PROTEIN', 71804),
(128079, 'PTHR12478:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CHARYBDE-RELATED', 71805),
(128080, 'PTHR47319:SF9', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1-LIKE', 71806),
(128081, 'PTHR47868', NULL, NULL, NULL, NULL, 'OS05G0457700 PROTEIN', 71807),
(128082, 'PTHR13832:SF775', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1L', 71808),
(128083, 'PTHR31251:SF73', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 14', 71809),
(128084, 'PTHR33154:SF15', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR SMTB', 71810),
(128085, 'PTHR11654:SF427', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', 71811),
(128086, 'PTHR15921:SF7', NULL, NULL, NULL, NULL, 'PROTEIN SCAF8', 71812),
(128087, 'PTHR33543:SF20', NULL, NULL, NULL, NULL, 'BNAC03G35960D PROTEIN', 71813),
(128088, 'PTHR11753:SF48', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', 71814),
(128089, 'PTHR42865:SF9', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE TRANSPORT PROTEIN-RELATED', 71815),
(128090, 'PTHR33870:SF4', NULL, NULL, NULL, NULL, 'CARDIOMYOPATHY-ASSOCIATED PROTEIN', 71816),
(128091, 'PTHR36698:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71817),
(128092, 'PTHR42791:SF1', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', 71818),
(128093, 'PTHR33052:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71819),
(128094, 'PTHR31889:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71820),
(128095, 'PTHR31069:SF16', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE REGULATOR 1', 71821),
(128096, 'PTHR31451:SF57', NULL, NULL, NULL, NULL, 'BETA-1,4-ENDOGLUCANASE (EUROFUNG)-RELATED', 71822),
(128097, 'PTHR18952:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71823),
(128098, 'PTHR43864:SF1', NULL, NULL, NULL, NULL, 'HYPOXANTHINE/GUANINE PHOSPHORIBOSYLTRANSFERASE', 71824);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(128099, 'PTHR11586:SF35', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA SYNTHETASE N-TERM HOMOLOG (METS-LIKE)', 71825),
(128100, 'PTHR43564', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE-LIKE PROTEIN', 71826),
(128101, 'PTHR32382:SF0', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 4', 71827),
(128102, 'PTHR47293:SF45', NULL, NULL, NULL, NULL, 'BNAC03G24440D PROTEIN', 71828),
(128103, 'PTHR10903:SF69', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 5', 71829),
(128104, 'PTHR45660:SF49', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE FAMILY MEMBER SUVH9-LIKE', 71830),
(128105, 'PTHR24031', NULL, NULL, NULL, NULL, 'RNA HELICASE', 71831),
(128106, 'PTHR31190:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71832),
(128107, 'PTHR46128:SF14', NULL, NULL, NULL, NULL, 'BNAA09G52830D PROTEIN', 71833),
(128108, 'PTHR31503:SF22', NULL, NULL, NULL, NULL, 'VACUOLAR CALCIUM ION TRANSPORTER', 71834),
(128109, 'PTHR45679:SF2', NULL, NULL, NULL, NULL, 'ER DEGRADATION-ENHANCING ALPHA-MANNOSIDASE-LIKE PROTEIN 3', 71835),
(128110, 'PTHR15907:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71836),
(128111, 'PTHR46782:SF2', NULL, NULL, NULL, NULL, 'OS07G0545900 PROTEIN', 71837),
(128112, 'PTHR43777', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR CYTIDYLYLTRANSFERASE', 71838),
(128113, 'PTHR31113:SF6', NULL, NULL, NULL, NULL, 'UPF0496 PROTEIN 3', 71839),
(128114, 'PTHR32063:SF33', NULL, NULL, NULL, NULL, 'RND SUPERFAMILY EFFLUX PUMP PERMEASE COMPONENT', 71840),
(128115, 'PTHR15439:SF14', NULL, NULL, NULL, NULL, 'VAD-4', 71841),
(128116, 'PTHR36541', NULL, NULL, NULL, NULL, 'SUPEROXIDE REDUCTASE-RELATED', 71842),
(128117, 'PTHR27007:SF218', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.4', 71843),
(128118, 'PTHR12588:SF10', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE 2', 71844),
(128119, 'PTHR21207:SF1', NULL, NULL, NULL, NULL, 'PACRG-LIKE PROTEIN', 71845),
(128120, 'PTHR42913:SF9', NULL, NULL, NULL, NULL, 'SULFIDE DEHYDROGENASE, FLAVOPROTEIN SUBUNIT', 71846),
(128121, 'PTHR43249', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-2-AMINO-2-DEOXY-D-GLUCURONATE OXIDASE', 71847),
(128122, 'PTHR33044:SF150', NULL, NULL, NULL, NULL, 'INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 71848),
(128123, 'PTHR45637:SF52', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL1-LIKE', 71849),
(128124, 'PTHR11950:SF31', NULL, NULL, NULL, NULL, 'SEGMENTATION PROTEIN RUNT', 71850),
(128125, 'PTHR48054:SF28', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN', 71851),
(128126, 'PTHR47926:SF82', NULL, NULL, NULL, NULL, 'BNAC09G29400D PROTEIN', 71852),
(128127, 'PTHR11017:SF348', NULL, NULL, NULL, NULL, 'BNAC09G12760D PROTEIN', 71853),
(128128, 'PTHR10543:SF116', NULL, NULL, NULL, NULL, 'CAROTENOID CLEAVAGE DIOXYGENASE 4, CHLOROPLASTIC-RELATED', 71854),
(128129, 'PTHR31263:SF42', NULL, NULL, NULL, NULL, 'OS02G0596200 PROTEIN', 71855),
(128130, 'PTHR23348:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71856),
(128131, 'PTHR10110:SF103', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 4', 71857),
(128132, 'PTHR34276:SF1', NULL, NULL, NULL, NULL, 'MINI-RIBONUCLEASE 3', 71858),
(128133, 'PTHR31728:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71859),
(128134, 'PTHR36321:SF11', NULL, NULL, NULL, NULL, 'BNAA06G23430D PROTEIN', 71860),
(128135, 'PTHR31190:SF304', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', 71861),
(128136, 'PTHR32266:SF17', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE-RELATED', 71862),
(128137, 'PTHR23262:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71863),
(128138, 'PTHR10314:SF80', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL L-3-CYANOALANINE SYNTHASE/CYSTEINE SYNTHASE C1, MITOCHONDRIAL', 71864),
(128139, 'PTHR33509:SF25', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN LEA5', 71865),
(128140, 'PTHR14221:SF55', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', 71866),
(128141, 'PTHR27001:SF66', NULL, NULL, NULL, NULL, 'OS01G0738300 PROTEIN', 71867);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(128142, 'PTHR15397:SF2', NULL, NULL, NULL, NULL, 'REGULATORY SOLUTE CARRIER PROTEIN FAMILY 1 MEMBER 1', 71868),
(128143, 'PTHR23024:SF443', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE', 71869),
(128144, 'PTHR13110:SF1', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D-LIKE PROTEIN', 71870),
(128145, 'PTHR24264:SF57', NULL, NULL, NULL, NULL, 'TRYPSIN-6-RELATED', 71871),
(128146, 'PTHR45878:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP3', 71872),
(128147, 'PTHR24300:SF340', NULL, NULL, NULL, NULL, 'INACTIVE CYTOCHROME P450 2G1-RELATED', 71873),
(128148, 'PTHR45682:SF14', NULL, NULL, NULL, NULL, 'SI:CH211-121A2.2-RELATED', 71874),
(128149, 'PTHR31080:SF152', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 2', 71875),
(128150, 'PTHR43574:SF41', NULL, NULL, NULL, NULL, 'BNAC04G06350D PROTEIN', 71876),
(128151, 'PTHR33596:SF17', NULL, NULL, NULL, NULL, 'COLD-REGULATED 413 INNER MEMBRANE PROTEIN 1, CHLOROPLASTIC-RELATED', 71877),
(128152, 'PTHR45618:SF47', NULL, NULL, NULL, NULL, 'UNCOUPLING PROTEIN 5-RELATED', 71878),
(128153, 'PTHR30251:SF3', NULL, NULL, NULL, NULL, 'FIMBRIAL CHAPARONE PROTEIN-RELATED', 71879),
(128154, 'PTHR42855', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING SUBUNIT', 71880),
(128155, 'PTHR43000:SF2', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-DIPHOSPHATE-SUGAR EPIMERASE', 71881),
(128156, 'PTHR23253:SF9', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4 GAMMA 2', 71882),
(128157, 'PTHR38791:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DBAG-RELATED', 71883),
(128158, 'PTHR45134:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71884),
(128159, 'PTHR11122:SF50', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 71885),
(128160, 'PTHR46067:SF3', NULL, NULL, NULL, NULL, 'OS03G0665000 PROTEIN', 71886),
(128161, 'PTHR32295:SF165', NULL, NULL, NULL, NULL, 'BNACNNG33700D PROTEIN', 71887),
(128162, 'PTHR12259:SF3', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN GIPC2', 71888),
(128163, 'PTHR11238:SF9', NULL, NULL, NULL, NULL, 'PROMININ, ISOFORM D', 71889),
(128164, 'PTHR11258:SF3', NULL, NULL, NULL, NULL, '2''-5''-OLIGOADENYLATE SYNTHASE 2', 71890),
(128165, 'PTHR45967:SF1', NULL, NULL, NULL, NULL, 'G-BOX-BINDING FACTOR 3', 71891),
(128166, 'PTHR31541:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71892),
(128167, 'PTHR43618:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71893),
(128168, 'PTHR45974:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71894),
(128169, 'PTHR47407:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13817', 71895),
(128170, 'PTHR10288:SF305', NULL, NULL, NULL, NULL, 'BNAA06G33840D PROTEIN', 71896),
(128171, 'PTHR20903:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71897),
(128172, 'PTHR24296', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 71898),
(128173, 'PTHR31235:SF44', NULL, NULL, NULL, NULL, 'PEROXIDASE', 71899),
(128174, 'PTHR45734:SF6', NULL, NULL, NULL, NULL, 'TENSIN-4', 71900),
(128175, 'PTHR31676:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71901),
(128176, 'PTHR15404', NULL, NULL, NULL, NULL, 'PROTEIN AF1Q', 71902),
(128177, 'PTHR24229:SF91', NULL, NULL, NULL, NULL, 'MELANIN-CONCENTRATING HORMONE RECEPTOR 1', 71903),
(128178, 'PTHR11857', NULL, NULL, NULL, NULL, 'ODORANT BINDING PROTEIN-RELATED', 71904),
(128179, 'PTHR13748:SF65', NULL, NULL, NULL, NULL, '47 KD PROTEIN', 71905),
(128180, 'PTHR11362:SF70', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN 4', 71906),
(128181, 'PTHR15746:SF14', NULL, NULL, NULL, NULL, 'RAB11 FAMILY-INTERACTING PROTEIN 5', 71907),
(128182, 'PTHR33955:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 52B', 71908),
(128183, 'PTHR12299:SF63', NULL, NULL, NULL, NULL, 'BNAC08G43870D PROTEIN', 71909),
(128184, 'PTHR37679', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL DOMAIN-CONTAINING PROTEIN 2', 71910),
(128185, 'PTHR23024:SF501', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 120-RELATED', 71911),
(128186, 'PTHR21353:SF8', NULL, NULL, NULL, NULL, 'CARDIOTROPHIN-2', 71912),
(128187, 'PTHR11759:SF42', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14-1-RELATED', 71913);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(128188, 'PTHR37304', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 71914),
(128189, 'PTHR47977:SF17', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY-RELATED', 71915),
(128190, 'PTHR13140:SF777', NULL, NULL, NULL, NULL, 'MYOSIN-16', 71916),
(128191, 'PTHR47867', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 71917),
(128192, 'PTHR45770:SF35', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 71918),
(128193, 'PTHR45929:SF4', NULL, NULL, NULL, NULL, 'LAS SEVENTEEN-BINDING PROTEIN 1', 71919),
(128194, 'PTHR27002:SF819', NULL, NULL, NULL, NULL, 'OS09G0551000 PROTEIN', 71920),
(128195, 'PTHR47932:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71921),
(128196, 'PTHR19359:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 DOMAIN-CONTAINING PROTEIN', 71922),
(128197, 'PTHR12894:SF28', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 3', 71923),
(128198, 'PTHR47069:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71924),
(128199, 'PTHR38887', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', 71925),
(128200, 'PTHR47983:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71926),
(128201, 'PTHR18959:SF89', NULL, NULL, NULL, NULL, 'TRANSGELIN', 71927),
(128202, 'PTHR10000:SF23', NULL, NULL, NULL, NULL, '5-AMINO-6-(5-PHOSPHO-D-RIBITYLAMINO)URACIL PHOSPHATASE YITU', 71928),
(128203, 'PTHR10572:SF24', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE', 71929),
(128204, 'PTHR23085:SF7', NULL, NULL, NULL, NULL, 'JUNCTOPHILIN-3', 71930),
(128205, 'PTHR24377:SF838', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 319', 71931),
(128206, 'PTHR28538:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL INNER NUCLEAR MEMBRANE PROTEIN IMA1', 71932),
(128207, 'PTHR26453:SF581', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 979', 71933),
(128208, 'PTHR31233:SF13', NULL, NULL, NULL, NULL, 'BICAUDAL D HOMOLOG 2 (DROSOPHILA)', 71934),
(128209, 'PTHR23421:SF57', NULL, NULL, NULL, NULL, 'BETA GALACTOSIDASE HOMOLOG', 71935),
(128210, 'PTHR23130:SF181', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 71936),
(128211, 'PTHR12668:SF39', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14EP', 71937),
(128212, 'PTHR24349:SF439', NULL, NULL, NULL, NULL, 'BNAA09G08020D PROTEIN', 71938),
(128213, 'PTHR48017:SF138', NULL, NULL, NULL, NULL, 'BNAA09G28110D PROTEIN', 71939),
(128214, 'PTHR32282:SF22', NULL, NULL, NULL, NULL, 'BINDING PROTEIN TRANSPEPTIDASE, PUTATIVE-RELATED', 71940),
(128215, 'PTHR43888:SF40', NULL, NULL, NULL, NULL, 'OS12G0619100 PROTEIN', 71941),
(128216, 'PTHR31636:SF55', NULL, NULL, NULL, NULL, 'OS12G0162700 PROTEIN', 71942),
(128217, 'PTHR32212:SF271', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 13-RELATED', 71943),
(128218, 'PTHR42898:SF48', NULL, NULL, NULL, NULL, 'BNAA04G17120D PROTEIN', 71944),
(128219, 'PTHR10791:SF157', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 71945),
(128220, 'PTHR37307', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN WHIA-RELATED', 71946),
(128221, 'PTHR48210:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71947),
(128222, 'PTHR21240:SF27', NULL, NULL, NULL, NULL, '2-AMINO-3-CARBOXYMUCONATE-6-SEMIALDEHYDE DECARBOXYLASE', 71948),
(128223, 'PTHR48042:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71949),
(128224, 'PTHR36562:SF6', NULL, NULL, NULL, NULL, 'EG:133E12.4 PROTEIN', 71950),
(128225, 'PTHR47838:SF2', NULL, NULL, NULL, NULL, 'BNAA10G08500D PROTEIN', 71951),
(128226, 'PTHR33512:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71952),
(128227, 'PTHR10795:SF635', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71953),
(128228, 'PTHR43874:SF99', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR16', 71954),
(128229, 'PTHR33304:SF18', NULL, NULL, NULL, NULL, 'OS12G0161900 PROTEIN', 71955),
(128230, 'PTHR46579', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 71956),
(128231, 'PTHR31414:SF7', NULL, NULL, NULL, NULL, 'OS04G0647550 PROTEIN', 71957),
(128232, 'PTHR22595:SF154', NULL, NULL, NULL, NULL, 'BNAA03G56430D PROTEIN', 71958);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(128233, 'PTHR45751:SF27', NULL, NULL, NULL, NULL, 'BNAC07G18250D PROTEIN', 71959),
(128234, 'PTHR10845:SF42', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 5', 71960),
(128235, 'PTHR27005:SF6', NULL, NULL, NULL, NULL, 'OS02G0623932 PROTEIN', 71961),
(128236, 'PTHR23166:SF9', NULL, NULL, NULL, NULL, 'CTTNBP2 N-TERMINAL-LIKE PROTEIN', 71962),
(128237, 'PTHR45296', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 71963),
(128238, 'PTHR45658:SF32', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 71964),
(128239, 'PTHR34482:SF25', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG DOMAIN, RETROVIRAL ASPARTYL PROTEASE-RELATED', 71965),
(128240, 'PTHR10201:SF151', NULL, NULL, NULL, NULL, 'INTERSTITIAL COLLAGENASE', 71966),
(128241, 'PTHR14003:SF12', NULL, NULL, NULL, NULL, 'OS05G0106000 PROTEIN', 71967),
(128242, 'PTHR31235:SF212', NULL, NULL, NULL, NULL, 'PEROXIDASE', 71968),
(128243, 'PTHR46487:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XRCC3', 71969),
(128244, 'PTHR31734:SF106', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 71970),
(128245, 'PTHR33370:SF2', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-1, CHLOROPLASTIC', 71971),
(128246, 'PTHR45714:SF8', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-17', 71972),
(128247, 'PTHR33228:SF35', NULL, NULL, NULL, NULL, 'OS02G0191800 PROTEIN', 71973),
(128248, 'PTHR12121:SF68', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE NGL2-RELATED', 71974),
(128249, 'PTHR11216:SF147', NULL, NULL, NULL, NULL, 'EPS15-LIKE PROTEIN-RELATED', 71975),
(128250, 'PTHR21497:SF37', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 71976),
(128251, 'PTHR34709:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71977),
(128252, 'PTHR33978', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE', 71978),
(128253, 'PTHR43283', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE-RELATED', 71979),
(128254, 'PTHR24089:SF711', NULL, NULL, NULL, NULL, 'FI05451P', 71980),
(128255, 'PTHR11236:SF44', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE ALPHA SUBUNIT 1, CHLOROPLASTIC ISOFORM X1', 71981),
(128256, 'PTHR11266:SF16', NULL, NULL, NULL, NULL, 'OS03G0583800 PROTEIN', 71982),
(128257, 'PTHR33044:SF176', NULL, NULL, NULL, NULL, 'BNAA06G23230D PROTEIN', 71983),
(128258, 'PTHR14233:SF23', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 PROTEIN (DUF914)', 71984),
(128259, 'PTHR26391:SF15', NULL, NULL, NULL, NULL, 'INACTIVE TYROSINE-PROTEIN KINASE 7', 71985),
(128260, 'PTHR10970:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71986),
(128261, 'PTHR23257:SF789', NULL, NULL, NULL, NULL, 'BNAA06G32000D PROTEIN', 71987),
(128262, 'PTHR32246:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71988),
(128263, 'PTHR33048', NULL, NULL, NULL, NULL, 'PTH11-LIKE INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G11245)', 71989),
(128264, 'PTHR37512:SF1', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL NAD BIOSYNTHESIS/REGULATOR PROTEIN NADR', 71990),
(128265, 'PTHR12804:SF11', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 3', 71991),
(128266, 'PTHR36795:SF2', NULL, NULL, NULL, NULL, 'OS01G0938400 PROTEIN', 71992),
(128267, 'PTHR31218:SF277', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 71993),
(128268, 'PTHR10688:SF1', NULL, NULL, NULL, NULL, 'PWWP', 71994),
(128269, 'PTHR28297', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 71995),
(128270, 'PTHR46502:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71996),
(128271, 'PTHR45981', NULL, NULL, NULL, NULL, 'LD02310P', 71997),
(128272, 'PTHR11960:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 71998),
(128273, 'PTHR46150:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN SYDE1', 71999),
(128274, 'PTHR27006:SF248', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', 72000),
(128275, 'PTHR24271:SF56', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 58', 72001),
(128276, 'PTHR12632:SF62', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-RELATED', 72002),
(128277, 'PTHR11161:SF22', NULL, NULL, NULL, NULL, 'RE24423P', 72003),
(128278, 'PTHR11636:SF86', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 5, TRANSCRIPTION FACTOR 1-RELATED', 72004);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(128279, 'PTHR13715:SF79', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR', 72005),
(128280, 'PTHR10693:SF68', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2, NTF2-LIKE DOMAIN PROTEIN-RELATED', 72006),
(128281, 'PTHR23012:SF196', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN-RELATED', 72007),
(128282, 'PTHR32212:SF370', NULL, NULL, NULL, NULL, 'BNAA03G10820D PROTEIN', 72008),
(128283, 'PTHR45665:SF38', NULL, NULL, NULL, NULL, 'BNAA09G44820D PROTEIN', 72009),
(128284, 'PTHR48086:SF5', NULL, NULL, NULL, NULL, 'SYMPORTER, PUTATIVE-RELATED', 72010),
(128285, 'PTHR11132:SF386', NULL, NULL, NULL, NULL, 'BNAC09G37670D PROTEIN', 72011),
(128286, 'PTHR10677:SF16', NULL, NULL, NULL, NULL, 'UBIQUILIN-1', 72012),
(128287, 'PTHR32073:SF8', NULL, NULL, NULL, NULL, 'DIVERGENT PROTEIN KINASE DOMAIN 2B', 72013),
(128288, 'PTHR10796:SF15', NULL, NULL, NULL, NULL, 'PATCHED DOMAIN-CONTAINING PROTEIN 4', 72014),
(128289, 'PTHR38360:SF1', NULL, NULL, NULL, NULL, 'OS03G0120000 PROTEIN', 72015),
(128290, 'PTHR11895:SF157', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE', 72016),
(128291, 'PTHR45800:SF32', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 6', 72017),
(128292, 'PTHR37863:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 196-RELATED', 72018),
(128293, 'PTHR23155:SF1068', NULL, NULL, NULL, NULL, 'OS07G0273900 PROTEIN', 72019),
(128294, 'PTHR39666', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 72020),
(128295, 'PTHR22765:SF272', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 72021),
(128296, 'PTHR11615:SF311', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 72022),
(128297, 'PTHR11866:SF10', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E2 RECEPTOR EP3 SUBTYPE', 72023),
(128298, 'PTHR10902:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L35A', 72024),
(128299, 'PTHR19353:SF11', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE 3', 72025),
(128300, 'PTHR47926:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72026),
(128301, 'PTHR24035:SF135', NULL, NULL, NULL, NULL, 'MULTIPLE EPIDERMAL GROWTH FACTOR-LIKE DOMAINS PROTEIN 6', 72027),
(128302, 'PTHR31790:SF419', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72028),
(128303, 'PTHR31681:SF73', NULL, NULL, NULL, NULL, 'BNAC03G60750D PROTEIN', 72029),
(128304, 'PTHR37076:SF3', NULL, NULL, NULL, NULL, 'EF-HAND 1, CALCIUM-BINDING PROTEIN-RELATED', 72030),
(128305, 'PTHR24411:SF31', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM MEMBRANE SENSOR NFE2L1', 72031),
(128306, 'PTHR31325:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72032),
(128307, 'PTHR10177:SF57', NULL, NULL, NULL, NULL, 'CYCLIN-I2', 72033),
(128308, 'PTHR33933:SF1', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', 72034),
(128309, 'PTHR43791:SF16', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01840)-RELATED', 72035),
(128310, 'PTHR13803:SF36', NULL, NULL, NULL, NULL, 'SI:DKEY-9K7.3', 72036),
(128311, 'PTHR32468', NULL, NULL, NULL, NULL, 'CATION/H +  ANTIPORTER', 72037),
(128312, 'PTHR22936:SF88', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', 72038),
(128313, 'PTHR31875:SF27', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 7', 72039),
(128314, 'PTHR31506:SF24', NULL, NULL, NULL, NULL, 'PROTEIN BRASSINAZOLE-RESISTANT 1-LIKE', 72040),
(128315, 'PTHR44372:SF1', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-GAMMA 1-RELATED', 72041),
(128316, 'PTHR11593:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17', 72042),
(128317, 'PTHR11559:SF396', NULL, NULL, NULL, NULL, 'NEUROTACTIN', 72043),
(128318, 'PTHR45687:SF68', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-2', 72044),
(128319, 'PTHR43511:SF8', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', 72045),
(128320, 'PTHR12943:SF37', NULL, NULL, NULL, NULL, 'CONSERVED FUNGAL PROTEIN (AFU_ORTHOLOGUE AFUA_1G15750)', 72046),
(128321, 'PTHR12771:SF27', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND ELMO DOMAIN-CONTAINING PROTEIN D', 72047),
(128322, 'PTHR31839:SF49', NULL, NULL, NULL, NULL, 'BNAC03G71900D PROTEIN', 72048);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(128323, 'PTHR22870', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION', 72049),
(128324, 'PTHR34460', NULL, NULL, NULL, NULL, 'VITELLOGENIN-LIKE PROTEIN', 72050),
(128325, 'PTHR36542:SF6', NULL, NULL, NULL, NULL, 'GIG2-LIKE PROTEIN DREP', 72051),
(128326, 'PTHR10177:SF474', NULL, NULL, NULL, NULL, 'CYCLIN-D4-1-LIKE', 72052),
(128327, 'PTHR31540', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 131 KDA', 72053),
(128328, 'PTHR10982', NULL, NULL, NULL, NULL, 'MALONYL COA-ACYL CARRIER PROTEIN TRANSACYLASE', 72054),
(128329, 'PTHR27002:SF783', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 31-RELATED', 72055),
(128330, 'PTHR12677:SF49', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 72056),
(128331, 'PTHR30237:SF4', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE-RELATED', 72057),
(128332, 'PTHR30620:SF106', NULL, NULL, NULL, NULL, 'BNAC09G36920D PROTEIN', 72058),
(128333, 'PTHR43249:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-2-AMINO-2-DEOXY-D-GLUCURONATE OXIDASE', 72059),
(128334, 'PTHR10615:SF192', NULL, NULL, NULL, NULL, 'BNACNNG48300D PROTEIN', 72060),
(128335, 'PTHR13935:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72061),
(128336, 'PTHR32015:SF10', NULL, NULL, NULL, NULL, 'LIPASE RELATED', 72062),
(128337, 'PTHR32092:SF2', NULL, NULL, NULL, NULL, 'ALPHA-GALACTURONIDASE', 72063),
(128338, 'PTHR11783:SF213', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 72064),
(128339, 'PTHR43900:SF66', NULL, NULL, NULL, NULL, 'FLOCCULATION PROTEIN FLO11-LIKE ISOFORM X1', 72065),
(128340, 'PTHR46870', NULL, NULL, NULL, NULL, 'PROTEIN THYLAKOID ASSEMBLY 8-LIKE, CHLOROPLASTIC', 72066),
(128341, 'PTHR45642:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72067),
(128342, 'PTHR33356:SF5', NULL, NULL, NULL, NULL, 'TIP41-LIKE PROTEIN', 72068),
(128343, 'PTHR35535', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSLJ', 72069),
(128344, 'PTHR22966:SF40', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 2', 72070),
(128345, 'PTHR47926:SF174', NULL, NULL, NULL, NULL, 'OS07G0260000 PROTEIN', 72071),
(128346, 'PTHR43403:SF1', NULL, NULL, NULL, NULL, 'NAD-SPECIFIC GLUTAMATE DEHYDROGENASE', 72072),
(128347, 'PTHR32468:SF128', NULL, NULL, NULL, NULL, 'BNAA04G18620D PROTEIN', 72073),
(128348, 'PTHR24366:SF80', NULL, NULL, NULL, NULL, 'LD30178P', 72074),
(128349, 'PTHR32227:SF312', NULL, NULL, NULL, NULL, 'OS09G0272300 PROTEIN', 72075),
(128350, 'PTHR33624:SF14', NULL, NULL, NULL, NULL, 'OS07G0687400 PROTEIN', 72076),
(128351, 'PTHR48042:SF7', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORTER-RELATED', 72077),
(128352, 'PTHR30537:SF58', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PERR', 72078),
(128353, 'PTHR24356:SF345', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE IREH1-RELATED', 72079),
(128354, 'PTHR11954', NULL, NULL, NULL, NULL, 'D-DOPACHROME DECARBOXYLASE', 72080),
(128355, 'PTHR43939:SF19', NULL, NULL, NULL, NULL, 'BNAA09G28150D PROTEIN', 72081),
(128356, 'PTHR15111:SF0', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL PREFOLDIN RPB5 INTERACTOR 1', 72082),
(128357, 'PTHR46053:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH9', 72083),
(128358, 'PTHR32235', NULL, NULL, NULL, NULL, 'NON-HOMOLOGOUS END-JOINING FACTOR 1', 72084),
(128359, 'PTHR19325:SF43', NULL, NULL, NULL, NULL, 'SUSHI, VON WILLEBRAND FACTOR TYPE A, EGF AND PENTRAXIN DOMAIN-CONTAINING PROTEIN 1', 72085),
(128360, 'PTHR10209:SF513', NULL, NULL, NULL, NULL, '2-OXOACID DEPENDENT DIOXYGENASE-RELATED', 72086),
(128361, 'PTHR33120:SF39', NULL, NULL, NULL, NULL, 'OS12G0193800 PROTEIN', 72087),
(128362, 'PTHR24112:SF59', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 37 HOMOLOG', 72088),
(128363, 'PTHR43834:SF5', NULL, NULL, NULL, NULL, 'BNAANNG40770D PROTEIN', 72089),
(128364, 'PTHR11712:SF340', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE II, CHLOROPLASTIC', 72090),
(128365, 'PTHR45832:SF11', NULL, NULL, NULL, NULL, 'P21 (RAC1) ACTIVATED KINASE 3', 72091),
(128366, 'PTHR13667', NULL, NULL, NULL, NULL, 'HOMOLOC-13', 72092),
(128367, 'PTHR11926:SF774', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 85A1-RELATED', 72093);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(128368, 'PTHR46288:SF30', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH DC1 DOMAIN PROTEIN', 72094),
(128369, 'PTHR47568', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 72095),
(128370, 'PTHR10422:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 1', 72096),
(128371, 'PTHR11482:SF56', NULL, NULL, NULL, NULL, 'PROTEIN CBG12014', 72097),
(128372, 'PTHR27004:SF377', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72098),
(128373, 'PTHR45687:SF74', NULL, NULL, NULL, NULL, 'OS10G0481100 PROTEIN', 72099),
(128374, 'PTHR11255:SF45', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE EPSILON', 72100),
(128375, 'PTHR47992:SF2', NULL, NULL, NULL, NULL, 'BNAC06G00110D PROTEIN', 72101),
(128376, 'PTHR45719:SF11', NULL, NULL, NULL, NULL, 'OS04G0301700 PROTEIN', 72102),
(128377, 'PTHR31218:SF305', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 72103),
(128378, 'PTHR24057:SF53', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE GAMMA', 72104),
(128379, 'PTHR33377:SF48', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 72105),
(128380, 'PTHR40735:SF3', NULL, NULL, NULL, NULL, 'RNA-EDITING COMPLEX PROTEIN MP42', 72106),
(128381, 'PTHR48011:SF4', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTIONAL COMPLEX SUBUNIT CAF120-RELATED', 72107),
(128382, 'PTHR24349:SF421', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 1', 72108),
(128383, 'PTHR31165:SF59', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 6', 72109),
(128384, 'PTHR23226:SF179', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 713', 72110),
(128385, 'PTHR33348:SF7', NULL, NULL, NULL, NULL, 'DELTA(2)-ISOPENTENYLPYROPHOSPHATE TRANSFERASE, PUTATIVE-RELATED', 72111),
(128386, 'PTHR31442:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LUX', 72112),
(128387, 'PTHR45770', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 72113),
(128388, 'PTHR34201:SF6', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 72114),
(128389, 'PTHR35472:SF3', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER MTCLE05', 72115),
(128390, 'PTHR11453:SF104', NULL, NULL, NULL, NULL, 'BNACNNG08280D PROTEIN', 72116),
(128391, 'PTHR45759', NULL, NULL, NULL, NULL, 'NUCLEOLAR GTP-BINDING PROTEIN 1', 72117),
(128392, 'PTHR23319', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 72118),
(128393, 'PTHR44229:SF4', NULL, NULL, NULL, NULL, '15-HYDROXYPROSTAGLANDIN DEHYDROGENASE [NAD(+)]', 72119),
(128394, 'PTHR28106', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ATPASE COMPLEX SUBUNIT ATP10', 72120),
(128395, 'PTHR43811:SF2', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 9A', 72121),
(128396, 'PTHR47956:SF46', NULL, NULL, NULL, NULL, 'PREMNASPIRODIENE OXYGENASE-LIKE', 72122),
(128397, 'PTHR46478:SF1', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 3A', 72123),
(128398, 'PTHR10209:SF778', NULL, NULL, NULL, NULL, 'NON-HEME DIOXYGENASE IN MORPHINE SYNTHESIS AMINO-TERMINAL PROTEIN', 72124),
(128399, 'PTHR10366:SF595', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE', 72125),
(128400, 'PTHR43706:SF35', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE B2', 72126),
(128401, 'PTHR33924:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72127),
(128402, 'PTHR23263:SF129', NULL, NULL, NULL, NULL, 'LATE CORNIFIED ENVELOPE PROTEIN 1B-RELATED', 72128),
(128403, 'PTHR31992:SF100', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.1', 72129),
(128404, 'PTHR12894:SF30', NULL, NULL, NULL, NULL, 'SI:CH211-266G18.9', 72130),
(128405, 'PTHR12549:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUMONJI (JMJC) DOMAIN-CONTAINING PROTEIN', 72131),
(128406, 'PTHR21659:SF86', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 72132),
(128407, 'PTHR31867:SF198', NULL, NULL, NULL, NULL, 'EXPANSIN', 72133),
(128408, 'PTHR45744:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72134),
(128409, 'PTHR48021:SF21', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 8', 72135),
(128410, 'PTHR43180:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72136),
(128411, 'PTHR24349:SF63', NULL, NULL, NULL, NULL, 'MAP KINASE-ACTIVATED PROTEIN KINASE 2', 72137),
(128412, 'PTHR22751', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR-RELATED', 72138);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(128413, 'PTHR27008:SF278', NULL, NULL, NULL, NULL, 'OS10G0336300 PROTEIN', 72139),
(128414, 'PTHR31093', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN GP138-RELATED-RELATED', 72140),
(128415, 'PTHR43522:SF6', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02910)-RELATED', 72141),
(128416, 'PTHR31681:SF34', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING PROTEIN', 72142),
(128417, 'PTHR46850', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 9', 72143),
(128418, 'PTHR13271:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72144),
(128419, 'PTHR11143:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L26-1-LIKE', 72145),
(128420, 'PTHR31707:SF307', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 72146),
(128421, 'PTHR21228', NULL, NULL, NULL, NULL, 'FAST LEU-RICH DOMAIN-CONTAINING', 72147),
(128422, 'PTHR11394:SF55', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 4', 72148),
(128423, 'PTHR11614:SF165', NULL, NULL, NULL, NULL, 'CAFFEOYLSHIKIMATE ESTERASE-LIKE', 72149),
(128424, 'PTHR34674:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 72150),
(128425, 'PTHR47851:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72151),
(128426, 'PTHR46776:SF10', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR', 72152),
(128427, 'PTHR45775:SF1', NULL, NULL, NULL, NULL, 'RAD, GEM/KIR FAMILY MEMBER 3, ISOFORM E', 72153),
(128428, 'PTHR23055:SF96', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN J-RELATED', 72154),
(128429, 'PTHR33120:SF42', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 72155),
(128430, 'PTHR24291', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 4', 72156),
(128431, 'PTHR31358:SF40', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 5 ISOFORM X1', 72157),
(128432, 'PTHR12801:SF121', NULL, NULL, NULL, NULL, 'EXONUCLEASE FAMILY PROTEIN', 72158),
(128433, 'PTHR15251:SF2', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC BASIC PROTEIN Y 1-RELATED', 72159),
(128434, 'PTHR31195:SF4', NULL, NULL, NULL, NULL, 'KIAA1143', 72160),
(128435, 'PTHR45620:SF23', NULL, NULL, NULL, NULL, 'GLUCAGON-LIKE PEPTIDE 2 RECEPTOR', 72161),
(128436, 'PTHR10519:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72162),
(128437, 'PTHR11772:SF43', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING]', 72163),
(128438, 'PTHR46351:SF14', NULL, NULL, NULL, NULL, 'HEVEIN-LIKE PREPROPROTEIN', 72164),
(128439, 'PTHR10694:SF8', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE LID', 72165),
(128440, 'PTHR43490:SF92', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE', 72166),
(128441, 'PTHR42703', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', 72167),
(128442, 'PTHR24221:SF551', NULL, NULL, NULL, NULL, 'BNACNNG20890D PROTEIN', 72168),
(128443, 'PTHR48021:SF53', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE-SENSING PROTEIN 2-LIKE', 72169),
(128444, 'PTHR34223:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72170),
(128445, 'PTHR33021:SF419', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 1', 72171),
(128446, 'PTHR23415:SF34', NULL, NULL, NULL, NULL, '60S RIBOSOME SUBUNIT BIOGENESIS PROTEIN NIP7 HOMOLOG', 72172),
(128447, 'PTHR31989:SF350', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72173),
(128448, 'PTHR33347:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0091C07.3 PROTEIN', 72174),
(128449, 'PTHR43205:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72175),
(128450, 'PTHR12174:SF90', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 3', 72176),
(128451, 'PTHR42760:SF80', NULL, NULL, NULL, NULL, 'GLUCOSE 1-DEHYDROGENASE', 72177),
(128452, 'PTHR13068:SF78', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', 72178),
(128453, 'PTHR46234:SF11', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', 72179),
(128454, 'PTHR22753:SF23', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 68', 72180),
(128455, 'PTHR47934:SF12', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 72181),
(128456, 'PTHR46280:SF2', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY F MEMBER 1', 72182);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(128457, 'PTHR46453', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C-BINDING PROTEIN 1', 72183),
(128458, 'PTHR15672:SF28', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED NUCLEIC ACID BINDING R3H PROTEIN', 72184),
(128459, 'PTHR31696:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72185),
(128460, 'PTHR31388:SF209', NULL, NULL, NULL, NULL, 'PEROXIDASE', 72186),
(128461, 'PTHR19375:SF444', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN, MITOCHONDRIAL', 72187),
(128462, 'PTHR24056:SF468', NULL, NULL, NULL, NULL, 'BNAC06G07730D PROTEIN', 72188),
(128463, 'PTHR24377:SF685', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 256', 72189),
(128464, 'PTHR11915:SF428', NULL, NULL, NULL, NULL, 'PROTEIN CBG16668', 72190),
(128465, 'PTHR26453:SF658', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 72191),
(128466, 'PTHR11559:SF392', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 72192),
(128467, 'PTHR11361:SF122', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MSH3', 72193),
(128468, 'PTHR33630:SF12', NULL, NULL, NULL, NULL, 'CUTINASE', 72194),
(128469, 'PTHR13683:SF664', NULL, NULL, NULL, NULL, 'OS05G0203912 PROTEIN', 72195),
(128470, 'PTHR35508:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 72196),
(128471, 'PTHR31194:SF59', NULL, NULL, NULL, NULL, 'AP2-EREBP TRANSCRIPTION FACTOR', 72197),
(128472, 'PTHR22435', NULL, NULL, NULL, NULL, 'CHROMOSOME 6 OPEN READING FRAME 222', 72198),
(128473, 'PTHR46772:SF4', NULL, NULL, NULL, NULL, 'OS01G0518300 PROTEIN', 72199),
(128474, 'PTHR24106:SF18', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING OLIGOMERIZATION DOMAIN-CONTAINING PROTEIN 1', 72200),
(128475, 'PTHR11477:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN 2', 72201),
(128476, 'PTHR11753:SF10', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT SIGMA-2', 72202),
(128477, 'PTHR45974:SF55', NULL, NULL, NULL, NULL, 'BNAA09G17950D PROTEIN', 72203),
(128478, 'PTHR15904:SF19', NULL, NULL, NULL, NULL, 'PROTEIN FAM13C', 72204),
(128479, 'PTHR34542:SF8', NULL, NULL, NULL, NULL, 'BNAA07G24650D PROTEIN', 72205),
(128480, 'PTHR11875:SF33', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED-LIKE PROTEIN 4', 72206),
(128481, 'PTHR14379:SF64', NULL, NULL, NULL, NULL, 'BNAANNG24860D PROTEIN', 72207),
(128482, 'PTHR10328:SF2', NULL, NULL, NULL, NULL, 'MAX-LIKE', 72208),
(128483, 'PTHR21072:SF13', NULL, NULL, NULL, NULL, 'GPI TRANSAMIDASE COMPONENT PIG-S', 72209),
(128484, 'PTHR10547', NULL, NULL, NULL, NULL, 'SEMENOGELIN/SEMINAL VESICLE SECRETORY PROTEIN', 72210),
(128485, 'PTHR13289:SF6', NULL, NULL, NULL, NULL, 'MACOILIN', 72211),
(128486, 'PTHR45647:SF106', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 35-LIKE', 72212),
(128487, 'PTHR24033:SF181', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 72213),
(128488, 'PTHR18916:SF44', NULL, NULL, NULL, NULL, 'CAP-GLY DOMAIN-CONTAINING LINKER PROTEIN 1', 72214),
(128489, 'PTHR22748:SF10', NULL, NULL, NULL, NULL, 'DNA-(APURINIC OR APYRIMIDINIC SITE) LYASE', 72215),
(128490, 'PTHR10795:SF548', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3.11', 72216),
(128491, 'PTHR47985:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL7-RELATED', 72217),
(128492, 'PTHR10983:SF15', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE YIHG-RELATED', 72218),
(128493, 'PTHR11689', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC FAMILY MEMBER', 72219),
(128494, 'PTHR22834:SF19', NULL, NULL, NULL, NULL, 'DYNAMIN-BINDING PROTEIN', 72220),
(128495, 'PTHR30031:SF16', NULL, NULL, NULL, NULL, 'BNAC02G43920D PROTEIN', 72221),
(128496, 'PTHR31301:SF161', NULL, NULL, NULL, NULL, 'BNAA03G19070D PROTEIN', 72222),
(128497, 'PTHR43704:SF1', NULL, NULL, NULL, NULL, 'BSR5907 PROTEIN', 72223),
(128498, 'PTHR46328:SF13', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 2-LIKE ISOFORM X1', 72224),
(128499, 'PTHR23155:SF1055', NULL, NULL, NULL, NULL, 'OS05G0414200 PROTEIN', 72225),
(128500, 'PTHR45947:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, GROUP 1 FAMILY PROTEIN, EXPRESSED', 72226),
(128501, 'PTHR11926:SF889', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 85A3', 72227);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(128502, 'PTHR11232:SF64', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR ADAPTOR PROTEIN 1A-RELATED', 72228),
(128503, 'PTHR47968:SF32', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7J', 72229),
(128504, 'PTHR33317:SF1', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', 72230),
(128505, 'PTHR10127:SF841', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 72231),
(128506, 'PTHR23507:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72232),
(128507, 'PTHR11685:SF334', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 72233),
(128508, 'PTHR24082:SF42', NULL, NULL, NULL, NULL, 'THYROID HORMONE RECEPTOR ALPHA', 72234),
(128509, 'PTHR27005:SF312', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72235),
(128510, 'PTHR48052:SF4', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERL1 ISOFORM X1', 72236),
(128511, 'PTHR48005:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 2', 72237),
(128512, 'PTHR23155:SF978', NULL, NULL, NULL, NULL, 'BLIGHT RESISTANCE PROTEIN RGA1-LIKE PROTEIN', 72238),
(128513, 'PTHR14179:SF13', NULL, NULL, NULL, NULL, 'SUBMAXILLARY GLAND ANDROGEN-REGULATED PROTEIN 3B', 72239),
(128514, 'PTHR42930', NULL, NULL, NULL, NULL, 'PHOSPHATE-SPECIFIC TRANSPORT SYSTEM ACCESSORY PROTEIN PHOU', 72240),
(128515, 'PTHR14233:SF12', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER F2', 72241),
(128516, 'PTHR47867:SF2', NULL, NULL, NULL, NULL, 'BNAA05G35570D PROTEIN', 72242),
(128517, 'PTHR43874:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72243),
(128518, 'PTHR46745:SF1', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 1', 72244),
(128519, 'PTHR31621:SF49', NULL, NULL, NULL, NULL, 'BNAA01G08420D PROTEIN', 72245),
(128520, 'PTHR31471:SF67', NULL, NULL, NULL, NULL, 'REMORIN 4.1', 72246),
(128521, 'PTHR45978:SF11', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 4', 72247),
(128522, 'PTHR47990:SF102', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE DAO', 72248),
(128523, 'PTHR24223:SF342', NULL, NULL, NULL, NULL, 'PROTEIN CBG08354', 72249),
(128524, 'PTHR12317:SF72', NULL, NULL, NULL, NULL, 'BNAC07G32270D PROTEIN', 72250),
(128525, 'PTHR24376:SF188', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 33A', 72251),
(128526, 'PTHR19890', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR', 72252),
(128527, 'PTHR33601:SF20', NULL, NULL, NULL, NULL, 'PROTEIN LITTLE ZIPPER 3', 72253),
(128528, 'PTHR15549:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72254),
(128529, 'PTHR43661', NULL, NULL, NULL, NULL, 'D-XYLONATE DEHYDRATASE', 72255),
(128530, 'PTHR22802:SF392', NULL, NULL, NULL, NULL, 'REGENERATING FAMILY MEMBER 3 GAMMA', 72256),
(128531, 'PTHR19423:SF1', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING PROTEIN 5', 72257),
(128532, 'PTHR23246:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72258),
(128533, 'PTHR11849:SF292', NULL, NULL, NULL, NULL, 'GA-BINDING PROTEIN ALPHA CHAIN', 72259),
(128534, 'PTHR20952:SF4', NULL, NULL, NULL, NULL, 'RETICULOPHAGY REGULATOR 2', 72260),
(128535, 'PTHR31282:SF126', NULL, NULL, NULL, NULL, 'BNAA01G13720D PROTEIN', 72261),
(128536, 'PTHR46058:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BREVIS RADIX (BRX) DOMAIN-CONTAINING PROTEIN-RELATED', 72262),
(128537, 'PTHR19430:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72263),
(128538, 'PTHR31062:SF205', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 72264),
(128539, 'PTHR31155:SF11', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 5, CHLOROPLASTIC', 72265),
(128540, 'PTHR13042', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5', 72266),
(128541, 'PTHR43853:SF9', NULL, NULL, NULL, NULL, 'POT1-2P', 72267),
(128542, 'PTHR43620:SF3', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL6-RELATED', 72268),
(128543, 'PTHR11662:SF428', NULL, NULL, NULL, NULL, 'PROTEIN CBG10101', 72269),
(128544, 'PTHR45707:SF25', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN', 72270);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(128545, 'PTHR15204:SF3', NULL, NULL, NULL, NULL, 'SCYTHE PROTEIN UBIQUITIN-LIKE DOMAIN PROTEIN', 72271),
(128546, 'PTHR34049:SF12', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 72272),
(128547, 'PTHR11732:SF471', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE [NADP(+)] A-RELATED', 72273),
(128548, 'PTHR37739:SF8', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12D', 72274),
(128549, 'PTHR35441:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72275),
(128550, 'PTHR31659:SF4', NULL, NULL, NULL, NULL, 'UPF0503 PROTEIN CHLOROPLASTIC', 72276),
(128551, 'PTHR24020:SF29', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(VI) CHAIN', 72277),
(128552, 'PTHR36679', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE S', 72278),
(128553, 'PTHR36203:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE IIA COMPONENT SGCA-RELATED', 72279),
(128554, 'PTHR21686', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 72280),
(128555, 'PTHR34349:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 32', 72281),
(128556, 'PTHR33254:SF20', NULL, NULL, NULL, NULL, '4-HYDROXY-4-METHYL-2-OXOGLUTARATE ALDOLASE', 72282),
(128557, 'PTHR34780:SF6', NULL, NULL, NULL, NULL, 'BNAANNG06500D PROTEIN', 72283),
(128558, 'PTHR19288:SF74', NULL, NULL, NULL, NULL, 'OS02G0816100 PROTEIN', 72284),
(128559, 'PTHR22941:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 72285),
(128560, 'PTHR13371', NULL, NULL, NULL, NULL, 'GLYCINE-, GLUTAMATE-, THIENYLCYCLOHEXYLPIPERIDINE-BINDING PROTEIN', 72286),
(128561, 'PTHR13832:SF624', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 4-RELATED', 72287),
(128562, 'PTHR24178:SF17', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 72288),
(128563, 'PTHR47945:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY FERULATE HYDROXYLASE', 72289),
(128564, 'PTHR10641:SF1285', NULL, NULL, NULL, NULL, 'BNAA09G06090D PROTEIN', 72290),
(128565, 'PTHR13939:SF0', NULL, NULL, NULL, NULL, 'NICOTINAMIDE-NUCLEOTIDE AMIDOHYDROLASE PNCC', 72291),
(128566, 'PTHR14399:SF5', NULL, NULL, NULL, NULL, 'CELL JUNCTION PROTEIN VAB-9', 72292),
(128567, 'PTHR47640:SF50', NULL, NULL, NULL, NULL, 'BNAANNG22220D PROTEIN', 72293),
(128568, 'PTHR14932', NULL, NULL, NULL, NULL, 'RAS GTPASE-RELATED', 72294),
(128569, 'PTHR21325:SF31', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B1, MEMBRANE-ASSOCIATED', 72295),
(128570, 'PTHR43591:SF31', NULL, NULL, NULL, NULL, 'LAEA-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01930)-RELATED', 72296),
(128571, 'PTHR33389:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72297),
(128572, 'PTHR37953', NULL, NULL, NULL, NULL, 'UPF0127 PROTEIN MJ1496', 72298),
(128573, 'PTHR11552:SF220', NULL, NULL, NULL, NULL, 'RE36204P-RELATED', 72299),
(128574, 'PTHR33420', NULL, NULL, NULL, NULL, 'FIMBRIAL SUBUNIT ELFA-RELATED', 72300),
(128575, 'PTHR47435:SF2', NULL, NULL, NULL, NULL, 'EPITHIOSPECIFIER PROTEIN', 72301),
(128576, 'PTHR10177:SF426', NULL, NULL, NULL, NULL, 'CYCLIN B2', 72302),
(128577, 'PTHR26312:SF73', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 72303),
(128578, 'PTHR48047:SF4', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 86A1', 72304),
(128579, 'PTHR24180:SF15', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 2C', 72305),
(128580, 'PTHR43895:SF30', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 11', 72306),
(128581, 'PTHR34682:SF14', NULL, NULL, NULL, NULL, 'BNAC03G64680D PROTEIN', 72307),
(128582, 'PTHR23327:SF46', NULL, NULL, NULL, NULL, '43KDA POSTSYNAPTIC PROTEIN-RELATED', 72308),
(128583, 'PTHR30536:SF5', NULL, NULL, NULL, NULL, 'ALTRONATE DEHYDRATASE', 72309),
(128584, 'PTHR12411:SF786', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72310),
(128585, 'PTHR12411:SF329', NULL, NULL, NULL, NULL, 'PROTEIN CBG17499', 72311),
(128586, 'PTHR11208:SF124', NULL, NULL, NULL, NULL, 'BRANCHPOINT-BRIDGING PROTEIN-LIKE', 72312),
(128587, 'PTHR47926:SF229', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 72313),
(128588, 'PTHR31132:SF17', NULL, NULL, NULL, NULL, 'BNAANNG04510D PROTEIN', 72314),
(128589, 'PTHR24177:SF147', NULL, NULL, NULL, NULL, 'OS07G0492966 PROTEIN', 72315);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(128590, 'PTHR45153:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 16', 72316),
(128591, 'PTHR23326:SF6', NULL, NULL, NULL, NULL, 'NOT TRANSCRIPTION COMPLEX SUBUNIT VIP2-RELATED', 72317),
(128592, 'PTHR33193:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72318),
(128593, 'PTHR43321:SF6', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 72319),
(128594, 'PTHR24068:SF293', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 28-LIKE', 72320),
(128595, 'PTHR35305', NULL, NULL, NULL, NULL, 'FAD-BINDING PROTEIN', 72321),
(128596, 'PTHR45761:SF2', NULL, NULL, NULL, NULL, 'EXTENDED SYNAPTOTAGMIN-2', 72322),
(128597, 'PTHR18953:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72323),
(128598, 'PTHR45614:SF62', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 72324),
(128599, 'PTHR31900:SF13', NULL, NULL, NULL, NULL, 'BNAC08G09700D PROTEIN', 72325),
(128600, 'PTHR12977:SF12', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE KMT5B', 72326),
(128601, 'PTHR10309:SF9', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE 1', 72327),
(128602, 'PTHR31766:SF6', NULL, NULL, NULL, NULL, 'TRAM, LAG1 AND CLN8 (TLC) LIPID-SENSING DOMAIN CONTAINING PROTEIN', 72328),
(128603, 'PTHR43655:SF14', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RESPIRATORY CHAIN COMPLEXES ASSEMBLY PROTEIN YTA12', 72329),
(128604, 'PTHR11040:SF164', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 12-RELATED', 72330),
(128605, 'PTHR45621:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72331),
(128606, 'PTHR42799:SF23', NULL, NULL, NULL, NULL, 'METHIONINE SULFOXIDE REDUCTASE A', 72332),
(128607, 'PTHR47883:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72333),
(128608, 'PTHR43490', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE', 72334),
(128609, 'PTHR43422:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72335),
(128610, 'PTHR46173:SF1', NULL, NULL, NULL, NULL, 'CCA TRNA NUCLEOTIDYLTRANSFERASE 1, MITOCHONDRIAL', 72336),
(128611, 'PTHR23113:SF249', NULL, NULL, NULL, NULL, 'DIZZY ISOFORM AII', 72337),
(128612, 'PTHR47998:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TRY-LIKE', 72338),
(128613, 'PTHR37351', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 17', 72339),
(128614, 'PTHR34660', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN X', 72340),
(128615, 'PTHR34094', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 72341),
(128616, 'PTHR31896:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72342),
(128617, 'PTHR11601:SF57', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURASE', 72343),
(128618, 'PTHR46330:SF6', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 10B', 72344),
(128619, 'PTHR31901:SF45', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.5', 72345),
(128620, 'PTHR18934:SF113', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE TDRD9', 72346),
(128621, 'PTHR23152:SF12', NULL, NULL, NULL, NULL, 'DEHYDROGENASE E1 COMPONENT, PUTATIVE-RELATED', 72347),
(128622, 'PTHR32060:SF26', NULL, NULL, NULL, NULL, 'TAIL-SPECIFIC PROTEASE', 72348),
(128623, 'PTHR47754:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 72349),
(128624, 'PTHR39473', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 72350),
(128625, 'PTHR31232:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72351),
(128626, 'PTHR23426:SF27', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 3, CHLOROPLASTIC', 72352),
(128627, 'PTHR30289:SF8', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', 72353),
(128628, 'PTHR14063:SF1', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 11', 72354),
(128629, 'PTHR47992:SF123', NULL, NULL, NULL, NULL, 'PHOSPHATASE, MG2+/MN2+-DEPENDENT, 1NB (PUTATIVE)-RELATED', 72355),
(128630, 'PTHR16207:SF10', NULL, NULL, NULL, NULL, 'PROTEIN TASOR 2', 72356),
(128631, 'PTHR46468', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 8', 72357),
(128632, 'PTHR45618:SF12', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 1', 72358),
(128633, 'PTHR19303:SF18', NULL, NULL, NULL, NULL, 'TIGGER TRANSPOSABLE ELEMENT-DERIVED PROTEIN 4', 72359);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(128634, 'PTHR13825:SF6', NULL, NULL, NULL, NULL, 'SMALL', 72360),
(128635, 'PTHR32286:SF9', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G6D', 72361),
(128636, 'PTHR11931:SF11', NULL, NULL, NULL, NULL, 'BISPHOSPHOGLYCERATE MUTASE', 72362),
(128637, 'PTHR31549:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72363),
(128638, 'PTHR42861:SF69', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 72364),
(128639, 'PTHR12546', NULL, NULL, NULL, NULL, 'FER-1-LIKE', 72365),
(128640, 'PTHR47620', NULL, NULL, NULL, NULL, 'CHROMOSOME 2 OPEN READING FRAME 66', 72366),
(128641, 'PTHR30620:SF103', NULL, NULL, NULL, NULL, 'BNAA03G01500D PROTEIN', 72367),
(128642, 'PTHR12447:SF22', NULL, NULL, NULL, NULL, 'BNAA08G28070D PROTEIN', 72368),
(128643, 'PTHR33228:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72369),
(128644, 'PTHR45793:SF19', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN OTX1 B-RELATED', 72370),
(128645, 'PTHR43636:SF5', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR G, MITOCHONDRIAL', 72371),
(128646, 'PTHR24149', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 12', 72372),
(128647, 'PTHR12153:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72373),
(128648, 'PTHR46987:SF1', NULL, NULL, NULL, NULL, 'R-SPONDIN 3', 72374),
(128649, 'PTHR43413:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PTR2', 72375),
(128650, 'PTHR12922', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS PROTEIN', 72376),
(128651, 'PTHR30461', NULL, NULL, NULL, NULL, 'DNA-INVERTASE FROM LAMBDOID PROPHAGE', 72377),
(128652, 'PTHR31425:SF15', NULL, NULL, NULL, NULL, 'FT-INTERACTING PROTEIN 1', 72378),
(128653, 'PTHR34965:SF1', NULL, NULL, NULL, NULL, 'OS07G0118300 PROTEIN', 72379),
(128654, 'PTHR12321:SF129', NULL, NULL, NULL, NULL, 'BNAA09G04340D PROTEIN', 72380),
(128655, 'PTHR36411:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72381),
(128656, 'PTHR13832:SF778', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-LIKE DOMAIN-CONTAINING PROTEIN 1', 72382),
(128657, 'PTHR11486:SF28', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 9', 72383),
(128658, 'PTHR43557:SF9', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR MITOCHONDRIA-ASSOCIATED 5', 72384),
(128659, 'PTHR31945:SF48', NULL, NULL, NULL, NULL, 'OS12G0632600 PROTEIN', 72385),
(128660, 'PTHR47216:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72386),
(128661, 'PTHR10666:SF342', NULL, NULL, NULL, NULL, 'UBIQUITIN-60S RIBOSOMAL PROTEIN L40', 72387),
(128662, 'PTHR12385:SF91', NULL, NULL, NULL, NULL, 'PLASMA-MEMBRANE CHOLINE TRANSPORTER FAMILY PROTEIN', 72388),
(128663, 'PTHR31238:SF142', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 9-3', 72389),
(128664, 'PTHR22762:SF148', NULL, NULL, NULL, NULL, 'ALPHA-XYLOSIDASE 2-RELATED', 72390),
(128665, 'PTHR12631:SF8', NULL, NULL, NULL, NULL, 'ALPHA-L-IDURONIDASE', 72391),
(128666, 'PTHR33784:SF9', NULL, NULL, NULL, NULL, 'MYND FINGER FAMILY PROTEIN', 72392),
(128667, 'PTHR24123:SF110', NULL, NULL, NULL, NULL, 'ANKYRIN 2A, NEURONAL', 72393),
(128668, 'PTHR11409:SF47', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE-RELATED GROWTH FACTOR C', 72394),
(128669, 'PTHR32246:SF120', NULL, NULL, NULL, NULL, 'BNAA06G37790D PROTEIN', 72395),
(128670, 'PTHR42885:SF2', NULL, NULL, NULL, NULL, 'HISTIDINOL-PHOSPHATE AMINOTRANSFERASE', 72396),
(128671, 'PTHR46632:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINA-LIKE 2', 72397),
(128672, 'PTHR34781:SF1', NULL, NULL, NULL, NULL, 'OS01G0923000 PROTEIN', 72398),
(128673, 'PTHR11707:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72399),
(128674, 'PTHR27007:SF247', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', 72400),
(128675, 'PTHR19969:SF20', NULL, NULL, NULL, NULL, 'CRK-LIKE PROTEIN', 72401),
(128676, 'PTHR10768:SF32', NULL, NULL, NULL, NULL, 'BNAA01G28230D PROTEIN', 72402),
(128677, 'PTHR21564', NULL, NULL, NULL, NULL, 'BRAKELESS PROTEIN', 72403),
(128678, 'PTHR30548:SF4', NULL, NULL, NULL, NULL, 'SUBUNIT OF OXYGEN-SENSITIVE 2-HYDROXYISOCAPROYL-COA DEHYDRATASE', 72404); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(128679, 'PTHR31045:SF4', NULL, NULL, NULL, NULL, 'TERPENOID SYNTHASE 17-RELATED', 72405),
(128680, 'PTHR35161:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72406),
(128681, 'PTHR43874:SF89', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR3-LIKE PROTEIN', 72407),
(128682, 'PTHR23024:SF257', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 12 ISOFORM X1-RELATED', 72408),
(128683, 'PTHR10013:SF0', NULL, NULL, NULL, NULL, 'GENERAL VESICULAR TRANSPORT FACTOR P115', 72409),
(128684, 'PTHR10165:SF144', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 2', 72410),
(128685, 'PTHR31713:SF55', NULL, NULL, NULL, NULL, 'OS11G0663100 PROTEIN', 72411),
(128686, 'PTHR37610:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72412),
(128687, 'PTHR47984:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72413),
(128688, 'PTHR24414:SF147', NULL, NULL, NULL, NULL, 'BNACNNG44990D PROTEIN', 72414),
(128689, 'PTHR36747:SF1', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 72415),
(128690, 'PTHR46123:SF1', NULL, NULL, NULL, NULL, 'DOUBLE HOMEOBOX PROTEIN A', 72416),
(128691, 'PTHR16299', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN KIZUNA', 72417),
(128692, 'PTHR22941:SF51', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 72418),
(128693, 'PTHR15562:SF0', NULL, NULL, NULL, NULL, 'TP53-TARGET GENE 5 PROTEIN', 72419),
(128694, 'PTHR32178', NULL, NULL, NULL, NULL, 'FAM187', 72420),
(128695, 'PTHR10502:SF185', NULL, NULL, NULL, NULL, 'ANNEXIN', 72421),
(128696, 'PTHR27000:SF439', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 7', 72422),
(128697, 'PTHR11685:SF360', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72423),
(128698, 'PTHR46056:SF15', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE FAO1-LIKE PROTEIN', 72424),
(128699, 'PTHR20838:SF0', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 86', 72425),
(128700, 'PTHR13271:SF112', NULL, NULL, NULL, NULL, 'N-LYSINE METHYLTRANSFERASE SETD6', 72426),
(128701, 'PTHR24345', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK', 72427),
(128702, 'PTHR43759', NULL, NULL, NULL, NULL, 'TREHALOSE TRANSPORT SYSTEM PERMEASE PROTEIN SUGA', 72428),
(128703, 'PTHR40633:SF2', NULL, NULL, NULL, NULL, 'GPI ANCHORED SERINE-THREONINE RICH PROTEIN (AFU_ORTHOLOGUE AFUA_1G03630)', 72429),
(128704, 'PTHR12021:SF5', NULL, NULL, NULL, NULL, 'THYMOSIN BETA', 72430),
(128705, 'PTHR33083:SF16', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 72431),
(128706, 'PTHR32468:SF17', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 4', 72432),
(128707, 'PTHR15452', NULL, NULL, NULL, NULL, 'LEUKOCYTE-SPECIFIC TRANSCRIPT 1 PROTEIN', 72433),
(128708, 'PTHR43766', NULL, NULL, NULL, NULL, 'TRYPTOPHAN--TRNA LIGASE, MITOCHONDRIAL', 72434),
(128709, 'PTHR35038:SF5', NULL, NULL, NULL, NULL, 'OCTAHEME TETRATHIONATE REDUCTASE OTR', 72435),
(128710, 'PTHR33447:SF10', NULL, NULL, NULL, NULL, 'GLUTATHIONE GAMMA-GLUTAMYLCYSTEINYLTRANSFERASE', 72436),
(128711, 'PTHR33202', NULL, NULL, NULL, NULL, 'ZINC UPTAKE REGULATION PROTEIN', 72437),
(128712, 'PTHR22891:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72438),
(128713, 'PTHR10502:SF211', NULL, NULL, NULL, NULL, 'ANNEXIN D4-LIKE ISOFORM X1', 72439),
(128714, 'PTHR46045:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 72440),
(128715, 'PTHR31342:SF39', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 72441),
(128716, 'PTHR24115:SF408', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 72442),
(128717, 'PTHR22765:SF197', NULL, NULL, NULL, NULL, 'OS12G0115600 PROTEIN', 72443),
(128718, 'PTHR32401:SF24', NULL, NULL, NULL, NULL, 'LECTIN', 72444),
(128719, 'PTHR44279:SF2', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID (11-BETA) DEHYDROGENASE 1-LIKE B-RELATED', 72445),
(128720, 'PTHR43791:SF32', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 72446),
(128721, 'PTHR36409', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 72447),
(128722, 'PTHR33289:SF2', NULL, NULL, NULL, NULL, 'ANCHORAGE SUBUNIT, PUTATIVE-RELATED', 72448),
(128723, 'PTHR24637:SF303', NULL, NULL, NULL, NULL, 'COLLAGEN', 72449);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(128724, 'PTHR31509:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72450),
(128725, 'PTHR10072:SF41', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY 1 HOMOLOG, MITOCHONDRIAL', 72451),
(128726, 'PTHR10794:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72452),
(128727, 'PTHR33781:SF11', NULL, NULL, NULL, NULL, 'BNAA02G26640D PROTEIN', 72453),
(128728, 'PTHR33122:SF55', NULL, NULL, NULL, NULL, 'BNAA10G09640D PROTEIN', 72454),
(128729, 'PTHR31001:SF59', NULL, NULL, NULL, NULL, 'COL-21', 72455),
(128730, 'PTHR11062:SF128', NULL, NULL, NULL, NULL, 'EXOSTOSIN-2', 72456),
(128731, 'PTHR13301:SF175', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE H1-LIKE PROTEIN', 72457),
(128732, 'PTHR45650:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72458),
(128733, 'PTHR35158', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE CN725425', 72459),
(128734, 'PTHR24115:SF826', NULL, NULL, NULL, NULL, 'KINESIN MOTOR DOMAIN PROTEIN', 72460),
(128735, 'PTHR33829:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0044M19.10 PROTEIN', 72461),
(128736, 'PTHR43341:SF27', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE ROCC', 72462),
(128737, 'PTHR11471:SF28', NULL, NULL, NULL, NULL, 'DEATH LIGAND 1B-RELATED', 72463),
(128738, 'PTHR24349:SF315', NULL, NULL, NULL, NULL, 'CALCIUM AND CALCIUM/CALMODULIN-DEPENDENT SERINE/THREONINE-PROTEIN KINASE', 72464),
(128739, 'PTHR36375:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 72465),
(128740, 'PTHR33172:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72466),
(128741, 'PTHR35175:SF2', NULL, NULL, NULL, NULL, 'FE-S PROTEIN', 72467),
(128742, 'PTHR11537:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72468),
(128743, 'PTHR13935:SF119', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX', 72469),
(128744, 'PTHR31818:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72470),
(128745, 'PTHR43170', NULL, NULL, NULL, NULL, 'GMP REDUCTASE', 72471),
(128746, 'PTHR10334:SF213', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN 1', 72472),
(128747, 'PTHR11011:SF82', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 8-RELATED', 72473),
(128748, 'PTHR12812:SF7', NULL, NULL, NULL, NULL, 'HEPARAN-SULFATE 6-O-SULFOTRANSFERASE', 72474),
(128749, 'PTHR27002:SF852', NULL, NULL, NULL, NULL, 'OS05G0501400 PROTEIN', 72475),
(128750, 'PTHR23268:SF75', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 13', 72476),
(128751, 'PTHR47074:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72477),
(128752, 'PTHR24058:SF53', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-INTERACTING PROTEIN KINASE 2', 72478),
(128753, 'PTHR21558:SF13', NULL, NULL, NULL, NULL, 'MCG129800-RELATED', 72479),
(128754, 'PTHR23235:SF54', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE EGR2', 72480),
(128755, 'PTHR11706:SF96', NULL, NULL, NULL, NULL, 'NRAMP METAL ION TRANSPORTER FAMILY PROTEIN-RELATED', 72481),
(128756, 'PTHR10291:SF27', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 72482),
(128757, 'PTHR22298:SF143', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 72483),
(128758, 'PTHR42047:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03560)-RELATED', 72484),
(128759, 'PTHR22980:SF0', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN S', 72485),
(128760, 'PTHR47226:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72486),
(128761, 'PTHR27007:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72487),
(128762, 'PTHR24115:SF865', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14S', 72488),
(128763, 'PTHR31391:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72489),
(128764, 'PTHR45621:SF164', NULL, NULL, NULL, NULL, 'BNAC04G05790D PROTEIN', 72490),
(128765, 'PTHR16517:SF105', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 72491),
(128766, 'PTHR24032:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72492),
(128767, 'PTHR44750:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', 72493),
(128768, 'PTHR45768:SF40', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL63', 72494),
(128769, 'PTHR22930:SF210', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 72495);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(128770, 'PTHR31131:SF3', NULL, NULL, NULL, NULL, 'CYTOSOLIC ARGININE SENSOR FOR MTORC1 SUBUNIT 1', 72496),
(128771, 'PTHR24281:SF174', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81E8-LIKE', 72497),
(128772, 'PTHR12441:SF11', NULL, NULL, NULL, NULL, 'ATP SYNTHASE-COUPLING FACTOR 6, MITOCHONDRIAL', 72498),
(128773, 'PTHR43730:SF1', NULL, NULL, NULL, NULL, 'BETA-MANNOSIDASE', 72499),
(128774, 'PTHR40891', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 72500),
(128775, 'PTHR10572:SF40', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', 72501),
(128776, 'PTHR13878:SF53', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 6', 72502),
(128777, 'PTHR11571:SF243', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE A2', 72503),
(128778, 'PTHR13866:SF26', NULL, NULL, NULL, NULL, 'SPARC', 72504),
(128779, 'PTHR12620:SF11', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF 35 KDA SUBUNIT-RELATED', 72505),
(128780, 'PTHR36327:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 72506),
(128781, 'PTHR43572:SF50', NULL, NULL, NULL, NULL, 'CLP, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 72507),
(128782, 'PTHR23430:SF296', NULL, NULL, NULL, NULL, 'HISTONE H2A', 72508),
(128783, 'PTHR46125', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 28', 72509),
(128784, 'PTHR38218:SF13', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 72510),
(128785, 'PTHR11089:SF9', NULL, NULL, NULL, NULL, 'NUCLEOLAR GTP-BINDING PROTEIN 2', 72511),
(128786, 'PTHR13723:SF16', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN TYPE-1 DOMAIN-CONTAINING PROTEIN 4', 72512),
(128787, 'PTHR48018:SF46', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1008', 72513),
(128788, 'PTHR31125:SF10', NULL, NULL, NULL, NULL, 'BNAC06G31130D PROTEIN', 72514),
(128789, 'PTHR12316:SF1', NULL, NULL, NULL, NULL, 'NINJURIN B', 72515),
(128790, 'PTHR32285:SF202', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 35', 72516),
(128791, 'PTHR24320:SF142', NULL, NULL, NULL, NULL, 'GH10714P-RELATED', 72517),
(128792, 'PTHR43874:SF128', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR3', 72518),
(128793, 'PTHR11449:SF23', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30', 72519),
(128794, 'PTHR11339:SF228', NULL, NULL, NULL, NULL, 'OTOGELIN', 72520),
(128795, 'PTHR42893:SF9', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 47, CHLOROPLASTIC', 72521),
(128796, 'PTHR48041:SF3', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 72522),
(128797, 'PTHR10795:SF609', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', 72523),
(128798, 'PTHR10113:SF34', NULL, NULL, NULL, NULL, 'EUKARYOTIC RELEASE FACTOR 1-3-RELATED', 72524),
(128799, 'PTHR42336:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72525),
(128800, 'PTHR33286:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72526),
(128801, 'PTHR12701:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72527),
(128802, 'PTHR33895:SF4', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 5', 72528),
(128803, 'PTHR32100:SF56', NULL, NULL, NULL, NULL, 'OMEGA-6 FATTY ACID DESATURASE, ENDOPLASMIC RETICULUM', 72529),
(128804, 'PTHR24637:SF301', NULL, NULL, NULL, NULL, 'PROTEIN CBR-RAM-2', 72530),
(128805, 'PTHR33592:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72531),
(128806, 'PTHR14963:SF7', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 19', 72532),
(128807, 'PTHR46293:SF4', NULL, NULL, NULL, NULL, 'OS03G0798200 PROTEIN', 72533),
(128808, 'PTHR12886:SF0', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 1', 72534),
(128809, 'PTHR31009:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72535),
(128810, 'PTHR46339:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG18270', 72536),
(128811, 'PTHR31633:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72537),
(128812, 'PTHR11260:SF552', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72538),
(128813, 'PTHR31607:SF16', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 72539),
(128814, 'PTHR21181', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 72540),
(128815, 'PTHR11528:SF106', NULL, NULL, NULL, NULL, 'BNAA05G29880D PROTEIN', 72541);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(128816, 'PTHR31730:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72542),
(128817, 'PTHR18968:SF162', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE 2, CHLOROPLASTIC-RELATED', 72543),
(128818, 'PTHR30465:SF31', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERMEASE PROTEIN', 72544),
(128819, 'PTHR43437', NULL, NULL, NULL, NULL, 'HYDROXYACYL-THIOESTER DEHYDRATASE TYPE 2, MITOCHONDRIAL-RELATED', 72545),
(128820, 'PTHR47990:SF130', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-OXIDASE', 72546),
(128821, 'PTHR31623:SF44', NULL, NULL, NULL, NULL, 'F21J9.8', 72547),
(128822, 'PTHR11206:SF358', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 72548),
(128823, 'PTHR31207:SF25', NULL, NULL, NULL, NULL, 'BNACNNG61990D PROTEIN', 72549),
(128824, 'PTHR10491', NULL, NULL, NULL, NULL, 'DTDP-4-DEHYDRORHAMNOSE REDUCTASE', 72550),
(128825, 'PTHR24376:SF171', NULL, NULL, NULL, NULL, 'LD39136P', 72551),
(128826, 'PTHR34661:SF8', NULL, NULL, NULL, NULL, 'ALPHA-CRYSTALLIN DOMAIN-CONTAINING PROTEIN 22.3', 72552),
(128827, 'PTHR37186:SF1', NULL, NULL, NULL, NULL, 'OS06G0524500 PROTEIN', 72553),
(128828, 'PTHR43358:SF4', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD-1 DOMAIN-CONTAINING PROTEIN', 72554),
(128829, 'PTHR45730:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72555),
(128830, 'PTHR11739:SF15', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE 3, MITOCHONDRIAL', 72556),
(128831, 'PTHR42064', NULL, NULL, NULL, NULL, 'YALI0F28677P', 72557),
(128832, 'PTHR36797', NULL, NULL, NULL, NULL, 'OS01G0258600 PROTEIN', 72558),
(128833, 'PTHR43193', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 72559),
(128834, 'PTHR24270:SF32', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 2', 72560),
(128835, 'PTHR19876:SF28', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''', 72561),
(128836, 'PTHR22957:SF533', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 15-LIKE ISOFORM X1', 72562),
(128837, 'PTHR35691:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 72563),
(128838, 'PTHR47296:SF2', NULL, NULL, NULL, NULL, 'BNAC02G06750D PROTEIN', 72564),
(128839, 'PTHR31105:SF41', NULL, NULL, NULL, NULL, 'DUF3133 FAMILY PROTEIN', 72565),
(128840, 'PTHR45266', NULL, NULL, NULL, NULL, 'OXALOACETATE DECARBOXYLASE ALPHA CHAIN', 72566),
(128841, 'PTHR24393:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72567),
(128842, 'PTHR34569:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72568),
(128843, 'PTHR42683:SF49', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 8C-RELATED', 72569),
(128844, 'PTHR33784:SF32', NULL, NULL, NULL, NULL, 'BNAANNG23470D PROTEIN', 72570),
(128845, 'PTHR11969:SF18', NULL, NULL, NULL, NULL, 'MAX DIMERIZATION PROTEIN 1', 72571),
(128846, 'PTHR23403:SF12', NULL, NULL, NULL, NULL, 'TREHALASE', 72572),
(128847, 'PTHR24377:SF196', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 789', 72573),
(128848, 'PTHR23430:SF309', NULL, NULL, NULL, NULL, 'HISTONE H2A', 72574),
(128849, 'PTHR43625:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72575),
(128850, 'PTHR10258:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72576),
(128851, 'PTHR10064:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-2-LIKE', 72577),
(128852, 'PTHR32502:SF5', NULL, NULL, NULL, NULL, 'PTS SYSTEM MANNOSE-SPECIFIC EIID COMPONENT', 72578),
(128853, 'PTHR24240:SF133', NULL, NULL, NULL, NULL, 'OPSIN RH3-LIKE PROTEIN', 72579),
(128854, 'PTHR48001:SF19', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 72580),
(128855, 'PTHR48001:SF140', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 72581),
(128856, 'PTHR31681:SF46', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', 72582),
(128857, 'PTHR33147:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72583),
(128858, 'PTHR45631:SF45', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-KINASE-RELATED', 72584),
(128859, 'PTHR24351:SF199', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 72585),
(128860, 'PTHR31678:SF5', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 6-1', 72586),
(128861, 'PTHR13011:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72587);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(128862, 'PTHR47627:SF1', NULL, NULL, NULL, NULL, 'RUBREDOXIN', 72588),
(128863, 'PTHR10367:SF12', NULL, NULL, NULL, NULL, 'MRNA CAPPING ENZYME FAMILY PROTEIN', 72589),
(128864, 'PTHR32133:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72590),
(128865, 'PTHR30457:SF12', NULL, NULL, NULL, NULL, '5''/3''-NUCLEOTIDASE SURE', 72591),
(128866, 'PTHR43952:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72592),
(128867, 'PTHR34364:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 72593),
(128868, 'PTHR24356:SF197', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SGK2', 72594),
(128869, 'PTHR11559:SF405', NULL, NULL, NULL, NULL, 'ACETYLCHOLINESTERASE-LIKE PROTEIN', 72595),
(128870, 'PTHR22835:SF624', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 72596),
(128871, 'PTHR27000:SF568', NULL, NULL, NULL, NULL, 'OS05G0522600 PROTEIN', 72597),
(128872, 'PTHR38699:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 72598),
(128873, 'PTHR33070:SF55', NULL, NULL, NULL, NULL, 'OS06G0725800 PROTEIN', 72599),
(128874, 'PTHR12786:SF1', NULL, NULL, NULL, NULL, 'REPLICATION STRESS RESPONSE REGULATOR SDE2', 72600),
(128875, 'PTHR11278:SF8', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', 72601),
(128876, 'PTHR48019:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72602),
(128877, 'PTHR14224:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 14', 72603),
(128878, 'PTHR31851:SF53', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER HOMOLOG 4', 72604),
(128879, 'PTHR34862:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72605),
(128880, 'PTHR36784', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 72606),
(128881, 'PTHR11848:SF181', NULL, NULL, NULL, NULL, 'LEFT-RIGHT DETERMINATION FACTOR 1', 72607),
(128882, 'PTHR43677:SF4', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE-LIKE PROTEIN 2', 72608),
(128883, 'PTHR11629:SF100', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 72609),
(128884, 'PTHR45027:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72610),
(128885, 'PTHR19343', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 1-2', 72611),
(128886, 'PTHR30005:SF13', NULL, NULL, NULL, NULL, 'EXOPOLYPHOSPHATASE 2', 72612),
(128887, 'PTHR33166', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 72613),
(128888, 'PTHR11206:SF326', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 15', 72614),
(128889, 'PTHR31692:SF23', NULL, NULL, NULL, NULL, 'EXPANSIN-B7', 72615),
(128890, 'PTHR34715:SF1', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 72616),
(128891, 'PTHR24256:SF205', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 46-RELATED', 72617),
(128892, 'PTHR36509', NULL, NULL, NULL, NULL, 'BLL3101 PROTEIN', 72618),
(128893, 'PTHR23155:SF1093', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPM1', 72619),
(128894, 'PTHR33138:SF45', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE, GALACTURONAN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 72620),
(128895, 'PTHR33509:SF18', NULL, NULL, NULL, NULL, 'OS08G0451300 PROTEIN', 72621),
(128896, 'PTHR31190:SF290', NULL, NULL, NULL, NULL, 'BNAC03G49530D PROTEIN', 72622),
(128897, 'PTHR43837', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S12 METHYLTHIOTRANSFERASE RIMO', 72623),
(128898, 'PTHR12902:SF29', NULL, NULL, NULL, NULL, 'SCAR-LIKE DOMAIN-CONTAINING PROTEIN WAVE 5', 72624),
(128899, 'PTHR36937', NULL, NULL, NULL, NULL, 'PROTEIN CBG20935-RELATED', 72625),
(128900, 'PTHR32093:SF145', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 5', 72626),
(128901, 'PTHR31172:SF3', NULL, NULL, NULL, NULL, 'STOMATAL CLOSURE-RELATED ACTIN-BINDING PROTEIN 1', 72627),
(128902, 'PTHR34835:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72628),
(128903, 'PTHR11347:SF102', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', 72629),
(128904, 'PTHR11746:SF191', NULL, NULL, NULL, NULL, '3''-HYDROXY-N-METHYL-(S)-COCLAURINE 4''-O-METHYLTRANSFERASE 2-LIKE', 72630),
(128905, 'PTHR11132:SF442', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER 2', 72631),
(128906, 'PTHR47002:SF2', NULL, NULL, NULL, NULL, 'AQUAPORIN-LIKE', 72632);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(128907, 'PTHR34795:SF2', NULL, NULL, NULL, NULL, 'NEMATODE RESISTANCE HSPRO2-LIKE PROTEIN', 72633),
(128908, 'PTHR24300:SF130', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 72634),
(128909, 'PTHR31388:SF99', NULL, NULL, NULL, NULL, 'PEROXIDASE', 72635),
(128910, 'PTHR12296:SF3', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN CRAG', 72636),
(128911, 'PTHR11654:SF529', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72637),
(128912, 'PTHR36056', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 72638),
(128913, 'PTHR11592:SF74', NULL, NULL, NULL, NULL, 'EPIDIDYMAL SECRETORY GLUTATHIONE PEROXIDASE', 72639),
(128914, 'PTHR31065:SF66', NULL, NULL, NULL, NULL, 'BNAC08G19610D PROTEIN', 72640),
(128915, 'PTHR21319:SF50', NULL, NULL, NULL, NULL, 'RING FINGER AND CHY ZINC FINGER DOMAIN-CONTAINING PROTEIN 1-LIKE', 72641),
(128916, 'PTHR31042:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72642),
(128917, 'PTHR14107:SF18', NULL, NULL, NULL, NULL, 'NUCLEOTIDE BINDING PROTEIN', 72643),
(128918, 'PTHR43859:SF37', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 9-RELATED', 72644),
(128919, 'PTHR28298:SF1', NULL, NULL, NULL, NULL, 'EISOSOME PROTEIN 1', 72645),
(128920, 'PTHR45966:SF17', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 72646),
(128921, 'PTHR12486', NULL, NULL, NULL, NULL, 'APRATAXIN-RELATED', 72647),
(128922, 'PTHR31677:SF86', NULL, NULL, NULL, NULL, 'AP2-EREBP TRANSCRIPTION FACTOR', 72648),
(128923, 'PTHR43395:SF1', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN CHEA', 72649),
(128924, 'PTHR10996:SF250', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72650),
(128925, 'PTHR24100:SF121', NULL, NULL, NULL, NULL, 'SI:CH73-1F23.1-RELATED', 72651),
(128926, 'PTHR36445', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE MPTA', 72652),
(128927, 'PTHR24232:SF53', NULL, NULL, NULL, NULL, 'GONADOTROPIN-RELEASING HORMONE RECEPTOR (GNRHR) RELATED', 72653),
(128928, 'PTHR31138', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', 72654),
(128929, 'PTHR45719:SF30', NULL, NULL, NULL, NULL, 'BNAC01G19670D PROTEIN', 72655),
(128930, 'PTHR39179:SF1', NULL, NULL, NULL, NULL, 'SPORE COAT PROTEIN I', 72656),
(128931, 'PTHR43706:SF19', NULL, NULL, NULL, NULL, 'EXTERNAL NADH-UBIQUINONE OXIDOREDUCTASE 1, MITOCHONDRIAL-RELATED', 72657),
(128932, 'PTHR12604:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72658),
(128933, 'PTHR13379', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED DUF1308', 72659),
(128934, 'PTHR11863:SF191', NULL, NULL, NULL, NULL, 'BNAANNG24610D PROTEIN', 72660),
(128935, 'PTHR31425:SF18', NULL, NULL, NULL, NULL, 'BNAA09G30540D PROTEIN', 72661),
(128936, 'PTHR31722:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72662),
(128937, 'PTHR10768:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', 72663),
(128938, 'PTHR12300:SF131', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN J', 72664),
(128939, 'PTHR14552:SF24', NULL, NULL, NULL, NULL, 'DCTP PYROPHOSPHATASE 1', 72665),
(128940, 'PTHR31086:SF59', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 3-RELATED', 72666),
(128941, 'PTHR43791:SF84', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G09170)-RELATED', 72667),
(128942, 'PTHR48018:SF119', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 72668),
(128943, 'PTHR10682:SF36', NULL, NULL, NULL, NULL, 'NUCLEAR POLY(A) POLYMERASE 4', 72669),
(128944, 'PTHR45747:SF12', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 72670),
(128945, 'PTHR31319:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72671),
(128946, 'PTHR46431:SF16', NULL, NULL, NULL, NULL, 'BNACNNG33450D PROTEIN', 72672),
(128947, 'PTHR19143:SF394', NULL, NULL, NULL, NULL, 'SI:CH211-203K16.3', 72673),
(128948, 'PTHR11005:SF14', NULL, NULL, NULL, NULL, 'LIPASE', 72674),
(128949, 'PTHR31867:SF140', NULL, NULL, NULL, NULL, 'EXPANSIN-A24', 72675),
(128950, 'PTHR12015:SF155', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-C MOTIF) LIGAND 44', 72676),
(128951, 'PTHR10795:SF442', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.6', 72677),
(128952, 'PTHR47538:SF1', NULL, NULL, NULL, NULL, 'PERILIPIN-4', 72678);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(128953, 'PTHR24416:SF548', NULL, NULL, NULL, NULL, 'PROTEIN CBG11187', 72679),
(128954, 'PTHR32285:SF276', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 72680),
(128955, 'PTHR33620', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN F', 72681),
(128956, 'PTHR31707:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72682),
(128957, 'PTHR32444:SF104', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 72683),
(128958, 'PTHR19375:SF367', NULL, NULL, NULL, NULL, 'SHOCK PROTEIN, PUTATIVE-RELATED', 72684),
(128959, 'PTHR43025:SF7', NULL, NULL, NULL, NULL, 'MONOGALACTOSYLDIACYLGLYCEROL SYNTHASE 3, CHLOROPLASTIC-RELATED', 72685),
(128960, 'PTHR31917:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72686),
(128961, 'PTHR37514:SF1', NULL, NULL, NULL, NULL, 'N-TERMINAL DELTA ENDOTOXIN DOMAIN-CONTAINING PROTEIN-RELATED', 72687),
(128962, 'PTHR17416', NULL, NULL, NULL, NULL, 'SMALL MUSCULAR PROTEIN', 72688),
(128963, 'PTHR48005:SF34', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE 4-LIKE', 72689),
(128964, 'PTHR33667:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72690),
(128965, 'PTHR27003:SF358', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR RECEPTOR 2 (VEGFR2)-RELATED', 72691),
(128966, 'PTHR11662:SF431', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER 4, CHLOROPLASTIC-RELATED', 72692),
(128967, 'PTHR44826:SF3', NULL, NULL, NULL, NULL, 'PE REPEAT FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_4G13630)', 72693),
(128968, 'PTHR22780:SF4', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT ALPHA', 72694),
(128969, 'PTHR24241:SF69', NULL, NULL, NULL, NULL, 'GONADOTROPIN-RELEASING HORMONE II RECEPTOR-RELATED', 72695),
(128970, 'PTHR22943:SF52', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 72696),
(128971, 'PTHR24015:SF2001', NULL, NULL, NULL, NULL, 'OS07G0244400 PROTEIN', 72697),
(128972, 'PTHR28553', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE B', 72698),
(128973, 'PTHR24074:SF2', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 11 HOMOLOG', 72699),
(128974, 'PTHR11481:SF59', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE PROTEIN 4', 72700),
(128975, 'PTHR33132:SF82', NULL, NULL, NULL, NULL, 'BNAANNG27180D PROTEIN', 72701),
(128976, 'PTHR31887', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP B', 72702),
(128977, 'PTHR23086:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72703),
(128978, 'PTHR33984:SF12', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 72704),
(128979, 'PTHR24015:SF1923', NULL, NULL, NULL, NULL, 'OS03G0624800 PROTEIN', 72705),
(128980, 'PTHR43353:SF3', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE-RELATED', 72706),
(128981, 'PTHR45927:SF10', NULL, NULL, NULL, NULL, 'LYSM-DOMAIN RECEPTOR-LIKE KINASE', 72707),
(128982, 'PTHR45621:SF77', NULL, NULL, NULL, NULL, 'BNACNNG05750D PROTEIN', 72708),
(128983, 'PTHR32009:SF70', NULL, NULL, NULL, NULL, 'BNAA02G36870D PROTEIN', 72709),
(128984, 'PTHR33128:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72710),
(128985, 'PTHR23180:SF244', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD2', 72711),
(128986, 'PTHR26450:SF180', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 72712),
(128987, 'PTHR21226', NULL, NULL, NULL, NULL, 'ABPA10-RELATED', 72713),
(128988, 'PTHR11527:SF328', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN 2-LIKE', 72714),
(128989, 'PTHR24216:SF13', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN A-RELATED', 72715),
(128990, 'PTHR30024:SF28', NULL, NULL, NULL, NULL, 'NITRATE TRANSPORT ATP-BINDING PROTEIN', 72716),
(128991, 'PTHR23273:SF57', NULL, NULL, NULL, NULL, 'ANIMAL RPA1 DOMAIN PROTEIN', 72717),
(128992, 'PTHR43855:SF1', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE SSEA-RELATED', 72718),
(128993, 'PTHR24229:SF11', NULL, NULL, NULL, NULL, 'NOCICEPTIN RECEPTOR', 72719),
(128994, 'PTHR45677:SF12', NULL, NULL, NULL, NULL, 'BLACK, ISOFORM A', 72720),
(128995, 'PTHR42825:SF2', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE 3, CHLOROPLASTIC-RELATED', 72721),
(128996, 'PTHR21576:SF7', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 72722);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(128997, 'PTHR47922:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 72723),
(128998, 'PTHR36968:SF11', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN', 72724),
(128999, 'PTHR13007:SF19', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR 18', 72725),
(129000, 'PTHR47993:SF173', NULL, NULL, NULL, NULL, 'BNAC04G44860D PROTEIN', 72726),
(129001, 'PTHR11339:SF373', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72727),
(129002, 'PTHR19143:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72728),
(129003, 'PTHR31621:SF44', NULL, NULL, NULL, NULL, 'PROTEIN DMP5', 72729),
(129004, 'PTHR12588:SF5', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE 2', 72730),
(129005, 'PTHR24281:SF190', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A6', 72731),
(129006, 'PTHR10202', NULL, NULL, NULL, NULL, 'PRESENILIN', 72732),
(129007, 'PTHR43895:SF7', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 30', 72733),
(129008, 'PTHR21145:SF5', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', 72734),
(129009, 'PTHR33107:SF47', NULL, NULL, NULL, NULL, 'MIRACULIN-LIKE', 72735),
(129010, 'PTHR32370:SF23', NULL, NULL, NULL, NULL, 'OS08G0130600 PROTEIN', 72736),
(129011, 'PTHR31205:SF64', NULL, NULL, NULL, NULL, 'BNAC07G12760D PROTEIN', 72737),
(129012, 'PTHR10966:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', 72738),
(129013, 'PTHR23018:SF15', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', 72739),
(129014, 'PTHR11224:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72740),
(129015, 'PTHR13479:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72741),
(129016, 'PTHR37826', NULL, NULL, NULL, NULL, 'FLOTILLIN BAND_7_5 DOMAIN PROTEIN', 72742),
(129017, 'PTHR10769:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72743),
(129018, 'PTHR43128', NULL, NULL, NULL, NULL, 'L-2-HYDROXYCARBOXYLATE DEHYDROGENASE (NAD(P)(+))', 72744),
(129019, 'PTHR31100:SF74', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 72745),
(129020, 'PTHR24015:SF344', NULL, NULL, NULL, NULL, 'OS07G0203900 PROTEIN', 72746),
(129021, 'PTHR12752:SF3', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 5', 72747),
(129022, 'PTHR39418', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', 72748),
(129023, 'PTHR40326:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG10816', 72749),
(129024, 'PTHR24070:SF208', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RIT1', 72750),
(129025, 'PTHR33512:SF21', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE TMK1-LIKE', 72751),
(129026, 'PTHR11071:SF461', NULL, NULL, NULL, NULL, 'OS02G0761100 PROTEIN', 72752),
(129027, 'PTHR11736:SF60', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 3-RELATED', 72753),
(129028, 'PTHR12396:SF5', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 2', 72754),
(129029, 'PTHR23517:SF13', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', 72755),
(129030, 'PTHR11945:SF677', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', 72756),
(129031, 'PTHR24078:SF559', NULL, NULL, NULL, NULL, 'ZGC:122979', 72757),
(129032, 'PTHR34364:SF14', NULL, NULL, NULL, NULL, 'BNAA09G44110D PROTEIN', 72758),
(129033, 'PTHR11461:SF160', NULL, NULL, NULL, NULL, 'SERINE (OR CYSTEINE) PEPTIDASE INHIBITOR, CLADE A (ALPHA-1 ANTIPROTEINASE, ANTITRYPSIN), MEMBER 16', 72759),
(129034, 'PTHR34660:SF7', NULL, NULL, NULL, NULL, 'DNA LIGASE', 72760),
(129035, 'PTHR11062:SF317', NULL, NULL, NULL, NULL, 'EXOSTOSIN-LIKE 2', 72761),
(129036, 'PTHR42282:SF1', NULL, NULL, NULL, NULL, 'PANTOATE KINASE-RELATED', 72762),
(129037, 'PTHR47122:SF8', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 72763),
(129038, 'PTHR23302:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 6', 72764),
(129039, 'PTHR22870:SF409', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN-RELATED', 72765),
(129040, 'PTHR24230:SF86', NULL, NULL, NULL, NULL, 'LEUKOTRIENE B4 RECEPTOR 2A-RELATED', 72766),
(129041, 'PTHR13878:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72767);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(129042, 'PTHR13832:SF742', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', 72768),
(129043, 'PTHR37435:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG05945', 72769),
(129044, 'PTHR12052:SF5', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN 4A', 72770),
(129045, 'PTHR47877:SF5', NULL, NULL, NULL, NULL, 'EMBRYONIC PROTEIN DC-8-LIKE', 72771),
(129046, 'PTHR31602:SF64', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 1', 72772),
(129047, 'PTHR15036:SF73', NULL, NULL, NULL, NULL, 'EGF LIKE, FIBRONECTIN TYPE III AND LAMININ G DOMAINS', 72773),
(129048, 'PTHR33420:SF32', NULL, NULL, NULL, NULL, 'TYPE 1 FIMBRIN D-MANNOSE SPECIFIC ADHESIN', 72774),
(129049, 'PTHR11926:SF1350', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 72775),
(129050, 'PTHR48063:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72776),
(129051, 'PTHR10501:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72777),
(129052, 'PTHR30460', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 72778),
(129053, 'PTHR23147:SF168', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SC35-LIKE', 72779),
(129054, 'PTHR23320:SF66', NULL, NULL, NULL, NULL, 'HIGH AFFINITY IMMUNOGLOBULIN EPSILON RECEPTOR SUBUNIT BETA', 72780),
(129055, 'PTHR14226:SF64', NULL, NULL, NULL, NULL, 'PATATIN', 72781),
(129056, 'PTHR34193:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 72782),
(129057, 'PTHR15837', NULL, NULL, NULL, NULL, 'RAN GUANINE NUCLEOTIDE RELEASE FACTOR', 72783),
(129058, 'PTHR11730:SF103', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1 MEMBER 3', 72784),
(129059, 'PTHR33871:SF19', NULL, NULL, NULL, NULL, 'BNACNNG04080D PROTEIN', 72785),
(129060, 'PTHR14731:SF1', NULL, NULL, NULL, NULL, 'BAALC BINDER OF MAP3K1 AND KLF4 B', 72786),
(129061, 'PTHR20855:SF104', NULL, NULL, NULL, NULL, 'HEPTAHELICAL TRANSMEMBRANE PROTEIN 4', 72787),
(129062, 'PTHR10961:SF24', NULL, NULL, NULL, NULL, 'HYPOTHETICAL FRUCTOSYL AMINE:OXYGEN OXIDOREDUCTASE (EUROFUNG)', 72788),
(129063, 'PTHR24416:SF540', NULL, NULL, NULL, NULL, 'ANAPLASTIC LYMPHOMA KINASE, ISOFORM A', 72789),
(129064, 'PTHR12553:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72790),
(129065, 'PTHR31444:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 72791),
(129066, 'PTHR23115:SF258', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', 72792),
(129067, 'PTHR33121:SF23', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEB', 72793),
(129068, 'PTHR23155:SF1103', NULL, NULL, NULL, NULL, 'OS02G0301800 PROTEIN', 72794),
(129069, 'PTHR12911:SF22', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 2', 72795),
(129070, 'PTHR10031:SF38', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT 9, MITOCHONDRIAL', 72796),
(129071, 'PTHR42738:SF5', NULL, NULL, NULL, NULL, '3-HYDROXYMETHYL-3-METHYLGLUTARYL-COA LYASE, CYTOPLASMIC', 72797),
(129072, 'PTHR10083:SF356', NULL, NULL, NULL, NULL, 'GEO10309P1-RELATED', 72798),
(129073, 'PTHR12542:SF86', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 72799),
(129074, 'PTHR11640:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72800),
(129075, 'PTHR34812:SF3', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN J', 72801),
(129076, 'PTHR24096:SF298', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 5', 72802),
(129077, 'PTHR10466:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE 1', 72803),
(129078, 'PTHR45996:SF5', NULL, NULL, NULL, NULL, 'CAMP-RESPONSIVE ELEMENT-BINDING PROTEIN 3-LIKE 3 LIKE', 72804),
(129079, 'PTHR45757:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG20625', 72805),
(129080, 'PTHR10676:SF385', NULL, NULL, NULL, NULL, 'DYNEIN, CYTOPLASMIC 1, HEAVY CHAIN 1', 72806),
(129081, 'PTHR31044:SF84', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', 72807),
(129082, 'PTHR24334:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GBX-2', 72808),
(129083, 'PTHR48063:SF42', NULL, NULL, NULL, NULL, 'BNAA03G46300D PROTEIN', 72809),
(129084, 'PTHR23257:SF810', NULL, NULL, NULL, NULL, 'KINASE AND EXCHANGE FACTOR FOR RAC A', 72810),
(129085, 'PTHR34145:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72811);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(129086, 'PTHR23502:SF155', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13830)-RELATED', 72812),
(129087, 'PTHR31790:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72813),
(129088, 'PTHR10544:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28-1-LIKE', 72814),
(129089, 'PTHR46279:SF17', NULL, NULL, NULL, NULL, 'BNAA10G06460D PROTEIN', 72815),
(129090, 'PTHR32166:SF92', NULL, NULL, NULL, NULL, 'F16P17.2 PROTEIN', 72816),
(129091, 'PTHR33841:SF5', NULL, NULL, NULL, NULL, 'MODIFICATION METHYLASE HINDII-RELATED', 72817),
(129092, 'PTHR19433:SF126', NULL, NULL, NULL, NULL, 'NOVEL IMMUNE-TYPE RECEPTOR 10A-RELATED', 72818),
(129093, 'PTHR32467:SF116', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 72819),
(129094, 'PTHR31175', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE FAMILY PROTEIN', 72820),
(129095, 'PTHR15598:SF12', NULL, NULL, NULL, NULL, 'BNAA05G26060D PROTEIN', 72821),
(129096, 'PTHR31087:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72822),
(129097, 'PTHR10759:SF8', NULL, NULL, NULL, NULL, 'OS08G0436800 PROTEIN', 72823),
(129098, 'PTHR45693:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PERIANTHIA-LIKE', 72824),
(129099, 'PTHR45959:SF37', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH25', 72825),
(129100, 'PTHR31989:SF274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72826),
(129101, 'PTHR22773:SF106', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE SUBUNIT 2-RELATED', 72827),
(129102, 'PTHR23063:SF8', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE-LIKE', 72828),
(129103, 'PTHR11849:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPI-C', 72829),
(129104, 'PTHR24349:SF157', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 1', 72830),
(129105, 'PTHR31662:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72831),
(129106, 'PTHR28671:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72832),
(129107, 'PTHR33572:SF12', NULL, NULL, NULL, NULL, 'VELVET COMPLEX SUBUNIT B', 72833),
(129108, 'PTHR31009:SF78', NULL, NULL, NULL, NULL, 'SALICYLATE CARBOXYMETHYLTRANSFERASE-LIKE', 72834),
(129109, 'PTHR11827:SF47', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 7', 72835),
(129110, 'PTHR37909:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 72836),
(129111, 'PTHR31956:SF33', NULL, NULL, NULL, NULL, 'OS03G0300100 PROTEIN', 72837),
(129112, 'PTHR12526:SF571', NULL, NULL, NULL, NULL, 'BLR6297 PROTEIN', 72838),
(129113, 'PTHR31561:SF100', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 72839),
(129114, 'PTHR46106:SF4', NULL, NULL, NULL, NULL, 'IA-2 PROTEIN TYROSINE PHOSPHATASE, ISOFORM C', 72840),
(129115, 'PTHR30612:SF7', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLOCASE SUBUNIT SECA2, CHLOROPLASTIC', 72841),
(129116, 'PTHR43605:SF10', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE MEDIUM CHAIN FAMILY MEMBER 3', 72842),
(129117, 'PTHR47990:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72843),
(129118, 'PTHR45695:SF8', NULL, NULL, NULL, NULL, 'NEUROMEDIN-B RECEPTOR', 72844),
(129119, 'PTHR12103:SF36', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE, CYTOSOLIC IIB', 72845),
(129120, 'PTHR47991:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72846),
(129121, 'PTHR10126:SF20', NULL, NULL, NULL, NULL, 'TATA-BOX-BINDING PROTEIN', 72847),
(129122, 'PTHR32370:SF32', NULL, NULL, NULL, NULL, 'OS12G0613250 PROTEIN', 72848),
(129123, 'PTHR47976:SF59', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK4', 72849),
(129124, 'PTHR32411:SF62', NULL, NULL, NULL, NULL, 'BNACNNG21720D PROTEIN', 72850),
(129125, 'PTHR46084:SF23', NULL, NULL, NULL, NULL, 'OS07G0693000 PROTEIN', 72851),
(129126, 'PTHR15711:SF14', NULL, NULL, NULL, NULL, 'SIGNAL-INDUCED PROLIFERATION-ASSOCIATED PROTEIN 1', 72852),
(129127, 'PTHR35446:SF3', NULL, NULL, NULL, NULL, 'ALKYL HYDROPEROXIDE REDUCTASE AHPD', 72853),
(129128, 'PTHR31932', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE COMPLEX SUBUNIT 1', 72854),
(129129, 'PTHR22808:SF25', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(34)-C(5))-METHYLTRANSFERASE-RELATED', 72855);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(129130, 'PTHR24416:SF533', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN-TYROSINE KINASE', 72856),
(129131, 'PTHR37702:SF2', NULL, NULL, NULL, NULL, 'OS09G0332100 PROTEIN', 72857),
(129132, 'PTHR33159:SF56', NULL, NULL, NULL, NULL, 'PROTEIN NOI4', 72858),
(129133, 'PTHR11588:SF403', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 72859),
(129134, 'PTHR38694:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72860),
(129135, 'PTHR43139:SF43', NULL, NULL, NULL, NULL, 'MESODERM-SPECIFIC TRANSCRIPT HOMOLOG PROTEIN', 72861),
(129136, 'PTHR37732', NULL, NULL, NULL, NULL, 'OS08G0104400 PROTEIN', 72862),
(129137, 'PTHR30613', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YBIU-RELATED', 72863),
(129138, 'PTHR46360:SF1', NULL, NULL, NULL, NULL, 'DISKS LARGE HOMOLOG 5', 72864),
(129139, 'PTHR31707:SF335', NULL, NULL, NULL, NULL, 'BNAA08G00300D PROTEIN', 72865),
(129140, 'PTHR45974:SF188', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 72866),
(129141, 'PTHR37378:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72867),
(129142, 'PTHR48006:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72868),
(129143, 'PTHR48040:SF19', NULL, NULL, NULL, NULL, 'OS01G0516900 PROTEIN', 72869),
(129144, 'PTHR21461:SF46', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE GALT-1', 72870),
(129145, 'PTHR12785:SF13', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 2-LIKE', 72871),
(129146, 'PTHR16222:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72872),
(129147, 'PTHR39598:SF1', NULL, NULL, NULL, NULL, 'AUSTINOL SYNTHESIS PROTEIN F-RELATED', 72873),
(129148, 'PTHR43811:SF26', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP16-1, CHLOROPLASTIC', 72874),
(129149, 'PTHR23244:SF441', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72875),
(129150, 'PTHR47967:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72876),
(129151, 'PTHR23502:SF74', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER', 72877),
(129152, 'PTHR31985:SF173', NULL, NULL, NULL, NULL, 'BNAC06G07710D PROTEIN', 72878),
(129153, 'PTHR23050:SF415', NULL, NULL, NULL, NULL, 'BNAA06G15720D PROTEIN', 72879),
(129154, 'PTHR40891:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72880),
(129155, 'PTHR31580:SF37', NULL, NULL, NULL, NULL, 'BNAC08G19200D PROTEIN', 72881),
(129156, 'PTHR48005:SF23', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', 72882),
(129157, 'PTHR14281:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72883),
(129158, 'PTHR11017:SF228', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (NBS-LRR CLASS) FAMILY-RELATED', 72884),
(129159, 'PTHR33799:SF5', NULL, NULL, NULL, NULL, 'PTS PERMEASE-RELATED', 72885),
(129160, 'PTHR46128:SF265', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 4, MITOCHONDRIAL', 72886),
(129161, 'PTHR24241:SF139', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR Y5', 72887),
(129162, 'PTHR31375:SF171', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 72888),
(129163, 'PTHR13691', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L2', 72889),
(129164, 'PTHR24100:SF115', NULL, NULL, NULL, NULL, 'BUTYROPHILIN SUBFAMILY 3 MEMBER A2', 72890),
(129165, 'PTHR35993:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72891),
(129166, 'PTHR21299', NULL, NULL, NULL, NULL, 'CYTIDYLATE KINASE/PANTOATE-BETA-ALANINE LIGASE', 72892),
(129167, 'PTHR11959:SF14', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE', 72893),
(129168, 'PTHR13202', NULL, NULL, NULL, NULL, 'MICROSOMAL SIGNAL PEPTIDASE 12 KDA SUBUNIT', 72894),
(129169, 'PTHR44167:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ZYG-8', 72895),
(129170, 'PTHR44259:SF50', NULL, NULL, NULL, NULL, 'OSJNBB0115I21.6 PROTEIN', 72896),
(129171, 'PTHR43752:SF2', NULL, NULL, NULL, NULL, 'BNR/ASP-BOX REPEAT FAMILY PROTEIN', 72897),
(129172, 'PTHR24089:SF717', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN-RELATED', 72898),
(129173, 'PTHR23050:SF386', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML19-RELATED', 72899),
(129174, 'PTHR13780:SF99', NULL, NULL, NULL, NULL, 'AMP-ACTIVATED PROTEIN KINASE GAMMA SUBUNIT', 72900);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(129175, 'PTHR47813', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE SUPERFAMILY PROTEIN', 72901),
(129176, 'PTHR43329:SF103', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE-RELATED', 72902),
(129177, 'PTHR48118:SF1', NULL, NULL, NULL, NULL, 'SPINDLE AND KINETOCHORE-ASSOCIATED PROTEIN 3', 72903),
(129178, 'PTHR18868:SF37', NULL, NULL, NULL, NULL, 'OS07G0665300 PROTEIN', 72904),
(129179, 'PTHR24062:SF23', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 72905),
(129180, 'PTHR11732:SF470', NULL, NULL, NULL, NULL, 'D-GALACTURONATE REDUCTASE-LIKE', 72906),
(129181, 'PTHR47470', NULL, NULL, NULL, NULL, 'CHOLESTEROL OXIDASE', 72907),
(129182, 'PTHR34936', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 72908),
(129183, 'PTHR24256:SF151', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 44-RELATED', 72909),
(129184, 'PTHR13498:SF3', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 7', 72910),
(129185, 'PTHR31418:SF19', NULL, NULL, NULL, NULL, 'FATTY ACID/RETINOL BINDING PROTEIN-RELATED', 72911),
(129186, 'PTHR12400:SF81', NULL, NULL, NULL, NULL, 'KINASE', 72912),
(129187, 'PTHR42859:SF2', NULL, NULL, NULL, NULL, 'FERREDOXIN 1', 72913),
(129188, 'PTHR23147:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72914),
(129189, 'PTHR37369:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 270', 72915),
(129190, 'PTHR43939:SF64', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', 72916),
(129191, 'PTHR32024:SF3', NULL, NULL, NULL, NULL, 'TRK SYSTEM POTASSIUM UPTAKE PROTEIN', 72917),
(129192, 'PTHR33083:SF88', NULL, NULL, NULL, NULL, 'SENESCENCE REGULATOR S40-RELATED', 72918),
(129193, 'PTHR46873:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 72919),
(129194, 'PTHR43895:SF26', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE KINASE 1, ALPHA A-RELATED', 72920),
(129195, 'PTHR10005:SF7', NULL, NULL, NULL, NULL, 'SKI FAMILY TRANSCRIPTIONAL COREPRESSOR 2', 72921),
(129196, 'PTHR19307:SF8', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN D53', 72922),
(129197, 'PTHR23054:SF68', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1, LEUCINE-ZIPPER-RELATED', 72923),
(129198, 'PTHR31016:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72924),
(129199, 'PTHR11347:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72925),
(129200, 'PTHR30386:SF19', NULL, NULL, NULL, NULL, 'MULTIDRUG EXPORT PROTEIN EMRA-RELATED', 72926),
(129201, 'PTHR31080:SF64', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 72927),
(129202, 'PTHR31218:SF229', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 72928),
(129203, 'PTHR42080:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72929),
(129204, 'PTHR11177:SF360', NULL, NULL, NULL, NULL, 'CHITINASE 12-RELATED', 72930),
(129205, 'PTHR10736:SF60', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 9', 72931),
(129206, 'PTHR11736:SF14', NULL, NULL, NULL, NULL, 'MAGE PROTEIN', 72932),
(129207, 'PTHR28207', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT H, MITOCHONDRIAL', 72933),
(129208, 'PTHR32100:SF36', NULL, NULL, NULL, NULL, 'DELTA(12)-FATTY-ACID DESATURASE', 72934),
(129209, 'PTHR45746:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 9', 72935),
(129210, 'PTHR42734:SF15', NULL, NULL, NULL, NULL, 'ZINC UPTAKE SYSTEM ATP-BINDING PROTEIN ZURA', 72936),
(129211, 'PTHR47926:SF37', NULL, NULL, NULL, NULL, 'REPEAT-LIKE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 72937),
(129212, 'PTHR12767:SF5', NULL, NULL, NULL, NULL, 'B-CELL CLL/LYMPHOMA 7 PROTEIN FAMILY MEMBER B', 72938),
(129213, 'PTHR45738:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC2-LIKE ISOFORM X1', 72939),
(129214, 'PTHR48001:SF98', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1F1-RELATED', 72940),
(129215, 'PTHR34591:SF11', NULL, NULL, NULL, NULL, 'OS04G0113000 PROTEIN', 72941),
(129216, 'PTHR23422:SF13', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE DOMAIN-LIKE PROTEIN-RELATED', 72942),
(129217, 'PTHR31568:SF83', NULL, NULL, NULL, NULL, 'UV-INDUCED PROTEIN UVI15-RELATED', 72943),
(129218, 'PTHR11214:SF257', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 13-RELATED', 72944);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(129219, 'PTHR31992:SF206', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN PBF', 72945),
(129220, 'PTHR46441:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EPIDIDYMAL PROTEIN 1A', 72946),
(129221, 'PTHR37000:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72947),
(129222, 'PTHR12391:SF6', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 3', 72948),
(129223, 'PTHR10795:SF597', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 2, PUTATIVE-RELATED', 72949),
(129224, 'PTHR23250', NULL, NULL, NULL, NULL, 'DYSFERLIN-RELATED', 72950),
(129225, 'PTHR48047:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 72951),
(129226, 'PTHR10426:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72952),
(129227, 'PTHR37742:SF1', NULL, NULL, NULL, NULL, 'OS01G0810200 PROTEIN', 72953),
(129228, 'PTHR23261:SF69', NULL, NULL, NULL, NULL, 'GROUND-LIKE (GRD RELATED)', 72954),
(129229, 'PTHR45742:SF2', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C7', 72955),
(129230, 'PTHR46633:SF8', NULL, NULL, NULL, NULL, 'BNAC01G28490D PROTEIN', 72956),
(129231, 'PTHR46532:SF9', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 12, AXONEMAL', 72957),
(129232, 'PTHR31044:SF72', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E-LIKE PROTEIN', 72958),
(129233, 'PTHR46339:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG15282', 72959),
(129234, 'PTHR35711:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENOYLCYSTEINE DECARBOXYLASE SUBUNIT VHS3-LIKE ISOFORM X1', 72960),
(129235, 'PTHR14359:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72961),
(129236, 'PTHR46029:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72962),
(129237, 'PTHR34723:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72963),
(129238, 'PTHR24637:SF242', NULL, NULL, NULL, NULL, 'COLLAGEN', 72964),
(129239, 'PTHR34114:SF3', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 3', 72965),
(129240, 'PTHR31642:SF189', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 72966),
(129241, 'PTHR31260:SF39', NULL, NULL, NULL, NULL, 'BNAA09G28770D PROTEIN', 72967),
(129242, 'PTHR47629:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG21408', 72968),
(129243, 'PTHR23336:SF17', NULL, NULL, NULL, NULL, 'MORC FAMILY CW-TYPE ZINC FINGER PROTEIN 3', 72969),
(129244, 'PTHR30561:SF9', NULL, NULL, NULL, NULL, '4-AMINO-4-DEOXY-L-ARABINOSE-PHOSPHOUNDECAPRENOL FLIPPASE SUBUNIT ARNF-RELATED', 72970),
(129245, 'PTHR46267:SF20', NULL, NULL, NULL, NULL, 'BNAA06G11800D PROTEIN', 72971),
(129246, 'PTHR10655:SF66', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE-LIKE PROTEIN 1', 72972),
(129247, 'PTHR10903:SF135', NULL, NULL, NULL, NULL, 'AIG1-LIKE PROTEIN, 48352-49494-RELATED', 72973),
(129248, 'PTHR11706:SF33', NULL, NULL, NULL, NULL, 'MANGANESE TRANSPORTER SMF1', 72974),
(129249, 'PTHR32227:SF277', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 11-LIKE', 72975),
(129250, 'PTHR22902:SF36', NULL, NULL, NULL, NULL, 'SI:CH211-193C2.2', 72976),
(129251, 'PTHR16839', NULL, NULL, NULL, NULL, 'GALANIN', 72977),
(129252, 'PTHR45642:SF54', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 72978),
(129253, 'PTHR24243:SF7', NULL, NULL, NULL, NULL, 'GROWTH HORMONE SECRETAGOGUE RECEPTOR TYPE 1', 72979),
(129254, 'PTHR31734:SF177', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 72980),
(129255, 'PTHR23351:SF6', NULL, NULL, NULL, NULL, 'FOS-RELATED ANTIGEN 1', 72981),
(129256, 'PTHR32332:SF20', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE-LIKE PROTEIN', 72982),
(129257, 'PTHR22811:SF157', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24BETA3', 72983),
(129258, 'PTHR43158:SF2', NULL, NULL, NULL, NULL, 'SKFA PEPTIDE EXPORT ATP-BINDING PROTEIN SKFE', 72984),
(129259, 'PTHR23070:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72985),
(129260, 'PTHR10828:SF67', NULL, NULL, NULL, NULL, 'ARSENATE REDUCTASE 2.1', 72986),
(129261, 'PTHR12755:SF18', NULL, NULL, NULL, NULL, 'OS01G0354700 PROTEIN', 72987),
(129262, 'PTHR40640:SF1', NULL, NULL, NULL, NULL, 'ANCHORED GLYCOPROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04860)-RELATED', 72988),
(129263, 'PTHR30267:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PRKA', 72989);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(129264, 'PTHR11200:SF145', NULL, NULL, NULL, NULL, 'TYPE II INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 15', 72990),
(129265, 'PTHR37028:SF4', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 72991),
(129266, 'PTHR12356', NULL, NULL, NULL, NULL, 'NUCLEAR MOVEMENT PROTEIN NUDC', 72992),
(129267, 'PTHR31414:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72993),
(129268, 'PTHR24033:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72994),
(129269, 'PTHR31733', NULL, NULL, NULL, NULL, 'RIBONUCLEASE KAPPA', 72995),
(129270, 'PTHR19441', NULL, NULL, NULL, NULL, 'WHEY ACDIC PROTEIN  WAP', 72996),
(129271, 'PTHR24381:SF135', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 69 HOMOLOG B', 72997),
(129272, 'PTHR47950:SF24', NULL, NULL, NULL, NULL, 'FLAVONOID 3'',5''-HYDROXYLASE-LIKE', 72998),
(129273, 'PTHR24044:SF465', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 72999),
(129274, 'PTHR34670:SF16', NULL, NULL, NULL, NULL, 'BNAA05G34890D PROTEIN', 73000),
(129275, 'PTHR40572:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BAX', 73001),
(129276, 'PTHR43900:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE RHO', 73002),
(129277, 'PTHR46775:SF7', NULL, NULL, NULL, NULL, 'UBA-LIKE, GBF-INTERACTING PROTEIN 1-RELATED', 73003),
(129278, 'PTHR10522:SF0', NULL, NULL, NULL, NULL, 'PROGONADOLIBERIN-1', 73004),
(129279, 'PTHR13337:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEIN SHH4-RELATED', 73005),
(129280, 'PTHR45839:SF4', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 5', 73006),
(129281, 'PTHR11871:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', 73007),
(129282, 'PTHR45764:SF57', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 2', 73008),
(129283, 'PTHR24064:SF215', NULL, NULL, NULL, NULL, 'AT15560P-RELATED', 73009),
(129284, 'PTHR10909', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT OXIDOREDUCTASE', 73010),
(129285, 'PTHR11260:SF508', NULL, NULL, NULL, NULL, 'S-TRANSFERASE PARC, PUTATIVE, EXPRESSED-RELATED', 73011),
(129286, 'PTHR12461:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73012),
(129287, 'PTHR33085:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73013),
(129288, 'PTHR25464', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 2-LIKE PROTEIN', 73014),
(129289, 'PTHR10887:SF458', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 73015),
(129290, 'PTHR16089:SF24', NULL, NULL, NULL, NULL, 'ELM2 AND SANT DOMAIN-CONTAINING PROTEIN 1', 73016),
(129291, 'PTHR22829:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE-DEPENDENT RAC EXCHANGER 2 PROTEIN', 73017),
(129292, 'PTHR45618', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DICARBOXYLATE CARRIER-RELATED', 73018),
(129293, 'PTHR23220:SF5', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-8', 73019),
(129294, 'PTHR31683:SF153', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 73020),
(129295, 'PTHR31308:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 73021),
(129296, 'PTHR27008:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73022),
(129297, 'PTHR31374:SF307', NULL, NULL, NULL, NULL, 'BNAC03G65060D PROTEIN', 73023),
(129298, 'PTHR48164', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 4', 73024),
(129299, 'PTHR30217:SF12', NULL, NULL, NULL, NULL, 'LMO0960 PROTEIN', 73025),
(129300, 'PTHR12901:SF18', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE / DEHYDRASE AND LIPID TRANSPORT PROTEIN-RELATED', 73026),
(129301, 'PTHR23077:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73027),
(129302, 'PTHR43540:SF6', NULL, NULL, NULL, NULL, 'NICOTINAMIDASE 2-RELATED', 73028),
(129303, 'PTHR31209', NULL, NULL, NULL, NULL, 'COFACTOR-INDEPENDENT PHOSPHOGLYCERATE MUTASE', 73029),
(129304, 'PTHR46448:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73030),
(129305, 'PTHR11783:SF261', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 73031),
(129306, 'PTHR33332:SF13', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE PROTEIN', 73032),
(129307, 'PTHR11670:SF55', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE 3 MITOCHONDRIAL', 73033);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(129308, 'PTHR45672', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE C17H9.14C-RELATED', 73034),
(129309, 'PTHR47956:SF96', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B11-RELATED', 73035),
(129310, 'PTHR45642:SF24', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 73036),
(129311, 'PTHR12785:SF12', NULL, NULL, NULL, NULL, 'PROLINE-RICH SPLICEOSOME-ASSOCIATED (PSP) FAMILY PROTEIN', 73037),
(129312, 'PTHR20955:SF3', NULL, NULL, NULL, NULL, 'PROTEIN JAGUNAL HOMOLOG 1-A', 73038),
(129313, 'PTHR46757:SF5', NULL, NULL, NULL, NULL, 'OS01G0827200 PROTEIN', 73039),
(129314, 'PTHR48006:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73040),
(129315, 'PTHR13415:SF3', NULL, NULL, NULL, NULL, 'BROMODOMAIN ADJACENT TO ZINC FINGER DOMAIN PROTEIN 2B', 73041),
(129316, 'PTHR34126', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 22', 73042),
(129317, 'PTHR31205:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73043),
(129318, 'PTHR15486:SF79', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE 2-O-ACYLTRANSFERASE 6', 73044),
(129319, 'PTHR46834:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH10', 73045),
(129320, 'PTHR48065:SF14', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN EIX2', 73046),
(129321, 'PTHR10285:SF51', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE D', 73047),
(129322, 'PTHR47993:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73048),
(129323, 'PTHR34724', NULL, NULL, NULL, NULL, 'OS12G0596101 PROTEIN', 73049),
(129324, 'PTHR36038:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73050),
(129325, 'PTHR31089:SF47', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 3-LIKE', 73051),
(129326, 'PTHR10740', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR ALPHA', 73052),
(129327, 'PTHR18929:SF224', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', 73053),
(129328, 'PTHR35807:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR REDD', 73054),
(129329, 'PTHR24257:SF22', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE ELASTASE FAMILY MEMBER 3B', 73055),
(129330, 'PTHR23263:SF102', NULL, NULL, NULL, NULL, 'LATE CORNIFIED ENVELOPE PROTEIN 1A-RELATED', 73056),
(129331, 'PTHR43173:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73057),
(129332, 'PTHR34956:SF2', NULL, NULL, NULL, NULL, 'OS05G0397300 PROTEIN', 73058),
(129333, 'PTHR46981:SF1', NULL, NULL, NULL, NULL, 'BIS(5''-ADENOSYL)-TRIPHOSPHATASE', 73059),
(129334, 'PTHR15712:SF14', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING X-LINKED PROTEIN 1', 73060),
(129335, 'PTHR46691:SF8', NULL, NULL, NULL, NULL, 'BNAC05G02890D PROTEIN', 73061),
(129336, 'PTHR24056:SF406', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE B1-1', 73062),
(129337, 'PTHR45696:SF1', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1', 73063),
(129338, 'PTHR27006:SF275', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73064),
(129339, 'PTHR24070:SF213', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN DI-RAS1', 73065),
(129340, 'PTHR12373', NULL, NULL, NULL, NULL, 'ENHANCER OF RUDIMENTARY ERH', 73066),
(129341, 'PTHR33304:SF37', NULL, NULL, NULL, NULL, 'BNAANNG06740D PROTEIN', 73067),
(129342, 'PTHR19343:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73068),
(129343, 'PTHR11711:SF374', NULL, NULL, NULL, NULL, 'BNACNNG18370D PROTEIN', 73069),
(129344, 'PTHR32077:SF19', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN-LIKE', 73070),
(129345, 'PTHR22835:SF555', NULL, NULL, NULL, NULL, 'BNAA02G29130D PROTEIN', 73071),
(129346, 'PTHR31247:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 198B', 73072),
(129347, 'PTHR39198:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED', 73073),
(129348, 'PTHR43701:SF5', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN-RELATED', 73074),
(129349, 'PTHR30557', NULL, NULL, NULL, NULL, 'THIAMINE BIOSYNTHESIS PROTEIN THIC', 73075),
(129350, 'PTHR24329:SF516', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GOOSECOID', 73076),
(129351, 'PTHR46385:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73077),
(129352, 'PTHR31223:SF51', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG4-RELATED', 73078);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(129353, 'PTHR42002', NULL, NULL, NULL, NULL, 'ANAEROBIC C4-DICARBOXYLATE TRANSPORTER DCUC-RELATED', 73079),
(129354, 'PTHR14363:SF34', NULL, NULL, NULL, NULL, 'HEPARANASE-LIKE PROTEIN 3', 73080),
(129355, 'PTHR45914:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LATE FLOWERING', 73081),
(129356, 'PTHR34301:SF8', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', 73082),
(129357, 'PTHR23341:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73083),
(129358, 'PTHR46057:SF14', NULL, NULL, NULL, NULL, 'OS02G0687200 PROTEIN', 73084),
(129359, 'PTHR24238:SF29', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 83-RELATED', 73085),
(129360, 'PTHR45738:SF20', NULL, NULL, NULL, NULL, 'BNAANNG13060D PROTEIN', 73086),
(129361, 'PTHR18902:SF24', NULL, NULL, NULL, NULL, 'NUCLEAR MITOTIC APPARATUS PROTEIN 1', 73087),
(129362, 'PTHR33305', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 2 PROTEIN', 73088),
(129363, 'PTHR26452:SF223', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 73089),
(129364, 'PTHR23011:SF35', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-BINDING DOMAIN-CONTAINING PROTEIN 2', 73090),
(129365, 'PTHR46343', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 73091),
(129366, 'PTHR23087:SF11', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP NUCLEOSOME-BINDING DOMAIN-CONTAINING PROTEIN 4', 73092),
(129367, 'PTHR31221:SF199', NULL, NULL, NULL, NULL, 'BNACNNG26190D PROTEIN', 73093),
(129368, 'PTHR32116:SF73', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 73094),
(129369, 'PTHR34413', NULL, NULL, NULL, NULL, 'PROPHAGE TAIL FIBER ASSEMBLY PROTEIN HOMOLOG TFAE-RELATED-RELATED', 73095),
(129370, 'PTHR33388', NULL, NULL, NULL, NULL, 'OS01G0212500 PROTEIN', 73096),
(129371, 'PTHR32448:SF16', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 17', 73097),
(129372, 'PTHR24257:SF16', NULL, NULL, NULL, NULL, 'NEUTROPHIL ELASTASE', 73098),
(129373, 'PTHR11017:SF353', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RRS1', 73099),
(129374, 'PTHR12265:SF14', NULL, NULL, NULL, NULL, 'PAXU PROTEIN', 73100),
(129375, 'PTHR47109:SF1', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN-LIKE PROTEIN 1', 73101),
(129376, 'PTHR43124:SF6', NULL, NULL, NULL, NULL, 'TRANSPORTER ARAJ-RELATED', 73102),
(129377, 'PTHR24220:SF452', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 73103),
(129378, 'PTHR26312:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73104),
(129379, 'PTHR46053:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH4-LIKE', 73105),
(129380, 'PTHR33179:SF63', NULL, NULL, NULL, NULL, 'BNAA05G36370D PROTEIN', 73106),
(129381, 'PTHR13691:SF56', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L8-1', 73107),
(129382, 'PTHR32552:SF82', NULL, NULL, NULL, NULL, 'FCUA PROTEIN', 73108),
(129383, 'PTHR22984:SF24', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', 73109),
(129384, 'PTHR10177:SF458', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN-2', 73110),
(129385, 'PTHR12210:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73111),
(129386, 'PTHR10574:SF287', NULL, NULL, NULL, NULL, 'MULTIPLE EPIDERMAL GROWTH FACTOR-LIKE DOMAINS PROTEIN 8', 73112),
(129387, 'PTHR24281:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73113),
(129388, 'PTHR31857', NULL, NULL, NULL, NULL, 'HSSA/B-LIKE PROTEIN 17-RELATED', 73114),
(129389, 'PTHR13068:SF139', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTEF1, CHLOROPLASTIC', 73115),
(129390, 'PTHR10666:SF267', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN ISG15', 73116),
(129391, 'PTHR46236:SF5', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE FAMILY C19-RELATED PROTEIN', 73117),
(129392, 'PTHR10434:SF48', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 73118),
(129393, 'PTHR36305', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROPHOSPHATASE A', 73119),
(129394, 'PTHR47592:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73120),
(129395, 'PTHR12011:SF452', NULL, NULL, NULL, NULL, 'SI:CH211-241F5.3', 73121),
(129396, 'PTHR22769', NULL, NULL, NULL, NULL, 'MUTT/NUDIX HYDROLASE', 73122),
(129397, 'PTHR30004:SF5', NULL, NULL, NULL, NULL, '4-HYDROXYTHREONINE-4-PHOSPHATE DEHYDROGENASE', 73123);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(129398, 'PTHR12321:SF145', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 2', 73124),
(129399, 'PTHR40741:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73125),
(129400, 'PTHR23236:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73126),
(129401, 'PTHR47988:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73127),
(129402, 'PTHR10824:SF17', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 6-RELATED', 73128),
(129403, 'PTHR36030:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73129),
(129404, 'PTHR15938:SF0', NULL, NULL, NULL, NULL, 'HOMOLOGOUS-PAIRING PROTEIN 2 HOMOLOG', 73130),
(129405, 'PTHR15627:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73131),
(129406, 'PTHR47353:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN HCF164, CHLOROPLASTIC', 73132),
(129407, 'PTHR36746', NULL, NULL, NULL, NULL, 'BNAC04G51760D PROTEIN', 73133),
(129408, 'PTHR33698', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2)-LIKE PROTEIN', 73134),
(129409, 'PTHR36838:SF1', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER FAMILY PROTEIN', 73135),
(129410, 'PTHR24103:SF635', NULL, NULL, NULL, NULL, 'BLOODTHIRSTY-RELATED GENE FAMILY, MEMBER 2', 73136),
(129411, 'PTHR11829:SF347', NULL, NULL, NULL, NULL, 'FORKHEAD BOX I1', 73137),
(129412, 'PTHR30098', NULL, NULL, NULL, NULL, 'LEUCYL/PHENYLALANYL-TRNA--PROTEIN TRANSFERASE', 73138),
(129413, 'PTHR10722:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L19-2', 73139),
(129414, 'PTHR23226:SF155', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 621', 73140),
(129415, 'PTHR16059:SF25', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-RELATED ANONYMOUS PROTEIN', 73141),
(129416, 'PTHR23349:SF72', NULL, NULL, NULL, NULL, 'HLH54F', 73142),
(129417, 'PTHR10641:SF920', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR MIXTA-LIKE PROTEIN', 73143),
(129418, 'PTHR11945:SF637', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2A', 73144),
(129419, 'PTHR42057:SF2', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G00200)', 73145),
(129420, 'PTHR22835:SF608', NULL, NULL, NULL, NULL, 'OS02G0608801 PROTEIN', 73146),
(129421, 'PTHR19211:SF6', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN-RELATED', 73147),
(129422, 'PTHR48232', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 73148),
(129423, 'PTHR26454:SF152', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 212-RELATED', 73149),
(129424, 'PTHR11599:SF114', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-7-B', 73150),
(129425, 'PTHR45758:SF1', NULL, NULL, NULL, NULL, 'MITOFERRIN-2', 73151),
(129426, 'PTHR34759:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 48', 73152),
(129427, 'PTHR10811:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73153),
(129428, 'PTHR31529:SF43', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', 73154),
(129429, 'PTHR24042:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73155),
(129430, 'PTHR10546:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-225P5.8', 73156),
(129431, 'PTHR35157:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM209A', 73157),
(129432, 'PTHR42870', NULL, NULL, NULL, NULL, 'ACETYL-COA C-ACETYLTRANSFERASE', 73158),
(129433, 'PTHR40903:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73159),
(129434, 'PTHR11850:SF89', NULL, NULL, NULL, NULL, 'PRE-B-CELL LEUKEMIA TRANSCRIPTION FACTOR 1', 73160),
(129435, 'PTHR19211:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73161),
(129436, 'PTHR46411:SF3', NULL, NULL, NULL, NULL, 'FAMILY ATPASE, PUTATIVE-RELATED', 73162),
(129437, 'PTHR47974:SF13', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD3-1', 73163),
(129438, 'PTHR12025', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR', 73164),
(129439, 'PTHR44329:SF165', NULL, NULL, NULL, NULL, 'BNAA09G10470D PROTEIN', 73165),
(129440, 'PTHR11266:SF18', NULL, NULL, NULL, NULL, 'OS12G0508100 PROTEIN', 73166),
(129441, 'PTHR31342:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC-LIKE', 73167),
(129442, 'PTHR43420:SF34', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE YPEA', 73168);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(129443, 'PTHR33083:SF19', NULL, NULL, NULL, NULL, 'OS05G0531100 PROTEIN', 73169),
(129444, 'PTHR21198:SF7', NULL, NULL, NULL, NULL, 'ASPARTATE-GLUTAMATE RACEMASE FAMILY', 73170),
(129445, 'PTHR11132:SF370', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN', 73171),
(129446, 'PTHR38493:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1 OPEN READING FRAME 167', 73172),
(129447, 'PTHR23179:SF38', NULL, NULL, NULL, NULL, '1700006A11RIK PROTEIN', 73173),
(129448, 'PTHR31323:SF1', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN MSY2', 73174),
(129449, 'PTHR23118:SF36', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE ALPHA CHAIN PROTEIN 1-RELATED', 73175),
(129450, 'PTHR11949:SF17', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR LIKE PROTEIN ISOFORM X1', 73176),
(129451, 'PTHR11017:SF225', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 73177),
(129452, 'PTHR23048:SF5', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN 6B', 73178),
(129453, 'PTHR13683:SF768', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 73179),
(129454, 'PTHR38469', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 73180),
(129455, 'PTHR47986:SF2', NULL, NULL, NULL, NULL, 'BNAA02G25970D PROTEIN', 73181),
(129456, 'PTHR10155:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE REGULATORY SUBUNIT ALPHA', 73182),
(129457, 'PTHR12174:SF83', NULL, NULL, NULL, NULL, 'BNACNNG08820D PROTEIN', 73183),
(129458, 'PTHR20855:SF40', NULL, NULL, NULL, NULL, 'ADIPONECTIN RECEPTOR PROTEIN 1', 73184),
(129459, 'PTHR38563:SF1', NULL, NULL, NULL, NULL, 'FL(2)D-ASSOCIATED COMPLEX COMPONENT', 73185),
(129460, 'PTHR33388:SF23', NULL, NULL, NULL, NULL, 'BNAA01G08040D PROTEIN', 73186),
(129461, 'PTHR22850:SF82', NULL, NULL, NULL, NULL, 'HISTONE-BINDING PROTEIN RBBP7', 73187),
(129462, 'PTHR23254:SF15', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 1', 73188),
(129463, 'PTHR10529:SF349', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT MU-1-RELATED', 73189),
(129464, 'PTHR31238:SF222', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 73190),
(129465, 'PTHR10648:SF31', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE PP2A REGULATORY SUBUNIT A', 73191),
(129466, 'PTHR32100:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73192),
(129467, 'PTHR48022:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73193),
(129468, 'PTHR31048:SF176', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN', 73194),
(129469, 'PTHR12890', NULL, NULL, NULL, NULL, 'DREV PROTEIN', 73195),
(129470, 'PTHR33541:SF21', NULL, NULL, NULL, NULL, 'BNACNNG28490D PROTEIN', 73196),
(129471, 'PTHR31474:SF4', NULL, NULL, NULL, NULL, 'BNAA10G27800D PROTEIN', 73197),
(129472, 'PTHR12933:SF0', NULL, NULL, NULL, NULL, 'DIGESTIVE ORGAN EXPANSION FACTOR HOMOLOG', 73198),
(129473, 'PTHR32093:SF112', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 4', 73199),
(129474, 'PTHR28652:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 59', 73200),
(129475, 'PTHR11452:SF79', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', 73201),
(129476, 'PTHR10695:SF49', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PHOSPHOPANTETHEINE ADENYLYLTRANSFERASE-DEPHOSPHO-COA KINASE', 73202),
(129477, 'PTHR11863:SF193', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE CER1', 73203),
(129478, 'PTHR45974:SF179', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', 73204),
(129479, 'PTHR47992:SF92', NULL, NULL, NULL, NULL, 'CATALYTIC/PROTEIN PHOSPHATASE TYPE 2C', 73205),
(129480, 'PTHR17224:SF7', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC GROUP IIB INTRON SPLICING FACILITATOR CRS2-A, CHLOROPLASTIC', 73206),
(129481, 'PTHR44376:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR LEUNIG', 73207),
(129482, 'PTHR31889:SF76', NULL, NULL, NULL, NULL, 'BNAC05G10370D PROTEIN', 73208),
(129483, 'PTHR44489:SF9', NULL, NULL, NULL, NULL, 'BNAC03G15740D PROTEIN', 73209),
(129484, 'PTHR43802', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE', 73210),
(129485, 'PTHR12203:SF94', NULL, NULL, NULL, NULL, 'DUF821 DOMAIN PROTEIN', 73211);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(129486, 'PTHR23502:SF166', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY MULTIDRUG TRANSPORTER MDRA', 73212),
(129487, 'PTHR24410:SF23', NULL, NULL, NULL, NULL, 'HL07962P', 73213),
(129488, 'PTHR46646:SF8', NULL, NULL, NULL, NULL, 'BNAA09G18670D PROTEIN', 73214),
(129489, 'PTHR31325:SF198', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF594)-RELATED', 73215),
(129490, 'PTHR11961:SF33', NULL, NULL, NULL, NULL, 'CYTOCHROME C', 73216),
(129491, 'PTHR33403:SF31', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1-LIKE 1', 73217),
(129492, 'PTHR14098:SF3', NULL, NULL, NULL, NULL, 'B-CELL LINKER PROTEIN', 73218),
(129493, 'PTHR37611', NULL, NULL, NULL, NULL, 'VIRUS-SPECIFIC-SIGNALING-PATHWAY REGULATED PROTEIN-RELATED', 73219),
(129494, 'PTHR31374:SF292', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN FAMILY, PUTATIVE-RELATED', 73220),
(129495, 'PTHR46800:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 73221),
(129496, 'PTHR47287:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73222),
(129497, 'PTHR33133:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73223),
(129498, 'PTHR39178', NULL, NULL, NULL, NULL, 'HYPOTHETICAL RIBOSOME-ASSOCIATED PROTEIN', 73224),
(129499, 'PTHR24410:SF27', NULL, NULL, NULL, NULL, 'BTB DOMAIN CONTAINING 3', 73225),
(129500, 'PTHR36013', NULL, NULL, NULL, NULL, 'ATP SYNTHASE 24 KDA SUBUNIT, MITOCHONDRIAL-RELATED', 73226),
(129501, 'PTHR47990:SF168', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', 73227),
(129502, 'PTHR46128:SF233', NULL, NULL, NULL, NULL, 'BNAA10G03810D PROTEIN', 73228),
(129503, 'PTHR31506:SF36', NULL, NULL, NULL, NULL, 'OS01G0176900 PROTEIN', 73229),
(129504, 'PTHR30582:SF4', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE YQJB-RELATED', 73230),
(129505, 'PTHR31168:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73231),
(129506, 'PTHR48018:SF161', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 983', 73232),
(129507, 'PTHR33065:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73233),
(129508, 'PTHR32370:SF77', NULL, NULL, NULL, NULL, 'OSJNBB0034I13.5 PROTEIN', 73234),
(129509, 'PTHR43561', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 73235),
(129510, 'PTHR11017:SF251', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY-RELATED', 73236),
(129511, 'PTHR47960:SF5', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 6', 73237),
(129512, 'PTHR19944:SF94', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DQ ALPHA 2 CHAIN', 73238),
(129513, 'PTHR48010:SF5', NULL, NULL, NULL, NULL, 'OS05G0170700 PROTEIN', 73239),
(129514, 'PTHR39339:SF1', NULL, NULL, NULL, NULL, 'SLR1444 PROTEIN', 73240),
(129515, 'PTHR11693:SF31', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT GAMMA, MITOCHONDRIAL', 73241),
(129516, 'PTHR32444:SF57', NULL, NULL, NULL, NULL, 'EPIDERMIS-SPECIFIC SECRETED GLYCOPROTEIN EP1-LIKE', 73242),
(129517, 'PTHR43859:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73243),
(129518, 'PTHR16295:SF17', NULL, NULL, NULL, NULL, 'XIAP-ASSOCIATED FACTOR 1', 73244),
(129519, 'PTHR11732:SF265', NULL, NULL, NULL, NULL, 'PROTEIN CBG06721', 73245),
(129520, 'PTHR46053:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH4', 73246),
(129521, 'PTHR27008:SF281', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN', 73247),
(129522, 'PTHR11820:SF100', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_4G01490)', 73248),
(129523, 'PTHR22777:SF15', NULL, NULL, NULL, NULL, 'UPF0053 INNER MEMBRANE PROTEIN YOAE', 73249),
(129524, 'PTHR10438:SF387', NULL, NULL, NULL, NULL, 'THIOREDOXIN H-TYPE', 73250),
(129525, 'PTHR30388', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDOREDUCTASE MOLYBDENUM COFACTOR ASSEMBLY PROTEIN', 73251),
(129526, 'PTHR18966:SF349', NULL, NULL, NULL, NULL, 'FI04462P-RELATED', 73252),
(129527, 'PTHR24220:SF494', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN YXDL', 73253),
(129528, 'PTHR35895:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73254),
(129529, 'PTHR12802:SF67', NULL, NULL, NULL, NULL, 'HISTONE H2A DEUBIQUITINASE MYSM1', 73255);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(129530, 'PTHR15601:SF20', NULL, NULL, NULL, NULL, 'STRESS-ASSOCIATED ENDOPLASMIC RETICULUM PROTEIN 2', 73256),
(129531, 'PTHR43395', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE CHEA', 73257),
(129532, 'PTHR40381:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL TESTIS-SPECIFIC PROTEIN 1', 73258),
(129533, 'PTHR21576:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73259),
(129534, 'PTHR23406:SF77', NULL, NULL, NULL, NULL, 'MALIC ENZYME', 73260),
(129535, 'PTHR45751:SF11', NULL, NULL, NULL, NULL, 'COPINE FAMILY PROTEIN 1', 73261),
(129536, 'PTHR31081:SF18', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 1-LIKE', 73262),
(129537, 'PTHR36066:SF13', NULL, NULL, NULL, NULL, 'BNAC02G43020D PROTEIN', 73263),
(129538, 'PTHR43711:SF23', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE', 73264),
(129539, 'PTHR48049:SF59', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 73265),
(129540, 'PTHR43745:SF2', NULL, NULL, NULL, NULL, 'NITROREDUCTASE MJ1384-RELATED', 73266),
(129541, 'PTHR31731:SF113', NULL, NULL, NULL, NULL, 'BNAANNG07280D PROTEIN', 73267),
(129542, 'PTHR24058:SF103', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 73268),
(129543, 'PTHR32295:SF181', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 8-RELATED', 73269),
(129544, 'PTHR24096:SF384', NULL, NULL, NULL, NULL, 'BNAA09G19900D PROTEIN', 73270),
(129545, 'PTHR43899:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73271),
(129546, 'PTHR43725:SF30', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE GEPI48-RELATED', 73272),
(129547, 'PTHR40644:SF1', NULL, NULL, NULL, NULL, 'UPF0653 PROTEIN C607.02C', 73273),
(129548, 'PTHR43900:SF49', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTF1-RELATED', 73274),
(129549, 'PTHR24221:SF550', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER RELATED', 73275),
(129550, 'PTHR31917:SF50', NULL, NULL, NULL, NULL, 'DUF724 DOMAIN-CONTAINING PROTEIN 10-RELATED', 73276),
(129551, 'PTHR16035:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FAM90A27P', 73277),
(129552, 'PTHR20950:SF1', NULL, NULL, NULL, NULL, 'GALANIN-LIKE PEPTIDE', 73278),
(129553, 'PTHR43337:SF2', NULL, NULL, NULL, NULL, 'XANTHINE/URACIL PERMEASE-RELATED', 73279),
(129554, 'PTHR34808:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73280),
(129555, 'PTHR24366:SF113', NULL, NULL, NULL, NULL, 'LEUCINE-RICH TENDON-SPECIFIC PROTEIN, ISOFORM C', 73281),
(129556, 'PTHR11675:SF50', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 8-RELATED', 73282),
(129557, 'PTHR31216:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-5', 73283),
(129558, 'PTHR11064:SF141', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-1', 73284),
(129559, 'PTHR45707:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73285),
(129560, 'PTHR22779', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 73286),
(129561, 'PTHR47049:SF2', NULL, NULL, NULL, NULL, 'PIEZO-TYPE MECHANOSENSITIVE ION CHANNEL HOMOLOG', 73287),
(129562, 'PTHR43675', NULL, NULL, NULL, NULL, 'ARSENITE METHYLTRANSFERASE', 73288),
(129563, 'PTHR31282:SF165', NULL, NULL, NULL, NULL, 'WRKY DOMAIN, ZN-CLUSTER DOMAIN PROTEIN-RELATED', 73289),
(129564, 'PTHR31218:SF221', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 73290),
(129565, 'PTHR36576', NULL, NULL, NULL, NULL, 'UPF0654 PROTEIN C11D3.01C-RELATED', 73291),
(129566, 'PTHR22594:SF52', NULL, NULL, NULL, NULL, 'BNAC03G13340D PROTEIN', 73292),
(129567, 'PTHR31871:SF9', NULL, NULL, NULL, NULL, 'HELICASE WITH ZINC FINGER PROTEIN', 73293),
(129568, 'PTHR18919:SF147', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL ENZYME SUBUNIT BETA, MITOCHONDRIAL', 73294),
(129569, 'PTHR42976', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL CHITINASE/LYSOZYME-RELATED', 73295),
(129570, 'PTHR26453:SF69', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10G3', 73296),
(129571, 'PTHR16516:SF7', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 8', 73297),
(129572, 'PTHR46162:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73298),
(129573, 'PTHR11592:SF75', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 73299),
(129574, 'PTHR43540:SF14', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE-RELATED', 73300);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(129575, 'PTHR45647:SF103', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 73301),
(129576, 'PTHR47724', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP26-2, CHLOROPLASTIC', 73302),
(129577, 'PTHR45680:SF17', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 73303),
(129578, 'PTHR12320:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 73304),
(129579, 'PTHR35035', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 73305),
(129580, 'PTHR11062:SF125', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS01G0926400-RELATED', 73306),
(129581, 'PTHR42155', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT ZETA', 73307),
(129582, 'PTHR23266:SF312', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION 36-65-RELATED', 73308),
(129583, 'PTHR33337:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73309),
(129584, 'PTHR11903:SF27', NULL, NULL, NULL, NULL, 'ALPHA-DIOXYGENASE 1-LIKE', 73310),
(129585, 'PTHR11802:SF258', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 73311),
(129586, 'PTHR21041:SF17', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DCST1', 73312),
(129587, 'PTHR33070:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73313),
(129588, 'PTHR10489:SF608', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 4', 73314),
(129589, 'PTHR45658:SF88', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 73315),
(129590, 'PTHR12137:SF2', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 10', 73316),
(129591, 'PTHR33286:SF7', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 73317),
(129592, 'PTHR23032:SF13', NULL, NULL, NULL, NULL, 'OSJNBA0038O10.19 PROTEIN', 73318),
(129593, 'PTHR47990:SF42', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE', 73319),
(129594, 'PTHR23430:SF225', NULL, NULL, NULL, NULL, 'HISTONE H2A', 73320),
(129595, 'PTHR23430:SF273', NULL, NULL, NULL, NULL, 'HISTONE H2A', 73321),
(129596, 'PTHR13683:SF843', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1-LIKE', 73322),
(129597, 'PTHR35717', NULL, NULL, NULL, NULL, 'OS05G0156200 PROTEIN', 73323),
(129598, 'PTHR33832:SF19', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR TYPE-2 CEVI57', 73324),
(129599, 'PTHR22298:SF29', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 4', 73325),
(129600, 'PTHR31934:SF6', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 73326),
(129601, 'PTHR24095:SF249', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', 73327),
(129602, 'PTHR46316:SF14', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-1-LIKE', 73328),
(129603, 'PTHR33384:SF26', NULL, NULL, NULL, NULL, 'BNAA08G24300D PROTEIN', 73329),
(129604, 'PTHR31282:SF89', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 73330),
(129605, 'PTHR42993:SF1', NULL, NULL, NULL, NULL, 'MAOC-LIKE DEHYDRATASE DOMAIN-CONTAINING PROTEIN', 73331),
(129606, 'PTHR12526:SF575', NULL, NULL, NULL, NULL, 'TRANSFERASE-RELATED', 73332),
(129607, 'PTHR46681:SF1', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN NDC80 HOMOLOG', 73333),
(129608, 'PTHR32096:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73334),
(129609, 'PTHR12300:SF138', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 73335),
(129610, 'PTHR34781:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73336),
(129611, 'PTHR45914:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HEC3-LIKE', 73337),
(129612, 'PTHR32285:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73338),
(129613, 'PTHR48018:SF12', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 73339),
(129614, 'PTHR33416:SF16', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP1', 73340),
(129615, 'PTHR10795:SF573', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE II-RELATED', 73341),
(129616, 'PTHR47219:SF3', NULL, NULL, NULL, NULL, 'RAB GTPASE-ACTIVATING PROTEIN 1-LIKE', 73342),
(129617, 'PTHR22996:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73343),
(129618, 'PTHR23017:SF43', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 73344);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(129619, 'PTHR32455:SF1', NULL, NULL, NULL, NULL, 'SPERM ACROSOME-ASSOCIATED PROTEIN 9', 73345),
(129620, 'PTHR31741:SF55', NULL, NULL, NULL, NULL, 'GDP-FUCOSE O-FUCOSYLTRANSFERASE-LIKE PROTEIN', 73346),
(129621, 'PTHR10686:SF36', NULL, NULL, NULL, NULL, 'AGAP006349-PA', 73347),
(129622, 'PTHR34851:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG17557', 73348),
(129623, 'PTHR43616:SF5', NULL, NULL, NULL, NULL, 'GLYCEROL DEHYDROGENASE 1', 73349),
(129624, 'PTHR32212:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73350),
(129625, 'PTHR23235:SF50', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 6', 73351),
(129626, 'PTHR11973:SF18', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN MUC18', 73352),
(129627, 'PTHR31896:SF42', NULL, NULL, NULL, NULL, 'ANTHRANILATE N-HYDROXYCINNAMOYL/BENZOYLTRANSFERASE-LIKE PROTEIN', 73353),
(129628, 'PTHR31917:SF39', NULL, NULL, NULL, NULL, 'PLANT TUDOR-LIKE RNA-BINDING PROTEIN', 73354),
(129629, 'PTHR13822:SF19', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT DELTA'', MITOCHONDRIAL-LIKE', 73355),
(129630, 'PTHR37378:SF2', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE WOUND-INDUCED PROTEINASE INHIBITOR WIP1', 73356),
(129631, 'PTHR35674', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE CK137956', 73357),
(129632, 'PTHR20986:SF19', NULL, NULL, NULL, NULL, 'FMRFAMIDE-LIKE NEUROPEPTIDES 3', 73358),
(129633, 'PTHR38819', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 20A-RELATED', 73359),
(129634, 'PTHR12097', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B, SUBUNIT 1-RELATED', 73360),
(129635, 'PTHR34630:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73361),
(129636, 'PTHR11550:SF0', NULL, NULL, NULL, NULL, 'CTP SYNTHASE-RELATED', 73362),
(129637, 'PTHR46979', NULL, NULL, NULL, NULL, 'SORTING NEXIN-41', 73363),
(129638, 'PTHR32054:SF61', NULL, NULL, NULL, NULL, 'OS12G0182100 PROTEIN', 73364),
(129639, 'PTHR30288:SF0', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK-ASSOCIATED PROTEIN 2', 73365),
(129640, 'PTHR12304:SF54', NULL, NULL, NULL, NULL, 'URIDINE NUCLEOSIDASE 2-RELATED', 73366),
(129641, 'PTHR47804', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L19', 73367),
(129642, 'PTHR22952:SF432', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', 73368),
(129643, 'PTHR33870:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73369),
(129644, 'PTHR10252:SF107', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-4', 73370),
(129645, 'PTHR45988:SF18', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY', 73371),
(129646, 'PTHR46344:SF11', NULL, NULL, NULL, NULL, 'OSJNBB0089B03.12 PROTEIN', 73372),
(129647, 'PTHR12542:SF84', NULL, NULL, NULL, NULL, 'OS01G0921400 PROTEIN', 73373),
(129648, 'PTHR11616:SF279', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT SEROTONIN TRANSPORTER', 73374),
(129649, 'PTHR13503:SF3', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR B', 73375),
(129650, 'PTHR16716', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7B, MITOCHONDRIAL', 73376),
(129651, 'PTHR46159:SF15', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 4', 73377),
(129652, 'PTHR13723:SF144', NULL, NULL, NULL, NULL, 'ADAMTS-LIKE PROTEIN 4', 73378),
(129653, 'PTHR24326:SF553', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-23', 73379),
(129654, 'PTHR38462', NULL, NULL, NULL, NULL, 'EXONUCLEASE-LIKE PROTEIN', 73380),
(129655, 'PTHR46669:SF2', NULL, NULL, NULL, NULL, 'EG:BACN32G11.3 PROTEIN', 73381),
(129656, 'PTHR33178:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73382),
(129657, 'PTHR12864:SF48', NULL, NULL, NULL, NULL, 'SPRY DOMAIN-CONTAINING PROTEIN 3', 73383),
(129658, 'PTHR43289:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK6', 73384),
(129659, 'PTHR47364:SF15', NULL, NULL, NULL, NULL, 'PHYTOCYSTATIN 5-2', 73385),
(129660, 'PTHR31722:SF33', NULL, NULL, NULL, NULL, 'COPPER-BINDING PERIPLASMIC PROTEIN', 73386),
(129661, 'PTHR12027:SF37', NULL, NULL, NULL, NULL, 'PROTEIN WNT', 73387),
(129662, 'PTHR47988:SF28', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE-LIKE PROTEIN', 73388);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(129663, 'PTHR23502:SF151', NULL, NULL, NULL, NULL, 'MFS MULTIDRUG TRANSPORTER', 73389),
(129664, 'PTHR11871:SF39', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', 73390),
(129665, 'PTHR33098:SF49', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', 73391),
(129666, 'PTHR46035:SF4', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 4', 73392),
(129667, 'PTHR24115:SF584', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KLP98A', 73393),
(129668, 'PTHR21139:SF26', NULL, NULL, NULL, NULL, 'BNAA04G12000D PROTEIN', 73394),
(129669, 'PTHR23055:SF70', NULL, NULL, NULL, NULL, 'HIPPOCALCIN-LIKE PROTEIN 4', 73395),
(129670, 'PTHR45693:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGAL10', 73396),
(129671, 'PTHR47201:SF1', NULL, NULL, NULL, NULL, 'BNAC09G30780D PROTEIN', 73397),
(129672, 'PTHR20961:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73398),
(129673, 'PTHR22989:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG13050', 73399),
(129674, 'PTHR20905:SF31', NULL, NULL, NULL, NULL, 'DOPAMINE N-ACETYLTRANSFERASE', 73400),
(129675, 'PTHR38828:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73401),
(129676, 'PTHR35767:SF1', NULL, NULL, NULL, NULL, 'HAPLESS PROTEIN', 73402),
(129677, 'PTHR31321:SF104', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 73403),
(129678, 'PTHR23032:SF8', NULL, NULL, NULL, NULL, 'BNAC05G13880D PROTEIN', 73404),
(129679, 'PTHR31087:SF14', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 17', 73405),
(129680, 'PTHR16736:SF5', NULL, NULL, NULL, NULL, 'CORTEXIN DOMAIN-CONTAINING 1', 73406),
(129681, 'PTHR33880:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 73407),
(129682, 'PTHR10840:SF3', NULL, NULL, NULL, NULL, 'BNAA07G07610D PROTEIN', 73408),
(129683, 'PTHR31636:SF234', NULL, NULL, NULL, NULL, 'PROTEIN GAI1, PUTATIVE-RELATED', 73409),
(129684, 'PTHR24286:SF280', NULL, NULL, NULL, NULL, 'BNAA09G02720D PROTEIN', 73410),
(129685, 'PTHR12145:SF37', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,6-ALPHA-MANNOSIDASE', 73411),
(129686, 'PTHR12943', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE-RESPONSIVE ENDOPLASMIC RETICULUM-RESIDENT UNIQUITIN-LIKE DOMAIN HERPUD PROTEIN FAMILY MEMBER', 73412),
(129687, 'PTHR36389:SF1', NULL, NULL, NULL, NULL, 'OS05G0110100 PROTEIN', 73413),
(129688, 'PTHR13416', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 73414),
(129689, 'PTHR31998:SF17', NULL, NULL, NULL, NULL, 'K(+)-INSENSITIVE PYROPHOSPHATE-ENERGIZED PROTON PUMP', 73415),
(129690, 'PTHR10553:SF23', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', 73416),
(129691, 'PTHR31165:SF9', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 6', 73417),
(129692, 'PTHR42958', NULL, NULL, NULL, NULL, 'HYDROGENASE-2 LARGE CHAIN', 73418),
(129693, 'PTHR14684', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 73419),
(129694, 'PTHR27008:SF264', NULL, NULL, NULL, NULL, 'OS10G0375000 PROTEIN', 73420),
(129695, 'PTHR23266:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73421),
(129696, 'PTHR43344:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE', 73422),
(129697, 'PTHR40434:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73423),
(129698, 'PTHR42871', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', 73424),
(129699, 'PTHR33706:SF2', NULL, NULL, NULL, NULL, 'MORN VARIANT REPEAT PROTEIN', 73425),
(129700, 'PTHR43396:SF6', NULL, NULL, NULL, NULL, 'ABL201WP', 73426),
(129701, 'PTHR21230:SF80', NULL, NULL, NULL, NULL, 'BNAANNG15710D PROTEIN', 73427),
(129702, 'PTHR16059:SF16', NULL, NULL, NULL, NULL, 'ANTHRAX TOXIN RECEPTOR-LIKE', 73428),
(129703, 'PTHR33831:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73429),
(129704, 'PTHR10218:SF230', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(K) SUBUNIT ALPHA', 73430),
(129705, 'PTHR18964', NULL, NULL, NULL, NULL, 'ROK (REPRESSOR, ORF, KINASE) FAMILY', 73431),
(129706, 'PTHR45622', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE E3A-RELATED', 73432),
(129707, 'PTHR24416:SF131', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR 1', 73433),
(129708, 'PTHR37067:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73434);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(129709, 'PTHR12233:SF17', NULL, NULL, NULL, NULL, 'BNACNNG76240D PROTEIN', 73435),
(129710, 'PTHR28011', NULL, NULL, NULL, NULL, 'NON-CLASSICAL EXPORT PROTEIN 1', 73436),
(129711, 'PTHR45724:SF35', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP5-1-RELATED', 73437),
(129712, 'PTHR14432', NULL, NULL, NULL, NULL, 'PROSAPIP2 PROTEIN/5-AZACYTIDINE INDUCED GENE 2', 73438),
(129713, 'PTHR31471:SF11', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN-LIKE', 73439),
(129714, 'PTHR31155:SF9', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 7, CHLOROPLASTIC', 73440),
(129715, 'PTHR31985:SF91', NULL, NULL, NULL, NULL, 'OS05G0420300 PROTEIN', 73441),
(129716, 'PTHR31589:SF52', NULL, NULL, NULL, NULL, 'OS07G0205500 PROTEIN', 73442),
(129717, 'PTHR16228:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CBG20346', 73443),
(129718, 'PTHR23423:SF75', NULL, NULL, NULL, NULL, 'BNAC02G48440D PROTEIN', 73444),
(129719, 'PTHR28018:SF5', NULL, NULL, NULL, NULL, 'HYPOXIA-RESPONSIVE FAMILY PROTEIN-LIKE', 73445),
(129720, 'PTHR14388:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG08374', 73446),
(129721, 'PTHR43404:SF1', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE CHOLINEPHOSPHOTRANSFERASE LICD', 73447),
(129722, 'PTHR11514:SF126', NULL, NULL, NULL, NULL, 'BNAA09G18200D PROTEIN', 73448),
(129723, 'PTHR16201:SF44', NULL, NULL, NULL, NULL, 'SEVEN TRANSMEMBRANE PROTEIN 1', 73449),
(129724, 'PTHR20961:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73450),
(129725, 'PTHR24249:SF78', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 7A-RELATED', 73451),
(129726, 'PTHR14179:SF8', NULL, NULL, NULL, NULL, 'OPIORPHIN PREPROPEPTIDE', 73452),
(129727, 'PTHR45669:SF36', NULL, NULL, NULL, NULL, 'GRX1, PUTATIVE-RELATED', 73453),
(129728, 'PTHR19317:SF58', NULL, NULL, NULL, NULL, 'OS03G0741600 PROTEIN', 73454),
(129729, 'PTHR18934:SF203', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 73455),
(129730, 'PTHR19288:SF69', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE PHOSPHATASE', 73456),
(129731, 'PTHR21650', NULL, NULL, NULL, NULL, 'MEMBRALIN/KINETOCHORE PROTEIN NUF2', 73457),
(129732, 'PTHR23118:SF38', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE ALPHA CHAIN PROTEIN 3', 73458),
(129733, 'PTHR12565:SF343', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBI1', 73459),
(129734, 'PTHR48053:SF71', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', 73460),
(129735, 'PTHR33640:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73461),
(129736, 'PTHR12905:SF27', NULL, NULL, NULL, NULL, 'ESTER HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03130)-RELATED', 73462),
(129737, 'PTHR11739:SF4', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE, PEROXISOMAL', 73463),
(129738, 'PTHR23419:SF2', NULL, NULL, NULL, NULL, 'CUTA DIVALENT CATION TOLERANCE HOMOLOG-LIKE', 73464),
(129739, 'PTHR45808', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 68F', 73465),
(129740, 'PTHR11014:SF108', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1', 73466),
(129741, 'PTHR38687:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DEDD', 73467),
(129742, 'PTHR33608', NULL, NULL, NULL, NULL, 'BLL2464 PROTEIN', 73468),
(129743, 'PTHR13630:SF1', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE-ACTIVATING PROTEIN', 73469),
(129744, 'PTHR18874', NULL, NULL, NULL, NULL, 'CMF/LEK/CENP CELL DIVISION-RELATED', 73470),
(129745, 'PTHR24073:SF858', NULL, NULL, NULL, NULL, 'DRAB5', 73471),
(129746, 'PTHR31917:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73472),
(129747, 'PTHR11157', NULL, NULL, NULL, NULL, 'FATTY ACID ACYL TRANSFERASE-RELATED', 73473),
(129748, 'PTHR47260:SF2', NULL, NULL, NULL, NULL, 'THIOESTERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G08890)', 73474),
(129749, 'PTHR23033:SF7', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1', 73475),
(129750, 'PTHR44375:SF21', NULL, NULL, NULL, NULL, 'BNAA02G04430D PROTEIN', 73476),
(129751, 'PTHR10533', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y/PANCREATIC HORMONE/PEPTIDE YY', 73477),
(129752, 'PTHR31558:SF3', NULL, NULL, NULL, NULL, 'CW14 PROTEIN', 73478);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(129753, 'PTHR12892:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG16685', 73479),
(129754, 'PTHR46371:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73480),
(129755, 'PTHR24107:SF2', NULL, NULL, NULL, NULL, 'MAP-HOMOLOGOUS PROTEIN 1', 73481),
(129756, 'PTHR33939:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG22215', 73482),
(129757, 'PTHR34355:SF7', NULL, NULL, NULL, NULL, 'JOSEPHIN PROTEIN-LIKE PROTEIN', 73483),
(129758, 'PTHR45857:SF2', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 1', 73484),
(129759, 'PTHR11226:SF0', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE:GLYCOPROTEIN GLUCOSYLTRANSFERASE', 73485),
(129760, 'PTHR14002:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73486),
(129761, 'PTHR33127:SF66', NULL, NULL, NULL, NULL, 'OS09G0385000 PROTEIN', 73487),
(129762, 'PTHR36359', NULL, NULL, NULL, NULL, 'PROTEIN RESISTANCE TO PHYTOPHTHORA 1, CHLOROPLASTIC', 73488),
(129763, 'PTHR30133:SF1', NULL, NULL, NULL, NULL, 'HISTIDINE TRANSPORT SYSTEM PERMEASE PROTEIN HISQ', 73489),
(129764, 'PTHR32285:SF253', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE PROTEIN-LIKE', 73490),
(129765, 'PTHR11011:SF12', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 73491),
(129766, 'PTHR32134:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73492),
(129767, 'PTHR33870:SF1', NULL, NULL, NULL, NULL, 'OS03G0862000 PROTEIN', 73493),
(129768, 'PTHR14543:SF1', NULL, NULL, NULL, NULL, 'PROTRUDIN', 73494),
(129769, 'PTHR12560:SF43', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 6', 73495),
(129770, 'PTHR31625:SF47', NULL, NULL, NULL, NULL, 'PHENOLIC GLUCOSIDE MALONYLTRANSFERASE 1', 73496),
(129771, 'PTHR30038', NULL, NULL, NULL, NULL, 'ALDEHYDE FERREDOXIN OXIDOREDUCTASE', 73497),
(129772, 'PTHR31341:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73498),
(129773, 'PTHR33154:SF18', NULL, NULL, NULL, NULL, 'ARSENICAL RESISTANCE OPERON REPRESSOR', 73499),
(129774, 'PTHR22929', NULL, NULL, NULL, NULL, 'RNA POLYMERASE III TRANSCRIPTION INITIATION FACTOR B', 73500),
(129775, 'PTHR10614:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73501),
(129776, 'PTHR10996:SF262', NULL, NULL, NULL, NULL, 'HYDROXYPHENYLPYRUVATE REDUCTASE-LIKE', 73502),
(129777, 'PTHR24376:SF130', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 384', 73503),
(129778, 'PTHR48006:SF21', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID LRR RECEPTOR KINASE-LIKE', 73504),
(129779, 'PTHR12814:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73505),
(129780, 'PTHR42734:SF16', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 73506),
(129781, 'PTHR12642:SF6', NULL, NULL, NULL, NULL, 'BNAA10G30340D PROTEIN', 73507),
(129782, 'PTHR10177', NULL, NULL, NULL, NULL, 'CYCLINS', 73508),
(129783, 'PTHR42721:SF15', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 5-RELATED', 73509),
(129784, 'PTHR22765:SF274', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', 73510),
(129785, 'PTHR46193:SF13', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE DOMAIN-CONTAINING PROTEIN SGPP', 73511),
(129786, 'PTHR33431:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73512),
(129787, 'PTHR32332', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE', 73513),
(129788, 'PTHR47178:SF5', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, FAD-BINDING', 73514),
(129789, 'PTHR18968:SF156', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE LARGE SUBUNIT ILVG', 73515),
(129790, 'PTHR47894', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GADX', 73516),
(129791, 'PTHR12902:SF33', NULL, NULL, NULL, NULL, 'PROTEIN SCAR1', 73517),
(129792, 'PTHR26450:SF3', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52E1', 73518),
(129793, 'PTHR13844:SF44', NULL, NULL, NULL, NULL, 'PROTEIN TRI1-LIKE', 73519),
(129794, 'PTHR31248:SF18', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN A3-LIKE', 73520),
(129795, 'PTHR10281:SF90', NULL, NULL, NULL, NULL, 'STEROID-BINDING PROTEIN 3-RELATED', 73521),
(129796, 'PTHR33078:SF26', NULL, NULL, NULL, NULL, 'PROTEIN YCF2', 73522),
(129797, 'PTHR11787:SF18', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', 73523);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(129798, 'PTHR35403', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 73524),
(129799, 'PTHR28189', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA', 73525),
(129800, 'PTHR31238:SF37', NULL, NULL, NULL, NULL, 'OXALATE DECARBOXYLASE OXDC', 73526),
(129801, 'PTHR12411:SF680', NULL, NULL, NULL, NULL, 'ORYZAIN BETA CHAIN', 73527),
(129802, 'PTHR45339', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE J', 73528),
(129803, 'PTHR14237:SF69', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL AMIDOXIME-REDUCING COMPONENT 1-LIKE', 73529),
(129804, 'PTHR12223:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73530),
(129805, 'PTHR31388:SF23', NULL, NULL, NULL, NULL, 'PEROXIDASE', 73531),
(129806, 'PTHR24225:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73532),
(129807, 'PTHR47924:SF12', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 73533),
(129808, 'PTHR12308:SF37', NULL, NULL, NULL, NULL, 'ANOCTAMIN-9', 73534),
(129809, 'PTHR11011:SF68', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 73535),
(129810, 'PTHR22945:SF83', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)-RELATED', 73536),
(129811, 'PTHR31509:SF123', NULL, NULL, NULL, NULL, 'PROTEIN BPS1, CHLOROPLASTIC-LIKE', 73537),
(129812, 'PTHR42721:SF31', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 3 C-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', 73538),
(129813, 'PTHR36562', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX 2', 73539),
(129814, 'PTHR46412:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BIM2-LIKE ISOFORM X1', 73540),
(129815, 'PTHR31374:SF185', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 73541),
(129816, 'PTHR45657:SF30', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH12-LIKE', 73542),
(129817, 'PTHR11767:SF6', NULL, NULL, NULL, NULL, 'ATP-SENSITIVE INWARD RECTIFIER POTASSIUM CHANNEL 1', 73543),
(129818, 'PTHR33470:SF4', NULL, NULL, NULL, NULL, 'OS01G0164075 PROTEIN', 73544),
(129819, 'PTHR12714:SF23', NULL, NULL, NULL, NULL, 'PROTEIN-S-ISOPRENYLCYSTEINE O-METHYLTRANSFERASE', 73545),
(129820, 'PTHR31089:SF37', NULL, NULL, NULL, NULL, 'DOF DOMAIN, ZINC FINGER FAMILY PROTEIN, EXPRESSED', 73546),
(129821, 'PTHR43163:SF6', NULL, NULL, NULL, NULL, 'DIPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN DPPB-RELATED', 73547),
(129822, 'PTHR31201:SF1', NULL, NULL, NULL, NULL, 'OS01G0585100 PROTEIN', 73548),
(129823, 'PTHR31558:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73549),
(129824, 'PTHR43503', NULL, NULL, NULL, NULL, 'MCG48959-RELATED', 73550),
(129825, 'PTHR22814:SF138', NULL, NULL, NULL, NULL, 'COPPER-BINDING PROTEIN-LIKE', 73551),
(129826, 'PTHR42760:SF76', NULL, NULL, NULL, NULL, 'CHAIN OXIDOREDUCTASE/DEHYDROGENASE, PUTATIVE-RELATED', 73552),
(129827, 'PTHR11278:SF3', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', 73553),
(129828, 'PTHR10010:SF47', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 34 MEMBER 2A', 73554),
(129829, 'PTHR11071:SF505', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE 1', 73555),
(129830, 'PTHR11806:SF0', NULL, NULL, NULL, NULL, 'PROTEIN MTO1 HOMOLOG, MITOCHONDRIAL', 73556),
(129831, 'PTHR10799:SF923', NULL, NULL, NULL, NULL, 'HELICASE, LYMPHOID-SPECIFIC', 73557),
(129832, 'PTHR33110:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73558),
(129833, 'PTHR36142:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73559),
(129834, 'PTHR43808:SF17', NULL, NULL, NULL, NULL, 'DEACETYLASE, PUTATIVE-RELATED', 73560),
(129835, 'PTHR31175:SF63', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR67', 73561),
(129836, 'PTHR11017:SF354', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN N, PUTATIVE-RELATED', 73562),
(129837, 'PTHR45770:SF32', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 6', 73563),
(129838, 'PTHR16897:SF2', NULL, NULL, NULL, NULL, 'OS10G0105400 PROTEIN', 73564),
(129839, 'PTHR24256:SF517', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73565),
(129840, 'PTHR23024:SF525', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 73566);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(129841, 'PTHR46086:SF13', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE-RELATED', 73567),
(129842, 'PTHR15039', NULL, NULL, NULL, NULL, 'DOLICHOL PHOSPHATE-MANNOSE BIOSYNTHESIS REGULATORY PROTEIN', 73568),
(129843, 'PTHR24340:SF28', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-2.5', 73569),
(129844, 'PTHR17098:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 1', 73570),
(129845, 'PTHR33730:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73571),
(129846, 'PTHR36003:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73572),
(129847, 'PTHR10992:SF1010', NULL, NULL, NULL, NULL, 'METHYLESTERASE 17-LIKE', 73573),
(129848, 'PTHR12537:SF12', NULL, NULL, NULL, NULL, 'MATERNAL PROTEIN PUMILIO', 73574),
(129849, 'PTHR15379', NULL, NULL, NULL, NULL, 'CELL GROWTH REGULATOR WITH RING FINGER DOMAIN PROTEIN 1', 73575),
(129850, 'PTHR33021:SF308', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN-LIKE', 73576),
(129851, 'PTHR32212:SF336', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 73577),
(129852, 'PTHR43523:SF23', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE', 73578),
(129853, 'PTHR37077:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73579),
(129854, 'PTHR32141:SF99', NULL, NULL, NULL, NULL, 'OS12G0557900 PROTEIN', 73580),
(129855, 'PTHR28441:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73581),
(129856, 'PTHR31828:SF28', NULL, NULL, NULL, NULL, 'BNAC04G52540D PROTEIN', 73582),
(129857, 'PTHR34554:SF2', NULL, NULL, NULL, NULL, 'RGS1-HXK1-INTERACTING PROTEIN 1', 73583),
(129858, 'PTHR37533:SF2', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK-LENGTH CONTROL PROTEIN', 73584),
(129859, 'PTHR30469:SF16', NULL, NULL, NULL, NULL, 'HAE1 FAMILY EFFLUX PUMP MFP COMPONENT', 73585),
(129860, 'PTHR23160:SF15', NULL, NULL, NULL, NULL, 'BNAC01G20180D PROTEIN', 73586),
(129861, 'PTHR23028:SF53', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE 3', 73587),
(129862, 'PTHR48109:SF3', NULL, NULL, NULL, NULL, 'SLL0744 PROTEIN', 73588),
(129863, 'PTHR19241:SF313', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 44', 73589),
(129864, 'PTHR24060', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR', 73590),
(129865, 'PTHR22765:SF277', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE RIN3', 73591),
(129866, 'PTHR10791:SF36', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET', 73592),
(129867, 'PTHR47539:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN OTP51, CHLOROPLASTIC', 73593),
(129868, 'PTHR27004:SF59', NULL, NULL, NULL, NULL, 'OS01G0161300 PROTEIN', 73594),
(129869, 'PTHR10747', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR COE FAMILY MEMBER', 73595),
(129870, 'PTHR46255:SF2', NULL, NULL, NULL, NULL, 'SHORT STATURE HOMEOBOX PROTEIN', 73596),
(129871, 'PTHR15532:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73597),
(129872, 'PTHR43148:SF3', NULL, NULL, NULL, NULL, 'D-ERYTHROSE-4-PHOSPHATE DEHYDROGENASE', 73598),
(129873, 'PTHR11923:SF69', NULL, NULL, NULL, NULL, 'SENSORY NEURON MEMBRANE PROTEIN 1', 73599),
(129874, 'PTHR44145:SF3', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY A MEMBER 3, MITOCHONDRIAL', 73600),
(129875, 'PTHR31424', NULL, NULL, NULL, NULL, 'PROTEIN CBG23806', 73601),
(129876, 'PTHR31718:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73602),
(129877, 'PTHR13056:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR FUSION PROTEIN CCZ1 HOMOLOG-RELATED', 73603),
(129878, 'PTHR24408:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 787', 73604),
(129879, 'PTHR13848:SF83', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 73605),
(129880, 'PTHR21343:SF1', NULL, NULL, NULL, NULL, 'COBYRIC ACID SYNTHASE', 73606),
(129881, 'PTHR11893:SF4', NULL, NULL, NULL, NULL, 'INNEXIN', 73607),
(129882, 'PTHR19854:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG01488', 73608),
(129883, 'PTHR10288:SF257', NULL, NULL, NULL, NULL, 'OS09G0498600 PROTEIN', 73609),
(129884, 'PTHR48111:SF50', NULL, NULL, NULL, NULL, 'KDP OPERON TRANSCRIPTIONAL REGULATORY PROTEIN KDPE', 73610),
(129885, 'PTHR45634:SF16', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 14', 73611);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(129886, 'PTHR45867:SF6', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 73612),
(129887, 'PTHR13771:SF12', NULL, NULL, NULL, NULL, 'INTERCELLULAR ADHESION MOLECULE 5', 73613),
(129888, 'PTHR10332:SF36', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER', 73614),
(129889, 'PTHR11514:SF113', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 73615),
(129890, 'PTHR37157:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13285', 73616),
(129891, 'PTHR48017:SF170', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', 73617),
(129892, 'PTHR31561:SF156', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 73618),
(129893, 'PTHR10613', NULL, NULL, NULL, NULL, 'LEUKOCYTE SURFACE ANTIGEN CD47', 73619),
(129894, 'PTHR42812:SF9', NULL, NULL, NULL, NULL, 'XYLOSIDASE: ARABINOFURANOSIDASE (AFU_ORTHOLOGUE AFUA_2G13190)', 73620),
(129895, 'PTHR33138:SF40', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE CARBOXY-TERMINAL PROTEIN', 73621),
(129896, 'PTHR24074:SF47', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', 73622),
(129897, 'PTHR46353', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 5', 73623),
(129898, 'PTHR11206:SF330', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 73624),
(129899, 'PTHR12628:SF12', NULL, NULL, NULL, NULL, 'METAL-RESPONSE ELEMENT-BINDING TRANSCRIPTION FACTOR 2', 73625),
(129900, 'PTHR15710:SF74', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE', 73626),
(129901, 'PTHR13452', NULL, NULL, NULL, NULL, 'THUMP DOMAIN CONTAINING PROTEIN 1-RELATED', 73627),
(129902, 'PTHR43625:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73628),
(129903, 'PTHR48007:SF13', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 4', 73629),
(129904, 'PTHR35832:SF15', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 73630),
(129905, 'PTHR24229:SF2', NULL, NULL, NULL, NULL, 'DELTA-TYPE OPIOID RECEPTOR', 73631),
(129906, 'PTHR46446:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILI1', 73632),
(129907, 'PTHR11615:SF254', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1C2', 73633),
(129908, 'PTHR45637:SF70', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', 73634),
(129909, 'PTHR48102:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPX-LIKE, MITOCHONDRIAL', 73635),
(129910, 'PTHR33905:SF1', NULL, NULL, NULL, NULL, 'CST COMPLEX SUBUNIT TEN1', 73636),
(129911, 'PTHR13878:SF91', NULL, NULL, NULL, NULL, 'ALCOHOL OXIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00430)-RELATED', 73637),
(129912, 'PTHR33726:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 73638),
(129913, 'PTHR24203:SF42', NULL, NULL, NULL, NULL, 'TGB12K INTERACTING PROTEIN', 73639),
(129914, 'PTHR47746:SF45', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE ZINC-BINDING PROTEIN', 73640),
(129915, 'PTHR11876:SF34', NULL, NULL, NULL, NULL, 'DEMIDEFENSIN-3', 73641),
(129916, 'PTHR38146:SF11', NULL, NULL, NULL, NULL, 'BNAC09G29260D PROTEIN', 73642),
(129917, 'PTHR34789:SF5', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 73643),
(129918, 'PTHR33067:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73644),
(129919, 'PTHR45644:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73645),
(129920, 'PTHR19384:SF87', NULL, NULL, NULL, NULL, 'IRON-UPTAKE FACTOR', 73646),
(129921, 'PTHR33136:SF75', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 34', 73647),
(129922, 'PTHR24092:SF147', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 73648),
(129923, 'PTHR43888:SF42', NULL, NULL, NULL, NULL, 'DNAJ (HSP40) HOMOLOG, SUBFAMILY A, MEMBER 2', 73649),
(129924, 'PTHR12430', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM20', 73650),
(129925, 'PTHR24404:SF47', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 691', 73651),
(129926, 'PTHR11730:SF30', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER RH TYPE C', 73652),
(129927, 'PTHR28013:SF5', NULL, NULL, NULL, NULL, 'SRD1P', 73653),
(129928, 'PTHR21272', NULL, NULL, NULL, NULL, 'CATABOLIC 3-DEHYDROQUINASE', 73654),
(129929, 'PTHR45663:SF22', NULL, NULL, NULL, NULL, 'THIOREDOXIN X, CHLOROPLASTIC', 73655);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(129930, 'PTHR45934:SF19', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT URATE HYDROXYLASE-LIKE', 73656),
(129931, 'PTHR11910', NULL, NULL, NULL, NULL, 'ATP SYNTHASE DELTA CHAIN', 73657),
(129932, 'PTHR12542', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX PROTEIN EXO70', 73658),
(129933, 'PTHR32196:SF37', NULL, NULL, NULL, NULL, 'L-ARABINOSE TRANSPORT SYSTEM PERMEASE PROTEIN ARAH', 73659),
(129934, 'PTHR47541', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 73660),
(129935, 'PTHR11426:SF233', NULL, NULL, NULL, NULL, 'HISTONE H3', 73661),
(129936, 'PTHR10529:SF271', NULL, NULL, NULL, NULL, 'ADAPTIN MEDIUM CHAIN HOMOLOG APM2', 73662),
(129937, 'PTHR42849:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLNEURAMINATE LYASE', 73663),
(129938, 'PTHR23192:SF5', NULL, NULL, NULL, NULL, 'GLIOMEDIN', 73664),
(129939, 'PTHR12109', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 141-RELATED', 73665),
(129940, 'PTHR33138:SF50', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.2', 73666),
(129941, 'PTHR24214:SF7', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN 3', 73667),
(129942, 'PTHR24081:SF9', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 0 GROUP B MEMBER 2', 73668),
(129943, 'PTHR11538:SF69', NULL, NULL, NULL, NULL, 'DUF2431 DOMAIN PROTEIN', 73669),
(129944, 'PTHR46051', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 73670),
(129945, 'PTHR11188:SF130', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', 73671),
(129946, 'PTHR46176:SF1', NULL, NULL, NULL, NULL, 'LD21662P', 73672),
(129947, 'PTHR11960:SF15', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-1-RELATED', 73673),
(129948, 'PTHR31045:SF19', NULL, NULL, NULL, NULL, 'OS03G0299800 PROTEIN', 73674),
(129949, 'PTHR14003:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 42 HOMOLOG', 73675),
(129950, 'PTHR33511:SF20', NULL, NULL, NULL, NULL, 'DUF761 DOMAIN PROTEIN', 73676),
(129951, 'PTHR34277:SF15', NULL, NULL, NULL, NULL, 'OS03G0803200 PROTEIN', 73677),
(129952, 'PTHR23201:SF47', NULL, NULL, NULL, NULL, 'OS05G0376800 PROTEIN', 73678),
(129953, 'PTHR42260', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 73679),
(129954, 'PTHR31650:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73680),
(129955, 'PTHR24410:SF5', NULL, NULL, NULL, NULL, 'ECTODERM-NEURAL CORTEX PROTEIN 1', 73681),
(129956, 'PTHR37766', NULL, NULL, NULL, NULL, 'OS01G0897100 PROTEIN', 73682),
(129957, 'PTHR34754:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 60', 73683),
(129958, 'PTHR37695:SF1', NULL, NULL, NULL, NULL, 'RECOMBINATION INITIATION DEFECTS 3-RELATED', 73684),
(129959, 'PTHR43543:SF1', NULL, NULL, NULL, NULL, 'MALONIC SEMIALDEHYDE REDUCTASE RUTE-RELATED', 73685),
(129960, 'PTHR31241:SF46', NULL, NULL, NULL, NULL, 'BNAA03G18970D PROTEIN', 73686),
(129961, 'PTHR46915:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73687),
(129962, 'PTHR43806:SF50', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3.1-RELATED', 73688),
(129963, 'PTHR24260:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73689),
(129964, 'PTHR47956', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B11-RELATED', 73690),
(129965, 'PTHR34411:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73691),
(129966, 'PTHR12854:SF18', NULL, NULL, NULL, NULL, 'LSMAD DOMAIN, ATAXIN 2, SM DOMAIN PROTEIN-RELATED', 73692),
(129967, 'PTHR13832:SF734', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C FAMILY PROTEIN', 73693),
(129968, 'PTHR43389:SF16', NULL, NULL, NULL, NULL, 'OS01G0711000 PROTEIN', 73694),
(129969, 'PTHR11880:SF37', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15-LIKE', 73695),
(129970, 'PTHR33181:SF30', NULL, NULL, NULL, NULL, 'OS07G0204400 PROTEIN', 73696),
(129971, 'PTHR34545:SF12', NULL, NULL, NULL, NULL, 'BNAA06G34870D PROTEIN', 73697),
(129972, 'PTHR23239:SF193', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA5', 73698),
(129973, 'PTHR11961:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME C, SOMATIC', 73699),
(129974, 'PTHR11362:SF125', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 73700);
INSERT INTO "PUBLIC"."MODEL" VALUES
(129975, 'PTHR11739:SF29', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', 73701),
(129976, 'PTHR31321:SF62', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 73702),
(129977, 'PTHR23203:SF15', NULL, NULL, NULL, NULL, 'BASIC SALIVARY PROLINE-RICH PROTEIN 4', 73703),
(129978, 'PTHR45622:SF1', NULL, NULL, NULL, NULL, 'SECRETION-REGULATING GUANINE NUCLEOTIDE EXCHANGE FACTOR', 73704),
(129979, 'PTHR11850:SF271', NULL, NULL, NULL, NULL, 'OS02G0226600 PROTEIN', 73705),
(129980, 'PTHR24056:SF453', NULL, NULL, NULL, NULL, 'BNACNNG29900D PROTEIN', 73706),
(129981, 'PTHR47992:SF28', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', 73707),
(129982, 'PTHR33358:SF4', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-RELATED', 73708),
(129983, 'PTHR27008:SF324', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21', 73709),
(129984, 'PTHR14155:SF561', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73710),
(129985, 'PTHR12013:SF2', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 14 KDA PROTEIN', 73711),
(129986, 'PTHR33021:SF70', NULL, NULL, NULL, NULL, 'OSJNBA0079A21.6 PROTEIN', 73712),
(129987, 'PTHR11267:SF125', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX21', 73713),
(129988, 'PTHR35973:SF2', NULL, NULL, NULL, NULL, 'MAPK-INTERACTING AND SPINDLE-STABILIZING PROTEIN', 73714),
(129989, 'PTHR11595:SF71', NULL, NULL, NULL, NULL, 'BNAA09G26340D PROTEIN', 73715),
(129990, 'PTHR31490:SF60', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE 3', 73716),
(129991, 'PTHR24067:SF298', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 13', 73717),
(129992, 'PTHR10502:SF26', NULL, NULL, NULL, NULL, 'ANNEXIN A5', 73718),
(129993, 'PTHR23316:SF64', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', 73719),
(129994, 'PTHR31997:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73720),
(129995, 'PTHR11866:SF8', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E2 RECEPTOR EP2 SUBTYPE', 73721),
(129996, 'PTHR31741:SF60', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE FAMILY PROTEIN', 73722),
(129997, 'PTHR31052:SF25', NULL, NULL, NULL, NULL, 'PROTEIN 7, PUTATIVE, EXPRESSED-RELATED', 73723),
(129998, 'PTHR12663:SF34', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', 73724),
(129999, 'PTHR32176:SF67', NULL, NULL, NULL, NULL, 'PATATIN', 73725),
(130000, 'PTHR10353:SF276', NULL, NULL, NULL, NULL, 'BNAC04G03720D PROTEIN', 73726),
(130001, 'PTHR47785:SF2', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 73727),
(130002, 'PTHR10489:SF686', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 5', 73728),
(130003, 'PTHR32002:SF60', NULL, NULL, NULL, NULL, 'PLANT REGULATOR RWP-RK FAMILY PROTEIN-RELATED', 73729),
(130004, 'PTHR32382', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN', 73730),
(130005, 'PTHR10031:SF0', NULL, NULL, NULL, NULL, 'ATP SYNTHASE, SUBUNIT C, ISOFORM A', 73731),
(130006, 'PTHR10509', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE-RELATED', 73732),
(130007, 'PTHR11482:SF4', NULL, NULL, NULL, NULL, 'ANTIZYME INHIBITOR 2', 73733),
(130008, 'PTHR14369', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 6', 73734),
(130009, 'PTHR10634:SF110', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 8-LIKE', 73735),
(130010, 'PTHR14326:SF45', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) PROTEIN FAMILY-RELATED', 73736),
(130011, 'PTHR48053:SF51', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 73737),
(130012, 'PTHR23324:SF41', NULL, NULL, NULL, NULL, 'SEC14-LIKE PROTEIN 6-RELATED', 73738),
(130013, 'PTHR43176:SF4', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 1, MITOCHONDRIAL', 73739),
(130014, 'PTHR46140:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73740),
(130015, 'PTHR46735', NULL, NULL, NULL, NULL, 'CALPAIN, SMALL SUBUNIT 1 A-RELATED', 73741),
(130016, 'PTHR19143:SF399', NULL, NULL, NULL, NULL, 'TENASCIN', 73742),
(130017, 'PTHR43758:SF2', NULL, NULL, NULL, NULL, '7,8-DIHYDRO-8-OXOGUANINE TRIPHOSPHATASE', 73743);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(130018, 'PTHR21705:SF4', NULL, NULL, NULL, NULL, 'FTS AND HOOK-INTERACTING PROTEIN', 73744),
(130019, 'PTHR46374:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07384', 73745),
(130020, 'PTHR19338:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM13', 73746),
(130021, 'PTHR15486:SF45', NULL, NULL, NULL, NULL, 'OS05G0448300 PROTEIN', 73747),
(130022, 'PTHR23315:SF280', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 73748),
(130023, 'PTHR32295:SF141', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 19', 73749),
(130024, 'PTHR31790:SF353', NULL, NULL, NULL, NULL, 'BNAC04G42900D PROTEIN', 73750),
(130025, 'PTHR12958:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZFPM1', 73751),
(130026, 'PTHR31232:SF78', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', 73752),
(130027, 'PTHR15708', NULL, NULL, NULL, NULL, 'ACTIN BUNDLING/MISSING IN METASTASIS-RELATED', 73753),
(130028, 'PTHR33110:SF63', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 73754),
(130029, 'PTHR10454:SF222', NULL, NULL, NULL, NULL, 'CASPASE 1', 73755),
(130030, 'PTHR11532:SF88', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE D FAMILY', 73756),
(130031, 'PTHR13723:SF274', NULL, NULL, NULL, NULL, 'NO LONG NERVE CORD, ISOFORM C', 73757),
(130032, 'PTHR11736:SF9', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN E1', 73758),
(130033, 'PTHR19964:SF14', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LNX', 73759),
(130034, 'PTHR34811:SF1', NULL, NULL, NULL, NULL, 'MATURASE K', 73760),
(130035, 'PTHR46815:SF1', NULL, NULL, NULL, NULL, 'PROTEIN KISH-B', 73761),
(130036, 'PTHR12651:SF1', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 9', 73762),
(130037, 'PTHR31561:SF108', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 73763),
(130038, 'PTHR11753:SF2', NULL, NULL, NULL, NULL, 'ADAPTOR PROTEIN COMPLEX AP-3 SMALL CHAIN SIGMA3', 73764),
(130039, 'PTHR43719:SF25', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE K', 73765),
(130040, 'PTHR10460:SF47', NULL, NULL, NULL, NULL, 'ABIL2, PUTATIVE-RELATED', 73766),
(130041, 'PTHR13108:SF10', NULL, NULL, NULL, NULL, 'CONDENSIN COMPLEX SUBUNIT 2', 73767),
(130042, 'PTHR24559:SF321', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE HOMOLOG', 73768),
(130043, 'PTHR33374:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73769),
(130044, 'PTHR32093:SF101', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE PROTEIN', 73770),
(130045, 'PTHR43655:SF33', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 10, MITOCHONDRIAL-LIKE', 73771),
(130046, 'PTHR45098', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN CONTAINING PROTEIN, EXPRESSED', 73772),
(130047, 'PTHR45614:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73773),
(130048, 'PTHR31636:SF18', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE TRANSCRIPTION FACTOR PAT1', 73774),
(130049, 'PTHR19338', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF INNER MITOCHONDRIAL MEMBRANE 13 HOMOLOG', 73775),
(130050, 'PTHR11022:SF41', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-RECOGNITION PROTEIN SC1A-RELATED', 73776),
(130051, 'PTHR33077:SF43', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 11B', 73777),
(130052, 'PTHR43456:SF3', NULL, NULL, NULL, NULL, 'RIESKE [2FE-2S] IRON-SULPHUR DOMAIN', 73778),
(130053, 'PTHR13538:SF4', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 80', 73779),
(130054, 'PTHR32278:SF79', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10-LIKE', 73780),
(130055, 'PTHR35838:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', 73781),
(130056, 'PTHR35601:SF1', NULL, NULL, NULL, NULL, 'TOXIN RELE', 73782),
(130057, 'PTHR31775:SF23', NULL, NULL, NULL, NULL, 'REMORIN-LIKE', 73783),
(130058, 'PTHR45876:SF8', NULL, NULL, NULL, NULL, 'FI04035P', 73784),
(130059, 'PTHR11452:SF71', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', 73785),
(130060, 'PTHR11668:SF429', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 9', 73786),
(130061, 'PTHR11835:SF67', NULL, NULL, NULL, NULL, 'ISOCITRATE/ISOPROPYLMALATE DEHYDROGENASE FAMILY PROTEIN', 73787);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(130062, 'PTHR33083:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73788),
(130063, 'PTHR12538:SF10', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', 73789),
(130064, 'PTHR34463:SF11', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 73790),
(130065, 'PTHR45967:SF32', NULL, NULL, NULL, NULL, 'BNAA04G20520D PROTEIN', 73791),
(130066, 'PTHR26450:SF168', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51A2-RELATED', 73792),
(130067, 'PTHR11524:SF41', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7-1', 73793),
(130068, 'PTHR23105:SF167', NULL, NULL, NULL, NULL, 'PROTEIN CBG11519', 73794),
(130069, 'PTHR10772:SF50', NULL, NULL, NULL, NULL, 'GROES CHAPERONIN', 73795),
(130070, 'PTHR33204:SF35', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YODB', 73796),
(130071, 'PTHR12809:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 14', 73797),
(130072, 'PTHR16134:SF4', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE', 73798),
(130073, 'PTHR23204:SF2', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 7', 73799),
(130074, 'PTHR34484:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73800),
(130075, 'PTHR23202:SF31', NULL, NULL, NULL, NULL, 'WAS/WASL-INTERACTING PROTEIN FAMILY MEMBER 3', 73801),
(130076, 'PTHR31734:SF92', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA23', 73802),
(130077, 'PTHR35529', NULL, NULL, NULL, NULL, 'MANGANESE EFFLUX PUMP MNTP-RELATED', 73803),
(130078, 'PTHR31683:SF105', NULL, NULL, NULL, NULL, 'PECTATE LYASE 2-RELATED', 73804),
(130079, 'PTHR31989:SF354', NULL, NULL, NULL, NULL, 'BNAC08G41360D PROTEIN', 73805),
(130080, 'PTHR46438:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73806),
(130081, 'PTHR19321:SF3', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 8', 73807),
(130082, 'PTHR43750:SF2', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', 73808),
(130083, 'PTHR31650:SF51', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE ISOFORM X1', 73809),
(130084, 'PTHR12968:SF1', NULL, NULL, NULL, NULL, 'B9 DOMAIN-CONTAINING PROTEIN 1', 73810),
(130085, 'PTHR12537:SF172', NULL, NULL, NULL, NULL, 'BNAA10G12940D PROTEIN', 73811),
(130086, 'PTHR32044:SF69', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 3-RELATED', 73812),
(130087, 'PTHR21447:SF5', NULL, NULL, NULL, NULL, 'CUB (CUB) LIKE DOMAIN CONTAINING PROTEIN', 73813),
(130088, 'PTHR31513:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 73814),
(130089, 'PTHR27004:SF393', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN', 73815),
(130090, 'PTHR12232:SF3', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING GLUTAMIC ACID-RICH-LIKE PROTEIN 3', 73816),
(130091, 'PTHR11950:SF45', NULL, NULL, NULL, NULL, 'RUNT RELATED B', 73817),
(130092, 'PTHR43684:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73818),
(130093, 'PTHR12265:SF11', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 73819),
(130094, 'PTHR46506:SF8', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 73820),
(130095, 'PTHR35828:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73821),
(130096, 'PTHR34957:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73822),
(130097, 'PTHR43539:SF73', NULL, NULL, NULL, NULL, 'OS01G0273800 PROTEIN', 73823),
(130098, 'PTHR31669:SF174', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 10-RELATED', 73824),
(130099, 'PTHR47979:SF71', NULL, NULL, NULL, NULL, 'BNAA09G27200D PROTEIN', 73825),
(130100, 'PTHR10795:SF672', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.3', 73826),
(130101, 'PTHR13902:SF122', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK1-RELATED', 73827),
(130102, 'PTHR43028:SF3', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE 1-PHOSPHATASE', 73828),
(130103, 'PTHR10969:SF84', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', 73829),
(130104, 'PTHR12271:SF97', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL EDITOSOME-LIKE COMPLEX ASSOCIATED TUTASE', 73830),
(130105, 'PTHR47925:SF60', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 73831);
INSERT INTO "PUBLIC"."MODEL" VALUES
(130106, 'PTHR11017:SF426', NULL, NULL, NULL, NULL, 'BNAA09G14980D PROTEIN', 73832),
(130107, 'PTHR10277:SF73', NULL, NULL, NULL, NULL, 'BNAA02G33040D PROTEIN', 73833),
(130108, 'PTHR31194:SF89', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR SHINE 3', 73834),
(130109, 'PTHR47926:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73835),
(130110, 'PTHR46038:SF22', NULL, NULL, NULL, NULL, 'OS08G0530066 PROTEIN', 73836),
(130111, 'PTHR47990:SF35', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G11160)-RELATED', 73837),
(130112, 'PTHR45431', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 15, CHLOROPLASTIC', 73838),
(130113, 'PTHR11759:SF47', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14', 73839),
(130114, 'PTHR43296:SF2', NULL, NULL, NULL, NULL, 'PEROXISOMAL 2,4-DIENOYL-COA REDUCTASE', 73840),
(130115, 'PTHR36968:SF12', NULL, NULL, NULL, NULL, 'BNAA09G27250D PROTEIN', 73841),
(130116, 'PTHR28088:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR HAA1-RELATED', 73842),
(130117, 'PTHR33165:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73843),
(130118, 'PTHR31190:SF221', NULL, NULL, NULL, NULL, 'BNAA05G11530D PROTEIN', 73844),
(130119, 'PTHR10641:SF1289', NULL, NULL, NULL, NULL, 'BNAANNG06640D PROTEIN', 73845),
(130120, 'PTHR33147:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73846),
(130121, 'PTHR24068:SF314', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 28', 73847),
(130122, 'PTHR44337:SF13', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 23', 73848),
(130123, 'PTHR23056:SF119', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE MOLECULE', 73849),
(130124, 'PTHR46050:SF19', NULL, NULL, NULL, NULL, '80A08_7', 73850),
(130125, 'PTHR45763:SF52', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 73851),
(130126, 'PTHR45795:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73852),
(130127, 'PTHR33155:SF39', NULL, NULL, NULL, NULL, 'OS06G0224000 PROTEIN', 73853),
(130128, 'PTHR31696:SF69', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1-LIKE', 73854),
(130129, 'PTHR43848', NULL, NULL, NULL, NULL, 'PUTRESCINE TRANSPORT SYSTEM PERMEASE PROTEIN POTI', 73855),
(130130, 'PTHR39610', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 73856),
(130131, 'PTHR24350', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE IAL-RELATED', 73857),
(130132, 'PTHR10151:SF63', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE FAMILY MEMBER 7', 73858),
(130133, 'PTHR45621:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73859),
(130134, 'PTHR46689:SF2', NULL, NULL, NULL, NULL, 'WW DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G06520)', 73860),
(130135, 'PTHR42683:SF73', NULL, NULL, NULL, NULL, 'ZINC-CONTAINING ALCOHOL DEHYDROGENASE', 73861),
(130136, 'PTHR32448:SF87', NULL, NULL, NULL, NULL, 'FAD LINKED OXIDASE, N-TERMINAL, TONB BOX, N-TERMINAL', 73862),
(130137, 'PTHR24056:SF459', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 13', 73863),
(130138, 'PTHR14155:SF566', NULL, NULL, NULL, NULL, 'BNAA02G25370D PROTEIN', 73864),
(130139, 'PTHR46461', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 3', 73865),
(130140, 'PTHR15140:SF6', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE E', 73866),
(130141, 'PTHR10648:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 65 KDA REGULATORY SUBUNIT A ALPHA ISOFORM', 73867),
(130142, 'PTHR12741:SF53', NULL, NULL, NULL, NULL, 'GLUCAN SYNTHASE-LIKE PROTEIN', 73868),
(130143, 'PTHR31657:SF38', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF057', 73869),
(130144, 'PTHR11937:SF470', NULL, NULL, NULL, NULL, 'ACTIN-2', 73870),
(130145, 'PTHR12994:SF18', NULL, NULL, NULL, NULL, 'SECERNIN-3', 73871),
(130146, 'PTHR23315:SF237', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 73872),
(130147, 'PTHR12341:SF63', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE', 73873),
(130148, 'PTHR11431:SF47', NULL, NULL, NULL, NULL, 'FERRITIN LIGHT CHAIN', 73874),
(130149, 'PTHR13434:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CASC3', 73875); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(130150, 'PTHR26452:SF136', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 469-RELATED', 73876),
(130151, 'PTHR12309:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT GAMMA', 73877),
(130152, 'PTHR44042:SF27', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 73878),
(130153, 'PTHR15241:SF340', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73879),
(130154, 'PTHR31319:SF75', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', 73880),
(130155, 'PTHR11709:SF396', NULL, NULL, NULL, NULL, 'LACCASE-RELATED', 73881),
(130156, 'PTHR23245:SF39', NULL, NULL, NULL, NULL, 'BINDING MOTIF, PUTATIVE-RELATED', 73882),
(130157, 'PTHR47988:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73883),
(130158, 'PTHR46410:SF8', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 1-LIKE', 73884),
(130159, 'PTHR43520:SF24', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE HMA5-RELATED', 73885),
(130160, 'PTHR33358', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN WITH A DOMAIN PROTEIN', 73886),
(130161, 'PTHR33294:SF9', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN PM19L', 73887),
(130162, 'PTHR33085:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73888),
(130163, 'PTHR45693:SF28', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGAL4', 73889),
(130164, 'PTHR15316:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73890),
(130165, 'PTHR14856:SF10', NULL, NULL, NULL, NULL, 'PQ-LOOP REPEAT-CONTAINING PROTEIN 1', 73891),
(130166, 'PTHR31042:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73892),
(130167, 'PTHR11161:SF59', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE LIKE PROTEIN', 73893),
(130168, 'PTHR10091:SF8', NULL, NULL, NULL, NULL, 'GALACTOSE MUTAROTASE-LIKE SUPERFAMILY PROTEIN', 73894),
(130169, 'PTHR14058:SF11', NULL, NULL, NULL, NULL, 'AMYLOID-BETA A4 PRECURSOR PROTEIN-BINDING FAMILY B MEMBER 2', 73895),
(130170, 'PTHR19359:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73896),
(130171, 'PTHR33204:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 73897),
(130172, 'PTHR10263:SF8', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C''', 73898),
(130173, 'PTHR46938:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73899),
(130174, 'PTHR12321:SF132', NULL, NULL, NULL, NULL, 'BNAA03G56120D PROTEIN', 73900),
(130175, 'PTHR11654:SF513', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.1', 73901),
(130176, 'PTHR23262:SF201', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-4', 73902),
(130177, 'PTHR24028:SF286', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-11', 73903),
(130178, 'PTHR11384:SF56', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER D FAMILY MEMBER 1', 73904),
(130179, 'PTHR31388:SF237', NULL, NULL, NULL, NULL, 'PEROXIDASE', 73905),
(130180, 'PTHR19241:SF638', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 34-RELATED', 73906),
(130181, 'PTHR11929:SF165', NULL, NULL, NULL, NULL, 'GALACTOSIDE 3(4)-L-FUCOSYLTRANSFERASE', 73907),
(130182, 'PTHR22968:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73908),
(130183, 'PTHR48048:SF59', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 73909),
(130184, 'PTHR21580:SF19', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 3B', 73910),
(130185, 'PTHR10606', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE/FRUCTOSE-2,6-BISPHOSPHATASE', 73911),
(130186, 'PTHR43560:SF1', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT B', 73912),
(130187, 'PTHR48017:SF120', NULL, NULL, NULL, NULL, 'AUXIN INFLUX TRANSPORTER', 73913),
(130188, 'PTHR32522', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 73914),
(130189, 'PTHR32370:SF122', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY2-LIKE', 73915),
(130190, 'PTHR10177:SF465', NULL, NULL, NULL, NULL, 'CYCLIN-D6-1-LIKE', 73916),
(130191, 'PTHR11757:SF12', NULL, NULL, NULL, NULL, 'PROLYL OLIGOPEPTIDASE FAMILY PROTEIN', 73917),
(130192, 'PTHR20961:SF130', NULL, NULL, NULL, NULL, 'BNAC05G35190D PROTEIN', 73918),
(130193, 'PTHR33642:SF5', NULL, NULL, NULL, NULL, 'MATURASE', 73919),
(130194, 'PTHR45844:SF20', NULL, NULL, NULL, NULL, 'BNAA07G24430D PROTEIN', 73920);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(130195, 'PTHR19375:SF363', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 6, CHLOROPLASTIC-LIKE', 73921),
(130196, 'PTHR12411:SF143', NULL, NULL, NULL, NULL, 'CATHEPSIN Q', 73922),
(130197, 'PTHR34485:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH, LACRIMAL 1', 73923),
(130198, 'PTHR45959:SF10', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', 73924),
(130199, 'PTHR16277:SF12', NULL, NULL, NULL, NULL, 'SERTA DOMAIN-CONTAINING PROTEIN 1', 73925),
(130200, 'PTHR21551:SF16', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: PROTEIN PAT1 HOMOLOG 1-LIKE', 73926),
(130201, 'PTHR23523:SF1', NULL, NULL, NULL, NULL, 'CYANATE TRANSPORT PROTEIN CYNX', 73927),
(130202, 'PTHR45647:SF113', NULL, NULL, NULL, NULL, 'BNAA05G18880D PROTEIN', 73928),
(130203, 'PTHR33142:SF32', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR12', 73929),
(130204, 'PTHR43357:SF4', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YDCV', 73930),
(130205, 'PTHR31942:SF67', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 73931),
(130206, 'PTHR23012:SF195', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 73932),
(130207, 'PTHR37252:SF2', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 5', 73933),
(130208, 'PTHR22937:SF168', NULL, NULL, NULL, NULL, 'BNAC09G17290D PROTEIN', 73934),
(130209, 'PTHR43316:SF3', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE, TYPE II (AFU_ORTHOLOGUE AFUA_2G07750)-RELATED', 73935),
(130210, 'PTHR42902:SF1', NULL, NULL, NULL, NULL, 'MALATE SYNTHASE 1, GLYOXYSOMAL-RELATED', 73936),
(130211, 'PTHR19850:SF37', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-5B', 73937),
(130212, 'PTHR48029:SF4', NULL, NULL, NULL, NULL, 'ORGANELLE RRM DOMAIN-CONTAINING PROTEIN 6, CHLOROPLASTIC', 73938),
(130213, 'PTHR30336:SF4', NULL, NULL, NULL, NULL, 'PROTEIN YDCF', 73939),
(130214, 'PTHR12537:SF60', NULL, NULL, NULL, NULL, 'PUF (PUMILIO/FBF) DOMAIN-CONTAINING', 73940),
(130215, 'PTHR11686:SF46', NULL, NULL, NULL, NULL, 'PROTEIN CBG13651', 73941),
(130216, 'PTHR12422:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM49B', 73942),
(130217, 'PTHR24960:SF46', NULL, NULL, NULL, NULL, 'FERREDOXIN-TYPE PROTEIN NAPF', 73943),
(130218, 'PTHR24248:SF152', NULL, NULL, NULL, NULL, 'GH12381P', 73944),
(130219, 'PTHR37769', NULL, NULL, NULL, NULL, 'OS08G0243900 PROTEIN', 73945),
(130220, 'PTHR30353:SF19', NULL, NULL, NULL, NULL, 'BNAA05G19040D PROTEIN', 73946),
(130221, 'PTHR48020:SF13', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 73947),
(130222, 'PTHR31623:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73948),
(130223, 'PTHR11177:SF180', NULL, NULL, NULL, NULL, 'OS04G0376400 PROTEIN', 73949),
(130224, 'PTHR24414:SF62', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN', 73950),
(130225, 'PTHR31627:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-3', 73951),
(130226, 'PTHR24366:SF15', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY CONTAINING LEUCINE-RICH REPEAT PROTEIN 2', 73952),
(130227, 'PTHR11216:SF128', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 1-LIKE', 73953),
(130228, 'PTHR14627:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 204', 73954),
(130229, 'PTHR12782:SF11', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE FAMILY PROTEIN', 73955),
(130230, 'PTHR13902:SF115', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK3-RELATED', 73956),
(130231, 'PTHR33513:SF4', NULL, NULL, NULL, NULL, 'OS01G0221400 PROTEIN', 73957),
(130232, 'PTHR27006:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73958),
(130233, 'PTHR23113:SF341', NULL, NULL, NULL, NULL, 'PROTEIN SON OF SEVENLESS', 73959),
(130234, 'PTHR23147:SF114', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS41-LIKE ISOFORM X1', 73960),
(130235, 'PTHR10366:SF730', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL POLYMYXIN RESISTANCE PROTEIN, ARNA-RELATED', 73961),
(130236, 'PTHR11207:SF21', NULL, NULL, NULL, NULL, 'RIBONUCLEASE III DOMAIN-CONTAINING PROTEIN RNC1, CHLOROPLASTIC', 73962);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(130237, 'PTHR32099:SF46', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 5-RELATED', 73963),
(130238, 'PTHR14379:SF13', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 73964),
(130239, 'PTHR23202:SF61', NULL, NULL, NULL, NULL, 'YALI0C21186P', 73965),
(130240, 'PTHR12243:SF37', NULL, NULL, NULL, NULL, 'SI:CH211-207I20.3-RELATED', 73966),
(130241, 'PTHR21397:SF5', NULL, NULL, NULL, NULL, 'BNAC04G29940D PROTEIN', 73967),
(130242, 'PTHR45730:SF55', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JAGGED-LIKE', 73968),
(130243, 'PTHR17604:SF4', NULL, NULL, NULL, NULL, 'VESTIGIAL-LIKE 4 LIKE', 73969),
(130244, 'PTHR31384:SF93', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 7', 73970),
(130245, 'PTHR13693:SF92', NULL, NULL, NULL, NULL, 'BNAA06G19060D PROTEIN', 73971),
(130246, 'PTHR10367:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73972),
(130247, 'PTHR12650', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S30/UBIQUITIN-LIKE PROTEIN FUBI', 73973),
(130248, 'PTHR24068:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73974),
(130249, 'PTHR31710:SF38', NULL, NULL, NULL, NULL, 'GB|AAF16529.1-RELATED', 73975),
(130250, 'PTHR21327:SF38', NULL, NULL, NULL, NULL, '3,4-DIHYDROXY-2-BUTANONE 4-PHOSPHATE SYNTHASE', 73976),
(130251, 'PTHR32193:SF5', NULL, NULL, NULL, NULL, 'SI:DKEY-27I16.2', 73977),
(130252, 'PTHR11711:SF119', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 4C', 73978),
(130253, 'PTHR13016', NULL, NULL, NULL, NULL, 'AMMECR1 HOMOLOG', 73979),
(130254, 'PTHR36940', NULL, NULL, NULL, NULL, 'PROTEIN CBG20338', 73980),
(130255, 'PTHR21562:SF55', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 73981),
(130256, 'PTHR31317:SF4', NULL, NULL, NULL, NULL, 'OS08G0163500 PROTEIN', 73982),
(130257, 'PTHR23204:SF10', NULL, NULL, NULL, NULL, 'F3F19.21 PROTEIN', 73983),
(130258, 'PTHR11920:SF462', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', 73984),
(130259, 'PTHR11958:SF20', NULL, NULL, NULL, NULL, 'NEUTRAL AMINO ACID TRANSPORTER A', 73985),
(130260, 'PTHR30489', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM TRANSMEMBRANE PROTEIN LOLE', 73986),
(130261, 'PTHR10502:SF218', NULL, NULL, NULL, NULL, 'ANNEXIN', 73987),
(130262, 'PTHR33264:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73988),
(130263, 'PTHR46388:SF2', NULL, NULL, NULL, NULL, 'NHL REPEAT-CONTAINING PROTEIN 2', 73989),
(130264, 'PTHR10263:SF52', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', 73990),
(130265, 'PTHR38224:SF1', NULL, NULL, NULL, NULL, 'PHLOEM SPECIFIC PROTEIN', 73991),
(130266, 'PTHR15283:SF2', NULL, NULL, NULL, NULL, 'GREMLIN-2', 73992),
(130267, 'PTHR36173:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC22', 73993),
(130268, 'PTHR23509:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73994),
(130269, 'PTHR37259:SF2', NULL, NULL, NULL, NULL, 'OS07G0474300 PROTEIN', 73995),
(130270, 'PTHR48048:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 73996),
(130271, 'PTHR36561:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73997),
(130272, 'PTHR47488:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 73998),
(130273, 'PTHR10671:SF34', NULL, NULL, NULL, NULL, 'PROTEIN NKG7', 73999),
(130274, 'PTHR12653:SF3', NULL, NULL, NULL, NULL, 'BNAC09G28890D PROTEIN', 74000),
(130275, 'PTHR43795:SF42', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 4', 74001),
(130276, 'PTHR33102:SF47', NULL, NULL, NULL, NULL, 'OS09G0306566 PROTEIN', 74002),
(130277, 'PTHR11709:SF369', NULL, NULL, NULL, NULL, 'LACCASE', 74003),
(130278, 'PTHR42643:SF13', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 20A-RELATED', 74004),
(130279, 'PTHR12843:SF5', NULL, NULL, NULL, NULL, 'EEF1A LYSINE METHYLTRANSFERASE 2', 74005),
(130280, 'PTHR27008:SF452', NULL, NULL, NULL, NULL, 'OS12G0620000 PROTEIN', 74006),
(130281, 'PTHR24296:SF191', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94A2-LIKE', 74007),
(130282, 'PTHR13305:SF0', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 3', 74008),
(130283, 'PTHR22589:SF74', NULL, NULL, NULL, NULL, 'CARNITINE O-PALMITOYLTRANSFERASE 1, LIVER ISOFORM', 74009);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(130284, 'PTHR20856:SF7', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB2', 74010),
(130285, 'PTHR44083:SF21', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 4-LIKE', 74011),
(130286, 'PTHR12654:SF24', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', 74012),
(130287, 'PTHR41403', NULL, NULL, NULL, NULL, 'RCG43477-RELATED', 74013),
(130288, 'PTHR10634:SF82', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN', 74014),
(130289, 'PTHR47491:SF4', NULL, NULL, NULL, NULL, 'CAP-GLY DOMAIN LINKER', 74015),
(130290, 'PTHR47422', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', 74016),
(130291, 'PTHR35555', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 74017),
(130292, 'PTHR31268:SF29', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 1-RELATED', 74018),
(130293, 'PTHR27004:SF336', NULL, NULL, NULL, NULL, 'BNAA04G18520D PROTEIN', 74019),
(130294, 'PTHR13329', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN S18B', 74020),
(130295, 'PTHR11516:SF51', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA, SOMATIC FORM, MITOCHONDRIAL', 74021),
(130296, 'PTHR18966:SF461', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 74022),
(130297, 'PTHR48018:SF35', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 74023),
(130298, 'PTHR10615:SF186', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', 74024),
(130299, 'PTHR31221:SF192', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 58-RELATED', 74025),
(130300, 'PTHR31042:SF77', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 74026),
(130301, 'PTHR47997', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 55', 74027),
(130302, 'PTHR35496:SF17', NULL, NULL, NULL, NULL, 'BNAA03G06940D PROTEIN', 74028),
(130303, 'PTHR19375:SF435', NULL, NULL, NULL, NULL, 'RIBOSOME-ASSOCIATED COMPLEX SUBUNIT SSZ1', 74029),
(130304, 'PTHR12369', NULL, NULL, NULL, NULL, 'CHONDROITIN SYNTHASE', 74030),
(130305, 'PTHR10353:SF217', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 26', 74031),
(130306, 'PTHR34950:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74032),
(130307, 'PTHR32467:SF150', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 74033),
(130308, 'PTHR47308', NULL, NULL, NULL, NULL, 'NUCLEAR GTPASE SLIP-GC', 74034),
(130309, 'PTHR31568', NULL, NULL, NULL, NULL, 'RCG49325, ISOFORM CRA_A', 74035),
(130310, 'PTHR43863:SF2', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03140)-RELATED', 74036),
(130311, 'PTHR48043:SF92', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 74037),
(130312, 'PTHR31621:SF47', NULL, NULL, NULL, NULL, 'DUF679 DOMAIN MEMBRANE PROTEIN 7', 74038),
(130313, 'PTHR24015:SF1919', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 74039),
(130314, 'PTHR22807:SF61', NULL, NULL, NULL, NULL, 'NOL1/NOP2/SUN FAMILY PROTEIN / ANTITERMINATION NUSB DOMAIN-CONTAINING PROTEIN', 74040),
(130315, 'PTHR12322:SF17', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR C1', 74041),
(130316, 'PTHR43226:SF1', NULL, NULL, NULL, NULL, 'XAA-PRO DIPEPTIDASE', 74042),
(130317, 'PTHR10809:SF103', NULL, NULL, NULL, NULL, 'OS02G0643000 PROTEIN', 74043),
(130318, 'PTHR31351:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74044),
(130319, 'PTHR37161', NULL, NULL, NULL, NULL, 'HDC10475', 74045),
(130320, 'PTHR22991:SF41', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 74046),
(130321, 'PTHR11771:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74047),
(130322, 'PTHR45616:SF13', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 75', 74048),
(130323, 'PTHR45983:SF2', NULL, NULL, NULL, NULL, 'TYROSINE PHOSPHATSE N18, PUTATIVE-RELATED', 74049),
(130324, 'PTHR13301:SF191', NULL, NULL, NULL, NULL, 'BNAA05G10500D PROTEIN', 74050),
(130325, 'PTHR11537:SF87', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY C MEMBER 1', 74051),
(130326, 'PTHR43789:SF7', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE AMYA', 74052),
(130327, 'PTHR31677:SF158', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 74053);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(130328, 'PTHR11743:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74054),
(130329, 'PTHR21719', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 74055),
(130330, 'PTHR20648:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74056),
(130331, 'PTHR34452:SF7', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED PROTEIN', 74057),
(130332, 'PTHR32227:SF292', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE', 74058),
(130333, 'PTHR11595:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74059),
(130334, 'PTHR43574:SF52', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 2', 74060),
(130335, 'PTHR46230:SF6', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN 1', 74061),
(130336, 'PTHR15898:SF17', NULL, NULL, NULL, NULL, 'BNACNNG21820D PROTEIN', 74062),
(130337, 'PTHR47524:SF1', NULL, NULL, NULL, NULL, '20S RRNA ACCUMULATION PROTEIN 4', 74063),
(130338, 'PTHR46261:SF21', NULL, NULL, NULL, NULL, 'BNACNNG49050D PROTEIN', 74064),
(130339, 'PTHR19384:SF92', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL CYTOCHROME P450/NADPH--P450 REDUCTASE', 74065),
(130340, 'PTHR47074:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74066),
(130341, 'PTHR18966:SF171', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, KAINATE 4', 74067),
(130342, 'PTHR12616:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74068),
(130343, 'PTHR12253:SF19', NULL, NULL, NULL, NULL, 'GROUP 3 SECRETORY PHOSPHOLIPASE A2', 74069),
(130344, 'PTHR44750:SF5', NULL, NULL, NULL, NULL, 'BNAC06G42280D PROTEIN', 74070),
(130345, 'PTHR19316:SF33', NULL, NULL, NULL, NULL, 'BNAC03G36030D PROTEIN', 74071),
(130346, 'PTHR46595:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74072),
(130347, 'PTHR12002:SF197', NULL, NULL, NULL, NULL, 'CLAUDIN', 74073),
(130348, 'PTHR23317:SF76', NULL, NULL, NULL, NULL, 'LD20667P', 74074),
(130349, 'PTHR27006:SF354', NULL, NULL, NULL, NULL, 'BNAC03G29930D PROTEIN', 74075),
(130350, 'PTHR23197', NULL, NULL, NULL, NULL, 'TARSH-RELATED FIBRONECTIN DOMAIN-CONTAINING', 74076),
(130351, 'PTHR23347:SF5', NULL, NULL, NULL, NULL, 'USHER SYNDROME TYPE-1C PROTEIN-BINDING PROTEIN 1', 74077),
(130352, 'PTHR11945:SF424', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR FAMILY PROTEIN, PUTATIVE-RELATED', 74078),
(130353, 'PTHR11771:SF155', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 74079),
(130354, 'PTHR34450:SF4', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 226-RELATED', 74080),
(130355, 'PTHR24225:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74081),
(130356, 'PTHR13292:SF2', NULL, NULL, NULL, NULL, 'BNAA09G07680D PROTEIN', 74082),
(130357, 'PTHR47330:SF1', NULL, NULL, NULL, NULL, 'POLY(U)-BINDING-SPLICING FACTOR PUF60-B-RELATED', 74083),
(130358, 'PTHR43366:SF1', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE SUBUNIT PORC', 74084),
(130359, 'PTHR46326:SF1', NULL, NULL, NULL, NULL, 'OS03G0425900 PROTEIN', 74085),
(130360, 'PTHR46128:SF61', NULL, NULL, NULL, NULL, 'BNAA06G34300D PROTEIN', 74086),
(130361, 'PTHR24177:SF258', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 74087),
(130362, 'PTHR47925:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74088),
(130363, 'PTHR37230', NULL, NULL, NULL, NULL, 'OS06G0731300 PROTEIN', 74089),
(130364, 'PTHR31989:SF294', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74090),
(130365, 'PTHR26453:SF75', NULL, NULL, NULL, NULL, 'MCG1034639', 74091),
(130366, 'PTHR47993:SF6', NULL, NULL, NULL, NULL, 'OS07G0196300 PROTEIN', 74092),
(130367, 'PTHR47993:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74093),
(130368, 'PTHR39110:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 74094),
(130369, 'PTHR10489:SF935', NULL, NULL, NULL, NULL, 'RELAXIN FAMILY PEPTIDE RECEPTOR 3.3A1-RELATED', 74095),
(130370, 'PTHR34686:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 74096),
(130371, 'PTHR35073:SF1', NULL, NULL, NULL, NULL, 'OTOSPIRALIN', 74097),
(130372, 'PTHR10476:SF40', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 2 HOMOLOG 3', 74098),
(130373, 'PTHR47163:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-17M8.2', 74099),
(130374, 'PTHR24230:SF144', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 74100);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(130375, 'PTHR34201:SF1', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 74101),
(130376, 'PTHR32246:SF129', NULL, NULL, NULL, NULL, 'PROTEIN SRC2-LIKE', 74102),
(130377, 'PTHR33389:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74103),
(130378, 'PTHR31947:SF19', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', 74104),
(130379, 'PTHR47211', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASR3', 74105),
(130380, 'PTHR12766:SF8', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 16', 74106),
(130381, 'PTHR23015:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG17911', 74107),
(130382, 'PTHR47965:SF43', NULL, NULL, NULL, NULL, 'BASIC 7S GLOBULIN-LIKE', 74108),
(130383, 'PTHR45676:SF105', NULL, NULL, NULL, NULL, 'OS01G0830900 PROTEIN', 74109),
(130384, 'PTHR42841:SF6', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE/LIGASE-RELATED', 74110),
(130385, 'PTHR45907:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', 74111),
(130386, 'PTHR33978:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE', 74112),
(130387, 'PTHR13239', NULL, NULL, NULL, NULL, 'PROTEIN REQUIRED FOR HYPHAL ANASTOMOSIS  HAM-2', 74113),
(130388, 'PTHR18821:SF8', NULL, NULL, NULL, NULL, 'PROKINETICIN-2', 74114),
(130389, 'PTHR10891:SF870', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', 74115),
(130390, 'PTHR23177:SF61', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 3-LIKE', 74116),
(130391, 'PTHR37027', NULL, NULL, NULL, NULL, 'KDE4', 74117),
(130392, 'PTHR34657:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74118),
(130393, 'PTHR10285:SF158', NULL, NULL, NULL, NULL, 'SD05789P2', 74119),
(130394, 'PTHR16515:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74120),
(130395, 'PTHR21630:SF10', NULL, NULL, NULL, NULL, 'VENTRICULAR ZONE-EXPRESSED PH DOMAIN-CONTAINING PROTEIN HOMOLOG 1', 74121),
(130396, 'PTHR24115:SF414', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF18B', 74122),
(130397, 'PTHR15371:SF29', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM23', 74123),
(130398, 'PTHR24209:SF34', NULL, NULL, NULL, NULL, 'BNAC03G72630D PROTEIN', 74124),
(130399, 'PTHR16557:SF7', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE FAMILY PROTEIN ISOFORM 1', 74125),
(130400, 'PTHR33147:SF97', NULL, NULL, NULL, NULL, 'OS01G0932700 PROTEIN', 74126),
(130401, 'PTHR33021:SF370', NULL, NULL, NULL, NULL, 'UCLACYANIN-3', 74127),
(130402, 'PTHR24368:SF209', NULL, NULL, NULL, NULL, 'AMPHOTERIN-INDUCED PROTEIN 2', 74128),
(130403, 'PTHR31741:SF90', NULL, NULL, NULL, NULL, 'BNAC08G44010D PROTEIN', 74129),
(130404, 'PTHR32227:SF381', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE, ACIDIC ISOFORM', 74130),
(130405, 'PTHR44329:SF46', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 11', 74131),
(130406, 'PTHR45808:SF11', NULL, NULL, NULL, NULL, 'GANGLIOSIDE-INDUCED DIFFERENTIATION-ASSOCIATED PROTEIN 2', 74132),
(130407, 'PTHR32410:SF195', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 74133),
(130408, 'PTHR12790:SF0', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN3-RELATED', 74134),
(130409, 'PTHR26450:SF73', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51S1', 74135),
(130410, 'PTHR21563:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER C3H1 DOMAIN-CONTAINING PROTEIN', 74136),
(130411, 'PTHR47950:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY MONOOXYGENASE', 74137),
(130412, 'PTHR43544:SF12', NULL, NULL, NULL, NULL, 'ZGC:65997', 74138),
(130413, 'PTHR31495:SF19', NULL, NULL, NULL, NULL, 'ABA-INDUCED PROTEIN', 74139),
(130414, 'PTHR35395', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 74140),
(130415, 'PTHR47526:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 74141),
(130416, 'PTHR10270:SF283', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-19A-RELATED', 74142),
(130417, 'PTHR12606:SF126', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN-RELATED', 74143),
(130418, 'PTHR18966:SF473', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2.2-RELATED', 74144);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(130419, 'PTHR10114:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', 74145),
(130420, 'PTHR43591:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74146),
(130421, 'PTHR43572:SF45', NULL, NULL, NULL, NULL, 'BNACNNG27970D PROTEIN', 74147),
(130422, 'PTHR11449', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L30', 74148),
(130423, 'PTHR11430:SF4', NULL, NULL, NULL, NULL, 'VOMERONASAL SECRETORY PROTEIN 1', 74149),
(130424, 'PTHR47614', NULL, NULL, NULL, NULL, 'GLYCOPHORIN-C', 74150),
(130425, 'PTHR31342:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74151),
(130426, 'PTHR24056:SF190', NULL, NULL, NULL, NULL, 'OS06G0693900 PROTEIN', 74152),
(130427, 'PTHR45642:SF72', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 74153),
(130428, 'PTHR46934:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74154),
(130429, 'PTHR47061', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 9', 74155),
(130430, 'PTHR11893:SF29', NULL, NULL, NULL, NULL, 'INNEXIN-12', 74156),
(130431, 'PTHR37982:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74157),
(130432, 'PTHR12384', NULL, NULL, NULL, NULL, 'MATERNAL PROTEIN EXUPERANTIA', 74158),
(130433, 'PTHR23086:SF118', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', 74159),
(130434, 'PTHR31352:SF32', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', 74160),
(130435, 'PTHR39598', NULL, NULL, NULL, NULL, 'AUSTINOL SYNTHESIS PROTEIN F-RELATED', 74161),
(130436, 'PTHR30128:SF62', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I PSAA/PSAB-RELATED', 74162),
(130437, 'PTHR30627:SF19', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN D', 74163),
(130438, 'PTHR15382', NULL, NULL, NULL, NULL, 'CTG4A-RELATED', 74164),
(130439, 'PTHR10219:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74165),
(130440, 'PTHR34689', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING PROTEIN', 74166),
(130441, 'PTHR34125:SF2', NULL, NULL, NULL, NULL, 'OS01G0762900 PROTEIN', 74167),
(130442, 'PTHR32212:SF310', NULL, NULL, NULL, NULL, 'BNAA09G20720D PROTEIN', 74168),
(130443, 'PTHR18884:SF55', NULL, NULL, NULL, NULL, 'SEPTIN-6', 74169),
(130444, 'PTHR32133:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74170),
(130445, 'PTHR23070:SF92', NULL, NULL, NULL, NULL, 'BCS1 AAA-TYPE ATPASE', 74171),
(130446, 'PTHR24100:SF46', NULL, NULL, NULL, NULL, 'ERYTHROID MEMBRANE-ASSOCIATED PROTEIN', 74172),
(130447, 'PTHR42811:SF17', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE 5-RELATED', 74173),
(130448, 'PTHR35859:SF1', NULL, NULL, NULL, NULL, 'NONSELECTIVE CATION CHANNEL PROTEIN', 74174),
(130449, 'PTHR44591:SF4', NULL, NULL, NULL, NULL, 'CHEMOTAXIS RESPONSE REGULATOR', 74175),
(130450, 'PTHR24253:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74176),
(130451, 'PTHR31966:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74177),
(130452, 'PTHR11385:SF15', NULL, NULL, NULL, NULL, 'SERUM ALBUMIN', 74178),
(130453, 'PTHR31388:SF125', NULL, NULL, NULL, NULL, 'PEROXIDASE', 74179),
(130454, 'PTHR43112:SF21', NULL, NULL, NULL, NULL, '2FE-2S FERREDOXIN, IRON-SULPHUR BINDING SITE', 74180),
(130455, 'PTHR16134:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74181),
(130456, 'PTHR45637:SF67', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIPK', 74182),
(130457, 'PTHR35308:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74183),
(130458, 'PTHR23121:SF9', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT GLUCOSE TRANSPORTER 1', 74184),
(130459, 'PTHR11721:SF26', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27A-2', 74185),
(130460, 'PTHR11540:SF62', NULL, NULL, NULL, NULL, 'OS07G0630800 PROTEIN', 74186),
(130461, 'PTHR47405:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 74187),
(130462, 'PTHR31238:SF117', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 2-3-RELATED', 74188),
(130463, 'PTHR24006:SF647', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 12', 74189),
(130464, 'PTHR11638:SF146', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 104', 74190),
(130465, 'PTHR11465:SF23', NULL, NULL, NULL, NULL, 'CATALASE ISOZYME B', 74191);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(130466, 'PTHR31205:SF7', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN', 74192),
(130467, 'PTHR21433:SF7', NULL, NULL, NULL, NULL, 'ZGC:103681', 74193),
(130468, 'PTHR47966:SF10', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE SXA1', 74194),
(130469, 'PTHR30168:SF0', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 74195),
(130470, 'PTHR10281:SF83', NULL, NULL, NULL, NULL, 'MEMBRANE STEROID-BINDING PROTEIN 1-LIKE', 74196),
(130471, 'PTHR31264:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74197),
(130472, 'PTHR11035:SF16', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE 4', 74198),
(130473, 'PTHR11562:SF27', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 4', 74199),
(130474, 'PTHR46163:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG08352', 74200),
(130475, 'PTHR31339:SF63', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', 74201),
(130476, 'PTHR32448:SF124', NULL, NULL, NULL, NULL, 'BNAC08G41860D PROTEIN', 74202),
(130477, 'PTHR46506:SF42', NULL, NULL, NULL, NULL, 'OS11G0524400 PROTEIN', 74203),
(130478, 'PTHR31595:SF49', NULL, NULL, NULL, NULL, 'BNAA08G03190D PROTEIN', 74204),
(130479, 'PTHR14744:SF15', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 60', 74205),
(130480, 'PTHR35828', NULL, NULL, NULL, NULL, 'OS08G0203800 PROTEIN-RELATED', 74206),
(130481, 'PTHR44376:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR LEUNIG-LIKE PROTEIN', 74207),
(130482, 'PTHR28673:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 108', 74208),
(130483, 'PTHR23176:SF0', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN BEM3', 74209),
(130484, 'PTHR15357', NULL, NULL, NULL, NULL, 'OLFACTORY MARKER PROTEIN', 74210),
(130485, 'PTHR15288:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74211),
(130486, 'PTHR12538:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', 74212),
(130487, 'PTHR10068:SF14', NULL, NULL, NULL, NULL, 'CELL WALL ADHESIN EAP1', 74213),
(130488, 'PTHR19229:SF235', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 8-LIKE ISOFORM X1', 74214),
(130489, 'PTHR33401:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74215),
(130490, 'PTHR10993:SF2', NULL, NULL, NULL, NULL, 'OCTANOYLTRANSFERASE LIP2P, CHLOROPLASTIC-RELATED', 74216),
(130491, 'PTHR18896:SF147', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA 1', 74217),
(130492, 'PTHR46983:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74218),
(130493, 'PTHR24637:SF326', NULL, NULL, NULL, NULL, 'COLLAGEN', 74219),
(130494, 'PTHR42861:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE TYPE 2C MEMBER 1', 74220),
(130495, 'PTHR12197:SF274', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', 74221),
(130496, 'PTHR13871:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG23918', 74222),
(130497, 'PTHR35149', NULL, NULL, NULL, NULL, 'SLL5132 PROTEIN', 74223),
(130498, 'PTHR47584:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74224),
(130499, 'PTHR46235:SF7', NULL, NULL, NULL, NULL, 'OS08G0336500 PROTEIN', 74225),
(130500, 'PTHR48004:SF13', NULL, NULL, NULL, NULL, 'OS01G0694100 PROTEIN', 74226),
(130501, 'PTHR13000', NULL, NULL, NULL, NULL, 'NUCLEOPORIN P54', 74227),
(130502, 'PTHR11036:SF127', NULL, NULL, NULL, NULL, 'SEMAPHORIN-1A', 74228),
(130503, 'PTHR45617:SF91', NULL, NULL, NULL, NULL, '2MIT, ISOFORM B', 74229),
(130504, 'PTHR12411:SF710', NULL, NULL, NULL, NULL, 'THIOL PROTEASE SEN102-LIKE', 74230),
(130505, 'PTHR10404:SF45', NULL, NULL, NULL, NULL, 'OS01G0740500 PROTEIN', 74231),
(130506, 'PTHR46757', NULL, NULL, NULL, NULL, 'SORTING NEXIN-RELATED', 74232),
(130507, 'PTHR45871:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT A', 74233),
(130508, 'PTHR45636:SF21', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-6', 74234),
(130509, 'PTHR42912:SF63', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 74235),
(130510, 'PTHR10498:SF6', NULL, NULL, NULL, NULL, 'PARALEMMIN-1', 74236),
(130511, 'PTHR11732:SF218', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALDOSE REDUCTASE GRE3', 74237),
(130512, 'PTHR24376:SF161', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 60', 74238);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(130513, 'PTHR21749:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG03867', 74239),
(130514, 'PTHR27007:SF343', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 74240),
(130515, 'PTHR33264:SF27', NULL, NULL, NULL, NULL, 'F24J5.7', 74241),
(130516, 'PTHR31354:SF8', NULL, NULL, NULL, NULL, 'INOSITOL-1,4,5-TRISPHOSPHATE 5-PHOSPHATASE', 74242),
(130517, 'PTHR46641:SF3', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', 74243),
(130518, 'PTHR31142:SF39', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 1', 74244),
(130519, 'PTHR31232:SF80', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY S1-RELATED', 74245),
(130520, 'PTHR11206:SF434', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 74246),
(130521, 'PTHR10110:SF126', NULL, NULL, NULL, NULL, 'NA(+)/H(+) EXCHANGER PROTEIN 7', 74247),
(130522, 'PTHR11260:SF656', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9-LIKE', 74248),
(130523, 'PTHR19300:SF57', NULL, NULL, NULL, NULL, 'BETA-1,4-N-ACETYLGALACTOSAMINYLTRANSFERASE BRE-4', 74249),
(130524, 'PTHR43768:SF24', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', 74250),
(130525, 'PTHR47967:SF86', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 74251),
(130526, 'PTHR33083:SF68', NULL, NULL, NULL, NULL, 'SENESCENCE REGULATOR S40-RELATED', 74252),
(130527, 'PTHR19959:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74253),
(130528, 'PTHR38031:SF1', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN SLR0821-RELATED', 74254),
(130529, 'PTHR46249:SF36', NULL, NULL, NULL, NULL, 'PROTEIN PXR1-LIKE', 74255),
(130530, 'PTHR11132:SF391', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74256),
(130531, 'PTHR22298:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74257),
(130532, 'PTHR27005:SF375', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE PROTEIN', 74258),
(130533, 'PTHR17920:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74259),
(130534, 'PTHR27006:SF183', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', 74260),
(130535, 'PTHR35889:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74261),
(130536, 'PTHR43690:SF24', NULL, NULL, NULL, NULL, 'BNAC08G45030D PROTEIN', 74262),
(130537, 'PTHR24637:SF295', NULL, NULL, NULL, NULL, 'COLLAGEN', 74263),
(130538, 'PTHR10741', NULL, NULL, NULL, NULL, 'TRANSLIN AND TRANSLIN ASSOCIATED PROTEIN X', 74264),
(130539, 'PTHR22595:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74265),
(130540, 'PTHR47926:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74266),
(130541, 'PTHR27004:SF346', NULL, NULL, NULL, NULL, 'BNAA04G18930D PROTEIN', 74267),
(130542, 'PTHR10353:SF279', NULL, NULL, NULL, NULL, 'BNAC04G03790D PROTEIN', 74268),
(130543, 'PTHR40081:SF1', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE', 74269),
(130544, 'PTHR22835:SF533', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74270),
(130545, 'PTHR15405', NULL, NULL, NULL, NULL, 'PROLINE-RICH NUCLEAR RECEPTOR COACTIVATOR', 74271),
(130546, 'PTHR12316:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74272),
(130547, 'PTHR21258:SF55', NULL, NULL, NULL, NULL, 'FI23523P1', 74273),
(130548, 'PTHR33149:SF27', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC REACTION CENTRE, L/M, PHOTOSYSTEM ANTENNA PROTEIN-LIKE PROTEIN-RELATED', 74274),
(130549, 'PTHR15427:SF1', NULL, NULL, NULL, NULL, 'EMILIN-1', 74275),
(130550, 'PTHR11848:SF151', NULL, NULL, NULL, NULL, 'EMBRYONIC GROWTH/DIFFERENTIATION FACTOR 1', 74276),
(130551, 'PTHR35286:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 74277),
(130552, 'PTHR31683:SF67', NULL, NULL, NULL, NULL, 'PECTIN LYASE F-RELATED', 74278),
(130553, 'PTHR11746:SF195', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE-LIKE ISOFORM X1', 74279),
(130554, 'PTHR31083:SF30', NULL, NULL, NULL, NULL, 'BNAANNG21550D PROTEIN', 74280),
(130555, 'PTHR31235:SF156', NULL, NULL, NULL, NULL, 'PEROXIDASE', 74281),
(130556, 'PTHR38010', NULL, NULL, NULL, NULL, 'SLR0848 PROTEIN', 74282),
(130557, 'PTHR46058:SF14', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE', 74283);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(130558, 'PTHR31503:SF69', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', 74284),
(130559, 'PTHR43392', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN / ANKYRIN REPEAT FAMILY PROTEIN', 74285),
(130560, 'PTHR12913:SF3', NULL, NULL, NULL, NULL, 'SI:DKEYP-121D4.3', 74286),
(130561, 'PTHR20835:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG00975', 74287),
(130562, 'PTHR13068:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74288),
(130563, 'PTHR21461:SF75', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 74289),
(130564, 'PTHR31929:SF122', NULL, NULL, NULL, NULL, 'BNAANNG36540D PROTEIN', 74290),
(130565, 'PTHR23279:SF4', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 2, ISOFORM F-RELATED', 74291),
(130566, 'PTHR26452:SF403', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 74292),
(130567, 'PTHR24114:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74293),
(130568, 'PTHR46609:SF6', NULL, NULL, NULL, NULL, 'RESTRICTION ENDONUCLEASE, TYPE II-LIKE SUPERFAMILY PROTEIN', 74294),
(130569, 'PTHR21091:SF172', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN DECARBOXYLASE 2, CHLOROPLASTIC', 74295),
(130570, 'PTHR23407:SF7', NULL, NULL, NULL, NULL, 'AGAP008898-PA', 74296),
(130571, 'PTHR23155:SF1110', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', 74297),
(130572, 'PTHR24247:SF231', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 2A-RELATED', 74298),
(130573, 'PTHR33065:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74299),
(130574, 'PTHR46162:SF15', NULL, NULL, NULL, NULL, 'F9D12.8 PROTEIN-RELATED', 74300),
(130575, 'PTHR31250:SF5', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 74301),
(130576, 'PTHR38338', NULL, NULL, NULL, NULL, 'AGAP013079-PA', 74302),
(130577, 'PTHR47338:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 74303),
(130578, 'PTHR46197', NULL, NULL, NULL, NULL, 'PROTEIN ABHD14B-LIKE', 74304),
(130579, 'PTHR23117:SF8', NULL, NULL, NULL, NULL, 'RIBOSE 1,5-BISPHOSPHATE PHOSPHOKINASE PHNN', 74305),
(130580, 'PTHR33831:SF12', NULL, NULL, NULL, NULL, 'BNAC03G17050D PROTEIN', 74306),
(130581, 'PTHR34934', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT THYMIDYLATE SYNTHASE', 74307),
(130582, 'PTHR32212:SF335', NULL, NULL, NULL, NULL, 'BNACNNG13980D PROTEIN', 74308),
(130583, 'PTHR31496:SF32', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR KAN1-LIKE ISOFORM X2', 74309),
(130584, 'PTHR31234:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 74310),
(130585, 'PTHR10796:SF95', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 74311),
(130586, 'PTHR10878:SF37', NULL, NULL, NULL, NULL, 'DISHEVELLED RELATED', 74312),
(130587, 'PTHR33065:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74313),
(130588, 'PTHR33193:SF13', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF3511)-RELATED', 74314),
(130589, 'PTHR11952', NULL, NULL, NULL, NULL, 'UDP- GLUCOSE PYROPHOSPHORYLASE', 74315),
(130590, 'PTHR24376:SF50', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 945', 74316),
(130591, 'PTHR10334:SF472', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN 2-LIKE PROTEIN', 74317),
(130592, 'PTHR32055', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-1-BINDING PROTEIN 1', 74318),
(130593, 'PTHR31627:SF37', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-4-RELATED', 74319),
(130594, 'PTHR31274:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ECM3', 74320),
(130595, 'PTHR14085:SF4', NULL, NULL, NULL, NULL, 'BNAANNG36350D PROTEIN', 74321),
(130596, 'PTHR43625:SF58', NULL, NULL, NULL, NULL, 'BNAC01G28790D PROTEIN', 74322),
(130597, 'PTHR11394:SF47', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 1-RELATED', 74323),
(130598, 'PTHR33971:SF1', NULL, NULL, NULL, NULL, 'OS06G0232000 PROTEIN', 74324),
(130599, 'PTHR16083:SF27', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN SOC-2 HOMOLOG-LIKE PROTEIN', 74325),
(130600, 'PTHR10257:SF55', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 74326),
(130601, 'PTHR42760:SF82', NULL, NULL, NULL, NULL, 'ZGC:113054', 74327);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(130602, 'PTHR24064:SF574', NULL, NULL, NULL, NULL, 'PROTEIN CBG02498', 74328),
(130603, 'PTHR12850:SF5', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S25', 74329),
(130604, 'PTHR47990:SF11', NULL, NULL, NULL, NULL, 'NARINGENIN,2-OXOGLUTARATE 3-DIOXYGENASE', 74330),
(130605, 'PTHR36353:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 74331),
(130606, 'PTHR20961:SF102', NULL, NULL, NULL, NULL, 'OS05G0391600 PROTEIN', 74332),
(130607, 'PTHR46145:SF3', NULL, NULL, NULL, NULL, 'HEPARANASE', 74333),
(130608, 'PTHR45623:SF6', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 5', 74334),
(130609, 'PTHR11003:SF172', NULL, NULL, NULL, NULL, 'TWO PORE POTASSIUM CHANNEL PROTEIN SUP-9', 74335),
(130610, 'PTHR11961:SF23', NULL, NULL, NULL, NULL, 'OS04G0693050 PROTEIN', 74336),
(130611, 'PTHR34794:SF4', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 29-LIKE', 74337),
(130612, 'PTHR32285:SF277', NULL, NULL, NULL, NULL, 'BNAA04G17190D PROTEIN', 74338),
(130613, 'PTHR48018:SF111', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 74339),
(130614, 'PTHR31620:SF2', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 5, CHLOROPLASTIC', 74340),
(130615, 'PTHR45791:SF1', NULL, NULL, NULL, NULL, 'CALCIUM AND INTEGRIN-BINDING 1 (CALMYRIN)', 74341),
(130616, 'PTHR31282:SF108', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 41 ISOFORM X1-RELATED', 74342),
(130617, 'PTHR20973:SF0', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 1 HOMOLOG', 74343),
(130618, 'PTHR24093:SF469', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 74344),
(130619, 'PTHR31235:SF49', NULL, NULL, NULL, NULL, 'PEROXIDASE', 74345),
(130620, 'PTHR27003:SF41', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE THESEUS 1', 74346),
(130621, 'PTHR47992:SF127', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', 74347),
(130622, 'PTHR31988:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74348),
(130623, 'PTHR47950:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 74349),
(130624, 'PTHR21346:SF2', NULL, NULL, NULL, NULL, 'FUN14 DOMAIN-CONTAINING PROTEIN 1', 74350),
(130625, 'PTHR11817:SF85', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 74351),
(130626, 'PTHR10362:SF52', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', 74352),
(130627, 'PTHR45680:SF27', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 74353),
(130628, 'PTHR23315:SF288', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 74354),
(130629, 'PTHR46684:SF10', NULL, NULL, NULL, NULL, 'BNAC07G03900D PROTEIN', 74355),
(130630, 'PTHR47143', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL PROTEIN PAINLESS', 74356),
(130631, 'PTHR31604:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74357),
(130632, 'PTHR12276:SF102', NULL, NULL, NULL, NULL, 'BNAC04G48710D PROTEIN', 74358),
(130633, 'PTHR48043:SF105', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 74359),
(130634, 'PTHR30029', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 74360),
(130635, 'PTHR11132:SF347', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', 74361),
(130636, 'PTHR44329:SF188', NULL, NULL, NULL, NULL, 'BNAA09G55660D PROTEIN', 74362),
(130637, 'PTHR48053:SF38', NULL, NULL, NULL, NULL, 'BNAA09G07170D PROTEIN', 74363),
(130638, 'PTHR47891:SF2', NULL, NULL, NULL, NULL, 'TRANSPORTER-RELATED', 74364),
(130639, 'PTHR11467:SF111', NULL, NULL, NULL, NULL, 'HMG-Y-RELATED PROTEIN B', 74365),
(130640, 'PTHR31929:SF56', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 74366),
(130641, 'PTHR10366:SF288', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN REDUCTASE', 74367),
(130642, 'PTHR24115:SF745', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74368),
(130643, 'PTHR15742:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-241', 74369),
(130644, 'PTHR21386:SF0', NULL, NULL, NULL, NULL, 'PROTEIN INSCUTEABLE HOMOLOG', 74370),
(130645, 'PTHR11088:SF58', NULL, NULL, NULL, NULL, 'OS07G0190150 PROTEIN', 74371),
(130646, 'PTHR11728:SF38', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)] 2, CYTOSOLIC-RELATED', 74372);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(130647, 'PTHR35154:SF3', NULL, NULL, NULL, NULL, 'GBP PROTEIN', 74373),
(130648, 'PTHR24298:SF477', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 74374),
(130649, 'PTHR41271', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 74375),
(130650, 'PTHR47989:SF44', NULL, NULL, NULL, NULL, 'OS01G0709500 PROTEIN', 74376),
(130651, 'PTHR10366:SF694', NULL, NULL, NULL, NULL, 'BNAC01G29820D PROTEIN', 74377),
(130652, 'PTHR31299', NULL, NULL, NULL, NULL, 'ESTERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G05850)-RELATED', 74378),
(130653, 'PTHR38098:SF1', NULL, NULL, NULL, NULL, 'LPS-ASSEMBLY LIPOPROTEIN LPTE', 74379),
(130654, 'PTHR31448:SF37', NULL, NULL, NULL, NULL, 'BNAA09G44380D PROTEIN', 74380),
(130655, 'PTHR15601:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74381),
(130656, 'PTHR13123:SF8', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 25', 74382),
(130657, 'PTHR24033:SF158', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 74383),
(130658, 'PTHR46485:SF6', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TESTIS-SPECIFIC PROTEIN KINASE 2', 74384),
(130659, 'PTHR35897:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE AUSD', 74385),
(130660, 'PTHR45648:SF2', NULL, NULL, NULL, NULL, 'OS02G0816200 PROTEIN', 74386),
(130661, 'PTHR31989:SF264', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', 74387),
(130662, 'PTHR13398:SF6', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 5', 74388),
(130663, 'PTHR13144:SF0', NULL, NULL, NULL, NULL, 'PROTEIN TEX261', 74389),
(130664, 'PTHR31100:SF69', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 17-RELATED', 74390),
(130665, 'PTHR22920:SF22', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN 152', 74391),
(130666, 'PTHR33326:SF41', NULL, NULL, NULL, NULL, 'OS11G0648800 PROTEIN', 74392),
(130667, 'PTHR12231:SF228', NULL, NULL, NULL, NULL, 'PROTOGENIN', 74393),
(130668, 'PTHR33993:SF1', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN', 74394),
(130669, 'PTHR28002', NULL, NULL, NULL, NULL, 'MIOREX COMPLEX COMPONENT 11', 74395),
(130670, 'PTHR24406:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 692', 74396),
(130671, 'PTHR12317:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG22471', 74397),
(130672, 'PTHR44586:SF8', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 74398),
(130673, 'PTHR47832:SF1', NULL, NULL, NULL, NULL, 'DNA PHOTOLYASE', 74399),
(130674, 'PTHR12632:SF43', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-1', 74400),
(130675, 'PTHR31265:SF29', NULL, NULL, NULL, NULL, 'BNAA09G04540D PROTEIN', 74401),
(130676, 'PTHR10353:SF69', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 8', 74402),
(130677, 'PTHR18839', NULL, NULL, NULL, NULL, 'MITOTIC INTERACTOR AND SUBSTRATE OF PLK1 MISP FAMILY MEMBER', 74403),
(130678, 'PTHR31415:SF128', NULL, NULL, NULL, NULL, 'PROTEIN NDR1-LIKE', 74404),
(130679, 'PTHR47544:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74405),
(130680, 'PTHR11814:SF67', NULL, NULL, NULL, NULL, 'GH25012P', 74406),
(130681, 'PTHR33868', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 74407),
(130682, 'PTHR11877:SF55', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 8', 74408),
(130683, 'PTHR11639:SF60', NULL, NULL, NULL, NULL, 'PROTEIN S100-A11', 74409),
(130684, 'PTHR32133:SF307', NULL, NULL, NULL, NULL, 'OS08G0299600 PROTEIN', 74410),
(130685, 'PTHR11977:SF30', NULL, NULL, NULL, NULL, 'VILLIN-LIKE PROTEIN', 74411),
(130686, 'PTHR44329:SF169', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY KINASE TKL-PL-4 FAMILY-RELATED', 74412),
(130687, 'PTHR10869:SF42', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 1', 74413),
(130688, 'PTHR31558:SF19', NULL, NULL, NULL, NULL, 'PLANT/F14N23-31 PROTEIN', 74414),
(130689, 'PTHR45647:SF62', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 56', 74415),
(130690, 'PTHR11937:SF359', NULL, NULL, NULL, NULL, 'ACTIN', 74416),
(130691, 'PTHR22601:SF0', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 1', 74417),
(130692, 'PTHR47990:SF104', NULL, NULL, NULL, NULL, 'OSJNBA0033G05.6-LIKE PROTEIN', 74418),
(130693, 'PTHR34674:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:DIACYLGLYCEROL CHOLINEPHOSPHOTRANSFERASE 1-RELATED', 74419); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(130694, 'PTHR15725:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 32-LIKE', 74420),
(130695, 'PTHR46338:SF14', NULL, NULL, NULL, NULL, 'OS02G0699900 PROTEIN', 74421),
(130696, 'PTHR10443:SF41', NULL, NULL, NULL, NULL, 'DIPEPTIDASE', 74422),
(130697, 'PTHR12555:SF22', NULL, NULL, NULL, NULL, 'UBIQUITIN FUSION DEGRADATION UFD1 FAMILY PROTEIN', 74423),
(130698, 'PTHR30249:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74424),
(130699, 'PTHR43553:SF17', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN MJ1572-RELATED', 74425),
(130700, 'PTHR37859:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 3', 74426),
(130701, 'PTHR31254:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC690617', 74427),
(130702, 'PTHR15241:SF317', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 2, MITOCHONDRIAL-LIKE', 74428),
(130703, 'PTHR31062:SF146', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 31', 74429),
(130704, 'PTHR12386:SF32', NULL, NULL, NULL, NULL, 'ATP SYNTHASE, ROTATIONAL MECHANISM, PUTATIVE-RELATED', 74430),
(130705, 'PTHR23235:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP6', 74431),
(130706, 'PTHR34468:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74432),
(130707, 'PTHR23147:SF82', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 6', 74433),
(130708, 'PTHR37429:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG00815', 74434),
(130709, 'PTHR31208:SF16', NULL, NULL, NULL, NULL, 'BNAC03G14160D PROTEIN', 74435),
(130710, 'PTHR21586:SF0', NULL, NULL, NULL, NULL, 'PP2C-LIKE DOMAIN-CONTAINING PROTEIN CG9801', 74436),
(130711, 'PTHR31731:SF50', NULL, NULL, NULL, NULL, 'OSJNBA0010H02.24 PROTEIN', 74437),
(130712, 'PTHR26453:SF150', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 74438),
(130713, 'PTHR11626', NULL, NULL, NULL, NULL, 'FARNESYL-DIPHOSPHATE FARNESYLTRANSFERASE', 74439),
(130714, 'PTHR14224:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74440),
(130715, 'PTHR34371:SF2', NULL, NULL, NULL, NULL, 'DUF688 FAMILY PROTEIN', 74441),
(130716, 'PTHR22989:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01918', 74442),
(130717, 'PTHR24384:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 114', 74443),
(130718, 'PTHR21277:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF RNA POLII, SAGA, SUBUNIT', 74444),
(130719, 'PTHR47932:SF45', NULL, NULL, NULL, NULL, 'OS02G0565400 PROTEIN', 74445),
(130720, 'PTHR31395:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-4', 74446),
(130721, 'PTHR33318:SF23', NULL, NULL, NULL, NULL, 'EISOSOME PROTEIN', 74447),
(130722, 'PTHR36520:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74448),
(130723, 'PTHR31235:SF21', NULL, NULL, NULL, NULL, 'PEROXIDASE', 74449),
(130724, 'PTHR34936:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 74450),
(130725, 'PTHR46704:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74451),
(130726, 'PTHR32295:SF11', NULL, NULL, NULL, NULL, 'CALMODULIN BINDING PROTEIN IQD22', 74452),
(130727, 'PTHR47962:SF3', NULL, NULL, NULL, NULL, 'HELICASE-RELATED PROTEIN', 74453),
(130728, 'PTHR33177:SF24', NULL, NULL, NULL, NULL, 'FILAMENTOUS HEMAGGLUTININ TRANSPORTER', 74454),
(130729, 'PTHR34463:SF16', NULL, NULL, NULL, NULL, 'BNAA03G58800D PROTEIN', 74455),
(130730, 'PTHR35105', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 74456),
(130731, 'PTHR45675:SF75', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB21-LIKE', 74457),
(130732, 'PTHR47956:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74458),
(130733, 'PTHR16788:SF4', NULL, NULL, NULL, NULL, 'EPIDIDYMAL SECRETORY PROTEIN E3-ALPHA', 74459),
(130734, 'PTHR31944', NULL, NULL, NULL, NULL, 'HEME-RESPONSIVE ZINC FINGER TRANSCRIPTION FACTOR HAP1', 74460),
(130735, 'PTHR46328:SF5', NULL, NULL, NULL, NULL, 'BNAC01G30190D PROTEIN', 74461),
(130736, 'PTHR42774:SF6', NULL, NULL, NULL, NULL, 'PFKB FAMILY CARBOHYDRATE KINASE', 74462),
(130737, 'PTHR24412:SF401', NULL, NULL, NULL, NULL, 'FI11917P', 74463),
(130738, 'PTHR10068', NULL, NULL, NULL, NULL, 'BONE MARROW PROTEOGLYCAN', 74464);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(130739, 'PTHR24028:SF118', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-3', 74465),
(130740, 'PTHR35543:SF1', NULL, NULL, NULL, NULL, 'PROTEIN C11ORF74', 74466),
(130741, 'PTHR11358:SF26', NULL, NULL, NULL, NULL, 'AGMATINASE, MITOCHONDRIAL', 74467),
(130742, 'PTHR10064:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74468),
(130743, 'PTHR34467:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74469),
(130744, 'PTHR46179:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZXDC', 74470),
(130745, 'PTHR31048:SF111', NULL, NULL, NULL, NULL, 'OS12G0569300 PROTEIN', 74471),
(130746, 'PTHR11895:SF166', NULL, NULL, NULL, NULL, 'INDOLEACETAMIDE HYDROLASE', 74472),
(130747, 'PTHR47258:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XERICO-RELATED', 74473),
(130748, 'PTHR12936:SF2', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 10', 74474),
(130749, 'PTHR27008:SF417', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74475),
(130750, 'PTHR11461:SF166', NULL, NULL, NULL, NULL, 'SERPIN B8', 74476),
(130751, 'PTHR24300:SF314', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74477),
(130752, 'PTHR34056:SF4', NULL, NULL, NULL, NULL, 'OS02G0710700 PROTEIN', 74478),
(130753, 'PTHR35274:SF5', NULL, NULL, NULL, NULL, 'BNAC05G02100D PROTEIN', 74479),
(130754, 'PTHR47675:SF1', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN BINDING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G11210)', 74480),
(130755, 'PTHR47993:SF99', NULL, NULL, NULL, NULL, 'OS07G0269800 PROTEIN', 74481),
(130756, 'PTHR47990:SF4', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 2', 74482),
(130757, 'PTHR34678:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN 5, CHLOROPLASTIC', 74483),
(130758, 'PTHR46387:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74484),
(130759, 'PTHR11709:SF86', NULL, NULL, NULL, NULL, 'LACCASE-18', 74485),
(130760, 'PTHR47990:SF17', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP3-LIKE', 74486),
(130761, 'PTHR28612:SF1', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE SMALL SUBUNIT B', 74487),
(130762, 'PTHR46490:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 1 MEMBER B', 74488),
(130763, 'PTHR24637:SF247', NULL, NULL, NULL, NULL, 'COLLAGEN', 74489),
(130764, 'PTHR10036:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74490),
(130765, 'PTHR45669:SF7', NULL, NULL, NULL, NULL, 'F1N19.7', 74491),
(130766, 'PTHR31929:SF130', NULL, NULL, NULL, NULL, 'BNAA02G03920D PROTEIN', 74492),
(130767, 'PTHR34228:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2-LIKE PROTEIN Y52B11A.8', 74493),
(130768, 'PTHR32410:SF185', NULL, NULL, NULL, NULL, 'BNACNNG42150D PROTEIN', 74494),
(130769, 'PTHR11061:SF47', NULL, NULL, NULL, NULL, '23S RRNA (URACIL(1939)-C(5))-METHYLTRANSFERASE RLMD', 74495),
(130770, 'PTHR24115:SF844', NULL, NULL, NULL, NULL, 'PHRAGMOPLAST-ASSOCIATED KINESIN-RELATED PROTEIN', 74496),
(130771, 'PTHR36177:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74497),
(130772, 'PTHR32044:SF73', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 1-RELATED', 74498),
(130773, 'PTHR10887:SF440', NULL, NULL, NULL, NULL, 'RNA HELICASE SDE3-RELATED', 74499),
(130774, 'PTHR35784', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 5', 74500),
(130775, 'PTHR24637:SF318', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 91-RELATED', 74501),
(130776, 'PTHR36815:SF1', NULL, NULL, NULL, NULL, 'BNAC03G48760D PROTEIN', 74502),
(130777, 'PTHR47293:SF9', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 36', 74503),
(130778, 'PTHR11165:SF53', NULL, NULL, NULL, NULL, 'SKR-17-RELATED', 74504),
(130779, 'PTHR11759:SF41', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14-LIKE', 74505),
(130780, 'PTHR41252:SF1', NULL, NULL, NULL, NULL, 'BLR2505 PROTEIN', 74506),
(130781, 'PTHR47105', NULL, NULL, NULL, NULL, 'OS02G0173600 PROTEIN', 74507),
(130782, 'PTHR30188', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN-RELATED', 74508),
(130783, 'PTHR21426:SF18', NULL, NULL, NULL, NULL, 'BNAA02G11810D PROTEIN', 74509),
(130784, 'PTHR12801:SF130', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE 4', 74510);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(130785, 'PTHR16223:SF204', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH153', 74511),
(130786, 'PTHR36832:SF2', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 74512),
(130787, 'PTHR24414:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74513),
(130788, 'PTHR11324:SF20', NULL, NULL, NULL, NULL, 'AGAP011385-PA', 74514),
(130789, 'PTHR31235:SF235', NULL, NULL, NULL, NULL, 'PEROXIDASE', 74515),
(130790, 'PTHR11426:SF101', NULL, NULL, NULL, NULL, 'HISTONE H3', 74516),
(130791, 'PTHR12369:SF9', NULL, NULL, NULL, NULL, 'N-ACETYL-BETA-GLUCOSAMINYL-GLYCOPROTEIN 4-BETA-N-ACETYLGALACTOSAMINYLTRANSFERASE 1', 74517),
(130792, 'PTHR24073:SF528', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 22 HOMOLOG', 74518),
(130793, 'PTHR28601:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 24', 74519),
(130794, 'PTHR42718:SF35', NULL, NULL, NULL, NULL, 'SUGAR PERMEASE', 74520),
(130795, 'PTHR24073:SF430', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5A', 74521),
(130796, 'PTHR43294:SF10', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE ALPHA CHAIN 1', 74522),
(130797, 'PTHR31356:SF11', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 8, CHLOROPLASTIC-RELATED', 74523),
(130798, 'PTHR34710:SF20', NULL, NULL, NULL, NULL, 'OS01G0324400 PROTEIN', 74524),
(130799, 'PTHR10522:SF7', NULL, NULL, NULL, NULL, 'GONADOLIBERIN', 74525),
(130800, 'PTHR43386:SF19', NULL, NULL, NULL, NULL, 'NICKEL TRANSPORT SYSTEM PERMEASE PROTEIN NIKC', 74526),
(130801, 'PTHR36507', NULL, NULL, NULL, NULL, 'BLL1555 PROTEIN', 74527),
(130802, 'PTHR48004:SF47', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 74528),
(130803, 'PTHR38044:SF1', NULL, NULL, NULL, NULL, 'BOUQUET FORMATION PROTEIN 4', 74529),
(130804, 'PTHR21512:SF5', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 9', 74530),
(130805, 'PTHR11710:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19-1-RELATED', 74531),
(130806, 'PTHR34835:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74532),
(130807, 'PTHR46391:SF24', NULL, NULL, NULL, NULL, 'BNAA03G19810D PROTEIN', 74533),
(130808, 'PTHR43416:SF5', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE SUCCINYLTRANSFERASE COMPONENT OF 2-OXOGLUTARATE DEHYDROGENASE COMPLEX, MITOCHONDRIAL', 74534),
(130809, 'PTHR19432:SF37', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 45 MEMBER 3', 74535),
(130810, 'PTHR34890:SF13', NULL, NULL, NULL, NULL, 'YCF68 PROTEIN', 74536),
(130811, 'PTHR24278:SF0', NULL, NULL, NULL, NULL, 'VITAMIN K-DEPENDENT PROTEIN C', 74537),
(130812, 'PTHR33052:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74538),
(130813, 'PTHR37900:SF8', NULL, NULL, NULL, NULL, 'OS02G0159250 PROTEIN', 74539),
(130814, 'PTHR10881:SF62', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 8C-RELATED', 74540),
(130815, 'PTHR33110:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74541),
(130816, 'PTHR47726', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT U, CHLOROPLASTIC', 74542),
(130817, 'PTHR38613:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG03211', 74543),
(130818, 'PTHR45789:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-13', 74544),
(130819, 'PTHR34979', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YGAZ', 74545),
(130820, 'PTHR31284:SF40', NULL, NULL, NULL, NULL, 'BNAA03G17920D PROTEIN', 74546),
(130821, 'PTHR10286:SF2', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE, MITOCHONDRIAL', 74547),
(130822, 'PTHR17630:SF91', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 74548),
(130823, 'PTHR24414:SF122', NULL, NULL, NULL, NULL, 'BNAC03G72150D PROTEIN', 74549),
(130824, 'PTHR47174', NULL, NULL, NULL, NULL, 'BRIDGING INTEGRATOR 3', 74550),
(130825, 'PTHR43968:SF9', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, OMEGA CLASS', 74551),
(130826, 'PTHR47856:SF2', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 20-LIKE', 74552),
(130827, 'PTHR24012:SF807', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 8', 74553),
(130828, 'PTHR13140:SF735', NULL, NULL, NULL, NULL, 'MYOSIN-5', 74554);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(130829, 'PTHR33115:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74555),
(130830, 'PTHR23257:SF833', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1', 74556),
(130831, 'PTHR33102:SF37', NULL, NULL, NULL, NULL, 'DVL11-RELATED', 74557),
(130832, 'PTHR35332:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74558),
(130833, 'PTHR11850:SF298', NULL, NULL, NULL, NULL, 'BNAA09G41850D PROTEIN', 74559),
(130834, 'PTHR12694:SF19', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIA, 1-LIKE', 74560),
(130835, 'PTHR33124:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74561),
(130836, 'PTHR31633:SF1', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX NON-CORE SUBUNIT NAF1', 74562),
(130837, 'PTHR31213:SF100', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL4-LIKE', 74563),
(130838, 'PTHR24068:SF121', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATING ENZYME E2 B', 74564),
(130839, 'PTHR35335', NULL, NULL, NULL, NULL, 'UPF0716 PROTEIN FXSA', 74565),
(130840, 'PTHR24243', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', 74566),
(130841, 'PTHR11850:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74567),
(130842, 'PTHR24215:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74568),
(130843, 'PTHR45800:SF1', NULL, NULL, NULL, NULL, 'OS08G0489800 PROTEIN', 74569),
(130844, 'PTHR37697:SF2', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR SNZ', 74570),
(130845, 'PTHR38489', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 74571),
(130846, 'PTHR31048:SF153', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN', 74572),
(130847, 'PTHR12128:SF19', NULL, NULL, NULL, NULL, '5-DEHYDRO-4-DEOXYGLUCARATE DEHYDRATASE 2-RELATED', 74573),
(130848, 'PTHR35895:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 74574),
(130849, 'PTHR47491:SF6', NULL, NULL, NULL, NULL, 'BNAC03G22020D PROTEIN', 74575),
(130850, 'PTHR46539:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74576),
(130851, 'PTHR33543:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74577),
(130852, 'PTHR24298:SF642', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A26', 74578),
(130853, 'PTHR24068:SF73', NULL, NULL, NULL, NULL, 'OS02G0721200 PROTEIN', 74579),
(130854, 'PTHR11803:SF45', NULL, NULL, NULL, NULL, 'PERCHLORIC ACID SOLUBLE TRANSLATION INHIBITOR-LIKE PROTEIN', 74580),
(130855, 'PTHR42070', NULL, NULL, NULL, NULL, 'FILAMENT ASSOCIATED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G06630)-RELATED', 74581),
(130856, 'PTHR14379:SF61', NULL, NULL, NULL, NULL, 'BNAA05G34190D PROTEIN', 74582),
(130857, 'PTHR46306:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 9', 74583),
(130858, 'PTHR16515:SF26', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 1', 74584),
(130859, 'PTHR21145:SF0', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE 1, CHLOROPLASTIC', 74585),
(130860, 'PTHR45658:SF67', NULL, NULL, NULL, NULL, 'BNAC03G41730D PROTEIN', 74586),
(130861, 'PTHR33180', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP43 REACTION CENTER PROTEIN', 74587),
(130862, 'PTHR11054:SF14', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE 2-RELATED', 74588),
(130863, 'PTHR30041:SF6', NULL, NULL, NULL, NULL, 'GLUTATHIONE-DEPENDENT THIOL REDUCTASE', 74589),
(130864, 'PTHR19308:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74590),
(130865, 'PTHR15129:SF1', NULL, NULL, NULL, NULL, 'SRC KINASE-ASSOCIATED PHOSPHOPROTEIN 1', 74591),
(130866, 'PTHR23012:SF175', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 74592),
(130867, 'PTHR10229:SF0', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN 6-RELATED', 74593),
(130868, 'PTHR33735:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74594),
(130869, 'PTHR23277:SF106', NULL, NULL, NULL, NULL, 'SI:CH211-141E20.2-RELATED', 74595),
(130870, 'PTHR11224:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74596),
(130871, 'PTHR11063:SF23', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', 74597),
(130872, 'PTHR10535:SF3', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II, PUTATIVE-RELATED', 74598);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(130873, 'PTHR31423:SF3', NULL, NULL, NULL, NULL, 'PROLYL-TRNA SYNTHETASE ASSOCIATED DOMAIN-CONTAINING PROTEIN 1-RELATED', 74599),
(130874, 'PTHR45769:SF5', NULL, NULL, NULL, NULL, 'ADY43A', 74600),
(130875, 'PTHR31723:SF6', NULL, NULL, NULL, NULL, 'PATHOGEN-RELATED PROTEIN-LIKE ISOFORM X1', 74601),
(130876, 'PTHR13018:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74602),
(130877, 'PTHR47991:SF112', NULL, NULL, NULL, NULL, 'OS02G0280700 PROTEIN', 74603),
(130878, 'PTHR33541:SF27', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE A', 74604),
(130879, 'PTHR13683:SF807', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2-LIKE', 74605),
(130880, 'PTHR15615:SF84', NULL, NULL, NULL, NULL, 'OS07G0231500 PROTEIN', 74606),
(130881, 'PTHR24343:SF385', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2G', 74607),
(130882, 'PTHR47785:SF7', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 74608),
(130883, 'PTHR23110:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CHINMO', 74609),
(130884, 'PTHR22652', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP43', 74610),
(130885, 'PTHR13337:SF6', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] CYTOCHROME B SMALL SUBUNIT, MITOCHONDRIAL', 74611),
(130886, 'PTHR12858:SF2', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN BMS1 HOMOLOG', 74612),
(130887, 'PTHR12673:SF256', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 74613),
(130888, 'PTHR37016:SF2', NULL, NULL, NULL, NULL, 'NEUTRAL PROTEASE 2 HOMOLOG SNOG_02177', 74614),
(130889, 'PTHR33312:SF8', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 1-RELATED', 74615),
(130890, 'PTHR36039:SF2', NULL, NULL, NULL, NULL, 'RNA LIGASE/CYCLIC NUCLEOTIDE PHOSPHODIESTERASE FAMILY PROTEIN', 74616),
(130891, 'PTHR46592:SF1', NULL, NULL, NULL, NULL, 'OS01G0736600 PROTEIN', 74617),
(130892, 'PTHR20961:SF83', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', 74618),
(130893, 'PTHR15565:SF2', NULL, NULL, NULL, NULL, 'BNAA09G05660D PROTEIN', 74619),
(130894, 'PTHR24072:SF346', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC7', 74620),
(130895, 'PTHR46662:SF48', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN EIX2', 74621),
(130896, 'PTHR30465:SF78', NULL, NULL, NULL, NULL, 'OPPB IN A BINDING PROTEIN-DEPENDENT TRANSPORT SYSTEM', 74622),
(130897, 'PTHR31376:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74623),
(130898, 'PTHR45811:SF32', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN PROTEIN', 74624),
(130899, 'PTHR33880:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74625),
(130900, 'PTHR31210:SF53', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF707)-RELATED', 74626),
(130901, 'PTHR13156', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE 13 KD-A SUBUNIT', 74627),
(130902, 'PTHR47477:SF4', NULL, NULL, NULL, NULL, 'TRAF-LIKE SUPERFAMILY PROTEIN', 74628),
(130903, 'PTHR12356:SF22', NULL, NULL, NULL, NULL, 'PROTEIN BOBBER 2-LIKE', 74629),
(130904, 'PTHR23050:SF254', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN E63-1', 74630),
(130905, 'PTHR24253:SF111', NULL, NULL, NULL, NULL, 'AGAP011791-PA', 74631),
(130906, 'PTHR11439:SF339', NULL, NULL, NULL, NULL, 'GAG-PRE-INTEGRASE DOMAIN-CONTAINING PROTEIN-RELATED', 74632),
(130907, 'PTHR33179:SF52', NULL, NULL, NULL, NULL, 'BNAC04G24800D PROTEIN', 74633),
(130908, 'PTHR11256:SF50', NULL, NULL, NULL, NULL, 'APOPTOSIS REGULATOR CED-9', 74634),
(130909, 'PTHR47978:SF38', NULL, NULL, NULL, NULL, 'OS01G0848700 PROTEIN', 74635),
(130910, 'PTHR46477:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74636),
(130911, 'PTHR15484:SF8', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA34', 74637),
(130912, 'PTHR24028:SF69', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-7', 74638),
(130913, 'PTHR21355:SF15', NULL, NULL, NULL, NULL, 'BNAA06G24220D PROTEIN', 74639),
(130914, 'PTHR45637:SF48', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIPK2', 74640),
(130915, 'PTHR48011', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTIONAL COMPLEX SUBUNIT CAF120-RELATED', 74641);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(130916, 'PTHR10276:SF3', NULL, NULL, NULL, NULL, 'CORE-BINDING FACTOR SUBUNIT BETA', 74642),
(130917, 'PTHR32448:SF68', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 14-RELATED', 74643),
(130918, 'PTHR40472:SF7', NULL, NULL, NULL, NULL, 'PROTEIN RAPUNZEL', 74644),
(130919, 'PTHR39540:SF1', NULL, NULL, NULL, NULL, 'DICTOMALLEIN-1-RELATED', 74645),
(130920, 'PTHR23050:SF435', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 8', 74646),
(130921, 'PTHR11929:SF131', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE 10', 74647),
(130922, 'PTHR33228:SF31', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 74648),
(130923, 'PTHR11370:SF4', NULL, NULL, NULL, NULL, 'ZGC:110224', 74649),
(130924, 'PTHR35496:SF10', NULL, NULL, NULL, NULL, '2S SULFUR-RICH SEED STORAGE PROTEIN 2-LIKE', 74650),
(130925, 'PTHR11850:SF278', NULL, NULL, NULL, NULL, 'BNAA07G03610D PROTEIN', 74651),
(130926, 'PTHR11405:SF38', NULL, NULL, NULL, NULL, 'CARBAMOYL-PHOSPHATE SYNTHASE [AMMONIA], MITOCHONDRIAL', 74652),
(130927, 'PTHR46777:SF5', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 13', 74653),
(130928, 'PTHR34272:SF12', NULL, NULL, NULL, NULL, 'BNACNNG44240D PROTEIN', 74654),
(130929, 'PTHR33083:SF69', NULL, NULL, NULL, NULL, 'BNAC03G62980D PROTEIN', 74655),
(130930, 'PTHR31264', NULL, NULL, NULL, NULL, 'OS07G0554500 PROTEIN-RELATED', 74656),
(130931, 'PTHR28125:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', 74657),
(130932, 'PTHR32099:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74658),
(130933, 'PTHR46033:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM HOMOLOG', 74659),
(130934, 'PTHR31194:SF125', NULL, NULL, NULL, NULL, 'BNAA08G14320D PROTEIN', 74660),
(130935, 'PTHR33265:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74661),
(130936, 'PTHR12704:SF4', NULL, NULL, NULL, NULL, 'GOLGI PHOSPHOPROTEIN 3-LIKE', 74662),
(130937, 'PTHR22872', NULL, NULL, NULL, NULL, 'BTK-BINDING PROTEIN-RELATED', 74663),
(130938, 'PTHR39576:SF2', NULL, NULL, NULL, NULL, 'ATTACHING AND EFFACING PROTEIN HOMOLOG-RELATED', 74664),
(130939, 'PTHR23202:SF57', NULL, NULL, NULL, NULL, 'OS05G0153066 PROTEIN', 74665),
(130940, 'PTHR35420:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74666),
(130941, 'PTHR24023:SF978', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74667),
(130942, 'PTHR13878:SF93', NULL, NULL, NULL, NULL, 'D-ARABINONO-1,4-LACTONE OXIDASE-LIKE PROTEIN', 74668),
(130943, 'PTHR31734:SF7', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA33', 74669),
(130944, 'PTHR21700:SF37', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 74670),
(130945, 'PTHR10649:SF14', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR 2', 74671),
(130946, 'PTHR22904:SF519', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74672),
(130947, 'PTHR31843:SF13', NULL, NULL, NULL, NULL, 'ALLENE OXIDE CYCLASE 3, CHLOROPLASTIC', 74673),
(130948, 'PTHR14741:SF38', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', 74674),
(130949, 'PTHR42783:SF2', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE B (NAD(+)), ELECTRON TRANSFER SUBUNIT-RELATED', 74675),
(130950, 'PTHR12345:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74676),
(130951, 'PTHR22670', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 74677),
(130952, 'PTHR47050', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 24', 74678),
(130953, 'PTHR19991:SF2', NULL, NULL, NULL, NULL, 'GH08893P', 74679),
(130954, 'PTHR38218:SF9', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 74680),
(130955, 'PTHR31645:SF59', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', 74681),
(130956, 'PTHR38589:SF1', NULL, NULL, NULL, NULL, 'BLR0621 PROTEIN', 74682),
(130957, 'PTHR34585:SF22', NULL, NULL, NULL, NULL, 'BACTERIAL REGULATORY PROTEIN, ME-LIKE PROTEIN', 74683),
(130958, 'PTHR12565:SF346', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BEE 3', 74684),
(130959, 'PTHR13236', NULL, NULL, NULL, NULL, 'DYNEIN 2 LIGHT INTERMEDIATE CHAIN, ISOFORM 2', 74685);
INSERT INTO "PUBLIC"."MODEL" VALUES
(130960, 'PTHR31639:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74686),
(130961, 'PTHR11926:SF1034', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76E1-RELATED', 74687),
(130962, 'PTHR46153:SF7', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 74688),
(130963, 'PTHR11258:SF13', NULL, NULL, NULL, NULL, '2''-5''-OLIGOADENYLATE SYNTHASE 1', 74689),
(130964, 'PTHR12565:SF340', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BEE 1', 74690),
(130965, 'PTHR31923:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74691),
(130966, 'PTHR10858:SF23', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE II', 74692),
(130967, 'PTHR11200:SF274', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 12-LIKE', 74693),
(130968, 'PTHR31907:SF1', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 423', 74694),
(130969, 'PTHR13303:SF1', NULL, NULL, NULL, NULL, 'BNAA05G17160D PROTEIN', 74695),
(130970, 'PTHR47967:SF21', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', 74696),
(130971, 'PTHR12443:SF13', NULL, NULL, NULL, NULL, 'TRANSLOCATION PROTEIN SEC62-LIKE ISOFORM X1', 74697),
(130972, 'PTHR45879:SF1', NULL, NULL, NULL, NULL, 'CYCLIC AMP-RESPONSIVE ELEMENT-BINDING PROTEIN 1', 74698),
(130973, 'PTHR39196:SF1', NULL, NULL, NULL, NULL, 'PRIMOSOME, DNAD SUBUNIT', 74699),
(130974, 'PTHR24637:SF323', NULL, NULL, NULL, NULL, 'COLLAGEN', 74700),
(130975, 'PTHR10961:SF7', NULL, NULL, NULL, NULL, 'PEROXISOMAL SARCOSINE OXIDASE', 74701),
(130976, 'PTHR31867:SF193', NULL, NULL, NULL, NULL, 'EXPANSIN', 74702),
(130977, 'PTHR12606:SF128', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEASE 2', 74703),
(130978, 'PTHR11802:SF294', NULL, NULL, NULL, NULL, 'OS03G0393066 PROTEIN', 74704),
(130979, 'PTHR11926:SF709', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 74705),
(130980, 'PTHR45735', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR SUBUNIT 2', 74706),
(130981, 'PTHR48020:SF3', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', 74707),
(130982, 'PTHR11802:SF307', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 47', 74708),
(130983, 'PTHR46040', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN 2', 74709),
(130984, 'PTHR31304:SF47', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 38-LIKE ISOFORM X1', 74710),
(130985, 'PTHR10969:SF14', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEINS 1A/1B LIGHT CHAIN 3A', 74711),
(130986, 'PTHR37535:SF2', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G09300)-RELATED', 74712),
(130987, 'PTHR46455:SF6', NULL, NULL, NULL, NULL, 'RE22408P-RELATED', 74713),
(130988, 'PTHR31769:SF76', NULL, NULL, NULL, NULL, 'OS05G0121000 PROTEIN', 74714),
(130989, 'PTHR31213:SF132', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL11-LIKE', 74715),
(130990, 'PTHR24078:SF557', NULL, NULL, NULL, NULL, 'FI02090P', 74716),
(130991, 'PTHR11711:SF385', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR', 74717),
(130992, 'PTHR33646:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74718),
(130993, 'PTHR46349', NULL, NULL, NULL, NULL, 'CINGULIN-LIKE PROTEIN 1-RELATED', 74719),
(130994, 'PTHR23065:SF9', NULL, NULL, NULL, NULL, 'PROLINE-SERINE-THREONINE PHOSPHATASE-INTERACTING PROTEIN 2', 74720),
(130995, 'PTHR13190:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74721),
(130996, 'PTHR11760:SF19', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S3', 74722),
(130997, 'PTHR11764:SF60', NULL, NULL, NULL, NULL, 'DELTA-AMYRIN SYNTHASE', 74723),
(130998, 'PTHR24253:SF112', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 60.2', 74724),
(130999, 'PTHR33326:SF4', NULL, NULL, NULL, NULL, 'OS06G0133700 PROTEIN', 74725),
(131000, 'PTHR27002:SF798', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 74726),
(131001, 'PTHR45801:SF65', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 74727),
(131002, 'PTHR45730:SF83', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', 74728),
(131003, 'PTHR43607:SF3', NULL, NULL, NULL, NULL, 'VACUOLAR PROTON PUMP3', 74729);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(131004, 'PTHR24134:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74730),
(131005, 'PTHR34107:SF1', NULL, NULL, NULL, NULL, 'SLL0198 PROTEIN', 74731),
(131006, 'PTHR12035:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74732),
(131007, 'PTHR11599:SF147', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-5-A-RELATED', 74733),
(131008, 'PTHR46881:SF1', NULL, NULL, NULL, NULL, 'PALMDELPHIN', 74734),
(131009, 'PTHR12555:SF21', NULL, NULL, NULL, NULL, 'UBIQUITIN FUSION DEGRADATION 1 PROTEIN', 74735),
(131010, 'PTHR11537:SF126', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY C MEMBER 4', 74736),
(131011, 'PTHR43200:SF7', NULL, NULL, NULL, NULL, 'OS12G0183200 PROTEIN', 74737),
(131012, 'PTHR34481', NULL, NULL, NULL, NULL, 'TRYPSIN/FACTOR XIIA INHIBITOR-RELATED', 74738),
(131013, 'PTHR46373:SF8', NULL, NULL, NULL, NULL, 'OS12G0231500 PROTEIN', 74739),
(131014, 'PTHR14447:SF0', NULL, NULL, NULL, NULL, 'UROTENSIN-2', 74740),
(131015, 'PTHR33469', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 4', 74741),
(131016, 'PTHR19282:SF452', NULL, NULL, NULL, NULL, 'LD03691P', 74742),
(131017, 'PTHR23252', NULL, NULL, NULL, NULL, 'INTIMAL THICKNESS RECEPTOR-RELATED', 74743),
(131018, 'PTHR11454:SF24', NULL, NULL, NULL, NULL, 'INSULIN-1', 74744),
(131019, 'PTHR43094:SF2', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE, CLASS III (AFU_ORTHOLOGUE AFUA_1G16810)', 74745),
(131020, 'PTHR24305:SF204', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 74746),
(131021, 'PTHR14624:SF3', NULL, NULL, NULL, NULL, 'BNAC09G09050D PROTEIN', 74747),
(131022, 'PTHR11467:SF113', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN PF1', 74748),
(131023, 'PTHR24208:SF105', NULL, NULL, NULL, NULL, 'DLIM1', 74749),
(131024, 'PTHR35358:SF10', NULL, NULL, NULL, NULL, 'OS06G0711100 PROTEIN', 74750),
(131025, 'PTHR43601', NULL, NULL, NULL, NULL, 'THIOREDOXIN, MITOCHONDRIAL', 74751),
(131026, 'PTHR24320:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74752),
(131027, 'PTHR12616:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 41 HOMOLOG', 74753),
(131028, 'PTHR43601:SF3', NULL, NULL, NULL, NULL, 'THIOREDOXIN, MITOCHONDRIAL', 74754),
(131029, 'PTHR45985:SF1', NULL, NULL, NULL, NULL, 'VERMIFORM, ISOFORM I', 74755),
(131030, 'PTHR24282:SF31', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 734A2', 74756),
(131031, 'PTHR23151:SF9', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX, MITOCHONDRIAL', 74757),
(131032, 'PTHR47679', NULL, NULL, NULL, NULL, 'PROTEIN TORNADO 1', 74758),
(131033, 'PTHR47984:SF11', NULL, NULL, NULL, NULL, 'TELOKIN/MYOSIN LIGHT CHAIN KINASE-RELATED', 74759),
(131034, 'PTHR36938:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG18914', 74760),
(131035, 'PTHR31495:SF20', NULL, NULL, NULL, NULL, 'CALEOSIN-RELATED FAMILY PROTEIN', 74761),
(131036, 'PTHR43775:SF24', NULL, NULL, NULL, NULL, 'NON-REDUCING POLYKETIDE SYNTHASE APTA-RELATED', 74762),
(131037, 'PTHR12542:SF151', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 74763),
(131038, 'PTHR11042:SF131', NULL, NULL, NULL, NULL, 'SI:CH211-63O20.7', 74764),
(131039, 'PTHR16982:SF2', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6D', 74765),
(131040, 'PTHR31636:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74766),
(131041, 'PTHR24064:SF527', NULL, NULL, NULL, NULL, 'BNAA09G16500D PROTEIN', 74767),
(131042, 'PTHR13605:SF7', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 7 HOMOLOG', 74768),
(131043, 'PTHR31654:SF0', NULL, NULL, NULL, NULL, 'SECRETED BETA-GLUCOSIDASE ADG3-RELATED', 74769),
(131044, 'PTHR14217:SF20', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', 74770),
(131045, 'PTHR35013:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG18177', 74771),
(131046, 'PTHR24111', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 34', 74772),
(131047, 'PTHR11945:SF622', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74773),
(131048, 'PTHR10920:SF25', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE(32)/GUANOSINE(34)-2''-O)-METHYLTRANSFERASE-RELATED', 74774);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(131049, 'PTHR14614', NULL, NULL, NULL, NULL, 'HEPATOCELLULAR CARCINOMA-ASSOCIATED ANTIGEN', 74775),
(131050, 'PTHR33785:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74776),
(131051, 'PTHR16071:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 1 OPEN READING FRAME 112', 74777),
(131052, 'PTHR31344:SF11', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN GAR2-LIKE PROTEIN', 74778),
(131053, 'PTHR12320:SF54', NULL, NULL, NULL, NULL, 'SPT23P', 74779),
(131054, 'PTHR33147:SF57', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', 74780),
(131055, 'PTHR37864', NULL, NULL, NULL, NULL, 'SIMILAR TO AVLV472', 74781),
(131056, 'PTHR43039:SF14', NULL, NULL, NULL, NULL, 'ESTERASE KAI2-RELATED', 74782),
(131057, 'PTHR31707:SF299', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 74783),
(131058, 'PTHR31175:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74784),
(131059, 'PTHR31580:SF39', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN-RELATED', 74785),
(131060, 'PTHR22716:SF1', NULL, NULL, NULL, NULL, 'ETS CLASS TRANSCRIPTION FACTOR-RELATED', 74786),
(131061, 'PTHR31920:SF47', NULL, NULL, NULL, NULL, 'BNAA02G35370D PROTEIN', 74787),
(131062, 'PTHR48111:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN CUTR', 74788),
(131063, 'PTHR48094:SF15', NULL, NULL, NULL, NULL, 'OS01G0217500 PROTEIN', 74789),
(131064, 'PTHR47849:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74790),
(131065, 'PTHR15140:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74791),
(131066, 'PTHR46096:SF3', NULL, NULL, NULL, NULL, 'PERFORIN-1', 74792),
(131067, 'PTHR23267:SF413', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 1-44-RELATED', 74793),
(131068, 'PTHR31731:SF71', NULL, NULL, NULL, NULL, 'CORTICAL CELL-DELINEATING PROTEIN', 74794),
(131069, 'PTHR19282:SF198', NULL, NULL, NULL, NULL, 'TETRASPANIN-11', 74795),
(131070, 'PTHR43004:SF2', NULL, NULL, NULL, NULL, 'TRK SYSTEM POTASSIUM UPTAKE PROTEIN TRKA', 74796),
(131071, 'PTHR11339:SF267', NULL, NULL, NULL, NULL, 'MUCIN-5B', 74797),
(131072, 'PTHR24390:SF127', NULL, NULL, NULL, NULL, 'SI:CH73-221F6.4-RELATED', 74798),
(131073, 'PTHR23328:SF0', NULL, NULL, NULL, NULL, 'OS12G0267900 PROTEIN', 74799),
(131074, 'PTHR28264', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A', 74800),
(131075, 'PTHR23294:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 74801),
(131076, 'PTHR33102:SF33', NULL, NULL, NULL, NULL, 'OS08G0357700 PROTEIN', 74802),
(131077, 'PTHR23189:SF40', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 15B-RELATED', 74803),
(131078, 'PTHR24328:SF7', NULL, NULL, NULL, NULL, 'BUTTONLESS', 74804),
(131079, 'PTHR36858:SF1', NULL, NULL, NULL, NULL, 'AMELOTIN', 74805),
(131080, 'PTHR31563:SF10', NULL, NULL, NULL, NULL, 'ION CHANNEL POLLUX-RELATED', 74806),
(131081, 'PTHR31839:SF63', NULL, NULL, NULL, NULL, 'BNAA08G30950D PROTEIN', 74807),
(131082, 'PTHR33305:SF38', NULL, NULL, NULL, NULL, 'BNAA07G39030D PROTEIN', 74808),
(131083, 'PTHR10795:SF650', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.5', 74809),
(131084, 'PTHR31992:SF172', NULL, NULL, NULL, NULL, 'BNAC03G58500D PROTEIN', 74810),
(131085, 'PTHR11177:SF348', NULL, NULL, NULL, NULL, 'CLASS V CHITINASE CHIT5A', 74811),
(131086, 'PTHR12791:SF37', NULL, NULL, NULL, NULL, 'BET1-LIKE PROTEIN', 74812),
(131087, 'PTHR10593:SF153', NULL, NULL, NULL, NULL, 'BNAA09G24680D PROTEIN', 74813),
(131088, 'PTHR13847:SF249', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 74814),
(131089, 'PTHR12979:SF5', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 10', 74815),
(131090, 'PTHR24376:SF159', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 26', 74816),
(131091, 'PTHR34563:SF7', NULL, NULL, NULL, NULL, 'BNAA01G25980D PROTEIN', 74817),
(131092, 'PTHR24173:SF12', NULL, NULL, NULL, NULL, 'PROTEIN FEM-1 HOMOLOG A', 74818),
(131093, 'PTHR21258:SF39', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR SUBSTRATE 3', 74819),
(131094, 'PTHR10556:SF49', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE 1', 74820),
(131095, 'PTHR10256:SF0', NULL, NULL, NULL, NULL, 'SELENIDE, WATER DIKINASE-RELATED', 74821);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(131096, 'PTHR12639:SF6', NULL, NULL, NULL, NULL, 'VITAMIN K-DEPENDENT GAMMA-CARBOXYLASE', 74822),
(131097, 'PTHR12064:SF26', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER CNNM4', 74823),
(131098, 'PTHR47230:SF1', NULL, NULL, NULL, NULL, 'TIR DOMAIN-CONTAINING ADAPTER MOLECULE 1', 74824),
(131099, 'PTHR24118:SF72', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 16', 74825),
(131100, 'PTHR33592:SF9', NULL, NULL, NULL, NULL, 'BNAC04G42470D PROTEIN', 74826),
(131101, 'PTHR33722:SF1', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT DELTA', 74827),
(131102, 'PTHR20837:SF7', NULL, NULL, NULL, NULL, 'COILED-COIL AND C2 DOMAIN-CONTAINING PROTEIN 2A', 74828),
(131103, 'PTHR47687:SF2', NULL, NULL, NULL, NULL, 'G8 DOMAIN-CONTAINING PROTEIN DDB_G0278975', 74829),
(131104, 'PTHR43269:SF3', NULL, NULL, NULL, NULL, 'BNAC03G40960D PROTEIN', 74830),
(131105, 'PTHR31269:SF33', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH2', 74831),
(131106, 'PTHR45528:SF5', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE CSSS', 74832),
(131107, 'PTHR12802:SF39', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX SUBUNIT SWI3D', 74833),
(131108, 'PTHR11886:SF90', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 74834),
(131109, 'PTHR15341', NULL, NULL, NULL, NULL, 'SUN-COR STEROID HORMONE RECEPTOR CO-REPRESSOR', 74835),
(131110, 'PTHR12286:SF5', NULL, NULL, NULL, NULL, 'SACCHAROPINE DEHYDROGENASE-LIKE OXIDOREDUCTASE', 74836),
(131111, 'PTHR42978:SF5', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY PROTEIN', 74837),
(131112, 'PTHR31140:SF89', NULL, NULL, NULL, NULL, 'BNAA05G15710D PROTEIN', 74838),
(131113, 'PTHR12931:SF18', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE OTUBAIN-LIKE', 74839),
(131114, 'PTHR23428:SF254', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE W-T', 74840),
(131115, 'PTHR12737', NULL, NULL, NULL, NULL, 'DIMETHYLARGININE DIMETHYLAMINOHYDROLASE', 74841),
(131116, 'PTHR22966:SF50', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 2-LIKE ISOFORM X1', 74842),
(131117, 'PTHR16230', NULL, NULL, NULL, NULL, 'CAPPUCCINO', 74843),
(131118, 'PTHR33128:SF54', NULL, NULL, NULL, NULL, 'OS01G0849500 PROTEIN', 74844),
(131119, 'PTHR46901', NULL, NULL, NULL, NULL, 'GH04942P', 74845),
(131120, 'PTHR38794:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 74846),
(131121, 'PTHR10740:SF3', NULL, NULL, NULL, NULL, 'PROBETACELLULIN', 74847),
(131122, 'PTHR11654:SF531', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', 74848),
(131123, 'PTHR23315:SF111', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 14', 74849),
(131124, 'PTHR21470:SF15', NULL, NULL, NULL, NULL, 'BNAC03G73270D PROTEIN', 74850),
(131125, 'PTHR12989:SF12', NULL, NULL, NULL, NULL, 'DOL-P-GLC:GLC(2)MAN(9)GLCNAC(2)-PP-DOL ALPHA-1,2-GLUCOSYLTRANSFERASE-RELATED', 74851),
(131126, 'PTHR31676:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74852),
(131127, 'PTHR24282:SF221', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74853),
(131128, 'PTHR46213:SF9', NULL, NULL, NULL, NULL, 'PROTEIN ROS1-LIKE', 74854),
(131129, 'PTHR36617', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 74855),
(131130, 'PTHR11711:SF333', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 1-LIKE 1', 74856),
(131131, 'PTHR10026:SF136', NULL, NULL, NULL, NULL, 'BNAC03G58020D PROTEIN', 74857),
(131132, 'PTHR31190:SF110', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF1', 74858),
(131133, 'PTHR31072:SF178', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP13', 74859),
(131134, 'PTHR31917:SF69', NULL, NULL, NULL, NULL, 'PHD ZINC FINGER PROTEIN', 74860),
(131135, 'PTHR30071:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B/B6 PROTEIN-RELATED', 74861),
(131136, 'PTHR14347', NULL, NULL, NULL, NULL, 'CLAUDIN DOMAIN-CONTAINING PROTEIN 1', 74862),
(131137, 'PTHR45987:SF7', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L12-2, CHLOROPLASTIC', 74863),
(131138, 'PTHR34223:SF11', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 74864),
(131139, 'PTHR40135', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 74865);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(131140, 'PTHR11566:SF150', NULL, NULL, NULL, NULL, 'GTPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G08580)-RELATED', 74866),
(131141, 'PTHR24015:SF1824', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 74867),
(131142, 'PTHR34390:SF1', NULL, NULL, NULL, NULL, 'UPF0442 PROTEIN YJJB', 74868),
(131143, 'PTHR45769:SF8', NULL, NULL, NULL, NULL, 'ADENOSINE KINASE 2', 74869),
(131144, 'PTHR34276:SF2', NULL, NULL, NULL, NULL, 'BNAC05G39580D PROTEIN', 74870),
(131145, 'PTHR11055:SF54', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE', 74871),
(131146, 'PTHR26453:SF650', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 74872),
(131147, 'PTHR13301:SF152', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', 74873),
(131148, 'PTHR16434', NULL, NULL, NULL, NULL, 'EWING''S TUMOR-ASSOCIATED ANTIGEN 1 ETAA1', 74874),
(131149, 'PTHR37401', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 74875),
(131150, 'PTHR48092:SF6', NULL, NULL, NULL, NULL, 'PROGESTERONE RECEPTOR', 74876),
(131151, 'PTHR23244:SF456', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA 1-RELATED', 74877),
(131152, 'PTHR12149:SF10', NULL, NULL, NULL, NULL, 'KETOSAMINE-3-KINASE', 74878),
(131153, 'PTHR31476:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAMILY PROTEIN', 74879),
(131154, 'PTHR11822:SF5', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP], CHLOROPLASTIC/MITOCHONDRIAL', 74880),
(131155, 'PTHR42305', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN RV1733C-RELATED', 74881),
(131156, 'PTHR27007:SF316', NULL, NULL, NULL, NULL, 'LECTIN-DOMAIN CONTAINING RECEPTOR KINASE A4.1', 74882),
(131157, 'PTHR24373:SF337', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 15-LIKE PROTEIN', 74883),
(131158, 'PTHR21145:SF13', NULL, NULL, NULL, NULL, 'MUTASE, CHLOROPLAST, PUTATIVE-RELATED', 74884),
(131159, 'PTHR24282:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP13A8-RELATED', 74885),
(131160, 'PTHR12439:SF36', NULL, NULL, NULL, NULL, 'POLY(U)-SPECIFIC ENDORIBONUCLEASE', 74886),
(131161, 'PTHR30003:SF2', NULL, NULL, NULL, NULL, 'L-LACTATE PERMEASE', 74887),
(131162, 'PTHR11205:SF45', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S5-LIKE', 74888),
(131163, 'PTHR47210', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26C-RELATED', 74889),
(131164, 'PTHR14795:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 62', 74890),
(131165, 'PTHR33091:SF77', NULL, NULL, NULL, NULL, 'INHIBITOR OF TRYPSIN AND HAGEMAN FACTOR-LIKE PROTEIN', 74891),
(131166, 'PTHR33450:SF4', NULL, NULL, NULL, NULL, 'DUF761 DOMAIN PROTEIN', 74892),
(131167, 'PTHR23503:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-207K7.1 PROTEIN', 74893),
(131168, 'PTHR12997', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL-1,4,5-TRISPHOSPHATE 5-PHOSPHATASE', 74894),
(131169, 'PTHR19321:SF36', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED-LIKE PROTEIN', 74895),
(131170, 'PTHR31625:SF73', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 74896),
(131171, 'PTHR43490:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74897),
(131172, 'PTHR48021:SF46', NULL, NULL, NULL, NULL, 'FACILITATED TREHALOSE TRANSPORTER TRET1-2 HOMOLOG-LIKE PROTEIN', 74898),
(131173, 'PTHR43493', NULL, NULL, NULL, NULL, 'DNA GYRASE/TOPOISOMERASE SUBUNIT A', 74899),
(131174, 'PTHR21569:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74900),
(131175, 'PTHR46128:SF240', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', 74901),
(131176, 'PTHR30563:SF0', NULL, NULL, NULL, NULL, 'DNA RECOMBINATION PROTEIN RMUC', 74902),
(131177, 'PTHR12879:SF3', NULL, NULL, NULL, NULL, 'SPHINGOLIPID DELTA(4)-DESATURASE-RELATED', 74903),
(131178, 'PTHR11260:SF544', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE', 74904),
(131179, 'PTHR11375:SF15', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY MEMBER C', 74905),
(131180, 'PTHR12606:SF108', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 8', 74906),
(131181, 'PTHR24345:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK1', 74907),
(131182, 'PTHR31052:SF23', NULL, NULL, NULL, NULL, 'BNAA02G05280D PROTEIN', 74908);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(131183, 'PTHR43738', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, MEMBRANE PROTEIN', 74909),
(131184, 'PTHR21450:SF10', NULL, NULL, NULL, NULL, 'OS09G0368900 PROTEIN', 74910),
(131185, 'PTHR19268:SF4', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 173-RELATED', 74911),
(131186, 'PTHR17149:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN 1B', 74912),
(131187, 'PTHR47939:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED SALT-INDUCIBLE PROTEIN-LIKE', 74913),
(131188, 'PTHR31248:SF11', NULL, NULL, NULL, NULL, 'BNAA10G17080D PROTEIN', 74914),
(131189, 'PTHR11241:SF9', NULL, NULL, NULL, NULL, 'DEOXYURIDINE 5''-TRIPHOSPHATE NUCLEOTIDOHYDROLASE-LIKE', 74915),
(131190, 'PTHR33700:SF20', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE', 74916),
(131191, 'PTHR38522', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE-ASSOCIATED CATION-BINDING PROTEIN 1', 74917),
(131192, 'PTHR44586:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74918),
(131193, 'PTHR22836', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', 74919),
(131194, 'PTHR32002:SF63', NULL, NULL, NULL, NULL, 'BNAC08G19370D PROTEIN', 74920),
(131195, 'PTHR13620:SF78', NULL, NULL, NULL, NULL, 'WERNER SYNDROME-LIKE EXONUCLEASE', 74921),
(131196, 'PTHR10485:SF15', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM17-3', 74922),
(131197, 'PTHR11907:SF24', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE 3, CHLOROPLASTIC', 74923),
(131198, 'PTHR34274:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 74924),
(131199, 'PTHR31516:SF9', NULL, NULL, NULL, NULL, 'STABILIZER OF AXONEMAL MICROTUBULES 1', 74925),
(131200, 'PTHR48018:SF72', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8D1', 74926),
(131201, 'PTHR31009:SF120', NULL, NULL, NULL, NULL, 'F9L1.6', 74927),
(131202, 'PTHR11362:SF118', NULL, NULL, NULL, NULL, 'BNAA04G15930D PROTEIN', 74928),
(131203, 'PTHR37953:SF1', NULL, NULL, NULL, NULL, 'UPF0127 PROTEIN MJ1496', 74929),
(131204, 'PTHR31339:SF56', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 74930),
(131205, 'PTHR31147:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74931),
(131206, 'PTHR48019:SF31', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PROTEIN SEPALLATA 2', 74932),
(131207, 'PTHR11748:SF83', NULL, NULL, NULL, NULL, 'DEHYDROGENASE (CYTOCHROME), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17520)-RELATED', 74933),
(131208, 'PTHR40469', NULL, NULL, NULL, NULL, 'SECRETED GLYCOSYL HYDROLASE', 74934),
(131209, 'PTHR11814:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74935),
(131210, 'PTHR19375:SF388', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN COGNATE 2', 74936),
(131211, 'PTHR23304:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74937),
(131212, 'PTHR12506', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE RELATED', 74938),
(131213, 'PTHR31388:SF201', NULL, NULL, NULL, NULL, 'PEROXIDASE', 74939),
(131214, 'PTHR43078:SF34', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE 2', 74940),
(131215, 'PTHR31471:SF63', NULL, NULL, NULL, NULL, 'REMORIN-RELATED', 74941),
(131216, 'PTHR13318:SF69', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 15', 74942),
(131217, 'PTHR23113:SF204', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR Q', 74943),
(131218, 'PTHR36454', NULL, NULL, NULL, NULL, 'LMO2823 PROTEIN', 74944),
(131219, 'PTHR26453:SF65', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 74945),
(131220, 'PTHR33103:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74946),
(131221, 'PTHR46475:SF6', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN AND ANKYRIN REPEAT-CONTAINING PROTEIN NPR1-LIKE', 74947),
(131222, 'PTHR15241:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74948),
(131223, 'PTHR45687:SF8', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE AQUAPORIN', 74949),
(131224, 'PTHR15592:SF28', NULL, NULL, NULL, NULL, 'OS01G0867800 PROTEIN', 74950),
(131225, 'PTHR46645', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN 2B-RELATED', 74951),
(131226, 'PTHR11404:SF29', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE', 74952),
(131227, 'PTHR21683:SF3', NULL, NULL, NULL, NULL, 'CILIA AND FLAGELLA ASSOCIATED PROTEIN 100', 74953);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(131228, 'PTHR47556:SF1', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', 74954),
(131229, 'PTHR13710:SF69', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE Q-LIKE SIM', 74955),
(131230, 'PTHR10676:SF344', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 5, AXONEMAL', 74956),
(131231, 'PTHR19325:SF528', NULL, NULL, NULL, NULL, 'FURROWED, ISOFORM A', 74957),
(131232, 'PTHR24296:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74958),
(131233, 'PTHR31676:SF155', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 74959),
(131234, 'PTHR47226', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT DOMAIN-CONTAINING PROTEIN 4A', 74960),
(131235, 'PTHR13167:SF39', NULL, NULL, NULL, NULL, 'PIEZO-TYPE MECHANOSENSITIVE ION CHANNEL COMPONENT', 74961),
(131236, 'PTHR34120:SF14', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE-RELATED', 74962),
(131237, 'PTHR22952:SF438', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 8', 74963),
(131238, 'PTHR31194:SF121', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WIN1-LIKE ISOFORM X1', 74964),
(131239, 'PTHR10706:SF153', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, GALACTOSE OXIDASE/KELCH, BETA-PROPELLER-RELATED', 74965),
(131240, 'PTHR30332:SF4', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS PROTEIN', 74966),
(131241, 'PTHR44259:SF67', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', 74967),
(131242, 'PTHR33109:SF69', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 74968),
(131243, 'PTHR10994:SF87', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 74969),
(131244, 'PTHR23050:SF431', NULL, NULL, NULL, NULL, 'CALMODULIN', 74970),
(131245, 'PTHR10686:SF14', NULL, NULL, NULL, NULL, 'FOLATE-LIKE TRANSPORTER 2', 74971),
(131246, 'PTHR10241:SF21', NULL, NULL, NULL, NULL, 'LETHAL(2) GIANT LARVAE PROTEIN HOMOLOG 1', 74972),
(131247, 'PTHR30409', NULL, NULL, NULL, NULL, 'CARBAMATE KINASE', 74973),
(131248, 'PTHR11246:SF27', NULL, NULL, NULL, NULL, 'BNAC03G66550D PROTEIN', 74974),
(131249, 'PTHR47984:SF4', NULL, NULL, NULL, NULL, 'OS10G0497600 PROTEIN', 74975),
(131250, 'PTHR31389:SF4', NULL, NULL, NULL, NULL, 'LD39211P', 74976),
(131251, 'PTHR24177:SF298', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74977),
(131252, 'PTHR34861:SF10', NULL, NULL, NULL, NULL, 'SECRETED METAL-DEPENDENT CYCLASE', 74978),
(131253, 'PTHR11733:SF114', NULL, NULL, NULL, NULL, 'NEPRILYSIN', 74979),
(131254, 'PTHR12757', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR INDUCED PROTEIN', 74980),
(131255, 'PTHR26452:SF75', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 481', 74981),
(131256, 'PTHR42812', NULL, NULL, NULL, NULL, 'BETA-XYLOSIDASE', 74982),
(131257, 'PTHR11920:SF300', NULL, NULL, NULL, NULL, 'ATRIAL NATRIURETIC PEPTIDE RECEPTOR 1', 74983),
(131258, 'PTHR18640', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 10 MEMBER 7', 74984),
(131259, 'PTHR46285:SF3', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR I4, SERPIN (DUF716)', 74985),
(131260, 'PTHR32378:SF11', NULL, NULL, NULL, NULL, 'GGL DOMAIN PROTEIN', 74986),
(131261, 'PTHR47967:SF78', NULL, NULL, NULL, NULL, 'PROTEIN ASPARTIC PROTEASE IN GUARD CELL 1-LIKE', 74987),
(131262, 'PTHR22930:SF207', NULL, NULL, NULL, NULL, 'SIMILAR TO ENSANGP00000010363', 74988),
(131263, 'PTHR28489', NULL, NULL, NULL, NULL, 'RENTINAL DEGENERATION 3-LIKE', 74989),
(131264, 'PTHR45624:SF31', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ORNITHINE TRANSPORTER 1', 74990),
(131265, 'PTHR37542:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 74991),
(131266, 'PTHR48043:SF88', NULL, NULL, NULL, NULL, 'OS07G0201500 PROTEIN', 74992),
(131267, 'PTHR31384:SF101', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 74993),
(131268, 'PTHR36326:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SULFUR DEFICIENCY-INDUCED 2', 74994),
(131269, 'PTHR24281:SF126', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', 74995),
(131270, 'PTHR21716', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 74996),
(131271, 'PTHR45637:SF51', NULL, NULL, NULL, NULL, 'OS08G0504800 PROTEIN', 74997),
(131272, 'PTHR32134:SF144', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN', 74998);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(131273, 'PTHR45659', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX', 74999),
(131274, 'PTHR45762:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75000),
(131275, 'PTHR33528:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75001),
(131276, 'PTHR12626:SF4', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH 4A', 75002),
(131277, 'PTHR36075', NULL, NULL, NULL, NULL, 'BNAA10G09820D PROTEIN', 75003),
(131278, 'PTHR48021:SF4', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 4', 75004),
(131279, 'PTHR31376:SF81', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 9-RELATED', 75005),
(131280, 'PTHR11746:SF212', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75006),
(131281, 'PTHR11629:SF93', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A2', 75007),
(131282, 'PTHR15241:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75008),
(131283, 'PTHR48018:SF88', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 75009),
(131284, 'PTHR11802:SF312', NULL, NULL, NULL, NULL, 'OSJNBB0062H02.3 PROTEIN', 75010),
(131285, 'PTHR31796:SF2', NULL, NULL, NULL, NULL, 'SUZ DOMAIN-CONTAINING PROTEIN 1', 75011),
(131286, 'PTHR33344:SF1', NULL, NULL, NULL, NULL, 'OS02G0761600 PROTEIN', 75012),
(131287, 'PTHR33228:SF19', NULL, NULL, NULL, NULL, 'GDU1', 75013),
(131288, 'PTHR34280:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 75014),
(131289, 'PTHR23037:SF30', NULL, NULL, NULL, NULL, 'INTERLEUKIN-2 RECEPTOR SUBUNIT BETA', 75015),
(131290, 'PTHR31414:SF15', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN DDB_G0292058', 75016),
(131291, 'PTHR33085:SF70', NULL, NULL, NULL, NULL, 'OS01G0927700 PROTEIN', 75017),
(131292, 'PTHR21136:SF176', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 721', 75018),
(131293, 'PTHR37229', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE', 75019),
(131294, 'PTHR43222:SF8', NULL, NULL, NULL, NULL, 'BNAA03G19740D PROTEIN', 75020),
(131295, 'PTHR44337:SF8', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 8', 75021),
(131296, 'PTHR22937:SF117', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR1-LIKE', 75022),
(131297, 'PTHR27008:SF472', NULL, NULL, NULL, NULL, 'BNAC03G27750D PROTEIN', 75023),
(131298, 'PTHR37224', NULL, NULL, NULL, NULL, 'OS02G0804400 PROTEIN', 75024),
(131299, 'PTHR30146', NULL, NULL, NULL, NULL, 'LACI-RELATED TRANSCRIPTIONAL REPRESSOR', 75025),
(131300, 'PTHR21593:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG06193', 75026),
(131301, 'PTHR43330:SF16', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2', 75027),
(131302, 'PTHR46463:SF47', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHF2A-LIKE', 75028),
(131303, 'PTHR24128:SF46', NULL, NULL, NULL, NULL, 'ALPHA-LATROTOXIN-LHE1A-LIKE ISOFORM X1', 75029),
(131304, 'PTHR31260:SF41', NULL, NULL, NULL, NULL, 'BNAA04G21710D PROTEIN', 75030),
(131305, 'PTHR45878:SF11', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPARENT TESTA 1-LIKE', 75031),
(131306, 'PTHR12096:SF2', NULL, NULL, NULL, NULL, 'BNAA02G18520D PROTEIN', 75032),
(131307, 'PTHR34388:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT DELTA', 75033),
(131308, 'PTHR43066:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75034),
(131309, 'PTHR24198:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75035),
(131310, 'PTHR33147:SF28', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 6', 75036),
(131311, 'PTHR23036:SF108', NULL, NULL, NULL, NULL, 'GROWTH HORMONE RECEPTOR', 75037),
(131312, 'PTHR18934:SF95', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE DHX15', 75038),
(131313, 'PTHR43861:SF3', NULL, NULL, NULL, NULL, 'SLR1183 PROTEIN', 75039),
(131314, 'PTHR24083:SF4', NULL, NULL, NULL, NULL, 'PHOTORECEPTOR-SPECIFIC NUCLEAR RECEPTOR', 75040),
(131315, 'PTHR11685:SF362', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 75041),
(131316, 'PTHR11685:SF109', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF19B', 75042),
(131317, 'PTHR31790:SF356', NULL, NULL, NULL, NULL, 'BNAA04G18770D PROTEIN', 75043),
(131318, 'PTHR43939:SF43', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 4', 75044);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(131319, 'PTHR11675:SF121', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE', 75045),
(131320, 'PTHR12716:SF15', NULL, NULL, NULL, NULL, 'INITIATION FACTOR TFIIE, BETA SUBUNIT, PUTATIVE-RELATED', 75046),
(131321, 'PTHR21596:SF53', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 5-RELATED', 75047),
(131322, 'PTHR12876:SF27', NULL, NULL, NULL, NULL, 'RIBONUCLEASE ZC3H12B-RELATED', 75048),
(131323, 'PTHR43677:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', 75049),
(131324, 'PTHR31835:SF1', NULL, NULL, NULL, NULL, 'URIDINE DIPHOSPHATE GLUCOSE PYROPHOSPHATASE', 75050),
(131325, 'PTHR43377:SF1', NULL, NULL, NULL, NULL, 'BILIVERDIN REDUCTASE A', 75051),
(131326, 'PTHR36941', NULL, NULL, NULL, NULL, 'PROTEIN CBG01621-RELATED', 75052),
(131327, 'PTHR33985:SF22', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 21', 75053),
(131328, 'PTHR12611', NULL, NULL, NULL, NULL, 'PUR-TRANSCRIPTIONAL ACTIVATOR', 75054),
(131329, 'PTHR30365:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME BD-II UBIQUINOL OXIDASE SUBUNIT 1', 75055),
(131330, 'PTHR31945:SF68', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UDT1', 75056),
(131331, 'PTHR12884:SF30', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', 75057),
(131332, 'PTHR11673:SF33', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-4', 75058),
(131333, 'PTHR20836:SF6', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE REDUCTASE-LIKE PROTEIN CRR1, CHLOROPLASTIC', 75059),
(131334, 'PTHR31325:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75060),
(131335, 'PTHR10980:SF47', NULL, NULL, NULL, NULL, 'BNAC08G41570D PROTEIN', 75061),
(131336, 'PTHR11592:SF96', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE HOMOLOG BSAA-LIKE', 75062),
(131337, 'PTHR47966:SF13', NULL, NULL, NULL, NULL, 'CHYMOSIN', 75063),
(131338, 'PTHR42509', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 75064),
(131339, 'PTHR45901:SF5', NULL, NULL, NULL, NULL, 'LIPOXYGENASE HOMOLOGY DOMAIN-CONTAINING PROTEIN 1-LIKE', 75065),
(131340, 'PTHR23147:SF202', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', 75066),
(131341, 'PTHR23159:SF16', NULL, NULL, NULL, NULL, 'CILIARY ROOTLET COILED-COIL PROTEIN 2-RELATED', 75067),
(131342, 'PTHR12137:SF33', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 14', 75068),
(131343, 'PTHR10663:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75069),
(131344, 'PTHR24006:SF693', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAF-Y-RELATED', 75070),
(131345, 'PTHR47986:SF12', NULL, NULL, NULL, NULL, 'BNACNNG38030D PROTEIN', 75071),
(131346, 'PTHR24115', NULL, NULL, NULL, NULL, 'KINESIN-RELATED', 75072),
(131347, 'PTHR36513:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75073),
(131348, 'PTHR46215', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 24-RELATED', 75074),
(131349, 'PTHR19957:SF289', NULL, NULL, NULL, NULL, 'BNAANNG02730D PROTEIN', 75075),
(131350, 'PTHR33210:SF16', NULL, NULL, NULL, NULL, 'OS04G0517000 PROTEIN', 75076),
(131351, 'PTHR12542:SF154', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 75077),
(131352, 'PTHR31157:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75078),
(131353, 'PTHR24221:SF566', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', 75079),
(131354, 'PTHR15217:SF4', NULL, NULL, NULL, NULL, 'BNAC06G42510D PROTEIN', 75080),
(131355, 'PTHR45714:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75081),
(131356, 'PTHR12428:SF49', NULL, NULL, NULL, NULL, 'BNAC04G01260D PROTEIN', 75082),
(131357, 'PTHR42110', NULL, NULL, NULL, NULL, 'L-ASPARAGINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11890)-RELATED', 75083),
(131358, 'PTHR45622:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HERC6-RELATED', 75084),
(131359, 'PTHR33142:SF58', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR1', 75085),
(131360, 'PTHR21230:SF81', NULL, NULL, NULL, NULL, 'BNAA05G08760D PROTEIN', 75086),
(131361, 'PTHR15256:SF6', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN DGCR2/IDD', 75087),
(131362, 'PTHR10795:SF469', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', 75088);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(131363, 'PTHR36120', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 75089),
(131364, 'PTHR26450:SF175', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52E6', 75090),
(131365, 'PTHR22691', NULL, NULL, NULL, NULL, 'YEAST SPT2-RELATED', 75091),
(131366, 'PTHR24216:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75092),
(131367, 'PTHR11461:SF344', NULL, NULL, NULL, NULL, 'SERPIN PEPTIDASE INHIBITOR, CLADE A (ALPHA-1 ANTIPROTEINASE, ANTITRYPSIN), MEMBER 10A-RELATED', 75093),
(131368, 'PTHR11260:SF533', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U5-RELATED', 75094),
(131369, 'PTHR31929:SF53', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 75095),
(131370, 'PTHR31096:SF62', NULL, NULL, NULL, NULL, 'FROM 2D-PAGE OF LEAF PROTEIN, PUTATIVE-RELATED', 75096),
(131371, 'PTHR15360:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75097),
(131372, 'PTHR11955:SF62', NULL, NULL, NULL, NULL, 'CELLULAR RETINOIC ACID-BINDING PROTEIN 1', 75098),
(131373, 'PTHR45496:SF23', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', 75099),
(131374, 'PTHR43142:SF5', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 75100),
(131375, 'PTHR24248:SF151', NULL, NULL, NULL, NULL, 'TYRAMINE RECEPTOR TYRA-2', 75101),
(131376, 'PTHR24388:SF73', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZFAT', 75102),
(131377, 'PTHR47999:SF12', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 75103),
(131378, 'PTHR34200', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE ISOFORM X1', 75104),
(131379, 'PTHR24416:SF562', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR RECEPTOR 3', 75105),
(131380, 'PTHR11817:SF88', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 75106),
(131381, 'PTHR32092:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 75107),
(131382, 'PTHR47999:SF57', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTIONAL FACTOR MYB76', 75108),
(131383, 'PTHR23024:SF524', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1B-LIKE', 75109),
(131384, 'PTHR23322:SF69', NULL, NULL, NULL, NULL, 'BNAC04G28950D PROTEIN', 75110),
(131385, 'PTHR12773:SF2', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL METHYLTRANSFERASE SUBUNIT TRM112-LIKE PROTEIN', 75111),
(131386, 'PTHR10894:SF32', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 5-1-RELATED', 75112),
(131387, 'PTHR10865:SF5', NULL, NULL, NULL, NULL, 'METASTASIS-ASSOCIATED PROTEIN MTA1', 75113),
(131388, 'PTHR10806:SF23', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', 75114),
(131389, 'PTHR46951:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75115),
(131390, 'PTHR11552:SF115', NULL, NULL, NULL, NULL, 'DEHYDROGENASE XPTC-RELATED', 75116),
(131391, 'PTHR46455:SF3', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN CONTAINING, ARTHROPOD-SPECIFIC, MEMBER 9, ISOFORM A-RELATED', 75117),
(131392, 'PTHR31989:SF330', NULL, NULL, NULL, NULL, 'OS05G0515800 PROTEIN', 75118),
(131393, 'PTHR35001:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75119),
(131394, 'PTHR22726:SF7', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 75120),
(131395, 'PTHR32440:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', 75121),
(131396, 'PTHR31674:SF21', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM8-LIKE', 75122),
(131397, 'PTHR48001:SF145', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 75123),
(131398, 'PTHR35472:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75124),
(131399, 'PTHR31717:SF65', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 14-LIKE', 75125),
(131400, 'PTHR33085:SF37', NULL, NULL, NULL, NULL, 'OS11G0143700 PROTEIN', 75126),
(131401, 'PTHR11640:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75127),
(131402, 'PTHR45744', NULL, NULL, NULL, NULL, 'TYROSINE AMINOTRANSFERASE', 75128),
(131403, 'PTHR12381:SF56', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN U', 75129),
(131404, 'PTHR47926:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75130),
(131405, 'PTHR33021:SF205', NULL, NULL, NULL, NULL, 'PLASTOCYANIN-LIKE DOMAIN PROTEIN', 75131),
(131406, 'PTHR47606:SF1', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY G MEMBER 2', 75132);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(131407, 'PTHR27006:SF216', NULL, NULL, NULL, NULL, '2-PHYTYL-1,4-BETA-NAPHTHOQUINONE METHYLTRANSFERASE, CHLOROPLASTIC', 75133),
(131408, 'PTHR24341', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ENGRAILED', 75134),
(131409, 'PTHR47901:SF3', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 18', 75135),
(131410, 'PTHR13104:SF1', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RNA (SNRNA) ASSOCIATED PROTEIN', 75136),
(131411, 'PTHR46084:SF11', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 75137),
(131412, 'PTHR24365:SF536', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 9', 75138),
(131413, 'PTHR10027:SF37', NULL, NULL, NULL, NULL, 'CHANNEL (CAKC), PUTATIVE-RELATED', 75139),
(131414, 'PTHR11346:SF88', NULL, NULL, NULL, NULL, 'PROTEIN CBG23172', 75140),
(131415, 'PTHR44329:SF57', NULL, NULL, NULL, NULL, 'INTEGRIN-LINKED PROTEIN KINASE', 75141),
(131416, 'PTHR12015:SF73', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 26', 75142),
(131417, 'PTHR10194:SF137', NULL, NULL, NULL, NULL, 'RAS GTPASE ACTIVATING PROTEIN', 75143),
(131418, 'PTHR45624:SF41', NULL, NULL, NULL, NULL, 'BASIC AMINO ACIDS TRANSPORTER-RELATED', 75144),
(131419, 'PTHR11544:SF67', NULL, NULL, NULL, NULL, 'C. ELEGANS Y-BOX', 75145),
(131420, 'PTHR12483:SF110', NULL, NULL, NULL, NULL, 'CTR COPPER TRANSPORTER-RELATED', 75146),
(131421, 'PTHR27002:SF727', NULL, NULL, NULL, NULL, 'OS07G0628700 PROTEIN', 75147),
(131422, 'PTHR46099', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 75148),
(131423, 'PTHR10353:SF147', NULL, NULL, NULL, NULL, '4-HYDROXY-7-METHOXY-3-OXO-3,4-DIHYDRO-2H-1,4-BENZOXAZIN-2-YL GLUCOSIDE BETA-D-GLUCOSIDASE 1, CHLOROPLASTIC', 75149),
(131424, 'PTHR41335:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 75150),
(131425, 'PTHR34407:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 75151),
(131426, 'PTHR45657:SF33', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', 75152),
(131427, 'PTHR31945:SF113', NULL, NULL, NULL, NULL, 'BNAC03G13080D PROTEIN', 75153),
(131428, 'PTHR48015:SF16', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TAO', 75154),
(131429, 'PTHR11824:SF10', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, BETA SUBUNIT', 75155),
(131430, 'PTHR30576:SF0', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-PHOSPHATE N-ACETYLGALACTOSAMINYL 1-PHOSPHATE TRANSFERASE-RELATED', 75156),
(131431, 'PTHR18929:SF189', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 1-5-RELATED', 75157),
(131432, 'PTHR12290:SF36', NULL, NULL, NULL, NULL, 'BNAA03G54690D PROTEIN', 75158),
(131433, 'PTHR10997:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75159),
(131434, 'PTHR48071:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-51A6.2-RELATED', 75160),
(131435, 'PTHR24379:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 57', 75161),
(131436, 'PTHR28025', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD1', 75162),
(131437, 'PTHR46991:SF30', NULL, NULL, NULL, NULL, 'BNAA01G31830D PROTEIN', 75163),
(131438, 'PTHR13254:SF0', NULL, NULL, NULL, NULL, 'RAS MODIFICATION PROTEIN ERF4', 75164),
(131439, 'PTHR10578:SF72', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO2', 75165),
(131440, 'PTHR47662:SF2', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL57-LIKE', 75166),
(131441, 'PTHR31358:SF38', NULL, NULL, NULL, NULL, 'OS02G0200800 PROTEIN', 75167),
(131442, 'PTHR11188:SF79', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', 75168),
(131443, 'PTHR12308:SF21', NULL, NULL, NULL, NULL, 'ANOCTAMIN-6', 75169),
(131444, 'PTHR11822:SF39', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', 75170),
(131445, 'PTHR44874:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 34', 75171),
(131446, 'PTHR22883:SF288', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE SWF1', 75172),
(131447, 'PTHR14614:SF137', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE EFM2', 75173),
(131448, 'PTHR23266:SF99', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY CONSTANT DELTA', 75174),
(131449, 'PTHR12022:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', 75175);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(131450, 'PTHR13407:SF0', NULL, NULL, NULL, NULL, 'FI05221P', 75176),
(131451, 'PTHR24349:SF394', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 3', 75177),
(131452, 'PTHR24356:SF382', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 75178),
(131453, 'PTHR12290:SF35', NULL, NULL, NULL, NULL, 'BNAC05G09440D PROTEIN', 75179),
(131454, 'PTHR48002:SF116', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 75180),
(131455, 'PTHR10775:SF154', NULL, NULL, NULL, NULL, 'TRANSPOSASE TNP2', 75181),
(131456, 'PTHR24305:SF191', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 75182),
(131457, 'PTHR10108:SF1083', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT4-RELATED', 75183),
(131458, 'PTHR44329:SF175', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', 75184),
(131459, 'PTHR31048:SF94', NULL, NULL, NULL, NULL, 'INHIBITOR, PUTATIVE, EXPRESSED-RELATED', 75185),
(131460, 'PTHR48050:SF18', NULL, NULL, NULL, NULL, 'GLUCOSYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04880)-RELATED', 75186),
(131461, 'PTHR10795:SF575', NULL, NULL, NULL, NULL, 'OS02G0269600 PROTEIN', 75187),
(131462, 'PTHR33779:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75188),
(131463, 'PTHR21689:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LIN-9 HOMOLOG', 75189),
(131464, 'PTHR45651:SF65', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 1-LIKE', 75190),
(131465, 'PTHR48054:SF35', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN-RELATED', 75191),
(131466, 'PTHR24042:SF5', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C-BINDING PROTEIN NELL1-LIKE PROTEIN', 75192),
(131467, 'PTHR36478:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75193),
(131468, 'PTHR46475:SF7', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, PUTATIVE-RELATED', 75194),
(131469, 'PTHR47993:SF148', NULL, NULL, NULL, NULL, 'BNAA05G36860D PROTEIN', 75195),
(131470, 'PTHR32444:SF92', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', 75196),
(131471, 'PTHR24082:SF489', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1, GROUP D, MEMBER 4A', 75197),
(131472, 'PTHR11461:SF40', NULL, NULL, NULL, NULL, 'SERPIN A9', 75198),
(131473, 'PTHR37433:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG03432', 75199),
(131474, 'PTHR40078', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 75200),
(131475, 'PTHR31962', NULL, NULL, NULL, NULL, 'SPHINGOLIPID LONG CHAIN BASE-RESPONSIVE PROTEIN PIL1', 75201),
(131476, 'PTHR44067:SF14', NULL, NULL, NULL, NULL, 'BNAC03G76030D PROTEIN', 75202),
(131477, 'PTHR15838:SF3', NULL, NULL, NULL, NULL, 'F14O23.10 PROTEIN', 75203),
(131478, 'PTHR45093', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR MSS11', 75204),
(131479, 'PTHR33919:SF1', NULL, NULL, NULL, NULL, 'OS09G0127700 PROTEIN', 75205),
(131480, 'PTHR12398:SF25', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE INHIBITOR 2-LIKE', 75206),
(131481, 'PTHR24235:SF12', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE F RECEPTOR', 75207),
(131482, 'PTHR36915:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75208),
(131483, 'PTHR23026:SF100', NULL, NULL, NULL, NULL, 'NITROREDUCTASE', 75209),
(131484, 'PTHR23237:SF11', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT', 75210),
(131485, 'PTHR23262:SF134', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-11', 75211),
(131486, 'PTHR20996:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE PHOSPHATASE-REGULATORY SUBUNIT 1', 75212),
(131487, 'PTHR23205:SF0', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3A SUBUNIT 2', 75213),
(131488, 'PTHR37460', NULL, NULL, NULL, NULL, 'ENDONUCLEASE III', 75214),
(131489, 'PTHR11306:SF48', NULL, NULL, NULL, NULL, 'BNAC03G73370D PROTEIN', 75215),
(131490, 'PTHR31989:SF260', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 76', 75216),
(131491, 'PTHR10774:SF196', NULL, NULL, NULL, NULL, 'BNAA08G28270D PROTEIN', 75217),
(131492, 'PTHR31343:SF49', NULL, NULL, NULL, NULL, 'BNAA02G30660D PROTEIN', 75218),
(131493, 'PTHR24296:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75219);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(131494, 'PTHR24253:SF101', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE SERINE PROTEASE 5', 75220),
(131495, 'PTHR22937:SF144', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PRAJA-2-LIKE', 75221),
(131496, 'PTHR44329:SF98', NULL, NULL, NULL, NULL, 'KINASE ATMRK1, PUTATIVE-RELATED', 75222),
(131497, 'PTHR13200', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 75223),
(131498, 'PTHR14198', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 4 L6 FAMILY MEMBER 1-RELATED', 75224),
(131499, 'PTHR13780:SF126', NULL, NULL, NULL, NULL, 'BNAA02G10090D PROTEIN', 75225),
(131500, 'PTHR33107:SF5', NULL, NULL, NULL, NULL, 'KUNITZ TRYPSIN INHIBITOR 2', 75226),
(131501, 'PTHR10582:SF19', NULL, NULL, NULL, NULL, 'OSM-9 AND CAPSAICIN RECEPTOR-RELATED', 75227),
(131502, 'PTHR31300:SF3', NULL, NULL, NULL, NULL, 'GB|AAD30234.1', 75228),
(131503, 'PTHR36381:SF6', NULL, NULL, NULL, NULL, 'BNAA02G22670D PROTEIN', 75229),
(131504, 'PTHR35486:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75230),
(131505, 'PTHR21596:SF51', NULL, NULL, NULL, NULL, 'OS01G0147700 PROTEIN', 75231),
(131506, 'PTHR31604:SF39', NULL, NULL, NULL, NULL, 'BNAC01G23660D PROTEIN', 75232),
(131507, 'PTHR20881:SF0', NULL, NULL, NULL, NULL, '3-METHYL-2-OXOBUTANOATE HYDROXYMETHYLTRANSFERASE', 75233),
(131508, 'PTHR10108:SF1072', NULL, NULL, NULL, NULL, 'PMT16, PUTATIVE-RELATED', 75234),
(131509, 'PTHR10093:SF21', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY PROTEIN', 75235),
(131510, 'PTHR12378:SF10', NULL, NULL, NULL, NULL, 'IP06716P-RELATED', 75236),
(131511, 'PTHR23073:SF89', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 7A', 75237),
(131512, 'PTHR24351:SF207', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 75238),
(131513, 'PTHR32044:SF61', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 9-LIKE ISOFORM X2', 75239),
(131514, 'PTHR13409', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 39S RIBOSOMAL PROTEIN L51', 75240),
(131515, 'PTHR31314:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75241),
(131516, 'PTHR15261', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-TYPE LAMININ G DOMAIN AND EAR REPEAT-CONTAINING', 75242),
(131517, 'PTHR11119:SF103', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 6-LIKE', 75243),
(131518, 'PTHR23302:SF65', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 2', 75244),
(131519, 'PTHR11260:SF662', NULL, NULL, NULL, NULL, 'S-TRANSFERASE TAU 22, PUTATIVE-RELATED', 75245),
(131520, 'PTHR12526:SF588', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE A (MTFA)-RELATED', 75246),
(131521, 'PTHR15703', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4931406P16 GENE', 75247),
(131522, 'PTHR12747', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 1', 75248),
(131523, 'PTHR21506', NULL, NULL, NULL, NULL, 'COMPONENT OF OLIGOMERIC GOLGI COMPLEX 6', 75249),
(131524, 'PTHR37431:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG02014', 75250),
(131525, 'PTHR22691:SF13', NULL, NULL, NULL, NULL, 'SPT2 CHROMATIN PROTEIN', 75251),
(131526, 'PTHR10353:SF196', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 43-LIKE', 75252),
(131527, 'PTHR39079', NULL, NULL, NULL, NULL, 'FI08034P-RELATED', 75253),
(131528, 'PTHR22930:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75254),
(131529, 'PTHR24050:SF25', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR C AND EGF DOMAINS', 75255),
(131530, 'PTHR45648:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75256),
(131531, 'PTHR47721:SF2', NULL, NULL, NULL, NULL, 'OS01G0235100 PROTEIN', 75257),
(131532, 'PTHR44427:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75258),
(131533, 'PTHR12890:SF0', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 9', 75259),
(131534, 'PTHR12670:SF13', NULL, NULL, NULL, NULL, 'NEUTRAL CERAMIDASE', 75260),
(131535, 'PTHR30605:SF2', NULL, NULL, NULL, NULL, 'UPF0075 DOMAIN-CONTAINING PROTEIN', 75261),
(131536, 'PTHR37389:SF15', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 2-LIKE ISOFORM X1', 75262),
(131537, 'PTHR31503:SF66', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', 75263),
(131538, 'PTHR33373:SF22', NULL, NULL, NULL, NULL, 'DUF4050 FAMILY PROTEIN', 75264);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(131539, 'PTHR23249:SF15', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 4', 75265),
(131540, 'PTHR12550:SF69', NULL, NULL, NULL, NULL, 'BNAC07G49730D PROTEIN', 75266),
(131541, 'PTHR45752:SF102', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 5', 75267),
(131542, 'PTHR45713:SF2', NULL, NULL, NULL, NULL, 'PENTRAXIN', 75268),
(131543, 'PTHR21139:SF2', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE', 75269),
(131544, 'PTHR39328:SF1', NULL, NULL, NULL, NULL, 'BLL2871 PROTEIN', 75270),
(131545, 'PTHR33527:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75271),
(131546, 'PTHR12538:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', 75272),
(131547, 'PTHR12570:SF1', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA2', 75273),
(131548, 'PTHR24409:SF368', NULL, NULL, NULL, NULL, 'DATILOGRAFO, ISOFORM A', 75274),
(131549, 'PTHR12265:SF30', NULL, NULL, NULL, NULL, 'OS06G0730300 PROTEIN', 75275),
(131550, 'PTHR47589:SF5', NULL, NULL, NULL, NULL, 'FATTY-ACID-BINDING PROTEIN 1', 75276),
(131551, 'PTHR23024:SF413', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', 75277),
(131552, 'PTHR31631:SF14', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 2B', 75278),
(131553, 'PTHR32444:SF130', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN S13, PUTATIVE-RELATED', 75279),
(131554, 'PTHR10026:SF127', NULL, NULL, NULL, NULL, 'BNAC02G47480D PROTEIN', 75280),
(131555, 'PTHR35999', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM6 HOMOLOG', 75281),
(131556, 'PTHR10654:SF21', NULL, NULL, NULL, NULL, 'EMBRYONAL FYN-ASSOCIATED SUBSTRATE', 75282),
(131557, 'PTHR31974:SF2', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 3', 75283),
(131558, 'PTHR35294:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75284),
(131559, 'PTHR19944:SF99', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DRB1-15 BETA CHAIN', 75285),
(131560, 'PTHR24221:SF165', NULL, NULL, NULL, NULL, 'BILE SALT EXPORT PUMP', 75286),
(131561, 'PTHR45651:SF84', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 16-RELATED', 75287),
(131562, 'PTHR36264:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75288),
(131563, 'PTHR14102:SF12', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC034090', 75289),
(131564, 'PTHR45752:SF90', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IQ DOMAIN-CONTAINING PROTEIN 4-LIKE ISOFORM X3', 75290),
(131565, 'PTHR31744:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75291),
(131566, 'PTHR24082:SF331', NULL, NULL, NULL, NULL, 'ECDYSONE RECEPTOR', 75292),
(131567, 'PTHR31451:SF51', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 6', 75293),
(131568, 'PTHR31083:SF20', NULL, NULL, NULL, NULL, 'PROTEIN UPSTREAM OF FLC-LIKE ISOFORM X1', 75294),
(131569, 'PTHR13504', NULL, NULL, NULL, NULL, 'FIDO DOMAIN-CONTAINING PROTEIN DDB_G0283145', 75295),
(131570, 'PTHR28630:SF11', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN AAED1, CHLOROPLASTIC', 75296),
(131571, 'PTHR48010:SF24', NULL, NULL, NULL, NULL, 'OS08G0427600 PROTEIN', 75297),
(131572, 'PTHR37233:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 75298),
(131573, 'PTHR12415:SF0', NULL, NULL, NULL, NULL, 'TYROSYL-DNA PHOSPHODIESTERASE 1', 75299),
(131574, 'PTHR34048:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75300),
(131575, 'PTHR44375:SF13', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE FABG-LIKE', 75301),
(131576, 'PTHR48053:SF2', NULL, NULL, NULL, NULL, 'FLAGELLIN-SENSING-LIKE PROTEIN', 75302),
(131577, 'PTHR31163:SF1249', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 75303),
(131578, 'PTHR47998:SF13', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR ETC2-RELATED', 75304),
(131579, 'PTHR10410:SF27', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 14 HOMOLOG-RELATED', 75305),
(131580, 'PTHR33115:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75306),
(131581, 'PTHR23421:SF169', NULL, NULL, NULL, NULL, 'BNACNNG71570D PROTEIN', 75307),
(131582, 'PTHR10159:SF109', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 2', 75308);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(131583, 'PTHR33294:SF11', NULL, NULL, NULL, NULL, 'ABA INDUCED PLASMA MEMBRANE PROTEIN', 75309),
(131584, 'PTHR11742:SF83', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 75310),
(131585, 'PTHR10546:SF2', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL SUBUNIT BETA-1', 75311),
(131586, 'PTHR15672:SF14', NULL, NULL, NULL, NULL, 'CAMP-REGULATED PHOSPHOPROTEIN 21', 75312),
(131587, 'PTHR11071:SF11', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE C', 75313),
(131588, 'PTHR23139:SF108', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF LARGE SUBUNIT A-LIKE ISOFORM X1', 75314),
(131589, 'PTHR33647:SF1', NULL, NULL, NULL, NULL, 'OS01G0793800 PROTEIN', 75315),
(131590, 'PTHR43112:SF9', NULL, NULL, NULL, NULL, 'FERREDOXIN C 1, CHLOROPLASTIC', 75316),
(131591, 'PTHR45617:SF14', NULL, NULL, NULL, NULL, 'TSUKUSHIN', 75317),
(131592, 'PTHR36750', NULL, NULL, NULL, NULL, 'SEC-C MOTIF PROTEIN', 75318),
(131593, 'PTHR33076:SF91', NULL, NULL, NULL, NULL, 'PLANT LIPID TRANSFER PROTEIN/PAR ALLERGEN-RELATED', 75319),
(131594, 'PTHR31376:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75320),
(131595, 'PTHR12958:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN USH', 75321),
(131596, 'PTHR43314:SF21', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE, LEAF ISOZYME 1, CHLOROPLASTIC', 75322),
(131597, 'PTHR13218:SF20', NULL, NULL, NULL, NULL, 'TAF (TBP-ASSOCIATED TRANSCRIPTION FACTOR) FAMILY', 75323),
(131598, 'PTHR34593:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75324),
(131599, 'PTHR43220:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 41A', 75325),
(131600, 'PTHR11849:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75326),
(131601, 'PTHR45757:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG05546', 75327),
(131602, 'PTHR21569:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S16', 75328),
(131603, 'PTHR12002:SF194', NULL, NULL, NULL, NULL, 'CLAUDIN', 75329),
(131604, 'PTHR21014:SF4', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4,5-BISPHOSPHATE 4-PHOSPHATASE', 75330),
(131605, 'PTHR24115:SF799', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 75331),
(131606, 'PTHR14493:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75332),
(131607, 'PTHR45614:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75333),
(131608, 'PTHR31972:SF3', NULL, NULL, NULL, NULL, 'OS08G0422401 PROTEIN', 75334),
(131609, 'PTHR33702:SF24', NULL, NULL, NULL, NULL, 'BNAA04G27010D PROTEIN', 75335),
(131610, 'PTHR31050:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75336),
(131611, 'PTHR34216:SF8', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE DEACETYLASE-LIKE PROTEIN', 75337),
(131612, 'PTHR11753:SF14', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT SIGMA-1A', 75338),
(131613, 'PTHR23306:SF20', NULL, NULL, NULL, NULL, 'PROTEIN ELC-LIKE', 75339),
(131614, 'PTHR31407:SF5', NULL, NULL, NULL, NULL, 'PLASTID TRANSCRIPTIONALLY ACTIVE 3', 75340),
(131615, 'PTHR13345:SF9', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 10A-RELATED', 75341),
(131616, 'PTHR33086:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75342),
(131617, 'PTHR34191:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75343),
(131618, 'PTHR45614:SF69', NULL, NULL, NULL, NULL, 'KERATIN', 75344),
(131619, 'PTHR24559:SF332', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75345),
(131620, 'PTHR11481:SF64', NULL, NULL, NULL, NULL, 'LOW AFFINITY IMMUNOGLOBULIN GAMMA FC REGION RECEPTOR III-A-RELATED', 75346),
(131621, 'PTHR46201:SF5', NULL, NULL, NULL, NULL, 'OS11G0234200 PROTEIN', 75347),
(131622, 'PTHR31985:SF145', NULL, NULL, NULL, NULL, 'OS02G0657000 PROTEIN', 75348),
(131623, 'PTHR33044:SF170', NULL, NULL, NULL, NULL, 'LIPID TRANSFER-LIKE PROTEIN VAS', 75349),
(131624, 'PTHR21426:SF2', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO84C', 75350),
(131625, 'PTHR21600:SF60', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE', 75351),
(131626, 'PTHR43364:SF2', NULL, NULL, NULL, NULL, 'ARYL-ALCOHOL DEHYDROGENASE AAD10-RELATED', 75352),
(131627, 'PTHR12132:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD52 HOMOLOG', 75353);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(131628, 'PTHR19229:SF141', NULL, NULL, NULL, NULL, 'OS08G0398350 PROTEIN', 75354),
(131629, 'PTHR48021:SF3', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 75355),
(131630, 'PTHR47990:SF138', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 8', 75356),
(131631, 'PTHR18929:SF210', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE A4', 75357),
(131632, 'PTHR43855', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE', 75358),
(131633, 'PTHR11127', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L14', 75359),
(131634, 'PTHR23292:SF28', NULL, NULL, NULL, NULL, 'SI:CH211-157C3.4', 75360),
(131635, 'PTHR33091:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75361),
(131636, 'PTHR21139:SF30', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE', 75362),
(131637, 'PTHR31080:SF184', NULL, NULL, NULL, NULL, 'BNAC03G27010D PROTEIN', 75363),
(131638, 'PTHR14057:SF9', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 6', 75364),
(131639, 'PTHR48017:SF160', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 75365),
(131640, 'PTHR45676:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75366),
(131641, 'PTHR42892', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-6-PHOSPHATE DEAMINASE-LIKE PROTEIN BT_0258-RELATED', 75367),
(131642, 'PTHR24093:SF484', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 75368),
(131643, 'PTHR46899:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75369),
(131644, 'PTHR43180:SF77', NULL, NULL, NULL, NULL, 'CHAIN ALCOHOL DEHYDROGENASE, PUTATIVE-RELATED', 75370),
(131645, 'PTHR45644:SF22', NULL, NULL, NULL, NULL, 'TRANSITIONAL ENDOPLASMIC RETICULUM ATPASE HOMOLOG 2-LIKE ISOFORM X1', 75371),
(131646, 'PTHR47932:SF11', NULL, NULL, NULL, NULL, 'OS04G0477200 PROTEIN', 75372),
(131647, 'PTHR46003:SF3', NULL, NULL, NULL, NULL, 'HOST CELL FACTOR 1', 75373),
(131648, 'PTHR46163:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG19279', 75374),
(131649, 'PTHR34058:SF12', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 1-1, CHLOROPLASTIC', 75375),
(131650, 'PTHR43952:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75376),
(131651, 'PTHR31300:SF28', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA (GLN) AMIDOTRANSFERASE SUBUNIT A (DUF620)', 75377),
(131652, 'PTHR23315:SF252', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 75378),
(131653, 'PTHR21666:SF268', NULL, NULL, NULL, NULL, 'L-ALA--D-GLU ENDOPEPTIDASE', 75379),
(131654, 'PTHR44259:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75380),
(131655, 'PTHR24384:SF210', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 502', 75381),
(131656, 'PTHR24115:SF914', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12E', 75382),
(131657, 'PTHR10127:SF846', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 75383),
(131658, 'PTHR23002', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN CONTAINING PROTEIN', 75384),
(131659, 'PTHR12181:SF64', NULL, NULL, NULL, NULL, 'BNACNNG70470D PROTEIN', 75385),
(131660, 'PTHR23402:SF16', NULL, NULL, NULL, NULL, 'PYROGLUTAMYL-PEPTIDASE 1', 75386),
(131661, 'PTHR45654:SF41', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ROC5', 75387),
(131662, 'PTHR13037:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CAPPUCCINO', 75388),
(131663, 'PTHR31953:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75389),
(131664, 'PTHR37432', NULL, NULL, NULL, NULL, 'PROTEIN CBG21304', 75390),
(131665, 'PTHR12506:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 67-LIKE ISOFORM X1', 75391),
(131666, 'PTHR34061:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75392),
(131667, 'PTHR21700:SF32', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 75393),
(131668, 'PTHR11249:SF6', NULL, NULL, NULL, NULL, 'GLIA MATURATION FACTOR, BETA', 75394),
(131669, 'PTHR11903:SF31', NULL, NULL, NULL, NULL, 'PEROXIDASE SUPERFAMILY PROTEIN-RELATED', 75395),
(131670, 'PTHR22950:SF340', NULL, NULL, NULL, NULL, 'GLUTAMATE TRANSPORTER POLYPHEMUS-RELATED', 75396),
(131671, 'PTHR31718:SF47', NULL, NULL, NULL, NULL, 'PLAT DOMAIN-CONTAINING PROTEIN 3-LIKE', 75397);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(131672, 'PTHR10306:SF8', NULL, NULL, NULL, NULL, 'SYNAPTOPHYSIN-LIKE PROTEIN 2', 75398),
(131673, 'PTHR11362:SF133', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L38, MITOCHONDRIAL', 75399),
(131674, 'PTHR12654:SF27', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', 75400),
(131675, 'PTHR11028:SF2', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT D 2', 75401),
(131676, 'PTHR27005:SF392', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 75402),
(131677, 'PTHR24421:SF49', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION HISTIDINE-PROTEIN KINASE/PHOSPHATASE UHPB', 75403),
(131678, 'PTHR32487:SF13', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE-LIKE', 75404),
(131679, 'PTHR12086:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75405),
(131680, 'PTHR34355:SF12', NULL, NULL, NULL, NULL, 'BNAA05G29290D PROTEIN', 75406),
(131681, 'PTHR46632:SF25', NULL, NULL, NULL, NULL, 'BNAC06G27520D PROTEIN', 75407),
(131682, 'PTHR20939:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN-20', 75408),
(131683, 'PTHR17601:SF3', NULL, NULL, NULL, NULL, 'RAFTLIN', 75409),
(131684, 'PTHR13068:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75410),
(131685, 'PTHR17271', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY  PH  DOMAIN-CONTAINING PROTEIN', 75411),
(131686, 'PTHR31087:SF112', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 15', 75412),
(131687, 'PTHR40279', NULL, NULL, NULL, NULL, 'PQQC-LIKE PROTEIN', 75413),
(131688, 'PTHR43029:SF17', NULL, NULL, NULL, NULL, 'TRANSPORTER 2, PUTATIVE-RELATED', 75414),
(131689, 'PTHR31218:SF193', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 75415),
(131690, 'PTHR47427:SF1', NULL, NULL, NULL, NULL, 'PROTEIN STE12', 75416),
(131691, 'PTHR22945:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-32', 75417),
(131692, 'PTHR23152:SF32', NULL, NULL, NULL, NULL, 'E1 SUBUNIT-LIKE 2-OXOGLUTARATE DEHYDROGENASE', 75418),
(131693, 'PTHR20938', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 75419),
(131694, 'PTHR10110:SF179', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 4', 75420),
(131695, 'PTHR31132:SF12', NULL, NULL, NULL, NULL, 'OS07G0623600 PROTEIN', 75421),
(131696, 'PTHR32212:SF270', NULL, NULL, NULL, NULL, 'BNAA10G06910D PROTEIN', 75422),
(131697, 'PTHR42936:SF1', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE', 75423),
(131698, 'PTHR45836:SF18', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 17', 75424),
(131699, 'PTHR10811:SF87', NULL, NULL, NULL, NULL, 'BNAANNG16280D PROTEIN', 75425),
(131700, 'PTHR33994:SF25', NULL, NULL, NULL, NULL, 'OS02G0619166 PROTEIN', 75426),
(131701, 'PTHR31265:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75427),
(131702, 'PTHR30363:SF54', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR IOLR', 75428),
(131703, 'PTHR14549:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 223', 75429),
(131704, 'PTHR19446:SF433', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75430),
(131705, 'PTHR31852:SF220', NULL, NULL, NULL, NULL, 'PROTEIN YLS9-LIKE', 75431),
(131706, 'PTHR31442:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75432),
(131707, 'PTHR24083:SF75', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 75433),
(131708, 'PTHR47373:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 2', 75434),
(131709, 'PTHR10677:SF4', NULL, NULL, NULL, NULL, 'UBIQUILIN-3', 75435),
(131710, 'PTHR33232:SF14', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE, SIEVE ELEMENT OCCLUSION-RELATED', 75436),
(131711, 'PTHR23213:SF370', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 18', 75437),
(131712, 'PTHR31375:SF211', NULL, NULL, NULL, NULL, 'BNAA04G29280D PROTEIN', 75438),
(131713, 'PTHR11266:SF101', NULL, NULL, NULL, NULL, 'PXMP2/4 FAMILY PROTEIN 4-LIKE', 75439),
(131714, 'PTHR26454:SF14', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 75440),
(131715, 'PTHR33021:SF406', NULL, NULL, NULL, NULL, 'BASIC BLUE PROTEIN-LIKE', 75441),
(131716, 'PTHR33148:SF2', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', 75442);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(131717, 'PTHR31080:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75443),
(131718, 'PTHR19944:SF43', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DO BETA CHAIN', 75444),
(131719, 'PTHR31042:SF114', NULL, NULL, NULL, NULL, 'BNAC07G42290D PROTEIN', 75445),
(131720, 'PTHR13025:SF2', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN-CONTAINING PROTEIN D2', 75446),
(131721, 'PTHR47172:SF11', NULL, NULL, NULL, NULL, 'BNAC01G44080D PROTEIN', 75447),
(131722, 'PTHR24025:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75448),
(131723, 'PTHR24099:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75449),
(131724, 'PTHR31734:SF197', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 75450),
(131725, 'PTHR26453:SF153', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 75451),
(131726, 'PTHR30508:SF6', NULL, NULL, NULL, NULL, 'UPF0051 PROTEIN MJ0034', 75452),
(131727, 'PTHR44375:SF4', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', 75453),
(131728, 'PTHR37523', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE', 75454),
(131729, 'PTHR31594:SF12', NULL, NULL, NULL, NULL, 'ZGC:174931', 75455),
(131730, 'PTHR46851:SF14', NULL, NULL, NULL, NULL, 'ZINC ION BINDING', 75456),
(131731, 'PTHR36385', NULL, NULL, NULL, NULL, 'OS07G0562900 PROTEIN', 75457),
(131732, 'PTHR31415:SF125', NULL, NULL, NULL, NULL, 'PROTEIN NDR1-LIKE', 75458),
(131733, 'PTHR14359', NULL, NULL, NULL, NULL, 'HOMO-OLIGOMERIC FLAVIN CONTAINING CYS DECARBOXYLASE FAMILY', 75459),
(131734, 'PTHR12913:SF1', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING PROTEIN E1', 75460),
(131735, 'PTHR26312:SF190', NULL, NULL, NULL, NULL, 'OS05G0447700 PROTEIN', 75461),
(131736, 'PTHR43700:SF3', NULL, NULL, NULL, NULL, 'BNAC03G41880D PROTEIN', 75462),
(131737, 'PTHR42861:SF18', NULL, NULL, NULL, NULL, 'SARCOPLASMIC/ENDOPLASMIC RETICULUM CALCIUM ATPASE 2', 75463),
(131738, 'PTHR13145:SF3', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 75464),
(131739, 'PTHR10671:SF94', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 4', 75465),
(131740, 'PTHR11709:SF364', NULL, NULL, NULL, NULL, 'LACCASE', 75466),
(131741, 'PTHR22762:SF136', NULL, NULL, NULL, NULL, 'HETEROGLYCAN GLUCOSIDASE 1', 75467),
(131742, 'PTHR22957:SF542', NULL, NULL, NULL, NULL, 'BNAA02G09450D PROTEIN', 75468),
(131743, 'PTHR23081:SF22', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', 75469),
(131744, 'PTHR21450:SF31', NULL, NULL, NULL, NULL, 'OS05G0425000 PROTEIN', 75470),
(131745, 'PTHR10288:SF272', NULL, NULL, NULL, NULL, 'BINDING TO TOMV RNA 1L (LONG FORM)-RELATED', 75471),
(131746, 'PTHR47818', NULL, NULL, NULL, NULL, 'RNI-LIKE SUPERFAMILY PROTEIN', 75472),
(131747, 'PTHR31875:SF4', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 3', 75473),
(131748, 'PTHR31734:SF205', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 75474),
(131749, 'PTHR11046:SF0', NULL, NULL, NULL, NULL, 'OLIGORIBONUCLEASE, MITOCHONDRIAL', 75475),
(131750, 'PTHR10912:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75476),
(131751, 'PTHR31003:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HHO5', 75477),
(131752, 'PTHR13029:SF17', NULL, NULL, NULL, NULL, 'MYELIN REGULATORY FACTOR-LIKE PROTEIN', 75478),
(131753, 'PTHR14326:SF46', NULL, NULL, NULL, NULL, 'PROTEIN TPX2', 75479),
(131754, 'PTHR24299:SF39', NULL, NULL, NULL, NULL, 'OS06G0642000 PROTEIN', 75480),
(131755, 'PTHR13593:SF109', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASE, TIM BETA/ALPHA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', 75481),
(131756, 'PTHR31471:SF51', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', 75482),
(131757, 'PTHR21637', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 10-RELATED', 75483),
(131758, 'PTHR32251:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75484),
(131759, 'PTHR23260:SF2', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 24-1', 75485),
(131760, 'PTHR31735:SF2', NULL, NULL, NULL, NULL, 'STORE-OPERATED CALCIUM ENTRY REGULATOR STIMATE', 75486),
(131761, 'PTHR43003:SF8', NULL, NULL, NULL, NULL, 'HHH-GPD BASE EXCISION DNA REPAIR FAMILY PROTEIN', 75487); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(131762, 'PTHR46004:SF2', NULL, NULL, NULL, NULL, 'CYCLIC AMP-RESPONSIVE ELEMENT-BINDING PROTEIN 3-LIKE PROTEIN 2', 75488),
(131763, 'PTHR11771:SF33', NULL, NULL, NULL, NULL, 'ARACHIDONATE 15-LIPOXYGENASE', 75489),
(131764, 'PTHR37702:SF10', NULL, NULL, NULL, NULL, 'BNAC07G49330D PROTEIN', 75490),
(131765, 'PTHR46691:SF11', NULL, NULL, NULL, NULL, 'BNAA08G28100D PROTEIN', 75491),
(131766, 'PTHR31602:SF51', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 9', 75492),
(131767, 'PTHR24015:SF260', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 75493),
(131768, 'PTHR45651:SF14', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 4', 75494),
(131769, 'PTHR46891:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG04997', 75495),
(131770, 'PTHR43606:SF1', NULL, NULL, NULL, NULL, 'BLR0534 PROTEIN', 75496),
(131771, 'PTHR33826:SF12', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN-SORTING PROTEIN BRO1-LIKE', 75497),
(131772, 'PTHR45618:SF19', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL BROWN FAT UNCOUPLING PROTEIN 1', 75498),
(131773, 'PTHR23247:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 34', 75499),
(131774, 'PTHR48106:SF6', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE SUPERFAMILY, ZINC-TYPE-RELATED', 75500),
(131775, 'PTHR36004:SF1', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN PROTEIN', 75501),
(131776, 'PTHR13152:SF0', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIH SUBUNIT 4', 75502),
(131777, 'PTHR11590:SF70', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE 4', 75503),
(131778, 'PTHR15653', NULL, NULL, NULL, NULL, 'STRIATIN', 75504),
(131779, 'PTHR11825', NULL, NULL, NULL, NULL, 'SUBGROUP IIII AMINOTRANSFERASE', 75505),
(131780, 'PTHR45432:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75506),
(131781, 'PTHR35179:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75507),
(131782, 'PTHR43806:SF46', NULL, NULL, NULL, NULL, 'CLAN SB, FAMILY S8, SUBTILISIN-LIKE SERINE PEPTIDASE', 75508),
(131783, 'PTHR47864:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 75509),
(131784, 'PTHR28242:SF7', NULL, NULL, NULL, NULL, 'CONTAINING PHOSPHOTRANSFER PROTEIN, PUTATIVE-RELATED', 75510),
(131785, 'PTHR42721:SF2', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 7-RELATED', 75511),
(131786, 'PTHR24361:SF735', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 1', 75512),
(131787, 'PTHR24221:SF545', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 4-LIKE ISOFORM X1', 75513),
(131788, 'PTHR32493', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 5', 75514),
(131789, 'PTHR30363:SF46', NULL, NULL, NULL, NULL, 'DEOR FAMILY REGULATORY PROTEINS', 75515),
(131790, 'PTHR47273:SF14', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 12-LIKE', 75516),
(131791, 'PTHR23406:SF72', NULL, NULL, NULL, NULL, 'MALIC ENZYME', 75517),
(131792, 'PTHR43539:SF52', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 75518),
(131793, 'PTHR31286:SF57', NULL, NULL, NULL, NULL, 'BNAC03G65670D PROTEIN', 75519),
(131794, 'PTHR13935:SF46', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE COMPLEX PROTEIN T8', 75520),
(131795, 'PTHR36498', NULL, NULL, NULL, NULL, 'TATA-BINDING PROTEIN-ASSOCIATED FACTOR 172', 75521),
(131796, 'PTHR10264:SF83', NULL, NULL, NULL, NULL, 'SLL0815 PROTEIN', 75522),
(131797, 'PTHR23350:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TOPORS', 75523),
(131798, 'PTHR45633:SF41', NULL, NULL, NULL, NULL, '60 KDA CHAPERONIN 2', 75524),
(131799, 'PTHR48054:SF5', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21', 75525),
(131800, 'PTHR43836:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN', 75526),
(131801, 'PTHR11210:SF53', NULL, NULL, NULL, NULL, 'RING-BOX 1', 75527),
(131802, 'PTHR22426:SF1', NULL, NULL, NULL, NULL, 'LYSINE-RICH NUCLEOLAR PROTEIN 1', 75528),
(131803, 'PTHR13999:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75529),
(131804, 'PTHR13353:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 19', 75530),
(131805, 'PTHR26452:SF799', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 75531);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(131806, 'PTHR19375:SF432', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE PROTEIN 70-1-RELATED', 75532),
(131807, 'PTHR22957:SF2', NULL, NULL, NULL, NULL, 'RUN DOMAIN-CONTAINING PROTEIN 1', 75533),
(131808, 'PTHR35499', NULL, NULL, NULL, NULL, 'OS05G0128300 PROTEIN', 75534),
(131809, 'PTHR45974:SF144', NULL, NULL, NULL, NULL, 'OS01G0960400 PROTEIN', 75535),
(131810, 'PTHR11675:SF109', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINYLTRANSFERASE 9-RELATED', 75536),
(131811, 'PTHR31415:SF9', NULL, NULL, NULL, NULL, 'OS05G0367900 PROTEIN', 75537),
(131812, 'PTHR37612:SF8', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1.0-LIKE', 75538),
(131813, 'PTHR23501:SF3', NULL, NULL, NULL, NULL, 'SIDEROPHORE IRON TRANSPORTER', 75539),
(131814, 'PTHR23260:SF5', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 3-2', 75540),
(131815, 'PTHR27006:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75541),
(131816, 'PTHR15633:SF2', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 11', 75542),
(131817, 'PTHR10836:SF115', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE (EUROFUNG)', 75543),
(131818, 'PTHR11817:SF80', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 75544),
(131819, 'PTHR45717:SF45', NULL, NULL, NULL, NULL, 'OS12G0527900 PROTEIN', 75545),
(131820, 'PTHR13878:SF128', NULL, NULL, NULL, NULL, 'FAD/FMN-CONTAINING PROTEIN', 75546),
(131821, 'PTHR16184', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 6', 75547),
(131822, 'PTHR20981:SF28', NULL, NULL, NULL, NULL, 'BNAA08G26210D PROTEIN', 75548),
(131823, 'PTHR45633:SF35', NULL, NULL, NULL, NULL, 'BNAA03G48200D PROTEIN', 75549),
(131824, 'PTHR11183:SF151', NULL, NULL, NULL, NULL, 'PROTEIN CBG07620', 75550),
(131825, 'PTHR43082:SF3', NULL, NULL, NULL, NULL, 'FERREDOXIN-LIKE PROTEIN YDIT', 75551),
(131826, 'PTHR46652:SF5', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN 97', 75552),
(131827, 'PTHR47992:SF57', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 72-RELATED', 75553),
(131828, 'PTHR47684:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TONSOKU', 75554),
(131829, 'PTHR11732:SF454', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL NADPH-DEPENDENT CODEINONE REDUCTASE 2-LIKE', 75555),
(131830, 'PTHR37870', NULL, NULL, NULL, NULL, 'CHROMOSOME 1 OPEN READING FRAME 54', 75556),
(131831, 'PTHR45676:SF132', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3', 75557),
(131832, 'PTHR31696:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75558),
(131833, 'PTHR24241:SF168', NULL, NULL, NULL, NULL, 'AGAP001379-PA', 75559),
(131834, 'PTHR12000:SF43', NULL, NULL, NULL, NULL, 'BNACNNG42290D PROTEIN', 75560),
(131835, 'PTHR34315', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 75561),
(131836, 'PTHR33825:SF14', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN', 75562),
(131837, 'PTHR47079', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING PROTEIN-LIKE', 75563),
(131838, 'PTHR42052', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 75564),
(131839, 'PTHR47872:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR SDE5-RELATED', 75565),
(131840, 'PTHR27008:SF435', NULL, NULL, NULL, NULL, 'BNAA05G13290D PROTEIN', 75566),
(131841, 'PTHR12170:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN TRANSFERASE RMND5A', 75567),
(131842, 'PTHR21054', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE-RELATED', 75568),
(131843, 'PTHR31692:SF94', NULL, NULL, NULL, NULL, 'BETA-EXPANSIN 1A', 75569),
(131844, 'PTHR36205', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', 75570),
(131845, 'PTHR24068:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75571),
(131846, 'PTHR47334', NULL, NULL, NULL, NULL, 'SPLICING FACTOR PWI DOMAIN-CONTAINING PROTEIN / RNA RECOGNITION MOTIF (RRM)-CONTAINING PROTEIN', 75572),
(131847, 'PTHR16011:SF0', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 57 HOMOLOG', 75573),
(131848, 'PTHR35517', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE SFM1', 75574),
(131849, 'PTHR32176:SF73', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 2', 75575),
(131850, 'PTHR26450:SF45', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52E2', 75576);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(131851, 'PTHR14063:SF4', NULL, NULL, NULL, NULL, 'PROTEIN LIN-7 HOMOLOG A', 75577),
(131852, 'PTHR39415', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 27', 75578),
(131853, 'PTHR11227:SF29', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN-RELATED', 75579),
(131854, 'PTHR34672:SF2', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 23', 75580),
(131855, 'PTHR33673:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75581),
(131856, 'PTHR11946:SF109', NULL, NULL, NULL, NULL, 'VALINE--TRNA LIGASE, MITOCHONDRIAL 1', 75582),
(131857, 'PTHR22810:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING AND SPERMATID-SPECIFIC PROTEIN 1', 75583),
(131858, 'PTHR27006:SF327', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 75584),
(131859, 'PTHR31232:SF27', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 8-RELATED', 75585),
(131860, 'PTHR43471:SF8', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN NOSY-RELATED', 75586),
(131861, 'PTHR22826:SF203', NULL, NULL, NULL, NULL, 'AGAP011560-PA', 75587),
(131862, 'PTHR11814:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75588),
(131863, 'PTHR31304:SF46', NULL, NULL, NULL, NULL, 'LOB DOMAIN PROTEIN', 75589),
(131864, 'PTHR14873:SF1', NULL, NULL, NULL, NULL, 'OS06G0694100 PROTEIN', 75590),
(131865, 'PTHR47338:SF6', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 75591),
(131866, 'PTHR31072:SF85', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP23-LIKE', 75592),
(131867, 'PTHR47416:SF10', NULL, NULL, NULL, NULL, 'BNAC04G56770D PROTEIN', 75593),
(131868, 'PTHR32089:SF70', NULL, NULL, NULL, NULL, 'ENERGY TAXIS MODULATING METHYL ACCEPTING SENSORY TRANSDUCER', 75594),
(131869, 'PTHR11863:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75595),
(131870, 'PTHR46957:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL PHOSPHATASE PTPRQ', 75596),
(131871, 'PTHR40705:SF1', NULL, NULL, NULL, NULL, 'TRNA(ILE2) 2-AGMATINYLCYTIDINE SYNTHETASE TIAS', 75597),
(131872, 'PTHR31681:SF84', NULL, NULL, NULL, NULL, 'BNAC03G58950D PROTEIN', 75598),
(131873, 'PTHR11348:SF3', NULL, NULL, NULL, NULL, 'CELLULAR COMMUNICATION NETWORK FACTOR 6', 75599),
(131874, 'PTHR14233:SF11', NULL, NULL, NULL, NULL, 'CRT HOMOLOG 1-RELATED', 75600),
(131875, 'PTHR31302:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75601),
(131876, 'PTHR31589:SF95', NULL, NULL, NULL, NULL, 'BNAC04G22520D PROTEIN', 75602),
(131877, 'PTHR45707:SF34', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', 75603),
(131878, 'PTHR40132', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 75604),
(131879, 'PTHR31429:SF64', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', 75605),
(131880, 'PTHR22750:SF20', NULL, NULL, NULL, NULL, 'SPHINGOSINE 1-PHOSPHATE RECEPTOR 5', 75606),
(131881, 'PTHR45728:SF7', NULL, NULL, NULL, NULL, 'BNAC06G01580D PROTEIN', 75607),
(131882, 'PTHR12113', NULL, NULL, NULL, NULL, 'DICKKOPF3-LIKE 3', 75608),
(131883, 'PTHR24055:SF422', NULL, NULL, NULL, NULL, 'SYNTHASE KINASE-3 ALPHA, PUTATIVE-RELATED', 75609),
(131884, 'PTHR24180:SF26', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 39', 75610),
(131885, 'PTHR45718:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR CUBITUS INTERRUPTUS', 75611),
(131886, 'PTHR24042:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C-BINDING PROTEIN NELL1', 75612),
(131887, 'PTHR48063:SF33', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 75613),
(131888, 'PTHR45637:SF76', NULL, NULL, NULL, NULL, 'RHO-ASSOCIATED PROTEIN KINASE 1/2-RELATED', 75614),
(131889, 'PTHR12537:SF125', NULL, NULL, NULL, NULL, 'OS05G0109600 PROTEIN', 75615),
(131890, 'PTHR24270:SF24', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR CLASS A DOMAIN-CONTAINING PROTEIN 3', 75616),
(131891, 'PTHR46163:SF12', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 75617),
(131892, 'PTHR12136:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75618),
(131893, 'PTHR11945:SF521', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 48', 75619),
(131894, 'PTHR43574:SF48', NULL, NULL, NULL, NULL, 'BNAA01G06610D PROTEIN', 75620);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(131895, 'PTHR22937:SF162', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 75621),
(131896, 'PTHR24403:SF60', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 407', 75622),
(131897, 'PTHR47746:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75623),
(131898, 'PTHR45744:SF30', NULL, NULL, NULL, NULL, 'BNAA03G46060D PROTEIN', 75624),
(131899, 'PTHR37188:SF2', NULL, NULL, NULL, NULL, 'BNAA05G13940D PROTEIN', 75625),
(131900, 'PTHR31865:SF4', NULL, NULL, NULL, NULL, 'OS01G0898800 PROTEIN', 75626),
(131901, 'PTHR45824:SF19', NULL, NULL, NULL, NULL, 'BNAA09G30820D PROTEIN', 75627),
(131902, 'PTHR46153:SF2', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 75628),
(131903, 'PTHR33203:SF44', NULL, NULL, NULL, NULL, 'OLEOSIN 5', 75629),
(131904, 'PTHR12649:SF19', NULL, NULL, NULL, NULL, 'OSJNBA0060D06.11 PROTEIN', 75630),
(131905, 'PTHR35127:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75631),
(131906, 'PTHR44329:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75632),
(131907, 'PTHR24020:SF56', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE VI ALPHA 6 CHAIN', 75633),
(131908, 'PTHR11909:SF304', NULL, NULL, NULL, NULL, 'INACTIVE TAU-TUBULIN KINASE TTBK-6-RELATED', 75634),
(131909, 'PTHR24320:SF176', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE TIC 32, CHLOROPLASTIC-LIKE', 75635),
(131910, 'PTHR46444:SF3', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', 75636),
(131911, 'PTHR24221:SF468', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', 75637),
(131912, 'PTHR10574:SF262', NULL, NULL, NULL, NULL, 'NETRIN-5-RELATED', 75638),
(131913, 'PTHR46336:SF18', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN POB1', 75639),
(131914, 'PTHR10795:SF663', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75640),
(131915, 'PTHR23502:SF68', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01120)-RELATED', 75641),
(131916, 'PTHR18945:SF446', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE-GATED CHLORIDE CHANNEL SUBUNIT ACC-3', 75642),
(131917, 'PTHR32141:SF67', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 75643),
(131918, 'PTHR11706:SF94', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAT1-RELATED', 75644),
(131919, 'PTHR46446:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE3', 75645),
(131920, 'PTHR31623:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75646),
(131921, 'PTHR48094:SF4', NULL, NULL, NULL, NULL, 'PROTEIN DJ-1 HOMOLOG A', 75647),
(131922, 'PTHR21090:SF27', NULL, NULL, NULL, NULL, 'QUINATE REPRESSOR PROTEIN', 75648),
(131923, 'PTHR45809:SF7', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', 75649),
(131924, 'PTHR43570:SF23', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 75650),
(131925, 'PTHR27007:SF202', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VIII.2', 75651),
(131926, 'PTHR10340:SF25', NULL, NULL, NULL, NULL, 'ACID SPHINGOMYELINASE-LIKE PHOSPHODIESTERASE 3B', 75652),
(131927, 'PTHR12210:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75653),
(131928, 'PTHR43133:SF10', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGG', 75654),
(131929, 'PTHR32370:SF95', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 75655),
(131930, 'PTHR23500:SF430', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 9', 75656),
(131931, 'PTHR33179:SF55', NULL, NULL, NULL, NULL, 'OS09G0370500 PROTEIN', 75657),
(131932, 'PTHR11662:SF407', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75658),
(131933, 'PTHR31544:SF9', NULL, NULL, NULL, NULL, 'AIG2-LIKE PROTEIN C', 75659),
(131934, 'PTHR27006:SF396', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 75660),
(131935, 'PTHR43447:SF37', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 1', 75661),
(131936, 'PTHR31375:SF213', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', 75662),
(131937, 'PTHR11461:SF51', NULL, NULL, NULL, NULL, 'SERPIN I2', 75663),
(131938, 'PTHR23349:SF104', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 23', 75664),
(131939, 'PTHR45703:SF19', NULL, NULL, NULL, NULL, 'DYNEIN CYTOPLASMIC 2 HEAVY CHAIN 1', 75665);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(131940, 'PTHR43520:SF19', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE PAA2, CHLOROPLASTIC', 75666),
(131941, 'PTHR10345:SF0', NULL, NULL, NULL, NULL, 'BONE SIALOPROTEIN 2', 75667),
(131942, 'PTHR47928:SF169', NULL, NULL, NULL, NULL, 'OS03G0169300 PROTEIN', 75668),
(131943, 'PTHR48070:SF6', NULL, NULL, NULL, NULL, 'ESTERASE OVCA2', 75669),
(131944, 'PTHR35201:SF2', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE', 75670),
(131945, 'PTHR24381:SF269', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 398', 75671),
(131946, 'PTHR33167:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 75672),
(131947, 'PTHR31218:SF257', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 75673),
(131948, 'PTHR46686', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 75674),
(131949, 'PTHR43662:SF12', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02100)-RELATED', 75675),
(131950, 'PTHR22814:SF326', NULL, NULL, NULL, NULL, 'BNAA03G01350D PROTEIN', 75676),
(131951, 'PTHR43939:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75677),
(131952, 'PTHR11346:SF49', NULL, NULL, NULL, NULL, 'GALAPTIN LEC-7-RELATED', 75678),
(131953, 'PTHR43386:SF2', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN OPPC', 75679),
(131954, 'PTHR45621:SF158', NULL, NULL, NULL, NULL, 'BNAA06G35600D PROTEIN', 75680),
(131955, 'PTHR24298:SF840', NULL, NULL, NULL, NULL, 'P450, FAMILY 81, SUBFAMILY D, POLYPEPTIDE 8, PUTATIVE-RELATED', 75681),
(131956, 'PTHR32002:SF57', NULL, NULL, NULL, NULL, 'BNAC03G65290D PROTEIN', 75682),
(131957, 'PTHR31787:SF3', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN H', 75683),
(131958, 'PTHR10605:SF62', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE GLUCOSAMINE 3-O-SULFOTRANSFERASE 6', 75684),
(131959, 'PTHR12378:SF6', NULL, NULL, NULL, NULL, 'DEUBIQUITINASE DESI2', 75685),
(131960, 'PTHR22050:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 131', 75686),
(131961, 'PTHR27002:SF18', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', 75687),
(131962, 'PTHR32370:SF138', NULL, NULL, NULL, NULL, 'BNAUNNG00030D PROTEIN', 75688),
(131963, 'PTHR21245', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN', 75689),
(131964, 'PTHR45800:SF11', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 7', 75690),
(131965, 'PTHR48043:SF75', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 75691),
(131966, 'PTHR47933:SF20', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED SALT-INDUCIBLE PROTEIN-LIKE', 75692),
(131967, 'PTHR47020:SF1', NULL, NULL, NULL, NULL, 'HILLARIN', 75693),
(131968, 'PTHR45926:SF27', NULL, NULL, NULL, NULL, 'BROMODOMAIN, NET DOMAIN PROTEIN-RELATED', 75694),
(131969, 'PTHR31113:SF13', NULL, NULL, NULL, NULL, 'BNACNNG26390D PROTEIN', 75695),
(131970, 'PTHR11686:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75696),
(131971, 'PTHR31083:SF21', NULL, NULL, NULL, NULL, 'PROTEIN UPSTREAM OF FLC-LIKE', 75697),
(131972, 'PTHR13126:SF0', NULL, NULL, NULL, NULL, 'ATP SYNTHASE MITOCHONDRIAL F1 COMPLEX ASSEMBLY FACTOR 1', 75698),
(131973, 'PTHR31471:SF3', NULL, NULL, NULL, NULL, 'OS11G0616300 PROTEIN', 75699),
(131974, 'PTHR31374:SF238', NULL, NULL, NULL, NULL, 'BNACNNG20020D PROTEIN', 75700),
(131975, 'PTHR45617:SF108', NULL, NULL, NULL, NULL, 'CONNECTIN-LIKE PROTEIN', 75701),
(131976, 'PTHR48018:SF80', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 75702),
(131977, 'PTHR18860:SF89', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN', 75703),
(131978, 'PTHR21580:SF25', NULL, NULL, NULL, NULL, 'PROTEIN STPG3', 75704),
(131979, 'PTHR45792:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75705),
(131980, 'PTHR12302:SF12', NULL, NULL, NULL, NULL, 'STAPHYLOCOCCAL-LIKE NUCLEASE CAN2', 75706),
(131981, 'PTHR32018:SF24', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-RELATED', 75707),
(131982, 'PTHR48001:SF82', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 75708),
(131983, 'PTHR33021:SF49', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 21', 75709),
(131984, 'PTHR31662:SF42', NULL, NULL, NULL, NULL, 'TYROSINE SPECIFIC PROTEIN PHOSPHATASE-LIKE', 75710);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(131985, 'PTHR45715:SF18', NULL, NULL, NULL, NULL, 'ARCHAEAL/VACUOLAR-TYPE H+-ATPASE SUBUNIT E', 75711),
(131986, 'PTHR24322:SF341', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY 16C MEMBER 6', 75712),
(131987, 'PTHR34300', NULL, NULL, NULL, NULL, 'QUEUOSINE PRECURSOR TRANSPORTER-RELATED', 75713),
(131988, 'PTHR12947:SF17', NULL, NULL, NULL, NULL, 'AMSH-LIKE UBIQUITIN THIOESTERASE 3', 75714),
(131989, 'PTHR36697', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', 75715),
(131990, 'PTHR47925:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75716),
(131991, 'PTHR33021:SF255', NULL, NULL, NULL, NULL, 'UCLACYANIN 1', 75717),
(131992, 'PTHR31500:SF97', NULL, NULL, NULL, NULL, 'PPC DOMAIN-CONTAINING PROTEIN-RELATED', 75718),
(131993, 'PTHR32246', NULL, NULL, NULL, NULL, 'INGRESSION PROTEIN FIC1', 75719),
(131994, 'PTHR24064:SF464', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN-RELATED', 75720),
(131995, 'PTHR30540:SF85', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 9', 75721),
(131996, 'PTHR10196:SF40', NULL, NULL, NULL, NULL, 'FI03690P', 75722),
(131997, 'PTHR21497:SF52', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 75723),
(131998, 'PTHR33470:SF29', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', 75724),
(131999, 'PTHR35610', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE-RELATED', 75725),
(132000, 'PTHR14155:SF510', NULL, NULL, NULL, NULL, 'OS06G0535900 PROTEIN', 75726),
(132001, 'PTHR12203:SF106', NULL, NULL, NULL, NULL, 'DOWNSTREAM TARGET OF AGL15 2', 75727),
(132002, 'PTHR38149', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 75728),
(132003, 'PTHR37482', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN ASSEMBLY FACTOR BAME', 75729),
(132004, 'PTHR32077:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75730),
(132005, 'PTHR24379:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 441', 75731),
(132006, 'PTHR47325', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUVR5', 75732),
(132007, 'PTHR48017:SF119', NULL, NULL, NULL, NULL, 'GABA TRANSPORTER 1', 75733),
(132008, 'PTHR31793:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75734),
(132009, 'PTHR48047:SF75', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', 75735),
(132010, 'PTHR15735', NULL, NULL, NULL, NULL, 'FCH AND DOUBLE SH3 DOMAINS PROTEIN', 75736),
(132011, 'PTHR24282:SF207', NULL, NULL, NULL, NULL, 'CYTOCHROME', 75737),
(132012, 'PTHR33143:SF2', NULL, NULL, NULL, NULL, 'OS06G0603300 PROTEIN', 75738),
(132013, 'PTHR12829', NULL, NULL, NULL, NULL, 'N6-ADENOSINE-METHYLTRANSFERASE', 75739),
(132014, 'PTHR33124:SF16', NULL, NULL, NULL, NULL, 'OS02G0178700 PROTEIN', 75740),
(132015, 'PTHR32054:SF60', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 2', 75741),
(132016, 'PTHR23097:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75742),
(132017, 'PTHR36732', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 75743),
(132018, 'PTHR43670:SF56', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 2-LIKE', 75744),
(132019, 'PTHR33070:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75745),
(132020, 'PTHR47493:SF3', NULL, NULL, NULL, NULL, 'BNAC09G53180D PROTEIN', 75746),
(132021, 'PTHR42897', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE SUBUNIT PORB', 75747),
(132022, 'PTHR11528:SF108', NULL, NULL, NULL, NULL, 'BNAANNG22000D PROTEIN', 75748),
(132023, 'PTHR11848:SF130', NULL, NULL, NULL, NULL, 'INHIBIN BETA C CHAIN', 75749),
(132024, 'PTHR23507:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75750),
(132025, 'PTHR34223:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75751),
(132026, 'PTHR21495:SF176', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 75752),
(132027, 'PTHR31722:SF0', NULL, NULL, NULL, NULL, 'OS06G0675200 PROTEIN', 75753),
(132028, 'PTHR12349:SF3', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC5', 75754),
(132029, 'PTHR47925:SF71', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 75755),
(132030, 'PTHR45707:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75756);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(132031, 'PTHR46525:SF13', NULL, NULL, NULL, NULL, 'SENESCENCE REGULATOR S40-RELATED', 75757),
(132032, 'PTHR46168', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 4', 75758),
(132033, 'PTHR11236:SF43', NULL, NULL, NULL, NULL, 'SYNTHASE COMPONENT I, PUTATIVE-RELATED', 75759),
(132034, 'PTHR10791:SF152', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 75760),
(132035, 'PTHR26453:SF5', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 75761),
(132036, 'PTHR31218:SF201', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 75762),
(132037, 'PTHR11547:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75763),
(132038, 'PTHR23039:SF6', NULL, NULL, NULL, NULL, 'SIMILAR TO MKIAA1522 PROTEIN', 75764),
(132039, 'PTHR31696:SF62', NULL, NULL, NULL, NULL, 'OS08G0476600 PROTEIN', 75765),
(132040, 'PTHR48043:SF27', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 75766),
(132041, 'PTHR34671:SF20', NULL, NULL, NULL, NULL, 'EM-LIKE PROTEIN GEA1', 75767),
(132042, 'PTHR47405:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 75768),
(132043, 'PTHR45830:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 75769),
(132044, 'PTHR39398', NULL, NULL, NULL, NULL, 'YALI0F14311P', 75770),
(132045, 'PTHR34875:SF5', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM TRANSCRIPTIONAL REPRESSOR', 75771),
(132046, 'PTHR13318:SF142', NULL, NULL, NULL, NULL, 'BNAA10G30250D PROTEIN', 75772),
(132047, 'PTHR36351:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75773),
(132048, 'PTHR48053:SF65', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 75774),
(132049, 'PTHR36448:SF2', NULL, NULL, NULL, NULL, 'BLR7373 PROTEIN', 75775),
(132050, 'PTHR47981:SF1', NULL, NULL, NULL, NULL, 'RE17845P', 75776),
(132051, 'PTHR11177:SF349', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 75777),
(132052, 'PTHR43566:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL ATPASE', 75778),
(132053, 'PTHR33782:SF25', NULL, NULL, NULL, NULL, 'BNAA08G31340D PROTEIN', 75779),
(132054, 'PTHR11214:SF135', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 75780),
(132055, 'PTHR46468:SF4', NULL, NULL, NULL, NULL, 'BNAA10G29630D PROTEIN', 75781),
(132056, 'PTHR10693:SF20', NULL, NULL, NULL, NULL, 'AT27578P', 75782),
(132057, 'PTHR15352', NULL, NULL, NULL, NULL, 'LYMPHOID-RESTRICTED MEMBRANE PROTEIN, JAW1', 75783),
(132058, 'PTHR48004:SF36', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT FAMILY PROTEIN-LIKE', 75784),
(132059, 'PTHR28039:SF12', NULL, NULL, NULL, NULL, 'CHALCONE-FLAVONONE ISOMERASE FAMILY PROTEIN', 75785),
(132060, 'PTHR24049:SF18', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', 75786),
(132061, 'PTHR24381:SF354', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 135', 75787),
(132062, 'PTHR24112:SF44', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN', 75788),
(132063, 'PTHR48049:SF29', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 78D1-RELATED', 75789),
(132064, 'PTHR44329:SF41', NULL, NULL, NULL, NULL, 'OS12G0163800 PROTEIN', 75790),
(132065, 'PTHR47991:SF122', NULL, NULL, NULL, NULL, 'BNAC09G54110D PROTEIN', 75791),
(132066, 'PTHR39556:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 75792),
(132067, 'PTHR31118:SF19', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE-LIKE PROTEIN', 75793),
(132068, 'PTHR11439:SF270', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', 75794),
(132069, 'PTHR24347:SF384', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE II SUBUNIT ALPHA', 75795),
(132070, 'PTHR34546', NULL, NULL, NULL, NULL, 'OS06G0153600 PROTEIN', 75796),
(132071, 'PTHR18896:SF154', NULL, NULL, NULL, NULL, 'OS03G0840800 PROTEIN', 75797),
(132072, 'PTHR11525:SF17', NULL, NULL, NULL, NULL, 'FARNESYL PYROPHOSPHATE SYNTHASE 1-LIKE', 75798),
(132073, 'PTHR10057:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75799),
(132074, 'PTHR48139', NULL, NULL, NULL, NULL, 'SI:DKEY-56M19.5', 75800),
(132075, 'PTHR33286', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 75801);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(132076, 'PTHR31267:SF3', NULL, NULL, NULL, NULL, 'OS03G0756700 PROTEIN', 75802),
(132077, 'PTHR23259:SF58', NULL, NULL, NULL, NULL, 'PROTEIN CBG06778', 75803),
(132078, 'PTHR19375:SF436', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 5', 75804),
(132079, 'PTHR26453:SF589', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1A1', 75805),
(132080, 'PTHR22870:SF385', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PROTEIN PFF1365C-RELATED', 75806),
(132081, 'PTHR27005:SF271', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL PSEUDOKINASE ZED1-LIKE', 75807),
(132082, 'PTHR23065:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75808),
(132083, 'PTHR27007:SF29', NULL, NULL, NULL, NULL, 'OS07G0283050 PROTEIN', 75809),
(132084, 'PTHR45965:SF3', NULL, NULL, NULL, NULL, 'INACTIVE RHOMBOID PROTEIN 1', 75810),
(132085, 'PTHR31669:SF184', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 11', 75811),
(132086, 'PTHR46717', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF180', 75812),
(132087, 'PTHR32175:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75813),
(132088, 'PTHR47933', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 1, MITOCHONDRIAL', 75814),
(132089, 'PTHR37198:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 75815),
(132090, 'PTHR34591:SF14', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 75816),
(132091, 'PTHR48002:SF82', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 75817),
(132092, 'PTHR11229', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L3', 75818),
(132093, 'PTHR43294:SF15', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA-3', 75819),
(132094, 'PTHR11937:SF167', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN 7A', 75820),
(132095, 'PTHR24377:SF36', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 140', 75821),
(132096, 'PTHR43173', NULL, NULL, NULL, NULL, 'ABC1 FAMILY PROTEIN', 75822),
(132097, 'PTHR32099:SF57', NULL, NULL, NULL, NULL, 'OS07G0540600 PROTEIN', 75823),
(132098, 'PTHR20955:SF1', NULL, NULL, NULL, NULL, 'PROTEIN JAGUNAL HOMOLOG 1', 75824),
(132099, 'PTHR11945:SF672', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', 75825),
(132100, 'PTHR24320:SF197', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 75826),
(132101, 'PTHR12283:SF2', NULL, NULL, NULL, NULL, 'PEPTIDE HYDROLASE', 75827),
(132102, 'PTHR22702', NULL, NULL, NULL, NULL, 'PROTEASE-ASSOCIATED DOMAIN-CONTAINING PROTEIN', 75828),
(132103, 'PTHR24409', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 142', 75829),
(132104, 'PTHR35116:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75830),
(132105, 'PTHR31509:SF112', NULL, NULL, NULL, NULL, 'BNAA07G03180D PROTEIN', 75831),
(132106, 'PTHR10660', NULL, NULL, NULL, NULL, 'PROTEASOME REGULATOR PA28', 75832),
(132107, 'PTHR23064:SF32', NULL, NULL, NULL, NULL, 'CALTRACTIN ICL1F', 75833),
(132108, 'PTHR19305:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75834),
(132109, 'PTHR22930:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75835),
(132110, 'PTHR11685:SF250', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 75836),
(132111, 'PTHR39517', NULL, NULL, NULL, NULL, 'SLL0192 PROTEIN', 75837),
(132112, 'PTHR24034:SF87', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED-PROTEIN 13', 75838),
(132113, 'PTHR37610:SF33', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN, GAG-PRE-INTEGRASE DOMAIN PROTEIN-RELATED', 75839),
(132114, 'PTHR23070:SF88', NULL, NULL, NULL, NULL, 'BNAANNG18700D PROTEIN', 75840),
(132115, 'PTHR11945:SF654', NULL, NULL, NULL, NULL, 'VEGETATIVE CELL WALL PROTEIN GP1-LIKE', 75841),
(132116, 'PTHR27000:SF713', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75842),
(132117, 'PTHR10177:SF488', NULL, NULL, NULL, NULL, 'BNAC03G77070D PROTEIN', 75843),
(132118, 'PTHR45667:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', 75844),
(132119, 'PTHR16064:SF3', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 7', 75845),
(132120, 'PTHR32295:SF107', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 31-LIKE', 75846);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(132121, 'PTHR13402:SF20', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16A HOMOLOG', 75847),
(132122, 'PTHR31867:SF142', NULL, NULL, NULL, NULL, 'EXPANSIN', 75848),
(132123, 'PTHR45648:SF17', NULL, NULL, NULL, NULL, 'GSDL-MOTIF PROTEIN LIPASE', 75849),
(132124, 'PTHR43354:SF5', NULL, NULL, NULL, NULL, 'MEDIUM-CHAIN ACYL-COA LIGASE-RELATED', 75850),
(132125, 'PTHR34196:SF5', NULL, NULL, NULL, NULL, 'BNAA05G08450D PROTEIN', 75851),
(132126, 'PTHR32133:SF268', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75852),
(132127, 'PTHR45738:SF5', NULL, NULL, NULL, NULL, 'POLYPHOSPHOINOSITIDE PHOSPHATASE', 75853),
(132128, 'PTHR23138:SF148', NULL, NULL, NULL, NULL, 'BNAC06G05290D PROTEIN', 75854),
(132129, 'PTHR46045:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 75855),
(132130, 'PTHR19961', NULL, NULL, NULL, NULL, 'FIMBRIN/PLASTIN', 75856),
(132131, 'PTHR30126:SF4', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 75857),
(132132, 'PTHR37226:SF2', NULL, NULL, NULL, NULL, 'TROPONIN T, SKELETAL PROTEIN', 75858),
(132133, 'PTHR31988:SF23', NULL, NULL, NULL, NULL, 'CARBOHYDRATE ESTERASE-RELATED', 75859),
(132134, 'PTHR24403:SF59', NULL, NULL, NULL, NULL, 'POGO TRANSPOSABLE ELEMENT WITH ZNF DOMAIN', 75860),
(132135, 'PTHR11070:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE SRS2', 75861),
(132136, 'PTHR15336:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6', 75862),
(132137, 'PTHR31273:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOKETOLASE-RELATED', 75863),
(132138, 'PTHR32401:SF19', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.4-LIKE', 75864),
(132139, 'PTHR23231:SF19', NULL, NULL, NULL, NULL, 'GERM CELL-LESS PROTEIN-LIKE 1', 75865),
(132140, 'PTHR33272:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG19069', 75866),
(132141, 'PTHR22237:SF2', NULL, NULL, NULL, NULL, 'APC MEMBRANE RECRUITMENT PROTEIN 3', 75867),
(132142, 'PTHR11691:SF68', NULL, NULL, NULL, NULL, 'INTERFERON BETA', 75868),
(132143, 'PTHR26452:SF807', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 75869),
(132144, 'PTHR31552:SF27', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 75870),
(132145, 'PTHR33312:SF31', NULL, NULL, NULL, NULL, 'BRI1 KINASE INHIBITOR 1-LIKE', 75871),
(132146, 'PTHR31614:SF26', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 75872),
(132147, 'PTHR42889', NULL, NULL, NULL, NULL, 'BLR3681 PROTEIN', 75873),
(132148, 'PTHR10529:SF363', NULL, NULL, NULL, NULL, 'BNAA02G36830D PROTEIN', 75874),
(132149, 'PTHR15382:SF7', NULL, NULL, NULL, NULL, 'CANOPY B', 75875),
(132150, 'PTHR23259:SF66', NULL, NULL, NULL, NULL, 'PROTEIN CBG20713', 75876),
(132151, 'PTHR21637:SF0', NULL, NULL, NULL, NULL, 'AT10158P', 75877),
(132152, 'PTHR36853', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 75878),
(132153, 'PTHR18935', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 75879),
(132154, 'PTHR31636:SF205', NULL, NULL, NULL, NULL, 'OS10G0551200 PROTEIN', 75880),
(132155, 'PTHR45639:SF17', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 14', 75881),
(132156, 'PTHR31639:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75882),
(132157, 'PTHR31791:SF57', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 75883),
(132158, 'PTHR45640', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP-12.2-RELATED', 75884),
(132159, 'PTHR42965:SF5', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 75885),
(132160, 'PTHR31683:SF11', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 75886),
(132161, 'PTHR44656:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 12', 75887),
(132162, 'PTHR45999:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75888),
(132163, 'PTHR31719:SF162', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29-LIKE', 75889),
(132164, 'PTHR33371:SF18', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 75890),
(132165, 'PTHR46340', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 1', 75891),
(132166, 'PTHR46102', NULL, NULL, NULL, NULL, 'AXIN', 75892),
(132167, 'PTHR11685:SF146', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 75893); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(132168, 'PTHR39164:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CCDC', 75894),
(132169, 'PTHR38429', NULL, NULL, NULL, NULL, 'SEPTATION PROTEIN SPOVG-RELATED', 75895),
(132170, 'PTHR11157:SF113', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 75896),
(132171, 'PTHR47947:SF11', NULL, NULL, NULL, NULL, 'ISOFLAVONE 2''-HYDROXYLASE-LIKE', 75897),
(132172, 'PTHR45620:SF7', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE 2 RECEPTOR', 75898),
(132173, 'PTHR32054:SF51', NULL, NULL, NULL, NULL, 'WEB FAMILY-RELATED', 75899),
(132174, 'PTHR13143', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 19', 75900),
(132175, 'PTHR10623:SF10', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN RP/EB FAMILY MEMBER 3', 75901),
(132176, 'PTHR35574:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75902),
(132177, 'PTHR24281:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75903),
(132178, 'PTHR46675:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75904),
(132179, 'PTHR31300:SF41', NULL, NULL, NULL, NULL, 'BNACNNG60070D PROTEIN', 75905),
(132180, 'PTHR31674:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75906),
(132181, 'PTHR11614:SF113', NULL, NULL, NULL, NULL, 'BIOSYNTHESIS PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01450)-RELATED', 75907),
(132182, 'PTHR31642:SF226', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-LIKE', 75908),
(132183, 'PTHR12632:SF61', NULL, NULL, NULL, NULL, 'BNAA02G16180D PROTEIN', 75909),
(132184, 'PTHR31945:SF109', NULL, NULL, NULL, NULL, 'BNAA02G28220D PROTEIN', 75910),
(132185, 'PTHR42109:SF2', NULL, NULL, NULL, NULL, 'UNPLACED GENOMIC SCAFFOLD UM_SCAF_CONTIG_1.265, WHOLE GENOME SHOTGUN SEQUENCE', 75911),
(132186, 'PTHR10926:SF52', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT', 75912),
(132187, 'PTHR30347:SF8', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE CHANNEL MSCK', 75913),
(132188, 'PTHR11785:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75914),
(132189, 'PTHR47992:SF159', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 42-RELATED', 75915),
(132190, 'PTHR10634:SF26', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 5', 75916),
(132191, 'PTHR10742:SF354', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC HISTONE DEMETHYLASE 1 HOMOLOG 3', 75917),
(132192, 'PTHR30217:SF10', NULL, NULL, NULL, NULL, '23S RRNA 5-HYDROXYCYTIDINE C2501 SYNTHASE', 75918),
(132193, 'PTHR18849:SF11', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT PPRA', 75919),
(132194, 'PTHR31867:SF190', NULL, NULL, NULL, NULL, 'EXPANSIN', 75920),
(132195, 'PTHR11932:SF68', NULL, NULL, NULL, NULL, 'CULLIN-4A', 75921),
(132196, 'PTHR38926:SF2', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 21-RELATED', 75922),
(132197, 'PTHR19849:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A-2-ACTIVATING PROTEIN', 75923),
(132198, 'PTHR47992:SF33', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 38-RELATED', 75924),
(132199, 'PTHR14304:SF16', NULL, NULL, NULL, NULL, 'CELL CYCLE AND APOPTOSIS REGULATOR PROTEIN-RELATED', 75925),
(132200, 'PTHR16515:SF30', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 936', 75926),
(132201, 'PTHR31989:SF208', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 37', 75927),
(132202, 'PTHR24100:SF116', NULL, NULL, NULL, NULL, 'BUTYROPHILIN-LIKE PROTEIN 10', 75928),
(132203, 'PTHR14454:SF5', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED AND REGULATOR OF MAPK PROTEIN 2', 75929),
(132204, 'PTHR46008:SF29', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.1', 75930),
(132205, 'PTHR24055:SF238', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE P38A-RELATED', 75931),
(132206, 'PTHR26452:SF246', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 75932),
(132207, 'PTHR11639:SF80', NULL, NULL, NULL, NULL, 'PROTEIN S100-A6', 75933),
(132208, 'PTHR45621:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75934),
(132209, 'PTHR31389', NULL, NULL, NULL, NULL, 'LD39211P', 75935),
(132210, 'PTHR43605:SF6', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE ACSM5, MITOCHONDRIAL', 75936);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(132211, 'PTHR10678:SF7', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT RPN-6.2-RELATED', 75937),
(132212, 'PTHR23262:SF178', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-10', 75938),
(132213, 'PTHR43689:SF21', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD HYDROLASE', 75939),
(132214, 'PTHR45749:SF9', NULL, NULL, NULL, NULL, 'AC-LIKE TRANSPOSASE', 75940),
(132215, 'PTHR42813:SF6', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE (EUROFUNG)', 75941),
(132216, 'PTHR19446:SF446', NULL, NULL, NULL, NULL, 'OS03G0643433 PROTEIN', 75942),
(132217, 'PTHR45671:SF26', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 75943),
(132218, 'PTHR31293:SF12', NULL, NULL, NULL, NULL, 'BNAC03G70930D PROTEIN', 75944),
(132219, 'PTHR31828:SF20', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 7-LIKE', 75945),
(132220, 'PTHR33649', NULL, NULL, NULL, NULL, 'PAR1 PROTEIN', 75946),
(132221, 'PTHR31802:SF14', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT2', 75947),
(132222, 'PTHR24012:SF800', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 75948),
(132223, 'PTHR48058:SF5', NULL, NULL, NULL, NULL, 'SERINE-THREONINE PROTEIN KINASE, PLANT-TYPE', 75949),
(132224, 'PTHR33471:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 75950),
(132225, 'PTHR10543:SF30', NULL, NULL, NULL, NULL, 'OS06G0162550 PROTEIN', 75951),
(132226, 'PTHR31989:SF320', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 14-RELATED', 75952),
(132227, 'PTHR31989:SF334', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 79-LIKE', 75953),
(132228, 'PTHR24032:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75954),
(132229, 'PTHR26450:SF145', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52N1', 75955),
(132230, 'PTHR47456', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 75956),
(132231, 'PTHR48085:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75957),
(132232, 'PTHR11347:SF206', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CAMP-SPECIFIC AND IBMX-INSENSITIVE 3'',5''-CYCLIC PHOSPHODIESTERASE 8', 75958),
(132233, 'PTHR27004:SF296', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75959),
(132234, 'PTHR28620:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75960),
(132235, 'PTHR24189:SF57', NULL, NULL, NULL, NULL, 'IQ MOTIF AND ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN LOC642574-RELATED', 75961),
(132236, 'PTHR27005:SF42', NULL, NULL, NULL, NULL, 'WAK FAMILY RECEPTOR-LIKE PROTEIN KINASE-RELATED', 75962),
(132237, 'PTHR30419:SF28', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR BSDA', 75963),
(132238, 'PTHR13301:SF220', NULL, NULL, NULL, NULL, 'BNACNNG21670D PROTEIN', 75964),
(132239, 'PTHR12680:SF6', NULL, NULL, NULL, NULL, 'HOMEODOMAIN TRANSCRIPTION FACTOR-RELATED', 75965),
(132240, 'PTHR47746:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75966),
(132241, 'PTHR10656:SF35', NULL, NULL, NULL, NULL, 'CYCLIC GMP-AMP SYNTHASE', 75967),
(132242, 'PTHR11732:SF478', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 4 MEMBER C9-LIKE', 75968),
(132243, 'PTHR33280:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L31, CHLOROPLASTIC', 75969),
(132244, 'PTHR30354', NULL, NULL, NULL, NULL, 'GNT FAMILY GLUCONATE TRANSPORTER', 75970),
(132245, 'PTHR39563:SF1', NULL, NULL, NULL, NULL, 'XANTHINE PHOSPHORIBOSYLTRANSFERASE', 75971),
(132246, 'PTHR22765:SF204', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 75972),
(132247, 'PTHR11049', NULL, NULL, NULL, NULL, 'ACYL COENZYME A THIOESTER HYDROLASE', 75973),
(132248, 'PTHR34114:SF8', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 75974),
(132249, 'PTHR33473', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ADAPTER PROTEIN CLPS1, CHLOROPLASTIC', 75975),
(132250, 'PTHR47364:SF6', NULL, NULL, NULL, NULL, 'PHLOEM FILAMENT PROTEIN PP1', 75976),
(132251, 'PTHR36912:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75977),
(132252, 'PTHR33705:SF5', NULL, NULL, NULL, NULL, 'HPR-LIKE PROTEIN CRH', 75978),
(132253, 'PTHR11599:SF136', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE 6', 75979),
(132254, 'PTHR20835:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PPP1R11-RELATED', 75980);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(132255, 'PTHR11440:SF89', NULL, NULL, NULL, NULL, 'YALI0E08206P', 75981),
(132256, 'PTHR42955:SF1', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 75982),
(132257, 'PTHR48056:SF38', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM1 ISOFORM X1', 75983),
(132258, 'PTHR24093:SF253', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 75984),
(132259, 'PTHR48002:SF53', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C15', 75985),
(132260, 'PTHR32295:SF223', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 75986),
(132261, 'PTHR10641:SF1169', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB58', 75987),
(132262, 'PTHR47024:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 75988),
(132263, 'PTHR33191:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75989),
(132264, 'PTHR33982', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE MEMBRANE PROTEIN 7-RELATED', 75990),
(132265, 'PTHR47152:SF2', NULL, NULL, NULL, NULL, 'SLR2084 PROTEIN', 75991),
(132266, 'PTHR31791:SF47', NULL, NULL, NULL, NULL, 'INACTIVE FRIGIDA-LIKE PROTEIN 2', 75992),
(132267, 'PTHR24329:SF303', NULL, NULL, NULL, NULL, 'PAIRED MESODERM HOMEOBOX PROTEIN 2A', 75993),
(132268, 'PTHR43594', NULL, NULL, NULL, NULL, 'QUERCETIN 2,3-DIOXYGENASE', 75994),
(132269, 'PTHR23073:SF117', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 6A HOMOLOG A', 75995),
(132270, 'PTHR36433', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 75996),
(132271, 'PTHR45969:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75997),
(132272, 'PTHR45676:SF37', NULL, NULL, NULL, NULL, 'OS08G0563500 PROTEIN', 75998),
(132273, 'PTHR31009:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 75999),
(132274, 'PTHR11802:SF123', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 76000),
(132275, 'PTHR23500:SF569', NULL, NULL, NULL, NULL, 'BNAC01G32940D PROTEIN', 76001),
(132276, 'PTHR11064:SF122', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-7', 76002),
(132277, 'PTHR32018:SF28', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 76003),
(132278, 'PTHR23268:SF13', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 15', 76004),
(132279, 'PTHR14453:SF88', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 76005),
(132280, 'PTHR32054:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE DOMAIN-CONTAINING CTD PHOSPHATASE 1', 76006),
(132281, 'PTHR31828:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76007),
(132282, 'PTHR31140:SF73', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR FUS3', 76008),
(132283, 'PTHR33843:SF5', NULL, NULL, NULL, NULL, 'ASCORBATE-SPECIFIC PTS SYSTEM EIIC COMPONENT', 76009),
(132284, 'PTHR11599:SF132', NULL, NULL, NULL, NULL, 'PROTEASOME ENDOPEPTIDASE COMPLEX', 76010),
(132285, 'PTHR32378:SF12', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 2', 76011),
(132286, 'PTHR24006:SF799', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 76012),
(132287, 'PTHR45628:SF6', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT N-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1B', 76013),
(132288, 'PTHR32153:SF45', NULL, NULL, NULL, NULL, 'F-BOX/LRR PROTEIN', 76014),
(132289, 'PTHR14332:SF3', NULL, NULL, NULL, NULL, 'DISRUPTED IN SCHIZOPHRENIA 1 PROTEIN', 76015),
(132290, 'PTHR24336:SF8', NULL, NULL, NULL, NULL, 'LADYBIRD EARLY-RELATED', 76016),
(132291, 'PTHR10378:SF30', NULL, NULL, NULL, NULL, 'COREPRESSOR SEUSS, PUTATIVE-RELATED', 76017),
(132292, 'PTHR20859', NULL, NULL, NULL, NULL, 'INTERFERON/INTERLEUKIN RECEPTOR', 76018),
(132293, 'PTHR42706:SF3', NULL, NULL, NULL, NULL, 'FORMYLTETRAHYDROFOLATE DEFORMYLASE 2, MITOCHONDRIAL', 76019),
(132294, 'PTHR31945:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76020),
(132295, 'PTHR47960:SF18', NULL, NULL, NULL, NULL, 'BNAA02G36470D PROTEIN', 76021),
(132296, 'PTHR23024:SF401', NULL, NULL, NULL, NULL, 'OS09G0460700 PROTEIN', 76022),
(132297, 'PTHR48010:SF48', NULL, NULL, NULL, NULL, 'BNAC09G12300D PROTEIN', 76023),
(132298, 'PTHR47379', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE-LIKE PROTEIN 2', 76024);
INSERT INTO "PUBLIC"."MODEL" VALUES
(132299, 'PTHR48065:SF25', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 76025),
(132300, 'PTHR43065:SF32', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE/RESPONSE REGULATOR', 76026),
(132301, 'PTHR24068:SF301', NULL, NULL, NULL, NULL, 'ENZYME E2, PUTATIVE-RELATED', 76027),
(132302, 'PTHR22951:SF12', NULL, NULL, NULL, NULL, 'OS01G0945500 PROTEIN', 76028),
(132303, 'PTHR31734:SF188', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA4', 76029),
(132304, 'PTHR23130', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 76030),
(132305, 'PTHR31723:SF4', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED FAMILY PROTEIN', 76031),
(132306, 'PTHR10405:SF16', NULL, NULL, NULL, NULL, '(CLONE BALB10N)-RELATED', 76032),
(132307, 'PTHR32285:SF261', NULL, NULL, NULL, NULL, 'BNAA05G34290D PROTEIN', 76033),
(132308, 'PTHR18945:SF74', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA', 76034),
(132309, 'PTHR11119:SF84', NULL, NULL, NULL, NULL, 'OS03G0823800 PROTEIN', 76035),
(132310, 'PTHR30055:SF174', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY TETR-FAMILY)-RELATED', 76036),
(132311, 'PTHR10357:SF203', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN:MALTOSE-1-PHOSPHATE MALTOSYLTRANSFERASE', 76037),
(132312, 'PTHR26452:SF292', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5G3', 76038),
(132313, 'PTHR31363', NULL, NULL, NULL, NULL, 'TRAF3-INTERACTING PROTEIN 1', 76039),
(132314, 'PTHR24298:SF630', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 705A1-RELATED', 76040),
(132315, 'PTHR12506:SF69', NULL, NULL, NULL, NULL, 'BNAA07G07850D PROTEIN', 76041),
(132316, 'PTHR32021:SF19', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5A2', 76042),
(132317, 'PTHR43840:SF39', NULL, NULL, NULL, NULL, 'BNACNNG57000D PROTEIN', 76043),
(132318, 'PTHR13351:SF5', NULL, NULL, NULL, NULL, 'RENIN RECEPTOR', 76044),
(132319, 'PTHR32077:SF62', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN-RELATED', 76045),
(132320, 'PTHR42861:SF89', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 76046),
(132321, 'PTHR45738:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE FAMILY PROTEIN-RELATED', 76047),
(132322, 'PTHR10629:SF53', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE 1B', 76048),
(132323, 'PTHR28245', NULL, NULL, NULL, NULL, 'ARF3-INTERACTING PROTEIN 1', 76049),
(132324, 'PTHR10239:SF22', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR B2', 76050),
(132325, 'PTHR36321:SF7', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 5-LIKE', 76051),
(132326, 'PTHR34602:SF1', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP E', 76052),
(132327, 'PTHR23155:SF1112', NULL, NULL, NULL, NULL, 'OS08G0261000 PROTEIN', 76053),
(132328, 'PTHR31374:SF143', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR36-LIKE', 76054),
(132329, 'PTHR46855:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76055),
(132330, 'PTHR31852:SF195', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 76056),
(132331, 'PTHR33130:SF60', NULL, NULL, NULL, NULL, 'OS05G0551600 PROTEIN', 76057),
(132332, 'PTHR10288:SF246', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 14', 76058),
(132333, 'PTHR32448:SF121', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN', 76059),
(132334, 'PTHR10352:SF27', NULL, NULL, NULL, NULL, 'PROTEIN ELAV', 76060),
(132335, 'PTHR42796:SF3', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE DOMAIN-CONTAINING PROTEIN 2A-RELATED', 76061),
(132336, 'PTHR47437:SF1', NULL, NULL, NULL, NULL, 'JNK-INTERACTING PROTEIN 1-LIKE PROTEIN', 76062),
(132337, 'PTHR21248:SF12', NULL, NULL, NULL, NULL, 'CARDIOLIPIN SYNTHASE C', 76063),
(132338, 'PTHR46662:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76064),
(132339, 'PTHR11654:SF348', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE, EXPRESSED-RELATED', 76065),
(132340, 'PTHR31992:SF157', NULL, NULL, NULL, NULL, 'BNAA07G37300D PROTEIN', 76066),
(132341, 'PTHR11037:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CP2-LIKE PROTEIN 1', 76067);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(132342, 'PTHR46215:SF20', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 76068),
(132343, 'PTHR33306:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76069),
(132344, 'PTHR10064:SF22', NULL, NULL, NULL, NULL, 'OS07G0674200 PROTEIN', 76070),
(132345, 'PTHR21646:SF34', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 45', 76071),
(132346, 'PTHR13214:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 330', 76072),
(132347, 'PTHR11505:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76073),
(132348, 'PTHR24028:SF124', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-10', 76074),
(132349, 'PTHR38743', NULL, NULL, NULL, NULL, 'SIMILAR TO GLYOXYLASE I FAMILY PROTEIN', 76075),
(132350, 'PTHR10010:SF21', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORT PROTEIN 2A', 76076),
(132351, 'PTHR31429:SF85', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 72-RELATED', 76077),
(132352, 'PTHR12083:SF9', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL POLYNUCLEOTIDE PHOSPHATASE/KINASE', 76078),
(132353, 'PTHR24414:SF126', NULL, NULL, NULL, NULL, 'BNAANNG04010D PROTEIN', 76079),
(132354, 'PTHR46620:SF2', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN SPF31-LIKE', 76080),
(132355, 'PTHR47881:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 4', 76081),
(132356, 'PTHR13037:SF11', NULL, NULL, NULL, NULL, 'FORMIN-1', 76082),
(132357, 'PTHR13471:SF0', NULL, NULL, NULL, NULL, 'PROTEIN NRDE2 HOMOLOG', 76083),
(132358, 'PTHR11706:SF92', NULL, NULL, NULL, NULL, 'BNAC06G40180D PROTEIN', 76084),
(132359, 'PTHR37361', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 9', 76085),
(132360, 'PTHR30163:SF8', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 76086),
(132361, 'PTHR33963:SF2', NULL, NULL, NULL, NULL, 'MKRN2 OPPOSITE STRAND PROTEIN', 76087),
(132362, 'PTHR10177:SF459', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76088),
(132363, 'PTHR21092:SF0', NULL, NULL, NULL, NULL, 'NICASTRIN', 76089),
(132364, 'PTHR47042:SF6', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN-RELATED', 76090),
(132365, 'PTHR46814', NULL, NULL, NULL, NULL, 'EGALITARIAN, ISOFORM B', 76091),
(132366, 'PTHR23277:SF112', NULL, NULL, NULL, NULL, 'POLIOVIRUS RECEPTOR ISOFORM X2', 76092),
(132367, 'PTHR13904:SF0', NULL, NULL, NULL, NULL, 'U4/U6 SMALL NUCLEAR RIBONUCLEOPROTEIN PRP31', 76093),
(132368, 'PTHR22845:SF5', NULL, NULL, NULL, NULL, 'APOPTOTIC PROTEASE-ACTIVATING FACTOR 1', 76094),
(132369, 'PTHR28133:SF1', NULL, NULL, NULL, NULL, 'REQUIRED FOR RESPIRATORY GROWTH PROTEIN 7, MITOCHONDRIAL', 76095),
(132370, 'PTHR10795:SF662', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.4', 76096),
(132371, 'PTHR24408:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 451', 76097),
(132372, 'PTHR47978:SF24', NULL, NULL, NULL, NULL, 'PROTEIN TEM1', 76098),
(132373, 'PTHR31734:SF157', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 76099),
(132374, 'PTHR48041:SF92', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY G MEMBER 2', 76100),
(132375, 'PTHR14091', NULL, NULL, NULL, NULL, 'PERIODIC TRYPTOPHAN PROTEIN 1', 76101),
(132376, 'PTHR48019:SF1', NULL, NULL, NULL, NULL, 'BNAA09G05410D PROTEIN', 76102),
(132377, 'PTHR38779:SF2', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN I-RELATED', 76103),
(132378, 'PTHR33305:SF30', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 3 PROTEIN', 76104),
(132379, 'PTHR44366', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--PEPTIDE N-ACETYLGLUCOSAMINYLTRANSFERASE 110 KDA SUBUNIT', 76105),
(132380, 'PTHR31529:SF31', NULL, NULL, NULL, NULL, 'LOB DOMAIN PROTEIN-LIKE', 76106),
(132381, 'PTHR11616:SF113', NULL, NULL, NULL, NULL, 'ORPHAN SODIUM- AND CHLORIDE-DEPENDENT NEUROTRANSMITTER TRANSPORTER NTT5', 76107),
(132382, 'PTHR23050:SF440', NULL, NULL, NULL, NULL, 'BNAA06G20230D PROTEIN', 76108),
(132383, 'PTHR47989:SF24', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-REGULATED RECEPTOR-LIKE KINASE 1', 76109),
(132384, 'PTHR10867', NULL, NULL, NULL, NULL, 'NNMT/PNMT/TEMT FAMILY MEMBER', 76110);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(132385, 'PTHR12902:SF8', NULL, NULL, NULL, NULL, 'WISKOTT-ALDRICH SYNDROME PROTEIN FAMILY MEMBER 1', 76111),
(132386, 'PTHR36045:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76112),
(132387, 'PTHR34189:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 76113),
(132388, 'PTHR31989:SF232', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 61-RELATED', 76114),
(132389, 'PTHR30204:SF71', NULL, NULL, NULL, NULL, 'MERR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 76115),
(132390, 'PTHR11449:SF22', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L30E-RELATED', 76116),
(132391, 'PTHR14155:SF523', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 76117),
(132392, 'PTHR11119:SF100', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 5', 76118),
(132393, 'PTHR24247:SF60', NULL, NULL, NULL, NULL, 'MCG142237', 76119),
(132394, 'PTHR33128:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76120),
(132395, 'PTHR12411:SF657', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76121),
(132396, 'PTHR31636:SF167', NULL, NULL, NULL, NULL, 'CHITIN-INDUCIBLE GIBBERELLIN-RESPONSIVE PROTEIN 1-LIKE', 76122),
(132397, 'PTHR34967', NULL, NULL, NULL, NULL, 'OS02G0257200 PROTEIN', 76123),
(132398, 'PTHR15710:SF24', NULL, NULL, NULL, NULL, 'OS05G0110000 PROTEIN', 76124),
(132399, 'PTHR10245:SF121', NULL, NULL, NULL, NULL, 'BNACNNG22500D PROTEIN', 76125),
(132400, 'PTHR24417', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE LMTK1', 76126),
(132401, 'PTHR31218:SF196', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 76127),
(132402, 'PTHR44329:SF128', NULL, NULL, NULL, NULL, 'OS09G0544300 PROTEIN', 76128),
(132403, 'PTHR22726:SF8', NULL, NULL, NULL, NULL, 'METALLOPROTEASE YCAL', 76129),
(132404, 'PTHR45943:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MYCBP2', 76130),
(132405, 'PTHR12241:SF31', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL1-RELATED', 76131),
(132406, 'PTHR36772', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE', 76132),
(132407, 'PTHR46015:SF4', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE S-METHYLTRANSFERASE 2', 76133),
(132408, 'PTHR14002:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76134),
(132409, 'PTHR13710:SF140', NULL, NULL, NULL, NULL, 'DNA HELICASE, ATP-DEPENDENT, RECQ TYPE-RELATED', 76135),
(132410, 'PTHR16220', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN 8-RELATED', 76136),
(132411, 'PTHR35546:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76137),
(132412, 'PTHR27002:SF867', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76138),
(132413, 'PTHR45633:SF15', NULL, NULL, NULL, NULL, '60 KDA CHAPERONIN ALPHA SUBUNIT', 76139),
(132414, 'PTHR47437:SF2', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 8 INTERACTING PROTEIN 2', 76140),
(132415, 'PTHR31953:SF49', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 1', 76141),
(132416, 'PTHR15082:SF4', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 3-B', 76142),
(132417, 'PTHR42817:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE GLIT (AFU_ORTHOLOGUE AFUA_6G09740)', 76143),
(132418, 'PTHR47966:SF39', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE A1-LIKE', 76144),
(132419, 'PTHR31213:SF69', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL3', 76145),
(132420, 'PTHR45658:SF83', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 76146),
(132421, 'PTHR24103:SF631', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 35', 76147),
(132422, 'PTHR12563:SF16', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 1, MITOCHONDRIAL', 76148),
(132423, 'PTHR37974', NULL, NULL, NULL, NULL, 'PROTEIN CBG14951', 76149),
(132424, 'PTHR22883:SF369', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 76150),
(132425, 'PTHR30055:SF183', NULL, NULL, NULL, NULL, 'NUCLEOID OCCLUSION FACTOR SLMA', 76151),
(132426, 'PTHR11654:SF465', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76152),
(132427, 'PTHR45797:SF1', NULL, NULL, NULL, NULL, 'RAD54-LIKE', 76153),
(132428, 'PTHR10811:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76154);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(132429, 'PTHR12483:SF101', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 1-LIKE', 76155),
(132430, 'PTHR14537:SF0', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 11', 76156),
(132431, 'PTHR10408:SF20', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE', 76157),
(132432, 'PTHR46178:SF8', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 76158),
(132433, 'PTHR11022', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN RECOGNITION PROTEIN', 76159),
(132434, 'PTHR10804:SF133', NULL, NULL, NULL, NULL, 'ERBB-3 BINDING PROTEIN 1-LIKE', 76160),
(132435, 'PTHR31744:SF77', NULL, NULL, NULL, NULL, 'PROTEIN FEZ', 76161),
(132436, 'PTHR22601:SF64', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 6', 76162),
(132437, 'PTHR45719:SF32', NULL, NULL, NULL, NULL, 'BNAC04G31930D PROTEIN', 76163),
(132438, 'PTHR10404:SF50', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE NAALADL1', 76164),
(132439, 'PTHR11566:SF192', NULL, NULL, NULL, NULL, 'DYNAMIN-2A', 76165),
(132440, 'PTHR17614:SF11', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 8', 76166),
(132441, 'PTHR15530', NULL, NULL, NULL, NULL, 'SERTA DOMAIN-CONTAINING PROTEIN 3', 76167),
(132442, 'PTHR45621:SF175', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', 76168),
(132443, 'PTHR44090:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN VIP3-LIKE', 76169),
(132444, 'PTHR21145:SF14', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', 76170),
(132445, 'PTHR46325:SF10', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC8', 76171),
(132446, 'PTHR43205:SF36', NULL, NULL, NULL, NULL, 'ALLYL ALCOHOL DEHYDROGENASE-LIKE PROTEIN', 76172),
(132447, 'PTHR37252:SF4', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 6-LIKE', 76173),
(132448, 'PTHR33179:SF51', NULL, NULL, NULL, NULL, 'BNAA09G07100D PROTEIN', 76174),
(132449, 'PTHR23049:SF66', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT POLYPEPTIDE 9', 76175),
(132450, 'PTHR32448:SF105', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT OXIDOREDUCTASE FOX1-LIKE', 76176),
(132451, 'PTHR15545:SF8', NULL, NULL, NULL, NULL, 'SLO-INTERACTING PROTEIN 1', 76177),
(132452, 'PTHR14689', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 76178),
(132453, 'PTHR33285:SF37', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE PEPTIDE-RELATED', 76179),
(132454, 'PTHR37817:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE EIS', 76180),
(132455, 'PTHR22893:SF96', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 10-RELATED', 76181),
(132456, 'PTHR43590', NULL, NULL, NULL, NULL, 'ARSENIC RESISTANCE PROTEIN ARSH (AFU_ORTHOLOGUE AFUA_5G15030)', 76182),
(132457, 'PTHR33540:SF2', NULL, NULL, NULL, NULL, 'TRNA THREONYLCARBAMOYLADENOSINE BIOSYNTHESIS PROTEIN TSAE', 76183),
(132458, 'PTHR42919:SF20', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 76184),
(132459, 'PTHR30620:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76185),
(132460, 'PTHR23428:SF172', NULL, NULL, NULL, NULL, 'HISTONE H2B', 76186),
(132461, 'PTHR28681:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 196', 76187),
(132462, 'PTHR45614:SF42', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN M', 76188),
(132463, 'PTHR31953:SF89', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE 5-RELATED', 76189),
(132464, 'PTHR46271:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN, PUTATIVE-RELATED', 76190),
(132465, 'PTHR10572:SF42', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE 2', 76191),
(132466, 'PTHR47027:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76192),
(132467, 'PTHR10252:SF41', NULL, NULL, NULL, NULL, 'HAP5 SUBUNIT OF HAP COMPLEX', 76193),
(132468, 'PTHR30191:SF7', NULL, NULL, NULL, NULL, 'PFL-LIKE ENZYME TDCE', 76194),
(132469, 'PTHR45614:SF54', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', 76195),
(132470, 'PTHR42687:SF5', NULL, NULL, NULL, NULL, 'L-THREONINE DEHYDROGENASE 2', 76196),
(132471, 'PTHR21091:SF167', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN DECARBOXYLASE 1, CHLOROPLASTIC', 76197),
(132472, 'PTHR24123:SF65', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 50', 76198);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(132473, 'PTHR24044:SF308', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN 3', 76199),
(132474, 'PTHR46084:SF8', NULL, NULL, NULL, NULL, 'BNAC03G72560D PROTEIN', 76200),
(132475, 'PTHR18953:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76201),
(132476, 'PTHR34684:SF4', NULL, NULL, NULL, NULL, 'BNAANNG09600D PROTEIN', 76202),
(132477, 'PTHR12801:SF122', NULL, NULL, NULL, NULL, 'OS02G0709000 PROTEIN', 76203),
(132478, 'PTHR11679:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76204),
(132479, 'PTHR47926:SF103', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 76205),
(132480, 'PTHR11886:SF93', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 76206),
(132481, 'PTHR33215:SF12', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSN FOR INSERTION SEQUENCE ELEMENT IS911A-RELATED', 76207),
(132482, 'PTHR23505:SF62', NULL, NULL, NULL, NULL, 'OS09G0371400 PROTEIN', 76208),
(132483, 'PTHR33156:SF35', NULL, NULL, NULL, NULL, 'OS01G0551400 PROTEIN', 76209),
(132484, 'PTHR32018:SF14', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', 76210),
(132485, 'PTHR36938:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG06319', 76211),
(132486, 'PTHR33989:SF8', NULL, NULL, NULL, NULL, 'PERMEASE IIC COMPONENT', 76212),
(132487, 'PTHR11652:SF44', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S23', 76213),
(132488, 'PTHR31241:SF22', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2A-LIKE', 76214),
(132489, 'PTHR10006:SF19', NULL, NULL, NULL, NULL, 'MUCIN-1', 76215),
(132490, 'PTHR32343:SF66', NULL, NULL, NULL, NULL, 'OS09G0314500 PROTEIN', 76216),
(132491, 'PTHR12317:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76217),
(132492, 'PTHR12174:SF22', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 3', 76218),
(132493, 'PTHR31100:SF71', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 76219),
(132494, 'PTHR44378:SF4', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 18, PEROXISOMAL ISOFORM X1-RELATED', 76220),
(132495, 'PTHR44167:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE 11', 76221),
(132496, 'PTHR31662:SF1', NULL, NULL, NULL, NULL, 'BNAANNG10740D PROTEIN', 76222),
(132497, 'PTHR15336:SF13', NULL, NULL, NULL, NULL, 'C REDUCTASE COMPLEX 7.8 KDA PROTEIN, PUTATIVE-RELATED', 76223),
(132498, 'PTHR31451:SF62', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 2', 76224),
(132499, 'PTHR31429:SF86', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 61-RELATED', 76225),
(132500, 'PTHR22932:SF10', NULL, NULL, NULL, NULL, 'CO-CHAPERONE, PUTATIVE-RELATED', 76226),
(132501, 'PTHR13296:SF0', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR SPF27', 76227),
(132502, 'PTHR43101:SF1', NULL, NULL, NULL, NULL, 'BETA-FRUCTOSIDASE', 76228),
(132503, 'PTHR35997:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76229),
(132504, 'PTHR47979:SF16', NULL, NULL, NULL, NULL, 'RAB GTP-BINDING PROTEIN', 76230),
(132505, 'PTHR33222:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CURVATURE THYLAKOID 1A, CHLOROPLASTIC-LIKE', 76231),
(132506, 'PTHR11394:SF137', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2', 76232),
(132507, 'PTHR11481:SF5', NULL, NULL, NULL, NULL, 'PLATELET ENDOTHELIAL CELL ADHESION MOLECULE', 76233),
(132508, 'PTHR15439', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-BINDING PROTEIN 6', 76234),
(132509, 'PTHR35978', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN M', 76235),
(132510, 'PTHR33413:SF20', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER TRANSCRIPTION FACTOR K', 76236),
(132511, 'PTHR11654:SF454', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.1', 76237),
(132512, 'PTHR14132:SF15', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR 6-RELATED', 76238),
(132513, 'PTHR36478:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76239),
(132514, 'PTHR31080:SF118', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 10', 76240),
(132515, 'PTHR24343:SF417', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 26', 76241),
(132516, 'PTHR26450:SF89', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52B4', 76242);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(132517, 'PTHR30143:SF0', NULL, NULL, NULL, NULL, '2-KETO-4-PENTENOATE HYDRATASE', 76243),
(132518, 'PTHR12634:SF14', NULL, NULL, NULL, NULL, 'SIT4-ASSOCIATING PROTEIN SAP155-RELATED', 76244),
(132519, 'PTHR11477:SF13', NULL, NULL, NULL, NULL, 'DEATH-INDUCER OBLITERATOR 1', 76245),
(132520, 'PTHR11907:SF0', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE', 76246),
(132521, 'PTHR39083', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP-BINDING PROTEIN', 76247),
(132522, 'PTHR11829:SF142', NULL, NULL, NULL, NULL, 'FORKHEAD BOX Q2', 76248),
(132523, 'PTHR19957:SF295', NULL, NULL, NULL, NULL, 'SYNTAXIN VAM3', 76249),
(132524, 'PTHR22904:SF516', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76250),
(132525, 'PTHR15415:SF13', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC60-2', 76251),
(132526, 'PTHR47105:SF2', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', 76252),
(132527, 'PTHR47958:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76253),
(132528, 'PTHR27008:SF216', NULL, NULL, NULL, NULL, 'OS07G0121200 PROTEIN', 76254),
(132529, 'PTHR47514:SF2', NULL, NULL, NULL, NULL, 'TRANSKETOLASE', 76255),
(132530, 'PTHR33085:SF64', NULL, NULL, NULL, NULL, 'OS09G0555900 PROTEIN', 76256),
(132531, 'PTHR10974', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 76257),
(132532, 'PTHR33728:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76258),
(132533, 'PTHR11909:SF362', NULL, NULL, NULL, NULL, 'PROTEIN CBG17985', 76259),
(132534, 'PTHR12294:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76260),
(132535, 'PTHR11214:SF24', NULL, NULL, NULL, NULL, 'ACETYLGALACTOSAMINYL-O-GLYCOSYL-GLYCOPROTEIN BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE', 76261),
(132536, 'PTHR10064:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76262),
(132537, 'PTHR33052:SF146', NULL, NULL, NULL, NULL, 'BNAA07G12470D PROTEIN', 76263),
(132538, 'PTHR10334:SF314', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN PRMS', 76264),
(132539, 'PTHR24261:SF13', NULL, NULL, NULL, NULL, 'PLASMINOGEN', 76265),
(132540, 'PTHR10127:SF795', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE-RELATED', 76266),
(132541, 'PTHR10120:SF24', NULL, NULL, NULL, NULL, 'CAAX PRENYL PROTEASE 1 HOMOLOG', 76267),
(132542, 'PTHR19422:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76268),
(132543, 'PTHR17271:SF12', NULL, NULL, NULL, NULL, 'MYOSIN PHOSPHATASE RHO-INTERACTING PROTEIN', 76269),
(132544, 'PTHR11783:SF264', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 76270),
(132545, 'PTHR31126:SF61', NULL, NULL, NULL, NULL, 'BNAC09G52050D PROTEIN', 76271),
(132546, 'PTHR20338:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR RESPIRATORY FACTOR 1', 76272),
(132547, 'PTHR11346:SF78', NULL, NULL, NULL, NULL, 'GALECTIN', 76273),
(132548, 'PTHR11668:SF455', NULL, NULL, NULL, NULL, 'PROTEIN CBG21670', 76274),
(132549, 'PTHR24020:SF13', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-3(VI) CHAIN', 76275),
(132550, 'PTHR32370:SF126', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 76276),
(132551, 'PTHR14796', NULL, NULL, NULL, NULL, 'NEURENSIN 1-RELATED', 76277),
(132552, 'PTHR24396:SF22', NULL, NULL, NULL, NULL, 'PROTEIN WIZ', 76278),
(132553, 'PTHR48010:SF1', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR-LIKE PROTEIN KINASE-RELATED', 76279),
(132554, 'PTHR11926:SF950', NULL, NULL, NULL, NULL, 'CYTOKININ-N-GLUCOSYLTRANSFERASE 1', 76280),
(132555, 'PTHR45969:SF1', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID-RESPONSIVE RING-H2', 76281),
(132556, 'PTHR12435', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 76282),
(132557, 'PTHR46116:SF12', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 39-RELATED', 76283),
(132558, 'PTHR23105:SF125', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', 76284),
(132559, 'PTHR11062:SF248', NULL, NULL, NULL, NULL, 'GALACTOSYLTRANSFERASE KATAMARI 1,PUTATIVE, EXPRESSED-RELATED', 76285),
(132560, 'PTHR33162:SF6', NULL, NULL, NULL, NULL, 'BNAC07G27450D PROTEIN', 76286),
(132561, 'PTHR47377:SF3', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 4A, CHLOROPLASTIC', 76287),
(132562, 'PTHR34189:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE RLCKVII PROTEIN', 76288);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(132563, 'PTHR23137:SF33', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', 76289),
(132564, 'PTHR33148:SF46', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 76290),
(132565, 'PTHR11875:SF113', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1,2', 76291),
(132566, 'PTHR11540:SF16', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE, MITOCHONDRIAL', 76292),
(132567, 'PTHR33109:SF67', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 5', 76293),
(132568, 'PTHR20933', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 33', 76294),
(132569, 'PTHR27005:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76295),
(132570, 'PTHR35334:SF2', NULL, NULL, NULL, NULL, 'SERINE TRANSPORTER', 76296),
(132571, 'PTHR11848:SF29', NULL, NULL, NULL, NULL, 'INHIBIN BETA B CHAIN', 76297),
(132572, 'PTHR35531:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YBCI-RELATED', 76298),
(132573, 'PTHR46072:SF4', NULL, NULL, NULL, NULL, 'AMIDASE C550.07-RELATED', 76299),
(132574, 'PTHR24023:SF855', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE VIII, ALPHA 2', 76300),
(132575, 'PTHR24225:SF0', NULL, NULL, NULL, NULL, 'N-FORMYL PEPTIDE RECEPTOR 2', 76301),
(132576, 'PTHR31992:SF212', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.1-LIKE', 76302),
(132577, 'PTHR47183', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE CYTIDYLYLTRANSFERASE-RELATED', 76303),
(132578, 'PTHR30471:SF6', NULL, NULL, NULL, NULL, 'UPF0758 PROTEIN VC_0510', 76304),
(132579, 'PTHR45660:SF58', NULL, NULL, NULL, NULL, 'SET DOMAIN GROUP 21-RELATED', 76305),
(132580, 'PTHR48236:SF1', NULL, NULL, NULL, NULL, 'COX19-LIKE CHCH FAMILY PROTEIN', 76306),
(132581, 'PTHR37849', NULL, NULL, NULL, NULL, 'YALI0E11605P', 76307),
(132582, 'PTHR10102:SF16', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE 1B, MITOCHONDRIAL', 76308),
(132583, 'PTHR40277', NULL, NULL, NULL, NULL, 'BLL5419 PROTEIN', 76309),
(132584, 'PTHR14571:SF9', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SET-26-RELATED', 76310),
(132585, 'PTHR23333:SF37', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 6', 76311),
(132586, 'PTHR11249:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76312),
(132587, 'PTHR23147:SF154', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS2Z33-LIKE ISOFORM X1', 76313),
(132588, 'PTHR21450:SF3', NULL, NULL, NULL, NULL, 'DUF630 FAMILY PROTEIN (DUF630 AND DUF632)', 76314),
(132589, 'PTHR31626:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM171A1', 76315),
(132590, 'PTHR15710:SF94', NULL, NULL, NULL, NULL, 'BNAA06G02870D PROTEIN', 76316),
(132591, 'PTHR31374:SF320', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR36-LIKE', 76317),
(132592, 'PTHR22884:SF500', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 76318),
(132593, 'PTHR19957:SF273', NULL, NULL, NULL, NULL, 'OS06G0168500 PROTEIN', 76319),
(132594, 'PTHR23026:SF117', NULL, NULL, NULL, NULL, 'NITROREDUCTASE-RELATED', 76320),
(132595, 'PTHR12127:SF5', NULL, NULL, NULL, NULL, 'MUCOLIPIN-3', 76321),
(132596, 'PTHR32092:SF14', NULL, NULL, NULL, NULL, 'MALTOSE-6''-PHOSPHATE GLUCOSIDASE', 76322),
(132597, 'PTHR33920:SF2', NULL, NULL, NULL, NULL, 'ALPHA-2-PUROTHIONIN', 76323),
(132598, 'PTHR33337:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76324),
(132599, 'PTHR31218:SF226', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 76325),
(132600, 'PTHR17502:SF2', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 28', 76326),
(132601, 'PTHR33077:SF73', NULL, NULL, NULL, NULL, 'TIFY19', 76327),
(132602, 'PTHR32444:SF108', NULL, NULL, NULL, NULL, 'OS01G0224601 PROTEIN', 76328),
(132603, 'PTHR22891:SF26', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE-4', 76329),
(132604, 'PTHR48140:SF1', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE 4, CHLOROPLASTIC', 76330),
(132605, 'PTHR10788:SF91', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 20-RELATED', 76331),
(132606, 'PTHR34061:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76332),
(132607, 'PTHR17550', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TTC3', 76333),
(132608, 'PTHR47928:SF129', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE SMALL DOMAIN', 76334);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(132609, 'PTHR26379:SF313', NULL, NULL, NULL, NULL, 'OS10G0428900 PROTEIN', 76335),
(132610, 'PTHR11353:SF203', NULL, NULL, NULL, NULL, 'BNAC05G32480D PROTEIN', 76336),
(132611, 'PTHR43569:SF2', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE', 76337),
(132612, 'PTHR24136:SF39', NULL, NULL, NULL, NULL, 'BNAC05G43100D PROTEIN', 76338),
(132613, 'PTHR46937', NULL, NULL, NULL, NULL, 'FERREDOXIN-THIOREDOXIN REDUCTASE, VARIABLE CHAIN', 76339),
(132614, 'PTHR31080:SF196', NULL, NULL, NULL, NULL, 'BNAA09G06930D PROTEIN', 76340),
(132615, 'PTHR31144:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76341),
(132616, 'PTHR10698', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT H', 76342),
(132617, 'PTHR46368', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 76343),
(132618, 'PTHR21716:SF53', NULL, NULL, NULL, NULL, 'AI-2 TRANSPORT PROTEIN TQSA', 76344),
(132619, 'PTHR27003:SF349', NULL, NULL, NULL, NULL, 'OS03G0124200 PROTEIN', 76345),
(132620, 'PTHR11802:SF106', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 76346),
(132621, 'PTHR35391:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76347),
(132622, 'PTHR24393:SF104', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR PRZ1', 76348),
(132623, 'PTHR10036', NULL, NULL, NULL, NULL, 'CD59 GLYCOPROTEIN', 76349),
(132624, 'PTHR11267:SF163', NULL, NULL, NULL, NULL, 'T-BOX PROTEIN 33-RELATED', 76350),
(132625, 'PTHR34630:SF44', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 76351),
(132626, 'PTHR27003:SF345', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 76352),
(132627, 'PTHR45621:SF41', NULL, NULL, NULL, NULL, 'OS01G0588500 PROTEIN', 76353),
(132628, 'PTHR48017:SF149', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1I', 76354),
(132629, 'PTHR31451:SF53', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE-LIKE PROTEIN', 76355),
(132630, 'PTHR23240:SF24', NULL, NULL, NULL, NULL, 'DNA LIGASE', 76356),
(132631, 'PTHR19433', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR ALPHA CHAIN V REGION-RELATED', 76357),
(132632, 'PTHR33709:SF4', NULL, NULL, NULL, NULL, 'OSJNBA0035M09.9 PROTEIN', 76358),
(132633, 'PTHR31625:SF7', NULL, NULL, NULL, NULL, 'OS02G0485800 PROTEIN', 76359),
(132634, 'PTHR24068:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76360),
(132635, 'PTHR23308:SF2', NULL, NULL, NULL, NULL, 'KANADAPTIN', 76361),
(132636, 'PTHR23272:SF142', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN DAYSLEEPER', 76362),
(132637, 'PTHR15590:SF0', NULL, NULL, NULL, NULL, 'CX9C MOTIF-CONTAINING PROTEIN 4', 76363),
(132638, 'PTHR39210', NULL, NULL, NULL, NULL, 'HEPARIN-SULFATE LYASE', 76364),
(132639, 'PTHR24559:SF327', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN-CONTAINING PROTEIN-RELATED', 76365),
(132640, 'PTHR20932:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76366),
(132641, 'PTHR23076:SF56', NULL, NULL, NULL, NULL, 'INACTIVE ATP-DEPENDENT ZINC METALLOPROTEASE FTSHI 2, CHLOROPLASTIC-RELATED', 76367),
(132642, 'PTHR35161:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76368),
(132643, 'PTHR27002:SF678', NULL, NULL, NULL, NULL, 'KINASE RECEPTOR, PUTATIVE-RELATED', 76369),
(132644, 'PTHR46599:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76370),
(132645, 'PTHR31190:SF215', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 76371),
(132646, 'PTHR23306:SF22', NULL, NULL, NULL, NULL, 'PROTEIN ELC', 76372),
(132647, 'PTHR46150:SF1', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN SYDE2', 76373),
(132648, 'PTHR45932:SF4', NULL, NULL, NULL, NULL, 'PATELLIN-6', 76374),
(132649, 'PTHR31228:SF29', NULL, NULL, NULL, NULL, 'BNAC09G51240D PROTEIN', 76375),
(132650, 'PTHR27003:SF390', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 76376),
(132651, 'PTHR24559:SF368', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76377),
(132652, 'PTHR31388:SF232', NULL, NULL, NULL, NULL, 'PEROXIDASE', 76378),
(132653, 'PTHR10219:SF92', NULL, NULL, NULL, NULL, 'BNAA02G24580D PROTEIN', 76379);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(132654, 'PTHR31236:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76380),
(132655, 'PTHR35803', NULL, NULL, NULL, NULL, 'GLUCAN 1,4-ALPHA-GLUCOSIDASE SUSB-RELATED', 76381),
(132656, 'PTHR31209:SF5', NULL, NULL, NULL, NULL, 'BNAA06G39690D PROTEIN', 76382),
(132657, 'PTHR46045:SF15', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 76383),
(132658, 'PTHR12388:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM16-LIKE', 76384),
(132659, 'PTHR11558:SF49', NULL, NULL, NULL, NULL, 'BNAA09G54560D PROTEIN', 76385),
(132660, 'PTHR18916:SF32', NULL, NULL, NULL, NULL, 'CAP-GLY DOMAIN-CONTAINING LINKER PROTEIN 4', 76386),
(132661, 'PTHR47966:SF35', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE A2', 76387),
(132662, 'PTHR43859:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76388),
(132663, 'PTHR48001:SF39', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 76389),
(132664, 'PTHR43625:SF63', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE/POTASSIUM CHANNEL SUBUNIT BETA-RELATED', 76390),
(132665, 'PTHR31080', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', 76391),
(132666, 'PTHR46195:SF11', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 76392),
(132667, 'PTHR31365', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 76393),
(132668, 'PTHR24329:SF362', NULL, NULL, NULL, NULL, 'INTESTINE-SPECIFIC HOMEOBOX', 76394),
(132669, 'PTHR11486:SF4', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 18', 76395),
(132670, 'PTHR13128:SF12', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN-SORTING-ASSOCIATED PROTEIN 36', 76396),
(132671, 'PTHR46351:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76397),
(132672, 'PTHR45621:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76398),
(132673, 'PTHR32295:SF100', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 3', 76399),
(132674, 'PTHR18976:SF28', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN A-IV B, TANDEM DUPLICATE 1-RELATED', 76400),
(132675, 'PTHR28629:SF12', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 76401),
(132676, 'PTHR23155:SF872', NULL, NULL, NULL, NULL, 'OS02G0456800 PROTEIN', 76402),
(132677, 'PTHR35022:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76403),
(132678, 'PTHR48062:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76404),
(132679, 'PTHR33252:SF2', NULL, NULL, NULL, NULL, 'THIRD ORF IN TRANSPOSON ISC1160', 76405),
(132680, 'PTHR12700:SF16', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', 76406),
(132681, 'PTHR33476:SF14', NULL, NULL, NULL, NULL, 'OS02G0795200 PROTEIN', 76407),
(132682, 'PTHR31165:SF80', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE6', 76408),
(132683, 'PTHR22751:SF101', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 76409),
(132684, 'PTHR33516', NULL, NULL, NULL, NULL, 'LEXA REPRESSOR', 76410),
(132685, 'PTHR45648:SF127', NULL, NULL, NULL, NULL, 'BNAA08G29190D PROTEIN', 76411),
(132686, 'PTHR10615:SF188', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY', 76412),
(132687, 'PTHR31852:SF178', NULL, NULL, NULL, NULL, 'OS02G0619200 PROTEIN', 76413),
(132688, 'PTHR31577', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PLURIPOTENCY-ASSOCIATED PROTEIN 3-RELATED', 76414),
(132689, 'PTHR21319:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-24L11.2', 76415),
(132690, 'PTHR34311:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG21698', 76416),
(132691, 'PTHR43178:SF10', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX', 76417),
(132692, 'PTHR23024:SF555', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE', 76418),
(132693, 'PTHR46252', NULL, NULL, NULL, NULL, 'BRORIN FAMILY MEMBER', 76419),
(132694, 'PTHR23273:SF80', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', 76420),
(132695, 'PTHR45619:SF26', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-5 CATALYTIC SUBUNIT', 76421),
(132696, 'PTHR24115:SF900', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 76422),
(132697, 'PTHR21442', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 76423),
(132698, 'PTHR31168:SF1', NULL, NULL, NULL, NULL, 'OS02G0292800 PROTEIN', 76424);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(132699, 'PTHR11477:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A N-TERMINAL AND CENTRAL DOMAIN-CONTAINING PROTEIN 2', 76425),
(132700, 'PTHR11902:SF43', NULL, NULL, NULL, NULL, 'BNAC04G08780D PROTEIN', 76426),
(132701, 'PTHR10252:SF91', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT GAMMA', 76427),
(132702, 'PTHR19229:SF100', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 5', 76428),
(132703, 'PTHR22847:SF676', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76429),
(132704, 'PTHR21363:SF0', NULL, NULL, NULL, NULL, 'PREPHENATE DEHYDROGENASE [NADP(+)]', 76430),
(132705, 'PTHR22749:SF11', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL RIBOFLAVIN KINASE/FMN ADENYLYLTRANSFERASE', 76431),
(132706, 'PTHR11545:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13A-4-LIKE', 76432),
(132707, 'PTHR23507:SF9', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 46 MEMBER 3', 76433),
(132708, 'PTHR31174:SF31', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 3', 76434),
(132709, 'PTHR43464:SF11', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE-DEPENDENT METHYLTRANSFERASE', 76435),
(132710, 'PTHR47056', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 39', 76436),
(132711, 'PTHR10778:SF43', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE/UDP-GLUCOSE TRANSPORTER 2', 76437),
(132712, 'PTHR31861:SF17', NULL, NULL, NULL, NULL, 'BNAANNG40230D PROTEIN', 76438),
(132713, 'PTHR15535:SF15', NULL, NULL, NULL, NULL, 'CELL MIGRATION-INDUCING AND HYALURONAN-BINDING PROTEIN', 76439),
(132714, 'PTHR28660', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 73', 76440),
(132715, 'PTHR13864:SF20', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX PROTEIN 1', 76441),
(132716, 'PTHR10288:SF261', NULL, NULL, NULL, NULL, 'PASILLA, ISOFORM R', 76442),
(132717, 'PTHR46038:SF40', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 76443),
(132718, 'PTHR45660:SF46', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH6', 76444),
(132719, 'PTHR10366:SF585', NULL, NULL, NULL, NULL, 'OS01G0528800 PROTEIN', 76445),
(132720, 'PTHR45631:SF8', NULL, NULL, NULL, NULL, 'OS12G0567500 PROTEIN', 76446),
(132721, 'PTHR19325:SF534', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT RECEPTOR 1-LIKE PROTEIN', 76447),
(132722, 'PTHR11161:SF16', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 76448),
(132723, 'PTHR23291:SF96', NULL, NULL, NULL, NULL, 'BNAANNG07130D PROTEIN', 76449),
(132724, 'PTHR31325:SF160', NULL, NULL, NULL, NULL, 'OSJNBB0040D15.7-LIKE PROTEIN', 76450),
(132725, 'PTHR15725:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 17-LIKE', 76451),
(132726, 'PTHR11705:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76452),
(132727, 'PTHR21660:SF37', NULL, NULL, NULL, NULL, 'OSJNBA0006B20.3 PROTEIN', 76453),
(132728, 'PTHR22950:SF634', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', 76454),
(132729, 'PTHR10774:SF199', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', 76455),
(132730, 'PTHR12322:SF76', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR A2', 76456),
(132731, 'PTHR33115:SF41', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 76457),
(132732, 'PTHR11353:SF200', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ETA', 76458),
(132733, 'PTHR24298:SF541', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 705A20-RELATED', 76459),
(132734, 'PTHR48033:SF3', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN D0', 76460),
(132735, 'PTHR45884:SF2', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE ECO', 76461),
(132736, 'PTHR13817:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76462),
(132737, 'PTHR34207:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76463),
(132738, 'PTHR28144:SF1', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 5', 76464),
(132739, 'PTHR37168', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED EXONUCLEASE CAS4', 76465),
(132740, 'PTHR30352:SF4', NULL, NULL, NULL, NULL, 'PYRUVATE FORMATE-LYASE 2-ACTIVATING ENZYME', 76466);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(132741, 'PTHR35546:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76467),
(132742, 'PTHR33127:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76468),
(132743, 'PTHR31375:SF174', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 76469),
(132744, 'PTHR23050:SF416', NULL, NULL, NULL, NULL, 'CALMODULIN', 76470),
(132745, 'PTHR34572:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 11', 76471),
(132746, 'PTHR11627:SF56', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE 4, CYTOSOLIC', 76472),
(132747, 'PTHR31769:SF67', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1218)-RELATED', 76473),
(132748, 'PTHR12080:SF99', NULL, NULL, NULL, NULL, 'CD84', 76474),
(132749, 'PTHR10358:SF31', NULL, NULL, NULL, NULL, 'ALPHA-ENDOSULFINE-RELATED', 76475),
(132750, 'PTHR31604', NULL, NULL, NULL, NULL, 'PROTEIN LATERAL ROOT PRIMORDIUM 1', 76476),
(132751, 'PTHR36114:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76477),
(132752, 'PTHR43570:SF26', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 76478),
(132753, 'PTHR18034:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76479),
(132754, 'PTHR11220:SF64', NULL, NULL, NULL, NULL, 'HEME-BINDING PROTEIN 2', 76480),
(132755, 'PTHR22883:SF351', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 6-RELATED', 76481),
(132756, 'PTHR30620:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76482),
(132757, 'PTHR11923:SF100', NULL, NULL, NULL, NULL, 'FI07620P-RELATED', 76483),
(132758, 'PTHR14362:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 81', 76484),
(132759, 'PTHR24320:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76485),
(132760, 'PTHR11256:SF32', NULL, NULL, NULL, NULL, 'BCL-WAV', 76486),
(132761, 'PTHR31963:SF20', NULL, NULL, NULL, NULL, 'BNAC03G41510D PROTEIN', 76487),
(132762, 'PTHR11732:SF462', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER A1', 76488),
(132763, 'PTHR24170:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 27', 76489),
(132764, 'PTHR47283:SF3', NULL, NULL, NULL, NULL, 'GA REQUIRING 3-RELATED', 76490),
(132765, 'PTHR47372:SF11', NULL, NULL, NULL, NULL, 'DAUER UP-REGULATED-RELATED', 76491),
(132766, 'PTHR12974:SF25', NULL, NULL, NULL, NULL, 'TERMINAL NUCLEOTIDYLTRANSFERASE 5A', 76492),
(132767, 'PTHR11132:SF406', NULL, NULL, NULL, NULL, 'PLASTID PHOSPHATE TRANSLOCATOR', 76493),
(132768, 'PTHR11829:SF370', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN S1', 76494),
(132769, 'PTHR13690:SF78', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY PROTEIN, EXPRESSED', 76495),
(132770, 'PTHR48004:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 76496),
(132771, 'PTHR11709:SF91', NULL, NULL, NULL, NULL, 'OS09G0507300 PROTEIN', 76497),
(132772, 'PTHR10209:SF534', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76498),
(132773, 'PTHR45974:SF191', NULL, NULL, NULL, NULL, 'OS05G0414700 PROTEIN', 76499),
(132774, 'PTHR31080:SF247', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76500),
(132775, 'PTHR38932:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76501),
(132776, 'PTHR11363:SF8', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L3', 76502),
(132777, 'PTHR12622:SF7', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DTX1', 76503),
(132778, 'PTHR31729:SF14', NULL, NULL, NULL, NULL, 'BNAA03G53850D PROTEIN', 76504),
(132779, 'PTHR11909:SF148', NULL, NULL, NULL, NULL, 'PROTEIN CBG18064', 76505),
(132780, 'PTHR10286', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE', 76506),
(132781, 'PTHR10742:SF372', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT OXIDOREDUCTASE DBAF', 76507),
(132782, 'PTHR12124:SF70', NULL, NULL, NULL, NULL, 'BNAC09G33550D PROTEIN', 76508),
(132783, 'PTHR26450:SF66', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51I1', 76509),
(132784, 'PTHR22874:SF1', NULL, NULL, NULL, NULL, 'ACTIVATING MOLECULE IN BECN1-REGULATED AUTOPHAGY PROTEIN 1', 76510),
(132785, 'PTHR48043:SF22', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 76511),
(132786, 'PTHR31003:SF36', NULL, NULL, NULL, NULL, 'BNAA08G24340D PROTEIN', 76512);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(132787, 'PTHR22814:SF284', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 76513),
(132788, 'PTHR10906:SF31', NULL, NULL, NULL, NULL, 'F9K20.24 PROTEIN', 76514),
(132789, 'PTHR45658:SF68', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', 76515),
(132790, 'PTHR31901:SF87', NULL, NULL, NULL, NULL, 'BNAC01G19430D PROTEIN', 76516),
(132791, 'PTHR34055:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76517),
(132792, 'PTHR10353:SF251', NULL, NULL, NULL, NULL, 'BNAC06G12100D PROTEIN', 76518),
(132793, 'PTHR33095:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76519),
(132794, 'PTHR43768:SF22', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE B', 76520),
(132795, 'PTHR46301:SF40', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FAMILY, ATFBX13-LIKE PROTEIN', 76521),
(132796, 'PTHR31642:SF243', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', 76522),
(132797, 'PTHR14140:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76523),
(132798, 'PTHR47950:SF19', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 76524),
(132799, 'PTHR48092:SF19', NULL, NULL, NULL, NULL, 'MINERALOCORTICOID RECEPTOR', 76525),
(132800, 'PTHR31916:SF42', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE B-RELATED', 76526),
(132801, 'PTHR37347', NULL, NULL, NULL, NULL, 'MEGAKARYOCYTE AND PLATELET INHIBITORY RECEPTOR G6B', 76527),
(132802, 'PTHR11216:SF143', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 76528),
(132803, 'PTHR11829:SF68', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN C1', 76529),
(132804, 'PTHR38323', NULL, NULL, NULL, NULL, 'PROTEIN HEATR9', 76530),
(132805, 'PTHR40515:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76531),
(132806, 'PTHR43711:SF13', NULL, NULL, NULL, NULL, 'DRUG SENSORY PROTEIN A', 76532),
(132807, 'PTHR10795:SF406', NULL, NULL, NULL, NULL, 'OS02G0779000 PROTEIN', 76533),
(132808, 'PTHR33214:SF55', NULL, NULL, NULL, NULL, 'NODULE CYSTEINE-RICH (NCR) SECRETED PEPTIDE', 76534),
(132809, 'PTHR31920:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76535),
(132810, 'PTHR24015:SF356', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 76536),
(132811, 'PTHR47993:SF154', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 76537),
(132812, 'PTHR11205:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76538),
(132813, 'PTHR32444:SF82', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN S13, PUTATIVE-RELATED', 76539),
(132814, 'PTHR31906:SF34', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 2, CHLOROPLASTIC-RELATED', 76540),
(132815, 'PTHR21093:SF3', NULL, NULL, NULL, NULL, 'DIVERGENT PROTEIN KINASE DOMAIN 1B', 76541),
(132816, 'PTHR14845:SF9', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 121', 76542),
(132817, 'PTHR45628:SF9', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1S', 76543),
(132818, 'PTHR10231', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-SUGAR TRANSMEMBRANE TRANSPORTER', 76544),
(132819, 'PTHR13832:SF743', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76545),
(132820, 'PTHR12136:SF41', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY (PH) AND LIPID-BINDING START DOMAINS-CONTAINING PROTEIN', 76546),
(132821, 'PTHR11426:SF205', NULL, NULL, NULL, NULL, 'HISTONE H3', 76547),
(132822, 'PTHR48107:SF3', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE FAMILY PROTEIN, EXPRESSED', 76548),
(132823, 'PTHR31280:SF23', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 13', 76549),
(132824, 'PTHR47993:SF92', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN', 76550),
(132825, 'PTHR15564:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76551),
(132826, 'PTHR48083:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06510)-RELATED', 76552),
(132827, 'PTHR13438', NULL, NULL, NULL, NULL, 'AMINOACYL TRNA SYNTHASE COMPLEX-INTERACTING MULTIFUNCTIONAL PROTEIN', 76553),
(132828, 'PTHR42731', NULL, NULL, NULL, NULL, 'SLL1084 PROTEIN', 76554);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(132829, 'PTHR48002:SF111', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 76555),
(132830, 'PTHR11177:SF235', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN IDGF1-RELATED', 76556),
(132831, 'PTHR11712:SF333', NULL, NULL, NULL, NULL, 'BNAA02G24400D PROTEIN', 76557),
(132832, 'PTHR23514:SF3', NULL, NULL, NULL, NULL, 'BYPASS OF STOP CODON PROTEIN 6', 76558),
(132833, 'PTHR18884:SF68', NULL, NULL, NULL, NULL, 'SEPTIN-5', 76559),
(132834, 'PTHR47327:SF17', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 76560),
(132835, 'PTHR46067:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76561),
(132836, 'PTHR11566:SF185', NULL, NULL, NULL, NULL, 'BNAA08G11490D PROTEIN', 76562),
(132837, 'PTHR48001:SF87', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 76563),
(132838, 'PTHR47992:SF116', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 12-RELATED', 76564),
(132839, 'PTHR24177:SF213', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PLANT-LIKE PROTEIN', 76565),
(132840, 'PTHR12673:SF258', NULL, NULL, NULL, NULL, 'SI:DKEY-91I10.2', 76566),
(132841, 'PTHR12984:SF20', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 76567),
(132842, 'PTHR45637:SF8', NULL, NULL, NULL, NULL, 'AGC (CAMP-DEPENDENT, CGMP-DEPENDENT AND PROTEIN KINASE C) KINASE FAMILY PROTEIN-RELATED', 76568),
(132843, 'PTHR31832:SF18', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 21', 76569),
(132844, 'PTHR33088:SF40', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 76570),
(132845, 'PTHR47375:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK (WITH NO LYSINE)-LIKE PROTEIN', 76571),
(132846, 'PTHR23213:SF358', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 2', 76572),
(132847, 'PTHR13798', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF RBM PROTEIN -RELATED', 76573),
(132848, 'PTHR10556:SF27', NULL, NULL, NULL, NULL, 'TRANS-2,3-ENOYL-COA REDUCTASE-LIKE', 76574),
(132849, 'PTHR11654:SF415', NULL, NULL, NULL, NULL, 'OS11G0426100 PROTEIN', 76575),
(132850, 'PTHR48100:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN', 76576),
(132851, 'PTHR45977:SF30', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 76577),
(132852, 'PTHR12329:SF35', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 4-LIKE ISOFORM X1', 76578),
(132853, 'PTHR12305:SF81', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 3-PHOSPHATASE AND DUAL-SPECIFICITY PROTEIN PHOSPHATASE PTEN', 76579),
(132854, 'PTHR32546:SF16', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR CG31760-RELATED', 76580),
(132855, 'PTHR44328', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE L1', 76581),
(132856, 'PTHR11730:SF89', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER SLL0108-RELATED', 76582),
(132857, 'PTHR46219:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG11142', 76583),
(132858, 'PTHR27007:SF239', NULL, NULL, NULL, NULL, 'OS02G0156000 PROTEIN', 76584),
(132859, 'PTHR31989:SF132', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 36', 76585),
(132860, 'PTHR12542:SF92', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO70E2', 76586),
(132861, 'PTHR24416:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76587),
(132862, 'PTHR47327:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76588),
(132863, 'PTHR46913:SF12', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL1', 76589),
(132864, 'PTHR43710:SF6', NULL, NULL, NULL, NULL, 'INDOLEPYRUVATE OXIDOREDUCTASE SUBUNIT IORA', 76590),
(132865, 'PTHR12243:SF46', NULL, NULL, NULL, NULL, 'LD17962P', 76591),
(132866, 'PTHR13322:SF2', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 7', 76592),
(132867, 'PTHR11668:SF457', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 76593),
(132868, 'PTHR19876:SF29', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA-2', 76594),
(132869, 'PTHR34354', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT 7-CYANO-7-DEAZAGUANINE REDUCTASE', 76595),
(132870, 'PTHR19288:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76596),
(132871, 'PTHR14493:SF103', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 30', 76597);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(132872, 'PTHR23049:SF34', NULL, NULL, NULL, NULL, 'MIP03207P-RELATED', 76598),
(132873, 'PTHR14611:SF2', NULL, NULL, NULL, NULL, 'TECTONIC-2', 76599),
(132874, 'PTHR34222:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76600),
(132875, 'PTHR22426:SF4', NULL, NULL, NULL, NULL, 'LYSINE-RICH NUCLEOLAR PROTEIN 1', 76601),
(132876, 'PTHR31517:SF47', NULL, NULL, NULL, NULL, 'PEROXIDASE', 76602),
(132877, 'PTHR16983:SF27', NULL, NULL, NULL, NULL, 'LY-6/NEUROTOXIN-LIKE PROTEIN 1', 76603),
(132878, 'PTHR28069', NULL, NULL, NULL, NULL, 'GH20023P', 76604),
(132879, 'PTHR47942:SF66', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 76605),
(132880, 'PTHR46058:SF22', NULL, NULL, NULL, NULL, 'BREVIS RADIX (BRX) DOMAIN-CONTAINING PROTEIN-RELATED', 76606),
(132881, 'PTHR31104:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76607),
(132882, 'PTHR47992:SF50', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 74-RELATED', 76608),
(132883, 'PTHR46756:SF2', NULL, NULL, NULL, NULL, 'CALPONIN', 76609),
(132884, 'PTHR11668:SF460', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 76610),
(132885, 'PTHR32266:SF10', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE 2', 76611),
(132886, 'PTHR38758:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 76612),
(132887, 'PTHR46140:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR TRANSPORTER CHAPERONE 2-RELATED', 76613),
(132888, 'PTHR33800:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76614),
(132889, 'PTHR48041:SF86', NULL, NULL, NULL, NULL, 'TRANSPORTER FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 76615),
(132890, 'PTHR23415:SF40', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT', 76616),
(132891, 'PTHR28173:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP8', 76617),
(132892, 'PTHR33156:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76618),
(132893, 'PTHR33755:SF6', NULL, NULL, NULL, NULL, 'TOXIN PARE1', 76619),
(132894, 'PTHR33065:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76620),
(132895, 'PTHR11860:SF37', NULL, NULL, NULL, NULL, 'TREM-LIKE TRANSCRIPT 1 PROTEIN', 76621),
(132896, 'PTHR33103:SF66', NULL, NULL, NULL, NULL, 'DUF674 FAMILY PROTEIN', 76622),
(132897, 'PTHR23262:SF203', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-9', 76623),
(132898, 'PTHR12299:SF53', NULL, NULL, NULL, NULL, 'RGG REPEATS NUCLEAR RNA BINDING PROTEIN A', 76624),
(132899, 'PTHR20855:SF124', NULL, NULL, NULL, NULL, 'BNAA09G41600D PROTEIN', 76625),
(132900, 'PTHR12360', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR, X-BOX BINDING 1  NFX1', 76626),
(132901, 'PTHR37979:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HER-1', 76627),
(132902, 'PTHR19965:SF33', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4C', 76628),
(132903, 'PTHR31311:SF17', NULL, NULL, NULL, NULL, 'GALACTOSYL TRANSFERASE GMA12/MNN10 FAMILY PROTEIN', 76629),
(132904, 'PTHR33326:SF40', NULL, NULL, NULL, NULL, 'OS05G0543800 PROTEIN', 76630),
(132905, 'PTHR43085:SF37', NULL, NULL, NULL, NULL, 'INOSINE-GUANOSINE KINASE', 76631),
(132906, 'PTHR10796:SF186', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 76632),
(132907, 'PTHR11877:SF29', NULL, NULL, NULL, NULL, 'OS11G0529125 PROTEIN', 76633),
(132908, 'PTHR31470:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76634),
(132909, 'PTHR37433:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG01446', 76635),
(132910, 'PTHR12442:SF26', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 34', 76636),
(132911, 'PTHR11206:SF378', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 76637),
(132912, 'PTHR31500:SF52', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 4', 76638),
(132913, 'PTHR12822:SF10', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', 76639),
(132914, 'PTHR43323:SF4', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA SYNTHASE, CYTOPLASMIC', 76640),
(132915, 'PTHR30625:SF18', NULL, NULL, NULL, NULL, 'TOLQ-RELATED', 76641),
(132916, 'PTHR14132:SF11', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR 3', 76642),
(132917, 'PTHR12964:SF4', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 6-LIKE', 76643);
INSERT INTO "PUBLIC"."MODEL" VALUES
(132918, 'PTHR21256', NULL, NULL, NULL, NULL, 'HISTIDINOL DEHYDROGENASE  HDH', 76644),
(132919, 'PTHR14614:SF14', NULL, NULL, NULL, NULL, 'PROTEIN N-LYSINE METHYLTRANSFERASE METTL21A', 76645),
(132920, 'PTHR31080:SF211', NULL, NULL, NULL, NULL, '21 KDA PROTEIN', 76646),
(132921, 'PTHR11875:SF72', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED-LIKE PROTEIN 2', 76647),
(132922, 'PTHR31631:SF4', NULL, NULL, NULL, NULL, 'OS07G0695400 PROTEIN', 76648),
(132923, 'PTHR45899:SF4', NULL, NULL, NULL, NULL, 'ARF-GAP WITH RHO-GAP DOMAIN, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 3', 76649),
(132924, 'PTHR24356:SF369', NULL, NULL, NULL, NULL, 'AGC (CAMP-DEPENDENT, CGMP-DEPENDENT AND PROTEIN KINASE C) KINASE FAMILY PROTEIN', 76650),
(132925, 'PTHR11705:SF19', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE O', 76651),
(132926, 'PTHR48019:SF19', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 23', 76652),
(132927, 'PTHR33443:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76653),
(132928, 'PTHR36943', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 76654),
(132929, 'PTHR32432:SF3', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTJ', 76655),
(132930, 'PTHR31785', NULL, NULL, NULL, NULL, 'UPF0524 PROTEIN C3ORF70', 76656),
(132931, 'PTHR32294', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT ALPHA', 76657),
(132932, 'PTHR48010:SF43', NULL, NULL, NULL, NULL, 'OS10G0387400 PROTEIN', 76658),
(132933, 'PTHR13121:SF0', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL GLYCAN ANCHOR BIOSYNTHESIS CLASS U PROTEIN', 76659),
(132934, 'PTHR31052:SF3', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 7', 76660),
(132935, 'PTHR47997:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39', 76661),
(132936, 'PTHR13266:SF1', NULL, NULL, NULL, NULL, 'PROTEASOME INHIBITOR PI31 SUBUNIT', 76662),
(132937, 'PTHR11547', NULL, NULL, NULL, NULL, 'ARGININE OR CREATINE KINASE', 76663),
(132938, 'PTHR30055:SF192', NULL, NULL, NULL, NULL, 'POSSIBLE TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY TETR-FAMILY)', 76664),
(132939, 'PTHR45798:SF64', NULL, NULL, NULL, NULL, 'OS01G0822800 PROTEIN', 76665),
(132940, 'PTHR10811:SF98', NULL, NULL, NULL, NULL, 'BNAA10G29930D PROTEIN', 76666),
(132941, 'PTHR43072:SF8', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', 76667),
(132942, 'PTHR14917:SF2', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 7', 76668),
(132943, 'PTHR32285:SF48', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 19', 76669),
(132944, 'PTHR31374:SF311', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 76670),
(132945, 'PTHR12022:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', 76671),
(132946, 'PTHR10252:SF104', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-4', 76672),
(132947, 'PTHR46057:SF33', NULL, NULL, NULL, NULL, 'OS09G0433800 PROTEIN', 76673),
(132948, 'PTHR46122', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT PROTEIN-RELATED', 76674),
(132949, 'PTHR24028:SF297', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 15A', 76675),
(132950, 'PTHR12778', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 33  ACETYL-COA TRANSPORTER -RELATED', 76676),
(132951, 'PTHR43452:SF20', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 2', 76677),
(132952, 'PTHR14224:SF30', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 7-RELATED', 76678),
(132953, 'PTHR13563:SF5', NULL, NULL, NULL, NULL, 'TRNA METHYLTRANSFERASE 10 HOMOLOG C', 76679),
(132954, 'PTHR46235:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DOWNY MILDEW 2', 76680),
(132955, 'PTHR23176:SF8', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACH', 76681),
(132956, 'PTHR33356:SF27', NULL, NULL, NULL, NULL, 'BNACNNG53800D PROTEIN', 76682),
(132957, 'PTHR47370:SF3', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE HLS1-LIKE-RELATED', 76683),
(132958, 'PTHR13859:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76684),
(132959, 'PTHR31639:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76685),
(132960, 'PTHR33136:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76686),
(132961, 'PTHR43200:SF21', NULL, NULL, NULL, NULL, 'BNAC09G30760D PROTEIN', 76687);
INSERT INTO "PUBLIC"."MODEL" VALUES
(132962, 'PTHR22847:SF612', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN CONTAINING 11', 76688),
(132963, 'PTHR47990:SF28', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 4', 76689),
(132964, 'PTHR47925:SF31', NULL, NULL, NULL, NULL, 'BNAC03G13650D PROTEIN', 76690),
(132965, 'PTHR31155:SF22', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE 4, CHLOROPLASTIC', 76691),
(132966, 'PTHR31210:SF82', NULL, NULL, NULL, NULL, 'BNACNNG10010D PROTEIN', 76692),
(132967, 'PTHR10352:SF9', NULL, NULL, NULL, NULL, 'ELAV-LIKE PROTEIN 4', 76693),
(132968, 'PTHR32278:SF75', NULL, NULL, NULL, NULL, 'BNAC02G47790D PROTEIN', 76694),
(132969, 'PTHR34223:SF15', NULL, NULL, NULL, NULL, 'OS04G0207100 PROTEIN', 76695),
(132970, 'PTHR12411:SF715', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE-LIKE', 76696),
(132971, 'PTHR15185', NULL, NULL, NULL, NULL, 'BCL9', 76697),
(132972, 'PTHR43620:SF17', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHORYL DIESTER PHOSPHODIESTERASE FAMILY PROTEIN', 76698),
(132973, 'PTHR31741:SF88', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', 76699),
(132974, 'PTHR11452:SF74', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', 76700),
(132975, 'PTHR43381:SF18', NULL, NULL, NULL, NULL, 'BNAC08G19730D PROTEIN', 76701),
(132976, 'PTHR36910:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76702),
(132977, 'PTHR22379:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930407I10 GENE', 76703),
(132978, 'PTHR23024:SF558', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', 76704),
(132979, 'PTHR46315:SF1', NULL, NULL, NULL, NULL, 'SPERMINE SYNTHASE', 76705),
(132980, 'PTHR13593:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76706),
(132981, 'PTHR10641:SF1302', NULL, NULL, NULL, NULL, 'BNAC01G20650D PROTEIN', 76707),
(132982, 'PTHR43475:SF3', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G14290)', 76708),
(132983, 'PTHR32093:SF86', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE PROTEIN', 76709),
(132984, 'PTHR24326:SF583', NULL, NULL, NULL, NULL, 'BNAA09G52670D PROTEIN', 76710),
(132985, 'PTHR34697:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL LYSYLTRANSFERASE', 76711),
(132986, 'PTHR43352', NULL, NULL, NULL, NULL, 'ACETYL-COA SYNTHETASE', 76712),
(132987, 'PTHR10880:SF15', NULL, NULL, NULL, NULL, 'MORTALITY FACTOR 4-LIKE 1', 76713),
(132988, 'PTHR41729:SF1', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA SYNTHETASE', 76714),
(132989, 'PTHR11003:SF59', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 1', 76715),
(132990, 'PTHR13422:SF14', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 60, MEMBER A', 76716),
(132991, 'PTHR30332:SF22', NULL, NULL, NULL, NULL, 'SECRETIN XPSD', 76717),
(132992, 'PTHR33021:SF386', NULL, NULL, NULL, NULL, 'BNAA02G04760D PROTEIN', 76718),
(132993, 'PTHR34296', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN MED', 76719),
(132994, 'PTHR34482:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76720),
(132995, 'PTHR34359:SF19', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE508 PROTEIN', 76721),
(132996, 'PTHR36694', NULL, NULL, NULL, NULL, 'PASIFLORA 1, ISOFORM A-RELATED', 76722),
(132997, 'PTHR43051:SF2', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE ADENYLYLTRANSFERASE FAMILY PROTEIN-RELATED', 76723),
(132998, 'PTHR10343:SF84', NULL, NULL, NULL, NULL, 'ALICORN, ISOFORM A', 76724),
(132999, 'PTHR19370:SF199', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE [NADH] 2', 76725),
(133000, 'PTHR21512', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 9', 76726),
(133001, 'PTHR34199:SF2', NULL, NULL, NULL, NULL, 'NUMOD3 MOTIF FAMILY PROTEIN, EXPRESSED', 76727),
(133002, 'PTHR46061:SF2', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE RECEPTOR', 76728),
(133003, 'PTHR12480:SF21', NULL, NULL, NULL, NULL, 'AND JMJC DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G08170)-RELATED', 76729),
(133004, 'PTHR32285:SF197', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 76730),
(133005, 'PTHR32289', NULL, NULL, NULL, NULL, 'PROTEIN FAM167A', 76731);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(133006, 'PTHR18952:SF110', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 6', 76732),
(133007, 'PTHR12247:SF131', NULL, NULL, NULL, NULL, 'LD05287P', 76733),
(133008, 'PTHR10292:SF24', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', 76734),
(133009, 'PTHR38934:SF6', NULL, NULL, NULL, NULL, 'HYPHALLY REGULATED CELL WALL PROTEIN 1', 76735),
(133010, 'PTHR46736:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76736),
(133011, 'PTHR11758:SF13', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15A', 76737),
(133012, 'PTHR10353:SF286', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76738),
(133013, 'PTHR47975', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 76739),
(133014, 'PTHR48081:SF12', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13270)-RELATED', 76740),
(133015, 'PTHR22792:SF62', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 6C', 76741),
(133016, 'PTHR11590:SF44', NULL, NULL, NULL, NULL, 'ERYTHROCYTE MEMBRANE PROTEIN BAND 4.2', 76742),
(133017, 'PTHR11668:SF412', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 76743),
(133018, 'PTHR43742:SF1', NULL, NULL, NULL, NULL, 'DIMETHYL SULFOXIDE REDUCTASE CHAIN YNFF-RELATED', 76744),
(133019, 'PTHR33133:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76745),
(133020, 'PTHR36155:SF1', NULL, NULL, NULL, NULL, 'BLL5354 PROTEIN', 76746),
(133021, 'PTHR30314:SF23', NULL, NULL, NULL, NULL, 'FTSZ1-3 PLASTID DIVISION PROTEIN', 76747),
(133022, 'PTHR48014:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BLUS1-LIKE ISOFORM X1', 76748),
(133023, 'PTHR46220:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD12', 76749),
(133024, 'PTHR33593:SF16', NULL, NULL, NULL, NULL, 'OS08G0110600 PROTEIN', 76750),
(133025, 'PTHR11690:SF242', NULL, NULL, NULL, NULL, 'DEGENERIN UNC-8', 76751),
(133026, 'PTHR44376:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF FILAMENTOUS GROWTH FLO8', 76752),
(133027, 'PTHR42945:SF7', NULL, NULL, NULL, NULL, 'BNAC05G24080D PROTEIN', 76753),
(133028, 'PTHR10983:SF2', NULL, NULL, NULL, NULL, 'ACYL-COA:LYSOPHOSPHATIDYLGLYCEROL ACYLTRANSFERASE 1', 76754),
(133029, 'PTHR31171:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76755),
(133030, 'PTHR32467:SF171', NULL, NULL, NULL, NULL, 'BNAA06G10760D PROTEIN', 76756),
(133031, 'PTHR31579:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76757),
(133032, 'PTHR46446:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILI5', 76758),
(133033, 'PTHR33726:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76759),
(133034, 'PTHR47989:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76760),
(133035, 'PTHR26379:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76761),
(133036, 'PTHR19368:SF7', NULL, NULL, NULL, NULL, 'X-LINKED LYMPHOCYTE REGULATED GENE 4-RELATED', 76762),
(133037, 'PTHR46092:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D11', 76763),
(133038, 'PTHR30429:SF3', NULL, NULL, NULL, NULL, 'LIPOPROTEIN', 76764),
(133039, 'PTHR24073:SF1129', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-5A', 76765),
(133040, 'PTHR43818:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 109 PROTEIN', 76766),
(133041, 'PTHR26379:SF187', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 1', 76767),
(133042, 'PTHR45889:SF3', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE 4', 76768),
(133043, 'PTHR43662:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76769),
(133044, 'PTHR48065:SF24', NULL, NULL, NULL, NULL, 'ERECTA-LIKE KINASE 1-LIKE', 76770),
(133045, 'PTHR12549:SF56', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN-RELATED', 76771),
(133046, 'PTHR35767:SF5', NULL, NULL, NULL, NULL, 'BNAA02G08800D PROTEIN', 76772),
(133047, 'PTHR10174:SF211', NULL, NULL, NULL, NULL, 'ALPHA-TOCOPHEROL TRANSFER PROTEIN-LIKE', 76773),
(133048, 'PTHR32430', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 8', 76774),
(133049, 'PTHR46137:SF4', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 8', 76775),
(133050, 'PTHR34411', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 76776); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(133051, 'PTHR46928:SF1', NULL, NULL, NULL, NULL, 'MESENCHYME-SPECIFIC CELL SURFACE GLYCOPROTEIN', 76777),
(133052, 'PTHR45705:SF7', NULL, NULL, NULL, NULL, 'ACTIVATING PROTEIN FOR ARF, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G09120)-RELATED', 76778),
(133053, 'PTHR21043:SF2', NULL, NULL, NULL, NULL, 'PROTEIN IOJAP, CHLOROPLASTIC', 76779),
(133054, 'PTHR43895:SF95', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 76780),
(133055, 'PTHR12329:SF44', NULL, NULL, NULL, NULL, 'MOLECULAR CHAPERONE REGULATOR BAG-1, UBIQUITIN-RELATED DOMAIN PROTEIN-RELATED', 76781),
(133056, 'PTHR34201:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 76782),
(133057, 'PTHR21561:SF12', NULL, NULL, NULL, NULL, 'INO80 COMPLEX SUBUNIT B', 76783),
(133058, 'PTHR46336:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76784),
(133059, 'PTHR23237:SF10', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 1', 76785),
(133060, 'PTHR48048:SF36', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 76786),
(133061, 'PTHR31044:SF92', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 2', 76787),
(133062, 'PTHR10264:SF124', NULL, NULL, NULL, NULL, 'GH04404P1', 76788),
(133063, 'PTHR46018:SF3', NULL, NULL, NULL, NULL, 'ARYLSULFATASE', 76789),
(133064, 'PTHR12544:SF7', NULL, NULL, NULL, NULL, 'GLUTAMINASE 2-RELATED', 76790),
(133065, 'PTHR32507', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER 1', 76791),
(133066, 'PTHR24241:SF22', NULL, NULL, NULL, NULL, 'GONADOTROPIN-RELEASING HORMONE RECEPTOR', 76792),
(133067, 'PTHR11360:SF14', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 5', 76793),
(133068, 'PTHR35449', NULL, NULL, NULL, NULL, 'PROTEIN SIX6OS1', 76794),
(133069, 'PTHR10210:SF104', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN-RELATED', 76795),
(133070, 'PTHR31010:SF2', NULL, NULL, NULL, NULL, 'RAN-SPECIFIC GTPASE-ACTIVATING PROTEIN 30', 76796),
(133071, 'PTHR23351:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAYAK, ISOFORMS A/B/F', 76797),
(133072, 'PTHR43768:SF23', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE 1-RELATED', 76798),
(133073, 'PTHR19855:SF16', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 8', 76799),
(133074, 'PTHR36852:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GVPL 2', 76800),
(133075, 'PTHR43344:SF12', NULL, NULL, NULL, NULL, 'OS12G0502400 PROTEIN', 76801),
(133076, 'PTHR24221:SF450', NULL, NULL, NULL, NULL, 'ATRH', 76802),
(133077, 'PTHR11693:SF29', NULL, NULL, NULL, NULL, 'ATP SYNTHASE GAMMA CHAIN, CHLOROPLASTIC-LIKE', 76803),
(133078, 'PTHR30329:SF16', NULL, NULL, NULL, NULL, 'CHEMOTAXIS MOTB PROTEIN-RELATED', 76804),
(133079, 'PTHR12210:SF127', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', 76805),
(133080, 'PTHR46212', NULL, NULL, NULL, NULL, 'PEFLIN', 76806),
(133081, 'PTHR10445:SF0', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIF SUBUNIT 2', 76807),
(133082, 'PTHR48049:SF9', NULL, NULL, NULL, NULL, 'BNAC03G71870D PROTEIN', 76808),
(133083, 'PTHR19134:SF431', NULL, NULL, NULL, NULL, 'PROTEIN CBG16631', 76809),
(133084, 'PTHR37435:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76810),
(133085, 'PTHR43411:SF5', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE LYASE', 76811),
(133086, 'PTHR16134:SF95', NULL, NULL, NULL, NULL, 'BNAA03G57270D PROTEIN', 76812),
(133087, 'PTHR11723:SF6', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN INHIBITOR ID-4', 76813),
(133088, 'PTHR10131:SF65', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN DG17-RELATED', 76814),
(133089, 'PTHR23202:SF82', NULL, NULL, NULL, NULL, 'AGAP000559-PA', 76815),
(133090, 'PTHR22870:SF400', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76816),
(133091, 'PTHR45613:SF286', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN-RELATED', 76817),
(133092, 'PTHR11353:SF195', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76818),
(133093, 'PTHR12143:SF27', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G10520)', 76819),
(133094, 'PTHR31852:SF3', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 76820);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(133095, 'PTHR46032:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76821),
(133096, 'PTHR46117:SF2', NULL, NULL, NULL, NULL, 'UPSTREAM STIMULATORY FACTOR 2', 76822),
(133097, 'PTHR10956:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76823),
(133098, 'PTHR32031:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76824),
(133099, 'PTHR15036:SF39', NULL, NULL, NULL, NULL, 'INTESTINAL NEUREXIN-LIKE', 76825),
(133100, 'PTHR37209:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN ALGP', 76826),
(133101, 'PTHR36693:SF1', NULL, NULL, NULL, NULL, 'GH02722P', 76827),
(133102, 'PTHR41693:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-243A20.3', 76828),
(133103, 'PTHR10039', NULL, NULL, NULL, NULL, 'AMELOGENIN', 76829),
(133104, 'PTHR34565:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76830),
(133105, 'PTHR10795:SF637', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE II-RELATED', 76831),
(133106, 'PTHR12203:SF74', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 76832),
(133107, 'PTHR32166:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76833),
(133108, 'PTHR47293:SF42', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 1-LIKE', 76834),
(133109, 'PTHR31790:SF404', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 76835),
(133110, 'PTHR47750:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76836),
(133111, 'PTHR45680:SF22', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 76837),
(133112, 'PTHR10332:SF63', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 2', 76838),
(133113, 'PTHR12080:SF18', NULL, NULL, NULL, NULL, 'SLAM FAMILY MEMBER 9', 76839),
(133114, 'PTHR45633:SF32', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60-LIKE 1, MITOCHONDRIAL', 76840),
(133115, 'PTHR11802:SF331', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 76841),
(133116, 'PTHR23064:SF42', NULL, NULL, NULL, NULL, 'CALPAIN SMALL SUBUNIT 1', 76842),
(133117, 'PTHR31338:SF21', NULL, NULL, NULL, NULL, 'LATEX PROTEIN, PUTATIVE-RELATED', 76843),
(133118, 'PTHR24221:SF455', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN PGP-3', 76844),
(133119, 'PTHR45828:SF13', NULL, NULL, NULL, NULL, 'REELIN DOMAIN-CONTAINING PROTEIN 1', 76845),
(133120, 'PTHR31763:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689766', 76846),
(133121, 'PTHR32246:SF135', NULL, NULL, NULL, NULL, 'BNAC05G05100D PROTEIN', 76847),
(133122, 'PTHR10066:SF67', NULL, NULL, NULL, NULL, 'BETA-GLUCURONIDASE-RELATED', 76848),
(133123, 'PTHR12358:SF83', NULL, NULL, NULL, NULL, 'SPHINGOSINE KINASE 1-LIKE ISOFORM X1', 76849),
(133124, 'PTHR45830:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 76850),
(133125, 'PTHR45675:SF73', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 76851),
(133126, 'PTHR12265:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG03928', 76852),
(133127, 'PTHR33172:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76853),
(133128, 'PTHR31087:SF107', NULL, NULL, NULL, NULL, 'OS01G0931600 PROTEIN', 76854),
(133129, 'PTHR11610:SF105', NULL, NULL, NULL, NULL, 'VITELLOGENIN-2-LIKE PROTEIN', 76855),
(133130, 'PTHR24114:SF30', NULL, NULL, NULL, NULL, 'RICH REPEAT AND NACHT DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 76856),
(133131, 'PTHR31681:SF53', NULL, NULL, NULL, NULL, 'BNAC05G03620D PROTEIN', 76857),
(133132, 'PTHR17608:SF4', NULL, NULL, NULL, NULL, 'GENETIC SUPPRESSOR ELEMENT 1', 76858),
(133133, 'PTHR48012:SF13', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE KINASE', 76859),
(133134, 'PTHR22792:SF109', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 6C-LIKE', 76860),
(133135, 'PTHR31060:SF5', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN PROTEIN', 76861),
(133136, 'PTHR11141:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', 76862),
(133137, 'PTHR33167:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 76863),
(133138, 'PTHR48064', NULL, NULL, NULL, NULL, 'OS01G0750400 PROTEIN', 76864),
(133139, 'PTHR46547:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GIS', 76865),
(133140, 'PTHR46162:SF39', NULL, NULL, NULL, NULL, 'BNAC05G50540D PROTEIN', 76866);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(133141, 'PTHR22595:SF168', NULL, NULL, NULL, NULL, 'BNAC03G24270D PROTEIN', 76867),
(133142, 'PTHR46221:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBR-FRM-8', 76868),
(133143, 'PTHR42886:SF64', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', 76869),
(133144, 'PTHR47926:SF171', NULL, NULL, NULL, NULL, 'OS04G0432800 PROTEIN', 76870),
(133145, 'PTHR10334:SF420', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1-15', 76871),
(133146, 'PTHR11909:SF418', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76872),
(133147, 'PTHR36879', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 4', 76873),
(133148, 'PTHR43205:SF7', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN REDUCTASE 1', 76874),
(133149, 'PTHR23036:SF171', NULL, NULL, NULL, NULL, 'INTERLEUKIN-12 SUBUNIT BETA', 76875),
(133150, 'PTHR31062:SF172', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 76876),
(133151, 'PTHR31378', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED-RELATED', 76877),
(133152, 'PTHR44427:SF16', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC BETA-1-GLYCOPROTEIN 1', 76878),
(133153, 'PTHR31375:SF216', NULL, NULL, NULL, NULL, 'BNAANNG19420D PROTEIN', 76879),
(133154, 'PTHR19134:SF509', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE 2', 76880),
(133155, 'PTHR46093:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 5', 76881),
(133156, 'PTHR12725:SF116', NULL, NULL, NULL, NULL, 'BNAA10G27270D PROTEIN', 76882),
(133157, 'PTHR19920:SF2', NULL, NULL, NULL, NULL, 'CYTOSOLIC IRON-SULFUR PROTEIN ASSEMBLY PROTEIN CIAO1 HOMOLOG-RELATED', 76883),
(133158, 'PTHR24073:SF1137', NULL, NULL, NULL, NULL, 'BNAANNG05430D PROTEIN', 76884),
(133159, 'PTHR32468:SF97', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', 76885),
(133160, 'PTHR23267:SF309', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-33-RELATED', 76886),
(133161, 'PTHR47172:SF14', NULL, NULL, NULL, NULL, 'BNAC07G33440D PROTEIN', 76887),
(133162, 'PTHR33048:SF124', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 76888),
(133163, 'PTHR10881:SF63', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 8A', 76889),
(133164, 'PTHR45649:SF27', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER (EUROFUNG)', 76890),
(133165, 'PTHR11705:SF16', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE A5', 76891),
(133166, 'PTHR15099:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 11, MITOCHONDRIAL', 76892),
(133167, 'PTHR12629:SF68', NULL, NULL, NULL, NULL, 'BNAC05G49550D PROTEIN', 76893),
(133168, 'PTHR15093', NULL, NULL, NULL, NULL, 'PROSTATE APOPTOSIS RESPONSE PROTEIN PAR-4', 76894),
(133169, 'PTHR11005:SF100', NULL, NULL, NULL, NULL, 'LIPASE', 76895),
(133170, 'PTHR35127:SF3', NULL, NULL, NULL, NULL, 'BNAA09G35810D PROTEIN', 76896),
(133171, 'PTHR31769:SF49', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 76897),
(133172, 'PTHR14978:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76898),
(133173, 'PTHR23003', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF  RRM  DOMAIN CONTAINING PROTEIN', 76899),
(133174, 'PTHR47652:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76900),
(133175, 'PTHR24051:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG11546', 76901),
(133176, 'PTHR31929:SF72', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-INDUCED PROTEIN ARG7-LIKE', 76902),
(133177, 'PTHR23273:SF47', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT A', 76903),
(133178, 'PTHR22765:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76904),
(133179, 'PTHR33979:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76905),
(133180, 'PTHR42647:SF50', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BOI-LIKE', 76906),
(133181, 'PTHR11560:SF12', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L10, MITOCHONDRIAL', 76907),
(133182, 'PTHR45988:SF53', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT9-LIKE', 76908),
(133183, 'PTHR26452:SF131', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 310', 76909),
(133184, 'PTHR22536:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 19A-LIKE ISOFORM X1', 76910);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(133185, 'PTHR19331:SF439', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CYSTEINE-RICH DOMAIN-CONTAINING GROUP B PROTEIN', 76911),
(133186, 'PTHR24377:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 317', 76912),
(133187, 'PTHR43625:SF33', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 2 ISOFORM X1-RELATED', 76913),
(133188, 'PTHR11592:SF115', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 76914),
(133189, 'PTHR33101:SF60', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', 76915),
(133190, 'PTHR24223:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76916),
(133191, 'PTHR10126:SF56', NULL, NULL, NULL, NULL, 'TATA-BOX-BINDING PROTEIN', 76917),
(133192, 'PTHR31190:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76918),
(133193, 'PTHR13980', NULL, NULL, NULL, NULL, 'CDC68 RELATED', 76919),
(133194, 'PTHR17575:SF0', NULL, NULL, NULL, NULL, 'UROCORTIN-2', 76920),
(133195, 'PTHR45735:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76921),
(133196, 'PTHR26450:SF109', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 76922),
(133197, 'PTHR31086:SF53', NULL, NULL, NULL, NULL, 'ALUMINUM ACTIVATED MALATE TRANSPORTER FAMILY PROTEIN', 76923),
(133198, 'PTHR14432:SF6', NULL, NULL, NULL, NULL, '5-AZACYTIDINE-INDUCED PROTEIN 2', 76924),
(133199, 'PTHR35453:SF1', NULL, NULL, NULL, NULL, 'PROSTATE ANDROGEN-REGULATED MUCIN-LIKE PROTEIN 1', 76925),
(133200, 'PTHR13808:SF42', NULL, NULL, NULL, NULL, 'BNAA07G25130D PROTEIN', 76926),
(133201, 'PTHR34959', NULL, NULL, NULL, NULL, 'PROTEIN LAZY 1', 76927),
(133202, 'PTHR30570:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SPHX', 76928),
(133203, 'PTHR46119:SF20', NULL, NULL, NULL, NULL, 'CHLOROPLAST-TARGETED COPPER CHAPERONE PROTEIN-RELATED', 76929),
(133204, 'PTHR47966:SF28', NULL, NULL, NULL, NULL, 'OS01G0290000 PROTEIN', 76930),
(133205, 'PTHR11206:SF381', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 76931),
(133206, 'PTHR38775', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 76932),
(133207, 'PTHR10454:SF34', NULL, NULL, NULL, NULL, 'CASPASE-1', 76933),
(133208, 'PTHR11699:SF182', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 2 MEMBER C4', 76934),
(133209, 'PTHR10504:SF142', NULL, NULL, NULL, NULL, 'UPF0522 PROTEIN A-RELATED', 76935),
(133210, 'PTHR38445:SF9', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR YTRA', 76936),
(133211, 'PTHR21576:SF126', NULL, NULL, NULL, NULL, 'NODULIN-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', 76937),
(133212, 'PTHR22902:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76938),
(133213, 'PTHR38527:SF5', NULL, NULL, NULL, NULL, 'BNAC03G71280D PROTEIN', 76939),
(133214, 'PTHR11559:SF240', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 76940),
(133215, 'PTHR13976:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76941),
(133216, 'PTHR14326:SF42', NULL, NULL, NULL, NULL, 'CELL CYCLE REGULATED MICROTUBULE ASSOCIATED PROTEIN', 76942),
(133217, 'PTHR20957:SF0', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 48', 76943),
(133218, 'PTHR31297:SF17', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', 76944),
(133219, 'PTHR22945:SF41', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 76945),
(133220, 'PTHR48032:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MUSASHI HOMOLOG 1', 76946),
(133221, 'PTHR43160:SF4', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE B', 76947),
(133222, 'PTHR34657:SF12', NULL, NULL, NULL, NULL, 'BNAC05G02230D PROTEIN', 76948),
(133223, 'PTHR16160:SF1', NULL, NULL, NULL, NULL, 'FERMITIN FAMILY HOMOLOG 3', 76949),
(133224, 'PTHR23070:SF118', NULL, NULL, NULL, NULL, 'OS05G0588850 PROTEIN', 76950),
(133225, 'PTHR31218:SF297', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 76951),
(133226, 'PTHR33103:SF51', NULL, NULL, NULL, NULL, 'OS09G0544700 PROTEIN', 76952),
(133227, 'PTHR22648:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION/ANTITERMINATION PROTEIN NUSA', 76953),
(133228, 'PTHR32191:SF78', NULL, NULL, NULL, NULL, 'BNAA03G48970D PROTEIN', 76954),
(133229, 'PTHR11388:SF76', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', 76955);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(133230, 'PTHR24133:SF36', NULL, NULL, NULL, NULL, 'ANKYRIN-2', 76956),
(133231, 'PTHR34023:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 76957),
(133232, 'PTHR32343:SF60', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 10', 76958),
(133233, 'PTHR43621:SF1', NULL, NULL, NULL, NULL, 'ALKYLDIHYDROXYACETONEPHOSPHATE SYNTHASE', 76959),
(133234, 'PTHR11091', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 76960),
(133235, 'PTHR32196', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YPHD-RELATED-RELATED', 76961),
(133236, 'PTHR24381:SF57', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 566', 76962),
(133237, 'PTHR10795:SF382', NULL, NULL, NULL, NULL, 'OS06G0624100 PROTEIN', 76963),
(133238, 'PTHR37185', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 76964),
(133239, 'PTHR33326:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76965),
(133240, 'PTHR12892:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG01704', 76966),
(133241, 'PTHR11964:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', 76967),
(133242, 'PTHR43895:SF47', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 76968),
(133243, 'PTHR11165:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76969),
(133244, 'PTHR24349:SF127', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 22', 76970),
(133245, 'PTHR13050', NULL, NULL, NULL, NULL, 'USE1-LIKE PROTEIN', 76971),
(133246, 'PTHR43464:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76972),
(133247, 'PTHR47958:SF89', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX20-RELATED', 76973),
(133248, 'PTHR37764:SF1', NULL, NULL, NULL, NULL, 'KETOSE/ALDOSE ISOMERASE, PUTATIVE (MOG1/PSBP/DUF1795-LIKE PHOTOSYSTEM II REACTION CENTER PSBP FAMILY PROTEIN)-RELATED', 76974),
(133249, 'PTHR37193', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYL-GLYCOPROTEIN 2-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE', 76975),
(133250, 'PTHR45714:SF25', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX15', 76976),
(133251, 'PTHR47900', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 131A', 76977),
(133252, 'PTHR11781', NULL, NULL, NULL, NULL, 'IODOTHYRONINE DEIODINASE', 76978),
(133253, 'PTHR11629:SF90', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 76979),
(133254, 'PTHR43768', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', 76980),
(133255, 'PTHR24055:SF496', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 76981),
(133256, 'PTHR34366:SF9', NULL, NULL, NULL, NULL, 'OS03G0304200 PROTEIN', 76982),
(133257, 'PTHR33142:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 76983),
(133258, 'PTHR43329:SF88', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', 76984),
(133259, 'PTHR46775:SF2', NULL, NULL, NULL, NULL, 'GBF-INTERACTING PROTEIN 1-LIKE', 76985),
(133260, 'PTHR15913', NULL, NULL, NULL, NULL, 'ACID CLUSTER PROTEIN 33', 76986),
(133261, 'PTHR33701:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 76987),
(133262, 'PTHR31165:SF51', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 6', 76988),
(133263, 'PTHR31707:SF314', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', 76989),
(133264, 'PTHR37701:SF11', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN', 76990),
(133265, 'PTHR36486:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 76991),
(133266, 'PTHR11808:SF35', NULL, NULL, NULL, NULL, 'ENZYME FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G13810)-RELATED', 76992),
(133267, 'PTHR38453:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 76993),
(133268, 'PTHR23308:SF36', NULL, NULL, NULL, NULL, 'SMAD NUCLEAR-INTERACTING PROTEIN 1', 76994),
(133269, 'PTHR47122:SF5', NULL, NULL, NULL, NULL, 'TRF-LIKE 8', 76995),
(133270, 'PTHR38422:SF1', NULL, NULL, NULL, NULL, 'SOMETHING ABOUT SILENCING PROTEIN 4', 76996),
(133271, 'PTHR11795:SF451', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT PERMEASE PROTEIN', 76997),
(133272, 'PTHR10353:SF255', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1-RELATED', 76998);
INSERT INTO "PUBLIC"."MODEL" VALUES
(133273, 'PTHR28615', NULL, NULL, NULL, NULL, 'PAK4-INHIBITOR INKA1-RELATED', 76999),
(133274, 'PTHR10075:SF80', NULL, NULL, NULL, NULL, 'PROTEIN CBR-LAD-2', 77000),
(133275, 'PTHR12281:SF10', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN 1', 77001),
(133276, 'PTHR34191:SF19', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 1-LIKE', 77002),
(133277, 'PTHR43523:SF20', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE', 77003),
(133278, 'PTHR10956', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L31', 77004),
(133279, 'PTHR22883:SF338', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 77005),
(133280, 'PTHR47993:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77006),
(133281, 'PTHR11570:SF26', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', 77007),
(133282, 'PTHR22906:SF21', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR PROPERDIN-RELATED', 77008),
(133283, 'PTHR10071:SF322', NULL, NULL, NULL, NULL, 'ERYTHROID-LIKE TRANSCRIPTION FACTOR FAMILY', 77009),
(133284, 'PTHR31899:SF14', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE, EXPRESSED-RELATED', 77010),
(133285, 'PTHR24412:SF162', NULL, NULL, NULL, NULL, 'KELCH-LIKE ECH-ASSOCIATED PROTEIN 1', 77011),
(133286, 'PTHR45616:SF49', NULL, NULL, NULL, NULL, 'KRT85 PROTEIN', 77012),
(133287, 'PTHR24403:SF79', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 438', 77013),
(133288, 'PTHR11783:SF233', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 77014),
(133289, 'PTHR11042:SF138', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE IKS1-RELATED', 77015),
(133290, 'PTHR46408:SF4', NULL, NULL, NULL, NULL, 'STORAGE PROTEIN ACTIVATOR', 77016),
(133291, 'PTHR15711:SF17', NULL, NULL, NULL, NULL, 'RAP1 GTPASE-ACTIVATING PROTEIN 2', 77017),
(133292, 'PTHR11258:SF16', NULL, NULL, NULL, NULL, '2''-5''-OLIGOADENYLATE SYNTHASE-LIKE PROTEIN', 77018),
(133293, 'PTHR23177:SF70', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN WITH PAK-BOX/P21-RHO-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 77019),
(133294, 'PTHR24298:SF442', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 93 SUBFAMILY D POLYPEPTIDE 1', 77020),
(133295, 'PTHR23262:SF194', NULL, NULL, NULL, NULL, 'MCG54361', 77021),
(133296, 'PTHR11615:SF296', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4B2', 77022),
(133297, 'PTHR34223:SF34', NULL, NULL, NULL, NULL, 'OS08G0197100 PROTEIN', 77023),
(133298, 'PTHR46124:SF2', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE', 77024),
(133299, 'PTHR43493:SF9', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 4 SUBUNIT A', 77025),
(133300, 'PTHR45683:SF5', NULL, NULL, NULL, NULL, 'OS02G0225000 PROTEIN', 77026),
(133301, 'PTHR22952:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77027),
(133302, 'PTHR33836:SF14', NULL, NULL, NULL, NULL, 'BNACNNG31850D PROTEIN', 77028),
(133303, 'PTHR31218:SF167', NULL, NULL, NULL, NULL, 'PH-RESPONSE TRANSCRIPTION FACTOR PACC/RIM101 ISOFORM 1', 77029),
(133304, 'PTHR48039:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN 14B', 77030),
(133305, 'PTHR11945:SF451', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL28', 77031),
(133306, 'PTHR47087:SF3', NULL, NULL, NULL, NULL, 'METHIONINE S-METHYLTRANSFERASE', 77032),
(133307, 'PTHR11214:SF129', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE GALT1', 77033),
(133308, 'PTHR24009:SF25', NULL, NULL, NULL, NULL, 'BNAANNG32340D PROTEIN', 77034),
(133309, 'PTHR24073:SF897', NULL, NULL, NULL, NULL, 'RAB38C, MEMBER OF RAS ONCOGENE FAMILY-RELATED', 77035),
(133310, 'PTHR46128:SF100', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MRL1, CHLOROPLASTIC ISOFORM X1', 77036),
(133311, 'PTHR47438:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE METABOLISM PROTEIN 8-RELATED', 77037),
(133312, 'PTHR24343:SF397', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 77038),
(133313, 'PTHR23043:SF33', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN-CONTAINING PROTEIN 4A-RELATED', 77039),
(133314, 'PTHR13265:SF2', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 1', 77040),
(133315, 'PTHR24326:SF341', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX24', 77041);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(133316, 'PTHR32141:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77042),
(133317, 'PTHR13026:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA PROCESSING PROTEIN 1 HOMOLOG A', 77043),
(133318, 'PTHR48021', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 77044),
(133319, 'PTHR45631:SF29', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 77045),
(133320, 'PTHR10288:SF244', NULL, NULL, NULL, NULL, 'BNAC06G29780D PROTEIN', 77046),
(133321, 'PTHR10551:SF23', NULL, NULL, NULL, NULL, 'FASCIN', 77047),
(133322, 'PTHR34819:SF3', NULL, NULL, NULL, NULL, 'LARGE CYSTEINE-RICH PERIPLASMIC PROTEIN OMCB', 77048),
(133323, 'PTHR24226:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED ESTROGEN RECEPTOR 1', 77049),
(133324, 'PTHR14058', NULL, NULL, NULL, NULL, 'AMYLOID BETA A4 PRECURSOR PROTEIN-BINDING FAMILY B', 77050),
(133325, 'PTHR12537:SF171', NULL, NULL, NULL, NULL, 'BNAA10G12580D PROTEIN', 77051),
(133326, 'PTHR37515:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77052),
(133327, 'PTHR24349:SF296', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 17-LIKE', 77053),
(133328, 'PTHR24033:SF184', NULL, NULL, NULL, NULL, 'PROTEIN CBG20569', 77054),
(133329, 'PTHR24123:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77055),
(133330, 'PTHR11670:SF62', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE 1', 77056),
(133331, 'PTHR33373:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77057),
(133332, 'PTHR11670:SF54', NULL, NULL, NULL, NULL, 'IRON REGULATORY PROTEIN 1A-RELATED', 77058),
(133333, 'PTHR11467:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77059),
(133334, 'PTHR12157:SF24', NULL, NULL, NULL, NULL, 'FIFE, ISOFORM D', 77060),
(133335, 'PTHR10209:SF714', NULL, NULL, NULL, NULL, '4-HYDROXYLASE, PUTATIVE-RELATED', 77061),
(133336, 'PTHR11003:SF147', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 77062),
(133337, 'PTHR48040:SF26', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 34', 77063),
(133338, 'PTHR23023:SF51', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', 77064),
(133339, 'PTHR31133:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77065),
(133340, 'PTHR11003:SF307', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 77066),
(133341, 'PTHR46991:SF26', NULL, NULL, NULL, NULL, 'BNAA06G35710D PROTEIN', 77067),
(133342, 'PTHR42307:SF2', NULL, NULL, NULL, NULL, 'PUP DEAMIDASE/DEPUPYLASE', 77068),
(133343, 'PTHR43706:SF20', NULL, NULL, NULL, NULL, 'EXTERNAL ALTERNATIVE NAD(P)H-UBIQUINONE OXIDOREDUCTASE B1 MITOCHONDRIAL', 77069),
(133344, 'PTHR11477:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR TFIIS-LIKE', 77070),
(133345, 'PTHR47997:SF48', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 77071),
(133346, 'PTHR48053:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77072),
(133347, 'PTHR46158:SF4', NULL, NULL, NULL, NULL, 'OS06G0340200 PROTEIN', 77073),
(133348, 'PTHR14955', NULL, NULL, NULL, NULL, 'RETINOIC ACID INDUCED 1/TRANSCRIPTION FACTOR 20', 77074),
(133349, 'PTHR26453:SF285', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 77075),
(133350, 'PTHR24286:SF49', NULL, NULL, NULL, NULL, 'INACTIVE LINOLENATE HYDROPEROXIDE LYASE-RELATED', 77076),
(133351, 'PTHR15904:SF17', NULL, NULL, NULL, NULL, 'AGAP005617-PA', 77077),
(133352, 'PTHR41733', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED/TRANSLATION ELONGATION FACTOR EF1B, N-TERMINAL, EUKARYOTE', 77078),
(133353, 'PTHR27006:SF294', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE CES101', 77079),
(133354, 'PTHR36486:SF2', NULL, NULL, NULL, NULL, 'OS01G0977800 PROTEIN', 77080),
(133355, 'PTHR11710:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19-3', 77081),
(133356, 'PTHR31194:SF119', NULL, NULL, NULL, NULL, 'BNAA03G48270D PROTEIN', 77082),
(133357, 'PTHR30363:SF49', NULL, NULL, NULL, NULL, 'L-FUCOSE OPERON ACTIVATOR', 77083),
(133358, 'PTHR19305:SF4', NULL, NULL, NULL, NULL, 'SYNAPTOSOMAL-ASSOCIATED PROTEIN 23', 77084),
(133359, 'PTHR46354:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBP-1B(C38)-LIKE ISOFORM X1', 77085);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(133360, 'PTHR22951:SF66', NULL, NULL, NULL, NULL, 'BNAC09G00100D PROTEIN', 77086),
(133361, 'PTHR45651:SF40', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 19-RELATED', 77087),
(133362, 'PTHR16166:SF113', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13C-RELATED', 77088),
(133363, 'PTHR24083:SF47', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 2 GROUP F MEMBER 5', 77089),
(133364, 'PTHR11178:SF47', NULL, NULL, NULL, NULL, 'BNACNNG49720D PROTEIN', 77090),
(133365, 'PTHR11690:SF237', NULL, NULL, NULL, NULL, 'NACH, ISOFORM E-RELATED', 77091),
(133366, 'PTHR15860:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77092),
(133367, 'PTHR12394:SF4', NULL, NULL, NULL, NULL, 'FASCICULATION AND ELONGATION PROTEIN ZETA-1', 77093),
(133368, 'PTHR10357', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE FAMILY MEMBER', 77094),
(133369, 'PTHR31549:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77095),
(133370, 'PTHR30383:SF25', NULL, NULL, NULL, NULL, 'SLR1119 PROTEIN', 77096),
(133371, 'PTHR33295', NULL, NULL, NULL, NULL, 'ATPASE', 77097),
(133372, 'PTHR31775:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77098),
(133373, 'PTHR45946', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ROUGH-RELATED', 77099),
(133374, 'PTHR45791:SF7', NULL, NULL, NULL, NULL, 'CALCIUM AND INTEGRIN-BINDING FAMILY MEMBER 3', 77100),
(133375, 'PTHR31189:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77101),
(133376, 'PTHR48043:SF95', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 77102),
(133377, 'PTHR17616:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COACTIVATOR YAP1', 77103),
(133378, 'PTHR10177:SF363', NULL, NULL, NULL, NULL, 'CYCLIN D3', 77104),
(133379, 'PTHR12537:SF119', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 6, CHLOROPLASTIC', 77105),
(133380, 'PTHR22937:SF142', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 77106),
(133381, 'PTHR11850:SF317', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN 1-RELATED', 77107),
(133382, 'PTHR43156:SF9', NULL, NULL, NULL, NULL, 'HAMP AND SPOIIE DOMAIN PROTEIN', 77108),
(133383, 'PTHR15607:SF14', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN 2-LIKE', 77109),
(133384, 'PTHR35758:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 77110),
(133385, 'PTHR23131:SF0', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE LACTB2', 77111),
(133386, 'PTHR10981:SF1', NULL, NULL, NULL, NULL, 'BATTENIN', 77112),
(133387, 'PTHR26454:SF161', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 77113),
(133388, 'PTHR21346:SF9', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700034I23 GENE', 77114),
(133389, 'PTHR31568:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77115),
(133390, 'PTHR23128:SF64', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 77116),
(133391, 'PTHR26379:SF309', NULL, NULL, NULL, NULL, 'OS02G0311150 PROTEIN', 77117),
(133392, 'PTHR33681:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77118),
(133393, 'PTHR32467:SF143', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR PLT2', 77119),
(133394, 'PTHR32133:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77120),
(133395, 'PTHR23036:SF83', NULL, NULL, NULL, NULL, 'INTERLEUKIN-6 RECEPTOR SUBUNIT BETA', 77121),
(133396, 'PTHR30468:SF9', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT TAURINE DIOXYGENASE (AFU_ORTHOLOGUE AFUA_3G01010)', 77122),
(133397, 'PTHR11461:SF20', NULL, NULL, NULL, NULL, 'ALPHA-2-ANTIPLASMIN', 77123),
(133398, 'PTHR19317:SF52', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 77124),
(133399, 'PTHR23136:SF7', NULL, NULL, NULL, NULL, 'TAX1-BINDING PROTEIN 3', 77125),
(133400, 'PTHR48022:SF15', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00500)-RELATED', 77126),
(133401, 'PTHR22743:SF165', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN CONTAINING-RELATED', 77127),
(133402, 'PTHR24377:SF851', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77128),
(133403, 'PTHR46180:SF2', NULL, NULL, NULL, NULL, 'VINCULIN-RELATED', 77129),
(133404, 'PTHR43895:SF117', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 77130);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(133405, 'PTHR10218:SF329', NULL, NULL, NULL, NULL, 'G PROTEIN ALPHA Q SUBUNIT-RELATED', 77131),
(133406, 'PTHR45926:SF22', NULL, NULL, NULL, NULL, 'BROMODOMAIN, NET DOMAIN PROTEIN-RELATED', 77132),
(133407, 'PTHR34662:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77133),
(133408, 'PTHR45637:SF46', NULL, NULL, NULL, NULL, 'OS09G0478500 PROTEIN', 77134),
(133409, 'PTHR31471:SF19', NULL, NULL, NULL, NULL, 'OS12G0613600 PROTEIN', 77135),
(133410, 'PTHR33165:SF53', NULL, NULL, NULL, NULL, 'OJ000223_09.12 PROTEIN', 77136),
(133411, 'PTHR21860', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIIC TFIIIC , POLYPEPTIDE 6-RELATED', 77137),
(133412, 'PTHR30404:SF3', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE-RELATED', 77138),
(133413, 'PTHR14429:SF25', NULL, NULL, NULL, NULL, 'FIBROSIN-1-LIKE PROTEIN ISOFORM X15', 77139),
(133414, 'PTHR47958:SF20', NULL, NULL, NULL, NULL, 'BNACNNG20150D PROTEIN', 77140),
(133415, 'PTHR31048:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77141),
(133416, 'PTHR31967:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG17364', 77142),
(133417, 'PTHR48033:SF10', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 77143),
(133418, 'PTHR19965:SF74', NULL, NULL, NULL, NULL, 'CHROMATIN TARGET OF PRMT1 PROTEIN-RELATED', 77144),
(133419, 'PTHR46824:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML49-RELATED', 77145),
(133420, 'PTHR45613:SF110', NULL, NULL, NULL, NULL, 'OS02G0582300 PROTEIN', 77146),
(133421, 'PTHR46648', NULL, NULL, NULL, NULL, 'HIT FAMILY PROTEIN 1', 77147),
(133422, 'PTHR11008:SF35', NULL, NULL, NULL, NULL, 'PROTEIN TAKEOUT-LIKE PROTEIN', 77148),
(133423, 'PTHR16095:SF9', NULL, NULL, NULL, NULL, 'PROLINE AND SERINE-RICH PROTEIN 2', 77149),
(133424, 'PTHR33935:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77150),
(133425, 'PTHR26312:SF123', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 77151),
(133426, 'PTHR45665:SF20', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN (MIP) FAMILY TRANSPORTER', 77152),
(133427, 'PTHR16105:SF4', NULL, NULL, NULL, NULL, 'RNA-BINDING REGION-CONTAINING PROTEIN 3', 77153),
(133428, 'PTHR24035:SF114', NULL, NULL, NULL, NULL, 'PLATELET ENDOTHELIAL AGGREGATION RECEPTOR 1', 77154),
(133429, 'PTHR32227:SF365', NULL, NULL, NULL, NULL, 'BNAA08G13450D PROTEIN', 77155),
(133430, 'PTHR47991:SF76', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', 77156),
(133431, 'PTHR20992:SF12', NULL, NULL, NULL, NULL, 'IP07646P', 77157),
(133432, 'PTHR11022:SF12', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN RECOGNITION PROTEIN 3', 77158),
(133433, 'PTHR19134:SF511', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77159),
(133434, 'PTHR38684:SF1', NULL, NULL, NULL, NULL, 'PROTEIN AMPE', 77160),
(133435, 'PTHR47174:SF3', NULL, NULL, NULL, NULL, 'BRIDGING INTEGRATOR 3', 77161),
(133436, 'PTHR21497:SF26', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR1', 77162),
(133437, 'PTHR13994:SF37', NULL, NULL, NULL, NULL, 'BNAC07G33400D PROTEIN', 77163),
(133438, 'PTHR43712:SF5', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G02640)-RELATED', 77164),
(133439, 'PTHR34396:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77165),
(133440, 'PTHR43900:SF65', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', 77166),
(133441, 'PTHR43655:SF32', NULL, NULL, NULL, NULL, 'AFG3-LIKE PROTEIN 2-RELATED', 77167),
(133442, 'PTHR47989:SF27', NULL, NULL, NULL, NULL, 'BNAA04G14780D PROTEIN', 77168),
(133443, 'PTHR31182:SF15', NULL, NULL, NULL, NULL, 'F26K24.5 PROTEIN', 77169),
(133444, 'PTHR32510:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 98', 77170),
(133445, 'PTHR34380:SF1', NULL, NULL, NULL, NULL, 'BNAA03G12380D PROTEIN', 77171),
(133446, 'PTHR11785:SF302', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 77172),
(133447, 'PTHR46324:SF21', NULL, NULL, NULL, NULL, 'BASIC LEUCINE-ZIPPER 58', 77173),
(133448, 'PTHR27002:SF866', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', 77174);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(133449, 'PTHR40202:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOHYDROLASE FAMILY PROTEIN', 77175),
(133450, 'PTHR23050:SF309', NULL, NULL, NULL, NULL, 'PROTEIN CBG00175', 77176),
(133451, 'PTHR46736', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 77177),
(133452, 'PTHR19375:SF417', NULL, NULL, NULL, NULL, 'SHOCK COGNATE 70 KDA PROTEIN 2, PUTATIVE, EXPRESSED-RELATED', 77178),
(133453, 'PTHR32246:SF94', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 77179),
(133454, 'PTHR47585:SF2', NULL, NULL, NULL, NULL, 'DUF1446 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G11420)', 77180),
(133455, 'PTHR10634:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77181),
(133456, 'PTHR47811:SF1', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE D', 77182),
(133457, 'PTHR24388:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 513', 77183),
(133458, 'PTHR45974:SF115', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 77184),
(133459, 'PTHR33413:SF28', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', 77185),
(133460, 'PTHR46176', NULL, NULL, NULL, NULL, 'LD21662P', 77186),
(133461, 'PTHR10845:SF242', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN-SIGNALING 3A', 77187),
(133462, 'PTHR31218:SF302', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 77188),
(133463, 'PTHR48005:SF43', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1 ISOFORM X1', 77189),
(133464, 'PTHR24056:SF246', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 17', 77190),
(133465, 'PTHR10826:SF15', NULL, NULL, NULL, NULL, 'OS01G0143800 PROTEIN', 77191),
(133466, 'PTHR41694', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP K MEMBER POL PROTEIN', 77192),
(133467, 'PTHR31945:SF114', NULL, NULL, NULL, NULL, 'BNAC05G34900D PROTEIN', 77193),
(133468, 'PTHR23354:SF106', NULL, NULL, NULL, NULL, 'TLD DOMAIN-CONTAINING PROTEIN 2-LIKE ISOFORM X1', 77194),
(133469, 'PTHR11945:SF505', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 87', 77195),
(133470, 'PTHR31415:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77196),
(133471, 'PTHR11040:SF52', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 7', 77197),
(133472, 'PTHR39959:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77198),
(133473, 'PTHR42711:SF14', NULL, NULL, NULL, NULL, 'ABC-TYPE MULTIDRUG TRANSPORT SYSTEM, ATPASE COMPONENT', 77199),
(133474, 'PTHR22950:SF479', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', 77200),
(133475, 'PTHR23131:SF3', NULL, NULL, NULL, NULL, 'ATROCHRYSONE CARBOXYL ACP THIOESTERASE', 77201),
(133476, 'PTHR10725:SF32', NULL, NULL, NULL, NULL, 'DNA TRANSPOSASE THAP9', 77202),
(133477, 'PTHR10015:SF304', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-4B', 77203),
(133478, 'PTHR21481:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CLEC16A', 77204),
(133479, 'PTHR34777:SF13', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 10-LIKE', 77205),
(133480, 'PTHR24306:SF7', NULL, NULL, NULL, NULL, 'AHBB', 77206),
(133481, 'PTHR23277:SF109', NULL, NULL, NULL, NULL, 'POLIOVIRUS RECEPTOR', 77207),
(133482, 'PTHR27007:SF246', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77208),
(133483, 'PTHR31741:SF42', NULL, NULL, NULL, NULL, 'ROOT HAIR SPECIFIC 17', 77209),
(133484, 'PTHR45717:SF11', NULL, NULL, NULL, NULL, 'BNAC08G45480D PROTEIN', 77210),
(133485, 'PTHR14947:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77211),
(133486, 'PTHR23167:SF62', NULL, NULL, NULL, NULL, 'EPS15 HOMOLOGY DOMAIN CONTAINING PROTEIN-BINDING PROTEIN 1, ISOFORM F', 77212),
(133487, 'PTHR11730:SF67', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1-RELATED', 77213),
(133488, 'PTHR45972:SF5', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 7B', 77214),
(133489, 'PTHR32487:SF10', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE', 77215),
(133490, 'PTHR12393', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE RELATED', 77216),
(133491, 'PTHR22603:SF26', NULL, NULL, NULL, NULL, 'CHOLINE KINASE B3-RELATED', 77217),
(133492, 'PTHR31118:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77218);
INSERT INTO "PUBLIC"."MODEL" VALUES
(133493, 'PTHR17488', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSITION PROTEIN 2', 77219),
(133494, 'PTHR37036', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 77220),
(133495, 'PTHR43785:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77221),
(133496, 'PTHR23430:SF321', NULL, NULL, NULL, NULL, 'HISTONE H2A', 77222),
(133497, 'PTHR10891:SF828', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML21-RELATED', 77223),
(133498, 'PTHR37845', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 77224),
(133499, 'PTHR38589', NULL, NULL, NULL, NULL, 'BLR0621 PROTEIN', 77225),
(133500, 'PTHR23130:SF189', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 77226),
(133501, 'PTHR31225:SF139', NULL, NULL, NULL, NULL, 'ALPHA-HUMULENE/(-)-(E)-BETA-CARYOPHYLLENE SYNTHASE', 77227),
(133502, 'PTHR10405:SF31', NULL, NULL, NULL, NULL, 'SPIN3 ISOFORM 39', 77228),
(133503, 'PTHR43080:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77229),
(133504, 'PTHR10794:SF57', NULL, NULL, NULL, NULL, 'OS05G0432600 PROTEIN', 77230),
(133505, 'PTHR11444', NULL, NULL, NULL, NULL, 'ASPARTATEAMMONIA/ARGININOSUCCINATE/ADENYLOSUCCINATE LYASE', 77231),
(133506, 'PTHR13054:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DGCR6', 77232),
(133507, 'PTHR10799:SF967', NULL, NULL, NULL, NULL, 'CHROMATIN-REMODELING COMPLEX ATPASE CHAIN ISWI', 77233),
(133508, 'PTHR35569:SF1', NULL, NULL, NULL, NULL, 'CYANAMIDE HYDRATASE DDI2-RELATED', 77234),
(133509, 'PTHR13439:SF62', NULL, NULL, NULL, NULL, 'OS01G0768200 PROTEIN', 77235),
(133510, 'PTHR35790:SF4', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PCHR', 77236),
(133511, 'PTHR46261:SF17', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B3-RELATED', 77237),
(133512, 'PTHR35287:SF2', NULL, NULL, NULL, NULL, 'BNAA02G11880D PROTEIN', 77238),
(133513, 'PTHR47512:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 77239),
(133514, 'PTHR36714:SF5', NULL, NULL, NULL, NULL, 'BNAA07G09780D PROTEIN', 77240),
(133515, 'PTHR16509:SF7', NULL, NULL, NULL, NULL, 'MANGANESE-DEPENDENT ADP-RIBOSE/CDP-ALCOHOL DIPHOSPHATASE', 77241),
(133516, 'PTHR10367:SF15', NULL, NULL, NULL, NULL, 'F26C17.2 PROTEIN', 77242),
(133517, 'PTHR33155:SF21', NULL, NULL, NULL, NULL, 'OS02G0750800 PROTEIN', 77243),
(133518, 'PTHR10336:SF166', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE ETA-2', 77244),
(133519, 'PTHR24377:SF800', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 701', 77245),
(133520, 'PTHR11702:SF40', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN 10', 77246),
(133521, 'PTHR24057:SF17', NULL, NULL, NULL, NULL, 'OS02G0236200 PROTEIN', 77247),
(133522, 'PTHR31900:SF12', NULL, NULL, NULL, NULL, 'F-BOX/RNI SUPERFAMILY PROTEIN-RELATED', 77248),
(133523, 'PTHR45730:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77249),
(133524, 'PTHR15075:SF6', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYLGLYCOPROTEIN 6-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE B', 77250),
(133525, 'PTHR21402', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 77251),
(133526, 'PTHR12965:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 54, CHLOROPLASTIC', 77252),
(133527, 'PTHR43190:SF6', NULL, NULL, NULL, NULL, 'N-ACETYL-D-GLUCOSAMINE KINASE-LIKE ISOFORM X1', 77253),
(133528, 'PTHR43775:SF23', NULL, NULL, NULL, NULL, 'FATTY ACID SYNTHASE 3', 77254),
(133529, 'PTHR12934:SF11', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L15, MITOCHONDRIAL', 77255),
(133530, 'PTHR45648:SF81', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 77256),
(133531, 'PTHR33211', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 77257),
(133532, 'PTHR46372:SF16', NULL, NULL, NULL, NULL, 'BNAC05G29270D PROTEIN', 77258),
(133533, 'PTHR26450:SF7', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 77259),
(133534, 'PTHR31415:SF54', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN 1 CONTAINING PROTEIN', 77260),
(133535, 'PTHR20971:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77261),
(133536, 'PTHR45801:SF16', NULL, NULL, NULL, NULL, 'BNAA03G57610D PROTEIN', 77262),
(133537, 'PTHR46581:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 77263);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(133538, 'PTHR33085:SF69', NULL, NULL, NULL, NULL, 'OS08G0271800 PROTEIN', 77264),
(133539, 'PTHR36939:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01464', 77265),
(133540, 'PTHR28125', NULL, NULL, NULL, NULL, 'MEIOTIC EXPRESSION UP-REGULATED PROTEIN 26', 77266),
(133541, 'PTHR27007:SF208', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1', 77267),
(133542, 'PTHR31676:SF64', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 77268),
(133543, 'PTHR11941:SF75', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 2, PEROXISOMAL', 77269),
(133544, 'PTHR48030', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 4', 77270),
(133545, 'PTHR10878:SF5', NULL, NULL, NULL, NULL, 'SEGMENT POLARITY PROTEIN DISHEVELLED HOMOLOG DVL-1-RELATED', 77271),
(133546, 'PTHR47932:SF53', NULL, NULL, NULL, NULL, 'OS02G0120000 PROTEIN', 77272),
(133547, 'PTHR48021:SF10', NULL, NULL, NULL, NULL, 'OS11G0620400 PROTEIN', 77273),
(133548, 'PTHR37222', NULL, NULL, NULL, NULL, 'OS02G0718000 PROTEIN', 77274),
(133549, 'PTHR24161:SF49', NULL, NULL, NULL, NULL, 'SOSONDOWAH, ISOFORM G', 77275),
(133550, 'PTHR31589:SF167', NULL, NULL, NULL, NULL, 'BNAC09G33050D PROTEIN', 77276),
(133551, 'PTHR24410:SF31', NULL, NULL, NULL, NULL, 'BTB (POZ) DOMAIN-CONTAINING 17A', 77277),
(133552, 'PTHR24410:SF10', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 25', 77278),
(133553, 'PTHR18934:SF145', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX57-RELATED', 77279),
(133554, 'PTHR24413:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77280),
(133555, 'PTHR31269:SF45', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLATE TRANSPORTER/MALIC ACID PROTEIN', 77281),
(133556, 'PTHR15228:SF19', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 24', 77282),
(133557, 'PTHR24068:SF215', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1A', 77283),
(133558, 'PTHR11062:SF322', NULL, NULL, NULL, NULL, 'OS03G0144300 PROTEIN', 77284),
(133559, 'PTHR28671', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 169', 77285),
(133560, 'PTHR16222:SF33', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', 77286),
(133561, 'PTHR18919:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77287),
(133562, 'PTHR31301:SF82', NULL, NULL, NULL, NULL, 'ELONGATED PETIOLULE 1', 77288),
(133563, 'PTHR43719:SF24', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE L', 77289),
(133564, 'PTHR46604:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MID1-COMPLEMENTING ACTIVITY 2', 77290),
(133565, 'PTHR45650:SF63', NULL, NULL, NULL, NULL, 'BNAA07G07790D PROTEIN', 77291),
(133566, 'PTHR48022:SF68', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13080)-RELATED', 77292),
(133567, 'PTHR31213', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 77293),
(133568, 'PTHR45614:SF178', NULL, NULL, NULL, NULL, 'BNAA03G52540D PROTEIN', 77294),
(133569, 'PTHR47985:SF52', NULL, NULL, NULL, NULL, 'OS02G0833000 PROTEIN', 77295),
(133570, 'PTHR33083:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77296),
(133571, 'PTHR35572:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG15747', 77297),
(133572, 'PTHR19422:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77298),
(133573, 'PTHR24282:SF145', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP709H1', 77299),
(133574, 'PTHR23050:SF445', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML45-RELATED', 77300),
(133575, 'PTHR46373:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77301),
(133576, 'PTHR36956', NULL, NULL, NULL, NULL, 'UTERINE LUMIN EXPRESSED/LOCAILIZED-RELATED', 77302),
(133577, 'PTHR32246:SF100', NULL, NULL, NULL, NULL, 'PROTEIN SRC2', 77303),
(133578, 'PTHR31906:SF15', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 6, CHLOROPLASTIC', 77304),
(133579, 'PTHR19443:SF71', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', 77305),
(133580, 'PTHR33646:SF1', NULL, NULL, NULL, NULL, 'OS01G0884700 PROTEIN', 77306),
(133581, 'PTHR43220:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 41A-A', 77307),
(133582, 'PTHR10048:SF22', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE BETA', 77308);
INSERT INTO "PUBLIC"."MODEL" VALUES
(133583, 'PTHR13902:SF110', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK6-RELATED', 77309),
(133584, 'PTHR31639:SF175', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 77310),
(133585, 'PTHR47992:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C FAMILY PROTEIN', 77311),
(133586, 'PTHR35514:SF1', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 15.0 KDA PROTEIN 2, CHLOROPLASTIC', 77312),
(133587, 'PTHR21574', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 77313),
(133588, 'PTHR10869:SF86', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN', 77314),
(133589, 'PTHR33076:SF122', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 77315),
(133590, 'PTHR31140:SF105', NULL, NULL, NULL, NULL, 'BNAA07G08500D PROTEIN', 77316),
(133591, 'PTHR33021:SF359', NULL, NULL, NULL, NULL, 'BNAC05G01220D PROTEIN', 77317),
(133592, 'PTHR33321', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 77318),
(133593, 'PTHR33601:SF23', NULL, NULL, NULL, NULL, 'PROTEIN LITTLE ZIPPER 4-LIKE', 77319),
(133594, 'PTHR23024:SF152', NULL, NULL, NULL, NULL, 'OS07G0643700 PROTEIN', 77320),
(133595, 'PTHR11474:SF103', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE FAMILY PROTEIN-RELATED', 77321),
(133596, 'PTHR23232:SF92', NULL, NULL, NULL, NULL, 'GENE, 26920-RELATED', 77322),
(133597, 'PTHR45564:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77323),
(133598, 'PTHR33121:SF9', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDED-RELATED', 77324),
(133599, 'PTHR37271:SF1', NULL, NULL, NULL, NULL, 'KARYOGAMY PROTEIN KAR9', 77325),
(133600, 'PTHR33163', NULL, NULL, NULL, NULL, 'PROTEIN TIC 214-RELATED', 77326),
(133601, 'PTHR47873:SF1', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 77327),
(133602, 'PTHR12978', NULL, NULL, NULL, NULL, 'HISTIDINE TRIAD  HIT  PROTEIN MEMBER', 77328),
(133603, 'PTHR19965:SF68', NULL, NULL, NULL, NULL, 'BNAA10G27040D PROTEIN', 77329),
(133604, 'PTHR11893:SF7', NULL, NULL, NULL, NULL, 'INNEXIN', 77330),
(133605, 'PTHR22897:SF23', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE', 77331),
(133606, 'PTHR45777:SF3', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2A', 77332),
(133607, 'PTHR10811:SF55', NULL, NULL, NULL, NULL, 'FRINGE-RELATED PROTEIN-LIKE', 77333),
(133608, 'PTHR31901:SF86', NULL, NULL, NULL, NULL, 'BNAA07G08630D PROTEIN', 77334),
(133609, 'PTHR45932:SF3', NULL, NULL, NULL, NULL, 'PATELLIN-4-LIKE', 77335),
(133610, 'PTHR48040:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77336),
(133611, 'PTHR11654:SF313', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER PTR2', 77337),
(133612, 'PTHR22883:SF285', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 77338),
(133613, 'PTHR31368:SF4', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PLURIPOTENCY-ASSOCIATED 5 PROTEIN', 77339),
(133614, 'PTHR34794:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 77340),
(133615, 'PTHR33488:SF2', NULL, NULL, NULL, NULL, 'ZGC:162509', 77341),
(133616, 'PTHR11439:SF312', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77342),
(133617, 'PTHR33085:SF90', NULL, NULL, NULL, NULL, 'OS04G0426500 PROTEIN', 77343),
(133618, 'PTHR47933:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77344),
(133619, 'PTHR35981', NULL, NULL, NULL, NULL, 'ION TRANSPORT PEPTIDE, ISOFORM C', 77345),
(133620, 'PTHR10336:SF182', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 77346),
(133621, 'PTHR13371:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG12963', 77347),
(133622, 'PTHR46763', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 8', 77348),
(133623, 'PTHR10366:SF387', NULL, NULL, NULL, NULL, '3 BETA-HYDROXYSTEROID DEHYDROGENASE TYPE 7', 77349),
(133624, 'PTHR22943:SF24', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 77350),
(133625, 'PTHR36332:SF1', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN', 77351),
(133626, 'PTHR43280', NULL, NULL, NULL, NULL, 'ARAC-FAMILY TRANSCRIPTIONAL REGULATOR', 77352),
(133627, 'PTHR35262:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77353),
(133628, 'PTHR19282:SF397', NULL, NULL, NULL, NULL, 'TETRASPANIN', 77354),
(133629, 'PTHR10314:SF163', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-SYNTHASE', 77355);
INSERT INTO "PUBLIC"."MODEL" VALUES
(133630, 'PTHR24247:SF33', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 1E', 77356),
(133631, 'PTHR31621:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77357),
(133632, 'PTHR10891', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN CONTAINING PROTEIN', 77358),
(133633, 'PTHR37828:SF1', NULL, NULL, NULL, NULL, 'GSR2449 PROTEIN', 77359),
(133634, 'PTHR47941:SF9', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 77360),
(133635, 'PTHR43207:SF1', NULL, NULL, NULL, NULL, 'OS06G0709000 PROTEIN', 77361),
(133636, 'PTHR37214', NULL, NULL, NULL, NULL, 'CYTOMEGALOVIRUS UL139 PROTEIN', 77362),
(133637, 'PTHR22601:SF58', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 4', 77363),
(133638, 'PTHR18952:SF217', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 5-RELATED', 77364),
(133639, 'PTHR34683:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77365),
(133640, 'PTHR26453:SF87', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13C8', 77366),
(133641, 'PTHR33122:SF41', NULL, NULL, NULL, NULL, 'PVR3-LIKE PROTEIN', 77367),
(133642, 'PTHR13068:SF161', NULL, NULL, NULL, NULL, 'BNAC09G13860D PROTEIN', 77368),
(133643, 'PTHR34484', NULL, NULL, NULL, NULL, 'OS02G0832600 PROTEIN', 77369),
(133644, 'PTHR33239:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77370),
(133645, 'PTHR11550:SF28', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', 77371),
(133646, 'PTHR22900:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG20830', 77372),
(133647, 'PTHR11814:SF246', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.4-RELATED', 77373),
(133648, 'PTHR46213:SF5', NULL, NULL, NULL, NULL, 'OF SILENCING PROTEIN, PUTATIVE-RELATED', 77374),
(133649, 'PTHR23329:SF15', NULL, NULL, NULL, NULL, 'OS04G0512700 PROTEIN', 77375),
(133650, 'PTHR11208:SF116', NULL, NULL, NULL, NULL, 'BNAC08G13780D PROTEIN', 77376),
(133651, 'PTHR10809:SF124', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 2-1-LIKE', 77377),
(133652, 'PTHR11879:SF6', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, CYTOPLASMIC 2-RELATED', 77378),
(133653, 'PTHR24083:SF39', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR RXR-ALPHA', 77379),
(133654, 'PTHR37553:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77380),
(133655, 'PTHR37220:SF1', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 23', 77381),
(133656, 'PTHR46067:SF25', NULL, NULL, NULL, NULL, 'BNAA05G10960D PROTEIN', 77382),
(133657, 'PTHR24221:SF472', NULL, NULL, NULL, NULL, 'OS08G0153200 PROTEIN', 77383),
(133658, 'PTHR35022:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77384),
(133659, 'PTHR31769:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77385),
(133660, 'PTHR34560:SF2', NULL, NULL, NULL, NULL, 'START-2 DOMAIN PROTEIN', 77386),
(133661, 'PTHR16517', NULL, NULL, NULL, NULL, 'TUBBY-RELATED', 77387),
(133662, 'PTHR46828', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-RELATED', 77388),
(133663, 'PTHR27000:SF696', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 2', 77389),
(133664, 'PTHR13044:SF2', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-4', 77390),
(133665, 'PTHR33463:SF81', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPS2-LIKE', 77391),
(133666, 'PTHR33590:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM186A', 77392),
(133667, 'PTHR43198:SF6', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL TENA-E PROTEIN-RELATED', 77393),
(133668, 'PTHR33931:SF5', NULL, NULL, NULL, NULL, 'UPF0299 MEMBRANE PROTEIN YOHJ', 77394),
(133669, 'PTHR44229:SF5', NULL, NULL, NULL, NULL, 'ZGC:56585', 77395),
(133670, 'PTHR28213:SF1', NULL, NULL, NULL, NULL, 'IMP-SPECIFIC 5''-NUCLEOTIDASE 1', 77396),
(133671, 'PTHR45645:SF50', NULL, NULL, NULL, NULL, 'CUB DOMAINCONTAINING PROTEIN', 77397),
(133672, 'PTHR15087:SF14', NULL, NULL, NULL, NULL, 'PROTEIN NPAT', 77398),
(133673, 'PTHR45974:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77399),
(133674, 'PTHR11360:SF123', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 8', 77400),
(133675, 'PTHR11863:SF178', NULL, NULL, NULL, NULL, 'CER1 PROTEIN', 77401),
(133676, 'PTHR10816:SF14', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE IRF2BPL-RELATED', 77402);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(133677, 'PTHR22718', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 77403),
(133678, 'PTHR18849:SF12', NULL, NULL, NULL, NULL, 'BNAUNNG04160D PROTEIN', 77404),
(133679, 'PTHR42919:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77405),
(133680, 'PTHR26452:SF802', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 77406),
(133681, 'PTHR24399:SF23', NULL, NULL, NULL, NULL, 'FINGER PUTATIVE TRANSCRIPTION FACTOR FAMILY-RELATED', 77407),
(133682, 'PTHR32448:SF122', NULL, NULL, NULL, NULL, 'BNAA05G09050D PROTEIN', 77408),
(133683, 'PTHR32227:SF251', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE B', 77409),
(133684, 'PTHR13011', NULL, NULL, NULL, NULL, 'TFIIF-ALPHA', 77410),
(133685, 'PTHR23268:SF47', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 11-1', 77411),
(133686, 'PTHR47698:SF2', NULL, NULL, NULL, NULL, 'FATTY-ACID-BINDING PROTEIN 3, CHLOROPLASTIC', 77412),
(133687, 'PTHR23086:SF115', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', 77413),
(133688, 'PTHR30472:SF1', NULL, NULL, NULL, NULL, 'FE(3+) DICITRATE TRANSPORT SYSTEM PERMEASE PROTEIN FECC-RELATED', 77414),
(133689, 'PTHR24412:SF23', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 7', 77415),
(133690, 'PTHR24055:SF481', NULL, NULL, NULL, NULL, 'OS02G0492300 PROTEIN', 77416),
(133691, 'PTHR10835:SF5', NULL, NULL, NULL, NULL, 'SQUALENE MONOOXYGENASE-RELATED', 77417),
(133692, 'PTHR47025:SF11', NULL, NULL, NULL, NULL, 'OS06G0101000 PROTEIN', 77418),
(133693, 'PTHR11394:SF27', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 19', 77419),
(133694, 'PTHR30621:SF0', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL GLUTAMINE SYNTHETASE ADENYLYLTRANSFERASE/ADENYLYL-REMOVING ENZYME', 77420),
(133695, 'PTHR10906:SF26', NULL, NULL, NULL, NULL, 'OS09G0512000 PROTEIN', 77421),
(133696, 'PTHR11475:SF125', NULL, NULL, NULL, NULL, 'GH11385P', 77422),
(133697, 'PTHR12391:SF1', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 3', 77423),
(133698, 'PTHR24103:SF606', NULL, NULL, NULL, NULL, 'PYRIN', 77424),
(133699, 'PTHR33739:SF12', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 33A', 77425),
(133700, 'PTHR45614:SF100', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 77426),
(133701, 'PTHR24112:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77427),
(133702, 'PTHR23071', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL GLYCAN', 77428),
(133703, 'PTHR31425', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLANTHRANILATE TRANSFERASE ISOFORM 1', 77429),
(133704, 'PTHR45523:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77430),
(133705, 'PTHR36933:SF1', NULL, NULL, NULL, NULL, 'SLL0788 PROTEIN', 77431),
(133706, 'PTHR21022:SF27', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', 77432),
(133707, 'PTHR31625:SF67', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', 77433),
(133708, 'PTHR21534:SF0', NULL, NULL, NULL, NULL, 'PROTEIN KIAA0556', 77434),
(133709, 'PTHR13419:SF1', NULL, NULL, NULL, NULL, 'CXXC-TYPE ZINC FINGER PROTEIN 4', 77435),
(133710, 'PTHR43205:SF19', NULL, NULL, NULL, NULL, 'AGL360WP', 77436),
(133711, 'PTHR43137:SF1', NULL, NULL, NULL, NULL, 'DIHYDROOROTASE', 77437),
(133712, 'PTHR15073:SF5', NULL, NULL, NULL, NULL, 'MAP7 DOMAIN-CONTAINING PROTEIN 3', 77438),
(133713, 'PTHR32448:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77439),
(133714, 'PTHR34819', NULL, NULL, NULL, NULL, 'LARGE CYSTEINE-RICH PERIPLASMIC PROTEIN OMCB', 77440),
(133715, 'PTHR10687:SF65', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 77441),
(133716, 'PTHR12483:SF113', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 1-RELATED', 77442),
(133717, 'PTHR38626:SF4', NULL, NULL, NULL, NULL, 'SKN-1 DEPENDENT ZYGOTIC TRANSCRIPT', 77443),
(133718, 'PTHR34682:SF1', NULL, NULL, NULL, NULL, 'AT HOOK MOTIF-CONTAINING PROTEIN', 77444),
(133719, 'PTHR10744:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77445),
(133720, 'PTHR33156:SF31', NULL, NULL, NULL, NULL, 'OS06G0332500 PROTEIN', 77446),
(133721, 'PTHR13802:SF52', NULL, NULL, NULL, NULL, 'TECTORIN ALPHA, GENE 2', 77447);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(133722, 'PTHR13820:SF10', NULL, NULL, NULL, NULL, 'GAMMA-SYNUCLEIN', 77448),
(133723, 'PTHR47932:SF21', NULL, NULL, NULL, NULL, 'OS03G0569800 PROTEIN', 77449),
(133724, 'PTHR47204:SF1', NULL, NULL, NULL, NULL, 'OS02G0168900 PROTEIN', 77450),
(133725, 'PTHR11761:SF3', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L38, MITOCHONDRIAL', 77451),
(133726, 'PTHR31848:SF0', NULL, NULL, NULL, NULL, 'REFILIN-A', 77452),
(133727, 'PTHR26450:SF50', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 77453),
(133728, 'PTHR27005:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77454),
(133729, 'PTHR34544:SF3', NULL, NULL, NULL, NULL, 'OS01G0594650 PROTEIN', 77455),
(133730, 'PTHR33402:SF28', NULL, NULL, NULL, NULL, 'BNAA05G09870D PROTEIN', 77456),
(133731, 'PTHR12274:SF8', NULL, NULL, NULL, NULL, 'GRANULIN A', 77457),
(133732, 'PTHR11640:SF126', NULL, NULL, NULL, NULL, 'SYNAPTOGENESIS PROTEIN SYG-2', 77458),
(133733, 'PTHR24068:SF230', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 28', 77459),
(133734, 'PTHR34559:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX, SUBUNIT 8', 77460),
(133735, 'PTHR12588:SF13', NULL, NULL, NULL, NULL, 'BNAA09G10050D PROTEIN', 77461),
(133736, 'PTHR10168:SF254', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C8', 77462),
(133737, 'PTHR22941:SF28', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 77463),
(133738, 'PTHR28258:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR SEGREGATION PROTEIN 7', 77464),
(133739, 'PTHR19321:SF5', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 6', 77465),
(133740, 'PTHR23115:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77466),
(133741, 'PTHR19441:SF82', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 15B', 77467),
(133742, 'PTHR22849:SF141', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 77468),
(133743, 'PTHR26453:SF566', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 975', 77469),
(133744, 'PTHR24361:SF834', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 77470),
(133745, 'PTHR45616:SF52', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CUTICULAR HB3', 77471),
(133746, 'PTHR30417:SF11', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE XLYA', 77472),
(133747, 'PTHR11764:SF19', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 77473),
(133748, 'PTHR31639:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77474),
(133749, 'PTHR13759', NULL, NULL, NULL, NULL, 'TWINFILIN', 77475),
(133750, 'PTHR24241:SF126', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR Y2', 77476),
(133751, 'PTHR46336:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77477),
(133752, 'PTHR46807:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PHYTOCHROME INTERACTING FACTOR-LIKE 15', 77478),
(133753, 'PTHR10529:SF257', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT MU-1', 77479),
(133754, 'PTHR30540:SF115', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 77480),
(133755, 'PTHR13723:SF288', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77481),
(133756, 'PTHR31465:SF13', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12830)-RELATED', 77482),
(133757, 'PTHR11017:SF441', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N', 77483),
(133758, 'PTHR11851:SF126', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 1, MITOCHONDRIAL', 77484),
(133759, 'PTHR11042:SF155', NULL, NULL, NULL, NULL, 'BNAA08G27310D PROTEIN', 77485),
(133760, 'PTHR34807:SF8', NULL, NULL, NULL, NULL, 'BNAA01G06520D PROTEIN', 77486),
(133761, 'PTHR24238:SF47', NULL, NULL, NULL, NULL, 'TACHYKININ-LIKE PEPTIDES RECEPTOR 86C', 77487),
(133762, 'PTHR33824:SF5', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE / DEHYDRASE AND LIPID TRANSPORT PROTEIN', 77488),
(133763, 'PTHR15860:SF2', NULL, NULL, NULL, NULL, 'RING FINGER AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2', 77489),
(133764, 'PTHR45764:SF15', NULL, NULL, NULL, NULL, 'OS01G0542700 PROTEIN', 77490),
(133765, 'PTHR13832:SF615', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C HOMOLOG 4', 77491),
(133766, 'PTHR12245:SF7', NULL, NULL, NULL, NULL, 'F-BOX/SPRY DOMAIN-CONTAINING PROTEIN 1', 77492);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(133767, 'PTHR30032:SF8', NULL, NULL, NULL, NULL, 'AMIDASE ENHANCER', 77493),
(133768, 'PTHR27008:SF462', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77494),
(133769, 'PTHR43880:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77495),
(133770, 'PTHR24353:SF133', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE CATALYTIC SUBUNIT PRKX', 77496),
(133771, 'PTHR10887:SF486', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS 1-LIKE PROTEIN', 77497),
(133772, 'PTHR43388:SF1', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HOXX', 77498),
(133773, 'PTHR11973:SF23', NULL, NULL, NULL, NULL, 'SI:CH211-79K12.1', 77499),
(133774, 'PTHR12565:SF370', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 77500),
(133775, 'PTHR39161:SF2', NULL, NULL, NULL, NULL, 'ADAPTER PROTEIN MECA 2', 77501),
(133776, 'PTHR30616', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YFIH', 77502),
(133777, 'PTHR43395:SF9', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN CHEA', 77503),
(133778, 'PTHR43307:SF1', NULL, NULL, NULL, NULL, 'DECARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04980)-RELATED', 77504),
(133779, 'PTHR32009:SF90', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 77505),
(133780, 'PTHR43798:SF14', NULL, NULL, NULL, NULL, 'SERINE HYDROLASE-LIKE PROTEIN DDB_G0286239', 77506),
(133781, 'PTHR24291:SF16', NULL, NULL, NULL, NULL, 'PHYLLOQUINONE OMEGA-HYDROXYLASE CYP4F11', 77507),
(133782, 'PTHR10971:SF2', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 92', 77508),
(133783, 'PTHR11005:SF131', NULL, NULL, NULL, NULL, 'LIPASE', 77509),
(133784, 'PTHR23323', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN', 77510),
(133785, 'PTHR11514:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77511),
(133786, 'PTHR11003:SF66', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 77512),
(133787, 'PTHR23073:SF13', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 7', 77513),
(133788, 'PTHR13690:SF136', NULL, NULL, NULL, NULL, 'BNAC03G60240D PROTEIN', 77514),
(133789, 'PTHR33543:SF21', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 2B', 77515),
(133790, 'PTHR45708:SF49', NULL, NULL, NULL, NULL, 'ENDOCHITINASE', 77516),
(133791, 'PTHR21319:SF20', NULL, NULL, NULL, NULL, 'RING FINGER AND CHY ZINC FINGER DOMAIN-CONTAINING PROTEIN 1', 77517),
(133792, 'PTHR43329:SF46', NULL, NULL, NULL, NULL, 'FI21255P1-RELATED', 77518),
(133793, 'PTHR14611', NULL, NULL, NULL, NULL, 'TECTONIC FAMILY MEMBER', 77519),
(133794, 'PTHR35733:SF1', NULL, NULL, NULL, NULL, 'OS02G0307800 PROTEIN', 77520),
(133795, 'PTHR46330:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 10B', 77521),
(133796, 'PTHR43684:SF1', NULL, NULL, NULL, NULL, '3,2-TRANS-ENOYL-COA ISOMERASE-RELATED', 77522),
(133797, 'PTHR23236:SF42', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B', 77523),
(133798, 'PTHR46324:SF27', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 43-LIKE', 77524),
(133799, 'PTHR18834:SF2', NULL, NULL, NULL, NULL, 'STEROID RECEPTOR RNA ACTIVATOR 1', 77525),
(133800, 'PTHR31238:SF141', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 8', 77526),
(133801, 'PTHR48111:SF33', NULL, NULL, NULL, NULL, 'TORCAD OPERON TRANSCRIPTIONAL REGULATORY PROTEIN TORR', 77527),
(133802, 'PTHR10104:SF6', NULL, NULL, NULL, NULL, 'STATHMIN-4', 77528),
(133803, 'PTHR45090:SF10', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', 77529),
(133804, 'PTHR11278:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', 77530),
(133805, 'PTHR45649:SF36', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1', 77531),
(133806, 'PTHR45770:SF12', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 77532),
(133807, 'PTHR10182:SF27', NULL, NULL, NULL, NULL, 'PROTEIN 39, PUTATIVE, EXPRESSED-RELATED', 77533),
(133808, 'PTHR34630:SF25', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPP13-LIKE PROTEIN 1-RELATED', 77534),
(133809, 'PTHR33143:SF53', NULL, NULL, NULL, NULL, 'OS07G0161900 PROTEIN', 77535);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(133810, 'PTHR36686', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX CENTRAL ELEMENT PROTEIN 3', 77536),
(133811, 'PTHR33463:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77537),
(133812, 'PTHR10351:SF58', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', 77538),
(133813, 'PTHR32444:SF107', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 77539),
(133814, 'PTHR11183:SF144', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE PGSIP8-RELATED', 77540),
(133815, 'PTHR13068:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 77541),
(133816, 'PTHR22706', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 77542),
(133817, 'PTHR45730:SF74', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN KNUCKLES', 77543),
(133818, 'PTHR45832:SF4', NULL, NULL, NULL, NULL, 'P21 PROTEIN (CDC42/RAC)-ACTIVATED KINASE 7', 77544),
(133819, 'PTHR43874:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77545),
(133820, 'PTHR45277:SF2', NULL, NULL, NULL, NULL, 'BNACNNG16640D PROTEIN', 77546),
(133821, 'PTHR10270:SF221', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-12', 77547),
(133822, 'PTHR48061:SF20', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE MSP1-LIKE', 77548),
(133823, 'PTHR45733', NULL, NULL, NULL, NULL, 'FORMIN-J', 77549),
(133824, 'PTHR23115:SF256', NULL, NULL, NULL, NULL, 'OS02G0456500 PROTEIN', 77550),
(133825, 'PTHR31920:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77551),
(133826, 'PTHR42760:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77552),
(133827, 'PTHR31867:SF162', NULL, NULL, NULL, NULL, 'EXPANSIN', 77553),
(133828, 'PTHR32448:SF102', NULL, NULL, NULL, NULL, 'CANNABIDIOLIC ACID SYNTHASE-LIKE 1', 77554),
(133829, 'PTHR24381:SF303', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 705D-RELATED', 77555),
(133830, 'PTHR30239:SF4', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE I, SMALL SUBUNIT', 77556),
(133831, 'PTHR10896:SF51', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE S', 77557),
(133832, 'PTHR15175:SF4', NULL, NULL, NULL, NULL, 'NADPH OXIDASE ACTIVATOR 1', 77558),
(133833, 'PTHR42647:SF29', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 77559),
(133834, 'PTHR31813:SF17', NULL, NULL, NULL, NULL, 'CHROMOSOME 3 OPEN READING FRAME 56', 77560),
(133835, 'PTHR33172:SF29', NULL, NULL, NULL, NULL, 'OXIDATIVE STRESS 3', 77561),
(133836, 'PTHR31317:SF17', NULL, NULL, NULL, NULL, 'F2J10.8 PROTEIN', 77562),
(133837, 'PTHR34228', NULL, NULL, NULL, NULL, 'PROTEIN CBG09474-RELATED', 77563),
(133838, 'PTHR11008:SF38', NULL, NULL, NULL, NULL, 'RE08075P', 77564),
(133839, 'PTHR31896:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77565),
(133840, 'PTHR32133:SF296', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77566),
(133841, 'PTHR45855:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPATULA-LIKE ISOFORM X1', 77567),
(133842, 'PTHR11086:SF18', NULL, NULL, NULL, NULL, 'DEOXYCYTIDYLATE DEAMINASE', 77568),
(133843, 'PTHR46008:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77569),
(133844, 'PTHR37343:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 32', 77570),
(133845, 'PTHR48090:SF3', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-PHOSPHATE 4-DEOXY-4-FORMAMIDO-L-ARABINOSE TRANSFERASE', 77571),
(133846, 'PTHR11761:SF37', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L14B/L23E-RELATED', 77572),
(133847, 'PTHR24061:SF404', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 105', 77573),
(133848, 'PTHR42753:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77574),
(133849, 'PTHR34121:SF5', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 135 KDA-LIKE PROTEIN', 77575),
(133850, 'PTHR33459:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77576),
(133851, 'PTHR36206', NULL, NULL, NULL, NULL, 'ASPERCRYPTIN BIOSYNTHESIS CLUSTER-SPECIFIC TRANSCRIPTION REGULATOR ATNN-RELATED', 77577),
(133852, 'PTHR24058:SF17', NULL, NULL, NULL, NULL, 'HOMEODOMAIN INTERACTING PROTEIN KINASE, ISOFORM A', 77578),
(133853, 'PTHR10380:SF192', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 12A-RELATED', 77579);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(133854, 'PTHR24228:SF10', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 15', 77580),
(133855, 'PTHR46015:SF6', NULL, NULL, NULL, NULL, 'OS01G0772900 PROTEIN', 77581),
(133856, 'PTHR34571:SF1', NULL, NULL, NULL, NULL, '(S)-UREIDOGLYCINE AMINOHYDROLASE', 77582),
(133857, 'PTHR43313:SF11', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 16', 77583),
(133858, 'PTHR33184:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77584),
(133859, 'PTHR12629:SF67', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 18, MITOCHONDRIAL-LIKE', 77585),
(133860, 'PTHR24103:SF624', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77586),
(133861, 'PTHR37735', NULL, NULL, NULL, NULL, 'OS08G0567000 PROTEIN', 77587),
(133862, 'PTHR10730:SF8', NULL, NULL, NULL, NULL, 'PROCOLLAGEN GALACTOSYLTRANSFERASE 2', 77588),
(133863, 'PTHR31071:SF47', NULL, NULL, NULL, NULL, 'PARAMYOSIN-LIKE', 77589),
(133864, 'PTHR24103:SF570', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM63', 77590),
(133865, 'PTHR48022', NULL, NULL, NULL, NULL, 'PLASTIDIC GLUCOSE TRANSPORTER 4', 77591),
(133866, 'PTHR33257:SF44', NULL, NULL, NULL, NULL, 'BNAA03G00140D PROTEIN', 77592),
(133867, 'PTHR45636:SF14', NULL, NULL, NULL, NULL, 'EYEGONE, ISOFORM A-RELATED', 77593),
(133868, 'PTHR11547:SF53', NULL, NULL, NULL, NULL, 'CREATINE KINASE, FLAGELLAR', 77594),
(133869, 'PTHR32468:SF145', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 28', 77595),
(133870, 'PTHR46532:SF4', NULL, NULL, NULL, NULL, 'MALE FERTILITY FACTOR KL5', 77596),
(133871, 'PTHR22529:SF2', NULL, NULL, NULL, NULL, 'ZGC:194621', 77597),
(133872, 'PTHR24074:SF49', NULL, NULL, NULL, NULL, 'DIPHTHAMIDE BIOSYNTHESIS PROTEIN 4', 77598),
(133873, 'PTHR11453:SF109', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 7-RELATED', 77599),
(133874, 'PTHR21717:SF71', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 2-LIKE ISOFORM X1', 77600),
(133875, 'PTHR24366:SF44', NULL, NULL, NULL, NULL, 'SLIT GUIDANCE LIGAND 1', 77601),
(133876, 'PTHR45993', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA/LEUKEMIA 11', 77602),
(133877, 'PTHR44688:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN FIXJ', 77603),
(133878, 'PTHR33399:SF8', NULL, NULL, NULL, NULL, 'OS04G0522800 PROTEIN', 77604),
(133879, 'PTHR16154:SF6', NULL, NULL, NULL, NULL, 'SPINOPHILIN, ISOFORM J', 77605),
(133880, 'PTHR11871:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B GAMMA ISOFORM', 77606),
(133881, 'PTHR23330:SF6', NULL, NULL, NULL, NULL, 'WASP HOMOLOG-ASSOCIATED PROTEIN WITH ACTIN, MEMBRANES AND MICROTUBULES-RELATED', 77607),
(133882, 'PTHR11783:SF238', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 77608),
(133883, 'PTHR27005:SF323', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 16-RELATED', 77609),
(133884, 'PTHR18929', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE', 77610),
(133885, 'PTHR24177:SF288', NULL, NULL, NULL, NULL, 'BNAA08G25820D PROTEIN', 77611),
(133886, 'PTHR47994', NULL, NULL, NULL, NULL, 'F14D16.11-RELATED', 77612),
(133887, 'PTHR47906:SF4', NULL, NULL, NULL, NULL, 'OS05G0182900 PROTEIN', 77613),
(133888, 'PTHR32295:SF189', NULL, NULL, NULL, NULL, 'BNAC05G10620D PROTEIN', 77614),
(133889, 'PTHR48004', NULL, NULL, NULL, NULL, 'OS01G0149700 PROTEIN', 77615),
(133890, 'PTHR33172:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77616),
(133891, 'PTHR15422:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77617),
(133892, 'PTHR11802:SF314', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 77618),
(133893, 'PTHR11654:SF172', NULL, NULL, NULL, NULL, 'OS08G0527700 PROTEIN', 77619),
(133894, 'PTHR31308:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 77620),
(133895, 'PTHR38796:SF1', NULL, NULL, NULL, NULL, 'ANCHORED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G09600)-RELATED', 77621),
(133896, 'PTHR48077:SF1', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE', 77622),
(133897, 'PTHR18945:SF23', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT ALPHA-5', 77623),
(133898, 'PTHR43939:SF72', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', 77624);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(133899, 'PTHR43260', NULL, NULL, NULL, NULL, '3-KETOSTEROID-DELTA-1-DEHYDROGENASE', 77625),
(133900, 'PTHR27003:SF350', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77626),
(133901, 'PTHR24062:SF169', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 77627),
(133902, 'PTHR11017:SF309', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 77628),
(133903, 'PTHR14932:SF1', NULL, NULL, NULL, NULL, 'RAB-LIKE PROTEIN 6', 77629),
(133904, 'PTHR46855:SF8', NULL, NULL, NULL, NULL, 'BNAA10G29140D PROTEIN', 77630),
(133905, 'PTHR24379:SF72', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 14', 77631),
(133906, 'PTHR43150:SF7', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED POTASSIUM CHANNEL SUBUNIT BETA-1', 77632),
(133907, 'PTHR31676:SF87', NULL, NULL, NULL, NULL, 'OS07G0120600-LIKE PROTEIN', 77633),
(133908, 'PTHR24214:SF6', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN 4', 77634),
(133909, 'PTHR46316:SF3', NULL, NULL, NULL, NULL, 'AKIN BETA1-LIKE PROTEIN', 77635),
(133910, 'PTHR46162:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77636),
(133911, 'PTHR13247:SF13', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION 1 PROTEIN B', 77637),
(133912, 'PTHR21433:SF5', NULL, NULL, NULL, NULL, 'TMPIT-LIKE PROTEIN', 77638),
(133913, 'PTHR37184:SF5', NULL, NULL, NULL, NULL, 'BNAA06G33250D PROTEIN', 77639),
(133914, 'PTHR27008:SF414', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77640),
(133915, 'PTHR33101:SF48', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 8-LIKE', 77641),
(133916, 'PTHR33091:SF65', NULL, NULL, NULL, NULL, 'WOUND-INDUCED PROTEINASE INHIBITOR 1', 77642),
(133917, 'PTHR47928:SF59', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 77643),
(133918, 'PTHR43416:SF4', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYL CARRIER PROTEIN OF ACETYL-COA CARBOXYLASE 1, CHLOROPLASTIC', 77644),
(133919, 'PTHR23425:SF15', NULL, NULL, NULL, NULL, 'SPERM PROTEIN ASSOCIATED WITH THE NUCLEUS ON THE X CHROMOSOME N2', 77645),
(133920, 'PTHR10811', NULL, NULL, NULL, NULL, 'FRINGE-RELATED', 77646),
(133921, 'PTHR46326:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT1-RELATED', 77647),
(133922, 'PTHR31589:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77648),
(133923, 'PTHR45800:SF34', NULL, NULL, NULL, NULL, 'BNAA08G19690D PROTEIN', 77649),
(133924, 'PTHR31413:SF21', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN AFP1-LIKE', 77650),
(133925, 'PTHR28314:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 29', 77651),
(133926, 'PTHR35163:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 77652),
(133927, 'PTHR43096:SF51', NULL, NULL, NULL, NULL, 'BNAA10G12560D PROTEIN', 77653),
(133928, 'PTHR37743', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 77654),
(133929, 'PTHR31205:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77655),
(133930, 'PTHR35271', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, SUBSTRATE-BINDING LIPOPROTEIN-RELATED', 77656),
(133931, 'PTHR24115:SF545', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIP2', 77657),
(133932, 'PTHR12002:SF193', NULL, NULL, NULL, NULL, 'CLAUDIN-LIKE PROTEIN ZF-A89-RELATED', 77658),
(133933, 'PTHR11808:SF76', NULL, NULL, NULL, NULL, 'METHIONINE GAMMA-LYASE-LIKE', 77659),
(133934, 'PTHR48179', NULL, NULL, NULL, NULL, 'OS08G0232201 PROTEIN', 77660),
(133935, 'PTHR10177:SF60', NULL, NULL, NULL, NULL, 'CYCLIN-G2', 77661),
(133936, 'PTHR45753:SF4', NULL, NULL, NULL, NULL, 'ORNITHINE CARBAMOYLTRANSFERASE SUBUNIT F-RELATED', 77662),
(133937, 'PTHR24012:SF826', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77663),
(133938, 'PTHR24418:SF389', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 77664),
(133939, 'PTHR45703:SF1', NULL, NULL, NULL, NULL, 'DNAH12 ISOFORM 2', 77665),
(133940, 'PTHR36893', NULL, NULL, NULL, NULL, 'OS01G0275950 PROTEIN', 77666),
(133941, 'PTHR24369:SF190', NULL, NULL, NULL, NULL, 'CONNECTIN-LIKE PROTEIN', 77667),
(133942, 'PTHR22718:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 77668),
(133943, 'PTHR19338:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77669);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(133944, 'PTHR44472:SF1', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 4-RELATED', 77670),
(133945, 'PTHR10015:SF285', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-3', 77671),
(133946, 'PTHR33389:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77672),
(133947, 'PTHR11528:SF95', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90-2', 77673),
(133948, 'PTHR45966:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77674),
(133949, 'PTHR45621:SF52', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT-LIKE PROTEIN', 77675),
(133950, 'PTHR11017:SF364', NULL, NULL, NULL, NULL, 'BNAC06G27830D PROTEIN', 77676),
(133951, 'PTHR21447:SF8', NULL, NULL, NULL, NULL, 'DAF-16/FOXO CONTROLLED, GERMLINE TUMOR AFFECTING-RELATED', 77677),
(133952, 'PTHR46799', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN UNC-4 HOMOLOG', 77678),
(133953, 'PTHR36944:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG19295', 77679),
(133954, 'PTHR31656:SF1', NULL, NULL, NULL, NULL, 'OS01G0968400 PROTEIN', 77680),
(133955, 'PTHR34560:SF1', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE/LIPID TRANSPORT SUPERFAMILY PROTEIN', 77681),
(133956, 'PTHR11502:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', 77682),
(133957, 'PTHR48048:SF19', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 77683),
(133958, 'PTHR42262:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77684),
(133959, 'PTHR42647:SF22', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 3-RELATED', 77685),
(133960, 'PTHR23215:SF1', NULL, NULL, NULL, NULL, 'BUB3-INTERACTING AND GLEBS MOTIF-CONTAINING PROTEIN ZNF207', 77686),
(133961, 'PTHR11183:SF98', NULL, NULL, NULL, NULL, 'OS02G0624400 PROTEIN', 77687),
(133962, 'PTHR33389:SF22', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF2921)-RELATED', 77688),
(133963, 'PTHR11961:SF36', NULL, NULL, NULL, NULL, 'CYTOCHROME C', 77689),
(133964, 'PTHR43329:SF104', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', 77690),
(133965, 'PTHR11851:SF193', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA-LIKE', 77691),
(133966, 'PTHR11802:SF362', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 77692),
(133967, 'PTHR47764:SF7', NULL, NULL, NULL, NULL, 'ULP1 PROTEASE FAMILY, C-TERMINAL CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 77693),
(133968, 'PTHR21022:SF20', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE/PREPHENATE DEHYDRATASE 1, CHLOROPLASTIC', 77694),
(133969, 'PTHR33322:SF8', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 5, MITOCHONDRIAL', 77695),
(133970, 'PTHR32212:SF308', NULL, NULL, NULL, NULL, 'BNAA04G19970D PROTEIN', 77696),
(133971, 'PTHR21646:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77697),
(133972, 'PTHR31344:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77698),
(133973, 'PTHR14085:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 46', 77699),
(133974, 'PTHR31776:SF12', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE 1', 77700),
(133975, 'PTHR12992:SF29', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE, CONSERVED', 77701),
(133976, 'PTHR11240:SF18', NULL, NULL, NULL, NULL, 'OS07G0630400 PROTEIN', 77702),
(133977, 'PTHR46422:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE BSL3', 77703),
(133978, 'PTHR45675:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB48-RELATED', 77704),
(133979, 'PTHR10809:SF67', NULL, NULL, NULL, NULL, 'PROTEIN CBG20367', 77705),
(133980, 'PTHR24356:SF336', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0288795-RELATED', 77706),
(133981, 'PTHR11054:SF3', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE 3, CHLOROPLASTIC-RELATED', 77707),
(133982, 'PTHR10980:SF48', NULL, NULL, NULL, NULL, 'BNAA09G10480D PROTEIN', 77708),
(133983, 'PTHR23267:SF425', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 4-1', 77709),
(133984, 'PTHR24282:SF124', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 77710),
(133985, 'PTHR11206:SF426', NULL, NULL, NULL, NULL, 'BNAC09G36980D PROTEIN', 77711),
(133986, 'PTHR43008:SF6', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MANNITOL DEHYDROGENASE', 77712);
INSERT INTO "PUBLIC"."MODEL" VALUES
(133987, 'PTHR24348:SF58', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 10-LIKE', 77713),
(133988, 'PTHR11566:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77714),
(133989, 'PTHR23302:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 5', 77715),
(133990, 'PTHR22945:SF24', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 77716),
(133991, 'PTHR33317:SF4', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', 77717),
(133992, 'PTHR48100:SF18', NULL, NULL, NULL, NULL, 'GLUCOSYL-3-PHOSPHOGLYCERATE PHOSPHATASE', 77718),
(133993, 'PTHR11538:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77719),
(133994, 'PTHR22594:SF48', NULL, NULL, NULL, NULL, 'ASPARAGINYL-TRNA SYNTHETASE', 77720),
(133995, 'PTHR22966:SF57', NULL, NULL, NULL, NULL, 'OS05G0592300 PROTEIN', 77721),
(133996, 'PTHR35377:SF5', NULL, NULL, NULL, NULL, 'ANTITOXIN VAPB49-RELATED', 77722),
(133997, 'PTHR45654:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ROC1', 77723),
(133998, 'PTHR12887:SF10', NULL, NULL, NULL, NULL, 'NANOS HOMOLOG 2', 77724),
(133999, 'PTHR24012:SF725', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN 47', 77725),
(134000, 'PTHR37155', NULL, NULL, NULL, NULL, 'MUCIN 26B', 77726),
(134001, 'PTHR46631:SF15', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L18AE FAMILY-RELATED', 77727),
(134002, 'PTHR19359:SF77', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 ISOFORM D', 77728),
(134003, 'PTHR24248:SF136', NULL, NULL, NULL, NULL, 'D(1B) DOPAMINE RECEPTOR', 77729),
(134004, 'PTHR31623:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77730),
(134005, 'PTHR32153:SF55', NULL, NULL, NULL, NULL, 'BNAC05G04940D PROTEIN', 77731),
(134006, 'PTHR23529', NULL, NULL, NULL, NULL, 'GH19118P-RELATED', 77732),
(134007, 'PTHR21049:SF2', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 1B', 77733),
(134008, 'PTHR33091:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77734),
(134009, 'PTHR36680', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC498675', 77735),
(134010, 'PTHR11069:SF34', NULL, NULL, NULL, NULL, 'GLUCOSYLCERAMIDASE', 77736),
(134011, 'PTHR11814:SF231', NULL, NULL, NULL, NULL, 'RE02508P', 77737),
(134012, 'PTHR47465:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GPBOX-RELATED', 77738),
(134013, 'PTHR38169:SF2', NULL, NULL, NULL, NULL, 'OS12G0178300 PROTEIN', 77739),
(134014, 'PTHR23500:SF572', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 6', 77740),
(134015, 'PTHR11566:SF142', NULL, NULL, NULL, NULL, 'OS08G0425100 PROTEIN', 77741),
(134016, 'PTHR10699:SF11', NULL, NULL, NULL, NULL, 'GEO08194P1-RELATED', 77742),
(134017, 'PTHR21262:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77743),
(134018, 'PTHR36891:SF1', NULL, NULL, NULL, NULL, 'OS01G0127400 PROTEIN', 77744),
(134019, 'PTHR16469:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG23268', 77745),
(134020, 'PTHR36004:SF2', NULL, NULL, NULL, NULL, 'BNAC06G23320D PROTEIN', 77746),
(134021, 'PTHR45436:SF8', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SENSOR HISTIDINE KINASE', 77747),
(134022, 'PTHR11206:SF307', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 77748),
(134023, 'PTHR11771:SF168', NULL, NULL, NULL, NULL, 'LIPOXYGENASE 2, CHLOROPLASTIC', 77749),
(134024, 'PTHR12052:SF4', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN 4B', 77750),
(134025, 'PTHR17598', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA SUBUNIT 3', 77751),
(134026, 'PTHR24051', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 1', 77752),
(134027, 'PTHR27008:SF407', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 77753),
(134028, 'PTHR44191:SF42', NULL, NULL, NULL, NULL, 'BNAANNG06930D PROTEIN', 77754),
(134029, 'PTHR11937:SF430', NULL, NULL, NULL, NULL, 'ACTIN-2', 77755),
(134030, 'PTHR21596:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77756),
(134031, 'PTHR32243:SF50', NULL, NULL, NULL, NULL, 'MALTOSE/MALTODEXTRIN TRANSPORT SYSTEM PERMEASE PROTEIN MALG', 77757),
(134032, 'PTHR32448:SF110', NULL, NULL, NULL, NULL, 'BNACNNG69140D PROTEIN', 77758);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(134033, 'PTHR12825', NULL, NULL, NULL, NULL, 'BNIP1-RELATED', 77759),
(134034, 'PTHR36936', NULL, NULL, NULL, NULL, 'PROTEIN CBG25168', 77760),
(134035, 'PTHR21096:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77761),
(134036, 'PTHR24115:SF162', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 77762),
(134037, 'PTHR31171:SF3', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 6B', 77763),
(134038, 'PTHR47967:SF32', NULL, NULL, NULL, NULL, 'BNAC07G50490D PROTEIN', 77764),
(134039, 'PTHR11060:SF0', NULL, NULL, NULL, NULL, 'PROTEIN MEMO1', 77765),
(134040, 'PTHR42912:SF62', NULL, NULL, NULL, NULL, 'PROTEIN CBG03665', 77766),
(134041, 'PTHR45626:SF24', NULL, NULL, NULL, NULL, 'HELICASE-LIKE TRANSCRIPTION FACTOR CHR28', 77767),
(134042, 'PTHR36726:SF6', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE401 PROTEIN', 77768),
(134043, 'PTHR11227:SF60', NULL, NULL, NULL, NULL, 'BNAA09G40130D PROTEIN', 77769),
(134044, 'PTHR24281:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77770),
(134045, 'PTHR46610:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77771),
(134046, 'PTHR31945:SF104', NULL, NULL, NULL, NULL, 'BNAA04G29380D PROTEIN', 77772),
(134047, 'PTHR10010:SF35', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORT PROTEIN 2C', 77773),
(134048, 'PTHR34890:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77774),
(134049, 'PTHR33470:SF41', NULL, NULL, NULL, NULL, 'BNAA09G27390D PROTEIN', 77775),
(134050, 'PTHR45527', NULL, NULL, NULL, NULL, 'NONRIBOSOMAL PEPTIDE SYNTHETASE', 77776),
(134051, 'PTHR43323:SF17', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', 77777),
(134052, 'PTHR43917:SF4', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE THETA-2-RELATED', 77778),
(134053, 'PTHR31621:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DMP3', 77779),
(134054, 'PTHR46780:SF4', NULL, NULL, NULL, NULL, 'PROTEIN EVA-1 HOMOLOG C', 77780),
(134055, 'PTHR48013:SF18', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 77781),
(134056, 'PTHR28042', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE COMPLEX SLX5-SLX8 SUBUNIT SLX5', 77782),
(134057, 'PTHR24228:SF25', NULL, NULL, NULL, NULL, 'B2 BRADYKININ RECEPTOR', 77783),
(134058, 'PTHR22603:SF30', NULL, NULL, NULL, NULL, 'CHOLINE KINASE B', 77784),
(134059, 'PTHR45974:SF162', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 77785),
(134060, 'PTHR48063:SF10', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 77786),
(134061, 'PTHR13131:SF5', NULL, NULL, NULL, NULL, 'CYSTINOSIN', 77787),
(134062, 'PTHR31707:SF270', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 77788),
(134063, 'PTHR47359:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77789),
(134064, 'PTHR21717:SF68', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 5-LIKE ISOFORM X1', 77790),
(134065, 'PTHR16052:SF1', NULL, NULL, NULL, NULL, 'OS06G0614300 PROTEIN', 77791),
(134066, 'PTHR15917', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 77792),
(134067, 'PTHR26451:SF237', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13G1', 77793),
(134068, 'PTHR46563:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77794),
(134069, 'PTHR31232:SF97', NULL, NULL, NULL, NULL, 'BNAANNG33170D PROTEIN', 77795),
(134070, 'PTHR42923', NULL, NULL, NULL, NULL, 'PROTOPORPHYRINOGEN OXIDASE', 77796),
(134071, 'PTHR12146:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10-1-LIKE', 77797),
(134072, 'PTHR46602:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF GENE SILENCING 3-LIKE', 77798),
(134073, 'PTHR11109', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE I', 77799),
(134074, 'PTHR43246:SF9', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP37 CHLOROPLASTIC', 77800),
(134075, 'PTHR48043:SF107', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 77801),
(134076, 'PTHR43107:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77802),
(134077, 'PTHR23267:SF412', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77803),
(134078, 'PTHR45735:SF10', NULL, NULL, NULL, NULL, 'BNAC02G20770D PROTEIN', 77804);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(134079, 'PTHR35999:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM6 HOMOLOG', 77805),
(134080, 'PTHR46122:SF20', NULL, NULL, NULL, NULL, 'BNAANNG18510D PROTEIN', 77806),
(134081, 'PTHR16127:SF16', NULL, NULL, NULL, NULL, 'BNAANNG24120D PROTEIN', 77807),
(134082, 'PTHR45288:SF3', NULL, NULL, NULL, NULL, 'BNAANNG34120D PROTEIN', 77808),
(134083, 'PTHR15439:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77809),
(134084, 'PTHR42647:SF52', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 77810),
(134085, 'PTHR23309:SF33', NULL, NULL, NULL, NULL, 'PEROXISOMAL FATTY ACID BETA-OXIDATION MULTIFUNCTIONAL PROTEIN AIM1-LIKE', 77811),
(134086, 'PTHR46798:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77812),
(134087, 'PTHR22953:SF97', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 18', 77813),
(134088, 'PTHR11863:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77814),
(134089, 'PTHR12027:SF86', NULL, NULL, NULL, NULL, 'PROTEIN WNT-2', 77815),
(134090, 'PTHR22467:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PBMUCL2', 77816),
(134091, 'PTHR46932:SF11', NULL, NULL, NULL, NULL, 'OS02G0582800 PROTEIN', 77817),
(134092, 'PTHR11205:SF41', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S7, CHLOROPLASTIC', 77818),
(134093, 'PTHR15344', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN  BORG', 77819),
(134094, 'PTHR37559:SF1', NULL, NULL, NULL, NULL, 'PAREP6 PART 2, AUTHENTIC FRAMESHIFT', 77820),
(134095, 'PTHR24083:SF43', NULL, NULL, NULL, NULL, 'HEPATIC NUCLEAR FACTOR 4, BETA', 77821),
(134096, 'PTHR13633:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 6 OPEN READING FRAME 203', 77822),
(134097, 'PTHR14146:SF1', NULL, NULL, NULL, NULL, 'BNAC01G38640D PROTEIN', 77823),
(134098, 'PTHR12374:SF41', NULL, NULL, NULL, NULL, 'OS08G0151000 PROTEIN', 77824),
(134099, 'PTHR23501:SF147', NULL, NULL, NULL, NULL, 'COMD', 77825),
(134100, 'PTHR12610:SF30', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN 4', 77826),
(134101, 'PTHR32212:SF343', NULL, NULL, NULL, NULL, 'BNAC09G20740D PROTEIN', 77827),
(134102, 'PTHR11417:SF20', NULL, NULL, NULL, NULL, 'PROLACTIN-7D1', 77828),
(134103, 'PTHR31024:SF7', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 77829),
(134104, 'PTHR38699', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 77830),
(134105, 'PTHR31424:SF4', NULL, NULL, NULL, NULL, 'ENHANCED RNAI (RNA INTERFERENCE)', 77831),
(134106, 'PTHR13028:SF1', NULL, NULL, NULL, NULL, 'BNAC03G42920D PROTEIN', 77832),
(134107, 'PTHR14340:SF5', NULL, NULL, NULL, NULL, 'TITIN', 77833),
(134108, 'PTHR26452:SF111', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 77834),
(134109, 'PTHR45798:SF63', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', 77835),
(134110, 'PTHR23063:SF37', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 4', 77836),
(134111, 'PTHR46377:SF2', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY PHOSPHATASE 19A', 77837),
(134112, 'PTHR32227:SF336', NULL, NULL, NULL, NULL, 'BNAA02G04930D PROTEIN', 77838),
(134113, 'PTHR31169:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77839),
(134114, 'PTHR26450:SF83', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52P1-RELATED', 77840),
(134115, 'PTHR31221:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77841),
(134116, 'PTHR31659:SF23', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 77842),
(134117, 'PTHR24338', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MSX', 77843),
(134118, 'PTHR32411:SF67', NULL, NULL, NULL, NULL, 'BNACNNG07240D PROTEIN', 77844),
(134119, 'PTHR32054:SF33', NULL, NULL, NULL, NULL, 'WEB FAMILY PLANT PROTEIN', 77845),
(134120, 'PTHR14009:SF37', NULL, NULL, NULL, NULL, 'BNAA05G27490D PROTEIN', 77846),
(134121, 'PTHR23311', NULL, NULL, NULL, NULL, 'HEAT SHOCK REGULATED 2', 77847),
(134122, 'PTHR33875:SF2', NULL, NULL, NULL, NULL, 'OS09G0542200 PROTEIN', 77848),
(134123, 'PTHR16052:SF3', NULL, NULL, NULL, NULL, 'CYCLASE-ASSOCIATED PROTEIN CAP/SEPTUM FORMATION INHIBITOR MINC-RELATED', 77849),
(134124, 'PTHR19860:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77850);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(134125, 'PTHR19325:SF502', NULL, NULL, NULL, NULL, 'NTL-DEPENDENT GENE 5', 77851),
(134126, 'PTHR30094:SF14', NULL, NULL, NULL, NULL, 'D-ALANYL-GLYCYL ENDOPEPTIDASE-LIKE PROTEIN', 77852),
(134127, 'PTHR31495:SF34', NULL, NULL, NULL, NULL, 'OS03G0222600 PROTEIN', 77853),
(134128, 'PTHR43795:SF71', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-RELATED PROTEIN 2', 77854),
(134129, 'PTHR31636:SF4', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 1', 77855),
(134130, 'PTHR33110:SF40', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 77856),
(134131, 'PTHR31065', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', 77857),
(134132, 'PTHR31625:SF74', NULL, NULL, NULL, NULL, 'BNAA02G29920D PROTEIN', 77858),
(134133, 'PTHR33936:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG20757', 77859),
(134134, 'PTHR31728:SF2', NULL, NULL, NULL, NULL, 'BRCA1-A COMPLEX SUBUNIT ABRAXAS 1', 77860),
(134135, 'PTHR48047:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 77861),
(134136, 'PTHR21037', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L14, MITOCHONDRIAL', 77862),
(134137, 'PTHR14005:SF5', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT A', 77863),
(134138, 'PTHR45730:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77864),
(134139, 'PTHR48041:SF19', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 26', 77865),
(134140, 'PTHR23500:SF473', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 12', 77866),
(134141, 'PTHR10496', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', 77867),
(134142, 'PTHR46834:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR EAT1', 77868),
(134143, 'PTHR43327:SF33', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 4', 77869),
(134144, 'PTHR27002:SF857', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 77870),
(134145, 'PTHR27001:SF277', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 8', 77871),
(134146, 'PTHR22298:SF146', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 77872),
(134147, 'PTHR18860', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN', 77873),
(134148, 'PTHR22774:SF15', NULL, NULL, NULL, NULL, 'UHRF1-BINDING PROTEIN 1', 77874),
(134149, 'PTHR34502:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77875),
(134150, 'PTHR28160:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L15, MITOCHONDRIAL', 77876),
(134151, 'PTHR41542', NULL, NULL, NULL, NULL, 'BLL5807 PROTEIN', 77877),
(134152, 'PTHR37947:SF1', NULL, NULL, NULL, NULL, 'BLL2462 PROTEIN', 77878),
(134153, 'PTHR22907:SF9', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 77879),
(134154, 'PTHR34965', NULL, NULL, NULL, NULL, 'OS07G0118300 PROTEIN', 77880),
(134155, 'PTHR31645:SF49', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL2', 77881),
(134156, 'PTHR14096:SF61', NULL, NULL, NULL, NULL, 'SI:CABZ01007802.1', 77882),
(134157, 'PTHR34531', NULL, NULL, NULL, NULL, 'ZGC:153352', 77883),
(134158, 'PTHR19211:SF45', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY F MEMBER 3', 77884),
(134159, 'PTHR12357:SF8', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING FAMILY PROTEIN 2', 77885),
(134160, 'PTHR47926:SF164', NULL, NULL, NULL, NULL, 'BNAA06G24470D PROTEIN', 77886),
(134161, 'PTHR43008:SF3', NULL, NULL, NULL, NULL, 'L-XYLULOSE REDUCTASE', 77887),
(134162, 'PTHR23315:SF257', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 77888),
(134163, 'PTHR22192:SF1', NULL, NULL, NULL, NULL, 'SPERIOLIN-LIKE PROTEIN', 77889),
(134164, 'PTHR46208:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM70', 77890),
(134165, 'PTHR21649:SF119', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 77891),
(134166, 'PTHR23152:SF30', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE, E1 COMPONENT', 77892),
(134167, 'PTHR46002:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBR-PBO-1', 77893),
(134168, 'PTHR31388:SF28', NULL, NULL, NULL, NULL, 'PEROXIDASE 40', 77894),
(134169, 'PTHR12411:SF774', NULL, NULL, NULL, NULL, 'CATHEPSIN K', 77895),
(134170, 'PTHR34671', NULL, NULL, NULL, NULL, 'EM-LIKE PROTEIN GEA1', 77896);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(134171, 'PTHR11746:SF266', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 77897),
(134172, 'PTHR13738:SF9', NULL, NULL, NULL, NULL, 'TROPONIN I, SLOW SKELETAL MUSCLE', 77898),
(134173, 'PTHR23023:SF260', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE 1-RELATED', 77899),
(134174, 'PTHR46521:SF12', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 2-LIKE ISOFORM X1', 77900),
(134175, 'PTHR47925:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77901),
(134176, 'PTHR23429:SF14', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE', 77902),
(134177, 'PTHR26451:SF132', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6K6', 77903),
(134178, 'PTHR11157:SF17', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 77904),
(134179, 'PTHR14359:SF28', NULL, NULL, NULL, NULL, 'BNAA01G27100D PROTEIN', 77905),
(134180, 'PTHR10174:SF200', NULL, NULL, NULL, NULL, 'RETINALDEHYDE-BINDING PROTEIN 1', 77906),
(134181, 'PTHR24032:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77907),
(134182, 'PTHR22835:SF609', NULL, NULL, NULL, NULL, 'LIPASE-LIKE', 77908),
(134183, 'PTHR46371:SF6', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION PROTEIN', 77909),
(134184, 'PTHR24364:SF22', NULL, NULL, NULL, NULL, 'TROPHOBLAST GLYCOPROTEIN A-RELATED', 77910),
(134185, 'PTHR32002:SF46', NULL, NULL, NULL, NULL, 'PROTEIN NLP2', 77911),
(134186, 'PTHR27006:SF267', NULL, NULL, NULL, NULL, 'OS06G0585982 PROTEIN', 77912),
(134187, 'PTHR15914', NULL, NULL, NULL, NULL, 'ALPHA-HEMOGLOBIN-STABILIZING PROTEIN', 77913),
(134188, 'PTHR46204:SF20', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 77914),
(134189, 'PTHR44042:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DIVARICATA', 77915),
(134190, 'PTHR11785:SF402', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', 77916),
(134191, 'PTHR33450:SF2', NULL, NULL, NULL, NULL, 'OS02G0505500 PROTEIN', 77917),
(134192, 'PTHR23105:SF129', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 2', 77918),
(134193, 'PTHR24281:SF138', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 93A2-LIKE', 77919),
(134194, 'PTHR22093', NULL, NULL, NULL, NULL, 'LEUKOCYTE RECEPTOR CLUSTER  LRC  MEMBER 1', 77920),
(134195, 'PTHR33021:SF292', NULL, NULL, NULL, NULL, 'OS03G0709100 PROTEIN', 77921),
(134196, 'PTHR47488:SF2', NULL, NULL, NULL, NULL, 'OS07G0682000 PROTEIN', 77922),
(134197, 'PTHR24031:SF698', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-1', 77923),
(134198, 'PTHR10641:SF1254', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 77924),
(134199, 'PTHR42731:SF5', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', 77925),
(134200, 'PTHR24300:SF333', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 2, SUBFAMILY V, POLYPEPTIDE 1', 77926),
(134201, 'PTHR46224:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77927),
(134202, 'PTHR13256', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 9', 77928),
(134203, 'PTHR45647:SF41', NULL, NULL, NULL, NULL, 'OS02G0218400 PROTEIN', 77929),
(134204, 'PTHR43791', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', 77930),
(134205, 'PTHR33181:SF2', NULL, NULL, NULL, NULL, 'OS03G0806800 PROTEIN', 77931),
(134206, 'PTHR10794:SF79', NULL, NULL, NULL, NULL, 'MONOACYLGLYCEROL LIPASE ABHD2-B', 77932),
(134207, 'PTHR12632:SF67', NULL, NULL, NULL, NULL, 'BNAA06G01280D PROTEIN', 77933),
(134208, 'PTHR45866', NULL, NULL, NULL, NULL, 'DNA GYRASE/TOPOISOMERASE SUBUNIT B', 77934),
(134209, 'PTHR24089:SF712', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL2-RELATED', 77935),
(134210, 'PTHR12415', NULL, NULL, NULL, NULL, 'TYROSYL-DNA PHOSPHODIESTERASE 1', 77936),
(134211, 'PTHR46622:SF1', NULL, NULL, NULL, NULL, 'DNA-DEPENDENT METALLOPROTEASE WSS1', 77937),
(134212, 'PTHR36727', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT L, CHLOROPLASTIC', 77938),
(134213, 'PTHR45837:SF5', NULL, NULL, NULL, NULL, '25.3 KDA VESICLE TRANSPORT PROTEIN', 77939),
(134214, 'PTHR36312:SF7', NULL, NULL, NULL, NULL, 'THIONIN-LIKE PROTEIN 2', 77940),
(134215, 'PTHR11709:SF324', NULL, NULL, NULL, NULL, 'LACCASE-6', 77941);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(134216, 'PTHR13832:SF758', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 30-RELATED', 77942),
(134217, 'PTHR10353:SF38', NULL, NULL, NULL, NULL, 'LACTASE-PHLORIZIN HYDROLASE', 77943),
(134218, 'PTHR31917:SF88', NULL, NULL, NULL, NULL, 'BNAANNG14870D PROTEIN', 77944),
(134219, 'PTHR37167', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-6-NAPHTOATE SYNTHASE', 77945),
(134220, 'PTHR24390:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 667', 77946),
(134221, 'PTHR45614:SF172', NULL, NULL, NULL, NULL, 'V-MYB AVIAN MYELOBLASTOSIS VIRAL ONCOGENE HOMOLOG', 77947),
(134222, 'PTHR37735:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77948),
(134223, 'PTHR48090:SF1', NULL, NULL, NULL, NULL, 'PROPHAGE BACTOPRENOL GLUCOSYL TRANSFERASE HOMOLOG', 77949),
(134224, 'PTHR32419:SF26', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE FAMILY PROTEIN', 77950),
(134225, 'PTHR47875:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP28, CHLOROPLASTIC', 77951),
(134226, 'PTHR33974:SF9', NULL, NULL, NULL, NULL, 'VASCULAR-RELATED UNKNOWN PROTEIN 3', 77952),
(134227, 'PTHR31875:SF37', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 3-LIKE ISOFORM X1', 77953),
(134228, 'PTHR10383:SF51', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR 3', 77954),
(134229, 'PTHR33074:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77955),
(134230, 'PTHR13026:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77956),
(134231, 'PTHR24637:SF354', NULL, NULL, NULL, NULL, 'COLLAGEN', 77957),
(134232, 'PTHR31006:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG26355', 77958),
(134233, 'PTHR30606:SF10', NULL, NULL, NULL, NULL, 'LIPID A BIOSYNTHESIS LAUROYL ACYLTRANSFERASE', 77959),
(134234, 'PTHR21388:SF6', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 39', 77960),
(134235, 'PTHR24376:SF135', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 77961),
(134236, 'PTHR48043:SF6', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 77962),
(134237, 'PTHR24119', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 6', 77963),
(134238, 'PTHR30349:SF62', NULL, NULL, NULL, NULL, 'TYPE 1 FIMBRIAE REGULATORY PROTEIN FIMB-RELATED', 77964),
(134239, 'PTHR44305:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NRKA', 77965),
(134240, 'PTHR11328:SF29', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT LYSOPHOSPHATIDYLCHOLINE SYMPORTER 1', 77966),
(134241, 'PTHR24407:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77967),
(134242, 'PTHR23113:SF201', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR G', 77968),
(134243, 'PTHR12771:SF61', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN C-LIKE ISOFORM X1', 77969),
(134244, 'PTHR47973:SF7', NULL, NULL, NULL, NULL, 'BNAC01G42200D PROTEIN', 77970),
(134245, 'PTHR48063:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77971),
(134246, 'PTHR16943:SF14', NULL, NULL, NULL, NULL, 'IMMUNORESPONSIVE GENE 1,-LIKE', 77972),
(134247, 'PTHR48100:SF10', NULL, NULL, NULL, NULL, '2-CARBOXY-D-ARABINITOL-1-PHOSPHATASE-RELATED', 77973),
(134248, 'PTHR46728:SF1', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 4', 77974),
(134249, 'PTHR11706:SF29', NULL, NULL, NULL, NULL, 'IRON TRANSPORTER SMF3', 77975),
(134250, 'PTHR15583:SF13', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR A', 77976),
(134251, 'PTHR45952:SF2', NULL, NULL, NULL, NULL, 'OS04G0679400 PROTEIN', 77977),
(134252, 'PTHR43448', NULL, NULL, NULL, NULL, 'PROTOHEME IX FARNESYLTRANSFERASE, MITOCHONDRIAL', 77978),
(134253, 'PTHR48053:SF16', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', 77979),
(134254, 'PTHR43575:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ABCI7, CHLOROPLASTIC', 77980),
(134255, 'PTHR31807:SF2', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 8', 77981),
(134256, 'PTHR10404:SF38', NULL, NULL, NULL, NULL, 'N-ACETYLATED-ALPHA-LINKED ACIDIC DIPEPTIDASE 2', 77982),
(134257, 'PTHR12570:SF71', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 77983),
(134258, 'PTHR16967:SF1', NULL, NULL, NULL, NULL, 'LEYDIG CELL TUMOR 10 KDA PROTEIN HOMOLOG', 77984);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(134259, 'PTHR31190:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77985),
(134260, 'PTHR11743:SF68', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN PORIN-RELATED', 77986),
(134261, 'PTHR48041:SF83', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 6', 77987),
(134262, 'PTHR24023:SF1027', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(VIII) CHAIN', 77988),
(134263, 'PTHR10574:SF279', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT BETA-4', 77989),
(134264, 'PTHR31330', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP C', 77990),
(134265, 'PTHR18945:SF488', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 77991),
(134266, 'PTHR47965:SF5', NULL, NULL, NULL, NULL, 'BASIC 7S GLOBULIN-LIKE', 77992),
(134267, 'PTHR43537:SF10', NULL, NULL, NULL, NULL, 'FATTY ACID METABOLISM REGULATOR PROTEIN', 77993),
(134268, 'PTHR20934:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', 77994),
(134269, 'PTHR24136:SF31', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 13', 77995),
(134270, 'PTHR11935:SF80', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE, MITOCHONDRIAL', 77996),
(134271, 'PTHR46058:SF17', NULL, NULL, NULL, NULL, 'BNAA05G16600D PROTEIN', 77997),
(134272, 'PTHR46483:SF5', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1 PLIP3, CHLOROPLASTIC', 77998),
(134273, 'PTHR35164:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 77999),
(134274, 'PTHR38365:SF1', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', 78000),
(134275, 'PTHR31174:SF35', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS ABUNDANT PROTEIN D-34, PUTATIVE-RELATED', 78001),
(134276, 'PTHR31251:SF114', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 10', 78002),
(134277, 'PTHR46288:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78003),
(134278, 'PTHR11206:SF201', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 78004),
(134279, 'PTHR37465:SF1', NULL, NULL, NULL, NULL, 'YD REPEAT PROTEIN', 78005),
(134280, 'PTHR11654:SF117', NULL, NULL, NULL, NULL, 'OS07G0190650 PROTEIN', 78006),
(134281, 'PTHR35891:SF2', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBA', 78007),
(134282, 'PTHR46122:SF5', NULL, NULL, NULL, NULL, 'KELCH REPEAT F-BOX PROTEIN', 78008),
(134283, 'PTHR47979:SF25', NULL, NULL, NULL, NULL, 'BNAC01G40910D PROTEIN', 78009),
(134284, 'PTHR21077:SF5', NULL, NULL, NULL, NULL, 'METHYL METHANESULFONATE SENSITIVITY 4', 78010),
(134285, 'PTHR47956:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B10', 78011),
(134286, 'PTHR11802:SF83', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 78012),
(134287, 'PTHR12599:SF13', NULL, NULL, NULL, NULL, 'PTERIN-4-ALPHA-CARBINOLAMINE DEHYDRATASE', 78013),
(134288, 'PTHR26379:SF246', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78014),
(134289, 'PTHR31867:SF158', NULL, NULL, NULL, NULL, 'EXPANSIN-A16', 78015),
(134290, 'PTHR30128:SF56', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN', 78016),
(134291, 'PTHR33138:SF9', NULL, NULL, NULL, NULL, 'OS01G0137200 PROTEIN', 78017),
(134292, 'PTHR21645:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 78018),
(134293, 'PTHR47992:SF69', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 38-RELATED', 78019),
(134294, 'PTHR31066:SF48', NULL, NULL, NULL, NULL, 'OSJNBA0019J05.13 PROTEIN', 78020),
(134295, 'PTHR10266:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME C1-2, HEME PROTEIN, MITOCHONDRIAL ISOFORM X1', 78021),
(134296, 'PTHR42879', NULL, NULL, NULL, NULL, '3-OXOACYL-(ACYL-CARRIER-PROTEIN) REDUCTASE', 78022),
(134297, 'PTHR12939:SF6', NULL, NULL, NULL, NULL, 'DELTA-SARCOGLYCAN', 78023),
(134298, 'PTHR48010:SF22', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 78024),
(134299, 'PTHR37245', NULL, NULL, NULL, NULL, 'PAMP-INDUCED SECRETED PEPTIDE 1', 78025),
(134300, 'PTHR45669:SF45', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', 78026),
(134301, 'PTHR11537:SF262', NULL, NULL, NULL, NULL, 'PROTEIN CBR-KVS-1', 78027),
(134302, 'PTHR33021:SF315', NULL, NULL, NULL, NULL, 'OSJNBA0028I23.23 PROTEIN', 78028);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(134303, 'PTHR47990:SF161', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE 3', 78029),
(134304, 'PTHR26454:SF60', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 78030),
(134305, 'PTHR32096:SF88', NULL, NULL, NULL, NULL, 'OS09G0334500 PROTEIN', 78031),
(134306, 'PTHR11793:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 4', 78032),
(134307, 'PTHR36696', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 78033),
(134308, 'PTHR46057:SF32', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.16-LIKE PROTEIN', 78034),
(134309, 'PTHR24015:SF1767', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 78035),
(134310, 'PTHR22844:SF365', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN DCAF11/LEC14B-RELATED', 78036),
(134311, 'PTHR35097', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 78037),
(134312, 'PTHR12839:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78038),
(134313, 'PTHR45647:SF63', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 51', 78039),
(134314, 'PTHR48044:SF49', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 78040),
(134315, 'PTHR46324:SF12', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 78041),
(134316, 'PTHR37968', NULL, NULL, NULL, NULL, 'PROTEIN CBG06678', 78042),
(134317, 'PTHR12338:SF5', NULL, NULL, NULL, NULL, 'AUTOTRANSPORTER YFAL-RELATED', 78043),
(134318, 'PTHR23322:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78044),
(134319, 'PTHR10075:SF46', NULL, NULL, NULL, NULL, '2 (ZWEI) IG DOMAIN PROTEIN-RELATED', 78045),
(134320, 'PTHR24417:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE LMTK3', 78046),
(134321, 'PTHR12411:SF598', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78047),
(134322, 'PTHR31636:SF159', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 3', 78048),
(134323, 'PTHR23070:SF96', NULL, NULL, NULL, NULL, 'BNAA04G12750D PROTEIN', 78049),
(134324, 'PTHR47956:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 78050),
(134325, 'PTHR15124:SF15', NULL, NULL, NULL, NULL, 'MIGRATION AND INVASION ENHANCER 1', 78051),
(134326, 'PTHR23111:SF78', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 13B', 78052),
(134327, 'PTHR45660:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE FAMILY MEMBER SUVH2-RELATED', 78053),
(134328, 'PTHR27006:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78054),
(134329, 'PTHR33193:SF31', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 78055),
(134330, 'PTHR23073:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78056),
(134331, 'PTHR23068:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78057),
(134332, 'PTHR20961:SF88', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', 78058),
(134333, 'PTHR37714:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 78059),
(134334, 'PTHR11733:SF186', NULL, NULL, NULL, NULL, 'NEPRILYSIN 5, ISOFORM D', 78060),
(134335, 'PTHR47232:SF1', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', 78061),
(134336, 'PTHR45637:SF25', NULL, NULL, NULL, NULL, 'OS08G0491200 PROTEIN', 78062),
(134337, 'PTHR24037:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-198M17.1', 78063),
(134338, 'PTHR42833:SF7', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 78064),
(134339, 'PTHR23255:SF55', NULL, NULL, NULL, NULL, 'TGF-BETA RECEPTOR TYPE-2', 78065),
(134340, 'PTHR24361:SF831', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78066),
(134341, 'PTHR11157:SF18', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 5', 78067),
(134342, 'PTHR13999:SF8', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 2', 78068),
(134343, 'PTHR38123:SF6', NULL, NULL, NULL, NULL, 'CELL WALL SERINE-THREONINE-RICH GALACTOMANNOPROTEIN MP1 (AFU_ORTHOLOGUE AFUA_4G03240)', 78069),
(134344, 'PTHR31083:SF26', NULL, NULL, NULL, NULL, 'OS01G0975000 PROTEIN', 78070),
(134345, 'PTHR11097', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX EXONUCLEASE  RIBOSOMAL RNA PROCESSING PROTEIN', 78071),
(134346, 'PTHR30561:SF2', NULL, NULL, NULL, NULL, 'SPERMIDINE EXPORT PROTEIN MDTJ', 78072),
(134347, 'PTHR22939:SF127', NULL, NULL, NULL, NULL, 'SERINE PROTEASE HTRA2, MITOCHONDRIAL', 78073);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(134348, 'PTHR10984:SF64', NULL, NULL, NULL, NULL, 'BNAA05G20360D PROTEIN', 78074),
(134349, 'PTHR43504:SF1', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', 78075),
(134350, 'PTHR47397', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 19L', 78076),
(134351, 'PTHR11061', NULL, NULL, NULL, NULL, 'RNA M5U METHYLTRANSFERASE', 78077),
(134352, 'PTHR31769:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78078),
(134353, 'PTHR16223:SF53', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR-LIKE PROTEIN', 78079),
(134354, 'PTHR47926:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78080),
(134355, 'PTHR14939:SF5', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 22', 78081),
(134356, 'PTHR46226:SF11', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN-RELATED', 78082),
(134357, 'PTHR46024:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EGGLESS', 78083),
(134358, 'PTHR33108:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78084),
(134359, 'PTHR13710:SF134', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE Q-LIKE 3', 78085),
(134360, 'PTHR11467:SF97', NULL, NULL, NULL, NULL, 'HMG-I/Y PROTEIN HMGA', 78086),
(134361, 'PTHR31470:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78087),
(134362, 'PTHR46353:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER C2H2-TYPE/INTEGRASE DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 78088),
(134363, 'PTHR43557:SF4', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 1, MITOCHONDRIAL', 78089),
(134364, 'PTHR19876:SF42', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA', 78090),
(134365, 'PTHR31105:SF34', NULL, NULL, NULL, NULL, 'BNAC06G15920D PROTEIN', 78091),
(134366, 'PTHR45752:SF74', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 7', 78092),
(134367, 'PTHR45616:SF3', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 4', 78093),
(134368, 'PTHR33289', NULL, NULL, NULL, NULL, 'ANCHORAGE SUBUNIT, PUTATIVE-RELATED', 78094),
(134369, 'PTHR16295:SF27', NULL, NULL, NULL, NULL, 'OS03G0356652 PROTEIN', 78095),
(134370, 'PTHR22809', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-RELATED', 78096),
(134371, 'PTHR13502:SF7', NULL, NULL, NULL, NULL, 'CDC42 SMALL EFFECTOR PROTEIN 2-B', 78097),
(134372, 'PTHR11709:SF115', NULL, NULL, NULL, NULL, 'OS07G0119400 PROTEIN', 78098),
(134373, 'PTHR45778:SF13', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 78099),
(134374, 'PTHR26450:SF393', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 78100),
(134375, 'PTHR10177:SF485', NULL, NULL, NULL, NULL, 'CYCD3,3 PROTEIN', 78101),
(134376, 'PTHR36042', NULL, NULL, NULL, NULL, 'OS05G0490900 PROTEIN', 78102),
(134377, 'PTHR23501:SF157', NULL, NULL, NULL, NULL, 'MFS EFFLUX TRANSPORTER INPD-RELATED', 78103),
(134378, 'PTHR32054:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78104),
(134379, 'PTHR45651:SF25', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL-LIKE PROTEIN', 78105),
(134380, 'PTHR24286:SF261', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78106),
(134381, 'PTHR22930:SF176', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1-RELATED', 78107),
(134382, 'PTHR24637:SF306', NULL, NULL, NULL, NULL, 'COLLAGEN', 78108),
(134383, 'PTHR46351:SF4', NULL, NULL, NULL, NULL, 'OS11G0592200 PROTEIN', 78109),
(134384, 'PTHR31413:SF20', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN AFP2', 78110),
(134385, 'PTHR10795:SF571', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78111),
(134386, 'PTHR45730:SF60', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', 78112),
(134387, 'PTHR19443:SF28', NULL, NULL, NULL, NULL, 'HEXOKINASE HKDC1-RELATED', 78113),
(134388, 'PTHR11089', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN-RELATED', 78114),
(134389, 'PTHR10585:SF57', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN RETAINING RECEPTOR FAMILY PROTEIN', 78115),
(134390, 'PTHR11346:SF156', NULL, NULL, NULL, NULL, 'GALECTIN', 78116),
(134391, 'PTHR33181:SF19', NULL, NULL, NULL, NULL, 'OSJNBA0041A02.21-LIKE PROTEIN', 78117),
(134392, 'PTHR46116:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78118);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(134393, 'PTHR10540:SF14', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT F', 78119),
(134394, 'PTHR19241:SF567', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 42-RELATED', 78120),
(134395, 'PTHR12921:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-FOLD MODIFIER-CONJUGATING ENZYME 1', 78121),
(134396, 'PTHR31419', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 2', 78122),
(134397, 'PTHR12549:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUMONJI (JMJC) DOMAIN-CONTAINING PROTEIN', 78123),
(134398, 'PTHR47555', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYL TRANSFERASE COMPONENT FAMILY PROTEIN / GPI1 FAMILY PROTEIN', 78124),
(134399, 'PTHR31232:SF83', NULL, NULL, NULL, NULL, 'BNAA02G34930D PROTEIN', 78125),
(134400, 'PTHR45500:SF1', NULL, NULL, NULL, NULL, 'OS02G0202600 PROTEIN', 78126),
(134401, 'PTHR31235:SF347', NULL, NULL, NULL, NULL, 'PEROXIDASE', 78127),
(134402, 'PTHR26452:SF19', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 78128),
(134403, 'PTHR38978:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78129),
(134404, 'PTHR10177:SF479', NULL, NULL, NULL, NULL, 'CYCLIN-D4-1-LIKE', 78130),
(134405, 'PTHR24322:SF728', NULL, NULL, NULL, NULL, 'EPIDERMAL RETINOL DEHYDROGENASE 2', 78131),
(134406, 'PTHR23050:SF413', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 10', 78132),
(134407, 'PTHR24366:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78133),
(134408, 'PTHR34985:SF1', NULL, NULL, NULL, NULL, 'SLR0554 PROTEIN', 78134),
(134409, 'PTHR24052:SF8', NULL, NULL, NULL, NULL, 'NIMROD A, ISOFORM E', 78135),
(134410, 'PTHR24366:SF96', NULL, NULL, NULL, NULL, 'IG(IMMUNOGLOBULIN) AND LRR(LEUCINE RICH REPEAT) DOMAINS', 78136),
(134411, 'PTHR48001:SF14', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 78137),
(134412, 'PTHR23176:SF104', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 27', 78138),
(134413, 'PTHR13681', NULL, NULL, NULL, NULL, 'SURVIVAL OF MOTOR NEURON-RELATED-SPLICING FACTOR 30-RELATED', 78139),
(134414, 'PTHR10366:SF714', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 78140),
(134415, 'PTHR21495:SF209', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 78141),
(134416, 'PTHR33722', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 78142),
(134417, 'PTHR46685:SF1', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S15, MITOCHONDRIAL', 78143),
(134418, 'PTHR47967:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78144),
(134419, 'PTHR27005:SF266', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 78145),
(134420, 'PTHR46128:SF33', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 78146),
(134421, 'PTHR31111:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78147),
(134422, 'PTHR13596:SF12', NULL, NULL, NULL, NULL, 'OS11G0425600 PROTEIN', 78148),
(134423, 'PTHR48044:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 78149),
(134424, 'PTHR31553:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78150),
(134425, 'PTHR23055', NULL, NULL, NULL, NULL, 'CALCIUM BINDING PROTEINS', 78151),
(134426, 'PTHR42722:SF1', NULL, NULL, NULL, NULL, 'LEUCINE DEHYDROGENASE', 78152),
(134427, 'PTHR45687:SF51', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-4-RELATED', 78153),
(134428, 'PTHR13044:SF3', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-5', 78154),
(134429, 'PTHR24221:SF485', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', 78155),
(134430, 'PTHR11527:SF312', NULL, NULL, NULL, NULL, '17.1 KDA CLASS II HEAT SHOCK PROTEIN-LIKE', 78156),
(134431, 'PTHR37886:SF2', NULL, NULL, NULL, NULL, 'BNAC05G46710D PROTEIN', 78157),
(134432, 'PTHR35367:SF3', NULL, NULL, NULL, NULL, 'SCHIZONT EGRESS ANTIGEN-1', 78158),
(134433, 'PTHR47640:SF47', NULL, NULL, NULL, NULL, 'BNAA03G48370D PROTEIN', 78159),
(134434, 'PTHR10684:SF4', NULL, NULL, NULL, NULL, 'TAIMAN, ISOFORM G', 78160),
(134435, 'PTHR13754', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY PROTEIN', 78161),
(134436, 'PTHR24637:SF343', NULL, NULL, NULL, NULL, 'COLLAGEN', 78162),
(134437, 'PTHR34838', NULL, NULL, NULL, NULL, 'OS08G0142100 PROTEIN-RELATED', 78163);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(134438, 'PTHR31867:SF173', NULL, NULL, NULL, NULL, 'EXPANSIN', 78164),
(134439, 'PTHR12210:SF140', NULL, NULL, NULL, NULL, 'CTD NUCLEAR ENVELOPE PHOSPHATASE 1', 78165),
(134440, 'PTHR24343:SF133', NULL, NULL, NULL, NULL, 'NUAK FAMILY SNF1-LIKE KINASE 2', 78166),
(134441, 'PTHR10302:SF0', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN, MITOCHONDRIAL', 78167),
(134442, 'PTHR23057:SF1', NULL, NULL, NULL, NULL, 'JAZF ZINC FINGER 1A', 78168),
(134443, 'PTHR22907:SF47', NULL, NULL, NULL, NULL, 'CUTICLIN-RELATED', 78169),
(134444, 'PTHR33159:SF37', NULL, NULL, NULL, NULL, 'NITRATE-INDUCED NOI PROTEIN, EXPRESSED', 78170),
(134445, 'PTHR30502:SF5', NULL, NULL, NULL, NULL, '2-KETO-3-DEOXY-L-RHAMNONATE ALDOLASE', 78171),
(134446, 'PTHR10641:SF1037', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB10', 78172),
(134447, 'PTHR43540:SF3', NULL, NULL, NULL, NULL, 'ENTEROBACTIN SYNTHASE COMPONENT B', 78173),
(134448, 'PTHR43497:SF1', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 12', 78174),
(134449, 'PTHR24123:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78175),
(134450, 'PTHR10953:SF216', NULL, NULL, NULL, NULL, 'NEDD8-ACTIVATING ENZYME E1 REGULATORY SUBUNIT', 78176),
(134451, 'PTHR43277:SF5', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE-LIKE ISOFORM X1', 78177),
(134452, 'PTHR10077', NULL, NULL, NULL, NULL, 'CALPASTATIN', 78178),
(134453, 'PTHR48078:SF1', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE', 78179),
(134454, 'PTHR33098:SF50', NULL, NULL, NULL, NULL, 'PATHOGEN-ASSOCIATED MOLECULAR PATTERNS-INDUCED PROTEIN A70', 78180),
(134455, 'PTHR11348:SF34', NULL, NULL, NULL, NULL, 'EPIDERMAL CELL SURFACE RECEPTOR-RELATED', 78181),
(134456, 'PTHR14074:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78182),
(134457, 'PTHR31319:SF74', NULL, NULL, NULL, NULL, 'OS01G0835700 PROTEIN', 78183),
(134458, 'PTHR33127:SF43', NULL, NULL, NULL, NULL, 'OS06G0135220 PROTEIN', 78184),
(134459, 'PTHR22601:SF69', NULL, NULL, NULL, NULL, 'BNAA09G45740D PROTEIN', 78185),
(134460, 'PTHR12506:SF49', NULL, NULL, NULL, NULL, 'ZINC FINGER C-X8-C-X5-C-X3-H TYPE FAMILY PROTEIN-RELATED', 78186),
(134461, 'PTHR24220:SF612', NULL, NULL, NULL, NULL, 'FE(3+) IONS IMPORT ATP-BINDING PROTEIN FBPC', 78187),
(134462, 'PTHR24361:SF749', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BLUS1-LIKE', 78188),
(134463, 'PTHR37435:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG14643', 78189),
(134464, 'PTHR31390:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78190),
(134465, 'PTHR33136:SF83', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR-RELATED', 78191),
(134466, 'PTHR45651:SF53', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 16-RELATED', 78192),
(134467, 'PTHR23087:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78193),
(134468, 'PTHR34397:SF17', NULL, NULL, NULL, NULL, 'OS08G0290200 PROTEIN', 78194),
(134469, 'PTHR31235:SF338', NULL, NULL, NULL, NULL, 'PEROXIDASE 71', 78195),
(134470, 'PTHR11223:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 78196),
(134471, 'PTHR24349:SF366', NULL, NULL, NULL, NULL, 'BNAA09G47040D PROTEIN', 78197),
(134472, 'PTHR10286:SF71', NULL, NULL, NULL, NULL, 'INORGANIC DIPHOSPHATASE', 78198),
(134473, 'PTHR33413:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78199),
(134474, 'PTHR42749:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78200),
(134475, 'PTHR10137:SF7', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C', 78201),
(134476, 'PTHR28457', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 189', 78202),
(134477, 'PTHR48217:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78203),
(134478, 'PTHR31100:SF55', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 27', 78204),
(134479, 'PTHR32208:SF66', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN ARB_07867-LIKE ISOFORM X2', 78205),
(134480, 'PTHR24282:SF216', NULL, NULL, NULL, NULL, 'SECOLOGANIN SYNTHASE', 78206),
(134481, 'PTHR40635', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 78207),
(134482, 'PTHR34205', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 78208);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(134483, 'PTHR21631', NULL, NULL, NULL, NULL, 'ISOCITRATE LYASE/MALATE SYNTHASE', 78209),
(134484, 'PTHR48043', NULL, NULL, NULL, NULL, 'EG:EG0003.4 PROTEIN-RELATED', 78210),
(134485, 'PTHR11206:SF302', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 78211),
(134486, 'PTHR11524:SF48', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7', 78212),
(134487, 'PTHR36043:SF1', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-INDEPENDENT PHOSPHOGLYCERATE MUTASE', 78213),
(134488, 'PTHR43490:SF74', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE ISOFORM X1', 78214),
(134489, 'PTHR45669:SF29', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE', 78215),
(134490, 'PTHR46368:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78216),
(134491, 'PTHR47972:SF42', NULL, NULL, NULL, NULL, 'CALPONIN-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 78217),
(134492, 'PTHR21485:SF3', NULL, NULL, NULL, NULL, 'N-ACYLNEURAMINATE CYTIDYLYLTRANSFERASE', 78218),
(134493, 'PTHR10666:SF277', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-C', 78219),
(134494, 'PTHR46781:SF6', NULL, NULL, NULL, NULL, 'ALPHA 1,4-GLYCOSYLTRANSFERASE FAMILY PROTEIN', 78220),
(134495, 'PTHR10769:SF9', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S28E-RELATED', 78221),
(134496, 'PTHR12290:SF32', NULL, NULL, NULL, NULL, 'CORNICHON-RELATED', 78222),
(134497, 'PTHR44329:SF86', NULL, NULL, NULL, NULL, 'PROTEIN KINASE', 78223),
(134498, 'PTHR31072:SF163', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP FAMILY-RELATED', 78224),
(134499, 'PTHR10605:SF65', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE 3-O SULFOTRANSFERASE-B, ISOFORM A', 78225),
(134500, 'PTHR11733:SF216', NULL, NULL, NULL, NULL, 'NEPRILYSIN-1', 78226),
(134501, 'PTHR24298:SF834', NULL, NULL, NULL, NULL, 'TRYPTOPHAN N-MONOOXYGENASE 1', 78227),
(134502, 'PTHR23295:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 5', 78228),
(134503, 'PTHR26453:SF9', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10A4', 78229),
(134504, 'PTHR31346:SF28', NULL, NULL, NULL, NULL, 'BNACNNG17940D PROTEIN', 78230),
(134505, 'PTHR10256:SF1', NULL, NULL, NULL, NULL, 'SELENIDE, WATER DIKINASE 2', 78231),
(134506, 'PTHR43570:SF5', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 78232),
(134507, 'PTHR33312:SF27', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 4-RELATED', 78233),
(134508, 'PTHR32100:SF65', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE DES3', 78234),
(134509, 'PTHR23428:SF220', NULL, NULL, NULL, NULL, 'HISTONE H2B.4', 78235),
(134510, 'PTHR34228:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG09474', 78236),
(134511, 'PTHR12262:SF14', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 9-LIKE', 78237),
(134512, 'PTHR11280:SF8', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-6-PHOSPHATE ISOMERASE 1', 78238),
(134513, 'PTHR11011:SF88', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 78239),
(134514, 'PTHR24281:SF206', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', 78240),
(134515, 'PTHR35164:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 78241),
(134516, 'PTHR47293:SF31', NULL, NULL, NULL, NULL, 'BNAC03G78030D PROTEIN', 78242),
(134517, 'PTHR19965:SF26', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4B', 78243),
(134518, 'PTHR12549:SF58', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUMONJI (JMJC) DOMAIN-CONTAINING PROTEIN', 78244),
(134519, 'PTHR23202:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78245),
(134520, 'PTHR37406:SF1', NULL, NULL, NULL, NULL, 'T4-TYPE LYSOZYME 1-RELATED', 78246),
(134521, 'PTHR31948:SF64', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 6', 78247),
(134522, 'PTHR13367:SF16', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE TRABID', 78248),
(134523, 'PTHR21320', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX11-RELATED', 78249),
(134524, 'PTHR31082', NULL, NULL, NULL, NULL, 'PHEROMONE-REGULATED MEMBRANE PROTEIN 10', 78250),
(134525, 'PTHR27000:SF720', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 78251),
(134526, 'PTHR31645:SF44', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL2', 78252);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(134527, 'PTHR45821:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78253),
(134528, 'PTHR13789:SF215', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01600)-RELATED', 78254),
(134529, 'PTHR15286:SF1', NULL, NULL, NULL, NULL, 'FI07216P-RELATED', 78255),
(134530, 'PTHR10558:SF2', NULL, NULL, NULL, NULL, 'SOMATOSTATIN', 78256),
(134531, 'PTHR11827:SF96', NULL, NULL, NULL, NULL, 'ZGC:153039', 78257),
(134532, 'PTHR43580:SF7', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE GLYR1-LIKE PROTEIN-RELATED', 78258),
(134533, 'PTHR13287:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78259),
(134534, 'PTHR45766', NULL, NULL, NULL, NULL, 'DNA ANNEALING HELICASE AND ENDONUCLEASE ZRANB3 FAMILY MEMBER', 78260),
(134535, 'PTHR21310:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78261),
(134536, 'PTHR34606:SF10', NULL, NULL, NULL, NULL, 'BON DOMAIN-CONTAINING PROTEIN', 78262),
(134537, 'PTHR33130:SF57', NULL, NULL, NULL, NULL, 'BNAANNG11350D PROTEIN', 78263),
(134538, 'PTHR19370:SF201', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', 78264),
(134539, 'PTHR24006:SF785', NULL, NULL, NULL, NULL, 'BNAA06G15750D PROTEIN', 78265),
(134540, 'PTHR42758', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL PHOSPHOLIPASE C', 78266),
(134541, 'PTHR42681', NULL, NULL, NULL, NULL, 'MALONYL-COA-ACYL CARRIER PROTEIN TRANSACYLASE, MITOCHONDRIAL', 78267),
(134542, 'PTHR15092:SF22', NULL, NULL, NULL, NULL, 'POLY(A)-SPECIFIC RIBONUCLEASE PNLDC1', 78268),
(134543, 'PTHR38784', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 78269),
(134544, 'PTHR11361:SF125', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN MUTS2', 78270),
(134545, 'PTHR19850:SF27', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(T) SUBUNIT BETA-2', 78271),
(134546, 'PTHR35735:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78272),
(134547, 'PTHR31376:SF95', NULL, NULL, NULL, NULL, 'BNAC08G11270D PROTEIN', 78273),
(134548, 'PTHR35804', NULL, NULL, NULL, NULL, 'LYSINE EXPORTER LYSO', 78274),
(134549, 'PTHR38149:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78275),
(134550, 'PTHR22589:SF14', NULL, NULL, NULL, NULL, 'CHOLINE O-ACETYLTRANSFERASE', 78276),
(134551, 'PTHR46153:SF16', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 78277),
(134552, 'PTHR47069:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78278),
(134553, 'PTHR22938', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 598', 78279),
(134554, 'PTHR12716:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIE SUBUNIT BETA', 78280),
(134555, 'PTHR24234:SF5', NULL, NULL, NULL, NULL, 'OVARIAN CANCER G-PROTEIN COUPLED RECEPTOR 1', 78281),
(134556, 'PTHR31234:SF47', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA-14, IMMUNOGLOBULIN-LIKE FOLD PROTEIN-RELATED', 78282),
(134557, 'PTHR34126:SF1', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 22', 78283),
(134558, 'PTHR22847:SF626', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 38', 78284),
(134559, 'PTHR33563:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78285),
(134560, 'PTHR10795:SF425', NULL, NULL, NULL, NULL, 'OS04G0430700 PROTEIN', 78286),
(134561, 'PTHR10177:SF338', NULL, NULL, NULL, NULL, 'CYCLIN-B2-2', 78287),
(134562, 'PTHR31893:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-13P1.4', 78288),
(134563, 'PTHR47879:SF4', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B22', 78289),
(134564, 'PTHR19923', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEINPRL1/PRL2-RELATED', 78290),
(134565, 'PTHR10537', NULL, NULL, NULL, NULL, 'DNA PRIMASE LARGE SUBUNIT', 78291),
(134566, 'PTHR48018:SF159', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 78292),
(134567, 'PTHR10641:SF1280', NULL, NULL, NULL, NULL, 'BNAA02G29490D PROTEIN', 78293),
(134568, 'PTHR10078:SF28', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR ANTAGONIST PROTEIN', 78294),
(134569, 'PTHR11364:SF29', NULL, NULL, NULL, NULL, 'THIOSULFATE/3-MERCAPTOPYRUVATE SULFURTRANSFERASE 1, MITOCHONDRIAL-LIKE', 78295),
(134570, 'PTHR28629:SF4', NULL, NULL, NULL, NULL, 'TRIOKINASE/FMN CYCLASE', 78296),
(134571, 'PTHR47974:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 78297);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(134572, 'PTHR11439:SF351', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', 78298),
(134573, 'PTHR31052:SF22', NULL, NULL, NULL, NULL, 'BNAA01G36400D PROTEIN', 78299),
(134574, 'PTHR47273:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78300),
(134575, 'PTHR33675:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78301),
(134576, 'PTHR43528:SF8', NULL, NULL, NULL, NULL, 'BLR0239 PROTEIN', 78302),
(134577, 'PTHR23262:SF145', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 1-1', 78303),
(134578, 'PTHR43630:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', 78304),
(134579, 'PTHR45560:SF3', NULL, NULL, NULL, NULL, 'OS04G0163150 PROTEIN', 78305),
(134580, 'PTHR47977:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78306),
(134581, 'PTHR10245:SF120', NULL, NULL, NULL, NULL, 'MULTIPROTEIN-BRIDGING FACTOR 1B-LIKE', 78307),
(134582, 'PTHR31639:SF140', NULL, NULL, NULL, NULL, 'BNAC04G06000D PROTEIN', 78308),
(134583, 'PTHR35495:SF1', NULL, NULL, NULL, NULL, 'OS06G0679600 PROTEIN', 78309),
(134584, 'PTHR31549:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78310),
(134585, 'PTHR33353:SF3', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE II', 78311),
(134586, 'PTHR23172:SF77', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', 78312),
(134587, 'PTHR44281:SF2', NULL, NULL, NULL, NULL, 'SPINDLE ASSEMBLY ABNORMAL PROTEIN 6 HOMOLOG', 78313),
(134588, 'PTHR31358:SF37', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 4', 78314),
(134589, 'PTHR12411:SF781', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78315),
(134590, 'PTHR13169:SF10', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN 1', 78316),
(134591, 'PTHR11417:SF33', NULL, NULL, NULL, NULL, 'PROLACTIN 2', 78317),
(134592, 'PTHR22957:SF562', NULL, NULL, NULL, NULL, 'RAB-GTPASE-TBC DOMAIN-CONTAINING PROTEIN-RELATED', 78318),
(134593, 'PTHR24068:SF149', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 J2-LIKE', 78319),
(134594, 'PTHR45974:SF161', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN', 78320),
(134595, 'PTHR11525:SF13', NULL, NULL, NULL, NULL, 'FARNESYL PYROPHOSPHATE SYNTHASE 2-LIKE ISOFORM X1', 78321),
(134596, 'PTHR11654:SF385', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.16', 78322),
(134597, 'PTHR31235:SF316', NULL, NULL, NULL, NULL, 'PEROXIDASE', 78323),
(134598, 'PTHR22981:SF44', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRATE DEHYDROGENASE', 78324),
(134599, 'PTHR21143:SF119', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR 58A-RELATED', 78325),
(134600, 'PTHR31284:SF7', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-LIKE PROTEIN', 78326),
(134601, 'PTHR13890:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78327),
(134602, 'PTHR44591:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PILG', 78328),
(134603, 'PTHR13826', NULL, NULL, NULL, NULL, 'INTESTINAL TREFOIL FACTOR-RELATED', 78329),
(134604, 'PTHR11071:SF494', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-RELATED', 78330),
(134605, 'PTHR42898:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78331),
(134606, 'PTHR47248:SF8', NULL, NULL, NULL, NULL, 'BPTI/KUNITZ INHIBITOR DOMAIN-CONTAINING PROTEIN C02F12.5', 78332),
(134607, 'PTHR12313:SF66', NULL, NULL, NULL, NULL, 'OSJNBA0074L08.21 PROTEIN', 78333),
(134608, 'PTHR47665:SF1', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE-LIKE PROTEIN', 78334),
(134609, 'PTHR11814:SF244', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 4.1-RELATED', 78335),
(134610, 'PTHR33640', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 78336),
(134611, 'PTHR45228:SF1', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE TM_0186', 78337),
(134612, 'PTHR11062:SF77', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY EXOSTOSIN PROTEIN', 78338),
(134613, 'PTHR30419:SF10', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 78339),
(134614, 'PTHR47926:SF8', NULL, NULL, NULL, NULL, 'BNAC07G33470D PROTEIN', 78340),
(134615, 'PTHR46137:SF5', NULL, NULL, NULL, NULL, 'LECITHIN RETINOL ACYLTRANSFERASE-LIKE', 78341),
(134616, 'PTHR34814:SF1', NULL, NULL, NULL, NULL, 'NITROSOGUANIDINE RESISTANCE PROTEIN SNG1', 78342);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(134617, 'PTHR16517:SF24', NULL, NULL, NULL, NULL, 'TUBBY-RELATED PROTEIN 2', 78343),
(134618, 'PTHR10624:SF8', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 3', 78344),
(134619, 'PTHR42970:SF1', NULL, NULL, NULL, NULL, 'PECTATE LYASE C-RELATED', 78345),
(134620, 'PTHR13793:SF147', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATX2', 78346),
(134621, 'PTHR23500:SF578', NULL, NULL, NULL, NULL, 'BNAA09G47680D PROTEIN', 78347),
(134622, 'PTHR24637:SF278', NULL, NULL, NULL, NULL, 'COLLAGEN', 78348),
(134623, 'PTHR31989:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78349),
(134624, 'PTHR23166:SF4', NULL, NULL, NULL, NULL, 'FILAMIN A-INTERACTING PROTEIN 1-LIKE', 78350),
(134625, 'PTHR34676:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', 78351),
(134626, 'PTHR10676:SF386', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN-LIKE PROTEIN PF11_0240', 78352),
(134627, 'PTHR12358:SF40', NULL, NULL, NULL, NULL, 'SPHINGOSINE KINASE 2', 78353),
(134628, 'PTHR31802:SF19', NULL, NULL, NULL, NULL, 'BNAC09G36350D PROTEIN', 78354),
(134629, 'PTHR10906:SF33', NULL, NULL, NULL, NULL, 'BNACNNG56650D PROTEIN', 78355),
(134630, 'PTHR25466', NULL, NULL, NULL, NULL, 'T-LYMPHOCYTE ACTIVATION ANTIGEN', 78356),
(134631, 'PTHR11062:SF224', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 78357),
(134632, 'PTHR19303:SF23', NULL, NULL, NULL, NULL, 'POGO TRANSPOSABLE ELEMENT WITH KRAB DOMAIN', 78358),
(134633, 'PTHR10909:SF226', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 78359),
(134634, 'PTHR24377:SF822', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2210010B09, ISOFORM CRA_A', 78360),
(134635, 'PTHR12537:SF151', NULL, NULL, NULL, NULL, 'PUMILIO 4-RELATED', 78361),
(134636, 'PTHR13533:SF23', NULL, NULL, NULL, NULL, 'OS05G0582100 PROTEIN', 78362),
(134637, 'PTHR10783:SF35', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 1', 78363),
(134638, 'PTHR31580:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78364),
(134639, 'PTHR35291:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 78365),
(134640, 'PTHR30222:SF12', NULL, NULL, NULL, NULL, 'NORSPERMIDINE SENSOR', 78366),
(134641, 'PTHR13742:SF31', NULL, NULL, NULL, NULL, 'BNACNNG22930D PROTEIN', 78367),
(134642, 'PTHR11843', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 78368),
(134643, 'PTHR48109', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE (QUINONE), MITOCHONDRIAL-RELATED', 78369),
(134644, 'PTHR11566:SF51', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED GTP-BINDING PROTEIN MX1', 78370),
(134645, 'PTHR24070:SF388', NULL, NULL, NULL, NULL, 'GTPASE KRAS', 78371),
(134646, 'PTHR11909:SF369', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE PROTEIN', 78372),
(134647, 'PTHR11886:SF84', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN 1, CYTOPLASMIC', 78373),
(134648, 'PTHR47988:SF5', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 78374),
(134649, 'PTHR10288:SF282', NULL, NULL, NULL, NULL, 'IGF-II MRNA-BINDING PROTEIN, ISOFORM L', 78375),
(134650, 'PTHR11644:SF21', NULL, NULL, NULL, NULL, 'CYTIDINE DEAMINASE 2-RELATED', 78376),
(134651, 'PTHR45762:SF1', NULL, NULL, NULL, NULL, 'SPERMATID PERINUCLEAR RNA-BINDING PROTEIN', 78377),
(134652, 'PTHR25952:SF243', NULL, NULL, NULL, NULL, 'SI:CH211-149K12.3', 78378),
(134653, 'PTHR24031:SF684', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', 78379),
(134654, 'PTHR33248:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78380),
(134655, 'PTHR32212:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78381),
(134656, 'PTHR10663:SF137', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 1', 78382),
(134657, 'PTHR34776:SF1', NULL, NULL, NULL, NULL, 'F17F16.3 PROTEIN', 78383),
(134658, 'PTHR34491:SF25', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 78384),
(134659, 'PTHR47488:SF7', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 78385),
(134660, 'PTHR22835:SF516', NULL, NULL, NULL, NULL, 'ACETYLAJMALAN ESTERASE-LIKE', 78386),
(134661, 'PTHR33405:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78387);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(134662, 'PTHR15535:SF24', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE DOMAIN-CONTAINING PROTEIN 17B', 78388),
(134663, 'PTHR15571:SF2', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 4', 78389),
(134664, 'PTHR43539:SF72', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 78390),
(134665, 'PTHR32133:SF325', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 78391),
(134666, 'PTHR33731', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 78392),
(134667, 'PTHR24559:SF322', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE (REVERSE TRANSCRIPTASE), RIBONUCLEASE H-LIKE PROTEIN', 78393),
(134668, 'PTHR30154:SF20', NULL, NULL, NULL, NULL, 'LEUCINE-RESPONSIVE REGULATORY PROTEIN', 78394),
(134669, 'PTHR31207:SF34', NULL, NULL, NULL, NULL, 'BNAA01G30690D PROTEIN', 78395),
(134670, 'PTHR38622', NULL, NULL, NULL, NULL, 'PROTEIN CBG07046', 78396),
(134671, 'PTHR31307:SF45', NULL, NULL, NULL, NULL, 'OS09G0558200 PROTEIN', 78397),
(134672, 'PTHR48065:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78398),
(134673, 'PTHR46485:SF5', NULL, NULL, NULL, NULL, 'CENTER DIVIDER, ISOFORM A', 78399),
(134674, 'PTHR10579:SF131', NULL, NULL, NULL, NULL, 'T6D22.13', 78400),
(134675, 'PTHR15012:SF35', NULL, NULL, NULL, NULL, 'PROTEIN SHROOM4', 78401),
(134676, 'PTHR11866:SF14', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN D2 RECEPTOR', 78402),
(134677, 'PTHR46655:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATXR3', 78403),
(134678, 'PTHR31517:SF39', NULL, NULL, NULL, NULL, 'PEROXIDASE 35-RELATED', 78404),
(134679, 'PTHR43214:SF18', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE RESPONSE REGULATOR PROTEIN NARP', 78405),
(134680, 'PTHR22917:SF1', NULL, NULL, NULL, NULL, 'PROTEOGLYCAN 4', 78406),
(134681, 'PTHR12482:SF55', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', 78407),
(134682, 'PTHR13326:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78408),
(134683, 'PTHR17314', NULL, NULL, NULL, NULL, 'REGULATED ENDOCRINE SPECIFIC PROTEIN 18', 78409),
(134684, 'PTHR31304:SF10', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 42', 78410),
(134685, 'PTHR45784', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 20 MEMBER A-RELATED', 78411),
(134686, 'PTHR34401', NULL, NULL, NULL, NULL, 'PROTEIN CBG12388-RELATED', 78412),
(134687, 'PTHR11614:SF157', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 78413),
(134688, 'PTHR45673:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2B CATALYTIC SUBUNIT 1-RELATED', 78414),
(134689, 'PTHR45660:SF31', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH5-LIKE ISOFORM X1', 78415),
(134690, 'PTHR34267:SF1', NULL, NULL, NULL, NULL, 'OS11G0161033 PROTEIN', 78416),
(134691, 'PTHR12313:SF63', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', 78417),
(134692, 'PTHR31072:SF128', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CYCLOIDEA-LIKE', 78418),
(134693, 'PTHR31746:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 229B', 78419),
(134694, 'PTHR31916:SF15', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE D-RELATED', 78420),
(134695, 'PTHR26451:SF897', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78421),
(134696, 'PTHR47992:SF140', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 69-RELATED', 78422),
(134697, 'PTHR46617', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN G1', 78423),
(134698, 'PTHR21139:SF27', NULL, NULL, NULL, NULL, 'OS09G0535000 PROTEIN', 78424),
(134699, 'PTHR35285:SF1', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 4-PHOSPHATE CYTIDYLYLTRANSFERASE', 78425),
(134700, 'PTHR11871:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B ALPHA ISOFORM', 78426),
(134701, 'PTHR11097:SF26', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP45A-LIKE', 78427),
(134702, 'PTHR48048:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 78428),
(134703, 'PTHR21029:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 9-BINDING PROTEIN', 78429),
(134704, 'PTHR33738:SF18', NULL, NULL, NULL, NULL, 'BNACNNG26020D PROTEIN', 78430);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(134705, 'PTHR31992:SF135', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN', 78431),
(134706, 'PTHR13533:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLNEURAMINATE 9-O-ACETYLTRANSFERASE', 78432),
(134707, 'PTHR48013:SF12', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 6', 78433),
(134708, 'PTHR24343:SF303', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE CATALYTIC SUBUNIT ALPHA-2', 78434),
(134709, 'PTHR31235:SF288', NULL, NULL, NULL, NULL, 'PEROXIDASE', 78435),
(134710, 'PTHR27007:SF310', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', 78436),
(134711, 'PTHR21364:SF2', NULL, NULL, NULL, NULL, 'GENERAL ODORANT-BINDING PROTEIN 19A', 78437),
(134712, 'PTHR48092:SF7', NULL, NULL, NULL, NULL, 'STEROID HORMONE RECEPTOR ERR2', 78438),
(134713, 'PTHR21351', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME PROTEIN 5', 78439),
(134714, 'PTHR47372:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78440),
(134715, 'PTHR15710:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78441),
(134716, 'PTHR10545:SF55', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE NATA1-LIKE-RELATED', 78442),
(134717, 'PTHR31282:SF130', NULL, NULL, NULL, NULL, 'OS03G0798500 PROTEIN', 78443),
(134718, 'PTHR12210:SF139', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN RNA POLYMERASE II POLYPEPTIDE A SMALL PHOSPHATASE 1', 78444),
(134719, 'PTHR23501:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN HSRA-RELATED', 78445),
(134720, 'PTHR31818:SF16', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR SPECIFIC 17', 78446),
(134721, 'PTHR19375:SF101', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 8', 78447),
(134722, 'PTHR10219:SF90', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 8', 78448),
(134723, 'PTHR24305:SF160', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 78449),
(134724, 'PTHR34774:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78450),
(134725, 'PTHR43163:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSPORT SYSTEM PERMEASE PROTEIN GSIC', 78451),
(134726, 'PTHR31685', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_6G12730)-RELATED', 78452),
(134727, 'PTHR12547:SF124', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 52', 78453),
(134728, 'PTHR43002:SF3', NULL, NULL, NULL, NULL, 'ISOAMYLASE 3, CHLOROPLASTIC', 78454),
(134729, 'PTHR35136', NULL, NULL, NULL, NULL, 'CYCLOEUCALENOL CYCLOISOMERASE', 78455),
(134730, 'PTHR22603:SF44', NULL, NULL, NULL, NULL, 'CHKA PROTEIN', 78456),
(134731, 'PTHR47972:SF35', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14Q', 78457),
(134732, 'PTHR45824:SF9', NULL, NULL, NULL, NULL, 'BNAA09G24890D PROTEIN', 78458),
(134733, 'PTHR10589:SF29', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 78459),
(134734, 'PTHR32096:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78460),
(134735, 'PTHR40064:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 78461),
(134736, 'PTHR16529:SF6', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 4', 78462),
(134737, 'PTHR13140:SF277', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IB', 78463),
(134738, 'PTHR31072:SF88', NULL, NULL, NULL, NULL, 'OS08G0432300 PROTEIN', 78464),
(134739, 'PTHR19924:SF29', NULL, NULL, NULL, NULL, 'AND WD DOMAIN PROTEIN, PUTATIVE-RELATED', 78465),
(134740, 'PTHR23236:SF22', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN II', 78466),
(134741, 'PTHR33377:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78467),
(134742, 'PTHR12210:SF148', NULL, NULL, NULL, NULL, 'C-TERMINAL DOMAIN SMALL PHOSPHATASE-RELATED', 78468),
(134743, 'PTHR31235:SF312', NULL, NULL, NULL, NULL, 'CATIONIC PEROXIDASE SPC4', 78469),
(134744, 'PTHR48001', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 78470),
(134745, 'PTHR31677:SF98', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF091', 78471),
(134746, 'PTHR45908:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG13892', 78472),
(134747, 'PTHR45974:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78473);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(134748, 'PTHR32054:SF30', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT-LIKE 3', 78474),
(134749, 'PTHR36834:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 78475),
(134750, 'PTHR11351:SF76', NULL, NULL, NULL, NULL, 'BNAC05G37420D PROTEIN', 78476),
(134751, 'PTHR36151', NULL, NULL, NULL, NULL, 'BLR2777 PROTEIN', 78477),
(134752, 'PTHR33264:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78478),
(134753, 'PTHR43272:SF79', NULL, NULL, NULL, NULL, 'OS06G0158000 PROTEIN', 78479),
(134754, 'PTHR30126:SF77', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 78480),
(134755, 'PTHR48041:SF5', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 28', 78481),
(134756, 'PTHR24298:SF399', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 78482),
(134757, 'PTHR45647:SF66', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 57-RELATED', 78483),
(134758, 'PTHR15135:SF2', NULL, NULL, NULL, NULL, 'SH3 AND CYSTEINE-RICH DOMAIN-CONTAINING PROTEIN 3', 78484),
(134759, 'PTHR15495:SF7', NULL, NULL, NULL, NULL, 'GPI INOSITOL-DEACYLASE', 78485),
(134760, 'PTHR21646:SF20', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 43', 78486),
(134761, 'PTHR46313:SF1', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', 78487),
(134762, 'PTHR47596:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78488),
(134763, 'PTHR10782:SF83', NULL, NULL, NULL, NULL, 'BNAA06G38840D PROTEIN', 78489),
(134764, 'PTHR11746:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78490),
(134765, 'PTHR42918:SF5', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE, MITOCHONDRIAL', 78491),
(134766, 'PTHR34569:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78492),
(134767, 'PTHR32295:SF176', NULL, NULL, NULL, NULL, 'BNAA04G25340D PROTEIN', 78493),
(134768, 'PTHR24390:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78494),
(134769, 'PTHR21228:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78495),
(134770, 'PTHR33048:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78496),
(134771, 'PTHR10366:SF729', NULL, NULL, NULL, NULL, 'VESTITONE REDUCTASE', 78497),
(134772, 'PTHR11685:SF339', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 78498),
(134773, 'PTHR48070:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78499),
(134774, 'PTHR24055:SF473', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 78500),
(134775, 'PTHR11205:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78501),
(134776, 'PTHR22414:SF0', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER PROTEIN 2', 78502),
(134777, 'PTHR48024:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78503),
(134778, 'PTHR46821', NULL, NULL, NULL, NULL, 'OS07G0586332 PROTEIN', 78504),
(134779, 'PTHR15721:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TALPID3', 78505),
(134780, 'PTHR47637', NULL, NULL, NULL, NULL, 'CHAPERONE SURA', 78506),
(134781, 'PTHR11850:SF314', NULL, NULL, NULL, NULL, 'HOMEOBOX DOMAIN, POX DOMAIN-CONTAINING PROTEIN-RELATED', 78507),
(134782, 'PTHR14964:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78508),
(134783, 'PTHR33624:SF17', NULL, NULL, NULL, NULL, 'VQ MOTIF PROTEIN', 78509),
(134784, 'PTHR42871:SF1', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', 78510),
(134785, 'PTHR13914:SF6', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE', 78511),
(134786, 'PTHR31062:SF129', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 78512),
(134787, 'PTHR33091:SF84', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR I-A', 78513),
(134788, 'PTHR19343:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78514),
(134789, 'PTHR24347:SF197', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE 1', 78515),
(134790, 'PTHR23001:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78516),
(134791, 'PTHR33442:SF1', NULL, NULL, NULL, NULL, 'TRANS-3-HYDROXY-L-PROLINE DEHYDRATASE', 78517),
(134792, 'PTHR31086:SF80', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER-RELATED', 78518),
(134793, 'PTHR45676:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78519);
INSERT INTO "PUBLIC"."MODEL" VALUES
(134794, 'PTHR11177:SF361', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 78520),
(134795, 'PTHR11954:SF15', NULL, NULL, NULL, NULL, 'MIF (MACROPHAGE MIGRATION INHIBITORY FACTOR) RELATED', 78521),
(134796, 'PTHR31374:SF218', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71-LIKE', 78522),
(134797, 'PTHR31374:SF316', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 6B-LIKE', 78523),
(134798, 'PTHR26374', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT5', 78524),
(134799, 'PTHR42693:SF27', NULL, NULL, NULL, NULL, 'ARYLSULFATASE B [PRECURSOR]', 78525),
(134800, 'PTHR11579:SF26', NULL, NULL, NULL, NULL, 'L-ISOASPARTATE METHYLTRANSFERASE', 78526),
(134801, 'PTHR24399:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 32', 78527),
(134802, 'PTHR47972:SF20', NULL, NULL, NULL, NULL, 'DI-GLUCOSE BINDING WITH KINESIN MOTOR DOMAIN-LIKE PROTEIN', 78528),
(134803, 'PTHR33048:SF96', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 78529),
(134804, 'PTHR19971:SF6', NULL, NULL, NULL, NULL, 'SIGNAL-REGULATORY PROTEIN GAMMA', 78530),
(134805, 'PTHR34124:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78531),
(134806, 'PTHR24257:SF12', NULL, NULL, NULL, NULL, 'ZGC:154142', 78532),
(134807, 'PTHR31421', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 78533),
(134808, 'PTHR12532:SF0', NULL, NULL, NULL, NULL, 'TRANSLATIONAL ACTIVATOR OF CYTOCHROME C OXIDASE 1', 78534),
(134809, 'PTHR34780:SF7', NULL, NULL, NULL, NULL, 'BNAC02G17680D PROTEIN', 78535),
(134810, 'PTHR41686', NULL, NULL, NULL, NULL, 'MYOMIXER', 78536),
(134811, 'PTHR11705:SF71', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE A2', 78537),
(134812, 'PTHR31985:SF169', NULL, NULL, NULL, NULL, 'FACTOR TINY, PUTATIVE-RELATED', 78538),
(134813, 'PTHR35491:SF6', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', 78539),
(134814, 'PTHR36808', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ATRX-LIKE PROTEIN', 78540),
(134815, 'PTHR10920:SF23', NULL, NULL, NULL, NULL, 'BNAA08G30800D PROTEIN', 78541),
(134816, 'PTHR48041:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78542),
(134817, 'PTHR32552:SF74', NULL, NULL, NULL, NULL, 'FHUE RECEPTOR', 78543),
(134818, 'PTHR47067:SF11', NULL, NULL, NULL, NULL, 'BNAC07G13330D PROTEIN', 78544),
(134819, 'PTHR31089:SF33', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.3', 78545),
(134820, 'PTHR45615:SF15', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN 7-RELATED', 78546),
(134821, 'PTHR31610', NULL, NULL, NULL, NULL, 'SLR0360 PROTEIN', 78547),
(134822, 'PTHR24298:SF692', NULL, NULL, NULL, NULL, 'OS10G0515200 PROTEIN', 78548),
(134823, 'PTHR12111:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78549),
(134824, 'PTHR33471:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZN PROTEASES-LIKE PROTEIN', 78550),
(134825, 'PTHR47995:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78551),
(134826, 'PTHR10666:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78552),
(134827, 'PTHR13878:SF112', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 7', 78553),
(134828, 'PTHR43601:SF24', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 1-1, CHLOROPLASTIC', 78554),
(134829, 'PTHR11604:SF51', NULL, NULL, NULL, NULL, 'PROFILIN-A', 78555),
(134830, 'PTHR42730', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE SYNTHASE SUBUNIT KORC', 78556),
(134831, 'PTHR24056:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78557),
(134832, 'PTHR47933:SF32', NULL, NULL, NULL, NULL, 'OS06G0111300 PROTEIN', 78558),
(134833, 'PTHR45968:SF32', NULL, NULL, NULL, NULL, 'BNACNNG55990D PROTEIN', 78559),
(134834, 'PTHR42866:SF7', NULL, NULL, NULL, NULL, '3-DEOXY-MANNO-OCTULOSONATE CYTIDYLYLTRANSFERASE, MITOCHONDRIAL-LIKE', 78560),
(134835, 'PTHR24361:SF707', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78561),
(134836, 'PTHR43591:SF63', NULL, NULL, NULL, NULL, 'DOMAIN METHYLTRANSFERASE, PUTATIVE-RELATED', 78562),
(134837, 'PTHR33385:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78563),
(134838, 'PTHR47454:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 224', 78564);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(134839, 'PTHR24208:SF128', NULL, NULL, NULL, NULL, 'LIM3, ISOFORM G', 78565),
(134840, 'PTHR46351:SF3', NULL, NULL, NULL, NULL, 'WOUND-INDUCED PROTEIN WIN2', 78566),
(134841, 'PTHR24023:SF387', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(V) CHAIN', 78567),
(134842, 'PTHR48111:SF39', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN CPXR', 78568),
(134843, 'PTHR10926:SF29', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT 2-RELATED', 78569),
(134844, 'PTHR35822:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 45', 78570),
(134845, 'PTHR48063:SF48', NULL, NULL, NULL, NULL, 'DNA-DAMAGE-REPAIR/TOLERATION PROTEIN DRT100-LIKE', 78571),
(134846, 'PTHR31928:SF7', NULL, NULL, NULL, NULL, 'FACTOR 1-DELTA, PUTATIVE (DUF936)-RELATED', 78572),
(134847, 'PTHR33021:SF275', NULL, NULL, NULL, NULL, 'EARLY NODULIN-55-2', 78573),
(134848, 'PTHR12137:SF62', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE', 78574),
(134849, 'PTHR46232:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78575),
(134850, 'PTHR31391:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78576),
(134851, 'PTHR39340', NULL, NULL, NULL, NULL, 'SULFOFRUCTOSEPHOSPHATE ALDOLASE', 78577),
(134852, 'PTHR45680:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 78578),
(134853, 'PTHR31717:SF94', NULL, NULL, NULL, NULL, 'BNACNNG18630D PROTEIN', 78579),
(134854, 'PTHR45657:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78580),
(134855, 'PTHR48001:SF9', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1J2', 78581),
(134856, 'PTHR47989:SF17', NULL, NULL, NULL, NULL, 'BNAC02G46490D PROTEIN', 78582),
(134857, 'PTHR31269:SF43', NULL, NULL, NULL, NULL, 'BNAA03G59850D PROTEIN', 78583),
(134858, 'PTHR12011:SF455', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR E3', 78584),
(134859, 'PTHR21290:SF58', NULL, NULL, NULL, NULL, 'OS05G0287800 PROTEIN', 78585),
(134860, 'PTHR36062:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78586),
(134861, 'PTHR35697:SF1', NULL, NULL, NULL, NULL, 'OS08G0108300 PROTEIN', 78587),
(134862, 'PTHR47032:SF2', NULL, NULL, NULL, NULL, 'UDP-D-XYLOSE:L-FUCOSE ALPHA-1,3-D-XYLOSYLTRANSFERASE 3', 78588),
(134863, 'PTHR33021:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78589),
(134864, 'PTHR10161:SF14', NULL, NULL, NULL, NULL, 'TARTRATE-RESISTANT ACID PHOSPHATASE TYPE 5', 78590),
(134865, 'PTHR13697:SF53', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 78591),
(134866, 'PTHR11920:SF479', NULL, NULL, NULL, NULL, 'ATRIAL NATRIURETIC PEPTIDE RECEPTOR 2', 78592),
(134867, 'PTHR11040:SF179', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 3', 78593),
(134868, 'PTHR10026', NULL, NULL, NULL, NULL, 'CYCLIN', 78594),
(134869, 'PTHR23293', NULL, NULL, NULL, NULL, 'FAD SYNTHETASE-RELATED  FMN ADENYLYLTRANSFERASE', 78595),
(134870, 'PTHR22298:SF115', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 78596),
(134871, 'PTHR45364:SF1', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 9', 78597),
(134872, 'PTHR32468:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78598),
(134873, 'PTHR43409:SF10', NULL, NULL, NULL, NULL, 'SLR0320 PROTEIN', 78599),
(134874, 'PTHR47961:SF4', NULL, NULL, NULL, NULL, 'ANTIVIRAL HELICASE SLH1', 78600),
(134875, 'PTHR45813:SF2', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR F3', 78601),
(134876, 'PTHR47063:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H2 SUBUNIT C', 78602),
(134877, 'PTHR35459', NULL, NULL, NULL, NULL, 'T1N6.14 PROTEIN', 78603),
(134878, 'PTHR31375:SF206', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 78604),
(134879, 'PTHR11537:SF234', NULL, NULL, NULL, NULL, 'SHAW FAMILY OF POTASSIUM CHANNELS', 78605),
(134880, 'PTHR24067:SF287', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 I', 78606),
(134881, 'PTHR48001:SF53', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1I1', 78607),
(134882, 'PTHR31780:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78608),
(134883, 'PTHR11119:SF111', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 23 MEMBER 2', 78609),
(134884, 'PTHR10210:SF35', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYL PYROPHOSPHATE SYNTHETASE 1-LIKE 1', 78610);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(134885, 'PTHR34799:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78611),
(134886, 'PTHR32227:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78612),
(134887, 'PTHR21343:SF9', NULL, NULL, NULL, NULL, 'LIPID II ISOGLUTAMINYL SYNTHASE (GLUTAMINE-HYDROLYZING) SUBUNIT GATD', 78613),
(134888, 'PTHR48017:SF101', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 2', 78614),
(134889, 'PTHR14241:SF27', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 78615),
(134890, 'PTHR34354:SF1', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT 7-CYANO-7-DEAZAGUANINE REDUCTASE', 78616),
(134891, 'PTHR10182:SF25', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 39', 78617),
(134892, 'PTHR35545:SF17', NULL, NULL, NULL, NULL, 'OS03G0157000 PROTEIN', 78618),
(134893, 'PTHR11560', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L10, MITOCHONDRIAL', 78619),
(134894, 'PTHR11081:SF56', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE 1-B', 78620),
(134895, 'PTHR12482:SF15', NULL, NULL, NULL, NULL, 'OS02G0787100 PROTEIN', 78621),
(134896, 'PTHR12716:SF13', NULL, NULL, NULL, NULL, 'BNAA02G21830D PROTEIN', 78622),
(134897, 'PTHR21569:SF36', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S9, RIBOSOMAL PROTEIN S5 DOMAIN 2-TYPE FOLD PROTEIN-RELATED', 78623),
(134898, 'PTHR12692:SF0', NULL, NULL, NULL, NULL, 'GH11935P', 78624),
(134899, 'PTHR18929:SF231', NULL, NULL, NULL, NULL, 'BNAC03G69330D PROTEIN', 78625),
(134900, 'PTHR10953:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78626),
(134901, 'PTHR34722:SF4', NULL, NULL, NULL, NULL, 'HOMOLOG OF ODR-2 (TWO)', 78627),
(134902, 'PTHR47993:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78628),
(134903, 'PTHR11349:SF68', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE-RELATED', 78629),
(134904, 'PTHR32246:SF103', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 78630),
(134905, 'PTHR43807', NULL, NULL, NULL, NULL, 'FI04487P', 78631),
(134906, 'PTHR48017:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78632),
(134907, 'PTHR10219:SF83', NULL, NULL, NULL, NULL, 'BNAANNG34100D PROTEIN', 78633),
(134908, 'PTHR33729:SF13', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 11', 78634),
(134909, 'PTHR27002:SF553', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 78635),
(134910, 'PTHR46442:SF7', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 78636),
(134911, 'PTHR37361:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78637),
(134912, 'PTHR11654:SF143', NULL, NULL, NULL, NULL, 'OS06G0706400 PROTEIN', 78638),
(134913, 'PTHR11088:SF62', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE 1, CHLOROPLASTIC', 78639),
(134914, 'PTHR24192', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 40', 78640),
(134915, 'PTHR10796:SF181', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 78641),
(134916, 'PTHR43649:SF9', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', 78642),
(134917, 'PTHR43795:SF62', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 78643),
(134918, 'PTHR48005:SF35', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERL1', 78644),
(134919, 'PTHR45722:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-2', 78645),
(134920, 'PTHR21662:SF19', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', 78646),
(134921, 'PTHR14096:SF6', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L5', 78647),
(134922, 'PTHR47976:SF35', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE, PLANT-TYPE PROTEIN', 78648),
(134923, 'PTHR15614:SF2', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 81 HOMOLOG', 78649),
(134924, 'PTHR10366:SF653', NULL, NULL, NULL, NULL, 'OS08G0277200 PROTEIN', 78650),
(134925, 'PTHR31741:SF75', NULL, NULL, NULL, NULL, 'FAD SYNTHETASE WITH THE MOAB/MOG DOMAIN, GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', 78651),
(134926, 'PTHR31865:SF49', NULL, NULL, NULL, NULL, 'BNAA09G54110D PROTEIN', 78652),
(134927, 'PTHR10201:SF215', NULL, NULL, NULL, NULL, 'STROMELYSIN-1', 78653),
(134928, 'PTHR24231:SF14', NULL, NULL, NULL, NULL, 'SUCCINATE RECEPTOR 1', 78654);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(134929, 'PTHR42938:SF34', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE', 78655),
(134930, 'PTHR10502:SF139', NULL, NULL, NULL, NULL, 'ANNEXIN', 78656),
(134931, 'PTHR48063:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78657),
(134932, 'PTHR11771:SF115', NULL, NULL, NULL, NULL, 'SEED LINOLEATE 9S-LIPOXYGENASE', 78658),
(134933, 'PTHR31500:SF91', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 10', 78659),
(134934, 'PTHR11547:SF60', NULL, NULL, NULL, NULL, 'CKMB PROTEIN', 78660),
(134935, 'PTHR22744:SF9', NULL, NULL, NULL, NULL, 'BTB (BROAD/COMPLEX/TRAMTRACK/BRIC A BRAC) DOMAIN PROTEIN-RELATED', 78661),
(134936, 'PTHR47942:SF11', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 78662),
(134937, 'PTHR33148:SF59', NULL, NULL, NULL, NULL, 'BNAC02G20520D PROTEIN', 78663),
(134938, 'PTHR45624:SF1', NULL, NULL, NULL, NULL, 'SD08189P', 78664),
(134939, 'PTHR48027:SF13', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2C-LIKE', 78665),
(134940, 'PTHR31662:SF35', NULL, NULL, NULL, NULL, 'OS07G0636100 PROTEIN', 78666),
(134941, 'PTHR31194:SF109', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', 78667),
(134942, 'PTHR31636:SF148', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 14', 78668),
(134943, 'PTHR21551:SF18', NULL, NULL, NULL, NULL, 'PROTEIN PAT1 HOMOLOG 1-LIKE', 78669),
(134944, 'PTHR45614:SF139', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 78670),
(134945, 'PTHR19969:SF12', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN NCK2', 78671),
(134946, 'PTHR24249:SF389', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78672),
(134947, 'PTHR43888:SF14', NULL, NULL, NULL, NULL, 'DNAJ-RELATED PROTEIN SCJ1', 78673),
(134948, 'PTHR12703', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 33', 78674),
(134949, 'PTHR13989:SF30', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 32 KDA SUBUNIT C', 78675),
(134950, 'PTHR12701:SF21', NULL, NULL, NULL, NULL, 'OS02G0321800 PROTEIN', 78676),
(134951, 'PTHR28629:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78677),
(134952, 'PTHR10266', NULL, NULL, NULL, NULL, 'CYTOCHROME C1', 78678),
(134953, 'PTHR31705:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 30', 78679),
(134954, 'PTHR21859:SF6', NULL, NULL, NULL, NULL, 'GENE MODEL 904, (NCBI)-RELATED', 78680),
(134955, 'PTHR13018:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78681),
(134956, 'PTHR27005:SF256', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78682),
(134957, 'PTHR12612:SF34', NULL, NULL, NULL, NULL, 'BNAA07G08920D PROTEIN', 78683),
(134958, 'PTHR11552:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78684),
(134959, 'PTHR22835:SF614', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78685),
(134960, 'PTHR11267:SF102', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX10', 78686),
(134961, 'PTHR24240:SF55', NULL, NULL, NULL, NULL, 'NOVOPSIN-3', 78687),
(134962, 'PTHR23335:SF9', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 2', 78688),
(134963, 'PTHR20855:SF97', NULL, NULL, NULL, NULL, 'ADIPOR-LIKE RECEPTOR IZH3', 78689),
(134964, 'PTHR24347:SF418', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE DDB_G0284661-RELATED', 78690),
(134965, 'PTHR46662:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PEPR1', 78691),
(134966, 'PTHR32057:SF15', NULL, NULL, NULL, NULL, 'UPF0061 PROTEIN AZO1574-LIKE', 78692),
(134967, 'PTHR24281:SF196', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', 78693),
(134968, 'PTHR23382:SF18', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', 78694),
(134969, 'PTHR11782:SF88', NULL, NULL, NULL, NULL, 'APYRASE FAMILY PROTEIN-RELATED', 78695),
(134970, 'PTHR11008:SF14', NULL, NULL, NULL, NULL, 'CIRCADIAN CLOCK-CONTROLLED PROTEIN-LIKE PROTEIN', 78696),
(134971, 'PTHR33801:SF19', NULL, NULL, NULL, NULL, 'ABSCISIC STRESS-RIPENING PROTEIN 2', 78697),
(134972, 'PTHR38121:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78698),
(134973, 'PTHR35564:SF3', NULL, NULL, NULL, NULL, 'TYPE VI SECRETION SYSTEM PROTEIN TSSG', 78699);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(134974, 'PTHR42718:SF13', NULL, NULL, NULL, NULL, 'METHYL VIOLOGEN RESISTANCE PROTEIN SMVA', 78700),
(134975, 'PTHR32021', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5B3', 78701),
(134976, 'PTHR22957:SF543', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78702),
(134977, 'PTHR27005:SF351', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE, ERK3/4-RELATED', 78703),
(134978, 'PTHR45778:SF30', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 78704),
(134979, 'PTHR30474:SF1', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN GLYCOSYLTRANSFERASE MRDB', 78705),
(134980, 'PTHR24286:SF200', NULL, NULL, NULL, NULL, 'ENT-KAURENOIC ACID OXIDASE 2-LIKE', 78706),
(134981, 'PTHR22751:SF30', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 78707),
(134982, 'PTHR10333:SF79', NULL, NULL, NULL, NULL, 'PROTEIN CBG07029', 78708),
(134983, 'PTHR35357:SF2', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 8', 78709),
(134984, 'PTHR23088:SF27', NULL, NULL, NULL, NULL, 'DEAMINATED GLUTATHIONE AMIDASE', 78710),
(134985, 'PTHR43572:SF24', NULL, NULL, NULL, NULL, 'DOUBLE CLP-N MOTIF P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', 78711),
(134986, 'PTHR11614:SF20', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 78712),
(134987, 'PTHR13943:SF36', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR RESPONDER PROTEIN 3', 78713),
(134988, 'PTHR24006:SF689', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', 78714),
(134989, 'PTHR23420:SF25', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', 78715),
(134990, 'PTHR31846:SF18', NULL, NULL, NULL, NULL, 'CRM-DOMAIN CONTAINING FACTOR CFM3B, CHLOROPLASTIC', 78716),
(134991, 'PTHR36140', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 78717),
(134992, 'PTHR36436:SF3', NULL, NULL, NULL, NULL, 'SLL5081 PROTEIN', 78718),
(134993, 'PTHR35828:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78719),
(134994, 'PTHR36470', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 3', 78720),
(134995, 'PTHR47630:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG03378', 78721),
(134996, 'PTHR23077:SF161', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 48 HOMOLOG E', 78722),
(134997, 'PTHR10179:SF83', NULL, NULL, NULL, NULL, 'INTERLEUKIN-8', 78723),
(134998, 'PTHR14463', NULL, NULL, NULL, NULL, 'LIPASE MATURATION FACTOR', 78724),
(134999, 'PTHR46668:SF6', NULL, NULL, NULL, NULL, 'BOP1', 78725),
(135000, 'PTHR32295:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78726),
(135001, 'PTHR11353', NULL, NULL, NULL, NULL, 'CHAPERONIN', 78727),
(135002, 'PTHR23510:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG11509', 78728),
(135003, 'PTHR43112:SF35', NULL, NULL, NULL, NULL, 'FERREDOXIN', 78729),
(135004, 'PTHR24078:SF522', NULL, NULL, NULL, NULL, 'DNAJ CHAPERONE C-TERMINAL DOMAIN-CONTAINING PROTEIN', 78730),
(135005, 'PTHR24349:SF298', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 16', 78731),
(135006, 'PTHR48188', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L43', 78732),
(135007, 'PTHR45978:SF2', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 3', 78733),
(135008, 'PTHR11766:SF0', NULL, NULL, NULL, NULL, 'TYROSINE--TRNA LIGASE, MITOCHONDRIAL', 78734),
(135009, 'PTHR10574:SF378', NULL, NULL, NULL, NULL, 'NETRIN-1', 78735),
(135010, 'PTHR20946:SF0', NULL, NULL, NULL, NULL, 'SI:CH211-189K9.2', 78736),
(135011, 'PTHR11009:SF30', NULL, NULL, NULL, NULL, 'DERLIN', 78737),
(135012, 'PTHR45704:SF3', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN FAMILY MEMBER 11A', 78738),
(135013, 'PTHR43272:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78739),
(135014, 'PTHR23213:SF376', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 78740),
(135015, 'PTHR23070:SF169', NULL, NULL, NULL, NULL, 'BNAANNG34050D PROTEIN', 78741),
(135016, 'PTHR33128:SF47', NULL, NULL, NULL, NULL, 'GPI-ANCHORED-LIKE PROTEIN (DUF 3339)', 78742),
(135017, 'PTHR10837:SF4', NULL, NULL, NULL, NULL, 'PROTEIN-ARGININE DEIMINASE TYPE-6', 78743),
(135018, 'PTHR45687:SF52', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-5-RELATED', 78744),
(135019, 'PTHR47882:SF1', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 2', 78745);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(135020, 'PTHR43215:SF12', NULL, NULL, NULL, NULL, 'PROTEIN TIC 100-LIKE', 78746),
(135021, 'PTHR11638:SF169', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPA HOMOLOG CD4B, CHLOROPLASTIC', 78747),
(135022, 'PTHR23235:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP4', 78748),
(135023, 'PTHR46731', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 15', 78749),
(135024, 'PTHR14778', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN DSN1 HOMOLOG', 78750),
(135025, 'PTHR22847:SF620', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPT8', 78751),
(135026, 'PTHR34699:SF2', NULL, NULL, NULL, NULL, 'INOSINE/XANTHOSINE TRIPHOSPHATASE', 78752),
(135027, 'PTHR11847:SF21', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L15', 78753),
(135028, 'PTHR23130:SF153', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 78754),
(135029, 'PTHR24377:SF216', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 630', 78755),
(135030, 'PTHR21635', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER TRANSCRIPTION FACTOR LIKE', 78756),
(135031, 'PTHR33377:SF41', NULL, NULL, NULL, NULL, 'OSJNBB0004G23.8-LIKE PROTEIN', 78757),
(135032, 'PTHR45798:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 78758),
(135033, 'PTHR31662:SF70', NULL, NULL, NULL, NULL, 'BNACNNG18000D PROTEIN', 78759),
(135034, 'PTHR10209:SF433', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78760),
(135035, 'PTHR23500:SF487', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 1-RELATED', 78761),
(135036, 'PTHR10579:SF139', NULL, NULL, NULL, NULL, 'ACTIVATED CHLORINE CHANNEL, PUTATIVE-RELATED', 78762),
(135037, 'PTHR46023:SF1', NULL, NULL, NULL, NULL, 'OS12G0554500 PROTEIN', 78763),
(135038, 'PTHR23429:SF12', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE 5, CYTOPLASMIC', 78764),
(135039, 'PTHR31344:SF16', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN AN-NUP192 (EUROFUNG)', 78765),
(135040, 'PTHR30605', NULL, NULL, NULL, NULL, 'ANHYDRO-N-ACETYLMURAMIC ACID KINASE', 78766),
(135041, 'PTHR22762:SF147', NULL, NULL, NULL, NULL, 'BNAA02G13970D PROTEIN', 78767),
(135042, 'PTHR46220:SF10', NULL, NULL, NULL, NULL, 'BNAC04G18860D PROTEIN', 78768),
(135043, 'PTHR31683:SF90', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 78769),
(135044, 'PTHR45684', NULL, NULL, NULL, NULL, 'RE74312P', 78770),
(135045, 'PTHR19384', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE-RELATED', 78771),
(135046, 'PTHR48043:SF72', NULL, NULL, NULL, NULL, 'UDP GLUCURONOSYLTRANSFERASE 5 FAMILY, POLYPEPTIDE C2-RELATED', 78772),
(135047, 'PTHR24185:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78773),
(135048, 'PTHR45811:SF16', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY-RELATED', 78774),
(135049, 'PTHR37333', NULL, NULL, NULL, NULL, 'LEUCINE-RICH SINGLE-PASS MEMBRANE PROTEIN 2', 78775),
(135050, 'PTHR46195:SF21', NULL, NULL, NULL, NULL, 'OS02G0510600 PROTEIN', 78776),
(135051, 'PTHR32285:SF180', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 34 ISOFORM X1', 78777),
(135052, 'PTHR48041:SF45', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 28', 78778),
(135053, 'PTHR33543:SF16', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN TYPE 2', 78779),
(135054, 'PTHR42861:SF100', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 78780),
(135055, 'PTHR43811:SF15', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PROTEIN 61', 78781),
(135056, 'PTHR14485:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78782),
(135057, 'PTHR19969:SF13', NULL, NULL, NULL, NULL, 'GRB2 RELATED ADAPTOR PROTEIN 2', 78783),
(135058, 'PTHR31142:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78784),
(135059, 'PTHR21551:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PAT1 HOMOLOG 2', 78785),
(135060, 'PTHR22937:SF151', NULL, NULL, NULL, NULL, 'BNACNNG59990D PROTEIN', 78786),
(135061, 'PTHR24229:SF50', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 78787),
(135062, 'PTHR22943:SF29', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 78788),
(135063, 'PTHR15913:SF0', NULL, NULL, NULL, NULL, 'MASPARDIN', 78789),
(135064, 'PTHR31072:SF126', NULL, NULL, NULL, NULL, 'BNAA09G26360D PROTEIN', 78790);
INSERT INTO "PUBLIC"."MODEL" VALUES
(135065, 'PTHR46992:SF4', NULL, NULL, NULL, NULL, 'GYF DOMAIN-CONTAINING PROTEIN', 78791),
(135066, 'PTHR33476:SF22', NULL, NULL, NULL, NULL, 'PROTEIN POLAR LOCALIZATION DURING ASYMMETRIC DIVISION AND REDISTRIBUTION', 78792),
(135067, 'PTHR28682:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78793),
(135068, 'PTHR39336:SF3', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE PHOSPHATE OXIDASE', 78794),
(135069, 'PTHR11627:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78795),
(135070, 'PTHR34292:SF3', NULL, NULL, NULL, NULL, 'OUTER SPORE WALL PROTEIN LDS2-RELATED', 78796),
(135071, 'PTHR10151:SF116', NULL, NULL, NULL, NULL, 'BNAA01G07270D PROTEIN', 78797),
(135072, 'PTHR46446:SF22', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 78798),
(135073, 'PTHR11627:SF67', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 78799),
(135074, 'PTHR31221:SF222', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 75-RELATED', 78800),
(135075, 'PTHR21777', NULL, NULL, NULL, NULL, 'RCG55159-LIKE', 78801),
(135076, 'PTHR32134:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78802),
(135077, 'PTHR31989:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78803),
(135078, 'PTHR11276:SF14', NULL, NULL, NULL, NULL, 'DNA POLYMERASE', 78804),
(135079, 'PTHR23266:SF270', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-58', 78805),
(135080, 'PTHR47278', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE 6', 78806),
(135081, 'PTHR48017:SF16', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 6', 78807),
(135082, 'PTHR48018:SF142', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 78808),
(135083, 'PTHR31832:SF69', NULL, NULL, NULL, NULL, 'B-BOX-TYPE ZINC FINGER-RELATED', 78809),
(135084, 'PTHR43559:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE', 78810),
(135085, 'PTHR27002:SF846', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10 ISOFORM X1', 78811),
(135086, 'PTHR31906:SF4', NULL, NULL, NULL, NULL, 'FIBRILLIN-5, CHLOROPLASTIC', 78812),
(135087, 'PTHR12532:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN YEBC-RELATED', 78813),
(135088, 'PTHR48021:SF22', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN-RELATED', 78814),
(135089, 'PTHR31388:SF108', NULL, NULL, NULL, NULL, 'PEROXIDASE', 78815),
(135090, 'PTHR13620:SF46', NULL, NULL, NULL, NULL, 'PROTEIN RISC-INTERACTING CLEARING 3''-5'' EXORIBONUCLEASE 1', 78816),
(135091, 'PTHR24343:SF445', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE CMKC (EUROFUNG)', 78817),
(135092, 'PTHR34687:SF4', NULL, NULL, NULL, NULL, 'BNAC09G17400D PROTEIN', 78818),
(135093, 'PTHR31311:SF25', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 4', 78819),
(135094, 'PTHR43243:SF30', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 1-LIKE', 78820),
(135095, 'PTHR31357:SF17', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS A (ALPHA)', 78821),
(135096, 'PTHR15453:SF8', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR CANDIDATE 2', 78822),
(135097, 'PTHR40696:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78823),
(135098, 'PTHR12982', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL GLYCAN, CLASS C', 78824),
(135099, 'PTHR43313:SF38', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', 78825),
(135100, 'PTHR11857:SF4', NULL, NULL, NULL, NULL, 'GENERAL ODORANT-BINDING PROTEIN 69A', 78826),
(135101, 'PTHR19375:SF437', NULL, NULL, NULL, NULL, 'STROMAL 70 KDA HEAT SHOCK-RELATED PROTEIN, CHLOROPLASTIC-LIKE', 78827),
(135102, 'PTHR35526:SF6', NULL, NULL, NULL, NULL, 'SLR1861 PROTEIN', 78828),
(135103, 'PTHR42920:SF11', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YTFF', 78829),
(135104, 'PTHR37015:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78830),
(135105, 'PTHR34827:SF1', NULL, NULL, NULL, NULL, 'INSULIN GROWTH FACTOR-LIKE FAMILY MEMBER 4', 78831),
(135106, 'PTHR28634', NULL, NULL, NULL, NULL, 'ZINC FINGER B-BOX DOMAIN-CONTAINING PROTEIN 1', 78832),
(135107, 'PTHR24281:SF205', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81E8-LIKE', 78833),
(135108, 'PTHR36403:SF1', NULL, NULL, NULL, NULL, 'PROTEIN COFACTOR ASSEMBLY OF COMPLEX C SUBUNIT B CCB2, CHLOROPLASTIC', 78834);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(135109, 'PTHR48053:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78835),
(135110, 'PTHR47367', NULL, NULL, NULL, NULL, 'AUXIN-REGULATED PROTEIN-LIKE', 78836),
(135111, 'PTHR31374:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78837),
(135112, 'PTHR12178:SF2', NULL, NULL, NULL, NULL, 'N-TERMINAL EF-HAND CALCIUM-BINDING PROTEIN 2', 78838),
(135113, 'PTHR11604:SF27', NULL, NULL, NULL, NULL, 'PROFILIN-1', 78839),
(135114, 'PTHR22884:SF473', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE NSD3', 78840),
(135115, 'PTHR31333:SF2', NULL, NULL, NULL, NULL, 'DNA SEGMENT, CHR X, BAYLOR 18-RELATED', 78841),
(135116, 'PTHR12725:SF71', NULL, NULL, NULL, NULL, 'OS01G0973000 PROTEIN', 78842),
(135117, 'PTHR19229:SF185', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER FAMILY', 78843),
(135118, 'PTHR11610:SF3', NULL, NULL, NULL, NULL, 'LIPOPROTEIN LIPASE', 78844),
(135119, 'PTHR24186:SF27', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', 78845),
(135120, 'PTHR31636:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78846),
(135121, 'PTHR11972:SF137', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN H-RELATED', 78847),
(135122, 'PTHR23500:SF576', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 78848),
(135123, 'PTHR43092:SF7', NULL, NULL, NULL, NULL, 'L-CYSTEINE DESULFHYDRASE', 78849),
(135124, 'PTHR11260:SF682', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9', 78850),
(135125, 'PTHR46261:SF14', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 1-LIKE ISOFORM X1', 78851),
(135126, 'PTHR22957:SF352', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER WHACKED', 78852),
(135127, 'PTHR21454:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78853),
(135128, 'PTHR33362:SF5', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLATE TRAP TRANSPORTER LARGE PERMEASE PROTEIN DCTM', 78854),
(135129, 'PTHR10509:SF83', NULL, NULL, NULL, NULL, 'BNAA02G13460D PROTEIN', 78855),
(135130, 'PTHR11984:SF1', NULL, NULL, NULL, NULL, 'GAP JUNCTION EPSILON-1 PROTEIN-RELATED', 78856),
(135131, 'PTHR10265:SF9', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1B', 78857),
(135132, 'PTHR27006:SF371', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 78858),
(135133, 'PTHR38121', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 78859),
(135134, 'PTHR32133:SF298', NULL, NULL, NULL, NULL, 'OS07G0120400 PROTEIN', 78860),
(135135, 'PTHR12752:SF5', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 6', 78861),
(135136, 'PTHR31839:SF5', NULL, NULL, NULL, NULL, 'CBF2', 78862),
(135137, 'PTHR24056:SF396', NULL, NULL, NULL, NULL, 'BNAC06G12590D PROTEIN', 78863),
(135138, 'PTHR21099:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-113E8.11', 78864),
(135139, 'PTHR23024:SF485', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1A', 78865),
(135140, 'PTHR13059:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CAPICUA-RELATED', 78866),
(135141, 'PTHR11071:SF476', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 78867),
(135142, 'PTHR12515:SF8', NULL, NULL, NULL, NULL, 'PROTEIN SMAUG HOMOLOG 1', 78868),
(135143, 'PTHR13989:SF10', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 32 KDA SUBUNIT', 78869),
(135144, 'PTHR48002:SF65', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 78870),
(135145, 'PTHR20951:SF2', NULL, NULL, NULL, NULL, 'SPRY DOMAIN-CONTAINING PROTEIN 7', 78871),
(135146, 'PTHR12103:SF12', NULL, NULL, NULL, NULL, 'FI20020P1', 78872),
(135147, 'PTHR31964', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 78873),
(135148, 'PTHR46037:SF2', NULL, NULL, NULL, NULL, 'GRB2-RELATED ADAPTER PROTEIN', 78874),
(135149, 'PTHR10896:SF32', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS01G0157700-RELATED', 78875),
(135150, 'PTHR31089:SF22', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.5', 78876),
(135151, 'PTHR11480:SF85', NULL, NULL, NULL, NULL, 'OS01G0166700 PROTEIN', 78877),
(135152, 'PTHR31679:SF2', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX30-RELATED', 78878);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(135153, 'PTHR14568:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 6 SUPERFAMILY MEMBER 1', 78879),
(135154, 'PTHR31579:SF43', NULL, NULL, NULL, NULL, 'DUF506 FAMILY PROTEIN', 78880),
(135155, 'PTHR42895:SF1', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER-BINDING PROTEIN', 78881),
(135156, 'PTHR21268:SF2', NULL, NULL, NULL, NULL, 'GH23780P', 78882),
(135157, 'PTHR11615:SF286', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 78883),
(135158, 'PTHR43698', NULL, NULL, NULL, NULL, 'RIBD C-TERMINAL DOMAIN CONTAINING PROTEIN', 78884),
(135159, 'PTHR24559:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78885),
(135160, 'PTHR37182:SF2', NULL, NULL, NULL, NULL, 'F24J8.11 PROTEIN', 78886),
(135161, 'PTHR47009:SF7', NULL, NULL, NULL, NULL, 'HEPATITIS A VIRUS CELLULAR RECEPTOR 1', 78887),
(135162, 'PTHR47699:SF1', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN FAMILY', 78888),
(135163, 'PTHR12027:SF34', NULL, NULL, NULL, NULL, 'PROTEIN WNT', 78889),
(135164, 'PTHR31147:SF54', NULL, NULL, NULL, NULL, 'OS10G0105900 PROTEIN', 78890),
(135165, 'PTHR11926:SF1378', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 78891),
(135166, 'PTHR21576:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78892),
(135167, 'PTHR31306:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78893),
(135168, 'PTHR26453:SF10', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 693-RELATED', 78894),
(135169, 'PTHR23335:SF17', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 2', 78895),
(135170, 'PTHR43853:SF5', NULL, NULL, NULL, NULL, 'THIOLASE (POT1), PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04080)-RELATED', 78896),
(135171, 'PTHR45908:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG13893', 78897),
(135172, 'PTHR43319:SF6', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN CONTAINING', 78898),
(135173, 'PTHR18945:SF457', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 78899),
(135174, 'PTHR31235:SF311', NULL, NULL, NULL, NULL, 'PEROXIDASE 24', 78900),
(135175, 'PTHR24056:SF456', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78901),
(135176, 'PTHR11012:SF47', NULL, NULL, NULL, NULL, 'GH22833P', 78902),
(135177, 'PTHR12785:SF7', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 6', 78903),
(135178, 'PTHR46521:SF10', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 2-RELATED', 78904),
(135179, 'PTHR31917:SF5', NULL, NULL, NULL, NULL, 'PLANT TUDOR-LIKE RNA-BINDING PROTEIN-RELATED', 78905),
(135180, 'PTHR48001:SF117', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 78906),
(135181, 'PTHR22589:SF67', NULL, NULL, NULL, NULL, 'PEROXISOMAL CARNITINE O-OCTANOYLTRANSFERASE', 78907),
(135182, 'PTHR44027:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 5', 78908),
(135183, 'PTHR31327:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG06985', 78909),
(135184, 'PTHR31251:SF79', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 6 ISOFORM X2', 78910),
(135185, 'PTHR11254:SF422', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL1-LIKE PROTEIN', 78911),
(135186, 'PTHR31282:SF38', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 55', 78912),
(135187, 'PTHR35451:SF1', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE-LIKE PROTEIN C4ORF48', 78913),
(135188, 'PTHR32102:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78914),
(135189, 'PTHR47592:SF5', NULL, NULL, NULL, NULL, 'OS08G0421300 PROTEIN', 78915),
(135190, 'PTHR23336:SF58', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 7', 78916),
(135191, 'PTHR44489:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C3H FAMILY-RELATED', 78917),
(135192, 'PTHR31391:SF111', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', 78918),
(135193, 'PTHR10353:SF178', NULL, NULL, NULL, NULL, 'INACTIVE BETA-GLUCOSIDASE 25-RELATED', 78919),
(135194, 'PTHR12910', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE SUBUNIT B17.2', 78920),
(135195, 'PTHR32133:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78921),
(135196, 'PTHR10366', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE', 78922),
(135197, 'PTHR24177:SF255', NULL, NULL, NULL, NULL, 'PGG DOMAIN, GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', 78923);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(135198, 'PTHR33149:SF36', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', 78924),
(135199, 'PTHR22600:SF42', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE', 78925),
(135200, 'PTHR32288', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-IV', 78926),
(135201, 'PTHR47644', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 78927),
(135202, 'PTHR26453:SF82', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 78928),
(135203, 'PTHR31718:SF35', NULL, NULL, NULL, NULL, 'EMBRYO-SPECIFIC PROTEIN', 78929),
(135204, 'PTHR47925:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78930),
(135205, 'PTHR10593:SF161', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 5, CHLOROPLASTIC-LIKE', 78931),
(135206, 'PTHR32096:SF87', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 63-RELATED', 78932),
(135207, 'PTHR11863:SF63', NULL, NULL, NULL, NULL, 'C-5 STEROL DESATURASE-LIKE PROTEIN-RELATED', 78933),
(135208, 'PTHR11017:SF325', NULL, NULL, NULL, NULL, 'NB-ARC-RELATED', 78934),
(135209, 'PTHR14005:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT A', 78935),
(135210, 'PTHR23022:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78936),
(135211, 'PTHR11960:SF18', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E HOMOLOGOUS PROTEIN, ISOFORM B', 78937),
(135212, 'PTHR31650:SF2', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE', 78938),
(135213, 'PTHR30618:SF5', NULL, NULL, NULL, NULL, 'URIDINE PERMEASE', 78939),
(135214, 'PTHR23359:SF105', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 7', 78940),
(135215, 'PTHR32083:SF34', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 146', 78941),
(135216, 'PTHR42907:SF3', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE SYNTHASE', 78942),
(135217, 'PTHR31282:SF159', NULL, NULL, NULL, NULL, 'BNAC09G36400D PROTEIN', 78943),
(135218, 'PTHR14682:SF1', NULL, NULL, NULL, NULL, 'KATNB1-LIKE PROTEIN 1', 78944),
(135219, 'PTHR33625:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 78945),
(135220, 'PTHR32196:SF19', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YTFT', 78946),
(135221, 'PTHR24377:SF827', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 852', 78947),
(135222, 'PTHR11685:SF281', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 78948),
(135223, 'PTHR31395:SF18', NULL, NULL, NULL, NULL, 'SHISA FAMILY MEMBER 2A', 78949),
(135224, 'PTHR24133:SF32', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 4', 78950),
(135225, 'PTHR45839:SF23', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', 78951),
(135226, 'PTHR13100', NULL, NULL, NULL, NULL, 'CELL GROWTH-REGULATING NUCLEOLAR PROTEIN LYAR', 78952),
(135227, 'PTHR40078:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 78953),
(135228, 'PTHR15090:SF6', NULL, NULL, NULL, NULL, 'SEQUESTOSOME RELATED', 78954),
(135229, 'PTHR11973:SF20', NULL, NULL, NULL, NULL, 'ADVANCED GLYCOSYLATION END PRODUCT-SPECIFIC RECEPTOR', 78955),
(135230, 'PTHR47055:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78956),
(135231, 'PTHR47976:SF31', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', 78957),
(135232, 'PTHR11592:SF32', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 3', 78958),
(135233, 'PTHR22747:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78959),
(135234, 'PTHR45029:SF7', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 78960),
(135235, 'PTHR14365', NULL, NULL, NULL, NULL, 'APOPTOSIS REGULATORY PROTEIN SIVA', 78961),
(135236, 'PTHR10438:SF424', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 78962),
(135237, 'PTHR34309', NULL, NULL, NULL, NULL, 'SLR1406 PROTEIN', 78963),
(135238, 'PTHR43108:SF4', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SULFATASE SULF-2', 78964),
(135239, 'PTHR48001:SF128', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 78965),
(135240, 'PTHR21349', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L21', 78966),
(135241, 'PTHR31081', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 1-RELATED-RELATED', 78967),
(135242, 'PTHR23085:SF26', NULL, NULL, NULL, NULL, 'JUNCTOPHILIN-2', 78968);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(135243, 'PTHR31674:SF42', NULL, NULL, NULL, NULL, 'BNAC03G67480D PROTEIN', 78969),
(135244, 'PTHR31218:SF333', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 78970),
(135245, 'PTHR12146:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78971),
(135246, 'PTHR10353:SF29', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 11', 78972),
(135247, 'PTHR11558:SF42', NULL, NULL, NULL, NULL, 'PUTRESCINE N-METHYLTRANSFERASE 1', 78973),
(135248, 'PTHR11636:SF14', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 5, TRANSCRIPTION FACTOR 2', 78974),
(135249, 'PTHR12386:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78975),
(135250, 'PTHR31876:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CONTINUOUS VASCULAR RING 1-RELATED', 78976),
(135251, 'PTHR36928', NULL, NULL, NULL, NULL, 'PHOSPHATASE YCDX-RELATED', 78977),
(135252, 'PTHR12011:SF326', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR G5', 78978),
(135253, 'PTHR33065:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 78979),
(135254, 'PTHR47990:SF24', NULL, NULL, NULL, NULL, 'OS02G0630300 PROTEIN', 78980),
(135255, 'PTHR23428:SF198', NULL, NULL, NULL, NULL, 'HISTONE H2B.6', 78981),
(135256, 'PTHR10183:SF392', NULL, NULL, NULL, NULL, 'CALPAIN FAMILY', 78982),
(135257, 'PTHR31720:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS Z', 78983),
(135258, 'PTHR48020:SF4', NULL, NULL, NULL, NULL, 'SYMPORT, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11790)-RELATED', 78984),
(135259, 'PTHR10426:SF83', NULL, NULL, NULL, NULL, 'OS01G0698200 PROTEIN', 78985),
(135260, 'PTHR12763:SF48', NULL, NULL, NULL, NULL, 'BNACNNG03120D PROTEIN', 78986),
(135261, 'PTHR11731:SF20', NULL, NULL, NULL, NULL, 'DIPEPTIDYL AMINOPEPTIDASE-LIKE PROTEIN 6', 78987),
(135262, 'PTHR23319:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ASTER-C', 78988),
(135263, 'PTHR35079:SF1', NULL, NULL, NULL, NULL, 'LUNG ADENOMA SUSCEPTIBILITY PROTEIN 2', 78989),
(135264, 'PTHR13343:SF28', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', 78990),
(135265, 'PTHR26453:SF45', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 78991),
(135266, 'PTHR11846:SF14', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE, CHLOROPLASTIC', 78992),
(135267, 'PTHR31355:SF23', NULL, NULL, NULL, NULL, 'BNAANNG18180D PROTEIN', 78993),
(135268, 'PTHR48011:SF25', NULL, NULL, NULL, NULL, 'BNAA10G29440D PROTEIN', 78994),
(135269, 'PTHR31321:SF107', NULL, NULL, NULL, NULL, 'PECTINESTERASE 52-RELATED', 78995),
(135270, 'PTHR37838:SF1', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT C', 78996),
(135271, 'PTHR37858', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689589', 78997),
(135272, 'PTHR24377:SF901', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 254-RELATED', 78998),
(135273, 'PTHR22937:SF125', NULL, NULL, NULL, NULL, 'C3HC4-TYPE RING ZINC FINGER PROTEIN', 78999),
(135274, 'PTHR43876:SF9', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE-RELATED', 79000),
(135275, 'PTHR11771:SF135', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 79001),
(135276, 'PTHR45727:SF1', NULL, NULL, NULL, NULL, 'NPC INTRACELLULAR CHOLESTEROL TRANSPORTER 1 HOMOLOG 1', 79002),
(135277, 'PTHR14207:SF7', NULL, NULL, NULL, NULL, 'BNAANNG14740D PROTEIN', 79003),
(135278, 'PTHR24326:SF562', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-40-LIKE', 79004),
(135279, 'PTHR12302:SF2', NULL, NULL, NULL, NULL, 'STAPHYLOCOCCAL NUCLEASE DOMAIN-CONTAINING PROTEIN 1', 79005),
(135280, 'PTHR47653', NULL, NULL, NULL, NULL, 'PROTEIN BARK BEETLE', 79006),
(135281, 'PTHR15615:SF106', NULL, NULL, NULL, NULL, 'CYCLIN-RELATED 2 FAMILY PROTEIN', 79007),
(135282, 'PTHR24115:SF328', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF1B', 79008),
(135283, 'PTHR34277:SF2', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 26', 79009),
(135284, 'PTHR24160:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 53', 79010),
(135285, 'PTHR10827:SF47', NULL, NULL, NULL, NULL, 'RETICULOCALBIN-3', 79011),
(135286, 'PTHR13930:SF1', NULL, NULL, NULL, NULL, 'SAM DOMAIN PROTEIN, PUTATIVE-RELATED', 79012),
(135287, 'PTHR13902:SF143', NULL, NULL, NULL, NULL, 'GPCR KINASE-RELATED', 79013);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(135288, 'PTHR33975', NULL, NULL, NULL, NULL, 'MYELIN-ASSOCIATED OLIGODENDROCYTE BASIC PROTEIN', 79014),
(135289, 'PTHR43157:SF22', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE FAMILY PROTEIN, PUTATIVE-RELATED', 79015),
(135290, 'PTHR20863:SF28', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 79016),
(135291, 'PTHR34375:SF4', NULL, NULL, NULL, NULL, 'ALCOHOL ACETYLTRANSFERASE-RELATED', 79017),
(135292, 'PTHR10641:SF1044', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 49', 79018),
(135293, 'PTHR10194', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEINS', 79019),
(135294, 'PTHR33098:SF82', NULL, NULL, NULL, NULL, 'DUF761 DOMAIN PROTEIN', 79020),
(135295, 'PTHR46501:SF6', NULL, NULL, NULL, NULL, 'SI:CH73-95L15.5', 79021),
(135296, 'PTHR21698:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79022),
(135297, 'PTHR43157:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79023),
(135298, 'PTHR45868:SF61', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION DOMAIN PROTEIN', 79024),
(135299, 'PTHR35663:SF1', NULL, NULL, NULL, NULL, 'TESTIS DEVELOPMENT-RELATED PROTEIN', 79025),
(135300, 'PTHR31065:SF59', NULL, NULL, NULL, NULL, 'OS02G0661400 PROTEIN', 79026),
(135301, 'PTHR36002:SF1', NULL, NULL, NULL, NULL, 'PYRD', 79027),
(135302, 'PTHR31250:SF53', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM1', 79028),
(135303, 'PTHR42912:SF34', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 79029),
(135304, 'PTHR12911:SF42', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 1-LIKE', 79030),
(135305, 'PTHR47319:SF10', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1-LIKE', 79031),
(135306, 'PTHR31609', NULL, NULL, NULL, NULL, 'YDJC DEACETYLASE FAMILY MEMBER', 79032),
(135307, 'PTHR47979:SF43', NULL, NULL, NULL, NULL, 'RAB42, MEMBER RAS ONCOGENE FAMILY-RELATED', 79033),
(135308, 'PTHR34064:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 79034),
(135309, 'PTHR46151:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79035),
(135310, 'PTHR31250:SF16', NULL, NULL, NULL, NULL, 'OS07G0633400 PROTEIN', 79036),
(135311, 'PTHR47263:SF1', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE ACTIVATION PROTEIN GIT1', 79037),
(135312, 'PTHR16017:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 70', 79038),
(135313, 'PTHR23510:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG20861', 79039),
(135314, 'PTHR46031:SF24', NULL, NULL, NULL, NULL, 'BNAA09G24500D PROTEIN', 79040),
(135315, 'PTHR24414:SF125', NULL, NULL, NULL, NULL, 'BNAA03G49530D PROTEIN', 79041),
(135316, 'PTHR31625:SF66', NULL, NULL, NULL, NULL, 'BNAC02G38050D PROTEIN', 79042),
(135317, 'PTHR39191', NULL, NULL, NULL, NULL, 'GALACTOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', 79043),
(135318, 'PTHR11937:SF396', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79044),
(135319, 'PTHR21576:SF81', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 79045),
(135320, 'PTHR36586:SF23', NULL, NULL, NULL, NULL, 'EXTENSIN-2-LIKE', 79046),
(135321, 'PTHR23013:SF20', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 79047),
(135322, 'PTHR28450', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP B PROTEIN', 79048),
(135323, 'PTHR21496:SF19', NULL, NULL, NULL, NULL, 'SI:CH211-212D10.2', 79049),
(135324, 'PTHR23421:SF165', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 79050),
(135325, 'PTHR31895:SF11', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', 79051),
(135326, 'PTHR12187:SF3', NULL, NULL, NULL, NULL, 'TYPE II INOSITOL 3,4-BISPHOSPHATE 4-PHOSPHATASE', 79052),
(135327, 'PTHR15495', NULL, NULL, NULL, NULL, 'NEGATIVE REGULATOR OF VESICLE FORMATION-RELATED', 79053),
(135328, 'PTHR15390:SF0', NULL, NULL, NULL, NULL, 'NEUROMEDIN-U', 79054),
(135329, 'PTHR12904', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 79055),
(135330, 'PTHR23028:SF125', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE', 79056),
(135331, 'PTHR13906:SF21', NULL, NULL, NULL, NULL, 'MEMBRANE BOUND O-ACYL TRANSFERASE, MBOAT-RELATED', 79057),
(135332, 'PTHR33052:SF14', NULL, NULL, NULL, NULL, 'OS01G0826800 PROTEIN', 79058),
(135333, 'PTHR10891:SF859', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER MEMBRANE REGION, EF-HAND DOMAIN PAIR-RELATED', 79059); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(135334, 'PTHR10783:SF105', NULL, NULL, NULL, NULL, 'BNAA02G35630D PROTEIN', 79060),
(135335, 'PTHR12694:SF17', NULL, NULL, NULL, NULL, 'BNAA08G28950D PROTEIN', 79061),
(135336, 'PTHR22604:SF115', NULL, NULL, NULL, NULL, 'DIHYDRODIOL DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G07520)-RELATED', 79062),
(135337, 'PTHR48002:SF136', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 79063),
(135338, 'PTHR12300:SF119', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN B', 79064),
(135339, 'PTHR14611:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79065),
(135340, 'PTHR23024:SF176', NULL, NULL, NULL, NULL, 'ACETYL ESTERASE', 79066),
(135341, 'PTHR31651:SF31', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER', 79067),
(135342, 'PTHR33353:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79068),
(135343, 'PTHR10747:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR COE1', 79069),
(135344, 'PTHR12563', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', 79070),
(135345, 'PTHR27002:SF807', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 79071),
(135346, 'PTHR33021:SF392', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 3', 79072),
(135347, 'PTHR46391:SF19', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', 79073),
(135348, 'PTHR33727', NULL, NULL, NULL, NULL, 'OS07G0446900 PROTEIN', 79074),
(135349, 'PTHR10527:SF65', NULL, NULL, NULL, NULL, 'TRANSPORTIN 1 ISOFORM 1', 79075),
(135350, 'PTHR37446', NULL, NULL, NULL, NULL, 'CLAUDIN-LIKE IN CAENORHABDITIS', 79076),
(135351, 'PTHR32018:SF6', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', 79077),
(135352, 'PTHR47966:SF15', NULL, NULL, NULL, NULL, 'FUNGAL PROTEINASE A, ASPARTIC PROTEINASE SUPERFAMILY PROTEIN', 79078),
(135353, 'PTHR11365', NULL, NULL, NULL, NULL, '5-OXOPROLINASE RELATED', 79079),
(135354, 'PTHR33621', NULL, NULL, NULL, NULL, 'ASPARTIC/GLUTAMIC ACID-RICH PROTEIN', 79080),
(135355, 'PTHR11691:SF67', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-14', 79081),
(135356, 'PTHR43880:SF10', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE 2', 79082),
(135357, 'PTHR10257:SF86', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 79083),
(135358, 'PTHR31636:SF3', NULL, NULL, NULL, NULL, 'GRAS FAMILY PROTEIN RAM1', 79084),
(135359, 'PTHR11913:SF62', NULL, NULL, NULL, NULL, 'BNAC08G47280D PROTEIN', 79085),
(135360, 'PTHR19375:SF311', NULL, NULL, NULL, NULL, 'SHOCK COGNATE 70 KDA PROTEIN, PUTATIVE, EXPRESSED-RELATED', 79086),
(135361, 'PTHR14949:SF27', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR-LIKE PROTEIN 8', 79087),
(135362, 'PTHR43670:SF83', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN, HSP20 FAMILY', 79088),
(135363, 'PTHR33826:SF4', NULL, NULL, NULL, NULL, 'F20B24.21', 79089),
(135364, 'PTHR11588:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79090),
(135365, 'PTHR35374:SF1', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 11A-LIKE', 79091),
(135366, 'PTHR48208', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN I', 79092),
(135367, 'PTHR46039:SF10', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE-RELATED', 79093),
(135368, 'PTHR10353:SF53', NULL, NULL, NULL, NULL, 'BETA-1,4-GLUCOSIDASE (EUROFUNG)', 79094),
(135369, 'PTHR31541:SF25', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF313)-RELATED', 79095),
(135370, 'PTHR23068:SF13', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE 3-LIKE', 79096),
(135371, 'PTHR47998:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79097),
(135372, 'PTHR34480:SF14', NULL, NULL, NULL, NULL, 'OS01G0967800 PROTEIN', 79098),
(135373, 'PTHR46662:SF42', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', 79099),
(135374, 'PTHR11850:SF303', NULL, NULL, NULL, NULL, 'ELK DOMAIN, KNOX1, KNOX2, HOMEOBOX KN DOMAIN, HOMEODOMAIN-LIKE PROTEIN-RELATED', 79100),
(135375, 'PTHR46252:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79101),
(135376, 'PTHR19316:SF32', NULL, NULL, NULL, NULL, 'NUCLEOTIDE EXCHANGE FACTOR SIL1', 79102),
(135377, 'PTHR24073:SF1146', NULL, NULL, NULL, NULL, 'GTPASE, PUTATIVE-RELATED', 79103); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(135378, 'PTHR45950:SF21', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX10', 79104),
(135379, 'PTHR21016:SF20', NULL, NULL, NULL, NULL, 'TM2 DOMAIN-CONTAINING PROTEIN DDB_G0287015', 79105),
(135380, 'PTHR16677:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-286O17.1', 79106),
(135381, 'PTHR23288:SF38', NULL, NULL, NULL, NULL, 'OCCLUDIN', 79107),
(135382, 'PTHR36691', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 247', 79108),
(135383, 'PTHR15191:SF7', NULL, NULL, NULL, NULL, 'PTTG1-INTERACTING PROTEIN A-RELATED', 79109),
(135384, 'PTHR23113:SF35', NULL, NULL, NULL, NULL, 'RAL GUANINE NUCLEOTIDE DISSOCIATION STIMULATOR', 79110),
(135385, 'PTHR43900:SF60', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F5', 79111),
(135386, 'PTHR37300:SF1', NULL, NULL, NULL, NULL, 'UPF0291 PROTEIN CBO2609/CLC_2481', 79112),
(135387, 'PTHR18945:SF848', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR EXP-1', 79113),
(135388, 'PTHR47373:SF6', NULL, NULL, NULL, NULL, 'PHYTOCYSTATIN 2-RELATED', 79114),
(135389, 'PTHR43876:SF3', NULL, NULL, NULL, NULL, 'TRIHYDROXYTOLUENE OXYGENASE (AFU_ORTHOLOGUE AFUA_8G02470)', 79115),
(135390, 'PTHR31190:SF299', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF098-LIKE', 79116),
(135391, 'PTHR31181:SF73', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED PROTEIN 1.1', 79117),
(135392, 'PTHR47447:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79118),
(135393, 'PTHR23089:SF40', NULL, NULL, NULL, NULL, 'ADENYLYLSULFATASE HINT1', 79119),
(135394, 'PTHR16003', NULL, NULL, NULL, NULL, 'C9ORF40 ISOFORM 1', 79120),
(135395, 'PTHR11769:SF7', NULL, NULL, NULL, NULL, 'HYALURONIDASE-4', 79121),
(135396, 'PTHR45649:SF28', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 79122),
(135397, 'PTHR45763:SF11', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 79123),
(135398, 'PTHR40623:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79124),
(135399, 'PTHR47213', NULL, NULL, NULL, NULL, 'OS07G0567300 PROTEIN', 79125),
(135400, 'PTHR47846:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79126),
(135401, 'PTHR32026:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79127),
(135402, 'PTHR45959:SF33', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 79128),
(135403, 'PTHR46366:SF1', NULL, NULL, NULL, NULL, 'PRO-APOPTOTIC SERINE PROTEASE NMA111', 79129),
(135404, 'PTHR32468:SF102', NULL, NULL, NULL, NULL, 'OS08G0117800 PROTEIN', 79130),
(135405, 'PTHR10579:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79131),
(135406, 'PTHR24015:SF1825', NULL, NULL, NULL, NULL, 'OSJNBB0070J16.5 PROTEIN', 79132),
(135407, 'PTHR31343:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79133),
(135408, 'PTHR31376:SF58', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 12-RELATED', 79134),
(135409, 'PTHR23070:SF9', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CHAPERONE BCS1-A-RELATED', 79135),
(135410, 'PTHR31376:SF16', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 9-RELATED', 79136),
(135411, 'PTHR33751:SF1', NULL, NULL, NULL, NULL, 'CBB3-TYPE CYTOCHROME C OXIDASE SUBUNIT FIXP', 79137),
(135412, 'PTHR43706:SF33', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 79138),
(135413, 'PTHR12197:SF284', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79139),
(135414, 'PTHR31741:SF4', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 28', 79140),
(135415, 'PTHR46506:SF3', NULL, NULL, NULL, NULL, 'PROTEIN GOS9', 79141),
(135416, 'PTHR47924:SF43', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 79142),
(135417, 'PTHR46422', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE BSL3', 79143),
(135418, 'PTHR45627:SF22', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', 79144),
(135419, 'PTHR43775:SF7', NULL, NULL, NULL, NULL, 'FATTY ACID SYNTHASE', 79145),
(135420, 'PTHR39330:SF1', NULL, NULL, NULL, NULL, 'ETHANOLAMINE AMMONIA-LYASE LIGHT CHAIN', 79146),
(135421, 'PTHR48002:SF8', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 79147),
(135422, 'PTHR10460:SF34', NULL, NULL, NULL, NULL, 'PROTEIN ABIL2-LIKE ISOFORM X1', 79148);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(135423, 'PTHR30204:SF66', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ZNTR', 79149),
(135424, 'PTHR18947:SF39', NULL, NULL, NULL, NULL, 'PROTEIN HOOK', 79150),
(135425, 'PTHR10794:SF44', NULL, NULL, NULL, NULL, 'MEDIUM-CHAIN FATTY ACID ETHYL ESTER SYNTHASE/ESTERASE 1-RELATED', 79151),
(135426, 'PTHR45621:SF120', NULL, NULL, NULL, NULL, 'PROTEIN KINASE APK1B, CHLOROPLASTIC', 79152),
(135427, 'PTHR47858:SF3', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE', 79153),
(135428, 'PTHR48084:SF3', NULL, NULL, NULL, NULL, 'SUBUNIT OF PYRUVATE:FLAVODOXIN OXIDOREDUCTASE-RELATED', 79154),
(135429, 'PTHR34194:SF14', NULL, NULL, NULL, NULL, 'OSJNBA0055H05.9 PROTEIN', 79155),
(135430, 'PTHR12428:SF48', NULL, NULL, NULL, NULL, 'BNAA09G28180D PROTEIN', 79156),
(135431, 'PTHR14791:SF42', NULL, NULL, NULL, NULL, 'F16L1.2 PROTEIN', 79157),
(135432, 'PTHR43575', NULL, NULL, NULL, NULL, 'PROTEIN ABCI7, CHLOROPLASTIC', 79158),
(135433, 'PTHR15094:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79159),
(135434, 'PTHR12506:SF65', NULL, NULL, NULL, NULL, 'BNAC03G34690D PROTEIN', 79160),
(135435, 'PTHR35479', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 79161),
(135436, 'PTHR24260:SF110', NULL, NULL, NULL, NULL, 'GH19262P', 79162),
(135437, 'PTHR11709:SF413', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', 79163),
(135438, 'PTHR46993:SF6', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 79164),
(135439, 'PTHR24180:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 45', 79165),
(135440, 'PTHR44267:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 43', 79166),
(135441, 'PTHR36549', NULL, NULL, NULL, NULL, 'LYSINE-RICH ARABINOGALACTAN PROTEIN 19', 79167),
(135442, 'PTHR23155:SF1071', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPP13-LIKE PROTEIN 1-RELATED', 79168),
(135443, 'PTHR46976', NULL, NULL, NULL, NULL, 'PROTEIN ARABIDILLO 1', 79169),
(135444, 'PTHR33095:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79170),
(135445, 'PTHR44259:SF33', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE PROTEIN-RELATED', 79171),
(135446, 'PTHR18896:SF171', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA', 79172),
(135447, 'PTHR22601:SF82', NULL, NULL, NULL, NULL, 'BNAC03G15000D PROTEIN', 79173),
(135448, 'PTHR26453:SF93', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 79174),
(135449, 'PTHR10775:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79175),
(135450, 'PTHR10855:SF8', NULL, NULL, NULL, NULL, 'BNAC09G46790D PROTEIN', 79176),
(135451, 'PTHR11206:SF196', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 79177),
(135452, 'PTHR45614:SF6', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 79178),
(135453, 'PTHR11442:SF79', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT ALPHA-3', 79179),
(135454, 'PTHR14319', NULL, NULL, NULL, NULL, 'FIVE-SPAN TRANSMEMBRANE PROTEIN M83', 79180),
(135455, 'PTHR31403:SF44', NULL, NULL, NULL, NULL, 'GALACTOLIPASE DONGLE, CHLOROPLASTIC-LIKE', 79181),
(135456, 'PTHR24064:SF530', NULL, NULL, NULL, NULL, 'GH28654P', 79182),
(135457, 'PTHR45821:SF11', NULL, NULL, NULL, NULL, 'OS02G0650800 PROTEIN', 79183),
(135458, 'PTHR42647:SF47', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 1-LIKE', 79184),
(135459, 'PTHR10656:SF47', NULL, NULL, NULL, NULL, 'PROTEIN MB21D2', 79185),
(135460, 'PTHR11993:SF41', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE SUBUNIT 7', 79186),
(135461, 'PTHR13848:SF66', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 79187),
(135462, 'PTHR11496:SF95', NULL, NULL, NULL, NULL, 'PROPANEDIOL UTILIZATION PROPANOL DEHYDROGENASE', 79188),
(135463, 'PTHR27002:SF855', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 79189),
(135464, 'PTHR31989:SF283', NULL, NULL, NULL, NULL, 'BNAANNG41940D PROTEIN', 79190),
(135465, 'PTHR47965:SF28', NULL, NULL, NULL, NULL, 'BASIC 7S GLOBULIN', 79191),
(135466, 'PTHR31907:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79192),
(135467, 'PTHR36361', NULL, NULL, NULL, NULL, 'PROTEIN APEM9', 79193),
(135468, 'PTHR24073:SF1131', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABJ', 79194);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(135469, 'PTHR11709:SF88', NULL, NULL, NULL, NULL, 'LACCASE', 79195),
(135470, 'PTHR33052:SF159', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', 79196),
(135471, 'PTHR13817:SF88', NULL, NULL, NULL, NULL, 'CONTACTIN 6', 79197),
(135472, 'PTHR14255:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79198),
(135473, 'PTHR11334:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79199),
(135474, 'PTHR45934:SF7', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', 79200),
(135475, 'PTHR31674:SF62', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM-LIKE 3-RELATED', 79201),
(135476, 'PTHR43325', NULL, NULL, NULL, NULL, 'BLR4156 PROTEIN', 79202),
(135477, 'PTHR14374', NULL, NULL, NULL, NULL, 'FOIE GRAS', 79203),
(135478, 'PTHR31190:SF89', NULL, NULL, NULL, NULL, 'OS07G0227600 PROTEIN', 79204),
(135479, 'PTHR44656', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 12', 79205),
(135480, 'PTHR31541:SF47', NULL, NULL, NULL, NULL, 'BNACNNG75730D PROTEIN', 79206),
(135481, 'PTHR22803:SF113', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 79207),
(135482, 'PTHR33057:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP12', 79208),
(135483, 'PTHR32044:SF17', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 2', 79209),
(135484, 'PTHR12002:SF102', NULL, NULL, NULL, NULL, 'CLAUDIN 34B1-RELATED', 79210),
(135485, 'PTHR33347:SF34', NULL, NULL, NULL, NULL, 'BNAA09G14630D PROTEIN', 79211),
(135486, 'PTHR31282:SF116', NULL, NULL, NULL, NULL, 'WRKY74-SUPERFAMILY OF TFS HAVING WRKY AND ZINC FINGER DOMAINS', 79212),
(135487, 'PTHR37358', NULL, NULL, NULL, NULL, 'MUCIN-20', 79213),
(135488, 'PTHR16196:SF0', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR CWC25 HOMOLOG', 79214),
(135489, 'PTHR31948:SF58', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 8', 79215),
(135490, 'PTHR31169:SF8', NULL, NULL, NULL, NULL, 'OS05G0300700 PROTEIN', 79216),
(135491, 'PTHR31876:SF23', NULL, NULL, NULL, NULL, 'PROTEIN LIKE COV 3', 79217),
(135492, 'PTHR33881:SF10', NULL, NULL, NULL, NULL, 'MTN26', 79218),
(135493, 'PTHR24320:SF118', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G14310)', 79219),
(135494, 'PTHR37952', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 79220),
(135495, 'PTHR31780:SF1', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN NST1', 79221),
(135496, 'PTHR11679:SF30', NULL, NULL, NULL, NULL, 'PROTEIN ROP', 79222),
(135497, 'PTHR35562', NULL, NULL, NULL, NULL, 'DNA ENDONUCLEASE SMRA-RELATED', 79223),
(135498, 'PTHR33122:SF66', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 79224),
(135499, 'PTHR31549:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79225),
(135500, 'PTHR47956:SF86', NULL, NULL, NULL, NULL, 'PREMNASPIRODIENE OXYGENASE-LIKE', 79226),
(135501, 'PTHR33044:SF12', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN C6', 79227),
(135502, 'PTHR23429:SF10', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE 3, CHLOROPLASTIC', 79228),
(135503, 'PTHR31867:SF167', NULL, NULL, NULL, NULL, 'EXPANSIN', 79229),
(135504, 'PTHR12942:SF5', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR SLU7', 79230),
(135505, 'PTHR22966:SF38', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 1', 79231),
(135506, 'PTHR11937:SF483', NULL, NULL, NULL, NULL, 'ACTIN-7-RELATED', 79232),
(135507, 'PTHR45974:SF65', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', 79233),
(135508, 'PTHR38429:SF1', NULL, NULL, NULL, NULL, 'SEPTATION PROTEIN SPOVG-RELATED', 79234),
(135509, 'PTHR45686:SF16', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN GCS1', 79235),
(135510, 'PTHR12374:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79236),
(135511, 'PTHR31375:SF247', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', 79237),
(135512, 'PTHR12277:SF56', NULL, NULL, NULL, NULL, 'PROTEIN CBG22222', 79238),
(135513, 'PTHR45080:SF8', NULL, NULL, NULL, NULL, 'CONTACTIN 5', 79239),
(135514, 'PTHR31269:SF50', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH4', 79240);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(135515, 'PTHR11538:SF82', NULL, NULL, NULL, NULL, 'OS09G0479400 PROTEIN', 79241),
(135516, 'PTHR40237', NULL, NULL, NULL, NULL, 'LD44813P', 79242),
(135517, 'PTHR47925:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79243),
(135518, 'PTHR45763:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79244),
(135519, 'PTHR31503:SF49', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', 79245),
(135520, 'PTHR45666:SF39', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE-RELATED', 79246),
(135521, 'PTHR43895:SF111', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 79247),
(135522, 'PTHR31731:SF135', NULL, NULL, NULL, NULL, 'OS02G0662000 PROTEIN', 79248),
(135523, 'PTHR34383:SF1', NULL, NULL, NULL, NULL, 'POLYPHOSPHATE:GDP PHOSPHOTRANSFERASE', 79249),
(135524, 'PTHR36334:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF2358)-RELATED', 79250),
(135525, 'PTHR23505:SF85', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', 79251),
(135526, 'PTHR45613:SF9', NULL, NULL, NULL, NULL, 'OS03G0736200 PROTEIN', 79252),
(135527, 'PTHR13793:SF145', NULL, NULL, NULL, NULL, 'OS02G0768750 PROTEIN', 79253),
(135528, 'PTHR43539:SF56', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 79254),
(135529, 'PTHR11938:SF1', NULL, NULL, NULL, NULL, 'FERREDOXIN-DEPENDENT GLUTAMATE SYNTHASE 1, CHLOROPLASTIC/MITOCHONDRIAL', 79255),
(135530, 'PTHR24229:SF51', NULL, NULL, NULL, NULL, 'ALLATOSTATIN C RECEPTOR 1-RELATED', 79256),
(135531, 'PTHR11346:SF102', NULL, NULL, NULL, NULL, 'GALECTIN', 79257),
(135532, 'PTHR24103:SF602', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 101', 79258),
(135533, 'PTHR19325:SF518', NULL, NULL, NULL, NULL, 'P-SELECTIN-LIKE', 79259),
(135534, 'PTHR23412:SF15', NULL, NULL, NULL, NULL, 'MESOTHELIN-LIKE PROTEIN', 79260),
(135535, 'PTHR45666:SF20', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 10', 79261),
(135536, 'PTHR10643', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN NDC80', 79262),
(135537, 'PTHR48055:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1', 79263),
(135538, 'PTHR31735', NULL, NULL, NULL, NULL, 'VACUOLAR MEMBRANE PROTEIN YPL162C', 79264),
(135539, 'PTHR24320:SF124', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 79265),
(135540, 'PTHR34395:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79266),
(135541, 'PTHR43775:SF5', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE (JCVI)-RELATED', 79267),
(135542, 'PTHR10527:SF78', NULL, NULL, NULL, NULL, 'BNAC09G37860D PROTEIN', 79268),
(135543, 'PTHR10472:SF1', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE 2', 79269),
(135544, 'PTHR34203:SF8', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 79270),
(135545, 'PTHR32295:SF212', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 12', 79271),
(135546, 'PTHR46001:SF2', NULL, NULL, NULL, NULL, 'TIAM (MAMMALIAN TUMOR INVASION AND METASTASIS FACTOR) HOMOLOG', 79272),
(135547, 'PTHR43767:SF8', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE', 79273),
(135548, 'PTHR47497', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 8', 79274),
(135549, 'PTHR20931:SF5', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 30A1', 79275),
(135550, 'PTHR31568:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79276),
(135551, 'PTHR10641:SF1103', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB72', 79277),
(135552, 'PTHR23272:SF135', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 3-LIKE', 79278),
(135553, 'PTHR19328:SF32', NULL, NULL, NULL, NULL, 'HHIP-LIKE PROTEIN 1', 79279),
(135554, 'PTHR31225:SF129', NULL, NULL, NULL, NULL, 'BNAC01G41830D PROTEIN', 79280),
(135555, 'PTHR24012:SF466', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 1-LIKE', 79281),
(135556, 'PTHR47977:SF33', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-27B', 79282),
(135557, 'PTHR10795:SF576', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79283),
(135558, 'PTHR31190:SF263', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 79284);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(135559, 'PTHR31669:SF228', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 8', 79285),
(135560, 'PTHR11064:SF143', NULL, NULL, NULL, NULL, 'BNAA06G35340D PROTEIN', 79286),
(135561, 'PTHR31642:SF212', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79287),
(135562, 'PTHR16188:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 14A', 79288),
(135563, 'PTHR11388:SF100', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', 79289),
(135564, 'PTHR33451', NULL, NULL, NULL, NULL, 'MALATE-2H(+)/NA(+)-LACTATE ANTIPORTER', 79290),
(135565, 'PTHR43859:SF35', NULL, NULL, NULL, NULL, 'BUTYRATE--COA LIGASE AAE11, PEROXISOMAL-LIKE', 79291),
(135566, 'PTHR33966:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ODR-4 HOMOLOG', 79292),
(135567, 'PTHR31630:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79293),
(135568, 'PTHR11176:SF21', NULL, NULL, NULL, NULL, 'OS01G0958500 PROTEIN', 79294),
(135569, 'PTHR10110:SF56', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 5', 79295),
(135570, 'PTHR11439:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79296),
(135571, 'PTHR42817', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE GLIT (AFU_ORTHOLOGUE AFUA_6G09740)', 79297),
(135572, 'PTHR33128:SF39', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN-LIKE', 79298),
(135573, 'PTHR10315:SF104', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 79299),
(135574, 'PTHR31321:SF85', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 79300),
(135575, 'PTHR10858:SF22', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE II FAMILY PROTEIN', 79301),
(135576, 'PTHR11214:SF110', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 79302),
(135577, 'PTHR31808:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 79303),
(135578, 'PTHR28242:SF30', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 2', 79304),
(135579, 'PTHR45675:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB57', 79305),
(135580, 'PTHR11017:SF267', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 79306),
(135581, 'PTHR19441:SF33', NULL, NULL, NULL, NULL, 'ACTIVATED MACROPHAGE/MICROGLIA WAP DOMAIN PROTEIN', 79307),
(135582, 'PTHR35792:SF2', NULL, NULL, NULL, NULL, 'GENERAL STRESS PROTEIN', 79308),
(135583, 'PTHR18861:SF0', NULL, NULL, NULL, NULL, 'BRUCHPILOT, ISOFORM J', 79309),
(135584, 'PTHR47763:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 79310),
(135585, 'PTHR10476:SF4', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 2A', 79311),
(135586, 'PTHR47175', NULL, NULL, NULL, NULL, 'LIPASE ATG15-RELATED', 79312),
(135587, 'PTHR24058:SF123', NULL, NULL, NULL, NULL, 'BNAC04G29850D PROTEIN', 79313),
(135588, 'PTHR47208', NULL, NULL, NULL, NULL, 'OS02G0174800 PROTEIN', 79314),
(135589, 'PTHR24369:SF163', NULL, NULL, NULL, NULL, 'MATRIX-REMODELLING-ASSOCIATED 5B', 79315),
(135590, 'PTHR48014:SF9', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE 1-RELATED', 79316),
(135591, 'PTHR34817:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79317),
(135592, 'PTHR31953:SF80', NULL, NULL, NULL, NULL, 'BNAA09G10560D PROTEIN', 79318),
(135593, 'PTHR11165:SF103', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 1A', 79319),
(135594, 'PTHR45974:SF150', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 57', 79320),
(135595, 'PTHR11599:SF172', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 79321),
(135596, 'PTHR37456:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79322),
(135597, 'PTHR12863:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79323),
(135598, 'PTHR45934:SF2', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', 79324),
(135599, 'PTHR15827:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 2-INTERACTING PROTEIN', 79325),
(135600, 'PTHR24124:SF11', NULL, NULL, NULL, NULL, 'LP07441P', 79326),
(135601, 'PTHR46451', NULL, NULL, NULL, NULL, 'RAS-RESPONSIVE ELEMENT-BINDING PROTEIN 1', 79327),
(135602, 'PTHR11814:SF201', NULL, NULL, NULL, NULL, 'EARLY NODULIN-70', 79328),
(135603, 'PTHR47960:SF15', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 12', 79329);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(135604, 'PTHR24068:SF44', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 D2B-RELATED', 79330),
(135605, 'PTHR31301:SF155', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 36-LIKE', 79331),
(135606, 'PTHR33751', NULL, NULL, NULL, NULL, 'CBB3-TYPE CYTOCHROME C OXIDASE SUBUNIT FIXP', 79332),
(135607, 'PTHR11592:SF49', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 1', 79333),
(135608, 'PTHR31712', NULL, NULL, NULL, NULL, 'DIETARY RESTRICTION OVER EXPRESSED', 79334),
(135609, 'PTHR46521:SF7', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 1-RELATED', 79335),
(135610, 'PTHR31140:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79336),
(135611, 'PTHR24240:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79337),
(135612, 'PTHR23502:SF35', NULL, NULL, NULL, NULL, 'BICYCLOMYCIN RESISTANCE PROTEIN', 79338),
(135613, 'PTHR31681:SF35', NULL, NULL, NULL, NULL, 'POLY(ADP-RIBOSE) POLYMERASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 79339),
(135614, 'PTHR36741:SF1', NULL, NULL, NULL, NULL, 'OS07G0100500 PROTEIN', 79340),
(135615, 'PTHR43245', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL POLYMYXIN RESISTANCE PROTEIN ARNA', 79341),
(135616, 'PTHR31846:SF7', NULL, NULL, NULL, NULL, 'CRS1 / YHBY (CRM) DOMAIN-CONTAINING PROTEIN', 79342),
(135617, 'PTHR13690:SF124', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR POSF21-RELATED', 79343),
(135618, 'PTHR37243', NULL, NULL, NULL, NULL, 'NEGATIVE REGULATOR OF SYSTEMIC ACQUIRED RESISTANCE SNI1', 79344),
(135619, 'PTHR40736', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 79345),
(135620, 'PTHR45964:SF3', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN 2', 79346),
(135621, 'PTHR14519:SF5', NULL, NULL, NULL, NULL, 'VITAMIN K EPOXIDE REDUCTASE COMPLEX SUBUNIT 1-LIKE PROTEIN 1', 79347),
(135622, 'PTHR43674:SF4', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN N-ACYLTRANSFERASE', 79348),
(135623, 'PTHR13814:SF16', NULL, NULL, NULL, NULL, 'CYSTATIN', 79349),
(135624, 'PTHR19331:SF462', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79350),
(135625, 'PTHR30307:SF0', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE:TRNA RIBOSYLTRANSFERASE-ISOMERASE', 79351),
(135626, 'PTHR43711:SF21', NULL, NULL, NULL, NULL, 'HYBRID SENSORY KINASE', 79352),
(135627, 'PTHR47387:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79353),
(135628, 'PTHR38743:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO GLYOXYLASE I FAMILY PROTEIN', 79354),
(135629, 'PTHR10153:SF37', NULL, NULL, NULL, NULL, 'SMALL CONDUCTANCE CALCIUM-ACTIVATED POTASSIUM CHANNEL-LIKE PROTEIN 3', 79355),
(135630, 'PTHR17097:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 SUBUNIT C1, MITOCHONDRIAL', 79356),
(135631, 'PTHR31282:SF125', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 22', 79357),
(135632, 'PTHR45714:SF45', NULL, NULL, NULL, NULL, 'BNAANNG16680D PROTEIN', 79358),
(135633, 'PTHR10928:SF2', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF FUSED HOMOLOG', 79359),
(135634, 'PTHR11772:SF17', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE (EUROFUNG)', 79360),
(135635, 'PTHR20961:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79361),
(135636, 'PTHR46038:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79362),
(135637, 'PTHR43213:SF4', NULL, NULL, NULL, NULL, '7-METHYL-GTP PYROPHOSPHATASE', 79363),
(135638, 'PTHR46282', NULL, NULL, NULL, NULL, 'LEUCINE-RICH MELANOCYTE DIFFERENTIATION-ASSOCIATED PROTEIN', 79364),
(135639, 'PTHR24412:SF396', NULL, NULL, NULL, NULL, 'INFLUENZA VIRUS NS1A-BINDING PROTEIN', 79365),
(135640, 'PTHR22849:SF147', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 79366),
(135641, 'PTHR13931', NULL, NULL, NULL, NULL, 'UBIQUITINATION FACTOR E4', 79367),
(135642, 'PTHR43107:SF20', NULL, NULL, NULL, NULL, 'FATTY ACID TRANSPORTER/ACYL-COA SYNTHETASE (FAT1), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G11360)-RELATED', 79368),
(135643, 'PTHR39112:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79369),
(135644, 'PTHR46338:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 8', 79370),
(135645, 'PTHR48019:SF23', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL23', 79371);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(135646, 'PTHR35586', NULL, NULL, NULL, NULL, 'SLL1691 PROTEIN', 79372),
(135647, 'PTHR10031:SF31', NULL, NULL, NULL, NULL, 'ATP SYNTHASE F(0) COMPLEX SUBUNIT C2, MITOCHONDRIAL', 79373),
(135648, 'PTHR31282:SF83', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 38-RELATED', 79374),
(135649, 'PTHR22883:SF333', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 79375),
(135650, 'PTHR11926:SF1147', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 74E1-RELATED', 79376),
(135651, 'PTHR33044:SF144', NULL, NULL, NULL, NULL, 'PROTEIN YLS3-LIKE', 79377),
(135652, 'PTHR31308', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 79378),
(135653, 'PTHR37191', NULL, NULL, NULL, NULL, 'ZINC FINGER/BTB DOMAIN PROTEIN', 79379),
(135654, 'PTHR31945:SF52', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', 79380),
(135655, 'PTHR13199:SF12', NULL, NULL, NULL, NULL, 'PROTEIN FAM214B', 79381),
(135656, 'PTHR11654:SF59', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.11', 79382),
(135657, 'PTHR43601:SF20', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN YDFQ', 79383),
(135658, 'PTHR32295:SF198', NULL, NULL, NULL, NULL, 'BNAC02G02790D PROTEIN', 79384),
(135659, 'PTHR18863:SF6', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN CONTAINING 170', 79385),
(135660, 'PTHR21659:SF92', NULL, NULL, NULL, NULL, 'SALT AND LOW TEMPERATURE RESPONSE PROTEIN', 79386),
(135661, 'PTHR11654:SF504', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.7', 79387),
(135662, 'PTHR33101:SF33', NULL, NULL, NULL, NULL, 'OS05G0454200 PROTEIN', 79388),
(135663, 'PTHR22999:SF35', NULL, NULL, NULL, NULL, 'PHOX DOMAIN-CONTAINING PROTEIN-RELATED', 79389),
(135664, 'PTHR45663:SF29', NULL, NULL, NULL, NULL, 'BNACNNG16050D PROTEIN', 79390),
(135665, 'PTHR24251:SF21', NULL, NULL, NULL, NULL, 'OVOCHYMASE-1', 79391),
(135666, 'PTHR24064:SF542', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79392),
(135667, 'PTHR43789', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 1-RELATED', 79393),
(135668, 'PTHR33775', NULL, NULL, NULL, NULL, 'CARDIAC-ENRICHED FHL2-INTERACTING PROTEIN-RELATED', 79394),
(135669, 'PTHR47125:SF2', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 79395),
(135670, 'PTHR11690:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79396),
(135671, 'PTHR30341', NULL, NULL, NULL, NULL, 'SODIUM ION/PROTON ANTIPORTER NHAA-RELATED', 79397),
(135672, 'PTHR11909:SF409', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 2', 79398),
(135673, 'PTHR10807:SF123', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-3-PHOSPHATASE MYOTUBULARIN-1', 79399),
(135674, 'PTHR31790:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79400),
(135675, 'PTHR33377:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79401),
(135676, 'PTHR32468:SF81', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 19', 79402),
(135677, 'PTHR16521', NULL, NULL, NULL, NULL, 'TYPE-1 ANGIOTENSIN II RECEPTOR-ASSOCIATED PROTEIN', 79403),
(135678, 'PTHR19424:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79404),
(135679, 'PTHR19443:SF18', NULL, NULL, NULL, NULL, 'HEXOKINASE-LIKE 2 PROTEIN-RELATED', 79405),
(135680, 'PTHR11629:SF103', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 79406),
(135681, 'PTHR33988:SF3', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE TOXIN CHPB-RELATED', 79407),
(135682, 'PTHR45287', NULL, NULL, NULL, NULL, 'OS03G0691500 PROTEIN', 79408),
(135683, 'PTHR13068:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79409),
(135684, 'PTHR23189:SF84', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 4', 79410),
(135685, 'PTHR30055:SF159', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YJDC', 79411),
(135686, 'PTHR31223:SF57', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 79412),
(135687, 'PTHR10795:SF409', NULL, NULL, NULL, NULL, 'OS03G0119300 PROTEIN', 79413),
(135688, 'PTHR31238:SF144', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 2 MEMBER 1', 79414),
(135689, 'PTHR37574:SF1', NULL, NULL, NULL, NULL, 'LIPASE B', 79415),
(135690, 'PTHR35779', NULL, NULL, NULL, NULL, 'PH-RESPONSE REGULATOR PROTEIN PALH/RIM21', 79416);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(135691, 'PTHR11486:SF30', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', 79417),
(135692, 'PTHR11802:SF396', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE, PUTATIVE-RELATED', 79418),
(135693, 'PTHR15204:SF7', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN DSK2-LIKE ISOFORM X1', 79419),
(135694, 'PTHR32448:SF82', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 10', 79420),
(135695, 'PTHR46913', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL16', 79421),
(135696, 'PTHR23087:SF25', NULL, NULL, NULL, NULL, 'DRESDEN PROSTATE CARCINOMA PROTEIN 2-RELATED', 79422),
(135697, 'PTHR45733:SF8', NULL, NULL, NULL, NULL, 'FORMIN-J', 79423),
(135698, 'PTHR45675:SF69', NULL, NULL, NULL, NULL, 'BNAA10G12770D PROTEIN', 79424),
(135699, 'PTHR28572:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 103', 79425),
(135700, 'PTHR43767:SF1', NULL, NULL, NULL, NULL, 'ACYL--COA LIGASE YDAB-RELATED', 79426),
(135701, 'PTHR47067:SF3', NULL, NULL, NULL, NULL, 'BNAC06G13140D PROTEIN', 79427),
(135702, 'PTHR32011:SF2', NULL, NULL, NULL, NULL, 'OS08G0472400 PROTEIN', 79428),
(135703, 'PTHR16201:SF46', NULL, NULL, NULL, NULL, 'PQ-LOOP PROTEIN/TRANSMEMBRANE FAMILY PROTEIN', 79429),
(135704, 'PTHR33426:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79430),
(135705, 'PTHR36191:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79431),
(135706, 'PTHR15729:SF11', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 33', 79432),
(135707, 'PTHR30176:SF4', NULL, NULL, NULL, NULL, 'FERREDOXIN-TYPE PROTEIN NAPG', 79433),
(135708, 'PTHR46755:SF3', NULL, NULL, NULL, NULL, 'METHIONINE-R-SULFOXIDE REDUCTASE B1', 79434),
(135709, 'PTHR45930:SF1', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR A2', 79435),
(135710, 'PTHR22883:SF367', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 79436),
(135711, 'PTHR31828:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIBETA-LIKE', 79437),
(135712, 'PTHR23102', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 4-RELATED', 79438),
(135713, 'PTHR12236:SF76', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 76BB', 79439),
(135714, 'PTHR31960:SF18', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A14', 79440),
(135715, 'PTHR24241:SF164', NULL, NULL, NULL, NULL, 'PYROGLUTAMYLATED RFAMIDE PEPTIDE RECEPTOR 4', 79441),
(135716, 'PTHR48176', NULL, NULL, NULL, NULL, 'DDRGK DOMAIN-CONTAINING PROTEIN 1', 79442),
(135717, 'PTHR10579:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED CHLORIDE CHANNEL REGULATOR 4', 79443),
(135718, 'PTHR33983:SF1', NULL, NULL, NULL, NULL, 'OS07G0185900 PROTEIN', 79444),
(135719, 'PTHR31235:SF187', NULL, NULL, NULL, NULL, 'PEROXIDASE', 79445),
(135720, 'PTHR33239:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79446),
(135721, 'PTHR10502:SF104', NULL, NULL, NULL, NULL, 'ANNEXIN D1', 79447),
(135722, 'PTHR13806:SF43', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 79448),
(135723, 'PTHR46021', NULL, NULL, NULL, NULL, 'ARF-GAP WITH DUAL PH DOMAIN-CONTAINING PROTEIN 1-LIKE PROTEIN', 79449),
(135724, 'PTHR21689:SF5', NULL, NULL, NULL, NULL, 'PROTEIN ALWAYS EARLY 1-RELATED', 79450),
(135725, 'PTHR45764:SF11', NULL, NULL, NULL, NULL, 'LIGHT-INDUCIBLE PROTEIN CPRF-2', 79451),
(135726, 'PTHR21646:SF13', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 20', 79452),
(135727, 'PTHR48026:SF13', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEINS A2/B1', 79453),
(135728, 'PTHR43539:SF29', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 79454),
(135729, 'PTHR31508:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PITCHFORK', 79455),
(135730, 'PTHR46067:SF2', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, GNAT FAMILY PROTEIN, EXPRESSED', 79456),
(135731, 'PTHR24264:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79457),
(135732, 'PTHR46162:SF21', NULL, NULL, NULL, NULL, 'BNAA09G04300D PROTEIN', 79458),
(135733, 'PTHR31210:SF70', NULL, NULL, NULL, NULL, 'BNAA02G13400D PROTEIN', 79459),
(135734, 'PTHR43285:SF3', NULL, NULL, NULL, NULL, 'SLL1634 PROTEIN', 79460),
(135735, 'PTHR12358:SF39', NULL, NULL, NULL, NULL, 'OSJNBB0103I08.5 PROTEIN', 79461);
INSERT INTO "PUBLIC"."MODEL" VALUES
(135736, 'PTHR31770:SF9', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 19 MEMBER A3, C-C MOTIF CHEMOKINE LIKE', 79462),
(135737, 'PTHR12842:SF4', NULL, NULL, NULL, NULL, 'PROTEIN NOXP20', 79463),
(135738, 'PTHR34289:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF819)-RELATED', 79464),
(135739, 'PTHR33115:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79465),
(135740, 'PTHR31111:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79466),
(135741, 'PTHR24177:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79467),
(135742, 'PTHR24247:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79468),
(135743, 'PTHR10658:SF57', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN, BETA,-LIKE', 79469),
(135744, 'PTHR23257:SF861', NULL, NULL, NULL, NULL, 'BNAC07G16600D PROTEIN', 79470),
(135745, 'PTHR21676:SF1', NULL, NULL, NULL, NULL, 'PROTEIN STUM HOMOLOG', 79471),
(135746, 'PTHR31190:SF272', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', 79472),
(135747, 'PTHR43952:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79473),
(135748, 'PTHR47926:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79474),
(135749, 'PTHR33453:SF14', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 79475),
(135750, 'PTHR33448', NULL, NULL, NULL, NULL, 'CHLOROPLAST PROTEIN HCF243-RELATED', 79476),
(135751, 'PTHR35482', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT', 79477),
(135752, 'PTHR13044', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR  ATF  4/5', 79478),
(135753, 'PTHR10366:SF718', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN REDUCTASE-LIKE', 79479),
(135754, 'PTHR45270:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 79480),
(135755, 'PTHR13286:SF15', NULL, NULL, NULL, NULL, 'BNAA09G44220D PROTEIN', 79481),
(135756, 'PTHR24377:SF356', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 681', 79482),
(135757, 'PTHR23299:SF45', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1E', 79483),
(135758, 'PTHR11986:SF112', NULL, NULL, NULL, NULL, 'PUTRESCINE AMINOTRANSFERASE', 79484),
(135759, 'PTHR15020:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79485),
(135760, 'PTHR46055:SF4', NULL, NULL, NULL, NULL, 'CIRCADIAN CLOCK PROTEIN PASD1', 79486),
(135761, 'PTHR30183:SF2', NULL, NULL, NULL, NULL, 'IRON UTILIZATION PROTEIN', 79487),
(135762, 'PTHR31585:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79488),
(135763, 'PTHR33144:SF16', NULL, NULL, NULL, NULL, 'OS10G0409366 PROTEIN', 79489),
(135764, 'PTHR32227:SF307', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-LIKE', 79490),
(135765, 'PTHR11206:SF173', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 79491),
(135766, 'PTHR46079:SF3', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 4A', 79492),
(135767, 'PTHR31008:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79493),
(135768, 'PTHR10963:SF27', NULL, NULL, NULL, NULL, 'GLYCOSIDASE CRH1-RELATED', 79494),
(135769, 'PTHR45085:SF3', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 79495),
(135770, 'PTHR35755', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 79496),
(135771, 'PTHR22835:SF502', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79497),
(135772, 'PTHR13360', NULL, NULL, NULL, NULL, 'ACTIVATING SIGNAL COINTEGRATOR 1 COMPLEX SUBUNIT 1', 79498),
(135773, 'PTHR11431:SF42', NULL, NULL, NULL, NULL, 'FERRITIN', 79499),
(135774, 'PTHR10082:SF36', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-7', 79500),
(135775, 'PTHR19325:SF532', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79501),
(135776, 'PTHR21596:SF68', NULL, NULL, NULL, NULL, 'BNAA09G56520D PROTEIN', 79502),
(135777, 'PTHR46740:SF1', NULL, NULL, NULL, NULL, 'DYAD PROTEIN', 79503),
(135778, 'PTHR11581:SF31', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', 79504),
(135779, 'PTHR12236:SF78', NULL, NULL, NULL, NULL, 'PRO-RESILIN-LIKE PROTEIN', 79505),
(135780, 'PTHR11785:SF515', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 7 MEMBER 5', 79506),
(135781, 'PTHR31907:SF23', NULL, NULL, NULL, NULL, 'KIROLA-LIKE ISOFORM X1', 79507); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(135782, 'PTHR23068:SF25', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE DRM1', 79508),
(135783, 'PTHR37016:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79509),
(135784, 'PTHR30506', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN', 79510),
(135785, 'PTHR45624:SF38', NULL, NULL, NULL, NULL, 'BNAA06G40370D PROTEIN', 79511),
(135786, 'PTHR43888:SF7', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN APJ1', 79512),
(135787, 'PTHR24345:SF90', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 79513),
(135788, 'PTHR18884:SF70', NULL, NULL, NULL, NULL, 'SEPTIN', 79514),
(135789, 'PTHR45776:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E3', 79515),
(135790, 'PTHR11935:SF7', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE 2, CHLOROPLASTIC-RELATED', 79516),
(135791, 'PTHR35569:SF6', NULL, NULL, NULL, NULL, 'HYDRATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06270)-RELATED', 79517),
(135792, 'PTHR31072:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79518),
(135793, 'PTHR31942:SF90', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 79519),
(135794, 'PTHR45876:SF9', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACV', 79520),
(135795, 'PTHR46734:SF5', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR', 79521),
(135796, 'PTHR48002:SF139', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K13', 79522),
(135797, 'PTHR15941', NULL, NULL, NULL, NULL, 'MYOZENIN', 79523),
(135798, 'PTHR46251:SF4', NULL, NULL, NULL, NULL, 'RUN DOMAIN-CONTAINING PROTEIN 3A', 79524),
(135799, 'PTHR43400:SF7', NULL, NULL, NULL, NULL, '3-OXOSTEROID 1-DEHYDROGENASE', 79525),
(135800, 'PTHR22930:SF197', NULL, NULL, NULL, NULL, 'HARBINGER TRANSPOSASE-DERIVED PROTEIN-RELATED', 79526),
(135801, 'PTHR24072:SF156', NULL, NULL, NULL, NULL, 'RHO-RELATED BTB DOMAIN CONTAINING, ISOFORM B', 79527),
(135802, 'PTHR10315:SF94', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 79528),
(135803, 'PTHR46128:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79529),
(135804, 'PTHR12276:SF16', NULL, NULL, NULL, NULL, 'EPSIN-3', 79530),
(135805, 'PTHR24068:SF381', NULL, NULL, NULL, NULL, 'BNAA09G30000D PROTEIN', 79531),
(135806, 'PTHR10334:SF389', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', 79532),
(135807, 'PTHR47931:SF2', NULL, NULL, NULL, NULL, 'OS01G0228400 PROTEIN', 79533),
(135808, 'PTHR38736', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 79534),
(135809, 'PTHR23189:SF91', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15', 79535),
(135810, 'PTHR23036:SF174', NULL, NULL, NULL, NULL, 'INTERLEUKIN 2 RECEPTOR GAMMA COMMON.A-RELATED', 79536),
(135811, 'PTHR48012:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 25', 79537),
(135812, 'PTHR48024:SF33', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING PROTEIN (AFU_ORTHOLOGUE AFUA_8G05260)', 79538),
(135813, 'PTHR46891:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 79539),
(135814, 'PTHR24025:SF17', NULL, NULL, NULL, NULL, 'SI:DKEY-30K22.7', 79540),
(135815, 'PTHR38118', NULL, NULL, NULL, NULL, 'ANCHORED CELL WALL PROTEIN 11-RELATED', 79541),
(135816, 'PTHR37494:SF1', NULL, NULL, NULL, NULL, 'HEMAGGLUTININ', 79542),
(135817, 'PTHR32343:SF16', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 79543),
(135818, 'PTHR46698:SF4', NULL, NULL, NULL, NULL, 'CROSSVEINLESS 2', 79544),
(135819, 'PTHR43420:SF28', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE N(6'')-ACETYLTRANSFERASE TYPE 1', 79545),
(135820, 'PTHR10091:SF29', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 79546),
(135821, 'PTHR24347:SF394', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE 3', 79547),
(135822, 'PTHR11614:SF109', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 79548),
(135823, 'PTHR22931', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE DIKINASE-RELATED', 79549),
(135824, 'PTHR46325:SF31', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC7-LIKE ISOFORM X1', 79550),
(135825, 'PTHR13234:SF27', NULL, NULL, NULL, NULL, 'GAMMA INTERFERON INDUCIBLE LYSOSOMAL THIOL REDUCTASE', 79551);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(135826, 'PTHR11482:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79552),
(135827, 'PTHR38115:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79553),
(135828, 'PTHR24092:SF190', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 79554),
(135829, 'PTHR22945:SF95', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 79555),
(135830, 'PTHR31744:SF92', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 87', 79556),
(135831, 'PTHR14493:SF113', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 24', 79557),
(135832, 'PTHR13826:SF17', NULL, NULL, NULL, NULL, 'TREFOIL FACTOR 2', 79558),
(135833, 'PTHR10122:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5B2', 79559),
(135834, 'PTHR31388:SF141', NULL, NULL, NULL, NULL, 'PEROXIDASE 33-RELATED', 79560),
(135835, 'PTHR11902:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79561),
(135836, 'PTHR31018:SF9', NULL, NULL, NULL, NULL, 'CELL WALL PROTEIN PST1, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G10290)-RELATED', 79562),
(135837, 'PTHR10510', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE POLYPEPTIDE 7A', 79563),
(135838, 'PTHR19957:SF34', NULL, NULL, NULL, NULL, 'SYNTAXIN-3', 79564),
(135839, 'PTHR31989:SF348', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', 79565),
(135840, 'PTHR46000:SF5', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 79566),
(135841, 'PTHR31794:SF2', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX TRANSPORTER FAMILY PROTEIN (EUROFUNG)', 79567),
(135842, 'PTHR11592:SF98', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 79568),
(135843, 'PTHR31648:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79569),
(135844, 'PTHR11937:SF37', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2', 79570),
(135845, 'PTHR36720', NULL, NULL, NULL, NULL, 'TAF RNA POLYMERASE I SUBUNIT A', 79571),
(135846, 'PTHR33675:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79572),
(135847, 'PTHR12537:SF147', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 12', 79573),
(135848, 'PTHR24372:SF76', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G PROTEIN-COUPLED RECEPTOR 4, ISOFORM C', 79574),
(135849, 'PTHR37449', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 79575),
(135850, 'PTHR47997:SF9', NULL, NULL, NULL, NULL, 'OS01G0285300 PROTEIN', 79576),
(135851, 'PTHR23406:SF80', NULL, NULL, NULL, NULL, 'GH17657P-RELATED', 79577),
(135852, 'PTHR33149:SF22', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC REACTION CENTRE, L/M-RELATED', 79578),
(135853, 'PTHR22933:SF34', NULL, NULL, NULL, NULL, 'RE15157P', 79579),
(135854, 'PTHR12107:SF12', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-7 SUBUNIT', 79580),
(135855, 'PTHR32278:SF85', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B11-LIKE', 79581),
(135856, 'PTHR23288:SF9', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II ELONGATION FACTOR ELL', 79582),
(135857, 'PTHR14955:SF8', NULL, NULL, NULL, NULL, 'SI:CH211-165G14.1-RELATED', 79583),
(135858, 'PTHR31468:SF8', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE', 79584),
(135859, 'PTHR26451:SF950', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79585),
(135860, 'PTHR22743:SF160', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN CONTAINING', 79586),
(135861, 'PTHR11690:SF248', NULL, NULL, NULL, NULL, 'DEGENERIN-LIKE PROTEIN UNC-105', 79587),
(135862, 'PTHR21634:SF9', NULL, NULL, NULL, NULL, 'RE13835P', 79588),
(135863, 'PTHR47758:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS M', 79589),
(135864, 'PTHR45651:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79590),
(135865, 'PTHR13832:SF619', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79591),
(135866, 'PTHR31589:SF57', NULL, NULL, NULL, NULL, 'BNAA10G05670D PROTEIN', 79592),
(135867, 'PTHR45665:SF30', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', 79593),
(135868, 'PTHR11079:SF179', NULL, NULL, NULL, NULL, 'TRNA(ADENINE(34)) DEAMINASE, CHLOROPLASTIC', 79594),
(135869, 'PTHR46560:SF3', NULL, NULL, NULL, NULL, 'AGAP006705-PA', 79595),
(135870, 'PTHR45614:SF60', NULL, NULL, NULL, NULL, 'BAS1P', 79596);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(135871, 'PTHR48017:SF78', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 8', 79597),
(135872, 'PTHR26374:SF406', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT11-LIKE', 79598),
(135873, 'PTHR31034:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 101', 79599),
(135874, 'PTHR23342:SF4', NULL, NULL, NULL, NULL, 'AMINO-ACID ACETYLTRANSFERASE, MITOCHONDRIAL', 79600),
(135875, 'PTHR33929:SF5', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 2-RELATED', 79601),
(135876, 'PTHR21879:SF13', NULL, NULL, NULL, NULL, 'OSIRIS 18', 79602),
(135877, 'PTHR24020', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA', 79603),
(135878, 'PTHR11661:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L11, MITOCHONDRIAL', 79604),
(135879, 'PTHR43163:SF8', NULL, NULL, NULL, NULL, 'D,D-DIPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN DDPB-RELATED', 79605),
(135880, 'PTHR14136:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79606),
(135881, 'PTHR23084:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79607),
(135882, 'PTHR31789:SF6', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 79608),
(135883, 'PTHR31604:SF16', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 3', 79609),
(135884, 'PTHR43539:SF9', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA11-RELATED', 79610),
(135885, 'PTHR43617:SF27', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', 79611),
(135886, 'PTHR22996', NULL, NULL, NULL, NULL, 'MAHOGUNIN', 79612),
(135887, 'PTHR47991:SF65', NULL, NULL, NULL, NULL, 'HYOSCYAMINE 6-DIOXYGENASE-LIKE ISOFORM X1', 79613),
(135888, 'PTHR15623', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED SERINE-RICH PROTEIN 2-RELATED', 79614),
(135889, 'PTHR11638:SF18', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPB3, CHLOROPLASTIC', 79615),
(135890, 'PTHR23115:SF275', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', 79616),
(135891, 'PTHR45687:SF6', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-7-RELATED', 79617),
(135892, 'PTHR37863', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 196-RELATED', 79618),
(135893, 'PTHR22802:SF391', NULL, NULL, NULL, NULL, 'PROTEIN CBG26386', 79619),
(135894, 'PTHR45624:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG23372', 79620),
(135895, 'PTHR11012:SF8', NULL, NULL, NULL, NULL, 'JUVENILE HORMONE-INDUCIBLE PROTEIN 26', 79621),
(135896, 'PTHR22810', NULL, NULL, NULL, NULL, 'TESTIS DEVELOPMENT PROTEIN NYD-SP26', 79622),
(135897, 'PTHR11920:SF459', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-11', 79623),
(135898, 'PTHR19290:SF149', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR 3', 79624),
(135899, 'PTHR33784:SF17', NULL, NULL, NULL, NULL, 'BNAA05G17640D PROTEIN', 79625),
(135900, 'PTHR43124:SF3', NULL, NULL, NULL, NULL, 'PURINE EFFLUX PUMP PBUE', 79626),
(135901, 'PTHR26453:SF178', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 79627),
(135902, 'PTHR45670:SF7', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', 79628),
(135903, 'PTHR13586:SF16', NULL, NULL, NULL, NULL, 'PROTEIN DECAPPING 5-LIKE', 79629),
(135904, 'PTHR23424:SF26', NULL, NULL, NULL, NULL, 'SERUM AMYLOID A PROTEIN', 79630),
(135905, 'PTHR15463:SF2', NULL, NULL, NULL, NULL, 'SYNERGIN GAMMA', 79631),
(135906, 'PTHR18945:SF216', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT ALPHA-3', 79632),
(135907, 'PTHR48008:SF10', NULL, NULL, NULL, NULL, 'OS02G0655800 PROTEIN', 79633),
(135908, 'PTHR33470:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79634),
(135909, 'PTHR14899:SF0', NULL, NULL, NULL, NULL, 'G KINASE-ANCHORING PROTEIN 1', 79635),
(135910, 'PTHR14198:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 4 L6 FAMILY MEMBER 18', 79636),
(135911, 'PTHR33388:SF1', NULL, NULL, NULL, NULL, 'OS01G0212500 PROTEIN', 79637),
(135912, 'PTHR24559:SF341', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE HOMOLOG', 79638),
(135913, 'PTHR14614:SF123', NULL, NULL, NULL, NULL, 'OSJNBA0070O11.4 PROTEIN', 79639),
(135914, 'PTHR48007:SF36', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE-LIKE PROTEIN ZAR1', 79640),
(135915, 'PTHR11662:SF134', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORT PROTEIN 4', 79641);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(135916, 'PTHR46187', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE 3', 79642),
(135917, 'PTHR31102:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG17198', 79643),
(135918, 'PTHR11680:SF33', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', 79644),
(135919, 'PTHR33054', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 79645),
(135920, 'PTHR11071:SF477', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE B', 79646),
(135921, 'PTHR30486:SF12', NULL, NULL, NULL, NULL, 'TWITCHING MOTILITY PROTEIN', 79647),
(135922, 'PTHR24314:SF20', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN-RELATED', 79648),
(135923, 'PTHR24339:SF58', NULL, NULL, NULL, NULL, 'NOTOCHORD HOMEOBOX', 79649),
(135924, 'PTHR46371:SF17', NULL, NULL, NULL, NULL, 'ION BINDING PROTEIN, PUTATIVE-RELATED', 79650),
(135925, 'PTHR48047:SF39', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 79651),
(135926, 'PTHR12620:SF41', NULL, NULL, NULL, NULL, 'BNAC03G58030D PROTEIN', 79652),
(135927, 'PTHR37761:SF2', NULL, NULL, NULL, NULL, 'OS09G0108400 PROTEIN', 79653),
(135928, 'PTHR10593:SF181', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 2-LIKE', 79654),
(135929, 'PTHR45826:SF7', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', 79655),
(135930, 'PTHR13326:SF19', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE, PUTATIVE-RELATED', 79656),
(135931, 'PTHR39461', NULL, NULL, NULL, NULL, 'LEA DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_8G04920)', 79657),
(135932, 'PTHR10706:SF150', NULL, NULL, NULL, NULL, 'BNAA09G39300D PROTEIN', 79658),
(135933, 'PTHR46476:SF9', NULL, NULL, NULL, NULL, 'CHITINASE 2-LIKE', 79659),
(135934, 'PTHR45648:SF99', NULL, NULL, NULL, NULL, 'OS02G0740400 PROTEIN', 79660),
(135935, 'PTHR42910:SF1', NULL, NULL, NULL, NULL, 'TRANSPORTER SCO4007-RELATED', 79661),
(135936, 'PTHR18945:SF564', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 79662),
(135937, 'PTHR31152:SF6', NULL, NULL, NULL, NULL, 'OS10G0535800 PROTEIN', 79663),
(135938, 'PTHR22923:SF2', NULL, NULL, NULL, NULL, 'CEREBELLIN-3', 79664),
(135939, 'PTHR11205:SF46', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S7', 79665),
(135940, 'PTHR32002:SF38', NULL, NULL, NULL, NULL, 'PLANT REGULATOR RWP-RK FAMILY PROTEIN', 79666),
(135941, 'PTHR31660:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79667),
(135942, 'PTHR24326:SF530', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX8', 79668),
(135943, 'PTHR31625:SF63', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', 79669),
(135944, 'PTHR31262:SF17', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN', 79670),
(135945, 'PTHR24061:SF526', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79671),
(135946, 'PTHR14429:SF24', NULL, NULL, NULL, NULL, 'FIBROSIN-1-RELATED', 79672),
(135947, 'PTHR48002:SF34', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K17', 79673),
(135948, 'PTHR15825:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-FOLD MODIFIER 1', 79674),
(135949, 'PTHR14911:SF19', NULL, NULL, NULL, NULL, 'N2-METHYLGUANOSINE TRNA METHYLTRANSFERASE', 79675),
(135950, 'PTHR46422:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 79676),
(135951, 'PTHR11571:SF44', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 2-RELATED', 79677),
(135952, 'PTHR30461:SF2', NULL, NULL, NULL, NULL, 'RESOLVASE HOMOLOG YEFC', 79678),
(135953, 'PTHR12709:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC8', 79679),
(135954, 'PTHR31390:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 79680),
(135955, 'PTHR36363:SF1', NULL, NULL, NULL, NULL, 'OS04G0687200 PROTEIN', 79681),
(135956, 'PTHR19876:SF48', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''', 79682),
(135957, 'PTHR31221:SF133', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 3-RELATED', 79683),
(135958, 'PTHR31079:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79684),
(135959, 'PTHR23129:SF10', NULL, NULL, NULL, NULL, 'FIT FAMILY PROTEIN YFT2', 79685),
(135960, 'PTHR23113:SF230', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR-LIKE 1', 79686);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(135961, 'PTHR12681:SF12', NULL, NULL, NULL, NULL, 'BNAA09G10160D PROTEIN', 79687),
(135962, 'PTHR22891', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2C', 79688),
(135963, 'PTHR14334', NULL, NULL, NULL, NULL, 'B-CELL ANTIGEN RECEPTOR COMPLEX-ASSOCIATED PROTEIN', 79689),
(135964, 'PTHR13683:SF844', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1', 79690),
(135965, 'PTHR11675:SF23', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINYLTRANSFERASE 4-RELATED', 79691),
(135966, 'PTHR30451:SF9', NULL, NULL, NULL, NULL, 'F1 CAPSULE-ANCHORING PROTEIN', 79692),
(135967, 'PTHR34227:SF6', NULL, NULL, NULL, NULL, 'TAT PROOFREADING CHAPERONE DMSD', 79693),
(135968, 'PTHR31969:SF34', NULL, NULL, NULL, NULL, 'ABA-RESPONSIVE PROTEIN-LIKE', 79694),
(135969, 'PTHR46890:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79695),
(135970, 'PTHR46212:SF4', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH 6', 79696),
(135971, 'PTHR11012:SF54', NULL, NULL, NULL, NULL, 'LD10016P', 79697),
(135972, 'PTHR33347:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79698),
(135973, 'PTHR32089:SF96', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN PA2652', 79699),
(135974, 'PTHR34449:SF5', NULL, NULL, NULL, NULL, 'RHO-N DOMAIN-CONTAINING PROTEIN 1, CHLOROPLASTIC', 79700),
(135975, 'PTHR48145:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE-ASSOCIATED PROTEIN 1', 79701),
(135976, 'PTHR21700:SF16', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN-RELATED', 79702),
(135977, 'PTHR45768:SF51', NULL, NULL, NULL, NULL, 'BNAA07G01830D PROTEIN', 79703),
(135978, 'PTHR15454:SF55', NULL, NULL, NULL, NULL, 'SD03973P', 79704),
(135979, 'PTHR42240', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 79705),
(135980, 'PTHR22754:SF35', NULL, NULL, NULL, NULL, '10A19I.5', 79706),
(135981, 'PTHR47956:SF42', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D7', 79707),
(135982, 'PTHR11062:SF316', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT12-RELATED', 79708),
(135983, 'PTHR31140:SF80', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN TRANSCRIPTION FACTOR', 79709),
(135984, 'PTHR34782:SF6', NULL, NULL, NULL, NULL, 'BNAA09G27930D PROTEIN', 79710),
(135985, 'PTHR22814:SF292', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 20', 79711),
(135986, 'PTHR11188:SF146', NULL, NULL, NULL, NULL, 'PROTEIN ROD1-RELATED', 79712),
(135987, 'PTHR32153:SF8', NULL, NULL, NULL, NULL, 'OS02G0826000 PROTEIN', 79713),
(135988, 'PTHR43150', NULL, NULL, NULL, NULL, 'HYPERKINETIC, ISOFORM M', 79714),
(135989, 'PTHR33517', NULL, NULL, NULL, NULL, 'PROTEIN FAM170B-RELATED', 79715),
(135990, 'PTHR24256:SF309', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 48', 79716),
(135991, 'PTHR19136:SF81', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR GUANYLYLTRANSFERASE', 79717),
(135992, 'PTHR31346:SF19', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 6, MITOCHONDRIAL', 79718),
(135993, 'PTHR31314', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL7-LIKE', 79719),
(135994, 'PTHR23079:SF40', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 79720),
(135995, 'PTHR48007:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79721),
(135996, 'PTHR44115:SF11', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 79722),
(135997, 'PTHR35708:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 79723),
(135998, 'PTHR27006:SF366', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-1', 79724),
(135999, 'PTHR31503:SF36', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER NCL', 79725),
(136000, 'PTHR24006:SF803', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1-RELATED', 79726),
(136001, 'PTHR12166:SF8', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT SECRETION ACTIVATOR', 79727),
(136002, 'PTHR16266:SF30', NULL, NULL, NULL, NULL, 'PH-INTERACTING PROTEIN-LIKE', 79728),
(136003, 'PTHR13808:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79729),
(136004, 'PTHR19211:SF14', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY F MEMBER 1', 79730);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(136005, 'PTHR31595:SF11', NULL, NULL, NULL, NULL, 'ACYL-COA--STEROL O-ACYLTRANSFERASE 1-LIKE', 79731),
(136006, 'PTHR28087:SF1', NULL, NULL, NULL, NULL, 'ATPASE SYNTHESIS PROTEIN 25, MITOCHONDRIAL', 79732),
(136007, 'PTHR23248:SF25', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE FAMILY MEMBER 5', 79733),
(136008, 'PTHR13246', NULL, NULL, NULL, NULL, 'ENDO BETA N-ACETYLGLUCOSAMINIDASE', 79734),
(136009, 'PTHR10715:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', 79735),
(136010, 'PTHR32254:SF13', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1068)-RELATED', 79736),
(136011, 'PTHR11157:SF28', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 79737),
(136012, 'PTHR47965:SF65', NULL, NULL, NULL, NULL, 'ENDOTHIAPEPSIN', 79738),
(136013, 'PTHR31874:SF25', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', 79739),
(136014, 'PTHR33103:SF56', NULL, NULL, NULL, NULL, 'BNAA05G29220D PROTEIN', 79740),
(136015, 'PTHR43658:SF5', NULL, NULL, NULL, NULL, 'SI:DKEY-238O13.4', 79741),
(136016, 'PTHR46610:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79742),
(136017, 'PTHR47906', NULL, NULL, NULL, NULL, 'OSJNBB0050O03.9 PROTEIN-RELATED', 79743),
(136018, 'PTHR47979:SF45', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABB1C-LIKE', 79744),
(136019, 'PTHR47304:SF1', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C8 GAMMA CHAIN', 79745),
(136020, 'PTHR47992:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 63-RELATED', 79746),
(136021, 'PTHR27003:SF346', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA, PROTEIN KINASE-LIKE DOMAIN PROTEIN-RELATED', 79747),
(136022, 'PTHR43941:SF3', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 2-2', 79748),
(136023, 'PTHR23226:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS 1', 79749),
(136024, 'PTHR23430:SF304', NULL, NULL, NULL, NULL, 'HISTONE H2A', 79750),
(136025, 'PTHR24421:SF40', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YHCY', 79751),
(136026, 'PTHR34458:SF11', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', 79752),
(136027, 'PTHR11777:SF8', NULL, NULL, NULL, NULL, 'ALANINE--TRNA LIGASE, MITOCHONDRIAL', 79753),
(136028, 'PTHR46100:SF4', NULL, NULL, NULL, NULL, 'IMP2''P', 79754),
(136029, 'PTHR44117:SF1', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 88 HOMOLOG', 79755),
(136030, 'PTHR10110:SF169', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 79756),
(136031, 'PTHR23070:SF161', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE-RELATED', 79757),
(136032, 'PTHR33908:SF1', NULL, NULL, NULL, NULL, 'BLL5638 PROTEIN', 79758),
(136033, 'PTHR43108:SF9', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-SULFATASE', 79759),
(136034, 'PTHR34048:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 79760),
(136035, 'PTHR11102:SF153', NULL, NULL, NULL, NULL, 'FUNGAL ZN(2)-CYS(6) BINUCLEAR CLUSTER DOMAIN-CONTAINING PROTEIN', 79761),
(136036, 'PTHR11040:SF170', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORT PROTEIN 1', 79762),
(136037, 'PTHR10388:SF60', NULL, NULL, NULL, NULL, 'BNAA03G11670D PROTEIN', 79763),
(136038, 'PTHR31659:SF26', NULL, NULL, NULL, NULL, 'OS02G0689500 PROTEIN', 79764),
(136039, 'PTHR34310:SF5', NULL, NULL, NULL, NULL, 'DUF427 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G02220)', 79765),
(136040, 'PTHR45634:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', 79766),
(136041, 'PTHR31066:SF67', NULL, NULL, NULL, NULL, 'GB|AAD14519.1', 79767),
(136042, 'PTHR20930:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0044K18.2 PROTEIN', 79768),
(136043, 'PTHR44411:SF1', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 6 HOMOLOG', 79769),
(136044, 'PTHR33729:SF5', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 10', 79770),
(136045, 'PTHR42908:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79771),
(136046, 'PTHR47287:SF9', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', 79772),
(136047, 'PTHR10168:SF223', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C10', 79773),
(136048, 'PTHR23302:SF18', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 1', 79774);
INSERT INTO "PUBLIC"."MODEL" VALUES
(136049, 'PTHR11461:SF342', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR 28DC', 79775),
(136050, 'PTHR46099:SF4', NULL, NULL, NULL, NULL, 'ENDOTHELIN RECEPTOR B SUBTYPE 2', 79776),
(136051, 'PTHR32241:SF20', NULL, NULL, NULL, NULL, 'PATATIN', 79777),
(136052, 'PTHR32099:SF51', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 38-LIKE', 79778),
(136053, 'PTHR48002:SF3', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 79779),
(136054, 'PTHR13343:SF33', NULL, NULL, NULL, NULL, 'BNAC01G32220D PROTEIN', 79780),
(136055, 'PTHR33172:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79781),
(136056, 'PTHR18896:SF159', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 79782),
(136057, 'PTHR48095:SF2', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYLASE, CHLOROPLASTIC', 79783),
(136058, 'PTHR45614:SF140', NULL, NULL, NULL, NULL, 'BNAA10G27190D PROTEIN', 79784),
(136059, 'PTHR22891:SF142', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 1C', 79785),
(136060, 'PTHR48099:SF7', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL METHYLENETETRAHYDROFOLATE DEHYDROGENASE/CYCLOHYDROLASE 2-RELATED', 79786),
(136061, 'PTHR11950:SF7', NULL, NULL, NULL, NULL, 'RUNT-RELATED TRANSCRIPTION FACTOR 2', 79787),
(136062, 'PTHR48015:SF33', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HIPPO', 79788),
(136063, 'PTHR33148:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79789),
(136064, 'PTHR11886:SF62', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 79790),
(136065, 'PTHR23065:SF48', NULL, NULL, NULL, NULL, 'FORMIN BINDING PROTEIN 1 LIKE', 79791),
(136066, 'PTHR45876:SF6', NULL, NULL, NULL, NULL, 'SI:CH211-218G4.2', 79792),
(136067, 'PTHR44303:SF2', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 16', 79793),
(136068, 'PTHR23070:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79794),
(136069, 'PTHR14379:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-LIKE PROTEIN', 79795),
(136070, 'PTHR24559:SF325', NULL, NULL, NULL, NULL, 'CCHC-TYPE INTEGRASE-LIKE PROTEIN', 79796),
(136071, 'PTHR47990:SF150', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 1', 79797),
(136072, 'PTHR12297:SF5', NULL, NULL, NULL, NULL, 'HIG1 DOMAIN FAMILY MEMBER 1A, MITOCHONDRIAL', 79798),
(136073, 'PTHR27008:SF254', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79799),
(136074, 'PTHR31865:SF48', NULL, NULL, NULL, NULL, 'BNAC05G47130D PROTEIN', 79800),
(136075, 'PTHR22948', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN CONTAINING PROTEIN', 79801),
(136076, 'PTHR36616:SF4', NULL, NULL, NULL, NULL, 'BNAC07G32700D PROTEIN', 79802),
(136077, 'PTHR12709:SF8', NULL, NULL, NULL, NULL, 'BNAA10G12180D PROTEIN', 79803),
(136078, 'PTHR31260:SF34', NULL, NULL, NULL, NULL, 'BNAA08G31070D PROTEIN', 79804),
(136079, 'PTHR31642:SF229', NULL, NULL, NULL, NULL, 'OMEGA-HYDROXYPALMITATE O-FERULOYL TRANSFERASE', 79805),
(136080, 'PTHR11599:SF11', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-6', 79806),
(136081, 'PTHR47692', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 79807),
(136082, 'PTHR19957:SF249', NULL, NULL, NULL, NULL, 'SYNTAXIN OF PLANTS PROTEIN', 79808),
(136083, 'PTHR10366:SF500', NULL, NULL, NULL, NULL, 'OS09G0491852 PROTEIN', 79809),
(136084, 'PTHR23043:SF8', NULL, NULL, NULL, NULL, 'ENDOTHELIAL PAS DOMAIN-CONTAINING PROTEIN 1', 79810),
(136085, 'PTHR22943:SF35', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 79811),
(136086, 'PTHR44329:SF47', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE B-RAF', 79812),
(136087, 'PTHR31829', NULL, NULL, NULL, NULL, 'PYRIDOXAL 5''-PHOSPHATE SYNTHASE SUBUNIT SNZ1-RELATED', 79813),
(136088, 'PTHR28204:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 12', 79814),
(136089, 'PTHR48060:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 79815),
(136090, 'PTHR24006:SF664', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 79816),
(136091, 'PTHR28538', NULL, NULL, NULL, NULL, 'INTEGRAL INNER NUCLEAR MEMBRANE PROTEIN IMA1', 79817),
(136092, 'PTHR45621:SF147', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOPLASMIC KINASE 176', 79818);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(136093, 'PTHR34090', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L52, MITOCHONDRIAL', 79819),
(136094, 'PTHR28041:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L25, MITOCHONDRIAL', 79820),
(136095, 'PTHR11819:SF77', NULL, NULL, NULL, NULL, 'SODIUM/GLUCOSE COTRANSPORT PROTEIN', 79821),
(136096, 'PTHR18896:SF165', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE', 79822),
(136097, 'PTHR22198', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 79823),
(136098, 'PTHR33154', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, ARSR FAMILY', 79824),
(136099, 'PTHR15711:SF58', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATING PROTEIN RAP1-GAP', 79825),
(136100, 'PTHR46288:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79826),
(136101, 'PTHR12920', NULL, NULL, NULL, NULL, 'RYBP AND YAF2-RELATED', 79827),
(136102, 'PTHR33021:SF321', NULL, NULL, NULL, NULL, 'BNAC09G33320D PROTEIN', 79828),
(136103, 'PTHR22835:SF514', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN ISOFORM 1', 79829),
(136104, 'PTHR46373:SF20', NULL, NULL, NULL, NULL, 'PROTEIN RKD1-RELATED', 79830),
(136105, 'PTHR47598', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP17-2, CHLOROPLASTIC', 79831),
(136106, 'PTHR31087:SF86', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 16', 79832),
(136107, 'PTHR11610:SF102', NULL, NULL, NULL, NULL, 'FI22312P1', 79833),
(136108, 'PTHR33509:SF34', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENIS ABUNDANT PROTEIN 41', 79834),
(136109, 'PTHR31602:SF83', NULL, NULL, NULL, NULL, 'BNACNNG50230D PROTEIN', 79835),
(136110, 'PTHR23155:SF1070', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79836),
(136111, 'PTHR46351:SF17', NULL, NULL, NULL, NULL, 'OS11G0591800 PROTEIN', 79837),
(136112, 'PTHR12665:SF13', NULL, NULL, NULL, NULL, 'ORM1-LIKE PROTEIN 2', 79838),
(136113, 'PTHR43601:SF16', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 2, CHLOROPLASTIC', 79839),
(136114, 'PTHR14795:SF5', NULL, NULL, NULL, NULL, 'CALCINEURIN-RELATED PHOSPHOESTERASE-LIKE PROTEIN', 79840),
(136115, 'PTHR47958:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79841),
(136116, 'PTHR42760:SF97', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01040)-RELATED', 79842),
(136117, 'PTHR14516:SF8', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 1 MEMBER 2', 79843),
(136118, 'PTHR43566', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 79844),
(136119, 'PTHR46812', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 79845),
(136120, 'PTHR19422:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79846),
(136121, 'PTHR46007:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 12', 79847),
(136122, 'PTHR31639:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79848),
(136123, 'PTHR42087:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79849),
(136124, 'PTHR24089:SF332', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN SCAMC-2-A', 79850),
(136125, 'PTHR13935:SF108', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH118-LIKE', 79851),
(136126, 'PTHR46283:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH5', 79852),
(136127, 'PTHR43301:SF7', NULL, NULL, NULL, NULL, 'ARABINAN ENDO-1,5-ALPHA-L-ARABINOSIDASE C', 79853),
(136128, 'PTHR45751:SF18', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RGLG3', 79854),
(136129, 'PTHR21454:SF12', NULL, NULL, NULL, NULL, 'EXPP1 PROTEIN', 79855),
(136130, 'PTHR48099:SF10', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN FOLD 1, MITOCHONDRIAL', 79856),
(136131, 'PTHR34778:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79857),
(136132, 'PTHR15296:SF1', NULL, NULL, NULL, NULL, 'PDZK1-INTERACTING PROTEIN 1-RELATED', 79858),
(136133, 'PTHR21060:SF17', NULL, NULL, NULL, NULL, 'PROPIONATE KINASE', 79859),
(136134, 'PTHR31985:SF87', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', 79860),
(136135, 'PTHR14186:SF15', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 7', 79861),
(136136, 'PTHR34291:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79862); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(136137, 'PTHR13301:SF183', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D5', 79863),
(136138, 'PTHR10019:SF12', NULL, NULL, NULL, NULL, 'SWI/SNF CHROMATIN-REMODELING COMPLEX SUBUNIT SNF5', 79864),
(136139, 'PTHR15224:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 5', 79865),
(136140, 'PTHR22100:SF13', NULL, NULL, NULL, NULL, 'WINGS APART-LIKE PROTEIN HOMOLOG', 79866),
(136141, 'PTHR13683:SF748', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79867),
(136142, 'PTHR20916', NULL, NULL, NULL, NULL, 'CYSTEINE AND GLYCINE-RICH PROTEIN 2 BINDING PROTEIN', 79868),
(136143, 'PTHR15607:SF12', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN 2', 79869),
(136144, 'PTHR31314:SF122', NULL, NULL, NULL, NULL, 'BNAA09G56920D PROTEIN', 79870),
(136145, 'PTHR44757:SF7', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDER', 79871),
(136146, 'PTHR48000:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79872),
(136147, 'PTHR24073:SF1001', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB5', 79873),
(136148, 'PTHR11165:SF145', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 79874),
(136149, 'PTHR14152:SF5', NULL, NULL, NULL, NULL, 'U4/U6.U5 TRI-SNRNP-ASSOCIATED PROTEIN 1', 79875),
(136150, 'PTHR43364:SF7', NULL, NULL, NULL, NULL, 'DEHYDROGENASE AAD14, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G11250)-RELATED', 79876),
(136151, 'PTHR21312', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR', 79877),
(136152, 'PTHR24248:SF143', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR D4A', 79878),
(136153, 'PTHR38688:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79879),
(136154, 'PTHR33127:SF28', NULL, NULL, NULL, NULL, 'CDC68-LIKE PROTEIN-RELATED', 79880),
(136155, 'PTHR10809:SF42', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 2-1', 79881),
(136156, 'PTHR30404:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE AMIC', 79882),
(136157, 'PTHR24242:SF239', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 79883),
(136158, 'PTHR48062:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79884),
(136159, 'PTHR31003:SF39', NULL, NULL, NULL, NULL, 'BNAC06G30320D PROTEIN', 79885),
(136160, 'PTHR24015:SF1935', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 79886),
(136161, 'PTHR24124:SF8', NULL, NULL, NULL, NULL, 'ZGC:113279', 79887),
(136162, 'PTHR24296:SF193', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', 79888),
(136163, 'PTHR11686:SF61', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLTRANSPEPTIDASE 1-RELATED', 79889),
(136164, 'PTHR45623', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 3-RELATED-RELATED', 79890),
(136165, 'PTHR11339:SF383', NULL, NULL, NULL, NULL, 'HEMOLECTIN, ISOFORM A', 79891),
(136166, 'PTHR11360:SF21', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 6', 79892),
(136167, 'PTHR37540:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR (ACR-2), PUTATIVE-RELATED', 79893),
(136168, 'PTHR31194:SF104', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF070', 79894),
(136169, 'PTHR33431:SF13', NULL, NULL, NULL, NULL, 'BNACNNG50910D PROTEIN', 79895),
(136170, 'PTHR11468:SF25', NULL, NULL, NULL, NULL, 'MALTODEXTRIN PHOSPHORYLASE', 79896),
(136171, 'PTHR43874:SF59', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 79897),
(136172, 'PTHR47298:SF1', NULL, NULL, NULL, NULL, 'OXIDIZED LOW-DENSITY LIPOPROTEIN RECEPTOR 1', 79898),
(136173, 'PTHR26453:SF574', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 79899),
(136174, 'PTHR24006:SF653', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 36', 79900),
(136175, 'PTHR19375:SF440', NULL, NULL, NULL, NULL, 'SHOCK PROTEIN, PUTATIVE-RELATED', 79901),
(136176, 'PTHR12277:SF125', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE-RELATED', 79902),
(136177, 'PTHR23351:SF10', NULL, NULL, NULL, NULL, 'JUN DIMERIZATION PROTEIN 2', 79903),
(136178, 'PTHR33091:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79904),
(136179, 'PTHR13987:SF3', NULL, NULL, NULL, NULL, 'PROTEIN BEX4', 79905),
(136180, 'PTHR32166:SF76', NULL, NULL, NULL, NULL, 'HAT DIMERISATION DOMAIN-CONTAINING PROTEIN-LIKE', 79906);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(136181, 'PTHR43475', NULL, NULL, NULL, NULL, 'METHYLTHIORIBOSE-1-PHOSPHATE ISOMERASE', 79907),
(136182, 'PTHR31268:SF39', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE-RELATED', 79908),
(136183, 'PTHR34779:SF8', NULL, NULL, NULL, NULL, 'BNACNNG20750D PROTEIN', 79909),
(136184, 'PTHR47070:SF4', NULL, NULL, NULL, NULL, 'BNAA01G29690D PROTEIN', 79910),
(136185, 'PTHR24416:SF480', NULL, NULL, NULL, NULL, 'PROTEIN CBG05171', 79911),
(136186, 'PTHR32234', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBD', 79912),
(136187, 'PTHR10825:SF29', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP RING FINGER PROTEIN 1', 79913),
(136188, 'PTHR21192', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN E3-3', 79914),
(136189, 'PTHR11208:SF127', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', 79915),
(136190, 'PTHR16092:SF32', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC3-RELATED', 79916),
(136191, 'PTHR27009:SF138', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', 79917),
(136192, 'PTHR14758:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FAM110C', 79918),
(136193, 'PTHR27007:SF270', NULL, NULL, NULL, NULL, 'OS03G0258000 PROTEIN', 79919),
(136194, 'PTHR24089:SF676', NULL, NULL, NULL, NULL, 'ENVELOPE ADP,ATP CARRIER PROTEIN, CHLOROPLASTIC-RELATED', 79920),
(136195, 'PTHR31541:SF37', NULL, NULL, NULL, NULL, 'BNAC04G05680D PROTEIN', 79921),
(136196, 'PTHR28645', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 119', 79922),
(136197, 'PTHR14369:SF1', NULL, NULL, NULL, NULL, 'BNAC02G02430D PROTEIN', 79923),
(136198, 'PTHR46329:SF1', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR 2', 79924),
(136199, 'PTHR33076:SF129', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2A', 79925),
(136200, 'PTHR22298:SF46', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 15', 79926),
(136201, 'PTHR46512:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 79927),
(136202, 'PTHR42861:SF84', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 79928),
(136203, 'PTHR36377:SF2', NULL, NULL, NULL, NULL, 'OS11G0107450 PROTEIN', 79929),
(136204, 'PTHR43092:SF9', NULL, NULL, NULL, NULL, 'L-CYSTEINE DESULFHYDRASE, CHLOROPLASTIC-RELATED', 79930),
(136205, 'PTHR11447:SF16', NULL, NULL, NULL, NULL, 'P53 PROTEIN LONG FORM VARIANT 1', 79931),
(136206, 'PTHR13748:SF46', NULL, NULL, NULL, NULL, 'ZINC-BINDING GTPASE YEIR', 79932),
(136207, 'PTHR48092', NULL, NULL, NULL, NULL, 'KNIRPS-RELATED PROTEIN-RELATED', 79933),
(136208, 'PTHR38457:SF1', NULL, NULL, NULL, NULL, 'REGULATOR ABRB-RELATED', 79934),
(136209, 'PTHR24281:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79935),
(136210, 'PTHR45669:SF50', NULL, NULL, NULL, NULL, 'BNAC04G47590D PROTEIN', 79936),
(136211, 'PTHR11339:SF261', NULL, NULL, NULL, NULL, 'MUCIN-2', 79937),
(136212, 'PTHR40387:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM240B', 79938),
(136213, 'PTHR43952:SF12', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 6', 79939),
(136214, 'PTHR35710', NULL, NULL, NULL, NULL, 'OBP3-RESPONSIVE PROTEIN 4 (ORG4)', 79940),
(136215, 'PTHR36694:SF6', NULL, NULL, NULL, NULL, 'PASIFLORA 1, ISOFORM A-RELATED', 79941),
(136216, 'PTHR31683:SF33', NULL, NULL, NULL, NULL, 'PECTATE LYASE 21-RELATED', 79942),
(136217, 'PTHR45687:SF50', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-2-RELATED', 79943),
(136218, 'PTHR10177:SF487', NULL, NULL, NULL, NULL, 'CYCLIN-A2-3', 79944),
(136219, 'PTHR33083:SF58', NULL, NULL, NULL, NULL, 'BNAC08G41900D PROTEIN', 79945),
(136220, 'PTHR27002:SF454', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79946),
(136221, 'PTHR10529:SF359', NULL, NULL, NULL, NULL, 'COMPLEX SUBUNIT MU-1, PUTATIVE-RELATED', 79947),
(136222, 'PTHR11258:SF17', NULL, NULL, NULL, NULL, '2''-5'' OLIGOADENYLATE SYNTHETASE 1E-RELATED', 79948),
(136223, 'PTHR19957:SF333', NULL, NULL, NULL, NULL, 'T-SNARE-RELATED', 79949),
(136224, 'PTHR34861', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 79950),
(136225, 'PTHR34574:SF7', NULL, NULL, NULL, NULL, 'KDA EF-HAND CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', 79951),
(136226, 'PTHR43808:SF9', NULL, NULL, NULL, NULL, 'BLL0789 PROTEIN', 79952);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(136227, 'PTHR22595:SF147', NULL, NULL, NULL, NULL, 'ENDOCHITINASE EP3-LIKE', 79953),
(136228, 'PTHR10791:SF177', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 79954),
(136229, 'PTHR31384:SF126', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 79955),
(136230, 'PTHR11945:SF570', NULL, NULL, NULL, NULL, 'OS02G0164450 PROTEIN', 79956),
(136231, 'PTHR27002:SF452', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 40-RELATED', 79957),
(136232, 'PTHR10747:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR COE2', 79958),
(136233, 'PTHR46344:SF15', NULL, NULL, NULL, NULL, 'BNAC03G70400D PROTEIN', 79959),
(136234, 'PTHR47939:SF1', NULL, NULL, NULL, NULL, 'OS04G0684500 PROTEIN', 79960),
(136235, 'PTHR32309:SF26', NULL, NULL, NULL, NULL, 'CAPSULAR EXOPOLYSACCHARIDE FAMILY', 79961),
(136236, 'PTHR12961', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX COMPONENT 2', 79962),
(136237, 'PTHR31155:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79963),
(136238, 'PTHR43874:SF126', NULL, NULL, NULL, NULL, 'BNAANNG26230D PROTEIN', 79964),
(136239, 'PTHR43591:SF72', NULL, NULL, NULL, NULL, 'CYCLOPROPANE-FATTY-ACYL-PHOSPHOLIPID SYNTHASE', 79965),
(136240, 'PTHR33735:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 79966),
(136241, 'PTHR22770:SF43', NULL, NULL, NULL, NULL, 'SHARPIN', 79967),
(136242, 'PTHR15117:SF24', NULL, NULL, NULL, NULL, 'AGAP006621-PA', 79968),
(136243, 'PTHR42810:SF4', NULL, NULL, NULL, NULL, 'URIC ACID TRANSPORTER UACT', 79969),
(136244, 'PTHR10662:SF15', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR 2', 79970),
(136245, 'PTHR45801:SF47', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2 TYPE FAMILY PROTEIN', 79971),
(136246, 'PTHR43030', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE SYNTHASE', 79972),
(136247, 'PTHR21470:SF14', NULL, NULL, NULL, NULL, 'RAB6-INTERACTING GOLGIN-RELATED', 79973),
(136248, 'PTHR12741:SF71', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 48-RELATED', 79974),
(136249, 'PTHR45811:SF48', NULL, NULL, NULL, NULL, 'BNAC09G28800D PROTEIN', 79975),
(136250, 'PTHR31625:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79976),
(136251, 'PTHR12411:SF406', NULL, NULL, NULL, NULL, 'CATHEPSIN Z', 79977),
(136252, 'PTHR18914:SF24', NULL, NULL, NULL, NULL, 'CATENIN ALPHA-1', 79978),
(136253, 'PTHR21294:SF17', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN SUBUNIT YDIQ-RELATED', 79979),
(136254, 'PTHR33052:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79980),
(136255, 'PTHR34125:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 79981),
(136256, 'PTHR19375:SF364', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79982),
(136257, 'PTHR38225', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 79983),
(136258, 'PTHR33738:SF15', NULL, NULL, NULL, NULL, 'BNAA02G07210D PROTEIN', 79984),
(136259, 'PTHR47928:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79985),
(136260, 'PTHR12755:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79986),
(136261, 'PTHR19302:SF60', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT', 79987),
(136262, 'PTHR20835:SF5', NULL, NULL, NULL, NULL, 'BNAA05G11590D PROTEIN', 79988),
(136263, 'PTHR23253:SF62', NULL, NULL, NULL, NULL, 'MIF4G DOMAIN-CONTAINING PROTEIN / MA3 DOMAIN-CONTAINING PROTEIN ISOFORM 2', 79989),
(136264, 'PTHR33935:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79990),
(136265, 'PTHR31429:SF75', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 40-RELATED', 79991),
(136266, 'PTHR24248:SF116', NULL, NULL, NULL, NULL, 'ADRENOCEPTOR BETA 2, SURFACE A', 79992),
(136267, 'PTHR24559:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 79993),
(136268, 'PTHR11863:SF114', NULL, NULL, NULL, NULL, 'STEROL DELTA 5,6-DESATURASE ERG3 (AFU_ORTHOLOGUE AFUA_6G05140)', 79994),
(136269, 'PTHR31836:SF3', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN 8-RELATED', 79995),
(136270, 'PTHR35084', NULL, NULL, NULL, NULL, 'TCF3 FUSION PARTNER', 79996),
(136271, 'PTHR45696:SF6', NULL, NULL, NULL, NULL, 'ACIDIC RIBOSOMAL PROTEIN P2, PUTATIVE-RELATED', 79997); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(136272, 'PTHR24320:SF214', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', 79998),
(136273, 'PTHR34145:SF41', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 79999),
(136274, 'PTHR33565:SF1', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN HOMOLOG 3', 80000),
(136275, 'PTHR31140:SF82', NULL, NULL, NULL, NULL, 'BNAC03G72370D PROTEIN', 80001),
(136276, 'PTHR31928:SF16', NULL, NULL, NULL, NULL, 'OS09G0516700 PROTEIN', 80002),
(136277, 'PTHR24015:SF742', NULL, NULL, NULL, NULL, 'OS05G0112900 PROTEIN', 80003),
(136278, 'PTHR14369:SF0', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 6', 80004),
(136279, 'PTHR31989:SF304', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80005),
(136280, 'PTHR31339:SF76', NULL, NULL, NULL, NULL, 'BNAA09G39690D PROTEIN', 80006),
(136281, 'PTHR31375:SF238', NULL, NULL, NULL, NULL, 'BNAC03G35610D PROTEIN', 80007),
(136282, 'PTHR44329:SF200', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', 80008),
(136283, 'PTHR10677:SF25', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 7', 80009),
(136284, 'PTHR47997:SF37', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 80010),
(136285, 'PTHR45739:SF1', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN FRAS1', 80011),
(136286, 'PTHR31769:SF83', NULL, NULL, NULL, NULL, 'OS07G0545100 PROTEIN', 80012),
(136287, 'PTHR11165:SF141', NULL, NULL, NULL, NULL, 'BNACNNG20980D PROTEIN', 80013),
(136288, 'PTHR11636:SF41', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 4, TRANSCRIPTION FACTOR 2', 80014),
(136289, 'PTHR45931:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RLIM', 80015),
(136290, 'PTHR26453:SF633', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 80016),
(136291, 'PTHR33593:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80017),
(136292, 'PTHR40083:SF1', NULL, NULL, NULL, NULL, 'UPF0122 PROTEIN CBO2450/CLC_2298', 80018),
(136293, 'PTHR13318:SF77', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 4-LIKE', 80019),
(136294, 'PTHR11461:SF112', NULL, NULL, NULL, NULL, 'SERPIN', 80020),
(136295, 'PTHR43213:SF13', NULL, NULL, NULL, NULL, 'BNAC07G16670D PROTEIN', 80021),
(136296, 'PTHR31092:SF2', NULL, NULL, NULL, NULL, 'SORORIN', 80022),
(136297, 'PTHR33476:SF21', NULL, NULL, NULL, NULL, 'PROTEIN POLAR-LIKE 1', 80023),
(136298, 'PTHR28250', NULL, NULL, NULL, NULL, 'CYTOCHROME B PRE-MRNA-PROCESSING PROTEIN 6', 80024),
(136299, 'PTHR47966:SF49', NULL, NULL, NULL, NULL, 'PEPSIN A-5', 80025),
(136300, 'PTHR27002:SF748', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 80026),
(136301, 'PTHR43330:SF17', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', 80027),
(136302, 'PTHR31009:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80028),
(136303, 'PTHR24342:SF17', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE 1', 80029),
(136304, 'PTHR45649:SF23', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 80030),
(136305, 'PTHR10997:SF58', NULL, NULL, NULL, NULL, 'IMPORTIN BETA-LIKE SAD2', 80031),
(136306, 'PTHR43811:SF45', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 80032),
(136307, 'PTHR43625:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80033),
(136308, 'PTHR45721:SF5', NULL, NULL, NULL, NULL, 'PRELAMIN-A/C', 80034),
(136309, 'PTHR39671', NULL, NULL, NULL, NULL, 'COMPLEX PROTEIN NUCLEASE, PUTATIVE KREPB1-RELATED-RELATED', 80035),
(136310, 'PTHR30349:SF72', NULL, NULL, NULL, NULL, 'TYROSINE RECOMBINASE XERC', 80036),
(136311, 'PTHR42881:SF5', NULL, NULL, NULL, NULL, 'PROLYL OLIGOPEPTIDASE FAMILY PROTEIN', 80037),
(136312, 'PTHR23068:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80038),
(136313, 'PTHR11909:SF80', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE K06H7.1-RELATED', 80039),
(136314, 'PTHR23273:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80040),
(136315, 'PTHR27006:SF256', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 80041),
(136316, 'PTHR44917:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HIGH CHLOROPHYLL FLUORESCENT 107', 80042),
(136317, 'PTHR10902:SF25', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35A-3-LIKE', 80043);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(136318, 'PTHR33641:SF16', NULL, NULL, NULL, NULL, 'AVR9/CF-9 RAPIDLY ELICITED PROTEIN', 80044),
(136319, 'PTHR26452:SF58', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5W2', 80045),
(136320, 'PTHR31748:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 80046),
(136321, 'PTHR37713:SF1', NULL, NULL, NULL, NULL, 'OS05G0176600 PROTEIN', 80047),
(136322, 'PTHR12653:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 5', 80048),
(136323, 'PTHR27006:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80049),
(136324, 'PTHR33671:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80050),
(136325, 'PTHR47035', NULL, NULL, NULL, NULL, 'OS11G0150450 PROTEIN', 80051),
(136326, 'PTHR11028:SF3', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT D 1', 80052),
(136327, 'PTHR46890', NULL, NULL, NULL, NULL, 'NON-LTR RETROLELEMENT REVERSE TRANSCRIPTASE-LIKE PROTEIN-RELATED', 80053),
(136328, 'PTHR37193:SF1', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYL-GLYCOPROTEIN 2-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE', 80054),
(136329, 'PTHR31985:SF213', NULL, NULL, NULL, NULL, 'BNAC09G50850D PROTEIN', 80055),
(136330, 'PTHR10291:SF22', NULL, NULL, NULL, NULL, 'DIMETHYLALLYLCISTRANSFERASE, CHLOROPLASTIC', 80056),
(136331, 'PTHR45878:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP3-LIKE', 80057),
(136332, 'PTHR30069:SF43', NULL, NULL, NULL, NULL, 'OAR PROTEIN', 80058),
(136333, 'PTHR43344', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE', 80059),
(136334, 'PTHR13486', NULL, NULL, NULL, NULL, 'TELOMERE LENGTH AND SILENCING PROTEIN 1 TLS1 FAMILY MEMBER', 80060),
(136335, 'PTHR31225:SF151', NULL, NULL, NULL, NULL, '(+)-GAMMA-CADINENE SYNTHASE', 80061),
(136336, 'PTHR23310:SF100', NULL, NULL, NULL, NULL, 'MEMBRANE ASSOCIATED ACYL-COA BINDING PROTEIN', 80062),
(136337, 'PTHR47985:SF45', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL22-RELATED', 80063),
(136338, 'PTHR24393:SF100', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 597', 80064),
(136339, 'PTHR10430:SF34', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-2F, MITOCHONDRIAL', 80065),
(136340, 'PTHR31568:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80066),
(136341, 'PTHR37875', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC685964', 80067),
(136342, 'PTHR34998:SF2', NULL, NULL, NULL, NULL, 'OS04G0357400 PROTEIN', 80068),
(136343, 'PTHR31704', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN-RELATED', 80069),
(136344, 'PTHR13683:SF292', NULL, NULL, NULL, NULL, 'GASTRICSIN', 80070),
(136345, 'PTHR23198:SF22', NULL, NULL, NULL, NULL, 'BNAC05G07920D PROTEIN', 80071),
(136346, 'PTHR47692:SF2', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 80072),
(136347, 'PTHR45864:SF6', NULL, NULL, NULL, NULL, 'SLINGSHOT PROTEIN PHOSPHATASE 2B', 80073),
(136348, 'PTHR18860:SF99', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 CHI-RELATED', 80074),
(136349, 'PTHR31001:SF45', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 80075),
(136350, 'PTHR19282:SF453', NULL, NULL, NULL, NULL, 'TETRASPANIN-20', 80076),
(136351, 'PTHR47926:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80077),
(136352, 'PTHR36488:SF6', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1U4', 80078),
(136353, 'PTHR32071:SF35', NULL, NULL, NULL, NULL, 'ANAEROBIC NITRIC OXIDE REDUCTASE TRANSCRIPTION REGULATOR NORR', 80079),
(136354, 'PTHR22920:SF23', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN 10/36/56/76', 80080),
(136355, 'PTHR22765:SF183', NULL, NULL, NULL, NULL, 'ERAD-ASSOCIATED E3 UBIQUITIN-PROTEIN LIGASE HRD1', 80081),
(136356, 'PTHR45807:SF3', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE JAK3', 80082),
(136357, 'PTHR13318:SF50', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 7', 80083),
(136358, 'PTHR11860:SF94', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 1', 80084),
(136359, 'PTHR33021:SF381', NULL, NULL, NULL, NULL, 'BNAC03G47040D PROTEIN', 80085),
(136360, 'PTHR33133:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80086),
(136361, 'PTHR24056:SF419', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE', 80087);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(136362, 'PTHR15506:SF1', NULL, NULL, NULL, NULL, 'MAJOR PRION PROTEIN', 80088),
(136363, 'PTHR24212:SF7', NULL, NULL, NULL, NULL, 'THYROID RECEPTOR-INTERACTING PROTEIN 6', 80089),
(136364, 'PTHR44329:SF155', NULL, NULL, NULL, NULL, 'BNAA07G02330D PROTEIN', 80090),
(136365, 'PTHR13593:SF48', NULL, NULL, NULL, NULL, 'OSJNBA0039K24.18 PROTEIN', 80091),
(136366, 'PTHR21461:SF0', NULL, NULL, NULL, NULL, 'EG:BACR42I17.3 PROTEIN-RELATED', 80092),
(136367, 'PTHR12276:SF98', NULL, NULL, NULL, NULL, 'BNAC04G02770D PROTEIN', 80093),
(136368, 'PTHR11736:SF51', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 3 HOMOLOG', 80094),
(136369, 'PTHR23105:SF168', NULL, NULL, NULL, NULL, 'BNAA03G47020D PROTEIN', 80095),
(136370, 'PTHR10543:SF43', NULL, NULL, NULL, NULL, 'ALL-TRANS-RETINYL ESTER 13-CIS ISOMEROHYDROLASE-RELATED', 80096),
(136371, 'PTHR11949:SF26', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 9', 80097),
(136372, 'PTHR31137:SF31', NULL, NULL, NULL, NULL, 'PROTEIN PSIH-RELATED', 80098),
(136373, 'PTHR37964:SF1', NULL, NULL, NULL, NULL, 'SUPPRESSOR', 80099),
(136374, 'PTHR12863:SF15', NULL, NULL, NULL, NULL, 'FATTY ACID 2-HYDROXYLASE-LIKE PROTEIN', 80100),
(136375, 'PTHR13800:SF2', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 2', 80101),
(136376, 'PTHR32133:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80102),
(136377, 'PTHR11073:SF34', NULL, NULL, NULL, NULL, 'CALRETICULIN 3B', 80103),
(136378, 'PTHR11675:SF28', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 9', 80104),
(136379, 'PTHR43795:SF6', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 6', 80105),
(136380, 'PTHR22133', NULL, NULL, NULL, NULL, 'AT01821P-RELATED', 80106),
(136381, 'PTHR31232:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80107),
(136382, 'PTHR45675:SF64', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 80108),
(136383, 'PTHR11034:SF19', NULL, NULL, NULL, NULL, 'GH09802P', 80109),
(136384, 'PTHR19932', NULL, NULL, NULL, NULL, 'WD REPEAT AND HMG-BOX DNA BINDING PROTEIN', 80110),
(136385, 'PTHR45621:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80111),
(136386, 'PTHR11431:SF107', NULL, NULL, NULL, NULL, 'FERRITIN-1, CHLOROPLASTIC', 80112),
(136387, 'PTHR48185:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80113),
(136388, 'PTHR10641:SF1258', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39', 80114),
(136389, 'PTHR11461:SF122', NULL, NULL, NULL, NULL, 'MCG54087-RELATED', 80115),
(136390, 'PTHR11875:SF109', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 12 ISOFORM X1', 80116),
(136391, 'PTHR47993:SF130', NULL, NULL, NULL, NULL, 'OS02G0474000 PROTEIN', 80117),
(136392, 'PTHR47986:SF6', NULL, NULL, NULL, NULL, 'TRANSFERASE, PROTEIN KINASE RLK-PELLE-LRR-IX FAMILY-RELATED', 80118),
(136393, 'PTHR23262:SF25', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-4-RELATED', 80119),
(136394, 'PTHR43712:SF11', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE (AFU_ORTHOLOGUE AFUA_2G17820)', 80120),
(136395, 'PTHR33734:SF13', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING GPI-ANCHORED PROTEIN 1', 80121),
(136396, 'PTHR31717:SF9', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', 80122),
(136397, 'PTHR45719:SF14', NULL, NULL, NULL, NULL, 'OS01G0121800 PROTEIN', 80123),
(136398, 'PTHR43594:SF1', NULL, NULL, NULL, NULL, 'QUERCETIN 2,3-DIOXYGENASE PA2418-RELATED', 80124),
(136399, 'PTHR45631:SF57', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE PAM74-RELATED', 80125),
(136400, 'PTHR41399', NULL, NULL, NULL, NULL, 'C12ORF74 ISOFORM 1', 80126),
(136401, 'PTHR43076', NULL, NULL, NULL, NULL, 'FO SYNTHASE (COFH)', 80127),
(136402, 'PTHR46080:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER-LIKE PROTEIN', 80128),
(136403, 'PTHR45809:SF1', NULL, NULL, NULL, NULL, 'PHOSDUCIN-LIKE PROTEIN 2', 80129),
(136404, 'PTHR43654', NULL, NULL, NULL, NULL, 'GLUTAMATE 5-KINASE', 80130),
(136405, 'PTHR19282:SF39', NULL, NULL, NULL, NULL, 'LEUKOCYTE SURFACE ANTIGEN CD53', 80131);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(136406, 'PTHR24356:SF359', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 80132),
(136407, 'PTHR45772:SF4', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 80133),
(136408, 'PTHR11616:SF249', NULL, NULL, NULL, NULL, 'TRANSPORTER', 80134),
(136409, 'PTHR19241:SF622', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3-LIKE', 80135),
(136410, 'PTHR48104:SF24', NULL, NULL, NULL, NULL, 'ICE-LIKE PROTEASE P20 DOMAIN CONTAINING PROTEIN, EXPRESSED', 80136),
(136411, 'PTHR31354:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80137),
(136412, 'PTHR35546:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80138),
(136413, 'PTHR19317:SF39', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN F1', 80139),
(136414, 'PTHR24212', NULL, NULL, NULL, NULL, 'ZYXIN/TRIP6', 80140),
(136415, 'PTHR10378:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80141),
(136416, 'PTHR44699:SF2', NULL, NULL, NULL, NULL, 'ZGC:165604', 80142),
(136417, 'PTHR33826:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80143),
(136418, 'PTHR37746', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 80144),
(136419, 'PTHR11593:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17-1 ISOFORM X1', 80145),
(136420, 'PTHR43327:SF44', NULL, NULL, NULL, NULL, 'BNAC03G14740D PROTEIN', 80146),
(136421, 'PTHR46269', NULL, NULL, NULL, NULL, 'EPIPHYCAN-RELATED', 80147),
(136422, 'PTHR43675:SF7', NULL, NULL, NULL, NULL, 'ZGC:153372', 80148),
(136423, 'PTHR37210', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 80149),
(136424, 'PTHR31828:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 6', 80150),
(136425, 'PTHR47596:SF5', NULL, NULL, NULL, NULL, 'DVL FAMILY PROTEIN', 80151),
(136426, 'PTHR31683:SF69', NULL, NULL, NULL, NULL, 'PECTATE LYASE 3-RELATED', 80152),
(136427, 'PTHR23044:SF66', NULL, NULL, NULL, NULL, '3''-5'' EXONUCLEASE KAPD-RELATED', 80153),
(136428, 'PTHR45725:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80154),
(136429, 'PTHR10177:SF376', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN CLN1-RELATED', 80155),
(136430, 'PTHR24023:SF980', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-3(IV) CHAIN', 80156),
(136431, 'PTHR32227:SF275', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80157),
(136432, 'PTHR13563:SF17', NULL, NULL, NULL, NULL, 'BNAA06G35330D PROTEIN', 80158),
(136433, 'PTHR11511', NULL, NULL, NULL, NULL, 'LARVAL STORAGE PROTEIN/PHENOLOXIDASE', 80159),
(136434, 'PTHR45270', NULL, NULL, NULL, NULL, 'OS03G0832900 PROTEIN', 80160),
(136435, 'PTHR12812:SF6', NULL, NULL, NULL, NULL, 'HEPARAN-SULFATE 6-O-SULFOTRANSFERASE 2', 80161),
(136436, 'PTHR24409:SF348', NULL, NULL, NULL, NULL, 'LD24322P', 80162),
(136437, 'PTHR45824:SF26', NULL, NULL, NULL, NULL, 'BNAC01G40700D PROTEIN', 80163),
(136438, 'PTHR43431:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_5G14000)', 80164),
(136439, 'PTHR33514:SF1', NULL, NULL, NULL, NULL, 'COBALT TRANSPORT PROTEIN CBIQ', 80165),
(136440, 'PTHR31197:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80166),
(136441, 'PTHR11802:SF193', NULL, NULL, NULL, NULL, 'PEPTIDASE S10, SERINE CARBOXYPEPTIDASE, ALPHA/BETA HYDROLASE-RELATED', 80167),
(136442, 'PTHR12081:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80168),
(136443, 'PTHR47708', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 80169),
(136444, 'PTHR43161:SF19', NULL, NULL, NULL, NULL, 'SORBITOL DEHYDROGENASE', 80170),
(136445, 'PTHR33203:SF54', NULL, NULL, NULL, NULL, 'OLEOSIN', 80171),
(136446, 'PTHR12329:SF40', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 4', 80172),
(136447, 'PTHR11537:SF144', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, KQT-LIKE SUBFAMILY, MEMBER 1-RELATED', 80173),
(136448, 'PTHR45638:SF19', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED POTASSIUM CHANNEL', 80174),
(136449, 'PTHR23262:SF175', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-9', 80175),
(136450, 'PTHR19422:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80176),
(136451, 'PTHR46128:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80177);
INSERT INTO "PUBLIC"."MODEL" VALUES
(136452, 'PTHR45855:SF32', NULL, NULL, NULL, NULL, 'BNAC05G01110D PROTEIN', 80178),
(136453, 'PTHR24072:SF190', NULL, NULL, NULL, NULL, 'CDC-42 RELATED PROTEIN', 80179),
(136454, 'PTHR30244', NULL, NULL, NULL, NULL, 'TRANSAMINASE', 80180),
(136455, 'PTHR22780:SF13', NULL, NULL, NULL, NULL, 'AP-4 COMPLEX SUBUNIT EPSILON-1', 80181),
(136456, 'PTHR22814:SF337', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 21-LIKE', 80182),
(136457, 'PTHR47993:SF132', NULL, NULL, NULL, NULL, 'BNACNNG09650D PROTEIN', 80183),
(136458, 'PTHR10773:SF17', NULL, NULL, NULL, NULL, 'RNA POLYMERASE RPB6-RELATED', 80184),
(136459, 'PTHR24399:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 134', 80185),
(136460, 'PTHR48056:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80186),
(136461, 'PTHR42647:SF53', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 1-LIKE', 80187),
(136462, 'PTHR11360:SF158', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 9', 80188),
(136463, 'PTHR23302:SF62', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 2-B', 80189),
(136464, 'PTHR11017:SF386', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)-RELATED', 80190),
(136465, 'PTHR46583', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 22', 80191),
(136466, 'PTHR40736:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80192),
(136467, 'PTHR31790:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80193),
(136468, 'PTHR39597', NULL, NULL, NULL, NULL, 'UBA DOMAIN-CONTAINING PROTEIN RUP1', 80194),
(136469, 'PTHR35243', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 80195),
(136470, 'PTHR24255:SF25', NULL, NULL, NULL, NULL, 'COMPLEMENT C1R SUBCOMPONENT', 80196),
(136471, 'PTHR12207:SF25', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 2', 80197),
(136472, 'PTHR33589', NULL, NULL, NULL, NULL, 'OS11G0524900 PROTEIN', 80198),
(136473, 'PTHR33593:SF22', NULL, NULL, NULL, NULL, 'BNAA03G59600D PROTEIN', 80199),
(136474, 'PTHR39638', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 80200),
(136475, 'PTHR15835:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR-INTERACTING PARTNER OF ALK', 80201),
(136476, 'PTHR11761:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80202),
(136477, 'PTHR23147:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80203),
(136478, 'PTHR12329:SF41', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR', 80204),
(136479, 'PTHR10554', NULL, NULL, NULL, NULL, 'SYNTROPHIN', 80205),
(136480, 'PTHR34471', NULL, NULL, NULL, NULL, 'ARGININE REPRESSOR', 80206),
(136481, 'PTHR47926:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80207),
(136482, 'PTHR24281:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80208),
(136483, 'PTHR40447:SF1', NULL, NULL, NULL, NULL, 'ANAEROBIC SULFITE REDUCTASE SUBUNIT A', 80209),
(136484, 'PTHR23515:SF13', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 2.3-LIKE', 80210),
(136485, 'PTHR10353:SF179', NULL, NULL, NULL, NULL, 'BETA-D-GLUCOPYRANOSYL ABSCISATE BETA-GLUCOSIDASE', 80211),
(136486, 'PTHR31378:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80212),
(136487, 'PTHR15835:SF12', NULL, NULL, NULL, NULL, 'ZINC ION-BINDING PROTEIN', 80213),
(136488, 'PTHR21148:SF27', NULL, NULL, NULL, NULL, 'BNAANNG14790D PROTEIN', 80214),
(136489, 'PTHR48049:SF39', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 80215),
(136490, 'PTHR12689:SF4', NULL, NULL, NULL, NULL, 'PROTEIN AAR2 HOMOLOG', 80216),
(136491, 'PTHR24047:SF30', NULL, NULL, NULL, NULL, 'EATER-RELATED', 80217),
(136492, 'PTHR12677:SF47', NULL, NULL, NULL, NULL, 'BNAC08G45730D PROTEIN', 80218),
(136493, 'PTHR46228:SF2', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 80219),
(136494, 'PTHR42088:SF1', NULL, NULL, NULL, NULL, 'YALI0F10131P', 80220),
(136495, 'PTHR23142:SF2', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR 38B', 80221),
(136496, 'PTHR31369:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG23250', 80222),
(136497, 'PTHR37876', NULL, NULL, NULL, NULL, 'PROTEIN GAR2-LIKE', 80223),
(136498, 'PTHR45786:SF17', NULL, NULL, NULL, NULL, 'BNACNNG14250D PROTEIN', 80224);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(136499, 'PTHR47965:SF56', NULL, NULL, NULL, NULL, 'XYLOGLUCAN-SPECIFIC ENDOGLUCANASE INHIBITOR PROTEIN', 80225),
(136500, 'PTHR22849:SF128', NULL, NULL, NULL, NULL, 'OS12G0161100 PROTEIN', 80226),
(136501, 'PTHR24144', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 49', 80227),
(136502, 'PTHR10286:SF68', NULL, NULL, NULL, NULL, 'BNAC07G03580D PROTEIN', 80228),
(136503, 'PTHR31885:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 86A', 80229),
(136504, 'PTHR14819', NULL, NULL, NULL, NULL, 'GTP-BINDING', 80230),
(136505, 'PTHR11003:SF150', NULL, NULL, NULL, NULL, 'PROTEIN CBG08159', 80231),
(136506, 'PTHR31719:SF168', NULL, NULL, NULL, NULL, 'BNAA09G06870D PROTEIN', 80232),
(136507, 'PTHR12544:SF50', NULL, NULL, NULL, NULL, 'GLUTAMINASE', 80233),
(136508, 'PTHR36373', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 80234),
(136509, 'PTHR33103:SF49', NULL, NULL, NULL, NULL, 'DUF674 FAMILY PROTEIN', 80235),
(136510, 'PTHR36516:SF3', NULL, NULL, NULL, NULL, 'DOMON DOMAIN-CONTAINING PROTEIN Y73F4A.2', 80236),
(136511, 'PTHR38223:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80237),
(136512, 'PTHR31642:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80238),
(136513, 'PTHR45708:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80239),
(136514, 'PTHR23235:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80240),
(136515, 'PTHR16223:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80241),
(136516, 'PTHR12224:SF15', NULL, NULL, NULL, NULL, 'BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN-RELATED', 80242),
(136517, 'PTHR10790', NULL, NULL, NULL, NULL, 'TPR-DOMAIN CONTAINING PROTEIN', 80243),
(136518, 'PTHR43482:SF1', NULL, NULL, NULL, NULL, 'PROTEIN AST1-RELATED', 80244),
(136519, 'PTHR35872', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G07110)', 80245),
(136520, 'PTHR24082:SF112', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP D MEMBER 2', 80246),
(136521, 'PTHR12039:SF17', NULL, NULL, NULL, NULL, 'NICOTINAMIDE-NUCLEOTIDE ADENYLYLTRANSFERASE', 80247),
(136522, 'PTHR34277:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80248),
(136523, 'PTHR19359:SF96', NULL, NULL, NULL, NULL, 'PROTEIN CBG09736', 80249),
(136524, 'PTHR12049:SF5', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE METHYLTRANSFERASE NDUFAF7 HOMOLOG, MITOCHONDRIAL', 80250),
(136525, 'PTHR18640:SF10', NULL, NULL, NULL, NULL, 'SODIUM/METABOLITE COTRANSPORTER BASS4, CHLOROPLASTIC-RELATED', 80251),
(136526, 'PTHR45640:SF7', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-1', 80252),
(136527, 'PTHR24179:SF27', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 12C', 80253),
(136528, 'PTHR45644:SF50', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', 80254),
(136529, 'PTHR16484:SF4', NULL, NULL, NULL, NULL, 'PARTITIONING DEFECTIVE 3 HOMOLOG B', 80255),
(136530, 'PTHR22846:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80256),
(136531, 'PTHR31595:SF39', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 5-RELATED', 80257),
(136532, 'PTHR33156:SF43', NULL, NULL, NULL, NULL, 'BNAANNG28360D PROTEIN', 80258),
(136533, 'PTHR31676:SF128', NULL, NULL, NULL, NULL, 'BNAANNG09680D PROTEIN', 80259),
(136534, 'PTHR24221:SF127', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 25', 80260),
(136535, 'PTHR38442:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 80261),
(136536, 'PTHR31917:SF105', NULL, NULL, NULL, NULL, 'BNAC03G71680D PROTEIN', 80262),
(136537, 'PTHR24015:SF1713', NULL, NULL, NULL, NULL, 'REPEAT SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 80263),
(136538, 'PTHR43991:SF33', NULL, NULL, NULL, NULL, 'BNAA05G25990D PROTEIN', 80264),
(136539, 'PTHR33110:SF95', NULL, NULL, NULL, NULL, 'OS06G0148900 PROTEIN', 80265),
(136540, 'PTHR21324:SF11', NULL, NULL, NULL, NULL, 'DNA DAMAGE-REGULATED AUTOPHAGY MODULATOR PROTEIN 1', 80266),
(136541, 'PTHR21422:SF10', NULL, NULL, NULL, NULL, 'RAB3 GTPASE-ACTIVATING PROTEIN CATALYTIC SUBUNIT', 80267),
(136542, 'PTHR22870:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80268);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(136543, 'PTHR13367:SF8', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 7B', 80269),
(136544, 'PTHR12124:SF71', NULL, NULL, NULL, NULL, 'BNAA04G18800D PROTEIN', 80270),
(136545, 'PTHR12871:SF3', NULL, NULL, NULL, NULL, 'SI:CH73-91K6.2', 80271),
(136546, 'PTHR33776:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80272),
(136547, 'PTHR32343:SF44', NULL, NULL, NULL, NULL, 'PROTEIN VIP1-LIKE', 80273),
(136548, 'PTHR31729:SF15', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF011-LIKE', 80274),
(136549, 'PTHR42861:SF105', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 80275),
(136550, 'PTHR15350:SF5', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 7', 80276),
(136551, 'PTHR11699:SF197', NULL, NULL, NULL, NULL, 'N-SUCCINYLGLUTAMATE 5-SEMIALDEHYDE DEHYDROGENASE', 80277),
(136552, 'PTHR31972:SF54', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN (DUF868)', 80278),
(136553, 'PTHR45960:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DAUGHTER OF SEVENLESS', 80279),
(136554, 'PTHR33648:SF26', NULL, NULL, NULL, NULL, 'LYSM DOMAIN CONTAINING PROTEIN', 80280),
(136555, 'PTHR42678:SF30', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 80281),
(136556, 'PTHR27004', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12 ISOFORM X1', 80282),
(136557, 'PTHR23430:SF293', NULL, NULL, NULL, NULL, 'HISTONE H2A', 80283),
(136558, 'PTHR36378:SF1', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', 80284),
(136559, 'PTHR11785:SF354', NULL, NULL, NULL, NULL, 'B(0,+)-TYPE AMINO ACID TRANSPORTER 1', 80285),
(136560, 'PTHR24221:SF488', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', 80286),
(136561, 'PTHR11614:SF140', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE L2', 80287),
(136562, 'PTHR48000:SF19', NULL, NULL, NULL, NULL, 'OS05G0553400 PROTEIN', 80288),
(136563, 'PTHR24271:SF65', NULL, NULL, NULL, NULL, 'KALLIKREIN-4', 80289),
(136564, 'PTHR43313:SF5', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY 9C MEMBER 7', 80290),
(136565, 'PTHR48018:SF13', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8K5', 80291),
(136566, 'PTHR42956', NULL, NULL, NULL, NULL, 'NITROGENASE IRON-MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN NIFE', 80292),
(136567, 'PTHR22708:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80293),
(136568, 'PTHR13439:SF59', NULL, NULL, NULL, NULL, 'PROTEIN CBG19960', 80294),
(136569, 'PTHR47965:SF31', NULL, NULL, NULL, NULL, 'BNAA08G27390D PROTEIN', 80295),
(136570, 'PTHR35538', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 80296),
(136571, 'PTHR32246:SF134', NULL, NULL, NULL, NULL, 'BNAANNG31050D PROTEIN', 80297),
(136572, 'PTHR19370:SF197', NULL, NULL, NULL, NULL, 'B5 REDUCTASE, PUTATIVE-RELATED', 80298),
(136573, 'PTHR45959:SF40', NULL, NULL, NULL, NULL, 'NONASPANIN (TM9SF)-RELATED', 80299),
(136574, 'PTHR11119:SF102', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 6-LIKE ISOFORM X1', 80300),
(136575, 'PTHR19376:SF36', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE IV SUBUNIT 1', 80301),
(136576, 'PTHR10108:SF1114', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT22-RELATED', 80302),
(136577, 'PTHR11477:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR-RELATED', 80303),
(136578, 'PTHR31917:SF59', NULL, NULL, NULL, NULL, 'PLANT TUDOR-LIKE RNA-BINDING PROTEIN', 80304),
(136579, 'PTHR46502:SF16', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', 80305),
(136580, 'PTHR30574', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YEDE', 80306),
(136581, 'PTHR33048:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80307),
(136582, 'PTHR46159:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 3', 80308),
(136583, 'PTHR15905', NULL, NULL, NULL, NULL, 'GOLGI-ASSOCIATED KINASE 1B-RELATED', 80309),
(136584, 'PTHR21522:SF57', NULL, NULL, NULL, NULL, 'AGAP000703-PA', 80310),
(136585, 'PTHR42938:SF13', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE,NAD-BINDING', 80311),
(136586, 'PTHR23267:SF364', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-19', 80312),
(136587, 'PTHR46795:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', 80313);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(136588, 'PTHR12791:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80314),
(136589, 'PTHR27005:SF309', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', 80315),
(136590, 'PTHR24270:SF3', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 8', 80316),
(136591, 'PTHR13580:SF9', NULL, NULL, NULL, NULL, 'AXIN1 UP-REGULATED 1, ISOFORM A', 80317),
(136592, 'PTHR31989:SF4', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 90', 80318),
(136593, 'PTHR14939', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 22', 80319),
(136594, 'PTHR10209:SF788', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 10-RELATED', 80320),
(136595, 'PTHR15344:SF18', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN (RHO GTPASE-BINDING) 4B', 80321),
(136596, 'PTHR42024:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80322),
(136597, 'PTHR42940:SF9', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1-RELATED', 80323),
(136598, 'PTHR24282:SF41', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 734A5', 80324),
(136599, 'PTHR15241:SF286', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1', 80325),
(136600, 'PTHR15362:SF4', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--INOSITOL 3-PHOSPHATIDYLTRANSFERASE', 80326),
(136601, 'PTHR24381:SF124', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 10', 80327),
(136602, 'PTHR21377:SF16', NULL, NULL, NULL, NULL, 'PROTEIN FAM210B, MITOCHONDRIAL', 80328),
(136603, 'PTHR36766:SF13', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 80329),
(136604, 'PTHR11360:SF252', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00780)-RELATED', 80330),
(136605, 'PTHR46634:SF5', NULL, NULL, NULL, NULL, 'M REDUCTASE II SUBUNIT GAMMA, PUTATIVE (DUF3741)-RELATED', 80331),
(136606, 'PTHR44170:SF15', NULL, NULL, NULL, NULL, 'NEURONAL CELL ADHESION MOLECULE', 80332),
(136607, 'PTHR33318:SF7', NULL, NULL, NULL, NULL, 'ASPARTYL/GLUTAMYL-TRNA(ASN/GLN) AMIDOTRANSFERASE SUBUNIT', 80333),
(136608, 'PTHR31929:SF68', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 80334),
(136609, 'PTHR19846:SF0', NULL, NULL, NULL, NULL, 'U4/U6 SMALL NUCLEAR RIBONUCLEOPROTEIN PRP4', 80335),
(136610, 'PTHR38434', NULL, NULL, NULL, NULL, 'BLL2549 PROTEIN', 80336),
(136611, 'PTHR31899:SF13', NULL, NULL, NULL, NULL, 'BNAA10G28380D PROTEIN', 80337),
(136612, 'PTHR33541:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE A', 80338),
(136613, 'PTHR19957:SF318', NULL, NULL, NULL, NULL, 'BNAA09G27220D PROTEIN', 80339),
(136614, 'PTHR34587:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80340),
(136615, 'PTHR43650:SF16', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT BETA 2', 80341),
(136616, 'PTHR31426', NULL, NULL, NULL, NULL, 'GROUP II INTRON SPLICING FACTOR CRS1-LIKE', 80342),
(136617, 'PTHR11960:SF31', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 4E', 80343),
(136618, 'PTHR46279:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 80344),
(136619, 'PTHR10800:SF4', NULL, NULL, NULL, NULL, 'PULMONARY SURFACTANT-ASSOCIATED PROTEIN C', 80345),
(136620, 'PTHR21013:SF10', NULL, NULL, NULL, NULL, 'ATP SYNTHASE MITOCHONDRIAL F1 COMPLEX ASSEMBLY FACTOR 2', 80346),
(136621, 'PTHR33905', NULL, NULL, NULL, NULL, 'CST COMPLEX SUBUNIT TEN1', 80347),
(136622, 'PTHR22950:SF22', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 3', 80348),
(136623, 'PTHR44259:SF13', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', 80349),
(136624, 'PTHR30457:SF18', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE SURE-LIKE', 80350),
(136625, 'PTHR23220:SF84', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-L', 80351),
(136626, 'PTHR24035:SF136', NULL, NULL, NULL, NULL, 'MULTIPLE EPIDERMAL GROWTH FACTOR-LIKE DOMAINS PROTEIN 10', 80352),
(136627, 'PTHR19375:SF450', NULL, NULL, NULL, NULL, 'BNAC07G48050D PROTEIN', 80353),
(136628, 'PTHR31388:SF54', NULL, NULL, NULL, NULL, 'PEROXIDASE', 80354),
(136629, 'PTHR33590', NULL, NULL, NULL, NULL, 'GLUTENIN, HIGH MOLECULAR WEIGHT SUBUNIT PW212-RELATED PROTEIN', 80355);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(136630, 'PTHR31951:SF22', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', 80356),
(136631, 'PTHR16771', NULL, NULL, NULL, NULL, '26 PROTEASOME COMPLEX SUBUNIT DSS1', 80357),
(136632, 'PTHR10127:SF780', NULL, NULL, NULL, NULL, 'ASTACIN-LIKE METALLOENDOPEPTIDASE', 80358),
(136633, 'PTHR46705:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG15775', 80359),
(136634, 'PTHR11746:SF273', NULL, NULL, NULL, NULL, 'BNAA03G59140D PROTEIN', 80360),
(136635, 'PTHR10122:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5B, MITOCHONDRIAL', 80361),
(136636, 'PTHR45768:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80362),
(136637, 'PTHR47631:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 80363),
(136638, 'PTHR31636:SF274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80364),
(136639, 'PTHR45988:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT10-LIKE', 80365),
(136640, 'PTHR46581:SF9', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE RRA1-RELATED', 80366),
(136641, 'PTHR35128:SF1', NULL, NULL, NULL, NULL, 'SECRETION-REGULATING GUANINE NUCLEOTIDE EXCHANGE FACTOR', 80367),
(136642, 'PTHR32328:SF0', NULL, NULL, NULL, NULL, 'L-SERYL-TRNA(SEC) SELENIUM TRANSFERASE', 80368),
(136643, 'PTHR48054:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80369),
(136644, 'PTHR11716:SF56', NULL, NULL, NULL, NULL, 'GROUP IIE SECRETORY PHOSPHOLIPASE A2', 80370),
(136645, 'PTHR20275:SF9', NULL, NULL, NULL, NULL, 'NAD KINASE 2', 80371),
(136646, 'PTHR21136:SF202', NULL, NULL, NULL, NULL, 'VAMP7 ISOFORM 1', 80372),
(136647, 'PTHR24221:SF112', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 29, CHLOROPLASTIC', 80373),
(136648, 'PTHR24543:SF312', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80374),
(136649, 'PTHR10336:SF171', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 80375),
(136650, 'PTHR23202:SF68', NULL, NULL, NULL, NULL, 'PROTEIN CBG03256', 80376),
(136651, 'PTHR31503:SF52', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER NCL1', 80377),
(136652, 'PTHR31744:SF74', NULL, NULL, NULL, NULL, 'OS08G0433500 PROTEIN', 80378),
(136653, 'PTHR14583', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN C19ORF57 FAMILY MEMBER', 80379),
(136654, 'PTHR46706:SF7', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)', 80380),
(136655, 'PTHR43828:SF12', NULL, NULL, NULL, NULL, 'L-ASPARAGINASE 2-1-RELATED', 80381),
(136656, 'PTHR31374:SF241', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR36-LIKE', 80382),
(136657, 'PTHR47160:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80383),
(136658, 'PTHR31625:SF64', NULL, NULL, NULL, NULL, 'BNAA02G29930D PROTEIN', 80384),
(136659, 'PTHR33167:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80385),
(136660, 'PTHR18959:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80386),
(136661, 'PTHR16216:SF2', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 5, AXONEMAL', 80387),
(136662, 'PTHR31241:SF5', NULL, NULL, NULL, NULL, 'OS08G0521600 PROTEIN', 80388),
(136663, 'PTHR31827:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80389),
(136664, 'PTHR10125:SF13', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR 7', 80390),
(136665, 'PTHR47877', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 80391),
(136666, 'PTHR33187', NULL, NULL, NULL, NULL, 'WU:FI09B08', 80392),
(136667, 'PTHR11607:SF57', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE 2X', 80393),
(136668, 'PTHR27006:SF399', NULL, NULL, NULL, NULL, 'BNAA09G26700D PROTEIN', 80394),
(136669, 'PTHR19338:SF10', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8 B', 80395),
(136670, 'PTHR12127:SF7', NULL, NULL, NULL, NULL, 'SD02261P', 80396),
(136671, 'PTHR13501', NULL, NULL, NULL, NULL, 'CHLOROPLAST 50S RIBOSOMAL PROTEIN L22-RELATED', 80397),
(136672, 'PTHR24034:SF136', NULL, NULL, NULL, NULL, 'VITELLOGENIN RECEPTOR-RELATED', 80398),
(136673, 'PTHR31867:SF165', NULL, NULL, NULL, NULL, 'EXPANSIN-A11', 80399),
(136674, 'PTHR23226:SF192', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 853', 80400); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(136675, 'PTHR45836:SF13', NULL, NULL, NULL, NULL, 'NOTCH 3', 80401),
(136676, 'PTHR10992:SF1014', NULL, NULL, NULL, NULL, 'ESTERASE, PUTATIVE-RELATED', 80402),
(136677, 'PTHR45953', NULL, NULL, NULL, NULL, 'IDURONATE 2-SULFATASE', 80403),
(136678, 'PTHR11157:SF144', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 80404),
(136679, 'PTHR31080:SF248', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR', 80405),
(136680, 'PTHR12746:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL EXPORT PROTEIN NMD3', 80406),
(136681, 'PTHR15326:SF8', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 2', 80407),
(136682, 'PTHR30627:SF6', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE YBXI-RELATED', 80408),
(136683, 'PTHR47965:SF33', NULL, NULL, NULL, NULL, 'BNAC09G38560D PROTEIN', 80409),
(136684, 'PTHR22943:SF250', NULL, NULL, NULL, NULL, 'PROTEIN CBG05658', 80410),
(136685, 'PTHR35101:SF12', NULL, NULL, NULL, NULL, 'OS02G0162600 PROTEIN', 80411),
(136686, 'PTHR21262:SF34', NULL, NULL, NULL, NULL, 'GTP DIPHOSPHOKINASE RSH2, CHLOROPLASTIC-RELATED', 80412),
(136687, 'PTHR21389:SF0', NULL, NULL, NULL, NULL, 'ETOPOSIDE-INDUCED PROTEIN 2.4 HOMOLOG', 80413),
(136688, 'PTHR21643:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR AEX-2', 80414),
(136689, 'PTHR31009:SF107', NULL, NULL, NULL, NULL, 'JASMONATE O-METHYLTRANSFERASE', 80415),
(136690, 'PTHR13789:SF306', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE-RELATED', 80416),
(136691, 'PTHR46086:SF23', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL ACIDIC LIPASE TAL5', 80417),
(136692, 'PTHR30055:SF151', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 80418),
(136693, 'PTHR35908', NULL, NULL, NULL, NULL, 'HYPOTHETICAL FUSION PROTEIN', 80419),
(136694, 'PTHR33790', NULL, NULL, NULL, NULL, 'OS05G0344200 PROTEIN', 80420),
(136695, 'PTHR33644', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 62-RELATED', 80421),
(136696, 'PTHR38104:SF1', NULL, NULL, NULL, NULL, 'ANTI-SIGMA-E FACTOR RSEA', 80422),
(136697, 'PTHR31969:SF38', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 4', 80423),
(136698, 'PTHR12757:SF3', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA-INDUCED PROTEIN 8', 80424),
(136699, 'PTHR24339:SF32', NULL, NULL, NULL, NULL, 'VENTRAL ANTERIOR HOMEOBOX 1', 80425),
(136700, 'PTHR31062:SF236', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 80426),
(136701, 'PTHR46116:SF29', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 25-RELATED', 80427),
(136702, 'PTHR36756:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 80428),
(136703, 'PTHR11945:SF597', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80429),
(136704, 'PTHR23226:SF248', NULL, NULL, NULL, NULL, 'MCG56563', 80430),
(136705, 'PTHR46874:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 6', 80431),
(136706, 'PTHR23358:SF3', NULL, NULL, NULL, NULL, 'METHYLCYTOSINE DIOXYGENASE TET2', 80432),
(136707, 'PTHR47119:SF5', NULL, NULL, NULL, NULL, 'BNAC05G24250D PROTEIN', 80433),
(136708, 'PTHR43634:SF12', NULL, NULL, NULL, NULL, 'BNACNNG60870D PROTEIN', 80434),
(136709, 'PTHR47592:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80435),
(136710, 'PTHR10796:SF104', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 80436),
(136711, 'PTHR22947:SF5', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 80437),
(136712, 'PTHR32157:SF5', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN 47B', 80438),
(136713, 'PTHR31415:SF15', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN-LIKE', 80439),
(136714, 'PTHR12858:SF1', NULL, NULL, NULL, NULL, 'PRE-RRNA-PROCESSING PROTEIN TSR1 HOMOLOG', 80440),
(136715, 'PTHR33989', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 80441),
(136716, 'PTHR31197:SF33', NULL, NULL, NULL, NULL, 'BNAC03G67620D PROTEIN', 80442),
(136717, 'PTHR11984:SF104', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', 80443),
(136718, 'PTHR47760:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR AH9.1-RELATED', 80444),
(136719, 'PTHR34361:SF2', NULL, NULL, NULL, NULL, 'OS08G0157800 PROTEIN', 80445),
(136720, 'PTHR12000:SF31', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME-LIKE', 80446);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(136721, 'PTHR35103:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80447),
(136722, 'PTHR48019:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80448),
(136723, 'PTHR11533:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80449),
(136724, 'PTHR47973:SF6', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 1', 80450),
(136725, 'PTHR48047:SF80', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 87A1-LIKE', 80451),
(136726, 'PTHR30146:SF120', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', 80452),
(136727, 'PTHR33417', NULL, NULL, NULL, NULL, 'G-BOX BINDING PROTEIN', 80453),
(136728, 'PTHR31213:SF90', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE 2-LIKE', 80454),
(136729, 'PTHR47992:SF156', NULL, NULL, NULL, NULL, 'BNAC06G06590D PROTEIN', 80455),
(136730, 'PTHR24347:SF390', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE B KINASE GAMMA CATALYTIC CHAIN, LIVER/TESTIS ISOFORM', 80456),
(136731, 'PTHR33876:SF2', NULL, NULL, NULL, NULL, 'NICKEL-TRANSPORT FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 80457),
(136732, 'PTHR11949:SF1', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 3', 80458),
(136733, 'PTHR33470:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80459),
(136734, 'PTHR26453:SF175', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 80460),
(136735, 'PTHR31677:SF105', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF117', 80461),
(136736, 'PTHR31707:SF262', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 26-RELATED', 80462),
(136737, 'PTHR32285:SF57', NULL, NULL, NULL, NULL, 'PROTEIN ALTERED XYLOGLUCAN 4', 80463),
(136738, 'PTHR11742:SF86', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 80464),
(136739, 'PTHR23333:SF32', NULL, NULL, NULL, NULL, 'BNAANNG29860D PROTEIN', 80465),
(136740, 'PTHR46476:SF15', NULL, NULL, NULL, NULL, '1, PUTATIVE, EXPRESSED-RELATED', 80466),
(136741, 'PTHR18860:SF72', NULL, NULL, NULL, NULL, '14-3-3 FAMILY PROTEIN-RELATED', 80467),
(136742, 'PTHR12411:SF595', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80468),
(136743, 'PTHR31193', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN C9ORF91', 80469),
(136744, 'PTHR22874:SF10', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', 80470),
(136745, 'PTHR24271:SF44', NULL, NULL, NULL, NULL, '1700074P13RIK PROTEIN', 80471),
(136746, 'PTHR47928:SF56', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 80472),
(136747, 'PTHR11616:SF261', NULL, NULL, NULL, NULL, 'TRANSPORTER', 80473),
(136748, 'PTHR18966:SF514', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 80474),
(136749, 'PTHR22683:SF41', NULL, NULL, NULL, NULL, 'DNA TRANSLOCASE FTSK', 80475),
(136750, 'PTHR20990:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11C', 80476),
(136751, 'PTHR24373:SF303', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 3', 80477),
(136752, 'PTHR15963', NULL, NULL, NULL, NULL, 'GENERAL RECEPTOR FOR PHOSPHOINOSITIDES 1-ASSOCIATED SCAFFOLD PROTEIN-RELATED', 80478),
(136753, 'PTHR19876:SF45', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''', 80479),
(136754, 'PTHR32556:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80480),
(136755, 'PTHR33573:SF11', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 80481),
(136756, 'PTHR47999:SF15', NULL, NULL, NULL, NULL, 'BNAC04G52010D PROTEIN', 80482),
(136757, 'PTHR43558:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80483),
(136758, 'PTHR46506:SF47', NULL, NULL, NULL, NULL, 'JACALIN-LIKE LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', 80484),
(136759, 'PTHR45628:SF7', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL TYPE A SUBUNIT ALPHA-1', 80485),
(136760, 'PTHR33133:SF40', NULL, NULL, NULL, NULL, 'BNAA09G09710D PROTEIN', 80486),
(136761, 'PTHR21340', NULL, NULL, NULL, NULL, 'DIADENOSINE 5,5-P1,P4-TETRAPHOSPHATE PYROPHOSPHOHYDROLASE MUTT', 80487),
(136762, 'PTHR48202', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 80488),
(136763, 'PTHR10416', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA SUBUNIT 2', 80489);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(136764, 'PTHR13743:SF132', NULL, NULL, NULL, NULL, 'AGAP003389-PA', 80490),
(136765, 'PTHR12565:SF380', NULL, NULL, NULL, NULL, 'BNAA09G09600D PROTEIN', 80491),
(136766, 'PTHR22849:SF118', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 80492),
(136767, 'PTHR31500:SF72', NULL, NULL, NULL, NULL, 'BNAC05G14860D PROTEIN', 80493),
(136768, 'PTHR10985:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HES-2', 80494),
(136769, 'PTHR15907:SF159', NULL, NULL, NULL, NULL, 'BNAA05G36430D PROTEIN', 80495),
(136770, 'PTHR10126:SF48', NULL, NULL, NULL, NULL, 'TATA-BOX-BINDING PROTEIN 1', 80496),
(136771, 'PTHR47924:SF6', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 80497),
(136772, 'PTHR11783:SF230', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 80498),
(136773, 'PTHR11228', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', 80499),
(136774, 'PTHR43900:SF50', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F10', 80500),
(136775, 'PTHR46407:SF6', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PLANT-LIKE PROTEIN', 80501),
(136776, 'PTHR20948:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 164', 80502),
(136777, 'PTHR13906:SF11', NULL, NULL, NULL, NULL, 'MEMBRANE BOUND O-ACYL TRANSFERASE, MBOAT', 80503),
(136778, 'PTHR36010:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80504),
(136779, 'PTHR48017:SF179', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 1-2', 80505),
(136780, 'PTHR34710:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80506),
(136781, 'PTHR30001:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE E/G-LIKE PROTEIN, CHLOROPLASTIC', 80507),
(136782, 'PTHR23201:SF105', NULL, NULL, NULL, NULL, 'BNAUNNG01070D PROTEIN', 80508),
(136783, 'PTHR10896:SF63', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX14-RELATED', 80509),
(136784, 'PTHR33271:SF18', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL PROTEIN-RELATED', 80510),
(136785, 'PTHR10835:SF12', NULL, NULL, NULL, NULL, 'BNAC02G41390D PROTEIN', 80511),
(136786, 'PTHR28663', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 173', 80512),
(136787, 'PTHR47993:SF166', NULL, NULL, NULL, NULL, 'BNAANNG07480D PROTEIN', 80513),
(136788, 'PTHR21596:SF65', NULL, NULL, NULL, NULL, 'PROTEIN INVOLVED IN DE NOVO 2-RELATED', 80514),
(136789, 'PTHR12764', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN-RELATED', 80515),
(136790, 'PTHR10106:SF41', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE ASCORBATE FERRIREDUCTASE 4-RELATED', 80516),
(136791, 'PTHR48023:SF8', NULL, NULL, NULL, NULL, 'BNACNNG06220D PROTEIN', 80517),
(136792, 'PTHR23189:SF94', NULL, NULL, NULL, NULL, 'BNAA02G33080D PROTEIN', 80518),
(136793, 'PTHR24232:SF1', NULL, NULL, NULL, NULL, 'N-ARACHIDONYL GLYCINE RECEPTOR', 80519),
(136794, 'PTHR46086:SF10', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3-LIKE', 80520),
(136795, 'PTHR45707:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80521),
(136796, 'PTHR48053:SF30', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 80522),
(136797, 'PTHR33059:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80523),
(136798, 'PTHR27006:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80524),
(136799, 'PTHR32285:SF302', NULL, NULL, NULL, NULL, 'BNAA07G28730D PROTEIN', 80525),
(136800, 'PTHR15481:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN WITH SERINE-RICH DOMAIN 1', 80526),
(136801, 'PTHR10824:SF18', NULL, NULL, NULL, NULL, 'BILE ACID-COA:AMINO ACID N-ACYLTRANSFERASE', 80527),
(136802, 'PTHR33681:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80528),
(136803, 'PTHR46836:SF10', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYGLUCOSAMINLYTRANSFERASE SUBUNIT P-LIKE PROTEIN', 80529),
(136804, 'PTHR32002:SF61', NULL, NULL, NULL, NULL, 'PROTEIN NLP3-LIKE ISOFORM X1', 80530),
(136805, 'PTHR47982:SF41', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 80531),
(136806, 'PTHR36761:SF2', NULL, NULL, NULL, NULL, 'ORF03 PROTEIN', 80532),
(136807, 'PTHR10306:SF10', NULL, NULL, NULL, NULL, 'SYNAPTOPHYSIN', 80533),
(136808, 'PTHR16517:SF99', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 11', 80534);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(136809, 'PTHR13338:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80535),
(136810, 'PTHR36759', NULL, NULL, NULL, NULL, 'DYNEIN BETA CHAIN, CILIARY PROTEIN', 80536),
(136811, 'PTHR16254:SF20', NULL, NULL, NULL, NULL, 'K(+) EFFLUX ANTIPORTER 5', 80537),
(136812, 'PTHR43340:SF5', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLTRANSFERASE DOMAIN-CONTAINING PROTEIN 1', 80538),
(136813, 'PTHR22745:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-222L21.1', 80539),
(136814, 'PTHR47865', NULL, NULL, NULL, NULL, 'OS05G0580550 PROTEIN', 80540),
(136815, 'PTHR36374:SF1', NULL, NULL, NULL, NULL, 'OS01G0969000 PROTEIN', 80541),
(136816, 'PTHR31769:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80542),
(136817, 'PTHR45614:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80543),
(136818, 'PTHR48053:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 80544),
(136819, 'PTHR43791:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80545),
(136820, 'PTHR28159', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX II-SPECIFIC SUBUNIT 65', 80546),
(136821, 'PTHR41299:SF1', NULL, NULL, NULL, NULL, 'THIAMINE PYROPHOSPHOKINASE', 80547),
(136822, 'PTHR13793:SF141', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 80548),
(136823, 'PTHR48002:SF106', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C16', 80549),
(136824, 'PTHR31190:SF189', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1A-RELATED', 80550),
(136825, 'PTHR47991:SF125', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE/FE(II)-DEPENDENT DIOXYGENASE-RELATED', 80551),
(136826, 'PTHR12611:SF0', NULL, NULL, NULL, NULL, 'PURINE-RICH BINDING PROTEIN-ALPHA, ISOFORM B', 80552),
(136827, 'PTHR46804:SF2', NULL, NULL, NULL, NULL, 'ADP RIBOSYLATION FACTOR LIKE GTPASE 14 EFFECTOR PROTEIN LIKE', 80553),
(136828, 'PTHR11165:SF111', NULL, NULL, NULL, NULL, 'SCF UBIQUITIN LIGASE, SKP1 COMPONENT', 80554),
(136829, 'PTHR47990:SF36', NULL, NULL, NULL, NULL, 'OS02G0767300 PROTEIN', 80555),
(136830, 'PTHR11533:SF274', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 80556),
(136831, 'PTHR11783:SF183', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 80557),
(136832, 'PTHR23056:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80558),
(136833, 'PTHR14000:SF7', NULL, NULL, NULL, NULL, 'OS04G0523100 PROTEIN', 80559),
(136834, 'PTHR31301:SF103', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 25-LIKE', 80560),
(136835, 'PTHR24083:SF157', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-40', 80561),
(136836, 'PTHR12262:SF16', NULL, NULL, NULL, NULL, 'BNAANNG26140D PROTEIN', 80562),
(136837, 'PTHR24359:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SBK1', 80563),
(136838, 'PTHR19282:SF450', NULL, NULL, NULL, NULL, 'TETRASPANIN', 80564),
(136839, 'PTHR31871:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80565),
(136840, 'PTHR45631:SF81', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE PROTEIN-RELATED', 80566),
(136841, 'PTHR13859:SF24', NULL, NULL, NULL, NULL, 'ARGININE-GLUTAMIC ACID DIPEPTIDE REPEAT PROTEIN', 80567),
(136842, 'PTHR48005:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80568),
(136843, 'PTHR45224:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80569),
(136844, 'PTHR46274:SF11', NULL, NULL, NULL, NULL, 'OS05G0524200 PROTEIN', 80570),
(136845, 'PTHR15907:SF169', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 6', 80571),
(136846, 'PTHR21599:SF0', NULL, NULL, NULL, NULL, 'GLYCERATE 2-KINASE', 80572),
(136847, 'PTHR28658:SF1', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING 13B', 80573),
(136848, 'PTHR45801:SF69', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SUPERMAN-LIKE', 80574),
(136849, 'PTHR23155:SF1005', NULL, NULL, NULL, NULL, 'OS07G0197300 PROTEIN', 80575),
(136850, 'PTHR35762:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 80576),
(136851, 'PTHR30249:SF3', NULL, NULL, NULL, NULL, 'MUREIN HYDROLASE EXPORT REGULATOR', 80577),
(136852, 'PTHR14947:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80578);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(136853, 'PTHR14255:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 80579),
(136854, 'PTHR33286:SF32', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 80580),
(136855, 'PTHR46651:SF3', NULL, NULL, NULL, NULL, 'SMR DOMAIN-CONTAINING PROTEIN-RELATED', 80581),
(136856, 'PTHR33270', NULL, NULL, NULL, NULL, 'BNAC05G50380D PROTEIN', 80582),
(136857, 'PTHR45988:SF56', NULL, NULL, NULL, NULL, 'BNAA01G26030D PROTEIN', 80583),
(136858, 'PTHR23266:SF293', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-49', 80584),
(136859, 'PTHR27006:SF202', NULL, NULL, NULL, NULL, 'REPEAT TRANSMEMBRANE PROTEIN KINASE, PUTATIVE-RELATED', 80585),
(136860, 'PTHR43620:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80586),
(136861, 'PTHR16736:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80587),
(136862, 'PTHR31923:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80588),
(136863, 'PTHR24178', NULL, NULL, NULL, NULL, 'MOLTING PROTEIN MLT-4', 80589),
(136864, 'PTHR24399:SF37', NULL, NULL, NULL, NULL, 'B-CELL CLL/LYMPHOMA 6 MEMBER B PROTEIN', 80590),
(136865, 'PTHR48052:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80591),
(136866, 'PTHR13526:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPT20 HOMOLOG', 80592),
(136867, 'PTHR46136:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80593),
(136868, 'PTHR11886:SF39', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 80594),
(136869, 'PTHR31150:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80595),
(136870, 'PTHR31948:SF60', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 5', 80596),
(136871, 'PTHR43767', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE', 80597),
(136872, 'PTHR26453:SF321', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 80598),
(136873, 'PTHR35818', NULL, NULL, NULL, NULL, 'C1ORF189', 80599),
(136874, 'PTHR31304:SF41', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 38-LIKE ISOFORM X1', 80600),
(136875, 'PTHR11822:SF36', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', 80601),
(136876, 'PTHR31374:SF165', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR72', 80602),
(136877, 'PTHR14237', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN COFACTOR SULFURASE  MOSC', 80603),
(136878, 'PTHR10414', NULL, NULL, NULL, NULL, 'ETHANOLAMINEPHOSPHOTRANSFERASE', 80604),
(136879, 'PTHR46821:SF5', NULL, NULL, NULL, NULL, 'BNAA03G47360D PROTEIN', 80605),
(136880, 'PTHR32467:SF175', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 80606),
(136881, 'PTHR45679:SF6', NULL, NULL, NULL, NULL, 'ER DEGRADATION-ENHANCING ALPHA-MANNOSIDASE-LIKE PROTEIN 2', 80607),
(136882, 'PTHR31282:SF155', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 65-RELATED', 80608),
(136883, 'PTHR35272:SF3', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBC', 80609),
(136884, 'PTHR31731:SF110', NULL, NULL, NULL, NULL, 'BNAC08G10150D PROTEIN', 80610),
(136885, 'PTHR32428', NULL, NULL, NULL, NULL, 'TARGET OF RAPAMYCIN COMPLEX 2 SUBUNIT BIT61-RELATED', 80611),
(136886, 'PTHR24055:SF431', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 80612),
(136887, 'PTHR46909:SF3', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L36, MITOCHONDRIAL', 80613),
(136888, 'PTHR12247:SF68', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN SCMH1', 80614),
(136889, 'PTHR10671:SF93', NULL, NULL, NULL, NULL, 'SI:CH211-232M10.6', 80615),
(136890, 'PTHR21720:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG00978', 80616),
(136891, 'PTHR31479:SF5', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 80617),
(136892, 'PTHR47959:SF9', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DEAD BOX FAMILY', 80618),
(136893, 'PTHR32044:SF43', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 4-RELATED', 80619),
(136894, 'PTHR38480', NULL, NULL, NULL, NULL, 'SLR0254 PROTEIN', 80620),
(136895, 'PTHR43874:SF142', NULL, NULL, NULL, NULL, 'BNAC04G24580D PROTEIN', 80621),
(136896, 'PTHR11964:SF58', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', 80622);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(136897, 'PTHR47656:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MIXL1', 80623),
(136898, 'PTHR22802:SF393', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN MANNOSE-BINDING ISOFORM-LIKE', 80624),
(136899, 'PTHR21665:SF2', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT DOMAIN-CONTAINING PROTEIN 6', 80625),
(136900, 'PTHR33605:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80626),
(136901, 'PTHR46829:SF1', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 15', 80627),
(136902, 'PTHR14066:SF10', NULL, NULL, NULL, NULL, 'NATRIURETIC PEPTIDES B', 80628),
(136903, 'PTHR24177:SF227', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE-RELATED', 80629),
(136904, 'PTHR24377:SF624', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 837', 80630),
(136905, 'PTHR43795:SF38', NULL, NULL, NULL, NULL, 'N-ACETYL-LL-DIAMINOPIMELATE AMINOTRANSFERASE-RELATED', 80631),
(136906, 'PTHR34806:SF1', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 3.2', 80632),
(136907, 'PTHR23086:SF63', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE FAMILY PROTEIN', 80633),
(136908, 'PTHR33683', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 80634),
(136909, 'PTHR43245:SF8', NULL, NULL, NULL, NULL, 'CIPA-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01630)-RELATED', 80635),
(136910, 'PTHR12313:SF7', NULL, NULL, NULL, NULL, 'OS03G0678400 PROTEIN', 80636),
(136911, 'PTHR22893:SF109', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 8-RELATED', 80637),
(136912, 'PTHR36959', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 24, MITOCHONDRIAL', 80638),
(136913, 'PTHR31247:SF16', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 198-B', 80639),
(136914, 'PTHR31989:SF368', NULL, NULL, NULL, NULL, 'PROTEIN BEARSKIN2-LIKE', 80640),
(136915, 'PTHR31111:SF25', NULL, NULL, NULL, NULL, 'F-BOX/ASSOCIATED INTERACTION DOMAIN PROTEIN', 80641),
(136916, 'PTHR10934:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18-1-RELATED', 80642),
(136917, 'PTHR32212:SF326', NULL, NULL, NULL, NULL, 'OS07G0105200 PROTEIN', 80643),
(136918, 'PTHR40763:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80644),
(136919, 'PTHR43270:SF8', NULL, NULL, NULL, NULL, 'DI- AND TRIPEPTIDASE DUG2-RELATED', 80645),
(136920, 'PTHR19422:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80646),
(136921, 'PTHR21148:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80647),
(136922, 'PTHR33180:SF16', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP43 REACTION CENTER PROTEIN', 80648),
(136923, 'PTHR10366:SF713', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL 4-REDUCTASE-LIKE', 80649),
(136924, 'PTHR46561:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', 80650),
(136925, 'PTHR10972:SF171', NULL, NULL, NULL, NULL, 'OSBP(OXYSTEROL-BINDING PROTEIN)-RELATED PROTEIN 1C', 80651),
(136926, 'PTHR48162', NULL, NULL, NULL, NULL, 'YALI0A06930P', 80652),
(136927, 'PTHR11106:SF110', NULL, NULL, NULL, NULL, 'APPR-1-P PROCESSING ENZYME FAMILY PROTEIN', 80653),
(136928, 'PTHR34193:SF1', NULL, NULL, NULL, NULL, 'OS11G0199801 PROTEIN', 80654),
(136929, 'PTHR15410:SF2', NULL, NULL, NULL, NULL, 'HIRA-INTERACTING PROTEIN 3', 80655),
(136930, 'PTHR33052:SF83', NULL, NULL, NULL, NULL, 'OS01G0304400 PROTEIN', 80656),
(136931, 'PTHR12962:SF3', NULL, NULL, NULL, NULL, 'CALCIUM-REGULATED HEAT-STABLE PROTEIN 1', 80657),
(136932, 'PTHR23201:SF100', NULL, NULL, NULL, NULL, 'GIBBERELLIN REGULATED PROTEIN-RELATED', 80658),
(136933, 'PTHR42923:SF31', NULL, NULL, NULL, NULL, 'BNACNNG70650D PROTEIN', 80659),
(136934, 'PTHR40691:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80660),
(136935, 'PTHR31865:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80661),
(136936, 'PTHR23227:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80662),
(136937, 'PTHR15989:SF5', NULL, NULL, NULL, NULL, 'VEZATIN', 80663),
(136938, 'PTHR22957:SF516', NULL, NULL, NULL, NULL, 'OS09G0528800 PROTEIN', 80664),
(136939, 'PTHR13362:SF3', NULL, NULL, NULL, NULL, 'BNAA09G17220D PROTEIN', 80665),
(136940, 'PTHR11088:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80666);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(136941, 'PTHR34427:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80667),
(136942, 'PTHR10794', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN-CONTAINING PROTEIN', 80668),
(136943, 'PTHR21646:SF6', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 21', 80669),
(136944, 'PTHR15711:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80670),
(136945, 'PTHR21576:SF80', NULL, NULL, NULL, NULL, 'FACILITATOR SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 80671),
(136946, 'PTHR45757:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG01117', 80672),
(136947, 'PTHR31086:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80673),
(136948, 'PTHR23063:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80674),
(136949, 'PTHR24015:SF856', NULL, NULL, NULL, NULL, 'OS01G0299150 PROTEIN', 80675),
(136950, 'PTHR10150:SF0', NULL, NULL, NULL, NULL, 'DNA REPAIR ENDONUCLEASE XPF', 80676),
(136951, 'PTHR12319', NULL, NULL, NULL, NULL, 'CYSTATIN-RELATED', 80677),
(136952, 'PTHR10151', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE', 80678),
(136953, 'PTHR11592:SF44', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 80679),
(136954, 'PTHR12591:SF5', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATASE', 80680),
(136955, 'PTHR45011:SF1', NULL, NULL, NULL, NULL, 'DAP3-BINDING CELL DEATH ENHANCER 1', 80681),
(136956, 'PTHR31072:SF125', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP15', 80682),
(136957, 'PTHR10918:SF4', NULL, NULL, NULL, NULL, 'HOMER PROTEIN HOMOLOG 3', 80683),
(136958, 'PTHR23115:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80684),
(136959, 'PTHR27006:SF418', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 11', 80685),
(136960, 'PTHR12027:SF105', NULL, NULL, NULL, NULL, 'PROTEIN WNT-4A', 80686),
(136961, 'PTHR14456', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE KINASE 1', 80687),
(136962, 'PTHR11913:SF55', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 10-LIKE', 80688),
(136963, 'PTHR31235:SF61', NULL, NULL, NULL, NULL, 'PEROXIDASE', 80689),
(136964, 'PTHR14000:SF30', NULL, NULL, NULL, NULL, 'BNAC05G08300D PROTEIN', 80690),
(136965, 'PTHR36569', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 80691),
(136966, 'PTHR46170', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN WDR59', 80692),
(136967, 'PTHR45954:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN-SIGNALING MODULATOR 1', 80693),
(136968, 'PTHR31785:SF2', NULL, NULL, NULL, NULL, 'UPF0524 PROTEIN C3ORF70', 80694),
(136969, 'PTHR46151:SF24', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', 80695),
(136970, 'PTHR46412:SF4', NULL, NULL, NULL, NULL, 'BHLH PROTEIN-LIKE', 80696),
(136971, 'PTHR46723', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IQ DOMAIN-CONTAINING PROTEIN 3', 80697),
(136972, 'PTHR46519:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80698),
(136973, 'PTHR11132:SF409', NULL, NULL, NULL, NULL, 'BNACNNG38240D PROTEIN', 80699),
(136974, 'PTHR11528:SF114', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90-5 CHLOROPLASTIC', 80700),
(136975, 'PTHR13015', NULL, NULL, NULL, NULL, 'PROTEIN AD-016-RELATED', 80701),
(136976, 'PTHR10766:SF134', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 80702),
(136977, 'PTHR10210:SF91', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 3', 80703),
(136978, 'PTHR11360:SF84', NULL, NULL, NULL, NULL, 'ZGC:114041', 80704),
(136979, 'PTHR28009', NULL, NULL, NULL, NULL, 'PHEROMONE ALPHA FACTOR RECEPTOR', 80705),
(136980, 'PTHR31384:SF8', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 11', 80706),
(136981, 'PTHR24363:SF6', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING KINASE FAMILY, MEMBER 3', 80707),
(136982, 'PTHR11926:SF1390', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 80708),
(136983, 'PTHR11803:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80709),
(136984, 'PTHR45640:SF6', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', 80710),
(136985, 'PTHR21403:SF9', NULL, NULL, NULL, NULL, 'BNAA01G21560D PROTEIN', 80711),
(136986, 'PTHR39470', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 80712);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(136987, 'PTHR21654:SF92', NULL, NULL, NULL, NULL, 'BNAA03G01020D PROTEIN', 80713),
(136988, 'PTHR23322:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATING ENZYME', 80714),
(136989, 'PTHR44579:SF2', NULL, NULL, NULL, NULL, 'OS01G0730500 PROTEIN', 80715),
(136990, 'PTHR11260:SF589', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U16', 80716),
(136991, 'PTHR11132:SF421', NULL, NULL, NULL, NULL, 'TRIOSE PHOSPHATE/PHOSPHOENOLPYRUVATE TRANSLOCATOR-RELATED', 80717),
(136992, 'PTHR24177:SF131', NULL, NULL, NULL, NULL, 'OS11G0434850 PROTEIN', 80718),
(136993, 'PTHR43675:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80719),
(136994, 'PTHR47944:SF1', NULL, NULL, NULL, NULL, 'OS08G0456200 PROTEIN', 80720),
(136995, 'PTHR19134:SF206', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE MU', 80721),
(136996, 'PTHR26379:SF370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80722),
(136997, 'PTHR10705:SF2', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT DAD1', 80723),
(136998, 'PTHR31673:SF35', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 80724),
(136999, 'PTHR31325:SF214', NULL, NULL, NULL, NULL, 'OS03G0358500 PROTEIN', 80725),
(137000, 'PTHR23220:SF90', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-7', 80726),
(137001, 'PTHR11727:SF13', NULL, NULL, NULL, NULL, 'DIMETHYLADENOSINE TRANSFERASE 2, MITOCHONDRIAL', 80727),
(137002, 'PTHR11200:SF273', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE 5-PHOSPHATASE', 80728),
(137003, 'PTHR45969:SF46', NULL, NULL, NULL, NULL, 'BNAA09G11240D PROTEIN', 80729),
(137004, 'PTHR19359:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80730),
(137005, 'PTHR31867:SF88', NULL, NULL, NULL, NULL, 'EXPANSIN', 80731),
(137006, 'PTHR28039:SF10', NULL, NULL, NULL, NULL, 'CHALCONE--FLAVONONE ISOMERASE 1A', 80732),
(137007, 'PTHR31992:SF152', NULL, NULL, NULL, NULL, 'BNAUNNG03510D PROTEIN', 80733),
(137008, 'PTHR11736:SF11', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN D2', 80734),
(137009, 'PTHR31852:SF144', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 80735),
(137010, 'PTHR14445:SF41', NULL, NULL, NULL, NULL, 'FI21477P1', 80736),
(137011, 'PTHR31989:SF251', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 90-LIKE', 80737),
(137012, 'PTHR22937:SF65', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF165', 80738),
(137013, 'PTHR47766', NULL, NULL, NULL, NULL, 'PROTEIN EFR3', 80739),
(137014, 'PTHR38037:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80740),
(137015, 'PTHR43322:SF3', NULL, NULL, NULL, NULL, '1-D-DEOXYXYLULOSE 5-PHOSPHATE SYNTHASE-LIKE PROTEIN', 80741),
(137016, 'PTHR43093:SF1', NULL, NULL, NULL, NULL, '3-CARBOXY-CIS,CIS-MUCONATE CYCLOISOMERASE', 80742),
(137017, 'PTHR23267:SF376', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80743),
(137018, 'PTHR47847:SF4', NULL, NULL, NULL, NULL, 'BNACNNG64020D PROTEIN', 80744),
(137019, 'PTHR46705:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09804', 80745),
(137020, 'PTHR24320:SF232', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', 80746),
(137021, 'PTHR11994:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L5, MITOCHONDRIAL', 80747),
(137022, 'PTHR42771', NULL, NULL, NULL, NULL, 'IRON(3+)-HYDROXAMATE IMPORT ATP-BINDING PROTEIN FHUC', 80748),
(137023, 'PTHR13690:SF119', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 80749),
(137024, 'PTHR23117:SF22', NULL, NULL, NULL, NULL, 'GUANYLATE KINASE 1B', 80750),
(137025, 'PTHR34682:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80751),
(137026, 'PTHR10807', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED', 80752),
(137027, 'PTHR42686', NULL, NULL, NULL, NULL, 'GH17980P-RELATED', 80753),
(137028, 'PTHR46992:SF1', NULL, NULL, NULL, NULL, 'GYF DOMAIN-CONTAINING PROTEIN', 80754),
(137029, 'PTHR33059:SF87', NULL, NULL, NULL, NULL, 'OS08G0407600 PROTEIN', 80755),
(137030, 'PTHR12448:SF0', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT EPSILON, MITOCHONDRIAL', 80756),
(137031, 'PTHR35544:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL BIOGENESIS FACTOR', 80757);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(137032, 'PTHR36048:SF1', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION FACTOR', 80758),
(137033, 'PTHR46034:SF10', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', 80759),
(137034, 'PTHR28055:SF1', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 41, MITOCHONDRIAL', 80760),
(137035, 'PTHR42841:SF5', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', 80761),
(137036, 'PTHR26454:SF1', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 80762),
(137037, 'PTHR27008:SF439', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80763),
(137038, 'PTHR31681:SF48', NULL, NULL, NULL, NULL, 'BNAC01G19380D PROTEIN', 80764),
(137039, 'PTHR22957:SF507', NULL, NULL, NULL, NULL, 'OS08G0547200 PROTEIN', 80765),
(137040, 'PTHR15715:SF22', NULL, NULL, NULL, NULL, 'SARCOLEMMAL MEMBRANE-ASSOCIATED PROTEIN', 80766),
(137041, 'PTHR18860:SF117', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 IOTA', 80767),
(137042, 'PTHR45636:SF3', NULL, NULL, NULL, NULL, 'PROTEIN GOOSEBERRY-RELATED', 80768),
(137043, 'PTHR11909:SF98', NULL, NULL, NULL, NULL, 'PROTEIN CBG09052', 80769),
(137044, 'PTHR31354:SF10', NULL, NULL, NULL, NULL, 'PLANT/F10M23-360 PROTEIN', 80770),
(137045, 'PTHR11995:SF14', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 7, MITOCHONDRIAL', 80771),
(137046, 'PTHR33184:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80772),
(137047, 'PTHR12560:SF57', NULL, NULL, NULL, NULL, 'ASSURANCE FACTOR, PUTATIVE-RELATED', 80773),
(137048, 'PTHR48032:SF9', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 80774),
(137049, 'PTHR15397', NULL, NULL, NULL, NULL, 'SODIUM-GLUCOSE COTRANSPORTER REGULATORY PROTEIN -RELATED', 80775),
(137050, 'PTHR38435:SF2', NULL, NULL, NULL, NULL, 'OUTER SURFACE PROTEIN', 80776),
(137051, 'PTHR11255:SF34', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE THETA', 80777),
(137052, 'PTHR37195:SF2', NULL, NULL, NULL, NULL, 'OS01G0332900 PROTEIN', 80778),
(137053, 'PTHR35302', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 80779),
(137054, 'PTHR43493:SF1', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 4 SUBUNIT A', 80780),
(137055, 'PTHR10353:SF175', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 18-LIKE', 80781),
(137056, 'PTHR45636:SF6', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-8', 80782),
(137057, 'PTHR45617:SF110', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 22-RELATED', 80783),
(137058, 'PTHR33132:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80784),
(137059, 'PTHR23219:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE', 80785),
(137060, 'PTHR12751:SF4', NULL, NULL, NULL, NULL, 'PHOSPHATASE AND ACTIN REGULATOR 4', 80786),
(137061, 'PTHR48220:SF1', NULL, NULL, NULL, NULL, 'AFR324WP', 80787),
(137062, 'PTHR10457:SF21', NULL, NULL, NULL, NULL, 'L-ARABINOKINASE', 80788),
(137063, 'PTHR23280:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80789),
(137064, 'PTHR45634:SF3', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 8', 80790),
(137065, 'PTHR24220:SF376', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', 80791),
(137066, 'PTHR11746:SF248', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80792),
(137067, 'PTHR16821:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80793),
(137068, 'PTHR45730:SF62', NULL, NULL, NULL, NULL, 'BNACNNG19040D PROTEIN', 80794),
(137069, 'PTHR35117:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-M HEAVY PROTEIN', 80795),
(137070, 'PTHR12356:SF18', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', 80796),
(137071, 'PTHR10632:SF2', NULL, NULL, NULL, NULL, 'SULFIDE:QUINONE OXIDOREDUCTASE, MITOCHONDRIAL', 80797),
(137072, 'PTHR34109:SF4', NULL, NULL, NULL, NULL, 'LYASE-RELATED', 80798),
(137073, 'PTHR34222:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80799),
(137074, 'PTHR14237:SF68', NULL, NULL, NULL, NULL, 'BNACNNG19370D PROTEIN', 80800),
(137075, 'PTHR23324:SF64', NULL, NULL, NULL, NULL, 'SEC14-LIKE PROTEIN 2', 80801),
(137076, 'PTHR19876:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80802),
(137077, 'PTHR46383', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 80803); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(137078, 'PTHR27002:SF724', NULL, NULL, NULL, NULL, 'BNAA09G13750D PROTEIN', 80804),
(137079, 'PTHR45800:SF17', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-AND 4-KINASE FAMILY PROTEIN', 80805),
(137080, 'PTHR12632:SF68', NULL, NULL, NULL, NULL, 'CCAAT-BINDING TRANSCRIPTION FACTOR SUBUNIT B FAMILY PROTEIN, EXPRESSED', 80806),
(137081, 'PTHR11017:SF431', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 80807),
(137082, 'PTHR12211:SF0', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM RESIDENT PROTEIN 29', 80808),
(137083, 'PTHR46159:SF16', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 80809),
(137084, 'PTHR13844:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 80810),
(137085, 'PTHR21277:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COACTIVATOR HFI1/TRANSCRIPTIONAL ADAPTER 1-RELATED', 80811),
(137086, 'PTHR28181:SF1', NULL, NULL, NULL, NULL, 'UPF0655 PROTEIN YCR015C', 80812),
(137087, 'PTHR47347:SF2', NULL, NULL, NULL, NULL, 'GOLGIN CANDIDATE 5', 80813),
(137088, 'PTHR10426:SF94', NULL, NULL, NULL, NULL, 'STRICTOSIDINE SYNTHASE', 80814),
(137089, 'PTHR13282', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 80815),
(137090, 'PTHR31168', NULL, NULL, NULL, NULL, 'OS02G0292800 PROTEIN', 80816),
(137091, 'PTHR42643:SF23', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 68B-RELATED', 80817),
(137092, 'PTHR32444:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80818),
(137093, 'PTHR31985:SF211', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF018', 80819),
(137094, 'PTHR12210:SF147', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', 80820),
(137095, 'PTHR34136:SF2', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-D-MANNOSAMINURONIC ACID TRANSFERASE', 80821),
(137096, 'PTHR34360:SF10', NULL, NULL, NULL, NULL, 'GOLGIN FAMILY A PROTEIN', 80822),
(137097, 'PTHR24408:SF51', NULL, NULL, NULL, NULL, 'TELOMERE ZINC FINGER-ASSOCIATED PROTEIN', 80823),
(137098, 'PTHR48021:SF62', NULL, NULL, NULL, NULL, 'BNAA09G15640D PROTEIN', 80824),
(137099, 'PTHR31207:SF22', NULL, NULL, NULL, NULL, 'PROLAMIN-LIKE PROTEIN', 80825),
(137100, 'PTHR13234:SF60', NULL, NULL, NULL, NULL, 'BNAC05G04890D PROTEIN', 80826),
(137101, 'PTHR24098:SF0', NULL, NULL, NULL, NULL, 'OUTER SEGMENT 5', 80827),
(137102, 'PTHR13238', NULL, NULL, NULL, NULL, 'PROTEIN C21ORF59', 80828),
(137103, 'PTHR10791:SF174', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 80829),
(137104, 'PTHR11778:SF2', NULL, NULL, NULL, NULL, 'SERINE--TRNA SYNTHETASE-LIKE PROTEIN SLIMP', 80830),
(137105, 'PTHR34846:SF5', NULL, NULL, NULL, NULL, '4-CARBOXYMUCONOLACTONE DECARBOXYLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G11590)', 80831),
(137106, 'PTHR43874:SF141', NULL, NULL, NULL, NULL, 'BNACNNG27500D PROTEIN', 80832),
(137107, 'PTHR10627:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80833),
(137108, 'PTHR46153:SF22', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 4, CHLOROPLASTIC', 80834),
(137109, 'PTHR10388:SF51', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1B', 80835),
(137110, 'PTHR22298:SF116', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 21', 80836),
(137111, 'PTHR33864:SF4', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE-LIKE PROTEIN', 80837),
(137112, 'PTHR43888:SF35', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN HOMOLOG 2-LIKE ISOFORM X1', 80838),
(137113, 'PTHR24225:SF51', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 1', 80839),
(137114, 'PTHR11926:SF1064', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 80840),
(137115, 'PTHR31048:SF93', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN FAMILY PROTEIN', 80841),
(137116, 'PTHR48044:SF27', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 80842),
(137117, 'PTHR10547:SF7', NULL, NULL, NULL, NULL, 'SEMINAL VESICLE SECRETORY PROTEIN 3A-RELATED', 80843),
(137118, 'PTHR24408:SF44', NULL, NULL, NULL, NULL, 'PROTEIN CBG05648', 80844),
(137119, 'PTHR14650:SF1', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE AND IRON-DEPENDENT OXYGENASE DOMAIN-CONTAINING PROTEIN 3', 80845),
(137120, 'PTHR31642:SF145', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID-RELATED ACYLTRANSFERASE 1', 80846);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(137121, 'PTHR11122:SF33', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 80847),
(137122, 'PTHR13489', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 80848),
(137123, 'PTHR45655:SF4', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE SOLUBLE SUBUNIT ALPHA-1', 80849),
(137124, 'PTHR14089:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80850),
(137125, 'PTHR12506:SF50', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 26', 80851),
(137126, 'PTHR20963:SF47', NULL, NULL, NULL, NULL, 'GH13296P', 80852),
(137127, 'PTHR11347:SF198', NULL, NULL, NULL, NULL, 'CAMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE, ISOFORM I', 80853),
(137128, 'PTHR11700:SF9', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S10, MITOCHONDRIAL', 80854),
(137129, 'PTHR11540:SF54', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', 80855),
(137130, 'PTHR32009:SF60', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR-LIKE PROTEIN', 80856),
(137131, 'PTHR34876:SF4', NULL, NULL, NULL, NULL, '1,4-BETA-D-GLUCAN CELLOBIOHYDROLASE C-RELATED', 80857),
(137132, 'PTHR10485:SF22', NULL, NULL, NULL, NULL, 'BNAC08G19240D PROTEIN', 80858),
(137133, 'PTHR10315:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80859),
(137134, 'PTHR43939:SF7', NULL, NULL, NULL, NULL, 'HOLOCENTRIC CHROMOSOME BINDING PROTEIN', 80860),
(137135, 'PTHR13318:SF176', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN AT-B', 80861),
(137136, 'PTHR23235:SF42', NULL, NULL, NULL, NULL, 'EARLY GROWTH RESPONSE PROTEIN 1', 80862),
(137137, 'PTHR43844', NULL, NULL, NULL, NULL, 'METHIONINE SYNTHASE', 80863),
(137138, 'PTHR12353', NULL, NULL, NULL, NULL, 'DISKS LARGE-ASSOCIATED PROTEIN  DAP   SAP90/PSD-95-ASSOCIATED PROTEIN', 80864),
(137139, 'PTHR47130:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.11', 80865),
(137140, 'PTHR45980:SF17', NULL, NULL, NULL, NULL, 'BNAA07G25360D PROTEIN', 80866),
(137141, 'PTHR38400', NULL, NULL, NULL, NULL, 'OS02G0317800 PROTEIN', 80867),
(137142, 'PTHR45654:SF33', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN PROTODERMAL FACTOR 2', 80868),
(137143, 'PTHR36406:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 30', 80869),
(137144, 'PTHR12483:SF49', NULL, NULL, NULL, NULL, 'PROTEIN CBG20078', 80870),
(137145, 'PTHR43574:SF24', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE FAMILY PROTEIN, EXPRESSED', 80871),
(137146, 'PTHR17583:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE 3-KINASE REGULATORY SUBUNIT 4', 80872),
(137147, 'PTHR13568:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 203', 80873),
(137148, 'PTHR31659:SF9', NULL, NULL, NULL, NULL, 'PROTEIN: UPF0503-LIKE PROTEIN, PUTATIVE (DUF740)-RELATED', 80874),
(137149, 'PTHR22617:SF23', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN CHEW', 80875),
(137150, 'PTHR15029', NULL, NULL, NULL, NULL, 'CAMPATH-1 ANTIGEN', 80876),
(137151, 'PTHR31213:SF97', NULL, NULL, NULL, NULL, 'OS08G0374000 PROTEIN', 80877),
(137152, 'PTHR42945', NULL, NULL, NULL, NULL, 'HISTIDINE BIOSYNTHESIS BIFUNCTIONAL PROTEIN', 80878),
(137153, 'PTHR30176:SF3', NULL, NULL, NULL, NULL, 'FERREDOXIN-TYPE PROTEIN NAPH', 80879),
(137154, 'PTHR11913:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80880),
(137155, 'PTHR14614:SF132', NULL, NULL, NULL, NULL, 'UPF0665 FAMILY PROTEIN C23C4.06C', 80881),
(137156, 'PTHR23534:SF1', NULL, NULL, NULL, NULL, 'MFS PERMEASE', 80882),
(137157, 'PTHR23195:SF15', NULL, NULL, NULL, NULL, 'YEATS DOMAIN-CONTAINING PROTEIN 4', 80883),
(137158, 'PTHR30161:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHESIS PROTEIN FLHA-RELATED', 80884),
(137159, 'PTHR11036:SF135', NULL, NULL, NULL, NULL, 'SEMAPHORIN-4E-RELATED', 80885),
(137160, 'PTHR38400:SF1', NULL, NULL, NULL, NULL, 'OS02G0317800 PROTEIN', 80886),
(137161, 'PTHR21495:SF52', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 80887),
(137162, 'PTHR33784:SF24', NULL, NULL, NULL, NULL, 'BNACNNG11770D PROTEIN', 80888),
(137163, 'PTHR22912:SF94', NULL, NULL, NULL, NULL, 'DIHYDROLIPOAMIDE DEHYDROGENASE, POINT MUTATION', 80889),
(137164, 'PTHR45621:SF130', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE KINASE KINASE STE11, CRYPTOCOCCUS-RELATED', 80890);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(137165, 'PTHR16705:SF6', NULL, NULL, NULL, NULL, 'COMPLEXIN-1', 80891),
(137166, 'PTHR15710:SF91', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE', 80892),
(137167, 'PTHR21576', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED NODULIN-LIKE PROTEIN', 80893),
(137168, 'PTHR30222:SF17', NULL, NULL, NULL, NULL, 'SPERMIDINE/PUTRESCINE-BINDING PERIPLASMIC PROTEIN', 80894),
(137169, 'PTHR45744:SF9', NULL, NULL, NULL, NULL, 'TYROSINE TRANSAMINASE FAMILY PROTEIN ISOFORM 1', 80895),
(137170, 'PTHR13318:SF119', NULL, NULL, NULL, NULL, 'OS06G0679700 PROTEIN', 80896),
(137171, 'PTHR19375:SF458', NULL, NULL, NULL, NULL, 'SI:CH211-199O1.2', 80897),
(137172, 'PTHR11705:SF69', NULL, NULL, NULL, NULL, 'PROTEIN CBG05158', 80898),
(137173, 'PTHR24028:SF265', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-6', 80899),
(137174, 'PTHR10489:SF611', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 6', 80900),
(137175, 'PTHR31218:SF162', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 80901),
(137176, 'PTHR11266:SF8', NULL, NULL, NULL, NULL, 'MPV17-LIKE PROTEIN 2', 80902),
(137177, 'PTHR10379:SF14', NULL, NULL, NULL, NULL, 'NERVY, ISOFORM D', 80903),
(137178, 'PTHR38456', NULL, NULL, NULL, NULL, 'CYCLIC DI-AMP RECEPTOR A', 80904),
(137179, 'PTHR47958:SF40', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', 80905),
(137180, 'PTHR26453:SF203', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 80906),
(137181, 'PTHR11260:SF583', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U10', 80907),
(137182, 'PTHR33156:SF56', NULL, NULL, NULL, NULL, 'BNAA02G35030D PROTEIN', 80908),
(137183, 'PTHR31358:SF36', NULL, NULL, NULL, NULL, 'TPX2 DOMAIN-CONTAINING PROTEIN-RELATED', 80909),
(137184, 'PTHR43795:SF78', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', 80910),
(137185, 'PTHR32246:SF72', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 80911),
(137186, 'PTHR24177:SF109', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE-RELATED', 80912),
(137187, 'PTHR11003:SF32', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 10', 80913),
(137188, 'PTHR31579:SF63', NULL, NULL, NULL, NULL, 'BNAC08G15290D PROTEIN', 80914),
(137189, 'PTHR31769:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80915),
(137190, 'PTHR47977:SF23', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-18', 80916),
(137191, 'PTHR48007:SF21', NULL, NULL, NULL, NULL, 'STRUBBELIG FAMILY RECEPTOR PROTEIN KINASE-RELATED', 80917),
(137192, 'PTHR35545:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80918),
(137193, 'PTHR46586', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN', 80919),
(137194, 'PTHR22883:SF57', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 80920),
(137195, 'PTHR31790:SF323', NULL, NULL, NULL, NULL, 'F-BOX/LRR PROTEIN', 80921),
(137196, 'PTHR11675:SF37', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 18', 80922),
(137197, 'PTHR11728:SF36', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)] 3, CYTOSOLIC-RELATED', 80923),
(137198, 'PTHR20875', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 6-RELATED', 80924),
(137199, 'PTHR43503:SF12', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN PRX1, PUTATIVE-RELATED', 80925),
(137200, 'PTHR47657:SF3', NULL, NULL, NULL, NULL, 'ORSELLINIC ACID/F9775 BIOSYNTHESIS CLUSTER PROTEIN D-RELATED', 80926),
(137201, 'PTHR10317:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80927),
(137202, 'PTHR33880', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 80928),
(137203, 'PTHR34477', NULL, NULL, NULL, NULL, 'UPF0213 PROTEIN YHBQ', 80929),
(137204, 'PTHR36312:SF10', NULL, NULL, NULL, NULL, 'BNACNNG07530D PROTEIN', 80930),
(137205, 'PTHR24416:SF554', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE F09A5.2-RELATED', 80931),
(137206, 'PTHR16046:SF11', NULL, NULL, NULL, NULL, 'PROTEIN FAM178B', 80932),
(137207, 'PTHR19051:SF21', NULL, NULL, NULL, NULL, 'PHAGE TAIL FIBER REPEAT FAMILY PROTEIN', 80933),
(137208, 'PTHR11876:SF31', NULL, NULL, NULL, NULL, 'DEFENSIN ALPHA 10-RELATED', 80934);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(137209, 'PTHR45821:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CHROMATIN REMODELING 35', 80935),
(137210, 'PTHR48026:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80936),
(137211, 'PTHR34660:SF3', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN X', 80937),
(137212, 'PTHR23084:SF240', NULL, NULL, NULL, NULL, 'AT19426P', 80938),
(137213, 'PTHR11334:SF31', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER B3', 80939),
(137214, 'PTHR46294:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX EVEN-SKIPPED HOMOLOG PROTEIN 2', 80940),
(137215, 'PTHR48053:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80941),
(137216, 'PTHR31224', NULL, NULL, NULL, NULL, 'UNC119-BINDING PROTEIN C5ORF30', 80942),
(137217, 'PTHR33447:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80943),
(137218, 'PTHR10555:SF171', NULL, NULL, NULL, NULL, 'SORTING NEXIN 1B', 80944),
(137219, 'PTHR33427:SF4', NULL, NULL, NULL, NULL, 'BNAC05G52000D PROTEIN', 80945),
(137220, 'PTHR34397', NULL, NULL, NULL, NULL, 'OS05G0237600 PROTEIN', 80946),
(137221, 'PTHR19422:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80947),
(137222, 'PTHR27009:SF174', NULL, NULL, NULL, NULL, 'BNAA08G06440D PROTEIN', 80948),
(137223, 'PTHR32227:SF352', NULL, NULL, NULL, NULL, 'BNAA03G51300D PROTEIN', 80949),
(137224, 'PTHR28585:SF1', NULL, NULL, NULL, NULL, 'TUBEROINFUNDIBULAR PEPTIDE OF 39 RESIDUES', 80950),
(137225, 'PTHR47975:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 80951),
(137226, 'PTHR42939:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 80952),
(137227, 'PTHR23220:SF79', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-E', 80953),
(137228, 'PTHR23531', NULL, NULL, NULL, NULL, 'QUINOLENE RESISTANCE PROTEIN NORA', 80954),
(137229, 'PTHR30636', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 80955),
(137230, 'PTHR23513:SF9', NULL, NULL, NULL, NULL, 'ENTEROBACTIN EXPORTER ENTS', 80956),
(137231, 'PTHR33157:SF5', NULL, NULL, NULL, NULL, 'AUTONOMOUS TRANSPOSABLE ELEMENT EN-1 MOSAIC PROTEIN', 80957),
(137232, 'PTHR22597:SF21', NULL, NULL, NULL, NULL, 'BNAA02G11340D PROTEIN', 80958),
(137233, 'PTHR47560', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 80959),
(137234, 'PTHR10374:SF19', NULL, NULL, NULL, NULL, 'LYASE (GLO1), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G13550)-RELATED', 80960),
(137235, 'PTHR32258:SF10', NULL, NULL, NULL, NULL, 'OS03G0161100 PROTEIN', 80961),
(137236, 'PTHR11851:SF209', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 2, MITOCHONDRIAL', 80962),
(137237, 'PTHR11571:SF222', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 80963),
(137238, 'PTHR32021:SF39', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 80964),
(137239, 'PTHR33969:SF2', NULL, NULL, NULL, NULL, 'SEGREGATION AND CONDENSATION PROTEIN A', 80965),
(137240, 'PTHR23070:SF152', NULL, NULL, NULL, NULL, 'CHAPERONE BCS1, PUTATIVE-RELATED', 80966),
(137241, 'PTHR47991:SF5', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE', 80967),
(137242, 'PTHR24376:SF93', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 473', 80968),
(137243, 'PTHR11945:SF512', NULL, NULL, NULL, NULL, 'BNAC06G24370D PROTEIN', 80969),
(137244, 'PTHR48092:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP H MEMBER 2', 80970),
(137245, 'PTHR23024:SF486', NULL, NULL, NULL, NULL, 'PROTEIN CBG16012', 80971),
(137246, 'PTHR14449', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP F PROTEIN FANCF', 80972),
(137247, 'PTHR48018:SF60', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9Q1', 80973),
(137248, 'PTHR34777:SF1', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 10', 80974),
(137249, 'PTHR46128:SF130', NULL, NULL, NULL, NULL, 'BNAC05G08400D PROTEIN', 80975),
(137250, 'PTHR35866', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 80976),
(137251, 'PTHR33938:SF7', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 80977),
(137252, 'PTHR24408:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR (ACE1), PUTATIVE-RELATED', 80978),
(137253, 'PTHR11247:SF53', NULL, NULL, NULL, NULL, 'DOLICHYLDIPHOSPHATASE 1-RELATED', 80979),
(137254, 'PTHR44013:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 80980);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(137255, 'PTHR10366:SF503', NULL, NULL, NULL, NULL, 'TETRAKETIDE ALPHA-PYRONE REDUCTASE 2', 80981),
(137256, 'PTHR24064:SF556', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-5-RELATED', 80982),
(137257, 'PTHR11654:SF114', NULL, NULL, NULL, NULL, 'OSJNBA0064D20.8 PROTEIN', 80983),
(137258, 'PTHR11615:SF273', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1E1-RELATED', 80984),
(137259, 'PTHR31500:SF83', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 10-LIKE ISOFORM X1', 80985),
(137260, 'PTHR33784:SF29', NULL, NULL, NULL, NULL, 'BNAANNG14980D PROTEIN', 80986),
(137261, 'PTHR24174:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 1B', 80987),
(137262, 'PTHR10797', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT', 80988),
(137263, 'PTHR11132:SF311', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE/PHOSPHATE TRANSLOCATOR 2, CHLOROPLASTIC', 80989),
(137264, 'PTHR14191:SF4', NULL, NULL, NULL, NULL, 'NA(+)/H(+) EXCHANGE REGULATORY COFACTOR NHE-RF2', 80990),
(137265, 'PTHR31692:SF117', NULL, NULL, NULL, NULL, 'BNAC04G22130D PROTEIN', 80991),
(137266, 'PTHR35295', NULL, NULL, NULL, NULL, 'DNA LIGASE-LIKE PROTEIN', 80992),
(137267, 'PTHR46288:SF34', NULL, NULL, NULL, NULL, 'OS07G0609700 PROTEIN', 80993),
(137268, 'PTHR26453:SF627', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 80994),
(137269, 'PTHR17039:SF0', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RIBONUCLEOPROTEIN PROTEIN MPP10', 80995),
(137270, 'PTHR22835:SF584', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', 80996),
(137271, 'PTHR46255:SF1', NULL, NULL, NULL, NULL, 'SHORT STATURE HOMEOBOX PROTEIN 2', 80997),
(137272, 'PTHR15664:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 230', 80998),
(137273, 'PTHR10766:SF148', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 80999),
(137274, 'PTHR13976:SF30', NULL, NULL, NULL, NULL, 'EPITHELIAL SPLICING REGULATORY PROTEIN 2', 81000),
(137275, 'PTHR18860:SF113', NULL, NULL, NULL, NULL, '14-3-3 DOMAIN-CONTAINING PROTEIN-RELATED', 81001),
(137276, 'PTHR33671:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81002),
(137277, 'PTHR15396:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P40', 81003),
(137278, 'PTHR10218:SF200', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-12 SUBUNIT', 81004),
(137279, 'PTHR47356:SF2', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE ASQG-RELATED', 81005),
(137280, 'PTHR16277:SF13', NULL, NULL, NULL, NULL, 'ZGC:113340', 81006),
(137281, 'PTHR23120:SF6', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT FAMILY MEMBER 5', 81007),
(137282, 'PTHR31221:SF123', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR SUSIBA2-LIKE ISOFORM X1', 81008),
(137283, 'PTHR12861:SF8', NULL, NULL, NULL, NULL, 'BNAA02G28300D PROTEIN', 81009),
(137284, 'PTHR31235:SF182', NULL, NULL, NULL, NULL, 'PEROXIDASE', 81010),
(137285, 'PTHR26454:SF68', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 81011),
(137286, 'PTHR13080:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81012),
(137287, 'PTHR11636:SF124', NULL, NULL, NULL, NULL, 'POU CLASS 6 HOMEOBOX 1', 81013),
(137288, 'PTHR31072:SF90', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP6', 81014),
(137289, 'PTHR45621:SF170', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', 81015),
(137290, 'PTHR12629:SF69', NULL, NULL, NULL, NULL, 'BNAA02G28170D PROTEIN', 81016),
(137291, 'PTHR32093:SF123', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 2', 81017),
(137292, 'PTHR14154:SF5', NULL, NULL, NULL, NULL, 'EARLY LIGHT-INDUCED PROTEIN 1, CHLOROPLASTIC', 81018),
(137293, 'PTHR45615:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-7', 81019),
(137294, 'PTHR31210:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81020),
(137295, 'PTHR13935:SF92', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX PROTEIN 6', 81021),
(137296, 'PTHR42195:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81022),
(137297, 'PTHR27003:SF269', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE ANXUR2', 81023);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(137298, 'PTHR34358', NULL, NULL, NULL, NULL, 'OS03G0411600 PROTEIN', 81024),
(137299, 'PTHR38537', NULL, NULL, NULL, NULL, 'JITTERBUG, ISOFORM N', 81025),
(137300, 'PTHR31079:SF9', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF GAMMA RESPONSE 1', 81026),
(137301, 'PTHR23504:SF6', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G08740)-RELATED', 81027),
(137302, 'PTHR44040', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-BINDING PROTEIN 5', 81028),
(137303, 'PTHR10015:SF354', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-7B', 81029),
(137304, 'PTHR12174:SF23', NULL, NULL, NULL, NULL, 'MINOR HISTOCOMPATIBILITY ANTIGEN H13', 81030),
(137305, 'PTHR45618:SF36', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 2', 81031),
(137306, 'PTHR31282:SF14', NULL, NULL, NULL, NULL, 'OS05G0322900 PROTEIN', 81032),
(137307, 'PTHR24023:SF958', NULL, NULL, NULL, NULL, 'ZGC:113232', 81033),
(137308, 'PTHR10871:SF35', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S18', 81034),
(137309, 'PTHR43719:SF58', NULL, NULL, NULL, NULL, 'PHYTOCHROME', 81035),
(137310, 'PTHR31906:SF30', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 12, CHLOROPLASTIC-RELATED', 81036),
(137311, 'PTHR28599:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 12', 81037),
(137312, 'PTHR22953:SF132', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 81038),
(137313, 'PTHR18952:SF18', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 9', 81039),
(137314, 'PTHR45926:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE7', 81040),
(137315, 'PTHR10334:SF486', NULL, NULL, NULL, NULL, 'BNAA03G52740D PROTEIN', 81041),
(137316, 'PTHR32133:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81042),
(137317, 'PTHR21351:SF0', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 5 PROTEIN', 81043),
(137318, 'PTHR11440:SF35', NULL, NULL, NULL, NULL, 'BCDNA.GH02384', 81044),
(137319, 'PTHR43670:SF58', NULL, NULL, NULL, NULL, 'BNAA01G31510D PROTEIN', 81045),
(137320, 'PTHR36715:SF3', NULL, NULL, NULL, NULL, 'BNAC06G30030D PROTEIN', 81046),
(137321, 'PTHR43194:SF5', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 81047),
(137322, 'PTHR34190', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 81048),
(137323, 'PTHR24298:SF526', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 81049),
(137324, 'PTHR31834:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81050),
(137325, 'PTHR24381:SF349', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81051),
(137326, 'PTHR11848:SF260', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA SUPERFAMILY SIGNALING LIGAND ISOFORM X1', 81052),
(137327, 'PTHR23189:SF48', NULL, NULL, NULL, NULL, 'MSX2-INTERACTING PROTEIN', 81053),
(137328, 'PTHR23177:SF69', NULL, NULL, NULL, NULL, 'CRIB DOMAIN, RHO GTPASE ACTIVATION PROTEIN-RELATED', 81054),
(137329, 'PTHR19321:SF6', NULL, NULL, NULL, NULL, 'ZGC:86764', 81055),
(137330, 'PTHR32227:SF366', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 3', 81056),
(137331, 'PTHR45651:SF5', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 1', 81057),
(137332, 'PTHR12897:SF4', NULL, NULL, NULL, NULL, 'REGULATOR OF MON1-CCZ1 COMPLEX', 81058),
(137333, 'PTHR36595:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 81059),
(137334, 'PTHR46334:SF2', NULL, NULL, NULL, NULL, 'COSTARS FAMILY PROTEIN', 81060),
(137335, 'PTHR12326:SF3', NULL, NULL, NULL, NULL, 'DIFFERENTIALLY EXPRESSED IN FDCP 8 HOMOLOG', 81061),
(137336, 'PTHR21682:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 149', 81062),
(137337, 'PTHR31727:SF11', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', 81063),
(137338, 'PTHR19282:SF63', NULL, NULL, NULL, NULL, 'TETRASPANIN-5', 81064),
(137339, 'PTHR34696', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE SUBUNIT PURS', 81065),
(137340, 'PTHR34152:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12353', 81066),
(137341, 'PTHR38598', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YJCH', 81067),
(137342, 'PTHR10015:SF367', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-4B', 81068);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(137343, 'PTHR12874:SF22', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN GID2-LIKE', 81069),
(137344, 'PTHR24369:SF160', NULL, NULL, NULL, NULL, 'VASORIN', 81070),
(137345, 'PTHR30146:SF55', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GALS', 81071),
(137346, 'PTHR33472:SF17', NULL, NULL, NULL, NULL, 'BNACNNG45880D PROTEIN', 81072),
(137347, 'PTHR32254:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81073),
(137348, 'PTHR21719:SF1', NULL, NULL, NULL, NULL, 'FI06402P-RELATED', 81074),
(137349, 'PTHR46042:SF1', NULL, NULL, NULL, NULL, 'DIPHTHINE METHYLTRANSFERASE', 81075),
(137350, 'PTHR16161:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL PROTEIN SWT1', 81076),
(137351, 'PTHR24281:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81077),
(137352, 'PTHR13186:SF0', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 31', 81078),
(137353, 'PTHR46344:SF12', NULL, NULL, NULL, NULL, 'KELCH REPEAT F-BOX PROTEIN', 81079),
(137354, 'PTHR44755:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81080),
(137355, 'PTHR11017:SF274', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)-RELATED', 81081),
(137356, 'PTHR33116:SF49', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE ZINC-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 81082),
(137357, 'PTHR15992:SF5', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RECOGNITION PROTEIN', 81083),
(137358, 'PTHR23257:SF724', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE DDB_G0280131-RELATED', 81084),
(137359, 'PTHR36313:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81085),
(137360, 'PTHR34759', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 48', 81086),
(137361, 'PTHR31207:SF26', NULL, NULL, NULL, NULL, 'BNAA05G27050D PROTEIN', 81087),
(137362, 'PTHR11945:SF441', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL29', 81088),
(137363, 'PTHR14305:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CCNB1IP1', 81089),
(137364, 'PTHR40388', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 81090),
(137365, 'PTHR23430:SF266', NULL, NULL, NULL, NULL, 'HISTONE H2A.2.1', 81091),
(137366, 'PTHR10252:SF39', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-1-RELATED', 81092),
(137367, 'PTHR32419:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81093),
(137368, 'PTHR11571:SF45', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 81094),
(137369, 'PTHR24377:SF698', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 677', 81095),
(137370, 'PTHR45885:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 5-LIKE PROTEIN', 81096),
(137371, 'PTHR11945:SF583', NULL, NULL, NULL, NULL, 'BNAC02G01970D PROTEIN', 81097),
(137372, 'PTHR31422:SF32', NULL, NULL, NULL, NULL, 'BNAC05G02900D PROTEIN', 81098),
(137373, 'PTHR44019:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81099),
(137374, 'PTHR13690:SF132', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 81100),
(137375, 'PTHR35506', NULL, NULL, NULL, NULL, 'OS02G0135600 PROTEIN', 81101),
(137376, 'PTHR46128:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED SALT-INDUCIBLE PROTEIN LIKE', 81102),
(137377, 'PTHR48005:SF17', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 3-LIKE ISOFORM X1', 81103),
(137378, 'PTHR24055:SF447', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 81104),
(137379, 'PTHR14304', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE AND APOPTOSIS REGULATOR PROTEIN', 81105),
(137380, 'PTHR21266:SF51', NULL, NULL, NULL, NULL, '3-CHLOROBENZOATE-3,4-DIOXYGENASE', 81106),
(137381, 'PTHR23339:SF27', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 14, ISOFORM A', 81107),
(137382, 'PTHR13447', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S28', 81108),
(137383, 'PTHR46065', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH 2/3 FAMILY MEMBER', 81109),
(137384, 'PTHR45631:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81110),
(137385, 'PTHR45708:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81111),
(137386, 'PTHR24235:SF24', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR TYPE 1', 81112);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(137387, 'PTHR22835:SF527', NULL, NULL, NULL, NULL, 'OS06G0531900 PROTEIN', 81113),
(137388, 'PTHR31790:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81114),
(137389, 'PTHR22763:SF170', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE E3 UBIQUITIN-PROTEIN LIGASE 1-LIKE', 81115),
(137390, 'PTHR12356:SF28', NULL, NULL, NULL, NULL, 'PROTEIN BOBBER 2-LIKE', 81116),
(137391, 'PTHR15233:SF2', NULL, NULL, NULL, NULL, 'ATP SYNTHASE MEMBRANE SUBUNIT 6.8PL', 81117),
(137392, 'PTHR23024', NULL, NULL, NULL, NULL, 'ARYLACETAMIDE DEACETYLASE', 81118),
(137393, 'PTHR31361:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81119),
(137394, 'PTHR32487:SF18', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE', 81120),
(137395, 'PTHR33834:SF4', NULL, NULL, NULL, NULL, 'SIGNALING PEPTIDE TAXIMIN 2', 81121),
(137396, 'PTHR14564:SF5', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT', 81122),
(137397, 'PTHR45933:SF39', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 1-LIKE', 81123),
(137398, 'PTHR13780:SF129', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSCBSPB1', 81124),
(137399, 'PTHR24324:SF5', NULL, NULL, NULL, NULL, 'HEMATOPOIETICALLY-EXPRESSED HOMEOBOX PROTEIN HHEX', 81125),
(137400, 'PTHR24092:SF178', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 81126),
(137401, 'PTHR34983', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN ENDO-BETA-1,4-GALACTANASE A', 81127),
(137402, 'PTHR24055:SF498', NULL, NULL, NULL, NULL, 'OS07G0472400 PROTEIN', 81128),
(137403, 'PTHR46774:SF7', NULL, NULL, NULL, NULL, 'BNACNNG14720D PROTEIN', 81129),
(137404, 'PTHR47528:SF1', NULL, NULL, NULL, NULL, 'PARALEMMIN-3', 81130),
(137405, 'PTHR24281:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81131),
(137406, 'PTHR11831:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9', 81132),
(137407, 'PTHR47743:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2010300C02 GENE', 81133),
(137408, 'PTHR44436', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 2', 81134),
(137409, 'PTHR31250:SF42', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM1-LIKE', 81135),
(137410, 'PTHR13555:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81136),
(137411, 'PTHR32468:SF77', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', 81137),
(137412, 'PTHR10571', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--DOLICHYL-PHOSPHATE N-ACETYLGLUCOSAMINEPHOSPHOTRANSFERASE', 81138),
(137413, 'PTHR42028', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 81139),
(137414, 'PTHR24345:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81140),
(137415, 'PTHR47969:SF7', NULL, NULL, NULL, NULL, 'BNAC02G38250D PROTEIN', 81141),
(137416, 'PTHR45633:SF18', NULL, NULL, NULL, NULL, 'CHAPERONIN 60 SUBUNIT ALPHA 1, CHLOROPLASTIC', 81142),
(137417, 'PTHR27004:SF170', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', 81143),
(137418, 'PTHR12373:SF9', NULL, NULL, NULL, NULL, 'ENHANCER OF RUDIMENTARY HOMOLOG', 81144),
(137419, 'PTHR47863:SF4', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 81145),
(137420, 'PTHR37977:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG18402', 81146),
(137421, 'PTHR37612:SF6', NULL, NULL, NULL, NULL, 'FIBROIN HEAVY CHAIN FIB-H LIKE PROTEIN', 81147),
(137422, 'PTHR15224:SF6', NULL, NULL, NULL, NULL, 'FIBER PROTEIN FB14', 81148),
(137423, 'PTHR34007', NULL, NULL, NULL, NULL, 'AEROLYSIN-LIKE PROTEIN-RELATED', 81149),
(137424, 'PTHR23023:SF264', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 81150),
(137425, 'PTHR35131', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 81151),
(137426, 'PTHR47455', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE BETA', 81152),
(137427, 'PTHR22951:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81153),
(137428, 'PTHR36888', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 81154),
(137429, 'PTHR11829:SF350', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN D4-RELATED', 81155),
(137430, 'PTHR10209:SF737', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 3', 81156);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(137431, 'PTHR22943:SF246', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 81157),
(137432, 'PTHR48042:SF11', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 11', 81158),
(137433, 'PTHR36066:SF15', NULL, NULL, NULL, NULL, 'BNAC03G59530D PROTEIN', 81159),
(137434, 'PTHR35121:SF2', NULL, NULL, NULL, NULL, 'BNAC04G52100D PROTEIN', 81160),
(137435, 'PTHR12356:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81161),
(137436, 'PTHR10127:SF794', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-22-RELATED', 81162),
(137437, 'PTHR31356:SF1', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE S, CHLOROPLASTIC/MITOCHONDRIAL', 81163),
(137438, 'PTHR33779:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81164),
(137439, 'PTHR45027:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE LIGHT CHAIN 2-RELATED', 81165),
(137440, 'PTHR22891:SF146', NULL, NULL, NULL, NULL, 'BNAC06G43420D PROTEIN', 81166),
(137441, 'PTHR11748:SF116', NULL, NULL, NULL, NULL, 'D-LACTATE DEHYDROGENASE (CYTOCHROME) (AFU_ORTHOLOGUE AFUA_7G02560)', 81167),
(137442, 'PTHR19282:SF184', NULL, NULL, NULL, NULL, 'PHOTORECEPTOR OUTER SEGMENT MEMBRANE GLYCOPROTEIN 2', 81168),
(137443, 'PTHR46534', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 81169),
(137444, 'PTHR13683:SF836', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 2', 81170),
(137445, 'PTHR32018:SF20', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE-LIKE', 81171),
(137446, 'PTHR24180:SF11', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE TANKYRASE-2', 81172),
(137447, 'PTHR13466:SF0', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED SEQUENCE 2-LIKE PROTEIN (DUF2404)', 81173),
(137448, 'PTHR11527:SF317', NULL, NULL, NULL, NULL, '17.6 KDA CLASS 1 SMALL HEAT SHOCK PROTEIN', 81174),
(137449, 'PTHR48062:SF30', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 81175),
(137450, 'PTHR47319:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81176),
(137451, 'PTHR11474:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81177),
(137452, 'PTHR31748:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 81178),
(137453, 'PTHR13172:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81179),
(137454, 'PTHR10799:SF975', NULL, NULL, NULL, NULL, 'ISWI CHROMATIN-REMODELING COMPLEX ATPASE CHR17', 81180),
(137455, 'PTHR31376:SF68', NULL, NULL, NULL, NULL, 'PURINE PERMEASE', 81181),
(137456, 'PTHR23267:SF176', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 8-61', 81182),
(137457, 'PTHR24418:SF428', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 81183),
(137458, 'PTHR12550:SF70', NULL, NULL, NULL, NULL, 'PROTEIN HUA2-LIKE 1', 81184),
(137459, 'PTHR11746:SF166', NULL, NULL, NULL, NULL, 'TRANS-RESVERATROL DI-O-METHYLTRANSFERASE-LIKE', 81185),
(137460, 'PTHR31324:SF2', NULL, NULL, NULL, NULL, 'MORF4 FAMILY-ASSOCIATED PROTEIN 1-LIKE 1', 81186),
(137461, 'PTHR33562:SF19', NULL, NULL, NULL, NULL, 'CRIMPLED', 81187),
(137462, 'PTHR31003:SF21', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 81188),
(137463, 'PTHR12295:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FURRY HOMOLOG-LIKE', 81189),
(137464, 'PTHR10361:SF33', NULL, NULL, NULL, NULL, 'SODIUM/METABOLITE COTRANSPORTER BASS3, CHLOROPLASTIC-RELATED', 81190),
(137465, 'PTHR35461:SF3', NULL, NULL, NULL, NULL, 'BNAANNG14610D PROTEIN', 81191),
(137466, 'PTHR33050:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81192),
(137467, 'PTHR34923', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 20', 81193),
(137468, 'PTHR34289:SF5', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN (DUF819)', 81194),
(137469, 'PTHR31250:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81195),
(137470, 'PTHR31744:SF21', NULL, NULL, NULL, NULL, 'OS08G0200600 PROTEIN', 81196),
(137471, 'PTHR34156', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED-RELATED', 81197),
(137472, 'PTHR43640', NULL, NULL, NULL, NULL, 'OS07G0260300 PROTEIN', 81198),
(137473, 'PTHR10762', NULL, NULL, NULL, NULL, 'DIPHTHAMIDE BIOSYNTHESIS PROTEIN', 81199),
(137474, 'PTHR31621:SF27', NULL, NULL, NULL, NULL, 'OS01G0368500 PROTEIN', 81200);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(137475, 'PTHR22850:SF205', NULL, NULL, NULL, NULL, 'DYNEIN REGULATOR LIS1-RELATED', 81201),
(137476, 'PTHR45693:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA2.1', 81202),
(137477, 'PTHR34658:SF7', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN G1', 81203),
(137478, 'PTHR12483:SF106', NULL, NULL, NULL, NULL, 'PROTEIN CBG11156', 81204),
(137479, 'PTHR45651:SF57', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 9-RELATED', 81205),
(137480, 'PTHR31696:SF4', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', 81206),
(137481, 'PTHR24128:SF41', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBOS35-RELATED', 81207),
(137482, 'PTHR10252:SF115', NULL, NULL, NULL, NULL, 'BNACNNG06510D PROTEIN', 81208),
(137483, 'PTHR34000:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81209),
(137484, 'PTHR10179:SF47', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 10', 81210),
(137485, 'PTHR10539:SF3', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 13 HOMOLOG A', 81211),
(137486, 'PTHR10623:SF36', NULL, NULL, NULL, NULL, 'BNAA02G33430D PROTEIN', 81212),
(137487, 'PTHR33021:SF44', NULL, NULL, NULL, NULL, 'MAVICYANIN', 81213),
(137488, 'PTHR16166:SF135', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 81214),
(137489, 'PTHR46100:SF9', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE SUPERFAMILY PROTEIN', 81215),
(137490, 'PTHR31677:SF78', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ESR2', 81216),
(137491, 'PTHR24247:SF207', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR M2', 81217),
(137492, 'PTHR33921:SF14', NULL, NULL, NULL, NULL, 'CALVIN CYCLE PROTEIN CP12-1, CHLOROPLASTIC', 81218),
(137493, 'PTHR43096:SF45', NULL, NULL, NULL, NULL, 'DNAJ C TERMINAL REGION FAMILY PROTEIN, EXPRESSED', 81219),
(137494, 'PTHR45649:SF18', NULL, NULL, NULL, NULL, 'OS01G0945600 PROTEIN', 81220),
(137495, 'PTHR23171', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 81221),
(137496, 'PTHR31549:SF80', NULL, NULL, NULL, NULL, 'OS12G0480800 PROTEIN', 81222),
(137497, 'PTHR11945:SF621', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PROTEIN SEPALLATA 1', 81223),
(137498, 'PTHR11795:SF447', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT PROTEIN', 81224),
(137499, 'PTHR22950:SF511', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 5-LIKE', 81225),
(137500, 'PTHR14149:SF15', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING-LIKE PROTEIN IQGAP1', 81226),
(137501, 'PTHR33067:SF13', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE', 81227),
(137502, 'PTHR32141:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81228),
(137503, 'PTHR47992:SF58', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 34-RELATED', 81229),
(137504, 'PTHR33800:SF1', NULL, NULL, NULL, NULL, 'OS02G0698100 PROTEIN', 81230),
(137505, 'PTHR10826:SF29', NULL, NULL, NULL, NULL, 'OS05G0456000 PROTEIN', 81231),
(137506, 'PTHR43982:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 81232),
(137507, 'PTHR33088:SF28', NULL, NULL, NULL, NULL, 'PROTEIN PELPK1-RELATED', 81233),
(137508, 'PTHR45621:SF103', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BIK1', 81234),
(137509, 'PTHR12549:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81235),
(137510, 'PTHR21586', NULL, NULL, NULL, NULL, 'TIPA', 81236),
(137511, 'PTHR10288:SF269', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN', 81237),
(137512, 'PTHR23159:SF31', NULL, NULL, NULL, NULL, 'CILIARY ROOTLET COILED-COIL, ROOTLETIN FAMILY MEMBER 2-RELATED', 81238),
(137513, 'PTHR31871:SF15', NULL, NULL, NULL, NULL, 'OS03G0280400 PROTEIN', 81239),
(137514, 'PTHR10791:SF202', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 81240),
(137515, 'PTHR13742:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81241),
(137516, 'PTHR16399:SF10', NULL, NULL, NULL, NULL, 'PEJVAKIN', 81242),
(137517, 'PTHR38814', NULL, NULL, NULL, NULL, 'ENDONUCLEASE NUCS', 81243),
(137518, 'PTHR21495:SF173', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 81244),
(137519, 'PTHR13780:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81245);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(137520, 'PTHR35091:SF4', NULL, NULL, NULL, NULL, 'FLAGELLAR PROTEIN FLIL', 81246),
(137521, 'PTHR11260:SF275', NULL, NULL, NULL, NULL, 'OS01G0558100 PROTEIN', 81247),
(137522, 'PTHR11206:SF437', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 30-LIKE', 81248),
(137523, 'PTHR13140:SF789', NULL, NULL, NULL, NULL, 'MYOSIN B', 81249),
(137524, 'PTHR45972:SF2', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 42', 81250),
(137525, 'PTHR46128:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81251),
(137526, 'PTHR27000:SF698', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PEPR2', 81252),
(137527, 'PTHR11046:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81253),
(137528, 'PTHR33285:SF33', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 6-RELATED', 81254),
(137529, 'PTHR10961:SF15', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 81255),
(137530, 'PTHR35109:SF4', NULL, NULL, NULL, NULL, 'BNAC06G43900D PROTEIN', 81256),
(137531, 'PTHR18868:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81257),
(137532, 'PTHR19376:SF51', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE V SUBUNIT 1', 81258),
(137533, 'PTHR11010:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81259),
(137534, 'PTHR46553:SF16', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS A-LIKE PROTEIN', 81260),
(137535, 'PTHR15696:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SMG7', 81261),
(137536, 'PTHR45751:SF33', NULL, NULL, NULL, NULL, 'COPINE I-LIKE', 81262),
(137537, 'PTHR24282:SF158', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP72A123', 81263),
(137538, 'PTHR14098:SF1', NULL, NULL, NULL, NULL, 'LYMPHOCYTE CYTOSOLIC PROTEIN 2', 81264),
(137539, 'PTHR12570:SF74', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 81265),
(137540, 'PTHR22595:SF119', NULL, NULL, NULL, NULL, 'ENDOCHITINASE EP3-LIKE', 81266),
(137541, 'PTHR12601:SF10', NULL, NULL, NULL, NULL, 'CLUSTERED MITOCHONDRIA (CLUA/CLU1) HOMOLOG B-RELATED', 81267),
(137542, 'PTHR15371:SF22', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 16-1 CHLOROPLASTIC', 81268),
(137543, 'PTHR15172', NULL, NULL, NULL, NULL, 'GALACTOCEREBROSIDASE', 81269),
(137544, 'PTHR48065', NULL, NULL, NULL, NULL, 'OS10G0469600 PROTEIN', 81270),
(137545, 'PTHR10357:SF205', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASE FAMILY 13', 81271),
(137546, 'PTHR14030:SF8', NULL, NULL, NULL, NULL, 'MITOTIC CHECKPOINT SERINE/THREONINE-PROTEIN KINASE BUB1', 81272),
(137547, 'PTHR17045:SF7', NULL, NULL, NULL, NULL, 'CBP/P300-INTERACTING TRANSACTIVATOR 2', 81273),
(137548, 'PTHR16295:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 81274),
(137549, 'PTHR31250:SF30', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM5-LIKE', 81275),
(137550, 'PTHR14379:SF3', NULL, NULL, NULL, NULL, 'MEIOSIS REGULATOR AND MRNA STABILITY FACTOR 1', 81276),
(137551, 'PTHR24015:SF1981', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN, DYW DOMAIN PROTEIN-RELATED', 81277),
(137552, 'PTHR11579:SF7', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE(D-ASPARTATE) O-METHYLTRANSFERASE', 81278),
(137553, 'PTHR34121', NULL, NULL, NULL, NULL, 'MYOSIN-11', 81279),
(137554, 'PTHR31221:SF105', NULL, NULL, NULL, NULL, 'OS04G0471700 PROTEIN', 81280),
(137555, 'PTHR14198:SF17', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 4 L6 FAMILY MEMBER 20', 81281),
(137556, 'PTHR12483:SF109', NULL, NULL, NULL, NULL, 'PROTEIN CBG22300', 81282),
(137557, 'PTHR33528:SF21', NULL, NULL, NULL, NULL, 'BNAC01G19730D PROTEIN', 81283),
(137558, 'PTHR42919', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE', 81284),
(137559, 'PTHR48043:SF9', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 81285),
(137560, 'PTHR15592:SF32', NULL, NULL, NULL, NULL, 'SI:CH211-271B14.1', 81286),
(137561, 'PTHR11709:SF347', NULL, NULL, NULL, NULL, 'LACCASE', 81287),
(137562, 'PTHR43128:SF23', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', 81288),
(137563, 'PTHR33103:SF40', NULL, NULL, NULL, NULL, 'OS01G0153600 PROTEIN', 81289),
(137564, 'PTHR27009:SF140', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 81290),
(137565, 'PTHR13503', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR COMPLEX MEMBER B', 81291);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(137566, 'PTHR38357', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 81292),
(137567, 'PTHR20916:SF16', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN K10', 81293),
(137568, 'PTHR46008:SF18', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.5', 81294),
(137569, 'PTHR10806', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX CATALYTIC SUBUNIT SEC11', 81295),
(137570, 'PTHR46615', NULL, NULL, NULL, NULL, 'ARYLSULFATASE K', 81296),
(137571, 'PTHR31422:SF23', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 7', 81297),
(137572, 'PTHR10253:SF5', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN EED', 81298),
(137573, 'PTHR22936:SF91', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', 81299),
(137574, 'PTHR43764:SF1', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS', 81300),
(137575, 'PTHR12607', NULL, NULL, NULL, NULL, 'ADENOMATOUS POLYPOSIS COLI PROTEIN FAMILY', 81301),
(137576, 'PTHR10974:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81302),
(137577, 'PTHR45662:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81303),
(137578, 'PTHR23257:SF868', NULL, NULL, NULL, NULL, 'BNAANNG19500D PROTEIN', 81304),
(137579, 'PTHR48027:SF7', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING-LIKE PROTEIN-RELATED', 81305),
(137580, 'PTHR46320:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG23963', 81306),
(137581, 'PTHR10445:SF5', NULL, NULL, NULL, NULL, 'OS01G0772200 PROTEIN', 81307),
(137582, 'PTHR24286:SF190', NULL, NULL, NULL, NULL, 'OS07G0518100 PROTEIN', 81308),
(137583, 'PTHR24083:SF156', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-10', 81309),
(137584, 'PTHR23257:SF807', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 81310),
(137585, 'PTHR36020:SF2', NULL, NULL, NULL, NULL, 'BNAC04G02800D PROTEIN', 81311),
(137586, 'PTHR33155:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 3', 81312),
(137587, 'PTHR21136:SF195', NULL, NULL, NULL, NULL, 'BNAC04G43540D PROTEIN', 81313),
(137588, 'PTHR19229:SF29', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 12', 81314),
(137589, 'PTHR21493:SF242', NULL, NULL, NULL, NULL, 'GOT1-LIKE FAMILY PROTEIN, EXPRESSED', 81315),
(137590, 'PTHR39335', NULL, NULL, NULL, NULL, 'BLL4220 PROTEIN', 81316),
(137591, 'PTHR24330:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN BARH-LIKE 1B', 81317),
(137592, 'PTHR12098:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PELLINO HOMOLOG 3', 81318),
(137593, 'PTHR27003:SF330', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 81319),
(137594, 'PTHR12112:SF18', NULL, NULL, NULL, NULL, 'CYCLIC-DI-AMP PHOSPHODIESTERASE GDPP', 81320),
(137595, 'PTHR13516:SF17', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 18-LIKE', 81321),
(137596, 'PTHR16255:SF1', NULL, NULL, NULL, NULL, 'REQUIRED FOR MEIOTIC NUCLEAR DIVISION PROTEIN 1 HOMOLOG', 81322),
(137597, 'PTHR43437:SF7', NULL, NULL, NULL, NULL, 'UPF0336 PROTEIN SCO4636', 81323),
(137598, 'PTHR31969:SF4', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 1', 81324),
(137599, 'PTHR47261', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 81325),
(137600, 'PTHR14379:SF22', NULL, NULL, NULL, NULL, 'ENDONUCLEASE OR GLYCOSYL HYDROLASE-RELATED', 81326),
(137601, 'PTHR31503:SF63', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER MEMBRANE REGION, EF-HAND DOMAIN PAIR-RELATED', 81327),
(137602, 'PTHR33077:SF92', NULL, NULL, NULL, NULL, 'BNAA05G09200D PROTEIN', 81328),
(137603, 'PTHR46896:SF1', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 6', 81329),
(137604, 'PTHR33790:SF8', NULL, NULL, NULL, NULL, 'PROTEIN EARLY RESPONSIVE TO DEHYDRATION 15-LIKE ISOFORM X1', 81330),
(137605, 'PTHR30465:SF93', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN OPPB', 81331),
(137606, 'PTHR19441:SF86', NULL, NULL, NULL, NULL, 'PROTEIN WFDC21-RELATED', 81332),
(137607, 'PTHR33304:SF28', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 81333),
(137608, 'PTHR24376:SF71', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 208-RELATED', 81334);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(137609, 'PTHR32009:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81335),
(137610, 'PTHR30007', NULL, NULL, NULL, NULL, 'PHP DOMAIN PROTEIN', 81336),
(137611, 'PTHR32370:SF135', NULL, NULL, NULL, NULL, 'BNAA09G07350D PROTEIN', 81337),
(137612, 'PTHR37244:SF1', NULL, NULL, NULL, NULL, 'NADP-SPECIFIC GLUTAMATE DEHYDROGENASE', 81338),
(137613, 'PTHR45793:SF12', NULL, NULL, NULL, NULL, 'TETRA-PEPTIDE REPEAT HOMEOBOX PROTEIN 1', 81339),
(137614, 'PTHR16399:SF20', NULL, NULL, NULL, NULL, 'GASDERMIN-B', 81340),
(137615, 'PTHR38445:SF12', NULL, NULL, NULL, NULL, 'GNTR-FAMILY TRANSCRIPTIONAL REGULATOR', 81341),
(137616, 'PTHR12411:SF433', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-329', 81342),
(137617, 'PTHR10218:SF338', NULL, NULL, NULL, NULL, 'BNAA03G52790D PROTEIN', 81343),
(137618, 'PTHR31707:SF224', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR PPE8B-LIKE', 81344),
(137619, 'PTHR36321:SF8', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 3', 81345),
(137620, 'PTHR31374:SF154', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 81346),
(137621, 'PTHR33065:SF97', NULL, NULL, NULL, NULL, 'OS03G0107500 PROTEIN', 81347),
(137622, 'PTHR45623:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81348),
(137623, 'PTHR42748:SF16', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY DOMAIN-CONTAINING PROTEIN 1', 81349),
(137624, 'PTHR31032:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 81350),
(137625, 'PTHR33199:SF6', NULL, NULL, NULL, NULL, 'MACPF DOMAIN PROTEIN', 81351),
(137626, 'PTHR23504:SF8', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03730)-RELATED', 81352),
(137627, 'PTHR18934:SF234', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX40-RELATED', 81353),
(137628, 'PTHR13054:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DGCR6', 81354),
(137629, 'PTHR15858:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81355),
(137630, 'PTHR33108:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81356),
(137631, 'PTHR47991:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81357),
(137632, 'PTHR46128:SF81', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 81358),
(137633, 'PTHR47932:SF34', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 81359),
(137634, 'PTHR35085:SF1', NULL, NULL, NULL, NULL, 'KERATINOCYTE DIFFERENTIATION FACTOR 1', 81360),
(137635, 'PTHR31797:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81361),
(137636, 'PTHR16795:SF13', NULL, NULL, NULL, NULL, 'ELLIS-VAN CREVELD SYNDROME PROTEIN', 81362),
(137637, 'PTHR11461:SF194', NULL, NULL, NULL, NULL, 'KALLISTATIN-RELATED', 81363),
(137638, 'PTHR15623:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG04227', 81364),
(137639, 'PTHR10807:SF37', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 12', 81365),
(137640, 'PTHR24637:SF348', NULL, NULL, NULL, NULL, 'COLLAGEN', 81366),
(137641, 'PTHR23128', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 81367),
(137642, 'PTHR43788:SF14', NULL, NULL, NULL, NULL, 'DNA HELICASE B', 81368),
(137643, 'PTHR14958:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81369),
(137644, 'PTHR23189:SF99', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 1', 81370),
(137645, 'PTHR36449', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 81371),
(137646, 'PTHR47993:SF106', NULL, NULL, NULL, NULL, 'BNAA05G20620D PROTEIN', 81372),
(137647, 'PTHR39394:SF1', NULL, NULL, NULL, NULL, 'YALI0E31793P', 81373),
(137648, 'PTHR32227:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81374),
(137649, 'PTHR15241:SF318', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1-LIKE ISOFORM X1', 81375),
(137650, 'PTHR36480:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81376),
(137651, 'PTHR10036:SF11', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 2', 81377),
(137652, 'PTHR10791:SF159', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET5', 81378),
(137653, 'PTHR33198:SF12', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 81379),
(137654, 'PTHR33390', NULL, NULL, NULL, NULL, 'STRESS UP-REGULATED NOD 19 PROTEIN', 81380);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(137655, 'PTHR30389', NULL, NULL, NULL, NULL, 'FUMARATE HYDRATASE-RELATED', 81381),
(137656, 'PTHR12658:SF0', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE D', 81382),
(137657, 'PTHR45631:SF101', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IOS1', 81383),
(137658, 'PTHR47480:SF4', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', 81384),
(137659, 'PTHR31673:SF49', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 81385),
(137660, 'PTHR43651', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN-BRANCHING ENZYME', 81386),
(137661, 'PTHR43083:SF5', NULL, NULL, NULL, NULL, 'MANNAN POLYMERASE I COMPLEX VAN1 SUBUNIT', 81387),
(137662, 'PTHR10885:SF13', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE I, CHLOROPLASTIC', 81388),
(137663, 'PTHR30093:SF32', NULL, NULL, NULL, NULL, 'PREPILIN PEPTIDASE-DEPENDENT PROTEIN D', 81389),
(137664, 'PTHR13832:SF759', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C FAMILY PROTEIN-RELATED', 81390),
(137665, 'PTHR24377:SF702', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 552', 81391),
(137666, 'PTHR11474:SF34', NULL, NULL, NULL, NULL, 'N-ACETYL-6-HYDROXYTRYPTOPHAN OXIDASE IVOB-RELATED', 81392),
(137667, 'PTHR13572:SF1', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN ENDO-ALPHA-1,2-MANNOSIDASE', 81393),
(137668, 'PTHR33155:SF27', NULL, NULL, NULL, NULL, 'FANTASTIC FOUR-LIKE PROTEIN (DUF3049)', 81394),
(137669, 'PTHR10110:SF90', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 3', 81395),
(137670, 'PTHR45883:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM10A4-RELATED', 81396),
(137671, 'PTHR42968:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81397),
(137672, 'PTHR31352:SF38', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 1, CHLOROPLASTIC', 81398),
(137673, 'PTHR46620', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN SPF31', 81399),
(137674, 'PTHR34971:SF4', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN Z', 81400),
(137675, 'PTHR48041:SF89', NULL, NULL, NULL, NULL, 'FI03229P', 81401),
(137676, 'PTHR36369', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 81402),
(137677, 'PTHR32044:SF83', NULL, NULL, NULL, NULL, 'BNAA03G01040D PROTEIN', 81403),
(137678, 'PTHR31284:SF47', NULL, NULL, NULL, NULL, 'VEGETATIVE STORAGE PROTEIN 1-RELATED', 81404),
(137679, 'PTHR48022:SF2', NULL, NULL, NULL, NULL, 'PLASTIDIC GLUCOSE TRANSPORTER 4', 81405),
(137680, 'PTHR47105:SF1', NULL, NULL, NULL, NULL, 'OS02G0173600 PROTEIN', 81406),
(137681, 'PTHR24073', NULL, NULL, NULL, NULL, 'DRAB5-RELATED', 81407),
(137682, 'PTHR23502:SF144', NULL, NULL, NULL, NULL, 'EFFLUX TRANSPORTER, PUTATIVE-RELATED', 81408),
(137683, 'PTHR11639:SF131', NULL, NULL, NULL, NULL, 'PROTEIN S100', 81409),
(137684, 'PTHR31374:SF287', NULL, NULL, NULL, NULL, 'BNAA04G21210D PROTEIN', 81410),
(137685, 'PTHR12924:SF4', NULL, NULL, NULL, NULL, 'BNACNNG54310D PROTEIN', 81411),
(137686, 'PTHR24178:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81412),
(137687, 'PTHR47792:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SOK2-RELATED', 81413),
(137688, 'PTHR43391:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81414),
(137689, 'PTHR34458:SF14', NULL, NULL, NULL, NULL, 'BNAC01G34880D PROTEIN', 81415),
(137690, 'PTHR44329:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81416),
(137691, 'PTHR12262:SF8', NULL, NULL, NULL, NULL, 'CELL DIFFERENTIATION PROTEIN RCD1-LIKE', 81417),
(137692, 'PTHR12176:SF66', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 81418),
(137693, 'PTHR22792:SF76', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 1', 81419),
(137694, 'PTHR33107:SF50', NULL, NULL, NULL, NULL, 'BNAANNG33640D PROTEIN', 81420),
(137695, 'PTHR11740', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', 81421),
(137696, 'PTHR16196', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN CWF25', 81422),
(137697, 'PTHR12002:SF94', NULL, NULL, NULL, NULL, 'CLAUDIN 34D', 81423),
(137698, 'PTHR31045', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN-RELATED', 81424),
(137699, 'PTHR43005', NULL, NULL, NULL, NULL, 'BLR7065 PROTEIN', 81425);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(137700, 'PTHR45751:SF30', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RGLG5', 81426),
(137701, 'PTHR46168:SF19', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 4-RELATED', 81427),
(137702, 'PTHR13793:SF17', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 1', 81428),
(137703, 'PTHR24012:SF733', NULL, NULL, NULL, NULL, 'TIA1 CYTOTOXIC GRANULE ASSOCIATED RNA BINDING PROTEIN LIKE 1', 81429),
(137704, 'PTHR30404:SF4', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE', 81430),
(137705, 'PTHR47928:SF85', NULL, NULL, NULL, NULL, 'OS12G0552300 PROTEIN', 81431),
(137706, 'PTHR48104:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81432),
(137707, 'PTHR37362', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 38', 81433),
(137708, 'PTHR31561:SF139', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 81434),
(137709, 'PTHR16213:SF78', NULL, NULL, NULL, NULL, 'SELENOPROTEIN N', 81435),
(137710, 'PTHR43423:SF11', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 17', 81436),
(137711, 'PTHR31989:SF322', NULL, NULL, NULL, NULL, 'BNAA09G06060D PROTEIN', 81437),
(137712, 'PTHR47967:SF58', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE CDR1-LIKE PROTEIN-RELATED', 81438),
(137713, 'PTHR23338:SF16', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM4', 81439),
(137714, 'PTHR47025:SF19', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE WITH RING/FYVE/PHD-TYPE ZINC FINGER PROTEIN', 81440),
(137715, 'PTHR31419:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 6', 81441),
(137716, 'PTHR37349:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 12', 81442),
(137717, 'PTHR11062:SF207', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 81443),
(137718, 'PTHR13261:SF2', NULL, NULL, NULL, NULL, 'BRCA2 AND CDKN1A-INTERACTING PROTEIN', 81444),
(137719, 'PTHR24230:SF140', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR AH9.4-RELATED', 81445),
(137720, 'PTHR34672:SF13', NULL, NULL, NULL, NULL, 'BNAC03G23540D PROTEIN', 81446),
(137721, 'PTHR30290:SF66', NULL, NULL, NULL, NULL, 'SOLUTE BINDING PROTEIN-LIKE PROTEIN', 81447),
(137722, 'PTHR41983:SF2', NULL, NULL, NULL, NULL, 'SHORT-CHAIN FATTY ACID TRANSPORTER-RELATED', 81448),
(137723, 'PTHR21687:SF5', NULL, NULL, NULL, NULL, 'PLASMALEMMA VESICLE-ASSOCIATED PROTEIN', 81449),
(137724, 'PTHR10971:SF32', NULL, NULL, NULL, NULL, 'MITOTIC CHECKPOINT PROTEIN BUB3.2', 81450),
(137725, 'PTHR23338:SF55', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D3', 81451),
(137726, 'PTHR24233:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 34-RELATED', 81452),
(137727, 'PTHR43416:SF27', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYL CARRIER PROTEIN OF ACETYL-COA CARBOXYLASE', 81453),
(137728, 'PTHR31561:SF2', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 10', 81454),
(137729, 'PTHR30511:SF4', NULL, NULL, NULL, NULL, 'ALANINE RACEMASE, BIOSYNTHETIC', 81455),
(137730, 'PTHR43574:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81456),
(137731, 'PTHR33184:SF49', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 81457),
(137732, 'PTHR36866:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 4 OPEN READING FRAME 50', 81458),
(137733, 'PTHR11103:SF8', NULL, NULL, NULL, NULL, 'BETAINE--HOMOCYSTEINE S-METHYLTRANSFERASE 2', 81459),
(137734, 'PTHR24276:SF61', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 53', 81460),
(137735, 'PTHR11346:SF91', NULL, NULL, NULL, NULL, 'GALECTIN-9B-RELATED', 81461),
(137736, 'PTHR31626:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81462),
(137737, 'PTHR33159:SF66', NULL, NULL, NULL, NULL, 'BNAC03G47880D PROTEIN', 81463),
(137738, 'PTHR31251:SF120', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 19-RELATED', 81464),
(137739, 'PTHR42805', NULL, NULL, NULL, NULL, 'PTERIN-4-ALPHA-CARBINOLAMINE DEHYDRATASE-RELATED', 81465),
(137740, 'PTHR35077:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO AI661453 PROTEIN', 81466),
(137741, 'PTHR47361:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81467),
(137742, 'PTHR31325:SF39', NULL, NULL, NULL, NULL, 'OS07G0270800 PROTEIN', 81468),
(137743, 'PTHR10210:SF46', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE', 81469);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(137744, 'PTHR10336:SF159', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE GAMMA', 81470),
(137745, 'PTHR31642:SF265', NULL, NULL, NULL, NULL, 'BNAA03G00700D PROTEIN', 81471),
(137746, 'PTHR22084', NULL, NULL, NULL, NULL, 'GEX INTERACTING PROTEIN PROTEIN 4', 81472),
(137747, 'PTHR46047:SF2', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 1', 81473),
(137748, 'PTHR11610:SF36', NULL, NULL, NULL, NULL, 'LIPASE MEMBER H-A-LIKE PROTEIN', 81474),
(137749, 'PTHR24414:SF153', NULL, NULL, NULL, NULL, 'BNACNNG54800D PROTEIN', 81475),
(137750, 'PTHR14009:SF34', NULL, NULL, NULL, NULL, 'LETM1 AND EF-HAND DOMAIN-CONTAINING PROTEIN ANON-60DA ISOFORM 1', 81476),
(137751, 'PTHR42182:SF1', NULL, NULL, NULL, NULL, 'SLL0359 PROTEIN', 81477),
(137752, 'PTHR11412', NULL, NULL, NULL, NULL, 'MACROGLOBULIN / COMPLEMENT', 81478),
(137753, 'PTHR31084:SF11', NULL, NULL, NULL, NULL, 'ALPHA-FUCOSIDASE (EUROFUNG)', 81479),
(137754, 'PTHR31867:SF17', NULL, NULL, NULL, NULL, 'EXPANSIN-A25', 81480),
(137755, 'PTHR11240:SF58', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2 FAMILY PROTEIN', 81481),
(137756, 'PTHR23501:SF98', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY TRANSPORTER', 81482),
(137757, 'PTHR16124:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR OTHERS FAMILY-RELATED', 81483),
(137758, 'PTHR23517:SF10', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN B', 81484),
(137759, 'PTHR13650:SF0', NULL, NULL, NULL, NULL, 'SPATACSIN', 81485),
(137760, 'PTHR37376:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 81486),
(137761, 'PTHR45880:SF2', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 4, MITOCHONDRIAL ISOFORM X1', 81487),
(137762, 'PTHR27009:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81488),
(137763, 'PTHR23084:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81489),
(137764, 'PTHR45667:SF25', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE MITOCHONDRIAL CARRIER PROTEIN-LIKE', 81490),
(137765, 'PTHR24349:SF295', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 25', 81491),
(137766, 'PTHR34463:SF17', NULL, NULL, NULL, NULL, 'ACANTHOSCURRIN-1-LIKE', 81492),
(137767, 'PTHR47990:SF110', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 1-B-LIKE', 81493),
(137768, 'PTHR42721:SF19', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 7-RELATED', 81494),
(137769, 'PTHR38973:SF1', NULL, NULL, NULL, NULL, 'PLASMID PARTITION PROTEIN B', 81495),
(137770, 'PTHR15245:SF20', NULL, NULL, NULL, NULL, 'SYMPLEKIN', 81496),
(137771, 'PTHR12277:SF48', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE DOMAIN-CONTAINING PROTEIN 17B', 81497),
(137772, 'PTHR43329:SF43', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE B', 81498),
(137773, 'PTHR42757:SF38', NULL, NULL, NULL, NULL, 'MYOTILIN-LIKE', 81499),
(137774, 'PTHR21453', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 81500),
(137775, 'PTHR48001:SF36', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7D4', 81501),
(137776, 'PTHR23138:SF91', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 3', 81502),
(137777, 'PTHR31916:SF39', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE CINV2', 81503),
(137778, 'PTHR31639:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81504),
(137779, 'PTHR10693:SF63', NULL, NULL, NULL, NULL, 'G3BP-LIKE PROTEIN-RELATED', 81505),
(137780, 'PTHR46517:SF3', NULL, NULL, NULL, NULL, 'FRUCTOSE-2,6-BISPHOSPHATASE TIGAR A-RELATED', 81506),
(137781, 'PTHR47976:SF17', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 81507),
(137782, 'PTHR11010:SF90', NULL, NULL, NULL, NULL, 'SERINE PROTEASE EDA2-RELATED', 81508),
(137783, 'PTHR16265:SF1', NULL, NULL, NULL, NULL, 'PTB-CONTAINING, CUBILIN AND LRP1-INTERACTING PROTEIN', 81509),
(137784, 'PTHR11599:SF170', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 81510),
(137785, 'PTHR24096:SF382', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 2-LIKE', 81511),
(137786, 'PTHR31086:SF82', NULL, NULL, NULL, NULL, 'ALUMINUM ACTIVATED MALATE TRANSPORTER FAMILY PROTEIN-RELATED', 81512),
(137787, 'PTHR12504:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM22 HOMOLOG', 81513);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(137788, 'PTHR46837:SF4', NULL, NULL, NULL, NULL, 'OS05G0534600 PROTEIN', 81514),
(137789, 'PTHR33669:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81515),
(137790, 'PTHR48003:SF5', NULL, NULL, NULL, NULL, 'OS07G0626500 PROTEIN', 81516),
(137791, 'PTHR43302:SF3', NULL, NULL, NULL, NULL, 'OS10G0447900 PROTEIN', 81517),
(137792, 'PTHR45938:SF9', NULL, NULL, NULL, NULL, 'ACP24A4-RELATED', 81518),
(137793, 'PTHR47876', NULL, NULL, NULL, NULL, 'OS08G0260000 PROTEIN', 81519),
(137794, 'PTHR10210:SF57', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 1', 81520),
(137795, 'PTHR32341:SF9', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY M PROTEIN', 81521),
(137796, 'PTHR24247:SF88', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE (SEROTONIN) RECEPTOR 7C', 81522),
(137797, 'PTHR10507:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81523),
(137798, 'PTHR35688', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN', 81524),
(137799, 'PTHR24221:SF479', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81525),
(137800, 'PTHR11588:SF392', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 81526),
(137801, 'PTHR44826:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81527),
(137802, 'PTHR11909:SF351', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE', 81528),
(137803, 'PTHR21039:SF0', NULL, NULL, NULL, NULL, 'HISTIDINOL-PHOSPHATASE', 81529),
(137804, 'PTHR31235:SF313', NULL, NULL, NULL, NULL, 'PEROXIDASE', 81530),
(137805, 'PTHR45835:SF82', NULL, NULL, NULL, NULL, 'YALI0A06105P', 81531),
(137806, 'PTHR12126:SF10', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 9, MITOCHONDRIAL', 81532),
(137807, 'PTHR12129:SF15', NULL, NULL, NULL, NULL, 'URONYL 2-SULFOTRANSFERASE', 81533),
(137808, 'PTHR31655:SF0', NULL, NULL, NULL, NULL, 'PROTEIN FAM78B', 81534),
(137809, 'PTHR11558:SF46', NULL, NULL, NULL, NULL, 'BNAA07G09790D PROTEIN', 81535),
(137810, 'PTHR30047', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY CHOLINE TRANSPORT PROTEIN-RELATED', 81536),
(137811, 'PTHR31681:SF82', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 81537),
(137812, 'PTHR16932:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81538),
(137813, 'PTHR16529', NULL, NULL, NULL, NULL, 'CD177 ANTIGEN', 81539),
(137814, 'PTHR12329:SF36', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR-LIKE PROTEIN', 81540),
(137815, 'PTHR15950', NULL, NULL, NULL, NULL, 'TRANSCRIPTION COFACTOR VESTIGIAL-LIKE PROTEIN', 81541),
(137816, 'PTHR22953:SF13', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 81542),
(137817, 'PTHR24012:SF820', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 81543),
(137818, 'PTHR38221:SF1', NULL, NULL, NULL, NULL, 'BNAA04G14260D PROTEIN', 81544),
(137819, 'PTHR24299:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81545),
(137820, 'PTHR15601:SF24', NULL, NULL, NULL, NULL, 'BNAC03G57570D PROTEIN', 81546),
(137821, 'PTHR27009:SF64', NULL, NULL, NULL, NULL, 'OS11G0441900 PROTEIN', 81547),
(137822, 'PTHR11649:SF75', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 81548),
(137823, 'PTHR24028:SF133', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-8', 81549),
(137824, 'PTHR21371:SF22', NULL, NULL, NULL, NULL, 'OS09G0436500 PROTEIN', 81550),
(137825, 'PTHR11256:SF12', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 1', 81551),
(137826, 'PTHR24257', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE ELASTASE FAMILY MEMBER', 81552),
(137827, 'PTHR23511:SF28', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE GLYCOPROTEIN 2BA', 81553),
(137828, 'PTHR13813:SF3', NULL, NULL, NULL, NULL, 'GLYCOPHORIN-A', 81554),
(137829, 'PTHR10639:SF33', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', 81555),
(137830, 'PTHR23226:SF230', NULL, NULL, NULL, NULL, 'FI01424P-RELATED', 81556),
(137831, 'PTHR23272:SF136', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN DAYSLEEPER-LIKE', 81557),
(137832, 'PTHR10106:SF22', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE ASCORBATE FERRIREDUCTASE 1', 81558),
(137833, 'PTHR34937', NULL, NULL, NULL, NULL, 'OS08G0559800 PROTEIN', 81559);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(137834, 'PTHR24960:SF77', NULL, NULL, NULL, NULL, 'FERREDOXIN', 81560),
(137835, 'PTHR48047:SF117', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 90A2', 81561),
(137836, 'PTHR11712:SF329', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE', 81562),
(137837, 'PTHR47354:SF3', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', 81563),
(137838, 'PTHR31562:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG06280', 81564),
(137839, 'PTHR23092:SF15', NULL, NULL, NULL, NULL, 'INACTIVE NON-CANONICAL POLY(A) RNA POLYMERASE PROTEIN TRF4-2-RELATED', 81565),
(137840, 'PTHR45650:SF46', NULL, NULL, NULL, NULL, 'LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 81566),
(137841, 'PTHR13771:SF3', NULL, NULL, NULL, NULL, 'INTERCELLULAR ADHESION MOLECULE 2', 81567),
(137842, 'PTHR33132:SF59', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 81568),
(137843, 'PTHR26454:SF54', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 81569),
(137844, 'PTHR35293:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81570),
(137845, 'PTHR24055:SF355', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 81571),
(137846, 'PTHR10802', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM40', 81572),
(137847, 'PTHR13869:SF19', NULL, NULL, NULL, NULL, 'MYELIN PROTEIN ZERO-LIKE PROTEIN 1', 81573),
(137848, 'PTHR48052:SF10', NULL, NULL, NULL, NULL, 'LRR AMINO-TERMINAL DOMAIN PROTEIN', 81574),
(137849, 'PTHR31642:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81575),
(137850, 'PTHR42852:SF10', NULL, NULL, NULL, NULL, 'BACTERIOFERRITIN COMIGRATORY PROTEIN', 81576),
(137851, 'PTHR30540:SF97', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 81577),
(137852, 'PTHR45977:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 81578),
(137853, 'PTHR47967:SF39', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN, PUTATIVE-RELATED', 81579),
(137854, 'PTHR45914:SF28', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH87', 81580),
(137855, 'PTHR46703:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81581),
(137856, 'PTHR24247:SF108', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 5A', 81582),
(137857, 'PTHR23105:SF155', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L30E-RELATED', 81583),
(137858, 'PTHR33491:SF31', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE, GALACTURONAN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 81584),
(137859, 'PTHR21181:SF15', NULL, NULL, NULL, NULL, 'MEMBRANE MAGNESIUM TRANSPORTER 1', 81585),
(137860, 'PTHR46101:SF5', NULL, NULL, NULL, NULL, 'HISTIDINE DECARBOXYLASE-LIKE', 81586),
(137861, 'PTHR35079', NULL, NULL, NULL, NULL, 'LUNG ADENOMA SUSCEPTIBILITY PROTEIN 2', 81587),
(137862, 'PTHR10358:SF4', NULL, NULL, NULL, NULL, 'CAMP-REGULATED PHOSPHOPROTEIN 19', 81588),
(137863, 'PTHR24092:SF173', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 7-RELATED', 81589),
(137864, 'PTHR10104:SF18', NULL, NULL, NULL, NULL, 'STATHMIN-2', 81590),
(137865, 'PTHR33107:SF31', NULL, NULL, NULL, NULL, 'KUNITZ TYPE TRYPSIN INHIBITOR', 81591),
(137866, 'PTHR33294', NULL, NULL, NULL, NULL, 'AWPM-19-LIKE FAMILY PROTEIN', 81592),
(137867, 'PTHR13743:SF142', NULL, NULL, NULL, NULL, 'WD40 AND FYVE DOMAIN PROTEIN', 81593),
(137868, 'PTHR22957:SF551', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 13-LIKE', 81594),
(137869, 'PTHR10698:SF1', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT H 1-RELATED', 81595),
(137870, 'PTHR16134:SF77', NULL, NULL, NULL, NULL, 'BNAA03G50380D PROTEIN', 81596),
(137871, 'PTHR47201', NULL, NULL, NULL, NULL, 'BNAC09G30780D PROTEIN', 81597),
(137872, 'PTHR10696:SF42', NULL, NULL, NULL, NULL, 'OS08G0383800 PROTEIN', 81598),
(137873, 'PTHR28218', NULL, NULL, NULL, NULL, 'VPS4-ASSOCIATED PROTEIN 1', 81599),
(137874, 'PTHR48049', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 81600),
(137875, 'PTHR31234:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81601),
(137876, 'PTHR48108:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, XRE FAMILY', 81602),
(137877, 'PTHR22951:SF93', NULL, NULL, NULL, NULL, 'BNAA02G08290D PROTEIN', 81603);
INSERT INTO "PUBLIC"."MODEL" VALUES
(137878, 'PTHR21725:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR4', 81604),
(137879, 'PTHR33128:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81605),
(137880, 'PTHR46034', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 81606),
(137881, 'PTHR11266:SF76', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE 22 KDA FAMILY PROTEIN', 81607),
(137882, 'PTHR38166:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81608),
(137883, 'PTHR48049:SF28', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 81609),
(137884, 'PTHR26450:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81610),
(137885, 'PTHR46287:SF15', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 2', 81611),
(137886, 'PTHR36130:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4933430I17 GENE', 81612),
(137887, 'PTHR15241:SF332', NULL, NULL, NULL, NULL, 'MUSASHI RNA BINDING PROTEIN 2', 81613),
(137888, 'PTHR46502:SF11', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 81614),
(137889, 'PTHR34940', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 5 KDA PROTEIN, CHLOROPLASTIC', 81615),
(137890, 'PTHR39410', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930558K02 GENE', 81616),
(137891, 'PTHR23192:SF68', NULL, NULL, NULL, NULL, 'SI:CH211-194M7.3', 81617),
(137892, 'PTHR12335:SF3', NULL, NULL, NULL, NULL, 'IP11896P', 81618),
(137893, 'PTHR33124:SF38', NULL, NULL, NULL, NULL, 'OS03G0312100 PROTEIN', 81619),
(137894, 'PTHR11533:SF242', NULL, NULL, NULL, NULL, 'GLUTAMYL AMINOPEPTIDASE', 81620),
(137895, 'PTHR35818:SF1', NULL, NULL, NULL, NULL, 'RGD1564171', 81621),
(137896, 'PTHR10139', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR PROTEIN MRE11', 81622),
(137897, 'PTHR15756', NULL, NULL, NULL, NULL, 'LR8/HCA112', 81623),
(137898, 'PTHR33767', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 81624),
(137899, 'PTHR36748:SF4', NULL, NULL, NULL, NULL, 'MENTAL RETARDATION GTPASE ACTIVATING PROTEIN', 81625),
(137900, 'PTHR31833', NULL, NULL, NULL, NULL, 'UPF0690 PROTEIN C1ORF52', 81626),
(137901, 'PTHR33479:SF1', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE BRAN TRYPSIN INHIBITOR', 81627),
(137902, 'PTHR10903:SF142', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 81628),
(137903, 'PTHR11690:SF231', NULL, NULL, NULL, NULL, 'PROTEIN CBG11983', 81629),
(137904, 'PTHR12626:SF9', NULL, NULL, NULL, NULL, 'BNAA06G20900D PROTEIN', 81630),
(137905, 'PTHR46554:SF5', NULL, NULL, NULL, NULL, 'OS10G0327400 PROTEIN', 81631),
(137906, 'PTHR46214:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81632),
(137907, 'PTHR33048:SF108', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G02860)-RELATED', 81633),
(137908, 'PTHR47979:SF5', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-42', 81634),
(137909, 'PTHR22880:SF143', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 4', 81635),
(137910, 'PTHR31636:SF218', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL1-LIKE', 81636),
(137911, 'PTHR19957:SF41', NULL, NULL, NULL, NULL, 'SYNTAXIN-1A', 81637),
(137912, 'PTHR42852', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBE', 81638),
(137913, 'PTHR11426:SF202', NULL, NULL, NULL, NULL, 'BETA CENTROMERIC HISTONE H3', 81639),
(137914, 'PTHR33577:SF18', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 81640),
(137915, 'PTHR10188:SF37', NULL, NULL, NULL, NULL, 'SI:CH211-256M1.8', 81641),
(137916, 'PTHR43489:SF6', NULL, NULL, NULL, NULL, 'HYDROXYPYRUVATE ISOMERASE-RELATED', 81642),
(137917, 'PTHR13887:SF43', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', 81643),
(137918, 'PTHR32502:SF28', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM SUGAR-SPECIFIC EIIC COMPONENT', 81644),
(137919, 'PTHR31719:SF158', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 25', 81645),
(137920, 'PTHR48018:SF68', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR K41', 81646),
(137921, 'PTHR12692:SF1', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR CANDIDATE 3', 81647),
(137922, 'PTHR34538:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81648),
(137923, 'PTHR45868:SF64', NULL, NULL, NULL, NULL, 'BNAANNG08630D PROTEIN', 81649);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(137924, 'PTHR33710:SF13', NULL, NULL, NULL, NULL, 'OS01G0714200 PROTEIN', 81650),
(137925, 'PTHR27000:SF97', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN-TYROSINE KINASE CEPR2', 81651),
(137926, 'PTHR31052:SF19', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 7', 81652),
(137927, 'PTHR39453:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE PROPANOYLTRANSFERASE', 81653),
(137928, 'PTHR31949:SF15', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN PB15E9.01C-RELATED', 81654),
(137929, 'PTHR37355:SF1', NULL, NULL, NULL, NULL, 'PLACENTA-SPECIFIC PROTEIN 9', 81655),
(137930, 'PTHR31589:SF86', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', 81656),
(137931, 'PTHR44083:SF34', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 81657),
(137932, 'PTHR24009:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 22-LIKE ISOFORM X1', 81658),
(137933, 'PTHR34484:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81659),
(137934, 'PTHR23322:SF68', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 9 ISOFORM X1', 81660),
(137935, 'PTHR11461:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81661),
(137936, 'PTHR47853:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 81662),
(137937, 'PTHR24298:SF549', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 705A12', 81663),
(137938, 'PTHR47835', NULL, NULL, NULL, NULL, 'HFM1, ATP DEPENDENT DNA HELICASE HOMOLOG', 81664),
(137939, 'PTHR46148:SF33', NULL, NULL, NULL, NULL, 'OS05G0296332 PROTEIN', 81665),
(137940, 'PTHR34156:SF5', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED', 81666),
(137941, 'PTHR22826:SF104', NULL, NULL, NULL, NULL, 'TRIPLE FUNCTIONAL DOMAIN PROTEIN', 81667),
(137942, 'PTHR12300:SF155', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 81668),
(137943, 'PTHR11977:SF121', NULL, NULL, NULL, NULL, 'BNAA02G08200D PROTEIN', 81669),
(137944, 'PTHR46745', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 1', 81670),
(137945, 'PTHR19944:SF59', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DQ ALPHA 1 CHAIN', 81671),
(137946, 'PTHR33571:SF14', NULL, NULL, NULL, NULL, 'SSL8005 PROTEIN', 81672),
(137947, 'PTHR24006:SF824', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 3', 81673),
(137948, 'PTHR44099:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 7', 81674),
(137949, 'PTHR48018:SF165', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 81675),
(137950, 'PTHR36888:SF2', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 81676),
(137951, 'PTHR32100:SF62', NULL, NULL, NULL, NULL, 'ACYL-LIPID OMEGA-3 DESATURASE (CYTOCHROME B5), ENDOPLASMIC RETICULUM', 81677),
(137952, 'PTHR31711:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81678),
(137953, 'PTHR31072:SF83', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP9', 81679),
(137954, 'PTHR13509:SF13', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', 81680),
(137955, 'PTHR13396', NULL, NULL, NULL, NULL, 'NEDD4 FAMILY INTERACTING PROTEIN 1/2', 81681),
(137956, 'PTHR48107:SF2', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE, PUTATIVE-RELATED', 81682),
(137957, 'PTHR42821', NULL, NULL, NULL, NULL, 'CATALASE', 81683),
(137958, 'PTHR31403:SF57', NULL, NULL, NULL, NULL, 'BNAA01G18100D PROTEIN', 81684),
(137959, 'PTHR31089:SF1', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 2', 81685),
(137960, 'PTHR11604:SF49', NULL, NULL, NULL, NULL, 'PROFILIN-1', 81686),
(137961, 'PTHR31650:SF42', NULL, NULL, NULL, NULL, 'OS01G0770000 PROTEIN', 81687),
(137962, 'PTHR32176:SF36', NULL, NULL, NULL, NULL, 'PATATIN', 81688),
(137963, 'PTHR11615:SF333', NULL, NULL, NULL, NULL, 'TETRATHIONATE REDUCTASE SUBUNIT A', 81689),
(137964, 'PTHR24221:SF521', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81690),
(137965, 'PTHR11437:SF10', NULL, NULL, NULL, NULL, 'ANGIOGENIN', 81691),
(137966, 'PTHR10638:SF60', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 81692),
(137967, 'PTHR31086:SF75', NULL, NULL, NULL, NULL, 'ALUMINUM ACTIVATED MALATE TRANSPORTER FAMILY PROTEIN', 81693),
(137968, 'PTHR38477:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL EXPORTED PROTEIN', 81694);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(137969, 'PTHR43670:SF37', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN', 81695),
(137970, 'PTHR26453:SF130', NULL, NULL, NULL, NULL, 'MCG141667', 81696),
(137971, 'PTHR10535:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81697),
(137972, 'PTHR48161:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81698),
(137973, 'PTHR43521:SF4', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE DEHYDROGENASE 12A1, MITOCHONDRIAL', 81699),
(137974, 'PTHR31360:SF0', NULL, NULL, NULL, NULL, 'OIL BODY-ASSOCIATED PROTEIN 1B', 81700),
(137975, 'PTHR28071:SF1', NULL, NULL, NULL, NULL, 'REDOX PROTEIN FMP46, MITOCHONDRIAL-RELATED', 81701),
(137976, 'PTHR35402:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 81702),
(137977, 'PTHR20766:SF0', NULL, NULL, NULL, NULL, 'LARGE NEUTRAL AMINO ACIDS TRANSPORTER SMALL SUBUNIT 3', 81703),
(137978, 'PTHR46469', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 8', 81704),
(137979, 'PTHR11353:SF205', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ZETA-RELATED', 81705),
(137980, 'PTHR23306:SF21', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME/RWD-LIKE PROTEIN', 81706),
(137981, 'PTHR22777:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81707),
(137982, 'PTHR15858', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 81708),
(137983, 'PTHR43261', NULL, NULL, NULL, NULL, 'TRANSLATION ELONGATION FACTOR G-RELATED', 81709),
(137984, 'PTHR23291:SF105', NULL, NULL, NULL, NULL, 'BNAC06G26880D PROTEIN', 81710),
(137985, 'PTHR43725:SF14', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE', 81711),
(137986, 'PTHR42811:SF11', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE 1, CHLOROPLASTIC', 81712),
(137987, 'PTHR43908:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81713),
(137988, 'PTHR33199:SF2', NULL, NULL, NULL, NULL, 'OS02G0475300 PROTEIN', 81714),
(137989, 'PTHR23291:SF16', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 1', 81715),
(137990, 'PTHR48246', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 81716),
(137991, 'PTHR34653', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 81717),
(137992, 'PTHR32266:SF18', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE 2', 81718),
(137993, 'PTHR21026:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81719),
(137994, 'PTHR24286:SF268', NULL, NULL, NULL, NULL, 'BNAA06G38070D PROTEIN', 81720),
(137995, 'PTHR33143:SF50', NULL, NULL, NULL, NULL, 'PROTEIN MKS1', 81721),
(137996, 'PTHR10909:SF378', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 81722),
(137997, 'PTHR34226:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81723),
(137998, 'PTHR27005:SF78', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE PROTEIN', 81724),
(137999, 'PTHR12300:SF33', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN 1', 81725),
(138000, 'PTHR23500:SF549', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 5-LIKE', 81726),
(138001, 'PTHR47992:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81727),
(138002, 'PTHR47661:SF3', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 81728),
(138003, 'PTHR24282:SF141', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714C3', 81729),
(138004, 'PTHR47993:SF168', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 81730),
(138005, 'PTHR24381:SF118', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 329', 81731),
(138006, 'PTHR31042:SF19', NULL, NULL, NULL, NULL, 'OS02G0175500 PROTEIN', 81732),
(138007, 'PTHR10683:SF33', NULL, NULL, NULL, NULL, 'TRANSALDOLASE-RELATED', 81733),
(138008, 'PTHR10252:SF105', NULL, NULL, NULL, NULL, 'HISTONE-FOLD PROTEIN-RELATED', 81734),
(138009, 'PTHR32382:SF52', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE PROTEIN FLA7', 81735),
(138010, 'PTHR30573', NULL, NULL, NULL, NULL, 'QUINOLINATE SYNTHETASE A', 81736),
(138011, 'PTHR43092:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81737),
(138012, 'PTHR11062:SF274', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 81738),
(138013, 'PTHR24089:SF693', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', 81739),
(138014, 'PTHR45669:SF16', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN DOMAIN CONTAINING PROTEIN', 81740);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(138015, 'PTHR12121', NULL, NULL, NULL, NULL, 'CARBON CATABOLITE REPRESSOR PROTEIN 4', 81741),
(138016, 'PTHR10992:SF1028', NULL, NULL, NULL, NULL, 'METHYLESTERASE 9', 81742),
(138017, 'PTHR34550', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S31, CHLOROPLASTIC', 81743),
(138018, 'PTHR11480:SF76', NULL, NULL, NULL, NULL, 'PROSAPOSIN-LIKE', 81744),
(138019, 'PTHR12735:SF43', NULL, NULL, NULL, NULL, 'BNAA09G06960D PROTEIN', 81745),
(138020, 'PTHR13771:SF8', NULL, NULL, NULL, NULL, 'INTERCELLULAR ADHESION MOLECULE 4', 81746),
(138021, 'PTHR24078:SF544', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 4-LIKE ISOFORM X1', 81747),
(138022, 'PTHR44688', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 81748),
(138023, 'PTHR34309:SF1', NULL, NULL, NULL, NULL, 'SLR1406 PROTEIN', 81749),
(138024, 'PTHR33044:SF119', NULL, NULL, NULL, NULL, 'OS01G0814100 PROTEIN', 81750),
(138025, 'PTHR31087:SF17', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 14-RELATED', 81751),
(138026, 'PTHR36811:SF3', NULL, NULL, NULL, NULL, 'BNAC03G12770D PROTEIN', 81752),
(138027, 'PTHR33922:SF9', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS ABUNDANT PROTEIN GROUP 8 PROTEIN, PUTATIVE-RELATED', 81753),
(138028, 'PTHR28611', NULL, NULL, NULL, NULL, 'NORRIN', 81754),
(138029, 'PTHR39650:SF1', NULL, NULL, NULL, NULL, 'CDP-ARCHAEOL SYNTHASE', 81755),
(138030, 'PTHR11394:SF8', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 5', 81756),
(138031, 'PTHR10811:SF97', NULL, NULL, NULL, NULL, 'BNAANNG23960D PROTEIN', 81757),
(138032, 'PTHR23336:SF22', NULL, NULL, NULL, NULL, 'MORC FAMILY CW-TYPE ZINC FINGER PROTEIN 4', 81758),
(138033, 'PTHR11685:SF289', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 81759),
(138034, 'PTHR43792:SF13', NULL, NULL, NULL, NULL, 'RIBOSOMAL-PROTEIN-ALANINE ACETYLTRANSFERASE', 81760),
(138035, 'PTHR30518', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 81761),
(138036, 'PTHR23502:SF156', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00420)-RELATED', 81762),
(138037, 'PTHR14206', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC ANGIOGENESIS INHIBITOR 1-ASSOCIATED PROTEIN 2', 81763),
(138038, 'PTHR36139:SF4', NULL, NULL, NULL, NULL, 'BNAC08G04470D PROTEIN', 81764),
(138039, 'PTHR13513:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81765),
(138040, 'PTHR13678:SF21', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN-SORTING-ASSOCIATED PROTEIN 37 HOMOLOG 1-LIKE', 81766),
(138041, 'PTHR43327:SF35', NULL, NULL, NULL, NULL, 'BNAA02G09870D PROTEIN', 81767),
(138042, 'PTHR47849:SF3', NULL, NULL, NULL, NULL, 'LECTIN', 81768),
(138043, 'PTHR48018:SF65', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5D14', 81769),
(138044, 'PTHR46344:SF7', NULL, NULL, NULL, NULL, 'KELCH MOTIF FAMILY PROTEIN, EXPRESSED', 81770),
(138045, 'PTHR39162:SF1', NULL, NULL, NULL, NULL, 'GLL3345 PROTEIN', 81771),
(138046, 'PTHR15960:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED PROTEIN 1-LIKE', 81772),
(138047, 'PTHR10182:SF19', NULL, NULL, NULL, NULL, 'BNAC07G34260D PROTEIN', 81773),
(138048, 'PTHR23421:SF162', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 81774),
(138049, 'PTHR43725:SF19', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE 5', 81775),
(138050, 'PTHR34938', NULL, NULL, NULL, NULL, 'PROTEIN FERTILITY RESTORER RF2, MITOCHONDRIAL', 81776),
(138051, 'PTHR20961:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81777),
(138052, 'PTHR35420:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 81778),
(138053, 'PTHR17085:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 4', 81779),
(138054, 'PTHR44843:SF10', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 81780),
(138055, 'PTHR10887:SF475', NULL, NULL, NULL, NULL, 'ZINC FINGER, NFX1-TYPE-CONTAINING 1, GENE 2', 81781),
(138056, 'PTHR13029:SF20', NULL, NULL, NULL, NULL, 'MYELIN GENE REGULATORY FACTOR-LIKE A', 81782),
(138057, 'PTHR31009:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81783),
(138058, 'PTHR31752:SF52', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 8-RELATED', 81784),
(138059, 'PTHR20852:SF102', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE CYTOSOLIC ISOZYME 1-2', 81785);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(138060, 'PTHR43969:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE E14', 81786),
(138061, 'PTHR24211:SF20', NULL, NULL, NULL, NULL, 'PROTEIN ESPINAS-RELATED', 81787),
(138062, 'PTHR47937:SF1', NULL, NULL, NULL, NULL, 'PLASTID TRANSCRIPTIONALLY ACTIVE CHROMOSOME 2-LIKE PROTEIN', 81788),
(138063, 'PTHR33648:SF32', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-BINDING LYSM DOMAIN-CONTAINING PROTEIN-RELATED', 81789),
(138064, 'PTHR24223:SF377', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81790),
(138065, 'PTHR46450:SF9', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUVR2-LIKE PROTEIN', 81791),
(138066, 'PTHR30540:SF88', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 13-RELATED', 81792),
(138067, 'PTHR24055:SF429', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 8', 81793),
(138068, 'PTHR21694:SF18', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 63', 81794),
(138069, 'PTHR34149:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG09996', 81795),
(138070, 'PTHR45972:SF1', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 7A', 81796),
(138071, 'PTHR31798:SF8', NULL, NULL, NULL, NULL, 'BNAA02G17660D PROTEIN', 81797),
(138072, 'PTHR42918:SF14', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE', 81798),
(138073, 'PTHR18966:SF430', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 81799),
(138074, 'PTHR13906:SF7', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE 2', 81800),
(138075, 'PTHR11556:SF34', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, CHLOROPLASTIC-LIKE', 81801),
(138076, 'PTHR11679:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81802),
(138077, 'PTHR31645:SF66', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER, OPT SUPERFAMILY-RELATED', 81803),
(138078, 'PTHR48029:SF2', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 8', 81804),
(138079, 'PTHR37611:SF2', NULL, NULL, NULL, NULL, 'VIRUS-SPECIFIC-SIGNALING-PATHWAY REGULATED PROTEIN-RELATED', 81805),
(138080, 'PTHR11733:SF208', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', 81806),
(138081, 'PTHR46672:SF3', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN PLANT PROTEIN', 81807),
(138082, 'PTHR46624:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN 1', 81808),
(138083, 'PTHR10985:SF137', NULL, NULL, NULL, NULL, 'PROTEIN DEADPAN-RELATED', 81809),
(138084, 'PTHR13768:SF33', NULL, NULL, NULL, NULL, 'NSF ATTACHMENT PROTEIN-RELATED', 81810),
(138085, 'PTHR10625:SF192', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 6', 81811),
(138086, 'PTHR21017:SF11', NULL, NULL, NULL, NULL, 'PROTEIN NIPSNAP HOMOLOG 1', 81812),
(138087, 'PTHR47043:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81813),
(138088, 'PTHR43670:SF53', NULL, NULL, NULL, NULL, 'PROTEIN RESTRICTED TEV MOVEMENT 2-LIKE', 81814),
(138089, 'PTHR35800', NULL, NULL, NULL, NULL, 'PROTEIN JAG', 81815),
(138090, 'PTHR35468:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-LIKE PROTEIN', 81816),
(138091, 'PTHR46632:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINA-LIKE 4', 81817),
(138092, 'PTHR11926:SF1196', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 81818),
(138093, 'PTHR10476:SF12', NULL, NULL, NULL, NULL, 'BREAST ADENOCARCINOMA MARKER-LIKE', 81819),
(138094, 'PTHR43327:SF11', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 4', 81820),
(138095, 'PTHR23359:SF107', NULL, NULL, NULL, NULL, 'GTP:AMP PHOSPHOTRANSFERASE, MITOCHONDRIAL', 81821),
(138096, 'PTHR13213:SF2', NULL, NULL, NULL, NULL, 'MYB-BINDING PROTEIN 1A', 81822),
(138097, 'PTHR31248:SF10', NULL, NULL, NULL, NULL, 'BNAC03G63110D PROTEIN', 81823),
(138098, 'PTHR11239:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB9', 81824),
(138099, 'PTHR13318:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81825),
(138100, 'PTHR21220:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81826),
(138101, 'PTHR43272:SF54', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE 6', 81827),
(138102, 'PTHR11258:SF14', NULL, NULL, NULL, NULL, '2'',5''-OLIGOADENYLATE SYNTHETASE-LIKE 6', 81828),
(138103, 'PTHR31552:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 81829);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(138104, 'PTHR31860:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81830),
(138105, 'PTHR33127:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81831),
(138106, 'PTHR34191:SF9', NULL, NULL, NULL, NULL, 'F6D8.10', 81832),
(138107, 'PTHR10780', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER HOMOLOG', 81833),
(138108, 'PTHR12547:SF135', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 39', 81834),
(138109, 'PTHR10856:SF42', NULL, NULL, NULL, NULL, 'CORONIN-B', 81835),
(138110, 'PTHR46451:SF1', NULL, NULL, NULL, NULL, 'RAS-RESPONSIVE ELEMENT-BINDING PROTEIN 1', 81836),
(138111, 'PTHR12632:SF58', NULL, NULL, NULL, NULL, 'BNAA01G25500D PROTEIN', 81837),
(138112, 'PTHR45981:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH8', 81838),
(138113, 'PTHR38133:SF1', NULL, NULL, NULL, NULL, 'SLR1429 PROTEIN', 81839),
(138114, 'PTHR33994:SF17', NULL, NULL, NULL, NULL, 'OS01G0655000 PROTEIN', 81840),
(138115, 'PTHR21495:SF187', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 81841),
(138116, 'PTHR32116:SF90', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 81842),
(138117, 'PTHR21257:SF36', NULL, NULL, NULL, NULL, 'DUF1295 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_8G05810)', 81843),
(138118, 'PTHR43871:SF1', NULL, NULL, NULL, NULL, 'SLR2030 PROTEIN', 81844),
(138119, 'PTHR47031:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81845),
(138120, 'PTHR12452:SF0', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 17', 81846),
(138121, 'PTHR31645:SF16', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL5-RELATED', 81847),
(138122, 'PTHR24247:SF180', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR M4', 81848),
(138123, 'PTHR47958:SF109', NULL, NULL, NULL, NULL, 'NUCLEOLAR RNA HELICASE 2', 81849),
(138124, 'PTHR24403:SF71', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZFP91', 81850),
(138125, 'PTHR31852:SF190', NULL, NULL, NULL, NULL, 'BNAA01G23570D PROTEIN', 81851),
(138126, 'PTHR10791:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81852),
(138127, 'PTHR42799:SF8', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE A2-2', 81853),
(138128, 'PTHR23130:SF150', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 81854),
(138129, 'PTHR31580:SF42', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN-RELATED', 81855),
(138130, 'PTHR24055:SF445', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE GLKA-RELATED', 81856),
(138131, 'PTHR33573:SF27', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4A2', 81857),
(138132, 'PTHR10366:SF363', NULL, NULL, NULL, NULL, 'OS06G0651000 PROTEIN', 81858),
(138133, 'PTHR48004:SF25', NULL, NULL, NULL, NULL, 'OS02G0647300 PROTEIN', 81859),
(138134, 'PTHR16932:SF29', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-INDUCIBLE PROTEIN 45-RELATED', 81860),
(138135, 'PTHR12613:SF2', NULL, NULL, NULL, NULL, 'ERO1-LIKE PROTEIN BETA', 81861),
(138136, 'PTHR13390', NULL, NULL, NULL, NULL, 'LIPASE', 81862),
(138137, 'PTHR24377:SF608', NULL, NULL, NULL, NULL, 'REGULATOR OF SEX-LIMITATION CANDIDATE 1-RELATED', 81863),
(138138, 'PTHR21262', NULL, NULL, NULL, NULL, 'GUANOSINE-3'',5''-BIS DIPHOSPHATE  3''-PYROPHOSPHOHYDROLASE', 81864),
(138139, 'PTHR11214:SF136', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT4', 81865),
(138140, 'PTHR11566:SF174', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE PROTEIN 1E', 81866),
(138141, 'PTHR24305:SF103', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 81867),
(138142, 'PTHR31355:SF25', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN-RELATED', 81868),
(138143, 'PTHR12442:SF30', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 60', 81869),
(138144, 'PTHR43791:SF26', NULL, NULL, NULL, NULL, 'ALLANTOATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G09470)-RELATED', 81870),
(138145, 'PTHR46507', NULL, NULL, NULL, NULL, 'AFADIN- AND ALPHA-ACTININ-BINDING PROTEIN', 81871),
(138146, 'PTHR14465', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN H', 81872),
(138147, 'PTHR28547', NULL, NULL, NULL, NULL, 'PROTEIN MMS22-LIKE', 81873);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(138148, 'PTHR38474', NULL, NULL, NULL, NULL, 'SLR0299 PROTEIN', 81874),
(138149, 'PTHR45376', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', 81875),
(138150, 'PTHR11071:SF497', NULL, NULL, NULL, NULL, 'GH06403P', 81876),
(138151, 'PTHR23058:SF0', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX14', 81877),
(138152, 'PTHR48001:SF45', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 81878),
(138153, 'PTHR26454:SF59', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 81879),
(138154, 'PTHR14508', NULL, NULL, NULL, NULL, 'SNRPN UPSTREAM READING FRAME PROTEIN, SNURF', 81880),
(138155, 'PTHR24251:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GAMMA-CARBOXYGLUTAMIC ACID PROTEIN 1', 81881),
(138156, 'PTHR11618:SF59', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB-1', 81882),
(138157, 'PTHR28544', NULL, NULL, NULL, NULL, 'PROTEIN FAM45A-RELATED', 81883),
(138158, 'PTHR45886:SF13', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 81884),
(138159, 'PTHR10891:SF785', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN', 81885),
(138160, 'PTHR43322:SF8', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE 5-PHOSPHATE SYNTHASE 1', 81886),
(138161, 'PTHR11767:SF21', NULL, NULL, NULL, NULL, 'ATP-SENSITIVE INWARD RECTIFIER POTASSIUM CHANNEL 10', 81887),
(138162, 'PTHR43490:SF114', NULL, NULL, NULL, NULL, 'OS02G0640800 PROTEIN', 81888),
(138163, 'PTHR34090:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L52, MITOCHONDRIAL', 81889),
(138164, 'PTHR43536:SF4', NULL, NULL, NULL, NULL, 'BNACNNG06540D PROTEIN', 81890),
(138165, 'PTHR31062:SF41', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 81891),
(138166, 'PTHR11848:SF262', NULL, NULL, NULL, NULL, 'LD29161P', 81892),
(138167, 'PTHR34270', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 15-RELATED', 81893),
(138168, 'PTHR45086:SF2', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', 81894),
(138169, 'PTHR32182:SF23', NULL, NULL, NULL, NULL, 'ATP BINDING PROTEIN', 81895),
(138170, 'PTHR45624:SF40', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN', 81896),
(138171, 'PTHR10822:SF4', NULL, NULL, NULL, NULL, 'GLYPICAN-3', 81897),
(138172, 'PTHR11711:SF139', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 4A', 81898),
(138173, 'PTHR31902:SF11', NULL, NULL, NULL, NULL, 'SUCRASE/FERREDOXIN-LIKE FAMILY PROTEIN', 81899),
(138174, 'PTHR46117:SF3', NULL, NULL, NULL, NULL, 'FI24210P1', 81900),
(138175, 'PTHR24081:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81901),
(138176, 'PTHR18929:SF218', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 5-2', 81902),
(138177, 'PTHR45680:SF34', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 81903),
(138178, 'PTHR45619:SF41', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 81904),
(138179, 'PTHR21633:SF5', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN F3', 81905),
(138180, 'PTHR47023', NULL, NULL, NULL, NULL, 'SEX PEPTIDE RECEPTOR', 81906),
(138181, 'PTHR10687:SF74', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 1', 81907),
(138182, 'PTHR26453:SF183', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2AG1', 81908),
(138183, 'PTHR47584:SF9', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN-LIKE', 81909),
(138184, 'PTHR21659:SF74', NULL, NULL, NULL, NULL, 'LOW TEMPERATURE-INDUCED PROTEIN LT101.2-LIKE', 81910),
(138185, 'PTHR34132:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81911),
(138186, 'PTHR46872:SF13', NULL, NULL, NULL, NULL, 'ELM2 DOMAIN-CONTAINING PROTEIN', 81912),
(138187, 'PTHR18034:SF3', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR CWC22 HOMOLOG', 81913),
(138188, 'PTHR31651:SF23', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER FAMILY PROTEIN', 81914),
(138189, 'PTHR15830:SF10', NULL, NULL, NULL, NULL, 'TELOMERE LENGTH REGULATION PROTEIN TEL2 HOMOLOG', 81915),
(138190, 'PTHR15601:SF25', NULL, NULL, NULL, NULL, 'BNAANNG21710D PROTEIN', 81916),
(138191, 'PTHR11533:SF273', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE-RELATED', 81917);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(138192, 'PTHR31891:SF8', NULL, NULL, NULL, NULL, 'FORMAMIDASE-RELATED', 81918),
(138193, 'PTHR33309:SF4', NULL, NULL, NULL, NULL, 'KERATIN, ULTRA HIGH-SULFUR MATRIX PROTEIN-LIKE', 81919),
(138194, 'PTHR31214:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM221A', 81920),
(138195, 'PTHR46149:SF3', NULL, NULL, NULL, NULL, 'MIP08469P', 81921),
(138196, 'PTHR11732:SF484', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT CODEINONE REDUCTASE 1-2-LIKE', 81922),
(138197, 'PTHR12369:SF13', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 81923),
(138198, 'PTHR45779:SF5', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 81924),
(138199, 'PTHR33142:SF70', NULL, NULL, NULL, NULL, 'BNAC02G03600D PROTEIN', 81925),
(138200, 'PTHR34311:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81926),
(138201, 'PTHR11686:SF34', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE 1-RELATED', 81927),
(138202, 'PTHR21244:SF1', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S24, MITOCHONDRIAL', 81928),
(138203, 'PTHR15228:SF7', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 29', 81929),
(138204, 'PTHR44207', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 81930),
(138205, 'PTHR30472:SF30', NULL, NULL, NULL, NULL, 'IRON-UPTAKE SYSTEM PERMEASE PROTEIN FEUB', 81931),
(138206, 'PTHR43840:SF27', NULL, NULL, NULL, NULL, 'MN-SPECIFIC CATION DIFFUSION FACILITATOR TRANSPORTER MTP8.1', 81932),
(138207, 'PTHR36091:SF1', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 9, MITOCHONDRIAL', 81933),
(138208, 'PTHR46442', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 81934),
(138209, 'PTHR45656:SF8', NULL, NULL, NULL, NULL, 'SEIZURE 6-LIKE PROTEIN', 81935),
(138210, 'PTHR47491:SF2', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN-LIKE', 81936),
(138211, 'PTHR18966:SF486', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 81937),
(138212, 'PTHR16875:SF0', NULL, NULL, NULL, NULL, 'SELENOPROTEIN K', 81938),
(138213, 'PTHR24343:SF132', NULL, NULL, NULL, NULL, 'SI:CH211-197L9.5', 81939),
(138214, 'PTHR11945:SF588', NULL, NULL, NULL, NULL, 'AGLG1', 81940),
(138215, 'PTHR35802', NULL, NULL, NULL, NULL, 'PROTEASE SYNTHASE AND SPORULATION PROTEIN PAI 2', 81941),
(138216, 'PTHR23189:SF98', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 4', 81942),
(138217, 'PTHR12411:SF679', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81943),
(138218, 'PTHR23421:SF148', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 81944),
(138219, 'PTHR46328:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5 ISOFORM X1', 81945),
(138220, 'PTHR47623:SF1', NULL, NULL, NULL, NULL, 'OS09G0287300 PROTEIN', 81946),
(138221, 'PTHR45717:SF28', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 81947),
(138222, 'PTHR32212:SF332', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 81948),
(138223, 'PTHR35828:SF13', NULL, NULL, NULL, NULL, 'OS01G0152100 PROTEIN', 81949),
(138224, 'PTHR15486:SF70', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 8-RELATED', 81950),
(138225, 'PTHR12322:SF53', NULL, NULL, NULL, NULL, 'DOUBLESEX-MAB RELATED 11E-RELATED', 81951),
(138226, 'PTHR24064:SF543', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-8-RELATED', 81952),
(138227, 'PTHR33122:SF39', NULL, NULL, NULL, NULL, 'BNAC07G32710D PROTEIN', 81953),
(138228, 'PTHR24271:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81954),
(138229, 'PTHR45648:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81955),
(138230, 'PTHR47364:SF14', NULL, NULL, NULL, NULL, 'CYSTATIN-RELATED', 81956),
(138231, 'PTHR11594:SF1', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', 81957),
(138232, 'PTHR41807:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE 3', 81958),
(138233, 'PTHR31205:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81959),
(138234, 'PTHR31970:SF9', NULL, NULL, NULL, NULL, 'MOLYBDATE TRANSPORTER 2', 81960),
(138235, 'PTHR38926:SF51', NULL, NULL, NULL, NULL, 'BNAC09G00890D PROTEIN', 81961),
(138236, 'PTHR11629:SF98', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 81962),
(138237, 'PTHR24223:SF400', NULL, NULL, NULL, NULL, 'BNAC05G23280D PROTEIN', 81963);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(138238, 'PTHR14224:SF27', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 14B', 81964),
(138239, 'PTHR37984', NULL, NULL, NULL, NULL, 'PROTEIN CBG26694', 81965),
(138240, 'PTHR10992:SF1036', NULL, NULL, NULL, NULL, 'POLYNEURIDINE-ALDEHYDE ESTERASE', 81966),
(138241, 'PTHR23105:SF108', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L1, MITOCHONDRIAL', 81967),
(138242, 'PTHR13296:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG17493', 81968),
(138243, 'PTHR23189:SF51', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, PROLINE- AND GLUTAMINE-RICH', 81969),
(138244, 'PTHR10257:SF81', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 81970),
(138245, 'PTHR45763:SF42', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 81971),
(138246, 'PTHR11347:SF111', NULL, NULL, NULL, NULL, 'CAMP AND CAMP-INHIBITED CGMP 3'',5''-CYCLIC PHOSPHODIESTERASE 10A', 81972),
(138247, 'PTHR11963:SF42', NULL, NULL, NULL, NULL, 'BNAC06G05520D PROTEIN', 81973),
(138248, 'PTHR16002', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 248-LIKE', 81974),
(138249, 'PTHR45708:SF9', NULL, NULL, NULL, NULL, 'XYLANASE INHIBITOR PROTEIN 1', 81975),
(138250, 'PTHR31247:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 198', 81976),
(138251, 'PTHR47970:SF7', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN CIN8', 81977),
(138252, 'PTHR24414:SF86', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING F-BOX-LIKE PROTEIN', 81978),
(138253, 'PTHR21063', NULL, NULL, NULL, NULL, 'LFA-3', 81979),
(138254, 'PTHR31422:SF21', NULL, NULL, NULL, NULL, 'OS07G0162200 PROTEIN', 81980),
(138255, 'PTHR33121:SF57', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEK-RELATED', 81981),
(138256, 'PTHR46328:SF14', NULL, NULL, NULL, NULL, 'FAR-RED IMPAIRED RESPONSIVE (FAR1) FAMILY PROTEIN', 81982),
(138257, 'PTHR43784:SF3', NULL, NULL, NULL, NULL, 'GDSL FAMILY LIPASE', 81983),
(138258, 'PTHR46736:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81984),
(138259, 'PTHR31267:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81985),
(138260, 'PTHR24260:SF112', NULL, NULL, NULL, NULL, 'PROTEIN CBG24340', 81986),
(138261, 'PTHR12170:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81987),
(138262, 'PTHR23036:SF160', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE, RECEPTOR TYPE Q', 81988),
(138263, 'PTHR46161', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', 81989),
(138264, 'PTHR10426:SF111', NULL, NULL, NULL, NULL, 'BNAC03G23270D PROTEIN', 81990),
(138265, 'PTHR47603', NULL, NULL, NULL, NULL, 'PPR CONTAINING-LIKE PROTEIN', 81991),
(138266, 'PTHR47977:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 81992),
(138267, 'PTHR12321:SF134', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 4', 81993),
(138268, 'PTHR13158:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG13928', 81994),
(138269, 'PTHR15562', NULL, NULL, NULL, NULL, 'TP53-TARGET GENE 5 PROTEIN', 81995),
(138270, 'PTHR10265:SF44', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1C', 81996),
(138271, 'PTHR43650:SF21', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', 81997),
(138272, 'PTHR37162', NULL, NULL, NULL, NULL, 'HAT FAMILY DIMERISATION DOMAINCONTAINING PROTEIN-RELATED', 81998),
(138273, 'PTHR22770:SF42', NULL, NULL, NULL, NULL, 'FINGER PROTEIN (ZIN), PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03910)-RELATED', 81999),
(138274, 'PTHR46694:SF1', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 4', 82000),
(138275, 'PTHR21321:SF4', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP4', 82001),
(138276, 'PTHR26452:SF354', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5A1', 82002),
(138277, 'PTHR31517:SF44', NULL, NULL, NULL, NULL, 'PEROXIDASE', 82003),
(138278, 'PTHR12601:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82004),
(138279, 'PTHR45580:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG05392', 82005),
(138280, 'PTHR45624:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARNITINE/ACYLCARNITINE CARRIER PROTEIN', 82006),
(138281, 'PTHR11746:SF179', NULL, NULL, NULL, NULL, 'FLAVONOID 4''-O-METHYLTRANSFERASE', 82007);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(138282, 'PTHR20884:SF22', NULL, NULL, NULL, NULL, 'BNAA03G48310D PROTEIN', 82008),
(138283, 'PTHR45952:SF8', NULL, NULL, NULL, NULL, 'STEM-SPECIFIC PROTEIN TSJT1', 82009),
(138284, 'PTHR24023:SF588', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(IV) CHAIN', 82010),
(138285, 'PTHR15999:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER CW-TYPE PWWP DOMAIN PROTEIN 2', 82011),
(138286, 'PTHR11606:SF15', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE 2, MITOCHONDRIAL', 82012),
(138287, 'PTHR24100:SF123', NULL, NULL, NULL, NULL, 'SELECTION AND UPKEEP OF INTRAEPITHELIAL T-CELLS PROTEIN 1', 82013),
(138288, 'PTHR32278:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82014),
(138289, 'PTHR16650', NULL, NULL, NULL, NULL, 'C21ORF13-RELATED', 82015),
(138290, 'PTHR45763:SF22', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FAMILY PROTEIN', 82016),
(138291, 'PTHR27005:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82017),
(138292, 'PTHR32009:SF67', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 82018),
(138293, 'PTHR19134:SF211', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE ETA', 82019),
(138294, 'PTHR26453:SF78', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T27-RELATED', 82020),
(138295, 'PTHR31992:SF181', NULL, NULL, NULL, NULL, 'BNAC03G63990D PROTEIN', 82021),
(138296, 'PTHR31750:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82022),
(138297, 'PTHR12630:SF1', NULL, NULL, NULL, NULL, 'GLUCOSIDASE 2 SUBUNIT BETA', 82023),
(138298, 'PTHR16830:SF11', NULL, NULL, NULL, NULL, 'PML-RARA-REGULATED ADAPTER MOLECULE 1', 82024),
(138299, 'PTHR10758:SF13', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 3', 82025),
(138300, 'PTHR24379:SF100', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 791', 82026),
(138301, 'PTHR24242:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82027),
(138302, 'PTHR11945:SF569', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN EJ2', 82028),
(138303, 'PTHR27005:SF325', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 14', 82029),
(138304, 'PTHR28136:SF1', NULL, NULL, NULL, NULL, 'NUCLEUS EXPORT PROTEIN BRR6', 82030),
(138305, 'PTHR33312:SF26', NULL, NULL, NULL, NULL, 'BRI1 KINASE INHIBITOR 1-RELATED', 82031),
(138306, 'PTHR31790:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82032),
(138307, 'PTHR35697:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82033),
(138308, 'PTHR13902:SF118', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK6-RELATED', 82034),
(138309, 'PTHR46111:SF2', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE', 82035),
(138310, 'PTHR33648:SF17', NULL, NULL, NULL, NULL, 'BNAA01G35190D PROTEIN', 82036),
(138311, 'PTHR26374:SF373', NULL, NULL, NULL, NULL, 'OS03G0279700 PROTEIN', 82037),
(138312, 'PTHR31731:SF81', NULL, NULL, NULL, NULL, '14 KDA PROLINE-RICH PROTEIN DC2.15-LIKE', 82038),
(138313, 'PTHR31218:SF28', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 82039),
(138314, 'PTHR10513:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82040),
(138315, 'PTHR15544:SF0', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 33', 82041),
(138316, 'PTHR27009:SF107', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE', 82042),
(138317, 'PTHR43166:SF4', NULL, NULL, NULL, NULL, 'GLUTAMINE TRANSPORT ATP-BINDING PROTEIN GLNQ', 82043),
(138318, 'PTHR48011:SF71', NULL, NULL, NULL, NULL, 'BNAA05G11230D PROTEIN', 82044),
(138319, 'PTHR45763:SF34', NULL, NULL, NULL, NULL, 'BNAA04G15910D PROTEIN', 82045),
(138320, 'PTHR35891:SF1', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBL', 82046),
(138321, 'PTHR11849:SF209', NULL, NULL, NULL, NULL, 'PROTEIN C-ETS-1', 82047),
(138322, 'PTHR35546:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82048),
(138323, 'PTHR15591:SF16', NULL, NULL, NULL, NULL, 'GENE 43738-RELATED', 82049),
(138324, 'PTHR10687', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN  SCAMP', 82050),
(138325, 'PTHR42776:SF24', NULL, NULL, NULL, NULL, 'ACYLAMINO-ACID-RELEASING ENZYME-LIKE', 82051);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(138326, 'PTHR23320:SF128', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 8', 82052),
(138327, 'PTHR10106:SF46', NULL, NULL, NULL, NULL, 'BNAA09G45490D PROTEIN', 82053),
(138328, 'PTHR24223:SF334', NULL, NULL, NULL, NULL, 'FI20190P1', 82054),
(138329, 'PTHR14096:SF7', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L6', 82055),
(138330, 'PTHR43795:SF67', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 4', 82056),
(138331, 'PTHR45627:SF13', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 3', 82057),
(138332, 'PTHR11237', NULL, NULL, NULL, NULL, 'COENZYME Q10 BIOSYNTHESIS PROTEIN 7', 82058),
(138333, 'PTHR12526:SF572', NULL, NULL, NULL, NULL, 'BLL5144 PROTEIN', 82059),
(138334, 'PTHR47990:SF27', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 82060),
(138335, 'PTHR11360:SF144', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', 82061),
(138336, 'PTHR45883:SF6', NULL, NULL, NULL, NULL, 'HSC70-INTERACTING PROTEIN', 82062),
(138337, 'PTHR31734:SF2', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA26', 82063),
(138338, 'PTHR15422:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 DOMAIN-CONTAINING PROTEIN 1', 82064),
(138339, 'PTHR17630:SF96', NULL, NULL, NULL, NULL, 'ENDO-1,3-1,4-BETA-D-GLUCANASE-LIKE PROTEIN', 82065),
(138340, 'PTHR19890:SF13', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN-TYROSINE KINASE', 82066),
(138341, 'PTHR24211:SF1', NULL, NULL, NULL, NULL, 'TESTIN', 82067),
(138342, 'PTHR33128:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 82068),
(138343, 'PTHR11711:SF148', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 5C-RELATED', 82069),
(138344, 'PTHR45813:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82070),
(138345, 'PTHR22952:SF414', NULL, NULL, NULL, NULL, 'BNAA08G14840D PROTEIN', 82071),
(138346, 'PTHR47958:SF2', NULL, NULL, NULL, NULL, 'DEAD BOX RNA HELICASE-PL10B', 82072),
(138347, 'PTHR45642:SF3', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 82073),
(138348, 'PTHR24023:SF990', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE V, ALPHA 3A', 82074),
(138349, 'PTHR32278:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82075),
(138350, 'PTHR47995:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB33-RELATED', 82076),
(138351, 'PTHR11588:SF334', NULL, NULL, NULL, NULL, 'TUBULIN BETA-8 CHAIN', 82077),
(138352, 'PTHR31947:SF35', NULL, NULL, NULL, NULL, 'BNAA07G08150D PROTEIN', 82078),
(138353, 'PTHR24223:SF346', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY C MEMBER SUR', 82079),
(138354, 'PTHR31917:SF64', NULL, NULL, NULL, NULL, 'OS01G0556800 PROTEIN', 82080),
(138355, 'PTHR31221:SF211', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 71-RELATED', 82081),
(138356, 'PTHR33155:SF40', NULL, NULL, NULL, NULL, 'BNAANNG08790D PROTEIN', 82082),
(138357, 'PTHR12801:SF82', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE 5', 82083),
(138358, 'PTHR33593:SF25', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 82084),
(138359, 'PTHR10972:SF177', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN HOMOLOG 1-RELATED', 82085),
(138360, 'PTHR47932:SF10', NULL, NULL, NULL, NULL, 'OS07G0179000 PROTEIN', 82086),
(138361, 'PTHR12236:SF82', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 50CA-RELATED', 82087),
(138362, 'PTHR10992:SF1019', NULL, NULL, NULL, NULL, 'METHYLESTERASE 13, CHLOROPLASTIC-RELATED', 82088),
(138363, 'PTHR47980:SF9', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-3A', 82089),
(138364, 'PTHR34552:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER W PROTEIN, CHLOROPLASTIC', 82090),
(138365, 'PTHR39069:SF1', NULL, NULL, NULL, NULL, 'ECDYSONE-INDUCIBLE GENE E1, ISOFORM A', 82091),
(138366, 'PTHR24356:SF370', NULL, NULL, NULL, NULL, 'OS03G0666200 PROTEIN', 82092),
(138367, 'PTHR13683:SF833', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 1 ISOFORM X1', 82093),
(138368, 'PTHR10505:SF16', NULL, NULL, NULL, NULL, 'CALCITONIN', 82094),
(138369, 'PTHR32467:SF132', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ANT', 82095);
INSERT INTO "PUBLIC"."MODEL" VALUES
(138370, 'PTHR19965:SF71', NULL, NULL, NULL, NULL, 'POLYMERASE DELTA-INTERACTING PROTEIN 3', 82096),
(138371, 'PTHR10574:SF404', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82097),
(138372, 'PTHR24381:SF302', NULL, NULL, NULL, NULL, 'GDNF INDUCIBLE ZINC FINGER PROTEIN 1', 82098),
(138373, 'PTHR36113:SF3', NULL, NULL, NULL, NULL, 'SLL5075 PROTEIN', 82099),
(138374, 'PTHR23023:SF250', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE FMO GS-OX-LIKE 2-RELATED', 82100),
(138375, 'PTHR31920:SF45', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR VRN1-LIKE', 82101),
(138376, 'PTHR16223:SF217', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UNE12 ISOFORM X1', 82102),
(138377, 'PTHR12308:SF45', NULL, NULL, NULL, NULL, 'ANOCTAMIN', 82103),
(138378, 'PTHR15315:SF26', NULL, NULL, NULL, NULL, 'RING/U-BOX PROTEIN', 82104),
(138379, 'PTHR31692:SF101', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE B1', 82105),
(138380, 'PTHR12931:SF15', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE OTUBAIN-LIKE', 82106),
(138381, 'PTHR12473:SF8', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAM188A-LIKE', 82107),
(138382, 'PTHR11214:SF236', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 82108),
(138383, 'PTHR10357:SF201', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER GLYCOPROTEIN SUBUNIT', 82109),
(138384, 'PTHR24057:SF4', NULL, NULL, NULL, NULL, 'PROTEIN KINASE MCK1', 82110),
(138385, 'PTHR11793', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX TRANSCRIPTION FACTOR', 82111),
(138386, 'PTHR22812:SF85', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 5', 82112),
(138387, 'PTHR34116:SF10', NULL, NULL, NULL, NULL, 'P0041A24.7 PROTEIN', 82113),
(138388, 'PTHR22952:SF442', NULL, NULL, NULL, NULL, 'OS03G0322700 PROTEIN', 82114),
(138389, 'PTHR11926:SF1417', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 82115),
(138390, 'PTHR24006:SF821', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 82116),
(138391, 'PTHR24299:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82117),
(138392, 'PTHR10742:SF43', NULL, NULL, NULL, NULL, 'PEROXISOMAL N(1)-ACETYL-SPERMINE/SPERMIDINE OXIDASE', 82118),
(138393, 'PTHR36760:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82119),
(138394, 'PTHR31683:SF122', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 82120),
(138395, 'PTHR33545:SF10', NULL, NULL, NULL, NULL, 'UPF0750 MEMBRANE PROTEIN YPJC', 82121),
(138396, 'PTHR24329:SF540', NULL, NULL, NULL, NULL, 'RHOX HOMEOBOX FAMILY MEMBER 2-RELATED', 82122),
(138397, 'PTHR45614:SF106', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', 82123),
(138398, 'PTHR38092', NULL, NULL, NULL, NULL, 'REGULATOR CUDA, PUTATIVE-RELATED', 82124),
(138399, 'PTHR11439:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82125),
(138400, 'PTHR23054:SF73', NULL, NULL, NULL, NULL, 'BNAA05G26220D PROTEIN', 82126),
(138401, 'PTHR14195:SF2', NULL, NULL, NULL, NULL, 'GH10944P', 82127),
(138402, 'PTHR10174:SF219', NULL, NULL, NULL, NULL, 'ALPHA-TOCOPHEROL TRANSFER PROTEIN-LIKE', 82128),
(138403, 'PTHR45089:SF18', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK AMINO-TERMINAL DOMAIN PROTEIN', 82129),
(138404, 'PTHR31681:SF39', NULL, NULL, NULL, NULL, 'OS06G0683000 PROTEIN', 82130),
(138405, 'PTHR43791:SF85', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G00710)-RELATED', 82131),
(138406, 'PTHR11062:SF305', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY PROTEIN 64 PROTEIN C5-LIKE', 82132),
(138407, 'PTHR31439:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82133),
(138408, 'PTHR11255:SF43', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE ZETA', 82134),
(138409, 'PTHR46604:SF5', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 13-LIKE ISOFORM X1', 82135),
(138410, 'PTHR36911:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82136),
(138411, 'PTHR28242:SF53', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 4-LIKE ISOFORM X1', 82137),
(138412, 'PTHR19241:SF619', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 37', 82138),
(138413, 'PTHR12296:SF24', NULL, NULL, NULL, NULL, 'DENN DOMAIN CONTAINING 5A', 82139);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(138414, 'PTHR45621:SF101', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL13', 82140),
(138415, 'PTHR10634:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82141),
(138416, 'PTHR23270', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 11  PRE-RRNA PROCESSING PROTEIN RRP5', 82142),
(138417, 'PTHR11560:SF11', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L10', 82143),
(138418, 'PTHR22950:SF226', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 8-RELATED', 82144),
(138419, 'PTHR13793:SF131', NULL, NULL, NULL, NULL, 'PHD-FINGER DOMAIN CONTAINING PROTEIN FAMILY-RELATED', 82145),
(138420, 'PTHR13878:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82146),
(138421, 'PTHR22792:SF132', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 1B', 82147),
(138422, 'PTHR38926:SF50', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 23-RELATED', 82148),
(138423, 'PTHR30606:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL MANNOSIDE ACYLTRANSFERASE', 82149),
(138424, 'PTHR21689:SF6', NULL, NULL, NULL, NULL, 'BNAANNG02600D PROTEIN', 82150),
(138425, 'PTHR23024:SF489', NULL, NULL, NULL, NULL, 'BNAA02G33260D PROTEIN', 82151),
(138426, 'PTHR32444:SF84', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 82152),
(138427, 'PTHR12281:SF12', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', 82153),
(138428, 'PTHR11909:SF44', NULL, NULL, NULL, NULL, 'PROTEIN CBG12760', 82154),
(138429, 'PTHR31376:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82155),
(138430, 'PTHR14715:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM124A', 82156),
(138431, 'PTHR47983:SF19', NULL, NULL, NULL, NULL, 'PTO-INTERACTING PROTEIN 1-LIKE', 82157),
(138432, 'PTHR12254:SF0', NULL, NULL, NULL, NULL, 'BARBU-RELATED', 82158),
(138433, 'PTHR45753:SF2', NULL, NULL, NULL, NULL, 'ORNITHINE CARBAMOYLTRANSFERASE, CATABOLIC', 82159),
(138434, 'PTHR11394:SF35', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 20', 82160),
(138435, 'PTHR46909:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', 82161),
(138436, 'PTHR12313:SF71', NULL, NULL, NULL, NULL, 'OS01G0830200 PROTEIN', 82162),
(138437, 'PTHR12471:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82163),
(138438, 'PTHR33165:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82164),
(138439, 'PTHR46116:SF22', NULL, NULL, NULL, NULL, 'BNAC03G69050D PROTEIN', 82165),
(138440, 'PTHR31397', NULL, NULL, NULL, NULL, 'BLOC-1-RELATED COMPLEX SUBUNIT 7 BORSC7', 82166),
(138441, 'PTHR15012', NULL, NULL, NULL, NULL, 'APICAL PROTEIN/SHROOM-RELATED', 82167),
(138442, 'PTHR11566:SF80', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 1C', 82168),
(138443, 'PTHR12663:SF41', NULL, NULL, NULL, NULL, 'BNAA08G12310D PROTEIN', 82169),
(138444, 'PTHR23186:SF5', NULL, NULL, NULL, NULL, 'SINE OCULIS-BINDING PROTEIN HOMOLOG B', 82170),
(138445, 'PTHR35472:SF8', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER MTCLE10', 82171),
(138446, 'PTHR11200:SF280', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 12-LIKE ISOFORM X1', 82172),
(138447, 'PTHR18945:SF93', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT GAMMA-1', 82173),
(138448, 'PTHR27001:SF811', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82174),
(138449, 'PTHR32278:SF57', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B5-RELATED', 82175),
(138450, 'PTHR10797:SF47', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 11-RELATED', 82176),
(138451, 'PTHR43180:SF71', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE-LIKE', 82177),
(138452, 'PTHR24006:SF815', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE-LIKE PROTEIN', 82178),
(138453, 'PTHR11709:SF299', NULL, NULL, NULL, NULL, 'PECTINESTERASE LIKE PROTEIN', 82179),
(138454, 'PTHR33203:SF43', NULL, NULL, NULL, NULL, 'OLEOSIN', 82180),
(138455, 'PTHR31541:SF54', NULL, NULL, NULL, NULL, 'BNACNNG43820D PROTEIN', 82181),
(138456, 'PTHR45660:SF59', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 82182),
(138457, 'PTHR41142', NULL, NULL, NULL, NULL, 'SI:DKEY-16J16.4', 82183);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(138458, 'PTHR31901:SF75', NULL, NULL, NULL, NULL, 'BNAC03G30320D PROTEIN', 82184),
(138459, 'PTHR45696:SF20', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1', 82185),
(138460, 'PTHR24208:SF166', NULL, NULL, NULL, NULL, 'LIM HOMEOBOX TRANSCRIPTION FACTOR 1 ALPHA, ISOFORM B', 82186),
(138461, 'PTHR31719:SF85', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', 82187),
(138462, 'PTHR10168:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82188),
(138463, 'PTHR16223:SF207', NULL, NULL, NULL, NULL, 'BNAC03G24060D PROTEIN', 82189),
(138464, 'PTHR43176', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-RELATED', 82190),
(138465, 'PTHR21245:SF11', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN Q', 82191),
(138466, 'PTHR43160:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82192),
(138467, 'PTHR23359:SF164', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 3', 82193),
(138468, 'PTHR12655:SF0', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 9, MITOCHONDRIAL', 82194),
(138469, 'PTHR31081:SF15', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 1-LIKE', 82195),
(138470, 'PTHR22950:SF651', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82196),
(138471, 'PTHR37726', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 82197),
(138472, 'PTHR12625', NULL, NULL, NULL, NULL, 'LIPOCALIN-1 INTERACTING MEMBRANE RECEPTOR  LIMR', 82198),
(138473, 'PTHR35275:SF1', NULL, NULL, NULL, NULL, 'ZCF37', 82199),
(138474, 'PTHR23110:SF92', NULL, NULL, NULL, NULL, 'SEX DETERMINATION PROTEIN FRUITLESS', 82200),
(138475, 'PTHR43115', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 11', 82201),
(138476, 'PTHR36494:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82202),
(138477, 'PTHR43625:SF53', NULL, NULL, NULL, NULL, 'IN2-2 PROTEIN', 82203),
(138478, 'PTHR39175:SF1', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G15060)-RELATED', 82204),
(138479, 'PTHR12789:SF2', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 22', 82205),
(138480, 'PTHR14017:SF9', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 6A', 82206),
(138481, 'PTHR46991:SF22', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP20/ALPHA CRYSTALLIN FAMILY', 82207),
(138482, 'PTHR21398:SF6', NULL, NULL, NULL, NULL, 'AGAP007094-PA', 82208),
(138483, 'PTHR31973:SF110', NULL, NULL, NULL, NULL, 'OS07G0646700 PROTEIN', 82209),
(138484, 'PTHR18945:SF600', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 82210),
(138485, 'PTHR21231:SF9', NULL, NULL, NULL, NULL, 'GPN-LOOP GTPASE', 82211),
(138486, 'PTHR37173:SF2', NULL, NULL, NULL, NULL, 'BNAC04G11890D PROTEIN', 82212),
(138487, 'PTHR31415:SF93', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: NDR1/HIN1-LIKE PROTEIN 10', 82213),
(138488, 'PTHR24033:SF195', NULL, NULL, NULL, NULL, 'SI:CH211-246M6.5-RELATED', 82214),
(138489, 'PTHR31325:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82215),
(138490, 'PTHR37246:SF1', NULL, NULL, NULL, NULL, 'OS07G0658000 PROTEIN', 82216),
(138491, 'PTHR34569:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 82217),
(138492, 'PTHR23506:SF26', NULL, NULL, NULL, NULL, 'MFS-TYPE TRANSPORTER SLC18B1', 82218),
(138493, 'PTHR48062:SF22', NULL, NULL, NULL, NULL, 'BNAC02G22730D PROTEIN', 82219),
(138494, 'PTHR47992:SF102', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', 82220),
(138495, 'PTHR43329:SF58', NULL, NULL, NULL, NULL, 'OS05G0273800 PROTEIN', 82221),
(138496, 'PTHR48001:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1P1', 82222),
(138497, 'PTHR19375:SF446', NULL, NULL, NULL, NULL, 'BNAA03G46660D PROTEIN', 82223),
(138498, 'PTHR16131', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 82224),
(138499, 'PTHR11527:SF305', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN 1-RELATED', 82225),
(138500, 'PTHR48049:SF85', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 82226),
(138501, 'PTHR43084', NULL, NULL, NULL, NULL, 'PERSULFIDE DIOXYGENASE ETHE1', 82227),
(138502, 'PTHR42898:SF2', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE PROTEIN, CHLOROPLASTIC', 82228);
INSERT INTO "PUBLIC"."MODEL" VALUES
(138503, 'PTHR12993:SF25', NULL, NULL, NULL, NULL, 'GLL2184 PROTEIN', 82229),
(138504, 'PTHR14952:SF12', NULL, NULL, NULL, NULL, 'ROPPORIN-1B', 82230),
(138505, 'PTHR10513:SF8', NULL, NULL, NULL, NULL, 'DEOXYGUANOSINE KINASE, MITOCHONDRIAL', 82231),
(138506, 'PTHR34374', NULL, NULL, NULL, NULL, 'LARGE RIBOSOMAL RNA SUBUNIT ACCUMULATION PROTEIN YCED HOMOLOG 1, CHLOROPLASTIC', 82232),
(138507, 'PTHR31626:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM171B', 82233),
(138508, 'PTHR31731:SF16', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 82234),
(138509, 'PTHR44329:SF173', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY46', 82235),
(138510, 'PTHR47595:SF1', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 14', 82236),
(138511, 'PTHR47412', NULL, NULL, NULL, NULL, 'FI01434P-RELATED', 82237),
(138512, 'PTHR47982:SF45', NULL, NULL, NULL, NULL, 'BNACNNG34790D PROTEIN', 82238),
(138513, 'PTHR31080:SF166', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', 82239),
(138514, 'PTHR45654:SF31', NULL, NULL, NULL, NULL, 'OUTER CELL LAYER2', 82240),
(138515, 'PTHR12323', NULL, NULL, NULL, NULL, 'SR-RELATED CTD ASSOCIATED FACTOR 6', 82241),
(138516, 'PTHR12025:SF9', NULL, NULL, NULL, NULL, 'PLACENTA GROWTH FACTOR', 82242),
(138517, 'PTHR36336', NULL, NULL, NULL, NULL, 'OS09G0560400 PROTEIN', 82243),
(138518, 'PTHR46295:SF3', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM PROTEIN HOMOLOG', 82244),
(138519, 'PTHR13282:SF13', NULL, NULL, NULL, NULL, 'BNAA09G56160D PROTEIN', 82245),
(138520, 'PTHR10742:SF355', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 82246),
(138521, 'PTHR31415:SF4', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 10', 82247),
(138522, 'PTHR13061:SF36', NULL, NULL, NULL, NULL, 'BNAA02G33720D PROTEIN', 82248),
(138523, 'PTHR31983:SF19', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 81 PROTEIN', 82249),
(138524, 'PTHR24637:SF264', NULL, NULL, NULL, NULL, 'COLLAGEN', 82250),
(138525, 'PTHR13615', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE 1', 82251),
(138526, 'PTHR16140', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 82252),
(138527, 'PTHR43917:SF10', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE THETA 2', 82253),
(138528, 'PTHR45624:SF32', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 (CARNITINE/ACYLCARNITINE TRANSLOCASE), MEMBER 20', 82254),
(138529, 'PTHR33144:SF13', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PTTA/EN/SPM, PLANT-RELATED', 82255),
(138530, 'PTHR10857:SF5', NULL, NULL, NULL, NULL, 'COPINE-6', 82256),
(138531, 'PTHR28583:SF3', NULL, NULL, NULL, NULL, 'ACID CERAMIDASE-RELATED', 82257),
(138532, 'PTHR10026:SF132', NULL, NULL, NULL, NULL, 'BNAA01G22300D PROTEIN', 82258),
(138533, 'PTHR33181:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82259),
(138534, 'PTHR24347', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 82260),
(138535, 'PTHR13966:SF16', NULL, NULL, NULL, NULL, 'IP10440P-RELATED', 82261),
(138536, 'PTHR33450:SF30', NULL, NULL, NULL, NULL, 'BNAC02G38310D PROTEIN', 82262),
(138537, 'PTHR46286:SF6', NULL, NULL, NULL, NULL, 'OS08G0220600 PROTEIN', 82263),
(138538, 'PTHR31388:SF198', NULL, NULL, NULL, NULL, 'PEROXIDASE', 82264),
(138539, 'PTHR24637:SF273', NULL, NULL, NULL, NULL, 'COLLAGEN', 82265),
(138540, 'PTHR33590:SF1', NULL, NULL, NULL, NULL, 'GLUTENIN, HIGH MOLECULAR WEIGHT SUBUNIT PW212-RELATED PROTEIN', 82266),
(138541, 'PTHR11850:SF285', NULL, NULL, NULL, NULL, 'BNAA03G52290D PROTEIN', 82267),
(138542, 'PTHR23086:SF114', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 2', 82268),
(138543, 'PTHR48095', NULL, NULL, NULL, NULL, 'PYRUVATE CARBOXYLASE SUBUNIT A', 82269),
(138544, 'PTHR12290', NULL, NULL, NULL, NULL, 'CORNICHON-RELATED', 82270),
(138545, 'PTHR43272:SF5', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE LONG-CHAIN, ISOFORM J', 82271),
(138546, 'PTHR43995:SF6', NULL, NULL, NULL, NULL, 'BNAA08G27940D PROTEIN', 82272),
(138547, 'PTHR10218:SF327', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(F) SUBUNIT ALPHA', 82273),
(138548, 'PTHR31302:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82274); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(138549, 'PTHR10826:SF7', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCOPROTEIN FAMILY PROTEIN', 82275),
(138550, 'PTHR42851:SF7', NULL, NULL, NULL, NULL, 'OS07G0694500 PROTEIN', 82276),
(138551, 'PTHR11588:SF378', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 82277),
(138552, 'PTHR10634:SF117', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 10', 82278),
(138553, 'PTHR46141:SF1', NULL, NULL, NULL, NULL, 'SODIUM LEAK CHANNEL NON-SELECTIVE PROTEIN', 82279),
(138554, 'PTHR24281:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82280),
(138555, 'PTHR24376:SF147', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 594-RELATED', 82281),
(138556, 'PTHR11214:SF268', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT6-LIKE', 82282),
(138557, 'PTHR10005:SF25', NULL, NULL, NULL, NULL, 'SNO ONCOGENE, ISOFORM B', 82283),
(138558, 'PTHR31218:SF336', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 82284),
(138559, 'PTHR46186:SF13', NULL, NULL, NULL, NULL, 'SI:BUSM1-57F23.1', 82285),
(138560, 'PTHR15907:SF126', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 8-LIKE', 82286),
(138561, 'PTHR34680:SF5', NULL, NULL, NULL, NULL, 'ORPHANS TRANSCRIPTION FACTOR', 82287),
(138562, 'PTHR10890:SF29', NULL, NULL, NULL, NULL, 'BNAA05G14150D PROTEIN', 82288),
(138563, 'PTHR20958', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 82289),
(138564, 'PTHR15146:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR137B-LIKE', 82290),
(138565, 'PTHR30055:SF195', NULL, NULL, NULL, NULL, 'FATTY ACID METABOLISM REGULATOR PROTEIN', 82291),
(138566, 'PTHR31410:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 246', 82292),
(138567, 'PTHR31293:SF15', NULL, NULL, NULL, NULL, 'BNAANNG22970D PROTEIN', 82293),
(138568, 'PTHR11165:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82294),
(138569, 'PTHR22835:SF594', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 82295),
(138570, 'PTHR16206:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82296),
(138571, 'PTHR21646:SF38', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 51', 82297),
(138572, 'PTHR15725:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 11B', 82298),
(138573, 'PTHR24067:SF304', NULL, NULL, NULL, NULL, 'UBIQUTIN-CONJUGATING ENZYME 4', 82299),
(138574, 'PTHR45655:SF6', NULL, NULL, NULL, NULL, 'HEAD-SPECIFIC GUANYLATE CYCLASE', 82300),
(138575, 'PTHR24322:SF489', NULL, NULL, NULL, NULL, 'ESTRADIOL 17-BETA-DEHYDROGENASE 11', 82301),
(138576, 'PTHR40703:SF1', NULL, NULL, NULL, NULL, 'TRNA (PSEUDOURIDINE(54)-N(1))-METHYLTRANSFERASE', 82302),
(138577, 'PTHR11802:SF359', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 26', 82303),
(138578, 'PTHR10574', NULL, NULL, NULL, NULL, 'NETRIN/LAMININ-RELATED', 82304),
(138579, 'PTHR11624:SF99', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA-2, MITOCHONDRIAL', 82305),
(138580, 'PTHR24083:SF74', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 82306),
(138581, 'PTHR10231:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82307),
(138582, 'PTHR35587:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82308),
(138583, 'PTHR43464:SF50', NULL, NULL, NULL, NULL, 'SECONDARY METABOLISM REGULATOR LAEA', 82309),
(138584, 'PTHR21223:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM92B', 82310),
(138585, 'PTHR12655', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE', 82311),
(138586, 'PTHR45734:SF7', NULL, NULL, NULL, NULL, 'PVR ADAPTOR PROTEIN-RELATED', 82312),
(138587, 'PTHR36693', NULL, NULL, NULL, NULL, 'GH02722P', 82313),
(138588, 'PTHR11361:SF82', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MSH1, MITOCHONDRIAL', 82314),
(138589, 'PTHR40275', NULL, NULL, NULL, NULL, 'SSL7038 PROTEIN', 82315),
(138590, 'PTHR11814:SF238', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.1-LIKE', 82316),
(138591, 'PTHR23280:SF34', NULL, NULL, NULL, NULL, 'FERM DOMAIN CONTAINING 7', 82317),
(138592, 'PTHR45646:SF10', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE CLK3', 82318),
(138593, 'PTHR45958:SF6', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 43', 82319);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(138594, 'PTHR34761:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLUS AND NEURAL PROGENITOR PROTEIN', 82320),
(138595, 'PTHR46336:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82321),
(138596, 'PTHR45614:SF104', NULL, NULL, NULL, NULL, 'OS07G0222501 PROTEIN', 82322),
(138597, 'PTHR11017:SF350', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)-RELATED', 82323),
(138598, 'PTHR18821:SF2', NULL, NULL, NULL, NULL, 'PROKINETICIN 1', 82324),
(138599, 'PTHR23236:SF51', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 6', 82325),
(138600, 'PTHR33101:SF63', NULL, NULL, NULL, NULL, 'BNAC01G35510D PROTEIN', 82326),
(138601, 'PTHR35498', NULL, NULL, NULL, NULL, 'PROTEIN LOW PSII ACCUMULATION 1, CHLOROPLASTIC', 82327),
(138602, 'PTHR31282:SF157', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', 82328),
(138603, 'PTHR10015:SF310', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-1B', 82329),
(138604, 'PTHR12306:SF10', NULL, NULL, NULL, NULL, 'CELL DEATH ACTIVATOR CIDE-B', 82330),
(138605, 'PTHR24031:SF676', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX49-RELATED', 82331),
(138606, 'PTHR46056:SF12', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE FAO4B', 82332),
(138607, 'PTHR46128:SF180', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 82333),
(138608, 'PTHR24390:SF118', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 281', 82334),
(138609, 'PTHR24414:SF165', NULL, NULL, NULL, NULL, 'BNAA10G09720D PROTEIN', 82335),
(138610, 'PTHR23076:SF100', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 2, CHLOROPLASTIC', 82336),
(138611, 'PTHR10663:SF329', NULL, NULL, NULL, NULL, 'PH AND SEC7 DOMAIN-CONTAINING PROTEIN 2', 82337),
(138612, 'PTHR43826:SF7', NULL, NULL, NULL, NULL, 'PROTEIN UHPC, PUTATIVE-RELATED', 82338),
(138613, 'PTHR24286:SF298', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE', 82339),
(138614, 'PTHR27007:SF304', NULL, NULL, NULL, NULL, 'OS08G0124000 PROTEIN', 82340),
(138615, 'PTHR31982:SF5', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT II-1, CHLOROPLASTIC-RELATED', 82341),
(138616, 'PTHR24096:SF314', NULL, NULL, NULL, NULL, 'BLL7864 PROTEIN', 82342),
(138617, 'PTHR43769:SF1', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-RELATED', 82343),
(138618, 'PTHR11829', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN', 82344),
(138619, 'PTHR11493', NULL, NULL, NULL, NULL, 'SULFITE REDUCTASE [NADPH] SUBUNIT BETA-RELATED', 82345),
(138620, 'PTHR24016', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 4', 82346),
(138621, 'PTHR33976', NULL, NULL, NULL, NULL, 'OS07G0645000 PROTEIN', 82347),
(138622, 'PTHR23226:SF65', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 215', 82348),
(138623, 'PTHR24103:SF615', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 49B-RELATED', 82349),
(138624, 'PTHR46324:SF3', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 43-RELATED', 82350),
(138625, 'PTHR31042:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82351),
(138626, 'PTHR11972:SF58', NULL, NULL, NULL, NULL, 'NADPH OXIDASE 5', 82352),
(138627, 'PTHR43612', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL ENZYME SUBUNIT ALPHA', 82353),
(138628, 'PTHR45657:SF3', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G09260)-RELATED', 82354),
(138629, 'PTHR11145:SF19', NULL, NULL, NULL, NULL, 'SKN-1 DEPENDENT ZYGOTIC TRANSCRIPT', 82355),
(138630, 'PTHR10438:SF418', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 82356),
(138631, 'PTHR11017:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82357),
(138632, 'PTHR10562:SF77', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE SUPERFAMILY PROTEIN-RELATED', 82358),
(138633, 'PTHR43763:SF6', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE 1', 82359),
(138634, 'PTHR31707:SF147', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 39-RELATED', 82360),
(138635, 'PTHR45618:SF38', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 2-OXOGLUTARATE/MALATE CARRIER PROTEIN', 82361),
(138636, 'PTHR48053:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82362);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(138637, 'PTHR11019:SF190', NULL, NULL, NULL, NULL, 'ARAC-FAMILY REGULATORY PROTEIN-RELATED', 82363),
(138638, 'PTHR48052:SF11', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 82364),
(138639, 'PTHR27004:SF221', NULL, NULL, NULL, NULL, 'OS01G0160600 PROTEIN', 82365),
(138640, 'PTHR48015:SF23', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 3', 82366),
(138641, 'PTHR42823', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT A, CHLOROPLASTIC', 82367),
(138642, 'PTHR24055:SF497', NULL, NULL, NULL, NULL, 'BNAC05G30760D PROTEIN', 82368),
(138643, 'PTHR31213:SF84', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL2-LIKE', 82369),
(138644, 'PTHR19271:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82370),
(138645, 'PTHR13020:SF9', NULL, NULL, NULL, NULL, 'TRINUCLEOTIDE REPEAT-CONTAINING GENE 6C PROTEIN', 82371),
(138646, 'PTHR31744:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82372),
(138647, 'PTHR13502:SF3', NULL, NULL, NULL, NULL, 'CDC42 SMALL EFFECTOR PROTEIN 1', 82373),
(138648, 'PTHR33524', NULL, NULL, NULL, NULL, 'C5ORF35', 82374),
(138649, 'PTHR46149', NULL, NULL, NULL, NULL, 'MIP08469P', 82375),
(138650, 'PTHR46736:SF19', NULL, NULL, NULL, NULL, 'BNAA07G00610D PROTEIN', 82376),
(138651, 'PTHR14403', NULL, NULL, NULL, NULL, 'RFAMIDE PEPTIDE GONADOTROPIN INHIBITORY HORMONE', 82377),
(138652, 'PTHR24020:SF47', NULL, NULL, NULL, NULL, 'PROTEIN CBG09720', 82378),
(138653, 'PTHR45907:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', 82379),
(138654, 'PTHR43750', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE TUAD', 82380),
(138655, 'PTHR10795:SF569', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3.16', 82381),
(138656, 'PTHR43161:SF12', NULL, NULL, NULL, NULL, 'L-ARABINITOL 4-DEHYDROGENASE', 82382),
(138657, 'PTHR22937', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF165', 82383),
(138658, 'PTHR35889:SF2', NULL, NULL, NULL, NULL, 'CYCLOINULO-OLIGOSACCHARIDE FRUCTANOTRANSFERASE-RELATED', 82384),
(138659, 'PTHR12419:SF71', NULL, NULL, NULL, NULL, 'OTU-LIKE CYSTEINE PROTEASE DOMAIN CONTAINING PROTEIN', 82385),
(138660, 'PTHR46206', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 82386),
(138661, 'PTHR12542:SF134', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 82387),
(138662, 'PTHR17616:SF6', NULL, NULL, NULL, NULL, 'WW DOMAIN-CONTAINING TRANSCRIPTION REGULATOR PROTEIN 1', 82388),
(138663, 'PTHR12956:SF17', NULL, NULL, NULL, NULL, 'OS01G0749100 PROTEIN', 82389),
(138664, 'PTHR23504:SF90', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY-RELATED', 82390),
(138665, 'PTHR11223:SF12', NULL, NULL, NULL, NULL, 'BNACNNG06240D PROTEIN', 82391),
(138666, 'PTHR43180:SF30', NULL, NULL, NULL, NULL, 'MOMILACTONE A SYNTHASE', 82392),
(138667, 'PTHR12277:SF173', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 82393),
(138668, 'PTHR23412:SF18', NULL, NULL, NULL, NULL, 'OTOANCORIN', 82394),
(138669, 'PTHR31469:SF16', NULL, NULL, NULL, NULL, 'BNACNNG45830D PROTEIN', 82395),
(138670, 'PTHR31717:SF82', NULL, NULL, NULL, NULL, 'BNAC04G11140D PROTEIN', 82396),
(138671, 'PTHR31235:SF257', NULL, NULL, NULL, NULL, 'PEROXIDASE', 82397),
(138672, 'PTHR11731:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82398),
(138673, 'PTHR36836', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS PROTEIN WCAK', 82399),
(138674, 'PTHR11655:SF39', NULL, NULL, NULL, NULL, 'BNAC02G12270D PROTEIN', 82400),
(138675, 'PTHR10869:SF157', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 10-RELATED', 82401),
(138676, 'PTHR31681:SF29', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', 82402),
(138677, 'PTHR23077:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82403),
(138678, 'PTHR21136:SF172', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 711-RELATED', 82404),
(138679, 'PTHR10853:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PELOTA HOMOLOG', 82405),
(138680, 'PTHR11820:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82406),
(138681, 'PTHR10501', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN A/U2 SMALL NUCLEAR RIBONUCLEOPROTEIN B', 82407);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(138682, 'PTHR12167:SF2', NULL, NULL, NULL, NULL, 'C-TYPE NATRIURETIC PEPTIDE', 82408),
(138683, 'PTHR37252:SF3', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 6', 82409),
(138684, 'PTHR47938:SF17', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 82410),
(138685, 'PTHR30183:SF7', NULL, NULL, NULL, NULL, 'FERRIC TRANSPORT SYSTEM PERMEASE PROTEIN FBPB 1-RELATED', 82411),
(138686, 'PTHR11132:SF318', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE/PHOSPHATE TRANSLOCATOR 3, CHLOROPLASTIC', 82412),
(138687, 'PTHR31011:SF2', NULL, NULL, NULL, NULL, 'PROTEIN STB2-RELATED', 82413),
(138688, 'PTHR11614:SF143', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 82414),
(138689, 'PTHR23090:SF16', NULL, NULL, NULL, NULL, 'GLUTAMINE-DEPENDENT NAD(+) SYNTHETASE', 82415),
(138690, 'PTHR19212', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT  IN FLII  INTERACTING PROTEIN', 82416),
(138691, 'PTHR10992:SF1008', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82417),
(138692, 'PTHR23138:SF151', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 3A-RELATED', 82418),
(138693, 'PTHR46905:SF15', NULL, NULL, NULL, NULL, 'BNAA08G02820D PROTEIN', 82419),
(138694, 'PTHR46288:SF5', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 82420),
(138695, 'PTHR22941:SF20', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 82421),
(138696, 'PTHR44329:SF174', NULL, NULL, NULL, NULL, 'RGS DOMAIN-CONTAINING SERINE/THREONINE-PROTEIN KINASE A-LIKE ISOFORM X1', 82422),
(138697, 'PTHR31921', NULL, NULL, NULL, NULL, 'PROTEIN DPCD', 82423),
(138698, 'PTHR10666:SF315', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 14', 82424),
(138699, 'PTHR32175', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 82425),
(138700, 'PTHR43968:SF6', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE OMEGA 1-RELATED', 82426),
(138701, 'PTHR22748:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82427),
(138702, 'PTHR45621:SF71', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL2-RELATED', 82428),
(138703, 'PTHR33159:SF54', NULL, NULL, NULL, NULL, 'RIN4, PATHOGENIC TYPE III EFFECTOR AVIRULENCE FACTOR AVR CLEAVAGE SITE-RELATED', 82429),
(138704, 'PTHR26454:SF17', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C70', 82430),
(138705, 'PTHR24381:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 554', 82431),
(138706, 'PTHR43556:SF2', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR RF3', 82432),
(138707, 'PTHR31790:SF398', NULL, NULL, NULL, NULL, 'BNACNNG77820D PROTEIN', 82433),
(138708, 'PTHR33087:SF28', NULL, NULL, NULL, NULL, 'OS07G0115760 PROTEIN', 82434),
(138709, 'PTHR14057:SF44', NULL, NULL, NULL, NULL, 'ONE CUT DOMAIN FAMILY MEMBER', 82435),
(138710, 'PTHR33227:SF15', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 1', 82436),
(138711, 'PTHR45647:SF59', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 34-LIKE ISOFORM X1', 82437),
(138712, 'PTHR27001:SF868', NULL, NULL, NULL, NULL, 'STRUBBELIG-RECEPTOR FAMILY 6 PROTEIN', 82438),
(138713, 'PTHR48047:SF90', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 82439),
(138714, 'PTHR33983:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82440),
(138715, 'PTHR33697:SF2', NULL, NULL, NULL, NULL, 'T17B22.17 PROTEIN', 82441),
(138716, 'PTHR36480', NULL, NULL, NULL, NULL, 'OS06G0118900 PROTEIN-RELATED', 82442),
(138717, 'PTHR23073:SF102', NULL, NULL, NULL, NULL, 'BNAA02G04630D PROTEIN', 82443),
(138718, 'PTHR13768', NULL, NULL, NULL, NULL, 'SOLUBLE NSF ATTACHMENT PROTEIN  SNAP', 82444),
(138719, 'PTHR11260:SF553', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 82445),
(138720, 'PTHR10290:SF3', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 1', 82446),
(138721, 'PTHR31775:SF41', NULL, NULL, NULL, NULL, 'REMORIN-RELATED', 82447),
(138722, 'PTHR13211', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 82448),
(138723, 'PTHR33836:SF10', NULL, NULL, NULL, NULL, 'BNAA03G12660D PROTEIN', 82449),
(138724, 'PTHR11711:SF338', NULL, NULL, NULL, NULL, 'OS06G0114200 PROTEIN', 82450);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(138725, 'PTHR31669:SF157', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5-LIKE ISOFORM X1', 82451),
(138726, 'PTHR43230:SF1', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, ATP-BINDING PROTEIN', 82452),
(138727, 'PTHR33640:SF16', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 82453),
(138728, 'PTHR31150:SF35', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 82454),
(138729, 'PTHR31321:SF11', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTER HYDROLASE YBHC-RELATED', 82455),
(138730, 'PTHR46039:SF5', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE 3-RELATED', 82456),
(138731, 'PTHR13586', NULL, NULL, NULL, NULL, 'SCD6 PROTEIN-RELATED', 82457),
(138732, 'PTHR46071:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND BTB/POZ DOMAIN-CONTAINING PROTEIN 2', 82458),
(138733, 'PTHR33207:SF4', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 82459),
(138734, 'PTHR15137:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 2', 82460),
(138735, 'PTHR38104', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 82461),
(138736, 'PTHR32278:SF86', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10-LIKE ISOFORM X1', 82462),
(138737, 'PTHR24296:SF109', NULL, NULL, NULL, NULL, 'OS01G0804400 PROTEIN', 82463),
(138738, 'PTHR47926:SF294', NULL, NULL, NULL, NULL, 'BNAC06G29850D PROTEIN', 82464),
(138739, 'PTHR31683:SF16', NULL, NULL, NULL, NULL, 'PECTIN LYASE A', 82465),
(138740, 'PTHR45806', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN HOMOLOG YKT6', 82466),
(138741, 'PTHR48041:SF17', NULL, NULL, NULL, NULL, 'WHITE-BROWN COMPLEX HOMOLOG PROTEIN 30-RELATED', 82467),
(138742, 'PTHR31602:SF46', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 6', 82468),
(138743, 'PTHR16134:SF82', NULL, NULL, NULL, NULL, 'DNA-BINDING SCF UBIQUITIN LIGASE SUBUNIT', 82469),
(138744, 'PTHR40617', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE ASQC', 82470),
(138745, 'PTHR46450', NULL, NULL, NULL, NULL, 'INACTIVE HISTONE-LYSINE N-METHYLTRANSFERASE SUVR1-RELATED', 82471),
(138746, 'PTHR32487:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82472),
(138747, 'PTHR22870:SF302', NULL, NULL, NULL, NULL, 'MJK13.9 PROTEIN', 82473),
(138748, 'PTHR30348:SF13', NULL, NULL, NULL, NULL, 'UPF0759 PROTEIN YUNF', 82474),
(138749, 'PTHR11926:SF913', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', 82475),
(138750, 'PTHR42920:SF21', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', 82476),
(138751, 'PTHR24373:SF328', NULL, NULL, NULL, NULL, 'FI03225P-RELATED', 82477),
(138752, 'PTHR11467:SF100', NULL, NULL, NULL, NULL, 'LINKER HISTONE H1 AND H5 FAMILY PROTEIN', 82478),
(138753, 'PTHR13976:SF71', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 82479),
(138754, 'PTHR16223:SF225', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH80', 82480),
(138755, 'PTHR33286:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82481),
(138756, 'PTHR21562:SF10', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE NOTUM2', 82482),
(138757, 'PTHR11071:SF445', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 82483),
(138758, 'PTHR24381:SF167', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 709', 82484),
(138759, 'PTHR24128:SF42', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 82485),
(138760, 'PTHR21337:SF27', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', 82486),
(138761, 'PTHR24343:SF76', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE/THREONINE-PROTEIN KINASE 1', 82487),
(138762, 'PTHR31081:SF5', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 1-RELATED', 82488),
(138763, 'PTHR23124:SF143', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN-RELATED', 82489),
(138764, 'PTHR13019:SF7', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23', 82490),
(138765, 'PTHR47495:SF1', NULL, NULL, NULL, NULL, 'BLL3820 PROTEIN', 82491),
(138766, 'PTHR33910:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLOCASE SUBUNIT SECE', 82492),
(138767, 'PTHR10827:SF76', NULL, NULL, NULL, NULL, 'CALUMENIN', 82493),
(138768, 'PTHR30473:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PHOH', 82494);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(138769, 'PTHR48056:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82495),
(138770, 'PTHR47291:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE UPSTREAM PROTEIN', 82496),
(138771, 'PTHR43380', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT ALPHA, MITOCHONDRIAL', 82497),
(138772, 'PTHR48083:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG09298', 82498),
(138773, 'PTHR24559:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82499),
(138774, 'PTHR47924:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82500),
(138775, 'PTHR23338:SF49', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', 82501),
(138776, 'PTHR10996:SF230', NULL, NULL, NULL, NULL, 'GLYOXYLATE REDUCTASE/HYDROXYPYRUVATE REDUCTASE B', 82502),
(138777, 'PTHR43330:SF8', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 1D, MITOCHONDRIAL', 82503),
(138778, 'PTHR43321:SF27', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 82504),
(138779, 'PTHR47976:SF29', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 82505),
(138780, 'PTHR31674:SF45', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS04G0347400-RELATED', 82506),
(138781, 'PTHR11926:SF1395', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 82507),
(138782, 'PTHR12774:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82508),
(138783, 'PTHR21593:SF28', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE-LIKE PROTEIN', 82509),
(138784, 'PTHR10811:SF5', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCOSYLTRANSFERASE', 82510),
(138785, 'PTHR12448:SF5', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT EPSILON, MITOCHONDRIAL', 82511),
(138786, 'PTHR27004:SF329', NULL, NULL, NULL, NULL, 'BNACNNG24010D PROTEIN', 82512),
(138787, 'PTHR24299:SF28', NULL, NULL, NULL, NULL, 'OS04G0539300 PROTEIN', 82513),
(138788, 'PTHR46041:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE SUBUNIT 2', 82514),
(138789, 'PTHR43552:SF1', NULL, NULL, NULL, NULL, 'DIAMINOBUTYRATE--2-OXOGLUTARATE AMINOTRANSFERASE', 82515),
(138790, 'PTHR31636:SF194', NULL, NULL, NULL, NULL, 'PROTEIN SHORT-ROOT-LIKE', 82516),
(138791, 'PTHR45859:SF4', NULL, NULL, NULL, NULL, 'BNAA01G32370D PROTEIN', 82517),
(138792, 'PTHR21447', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 82518),
(138793, 'PTHR36586:SF29', NULL, NULL, NULL, NULL, 'BNAC06G15300D PROTEIN', 82519),
(138794, 'PTHR35121:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER, SWIM-TYPE-RELATED', 82520),
(138795, 'PTHR24064:SF516', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 6', 82521),
(138796, 'PTHR33236:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82522),
(138797, 'PTHR11638:SF161', NULL, NULL, NULL, NULL, 'CLPA/B, CONSERVED SITE 2', 82523),
(138798, 'PTHR47916:SF1', NULL, NULL, NULL, NULL, '3-HYDROXY-5-PHOSPHONOOXYPENTANE-2,4-DIONE THIOLASE', 82524),
(138799, 'PTHR11880:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15', 82525),
(138800, 'PTHR27002:SF864', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8 ISOFORM X1', 82526),
(138801, 'PTHR31293:SF16', NULL, NULL, NULL, NULL, 'BNAA06G25610D PROTEIN', 82527),
(138802, 'PTHR40758:SF1', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 82528),
(138803, 'PTHR11260:SF16', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, N-TERMINAL DOMAIN CONTAINING PROTEIN, EXPRESSED', 82529),
(138804, 'PTHR21222:SF1', NULL, NULL, NULL, NULL, 'MIT DOMAIN-CONTAINING PROTEIN 1', 82530),
(138805, 'PTHR21662:SF3', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', 82531),
(138806, 'PTHR12302:SF19', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', 82532),
(138807, 'PTHR10177:SF257', NULL, NULL, NULL, NULL, 'CYCLIN N-TERMINAL DOMAIN-CONTAINING PROTEIN 2', 82533),
(138808, 'PTHR42825:SF31', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE ATNJ-RELATED', 82534),
(138809, 'PTHR31807:SF27', NULL, NULL, NULL, NULL, 'QWRF MOTIF-CONTAINING PROTEIN 7', 82535),
(138810, 'PTHR31932:SF2', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE COMPLEX SUBUNIT 1', 82536),
(138811, 'PTHR40841', NULL, NULL, NULL, NULL, 'SIDEROPHORE TRIACETYLFUSARININE C ESTERASE', 82537);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(138812, 'PTHR23124:SF140', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING PROTEIN 158-RELATED', 82538),
(138813, 'PTHR24241:SF169', NULL, NULL, NULL, NULL, 'QRFP-LIKE PEPTIDE RECEPTOR', 82539),
(138814, 'PTHR14217:SF7', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE 2', 82540),
(138815, 'PTHR22811:SF130', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA3-LIKE', 82541),
(138816, 'PTHR11048:SF38', NULL, NULL, NULL, NULL, 'PRENYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13980)-RELATED', 82542),
(138817, 'PTHR24073:SF1051', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5D-LIKE', 82543),
(138818, 'PTHR11063:SF13', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE 2', 82544),
(138819, 'PTHR22977', NULL, NULL, NULL, NULL, 'COX ASSEMBLY MITOCHONDRIAL PROTEIN', 82545),
(138820, 'PTHR45676:SF129', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL54-LIKE', 82546),
(138821, 'PTHR34361:SF9', NULL, NULL, NULL, NULL, 'BNAA08G06710D PROTEIN', 82547),
(138822, 'PTHR34593:SF9', NULL, NULL, NULL, NULL, 'MATING RESPONSE PROTEIN POI2', 82548),
(138823, 'PTHR20766:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82549),
(138824, 'PTHR24257:SF0', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE ELASTASE FAMILY MEMBER 1', 82550),
(138825, 'PTHR16320:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82551),
(138826, 'PTHR22891:SF157', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 4', 82552),
(138827, 'PTHR23202:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82553),
(138828, 'PTHR44533:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX60-LIKE-RELATED', 82554),
(138829, 'PTHR10902:SF22', NULL, NULL, NULL, NULL, 'BNAA02G16870D PROTEIN', 82555),
(138830, 'PTHR43240:SF7', NULL, NULL, NULL, NULL, 'ESTERASE VNG_1336C-RELATED', 82556),
(138831, 'PTHR11654:SF335', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 1.3', 82557),
(138832, 'PTHR43572:SF60', NULL, NULL, NULL, NULL, 'PROTEIN CLPV1', 82558),
(138833, 'PTHR11567:SF191', NULL, NULL, NULL, NULL, 'INTESTINAL ACID PHOSPHATASE', 82559),
(138834, 'PTHR31232:SF67', NULL, NULL, NULL, NULL, 'BNAA01G27430D PROTEIN', 82560),
(138835, 'PTHR18945:SF846', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT BETA-LIKE 2', 82561),
(138836, 'PTHR31042:SF104', NULL, NULL, NULL, NULL, 'BNAC07G15830D PROTEIN', 82562),
(138837, 'PTHR43952:SF34', NULL, NULL, NULL, NULL, 'OS01G0663051 PROTEIN', 82563),
(138838, 'PTHR23201:SF67', NULL, NULL, NULL, NULL, 'SNAKIN-2-LIKE', 82564),
(138839, 'PTHR24223:SF410', NULL, NULL, NULL, NULL, 'BNAA01G25250D PROTEIN', 82565),
(138840, 'PTHR19944:SF84', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DR BETA 3 CHAIN', 82566),
(138841, 'PTHR42111:SF1', NULL, NULL, NULL, NULL, 'YALI0D23727P', 82567),
(138842, 'PTHR12850:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S25', 82568),
(138843, 'PTHR48131', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 82569),
(138844, 'PTHR27009:SF196', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 82570),
(138845, 'PTHR43789:SF3', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', 82571),
(138846, 'PTHR31704:SF43', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', 82572),
(138847, 'PTHR33159:SF69', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4-LIKE', 82573),
(138848, 'PTHR31388:SF193', NULL, NULL, NULL, NULL, 'PEROXIDASE', 82574),
(138849, 'PTHR47958:SF49', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-III', 82575),
(138850, 'PTHR36746:SF3', NULL, NULL, NULL, NULL, 'BNAC04G51760D PROTEIN', 82576),
(138851, 'PTHR10840:SF1', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 5', 82577),
(138852, 'PTHR24113:SF5', NULL, NULL, NULL, NULL, 'RAN GTPASE-ACTIVATING PROTEIN 1', 82578),
(138853, 'PTHR22776:SF3', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 3', 82579),
(138854, 'PTHR36116:SF1', NULL, NULL, NULL, NULL, 'UPF0060 MEMBRANE PROTEIN YNFA', 82580),
(138855, 'PTHR10628:SF6', NULL, NULL, NULL, NULL, 'SIALIDASE-2', 82581),
(138856, 'PTHR27005:SF391', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82582);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(138857, 'PTHR46020:SF21', NULL, NULL, NULL, NULL, 'BNAC02G03010D PROTEIN', 82583),
(138858, 'PTHR25462:SF274', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INTERMEDIARY FACTOR 1-BETA', 82584),
(138859, 'PTHR13163', NULL, NULL, NULL, NULL, 'SPINAL CORD EXPRESSION PROTEIN 4', 82585),
(138860, 'PTHR48056:SF20', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 82586),
(138861, 'PTHR23113:SF334', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR D', 82587),
(138862, 'PTHR19970:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L39 LIKE', 82588),
(138863, 'PTHR10394:SF26', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', 82589),
(138864, 'PTHR46391:SF9', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 34', 82590),
(138865, 'PTHR45620:SF1', NULL, NULL, NULL, NULL, 'PDF RECEPTOR-LIKE PROTEIN', 82591),
(138866, 'PTHR14239:SF6', NULL, NULL, NULL, NULL, 'METALLOREDUCTASE STEAP2', 82592),
(138867, 'PTHR47854:SF1', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 2 (SURF2)', 82593),
(138868, 'PTHR11764:SF49', NULL, NULL, NULL, NULL, 'ARABIDIOL SYNTHASE-RELATED', 82594),
(138869, 'PTHR11627:SF53', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 82595),
(138870, 'PTHR11533:SF283', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 82596),
(138871, 'PTHR34072:SF10', NULL, NULL, NULL, NULL, 'OS11G0272675 PROTEIN', 82597),
(138872, 'PTHR45701', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN FAMILY MEMBER', 82598),
(138873, 'PTHR12663:SF35', NULL, NULL, NULL, NULL, 'BNAA06G10610D PROTEIN', 82599),
(138874, 'PTHR33870:SF16', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN', 82600),
(138875, 'PTHR12629:SF41', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 18, MITOCHONDRIAL', 82601),
(138876, 'PTHR10688:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82602),
(138877, 'PTHR31985:SF172', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF014', 82603),
(138878, 'PTHR43317:SF4', NULL, NULL, NULL, NULL, 'POLYAMINE AMINOPROPYLTRANSFERASE', 82604),
(138879, 'PTHR46496:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82605),
(138880, 'PTHR35565', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 82606),
(138881, 'PTHR13935:SF136', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 82607),
(138882, 'PTHR37610:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82608),
(138883, 'PTHR12680:SF2', NULL, NULL, NULL, NULL, 'HOMEODOMAIN TRANSCRIPTION FACTOR 2-RELATED', 82609),
(138884, 'PTHR31988:SF17', NULL, NULL, NULL, NULL, 'CARBOHYDRATE ESTERASE-RELATED', 82610),
(138885, 'PTHR11831:SF23', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9', 82611),
(138886, 'PTHR46691:SF5', NULL, NULL, NULL, NULL, 'HMG (HIGH MOBILITY GROUP) BOX PROTEIN', 82612),
(138887, 'PTHR33203:SF23', NULL, NULL, NULL, NULL, 'OLEOSIN', 82613),
(138888, 'PTHR10293:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82614),
(138889, 'PTHR11394:SF68', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 16', 82615),
(138890, 'PTHR46398:SF8', NULL, NULL, NULL, NULL, 'OS03G0712000 PROTEIN', 82616),
(138891, 'PTHR44203:SF8', NULL, NULL, NULL, NULL, 'ETHYLENE-OVERPRODUCTION PROTEIN 1', 82617),
(138892, 'PTHR15348:SF20', NULL, NULL, NULL, NULL, 'BNAC07G15070D PROTEIN', 82618),
(138893, 'PTHR21461:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG11356', 82619),
(138894, 'PTHR23248:SF29', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE 2', 82620),
(138895, 'PTHR24349:SF419', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 24', 82621),
(138896, 'PTHR11106:SF103', NULL, NULL, NULL, NULL, 'OS04G0561200 PROTEIN', 82622),
(138897, 'PTHR31625:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82623),
(138898, 'PTHR11158:SF24', NULL, NULL, NULL, NULL, 'PRELI DOMAIN-CONTAINING 1B', 82624),
(138899, 'PTHR34049', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP27', 82625),
(138900, 'PTHR47640:SF5', NULL, NULL, NULL, NULL, 'TIA-1/TIAL RNA BINDING PROTEIN HOMOLOG', 82626),
(138901, 'PTHR31472', NULL, NULL, NULL, NULL, 'OS05G0244600 PROTEIN', 82627),
(138902, 'PTHR31471:SF60', NULL, NULL, NULL, NULL, 'TERMINASE SMALL SUBUNIT, REMORIN-RELATED', 82628);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(138903, 'PTHR31221:SF237', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 33-RELATED', 82629),
(138904, 'PTHR36319:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GIGANTEA', 82630),
(138905, 'PTHR46431:SF9', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI FAMILY PROTEIN-RELATED', 82631),
(138906, 'PTHR24136:SF34', NULL, NULL, NULL, NULL, 'TANKYRASE-LIKE', 82632),
(138907, 'PTHR47995:SF12', NULL, NULL, NULL, NULL, 'BNAC03G26620D PROTEIN', 82633),
(138908, 'PTHR32108', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT ALPHA', 82634),
(138909, 'PTHR22420:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM81A', 82635),
(138910, 'PTHR21668:SF4', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A, X-CHROMOSOMAL', 82636),
(138911, 'PTHR47395', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B MEMBER 1', 82637),
(138912, 'PTHR45911:SF2', NULL, NULL, NULL, NULL, 'MULTIPLE C2 AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2', 82638),
(138913, 'PTHR43790:SF9', NULL, NULL, NULL, NULL, 'RIBOSE IMPORT ATP-BINDING PROTEIN RBSA 2', 82639),
(138914, 'PTHR10110:SF62', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 7', 82640),
(138915, 'PTHR15241:SF292', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 3, MITOCHONDRIAL', 82641),
(138916, 'PTHR33191:SF31', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 1-RELATED', 82642),
(138917, 'PTHR37877', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL COILED-COIL DOMAIN PROTEIN 1', 82643),
(138918, 'PTHR34860', NULL, NULL, NULL, NULL, 'REPRESSOR-LIKE PROTEIN SSO7C3', 82644),
(138919, 'PTHR15123:SF5', NULL, NULL, NULL, NULL, 'SECRETED AND TRANSMEMBRANE PROTEIN 1', 82645),
(138920, 'PTHR48017:SF77', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 7', 82646),
(138921, 'PTHR48229:SF1', NULL, NULL, NULL, NULL, 'CAIB/BAIF FAMILY ENZYME (AFU_ORTHOLOGUE AFUA_1G06250)', 82647),
(138922, 'PTHR36264:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82648),
(138923, 'PTHR10634:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82649),
(138924, 'PTHR10593:SF127', NULL, NULL, NULL, NULL, 'FINGER PROTEIN PCP1-LIKE', 82650),
(138925, 'PTHR31985:SF224', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', 82651),
(138926, 'PTHR15315:SF81', NULL, NULL, NULL, NULL, 'OS10G0500000 PROTEIN', 82652),
(138927, 'PTHR46872:SF11', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE, MYB-LIKE DOMAIN PROTEIN-RELATED', 82653),
(138928, 'PTHR10127:SF798', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-1', 82654),
(138929, 'PTHR11822:SF31', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', 82655),
(138930, 'PTHR11380:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 13', 82656),
(138931, 'PTHR12745:SF6', NULL, NULL, NULL, NULL, 'PROTEIN ST7 HOMOLOG', 82657),
(138932, 'PTHR22089', NULL, NULL, NULL, NULL, 'MIRROR-IMAGE POLYDACTYLY GENE 1 PROTEIN', 82658),
(138933, 'PTHR11449:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30', 82659),
(138934, 'PTHR11183:SF149', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE PGSIP8', 82660),
(138935, 'PTHR48014:SF23', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MPS1-RELATED', 82661),
(138936, 'PTHR12703:SF3', NULL, NULL, NULL, NULL, 'ABR032WP', 82662),
(138937, 'PTHR31589:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82663),
(138938, 'PTHR11227:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82664),
(138939, 'PTHR13980:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82665),
(138940, 'PTHR27005:SF368', NULL, NULL, NULL, NULL, 'WAK80-OSWAK RECEPTOR-LIKE PROTEIN KINASE', 82666),
(138941, 'PTHR11746:SF249', NULL, NULL, NULL, NULL, 'BNAA06G14930D PROTEIN', 82667),
(138942, 'PTHR23267:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82668),
(138943, 'PTHR11062:SF73', NULL, NULL, NULL, NULL, 'EXOSTOSIN-LIKE 3', 82669),
(138944, 'PTHR31988:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82670),
(138945, 'PTHR11955:SF82', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN HOMOLOG 5', 82671),
(138946, 'PTHR24023:SF1007', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXIV) CHAIN', 82672);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(138947, 'PTHR18063', NULL, NULL, NULL, NULL, 'NF-E2 INDUCIBLE PROTEIN', 82673),
(138948, 'PTHR42921', NULL, NULL, NULL, NULL, 'ACETOACETYL-COA SYNTHETASE', 82674),
(138949, 'PTHR24329:SF337', NULL, NULL, NULL, NULL, 'DHARMA', 82675),
(138950, 'PTHR10938:SF6', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-3', 82676),
(138951, 'PTHR43240:SF10', NULL, NULL, NULL, NULL, 'BLL4964 PROTEIN', 82677),
(138952, 'PTHR46091', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 82678),
(138953, 'PTHR31238:SF38', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 8-3', 82679),
(138954, 'PTHR34054:SF10', NULL, NULL, NULL, NULL, 'BNAC04G56680D PROTEIN', 82680),
(138955, 'PTHR11200:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82681),
(138956, 'PTHR33133:SF48', NULL, NULL, NULL, NULL, 'BNAA09G05670D PROTEIN', 82682),
(138957, 'PTHR32044:SF51', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 9-RELATED', 82683),
(138958, 'PTHR34875', NULL, NULL, NULL, NULL, 'UPF0237 PROTEIN MJ1558', 82684),
(138959, 'PTHR12271:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG00955', 82685),
(138960, 'PTHR12356:SF27', NULL, NULL, NULL, NULL, 'RE67940P', 82686),
(138961, 'PTHR13367:SF9', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 7A', 82687),
(138962, 'PTHR30249:SF0', NULL, NULL, NULL, NULL, 'PLASTIDAL GLYCOLATE/GLYCERATE TRANSLOCATOR 1, CHLOROPLASTIC', 82688),
(138963, 'PTHR33272', NULL, NULL, NULL, NULL, 'PROTEIN CBG22877-RELATED', 82689),
(138964, 'PTHR47290:SF5', NULL, NULL, NULL, NULL, 'OS12G0479100 PROTEIN', 82690),
(138965, 'PTHR42771:SF3', NULL, NULL, NULL, NULL, 'PETROBACTIN IMPORT ATP-BINDING PROTEIN YCLP', 82691),
(138966, 'PTHR10783:SF119', NULL, NULL, NULL, NULL, 'BNAC02G34860D PROTEIN', 82692),
(138967, 'PTHR24064:SF85', NULL, NULL, NULL, NULL, 'PROTEIN CBG13266', 82693),
(138968, 'PTHR48243', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 82694),
(138969, 'PTHR45463:SF5', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 82695),
(138970, 'PTHR45653:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82696),
(138971, 'PTHR27005:SF37', NULL, NULL, NULL, NULL, 'OS04G0367600 PROTEIN', 82697),
(138972, 'PTHR11802:SF316', NULL, NULL, NULL, NULL, 'BNAC09G41250D PROTEIN', 82698),
(138973, 'PTHR13018:SF101', NULL, NULL, NULL, NULL, 'ERD (EARLY-RESPONSIVE TO DEHYDRATION STRESS) FAMILY PROTEIN', 82699),
(138974, 'PTHR11685:SF295', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 82700),
(138975, 'PTHR10048:SF108', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE CATALYTIC SUBUNIT TYPE 3', 82701),
(138976, 'PTHR40552:SF6', NULL, NULL, NULL, NULL, 'AT05186P-RELATED', 82702),
(138977, 'PTHR24031:SF739', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A', 82703),
(138978, 'PTHR22891:SF153', NULL, NULL, NULL, NULL, 'PROTEIN CBG03703', 82704),
(138979, 'PTHR35498:SF5', NULL, NULL, NULL, NULL, 'RUBREDOXIN FAMILY PROTEIN', 82705),
(138980, 'PTHR24414:SF127', NULL, NULL, NULL, NULL, 'BNAC03G15240D PROTEIN', 82706),
(138981, 'PTHR13683:SF632', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2', 82707),
(138982, 'PTHR31142:SF38', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 3-RELATED', 82708),
(138983, 'PTHR33984', NULL, NULL, NULL, NULL, 'OS02G0717600 PROTEIN', 82709),
(138984, 'PTHR16134:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82710),
(138985, 'PTHR10797:SF35', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 9-RELATED', 82711),
(138986, 'PTHR32410:SF178', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 82712),
(138987, 'PTHR43214:SF20', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE GLNK', 82713),
(138988, 'PTHR31901:SF41', NULL, NULL, NULL, NULL, 'JASMONIC ACID-AMIDO SYNTHETASE JAR1-LIKE', 82714),
(138989, 'PTHR33490:SF3', NULL, NULL, NULL, NULL, 'SLL1049 PROTEIN', 82715),
(138990, 'PTHR11208:SF128', NULL, NULL, NULL, NULL, 'K-LIKE DOMAIN PROTEIN-RELATED', 82716),
(138991, 'PTHR23500:SF573', NULL, NULL, NULL, NULL, 'BNAA01G26430D PROTEIN', 82717),
(138992, 'PTHR12311', NULL, NULL, NULL, NULL, 'ACTIVATOR OF BASAL TRANSCRIPTION 1', 82718);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(138993, 'PTHR37888:SF6', NULL, NULL, NULL, NULL, 'DNA-BINDING BROMODOMAIN-CONTAINING PROTEIN', 82719),
(138994, 'PTHR43022', NULL, NULL, NULL, NULL, 'PROTEIN SMF', 82720),
(138995, 'PTHR42693:SF5', NULL, NULL, NULL, NULL, 'ARYLSULFATASE E', 82721),
(138996, 'PTHR33142:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82722),
(138997, 'PTHR11085:SF5', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE', 82723),
(138998, 'PTHR13774:SF26', NULL, NULL, NULL, NULL, 'PHENAZINE BIOSYNTHESIS PHZC/PHZF PROTEIN', 82724),
(138999, 'PTHR47221:SF1', NULL, NULL, NULL, NULL, 'FIBRINOGEN ALPHA CHAIN', 82725),
(139000, 'PTHR24215:SF30', NULL, NULL, NULL, NULL, 'CYSTEINE RICH PROTEIN 3', 82726),
(139001, 'PTHR31744:SF122', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 46-RELATED', 82727),
(139002, 'PTHR48018:SF108', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 82728),
(139003, 'PTHR13107:SF4', NULL, NULL, NULL, NULL, 'N6-ADENOSINE-METHYLTRANSFERASE SUBUNIT METTL14', 82729),
(139004, 'PTHR31150:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82730),
(139005, 'PTHR37035:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82731),
(139006, 'PTHR47991:SF21', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE', 82732),
(139007, 'PTHR32191:SF44', NULL, NULL, NULL, NULL, 'OS08G0260600 PROTEIN', 82733),
(139008, 'PTHR45687:SF66', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-1', 82734),
(139009, 'PTHR10639:SF27', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', 82735),
(139010, 'PTHR26453:SF11', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 82736),
(139011, 'PTHR46186', NULL, NULL, NULL, NULL, 'CYSTATIN', 82737),
(139012, 'PTHR45852:SF2', NULL, NULL, NULL, NULL, 'BNAA01G19540D PROTEIN', 82738),
(139013, 'PTHR33286:SF37', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 82739),
(139014, 'PTHR45820:SF2', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 63C, ISOFORM F', 82740),
(139015, 'PTHR46288:SF28', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', 82741),
(139016, 'PTHR10209:SF742', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 4-RELATED', 82742),
(139017, 'PTHR24086:SF15', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FTZ-F1', 82743),
(139018, 'PTHR24384:SF218', NULL, NULL, NULL, NULL, 'GENE, 19965-RELATED', 82744),
(139019, 'PTHR43582:SF4', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORT SYSTEM ATP-BINDING PROTEIN', 82745),
(139020, 'PTHR30075:SF2', NULL, NULL, NULL, NULL, 'GLYCINE--TRNA LIGASE, CHLOROPLASTIC/MITOCHONDRIAL 2', 82746),
(139021, 'PTHR35711:SF3', NULL, NULL, NULL, NULL, 'PROSTATIC SPERMINE-BINDING PROTEIN-LIKE', 82747),
(139022, 'PTHR23304:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82748),
(139023, 'PTHR11037:SF14', NULL, NULL, NULL, NULL, 'PROTEIN GRAINYHEAD', 82749),
(139024, 'PTHR22298:SF132', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 82750),
(139025, 'PTHR34362:SF6', NULL, NULL, NULL, NULL, 'OS07G0593400 PROTEIN', 82751),
(139026, 'PTHR31636:SF142', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', 82752),
(139027, 'PTHR11117', NULL, NULL, NULL, NULL, 'SUCCINYL-COA LIGASE SUBUNIT ALPHA', 82753),
(139028, 'PTHR33136:SF42', NULL, NULL, NULL, NULL, 'RALF', 82754),
(139029, 'PTHR31415:SF85', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 82755),
(139030, 'PTHR30222:SF18', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL POLYHYDROXYBUTYRATE SYNTHASE / ABC TRANSPORTER PERIPLASMIC BINDING PROTEIN-RELATED', 82756),
(139031, 'PTHR36181:SF1', NULL, NULL, NULL, NULL, 'INTRON-ENCODED DNA ENDONUCLEASE AI5 BETA', 82757),
(139032, 'PTHR10241:SF19', NULL, NULL, NULL, NULL, 'SYNTAXIN-BINDING PROTEIN 5-LIKE', 82758),
(139033, 'PTHR33411:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82759),
(139034, 'PTHR39490:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82760),
(139035, 'PTHR24096:SF372', NULL, NULL, NULL, NULL, 'BNAC08G19290D PROTEIN', 82761),
(139036, 'PTHR31683:SF142', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 82762);
INSERT INTO "PUBLIC"."MODEL" VALUES
(139037, 'PTHR15004', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 82763),
(139038, 'PTHR10037:SF62', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN 60E', 82764),
(139039, 'PTHR10114:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', 82765),
(139040, 'PTHR43563:SF12', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOAMINE OXIDASE A-RELATED', 82766),
(139041, 'PTHR23261:SF65', NULL, NULL, NULL, NULL, 'POLYGLUTAMINE-REPEAT PROTEIN PQN-41', 82767),
(139042, 'PTHR24291:SF143', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4D1-RELATED', 82768),
(139043, 'PTHR24041:SF22', NULL, NULL, NULL, NULL, 'MUCIN-3A-RELATED', 82769),
(139044, 'PTHR39957', NULL, NULL, NULL, NULL, 'AT09846P1-RELATED', 82770),
(139045, 'PTHR46124:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 82771),
(139046, 'PTHR32212:SF292', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 82772),
(139047, 'PTHR33128:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82773),
(139048, 'PTHR11588:SF64', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1C CHAIN', 82774),
(139049, 'PTHR34371:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82775),
(139050, 'PTHR31543:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 82776),
(139051, 'PTHR15141:SF7', NULL, NULL, NULL, NULL, 'ELONGIN-A2', 82777),
(139052, 'PTHR33385', NULL, NULL, NULL, NULL, 'PROTEIN XRI1', 82778),
(139053, 'PTHR34653:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK-BASAL BODY COMPLEX PROTEIN FLIE', 82779),
(139054, 'PTHR12159:SF9', NULL, NULL, NULL, NULL, 'G/T MISMATCH-SPECIFIC THYMINE DNA GLYCOSYLASE', 82780),
(139055, 'PTHR38502', NULL, NULL, NULL, NULL, 'OVEREXPRESSED IN COLON CARCINOMA 1 PROTEIN', 82781),
(139056, 'PTHR46194', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE PTRHD1-RELATED', 82782),
(139057, 'PTHR31213:SF128', NULL, NULL, NULL, NULL, 'BNAA03G17720D PROTEIN', 82783),
(139058, 'PTHR12482:SF52', NULL, NULL, NULL, NULL, 'SERINE ESTERASE FAMILY PROTEIN-RELATED', 82784),
(139059, 'PTHR33674:SF5', NULL, NULL, NULL, NULL, 'METHIONINE-S-OXIDE REDUCTASE', 82785),
(139060, 'PTHR45758', NULL, NULL, NULL, NULL, 'MITOFERRIN-1-RELATED', 82786),
(139061, 'PTHR12178:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82787),
(139062, 'PTHR47382:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82788),
(139063, 'PTHR46297', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH-TYPE WITH G PATCH DOMAIN-CONTAINING PROTEIN', 82789),
(139064, 'PTHR46151:SF9', NULL, NULL, NULL, NULL, 'OS08G0550400 PROTEIN', 82790),
(139065, 'PTHR45804:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82791),
(139066, 'PTHR31907:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82792),
(139067, 'PTHR33493:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82793),
(139068, 'PTHR10177:SF408', NULL, NULL, NULL, NULL, 'CYCLIN-B2-4', 82794),
(139069, 'PTHR14089:SF15', NULL, NULL, NULL, NULL, 'BNAANNG33400D PROTEIN', 82795),
(139070, 'PTHR26453:SF265', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 82796),
(139071, 'PTHR31547', NULL, NULL, NULL, NULL, 'MULTIVESICULAR BODY SUBUNIT 12B', 82797),
(139072, 'PTHR22945:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 82798),
(139073, 'PTHR18966:SF424', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 82799),
(139074, 'PTHR37709:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 82800),
(139075, 'PTHR10031:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82801),
(139076, 'PTHR24305:SF87', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE ALND-RELATED', 82802),
(139077, 'PTHR12396:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82803),
(139078, 'PTHR10443', NULL, NULL, NULL, NULL, 'MICROSOMAL DIPEPTIDASE', 82804),
(139079, 'PTHR46246', NULL, NULL, NULL, NULL, 'GUANOSINE-3'',5''-BIS(DIPHOSPHATE) 3''-PYROPHOSPHOHYDROLASE MESH1', 82805),
(139080, 'PTHR35486:SF7', NULL, NULL, NULL, NULL, 'BNAA04G25790D PROTEIN', 82806),
(139081, 'PTHR33155:SF29', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 1-LIKE', 82807),
(139082, 'PTHR12019', NULL, NULL, NULL, NULL, 'LAMINA-ASSOCIATED POLYPEPTIDE  THYMOPOIETIN', 82808);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(139083, 'PTHR47067:SF12', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 7 ISOFORM X1', 82809),
(139084, 'PTHR42893', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 44, CHLOROPLASTIC-RELATED', 82810),
(139085, 'PTHR46910:SF18', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 82811),
(139086, 'PTHR34710:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82812),
(139087, 'PTHR45719:SF3', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14A', 82813),
(139088, 'PTHR10489:SF921', NULL, NULL, NULL, NULL, 'C-X-C CHEMOKINE RECEPTOR TYPE 3-2', 82814),
(139089, 'PTHR27002:SF742', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 21', 82815),
(139090, 'PTHR11451:SF54', NULL, NULL, NULL, NULL, 'THREONYL-TRNA SYNTHETASE', 82816),
(139091, 'PTHR40035:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN I', 82817),
(139092, 'PTHR25952:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82818),
(139093, 'PTHR31549:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82819),
(139094, 'PTHR48025:SF3', NULL, NULL, NULL, NULL, '31 KDA RIBONUCLEOPROTEIN, CHLOROPLASTIC-RELATED', 82820),
(139095, 'PTHR11654:SF503', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.3', 82821),
(139096, 'PTHR42952:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE SUBUNIT, CONJECTURAL', 82822),
(139097, 'PTHR11206:SF370', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 82823),
(139098, 'PTHR11202:SF4', NULL, NULL, NULL, NULL, 'ENA/VASP-LIKE PROTEIN', 82824),
(139099, 'PTHR15759:SF5', NULL, NULL, NULL, NULL, 'PANNEXIN-1', 82825),
(139100, 'PTHR21447:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG10519', 82826),
(139101, 'PTHR11475:SF75', NULL, NULL, NULL, NULL, 'PEROXIDASIN HOMOLOG', 82827),
(139102, 'PTHR45677:SF8', NULL, NULL, NULL, NULL, 'LP10922P', 82828),
(139103, 'PTHR31190:SF220', NULL, NULL, NULL, NULL, 'BNAA06G35500D PROTEIN', 82829),
(139104, 'PTHR32196:SF32', NULL, NULL, NULL, NULL, 'XYLOSE TRANSPORT SYSTEM PERMEASE PROTEIN XYLH', 82830),
(139105, 'PTHR45758:SF16', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN U', 82831),
(139106, 'PTHR30543:SF19', NULL, NULL, NULL, NULL, 'NADPH:QUINONE OXIDOREDUCTASE-LIKE PROTEIN', 82832),
(139107, 'PTHR46393:SF4', NULL, NULL, NULL, NULL, 'SI:CH1073-280E3.1', 82833),
(139108, 'PTHR31853', NULL, NULL, NULL, NULL, 'PSORIASIS SUSCEPTIBILITY 1 CANDIDATE GENE 2 PROTEIN', 82834),
(139109, 'PTHR33349:SF20', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN-LIKE PROTEIN', 82835),
(139110, 'PTHR46279:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 82836),
(139111, 'PTHR24416:SF106', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR 1 RECEPTOR', 82837),
(139112, 'PTHR46238:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82838),
(139113, 'PTHR46602:SF6', NULL, NULL, NULL, NULL, 'XS DOMAIN-CONTAINING PROTEIN-RELATED', 82839),
(139114, 'PTHR36983:SF2', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 13', 82840),
(139115, 'PTHR11639:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82841),
(139116, 'PTHR15380:SF1', NULL, NULL, NULL, NULL, 'CLN5-LIKE PROTEIN 1-RELATED', 82842),
(139117, 'PTHR27004:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82843),
(139118, 'PTHR21685:SF1', NULL, NULL, NULL, NULL, 'TAPERIN', 82844),
(139119, 'PTHR10024:SF124', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN VB', 82845),
(139120, 'PTHR43120:SF12', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', 82846),
(139121, 'PTHR36061', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 82847),
(139122, 'PTHR31190:SF118', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', 82848),
(139123, 'PTHR19370:SF198', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE', 82849),
(139124, 'PTHR32212:SF262', NULL, NULL, NULL, NULL, 'FBD, F-BOX AND LEUCINE RICH REPEAT DOMAINS CONTAINING PROTEIN', 82850),
(139125, 'PTHR34059:SF7', NULL, NULL, NULL, NULL, 'MICAL C-TERMINAL-LIKE PROTEIN', 82851),
(139126, 'PTHR13104:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 6', 82852),
(139127, 'PTHR43460:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 82853);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(139128, 'PTHR30540:SF80', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 2-RELATED', 82854),
(139129, 'PTHR10026:SF7', NULL, NULL, NULL, NULL, 'CYCLIN-C', 82855),
(139130, 'PTHR14375', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 82856),
(139131, 'PTHR33484:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82857),
(139132, 'PTHR15459:SF3', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1', 82858),
(139133, 'PTHR48105:SF23', NULL, NULL, NULL, NULL, 'SLR0600 PROTEIN', 82859),
(139134, 'PTHR43677:SF8', NULL, NULL, NULL, NULL, 'ARP PROTEIN (REF)', 82860),
(139135, 'PTHR12027:SF88', NULL, NULL, NULL, NULL, 'PROTEIN WNT-3A', 82861),
(139136, 'PTHR10598', NULL, NULL, NULL, NULL, 'SET1/ASH2 HISTONE METHYLTRANSFERASE COMPLEX SUBUNIT ASH2', 82862),
(139137, 'PTHR47073:SF8', NULL, NULL, NULL, NULL, 'BNAA09G04530D PROTEIN', 82863),
(139138, 'PTHR47960:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82864),
(139139, 'PTHR31315:SF9', NULL, NULL, NULL, NULL, 'OS06G0652550 PROTEIN', 82865),
(139140, 'PTHR25466:SF2', NULL, NULL, NULL, NULL, 'T-LYMPHOCYTE ACTIVATION ANTIGEN CD86', 82866),
(139141, 'PTHR24068:SF265', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1D', 82867),
(139142, 'PTHR10778:SF45', NULL, NULL, NULL, NULL, 'UAA TRANSPORTER-RELATED', 82868),
(139143, 'PTHR47963', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 47, MITOCHONDRIAL', 82869),
(139144, 'PTHR44137:SF27', NULL, NULL, NULL, NULL, 'BNAC04G29790D PROTEIN', 82870),
(139145, 'PTHR12371:SF10', NULL, NULL, NULL, NULL, 'TRANSLOCATING CHAIN-ASSOCIATED MEMBRANE PROTEIN', 82871),
(139146, 'PTHR22826:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82872),
(139147, 'PTHR34282:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82873),
(139148, 'PTHR19367:SF4', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 16', 82874),
(139149, 'PTHR30588', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT SYSTEM 2 CARRIER PROTEIN', 82875),
(139150, 'PTHR23152:SF26', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE, MITOCHONDRIAL-LIKE', 82876),
(139151, 'PTHR12428:SF51', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX18, MITOCHONDRIAL', 82877),
(139152, 'PTHR10108:SF1104', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT14-RELATED', 82878),
(139153, 'PTHR11661:SF28', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12-3', 82879),
(139154, 'PTHR24409:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82880),
(139155, 'PTHR23413:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32', 82881),
(139156, 'PTHR45618:SF9', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DICARBOXYLATE/TRICARBOXYLATE TRANSPORTER DTC', 82882),
(139157, 'PTHR24298:SF827', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 705, SUBFAMILY A, POLYPEPTIDE 8-RELATED', 82883),
(139158, 'PTHR35832:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82884),
(139159, 'PTHR24230:SF55', NULL, NULL, NULL, NULL, 'GALANIN RECEPTOR 2-LIKE PROTEIN', 82885),
(139160, 'PTHR14899', NULL, NULL, NULL, NULL, 'G KINASE ANCHORING PROTEIN 1', 82886),
(139161, 'PTHR33108:SF56', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN', 82887),
(139162, 'PTHR23241:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82888),
(139163, 'PTHR33090:SF54', NULL, NULL, NULL, NULL, 'OS02G0160900 PROTEIN', 82889),
(139164, 'PTHR12052', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEN 4A, 4B', 82890),
(139165, 'PTHR31100:SF61', NULL, NULL, NULL, NULL, 'DUF296 DOMAIN PROTEIN', 82891),
(139166, 'PTHR31992:SF168', NULL, NULL, NULL, NULL, 'BNAA03G17300D PROTEIN', 82892),
(139167, 'PTHR34846:SF6', NULL, NULL, NULL, NULL, 'ALKYL HYDROPEROXIDE REDUCTASE AHPD', 82893),
(139168, 'PTHR10835:SF13', NULL, NULL, NULL, NULL, 'SQUALENE MONOOXYGENASE', 82894),
(139169, 'PTHR45431:SF7', NULL, NULL, NULL, NULL, 'BNAA09G08130D PROTEIN', 82895),
(139170, 'PTHR13683:SF830', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82896),
(139171, 'PTHR22765:SF232', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 82897),
(139172, 'PTHR23504:SF15', NULL, NULL, NULL, NULL, 'PROTEIN ZINC INDUCED FACILITATOR-LIKE 1', 82898);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(139173, 'PTHR23233', NULL, NULL, NULL, NULL, 'SAL-LIKE PROTEIN', 82899),
(139174, 'PTHR47382:SF5', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 50-RELATED', 82900),
(139175, 'PTHR47199:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II STABILITY/ASSEMBLY FACTOR HCF136, CHLOROPLASTIC', 82901),
(139176, 'PTHR27005:SF290', NULL, NULL, NULL, NULL, 'OS02G0811200 PROTEIN', 82902),
(139177, 'PTHR43267', NULL, NULL, NULL, NULL, 'TRNA THREONYLCARBAMOYLADENOSINE DEHYDRATASE', 82903),
(139178, 'PTHR11690:SF243', NULL, NULL, NULL, NULL, 'PICKPOCKET 12-RELATED', 82904),
(139179, 'PTHR45669:SF18', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN FAMILY PROTEIN', 82905),
(139180, 'PTHR45798:SF44', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL74', 82906),
(139181, 'PTHR23515', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 2.3', 82907),
(139182, 'PTHR21566:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG11549', 82908),
(139183, 'PTHR24206:SF72', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN PLIM2A', 82909),
(139184, 'PTHR23147:SF195', NULL, NULL, NULL, NULL, 'BNAA04G14520D PROTEIN', 82910),
(139185, 'PTHR13683:SF818', NULL, NULL, NULL, NULL, 'BNAC02G00140D PROTEIN', 82911),
(139186, 'PTHR48019:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82912),
(139187, 'PTHR13032', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM21', 82913),
(139188, 'PTHR47925:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82914),
(139189, 'PTHR31213:SF130', NULL, NULL, NULL, NULL, 'BNAA02G10420D PROTEIN', 82915),
(139190, 'PTHR11736:SF143', NULL, NULL, NULL, NULL, 'MAGEB3-RELATED', 82916),
(139191, 'PTHR19845:SF13', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 82917),
(139192, 'PTHR45890:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ABKC-RELATED', 82918),
(139193, 'PTHR24399:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 572', 82919),
(139194, 'PTHR12506:SF60', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 34', 82920),
(139195, 'PTHR14221:SF39', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 82921),
(139196, 'PTHR24414:SF110', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN', 82922),
(139197, 'PTHR13748:SF64', NULL, NULL, NULL, NULL, 'COBALAMIN (VITAMIN B12) BIOSYNTHESIS COBW-LIKE,C-TERMINAL', 82923),
(139198, 'PTHR22731:SF3', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP1', 82924),
(139199, 'PTHR11742:SF77', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 82925),
(139200, 'PTHR11711:SF29', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 14', 82926),
(139201, 'PTHR11157:SF120', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 1', 82927),
(139202, 'PTHR11732:SF211', NULL, NULL, NULL, NULL, '3-OXO-5-BETA-STEROID 4-DEHYDROGENASE', 82928),
(139203, 'PTHR45969:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHA2A', 82929),
(139204, 'PTHR10026:SF120', NULL, NULL, NULL, NULL, 'CYCLIN-T1-4', 82930),
(139205, 'PTHR33159:SF59', NULL, NULL, NULL, NULL, 'RIN4, PATHOGENIC TYPE III EFFECTOR AVIRULENCE FACTOR AVR CLEAVAGE SITE-RELATED', 82931),
(139206, 'PTHR34945:SF2', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 82932),
(139207, 'PTHR16290', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SMIF  DECAPPING ENZYME DCP1', 82933),
(139208, 'PTHR12411:SF592', NULL, NULL, NULL, NULL, 'CYSTEINE ENDOPEPTIDASE', 82934),
(139209, 'PTHR12233:SF5', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 26B', 82935),
(139210, 'PTHR23073:SF99', NULL, NULL, NULL, NULL, 'BNAC03G34300D PROTEIN', 82936),
(139211, 'PTHR15363:SF3', NULL, NULL, NULL, NULL, 'POU DOMAIN CLASS 2-ASSOCIATING FACTOR 1', 82937),
(139212, 'PTHR30576:SF23', NULL, NULL, NULL, NULL, 'GLUCOSYLTRANSFERASE', 82938),
(139213, 'PTHR21058:SF2', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE', 82939),
(139214, 'PTHR26453:SF625', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10A2', 82940);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(139215, 'PTHR45744:SF25', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE TAT2-RELATED', 82941),
(139216, 'PTHR24270:SF21', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR', 82942),
(139217, 'PTHR10693:SF48', NULL, NULL, NULL, NULL, 'OS02G0497700 PROTEIN', 82943),
(139218, 'PTHR34669', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD DOMAIN-CONTAINING PROTEIN MRL7L, CHLOROPLASTIC', 82944),
(139219, 'PTHR12411:SF792', NULL, NULL, NULL, NULL, 'BNAA01G26140D PROTEIN', 82945),
(139220, 'PTHR23086:SF98', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 1', 82946),
(139221, 'PTHR34147:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82947),
(139222, 'PTHR27004:SF333', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', 82948),
(139223, 'PTHR14555:SF6', NULL, NULL, NULL, NULL, 'MYELIN-ASSOCIATED OLIGODENDROCYTE BASIC PROTEIN-RELATED', 82949),
(139224, 'PTHR32205:SF4', NULL, NULL, NULL, NULL, 'ARCHAEMETZINCIN-1', 82950),
(139225, 'PTHR10688', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING PROTEIN', 82951),
(139226, 'PTHR11062:SF204', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT15-RELATED', 82952),
(139227, 'PTHR17537', NULL, NULL, NULL, NULL, 'TRANSDUCER OF ERBB2  TOB', 82953),
(139228, 'PTHR48016:SF23', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE NPK1-LIKE ISOFORM X1', 82954),
(139229, 'PTHR10285:SF164', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT KINASE YFH7', 82955),
(139230, 'PTHR24229:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82956),
(139231, 'PTHR47926:SF108', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC-LIKE', 82957),
(139232, 'PTHR46224:SF27', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 82958),
(139233, 'PTHR24377:SF625', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 347-RELATED', 82959),
(139234, 'PTHR13586:SF0', NULL, NULL, NULL, NULL, 'TRAILER HITCH, ISOFORM H', 82960),
(139235, 'PTHR11533', NULL, NULL, NULL, NULL, 'PROTEASE M1 ZINC METALLOPROTEASE', 82961),
(139236, 'PTHR31663:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 3', 82962),
(139237, 'PTHR31798:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82963),
(139238, 'PTHR11142:SF10', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE', 82964),
(139239, 'PTHR34978', NULL, NULL, NULL, NULL, 'POSSIBLE SENSOR-TRANSDUCER PROTEIN BLAR', 82965),
(139240, 'PTHR23069:SF8', NULL, NULL, NULL, NULL, 'BNAC08G44480D PROTEIN', 82966),
(139241, 'PTHR46081:SF6', NULL, NULL, NULL, NULL, 'METHIONINE-R-SULFOXIDE REDUCTASE B2, MITOCHONDRIAL-LIKE ISOFORM X1', 82967),
(139242, 'PTHR11468:SF30', NULL, NULL, NULL, NULL, 'ALPHA-1,4 GLUCAN PHOSPHORYLASE', 82968),
(139243, 'PTHR34950:SF5', NULL, NULL, NULL, NULL, 'BNAA04G12630D PROTEIN', 82969),
(139244, 'PTHR37067', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 82970),
(139245, 'PTHR10502:SF196', NULL, NULL, NULL, NULL, 'ANNEXIN D4', 82971),
(139246, 'PTHR37821:SF1', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER YUIF-RELATED', 82972),
(139247, 'PTHR45748:SF18', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60/TCP-1 FAMILY-RELATED', 82973),
(139248, 'PTHR45619:SF35', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 82974),
(139249, 'PTHR26453:SF254', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2B2', 82975),
(139250, 'PTHR11071:SF506', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 82976),
(139251, 'PTHR33177:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 82977),
(139252, 'PTHR15241:SF304', NULL, NULL, NULL, NULL, 'OS02G0268750 PROTEIN', 82978),
(139253, 'PTHR10641:SF1264', NULL, NULL, NULL, NULL, 'BNAC01G41180D PROTEIN', 82979),
(139254, 'PTHR11447:SF21', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P73', 82980),
(139255, 'PTHR11145:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG02803', 82981),
(139256, 'PTHR47447:SF8', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', 82982),
(139257, 'PTHR12411:SF732', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG12', 82983),
(139258, 'PTHR12022:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', 82984);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(139259, 'PTHR40375:SF1', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 22', 82985),
(139260, 'PTHR24115:SF586', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 82986),
(139261, 'PTHR43272:SF63', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 9 CHLOROPLASTIC', 82987),
(139262, 'PTHR45952:SF13', NULL, NULL, NULL, NULL, 'STEM-SPECIFIC PROTEIN TSJT1-LIKE', 82988),
(139263, 'PTHR24034:SF95', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 6-LIKE PROTEIN', 82989),
(139264, 'PTHR23084:SF243', NULL, NULL, NULL, NULL, 'MORN MOTIF PROTEIN-RELATED', 82990),
(139265, 'PTHR10962:SF7', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN 2A', 82991),
(139266, 'PTHR24414:SF134', NULL, NULL, NULL, NULL, 'BNAANNG29940D PROTEIN', 82992),
(139267, 'PTHR42786', NULL, NULL, NULL, NULL, 'TRNA/RRNA METHYLTRANSFERASE', 82993),
(139268, 'PTHR11963:SF25', NULL, NULL, NULL, NULL, 'AT03383P-RELATED', 82994),
(139269, 'PTHR34763:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM104A', 82995),
(139270, 'PTHR31734:SF152', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 82996),
(139271, 'PTHR14379:SF52', NULL, NULL, NULL, NULL, 'BNAA09G38400D PROTEIN', 82997),
(139272, 'PTHR39219', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 82998),
(139273, 'PTHR24096:SF188', NULL, NULL, NULL, NULL, 'DIDEMETHYLASTERRIQUINONE D SYNTHETASE TDIA', 82999),
(139274, 'PTHR10231:SF36', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE TRANSPORTER', 83000),
(139275, 'PTHR12242:SF36', NULL, NULL, NULL, NULL, 'PROTEIN ROLLING STONE-LIKE', 83001),
(139276, 'PTHR12506:SF52', NULL, NULL, NULL, NULL, 'BNAA02G35100D PROTEIN', 83002),
(139277, 'PTHR33741', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN DDB_G0269096-RELATED', 83003),
(139278, 'PTHR24350:SF5', NULL, NULL, NULL, NULL, 'AURORA KINASE A', 83004),
(139279, 'PTHR31490:SF67', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-LIKE', 83005),
(139280, 'PTHR32227:SF371', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE', 83006),
(139281, 'PTHR22893:SF55', NULL, NULL, NULL, NULL, 'NAD(P)H:FLAVIN OXIDOREDUCTASE SYE4', 83007),
(139282, 'PTHR35470', NULL, NULL, NULL, NULL, 'CADMIUM TOLERANT 3', 83008),
(139283, 'PTHR11945:SF643', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL29', 83009),
(139284, 'PTHR26450:SF365', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 83010),
(139285, 'PTHR47967:SF72', NULL, NULL, NULL, NULL, 'BNAA02G27600D PROTEIN', 83011),
(139286, 'PTHR21499:SF59', NULL, NULL, NULL, NULL, 'ASPARTOKINASE', 83012),
(139287, 'PTHR18929:SF221', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', 83013),
(139288, 'PTHR13230', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIIC, POLYPEPTIDE 5', 83014),
(139289, 'PTHR24322:SF733', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 83015),
(139290, 'PTHR12411:SF801', NULL, NULL, NULL, NULL, 'BNAA05G09950D PROTEIN', 83016),
(139291, 'PTHR19317:SF72', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 83017),
(139292, 'PTHR11984:SF30', NULL, NULL, NULL, NULL, 'GAP JUNCTION BETA-4 PROTEIN', 83018),
(139293, 'PTHR48044:SF41', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 83019),
(139294, 'PTHR45808:SF6', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 1', 83020),
(139295, 'PTHR31596:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83021),
(139296, 'PTHR31490:SF58', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE 2', 83022),
(139297, 'PTHR31707:SF205', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 22-RELATED', 83023),
(139298, 'PTHR48053:SF55', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRI1-LIKE 2', 83024),
(139299, 'PTHR24020:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83025),
(139300, 'PTHR47293:SF19', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 25', 83026),
(139301, 'PTHR11767:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83027),
(139302, 'PTHR30603:SF13', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGC', 83028),
(139303, 'PTHR31867:SF201', NULL, NULL, NULL, NULL, 'EXPANSIN', 83029),
(139304, 'PTHR33048:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83030);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(139305, 'PTHR12560:SF37', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 3A-RELATED', 83031),
(139306, 'PTHR22601', NULL, NULL, NULL, NULL, 'ISP4 LIKE PROTEIN', 83032),
(139307, 'PTHR10454:SF206', NULL, NULL, NULL, NULL, 'CASPASE-6', 83033),
(139308, 'PTHR38426:SF1', NULL, NULL, NULL, NULL, 'MAINTENANCE OF TELOMERE CAPPING PROTEIN 4', 83034),
(139309, 'PTHR46278:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 83035),
(139310, 'PTHR31568:SF67', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN WIH1', 83036),
(139311, 'PTHR31321:SF92', NULL, NULL, NULL, NULL, 'BNAA09G15000D PROTEIN', 83037),
(139312, 'PTHR11079:SF183', NULL, NULL, NULL, NULL, 'CYTIDINE/DEOXYCYTIDYLATE DEAMINASE FAMILY PROTEIN-RELATED', 83038),
(139313, 'PTHR31265:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83039),
(139314, 'PTHR46652', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 83040),
(139315, 'PTHR37244', NULL, NULL, NULL, NULL, 'NADP-SPECIFIC GLUTAMATE DEHYDROGENASE', 83041),
(139316, 'PTHR27009:SF229', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 83042),
(139317, 'PTHR14709:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 12', 83043),
(139318, 'PTHR35145:SF3', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 83044),
(139319, 'PTHR31234:SF43', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 83045),
(139320, 'PTHR35863', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-5B C(1)-METHYLTRANSFERASE', 83046),
(139321, 'PTHR10562:SF102', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', 83047),
(139322, 'PTHR10257:SF75', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 83048),
(139323, 'PTHR23155:SF1117', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 83049),
(139324, 'PTHR47004', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 24', 83050),
(139325, 'PTHR24071:SF3', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN', 83051),
(139326, 'PTHR23023:SF81', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING] 6-RELATED', 83052),
(139327, 'PTHR26453:SF147', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 83053),
(139328, 'PTHR31992:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83054),
(139329, 'PTHR31790:SF420', NULL, NULL, NULL, NULL, 'BNAA07G05010D PROTEIN', 83055),
(139330, 'PTHR11849:SF296', NULL, NULL, NULL, NULL, 'ETS CLASS TRANSCRIPTION FACTOR', 83056),
(139331, 'PTHR33044:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83057),
(139332, 'PTHR31769:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83058),
(139333, 'PTHR36006:SF5', NULL, NULL, NULL, NULL, 'OS02G0138100 PROTEIN', 83059),
(139334, 'PTHR24286:SF245', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 85A2', 83060),
(139335, 'PTHR23121:SF17', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT GLUCOSE TRANSPORTER 1A-RELATED', 83061),
(139336, 'PTHR13439:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 56', 83062),
(139337, 'PTHR10381:SF62', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', 83063),
(139338, 'PTHR45979:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83064),
(139339, 'PTHR47295:SF6', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', 83065),
(139340, 'PTHR48056:SF15', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', 83066),
(139341, 'PTHR12864:SF56', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 9', 83067),
(139342, 'PTHR37431', NULL, NULL, NULL, NULL, 'PROTEIN CBG06927', 83068),
(139343, 'PTHR46084', NULL, NULL, NULL, NULL, 'PROTEIN MALE DISCOVERER 2', 83069),
(139344, 'PTHR45707:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83070),
(139345, 'PTHR23359:SF111', NULL, NULL, NULL, NULL, 'PROTEIN CBG04516', 83071),
(139346, 'PTHR12585:SF64', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION 1 PROTEIN 1', 83072),
(139347, 'PTHR21237:SF37', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG', 83073),
(139348, 'PTHR24064:SF518', NULL, NULL, NULL, NULL, 'MULTISPECIFIC ORGANIC ANION TRANSPORTER', 83074);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(139349, 'PTHR26453:SF21', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2W6-RELATED', 83075),
(139350, 'PTHR33127:SF35', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 83076),
(139351, 'PTHR12277:SF154', NULL, NULL, NULL, NULL, 'OS08G0487900 PROTEIN', 83077),
(139352, 'PTHR24286:SF24', NULL, NULL, NULL, NULL, 'LANOSTEROL 14-ALPHA DEMETHYLASE', 83078),
(139353, 'PTHR34772', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN HFQ', 83079),
(139354, 'PTHR47913:SF1', NULL, NULL, NULL, NULL, 'OS01G0167750 PROTEIN', 83080),
(139355, 'PTHR37294:SF1', NULL, NULL, NULL, NULL, '3''-5'' EXORIBONUCLEASE YHAM', 83081),
(139356, 'PTHR31282:SF107', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 38-RELATED', 83082),
(139357, 'PTHR31138:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83083),
(139358, 'PTHR33204:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, MARR FAMILY', 83084),
(139359, 'PTHR39535:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83085),
(139360, 'PTHR46265:SF11', NULL, NULL, NULL, NULL, 'BNAC02G44250D PROTEIN', 83086),
(139361, 'PTHR36344:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83087),
(139362, 'PTHR19878:SF8', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED 16, ISOFORM F', 83088),
(139363, 'PTHR22883:SF358', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 83089),
(139364, 'PTHR43859:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83090),
(139365, 'PTHR37415:SF1', NULL, NULL, NULL, NULL, 'CELL FUSION PROTEIN AFF-1', 83091),
(139366, 'PTHR11802:SF356', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 83092),
(139367, 'PTHR33101:SF35', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 4', 83093),
(139368, 'PTHR11706:SF88', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP5', 83094),
(139369, 'PTHR10876:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZPR1-RELATED', 83095),
(139370, 'PTHR45855:SF41', NULL, NULL, NULL, NULL, 'BNAC01G40470D PROTEIN', 83096),
(139371, 'PTHR22166:SF32', NULL, NULL, NULL, NULL, 'LUNAPARK DOMAIN-CONTAINING PROTEIN-RELATED', 83097),
(139372, 'PTHR47877:SF4', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN ECP63', 83098),
(139373, 'PTHR43435:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MPA43', 83099),
(139374, 'PTHR31561:SF7', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 83100),
(139375, 'PTHR22792:SF115', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 7', 83101),
(139376, 'PTHR11374:SF52', NULL, NULL, NULL, NULL, 'DEHYDROGENASE UGD1, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G00920)-RELATED', 83102),
(139377, 'PTHR31541:SF55', NULL, NULL, NULL, NULL, 'BNAC04G54200D PROTEIN', 83103),
(139378, 'PTHR39583:SF3', NULL, NULL, NULL, NULL, 'PREPILIN PEPTIDASE-DEPENDENT PROTEIN B', 83104),
(139379, 'PTHR23291:SF84', NULL, NULL, NULL, NULL, 'INHIBITOR OF APOPTOSIS-PROMOTING BAX1 PROTEIN', 83105),
(139380, 'PTHR26453:SF293', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 13 SUBFAMILY G MEMBER 1', 83106),
(139381, 'PTHR33548:SF15', NULL, NULL, NULL, NULL, 'OS10G0452700 PROTEIN', 83107),
(139382, 'PTHR45803:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-10', 83108),
(139383, 'PTHR31642:SF252', NULL, NULL, NULL, NULL, 'BNACNNG03180D PROTEIN', 83109),
(139384, 'PTHR21679:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG05111', 83110),
(139385, 'PTHR10426:SF95', NULL, NULL, NULL, NULL, 'OS06G0623700 PROTEIN', 83111),
(139386, 'PTHR46327:SF15', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 83112),
(139387, 'PTHR22912:SF211', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE 2, MITOCHONDRIAL', 83113),
(139388, 'PTHR34570:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 83114),
(139389, 'PTHR30618:SF0', NULL, NULL, NULL, NULL, 'PURINE-URACIL PERMEASE NCS1', 83115),
(139390, 'PTHR21281:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 DOMAIN-CONTAINING PROTEIN 1', 83116),
(139391, 'PTHR45688:SF11', NULL, NULL, NULL, NULL, 'ALANINE--GLYOXYLATE AMINOTRANSFERASE 2 HOMOLOG 3, MITOCHONDRIAL', 83117),
(139392, 'PTHR39465', NULL, NULL, NULL, NULL, 'DNA LIGASE D, 3''-PHOSPHOESTERASE DOMAIN', 83118),
(139393, 'PTHR45967:SF24', NULL, NULL, NULL, NULL, 'OS05G0569300 PROTEIN', 83119);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(139394, 'PTHR13251:SF4', NULL, NULL, NULL, NULL, 'CLUB-RELATED', 83120),
(139395, 'PTHR24637:SF235', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 2', 83121),
(139396, 'PTHR31140:SF94', NULL, NULL, NULL, NULL, 'BNAA09G03240D PROTEIN', 83122),
(139397, 'PTHR21454', NULL, NULL, NULL, NULL, 'DPH3 HOMOLOG-RELATED', 83123),
(139398, 'PTHR35041:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 1', 83124),
(139399, 'PTHR12002:SF110', NULL, NULL, NULL, NULL, 'CLAUDIN-2', 83125),
(139400, 'PTHR35205', NULL, NULL, NULL, NULL, 'NB-ARC AND TPR DOMAIN PROTEIN', 83126),
(139401, 'PTHR33882:SF11', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', 83127),
(139402, 'PTHR33109:SF54', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 2', 83128),
(139403, 'PTHR10742:SF393', NULL, NULL, NULL, NULL, 'SPERMINE OXIDASE', 83129),
(139404, 'PTHR31625:SF44', NULL, NULL, NULL, NULL, 'PHENOLIC GLUCOSIDE MALONYLTRANSFERASE 1', 83130),
(139405, 'PTHR30105:SF2', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', 83131),
(139406, 'PTHR21496:SF18', NULL, NULL, NULL, NULL, 'RIESKE (FE-S) DOMAIN-CONTAINING', 83132),
(139407, 'PTHR33385:SF16', NULL, NULL, NULL, NULL, 'PROTEIN XRI1-LIKE ISOFORM X1', 83133),
(139408, 'PTHR31147:SF51', NULL, NULL, NULL, NULL, 'PF02458-FAMILY ACYL TRANSFERASE 2-RELATED', 83134),
(139409, 'PTHR45675:SF3', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN PROTEIN', 83135),
(139410, 'PTHR23073:SF98', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 6B HOMOLOG', 83136),
(139411, 'PTHR15836:SF4', NULL, NULL, NULL, NULL, 'PERIPHILIN-1', 83137),
(139412, 'PTHR11548:SF10', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DIHYDROFOLATE REDUCTASE-THYMIDYLATE SYNTHASE', 83138),
(139413, 'PTHR14155:SF502', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 83139),
(139414, 'PTHR11070:SF55', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE-RELATED', 83140),
(139415, 'PTHR22801:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83141),
(139416, 'PTHR47975:SF39', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPM1', 83142),
(139417, 'PTHR33124:SF62', NULL, NULL, NULL, NULL, 'BNAA08G13180D PROTEIN', 83143),
(139418, 'PTHR31580:SF19', NULL, NULL, NULL, NULL, 'FILAMENT-PLANT-LIKE PROTEIN', 83144),
(139419, 'PTHR23123:SF10', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 2B', 83145),
(139420, 'PTHR23064:SF43', NULL, NULL, NULL, NULL, 'CALCIUM BINDING PROTEIN 4', 83146),
(139421, 'PTHR11709:SF382', NULL, NULL, NULL, NULL, 'MULTI-COPPER OXIDASE-LIKE PROTEIN', 83147),
(139422, 'PTHR45619:SF27', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-3 CATALYTIC SUBUNIT', 83148),
(139423, 'PTHR48013', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 5-RELATED', 83149),
(139424, 'PTHR12801:SF137', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE PQE-1-RELATED', 83150),
(139425, 'PTHR45644:SF35', NULL, NULL, NULL, NULL, 'P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', 83151),
(139426, 'PTHR10536:SF1', NULL, NULL, NULL, NULL, 'DNA PRIMASE', 83152),
(139427, 'PTHR13199:SF13', NULL, NULL, NULL, NULL, 'PROTEIN FAM214A', 83153),
(139428, 'PTHR47928:SF123', NULL, NULL, NULL, NULL, 'OS06G0597500 PROTEIN', 83154),
(139429, 'PTHR11306:SF34', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL/PHOSPHATIDYLINOSITOL TRANSFER PROTEIN DDB_G0282179 ISOFORM X1-RELATED', 83155),
(139430, 'PTHR31042:SF14', NULL, NULL, NULL, NULL, 'OS07G0158800 PROTEIN', 83156),
(139431, 'PTHR30013:SF6', NULL, NULL, NULL, NULL, 'HYDROGENASE-1 SMALL CHAIN', 83157),
(139432, 'PTHR24377:SF140', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 354C', 83158),
(139433, 'PTHR16441:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG07325', 83159),
(139434, 'PTHR33257:SF6', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING 4B-LIKE PROTEIN-RELATED', 83160),
(139435, 'PTHR46159:SF12', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 2', 83161),
(139436, 'PTHR31929:SF52', NULL, NULL, NULL, NULL, 'BNAC04G29280D PROTEIN', 83162);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(139437, 'PTHR43708:SF5', NULL, NULL, NULL, NULL, 'CONSERVED EXPRESSED OXIDOREDUCTASE (EUROFUNG)', 83163),
(139438, 'PTHR35526:SF5', NULL, NULL, NULL, NULL, 'SERINE-PROTEIN KINASE RSBW', 83164),
(139439, 'PTHR48056', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 83165),
(139440, 'PTHR48017:SF52', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 83166),
(139441, 'PTHR31651:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 7', 83167),
(139442, 'PTHR11814:SF224', NULL, NULL, NULL, NULL, 'BNAC07G32580D PROTEIN', 83168),
(139443, 'PTHR35903', NULL, NULL, NULL, NULL, 'FLAGELLIN B1', 83169),
(139444, 'PTHR31279:SF7', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 3', 83170),
(139445, 'PTHR24321', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 83171),
(139446, 'PTHR11002:SF58', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 83172),
(139447, 'PTHR32227:SF232', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE BG1-RELATED', 83173),
(139448, 'PTHR14728', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 83174),
(139449, 'PTHR33701:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83175),
(139450, 'PTHR10783:SF96', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 2', 83176),
(139451, 'PTHR10562:SF94', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', 83177),
(139452, 'PTHR42940:SF5', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 2', 83178),
(139453, 'PTHR48019:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83179),
(139454, 'PTHR34147', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 83180),
(139455, 'PTHR11604:SF48', NULL, NULL, NULL, NULL, 'PROFILIN', 83181),
(139456, 'PTHR28008:SF1', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10980)-RELATED', 83182),
(139457, 'PTHR22552:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG04410', 83183),
(139458, 'PTHR35810:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 83184),
(139459, 'PTHR47126:SF3', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE-LIKE 7', 83185),
(139460, 'PTHR42748:SF8', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G01860)', 83186),
(139461, 'PTHR45613:SF82', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 83187),
(139462, 'PTHR10994:SF156', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 83188),
(139463, 'PTHR47924:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83189),
(139464, 'PTHR42697:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 8', 83190),
(139465, 'PTHR31165:SF99', NULL, NULL, NULL, NULL, 'BNAA04G28750D PROTEIN', 83191),
(139466, 'PTHR42844', NULL, NULL, NULL, NULL, 'DIHYDRONEOPTERIN ALDOLASE 1-RELATED', 83192),
(139467, 'PTHR20515:SF12', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 3-RELATED', 83193),
(139468, 'PTHR21052', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS ASSOCIATED 11-RELATED', 83194),
(139469, 'PTHR24366:SF73', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT NEURONAL 3A', 83195),
(139470, 'PTHR30094', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL GLUTATHIONYLSPERMIDINE SYNTHETASE/AMIDASE-RELATED', 83196),
(139471, 'PTHR13078:SF62', NULL, NULL, NULL, NULL, 'BLL5333 PROTEIN', 83197),
(139472, 'PTHR24416:SF549', NULL, NULL, NULL, NULL, 'PROTEIN CBG00445', 83198),
(139473, 'PTHR43071', NULL, NULL, NULL, NULL, '2-AMINO-4-HYDROXY-6-HYDROXYMETHYLDIHYDROPTERIDINE PYROPHOSPHOKINASE', 83199),
(139474, 'PTHR24193', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', 83200),
(139475, 'PTHR37249:SF3', NULL, NULL, NULL, NULL, 'BNAANNG14020D PROTEIN', 83201),
(139476, 'PTHR12628:SF10', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN PCL', 83202),
(139477, 'PTHR47929:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83203),
(139478, 'PTHR14768:SF3', NULL, NULL, NULL, NULL, 'SYNAPSE DIFFERENTIATION-INDUCING GENE PROTEIN 1', 83204),
(139479, 'PTHR32285:SF204', NULL, NULL, NULL, NULL, 'OS05G0426300 PROTEIN', 83205),
(139480, 'PTHR13884:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83206),
(139481, 'PTHR24377:SF730', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 548', 83207);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(139482, 'PTHR46168:SF21', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 2-RELATED', 83208),
(139483, 'PTHR19134:SF510', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE RECEPTOR TYPE O', 83209),
(139484, 'PTHR46991:SF16', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP20/ALPHA CRYSTALLIN FAMILY', 83210),
(139485, 'PTHR13878:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83211),
(139486, 'PTHR23236:SF77', NULL, NULL, NULL, NULL, 'BNAA08G02930D PROTEIN', 83212),
(139487, 'PTHR24302:SF20', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 3A5', 83213),
(139488, 'PTHR11566:SF200', NULL, NULL, NULL, NULL, 'BNAC06G10080D PROTEIN', 83214),
(139489, 'PTHR27009:SF100', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', 83215),
(139490, 'PTHR11937:SF154', NULL, NULL, NULL, NULL, 'ACTIN-17-RELATED', 83216),
(139491, 'PTHR33148:SF58', NULL, NULL, NULL, NULL, 'PLASTID MOVEMENT IMPAIRED PROTEIN', 83217),
(139492, 'PTHR47269:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP21-3, MITOCHONDRIAL', 83218),
(139493, 'PTHR43601:SF5', NULL, NULL, NULL, NULL, 'EG:132E8.3 PROTEIN', 83219),
(139494, 'PTHR11304:SF4', NULL, NULL, NULL, NULL, 'EPHRIN-A2', 83220),
(139495, 'PTHR14304:SF11', NULL, NULL, NULL, NULL, 'CCAR1 HOMOLOG', 83221),
(139496, 'PTHR15732', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 83222),
(139497, 'PTHR11932:SF158', NULL, NULL, NULL, NULL, 'BNAC03G30850D PROTEIN', 83223),
(139498, 'PTHR13339:SF0', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 8', 83224),
(139499, 'PTHR16442', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 17', 83225),
(139500, 'PTHR11952:SF6', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLHEXOSAMINE PYROPHOSPHORYLASE-LIKE PROTEIN 1', 83226),
(139501, 'PTHR36775', NULL, NULL, NULL, NULL, 'LYR MOTIF PROTEIN', 83227),
(139502, 'PTHR31311:SF27', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 2-LIKE', 83228),
(139503, 'PTHR22957:SF567', NULL, NULL, NULL, NULL, 'GROWTH HORMONE-REGULATED TBC PROTEIN 1B', 83229),
(139504, 'PTHR24416:SF509', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83230),
(139505, 'PTHR24349:SF64', NULL, NULL, NULL, NULL, 'MAP KINASE-ACTIVATED PROTEIN KINASE 3', 83231),
(139506, 'PTHR33165:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83232),
(139507, 'PTHR30175', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM TRANSPORT PROTEIN', 83233),
(139508, 'PTHR10434:SF47', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', 83234),
(139509, 'PTHR45613:SF207', NULL, NULL, NULL, NULL, 'OS10G0495100 PROTEIN', 83235),
(139510, 'PTHR18914:SF30', NULL, NULL, NULL, NULL, 'VINCULIN/ALPHA-CATENIN FAMILY MEMBER 1', 83236),
(139511, 'PTHR31550', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 83237),
(139512, 'PTHR11950:SF39', NULL, NULL, NULL, NULL, 'RUNT-RELATED TRANSCRIPTION FACTOR', 83238),
(139513, 'PTHR12460:SF23', NULL, NULL, NULL, NULL, 'OS01G0925000 PROTEIN', 83239),
(139514, 'PTHR34230:SF2', NULL, NULL, NULL, NULL, 'ASSEMBLY ABNORMAL PROTEIN 6, PUTATIVE-RELATED', 83240),
(139515, 'PTHR43572:SF51', NULL, NULL, NULL, NULL, 'BNACNNG70640D PROTEIN', 83241),
(139516, 'PTHR37935', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 83242),
(139517, 'PTHR43416:SF30', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE SUCCINYLTRANSFERASE COMPONENT OF 2-OXOGLUTARATE DEHYDROGENASE COMPLEX 2, MITOCHONDRIAL-LIKE ISOFORM X1', 83243),
(139518, 'PTHR10015:SF317', NULL, NULL, NULL, NULL, 'SHOCK TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 83244),
(139519, 'PTHR12675:SF4', NULL, NULL, NULL, NULL, 'MUSCLEBLIND-LIKE PROTEIN 2', 83245),
(139520, 'PTHR45757:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG12162', 83246),
(139521, 'PTHR32227', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE BG1-RELATED-RELATED', 83247),
(139522, 'PTHR12357:SF67', NULL, NULL, NULL, NULL, 'HIGH-GLUCOSE-REGULATED PROTEIN 8-LIKE', 83248),
(139523, 'PTHR48017:SF90', NULL, NULL, NULL, NULL, 'BNAA04G11440D PROTEIN', 83249),
(139524, 'PTHR11804:SF77', NULL, NULL, NULL, NULL, 'OLIGOENDOPEPTIDASE', 83250),
(139525, 'PTHR24044:SF470', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 4', 83251);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(139526, 'PTHR37724:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83252),
(139527, 'PTHR31669:SF226', NULL, NULL, NULL, NULL, 'OS07G0141500 PROTEIN', 83253),
(139528, 'PTHR11132:SF433', NULL, NULL, NULL, NULL, 'GDP-MANNOSE TRANSPORTER GONST3-LIKE', 83254),
(139529, 'PTHR11860:SF82', NULL, NULL, NULL, NULL, 'POLYMERIC IMMUNOGLOBULIN RECEPTOR', 83255),
(139530, 'PTHR42210:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE II LARGE SUBUNIT', 83256),
(139531, 'PTHR15678:SF13', NULL, NULL, NULL, NULL, 'BNAC08G46670D PROTEIN', 83257),
(139532, 'PTHR43245:SF30', NULL, NULL, NULL, NULL, 'UDP-D-APIOSE/UDP-D-XYLOSE SYNTHASE 1', 83258),
(139533, 'PTHR45255', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 24', 83259),
(139534, 'PTHR31395:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-5', 83260),
(139535, 'PTHR31852:SF221', NULL, NULL, NULL, NULL, 'BNAA02G05270D PROTEIN', 83261),
(139536, 'PTHR44378:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83262),
(139537, 'PTHR11915:SF422', NULL, NULL, NULL, NULL, 'SPECTRIN ALPHA, NON-ERYTHROCYTIC 1', 83263),
(139538, 'PTHR46734:SF3', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR 1', 83264),
(139539, 'PTHR31361:SF15', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 83265),
(139540, 'PTHR21431', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 6', 83266),
(139541, 'PTHR35723:SF1', NULL, NULL, NULL, NULL, 'POLYPHOSPHATIDYLINOSITOL PHOSPHATASE', 83267),
(139542, 'PTHR13468:SF7', NULL, NULL, NULL, NULL, 'OS03G0412900 PROTEIN', 83268),
(139543, 'PTHR23349:SF68', NULL, NULL, NULL, NULL, 'FI14601P', 83269),
(139544, 'PTHR10209:SF757', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 83270),
(139545, 'PTHR12062:SF4', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE A', 83271),
(139546, 'PTHR37293:SF6', NULL, NULL, NULL, NULL, 'DNA REPLICATION PROTEIN DNAD', 83272),
(139547, 'PTHR22988:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG04771', 83273),
(139548, 'PTHR24412:SF452', NULL, NULL, NULL, NULL, 'SPERMATOCYTE PROTEIN SPE-26', 83274),
(139549, 'PTHR12461', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE FACTOR 1 ALPHA INHIBITOR-RELATED', 83275),
(139550, 'PTHR11655:SF35', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L6-RELATED', 83276),
(139551, 'PTHR22847:SF624', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM BINDING DOMAIN 8', 83277),
(139552, 'PTHR24264:SF15', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2210010C04 GENE', 83278),
(139553, 'PTHR40626:SF18', NULL, NULL, NULL, NULL, 'NICOTINATE CATABOLISM CLUSTER-SPECIFIC TRANSCRIPTION FACTOR', 83279),
(139554, 'PTHR14534', NULL, NULL, NULL, NULL, 'VACUOLAR IMPORT AND DEGRADATION PROTEIN 24', 83280),
(139555, 'PTHR11232:SF33', NULL, NULL, NULL, NULL, 'PROTEIN NUMB HOMOLOG', 83281),
(139556, 'PTHR23406:SF66', NULL, NULL, NULL, NULL, 'MALIC ENZYME', 83282),
(139557, 'PTHR31752:SF43', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', 83283),
(139558, 'PTHR24377:SF187', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 480', 83284),
(139559, 'PTHR24377:SF197', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 320', 83285),
(139560, 'PTHR47895', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH DOMAIN-CONTAINING PROTEIN RAR1', 83286),
(139561, 'PTHR31752:SF57', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', 83287),
(139562, 'PTHR34670', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 83288),
(139563, 'PTHR42898:SF27', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE 2', 83289),
(139564, 'PTHR13878:SF47', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G12070)', 83290),
(139565, 'PTHR12127:SF4', NULL, NULL, NULL, NULL, 'MUCOLIPIN-2', 83291),
(139566, 'PTHR48050:SF12', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 1-3-RELATED', 83292),
(139567, 'PTHR28083:SF2', NULL, NULL, NULL, NULL, 'QDE-2-INTERACTING PROTEIN', 83293),
(139568, 'PTHR34154:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83294),
(139569, 'PTHR11210:SF50', NULL, NULL, NULL, NULL, 'BNAA03G56030D PROTEIN', 83295); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(139570, 'PTHR45654:SF63', NULL, NULL, NULL, NULL, 'BNAA05G32490D PROTEIN', 83296),
(139571, 'PTHR33784:SF34', NULL, NULL, NULL, NULL, 'BNAC02G24560D PROTEIN', 83297),
(139572, 'PTHR47928:SF145', NULL, NULL, NULL, NULL, 'PPR SUPERFAMILY PROTEIN', 83298),
(139573, 'PTHR12601:SF41', NULL, NULL, NULL, NULL, 'SI:CH211-166A6.5', 83299),
(139574, 'PTHR38450:SF2', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN AEB', 83300),
(139575, 'PTHR46870:SF1', NULL, NULL, NULL, NULL, 'BNAC09G13590D PROTEIN', 83301),
(139576, 'PTHR39181:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE YWQE', 83302),
(139577, 'PTHR10978:SF3', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE CYTOCHROME B560 SUBUNIT, MITOCHONDRIAL', 83303),
(139578, 'PTHR36356', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 83304),
(139579, 'PTHR31442:SF19', NULL, NULL, NULL, NULL, 'OS01G0844900 PROTEIN', 83305),
(139580, 'PTHR31080:SF76', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.21-LIKE PROTEIN', 83306),
(139581, 'PTHR10529:SF341', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT MU-2', 83307),
(139582, 'PTHR31190:SF252', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ABR1', 83308),
(139583, 'PTHR46301:SF35', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX', 83309),
(139584, 'PTHR24282:SF196', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714C2', 83310),
(139585, 'PTHR47942:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83311),
(139586, 'PTHR15642', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 3, MITOCHONDRIAL', 83312),
(139587, 'PTHR10547:SF4', NULL, NULL, NULL, NULL, 'SEMENOGELIN-1', 83313),
(139588, 'PTHR31140:SF103', NULL, NULL, NULL, NULL, 'BNAA05G27480D PROTEIN', 83314),
(139589, 'PTHR13859', NULL, NULL, NULL, NULL, 'ATROPHIN-RELATED', 83315),
(139590, 'PTHR45660:SF18', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH7-RELATED', 83316),
(139591, 'PTHR11773:SF8', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM P PROTEIN', 83317),
(139592, 'PTHR24243:SF218', NULL, NULL, NULL, NULL, 'ETHR, ISOFORM A', 83318),
(139593, 'PTHR16514:SF4', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR CLASS A DOMAIN-CONTAINING PROTEIN 4', 83319),
(139594, 'PTHR23076:SF120', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 83320),
(139595, 'PTHR32212:SF367', NULL, NULL, NULL, NULL, 'BNAC08G40610D PROTEIN', 83321),
(139596, 'PTHR22298:SF36', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 25', 83322),
(139597, 'PTHR11711', NULL, NULL, NULL, NULL, 'ADP RIBOSYLATION FACTOR-RELATED', 83323),
(139598, 'PTHR46248:SF11', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1-LIKE PROTEIN', 83324),
(139599, 'PTHR12396', NULL, NULL, NULL, NULL, 'METHYL-CPG BINDING PROTEIN, MBD', 83325),
(139600, 'PTHR15192:SF15', NULL, NULL, NULL, NULL, 'OXIDATIVE STRESS-INDUCED GROWTH INHIBITOR 1', 83326),
(139601, 'PTHR47605:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ELONGATION REGULATOR MINIYO', 83327),
(139602, 'PTHR31265:SF28', NULL, NULL, NULL, NULL, 'EMB|CAB87702.1', 83328),
(139603, 'PTHR46157:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE-REGULATED POTASSIUM-EFFLUX SYSTEM PROTEIN KEFC', 83329),
(139604, 'PTHR12081:SF88', NULL, NULL, NULL, NULL, 'E2F-DP TRANSCRIPTION FACTOR', 83330),
(139605, 'PTHR31388:SF139', NULL, NULL, NULL, NULL, 'PEROXIDASE 53', 83331),
(139606, 'PTHR11353:SF204', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT DELTA', 83332),
(139607, 'PTHR11246:SF3', NULL, NULL, NULL, NULL, 'CROOKED NECK-LIKE PROTEIN 1', 83333),
(139608, 'PTHR47711', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 16, CHLOROPLASTIC', 83334),
(139609, 'PTHR45809:SF3', NULL, NULL, NULL, NULL, 'VIRAL IAP-ASSOCIATED FACTOR HOMOLOG', 83335),
(139610, 'PTHR14154:SF91', NULL, NULL, NULL, NULL, 'BNAA06G35590D PROTEIN', 83336),
(139611, 'PTHR33332:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83337),
(139612, 'PTHR47745', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 2', 83338),
(139613, 'PTHR45282', NULL, NULL, NULL, NULL, 'OS03G0858400 PROTEIN', 83339);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(139614, 'PTHR23340:SF0', NULL, NULL, NULL, NULL, 'SURP AND G PATCH DOMAIN-CONTAINING 1', 83340),
(139615, 'PTHR13568:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 185A', 83341),
(139616, 'PTHR14155:SF522', NULL, NULL, NULL, NULL, 'OS06G0537600 PROTEIN', 83342),
(139617, 'PTHR13609:SF28', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN CONTAINING 1', 83343),
(139618, 'PTHR19861:SF5', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 83344),
(139619, 'PTHR22811:SF188', NULL, NULL, NULL, NULL, 'BNAA02G29660D PROTEIN', 83345),
(139620, 'PTHR13052:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR RELATED TO KAPPA-B-BINDING PROTEIN', 83346),
(139621, 'PTHR47337:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 83347),
(139622, 'PTHR11260:SF630', NULL, NULL, NULL, NULL, 'BNAA07G09610D PROTEIN', 83348),
(139623, 'PTHR31589:SF50', NULL, NULL, NULL, NULL, 'EMBRYO-SAC BASAL-ENDOSPERM-LAYER EMBRYO-SURROUNDING-REGION2', 83349),
(139624, 'PTHR48094:SF14', NULL, NULL, NULL, NULL, 'INTRACELLULAR PROTEASE/AMIDASE-RELATED', 83350),
(139625, 'PTHR22950:SF645', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83351),
(139626, 'PTHR46567:SF2', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II TRANSCRIPTION MEDIATORS PROTEIN', 83352),
(139627, 'PTHR10362:SF41', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE 2', 83353),
(139628, 'PTHR13809:SF1', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-11', 83354),
(139629, 'PTHR31319:SF63', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GHD7', 83355),
(139630, 'PTHR15486:SF81', NULL, NULL, NULL, NULL, 'HAD-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 83356),
(139631, 'PTHR46609:SF3', NULL, NULL, NULL, NULL, 'EXONUCLEASE, PHAGE-TYPE/RECB, C-TERMINAL DOMAIN-CONTAINING PROTEIN', 83357),
(139632, 'PTHR31731:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83358),
(139633, 'PTHR10177:SF428', NULL, NULL, NULL, NULL, 'CYCLIN-D3-2', 83359),
(139634, 'PTHR24408:SF30', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 148', 83360),
(139635, 'PTHR13718:SF94', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S5, CHLOROPLASTIC', 83361),
(139636, 'PTHR24006:SF796', NULL, NULL, NULL, NULL, 'UBL CARBOXYL-TERMINAL HYDROLASE 18-RELATED', 83362),
(139637, 'PTHR13140:SF762', NULL, NULL, NULL, NULL, 'MYOSIN-13', 83363),
(139638, 'PTHR10458:SF17', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE', 83364),
(139639, 'PTHR31225:SF160', NULL, NULL, NULL, NULL, 'TRICYCLENE SYNTHASE, CHLOROPLASTIC', 83365),
(139640, 'PTHR21426:SF15', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO84A', 83366),
(139641, 'PTHR45687:SF57', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', 83367),
(139642, 'PTHR21654:SF83', NULL, NULL, NULL, NULL, 'BNAANNG11490D PROTEIN', 83368),
(139643, 'PTHR47975:SF21', NULL, NULL, NULL, NULL, 'LECTIN PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 83369),
(139644, 'PTHR47592:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83370),
(139645, 'PTHR11905:SF26', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPEPTIDASE DOMAIN 3', 83371),
(139646, 'PTHR36813', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 83372),
(139647, 'PTHR47960:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83373),
(139648, 'PTHR37245:SF5', NULL, NULL, NULL, NULL, 'BNAA08G13710D PROTEIN', 83374),
(139649, 'PTHR31901:SF88', NULL, NULL, NULL, NULL, 'BNACNNG28110D PROTEIN', 83375),
(139650, 'PTHR15107:SF3', NULL, NULL, NULL, NULL, 'RBBP8 N-TERMINAL-LIKE PROTEIN', 83376),
(139651, 'PTHR46142:SF16', NULL, NULL, NULL, NULL, 'BNAA06G10060D PROTEIN', 83377),
(139652, 'PTHR27002:SF712', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83378),
(139653, 'PTHR10666:SF376', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83379),
(139654, 'PTHR34960:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83380),
(139655, 'PTHR23232:SF87', NULL, NULL, NULL, NULL, 'GENE, 28044-RELATED', 83381),
(139656, 'PTHR31989:SF150', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 57', 83382),
(139657, 'PTHR38568:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83383);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(139658, 'PTHR23500:SF38', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE, EXPRESSED-RELATED', 83384),
(139659, 'PTHR33107:SF53', NULL, NULL, NULL, NULL, 'BNAC09G12270D PROTEIN', 83385),
(139660, 'PTHR15858:SF4', NULL, NULL, NULL, NULL, 'YOS1-LIKE PROTEIN', 83386),
(139661, 'PTHR27006:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83387),
(139662, 'PTHR10913:SF16', NULL, NULL, NULL, NULL, 'FOLLISTATIN-RELATED PROTEIN 3', 83388),
(139663, 'PTHR12302:SF20', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', 83389),
(139664, 'PTHR21068', NULL, NULL, NULL, NULL, 'SPARTIN', 83390),
(139665, 'PTHR38655', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 4930524B15', 83391),
(139666, 'PTHR33077:SF60', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 4B-LIKE ISOFORM X1', 83392),
(139667, 'PTHR12010:SF13', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S29', 83393),
(139668, 'PTHR20978:SF0', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 5', 83394),
(139669, 'PTHR34368:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-LIKE', 83395),
(139670, 'PTHR40642:SF1', NULL, NULL, NULL, NULL, 'YALI0F31295P', 83396),
(139671, 'PTHR44329:SF23', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 7-LIKE-RELATED', 83397),
(139672, 'PTHR46044:SF6', NULL, NULL, NULL, NULL, 'OS02G0635000 PROTEIN', 83398),
(139673, 'PTHR12320:SF60', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 26-RELATED', 83399),
(139674, 'PTHR28019', NULL, NULL, NULL, NULL, 'CELL MEMBRANE PROTEIN YLR413W-RELATED', 83400),
(139675, 'PTHR11260:SF659', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE GST 23-LIKE', 83401),
(139676, 'PTHR21668', NULL, NULL, NULL, NULL, 'EIF-1A', 83402),
(139677, 'PTHR22422:SF5', NULL, NULL, NULL, NULL, 'SINGLE-PASS MEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 2', 83403),
(139678, 'PTHR11604:SF37', NULL, NULL, NULL, NULL, 'PROFILIN', 83404),
(139679, 'PTHR11430:SF70', NULL, NULL, NULL, NULL, 'UTEROCALIN', 83405),
(139680, 'PTHR10113', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1', 83406),
(139681, 'PTHR26453:SF303', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2Y1', 83407),
(139682, 'PTHR48018:SF156', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR K4H17-RELATED', 83408),
(139683, 'PTHR35316:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83409),
(139684, 'PTHR40695', NULL, NULL, NULL, NULL, '4-PHOSPHOPANTOATE--BETA-ALANINE LIGASE', 83410),
(139685, 'PTHR13690:SF111', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 83411),
(139686, 'PTHR35006', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G14830)', 83412),
(139687, 'PTHR33736:SF21', NULL, NULL, NULL, NULL, 'BNAA04G15790D PROTEIN', 83413),
(139688, 'PTHR10887:SF470', NULL, NULL, NULL, NULL, 'NFX1-TYPE ZINC FINGER-CONTAINING PROTEIN 1', 83414),
(139689, 'PTHR34491:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83415),
(139690, 'PTHR32370:SF147', NULL, NULL, NULL, NULL, 'BNAC05G01630D PROTEIN', 83416),
(139691, 'PTHR34612:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83417),
(139692, 'PTHR46168:SF8', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 1', 83418),
(139693, 'PTHR43706:SF17', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE (EUROFUNG)', 83419),
(139694, 'PTHR48052:SF25', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXC2', 83420),
(139695, 'PTHR32080:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83421),
(139696, 'PTHR47927', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 83422),
(139697, 'PTHR11431:SF97', NULL, NULL, NULL, NULL, 'FERRITIN HEAVY POLYPEPTIDE-LIKE 17-RELATED', 83423),
(139698, 'PTHR34806:SF7', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER', 83424),
(139699, 'PTHR31371:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83425),
(139700, 'PTHR13826:SF18', NULL, NULL, NULL, NULL, 'TREFOIL FACTOR 1', 83426),
(139701, 'PTHR45901:SF6', NULL, NULL, NULL, NULL, 'LIPOXYGENASE HOMOLOGY DOMAIN-CONTAINING PROTEIN 1', 83427),
(139702, 'PTHR38764', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN PHOSPHODIESTERASE', 83428),
(139703, 'PTHR23338:SF50', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', 83429);
INSERT INTO "PUBLIC"."MODEL" VALUES
(139704, 'PTHR15599:SF3', NULL, NULL, NULL, NULL, 'RADIAL SPIKE PROTEIN 8', 83430),
(139705, 'PTHR11782:SF3', NULL, NULL, NULL, NULL, 'APYRASE 7-RELATED', 83431),
(139706, 'PTHR45125:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83432),
(139707, 'PTHR47975:SF34', NULL, NULL, NULL, NULL, 'OS07G0553633 PROTEIN', 83433),
(139708, 'PTHR11010:SF11', NULL, NULL, NULL, NULL, 'PEPTIDASE S28 FAMILY PROTEIN', 83434),
(139709, 'PTHR11783:SF267', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 83435),
(139710, 'PTHR15629:SF35', NULL, NULL, NULL, NULL, 'LAS17 BINDING PROTEIN-LIKE', 83436),
(139711, 'PTHR47119:SF1', NULL, NULL, NULL, NULL, 'PLANT VIRAL-RESPONSE FAMILY PROTEIN', 83437),
(139712, 'PTHR46206:SF4', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 83438),
(139713, 'PTHR45647:SF31', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', 83439),
(139714, 'PTHR33640:SF21', NULL, NULL, NULL, NULL, 'BNAA06G40750D PROTEIN', 83440),
(139715, 'PTHR13020:SF25', NULL, NULL, NULL, NULL, 'PROTEIN GAWKY', 83441),
(139716, 'PTHR13542:SF1', NULL, NULL, NULL, NULL, 'BNAANNG16350D PROTEIN', 83442),
(139717, 'PTHR47925:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83443),
(139718, 'PTHR34450:SF6', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 230-RELATED', 83444),
(139719, 'PTHR24062:SF152', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 83445),
(139720, 'PTHR33110:SF29', NULL, NULL, NULL, NULL, 'OS01G0660700 PROTEIN', 83446),
(139721, 'PTHR32212:SF258', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 83447),
(139722, 'PTHR35006:SF3', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G06020)', 83448),
(139723, 'PTHR39427', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 83449),
(139724, 'PTHR31561:SF125', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 83450),
(139725, 'PTHR24228:SF21', NULL, NULL, NULL, NULL, 'APELIN RECEPTOR 2', 83451),
(139726, 'PTHR10256:SF2', NULL, NULL, NULL, NULL, 'SELENIDE, WATER DIKINASE 1', 83452),
(139727, 'PTHR46300:SF7', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 83453),
(139728, 'PTHR31769:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83454),
(139729, 'PTHR10639:SF12', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN 1', 83455),
(139730, 'PTHR32401:SF21', NULL, NULL, NULL, NULL, 'LECTIN-LIKE PROTEIN-RELATED', 83456),
(139731, 'PTHR24326:SF596', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83457),
(139732, 'PTHR11960:SF46', NULL, NULL, NULL, NULL, 'BNAC01G40840D PROTEIN', 83458),
(139733, 'PTHR21192:SF4', NULL, NULL, NULL, NULL, 'BNAC04G03830D PROTEIN', 83459),
(139734, 'PTHR23024:SF372', NULL, NULL, NULL, NULL, 'STERYL ACETYL HYDROLASE 1', 83460),
(139735, 'PTHR31080:SF18', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 1', 83461),
(139736, 'PTHR33120:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83462),
(139737, 'PTHR30578:SF1', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT B', 83463),
(139738, 'PTHR11214:SF269', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 1-RELATED', 83464),
(139739, 'PTHR28245:SF1', NULL, NULL, NULL, NULL, 'ARF3-INTERACTING PROTEIN 1', 83465),
(139740, 'PTHR11730:SF29', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 3-RELATED', 83466),
(139741, 'PTHR30573:SF0', NULL, NULL, NULL, NULL, 'QUINOLINATE SYNTHASE, CHLOROPLASTIC', 83467),
(139742, 'PTHR24064:SF538', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER (AFU_ORTHOLOGUE AFUA_4G09210)', 83468),
(139743, 'PTHR10177:SF392', NULL, NULL, NULL, NULL, 'CYCLIN-D1-1', 83469),
(139744, 'PTHR31390:SF0', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF3527)-RELATED', 83470),
(139745, 'PTHR46785', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 3B', 83471),
(139746, 'PTHR12011:SF449', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR E1', 83472),
(139747, 'PTHR24356:SF138', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE LATS1', 83473),
(139748, 'PTHR11492:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR 1 B-TYPE', 83474);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(139749, 'PTHR15526', NULL, NULL, NULL, NULL, 'MUSKELIN', 83475),
(139750, 'PTHR31917:SF90', NULL, NULL, NULL, NULL, 'DUF724 DOMAIN-CONTAINING PROTEIN 1-RELATED', 83476),
(139751, 'PTHR31781:SF1', NULL, NULL, NULL, NULL, 'PROTEIN UNC-80 HOMOLOG', 83477),
(139752, 'PTHR10676:SF382', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN FAMILY PROTEIN', 83478),
(139753, 'PTHR36759:SF2', NULL, NULL, NULL, NULL, 'BNAA05G36610D PROTEIN', 83479),
(139754, 'PTHR11439:SF352', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83480),
(139755, 'PTHR37733', NULL, NULL, NULL, NULL, 'SMAD/FHA DOMAIN-CONTAINING PROTEIN', 83481),
(139756, 'PTHR31890:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 83482),
(139757, 'PTHR10502:SF221', NULL, NULL, NULL, NULL, 'ANNEXIN', 83483),
(139758, 'PTHR12274', NULL, NULL, NULL, NULL, 'GRANULIN', 83484),
(139759, 'PTHR43289:SF20', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ISR1', 83485),
(139760, 'PTHR21450:SF41', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SUBUNIT BETA, PUTATIVE (DUF630 AND DUF632)-RELATED', 83486),
(139761, 'PTHR45625:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE B-RELATED', 83487),
(139762, 'PTHR37347:SF1', NULL, NULL, NULL, NULL, 'MEGAKARYOCYTE AND PLATELET INHIBITORY RECEPTOR G6B', 83488),
(139763, 'PTHR47972:SF22', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14A-RELATED', 83489),
(139764, 'PTHR23320:SF59', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 4E-RELATED', 83490),
(139765, 'PTHR11783:SF246', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 16', 83491),
(139766, 'PTHR36966:SF1', NULL, NULL, NULL, NULL, 'REP-ASSOCIATED TYROSINE TRANSPOSASE', 83492),
(139767, 'PTHR10003:SF88', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE FOR SUPEROXIDE DISMUTASE', 83493),
(139768, 'PTHR11945:SF626', NULL, NULL, NULL, NULL, 'BNAA04G16540D PROTEIN', 83494),
(139769, 'PTHR27009:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83495),
(139770, 'PTHR10383:SF53', NULL, NULL, NULL, NULL, 'SERINC-DOMAIN CONTAINING SERINE AND SPHINGOLIPID BIOSYNTHESIS PROTEIN', 83496),
(139771, 'PTHR11654:SF552', NULL, NULL, NULL, NULL, 'OSJNBA0076N16.20 PROTEIN', 83497),
(139772, 'PTHR46446:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE6-LIKE', 83498),
(139773, 'PTHR45625:SF8', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 83499),
(139774, 'PTHR45893:SF1', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP RING FINGER PROTEIN 5', 83500),
(139775, 'PTHR31945:SF99', NULL, NULL, NULL, NULL, 'BNAA08G12670D PROTEIN', 83501),
(139776, 'PTHR22844:SF364', NULL, NULL, NULL, NULL, 'APOPTOTIC PROTEASE-ACTIVATING FACTOR 1-RELATED', 83502),
(139777, 'PTHR30160:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83503),
(139778, 'PTHR19265', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC NUCLEAR STRUCTURAL PROTEIN 1', 83504),
(139779, 'PTHR31080:SF183', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', 83505),
(139780, 'PTHR11024:SF16', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC13 HOMOLOG B-LIKE', 83506),
(139781, 'PTHR11360:SF268', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', 83507),
(139782, 'PTHR11905:SF130', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 15', 83508),
(139783, 'PTHR35568', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR DAUR', 83509),
(139784, 'PTHR23226:SF160', NULL, NULL, NULL, NULL, 'SI:CH211-154O6.2', 83510),
(139785, 'PTHR43134:SF8', NULL, NULL, NULL, NULL, 'BNAA04G26420D PROTEIN', 83511),
(139786, 'PTHR11880:SF48', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S19-RELATED', 83512),
(139787, 'PTHR37693', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL LYSYLTRANSFERASE', 83513),
(139788, 'PTHR24349:SF192', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 11', 83514),
(139789, 'PTHR33601:SF26', NULL, NULL, NULL, NULL, 'BNACNNG65040D PROTEIN', 83515),
(139790, 'PTHR36002', NULL, NULL, NULL, NULL, 'PYRD', 83516),
(139791, 'PTHR14009:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83517),
(139792, 'PTHR48126:SF1', NULL, NULL, NULL, NULL, 'RE24507P', 83518);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(139793, 'PTHR31683:SF104', NULL, NULL, NULL, NULL, 'PECTATE LYASE 22-RELATED', 83519),
(139794, 'PTHR24126:SF54', NULL, NULL, NULL, NULL, 'ANKYRIN', 83520),
(139795, 'PTHR12210:SF156', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM50', 83521),
(139796, 'PTHR10980:SF52', NULL, NULL, NULL, NULL, 'BNAC09G13520D PROTEIN', 83522),
(139797, 'PTHR10751:SF104', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING FAMILY PROTEIN', 83523),
(139798, 'PTHR31896:SF58', NULL, NULL, NULL, NULL, 'FAMILY REGULATORY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14730)-RELATED', 83524),
(139799, 'PTHR23360:SF37', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 83525),
(139800, 'PTHR43261:SF5', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR G 1', 83526),
(139801, 'PTHR46566:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE ISOZYME 2', 83527),
(139802, 'PTHR45974:SF41', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 44', 83528),
(139803, 'PTHR24083:SF68', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 83529),
(139804, 'PTHR19134:SF460', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE N2-LIKE PROTEIN', 83530),
(139805, 'PTHR19836:SF26', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S14 TYPE Z', 83531),
(139806, 'PTHR43852', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', 83532),
(139807, 'PTHR11552:SF119', NULL, NULL, NULL, NULL, 'CHOLINE DEHYDROGENASE', 83533),
(139808, 'PTHR24103:SF575', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 64C', 83534),
(139809, 'PTHR45712:SF4', NULL, NULL, NULL, NULL, 'FIBROMODULIN', 83535),
(139810, 'PTHR34559:SF2', NULL, NULL, NULL, NULL, 'BNAA03G55270D PROTEIN', 83536),
(139811, 'PTHR11848:SF178', NULL, NULL, NULL, NULL, 'INHIBIN BETA CHAIN', 83537),
(139812, 'PTHR31048:SF145', NULL, NULL, NULL, NULL, 'BNAC06G07910D PROTEIN', 83538),
(139813, 'PTHR20961:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83539),
(139814, 'PTHR47697', NULL, NULL, NULL, NULL, 'OS03G0340700 PROTEIN', 83540),
(139815, 'PTHR48052:SF35', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE', 83541),
(139816, 'PTHR16134:SF10', NULL, NULL, NULL, NULL, 'OS02G0317300 PROTEIN', 83542),
(139817, 'PTHR19818:SF133', NULL, NULL, NULL, NULL, 'ZIC FAMILY MEMBER 6', 83543),
(139818, 'PTHR46336:SF15', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN POB1', 83544),
(139819, 'PTHR31150:SF6', NULL, NULL, NULL, NULL, 'CHROMATIN REGULATOR PHD FAMILY-RELATED', 83545),
(139820, 'PTHR35630', NULL, NULL, NULL, NULL, 'LEGUMINOSIN GROUP486 SECRETED PEPTIDE', 83546),
(139821, 'PTHR28453', NULL, NULL, NULL, NULL, 'PROTEIN SNORC', 83547),
(139822, 'PTHR22925:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY PROTEIN 43', 83548),
(139823, 'PTHR31414:SF25', NULL, NULL, NULL, NULL, 'BNAC06G40440D PROTEIN', 83549),
(139824, 'PTHR45801:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83550),
(139825, 'PTHR43791:SF87', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G02730)-RELATED', 83551),
(139826, 'PTHR47967:SF24', NULL, NULL, NULL, NULL, 'BNAA04G16330D PROTEIN', 83552),
(139827, 'PTHR44376:SF12', NULL, NULL, NULL, NULL, 'LEUNIG-RELATED1', 83553),
(139828, 'PTHR38494:SF1', NULL, NULL, NULL, NULL, 'STEROID RECEPTOR-ASSOCIATED AND REGULATED PROTEIN', 83554),
(139829, 'PTHR13493:SF3', NULL, NULL, NULL, NULL, 'RRNA N6-ADENOSINE-METHYLTRANSFERASE ZCCHC4', 83555),
(139830, 'PTHR26450:SF351', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 83556),
(139831, 'PTHR47965:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83557),
(139832, 'PTHR45679:SF7', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 83558),
(139833, 'PTHR43899:SF25', NULL, NULL, NULL, NULL, 'ENOYL-(ACYL CARRIER) REDUCTASE', 83559),
(139834, 'PTHR44259:SF18', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE', 83560),
(139835, 'PTHR46137:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83561),
(139836, 'PTHR35330', NULL, NULL, NULL, NULL, 'SIROHEME BIOSYNTHESIS PROTEIN MET8', 83562),
(139837, 'PTHR21107', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX19', 83563);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(139838, 'PTHR31187:SF9', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN', 83564),
(139839, 'PTHR47948:SF1', NULL, NULL, NULL, NULL, 'CINNAMATE-4-HYDROXYLASE', 83565),
(139840, 'PTHR11969:SF72', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH94-LIKE', 83566),
(139841, 'PTHR23266:SF70', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA-LIKE POLYPEPTIDE 1', 83567),
(139842, 'PTHR11786:SF6', NULL, NULL, NULL, NULL, 'ARYLAMINE N-ACETYLTRANSFERASE 2', 83568),
(139843, 'PTHR31614:SF32', NULL, NULL, NULL, NULL, 'BNAC03G62750D PROTEIN', 83569),
(139844, 'PTHR45649:SF47', NULL, NULL, NULL, NULL, 'BNAA06G34530D PROTEIN', 83570),
(139845, 'PTHR22765:SF312', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE E3 UBIQUITIN-PROTEIN LIGASE 1', 83571),
(139846, 'PTHR45650:SF24', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 7-LIKE', 83572),
(139847, 'PTHR36788:SF7', NULL, NULL, NULL, NULL, 'BNAA07G36730D PROTEIN', 83573),
(139848, 'PTHR24351:SF217', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATPK2/ATPK19', 83574),
(139849, 'PTHR16484', NULL, NULL, NULL, NULL, 'PARTITIONING DEFECTIVE 3 RELATED', 83575),
(139850, 'PTHR34944', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM7', 83576),
(139851, 'PTHR24229:SF84', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 83577),
(139852, 'PTHR23024:SF182', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14960)-RELATED', 83578),
(139853, 'PTHR45686:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE ACTIVATING PROTEIN 3, ISOFORM H', 83579),
(139854, 'PTHR32120:SF10', NULL, NULL, NULL, NULL, 'SMALL RIBOSOMAL SUBUNIT BIOGENESIS GTPASE RSGA', 83580),
(139855, 'PTHR11132:SF244', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER 5', 83581),
(139856, 'PTHR24282', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY MEMBER', 83582),
(139857, 'PTHR24282:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY-RELATED', 83583),
(139858, 'PTHR47253:SF5', NULL, NULL, NULL, NULL, 'ISOCHORISMATE SYNTHASE 1, CHLOROPLASTIC', 83584),
(139859, 'PTHR23050:SF130', NULL, NULL, NULL, NULL, 'CALMODULIN RELATED GENES', 83585),
(139860, 'PTHR24349:SF416', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PEPKR2-LIKE', 83586),
(139861, 'PTHR48105:SF4', NULL, NULL, NULL, NULL, 'BNAA06G39230D PROTEIN', 83587),
(139862, 'PTHR24078:SF534', NULL, NULL, NULL, NULL, 'POTYVIRAL CAPSID PROTEIN INTERACTING PROTEIN 1', 83588),
(139863, 'PTHR47977:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83589),
(139864, 'PTHR45951:SF7', NULL, NULL, NULL, NULL, 'STEROL-SENSING DOMAIN', 83590),
(139865, 'PTHR48062:SF32', NULL, NULL, NULL, NULL, 'OS04G0648400 PROTEIN', 83591),
(139866, 'PTHR47565:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX19-LIKE', 83592),
(139867, 'PTHR13067:SF2', NULL, NULL, NULL, NULL, 'CASPASE-ACTIVATED DNASE', 83593),
(139868, 'PTHR45763:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83594),
(139869, 'PTHR24403:SF66', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 513', 83595),
(139870, 'PTHR33347:SF20', NULL, NULL, NULL, NULL, 'BNAC09G47780D PROTEIN', 83596),
(139871, 'PTHR10694:SF17', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 5A', 83597),
(139872, 'PTHR47972:SF25', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIFC1 ISOFORM X1', 83598),
(139873, 'PTHR47976:SF68', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 83599),
(139874, 'PTHR19134:SF449', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE 1', 83600),
(139875, 'PTHR11926:SF1398', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 83601),
(139876, 'PTHR22765:SF334', NULL, NULL, NULL, NULL, 'RECEPTOR HOMOLOGY REGION, TRANSMEMBRANE DOMAIN- AND RING DOMAIN-CONTAINING PROTEIN 1', 83602),
(139877, 'PTHR23406:SF20', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME, MITOCHONDRIAL', 83603),
(139878, 'PTHR45631:SF103', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE, PUTATIVE-RELATED', 83604),
(139879, 'PTHR11260:SF600', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U8-LIKE', 83605),
(139880, 'PTHR35358:SF11', NULL, NULL, NULL, NULL, 'BNACNNG61640D PROTEIN', 83606);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(139881, 'PTHR12001:SF74', NULL, NULL, NULL, NULL, 'SOLANESYL-DIPHOSPHATE SYNTHASE 1, MITOCHONDRIAL-LIKE ISOFORM X1', 83607),
(139882, 'PTHR11771:SF170', NULL, NULL, NULL, NULL, 'LIPOXYGENASE-2', 83608),
(139883, 'PTHR33144', NULL, NULL, NULL, NULL, 'OS10G0409366 PROTEIN-RELATED', 83609),
(139884, 'PTHR15352:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MRVI1', 83610),
(139885, 'PTHR43281:SF5', NULL, NULL, NULL, NULL, 'HETERODIMERIC GERANYLGERANYL PYROPHOSPHATE SYNTHASE SMALL SUBUNIT, CHLOROPLASTIC', 83611),
(139886, 'PTHR11475:SF63', NULL, NULL, NULL, NULL, 'EOSINOPHIL PEROXIDASE', 83612),
(139887, 'PTHR46128:SF201', NULL, NULL, NULL, NULL, 'BNAA07G01370D PROTEIN', 83613),
(139888, 'PTHR43007:SF1', NULL, NULL, NULL, NULL, '2-PHOSPHO-L-LACTATE TRANSFERASE', 83614),
(139889, 'PTHR44170:SF13', NULL, NULL, NULL, NULL, 'PROTOGENIN A-RELATED', 83615),
(139890, 'PTHR38116', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 83616),
(139891, 'PTHR45615:SF11', NULL, NULL, NULL, NULL, 'MYOSIN-6', 83617),
(139892, 'PTHR36748:SF6', NULL, NULL, NULL, NULL, 'FAMILY TRANSCRIPTIONAL REGULATOR, PUTATIVE-RELATED', 83618),
(139893, 'PTHR10336:SF89', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 83619),
(139894, 'PTHR19316:SF29', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 83620),
(139895, 'PTHR23349:SF50', NULL, NULL, NULL, NULL, 'PROTEIN TWIST', 83621),
(139896, 'PTHR11017:SF305', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS CLASS)-RELATED', 83622),
(139897, 'PTHR12161:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83623),
(139898, 'PTHR45842:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 1', 83624),
(139899, 'PTHR14969:SF47', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROPHOSPHATASE B', 83625),
(139900, 'PTHR33142:SF34', NULL, NULL, NULL, NULL, 'BNAA09G02080D PROTEIN', 83626),
(139901, 'PTHR32295:SF110', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', 83627),
(139902, 'PTHR45988:SF52', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER PROTEIN', 83628),
(139903, 'PTHR10044:SF167', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 8', 83629),
(139904, 'PTHR45778:SF5', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 83630),
(139905, 'PTHR11528:SF79', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP 90-BETA-RELATED', 83631),
(139906, 'PTHR14211:SF7', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NOP53', 83632),
(139907, 'PTHR43710:SF2', NULL, NULL, NULL, NULL, '2-HYDROXYACYL-COA LYASE 1', 83633),
(139908, 'PTHR45615:SF29', NULL, NULL, NULL, NULL, 'MYOSIN-7B', 83634),
(139909, 'PTHR22957:SF255', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 22A', 83635),
(139910, 'PTHR10476:SF52', NULL, NULL, NULL, NULL, 'BNAA02G06080D PROTEIN', 83636),
(139911, 'PTHR31175:SF67', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR64', 83637),
(139912, 'PTHR31048:SF87', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN FAMILY PROTEIN', 83638),
(139913, 'PTHR11533:SF280', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 83639),
(139914, 'PTHR31683:SF136', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 83640),
(139915, 'PTHR43694', NULL, NULL, NULL, NULL, 'RIBONUCLEASE J', 83641),
(139916, 'PTHR48051:SF7', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 58', 83642),
(139917, 'PTHR10593:SF178', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN NUTCRACKER', 83643),
(139918, 'PTHR11863:SF153', NULL, NULL, NULL, NULL, 'CHOLESTEROL 25-HYDROXYLASE-LIKE PROTEIN', 83644),
(139919, 'PTHR31425:SF12', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', 83645),
(139920, 'PTHR31929:SF79', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR21-LIKE', 83646),
(139921, 'PTHR14224:SF2', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 17', 83647),
(139922, 'PTHR46477:SF12', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN PROTEIN', 83648),
(139923, 'PTHR16223:SF226', NULL, NULL, NULL, NULL, 'ELKS/RAB6-INTERACTING/CAST FAMILY PROTEIN', 83649),
(139924, 'PTHR47985:SF50', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', 83650);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(139925, 'PTHR47920', NULL, NULL, NULL, NULL, 'PROTEIN CBG13378-RELATED', 83651),
(139926, 'PTHR43437:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83652),
(139927, 'PTHR21604', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 83653),
(139928, 'PTHR22847:SF664', NULL, NULL, NULL, NULL, 'BETA-TRANSDUCIN REPEAT CONTAINING E3 UBIQUITIN PROTEIN LIGASE', 83654),
(139929, 'PTHR43523:SF4', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE LARGE SUBUNIT 3, CHLOROPLASTIC', 83655),
(139930, 'PTHR47986:SF13', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE TMK1-LIKE', 83656),
(139931, 'PTHR23511:SF14', NULL, NULL, NULL, NULL, 'METABOLITE TRANSPORT PROTEIN YAAU-RELATED', 83657),
(139932, 'PTHR28635', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE INNER EAR EXPRESSED PROTEIN', 83658),
(139933, 'PTHR47677', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 6', 83659),
(139934, 'PTHR11739:SF3', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', 83660),
(139935, 'PTHR11494:SF7', NULL, NULL, NULL, NULL, 'T-CELL-SPECIFIC SURFACE GLYCOPROTEIN CD28', 83661),
(139936, 'PTHR10015:SF274', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR PROTEIN 1', 83662),
(139937, 'PTHR45283', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT T, CHLOROPLASTIC', 83663),
(139938, 'PTHR32063:SF14', NULL, NULL, NULL, NULL, 'BLL4319 PROTEIN', 83664),
(139939, 'PTHR10543', NULL, NULL, NULL, NULL, 'BETA-CAROTENE DIOXYGENASE', 83665),
(139940, 'PTHR45988:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT10', 83666),
(139941, 'PTHR31220:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM126B', 83667),
(139942, 'PTHR31158:SF1', NULL, NULL, NULL, NULL, 'DUAL OXIDASE 2', 83668),
(139943, 'PTHR32295:SF166', NULL, NULL, NULL, NULL, 'BNAC03G35860D PROTEIN', 83669),
(139944, 'PTHR34657:SF7', NULL, NULL, NULL, NULL, 'OS10G0472501 PROTEIN', 83670),
(139945, 'PTHR37697', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR SNZ', 83671),
(139946, 'PTHR11802:SF235', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 33', 83672),
(139947, 'PTHR13343:SF17', NULL, NULL, NULL, NULL, 'CELLULAR REPRESSOR OF E1A-STIMULATED GENES, ISOFORM A', 83673),
(139948, 'PTHR22914:SF14', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 2, ISOFORM D', 83674),
(139949, 'PTHR11158:SF22', NULL, NULL, NULL, NULL, 'PRELI DOMAIN CONTAINING PROTEIN 3B', 83675),
(139950, 'PTHR21219', NULL, NULL, NULL, NULL, 'FI19613P1', 83676),
(139951, 'PTHR43853:SF6', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE', 83677),
(139952, 'PTHR34145:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83678),
(139953, 'PTHR45676:SF119', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 83679),
(139954, 'PTHR15498:SF73', NULL, NULL, NULL, NULL, 'HEPATITIS A VIRUS CELLULAR RECEPTOR 2', 83680),
(139955, 'PTHR12300:SF34', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN', 83681),
(139956, 'PTHR34052:SF4', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 30', 83682),
(139957, 'PTHR13878:SF129', NULL, NULL, NULL, NULL, 'CYTOKININ OXIDASE/DEHYDROGENASE-LIKE PROTEIN', 83683),
(139958, 'PTHR31602:SF82', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 10', 83684),
(139959, 'PTHR44115:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG22606', 83685),
(139960, 'PTHR24068:SF148', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2', 83686),
(139961, 'PTHR43450:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83687),
(139962, 'PTHR23510:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83688),
(139963, 'PTHR31929:SF35', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', 83689),
(139964, 'PTHR36392:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 83690),
(139965, 'PTHR35451', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE-LIKE PROTEIN C4ORF48', 83691),
(139966, 'PTHR45614:SF108', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB3R-5-LIKE', 83692),
(139967, 'PTHR41313', NULL, NULL, NULL, NULL, 'ADENINE-SPECIFIC METHYLTRANSFERASE', 83693),
(139968, 'PTHR37534:SF28', NULL, NULL, NULL, NULL, 'ZCF22P', 83694),
(139969, 'PTHR11618:SF65', NULL, NULL, NULL, NULL, 'INITIATION FACTOR IIB, PUTATIVE-RELATED', 83695);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(139970, 'PTHR44981:SF2', NULL, NULL, NULL, NULL, 'PERICENTRIN-LIKE PROTEIN, ISOFORM F', 83696),
(139971, 'PTHR15275:SF1', NULL, NULL, NULL, NULL, 'MASTERMIND-LIKE DOMAIN-CONTAINING PROTEIN 1', 83697),
(139972, 'PTHR45770:SF17', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 83698),
(139973, 'PTHR31080:SF161', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', 83699),
(139974, 'PTHR26374:SF397', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN', 83700),
(139975, 'PTHR11348:SF20', NULL, NULL, NULL, NULL, 'SI:CH211-106H11.3', 83701),
(139976, 'PTHR10408:SF8', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE', 83702),
(139977, 'PTHR27007:SF268', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VIII.2-LIKE', 83703),
(139978, 'PTHR30540:SF108', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 3', 83704),
(139979, 'PTHR22952:SF443', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', 83705),
(139980, 'PTHR32444:SF103', NULL, NULL, NULL, NULL, 'PAN DOMAIN-CONTAINING PROTEIN', 83706),
(139981, 'PTHR30592', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE', 83707),
(139982, 'PTHR35967:SF1', NULL, NULL, NULL, NULL, 'UPF0450 PROTEIN C17ORF58', 83708),
(139983, 'PTHR31790:SF415', NULL, NULL, NULL, NULL, 'F-BOX AND ASSOCIATED INTERACTION DOMAINS-CONTAINING PROTEIN-RELATED', 83709),
(139984, 'PTHR48080', NULL, NULL, NULL, NULL, 'D-GALACTONATE DEHYDRATASE-RELATED', 83710),
(139985, 'PTHR31352:SF34', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 5', 83711),
(139986, 'PTHR23081:SF19', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II C-TERMINAL DOMAIN PHOSPHATASE-LIKE 4', 83712),
(139987, 'PTHR22957:SF333', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 25', 83713),
(139988, 'PTHR48163:SF1', NULL, NULL, NULL, NULL, 'BNAC02G25670D PROTEIN', 83714),
(139989, 'PTHR19143:SF338', NULL, NULL, NULL, NULL, 'FIBRINOGEN GAMMA CHAIN', 83715),
(139990, 'PTHR46402:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83716),
(139991, 'PTHR35499:SF4', NULL, NULL, NULL, NULL, 'ALC-INTERACTING PROTEIN 1', 83717),
(139992, 'PTHR15288:SF3', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 2A', 83718),
(139993, 'PTHR20961:SF30', NULL, NULL, NULL, NULL, 'ALPHA-1,3-ARABINOSYLTRANSFERASE XAT2', 83719),
(139994, 'PTHR15594:SF1', NULL, NULL, NULL, NULL, 'PODOCALYXIN-LIKE PROTEIN 2', 83720),
(139995, 'PTHR31953:SF13', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 7', 83721),
(139996, 'PTHR46267:SF8', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING FACTOR 1', 83722),
(139997, 'PTHR27005:SF394', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83723),
(139998, 'PTHR14952:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83724),
(139999, 'PTHR31791:SF49', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN FRIGIDA', 83725),
(140000, 'PTHR18860:SF127', NULL, NULL, NULL, NULL, '14-3-3 DOMAIN-CONTAINING PROTEIN-RELATED', 83726),
(140001, 'PTHR22601:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83727),
(140002, 'PTHR21645:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 83728),
(140003, 'PTHR33090', NULL, NULL, NULL, NULL, 'DUF3774 DOMAIN PROTEIN-RELATED', 83729),
(140004, 'PTHR24055:SF222', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 8', 83730),
(140005, 'PTHR23054:SF23', NULL, NULL, NULL, NULL, 'OS09G0493400 PROTEIN', 83731),
(140006, 'PTHR11616:SF138', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT GABA TRANSPORTER 1', 83732),
(140007, 'PTHR22912:SF132', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 83733),
(140008, 'PTHR43546:SF8', NULL, NULL, NULL, NULL, 'HYDROLASE, METALLO-BETA-LACTAMASE SUPERFAMILY', 83734),
(140009, 'PTHR11654:SF139', NULL, NULL, NULL, NULL, 'OS04G0597501 PROTEIN', 83735),
(140010, 'PTHR36724:SF1', NULL, NULL, NULL, NULL, 'COMPLEX 1 LYR-LIKE PROTEIN', 83736),
(140011, 'PTHR13976:SF76', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 83737),
(140012, 'PTHR23418:SF5', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE-RELATED', 83738);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(140013, 'PTHR12377:SF10', NULL, NULL, NULL, NULL, 'BNAA07G24680D PROTEIN', 83739),
(140014, 'PTHR20937', NULL, NULL, NULL, NULL, 'IP14615P', 83740),
(140015, 'PTHR30160:SF15', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE HI_0523-RELATED', 83741),
(140016, 'PTHR42673:SF18', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 83742),
(140017, 'PTHR22883:SF274', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 20-RELATED', 83743),
(140018, 'PTHR31889:SF66', NULL, NULL, NULL, NULL, '2-ALPHA-L-FUCOSYLTRANSFERASE, PUTATIVE-RELATED', 83744),
(140019, 'PTHR34986', NULL, NULL, NULL, NULL, 'EVOLVED BETA-GALACTOSIDASE SUBUNIT BETA', 83745),
(140020, 'PTHR20852:SF96', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE-RELATED', 83746),
(140021, 'PTHR45801:SF55', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR TAC1', 83747),
(140022, 'PTHR30032', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE-RELATED', 83748),
(140023, 'PTHR14207:SF6', NULL, NULL, NULL, NULL, '3-BETA-HYDROXYSTEROID-DELTA(8)DELTA(7)-ISOMERASE-RELATED', 83749),
(140024, 'PTHR43952:SF56', NULL, NULL, NULL, NULL, 'BNAA02G35960D PROTEIN', 83750),
(140025, 'PTHR48034:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, X-LINKED-LIKE 2', 83751),
(140026, 'PTHR31906', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 83752),
(140027, 'PTHR48017:SF106', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 83753),
(140028, 'PTHR47977:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83754),
(140029, 'PTHR36794:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 83755),
(140030, 'PTHR37222:SF1', NULL, NULL, NULL, NULL, 'OS02G0718000 PROTEIN', 83756),
(140031, 'PTHR47926:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83757),
(140032, 'PTHR37001:SF10', NULL, NULL, NULL, NULL, 'TOC75, PUTATIVE-RELATED', 83758),
(140033, 'PTHR47010:SF2', NULL, NULL, NULL, NULL, 'CYSTATIN-13', 83759),
(140034, 'PTHR43157:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83760),
(140035, 'PTHR31988:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83761),
(140036, 'PTHR10383:SF46', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR/TMS MEMBRANE PROTEIN-RELATED', 83762),
(140037, 'PTHR13743', NULL, NULL, NULL, NULL, 'BEIGE/BEACH-RELATED', 83763),
(140038, 'PTHR33294:SF15', NULL, NULL, NULL, NULL, 'BNAC03G59210D PROTEIN', 83764),
(140039, 'PTHR13774:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83765),
(140040, 'PTHR35787:SF1', NULL, NULL, NULL, NULL, 'GLYCEROL UPTAKE OPERON ANTITERMINATOR REGULATORY PROTEIN', 83766),
(140041, 'PTHR46026:SF2', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 6', 83767),
(140042, 'PTHR31568:SF57', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN B-RELATED', 83768),
(140043, 'PTHR47953:SF7', NULL, NULL, NULL, NULL, 'PREMNASPIRODIENE OXYGENASE-LIKE', 83769),
(140044, 'PTHR32044:SF75', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 1', 83770),
(140045, 'PTHR14217:SF26', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', 83771),
(140046, 'PTHR11977:SF113', NULL, NULL, NULL, NULL, 'VILLIN-3-LIKE ISOFORM X1', 83772),
(140047, 'PTHR12570:SF68', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 83773),
(140048, 'PTHR34993', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 83774),
(140049, 'PTHR43544:SF15', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE (ATSC), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00180)-RELATED', 83775),
(140050, 'PTHR22574:SF12', NULL, NULL, NULL, NULL, 'PROTEIN FAM71E2', 83776),
(140051, 'PTHR38652', NULL, NULL, NULL, NULL, 'INTERLEUKIN-31', 83777),
(140052, 'PTHR23502:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83778),
(140053, 'PTHR24253:SF77', NULL, NULL, NULL, NULL, 'HEPSIN', 83779),
(140054, 'PTHR11606:SF13', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE 1, MITOCHONDRIAL', 83780),
(140055, 'PTHR30161', NULL, NULL, NULL, NULL, 'FLAGELLAR EXPORT PROTEIN, MEMBRANE FLHA SUBUNIT-RELATED', 83781),
(140056, 'PTHR34678', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN 5, CHLOROPLASTIC', 83782);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(140057, 'PTHR45868:SF67', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 83783),
(140058, 'PTHR44137:SF32', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN-LIKE', 83784),
(140059, 'PTHR31692:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83785),
(140060, 'PTHR33702:SF23', NULL, NULL, NULL, NULL, 'BNAC06G43190D PROTEIN', 83786),
(140061, 'PTHR42724', NULL, NULL, NULL, NULL, 'TETRAACYLDISACCHARIDE 4''-KINASE', 83787),
(140062, 'PTHR31889:SF52', NULL, NULL, NULL, NULL, '2-ALPHA-L-FUCOSYLTRANSFERASE, PUTATIVE-RELATED', 83788),
(140063, 'PTHR45702', NULL, NULL, NULL, NULL, 'ADAM10/ADAM17 METALLOPEPTIDASE FAMILY MEMBER', 83789),
(140064, 'PTHR11161:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CBG26399', 83790),
(140065, 'PTHR14154:SF74', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 22 KDA PROTEIN, CHLOROPLASTIC', 83791),
(140066, 'PTHR11851:SF211', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PROCESSING PEPTIDASE', 83792),
(140067, 'PTHR31707:SF257', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 83793),
(140068, 'PTHR13180:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 50A', 83794),
(140069, 'PTHR32429:SF27', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE/OXYGENASE ACTIVASE 1, CHLOROPLASTIC-LIKE', 83795),
(140070, 'PTHR10082:SF15', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-2', 83796),
(140071, 'PTHR33748', NULL, NULL, NULL, NULL, 'PROTEIN CBG04600', 83797),
(140072, 'PTHR11106:SF96', NULL, NULL, NULL, NULL, 'MACRO DOMAIN-CONTAINING PROTEIN VPA0103-LIKE ISOFORM X1', 83798),
(140073, 'PTHR43092:SF11', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', 83799),
(140074, 'PTHR48049:SF65', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN 3-O-GLUCOSYLTRANSFERASE', 83800),
(140075, 'PTHR46662:SF12', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 4', 83801),
(140076, 'PTHR31066', NULL, NULL, NULL, NULL, 'OS05G0427100 PROTEIN-RELATED', 83802),
(140077, 'PTHR14402:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR-TRANSPORTING PROTEIN 4', 83803),
(140078, 'PTHR23226:SF284', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83804),
(140079, 'PTHR47257:SF1', NULL, NULL, NULL, NULL, 'PH-RESPONSE TRANSCRIPTION FACTOR PACC/RIM101', 83805),
(140080, 'PTHR22881:SF11', NULL, NULL, NULL, NULL, 'LD22651P', 83806),
(140081, 'PTHR46036:SF13', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE, CHLOROPLASTIC-RELATED', 83807),
(140082, 'PTHR42945:SF4', NULL, NULL, NULL, NULL, 'HISTIDINE BIOSYNTHESIS BIFUNCTIONAL PROTEIN HISIE', 83808),
(140083, 'PTHR48230:SF1', NULL, NULL, NULL, NULL, 'BLR2429 PROTEIN', 83809),
(140084, 'PTHR11849:SF291', NULL, NULL, NULL, NULL, 'ETS CLASS TRANSCRIPTION FACTOR', 83810),
(140085, 'PTHR10984:SF55', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM VESICLE TRANSPORTER', 83811),
(140086, 'PTHR21633:SF14', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN F1', 83812),
(140087, 'PTHR11451', NULL, NULL, NULL, NULL, 'THREONINE-TRNA LIGASE', 83813),
(140088, 'PTHR23512', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 1', 83814),
(140089, 'PTHR11722:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', 83815),
(140090, 'PTHR47619', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE YYCJ-RELATED', 83816),
(140091, 'PTHR31415:SF66', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOPROTEIN', 83817),
(140092, 'PTHR11913:SF75', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 10-LIKE', 83818),
(140093, 'PTHR22763:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83819),
(140094, 'PTHR21499:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83820),
(140095, 'PTHR21136:SF201', NULL, NULL, NULL, NULL, 'BNAC08G43980D PROTEIN', 83821),
(140096, 'PTHR31376:SF75', NULL, NULL, NULL, NULL, 'BNAC03G58420D PROTEIN', 83822),
(140097, 'PTHR15301:SF3', NULL, NULL, NULL, NULL, 'PROTEIN NSG1-RELATED', 83823),
(140098, 'PTHR11538:SF65', NULL, NULL, NULL, NULL, 'ATP-BINDING PROTEIN-RELATED', 83824),
(140099, 'PTHR14955:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 20', 83825),
(140100, 'PTHR33165:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83826);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(140101, 'PTHR34290', NULL, NULL, NULL, NULL, 'SI:CH73-390P7.2', 83827),
(140102, 'PTHR33881:SF13', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 3-LIKE', 83828),
(140103, 'PTHR37218', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', 83829),
(140104, 'PTHR36205:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', 83830),
(140105, 'PTHR47641:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83831),
(140106, 'PTHR33985:SF15', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 19', 83832),
(140107, 'PTHR18945:SF824', NULL, NULL, NULL, NULL, 'NICOTINIC ACETYLCHOLINE RECEPTOR BETA 3 (DBETA3) SUBUNIT', 83833),
(140108, 'PTHR46136:SF10', NULL, NULL, NULL, NULL, 'OS02G0601800 PROTEIN', 83834),
(140109, 'PTHR24089:SF691', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER ADNT1', 83835),
(140110, 'PTHR20992', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 83836),
(140111, 'PTHR40472:SF9', NULL, NULL, NULL, NULL, 'RAPUNZEL 4', 83837),
(140112, 'PTHR46151:SF27', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN 1', 83838),
(140113, 'PTHR44375:SF10', NULL, NULL, NULL, NULL, '2-(R)-HYDROXYPROPYL-COM DEHYDROGENASE-LIKE', 83839),
(140114, 'PTHR18966:SF481', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 83840),
(140115, 'PTHR43243:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83841),
(140116, 'PTHR30540:SF14', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 1', 83842),
(140117, 'PTHR44115', NULL, NULL, NULL, NULL, 'PROTEIN CBG09704', 83843),
(140118, 'PTHR47945:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 84A1-RELATED', 83844),
(140119, 'PTHR34714', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 83845),
(140120, 'PTHR22936:SF85', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', 83846),
(140121, 'PTHR31213:SF135', NULL, NULL, NULL, NULL, 'BNAANNG13200D PROTEIN', 83847),
(140122, 'PTHR12634:SF30', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY SUBUNIT 3-LIKE ISOFORM X1', 83848),
(140123, 'PTHR45686:SF14', NULL, NULL, NULL, NULL, 'ACTIVATING PROTEIN, PUTATIVE, EXPRESSED-RELATED', 83849),
(140124, 'PTHR10408:SF6', NULL, NULL, NULL, NULL, 'STEROL O-ACYLTRANSFERASE 1', 83850),
(140125, 'PTHR11141:SF10', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23B', 83851),
(140126, 'PTHR11866', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR FAMILY 1 MEMBER', 83852),
(140127, 'PTHR47170:SF4', NULL, NULL, NULL, NULL, 'BNAA04G17370D PROTEIN', 83853),
(140128, 'PTHR44858:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83854),
(140129, 'PTHR32093:SF147', NULL, NULL, NULL, NULL, 'BNAC03G77110D PROTEIN', 83855),
(140130, 'PTHR11618', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB-RELATED', 83856),
(140131, 'PTHR24086:SF45', NULL, NULL, NULL, NULL, 'NR5A2 PROTEIN', 83857),
(140132, 'PTHR24006', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 83858),
(140133, 'PTHR23091:SF4', NULL, NULL, NULL, NULL, 'N(ALPHA)-ACETYLTRANSFERASE 10, NATA CATALYTIC SUBUNIT', 83859),
(140134, 'PTHR43081:SF11', NULL, NULL, NULL, NULL, 'BLR2264 PROTEIN', 83860),
(140135, 'PTHR23220:SF89', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-3', 83861),
(140136, 'PTHR24379:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 696', 83862),
(140137, 'PTHR33541:SF8', NULL, NULL, NULL, NULL, 'OS02G0776600 PROTEIN', 83863),
(140138, 'PTHR13690', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR POSF21-RELATED', 83864),
(140139, 'PTHR31207:SF36', NULL, NULL, NULL, NULL, 'BNACNNG22880D PROTEIN', 83865),
(140140, 'PTHR11527:SF285', NULL, NULL, NULL, NULL, '16.9 KDA CLASS I HEAT SHOCK PROTEIN 1', 83866),
(140141, 'PTHR48018:SF114', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 83867),
(140142, 'PTHR43180:SF68', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE-LIKE ISOFORM X1', 83868),
(140143, 'PTHR24369:SF169', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE NEURONAL 2', 83869),
(140144, 'PTHR48017:SF58', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 4', 83870),
(140145, 'PTHR46506:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83871);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(140146, 'PTHR11426', NULL, NULL, NULL, NULL, 'HISTONE H3', 83872),
(140147, 'PTHR47995:SF6', NULL, NULL, NULL, NULL, 'BNACNNG51960D PROTEIN', 83873),
(140148, 'PTHR42100', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 178 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04320)-RELATED', 83874),
(140149, 'PTHR46929:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83875),
(140150, 'PTHR12461:SF43', NULL, NULL, NULL, NULL, 'HSPB1-ASSOCIATED PROTEIN 1', 83876),
(140151, 'PTHR12308:SF73', NULL, NULL, NULL, NULL, 'ANOCTAMIN', 83877),
(140152, 'PTHR34630:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83878),
(140153, 'PTHR31223:SF74', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 83879),
(140154, 'PTHR31367:SF2', NULL, NULL, NULL, NULL, 'CYTOSOLIC 5''-NUCLEOTIDASE 1A', 83880),
(140155, 'PTHR22904:SF513', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83881),
(140156, 'PTHR48008:SF13', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 83882),
(140157, 'PTHR23318:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 3A', 83883),
(140158, 'PTHR33021:SF395', NULL, NULL, NULL, NULL, 'STELLACYANIN-LIKE', 83884),
(140159, 'PTHR13061:SF35', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE 3, MITOCHONDRIAL', 83885),
(140160, 'PTHR31174:SF15', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN D-34-LIKE', 83886),
(140161, 'PTHR24012:SF815', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83887),
(140162, 'PTHR46521:SF8', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 3A-RELATED', 83888),
(140163, 'PTHR35149:SF3', NULL, NULL, NULL, NULL, 'LMO0309 PROTEIN', 83889),
(140164, 'PTHR24083:SF104', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HNF-4 HOMOLOG', 83890),
(140165, 'PTHR11711:SF391', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR', 83891),
(140166, 'PTHR46318', NULL, NULL, NULL, NULL, 'UPSTREAM BINDING TRANSCRIPTION FACTOR', 83892),
(140167, 'PTHR35998:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83893),
(140168, 'PTHR31851:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83894),
(140169, 'PTHR31422:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83895),
(140170, 'PTHR24377:SF781', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83896),
(140171, 'PTHR40626:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN YPR022C', 83897),
(140172, 'PTHR10774:SF191', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-3-LIKE ISOFORM X1', 83898),
(140173, 'PTHR32494:SF15', NULL, NULL, NULL, NULL, 'BLR6249 PROTEIN', 83899),
(140174, 'PTHR10743:SF11', NULL, NULL, NULL, NULL, 'PROTEIN RER1C', 83900),
(140175, 'PTHR12442:SF7', NULL, NULL, NULL, NULL, 'DYNEIN INTERMEDIATE CHAIN 2, AXONEMAL', 83901),
(140176, 'PTHR30546:SF35', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN WRBA', 83902),
(140177, 'PTHR46063:SF1', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 4', 83903),
(140178, 'PTHR33257:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83904),
(140179, 'PTHR13318:SF101', NULL, NULL, NULL, NULL, 'F-BOX/LRR PROTEIN', 83905),
(140180, 'PTHR32401:SF9', NULL, NULL, NULL, NULL, 'OS08G0334300 PROTEIN', 83906),
(140181, 'PTHR47512:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83907),
(140182, 'PTHR46043:SF9', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 83908),
(140183, 'PTHR31832:SF60', NULL, NULL, NULL, NULL, 'BNAC01G00140D PROTEIN', 83909),
(140184, 'PTHR47970', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF11', 83910),
(140185, 'PTHR10766:SF140', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 83911),
(140186, 'PTHR24020:SF69', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE VI ALPHA 5 CHAIN', 83912),
(140187, 'PTHR38107:SF3', NULL, NULL, NULL, NULL, 'LYSOZYME', 83913),
(140188, 'PTHR32219:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN YLMH-RELATED', 83914),
(140189, 'PTHR24256:SF451', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P12', 83915),
(140190, 'PTHR15362:SF31', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--INOSITOL 3-PHOSPHATIDYLTRANSFERASE', 83916),
(140191, 'PTHR31375:SF108', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 28', 83917);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(140192, 'PTHR13832:SF770', NULL, NULL, NULL, NULL, 'BNAA05G29000D PROTEIN', 83918),
(140193, 'PTHR23036:SF86', NULL, NULL, NULL, NULL, 'PROLACTIN RECEPTOR', 83919),
(140194, 'PTHR24072:SF145', NULL, NULL, NULL, NULL, 'RAS HOMOLOG FAMILY MEMBER UB', 83920),
(140195, 'PTHR43853', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE, PEROXISOMAL', 83921),
(140196, 'PTHR11848:SF34', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA-3 PROPROTEIN', 83922),
(140197, 'PTHR42853:SF2', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A CARBOXYLASE CARBOXYL TRANSFERASE SUBUNIT ALPHA, CHLOROPLASTIC', 83923),
(140198, 'PTHR21723:SF0', NULL, NULL, NULL, NULL, 'RIC3 ACETYLCHOLINE RECEPTOR CHAPERONE, ISOFORM C', 83924),
(140199, 'PTHR11829:SF362', NULL, NULL, NULL, NULL, 'FORKHEAD TRANSCRIPTION FACTOR FAMILY', 83925),
(140200, 'PTHR12743:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE HEME LYASE', 83926),
(140201, 'PTHR12161:SF14', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', 83927),
(140202, 'PTHR11390:SF26', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 1', 83928),
(140203, 'PTHR22938:SF11', NULL, NULL, NULL, NULL, 'OS01G0251200 PROTEIN', 83929),
(140204, 'PTHR47759', NULL, NULL, NULL, NULL, 'OS04G0509100 PROTEIN', 83930),
(140205, 'PTHR10219:SF82', NULL, NULL, NULL, NULL, 'OS04G0438600 PROTEIN', 83931),
(140206, 'PTHR11260:SF614', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 83932),
(140207, 'PTHR11693:SF23', NULL, NULL, NULL, NULL, 'ATP SYNTHASE GAMMA CHAIN 1, CHLOROPLASTIC', 83933),
(140208, 'PTHR31238:SF192', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 83934),
(140209, 'PTHR48042:SF6', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 15-LIKE', 83935),
(140210, 'PTHR23505:SF67', NULL, NULL, NULL, NULL, 'PROTEIN SPINSTER HOMOLOG 3', 83936),
(140211, 'PTHR31047:SF0', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 157 PROTEIN', 83937),
(140212, 'PTHR47926:SF215', NULL, NULL, NULL, NULL, 'BNAC05G29820D PROTEIN', 83938),
(140213, 'PTHR45932:SF21', NULL, NULL, NULL, NULL, 'PATELLIN-2', 83939),
(140214, 'PTHR21725:SF4', NULL, NULL, NULL, NULL, 'BNAA05G33630D PROTEIN', 83940),
(140215, 'PTHR10114:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', 83941),
(140216, 'PTHR19321:SF14', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 6', 83942),
(140217, 'PTHR43544:SF2', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-LIKE PROTEIN', 83943),
(140218, 'PTHR45911:SF1', NULL, NULL, NULL, NULL, 'MULTIPLE C2 AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN', 83944),
(140219, 'PTHR47274', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN CONTAINING PROTEIN, EXPRESSED-RELATED', 83945),
(140220, 'PTHR31676', NULL, NULL, NULL, NULL, 'T31J12.3 PROTEIN-RELATED', 83946),
(140221, 'PTHR12610:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83947),
(140222, 'PTHR11437:SF56', NULL, NULL, NULL, NULL, 'ANGIOGENIN-RELATED', 83948),
(140223, 'PTHR18359:SF2', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 18 HOMOLOG', 83949),
(140224, 'PTHR19051:SF5', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 27-1', 83950),
(140225, 'PTHR26453:SF8', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 83951),
(140226, 'PTHR46344:SF9', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN', 83952),
(140227, 'PTHR36330', NULL, NULL, NULL, NULL, 'LIPASE/LIPOOXYGENASE, PLAT/LH2 FAMILY PROTEIN', 83953),
(140228, 'PTHR26453:SF208', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 83954),
(140229, 'PTHR15499:SF3', NULL, NULL, NULL, NULL, 'HMG BOX-CONTAINING PROTEIN 1', 83955),
(140230, 'PTHR33304:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83956),
(140231, 'PTHR33285:SF38', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE-RELATED', 83957),
(140232, 'PTHR36347', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 83958),
(140233, 'PTHR47928:SF155', NULL, NULL, NULL, NULL, 'OS05G0439300 PROTEIN', 83959),
(140234, 'PTHR47237', NULL, NULL, NULL, NULL, 'SLL0310 PROTEIN', 83960),
(140235, 'PTHR22588:SF4', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-5(VI) CHAIN', 83961),
(140236, 'PTHR48040:SF12', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 32', 83962);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(140237, 'PTHR46139', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE', 83963),
(140238, 'PTHR31948:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83964),
(140239, 'PTHR24177:SF62', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS TRANSMEMBRANE PROTEIN-LIKE', 83965),
(140240, 'PTHR11062:SF293', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX10-RELATED', 83966),
(140241, 'PTHR31817:SF1', NULL, NULL, NULL, NULL, 'KIAA0895 LIKE', 83967),
(140242, 'PTHR12907:SF4', NULL, NULL, NULL, NULL, 'EGL NINE HOMOLOG 1', 83968),
(140243, 'PTHR27004:SF323', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN FLOR 1', 83969),
(140244, 'PTHR24381:SF328', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 235', 83970),
(140245, 'PTHR11689:SF68', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 83971),
(140246, 'PTHR42718:SF29', NULL, NULL, NULL, NULL, 'LINCOMYCIN RESISTANCE PROTEIN LMRB', 83972),
(140247, 'PTHR31717:SF93', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 32-LIKE', 83973),
(140248, 'PTHR13235', NULL, NULL, NULL, NULL, 'SINGLE-STRAND SELECTIVE MONOFUNCTIONAL URACIL DNA GLYCOSYLASE', 83974),
(140249, 'PTHR33048:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83975),
(140250, 'PTHR21254:SF1', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN 3', 83976),
(140251, 'PTHR31241:SF51', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2C', 83977),
(140252, 'PTHR11426:SF236', NULL, NULL, NULL, NULL, 'HISTONE H3.3', 83978),
(140253, 'PTHR11945:SF625', NULL, NULL, NULL, NULL, 'BNACNNG38710D PROTEIN', 83979),
(140254, 'PTHR10219:SF20', NULL, NULL, NULL, NULL, 'CERAMIDE-1-PHOSPHATE TRANSFER PROTEIN', 83980),
(140255, 'PTHR31992:SF226', NULL, NULL, NULL, NULL, 'BNAA08G15120D PROTEIN', 83981),
(140256, 'PTHR42748:SF20', NULL, NULL, NULL, NULL, 'NMRA FAMILY PROTEIN', 83982),
(140257, 'PTHR22953:SF137', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 83983),
(140258, 'PTHR11229:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83984),
(140259, 'PTHR10689', NULL, NULL, NULL, NULL, 'MICROSOMAL GLUTATHIONE S-TRANSFERASE 1', 83985),
(140260, 'PTHR24073:SF1105', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-1C-RELATED', 83986),
(140261, 'PTHR35910:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83987),
(140262, 'PTHR24161:SF94', NULL, NULL, NULL, NULL, 'USHER SYNDROME 1GA (AUTOSOMAL RECESSIVE)-RELATED', 83988),
(140263, 'PTHR43657:SF2', NULL, NULL, NULL, NULL, 'TRYPTOPHAN RNA-BINDING ATTENUATOR PROTEIN-LIKE PROTEIN', 83989),
(140264, 'PTHR30087:SF0', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 83990),
(140265, 'PTHR47443', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 83991),
(140266, 'PTHR38546', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', 83992),
(140267, 'PTHR45763:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83993),
(140268, 'PTHR11802:SF238', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 83994),
(140269, 'PTHR16092:SF14', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 1-RELATED', 83995),
(140270, 'PTHR45631:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 83996),
(140271, 'PTHR44376:SF23', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 83997),
(140272, 'PTHR11394:SF72', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR CLASS A-LIKE PROTEIN 4', 83998),
(140273, 'PTHR10867:SF32', NULL, NULL, NULL, NULL, 'ZGC:64002', 83999),
(140274, 'PTHR31907:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84000),
(140275, 'PTHR31087:SF102', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 11-LIKE', 84001),
(140276, 'PTHR12859:SF6', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 84002),
(140277, 'PTHR23155:SF1006', NULL, NULL, NULL, NULL, 'OS07G0273700 PROTEIN', 84003),
(140278, 'PTHR31639:SF163', NULL, NULL, NULL, NULL, 'OS11G0539600 PROTEIN', 84004),
(140279, 'PTHR45929', NULL, NULL, NULL, NULL, 'JAK PATHWAY SIGNAL TRANSDUCTION ADAPTOR MOLECULE', 84005),
(140280, 'PTHR31496:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR KAN1', 84006),
(140281, 'PTHR12802:SF97', NULL, NULL, NULL, NULL, 'OS01G0156000 PROTEIN', 84007);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(140282, 'PTHR10366:SF639', NULL, NULL, NULL, NULL, '3BETA-HYDROXYSTEROID-DEHYDROGENASE/DECARBOXYLASE ISOFORM 3', 84008),
(140283, 'PTHR40056:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 84009),
(140284, 'PTHR47926:SF226', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN ELI1, CHLOROPLASTIC', 84010),
(140285, 'PTHR45801:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR RABBIT EARS-RELATED', 84011),
(140286, 'PTHR31374:SF334', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32-LIKE', 84012),
(140287, 'PTHR22929:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TFIIIB COMPONENT B'''' HOMOLOG', 84013),
(140288, 'PTHR33827:SF8', NULL, NULL, NULL, NULL, 'PROTEIN SAWADEE HOMEODOMAIN HOMOLOG 1-LIKE', 84014),
(140289, 'PTHR46864', NULL, NULL, NULL, NULL, 'LAFORIN', 84015),
(140290, 'PTHR24377:SF850', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 235', 84016),
(140291, 'PTHR13140:SF759', NULL, NULL, NULL, NULL, 'MYOSIN-6-LIKE ISOFORM X1', 84017),
(140292, 'PTHR31197:SF25', NULL, NULL, NULL, NULL, 'BNAA02G19910D PROTEIN', 84018),
(140293, 'PTHR33346:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84019),
(140294, 'PTHR23325:SF1', NULL, NULL, NULL, NULL, 'SERUM RESPONSE FACTOR-BINDING PROTEIN 1', 84020),
(140295, 'PTHR47626:SF5', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN-CONTAINING PROTEIN', 84021),
(140296, 'PTHR21252:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 46', 84022),
(140297, 'PTHR14385:SF0', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 16', 84023),
(140298, 'PTHR47828', NULL, NULL, NULL, NULL, 'ARCHAEAL HISTONE A', 84024),
(140299, 'PTHR34685', NULL, NULL, NULL, NULL, 'RED CHLOROPHYLL CATABOLITE REDUCTASE, CHLOROPLASTIC', 84025),
(140300, 'PTHR33735:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84026),
(140301, 'PTHR48048:SF14', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 84027),
(140302, 'PTHR22953:SF7', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 22', 84028),
(140303, 'PTHR11006:SF53', NULL, NULL, NULL, NULL, 'ARGININE METHYLTRANSFERASE 1-RELATED', 84029),
(140304, 'PTHR31852:SF183', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 84030),
(140305, 'PTHR33090:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84031),
(140306, 'PTHR33514', NULL, NULL, NULL, NULL, 'PROTEIN ABCI12, CHLOROPLASTIC', 84032),
(140307, 'PTHR24356:SF337', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 84033),
(140308, 'PTHR36716:SF2', NULL, NULL, NULL, NULL, 'F3H9.20 PROTEIN', 84034),
(140309, 'PTHR12338:SF9', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN A1 PROTEASE AUTOTRANSPORTER', 84035),
(140310, 'PTHR46281:SF12', NULL, NULL, NULL, NULL, 'BNAA07G10470D PROTEIN', 84036),
(140311, 'PTHR31867:SF94', NULL, NULL, NULL, NULL, 'EXPANSIN', 84037),
(140312, 'PTHR23138', NULL, NULL, NULL, NULL, 'RAN BINDING PROTEIN', 84038),
(140313, 'PTHR13246:SF1', NULL, NULL, NULL, NULL, 'CYTOSOLIC ENDO-BETA-N-ACETYLGLUCOSAMINIDASE', 84039),
(140314, 'PTHR10110:SF94', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 6', 84040),
(140315, 'PTHR31620:SF22', NULL, NULL, NULL, NULL, 'OS01G0957200 PROTEIN', 84041),
(140316, 'PTHR42920:SF20', NULL, NULL, NULL, NULL, 'BLR3407 PROTEIN', 84042),
(140317, 'PTHR13301:SF224', NULL, NULL, NULL, NULL, 'BNACNNG25530D PROTEIN', 84043),
(140318, 'PTHR14017:SF14', NULL, NULL, NULL, NULL, 'JUMONJI (TRANSCRIPTION FACTOR) DOMAIN PROTEIN', 84044),
(140319, 'PTHR24253:SF88', NULL, NULL, NULL, NULL, 'NOTOPLEURAL, ISOFORM A', 84045),
(140320, 'PTHR11706:SF40', NULL, NULL, NULL, NULL, 'NATURAL RESISTANCE-ASSOCIATED MACROPHAGE PROTEIN 2', 84046),
(140321, 'PTHR27001:SF865', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', 84047),
(140322, 'PTHR32429:SF9', NULL, NULL, NULL, NULL, 'POST-ILLUMINATION CHLOROPHYLL FLUORESCENCE INCREASE', 84048),
(140323, 'PTHR11629:SF72', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A1', 84049),
(140324, 'PTHR11985', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', 84050),
(140325, 'PTHR20902:SF1', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT', 84051);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(140326, 'PTHR12659', NULL, NULL, NULL, NULL, 'RHO-TYPE GTPASE ACTIVATING PROTEIN', 84052),
(140327, 'PTHR11081:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84053),
(140328, 'PTHR22802', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN SUPERFAMILY MEMBER', 84054),
(140329, 'PTHR31511', NULL, NULL, NULL, NULL, 'PROTEIN CBG23764', 84055),
(140330, 'PTHR46128:SF196', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 84056),
(140331, 'PTHR24298:SF744', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 84057),
(140332, 'PTHR45926:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE4-LIKE ISOFORM X1', 84058),
(140333, 'PTHR10625:SF196', NULL, NULL, NULL, NULL, 'CHROMOSOME 12, WHOLE GENOME SHOTGUN SEQUENCE', 84059),
(140334, 'PTHR11473:SF15', NULL, NULL, NULL, NULL, 'TYROSINE 3-MONOOXYGENASE', 84060),
(140335, 'PTHR31669:SF175', NULL, NULL, NULL, NULL, 'OS04G0354200 PROTEIN', 84061),
(140336, 'PTHR40438:SF1', NULL, NULL, NULL, NULL, 'PYRUVOYL-DEPENDENT ARGININE DECARBOXYLASE', 84062),
(140337, 'PTHR43859:SF12', NULL, NULL, NULL, NULL, 'OS09G0555800 PROTEIN', 84063),
(140338, 'PTHR35243:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84064),
(140339, 'PTHR24071:SF2', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN, TESTIS-SPECIFIC ISOFORM', 84065),
(140340, 'PTHR16134:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84066),
(140341, 'PTHR45647:SF95', NULL, NULL, NULL, NULL, 'BNAC09G53040D PROTEIN', 84067),
(140342, 'PTHR11871:SF42', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', 84068),
(140343, 'PTHR47947:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 84069),
(140344, 'PTHR10671:SF8', NULL, NULL, NULL, NULL, 'EPITHELIAL MEMBRANE PROTEIN 3', 84070),
(140345, 'PTHR23267:SF378', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-21', 84071),
(140346, 'PTHR33231:SF1', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN', 84072),
(140347, 'PTHR10926:SF60', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT 3', 84073),
(140348, 'PTHR47990:SF87', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', 84074),
(140349, 'PTHR37783', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G04315)-RELATED', 84075),
(140350, 'PTHR32278:SF41', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 84076),
(140351, 'PTHR15601:SF23', NULL, NULL, NULL, NULL, 'OS11G0637501 PROTEIN', 84077),
(140352, 'PTHR22595:SF166', NULL, NULL, NULL, NULL, 'ENDOCHITINASE', 84078),
(140353, 'PTHR10168:SF233', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S9', 84079),
(140354, 'PTHR13338', NULL, NULL, NULL, NULL, 'UPF0240 PROTEIN', 84080),
(140355, 'PTHR21677', NULL, NULL, NULL, NULL, 'CRAMPED PROTEIN', 84081),
(140356, 'PTHR46074:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PROTEIN 2', 84082),
(140357, 'PTHR21093:SF4', NULL, NULL, NULL, NULL, 'DIVERGENT PROTEIN KINASE DOMAIN 1A', 84083),
(140358, 'PTHR15467:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGERS AND HOMEOBOXES PROTEIN 2', 84084),
(140359, 'PTHR34403:SF10', NULL, NULL, NULL, NULL, 'BNAA01G35380D PROTEIN', 84085),
(140360, 'PTHR10543:SF124', NULL, NULL, NULL, NULL, 'CAROTENOID CLEAVAGE DIOXYGENASE 1-3', 84086),
(140361, 'PTHR13935:SF98', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH126-LIKE', 84087),
(140362, 'PTHR24416:SF297', NULL, NULL, NULL, NULL, 'DISCOIDIN DOMAIN RECEPTOR FAMILY, MEMBER 2,-LIKE', 84088),
(140363, 'PTHR36397', NULL, NULL, NULL, NULL, 'OSJNBA0081L15.1 PROTEIN', 84089),
(140364, 'PTHR23239:SF110', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA8', 84090),
(140365, 'PTHR45984', NULL, NULL, NULL, NULL, 'RNA (RNA) POLYMERASE II ASSOCIATED PROTEIN HOMOLOG', 84091),
(140366, 'PTHR24012:SF680', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 3', 84092),
(140367, 'PTHR12629:SF44', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE-LIKE PROTEIN', 84093),
(140368, 'PTHR12280:SF25', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE 2, MITOCHONDRIAL', 84094),
(140369, 'PTHR31276:SF15', NULL, NULL, NULL, NULL, 'BNAC05G50330D PROTEIN', 84095);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(140370, 'PTHR21522:SF29', NULL, NULL, NULL, NULL, 'OTOPETRIN-LIKE', 84096),
(140371, 'PTHR12400:SF78', NULL, NULL, NULL, NULL, 'KINASE', 84097),
(140372, 'PTHR14514:SF3', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 68 KDA-RELATED', 84098),
(140373, 'PTHR37236:SF2', NULL, NULL, NULL, NULL, 'BNAC03G30470D PROTEIN', 84099),
(140374, 'PTHR11782:SF32', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 1', 84100),
(140375, 'PTHR12197:SF273', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03000)-RELATED', 84101),
(140376, 'PTHR13798:SF3', NULL, NULL, NULL, NULL, 'RNP (RRM RNA BINDING DOMAIN) CONTAINING', 84102),
(140377, 'PTHR10783:SF61', NULL, NULL, NULL, NULL, 'LD30826P', 84103),
(140378, 'PTHR46324:SF9', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 43-LIKE', 84104),
(140379, 'PTHR34709:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84105),
(140380, 'PTHR13964:SF41', NULL, NULL, NULL, NULL, 'ZGC:77151', 84106),
(140381, 'PTHR42951:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84107),
(140382, 'PTHR46601', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 84108),
(140383, 'PTHR11802:SF204', NULL, NULL, NULL, NULL, 'OS11G0460800 PROTEIN', 84109),
(140384, 'PTHR24359:SF26', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MENG-PO', 84110),
(140385, 'PTHR12001:SF76', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHETASE IDSA2 (GGPPSASE) (GGPP SYNTHETASE) (GERANYLGERANYL DIPHOSPHATE SYNTHASE)-RELATED', 84111),
(140386, 'PTHR36941:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG01626', 84112),
(140387, 'PTHR38422', NULL, NULL, NULL, NULL, 'SOMETHING ABOUT SILENCING PROTEIN 4', 84113),
(140388, 'PTHR11886:SF96', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 84114),
(140389, 'PTHR11426:SF217', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE 5-RELATED', 84115),
(140390, 'PTHR13037:SF20', NULL, NULL, NULL, NULL, 'SI:CH1073-209E23.1', 84116),
(140391, 'PTHR45720:SF6', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN 2', 84117),
(140392, 'PTHR10288:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84118),
(140393, 'PTHR31439:SF5', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN PROTEIN', 84119),
(140394, 'PTHR34464:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84120),
(140395, 'PTHR24055:SF442', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 2', 84121),
(140396, 'PTHR43398:SF1', NULL, NULL, NULL, NULL, 'DOLICHOL-PHOSPHATE MANNOSYLTRANSFERASE SUBUNIT 1', 84122),
(140397, 'PTHR33374:SF31', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 22-LIKE', 84123),
(140398, 'PTHR13947:SF6', NULL, NULL, NULL, NULL, 'MCG128680, ISOFORM CRA_A-RELATED', 84124),
(140399, 'PTHR24219:SF7', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN AJUBA', 84125),
(140400, 'PTHR10177:SF451', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN CYCLIN', 84126),
(140401, 'PTHR36120:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84127),
(140402, 'PTHR33083:SF63', NULL, NULL, NULL, NULL, 'BNAA03G48340D PROTEIN', 84128),
(140403, 'PTHR32444:SF72', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 1', 84129),
(140404, 'PTHR43462', NULL, NULL, NULL, NULL, 'ALANYL-TRNA EDITING PROTEIN', 84130),
(140405, 'PTHR10579:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84131),
(140406, 'PTHR31992:SF93', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.5-LIKE', 84132),
(140407, 'PTHR12411:SF777', NULL, NULL, NULL, NULL, 'THIOL PROTEASE ALEURAIN', 84133),
(140408, 'PTHR23355', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', 84134),
(140409, 'PTHR27001:SF768', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 84135),
(140410, 'PTHR31263:SF46', NULL, NULL, NULL, NULL, 'HYDROLYZING O-GLYCOSYL COMPOUNDS HYDROLASE', 84136),
(140411, 'PTHR45858:SF1', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 7', 84137),
(140412, 'PTHR45856:SF7', NULL, NULL, NULL, NULL, 'OS03G0348800 PROTEIN', 84138),
(140413, 'PTHR36101', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN 8', 84139),
(140414, 'PTHR33443:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84140);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(140415, 'PTHR19918:SF4', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 20 HOMOLOG B', 84141),
(140416, 'PTHR33990:SF4', NULL, NULL, NULL, NULL, '3-DEMETHYLUBIQUINONE-9 3-METHYLTRANSFERASE', 84142),
(140417, 'PTHR21557:SF2', NULL, NULL, NULL, NULL, 'CORDON-BLEU PROTEIN-LIKE 1', 84143),
(140418, 'PTHR22950:SF661', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 84144),
(140419, 'PTHR36110:SF2', NULL, NULL, NULL, NULL, 'RING-CLEAVING DIOXYGENASE MHQE-RELATED', 84145),
(140420, 'PTHR35324:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 84146),
(140421, 'PTHR12313:SF61', NULL, NULL, NULL, NULL, 'OS05G0470700 PROTEIN', 84147),
(140422, 'PTHR30627:SF2', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN D,D-TRANSPEPTIDASE MRDA', 84148),
(140423, 'PTHR23054:SF53', NULL, NULL, NULL, NULL, 'OS06G0704100 PROTEIN', 84149),
(140424, 'PTHR21649:SF80', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC-RELATED', 84150),
(140425, 'PTHR47967:SF46', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-1-LIKE', 84151),
(140426, 'PTHR11040:SF146', NULL, NULL, NULL, NULL, 'ZINC/IRON PERMEASE', 84152),
(140427, 'PTHR34474:SF2', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION PROTEIN TRAP', 84153),
(140428, 'PTHR19878', NULL, NULL, NULL, NULL, 'AUTOPHAGY PROTEIN 16-LIKE', 84154),
(140429, 'PTHR12281:SF2', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN', 84155),
(140430, 'PTHR27000:SF595', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 84156),
(140431, 'PTHR24298:SF841', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81D11', 84157),
(140432, 'PTHR24083:SF171', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-136', 84158),
(140433, 'PTHR34591:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84159),
(140434, 'PTHR46234:SF3', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 84160),
(140435, 'PTHR33882:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84161),
(140436, 'PTHR45967:SF31', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN EMBP-1', 84162),
(140437, 'PTHR24096:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84163),
(140438, 'PTHR11482', NULL, NULL, NULL, NULL, 'ARGININE/DIAMINOPIMELATE/ORNITHINE DECARBOXYLASE', 84164),
(140439, 'PTHR37613:SF4', NULL, NULL, NULL, NULL, 'DUF4378 DOMAIN PROTEIN', 84165),
(140440, 'PTHR35290:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CASPARIAN STRIP INTEGRITY FACTOR 1-RELATED', 84166),
(140441, 'PTHR31585:SF45', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 1, CHLOROPLASTIC', 84167),
(140442, 'PTHR33431:SF11', NULL, NULL, NULL, NULL, 'ENABLED-LIKE PROTEIN (DUF1635)', 84168),
(140443, 'PTHR11847', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L15', 84169),
(140444, 'PTHR19331:SF467', NULL, NULL, NULL, NULL, 'EGG PEPTIDE SPERACT RECEPTOR', 84170),
(140445, 'PTHR21530:SF10', NULL, NULL, NULL, NULL, 'BNAA10G03300D PROTEIN', 84171),
(140446, 'PTHR33347:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84172),
(140447, 'PTHR36783', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 17.9 KDA PROTEIN, CHLOROPLASTIC', 84173),
(140448, 'PTHR43539:SF28', NULL, NULL, NULL, NULL, 'SLR0801 PROTEIN', 84174),
(140449, 'PTHR33514:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', 84175),
(140450, 'PTHR11465:SF25', NULL, NULL, NULL, NULL, 'PEROXISOMAL CATALASE 1', 84176),
(140451, 'PTHR24286:SF311', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 84177),
(140452, 'PTHR33091:SF95', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 84178),
(140453, 'PTHR46128:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84179),
(140454, 'PTHR30543:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84180),
(140455, 'PTHR11835:SF64', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] REGULATORY SUBUNIT 1, MITOCHONDRIAL-LIKE', 84181),
(140456, 'PTHR31933:SF9', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 2', 84182),
(140457, 'PTHR32246:SF22', NULL, NULL, NULL, NULL, 'PROTEIN SRC2 HOMOLOG', 84183),
(140458, 'PTHR31086', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 10', 84184);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(140459, 'PTHR34929', NULL, NULL, NULL, NULL, 'ZGC:153157', 84185),
(140460, 'PTHR22883:SF364', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 84186),
(140461, 'PTHR24414:SF113', NULL, NULL, NULL, NULL, 'BNAA03G53580D PROTEIN', 84187),
(140462, 'PTHR44156:SF3', NULL, NULL, NULL, NULL, 'SERINE-THREONINE KINASE RECEPTOR-ASSOCIATED PROTEIN-LIKE', 84188),
(140463, 'PTHR23430:SF326', NULL, NULL, NULL, NULL, 'HISTONE H2A', 84189),
(140464, 'PTHR43452:SF1', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE', 84190),
(140465, 'PTHR24177:SF241', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY ANKYRIN REPEAT SUBUNIT B-LIKE', 84191),
(140466, 'PTHR45715:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84192),
(140467, 'PTHR34996:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84193),
(140468, 'PTHR31269:SF27', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH4-LIKE', 84194),
(140469, 'PTHR23547:SF1', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', 84195),
(140470, 'PTHR11153:SF16', NULL, NULL, NULL, NULL, 'SIDOREFLEXIN', 84196),
(140471, 'PTHR16071', NULL, NULL, NULL, NULL, 'CHROMOSOME 1 OPEN READING FRAME 112', 84197),
(140472, 'PTHR31238:SF8', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 3 MEMBER 2', 84198),
(140473, 'PTHR11783:SF202', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 84199),
(140474, 'PTHR31747:SF19', NULL, NULL, NULL, NULL, 'LSD1-LIKE PROTEIN', 84200),
(140475, 'PTHR48049:SF14', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 84201),
(140476, 'PTHR21257:SF48', NULL, NULL, NULL, NULL, 'STEROL REDUCTASE (EUROFUNG)', 84202),
(140477, 'PTHR21567:SF78', NULL, NULL, NULL, NULL, 'BNAA07G00070D PROTEIN', 84203),
(140478, 'PTHR24361:SF678', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 1', 84204),
(140479, 'PTHR15407:SF38', NULL, NULL, NULL, NULL, 'PROTEIN CBG15246', 84205),
(140480, 'PTHR15350', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 7/DENDRITIC CELL PROTEIN GA17', 84206),
(140481, 'PTHR12128:SF35', NULL, NULL, NULL, NULL, 'BLL4423 PROTEIN', 84207),
(140482, 'PTHR43939:SF1', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 4', 84208),
(140483, 'PTHR30073', NULL, NULL, NULL, NULL, 'ASPARTATE--AMMONIA LIGASE', 84209),
(140484, 'PTHR24384:SF81', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 732', 84210),
(140485, 'PTHR10460:SF2', NULL, NULL, NULL, NULL, 'ABL INTERACTOR 1', 84211),
(140486, 'PTHR32479:SF19', NULL, NULL, NULL, NULL, 'ANAEROBIC GLYCEROL-3-PHOSPHATE DEHYDROGENASE SUBUNIT C', 84212),
(140487, 'PTHR45631:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84213),
(140488, 'PTHR47124', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP8', 84214),
(140489, 'PTHR11006:SF111', NULL, NULL, NULL, NULL, 'BNAC03G41340D PROTEIN', 84215),
(140490, 'PTHR48035', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1', 84216),
(140491, 'PTHR46629:SF22', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 84217),
(140492, 'PTHR13843', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN', 84218),
(140493, 'PTHR11043:SF22', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-2-LIKE', 84219),
(140494, 'PTHR11926:SF1299', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 84A3-RELATED', 84220),
(140495, 'PTHR31286:SF65', NULL, NULL, NULL, NULL, 'BNAA09G15220D PROTEIN', 84221),
(140496, 'PTHR10634:SF120', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 3', 84222),
(140497, 'PTHR45800:SF23', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-AND 4-KINASE FAMILY PROTEIN', 84223),
(140498, 'PTHR31079:SF38', NULL, NULL, NULL, NULL, 'BNAA07G08370D PROTEIN', 84224),
(140499, 'PTHR23257:SF717', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE', 84225),
(140500, 'PTHR47958:SF74', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE-LIKE PROTEIN', 84226),
(140501, 'PTHR47921:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84227),
(140502, 'PTHR46768', NULL, NULL, NULL, NULL, 'TWO PORE CALCIUM CHANNEL PROTEIN 2', 84228),
(140503, 'PTHR45642:SF49', NULL, NULL, NULL, NULL, 'ANTHER-SPECIFIC PROLINE-RICH PROTEIN APG', 84229);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(140504, 'PTHR33470:SF40', NULL, NULL, NULL, NULL, 'POLLEN OLE E I FAMILY ALLERGEN', 84230),
(140505, 'PTHR24249:SF382', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 52', 84231),
(140506, 'PTHR47030:SF2', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3 FAMILY PROTEIN', 84232),
(140507, 'PTHR33402', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 11-LIKE', 84233),
(140508, 'PTHR11711:SF323', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 5', 84234),
(140509, 'PTHR12725:SF117', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE', 84235),
(140510, 'PTHR34543:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ABA DEFICIENT 4, CHLOROPLASTIC-LIKE ISOFORM X1', 84236),
(140511, 'PTHR46128:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84237),
(140512, 'PTHR36350:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 84238),
(140513, 'PTHR23166:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG17702', 84239),
(140514, 'PTHR22765:SF290', NULL, NULL, NULL, NULL, 'BNAC03G54060D PROTEIN', 84240),
(140515, 'PTHR37534:SF2', NULL, NULL, NULL, NULL, 'ADHESION AND HYPHAL REGULATOR 1', 84241),
(140516, 'PTHR11260:SF620', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', 84242),
(140517, 'PTHR14119:SF12', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE FAMILY PROTEIN 2A-RELATED', 84243),
(140518, 'PTHR10033:SF14', NULL, NULL, NULL, NULL, 'CALSEQUESTRIN-1', 84244),
(140519, 'PTHR32096:SF97', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 22-LIKE', 84245),
(140520, 'PTHR12993:SF20', NULL, NULL, NULL, NULL, 'N-ACETYL-ALPHA-D-GLUCOSAMINYL L-MALATE DEACETYLASE 2-RELATED', 84246),
(140521, 'PTHR42105:SF1', NULL, NULL, NULL, NULL, 'DIM2-ASSOCIATED PROTEIN 1', 84247),
(140522, 'PTHR47982:SF54', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 84248),
(140523, 'PTHR35846', NULL, NULL, NULL, NULL, 'PROTEIN CBG05131', 84249),
(140524, 'PTHR11362:SF114', NULL, NULL, NULL, NULL, 'BNAC06G27090D PROTEIN', 84250),
(140525, 'PTHR22957:SF448', NULL, NULL, NULL, NULL, 'OS01G0908100 PROTEIN', 84251),
(140526, 'PTHR47158', NULL, NULL, NULL, NULL, 'OS08G0239000 PROTEIN', 84252),
(140527, 'PTHR23177:SF62', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATION PROTEIN-RELATED', 84253),
(140528, 'PTHR24416:SF341', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR TIE-1', 84254),
(140529, 'PTHR33044:SF93', NULL, NULL, NULL, NULL, 'OS11G0583100 PROTEIN', 84255),
(140530, 'PTHR31388:SF190', NULL, NULL, NULL, NULL, 'OS06G0522100 PROTEIN', 84256),
(140531, 'PTHR24212:SF8', NULL, NULL, NULL, NULL, 'LIM DOMAIN CONTAINING PROTEIN', 84257),
(140532, 'PTHR45614:SF169', NULL, NULL, NULL, NULL, 'BNAA10G16980D PROTEIN', 84258),
(140533, 'PTHR35284:SF5', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 24, CHLOROPLASTIC-LIKE', 84259),
(140534, 'PTHR24281:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84260),
(140535, 'PTHR23353:SF4', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY, MEMBER 24, GENE 2', 84261),
(140536, 'PTHR34927:SF1', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN K', 84262),
(140537, 'PTHR31580:SF11', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', 84263),
(140538, 'PTHR33702', NULL, NULL, NULL, NULL, 'BNAA09G40010D PROTEIN', 84264),
(140539, 'PTHR45682:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 3', 84265),
(140540, 'PTHR24012:SF409', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 1', 84266),
(140541, 'PTHR36427', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L1, MITOCHONDRIAL', 84267),
(140542, 'PTHR11905:SF34', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 29', 84268),
(140543, 'PTHR43952:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB/SANT FAMILY-RELATED', 84269),
(140544, 'PTHR24286:SF273', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 84270),
(140545, 'PTHR46272:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84271),
(140546, 'PTHR44259:SF72', NULL, NULL, NULL, NULL, 'BNAA01G13160D PROTEIN', 84272),
(140547, 'PTHR47501:SF1', NULL, NULL, NULL, NULL, 'ZGC:161969', 84273);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(140548, 'PTHR24237:SF37', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR II (THROMBIN) RECEPTOR-LIKE 2', 84274),
(140549, 'PTHR10845:SF245', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN-SIGNALING 16', 84275),
(140550, 'PTHR21366:SF26', NULL, NULL, NULL, NULL, 'BLL6427 PROTEIN', 84276),
(140551, 'PTHR12902:SF9', NULL, NULL, NULL, NULL, 'SI:CH73-362M14.4-RELATED', 84277),
(140552, 'PTHR19321:SF24', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 9', 84278),
(140553, 'PTHR32133:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84279),
(140554, 'PTHR34128', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN CCME HOMOLOG, MITOCHONDRIAL', 84280),
(140555, 'PTHR45967:SF25', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN, G-BOX BINDING PROTEIN, MULTIFUNCTIONAL MOSAIC REGION-RELATED', 84281),
(140556, 'PTHR47975:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84282),
(140557, 'PTHR31973:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84283),
(140558, 'PTHR30386:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE FUSION PROTEIN (MFP) FAMILY PROTEIN', 84284),
(140559, 'PTHR11132:SF283', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE, EXPRESSED-RELATED', 84285),
(140560, 'PTHR32176:SF70', NULL, NULL, NULL, NULL, 'PATATIN', 84286),
(140561, 'PTHR48054:SF26', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN 1', 84287),
(140562, 'PTHR46686:SF6', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: D-INOSITOL 3-PHOSPHATE GLYCOSYLTRANSFERASE-LIKE', 84288),
(140563, 'PTHR31282:SF99', NULL, NULL, NULL, NULL, 'OS05G0321900 PROTEIN', 84289),
(140564, 'PTHR47535:SF2', NULL, NULL, NULL, NULL, 'NESPRIN-3', 84290),
(140565, 'PTHR12242:SF1', NULL, NULL, NULL, NULL, 'IP08657P-RELATED', 84291),
(140566, 'PTHR31155:SF29', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 7 CHLOROPLASTIC', 84292),
(140567, 'PTHR31917:SF98', NULL, NULL, NULL, NULL, 'BNAC08G50050D PROTEIN', 84293),
(140568, 'PTHR23043:SF22', NULL, NULL, NULL, NULL, 'SINGLE-MINDED HOMOLOG 1', 84294),
(140569, 'PTHR24089:SF631', NULL, NULL, NULL, NULL, 'OS08G0520000 PROTEIN', 84295),
(140570, 'PTHR45979:SF10', NULL, NULL, NULL, NULL, 'BNAA09G35770D PROTEIN', 84296),
(140571, 'PTHR21624:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84297),
(140572, 'PTHR31727:SF16', NULL, NULL, NULL, NULL, 'OLEOYL-ACYL CARRIER PROTEIN THIOESTERASE 2, CHLOROPLASTIC', 84298),
(140573, 'PTHR10366:SF624', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 84299),
(140574, 'PTHR12300:SF157', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN C', 84300),
(140575, 'PTHR11304:SF41', NULL, NULL, NULL, NULL, 'EPH(F)RIN', 84301),
(140576, 'PTHR10969:SF73', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', 84302),
(140577, 'PTHR10772:SF13', NULL, NULL, NULL, NULL, '10 KDA CHAPERONIN 1, CHLOROPLASTIC-RELATED', 84303),
(140578, 'PTHR11481:SF101', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE PROTEIN 2', 84304),
(140579, 'PTHR31989:SF142', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 84305),
(140580, 'PTHR31133:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 84306),
(140581, 'PTHR32467:SF144', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN', 84307),
(140582, 'PTHR24416:SF563', NULL, NULL, NULL, NULL, 'EPH RECEPTOR B3A', 84308),
(140583, 'PTHR31232:SF48', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 12', 84309),
(140584, 'PTHR47957:SF1', NULL, NULL, NULL, NULL, 'NUCLEIC ACID BINDING', 84310),
(140585, 'PTHR10920:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84311),
(140586, 'PTHR47980:SF42', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-13', 84312),
(140587, 'PTHR31722:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84313),
(140588, 'PTHR31506:SF15', NULL, NULL, NULL, NULL, 'BES1/BZR1 HOMOLOG PROTEIN 1', 84314),
(140589, 'PTHR43299:SF1', NULL, NULL, NULL, NULL, 'UPF0718 PROTEIN YRAQ', 84315),
(140590, 'PTHR31429:SF88', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', 84316),
(140591, 'PTHR38926:SF21', NULL, NULL, NULL, NULL, 'F-BOX/LRR PROTEIN-RELATED', 84317),
(140592, 'PTHR11062:SF268', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 84318);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(140593, 'PTHR17378:SF1', NULL, NULL, NULL, NULL, 'SECRETIN', 84319),
(140594, 'PTHR24228:SF11', NULL, NULL, NULL, NULL, 'TYPE-1 ANGIOTENSIN II RECEPTOR', 84320),
(140595, 'PTHR11205:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S5', 84321),
(140596, 'PTHR47966:SF32', NULL, NULL, NULL, NULL, 'FUNGAL PROTEINASE A, ASPARTIC PROTEINASE SUPERFAMILY PROTEIN', 84322),
(140597, 'PTHR12161:SF70', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN IST1-RELATED', 84323),
(140598, 'PTHR30572', NULL, NULL, NULL, NULL, 'MEMBRANE COMPONENT OF TRANSPORTER-RELATED', 84324),
(140599, 'PTHR12277:SF130', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 84325),
(140600, 'PTHR27009:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84326),
(140601, 'PTHR11668:SF463', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 84327),
(140602, 'PTHR37479:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSL', 84328),
(140603, 'PTHR23050:SF391', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84329),
(140604, 'PTHR24073:SF343', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-6B', 84330),
(140605, 'PTHR11240:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84331),
(140606, 'PTHR10887:SF492', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84332),
(140607, 'PTHR42771:SF12', NULL, NULL, NULL, NULL, 'FE(3+) DICITRATE TRANSPORT ATP-BINDING PROTEIN FECE-RELATED', 84333),
(140608, 'PTHR16095:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 143', 84334),
(140609, 'PTHR46719:SF8', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', 84335),
(140610, 'PTHR43163:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', 84336),
(140611, 'PTHR31227', NULL, NULL, NULL, NULL, 'PROTEIN CBG15697', 84337),
(140612, 'PTHR33358:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84338),
(140613, 'PTHR33207:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84339),
(140614, 'PTHR10417:SF4', NULL, NULL, NULL, NULL, 'GMEB (GLUCOCORTICOID MODULATORY ELEMENT BINDING PROTEIN) TRANSCRIPTIONAL REGULATOR HOMOLOG', 84340),
(140615, 'PTHR46332:SF4', NULL, NULL, NULL, NULL, 'ASPARTATE BETA-HYDROXYLASE DOMAIN-CONTAINING 1', 84341),
(140616, 'PTHR42198', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 84342),
(140617, 'PTHR43655:SF22', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 10, MITOCHONDRIAL-LIKE', 84343),
(140618, 'PTHR15651:SF7', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 8', 84344),
(140619, 'PTHR34054:SF7', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', 84345),
(140620, 'PTHR12750:SF18', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE', 84346),
(140621, 'PTHR42801:SF4', NULL, NULL, NULL, NULL, 'THIOREDOXIN-DEPENDENT PEROXIDE REDUCTASE, MITOCHONDRIAL', 84347),
(140622, 'PTHR15337:SF10', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 12', 84348),
(140623, 'PTHR27003:SF378', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 84349),
(140624, 'PTHR10527:SF16', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 6', 84350),
(140625, 'PTHR10984:SF62', NULL, NULL, NULL, NULL, 'ER-DERIVED VESICLES PROTEIN ERV41', 84351),
(140626, 'PTHR31374:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84352),
(140627, 'PTHR22765:SF284', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84353),
(140628, 'PTHR11964:SF38', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', 84354),
(140629, 'PTHR11566', NULL, NULL, NULL, NULL, 'DYNAMIN', 84355),
(140630, 'PTHR10799:SF964', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY A CONTAINING DEAD/H BOX 1', 84356),
(140631, 'PTHR10159:SF521', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND PHOSPHATASE DOMAIN CONTAINING PROTEIN', 84357),
(140632, 'PTHR21553', NULL, NULL, NULL, NULL, 'ALMS1-RELATED', 84358),
(140633, 'PTHR35703:SF7', NULL, NULL, NULL, NULL, 'BNAC06G17920D PROTEIN', 84359),
(140634, 'PTHR22814:SF319', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 31', 84360);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(140635, 'PTHR12296:SF27', NULL, NULL, NULL, NULL, 'DENN (AEX-3) DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G11200)', 84361),
(140636, 'PTHR24399:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 17', 84362),
(140637, 'PTHR10663:SF355', NULL, NULL, NULL, NULL, 'ARF GUANINE-NUCLEOTIDE EXCHANGE FACTOR GNOM-LIKE', 84363),
(140638, 'PTHR12346:SF31', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX PROTEIN SIN3-LIKE 5', 84364),
(140639, 'PTHR30133:SF4', NULL, NULL, NULL, NULL, 'AMINO ACID ABC TRANSPORTER, PERMEASE PROTEIN', 84365),
(140640, 'PTHR23322:SF79', NULL, NULL, NULL, NULL, 'BNAC04G28940D PROTEIN', 84366),
(140641, 'PTHR10634:SF107', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 8-LIKE', 84367),
(140642, 'PTHR10071', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GATA FAMILY MEMBER', 84368),
(140643, 'PTHR12956:SF64', NULL, NULL, NULL, NULL, 'BNAC06G06090D PROTEIN', 84369),
(140644, 'PTHR21325:SF48', NULL, NULL, NULL, NULL, 'SI:CH211-214P16.3', 84370),
(140645, 'PTHR10971:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84371),
(140646, 'PTHR11255:SF82', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 6', 84372),
(140647, 'PTHR19282:SF464', NULL, NULL, NULL, NULL, 'TETRASPANIN', 84373),
(140648, 'PTHR43766:SF3', NULL, NULL, NULL, NULL, 'BNAA04G15180D PROTEIN', 84374),
(140649, 'PTHR47993:SF17', NULL, NULL, NULL, NULL, 'BNAUNNG04600D PROTEIN', 84375),
(140650, 'PTHR48047:SF46', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYLTRANSFERASE FAMILY PROTEIN', 84376),
(140651, 'PTHR33143:SF51', NULL, NULL, NULL, NULL, 'PROTEIN MKS1-LIKE', 84377),
(140652, 'PTHR31325:SF196', NULL, NULL, NULL, NULL, 'OS01G0143600 PROTEIN', 84378),
(140653, 'PTHR27002:SF205', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', 84379),
(140654, 'PTHR11586:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84380),
(140655, 'PTHR11654:SF555', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84381),
(140656, 'PTHR14155:SF549', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84382),
(140657, 'PTHR33044:SF182', NULL, NULL, NULL, NULL, 'BNACNNG36210D PROTEIN', 84383),
(140658, 'PTHR31263:SF44', NULL, NULL, NULL, NULL, 'CELLULASE (GLYCOSYL HYDROLASE FAMILY 5) PROTEIN', 84384),
(140659, 'PTHR36873:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL GENE SUPPORTED BY BC079057', 84385),
(140660, 'PTHR13683:SF667', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 84386),
(140661, 'PTHR14030:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBR-SAN-1', 84387),
(140662, 'PTHR33473:SF14', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ADAPTOR PROTEIN CLPS', 84388),
(140663, 'PTHR23105:SF161', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A', 84389),
(140664, 'PTHR46277:SF18', NULL, NULL, NULL, NULL, 'BNAA09G45440D PROTEIN', 84390),
(140665, 'PTHR24015:SF1801', NULL, NULL, NULL, NULL, 'OS01G0737900 PROTEIN', 84391),
(140666, 'PTHR10994:SF162', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 84392),
(140667, 'PTHR21483:SF18', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-ASSOCIATED PROTEIN 1', 84393),
(140668, 'PTHR12970:SF2', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 2', 84394),
(140669, 'PTHR10615:SF183', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT5', 84395),
(140670, 'PTHR11473:SF18', NULL, NULL, NULL, NULL, 'TYROSINE 3-MONOOXYGENASE', 84396),
(140671, 'PTHR22883:SF381', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 84397),
(140672, 'PTHR31736:SF9', NULL, NULL, NULL, NULL, 'ENDO-XYLOGALACTURONAN HYDROLASE A-RELATED', 84398),
(140673, 'PTHR46250:SF7', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 84399),
(140674, 'PTHR10161:SF45', NULL, NULL, NULL, NULL, 'TARTRATE-RESISTANT ACID PHOSPHATASE TYPE 5', 84400),
(140675, 'PTHR10953:SF169', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME 1 Y', 84401),
(140676, 'PTHR21717:SF76', NULL, NULL, NULL, NULL, 'BNAA08G29010D PROTEIN', 84402),
(140677, 'PTHR45662:SF11', NULL, NULL, NULL, NULL, 'OS11G0309000 PROTEIN', 84403),
(140678, 'PTHR24067:SF245', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84404);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(140679, 'PTHR45662:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITIDE PHOSPHATASE SAC1', 84405),
(140680, 'PTHR10501:SF66', NULL, NULL, NULL, NULL, 'BNAA07G37330D PROTEIN', 84406),
(140681, 'PTHR12621:SF7', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH DOMAIN (CHORD)-CONTAINING 1A-RELATED', 84407),
(140682, 'PTHR46033:SF38', NULL, NULL, NULL, NULL, 'OS12G0256800 PROTEIN', 84408),
(140683, 'PTHR31116:SF32', NULL, NULL, NULL, NULL, 'BNAC01G38620D PROTEIN', 84409),
(140684, 'PTHR46315:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84410),
(140685, 'PTHR33727:SF11', NULL, NULL, NULL, NULL, 'OS03G0780200 PROTEIN', 84411),
(140686, 'PTHR48019:SF95', NULL, NULL, NULL, NULL, 'MADS2', 84412),
(140687, 'PTHR10288:SF137', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN', 84413),
(140688, 'PTHR42898:SF22', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE 2', 84414),
(140689, 'PTHR47990:SF167', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN-RELATED', 84415),
(140690, 'PTHR46474:SF1', NULL, NULL, NULL, NULL, 'TWO PORE CALCIUM CHANNEL PROTEIN 1', 84416),
(140691, 'PTHR32472:SF11', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS CLASS)', 84417),
(140692, 'PTHR10797:SF6', NULL, NULL, NULL, NULL, 'CAF1 FAMILY RIBONUCLEASE CONTAINING PROTEIN', 84418),
(140693, 'PTHR11213:SF6', NULL, NULL, NULL, NULL, 'SOMATOLIBERIN', 84419),
(140694, 'PTHR24229:SF1', NULL, NULL, NULL, NULL, 'KAPPA-TYPE OPIOID RECEPTOR', 84420),
(140695, 'PTHR31385:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 84421),
(140696, 'PTHR23409:SF19', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE SUBUNIT M2 B', 84422),
(140697, 'PTHR31343:SF54', NULL, NULL, NULL, NULL, 'BNAC05G01960D PROTEIN', 84423),
(140698, 'PTHR28584:SF1', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 228 MEMBER A', 84424),
(140699, 'PTHR24015:SF550', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 84425),
(140700, 'PTHR32031:SF47', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN-RELATED', 84426),
(140701, 'PTHR31062:SF222', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 84427),
(140702, 'PTHR22942:SF45', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG A', 84428),
(140703, 'PTHR33994:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84429),
(140704, 'PTHR39365:SF2', NULL, NULL, NULL, NULL, 'MX REGION OF TRA-2 RELATED-RELATED', 84430),
(140705, 'PTHR10887:SF464', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 84431),
(140706, 'PTHR48041:SF37', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 19', 84432),
(140707, 'PTHR22835:SF260', NULL, NULL, NULL, NULL, 'OS05G0209600 PROTEIN', 84433),
(140708, 'PTHR43647:SF1', NULL, NULL, NULL, NULL, '3-KETO-STEROID REDUCTASE', 84434),
(140709, 'PTHR32444:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84435),
(140710, 'PTHR24073:SF1138', NULL, NULL, NULL, NULL, 'SMALL MONOMERIC GTPASE-RELATED', 84436),
(140711, 'PTHR21109:SF9', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S21, CHLOROPLASTIC-LIKE', 84437),
(140712, 'PTHR12479:SF10', NULL, NULL, NULL, NULL, 'LYSOSOMAL-ASSOCIATED TRANSMEMBRANE PROTEIN', 84438),
(140713, 'PTHR24223:SF420', NULL, NULL, NULL, NULL, 'NHPM BACTERIOCIN SYSTEM ABC TRANSPORTER, PEPTIDASE/ATP-BINDING PROTEIN-RELATED', 84439),
(140714, 'PTHR14224:SF88', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 12', 84440),
(140715, 'PTHR37372', NULL, NULL, NULL, NULL, 'OS06G0316800 PROTEIN', 84441),
(140716, 'PTHR31639:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84442),
(140717, 'PTHR48043:SF80', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-56-RELATED', 84443),
(140718, 'PTHR32258:SF9', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1A', 84444),
(140719, 'PTHR31696:SF64', NULL, NULL, NULL, NULL, 'OS03G0733266 PROTEIN', 84445),
(140720, 'PTHR32009:SF75', NULL, NULL, NULL, NULL, 'BNAC08G49870D PROTEIN', 84446),
(140721, 'PTHR37303', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 84447);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(140722, 'PTHR47993:SF35', NULL, NULL, NULL, NULL, 'BNACNNG59720D PROTEIN', 84448),
(140723, 'PTHR48242', NULL, NULL, NULL, NULL, 'BNAA02G09820D PROTEIN', 84449),
(140724, 'PTHR12713:SF29', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G', 84450),
(140725, 'PTHR11523:SF46', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-2', 84451),
(140726, 'PTHR47993:SF162', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 84452),
(140727, 'PTHR24249:SF79', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 9', 84453),
(140728, 'PTHR31561:SF72', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 84454),
(140729, 'PTHR45085:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84455),
(140730, 'PTHR13723:SF290', NULL, NULL, NULL, NULL, 'PROTEIN CBG24242', 84456),
(140731, 'PTHR47992:SF155', NULL, NULL, NULL, NULL, 'BNAC05G25430D PROTEIN', 84457),
(140732, 'PTHR12958:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZFPM2', 84458),
(140733, 'PTHR47372:SF7', NULL, NULL, NULL, NULL, 'EMBRYONIC PROTEIN DC-8-LIKE', 84459),
(140734, 'PTHR46151:SF7', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN 2', 84460),
(140735, 'PTHR43528:SF1', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE PERMEASE', 84461),
(140736, 'PTHR33697:SF4', NULL, NULL, NULL, NULL, 'BNAA06G02090D PROTEIN', 84462),
(140737, 'PTHR47677:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 6', 84463),
(140738, 'PTHR26312:SF182', NULL, NULL, NULL, NULL, 'BNAC01G10480D PROTEIN', 84464),
(140739, 'PTHR11005:SF45', NULL, NULL, NULL, NULL, 'LIPASE MEMBER K', 84465),
(140740, 'PTHR21101:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84466),
(140741, 'PTHR47987:SF20', NULL, NULL, NULL, NULL, 'OS04G0654600 PROTEIN', 84467),
(140742, 'PTHR38596:SF1', NULL, NULL, NULL, NULL, 'UPF0114 PROTEIN YQHA', 84468),
(140743, 'PTHR31973:SF153', NULL, NULL, NULL, NULL, 'FAMILY TRANSPOSASE, PUTATIVE ISOFORM 1-RELATED', 84469),
(140744, 'PTHR33912:SF6', NULL, NULL, NULL, NULL, 'BNAC03G74490D PROTEIN', 84470),
(140745, 'PTHR32268:SF11', NULL, NULL, NULL, NULL, 'HOMOSERINE O-ACETYLTRANSFERASE', 84471),
(140746, 'PTHR45646:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AFC1', 84472),
(140747, 'PTHR33143:SF34', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', 84473),
(140748, 'PTHR11604:SF43', NULL, NULL, NULL, NULL, 'PROFILIN', 84474),
(140749, 'PTHR31964:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84475),
(140750, 'PTHR22883:SF23', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 84476),
(140751, 'PTHR14255:SF42', NULL, NULL, NULL, NULL, 'BNAA09G13620D PROTEIN', 84477),
(140752, 'PTHR47956:SF24', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 71, SUBFAMILY B, POLYPEPTIDE 19-RELATED', 84478),
(140753, 'PTHR48081:SF10', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11560)-RELATED', 84479),
(140754, 'PTHR33349:SF7', NULL, NULL, NULL, NULL, 'PLANT CALMODULIN-BINDING-LIKE PROTEIN', 84480),
(140755, 'PTHR12894:SF37', NULL, NULL, NULL, NULL, 'VACUOLAR SORTING PROTEIN 39', 84481),
(140756, 'PTHR43073:SF2', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINE DEHYDROGENASE [NADP(+)]', 84482),
(140757, 'PTHR31072:SF141', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP FAMILY-RELATED', 84483),
(140758, 'PTHR48017:SF33', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', 84484),
(140759, 'PTHR27005:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84485),
(140760, 'PTHR47038', NULL, NULL, NULL, NULL, 'BAG-ASSOCIATED GRAM PROTEIN 1', 84486),
(140761, 'PTHR46709:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG04784', 84487),
(140762, 'PTHR43169:SF3', NULL, NULL, NULL, NULL, 'ATPASE, PP-LOOP SUPERFAMILY-RELATED', 84488),
(140763, 'PTHR31407:SF39', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 2-2-RELATED', 84489),
(140764, 'PTHR34524:SF5', NULL, NULL, NULL, NULL, 'CALCYPHOSIN-LIKE PROTEIN', 84490),
(140765, 'PTHR10266:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C1, HEME PROTEIN, MITOCHONDRIAL', 84491),
(140766, 'PTHR42938:SF25', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE FAMILY PROTEIN', 84492);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(140767, 'PTHR46364:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84493),
(140768, 'PTHR11032', NULL, NULL, NULL, NULL, 'SL CYTOKINE', 84494),
(140769, 'PTHR45666:SF2', NULL, NULL, NULL, NULL, 'OS10G0422500 PROTEIN', 84495),
(140770, 'PTHR47993:SF100', NULL, NULL, NULL, NULL, 'BNAC03G62850D PROTEIN', 84496),
(140771, 'PTHR39063', NULL, NULL, NULL, NULL, 'ORAL-FACIAL-DIGITAL SYNDROME 1 PROTEIN HOMOLOG', 84497),
(140772, 'PTHR42893:SF30', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 46, CHLOROPLASTIC', 84498),
(140773, 'PTHR39867:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84499),
(140774, 'PTHR34565', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 84500),
(140775, 'PTHR45691', NULL, NULL, NULL, NULL, 'PROTEIN DIAPHANOUS', 84501),
(140776, 'PTHR11005:SF128', NULL, NULL, NULL, NULL, 'LIPASE', 84502),
(140777, 'PTHR10253:SF11', NULL, NULL, NULL, NULL, 'BNAA05G20150D PROTEIN', 84503),
(140778, 'PTHR47926:SF273', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN CHLOROPLASTIC', 84504),
(140779, 'PTHR33271:SF26', NULL, NULL, NULL, NULL, 'BNAA01G33610D PROTEIN', 84505),
(140780, 'PTHR33222:SF28', NULL, NULL, NULL, NULL, 'BNAA09G00150D PROTEIN', 84506),
(140781, 'PTHR46116:SF18', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME', 84507),
(140782, 'PTHR47209', NULL, NULL, NULL, NULL, 'OS06G0639500 PROTEIN', 84508),
(140783, 'PTHR23266:SF259', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 2-5', 84509),
(140784, 'PTHR45714:SF40', NULL, NULL, NULL, NULL, 'BNAC04G50010D PROTEIN', 84510),
(140785, 'PTHR21530:SF7', NULL, NULL, NULL, NULL, 'TRAB FAMILY PROTEIN', 84511),
(140786, 'PTHR23050:SF409', NULL, NULL, NULL, NULL, 'CALMODULIN-1', 84512),
(140787, 'PTHR11717:SF29', NULL, NULL, NULL, NULL, 'GEO10716P1-RELATED', 84513),
(140788, 'PTHR31989:SF318', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 96', 84514),
(140789, 'PTHR47999:SF4', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', 84515),
(140790, 'PTHR31929:SF101', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN X10A', 84516),
(140791, 'PTHR24286:SF317', NULL, NULL, NULL, NULL, 'DAMMARENEDIOL 12-HYDROXYLASE-LIKE', 84517),
(140792, 'PTHR11952:SF9', NULL, NULL, NULL, NULL, 'UDP-SUGAR PYROPHOSPHORYLASE', 84518),
(140793, 'PTHR12966:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 13', 84519),
(140794, 'PTHR24404:SF67', NULL, NULL, NULL, NULL, 'KLUMPFUSS RELATED', 84520),
(140795, 'PTHR38926:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84521),
(140796, 'PTHR32191:SF70', NULL, NULL, NULL, NULL, 'BNAA02G36810D PROTEIN', 84522),
(140797, 'PTHR31374:SF12', NULL, NULL, NULL, NULL, 'OSJNBA0084K01.9 PROTEIN', 84523),
(140798, 'PTHR14315:SF19', NULL, NULL, NULL, NULL, 'MID1-INTERACTING PROTEIN 1-B-RELATED', 84524),
(140799, 'PTHR24064:SF531', NULL, NULL, NULL, NULL, 'TRANSPORTER B0361.11-RELATED', 84525),
(140800, 'PTHR47208:SF5', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 12', 84526),
(140801, 'PTHR13270:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84527),
(140802, 'PTHR24383:SF20', NULL, NULL, NULL, NULL, 'AGAP000141-PA', 84528),
(140803, 'PTHR11803:SF49', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE L-PSP FAMILY PROTEIN-RELATED', 84529),
(140804, 'PTHR31341:SF13', NULL, NULL, NULL, NULL, 'E SET DOMAIN CONTAINING PROTEIN', 84530),
(140805, 'PTHR11941:SF143', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 2 PEROXISOMAL', 84531),
(140806, 'PTHR11394:SF34', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 129', 84532),
(140807, 'PTHR42253:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PREDICTED MULTIPASS TRANSMEMBRANE PROTEIN', 84533),
(140808, 'PTHR24104:SF10', NULL, NULL, NULL, NULL, 'NHL DOMAIN-CONTAINING PROTEIN', 84534),
(140809, 'PTHR40621:SF3', NULL, NULL, NULL, NULL, 'BZIP-TYPE TRANSCRIPTION FACTOR-RELATED', 84535),
(140810, 'PTHR23418:SF4', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE 4', 84536),
(140811, 'PTHR19248:SF23', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER E FAMILY MEMBER 1', 84537),
(140812, 'PTHR12411:SF799', NULL, NULL, NULL, NULL, 'BNAA04G12170D PROTEIN', 84538);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(140813, 'PTHR34782:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84539),
(140814, 'PTHR22298:SF54', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 9', 84540),
(140815, 'PTHR31790:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84541),
(140816, 'PTHR11673:SF44', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-2', 84542),
(140817, 'PTHR45694:SF21', NULL, NULL, NULL, NULL, 'GRX1P', 84543),
(140818, 'PTHR24221:SF420', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE MULTIDRUG TRANSPORT PROTEIN ATRC', 84544),
(140819, 'PTHR43441:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL-PROTEIN-SERINE ACETYLTRANSFERASE', 84545),
(140820, 'PTHR24286:SF221', NULL, NULL, NULL, NULL, 'TAXADIENE 5-ALPHA HYDROXYLASE', 84546),
(140821, 'PTHR43445:SF5', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMATE--L-ALANYL-GAMMA-D-GLUTAMYL-MESO-2,6-DIAMINOHEPTANDIOATE LIGASE', 84547),
(140822, 'PTHR11909:SF318', NULL, NULL, NULL, NULL, 'PROTEIN CBG13180', 84548),
(140823, 'PTHR12346:SF23', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX SIN3-LIKE PROTEIN-RELATED', 84549),
(140824, 'PTHR42984:SF3', NULL, NULL, NULL, NULL, 'SIR2 FAMILY PROTEIN', 84550),
(140825, 'PTHR11048:SF39', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOATE POLYPRENYLTRANSFERASE, MITOCHONDRIAL', 84551),
(140826, 'PTHR19290:SF151', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX TRANSCRIPTION FACTOR AMOS-RELATED', 84552),
(140827, 'PTHR39953', NULL, NULL, NULL, NULL, 'RE54151P', 84553),
(140828, 'PTHR12277:SF55', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE DOMAIN-CONTAINING PROTEIN 17C', 84554),
(140829, 'PTHR21143:SF16', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR-RELATED', 84555),
(140830, 'PTHR33110:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84556),
(140831, 'PTHR33529:SF6', NULL, NULL, NULL, NULL, 'SLR0882 PROTEIN', 84557),
(140832, 'PTHR46015', NULL, NULL, NULL, NULL, 'ZGC:172121', 84558),
(140833, 'PTHR47969:SF13', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 84559),
(140834, 'PTHR30620:SF87', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY PROTEIN', 84560),
(140835, 'PTHR24056:SF439', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84561),
(140836, 'PTHR11319:SF35', NULL, NULL, NULL, NULL, 'REPEAT OUTER MEMBRANE PROTEIN, PUTATIVE-RELATED', 84562),
(140837, 'PTHR10992:SF938', NULL, NULL, NULL, NULL, 'OS05G0370700 PROTEIN', 84563),
(140838, 'PTHR42898:SF25', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE PROTEIN', 84564),
(140839, 'PTHR22595:SF146', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 19, LYSOZYME-LIKE DOMAIN PROTEIN-RELATED', 84565),
(140840, 'PTHR24282:SF140', NULL, NULL, NULL, NULL, 'CYTOCHROME', 84566),
(140841, 'PTHR33384:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84567),
(140842, 'PTHR46171:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF38', 84568),
(140843, 'PTHR39399:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ZPS1', 84569),
(140844, 'PTHR11206:SF375', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 84570),
(140845, 'PTHR38136', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN', 84571),
(140846, 'PTHR11741', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TS', 84572),
(140847, 'PTHR42801:SF14', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN DOT5', 84573),
(140848, 'PTHR30414', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 84574),
(140849, 'PTHR15871:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY O MEMBER 1', 84575),
(140850, 'PTHR10502:SF215', NULL, NULL, NULL, NULL, 'ANNEXIN', 84576),
(140851, 'PTHR47978:SF31', NULL, NULL, NULL, NULL, 'BNAC03G42260D PROTEIN', 84577),
(140852, 'PTHR11247:SF65', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE EPSILON 2, CHLOROPLASTIC', 84578),
(140853, 'PTHR42857', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE-RELATED', 84579),
(140854, 'PTHR31072:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP16-RELATED', 84580),
(140855, 'PTHR13214', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 330', 84581),
(140856, 'PTHR11937:SF441', NULL, NULL, NULL, NULL, 'ACTIN-LIKE', 84582),
(140857, 'PTHR24388:SF50', NULL, NULL, NULL, NULL, 'GROWTH FACTOR-INDEPENDENT 1A TRANSCRIPTION REPRESSOR B-RELATED', 84583);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(140858, 'PTHR35724', NULL, NULL, NULL, NULL, 'PROTEIN CHLORORESPIRATORY REDUCTION 6, CHLOROPLASTIC', 84584),
(140859, 'PTHR31639:SF103', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, FBD DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 84585),
(140860, 'PTHR19316:SF30', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 84586),
(140861, 'PTHR26452:SF282', NULL, NULL, NULL, NULL, 'MCG1028220-RELATED', 84587),
(140862, 'PTHR23424', NULL, NULL, NULL, NULL, 'SERUM AMYLOID A', 84588),
(140863, 'PTHR15109:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM193A', 84589),
(140864, 'PTHR47984:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84590),
(140865, 'PTHR11567:SF197', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE DDB_G0284753-RELATED', 84591),
(140866, 'PTHR24178:SF18', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', 84592),
(140867, 'PTHR28511', NULL, NULL, NULL, NULL, 'ENDONUCLEASE V', 84593),
(140868, 'PTHR11945:SF616', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84594),
(140869, 'PTHR12411:SF766', NULL, NULL, NULL, NULL, 'GRANULIN, CYSTEINE PEPTIDASE, HISTIDINE ACTIVE SITE PROTEIN-RELATED', 84595),
(140870, 'PTHR47938:SF15', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 84596),
(140871, 'PTHR11122:SF47', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 84597),
(140872, 'PTHR43895:SF118', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 18', 84598),
(140873, 'PTHR33109:SF56', NULL, NULL, NULL, NULL, 'PROTEIN EPIDERMAL PATTERNING FACTOR 2', 84599),
(140874, 'PTHR22814:SF84', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 24', 84600),
(140875, 'PTHR24055:SF500', NULL, NULL, NULL, NULL, 'ACTIVATED PROTEIN KINASE, PUTATIVE-RELATED', 84601),
(140876, 'PTHR46776:SF12', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 4-LIKE ISOFORM X1', 84602),
(140877, 'PTHR30405', NULL, NULL, NULL, NULL, 'TRANSPOSASE', 84603),
(140878, 'PTHR12443:SF11', NULL, NULL, NULL, NULL, 'BNAC03G41830D PROTEIN', 84604),
(140879, 'PTHR36857', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 25', 84605),
(140880, 'PTHR46917:SF1', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 2', 84606),
(140881, 'PTHR39477:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 84607),
(140882, 'PTHR47415:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM47A', 84608),
(140883, 'PTHR31972:SF2', NULL, NULL, NULL, NULL, 'DUF868 FAMILY PROTEIN (DUF868)', 84609),
(140884, 'PTHR36513', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 84610),
(140885, 'PTHR11219:SF7', NULL, NULL, NULL, NULL, 'TENEURIN-1', 84611),
(140886, 'PTHR11260:SF641', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTU6', 84612),
(140887, 'PTHR10760:SF14', NULL, NULL, NULL, NULL, 'TORSIN-1B', 84613),
(140888, 'PTHR47926:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84614),
(140889, 'PTHR31563:SF1', NULL, NULL, NULL, NULL, 'ION CHANNEL CASTOR-RELATED', 84615),
(140890, 'PTHR31595:SF41', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 10-RELATED', 84616),
(140891, 'PTHR45125:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84617),
(140892, 'PTHR33527:SF40', NULL, NULL, NULL, NULL, 'BNAC09G43470D PROTEIN', 84618),
(140893, 'PTHR33148:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84619),
(140894, 'PTHR33107:SF14', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE INHIBITOR WSCP', 84620),
(140895, 'PTHR31852:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84621),
(140896, 'PTHR11711:SF388', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 2-LIKE', 84622),
(140897, 'PTHR48004:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84623),
(140898, 'PTHR13794', NULL, NULL, NULL, NULL, 'ENOLASE SUPERFAMILY, MANDELATE RACEMASE', 84624),
(140899, 'PTHR32161:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84625),
(140900, 'PTHR10694:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUMONJI (JMJ) FAMILY PROTEIN / ZINC FINGER (C5HC2 TYPE) FAMILY PROTEIN', 84626),
(140901, 'PTHR11685:SF317', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 84627);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(140902, 'PTHR23024:SF434', NULL, NULL, NULL, NULL, 'ACETYL ESTERASE', 84628),
(140903, 'PTHR48059:SF14', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITOR-LIKE', 84629),
(140904, 'PTHR47286:SF4', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 7', 84630),
(140905, 'PTHR10933:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84631),
(140906, 'PTHR19860:SF16', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 12', 84632),
(140907, 'PTHR31579:SF61', NULL, NULL, NULL, NULL, 'BNAA01G32350D PROTEIN', 84633),
(140908, 'PTHR12864:SF21', NULL, NULL, NULL, NULL, 'VACUOLAR IMPORT AND DEGRADATION PROTEIN 30', 84634),
(140909, 'PTHR23232:SF77', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700020N01', 84635),
(140910, 'PTHR12302:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84636),
(140911, 'PTHR47516:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 84637),
(140912, 'PTHR15735:SF17', NULL, NULL, NULL, NULL, 'CDC42-INTERACTING PROTEIN 4', 84638),
(140913, 'PTHR46128:SF6', NULL, NULL, NULL, NULL, 'OS08G0499800 PROTEIN', 84639),
(140914, 'PTHR12916:SF4', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 1-RELATED', 84640),
(140915, 'PTHR23306:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84641),
(140916, 'PTHR13902:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84642),
(140917, 'PTHR24384:SF179', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 479', 84643),
(140918, 'PTHR45914', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HEC3-RELATED', 84644),
(140919, 'PTHR34357', NULL, NULL, NULL, NULL, 'F7A19.14 PROTEIN-RELATED', 84645),
(140920, 'PTHR38784:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84646),
(140921, 'PTHR12837:SF9', NULL, NULL, NULL, NULL, 'POLY (ADP-RIBOSE) GLYCOHYDROLASE, LIKE', 84647),
(140922, 'PTHR18884:SF62', NULL, NULL, NULL, NULL, 'NEURONAL-SPECIFIC SEPTIN-3', 84648),
(140923, 'PTHR45636:SF10', NULL, NULL, NULL, NULL, 'PAIRED BOX 4', 84649),
(140924, 'PTHR46709:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG23488', 84650),
(140925, 'PTHR13213', NULL, NULL, NULL, NULL, 'MYB-BINDING PROTEIN 1A FAMILY MEMBER', 84651),
(140926, 'PTHR13487:SF3', NULL, NULL, NULL, NULL, 'REVERSION-INDUCING CYSTEINE-RICH PROTEIN WITH KAZAL MOTIFS', 84652),
(140927, 'PTHR11863:SF158', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE GL1-2', 84653),
(140928, 'PTHR43671:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84654),
(140929, 'PTHR31676:SF30', NULL, NULL, NULL, NULL, 'OS05G0421100 PROTEIN', 84655),
(140930, 'PTHR30136:SF24', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR ALLR', 84656),
(140931, 'PTHR14299:SF0', NULL, NULL, NULL, NULL, 'PHORBOL-12-MYRISTATE-13-ACETATE-INDUCED PROTEIN 1', 84657),
(140932, 'PTHR19375:SF463', NULL, NULL, NULL, NULL, 'HSP70-LIKE PROTEIN', 84658),
(140933, 'PTHR22791', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 84659),
(140934, 'PTHR21433:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 120 HOMOLOG', 84660),
(140935, 'PTHR26452:SF740', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 84661),
(140936, 'PTHR13301:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84662),
(140937, 'PTHR10270:SF305', NULL, NULL, NULL, NULL, 'SOX21A, ISOFORM B-RELATED', 84663),
(140938, 'PTHR31639:SF173', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 84664),
(140939, 'PTHR31241:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84665),
(140940, 'PTHR31527:SF0', NULL, NULL, NULL, NULL, 'RE64534P', 84666),
(140941, 'PTHR31451:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84667),
(140942, 'PTHR15077', NULL, NULL, NULL, NULL, 'FAS-ASSOCIATING DEATH DOMAIN-CONTAINING PROTEIN FADD', 84668),
(140943, 'PTHR15742:SF3', NULL, NULL, NULL, NULL, 'MICROTUBULE CROSS-LINKING FACTOR 1', 84669),
(140944, 'PTHR23421:SF122', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE A-RELATED', 84670),
(140945, 'PTHR46604:SF10', NULL, NULL, NULL, NULL, 'PROTEIN MID1-COMPLEMENTING ACTIVITY 1-LIKE', 84671),
(140946, 'PTHR27003:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84672),
(140947, 'PTHR46292', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 102A', 84673);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(140948, 'PTHR13832:SF710', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 2-RELATED', 84674),
(140949, 'PTHR47926:SF220', NULL, NULL, NULL, NULL, 'BNAC04G44120D PROTEIN', 84675),
(140950, 'PTHR47507:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84676),
(140951, 'PTHR16083:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 20', 84677),
(140952, 'PTHR31561:SF136', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 84678),
(140953, 'PTHR23147:SF167', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RSZ21', 84679),
(140954, 'PTHR28026:SF10', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE (DUF962)-RELATED', 84680),
(140955, 'PTHR45013', NULL, NULL, NULL, NULL, 'NACHT DOMAIN- AND WD REPEAT-CONTAINING PROTEIN 1', 84681),
(140956, 'PTHR43721:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84682),
(140957, 'PTHR21479:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG04466', 84683),
(140958, 'PTHR31376:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84684),
(140959, 'PTHR37421:SF1', NULL, NULL, NULL, NULL, 'UPF0260 PROTEIN YCGN', 84685),
(140960, 'PTHR23511', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE GLYCOPROTEIN 2', 84686),
(140961, 'PTHR43374', NULL, NULL, NULL, NULL, 'FLAVIN PRENYLTRANSFERASE', 84687),
(140962, 'PTHR15710:SF118', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RDUF2', 84688),
(140963, 'PTHR13024:SF1', NULL, NULL, NULL, NULL, 'MICROSOMAL TRIGLYCERIDE TRANSFER PROTEIN LARGE SUBUNIT', 84689),
(140964, 'PTHR24068:SF336', NULL, NULL, NULL, NULL, 'BNAA08G02120D PROTEIN', 84690),
(140965, 'PTHR12701:SF45', NULL, NULL, NULL, NULL, 'BNAA08G03240D PROTEIN', 84691),
(140966, 'PTHR43792:SF12', NULL, NULL, NULL, NULL, 'FAMILY ACETYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03650)-RELATED', 84692),
(140967, 'PTHR30469:SF18', NULL, NULL, NULL, NULL, 'HLYD FAMILY SECRETION PROTEIN', 84693),
(140968, 'PTHR47982:SF23', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK7', 84694),
(140969, 'PTHR34062:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 21 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G04750)-RELATED', 84695),
(140970, 'PTHR24177:SF335', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', 84696),
(140971, 'PTHR11850:SF225', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 3 ISOFORM X1', 84697),
(140972, 'PTHR11804', NULL, NULL, NULL, NULL, 'PROTEASE M3 THIMET OLIGOPEPTIDASE-RELATED', 84698),
(140973, 'PTHR46167', NULL, NULL, NULL, NULL, 'N-LYSINE METHYLTRANSFERASE KMT5A', 84699),
(140974, 'PTHR31945:SF124', NULL, NULL, NULL, NULL, 'BNAA08G24520D PROTEIN', 84700),
(140975, 'PTHR37378:SF8', NULL, NULL, NULL, NULL, 'WALI3 PROTEIN', 84701),
(140976, 'PTHR44042:SF32', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 84702),
(140977, 'PTHR47629:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 84703),
(140978, 'PTHR43895:SF91', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 6', 84704),
(140979, 'PTHR47864:SF6', NULL, NULL, NULL, NULL, 'BNAANNG24680D PROTEIN', 84705),
(140980, 'PTHR23502:SF169', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', 84706),
(140981, 'PTHR47991:SF31', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', 84707),
(140982, 'PTHR10015:SF279', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-2A', 84708),
(140983, 'PTHR44170:SF14', NULL, NULL, NULL, NULL, 'NEOGENIN', 84709),
(140984, 'PTHR45629', NULL, NULL, NULL, NULL, 'SNF2/RAD54 FAMILY MEMBER', 84710),
(140985, 'PTHR21393:SF0', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S27, MITOCHONDRIAL', 84711),
(140986, 'PTHR24282:SF210', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 84712),
(140987, 'PTHR40637:SF1', NULL, NULL, NULL, NULL, 'ESSS SUBUNIT OF NADH:UBIQUINONE OXIDOREDUCTASE (COMPLEX I) PROTEIN', 84713),
(140988, 'PTHR11040:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84714),
(140989, 'PTHR20959:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT AND GOLGI ORGANIZATION PROTEIN 6 HOMOLOG', 84715),
(140990, 'PTHR33573', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4A4', 84716);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(140991, 'PTHR33103:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84717),
(140992, 'PTHR45950', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-14', 84718),
(140993, 'PTHR38100:SF1', NULL, NULL, NULL, NULL, 'HIGH FREQUENCY LYSOGENIZATION PROTEIN HFLD', 84719),
(140994, 'PTHR36392', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 84720),
(140995, 'PTHR16466', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING FACTOR 2-INTERACTING PROTEIN 1', 84721),
(140996, 'PTHR11132:SF312', NULL, NULL, NULL, NULL, 'TRIOSE PHOSPHATE/PHOSPHATE TRANSLOCATOR, CHLOROPLASTIC-LIKE ISOFORM X1', 84722),
(140997, 'PTHR24221:SF502', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN 3', 84723),
(140998, 'PTHR42893:SF23', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 84724),
(140999, 'PTHR11926:SF302', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 84725),
(141000, 'PTHR24161:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84726),
(141001, 'PTHR24057:SF59', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE ZETA', 84727),
(141002, 'PTHR47965:SF45', NULL, NULL, NULL, NULL, 'OS06G0305400 PROTEIN', 84728),
(141003, 'PTHR46508:SF8', NULL, NULL, NULL, NULL, 'DDT DOMAIN-CONTAINING PROTEIN PTM', 84729),
(141004, 'PTHR39610:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84730),
(141005, 'PTHR24012', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN', 84731),
(141006, 'PTHR24068:SF355', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1D', 84732),
(141007, 'PTHR11165:SF128', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 21', 84733),
(141008, 'PTHR23514:SF15', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05090)-RELATED', 84734),
(141009, 'PTHR10192:SF23', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN MOLYBDENUMTRANSFERASE', 84735),
(141010, 'PTHR10625:SF197', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 84736),
(141011, 'PTHR35687:SF7', NULL, NULL, NULL, NULL, 'BNAA09G20290D PROTEIN', 84737),
(141012, 'PTHR27006:SF413', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 84738),
(141013, 'PTHR35708:SF3', NULL, NULL, NULL, NULL, 'GB|AAD25831.1', 84739),
(141014, 'PTHR33647:SF10', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', 84740),
(141015, 'PTHR24118:SF39', NULL, NULL, NULL, NULL, 'MCG52616', 84741),
(141016, 'PTHR14360:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 84742),
(141017, 'PTHR47542:SF2', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 84743),
(141018, 'PTHR12002:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84744),
(141019, 'PTHR45630:SF3', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', 84745),
(141020, 'PTHR24305:SF185', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 84746),
(141021, 'PTHR43235', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE PB2B2.05-RELATED', 84747),
(141022, 'PTHR31227:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG15697', 84748),
(141023, 'PTHR11208:SF120', NULL, NULL, NULL, NULL, 'PROTEIN QUAKING', 84749),
(141024, 'PTHR46693:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 15', 84750),
(141025, 'PTHR43296:SF7', NULL, NULL, NULL, NULL, 'BNAA05G26380D PROTEIN', 84751),
(141026, 'PTHR12064:SF77', NULL, NULL, NULL, NULL, 'DOMAIN PLANT PROTEIN, PUTATIVE-RELATED', 84752),
(141027, 'PTHR40617:SF1', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE ASQC', 84753),
(141028, 'PTHR11224:SF44', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 16', 84754),
(141029, 'PTHR11639:SF72', NULL, NULL, NULL, NULL, 'PROTEIN S100-Z', 84755),
(141030, 'PTHR19315:SF9', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 4', 84756),
(141031, 'PTHR23502:SF70', NULL, NULL, NULL, NULL, 'BCR/CFLA FAMILY EFFLUX TRANSPORTER', 84757),
(141032, 'PTHR11260:SF678', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U21', 84758),
(141033, 'PTHR48019:SF13', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 23-LIKE ISOFORM X1', 84759),
(141034, 'PTHR44137:SF43', NULL, NULL, NULL, NULL, 'BNAA04G20530D PROTEIN', 84760);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(141035, 'PTHR35797:SF1', NULL, NULL, NULL, NULL, 'PROTEASE-RELATED', 84761),
(141036, 'PTHR34610', NULL, NULL, NULL, NULL, 'SSL7007 PROTEIN', 84762),
(141037, 'PTHR10286:SF66', NULL, NULL, NULL, NULL, 'BNAC02G00750D PROTEIN', 84763),
(141038, 'PTHR46463:SF46', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHB1A-RELATED', 84764),
(141039, 'PTHR45868:SF35', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 84765),
(141040, 'PTHR24073:SF643', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 84766),
(141041, 'PTHR47750:SF5', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 84767),
(141042, 'PTHR10169', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE/GYRASE', 84768),
(141043, 'PTHR15025:SF8', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-1 SUBUNIT', 84769),
(141044, 'PTHR43895:SF78', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 84770),
(141045, 'PTHR35519:SF1', NULL, NULL, NULL, NULL, 'YALI0C06193P', 84771),
(141046, 'PTHR31721:SF1', NULL, NULL, NULL, NULL, 'OS07G0656700 PROTEIN', 84772),
(141047, 'PTHR23147:SF18', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 7', 84773),
(141048, 'PTHR31923:SF4', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', 84774),
(141049, 'PTHR10994:SF93', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 84775),
(141050, 'PTHR11109:SF7', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE 1', 84776),
(141051, 'PTHR23246:SF19', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN-CONTAINING PROTEIN', 84777),
(141052, 'PTHR36982:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84778),
(141053, 'PTHR31985:SF201', NULL, NULL, NULL, NULL, 'INTEGRASE-TYPE DNA-BINDING SUPERFAMILY PROTEIN-RELATED', 84779),
(141054, 'PTHR33107:SF57', NULL, NULL, NULL, NULL, 'BNAANNG20070D PROTEIN', 84780),
(141055, 'PTHR31989:SF271', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84781),
(141056, 'PTHR31086:SF55', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 13', 84782),
(141057, 'PTHR40393:SF2', NULL, NULL, NULL, NULL, 'ALPHA-AMINOADIPATE/GLUTAMATE CARRIER PROTEIN LYSW', 84783),
(141058, 'PTHR26451:SF876', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', 84784),
(141059, 'PTHR43335:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 84785),
(141060, 'PTHR26453:SF185', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 703', 84786),
(141061, 'PTHR43447:SF38', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE ISOZYME 2A', 84787),
(141062, 'PTHR31286:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84788),
(141063, 'PTHR24296:SF111', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN-RELATED', 84789),
(141064, 'PTHR10177:SF240', NULL, NULL, NULL, NULL, 'CYCLIN-D6-1', 84790),
(141065, 'PTHR30426', NULL, NULL, NULL, NULL, '4-HYDROXY-3-METHYLBUT-2-ENYL DIPHOSPHATE REDUCTASE', 84791),
(141066, 'PTHR10871:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84792),
(141067, 'PTHR15907:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84793),
(141068, 'PTHR13301:SF53', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN B1-RELATED', 84794),
(141069, 'PTHR24412:SF418', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 3', 84795),
(141070, 'PTHR47597:SF1', NULL, NULL, NULL, NULL, 'IS A MEMBER OF THE PF|00364 BIOTIN-REQUIRING ENZYMES FAMILY-RELATED', 84796),
(141071, 'PTHR45620:SF14', NULL, NULL, NULL, NULL, 'GROWTH HORMONE-RELEASING HORMONE RECEPTOR', 84797),
(141072, 'PTHR17920:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 4', 84798),
(141073, 'PTHR33143:SF33', NULL, NULL, NULL, NULL, 'VQ MOTIF PROTEIN', 84799),
(141074, 'PTHR33669:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84800),
(141075, 'PTHR11803:SF46', NULL, NULL, NULL, NULL, 'INDUCIBLE PLASTID-LIPID ASSOCIATED PROTEIN', 84801),
(141076, 'PTHR38095:SF3', NULL, NULL, NULL, NULL, 'ANAEROBIC DIMETHYL SULFOXIDE REDUCTASE, SUBUNIT C-RELATED', 84802),
(141077, 'PTHR43859:SF2', NULL, NULL, NULL, NULL, 'BUTYRATE--COA LIGASE AAE11, PEROXISOMAL', 84803);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(141078, 'PTHR11926:SF1193', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 84804),
(141079, 'PTHR46128:SF89', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', 84805),
(141080, 'PTHR43498', NULL, NULL, NULL, NULL, 'FERREDOXIN:COB-COM HETERODISULFIDE REDUCTASE SUBUNIT A', 84806),
(141081, 'PTHR31786', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA CORE COMPLEX-ASSOCIATED PROTEIN 24', 84807),
(141082, 'PTHR43696:SF9', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 157', 84808),
(141083, 'PTHR31499:SF11', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL8', 84809),
(141084, 'PTHR13183:SF0', NULL, NULL, NULL, NULL, 'AXONEMAL DYNEIN LIGHT INTERMEDIATE POLYPEPTIDE 1', 84810),
(141085, 'PTHR14289:SF16', NULL, NULL, NULL, NULL, 'POLYMERASE DELTA-INTERACTING PROTEIN 2', 84811),
(141086, 'PTHR11977:SF91', NULL, NULL, NULL, NULL, 'VILLIN-3', 84812),
(141087, 'PTHR27004:SF345', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 11-RELATED', 84813),
(141088, 'PTHR35400:SF1', NULL, NULL, NULL, NULL, 'SLR1083 PROTEIN', 84814),
(141089, 'PTHR23247', NULL, NULL, NULL, NULL, 'NY-REN-41 ANTIGEN  L15 -RELATED', 84815),
(141090, 'PTHR33879:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84816),
(141091, 'PTHR23055:SF172', NULL, NULL, NULL, NULL, 'NEURONAL CALCIUM SENSOR FAMILY', 84817),
(141092, 'PTHR28106:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ATPASE COMPLEX SUBUNIT ATP10', 84818),
(141093, 'PTHR34405', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDORIBONUCLEASE CAS2', 84819),
(141094, 'PTHR46332:SF2', NULL, NULL, NULL, NULL, 'ASPARTATE BETA-HYDROXYLASE DOMAIN-CONTAINING PROTEIN 2', 84820),
(141095, 'PTHR11066:SF59', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE, RMLC-LIKE JELLY ROLL FOLD, HOTDOG DOMAIN PROTEIN-RELATED', 84821),
(141096, 'PTHR12295', NULL, NULL, NULL, NULL, 'FURRY-RELATED', 84822),
(141097, 'PTHR48106:SF1', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE SUPERFAMILY, ZINC-TYPE-RELATED', 84823),
(141098, 'PTHR10963:SF65', NULL, NULL, NULL, NULL, 'GLYCOSIDASE', 84824),
(141099, 'PTHR19241:SF498', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PROTEIN', 84825),
(141100, 'PTHR23147:SF196', NULL, NULL, NULL, NULL, 'OS07G0623300 PROTEIN', 84826),
(141101, 'PTHR12375:SF47', NULL, NULL, NULL, NULL, 'ARGININE-ASPARTATE-RICH RNA BINDING PROTEIN-LIKE', 84827),
(141102, 'PTHR35544:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 9 C8ORF59 HOMOLOG', 84828),
(141103, 'PTHR27006:SF415', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84829),
(141104, 'PTHR12084:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN', 84830),
(141105, 'PTHR22907:SF32', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 84831),
(141106, 'PTHR31225:SF87', NULL, NULL, NULL, NULL, 'ALPHA-HUMULENE/(-)-(E)-BETA-CARYOPHYLLENE SYNTHASE', 84832),
(141107, 'PTHR13808:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER, TAZ-TYPE-RELATED', 84833),
(141108, 'PTHR13844:SF7', NULL, NULL, NULL, NULL, 'BRAHMA-ASSOCIATED PROTEIN OF 60 KDA', 84834),
(141109, 'PTHR24221:SF497', NULL, NULL, NULL, NULL, 'OS05G0548500 PROTEIN', 84835),
(141110, 'PTHR31009:SF108', NULL, NULL, NULL, NULL, 'BNAC05G15220D PROTEIN', 84836),
(141111, 'PTHR21199', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 1', 84837),
(141112, 'PTHR32401:SF17', NULL, NULL, NULL, NULL, 'LEGUME LECTIN BETA DOMAIN PROTEIN', 84838),
(141113, 'PTHR31190:SF100', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B-LIKE', 84839),
(141114, 'PTHR30237:SF5', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE YOCD-RELATED', 84840),
(141115, 'PTHR24203:SF34', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 3', 84841),
(141116, 'PTHR32176:SF59', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 2', 84842),
(141117, 'PTHR34045:SF14', NULL, NULL, NULL, NULL, 'OS07G0614400 PROTEIN', 84843),
(141118, 'PTHR47860', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP17-1, CHLOROPLASTIC', 84844),
(141119, 'PTHR13218:SF17', NULL, NULL, NULL, NULL, 'HCG1807616', 84845),
(141120, 'PTHR47784:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 84846);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(141121, 'PTHR35687', NULL, NULL, NULL, NULL, 'OS07G0516700 PROTEIN', 84847),
(141122, 'PTHR12172:SF2', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT PROTEIN RAD17', 84848),
(141123, 'PTHR47130:SF3', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA PROTEIN', 84849),
(141124, 'PTHR10715:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', 84850),
(141125, 'PTHR10026:SF129', NULL, NULL, NULL, NULL, 'CYCLIN-T1-3', 84851),
(141126, 'PTHR11496:SF84', NULL, NULL, NULL, NULL, '3-DEOXY-ALPHA-D-MANNO-OCTULOSONATE 8-OXIDASE', 84852),
(141127, 'PTHR11736:SF81', NULL, NULL, NULL, NULL, 'LOC787822 PROTEIN', 84853),
(141128, 'PTHR34215:SF1', NULL, NULL, NULL, NULL, 'BLL0784 PROTEIN', 84854),
(141129, 'PTHR45714:SF52', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT9-LIKE', 84855),
(141130, 'PTHR23180', NULL, NULL, NULL, NULL, 'CENTAURIN/ARF', 84856),
(141131, 'PTHR44167', NULL, NULL, NULL, NULL, 'OVARIAN-SPECIFIC SERINE/THREONINE-PROTEIN KINASE LOK-RELATED', 84857),
(141132, 'PTHR11715:SF33', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', 84858),
(141133, 'PTHR33542', NULL, NULL, NULL, NULL, 'SIROHYDROCHLORIN FERROCHELATASE, CHLOROPLASTIC', 84859),
(141134, 'PTHR31447:SF0', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 84860),
(141135, 'PTHR10621:SF39', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE SUPERFAMILY PROTEIN', 84861),
(141136, 'PTHR27006', NULL, NULL, NULL, NULL, 'PROMASTIGOTE SURFACE ANTIGEN PROTEIN PSA', 84862),
(141137, 'PTHR11003:SF97', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 84863),
(141138, 'PTHR31314:SF107', NULL, NULL, NULL, NULL, 'BNAA07G00280D PROTEIN', 84864),
(141139, 'PTHR31279:SF3', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 2', 84865),
(141140, 'PTHR31909', NULL, NULL, NULL, NULL, 'CHROMOSOME 20 ORF85 FAMILY MEMBER', 84866),
(141141, 'PTHR38786:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR FLIJ PROTEIN', 84867),
(141142, 'PTHR21580:SF51', NULL, NULL, NULL, NULL, 'PROTEIN STPG3', 84868),
(141143, 'PTHR43243:SF71', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORTER YCAM', 84869),
(141144, 'PTHR11566:SF191', NULL, NULL, NULL, NULL, 'BNAA09G48230D PROTEIN', 84870),
(141145, 'PTHR37822:SF2', NULL, NULL, NULL, NULL, 'SPORE PHOTOPRODUCT LYASE', 84871),
(141146, 'PTHR13856:SF28', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 1', 84872),
(141147, 'PTHR10219:SF93', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN DOMAIN-CONTAINING 2', 84873),
(141148, 'PTHR39073', NULL, NULL, NULL, NULL, 'AGAP006153-PA', 84874),
(141149, 'PTHR21393', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S27', 84875),
(141150, 'PTHR31384:SF109', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 24', 84876),
(141151, 'PTHR20875:SF2', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 6', 84877),
(141152, 'PTHR31908:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CROWDED NUCLEI 4', 84878),
(141153, 'PTHR31167:SF3', NULL, NULL, NULL, NULL, 'SPINDLE AND CENTRIOLE-ASSOCIATED PROTEIN 1', 84879),
(141154, 'PTHR19229:SF211', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 3', 84880),
(141155, 'PTHR45770:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 84881),
(141156, 'PTHR18945:SF197', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT RHO-2', 84882),
(141157, 'PTHR22765:SF106', NULL, NULL, NULL, NULL, 'OS02G0248200 PROTEIN', 84883),
(141158, 'PTHR31138:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84884),
(141159, 'PTHR24096:SF217', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 1-RELATED', 84885),
(141160, 'PTHR31086:SF78', NULL, NULL, NULL, NULL, 'BNAA08G26970D PROTEIN', 84886),
(141161, 'PTHR31235:SF83', NULL, NULL, NULL, NULL, 'PEROXIDASE 1-RELATED', 84887),
(141162, 'PTHR27003:SF307', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 84888),
(141163, 'PTHR36887:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84889),
(141164, 'PTHR12601:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84890),
(141165, 'PTHR30160:SF7', NULL, NULL, NULL, NULL, 'ADP-HEPTOSE--LPS HEPTOSYLTRANSFERASE 2', 84891);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(141166, 'PTHR31429:SF84', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY62', 84892),
(141167, 'PTHR11738:SF174', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY B MEMBER 4', 84893),
(141168, 'PTHR31500:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84894),
(141169, 'PTHR33048:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84895),
(141170, 'PTHR33377:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84896),
(141171, 'PTHR47975:SF6', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE PLANT', 84897),
(141172, 'PTHR23201:SF92', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 12', 84898),
(141173, 'PTHR10693:SF22', NULL, NULL, NULL, NULL, 'OS04G0510500 PROTEIN', 84899),
(141174, 'PTHR31642:SF221', NULL, NULL, NULL, NULL, 'ACYL-TRANSFERASE FAMILY PROTEIN, PUTATIVE-RELATED', 84900),
(141175, 'PTHR33563:SF1', NULL, NULL, NULL, NULL, '3-DEHYDROQUINATE SYNTHASE', 84901),
(141176, 'PTHR31741:SF81', NULL, NULL, NULL, NULL, 'BNAA04G21750D PROTEIN', 84902),
(141177, 'PTHR11654:SF365', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', 84903),
(141178, 'PTHR31279:SF40', NULL, NULL, NULL, NULL, 'OS06G0220200 PROTEIN', 84904),
(141179, 'PTHR15011:SF1', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN N', 84905),
(141180, 'PTHR15036:SF45', NULL, NULL, NULL, NULL, 'AXOTACTIN, ISOFORM C', 84906),
(141181, 'PTHR33077:SF100', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10B-LIKE ISOFORM X1', 84907),
(141182, 'PTHR13068:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84908),
(141183, 'PTHR30204:SF28', NULL, NULL, NULL, NULL, 'MULTIDRUG-EFFLUX TRANSPORTER 2 REGULATOR', 84909),
(141184, 'PTHR23510:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84910),
(141185, 'PTHR11239:SF17', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', 84911),
(141186, 'PTHR47993:SF80', NULL, NULL, NULL, NULL, 'OS04G0385000 PROTEIN', 84912),
(141187, 'PTHR45933:SF25', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 8', 84913),
(141188, 'PTHR12546:SF58', NULL, NULL, NULL, NULL, 'MISFIRE, ISOFORM F', 84914),
(141189, 'PTHR24242:SF248', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9A2', 84915),
(141190, 'PTHR46632:SF26', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINA-LIKE 10', 84916),
(141191, 'PTHR31238:SF225', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 84917),
(141192, 'PTHR45637:SF45', NULL, NULL, NULL, NULL, 'OS09G0258500 PROTEIN', 84918),
(141193, 'PTHR36384:SF1', NULL, NULL, NULL, NULL, 'SAWADEE PROTEIN', 84919),
(141194, 'PTHR39573:SF1', NULL, NULL, NULL, NULL, 'STRESS RESPONSE KINASE A', 84920),
(141195, 'PTHR31263:SF59', NULL, NULL, NULL, NULL, 'BNAC08G40570D PROTEIN', 84921),
(141196, 'PTHR24414:SF83', NULL, NULL, NULL, NULL, 'BNAA06G11770D PROTEIN', 84922),
(141197, 'PTHR32175:SF5', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 84923),
(141198, 'PTHR14155:SF534', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL38', 84924),
(141199, 'PTHR23105:SF142', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', 84925),
(141200, 'PTHR24044:SF420', NULL, NULL, NULL, NULL, 'DELTA AND NOTCH-LIKE EPIDERMAL GROWTH FACTOR-RELATED RECEPTOR ISOFORM X1', 84926),
(141201, 'PTHR18860:SF83', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 OMEGA', 84927),
(141202, 'PTHR36289', NULL, NULL, NULL, NULL, 'CHROMOSOME 12 OPEN READING FRAME 60', 84928),
(141203, 'PTHR39085', NULL, NULL, NULL, NULL, 'SLL0924 PROTEIN', 84929),
(141204, 'PTHR11188:SF17', NULL, NULL, NULL, NULL, 'FI21816P1', 84930),
(141205, 'PTHR33459:SF10', NULL, NULL, NULL, NULL, 'PARAMECIUM SURFACE ANTIGEN REPEAT-CONTAINING PROTEIN', 84931),
(141206, 'PTHR10891:SF909', NULL, NULL, NULL, NULL, 'BNAC04G01850D PROTEIN', 84932),
(141207, 'PTHR20208', NULL, NULL, NULL, NULL, 'STRUCTURE-SPECIFIC ENDONUCLEASE SUBUNIT SLX1', 84933),
(141208, 'PTHR34777:SF7', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 1', 84934),
(141209, 'PTHR11458', NULL, NULL, NULL, NULL, 'DELTA-AMINOLEVULINIC ACID DEHYDRATASE', 84935),
(141210, 'PTHR33098:SF2', NULL, NULL, NULL, NULL, 'OS08G0402500 PROTEIN', 84936);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(141211, 'PTHR21508:SF5', NULL, NULL, NULL, NULL, 'MITOGUARDIN', 84937),
(141212, 'PTHR12064:SF79', NULL, NULL, NULL, NULL, 'AND COBALT EFFLUX PROTEIN CORC, PUTATIVE-RELATED', 84938),
(141213, 'PTHR47739', NULL, NULL, NULL, NULL, 'TRNA1(VAL) (ADENINE(37)-N6)-METHYLTRANSFERASE', 84939),
(141214, 'PTHR43028:SF1', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORT PROTEIN', 84940),
(141215, 'PTHR10953:SF195', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME 1', 84941),
(141216, 'PTHR16119:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11622', 84942),
(141217, 'PTHR47924:SF44', NULL, NULL, NULL, NULL, 'BNAC05G13700D PROTEIN', 84943),
(141218, 'PTHR10971:SF31', NULL, NULL, NULL, NULL, 'MITOTIC CHECKPOINT PROTEIN BUB3', 84944),
(141219, 'PTHR22666:SF3', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN-CONTAINING PROTEIN 1', 84945),
(141220, 'PTHR36705:SF5', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE302 PROTEIN', 84946),
(141221, 'PTHR23084:SF247', NULL, NULL, NULL, NULL, 'JUNCTOPHILIN-3-LIKE', 84947),
(141222, 'PTHR31989:SF236', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 60-LIKE', 84948),
(141223, 'PTHR46457', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG 4', 84949),
(141224, 'PTHR11679:SF78', NULL, NULL, NULL, NULL, 'SEC1-LIKE PROTEIN-RELATED', 84950),
(141225, 'PTHR45764:SF33', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 53-LIKE', 84951),
(141226, 'PTHR13683:SF812', NULL, NULL, NULL, NULL, 'BNAA02G05980D PROTEIN', 84952),
(141227, 'PTHR23502:SF64', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11760)-RELATED', 84953),
(141228, 'PTHR14237:SF14', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE (PLP)-DEPENDENT TRANSFERASES SUPERFAMILY PROTEIN', 84954),
(141229, 'PTHR21403:SF4', NULL, NULL, NULL, NULL, 'ATP PHOSPHORIBOSYLTRANSFERASE', 84955),
(141230, 'PTHR31479:SF27', NULL, NULL, NULL, NULL, 'OS01G0719900 PROTEIN', 84956),
(141231, 'PTHR46471', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE', 84957),
(141232, 'PTHR46273:SF5', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', 84958),
(141233, 'PTHR47372:SF19', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', 84959),
(141234, 'PTHR47836:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG18928', 84960),
(141235, 'PTHR46034:SF30', NULL, NULL, NULL, NULL, 'BNAC07G48970D PROTEIN', 84961),
(141236, 'PTHR12378:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84962),
(141237, 'PTHR47979:SF42', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABB1C-LIKE', 84963),
(141238, 'PTHR46225:SF18', NULL, NULL, NULL, NULL, 'BNAA09G56630D PROTEIN', 84964),
(141239, 'PTHR24050:SF19', NULL, NULL, NULL, NULL, 'NEPHRONECTIN', 84965),
(141240, 'PTHR45633:SF42', NULL, NULL, NULL, NULL, 'BNAA05G25830D PROTEIN', 84966),
(141241, 'PTHR24298:SF378', NULL, NULL, NULL, NULL, 'P450 FAMILY PROTEIN, PUTATIVE-RELATED', 84967),
(141242, 'PTHR33454', NULL, NULL, NULL, NULL, 'PROLAMIN PPROL 14P', 84968),
(141243, 'PTHR24034:SF107', NULL, NULL, NULL, NULL, 'FIBULIN-5', 84969),
(141244, 'PTHR43939:SF50', NULL, NULL, NULL, NULL, 'NUCLEOPORIN', 84970),
(141245, 'PTHR37180:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84971),
(141246, 'PTHR42682:SF3', NULL, NULL, NULL, NULL, 'HYDROGENASE-4 COMPONENT B', 84972),
(141247, 'PTHR24100:SF111', NULL, NULL, NULL, NULL, 'ZGC:153911', 84973),
(141248, 'PTHR31595:SF56', NULL, NULL, NULL, NULL, 'ACYL-COA--STEROL O-ACYLTRANSFERASE 1-LIKE', 84974),
(141249, 'PTHR24346:SF56', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MARK2', 84975),
(141250, 'PTHR24089:SF92', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN A', 84976),
(141251, 'PTHR45631:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84977),
(141252, 'PTHR13318:SF151', NULL, NULL, NULL, NULL, 'SI:DKEY-192L18.9', 84978),
(141253, 'PTHR31388:SF24', NULL, NULL, NULL, NULL, 'PEROXIDASE 52', 84979),
(141254, 'PTHR17604:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION COFACTOR VESTIGIAL-LIKE PROTEIN 4', 84980),
(141255, 'PTHR23086:SF95', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', 84981);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(141256, 'PTHR11955:SF97', NULL, NULL, NULL, NULL, 'RETINOID-BINDING PROTEIN 7', 84982),
(141257, 'PTHR12547:SF133', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 52', 84983),
(141258, 'PTHR46718', NULL, NULL, NULL, NULL, 'ASPARTATE-SEMIALDEHYDE DEHYDROGENASE', 84984),
(141259, 'PTHR12013:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84985),
(141260, 'PTHR45783:SF3', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN', 84986),
(141261, 'PTHR38522:SF1', NULL, NULL, NULL, NULL, 'SALT STRESS ROOT PROTEIN RS1', 84987),
(141262, 'PTHR12475:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84988),
(141263, 'PTHR47926:SF156', NULL, NULL, NULL, NULL, 'BNAC06G13000D PROTEIN', 84989),
(141264, 'PTHR10015:SF320', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', 84990),
(141265, 'PTHR31266', NULL, NULL, NULL, NULL, 'TRAF-INTERACTING PROTEIN WITH FHA DOMAIN-CONTAINING PROTEIN A FAMILY MEMBER', 84991),
(141266, 'PTHR45974:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84992),
(141267, 'PTHR31704:SF34', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 84993),
(141268, 'PTHR10663', NULL, NULL, NULL, NULL, 'GUANYL-NUCLEOTIDE EXCHANGE FACTOR', 84994),
(141269, 'PTHR33107:SF60', NULL, NULL, NULL, NULL, 'BNAANNG20090D PROTEIN', 84995),
(141270, 'PTHR22989:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04637', 84996),
(141271, 'PTHR24384:SF221', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 84997),
(141272, 'PTHR47411:SF3', NULL, NULL, NULL, NULL, 'B3GNT1, BETA-1,3-N-ACETYLGUCOSAMINYLTRANSFERASE 1, HOMOLOG', 84998),
(141273, 'PTHR30203', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE CATION EFFLUX PROTEIN', 84999),
(141274, 'PTHR43390:SF11', NULL, NULL, NULL, NULL, 'THYLAKOIDAL PROCESSING PEPTIDASE 1, CHLOROPLASTIC', 85000),
(141275, 'PTHR34801', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 85001),
(141276, 'PTHR15036:SF71', NULL, NULL, NULL, NULL, 'NEUREXIN 2B', 85002),
(141277, 'PTHR35792:SF1', NULL, NULL, NULL, NULL, 'SLL0268 PROTEIN', 85003),
(141278, 'PTHR46408:SF9', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 10', 85004),
(141279, 'PTHR33528:SF15', NULL, NULL, NULL, NULL, 'OS08G0156000 PROTEIN', 85005),
(141280, 'PTHR11822:SF40', NULL, NULL, NULL, NULL, 'ARID DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 85006),
(141281, 'PTHR15919:SF13', NULL, NULL, NULL, NULL, 'DAPPER HOMOLOG 2', 85007),
(141282, 'PTHR44419:SF9', NULL, NULL, NULL, NULL, 'PROTOCHLOROPHYLLIDE REDUCTASE A, CHLOROPLASTIC', 85008),
(141283, 'PTHR39540', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 85009),
(141284, 'PTHR45801:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SUPERMAN-LIKE', 85010),
(141285, 'PTHR32133:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85011),
(141286, 'PTHR37911:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0067K08.20 PROTEIN', 85012),
(141287, 'PTHR43821', NULL, NULL, NULL, NULL, 'NAD(P)H NITROREDUCTASE YDJA-RELATED', 85013),
(141288, 'PTHR10334:SF469', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1B', 85014),
(141289, 'PTHR33870', NULL, NULL, NULL, NULL, 'CARDIOMYOPATHY-ASSOCIATED PROTEIN', 85015),
(141290, 'PTHR45752:SF50', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND DEATH DOMAIN-CONTAINING PROTEIN 1', 85016),
(141291, 'PTHR22808:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85017),
(141292, 'PTHR48041:SF6', NULL, NULL, NULL, NULL, 'PROTEIN WHITE-LIKE PROTEIN', 85018),
(141293, 'PTHR46710:SF1', NULL, NULL, NULL, NULL, 'ARM REPEAT PROTEIN INTERACTING WITH ABF2', 85019),
(141294, 'PTHR10627:SF64', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING PROTEIN YLL032C', 85020),
(141295, 'PTHR46202:SF1', NULL, NULL, NULL, NULL, 'DNA EXCISION REPAIR PROTEIN ERCC-8', 85021),
(141296, 'PTHR31078:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 300', 85022),
(141297, 'PTHR14255:SF33', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN TAUE-RELATED', 85023),
(141298, 'PTHR16399:SF18', NULL, NULL, NULL, NULL, 'GASDERMIN-A', 85024),
(141299, 'PTHR13683:SF847', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 85025);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(141300, 'PTHR31234:SF32', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 85026),
(141301, 'PTHR35243:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85027),
(141302, 'PTHR11709:SF109', NULL, NULL, NULL, NULL, 'LACCASE-7', 85028),
(141303, 'PTHR10139:SF1', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR PROTEIN MRE11', 85029),
(141304, 'PTHR43347:SF4', NULL, NULL, NULL, NULL, 'ACETYL-COA SYNETHETASE-RELATED', 85030),
(141305, 'PTHR36036:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85031),
(141306, 'PTHR48019:SF44', NULL, NULL, NULL, NULL, 'BNAA09G02740D PROTEIN', 85032),
(141307, 'PTHR42152:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GDF5OS, MITOCHONDRIAL', 85033),
(141308, 'PTHR33672:SF16', NULL, NULL, NULL, NULL, 'OS01G0798750 PROTEIN', 85034),
(141309, 'PTHR35694:SF1', NULL, NULL, NULL, NULL, 'DENEDDYLASE', 85035),
(141310, 'PTHR10917:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I, II', 85036),
(141311, 'PTHR45614:SF163', NULL, NULL, NULL, NULL, 'BNAA09G44780D PROTEIN', 85037),
(141312, 'PTHR11375:SF18', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32-RELATED PROTEIN 2', 85038),
(141313, 'PTHR23130:SF144', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 85039),
(141314, 'PTHR11787:SF10', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', 85040),
(141315, 'PTHR31549:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85041),
(141316, 'PTHR21724:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CBG03731', 85042),
(141317, 'PTHR45969:SF35', NULL, NULL, NULL, NULL, 'RING-H2 ZINC FINGER PROTEIN RHA4A-LIKE', 85043),
(141318, 'PTHR31561:SF153', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 85044),
(141319, 'PTHR15683:SF5', NULL, NULL, NULL, NULL, 'SAFB-LIKE TRANSCRIPTION MODULATOR', 85045),
(141320, 'PTHR46084:SF9', NULL, NULL, NULL, NULL, 'OF SODIUM-POTASSIUM ATPASE ALPHA SUBUNIT, PUTATIVE-RELATED', 85046),
(141321, 'PTHR18896:SF151', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 85047),
(141322, 'PTHR16201:SF45', NULL, NULL, NULL, NULL, 'PQ-LOOP REPEAT FAMILY PROTEIN / TRANSMEMBRANE FAMILY PROTEIN', 85048),
(141323, 'PTHR11533:SF171', NULL, NULL, NULL, NULL, 'PROTEIN TMA108', 85049),
(141324, 'PTHR11771:SF132', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 85050),
(141325, 'PTHR10579', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED CHLORIDE CHANNEL REGULATOR', 85051),
(141326, 'PTHR31656:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85052),
(141327, 'PTHR24349:SF402', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 85053),
(141328, 'PTHR45935:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85054),
(141329, 'PTHR10903:SF139', NULL, NULL, NULL, NULL, 'SI:DKEY-110G7.8', 85055),
(141330, 'PTHR33883', NULL, NULL, NULL, NULL, 'WPP DOMAIN-ASSOCIATED PROTEIN', 85056),
(141331, 'PTHR33673', NULL, NULL, NULL, NULL, 'SUPPRESSOR SRP40-LIKE PROTEIN', 85057),
(141332, 'PTHR48016:SF18', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE SSK2-RELATED', 85058),
(141333, 'PTHR31744:SF62', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 77', 85059),
(141334, 'PTHR23426:SF59', NULL, NULL, NULL, NULL, 'PUTIDAREDOXIN-LIKE', 85060),
(141335, 'PTHR14199:SF18', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA BREAKPOINT FAMILY MEMBER 3', 85061),
(141336, 'PTHR38495', NULL, NULL, NULL, NULL, 'MCG11474', 85062),
(141337, 'PTHR45496:SF5', NULL, NULL, NULL, NULL, 'AT HOOK-CONTAINING MAR BINDING PROTEIN-LIKE', 85063),
(141338, 'PTHR31589:SF61', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PEPTIDASE-RELATED', 85064),
(141339, 'PTHR11523:SF49', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA', 85065),
(141340, 'PTHR34982', NULL, NULL, NULL, NULL, 'YOP PROTEINS TRANSLOCATION PROTEIN L', 85066),
(141341, 'PTHR23135', NULL, NULL, NULL, NULL, 'MUR LIGASE FAMILY MEMBER', 85067),
(141342, 'PTHR44156:SF9', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN CONTAINING 11', 85068),
(141343, 'PTHR33147:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85069);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(141344, 'PTHR45704', NULL, NULL, NULL, NULL, 'RAS-LIKE FAMILY MEMBER 11', 85070),
(141345, 'PTHR11588:SF325', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2 CHAIN', 85071),
(141346, 'PTHR47189', NULL, NULL, NULL, NULL, 'MHC CLASS II TRANSACTIVATOR', 85072),
(141347, 'PTHR22957:SF254', NULL, NULL, NULL, NULL, 'EVI5-LIKE PROTEIN', 85073),
(141348, 'PTHR23113:SF158', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR N', 85074),
(141349, 'PTHR24349:SF407', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85075),
(141350, 'PTHR24126:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85076),
(141351, 'PTHR31639:SF99', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 85077),
(141352, 'PTHR10909:SF384', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 85078),
(141353, 'PTHR46126:SF2', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 5', 85079),
(141354, 'PTHR48008:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 85080),
(141355, 'PTHR31623:SF66', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-RELATED', 85081),
(141356, 'PTHR13902:SF141', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK2-RELATED', 85082),
(141357, 'PTHR24029:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION-REPAIR-COUPLING FACTOR', 85083),
(141358, 'PTHR23226:SF247', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 24', 85084),
(141359, 'PTHR31639:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85085),
(141360, 'PTHR10492:SF74', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 85086),
(141361, 'PTHR23334:SF20', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN-RELATED', 85087),
(141362, 'PTHR11599:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85088),
(141363, 'PTHR21308:SF2', NULL, NULL, NULL, NULL, 'ZGC:174917', 85089),
(141364, 'PTHR13169:SF12', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN', 85090),
(141365, 'PTHR10285:SF178', NULL, NULL, NULL, NULL, 'BNAC06G40610D PROTEIN', 85091),
(141366, 'PTHR20963:SF18', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE PHO11-RELATED', 85092),
(141367, 'PTHR47006', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 4', 85093),
(141368, 'PTHR10807:SF52', NULL, NULL, NULL, NULL, 'ZGC:154055', 85094),
(141369, 'PTHR47307', NULL, NULL, NULL, NULL, 'GLUTATHIONE-REGULATED POTASSIUM-EFFLUX SYSTEM ANCILLARY PROTEIN KEFG', 85095),
(141370, 'PTHR11654:SF466', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN ISOFORM 1', 85096),
(141371, 'PTHR31442:SF24', NULL, NULL, NULL, NULL, 'BNAA03G55120D PROTEIN', 85097),
(141372, 'PTHR11909:SF323', NULL, NULL, NULL, NULL, 'OS01G0570500 PROTEIN', 85098),
(141373, 'PTHR35006:SF1', NULL, NULL, NULL, NULL, 'BLL2941 PROTEIN', 85099),
(141374, 'PTHR13318:SF7', NULL, NULL, NULL, NULL, 'PROTEIN AMN1 HOMOLOG', 85100),
(141375, 'PTHR10285:SF134', NULL, NULL, NULL, NULL, 'MUSCLE-SPECIFIC BETA 1 INTEGRIN-BINDING PROTEIN 2', 85101),
(141376, 'PTHR45934', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', 85102),
(141377, 'PTHR32251:SF26', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE,C-TERMINAL', 85103),
(141378, 'PTHR18896:SF134', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 85104),
(141379, 'PTHR47925:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85105),
(141380, 'PTHR47177:SF6', NULL, NULL, NULL, NULL, 'BNAA05G31570D PROTEIN', 85106),
(141381, 'PTHR10747:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR COE4', 85107),
(141382, 'PTHR24377:SF778', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 260', 85108),
(141383, 'PTHR11615:SF284', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2B1', 85109),
(141384, 'PTHR21230:SF62', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT THROUGH INTERACTION WITH T-SNARES HOMOLOG 1A', 85110),
(141385, 'PTHR13238:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85111),
(141386, 'PTHR23516:SF17', NULL, NULL, NULL, NULL, 'MOLYBDATE-ANION TRANSPORTER-LIKE', 85112),
(141387, 'PTHR22937:SF109', NULL, NULL, NULL, NULL, 'BNAA10G28200D PROTEIN', 85113),
(141388, 'PTHR48050:SF17', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 85114);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(141389, 'PTHR46288:SF18', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 85115),
(141390, 'PTHR46116:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85116),
(141391, 'PTHR27009:SF13', NULL, NULL, NULL, NULL, 'OS01G0138400 PROTEIN', 85117),
(141392, 'PTHR11073:SF32', NULL, NULL, NULL, NULL, 'BNAC05G11030D PROTEIN', 85118),
(141393, 'PTHR42885:SF5', NULL, NULL, NULL, NULL, 'HISTIDINOL-PHOSPHATE AMINOTRANSFERASE', 85119),
(141394, 'PTHR23232:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85120),
(141395, 'PTHR33057:SF90', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP7', 85121),
(141396, 'PTHR15573', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 160-RELATED', 85122),
(141397, 'PTHR43072:SF38', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE-RELATED', 85123),
(141398, 'PTHR11476:SF7', NULL, NULL, NULL, NULL, 'HISTIDYL-TRNA SYNTHETASE', 85124),
(141399, 'PTHR33099', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 85125),
(141400, 'PTHR31238:SF208', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 85126),
(141401, 'PTHR39662:SF2', NULL, NULL, NULL, NULL, 'LIPID-A-DISACCHARIDE SYNTHASE RELATED GLYCOSYLTRANSFERASE', 85127),
(141402, 'PTHR36712', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 85128),
(141403, 'PTHR31589:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85129),
(141404, 'PTHR13992', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR CO-REPRESSOR RELATED  NCOR', 85130),
(141405, 'PTHR34357:SF4', NULL, NULL, NULL, NULL, 'GCK DOMAIN PROTEIN-RELATED', 85131),
(141406, 'PTHR11362:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85132),
(141407, 'PTHR33525:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOHYDROLASE-RELATED', 85133),
(141408, 'PTHR43976:SF3', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN', 85134),
(141409, 'PTHR11782:SF108', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-DIPHOSPHATASE MIG-23', 85135),
(141410, 'PTHR31719:SF88', NULL, NULL, NULL, NULL, 'OS07G0272700 PROTEIN', 85136),
(141411, 'PTHR10694:SF84', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 5D', 85137),
(141412, 'PTHR33184:SF58', NULL, NULL, NULL, NULL, 'BNAA02G24090D PROTEIN', 85138),
(141413, 'PTHR47903', NULL, NULL, NULL, NULL, 'OS07G0636400 PROTEIN', 85139),
(141414, 'PTHR33801:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85140),
(141415, 'PTHR46738', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED DOMAIN-CONTAINING PROTEIN 1', 85141),
(141416, 'PTHR11960:SF52', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E FAMILY PROTEIN', 85142),
(141417, 'PTHR11814:SF188', NULL, NULL, NULL, NULL, 'SULFATE PERMEASE FAMILY PROTEIN 3', 85143),
(141418, 'PTHR42760:SF100', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', 85144),
(141419, 'PTHR48050:SF4', NULL, NULL, NULL, NULL, 'BNAA05G30520D PROTEIN', 85145),
(141420, 'PTHR43391:SF44', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE', 85146),
(141421, 'PTHR16821', NULL, NULL, NULL, NULL, 'FRATAXIN', 85147),
(141422, 'PTHR21139:SF24', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE', 85148),
(141423, 'PTHR34360:SF4', NULL, NULL, NULL, NULL, 'OS09G0497700 PROTEIN', 85149),
(141424, 'PTHR31692:SF89', NULL, NULL, NULL, NULL, 'EXPANSIN-B4-RELATED', 85150),
(141425, 'PTHR21415', NULL, NULL, NULL, NULL, 'U7 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM11', 85151),
(141426, 'PTHR23414:SF6', NULL, NULL, NULL, NULL, 'ADM5', 85152),
(141427, 'PTHR10559:SF20', NULL, NULL, NULL, NULL, 'SIMILAR TO TRANSCOBALAMIN-1 (TRANSCOBALAMIN I) (TCI) (TC I)-RELATED', 85153),
(141428, 'PTHR43752:SF5', NULL, NULL, NULL, NULL, 'BNR/ASP-BOX REPEAT FAMILY PROTEIN', 85154),
(141429, 'PTHR33285:SF20', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 1', 85155),
(141430, 'PTHR19302', NULL, NULL, NULL, NULL, 'GAMMA TUBULIN COMPLEX PROTEIN', 85156),
(141431, 'PTHR11388', NULL, NULL, NULL, NULL, 'ORGANIC ANION TRANSPORTER', 85157),
(141432, 'PTHR24072:SF330', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN RHO1', 85158),
(141433, 'PTHR10778:SF16', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR TRANSPORTER FAMILY', 85159),
(141434, 'PTHR31807:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85160);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(141435, 'PTHR23421:SF157', NULL, NULL, NULL, NULL, 'D-GALACTOSIDE/L-RHAMNOSE BINDING SUEL LECTIN PROTEIN', 85161),
(141436, 'PTHR33470:SF36', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 1-LIKE', 85162),
(141437, 'PTHR11654:SF326', NULL, NULL, NULL, NULL, 'NITRATE TRANSPORTER 1', 85163),
(141438, 'PTHR22907:SF15', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 85164),
(141439, 'PTHR48019:SF26', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', 85165),
(141440, 'PTHR33832', NULL, NULL, NULL, NULL, 'SERINE-TYPE ENDOPEPTIDASE INHIBITOR', 85166),
(141441, 'PTHR44329:SF162', NULL, NULL, NULL, NULL, 'CTR1-LIKE KINASE KINASE KINASE-LIKE', 85167),
(141442, 'PTHR26312:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85168),
(141443, 'PTHR43008:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', 85169),
(141444, 'PTHR11157:SF5', NULL, NULL, NULL, NULL, 'FATTY ACID ELONGATION PROTEIN 4-RELATED', 85170),
(141445, 'PTHR10183:SF374', NULL, NULL, NULL, NULL, 'CALPAIN-8', 85171),
(141446, 'PTHR26453:SF169', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2W1', 85172),
(141447, 'PTHR12303', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 85173),
(141448, 'PTHR46862:SF3', NULL, NULL, NULL, NULL, 'OS07G0661900 PROTEIN', 85174),
(141449, 'PTHR37485:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSB', 85175),
(141450, 'PTHR13068:SF152', NULL, NULL, NULL, NULL, 'MITOCHODRIAL TRANSCRIPTION TERMINATION FACTOR-RELATED', 85176),
(141451, 'PTHR10528:SF6', NULL, NULL, NULL, NULL, 'AF4/FMR2 FAMILY MEMBER 1', 85177),
(141452, 'PTHR37975:SF3', NULL, NULL, NULL, NULL, 'FLYWCH ZINC FINGER TRANSCRIPTION FACTOR HOMOLOG', 85178),
(141453, 'PTHR45783', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN', 85179),
(141454, 'PTHR24235:SF16', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR TYPE 6-RELATED', 85180),
(141455, 'PTHR44656:SF2', NULL, NULL, NULL, NULL, 'FLJ13639', 85181),
(141456, 'PTHR31479:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85182),
(141457, 'PTHR34663:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85183),
(141458, 'PTHR45647:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85184),
(141459, 'PTHR48024:SF24', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', 85185),
(141460, 'PTHR42791:SF5', NULL, NULL, NULL, NULL, 'HYPOTHETICAL ACETYLTRANSFERASE (EUROFUNG)', 85186),
(141461, 'PTHR24205:SF15', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS 5', 85187),
(141462, 'PTHR21388:SF4', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 10-RELATED', 85188),
(141463, 'PTHR43768:SF29', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE H-RELATED', 85189),
(141464, 'PTHR18868:SF33', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 85190),
(141465, 'PTHR37449:SF1', NULL, NULL, NULL, NULL, 'OS02G0159950 PROTEIN', 85191),
(141466, 'PTHR23100:SF0', NULL, NULL, NULL, NULL, 'ARGININE BIOSYNTHESIS BIFUNCTIONAL PROTEIN ARGJ, MITOCHONDRIAL', 85192),
(141467, 'PTHR45645:SF26', NULL, NULL, NULL, NULL, 'TOLLOID-LIKE PROTEIN 1', 85193),
(141468, 'PTHR15427:SF24', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 7', 85194),
(141469, 'PTHR13360:SF2', NULL, NULL, NULL, NULL, 'BNAA01G28130D PROTEIN', 85195),
(141470, 'PTHR45738:SF15', NULL, NULL, NULL, NULL, 'BNAANNG13070D PROTEIN', 85196),
(141471, 'PTHR12411:SF738', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE 3', 85197),
(141472, 'PTHR47640:SF15', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP47B', 85198),
(141473, 'PTHR15718:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85199),
(141474, 'PTHR12673:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85200),
(141475, 'PTHR31190:SF200', NULL, NULL, NULL, NULL, 'AP2/EREBP TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', 85201),
(141476, 'PTHR33672:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85202),
(141477, 'PTHR23501:SF174', NULL, NULL, NULL, NULL, 'MULTIDRUG EXPORT PROTEIN EMRB-RELATED', 85203),
(141478, 'PTHR48058:SF8', NULL, NULL, NULL, NULL, 'OSJNBB0089K24.8 PROTEIN', 85204),
(141479, 'PTHR46008:SF2', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.4', 85205);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(141480, 'PTHR28333:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR FRAGILE X MENTAL RETARDATION-INTERACTING PROTEIN 2', 85206),
(141481, 'PTHR45671:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG03753', 85207),
(141482, 'PTHR13145', NULL, NULL, NULL, NULL, 'SSM4 PROTEIN', 85208),
(141483, 'PTHR34211:SF8', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN-RELATED', 85209),
(141484, 'PTHR45648:SF87', NULL, NULL, NULL, NULL, 'BNAC06G10400D PROTEIN', 85210),
(141485, 'PTHR45626:SF25', NULL, NULL, NULL, NULL, 'SNF2-RELATED DOMAIN-CONTAINING PROTEIN', 85211),
(141486, 'PTHR46128:SF102', NULL, NULL, NULL, NULL, 'BNAC09G50790D PROTEIN', 85212),
(141487, 'PTHR11437:SF53', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 4', 85213),
(141488, 'PTHR11012:SF30', NULL, NULL, NULL, NULL, 'PROTEIN KINASE-LIKE DOMAIN-CONTAINING', 85214),
(141489, 'PTHR32212:SF247', NULL, NULL, NULL, NULL, 'BNAA03G47970D PROTEIN', 85215),
(141490, 'PTHR23244:SF447', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN', 85216),
(141491, 'PTHR24064:SF235', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10690)-RELATED', 85217),
(141492, 'PTHR11260:SF673', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U13-LIKE', 85218),
(141493, 'PTHR47322:SF11', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 85219),
(141494, 'PTHR11127:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L14-1', 85220),
(141495, 'PTHR34294:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR LSRR', 85221),
(141496, 'PTHR23407:SF1', NULL, NULL, NULL, NULL, '5-FORMYLTETRAHYDROFOLATE CYCLO-LIGASE', 85222),
(141497, 'PTHR31696:SF67', NULL, NULL, NULL, NULL, 'OS05G0280000 PROTEIN', 85223),
(141498, 'PTHR31442:SF23', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', 85224),
(141499, 'PTHR44575:SF2', NULL, NULL, NULL, NULL, 'OS01G0589200 PROTEIN', 85225),
(141500, 'PTHR10134:SF36', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE, MITOCHONDRIAL', 85226),
(141501, 'PTHR11638:SF164', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 78, MITOCHONDRIAL', 85227),
(141502, 'PTHR13848:SF78', NULL, NULL, NULL, NULL, 'BNAA02G09980D PROTEIN', 85228),
(141503, 'PTHR23063', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID ACYLTRANSFERASE', 85229),
(141504, 'PTHR14209:SF28', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE CPRD49-LIKE', 85230),
(141505, 'PTHR46035:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85231),
(141506, 'PTHR12300:SF144', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 85232),
(141507, 'PTHR45814:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD1', 85233),
(141508, 'PTHR47748', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 85234),
(141509, 'PTHR45927:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85235),
(141510, 'PTHR43336:SF4', NULL, NULL, NULL, NULL, 'OXYGEN SENSOR HISTIDINE KINASE RESPONSE REGULATOR DEVS/DOSS', 85236),
(141511, 'PTHR16056:SF12', NULL, NULL, NULL, NULL, 'REGULATOR OF MICROTUBULE DYNAMICS', 85237),
(141512, 'PTHR33955', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 52', 85238),
(141513, 'PTHR44013:SF12', NULL, NULL, NULL, NULL, 'ZINC-TYPE ALCOHOL DEHYDROGENASE-LIKE PROTEIN C16A3.02C-RELATED', 85239),
(141514, 'PTHR22943:SF86', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 85240),
(141515, 'PTHR44191:SF23', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE TRANSCRIPTIONAL REGULATOR-RELATED', 85241),
(141516, 'PTHR38445:SF7', NULL, NULL, NULL, NULL, 'GNTR FAMILY TRANSCRIPTIONAL REGULATOR', 85242),
(141517, 'PTHR11017:SF352', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 85243),
(141518, 'PTHR22953:SF105', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 21', 85244),
(141519, 'PTHR48228:SF1', NULL, NULL, NULL, NULL, 'SUCCINYL-COA--D-CITRAMALATE COA-TRANSFERASE', 85245),
(141520, 'PTHR34491:SF8', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN ZIP1', 85246),
(141521, 'PTHR23130:SF182', NULL, NULL, NULL, NULL, 'BNAC01G39790D PROTEIN', 85247),
(141522, 'PTHR31808:SF8', NULL, NULL, NULL, NULL, 'GB|AAF02142.1', 85248),
(141523, 'PTHR23346:SF7', NULL, NULL, NULL, NULL, 'EIF-2-ALPHA KINASE ACTIVATOR GCN1', 85249);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(141524, 'PTHR31079:SF34', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 75-RELATED', 85250),
(141525, 'PTHR47535:SF1', NULL, NULL, NULL, NULL, 'MUSCLE-SPECIFIC PROTEIN 300 KDA, ISOFORM G', 85251),
(141526, 'PTHR36014:SF1', NULL, NULL, NULL, NULL, 'OS03G0176600 PROTEIN', 85252),
(141527, 'PTHR35547:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85253),
(141528, 'PTHR43948', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 85254),
(141529, 'PTHR46015:SF9', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE METHYLTRANSFERASE 2-RELATED', 85255),
(141530, 'PTHR11431:SF4', NULL, NULL, NULL, NULL, 'BACTERIAL NON-HEME FERRITIN', 85256),
(141531, 'PTHR33564:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85257),
(141532, 'PTHR35293:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 85258),
(141533, 'PTHR27007:SF332', NULL, NULL, NULL, NULL, 'BNACNNG23030D PROTEIN', 85259),
(141534, 'PTHR43118', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONAN LYASE (EUROFUNG)', 85260),
(141535, 'PTHR45644:SF20', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN', 85261),
(141536, 'PTHR21107:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX19', 85262),
(141537, 'PTHR10957:SF1', NULL, NULL, NULL, NULL, 'FI02061P', 85263),
(141538, 'PTHR11683:SF4', NULL, NULL, NULL, NULL, 'NEURONAL MEMBRANE GLYCOPROTEIN M6-A', 85264),
(141539, 'PTHR45751:SF29', NULL, NULL, NULL, NULL, 'RING-FINGER PROTEIN', 85265),
(141540, 'PTHR13018:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85266),
(141541, 'PTHR43199:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE PROENZYME', 85267),
(141542, 'PTHR11202:SF11', NULL, NULL, NULL, NULL, 'SPROUTY-RELATED, EVH1 DOMAIN-CONTAINING PROTEIN 2', 85268),
(141543, 'PTHR21713:SF23', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA-LIKE PROTEIN-RELATED', 85269),
(141544, 'PTHR31096:SF61', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR4-LIKE', 85270),
(141545, 'PTHR48097:SF6', NULL, NULL, NULL, NULL, 'LOW-SPECIFICITY L-THREONINE ALDOLASE 1-RELATED', 85271),
(141546, 'PTHR24068:SF335', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 36', 85272),
(141547, 'PTHR37227', NULL, NULL, NULL, NULL, 'OS01G0219000 PROTEIN', 85273),
(141548, 'PTHR31716', NULL, NULL, NULL, NULL, 'PROTEIN FMC1 HOMOLOG', 85274),
(141549, 'PTHR45890:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ABKC-RELATED', 85275),
(141550, 'PTHR10516:SF341', NULL, NULL, NULL, NULL, '12 KDA FK506-BINDING PROTEIN', 85276),
(141551, 'PTHR31790:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85277),
(141552, 'PTHR11157:SF143', NULL, NULL, NULL, NULL, 'BNAC03G34740D PROTEIN', 85278),
(141553, 'PTHR33193:SF37', NULL, NULL, NULL, NULL, 'DUF3511 DOMAIN PROTEIN', 85279),
(141554, 'PTHR12942', NULL, NULL, NULL, NULL, 'STEP II SPLICING FACTOR SLU7', 85280),
(141555, 'PTHR24112:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85281),
(141556, 'PTHR21420', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE 1', 85282),
(141557, 'PTHR34394:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 2310022B05', 85283),
(141558, 'PTHR45785:SF9', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR H-RELATED PROTEIN 5', 85284),
(141559, 'PTHR24068:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85285),
(141560, 'PTHR45496:SF10', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 85286),
(141561, 'PTHR33304:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 85287),
(141562, 'PTHR31004:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 79A-RELATED', 85288),
(141563, 'PTHR11119:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85289),
(141564, 'PTHR10353:SF244', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 34', 85290),
(141565, 'PTHR33146:SF10', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 4', 85291),
(141566, 'PTHR21409:SF1', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC CELL SIGNAL TRANSDUCER', 85292),
(141567, 'PTHR24040:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85293),
(141568, 'PTHR43552', NULL, NULL, NULL, NULL, 'DIAMINOBUTYRATE--2-OXOGLUTARATE AMINOTRANSFERASE', 85294);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(141569, 'PTHR47123:SF11', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', 85295),
(141570, 'PTHR48100:SF20', NULL, NULL, NULL, NULL, 'BNAC02G02760D PROTEIN', 85296),
(141571, 'PTHR35632:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85297),
(141572, 'PTHR33264:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85298),
(141573, 'PTHR31839:SF38', NULL, NULL, NULL, NULL, 'HVCBF10A', 85299),
(141574, 'PTHR36792:SF11', NULL, NULL, NULL, NULL, 'SEL1 REPEAT PROTEIN', 85300),
(141575, 'PTHR34120:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85301),
(141576, 'PTHR17630', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE', 85302),
(141577, 'PTHR10438:SF426', NULL, NULL, NULL, NULL, 'THIOREDOXIN-3, MITOCHONDRIAL', 85303),
(141578, 'PTHR13068:SF186', NULL, NULL, NULL, NULL, 'BNAA05G31650D PROTEIN', 85304),
(141579, 'PTHR48010:SF45', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', 85305),
(141580, 'PTHR24403:SF87', NULL, NULL, NULL, NULL, 'PEPTIDASE C78, UBIQUITIN MODIFIER-SPECIFIC PEPTIDASE 1/ 2-RELATED', 85306),
(141581, 'PTHR37988', NULL, NULL, NULL, NULL, 'UPF0592 MEMBRANE PROTEIN C7D4.03C', 85307),
(141582, 'PTHR22955:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85308),
(141583, 'PTHR38095:SF1', NULL, NULL, NULL, NULL, 'ANAEROBIC DIMETHYL SULFOXIDE REDUCTASE CHAIN YNFH', 85309),
(141584, 'PTHR35131:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85310),
(141585, 'PTHR31327:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG22423', 85311),
(141586, 'PTHR15357:SF0', NULL, NULL, NULL, NULL, 'OLFACTORY MARKER PROTEIN', 85312),
(141587, 'PTHR10896:SF24', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS04G0650300-RELATED', 85313),
(141588, 'PTHR31459:SF21', NULL, NULL, NULL, NULL, 'DESICCATION PROTECTANT PROTEIN LEA14 HOMOLOG', 85314),
(141589, 'PTHR21646:SF16', NULL, NULL, NULL, NULL, 'U4/U6.U5 TRI-SNRNP-ASSOCIATED PROTEIN 2', 85315),
(141590, 'PTHR24361:SF762', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 4', 85316),
(141591, 'PTHR31867:SF100', NULL, NULL, NULL, NULL, 'EXPANSIN', 85317),
(141592, 'PTHR31517:SF50', NULL, NULL, NULL, NULL, 'PEROXIDASE', 85318),
(141593, 'PTHR44533', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', 85319),
(141594, 'PTHR11871:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', 85320),
(141595, 'PTHR10869:SF123', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 6-RELATED', 85321),
(141596, 'PTHR35166:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85322),
(141597, 'PTHR46166:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN', 85323),
(141598, 'PTHR24276', NULL, NULL, NULL, NULL, 'POLYSERASE-RELATED', 85324),
(141599, 'PTHR33577:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85325),
(141600, 'PTHR19368:SF3', NULL, NULL, NULL, NULL, 'X-LINKED LYMPHOCYTE-REGULATED PROTEIN 3A-RELATED', 85326),
(141601, 'PTHR37989:SF34', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 1', 85327),
(141602, 'PTHR31201', NULL, NULL, NULL, NULL, 'OS01G0585100 PROTEIN', 85328),
(141603, 'PTHR24243:SF211', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 85329),
(141604, 'PTHR37479', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSL', 85330),
(141605, 'PTHR45840:SF4', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED PROTEIN 1', 85331),
(141606, 'PTHR32183:SF12', NULL, NULL, NULL, NULL, 'OS03G0843800 PROTEIN', 85332),
(141607, 'PTHR48018:SF63', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 85333),
(141608, 'PTHR26379:SF391', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 2', 85334),
(141609, 'PTHR26453:SF44', NULL, NULL, NULL, NULL, 'MCG141924-RELATED', 85335),
(141610, 'PTHR36714', NULL, NULL, NULL, NULL, 'T23E23.1', 85336),
(141611, 'PTHR36323:SF1', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-LIKE PROTEIN', 85337),
(141612, 'PTHR12378:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 85338),
(141613, 'PTHR21450:SF2', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF630 AND DUF632)-RELATED', 85339),
(141614, 'PTHR45138', NULL, NULL, NULL, NULL, 'REGULATORY COMPONENTS OF SENSORY TRANSDUCTION SYSTEM', 85340);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(141615, 'PTHR31488', NULL, NULL, NULL, NULL, 'DPY-19-LIKE 1, LIKE (H. SAPIENS)', 85341),
(141616, 'PTHR24377:SF907', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 333', 85342),
(141617, 'PTHR30237:SF2', NULL, NULL, NULL, NULL, 'MUREIN TETRAPEPTIDE CARBOXYPEPTIDASE', 85343),
(141618, 'PTHR43193:SF2', NULL, NULL, NULL, NULL, 'POLYFERREDOXIN PROTEIN FWDF', 85344),
(141619, 'PTHR48153', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 85345),
(141620, 'PTHR43742:SF2', NULL, NULL, NULL, NULL, 'ASSIMILATORY NITRATE REDUCTASE CATALYTIC SUBUNIT', 85346),
(141621, 'PTHR15201:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26', 85347),
(141622, 'PTHR24300:SF89', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 516B1-RELATED', 85348),
(141623, 'PTHR12025:SF5', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR A', 85349),
(141624, 'PTHR10605:SF36', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL HEPARAN SULFATE N-DEACETYLASE/N-SULFOTRANSFERASE', 85350),
(141625, 'PTHR11893:SF19', NULL, NULL, NULL, NULL, 'INNEXIN', 85351),
(141626, 'PTHR23118:SF32', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE', 85352),
(141627, 'PTHR23382:SF1', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE 1B-RELATED', 85353),
(141628, 'PTHR24349:SF433', NULL, NULL, NULL, NULL, 'NITROGEN NETWORK KINASE 1', 85354),
(141629, 'PTHR24343:SF137', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HRK1', 85355),
(141630, 'PTHR46162:SF13', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', 85356),
(141631, 'PTHR19211:SF67', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING PROTEIN EXPZ', 85357),
(141632, 'PTHR31490:SF1', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE 1', 85358),
(141633, 'PTHR30193:SF18', NULL, NULL, NULL, NULL, 'MEMBRANE BOUND SUGAR TRANSPORT PROTEIN', 85359),
(141634, 'PTHR24033:SF165', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN-RELATED', 85360),
(141635, 'PTHR45669:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85361),
(141636, 'PTHR11352:SF9', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN', 85362),
(141637, 'PTHR19331:SF440', NULL, NULL, NULL, NULL, 'MACROPHAGE SCAVENGER RECEPTOR TYPES I AND II', 85363),
(141638, 'PTHR15344:SF7', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN 1', 85364),
(141639, 'PTHR33107:SF19', NULL, NULL, NULL, NULL, 'MIRACULIN-LIKE', 85365),
(141640, 'PTHR11360:SF224', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER (MCT), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17360)-RELATED', 85366),
(141641, 'PTHR24166:SF45', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE XBAT35, PUTATIVE-RELATED', 85367),
(141642, 'PTHR24305:SF168', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 85368),
(141643, 'PTHR24376:SF70', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 668', 85369),
(141644, 'PTHR19847:SF23', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD-LIKE REPEAT-PROTEIN', 85370),
(141645, 'PTHR10900:SF109', NULL, NULL, NULL, NULL, 'RE16941P', 85371),
(141646, 'PTHR14155:SF555', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85372),
(141647, 'PTHR24286:SF297', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE-LIKE', 85373),
(141648, 'PTHR16110', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 19', 85374),
(141649, 'PTHR34675', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 85375),
(141650, 'PTHR31683:SF161', NULL, NULL, NULL, NULL, 'PECTATE LYASE 19-RELATED', 85376),
(141651, 'PTHR21465:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 469', 85377),
(141652, 'PTHR33101:SF57', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', 85378),
(141653, 'PTHR11711:SF30', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 2', 85379),
(141654, 'PTHR31920:SF51', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR VRN1-LIKE', 85380),
(141655, 'PTHR23249:SF16', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 1', 85381),
(141656, 'PTHR33834:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85382),
(141657, 'PTHR31431', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP188 HOMOLOG', 85383),
(141658, 'PTHR11814:SF222', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 2.1', 85384);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(141659, 'PTHR24390:SF44', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 671', 85385),
(141660, 'PTHR44067:SF7', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', 85386),
(141661, 'PTHR30540:SF6', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 2', 85387),
(141662, 'PTHR11062:SF326', NULL, NULL, NULL, NULL, 'BNAANNG31440D PROTEIN', 85388),
(141663, 'PTHR24161:SF16', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC13', 85389),
(141664, 'PTHR33781:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85390),
(141665, 'PTHR31707:SF184', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 85391),
(141666, 'PTHR45752:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85392),
(141667, 'PTHR46086:SF25', NULL, NULL, NULL, NULL, 'LIPASE, PUTATIVE-RELATED', 85393),
(141668, 'PTHR21879:SF25', NULL, NULL, NULL, NULL, 'OSIRIS 24', 85394),
(141669, 'PTHR31403:SF47', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IBETA2, CHLOROPLASTIC-LIKE', 85395),
(141670, 'PTHR48063:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85396),
(141671, 'PTHR22945:SF26', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-45-RELATED', 85397),
(141672, 'PTHR33107:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85398),
(141673, 'PTHR35291', NULL, NULL, NULL, NULL, 'PROTEIN SHROOM-LIKE', 85399),
(141674, 'PTHR10165:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85400),
(141675, 'PTHR27005:SF284', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 3', 85401),
(141676, 'PTHR45023:SF4', NULL, NULL, NULL, NULL, 'OS07G0575233 PROTEIN', 85402),
(141677, 'PTHR38102:SF2', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN CPXP', 85403),
(141678, 'PTHR19303:SF36', NULL, NULL, NULL, NULL, 'TIGGER TRANSPOSABLE ELEMENT-DERIVED PROTEIN 3', 85404),
(141679, 'PTHR42801:SF5', NULL, NULL, NULL, NULL, 'GROUP 1 TRUNCATED HEMOGLOBIN GLBN', 85405),
(141680, 'PTHR13377:SF5', NULL, NULL, NULL, NULL, 'OS04G0103300 PROTEIN', 85406),
(141681, 'PTHR11662:SF282', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER 5-RELATED', 85407),
(141682, 'PTHR13906:SF16', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE 7', 85408),
(141683, 'PTHR33021:SF404', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 2', 85409),
(141684, 'PTHR34732:SF4', NULL, NULL, NULL, NULL, 'ROD COMPONENT, PUTATIVE-RELATED', 85410),
(141685, 'PTHR34471:SF1', NULL, NULL, NULL, NULL, 'ARGININE REPRESSOR', 85411),
(141686, 'PTHR46419:SF5', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD5-RELATED', 85412),
(141687, 'PTHR37299', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 85413),
(141688, 'PTHR31731:SF56', NULL, NULL, NULL, NULL, 'OSJNBA0010H02.23 PROTEIN', 85414),
(141689, 'PTHR24326:SF573', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT7-LIKE ISOFORM X1', 85415),
(141690, 'PTHR10492:SF57', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 85416),
(141691, 'PTHR45651:SF11', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 20, CHLOROPLASTIC-RELATED', 85417),
(141692, 'PTHR33573:SF28', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 1', 85418),
(141693, 'PTHR32018:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85419),
(141694, 'PTHR24221:SF537', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 85420),
(141695, 'PTHR24409:SF367', NULL, NULL, NULL, NULL, 'B CELL CLL/LYMPHOMA 6', 85421),
(141696, 'PTHR36049', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 85422),
(141697, 'PTHR11203:SF50', NULL, NULL, NULL, NULL, 'MRNA 3-END PROCESSING FACTOR-RELATED', 85423),
(141698, 'PTHR37433:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG25136', 85424),
(141699, 'PTHR20905:SF5', NULL, NULL, NULL, NULL, 'ARYLALKYLAMINE N-ACYLTRANSFERASE-LIKE 2, ISOFORM A-RELATED', 85425),
(141700, 'PTHR33692:SF1', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION FACTOR RIMM', 85426),
(141701, 'PTHR48213:SF1', NULL, NULL, NULL, NULL, 'VID27-LIKE PROTEIN', 85427),
(141702, 'PTHR47995:SF19', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 85428);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(141703, 'PTHR22802:SF249', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 6 MEMBER A', 85429),
(141704, 'PTHR19211:SF96', NULL, NULL, NULL, NULL, 'ATPASE COMPONENT OF ABC TRANSPORTER WITH DUPLICATED ATPASE DOMAIN-RELATED', 85430),
(141705, 'PTHR34542', NULL, NULL, NULL, NULL, 'OS08G0359900 PROTEIN', 85431),
(141706, 'PTHR10133:SF53', NULL, NULL, NULL, NULL, 'DNA POLYMERASE I A, CHLOROPLASTIC/MITOCHONDRIAL', 85432),
(141707, 'PTHR42908:SF27', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 2', 85433),
(141708, 'PTHR34153:SF8', NULL, NULL, NULL, NULL, 'SI:DKEY-65L23.2', 85434),
(141709, 'PTHR13422', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 85435),
(141710, 'PTHR11945:SF511', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 55', 85436),
(141711, 'PTHR11999:SF59', NULL, NULL, NULL, NULL, 'AROMATIC-L-AMINO-ACID DECARBOXYLASE-RELATED', 85437),
(141712, 'PTHR31152:SF10', NULL, NULL, NULL, NULL, 'ENHANCER OF AG-4 PROTEIN 2-LIKE', 85438),
(141713, 'PTHR31374:SF281', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 85439),
(141714, 'PTHR31989:SF290', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 43-LIKE', 85440),
(141715, 'PTHR11693:SF36', NULL, NULL, NULL, NULL, 'ATP SYNTHASE GAMMA CHAIN 2, CHLOROPLASTIC', 85441),
(141716, 'PTHR21639:SF5', NULL, NULL, NULL, NULL, 'DBF4-TYPE ZINC FINGER-CONTAINING PROTEIN 2', 85442),
(141717, 'PTHR31286:SF58', NULL, NULL, NULL, NULL, 'NUCLEIC ACID BINDING / ZINC ION BINDING PROTEIN-RELATED', 85443),
(141718, 'PTHR48018:SF155', NULL, NULL, NULL, NULL, 'MCG141914-RELATED', 85444),
(141719, 'PTHR12876:SF38', NULL, NULL, NULL, NULL, 'MIRP K CHANNEL ACCESSORY SUBUNIT', 85445),
(141720, 'PTHR33199:SF4', NULL, NULL, NULL, NULL, 'OS02G0736300 PROTEIN', 85446),
(141721, 'PTHR45646:SF3', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 85447),
(141722, 'PTHR14234:SF22', NULL, NULL, NULL, NULL, 'SI:CH73-287M6.1', 85448),
(141723, 'PTHR34125:SF6', NULL, NULL, NULL, NULL, 'BNAC08G10690D PROTEIN', 85449),
(141724, 'PTHR11240:SF62', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 1-LIKE', 85450),
(141725, 'PTHR24177:SF287', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 85451),
(141726, 'PTHR27002:SF515', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 35-RELATED', 85452),
(141727, 'PTHR31448:SF31', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 5-RELATED', 85453),
(141728, 'PTHR10209:SF524', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG', 85454),
(141729, 'PTHR10209:SF697', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85455),
(141730, 'PTHR47993:SF140', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 85456),
(141731, 'PTHR13315', NULL, NULL, NULL, NULL, 'METALLO PHOSPHOESTERASE RELATED', 85457),
(141732, 'PTHR43391:SF9', NULL, NULL, NULL, NULL, 'ZGC:109982', 85458),
(141733, 'PTHR12346:SF37', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE INTERACTING DOMAIN, SIN3-RELATED', 85459),
(141734, 'PTHR32134:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85460),
(141735, 'PTHR45772:SF1', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN-RELATED', 85461),
(141736, 'PTHR21538:SF26', NULL, NULL, NULL, NULL, 'SI:DKEY-30C15.10', 85462),
(141737, 'PTHR30558:SF14', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBD', 85463),
(141738, 'PTHR16277', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE ASSOCIATED PROTEIN 4/SERTA DOMAIN-CONTAINING PROTEIN 2', 85464),
(141739, 'PTHR44252:SF1', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE [NADPH] 2', 85465),
(141740, 'PTHR16795', NULL, NULL, NULL, NULL, 'LIMBIN/ELLIS-VAN CREVELD PROTEIN', 85466),
(141741, 'PTHR12864:SF54', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 85467),
(141742, 'PTHR27008:SF221', NULL, NULL, NULL, NULL, 'OS11G0569300 PROTEIN', 85468),
(141743, 'PTHR31205:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85469),
(141744, 'PTHR10285:SF184', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE TTM1', 85470),
(141745, 'PTHR10156', NULL, NULL, NULL, NULL, '2'',3''-CYCLIC-NUCLEOTIDE 3''-PHOSPHODIESTERASE', 85471);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(141746, 'PTHR26452:SF16', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1141', 85472),
(141747, 'PTHR34048:SF3', NULL, NULL, NULL, NULL, 'LOW-DENSITY RECEPTOR-LIKE PROTEIN', 85473),
(141748, 'PTHR10799:SF972', NULL, NULL, NULL, NULL, 'CHROMATIN COMPLEX SUBUNIT A101', 85474),
(141749, 'PTHR19367:SF21', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 8-2', 85475),
(141750, 'PTHR43007', NULL, NULL, NULL, NULL, '2-PHOSPHO-L-LACTATE TRANSFERASE', 85476),
(141751, 'PTHR24092:SF98', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IB', 85477),
(141752, 'PTHR24064:SF232', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-7-RELATED', 85478),
(141753, 'PTHR12203:SF56', NULL, NULL, NULL, NULL, 'PROTEIN O-GLUCOSYLTRANSFERASE 1', 85479),
(141754, 'PTHR13723:SF41', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 8', 85480),
(141755, 'PTHR11661', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12', 85481),
(141756, 'PTHR18884:SF125', NULL, NULL, NULL, NULL, 'SEPTIN-1', 85482),
(141757, 'PTHR13789:SF262', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00590)-RELATED', 85483),
(141758, 'PTHR11937:SF194', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN 9', 85484),
(141759, 'PTHR11627:SF58', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 85485),
(141760, 'PTHR11183:SF114', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE PGSIP7-RELATED', 85486),
(141761, 'PTHR14911:SF1', NULL, NULL, NULL, NULL, 'THUMP DOMAIN-CONTAINING PROTEIN 2', 85487),
(141762, 'PTHR14754:SF34', NULL, NULL, NULL, NULL, 'ESAT-6 SECRETION ACCESSORY FACTOR ESAA', 85488),
(141763, 'PTHR45635:SF27', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 3, MITOCHONDRIAL', 85489),
(141764, 'PTHR31189:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85490),
(141765, 'PTHR19849:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2-ACTIVATING PROTEIN', 85491),
(141766, 'PTHR21716:SF15', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YRRI-RELATED', 85492),
(141767, 'PTHR31719:SF153', NULL, NULL, NULL, NULL, 'NAC DOMAIN TRANSCRIPTION FACTOR', 85493),
(141768, 'PTHR11417:SF67', NULL, NULL, NULL, NULL, 'CHORIONIC SOMATOMAMMOTROPIN HORMONE 1-RELATED', 85494),
(141769, 'PTHR46043:SF10', NULL, NULL, NULL, NULL, 'PROTEIN ARABIDILLO 1-LIKE', 85495),
(141770, 'PTHR46325:SF23', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN-RELATED', 85496),
(141771, 'PTHR11260:SF631', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U7-LIKE', 85497),
(141772, 'PTHR24416:SF136', NULL, NULL, NULL, NULL, 'BDNF/NT-3 GROWTH FACTORS RECEPTOR', 85498),
(141773, 'PTHR31650:SF29', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE PROTEIN', 85499),
(141774, 'PTHR48049:SF79', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 85500),
(141775, 'PTHR46249:SF38', NULL, NULL, NULL, NULL, 'BNAC05G51620D PROTEIN', 85501),
(141776, 'PTHR33787:SF4', NULL, NULL, NULL, NULL, 'YCF20-LIKE PROTEIN', 85502),
(141777, 'PTHR46623:SF9', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE-RELATED', 85503),
(141778, 'PTHR11259', NULL, NULL, NULL, NULL, 'RAS-RELATED GTP BINDING RAG/GTR YEAST', 85504),
(141779, 'PTHR13301:SF153', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 5 [UDP-FORMING]', 85505),
(141780, 'PTHR43173:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85506),
(141781, 'PTHR34277:SF17', NULL, NULL, NULL, NULL, 'BNAA02G29310D PROTEIN', 85507),
(141782, 'PTHR30086:SF0', NULL, NULL, NULL, NULL, 'ARGININE EXPORTER PROTEIN ARGO', 85508),
(141783, 'PTHR30053:SF15', NULL, NULL, NULL, NULL, 'BNACNNG40680D PROTEIN', 85509),
(141784, 'PTHR30466:SF15', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 85510),
(141785, 'PTHR11802:SF249', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85511),
(141786, 'PTHR10009:SF11', NULL, NULL, NULL, NULL, 'RH54244P', 85512),
(141787, 'PTHR12612:SF24', NULL, NULL, NULL, NULL, 'MRNA TRANSPORT REGULATOR MTR2', 85513),
(141788, 'PTHR19303:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85514),
(141789, 'PTHR35546:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85515);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(141790, 'PTHR13833:SF57', NULL, NULL, NULL, NULL, 'NHL DOMAIN-CONTAINING PROTEIN', 85516),
(141791, 'PTHR45614:SF167', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 85517),
(141792, 'PTHR21824:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG16527', 85518),
(141793, 'PTHR12224:SF12', NULL, NULL, NULL, NULL, 'BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 85519),
(141794, 'PTHR34078:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85520),
(141795, 'PTHR10168:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85521),
(141796, 'PTHR32020:SF4', NULL, NULL, NULL, NULL, 'LIN-8 DOMAIN CONTAINING-RELATED', 85522),
(141797, 'PTHR10953:SF217', NULL, NULL, NULL, NULL, 'NEDD8-ACTIVATING ENZYME E1 REGULATORY SUBUNIT AXR1', 85523),
(141798, 'PTHR45722:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-LIKE', 85524),
(141799, 'PTHR11527:SF292', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', 85525),
(141800, 'PTHR43952:SF39', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 5', 85526),
(141801, 'PTHR12989', NULL, NULL, NULL, NULL, 'ALPHA-1,2-GLUCOSYLTRANSFERASE ALG10', 85527),
(141802, 'PTHR46899:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 27', 85528),
(141803, 'PTHR43639:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_5G02870)', 85529),
(141804, 'PTHR18934:SF197', NULL, NULL, NULL, NULL, 'DEPENDENT RNA HELICASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G07950)-RELATED', 85530),
(141805, 'PTHR22237', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 85531),
(141806, 'PTHR11654:SF480', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.5-LIKE', 85532),
(141807, 'PTHR11615:SF100', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2B2', 85533),
(141808, 'PTHR33281', NULL, NULL, NULL, NULL, 'UPF0187 PROTEIN YNEE', 85534),
(141809, 'PTHR30469:SF13', NULL, NULL, NULL, NULL, 'HAE1 FAMILY EFFLUX PUMP MFP COMPONENT', 85535),
(141810, 'PTHR47356:SF3', NULL, NULL, NULL, NULL, 'FRUITING BODY MATURATION-1', 85536),
(141811, 'PTHR27005:SF254', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 2-RELATED', 85537),
(141812, 'PTHR48034:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85538),
(141813, 'PTHR32077:SF39', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN', 85539),
(141814, 'PTHR12653:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85540),
(141815, 'PTHR24381:SF327', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 436-RELATED', 85541),
(141816, 'PTHR37419', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TOXIN HIPA', 85542),
(141817, 'PTHR24083:SF80', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 85543),
(141818, 'PTHR43719:SF26', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION PROTEIN DOKA', 85544),
(141819, 'PTHR32099:SF48', NULL, NULL, NULL, NULL, 'OS10G0329900 PROTEIN', 85545),
(141820, 'PTHR15578', NULL, NULL, NULL, NULL, 'CHROMOSOME 8 C22ORF31 HOMOLOG', 85546),
(141821, 'PTHR24343:SF442', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 85547),
(141822, 'PTHR10353:SF85', NULL, NULL, NULL, NULL, 'ARYL-PHOSPHO-BETA-D-GLUCOSIDASE BGLA', 85548),
(141823, 'PTHR14672:SF0', NULL, NULL, NULL, NULL, 'MUCIN-16', 85549),
(141824, 'PTHR23266:SF317', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-69-2', 85550),
(141825, 'PTHR23428', NULL, NULL, NULL, NULL, 'HISTONE H2B', 85551),
(141826, 'PTHR10994:SF167', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 85552),
(141827, 'PTHR48018:SF85', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5M10', 85553),
(141828, 'PTHR27007:SF168', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', 85554),
(141829, 'PTHR33463:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85555),
(141830, 'PTHR10026:SF64', NULL, NULL, NULL, NULL, 'CYCLIN-L1', 85556),
(141831, 'PTHR31415:SF12', NULL, NULL, NULL, NULL, 'OJ991214_12.17 PROTEIN', 85557),
(141832, 'PTHR45942:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPATASE 3 REGULATORY SUBUNIT B ALPHA ISOFORM TYPE 1', 85558);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(141833, 'PTHR12439:SF32', NULL, NULL, NULL, NULL, 'POLY(U)-SPECIFIC ENDORIBONUCLEASE-B', 85559),
(141834, 'PTHR31960:SF17', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A12-LIKE', 85560),
(141835, 'PTHR13593:SF85', NULL, NULL, NULL, NULL, 'MAP3K PROTEIN KINASE-LIKE PROTEIN', 85561),
(141836, 'PTHR31707:SF229', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 40-RELATED', 85562),
(141837, 'PTHR22870:SF382', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', 85563),
(141838, 'PTHR47138', NULL, NULL, NULL, NULL, 'PERILIPIN-1', 85564),
(141839, 'PTHR35286:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85565),
(141840, 'PTHR48056:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85566),
(141841, 'PTHR33136:SF77', NULL, NULL, NULL, NULL, 'OS01G0357900 PROTEIN', 85567),
(141842, 'PTHR34223:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85568),
(141843, 'PTHR31062:SF126', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 85569),
(141844, 'PTHR24068:SF307', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME/RWD-LIKE PROTEIN-RELATED', 85570),
(141845, 'PTHR19370:SF108', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE 2', 85571),
(141846, 'PTHR13048:SF4', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT', 85572),
(141847, 'PTHR23421:SF130', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 11', 85573),
(141848, 'PTHR23423:SF28', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 184B', 85574),
(141849, 'PTHR24404:SF26', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 613', 85575),
(141850, 'PTHR48122:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN H', 85576),
(141851, 'PTHR24057:SF62', NULL, NULL, NULL, NULL, 'BNAC03G34380D PROTEIN', 85577),
(141852, 'PTHR12802:SF65', NULL, NULL, NULL, NULL, 'CHROMATIN STRUCTURE-REMODELING COMPLEX PROTEIN RSC8', 85578),
(141853, 'PTHR31054:SF6', NULL, NULL, NULL, NULL, 'ZYGOTE ARREST PROTEIN 1', 85579),
(141854, 'PTHR42938:SF27', NULL, NULL, NULL, NULL, 'BNACNNG08710D PROTEIN', 85580),
(141855, 'PTHR33074:SF60', NULL, NULL, NULL, NULL, 'OS08G0539500 PROTEIN', 85581),
(141856, 'PTHR19961:SF75', NULL, NULL, NULL, NULL, 'DYSTROPHIN-RELATED', 85582),
(141857, 'PTHR33170:SF35', NULL, NULL, NULL, NULL, 'OS05G0241700 PROTEIN', 85583),
(141858, 'PTHR13902:SF120', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK8-RELATED', 85584),
(141859, 'PTHR42726:SF1', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE FAMILY MEMBER 6', 85585),
(141860, 'PTHR23421:SF140', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 85586),
(141861, 'PTHR22951:SF82', NULL, NULL, NULL, NULL, 'BNAA06G09690D PROTEIN', 85587),
(141862, 'PTHR46450:SF11', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUVR4', 85588),
(141863, 'PTHR36129', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER SUBUNIT BETA-RELATED', 85589),
(141864, 'PTHR23152:SF29', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE, MITOCHONDRIAL-LIKE', 85590),
(141865, 'PTHR48054:SF23', NULL, NULL, NULL, NULL, 'PIRIFORMOSPORA INDICA-INSENSITIVE PROTEIN 2-LIKE', 85591),
(141866, 'PTHR33548:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85592),
(141867, 'PTHR11157:SF62', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 85593),
(141868, 'PTHR46116:SF33', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', 85594),
(141869, 'PTHR14379:SF28', NULL, NULL, NULL, NULL, 'BNAA01G25090D PROTEIN', 85595),
(141870, 'PTHR23500:SF109', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 7', 85596),
(141871, 'PTHR46190', NULL, NULL, NULL, NULL, 'SI:CH211-201H21.5-RELATED', 85597),
(141872, 'PTHR40047:SF1', NULL, NULL, NULL, NULL, 'UPF0703 PROTEIN YCGQ', 85598),
(141873, 'PTHR31750:SF4', NULL, NULL, NULL, NULL, 'PROTEIN STAY-GREEN 1, CHLOROPLASTIC', 85599),
(141874, 'PTHR24346:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRSK2-LIKE PROTEIN', 85600),
(141875, 'PTHR31319:SF65', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 4-LIKE', 85601);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(141876, 'PTHR23415:SF36', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT 1', 85602),
(141877, 'PTHR48101:SF4', NULL, NULL, NULL, NULL, 'METHYLMALONYL-COA MUTASE, MITOCHONDRIAL', 85603),
(141878, 'PTHR10424:SF60', NULL, NULL, NULL, NULL, 'HERV-H_2Q24.1 PROVIRUS ANCESTRAL ENV POLYPROTEIN-RELATED', 85604),
(141879, 'PTHR45743:SF4', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KOR2', 85605),
(141880, 'PTHR28672', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 13', 85606),
(141881, 'PTHR33801:SF8', NULL, NULL, NULL, NULL, 'OS01G0963600 PROTEIN', 85607),
(141882, 'PTHR39420:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85608),
(141883, 'PTHR43423:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 17', 85609),
(141884, 'PTHR42892:SF1', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-6-PHOSPHATE DEAMINASE-LIKE PROTEIN BT_0258-RELATED', 85610),
(141885, 'PTHR11654:SF109', NULL, NULL, NULL, NULL, 'OS04G0491350 PROTEIN', 85611),
(141886, 'PTHR10209:SF722', NULL, NULL, NULL, NULL, 'BNAA10G27780D PROTEIN', 85612),
(141887, 'PTHR15486:SF68', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', 85613),
(141888, 'PTHR47110:SF1', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC EXPRESSED PROTEIN 55', 85614),
(141889, 'PTHR13387:SF9', NULL, NULL, NULL, NULL, 'PROTEIN HGH1 HOMOLOG', 85615),
(141890, 'PTHR48079:SF6', NULL, NULL, NULL, NULL, 'PROTEIN YEEZ', 85616),
(141891, 'PTHR23239:SF162', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 26', 85617),
(141892, 'PTHR45750:SF1', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT2A', 85618),
(141893, 'PTHR24023:SF1010', NULL, NULL, NULL, NULL, 'PROTEIN CBR-DPY-9', 85619),
(141894, 'PTHR48107:SF17', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE, PUTATIVE-RELATED', 85620),
(141895, 'PTHR12080', NULL, NULL, NULL, NULL, 'SIGNALING LYMPHOCYTIC ACTIVATION MOLECULE', 85621),
(141896, 'PTHR11733:SF214', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY-RELATED', 85622),
(141897, 'PTHR48166:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85623),
(141898, 'PTHR16078', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 87', 85624),
(141899, 'PTHR19211:SF52', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY F MEMBER 2', 85625),
(141900, 'PTHR13690:SF121', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR POSF21-RELATED', 85626),
(141901, 'PTHR22950:SF535', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', 85627),
(141902, 'PTHR43874:SF131', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 85628),
(141903, 'PTHR10292:SF6', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN 2', 85629),
(141904, 'PTHR10337:SF5', NULL, NULL, NULL, NULL, 'SHC-TRANSFORMING PROTEIN 2', 85630),
(141905, 'PTHR10693:SF58', NULL, NULL, NULL, NULL, 'OS02G0131700 PROTEIN', 85631),
(141906, 'PTHR24093:SF461', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 85632),
(141907, 'PTHR22761:SF56', NULL, NULL, NULL, NULL, 'OS11G0123500 PROTEIN', 85633),
(141908, 'PTHR31500:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85634),
(141909, 'PTHR33377:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85635),
(141910, 'PTHR24134:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 8', 85636),
(141911, 'PTHR45704:SF11', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN FAMILY MEMBER 11A-LIKE', 85637),
(141912, 'PTHR48048:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 85638),
(141913, 'PTHR32009:SF73', NULL, NULL, NULL, NULL, 'BNAA01G17730D PROTEIN', 85639),
(141914, 'PTHR16318', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE SUBUNIT PEN-2', 85640),
(141915, 'PTHR45495', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN JJJ1 HOMOLOG', 85641),
(141916, 'PTHR32343:SF61', NULL, NULL, NULL, NULL, 'RNA BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', 85642),
(141917, 'PTHR45651:SF45', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 2', 85643),
(141918, 'PTHR31319:SF45', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN HD1-LIKE', 85644),
(141919, 'PTHR21436:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 142', 85645);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(141920, 'PTHR11626:SF6', NULL, NULL, NULL, NULL, 'BNAA03G52950D PROTEIN', 85646),
(141921, 'PTHR43840:SF42', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 9-LIKE', 85647),
(141922, 'PTHR34049:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85648),
(141923, 'PTHR45750:SF3', NULL, NULL, NULL, NULL, 'GH11602P', 85649),
(141924, 'PTHR31963:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85650),
(141925, 'PTHR45640:SF10', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', 85651),
(141926, 'PTHR23257:SF874', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', 85652),
(141927, 'PTHR11388:SF75', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 74D', 85653),
(141928, 'PTHR31422', NULL, NULL, NULL, NULL, 'BNAANNG28530D PROTEIN', 85654),
(141929, 'PTHR24314:SF15', NULL, NULL, NULL, NULL, 'CHLOROPHYLL(IDE) B REDUCTASE NOL, CHLOROPLASTIC', 85655),
(141930, 'PTHR22765:SF57', NULL, NULL, NULL, NULL, 'OS07G0680000 PROTEIN', 85656),
(141931, 'PTHR32370:SF146', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY5', 85657),
(141932, 'PTHR33411:SF9', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PTTA/EN/SPM, PLANT-RELATED', 85658),
(141933, 'PTHR45496:SF13', NULL, NULL, NULL, NULL, 'PROTEIN ADMETOS', 85659),
(141934, 'PTHR31731:SF133', NULL, NULL, NULL, NULL, 'BNAA03G54590D PROTEIN', 85660),
(141935, 'PTHR15907:SF34', NULL, NULL, NULL, NULL, 'PLAC8 ONZIN-RELATED PROTEIN 1', 85661),
(141936, 'PTHR43608:SF1', NULL, NULL, NULL, NULL, 'CYPIN (GUANINE AMINOHYDROLASE) HOMOLOG', 85662),
(141937, 'PTHR24243:SF10', NULL, NULL, NULL, NULL, 'NEUROTENSIN RECEPTOR TYPE 2', 85663),
(141938, 'PTHR13381:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85664),
(141939, 'PTHR34480', NULL, NULL, NULL, NULL, 'OS01G0967800 PROTEIN-RELATED', 85665),
(141940, 'PTHR33601:SF33', NULL, NULL, NULL, NULL, 'BNAA04G05260D PROTEIN', 85666),
(141941, 'PTHR23095:SF43', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN-LIKE PROTEIN 8C', 85667),
(141942, 'PTHR47925:SF28', NULL, NULL, NULL, NULL, 'BNAA09G15330D PROTEIN', 85668),
(141943, 'PTHR45735:SF3', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR SUBUNIT 2 TAU VARIANT', 85669),
(141944, 'PTHR33726:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85670),
(141945, 'PTHR48106:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85671),
(141946, 'PTHR45863', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK5', 85672),
(141947, 'PTHR45713:SF6', NULL, NULL, NULL, NULL, 'SI:CABZ01040626.2-RELATED', 85673),
(141948, 'PTHR45680:SF12', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 85674),
(141949, 'PTHR16027:SF3', NULL, NULL, NULL, NULL, 'RAS-ASSOCIATING AND DILUTE DOMAIN-CONTAINING PROTEIN', 85675),
(141950, 'PTHR21812', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 85676),
(141951, 'PTHR11132:SF323', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE/PHOSPHATE TRANSLOCATOR-RELATED', 85677),
(141952, 'PTHR12804:SF8', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 3A', 85678),
(141953, 'PTHR13016:SF1', NULL, NULL, NULL, NULL, 'AMMECR1-LIKE PROTEIN', 85679),
(141954, 'PTHR35112', NULL, NULL, NULL, NULL, 'OS08G0360500 PROTEIN', 85680),
(141955, 'PTHR32080:SF50', NULL, NULL, NULL, NULL, 'ANTIFUNGAL PROTEIN GINKBILOBIN-2-LIKE', 85681),
(141956, 'PTHR19229', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER SUBFAMILY A  ABCA', 85682),
(141957, 'PTHR33981:SF17', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONE SUPERFAMILY PROTEIN', 85683),
(141958, 'PTHR35708', NULL, NULL, NULL, NULL, 'GB|AAD25831.1', 85684),
(141959, 'PTHR48028', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN RZ1A', 85685),
(141960, 'PTHR31581', NULL, NULL, NULL, NULL, 'KICSTOR COMPLEX PROTEIN C12ORF66', 85686),
(141961, 'PTHR31480:SF21', NULL, NULL, NULL, NULL, 'PHYTOENE SYNTHASE 1, CHLOROPLASTIC', 85687),
(141962, 'PTHR31415:SF52', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY-RELATED', 85688),
(141963, 'PTHR43039:SF18', NULL, NULL, NULL, NULL, 'BNAC04G02960D PROTEIN', 85689);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(141964, 'PTHR10288:SF166', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING PROTEIN 4', 85690),
(141965, 'PTHR30003:SF9', NULL, NULL, NULL, NULL, 'GLYCOLATE PERMEASE GLCA', 85691),
(141966, 'PTHR35663', NULL, NULL, NULL, NULL, 'TESTIS DEVELOPMENT-RELATED PROTEIN-RELATED', 85692),
(141967, 'PTHR20961', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 85693),
(141968, 'PTHR37512', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL NAD BIOSYNTHESIS/REGULATOR PROTEIN NADR', 85694),
(141969, 'PTHR14594:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 70 KDA', 85695),
(141970, 'PTHR47715:SF1', NULL, NULL, NULL, NULL, 'TRYPTOPHAN/TYROSINE PERMEASE', 85696),
(141971, 'PTHR45959:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18-LIKE', 85697),
(141972, 'PTHR10891:SF862', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML19-RELATED', 85698),
(141973, 'PTHR11851:SF194', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA-2, CHLOROPLASTIC/MITOCHONDRIAL-RELATED', 85699),
(141974, 'PTHR46936:SF4', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE FAMILY PROTEIN', 85700),
(141975, 'PTHR47210:SF3', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26C ISOFORM X1-RELATED', 85701),
(141976, 'PTHR33437', NULL, NULL, NULL, NULL, 'OS06G0361200 PROTEIN', 85702),
(141977, 'PTHR14552', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 85703),
(141978, 'PTHR11959:SF10', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE-LIKE PROTEIN', 85704),
(141979, 'PTHR12911', NULL, NULL, NULL, NULL, 'SAD1/UNC-84-LIKE PROTEIN-RELATED', 85705),
(141980, 'PTHR28052', NULL, NULL, NULL, NULL, 'UPF0545 PROTEIN C22ORF39', 85706),
(141981, 'PTHR33128:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85707),
(141982, 'PTHR14471:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH10-RELATED', 85708),
(141983, 'PTHR46776:SF19', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1', 85709),
(141984, 'PTHR34120:SF13', NULL, NULL, NULL, NULL, 'OS02G0533700 PROTEIN', 85710),
(141985, 'PTHR10906:SF9', NULL, NULL, NULL, NULL, 'PREPROTEIN TRANSLOCASE SUBUNIT SCY1, CHLOROPLASTIC', 85711),
(141986, 'PTHR37808', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN-LIKE PROTEIN YDZR-RELATED', 85712),
(141987, 'PTHR12346:SF24', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX PROTEIN SIN3-LIKE 6', 85713),
(141988, 'PTHR37616:SF3', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 17-LIKE', 85714),
(141989, 'PTHR10772:SF42', NULL, NULL, NULL, NULL, 'BNAA03G56040D PROTEIN', 85715),
(141990, 'PTHR48025:SF10', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN CP29B, CHLOROPLASTIC', 85716),
(141991, 'PTHR22776:SF77', NULL, NULL, NULL, NULL, 'DIETARY RESTRICTION RESPONSE (WT BUT NOT EAT-2 LIFESPAN INCREASED)', 85717),
(141992, 'PTHR33076:SF71', NULL, NULL, NULL, NULL, 'PLANT LIPID TRANSFER PROTEIN/PAR ALLERGEN-RELATED', 85718),
(141993, 'PTHR42938:SF28', NULL, NULL, NULL, NULL, 'BNACNNG08110D PROTEIN', 85719),
(141994, 'PTHR24381:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 248', 85720),
(141995, 'PTHR13847:SF261', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT OXIDOREDUCTASE FAMILY PROTEIN', 85721),
(141996, 'PTHR30537:SF71', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 85722),
(141997, 'PTHR23359:SF193', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 9', 85723),
(141998, 'PTHR10516:SF26', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP5', 85724),
(141999, 'PTHR31476:SF13', NULL, NULL, NULL, NULL, 'PROTEIN WHAT''S THIS FACTOR 9, MITOCHONDRIAL', 85725),
(142000, 'PTHR24015:SF1917', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 85726),
(142001, 'PTHR38816:SF1', NULL, NULL, NULL, NULL, 'EXOSOME SUBUNIT, DUF54 FAMILY-RELATED', 85727),
(142002, 'PTHR33070:SF70', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF241)-RELATED', 85728),
(142003, 'PTHR35116:SF8', NULL, NULL, NULL, NULL, 'HELICASE PROTEIN MOM1-LIKE ISOFORM X1', 85729),
(142004, 'PTHR46513:SF15', NULL, NULL, NULL, NULL, 'NIDOGEN 2', 85730),
(142005, 'PTHR47338:SF9', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 85731);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(142006, 'PTHR31681:SF65', NULL, NULL, NULL, NULL, 'BNAC09G29500D PROTEIN', 85732),
(142007, 'PTHR43719:SF47', NULL, NULL, NULL, NULL, 'PHYTOCHROME', 85733),
(142008, 'PTHR34491:SF16', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', 85734),
(142009, 'PTHR24055:SF110', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 14', 85735),
(142010, 'PTHR33285:SF22', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 6-RELATED', 85736),
(142011, 'PTHR14950:SF60', NULL, NULL, NULL, NULL, 'OS09G0416500 PROTEIN', 85737),
(142012, 'PTHR23015:SF12', NULL, NULL, NULL, NULL, 'F-BOX A PROTEIN', 85738),
(142013, 'PTHR48222:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85739),
(142014, 'PTHR12741:SF29', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 5', 85740),
(142015, 'PTHR11206:SF347', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 85741),
(142016, 'PTHR18914:SF9', NULL, NULL, NULL, NULL, 'CATENIN ALPHA', 85742),
(142017, 'PTHR28152:SF1', NULL, NULL, NULL, NULL, 'HYDROXYACYL-THIOESTER DEHYDRATASE TYPE 2, MITOCHONDRIAL', 85743),
(142018, 'PTHR33103:SF52', NULL, NULL, NULL, NULL, 'OS01G0153950 PROTEIN', 85744),
(142019, 'PTHR37002:SF10', NULL, NULL, NULL, NULL, 'AGAP007005-PA', 85745),
(142020, 'PTHR18860:SF106', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN ZETA', 85746),
(142021, 'PTHR31636:SF260', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', 85747),
(142022, 'PTHR12406:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG15159', 85748),
(142023, 'PTHR36689', NULL, NULL, NULL, NULL, 'COLORECTAL CANCER-ASSOCIATED PROTEIN 2', 85749),
(142024, 'PTHR11972:SF89', NULL, NULL, NULL, NULL, 'FERRIC/CUPRIC REDUCTASE TRANSMEMBRANE COMPONENT 7', 85750),
(142025, 'PTHR46154:SF3', NULL, NULL, NULL, NULL, 'DUR32P', 85751),
(142026, 'PTHR34222:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85752),
(142027, 'PTHR23188:SF12', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-ASSOCIATED FACTOR 1 HOMOLOG', 85753),
(142028, 'PTHR31945:SF125', NULL, NULL, NULL, NULL, 'BNAA09G35700D PROTEIN', 85754),
(142029, 'PTHR30031:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE [ATP]', 85755),
(142030, 'PTHR10869:SF175', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE SUBUNIT ALPHA-LIKE PROTEIN', 85756),
(142031, 'PTHR48005:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85757),
(142032, 'PTHR11203:SF51', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR', 85758),
(142033, 'PTHR11533:SF277', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 85759),
(142034, 'PTHR31895:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG14306', 85760),
(142035, 'PTHR48055:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85761),
(142036, 'PTHR22765:SF289', NULL, NULL, NULL, NULL, 'OS12G0620100 PROTEIN', 85762),
(142037, 'PTHR11800:SF2', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB3', 85763),
(142038, 'PTHR30469:SF34', NULL, NULL, NULL, NULL, 'MACROLIDE EXPORT PROTEIN MACA', 85764),
(142039, 'PTHR45742:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85765),
(142040, 'PTHR24399:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-LIKE PROTEIN', 85766),
(142041, 'PTHR31998:SF36', NULL, NULL, NULL, NULL, 'UBIQUITIN CARRIER PROTEIN 7', 85767),
(142042, 'PTHR10969:SF78', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', 85768),
(142043, 'PTHR10695:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85769),
(142044, 'PTHR11972:SF67', NULL, NULL, NULL, NULL, 'DUAL OXIDASE 2', 85770),
(142045, 'PTHR31072:SF135', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP20-LIKE', 85771),
(142046, 'PTHR24235:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85772),
(142047, 'PTHR23024:SF505', NULL, NULL, NULL, NULL, 'CARBOXYESTERASE 5-RELATED', 85773),
(142048, 'PTHR24006:SF834', NULL, NULL, NULL, NULL, 'BNAA09G41280D PROTEIN', 85774),
(142049, 'PTHR43908:SF2', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 18', 85775),
(142050, 'PTHR47988:SF8', NULL, NULL, NULL, NULL, 'BNAA04G14070D PROTEIN', 85776),
(142051, 'PTHR35287:SF1', NULL, NULL, NULL, NULL, 'SI:ZFOS-911D5.4', 85777),
(142052, 'PTHR11003:SF156', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 85778);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(142053, 'PTHR13683:SF266', NULL, NULL, NULL, NULL, 'PEPSIN B', 85779),
(142054, 'PTHR18444', NULL, NULL, NULL, NULL, 'UPF0538 FAMILY MEMBER', 85780),
(142055, 'PTHR12849:SF1', NULL, NULL, NULL, NULL, 'BNAA08G12360D PROTEIN', 85781),
(142056, 'PTHR24351:SF202', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 85782),
(142057, 'PTHR33091:SF92', NULL, NULL, NULL, NULL, 'OS02G0124300 PROTEIN', 85783),
(142058, 'PTHR31791:SF34', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 85784),
(142059, 'PTHR43574', NULL, NULL, NULL, NULL, 'EPIMERASE-RELATED', 85785),
(142060, 'PTHR10885:SF0', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA ISOMERASE 1', 85786),
(142061, 'PTHR31194:SF102', NULL, NULL, NULL, NULL, 'OS02G0797100 PROTEIN', 85787),
(142062, 'PTHR11690:SF222', NULL, NULL, NULL, NULL, 'ACID-SENSING ION CHANNEL 5', 85788),
(142063, 'PTHR11062:SF95', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE PROTEIN', 85789),
(142064, 'PTHR10366:SF390', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE-LIKE PROTEIN', 85790),
(142065, 'PTHR24418:SF23', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE SRMS', 85791),
(142066, 'PTHR35548:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 85792),
(142067, 'PTHR17453:SF0', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 19 KDA PROTEIN', 85793),
(142068, 'PTHR12247:SF85', NULL, NULL, NULL, NULL, 'SEX COMB ON MIDLEG-LIKE PROTEIN 4', 85794),
(142069, 'PTHR23327:SF4', NULL, NULL, NULL, NULL, 'LON PEPTIDASE N-TERMINAL DOMAIN AND RING FINGER PROTEIN 1', 85795),
(142070, 'PTHR10791:SF163', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 85796),
(142071, 'PTHR45811:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85797),
(142072, 'PTHR47431:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 85798),
(142073, 'PTHR10288:SF271', NULL, NULL, NULL, NULL, 'BNAC09G50550D PROTEIN', 85799),
(142074, 'PTHR45927:SF6', NULL, NULL, NULL, NULL, 'PROTEIN LYK5', 85800),
(142075, 'PTHR16222:SF17', NULL, NULL, NULL, NULL, 'SELENOPROTEIN J', 85801),
(142076, 'PTHR24390:SF81', NULL, NULL, NULL, NULL, 'FI23536P1', 85802),
(142077, 'PTHR24067:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85803),
(142078, 'PTHR10693:SF71', NULL, NULL, NULL, NULL, 'BNAA06G36440D PROTEIN', 85804),
(142079, 'PTHR35385:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-75A21.2', 85805),
(142080, 'PTHR13622:SF11', NULL, NULL, NULL, NULL, 'THIAMIN PYROPHOSPHOKINASE', 85806),
(142081, 'PTHR32285:SF313', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 85807),
(142082, 'PTHR23084:SF246', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', 85808),
(142083, 'PTHR43205:SF30', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT ALKENAL DOUBLE BOND REDUCTASE P2-RELATED', 85809),
(142084, 'PTHR11926:SF1294', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 85810),
(142085, 'PTHR30137', NULL, NULL, NULL, NULL, 'LUCIFERASE-LIKE MONOOXYGENASE', 85811),
(142086, 'PTHR31669:SF231', NULL, NULL, NULL, NULL, 'OS04G0421700 PROTEIN', 85812),
(142087, 'PTHR40861:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85813),
(142088, 'PTHR22907:SF40', NULL, NULL, NULL, NULL, 'DUMPY: SHORTER THAN WILD-TYPE', 85814),
(142089, 'PTHR46084:SF4', NULL, NULL, NULL, NULL, 'BNAA09G55080D PROTEIN', 85815),
(142090, 'PTHR10641:SF1133', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 85816),
(142091, 'PTHR11071:SF489', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP63 ISOFORM X1', 85817),
(142092, 'PTHR11945:SF587', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN 16', 85818),
(142093, 'PTHR19443:SF54', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', 85819),
(142094, 'PTHR46128:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85820),
(142095, 'PTHR11157:SF150', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 85821),
(142096, 'PTHR22750:SF47', NULL, NULL, NULL, NULL, 'CANNABINOID RECEPTOR 1', 85822),
(142097, 'PTHR13390:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG16920', 85823),
(142098, 'PTHR36586:SF19', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE PROTEIN-RELATED', 85824);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(142099, 'PTHR11691:SF28', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-8', 85825),
(142100, 'PTHR31238:SF124', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 85826),
(142101, 'PTHR11709:SF255', NULL, NULL, NULL, NULL, 'BNAA06G00300D PROTEIN', 85827),
(142102, 'PTHR31060:SF31', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN PROTEIN', 85828),
(142103, 'PTHR43736:SF2', NULL, NULL, NULL, NULL, 'MUTT/NUDIX FAMILY PROTEIN', 85829),
(142104, 'PTHR23023:SF269', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 85830),
(142105, 'PTHR34453:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85831),
(142106, 'PTHR36377', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN', 85832),
(142107, 'PTHR33088:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85833),
(142108, 'PTHR31500:SF92', NULL, NULL, NULL, NULL, 'BNAA09G39090D PROTEIN', 85834),
(142109, 'PTHR24222:SF62', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 13-LIKE', 85835),
(142110, 'PTHR24027:SF431', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85836),
(142111, 'PTHR21576:SF108', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 85837),
(142112, 'PTHR23202:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85838),
(142113, 'PTHR31897:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85839),
(142114, 'PTHR33492:SF12', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', 85840),
(142115, 'PTHR47990:SF20', NULL, NULL, NULL, NULL, 'OS03G0122300 PROTEIN', 85841),
(142116, 'PTHR40288:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG16535', 85842),
(142117, 'PTHR23226:SF293', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 664-LIKE', 85843),
(142118, 'PTHR47983:SF7', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 85844),
(142119, 'PTHR28525:SF5', NULL, NULL, NULL, NULL, 'BNAC01G39580D PROTEIN', 85845),
(142120, 'PTHR48002:SF39', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 85846),
(142121, 'PTHR10925:SF8', NULL, NULL, NULL, NULL, 'RNA CYTIDINE ACETYLTRANSFERASE', 85847),
(142122, 'PTHR43139:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85848),
(142123, 'PTHR35178:SF1', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR HOMOLOG', 85849),
(142124, 'PTHR11040:SF44', NULL, NULL, NULL, NULL, 'PROTEIN ZNTC', 85850),
(142125, 'PTHR47958:SF54', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 3, CHLOROPLASTIC ISOFORM X1', 85851),
(142126, 'PTHR44427:SF15', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC GLYCOPROTEIN 29', 85852),
(142127, 'PTHR43732:SF1', NULL, NULL, NULL, NULL, 'RIBOSE 5-PHOSPHATE ISOMERASE-RELATED', 85853),
(142128, 'PTHR10869', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE ALPHA SUBUNIT', 85854),
(142129, 'PTHR11034:SF54', NULL, NULL, NULL, NULL, 'PROTEIN NDL2', 85855),
(142130, 'PTHR47992:SF81', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 6 ISOFORM X1-RELATED', 85856),
(142131, 'PTHR11040:SF177', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 9', 85857),
(142132, 'PTHR23033:SF2', NULL, NULL, NULL, NULL, 'C1GALT1-SPECIFIC CHAPERONE 1', 85858),
(142133, 'PTHR26453:SF164', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 85859),
(142134, 'PTHR10288:SF265', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING PROTEIN 4-LIKE', 85860),
(142135, 'PTHR31675:SF28', NULL, NULL, NULL, NULL, 'AXIAL REGULATOR YABBY 5-LIKE', 85861),
(142136, 'PTHR11878', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER', 85862),
(142137, 'PTHR10131:SF94', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 6', 85863),
(142138, 'PTHR22923:SF69', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q-LIKE PROTEIN 2', 85864),
(142139, 'PTHR19375:SF372', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN, HSP70, HSC70', 85865),
(142140, 'PTHR14938', NULL, NULL, NULL, NULL, 'HCLS1-ASSOCIATED PROTEIN X-1', 85866),
(142141, 'PTHR15722:SF7', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 140 HOMOLOG', 85867),
(142142, 'PTHR45833:SF4', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE', 85868),
(142143, 'PTHR27007:SF34', NULL, NULL, NULL, NULL, 'LECTIN-DOMAIN RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 85869);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(142144, 'PTHR47926:SF46', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 85870),
(142145, 'PTHR11705:SF51', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE SURO-1-RELATED', 85871),
(142146, 'PTHR40836:SF4', NULL, NULL, NULL, NULL, 'RB1-INDUCIBLE COILED-COIL PROTEIN', 85872),
(142147, 'PTHR33198:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85873),
(142148, 'PTHR33021:SF213', NULL, NULL, NULL, NULL, 'OS12G0454600 PROTEIN', 85874),
(142149, 'PTHR10137', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C', 85875),
(142150, 'PTHR36057:SF1', NULL, NULL, NULL, NULL, 'LIPOPROTEIN LIPID ATTACHMENT SITE-LIKE PROTEIN, PUTATIVE (DUF1223)-RELATED', 85876),
(142151, 'PTHR31140:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85877),
(142152, 'PTHR10992:SF1059', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85878),
(142153, 'PTHR12385:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85879),
(142154, 'PTHR30007:SF0', NULL, NULL, NULL, NULL, 'TRANSPOSASE', 85880),
(142155, 'PTHR31964:SF132', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN-RELATED', 85881),
(142156, 'PTHR42912:SF65', NULL, NULL, NULL, NULL, 'DEMETHYLMENAQUINONE METHYLTRANSFERASE', 85882),
(142157, 'PTHR47798:SF2', NULL, NULL, NULL, NULL, 'OS04G0555800 PROTEIN', 85883),
(142158, 'PTHR12735:SF42', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN 2', 85884),
(142159, 'PTHR42029:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85885),
(142160, 'PTHR33526:SF29', NULL, NULL, NULL, NULL, 'BNACNNG24890D PROTEIN', 85886),
(142161, 'PTHR11480:SF83', NULL, NULL, NULL, NULL, 'SAPOSIN B DOMAIN-CONTAINING PROTEIN', 85887),
(142162, 'PTHR37376:SF6', NULL, NULL, NULL, NULL, 'BNACNNG30510D PROTEIN', 85888),
(142163, 'PTHR32444:SF64', NULL, NULL, NULL, NULL, 'SECRETED GLYCOPROTEIN EP1, PUTATIVE-RELATED', 85889),
(142164, 'PTHR10566:SF114', NULL, NULL, NULL, NULL, 'PROTEIN KINASE UBIB-RELATED', 85890),
(142165, 'PTHR33562:SF1', NULL, NULL, NULL, NULL, 'FI02817P', 85891),
(142166, 'PTHR30269', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN YFCA', 85892),
(142167, 'PTHR12019:SF12', NULL, NULL, NULL, NULL, 'LEM DOMAIN-CONTAINING PROTEIN 1', 85893),
(142168, 'PTHR13293', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 85894),
(142169, 'PTHR11802:SF345', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 85895),
(142170, 'PTHR33492:SF4', NULL, NULL, NULL, NULL, 'OS02G0174300 PROTEIN', 85896),
(142171, 'PTHR45658:SF51', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 8', 85897),
(142172, 'PTHR11988:SF44', NULL, NULL, NULL, NULL, 'CELL DEATH SPECIFICATION PROTEIN 2', 85898),
(142173, 'PTHR12570:SF2', NULL, NULL, NULL, NULL, 'SPICHTHYIN, ISOFORM B', 85899),
(142174, 'PTHR24174:SF14', NULL, NULL, NULL, NULL, 'SI:DKEYP-9D4.3', 85900),
(142175, 'PTHR13342:SF4', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR5', 85901),
(142176, 'PTHR46432:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 42', 85902),
(142177, 'PTHR23064:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85903),
(142178, 'PTHR31235:SF206', NULL, NULL, NULL, NULL, 'PEROXIDASE', 85904),
(142179, 'PTHR45844:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85905),
(142180, 'PTHR14987:SF1', NULL, NULL, NULL, NULL, 'LBH DOMAIN-CONTAINING PROTEIN 1', 85906),
(142181, 'PTHR10373', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 7 FAMILY MEMBER', 85907),
(142182, 'PTHR24413:SF226', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN-CONTAINING PROTEIN 41', 85908),
(142183, 'PTHR46694:SF3', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 4-LIKE', 85909),
(142184, 'PTHR11693:SF35', NULL, NULL, NULL, NULL, 'BNAANNG39740D PROTEIN', 85910),
(142185, 'PTHR31506:SF37', NULL, NULL, NULL, NULL, 'BNAA09G44210D PROTEIN', 85911),
(142186, 'PTHR11860:SF93', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 6', 85912),
(142187, 'PTHR47924:SF5', NULL, NULL, NULL, NULL, 'BNAC01G35250D PROTEIN', 85913),
(142188, 'PTHR35493:SF1', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN', 85914),
(142189, 'PTHR21499:SF54', NULL, NULL, NULL, NULL, 'ASPARTOKINASE 2, CHLOROPLASTIC', 85915);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(142190, 'PTHR11783:SF207', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 85916),
(142191, 'PTHR31646:SF3', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSYLTRANSFERASE MNN5', 85917),
(142192, 'PTHR22981', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRATE DEHYDROGENASE-RELATED', 85918),
(142193, 'PTHR12542:SF140', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 85919),
(142194, 'PTHR31376:SF82', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 85920),
(142195, 'PTHR27005:SF322', NULL, NULL, NULL, NULL, 'BNACNNG45070D PROTEIN', 85921),
(142196, 'PTHR34677:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85922),
(142197, 'PTHR46561:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', 85923),
(142198, 'PTHR24350:SF4', NULL, NULL, NULL, NULL, 'AURORA KINASE B', 85924),
(142199, 'PTHR19957:SF113', NULL, NULL, NULL, NULL, 'SYNTAXIN-2-RELATED', 85925),
(142200, 'PTHR31645', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER YGL114W-RELATED', 85926),
(142201, 'PTHR43329:SF109', NULL, NULL, NULL, NULL, 'BNAA10G06420D PROTEIN', 85927),
(142202, 'PTHR30575:SF4', NULL, NULL, NULL, NULL, 'PEPTIDASE M20 DOMAIN-CONTAINING PROTEIN 2', 85928),
(142203, 'PTHR10553:SF5', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM7', 85929),
(142204, 'PTHR24006:SF808', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 12-LIKE', 85930),
(142205, 'PTHR31384:SF115', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 6', 85931),
(142206, 'PTHR48052:SF29', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', 85932),
(142207, 'PTHR46158:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85933),
(142208, 'PTHR34787:SF3', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT VI-2, CHLOROPLASTIC-LIKE', 85934),
(142209, 'PTHR32097:SF17', NULL, NULL, NULL, NULL, 'CAMP-BINDING PROTEIN 1-RELATED', 85935),
(142210, 'PTHR24223:SF269', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', 85936),
(142211, 'PTHR16223:SF129', NULL, NULL, NULL, NULL, 'OS02G0671300 PROTEIN', 85937),
(142212, 'PTHR11877:SF69', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 8', 85938),
(142213, 'PTHR43190', NULL, NULL, NULL, NULL, 'N-ACETYL-D-GLUCOSAMINE KINASE', 85939),
(142214, 'PTHR37330', NULL, NULL, NULL, NULL, 'CONSERVED TRANSMEMBRANE PROTEIN-RELATED', 85940),
(142215, 'PTHR47992:SF120', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 6-RELATED', 85941),
(142216, 'PTHR46098', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(38)-C(5))-METHYLTRANSFERASE', 85942),
(142217, 'PTHR43272:SF76', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 7, PEROXISOMAL', 85943),
(142218, 'PTHR33671:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85944),
(142219, 'PTHR42798:SF2', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM ATP-BINDING PROTEIN LOLD', 85945),
(142220, 'PTHR46261:SF13', NULL, NULL, NULL, NULL, 'HMG TYPE NUCLEOSOME/CHROMATIN ASSEMBLY FACTOR', 85946),
(142221, 'PTHR31639:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85947),
(142222, 'PTHR24068:SF199', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 18-RELATED', 85948),
(142223, 'PTHR10114:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36-1-RELATED', 85949),
(142224, 'PTHR45676:SF131', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 85950),
(142225, 'PTHR42912:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85951),
(142226, 'PTHR45660:SF53', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH5', 85952),
(142227, 'PTHR10405:SF18', NULL, NULL, NULL, NULL, 'SPINDLIN-3', 85953),
(142228, 'PTHR11802:SF340', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 85954),
(142229, 'PTHR27001:SF876', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85955),
(142230, 'PTHR21032', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 85956),
(142231, 'PTHR14382', NULL, NULL, NULL, NULL, 'MDM2-BINDING PROTEIN', 85957),
(142232, 'PTHR26379:SF390', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85958),
(142233, 'PTHR11203:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85959);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(142234, 'PTHR12894:SF38', NULL, NULL, NULL, NULL, 'BNAC03G76730D PROTEIN', 85960),
(142235, 'PTHR45530:SF3', NULL, NULL, NULL, NULL, 'SENSORY TRANSDUCTION HISTIDINE KINASE', 85961),
(142236, 'PTHR11514:SF109', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC2', 85962),
(142237, 'PTHR23428:SF125', NULL, NULL, NULL, NULL, 'HISTONE H2B 3-RELATED', 85963),
(142238, 'PTHR19305:SF14', NULL, NULL, NULL, NULL, 'SYNAPTOSOMAL-ASSOCIATED PROTEIN-RELATED', 85964),
(142239, 'PTHR31790:SF320', NULL, NULL, NULL, NULL, 'BNAA04G18710D PROTEIN', 85965),
(142240, 'PTHR41390:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 85966),
(142241, 'PTHR11514:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85967),
(142242, 'PTHR45842:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85968),
(142243, 'PTHR33021:SF206', NULL, NULL, NULL, NULL, 'MAVICYANIN-LIKE', 85969),
(142244, 'PTHR11695:SF645', NULL, NULL, NULL, NULL, 'RETICULON-4-INTERACTING PROTEIN 1, MITOCHONDRIAL-LIKE PROTEIN', 85970),
(142245, 'PTHR23522', NULL, NULL, NULL, NULL, 'BLL5896 PROTEIN', 85971),
(142246, 'PTHR45872', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 2, ISOFORM D', 85972),
(142247, 'PTHR26453:SF594', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 85973),
(142248, 'PTHR11260:SF584', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U22', 85974),
(142249, 'PTHR14469:SF1', NULL, NULL, NULL, NULL, 'PC-ESTERASE DOMAIN-CONTAINING PROTEIN 1B', 85975),
(142250, 'PTHR39169', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 85976),
(142251, 'PTHR10015:SF345', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-1E-LIKE', 85977),
(142252, 'PTHR30096:SF18', NULL, NULL, NULL, NULL, 'EXTRADIOL RING-CLEAVAGE DIOXYGENASE-LIKE', 85978),
(142253, 'PTHR42908:SF24', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION ELONGATION FACTOR 2, GENE 2', 85979),
(142254, 'PTHR12748:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85980),
(142255, 'PTHR11260:SF499', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, N-TERMINAL DOMAIN CONTAINING PROTEIN, EXPRESSED', 85981),
(142256, 'PTHR13068:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85982),
(142257, 'PTHR33148:SF41', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', 85983),
(142258, 'PTHR36358', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 4, MITOCHONDRIAL', 85984),
(142259, 'PTHR47999:SF13', NULL, NULL, NULL, NULL, 'R2R3-MYB TRANSCRIPTIONAL FACTOR 4', 85985),
(142260, 'PTHR46128:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85986),
(142261, 'PTHR13018', NULL, NULL, NULL, NULL, 'PROBABLE MEMBRANE PROTEIN DUF221-RELATED', 85987),
(142262, 'PTHR46514:SF7', NULL, NULL, NULL, NULL, 'BRIDGING INTEGRATOR 1B', 85988),
(142263, 'PTHR47607', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUBFAMILY MEMBER 3', 85989),
(142264, 'PTHR22042:SF2', NULL, NULL, NULL, NULL, '182 KDA TANKYRASE-1-BINDING PROTEIN', 85990),
(142265, 'PTHR45828:SF11', NULL, NULL, NULL, NULL, 'FERRIC-CHELATE REDUCTASE 1 HOMOLOG-LIKE PROTEIN-RELATED', 85991),
(142266, 'PTHR34192', NULL, NULL, NULL, NULL, 'PLASTOCYANIN MAJOR ISOFORM, CHLOROPLASTIC-RELATED', 85992),
(142267, 'PTHR31803:SF26', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE', 85993),
(142268, 'PTHR33349:SF13', NULL, NULL, NULL, NULL, 'OS04G0284900 PROTEIN', 85994),
(142269, 'PTHR12011:SF347', NULL, NULL, NULL, NULL, 'LATROPHILIN-LIKE PROTEIN 1', 85995),
(142270, 'PTHR31494:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 85996),
(142271, 'PTHR47956:SF80', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B10', 85997),
(142272, 'PTHR19957:SF298', NULL, NULL, NULL, NULL, 'SYNTAXIN-6-RELATED', 85998),
(142273, 'PTHR15454:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG18939', 85999),
(142274, 'PTHR24377:SF882', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS 7', 86000),
(142275, 'PTHR20963:SF14', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE, PUTATIVE-RELATED', 86001),
(142276, 'PTHR10627:SF74', NULL, NULL, NULL, NULL, 'BNAA06G19090D PROTEIN', 86002),
(142277, 'PTHR44329:SF194', NULL, NULL, NULL, NULL, 'BNAA05G16950D PROTEIN', 86003);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(142278, 'PTHR33431:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86004),
(142279, 'PTHR43085:SF35', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE KINASE-LIKE', 86005),
(142280, 'PTHR10412:SF17', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE 2', 86006),
(142281, 'PTHR21700:SF43', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 86007),
(142282, 'PTHR11727:SF15', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION FACTOR 1', 86008),
(142283, 'PTHR21636:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DOK-7', 86009),
(142284, 'PTHR18966:SF374', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 86010),
(142285, 'PTHR35587:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 86011),
(142286, 'PTHR23024:SF106', NULL, NULL, NULL, NULL, 'ARYLACETAMIDE DEACETYLASE-LIKE 4', 86012),
(142287, 'PTHR33402:SF31', NULL, NULL, NULL, NULL, 'VQ MOTIF PROTEIN', 86013),
(142288, 'PTHR13814:SF6', NULL, NULL, NULL, NULL, 'ALPHA-2-HS-GLYCOPROTEIN', 86014),
(142289, 'PTHR47998:SF20', NULL, NULL, NULL, NULL, 'TRICHOME DIFFERENTIATION PROTEIN GL1', 86015),
(142290, 'PTHR24343:SF470', NULL, NULL, NULL, NULL, 'SUGAR-FREE FROSTING, ISOFORM A', 86016),
(142291, 'PTHR10063:SF2', NULL, NULL, NULL, NULL, 'RAL GTPASE-ACTIVATING PROTEIN SUBUNIT ALPHA-2', 86017),
(142292, 'PTHR31314:SF114', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR-LIKE', 86018),
(142293, 'PTHR15976:SF16', NULL, NULL, NULL, NULL, 'AGAP008671-PA', 86019),
(142294, 'PTHR10027:SF28', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED POTASSIUM CHANNEL SUBUNIT ALPHA-1', 86020),
(142295, 'PTHR30055:SF158', NULL, NULL, NULL, NULL, 'POSSIBLE TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY TETR-FAMILY)', 86021),
(142296, 'PTHR24416:SF370', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NERVE GROWTH FACTOR RECEPTOR', 86022),
(142297, 'PTHR24349:SF174', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 21-RELATED', 86023),
(142298, 'PTHR34684:SF3', NULL, NULL, NULL, NULL, 'BNAA05G18590D PROTEIN', 86024),
(142299, 'PTHR10880', NULL, NULL, NULL, NULL, 'MORTALITY FACTOR 4-LIKE PROTEIN', 86025),
(142300, 'PTHR22667', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 86026),
(142301, 'PTHR11158:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86027),
(142302, 'PTHR46128:SF235', NULL, NULL, NULL, NULL, 'REPEAT (PPR) SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 86028),
(142303, 'PTHR48025:SF4', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 2, CHLOROPLASTIC', 86029),
(142304, 'PTHR24381:SF113', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 384', 86030),
(142305, 'PTHR31916:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86031),
(142306, 'PTHR34950:SF1', NULL, NULL, NULL, NULL, 'OS04G0457400 PROTEIN', 86032),
(142307, 'PTHR46629', NULL, NULL, NULL, NULL, 'OS01G0917900 PROTEIN', 86033),
(142308, 'PTHR24171', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 39-RELATED', 86034),
(142309, 'PTHR48021:SF24', NULL, NULL, NULL, NULL, 'FACILITATED TREHALOSE TRANSPORTER TRET1-2 HOMOLOG-LIKE PROTEIN', 86035),
(142310, 'PTHR31189:SF33', NULL, NULL, NULL, NULL, 'BNAC03G61870D PROTEIN', 86036),
(142311, 'PTHR15427:SF5', NULL, NULL, NULL, NULL, 'EMILIN-2', 86037),
(142312, 'PTHR48002:SF79', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4A15', 86038),
(142313, 'PTHR22941:SF148', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 86039),
(142314, 'PTHR45637:SF6', NULL, NULL, NULL, NULL, 'PROTEIN KINASE PINOID', 86040),
(142315, 'PTHR12224:SF14', NULL, NULL, NULL, NULL, 'OSJNBA0044K18.7 PROTEIN', 86041),
(142316, 'PTHR39186', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 86042),
(142317, 'PTHR24637:SF270', NULL, NULL, NULL, NULL, 'COLLAGEN', 86043),
(142318, 'PTHR43642', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 86044),
(142319, 'PTHR46587:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 86045),
(142320, 'PTHR24031:SF348', NULL, NULL, NULL, NULL, 'LARGE HELICASE-RELATED PROTEIN', 86046),
(142321, 'PTHR12945:SF0', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(58)-N(1))-METHYLTRANSFERASE NON-CATALYTIC SUBUNIT TRM6', 86047),
(142322, 'PTHR12549:SF49', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ25-LIKE ISOFORM X1', 86048);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(142323, 'PTHR24221:SF423', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', 86049),
(142324, 'PTHR22760', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 86050),
(142325, 'PTHR47338:SF17', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 86051),
(142326, 'PTHR45813:SF4', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR F5', 86052),
(142327, 'PTHR10145:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT6', 86053),
(142328, 'PTHR30472:SF37', NULL, NULL, NULL, NULL, 'IRON(3+)-HYDROXAMATE IMPORT SYSTEM PERMEASE PROTEIN FHUB', 86054),
(142329, 'PTHR16510', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PHOSPHOGLYCOPROTEIN WITH ASARM MOTIF', 86055),
(142330, 'PTHR17630:SF98', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 86056),
(142331, 'PTHR21311:SF0', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 8', 86057),
(142332, 'PTHR30624:SF4', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TLDD', 86058),
(142333, 'PTHR15705:SF1', NULL, NULL, NULL, NULL, 'MCG7194, ISOFORM CRA_A', 86059),
(142334, 'PTHR34574', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', 86060),
(142335, 'PTHR33649:SF18', NULL, NULL, NULL, NULL, 'BNAC04G26600D PROTEIN', 86061),
(142336, 'PTHR33132:SF78', NULL, NULL, NULL, NULL, 'BNAA10G10120D PROTEIN', 86062),
(142337, 'PTHR46179:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 653', 86063),
(142338, 'PTHR45757:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG23780', 86064),
(142339, 'PTHR11949:SF20', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 4B', 86065),
(142340, 'PTHR11913:SF58', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 10-LIKE', 86066),
(142341, 'PTHR46183:SF3', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P (PB1) DOMAIN-CONTAINING PROTEIN / TETRATRICOPEPTIDE REPEAT (TPR)-CONTAINING PROTEIN', 86067),
(142342, 'PTHR21502:SF9', NULL, NULL, NULL, NULL, 'RAB-INTERACTING LYSOSOMAL PROTEIN', 86068),
(142343, 'PTHR11615:SF261', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 86069),
(142344, 'PTHR31636:SF245', NULL, NULL, NULL, NULL, 'BNAA02G12260D PROTEIN', 86070),
(142345, 'PTHR24343:SF101', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 23', 86071),
(142346, 'PTHR31907:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86072),
(142347, 'PTHR47909', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 86073),
(142348, 'PTHR11540:SF60', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE, GLYOXYSOMAL', 86074),
(142349, 'PTHR16223:SF224', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH113-LIKE ISOFORM X1', 86075),
(142350, 'PTHR31479:SF19', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3-LIKE', 86076),
(142351, 'PTHR47928:SF120', NULL, NULL, NULL, NULL, 'OS05G0107000 PROTEIN', 86077),
(142352, 'PTHR31354:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86078),
(142353, 'PTHR11073:SF11', NULL, NULL, NULL, NULL, 'CALNEXIN', 86079),
(142354, 'PTHR24221:SF520', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER OF THE MITOCHONDRION 1-RELATED', 86080),
(142355, 'PTHR31917:SF76', NULL, NULL, NULL, NULL, 'BNAA05G30960D PROTEIN', 86081),
(142356, 'PTHR11764', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 86082),
(142357, 'PTHR11405:SF51', NULL, NULL, NULL, NULL, 'CARBAMOYL-PHOSPHATE SYNTHASE ARGININE-SPECIFIC LARGE CHAIN', 86083),
(142358, 'PTHR31876', NULL, NULL, NULL, NULL, 'COV-LIKE PROTEIN 1', 86084),
(142359, 'PTHR10926:SF17', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN 50A', 86085),
(142360, 'PTHR24031:SF636', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-2-RELATED', 86086),
(142361, 'PTHR48201:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86087),
(142362, 'PTHR19853:SF1', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 31', 86088),
(142363, 'PTHR31375:SF191', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE/GLYCOSIDE HYDROLASE FAMILY PROTEIN', 86089),
(142364, 'PTHR10502:SF120', NULL, NULL, NULL, NULL, 'ANNEXIN', 86090),
(142365, 'PTHR12210:SF157', NULL, NULL, NULL, NULL, 'BNAA07G07660D PROTEIN', 86091);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(142366, 'PTHR40081', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE', 86092),
(142367, 'PTHR32411:SF50', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 26-RELATED', 86093),
(142368, 'PTHR43303:SF1', NULL, NULL, NULL, NULL, 'NADH:FLAVIN OXIDOREDUCTASE/NADH OXIDASE DOMAIN-CONTAINING PROTEIN', 86094),
(142369, 'PTHR33696:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86095),
(142370, 'PTHR24115:SF926', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF22', 86096),
(142371, 'PTHR11413:SF117', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 86097),
(142372, 'PTHR24255:SF29', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT 1, S SUBCOMPONENT', 86098),
(142373, 'PTHR31482', NULL, NULL, NULL, NULL, 'ESTS AU081301(E20138)', 86099),
(142374, 'PTHR43805:SF1', NULL, NULL, NULL, NULL, 'BLL4185 PROTEIN', 86100),
(142375, 'PTHR31679', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX30-RELATED', 86101),
(142376, 'PTHR38622:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG07046', 86102),
(142377, 'PTHR21659:SF82', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE PROTEOLIPID 3', 86103),
(142378, 'PTHR12000:SF29', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME DELTA-ISOZYME', 86104),
(142379, 'PTHR23219:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG04541', 86105),
(142380, 'PTHR30270:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86106),
(142381, 'PTHR11773:SF1', NULL, NULL, NULL, NULL, 'GLYCINE DEHYDROGENASE (DECARBOXYLATING), MITOCHONDRIAL', 86107),
(142382, 'PTHR33091:SF3', NULL, NULL, NULL, NULL, 'OS02G0123900 PROTEIN', 86108),
(142383, 'PTHR10582:SF22', NULL, NULL, NULL, NULL, 'OSM-9 AND CAPSAICIN RECEPTOR-RELATED', 86109),
(142384, 'PTHR31560:SF0', NULL, NULL, NULL, NULL, 'UPF0652 PROTEIN C16A11.03C-RELATED', 86110),
(142385, 'PTHR39741:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86111),
(142386, 'PTHR23155:SF917', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPP13-LIKE PROTEIN 4', 86112),
(142387, 'PTHR30634:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86113),
(142388, 'PTHR24349:SF422', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 11', 86114),
(142389, 'PTHR10593:SF189', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JACKDAW-LIKE ISOFORM X1', 86115),
(142390, 'PTHR47800:SF4', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN', 86116),
(142391, 'PTHR33132:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86117),
(142392, 'PTHR46404', NULL, NULL, NULL, NULL, 'DNA POLYMERASE IOTA', 86118),
(142393, 'PTHR46880', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 86119),
(142394, 'PTHR24072:SF312', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE 3', 86120),
(142395, 'PTHR25952:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86121),
(142396, 'PTHR33156:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86122),
(142397, 'PTHR23315:SF285', NULL, NULL, NULL, NULL, 'BNAA02G07540D PROTEIN', 86123),
(142398, 'PTHR27006:SF376', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8 ISOFORM X1', 86124),
(142399, 'PTHR10791:SF180', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 86125),
(142400, 'PTHR43822:SF17', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE LARGE SUBUNIT', 86126),
(142401, 'PTHR33181:SF35', NULL, NULL, NULL, NULL, 'BNAA01G24710D PROTEIN', 86127),
(142402, 'PTHR23155:SF967', NULL, NULL, NULL, NULL, 'OS02G0118900 PROTEIN', 86128),
(142403, 'PTHR33893:SF1', NULL, NULL, NULL, NULL, 'INSULIN RELATED-RELATED', 86129),
(142404, 'PTHR31790:SF370', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 86130),
(142405, 'PTHR10783:SF78', NULL, NULL, NULL, NULL, 'SPX AND EXS DOMAIN-CONTAINING PROTEIN 2-RELATED', 86131),
(142406, 'PTHR47664', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 86132),
(142407, 'PTHR47992:SF152', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 28-RELATED', 86133),
(142408, 'PTHR33142:SF48', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR15', 86134),
(142409, 'PTHR24390:SF167', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 358', 86135);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(142410, 'PTHR24062:SF3', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 86136),
(142411, 'PTHR33428:SF2', NULL, NULL, NULL, NULL, 'CHLOROPHYLLASE-2, CHLOROPLASTIC', 86137),
(142412, 'PTHR21063:SF4', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY C (CFTR/MRP), MEMBER 6B, TANDEM DUPLICATE 2-RELATED', 86138),
(142413, 'PTHR42198:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 86139),
(142414, 'PTHR24379:SF78', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 627', 86140),
(142415, 'PTHR47966:SF47', NULL, NULL, NULL, NULL, 'ENDOPEPTIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01220)-RELATED', 86141),
(142416, 'PTHR17204:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86142),
(142417, 'PTHR33107:SF58', NULL, NULL, NULL, NULL, 'MIRACULIN', 86143),
(142418, 'PTHR38787', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 86144),
(142419, 'PTHR33336:SF13', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 86145),
(142420, 'PTHR16223:SF137', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 86146),
(142421, 'PTHR47655:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 86147),
(142422, 'PTHR31673:SF41', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 86148),
(142423, 'PTHR38218:SF7', NULL, NULL, NULL, NULL, 'FINGER C-X8-C-X5-C-X3-H TYPE, PUTATIVE-RELATED', 86149),
(142424, 'PTHR23155:SF1121', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPP13-LIKE PROTEIN 4', 86150),
(142425, 'PTHR31165:SF65', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 4-LIKE', 86151),
(142426, 'PTHR10788:SF83', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 3-RELATED', 86152),
(142427, 'PTHR43380:SF12', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT ALPHA, MITOCHONDRIAL', 86153),
(142428, 'PTHR15427:SF23', NULL, NULL, NULL, NULL, 'EMI DOMAIN-CONTAINING PROTEIN 1', 86154),
(142429, 'PTHR31414:SF19', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 86155),
(142430, 'PTHR23135:SF18', NULL, NULL, NULL, NULL, 'CYANOPHYCIN SYNTHETASE', 86156),
(142431, 'PTHR48067:SF1', NULL, NULL, NULL, NULL, 'GPI-ANCHOR TRANSAMIDASE', 86157),
(142432, 'PTHR47693', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR RISBZ3-RELATED', 86158),
(142433, 'PTHR31697', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 5', 86159),
(142434, 'PTHR31595:SF9', NULL, NULL, NULL, NULL, 'OS01G0651500 PROTEIN', 86160),
(142435, 'PTHR45666:SF29', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE PHOSPHATASE (SYNAPTOGENIN-LIKE) FAMILY PROTEIN-RELATED', 86161),
(142436, 'PTHR19370:SF121', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE 3', 86162),
(142437, 'PTHR24260:SF106', NULL, NULL, NULL, NULL, 'TRYPSIN-LIKE PROTEASE', 86163),
(142438, 'PTHR37035:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86164),
(142439, 'PTHR12702:SF3', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 6B', 86165),
(142440, 'PTHR45687:SF60', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE INTRINSIC PROTEIN', 86166),
(142441, 'PTHR48026:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86167),
(142442, 'PTHR45866:SF9', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2', 86168),
(142443, 'PTHR24055:SF423', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86169),
(142444, 'PTHR47725:SF4', NULL, NULL, NULL, NULL, 'BNAC03G12680D PROTEIN', 86170),
(142445, 'PTHR30204:SF55', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR MTA', 86171),
(142446, 'PTHR11442', NULL, NULL, NULL, NULL, 'HEMOGLOBIN FAMILY MEMBER', 86172),
(142447, 'PTHR46650', NULL, NULL, NULL, NULL, 'PEROXISOMAL ADENINE NUCLEOTIDE TRANSPORTER 1', 86173),
(142448, 'PTHR33509:SF23', NULL, NULL, NULL, NULL, 'PROTEIN SENESCENCE-ASSOCIATED GENE 21, MITOCHONDRIAL-LIKE', 86174),
(142449, 'PTHR10309:SF0', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE', 86175),
(142450, 'PTHR47284:SF1', NULL, NULL, NULL, NULL, 'OS06G0203600 PROTEIN', 86176),
(142451, 'PTHR43689:SF35', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE BODYGUARD 5-RELATED', 86177),
(142452, 'PTHR10357:SF178', NULL, NULL, NULL, NULL, 'OLIGO-1,6-GLUCOSIDASE 3-RELATED', 86178);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(142453, 'PTHR17630:SF55', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G01900)', 86179),
(142454, 'PTHR27003:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86180),
(142455, 'PTHR31948:SF61', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 4', 86181),
(142456, 'PTHR11502:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', 86182),
(142457, 'PTHR47980:SF28', NULL, NULL, NULL, NULL, 'BNACNNG73200D PROTEIN', 86183),
(142458, 'PTHR27006:SF272', NULL, NULL, NULL, NULL, 'BNAC03G64190D PROTEIN', 86184),
(142459, 'PTHR31190:SF244', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSE FACTOR C3', 86185),
(142460, 'PTHR10476:SF39', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 24 HOMOLOG 1-LIKE ISOFORM X1', 86186),
(142461, 'PTHR13690:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR VIP1-LIKE', 86187),
(142462, 'PTHR31549:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86188),
(142463, 'PTHR28584:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM228A', 86189),
(142464, 'PTHR43333', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 86190),
(142465, 'PTHR18966:SF397', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, NMDA 3A', 86191),
(142466, 'PTHR24115:SF838', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 86192),
(142467, 'PTHR15840:SF10', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT TPRKB', 86193),
(142468, 'PTHR47958:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86194),
(142469, 'PTHR31149:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 86195),
(142470, 'PTHR46330:SF9', NULL, NULL, NULL, NULL, 'SI:DKEY-260G12.1-RELATED', 86196),
(142471, 'PTHR22957:SF564', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 5 HOMOLOG B', 86197),
(142472, 'PTHR31096:SF46', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR5', 86198),
(142473, 'PTHR31967:SF19', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)', 86199),
(142474, 'PTHR43139:SF18', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 86200),
(142475, 'PTHR10799:SF76', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR BRG1', 86201),
(142476, 'PTHR11210:SF43', NULL, NULL, NULL, NULL, 'RING-BOX PROTEIN 1A-RELATED', 86202),
(142477, 'PTHR37391:SF6', NULL, NULL, NULL, NULL, 'BNAC01G32860D PROTEIN', 86203),
(142478, 'PTHR10252:SF93', NULL, NULL, NULL, NULL, 'HISTONE-LIKE TRANSCRIPTION FACTOR AND ARCHAEAL HISTONE FAMILY PROTEIN, EXPRESSED', 86204),
(142479, 'PTHR11242:SF0', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR INTERACTING PROTEIN (AIP) RELATED', 86205),
(142480, 'PTHR24082:SF313', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1, GROUP H, MEMBER 5', 86206),
(142481, 'PTHR21721:SF26', NULL, NULL, NULL, NULL, 'GH06474P', 86207),
(142482, 'PTHR12892:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG15066', 86208),
(142483, 'PTHR11588:SF273', NULL, NULL, NULL, NULL, 'TUBULIN BETA-3 CHAIN', 86209),
(142484, 'PTHR31806:SF8', NULL, NULL, NULL, NULL, 'VITAMIN B6 TRANSPORTER TPN1', 86210),
(142485, 'PTHR16222:SF18', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 86211),
(142486, 'PTHR23267:SF415', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86212),
(142487, 'PTHR15363', NULL, NULL, NULL, NULL, 'POU DOMAIN CLASS 2-ASSOCIATING FACTOR 1', 86213),
(142488, 'PTHR24028:SF12', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-1', 86214),
(142489, 'PTHR45811:SF50', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY-RELATED', 86215),
(142490, 'PTHR23012:SF198', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 86216),
(142491, 'PTHR46905:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL76-RELATED', 86217),
(142492, 'PTHR23294:SF28', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING 11', 86218),
(142493, 'PTHR31734:SF139', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN', 86219),
(142494, 'PTHR47883', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 86220),
(142495, 'PTHR13005:SF4', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH HYDROPHOBIC PROTEIN', 86221),
(142496, 'PTHR10514:SF36', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME', 86222);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(142497, 'PTHR43327:SF39', NULL, NULL, NULL, NULL, 'BNAA02G35710D PROTEIN', 86223),
(142498, 'PTHR27003:SF297', NULL, NULL, NULL, NULL, 'BNAA06G34020D PROTEIN', 86224),
(142499, 'PTHR22984:SF28', NULL, NULL, NULL, NULL, 'RUNT-RELATED TRANSCRIPTION FACTOR 1, TRANSLOCATED TO, 1 (CYCLIN D-RELATED)-RELATED', 86225),
(142500, 'PTHR10666:SF369', NULL, NULL, NULL, NULL, 'EXPANSIN', 86226),
(142501, 'PTHR31235:SF201', NULL, NULL, NULL, NULL, 'PEROXIDASE', 86227),
(142502, 'PTHR11339:SF264', NULL, NULL, NULL, NULL, 'MUCIN-6', 86228),
(142503, 'PTHR23262:SF176', NULL, NULL, NULL, NULL, 'HCG2042993-RELATED', 86229),
(142504, 'PTHR35605', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 86230),
(142505, 'PTHR20859:SF50', NULL, NULL, NULL, NULL, 'INTERLEUKIN-10 RECEPTOR SUBUNIT BETA', 86231),
(142506, 'PTHR22814:SF323', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 21-LIKE', 86232),
(142507, 'PTHR27005:SF317', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86233),
(142508, 'PTHR47980:SF12', NULL, NULL, NULL, NULL, 'SMALL MONOMERIC GTPASE-RELATED', 86234),
(142509, 'PTHR46708', NULL, NULL, NULL, NULL, 'TENASCIN', 86235),
(142510, 'PTHR42753:SF9', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L39, MITOCHONDRIAL', 86236),
(142511, 'PTHR34050:SF3', NULL, NULL, NULL, NULL, 'DNA REPAIR RAD52-LIKE PROTEIN 2, CHLOROPLASTIC', 86237),
(142512, 'PTHR23089:SF39', NULL, NULL, NULL, NULL, 'BLR5135 PROTEIN', 86238),
(142513, 'PTHR31983:SF17', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 81 PROTEIN', 86239),
(142514, 'PTHR19134:SF465', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE 2', 86240),
(142515, 'PTHR19919:SF11', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN LWD1-LIKE', 86241),
(142516, 'PTHR14199:SF29', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA BREAKPOINT FAMILY MEMBER 4-RELATED', 86242),
(142517, 'PTHR36797:SF3', NULL, NULL, NULL, NULL, 'OS01G0258600 PROTEIN', 86243),
(142518, 'PTHR23050:SF419', NULL, NULL, NULL, NULL, 'SQUIDULIN', 86244),
(142519, 'PTHR10489:SF637', NULL, NULL, NULL, NULL, 'CX3C CHEMOKINE RECEPTOR 1', 86245),
(142520, 'PTHR34572:SF9', NULL, NULL, NULL, NULL, 'BNAA03G11500D PROTEIN', 86246),
(142521, 'PTHR10003:SF71', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN]', 86247),
(142522, 'PTHR31790:SF386', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86248),
(142523, 'PTHR14166:SF8', NULL, NULL, NULL, NULL, 'SLIT-ROBO RHO GTPASE-ACTIVATING PROTEIN 3', 86249),
(142524, 'PTHR47950:SF7', NULL, NULL, NULL, NULL, 'OS12G0196700 PROTEIN', 86250),
(142525, 'PTHR12771:SF47', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN 2', 86251),
(142526, 'PTHR10795:SF542', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.5', 86252),
(142527, 'PTHR31065:SF77', NULL, NULL, NULL, NULL, 'BNACNNG65920D PROTEIN', 86253),
(142528, 'PTHR31044:SF25', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 3', 86254),
(142529, 'PTHR10068:SF16', NULL, NULL, NULL, NULL, 'BONE MARROW PROTEOGLYCAN', 86255),
(142530, 'PTHR24221:SF436', NULL, NULL, NULL, NULL, 'LMO0107 PROTEIN', 86256),
(142531, 'PTHR47993:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86257),
(142532, 'PTHR12654:SF21', NULL, NULL, NULL, NULL, 'OS07G0444000 PROTEIN', 86258),
(142533, 'PTHR46368:SF5', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 86259),
(142534, 'PTHR23054:SF55', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORTER', 86260),
(142535, 'PTHR44137', NULL, NULL, NULL, NULL, 'BNAC03G44070D PROTEIN', 86261),
(142536, 'PTHR21355:SF0', NULL, NULL, NULL, NULL, 'LMBR1 DOMAIN-CONTAINING PROTEIN 2', 86262),
(142537, 'PTHR44042:SF34', NULL, NULL, NULL, NULL, 'BNAC03G21050D PROTEIN', 86263),
(142538, 'PTHR33830:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86264),
(142539, 'PTHR24286:SF40', NULL, NULL, NULL, NULL, 'OS05G0416400 PROTEIN', 86265),
(142540, 'PTHR36347:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 86266),
(142541, 'PTHR47146', NULL, NULL, NULL, NULL, 'OTORAPLIN', 86267),
(142542, 'PTHR43677:SF1', NULL, NULL, NULL, NULL, 'ACRYLYL-COA REDUCTASE ACUI-RELATED', 86268);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(142543, 'PTHR11926:SF1423', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C1', 86269),
(142544, 'PTHR31314:SF104', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR KAN1-LIKE', 86270),
(142545, 'PTHR22870:SF327', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86271),
(142546, 'PTHR22941:SF298', NULL, NULL, NULL, NULL, 'PROTEIN CBG22803', 86272),
(142547, 'PTHR44054:SF2', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE MEMBRANE PROTEIN VAT-1 HOMOLOG-LIKE', 86273),
(142548, 'PTHR12632:SF53', NULL, NULL, NULL, NULL, 'CCAAT-BINDING TRANSCRIPTION FACTOR', 86274),
(142549, 'PTHR34005', NULL, NULL, NULL, NULL, 'PROTEIN CBG15054-RELATED', 86275),
(142550, 'PTHR12482:SF41', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 86276),
(142551, 'PTHR10083:SF352', NULL, NULL, NULL, NULL, 'TISSUE FACTOR PATHWAY INHIBITOR 2', 86277),
(142552, 'PTHR33710:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86278),
(142553, 'PTHR47074:SF33', NULL, NULL, NULL, NULL, 'GB|AAF30348.1-RELATED', 86279),
(142554, 'PTHR47928:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 86280),
(142555, 'PTHR31580:SF6', NULL, NULL, NULL, NULL, 'OS02G0614600 PROTEIN', 86281),
(142556, 'PTHR27007:SF282', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.3-RELATED', 86282),
(142557, 'PTHR43952:SF40', NULL, NULL, NULL, NULL, 'OS05G0579600 PROTEIN', 86283),
(142558, 'PTHR11040:SF55', NULL, NULL, NULL, NULL, 'MEMBRANE ZINC ION TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G00470)-RELATED', 86284),
(142559, 'PTHR11088:SF69', NULL, NULL, NULL, NULL, 'BNAC03G40850D PROTEIN', 86285),
(142560, 'PTHR46319:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN', 86286),
(142561, 'PTHR31186', NULL, NULL, NULL, NULL, 'MODULATOR OF SMOOTHENED PROTEIN', 86287),
(142562, 'PTHR35770:SF1', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN AUXILIARY FACTOR-LIKE PROTEIN', 86288),
(142563, 'PTHR11309:SF87', NULL, NULL, NULL, NULL, 'SECRETED FRIZZLED-RELATED PROTEIN 1', 86289),
(142564, 'PTHR11801', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION', 86290),
(142565, 'PTHR32227:SF361', NULL, NULL, NULL, NULL, 'BNAC04G24480D PROTEIN', 86291),
(142566, 'PTHR24296:SF150', NULL, NULL, NULL, NULL, 'OS01G0858350 PROTEIN', 86292),
(142567, 'PTHR12386:SF36', NULL, NULL, NULL, NULL, 'COPIA-LIKE RETROELEMENT POL POLYPROTEIN', 86293),
(142568, 'PTHR24356:SF386', NULL, NULL, NULL, NULL, '3-PHOSPHOINOSITIDE-DEPENDENT PROTEIN KINASE 1', 86294),
(142569, 'PTHR31614:SF28', NULL, NULL, NULL, NULL, 'OS07G0590500 PROTEIN', 86295),
(142570, 'PTHR11256:SF47', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 10', 86296),
(142571, 'PTHR46118', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 86297),
(142572, 'PTHR24384:SF88', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 138-RELATED', 86298),
(142573, 'PTHR46565:SF13', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN PROTEIN 2', 86299),
(142574, 'PTHR45631:SF105', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 86300),
(142575, 'PTHR21706:SF15', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 65', 86301),
(142576, 'PTHR42968:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86302),
(142577, 'PTHR11122:SF36', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 86303),
(142578, 'PTHR10804:SF11', NULL, NULL, NULL, NULL, 'PROLIFERATION-ASSOCIATED PROTEIN 2G4', 86304),
(142579, 'PTHR24238:SF46', NULL, NULL, NULL, NULL, 'TYRAMINE/OCTOPAMINE RECEPTOR-LIKE PROTEIN', 86305),
(142580, 'PTHR43214', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 86306),
(142581, 'PTHR11767:SF102', NULL, NULL, NULL, NULL, 'INWARDLY RECTIFYING POTASSIUM CHANNEL 2, ISOFORM D', 86307),
(142582, 'PTHR31472:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86308),
(142583, 'PTHR44329:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86309),
(142584, 'PTHR10593:SF164', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 5, CHLOROPLASTIC-LIKE', 86310),
(142585, 'PTHR48001:SF84', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1L4', 86311);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(142586, 'PTHR11927:SF4', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE 1', 86312),
(142587, 'PTHR34560', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE/LIPID TRANSPORT SUPERFAMILY PROTEIN', 86313),
(142588, 'PTHR31238:SF197', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 86314),
(142589, 'PTHR43241', NULL, NULL, NULL, NULL, 'FLAVIN REDUCTASE DOMAIN PROTEIN', 86315),
(142590, 'PTHR48001:SF7', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 86316),
(142591, 'PTHR11206:SF180', NULL, NULL, NULL, NULL, 'OS10G0344600 PROTEIN', 86317),
(142592, 'PTHR14155:SF565', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL29-LIKE', 86318),
(142593, 'PTHR24343:SF391', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SKS1-RELATED', 86319),
(142594, 'PTHR10972:SF166', NULL, NULL, NULL, NULL, 'OSBP(OXYSTEROL-BINDING PROTEIN)-RELATED PROTEIN 4C', 86320),
(142595, 'PTHR42709:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YOHD', 86321),
(142596, 'PTHR14234:SF20', NULL, NULL, NULL, NULL, 'PERIPHERAL-TYPE BENZODIAZEPINE RECEPTOR-ASSOCIATED PROTEIN 1', 86322),
(142597, 'PTHR15922:SF2', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA-AMPLIFIED SEQUENCE', 86323),
(142598, 'PTHR43341:SF7', NULL, NULL, NULL, NULL, 'LEU/VAL/ILE AMINO-ACID PERMEASE-RELATED', 86324),
(142599, 'PTHR45229:SF1', NULL, NULL, NULL, NULL, 'INDUCIBLE ORNITHINE DECARBOXYLASE', 86325),
(142600, 'PTHR48047:SF6', NULL, NULL, NULL, NULL, 'OS06G0282400 PROTEIN', 86326),
(142601, 'PTHR46038:SF37', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 86327),
(142602, 'PTHR33353:SF17', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,4-GLUCANASE D', 86328),
(142603, 'PTHR46128:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86329),
(142604, 'PTHR23043:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SINGLE-MINDED', 86330),
(142605, 'PTHR43019:SF41', NULL, NULL, NULL, NULL, 'PERIPLASMIC SERINE ENDOPROTEASE DEGP-LIKE', 86331),
(142606, 'PTHR45290', NULL, NULL, NULL, NULL, 'OS03G0300300 PROTEIN', 86332),
(142607, 'PTHR11081:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86333),
(142608, 'PTHR48002:SF156', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 86334),
(142609, 'PTHR45654:SF59', NULL, NULL, NULL, NULL, 'HOMEOBOX LEUCINE ZIPPER PROTEIN ROC2', 86335),
(142610, 'PTHR10476:SF19', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 1B-2', 86336),
(142611, 'PTHR34557:SF1', NULL, NULL, NULL, NULL, 'PHYTOCHROMOBILIN:FERREDOXIN OXIDOREDUCTASE, CHLOROPLASTIC', 86337),
(142612, 'PTHR12127:SF20', NULL, NULL, NULL, NULL, 'MUCOLIPIN 1.2', 86338),
(142613, 'PTHR30252:SF4', NULL, NULL, NULL, NULL, 'CARBON STARVATION-RELATED', 86339),
(142614, 'PTHR23359:SF68', NULL, NULL, NULL, NULL, 'GTP:AMP PHOSPHOTRANSFERASE AK3, MITOCHONDRIAL', 86340),
(142615, 'PTHR14356:SF3', NULL, NULL, NULL, NULL, 'INTERLEUKIN-15', 86341),
(142616, 'PTHR11909:SF78', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE VRK1', 86342),
(142617, 'PTHR45622:SF24', NULL, NULL, NULL, NULL, 'RCC1 DOMAIN-CONTAINING PROTEIN DDB_G0295713', 86343),
(142618, 'PTHR27001:SF510', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 6', 86344),
(142619, 'PTHR24012:SF804', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN BRN1-LIKE', 86345),
(142620, 'PTHR31447:SF16', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, 2OG-FE(II) OXYGENASE FAMILY PROTEIN-RELATED', 86346),
(142621, 'PTHR15478:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86347),
(142622, 'PTHR13239:SF4', NULL, NULL, NULL, NULL, 'AT25231P', 86348),
(142623, 'PTHR10502:SF179', NULL, NULL, NULL, NULL, 'ANNEXIN', 86349),
(142624, 'PTHR11615:SF300', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 86350),
(142625, 'PTHR46129:SF4', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-16', 86351),
(142626, 'PTHR33165:SF50', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 86352),
(142627, 'PTHR18763', NULL, NULL, NULL, NULL, 'WD-REPEAT PROTEIN 18', 86353),
(142628, 'PTHR31707:SF285', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 86354),
(142629, 'PTHR33222:SF26', NULL, NULL, NULL, NULL, 'OS08G0430600 PROTEIN', 86355),
(142630, 'PTHR42799:SF25', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE A1', 86356);
INSERT INTO "PUBLIC"."MODEL" VALUES
(142631, 'PTHR47159', NULL, NULL, NULL, NULL, 'PROTEIN CBG07705-RELATED', 86357),
(142632, 'PTHR14063:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86358),
(142633, 'PTHR10683:SF36', NULL, NULL, NULL, NULL, 'TRANSALDOLASE', 86359),
(142634, 'PTHR24026:SF106', NULL, NULL, NULL, NULL, 'CADHERIN 74A, ISOFORM A', 86360),
(142635, 'PTHR11037:SF11', NULL, NULL, NULL, NULL, 'ALPHA-GLOBIN TRANSCRIPTION FACTOR CP2', 86361),
(142636, 'PTHR40055:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR YGIV-RELATED', 86362),
(142637, 'PTHR36344:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86363),
(142638, 'PTHR23389:SF6', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C SUBUNIT 1', 86364),
(142639, 'PTHR11188:SF62', NULL, NULL, NULL, NULL, 'ARRESTIN-RELATED TRAFFICKING ADAPTER 5', 86365),
(142640, 'PTHR42712:SF2', NULL, NULL, NULL, NULL, 'NITRIC OXIDE REDUCTASE SUBUNIT B', 86366),
(142641, 'PTHR14003:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR YY2', 86367),
(142642, 'PTHR10672:SF25', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 14 PROTEIN', 86368),
(142643, 'PTHR10766:SF145', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 86369),
(142644, 'PTHR47969:SF6', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-4C', 86370),
(142645, 'PTHR11926:SF1133', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE IRIDOID GLUCOSYLTRANSFERASE-LIKE', 86371),
(142646, 'PTHR32241:SF17', NULL, NULL, NULL, NULL, 'PATATIN', 86372),
(142647, 'PTHR21529:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86373),
(142648, 'PTHR21419:SF23', NULL, NULL, NULL, NULL, 'PROTEIN DEFECTIVE IN EXINE FORMATION 1', 86374),
(142649, 'PTHR31758', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN YLR108C', 86375),
(142650, 'PTHR45707:SF31', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN', 86376),
(142651, 'PTHR21066:SF9', NULL, NULL, NULL, NULL, 'ODORANT-BINDING PROTEIN 59A', 86377),
(142652, 'PTHR34755:SF1', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 4', 86378),
(142653, 'PTHR23003:SF3', NULL, NULL, NULL, NULL, 'FI21236P1', 86379),
(142654, 'PTHR11673:SF34', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-1', 86380),
(142655, 'PTHR11851:SF190', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA', 86381),
(142656, 'PTHR33044:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86382),
(142657, 'PTHR22957:SF594', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86383),
(142658, 'PTHR46050', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING THIOREDOXIN', 86384),
(142659, 'PTHR11119:SF94', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 10-RELATED', 86385),
(142660, 'PTHR31500:SF64', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 12-RELATED', 86386),
(142661, 'PTHR22891:SF134', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 4B-LIKE', 86387),
(142662, 'PTHR12902:SF27', NULL, NULL, NULL, NULL, 'PROTEIN SCAR3', 86388),
(142663, 'PTHR10996:SF235', NULL, NULL, NULL, NULL, 'D-GLYCERATE DEHYDROGENASE/HYDROXYPYRUVATE REDUCTASE', 86389),
(142664, 'PTHR35774', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN M', 86390),
(142665, 'PTHR10159:SF516', NULL, NULL, NULL, NULL, 'SI:CH211-195B15.8', 86391),
(142666, 'PTHR24350:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86392),
(142667, 'PTHR35705', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING TAIL-ANCHORED PROTEIN 1', 86393),
(142668, 'PTHR45643', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE', 86394),
(142669, 'PTHR48018:SF147', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5M3', 86395),
(142670, 'PTHR12265:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86396),
(142671, 'PTHR45717:SF3', NULL, NULL, NULL, NULL, 'OSJNBB0038F03.9 PROTEIN', 86397),
(142672, 'PTHR24095:SF110', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE 2-LIKE, MITOCHONDRIAL', 86398),
(142673, 'PTHR23113:SF99', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 5', 86399),
(142674, 'PTHR24082:SF482', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR', 86400);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(142675, 'PTHR12458', NULL, NULL, NULL, NULL, 'ORF PROTEIN', 86401),
(142676, 'PTHR47993:SF93', NULL, NULL, NULL, NULL, 'OSJNBB0026E15.3 PROTEIN', 86402),
(142677, 'PTHR11615:SF236', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4C1', 86403),
(142678, 'PTHR20961:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', 86404),
(142679, 'PTHR31741:SF20', NULL, NULL, NULL, NULL, 'OS05G0451900 PROTEIN', 86405),
(142680, 'PTHR43903:SF21', NULL, NULL, NULL, NULL, 'NEUROLIGIN 3, ISOFORM B', 86406),
(142681, 'PTHR48046:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 86407),
(142682, 'PTHR45717:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86408),
(142683, 'PTHR45968:SF12', NULL, NULL, NULL, NULL, 'BNAC09G28180D PROTEIN', 86409),
(142684, 'PTHR46247:SF4', NULL, NULL, NULL, NULL, 'CRS2-ASSOCIATED FACTOR 2, MITOCHONDRIAL', 86410),
(142685, 'PTHR31989:SF212', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 86-LIKE', 86411),
(142686, 'PTHR10202:SF13', NULL, NULL, NULL, NULL, 'PRESENILIN HOMOLOG', 86412),
(142687, 'PTHR22989:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG11400', 86413),
(142688, 'PTHR38924:SF2', NULL, NULL, NULL, NULL, 'ASPARAGINE AND ASPARTATE RICH PROTEIN 1', 86414),
(142689, 'PTHR44535', NULL, NULL, NULL, NULL, 'PROTEIN CBG16200', 86415),
(142690, 'PTHR10662:SF22', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR 1-RELATED', 86416),
(142691, 'PTHR32071:SF58', NULL, NULL, NULL, NULL, 'PTS-DEPENDENT DIHYDROXYACETONE KINASE OPERON REGULATORY PROTEIN-RELATED', 86417),
(142692, 'PTHR34253:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86418),
(142693, 'PTHR14224:SF76', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 19', 86419),
(142694, 'PTHR13318:SF154', NULL, NULL, NULL, NULL, 'F-BOX SKP2A-LIKE PROTEIN', 86420),
(142695, 'PTHR47546:SF4', NULL, NULL, NULL, NULL, 'BNAC02G46590D PROTEIN', 86421),
(142696, 'PTHR47133:SF1', NULL, NULL, NULL, NULL, 'TALIN ROD DOMAIN-CONTAINING PROTEIN 1', 86422),
(142697, 'PTHR24177:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86423),
(142698, 'PTHR21136:SF205', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN-RELATED', 86424),
(142699, 'PTHR11515:SF11', NULL, NULL, NULL, NULL, 'LUTROPIN SUBUNIT BETA', 86425),
(142700, 'PTHR31391:SF83', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 86426),
(142701, 'PTHR31814:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOMEVALONATE KINASE', 86427),
(142702, 'PTHR10856', NULL, NULL, NULL, NULL, 'CORONIN', 86428),
(142703, 'PTHR13301:SF207', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE, NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', 86429),
(142704, 'PTHR48004:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86430),
(142705, 'PTHR23021:SF24', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 86431),
(142706, 'PTHR31282:SF133', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 86432),
(142707, 'PTHR12482:SF11', NULL, NULL, NULL, NULL, 'HYDROLASE-LIKE PROTEIN FAMILY', 86433),
(142708, 'PTHR12307:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3A', 86434),
(142709, 'PTHR10891:SF856', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 86435),
(142710, 'PTHR11764:SF20', NULL, NULL, NULL, NULL, 'LANOSTEROL SYNTHASE', 86436),
(142711, 'PTHR12011:SF277', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR G4', 86437),
(142712, 'PTHR34805', NULL, NULL, NULL, NULL, 'PROTEIN MODIFIER OF SNC1 1', 86438),
(142713, 'PTHR31845:SF21', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN LEU3', 86439),
(142714, 'PTHR31314:SF125', NULL, NULL, NULL, NULL, 'PROTEIN PHR1-LIKE 1', 86440),
(142715, 'PTHR24343:SF331', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CHK1', 86441),
(142716, 'PTHR15727', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 214', 86442),
(142717, 'PTHR19346', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 86443),
(142718, 'PTHR31881:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86444),
(142719, 'PTHR47990:SF119', NULL, NULL, NULL, NULL, 'BNAC09G14250D PROTEIN', 86445),
(142720, 'PTHR33800:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86446);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(142721, 'PTHR23271', NULL, NULL, NULL, NULL, 'HEPATOCELLULAR CARCINOMA-ASSOCIATED ANTIGEN 66', 86447),
(142722, 'PTHR22696', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF26', 86448),
(142723, 'PTHR10612:SF14', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN DA, DUPLICATE 1', 86449),
(142724, 'PTHR34855', NULL, NULL, NULL, NULL, 'TRICHOHYALIN', 86450),
(142725, 'PTHR23234:SF3', NULL, NULL, NULL, NULL, 'RIKEN CDNA 3300002I08-RELATED', 86451),
(142726, 'PTHR37450:SF1', NULL, NULL, NULL, NULL, 'CIPC PROTEIN', 86452),
(142727, 'PTHR31549:SF212', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 86453),
(142728, 'PTHR13691:SF51', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L2, CHLOROPLASTIC', 86454),
(142729, 'PTHR33091:SF94', NULL, NULL, NULL, NULL, 'INHIBITOR OF TRYPSIN AND HAGEMAN FACTOR-LIKE PROTEIN', 86455),
(142730, 'PTHR27007:SF158', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', 86456),
(142731, 'PTHR31388:SF159', NULL, NULL, NULL, NULL, 'PEROXIDASE', 86457),
(142732, 'PTHR24067:SF299', NULL, NULL, NULL, NULL, 'ENZYME E2 G, PUTATIVE-RELATED', 86458),
(142733, 'PTHR23282:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86459),
(142734, 'PTHR31717:SF98', NULL, NULL, NULL, NULL, 'BNAC05G03370D PROTEIN', 86460),
(142735, 'PTHR13902:SF46', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK1', 86461),
(142736, 'PTHR36234', NULL, NULL, NULL, NULL, 'LYSYL ENDOPEPTIDASE', 86462),
(142737, 'PTHR22953:SF126', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 86463),
(142738, 'PTHR22989:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG12883', 86464),
(142739, 'PTHR12888', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY PROTEIN 12  PEROXIN-12', 86465),
(142740, 'PTHR13690:SF116', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 86466),
(142741, 'PTHR34223:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86467),
(142742, 'PTHR21234:SF42', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE SUPERFAMILY PROTEIN', 86468),
(142743, 'PTHR23257:SF784', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0280461-RELATED', 86469),
(142744, 'PTHR22951:SF95', NULL, NULL, NULL, NULL, 'BNAA08G28150D PROTEIN', 86470),
(142745, 'PTHR26453:SF310', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 86471),
(142746, 'PTHR11431:SF37', NULL, NULL, NULL, NULL, 'FERRITIN HEAVY CHAIN', 86472),
(142747, 'PTHR32153:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86473),
(142748, 'PTHR11699:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86474),
(142749, 'PTHR11206:SF364', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 86475),
(142750, 'PTHR48040:SF14', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3', 86476),
(142751, 'PTHR31304:SF40', NULL, NULL, NULL, NULL, 'BNAA03G54090D PROTEIN', 86477),
(142752, 'PTHR36487:SF3', NULL, NULL, NULL, NULL, 'OS09G0296500 PROTEIN', 86478),
(142753, 'PTHR46872:SF12', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 86479),
(142754, 'PTHR42647:SF44', NULL, NULL, NULL, NULL, 'BNAANNG07190D PROTEIN', 86480),
(142755, 'PTHR44140:SF3', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 3', 86481),
(142756, 'PTHR14296:SF3', NULL, NULL, NULL, NULL, 'REMODELING AND SPACING FACTOR 1', 86482),
(142757, 'PTHR10290:SF15', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE I', 86483),
(142758, 'PTHR45950:SF7', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-14', 86484),
(142759, 'PTHR23257:SF870', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86485),
(142760, 'PTHR47237:SF2', NULL, NULL, NULL, NULL, 'BLL4206 PROTEIN', 86486),
(142761, 'PTHR34536:SF4', NULL, NULL, NULL, NULL, 'BNAC09G43500D PROTEIN', 86487),
(142762, 'PTHR11909:SF402', NULL, NULL, NULL, NULL, 'BNAA03G58940D PROTEIN', 86488),
(142763, 'PTHR31734:SF95', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA3', 86489),
(142764, 'PTHR37611:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86490),
(142765, 'PTHR47979:SF27', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RIC2', 86491),
(142766, 'PTHR11945:SF615', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, MADS-BOX-RELATED', 86492);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(142767, 'PTHR31997:SF1', NULL, NULL, NULL, NULL, 'AGAP003710-PA', 86493),
(142768, 'PTHR31881:SF9', NULL, NULL, NULL, NULL, 'OS08G0521000 PROTEIN', 86494),
(142769, 'PTHR26452:SF257', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 86495),
(142770, 'PTHR22811:SF153', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA3', 86496),
(142771, 'PTHR33128:SF55', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF 3339)-RELATED', 86497),
(142772, 'PTHR39234', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 210', 86498),
(142773, 'PTHR15190', NULL, NULL, NULL, NULL, 'BONE MARROW STROMAL ANTIGEN 2', 86499),
(142774, 'PTHR48108:SF8', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX1, CHLOROPLASTIC', 86500),
(142775, 'PTHR23279:SF41', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 4-RELATED', 86501),
(142776, 'PTHR21593:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG18497', 86502),
(142777, 'PTHR15116:SF16', NULL, NULL, NULL, NULL, 'DEFECTIVE PROVENTRICULUS, ISOFORM A', 86503),
(142778, 'PTHR30433:SF3', NULL, NULL, NULL, NULL, 'MOTILITY PROTEIN A', 86504),
(142779, 'PTHR12294:SF25', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND PROTEIN', 86505),
(142780, 'PTHR48004:SF45', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 86506),
(142781, 'PTHR24055:SF443', NULL, NULL, NULL, NULL, 'SI:CH211-220I18.4', 86507),
(142782, 'PTHR11005:SF99', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE 2', 86508),
(142783, 'PTHR11616:SF269', NULL, NULL, NULL, NULL, 'TRANSPORTER', 86509),
(142784, 'PTHR31276:SF17', NULL, NULL, NULL, NULL, 'BNAANNG04830D PROTEIN', 86510),
(142785, 'PTHR37613', NULL, NULL, NULL, NULL, 'DUF4378 DOMAIN PROTEIN', 86511),
(142786, 'PTHR10543:SF119', NULL, NULL, NULL, NULL, 'BNAC01G36910D PROTEIN', 86512),
(142787, 'PTHR33228:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86513),
(142788, 'PTHR15492', NULL, NULL, NULL, NULL, 'CYCLIN D1-BINDING PROTEIN 1', 86514),
(142789, 'PTHR42966:SF1', NULL, NULL, NULL, NULL, 'SIALIC ACID SYNTHASE', 86515),
(142790, 'PTHR38627', NULL, NULL, NULL, NULL, 'GA BINDING AND ACTIVATING AND SPK (SPK) DOMAIN CONTAINING-RELATED', 86516),
(142791, 'PTHR23111:SF83', NULL, NULL, NULL, NULL, 'ZINC FINGER, RANBP2-TYPE-RELATED', 86517),
(142792, 'PTHR21727:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86518),
(142793, 'PTHR33524:SF1', NULL, NULL, NULL, NULL, 'C5ORF35', 86519),
(142794, 'PTHR11586', NULL, NULL, NULL, NULL, 'TRNA-AMINOACYLATION COFACTOR ARC1 FAMILY MEMBER', 86520),
(142795, 'PTHR10786:SF0', NULL, NULL, NULL, NULL, 'CHOLECYSTOKININ', 86521),
(142796, 'PTHR10738:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE', 86522),
(142797, 'PTHR10585:SF82', NULL, NULL, NULL, NULL, 'BNAA09G43350D PROTEIN', 86523),
(142798, 'PTHR13815:SF8', NULL, NULL, NULL, NULL, 'GOLGIN CANDIDATE 2-LIKE', 86524),
(142799, 'PTHR31947:SF36', NULL, NULL, NULL, NULL, 'OS06G0602600 PROTEIN', 86525),
(142800, 'PTHR18861:SF1', NULL, NULL, NULL, NULL, 'ELKS/RAB6-INTERACTING/CAST FAMILY MEMBER 1', 86526),
(142801, 'PTHR19143:SF263', NULL, NULL, NULL, NULL, 'FIBRINOGEN-LIKE PROTEIN 1', 86527),
(142802, 'PTHR30294:SF38', NULL, NULL, NULL, NULL, 'LINEARMYCIN RESISTANCE PERMEASE PROTEIN LNRN', 86528),
(142803, 'PTHR31867:SF187', NULL, NULL, NULL, NULL, 'EXPANSIN', 86529),
(142804, 'PTHR24224:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 86530),
(142805, 'PTHR21588', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN CONTAINING 6', 86531),
(142806, 'PTHR36025', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE (DUF3598)', 86532),
(142807, 'PTHR21382', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE SUBUNIT', 86533),
(142808, 'PTHR36886:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FRIGIDA-ESSENTIAL 1-LIKE ISOFORM X1', 86534),
(142809, 'PTHR47273:SF10', NULL, NULL, NULL, NULL, 'BNAA06G35370D PROTEIN', 86535),
(142810, 'PTHR31645:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86536),
(142811, 'PTHR46825:SF7', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE-CARBOXYPEPTIDASE/ENDOPEPTIDASE AMPH', 86537);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(142812, 'PTHR10907:SF47', NULL, NULL, NULL, NULL, 'REGUCALCIN', 86538),
(142813, 'PTHR31388:SF206', NULL, NULL, NULL, NULL, 'PEROXIDASE', 86539),
(142814, 'PTHR24121', NULL, NULL, NULL, NULL, 'NO MECHANORECEPTOR POTENTIAL C, ISOFORM D-RELATED', 86540),
(142815, 'PTHR24281:SF108', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE', 86541),
(142816, 'PTHR36843', NULL, NULL, NULL, NULL, 'HEME-DEPENDENT PEROXIDASE YWFI-RELATED', 86542),
(142817, 'PTHR13678', NULL, NULL, NULL, NULL, 'WILLIAMS-BEUREN SYNDROME CRITICAL REGION PROTEIN-RELATED', 86543),
(142818, 'PTHR23077:SF163', NULL, NULL, NULL, NULL, 'OS10G0442600 PROTEIN', 86544),
(142819, 'PTHR14430:SF2', NULL, NULL, NULL, NULL, 'RAB-3A-INTERACTING PROTEIN', 86545),
(142820, 'PTHR22596:SF4', NULL, NULL, NULL, NULL, 'TRYPSIN-LIKE PROTEASE', 86546),
(142821, 'PTHR45849:SF2', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SSRP1-B', 86547),
(142822, 'PTHR12537:SF154', NULL, NULL, NULL, NULL, 'OS01G0971900 PROTEIN', 86548),
(142823, 'PTHR24031:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX55', 86549),
(142824, 'PTHR45756:SF1', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 86550),
(142825, 'PTHR31213:SF111', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR 4', 86551),
(142826, 'PTHR11122', NULL, NULL, NULL, NULL, 'APOSPORY-ASSOCIATED PROTEIN C-RELATED', 86552),
(142827, 'PTHR12745:SF12', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TUMORIGENICITY 7 PROTEIN HOMOLOG', 86553),
(142828, 'PTHR14233', NULL, NULL, NULL, NULL, 'DUF914-RELATED', 86554),
(142829, 'PTHR12320:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE PTC7 HOMOLOG', 86555),
(142830, 'PTHR33265:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86556),
(142831, 'PTHR46534:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86557),
(142832, 'PTHR22298:SF137', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 86558),
(142833, 'PTHR31218:SF22', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2B', 86559),
(142834, 'PTHR45730:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86560),
(142835, 'PTHR44575:SF9', NULL, NULL, NULL, NULL, 'BNAANNG18260D PROTEIN', 86561),
(142836, 'PTHR32289:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM167B', 86562),
(142837, 'PTHR12386:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86563),
(142838, 'PTHR11849:SF289', NULL, NULL, NULL, NULL, 'ETS-LIKE PROTEIN POINTED', 86564),
(142839, 'PTHR20856:SF5', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA2', 86565),
(142840, 'PTHR33065:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86566),
(142841, 'PTHR32465', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 2 PROTEIN', 86567),
(142842, 'PTHR48004:SF28', NULL, NULL, NULL, NULL, 'INACTIVE LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BIR2', 86568),
(142843, 'PTHR37162:SF3', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 86569),
(142844, 'PTHR12620:SF40', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF SMALL SUBUNIT B', 86570),
(142845, 'PTHR35864:SF1', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE MJ0611-RELATED', 86571),
(142846, 'PTHR13723:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86572),
(142847, 'PTHR11361:SF21', NULL, NULL, NULL, NULL, 'MUTS PROTEIN HOMOLOG 4', 86573),
(142848, 'PTHR23389', NULL, NULL, NULL, NULL, 'CHROMOSOME TRANSMISSION FIDELITY FACTOR 18', 86574),
(142849, 'PTHR11309:SF11', NULL, NULL, NULL, NULL, 'SIZZLED', 86575),
(142850, 'PTHR31929:SF67', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 86576),
(142851, 'PTHR10484:SF182', NULL, NULL, NULL, NULL, 'HISTONE H4', 86577),
(142852, 'PTHR11458:SF0', NULL, NULL, NULL, NULL, 'DELTA-AMINOLEVULINIC ACID DEHYDRATASE', 86578),
(142853, 'PTHR30289:SF12', NULL, NULL, NULL, NULL, 'UPF0098 PROTEIN YBHB', 86579),
(142854, 'PTHR11715:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86580),
(142855, 'PTHR16083:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND CALPONIN HOMOLOGY DOMAIN-CONTAINING PROTEIN 4', 86581),
(142856, 'PTHR24286:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86582),
(142857, 'PTHR12411:SF798', NULL, NULL, NULL, NULL, 'OS09G0497500 PROTEIN', 86583);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(142858, 'PTHR12243:SF34', NULL, NULL, NULL, NULL, 'MADF DOMAIN TRANSCRIPTION FACTOR', 86584),
(142859, 'PTHR48061:SF23', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 86585),
(142860, 'PTHR32448:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86586),
(142861, 'PTHR23522:SF9', NULL, NULL, NULL, NULL, 'XANTHOSINE PERMEASE', 86587),
(142862, 'PTHR31190:SF269', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', 86588),
(142863, 'PTHR23252:SF24', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 145', 86589),
(142864, 'PTHR12202', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 86590),
(142865, 'PTHR24073:SF952', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 86591),
(142866, 'PTHR11426:SF229', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86592),
(142867, 'PTHR24015:SF908', NULL, NULL, NULL, NULL, 'OS10G0540100 PROTEIN', 86593),
(142868, 'PTHR34303:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86594),
(142869, 'PTHR10292:SF23', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN 1-RELATED', 86595),
(142870, 'PTHR45826:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86596),
(142871, 'PTHR31044:SF79', NULL, NULL, NULL, NULL, 'BETA-1,3 GLUCANASE', 86597),
(142872, 'PTHR42694:SF1', NULL, NULL, NULL, NULL, 'BLL7601 PROTEIN', 86598),
(142873, 'PTHR43791:SF86', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 86599),
(142874, 'PTHR13817:SF138', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE B-RELATED', 86600),
(142875, 'PTHR35394:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86601),
(142876, 'PTHR33281:SF17', NULL, NULL, NULL, NULL, 'BNAA09G39100D PROTEIN', 86602),
(142877, 'PTHR13140:SF761', NULL, NULL, NULL, NULL, 'MYOSIN-7', 86603),
(142878, 'PTHR19256:SF50', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR GAMMA VARIABLE 2-RELATED', 86604),
(142879, 'PTHR12385:SF14', NULL, NULL, NULL, NULL, 'CTL-LIKE PROTEIN DDB_G0288717', 86605),
(142880, 'PTHR15141:SF49', NULL, NULL, NULL, NULL, 'ELONGIN A,-LIKE', 86606),
(142881, 'PTHR45768:SF20', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3-LIKE', 86607),
(142882, 'PTHR31681:SF61', NULL, NULL, NULL, NULL, 'BNAA09G17810D PROTEIN', 86608),
(142883, 'PTHR47424:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ASQA', 86609),
(142884, 'PTHR45637:SF49', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL2-LIKE', 86610),
(142885, 'PTHR42280', NULL, NULL, NULL, NULL, 'CITG FAMILY PROTEIN', 86611),
(142886, 'PTHR31719:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86612),
(142887, 'PTHR24377:SF811', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 93', 86613),
(142888, 'PTHR26453:SF220', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 699', 86614),
(142889, 'PTHR45768:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86615),
(142890, 'PTHR47886:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-11', 86616),
(142891, 'PTHR11863:SF126', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 86617),
(142892, 'PTHR43643:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 86618),
(142893, 'PTHR23500:SF556', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN MST6', 86619),
(142894, 'PTHR12439:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86620),
(142895, 'PTHR34132:SF7', NULL, NULL, NULL, NULL, 'BNAC09G39690D PROTEIN', 86621),
(142896, 'PTHR43314:SF15', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE, ROOT ISOZYME 1, CHLOROPLASTIC', 86622),
(142897, 'PTHR33630:SF1', NULL, NULL, NULL, NULL, 'AXE2', 86623),
(142898, 'PTHR12386:SF35', NULL, NULL, NULL, NULL, 'ATPASE, F0 COMPLEX, SUBUNIT G-RELATED', 86624),
(142899, 'PTHR36479:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86625),
(142900, 'PTHR23511:SF26', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE GLYCOPROTEIN 2B-LIKE PROTEIN', 86626),
(142901, 'PTHR43900:SF53', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 6', 86627),
(142902, 'PTHR23070:SF141', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 86628),
(142903, 'PTHR11475:SF67', NULL, NULL, NULL, NULL, 'LACTOPEROXIDASE', 86629),
(142904, 'PTHR31642:SF172', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE', 86630);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(142905, 'PTHR43725:SF3', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE (EUROFUNG)', 86631),
(142906, 'PTHR45376:SF5', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 86632),
(142907, 'PTHR11850:SF57', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN 9', 86633),
(142908, 'PTHR44500', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 12', 86634),
(142909, 'PTHR31589:SF169', NULL, NULL, NULL, NULL, 'NEP-INTERACTING PROTEIN 1', 86635),
(142910, 'PTHR11829:SF361', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN D2', 86636),
(142911, 'PTHR33107:SF64', NULL, NULL, NULL, NULL, 'BNAA02G35870D PROTEIN', 86637),
(142912, 'PTHR10314:SF202', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', 86638),
(142913, 'PTHR31246:SF13', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-4', 86639),
(142914, 'PTHR37610:SF50', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', 86640),
(142915, 'PTHR23023:SF270', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 86641),
(142916, 'PTHR11709:SF400', NULL, NULL, NULL, NULL, 'LACCASE', 86642),
(142917, 'PTHR13140:SF801', NULL, NULL, NULL, NULL, 'MYOSIN-1-RELATED', 86643),
(142918, 'PTHR12526:SF594', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE BIOSYNTHESIS PROTEIN CAP5I, PUTATIVE-RELATED', 86644),
(142919, 'PTHR30537:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, LYSR FAMILY-RELATED', 86645),
(142920, 'PTHR37237', NULL, NULL, NULL, NULL, 'OS02G0567000 PROTEIN', 86646),
(142921, 'PTHR43620:SF28', NULL, NULL, NULL, NULL, 'BNAA02G07820D PROTEIN', 86647),
(142922, 'PTHR31769:SF82', NULL, NULL, NULL, NULL, 'BNAC03G77320D PROTEIN', 86648),
(142923, 'PTHR35161', NULL, NULL, NULL, NULL, 'OS02G0303100 PROTEIN', 86649),
(142924, 'PTHR11394:SF73', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 41', 86650),
(142925, 'PTHR24072:SF272', NULL, NULL, NULL, NULL, 'RHO-RELATED PROTEIN RACG', 86651),
(142926, 'PTHR23349:SF3', NULL, NULL, NULL, NULL, 'HEART- AND NEURAL CREST DERIVATIVES-EXPRESSED PROTEIN 1', 86652),
(142927, 'PTHR11409:SF44', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE 2B', 86653),
(142928, 'PTHR35973:SF1', NULL, NULL, NULL, NULL, 'MAPK-INTERACTING AND SPINDLE-STABILIZING PROTEIN-LIKE', 86654),
(142929, 'PTHR22550:SF16', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN', 86655),
(142930, 'PTHR31895:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG03177', 86656),
(142931, 'PTHR12276', NULL, NULL, NULL, NULL, 'EPSIN/ENT-RELATED', 86657),
(142932, 'PTHR23349:SF73', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 24', 86658),
(142933, 'PTHR32440:SF26', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE, METALLO-DEPENDENT PHOSPHATASE-LIKE PROTEIN-RELATED', 86659),
(142934, 'PTHR13110:SF9', NULL, NULL, NULL, NULL, 'SM-LIKE PROTEIN LSM3A', 86660),
(142935, 'PTHR10063', NULL, NULL, NULL, NULL, 'TUBERIN', 86661),
(142936, 'PTHR23160:SF14', NULL, NULL, NULL, NULL, 'WEB FAMILY PROTEIN-RELATED', 86662),
(142937, 'PTHR22761:SF17', NULL, NULL, NULL, NULL, 'OS01G0102950 PROTEIN', 86663),
(142938, 'PTHR33130:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86664),
(142939, 'PTHR23510:SF62', NULL, NULL, NULL, NULL, 'BNAA09G53000D PROTEIN', 86665),
(142940, 'PTHR34630:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86666),
(142941, 'PTHR11360', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER', 86667),
(142942, 'PTHR32096:SF18', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 14-RELATED', 86668),
(142943, 'PTHR11653:SF4', NULL, NULL, NULL, NULL, 'ONCOMODULIN-2-RELATED', 86669),
(142944, 'PTHR24381:SF295', NULL, NULL, NULL, NULL, 'AA987161 PROTEIN', 86670),
(142945, 'PTHR10031:SF30', NULL, NULL, NULL, NULL, 'ATP SYNTHASE F(0) COMPLEX SUBUNIT C3, MITOCHONDRIAL', 86671),
(142946, 'PTHR24126:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT, PH AND SEC7 DOMAIN CONTAINING PROTEIN SECG-RELATED', 86672),
(142947, 'PTHR11804:SF45', NULL, NULL, NULL, NULL, 'SIMILAR TO OLIGOENDOPEPTIDASE', 86673),
(142948, 'PTHR42695:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86674),
(142949, 'PTHR35493:SF2', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR SUBSTRATE 15 HOMOLOG', 86675);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(142950, 'PTHR33144:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86676),
(142951, 'PTHR15837:SF4', NULL, NULL, NULL, NULL, 'BNAA07G24140D PROTEIN', 86677),
(142952, 'PTHR46265:SF14', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 7-LIKE', 86678),
(142953, 'PTHR26379:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86679),
(142954, 'PTHR42663:SF13', NULL, NULL, NULL, NULL, 'BNAUNNG04980D PROTEIN', 86680),
(142955, 'PTHR24286:SF226', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 86681),
(142956, 'PTHR32089:SF33', NULL, NULL, NULL, NULL, 'TOXIN COREGULATED PILUS BIOSYNTHESIS PROTEIN I', 86682),
(142957, 'PTHR31683:SF131', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 86683),
(142958, 'PTHR22967:SF65', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AKL1', 86684),
(142959, 'PTHR35114:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME OXIDASE COMPLEX ASSEMBLY PROTEIN', 86685),
(142960, 'PTHR45714:SF36', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT4-LIKE', 86686),
(142961, 'PTHR33065:SF151', NULL, NULL, NULL, NULL, 'OS11G0130700 PROTEIN', 86687),
(142962, 'PTHR16983', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 86688),
(142963, 'PTHR39206:SF1', NULL, NULL, NULL, NULL, 'SLL8004 PROTEIN', 86689),
(142964, 'PTHR45642:SF108', NULL, NULL, NULL, NULL, 'BNAC05G04820D PROTEIN', 86690),
(142965, 'PTHR31048:SF137', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE/TRYPSIN INHIBITOR', 86691),
(142966, 'PTHR12911:SF45', NULL, NULL, NULL, NULL, 'OS09G0471450 PROTEIN', 86692),
(142967, 'PTHR33699:SF2', NULL, NULL, NULL, NULL, 'PATHOGENIC TYPE III EFFECTOR AVIRULENCE FACTOR AVR AVRRPT-CLEAVAGE: CLEAVAGE SITE PROTEIN-RELATED', 86693),
(142968, 'PTHR45839:SF26', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', 86694),
(142969, 'PTHR24068:SF308', NULL, NULL, NULL, NULL, 'OSJNBA0043A12.6 PROTEIN', 86695),
(142970, 'PTHR31235:SF280', NULL, NULL, NULL, NULL, 'PEROXIDASE', 86696),
(142971, 'PTHR44873', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 30, MITOCHONDRIAL', 86697),
(142972, 'PTHR46413', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 6', 86698),
(142973, 'PTHR24365:SF527', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 11', 86699),
(142974, 'PTHR31889', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 2-RELATED', 86700),
(142975, 'PTHR35282:SF10', NULL, NULL, NULL, NULL, 'BNAANNG37630D PROTEIN', 86701),
(142976, 'PTHR32191:SF79', NULL, NULL, NULL, NULL, 'TETRASPANIN-11', 86702),
(142977, 'PTHR11062:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86703),
(142978, 'PTHR13333:SF7', NULL, NULL, NULL, NULL, 'SI:DKEY-82O10.4', 86704),
(142979, 'PTHR45645:SF44', NULL, NULL, NULL, NULL, 'NEUROPILIN', 86705),
(142980, 'PTHR47160:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG17457', 86706),
(142981, 'PTHR10677', NULL, NULL, NULL, NULL, 'UBIQUILIN', 86707),
(142982, 'PTHR46236:SF18', NULL, NULL, NULL, NULL, 'BNAC04G48300D PROTEIN', 86708),
(142983, 'PTHR10332:SF78', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 5', 86709),
(142984, 'PTHR24305:SF158', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE ASQL-RELATED', 86710),
(142985, 'PTHR20883:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86711),
(142986, 'PTHR33091:SF12', NULL, NULL, NULL, NULL, 'OS02G0124200 PROTEIN', 86712),
(142987, 'PTHR33128:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86713),
(142988, 'PTHR48100:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATASE SPAC513.02-RELATED', 86714),
(142989, 'PTHR31989', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 82-RELATED', 86715),
(142990, 'PTHR32419:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86716),
(142991, 'PTHR12210', NULL, NULL, NULL, NULL, 'NUCLEAR LIM INTERACTOR-INTERACTING FACTOR-RELATED', 86717),
(142992, 'PTHR12035:SF111', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 7', 86718),
(142993, 'PTHR37394:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PARTING DANCERS', 86719),
(142994, 'PTHR11987:SF36', NULL, NULL, NULL, NULL, 'SIA-ALPHA-2,3-GAL-BETA-1,4-GLCNAC-R:ALPHA 2,8-SIALYLTRANSFERASE', 86720);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(142995, 'PTHR13137', NULL, NULL, NULL, NULL, 'DC11  ACN9 HOMOLOG', 86721),
(142996, 'PTHR36310:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR16', 86722),
(142997, 'PTHR11132:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86723),
(142998, 'PTHR46806:SF1', NULL, NULL, NULL, NULL, 'DISCOIDIN, CUB AND LCCL DOMAIN-CONTAINING PROTEIN 1', 86724),
(142999, 'PTHR13780:SF138', NULL, NULL, NULL, NULL, 'BNAA06G16460D PROTEIN', 86725),
(143000, 'PTHR47274:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86726),
(143001, 'PTHR32198:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86727),
(143002, 'PTHR12935', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 86728),
(143003, 'PTHR33159:SF58', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4-LIKE', 86729),
(143004, 'PTHR33527:SF33', NULL, NULL, NULL, NULL, 'BNAA07G02990D PROTEIN', 86730),
(143005, 'PTHR21660:SF32', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 13-LIKE ISOFORM X1', 86731),
(143006, 'PTHR47049', NULL, NULL, NULL, NULL, 'PIEZO-TYPE MECHANOSENSITIVE ION CHANNEL HOMOLOG', 86732),
(143007, 'PTHR43528:SF3', NULL, NULL, NULL, NULL, 'CITRATE-PROTON SYMPORTER', 86733),
(143008, 'PTHR31066:SF61', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', 86734),
(143009, 'PTHR15336:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6', 86735),
(143010, 'PTHR24089:SF706', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN-RELATED', 86736),
(143011, 'PTHR32141:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86737),
(143012, 'PTHR19845:SF15', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1 HOMOLOG', 86738),
(143013, 'PTHR34790', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CORE COMPLEX PROTEINS PSBY, CHLOROPLASTIC', 86739),
(143014, 'PTHR47040:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0068L06.9 PROTEIN', 86740),
(143015, 'PTHR10797:SF54', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 6-RELATED', 86741),
(143016, 'PTHR42839', NULL, NULL, NULL, NULL, 'ISOCHORISMATE SYNTHASE ENTC', 86742),
(143017, 'PTHR47208:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86743),
(143018, 'PTHR47009:SF5', NULL, NULL, NULL, NULL, 'DPPA1', 86744),
(143019, 'PTHR24031:SF597', NULL, NULL, NULL, NULL, 'RNA HELICASE', 86745),
(143020, 'PTHR35358', NULL, NULL, NULL, NULL, 'OS06G0711100 PROTEIN', 86746),
(143021, 'PTHR10438:SF385', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 86747),
(143022, 'PTHR11361:SF34', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MSH6', 86748),
(143023, 'PTHR33365', NULL, NULL, NULL, NULL, 'YALI0B05434P', 86749),
(143024, 'PTHR31339:SF55', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 28 PROTEIN/POLYGALACTURONASE FAMILY PROTEIN', 86750),
(143025, 'PTHR33974:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86751),
(143026, 'PTHR31589:SF119', NULL, NULL, NULL, NULL, 'BNACNNG55760D PROTEIN', 86752),
(143027, 'PTHR24324:SF6', NULL, NULL, NULL, NULL, 'RFEB', 86753),
(143028, 'PTHR13098', NULL, NULL, NULL, NULL, 'WOLFRAMIN', 86754),
(143029, 'PTHR10845:SF32', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 13', 86755),
(143030, 'PTHR33777', NULL, NULL, NULL, NULL, 'UPF0045 PROTEIN ECM15', 86756),
(143031, 'PTHR37842', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 86757),
(143032, 'PTHR33914:SF10', NULL, NULL, NULL, NULL, 'SERINE-RICH ADHESIN FOR PLATELETS-LIKE', 86758),
(143033, 'PTHR47693:SF1', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR RISBZ3', 86759),
(143034, 'PTHR16771:SF15', NULL, NULL, NULL, NULL, 'PROTEIN DELETION OF SUV3 SUPPRESSOR 1(I)-LIKE', 86760),
(143035, 'PTHR34397:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86761),
(143036, 'PTHR43060:SF3', NULL, NULL, NULL, NULL, '2-HYDROXY-3-OXOPROPIONATE REDUCTASE', 86762),
(143037, 'PTHR45096:SF2', NULL, NULL, NULL, NULL, 'BNAA05G27690D PROTEIN', 86763),
(143038, 'PTHR48016', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE SSK2-RELATED-RELATED', 86764),
(143039, 'PTHR13149:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN-SORTING-ASSOCIATED PROTEIN 25', 86765),
(143040, 'PTHR24281:SF132', NULL, NULL, NULL, NULL, 'CYTOCHROME', 86766);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(143041, 'PTHR43029:SF34', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 2', 86767),
(143042, 'PTHR27006:SF211', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 86768),
(143043, 'PTHR21713:SF31', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR', 86769),
(143044, 'PTHR37426', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE J', 86770),
(143045, 'PTHR31042:SF124', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14-RELATED', 86771),
(143046, 'PTHR48015:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CLA4-RELATED', 86772),
(143047, 'PTHR11254:SF426', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86773),
(143048, 'PTHR13780:SF134', NULL, NULL, NULL, NULL, 'CBS / OCTICOSAPEPTIDE/PHOX/BEMP1 (PB1) DOMAINS-CONTAINING PROTEIN-RELATED', 86774),
(143049, 'PTHR43952:SF74', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 2', 86775),
(143050, 'PTHR33044:SF173', NULL, NULL, NULL, NULL, 'OS07G0174400 PROTEIN', 86776),
(143051, 'PTHR47778:SF4', NULL, NULL, NULL, NULL, 'BNAC05G37400D PROTEIN', 86777),
(143052, 'PTHR33248:SF10', NULL, NULL, NULL, NULL, 'GRF ZINC FINGER PROTEIN', 86778),
(143053, 'PTHR31942:SF62', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 86779),
(143054, 'PTHR45974:SF90', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', 86780),
(143055, 'PTHR10778', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER B', 86781),
(143056, 'PTHR48041:SF82', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY G (WHITE), MEMBER 2A', 86782),
(143057, 'PTHR24326:SF544', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-13-LIKE', 86783),
(143058, 'PTHR33199:SF1', NULL, NULL, NULL, NULL, 'OS01G0958700 PROTEIN', 86784),
(143059, 'PTHR32285:SF248', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86785),
(143060, 'PTHR31072:SF119', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP17', 86786),
(143061, 'PTHR11746:SF108', NULL, NULL, NULL, NULL, 'OSJNBB0026E15.9 PROTEIN', 86787),
(143062, 'PTHR46256:SF3', NULL, NULL, NULL, NULL, 'AGAP011099-PA', 86788),
(143063, 'PTHR10621:SF47', NULL, NULL, NULL, NULL, 'BNAC09G41730D PROTEIN', 86789),
(143064, 'PTHR45093:SF3', NULL, NULL, NULL, NULL, 'OS01G0177100 PROTEIN', 86790),
(143065, 'PTHR47978:SF37', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA6A', 86791),
(143066, 'PTHR33149:SF33', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', 86792),
(143067, 'PTHR35545:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86793),
(143068, 'PTHR48081:SF6', NULL, NULL, NULL, NULL, 'XYLANASE', 86794),
(143069, 'PTHR45666:SF25', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 2-LIKE ISOFORM X1', 86795),
(143070, 'PTHR18868:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86796),
(143071, 'PTHR46863:SF1', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 86797),
(143072, 'PTHR11145:SF23', NULL, NULL, NULL, NULL, 'PROTEIN BINDING PROTEIN', 86798),
(143073, 'PTHR10055:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86799),
(143074, 'PTHR10083:SF355', NULL, NULL, NULL, NULL, 'WU:FB59D01', 86800),
(143075, 'PTHR34222:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86801),
(143076, 'PTHR45714:SF15', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT14', 86802),
(143077, 'PTHR12210:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86803),
(143078, 'PTHR24092:SF170', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 86804),
(143079, 'PTHR10562:SF60', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 5', 86805),
(143080, 'PTHR42083', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 86806),
(143081, 'PTHR31100:SF82', NULL, NULL, NULL, NULL, 'BNACNNG77890D PROTEIN', 86807),
(143082, 'PTHR34597', NULL, NULL, NULL, NULL, 'SLR1661 PROTEIN', 86808),
(143083, 'PTHR33110:SF51', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON TNT 1-94', 86809),
(143084, 'PTHR11206:SF400', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 86810),
(143085, 'PTHR31140:SF86', NULL, NULL, NULL, NULL, 'B3 DNA-BINDING DOMAIN PROTEIN', 86811);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(143086, 'PTHR11232', NULL, NULL, NULL, NULL, 'PHOSPHOTYROSINE INTERACTION DOMAIN-CONTAINING FAMILY MEMBER', 86812),
(143087, 'PTHR14903', NULL, NULL, NULL, NULL, 'SCLEROSTIN-RELATED', 86813),
(143088, 'PTHR35177:SF1', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYPC', 86814),
(143089, 'PTHR24006:SF733', NULL, NULL, NULL, NULL, 'DEUBIQUITINATING APOPTOTIC INHIBITOR, ISOFORM A', 86815),
(143090, 'PTHR24373:SF340', NULL, NULL, NULL, NULL, 'AGAP007454-PA', 86816),
(143091, 'PTHR30154:SF0', NULL, NULL, NULL, NULL, 'LEUCINE-RESPONSIVE REGULATORY PROTEIN', 86817),
(143092, 'PTHR11738:SF170', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY A MEMBER 3', 86818),
(143093, 'PTHR31339:SF46', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', 86819),
(143094, 'PTHR15124:SF17', NULL, NULL, NULL, NULL, 'SELENOPROTEIN V', 86820),
(143095, 'PTHR30337:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE', 86821),
(143096, 'PTHR34990:SF2', NULL, NULL, NULL, NULL, 'BLL8164 PROTEIN', 86822),
(143097, 'PTHR31549:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86823),
(143098, 'PTHR24349:SF109', NULL, NULL, NULL, NULL, 'MAP KINASE-ACTIVATED PROTEIN KINASE MAK-1', 86824),
(143099, 'PTHR13651:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ABITRAM', 86825),
(143100, 'PTHR36898', NULL, NULL, NULL, NULL, 'OSJNBB0026I12.6 PROTEIN', 86826),
(143101, 'PTHR47304', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C8 GAMMA CHAIN', 86827),
(143102, 'PTHR48002:SF45', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 86828),
(143103, 'PTHR31388:SF45', NULL, NULL, NULL, NULL, 'PEROXIDASE', 86829),
(143104, 'PTHR33127:SF54', NULL, NULL, NULL, NULL, 'BNAANNG12000D PROTEIN', 86830),
(143105, 'PTHR22595:SF111', NULL, NULL, NULL, NULL, 'CHITINASE 10', 86831),
(143106, 'PTHR21859:SF44', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 31C1-RELATED', 86832),
(143107, 'PTHR46380:SF1', NULL, NULL, NULL, NULL, 'CYCLIN-D-BINDING MYB-LIKE TRANSCRIPTION FACTOR 1', 86833),
(143108, 'PTHR31088', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEIN VIPP1, CHLOROPLASTIC', 86834),
(143109, 'PTHR35083:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86835),
(143110, 'PTHR33052:SF96', NULL, NULL, NULL, NULL, 'OS05G0385400 PROTEIN', 86836),
(143111, 'PTHR31908:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CROWDED NUCLEI 1-LIKE', 86837),
(143112, 'PTHR32133:SF299', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86838),
(143113, 'PTHR21569:SF38', NULL, NULL, NULL, NULL, 'BNAC01G40200D PROTEIN', 86839),
(143114, 'PTHR15231', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT H', 86840),
(143115, 'PTHR47967:SF44', NULL, NULL, NULL, NULL, 'OS05G0557100 PROTEIN', 86841),
(143116, 'PTHR42925:SF2', NULL, NULL, NULL, NULL, 'NA+ DRIVEN MULTIDRUG EFFLUX PUMP', 86842),
(143117, 'PTHR21495:SF212', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 86843),
(143118, 'PTHR12309:SF26', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 GAMMA SUBUNIT', 86844),
(143119, 'PTHR21567:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86845),
(143120, 'PTHR11081:SF35', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RESOLVASE YEN1', 86846),
(143121, 'PTHR11926:SF906', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C3-RELATED', 86847),
(143122, 'PTHR11599:SF12', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-1', 86848),
(143123, 'PTHR48065:SF2', NULL, NULL, NULL, NULL, 'OS11G0213300 PROTEIN', 86849),
(143124, 'PTHR10582:SF17', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY V MEMBER 1', 86850),
(143125, 'PTHR10168:SF284', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S5-RELATED', 86851),
(143126, 'PTHR31589:SF124', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', 86852),
(143127, 'PTHR18860:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86853),
(143128, 'PTHR32194:SF0', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE SUBUNIT HSLV', 86854),
(143129, 'PTHR10015:SF386', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-2E', 86855),
(143130, 'PTHR33913:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86856);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(143131, 'PTHR10209:SF750', NULL, NULL, NULL, NULL, 'UPF0676 PROTEIN C1494.01', 86857),
(143132, 'PTHR24055:SF211', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 16', 86858),
(143133, 'PTHR10015:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86859),
(143134, 'PTHR31707:SF272', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 24-RELATED', 86860),
(143135, 'PTHR10694:SF117', NULL, NULL, NULL, NULL, 'JUMONJI, AT RICH INTERACTIVE DOMAIN 2', 86861),
(143136, 'PTHR43190:SF1', NULL, NULL, NULL, NULL, 'ACTIN-LIKE ATPASE SUPERFAMILY PROTEIN', 86862),
(143137, 'PTHR31549:SF219', NULL, NULL, NULL, NULL, 'BNAANNG07320D PROTEIN', 86863),
(143138, 'PTHR32361', NULL, NULL, NULL, NULL, 'FERRIC/CUPRIC REDUCTASE TRANSMEMBRANE COMPONENT', 86864),
(143139, 'PTHR21319:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SRFP1', 86865),
(143140, 'PTHR36797:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86866),
(143141, 'PTHR24343:SF440', NULL, NULL, NULL, NULL, 'SUCROSE NONFERMENTING 1(SNF1)-RELATED KINASE', 86867),
(143142, 'PTHR36040:SF3', NULL, NULL, NULL, NULL, 'OS04G0188500 PROTEIN', 86868),
(143143, 'PTHR46225:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86869),
(143144, 'PTHR31499:SF24', NULL, NULL, NULL, NULL, 'OS05G0488600 PROTEIN', 86870),
(143145, 'PTHR11595:SF77', NULL, NULL, NULL, NULL, 'TRANSLATION ELONGATION FACTOR EF1B/RIBOSOMAL PROTEIN S6-RELATED', 86871),
(143146, 'PTHR33087:SF29', NULL, NULL, NULL, NULL, 'OS10G0159400 PROTEIN', 86872),
(143147, 'PTHR37326', NULL, NULL, NULL, NULL, 'BLL3975 PROTEIN', 86873),
(143148, 'PTHR48063:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86874),
(143149, 'PTHR31374:SF272', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 86875),
(143150, 'PTHR47929:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86876),
(143151, 'PTHR11946:SF62', NULL, NULL, NULL, NULL, 'RE41093P', 86877),
(143152, 'PTHR45763:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86878),
(143153, 'PTHR24349:SF248', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 5', 86879),
(143154, 'PTHR16517:SF128', NULL, NULL, NULL, NULL, 'BNAC08G46700D PROTEIN', 86880),
(143155, 'PTHR47779:SF2', NULL, NULL, NULL, NULL, 'SHOCK TREHALOSE SYNTHASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14780)-RELATED', 86881),
(143156, 'PTHR24390:SF38', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 366', 86882),
(143157, 'PTHR43493:SF6', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 4 SUBUNIT A', 86883),
(143158, 'PTHR45736:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER MYM-TYPE PROTEIN 5', 86884),
(143159, 'PTHR36938:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG26935', 86885),
(143160, 'PTHR34376:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86886),
(143161, 'PTHR31790:SF314', NULL, NULL, NULL, NULL, 'BNAA04G15660D PROTEIN', 86887),
(143162, 'PTHR43107:SF13', NULL, NULL, NULL, NULL, 'VERY LONG-CHAIN ACYL-COA SYNTHETASE', 86888),
(143163, 'PTHR12558:SF13', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 27 HOMOLOG', 86889),
(143164, 'PTHR11945:SF446', NULL, NULL, NULL, NULL, 'BOX PROTEIN, PUTATIVE-RELATED', 86890),
(143165, 'PTHR15157:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86891),
(143166, 'PTHR23113:SF167', NULL, NULL, NULL, NULL, 'RAS-SPECIFIC GUANINE NUCLEOTIDE-RELEASING FACTOR RALGPS1', 86892),
(143167, 'PTHR12271:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86893),
(143168, 'PTHR13318:SF23', NULL, NULL, NULL, NULL, 'SI:CH211-214J8.12', 86894),
(143169, 'PTHR43675:SF20', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE, PUTATIVE-RELATED', 86895),
(143170, 'PTHR12504:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM22 HOMOLOG', 86896),
(143171, 'PTHR11036:SF10', NULL, NULL, NULL, NULL, 'SEMAPHORIN-6B', 86897),
(143172, 'PTHR33232:SF15', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION B-LIKE', 86898),
(143173, 'PTHR13360:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86899),
(143174, 'PTHR11437:SF25', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 8', 86900),
(143175, 'PTHR37232', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN PROTEIN', 86901);
INSERT INTO "PUBLIC"."MODEL" VALUES
(143176, 'PTHR10408:SF9', NULL, NULL, NULL, NULL, 'STEROL O-ACYLTRANSFERASE 1-RELATED', 86902),
(143177, 'PTHR12899:SF14', NULL, NULL, NULL, NULL, 'F14B2.25/F14B2.25', 86903),
(143178, 'PTHR44259:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86904),
(143179, 'PTHR23428:SF211', NULL, NULL, NULL, NULL, 'HISTONE H2B.2', 86905),
(143180, 'PTHR11955:SF69', NULL, NULL, NULL, NULL, 'GASTROTROPIN', 86906),
(143181, 'PTHR31741:SF3', NULL, NULL, NULL, NULL, 'OS02G0726500 PROTEIN', 86907),
(143182, 'PTHR24068:SF354', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 19', 86908),
(143183, 'PTHR45676:SF125', NULL, NULL, NULL, NULL, 'BNACNNG62750D PROTEIN', 86909),
(143184, 'PTHR13718:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86910),
(143185, 'PTHR42685:SF18', NULL, NULL, NULL, NULL, 'DIGERANYLGERANYLGLYCEROPHOSPHOLIPID REDUCTASE', 86911),
(143186, 'PTHR45678:SF5', NULL, NULL, NULL, NULL, 'AT03939P-RELATED', 86912),
(143187, 'PTHR48061:SF21', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', 86913),
(143188, 'PTHR43180:SF37', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE-LIKE', 86914),
(143189, 'PTHR38934:SF13', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1-RELATED', 86915),
(143190, 'PTHR19134:SF487', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE PTP1', 86916),
(143191, 'PTHR11017:SF377', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86917),
(143192, 'PTHR31308:SF5', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G08820)-RELATED', 86918),
(143193, 'PTHR31218:SF347', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 86919),
(143194, 'PTHR14237:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86920),
(143195, 'PTHR15498:SF72', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 7', 86921),
(143196, 'PTHR31713:SF73', NULL, NULL, NULL, NULL, 'BNAA01G06120D PROTEIN', 86922),
(143197, 'PTHR47991:SF87', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 1-LIKE', 86923),
(143198, 'PTHR36762', NULL, NULL, NULL, NULL, 'LIGHT-REGULATED PROTEIN 1, CHLOROPLASTIC', 86924),
(143199, 'PTHR12620:SF2', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN AUXILIARY FACTOR 35 KDA SUBUNIT-RELATED PROTEIN 1', 86925),
(143200, 'PTHR31637', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-INDEPENDENT PHOSPHOGLYCERATE MUTASE', 86926),
(143201, 'PTHR10334:SF464', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1', 86927),
(143202, 'PTHR35404', NULL, NULL, NULL, NULL, 'TRANSPOSASE OF TN10', 86928),
(143203, 'PTHR32089:SF39', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN HLYB', 86929),
(143204, 'PTHR24347:SF363', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE IG', 86930),
(143205, 'PTHR31301:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86931),
(143206, 'PTHR31221:SF124', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 24-RELATED', 86932),
(143207, 'PTHR35779:SF1', NULL, NULL, NULL, NULL, 'PH-RESPONSE REGULATOR PROTEIN PALH/RIM21', 86933),
(143208, 'PTHR12223:SF8', NULL, NULL, NULL, NULL, 'LECTIN, MANNOSE-BINDING, 1', 86934),
(143209, 'PTHR35102', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 86935),
(143210, 'PTHR32093:SF91', NULL, NULL, NULL, NULL, 'BNAA09G53810D PROTEIN', 86936),
(143211, 'PTHR11817:SF34', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 86937),
(143212, 'PTHR13516:SF12', NULL, NULL, NULL, NULL, 'OS09G0542000 PROTEIN', 86938),
(143213, 'PTHR26452:SF28', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 86939),
(143214, 'PTHR11668:SF441', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 2', 86940),
(143215, 'PTHR23354:SF76', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN-LIKE', 86941),
(143216, 'PTHR39179:SF2', NULL, NULL, NULL, NULL, 'ENDOSPORE COAT-ASSOCIATED PROTEIN YUTH', 86942),
(143217, 'PTHR31790:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86943),
(143218, 'PTHR15999:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER CW-TYPE PWWP DOMAIN PROTEIN 1', 86944),
(143219, 'PTHR24223:SF406', NULL, NULL, NULL, NULL, 'SULFONYLUREA RECEPTOR, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 86945); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(143220, 'PTHR48018:SF81', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8K1', 86946),
(143221, 'PTHR11802:SF227', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 86947),
(143222, 'PTHR10634:SF114', NULL, NULL, NULL, NULL, 'BNAC04G29220D PROTEIN', 86948),
(143223, 'PTHR23237', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN FAMILY A MEMBER 1  SNORNP PROTEIN GAR1', 86949),
(143224, 'PTHR19845:SF21', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1 HOMOLOG', 86950),
(143225, 'PTHR12346:SF32', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE INTERACTING DOMAIN, SIN3-RELATED', 86951),
(143226, 'PTHR10706:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86952),
(143227, 'PTHR12096:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86953),
(143228, 'PTHR13068:SF102', NULL, NULL, NULL, NULL, 'OS11G0246100 PROTEIN', 86954),
(143229, 'PTHR10666:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86955),
(143230, 'PTHR43875:SF4', NULL, NULL, NULL, NULL, 'ARABINOSE ABC TRANSPORTER, ATP-BINDING PROTEIN', 86956),
(143231, 'PTHR13890:SF38', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-7-RELATED', 86957),
(143232, 'PTHR11647:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86958),
(143233, 'PTHR22891:SF148', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 2C, PUTATIVE-RELATED', 86959),
(143234, 'PTHR23236:SF61', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 2', 86960),
(143235, 'PTHR23336:SF7', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 7 ISOFORM X1', 86961),
(143236, 'PTHR31147:SF30', NULL, NULL, NULL, NULL, '10-DEACETYLBACCATIN III 10-O-ACETYLTRANSFERASE', 86962),
(143237, 'PTHR47081:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING X-LINKED PROTEIN 4', 86963),
(143238, 'PTHR10073:SF47', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MLH3-RELATED', 86964),
(143239, 'PTHR47993:SF107', NULL, NULL, NULL, NULL, 'BNAC03G73940D PROTEIN', 86965),
(143240, 'PTHR10730:SF51', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 25 FAMILY MEMBER', 86966),
(143241, 'PTHR33318:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86967),
(143242, 'PTHR18952:SF200', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE XV C-RELATED', 86968),
(143243, 'PTHR24068:SF331', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME UBC9', 86969),
(143244, 'PTHR47976:SF9', NULL, NULL, NULL, NULL, 'OS01G0113650 PROTEIN', 86970),
(143245, 'PTHR11771', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 86971),
(143246, 'PTHR10514:SF25', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME', 86972),
(143247, 'PTHR31642:SF248', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 86973),
(143248, 'PTHR10677:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CBG21708', 86974),
(143249, 'PTHR37897', NULL, NULL, NULL, NULL, 'DNAK FAMILY PROTEIN', 86975),
(143250, 'PTHR47992:SF143', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 51-RELATED', 86976),
(143251, 'PTHR43453:SF1', NULL, NULL, NULL, NULL, 'RRNA METHYLASE-LIKE PROTEIN', 86977),
(143252, 'PTHR11956:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86978),
(143253, 'PTHR12694:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 1', 86979),
(143254, 'PTHR23119:SF48', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 7', 86980),
(143255, 'PTHR31306:SF2', NULL, NULL, NULL, NULL, 'ALPHA-1,2-GALACTOSYLTRANSFERASE GMH3-RELATED', 86981),
(143256, 'PTHR11839:SF12', NULL, NULL, NULL, NULL, 'ADP COMPOUNDS HYDROLASE NUDE', 86982),
(143257, 'PTHR31623:SF74', NULL, NULL, NULL, NULL, 'SALUTARIDINOL 7-O-ACETYLTRANSFERASE-LIKE', 86983),
(143258, 'PTHR45616:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 86984),
(143259, 'PTHR24339:SF26', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN EMX1', 86985),
(143260, 'PTHR33447:SF9', NULL, NULL, NULL, NULL, 'GLUTATHIONE GAMMA-GLUTAMYLCYSTEINYLTRANSFERASE 2', 86986),
(143261, 'PTHR38111:SF6', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01940)-RELATED', 86987),
(143262, 'PTHR46692:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 86988);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(143263, 'PTHR11005:SF3', NULL, NULL, NULL, NULL, 'LIPASE', 86989),
(143264, 'PTHR13287', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 86990),
(143265, 'PTHR18460:SF3', NULL, NULL, NULL, NULL, 'TELO2-INTERACTING PROTEIN 1 HOMOLOG', 86991),
(143266, 'PTHR36340', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE SUBUNIT CRR3, CHLOROPLASTIC-RELATED', 86992),
(143267, 'PTHR11909:SF196', NULL, NULL, NULL, NULL, 'PROTEIN CBG18341', 86993),
(143268, 'PTHR11751:SF308', NULL, NULL, NULL, NULL, 'ALANINE AMINOTRANSFERASE 1', 86994),
(143269, 'PTHR45666:SF19', NULL, NULL, NULL, NULL, 'OS06G0222900 PROTEIN', 86995),
(143270, 'PTHR33599:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 86996),
(143271, 'PTHR12537:SF167', NULL, NULL, NULL, NULL, 'BNAA05G18830D PROTEIN', 86997),
(143272, 'PTHR11003:SF270', NULL, NULL, NULL, NULL, 'TWO PORE POTASSIUM CHANNEL A', 86998),
(143273, 'PTHR31269:SF11', NULL, NULL, NULL, NULL, 'GUARD CELL S-TYPE ANION CHANNEL SLAC1', 86999),
(143274, 'PTHR33214:SF49', NULL, NULL, NULL, NULL, 'NONSPECIFIC LIPID-TRANSFER PROTEIN', 87000),
(143275, 'PTHR31080:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87001),
(143276, 'PTHR28672:SF1', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 13', 87002),
(143277, 'PTHR21666:SF275', NULL, NULL, NULL, NULL, 'SLR0878 PROTEIN', 87003),
(143278, 'PTHR19317:SF55', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 87004),
(143279, 'PTHR31066:SF27', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 87005),
(143280, 'PTHR33227:SF32', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 3', 87006),
(143281, 'PTHR10672:SF6', NULL, NULL, NULL, NULL, 'BETA-ADDUCIN', 87007),
(143282, 'PTHR34031', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 162 KDA', 87008),
(143283, 'PTHR37784:SF1', NULL, NULL, NULL, NULL, 'GLYCOLYTIC GENES TRANSCRIPTIONAL ACTIVATOR GCR1', 87009),
(143284, 'PTHR22599:SF63', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR 1B', 87010),
(143285, 'PTHR19229:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87011),
(143286, 'PTHR28570:SF14', NULL, NULL, NULL, NULL, 'ASPARTYL AMINOPEPTIDASE', 87012),
(143287, 'PTHR47999:SF8', NULL, NULL, NULL, NULL, 'BNAA07G10350D PROTEIN', 87013),
(143288, 'PTHR43327:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87014),
(143289, 'PTHR19353:SF71', NULL, NULL, NULL, NULL, 'DELTA(8)-FATTY-ACID DESATURASE-LIKE', 87015),
(143290, 'PTHR26453:SF204', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2M3', 87016),
(143291, 'PTHR31549:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87017),
(143292, 'PTHR47579', NULL, NULL, NULL, NULL, 'COMPLEX 1 LYR PROTEIN', 87018),
(143293, 'PTHR45671:SF24', NULL, NULL, NULL, NULL, 'PHOSPHATE CARRIER PROTEIN', 87019),
(143294, 'PTHR33649:SF8', NULL, NULL, NULL, NULL, 'PAR1 PROTEIN', 87020),
(143295, 'PTHR31662:SF78', NULL, NULL, NULL, NULL, 'OS09G0100800 PROTEIN', 87021),
(143296, 'PTHR31218:SF235', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 87022),
(143297, 'PTHR24020:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87023),
(143298, 'PTHR11247:SF54', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE EPSILON 2, CHLOROPLASTIC', 87024),
(143299, 'PTHR34364', NULL, NULL, NULL, NULL, 'WAS/WASL-INTERACTING FAMILY PROTEIN', 87025),
(143300, 'PTHR10891:SF849', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87026),
(143301, 'PTHR11071:SF420', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP20-3, CHLOROPLASTIC', 87027),
(143302, 'PTHR40380', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 87028),
(143303, 'PTHR12136:SF101', NULL, NULL, NULL, NULL, 'ENHANCED DISEASE RESISTANCE-LIKE PROTEIN (DUF1336)', 87029),
(143304, 'PTHR24055:SF499', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87030),
(143305, 'PTHR46629:SF13', NULL, NULL, NULL, NULL, 'OS01G0917900 PROTEIN', 87031),
(143306, 'PTHR47990:SF43', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-OXIDASE 1-RELATED', 87032),
(143307, 'PTHR46365:SF1', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN ATOX1', 87033),
(143308, 'PTHR31727', NULL, NULL, NULL, NULL, 'OLEOYL-ACYL CARRIER PROTEIN THIOESTERASE 1, CHLOROPLASTIC', 87034);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(143309, 'PTHR45657:SF44', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH12-LIKE', 87035),
(143310, 'PTHR48094:SF12', NULL, NULL, NULL, NULL, 'PROTEIN/NUCLEIC ACID DEGLYCASE DJ-1', 87036),
(143311, 'PTHR43522:SF13', NULL, NULL, NULL, NULL, 'TRANSKETOLASE 2', 87037),
(143312, 'PTHR33673:SF3', NULL, NULL, NULL, NULL, 'SUPPRESSOR SRP40-LIKE PROTEIN', 87038),
(143313, 'PTHR11003:SF152', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS PROTEIN 12', 87039),
(143314, 'PTHR48024:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RIBONUCLEOPROTEIN A1, PUTATIVE-RELATED', 87040),
(143315, 'PTHR46485', NULL, NULL, NULL, NULL, 'LIM DOMAIN KINASE 1', 87041),
(143316, 'PTHR33710:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87042),
(143317, 'PTHR32332:SF31', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G07940)-RELATED', 87043),
(143318, 'PTHR24343:SF436', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HAL4/SAT4', 87044),
(143319, 'PTHR12653:SF1', NULL, NULL, NULL, NULL, 'BNAA02G10640D PROTEIN', 87045),
(143320, 'PTHR19961:SF67', NULL, NULL, NULL, NULL, 'DYSTROPHIN-RELATED', 87046),
(143321, 'PTHR30168', NULL, NULL, NULL, NULL, 'PUTATIVE MEMBRANE PROTEIN YPFJ', 87047),
(143322, 'PTHR47026', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 87048),
(143323, 'PTHR19432:SF83', NULL, NULL, NULL, NULL, 'BNAC08G42460D PROTEIN', 87049),
(143324, 'PTHR31221:SF257', NULL, NULL, NULL, NULL, 'BNAA02G36910D PROTEIN', 87050),
(143325, 'PTHR46149:SF4', NULL, NULL, NULL, NULL, 'DEXAMETHASONE-INDUCED RAS-RELATED PROTEIN 1', 87051),
(143326, 'PTHR11802:SF339', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 87052),
(143327, 'PTHR45950:SF16', NULL, NULL, NULL, NULL, 'ARID DNA-BINDING DOMAIN, ZINC FINGER, CCHC-TYPE, MEKHLA-RELATED', 87053),
(143328, 'PTHR31672:SF2', NULL, NULL, NULL, NULL, 'BNACNNG10540D PROTEIN', 87054),
(143329, 'PTHR24390:SF166', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 660', 87055),
(143330, 'PTHR10438:SF416', NULL, NULL, NULL, NULL, 'THIOREDOXIN H7', 87056),
(143331, 'PTHR34558:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87057),
(143332, 'PTHR24055:SF194', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MAK', 87058),
(143333, 'PTHR45837:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87059),
(143334, 'PTHR35454:SF2', NULL, NULL, NULL, NULL, 'AGAP005206-PA', 87060),
(143335, 'PTHR16231:SF0', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 8', 87061),
(143336, 'PTHR31639:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87062),
(143337, 'PTHR23081:SF2', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II C-TERMINAL DOMAIN PHOSPHATASE-LIKE 3', 87063),
(143338, 'PTHR46506:SF45', NULL, NULL, NULL, NULL, 'HORCOLIN', 87064),
(143339, 'PTHR45982:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', 87065),
(143340, 'PTHR33095:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87066),
(143341, 'PTHR12290:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 4', 87067),
(143342, 'PTHR43557:SF5', NULL, NULL, NULL, NULL, 'MONODEHYDROASCORBATE REDUCTASE 1, PEROXISOMAL', 87068),
(143343, 'PTHR48043:SF50', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 87069),
(143344, 'PTHR10540:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87070),
(143345, 'PTHR33086:SF72', NULL, NULL, NULL, NULL, 'DUF1618 DOMAIN CONTAINING FAMILY PROTEIN-RELATED', 87071),
(143346, 'PTHR13847:SF222', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT OXIDOREDUCTASE', 87072),
(143347, 'PTHR40069:SF1', NULL, NULL, NULL, NULL, 'YWBE PROTEIN', 87073),
(143348, 'PTHR21266:SF29', NULL, NULL, NULL, NULL, 'PROTEIN TIC 55, CHLOROPLASTIC', 87074),
(143349, 'PTHR48041:SF44', NULL, NULL, NULL, NULL, 'BNAA06G33490D PROTEIN', 87075),
(143350, 'PTHR32096:SF105', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 22-LIKE ISOFORM X1', 87076),
(143351, 'PTHR11132:SF431', NULL, NULL, NULL, NULL, 'BNAA02G09420D PROTEIN', 87077),
(143352, 'PTHR46586:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87078),
(143353, 'PTHR30502:SF10', NULL, NULL, NULL, NULL, 'CARBOXYLASE FAMILY PROTEIN, PUTATIVE-RELATED', 87079);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(143354, 'PTHR10694:SF44', NULL, NULL, NULL, NULL, 'PROTEIN JUMONJI', 87080),
(143355, 'PTHR47746:SF18', NULL, NULL, NULL, NULL, 'OS02G0118800 PROTEIN', 87081),
(143356, 'PTHR11926:SF1327', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 87082),
(143357, 'PTHR23122:SF39', NULL, NULL, NULL, NULL, 'MAGUK P55 SUBFAMILY MEMBER 7', 87083),
(143358, 'PTHR38106', NULL, NULL, NULL, NULL, 'RNA CHAPERONE PROQ', 87084),
(143359, 'PTHR23121:SF26', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING 4B4', 87085),
(143360, 'PTHR10109', NULL, NULL, NULL, NULL, 'MATRIX GLA PROTEIN', 87086),
(143361, 'PTHR43583:SF2', NULL, NULL, NULL, NULL, 'BIOTIN AND THIAMIN SYNTHESIS ASSOCIATED DOMAIN CONTAINING PROTEIN', 87087),
(143362, 'PTHR31448:SF44', NULL, NULL, NULL, NULL, 'ZEIN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 87088),
(143363, 'PTHR46128:SF230', NULL, NULL, NULL, NULL, 'BNAC06G40430D PROTEIN', 87089),
(143364, 'PTHR11571:SF157', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE A1', 87090),
(143365, 'PTHR10151:SF118', NULL, NULL, NULL, NULL, 'BNAA01G07240D PROTEIN', 87091),
(143366, 'PTHR31269:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87092),
(143367, 'PTHR13164:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87093),
(143368, 'PTHR10367:SF18', NULL, NULL, NULL, NULL, 'RNA/RNP COMPLEX-1-INTERACTING PHOSPHATASE', 87094),
(143369, 'PTHR15315:SF22', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL47-LIKE', 87095),
(143370, 'PTHR11972:SF86', NULL, NULL, NULL, NULL, 'METALLOREDUCTASE AIM14-RELATED', 87096),
(143371, 'PTHR46372', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 3', 87097),
(143372, 'PTHR33548:SF14', NULL, NULL, NULL, NULL, 'GLYCINE RICH PROTEIN4', 87098),
(143373, 'PTHR10156:SF0', NULL, NULL, NULL, NULL, '2'',3''-CYCLIC-NUCLEOTIDE 3''-PHOSPHODIESTERASE', 87099),
(143374, 'PTHR11011:SF27', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE CG8306-RELATED', 87100),
(143375, 'PTHR46196:SF14', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR-LIKE PROTEIN', 87101),
(143376, 'PTHR39668', NULL, NULL, NULL, NULL, 'HYPOTHETICAL TRANSMEMBRANE PROTEIN L6586.03-RELATED', 87102),
(143377, 'PTHR10593:SF182', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 11', 87103),
(143378, 'PTHR31279:SF8', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 2', 87104),
(143379, 'PTHR36471:SF1', NULL, NULL, NULL, NULL, 'SMALL MEMBRANE A-KINASE ANCHOR PROTEIN', 87105),
(143380, 'PTHR11208:SF125', NULL, NULL, NULL, NULL, 'PROTEIN QUAKING', 87106),
(143381, 'PTHR46120:SF2', NULL, NULL, NULL, NULL, 'BETAINE--HOMOCYSTEINE S-METHYLTRANSFERASE 1', 87107),
(143382, 'PTHR30543:SF14', NULL, NULL, NULL, NULL, 'NADPH:QUINONE OXIDOREDUCTASE 2-RELATED', 87108),
(143383, 'PTHR31933:SF4', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 8', 87109),
(143384, 'PTHR45868:SF30', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 87110),
(143385, 'PTHR33066:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87111),
(143386, 'PTHR16247:SF0', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9430015G10 GENE', 87112),
(143387, 'PTHR11547:SF20', NULL, NULL, NULL, NULL, 'ARGININE KINASE', 87113),
(143388, 'PTHR27003:SF340', NULL, NULL, NULL, NULL, 'BNAC04G31220D PROTEIN', 87114),
(143389, 'PTHR10696:SF43', NULL, NULL, NULL, NULL, 'TAUD/TFDA-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 87115),
(143390, 'PTHR48018:SF66', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8H3', 87116),
(143391, 'PTHR46162:SF14', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 87117),
(143392, 'PTHR19957:SF334', NULL, NULL, NULL, NULL, 'SYNTAXIN-1B', 87118),
(143393, 'PTHR23023:SF258', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 87119),
(143394, 'PTHR24015:SF1997', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87120),
(143395, 'PTHR10742:SF389', NULL, NULL, NULL, NULL, 'PROTEIN FLOWERING LOCUS D-LIKE', 87121),
(143396, 'PTHR15907:SF178', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 11', 87122),
(143397, 'PTHR45702:SF6', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 17', 87123);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(143398, 'PTHR21461:SF24', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 87124),
(143399, 'PTHR21136:SF178', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN-LIKE PROTEIN', 87125),
(143400, 'PTHR23070:SF10', NULL, NULL, NULL, NULL, 'AAA ATPASE DOMAIN-CONTAINING PROTEIN', 87126),
(143401, 'PTHR14359:SF19', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN', 87127),
(143402, 'PTHR24406:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 11', 87128),
(143403, 'PTHR12963:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR/ ZINC ION BINDING PROTEIN', 87129),
(143404, 'PTHR13793:SF27', NULL, NULL, NULL, NULL, 'PROTEIN JADE-3', 87130),
(143405, 'PTHR24241:SF117', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE RECEPTOR, PUTATIVE-RELATED', 87131),
(143406, 'PTHR10544', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28', 87132),
(143407, 'PTHR44329:SF199', NULL, NULL, NULL, NULL, 'OS06G0232100 PROTEIN', 87133),
(143408, 'PTHR37299:SF2', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 87134),
(143409, 'PTHR10353:SF186', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 42', 87135),
(143410, 'PTHR47926:SF203', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 87136),
(143411, 'PTHR23147:SF197', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF', 87137),
(143412, 'PTHR14464:SF4', NULL, NULL, NULL, NULL, 'EXONUCLEASE V', 87138),
(143413, 'PTHR27006:SF437', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-7', 87139),
(143414, 'PTHR48018:SF153', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8H1', 87140),
(143415, 'PTHR45701:SF11', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN-LIKE PROTEIN', 87141),
(143416, 'PTHR46324:SF23', NULL, NULL, NULL, NULL, 'BNAA09G05450D PROTEIN', 87142),
(143417, 'PTHR31376:SF50', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 9-RELATED', 87143),
(143418, 'PTHR45934:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87144),
(143419, 'PTHR33103:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87145),
(143420, 'PTHR47956:SF73', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B22', 87146),
(143421, 'PTHR18952:SF246', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 4-RELATED', 87147),
(143422, 'PTHR30136:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 87148),
(143423, 'PTHR46462:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD5', 87149),
(143424, 'PTHR47982:SF27', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK8', 87150),
(143425, 'PTHR24221:SF440', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 6', 87151),
(143426, 'PTHR31241:SF32', NULL, NULL, NULL, NULL, 'AP2/EREBP PROTEIN', 87152),
(143427, 'PTHR32361:SF25', NULL, NULL, NULL, NULL, 'FERRIC/CUPRIC REDUCTASE TRANSMEMBRANE COMPONENT 1', 87153),
(143428, 'PTHR43490:SF67', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', 87154),
(143429, 'PTHR15417:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 1A', 87155),
(143430, 'PTHR39068:SF2', NULL, NULL, NULL, NULL, 'MIP24391P', 87156),
(143431, 'PTHR11588:SF366', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-3 CHAIN', 87157),
(143432, 'PTHR47447:SF7', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', 87158),
(143433, 'PTHR31677:SF110', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 87159),
(143434, 'PTHR10827:SF51', NULL, NULL, NULL, NULL, '45 KDA CALCIUM-BINDING PROTEIN', 87160),
(143435, 'PTHR10621:SF33', NULL, NULL, NULL, NULL, 'OS09G0481650 PROTEIN', 87161),
(143436, 'PTHR35750:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID HYDROPEROXIDE GLUTATHIONE PEROXIDASE', 87162),
(143437, 'PTHR43438:SF1', NULL, NULL, NULL, NULL, 'UPF0145 PROTEIN SCO3412', 87163),
(143438, 'PTHR45966:SF16', NULL, NULL, NULL, NULL, 'BNAC06G10380D PROTEIN', 87164),
(143439, 'PTHR13509:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', 87165),
(143440, 'PTHR31156:SF15', NULL, NULL, NULL, NULL, 'SPEEDY PROTEIN E2-RELATED', 87166),
(143441, 'PTHR22850:SF210', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: WD-40 REPEAT-CONTAINING PROTEIN MSI4-LIKE', 87167);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(143442, 'PTHR15454:SF50', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IQ DOMAIN-CONTAINING PROTEIN 1', 87168),
(143443, 'PTHR31871:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87169),
(143444, 'PTHR10286:SF63', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE', 87170),
(143445, 'PTHR46393:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87171),
(143446, 'PTHR35449:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SIX6OS1', 87172),
(143447, 'PTHR47924:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87173),
(143448, 'PTHR43638', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, ALDO/KETO REDUCTASE FAMILY PROTEIN', 87174),
(143449, 'PTHR46324:SF7', NULL, NULL, NULL, NULL, 'BASIC LEUCINE-ZIPPER 70-RELATED', 87175),
(143450, 'PTHR44042:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87176),
(143451, 'PTHR10795:SF726', NULL, NULL, NULL, NULL, 'BNAA09G07410D PROTEIN', 87177),
(143452, 'PTHR46522:SF2', NULL, NULL, NULL, NULL, 'INACTIVE CYTIDINE MONOPHOSPHATE-N-ACETYLNEURAMINIC ACID HYDROXYLASE', 87178),
(143453, 'PTHR31072', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP4-RELATED', 87179),
(143454, 'PTHR36475', NULL, NULL, NULL, NULL, 'LEUCINE-RICH SINGLE-PASS MEMBRANE PROTEIN 1', 87180),
(143455, 'PTHR11533:SF272', NULL, NULL, NULL, NULL, 'MATRIX NON-PEPTIDASE HOMOLOG 1', 87181),
(143456, 'PTHR31260:SF60', NULL, NULL, NULL, NULL, 'BNAANNG11310D PROTEIN', 87182),
(143457, 'PTHR23104:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87183),
(143458, 'PTHR33867', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION FACTOR RIMP', 87184),
(143459, 'PTHR15907:SF114', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 2-LIKE ISOFORM X1', 87185),
(143460, 'PTHR11538:SF86', NULL, NULL, NULL, NULL, 'BNAA02G35460D PROTEIN', 87186),
(143461, 'PTHR31560:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87187),
(143462, 'PTHR10812:SF16', NULL, NULL, NULL, NULL, 'AP-2 TRANSCRIPTION FACTOR FAMILY', 87188),
(143463, 'PTHR34671:SF12', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN D-19', 87189),
(143464, 'PTHR12737:SF17', NULL, NULL, NULL, NULL, 'N(G),N(G)-DIMETHYLARGININE DIMETHYLAMINOHYDROLASE 1', 87190),
(143465, 'PTHR45855:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87191),
(143466, 'PTHR48094:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87192),
(143467, 'PTHR11802:SF308', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 42-RELATED', 87193),
(143468, 'PTHR10108:SF1142', NULL, NULL, NULL, NULL, 'BNAA04G26390D PROTEIN', 87194),
(143469, 'PTHR38692:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SMG', 87195),
(143470, 'PTHR33095:SF23', NULL, NULL, NULL, NULL, 'DUF1645 FAMILY PROTEIN', 87196),
(143471, 'PTHR10353:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87197),
(143472, 'PTHR43900:SF24', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE FAMILY PROTEIN', 87198),
(143473, 'PTHR31503:SF41', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', 87199),
(143474, 'PTHR13826:SF14', NULL, NULL, NULL, NULL, 'TREFOIL FACTOR 2', 87200),
(143475, 'PTHR24281:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87201),
(143476, 'PTHR10871:SF29', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S18', 87202),
(143477, 'PTHR19432:SF35', NULL, NULL, NULL, NULL, 'LP09277P', 87203),
(143478, 'PTHR31871:SF8', NULL, NULL, NULL, NULL, 'OS01G0837600 PROTEIN', 87204),
(143479, 'PTHR12203:SF62', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE-MODIFYING PROTEIN', 87205),
(143480, 'PTHR48018:SF52', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 87206),
(143481, 'PTHR47988:SF36', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE 1', 87207),
(143482, 'PTHR11311:SF9', NULL, NULL, NULL, NULL, 'SPONDIN 2B, EXTRACELLULAR MATRIX PROTEIN', 87208),
(143483, 'PTHR15241:SF308', NULL, NULL, NULL, NULL, 'FLOWERING TIME CONTROL PROTEIN FCA ISOFORM X1', 87209),
(143484, 'PTHR11157:SF147', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 6', 87210),
(143485, 'PTHR38762:SF1', NULL, NULL, NULL, NULL, 'CRYPTIC OUTER MEMBRANE PORIN BGLH-RELATED', 87211),
(143486, 'PTHR13271:SF111', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 87212);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(143487, 'PTHR33304:SF39', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 87213),
(143488, 'PTHR11723', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN INHIBITOR', 87214),
(143489, 'PTHR23202:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87215),
(143490, 'PTHR47993:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87216),
(143491, 'PTHR31650:SF26', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE (WSD1-LIKE) FAMILY PROTEIN', 87217),
(143492, 'PTHR31963', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR K', 87218),
(143493, 'PTHR24186:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 16A', 87219),
(143494, 'PTHR11875:SF12', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED PROTEIN 1-RELATED', 87220),
(143495, 'PTHR24356:SF170', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C ZETA TYPE', 87221),
(143496, 'PTHR27001:SF631', NULL, NULL, NULL, NULL, 'PROTEIN KINASE PROTEIN WITH ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE DOMAIN', 87222),
(143497, 'PTHR24281:SF69', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 87223),
(143498, 'PTHR32387:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87224),
(143499, 'PTHR34761', NULL, NULL, NULL, NULL, 'NUCLEOLUS AND NEURAL PROGENITOR PROTEIN', 87225),
(143500, 'PTHR45819', NULL, NULL, NULL, NULL, 'CENTAURIN-GAMMA-1A', 87226),
(143501, 'PTHR13593:SF24', NULL, NULL, NULL, NULL, 'PI-PLC X DOMAIN-CONTAINING PROTEIN 1', 87227),
(143502, 'PTHR38452', NULL, NULL, NULL, NULL, 'UPF0756 MEMBRANE PROTEIN YEAL', 87228),
(143503, 'PTHR38035', NULL, NULL, NULL, NULL, 'UPF0070 PROTEIN YFGM', 87229),
(143504, 'PTHR32145:SF30', NULL, NULL, NULL, NULL, 'FLAVODOXIN/NITRIC OXIDE SYNTHASE', 87230),
(143505, 'PTHR33835:SF2', NULL, NULL, NULL, NULL, 'LYSINE-TRNA LIGASE', 87231),
(143506, 'PTHR15111', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II SUBUNIT 5-MEDIATING PROTEIN  NNX3', 87232),
(143507, 'PTHR31358', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 4', 87233),
(143508, 'PTHR46128:SF136', NULL, NULL, NULL, NULL, 'BNAA09G09230D PROTEIN', 87234),
(143509, 'PTHR23320:SF117', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 6E', 87235),
(143510, 'PTHR43874:SF145', NULL, NULL, NULL, NULL, 'BNAA09G04840D PROTEIN', 87236),
(143511, 'PTHR23214', NULL, NULL, NULL, NULL, 'NEUROFILAMENT TRIPLET H PROTEIN', 87237),
(143512, 'PTHR35671:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TOPAZ1', 87238),
(143513, 'PTHR24391:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER E-BOX-BINDING HOMEOBOX 2', 87239),
(143514, 'PTHR31623:SF38', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', 87240),
(143515, 'PTHR45331:SF1', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDOREDUCTASE IRON-SULFUR-BINDING SUBUNIT PAOA', 87241),
(143516, 'PTHR37440:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG17854', 87242),
(143517, 'PTHR10157', NULL, NULL, NULL, NULL, 'DOPAMINE BETA HYDROXYLASE RELATED', 87243),
(143518, 'PTHR27009:SF84', NULL, NULL, NULL, NULL, 'STRESS-INDUCED RECEPTOR-LIKE KINASE', 87244),
(143519, 'PTHR43874:SF74', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR11', 87245),
(143520, 'PTHR46073:SF6', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE', 87246),
(143521, 'PTHR15481:SF3', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF-CONTAINING PROTEIN RRM', 87247),
(143522, 'PTHR10151:SF106', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE C27A7.3', 87248),
(143523, 'PTHR33726:SF19', NULL, NULL, NULL, NULL, 'OS03G0313800 PROTEIN', 87249),
(143524, 'PTHR22192', NULL, NULL, NULL, NULL, 'SPERIOLIN', 87250),
(143525, 'PTHR43179:SF8', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYL-DIPHOSPHO-DECAPRENOL L-RHAMNOSYLTRANSFERASE', 87251),
(143526, 'PTHR33063:SF9', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 87252),
(143527, 'PTHR47424:SF6', NULL, NULL, NULL, NULL, 'PROLINE UTILIZATION TRANS-ACTIVATOR', 87253),
(143528, 'PTHR12570:SF79', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 87254),
(143529, 'PTHR24281:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87255),
(143530, 'PTHR21000:SF13', NULL, NULL, NULL, NULL, 'HYPOTHETICAL DIHYDROXYACID DEHYDRATASE (EUROFUNG)', 87256);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(143531, 'PTHR10666:SF258', NULL, NULL, NULL, NULL, 'UBIQUITIN-40S RIBOSOMAL PROTEIN S27A', 87257),
(143532, 'PTHR11627:SF70', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 87258),
(143533, 'PTHR43637', NULL, NULL, NULL, NULL, 'UPF0273 PROTEIN TM_0370', 87259),
(143534, 'PTHR47863', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 87260),
(143535, 'PTHR30537:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 87261),
(143536, 'PTHR43190:SF7', NULL, NULL, NULL, NULL, 'OS07G0147700 PROTEIN', 87262),
(143537, 'PTHR13890:SF41', NULL, NULL, NULL, NULL, 'MG2+ TRANSPORTER PROTEIN, CORA-LIKE/ZINC TRANSPORT PROTEIN ZNTB-RELATED', 87263),
(143538, 'PTHR10057:SF17', NULL, NULL, NULL, NULL, 'TSPO/MBR-RELATED PROTEIN-RELATED', 87264),
(143539, 'PTHR31388:SF223', NULL, NULL, NULL, NULL, 'PEROXIDASE', 87265),
(143540, 'PTHR47979:SF36', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5A', 87266),
(143541, 'PTHR38781:SF1', NULL, NULL, NULL, NULL, 'ANTITOXIN DINJ-RELATED', 87267),
(143542, 'PTHR31325:SF148', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 87268),
(143543, 'PTHR13936:SF15', NULL, NULL, NULL, NULL, 'PROFILIN-2', 87269),
(143544, 'PTHR43479:SF11', NULL, NULL, NULL, NULL, 'ACREF/ENVCD OPERON REPRESSOR-RELATED', 87270),
(143545, 'PTHR31676:SF86', NULL, NULL, NULL, NULL, 'BNAA02G36500D PROTEIN', 87271),
(143546, 'PTHR31132:SF2', NULL, NULL, NULL, NULL, 'HEMATOLOGICAL/NEUROLOGICAL-LIKE PROTEIN', 87272),
(143547, 'PTHR13878:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87273),
(143548, 'PTHR13400:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 28B', 87274),
(143549, 'PTHR24377:SF693', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 287', 87275),
(143550, 'PTHR12000:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87276),
(143551, 'PTHR11431:SF87', NULL, NULL, NULL, NULL, 'FERRITIN', 87277),
(143552, 'PTHR31415:SF68', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 87278),
(143553, 'PTHR34591:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87279),
(143554, 'PTHR33473:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ADAPTER PROTEIN CLPS', 87280),
(143555, 'PTHR10621:SF32', NULL, NULL, NULL, NULL, 'UBIQUITIN RECEPTOR RAD23A-RELATED', 87281),
(143556, 'PTHR26453:SF198', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2K2', 87282),
(143557, 'PTHR33165:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87283),
(143558, 'PTHR45651:SF75', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, VOLTAGE-DEPENDENT, EAG-RELATED', 87284),
(143559, 'PTHR33147:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87285),
(143560, 'PTHR10366:SF483', NULL, NULL, NULL, NULL, 'CINNAMOYL COA REDUCTASE-LIKE PROTEIN', 87286),
(143561, 'PTHR32161:SF16', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 87287),
(143562, 'PTHR24418:SF431', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE SRC42A', 87288),
(143563, 'PTHR11727:SF14', NULL, NULL, NULL, NULL, 'BLL8166 PROTEIN', 87289),
(143564, 'PTHR23421:SF63', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 12', 87290),
(143565, 'PTHR19422:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87291),
(143566, 'PTHR33448:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87292),
(143567, 'PTHR19878:SF17', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 87293),
(143568, 'PTHR14112:SF19', NULL, NULL, NULL, NULL, 'PROTEIN SSX3', 87294),
(143569, 'PTHR10476:SF47', NULL, NULL, NULL, NULL, 'ESCRT-RELATED PROTEIN CHMP1-RELATED', 87295),
(143570, 'PTHR15941:SF14', NULL, NULL, NULL, NULL, 'MYOZENIN 1B', 87296),
(143571, 'PTHR47967:SF35', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 87297),
(143572, 'PTHR11188:SF57', NULL, NULL, NULL, NULL, 'PROTEIN TTM-2', 87298),
(143573, 'PTHR48042:SF17', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN PDR/CDR-RELATED', 87299),
(143574, 'PTHR19818:SF145', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN EXPRESSION ACTIVATOR', 87300),
(143575, 'PTHR31661:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO CDNA SEQUENCE BC052040', 87301);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(143576, 'PTHR16195:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 14', 87302),
(143577, 'PTHR48019:SF102', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR ANR1', 87303),
(143578, 'PTHR44329:SF68', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 87304),
(143579, 'PTHR23147:SF102', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RSZ21A', 87305),
(143580, 'PTHR31636:SF257', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 30', 87306),
(143581, 'PTHR36490', NULL, NULL, NULL, NULL, 'STRESS ENHANCED PROTEIN 2, CHLOROPLASTIC', 87307),
(143582, 'PTHR24248:SF24', NULL, NULL, NULL, NULL, 'ALPHA-2A ADRENERGIC RECEPTOR', 87308),
(143583, 'PTHR47364:SF12', NULL, NULL, NULL, NULL, 'BNAC09G20280D PROTEIN', 87309),
(143584, 'PTHR14445:SF36', NULL, NULL, NULL, NULL, 'GIGYF FAMILY PROTEIN CG11148', 87310),
(143585, 'PTHR10806:SF12', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX CATALYTIC SUBUNIT SEC11C', 87311),
(143586, 'PTHR33709:SF27', NULL, NULL, NULL, NULL, 'CYSTEINE-TYPE ENDOPEPTIDASE/ UBIQUITIN THIOLESTERASE', 87312),
(143587, 'PTHR23153:SF38', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 6', 87313),
(143588, 'PTHR31238:SF118', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 87314),
(143589, 'PTHR37173', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 87315),
(143590, 'PTHR11377:SF17', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE 1-RELATED', 87316),
(143591, 'PTHR33142:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87317),
(143592, 'PTHR16231:SF5', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 6', 87318),
(143593, 'PTHR33512:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 87319),
(143594, 'PTHR47949:SF2', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE-LIKE', 87320),
(143595, 'PTHR11771:SF136', NULL, NULL, NULL, NULL, 'LIPOXYGENASE-RELATED', 87321),
(143596, 'PTHR23172:SF50', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 87322),
(143597, 'PTHR21143:SF120', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR', 87323),
(143598, 'PTHR11103', NULL, NULL, NULL, NULL, 'SLR1189 PROTEIN', 87324),
(143599, 'PTHR22765:SF34', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF13', 87325),
(143600, 'PTHR11847:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L15', 87326),
(143601, 'PTHR43084:SF8', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY PROTEIN', 87327),
(143602, 'PTHR48053:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87328),
(143603, 'PTHR22780:SF30', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT ALPHA-2', 87329),
(143604, 'PTHR13516:SF15', NULL, NULL, NULL, NULL, 'DNA/RNA-BINDING PROTEIN ALBA-LIKE PROTEIN-RELATED', 87330),
(143605, 'PTHR34968:SF2', NULL, NULL, NULL, NULL, 'BNAA09G02750D PROTEIN', 87331),
(143606, 'PTHR35308:SF11', NULL, NULL, NULL, NULL, 'OS05G0457000 PROTEIN', 87332),
(143607, 'PTHR13768:SF37', NULL, NULL, NULL, NULL, 'ALPHA-SOLUBLE NSF ATTACHMENT PROTEIN', 87333),
(143608, 'PTHR23357:SF1', NULL, NULL, NULL, NULL, 'RENALASE', 87334),
(143609, 'PTHR45669:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87335),
(143610, 'PTHR46772:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH95-LIKE', 87336),
(143611, 'PTHR11814:SF207', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 1.2', 87337),
(143612, 'PTHR45764:SF19', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 53-LIKE', 87338),
(143613, 'PTHR36464', NULL, NULL, NULL, NULL, 'PROTEIN BEAN1', 87339),
(143614, 'PTHR43791:SF74', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17530)-RELATED', 87340),
(143615, 'PTHR31080:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87341),
(143616, 'PTHR24347:SF380', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE DDB_G0271550-RELATED', 87342),
(143617, 'PTHR11010:SF75', NULL, NULL, NULL, NULL, 'OS10G0511600 PROTEIN', 87343),
(143618, 'PTHR45925:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 217', 87344),
(143619, 'PTHR11969:SF70', NULL, NULL, NULL, NULL, 'BNAA09G18120D PROTEIN', 87345),
(143620, 'PTHR31639:SF186', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 13-LIKE', 87346);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(143621, 'PTHR26453:SF215', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10AD1', 87347),
(143622, 'PTHR13609:SF22', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN-RELATED', 87348),
(143623, 'PTHR10763:SF29', NULL, NULL, NULL, NULL, 'ORC1-TYPE DNA REPLICATION PROTEIN 2', 87349),
(143624, 'PTHR20855:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87350),
(143625, 'PTHR21564:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 608', 87351),
(143626, 'PTHR11685:SF278', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 87352),
(143627, 'PTHR30212', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 87353),
(143628, 'PTHR16146:SF38', NULL, NULL, NULL, NULL, 'INTELECTIN-1', 87354),
(143629, 'PTHR32467:SF4', NULL, NULL, NULL, NULL, 'OS02G0499000 PROTEIN', 87355),
(143630, 'PTHR20854:SF45', NULL, NULL, NULL, NULL, 'INOSITOL MONOPHOSPHATASE 3', 87356),
(143631, 'PTHR42646', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE XNI', 87357),
(143632, 'PTHR31479:SF18', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE PLANT-LIKE PROTEIN', 87358),
(143633, 'PTHR21561:SF16', NULL, NULL, NULL, NULL, 'PAPA-1-LIKE FAMILY PROTEIN / ZINC FINGER (HIT TYPE) FAMILY PROTEIN', 87359),
(143634, 'PTHR24180:SF30', NULL, NULL, NULL, NULL, 'BNAC01G30990D PROTEIN', 87360),
(143635, 'PTHR33476:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87361),
(143636, 'PTHR35182:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG20471', 87362),
(143637, 'PTHR24056:SF417', NULL, NULL, NULL, NULL, 'CONTROL PROTEIN 2 HOMOLOG 6, PUTATIVE-RELATED', 87363),
(143638, 'PTHR24404:SF35', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 639', 87364),
(143639, 'PTHR43574:SF11', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 87365),
(143640, 'PTHR33596:SF20', NULL, NULL, NULL, NULL, 'COLD-REGULATED 413 PLASMA MEMBRANE PROTEIN 2-LIKE', 87366),
(143641, 'PTHR33088:SF43', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 87367),
(143642, 'PTHR45642:SF91', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 87368),
(143643, 'PTHR31985:SF207', NULL, NULL, NULL, NULL, 'AP2-EREBP TRANSCRIPTION FACTOR', 87369),
(143644, 'PTHR11827:SF68', NULL, NULL, NULL, NULL, 'CATION-CHLORIDE COTRANSPORTER 2', 87370),
(143645, 'PTHR13183', NULL, NULL, NULL, NULL, 'AXONEMAL INNER ARM DYNEIN LIGHT CHAIN 28', 87371),
(143646, 'PTHR14226:SF30', NULL, NULL, NULL, NULL, 'OS03G0810900 PROTEIN', 87372),
(143647, 'PTHR13283:SF13', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 8', 87373),
(143648, 'PTHR23172:SF81', NULL, NULL, NULL, NULL, 'AUXILIN-LIKE PROTEIN 1', 87374),
(143649, 'PTHR47785:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14530)-RELATED', 87375),
(143650, 'PTHR32208:SF76', NULL, NULL, NULL, NULL, 'BNAC08G46840D PROTEIN', 87376),
(143651, 'PTHR45648:SF84', NULL, NULL, NULL, NULL, 'BNAA09G41930D PROTEIN', 87377),
(143652, 'PTHR21456:SF4', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 102 MEMBER BA', 87378),
(143653, 'PTHR31769', NULL, NULL, NULL, NULL, 'OS07G0462200 PROTEIN-RELATED', 87379),
(143654, 'PTHR31992:SF191', NULL, NULL, NULL, NULL, 'DOF DOMAIN ZINC FINGER PROTEIN', 87380),
(143655, 'PTHR46649', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 87381),
(143656, 'PTHR46077:SF1', NULL, NULL, NULL, NULL, 'TOPOISOMERASE I-BINDING, ARGININE/SERINE-RICH A-RELATED', 87382),
(143657, 'PTHR11985:SF30', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', 87383),
(143658, 'PTHR23429:SF11', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE 2, CHLOROPLASTIC', 87384),
(143659, 'PTHR34139:SF1', NULL, NULL, NULL, NULL, 'UPF0331 PROTEIN MJ0127', 87385),
(143660, 'PTHR11959:SF1', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE', 87386),
(143661, 'PTHR24068:SF318', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME/RWD-LIKE PROTEIN-RELATED', 87387),
(143662, 'PTHR23070:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87388),
(143663, 'PTHR11761:SF33', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23-LIKE', 87389);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(143664, 'PTHR31259:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87390),
(143665, 'PTHR42101', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 87391),
(143666, 'PTHR10218:SF222', NULL, NULL, NULL, NULL, 'EXTRA-LARGE GUANINE NUCLEOTIDE-BINDING PROTEIN 1', 87392),
(143667, 'PTHR43820:SF4', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN LIVF', 87393),
(143668, 'PTHR45968:SF19', NULL, NULL, NULL, NULL, 'GLUCOSE-METHANOL-CHOLINE (GMC) OXIDOREDUCTASE FAMILY PROTEIN', 87394),
(143669, 'PTHR31259', NULL, NULL, NULL, NULL, 'ENDOSOME-ASSOCIATED TRAFFICKING REGULATOR 1', 87395),
(143670, 'PTHR45689:SF8', NULL, NULL, NULL, NULL, 'HYPERPOLARIZATION-ACTIVATED CYCLIC NUCLEOTIDE-GATED POTASSIUM CHANNEL 5', 87396),
(143671, 'PTHR43939:SF63', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', 87397),
(143672, 'PTHR11588:SF321', NULL, NULL, NULL, NULL, 'TUBULIN BETA-6 CHAIN', 87398),
(143673, 'PTHR34298', NULL, NULL, NULL, NULL, 'SEGREGATION AND CONDENSATION PROTEIN B', 87399),
(143674, 'PTHR32241:SF23', NULL, NULL, NULL, NULL, 'PATATIN', 87400),
(143675, 'PTHR11527:SF332', NULL, NULL, NULL, NULL, '17.5 KDA CLASS I HEAT SHOCK PROTEIN', 87401),
(143676, 'PTHR12493', NULL, NULL, NULL, NULL, 'CUE DOMAIN CONTAINING 2', 87402),
(143677, 'PTHR13130:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 27', 87403),
(143678, 'PTHR24095:SF126', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE, CYTOPLASMIC', 87404),
(143679, 'PTHR11214:SF296', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 87405),
(143680, 'PTHR11759:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87406),
(143681, 'PTHR31549:SF137', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', 87407),
(143682, 'PTHR45654:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87408),
(143683, 'PTHR33018', NULL, NULL, NULL, NULL, 'OS10G0338966 PROTEIN-RELATED', 87409),
(143684, 'PTHR24298:SF81', NULL, NULL, NULL, NULL, 'ORYZALEXIN E SYNTHASE', 87410),
(143685, 'PTHR31966:SF17', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN PHOS34-LIKE', 87411),
(143686, 'PTHR10159:SF504', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE VHP-1', 87412),
(143687, 'PTHR33077:SF84', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10A-LIKE', 87413),
(143688, 'PTHR32499:SF10', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 18', 87414),
(143689, 'PTHR23018:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', 87415),
(143690, 'PTHR11903', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN G/H SYNTHASE', 87416),
(143691, 'PTHR43114:SF6', NULL, NULL, NULL, NULL, 'ADENOSINE/ADENINE DEAMINASE-RELATED', 87417),
(143692, 'PTHR24012:SF782', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87418),
(143693, 'PTHR46311:SF4', NULL, NULL, NULL, NULL, 'CALNEURON 2', 87419),
(143694, 'PTHR30520', NULL, NULL, NULL, NULL, 'FORMATE TRANSPORTER-RELATED', 87420),
(143695, 'PTHR42715', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE', 87421),
(143696, 'PTHR10782:SF77', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF VARIEGATION 2-10, ISOFORM I', 87422),
(143697, 'PTHR44215:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 75', 87423),
(143698, 'PTHR46151:SF17', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN-LIKE 1-RELATED', 87424),
(143699, 'PTHR24034:SF111', NULL, NULL, NULL, NULL, 'FI18763P1-RELATED', 87425),
(143700, 'PTHR33083:SF94', NULL, NULL, NULL, NULL, 'BNAC03G59240D PROTEIN', 87426),
(143701, 'PTHR24303:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 513D1-RELATED', 87427),
(143702, 'PTHR47928:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87428),
(143703, 'PTHR33941:SF11', NULL, NULL, NULL, NULL, 'PROPANEDIOL UTILIZATION PROTEIN PDUA', 87429),
(143704, 'PTHR19376:SF57', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', 87430),
(143705, 'PTHR33738:SF16', NULL, NULL, NULL, NULL, 'CELL WALL RBR3-LIKE PROTEIN', 87431),
(143706, 'PTHR24241:SF20', NULL, NULL, NULL, NULL, 'VASOPRESSIN V2 RECEPTOR', 87432),
(143707, 'PTHR43601:SF19', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 2, CHLOROPLASTIC', 87433); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(143708, 'PTHR22883:SF375', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 7-RELATED', 87434),
(143709, 'PTHR47999:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB32', 87435),
(143710, 'PTHR45974:SF129', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 87436),
(143711, 'PTHR15298:SF16', NULL, NULL, NULL, NULL, 'GLYCINE N-ACYLTRANSFERASE-LIKE PROTEIN 1B-RELATED', 87437),
(143712, 'PTHR24345:SF42', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK3', 87438),
(143713, 'PTHR33384:SF31', NULL, NULL, NULL, NULL, 'BNAC08G40360D PROTEIN', 87439),
(143714, 'PTHR47979:SF21', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1F-LIKE', 87440),
(143715, 'PTHR42888', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L36, CHLOROPLASTIC', 87441),
(143716, 'PTHR34553:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87442),
(143717, 'PTHR15710:SF63', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 87443),
(143718, 'PTHR46352:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SENSITIVE TO PROTON RHIZOTOXICITY 1', 87444),
(143719, 'PTHR36792:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 87445),
(143720, 'PTHR46128:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87446),
(143721, 'PTHR11575:SF43', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN PHOSPHATASE FAMILY (AFU_ORTHOLOGUE AFUA_3G04160)', 87447),
(143722, 'PTHR43016:SF14', NULL, NULL, NULL, NULL, 'METALLOENZYME, LUXS/M16 PEPTIDASE-LIKE', 87448),
(143723, 'PTHR31429:SF76', NULL, NULL, NULL, NULL, 'WRKY FAMILY TRANSCRIPTION FACTOR-RELATED', 87449),
(143724, 'PTHR24115:SF546', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF14', 87450),
(143725, 'PTHR23150:SF26', NULL, NULL, NULL, NULL, 'HERCYNINE OXYGENASE', 87451),
(143726, 'PTHR47176:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0020J04.13 PROTEIN', 87452),
(143727, 'PTHR45663:SF28', NULL, NULL, NULL, NULL, 'BNAC03G69070D PROTEIN', 87453),
(143728, 'PTHR32444', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 87454),
(143729, 'PTHR48021:SF45', NULL, NULL, NULL, NULL, 'OS03G0363500 PROTEIN', 87455),
(143730, 'PTHR24020:SF34', NULL, NULL, NULL, NULL, 'FIBRONECTIN', 87456),
(143731, 'PTHR38166', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 87457),
(143732, 'PTHR43112:SF11', NULL, NULL, NULL, NULL, 'FERREDOXIN-6, CHLOROPLASTIC', 87458),
(143733, 'PTHR31126:SF42', NULL, NULL, NULL, NULL, 'OS06G0208700 PROTEIN', 87459),
(143734, 'PTHR32175:SF24', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 87460),
(143735, 'PTHR15241:SF328', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 1', 87461),
(143736, 'PTHR10168:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87462),
(143737, 'PTHR23410:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L5', 87463),
(143738, 'PTHR45732:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8A', 87464),
(143739, 'PTHR46020:SF18', NULL, NULL, NULL, NULL, 'BNAA09G16180D PROTEIN', 87465),
(143740, 'PTHR46335:SF1', NULL, NULL, NULL, NULL, 'CUBILIN', 87466),
(143741, 'PTHR34802:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87467),
(143742, 'PTHR16181:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FAM83G', 87468),
(143743, 'PTHR11439:SF349', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87469),
(143744, 'PTHR31062:SF197', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 87470),
(143745, 'PTHR14096:SF34', NULL, NULL, NULL, NULL, 'SI:RP71-1G18.13', 87471),
(143746, 'PTHR38894:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87472),
(143747, 'PTHR10878', NULL, NULL, NULL, NULL, 'SEGMENT POLARITY PROTEIN DISHEVELLED', 87473),
(143748, 'PTHR23316:SF78', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', 87474),
(143749, 'PTHR31343:SF43', NULL, NULL, NULL, NULL, 'BNAC06G23730D PROTEIN', 87475),
(143750, 'PTHR24327:SF72', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NANOG-RELATED', 87476),
(143751, 'PTHR24347:SF379', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE FAMILY MEMBER 4', 87477),
(143752, 'PTHR31707:SF220', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 35-RELATED', 87478),
(143753, 'PTHR46405:SF7', NULL, NULL, NULL, NULL, 'MND1-INTERACTING PROTEIN 1', 87479);
INSERT INTO "PUBLIC"."MODEL" VALUES
(143754, 'PTHR34339', NULL, NULL, NULL, NULL, 'STIMULATOR OF INTERFERON GENES PROTEIN', 87480),
(143755, 'PTHR31321:SF33', NULL, NULL, NULL, NULL, 'PECTINESTERASE 8-RELATED', 87481),
(143756, 'PTHR31674:SF23', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM13', 87482),
(143757, 'PTHR36726:SF3', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE401 PROTEIN', 87483),
(143758, 'PTHR33573:SF22', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 87484),
(143759, 'PTHR31561:SF94', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 87485),
(143760, 'PTHR48007:SF19', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 1', 87486),
(143761, 'PTHR30437:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR GREB', 87487),
(143762, 'PTHR13140:SF353', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IH', 87488),
(143763, 'PTHR21213:SF22', NULL, NULL, NULL, NULL, 'PROTEIN METHYLENE BLUE SENSITIVITY 2', 87489),
(143764, 'PTHR22835:SF506', NULL, NULL, NULL, NULL, 'OS01G0223200 PROTEIN', 87490),
(143765, 'PTHR15036', NULL, NULL, NULL, NULL, 'PIKACHURIN-LIKE PROTEIN', 87491),
(143766, 'PTHR36955', NULL, NULL, NULL, NULL, 'SECRETED NEMATODE CLADE V PROTEIN GENE FAMILY', 87492),
(143767, 'PTHR46693', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 15', 87493),
(143768, 'PTHR48007', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXC1', 87494),
(143769, 'PTHR10641:SF1122', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 87495),
(143770, 'PTHR19367:SF5', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 9D-4-RELATED', 87496),
(143771, 'PTHR10890:SF24', NULL, NULL, NULL, NULL, 'OS10G0463100 PROTEIN', 87497),
(143772, 'PTHR44329:SF201', NULL, NULL, NULL, NULL, 'BNAA05G33820D PROTEIN', 87498),
(143773, 'PTHR34481:SF5', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE/TRYPSIN INHIBITOR CM3', 87499),
(143774, 'PTHR10288:SF303', NULL, NULL, NULL, NULL, 'BNAA09G45750D PROTEIN', 87500),
(143775, 'PTHR45619:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 87501),
(143776, 'PTHR26312:SF116', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 87502),
(143777, 'PTHR24343:SF325', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK5', 87503),
(143778, 'PTHR30620:SF33', NULL, NULL, NULL, NULL, 'BETA-D-GLUCAN EXOHYDROLASE-LIKE PROTEIN', 87504),
(143779, 'PTHR12265:SF9', NULL, NULL, NULL, NULL, 'DUF829 DOMAIN PROTEIN', 87505),
(143780, 'PTHR14207:SF4', NULL, NULL, NULL, NULL, 'EMOPAMIL-BINDING PROTEIN-LIKE', 87506),
(143781, 'PTHR19229:SF236', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 12', 87507),
(143782, 'PTHR13947', NULL, NULL, NULL, NULL, 'GNAT FAMILY N-ACETYLTRANSFERASE', 87508),
(143783, 'PTHR39441:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87509),
(143784, 'PTHR15717', NULL, NULL, NULL, NULL, 'PROTEIN KIAA0494', 87510),
(143785, 'PTHR15859', NULL, NULL, NULL, NULL, 'SETA BINDING PROTEIN 1', 87511),
(143786, 'PTHR11732:SF458', NULL, NULL, NULL, NULL, 'BNAC03G74940D PROTEIN', 87512),
(143787, 'PTHR46193', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE PHOSPHATASE', 87513),
(143788, 'PTHR27000:SF191', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE-RELATED', 87514),
(143789, 'PTHR33975:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87515),
(143790, 'PTHR13693:SF83', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE, LONG CHAIN BASE SUBUNIT 2B', 87516),
(143791, 'PTHR24369:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87517),
(143792, 'PTHR11375:SF0', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY MEMBER A', 87518),
(143793, 'PTHR11461:SF314', NULL, NULL, NULL, NULL, 'SERPIN-ZXA-LIKE', 87519),
(143794, 'PTHR13832:SF783', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE, MG2+/MN2+-DEPENDENT, 1J', 87520),
(143795, 'PTHR10797:SF49', NULL, NULL, NULL, NULL, 'OS06G0503900 PROTEIN', 87521),
(143796, 'PTHR48011:SF79', NULL, NULL, NULL, NULL, 'KINASE SUPERFAMILY PROTEIN', 87522),
(143797, 'PTHR10566:SF45', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE PHOSPHOTRANSFERASE', 87523);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(143798, 'PTHR48013:SF3', NULL, NULL, NULL, NULL, 'SAPK/ERK KINASE', 87524),
(143799, 'PTHR15184:SF58', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA, MITOCHONDRIAL', 87525),
(143800, 'PTHR23024:SF496', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87526),
(143801, 'PTHR27003:SF367', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 87527),
(143802, 'PTHR12080:SF56', NULL, NULL, NULL, NULL, 'NATURAL KILLER CELL RECEPTOR 2B4', 87528),
(143803, 'PTHR46915:SF12', NULL, NULL, NULL, NULL, 'BNAANNG03310D PROTEIN', 87529),
(143804, 'PTHR34826:SF2', NULL, NULL, NULL, NULL, 'UPF0590 PROTEIN C409.17C', 87530),
(143805, 'PTHR23116:SF29', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 7', 87531),
(143806, 'PTHR46344:SF4', NULL, NULL, NULL, NULL, 'KELCH REPEAT CONTAINING F-BOX PROTEIN FAMILY-LIKE', 87532),
(143807, 'PTHR10174:SF223', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN PINTA', 87533),
(143808, 'PTHR36777', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 87534),
(143809, 'PTHR11736:SF83', NULL, NULL, NULL, NULL, 'TROPHININ', 87535),
(143810, 'PTHR35614:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87536),
(143811, 'PTHR41533:SF1', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE HI_1667-RELATED', 87537),
(143812, 'PTHR35807:SF3', NULL, NULL, NULL, NULL, 'BLL5740 PROTEIN', 87538),
(143813, 'PTHR33132:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87539),
(143814, 'PTHR12552:SF1', NULL, NULL, NULL, NULL, 'GTPASE REGULATOR ASSOCIATED WITH FAK, ISOFORM G', 87540),
(143815, 'PTHR36223:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87541),
(143816, 'PTHR34461:SF4', NULL, NULL, NULL, NULL, 'OS01G0101800 PROTEIN', 87542),
(143817, 'PTHR23359:SF85', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE', 87543),
(143818, 'PTHR11960:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87544),
(143819, 'PTHR44419:SF11', NULL, NULL, NULL, NULL, 'NADPH-PROTOCHLOROPHYLLIDE OXIDOREDUCTASE', 87545),
(143820, 'PTHR47977:SF2', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABD2A-LIKE', 87546),
(143821, 'PTHR31692:SF88', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN B1', 87547),
(143822, 'PTHR24068:SF153', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 W', 87548),
(143823, 'PTHR45746:SF8', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN-SIGNALING 9A', 87549),
(143824, 'PTHR31168:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87550),
(143825, 'PTHR11471:SF24', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 15', 87551),
(143826, 'PTHR18966:SF379', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 87552),
(143827, 'PTHR31213:SF156', NULL, NULL, NULL, NULL, 'PYR1-LIKE 3', 87553),
(143828, 'PTHR16566', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-II', 87554),
(143829, 'PTHR13878:SF67', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE 5', 87555),
(143830, 'PTHR45621:SF190', NULL, NULL, NULL, NULL, 'OS07G0495150 PROTEIN', 87556),
(143831, 'PTHR19879:SF5', NULL, NULL, NULL, NULL, 'LD16387P', 87557),
(143832, 'PTHR11328:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87558),
(143833, 'PTHR31681:SF41', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF295)-RELATED', 87559),
(143834, 'PTHR31472:SF23', NULL, NULL, NULL, NULL, 'F11M21.26 PROTEIN', 87560),
(143835, 'PTHR45859', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT BETA', 87561),
(143836, 'PTHR47972:SF34', NULL, NULL, NULL, NULL, 'P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', 87562),
(143837, 'PTHR21472', NULL, NULL, NULL, NULL, 'ENDONUCLEASE DOMAIN-CONTAINING 1 PROTEIN ENDOD1', 87563),
(143838, 'PTHR31134', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 128', 87564),
(143839, 'PTHR24078:SF539', NULL, NULL, NULL, NULL, 'OS05G0427900 PROTEIN', 87565),
(143840, 'PTHR23262:SF209', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-12-RELATED', 87566),
(143841, 'PTHR10671:SF82', NULL, NULL, NULL, NULL, 'FI18012P1', 87567),
(143842, 'PTHR33320:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87568);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(143843, 'PTHR31750:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87569),
(143844, 'PTHR15598', NULL, NULL, NULL, NULL, 'ENHANCER OF MRNA-DECAPPING PROTEIN 4', 87570),
(143845, 'PTHR31668:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN DAL81', 87571),
(143846, 'PTHR24347:SF411', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87572),
(143847, 'PTHR27008:SF470', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 87573),
(143848, 'PTHR12542:SF117', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 87574),
(143849, 'PTHR38564:SF2', NULL, NULL, NULL, NULL, 'SI:CH73-250A16.5', 87575),
(143850, 'PTHR10653:SF5', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA-1', 87576),
(143851, 'PTHR21446:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87577),
(143852, 'PTHR31907:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87578),
(143853, 'PTHR11476', NULL, NULL, NULL, NULL, 'HISTIDYL-TRNA SYNTHETASE', 87579),
(143854, 'PTHR30146:SF115', NULL, NULL, NULL, NULL, 'CATABOLITE CONTROL PROTEIN A', 87580),
(143855, 'PTHR14195', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN CONTAINING PROTEIN 2', 87581),
(143856, 'PTHR20889:SF5', NULL, NULL, NULL, NULL, 'OS02G0226200 PROTEIN', 87582),
(143857, 'PTHR31741:SF66', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 20', 87583),
(143858, 'PTHR22596', NULL, NULL, NULL, NULL, 'TRYPSIN-LIKE PROTEASE PROTEIN 6', 87584),
(143859, 'PTHR45630:SF8', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', 87585),
(143860, 'PTHR45811:SF45', NULL, NULL, NULL, NULL, 'BNAA09G05140D PROTEIN', 87586),
(143861, 'PTHR48112:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87587),
(143862, 'PTHR46133:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH115', 87588),
(143863, 'PTHR10896:SF59', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX9-RELATED', 87589),
(143864, 'PTHR46261:SF3', NULL, NULL, NULL, NULL, 'HMG PROTEIN', 87590),
(143865, 'PTHR43669:SF6', NULL, NULL, NULL, NULL, 'DECAPRENYLPHOSPHORYL-2-KETO-BETA-D-ERYTHRO-PENTOSE REDUCTASE', 87591),
(143866, 'PTHR10033', NULL, NULL, NULL, NULL, 'CALSEQUESTRIN', 87592),
(143867, 'PTHR11207:SF1', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 1', 87593),
(143868, 'PTHR23500', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER', 87594),
(143869, 'PTHR11594:SF11', NULL, NULL, NULL, NULL, 'LRRGT00162', 87595),
(143870, 'PTHR33070:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87596),
(143871, 'PTHR22811:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87597),
(143872, 'PTHR23138:SF143', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 1 HOMOLOG A-LIKE ISOFORM X1', 87598),
(143873, 'PTHR31241:SF41', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2D', 87599),
(143874, 'PTHR14017:SF5', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 6B', 87600),
(143875, 'PTHR22847:SF679', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN', 87601),
(143876, 'PTHR45924:SF3', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 2', 87602),
(143877, 'PTHR13142', NULL, NULL, NULL, NULL, 'INNER CENTROMERE PROTEIN', 87603),
(143878, 'PTHR47855', NULL, NULL, NULL, NULL, 'OS01G0525701 PROTEIN', 87604),
(143879, 'PTHR10366:SF451', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87605),
(143880, 'PTHR30188:SF14', NULL, NULL, NULL, NULL, 'BNAA06G38530D PROTEIN', 87606),
(143881, 'PTHR45614:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87607),
(143882, 'PTHR11614:SF160', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 87608),
(143883, 'PTHR46600:SF1', NULL, NULL, NULL, NULL, 'AGAP007257-PA', 87609),
(143884, 'PTHR19282:SF444', NULL, NULL, NULL, NULL, 'TETRASPANIN TSPE-RELATED', 87610),
(143885, 'PTHR35134:SF2', NULL, NULL, NULL, NULL, 'NUCLEOTIDASE YQFW-RELATED', 87611),
(143886, 'PTHR28635:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE INNER EAR EXPRESSED PROTEIN', 87612),
(143887, 'PTHR18945:SF385', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT BETA-4', 87613);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(143888, 'PTHR47956:SF50', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DIHYDROCAMALEXATE SYNTHASE/CAMALEXIN SYNTHASE-RELATED', 87614),
(143889, 'PTHR26450:SF16', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 87615),
(143890, 'PTHR23352', NULL, NULL, NULL, NULL, 'NEURAL PROLIFERATION DIFFERENTIATION AND CONTROL PROTEIN-1  NPDC-1 PROTEIN', 87616),
(143891, 'PTHR10829:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87617),
(143892, 'PTHR34291:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87618),
(143893, 'PTHR19375:SF397', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 9, MITOCHONDRIAL', 87619),
(143894, 'PTHR12271:SF95', NULL, NULL, NULL, NULL, 'POLY(U) POLYMERASE', 87620),
(143895, 'PTHR10462', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', 87621),
(143896, 'PTHR35368:SF1', NULL, NULL, NULL, NULL, 'HYDROPEROXIDE REDUCTASE', 87622),
(143897, 'PTHR30330:SF7', NULL, NULL, NULL, NULL, 'SODIUM/PROTON-DEPENDENT ALANINE CARRIER PROTEIN YRBD-RELATED', 87623),
(143898, 'PTHR15315:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87624),
(143899, 'PTHR24230:SF64', NULL, NULL, NULL, NULL, 'KISS1 RECEPTOR A', 87625),
(143900, 'PTHR45932:SF19', NULL, NULL, NULL, NULL, 'PATELLIN-4-LIKE', 87626),
(143901, 'PTHR31374:SF288', NULL, NULL, NULL, NULL, 'BNAC03G27910D PROTEIN', 87627),
(143902, 'PTHR42951:SF14', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE MJ0296-RELATED', 87628),
(143903, 'PTHR30632:SF6', NULL, NULL, NULL, NULL, 'MOLYBDENUM-BINDING PERIPLASMIC PROTEIN', 87629),
(143904, 'PTHR26451:SF405', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 530-RELATED', 87630),
(143905, 'PTHR47933:SF34', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 87631),
(143906, 'PTHR33142:SF55', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR14', 87632),
(143907, 'PTHR35684', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 87633),
(143908, 'PTHR21340:SF5', NULL, NULL, NULL, NULL, 'MUTT-LIKE PROTEIN-RELATED', 87634),
(143909, 'PTHR38542', NULL, NULL, NULL, NULL, 'OS04G0450500 PROTEIN', 87635),
(143910, 'PTHR24231:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87636),
(143911, 'PTHR46236:SF11', NULL, NULL, NULL, NULL, 'TRAF-LIKE SUPERFAMILY PROTEIN', 87637),
(143912, 'PTHR13780:SF128', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX5', 87638),
(143913, 'PTHR46243:SF1', NULL, NULL, NULL, NULL, 'BIS(5''-ADENOSYL)-TRIPHOSPHATASE', 87639),
(143914, 'PTHR10026:SF124', NULL, NULL, NULL, NULL, 'CYCLIN-T1-3', 87640),
(143915, 'PTHR34134:SF2', NULL, NULL, NULL, NULL, 'SLR0240 PROTEIN', 87641),
(143916, 'PTHR12805:SF2', NULL, NULL, NULL, NULL, 'BNAA05G13760D PROTEIN', 87642),
(143917, 'PTHR31182:SF17', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 PROTEIN AMINO-TERMINAL DOMAIN PROTEIN', 87643),
(143918, 'PTHR43139:SF13', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 87644),
(143919, 'PTHR42895', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER-BINDING PROTEIN-RELATED', 87645),
(143920, 'PTHR22767:SF2', NULL, NULL, NULL, NULL, 'N(ALPHA)-ACETYLTRANSFERASE 15/16, ISOFORM A', 87646),
(143921, 'PTHR21503:SF32', NULL, NULL, NULL, NULL, 'PROTEIN CBG10639', 87647),
(143922, 'PTHR15186:SF5', NULL, NULL, NULL, NULL, 'RE48077P', 87648),
(143923, 'PTHR31834:SF1', NULL, NULL, NULL, NULL, 'INITIATION-SPECIFIC ALPHA-1,6-MANNOSYLTRANSFERASE', 87649),
(143924, 'PTHR11817:SF99', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 87650),
(143925, 'PTHR47322:SF7', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 87651),
(143926, 'PTHR23058:SF13', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX14-LIKE', 87652),
(143927, 'PTHR19981:SF33', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN C', 87653),
(143928, 'PTHR13556', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER 3-RELATED', 87654),
(143929, 'PTHR47074:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87655),
(143930, 'PTHR27006:SF389', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 87656),
(143931, 'PTHR31618:SF26', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', 87657),
(143932, 'PTHR45786:SF45', NULL, NULL, NULL, NULL, 'BNAA03G53790D PROTEIN', 87658);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(143933, 'PTHR13490:SF0', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S35, MITOCHONDRIAL', 87659),
(143934, 'PTHR47990:SF132', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP1-RELATED', 87660),
(143935, 'PTHR32387:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87661),
(143936, 'PTHR24393:SF85', NULL, NULL, NULL, NULL, 'FI01120P', 87662),
(143937, 'PTHR31325:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87663),
(143938, 'PTHR23113:SF180', NULL, NULL, NULL, NULL, 'RAS-SPECIFIC GUANINE NUCLEOTIDE-RELEASING FACTOR RALGPS2', 87664),
(143939, 'PTHR11903:SF6', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN G/H SYNTHASE 1', 87665),
(143940, 'PTHR46288:SF13', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 87666),
(143941, 'PTHR10533:SF16', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y', 87667),
(143942, 'PTHR35742:SF1', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 16.5 KDA PROTEIN, CHLOROPLASTIC', 87668),
(143943, 'PTHR31458', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE 1 BETA-LIKE PROTEIN 2', 87669),
(143944, 'PTHR22943:SF97', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 87670),
(143945, 'PTHR43056:SF5', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 87671),
(143946, 'PTHR11732:SF134', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER C4', 87672),
(143947, 'PTHR16489:SF12', NULL, NULL, NULL, NULL, 'GH11727P', 87673),
(143948, 'PTHR45972', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 87674),
(143949, 'PTHR48047:SF84', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 87675),
(143950, 'PTHR12015:SF151', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 3-LIKE 1', 87676),
(143951, 'PTHR43880:SF44', NULL, NULL, NULL, NULL, 'OS03G0189600 PROTEIN', 87677),
(143952, 'PTHR24012:SF455', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 7', 87678),
(143953, 'PTHR47992:SF52', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 49-RELATED', 87679),
(143954, 'PTHR37723', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED ELONGATED HYPOCOTYL 1', 87680),
(143955, 'PTHR22980', NULL, NULL, NULL, NULL, 'CORTISTATIN', 87681),
(143956, 'PTHR11414:SF17', NULL, NULL, NULL, NULL, 'MCG130173-RELATED', 87682),
(143957, 'PTHR31907:SF12', NULL, NULL, NULL, NULL, 'BNAC07G13220D PROTEIN', 87683),
(143958, 'PTHR22957:SF584', NULL, NULL, NULL, NULL, 'TBC DOMAIN CONTAINING PROTEIN', 87684),
(143959, 'PTHR47961:SF2', NULL, NULL, NULL, NULL, 'DEAD/DEAH BOX HELICASE FAMILY PROTEIN, EXPRESSED', 87685),
(143960, 'PTHR11017:SF382', NULL, NULL, NULL, NULL, 'BNAA02G23800D PROTEIN', 87686),
(143961, 'PTHR14058:SF10', NULL, NULL, NULL, NULL, 'AMYLOID-BETA A4 PRECURSOR PROTEIN-BINDING FAMILY B MEMBER 3', 87687),
(143962, 'PTHR43157:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87688),
(143963, 'PTHR31769:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87689),
(143964, 'PTHR24349:SF432', NULL, NULL, NULL, NULL, 'BNAC07G32550D PROTEIN', 87690),
(143965, 'PTHR42076:SF1', NULL, NULL, NULL, NULL, 'CYANOVIRIN-N HOMOLOG', 87691),
(143966, 'PTHR33065:SF64', NULL, NULL, NULL, NULL, 'OS12G0619700 PROTEIN', 87692),
(143967, 'PTHR26454:SF6', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 87693),
(143968, 'PTHR43215', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 87694),
(143969, 'PTHR32410:SF188', NULL, NULL, NULL, NULL, 'BNAC01G29790D PROTEIN', 87695),
(143970, 'PTHR15171:SF2', NULL, NULL, NULL, NULL, 'EMERIN', 87696),
(143971, 'PTHR31181:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87697),
(143972, 'PTHR47464:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87698),
(143973, 'PTHR22883:SF323', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 19-RELATED', 87699),
(143974, 'PTHR16206:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87700),
(143975, 'PTHR11088:SF56', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE 7, MITOCHONDRIAL', 87701),
(143976, 'PTHR22597:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87702),
(143977, 'PTHR37784:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MSN1', 87703),
(143978, 'PTHR47432:SF1', NULL, NULL, NULL, NULL, 'CELL WALL ASSEMBLY REGULATOR SMI1', 87704);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(143979, 'PTHR31623:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87705),
(143980, 'PTHR11654:SF432', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.2-LIKE', 87706),
(143981, 'PTHR22883:SF347', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 87707),
(143982, 'PTHR10044:SF163', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 7', 87708),
(143983, 'PTHR22594:SF16', NULL, NULL, NULL, NULL, 'ASPARAGINE--TRNA LIGASE, CYTOPLASMIC', 87709),
(143984, 'PTHR38160:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 13', 87710),
(143985, 'PTHR42893:SF34', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 87711),
(143986, 'PTHR10871:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87712),
(143987, 'PTHR34261:SF1', NULL, NULL, NULL, NULL, 'APC REGULATOR OF WNT-SIGNALING PATHWAY-RELATED', 87713),
(143988, 'PTHR31515:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87714),
(143989, 'PTHR48049:SF87', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71B7-RELATED', 87715),
(143990, 'PTHR45624:SF39', NULL, NULL, NULL, NULL, 'SUBSTRATE CARRIER PROTEIN-RELATED', 87716),
(143991, 'PTHR46410:SF10', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 2', 87717),
(143992, 'PTHR43811:SF12', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 9B', 87718),
(143993, 'PTHR22792:SF61', NULL, NULL, NULL, NULL, 'LA RIBONUCLEOPROTEIN DOMAIN FAMILY, MEMBER 6B', 87719),
(143994, 'PTHR47094:SF10', NULL, NULL, NULL, NULL, 'BNAA02G30370D PROTEIN', 87720),
(143995, 'PTHR47513:SF1', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER', 87721),
(143996, 'PTHR31564', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 16', 87722),
(143997, 'PTHR31081:SF13', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 4', 87723),
(143998, 'PTHR31358:SF15', NULL, NULL, NULL, NULL, 'OS06G0606800 PROTEIN', 87724),
(143999, 'PTHR13018:SF93', NULL, NULL, NULL, NULL, 'PROTEIN OSCA1', 87725),
(144000, 'PTHR10997:SF27', NULL, NULL, NULL, NULL, 'IMPORTIN-7', 87726),
(144001, 'PTHR47978:SF36', NULL, NULL, NULL, NULL, 'SEPTUM-PROMOTING GTP-BINDING PROTEIN 1-LIKE', 87727),
(144002, 'PTHR24219', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN JUB', 87728),
(144003, 'PTHR33287:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87729),
(144004, 'PTHR12984', NULL, NULL, NULL, NULL, 'SCY1-RELATED S/T PROTEIN KINASE-LIKE', 87730),
(144005, 'PTHR12271:SF111', NULL, NULL, NULL, NULL, 'TERMINAL URIDYLYLTRANSFERASE TAILOR', 87731),
(144006, 'PTHR31625:SF58', NULL, NULL, NULL, NULL, '5-AROMATIC ACYLTRANSFERASE, PUTATIVE-RELATED', 87732),
(144007, 'PTHR48027:SF4', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 87F-RELATED', 87733),
(144008, 'PTHR46078:SF3', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J3', 87734),
(144009, 'PTHR34569:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87735),
(144010, 'PTHR22931:SF9', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE 1, CHLOROPLASTIC', 87736),
(144011, 'PTHR32468:SF107', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', 87737),
(144012, 'PTHR18957:SF0', NULL, NULL, NULL, NULL, 'CENTLEIN', 87738),
(144013, 'PTHR24412:SF459', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 12', 87739),
(144014, 'PTHR23345', NULL, NULL, NULL, NULL, 'VITELLOGENIN-RELATED', 87740),
(144015, 'PTHR47997:SF18', NULL, NULL, NULL, NULL, 'OS07G0497500 PROTEIN', 87741),
(144016, 'PTHR10656:SF30', NULL, NULL, NULL, NULL, 'PROTEIN MAB-21-LIKE 3', 87742),
(144017, 'PTHR27006:SF379', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87743),
(144018, 'PTHR11207:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87744),
(144019, 'PTHR10615:SF173', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY PROTEIN', 87745),
(144020, 'PTHR21348:SF2', NULL, NULL, NULL, NULL, 'SULFIREDOXIN-1', 87746),
(144021, 'PTHR33649:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87747),
(144022, 'PTHR26379:SF332', NULL, NULL, NULL, NULL, 'OS08G0128900 PROTEIN', 87748),
(144023, 'PTHR42240:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87749);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(144024, 'PTHR45637:SF68', NULL, NULL, NULL, NULL, 'BNAC03G12530D PROTEIN', 87750),
(144025, 'PTHR31901:SF78', NULL, NULL, NULL, NULL, 'BNAA07G01920D PROTEIN', 87751),
(144026, 'PTHR31190:SF277', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 87752),
(144027, 'PTHR22811:SF161', NULL, NULL, NULL, NULL, 'BNAC02G34920D PROTEIN', 87753),
(144028, 'PTHR44156:SF10', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 7', 87754),
(144029, 'PTHR23064:SF41', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 6', 87755),
(144030, 'PTHR13683:SF824', NULL, NULL, NULL, NULL, 'BNAANNG03840D PROTEIN', 87756),
(144031, 'PTHR24012:SF695', NULL, NULL, NULL, NULL, 'OS12G0577100 PROTEIN', 87757),
(144032, 'PTHR11588:SF370', NULL, NULL, NULL, NULL, 'PEROXIDASE', 87758),
(144033, 'PTHR45648:SF68', NULL, NULL, NULL, NULL, 'LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 87759),
(144034, 'PTHR47926:SF185', NULL, NULL, NULL, NULL, 'OS06G0472300 PROTEIN', 87760),
(144035, 'PTHR11685:SF99', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF144A', 87761),
(144036, 'PTHR13832:SF627', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE [ACETYL-TRANSFERRING]]-PHOSPHATASE 1, MITOCHONDRIAL', 87762),
(144037, 'PTHR37610:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87763),
(144038, 'PTHR23266:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87764),
(144039, 'PTHR48053:SF11', NULL, NULL, NULL, NULL, 'PROTEIN BRASSINOSTEROID INSENSITIVE 1', 87765),
(144040, 'PTHR11532:SF84', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE M', 87766),
(144041, 'PTHR43497:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87767),
(144042, 'PTHR39429:SF3', NULL, NULL, NULL, NULL, 'LIGHT-INDEPENDENT PROTOCHLOROPHYLLIDE REDUCTASE SUBUNIT N', 87768),
(144043, 'PTHR35360:SF2', NULL, NULL, NULL, NULL, 'OS01G0324125 PROTEIN', 87769),
(144044, 'PTHR24393:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 628', 87770),
(144045, 'PTHR14614:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87771),
(144046, 'PTHR28242:SF41', NULL, NULL, NULL, NULL, 'HISTIDINE CONTAINING PHOSPHOTRANSFER PROTEIN', 87772),
(144047, 'PTHR22957:SF555', NULL, NULL, NULL, NULL, 'BNAC04G48970D PROTEIN', 87773),
(144048, 'PTHR24055:SF452', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 1', 87774),
(144049, 'PTHR34861:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87775),
(144050, 'PTHR24355:SF18', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE', 87776),
(144051, 'PTHR38389', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 87777),
(144052, 'PTHR32246:SF87', NULL, NULL, NULL, NULL, 'PROTEIN SRC2-LIKE', 87778),
(144053, 'PTHR45687:SF49', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-7-LIKE', 87779),
(144054, 'PTHR24637:SF357', NULL, NULL, NULL, NULL, 'COLLAGEN', 87780),
(144055, 'PTHR45942:SF4', NULL, NULL, NULL, NULL, 'CALCINEURIN SUBUNIT B TYPE 2', 87781),
(144056, 'PTHR10639:SF30', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', 87782),
(144057, 'PTHR34040:SF2', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLIQ', 87783),
(144058, 'PTHR22870:SF402', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION 1/BETA-LACTAMASE-INHIBITOR PROTEIN II-RELATED', 87784),
(144059, 'PTHR39649', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L40E', 87785),
(144060, 'PTHR43591:SF64', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-RELATED', 87786),
(144061, 'PTHR31744:SF112', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 3-LIKE', 87787),
(144062, 'PTHR11003:SF264', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, SUBFAMILY K, MEMBER 12-LIKE-RELATED', 87788),
(144063, 'PTHR14375:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 4931414P19', 87789),
(144064, 'PTHR10795:SF564', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.1', 87790),
(144065, 'PTHR12040:SF18', NULL, NULL, NULL, NULL, 'HISTONE CHAPERONE ASF1B-RELATED', 87791),
(144066, 'PTHR22997:SF6', NULL, NULL, NULL, NULL, 'PIH1 DOMAIN-CONTAINING PROTEIN 2', 87792),
(144067, 'PTHR13115:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 19', 87793);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(144068, 'PTHR11654:SF297', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.3', 87794),
(144069, 'PTHR11528:SF96', NULL, NULL, NULL, NULL, 'ENDOPLASMIN', 87795),
(144070, 'PTHR15947', NULL, NULL, NULL, NULL, 'SGRF', 87796),
(144071, 'PTHR31918:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 181', 87797),
(144072, 'PTHR46553:SF3', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 87798),
(144073, 'PTHR31683:SF125', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 87799),
(144074, 'PTHR24281:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87800),
(144075, 'PTHR11771:SF153', NULL, NULL, NULL, NULL, 'LIPOXYGENASE 6, CHLOROPLASTIC', 87801),
(144076, 'PTHR47935:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MRL1, CHLOROPLASTIC', 87802),
(144077, 'PTHR11802:SF190', NULL, NULL, NULL, NULL, 'PHEROMONE-PROCESSING CARBOXYPEPTIDASE KEX1', 87803),
(144078, 'PTHR47422:SF1', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', 87804),
(144079, 'PTHR37346', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 19', 87805),
(144080, 'PTHR15852:SF57', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ-LIKE PROTEIN', 87806),
(144081, 'PTHR31048:SF131', NULL, NULL, NULL, NULL, 'OS04G0576600 PROTEIN', 87807),
(144082, 'PTHR13832:SF767', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 47-RELATED', 87808),
(144083, 'PTHR31762:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', 87809),
(144084, 'PTHR13325', NULL, NULL, NULL, NULL, 'PROTEASE M50 MEMBRANE-BOUND TRANSCRIPTION FACTOR SITE 2 PROTEASE', 87810),
(144085, 'PTHR28384', NULL, NULL, NULL, NULL, 'PROGRESSIVE ANKYLOSIS PROTEIN HOMOLOG', 87811),
(144086, 'PTHR46011:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-86', 87812),
(144087, 'PTHR33788:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87813),
(144088, 'PTHR33870:SF7', NULL, NULL, NULL, NULL, 'OS12G0127650 PROTEIN', 87814),
(144089, 'PTHR21500:SF2', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE A', 87815),
(144090, 'PTHR48019:SF55', NULL, NULL, NULL, NULL, 'MIKC-TYPE MADS-BOX TRANSCRIPTION FACTOR WM31B', 87816),
(144091, 'PTHR31694:SF12', NULL, NULL, NULL, NULL, 'PROTEIN PCC13-62, PUTATIVE, EXPRESSED-RELATED', 87817),
(144092, 'PTHR10578:SF129', NULL, NULL, NULL, NULL, 'ALPHA-HYDROXY ACID DEHYDROGENASE, FMN-DEPENDENT, ALDOLASE-TYPE TIM BARREL-RELATED', 87818),
(144093, 'PTHR48020:SF20', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 4-LIKE', 87819),
(144094, 'PTHR23428:SF222', NULL, NULL, NULL, NULL, 'HISTONE H2B', 87820),
(144095, 'PTHR12419:SF59', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN DDB_G0284757-LIKE', 87821),
(144096, 'PTHR24637:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87822),
(144097, 'PTHR11680:SF47', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', 87823),
(144098, 'PTHR32153:SF52', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 87824),
(144099, 'PTHR26379:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87825),
(144100, 'PTHR13271:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87826),
(144101, 'PTHR10797:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87827),
(144102, 'PTHR24559:SF360', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87828),
(144103, 'PTHR23320:SF90', NULL, NULL, NULL, NULL, 'ZGC:113425', 87829),
(144104, 'PTHR20961:SF68', NULL, NULL, NULL, NULL, 'OS07G0657400 PROTEIN', 87830),
(144105, 'PTHR48112:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87831),
(144106, 'PTHR47934:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87832),
(144107, 'PTHR48040:SF1', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3', 87833),
(144108, 'PTHR24221:SF530', NULL, NULL, NULL, NULL, 'BNAA08G27160D PROTEIN', 87834),
(144109, 'PTHR30472:SF21', NULL, NULL, NULL, NULL, 'HEME-IRON TRANSPORT SYSTEM PERMEASE PROTEIN ISDF-RELATED', 87835),
(144110, 'PTHR10992:SF1055', NULL, NULL, NULL, NULL, 'BNAA02G29950D PROTEIN', 87836),
(144111, 'PTHR33055', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS1111A', 87837);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(144112, 'PTHR11010:SF94', NULL, NULL, NULL, NULL, 'PEPTIDASE S28-RELATED', 87838),
(144113, 'PTHR44102:SF14', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 87839),
(144114, 'PTHR33021', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN', 87840),
(144115, 'PTHR36436:SF6', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 87841),
(144116, 'PTHR12738:SF0', NULL, NULL, NULL, NULL, 'NEUROENDOCRINE PROTEIN 7B2', 87842),
(144117, 'PTHR28358:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 127', 87843),
(144118, 'PTHR27007:SF323', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 87844),
(144119, 'PTHR47926:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87845),
(144120, 'PTHR21535:SF51', NULL, NULL, NULL, NULL, 'MANGANESE RESISTANCE PROTEIN MNR2', 87846),
(144121, 'PTHR31374:SF293', NULL, NULL, NULL, NULL, 'BNAC05G15800D PROTEIN', 87847),
(144122, 'PTHR47651:SF1', NULL, NULL, NULL, NULL, 'HST3P', 87848),
(144123, 'PTHR47025:SF5', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE WITH RING/FYVE/PHD-TYPE ZINC FINGER DOMAIN-CONTAINING PROTEIN', 87849),
(144124, 'PTHR26453:SF232', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2A5', 87850),
(144125, 'PTHR13789:SF313', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14510)-RELATED', 87851),
(144126, 'PTHR32099:SF31', NULL, NULL, NULL, NULL, 'SALT STRESS RESPONSE/ANTIFUNGAL DOMAIN PROTEIN', 87852),
(144127, 'PTHR31412:SF0', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE EGY1, CHLOROPLASTIC-RELATED', 87853),
(144128, 'PTHR11220', NULL, NULL, NULL, NULL, 'HEME-BINDING PROTEIN-RELATED', 87854),
(144129, 'PTHR47740', NULL, NULL, NULL, NULL, 'LCK-INTERACTING TRANSMEMBRANE ADAPTER 1, LIME1', 87855),
(144130, 'PTHR31190:SF291', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B-LIKE', 87856),
(144131, 'PTHR11527:SF279', NULL, NULL, NULL, NULL, '17.4 KDA CLASS I HEAT SHOCK PROTEIN', 87857),
(144132, 'PTHR14869:SF0', NULL, NULL, NULL, NULL, 'MYC TARGET PROTEIN 1', 87858),
(144133, 'PTHR34651', NULL, NULL, NULL, NULL, 'SIMILAR TO ENSANGP00000021391', 87859),
(144134, 'PTHR45701:SF10', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN', 87860),
(144135, 'PTHR46031:SF20', NULL, NULL, NULL, NULL, 'BNAC04G15870D PROTEIN', 87861),
(144136, 'PTHR43644', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT', 87862),
(144137, 'PTHR45719:SF31', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14A-LIKE ISOFORM X1', 87863),
(144138, 'PTHR24223:SF222', NULL, NULL, NULL, NULL, 'OS01G0902100 PROTEIN', 87864),
(144139, 'PTHR21496:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87865),
(144140, 'PTHR31113:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87866),
(144141, 'PTHR18945:SF59', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT EPSILON', 87867),
(144142, 'PTHR31356:SF34', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 29 KDA PROTEIN, CHLOROPLASTIC', 87868),
(144143, 'PTHR33644:SF2', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 87869),
(144144, 'PTHR18966:SF492', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 87870),
(144145, 'PTHR46489:SF3', NULL, NULL, NULL, NULL, 'STEROIDOGENIC ACUTE REGULATORY PROTEIN, MITOCHONDRIAL', 87871),
(144146, 'PTHR32063:SF19', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN CUSA', 87872),
(144147, 'PTHR11247:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87873),
(144148, 'PTHR24256:SF449', NULL, NULL, NULL, NULL, 'IP20273P-RELATED', 87874),
(144149, 'PTHR13463', NULL, NULL, NULL, NULL, 'PROTEIN C10', 87875),
(144150, 'PTHR15736', NULL, NULL, NULL, NULL, 'PROTEIN FAM131B-RELATED', 87876),
(144151, 'PTHR23358:SF2', NULL, NULL, NULL, NULL, 'METHYLCYTOSINE DIOXYGENASE TET1', 87877),
(144152, 'PTHR31780:SF9', NULL, NULL, NULL, NULL, 'PHD-FINGER FAMILY PROTEIN', 87878),
(144153, 'PTHR46764:SF4', NULL, NULL, NULL, NULL, 'BNAC08G45940D PROTEIN', 87879),
(144154, 'PTHR19957:SF234', NULL, NULL, NULL, NULL, 'SYNTAXIN-121-LIKE', 87880),
(144155, 'PTHR31677:SF131', NULL, NULL, NULL, NULL, 'BNAA01G28970D PROTEIN', 87881);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(144156, 'PTHR45744:SF20', NULL, NULL, NULL, NULL, 'TYROSINE TRANSAMINASE FAMILY PROTEIN', 87882),
(144157, 'PTHR45768:SF27', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', 87883),
(144158, 'PTHR30086:SF12', NULL, NULL, NULL, NULL, 'CYSTEINE/O-ACETYLSERINE EFFLUX PROTEIN', 87884),
(144159, 'PTHR24416:SF407', NULL, NULL, NULL, NULL, 'PROTEIN CBG16624', 87885),
(144160, 'PTHR48044:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 87886),
(144161, 'PTHR21495:SF206', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 87887),
(144162, 'PTHR22602', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 87888),
(144163, 'PTHR10774:SF192', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 87889),
(144164, 'PTHR11804:SF80', NULL, NULL, NULL, NULL, 'BNAA07G24910D PROTEIN', 87890),
(144165, 'PTHR22624:SF35', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE ATG4A', 87891),
(144166, 'PTHR36586:SF12', NULL, NULL, NULL, NULL, 'LIVER STAGE ANTIGEN 3', 87892),
(144167, 'PTHR31241:SF63', NULL, NULL, NULL, NULL, 'BNAA01G31290D PROTEIN', 87893),
(144168, 'PTHR12697', NULL, NULL, NULL, NULL, 'PBS LYASE HEAT-LIKE PROTEIN', 87894),
(144169, 'PTHR24356:SF381', NULL, NULL, NULL, NULL, 'BNACNNG54240D PROTEIN', 87895),
(144170, 'PTHR45924:SF4', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 3', 87896),
(144171, 'PTHR46229', NULL, NULL, NULL, NULL, 'BOLA TRANSCRIPTION REGULATOR', 87897),
(144172, 'PTHR16119:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG03472', 87898),
(144173, 'PTHR46128:SF46', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 87899),
(144174, 'PTHR35492:SF1', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 87900),
(144175, 'PTHR11814:SF7', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER SULP-1A', 87901),
(144176, 'PTHR14149:SF10', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING-LIKE PROTEIN IQGAP3', 87902),
(144177, 'PTHR10658:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87903),
(144178, 'PTHR10972:SF85', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 7', 87904),
(144179, 'PTHR32141:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87905),
(144180, 'PTHR31269:SF41', NULL, NULL, NULL, NULL, 'SLAC1-LIKE PROTEIN-RELATED', 87906),
(144181, 'PTHR23139:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87907),
(144182, 'PTHR46146:SF2', NULL, NULL, NULL, NULL, 'OS11G0222000 PROTEIN', 87908),
(144183, 'PTHR15462:SF19', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 87909),
(144184, 'PTHR47384', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CCNB1IP1 HOMOLOG', 87910),
(144185, 'PTHR48018:SF56', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8G1', 87911),
(144186, 'PTHR46196:SF15', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN, TRANSCRIPTION FACTOR MYC/MYB N-TERMINAL-RELATED', 87912),
(144187, 'PTHR12608:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PAM71, CHLOROPLASTIC', 87913),
(144188, 'PTHR16520:SF3', NULL, NULL, NULL, NULL, 'KINETOCHORE SCAFFOLD 1', 87914),
(144189, 'PTHR32141:SF111', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 87915),
(144190, 'PTHR24202', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 87916),
(144191, 'PTHR48002:SF108', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4D9', 87917),
(144192, 'PTHR10795:SF632', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87918),
(144193, 'PTHR10732', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17', 87919),
(144194, 'PTHR21581:SF6', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 12', 87920),
(144195, 'PTHR24326:SF572', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX16-LIKE', 87921),
(144196, 'PTHR31561:SF142', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 87922),
(144197, 'PTHR31460:SF3', NULL, NULL, NULL, NULL, 'NHL DOMAIN-CONTAINING PROTEIN', 87923),
(144198, 'PTHR11822:SF28', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP] CYTOPLASMIC', 87924),
(144199, 'PTHR11960:SF8', NULL, NULL, NULL, NULL, 'AT15894P-RELATED', 87925),
(144200, 'PTHR43895:SF107', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 16', 87926); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(144201, 'PTHR12449:SF23', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 4-LIKE A', 87927),
(144202, 'PTHR37242:SF1', NULL, NULL, NULL, NULL, 'OS09G0569450 PROTEIN', 87928),
(144203, 'PTHR20939:SF11', NULL, NULL, NULL, NULL, 'LD12265P', 87929),
(144204, 'PTHR33204:SF32', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, HXLR FAMILY', 87930),
(144205, 'PTHR12271:SF50', NULL, NULL, NULL, NULL, 'RNA EDITING 3'' TERMINAL URIDYLYL TRANSFERASE 2', 87931),
(144206, 'PTHR36970:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 87932),
(144207, 'PTHR31221:SF171', NULL, NULL, NULL, NULL, 'OS05G0537100 PROTEIN', 87933),
(144208, 'PTHR40398', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCITOL/SORBITOL-SPECIFIC EIIA COMPONENT', 87934),
(144209, 'PTHR15301', NULL, NULL, NULL, NULL, 'INSULIN-INDUCED GENE 1', 87935),
(144210, 'PTHR34484:SF2', NULL, NULL, NULL, NULL, 'OS02G0832600 PROTEIN', 87936),
(144211, 'PTHR21342', NULL, NULL, NULL, NULL, 'PHOSPHOPANTETHEINE ADENYLYLTRANSFERASE', 87937),
(144212, 'PTHR32158:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87938),
(144213, 'PTHR31338:SF30', NULL, NULL, NULL, NULL, 'BNAC01G38750D PROTEIN', 87939),
(144214, 'PTHR24388:SF54', NULL, NULL, NULL, NULL, 'HERMAPHRODITE, ISOFORM A-RELATED', 87940),
(144215, 'PTHR10838:SF30', NULL, NULL, NULL, NULL, 'SYNAPTOGYRIN-2', 87941),
(144216, 'PTHR11908:SF148', NULL, NULL, NULL, NULL, 'BNAUNNG02510D PROTEIN', 87942),
(144217, 'PTHR10799:SF988', NULL, NULL, NULL, NULL, 'BNAC09G39190D PROTEIN', 87943),
(144218, 'PTHR26379:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87944),
(144219, 'PTHR43464:SF19', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS O-METHYLTRANSFERASE, MITOCHONDRIAL', 87945),
(144220, 'PTHR24349:SF403', NULL, NULL, NULL, NULL, 'BNAC04G42320D PROTEIN', 87946),
(144221, 'PTHR19446', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASES', 87947),
(144222, 'PTHR31621:SF0', NULL, NULL, NULL, NULL, 'PROTEIN DMP6', 87948),
(144223, 'PTHR32212:SF269', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 87949),
(144224, 'PTHR19134:SF508', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87950),
(144225, 'PTHR30244:SF3', NULL, NULL, NULL, NULL, 'UDP-4-AMINO-4-DEOXY-L-ARABINOSE--OXOGLUTARATE AMINOTRANSFERASE', 87951),
(144226, 'PTHR31213:SF125', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL4-LIKE', 87952),
(144227, 'PTHR22906:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87953),
(144228, 'PTHR11783:SF105', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 14-RELATED', 87954),
(144229, 'PTHR24305:SF166', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 313A1-RELATED', 87955),
(144230, 'PTHR23068:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87956),
(144231, 'PTHR11505', NULL, NULL, NULL, NULL, 'L1 TRANSPOSABLE ELEMENT-RELATED', 87957),
(144232, 'PTHR46354:SF14', NULL, NULL, NULL, NULL, 'PROTEIN DELAY OF GERMINATION 1', 87958),
(144233, 'PTHR34306:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87959),
(144234, 'PTHR32074', NULL, NULL, NULL, NULL, 'RNA DEMETHYLASE ALKBH5', 87960),
(144235, 'PTHR21649:SF100', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 87961),
(144236, 'PTHR11875:SF129', NULL, NULL, NULL, NULL, 'BNAA09G52940D PROTEIN', 87962),
(144237, 'PTHR23501:SF12', NULL, NULL, NULL, NULL, 'TRANSPORTER/NRPS-LIKE ENZYME, PUTATIVE (JCVI)-RELATED', 87963),
(144238, 'PTHR37480', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE [NADH]', 87964),
(144239, 'PTHR19317:SF49', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 87965),
(144240, 'PTHR32267:SF2', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA TRANSLOCATION-ALTERED GENE PROTEIN', 87966),
(144241, 'PTHR12433:SF18', NULL, NULL, NULL, NULL, 'BNACNNG04590D PROTEIN', 87967),
(144242, 'PTHR45952:SF18', NULL, NULL, NULL, NULL, 'BNAC06G05990D PROTEIN', 87968),
(144243, 'PTHR33577:SF9', NULL, NULL, NULL, NULL, 'STERIGMATOCYSTIN BIOSYNTHESIS PEROXIDASE STCC-RELATED', 87969),
(144244, 'PTHR24329:SF359', NULL, NULL, NULL, NULL, 'ALX HOMEOBOX PROTEIN 1', 87970),
(144245, 'PTHR45944:SF2', NULL, NULL, NULL, NULL, 'SCHNURRI, ISOFORM F', 87971);
INSERT INTO "PUBLIC"."MODEL" VALUES
(144246, 'PTHR31140:SF107', NULL, NULL, NULL, NULL, 'BNAA06G32660D PROTEIN', 87972),
(144247, 'PTHR33377:SF11', NULL, NULL, NULL, NULL, 'OS04G0105900 PROTEIN', 87973),
(144248, 'PTHR24286:SF315', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY ABA 8''-HYDROXYLASE', 87974),
(144249, 'PTHR47971:SF6', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 87975),
(144250, 'PTHR13954:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE/ENDORIBONUCLEASE IRE2', 87976),
(144251, 'PTHR31206:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FAM177A1', 87977),
(144252, 'PTHR12626:SF3', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 4', 87978),
(144253, 'PTHR42061:SF2', NULL, NULL, NULL, NULL, 'ENDO-CHITOSANASE', 87979),
(144254, 'PTHR36519:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG10907', 87980),
(144255, 'PTHR46029:SF2', NULL, NULL, NULL, NULL, 'C-TERMINAL-BINDING PROTEIN 1', 87981),
(144256, 'PTHR24055:SF440', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87982),
(144257, 'PTHR22835:SF601', NULL, NULL, NULL, NULL, 'BNACNNG24650D PROTEIN', 87983),
(144258, 'PTHR33207:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 87984),
(144259, 'PTHR33164:SF54', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 87985),
(144260, 'PTHR45640:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG23899', 87986),
(144261, 'PTHR34313', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP K MEMBER 113 ENV POLYPROTEIN-RELATED', 87987),
(144262, 'PTHR21724:SF104', NULL, NULL, NULL, NULL, 'PROTEIN CBG10417', 87988),
(144263, 'PTHR46713:SF11', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 1-LIKE ISOFORM X1', 87989),
(144264, 'PTHR34492:SF5', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR FAMILY', 87990),
(144265, 'PTHR43341:SF8', NULL, NULL, NULL, NULL, 'PROLINE-SPECIFIC PERMEASE PROY', 87991),
(144266, 'PTHR45708:SF50', NULL, NULL, NULL, NULL, 'OS01G0303100 PROTEIN', 87992),
(144267, 'PTHR19443', NULL, NULL, NULL, NULL, 'HEXOKINASE', 87993),
(144268, 'PTHR22953:SF109', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 87994),
(144269, 'PTHR23500:SF371', NULL, NULL, NULL, NULL, 'OS07G0206600 PROTEIN', 87995),
(144270, 'PTHR25462:SF277', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 33,-LIKE', 87996),
(144271, 'PTHR10105', NULL, NULL, NULL, NULL, 'SELENOPROTEIN P', 87997),
(144272, 'PTHR22989:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG09619', 87998),
(144273, 'PTHR43329:SF14', NULL, NULL, NULL, NULL, 'OS01G0255100 PROTEIN', 87999),
(144274, 'PTHR15860:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 88000),
(144275, 'PTHR31190:SF212', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 88001),
(144276, 'PTHR21495:SF89', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 88002),
(144277, 'PTHR11785:SF516', NULL, NULL, NULL, NULL, 'LD25378P', 88003),
(144278, 'PTHR11709:SF319', NULL, NULL, NULL, NULL, 'LACCASE-16', 88004),
(144279, 'PTHR12080:SF79', NULL, NULL, NULL, NULL, 'SI:CABZ01074946.1-RELATED', 88005),
(144280, 'PTHR12100:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88006),
(144281, 'PTHR10574:SF400', NULL, NULL, NULL, NULL, 'LAMININ RELATED. SEE ALSO LMB', 88007),
(144282, 'PTHR33735:SF2', NULL, NULL, NULL, NULL, 'OS09G0468900 PROTEIN', 88008),
(144283, 'PTHR19961:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88009),
(144284, 'PTHR33320:SF12', NULL, NULL, NULL, NULL, 'BNACNNG72440D PROTEIN', 88010),
(144285, 'PTHR21469', NULL, NULL, NULL, NULL, 'EXOPHILIN-5', 88011),
(144286, 'PTHR22891:SF41', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN 3', 88012),
(144287, 'PTHR43495:SF1', NULL, NULL, NULL, NULL, 'L-ASPARAGINE PERMEASE', 88013),
(144288, 'PTHR12271:SF122', NULL, NULL, NULL, NULL, 'PROTEIN HESO1-LIKE ISOFORM X1', 88014),
(144289, 'PTHR47409', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN PROPHET OF PIT-1', 88015),
(144290, 'PTHR24637:SF346', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN DPY-2', 88016),
(144291, 'PTHR43680:SF3', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE MOLYBDENUM COFACTOR ASSEMBLY CHAPERONE NARJ', 88017),
(144292, 'PTHR27009:SF167', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 88018);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(144293, 'PTHR10985:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HES-3', 88019),
(144294, 'PTHR21737:SF18', NULL, NULL, NULL, NULL, 'OSJNBA0065O17.10 PROTEIN', 88020),
(144295, 'PTHR11728:SF8', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)]-RELATED', 88021),
(144296, 'PTHR10426:SF85', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 1', 88022),
(144297, 'PTHR31071', NULL, NULL, NULL, NULL, 'GB|AAF24581.1', 88023),
(144298, 'PTHR40044', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 88024),
(144299, 'PTHR11208:SF101', NULL, NULL, NULL, NULL, 'OS01G0886300 PROTEIN', 88025),
(144300, 'PTHR37951:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 88026),
(144301, 'PTHR23417:SF24', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(7)-)-METHYLTRANSFERASE', 88027),
(144302, 'PTHR47842:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88028),
(144303, 'PTHR12537:SF161', NULL, NULL, NULL, NULL, 'BNAA02G08590D PROTEIN', 88029),
(144304, 'PTHR35099:SF10', NULL, NULL, NULL, NULL, 'BNAA06G10500D PROTEIN', 88030),
(144305, 'PTHR12663:SF21', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PROTEIN PDS5 HOMOLOG B-B-LIKE', 88031),
(144306, 'PTHR23147:SF80', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 4B', 88032),
(144307, 'PTHR47399', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 121B', 88033),
(144308, 'PTHR22907:SF26', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 88034),
(144309, 'PTHR13388', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 88035),
(144310, 'PTHR12411:SF724', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88036),
(144311, 'PTHR10828:SF50', NULL, NULL, NULL, NULL, 'REDUCTASE (ARC2), PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13400)-RELATED', 88037),
(144312, 'PTHR43146', NULL, NULL, NULL, NULL, 'CANCER-RELATED NUCLEOSIDE-TRIPHOSPHATASE', 88038),
(144313, 'PTHR11334:SF33', NULL, NULL, NULL, NULL, 'MAS-RELATED GPR, MEMBER A2A-RELATED', 88039),
(144314, 'PTHR36369:SF3', NULL, NULL, NULL, NULL, 'OS06G0196200 PROTEIN', 88040),
(144315, 'PTHR34757:SF1', NULL, NULL, NULL, NULL, 'JUNCTIONAL PROTEIN ASSOCIATED WITH CORONARY ARTERY DISEASE', 88041),
(144316, 'PTHR11306:SF45', NULL, NULL, NULL, NULL, 'BNAA05G27310D PROTEIN', 88042),
(144317, 'PTHR22774', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 88043),
(144318, 'PTHR33177:SF23', NULL, NULL, NULL, NULL, 'BNAA04G05350D PROTEIN', 88044),
(144319, 'PTHR47928:SF54', NULL, NULL, NULL, NULL, 'OS09G0411600 PROTEIN', 88045),
(144320, 'PTHR40368:SF1', NULL, NULL, NULL, NULL, 'YALI0F14399P', 88046),
(144321, 'PTHR37435:SF3', NULL, NULL, NULL, NULL, 'DUMPY: SHORTER THAN WILD-TYPE', 88047),
(144322, 'PTHR21459:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08968', 88048),
(144323, 'PTHR35488:SF3', NULL, NULL, NULL, NULL, 'BNAA01G32570D PROTEIN', 88049),
(144324, 'PTHR33429:SF23', NULL, NULL, NULL, NULL, 'OS02G0709350 PROTEIN', 88050),
(144325, 'PTHR10155:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE REGULATORY SUBUNIT GAMMA', 88051),
(144326, 'PTHR47983:SF24', NULL, NULL, NULL, NULL, 'F11A17.22 PROTEIN-RELATED', 88052),
(144327, 'PTHR11709:SF343', NULL, NULL, NULL, NULL, 'LACCASE-15', 88053),
(144328, 'PTHR47226:SF1', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT DOMAIN-CONTAINING PROTEIN 4B', 88054),
(144329, 'PTHR22603:SF88', NULL, NULL, NULL, NULL, 'OS01G0717000 PROTEIN', 88055),
(144330, 'PTHR24298:SF419', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B26', 88056),
(144331, 'PTHR46128:SF245', NULL, NULL, NULL, NULL, 'REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 88057),
(144332, 'PTHR12424:SF6', NULL, NULL, NULL, NULL, 'PROTEIN TWEETY HOMOLOG 2', 88058),
(144333, 'PTHR43078:SF30', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE 6-LIKE', 88059),
(144334, 'PTHR12092:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88060),
(144335, 'PTHR12151:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SCO1 HOMOLOG, MITOCHONDRIAL', 88061),
(144336, 'PTHR45932:SF14', NULL, NULL, NULL, NULL, 'PATELLIN-5', 88062),
(144337, 'PTHR33101:SF50', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 1-LIKE', 88063);
INSERT INTO "PUBLIC"."MODEL" VALUES
(144338, 'PTHR45800:SF18', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 7-LIKE ISOFORM X1', 88064),
(144339, 'PTHR18921:SF2', NULL, NULL, NULL, NULL, 'THYROID RECEPTOR-INTERACTING PROTEIN 11', 88065),
(144340, 'PTHR44936:SF4', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN RSTB', 88066),
(144341, 'PTHR31325:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88067),
(144342, 'PTHR31972:SF49', NULL, NULL, NULL, NULL, 'PLANT/T24G3-80 PROTEIN', 88068),
(144343, 'PTHR21328:SF23', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP6', 88069),
(144344, 'PTHR43707:SF1', NULL, NULL, NULL, NULL, 'HISTIDINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', 88070),
(144345, 'PTHR22907:SF54', NULL, NULL, NULL, NULL, 'GH04558P', 88071),
(144346, 'PTHR35161:SF1', NULL, NULL, NULL, NULL, 'OS02G0113400 PROTEIN', 88072),
(144347, 'PTHR43574:SF55', NULL, NULL, NULL, NULL, 'BNAC07G27420D PROTEIN', 88073),
(144348, 'PTHR24377:SF815', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 300', 88074),
(144349, 'PTHR21586:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-RELATED PROTEIN', 88075),
(144350, 'PTHR22654', NULL, NULL, NULL, NULL, 'G PROTEIN PATHWAY SUPPRESSOR 2', 88076),
(144351, 'PTHR33923:SF8', NULL, NULL, NULL, NULL, 'PLANT CALMODULIN-BINDING PROTEIN-RELATED', 88077),
(144352, 'PTHR34052:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88078),
(144353, 'PTHR23092:SF31', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN DDB_G0271118', 88079),
(144354, 'PTHR31378:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88080),
(144355, 'PTHR39450:SF1', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN OXIDOREDUCTASE, 4FE-4S CLUSTER-BINDING SUBUNIT', 88081),
(144356, 'PTHR31218:SF319', NULL, NULL, NULL, NULL, 'EAMA DOMAIN, JMJC DOMAIN, WAT1-RELATED PROTEIN-RELATED', 88082),
(144357, 'PTHR21210:SF0', NULL, NULL, NULL, NULL, 'TRNA (URACIL-O(2)-)-METHYLTRANSFERASE-RELATED', 88083),
(144358, 'PTHR24247:SF230', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 473-RELATED', 88084),
(144359, 'PTHR43139:SF44', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 88085),
(144360, 'PTHR45927:SF9', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN / PEPTIDOGLYCAN-BINDING LYSM DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 88086),
(144361, 'PTHR31511:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG24201', 88087),
(144362, 'PTHR23024:SF359', NULL, NULL, NULL, NULL, 'L-ORNITHINE N(5)-MONOOXYGENASE', 88088),
(144363, 'PTHR23323:SF26', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 18 HOMOLOG', 88089),
(144364, 'PTHR46157:SF10', NULL, NULL, NULL, NULL, 'K+ EFFLUX ANTIPORTER 1-RELATED', 88090),
(144365, 'PTHR34983:SF2', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN ENDO-BETA-1,4-GALACTANASE', 88091),
(144366, 'PTHR11451:SF51', NULL, NULL, NULL, NULL, 'THREONYL-TRNA SYNTHETASE-LIKE 2', 88092),
(144367, 'PTHR10877:SF136', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY DISEASE PROTEIN 1-LIKE 3', 88093),
(144368, 'PTHR43416:SF28', NULL, NULL, NULL, NULL, 'BNAA10G09340D PROTEIN', 88094),
(144369, 'PTHR45714:SF10', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX18', 88095),
(144370, 'PTHR46776:SF26', NULL, NULL, NULL, NULL, 'BNAC08G22010D PROTEIN', 88096),
(144371, 'PTHR31592', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 192', 88097),
(144372, 'PTHR46558:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR', 88098),
(144373, 'PTHR21596:SF67', NULL, NULL, NULL, NULL, 'BNAA02G19420D PROTEIN', 88099),
(144374, 'PTHR36294', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 139', 88100),
(144375, 'PTHR33872:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88101),
(144376, 'PTHR24060:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88102),
(144377, 'PTHR43019:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88103),
(144378, 'PTHR10242:SF7', NULL, NULL, NULL, NULL, 'BNAC06G12980D PROTEIN', 88104),
(144379, 'PTHR23065:SF6', NULL, NULL, NULL, NULL, 'F-BAR DOMAIN ONLY PROTEIN 1', 88105),
(144380, 'PTHR30294:SF44', NULL, NULL, NULL, NULL, 'MULTIDRUG ABC TRANSPORTER PERMEASE YBHR-RELATED', 88106);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(144381, 'PTHR15451', NULL, NULL, NULL, NULL, 'ERGOSTEROL BIOSYNTHETIC PROTEIN 28-RELATED', 88107),
(144382, 'PTHR46458:SF4', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', 88108),
(144383, 'PTHR46600:SF5', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 1', 88109),
(144384, 'PTHR23111:SF80', NULL, NULL, NULL, NULL, 'BNAA03G57490D PROTEIN', 88110),
(144385, 'PTHR11388:SF151', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', 88111),
(144386, 'PTHR11062:SF256', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE ARAD1-RELATED', 88112),
(144387, 'PTHR43636', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR G, MITOCHONDRIAL', 88113),
(144388, 'PTHR45940:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88114),
(144389, 'PTHR22846:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88115),
(144390, 'PTHR10459:SF107', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 88116),
(144391, 'PTHR10641:SF1283', NULL, NULL, NULL, NULL, 'BNACNNG29120D PROTEIN', 88117),
(144392, 'PTHR38791:SF12', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 88118),
(144393, 'PTHR36859:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HIDE1', 88119),
(144394, 'PTHR33709:SF9', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE FAMILY C19 PROTEIN', 88120),
(144395, 'PTHR24221:SF243', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', 88121),
(144396, 'PTHR11690:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88122),
(144397, 'PTHR24055:SF504', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE HOG1', 88123),
(144398, 'PTHR11012:SF13', NULL, NULL, NULL, NULL, 'FI06026P-RELATED', 88124),
(144399, 'PTHR45748:SF3', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1B', 88125),
(144400, 'PTHR22142', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 88126),
(144401, 'PTHR14379:SF50', NULL, NULL, NULL, NULL, 'BNAC03G21440D PROTEIN', 88127),
(144402, 'PTHR35530', NULL, NULL, NULL, NULL, 'TAUTOMERASE-RELATED', 88128),
(144403, 'PTHR11537:SF4', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY KQT MEMBER 4', 88129),
(144404, 'PTHR31072:SF173', NULL, NULL, NULL, NULL, 'OS05G0513100 PROTEIN', 88130),
(144405, 'PTHR33177', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 88131),
(144406, 'PTHR12356:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88132),
(144407, 'PTHR12258:SF11', NULL, NULL, NULL, NULL, 'SI:DKEY-51E6.1', 88133),
(144408, 'PTHR13140:SF805', NULL, NULL, NULL, NULL, 'MYOSIN-1-LIKE', 88134),
(144409, 'PTHR31429:SF54', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 9-RELATED', 88135),
(144410, 'PTHR15036:SF43', NULL, NULL, NULL, NULL, 'CONTACTIN-ASSOCIATED PROTEIN 1', 88136),
(144411, 'PTHR21689:SF9', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 88137),
(144412, 'PTHR24020:SF15', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XIV) CHAIN', 88138),
(144413, 'PTHR34145:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88139),
(144414, 'PTHR43184:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG17619', 88140),
(144415, 'PTHR24177:SF320', NULL, NULL, NULL, NULL, 'PROTEIN ACCELERATED CELL DEATH 6-LIKE', 88141),
(144416, 'PTHR16675:SF146', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD1E, MEMBRANE-ASSOCIATED', 88142),
(144417, 'PTHR24414:SF23', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP6', 88143),
(144418, 'PTHR31374:SF167', NULL, NULL, NULL, NULL, 'OS10G0510500 PROTEIN', 88144),
(144419, 'PTHR43829:SF8', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', 88145),
(144420, 'PTHR11964:SF55', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', 88146),
(144421, 'PTHR21522:SF43', NULL, NULL, NULL, NULL, 'OTOPETRIN-LIKE', 88147),
(144422, 'PTHR27007:SF233', NULL, NULL, NULL, NULL, 'LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VI.4', 88148),
(144423, 'PTHR19300:SF34', NULL, NULL, NULL, NULL, 'SI:DKEY-199F5.8', 88149),
(144424, 'PTHR46158:SF16', NULL, NULL, NULL, NULL, 'BNAC03G34660D PROTEIN', 88150),
(144425, 'PTHR33215:SF10', NULL, NULL, NULL, NULL, 'TRANSPOSASE-RELATED', 88151);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(144426, 'PTHR45642:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88152),
(144427, 'PTHR31871:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88153),
(144428, 'PTHR47928:SF153', NULL, NULL, NULL, NULL, 'OS11G0661000 PROTEIN', 88154),
(144429, 'PTHR39104', NULL, NULL, NULL, NULL, 'AMINO ACID-LIGASE', 88155),
(144430, 'PTHR42739:SF1', NULL, NULL, NULL, NULL, 'MALATE SYNTHASE G', 88156),
(144431, 'PTHR10543:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88157),
(144432, 'PTHR31579:SF34', NULL, NULL, NULL, NULL, 'T14N5.3 PROTEIN', 88158),
(144433, 'PTHR31707:SF321', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 88159),
(144434, 'PTHR32285:SF178', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 88160),
(144435, 'PTHR32263:SF28', NULL, NULL, NULL, NULL, 'BNAC08G21790D PROTEIN', 88161),
(144436, 'PTHR10635:SF3', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA-1', 88162),
(144437, 'PTHR10000:SF50', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN YHAX', 88163),
(144438, 'PTHR31642:SF5', NULL, NULL, NULL, NULL, 'HSR201-LIKE', 88164),
(144439, 'PTHR45974:SF184', NULL, NULL, NULL, NULL, 'OS01G0852100 PROTEIN', 88165),
(144440, 'PTHR31867:SF111', NULL, NULL, NULL, NULL, 'EXPANSIN', 88166),
(144441, 'PTHR23428:SF213', NULL, NULL, NULL, NULL, 'HISTONE H2B.6-RELATED', 88167),
(144442, 'PTHR10845:SF43', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 2', 88168),
(144443, 'PTHR10201:SF264', NULL, NULL, NULL, NULL, 'MATRIX METALLOPEPTIDASE 15A-RELATED', 88169),
(144444, 'PTHR11699:SF211', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 16 MEMBER A1', 88170),
(144445, 'PTHR45088', NULL, NULL, NULL, NULL, 'OSJNBA0022H21.17 PROTEIN', 88171),
(144446, 'PTHR33238:SF10', NULL, NULL, NULL, NULL, 'IRON-DEPENDENT REPRESSOR IDER', 88172),
(144447, 'PTHR12290:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 4-LIKE', 88173),
(144448, 'PTHR47924:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88174),
(144449, 'PTHR12439:SF9', NULL, NULL, NULL, NULL, 'POLY(U)-SPECIFIC ENDORIBONUCLEASE', 88175),
(144450, 'PTHR31363:SF0', NULL, NULL, NULL, NULL, 'TRAF3-INTERACTING PROTEIN 1', 88176),
(144451, 'PTHR45669:SF22', NULL, NULL, NULL, NULL, 'OS02G0102000 PROTEIN', 88177),
(144452, 'PTHR11384:SF13', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN RELATED', 88178),
(144453, 'PTHR11559:SF386', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 88179),
(144454, 'PTHR12081:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F2', 88180),
(144455, 'PTHR30204:SF75', NULL, NULL, NULL, NULL, 'MERCURIC RESISTANCE OPERON REGULATORY PROTEIN', 88181),
(144456, 'PTHR43830:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88182),
(144457, 'PTHR34701:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MRAZ', 88183),
(144458, 'PTHR38825', NULL, NULL, NULL, NULL, 'LYSINE EXPORTER PROTEIN (LYSE/YGGA)', 88184),
(144459, 'PTHR48134:SF1', NULL, NULL, NULL, NULL, 'TITIN-LIKE', 88185),
(144460, 'PTHR31042:SF99', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 88186),
(144461, 'PTHR21087:SF20', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE 1, CHLOROPLASTIC-LIKE ISOFORM X1', 88187),
(144462, 'PTHR47985:SF9', NULL, NULL, NULL, NULL, 'BNAA02G28430D PROTEIN', 88188),
(144463, 'PTHR11712:SF306', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE 1', 88189),
(144464, 'PTHR36321:SF16', NULL, NULL, NULL, NULL, 'BNAC02G00870D PROTEIN', 88190),
(144465, 'PTHR47993:SF91', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN LINE-1', 88191),
(144466, 'PTHR40114', NULL, NULL, NULL, NULL, 'SLR0698 PROTEIN', 88192),
(144467, 'PTHR34456', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 88193),
(144468, 'PTHR11937:SF155', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 1', 88194),
(144469, 'PTHR10627:SF70', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SAM DOMAIN-CONTAINING PROTEIN 6', 88195),
(144470, 'PTHR14966', NULL, NULL, NULL, NULL, 'Z-DNA-BINDING PROTEIN 1', 88196),
(144471, 'PTHR27009:SF178', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE ISOFORM X1', 88197);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(144472, 'PTHR37516:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88198),
(144473, 'PTHR47956:SF77', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 88199),
(144474, 'PTHR31736:SF14', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE X-1-RELATED', 88200),
(144475, 'PTHR31852:SF214', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA-14-RELATED', 88201),
(144476, 'PTHR11232:SF44', NULL, NULL, NULL, NULL, 'C-JUN-AMINO-TERMINAL KINASE-INTERACTING PROTEIN 1', 88202),
(144477, 'PTHR15302:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF103', 88203),
(144478, 'PTHR18860:SF121', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN 2-LIKE', 88204),
(144479, 'PTHR23155:SF959', NULL, NULL, NULL, NULL, 'OS06G0158300 PROTEIN', 88205),
(144480, 'PTHR31479:SF6', NULL, NULL, NULL, NULL, 'OS07G0586800 PROTEIN', 88206),
(144481, 'PTHR36984:SF3', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED PROTEIN CAS6', 88207),
(144482, 'PTHR24299:SF31', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 88208),
(144483, 'PTHR47928:SF40', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN ISOFORM 1', 88209),
(144484, 'PTHR33086:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88210),
(144485, 'PTHR11863:SF166', NULL, NULL, NULL, NULL, 'CHOLESTEROL 25-HYDROXYLASE', 88211),
(144486, 'PTHR12741:SF70', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 2', 88212),
(144487, 'PTHR40267:SF1', NULL, NULL, NULL, NULL, 'BLR3294 PROTEIN', 88213),
(144488, 'PTHR38109', NULL, NULL, NULL, NULL, 'PROTEIN YCGL', 88214),
(144489, 'PTHR24240:SF148', NULL, NULL, NULL, NULL, 'NOVOPSIN-9', 88215),
(144490, 'PTHR23079:SF18', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE 6', 88216),
(144491, 'PTHR36571:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YGIW', 88217),
(144492, 'PTHR46032:SF6', NULL, NULL, NULL, NULL, 'CMP-N-ACETYLNEURAMINATE-BETA-GALACTOSAMIDE-ALPHA-2,3-SIALYLTRANSFERASE 1', 88218),
(144493, 'PTHR21733:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG12171', 88219),
(144494, 'PTHR11276:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE IV', 88220),
(144495, 'PTHR47956:SF48', NULL, NULL, NULL, NULL, 'OS02G0187000 PROTEIN', 88221),
(144496, 'PTHR45654:SF11', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG4-RELATED', 88222),
(144497, 'PTHR45622:SF41', NULL, NULL, NULL, NULL, 'LIGASE (HUL4), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G04640)-RELATED', 88223),
(144498, 'PTHR35263', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 49', 88224),
(144499, 'PTHR31718:SF23', NULL, NULL, NULL, NULL, 'EMBRYO-SPECIFIC PROTEIN 3, (ATS3)', 88225),
(144500, 'PTHR20916:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88226),
(144501, 'PTHR23024:SF518', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88227),
(144502, 'PTHR24072:SF345', NULL, NULL, NULL, NULL, 'RAC-LIKE 6-RELATED', 88228),
(144503, 'PTHR32176:SF74', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 1-RELATED', 88229),
(144504, 'PTHR46328:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88230),
(144505, 'PTHR46128:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88231),
(144506, 'PTHR12802:SF132', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 3', 88232),
(144507, 'PTHR28631', NULL, NULL, NULL, NULL, 'UPF0692 PROTEIN C19ORF54', 88233),
(144508, 'PTHR21495:SF201', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 88234),
(144509, 'PTHR32467:SF101', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR AIL7', 88235),
(144510, 'PTHR31707:SF274', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 88236),
(144511, 'PTHR23226:SF93', NULL, NULL, NULL, NULL, 'NEUROTROPHIN RECEPTOR-INTERACTING FACTOR HOMOLOG', 88237),
(144512, 'PTHR46813:SF1', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 15', 88238),
(144513, 'PTHR46441:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EPIDIDYMAL FAMILY MEMBER 3', 88239),
(144514, 'PTHR31232:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88240),
(144515, 'PTHR23500:SF44', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 5', 88241),
(144516, 'PTHR47218', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 7 MEMBER A', 88242);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(144517, 'PTHR11474:SF82', NULL, NULL, NULL, NULL, 'AUREUSIDIN SYNTHASE-LIKE', 88243),
(144518, 'PTHR31901:SF49', NULL, NULL, NULL, NULL, 'BNAC06G02210D PROTEIN', 88244),
(144519, 'PTHR24257:SF23', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE ELASTASE FAMILY MEMBER 2B', 88245),
(144520, 'PTHR11014:SF99', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 3', 88246),
(144521, 'PTHR31048:SF165', NULL, NULL, NULL, NULL, 'BNAA10G27340D PROTEIN', 88247),
(144522, 'PTHR45376:SF6', NULL, NULL, NULL, NULL, 'BNAC04G48090D PROTEIN', 88248),
(144523, 'PTHR22884:SF455', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 88249),
(144524, 'PTHR19372:SF14', NULL, NULL, NULL, NULL, 'OS12G0442800 PROTEIN', 88250),
(144525, 'PTHR46705:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG05625', 88251),
(144526, 'PTHR48056:SF41', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HAIKU2', 88252),
(144527, 'PTHR10015:SF161', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-4C', 88253),
(144528, 'PTHR22974:SF23', NULL, NULL, NULL, NULL, 'TOUSLED-LIKE KINASE, ISOFORM G', 88254),
(144529, 'PTHR31734:SF132', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA21', 88255),
(144530, 'PTHR24006:SF766', NULL, NULL, NULL, NULL, 'OS04G0452400 PROTEIN', 88256),
(144531, 'PTHR31945:SF66', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 88257),
(144532, 'PTHR34078:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88258),
(144533, 'PTHR31503:SF48', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 2', 88259),
(144534, 'PTHR45965:SF2', NULL, NULL, NULL, NULL, 'INACTIVE RHOMBOID PROTEIN 2', 88260),
(144535, 'PTHR24064:SF462', NULL, NULL, NULL, NULL, 'SI:DKEY-190L8.2', 88261),
(144536, 'PTHR26379:SF373', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88262),
(144537, 'PTHR23324', NULL, NULL, NULL, NULL, 'SEC14 RELATED PROTEIN', 88263),
(144538, 'PTHR26452:SF39', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 88264),
(144539, 'PTHR24061:SF513', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 53-RELATED', 88265),
(144540, 'PTHR19375:SF377', NULL, NULL, NULL, NULL, 'LUMINAL-BINDING PROTEIN', 88266),
(144541, 'PTHR43358:SF10', NULL, NULL, NULL, NULL, 'OS02G0197900 PROTEIN', 88267),
(144542, 'PTHR33228:SF59', NULL, NULL, NULL, NULL, 'BNAA03G51690D PROTEIN', 88268),
(144543, 'PTHR27009:SF221', NULL, NULL, NULL, NULL, 'WAKL2', 88269),
(144544, 'PTHR47662:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 88270),
(144545, 'PTHR48019:SF42', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 23', 88271),
(144546, 'PTHR15304:SF2', NULL, NULL, NULL, NULL, 'MYOD FAMILY INHIBITOR DOMAIN-CONTAINING PROTEIN 2', 88272),
(144547, 'PTHR43991:SF12', NULL, NULL, NULL, NULL, 'OS03G0386000 PROTEIN', 88273),
(144548, 'PTHR45224:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88274),
(144549, 'PTHR11802:SF328', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 88275),
(144550, 'PTHR43255:SF5', NULL, NULL, NULL, NULL, 'QMOC', 88276),
(144551, 'PTHR10015:SF362', NULL, NULL, NULL, NULL, 'BNACNNG56320D PROTEIN', 88277),
(144552, 'PTHR27007:SF275', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.1-RELATED', 88278),
(144553, 'PTHR46583:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 22', 88279),
(144554, 'PTHR13769:SF1', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN B-100', 88280),
(144555, 'PTHR30007:SF2', NULL, NULL, NULL, NULL, 'TRANSPOSASE IS4 FAMILY PROTEIN', 88281),
(144556, 'PTHR30336:SF6', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 88282),
(144557, 'PTHR42811:SF12', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE 1, CHLOROPLASTIC-LIKE', 88283),
(144558, 'PTHR22588:SF5', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-6(VI) CHAIN', 88284),
(144559, 'PTHR13832:SF747', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE [ACETYL-TRANSFERRING]]-PHOSPHATASE 2, MITOCHONDRIAL', 88285),
(144560, 'PTHR14790:SF16', NULL, NULL, NULL, NULL, 'RMI1 (RMI1) HOMOLOG', 88286),
(144561, 'PTHR11700:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S20-1-RELATED', 88287);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(144562, 'PTHR33880:SF16', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', 88288),
(144563, 'PTHR37157', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 88289),
(144564, 'PTHR11515:SF5', NULL, NULL, NULL, NULL, 'THYROTROPIN SUBUNIT BETA', 88290),
(144565, 'PTHR33619:SF3', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE EXPORT PROTEIN GFCE-RELATED', 88291),
(144566, 'PTHR24148:SF66', NULL, NULL, NULL, NULL, 'ANKYRIN AND HET DOMAIN PROTEIN', 88292),
(144567, 'PTHR10934:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18', 88293),
(144568, 'PTHR44042:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88294),
(144569, 'PTHR45663:SF16', NULL, NULL, NULL, NULL, 'THIOREDOXIN M4, CHLOROPLASTIC', 88295),
(144570, 'PTHR37711:SF2', NULL, NULL, NULL, NULL, 'BNAA02G13350D PROTEIN', 88296),
(144571, 'PTHR11527:SF310', NULL, NULL, NULL, NULL, 'SMALL HEAT SHOCK PROTEIN HSPI, MITOCHONDRIAL-RELATED', 88297),
(144572, 'PTHR24025', NULL, NULL, NULL, NULL, 'DESMOGLEIN FAMILY MEMBER', 88298),
(144573, 'PTHR30055:SF182', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR BETI', 88299),
(144574, 'PTHR31893', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 151 HOMOLOG', 88300),
(144575, 'PTHR33453', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 88301),
(144576, 'PTHR11595', NULL, NULL, NULL, NULL, 'EF-HAND AND COILED-COIL DOMAIN-CONTAINING FAMILY MEMBER', 88302),
(144577, 'PTHR45798:SF8', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL61-RELATED', 88303),
(144578, 'PTHR18860:SF119', NULL, NULL, NULL, NULL, 'BNAA08G20850D PROTEIN', 88304),
(144579, 'PTHR31942:SF96', NULL, NULL, NULL, NULL, 'OS05G0183300 PROTEIN', 88305),
(144580, 'PTHR34591:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88306),
(144581, 'PTHR24179:SF29', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY INHIBITOR SUBUNIT 16B-LIKE PROTEIN', 88307),
(144582, 'PTHR11730:SF93', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 88308),
(144583, 'PTHR19422:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88309),
(144584, 'PTHR19282:SF234', NULL, NULL, NULL, NULL, 'ROD OUTER SEGMENT MEMBRANE PROTEIN 1', 88310),
(144585, 'PTHR14154:SF82', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', 88311),
(144586, 'PTHR24070:SF268', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN M-RAS', 88312),
(144587, 'PTHR33177:SF3', NULL, NULL, NULL, NULL, 'OJ991214_12.5 PROTEIN', 88313),
(144588, 'PTHR10363', NULL, NULL, NULL, NULL, 'BLEOMYCIN HYDROLASE', 88314),
(144589, 'PTHR43281', NULL, NULL, NULL, NULL, 'FARNESYL DIPHOSPHATE SYNTHASE', 88315),
(144590, 'PTHR47967:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88316),
(144591, 'PTHR13593:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88317),
(144592, 'PTHR34270:SF9', NULL, NULL, NULL, NULL, 'BNACNNG75830D PROTEIN', 88318),
(144593, 'PTHR10792:SF38', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L24E-RELATED PROTEIN-RELATED', 88319),
(144594, 'PTHR33620:SF1', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN F', 88320),
(144595, 'PTHR22747:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88321),
(144596, 'PTHR11964:SF59', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE 4', 88322),
(144597, 'PTHR42771:SF2', NULL, NULL, NULL, NULL, 'IRON(3+)-HYDROXAMATE IMPORT ATP-BINDING PROTEIN FHUC', 88323),
(144598, 'PTHR33057:SF165', NULL, NULL, NULL, NULL, 'OVATE PROTEIN FAMILY-RELATED', 88324),
(144599, 'PTHR31570', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 1', 88325),
(144600, 'PTHR32077:SF9', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 7', 88326),
(144601, 'PTHR10694:SF112', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 88327),
(144602, 'PTHR31005:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG18975', 88328),
(144603, 'PTHR48166:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 88329),
(144604, 'PTHR24281:SF158', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 93A2-LIKE', 88330),
(144605, 'PTHR36139:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 5, MITOCHONDRIAL-LIKE ISOFORM X1', 88331),
(144606, 'PTHR11480:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88332);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(144607, 'PTHR43090:SF2', NULL, NULL, NULL, NULL, '1-(5-PHOSPHORIBOSYL)-5-[(5-PHOSPHORIBOSYLAMINO)METHYLIDENEAMINO] IMIDAZOLE-4-CARBOXAMIDE ISOMERASE', 88333),
(144608, 'PTHR11627:SF9', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE 2', 88334),
(144609, 'PTHR11699:SF288', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 2 MEMBER B4, MITOCHONDRIAL', 88335),
(144610, 'PTHR13812:SF23', NULL, NULL, NULL, NULL, 'PRNX PROTEIN', 88336),
(144611, 'PTHR11431:SF93', NULL, NULL, NULL, NULL, 'FERRITIN', 88337),
(144612, 'PTHR31627:SF31', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 88338),
(144613, 'PTHR10641:SF1020', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39-LIKE', 88339),
(144614, 'PTHR42718:SF1', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE PROTEIN YOR378W', 88340),
(144615, 'PTHR43900:SF2', NULL, NULL, NULL, NULL, 'OS01G0372400 PROTEIN', 88341),
(144616, 'PTHR23082', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIIC  TFIIIC , POLYPEPTIDE 3-RELATED', 88342),
(144617, 'PTHR33384:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88343),
(144618, 'PTHR31953:SF63', NULL, NULL, NULL, NULL, 'VACUOLAR INVERTASE', 88344),
(144619, 'PTHR33148:SF49', NULL, NULL, NULL, NULL, 'BNAC06G00460D PROTEIN', 88345),
(144620, 'PTHR34481:SF13', NULL, NULL, NULL, NULL, 'TRYPSIN/FACTOR XIIA INHIBITOR', 88346),
(144621, 'PTHR45882:SF1', NULL, NULL, NULL, NULL, 'PITUITARY HOMEOBOX 1', 88347),
(144622, 'PTHR34223:SF22', NULL, NULL, NULL, NULL, 'OS11G0208300 PROTEIN', 88348),
(144623, 'PTHR21319:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88349),
(144624, 'PTHR39944:SF1', NULL, NULL, NULL, NULL, 'CALDESMON-RELATED PROTEIN', 88350),
(144625, 'PTHR12013:SF4', NULL, NULL, NULL, NULL, 'BNAA04G25280D PROTEIN', 88351),
(144626, 'PTHR45675:SF68', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', 88352),
(144627, 'PTHR20648:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG15576', 88353),
(144628, 'PTHR43029:SF7', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 88354),
(144629, 'PTHR24221:SF491', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88355),
(144630, 'PTHR16151:SF2', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 6', 88356),
(144631, 'PTHR11514:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH14', 88357),
(144632, 'PTHR24201:SF5', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 66', 88358),
(144633, 'PTHR12052:SF7', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN YLS8 ISOFORM X1', 88359),
(144634, 'PTHR40631', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE AXHA-2-RELATED', 88360),
(144635, 'PTHR23335:SF0', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR, ISOFORM F', 88361),
(144636, 'PTHR47511:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 88362),
(144637, 'PTHR21545:SF14', NULL, NULL, NULL, NULL, 'LIGAND-DEPENDENT COREPRESSOR', 88363),
(144638, 'PTHR43806:SF38', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.4', 88364),
(144639, 'PTHR33304:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88365),
(144640, 'PTHR23423:SF34', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G07250)-RELATED', 88366),
(144641, 'PTHR32315:SF3', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE', 88367),
(144642, 'PTHR47419:SF2', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', 88368),
(144643, 'PTHR23055:SF82', NULL, NULL, NULL, NULL, 'KV CHANNEL-INTERACTING PROTEIN 1', 88369),
(144644, 'PTHR47364:SF5', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 4', 88370),
(144645, 'PTHR31044:SF89', NULL, NULL, NULL, NULL, 'BNAC05G10160D PROTEIN', 88371),
(144646, 'PTHR11540:SF59', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', 88372),
(144647, 'PTHR46130', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 88373),
(144648, 'PTHR43201:SF9', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE FAMILY MEMBER 2, MITOCHONDRIAL', 88374),
(144649, 'PTHR15341:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR NUCLEIC ACID-BINDING PROTEIN C1D', 88375),
(144650, 'PTHR16650:SF9', NULL, NULL, NULL, NULL, 'LEBERCILIN-LIKE PROTEIN', 88376);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(144651, 'PTHR30456:SF0', NULL, NULL, NULL, NULL, 'PYRIDOXINE 5''-PHOSPHATE SYNTHASE', 88377),
(144652, 'PTHR12845:SF5', NULL, NULL, NULL, NULL, 'EPHEXIN, ISOFORM D', 88378),
(144653, 'PTHR31415:SF120', NULL, NULL, NULL, NULL, 'NDR1-LIKE PROTEIN', 88379),
(144654, 'PTHR20852:SF44', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE 1, MITOCHONDRIAL', 88380),
(144655, 'PTHR45527:SF4', NULL, NULL, NULL, NULL, 'CDA PEPTIDE SYNTHETASE III', 88381),
(144656, 'PTHR11685:SF331', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 88382),
(144657, 'PTHR31391:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88383),
(144658, 'PTHR45824:SF17', NULL, NULL, NULL, NULL, 'DIVERGENT CRAL/TRIO DOMAIN PROTEIN', 88384),
(144659, 'PTHR47709', NULL, NULL, NULL, NULL, 'SHORT TRANSMEMBRANE MITOCHONDRIAL PROTEIN 1', 88385),
(144660, 'PTHR24220:SF668', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 88386),
(144661, 'PTHR11685:SF284', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 88387),
(144662, 'PTHR42991:SF1', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 88388),
(144663, 'PTHR13351', NULL, NULL, NULL, NULL, 'RENIN RECEPTOR', 88389),
(144664, 'PTHR11787:SF21', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', 88390),
(144665, 'PTHR45707:SF19', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN', 88391),
(144666, 'PTHR18916:SF80', NULL, NULL, NULL, NULL, 'SI:CH211-175F12.2', 88392),
(144667, 'PTHR23070:SF87', NULL, NULL, NULL, NULL, 'ATPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14760)-RELATED', 88393),
(144668, 'PTHR24038:SF0', NULL, NULL, NULL, NULL, 'STABILIN-2', 88394),
(144669, 'PTHR31717:SF75', NULL, NULL, NULL, NULL, 'BNAC04G43770D PROTEIN', 88395),
(144670, 'PTHR46841:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-31E10.1', 88396),
(144671, 'PTHR23076:SF92', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 8, CHLOROPLASTIC', 88397),
(144672, 'PTHR44742:SF7', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 88398),
(144673, 'PTHR43099:SF6', NULL, NULL, NULL, NULL, 'UPF0053 PROTEIN RV1842C', 88399),
(144674, 'PTHR15893:SF11', NULL, NULL, NULL, NULL, 'OSJNBA0041M06.7 PROTEIN', 88400),
(144675, 'PTHR12375:SF45', NULL, NULL, NULL, NULL, 'PROTEIN CBG06988', 88401),
(144676, 'PTHR14919', NULL, NULL, NULL, NULL, 'KPL2-RELATED', 88402),
(144677, 'PTHR31400:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GUCD1', 88403),
(144678, 'PTHR10265:SF46', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1', 88404),
(144679, 'PTHR46328:SF22', NULL, NULL, NULL, NULL, 'OS12G0287500 PROTEIN', 88405),
(144680, 'PTHR33228:SF42', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 6-LIKE', 88406),
(144681, 'PTHR21089:SF11', NULL, NULL, NULL, NULL, 'OS01G0375500 PROTEIN', 88407),
(144682, 'PTHR31650:SF23', NULL, NULL, NULL, NULL, 'GH11223P', 88408),
(144683, 'PTHR46502:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88409),
(144684, 'PTHR33095:SF80', NULL, NULL, NULL, NULL, 'BNAC09G50940D PROTEIN', 88410),
(144685, 'PTHR42938:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88411),
(144686, 'PTHR46651:SF2', NULL, NULL, NULL, NULL, 'ATAXIN-2 C-TERMINAL REGION FAMILY PROTEIN, EXPRESSED', 88412),
(144687, 'PTHR23423:SF18', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 184 HOMOLOG DDB_G0279555-RELATED', 88413),
(144688, 'PTHR12974:SF46', NULL, NULL, NULL, NULL, 'TERMINAL NUCLEOTIDYLTRANSFERASE 5B', 88414),
(144689, 'PTHR31843:SF14', NULL, NULL, NULL, NULL, 'BNAC09G52570D PROTEIN', 88415),
(144690, 'PTHR48043:SF37', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 83A1-LIKE', 88416),
(144691, 'PTHR33248:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER, GRF-TYPE-RELATED', 88417),
(144692, 'PTHR11635:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88418),
(144693, 'PTHR23412:SF19', NULL, NULL, NULL, NULL, 'STEREOCILIN 1', 88419),
(144694, 'PTHR46217', NULL, NULL, NULL, NULL, 'PROTEIN CBG27765', 88420),
(144695, 'PTHR31301:SF137', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 1', 88421),
(144696, 'PTHR23073:SF82', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 88422);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(144697, 'PTHR11675:SF110', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINYLTRANSFERASE 7', 88423),
(144698, 'PTHR11615:SF313', NULL, NULL, NULL, NULL, 'FE-HYDROGENASE, SUBUNIT ALPHA', 88424),
(144699, 'PTHR21700', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 88425),
(144700, 'PTHR33353:SF32', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14490)-RELATED', 88426),
(144701, 'PTHR11945:SF357', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 13', 88427),
(144702, 'PTHR10772:SF44', NULL, NULL, NULL, NULL, '20 KDA CHAPERONIN, CHLOROPLASTIC-LIKE', 88428),
(144703, 'PTHR35441', NULL, NULL, NULL, NULL, 'CIRCADIAN-ASSOCIATED TRANSCRIPTIONAL REPRESSOR', 88429),
(144704, 'PTHR24416:SF46', NULL, NULL, NULL, NULL, 'MAST/STEM CELL GROWTH FACTOR RECEPTOR KIT', 88430),
(144705, 'PTHR13286:SF10', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP30 SIN3-BINDING PROTEIN', 88431),
(144706, 'PTHR39176', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', 88432),
(144707, 'PTHR23050:SF442', NULL, NULL, NULL, NULL, 'CALMODULIN RELATED GENES', 88433),
(144708, 'PTHR24015:SF1934', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 88434),
(144709, 'PTHR31406:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09424', 88435),
(144710, 'PTHR45648:SF105', NULL, NULL, NULL, NULL, 'BNAA02G35910D PROTEIN', 88436),
(144711, 'PTHR31673:SF46', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 88437),
(144712, 'PTHR46005:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 5', 88438),
(144713, 'PTHR11200', NULL, NULL, NULL, NULL, 'INOSITOL 5-PHOSPHATASE', 88439),
(144714, 'PTHR14580', NULL, NULL, NULL, NULL, 'MULTIPLE MYELOMA TUMOR-ASSOCIATED PROTEIN 2 FAMILY MEMBER', 88440),
(144715, 'PTHR33077:SF87', NULL, NULL, NULL, NULL, 'TIFY DOMAIN, CO/COL/TOC1, CONSERVED SITE-RELATED', 88441),
(144716, 'PTHR33732:SF7', NULL, NULL, NULL, NULL, 'RUBBER ELONGATION FACTOR-RELATED', 88442),
(144717, 'PTHR32246:SF64', NULL, NULL, NULL, NULL, 'C2 DOMAIN PROTEIN', 88443),
(144718, 'PTHR31509:SF0', NULL, NULL, NULL, NULL, 'OS04G0688000 PROTEIN', 88444),
(144719, 'PTHR47038:SF1', NULL, NULL, NULL, NULL, 'BAG-ASSOCIATED GRAM PROTEIN 1', 88445),
(144720, 'PTHR14387:SF7', NULL, NULL, NULL, NULL, 'THYROID ADENOMA-ASSOCIATED PROTEIN', 88446),
(144721, 'PTHR38926:SF26', NULL, NULL, NULL, NULL, 'BNAA08G29020D PROTEIN', 88447),
(144722, 'PTHR24056:SF353', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT SERINE/THREONINE-PROTEIN KINASE DDB_G0272797/DDB_G0274007-RELATED', 88448),
(144723, 'PTHR10218:SF243', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-7 SUBUNIT', 88449),
(144724, 'PTHR44516:SF9', NULL, NULL, NULL, NULL, '2-METHYL-6-PHYTYLBENZOQUINONE METHYLTRANSFERASE', 88450),
(144725, 'PTHR13844', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY D', 88451),
(144726, 'PTHR24177:SF285', NULL, NULL, NULL, NULL, 'OS09G0294901 PROTEIN', 88452),
(144727, 'PTHR11088:SF65', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE 4-RELATED', 88453),
(144728, 'PTHR45651:SF7', NULL, NULL, NULL, NULL, 'OS09G0558300 PROTEIN', 88454),
(144729, 'PTHR11109:SF6', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE 2', 88455),
(144730, 'PTHR48025:SF7', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 88456),
(144731, 'PTHR32212:SF359', NULL, NULL, NULL, NULL, 'BNAA03G10850D PROTEIN', 88457),
(144732, 'PTHR11926:SF1322', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 88458),
(144733, 'PTHR12549:SF36', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ25-LIKE', 88459),
(144734, 'PTHR37334:SF1', NULL, NULL, NULL, NULL, 'RGD1561796', 88460),
(144735, 'PTHR23235:SF41', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 4', 88461),
(144736, 'PTHR36151:SF3', NULL, NULL, NULL, NULL, 'BLR2777 PROTEIN', 88462),
(144737, 'PTHR10502:SF191', NULL, NULL, NULL, NULL, 'ANNEXIN', 88463),
(144738, 'PTHR36844', NULL, NULL, NULL, NULL, 'PROTEASE PRSW', 88464),
(144739, 'PTHR11654:SF373', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.4-LIKE', 88465),
(144740, 'PTHR31748:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 88466);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(144741, 'PTHR48083:SF22', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G10880)', 88467),
(144742, 'PTHR35450:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88468),
(144743, 'PTHR32278:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88469),
(144744, 'PTHR10811:SF96', NULL, NULL, NULL, NULL, 'BNAA05G27650D PROTEIN', 88470),
(144745, 'PTHR10285:SF131', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE 2', 88471),
(144746, 'PTHR21229:SF20', NULL, NULL, NULL, NULL, 'OS07G0614600 PROTEIN', 88472),
(144747, 'PTHR10071:SF106', NULL, NULL, NULL, NULL, 'TRANS-ACTING T-CELL-SPECIFIC TRANSCRIPTION FACTOR GATA-3', 88473),
(144748, 'PTHR12542:SF123', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 88474),
(144749, 'PTHR31225:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88475),
(144750, 'PTHR23420:SF22', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', 88476),
(144751, 'PTHR24119:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88477),
(144752, 'PTHR19868', NULL, NULL, NULL, NULL, 'RECEPTOR FOR ACTIVATED PROTEIN KINASE C  RACK1', 88478),
(144753, 'PTHR31104:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88479),
(144754, 'PTHR31391:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88480),
(144755, 'PTHR15081:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR AUTOANTIGENIC SPERM PROTEIN', 88481),
(144756, 'PTHR24304:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88482),
(144757, 'PTHR22844:SF339', NULL, NULL, NULL, NULL, 'F13F21.11 PROTEIN', 88483),
(144758, 'PTHR10582:SF4', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY V MEMBER 4', 88484),
(144759, 'PTHR11654:SF505', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', 88485),
(144760, 'PTHR45939', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PMP34-RELATED', 88486),
(144761, 'PTHR30121:SF6', NULL, NULL, NULL, NULL, 'SLR6007 PROTEIN', 88487),
(144762, 'PTHR31087', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 88488),
(144763, 'PTHR31094:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2310061I04 GENE', 88489),
(144764, 'PTHR15283:SF3', NULL, NULL, NULL, NULL, 'GREMLIN-1', 88490),
(144765, 'PTHR39957:SF1', NULL, NULL, NULL, NULL, 'AT09846P1-RELATED', 88491),
(144766, 'PTHR38364', NULL, NULL, NULL, NULL, 'OSJNBA0022H21.9 PROTEIN', 88492),
(144767, 'PTHR46287:SF5', NULL, NULL, NULL, NULL, 'OS02G0596700 PROTEIN', 88493),
(144768, 'PTHR10484:SF171', NULL, NULL, NULL, NULL, 'HISTONE H4', 88494),
(144769, 'PTHR47553', NULL, NULL, NULL, NULL, 'MYOSIN-11', 88495),
(144770, 'PTHR39408', NULL, NULL, NULL, NULL, 'MUCIN-21', 88496),
(144771, 'PTHR11879:SF37', NULL, NULL, NULL, NULL, 'AROMATIC-AMINO-ACID AMINOTRANSFERASE', 88497),
(144772, 'PTHR46136', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE8', 88498),
(144773, 'PTHR31374:SF240', NULL, NULL, NULL, NULL, 'BNAC06G01240D PROTEIN', 88499),
(144774, 'PTHR47287:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 88500),
(144775, 'PTHR19134:SF476', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE LAR', 88501),
(144776, 'PTHR44240', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN (PROKARYOTIC HEAT SHOCK PROTEIN)-RELATED', 88502),
(144777, 'PTHR33021:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88503),
(144778, 'PTHR31793:SF32', NULL, NULL, NULL, NULL, 'ACYL-ACYL CARRIER PROTEIN THIOESTERASE ATL3 CHLOROPLASTIC', 88504),
(144779, 'PTHR13500:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR PRE-RIBOSOMAL-ASSOCIATED PROTEIN 1', 88505),
(144780, 'PTHR15119:SF0', NULL, NULL, NULL, NULL, 'SECRETOGRANIN-2', 88506),
(144781, 'PTHR45933:SF38', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', 88507),
(144782, 'PTHR10857:SF102', NULL, NULL, NULL, NULL, 'COPINE DOMAIN PROTEIN, ATYPICAL', 88508),
(144783, 'PTHR30523:SF5', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE 1', 88509),
(144784, 'PTHR32116:SF62', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 88510),
(144785, 'PTHR39523', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 88511),
(144786, 'PTHR11960:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88512);
INSERT INTO "PUBLIC"."MODEL" VALUES
(144787, 'PTHR11575:SF32', NULL, NULL, NULL, NULL, 'APYRASE-LIKE PROTEIN', 88513),
(144788, 'PTHR10996:SF261', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT 2-HYDROXYACID DEHYDROGENASE-RELATED', 88514),
(144789, 'PTHR47102:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BNI1', 88515),
(144790, 'PTHR23122:SF74', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PALMITOYLATED 4A (MAGUK P55 SUBFAMILY MEMBER 4)', 88516),
(144791, 'PTHR11544:SF61', NULL, NULL, NULL, NULL, 'Y-BOX-BINDING PROTEIN 2', 88517),
(144792, 'PTHR45974:SF119', NULL, NULL, NULL, NULL, 'BNAA02G29300D PROTEIN', 88518),
(144793, 'PTHR18945:SF443', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 88519),
(144794, 'PTHR33098:SF62', NULL, NULL, NULL, NULL, 'OS01G0710100 PROTEIN', 88520),
(144795, 'PTHR31232:SF33', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', 88521),
(144796, 'PTHR12649:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88522),
(144797, 'PTHR37327', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 88523),
(144798, 'PTHR11818:SF28', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN A', 88524),
(144799, 'PTHR31721:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88525),
(144800, 'PTHR24083:SF85', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 88526),
(144801, 'PTHR16223:SF239', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH68-LIKE ISOFORM X1', 88527),
(144802, 'PTHR37862', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA CORE COMPLEX-ASSOCIATED PROTEIN 20', 88528),
(144803, 'PTHR22624', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE ATG4', 88529),
(144804, 'PTHR30031', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE  ATP', 88530),
(144805, 'PTHR31375:SF194', NULL, NULL, NULL, NULL, 'BNAC08G49850D PROTEIN', 88531),
(144806, 'PTHR24418:SF269', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE STYK1', 88532),
(144807, 'PTHR12802:SF103', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 6', 88533),
(144808, 'PTHR47688', NULL, NULL, NULL, NULL, 'NLR FAMILY CARD DOMAIN-CONTAINING PROTEIN 4', 88534),
(144809, 'PTHR23024:SF165', NULL, NULL, NULL, NULL, 'OS09G0461500 PROTEIN', 88535),
(144810, 'PTHR10270:SF295', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX', 88536),
(144811, 'PTHR31865:SF5', NULL, NULL, NULL, NULL, 'OS05G0140300 PROTEIN', 88537),
(144812, 'PTHR46136:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE11-RELATED', 88538),
(144813, 'PTHR24351:SF180', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 88539),
(144814, 'PTHR47991:SF96', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE-LIKE', 88540),
(144815, 'PTHR23050:SF430', NULL, NULL, NULL, NULL, 'MYOSIN-ID LIGHT CHAIN', 88541),
(144816, 'PTHR47003:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88542),
(144817, 'PTHR34154:SF3', NULL, NULL, NULL, NULL, 'ALKALI-SENSITIVE LINKAGE PROTEIN 1', 88543),
(144818, 'PTHR47494', NULL, NULL, NULL, NULL, 'NKG2-D TYPE II INTEGRAL MEMBRANE PROTEIN', 88544),
(144819, 'PTHR24243:SF107', NULL, NULL, NULL, NULL, 'NEUROPEPTIDES CAPA RECEPTOR', 88545),
(144820, 'PTHR11521:SF6', NULL, NULL, NULL, NULL, 'TROPONIN T, SLOW SKELETAL MUSCLE', 88546),
(144821, 'PTHR31857:SF2', NULL, NULL, NULL, NULL, 'HSSA/B-LIKE PROTEIN 17-RELATED', 88547),
(144822, 'PTHR15208', NULL, NULL, NULL, NULL, 'RECEPTOR-BINDING CANCER ANTIGEN EXPRESSED ON SISO CELLS  CANCER ASSOCIATED SURFACE ANTIGEN RCAS1   ESTROGEN RECEPTOR-BINDING FRAGMENT- ASSOCIATED GENE 9 PROTEIN', 88548),
(144823, 'PTHR44845', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 88549),
(144824, 'PTHR46692:SF1', NULL, NULL, NULL, NULL, 'INOSINE-URIDINE PREFERRING NUCLEOSIDE HYDROLASE FAMILY PROTEIN', 88550),
(144825, 'PTHR12604:SF2', NULL, NULL, NULL, NULL, 'X-RAY REPAIR CROSS-COMPLEMENTING PROTEIN 6', 88551),
(144826, 'PTHR21184:SF6', NULL, NULL, NULL, NULL, 'MENORIN (DENDRITIC BRANCHING PROTEIN)', 88552),
(144827, 'PTHR24296:SF141', NULL, NULL, NULL, NULL, 'SPHINGOLIPID TRANSPORTER SPINSTER-LIKE PROTEIN 3-RELATED', 88553),
(144828, 'PTHR46477:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88554),
(144829, 'PTHR34883:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88555);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(144830, 'PTHR14781:SF0', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 56', 88556),
(144831, 'PTHR30346:SF16', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CYNR', 88557),
(144832, 'PTHR35727:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88558),
(144833, 'PTHR12629:SF49', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 88559),
(144834, 'PTHR46405:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RF298-RELATED', 88560),
(144835, 'PTHR32285:SF39', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE PROTEIN-LIKE', 88561),
(144836, 'PTHR31923:SF31', NULL, NULL, NULL, NULL, 'BSD DOMAIN PROTEIN', 88562),
(144837, 'PTHR20852:SF92', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE CYTOSOLIC ISOZYME 1-3', 88563),
(144838, 'PTHR33101:SF14', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 7', 88564),
(144839, 'PTHR31283:SF18', NULL, NULL, NULL, NULL, 'BNAA10G06410D PROTEIN', 88565),
(144840, 'PTHR12304:SF4', NULL, NULL, NULL, NULL, 'URIDINE NUCLEOSIDASE 2-RELATED', 88566),
(144841, 'PTHR11206:SF153', NULL, NULL, NULL, NULL, 'ETHIONINE RESISTANCE-CONFERRING PROTEIN 1', 88567),
(144842, 'PTHR15082', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE B12 SUBUNIT', 88568),
(144843, 'PTHR10340:SF28', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE A', 88569),
(144844, 'PTHR47985:SF59', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL25-RELATED', 88570),
(144845, 'PTHR35574:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBR-HPO-30', 88571),
(144846, 'PTHR38082:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88572),
(144847, 'PTHR14156:SF0', NULL, NULL, NULL, NULL, 'PROMOTILIN', 88573),
(144848, 'PTHR11767:SF20', NULL, NULL, NULL, NULL, 'ATP-SENSITIVE INWARD RECTIFIER POTASSIUM CHANNEL 15', 88574),
(144849, 'PTHR11673:SF12', NULL, NULL, NULL, NULL, 'WORONIN BODY MAJOR PROTEIN', 88575),
(144850, 'PTHR46616:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE, RING-TYPE ZINC-FINGER, LISH DIMERIZATION MOTIF PROTEIN-RELATED', 88576),
(144851, 'PTHR33375:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME-PARTITIONING PROTEIN PARB-RELATED', 88577),
(144852, 'PTHR27003:SF283', NULL, NULL, NULL, NULL, 'LESCPTH2', 88578),
(144853, 'PTHR48111:SF55', NULL, NULL, NULL, NULL, 'AEROBIC RESPIRATION CONTROL PROTEIN ARCA', 88579),
(144854, 'PTHR31692:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88580),
(144855, 'PTHR35545:SF16', NULL, NULL, NULL, NULL, 'OS07G0554800 PROTEIN', 88581),
(144856, 'PTHR24261:SF12', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR-LIKE PROTEIN-RELATED', 88582),
(144857, 'PTHR24083:SF100', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR RXR-GAMMA', 88583),
(144858, 'PTHR48010:SF58', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', 88584),
(144859, 'PTHR15462:SF8', NULL, NULL, NULL, NULL, 'SERINE PROTEASE', 88585),
(144860, 'PTHR47960:SF7', NULL, NULL, NULL, NULL, 'DEAD (ASP-GLU-ALA-ASP) BOX HELICASE 61', 88586),
(144861, 'PTHR27002:SF722', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', 88587),
(144862, 'PTHR47947:SF19', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82C3-RELATED', 88588),
(144863, 'PTHR31375:SF180', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', 88589),
(144864, 'PTHR33573:SF16', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 88590),
(144865, 'PTHR32246:SF126', NULL, NULL, NULL, NULL, 'BNAC04G04480D PROTEIN', 88591),
(144866, 'PTHR33714:SF5', NULL, NULL, NULL, NULL, 'COUNTING FACTOR-ASSOCIATED PROTEIN C', 88592),
(144867, 'PTHR10796:SF36', NULL, NULL, NULL, NULL, 'PATCHED DOMAIN-CONTAINING PROTEIN 1', 88593),
(144868, 'PTHR48011:SF42', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', 88594),
(144869, 'PTHR31901:SF39', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6-LIKE', 88595),
(144870, 'PTHR21245:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88596),
(144871, 'PTHR12183:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88597),
(144872, 'PTHR10887:SF477', NULL, NULL, NULL, NULL, 'DNA REPLICATION ATP-DEPENDENT HELICASE/NUCLEASE DNA2-LIKE', 88598);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(144873, 'PTHR43243:SF63', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 3, MITOCHONDRIAL', 88599),
(144874, 'PTHR31246:SF30', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-2', 88600),
(144875, 'PTHR15497', NULL, NULL, NULL, NULL, '3-HYDROXYANTHRANILATE 3,4-DIOXYGENASE', 88601),
(144876, 'PTHR12241:SF39', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL9-RELATED', 88602),
(144877, 'PTHR45621:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88603),
(144878, 'PTHR31639:SF227', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 88604),
(144879, 'PTHR23110:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GAGA', 88605),
(144880, 'PTHR47972:SF4', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14L', 88606),
(144881, 'PTHR11250:SF2', NULL, NULL, NULL, NULL, 'TACHYKININ-4', 88607),
(144882, 'PTHR34967:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88608),
(144883, 'PTHR35099:SF13', NULL, NULL, NULL, NULL, 'BNAA03G51890D PROTEIN', 88609),
(144884, 'PTHR23222:SF1', NULL, NULL, NULL, NULL, 'PROHIBITIN-2', 88610),
(144885, 'PTHR12262:SF15', NULL, NULL, NULL, NULL, 'BNAC04G12270D PROTEIN', 88611),
(144886, 'PTHR46215:SF1', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 16', 88612),
(144887, 'PTHR45675:SF57', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB48', 88613),
(144888, 'PTHR16983:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88614),
(144889, 'PTHR44329:SF192', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 88615),
(144890, 'PTHR46443:SF15', NULL, NULL, NULL, NULL, 'ZF-FLZ DOMAIN-CONTAINING PROTEIN-RELATED', 88616),
(144891, 'PTHR45665:SF33', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP1-1', 88617),
(144892, 'PTHR23171:SF4', NULL, NULL, NULL, NULL, 'TUFTELIN', 88618),
(144893, 'PTHR12916', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE POLYPEPTIDE VIC-2', 88619),
(144894, 'PTHR23017:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 88620),
(144895, 'PTHR31008:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88621),
(144896, 'PTHR31676:SF24', NULL, NULL, NULL, NULL, 'DUF538 FAMILY PROTEIN', 88622),
(144897, 'PTHR48018:SF57', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 88623),
(144898, 'PTHR33887:SF1', NULL, NULL, NULL, NULL, 'GENE 867-RELATED', 88624),
(144899, 'PTHR35789', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN B3', 88625),
(144900, 'PTHR23155:SF1051', NULL, NULL, NULL, NULL, 'OS01G0308300 PROTEIN', 88626),
(144901, 'PTHR46747', NULL, NULL, NULL, NULL, 'ALPHA-PROTEIN KINASE 1', 88627),
(144902, 'PTHR45974:SF174', NULL, NULL, NULL, NULL, 'BNAA02G10040D PROTEIN', 88628),
(144903, 'PTHR16277:SF11', NULL, NULL, NULL, NULL, 'SI:DKEY-177P2.6', 88629),
(144904, 'PTHR33076:SF143', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 15-RELATED', 88630),
(144905, 'PTHR27009:SF161', NULL, NULL, NULL, NULL, 'BNAC08G11370D PROTEIN', 88631),
(144906, 'PTHR10263:SF57', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C4', 88632),
(144907, 'PTHR18945:SF498', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT GAMMA-2', 88633),
(144908, 'PTHR13878:SF90', NULL, NULL, NULL, NULL, 'OS08G0114300 PROTEIN', 88634),
(144909, 'PTHR11566:SF167', NULL, NULL, NULL, NULL, 'DYNAMIN-2A-LIKE', 88635),
(144910, 'PTHR31989:SF369', NULL, NULL, NULL, NULL, 'BNAC05G01020D PROTEIN', 88636),
(144911, 'PTHR33454:SF5', NULL, NULL, NULL, NULL, 'PUROINDOLINE-A', 88637),
(144912, 'PTHR34648:SF8', NULL, NULL, NULL, NULL, 'CLOCK-INTERACTING PACEMAKER A', 88638),
(144913, 'PTHR10856:SF20', NULL, NULL, NULL, NULL, 'CORONIN-7', 88639),
(144914, 'PTHR31410:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88640),
(144915, 'PTHR33625:SF3', NULL, NULL, NULL, NULL, 'OSJNBB0034G17.10 PROTEIN', 88641),
(144916, 'PTHR10796:SF96', NULL, NULL, NULL, NULL, 'PATCHED-RELATED PROTEIN 9', 88642),
(144917, 'PTHR44328:SF14', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE L3-LIKE ISOFORM X1', 88643),
(144918, 'PTHR30024:SF21', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', 88644),
(144919, 'PTHR43004:SF7', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15520)-RELATED', 88645);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(144920, 'PTHR43822:SF11', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE LARGE SUBUNIT-LIKE ISOFORM X1', 88646),
(144921, 'PTHR30620:SF98', NULL, NULL, NULL, NULL, 'BETA-D-GLUCAN EXOHYDROLASE-LIKE PROTEIN', 88647),
(144922, 'PTHR33781:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHYTOCHROME KINASE SUBSTRATE 4', 88648),
(144923, 'PTHR48019:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88649),
(144924, 'PTHR24071:SF31', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN-3', 88650),
(144925, 'PTHR10117:SF54', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL-GAMMA PROTEIN', 88651),
(144926, 'PTHR47981:SF5', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB7-LIKE ISOFORM X1', 88652),
(144927, 'PTHR22754:SF39', NULL, NULL, NULL, NULL, 'OS04G0473900 PROTEIN', 88653),
(144928, 'PTHR43981:SF1', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE, MITOCHONDRIAL', 88654),
(144929, 'PTHR21290:SF4', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN SYNTHASE-RELATED 2', 88655),
(144930, 'PTHR42847:SF2', NULL, NULL, NULL, NULL, 'METHANESULFONATE MONOOXYGENASE', 88656),
(144931, 'PTHR19359:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 TYPE B', 88657),
(144932, 'PTHR11926:SF1337', NULL, NULL, NULL, NULL, 'OS07G0240600 PROTEIN', 88658),
(144933, 'PTHR31415:SF101', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 88659),
(144934, 'PTHR31625:SF48', NULL, NULL, NULL, NULL, 'PHENOLIC GLUCOSIDE MALONYLTRANSFERASE 2', 88660),
(144935, 'PTHR10502:SF121', NULL, NULL, NULL, NULL, 'ANNEXIN FAMILY', 88661),
(144936, 'PTHR46458:SF2', NULL, NULL, NULL, NULL, 'X GLOBIN', 88662),
(144937, 'PTHR23360:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG02598', 88663),
(144938, 'PTHR27008:SF434', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88664),
(144939, 'PTHR48017:SF133', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 8', 88665),
(144940, 'PTHR43349:SF55', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 3-RELATED', 88666),
(144941, 'PTHR24349:SF343', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', 88667),
(144942, 'PTHR31235:SF302', NULL, NULL, NULL, NULL, 'PEROXIDASE', 88668),
(144943, 'PTHR11945:SF406', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL14-RELATED', 88669),
(144944, 'PTHR11176', NULL, NULL, NULL, NULL, 'BOULE-RELATED', 88670),
(144945, 'PTHR12080:SF91', NULL, NULL, NULL, NULL, 'CD58 MOLECULE', 88671),
(144946, 'PTHR19134:SF292', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE', 88672),
(144947, 'PTHR42718:SF14', NULL, NULL, NULL, NULL, 'AMINOTRIAZOLE RESISTANCE PROTEIN', 88673),
(144948, 'PTHR23147:SF103', NULL, NULL, NULL, NULL, 'TAR DNA-BINDING PROTEIN 43', 88674),
(144949, 'PTHR31062:SF155', NULL, NULL, NULL, NULL, 'OS02G0280200 PROTEIN', 88675),
(144950, 'PTHR16255:SF16', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN (DUF155)', 88676),
(144951, 'PTHR46891:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 88677),
(144952, 'PTHR47967:SF15', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2-LIKE', 88678),
(144953, 'PTHR10108:SF1077', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT27-RELATED', 88679),
(144954, 'PTHR32071:SF81', NULL, NULL, NULL, NULL, 'PROPIONATE CATABOLISM OPERON REGULATORY PROTEIN', 88680),
(144955, 'PTHR31003:SF33', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS FAMILY PROTEIN, EXPRESSED', 88681),
(144956, 'PTHR24141', NULL, NULL, NULL, NULL, '2-5A-DEPENDENT RIBONUCLEASE', 88682),
(144957, 'PTHR31204:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88683),
(144958, 'PTHR31213:SF124', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL10', 88684),
(144959, 'PTHR43571', NULL, NULL, NULL, NULL, 'NADP-SPECIFIC GLUTAMATE DEHYDROGENASE 1-RELATED', 88685),
(144960, 'PTHR32134:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88686),
(144961, 'PTHR31674:SF65', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM5-RELATED', 88687),
(144962, 'PTHR34188:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88688),
(144963, 'PTHR35546:SF55', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 88689);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(144964, 'PTHR48078:SF4', NULL, NULL, NULL, NULL, 'DEHYDRATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G07810)-RELATED', 88690),
(144965, 'PTHR23176:SF119', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATOR RGA', 88691),
(144966, 'PTHR14633', NULL, NULL, NULL, NULL, 'LITTLE ELONGATION COMPLEX SUBUNIT 2', 88692),
(144967, 'PTHR10795:SF658', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.2', 88693),
(144968, 'PTHR47319:SF13', NULL, NULL, NULL, NULL, 'OS06G0683400 PROTEIN', 88694),
(144969, 'PTHR37308', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 88695),
(144970, 'PTHR10606:SF65', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE/FRUCTOSE-2, 6-BISPHOSPHATASE-LIKE PROTEIN', 88696),
(144971, 'PTHR10687:SF20', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 88697),
(144972, 'PTHR46558:SF3', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN', 88698),
(144973, 'PTHR43744:SF13', NULL, NULL, NULL, NULL, 'SN-GLYCEROL-3-PHOSPHATE TRANSPORT INTEGRAL MEMBRANE PROTEIN ABC TRANSPORTER UGPE-RELATED', 88699),
(144974, 'PTHR11848:SF243', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88700),
(144975, 'PTHR47897:SF1', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 124', 88701),
(144976, 'PTHR11183:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88702),
(144977, 'PTHR10782:SF81', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING PROTEIN-RELATED', 88703),
(144978, 'PTHR47754', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X-RELATED', 88704),
(144979, 'PTHR46844:SF1', NULL, NULL, NULL, NULL, 'SLR5058 PROTEIN', 88705),
(144980, 'PTHR48041:SF22', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 9', 88706),
(144981, 'PTHR22883:SF306', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 18', 88707),
(144982, 'PTHR45715:SF8', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E', 88708),
(144983, 'PTHR31648', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 88709),
(144984, 'PTHR37754:SF3', NULL, NULL, NULL, NULL, 'BNAA03G53950D PROTEIN', 88710),
(144985, 'PTHR12788:SF4', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE SULFOTRANSFERASE 1', 88711),
(144986, 'PTHR10891:SF902', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88712),
(144987, 'PTHR43818:SF11', NULL, NULL, NULL, NULL, 'BCDNA.GH03377', 88713),
(144988, 'PTHR32021:SF40', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 88714),
(144989, 'PTHR24246', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR AND ADENOSINE RECEPTOR', 88715),
(144990, 'PTHR12276:SF45', NULL, NULL, NULL, NULL, 'FI19443P1', 88716),
(144991, 'PTHR24128:SF19', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 88717),
(144992, 'PTHR14107:SF21', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', 88718),
(144993, 'PTHR24414:SF178', NULL, NULL, NULL, NULL, 'BNAC09G33740D PROTEIN', 88719),
(144994, 'PTHR31682:SF29', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN-PROTEIN SYNTHASE [UDP-FORMING]-LIKE', 88720),
(144995, 'PTHR32133:SF250', NULL, NULL, NULL, NULL, 'OS08G0299700 PROTEIN', 88721),
(144996, 'PTHR26453:SF118', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1145', 88722),
(144997, 'PTHR31232:SF72', NULL, NULL, NULL, NULL, 'BNAA03G00980D PROTEIN', 88723),
(144998, 'PTHR31374:SF58', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 88724),
(144999, 'PTHR31131:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88725),
(145000, 'PTHR43705', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE', 88726),
(145001, 'PTHR10758:SF12', NULL, NULL, NULL, NULL, '21D7', 88727),
(145002, 'PTHR10288:SF293', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 31-LIKE', 88728),
(145003, 'PTHR27006:SF432', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88729),
(145004, 'PTHR12565:SF384', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 88730),
(145005, 'PTHR11893:SF36', NULL, NULL, NULL, NULL, 'INNEXIN', 88731),
(145006, 'PTHR45676:SF88', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL33', 88732),
(145007, 'PTHR24559:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88733);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(145008, 'PTHR12774:SF2', NULL, NULL, NULL, NULL, 'PEROXISOMAL BIOGENESIS FACTOR 19', 88734),
(145009, 'PTHR11267:SF82', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX2', 88735),
(145010, 'PTHR46870:SF2', NULL, NULL, NULL, NULL, 'PROTEIN THYLAKOID ASSEMBLY 8-LIKE, CHLOROPLASTIC', 88736),
(145011, 'PTHR18952:SF244', NULL, NULL, NULL, NULL, 'ANHYDRASE, PUTATIVE-RELATED', 88737),
(145012, 'PTHR45908:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG06065', 88738),
(145013, 'PTHR24031:SF732', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-9', 88739),
(145014, 'PTHR31009:SF96', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASES SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 88740),
(145015, 'PTHR43105:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', 88741),
(145016, 'PTHR43205:SF48', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE-LIKE PROTEIN', 88742),
(145017, 'PTHR45724:SF15', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP5-1-RELATED', 88743),
(145018, 'PTHR23077:SF145', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 48 HOMOLOG D', 88744),
(145019, 'PTHR21759', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 88745),
(145020, 'PTHR43319:SF3', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN CONTAINING', 88746),
(145021, 'PTHR47929:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88747),
(145022, 'PTHR31967', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)-RELATED', 88748),
(145023, 'PTHR31707:SF167', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 88749),
(145024, 'PTHR36867:SF1', NULL, NULL, NULL, NULL, 'MCG131172, ISOFORM CRA_A', 88750),
(145025, 'PTHR24418:SF61', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE ITK/TSK', 88751),
(145026, 'PTHR24024:SF38', NULL, NULL, NULL, NULL, 'MANNOSE-BINDING PROTEIN', 88752),
(145027, 'PTHR11662:SF333', NULL, NULL, NULL, NULL, 'D-GALACTONATE TRANSPORTER', 88753),
(145028, 'PTHR34524:SF3', NULL, NULL, NULL, NULL, 'CALCYPHOSIN-2', 88754),
(145029, 'PTHR19304:SF8', NULL, NULL, NULL, NULL, 'CYCLIC AMP-RESPONSIVE ELEMENT-BINDING PROTEIN 5', 88755),
(145030, 'PTHR31790:SF283', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN', 88756),
(145031, 'PTHR28336:SF1', NULL, NULL, NULL, NULL, 'BA1-643', 88757),
(145032, 'PTHR47521:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 88758),
(145033, 'PTHR13952:SF8', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN HOMOLOG', 88759),
(145034, 'PTHR12269:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E TRANSPORTER', 88760),
(145035, 'PTHR23285:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MEX3A', 88761),
(145036, 'PTHR46038:SF24', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE FAMILY PROTEIN', 88762),
(145037, 'PTHR43150:SF6', NULL, NULL, NULL, NULL, 'VIC POTASSIUM ION CHANNEL, BETA SUBUNIT (EUROFUNG)', 88763),
(145038, 'PTHR22966:SF1', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 2', 88764),
(145039, 'PTHR13832:SF680', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 44-RELATED', 88765),
(145040, 'PTHR12828:SF8', NULL, NULL, NULL, NULL, 'BNAA07G25120D PROTEIN', 88766),
(145041, 'PTHR24253:SF123', NULL, NULL, NULL, NULL, 'PROTEASE, PUTATIVE-RELATED', 88767),
(145042, 'PTHR11846:SF0', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE', 88768),
(145043, 'PTHR24025:SF14', NULL, NULL, NULL, NULL, 'SI:CH73-74H11.1', 88769),
(145044, 'PTHR34370:SF2', NULL, NULL, NULL, NULL, 'GAG-POL POLYPROTEIN/RETROTRANSPOSON', 88770),
(145045, 'PTHR13166:SF7', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 4', 88771),
(145046, 'PTHR10024:SF252', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-12', 88772),
(145047, 'PTHR11616:SF182', NULL, NULL, NULL, NULL, 'TRANSPORTER', 88773),
(145048, 'PTHR47975:SF2', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 88774),
(145049, 'PTHR24177:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88775),
(145050, 'PTHR11606:SF26', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE', 88776),
(145051, 'PTHR46000:SF8', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 88777),
(145052, 'PTHR33572', NULL, NULL, NULL, NULL, 'SPORE DEVELOPMENT REGULATOR VOSA', 88778);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(145053, 'PTHR21421:SF34', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR FOR SUGAR TASTE 61A-RELATED', 88779),
(145054, 'PTHR23064:SF35', NULL, NULL, NULL, NULL, 'CALMODULIN', 88780),
(145055, 'PTHR12608:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 165', 88781),
(145056, 'PTHR14131:SF5', NULL, NULL, NULL, NULL, 'ANOSMIN-1', 88782),
(145057, 'PTHR14296', NULL, NULL, NULL, NULL, 'REMODELING AND SPACING FACTOR 1', 88783),
(145058, 'PTHR31260:SF30', NULL, NULL, NULL, NULL, 'BNAC01G39410D PROTEIN', 88784),
(145059, 'PTHR47926:SF238', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 88785),
(145060, 'PTHR46481:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 4', 88786),
(145061, 'PTHR11214:SF85', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 12-RELATED', 88787),
(145062, 'PTHR47274:SF5', NULL, NULL, NULL, NULL, 'BNAA03G19040D PROTEIN', 88788),
(145063, 'PTHR47495', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 88789),
(145064, 'PTHR12680:SF8', NULL, NULL, NULL, NULL, 'HOMEODOMAIN TRANSCRIPTION FACTOR 1-RELATED', 88790),
(145065, 'PTHR23202:SF52', NULL, NULL, NULL, NULL, 'VIRUS INDUCED REPORTER OFF', 88791),
(145066, 'PTHR31182:SF19', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', 88792),
(145067, 'PTHR34838:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88793),
(145068, 'PTHR22768', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 88794),
(145069, 'PTHR18966:SF508', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 88795),
(145070, 'PTHR36035:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE SCO2', 88796),
(145071, 'PTHR48042:SF1', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE PROTEIN, PUTATIVE-RELATED', 88797),
(145072, 'PTHR43671:SF59', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', 88798),
(145073, 'PTHR31623:SF18', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', 88799),
(145074, 'PTHR39166', NULL, NULL, NULL, NULL, 'BLL1166 PROTEIN', 88800),
(145075, 'PTHR31912:SF32', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2 TYPE DOMAINCONTAINING PROTEIN', 88801),
(145076, 'PTHR36299', NULL, NULL, NULL, NULL, 'AGAP008005-PA', 88802),
(145077, 'PTHR10332:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88803),
(145078, 'PTHR10824:SF3', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 5', 88804),
(145079, 'PTHR48021:SF2', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE, EXPRESSED-RELATED', 88805),
(145080, 'PTHR11139:SF72', NULL, NULL, NULL, NULL, 'SERINE-PROTEIN KINASE ATM', 88806),
(145081, 'PTHR13140:SF788', NULL, NULL, NULL, NULL, 'MYOSIN VIB', 88807),
(145082, 'PTHR40277:SF1', NULL, NULL, NULL, NULL, 'BLL5419 PROTEIN', 88808),
(145083, 'PTHR35094:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 88809),
(145084, 'PTHR11076:SF35', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN HOMOLOG YOBH', 88810),
(145085, 'PTHR33130:SF39', NULL, NULL, NULL, NULL, 'BNAC05G34980D PROTEIN', 88811),
(145086, 'PTHR22930:SF169', NULL, NULL, NULL, NULL, 'DDE FAMILY ENDONUCLEASE', 88812),
(145087, 'PTHR31321:SF58', NULL, NULL, NULL, NULL, 'METHYLESTERASE, PUTATIVE-RELATED', 88813),
(145088, 'PTHR32410:SF167', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 88814),
(145089, 'PTHR12319:SF2', NULL, NULL, NULL, NULL, 'CYSTATIN-LIKE PROTEIN-RELATED', 88815),
(145090, 'PTHR24377:SF681', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 304', 88816),
(145091, 'PTHR48094:SF11', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE-LIKE CLASS 1 DOMAIN-CONTAINING PROTEIN 1', 88817),
(145092, 'PTHR23327:SF5', NULL, NULL, NULL, NULL, 'LON PEPTIDASE N-TERMINAL DOMAIN AND RING FINGER PROTEIN 2', 88818),
(145093, 'PTHR38003', NULL, NULL, NULL, NULL, 'THYMIC STROMAL LYMPHOPOIETIN', 88819),
(145094, 'PTHR43240:SF13', NULL, NULL, NULL, NULL, '14-DIHYDROXY-2-NAPHTHOYL-COA THIOESTERASE 1', 88820),
(145095, 'PTHR31132:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88821),
(145096, 'PTHR10927:SF3', NULL, NULL, NULL, NULL, 'BNAANNG06530D PROTEIN', 88822),
(145097, 'PTHR38650:SF1', NULL, NULL, NULL, NULL, 'KITA-KYUSHU LUNG CANCER ANTIGEN 1', 88823);
INSERT INTO "PUBLIC"."MODEL" VALUES
(145098, 'PTHR33109:SF71', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 2', 88824),
(145099, 'PTHR36028:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88825),
(145100, 'PTHR45669:SF44', NULL, NULL, NULL, NULL, 'BNAC04G04890D PROTEIN', 88826),
(145101, 'PTHR43920:SF8', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL EXL-1', 88827),
(145102, 'PTHR18952:SF202', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE IV C', 88828),
(145103, 'PTHR31339:SF70', NULL, NULL, NULL, NULL, 'PHAGE-RELATED PROTEIN YOBO-RELATED', 88829),
(145104, 'PTHR11685', NULL, NULL, NULL, NULL, 'RBR FAMILY  RING FINGER AND IBR DOMAIN-CONTAINING', 88830),
(145105, 'PTHR24067:SF308', NULL, NULL, NULL, NULL, 'BNAC05G49100D PROTEIN', 88831),
(145106, 'PTHR47926:SF274', NULL, NULL, NULL, NULL, 'BNAC03G44960D PROTEIN', 88832),
(145107, 'PTHR47801:SF1', NULL, NULL, NULL, NULL, 'OS05G0145600 PROTEIN', 88833),
(145108, 'PTHR12296:SF25', NULL, NULL, NULL, NULL, 'DENN DOMAIN CONTAINING 5B', 88834),
(145109, 'PTHR24390:SF148', NULL, NULL, NULL, NULL, 'CTCF', 88835),
(145110, 'PTHR47986:SF4', NULL, NULL, NULL, NULL, 'BNAC06G01600D PROTEIN', 88836),
(145111, 'PTHR38633:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG09706', 88837),
(145112, 'PTHR31659:SF0', NULL, NULL, NULL, NULL, 'EMB|CAB61945.1', 88838),
(145113, 'PTHR47956:SF19', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A28-RELATED', 88839),
(145114, 'PTHR31890:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88840),
(145115, 'PTHR30435:SF18', NULL, NULL, NULL, NULL, 'FLAGELLAR BASAL-BODY ROD PROTEIN FLGF', 88841),
(145116, 'PTHR10725:SF62', NULL, NULL, NULL, NULL, 'THAP DOMAINCONTAINING PROTEIN', 88842),
(145117, 'PTHR43969', NULL, NULL, NULL, NULL, 'GLUTATHIONE S TRANSFERASE D10, ISOFORM A-RELATED', 88843),
(145118, 'PTHR31609:SF1', NULL, NULL, NULL, NULL, 'CARBOHYDRATE DEACETYLASE', 88844),
(145119, 'PTHR31062:SF132', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 88845),
(145120, 'PTHR28638:SF4', NULL, NULL, NULL, NULL, 'PRE-B-CELL LEUKEMIA HOMEOBOX-INTERACTING PROTEIN 1A', 88846),
(145121, 'PTHR24241:SF166', NULL, NULL, NULL, NULL, 'AKH/CORAZONIN-RELATED PEPTIDE', 88847),
(145122, 'PTHR33132:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88848),
(145123, 'PTHR36191:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88849),
(145124, 'PTHR34666:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88850),
(145125, 'PTHR33077:SF94', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10A', 88851),
(145126, 'PTHR32343:SF46', NULL, NULL, NULL, NULL, 'BINDING PARTNER OF ACD11 1-LIKE ISOFORM X1', 88852),
(145127, 'PTHR33136:SF43', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 24', 88853),
(145128, 'PTHR11624:SF101', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA', 88854),
(145129, 'PTHR22998:SF1', NULL, NULL, NULL, NULL, 'STERILE ALPHA AND TIR MOTIF-CONTAINING PROTEIN 1', 88855),
(145130, 'PTHR11786:SF2', NULL, NULL, NULL, NULL, 'ARYLAMINE N-ACETYLTRANSFERASE 1', 88856),
(145131, 'PTHR11654:SF331', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 7.1', 88857),
(145132, 'PTHR36370:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88858),
(145133, 'PTHR36872', NULL, NULL, NULL, NULL, 'GENE 5901-RELATED', 88859),
(145134, 'PTHR22702:SF3', NULL, NULL, NULL, NULL, 'PROTEASE-ASSOCIATED DOMAIN-CONTAINING PROTEIN 1', 88860),
(145135, 'PTHR46057:SF28', NULL, NULL, NULL, NULL, 'PROTEIN MARD1-LIKE', 88861),
(145136, 'PTHR46415:SF3', NULL, NULL, NULL, NULL, 'DCC-INTERACTING PROTEIN 13-ALPHA', 88862),
(145137, 'PTHR27007:SF166', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.3-RELATED', 88863),
(145138, 'PTHR13754:SF13', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G07630)', 88864),
(145139, 'PTHR35173:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88865),
(145140, 'PTHR31790:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88866),
(145141, 'PTHR35512', NULL, NULL, NULL, NULL, 'OS11G0550900 PROTEIN', 88867),
(145142, 'PTHR11461:SF199', NULL, NULL, NULL, NULL, 'SERPIN B11', 88868);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(145143, 'PTHR42095', NULL, NULL, NULL, NULL, 'YALI0C12166P', 88869),
(145144, 'PTHR32285:SF303', NULL, NULL, NULL, NULL, 'PMR5 N-TERMINAL DOMAIN, PC-ESTERASE, PROTEIN TRICHOME BIREFRINGENCE-LIKE 34-RELATED', 88870),
(145145, 'PTHR24055:SF227', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 2', 88871),
(145146, 'PTHR11615:SF147', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4A3', 88872),
(145147, 'PTHR10788:SF97', NULL, NULL, NULL, NULL, 'BCDNA.GH08860', 88873),
(145148, 'PTHR14581:SF4', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 15', 88874),
(145149, 'PTHR31125:SF11', NULL, NULL, NULL, NULL, 'BNAA07G38800D PROTEIN', 88875),
(145150, 'PTHR15362', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL SYNTHASE', 88876),
(145151, 'PTHR34568', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 88877),
(145152, 'PTHR32289:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM167A', 88878),
(145153, 'PTHR15283:SF4', NULL, NULL, NULL, NULL, 'GREMLIN 1', 88879),
(145154, 'PTHR31533:SF30', NULL, NULL, NULL, NULL, 'BNAA03G48050D PROTEIN', 88880),
(145155, 'PTHR14194:SF86', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 88881),
(145156, 'PTHR19305:SF32', NULL, NULL, NULL, NULL, 'TARGET SNARE COILED-COIL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 88882),
(145157, 'PTHR14859', NULL, NULL, NULL, NULL, 'CALCOFLUOR WHITE HYPERSENSITIVE PROTEIN PRECURSOR', 88883),
(145158, 'PTHR11712:SF322', NULL, NULL, NULL, NULL, 'POLYKETIDE BETA-KETOACYL SYNTHASE 2-RELATED', 88884),
(145159, 'PTHR45748:SF9', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1C-RELATED', 88885),
(145160, 'PTHR10044:SF139', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED INHIBITOR OF APOPTOSIS 2', 88886),
(145161, 'PTHR27005:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88887),
(145162, 'PTHR11627:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88888),
(145163, 'PTHR44170:SF12', NULL, NULL, NULL, NULL, 'NEUROFASCIN', 88889),
(145164, 'PTHR15218', NULL, NULL, NULL, NULL, 'MD-1, MD-2 - RELATED', 88890),
(145165, 'PTHR10556:SF51', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ENOYL-COA REDUCTASE-LIKE', 88891),
(145166, 'PTHR11101:SF54', NULL, NULL, NULL, NULL, 'LOW-AFFINITY INORGANIC PHOSPHATE TRANSPORTER-RELATED', 88892),
(145167, 'PTHR11575:SF25', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE', 88893),
(145168, 'PTHR13989:SF33', NULL, NULL, NULL, NULL, 'CST COMPLEX SUBUNIT STN1', 88894),
(145169, 'PTHR47928:SF13', NULL, NULL, NULL, NULL, 'OS09G0573000 PROTEIN', 88895),
(145170, 'PTHR21700:SF54', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 88896),
(145171, 'PTHR12226', NULL, NULL, NULL, NULL, 'MANNOSE-P-DOLICHOL UTILIZATION DEFECT 1  LEC35 -RELATED', 88897),
(145172, 'PTHR31353:SF11', NULL, NULL, NULL, NULL, 'PROTEIN FAM98B', 88898),
(145173, 'PTHR24012:SF822', NULL, NULL, NULL, NULL, 'LD27920P', 88899),
(145174, 'PTHR23167:SF67', NULL, NULL, NULL, NULL, 'CORTEXILLIN-2', 88900),
(145175, 'PTHR31769:SF2', NULL, NULL, NULL, NULL, 'OS05G0433100 PROTEIN', 88901),
(145176, 'PTHR24056:SF334', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 1', 88902),
(145177, 'PTHR11348:SF33', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH, ANGIOGENIC INDUCER 61 LIKE 1-RELATED', 88903),
(145178, 'PTHR31639:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88904),
(145179, 'PTHR19282:SF376', NULL, NULL, NULL, NULL, 'AT12771P-RELATED', 88905),
(145180, 'PTHR33065:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88906),
(145181, 'PTHR33098:SF69', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', 88907),
(145182, 'PTHR45630:SF13', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', 88908),
(145183, 'PTHR15896:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88909),
(145184, 'PTHR45614:SF117', NULL, NULL, NULL, NULL, 'BNAANNG14700D PROTEIN', 88910),
(145185, 'PTHR46647:SF1', NULL, NULL, NULL, NULL, 'RAB9 EFFECTOR PROTEIN WITH KELCH MOTIFS', 88911),
(145186, 'PTHR45675:SF49', NULL, NULL, NULL, NULL, 'OS12G0564100 PROTEIN', 88912),
(145187, 'PTHR31642:SF186', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID-RELATED ACYLTRANSFERASE 1-LIKE', 88913);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(145188, 'PTHR11006:SF100', NULL, NULL, NULL, NULL, 'HISTONE-ARGININE METHYLTRANSFERASE 1.3-RELATED', 88914),
(145189, 'PTHR20959', NULL, NULL, NULL, NULL, 'TRANSPORT AND GOLGI ORGANIZATION PROTEIN 6 FAMILY MEMBER', 88915),
(145190, 'PTHR41517:SF1', NULL, NULL, NULL, NULL, '1,2-DIOXYGENASE PROTEIN-RELATED', 88916),
(145191, 'PTHR11017:SF253', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 88917),
(145192, 'PTHR45923:SF14', NULL, NULL, NULL, NULL, 'RHD3/SEY1, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 88918),
(145193, 'PTHR31867:SF176', NULL, NULL, NULL, NULL, 'EXPANSIN', 88919),
(145194, 'PTHR14950:SF66', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3-LIKE PROTEIN 2', 88920),
(145195, 'PTHR23352:SF2', NULL, NULL, NULL, NULL, 'NEURAL PROLIFERATION DIFFERENTIATION AND CONTROL PROTEIN 1', 88921),
(145196, 'PTHR42893:SF40', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 88922),
(145197, 'PTHR47967:SF83', NULL, NULL, NULL, NULL, 'OS05G0375700 PROTEIN', 88923),
(145198, 'PTHR35983:SF1', NULL, NULL, NULL, NULL, 'UPF0166 PROTEIN TM_0021', 88924),
(145199, 'PTHR48019:SF15', NULL, NULL, NULL, NULL, 'BNAC02G42240D PROTEIN', 88925),
(145200, 'PTHR31942', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 1', 88926),
(145201, 'PTHR45770:SF40', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 88927),
(145202, 'PTHR45586:SF1', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING PROTEIN PA4667', 88928),
(145203, 'PTHR47956:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', 88929),
(145204, 'PTHR45619:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-LIKE PPG1', 88930),
(145205, 'PTHR11935:SF94', NULL, NULL, NULL, NULL, 'TENZING NORGAY, ISOFORM C', 88931),
(145206, 'PTHR33420:SF10', NULL, NULL, NULL, NULL, 'FIMBRIAE MAJOR SUBUNIT-RELATED', 88932),
(145207, 'PTHR33541:SF20', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE B', 88933),
(145208, 'PTHR31642:SF11', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE', 88934),
(145209, 'PTHR47074:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88935),
(145210, 'PTHR48112:SF7', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN B4', 88936),
(145211, 'PTHR23007:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CBL', 88937),
(145212, 'PTHR47949:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP736A12-LIKE', 88938),
(145213, 'PTHR17615:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAM189A1', 88939),
(145214, 'PTHR47256:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 88940),
(145215, 'PTHR40682:SF1', NULL, NULL, NULL, NULL, 'F5/8 TYPE C DOMAIN CONTAINING PROTEIN', 88941),
(145216, 'PTHR11573:SF25', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE', 88942),
(145217, 'PTHR31651:SF32', NULL, NULL, NULL, NULL, 'BNAA09G09160D PROTEIN', 88943),
(145218, 'PTHR27004:SF372', NULL, NULL, NULL, NULL, 'BNAC02G20700D PROTEIN', 88944),
(145219, 'PTHR31969:SF51', NULL, NULL, NULL, NULL, 'BNAA09G05360D PROTEIN', 88945),
(145220, 'PTHR24136:SF15', NULL, NULL, NULL, NULL, 'SOWAH (DROSOPHILA) HOMOLOG', 88946),
(145221, 'PTHR13096', NULL, NULL, NULL, NULL, 'MINA53  MYC INDUCED NUCLEAR ANTIGEN', 88947),
(145222, 'PTHR33782:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88948),
(145223, 'PTHR31225:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88949),
(145224, 'PTHR31044:SF99', NULL, NULL, NULL, NULL, 'X8 DOMAIN-CONTAINING PROTEIN-RELATED', 88950),
(145225, 'PTHR43008:SF9', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 88951),
(145226, 'PTHR45838:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 88952),
(145227, 'PTHR24229:SF99', NULL, NULL, NULL, NULL, 'ALLATOSTATIN A RECEPTOR 1, ISOFORM B', 88953),
(145228, 'PTHR32523:SF7', NULL, NULL, NULL, NULL, 'FARNESOL KINASE, CHLOROPLASTIC', 88954),
(145229, 'PTHR10721:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM44', 88955),
(145230, 'PTHR11005:SF117', NULL, NULL, NULL, NULL, 'LIPASE', 88956),
(145231, 'PTHR11176:SF27', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 88957);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(145232, 'PTHR20908:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-5I3.5', 88958),
(145233, 'PTHR33070:SF97', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', 88959),
(145234, 'PTHR21094', NULL, NULL, NULL, NULL, 'GOS-28 SNARE- RELATED', 88960),
(145235, 'PTHR11360:SF111', NULL, NULL, NULL, NULL, 'LD30953P', 88961),
(145236, 'PTHR24068:SF169', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1', 88962),
(145237, 'PTHR42721:SF8', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 1', 88963),
(145238, 'PTHR46522:SF1', NULL, NULL, NULL, NULL, 'CYTIDINE MONOPHOSPHATE-N-ACETYLNEURAMINIC ACID HYDROXYLASE', 88964),
(145239, 'PTHR24092:SF176', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 88965),
(145240, 'PTHR31602:SF70', NULL, NULL, NULL, NULL, 'BNAA03G46480D PROTEIN', 88966),
(145241, 'PTHR45626:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88967),
(145242, 'PTHR47293:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88968),
(145243, 'PTHR31054:SF5', NULL, NULL, NULL, NULL, 'ZAR1-LIKE PROTEIN', 88969),
(145244, 'PTHR11552:SF154', NULL, NULL, NULL, NULL, 'FI04917P', 88970),
(145245, 'PTHR10628:SF22', NULL, NULL, NULL, NULL, 'SIALIDASE-4', 88971),
(145246, 'PTHR12473:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88972),
(145247, 'PTHR24006:SF690', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 17', 88973),
(145248, 'PTHR45654:SF58', NULL, NULL, NULL, NULL, 'BNAA07G37850D PROTEIN', 88974),
(145249, 'PTHR14155:SF559', NULL, NULL, NULL, NULL, 'BNAC04G02690D PROTEIN', 88975),
(145250, 'PTHR35037:SF3', NULL, NULL, NULL, NULL, 'C-TERMINAL REGION OF AIDA-LIKE PROTEIN', 88976),
(145251, 'PTHR23267:SF360', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88977),
(145252, 'PTHR33091:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88978),
(145253, 'PTHR43039:SF8', NULL, NULL, NULL, NULL, 'OS05G0179900 PROTEIN', 88979),
(145254, 'PTHR13098:SF3', NULL, NULL, NULL, NULL, 'WOLFRAMIN', 88980),
(145255, 'PTHR45800:SF12', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-AND 4-KINASE', 88981),
(145256, 'PTHR43874:SF129', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR22', 88982),
(145257, 'PTHR10252:SF109', NULL, NULL, NULL, NULL, 'BNAA05G26680D PROTEIN', 88983),
(145258, 'PTHR36875:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88984),
(145259, 'PTHR10627:SF31', NULL, NULL, NULL, NULL, 'DODECA-SATELLITE-BINDING PROTEIN 1, ISOFORM A', 88985),
(145260, 'PTHR39220:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN PVRIG', 88986),
(145261, 'PTHR48047:SF40', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 88987),
(145262, 'PTHR33365:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 88988),
(145263, 'PTHR10942:SF6', NULL, NULL, NULL, NULL, 'LEISHMANOLYSIN-LIKE PEPTIDASE 2', 88989),
(145264, 'PTHR31068:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 32', 88990),
(145265, 'PTHR11863:SF107', NULL, NULL, NULL, NULL, 'STEROL DESATURASE FAMILY', 88991),
(145266, 'PTHR11266:SF46', NULL, NULL, NULL, NULL, 'OS08G0566900 PROTEIN', 88992),
(145267, 'PTHR45770:SF29', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 88993),
(145268, 'PTHR14179', NULL, NULL, NULL, NULL, 'SMR1-RELATED', 88994),
(145269, 'PTHR47992:SF21', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C FAMILY PROTEIN', 88995),
(145270, 'PTHR33021:SF407', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 10', 88996),
(145271, 'PTHR48104:SF23', NULL, NULL, NULL, NULL, 'METACASPASE (EUROFUNG)', 88997),
(145272, 'PTHR23024:SF379', NULL, NULL, NULL, NULL, 'OS07G0606800 PROTEIN', 88998),
(145273, 'PTHR13148:SF0', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', 88999),
(145274, 'PTHR18919:SF146', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE CYTOSOLIC 2-RELATED', 89000),
(145275, 'PTHR24384:SF30', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 664', 89001),
(145276, 'PTHR48041:SF72', NULL, NULL, NULL, NULL, 'BNAA05G36020D PROTEIN', 89002),
(145277, 'PTHR13600:SF21', NULL, NULL, NULL, NULL, 'LEUCINE CARBOXYL METHYLTRANSFERASE 1', 89003);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(145278, 'PTHR44542:SF13', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN', 89004),
(145279, 'PTHR28133', NULL, NULL, NULL, NULL, 'REQUIRED FOR RESPIRATORY GROWTH PROTEIN 7, MITOCHONDRIAL', 89005),
(145280, 'PTHR31933:SF10', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 15', 89006),
(145281, 'PTHR46832:SF1', NULL, NULL, NULL, NULL, '5''-METHYLTHIOADENOSINE/S-ADENOSYLHOMOCYSTEINE NUCLEOSIDASE', 89007),
(145282, 'PTHR11516:SF58', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', 89008),
(145283, 'PTHR31717:SF48', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 4-LIKE', 89009),
(145284, 'PTHR31221:SF212', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 113', 89010),
(145285, 'PTHR33400:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 45-RELATED', 89011),
(145286, 'PTHR23239:SF106', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 39', 89012),
(145287, 'PTHR31374:SF183', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 89013),
(145288, 'PTHR45974:SF95', NULL, NULL, NULL, NULL, 'OS02G0153100 PROTEIN', 89014),
(145289, 'PTHR31867:SF179', NULL, NULL, NULL, NULL, 'EXPANSIN', 89015),
(145290, 'PTHR33137:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89016),
(145291, 'PTHR23077:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89017),
(145292, 'PTHR34849', NULL, NULL, NULL, NULL, 'SSL5025 PROTEIN', 89018),
(145293, 'PTHR36788:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89019),
(145294, 'PTHR43314:SF18', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE, LEAF ISOZYME 2, CHLOROPLASTIC', 89020),
(145295, 'PTHR13555:SF52', NULL, NULL, NULL, NULL, 'PROTEIN CBG21933', 89021),
(145296, 'PTHR32158', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 89022),
(145297, 'PTHR31645:SF48', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL17-RELATED', 89023),
(145298, 'PTHR34226:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89024),
(145299, 'PTHR31165:SF82', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE9', 89025),
(145300, 'PTHR17408:SF11', NULL, NULL, NULL, NULL, 'STEM-LOOP-BINDING PROTEIN-LIKE', 89026),
(145301, 'PTHR22957:SF568', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATOR PROTEIN OF RAB-LIKE SMALL GTPASES-LIKE PROTEIN', 89027),
(145302, 'PTHR45758:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN E', 89028),
(145303, 'PTHR33127:SF45', NULL, NULL, NULL, NULL, 'OS05G0143700 PROTEIN', 89029),
(145304, 'PTHR38365:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89030),
(145305, 'PTHR19378:SF0', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 3', 89031),
(145306, 'PTHR46084:SF26', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 89032),
(145307, 'PTHR47932:SF32', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 89033),
(145308, 'PTHR31692:SF57', NULL, NULL, NULL, NULL, 'EXPANSIN-B2-RELATED', 89034),
(145309, 'PTHR48013:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89035),
(145310, 'PTHR46490', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 12 MEMBER A-RELATED', 89036),
(145311, 'PTHR38792:SF2', NULL, NULL, NULL, NULL, 'BNR/ASP-BOX REPEAT DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_7G06430)', 89037),
(145312, 'PTHR33132:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89038),
(145313, 'PTHR31636:SF238', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89039),
(145314, 'PTHR12133:SF1', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(58)-N(1))-METHYLTRANSFERASE, MITOCHONDRIAL', 89040),
(145315, 'PTHR34452:SF11', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED PROTEIN', 89041),
(145316, 'PTHR46433:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89042),
(145317, 'PTHR10336:SF106', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE BETA-4', 89043),
(145318, 'PTHR45801:SF59', NULL, NULL, NULL, NULL, 'ZINC FINGER C2H2-TYPE/INTEGRASE DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 89044),
(145319, 'PTHR24028:SF72', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A8', 89045),
(145320, 'PTHR11848:SF226', NULL, NULL, NULL, NULL, 'LEFT-RIGHT DETERMINATION FACTOR', 89046);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(145321, 'PTHR15415:SF7', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC60', 89047),
(145322, 'PTHR32410:SF161', NULL, NULL, NULL, NULL, 'ZINC FINGER, PHD-TYPE, C1-LIKE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 89048),
(145323, 'PTHR12716:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIE SUBUNIT BETA', 89049),
(145324, 'PTHR13390:SF0', NULL, NULL, NULL, NULL, 'LIPID DROPLET-ASSOCIATED HYDROLASE', 89050),
(145325, 'PTHR24034:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89051),
(145326, 'PTHR11240:SF40', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2,-LIKE', 89052),
(145327, 'PTHR14964', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR BINDING FACTOR 2', 89053),
(145328, 'PTHR23172:SF71', NULL, NULL, NULL, NULL, 'OS01G0634300 PROTEIN', 89054),
(145329, 'PTHR43557:SF16', NULL, NULL, NULL, NULL, 'FAD/NAD-LINKED REDUCTASE, DIMERIZATION DOMAIN, FAD/NAD(P)-BINDING DOMAIN PROTEIN-RELATED', 89055),
(145330, 'PTHR31826:SF3', NULL, NULL, NULL, NULL, 'NICALIN', 89056),
(145331, 'PTHR10390', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX', 89057),
(145332, 'PTHR31044:SF98', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN PROTEIN', 89058),
(145333, 'PTHR11606:SF33', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE 1', 89059),
(145334, 'PTHR34763:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89060),
(145335, 'PTHR13878:SF137', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 1-LIKE', 89061),
(145336, 'PTHR33065:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89062),
(145337, 'PTHR31549:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89063),
(145338, 'PTHR42904:SF1', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE-LINKED MOIETY X MOTIF 17', 89064),
(145339, 'PTHR14110:SF22', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT HP30-1', 89065),
(145340, 'PTHR14083:SF11', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE HRF1 FAMILY PROTEIN', 89066),
(145341, 'PTHR45855:SF46', NULL, NULL, NULL, NULL, 'BNAC07G16290D PROTEIN', 89067),
(145342, 'PTHR12400:SF82', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE MULTIKINASE', 89068),
(145343, 'PTHR11746:SF270', NULL, NULL, NULL, NULL, 'HERBICIDE SAFENER BINDING PROTEIN', 89069),
(145344, 'PTHR15337:SF1', NULL, NULL, NULL, NULL, 'ANTERIOR GRADIENT PROTEIN 2 HOMOLOG', 89070),
(145345, 'PTHR16134:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89071),
(145346, 'PTHR23277:SF108', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 21', 89072),
(145347, 'PTHR38746:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89073),
(145348, 'PTHR43464', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 89074),
(145349, 'PTHR11727:SF17', NULL, NULL, NULL, NULL, 'DIMETHYLADENOSINE TRANSFERASE 1, MITOCHONDRIAL', 89075),
(145350, 'PTHR12547:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89076),
(145351, 'PTHR47973:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 43-RELATED', 89077),
(145352, 'PTHR36404:SF1', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 2737', 89078),
(145353, 'PTHR22811:SF172', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE P24-TRAFFICKING PROTEIN 5', 89079),
(145354, 'PTHR33207:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89080),
(145355, 'PTHR11680:SF42', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE 3, CHLOROPLASTIC', 89081),
(145356, 'PTHR32546:SF27', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 158B', 89082),
(145357, 'PTHR45856:SF6', NULL, NULL, NULL, NULL, 'OS07G0668700 PROTEIN', 89083),
(145358, 'PTHR33389:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89084),
(145359, 'PTHR11926:SF1415', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 89085),
(145360, 'PTHR33349:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89086),
(145361, 'PTHR26379:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89087),
(145362, 'PTHR31639:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89088),
(145363, 'PTHR11817:SF94', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 89089),
(145364, 'PTHR27008:SF178', NULL, NULL, NULL, NULL, 'OS04G0227200 PROTEIN', 89090);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(145365, 'PTHR47926:SF244', NULL, NULL, NULL, NULL, 'BNAA06G33620D PROTEIN', 89091),
(145366, 'PTHR11771:SF164', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 89092),
(145367, 'PTHR31080:SF80', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 1-LIKE', 89093),
(145368, 'PTHR13683:SF692', NULL, NULL, NULL, NULL, 'OS04G0334700 PROTEIN', 89094),
(145369, 'PTHR31374:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89095),
(145370, 'PTHR11132:SF412', NULL, NULL, NULL, NULL, 'BNAA01G05480D PROTEIN', 89096),
(145371, 'PTHR34663:SF9', NULL, NULL, NULL, NULL, 'OS06G0637400 PROTEIN', 89097),
(145372, 'PTHR31087:SF65', NULL, NULL, NULL, NULL, 'OS01G0931700 PROTEIN', 89098),
(145373, 'PTHR21431:SF0', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 6', 89099),
(145374, 'PTHR47293:SF39', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DWY1, CHLOROPLASTIC', 89100),
(145375, 'PTHR43735:SF17', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 2-LIKE', 89101),
(145376, 'PTHR31945:SF103', NULL, NULL, NULL, NULL, 'BNACNNG51260D PROTEIN', 89102),
(145377, 'PTHR24286:SF240', NULL, NULL, NULL, NULL, 'ALLENE OXIDE SYNTHASE 2', 89103),
(145378, 'PTHR31279:SF44', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 2', 89104),
(145379, 'PTHR24381:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 684', 89105),
(145380, 'PTHR12635', NULL, NULL, NULL, NULL, 'RHO-GTPASE-ACTIVATING PROTEIN 6 FAMILY MEMBER', 89106),
(145381, 'PTHR31218:SF258', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 89107),
(145382, 'PTHR45657:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH13', 89108),
(145383, 'PTHR42908:SF26', NULL, NULL, NULL, NULL, 'OS01G0742200 PROTEIN', 89109),
(145384, 'PTHR14402:SF18', NULL, NULL, NULL, NULL, 'RECEPTOR-TRANSPORTING PROTEIN 2', 89110),
(145385, 'PTHR10578:SF132', NULL, NULL, NULL, NULL, 'BNAC03G62120D PROTEIN', 89111),
(145386, 'PTHR16514', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 89112),
(145387, 'PTHR31656:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89113),
(145388, 'PTHR19317:SF13', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 89114),
(145389, 'PTHR13690:SF137', NULL, NULL, NULL, NULL, 'BNAA04G12040D PROTEIN', 89115),
(145390, 'PTHR10263:SF61', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', 89116),
(145391, 'PTHR45621:SF76', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL4-RELATED', 89117),
(145392, 'PTHR14112:SF28', NULL, NULL, NULL, NULL, 'GENE, 21876-RELATED', 89118),
(145393, 'PTHR35928:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S3, MITOCHONDRIAL', 89119),
(145394, 'PTHR43655:SF26', NULL, NULL, NULL, NULL, 'METALLOPEPTIDASE, PUTATIVE-RELATED', 89120),
(145395, 'PTHR11999:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89121),
(145396, 'PTHR48017:SF158', NULL, NULL, NULL, NULL, 'BNAA06G22970D PROTEIN', 89122),
(145397, 'PTHR43675:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89123),
(145398, 'PTHR48022:SF66', NULL, NULL, NULL, NULL, 'MFS HEXOSE TRANSPORTER', 89124),
(145399, 'PTHR23416:SF76', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 89125),
(145400, 'PTHR24115:SF932', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 89126),
(145401, 'PTHR47270:SF7', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', 89127),
(145402, 'PTHR23073:SF76', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 10B', 89128),
(145403, 'PTHR34468', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED FUTSCH-LIKE PROTEIN', 89129),
(145404, 'PTHR23267:SF193', NULL, NULL, NULL, NULL, 'IG LAMBDA-1 CHAIN V REGION-RELATED', 89130),
(145405, 'PTHR35310:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 89131),
(145406, 'PTHR23045:SF11', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 37A-RELATED', 89132),
(145407, 'PTHR35564', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 89133),
(145408, 'PTHR10177:SF452', NULL, NULL, NULL, NULL, 'MITOTIC CYCLIN', 89134),
(145409, 'PTHR30591:SF1', NULL, NULL, NULL, NULL, 'RECBCD ENZYME SUBUNIT RECC', 89135);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(145410, 'PTHR10877:SF150', NULL, NULL, NULL, NULL, 'LOCATION OF VULVA DEFECTIVE 1', 89136),
(145411, 'PTHR30546:SF39', NULL, NULL, NULL, NULL, 'BNAA10G08330D PROTEIN', 89137),
(145412, 'PTHR11461:SF336', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89138),
(145413, 'PTHR31238:SF158', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 8', 89139),
(145414, 'PTHR32227:SF138', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE BG3-RELATED', 89140),
(145415, 'PTHR31718:SF0', NULL, NULL, NULL, NULL, 'PLAT DOMAIN-CONTAINING PROTEIN 1', 89141),
(145416, 'PTHR24223:SF196', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 5', 89142),
(145417, 'PTHR42760:SF48', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 89143),
(145418, 'PTHR34482:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89144),
(145419, 'PTHR10121:SF0', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT DELTA', 89145),
(145420, 'PTHR34106:SF4', NULL, NULL, NULL, NULL, 'BLL5143 PROTEIN', 89146),
(145421, 'PTHR13516:SF13', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', 89147),
(145422, 'PTHR43184:SF12', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY TRANSPORTER 16, ISOFORM B', 89148),
(145423, 'PTHR31234:SF26', NULL, NULL, NULL, NULL, 'OS07G0524400 PROTEIN', 89149),
(145424, 'PTHR47934:SF1', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 89150),
(145425, 'PTHR47864:SF10', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 89151),
(145426, 'PTHR42683:SF38', NULL, NULL, NULL, NULL, 'ALDEHYDE REDUCTASE AHR', 89152),
(145427, 'PTHR30472:SF27', NULL, NULL, NULL, NULL, 'PETROBACTIN IMPORT SYSTEM PERMEASE PROTEIN YCLN', 89153),
(145428, 'PTHR10828', NULL, NULL, NULL, NULL, 'M-PHASE INDUCER PHOSPHATASE  DUAL SPECIFICITY PHOSPHATASE CDC25', 89154),
(145429, 'PTHR20765:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 43 MEMBER 2', 89155),
(145430, 'PTHR43708', NULL, NULL, NULL, NULL, 'CONSERVED EXPRESSED OXIDOREDUCTASE (EUROFUNG)', 89156),
(145431, 'PTHR46605', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR', 89157),
(145432, 'PTHR47835:SF1', NULL, NULL, NULL, NULL, 'HFM1, ATP DEPENDENT DNA HELICASE HOMOLOG', 89158),
(145433, 'PTHR11130:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE SYNTHETASE', 89159),
(145434, 'PTHR26453:SF139', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 89160),
(145435, 'PTHR33304:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89161),
(145436, 'PTHR43281:SF18', NULL, NULL, NULL, NULL, 'HETERODIMERIC GERANYLGERANYL PYROPHOSPHATE SYNTHASE LARGE SUBUNIT 2', 89162),
(145437, 'PTHR26453:SF91', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2M4', 89163),
(145438, 'PTHR10688:SF11', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN-RELATED', 89164),
(145439, 'PTHR12931:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89165),
(145440, 'PTHR24256:SF329', NULL, NULL, NULL, NULL, 'MAST CELL PROTEASE-11', 89166),
(145441, 'PTHR33133:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89167),
(145442, 'PTHR23077:SF155', NULL, NULL, NULL, NULL, 'AAA ATPASE DOMAIN-CONTAINING PROTEIN', 89168),
(145443, 'PTHR11712:SF335', NULL, NULL, NULL, NULL, 'BNAA07G31890D PROTEIN', 89169),
(145444, 'PTHR31345', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN Q', 89170),
(145445, 'PTHR36705', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 20', 89171),
(145446, 'PTHR31087:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89172),
(145447, 'PTHR47926:SF241', NULL, NULL, NULL, NULL, 'OS03G0283500 PROTEIN', 89173),
(145448, 'PTHR36492', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 89174),
(145449, 'PTHR19370:SF143', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE-ASSOCIATED COENZYME Q6 REDUCTASE PGA3', 89175),
(145450, 'PTHR10373:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 7-LIKE 1', 89176),
(145451, 'PTHR11706:SF100', NULL, NULL, NULL, NULL, 'BNAC08G04640D PROTEIN', 89177),
(145452, 'PTHR23294:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG01362', 89178),
(145453, 'PTHR24020:SF53', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE XII, ALPHA 1B', 89179);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(145454, 'PTHR31116', NULL, NULL, NULL, NULL, 'OS04G0501200 PROTEIN', 89180),
(145455, 'PTHR30419:SF2', NULL, NULL, NULL, NULL, 'NITROGEN ASSIMILATION TRANSCRIPTIONAL ACTIVATOR-RELATED', 89181),
(145456, 'PTHR32448:SF12', NULL, NULL, NULL, NULL, 'RETICULINE OXIDASE-LIKE PROTEIN', 89182),
(145457, 'PTHR24015:SF1892', NULL, NULL, NULL, NULL, 'OS04G0118700 PROTEIN', 89183),
(145458, 'PTHR46662:SF24', NULL, NULL, NULL, NULL, 'OS11G0570000 PROTEIN', 89184),
(145459, 'PTHR33048:SF125', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 89185),
(145460, 'PTHR11787:SF4', NULL, NULL, NULL, NULL, 'RAB PROTEINS GERANYLGERANYLTRANSFERASE COMPONENT A', 89186),
(145461, 'PTHR43278', NULL, NULL, NULL, NULL, 'NAD(P)H-DEPENDENT FMN-CONTAINING OXIDOREDUCTASE YWQN-RELATED', 89187),
(145462, 'PTHR46046:SF5', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 89188),
(145463, 'PTHR34969:SF1', NULL, NULL, NULL, NULL, 'OS01G0621700 PROTEIN', 89189),
(145464, 'PTHR22907:SF33', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 89190),
(145465, 'PTHR44191:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89191),
(145466, 'PTHR42038', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 89192),
(145467, 'PTHR48002:SF145', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 89193),
(145468, 'PTHR12791:SF49', NULL, NULL, NULL, NULL, 'BET1-LIKE SNARE 1-1 ISOFORM X1', 89194),
(145469, 'PTHR33405:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FLX-LIKE 2', 89195),
(145470, 'PTHR10984:SF68', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 5-3', 89196),
(145471, 'PTHR48118', NULL, NULL, NULL, NULL, 'SPINDLE AND KINETOCHORE-ASSOCIATED PROTEIN 3', 89197),
(145472, 'PTHR33179:SF33', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 25-LIKE', 89198),
(145473, 'PTHR31621:SF55', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 89199),
(145474, 'PTHR33078:SF39', NULL, NULL, NULL, NULL, 'BNAA06G19300D PROTEIN', 89200),
(145475, 'PTHR11051:SF8', NULL, NULL, NULL, NULL, 'PROTEIN-GLUCOSYLGALACTOSYLHYDROXYLYSINE GLUCOSIDASE', 89201),
(145476, 'PTHR31898:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89202),
(145477, 'PTHR13344:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 8', 89203),
(145478, 'PTHR31105', NULL, NULL, NULL, NULL, 'EXTRA-LARGE G-PROTEIN-LIKE', 89204),
(145479, 'PTHR33710:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89205),
(145480, 'PTHR36152:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 89206),
(145481, 'PTHR43662:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89207),
(145482, 'PTHR11183:SF106', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 4', 89208),
(145483, 'PTHR12588:SF12', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE 1', 89209),
(145484, 'PTHR12834:SF13', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 9 KDA PROTEIN', 89210),
(145485, 'PTHR31363:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89211),
(145486, 'PTHR10168:SF262', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE, PLANT II, THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', 89212),
(145487, 'PTHR43874:SF94', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR5', 89213),
(145488, 'PTHR21311', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX COMPONENT 8', 89214),
(145489, 'PTHR32285:SF266', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 25', 89215),
(145490, 'PTHR30469:SF35', NULL, NULL, NULL, NULL, 'EFFLUX PROTEIN', 89216),
(145491, 'PTHR37534:SF25', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 89217),
(145492, 'PTHR36410', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 89218),
(145493, 'PTHR15076', NULL, NULL, NULL, NULL, 'CD99/MIC2 PROTEIN RELATED', 89219),
(145494, 'PTHR11011:SF97', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 89220),
(145495, 'PTHR23147:SF44', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 1', 89221),
(145496, 'PTHR37872', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 1700029I15', 89222),
(145497, 'PTHR21659:SF66', NULL, NULL, NULL, NULL, 'HYDROPHOBIC PROTEIN LTI6B', 89223),
(145498, 'PTHR31426:SF2', NULL, NULL, NULL, NULL, 'GROUP II INTRON SPLICING FACTOR CRS1-LIKE', 89224); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(145499, 'PTHR20971', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED PROTEIN', 89225),
(145500, 'PTHR32556:SF18', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 89226),
(145501, 'PTHR47993:SF78', NULL, NULL, NULL, NULL, 'BNAA01G27910D PROTEIN', 89227),
(145502, 'PTHR10778:SF33', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE/UDP-GLUCOSE TRANSPORTER 2-LIKE', 89228),
(145503, 'PTHR24086:SF25', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FTZ-F1 BETA', 89229),
(145504, 'PTHR14303:SF12', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA SUBUNIT 4', 89230),
(145505, 'PTHR31907:SF33', NULL, NULL, NULL, NULL, 'KIROLA-LIKE', 89231),
(145506, 'PTHR22427:SF9', NULL, NULL, NULL, NULL, 'SI:CH73-389B16.2', 89232),
(145507, 'PTHR31157:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 89233),
(145508, 'PTHR13271:SF90', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE EFM1', 89234),
(145509, 'PTHR34223:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89235),
(145510, 'PTHR22656', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 89236),
(145511, 'PTHR19241:SF554', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE MULTIDRUG TRANSPORTER', 89237),
(145512, 'PTHR11905:SF158', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 18', 89238),
(145513, 'PTHR21358:SF4', NULL, NULL, NULL, NULL, 'PROTEIN MAELSTROM HOMOLOG', 89239),
(145514, 'PTHR42805:SF1', NULL, NULL, NULL, NULL, 'PTERIN-4-ALPHA-CARBINOLAMINE DEHYDRATASE-RELATED', 89240),
(145515, 'PTHR34659:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89241),
(145516, 'PTHR38926:SF5', NULL, NULL, NULL, NULL, 'OS12G0609900 PROTEIN', 89242),
(145517, 'PTHR21535:SF94', NULL, NULL, NULL, NULL, 'CORA FAMILY METAL ION TRANSPORTER (EUROFUNG)', 89243),
(145518, 'PTHR11467:SF86', NULL, NULL, NULL, NULL, 'HISTONE H1.2', 89244),
(145519, 'PTHR13140:SF736', NULL, NULL, NULL, NULL, 'MYOSIN FAMILY PROTEIN WITH DIL DOMAIN', 89245),
(145520, 'PTHR13683:SF749', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 89246),
(145521, 'PTHR15362:SF30', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE SYNTHASE', 89247),
(145522, 'PTHR46913:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89248),
(145523, 'PTHR15736:SF10', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 131 MEMBER BA', 89249),
(145524, 'PTHR11727:SF29', NULL, NULL, NULL, NULL, 'RRNA ADENINE N(6)-METHYLTRANSFERASE', 89250),
(145525, 'PTHR11351:SF82', NULL, NULL, NULL, NULL, 'BNAC05G04360D PROTEIN', 89251),
(145526, 'PTHR13793:SF92', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATX3', 89252),
(145527, 'PTHR19876:SF33', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA-2', 89253),
(145528, 'PTHR27000:SF575', NULL, NULL, NULL, NULL, 'TYROSINE-SULFATED GLYCOPEPTIDE RECEPTOR 1', 89254),
(145529, 'PTHR32347:SF27', NULL, NULL, NULL, NULL, 'SLL1481 PROTEIN', 89255),
(145530, 'PTHR46178:SF9', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 89256),
(145531, 'PTHR46485:SF3', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TESTIS-SPECIFIC PROTEIN KINASE 1', 89257),
(145532, 'PTHR33095:SF51', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 89258),
(145533, 'PTHR11709:SF90', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE HOMOLOG', 89259),
(145534, 'PTHR47293:SF33', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 24', 89260),
(145535, 'PTHR15241:SF280', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 3, MITOCHONDRIAL-LIKE', 89261),
(145536, 'PTHR22597:SF12', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN VERNALIZATION 2', 89262),
(145537, 'PTHR19965:SF66', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4A-LIKE ISOFORM X1', 89263),
(145538, 'PTHR24320:SF164', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE, PUTATIVE-RELATED', 89264),
(145539, 'PTHR46008:SF9', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.1', 89265),
(145540, 'PTHR42954:SF2', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORT PROTEIN A', 89266),
(145541, 'PTHR11811:SF48', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING', 89267);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(145542, 'PTHR11588:SF376', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2 CHAIN', 89268),
(145543, 'PTHR12424:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TWEETY HOMOLOG 1', 89269),
(145544, 'PTHR46272:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89270),
(145545, 'PTHR23280:SF28', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE', 89271),
(145546, 'PTHR14066:SF2', NULL, NULL, NULL, NULL, 'NATRIURETIC PEPTIDES A', 89272),
(145547, 'PTHR23226:SF175', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 174', 89273),
(145548, 'PTHR33477:SF4', NULL, NULL, NULL, NULL, 'P-LOOP NTPASE DOMAIN-CONTAINING PROTEIN LPA1 HOMOLOG', 89274),
(145549, 'PTHR31444:SF40', NULL, NULL, NULL, NULL, 'PROTEIN IRREGULAR XYLEM 15', 89275),
(145550, 'PTHR45805:SF9', NULL, NULL, NULL, NULL, 'RAR-RELATED ORPHAN RECEPTOR C A', 89276),
(145551, 'PTHR48000:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89277),
(145552, 'PTHR34427:SF5', NULL, NULL, NULL, NULL, 'DUF4283 DOMAIN PROTEIN', 89278),
(145553, 'PTHR31282:SF70', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 7-RELATED', 89279),
(145554, 'PTHR42733:SF9', NULL, NULL, NULL, NULL, 'DJ-1 PROTEIN HOMOLOG E', 89280),
(145555, 'PTHR14021:SF15', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER CO-CHAPERONE PROTEIN HSCB', 89281),
(145556, 'PTHR24064:SF559', NULL, NULL, NULL, NULL, 'BNAA03G18250D PROTEIN', 89282),
(145557, 'PTHR21472:SF21', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN SIMILAR TO VERTEBRATE ENDONUCLEASE DOMAIN CONTAINING 1 (ENDOD1)', 89283),
(145558, 'PTHR10784:SF7', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 6', 89284),
(145559, 'PTHR13286:SF14', NULL, NULL, NULL, NULL, 'BNAC05G14990D PROTEIN', 89285),
(145560, 'PTHR34453:SF7', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 22-RELATED', 89286),
(145561, 'PTHR31387', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 19', 89287),
(145562, 'PTHR33730:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89288),
(145563, 'PTHR10773:SF12', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC2', 89289),
(145564, 'PTHR37245:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89290),
(145565, 'PTHR47316', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN H1', 89291),
(145566, 'PTHR46444:SF10', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', 89292),
(145567, 'PTHR41521', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 89293),
(145568, 'PTHR31707:SF294', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 7-RELATED', 89294),
(145569, 'PTHR43313:SF4', NULL, NULL, NULL, NULL, '17-BETA-HYDROXYSTEROID DEHYDROGENASE TYPE 6', 89295),
(145570, 'PTHR34121:SF6', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 18-LIKE ISOFORM X1', 89296),
(145571, 'PTHR13946:SF38', NULL, NULL, NULL, NULL, 'BNAC04G54470D PROTEIN', 89297),
(145572, 'PTHR15486:SF51', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 1', 89298),
(145573, 'PTHR10971:SF16', NULL, NULL, NULL, NULL, 'OS01G0635400 PROTEIN', 89299),
(145574, 'PTHR31352:SF41', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', 89300),
(145575, 'PTHR47926:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89301),
(145576, 'PTHR10696', NULL, NULL, NULL, NULL, 'GAMMA-BUTYROBETAINE HYDROXYLASE-RELATED', 89302),
(145577, 'PTHR43699:SF1', NULL, NULL, NULL, NULL, '3-DEHYDROQUINATE DEHYDRATASE', 89303),
(145578, 'PTHR23023:SF262', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', 89304),
(145579, 'PTHR33107:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89305),
(145580, 'PTHR23501:SF59', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03320)-RELATED', 89306),
(145581, 'PTHR45702:SF2', NULL, NULL, NULL, NULL, 'KUZBANIAN, ISOFORM A', 89307),
(145582, 'PTHR46236:SF14', NULL, NULL, NULL, NULL, 'BNAA03G19830D PROTEIN', 89308),
(145583, 'PTHR18884:SF64', NULL, NULL, NULL, NULL, 'SEPTIN-2', 89309),
(145584, 'PTHR45778:SF3', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 89310),
(145585, 'PTHR10505:SF14', NULL, NULL, NULL, NULL, 'CALCITONIN', 89311);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(145586, 'PTHR11686:SF62', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLTRANSPEPTIDASE (EUROFUNG)', 89312),
(145587, 'PTHR31388:SF134', NULL, NULL, NULL, NULL, 'PEROXIDASE', 89313),
(145588, 'PTHR13162:SF14', NULL, NULL, NULL, NULL, 'BNAC04G42940D PROTEIN', 89314),
(145589, 'PTHR24416:SF132', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE TRANSMEMBRANE RECEPTOR ROR2', 89315),
(145590, 'PTHR10077:SF0', NULL, NULL, NULL, NULL, 'CALPASTATIN', 89316),
(145591, 'PTHR12877', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR', 89317),
(145592, 'PTHR46855:SF14', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 26', 89318),
(145593, 'PTHR11959:SF7', NULL, NULL, NULL, NULL, 'PHYTOENE DESATURATION 1', 89319),
(145594, 'PTHR42949', NULL, NULL, NULL, NULL, 'ANAEROBIC GLYCEROL-3-PHOSPHATE DEHYDROGENASE SUBUNIT B', 89320),
(145595, 'PTHR10985:SF76', NULL, NULL, NULL, NULL, 'CLASS E BASIC HELIX-LOOP-HELIX PROTEIN 41', 89321),
(145596, 'PTHR31651:SF21', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER FAMILY PROTEIN', 89322),
(145597, 'PTHR11802:SF329', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 17', 89323),
(145598, 'PTHR11960:SF29', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E FAMILY MEMBER 1C', 89324),
(145599, 'PTHR33343:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN BL35M', 89325),
(145600, 'PTHR31673:SF39', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 5', 89326),
(145601, 'PTHR24033:SF188', NULL, NULL, NULL, NULL, 'NOTCH HOMOLOG 2 N-TERMINAL-LIKE PROTEIN B', 89327),
(145602, 'PTHR45631:SF107', NULL, NULL, NULL, NULL, 'BNAANNG03040D PROTEIN', 89328),
(145603, 'PTHR23430:SF310', NULL, NULL, NULL, NULL, 'HISTONE H2A', 89329),
(145604, 'PTHR45966:SF22', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 1-LIKE ISOFORM X1', 89330),
(145605, 'PTHR11802:SF317', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 31', 89331),
(145606, 'PTHR24121:SF5', NULL, NULL, NULL, NULL, '2,3/UNC44, PUTATIVE-RELATED', 89332),
(145607, 'PTHR11886:SF94', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 89333),
(145608, 'PTHR11937:SF449', NULL, NULL, NULL, NULL, 'BNAA04G29020D PROTEIN', 89334),
(145609, 'PTHR33156:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89335),
(145610, 'PTHR10210:SF34', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 4', 89336),
(145611, 'PTHR42911:SF2', NULL, NULL, NULL, NULL, 'SPFH DOMAIN PROTEIN-RELATED', 89337),
(145612, 'PTHR46506:SF28', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 89338),
(145613, 'PTHR43327:SF27', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 1-LIKE', 89339),
(145614, 'PTHR31071:SF50', NULL, NULL, NULL, NULL, 'BNAC09G11920D PROTEIN', 89340),
(145615, 'PTHR31930:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS R', 89341),
(145616, 'PTHR26312:SF160', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT-LIKE SUPERFAMILY PROTEIN', 89342),
(145617, 'PTHR10502:SF28', NULL, NULL, NULL, NULL, 'ANNEXIN A4', 89343),
(145618, 'PTHR46057:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89344),
(145619, 'PTHR11954:SF42', NULL, NULL, NULL, NULL, 'TAUTOMERASE/MIF SUPERFAMILY PROTEIN', 89345),
(145620, 'PTHR43853:SF15', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE 5, PEROXISOMAL', 89346),
(145621, 'PTHR47135', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 7', 89347),
(145622, 'PTHR23056:SF91', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 2', 89348),
(145623, 'PTHR11122:SF31', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 89349),
(145624, 'PTHR27001:SF626', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK9', 89350),
(145625, 'PTHR33222:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CURVATURE THYLAKOID 1A CHLOROPLASTIC', 89351),
(145626, 'PTHR10891:SF840', NULL, NULL, NULL, NULL, 'SORCIN', 89352),
(145627, 'PTHR43197', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', 89353),
(145628, 'PTHR31875:SF28', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 5-LIKE ISOFORM X1', 89354),
(145629, 'PTHR37292:SF2', NULL, NULL, NULL, NULL, 'VNG6097C', 89355);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(145630, 'PTHR36138', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 89356),
(145631, 'PTHR10351:SF59', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', 89357),
(145632, 'PTHR42865:SF1', NULL, NULL, NULL, NULL, 'AEROBIC C4-DICARBOXYLATE TRANSPORT PROTEIN', 89358),
(145633, 'PTHR36312:SF1', NULL, NULL, NULL, NULL, 'THIONIN-LIKE PROTEIN 1', 89359),
(145634, 'PTHR12052:SF6', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN YLS8', 89360),
(145635, 'PTHR45778:SF19', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 89361),
(145636, 'PTHR43986', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-GAMMA', 89362),
(145637, 'PTHR13301:SF173', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN E1', 89363),
(145638, 'PTHR45966:SF4', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 5', 89364),
(145639, 'PTHR33169', NULL, NULL, NULL, NULL, 'PADR-FAMILY TRANSCRIPTIONAL REGULATOR', 89365),
(145640, 'PTHR23257:SF792', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN TYROSINE KINASE', 89366),
(145641, 'PTHR23267:SF11', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN IOTA CHAIN', 89367),
(145642, 'PTHR48111:SF54', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 89368),
(145643, 'PTHR47966:SF5', NULL, NULL, NULL, NULL, 'HEME RESPONSIVE PROTEIN', 89369),
(145644, 'PTHR21136:SF206', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 724', 89370),
(145645, 'PTHR35682', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 252', 89371),
(145646, 'PTHR45931:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89372),
(145647, 'PTHR10802:SF7', NULL, NULL, NULL, NULL, 'BNAC05G32550D PROTEIN', 89373),
(145648, 'PTHR36929:SF4', NULL, NULL, NULL, NULL, 'BLL3153 PROTEIN', 89374),
(145649, 'PTHR46236:SF29', NULL, NULL, NULL, NULL, 'BNAC04G52790D PROTEIN', 89375),
(145650, 'PTHR38445:SF6', NULL, NULL, NULL, NULL, 'GNTR-FAMILY TRANSCRIPTIONAL REGULATOR', 89376),
(145651, 'PTHR15532:SF3', NULL, NULL, NULL, NULL, 'DERMATAN-SULFATE EPIMERASE', 89377),
(145652, 'PTHR10803:SF3', NULL, NULL, NULL, NULL, 'ATPASE ASNA1', 89378),
(145653, 'PTHR48020', NULL, NULL, NULL, NULL, 'PROTON MYO-INOSITOL COTRANSPORTER', 89379),
(145654, 'PTHR31225:SF121', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 8', 89380),
(145655, 'PTHR31855', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE C9ORF72', 89381),
(145656, 'PTHR31014', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 89382),
(145657, 'PTHR13718:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89383),
(145658, 'PTHR31212', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB HOMOLOG 3', 89384),
(145659, 'PTHR18953:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89385),
(145660, 'PTHR24015:SF1955', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89386),
(145661, 'PTHR46137:SF8', NULL, NULL, NULL, NULL, 'GB|AAF32477.1', 89387),
(145662, 'PTHR13633', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 89388),
(145663, 'PTHR47784:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 89389),
(145664, 'PTHR31506:SF32', NULL, NULL, NULL, NULL, 'BES1/BZR1 HOMOLOG PROTEIN 4-LIKE', 89390),
(145665, 'PTHR47118:SF1', NULL, NULL, NULL, NULL, 'CYTOTOXIC AND REGULATORY T-CELL MOLECULE', 89391),
(145666, 'PTHR46798', NULL, NULL, NULL, NULL, 'OS09G0511500 PROTEIN', 89392),
(145667, 'PTHR12697:SF5', NULL, NULL, NULL, NULL, 'DEOXYHYPUSINE HYDROXYLASE', 89393),
(145668, 'PTHR12381:SF67', NULL, NULL, NULL, NULL, 'TWENTY ONE U-RNA (21U-RNA) BIOGENESIS FOULED UP', 89394),
(145669, 'PTHR12891', NULL, NULL, NULL, NULL, 'DNA REPAIR/TRANSCRIPTION PROTEIN MET18/MMS19', 89395),
(145670, 'PTHR42748:SF6', NULL, NULL, NULL, NULL, 'BLL0599 PROTEIN', 89396),
(145671, 'PTHR33430:SF9', NULL, NULL, NULL, NULL, 'BNAC03G75110D PROTEIN', 89397),
(145672, 'PTHR22883:SF370', NULL, NULL, NULL, NULL, 'ZDHHC-TYPE PALMITOYLTRANSFERASE 7-RELATED', 89398),
(145673, 'PTHR45743:SF11', NULL, NULL, NULL, NULL, 'CHANNEL AKT1 PROTEIN, PUTATIVE-RELATED', 89399),
(145674, 'PTHR40392:SF1', NULL, NULL, NULL, NULL, '2-PHOSPHO-L-LACTATE GUANYLYLTRANSFERASE', 89400); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(145675, 'PTHR34306:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89401),
(145676, 'PTHR43177:SF7', NULL, NULL, NULL, NULL, 'ANAEROBIC DIMETHYL SULFOXIDE REDUCTASE, SUBUNIT B-RELATED', 89402),
(145677, 'PTHR30069:SF40', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR NMB0964-RELATED', 89403),
(145678, 'PTHR16294:SF5', NULL, NULL, NULL, NULL, 'DYSBINDIN', 89404),
(145679, 'PTHR23128:SF134', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 89405),
(145680, 'PTHR24230:SF75', NULL, NULL, NULL, NULL, 'ALLATOSTATIN A RECEPTOR 2, ISOFORM A', 89406),
(145681, 'PTHR12280:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89407),
(145682, 'PTHR24221:SF157', NULL, NULL, NULL, NULL, 'HLYB FAMILY', 89408),
(145683, 'PTHR21661:SF69', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 1', 89409),
(145684, 'PTHR31194:SF128', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WIN1', 89410),
(145685, 'PTHR31221:SF83', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 75-RELATED', 89411),
(145686, 'PTHR45931:SF1', NULL, NULL, NULL, NULL, 'RNF12 PROTEIN', 89412),
(145687, 'PTHR31265:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89413),
(145688, 'PTHR24055:SF373', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 89414),
(145689, 'PTHR28263:SF1', NULL, NULL, NULL, NULL, 'GOLGI TO ER TRAFFIC PROTEIN 2', 89415),
(145690, 'PTHR24246:SF27', NULL, NULL, NULL, NULL, 'ADENOSINE RECEPTOR HOMOLOG', 89416),
(145691, 'PTHR38420', NULL, NULL, NULL, NULL, 'AP-4-A PHOSPHORYLASE II', 89417),
(145692, 'PTHR16228:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG01705', 89418),
(145693, 'PTHR44845:SF1', NULL, NULL, NULL, NULL, 'L-2-AMINOADIPATE REDUCTASE', 89419),
(145694, 'PTHR27000:SF14', NULL, NULL, NULL, NULL, 'F12K21.25', 89420),
(145695, 'PTHR22952:SF427', NULL, NULL, NULL, NULL, 'CAMP RESPONSE ELEMENT BINDING (CREB) PROTEIN, BASIC-LEUCINE ZIPPER DOMAIN PROTEIN-RELATED', 89421),
(145696, 'PTHR18860:SF126', NULL, NULL, NULL, NULL, 'BNAC02G00320D PROTEIN', 89422),
(145697, 'PTHR14217:SF29', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', 89423),
(145698, 'PTHR46038:SF13', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE FAMILY PROTEIN', 89424),
(145699, 'PTHR31190:SF292', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ABR1', 89425),
(145700, 'PTHR11199:SF3', NULL, NULL, NULL, NULL, 'COHESIN SUBUNIT SA-2', 89426),
(145701, 'PTHR23098:SF16', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN-CONTAINING PROTEIN 3', 89427),
(145702, 'PTHR45907:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', 89428),
(145703, 'PTHR31832:SF36', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 18', 89429),
(145704, 'PTHR18966:SF470', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 89430),
(145705, 'PTHR35250', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 4', 89431),
(145706, 'PTHR46274:SF9', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE DSP8-RELATED', 89432),
(145707, 'PTHR26379:SF260', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 89433),
(145708, 'PTHR23430:SF313', NULL, NULL, NULL, NULL, 'HISTONE H2A.2-RELATED', 89434),
(145709, 'PTHR31972:SF38', NULL, NULL, NULL, NULL, 'OS12G0149000 PROTEIN', 89435),
(145710, 'PTHR43874:SF159', NULL, NULL, NULL, NULL, 'BNAC02G01700D PROTEIN', 89436),
(145711, 'PTHR34257:SF2', NULL, NULL, NULL, NULL, 'ADAPTER PROTEIN CIKS', 89437),
(145712, 'PTHR33734', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING GPI-ANCHORED PROTEIN 2', 89438),
(145713, 'PTHR31251:SF86', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SBP FAMILY-RELATED', 89439),
(145714, 'PTHR33829:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 89440),
(145715, 'PTHR32467:SF180', NULL, NULL, NULL, NULL, 'OS05G0536250 PROTEIN', 89441),
(145716, 'PTHR31109:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89442),
(145717, 'PTHR45714:SF42', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT22-LIKE', 89443),
(145718, 'PTHR47993:SF44', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE ISOFORM X1', 89444);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(145719, 'PTHR34046:SF18', NULL, NULL, NULL, NULL, 'RAPIDLY ELICITED PROTEIN, PUTATIVE-RELATED', 89445),
(145720, 'PTHR31071:SF6', NULL, NULL, NULL, NULL, 'GB|AAF24581.1', 89446),
(145721, 'PTHR27009:SF236', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK3', 89447),
(145722, 'PTHR19871:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89448),
(145723, 'PTHR31338:SF32', NULL, NULL, NULL, NULL, 'BNAC03G62100D PROTEIN', 89449),
(145724, 'PTHR35087:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN FLJ40298', 89450),
(145725, 'PTHR10704:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89451),
(145726, 'PTHR46586:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN', 89452),
(145727, 'PTHR23044:SF63', NULL, NULL, NULL, NULL, 'ERI1 EXORIBONUCLEASE 2', 89453),
(145728, 'PTHR48041:SF85', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 17-RELATED', 89454),
(145729, 'PTHR24062:SF158', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 89455),
(145730, 'PTHR35789:SF1', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN B3', 89456),
(145731, 'PTHR33165:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89457),
(145732, 'PTHR33057:SF164', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP13-LIKE', 89458),
(145733, 'PTHR24023:SF966', NULL, NULL, NULL, NULL, 'ZMP:0000000760', 89459),
(145734, 'PTHR12665:SF20', NULL, NULL, NULL, NULL, 'ORMDL FAMILY-RELATED', 89460),
(145735, 'PTHR33936:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG17840', 89461),
(145736, 'PTHR31235:SF325', NULL, NULL, NULL, NULL, 'PEROXIDASE', 89462),
(145737, 'PTHR22750:SF22', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 1', 89463),
(145738, 'PTHR47991:SF37', NULL, NULL, NULL, NULL, 'OS01G0351800 PROTEIN', 89464),
(145739, 'PTHR31086:SF62', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER', 89465),
(145740, 'PTHR31207:SF23', NULL, NULL, NULL, NULL, 'DOWNREGULATED IN DIF1 18-RELATED', 89466),
(145741, 'PTHR22765:SF206', NULL, NULL, NULL, NULL, 'OS03G0206900 PROTEIN', 89467),
(145742, 'PTHR31639:SF193', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 13-LIKE', 89468),
(145743, 'PTHR10845:SF187', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 16', 89469),
(145744, 'PTHR23308:SF28', NULL, NULL, NULL, NULL, 'NUCLEAR INHIBITOR OF PROTEIN PHOSPHATASE 1', 89470),
(145745, 'PTHR47270:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89471),
(145746, 'PTHR37161:SF3', NULL, NULL, NULL, NULL, 'HDC10475', 89472),
(145747, 'PTHR24281:SF54', NULL, NULL, NULL, NULL, '3,9-DIHYDROXYPTEROCARPAN 6A-MONOOXYGENASE-LIKE', 89473),
(145748, 'PTHR19443:SF70', NULL, NULL, NULL, NULL, 'HEXOKINASE-4', 89474),
(145749, 'PTHR23235:SF65', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 11', 89475),
(145750, 'PTHR11349:SF97', NULL, NULL, NULL, NULL, 'PROTEIN CBG08487', 89476),
(145751, 'PTHR45827:SF2', NULL, NULL, NULL, NULL, 'SORTING NEXIN-9', 89477),
(145752, 'PTHR22753:SF36', NULL, NULL, NULL, NULL, 'ESTERASE/LIPASE/THIOESTERASE FAMILY PROTEIN', 89478),
(145753, 'PTHR31150:SF29', NULL, NULL, NULL, NULL, 'RING FINGER FAMILY PROTEIN', 89479),
(145754, 'PTHR11732:SF479', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 4 MEMBER C9-LIKE', 89480),
(145755, 'PTHR31561:SF137', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 89481),
(145756, 'PTHR12388:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM16-LIKE', 89482),
(145757, 'PTHR34775:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 89483),
(145758, 'PTHR46485:SF1', NULL, NULL, NULL, NULL, 'LIM DOMAIN KINASE 2', 89484),
(145759, 'PTHR43148:SF5', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE GAPB, CHLOROPLASTIC', 89485),
(145760, 'PTHR47448:SF2', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 1', 89486),
(145761, 'PTHR19430:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BEX3', 89487),
(145762, 'PTHR10201:SF258', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE', 89488),
(145763, 'PTHR31260:SF54', NULL, NULL, NULL, NULL, 'BNAC03G13230D PROTEIN', 89489); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(145764, 'PTHR46869:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT4-LIKE', 89490),
(145765, 'PTHR23036:SF17', NULL, NULL, NULL, NULL, 'INTERLEUKIN-5 RECEPTOR SUBUNIT ALPHA', 89491),
(145766, 'PTHR44013:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89492),
(145767, 'PTHR10801:SF2', NULL, NULL, NULL, NULL, 'DELTA(24)-STEROL REDUCTASE-LIKE PROTEIN', 89493),
(145768, 'PTHR13169:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN 3', 89494),
(145769, 'PTHR31948:SF82', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 2', 89495),
(145770, 'PTHR10593:SF128', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JACKDAW', 89496),
(145771, 'PTHR46646', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 1', 89497),
(145772, 'PTHR11709:SF406', NULL, NULL, NULL, NULL, 'LACCASE', 89498),
(145773, 'PTHR33649:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89499),
(145774, 'PTHR48041:SF27', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 8', 89500),
(145775, 'PTHR24242:SF206', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5', 89501),
(145776, 'PTHR14209:SF31', NULL, NULL, NULL, NULL, 'ACETATE-HYDROLYZING ESTERASE, PUTATIVE-RELATED', 89502),
(145777, 'PTHR22730:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89503),
(145778, 'PTHR31451:SF52', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE', 89504),
(145779, 'PTHR11654:SF558', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89505),
(145780, 'PTHR11929:SF213', NULL, NULL, NULL, NULL, 'BNAA06G03030D PROTEIN', 89506),
(145781, 'PTHR30069:SF35', NULL, NULL, NULL, NULL, 'FERRIC SIDEROPHORE RECEPTOR-RELATED', 89507),
(145782, 'PTHR19359:SF113', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE HEME/STEROID BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 89508),
(145783, 'PTHR18968:SF164', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G13620)-RELATED', 89509),
(145784, 'PTHR46519:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89510),
(145785, 'PTHR24637:SF340', NULL, NULL, NULL, NULL, 'PROTEIN CBG05614', 89511),
(145786, 'PTHR43830:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PSP1', 89512),
(145787, 'PTHR37187:SF12', NULL, NULL, NULL, NULL, 'BNAC03G59220D PROTEIN', 89513),
(145788, 'PTHR27003:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89514),
(145789, 'PTHR32523:SF13', NULL, NULL, NULL, NULL, 'BNAA03G56250D PROTEIN', 89515),
(145790, 'PTHR48137', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 89516),
(145791, 'PTHR46033:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89517),
(145792, 'PTHR11117:SF3', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP/GDP-FORMING] SUBUNIT ALPHA, MITOCHONDRIAL', 89518),
(145793, 'PTHR24291:SF149', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4B1-RELATED', 89519),
(145794, 'PTHR33377:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89520),
(145795, 'PTHR11255:SF88', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 4', 89521),
(145796, 'PTHR47989:SF1', NULL, NULL, NULL, NULL, 'BNAA05G14800D PROTEIN', 89522),
(145797, 'PTHR34397:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89523),
(145798, 'PTHR10165:SF176', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 3-RELATED', 89524),
(145799, 'PTHR48042:SF23', NULL, NULL, NULL, NULL, 'CASSETTE TRANSPORTER, PUTATIVE-RELATED', 89525),
(145800, 'PTHR32309', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 89526),
(145801, 'PTHR14885:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 43', 89527),
(145802, 'PTHR18966:SF498', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 89528),
(145803, 'PTHR33776:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89529),
(145804, 'PTHR47928:SF79', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 89530),
(145805, 'PTHR46357', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ATRX', 89531),
(145806, 'PTHR22743:SF161', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN CONTAINING', 89532),
(145807, 'PTHR48041:SF48', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 7', 89533),
(145808, 'PTHR47761:SF3', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 89534);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(145809, 'PTHR33993:SF10', NULL, NULL, NULL, NULL, 'BLL4537 PROTEIN', 89535),
(145810, 'PTHR43697:SF1', NULL, NULL, NULL, NULL, 'SERINE--TRNA LIGASE', 89536),
(145811, 'PTHR45968:SF28', NULL, NULL, NULL, NULL, 'GLUCOSE-METHANOL-CHOLINE (GMC) OXIDOREDUCTASE FAMILY PROTEIN', 89537),
(145812, 'PTHR24209', NULL, NULL, NULL, NULL, 'PROTEIN DA1-RELATED 2', 89538),
(145813, 'PTHR31374:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89539),
(145814, 'PTHR27002:SF544', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 89540),
(145815, 'PTHR11764:SF68', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 89541),
(145816, 'PTHR47958:SF56', NULL, NULL, NULL, NULL, 'DEAD (ASP-GLU-ALA-ASP) BOX POLYPEPTIDE 23', 89542),
(145817, 'PTHR22550:SF9', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN AF', 89543),
(145818, 'PTHR11675:SF8', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 14', 89544),
(145819, 'PTHR18916:SF6', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 1', 89545),
(145820, 'PTHR11785:SF514', NULL, NULL, NULL, NULL, 'B(0,+)-TYPE AMINO ACID TRANSPORTER 1-LIKE PROTEIN', 89546),
(145821, 'PTHR13246:SF4', NULL, NULL, NULL, NULL, 'BETA N-ACETYLGLUCOSAMINIDASE, PUTATIVE-RELATED', 89547),
(145822, 'PTHR10676:SF263', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 11, AXONEMAL', 89548),
(145823, 'PTHR11654:SF291', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 15 MEMBER 2', 89549),
(145824, 'PTHR34971:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN Z', 89550),
(145825, 'PTHR14186:SF25', NULL, NULL, NULL, NULL, 'KAZAL-TYPE SERINE PEPTIDASE INHIBITOR DOMAIN 3', 89551),
(145826, 'PTHR10113:SF36', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1-3', 89552),
(145827, 'PTHR31251:SF110', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 14', 89553),
(145828, 'PTHR22835:SF607', NULL, NULL, NULL, NULL, 'BNAA05G31970D PROTEIN', 89554),
(145829, 'PTHR13806:SF32', NULL, NULL, NULL, NULL, 'FLOTILLIN 1', 89555),
(145830, 'PTHR11742:SF84', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 89556),
(145831, 'PTHR10593:SF113', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 5, CHLOROPLASTIC', 89557),
(145832, 'PTHR16943:SF11', NULL, NULL, NULL, NULL, 'CIS-ACONITATE DECARBOXYLASE', 89558),
(145833, 'PTHR13513:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR7-RELATED', 89559),
(145834, 'PTHR11999:SF153', NULL, NULL, NULL, NULL, 'TYROSINE DECARBOXYLASE 1', 89560),
(145835, 'PTHR33086:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89561),
(145836, 'PTHR11711:SF396', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 89562),
(145837, 'PTHR11566:SF170', NULL, NULL, NULL, NULL, 'DYNAMIN 3A-LIKE PROTEIN', 89563),
(145838, 'PTHR14431:SF1', NULL, NULL, NULL, NULL, 'HCLS1-BINDING PROTEIN 3', 89564),
(145839, 'PTHR42696:SF2', NULL, NULL, NULL, NULL, 'ASPARTATE AMMONIA-LYASE', 89565),
(145840, 'PTHR37562:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89566),
(145841, 'PTHR23200:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG14679', 89567),
(145842, 'PTHR16023:SF0', NULL, NULL, NULL, NULL, 'PROTEIN VAC14 HOMOLOG', 89568),
(145843, 'PTHR48062:SF14', NULL, NULL, NULL, NULL, 'BNAC05G14300D PROTEIN', 89569),
(145844, 'PTHR23503:SF35', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 9', 89570),
(145845, 'PTHR31790:SF294', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE ISOFORM X1', 89571),
(145846, 'PTHR11533:SF106', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 89572),
(145847, 'PTHR32285:SF262', NULL, NULL, NULL, NULL, 'BNAA02G29190D PROTEIN', 89573),
(145848, 'PTHR10217:SF435', NULL, NULL, NULL, NULL, 'EAG-LIKE K[+] CHANNEL, ISOFORM A', 89574),
(145849, 'PTHR43329:SF82', NULL, NULL, NULL, NULL, 'ATSEH-RELATED', 89575),
(145850, 'PTHR11736:SF37', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN D4', 89576),
(145851, 'PTHR24012:SF791', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89577),
(145852, 'PTHR11475:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89578);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(145853, 'PTHR27005:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89579),
(145854, 'PTHR47364:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 5', 89580),
(145855, 'PTHR46622:SF3', NULL, NULL, NULL, NULL, 'ZINC ION BINDING PROTEIN', 89581),
(145856, 'PTHR33076:SF108', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 89582),
(145857, 'PTHR43692', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYLALANINE--D-GLUTAMATE LIGASE', 89583),
(145858, 'PTHR45754:SF7', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE', 89584),
(145859, 'PTHR11907:SF22', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE', 89585),
(145860, 'PTHR47950:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A8', 89586),
(145861, 'PTHR11071:SF437', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 89587),
(145862, 'PTHR36350:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 89588),
(145863, 'PTHR10624:SF6', NULL, NULL, NULL, NULL, 'UROKINASE PLASMINOGEN ACTIVATOR SURFACE RECEPTOR', 89589),
(145864, 'PTHR24298:SF817', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89590),
(145865, 'PTHR34851:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG05235', 89591),
(145866, 'PTHR13229:SF15', NULL, NULL, NULL, NULL, 'PROTEIN KISH', 89592),
(145867, 'PTHR30383:SF23', NULL, NULL, NULL, NULL, 'LIPOLYTIC ENZYME, G-D-S-L FAMILY', 89593),
(145868, 'PTHR13848:SF15', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE 5', 89594),
(145869, 'PTHR33469:SF19', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 3-LIKE', 89595),
(145870, 'PTHR37773', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 89596),
(145871, 'PTHR10666:SF288', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 10', 89597),
(145872, 'PTHR14273:SF0', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 1', 89598),
(145873, 'PTHR38130', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 89599),
(145874, 'PTHR23091:SF283', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE-RELATED', 89600),
(145875, 'PTHR24281:SF151', NULL, NULL, NULL, NULL, 'CYTOCHROME 98A3', 89601),
(145876, 'PTHR12259', NULL, NULL, NULL, NULL, 'RGS-GAIP INTERACTING PROTEIN GIPC', 89602),
(145877, 'PTHR47646', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN MAGIX', 89603),
(145878, 'PTHR32227:SF339', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17-RELATED', 89604),
(145879, 'PTHR40388:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89605),
(145880, 'PTHR31297:SF13', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 89606),
(145881, 'PTHR13428:SF14', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN HOMOLOG', 89607),
(145882, 'PTHR27001:SF237', NULL, NULL, NULL, NULL, 'OS03G0724300 PROTEIN', 89608),
(145883, 'PTHR31062:SF158', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 89609),
(145884, 'PTHR31474:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 89610),
(145885, 'PTHR22891:SF6', NULL, NULL, NULL, NULL, 'ARGONAUTE PROTEIN WAGO-1-RELATED', 89611),
(145886, 'PTHR28658:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG13077', 89612),
(145887, 'PTHR30598:SF3', NULL, NULL, NULL, NULL, 'RESPIRATORY NITRATE REDUCTASE 1 GAMMA CHAIN', 89613),
(145888, 'PTHR31589:SF156', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PEPTIDASE', 89614),
(145889, 'PTHR17045:SF5', NULL, NULL, NULL, NULL, 'CBP/P300-INTERACTING TRANSACTIVATOR 4', 89615),
(145890, 'PTHR23257:SF850', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', 89616),
(145891, 'PTHR31733:SF10', NULL, NULL, NULL, NULL, 'RIBONUCLEASE KAPPA-B', 89617),
(145892, 'PTHR37256:SF3', NULL, NULL, NULL, NULL, 'FORMIN-F-LIKE', 89618),
(145893, 'PTHR31676:SF143', NULL, NULL, NULL, NULL, 'BNAA10G27660D PROTEIN', 89619),
(145894, 'PTHR35282:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89620),
(145895, 'PTHR31086:SF66', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 2-LIKE', 89621),
(145896, 'PTHR10556:SF48', NULL, NULL, NULL, NULL, 'STEROID 5-ALPHA-REDUCTASE DET2-LIKE', 89622),
(145897, 'PTHR24346:SF53', NULL, NULL, NULL, NULL, 'GEMINIVIRUS REP INTERACTING KINASE 1 ISOFORM 1', 89623),
(145898, 'PTHR20961:SF97', NULL, NULL, NULL, NULL, 'ALPHA-1,3-ARABINOSYLTRANSFERASE XAT3', 89624);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(145899, 'PTHR39082', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE C-BETA-2-RELATED', 89625),
(145900, 'PTHR10902:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89626),
(145901, 'PTHR23084:SF234', NULL, NULL, NULL, NULL, 'JUNCTOPHILIN-3-LIKE', 89627),
(145902, 'PTHR46224:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89628),
(145903, 'PTHR21645:SF22', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 89629),
(145904, 'PTHR10871', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S13/40S RIBOSOMAL PROTEIN S18', 89630),
(145905, 'PTHR24073:SF353', NULL, NULL, NULL, NULL, 'LD47384P', 89631),
(145906, 'PTHR24006:SF746', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 21', 89632),
(145907, 'PTHR47727', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 9 MEMBER A', 89633),
(145908, 'PTHR15486:SF82', NULL, NULL, NULL, NULL, 'BNACNNG43470D PROTEIN', 89634),
(145909, 'PTHR10168:SF230', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C1', 89635),
(145910, 'PTHR36927:SF3', NULL, NULL, NULL, NULL, 'BLR4337 PROTEIN', 89636),
(145911, 'PTHR10896:SF65', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE I', 89637),
(145912, 'PTHR34343', NULL, NULL, NULL, NULL, 'SEROLOGICALLY DEFINED COLON CANCER ANTIGEN 8', 89638),
(145913, 'PTHR47356', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE ASQG-RELATED', 89639),
(145914, 'PTHR45648:SF63', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 89640),
(145915, 'PTHR36752:SF3', NULL, NULL, NULL, NULL, 'WOUND-INDUCED BASIC PROTEIN-LIKE', 89641),
(145916, 'PTHR31340:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GENOME MAINTENANCE EXONUCLEASE 1', 89642),
(145917, 'PTHR43797:SF2', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE/CYSTEINE SYNTHASE', 89643),
(145918, 'PTHR10666:SF352', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-B', 89644),
(145919, 'PTHR23036:SF6', NULL, NULL, NULL, NULL, 'INTERLEUKIN-27 RECEPTOR SUBUNIT ALPHA', 89645),
(145920, 'PTHR43607', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE CATALYTIC SUBUNIT A', 89646),
(145921, 'PTHR33103:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89647),
(145922, 'PTHR46804:SF4', NULL, NULL, NULL, NULL, 'ARL14 EFFECTOR PROTEIN-LIKE', 89648),
(145923, 'PTHR16821:SF6', NULL, NULL, NULL, NULL, 'FRATAXIN', 89649),
(145924, 'PTHR31175:SF50', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR62-RELATED', 89650),
(145925, 'PTHR46767', NULL, NULL, NULL, NULL, 'LIM DOMAIN ONLY PROTEIN 7', 89651),
(145926, 'PTHR35923', NULL, NULL, NULL, NULL, 'MAJOR EXTRACELLULAR ENDOGLUCANASE', 89652),
(145927, 'PTHR48014:SF21', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 89653),
(145928, 'PTHR11690:SF128', NULL, NULL, NULL, NULL, 'ACID-SENSING ION CHANNEL 2', 89654),
(145929, 'PTHR11071:SF485', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 89655),
(145930, 'PTHR13135:SF0', NULL, NULL, NULL, NULL, 'PHOSPHORYLATED ADAPTER RNA EXPORT PROTEIN', 89656),
(145931, 'PTHR22952:SF448', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 2 ISOFORM X1', 89657),
(145932, 'PTHR27004:SF326', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 18-RELATED', 89658),
(145933, 'PTHR11594:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89659),
(145934, 'PTHR13703', NULL, NULL, NULL, NULL, 'SMAD', 89660),
(145935, 'PTHR10024:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89661),
(145936, 'PTHR47114:SF2', NULL, NULL, NULL, NULL, 'OLIGODENDROCYTE-MYELIN GLYCOPROTEIN', 89662),
(145937, 'PTHR47928:SF148', NULL, NULL, NULL, NULL, 'OS11G0673000 PROTEIN', 89663),
(145938, 'PTHR47121', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL PROTEIN TL20.3, CHLOROPLASTIC', 89664),
(145939, 'PTHR24343:SF463', NULL, NULL, NULL, NULL, 'SUCROSE NON-FERMENTING-LIKE KINASE 2 FAMILY PROTEIN', 89665),
(145940, 'PTHR43098', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 89666),
(145941, 'PTHR31388:SF52', NULL, NULL, NULL, NULL, 'PEROXIDASE', 89667),
(145942, 'PTHR22883:SF346', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 12-RELATED', 89668),
(145943, 'PTHR11654:SF99', NULL, NULL, NULL, NULL, 'DIPEPTIDE AND TRIPEPTIDE PERMEASE A', 89669);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(145944, 'PTHR46909:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L36, MITOCHONDRIAL', 89670),
(145945, 'PTHR11081:SF8', NULL, NULL, NULL, NULL, 'EXONUCLEASE 1', 89671),
(145946, 'PTHR48059:SF4', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITOR 1', 89672),
(145947, 'PTHR24404:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 382', 89673),
(145948, 'PTHR37326:SF1', NULL, NULL, NULL, NULL, 'BLL3975 PROTEIN', 89674),
(145949, 'PTHR24248:SF164', NULL, NULL, NULL, NULL, 'ZGC:162592', 89675),
(145950, 'PTHR34660:SF16', NULL, NULL, NULL, NULL, 'BNAA01G32390D PROTEIN', 89676),
(145951, 'PTHR46632:SF18', NULL, NULL, NULL, NULL, 'OS01G0122200 PROTEIN', 89677),
(145952, 'PTHR46562:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE ULK4-LIKE PROTEIN-RELATED', 89678),
(145953, 'PTHR12289:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89679),
(145954, 'PTHR18966:SF412', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3.6', 89680),
(145955, 'PTHR35348', NULL, NULL, NULL, NULL, 'TESTIS, PROSTATE AND PLACENTA-EXPRESSED PROTEIN', 89681),
(145956, 'PTHR23111:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89682),
(145957, 'PTHR37389:SF20', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN', 89683),
(145958, 'PTHR14379:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89684),
(145959, 'PTHR12283:SF5', NULL, NULL, NULL, NULL, 'GLUTAMINYL-PEPTIDE CYCLOTRANSFERASE', 89685),
(145960, 'PTHR37213', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE', 89686),
(145961, 'PTHR19339:SF0', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 41', 89687),
(145962, 'PTHR31589:SF103', NULL, NULL, NULL, NULL, 'OS06G0144400 PROTEIN', 89688),
(145963, 'PTHR23085:SF16', NULL, NULL, NULL, NULL, 'GH28348P', 89689),
(145964, 'PTHR46305:SF3', NULL, NULL, NULL, NULL, 'MODULATOR OF DRUG ACTIVITY B', 89690),
(145965, 'PTHR31948:SF126', NULL, NULL, NULL, NULL, 'ZF-HD HOMEOBOX PROTEIN, CYS/HIS-RICH DIMERIZATION DOMAIN-CONTAINING PROTEIN-RELATED', 89691),
(145966, 'PTHR34194:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89692),
(145967, 'PTHR31509:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89693),
(145968, 'PTHR44042:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1R1', 89694),
(145969, 'PTHR45658:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89695),
(145970, 'PTHR37003:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89696),
(145971, 'PTHR43311', NULL, NULL, NULL, NULL, 'GLUTAMATE--TRNA LIGASE', 89697),
(145972, 'PTHR46491:SF3', NULL, NULL, NULL, NULL, 'CDGSH IRON-SULFUR DOMAIN-CONTAINING PROTEIN 3, MITOCHONDRIAL', 89698),
(145973, 'PTHR16518:SF6', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 162-RELATED', 89699),
(145974, 'PTHR22767', NULL, NULL, NULL, NULL, 'N-TERMINAL ACETYLTRANSFERASE-RELATED', 89700),
(145975, 'PTHR16146:SF42', NULL, NULL, NULL, NULL, 'INTELECTIN-1A-RELATED', 89701),
(145976, 'PTHR10745:SF0', NULL, NULL, NULL, NULL, 'GLYCINE--TRNA LIGASE', 89702),
(145977, 'PTHR23267:SF437', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 2-8', 89703),
(145978, 'PTHR47680', NULL, NULL, NULL, NULL, 'SHEWANELLA-LIKE PROTEIN PHOSPHATASE 2', 89704),
(145979, 'PTHR22952:SF428', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89705),
(145980, 'PTHR24201:SF4', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 2A', 89706),
(145981, 'PTHR31189:SF60', NULL, NULL, NULL, NULL, 'BNAA08G15380D PROTEIN', 89707),
(145982, 'PTHR11594:SF12', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', 89708),
(145983, 'PTHR27005:SF204', NULL, NULL, NULL, NULL, 'CALCIUM BINDING EGF DOMAIN CONTAINING PROTEIN, EXPRESSED', 89709),
(145984, 'PTHR43134:SF1', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE RECEPTOR SUBUNIT ALPHA', 89710),
(145985, 'PTHR43874:SF148', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR AND TRANSCRIPTION FACTOR RR-A-TYPE FAMILY-RELATED', 89711),
(145986, 'PTHR13359', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L40, MITOCHONDRIAL', 89712),
(145987, 'PTHR35105:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89713),
(145988, 'PTHR12233:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 26A', 89714);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(145989, 'PTHR24072:SF286', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN 7', 89715),
(145990, 'PTHR23250:SF1', NULL, NULL, NULL, NULL, 'TECTONIN BETA-PROPELLER REPEAT-CONTAINING PROTEIN 1', 89716),
(145991, 'PTHR45851:SF2', NULL, NULL, NULL, NULL, 'N-MYC PROTO-ONCOGENE PROTEIN', 89717),
(145992, 'PTHR31683:SF134', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 89718),
(145993, 'PTHR24299:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 1B1', 89719),
(145994, 'PTHR12663:SF0', NULL, NULL, NULL, NULL, 'PRECOCIOUS DISSOCIATION OF SISTERS 5, ISOFORM A', 89720),
(145995, 'PTHR43795:SF56', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-RELATED PROTEIN 4-LIKE', 89721),
(145996, 'PTHR31852:SF209', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE 25', 89722),
(145997, 'PTHR11505:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89723),
(145998, 'PTHR31482:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89724),
(145999, 'PTHR46408:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89725),
(146000, 'PTHR47592:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89726),
(146001, 'PTHR22967:SF91', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0280111-RELATED', 89727),
(146002, 'PTHR31881:SF6', NULL, NULL, NULL, NULL, 'OS09G0494600 PROTEIN', 89728),
(146003, 'PTHR32153:SF14', NULL, NULL, NULL, NULL, 'OS02G0536300 PROTEIN', 89729),
(146004, 'PTHR11550:SF34', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', 89730),
(146005, 'PTHR15715:SF21', NULL, NULL, NULL, NULL, 'TRAF3-INTERACTING JNK-ACTIVATING MODULATOR', 89731),
(146006, 'PTHR13693:SF60', NULL, NULL, NULL, NULL, '2-AMINO-3-KETOBUTYRATE COENZYME A LIGASE, MITOCHONDRIAL', 89732),
(146007, 'PTHR14308:SF0', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 1', 89733),
(146008, 'PTHR47983:SF8', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE, FES/FPS TYPE-RELATED', 89734),
(146009, 'PTHR22835:SF275', NULL, NULL, NULL, NULL, 'OS01G0329900 PROTEIN', 89735),
(146010, 'PTHR11227:SF44', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN PHOSPHOINOSITIDE-INTERACTING PROTEIN 4', 89736),
(146011, 'PTHR48085:SF4', NULL, NULL, NULL, NULL, 'CADMIUM/ZINC-TRANSPORTING ATPASE HMA4-RELATED', 89737),
(146012, 'PTHR11662:SF430', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER 4', 89738),
(146013, 'PTHR24034:SF114', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH WITH EGF-LIKE DOMAIN PROTEIN 1', 89739),
(146014, 'PTHR24185:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89740),
(146015, 'PTHR33779:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89741),
(146016, 'PTHR11988', NULL, NULL, NULL, NULL, 'THYROTROPH EMBRYONIC FACTOR RELATED', 89742),
(146017, 'PTHR30408:SF12', NULL, NULL, NULL, NULL, 'TYPE-1 RESTRICTION ENZYME HINDVIIP SPECIFICITY PROTEIN-RELATED', 89743),
(146018, 'PTHR31250:SF51', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM2-LIKE', 89744),
(146019, 'PTHR31614:SF2', NULL, NULL, NULL, NULL, 'F28N24.16 PROTEIN', 89745),
(146020, 'PTHR45946:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C1A', 89746),
(146021, 'PTHR46770', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ORTHOPEDIA', 89747),
(146022, 'PTHR33801:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89748),
(146023, 'PTHR37170', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-RELATED', 89749),
(146024, 'PTHR35496:SF9', NULL, NULL, NULL, NULL, 'BNAA01G17200D PROTEIN', 89750),
(146025, 'PTHR31210:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89751),
(146026, 'PTHR48078:SF2', NULL, NULL, NULL, NULL, 'CATABOLIC L-SERINE/THREONINE DEHYDRATASE', 89752),
(146027, 'PTHR33994:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89753),
(146028, 'PTHR10791:SF122', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET13-RELATED', 89754),
(146029, 'PTHR11453:SF47', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN', 89755),
(146030, 'PTHR46735:SF1', NULL, NULL, NULL, NULL, 'CALPAIN SMALL SUBUNIT 1', 89756),
(146031, 'PTHR31072:SF107', NULL, NULL, NULL, NULL, 'OS01G0763200 PROTEIN', 89757),
(146032, 'PTHR24349:SF320', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 2', 89758);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(146033, 'PTHR47980:SF16', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-40B', 89759),
(146034, 'PTHR10454:SF151', NULL, NULL, NULL, NULL, 'CASPASE-2', 89760),
(146035, 'PTHR11102:SF147', NULL, NULL, NULL, NULL, 'SEL1L ADAPTOR SUBUNIT OF ERAD E3 UBIQUITIN LIGASE', 89761),
(146036, 'PTHR19818:SF143', NULL, NULL, NULL, NULL, 'LD47926P-RELATED', 89762),
(146037, 'PTHR42115', NULL, NULL, NULL, NULL, 'BETA-SYNTHASE (BETA-THIONASE), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G08420)-RELATED', 89763),
(146038, 'PTHR23124:SF135', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 89764),
(146039, 'PTHR33648:SF30', NULL, NULL, NULL, NULL, 'BNAA09G05880D PROTEIN', 89765),
(146040, 'PTHR31118:SF10', NULL, NULL, NULL, NULL, 'CYCLASE-LIKE PROTEIN 2', 89766),
(146041, 'PTHR35304', NULL, NULL, NULL, NULL, 'OS05G0120300 PROTEIN-RELATED', 89767),
(146042, 'PTHR47975:SF18', NULL, NULL, NULL, NULL, 'OS10G0410750 PROTEIN', 89768),
(146043, 'PTHR10209:SF729', NULL, NULL, NULL, NULL, 'BNAA05G26300D PROTEIN', 89769),
(146044, 'PTHR24040:SF7', NULL, NULL, NULL, NULL, 'FIBRILLIN 3', 89770),
(146045, 'PTHR11945:SF595', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89771),
(146046, 'PTHR12788:SF6', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE SULFOTRANSFERASE 2', 89772),
(146047, 'PTHR32204', NULL, NULL, NULL, NULL, 'ATPASE RAVA', 89773),
(146048, 'PTHR24418:SF372', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE SHARK', 89774),
(146049, 'PTHR23244:SF436', NULL, NULL, NULL, NULL, 'CONSERVED KELCH REPEAT PROTEIN TEAB (EUROFUNG)', 89775),
(146050, 'PTHR11783:SF265', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 89776),
(146051, 'PTHR21654:SF73', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-2', 89777),
(146052, 'PTHR34683:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89778),
(146053, 'PTHR30540:SF81', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 89779),
(146054, 'PTHR24247:SF222', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE (SEROTONIN) RECEPTOR 2B, ISOFORM E', 89780),
(146055, 'PTHR23115:SF36', NULL, NULL, NULL, NULL, 'G1 TO S PHASE TRANSITION 1', 89781),
(146056, 'PTHR21529', NULL, NULL, NULL, NULL, 'MAMMARY TURMOR VIRUS RECEPTOR HOMOLOG 1, 2  MTVR1, 2', 89782),
(146057, 'PTHR19375:SF422', NULL, NULL, NULL, NULL, 'DNAK PROTEIN', 89783),
(146058, 'PTHR10366:SF698', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1-LIKE', 89784),
(146059, 'PTHR23147:SF174', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 1-RELATED', 89785),
(146060, 'PTHR47364:SF9', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 5-LIKE', 89786),
(146061, 'PTHR31876:SF7', NULL, NULL, NULL, NULL, 'OS02G0269000 PROTEIN', 89787),
(146062, 'PTHR30290:SF65', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SOLUTE-BINDING PROTEIN', 89788),
(146063, 'PTHR43297:SF11', NULL, NULL, NULL, NULL, 'ATPASE COMPONENT OF ABC-TYPE TRANSPORT SYSTEM-RELATED', 89789),
(146064, 'PTHR12767:SF9', NULL, NULL, NULL, NULL, 'BCL7-LIKE', 89790),
(146065, 'PTHR30289', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YBCL-RELATED', 89791),
(146066, 'PTHR10177:SF423', NULL, NULL, NULL, NULL, 'CYCLIN-D1-1', 89792),
(146067, 'PTHR11239:SF14', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA12', 89793),
(146068, 'PTHR31573', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB HOMOLOG 2', 89794),
(146069, 'PTHR32295:SF184', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', 89795),
(146070, 'PTHR46003:SF1', NULL, NULL, NULL, NULL, 'HOST CELL FACTOR', 89796),
(146071, 'PTHR12864:SF47', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 1', 89797),
(146072, 'PTHR34459', NULL, NULL, NULL, NULL, 'OS01G0264500 PROTEIN', 89798),
(146073, 'PTHR31190:SF308', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 89799),
(146074, 'PTHR31384:SF130', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 89800),
(146075, 'PTHR45626:SF26', NULL, NULL, NULL, NULL, 'FAMILY HELICASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G09120)-RELATED', 89801),
(146076, 'PTHR33102:SF51', NULL, NULL, NULL, NULL, 'ROTUNDIFOLIA-LIKE PROTEIN', 89802),
(146077, 'PTHR31263:SF19', NULL, NULL, NULL, NULL, 'OSJNBB0011N17.5 PROTEIN', 89803);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(146078, 'PTHR33159:SF5', NULL, NULL, NULL, NULL, 'OS02G0189400 PROTEIN', 89804),
(146079, 'PTHR47480:SF2', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', 89805),
(146080, 'PTHR17630:SF56', NULL, NULL, NULL, NULL, 'ENDO-1,3,1,4-BETA-D-GLUCANASE', 89806),
(146081, 'PTHR31192:SF3', NULL, NULL, NULL, NULL, 'SPERM-SPECIFIC FAMILY, CLASS Q', 89807),
(146082, 'PTHR16095:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89808),
(146083, 'PTHR33347:SF35', NULL, NULL, NULL, NULL, 'BNAA02G14060D PROTEIN', 89809),
(146084, 'PTHR24347:SF393', NULL, NULL, NULL, NULL, 'MYOSIN, LIGHT CHAIN KINASE 5', 89810),
(146085, 'PTHR15664:SF6', NULL, NULL, NULL, NULL, 'OS02G0176400 PROTEIN', 89811),
(146086, 'PTHR23315:SF253', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 9', 89812),
(146087, 'PTHR32488:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89813),
(146088, 'PTHR47944:SF7', NULL, NULL, NULL, NULL, 'OS09G0263933 PROTEIN', 89814),
(146089, 'PTHR12365:SF7', NULL, NULL, NULL, NULL, 'PROTEIN SPROUTY', 89815),
(146090, 'PTHR35740:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89816),
(146091, 'PTHR11771:SF140', NULL, NULL, NULL, NULL, 'ARACHIDONATE 15-LIPOXYGENASE, TYPE B', 89817),
(146092, 'PTHR11709:SF378', NULL, NULL, NULL, NULL, 'BNAA01G29830D PROTEIN', 89818),
(146093, 'PTHR10209:SF670', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89819),
(146094, 'PTHR48063:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89820),
(146095, 'PTHR33156:SF42', NULL, NULL, NULL, NULL, 'CASPASE-6 PROTEIN', 89821),
(146096, 'PTHR12469:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE ASSEMBLY FACTOR 2, MITOCHONDRIAL', 89822),
(146097, 'PTHR31548:SF1', NULL, NULL, NULL, NULL, 'LD47387P', 89823),
(146098, 'PTHR35727:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89824),
(146099, 'PTHR31268:SF27', NULL, NULL, NULL, NULL, 'OS07G0209100 PROTEIN', 89825),
(146100, 'PTHR42898:SF32', NULL, NULL, NULL, NULL, 'BNAA04G17080D PROTEIN', 89826),
(146101, 'PTHR48005:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89827),
(146102, 'PTHR32145', NULL, NULL, NULL, NULL, 'DIFLAVIN FLAVOPROTEIN A 2-RELATED', 89828),
(146103, 'PTHR34681:SF1', NULL, NULL, NULL, NULL, 'OS07G0671100 PROTEIN', 89829),
(146104, 'PTHR46125:SF24', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 18', 89830),
(146105, 'PTHR10775:SF155', NULL, NULL, NULL, NULL, 'ULP1 PROTEASE FAMILY, CARBOXY-TERMINAL DOMAIN PROTEIN', 89831),
(146106, 'PTHR33922:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 89832),
(146107, 'PTHR32246:SF132', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 89833),
(146108, 'PTHR11214:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89834),
(146109, 'PTHR45973:SF20', NULL, NULL, NULL, NULL, 'AGAP002013-PA', 89835),
(146110, 'PTHR13439:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89836),
(146111, 'PTHR22945:SF25', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 89837),
(146112, 'PTHR22951:SF13', NULL, NULL, NULL, NULL, 'ASSEMBLY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 89838),
(146113, 'PTHR47984:SF14', NULL, NULL, NULL, NULL, 'OS01G0323000 PROTEIN', 89839),
(146114, 'PTHR24326:SF538', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT7', 89840),
(146115, 'PTHR33638:SF3', NULL, NULL, NULL, NULL, 'OS05G0250500 PROTEIN', 89841),
(146116, 'PTHR23236:SF55', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4BB', 89842),
(146117, 'PTHR47966:SF22', NULL, NULL, NULL, NULL, 'PEPSIN A-3-RELATED', 89843),
(146118, 'PTHR12174:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89844),
(146119, 'PTHR33915:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89845),
(146120, 'PTHR31945:SF72', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', 89846),
(146121, 'PTHR11161:SF8', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 89847),
(146122, 'PTHR11040:SF159', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORT PROTEIN 1', 89848),
(146123, 'PTHR35813:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YBAN', 89849);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(146124, 'PTHR11255:SF81', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 7-LIKE', 89850),
(146125, 'PTHR27009:SF171', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 89851),
(146126, 'PTHR46051:SF5', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 1B', 89852),
(146127, 'PTHR34480:SF11', NULL, NULL, NULL, NULL, 'OS05G0173500 PROTEIN', 89853),
(146128, 'PTHR31235:SF322', NULL, NULL, NULL, NULL, 'PEROXIDASE 62', 89854),
(146129, 'PTHR46904', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN T', 89855),
(146130, 'PTHR47179:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIS3', 89856),
(146131, 'PTHR24361:SF342', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 2', 89857),
(146132, 'PTHR32278:SF12', NULL, NULL, NULL, NULL, 'OS08G0150700 PROTEIN', 89858),
(146133, 'PTHR18929:SF233', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', 89859),
(146134, 'PTHR44042:SF49', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 89860),
(146135, 'PTHR16675:SF263', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89861),
(146136, 'PTHR42339:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89862),
(146137, 'PTHR33326:SF31', NULL, NULL, NULL, NULL, 'OS05G0477500 PROTEIN', 89863),
(146138, 'PTHR36063:SF3', NULL, NULL, NULL, NULL, 'BNAA06G36170D PROTEIN', 89864),
(146139, 'PTHR20878', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT CONTAINING PROTEIN 25', 89865),
(146140, 'PTHR11709:SF393', NULL, NULL, NULL, NULL, 'LACCASE', 89866),
(146141, 'PTHR48024:SF28', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 38', 89867),
(146142, 'PTHR10166:SF6', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL SUBUNIT ALPHA-2/DELTA-1', 89868),
(146143, 'PTHR18884:SF117', NULL, NULL, NULL, NULL, 'SEPTIN 7A-RELATED', 89869),
(146144, 'PTHR24095:SF146', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', 89870),
(146145, 'PTHR33110:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89871),
(146146, 'PTHR10093:SF8', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY ENZYME ISCU, MITOCHONDRIAL', 89872),
(146147, 'PTHR33177:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 89873),
(146148, 'PTHR23500:SF506', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 6-RELATED', 89874),
(146149, 'PTHR33415:SF12', NULL, NULL, NULL, NULL, 'PROTEIN EMBRYO DEFECTIVE 514', 89875),
(146150, 'PTHR11240:SF22', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2', 89876),
(146151, 'PTHR46227:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR-INTERACTING PROTEIN 2-LIKE PROTEIN', 89877),
(146152, 'PTHR35487:SF1', NULL, NULL, NULL, NULL, 'F3E22.11 PROTEIN', 89878),
(146153, 'PTHR45748:SF1', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE/ ZINC ION BINDING FAMILY-RELATED', 89879),
(146154, 'PTHR10309:SF6', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE', 89880),
(146155, 'PTHR38050:SF2', NULL, NULL, NULL, NULL, 'ACID ESTERASE (FAEA), PUTATIVE-RELATED', 89881),
(146156, 'PTHR13017:SF0', NULL, NULL, NULL, NULL, 'METHENYLTETRAHYDROFOLATE SYNTHASE DOMAIN-CONTAINING PROTEIN', 89882),
(146157, 'PTHR31832:SF53', NULL, NULL, NULL, NULL, 'BNAC02G23750D PROTEIN', 89883),
(146158, 'PTHR13301:SF219', NULL, NULL, NULL, NULL, 'BNAC09G40960D PROTEIN', 89884),
(146159, 'PTHR24296:SF204', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 94, SUBFAMILY B, POLYPEPTIDE 2', 89885),
(146160, 'PTHR12126:SF8', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 89886),
(146161, 'PTHR31780', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN NST1-RELATED', 89887),
(146162, 'PTHR33078:SF69', NULL, NULL, NULL, NULL, 'BNAA06G19310D PROTEIN', 89888),
(146163, 'PTHR32227:SF267', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE', 89889),
(146164, 'PTHR44329:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89890),
(146165, 'PTHR24296:SF195', NULL, NULL, NULL, NULL, 'BNAA06G31970D PROTEIN', 89891),
(146166, 'PTHR31728:SF5', NULL, NULL, NULL, NULL, 'OS07G0540200 PROTEIN', 89892),
(146167, 'PTHR22846:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89893);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(146168, 'PTHR13844:SF45', NULL, NULL, NULL, NULL, 'OS09G0133000 PROTEIN', 89894),
(146169, 'PTHR32285:SF275', NULL, NULL, NULL, NULL, 'TRICHOME BIREFRINGENCE-LIKE 7', 89895),
(146170, 'PTHR31003:SF26', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', 89896),
(146171, 'PTHR34132', NULL, NULL, NULL, NULL, 'EMB|CAB87627.1-RELATED', 89897),
(146172, 'PTHR13218:SF18', NULL, NULL, NULL, NULL, 'HCG1809904-RELATED', 89898),
(146173, 'PTHR10953:SF223', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 1-LIKE', 89899),
(146174, 'PTHR43467:SF1', NULL, NULL, NULL, NULL, 'PRECORRIN-6A SYNTHASE [DEACETYLATING]', 89900),
(146175, 'PTHR37248', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR', 89901),
(146176, 'PTHR11592:SF119', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 3, MITOCHONDRIAL-RELATED', 89902),
(146177, 'PTHR11216:SF138', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 2', 89903),
(146178, 'PTHR31579:SF49', NULL, NULL, NULL, NULL, 'DUF506 FAMILY PROTEIN', 89904),
(146179, 'PTHR45665:SF45', NULL, NULL, NULL, NULL, 'BNAA02G28130D PROTEIN', 89905),
(146180, 'PTHR46195:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89906),
(146181, 'PTHR31105:SF3', NULL, NULL, NULL, NULL, 'EXTRA-LARGE G-PROTEIN-LIKE', 89907),
(146182, 'PTHR12010:SF17', NULL, NULL, NULL, NULL, 'BNAA03G50690D PROTEIN', 89908),
(146183, 'PTHR11932:SF153', NULL, NULL, NULL, NULL, 'CULLIN-4A', 89909),
(146184, 'PTHR47926:SF165', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 89910),
(146185, 'PTHR31238:SF198', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 89911),
(146186, 'PTHR10740:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89912),
(146187, 'PTHR43670:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89913),
(146188, 'PTHR10655:SF17', NULL, NULL, NULL, NULL, 'ACYL PROTEIN THIOESTERASE FAMILY', 89914),
(146189, 'PTHR14950:SF49', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3-LIKE PROTEIN 2-RELATED', 89915),
(146190, 'PTHR11618:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89916),
(146191, 'PTHR32444:SF43', NULL, NULL, NULL, NULL, 'OS04G0226600 PROTEIN', 89917),
(146192, 'PTHR15721', NULL, NULL, NULL, NULL, 'KIAA0586 PROTEIN', 89918),
(146193, 'PTHR33622:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89919),
(146194, 'PTHR30543:SF22', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 89920),
(146195, 'PTHR24027:SF106', NULL, NULL, NULL, NULL, 'CADHERIN-18', 89921),
(146196, 'PTHR13693:SF82', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE 1, PUTATIVE-RELATED', 89922),
(146197, 'PTHR31045:SF33', NULL, NULL, NULL, NULL, 'TERPENOID SYNTHASE 16-RELATED', 89923),
(146198, 'PTHR11035:SF24', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE', 89924),
(146199, 'PTHR45666:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89925),
(146200, 'PTHR15375:SF22', NULL, NULL, NULL, NULL, 'PROTEIN DBF4 HOMOLOG A', 89926),
(146201, 'PTHR31843', NULL, NULL, NULL, NULL, 'ALLENE OXIDE CYCLASE 4, CHLOROPLASTIC', 89927),
(146202, 'PTHR35717:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89928),
(146203, 'PTHR31033:SF20', NULL, NULL, NULL, NULL, 'BNAA01G14380D PROTEIN', 89929),
(146204, 'PTHR19143:SF256', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-RELATED PROTEIN 4', 89930),
(146205, 'PTHR33595:SF11', NULL, NULL, NULL, NULL, 'EMB|CAB62340.1', 89931),
(146206, 'PTHR15897:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND MYND DOMAIN-CONTAINING PROTEIN 1', 89932),
(146207, 'PTHR45631:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89933),
(146208, 'PTHR11991', NULL, NULL, NULL, NULL, 'TRANSLATIONALLY CONTROLLED TUMOR PROTEIN-RELATED', 89934),
(146209, 'PTHR12555', NULL, NULL, NULL, NULL, 'UBIQUITIN FUSION DEGRADATON PROTEIN 1', 89935),
(146210, 'PTHR40130', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 89936),
(146211, 'PTHR42961:SF2', NULL, NULL, NULL, NULL, 'IRON-SULFUR PROTEIN NUBPL', 89937),
(146212, 'PTHR43327:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89938),
(146213, 'PTHR31852:SF212', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 89939);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(146214, 'PTHR36027', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC PROTEIN ASY3', 89940),
(146215, 'PTHR14715:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89941),
(146216, 'PTHR10869:SF188', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE SUBUNIT ALPHA-3', 89942),
(146217, 'PTHR23054:SF62', NULL, NULL, NULL, NULL, 'BNAC08G05180D PROTEIN', 89943),
(146218, 'PTHR34988', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 89944),
(146219, 'PTHR13382:SF17', NULL, NULL, NULL, NULL, 'BNAA02G27750D PROTEIN', 89945),
(146220, 'PTHR28677:SF5', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 4A-LIKE', 89946),
(146221, 'PTHR45694:SF22', NULL, NULL, NULL, NULL, 'BNAA08G30760D PROTEIN', 89947),
(146222, 'PTHR11709:SF345', NULL, NULL, NULL, NULL, 'LACCASE', 89948),
(146223, 'PTHR24346:SF49', NULL, NULL, NULL, NULL, 'NIM1 SERINE/THREONINE PROTEIN KINASE', 89949),
(146224, 'PTHR33643', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN D', 89950),
(146225, 'PTHR13140:SF812', NULL, NULL, NULL, NULL, 'BNAA05G15910D PROTEIN', 89951),
(146226, 'PTHR42683:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89952),
(146227, 'PTHR42751:SF5', NULL, NULL, NULL, NULL, 'POTASSIUM-EFFLUX SYSTEM PROTEIN KEFB, PUTATIVE-RELATED', 89953),
(146228, 'PTHR47993:SF69', NULL, NULL, NULL, NULL, 'BNAC05G32270D PROTEIN', 89954),
(146229, 'PTHR46654:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECTD3', 89955),
(146230, 'PTHR15057:SF0', NULL, NULL, NULL, NULL, 'STATHERIN', 89956),
(146231, 'PTHR36488:SF1', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1U2', 89957),
(146232, 'PTHR45648:SF104', NULL, NULL, NULL, NULL, 'OS02G0291600 PROTEIN', 89958),
(146233, 'PTHR10543:SF58', NULL, NULL, NULL, NULL, 'CAROTENOID CLEAVAGE DIOXYGENASE 4, CHLOROPLASTIC-RELATED', 89959),
(146234, 'PTHR32246:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89960),
(146235, 'PTHR27001:SF879', NULL, NULL, NULL, NULL, 'OS03G0839900 PROTEIN', 89961),
(146236, 'PTHR12411:SF752', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG39-LIKE', 89962),
(146237, 'PTHR34222:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89963),
(146238, 'PTHR24061:SF525', NULL, NULL, NULL, NULL, 'MCG118760-RELATED', 89964),
(146239, 'PTHR21456:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM102B', 89965),
(146240, 'PTHR45676:SF41', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL66', 89966),
(146241, 'PTHR24384:SF134', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 100', 89967),
(146242, 'PTHR46188', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN 3', 89968),
(146243, 'PTHR13906:SF18', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE 2', 89969),
(146244, 'PTHR10766:SF143', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 4', 89970),
(146245, 'PTHR44750:SF6', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE T1-LIKE', 89971),
(146246, 'PTHR31137:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89972),
(146247, 'PTHR24056:SF378', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 11', 89973),
(146248, 'PTHR48026:SF14', NULL, NULL, NULL, NULL, 'HOMOLOGOUS TO DROSOPHILA SQD (SQUID) PROTEIN', 89974),
(146249, 'PTHR38040', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS ACCESSORY FACTOR UBIK', 89975),
(146250, 'PTHR31874:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 6', 89976),
(146251, 'PTHR43413:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NIRG', 89977),
(146252, 'PTHR16458:SF2', NULL, NULL, NULL, NULL, 'GLYCINE N-METHYLTRANSFERASE', 89978),
(146253, 'PTHR24416:SF279', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR TYRO3', 89979),
(146254, 'PTHR38600:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 89980),
(146255, 'PTHR11304:SF33', NULL, NULL, NULL, NULL, 'EPHRIN-A5', 89981),
(146256, 'PTHR33122:SF40', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 89982),
(146257, 'PTHR10587:SF131', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 89983),
(146258, 'PTHR13773:SF22', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', 89984);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(146259, 'PTHR11829:SF204', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN L1', 89985),
(146260, 'PTHR31304:SF36', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN', 89986),
(146261, 'PTHR27002:SF815', NULL, NULL, NULL, NULL, 'OS04G0634400 PROTEIN', 89987),
(146262, 'PTHR44846:SF11', NULL, NULL, NULL, NULL, 'GNTR FAMILY REGULATORY PROTEIN-RELATED', 89988),
(146263, 'PTHR32448:SF64', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 2', 89989),
(146264, 'PTHR11165:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89990),
(146265, 'PTHR31044:SF46', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE 29', 89991),
(146266, 'PTHR33743:SF13', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 89992),
(146267, 'PTHR45631:SF27', NULL, NULL, NULL, NULL, 'OS05G0525400 PROTEIN', 89993),
(146268, 'PTHR36891', NULL, NULL, NULL, NULL, 'OS01G0127400 PROTEIN', 89994),
(146269, 'PTHR34375:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89995),
(146270, 'PTHR11461:SF56', NULL, NULL, NULL, NULL, 'SERPIN B7', 89996),
(146271, 'PTHR32303:SF2', NULL, NULL, NULL, NULL, 'QUINOPROTEIN ALCOHOL DEHYDROGENASE (CYTOCHROME C)', 89997),
(146272, 'PTHR31446:SF29', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE/VANADIUM-DEPENDENT HALOPEROXIDASE-RELATED PROTEIN', 89998),
(146273, 'PTHR39535:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 89999),
(146274, 'PTHR12378:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90000),
(146275, 'PTHR11559:SF226', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 90001),
(146276, 'PTHR38498:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 191B-RELATED', 90002),
(146277, 'PTHR48047:SF68', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 90003),
(146278, 'PTHR11740:SF24', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', 90004),
(146279, 'PTHR22255', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 90005),
(146280, 'PTHR36060', NULL, NULL, NULL, NULL, 'OS02G0272400 PROTEIN', 90006),
(146281, 'PTHR31896:SF49', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', 90007),
(146282, 'PTHR27005:SF352', NULL, NULL, NULL, NULL, 'OS08G0501000 PROTEIN', 90008),
(146283, 'PTHR35465:SF1', NULL, NULL, NULL, NULL, 'CAVEOLIN-1 PROTEIN', 90009),
(146284, 'PTHR47925:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90010),
(146285, 'PTHR11036:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90011),
(146286, 'PTHR23529:SF2', NULL, NULL, NULL, NULL, 'GH19118P-RELATED', 90012),
(146287, 'PTHR11802:SF315', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 90013),
(146288, 'PTHR48193', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE ZMPB-RELATED', 90014),
(146289, 'PTHR47991:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90015),
(146290, 'PTHR33653', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC2', 90016),
(146291, 'PTHR10663:SF334', NULL, NULL, NULL, NULL, 'PH AND SEC7 DOMAIN-CONTAINING PROTEIN 1', 90017),
(146292, 'PTHR11588:SF116', NULL, NULL, NULL, NULL, 'TUBULIN BETA-1 CHAIN-RELATED', 90018),
(146293, 'PTHR47326', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT TC3 TRANSPOSASE-LIKE PROTEIN', 90019),
(146294, 'PTHR45674:SF7', NULL, NULL, NULL, NULL, 'DNA LIGASE', 90020),
(146295, 'PTHR13844:SF69', NULL, NULL, NULL, NULL, 'OS03G0761000 PROTEIN', 90021),
(146296, 'PTHR31140:SF112', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE DNA BINDING FACTOR 3-RELATED', 90022),
(146297, 'PTHR13273:SF16', NULL, NULL, NULL, NULL, 'ANAMORSIN', 90023),
(146298, 'PTHR21545:SF10', NULL, NULL, NULL, NULL, 'LIGAND-DEPENDENT NUCLEAR RECEPTOR COREPRESSOR-LIKE PROTEIN', 90024),
(146299, 'PTHR23428:SF265', NULL, NULL, NULL, NULL, 'HISTONE H2B', 90025),
(146300, 'PTHR36394:SF2', NULL, NULL, NULL, NULL, 'BNAC09G36810D PROTEIN', 90026),
(146301, 'PTHR48041:SF39', NULL, NULL, NULL, NULL, 'BNAC04G29980D PROTEIN', 90027),
(146302, 'PTHR36102:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 90028),
(146303, 'PTHR24247:SF127', NULL, NULL, NULL, NULL, 'TYRAMINE RECEPTOR', 90029),
(146304, 'PTHR15876:SF11', NULL, NULL, NULL, NULL, 'BNAA09G03620D PROTEIN', 90030),
(146305, 'PTHR23502:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90031);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(146306, 'PTHR30146:SF127', NULL, NULL, NULL, NULL, 'LMO2128 PROTEIN', 90032),
(146307, 'PTHR11706:SF77', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP5', 90033),
(146308, 'PTHR31636:SF258', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 9', 90034),
(146309, 'PTHR24103:SF649', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 51G, PSEUDOGENE', 90035),
(146310, 'PTHR16019:SF6', NULL, NULL, NULL, NULL, 'SYNAPSE-ASSOCIATED PROTEIN 1', 90036),
(146311, 'PTHR46353:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 6-LIKE', 90037),
(146312, 'PTHR11616:SF126', NULL, NULL, NULL, NULL, 'TRANSPORTER', 90038),
(146313, 'PTHR11056', NULL, NULL, NULL, NULL, 'HOMOGENTISATE 1,2-DIOXYGENASE', 90039),
(146314, 'PTHR21243', NULL, NULL, NULL, NULL, 'PROTEIN SCAI', 90040),
(146315, 'PTHR10517:SF14', NULL, NULL, NULL, NULL, 'ZGC:165502', 90041),
(146316, 'PTHR31044:SF28', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE', 90042),
(146317, 'PTHR14269:SF11', NULL, NULL, NULL, NULL, 'CARDIOLIPIN SYNTHASE (CMP-FORMING)', 90043),
(146318, 'PTHR24075:SF5', NULL, NULL, NULL, NULL, 'U5 SMALL NUCLEAR RIBONUCLEOPROTEIN 200 KDA HELICASE', 90044),
(146319, 'PTHR45224:SF4', NULL, NULL, NULL, NULL, 'OS01G0527900 PROTEIN', 90045),
(146320, 'PTHR11654:SF64', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.3', 90046),
(146321, 'PTHR11654:SF183', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 15 MEMBER 1A', 90047),
(146322, 'PTHR46996:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90048),
(146323, 'PTHR48081', NULL, NULL, NULL, NULL, 'AB HYDROLASE SUPERFAMILY PROTEIN C4A8.06C', 90049),
(146324, 'PTHR43690:SF17', NULL, NULL, NULL, NULL, 'STROMAL PROCESSING PEPTIDASE, CHLOROPLASTIC-RELATED', 90050),
(146325, 'PTHR23406:SF29', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME, CHLOROPLASTIC', 90051),
(146326, 'PTHR43335', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 90052),
(146327, 'PTHR16476:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM216B', 90053),
(146328, 'PTHR33371:SF19', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 90054),
(146329, 'PTHR31865:SF44', NULL, NULL, NULL, NULL, 'BNAC03G72390D PROTEIN', 90055),
(146330, 'PTHR22891:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90056),
(146331, 'PTHR31992:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90057),
(146332, 'PTHR24418:SF247', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE TXK', 90058),
(146333, 'PTHR47925:SF49', NULL, NULL, NULL, NULL, 'BNAC05G39560D PROTEIN', 90059),
(146334, 'PTHR15284:SF6', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC799271-RELATED', 90060),
(146335, 'PTHR31235:SF224', NULL, NULL, NULL, NULL, 'PEROXIDASE 42', 90061),
(146336, 'PTHR11931:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE 2-RELATED', 90062),
(146337, 'PTHR31549:SF176', NULL, NULL, NULL, NULL, 'UPF0481 PLANT-LIKE PROTEIN', 90063),
(146338, 'PTHR35401', NULL, NULL, NULL, NULL, 'COPG FAMILY HELIX-TURN-HELIX PROTEIN-RELATED-RELATED', 90064),
(146339, 'PTHR45956:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RUFY3', 90065),
(146340, 'PTHR11850:SF315', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 7', 90066),
(146341, 'PTHR43159:SF8', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE [NADH], CHLOROPLASTIC', 90067),
(146342, 'PTHR46552:SF1', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 2', 90068),
(146343, 'PTHR48059:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 90069),
(146344, 'PTHR10744:SF34', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11-LIKE', 90070),
(146345, 'PTHR45650:SF31', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 90071),
(146346, 'PTHR43900:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90072),
(146347, 'PTHR35144:SF2', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC TRANSCRIPTION FACTOR NDT80', 90073),
(146348, 'PTHR45614:SF166', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-RELATED', 90074),
(146349, 'PTHR47178', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, FAD-BINDING', 90075),
(146350, 'PTHR22625:SF65', NULL, NULL, NULL, NULL, 'PLEXIN A, ISOFORM A', 90076),
(146351, 'PTHR17985:SF8', NULL, NULL, NULL, NULL, 'TRANSPORT AND GOLGI ORGANIZATION PROTEIN 2 HOMOLOG', 90077);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(146352, 'PTHR31251:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90078),
(146353, 'PTHR10332:SF81', NULL, NULL, NULL, NULL, 'BNAANNG16100D PROTEIN', 90079),
(146354, 'PTHR45693:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90080),
(146355, 'PTHR45855:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF4', 90081),
(146356, 'PTHR24349:SF249', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 2', 90082),
(146357, 'PTHR11937:SF362', NULL, NULL, NULL, NULL, 'ACTIN, CYTOPLASMIC 1-RELATED', 90083),
(146358, 'PTHR15079:SF3', NULL, NULL, NULL, NULL, 'MYELOID DIFFERENTIATION PRIMARY RESPONSE PROTEIN MYD88', 90084),
(146359, 'PTHR13557', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 90085),
(146360, 'PTHR23079:SF29', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 90086),
(146361, 'PTHR43212:SF3', NULL, NULL, NULL, NULL, 'QUERCETIN 2,3-DIOXYGENASE', 90087),
(146362, 'PTHR43895:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90088),
(146363, 'PTHR24281:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90089),
(146364, 'PTHR24067:SF283', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1-LIKE', 90090),
(146365, 'PTHR35261:SF2', NULL, NULL, NULL, NULL, 'OOKINETE PROTEIN, PUTATIVE-RELATED', 90091),
(146366, 'PTHR37338', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 32', 90092),
(146367, 'PTHR31213:SF103', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL9', 90093),
(146368, 'PTHR33021:SF31', NULL, NULL, NULL, NULL, 'OS02G0720100 PROTEIN', 90094),
(146369, 'PTHR35091:SF2', NULL, NULL, NULL, NULL, 'FLAGELLAR PROTEIN FLIL', 90095),
(146370, 'PTHR33674:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90096),
(146371, 'PTHR23090:SF9', NULL, NULL, NULL, NULL, 'GLUTAMINE-DEPENDENT NAD(+) SYNTHETASE', 90097),
(146372, 'PTHR46136:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90098),
(146373, 'PTHR40836:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90099),
(146374, 'PTHR24006:SF827', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', 90100),
(146375, 'PTHR31388:SF210', NULL, NULL, NULL, NULL, 'PEROXIDASE', 90101),
(146376, 'PTHR48043:SF109', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-50-RELATED', 90102),
(146377, 'PTHR45669:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90103),
(146378, 'PTHR12542:SF44', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 90104),
(146379, 'PTHR11645:SF51', NULL, NULL, NULL, NULL, 'COME OPERON PROTEIN 4', 90105),
(146380, 'PTHR14690:SF6', NULL, NULL, NULL, NULL, 'IQ AND AAA DOMAIN-CONTAINING PROTEIN 1-LIKE', 90106),
(146381, 'PTHR46261:SF16', NULL, NULL, NULL, NULL, 'HMG1/2-LIKE PROTEIN', 90107),
(146382, 'PTHR24369', NULL, NULL, NULL, NULL, 'ANTIGEN BSP, PUTATIVE-RELATED', 90108),
(146383, 'PTHR47929:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90109),
(146384, 'PTHR31901:SF58', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.1-RELATED', 90110),
(146385, 'PTHR22175:SF1', NULL, NULL, NULL, NULL, 'SMALL ACIDIC PROTEIN', 90111),
(146386, 'PTHR33566:SF10', NULL, NULL, NULL, NULL, 'PROTEIN DEFECTIVE IN MERISTEM SILENCING 3-LIKE', 90112),
(146387, 'PTHR11132:SF448', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN ISOFORM 1', 90113),
(146388, 'PTHR10682:SF31', NULL, NULL, NULL, NULL, 'NUCLEAR POLY(A) POLYMERASE 2', 90114),
(146389, 'PTHR26452:SF204', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 90115),
(146390, 'PTHR13286:SF5', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP30L', 90116),
(146391, 'PTHR43180:SF49', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE-LIKE', 90117),
(146392, 'PTHR32468:SF125', NULL, NULL, NULL, NULL, 'BNAC06G14930D PROTEIN', 90118),
(146393, 'PTHR10514', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME', 90119),
(146394, 'PTHR31901:SF14', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.7-RELATED', 90120),
(146395, 'PTHR13029', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 90121),
(146396, 'PTHR47387', NULL, NULL, NULL, NULL, 'NECTIN-2', 90122);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(146397, 'PTHR20931:SF6', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 30B', 90123),
(146398, 'PTHR10994:SF65', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B12', 90124),
(146399, 'PTHR33747', NULL, NULL, NULL, NULL, 'UPF0225 PROTEIN SCO1677', 90125),
(146400, 'PTHR47424:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 90126),
(146401, 'PTHR31883:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FRG2-RELATED', 90127),
(146402, 'PTHR23345:SF8', NULL, NULL, NULL, NULL, 'VITELLOGENIN-3-RELATED', 90128),
(146403, 'PTHR46371:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90129),
(146404, 'PTHR22763:SF164', NULL, NULL, NULL, NULL, 'ZMP:0000000662', 90130),
(146405, 'PTHR22967', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE', 90131),
(146406, 'PTHR48019:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90132),
(146407, 'PTHR31430:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG24882', 90133),
(146408, 'PTHR34107:SF2', NULL, NULL, NULL, NULL, 'SLL0888 PROTEIN', 90134),
(146409, 'PTHR48001:SF20', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 90135),
(146410, 'PTHR11690:SF253', NULL, NULL, NULL, NULL, 'PICKPOCKET 22, ISOFORM B-RELATED', 90136),
(146411, 'PTHR22574:SF11', NULL, NULL, NULL, NULL, 'PROTEIN FAM71C', 90137),
(146412, 'PTHR11309:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90138),
(146413, 'PTHR45642:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90139),
(146414, 'PTHR48014:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FRAY1', 90140),
(146415, 'PTHR11945:SF602', NULL, NULL, NULL, NULL, 'BNAA09G52420D PROTEIN', 90141),
(146416, 'PTHR11134:SF4', NULL, NULL, NULL, NULL, 'AP-4 COMPLEX SUBUNIT BETA-1', 90142),
(146417, 'PTHR24093:SF369', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 90143),
(146418, 'PTHR45778:SF6', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE 24-RELATED', 90144),
(146419, 'PTHR43246', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP38, CHLOROPLASTIC', 90145),
(146420, 'PTHR36141:SF4', NULL, NULL, NULL, NULL, 'OS08G0148500 PROTEIN', 90146),
(146421, 'PTHR12537:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90147),
(146422, 'PTHR24637:SF355', NULL, NULL, NULL, NULL, 'COLLAGEN', 90148),
(146423, 'PTHR31133', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN', 90149),
(146424, 'PTHR34609:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90150),
(146425, 'PTHR36843:SF1', NULL, NULL, NULL, NULL, 'HEME-DEPENDENT PEROXIDASE YWFI-RELATED', 90151),
(146426, 'PTHR23092:SF47', NULL, NULL, NULL, NULL, 'POLYMERASE SIGMA, PUTATIVE-RELATED', 90152),
(146427, 'PTHR11761:SF21', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN HLL, MITOCHONDRIAL', 90153),
(146428, 'PTHR24035:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90154),
(146429, 'PTHR31490:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90155),
(146430, 'PTHR24229', NULL, NULL, NULL, NULL, 'NEUROPEPTIDES RECEPTOR', 90156),
(146431, 'PTHR43176:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90157),
(146432, 'PTHR31080:SF12', NULL, NULL, NULL, NULL, 'BNAANNG18590D PROTEIN', 90158),
(146433, 'PTHR27005:SF56', NULL, NULL, NULL, NULL, 'OS01G0136400 PROTEIN', 90159),
(146434, 'PTHR45736:SF10', NULL, NULL, NULL, NULL, 'SI:CH211-266O15.1', 90160),
(146435, 'PTHR11227:SF49', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18A', 90161),
(146436, 'PTHR34788:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90162),
(146437, 'PTHR12697:SF34', NULL, NULL, NULL, NULL, 'DEOXYHYPUSINE HYDROXYLASE', 90163),
(146438, 'PTHR31241:SF49', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2G', 90164),
(146439, 'PTHR47924:SF41', NULL, NULL, NULL, NULL, 'BNAC07G48870D PROTEIN', 90165),
(146440, 'PTHR12411:SF416', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE 4-RELATED', 90166),
(146441, 'PTHR47950:SF22', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 76C1-RELATED', 90167),
(146442, 'PTHR10336:SF183', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 90168),
(146443, 'PTHR31985:SF156', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 90169);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(146444, 'PTHR45693:SF45', NULL, NULL, NULL, NULL, 'BNAC02G43620D PROTEIN', 90170),
(146445, 'PTHR11774', NULL, NULL, NULL, NULL, 'GERANYLGERANYL TRANSFERASE TYPE BETA SUBUNIT', 90171),
(146446, 'PTHR18919:SF159', NULL, NULL, NULL, NULL, 'ACETOACETYL-COA THIOLASE 2-RELATED', 90172),
(146447, 'PTHR11945:SF336', NULL, NULL, NULL, NULL, 'SERUM FACTOR RESPONSE D', 90173),
(146448, 'PTHR33103:SF70', NULL, NULL, NULL, NULL, 'DUF674 FAMILY PROTEIN', 90174),
(146449, 'PTHR31297:SF9', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE 2', 90175),
(146450, 'PTHR45621:SF135', NULL, NULL, NULL, NULL, 'BNAA10G27210D PROTEIN', 90176),
(146451, 'PTHR42053', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 90177),
(146452, 'PTHR23177:SF66', NULL, NULL, NULL, NULL, 'BNAC01G24270D PROTEIN', 90178),
(146453, 'PTHR21495:SF180', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 90179),
(146454, 'PTHR45743:SF32', NULL, NULL, NULL, NULL, 'BNAC03G62660D PROTEIN', 90180),
(146455, 'PTHR13817:SF85', NULL, NULL, NULL, NULL, 'DCC NETRIN 1 RECEPTOR', 90181),
(146456, 'PTHR22844:SF324', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT PROTEIN', 90182),
(146457, 'PTHR22844:SF360', NULL, NULL, NULL, NULL, 'PROTEIN JINGUBANG-LIKE', 90183),
(146458, 'PTHR31885:SF7', NULL, NULL, NULL, NULL, 'LYSOPLASMALOGENASE', 90184),
(146459, 'PTHR12357', NULL, NULL, NULL, NULL, 'YTH  YT521-B HOMOLOGY  DOMAIN-CONTAINING', 90185),
(146460, 'PTHR22912:SF200', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', 90186),
(146461, 'PTHR24223:SF387', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 7', 90187),
(146462, 'PTHR13084:SF7', NULL, NULL, NULL, NULL, 'ZGC:100920', 90188),
(146463, 'PTHR46665:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH92', 90189),
(146464, 'PTHR23317:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90190),
(146465, 'PTHR31016:SF12', NULL, NULL, NULL, NULL, 'HEAT-INDUCIBLE TRANSCRIPTION REPRESSOR-RELATED', 90191),
(146466, 'PTHR26312:SF183', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 90192),
(146467, 'PTHR11913:SF76', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 3', 90193),
(146468, 'PTHR46905:SF8', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL77', 90194),
(146469, 'PTHR33864:SF2', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE-LIKE PROTEIN', 90195),
(146470, 'PTHR31657:SF27', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF060', 90196),
(146471, 'PTHR23502:SF159', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14230)-RELATED', 90197),
(146472, 'PTHR11972:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90198),
(146473, 'PTHR46195:SF12', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 4', 90199),
(146474, 'PTHR15143', NULL, NULL, NULL, NULL, 'TELETHONIN', 90200),
(146475, 'PTHR10366:SF724', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', 90201),
(146476, 'PTHR33362', NULL, NULL, NULL, NULL, 'SIALIC ACID TRAP TRANSPORTER PERMEASE PROTEIN SIAT-RELATED', 90202),
(146477, 'PTHR31531', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE E3D FAMILY MEMBER', 90203),
(146478, 'PTHR33222:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CURVATURE THYLAKOID 1B, CHLOROPLASTIC', 90204),
(146479, 'PTHR23506:SF30', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICULAR AMINE TRANSPORTER', 90205),
(146480, 'PTHR30352:SF5', NULL, NULL, NULL, NULL, 'PYRUVATE FORMATE-LYASE 1-ACTIVATING ENZYME', 90206),
(146481, 'PTHR31743:SF1', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 4-ASSOCIATED PROTEIN', 90207),
(146482, 'PTHR11525:SF14', NULL, NULL, NULL, NULL, 'OS04G0657100 PROTEIN', 90208),
(146483, 'PTHR12947:SF18', NULL, NULL, NULL, NULL, 'AMSH-LIKE UBIQUITIN THIOESTERASE 3', 90209),
(146484, 'PTHR34956:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90210),
(146485, 'PTHR33405:SF20', NULL, NULL, NULL, NULL, 'PROTEIN FLX-LIKE 3', 90211),
(146486, 'PTHR12243:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90212),
(146487, 'PTHR43899:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90213);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(146488, 'PTHR16484:SF17', NULL, NULL, NULL, NULL, 'BAZOOKA, ISOFORM B', 90214),
(146489, 'PTHR22601:SF51', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 4', 90215),
(146490, 'PTHR13278:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 830', 90216),
(146491, 'PTHR45752:SF58', NULL, NULL, NULL, NULL, 'PH DOMAIN LEUCINE-RICH REPEAT-CONTAINING PROTEIN PHOSPHATASE 1', 90217),
(146492, 'PTHR24281:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME', 90218),
(146493, 'PTHR48226:SF1', NULL, NULL, NULL, NULL, 'OS06G0326200 PROTEIN', 90219),
(146494, 'PTHR48018:SF64', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 90220),
(146495, 'PTHR34139:SF4', NULL, NULL, NULL, NULL, 'SLL1411 PROTEIN', 90221),
(146496, 'PTHR33448:SF14', NULL, NULL, NULL, NULL, 'ARABIDOPSIS THALIANA GENOMIC DNA, CHROMOSOME 5, P1 CLONE:MOK16', 90222),
(146497, 'PTHR22753:SF35', NULL, NULL, NULL, NULL, 'BNAA02G28380D PROTEIN', 90223),
(146498, 'PTHR47130:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90224),
(146499, 'PTHR34732:SF1', NULL, NULL, NULL, NULL, '69 KDA PARAFLAGELLAR ROD PROTEIN', 90225),
(146500, 'PTHR34444:SF1', NULL, NULL, NULL, NULL, 'LOC361192', 90226),
(146501, 'PTHR33021:SF351', NULL, NULL, NULL, NULL, 'BNAA03G49200D PROTEIN', 90227),
(146502, 'PTHR33420:SF28', NULL, NULL, NULL, NULL, 'FIMBRIAE-RELATED', 90228),
(146503, 'PTHR10288:SF171', NULL, NULL, NULL, NULL, 'TWENTY ONE U-RNA (21U-RNA) BIOGENESIS FOULED UP', 90229),
(146504, 'PTHR33070', NULL, NULL, NULL, NULL, 'OS06G0725500 PROTEIN', 90230),
(146505, 'PTHR24034:SF109', NULL, NULL, NULL, NULL, 'NIDOGEN 1', 90231),
(146506, 'PTHR12483', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 31  COPPER TRANSPORTERS', 90232),
(146507, 'PTHR31175:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90233),
(146508, 'PTHR46138:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DR1', 90234),
(146509, 'PTHR13844:SF19', NULL, NULL, NULL, NULL, 'OS04G0665500 PROTEIN', 90235),
(146510, 'PTHR10145:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT6', 90236),
(146511, 'PTHR33653:SF2', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC2', 90237),
(146512, 'PTHR24349:SF410', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE KINASE 1', 90238),
(146513, 'PTHR26451:SF921', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 90239),
(146514, 'PTHR43757:SF5', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM COMPONENT T', 90240),
(146515, 'PTHR43215:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90241),
(146516, 'PTHR12155:SF21', NULL, NULL, NULL, NULL, 'SCHLAFEN FAMILY MEMBER 13', 90242),
(146517, 'PTHR32410:SF193', NULL, NULL, NULL, NULL, 'BNAA05G36940D PROTEIN', 90243),
(146518, 'PTHR33373:SF23', NULL, NULL, NULL, NULL, 'DUF4050 FAMILY PROTEIN', 90244),
(146519, 'PTHR45296:SF1', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 90245),
(146520, 'PTHR31490:SF46', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-LIKE PROTEIN', 90246),
(146521, 'PTHR22803:SF65', NULL, NULL, NULL, NULL, 'CD302 ANTIGEN-RELATED', 90247),
(146522, 'PTHR47990:SF62', NULL, NULL, NULL, NULL, 'LEUCOANTHOCYANIDIN DIOXYGENASE-LIKE PROTEIN', 90248),
(146523, 'PTHR24025:SF25', NULL, NULL, NULL, NULL, 'FAT ATYPICAL CADHERIN 1', 90249),
(146524, 'PTHR11461:SF161', NULL, NULL, NULL, NULL, 'SERPIN B13', 90250),
(146525, 'PTHR45828', NULL, NULL, NULL, NULL, 'CYTOCHROME B561/FERRIC REDUCTASE TRANSMEMBRANE', 90251),
(146526, 'PTHR36043:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90252),
(146527, 'PTHR10672:SF5', NULL, NULL, NULL, NULL, 'GAMMA-ADDUCIN', 90253),
(146528, 'PTHR12828:SF3', NULL, NULL, NULL, NULL, 'PROTEASOME MATURATION PROTEIN', 90254),
(146529, 'PTHR38612:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06620', 90255),
(146530, 'PTHR13200:SF0', NULL, NULL, NULL, NULL, 'EEF1A LYSINE METHYLTRANSFERASE 1', 90256),
(146531, 'PTHR31989:SF280', NULL, NULL, NULL, NULL, 'BNAA02G05600D PROTEIN', 90257),
(146532, 'PTHR45648:SF82', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 90258),
(146533, 'PTHR13780:SF140', NULL, NULL, NULL, NULL, 'BNAC02G42530D PROTEIN', 90259); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(146534, 'PTHR33270:SF39', NULL, NULL, NULL, NULL, 'BNAC06G31940D PROTEIN', 90260),
(146535, 'PTHR34198:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90261),
(146536, 'PTHR23267:SF215', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-V REGION MOPC 149-RELATED', 90262),
(146537, 'PTHR24393:SF79', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 485', 90263),
(146538, 'PTHR11820:SF103', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE', 90264),
(146539, 'PTHR47933:SF1', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 1', 90265),
(146540, 'PTHR24160', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 53', 90266),
(146541, 'PTHR33232:SF10', NULL, NULL, NULL, NULL, 'SIEVE ELEMENT OCCLUSION-RELATED', 90267),
(146542, 'PTHR12888:SF3', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 12', 90268),
(146543, 'PTHR24213:SF18', NULL, NULL, NULL, NULL, 'ACTIN-BINDING LIM PROTEIN 1', 90269),
(146544, 'PTHR24089:SF666', NULL, NULL, NULL, NULL, 'OS01G0143100 PROTEIN', 90270),
(146545, 'PTHR48049:SF12', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 90271),
(146546, 'PTHR31245:SF20', NULL, NULL, NULL, NULL, 'F18B13.13 PROTEIN', 90272),
(146547, 'PTHR43900:SF74', NULL, NULL, NULL, NULL, 'BNAC03G30870D PROTEIN', 90273),
(146548, 'PTHR35399:SF2', NULL, NULL, NULL, NULL, 'SLR8030 PROTEIN', 90274),
(146549, 'PTHR47840:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 90275),
(146550, 'PTHR42898:SF50', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', 90276),
(146551, 'PTHR20893', NULL, NULL, NULL, NULL, 'LD08641P', 90277),
(146552, 'PTHR14091:SF0', NULL, NULL, NULL, NULL, 'PERIODIC TRYPTOPHAN PROTEIN 1 HOMOLOG', 90278),
(146553, 'PTHR19384:SF56', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE, INDUCIBLE', 90279),
(146554, 'PTHR45940:SF20', NULL, NULL, NULL, NULL, 'BNAA10G12360D PROTEIN', 90280),
(146555, 'PTHR28199', NULL, NULL, NULL, NULL, 'PROCESSING OF GAS1 AND ALP PROTEIN 2', 90281),
(146556, 'PTHR43791:SF22', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11320)-RELATED', 90282),
(146557, 'PTHR10361:SF59', NULL, NULL, NULL, NULL, 'BILE ACID:SODIUM SYMPORTER', 90283),
(146558, 'PTHR46935:SF2', NULL, NULL, NULL, NULL, 'OS05G0315100 PROTEIN', 90284),
(146559, 'PTHR23123:SF14', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE PHF2', 90285),
(146560, 'PTHR31507:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CBG24542', 90286),
(146561, 'PTHR32467:SF158', NULL, NULL, NULL, NULL, 'BNAANNG40110D PROTEIN', 90287),
(146562, 'PTHR36940:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01577', 90288),
(146563, 'PTHR31087:SF116', NULL, NULL, NULL, NULL, 'BNAC06G15790D PROTEIN', 90289),
(146564, 'PTHR38088:SF2', NULL, NULL, NULL, NULL, 'UCP029143 FAMILY PROTEIN', 90290),
(146565, 'PTHR42679:SF4', NULL, NULL, NULL, NULL, 'S-METHYL-5''-THIOADENOSINE PHOSPHORYLASE', 90291),
(146566, 'PTHR47928:SF26', NULL, NULL, NULL, NULL, 'OS11G0109600 PROTEIN', 90292),
(146567, 'PTHR33470:SF43', NULL, NULL, NULL, NULL, 'OS05G0531400 PROTEIN', 90293),
(146568, 'PTHR48033:SF9', NULL, NULL, NULL, NULL, 'TAR DNA-BINDING PROTEIN 43', 90294),
(146569, 'PTHR24418:SF293', NULL, NULL, NULL, NULL, 'SRC-LIKE-ADAPTER', 90295),
(146570, 'PTHR11661:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12-3-LIKE', 90296),
(146571, 'PTHR11178:SF45', NULL, NULL, NULL, NULL, 'ZGC:110319', 90297),
(146572, 'PTHR33044:SF3', NULL, NULL, NULL, NULL, 'OS03G0794000 PROTEIN', 90298),
(146573, 'PTHR21660:SF44', NULL, NULL, NULL, NULL, 'BNAA08G27810D PROTEIN', 90299),
(146574, 'PTHR34655:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90300),
(146575, 'PTHR23289:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX15 HOMOLOG', 90301),
(146576, 'PTHR12613:SF7', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM OXIDOREDUCTIN-2', 90302),
(146577, 'PTHR24115:SF943', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', 90303),
(146578, 'PTHR13414', NULL, NULL, NULL, NULL, 'HUEL-CATION TRANSPORTER', 90304),
(146579, 'PTHR11165:SF146', NULL, NULL, NULL, NULL, 'SCF UBIQUITIN LIGASE, SKP1 COMPONENT', 90305);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(146580, 'PTHR38894', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 90306),
(146581, 'PTHR13986:SF4', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM PROTEIN SC65', 90307),
(146582, 'PTHR24073:SF366', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-5C', 90308),
(146583, 'PTHR12884:SF31', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', 90309),
(146584, 'PTHR43880:SF40', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 2', 90310),
(146585, 'PTHR47975:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90311),
(146586, 'PTHR27008:SF432', NULL, NULL, NULL, NULL, 'BNAA05G20630D PROTEIN', 90312),
(146587, 'PTHR16207:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG26458', 90313),
(146588, 'PTHR21621:SF2', NULL, NULL, NULL, NULL, 'COENZYME GAMMA-F420-2:ALPHA-L-GLUTAMATE LIGASE', 90314),
(146589, 'PTHR46640', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06510)-RELATED', 90315),
(146590, 'PTHR46891:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 90316),
(146591, 'PTHR11685:SF363', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 90317),
(146592, 'PTHR34281:SF13', NULL, NULL, NULL, NULL, 'FLOWERING PROTEIN, PUTATIVE-RELATED', 90318),
(146593, 'PTHR31642:SF119', NULL, NULL, NULL, NULL, 'TRICHOTHECENE 3-O-ACETYLTRANSFERASE', 90319),
(146594, 'PTHR11227:SF50', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18A-LIKE ISOFORM X1', 90320),
(146595, 'PTHR13557:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 86', 90321),
(146596, 'PTHR34402', NULL, NULL, NULL, NULL, 'PROTEIN CBG02762', 90322),
(146597, 'PTHR11961:SF41', NULL, NULL, NULL, NULL, 'BNAA07G10260D PROTEIN', 90323),
(146598, 'PTHR23302', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-RELATED', 90324),
(146599, 'PTHR31549:SF172', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', 90325),
(146600, 'PTHR43763:SF9', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE P ISOFORM X4-RELATED', 90326),
(146601, 'PTHR30576', NULL, NULL, NULL, NULL, 'COLANIC BIOSYNTHESIS UDP-GLUCOSE LIPID CARRIER TRANSFERASE', 90327),
(146602, 'PTHR12935:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90328),
(146603, 'PTHR45616:SF26', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 8', 90329),
(146604, 'PTHR21622:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INTERMEMBRANE SPACE IMPORT AND ASSEMBLY PROTEIN 40', 90330),
(146605, 'PTHR42878:SF13', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE, HAMP AND PAS DOMAIN-CONTAINING', 90331),
(146606, 'PTHR42986:SF1', NULL, NULL, NULL, NULL, 'BENZALDEHYDE DEHYDROGENASE YFMT', 90332),
(146607, 'PTHR31190:SF268', NULL, NULL, NULL, NULL, 'BNAA10G27750D PROTEIN', 90333),
(146608, 'PTHR48022:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90334),
(146609, 'PTHR31293:SF17', NULL, NULL, NULL, NULL, 'BNAC06G14330D PROTEIN', 90335),
(146610, 'PTHR22722:SF4', NULL, NULL, NULL, NULL, 'RE53262P', 90336),
(146611, 'PTHR45808:SF12', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACZ', 90337),
(146612, 'PTHR40552', NULL, NULL, NULL, NULL, 'AT05186P-RELATED', 90338),
(146613, 'PTHR12483:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90339),
(146614, 'PTHR24055:SF485', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 90340),
(146615, 'PTHR26452:SF284', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 183', 90341),
(146616, 'PTHR14154:SF76', NULL, NULL, NULL, NULL, 'BNAA05G16860D PROTEIN', 90342),
(146617, 'PTHR34132:SF2', NULL, NULL, NULL, NULL, 'EMB|CAB87627.1-RELATED', 90343),
(146618, 'PTHR34999', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 90344),
(146619, 'PTHR46533:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 12', 90345),
(146620, 'PTHR11337', NULL, NULL, NULL, NULL, 'MUCIN/PORIMIN', 90346),
(146621, 'PTHR46125:SF5', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 28', 90347),
(146622, 'PTHR31983:SF18', NULL, NULL, NULL, NULL, 'ENDO-1,3(4)-BETA-GLUCANASE-RELATED', 90348),
(146623, 'PTHR31790:SF163', NULL, NULL, NULL, NULL, 'OS09G0517800 PROTEIN', 90349),
(146624, 'PTHR45633', NULL, NULL, NULL, NULL, '60 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', 90350);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(146625, 'PTHR11871:SF40', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', 90351),
(146626, 'PTHR12841', NULL, NULL, NULL, NULL, 'PROTEIN UNC-50 HOMOLOG', 90352),
(146627, 'PTHR34474:SF1', NULL, NULL, NULL, NULL, 'HEME-DEGRADING MONOOXYGENASE HMOA', 90353),
(146628, 'PTHR31719:SF122', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 32', 90354),
(146629, 'PTHR46236:SF17', NULL, NULL, NULL, NULL, 'TRAF-LIKE SUPERFAMILY PROTEIN', 90355),
(146630, 'PTHR10010:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90356),
(146631, 'PTHR27009:SF108', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.1', 90357),
(146632, 'PTHR33090:SF55', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', 90358),
(146633, 'PTHR11361', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MUTS FAMILY MEMBER', 90359),
(146634, 'PTHR43435:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90360),
(146635, 'PTHR11711:SF382', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR B1B', 90361),
(146636, 'PTHR33128:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90362),
(146637, 'PTHR47452:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 90363),
(146638, 'PTHR11857:SF42', NULL, NULL, NULL, NULL, 'GENERAL ODORANT-BINDING PROTEIN 19D-RELATED', 90364),
(146639, 'PTHR24023:SF58', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(II) CHAIN', 90365),
(146640, 'PTHR12629:SF64', NULL, NULL, NULL, NULL, 'BNAC05G09230D PROTEIN', 90366),
(146641, 'PTHR46993:SF4', NULL, NULL, NULL, NULL, 'MYB-LIKE HTH TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN', 90367),
(146642, 'PTHR46431:SF14', NULL, NULL, NULL, NULL, 'BNAC08G41160D PROTEIN', 90368),
(146643, 'PTHR12911:SF44', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 5', 90369),
(146644, 'PTHR14882', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 74A', 90370),
(146645, 'PTHR43544:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG13128', 90371),
(146646, 'PTHR11043:SF20', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-2-LIKE', 90372),
(146647, 'PTHR38052:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 90373),
(146648, 'PTHR31096:SF68', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN-RELATED', 90374),
(146649, 'PTHR33442:SF5', NULL, NULL, NULL, NULL, 'TRANS-3-HYDROXY-L-PROLINE DEHYDRATASE-RELATED', 90375),
(146650, 'PTHR12080:SF82', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 21', 90376),
(146651, 'PTHR31752:SF55', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', 90377),
(146652, 'PTHR47074:SF30', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', 90378),
(146653, 'PTHR24377:SF232', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 26', 90379),
(146654, 'PTHR45633:SF36', NULL, NULL, NULL, NULL, 'RUBISCO LARGE SUBUNIT-BINDING PROTEIN SUBUNIT ALPHA PROTEIN-RELATED', 90380),
(146655, 'PTHR47990:SF75', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 2-LIKE', 90381),
(146656, 'PTHR31250:SF44', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING FAMILY PROTEIN-RELATED', 90382),
(146657, 'PTHR33779:SF12', NULL, NULL, NULL, NULL, 'OS02G0568600 PROTEIN', 90383),
(146658, 'PTHR23240:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ARTEMIS', 90384),
(146659, 'PTHR46858', NULL, NULL, NULL, NULL, 'OS05G0521000 PROTEIN', 90385),
(146660, 'PTHR46936:SF1', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE XEG113', 90386),
(146661, 'PTHR33048:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90387),
(146662, 'PTHR33091:SF88', NULL, NULL, NULL, NULL, 'S.GRISEUS PROTEASE INHIBITOR, PUTATIVE-RELATED', 90388),
(146663, 'PTHR45960:SF1', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED-BINDING PROTEIN 2', 90389),
(146664, 'PTHR33416:SF14', NULL, NULL, NULL, NULL, 'OS06G0658500 PROTEIN', 90390),
(146665, 'PTHR47977:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90391),
(146666, 'PTHR11017:SF320', NULL, NULL, NULL, NULL, 'BNAANNG27760D PROTEIN', 90392),
(146667, 'PTHR12109:SF3', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 141', 90393);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(146668, 'PTHR35135:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 90394),
(146669, 'PTHR27006:SF361', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 90395),
(146670, 'PTHR16441:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 93', 90396),
(146671, 'PTHR24637:SF332', NULL, NULL, NULL, NULL, 'COLLAGEN', 90397),
(146672, 'PTHR28652:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 59-LIKE PROTEIN', 90398),
(146673, 'PTHR32134:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90399),
(146674, 'PTHR35365:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90400),
(146675, 'PTHR41260:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ECSC', 90401),
(146676, 'PTHR23324:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90402),
(146677, 'PTHR45926:SF23', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 90403),
(146678, 'PTHR23101:SF107', NULL, NULL, NULL, NULL, 'RAB GUANINE NUCLEOTIDE EXCHANGE FACTOR (GEF) 1-RELATED', 90404),
(146679, 'PTHR33469:SF23', NULL, NULL, NULL, NULL, 'BNAA03G18840D PROTEIN', 90405),
(146680, 'PTHR30535', NULL, NULL, NULL, NULL, 'VITAMIN B12-BINDING PROTEIN', 90406),
(146681, 'PTHR37476', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 171', 90407),
(146682, 'PTHR31707:SF219', NULL, NULL, NULL, NULL, 'PECTINESTERASE 1-RELATED', 90408),
(146683, 'PTHR34707:SF1', NULL, NULL, NULL, NULL, 'VIMENTIN-TYPE INTERMEDIATE FILAMENT-ASSOCIATED COILED-COIL PROTEIN', 90409),
(146684, 'PTHR23511:SF2', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE GLYCOPROTEIN 2B', 90410),
(146685, 'PTHR14190:SF11', NULL, NULL, NULL, NULL, 'OS10G0488300 PROTEIN', 90411),
(146686, 'PTHR32089:SF107', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN-RELATED', 90412),
(146687, 'PTHR43243:SF3', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 7, CHLOROPLASTIC-LIKE', 90413),
(146688, 'PTHR24057', NULL, NULL, NULL, NULL, 'GLYCOGEN SYNTHASE KINASE-3 ALPHA', 90414),
(146689, 'PTHR11048:SF42', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE', 90415),
(146690, 'PTHR23389:SF21', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 5', 90416),
(146691, 'PTHR12263:SF9', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E2', 90417),
(146692, 'PTHR32133:SF297', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90418),
(146693, 'PTHR24249:SF404', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 7E', 90419),
(146694, 'PTHR22595:SF96', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN 2', 90420),
(146695, 'PTHR45224:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90421),
(146696, 'PTHR14187:SF46', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 12A', 90422),
(146697, 'PTHR37311:SF1', NULL, NULL, NULL, NULL, '2-PHOSPHOSULFOLACTATE PHOSPHATASE-RELATED', 90423),
(146698, 'PTHR19300:SF48', NULL, NULL, NULL, NULL, 'BETA4GALNACTB', 90424),
(146699, 'PTHR33115:SF33', NULL, NULL, NULL, NULL, 'OS03G0145400 PROTEIN', 90425),
(146700, 'PTHR47290:SF2', NULL, NULL, NULL, NULL, 'OS01G0928400 PROTEIN', 90426),
(146701, 'PTHR15002', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 90427),
(146702, 'PTHR47918', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN FIS', 90428),
(146703, 'PTHR45639:SF8', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 4', 90429),
(146704, 'PTHR31676:SF82', NULL, NULL, NULL, NULL, 'BNAC05G43680D PROTEIN', 90430),
(146705, 'PTHR22941:SF32', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 90431),
(146706, 'PTHR36124:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90432),
(146707, 'PTHR14647:SF80', NULL, NULL, NULL, NULL, 'GALACTOSE-3-O-SULFOTRANSFERASE 3', 90433),
(146708, 'PTHR13683:SF605', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90434),
(146709, 'PTHR13878:SF145', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE 6-RELATED', 90435),
(146710, 'PTHR43480:SF1', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN]--UDP-N-ACETYLGLUCOSAMINE O-ACYLTRANSFERASE, MITOCHONDRIAL-RELATED', 90436),
(146711, 'PTHR48056:SF32', NULL, NULL, NULL, NULL, 'OS08G0446301 PROTEIN', 90437);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(146712, 'PTHR21700:SF116', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-LIKE PROTEIN 16', 90438),
(146713, 'PTHR43452:SF5', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 3', 90439),
(146714, 'PTHR35243:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90440),
(146715, 'PTHR46128:SF261', NULL, NULL, NULL, NULL, 'BNAA06G25080D PROTEIN', 90441),
(146716, 'PTHR31734:SF146', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA28', 90442),
(146717, 'PTHR12002:SF13', NULL, NULL, NULL, NULL, 'CLAUDIN-10', 90443),
(146718, 'PTHR46174', NULL, NULL, NULL, NULL, 'CXXC-TYPE ZINC FINGER PROTEIN 1', 90444),
(146719, 'PTHR46450:SF8', NULL, NULL, NULL, NULL, 'OS02G0621100 PROTEIN', 90445),
(146720, 'PTHR34352', NULL, NULL, NULL, NULL, 'PROTEIN YHFA', 90446),
(146721, 'PTHR31080:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90447),
(146722, 'PTHR11709:SF358', NULL, NULL, NULL, NULL, 'IRON TRANSPORT MULTICOPPER OXIDASE FET3-RELATED', 90448),
(146723, 'PTHR31451:SF46', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 8', 90449),
(146724, 'PTHR42886:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG08091', 90450),
(146725, 'PTHR47988:SF7', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 90451),
(146726, 'PTHR22896:SF1', NULL, NULL, NULL, NULL, 'CDK5 AND ABL1 ENZYME SUBSTRATE 1', 90452),
(146727, 'PTHR46128:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90453),
(146728, 'PTHR23268:SF98', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 4-3', 90454),
(146729, 'PTHR42647:SF45', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BOI-RELATED', 90455),
(146730, 'PTHR12542:SF112', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 90456),
(146731, 'PTHR16216:SF9', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD', 90457),
(146732, 'PTHR10666:SF165', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 1-40S RIBOSOMAL PROTEIN S27A', 90458),
(146733, 'PTHR23525', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 90459),
(146734, 'PTHR47137:SF1', NULL, NULL, NULL, NULL, 'ERMIN', 90460),
(146735, 'PTHR31374:SF198', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71', 90461),
(146736, 'PTHR24023:SF1004', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XVII) CHAIN', 90462),
(146737, 'PTHR33385:SF21', NULL, NULL, NULL, NULL, 'BNAA06G09450D PROTEIN', 90463),
(146738, 'PTHR43096:SF54', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 1', 90464),
(146739, 'PTHR22937:SF143', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 90465),
(146740, 'PTHR48185', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 90466),
(146741, 'PTHR15020:SF37', NULL, NULL, NULL, NULL, 'AVERUFIN OXIDASE A HOMOLOG-RELATED', 90467),
(146742, 'PTHR11008', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 90468),
(146743, 'PTHR13284:SF4', NULL, NULL, NULL, NULL, 'GH01354P', 90469),
(146744, 'PTHR45855:SF45', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF1-LIKE', 90470),
(146745, 'PTHR11588:SF381', NULL, NULL, NULL, NULL, 'TUBULIN GAMMA CHAIN', 90471),
(146746, 'PTHR33772:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930579F01 GENE', 90472),
(146747, 'PTHR36565', NULL, NULL, NULL, NULL, 'UPF0332 PROTEIN TM_1000', 90473),
(146748, 'PTHR33187:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90474),
(146749, 'PTHR31949:SF19', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN', 90475),
(146750, 'PTHR11913:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90476),
(146751, 'PTHR12271:SF60', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-RELATED', 90477),
(146752, 'PTHR33052:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90478),
(146753, 'PTHR43532:SF1', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE THYMIDYLYLTRANSFERASE 1', 90479),
(146754, 'PTHR24012:SF810', NULL, NULL, NULL, NULL, 'MEI2 C-TERMINAL RRM ONLY LIKE 1', 90480),
(146755, 'PTHR42794:SF2', NULL, NULL, NULL, NULL, 'IRON(III) TRANSPORT SYSTEM, ATP-BINDING PROTEIN-RELATED', 90481),
(146756, 'PTHR13994:SF26', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 7', 90482),
(146757, 'PTHR24064:SF219', NULL, NULL, NULL, NULL, 'PATTERNED EXPRESSION SITE', 90483);
INSERT INTO "PUBLIC"."MODEL" VALUES
(146758, 'PTHR10383:SF52', NULL, NULL, NULL, NULL, 'BNAANNG35710D PROTEIN', 90484),
(146759, 'PTHR10926', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN 50', 90485),
(146760, 'PTHR13878:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90486),
(146761, 'PTHR11802:SF377', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 17', 90487),
(146762, 'PTHR43280:SF9', NULL, NULL, NULL, NULL, 'EXOENZYME S SYNTHESIS REGULATORY PROTEIN EXSA', 90488),
(146763, 'PTHR10517:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90489),
(146764, 'PTHR39387', NULL, NULL, NULL, NULL, 'SHAVENOID, ISOFORM B', 90490),
(146765, 'PTHR43641', NULL, NULL, NULL, NULL, 'FORMATE ACETYLTRANSFERASE 3-RELATED', 90491),
(146766, 'PTHR22883:SF361', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 5-RELATED', 90492),
(146767, 'PTHR11824:SF8', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT BETA-3', 90493),
(146768, 'PTHR45889:SF1', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE 2', 90494),
(146769, 'PTHR16219:SF2', NULL, NULL, NULL, NULL, 'BNAA06G02620D PROTEIN', 90495),
(146770, 'PTHR45959:SF39', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 90496),
(146771, 'PTHR22957:SF554', NULL, NULL, NULL, NULL, 'EVI5-LIKE PROTEIN ISOFORM X1', 90497),
(146772, 'PTHR46336:SF3', NULL, NULL, NULL, NULL, 'OS02G0260700 PROTEIN', 90498),
(146773, 'PTHR10407', NULL, NULL, NULL, NULL, 'HUNTINGTIN INTERACTING PROTEIN 1', 90499),
(146774, 'PTHR33147:SF52', NULL, NULL, NULL, NULL, 'DEFENSIN', 90500),
(146775, 'PTHR33880:SF4', NULL, NULL, NULL, NULL, 'OS07G0189700 PROTEIN', 90501),
(146776, 'PTHR12114:SF4', NULL, NULL, NULL, NULL, 'GH23568P', 90502),
(146777, 'PTHR33883:SF5', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', 90503),
(146778, 'PTHR24247:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90504),
(146779, 'PTHR38400:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90505),
(146780, 'PTHR10121', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT DELTA', 90506),
(146781, 'PTHR19288:SF80', NULL, NULL, NULL, NULL, 'PROTEIN CBG19872', 90507),
(146782, 'PTHR11909:SF416', NULL, NULL, NULL, NULL, 'BNAA02G22150D PROTEIN', 90508),
(146783, 'PTHR31509:SF13', NULL, NULL, NULL, NULL, 'PROTEIN BPS1, CHLOROPLASTIC-LIKE', 90509),
(146784, 'PTHR30419:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR TDCA', 90510),
(146785, 'PTHR24100:SF0', NULL, NULL, NULL, NULL, 'V-SET DOMAIN-CONTAINING T-CELL ACTIVATION INHIBITOR 1', 90511),
(146786, 'PTHR14166:SF17', NULL, NULL, NULL, NULL, 'SLIT-ROBO GAP HOMOLOG', 90512),
(146787, 'PTHR21694:SF36', NULL, NULL, NULL, NULL, 'OUTER DYNEIN ARM DOCKING COMPLEX-RELATED', 90513),
(146788, 'PTHR34064:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90514),
(146789, 'PTHR24123:SF70', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY ANKYRIN REPEAT SUBUNIT C', 90515),
(146790, 'PTHR22897:SF24', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE', 90516),
(146791, 'PTHR10338', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN FAMILY MEMBER', 90517),
(146792, 'PTHR37756:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 90518),
(146793, 'PTHR24073:SF1083', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90519),
(146794, 'PTHR11214:SF248', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 90520),
(146795, 'PTHR10291:SF39', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE 7-RELATED', 90521),
(146796, 'PTHR32246:SF70', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 90522),
(146797, 'PTHR27004:SF330', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 90523),
(146798, 'PTHR12058:SF1', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 2B', 90524),
(146799, 'PTHR34220:SF7', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YPDA', 90525),
(146800, 'PTHR22776:SF12', NULL, NULL, NULL, NULL, 'MYELIN AND LYMPHOCYTE PROTEIN', 90526),
(146801, 'PTHR38105', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED-RELATED', 90527);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(146802, 'PTHR11199:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90528),
(146803, 'PTHR31029:SF12', NULL, NULL, NULL, NULL, 'IRK-INTERACTING PROTEIN-LIKE', 90529),
(146804, 'PTHR47999:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB3', 90530),
(146805, 'PTHR42884:SF1', NULL, NULL, NULL, NULL, 'FURIN', 90531),
(146806, 'PTHR31379:SF1', NULL, NULL, NULL, NULL, 'F-BOX C PROTEIN-RELATED', 90532),
(146807, 'PTHR33112', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', 90533),
(146808, 'PTHR48241', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 90534),
(146809, 'PTHR45624:SF29', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARNITINE/ACYLCARNITINE CARRIER-LIKE PROTEIN', 90535),
(146810, 'PTHR27006:SF332', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90536),
(146811, 'PTHR31945:SF71', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 90537),
(146812, 'PTHR42989', NULL, NULL, NULL, NULL, 'HYDROGENASE-4 COMPONENT I', 90538),
(146813, 'PTHR36728', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT O, CHLOROPLASTIC', 90539),
(146814, 'PTHR28593:SF2', NULL, NULL, NULL, NULL, 'METEORIN', 90540),
(146815, 'PTHR31009:SF91', NULL, NULL, NULL, NULL, 'JASMONATE O-METHYLTRANSFERASE', 90541),
(146816, 'PTHR46634:SF3', NULL, NULL, NULL, NULL, 'M REDUCTASE II SUBUNIT GAMMA, PUTATIVE (DUF3741)-RELATED', 90542),
(146817, 'PTHR10108:SF1069', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT17-RELATED', 90543),
(146818, 'PTHR43139:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90544),
(146819, 'PTHR13780:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90545),
(146820, 'PTHR31529', NULL, NULL, NULL, NULL, 'LOB DOMAIN CONTAINING PROTEIN', 90546),
(146821, 'PTHR19211:SF116', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP BINDING PROTEIN-RELATED', 90547),
(146822, 'PTHR48103', NULL, NULL, NULL, NULL, 'MIDASIN-RELATED', 90548),
(146823, 'PTHR11766', NULL, NULL, NULL, NULL, 'TYROSYL-TRNA SYNTHETASE', 90549),
(146824, 'PTHR31636:SF51', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 32', 90550),
(146825, 'PTHR32331', NULL, NULL, NULL, NULL, 'UPF0313 PROTEIN YGIQ', 90551),
(146826, 'PTHR10015:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90552),
(146827, 'PTHR22950:SF613', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 5-LIKE ISOFORM X1', 90553),
(146828, 'PTHR12431:SF19', NULL, NULL, NULL, NULL, 'SORTING NEXIN-27', 90554),
(146829, 'PTHR10971:SF17', NULL, NULL, NULL, NULL, 'MITOTIC CHECKPOINT PROTEIN BUB3.3', 90555),
(146830, 'PTHR10891:SF790', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML35-RELATED', 90556),
(146831, 'PTHR13076:SF8', NULL, NULL, NULL, NULL, 'COILED-COIL AND C2 DOMAIN-CONTAINING PROTEIN 1A', 90557),
(146832, 'PTHR24203:SF57', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', 90558),
(146833, 'PTHR31744:SF157', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 90559),
(146834, 'PTHR45940:SF3', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 7', 90560),
(146835, 'PTHR35546:SF17', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE-LIKE', 90561),
(146836, 'PTHR24015:SF1710', NULL, NULL, NULL, NULL, 'OS01G0764950 PROTEIN', 90562),
(146837, 'PTHR11926:SF893', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 90563),
(146838, 'PTHR22835:SF572', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 90564),
(146839, 'PTHR47928:SF63', NULL, NULL, NULL, NULL, 'OS08G0434000 PROTEIN', 90565),
(146840, 'PTHR26450:SF79', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 90566),
(146841, 'PTHR12155:SF42', NULL, NULL, NULL, NULL, 'SCHLAFEN FAMILY MEMBER 12', 90567),
(146842, 'PTHR27005:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90568),
(146843, 'PTHR12411:SF681', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RD21C-RELATED', 90569),
(146844, 'PTHR34662:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90570),
(146845, 'PTHR31307:SF8', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE TRANSCRIPTION FACTOR MYB/SANT-LIKE FAMILY PROTEIN', 90571),
(146846, 'PTHR33882:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90572); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(146847, 'PTHR21581:SF11', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE DACA', 90573),
(146848, 'PTHR12263', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE SUBUNIT H', 90574),
(146849, 'PTHR45640:SF4', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', 90575),
(146850, 'PTHR46241', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 4 ARMC4', 90576),
(146851, 'PTHR27004:SF220', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', 90577),
(146852, 'PTHR48011:SF26', NULL, NULL, NULL, NULL, 'BNAA02G09290D PROTEIN', 90578),
(146853, 'PTHR27002:SF566', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 90579),
(146854, 'PTHR37331', NULL, NULL, NULL, NULL, 'YALI0F11671P', 90580),
(146855, 'PTHR11567:SF194', NULL, NULL, NULL, NULL, 'INTESTINAL ACID PHOSPHATASE', 90581),
(146856, 'PTHR31496:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAN2-RELATED', 90582),
(146857, 'PTHR31717:SF90', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 9-LIKE', 90583),
(146858, 'PTHR47985:SF56', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', 90584),
(146859, 'PTHR23428:SF290', NULL, NULL, NULL, NULL, 'HISTONE H2B.3', 90585),
(146860, 'PTHR11909:SF319', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE RELATED', 90586),
(146861, 'PTHR31989:SF127', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 35', 90587),
(146862, 'PTHR43327:SF23', NULL, NULL, NULL, NULL, 'BAND 7 DOMAIN-CONTAINING PROTEIN-RELATED', 90588),
(146863, 'PTHR12591:SF3', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATASE', 90589),
(146864, 'PTHR10795:SF720', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90590),
(146865, 'PTHR11802:SF351', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 18', 90591),
(146866, 'PTHR24279:SF116', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 11, SUBFAMILY B, POLYPEPTIDE 1', 90592),
(146867, 'PTHR45800:SF14', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 1', 90593),
(146868, 'PTHR15822:SF15', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', 90594),
(146869, 'PTHR30546:SF47', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN WRBA, FLAVOPROTEIN-LIKE DOMAIN PROTEIN-RELATED', 90595),
(146870, 'PTHR32093:SF149', NULL, NULL, NULL, NULL, 'OS05G0180300 PROTEIN', 90596),
(146871, 'PTHR30081:SF11', NULL, NULL, NULL, NULL, 'PROTEIN-EXPORT MEMBRANE PROTEIN SECF', 90597),
(146872, 'PTHR14326:SF30', NULL, NULL, NULL, NULL, 'BNAC01G14300D PROTEIN', 90598),
(146873, 'PTHR33285:SF46', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE PROTEIN', 90599),
(146874, 'PTHR23266:SF223', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-7', 90600),
(146875, 'PTHR46379', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING', 90601),
(146876, 'PTHR31642:SF184', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', 90602),
(146877, 'PTHR31080:SF200', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', 90603),
(146878, 'PTHR23113:SF327', NULL, NULL, NULL, NULL, 'EXCHANGE PROTEIN DIRECTLY ACTIVATED BY CAMP, ISOFORM E', 90604),
(146879, 'PTHR36026', NULL, NULL, NULL, NULL, 'OS05G0542100 PROTEIN', 90605),
(146880, 'PTHR35089', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN SKP', 90606),
(146881, 'PTHR33132', NULL, NULL, NULL, NULL, 'OSJNBB0118P14.9 PROTEIN', 90607),
(146882, 'PTHR46504:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90608),
(146883, 'PTHR37265:SF7', NULL, NULL, NULL, NULL, 'BNAA10G10950D PROTEIN', 90609),
(146884, 'PTHR17357', NULL, NULL, NULL, NULL, 'GM2 GANGLIOSIDE ACTIVATOR PROTEIN', 90610),
(146885, 'PTHR15191:SF6', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700015F17 GENE', 90611),
(146886, 'PTHR13476:SF0', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN MEAF6', 90612),
(146887, 'PTHR13943:SF2', NULL, NULL, NULL, NULL, 'CA(2+)-INDEPENDENT N-ACYLTRANSFERASE', 90613),
(146888, 'PTHR33929:SF11', NULL, NULL, NULL, NULL, 'BNACNNG37070D PROTEIN', 90614),
(146889, 'PTHR18874:SF10', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN F', 90615),
(146890, 'PTHR48006:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE-RELATED', 90616);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(146891, 'PTHR11360:SF251', NULL, NULL, NULL, NULL, 'KARMOISIN, ISOFORM B', 90617),
(146892, 'PTHR42898:SF53', NULL, NULL, NULL, NULL, 'BNAA05G29590D PROTEIN', 90618),
(146893, 'PTHR11081:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90619),
(146894, 'PTHR38450', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN AC-RELATED', 90620),
(146895, 'PTHR11893:SF25', NULL, NULL, NULL, NULL, 'INNEXIN', 90621),
(146896, 'PTHR45898:SF4', NULL, NULL, NULL, NULL, 'TARGET OF MYB PROTEIN 1', 90622),
(146897, 'PTHR47009:SF3', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC053393', 90623),
(146898, 'PTHR31080:SF189', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 4-LIKE', 90624),
(146899, 'PTHR31992:SF179', NULL, NULL, NULL, NULL, 'BNAC08G21910D PROTEIN', 90625),
(146900, 'PTHR31218:SF230', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 90626),
(146901, 'PTHR37410:SF1', NULL, NULL, NULL, NULL, 'ADHESIN, PUTATIVE-RELATED', 90627),
(146902, 'PTHR12570:SF57', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 90628),
(146903, 'PTHR31657', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF061', 90629),
(146904, 'PTHR12303:SF6', NULL, NULL, NULL, NULL, 'CARNOSINE N-METHYLTRANSFERASE', 90630),
(146905, 'PTHR33232:SF18', NULL, NULL, NULL, NULL, 'SIEVE ELEMENT OCCLUSION-RELATED', 90631),
(146906, 'PTHR11571:SF137', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 5', 90632),
(146907, 'PTHR12027:SF89', NULL, NULL, NULL, NULL, 'PROTEIN WNT-10A', 90633),
(146908, 'PTHR32071:SF98', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL ACTIVATOR HYFR-RELATED', 90634),
(146909, 'PTHR15344:SF15', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN 5', 90635),
(146910, 'PTHR24253:SF110', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 60.1-RELATED', 90636),
(146911, 'PTHR22702:SF1', NULL, NULL, NULL, NULL, 'PROTEASE-ASSOCIATED DOMAIN-CONTAINING PROTEIN 1', 90637),
(146912, 'PTHR46407:SF3', NULL, NULL, NULL, NULL, 'OS02G0208700 PROTEIN', 90638),
(146913, 'PTHR45908:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG07778', 90639),
(146914, 'PTHR10805:SF0', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT EPSILON', 90640),
(146915, 'PTHR10751:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90641),
(146916, 'PTHR37038', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 90642),
(146917, 'PTHR22803:SF137', NULL, NULL, NULL, NULL, 'REGENERATING ISLET-DERIVED PROTEIN 3-GAMMA', 90643),
(146918, 'PTHR18896:SF135', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 90644),
(146919, 'PTHR47992:SF47', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 41-RELATED', 90645),
(146920, 'PTHR23308:SF53', NULL, NULL, NULL, NULL, 'F16B3.3 PROTEIN', 90646),
(146921, 'PTHR32382:SF56', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 10', 90647),
(146922, 'PTHR42643:SF21', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, DELTA-1-LIKE PROTEIN', 90648),
(146923, 'PTHR24377:SF112', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 250', 90649),
(146924, 'PTHR11675:SF49', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 2', 90650),
(146925, 'PTHR31205:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90651),
(146926, 'PTHR43310:SF3', NULL, NULL, NULL, NULL, 'SULPHATE TRANSPORTER', 90652),
(146927, 'PTHR36729:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 90653),
(146928, 'PTHR45930', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 124-LIKE PROTEIN', 90654),
(146929, 'PTHR43598', NULL, NULL, NULL, NULL, 'TUNGSTEN-CONTAINING FORMYLMETHANOFURAN DEHYDROGENASE 2 SUBUNIT B', 90655),
(146930, 'PTHR31718:SF25', NULL, NULL, NULL, NULL, 'LIPOXYGENASE HOMOLOGY DOMAIN-CONTAINING PROTEIN 1-LIKE', 90656),
(146931, 'PTHR23208:SF11', NULL, NULL, NULL, NULL, 'COUNTING FACTOR 45-1-RELATED', 90657),
(146932, 'PTHR43019:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90658),
(146933, 'PTHR40708', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700113H08 GENE', 90659),
(146934, 'PTHR10064:SF11', NULL, NULL, NULL, NULL, 'RIBOSOMAL L22E FAMILY PROTEIN', 90660),
(146935, 'PTHR30435:SF15', NULL, NULL, NULL, NULL, 'BASAL-BODY ROD MODIFICATION PROTEIN FLGD', 90661);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(146936, 'PTHR13369', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 90662),
(146937, 'PTHR48041:SF24', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 21', 90663),
(146938, 'PTHR31865', NULL, NULL, NULL, NULL, 'OSJNBA0071G03.3 PROTEIN', 90664),
(146939, 'PTHR31375:SF224', NULL, NULL, NULL, NULL, 'F5I14.10', 90665),
(146940, 'PTHR10168:SF211', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C11', 90666),
(146941, 'PTHR16517:SF50', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 7', 90667),
(146942, 'PTHR47039', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE 5-PHOSPHATASE E', 90668),
(146943, 'PTHR35358:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90669),
(146944, 'PTHR33605:SF11', NULL, NULL, NULL, NULL, 'EARLY NODULIN-93', 90670),
(146945, 'PTHR19944:SF86', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN SIMILAR TO MHC CLASS II ALPHA CHAIN-RELATED', 90671),
(146946, 'PTHR21654:SF86', NULL, NULL, NULL, NULL, 'OJ000223_09.13 PROTEIN', 90672),
(146947, 'PTHR35894', NULL, NULL, NULL, NULL, 'GENERAL SECRETION PATHWAY PROTEIN A-RELATED', 90673),
(146948, 'PTHR16631:SF16', NULL, NULL, NULL, NULL, 'GPI-ANCHORED CELL WALL BETA-1,3-ENDOGLUCANASE EGLC', 90674),
(146949, 'PTHR28234', NULL, NULL, NULL, NULL, 'NUCLEAR CONTROL OF ATPASE PROTEIN 2', 90675),
(146950, 'PTHR11803:SF44', NULL, NULL, NULL, NULL, 'RUTC FAMILY PROTEIN YJGH', 90676),
(146951, 'PTHR31087:SF93', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 2', 90677),
(146952, 'PTHR42801:SF15', NULL, NULL, NULL, NULL, 'SOLUBLE SECRETED ANTIGEN MPT53', 90678),
(146953, 'PTHR10545:SF42', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', 90679),
(146954, 'PTHR45775:SF7', NULL, NULL, NULL, NULL, 'RAD, GEM/KIR FAMILY MEMBER 1, ISOFORM B', 90680),
(146955, 'PTHR47959:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DEAD BOX FAMILY', 90681),
(146956, 'PTHR27008:SF423', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90682),
(146957, 'PTHR31681:SF54', NULL, NULL, NULL, NULL, 'BNACNNG42460D PROTEIN', 90683),
(146958, 'PTHR43087:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT SYSTEM KINASE-RELATED', 90684),
(146959, 'PTHR47499:SF1', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 7', 90685),
(146960, 'PTHR43255:SF1', NULL, NULL, NULL, NULL, 'IRON-SULFUR-BINDING OXIDOREDUCTASE FADF-RELATED', 90686),
(146961, 'PTHR10722', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L19', 90687),
(146962, 'PTHR45734:SF1', NULL, NULL, NULL, NULL, 'TENSIN-2', 90688),
(146963, 'PTHR23254:SF16', NULL, NULL, NULL, NULL, 'CBP80/20-DEPENDENT TRANSLATION INITIATION FACTOR', 90689),
(146964, 'PTHR32212:SF318', NULL, NULL, NULL, NULL, 'BNAA09G46080D PROTEIN', 90690),
(146965, 'PTHR48014:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90691),
(146966, 'PTHR31321:SF94', NULL, NULL, NULL, NULL, 'BNAA04G12290D PROTEIN', 90692),
(146967, 'PTHR22898:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG15832', 90693),
(146968, 'PTHR45508', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 9, CHLOROPLASTIC', 90694),
(146969, 'PTHR31669:SF232', NULL, NULL, NULL, NULL, 'OS02G0262500 PROTEIN', 90695),
(146970, 'PTHR12358:SF47', NULL, NULL, NULL, NULL, 'SPHINGOSINE KINASE 1', 90696),
(146971, 'PTHR43085:SF6', NULL, NULL, NULL, NULL, 'FRUCTOKINASE-5-RELATED', 90697),
(146972, 'PTHR21576:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90698),
(146973, 'PTHR18820', NULL, NULL, NULL, NULL, 'LEG1', 90699),
(146974, 'PTHR40599:SF1', NULL, NULL, NULL, NULL, '[CITRATE [PRO-3S]-LYASE] LIGASE', 90700),
(146975, 'PTHR31355:SF26', NULL, NULL, NULL, NULL, 'CLATHRIN/COATOMER ADAPTOR, ADAPTIN-LIKE, ARMADILLO-TYPE FOLD PROTEIN-RELATED', 90701),
(146976, 'PTHR11206:SF103', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 50', 90702),
(146977, 'PTHR23277:SF11', NULL, NULL, NULL, NULL, 'NECTIN-4', 90703),
(146978, 'PTHR31517:SF11', NULL, NULL, NULL, NULL, 'PEROXIDASE 31', 90704),
(146979, 'PTHR37736:SF2', NULL, NULL, NULL, NULL, 'BNAC03G29820D PROTEIN', 90705),
(146980, 'PTHR47958:SF33', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX25', 90706),
(146981, 'PTHR45670:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL4', 90707);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(146982, 'PTHR46736:SF27', NULL, NULL, NULL, NULL, 'ACID BINDING PROTEIN, PUTATIVE-RELATED', 90708),
(146983, 'PTHR18870:SF10', NULL, NULL, NULL, NULL, 'ZGC:85722', 90709),
(146984, 'PTHR23272:SF114', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN DAYSLEEPER-LIKE', 90710),
(146985, 'PTHR21649:SF114', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN CP24 10A, CHLOROPLASTIC', 90711),
(146986, 'PTHR10048:SF99', NULL, NULL, NULL, NULL, 'SI:RP71-17I16.5', 90712),
(146987, 'PTHR23208:SF17', NULL, NULL, NULL, NULL, 'LYSOZYME-LIKE PROTEIN 3', 90713),
(146988, 'PTHR11863:SF157', NULL, NULL, NULL, NULL, 'PROTEIN CER1-LIKE 1-RELATED', 90714),
(146989, 'PTHR31325:SF6', NULL, NULL, NULL, NULL, 'OS02G0543500 PROTEIN', 90715),
(146990, 'PTHR33203:SF4', NULL, NULL, NULL, NULL, 'F27J15.22', 90716),
(146991, 'PTHR24173:SF44', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 13', 90717),
(146992, 'PTHR24416:SF481', NULL, NULL, NULL, NULL, 'TIE-LIKE RECEPTOR TYROSINE KINASE', 90718),
(146993, 'PTHR22936:SF69', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', 90719),
(146994, 'PTHR14471:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH7', 90720),
(146995, 'PTHR13363:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF123', 90721),
(146996, 'PTHR26374:SF399', NULL, NULL, NULL, NULL, 'OS11G0702300 PROTEIN', 90722),
(146997, 'PTHR42895:SF2', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER BINDING PROTEIN', 90723),
(146998, 'PTHR31746:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 229A', 90724),
(146999, 'PTHR11746:SF263', NULL, NULL, NULL, NULL, 'DES-METHYL DIF-1 METHYLTRANSFERASE A-RELATED', 90725),
(147000, 'PTHR33332:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90726),
(147001, 'PTHR45647:SF50', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 57', 90727),
(147002, 'PTHR46756:SF1', NULL, NULL, NULL, NULL, 'CALPONIN-1', 90728),
(147003, 'PTHR11022:SF66', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE', 90729),
(147004, 'PTHR22850:SF214', NULL, NULL, NULL, NULL, 'HISTONE-BINDING PROTEIN MSI1', 90730),
(147005, 'PTHR13847:SF194', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 90731),
(147006, 'PTHR11364:SF6', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE', 90732),
(147007, 'PTHR22792:SF141', NULL, NULL, NULL, NULL, 'BNAA08G14850D PROTEIN', 90733),
(147008, 'PTHR33057:SF27', NULL, NULL, NULL, NULL, 'OS07G0679200 PROTEIN', 90734),
(147009, 'PTHR31997:SF0', NULL, NULL, NULL, NULL, 'PROTEIN FAM149B1', 90735),
(147010, 'PTHR10108:SF1106', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT26-RELATED', 90736),
(147011, 'PTHR16768:SF3', NULL, NULL, NULL, NULL, 'ACTIN-ASSOCIATED PROTEIN FAM107A', 90737),
(147012, 'PTHR13186', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 31', 90738),
(147013, 'PTHR14388:SF6', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 7', 90739),
(147014, 'PTHR33493:SF18', NULL, NULL, NULL, NULL, 'OS06G0324400 PROTEIN', 90740),
(147015, 'PTHR31929:SF77', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN-RELATED', 90741),
(147016, 'PTHR46537:SF2', NULL, NULL, NULL, NULL, 'OS01G0796700 PROTEIN', 90742),
(147017, 'PTHR31953:SF68', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 4', 90743),
(147018, 'PTHR10641:SF1121', NULL, NULL, NULL, NULL, 'OS07G0629000 PROTEIN', 90744),
(147019, 'PTHR47501:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90745),
(147020, 'PTHR11259:SF6', NULL, NULL, NULL, NULL, 'RAS-RELATED GTP-BINDING PROTEIN C', 90746),
(147021, 'PTHR47969:SF3', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-4B', 90747),
(147022, 'PTHR45903:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH WD REPEAT-CONTAINING PROTEIN 1', 90748),
(147023, 'PTHR33095:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90749),
(147024, 'PTHR38658:SF1', NULL, NULL, NULL, NULL, 'OXPP CYCLE PROTEIN OPCA-RELATED', 90750),
(147025, 'PTHR48001:SF129', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 90751),
(147026, 'PTHR21502:SF6', NULL, NULL, NULL, NULL, 'RILP-LIKE PROTEIN 1', 90752); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(147027, 'PTHR23318:SF21', NULL, NULL, NULL, NULL, 'BNAA02G30850D PROTEIN', 90753),
(147028, 'PTHR26374:SF380', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN-RELATED', 90754),
(147029, 'PTHR31325:SF22', NULL, NULL, NULL, NULL, 'OS07G0180300 PROTEIN', 90755),
(147030, 'PTHR38477', NULL, NULL, NULL, NULL, 'HYPOTHETICAL EXPORTED PROTEIN', 90756),
(147031, 'PTHR23504:SF17', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 90757),
(147032, 'PTHR43572:SF26', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: PROTEIN SMAX1-LIKE', 90758),
(147033, 'PTHR23089:SF47', NULL, NULL, NULL, NULL, 'BNAC06G15970D PROTEIN', 90759),
(147034, 'PTHR45632:SF14', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 33', 90760),
(147035, 'PTHR24233:SF8', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 87', 90761),
(147036, 'PTHR46234:SF9', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 90762),
(147037, 'PTHR21221', NULL, NULL, NULL, NULL, 'UREIDOGLYCOLATE HYDROLASE', 90763),
(147038, 'PTHR11247', NULL, NULL, NULL, NULL, 'PALMITOYL-PROTEIN THIOESTERASE/DOLICHYLDIPHOSPHATASE 1', 90764),
(147039, 'PTHR14396', NULL, NULL, NULL, NULL, 'CLASPIN', 90765),
(147040, 'PTHR48001:SF48', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 90766),
(147041, 'PTHR31985:SF187', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', 90767),
(147042, 'PTHR10587:SF105', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE 1-RELATED', 90768),
(147043, 'PTHR47126:SF6', NULL, NULL, NULL, NULL, 'APR-LIKE 5-RELATED', 90769),
(147044, 'PTHR11606:SF31', NULL, NULL, NULL, NULL, 'GLUTAMATE/LEUCINE/PHENYLALANINE/VALINE DEHYDROGENASE', 90770),
(147045, 'PTHR45952:SF9', NULL, NULL, NULL, NULL, 'STEM-SPECIFIC PROTEIN TSJT1-LIKE ISOFORM X1', 90771),
(147046, 'PTHR28630:SF26', NULL, NULL, NULL, NULL, 'OS03G0729300 PROTEIN', 90772),
(147047, 'PTHR11080:SF31', NULL, NULL, NULL, NULL, 'PYRAZINAMIDASE AND NICOTINAMIDASE', 90773),
(147048, 'PTHR24381:SF345', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 846', 90774),
(147049, 'PTHR32176:SF76', NULL, NULL, NULL, NULL, 'PATATIN', 90775),
(147050, 'PTHR31221:SF229', NULL, NULL, NULL, NULL, 'BNAA05G12160D PROTEIN', 90776),
(147051, 'PTHR24343:SF434', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 90777),
(147052, 'PTHR10593:SF10', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 16', 90778),
(147053, 'PTHR24255:SF26', NULL, NULL, NULL, NULL, 'COMPLEMENT C1R SUBCOMPONENT-LIKE PROTEIN', 90779),
(147054, 'PTHR15467:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGERS AND HOMEOBOXES PROTEIN 1', 90780),
(147055, 'PTHR11834', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ENHANCER FACTOR  TEF  RELATED', 90781),
(147056, 'PTHR23421:SF124', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 8', 90782),
(147057, 'PTHR15633:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90783),
(147058, 'PTHR23021:SF33', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 90784),
(147059, 'PTHR24366:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90785),
(147060, 'PTHR32285:SF300', NULL, NULL, NULL, NULL, 'PMR5 N-TERMINAL DOMAIN, PC-ESTERASE, TRICHOME BIREFRINGENCE/TRICHOME BIREFRINGENCE-LIKE 1-RELATED', 90786),
(147061, 'PTHR23279:SF21', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 11, ISOFORM B-RELATED', 90787),
(147062, 'PTHR24365:SF540', NULL, NULL, NULL, NULL, 'YALI0F06028P', 90788),
(147063, 'PTHR31325:SF26', NULL, NULL, NULL, NULL, 'OS11G0618800 PROTEIN', 90789),
(147064, 'PTHR19331:SF22', NULL, NULL, NULL, NULL, 'DELETED IN MALIGNANT BRAIN TUMORS 1 PROTEIN', 90790),
(147065, 'PTHR32063:SF13', NULL, NULL, NULL, NULL, 'MULTIDRUG EFFLUX PUMP SUBUNIT ACRB-RELATED', 90791),
(147066, 'PTHR45616:SF27', NULL, NULL, NULL, NULL, 'KERATIN 83-RELATED', 90792),
(147067, 'PTHR23263:SF130', NULL, NULL, NULL, NULL, 'LATE CORNIFIED ENVELOPE PROTEIN 1F', 90793),
(147068, 'PTHR12231:SF245', NULL, NULL, NULL, NULL, 'AGAP002802-PA', 90794),
(147069, 'PTHR11473:SF24', NULL, NULL, NULL, NULL, 'PHENYLALANINE-4-HYDROXYLASE', 90795),
(147070, 'PTHR48012:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0292350-RELATED', 90796);
INSERT INTO "PUBLIC"."MODEL" VALUES
(147071, 'PTHR46995:SF6', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', 90797),
(147072, 'PTHR30302:SF8', NULL, NULL, NULL, NULL, 'HYDROGENASE 2 MATURATION PROTEASE', 90798),
(147073, 'PTHR22980:SF5', NULL, NULL, NULL, NULL, 'CEN-T', 90799),
(147074, 'PTHR10270:SF11', NULL, NULL, NULL, NULL, 'SRY (SEX DETERMINING REGION Y)-BOX 32', 90800),
(147075, 'PTHR38684', NULL, NULL, NULL, NULL, 'PROTEIN AMPE', 90801),
(147076, 'PTHR45679:SF3', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE I MNS5', 90802),
(147077, 'PTHR33669', NULL, NULL, NULL, NULL, 'PROTEIN NEGATIVE REGULATOR OF RESISTANCE', 90803),
(147078, 'PTHR32295:SF213', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14', 90804),
(147079, 'PTHR44375:SF20', NULL, NULL, NULL, NULL, 'BNAA09G34910D PROTEIN', 90805),
(147080, 'PTHR24340:SF82', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN VND', 90806),
(147081, 'PTHR24255:SF13', NULL, NULL, NULL, NULL, 'MANNAN-BINDING LECTIN SERINE PROTEASE 1', 90807),
(147082, 'PTHR38463:SF1', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN YSNF', 90808),
(147083, 'PTHR45900:SF6', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RECA HOMOLOG 3, MITOCHONDRIAL-RELATED', 90809),
(147084, 'PTHR31490:SF66', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 10 PROTEIN / CARBOHYDRATE-BINDING DOMAIN-CONTAINING PROTEIN', 90810),
(147085, 'PTHR11206:SF334', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 90811),
(147086, 'PTHR24056:SF435', NULL, NULL, NULL, NULL, 'DIVISION CONTROL PROTEIN, PUTATIVE-RELATED', 90812),
(147087, 'PTHR31744:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90813),
(147088, 'PTHR12138:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90814),
(147089, 'PTHR45614:SF111', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN A-LIKE', 90815),
(147090, 'PTHR31752:SF51', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER-RELATED', 90816),
(147091, 'PTHR20902', NULL, NULL, NULL, NULL, '41-2 PROTEIN ANTIGEN-RELATED', 90817),
(147092, 'PTHR33191:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90818),
(147093, 'PTHR33433:SF29', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 1', 90819),
(147094, 'PTHR11220:SF25', NULL, NULL, NULL, NULL, 'F3F9.4', 90820),
(147095, 'PTHR33244:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90821),
(147096, 'PTHR27008:SF449', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 90822),
(147097, 'PTHR23309:SF35', NULL, NULL, NULL, NULL, 'OS05G0362100 PROTEIN', 90823),
(147098, 'PTHR18884:SF83', NULL, NULL, NULL, NULL, 'SI:CH211-282J17.12-RELATED', 90824),
(147099, 'PTHR23023:SF256', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 90825),
(147100, 'PTHR32444:SF137', NULL, NULL, NULL, NULL, 'EPIDERMIS-SPECIFIC SECRETED GLYCOPROTEIN EP1-LIKE', 90826),
(147101, 'PTHR27002:SF622', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 5', 90827),
(147102, 'PTHR15114:SF1', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 14 KDA SUBUNIT', 90828),
(147103, 'PTHR10338:SF108', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN H6', 90829),
(147104, 'PTHR46398:SF4', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 90830),
(147105, 'PTHR11690:SF227', NULL, NULL, NULL, NULL, 'DEGENERIN LIKE', 90831),
(147106, 'PTHR31739:SF38', NULL, NULL, NULL, NULL, 'BNACNNG04040D PROTEIN', 90832),
(147107, 'PTHR19143:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90833),
(147108, 'PTHR47979:SF48', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 90834),
(147109, 'PTHR12301:SF9', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 5', 90835),
(147110, 'PTHR47449', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD4', 90836),
(147111, 'PTHR43570:SF25', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 3 MEMBER I1, CHLOROPLASTIC', 90837),
(147112, 'PTHR43744:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE BOUND SUGAR TRANSPORT PROTEIN', 90838),
(147113, 'PTHR33349:SF2', NULL, NULL, NULL, NULL, 'EMB|CAB62594.1', 90839);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(147114, 'PTHR33098:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90840),
(147115, 'PTHR37557:SF4', NULL, NULL, NULL, NULL, '115 KDA PROTEIN IN TYPE-1 RETROTRANSPOSABLE ELEMENT R1DM-LIKE PROTEIN-RELATED', 90841),
(147116, 'PTHR13193:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ASTERIX', 90842),
(147117, 'PTHR13931:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATION FACTOR E4 A', 90843),
(147118, 'PTHR13856', NULL, NULL, NULL, NULL, 'VHS DOMAIN CONTAINING PROTEIN FAMILY', 90844),
(147119, 'PTHR36026:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90845),
(147120, 'PTHR23138:SF135', NULL, NULL, NULL, NULL, 'RAN-SPECIFIC GTPASE-ACTIVATING PROTEIN', 90846),
(147121, 'PTHR23182:SF5', NULL, NULL, NULL, NULL, 'ACTIVE BREAKPOINT CLUSTER REGION-RELATED PROTEIN', 90847),
(147122, 'PTHR12778:SF10', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 3', 90848),
(147123, 'PTHR10845:SF192', NULL, NULL, NULL, NULL, 'DOUBLE HIT, ISOFORM B', 90849),
(147124, 'PTHR24225:SF27', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 32-RELATED', 90850),
(147125, 'PTHR32176:SF28', NULL, NULL, NULL, NULL, 'PATATIN', 90851),
(147126, 'PTHR31468', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE GAS1', 90852),
(147127, 'PTHR35073', NULL, NULL, NULL, NULL, 'OTOSPIRALIN', 90853),
(147128, 'PTHR24068:SF344', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1A-LIKE', 90854),
(147129, 'PTHR31490:SF14', NULL, NULL, NULL, NULL, 'OS01G0134900 PROTEIN', 90855),
(147130, 'PTHR38826:SF5', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC13', 90856),
(147131, 'PTHR24381:SF309', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 529', 90857),
(147132, 'PTHR46608:SF1', NULL, NULL, NULL, NULL, 'T-CELL IMMUNOGLOBULIN AND MUCIN DOMAIN-CONTAINING PROTEIN 4', 90858),
(147133, 'PTHR31009:SF127', NULL, NULL, NULL, NULL, 'CARBOXYL METHYLTRANSFERASE, PUTATIVE-RELATED', 90859),
(147134, 'PTHR15739:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ZNF365', 90860),
(147135, 'PTHR40626:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN RST2', 90861),
(147136, 'PTHR33223', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 90862),
(147137, 'PTHR28087', NULL, NULL, NULL, NULL, 'ATPASE SYNTHESIS PROTEIN 25, MITOCHONDRIAL', 90863),
(147138, 'PTHR45672:SF11', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE C17H9.14C', 90864),
(147139, 'PTHR33348', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP5', 90865),
(147140, 'PTHR45614:SF128', NULL, NULL, NULL, NULL, 'BNAANNG13080D PROTEIN', 90866),
(147141, 'PTHR26450:SF58', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52W1', 90867),
(147142, 'PTHR24224:SF6', NULL, NULL, NULL, NULL, 'CARDIOACCELERATORY PEPTIDE RECEPTOR-RELATED', 90868),
(147143, 'PTHR10233:SF18', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B DELTA SUBUNIT', 90869),
(147144, 'PTHR45811:SF46', NULL, NULL, NULL, NULL, 'BNAA06G39500D PROTEIN', 90870),
(147145, 'PTHR10811:SF7', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE LUNATIC FRINGE', 90871),
(147146, 'PTHR47152', NULL, NULL, NULL, NULL, 'SLR2084 PROTEIN-RELATED', 90872),
(147147, 'PTHR10334:SF461', NULL, NULL, NULL, NULL, 'PEPTIDASE INHIBITOR 16', 90873),
(147148, 'PTHR14759:SF31', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 6B', 90874),
(147149, 'PTHR10656:SF70', NULL, NULL, NULL, NULL, 'PROTEIN MAB-21-LIKE', 90875),
(147150, 'PTHR44279:SF3', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID 11-BETA-DEHYDROGENASE 1-LIKE PROTEIN', 90876),
(147151, 'PTHR33479:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90877),
(147152, 'PTHR31215:SF17', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FAMILY-LIKE', 90878),
(147153, 'PTHR13115:SF19', NULL, NULL, NULL, NULL, 'BNAC07G32070D PROTEIN', 90879),
(147154, 'PTHR45624:SF9', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G06390)-RELATED', 90880),
(147155, 'PTHR10828:SF42', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE RELATED', 90881),
(147156, 'PTHR11214:SF304', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 90882),
(147157, 'PTHR12214:SF3', NULL, NULL, NULL, NULL, 'GC-RICH SEQUENCE DNA-BINDING FACTOR 2', 90883);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(147158, 'PTHR23056:SF83', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 6', 90884),
(147159, 'PTHR34568:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90885),
(147160, 'PTHR24118:SF90', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 14', 90886),
(147161, 'PTHR10378:SF32', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR SEUSS ISOFORM X1', 90887),
(147162, 'PTHR19211', NULL, NULL, NULL, NULL, 'ATP-BINDING TRANSPORT PROTEIN-RELATED', 90888),
(147163, 'PTHR24023:SF1009', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XVIII) CHAIN', 90889),
(147164, 'PTHR35974:SF1', NULL, NULL, NULL, NULL, 'NONCOMPACT MYELIN-ASSOCIATED PROTEIN', 90890),
(147165, 'PTHR47894:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR VQSM', 90891),
(147166, 'PTHR38736:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90892),
(147167, 'PTHR11176:SF4', NULL, NULL, NULL, NULL, 'DELETED IN AZOOSPERMIA-LIKE', 90893),
(147168, 'PTHR11644:SF2', NULL, NULL, NULL, NULL, 'CYTIDINE DEAMINASE', 90894),
(147169, 'PTHR30537:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 90895),
(147170, 'PTHR31865:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90896),
(147171, 'PTHR16223:SF235', NULL, NULL, NULL, NULL, 'OS01G0230200 PROTEIN', 90897),
(147172, 'PTHR38006:SF1', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC KINETOCHORE PROTEIN', 90898),
(147173, 'PTHR21017:SF17', NULL, NULL, NULL, NULL, 'PROTEIN NIPSNAP', 90899),
(147174, 'PTHR13071:SF4', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S22, MITOCHONDRIAL', 90900),
(147175, 'PTHR10378:SF7', NULL, NULL, NULL, NULL, 'LIM DOMAIN-BINDING PROTEIN 1', 90901),
(147176, 'PTHR44329:SF177', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CTR1', 90902),
(147177, 'PTHR33599:SF14', NULL, NULL, NULL, NULL, 'PROTEIN IDA-LIKE 4', 90903),
(147178, 'PTHR45633:SF21', NULL, NULL, NULL, NULL, '60 KDA CHAPERONIN BETA SUBUNIT', 90904),
(147179, 'PTHR11668:SF461', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 90905),
(147180, 'PTHR21462:SF2', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN CD200 RECEPTOR 1', 90906),
(147181, 'PTHR31636:SF129', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 14', 90907),
(147182, 'PTHR23226:SF234', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 716', 90908),
(147183, 'PTHR48018:SF143', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 90909),
(147184, 'PTHR24242:SF246', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 90910),
(147185, 'PTHR46547:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GIS2', 90911),
(147186, 'PTHR30592:SF3', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN FDHD', 90912),
(147187, 'PTHR34414:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90913),
(147188, 'PTHR46300:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90914),
(147189, 'PTHR48041:SF25', NULL, NULL, NULL, NULL, 'BNAA06G00960D PROTEIN', 90915),
(147190, 'PTHR12107:SF27', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, VOLTAGE-DEPENDENT, GAMMA SUBUNIT 8B', 90916),
(147191, 'PTHR10131:SF110', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR FAMILY PROTEIN DDB_G0277243', 90917),
(147192, 'PTHR24031:SF718', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-8-LIKE', 90918),
(147193, 'PTHR47942:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90919),
(147194, 'PTHR10226', NULL, NULL, NULL, NULL, 'A KINASE ANCHOR PROTEIN', 90920),
(147195, 'PTHR19818:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZIC 2', 90921),
(147196, 'PTHR43157:SF33', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01250)-RELATED', 90922),
(147197, 'PTHR10901:SF3', NULL, NULL, NULL, NULL, 'LEIOMODIN-3', 90923),
(147198, 'PTHR30455', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR NRDR', 90924),
(147199, 'PTHR31929:SF104', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR21', 90925),
(147200, 'PTHR45915:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM33', 90926),
(147201, 'PTHR46315:SF2', NULL, NULL, NULL, NULL, 'SPERMINE SYNTHASE', 90927),
(147202, 'PTHR32289:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM167A', 90928);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(147203, 'PTHR13271:SF106', NULL, NULL, NULL, NULL, 'RUBISCO LS METHYLTRANSFERASE, SUBSTRATE-BINDING DOMAIN', 90929),
(147204, 'PTHR42799:SF21', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE A4, CHLOROPLASTIC', 90930),
(147205, 'PTHR48020:SF9', NULL, NULL, NULL, NULL, 'HXT5P', 90931),
(147206, 'PTHR31549:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90932),
(147207, 'PTHR14187:SF79', NULL, NULL, NULL, NULL, 'HSP70 FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G15200)', 90933),
(147208, 'PTHR23267:SF423', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-16-RELATED', 90934),
(147209, 'PTHR37878', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689039', 90935),
(147210, 'PTHR12713', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE SUBUNIT G', 90936),
(147211, 'PTHR31704:SF37', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 90937),
(147212, 'PTHR48112:SF2', NULL, NULL, NULL, NULL, 'NON-HISTONE CHROMOSOMAL PROTEIN 6', 90938),
(147213, 'PTHR43874:SF81', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR9', 90939),
(147214, 'PTHR47452:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90940),
(147215, 'PTHR12334', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 2', 90941),
(147216, 'PTHR36037', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE (REVERSE TRANSCRIPTASE)-RELATED FAMILY PROTEIN', 90942),
(147217, 'PTHR31796:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90943),
(147218, 'PTHR14155:SF512', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL19-RELATED', 90944),
(147219, 'PTHR30614:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE/ASPARTATE IMPORT PERMEASE PROTEIN GLTK', 90945),
(147220, 'PTHR13847:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90946),
(147221, 'PTHR19918:SF35', NULL, NULL, NULL, NULL, 'FIZZY/CELL DIVISION CYCLE 20-RELATED 1B', 90947),
(147222, 'PTHR43591:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90948),
(147223, 'PTHR24111:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90949),
(147224, 'PTHR48063:SF18', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 90950),
(147225, 'PTHR33021:SF285', NULL, NULL, NULL, NULL, 'BNAA02G22370D PROTEIN', 90951),
(147226, 'PTHR11977:SF116', NULL, NULL, NULL, NULL, 'BNAC06G12200D PROTEIN', 90952),
(147227, 'PTHR24305:SF172', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 90953),
(147228, 'PTHR22599:SF25', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 2A', 90954),
(147229, 'PTHR11468', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE', 90955),
(147230, 'PTHR36497:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG17883', 90956),
(147231, 'PTHR36054:SF3', NULL, NULL, NULL, NULL, 'BNAA01G35180D PROTEIN', 90957),
(147232, 'PTHR27005:SF222', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 90958),
(147233, 'PTHR36719', NULL, NULL, NULL, NULL, 'OS01G0676200 PROTEIN', 90959),
(147234, 'PTHR31692:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90960),
(147235, 'PTHR11136:SF6', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE', 90961),
(147236, 'PTHR35180:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG21798', 90962),
(147237, 'PTHR45651:SF69', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 17', 90963),
(147238, 'PTHR24012:SF832', NULL, NULL, NULL, NULL, 'BNAA09G01310D PROTEIN', 90964),
(147239, 'PTHR34791', NULL, NULL, NULL, NULL, 'OS02G0272100 PROTEIN', 90965),
(147240, 'PTHR33601:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90966),
(147241, 'PTHR31636:SF191', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', 90967),
(147242, 'PTHR13034:SF2', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 4', 90968),
(147243, 'PTHR44414', NULL, NULL, NULL, NULL, 'PROTEIN NEDD1', 90969),
(147244, 'PTHR14030:SF21', NULL, NULL, NULL, NULL, 'BNAC06G43250D PROTEIN', 90970),
(147245, 'PTHR22234:SF0', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 3', 90971),
(147246, 'PTHR10127:SF852', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-12', 90972),
(147247, 'PTHR14569:SF0', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 FAMILY MEMBER G6E', 90973);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(147248, 'PTHR31276:SF16', NULL, NULL, NULL, NULL, 'BNAA03G17460D PROTEIN', 90974),
(147249, 'PTHR47723:SF4', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING-LIKE PROTEIN', 90975),
(147250, 'PTHR33325:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90976),
(147251, 'PTHR34857:SF2', NULL, NULL, NULL, NULL, 'SLL0384 PROTEIN', 90977),
(147252, 'PTHR21569:SF1', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S9, MITOCHONDRIAL', 90978),
(147253, 'PTHR45763:SF14', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 90979),
(147254, 'PTHR21964:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN DEP1', 90980),
(147255, 'PTHR32295:SF45', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 19', 90981),
(147256, 'PTHR15615:SF15', NULL, NULL, NULL, NULL, 'CYCLIN-U2-1', 90982),
(147257, 'PTHR23155:SF1113', NULL, NULL, NULL, NULL, 'OS01G0808000 PROTEIN', 90983),
(147258, 'PTHR46049:SF6', NULL, NULL, NULL, NULL, 'MYOSIN X,-LIKE 3', 90984),
(147259, 'PTHR30618:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 90985),
(147260, 'PTHR10663:SF363', NULL, NULL, NULL, NULL, 'CYTOHESIN 2', 90986),
(147261, 'PTHR15305:SF0', NULL, NULL, NULL, NULL, 'MELANOMA ANTIGEN RECOGNIZED BY T-CELLS 1', 90987),
(147262, 'PTHR24216:SF23', NULL, NULL, NULL, NULL, 'LEUPAXIN', 90988),
(147263, 'PTHR24072:SF144', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOV', 90989),
(147264, 'PTHR26453:SF94', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 90990),
(147265, 'PTHR45658:SF7', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 7', 90991),
(147266, 'PTHR31048:SF140', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 5', 90992),
(147267, 'PTHR23500:SF92', NULL, NULL, NULL, NULL, 'OS04G0452600 PROTEIN', 90993),
(147268, 'PTHR31447:SF9', NULL, NULL, NULL, NULL, 'OS06G0138200 PROTEIN', 90994),
(147269, 'PTHR11629:SF91', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 90995),
(147270, 'PTHR23226:SF9', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED PROTEIN 1', 90996),
(147271, 'PTHR23508:SF2', NULL, NULL, NULL, NULL, 'METABOLITE TRANSPORT PROTEIN YJHB-RELATED', 90997),
(147272, 'PTHR31611:SF0', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NICKEL TRANSPORT PROTEIN NIC1', 90998),
(147273, 'PTHR47965:SF21', NULL, NULL, NULL, NULL, 'OS06G0304600 PROTEIN', 90999),
(147274, 'PTHR11764:SF45', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 91000),
(147275, 'PTHR13771:SF14', NULL, NULL, NULL, NULL, 'VASCULAR CELL ADHESION PROTEIN 1', 91001),
(147276, 'PTHR12266:SF21', NULL, NULL, NULL, NULL, 'CATION/CALCIUM EXCHANGER 3', 91002),
(147277, 'PTHR10891:SF794', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML23-RELATED', 91003),
(147278, 'PTHR46444:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91004),
(147279, 'PTHR32295:SF187', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 91005),
(147280, 'PTHR12027:SF92', NULL, NULL, NULL, NULL, 'PROTEIN WNT-8A', 91006),
(147281, 'PTHR43711:SF17', NULL, NULL, NULL, NULL, 'TWO COMPONENT SENSOR KINASE-RELATED', 91007),
(147282, 'PTHR31707:SF330', NULL, NULL, NULL, NULL, 'BNAANNG28400D PROTEIN', 91008),
(147283, 'PTHR45637:SF43', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AGC1-7', 91009),
(147284, 'PTHR11685:SF315', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 91010),
(147285, 'PTHR38332', NULL, NULL, NULL, NULL, 'PROTEIN CBG11604', 91011),
(147286, 'PTHR24340:SF93', NULL, NULL, NULL, NULL, 'NK2 HOMEOBOX 1', 91012),
(147287, 'PTHR45914:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH87', 91013),
(147288, 'PTHR43341:SF34', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 91014),
(147289, 'PTHR23201:SF84', NULL, NULL, NULL, NULL, 'PEAMACLEIN', 91015),
(147290, 'PTHR43465', NULL, NULL, NULL, NULL, 'DUF1680 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G08910)', 91016),
(147291, 'PTHR33326:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91017),
(147292, 'PTHR11388:SF142', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 5A1', 91018);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(147293, 'PTHR24096:SF361', NULL, NULL, NULL, NULL, 'ACID-COA LIGASE PROTEIN, PUTATIVE-RELATED', 91019),
(147294, 'PTHR46924:SF1', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR-LIKE PROTEIN L', 91020),
(147295, 'PTHR45693:SF38', NULL, NULL, NULL, NULL, 'BZIP FAMILY TRANSCRIPTION FACTOR', 91021),
(147296, 'PTHR40382:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930523C07 GENE', 91022),
(147297, 'PTHR21649:SF2', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 91023),
(147298, 'PTHR27003:SF311', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING RECEPTOR-LIKE CYTOPLASMIC KINASE 2', 91024),
(147299, 'PTHR33130:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91025),
(147300, 'PTHR22443:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91026),
(147301, 'PTHR10380:SF220', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 49AA', 91027),
(147302, 'PTHR11753:SF12', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT SIGMA-1', 91028),
(147303, 'PTHR45908:SF1', NULL, NULL, NULL, NULL, 'LIPASE ZK262.3', 91029),
(147304, 'PTHR46273', NULL, NULL, NULL, NULL, 'MYOSUPPRESSIN RECEPTOR 1, ISOFORM B-RELATED', 91030),
(147305, 'PTHR28622', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 7', 91031),
(147306, 'PTHR24240:SF163', NULL, NULL, NULL, NULL, 'NMUR (NEUROMEDIN U RECEPTOR) HOMOLOG', 91032),
(147307, 'PTHR12313', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF5-RELATED', 91033),
(147308, 'PTHR11353:SF23', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT BETA', 91034),
(147309, 'PTHR48043:SF43', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE', 91035),
(147310, 'PTHR45754:SF4', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE 1', 91036),
(147311, 'PTHR27005:SF164', NULL, NULL, NULL, NULL, 'OS05G0550800 PROTEIN', 91037),
(147312, 'PTHR34490:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91038),
(147313, 'PTHR12665:SF12', NULL, NULL, NULL, NULL, 'ORM1-LIKE PROTEIN 1', 91039),
(147314, 'PTHR10934:SF17', NULL, NULL, NULL, NULL, 'BNAC09G14160D PROTEIN', 91040),
(147315, 'PTHR24038:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91041),
(147316, 'PTHR21662:SF20', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', 91042),
(147317, 'PTHR24246:SF2', NULL, NULL, NULL, NULL, 'ADENOSINE RECEPTOR A3', 91043),
(147318, 'PTHR11599:SF42', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-7', 91044),
(147319, 'PTHR26452:SF212', NULL, NULL, NULL, NULL, 'MCG53866-RELATED', 91045),
(147320, 'PTHR36798:SF2', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN 6, CHLOROPLASTIC', 91046),
(147321, 'PTHR33088:SF34', NULL, NULL, NULL, NULL, 'OS07G0142600 PROTEIN', 91047),
(147322, 'PTHR12207:SF30', NULL, NULL, NULL, NULL, 'ZGC:91849', 91048),
(147323, 'PTHR24115:SF915', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 91049),
(147324, 'PTHR33882:SF5', NULL, NULL, NULL, NULL, 'BNAA06G23800D PROTEIN', 91050),
(147325, 'PTHR24024:SF14', NULL, NULL, NULL, NULL, 'COLLECTIN-11', 91051),
(147326, 'PTHR38846', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 91052),
(147327, 'PTHR48007:SF27', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 4', 91053),
(147328, 'PTHR12035:SF115', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 11', 91054),
(147329, 'PTHR34059:SF9', NULL, NULL, NULL, NULL, 'BNAC08G10760D PROTEIN', 91055),
(147330, 'PTHR22765:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91056),
(147331, 'PTHR11835:SF62', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] REGULATORY SUBUNIT 1, MITOCHONDRIAL-LIKE', 91057),
(147332, 'PTHR10366:SF665', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN REDUCTASE', 91058),
(147333, 'PTHR33077:SF70', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 5A', 91059),
(147334, 'PTHR11587:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91060),
(147335, 'PTHR31953:SF79', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 32 PROTEIN-RELATED', 91061),
(147336, 'PTHR43791:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91062),
(147337, 'PTHR12161:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91063);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(147338, 'PTHR47477:SF15', NULL, NULL, NULL, NULL, 'BNAA05G18060D PROTEIN', 91064),
(147339, 'PTHR31790:SF337', NULL, NULL, NULL, NULL, 'BNAC03G58360D PROTEIN', 91065),
(147340, 'PTHR43139:SF53', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 91066),
(147341, 'PTHR10969:SF48', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8', 91067),
(147342, 'PTHR23262:SF27', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 31-1-RELATED', 91068),
(147343, 'PTHR30546:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91069),
(147344, 'PTHR45621:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RIPK', 91070),
(147345, 'PTHR23070:SF171', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE-LIKE', 91071),
(147346, 'PTHR11564:SF36', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN', 91072),
(147347, 'PTHR45719:SF33', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14-RELATED', 91073),
(147348, 'PTHR12280:SF34', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE 1', 91074),
(147349, 'PTHR48112:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR A, MITOCHONDRIAL', 91075),
(147350, 'PTHR21194:SF1', NULL, NULL, NULL, NULL, 'CARDIAC PHOSPHOLAMBAN', 91076),
(147351, 'PTHR30600', NULL, NULL, NULL, NULL, 'CYTOCHROME C PEROXIDASE-RELATED', 91077),
(147352, 'PTHR11183:SF147', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 7', 91078),
(147353, 'PTHR15177', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 143', 91079),
(147354, 'PTHR38755', NULL, NULL, NULL, NULL, '5,10-METHYLENETETRAHYDROFOLATE REDUCTASE', 91080),
(147355, 'PTHR46554:SF8', NULL, NULL, NULL, NULL, 'BNAC02G02460D PROTEIN', 91081),
(147356, 'PTHR14388:SF3', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC SH2 DOMAIN-CONTAINING PROTEIN', 91082),
(147357, 'PTHR22730:SF4', NULL, NULL, NULL, NULL, 'PROMININ 2', 91083),
(147358, 'PTHR23024:SF520', NULL, NULL, NULL, NULL, 'AB HYDROLASE SUPERFAMILY PROTEIN B1A11.02-RELATED', 91084),
(147359, 'PTHR11614:SF177', NULL, NULL, NULL, NULL, 'SERINE AMINOPEPTIDASE, S33, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 91085),
(147360, 'PTHR15961', NULL, NULL, NULL, NULL, 'PROTEIN EURL HOMOLOG', 91086),
(147361, 'PTHR23226:SF130', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS 3', 91087),
(147362, 'PTHR26453:SF238', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 148', 91088),
(147363, 'PTHR22835:SF626', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 91089),
(147364, 'PTHR27007:SF152', NULL, NULL, NULL, NULL, 'OSJNBA0027H06.9 PROTEIN', 91090),
(147365, 'PTHR12419:SF3', NULL, NULL, NULL, NULL, 'OS04G0402300 PROTEIN', 91091),
(147366, 'PTHR23338:SF53', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', 91092),
(147367, 'PTHR47928:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91093),
(147368, 'PTHR12560:SF21', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE HYL-2', 91094),
(147369, 'PTHR21261:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91095),
(147370, 'PTHR11699:SF68', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTE', 91096),
(147371, 'PTHR12388', NULL, NULL, NULL, NULL, 'MITOCHONDRIA ASSOCIATED GRANULOCYTE MACROPHAGE CSF SIGNALING MOLECULE', 91097),
(147372, 'PTHR11654:SF497', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91098),
(147373, 'PTHR47929:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91099),
(147374, 'PTHR23315:SF246', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 41', 91100),
(147375, 'PTHR38568:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91101),
(147376, 'PTHR22765:SF238', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 91102),
(147377, 'PTHR33737:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91103),
(147378, 'PTHR24326:SF559', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-16', 91104),
(147379, 'PTHR10024:SF45', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-6', 91105),
(147380, 'PTHR47993:SF39', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN CONTAINING PROTEIN', 91106),
(147381, 'PTHR45914:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91107);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(147382, 'PTHR31045:SF34', NULL, NULL, NULL, NULL, 'TERPENOID SYNTHASE 15-RELATED', 91108),
(147383, 'PTHR48011:SF17', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', 91109),
(147384, 'PTHR10751:SF56', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 4', 91110),
(147385, 'PTHR31288:SF23', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 4', 91111),
(147386, 'PTHR10285:SF163', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE C-LIKE ISOFORM X1', 91112),
(147387, 'PTHR47570', NULL, NULL, NULL, NULL, 'ZINC ION BINDING PROTEIN', 91113),
(147388, 'PTHR45658:SF62', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 91114),
(147389, 'PTHR10943:SF17', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2 HOMOLOG', 91115),
(147390, 'PTHR43574:SF3', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 1', 91116),
(147391, 'PTHR45621:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91117),
(147392, 'PTHR16155:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91118),
(147393, 'PTHR36726:SF8', NULL, NULL, NULL, NULL, 'BNAA07G24210D PROTEIN', 91119),
(147394, 'PTHR19143:SF24', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-RELATED PROTEIN 2', 91120),
(147395, 'PTHR48005:SF18', NULL, NULL, NULL, NULL, 'OS11G0448000 PROTEIN', 91121),
(147396, 'PTHR13738', NULL, NULL, NULL, NULL, 'TROPONIN I', 91122),
(147397, 'PTHR33348:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91123),
(147398, 'PTHR31920:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91124),
(147399, 'PTHR24298:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91125),
(147400, 'PTHR12741:SF76', NULL, NULL, NULL, NULL, 'OS01G0754200 PROTEIN', 91126),
(147401, 'PTHR24399:SF38', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 12', 91127),
(147402, 'PTHR12732:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91128),
(147403, 'PTHR30546:SF1', NULL, NULL, NULL, NULL, 'FLAVODOXIN', 91129),
(147404, 'PTHR35572:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG06690', 91130),
(147405, 'PTHR23001:SF25', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 BETA SUBUNIT', 91131),
(147406, 'PTHR42683:SF58', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G13270)-RELATED', 91132),
(147407, 'PTHR22597', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN', 91133),
(147408, 'PTHR24281:SF98', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', 91134),
(147409, 'PTHR15921:SF12', NULL, NULL, NULL, NULL, 'POLYADENYLATION AND CLEAVAGE FACTOR HOMOLOG 4', 91135),
(147410, 'PTHR10942:SF11', NULL, NULL, NULL, NULL, 'GP63', 91136),
(147411, 'PTHR24055:SF491', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 9', 91137),
(147412, 'PTHR42928:SF6', NULL, NULL, NULL, NULL, 'TRICARBOXYLATE-BINDING PROTEIN', 91138),
(147413, 'PTHR46634:SF10', NULL, NULL, NULL, NULL, 'OS04G0506900 PROTEIN', 91139),
(147414, 'PTHR11610:SF13', NULL, NULL, NULL, NULL, 'ENDOTHELIAL LIPASE', 91140),
(147415, 'PTHR11599:SF153', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 91141),
(147416, 'PTHR16223:SF178', NULL, NULL, NULL, NULL, 'BNAC05G01660D PROTEIN', 91142),
(147417, 'PTHR11040:SF144', NULL, NULL, NULL, NULL, 'ZRT (ZRT), IRT-(IRT-) LIKE PROTEIN TRANSPORTER', 91143),
(147418, 'PTHR47990:SF145', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 91144),
(147419, 'PTHR47074:SF16', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 91145),
(147420, 'PTHR13068:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91146),
(147421, 'PTHR22902:SF40', NULL, NULL, NULL, NULL, 'BNAANNG36460D PROTEIN', 91147),
(147422, 'PTHR45828:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG21575', 91148),
(147423, 'PTHR26312:SF135', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 91149),
(147424, 'PTHR24015:SF1920', NULL, NULL, NULL, NULL, 'REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 91150),
(147425, 'PTHR16076', NULL, NULL, NULL, NULL, 'CYTOSKELETON ASSOCIATED PROTEIN 2-RELATED', 91151),
(147426, 'PTHR13318:SF165', NULL, NULL, NULL, NULL, 'FI07223P', 91152);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(147427, 'PTHR10083:SF358', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MLT-11', 91153),
(147428, 'PTHR31080:SF236', NULL, NULL, NULL, NULL, 'BNACNNG22160D PROTEIN', 91154),
(147429, 'PTHR47991:SF51', NULL, NULL, NULL, NULL, 'CODEINE O-DEMETHYLASE', 91155),
(147430, 'PTHR26453:SF635', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13C7-RELATED', 91156),
(147431, 'PTHR22715:SF0', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA REGULATOR 1', 91157),
(147432, 'PTHR32285:SF154', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 91158),
(147433, 'PTHR31949:SF14', NULL, NULL, NULL, NULL, 'ENDOCHITINASE A-LIKE', 91159),
(147434, 'PTHR35508:SF1', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT', 91160),
(147435, 'PTHR31300:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91161),
(147436, 'PTHR43757:SF6', NULL, NULL, NULL, NULL, 'AMINOMETHYLTRANSFERASE', 91162),
(147437, 'PTHR45959:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH19', 91163),
(147438, 'PTHR21450:SF23', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE, PUTATIVE (DUF632)-RELATED', 91164),
(147439, 'PTHR11589:SF8', NULL, NULL, NULL, NULL, 'NEUROTROPHIN-4', 91165),
(147440, 'PTHR24028:SF32', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 1 ALPHA 4-RELATED', 91166),
(147441, 'PTHR11749:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91167),
(147442, 'PTHR11274:SF17', NULL, NULL, NULL, NULL, 'DNA REPAIR HELICASE XPB1-LIKE', 91168),
(147443, 'PTHR23074:SF143', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A-LIKE 2 ISOFORM X1', 91169),
(147444, 'PTHR45638:SF6', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL ALPHA-3', 91170),
(147445, 'PTHR24418:SF398', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 91171),
(147446, 'PTHR31683:SF106', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 91172),
(147447, 'PTHR24366:SF85', NULL, NULL, NULL, NULL, 'SLIT AND NTRK LIKE FAMILY MEMBER 3', 91173),
(147448, 'PTHR10340:SF24', NULL, NULL, NULL, NULL, 'ACID SPHINGOMYELINASE-LIKE PHOSPHODIESTERASE 3A', 91174),
(147449, 'PTHR46020:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91175),
(147450, 'PTHR43867', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE CATALYTIC SUBUNIT A [UDP-FORMING]', 91176),
(147451, 'PTHR37301', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', 91177),
(147452, 'PTHR13509:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', 91178),
(147453, 'PTHR46405:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RF4-RELATED', 91179),
(147454, 'PTHR42924:SF13', NULL, NULL, NULL, NULL, 'OS02G0752600 PROTEIN', 91180),
(147455, 'PTHR12553:SF65', NULL, NULL, NULL, NULL, 'TRNASE Z TRZ4, MITOCHONDRIAL', 91181),
(147456, 'PTHR10962', NULL, NULL, NULL, NULL, 'INTEGRAL TRANSMEMBRANE PROTEIN 2', 91182),
(147457, 'PTHR47827:SF1', NULL, NULL, NULL, NULL, 'MLLT1, SUPER ELONGATION COMPLEX SUBUNIT', 91183),
(147458, 'PTHR43341:SF1', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER 1-RELATED', 91184),
(147459, 'PTHR11347:SF130', NULL, NULL, NULL, NULL, 'DUAL 3'',5''-CYCLIC-AMP AND -GMP PHOSPHODIESTERASE 11A', 91185),
(147460, 'PTHR42881:SF9', NULL, NULL, NULL, NULL, 'BNACNNG64630D PROTEIN', 91186),
(147461, 'PTHR42893:SF32', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 91187),
(147462, 'PTHR11241:SF11', NULL, NULL, NULL, NULL, 'DEOXYURIDINE 5''-TRIPHOSPHATE NUCLEOTIDOHYDROLASE, MITOCHONDRIAL-RELATED', 91188),
(147463, 'PTHR27009:SF226', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91189),
(147464, 'PTHR34469:SF4', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN H', 91190),
(147465, 'PTHR13298:SF11', NULL, NULL, NULL, NULL, 'RAPAMYCIN-INSENSITIVE COMPANION OF MTOR', 91191),
(147466, 'PTHR32227:SF380', NULL, NULL, NULL, NULL, 'BNAC04G24490D PROTEIN', 91192),
(147467, 'PTHR37874', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1500011B03 GENE-RELATED', 91193),
(147468, 'PTHR36816', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN YMF19', 91194),
(147469, 'PTHR47487:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91195);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(147470, 'PTHR33872:SF13', NULL, NULL, NULL, NULL, 'BNAC03G47950D PROTEIN', 91196),
(147471, 'PTHR31279:SF48', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE', 91197),
(147472, 'PTHR33108:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91198),
(147473, 'PTHR21245:SF17', NULL, NULL, NULL, NULL, 'NUCLEOLIN-LIKE ISOFORM X1', 91199),
(147474, 'PTHR10048:SF28', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 3-KINASE C2 DOMAIN-CONTAINING SUBUNIT ALPHA', 91200),
(147475, 'PTHR48021:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91201),
(147476, 'PTHR11243:SF15', NULL, NULL, NULL, NULL, 'RAS-ASSOCIATED AND PLECKSTRIN HOMOLOGY DOMAINS-CONTAINING PROTEIN 1', 91202),
(147477, 'PTHR35495:SF8', NULL, NULL, NULL, NULL, 'BNAA08G14240D PROTEIN', 91203),
(147478, 'PTHR37176:SF1', NULL, NULL, NULL, NULL, 'F10K1.23', 91204),
(147479, 'PTHR23050:SF426', NULL, NULL, NULL, NULL, 'BNAA09G47210D PROTEIN', 91205),
(147480, 'PTHR11787:SF8', NULL, NULL, NULL, NULL, 'RAB GDP DISSOCIATION INHIBITOR', 91206),
(147481, 'PTHR46373:SF5', NULL, NULL, NULL, NULL, 'RWP-RK DOMAIN PROTEIN', 91207),
(147482, 'PTHR33285:SF47', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 2-LIKE', 91208),
(147483, 'PTHR11690:SF263', NULL, NULL, NULL, NULL, 'PICKPOCKET 6', 91209),
(147484, 'PTHR42180:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91210),
(147485, 'PTHR44378:SF1', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 18, PEROXISOMAL-RELATED', 91211),
(147486, 'PTHR11588:SF61', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 91212),
(147487, 'PTHR33044:SF165', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 91213),
(147488, 'PTHR42647:SF12', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 2-RELATED', 91214),
(147489, 'PTHR11071:SF480', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 91215),
(147490, 'PTHR47958:SF30', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX59-RELATED', 91216),
(147491, 'PTHR32278:SF11', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 91217),
(147492, 'PTHR33641:SF15', NULL, NULL, NULL, NULL, 'OS06G0133500 PROTEIN', 91218),
(147493, 'PTHR31949:SF27', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN PB15E9.01C-RELATED', 91219),
(147494, 'PTHR46301:SF20', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-RELATED', 91220),
(147495, 'PTHR13301:SF31', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 8 [UDP-FORMING]', 91221),
(147496, 'PTHR27003:SF272', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 91222),
(147497, 'PTHR45775:SF5', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN REM 2', 91223),
(147498, 'PTHR24103:SF559', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM4', 91224),
(147499, 'PTHR16002:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 248-LIKE', 91225),
(147500, 'PTHR22811:SF155', NULL, NULL, NULL, NULL, 'BNAC01G39730D PROTEIN', 91226),
(147501, 'PTHR10638:SF3', NULL, NULL, NULL, NULL, 'AMILORIDE-SENSITIVE AMINE OXIDASE [COPPER-CONTAINING]', 91227),
(147502, 'PTHR24177:SF37', NULL, NULL, NULL, NULL, 'CASKIN-2', 91228),
(147503, 'PTHR11969:SF56', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH71', 91229),
(147504, 'PTHR11347:SF139', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', 91230),
(147505, 'PTHR11227:SF56', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', 91231),
(147506, 'PTHR33108:SF14', NULL, NULL, NULL, NULL, 'OS01G0745000 PROTEIN', 91232),
(147507, 'PTHR22611:SF9', NULL, NULL, NULL, NULL, 'PROTEIN NAKED CUTICLE', 91233),
(147508, 'PTHR39444:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91234),
(147509, 'PTHR33577:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91235),
(147510, 'PTHR46895:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG11342', 91236),
(147511, 'PTHR21404:SF3', NULL, NULL, NULL, NULL, 'SMALL RNA 2''-O-METHYLTRANSFERASE', 91237),
(147512, 'PTHR10915:SF7', NULL, NULL, NULL, NULL, 'SYNDECAN-3', 91238),
(147513, 'PTHR35273:SF2', NULL, NULL, NULL, NULL, 'ALPHA-1,4 POLYGALACTOSAMINIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07890)-RELATED', 91239),
(147514, 'PTHR43874:SF160', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 91240);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(147515, 'PTHR43806', NULL, NULL, NULL, NULL, 'PEPTIDASE S8', 91241),
(147516, 'PTHR12436:SF17', NULL, NULL, NULL, NULL, 'SAC3 FAMILY PROTEIN B', 91242),
(147517, 'PTHR22752:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 176', 91243),
(147518, 'PTHR45647:SF96', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN', 91244),
(147519, 'PTHR44464', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 17', 91245),
(147520, 'PTHR31072:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP9-LIKE', 91246),
(147521, 'PTHR33057:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91247),
(147522, 'PTHR23201:SF85', NULL, NULL, NULL, NULL, 'PROTEIN 3, PUTATIVE-RELATED', 91248),
(147523, 'PTHR21567:SF28', NULL, NULL, NULL, NULL, 'CLIP-ASSOCIATING PROTEIN 1', 91249),
(147524, 'PTHR31719:SF161', NULL, NULL, NULL, NULL, 'BNAA03G48570D PROTEIN', 91250),
(147525, 'PTHR11079:SF169', NULL, NULL, NULL, NULL, 'CYTOSINE DEAMINASE', 91251),
(147526, 'PTHR10108:SF899', NULL, NULL, NULL, NULL, 'PECTIN METHYLTRANSFERASE QUA2-RELATED', 91252),
(147527, 'PTHR34208:SF12', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 91253),
(147528, 'PTHR32246:SF137', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 91254),
(147529, 'PTHR31585:SF44', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 6-RELATED', 91255),
(147530, 'PTHR43250', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 91256),
(147531, 'PTHR14944', NULL, NULL, NULL, NULL, 'RPA-RELATED PROTEIN RADX', 91257),
(147532, 'PTHR34466:SF3', NULL, NULL, NULL, NULL, 'OS11G0129800 PROTEIN', 91258),
(147533, 'PTHR18966:SF36', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, KAINATE 1', 91259),
(147534, 'PTHR28469', NULL, NULL, NULL, NULL, 'ECTODYSPLASIN-A RECEPTOR-ASSOCIATED ADAPTER PROTEIN', 91260),
(147535, 'PTHR23513:SF18', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 91261),
(147536, 'PTHR10155:SF21', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 4', 91262),
(147537, 'PTHR10438:SF425', NULL, NULL, NULL, NULL, 'THIOREDOXIN H1', 91263),
(147538, 'PTHR33928:SF7', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT3', 91264),
(147539, 'PTHR42905:SF12', NULL, NULL, NULL, NULL, 'PHOSPHONOMUTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G03820)-RELATED', 91265),
(147540, 'PTHR40033', NULL, NULL, NULL, NULL, 'NA(+)-MALATE SYMPORTER', 91266),
(147541, 'PTHR47978:SF16', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA3', 91267),
(147542, 'PTHR45714:SF11', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT3', 91268),
(147543, 'PTHR32382:SF35', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 2', 91269),
(147544, 'PTHR12300:SF22', NULL, NULL, NULL, NULL, 'LP05237P-RELATED', 91270),
(147545, 'PTHR42850:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2', 91271),
(147546, 'PTHR31071:SF45', NULL, NULL, NULL, NULL, 'BRANCHLESS TRICHOME-LIKE PROTEIN', 91272),
(147547, 'PTHR39159:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE FAU-1-RELATED', 91273),
(147548, 'PTHR21453:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG27317', 91274),
(147549, 'PTHR22847:SF713', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91275),
(147550, 'PTHR42771:SF11', NULL, NULL, NULL, NULL, 'FERRICHROME TRANSPORT ATP-BINDING PROTEIN FHUC', 91276),
(147551, 'PTHR35832', NULL, NULL, NULL, NULL, 'OS12G0248400 PROTEIN-RELATED', 91277),
(147552, 'PTHR14499:SF28', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD16', 91278),
(147553, 'PTHR45810', NULL, NULL, NULL, NULL, 'HISTONE H3.2', 91279),
(147554, 'PTHR30546:SF48', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE)-RELATED', 91280),
(147555, 'PTHR10457:SF27', NULL, NULL, NULL, NULL, 'L-ARABINOKINASE', 91281),
(147556, 'PTHR11394:SF42', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 113', 91282),
(147557, 'PTHR46748', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 91283),
(147558, 'PTHR43045:SF4', NULL, NULL, NULL, NULL, 'TRANSPORTER YDFJ-RELATED', 91284),
(147559, 'PTHR31636:SF212', NULL, NULL, NULL, NULL, 'OS11G0160550 PROTEIN', 91285);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(147560, 'PTHR31769:SF86', NULL, NULL, NULL, NULL, 'BNAA03G48600D PROTEIN', 91286),
(147561, 'PTHR31374:SF181', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32-LIKE', 91287),
(147562, 'PTHR38019', NULL, NULL, NULL, NULL, 'KDA ANTIGEN P200, PUTATIVE-RELATED', 91288),
(147563, 'PTHR10584', NULL, NULL, NULL, NULL, 'SUGAR KINASE', 91289),
(147564, 'PTHR46478', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 3A', 91290),
(147565, 'PTHR10372:SF3', NULL, NULL, NULL, NULL, 'PLAKOPHILIN-1', 91291),
(147566, 'PTHR23317', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS  DOCK', 91292),
(147567, 'PTHR10972:SF163', NULL, NULL, NULL, NULL, 'OSBP(OXYSTEROL-BINDING PROTEIN)-RELATED PROTEIN 1C', 91293),
(147568, 'PTHR15901', NULL, NULL, NULL, NULL, 'TESTICULAR HAPLOID EXPRESSED GENE PROTEIN', 91294),
(147569, 'PTHR45660:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91295),
(147570, 'PTHR24093:SF473', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 91296),
(147571, 'PTHR34154:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91297),
(147572, 'PTHR31086:SF49', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 12-LIKE', 91298),
(147573, 'PTHR31403:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IBETA2, CHLOROPLASTIC', 91299),
(147574, 'PTHR31589:SF135', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE (DUF239)-RELATED', 91300),
(147575, 'PTHR11733:SF133', NULL, NULL, NULL, NULL, 'PHOSPHATE-REGULATING NEUTRAL ENDOPEPTIDASE PHEX', 91301),
(147576, 'PTHR47459:SF1', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN-RELATED', 91302),
(147577, 'PTHR47926:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91303),
(147578, 'PTHR43723', NULL, NULL, NULL, NULL, 'COBALT TRANSPORT PROTEIN CBIQ', 91304),
(147579, 'PTHR11064:SF131', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-3', 91305),
(147580, 'PTHR13356:SF6', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR A', 91306),
(147581, 'PTHR31212:SF4', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB HOMOLOG 3', 91307),
(147582, 'PTHR33527:SF6', NULL, NULL, NULL, NULL, 'OSJNBA0069D17.5 PROTEIN', 91308),
(147583, 'PTHR10694:SF21', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 4D', 91309),
(147584, 'PTHR12538:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26-1-RELATED', 91310),
(147585, 'PTHR45676:SF67', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL53-RELATED', 91311),
(147586, 'PTHR48001:SF2', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 91312),
(147587, 'PTHR21341:SF2', NULL, NULL, NULL, NULL, 'PROTAMINE-2', 91313),
(147588, 'PTHR43176:SF2', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 5', 91314),
(147589, 'PTHR46604:SF1', NULL, NULL, NULL, NULL, 'OS11G0665800 PROTEIN', 91315),
(147590, 'PTHR34065:SF2', NULL, NULL, NULL, NULL, 'OS10G0520900 PROTEIN', 91316),
(147591, 'PTHR32166:SF96', NULL, NULL, NULL, NULL, 'BNAC05G09450D PROTEIN', 91317),
(147592, 'PTHR45791:SF8', NULL, NULL, NULL, NULL, 'CALCINEURIN SUBUNIT B TYPE 2-LIKE PROTEIN', 91318),
(147593, 'PTHR10909:SF379', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE 3.2, PEROXISOMAL-RELATED', 91319),
(147594, 'PTHR45786:SF44', NULL, NULL, NULL, NULL, 'BNAC05G34810D PROTEIN', 91320),
(147595, 'PTHR10383:SF23', NULL, NULL, NULL, NULL, 'SERINC-DOMAIN CONTAINING SERINE AND SPHINGOLIPID BIOSYNTHESIS PROTEIN', 91321),
(147596, 'PTHR36790', NULL, NULL, NULL, NULL, 'MYELIN TRANSCRIPTION FACTOR', 91322),
(147597, 'PTHR46153:SF21', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 2, CHLOROPLASTIC-LIKE ISOFORM X1', 91323),
(147598, 'PTHR28621:SF1', NULL, NULL, NULL, NULL, 'SELENOPROTEIN S', 91324),
(147599, 'PTHR14155:SF578', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL31', 91325),
(147600, 'PTHR26374:SF395', NULL, NULL, NULL, NULL, 'BNAA03G17210D PROTEIN', 91326),
(147601, 'PTHR43520:SF20', NULL, NULL, NULL, NULL, 'HEAVY METAL P-TYPE ATPASE', 91327),
(147602, 'PTHR31992:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91328),
(147603, 'PTHR18870:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FAM184B', 91329);
INSERT INTO "PUBLIC"."MODEL" VALUES
(147604, 'PTHR19970:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91330),
(147605, 'PTHR48017:SF115', NULL, NULL, NULL, NULL, 'PROLINE TRANSPORTER 2', 91331),
(147606, 'PTHR33318:SF19', NULL, NULL, NULL, NULL, 'PROTEIN JASON-LIKE', 91332),
(147607, 'PTHR11606:SF25', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE 1, MITOCHONDRIAL', 91333),
(147608, 'PTHR47609', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC25', 91334),
(147609, 'PTHR30486:SF6', NULL, NULL, NULL, NULL, 'TWITCHING MOBILITY PROTEIN', 91335),
(147610, 'PTHR34491:SF26', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 91336),
(147611, 'PTHR31490:SF8', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 10 PROTEIN', 91337),
(147612, 'PTHR11913:SF91', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 7', 91338),
(147613, 'PTHR31676:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91339),
(147614, 'PTHR28657', NULL, NULL, NULL, NULL, 'INDOLEAMINE 2,3-DIOXYGENASE', 91340),
(147615, 'PTHR15315:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91341),
(147616, 'PTHR13609:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91342),
(147617, 'PTHR24062:SF51', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2-RELATED', 91343),
(147618, 'PTHR24012:SF825', NULL, NULL, NULL, NULL, 'TIA-1/TIAL RNA BINDING PROTEIN HOMOLOG', 91344),
(147619, 'PTHR33129:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91345),
(147620, 'PTHR32467:SF90', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR AIL1', 91346),
(147621, 'PTHR33076:SF92', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 91347),
(147622, 'PTHR39084:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 91348),
(147623, 'PTHR23273:SF81', NULL, NULL, NULL, NULL, 'ANIMAL RPA1 DOMAIN PROTEIN', 91349),
(147624, 'PTHR10556:SF31', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ENOYL-COA REDUCTASE', 91350),
(147625, 'PTHR14379:SF30', NULL, NULL, NULL, NULL, 'BNAA01G26400D PROTEIN', 91351),
(147626, 'PTHR13237:SF9', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER FACTOR-LIKE', 91352),
(147627, 'PTHR28079', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN5', 91353),
(147628, 'PTHR10969:SF52', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 1 LIGHT CHAIN 3 GAMMA,-LIKE', 91354),
(147629, 'PTHR11206:SF344', NULL, NULL, NULL, NULL, 'OS06G0495100 PROTEIN', 91355),
(147630, 'PTHR24062:SF153', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 91356),
(147631, 'PTHR21713:SF3', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA, MUSCLE-SPECIFIC FORM', 91357),
(147632, 'PTHR31218:SF154', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 91358),
(147633, 'PTHR10015:SF328', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR C-2A', 91359),
(147634, 'PTHR43537:SF24', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LGOR-RELATED', 91360),
(147635, 'PTHR13182:SF20', NULL, NULL, NULL, NULL, 'CYTOPLASMIC 60S SUBUNIT BIOGENESIS FACTOR REI1 HOMOLOG 2', 91361),
(147636, 'PTHR16230:SF3', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOMAL ORGANELLES COMPLEX-1, SUBUNIT 4, CAPPUCCINO', 91362),
(147637, 'PTHR45696:SF23', NULL, NULL, NULL, NULL, 'BNAA09G51520D PROTEIN', 91363),
(147638, 'PTHR11216:SF150', NULL, NULL, NULL, NULL, 'RETICULUM GLYCOPROTEIN, PUTATIVE-RELATED', 91364),
(147639, 'PTHR45676:SF83', NULL, NULL, NULL, NULL, 'OS02G0692000 PROTEIN', 91365),
(147640, 'PTHR11493:SF61', NULL, NULL, NULL, NULL, 'BNAA01G31570D PROTEIN', 91366),
(147641, 'PTHR14221:SF57', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 91367),
(147642, 'PTHR12289:SF70', NULL, NULL, NULL, NULL, 'PROTEIN CBG02473', 91368),
(147643, 'PTHR47979:SF20', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 91369),
(147644, 'PTHR45614:SF118', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB3R-1', 91370),
(147645, 'PTHR46389:SF1', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 8', 91371),
(147646, 'PTHR11743:SF12', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL PROTEIN 2', 91372);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(147647, 'PTHR24366:SF92', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT NEURONAL 2', 91373),
(147648, 'PTHR12004', NULL, NULL, NULL, NULL, 'RELAXIN', 91374),
(147649, 'PTHR31790:SF106', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 91375),
(147650, 'PTHR33130:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91376),
(147651, 'PTHR23122:SF42', NULL, NULL, NULL, NULL, 'MENAGE A TROIS, ISOFORM A', 91377),
(147652, 'PTHR12120:SF9', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER EDAR', 91378),
(147653, 'PTHR11474:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91379),
(147654, 'PTHR13778:SF56', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 91380),
(147655, 'PTHR46183:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91381),
(147656, 'PTHR35515:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT N, CHLOROPLASTIC', 91382),
(147657, 'PTHR23262:SF125', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-11', 91383),
(147658, 'PTHR37182', NULL, NULL, NULL, NULL, 'F24J8.11 PROTEIN', 91384),
(147659, 'PTHR33199:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91385),
(147660, 'PTHR24223:SF372', NULL, NULL, NULL, NULL, 'ALPHA-FACTOR-TRANSPORTING ATPASE', 91386),
(147661, 'PTHR24092:SF57', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IF-RELATED', 91387),
(147662, 'PTHR31371:SF9', NULL, NULL, NULL, NULL, 'OS05G0457600 PROTEIN', 91388),
(147663, 'PTHR12128:SF60', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE SYNTHASE-RELATED', 91389),
(147664, 'PTHR18945:SF825', NULL, NULL, NULL, NULL, 'NICOTINIC ACETYLCHOLINE RECEPTOR ALPHA5, ISOFORM B', 91390),
(147665, 'PTHR39668:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91391),
(147666, 'PTHR32044:SF68', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 5-RELATED', 91392),
(147667, 'PTHR45638:SF3', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED OLFACTORY CHANNEL', 91393),
(147668, 'PTHR30204:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91394),
(147669, 'PTHR13952:SF15', NULL, NULL, NULL, NULL, 'BNAC02G41530D PROTEIN', 91395),
(147670, 'PTHR34700:SF4', NULL, NULL, NULL, NULL, 'POTASSIUM BINDING PROTEIN KBP', 91396),
(147671, 'PTHR31897:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04462', 91397),
(147672, 'PTHR41403:SF3', NULL, NULL, NULL, NULL, 'RCG43477-RELATED', 91398),
(147673, 'PTHR24422:SF22', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN', 91399),
(147674, 'PTHR24320:SF221', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', 91400),
(147675, 'PTHR31713:SF58', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 D', 91401),
(147676, 'PTHR33432:SF25', NULL, NULL, NULL, NULL, 'EMSY DOMAIN-CONTAINING PROTEIN, AGENET DOMAIN, PLANT TYPE-RELATED', 91402),
(147677, 'PTHR42940:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91403),
(147678, 'PTHR28520:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 91404),
(147679, 'PTHR31499:SF63', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR APL-LIKE ISOFORM X1', 91405),
(147680, 'PTHR24128:SF52', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT31-RELATED', 91406),
(147681, 'PTHR12080:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91407),
(147682, 'PTHR31221:SF261', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 44-LIKE', 91408),
(147683, 'PTHR31065:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91409),
(147684, 'PTHR33735:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91410),
(147685, 'PTHR33085:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91411),
(147686, 'PTHR23501:SF109', NULL, NULL, NULL, NULL, 'DRUG EFFLUX PUMP, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G02400)-RELATED', 91412),
(147687, 'PTHR45763:SF19', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 91413),
(147688, 'PTHR47989:SF23', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE NCRK ISOFORM X1', 91414),
(147689, 'PTHR11571:SF235', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE P 1-RELATED', 91415),
(147690, 'PTHR23519:SF1', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 22', 91416); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(147691, 'PTHR10353:SF239', NULL, NULL, NULL, NULL, 'BNAC02G40130D PROTEIN', 91417),
(147692, 'PTHR45786:SF42', NULL, NULL, NULL, NULL, 'BNAUNNG03700D PROTEIN', 91418),
(147693, 'PTHR23295', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 5-RELATED', 91419),
(147694, 'PTHR13683:SF805', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 91420),
(147695, 'PTHR37019:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 91421),
(147696, 'PTHR11594:SF2', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27-LIKE', 91422),
(147697, 'PTHR10044:SF166', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 5', 91423),
(147698, 'PTHR14699', NULL, NULL, NULL, NULL, 'STI2 PROTEIN-RELATED', 91424),
(147699, 'PTHR46371', NULL, NULL, NULL, NULL, 'OS04G0464100 PROTEIN', 91425),
(147700, 'PTHR31344:SF13', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 PROTEIN AMINO-TERMINAL DOMAIN PROTEIN', 91426),
(147701, 'PTHR13318:SF41', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 4', 91427),
(147702, 'PTHR33469:SF20', NULL, NULL, NULL, NULL, 'ELF4-LIKE 3-RELATED', 91428),
(147703, 'PTHR42898:SF74', NULL, NULL, NULL, NULL, 'OS03G0268900 PROTEIN', 91429),
(147704, 'PTHR32063:SF30', NULL, NULL, NULL, NULL, 'ACRB/ACRD/ACRF FAMILY PROTEIN', 91430),
(147705, 'PTHR32176:SF48', NULL, NULL, NULL, NULL, 'PATATIN', 91431),
(147706, 'PTHR15924', NULL, NULL, NULL, NULL, 'CLE', 91432),
(147707, 'PTHR32183:SF17', NULL, NULL, NULL, NULL, 'BNAC04G49360D PROTEIN', 91433),
(147708, 'PTHR12806:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING PROTEIN SNF8', 91434),
(147709, 'PTHR44169', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT 1-ACYLDIHYDROXYACETONE PHOSPHATE REDUCTASE', 91435),
(147710, 'PTHR40462:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 91436),
(147711, 'PTHR31681:SF64', NULL, NULL, NULL, NULL, 'BNAA02G09710D PROTEIN', 91437),
(147712, 'PTHR47989:SF40', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ALE2', 91438),
(147713, 'PTHR11311:SF8', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN TYPE-1 DOMAIN-CONTAINING PROTEIN 7A', 91439),
(147714, 'PTHR45988:SF44', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZINC FINGER CONTAINING PROTEIN', 91440),
(147715, 'PTHR45642:SF82', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', 91441),
(147716, 'PTHR23273:SF66', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', 91442),
(147717, 'PTHR47998:SF44', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 91443),
(147718, 'PTHR43625:SF54', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 1-RELATED', 91444),
(147719, 'PTHR12656:SF13', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN LFR-LIKE', 91445),
(147720, 'PTHR21639', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 91446),
(147721, 'PTHR33257:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91447),
(147722, 'PTHR45952:SF10', NULL, NULL, NULL, NULL, 'ALUMINUM INDUCED PROTEIN WITH YGL AND LRDR MOTIF PROTEIN', 91448),
(147723, 'PTHR31069:SF21', NULL, NULL, NULL, NULL, 'CHROMATIN STRUCTURE-REMODELING COMPLEX PROTEIN RSC3-RELATED', 91449),
(147724, 'PTHR34351:SF1', NULL, NULL, NULL, NULL, 'SLR1927 PROTEIN', 91450),
(147725, 'PTHR28630:SF1', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-LIKE 2C', 91451),
(147726, 'PTHR33115:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91452),
(147727, 'PTHR10182:SF32', NULL, NULL, NULL, NULL, 'MO25-LIKE PROTEIN 3', 91453),
(147728, 'PTHR17224:SF5', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE CHLOROPLASTIC', 91454),
(147729, 'PTHR16487:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 2', 91455),
(147730, 'PTHR48217:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91456),
(147731, 'PTHR43384:SF3', NULL, NULL, NULL, NULL, 'CODH NICKEL-INSERTION ACCESSORY PROTEIN', 91457),
(147732, 'PTHR31947:SF28', NULL, NULL, NULL, NULL, 'DNA/RNA-BINDING PROTEIN ALBA-LIKE PROTEIN-RELATED', 91458),
(147733, 'PTHR11786:SF15', NULL, NULL, NULL, NULL, 'ARYLAMINE N-ACETYLTRANSFERASE 4-RELATED', 91459);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(147734, 'PTHR35746', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', 91460),
(147735, 'PTHR12771:SF16', NULL, NULL, NULL, NULL, 'ENGULFMENT AND CELL MOTILITY PROTEIN 3', 91461),
(147736, 'PTHR47971:SF14', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 91462),
(147737, 'PTHR12349', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND LEM DOMAIN-CONTAINING PROTEIN 2', 91463),
(147738, 'PTHR31681:SF77', NULL, NULL, NULL, NULL, 'BNAA02G09770D PROTEIN', 91464),
(147739, 'PTHR27007:SF296', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 91465),
(147740, 'PTHR48048:SF12', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 91466),
(147741, 'PTHR48043:SF51', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 91467),
(147742, 'PTHR30128:SF55', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A2', 91468),
(147743, 'PTHR35531', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YBCI-RELATED', 91469),
(147744, 'PTHR33070:SF42', NULL, NULL, NULL, NULL, 'OS08G0551250 PROTEIN', 91470),
(147745, 'PTHR36432:SF1', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN T', 91471),
(147746, 'PTHR11051:SF12', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE-RELATED', 91472),
(147747, 'PTHR11119:SF107', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER-LIKE PROTEIN', 91473),
(147748, 'PTHR47098:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MAK32', 91474),
(147749, 'PTHR11885:SF21', NULL, NULL, NULL, NULL, 'BNAA04G26120D PROTEIN', 91475),
(147750, 'PTHR47076:SF1', NULL, NULL, NULL, NULL, 'NHL DOMAIN PROTEIN', 91476),
(147751, 'PTHR28026:SF9', NULL, NULL, NULL, NULL, 'DUF962 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_8G05310)', 91477),
(147752, 'PTHR42693:SF11', NULL, NULL, NULL, NULL, 'ARYLSULFATASE A', 91478),
(147753, 'PTHR47925:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91479),
(147754, 'PTHR12385:SF88', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN CTL1', 91480),
(147755, 'PTHR37387', NULL, NULL, NULL, NULL, 'PROTEIN SAMBA', 91481),
(147756, 'PTHR12311:SF7', NULL, NULL, NULL, NULL, 'ACTIVATOR OF BASAL TRANSCRIPTION 1', 91482),
(147757, 'PTHR33293:SF1', NULL, NULL, NULL, NULL, 'INSERTION ELEMENT IS1 1 PROTEIN INSB-RELATED', 91483),
(147758, 'PTHR27006:SF409', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 91484),
(147759, 'PTHR23176:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91485),
(147760, 'PTHR31945:SF63', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH90', 91486),
(147761, 'PTHR28242:SF5', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 1', 91487),
(147762, 'PTHR37315', NULL, NULL, NULL, NULL, 'UPF0311 PROTEIN BLR7842', 91488),
(147763, 'PTHR15021:SF0', NULL, NULL, NULL, NULL, 'DISCO-RELATED, ISOFORM A-RELATED', 91489),
(147764, 'PTHR15952:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91490),
(147765, 'PTHR13286:SF16', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP30/SAP30-LIKE PROTEIN-RELATED', 91491),
(147766, 'PTHR34057:SF10', NULL, NULL, NULL, NULL, 'BNAA08G15670D PROTEIN', 91492),
(147767, 'PTHR33359', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN SYNTHASE SULFUR CARRIER SUBUNIT', 91493),
(147768, 'PTHR27002:SF352', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-13', 91494),
(147769, 'PTHR11127:SF12', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L14, TRANSLATION PROTEIN SH3-LIKE DOMAIN PROTEIN-RELATED', 91495),
(147770, 'PTHR10812:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-2-DELTA', 91496),
(147771, 'PTHR13595', NULL, NULL, NULL, NULL, 'ARL6IP4 PROTEIN', 91497),
(147772, 'PTHR33878:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91498),
(147773, 'PTHR32278:SF73', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, PHLOEM PROTEIN 2-LIKE PROTEIN-RELATED', 91499),
(147774, 'PTHR32370:SF87', NULL, NULL, NULL, NULL, 'BNAA09G51050D PROTEIN', 91500),
(147775, 'PTHR30011:SF41', NULL, NULL, NULL, NULL, 'XENOBIOTIC COMPOUND MONOOXYGENASE, DSZA FAMILY (AFU_ORTHOLOGUE AFUA_3G15040)', 91501),
(147776, 'PTHR24034:SF90', NULL, NULL, NULL, NULL, 'NIDOGEN (BASEMENT MEMBRANE PROTEIN)', 91502);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(147777, 'PTHR11062:SF319', NULL, NULL, NULL, NULL, 'BNAA04G16810D PROTEIN', 91503),
(147778, 'PTHR31882:SF3', NULL, NULL, NULL, NULL, 'TNFAIP3-INTERACTING PROTEIN 1', 91504),
(147779, 'PTHR11635:SF159', NULL, NULL, NULL, NULL, 'CAMP/CGMP-DEPENDENT 3'',5''-CAMP/CGMP PHOSPHODIESTERASE B', 91505),
(147780, 'PTHR35828:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91506),
(147781, 'PTHR32227:SF368', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91507),
(147782, 'PTHR11758:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15A-2', 91508),
(147783, 'PTHR24408:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 316-RELATED', 91509),
(147784, 'PTHR47517:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 91510),
(147785, 'PTHR24104', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NHLRC1-RELATED', 91511),
(147786, 'PTHR13224:SF6', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 16', 91512),
(147787, 'PTHR24234:SF8', NULL, NULL, NULL, NULL, 'ZGC:171579', 91513),
(147788, 'PTHR14726', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 91514),
(147789, 'PTHR43705:SF1', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE GLOB', 91515),
(147790, 'PTHR33130:SF59', NULL, NULL, NULL, NULL, 'BNAC01G21000D PROTEIN', 91516),
(147791, 'PTHR31642:SF142', NULL, NULL, NULL, NULL, 'ALCOHOL ACYLTRANSFERASE', 91517),
(147792, 'PTHR35408:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', 91518),
(147793, 'PTHR31388:SF218', NULL, NULL, NULL, NULL, 'PEROXIDASE', 91519),
(147794, 'PTHR10671:SF92', NULL, NULL, NULL, NULL, 'GSG1-LIKE 2A', 91520),
(147795, 'PTHR24281:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91521),
(147796, 'PTHR45850:SF5', NULL, NULL, NULL, NULL, 'SORTING NEXIN-5', 91522),
(147797, 'PTHR15153:SF0', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 9', 91523),
(147798, 'PTHR48047:SF120', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 91524),
(147799, 'PTHR31616:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91525),
(147800, 'PTHR48018:SF126', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 91526),
(147801, 'PTHR24103:SF648', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM11', 91527),
(147802, 'PTHR14315', NULL, NULL, NULL, NULL, 'SPOT14 FAMILY MEMBER', 91528),
(147803, 'PTHR33879:SF14', NULL, NULL, NULL, NULL, 'SHOCK 22 KDA PROTEIN, PUTATIVE-RELATED', 91529),
(147804, 'PTHR42958:SF1', NULL, NULL, NULL, NULL, 'HYDROGENASE-2 LARGE CHAIN', 91530),
(147805, 'PTHR24637:SF279', NULL, NULL, NULL, NULL, 'COLLAGEN', 91531),
(147806, 'PTHR45620:SF21', NULL, NULL, NULL, NULL, 'CALCITONIN GENE-RELATED PEPTIDE TYPE 1 RECEPTOR', 91532),
(147807, 'PTHR10122:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5B-2 MITOCHONDRIAL', 91533),
(147808, 'PTHR47442:SF1', NULL, NULL, NULL, NULL, 'MYND-TYPE ZINC FINGER PROTEIN MUB1', 91534),
(147809, 'PTHR11255:SF86', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 3', 91535),
(147810, 'PTHR33124:SF82', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING SUPERFAMILY PROTEIN-RELATED', 91536),
(147811, 'PTHR35630:SF1', NULL, NULL, NULL, NULL, 'LEGUMINOSIN GROUP486 SECRETED PEPTIDE', 91537),
(147812, 'PTHR35318:SF2', NULL, NULL, NULL, NULL, 'BNAA10G08410D PROTEIN', 91538),
(147813, 'PTHR32018:SF23', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', 91539),
(147814, 'PTHR22045', NULL, NULL, NULL, NULL, 'PROLINE AND SERINE-RICH PROTEIN 3', 91540),
(147815, 'PTHR19375:SF398', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 3', 91541),
(147816, 'PTHR23504:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91542),
(147817, 'PTHR16684:SF12', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN C', 91543),
(147818, 'PTHR24214:SF1', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN 2', 91544),
(147819, 'PTHR10795:SF583', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91545),
(147820, 'PTHR46247:SF1', NULL, NULL, NULL, NULL, 'CRS2-ASSOCIATED FACTOR 1, CHLOROPLASTIC', 91546),
(147821, 'PTHR30477:SF18', NULL, NULL, NULL, NULL, 'METAL TRANSPORT SYSTEM MEMBRANE PROTEIN CT_417-RELATED', 91547);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(147822, 'PTHR31117', NULL, NULL, NULL, NULL, 'PROTEIN KREG-1', 91548),
(147823, 'PTHR30483:SF38', NULL, NULL, NULL, NULL, 'BLR7848 PROTEIN', 91549),
(147824, 'PTHR31221:SF246', NULL, NULL, NULL, NULL, 'BNACNNG68630D PROTEIN', 91550),
(147825, 'PTHR11514:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MTB1', 91551),
(147826, 'PTHR14074:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91552),
(147827, 'PTHR34389', NULL, NULL, NULL, NULL, 'L-RHAMNOSE MUTAROTASE', 91553),
(147828, 'PTHR31807:SF32', NULL, NULL, NULL, NULL, 'QWRF MOTIF-CONTAINING PROTEIN 2', 91554),
(147829, 'PTHR47995:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB5', 91555),
(147830, 'PTHR28244:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN11', 91556),
(147831, 'PTHR34569', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 91557),
(147832, 'PTHR13544:SF5', NULL, NULL, NULL, NULL, 'OS01G0832200 PROTEIN', 91558),
(147833, 'PTHR32254:SF5', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN', 91559),
(147834, 'PTHR23328', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 91560),
(147835, 'PTHR31342:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC-LIKE', 91561),
(147836, 'PTHR32153:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91562),
(147837, 'PTHR36932:SF1', NULL, NULL, NULL, NULL, 'CAPSULAR POLYSACCHARIDE BIOSYNTHESIS PROTEIN', 91563),
(147838, 'PTHR23050:SF434', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN', 91564),
(147839, 'PTHR47999:SF18', NULL, NULL, NULL, NULL, 'BNACNNG52970D PROTEIN', 91565),
(147840, 'PTHR45725:SF1', NULL, NULL, NULL, NULL, 'DISHEVELED-ASSOCIATED ACTIVATOR OF MORPHOGENESIS 1', 91566),
(147841, 'PTHR23515:SF25', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 2.1-RELATED', 91567),
(147842, 'PTHR45626:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91568),
(147843, 'PTHR11141:SF18', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', 91569),
(147844, 'PTHR45986', NULL, NULL, NULL, NULL, 'ZINC FINGER MATRIN-TYPE PROTEIN 2', 91570),
(147845, 'PTHR11017:SF346', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE ISOFORM X1', 91571),
(147846, 'PTHR23055:SF111', NULL, NULL, NULL, NULL, 'NEURONAL CALCIUM SENSOR FAMILY', 91572),
(147847, 'PTHR14619:SF3', NULL, NULL, NULL, NULL, 'FI20196P1', 91573),
(147848, 'PTHR15273:SF4', NULL, NULL, NULL, NULL, 'CERBERUS', 91574),
(147849, 'PTHR24123:SF92', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 23', 91575),
(147850, 'PTHR34386:SF1', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN NRDH', 91576),
(147851, 'PTHR11206:SF387', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 91577),
(147852, 'PTHR31375:SF112', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE ADPG1', 91578),
(147853, 'PTHR45699:SF14', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', 91579),
(147854, 'PTHR47530', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE BIG BROTHER-RELATED', 91580),
(147855, 'PTHR31963:SF14', NULL, NULL, NULL, NULL, 'EXTRACELLULAR LIGAND-GATED ION CHANNEL PROTEIN (DUF3537)', 91581),
(147856, 'PTHR48008:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91582),
(147857, 'PTHR21403:SF8', NULL, NULL, NULL, NULL, 'ATP PHOSPHORIBOSYLTRANSFERASE 2, CHLOROPLASTIC', 91583),
(147858, 'PTHR31238:SF190', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 91584),
(147859, 'PTHR18860:SF17', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN EPSILON', 91585),
(147860, 'PTHR14693:SF0', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700018B08', 91586),
(147861, 'PTHR39945:SF1', NULL, NULL, NULL, NULL, 'FI14129P', 91587),
(147862, 'PTHR45960:SF3', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED-BINDING PROTEIN 3', 91588),
(147863, 'PTHR14614:SF97', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE EEF2KMT', 91589),
(147864, 'PTHR24298:SF852', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 91590),
(147865, 'PTHR11746:SF265', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE 2-RELATED', 91591),
(147866, 'PTHR13844:SF16', NULL, NULL, NULL, NULL, 'SWI/SNF NUCLEOSOME REMODELING COMPLEX COMPONENT', 91592); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(147867, 'PTHR34119:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91593),
(147868, 'PTHR22814:SF298', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 27-LIKE', 91594),
(147869, 'PTHR38339', NULL, NULL, NULL, NULL, 'TRANSGLUTAMINASE DOMAIN PROTEIN', 91595),
(147870, 'PTHR10742:SF351', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC HISTONE DEMETHYLASE 1-RELATED', 91596),
(147871, 'PTHR42920', NULL, NULL, NULL, NULL, 'OS03G0707200 PROTEIN-RELATED', 91597),
(147872, 'PTHR46214:SF23', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN-RELATED', 91598),
(147873, 'PTHR15454:SF23', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 49', 91599),
(147874, 'PTHR24056:SF166', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE FAMILY', 91600),
(147875, 'PTHR10052:SF45', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', 91601),
(147876, 'PTHR11241:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91602),
(147877, 'PTHR48080:SF3', NULL, NULL, NULL, NULL, 'ENOLASE SUPERFAMILY MEMBER DDB_G0284701', 91603),
(147878, 'PTHR30046:SF0', NULL, NULL, NULL, NULL, 'FLAGELLAR M-RING PROTEIN', 91604),
(147879, 'PTHR30540:SF112', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 27', 91605),
(147880, 'PTHR14224:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91606),
(147881, 'PTHR10285:SF142', NULL, NULL, NULL, NULL, 'URIDINE KINASE-LIKE PROTEIN 2, CHLOROPLASTIC', 91607),
(147882, 'PTHR12706:SF8', NULL, NULL, NULL, NULL, 'PROTEIN STRAWBERRY NOTCH HOMOLOG 1', 91608),
(147883, 'PTHR31790:SF296', NULL, NULL, NULL, NULL, 'BNAA01G21730D PROTEIN', 91609),
(147884, 'PTHR39226', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700013G24 GENE', 91610),
(147885, 'PTHR31696:SF77', NULL, NULL, NULL, NULL, 'OS08G0171800 PROTEIN', 91611),
(147886, 'PTHR11709:SF27', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE HOMOLOG', 91612),
(147887, 'PTHR34049:SF10', NULL, NULL, NULL, NULL, 'BNAA01G22590D PROTEIN', 91613),
(147888, 'PTHR23105:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91614),
(147889, 'PTHR47075:SF7', NULL, NULL, NULL, NULL, 'BNAC01G42730D PROTEIN', 91615),
(147890, 'PTHR11783:SF169', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 1', 91616),
(147891, 'PTHR23137:SF36', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN SFT2C', 91617),
(147892, 'PTHR22035:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91618),
(147893, 'PTHR43323:SF14', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA SYNTHASE A', 91619),
(147894, 'PTHR22943:SF81', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 91620),
(147895, 'PTHR45690:SF17', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 4F', 91621),
(147896, 'PTHR31682:SF19', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN-PROTEIN SYNTHASE [UDP-FORMING]-LIKE PROTEIN', 91622),
(147897, 'PTHR15588:SF9', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM8', 91623),
(147898, 'PTHR43336:SF3', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', 91624),
(147899, 'PTHR46602:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF GENE SILENCING 3', 91625),
(147900, 'PTHR10751:SF62', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 6', 91626),
(147901, 'PTHR14336:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91627),
(147902, 'PTHR31705:SF5', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 30', 91628),
(147903, 'PTHR33057:SF117', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP14', 91629),
(147904, 'PTHR46649:SF6', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', 91630),
(147905, 'PTHR36707:SF2', NULL, NULL, NULL, NULL, 'BNAC04G42350D PROTEIN', 91631),
(147906, 'PTHR48043:SF24', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 3A2', 91632),
(147907, 'PTHR24075:SF13', NULL, NULL, NULL, NULL, 'U5 SMALL NUCLEAR RIBONUCLEOPROTEIN 200 KDA HELICASE', 91633),
(147908, 'PTHR23502:SF4', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07120)-RELATED', 91634),
(147909, 'PTHR35466', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 1', 91635);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(147910, 'PTHR11802:SF360', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 36-RELATED', 91636),
(147911, 'PTHR11595:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91637),
(147912, 'PTHR47958:SF42', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE GLH-1-RELATED', 91638),
(147913, 'PTHR45626:SF35', NULL, NULL, NULL, NULL, 'BNAC03G41330D PROTEIN', 91639),
(147914, 'PTHR47546:SF2', NULL, NULL, NULL, NULL, 'BNAC05G12060D PROTEIN', 91640),
(147915, 'PTHR33091:SF38', NULL, NULL, NULL, NULL, 'OS12G0437800 PROTEIN', 91641),
(147916, 'PTHR13018:SF111', NULL, NULL, NULL, NULL, 'CALCIUM PERMEABLE STRESS-GATED CATION CHANNEL 1', 91642),
(147917, 'PTHR23056:SF92', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 8', 91643),
(147918, 'PTHR45801:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER C2H2-TYPE/INTEGRASE DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 91644),
(147919, 'PTHR35832:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91645),
(147920, 'PTHR11700:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91646),
(147921, 'PTHR47938:SF3', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 91647),
(147922, 'PTHR11566:SF32', NULL, NULL, NULL, NULL, 'DYNAMIN-1', 91648),
(147923, 'PTHR32044:SF16', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 7-RELATED', 91649),
(147924, 'PTHR24349:SF349', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 18', 91650),
(147925, 'PTHR47976:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE, PLANT-TYPE PROTEIN', 91651),
(147926, 'PTHR32227:SF308', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-LIKE', 91652),
(147927, 'PTHR37335:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700003F12 GENE', 91653),
(147928, 'PTHR10587:SF129', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE DEACETYLASE', 91654),
(147929, 'PTHR11926:SF1359', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 91655),
(147930, 'PTHR10459:SF43', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 91656),
(147931, 'PTHR33923:SF3', NULL, NULL, NULL, NULL, 'CALMODULIN BINDING PROTEIN PICBP', 91657),
(147932, 'PTHR13832:SF671', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 66-RELATED', 91658),
(147933, 'PTHR32153', NULL, NULL, NULL, NULL, 'OJ000223_09.16 PROTEIN', 91659),
(147934, 'PTHR12663:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91660),
(147935, 'PTHR46267:SF16', NULL, NULL, NULL, NULL, 'BNAA06G37640D PROTEIN', 91661),
(147936, 'PTHR31072:SF120', NULL, NULL, NULL, NULL, 'OSJNBA0038O10.11 PROTEIN', 91662),
(147937, 'PTHR31042:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91663),
(147938, 'PTHR46502:SF14', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 91664),
(147939, 'PTHR34851:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG22009', 91665),
(147940, 'PTHR43900:SF62', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F4', 91666),
(147941, 'PTHR11860:SF83', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 1', 91667),
(147942, 'PTHR33086', NULL, NULL, NULL, NULL, 'OS05G0468200 PROTEIN-RELATED', 91668),
(147943, 'PTHR43168:SF5', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L33 2', 91669),
(147944, 'PTHR47486:SF1', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE-LIKE PROTEIN 1', 91670),
(147945, 'PTHR20854:SF4', NULL, NULL, NULL, NULL, 'GH15479P-RELATED', 91671),
(147946, 'PTHR33142:SF72', NULL, NULL, NULL, NULL, 'BNAANNG27480D PROTEIN', 91672),
(147947, 'PTHR45904:SF2', NULL, NULL, NULL, NULL, 'TRNA (URACIL-5-)-METHYLTRANSFERASE HOMOLOG A', 91673),
(147948, 'PTHR32370:SF85', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN SETH6', 91674),
(147949, 'PTHR38092:SF1', NULL, NULL, NULL, NULL, 'REGULATOR CUDA, PUTATIVE-RELATED', 91675),
(147950, 'PTHR45789:SF2', NULL, NULL, NULL, NULL, 'FI18025P1', 91676),
(147951, 'PTHR20961:SF124', NULL, NULL, NULL, NULL, 'HGA1-LIKE PROTEIN', 91677),
(147952, 'PTHR32002:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91678),
(147953, 'PTHR48054:SF33', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE', 91679),
(147954, 'PTHR33517:SF4', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 46', 91680);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(147955, 'PTHR48001:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91681),
(147956, 'PTHR43601:SF25', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 1-1, CHLOROPLASTIC', 91682),
(147957, 'PTHR37324:SF4', NULL, NULL, NULL, NULL, 'PERMEASE IIC COMPONENT-RELATED', 91683),
(147958, 'PTHR43684:SF2', NULL, NULL, NULL, NULL, 'CHROMODOMAIN Y-LIKE PROTEIN 2', 91684),
(147959, 'PTHR11814:SF218', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 4.1, CHLOROPLASTIC-LIKE', 91685),
(147960, 'PTHR45048', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 91686),
(147961, 'PTHR31147:SF1', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 4', 91687),
(147962, 'PTHR22835:SF534', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91688),
(147963, 'PTHR46128:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91689),
(147964, 'PTHR32141:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91690),
(147965, 'PTHR23050:SF244', NULL, NULL, NULL, NULL, 'TROPONIN C, ISOFORM 2-RELATED', 91691),
(147966, 'PTHR21422:SF12', NULL, NULL, NULL, NULL, 'RAB3 GTPASE-ACTIVATING PROTEIN CATALYTIC SUBUNIT-RELATED', 91692),
(147967, 'PTHR12792:SF1', NULL, NULL, NULL, NULL, 'BNAC04G05300D PROTEIN', 91693),
(147968, 'PTHR33227:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91694),
(147969, 'PTHR39308:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91695),
(147970, 'PTHR37251:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91696),
(147971, 'PTHR47933:SF12', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 91697),
(147972, 'PTHR45744:SF10', NULL, NULL, NULL, NULL, 'CYSTINE LYASE CORI3-RELATED', 91698),
(147973, 'PTHR21600:SF72', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE A, PUTATIVE-RELATED', 91699),
(147974, 'PTHR31723:SF10', NULL, NULL, NULL, NULL, 'PATHOGEN-RELATED PROTEIN-LIKE', 91700),
(147975, 'PTHR43939:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91701),
(147976, 'PTHR19443:SF24', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', 91702),
(147977, 'PTHR37690:SF1', NULL, NULL, NULL, NULL, 'CHORISMATE DEHYDRATASE', 91703),
(147978, 'PTHR46128:SF133', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 91704),
(147979, 'PTHR22928:SF3', NULL, NULL, NULL, NULL, 'TELOMERE-ASSOCIATED PROTEIN RIF1', 91705),
(147980, 'PTHR33453:SF15', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 91706),
(147981, 'PTHR10996:SF236', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91707),
(147982, 'PTHR47680:SF3', NULL, NULL, NULL, NULL, 'METALLO-DEPENDENT PHOSPHATASE-LIKE PROTEIN-RELATED', 91708),
(147983, 'PTHR33065:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91709),
(147984, 'PTHR33936:SF2', NULL, NULL, NULL, NULL, 'MODIFIER OF CELL DEATH', 91710),
(147985, 'PTHR13068:SF135', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF8, CHLOROPLASTIC', 91711),
(147986, 'PTHR11062:SF298', NULL, NULL, NULL, NULL, 'BNAA02G13120D PROTEIN', 91712),
(147987, 'PTHR46407:SF8', NULL, NULL, NULL, NULL, 'OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 91713),
(147988, 'PTHR47811', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE D', 91714),
(147989, 'PTHR37725', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 91715),
(147990, 'PTHR26452:SF191', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 495-RELATED', 91716),
(147991, 'PTHR46264:SF5', NULL, NULL, NULL, NULL, 'OS02G0722001 PROTEIN', 91717),
(147992, 'PTHR15549:SF6', NULL, NULL, NULL, NULL, 'CELL WALL INTEGRITY AND STRESS RESPONSE COMPONENT 2-RELATED', 91718),
(147993, 'PTHR31557', NULL, NULL, NULL, NULL, '5C820-RELATED-RELATED', 91719),
(147994, 'PTHR31813:SF6', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 23C', 91720),
(147995, 'PTHR15635:SF10', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 9B', 91721),
(147996, 'PTHR12411:SF711', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91722),
(147997, 'PTHR39653:SF2', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 22-1', 91723),
(147998, 'PTHR48104:SF34', NULL, NULL, NULL, NULL, 'OS01G0799900 PROTEIN', 91724),
(147999, 'PTHR42987:SF2', NULL, NULL, NULL, NULL, 'PROTEASE SLR0021-RELATED', 91725);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(148000, 'PTHR48044:SF53', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 91726),
(148001, 'PTHR13681:SF24', NULL, NULL, NULL, NULL, 'RE01471P', 91727),
(148002, 'PTHR31917:SF86', NULL, NULL, NULL, NULL, 'FINGER TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 91728),
(148003, 'PTHR24296:SF105', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 96, SUBFAMILY A, POLYPEPTIDE 3', 91729),
(148004, 'PTHR43427:SF3', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-F', 91730),
(148005, 'PTHR31232:SF22', NULL, NULL, NULL, NULL, 'BNAA08G19890D PROTEIN', 91731),
(148006, 'PTHR23201:SF99', NULL, NULL, NULL, NULL, 'OS07G0592000 PROTEIN', 91732),
(148007, 'PTHR43391:SF1', NULL, NULL, NULL, NULL, 'ZMP:0000001048', 91733),
(148008, 'PTHR47982:SF44', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK13-RELATED', 91734),
(148009, 'PTHR31288:SF22', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 9', 91735),
(148010, 'PTHR10942', NULL, NULL, NULL, NULL, 'LEISHMANOLYSIN-LIKE PEPTIDASE', 91736),
(148011, 'PTHR30546:SF37', NULL, NULL, NULL, NULL, 'NAD(P)H:QUINONE OXIDOREDUCTASE, TYPE IV PROTEIN', 91737),
(148012, 'PTHR46635:SF2', NULL, NULL, NULL, NULL, 'OS10G0546200 PROTEIN', 91738),
(148013, 'PTHR15228:SF18', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 45', 91739),
(148014, 'PTHR11188:SF83', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', 91740),
(148015, 'PTHR12080:SF49', NULL, NULL, NULL, NULL, 'SIGNALING LYMPHOCYTIC ACTIVATION MOLECULE', 91741),
(148016, 'PTHR31677:SF111', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 91742),
(148017, 'PTHR27000:SF737', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RPK2', 91743),
(148018, 'PTHR18945:SF834', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 91744),
(148019, 'PTHR11360:SF136', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 22-2', 91745),
(148020, 'PTHR34491:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91746),
(148021, 'PTHR30600:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME C PEROXIDASE', 91747),
(148022, 'PTHR13952:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91748),
(148023, 'PTHR10093:SF16', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY ENZYME ISCU, MITOCHONDRIAL', 91749),
(148024, 'PTHR33491:SF19', NULL, NULL, NULL, NULL, 'OS10G0162840 PROTEIN', 91750),
(148025, 'PTHR47337', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 91751),
(148026, 'PTHR23267:SF335', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 7-43', 91752),
(148027, 'PTHR31623:SF67', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', 91753),
(148028, 'PTHR31867:SF113', NULL, NULL, NULL, NULL, 'EXPANSIN-A32', 91754),
(148029, 'PTHR42736', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE', 91755),
(148030, 'PTHR46301:SF17', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', 91756),
(148031, 'PTHR26379:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91757),
(148032, 'PTHR11863:SF189', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 1-LIKE', 91758),
(148033, 'PTHR31751:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-108C17.2-RELATED', 91759),
(148034, 'PTHR23055:SF20', NULL, NULL, NULL, NULL, 'RECOVERIN', 91760),
(148035, 'PTHR33374:SF32', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 16', 91761),
(148036, 'PTHR36802:SF1', NULL, NULL, NULL, NULL, 'OS02G0815400 PROTEIN', 91762),
(148037, 'PTHR28082', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 91763),
(148038, 'PTHR33115:SF55', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 91764),
(148039, 'PTHR36781', NULL, NULL, NULL, NULL, 'OS05G0114600 PROTEIN', 91765),
(148040, 'PTHR10641:SF1301', NULL, NULL, NULL, NULL, 'BNAA05G32240D PROTEIN', 91766),
(148041, 'PTHR32254:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 91767),
(148042, 'PTHR31549:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91768),
(148043, 'PTHR10641:SF1235', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 91769),
(148044, 'PTHR26450:SF51', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 91770);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(148045, 'PTHR24103:SF47', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM38', 91771),
(148046, 'PTHR38409', NULL, NULL, NULL, NULL, 'MDM10-COMPLEMENTING PROTEIN 1', 91772),
(148047, 'PTHR10314:SF121', NULL, NULL, NULL, NULL, 'OS05G0549700 PROTEIN', 91773),
(148048, 'PTHR46281:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B-LIKE-RELATED', 91774),
(148049, 'PTHR47630', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED-RELATED', 91775),
(148050, 'PTHR11071:SF501', NULL, NULL, NULL, NULL, '40 KDA PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 91776),
(148051, 'PTHR37532', NULL, NULL, NULL, NULL, 'PROTEIN ISCX', 91777),
(148052, 'PTHR11668:SF452', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 7', 91778),
(148053, 'PTHR31175:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91779),
(148054, 'PTHR24247:SF236', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 6', 91780),
(148055, 'PTHR11537:SF90', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY G MEMBER 2', 91781),
(148056, 'PTHR24329:SF405', NULL, NULL, NULL, NULL, 'RETINAL HOMEOBOX PROTEIN RX', 91782),
(148057, 'PTHR37077:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91783),
(148058, 'PTHR24367:SF268', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT LGI FAMILY MEMBER 4', 91784),
(148059, 'PTHR45786:SF49', NULL, NULL, NULL, NULL, 'BNAC09G43330D PROTEIN', 91785),
(148060, 'PTHR46236:SF19', NULL, NULL, NULL, NULL, 'BNAA01G22290D PROTEIN', 91786),
(148061, 'PTHR31704:SF42', NULL, NULL, NULL, NULL, 'BNAA01G30910D PROTEIN', 91787),
(148062, 'PTHR45694:SF16', NULL, NULL, NULL, NULL, 'BNAA01G08160D PROTEIN', 91788),
(148063, 'PTHR32142:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91789),
(148064, 'PTHR33403:SF34', NULL, NULL, NULL, NULL, 'SPR1', 91790),
(148065, 'PTHR10390:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91791),
(148066, 'PTHR31140:SF98', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN', 91792),
(148067, 'PTHR48052:SF36', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 91793),
(148068, 'PTHR23406:SF78', NULL, NULL, NULL, NULL, 'MALIC ENZYME', 91794),
(148069, 'PTHR46477:SF18', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 91795),
(148070, 'PTHR22847:SF617', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91796),
(148071, 'PTHR13144', NULL, NULL, NULL, NULL, 'TEX261 PROTEIN', 91797),
(148072, 'PTHR27003:SF39', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 91798),
(148073, 'PTHR24247:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91799),
(148074, 'PTHR11746:SF169', NULL, NULL, NULL, NULL, 'CAFFEIC ACID O-METHYLTRANSFERASE', 91800),
(148075, 'PTHR24393:SF49', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GFI-1B', 91801),
(148076, 'PTHR31923:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91802),
(148077, 'PTHR11064:SF129', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-2', 91803),
(148078, 'PTHR24134:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91804),
(148079, 'PTHR47292:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR (TFIIS) FAMILY PROTEIN', 91805),
(148080, 'PTHR43243:SF76', NULL, NULL, NULL, NULL, 'BNAC03G64380D PROTEIN', 91806),
(148081, 'PTHR21058:SF0', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE', 91807),
(148082, 'PTHR11394:SF127', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 43', 91808),
(148083, 'PTHR11481:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91809),
(148084, 'PTHR11614:SF155', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 91810),
(148085, 'PTHR31636:SF230', NULL, NULL, NULL, NULL, 'BNAC07G03310D PROTEIN', 91811),
(148086, 'PTHR34998:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91812),
(148087, 'PTHR30295:SF1', NULL, NULL, NULL, NULL, 'DNA PROTECTION DURING STARVATION PROTEIN', 91813),
(148088, 'PTHR47293:SF44', NULL, NULL, NULL, NULL, 'BNAA01G28070D PROTEIN', 91814),
(148089, 'PTHR47926:SF138', NULL, NULL, NULL, NULL, 'OS03G0852700 PROTEIN', 91815);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(148090, 'PTHR21139:SF6', NULL, NULL, NULL, NULL, 'OS01G0841600 PROTEIN', 91816),
(148091, 'PTHR33207:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91817),
(148092, 'PTHR32295:SF171', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 25', 91818),
(148093, 'PTHR12231:SF247', NULL, NULL, NULL, NULL, 'DPR-INTERACTING PROTEIN DELTA, ISOFORM D', 91819),
(148094, 'PTHR31438', NULL, NULL, NULL, NULL, 'LYSINE N-ACYLTRANSFERASE C17G9.06C-RELATED', 91820),
(148095, 'PTHR47875', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP28, CHLOROPLASTIC', 91821),
(148096, 'PTHR13356:SF3', NULL, NULL, NULL, NULL, 'SOSS COMPLEX SUBUNIT B1', 91822),
(148097, 'PTHR31639:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91823),
(148098, 'PTHR12486:SF4', NULL, NULL, NULL, NULL, 'APRATAXIN', 91824),
(148099, 'PTHR45764:SF59', NULL, NULL, NULL, NULL, 'BNAANNG05020D PROTEIN', 91825),
(148100, 'PTHR24320:SF235', NULL, NULL, NULL, NULL, 'BNAA03G48800D PROTEIN', 91826),
(148101, 'PTHR12300:SF114', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 91827),
(148102, 'PTHR10792:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24-1-RELATED', 91828),
(148103, 'PTHR34837:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91829),
(148104, 'PTHR23024:SF465', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE', 91830),
(148105, 'PTHR12677:SF54', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN FAMILY-RELATED', 91831),
(148106, 'PTHR32467:SF96', NULL, NULL, NULL, NULL, 'OS03G0313100 PROTEIN', 91832),
(148107, 'PTHR22990', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN', 91833),
(148108, 'PTHR12665:SF7', NULL, NULL, NULL, NULL, 'ORM1-LIKE PROTEIN', 91834),
(148109, 'PTHR43155:SF6', NULL, NULL, NULL, NULL, 'SIGNALING PROTEIN-RELATED', 91835),
(148110, 'PTHR23050:SF395', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', 91836),
(148111, 'PTHR10641:SF1021', NULL, NULL, NULL, NULL, 'PROTEIN ODORANT1-LIKE', 91837),
(148112, 'PTHR33912:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91838),
(148113, 'PTHR37972:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11222', 91839),
(148114, 'PTHR24230:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91840),
(148115, 'PTHR36982:SF3', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 22', 91841),
(148116, 'PTHR31944:SF129', NULL, NULL, NULL, NULL, 'ASPYRIDONES CLUSTER REGULATOR APDR-RELATED', 91842),
(148117, 'PTHR32009', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 91843),
(148118, 'PTHR36375:SF1', NULL, NULL, NULL, NULL, 'OS05G0459300 PROTEIN', 91844),
(148119, 'PTHR36786:SF1', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE', 91845),
(148120, 'PTHR46957', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR', 91846),
(148121, 'PTHR10270:SF161', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-15-RELATED', 91847),
(148122, 'PTHR27002:SF532', NULL, NULL, NULL, NULL, 'OS07G0537500 PROTEIN', 91848),
(148123, 'PTHR42806:SF1', NULL, NULL, NULL, NULL, 'GLYCINE DEHYDROGENASE (DECARBOXYLATING) SUBUNIT 1-RELATED', 91849),
(148124, 'PTHR44579:SF6', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK AMINO-TERMINAL DOMAIN PROTEIN', 91850),
(148125, 'PTHR36372:SF3', NULL, NULL, NULL, NULL, 'BNACNNG62890D PROTEIN', 91851),
(148126, 'PTHR35732:SF1', NULL, NULL, NULL, NULL, 'OS10G0545100 PROTEIN', 91852),
(148127, 'PTHR27007:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91853),
(148128, 'PTHR31680:SF15', NULL, NULL, NULL, NULL, 'PROTEIN LONGIFOLIA 2', 91854),
(148129, 'PTHR11538:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91855),
(148130, 'PTHR31503:SF42', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', 91856),
(148131, 'PTHR31727:SF17', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', 91857),
(148132, 'PTHR23064:SF62', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 91858),
(148133, 'PTHR27003:SF336', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 91859),
(148134, 'PTHR47976:SF15', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', 91860),
(148135, 'PTHR23333', NULL, NULL, NULL, NULL, 'UBX DOMAIN CONTAINING PROTEIN', 91861);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(148136, 'PTHR32133:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91862),
(148137, 'PTHR31664:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG16840', 91863),
(148138, 'PTHR42852:SF12', NULL, NULL, NULL, NULL, 'THIOL-DISULFIDE OXIDOREDUCTASE YKUV', 91864),
(148139, 'PTHR24366:SF102', NULL, NULL, NULL, NULL, 'HATTIFATTENER, ISOFORM C-RELATED', 91865),
(148140, 'PTHR30031:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE 2', 91866),
(148141, 'PTHR46629:SF6', NULL, NULL, NULL, NULL, 'LON PEPTIDASE N-TERMINAL DOMAIN AND RING FINGER PROTEIN 3-LIKE', 91867),
(148142, 'PTHR16294:SF7', NULL, NULL, NULL, NULL, 'DYSBINDIN DOMAIN-CONTAINING PROTEIN 2', 91868),
(148143, 'PTHR31509:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91869),
(148144, 'PTHR11206:SF109', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 34', 91870),
(148145, 'PTHR36811', NULL, NULL, NULL, NULL, 'OS08G0444440 PROTEIN', 91871),
(148146, 'PTHR33985:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91872),
(148147, 'PTHR22952:SF417', NULL, NULL, NULL, NULL, 'OS09G0456200 PROTEIN', 91873),
(148148, 'PTHR18953:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91874),
(148149, 'PTHR31490:SF71', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-LIKE', 91875),
(148150, 'PTHR46793:SF1', NULL, NULL, NULL, NULL, '1700018F24RIK PROTEIN-RELATED', 91876),
(148151, 'PTHR22952:SF408', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91877),
(148152, 'PTHR33076:SF82', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 5', 91878),
(148153, 'PTHR23267:SF381', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-II REGION VKAPPA167', 91879),
(148154, 'PTHR31626', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 91880),
(148155, 'PTHR34360:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91881),
(148156, 'PTHR20961:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91882),
(148157, 'PTHR31339:SF44', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', 91883),
(148158, 'PTHR18901', NULL, NULL, NULL, NULL, '2-DEOXYGLUCOSE-6-PHOSPHATE PHOSPHATASE 2', 91884),
(148159, 'PTHR10795:SF708', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9', 91885),
(148160, 'PTHR31301:SF158', NULL, NULL, NULL, NULL, 'BNAA02G28980D PROTEIN', 91886),
(148161, 'PTHR11654:SF517', NULL, NULL, NULL, NULL, 'BNACNNG61860D PROTEIN', 91887),
(148162, 'PTHR44329:SF161', NULL, NULL, NULL, NULL, 'OS01G0747400 PROTEIN', 91888),
(148163, 'PTHR24356:SF333', NULL, NULL, NULL, NULL, 'RAC SERINE/THREONINE-PROTEIN KINASE', 91889),
(148164, 'PTHR24361:SF833', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE', 91890),
(148165, 'PTHR34222:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91891),
(148166, 'PTHR43735:SF19', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 2-LIKE ISOFORM X1', 91892),
(148167, 'PTHR43808:SF20', NULL, NULL, NULL, NULL, 'ACETYLORNITHINE DEACETYLASE, HYPOTHETICAL (EUROFUNG)-RELATED', 91893),
(148168, 'PTHR47917', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 91894),
(148169, 'PTHR11473', NULL, NULL, NULL, NULL, 'AROMATIC AMINO ACID HYDROXYLASE', 91895),
(148170, 'PTHR35465', NULL, NULL, NULL, NULL, 'CAVEOLIN-1 PROTEIN', 91896),
(148171, 'PTHR22847:SF651', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN', 91897),
(148172, 'PTHR45676:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91898),
(148173, 'PTHR10795:SF613', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE PROTEASE', 91899),
(148174, 'PTHR30005', NULL, NULL, NULL, NULL, 'EXOPOLYPHOSPHATASE', 91900),
(148175, 'PTHR36367', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 91901),
(148176, 'PTHR24343:SF464', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK7', 91902),
(148177, 'PTHR11730:SF60', NULL, NULL, NULL, NULL, 'RH50, ISOFORM B', 91903),
(148178, 'PTHR43939:SF15', NULL, NULL, NULL, NULL, 'SPINDLE APPARATUS PROTEIN LIN-5', 91904),
(148179, 'PTHR23050:SF388', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 8', 91905),
(148180, 'PTHR13112', NULL, NULL, NULL, NULL, 'UPF3 REGULATOR OF NONSENSE TRANSCRIPTS-LIKE PROTEIN', 91906),
(148181, 'PTHR42760:SF102', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE 4', 91907);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(148182, 'PTHR12632', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR NF-Y ALPHA-RELATED', 91908),
(148183, 'PTHR23103', NULL, NULL, NULL, NULL, 'ALZHEIMER''S DISEASE BETA-AMYLOID RELATED', 91909),
(148184, 'PTHR11040:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91910),
(148185, 'PTHR22923:SF5', NULL, NULL, NULL, NULL, 'CEREBELLIN-1', 91911),
(148186, 'PTHR23041', NULL, NULL, NULL, NULL, 'RING FINGER DOMAIN-CONTAINING', 91912),
(148187, 'PTHR27007:SF140', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VII.2-RELATED', 91913),
(148188, 'PTHR13271:SF118', NULL, NULL, NULL, NULL, 'RIBULOSE-1,5 BISPHOSPHATE CARBOXYLASE/OXYGENASE LARGE SUBUNIT N-METHYLTRANSFERASE, CHLOROPLASTIC', 91914),
(148189, 'PTHR48015:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MAX-2', 91915),
(148190, 'PTHR46615:SF1', NULL, NULL, NULL, NULL, 'ARYLSULFATASE K', 91916),
(148191, 'PTHR22574:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM71B', 91917),
(148192, 'PTHR35573:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG22129', 91918),
(148193, 'PTHR45868:SF65', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 91919),
(148194, 'PTHR34460:SF10', NULL, NULL, NULL, NULL, 'BNAC03G34960D PROTEIN', 91920),
(148195, 'PTHR44170:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBR-OIG-2', 91921),
(148196, 'PTHR48111:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN BASR', 91922),
(148197, 'PTHR21654:SF87', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-3B', 91923),
(148198, 'PTHR36054:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SICKLE', 91924),
(148199, 'PTHR13087:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91925),
(148200, 'PTHR23024:SF212', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 9-RELATED', 91926),
(148201, 'PTHR22996:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91927),
(148202, 'PTHR22870:SF391', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', 91928),
(148203, 'PTHR46665:SF12', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX PROTEIN-LIKE', 91929),
(148204, 'PTHR42937:SF1', NULL, NULL, NULL, NULL, 'DIAMINOPROPIONATE AMMONIA-LYASE', 91930),
(148205, 'PTHR48001:SF167', NULL, NULL, NULL, NULL, 'MCG63804-RELATED', 91931),
(148206, 'PTHR42904:SF6', NULL, NULL, NULL, NULL, 'PEROXISOMAL NADH PYROPHOSPHATASE NUDT12', 91932),
(148207, 'PTHR23113:SF312', NULL, NULL, NULL, NULL, 'RAL GUANINE NUCLEOTIDE DISSOCIATION STIMULATOR-LIKE, ISOFORM E', 91933),
(148208, 'PTHR10353:SF197', NULL, NULL, NULL, NULL, 'INACTIVE BETA-GLUCOSIDASE 33-RELATED', 91934),
(148209, 'PTHR24298:SF760', NULL, NULL, NULL, NULL, '3-HYDROXYINDOLIN-2-ONE MONOOXYGENASE', 91935),
(148210, 'PTHR48054:SF15', NULL, NULL, NULL, NULL, 'PIRIFORMOSPORA INDICA-INSENSITIVE PROTEIN 2', 91936),
(148211, 'PTHR22946:SF4', NULL, NULL, NULL, NULL, 'ESTERASE FRSA', 91937),
(148212, 'PTHR21398', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 91938),
(148213, 'PTHR40891:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91939),
(148214, 'PTHR12300:SF133', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN 6', 91940),
(148215, 'PTHR34693:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91941),
(148216, 'PTHR48001:SF99', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 91942),
(148217, 'PTHR10807:SF69', NULL, NULL, NULL, NULL, 'MYOTUBULARIN', 91943),
(148218, 'PTHR12203:SF104', NULL, NULL, NULL, NULL, 'PROTEIN CAP1, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G05595)-RELATED', 91944),
(148219, 'PTHR32463:SF0', NULL, NULL, NULL, NULL, 'L-FUCOSE KINASE', 91945),
(148220, 'PTHR47737:SF1', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE/PROLINE BETAINE TRANSPORT SYSTEM PERMEASE PROTEIN PROW', 91946),
(148221, 'PTHR13140:SF751', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN', 91947),
(148222, 'PTHR23430:SF318', NULL, NULL, NULL, NULL, 'HISTONE H2A.2-RELATED', 91948),
(148223, 'PTHR12207:SF3', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN F2 RECEPTOR NEGATIVE REGULATOR', 91949),
(148224, 'PTHR32322:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', 91950);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(148225, 'PTHR10641:SF1248', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB41', 91951),
(148226, 'PTHR32468:SF149', NULL, NULL, NULL, NULL, 'BNAC03G16730D PROTEIN', 91952),
(148227, 'PTHR24092:SF171', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 91953),
(148228, 'PTHR10635:SF0', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA', 91954),
(148229, 'PTHR34369:SF8', NULL, NULL, NULL, NULL, 'BNAANNG27100D PROTEIN', 91955),
(148230, 'PTHR33473:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ADAPTER PROTEIN CLPS1, CHLOROPLASTIC', 91956),
(148231, 'PTHR11178:SF49', NULL, NULL, NULL, NULL, 'PROTEIN 5, PUTATIVE-RELATED', 91957),
(148232, 'PTHR11732:SF423', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 4 MEMBER C10', 91958),
(148233, 'PTHR18952:SF81', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 13', 91959),
(148234, 'PTHR16469:SF29', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED AND SH3 DOMAIN-CONTAINING PROTEIN B', 91960),
(148235, 'PTHR33168:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91961),
(148236, 'PTHR43081:SF1', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', 91962),
(148237, 'PTHR11709:SF376', NULL, NULL, NULL, NULL, 'SKU5 SIMILAR 13', 91963),
(148238, 'PTHR45752:SF23', NULL, NULL, NULL, NULL, 'VOLUME-REGULATED ANION CHANNEL SUBUNIT LRRC8A', 91964),
(148239, 'PTHR34964:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', 91965),
(148240, 'PTHR20852', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', 91966),
(148241, 'PTHR24015:SF1653', NULL, NULL, NULL, NULL, 'OS06G0694300 PROTEIN', 91967),
(148242, 'PTHR38619', NULL, NULL, NULL, NULL, 'PROTEIN CBG04644', 91968),
(148243, 'PTHR15416:SF6', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE INHIBITOR BETA', 91969),
(148244, 'PTHR31301:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91970),
(148245, 'PTHR22826:SF201', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR MCF2L2-RELATED', 91971),
(148246, 'PTHR46371:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91972),
(148247, 'PTHR10353:SF269', NULL, NULL, NULL, NULL, 'MYROSINASE 6-RELATED', 91973),
(148248, 'PTHR34947:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 91974),
(148249, 'PTHR11119:SF33', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 23 MEMBER 2', 91975),
(148250, 'PTHR10288:SF304', NULL, NULL, NULL, NULL, 'NOVA KH (KH) HOMOLOGY DOMAIN HOMOLOG', 91976),
(148251, 'PTHR44259:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91977),
(148252, 'PTHR40034', NULL, NULL, NULL, NULL, 'BSL5891 PROTEIN', 91978),
(148253, 'PTHR23315:SF79', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 91979),
(148254, 'PTHR22589:SF54', NULL, NULL, NULL, NULL, 'CARNITINE PALMITOYL TRANSFERASE', 91980),
(148255, 'PTHR31696:SF58', NULL, NULL, NULL, NULL, 'OS02G0709600 PROTEIN', 91981),
(148256, 'PTHR46998:SF7', NULL, NULL, NULL, NULL, 'BNAC09G40100D PROTEIN', 91982),
(148257, 'PTHR10353:SF10', NULL, NULL, NULL, NULL, 'KLOTHO', 91983),
(148258, 'PTHR23410:SF30', NULL, NULL, NULL, NULL, 'PROTEIN L5, PUTATIVE-RELATED', 91984),
(148259, 'PTHR12636:SF12', NULL, NULL, NULL, NULL, 'EMG1/NEP1 METHYLTRANSFERASE', 91985),
(148260, 'PTHR43446:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 91986),
(148261, 'PTHR47997:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB32', 91987),
(148262, 'PTHR47985:SF5', NULL, NULL, NULL, NULL, 'RECEPTOR SERINE/THREONINE KINASE', 91988),
(148263, 'PTHR34112', NULL, NULL, NULL, NULL, 'C-JUN-AMINO-TERMINAL KINASE-INTERACTING PROTEIN', 91989),
(148264, 'PTHR11736:SF139', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B6', 91990),
(148265, 'PTHR37534:SF14', NULL, NULL, NULL, NULL, 'LYSINE BIOSYNTHESIS REGULATORY PROTEIN LYS14', 91991),
(148266, 'PTHR31189:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 91992),
(148267, 'PTHR19957:SF330', NULL, NULL, NULL, NULL, 'BNAA06G35880D PROTEIN', 91993),
(148268, 'PTHR11668:SF469', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 91994),
(148269, 'PTHR45731', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 91995),
(148270, 'PTHR10046:SF24', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG 2, PEROXISOMAL', 91996);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(148271, 'PTHR46410:SF13', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 91997),
(148272, 'PTHR45890:SF11', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 91998),
(148273, 'PTHR42886:SF38', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 91999),
(148274, 'PTHR35401:SF2', NULL, NULL, NULL, NULL, 'ABC-TYPE TRANSPORT SYSTEM-RELATED', 92000),
(148275, 'PTHR10766:SF146', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 92001),
(148276, 'PTHR21245:SF15', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 46-LIKE PROTEIN-RELATED', 92002),
(148277, 'PTHR21576:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92003),
(148278, 'PTHR31468:SF12', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE GAS3-RELATED', 92004),
(148279, 'PTHR10653:SF18', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA', 92005),
(148280, 'PTHR46155', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 92006),
(148281, 'PTHR45898:SF12', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 3', 92007),
(148282, 'PTHR11211:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MOHAWK', 92008),
(148283, 'PTHR11472:SF59', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE DING', 92009),
(148284, 'PTHR28644', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 15', 92010),
(148285, 'PTHR31413:SF31', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN AFP3', 92011),
(148286, 'PTHR45974:SF164', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 92012),
(148287, 'PTHR31661', NULL, NULL, NULL, NULL, 'SIMILAR TO CDNA SEQUENCE BC052040', 92013),
(148288, 'PTHR14389:SF14', NULL, NULL, NULL, NULL, 'PROTEIN FAM111A', 92014),
(148289, 'PTHR31580:SF28', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN', 92015),
(148290, 'PTHR10903:SF64', NULL, NULL, NULL, NULL, 'AIG1 FAMILY PROTEIN, EXPRESSED', 92016),
(148291, 'PTHR40027', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DIVIC', 92017),
(148292, 'PTHR14154:SF14', NULL, NULL, NULL, NULL, 'OS02G0125700 PROTEIN', 92018),
(148293, 'PTHR10390:SF13', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX1', 92019),
(148294, 'PTHR14107:SF16', NULL, NULL, NULL, NULL, 'AT02583P', 92020),
(148295, 'PTHR15592:SF29', NULL, NULL, NULL, NULL, 'POLYPYRIMIDINE TRACT-BINDING PROTEIN HOMOLOG 2', 92021),
(148296, 'PTHR37489', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 92022),
(148297, 'PTHR32278:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92023),
(148298, 'PTHR31659:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92024),
(148299, 'PTHR43292:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FADE29', 92025),
(148300, 'PTHR15025:SF1', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-1 SUBUNIT', 92026),
(148301, 'PTHR23155:SF1011', NULL, NULL, NULL, NULL, 'OS11G0258500 PROTEIN', 92027),
(148302, 'PTHR12847:SF9', NULL, NULL, NULL, NULL, 'ADAPTIN EAR-BINDING COAT-ASSOCIATED PROTEIN 1 NECAP-1', 92028),
(148303, 'PTHR44337:SF17', NULL, NULL, NULL, NULL, 'SI:CH211-264F5.6', 92029),
(148304, 'PTHR31902:SF10', NULL, NULL, NULL, NULL, 'ACTIN PATCHES DISTAL PROTEIN 1', 92030),
(148305, 'PTHR13275:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 72 HOMOLOG', 92031),
(148306, 'PTHR34053', NULL, NULL, NULL, NULL, 'PROTEIN ULTRAPETALA 1', 92032),
(148307, 'PTHR27009:SF148', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-5', 92033),
(148308, 'PTHR33976:SF8', NULL, NULL, NULL, NULL, 'OS07G0645000 PROTEIN', 92034),
(148309, 'PTHR24282:SF139', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714A1-LIKE ISOFORM X1', 92035),
(148310, 'PTHR31210:SF72', NULL, NULL, NULL, NULL, 'OS02G0297600 PROTEIN', 92036),
(148311, 'PTHR31009:SF98', NULL, NULL, NULL, NULL, 'SAM DEPENDENT CARBOXYL METHYLTRANSFERASE-RELATED', 92037),
(148312, 'PTHR23420:SF23', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', 92038),
(148313, 'PTHR31790:SF354', NULL, NULL, NULL, NULL, 'BNAA06G15900D PROTEIN', 92039),
(148314, 'PTHR11040:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92040);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(148315, 'PTHR46034:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92041),
(148316, 'PTHR26451:SF71', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 92042),
(148317, 'PTHR12925', NULL, NULL, NULL, NULL, 'HIKESHI FAMILY MEMBER', 92043),
(148318, 'PTHR21388:SF12', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 37', 92044),
(148319, 'PTHR10218:SF188', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-7 SUBUNIT', 92045),
(148320, 'PTHR27006:SF217', NULL, NULL, NULL, NULL, 'OS06G0676600 PROTEIN', 92046),
(148321, 'PTHR12826:SF16', NULL, NULL, NULL, NULL, 'BNAA05G13630D PROTEIN', 92047),
(148322, 'PTHR44845:SF4', NULL, NULL, NULL, NULL, 'NONRIBOSOMAL PEPTIDE SYNTHASE INPA-RELATED', 92048),
(148323, 'PTHR19229:SF228', NULL, NULL, NULL, NULL, 'OS08G0398300 PROTEIN', 92049),
(148324, 'PTHR31020', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 174', 92050),
(148325, 'PTHR10856:SF0', NULL, NULL, NULL, NULL, 'CORONIN', 92051),
(148326, 'PTHR11213:SF1', NULL, NULL, NULL, NULL, 'PITUITARY ADENYLATE CYCLASE-ACTIVATING POLYPEPTIDE', 92052),
(148327, 'PTHR11521:SF12', NULL, NULL, NULL, NULL, 'TROPONIN T', 92053),
(148328, 'PTHR38596', NULL, NULL, NULL, NULL, 'UPF0114 PROTEIN YQHA', 92054),
(148329, 'PTHR26451:SF325', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10K2', 92055),
(148330, 'PTHR31374:SF290', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 92056),
(148331, 'PTHR45024', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 92057),
(148332, 'PTHR12091:SF0', NULL, NULL, NULL, NULL, 'PRO-MCH', 92058),
(148333, 'PTHR10353:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92059),
(148334, 'PTHR22988:SF34', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MRCK BETA', 92060),
(148335, 'PTHR16770', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 92061),
(148336, 'PTHR45796:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN P2', 92062),
(148337, 'PTHR10579:SF112', NULL, NULL, NULL, NULL, 'OS04G0198300 PROTEIN', 92063),
(148338, 'PTHR10064:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22', 92064),
(148339, 'PTHR46978:SF7', NULL, NULL, NULL, NULL, 'PROTEIN AIR1-LIKE', 92065),
(148340, 'PTHR43874:SF151', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR FAMILY PROTEIN-RELATED', 92066),
(148341, 'PTHR38782', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 92067),
(148342, 'PTHR47926:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92068),
(148343, 'PTHR46178', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 92069),
(148344, 'PTHR38341', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATE ALDOLASE/PHOSPHATASE', 92070),
(148345, 'PTHR11259:SF2', NULL, NULL, NULL, NULL, 'GH16429P', 92071),
(148346, 'PTHR11027', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN A-II', 92072),
(148347, 'PTHR11814:SF214', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.1', 92073),
(148348, 'PTHR48019:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92074),
(148349, 'PTHR10835:SF19', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE, FAD/NAD(P)-BINDING DOMAIN PROTEIN-RELATED', 92075),
(148350, 'PTHR46803:SF4', NULL, NULL, NULL, NULL, 'CARBOXYL TERMINUS OF HSC70-INTERACTING PROTEIN-RELATED', 92076),
(148351, 'PTHR19957:SF299', NULL, NULL, NULL, NULL, 'SYNTAXIN-43', 92077),
(148352, 'PTHR11380:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 13', 92078),
(148353, 'PTHR11442:SF83', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT ALPHA-D', 92079),
(148354, 'PTHR47135:SF1', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 7', 92080),
(148355, 'PTHR47252', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 92081),
(148356, 'PTHR45907:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', 92082),
(148357, 'PTHR33493:SF8', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 18', 92083),
(148358, 'PTHR24282:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92084),
(148359, 'PTHR24229:SF82', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 92085),
(148360, 'PTHR11776:SF11', NULL, NULL, NULL, NULL, 'OS04G0504000 PROTEIN', 92086);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(148361, 'PTHR11260:SF474', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 92087),
(148362, 'PTHR33746', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN', 92088),
(148363, 'PTHR31618:SF7', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', 92089),
(148364, 'PTHR11753:SF18', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT SIGMA-3', 92090),
(148365, 'PTHR11348:SF17', NULL, NULL, NULL, NULL, 'CCN', 92091),
(148366, 'PTHR31589:SF60', NULL, NULL, NULL, NULL, 'BNAC02G48530D PROTEIN', 92092),
(148367, 'PTHR43314', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 92093),
(148368, 'PTHR34844', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 92094),
(148369, 'PTHR10962:SF4', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN 2B', 92095),
(148370, 'PTHR44067:SF12', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 92096),
(148371, 'PTHR47989:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92097),
(148372, 'PTHR40040', NULL, NULL, NULL, NULL, 'SMALL HYDROPHOBIC PROTEIN-RELATED', 92098),
(148373, 'PTHR48001:SF101', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 92099),
(148374, 'PTHR47975:SF37', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 92100),
(148375, 'PTHR13627', NULL, NULL, NULL, NULL, 'FUKUTIN RELATED PROTEIN', 92101),
(148376, 'PTHR48004:SF20', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 92102),
(148377, 'PTHR11514:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC3', 92103),
(148378, 'PTHR11638:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92104),
(148379, 'PTHR43574:SF7', NULL, NULL, NULL, NULL, 'OS08G0526100 PROTEIN', 92105),
(148380, 'PTHR13148:SF8', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', 92106),
(148381, 'PTHR27009:SF212', NULL, NULL, NULL, NULL, 'RECEPTOR SERINE/THREONINE KINASE', 92107),
(148382, 'PTHR27009:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92108),
(148383, 'PTHR11206:SF80', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 27', 92109),
(148384, 'PTHR37151', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 61', 92110),
(148385, 'PTHR31052:SF17', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 7', 92111),
(148386, 'PTHR11129:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FARNESYLTRANSFERASE/GERANYLGERANYLTRANSFERASE TYPE-1 SUBUNIT ALPHA', 92112),
(148387, 'PTHR42861:SF20', NULL, NULL, NULL, NULL, 'ATPASE 10, PLASMA MEMBRANE-TYPE', 92113),
(148388, 'PTHR11909:SF391', NULL, NULL, NULL, NULL, 'CASEIN KINASE-LIKE PROTEIN', 92114),
(148389, 'PTHR34482', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE PROTEIN 1-LIKE', 92115),
(148390, 'PTHR26453:SF156', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2D2', 92116),
(148391, 'PTHR42721:SF20', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 3', 92117),
(148392, 'PTHR34778:SF4', NULL, NULL, NULL, NULL, 'BNAA07G31790D PROTEIN', 92118),
(148393, 'PTHR12002:SF177', NULL, NULL, NULL, NULL, 'CLAUDIN-RELATED', 92119),
(148394, 'PTHR33527:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92120),
(148395, 'PTHR24056:SF414', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 9', 92121),
(148396, 'PTHR33203:SF55', NULL, NULL, NULL, NULL, 'OLEOSIN', 92122),
(148397, 'PTHR11550', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', 92123),
(148398, 'PTHR23299:SF3', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1G', 92124),
(148399, 'PTHR13690:SF143', NULL, NULL, NULL, NULL, 'BNAA08G04710D PROTEIN', 92125),
(148400, 'PTHR11008:SF34', NULL, NULL, NULL, NULL, 'AGAP003573-PA', 92126),
(148401, 'PTHR22765:SF179', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING RECEPTOR 2', 92127),
(148402, 'PTHR24343:SF299', NULL, NULL, NULL, NULL, 'FI24002P1', 92128),
(148403, 'PTHR47980:SF11', NULL, NULL, NULL, NULL, 'BNAANNG08190D PROTEIN', 92129),
(148404, 'PTHR14511:SF16', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR FAMILY C GROUP 5 MEMBER D', 92130),
(148405, 'PTHR31669:SF227', NULL, NULL, NULL, NULL, 'FAR1-DOMAIN FAMILY SEQUENCE', 92131),
(148406, 'PTHR24356:SF135', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0293276-RELATED', 92132),
(148407, 'PTHR42929:SF6', NULL, NULL, NULL, NULL, 'IRON(III)-TRANSPORT SYSTEM PERMEASE PROTEIN SFUB', 92133);
INSERT INTO "PUBLIC"."MODEL" VALUES
(148408, 'PTHR22947:SF3', NULL, NULL, NULL, NULL, 'SPERM SPECIFIC FAMILY, CLASS P-RELATED', 92134),
(148409, 'PTHR48001:SF123', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7G3', 92135),
(148410, 'PTHR10044:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92136),
(148411, 'PTHR30502:SF7', NULL, NULL, NULL, NULL, 'ALDOLASE LIKE', 92137),
(148412, 'PTHR22802:SF240', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 17, MEMBER A', 92138),
(148413, 'PTHR45624:SF43', NULL, NULL, NULL, NULL, 'BNAA09G18190D PROTEIN', 92139),
(148414, 'PTHR10270:SF304', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-14-RELATED', 92140),
(148415, 'PTHR24056:SF92', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 8', 92141),
(148416, 'PTHR10796:SF111', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 92142),
(148417, 'PTHR46438', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 92143),
(148418, 'PTHR46691:SF12', NULL, NULL, NULL, NULL, 'BNAA05G25960D PROTEIN', 92144),
(148419, 'PTHR45914:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LAX PANICLE 1', 92145),
(148420, 'PTHR24251:SF12', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GAMMA-CARBOXYGLUTAMIC ACID PROTEIN 3', 92146),
(148421, 'PTHR11654:SF556', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.3', 92147),
(148422, 'PTHR48000', NULL, NULL, NULL, NULL, 'OS09G0431300 PROTEIN', 92148),
(148423, 'PTHR31707:SF204', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 92149),
(148424, 'PTHR23423:SF24', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER ALPHA-LIKE PROTEIN 3', 92150),
(148425, 'PTHR34340:SF1', NULL, NULL, NULL, NULL, 'MELANOREGULIN', 92151),
(148426, 'PTHR31215', NULL, NULL, NULL, NULL, 'OS05G0510400 PROTEIN-RELATED', 92152),
(148427, 'PTHR46287:SF4', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 2', 92153),
(148428, 'PTHR15417', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE INHIBITOR AND DOPAMINE- AND CAMP-REGULATED NEURONAL PHOSPHOPROTEIN', 92154),
(148429, 'PTHR31235:SF50', NULL, NULL, NULL, NULL, 'PEROXIDASE', 92155),
(148430, 'PTHR45855:SF50', NULL, NULL, NULL, NULL, 'BNAANNG20430D PROTEIN', 92156),
(148431, 'PTHR24115:SF744', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF3B', 92157),
(148432, 'PTHR46714:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HY5-LIKE', 92158),
(148433, 'PTHR10075:SF79', NULL, NULL, NULL, NULL, 'DOWN SYNDROME CELL ADHESION MOLECULE 3, ISOFORM E-RELATED', 92159),
(148434, 'PTHR43855:SF2', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE-RELATED', 92160),
(148435, 'PTHR11373:SF34', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PHOSPHOHYDROLASE', 92161),
(148436, 'PTHR15503:SF22', NULL, NULL, NULL, NULL, 'GAG PROTEASE POLYPROTEIN', 92162),
(148437, 'PTHR37221', NULL, NULL, NULL, NULL, 'OS02G0582400 PROTEIN', 92163),
(148438, 'PTHR11412:SF111', NULL, NULL, NULL, NULL, 'PROTEIN C3P1-RELATED', 92164),
(148439, 'PTHR35786:SF1', NULL, NULL, NULL, NULL, 'REDOX-SENSING TRANSCRIPTIONAL REPRESSOR REX', 92165),
(148440, 'PTHR45942:SF3', NULL, NULL, NULL, NULL, 'CALCINEURIN SUBUNIT B TYPE 1', 92166),
(148441, 'PTHR46910:SF15', NULL, NULL, NULL, NULL, 'PRNA PROTEIN', 92167),
(148442, 'PTHR43708:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92168),
(148443, 'PTHR43630:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', 92169),
(148444, 'PTHR11431:SF23', NULL, NULL, NULL, NULL, 'FERRITIN', 92170),
(148445, 'PTHR33091:SF37', NULL, NULL, NULL, NULL, 'SUBTILISIN-CHYMOTRYPSIN INHIBITOR CI-1B', 92171),
(148446, 'PTHR23024:SF526', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE', 92172),
(148447, 'PTHR43322:SF9', NULL, NULL, NULL, NULL, 'BNAA01G35430D PROTEIN', 92173),
(148448, 'PTHR45779:SF10', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP15-2', 92174),
(148449, 'PTHR13305:SF1', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX, SUBUNIT NOP10-RELATED', 92175),
(148450, 'PTHR12845:SF4', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 26', 92176),
(148451, 'PTHR11260:SF617', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92177);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(148452, 'PTHR24247:SF97', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 92178),
(148453, 'PTHR47999:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92179),
(148454, 'PTHR35899:SF1', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE DOMAIN CONTAINING PROTEIN', 92180),
(148455, 'PTHR33868:SF11', NULL, NULL, NULL, NULL, 'BNAC05G00690D PROTEIN', 92181),
(148456, 'PTHR22804:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92182),
(148457, 'PTHR10751:SF100', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 1-RELATED', 92183),
(148458, 'PTHR23502:SF33', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01930)-RELATED', 92184),
(148459, 'PTHR46123:SF4', NULL, NULL, NULL, NULL, 'MIX-TYPE HOMEOBOX GENE 1-RELATED', 92185),
(148460, 'PTHR34660:SF15', NULL, NULL, NULL, NULL, 'BNAC03G35160D PROTEIN', 92186),
(148461, 'PTHR24300:SF81', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 92187),
(148462, 'PTHR46354:SF20', NULL, NULL, NULL, NULL, 'BNACNNG37860D PROTEIN', 92188),
(148463, 'PTHR31235:SF348', NULL, NULL, NULL, NULL, 'PEROXIDASE', 92189),
(148464, 'PTHR48058:SF7', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 2 ISOFORM X1', 92190),
(148465, 'PTHR34822:SF1', NULL, NULL, NULL, NULL, 'GRPB DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G01530)', 92191),
(148466, 'PTHR24404:SF49', NULL, NULL, NULL, NULL, 'RH47711P', 92192),
(148467, 'PTHR31985:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92193),
(148468, 'PTHR43243:SF19', NULL, NULL, NULL, NULL, 'ZGC:175280', 92194),
(148469, 'PTHR11430:SF12', NULL, NULL, NULL, NULL, 'EPIDIDYMAL-SPECIFIC LIPOCALIN-12', 92195),
(148470, 'PTHR31901:SF5', NULL, NULL, NULL, NULL, 'GH3 DOMAIN-CONTAINING PROTEIN', 92196),
(148471, 'PTHR15692', NULL, NULL, NULL, NULL, 'MASTERMIND-LIKE', 92197),
(148472, 'PTHR31225:SF134', NULL, NULL, NULL, NULL, '(-)-GERMACRENE D SYNTHASE-LIKE', 92198),
(148473, 'PTHR10942:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92199),
(148474, 'PTHR23201:SF77', NULL, NULL, NULL, NULL, 'PROTEIN GAST1', 92200),
(148475, 'PTHR31769:SF7', NULL, NULL, NULL, NULL, 'OS07G0462200 PROTEIN', 92201),
(148476, 'PTHR42741', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 92202),
(148477, 'PTHR24064:SF34', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 20', 92203),
(148478, 'PTHR19861:SF3', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 92204),
(148479, 'PTHR31264:SF3', NULL, NULL, NULL, NULL, 'OS07G0554500 PROTEIN', 92205),
(148480, 'PTHR13036', NULL, NULL, NULL, NULL, 'BETA1,4 MANNOSYLTRANSFERASE', 92206),
(148481, 'PTHR33916:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92207),
(148482, 'PTHR34118:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CONSERVED ONLY IN THE GREEN LINEAGE 160, CHLOROPLASTIC', 92208),
(148483, 'PTHR33836:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92209),
(148484, 'PTHR43054:SF1', NULL, NULL, NULL, NULL, 'SCYLLO-INOSITOL 2-DEHYDROGENASE (NADP(+)) IOLU', 92210),
(148485, 'PTHR24366:SF70', NULL, NULL, NULL, NULL, 'RETICULON 4 RECEPTOR-LIKE 2B', 92211),
(148486, 'PTHR12992:SF24', NULL, NULL, NULL, NULL, 'PEROXISOMAL COENZYME A DIPHOSPHATASE NUDT7', 92212),
(148487, 'PTHR10366:SF721', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92213),
(148488, 'PTHR37211', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 92214),
(148489, 'PTHR31642:SF115', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 26-LIKE', 92215),
(148490, 'PTHR24366:SF61', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 52', 92216),
(148491, 'PTHR24356:SF140', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED SERINE/THREONINE-PROTEIN KINASE 3', 92217),
(148492, 'PTHR11905:SF19', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 19', 92218),
(148493, 'PTHR23211', NULL, NULL, NULL, NULL, 'TRANS-GOLGI NETWORK INTEGRAL MEMBRANE PROTEIN TGN38', 92219),
(148494, 'PTHR11804:SF48', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 92220),
(148495, 'PTHR34267:SF14', NULL, NULL, NULL, NULL, 'OS06G0114500 PROTEIN', 92221),
(148496, 'PTHR11240:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92222); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(148497, 'PTHR14898:SF0', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB-LIKE PROTEIN', 92223),
(148498, 'PTHR10281:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92224),
(148499, 'PTHR10332:SF75', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER-RELATED', 92225),
(148500, 'PTHR23316:SF65', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', 92226),
(148501, 'PTHR31677:SF66', NULL, NULL, NULL, NULL, 'OS06G0691100 PROTEIN', 92227),
(148502, 'PTHR12048:SF0', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN ZETA', 92228),
(148503, 'PTHR24078:SF536', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 13-LIKE', 92229),
(148504, 'PTHR12446:SF46', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 7', 92230),
(148505, 'PTHR11773', NULL, NULL, NULL, NULL, 'GLYCINE DEHYDROGENASE, DECARBOXYLATING', 92231),
(148506, 'PTHR15710:SF137', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', 92232),
(148507, 'PTHR27003:SF392', NULL, NULL, NULL, NULL, 'JACALIN-LIKE LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', 92233),
(148508, 'PTHR33528:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92234),
(148509, 'PTHR24404:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 564', 92235),
(148510, 'PTHR11593:SF31', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L22/L17-RELATED', 92236),
(148511, 'PTHR19278:SF40', NULL, NULL, NULL, NULL, 'URIDINE 5''-MONOPHOSPHATE SYNTHASE', 92237),
(148512, 'PTHR14095:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92238),
(148513, 'PTHR11267:SF188', NULL, NULL, NULL, NULL, 'T-BOX 16', 92239),
(148514, 'PTHR11005:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92240),
(148515, 'PTHR46547:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 8-LIKE', 92241),
(148516, 'PTHR33148:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92242),
(148517, 'PTHR47967:SF38', NULL, NULL, NULL, NULL, 'OS09G0452400 PROTEIN', 92243),
(148518, 'PTHR33070:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92244),
(148519, 'PTHR24543:SF290', NULL, NULL, NULL, NULL, 'NEUROPILIN', 92245),
(148520, 'PTHR45798:SF56', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL23-LIKE', 92246),
(148521, 'PTHR26450:SF74', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52N4', 92247),
(148522, 'PTHR10682:SF22', NULL, NULL, NULL, NULL, 'NUCLEAR POLY(A) POLYMERASE 4-LIKE ISOFORM X1', 92248),
(148523, 'PTHR24056:SF0', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 7', 92249),
(148524, 'PTHR45708:SF35', NULL, NULL, NULL, NULL, 'OS01G0687400 PROTEIN', 92250),
(148525, 'PTHR16717:SF7', NULL, NULL, NULL, NULL, 'SI:DKEY-85N7.8', 92251),
(148526, 'PTHR13780:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92252),
(148527, 'PTHR11213:SF5', NULL, NULL, NULL, NULL, 'VIP PEPTIDES', 92253),
(148528, 'PTHR31865:SF21', NULL, NULL, NULL, NULL, 'DUF1685 FAMILY PROTEIN', 92254),
(148529, 'PTHR11880:SF42', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S19, CHLOROPLASTIC', 92255),
(148530, 'PTHR46134', NULL, NULL, NULL, NULL, 'DRONGO, ISOFORM F', 92256),
(148531, 'PTHR47084:SF1', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE SMALL SUBUNIT A', 92257),
(148532, 'PTHR10795:SF717', NULL, NULL, NULL, NULL, 'BNACNNG38020D PROTEIN', 92258),
(148533, 'PTHR10553:SF24', NULL, NULL, NULL, NULL, 'SM-LIKE PROTEIN LSM7', 92259),
(148534, 'PTHR10652:SF21', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', 92260),
(148535, 'PTHR11787:SF22', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', 92261),
(148536, 'PTHR48009:SF10', NULL, NULL, NULL, NULL, 'OS11G0644100 PROTEIN', 92262),
(148537, 'PTHR24326:SF547', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX4', 92263),
(148538, 'PTHR43237:SF4', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME', 92264),
(148539, 'PTHR32015:SF5', NULL, NULL, NULL, NULL, 'LIPASE RELATED', 92265),
(148540, 'PTHR10791:SF5', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET', 92266),
(148541, 'PTHR23153', NULL, NULL, NULL, NULL, 'UBX-RELATED', 92267),
(148542, 'PTHR33065:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92268); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(148543, 'PTHR42898:SF31', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE PROTEIN', 92269),
(148544, 'PTHR24637:SF236', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 39', 92270),
(148545, 'PTHR47071:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92271),
(148546, 'PTHR20884:SF15', NULL, NULL, NULL, NULL, 'GDP-L-GALACTOSE PHOSPHORYLASE', 92272),
(148547, 'PTHR10314:SF203', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', 92273),
(148548, 'PTHR47993:SF36', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 92274),
(148549, 'PTHR31342:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC', 92275),
(148550, 'PTHR30137:SF8', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 92276),
(148551, 'PTHR22593:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 18', 92277),
(148552, 'PTHR23176:SF105', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATOR (BEM3), PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06400)-RELATED', 92278),
(148553, 'PTHR33108:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92279),
(148554, 'PTHR21459', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 92280),
(148555, 'PTHR11711:SF357', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 1', 92281),
(148556, 'PTHR31906:SF27', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 3, CHLOROPLASTIC-RELATED', 92282),
(148557, 'PTHR11680:SF7', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE 7', 92283),
(148558, 'PTHR31147:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92284),
(148559, 'PTHR47966:SF37', NULL, NULL, NULL, NULL, 'CATHEPSINE-A-LIKE PROTEIN', 92285),
(148560, 'PTHR47960:SF6', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 39-LIKE', 92286),
(148561, 'PTHR42893:SF35', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 92287),
(148562, 'PTHR31874:SF40', NULL, NULL, NULL, NULL, 'OS02G0731700 PROTEIN', 92288),
(148563, 'PTHR43874:SF112', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 92289),
(148564, 'PTHR11972:SF127', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN A-LIKE', 92290),
(148565, 'PTHR27001:SF614', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 92291),
(148566, 'PTHR32215:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92292),
(148567, 'PTHR14386:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM204A', 92293),
(148568, 'PTHR24238:SF55', NULL, NULL, NULL, NULL, 'TACHYKININ RECEPTOR FAMILY', 92294),
(148569, 'PTHR24296:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92295),
(148570, 'PTHR32021:SF1', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5A1', 92296),
(148571, 'PTHR46181:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCINE TRANSPORTER B', 92297),
(148572, 'PTHR15478', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN, PQ-RICH PROTEIN', 92298),
(148573, 'PTHR12659:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 7', 92299),
(148574, 'PTHR41519:SF1', NULL, NULL, NULL, NULL, 'SLR1087 PROTEIN', 92300),
(148575, 'PTHR10201:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92301),
(148576, 'PTHR47852:SF2', NULL, NULL, NULL, NULL, 'OS06G0298400 PROTEIN', 92302),
(148577, 'PTHR33167:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92303),
(148578, 'PTHR43689:SF39', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', 92304),
(148579, 'PTHR23024:SF553', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92305),
(148580, 'PTHR45657:SF49', NULL, NULL, NULL, NULL, 'BNAA03G11060D PROTEIN', 92306),
(148581, 'PTHR45764:SF40', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 11', 92307),
(148582, 'PTHR46087:SF10', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE PROTEIN', 92308),
(148583, 'PTHR32387:SF14', NULL, NULL, NULL, NULL, 'BNAANNG19870D PROTEIN', 92309),
(148584, 'PTHR45615:SF24', NULL, NULL, NULL, NULL, 'MYOSIN-10', 92310),
(148585, 'PTHR15629:SF30', NULL, NULL, NULL, NULL, 'LAS17 BINDING PROTEIN-LIKE', 92311),
(148586, 'PTHR11404:SF38', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE', 92312),
(148587, 'PTHR33281:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92313),
(148588, 'PTHR11055:SF57', NULL, NULL, NULL, NULL, 'BNAC01G22950D PROTEIN', 92314);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(148589, 'PTHR13634:SF0', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN BRX1 HOMOLOG', 92315),
(148590, 'PTHR45646:SF16', NULL, NULL, NULL, NULL, 'KINASE AFC1', 92316),
(148591, 'PTHR32141:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92317),
(148592, 'PTHR10334:SF471', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', 92318),
(148593, 'PTHR47933:SF26', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 92319),
(148594, 'PTHR38445:SF10', NULL, NULL, NULL, NULL, 'GNTR-FAMILY TRANSCRIPTIONAL REGULATOR', 92320),
(148595, 'PTHR15241:SF296', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92321),
(148596, 'PTHR10593:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92322),
(148597, 'PTHR35351', NULL, NULL, NULL, NULL, 'GERMINAL CENTER-ASSOCIATED SIGNALING AND MOTILITY-LIKE PROTEIN', 92323),
(148598, 'PTHR48002:SF99', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 92324),
(148599, 'PTHR33086:SF54', NULL, NULL, NULL, NULL, 'OS03G0790200 PROTEIN', 92325),
(148600, 'PTHR31834:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE HOC1-RELATED', 92326),
(148601, 'PTHR21310:SF42', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE-RELATED', 92327),
(148602, 'PTHR13848:SF72', NULL, NULL, NULL, NULL, 'BNAA02G29560D PROTEIN', 92328),
(148603, 'PTHR44042:SF44', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 92329),
(148604, 'PTHR13948', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN', 92330),
(148605, 'PTHR10730', NULL, NULL, NULL, NULL, 'PROCOLLAGEN-LYSINE,2-OXOGLUTARATE 5-DIOXYGENASE/GLYCOSYLTRANSFERASE 25 FAMILY MEMBER', 92331),
(148606, 'PTHR34120', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 92332),
(148607, 'PTHR48021:SF69', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 16', 92333),
(148608, 'PTHR35354', NULL, NULL, NULL, NULL, 'RGD1561648', 92334),
(148609, 'PTHR14190:SF7', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 52 HOMOLOG', 92335),
(148610, 'PTHR10824:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG04103', 92336),
(148611, 'PTHR23315:SF261', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 92337),
(148612, 'PTHR31683:SF154', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 92338),
(148613, 'PTHR32444:SF85', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 92339),
(148614, 'PTHR13233:SF0', NULL, NULL, NULL, NULL, 'MICROSPHERULE PROTEIN 1', 92340),
(148615, 'PTHR46980:SF1', NULL, NULL, NULL, NULL, 'TRICALBIN-3', 92341),
(148616, 'PTHR13793:SF144', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 92342),
(148617, 'PTHR45712:SF13', NULL, NULL, NULL, NULL, 'KERATOCAN', 92343),
(148618, 'PTHR43004:SF14', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE APDD', 92344),
(148619, 'PTHR23266:SF330', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 2-70-RELATED', 92345),
(148620, 'PTHR11654:SF78', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.3-LIKE', 92346),
(148621, 'PTHR35010:SF4', NULL, NULL, NULL, NULL, 'BLL5781 PROTEIN', 92347),
(148622, 'PTHR23266:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92348),
(148623, 'PTHR31189:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92349),
(148624, 'PTHR31973:SF144', NULL, NULL, NULL, NULL, 'BNAANNG04630D PROTEIN', 92350),
(148625, 'PTHR45768:SF44', NULL, NULL, NULL, NULL, 'BNAC04G51840D PROTEIN', 92351),
(148626, 'PTHR46932:SF8', NULL, NULL, NULL, NULL, 'TNFR/NGFR CYSTEINE-RICH REGION-RELATED', 92352),
(148627, 'PTHR31993:SF4', NULL, NULL, NULL, NULL, 'UBA-LIKE DOMAIN-CONTAINING PROTEIN 2', 92353),
(148628, 'PTHR45808:SF10', NULL, NULL, NULL, NULL, 'SI:CH1073-272J17.3-RELATED', 92354),
(148629, 'PTHR12122:SF8', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE 6H, CGMP-SPECIFIC, CONE, GAMMA, PARALOG A', 92355),
(148630, 'PTHR48052:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92356),
(148631, 'PTHR28038:SF1', NULL, NULL, NULL, NULL, 'ADL329WP', 92357),
(148632, 'PTHR34970:SF3', NULL, NULL, NULL, NULL, 'OS05G0535700 PROTEIN', 92358),
(148633, 'PTHR31595:SF54', NULL, NULL, NULL, NULL, 'OS07G0540000 PROTEIN', 92359);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(148634, 'PTHR37781', NULL, NULL, NULL, NULL, 'TFIIH COMPLEX SUBUNIT', 92360),
(148635, 'PTHR35488', NULL, NULL, NULL, NULL, 'OS05G0358900 PROTEIN-RELATED', 92361),
(148636, 'PTHR31669:SF200', NULL, NULL, NULL, NULL, 'OS03G0655600 PROTEIN', 92362),
(148637, 'PTHR24300:SF86', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 92363),
(148638, 'PTHR10926:SF61', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT', 92364),
(148639, 'PTHR11005:SF135', NULL, NULL, NULL, NULL, 'AB-HYDROLASE LIPASE DOMAIN, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 92365),
(148640, 'PTHR47058:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92366),
(148641, 'PTHR24006:SF668', NULL, NULL, NULL, NULL, 'OS08G0478500 PROTEIN', 92367),
(148642, 'PTHR31062:SF239', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 92368),
(148643, 'PTHR45708:SF31', NULL, NULL, NULL, NULL, 'III ACIDIC ENDOCHITINASE, PUTATIVE-RELATED', 92369),
(148644, 'PTHR13848:SF67', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 92370),
(148645, 'PTHR13439:SF47', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 56 HOMOLOG C', 92371),
(148646, 'PTHR11937:SF460', NULL, NULL, NULL, NULL, 'BNAC05G09010D PROTEIN', 92372),
(148647, 'PTHR24177:SF325', NULL, NULL, NULL, NULL, 'OS07G0193200 PROTEIN', 92373),
(148648, 'PTHR48018:SF47', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 92374),
(148649, 'PTHR30457:SF20', NULL, NULL, NULL, NULL, 'BNAC01G31420D PROTEIN', 92375),
(148650, 'PTHR24414:SF97', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 92376),
(148651, 'PTHR47896:SF1', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-9', 92377),
(148652, 'PTHR10906:SF30', NULL, NULL, NULL, NULL, 'BNACNNG56640D PROTEIN', 92378),
(148653, 'PTHR13847:SF272', NULL, NULL, NULL, NULL, 'FAD DEPENDENT OXIDOREDUCTASE', 92379),
(148654, 'PTHR14096:SF27', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L2', 92380),
(148655, 'PTHR32208:SF70', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN ARB_07867-LIKE', 92381),
(148656, 'PTHR33699:SF1', NULL, NULL, NULL, NULL, 'OS12G0417300 PROTEIN', 92382),
(148657, 'PTHR12756:SF41', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE 2', 92383),
(148658, 'PTHR12560:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92384),
(148659, 'PTHR45504:SF3', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 92385),
(148660, 'PTHR13723:SF39', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 15', 92386),
(148661, 'PTHR16529:SF8', NULL, NULL, NULL, NULL, 'CD177 ANTIGEN', 92387),
(148662, 'PTHR24070:SF422', NULL, NULL, NULL, NULL, 'RASD FAMILY MEMBER 3', 92388),
(148663, 'PTHR22880:SF236', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92389),
(148664, 'PTHR26453:SF23', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 92390),
(148665, 'PTHR32266:SF14', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE 1', 92391),
(148666, 'PTHR11945:SF638', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN DEFICIENS', 92392),
(148667, 'PTHR32001:SF1', NULL, NULL, NULL, NULL, 'KERATINOCYTE-ASSOCIATED PROTEIN 2', 92393),
(148668, 'PTHR45637:SF39', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL2', 92394),
(148669, 'PTHR43551', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE IRON-SULFUR SUBUNIT', 92395),
(148670, 'PTHR22966:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92396),
(148671, 'PTHR11639:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92397),
(148672, 'PTHR31325:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92398),
(148673, 'PTHR21660:SF49', NULL, NULL, NULL, NULL, 'ESTERASE F42H10.6-RELATED', 92399),
(148674, 'PTHR24381:SF357', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 425', 92400),
(148675, 'PTHR45746:SF6', NULL, NULL, NULL, NULL, 'LP21163P', 92401),
(148676, 'PTHR10593:SF188', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ENHYDROUS', 92402),
(148677, 'PTHR38495:SF1', NULL, NULL, NULL, NULL, 'MCG11474', 92403),
(148678, 'PTHR22779:SF6', NULL, NULL, NULL, NULL, 'SD17342P', 92404),
(148679, 'PTHR35734:SF1', NULL, NULL, NULL, NULL, 'OS01G0805200 PROTEIN', 92405);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(148680, 'PTHR31636:SF268', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS, SCARECROW-LIKE PROTEIN 3-RELATED', 92406),
(148681, 'PTHR33127:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 92407),
(148682, 'PTHR46418:SF1', NULL, NULL, NULL, NULL, 'SRBC-64-RELATED', 92408),
(148683, 'PTHR10551:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92409),
(148684, 'PTHR33021:SF301', NULL, NULL, NULL, NULL, 'OS02G0758800 PROTEIN', 92410),
(148685, 'PTHR21277:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92411),
(148686, 'PTHR11685:SF368', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 92412),
(148687, 'PTHR35248:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 92413),
(148688, 'PTHR21225:SF12', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE, PHE-SENSITIVE', 92414),
(148689, 'PTHR11005:SF16', NULL, NULL, NULL, NULL, 'LIPASE MEMBER N', 92415),
(148690, 'PTHR31828:SF36', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 3', 92416),
(148691, 'PTHR23430:SF297', NULL, NULL, NULL, NULL, 'HISTONE H2A VARIANT 2-RELATED', 92417),
(148692, 'PTHR45951:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DISPATCHED HOMOLOG 2', 92418),
(148693, 'PTHR25465:SF5', NULL, NULL, NULL, NULL, 'BLOODTHIRSTY-RELATED GENE FAMILY, MEMBER 30-RELATED', 92419),
(148694, 'PTHR14493:SF98', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 30-LIKE', 92420),
(148695, 'PTHR11654:SF530', NULL, NULL, NULL, NULL, 'OS05G0430900 PROTEIN', 92421),
(148696, 'PTHR12315:SF1', NULL, NULL, NULL, NULL, 'RNA 5''-MONOPHOSPHATE METHYLTRANSFERASE', 92422),
(148697, 'PTHR46029:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92423),
(148698, 'PTHR32054:SF69', NULL, NULL, NULL, NULL, 'BNAC03G14000D PROTEIN', 92424),
(148699, 'PTHR13817:SF132', NULL, NULL, NULL, NULL, 'SEC14 DOMAIN AND SPECTRIN REPEAT-CONTAINING PROTEIN 1-LIKE PROTEIN', 92425),
(148700, 'PTHR46996:SF4', NULL, NULL, NULL, NULL, 'BNAC09G54710D PROTEIN', 92426),
(148701, 'PTHR45699:SF11', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', 92427),
(148702, 'PTHR31495:SF24', NULL, NULL, NULL, NULL, 'PEROXYGENASE 5-RELATED', 92428),
(148703, 'PTHR12565:SF365', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH137-LIKE', 92429),
(148704, 'PTHR10091:SF3', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 92430),
(148705, 'PTHR34952:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92431),
(148706, 'PTHR10891:SF868', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', 92432),
(148707, 'PTHR38150', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 92433),
(148708, 'PTHR26450:SF141', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 92434),
(148709, 'PTHR23075:SF5', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 3A', 92435),
(148710, 'PTHR12725:SF82', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', 92436),
(148711, 'PTHR31669:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92437),
(148712, 'PTHR16675:SF186', NULL, NULL, NULL, NULL, 'HLA CLASS I HISTOCOMPATIBILITY ANTIGEN, B-73 ALPHA CHAIN', 92438),
(148713, 'PTHR34042:SF2', NULL, NULL, NULL, NULL, 'OS07G0679100 PROTEIN', 92439),
(148714, 'PTHR11482:SF58', NULL, NULL, NULL, NULL, 'DIAMINOPIMELATE DECARBOXYLASE 2 CHLOROPLASTIC', 92440),
(148715, 'PTHR31642:SF38', NULL, NULL, NULL, NULL, 'TRYPTAMINE BENZOYLTRANSFERASE 2', 92441),
(148716, 'PTHR11950:SF44', NULL, NULL, NULL, NULL, 'RUNT RELATED A, ISOFORM D', 92442),
(148717, 'PTHR24075:SF0', NULL, NULL, NULL, NULL, 'TRANSLOCATION PROTEIN SEC63 HOMOLOG', 92443),
(148718, 'PTHR42896', NULL, NULL, NULL, NULL, 'XYLULOSE-1,5-BISPHOSPHATE (XUBP) PHOSPHATASE', 92444),
(148719, 'PTHR22950:SF577', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 92445),
(148720, 'PTHR31269:SF51', NULL, NULL, NULL, NULL, 'BNAC01G20530D PROTEIN', 92446),
(148721, 'PTHR27005:SF349', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92447),
(148722, 'PTHR24161:SF17', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE HIP14', 92448),
(148723, 'PTHR31205:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92449);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(148724, 'PTHR40266', NULL, NULL, NULL, NULL, 'TOXIN HIGB-1', 92450),
(148725, 'PTHR13803:SF6', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC24D', 92451),
(148726, 'PTHR47410:SF2', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 7', 92452),
(148727, 'PTHR47928:SF127', NULL, NULL, NULL, NULL, 'OS12G0128200 PROTEIN', 92453),
(148728, 'PTHR45679:SF5', NULL, NULL, NULL, NULL, 'ER DEGRADATION-ENHANCING ALPHA-MANNOSIDASE-LIKE PROTEIN 1', 92454),
(148729, 'PTHR24377:SF771', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 284', 92455),
(148730, 'PTHR12439:SF35', NULL, NULL, NULL, NULL, 'POLY(U)-SPECIFIC ENDORIBONUCLEASE HOMOLOG', 92456),
(148731, 'PTHR43689:SF33', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD HYDROLASE', 92457),
(148732, 'PTHR12203:SF105', NULL, NULL, NULL, NULL, 'OS08G0101800 PROTEIN', 92458),
(148733, 'PTHR46204:SF10', NULL, NULL, NULL, NULL, 'LYSM DOMAIN RECEPTOR-LIKE KINASE 3', 92459),
(148734, 'PTHR13140:SF757', NULL, NULL, NULL, NULL, 'MYOSIN-8', 92460),
(148735, 'PTHR43281:SF22', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE 6, MITOCHONDRIAL', 92461),
(148736, 'PTHR31741:SF83', NULL, NULL, NULL, NULL, 'BNAC05G37630D PROTEIN', 92462),
(148737, 'PTHR24414:SF115', NULL, NULL, NULL, NULL, 'BNACNNG62190D PROTEIN', 92463),
(148738, 'PTHR21454:SF24', NULL, NULL, NULL, NULL, 'DPH3 HOMOLOG', 92464),
(148739, 'PTHR48108:SF4', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN DDB_G0289609', 92465),
(148740, 'PTHR45614:SF101', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1', 92466),
(148741, 'PTHR31325:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92467),
(148742, 'PTHR36771', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 92468),
(148743, 'PTHR46128:SF35', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 92469),
(148744, 'PTHR47926:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92470),
(148745, 'PTHR45806:SF6', NULL, NULL, NULL, NULL, 'BNAA02G07810D PROTEIN', 92471),
(148746, 'PTHR24103:SF620', NULL, NULL, NULL, NULL, 'SI:DKEY-219E21.2', 92472),
(148747, 'PTHR10805:SF5', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT EPSILON', 92473),
(148748, 'PTHR30466', NULL, NULL, NULL, NULL, 'FLAVIN REDUCTASE', 92474),
(148749, 'PTHR24024:SF19', NULL, NULL, NULL, NULL, 'COLLECTIN-46-LIKE', 92475),
(148750, 'PTHR34269:SF13', NULL, NULL, NULL, NULL, 'B3 DOMAIN PROTEIN', 92476),
(148751, 'PTHR31669:SF51', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 6-LIKE', 92477),
(148752, 'PTHR31929:SF90', NULL, NULL, NULL, NULL, 'BNAA10G16780D PROTEIN', 92478),
(148753, 'PTHR19370:SF74', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE 1', 92479),
(148754, 'PTHR24064:SF424', NULL, NULL, NULL, NULL, 'FI05810P', 92480),
(148755, 'PTHR12652:SF50', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11A', 92481),
(148756, 'PTHR31659', NULL, NULL, NULL, NULL, 'PROTEIN: UPF0503-LIKE PROTEIN, PUTATIVE (DUF740)-RELATED', 92482),
(148757, 'PTHR31561:SF5', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 92483),
(148758, 'PTHR45662:SF14', NULL, NULL, NULL, NULL, 'BNAC01G23400D PROTEIN', 92484),
(148759, 'PTHR38011:SF3', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G06820)', 92485),
(148760, 'PTHR32499:SF11', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 16', 92486),
(148761, 'PTHR15286:SF11', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 7', 92487),
(148762, 'PTHR47416:SF9', NULL, NULL, NULL, NULL, 'BNAA01G31420D PROTEIN', 92488),
(148763, 'PTHR18934:SF83', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE DHX16', 92489),
(148764, 'PTHR47926:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92490),
(148765, 'PTHR12570:SF77', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 92491),
(148766, 'PTHR36769:SF2', NULL, NULL, NULL, NULL, 'BNAC07G32650D PROTEIN', 92492),
(148767, 'PTHR38147:SF1', NULL, NULL, NULL, NULL, 'IMP BIOSYNTHESIS ENZYME PURP DOMAIN PROTEIN', 92493),
(148768, 'PTHR31469:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92494);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(148769, 'PTHR31190:SF181', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF109-LIKE', 92495),
(148770, 'PTHR31636:SF139', NULL, NULL, NULL, NULL, 'OSJNBA0010H02.25 PROTEIN', 92496),
(148771, 'PTHR47988:SF27', NULL, NULL, NULL, NULL, 'INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE 1, PUTATIVE-RELATED', 92497),
(148772, 'PTHR11929:SF132', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE 4', 92498),
(148773, 'PTHR21573:SF0', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 1', 92499),
(148774, 'PTHR28520:SF12', NULL, NULL, NULL, NULL, 'BNAA07G39080D PROTEIN', 92500),
(148775, 'PTHR23257:SF706', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE SERINE/THREONINE-PROTEIN KINASE MOS', 92501),
(148776, 'PTHR31496:SF31', NULL, NULL, NULL, NULL, 'BNAC09G32160D PROTEIN', 92502),
(148777, 'PTHR31008', NULL, NULL, NULL, NULL, 'COP1-INTERACTING PROTEIN-RELATED', 92503),
(148778, 'PTHR43874:SF156', NULL, NULL, NULL, NULL, 'POPULUS TRICHOCARPA PSEUDO-RESPONSE REGULATOR 5A MRNA', 92504),
(148779, 'PTHR16592:SF8', NULL, NULL, NULL, NULL, 'ASTROTACTIN-1', 92505),
(148780, 'PTHR33110:SF94', NULL, NULL, NULL, NULL, 'OS10G0161700 PROTEIN', 92506),
(148781, 'PTHR31899:SF16', NULL, NULL, NULL, NULL, 'BETA-CAROTENE 3-HYDROXYLASE 2, CHLOROPLASTIC', 92507),
(148782, 'PTHR35828:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92508),
(148783, 'PTHR10876:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZPR1', 92509),
(148784, 'PTHR10334:SF408', NULL, NULL, NULL, NULL, 'BNAA02G35230D PROTEIN', 92510),
(148785, 'PTHR47977:SF3', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN YPTM2', 92511),
(148786, 'PTHR33576:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92512),
(148787, 'PTHR22930:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92513),
(148788, 'PTHR48012:SF21', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIC1', 92514),
(148789, 'PTHR33021:SF338', NULL, NULL, NULL, NULL, 'PEELING CUPREDOXIN, PUTATIVE-RELATED', 92515),
(148790, 'PTHR20978', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 5', 92516),
(148791, 'PTHR22891:SF111', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN 2', 92517),
(148792, 'PTHR11926:SF1226', NULL, NULL, NULL, NULL, 'FLAVONOL 3-O-GLUCOSYLTRANSFERASE UGT76E12-RELATED', 92518),
(148793, 'PTHR11017:SF333', NULL, NULL, NULL, NULL, 'BNAA03G56180D PROTEIN', 92519),
(148794, 'PTHR21198:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE RACEMASE', 92520),
(148795, 'PTHR47926:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92521),
(148796, 'PTHR37784', NULL, NULL, NULL, NULL, 'PROTEIN MSN1', 92522),
(148797, 'PTHR31087:SF120', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 10-LIKE', 92523),
(148798, 'PTHR22948:SF7', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 15', 92524),
(148799, 'PTHR37714', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 92525),
(148800, 'PTHR23326:SF22', NULL, NULL, NULL, NULL, 'BNAA03G06980D PROTEIN', 92526),
(148801, 'PTHR10746:SF15', NULL, NULL, NULL, NULL, 'OS12G0488600 PROTEIN', 92527),
(148802, 'PTHR36073', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 92528),
(148803, 'PTHR22943:SF84', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 92529),
(148804, 'PTHR24058:SF51', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TYROSINE-PHOSPHORYLATION-REGULATED KINASE 2', 92530),
(148805, 'PTHR28520:SF10', NULL, NULL, NULL, NULL, 'MITOTIC-SPINDLE ORGANIZING PROTEIN 1A-LIKE', 92531),
(148806, 'PTHR46348', NULL, NULL, NULL, NULL, 'DELETED IN LUNG AND ESOPHAGEAL CANCER PROTEIN 1', 92532),
(148807, 'PTHR31216:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-1-RELATED', 92533),
(148808, 'PTHR33870:SF18', NULL, NULL, NULL, NULL, 'BNAA10G29160D PROTEIN', 92534),
(148809, 'PTHR19970:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92535),
(148810, 'PTHR43574:SF8', NULL, NULL, NULL, NULL, 'HIGH CHLOROPHYLL FLUORESCENCE PHENOTYPE 173', 92536),
(148811, 'PTHR31931', NULL, NULL, NULL, NULL, 'PROTEIN CHURCHILL', 92537),
(148812, 'PTHR28251:SF1', NULL, NULL, NULL, NULL, 'V-TYPE ATPASE ASSEMBLY FACTOR PKR1', 92538),
(148813, 'PTHR45703:SF17', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN', 92539);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(148814, 'PTHR31791:SF10', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 92540),
(148815, 'PTHR11627:SF65', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 92541),
(148816, 'PTHR22870:SF360', NULL, NULL, NULL, NULL, 'ULTRAVIOLET-B RECEPTOR UVR8', 92542),
(148817, 'PTHR31948:SF75', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 11-LIKE', 92543),
(148818, 'PTHR31871:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92544),
(148819, 'PTHR21308:SF1', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE, PEROXISOMAL', 92545),
(148820, 'PTHR13271:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92546),
(148821, 'PTHR47534', NULL, NULL, NULL, NULL, 'YALI0E05731P', 92547),
(148822, 'PTHR24292:SF95', NULL, NULL, NULL, NULL, 'CYP6A16, ISOFORM B-RELATED', 92548),
(148823, 'PTHR24027:SF89', NULL, NULL, NULL, NULL, 'CADHERIN-5', 92549),
(148824, 'PTHR10271', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS', 92550),
(148825, 'PTHR11437:SF54', NULL, NULL, NULL, NULL, 'ANGIOGENIN-2', 92551),
(148826, 'PTHR36081:SF1', NULL, NULL, NULL, NULL, 'CELL WALL INTEGRITY/STRESS RESPONSE COMPONENT', 92552),
(148827, 'PTHR24054:SF47', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA-3', 92553),
(148828, 'PTHR31242', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE SMALL SUBUNIT, MITOCHONDRIAL', 92554),
(148829, 'PTHR19325:SF504', NULL, NULL, NULL, NULL, 'REGULATOR OF COMPLEMENT ACTIVATION GROUP 2 GENE 1-RELATED', 92555),
(148830, 'PTHR43228:SF12', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR 24', 92556),
(148831, 'PTHR31374:SF194', NULL, NULL, NULL, NULL, 'OS01G0768333 PROTEIN', 92557),
(148832, 'PTHR32448:SF114', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN-RELATED', 92558),
(148833, 'PTHR31872:SF6', NULL, NULL, NULL, NULL, 'ZGC:153018', 92559),
(148834, 'PTHR10871:SF37', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S18-LIKE', 92560),
(148835, 'PTHR46963', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA E130308A19', 92561),
(148836, 'PTHR24074:SF29', NULL, NULL, NULL, NULL, 'LD30543P', 92562),
(148837, 'PTHR11945:SF614', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL6 ISOFORM X1', 92563),
(148838, 'PTHR31444:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92564),
(148839, 'PTHR22596:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG00840', 92565),
(148840, 'PTHR31062:SF234', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 92566),
(148841, 'PTHR11024:SF9', NULL, NULL, NULL, NULL, 'OS03G0831800 PROTEIN', 92567),
(148842, 'PTHR33526:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92568),
(148843, 'PTHR33219:SF10', NULL, NULL, NULL, NULL, 'YLMG HOMOLOG PROTEIN 1-2, CHLOROPLASTIC', 92569),
(148844, 'PTHR22988:SF58', NULL, NULL, NULL, NULL, 'PARAMYOSIN, LONG FORM', 92570),
(148845, 'PTHR11590:SF36', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE E', 92571),
(148846, 'PTHR48047:SF38', NULL, NULL, NULL, NULL, 'SCOPOLETIN GLUCOSYLTRANSFERASE-LIKE', 92572),
(148847, 'PTHR15856:SF26', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 20-LIKE PROTEIN 1', 92573),
(148848, 'PTHR45725', NULL, NULL, NULL, NULL, 'FORMIN HOMOLOGY 2 FAMILY MEMBER', 92574),
(148849, 'PTHR31071:SF41', NULL, NULL, NULL, NULL, 'OS02G0506100 PROTEIN', 92575),
(148850, 'PTHR33021:SF347', NULL, NULL, NULL, NULL, 'BNAC01G15380D PROTEIN', 92576),
(148851, 'PTHR31165:SF95', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 3', 92577),
(148852, 'PTHR23349:SF70', NULL, NULL, NULL, NULL, 'TWIST-RELATED PROTEIN 2', 92578),
(148853, 'PTHR45651:SF22', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CHANNEL 9', 92579),
(148854, 'PTHR23272:SF137', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN DAYSLEEPER-LIKE', 92580),
(148855, 'PTHR13789:SF238', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G01680)-RELATED', 92581),
(148856, 'PTHR12638:SF0', NULL, NULL, NULL, NULL, 'PROTEIN MAGO NASHI HOMOLOG', 92582),
(148857, 'PTHR31221:SF259', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 51-RELATED', 92583);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(148858, 'PTHR24055:SF421', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92584),
(148859, 'PTHR47240:SF3', NULL, NULL, NULL, NULL, 'CHROMO DOMAIN PROTEIN LHP1-LIKE ISOFORM X1', 92585),
(148860, 'PTHR47980:SF43', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-40A-LIKE', 92586),
(148861, 'PTHR23317:SF74', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 8', 92587),
(148862, 'PTHR31642:SF149', NULL, NULL, NULL, NULL, 'METHANOL O-ANTHRANILOYLTRANSFERASE-LIKE', 92588),
(148863, 'PTHR26452:SF143', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1002-RELATED', 92589),
(148864, 'PTHR11984:SF65', NULL, NULL, NULL, NULL, 'GAP JUNCTION BETA-3 PROTEIN', 92590),
(148865, 'PTHR12157:SF21', NULL, NULL, NULL, NULL, 'RAB3 INTERACTING MOLECULE, ISOFORM F', 92591),
(148866, 'PTHR45868:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92592),
(148867, 'PTHR45868:SF44', NULL, NULL, NULL, NULL, 'HEAVY-METAL-ASSOCIATED DOMAIN PROTEIN', 92593),
(148868, 'PTHR45742:SF4', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C6', 92594),
(148869, 'PTHR31945:SF86', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', 92595),
(148870, 'PTHR31314:SF62', NULL, NULL, NULL, NULL, 'MYB-LIKE HTH TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN', 92596),
(148871, 'PTHR40112', NULL, NULL, NULL, NULL, 'H2HPP ISOMERASE', 92597),
(148872, 'PTHR45181:SF8', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DNAJ WITH TETRATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 92598),
(148873, 'PTHR21477:SF33', NULL, NULL, NULL, NULL, 'BNAANNG04040D PROTEIN', 92599),
(148874, 'PTHR37378:SF5', NULL, NULL, NULL, NULL, 'WALI5 PROTEIN', 92600),
(148875, 'PTHR33873:SF9', NULL, NULL, NULL, NULL, 'BNAC03G58740D PROTEIN', 92601),
(148876, 'PTHR15040', NULL, NULL, NULL, NULL, 'DERMATOPONTIN-RELATED', 92602),
(148877, 'PTHR37188', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT-RELATED', 92603),
(148878, 'PTHR24177:SF334', NULL, NULL, NULL, NULL, 'PGG DOMAIN-CONTAINING PROTEIN-RELATED', 92604),
(148879, 'PTHR19367:SF11', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 8-6', 92605),
(148880, 'PTHR11394:SF128', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2-RELATED', 92606),
(148881, 'PTHR13007:SF22', NULL, NULL, NULL, NULL, 'BNAA09G50970D PROTEIN', 92607),
(148882, 'PTHR23430:SF125', NULL, NULL, NULL, NULL, 'HISTONE H2A', 92608),
(148883, 'PTHR31949:SF13', NULL, NULL, NULL, NULL, 'MUCIN-5AC-LIKE PROTEIN', 92609),
(148884, 'PTHR10639:SF21', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN 3', 92610),
(148885, 'PTHR47115:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 183', 92611),
(148886, 'PTHR13318:SF47', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 20', 92612),
(148887, 'PTHR31062:SF178', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 92613),
(148888, 'PTHR14198:SF22', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 4 L6 FAMILY MEMBER 19', 92614),
(148889, 'PTHR48047:SF123', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 92615),
(148890, 'PTHR43536:SF5', NULL, NULL, NULL, NULL, 'ENDO-BETA-MANNOSIDASE-LIKE MANNOSYLGLYCOPROTEIN', 92616),
(148891, 'PTHR24364:SF23', NULL, NULL, NULL, NULL, 'LP06937P', 92617),
(148892, 'PTHR23278', NULL, NULL, NULL, NULL, 'SIDESTEP PROTEIN', 92618),
(148893, 'PTHR31717:SF100', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 29', 92619),
(148894, 'PTHR24249:SF390', NULL, NULL, NULL, NULL, 'TRACE AMINE ASSOCIATED RECEPTOR 69-RELATED', 92620),
(148895, 'PTHR33219', NULL, NULL, NULL, NULL, 'YLMG HOMOLOG PROTEIN 2, CHLOROPLASTIC', 92621),
(148896, 'PTHR31213:SF159', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL5', 92622),
(148897, 'PTHR32332:SF27', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G09850)-RELATED', 92623),
(148898, 'PTHR45288:SF4', NULL, NULL, NULL, NULL, 'BNACNNG10640D PROTEIN', 92624),
(148899, 'PTHR19241:SF298', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', 92625),
(148900, 'PTHR42647:SF39', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BOI-LIKE', 92626),
(148901, 'PTHR27002:SF862', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8 ISOFORM X1', 92627);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(148902, 'PTHR45638:SF11', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL SUBUNIT A', 92628),
(148903, 'PTHR33560:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM227B', 92629),
(148904, 'PTHR24244:SF2', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE S RECEPTOR', 92630),
(148905, 'PTHR45752:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92631),
(148906, 'PTHR35247:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 43', 92632),
(148907, 'PTHR44029', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 21', 92633),
(148908, 'PTHR20899', NULL, NULL, NULL, NULL, 'PIERCE HOMOLOG', 92634),
(148909, 'PTHR31190:SF193', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', 92635),
(148910, 'PTHR47991:SF101', NULL, NULL, NULL, NULL, 'OS10G0559500 PROTEIN', 92636),
(148911, 'PTHR24161:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92637),
(148912, 'PTHR30074:SF2', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE, CYTOCHROME B556(FDO) SUBUNIT', 92638),
(148913, 'PTHR11964:SF12', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE ISOFORM TYPE-2', 92639),
(148914, 'PTHR45658:SF69', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 92640),
(148915, 'PTHR23359:SF148', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 9', 92641),
(148916, 'PTHR43695', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17250)-RELATED', 92642),
(148917, 'PTHR10972:SF170', NULL, NULL, NULL, NULL, 'OSBP(OXYSTEROL-BINDING PROTEIN)-RELATED PROTEIN 4C', 92643),
(148918, 'PTHR24057:SF0', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SHAGGY-RELATED', 92644),
(148919, 'PTHR45626:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92645),
(148920, 'PTHR33674:SF3', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 12', 92646),
(148921, 'PTHR14499:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92647),
(148922, 'PTHR24418:SF289', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 92648),
(148923, 'PTHR24223:SF271', NULL, NULL, NULL, NULL, 'FI20146P1-RELATED', 92649),
(148924, 'PTHR48017:SF151', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 1', 92650),
(148925, 'PTHR24027:SF419', NULL, NULL, NULL, NULL, 'CADHERIN-17', 92651),
(148926, 'PTHR47869', NULL, NULL, NULL, NULL, 'OS03G0410700 PROTEIN', 92652),
(148927, 'PTHR30514', NULL, NULL, NULL, NULL, 'GLUCOKINASE', 92653),
(148928, 'PTHR22662', NULL, NULL, NULL, NULL, 'TIRAP', 92654),
(148929, 'PTHR45757:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG01182', 92655),
(148930, 'PTHR23113:SF197', NULL, NULL, NULL, NULL, 'RAS-GEF DOMAIN-CONTAINING FAMILY MEMBER 1B', 92656),
(148931, 'PTHR30070', NULL, NULL, NULL, NULL, 'HEME EXPORTER PROTEIN B', 92657),
(148932, 'PTHR44305', NULL, NULL, NULL, NULL, 'SI:DKEY-192D15.2-RELATED', 92658),
(148933, 'PTHR13585', NULL, NULL, NULL, NULL, 'CHASCON, ISOFORM D-RELATED', 92659),
(148934, 'PTHR45839:SF21', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', 92660),
(148935, 'PTHR46364:SF9', NULL, NULL, NULL, NULL, 'CHROMATIN REMODELING PROTEIN EBS-LIKE', 92661),
(148936, 'PTHR23345:SF15', NULL, NULL, NULL, NULL, 'VITELLOGENIN-1', 92662),
(148937, 'PTHR45974:SF124', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 92663),
(148938, 'PTHR10554:SF8', NULL, NULL, NULL, NULL, 'BETA-2-SYNTROPHIN', 92664),
(148939, 'PTHR31677:SF164', NULL, NULL, NULL, NULL, 'BNAA07G36710D PROTEIN', 92665),
(148940, 'PTHR15924:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92666),
(148941, 'PTHR31618', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 5', 92667),
(148942, 'PTHR31673:SF33', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 92668),
(148943, 'PTHR23413:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32-RELATED', 92669),
(148944, 'PTHR31949:SF24', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN-RELATED', 92670),
(148945, 'PTHR24291:SF159', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP4F13', 92671),
(148946, 'PTHR10606:SF40', NULL, NULL, NULL, NULL, '6-BIPHOSPHATASE, PUTATIVE-RELATED', 92672),
(148947, 'PTHR44269:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 92673),
(148948, 'PTHR22761:SF70', NULL, NULL, NULL, NULL, 'OS06G0608500 PROTEIN', 92674);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(148949, 'PTHR47582:SF1', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 92675),
(148950, 'PTHR32018:SF26', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', 92676),
(148951, 'PTHR22957:SF566', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', 92677),
(148952, 'PTHR14379:SF6', NULL, NULL, NULL, NULL, 'EMB|CAB71880.1', 92678),
(148953, 'PTHR10562:SF79', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 3-RELATED', 92679),
(148954, 'PTHR35976:SF1', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN J', 92680),
(148955, 'PTHR11863:SF104', NULL, NULL, NULL, NULL, 'CHOLESTEROL 25-HYDROXYLASE-LIKE PROTEIN 1, MEMBER 1', 92681),
(148956, 'PTHR46265:SF15', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 7-LIKE ISOFORM X1', 92682),
(148957, 'PTHR23304:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92683),
(148958, 'PTHR30177:SF31', NULL, NULL, NULL, NULL, 'CHOLINE-BINDING PROTEIN', 92684),
(148959, 'PTHR18804', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 92685),
(148960, 'PTHR23266:SF114', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION AMPC1-RELATED', 92686),
(148961, 'PTHR24342:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 17B', 92687),
(148962, 'PTHR43275:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G04150)-RELATED', 92688),
(148963, 'PTHR13683:SF840', NULL, NULL, NULL, NULL, 'BNAANNG12680D PROTEIN', 92689),
(148964, 'PTHR21660:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92690),
(148965, 'PTHR33349:SF16', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACZ-LIKE', 92691),
(148966, 'PTHR30121:SF8', NULL, NULL, NULL, NULL, 'CAG PATHOGENICITY ISLAND PROTEIN 23', 92692),
(148967, 'PTHR47860:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP17-1, CHLOROPLASTIC', 92693),
(148968, 'PTHR10732:SF17', NULL, NULL, NULL, NULL, 'BNAA02G29450D PROTEIN', 92694),
(148969, 'PTHR45646:SF6', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE CLK2', 92695),
(148970, 'PTHR30544:SF5', NULL, NULL, NULL, NULL, 'RADICAL SAM SUPERFAMILY PROTEIN', 92696),
(148971, 'PTHR23198:SF6', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP100/NSP100-RELATED', 92697),
(148972, 'PTHR11252:SF12', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE NUCLEOTIDYLTRANSFERASE 1, CHLOROPLASTIC', 92698),
(148973, 'PTHR23500:SF357', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 13', 92699),
(148974, 'PTHR45888', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 92700),
(148975, 'PTHR27009:SF155', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', 92701),
(148976, 'PTHR22765:SF268', NULL, NULL, NULL, NULL, 'BNAA01G33040D PROTEIN', 92702),
(148977, 'PTHR21712:SF35', NULL, NULL, NULL, NULL, 'FHA DOMAIN-CONTAINING PROTEIN FHA2', 92703),
(148978, 'PTHR31065:SF65', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', 92704),
(148979, 'PTHR31722', NULL, NULL, NULL, NULL, 'OS06G0675200 PROTEIN', 92705),
(148980, 'PTHR12308:SF77', NULL, NULL, NULL, NULL, 'MEMBRANE STRESS RESPONSE PROTEIN (IST2), PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03330)-RELATED', 92706),
(148981, 'PTHR22748:SF8', NULL, NULL, NULL, NULL, 'DNA-(APURINIC OR APYRIMIDINIC SITE) LYASE', 92707),
(148982, 'PTHR11158:SF31', NULL, NULL, NULL, NULL, 'PRELI DOMAIN-CONTAINING PROTEIN 1, MITOCHONDRIAL', 92708),
(148983, 'PTHR13847:SF257', NULL, NULL, NULL, NULL, 'FI22513P1', 92709),
(148984, 'PTHR24068:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92710),
(148985, 'PTHR47032', NULL, NULL, NULL, NULL, 'UDP-D-XYLOSE:L-FUCOSE ALPHA-1,3-D-XYLOSYLTRANSFERASE-RELATED', 92711),
(148986, 'PTHR48060:SF6', NULL, NULL, NULL, NULL, 'BNAA01G30460D PROTEIN', 92712),
(148987, 'PTHR31704:SF36', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN-LIKE', 92713),
(148988, 'PTHR33076:SF95', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 92714),
(148989, 'PTHR12947:SF7', NULL, NULL, NULL, NULL, 'AMSH-LIKE PROTEASE', 92715),
(148990, 'PTHR31048:SF149', NULL, NULL, NULL, NULL, 'OS07G0417600 PROTEIN', 92716);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(148991, 'PTHR35090', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT I', 92717),
(148992, 'PTHR31942:SF91', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 92718),
(148993, 'PTHR36312:SF8', NULL, NULL, NULL, NULL, 'BNAA05G19200D PROTEIN', 92719),
(148994, 'PTHR11811:SF55', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING 1, CHLOROPLASTIC', 92720),
(148995, 'PTHR19241:SF639', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)-RELATED', 92721),
(148996, 'PTHR46338:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 8-LIKE', 92722),
(148997, 'PTHR23070:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92723),
(148998, 'PTHR11909:SF77', NULL, NULL, NULL, NULL, 'PROTEIN CBG18079', 92724),
(148999, 'PTHR31645:SF64', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER, OPT SUPERFAMILY-RELATED', 92725),
(149000, 'PTHR22753:SF24', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 68', 92726),
(149001, 'PTHR22792:SF139', NULL, NULL, NULL, NULL, 'BNAC09G09540D PROTEIN', 92727),
(149002, 'PTHR43859:SF1', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (JCVI)-RELATED', 92728),
(149003, 'PTHR13935:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92729),
(149004, 'PTHR24070:SF391', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92730),
(149005, 'PTHR31304:SF44', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 42', 92731),
(149006, 'PTHR48022:SF45', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01180)-RELATED', 92732),
(149007, 'PTHR31208:SF4', NULL, NULL, NULL, NULL, 'OS07G0585000 PROTEIN', 92733),
(149008, 'PTHR14190:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92734),
(149009, 'PTHR48180:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92735),
(149010, 'PTHR16186:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92736),
(149011, 'PTHR11863:SF144', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 2-1', 92737),
(149012, 'PTHR12370:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE 2-RELATED', 92738),
(149013, 'PTHR47990:SF58', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP1 ISOFORM X1-RELATED', 92739),
(149014, 'PTHR30269:SF32', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN-RELATED', 92740),
(149015, 'PTHR31465', NULL, NULL, NULL, NULL, 'PROTEIN RTA1-RELATED', 92741),
(149016, 'PTHR30213', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 92742),
(149017, 'PTHR21522:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92743),
(149018, 'PTHR19331:SF449', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CYSTEINE-RICH DOMAIN-CONTAINING PROTEIN SCART1', 92744),
(149019, 'PTHR23400:SF0', NULL, NULL, NULL, NULL, 'DENTIN MATRIX ACIDIC PHOSPHOPROTEIN 1', 92745),
(149020, 'PTHR12806', NULL, NULL, NULL, NULL, 'EAP30 SUBUNIT OF ELL COMPLEX', 92746),
(149021, 'PTHR31422:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92747),
(149022, 'PTHR31775:SF15', NULL, NULL, NULL, NULL, 'OS02G0824500 PROTEIN', 92748),
(149023, 'PTHR32241:SF14', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 7', 92749),
(149024, 'PTHR10314:SF208', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', 92750),
(149025, 'PTHR47190', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 92751),
(149026, 'PTHR23240:SF29', NULL, NULL, NULL, NULL, 'DNA LIGASE-LIKE', 92752),
(149027, 'PTHR23088:SF50', NULL, NULL, NULL, NULL, 'HYDROLASE YHCX', 92753),
(149028, 'PTHR36804:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.11 PROTEIN', 92754),
(149029, 'PTHR11697:SF219', NULL, NULL, NULL, NULL, 'OS02G0301400 PROTEIN', 92755),
(149030, 'PTHR30388:SF6', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE SUBUNIT A-RELATED', 92756),
(149031, 'PTHR11599:SF173', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 92757),
(149032, 'PTHR23024:SF366', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', 92758),
(149033, 'PTHR46020:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92759),
(149034, 'PTHR21035', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S26, MITOCHONDRIAL', 92760),
(149035, 'PTHR23147:SF70', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RSZ21', 92761);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(149036, 'PTHR11062:SF283', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE KATAMARI1 HOMOLOG', 92762),
(149037, 'PTHR48047:SF43', NULL, NULL, NULL, NULL, 'OS09G0379400 PROTEIN', 92763),
(149038, 'PTHR26451:SF107', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10J4', 92764),
(149039, 'PTHR19860:SF22', NULL, NULL, NULL, NULL, 'TELOMERASE PROTEIN-1-RELATED', 92765),
(149040, 'PTHR31549:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92766),
(149041, 'PTHR31009:SF125', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASES SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 92767),
(149042, 'PTHR12300:SF29', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN 2', 92768),
(149043, 'PTHR10334:SF484', NULL, NULL, NULL, NULL, 'BNAC03G66420D PROTEIN', 92769),
(149044, 'PTHR31339:SF4', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 92770),
(149045, 'PTHR48010:SF51', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 92771),
(149046, 'PTHR23095:SF4', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN-LIKE PROTEIN 5', 92772),
(149047, 'PTHR33142:SF59', NULL, NULL, NULL, NULL, 'SELF-PRUNING INTERACTING PROTEIN 1', 92773),
(149048, 'PTHR10264:SF123', NULL, NULL, NULL, NULL, 'BAND 7 PROTEIN CG42540', 92774),
(149049, 'PTHR10857:SF3', NULL, NULL, NULL, NULL, 'COPINE-2', 92775),
(149050, 'PTHR11153:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92776),
(149051, 'PTHR11746:SF262', NULL, NULL, NULL, NULL, 'BNAA08G29990D PROTEIN', 92777),
(149052, 'PTHR45836:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', 92778),
(149053, 'PTHR31692:SF55', NULL, NULL, NULL, NULL, 'BETA-EXPANSIN 1A', 92779),
(149054, 'PTHR45842:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 3', 92780),
(149055, 'PTHR11106:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92781),
(149056, 'PTHR24177:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92782),
(149057, 'PTHR15528:SF12', NULL, NULL, NULL, NULL, 'PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR GAMMA COACTIVATOR 1-BETA', 92783),
(149058, 'PTHR13768:SF29', NULL, NULL, NULL, NULL, 'ALPHA-SOLUBLE NSF ATTACHMENT PROTEIN', 92784),
(149059, 'PTHR31413:SF9', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN OS03G0419100', 92785),
(149060, 'PTHR18896:SF113', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D1', 92786),
(149061, 'PTHR36960:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-32E6.3', 92787),
(149062, 'PTHR31384:SF110', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 92788),
(149063, 'PTHR10064:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92789),
(149064, 'PTHR47421', NULL, NULL, NULL, NULL, 'GS HOMEOBOX 2', 92790),
(149065, 'PTHR12221:SF6', NULL, NULL, NULL, NULL, 'PESCADILLO HOMOLOG', 92791),
(149066, 'PTHR30128:SF58', NULL, NULL, NULL, NULL, 'SORTASE SYSTEM OMPA FAMILY PROTEIN PDSO', 92792),
(149067, 'PTHR11205:SF47', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S7', 92793),
(149068, 'PTHR46122:SF9', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT PROTEIN', 92794),
(149069, 'PTHR33972:SF16', NULL, NULL, NULL, NULL, 'REPETITIVE MATRIX PROTEIN 2, PUTATIVE ISOFORM 1-RELATED', 92795),
(149070, 'PTHR43128:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92796),
(149071, 'PTHR47898', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR 4', 92797),
(149072, 'PTHR43895:SF52', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 29', 92798),
(149073, 'PTHR10795:SF601', NULL, NULL, NULL, NULL, 'CUCUMISIN-RELATED', 92799),
(149074, 'PTHR23500:SF431', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 14-LIKE', 92800),
(149075, 'PTHR11668:SF466', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 92801),
(149076, 'PTHR46113', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 92802),
(149077, 'PTHR23320:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92803),
(149078, 'PTHR43788:SF3', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 92804),
(149079, 'PTHR14759:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92805);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(149080, 'PTHR47932:SF43', NULL, NULL, NULL, NULL, 'OS04G0475800 PROTEIN', 92806),
(149081, 'PTHR31902:SF17', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 32-LIKE', 92807),
(149082, 'PTHR31852:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92808),
(149083, 'PTHR32467', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 92809),
(149084, 'PTHR24225:SF49', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE RECEPTOR 1', 92810),
(149085, 'PTHR33326:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92811),
(149086, 'PTHR35516', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 92812),
(149087, 'PTHR31479:SF3', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 92813),
(149088, 'PTHR31790:SF328', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN', 92814),
(149089, 'PTHR24282:SF219', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP749A22-LIKE ISOFORM X1', 92815),
(149090, 'PTHR43250:SF2', NULL, NULL, NULL, NULL, 'EXODEOXYRIBONUCLEASE III', 92816),
(149091, 'PTHR13947:SF46', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 92817),
(149092, 'PTHR47956:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92818),
(149093, 'PTHR45707:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92819),
(149094, 'PTHR43091:SF4', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE 3-RELATED', 92820),
(149095, 'PTHR24366:SF122', NULL, NULL, NULL, NULL, 'KEKKON-2', 92821),
(149096, 'PTHR35296:SF4', NULL, NULL, NULL, NULL, 'BNAANNG15650D PROTEIN', 92822),
(149097, 'PTHR32166:SF93', NULL, NULL, NULL, NULL, 'BNAC08G41290D PROTEIN', 92823),
(149098, 'PTHR32268', NULL, NULL, NULL, NULL, 'HOMOSERINE O-ACETYLTRANSFERASE', 92824),
(149099, 'PTHR31683:SF119', NULL, NULL, NULL, NULL, 'PECTATE LYASE 15-RELATED', 92825),
(149100, 'PTHR42985:SF21', NULL, NULL, NULL, NULL, 'FI02923P-RELATED', 92826),
(149101, 'PTHR48217:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92827),
(149102, 'PTHR43952:SF42', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 1', 92828),
(149103, 'PTHR47570:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER, MYND-TYPE-RELATED', 92829),
(149104, 'PTHR31464', NULL, NULL, NULL, NULL, 'PROTEIN CBG01266', 92830),
(149105, 'PTHR33527:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92831),
(149106, 'PTHR13153:SF5', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN NPRL3', 92832),
(149107, 'PTHR46429:SF2', NULL, NULL, NULL, NULL, 'TRNA/RRNA METHYLTRANSFERASE-RELATED', 92833),
(149108, 'PTHR24240:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92834),
(149109, 'PTHR31752:SF59', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 1', 92835),
(149110, 'PTHR43775:SF29', NULL, NULL, NULL, NULL, 'ASPERFURANONE POLYKETIDE SYNTHASE AFOG-RELATED', 92836),
(149111, 'PTHR33355:SF12', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE CARBOXY-TERMINAL PROTEIN', 92837),
(149112, 'PTHR46073:SF7', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE', 92838),
(149113, 'PTHR22849:SF112', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 26', 92839),
(149114, 'PTHR11802:SF278', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92840),
(149115, 'PTHR14742:SF0', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P21', 92841),
(149116, 'PTHR21226:SF8', NULL, NULL, NULL, NULL, 'ABPA10-RELATED', 92842),
(149117, 'PTHR47976:SF16', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN-CONTAINING PROTEIN-RELATED', 92843),
(149118, 'PTHR14402:SF19', NULL, NULL, NULL, NULL, 'RECEPTOR-TRANSPORTING PROTEIN 1', 92844),
(149119, 'PTHR48112:SF17', NULL, NULL, NULL, NULL, 'ARS-BINDING FACTOR 2, MITOCHONDRIAL-RELATED', 92845),
(149120, 'PTHR33078:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92846),
(149121, 'PTHR13683:SF677', NULL, NULL, NULL, NULL, 'PROTEIN ASPARTIC PROTEASE IN GUARD CELL 1-LIKE', 92847),
(149122, 'PTHR36541:SF1', NULL, NULL, NULL, NULL, 'SUPEROXIDE REDUCTASE-RELATED', 92848),
(149123, 'PTHR43768:SF30', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', 92849),
(149124, 'PTHR12661:SF11', NULL, NULL, NULL, NULL, 'BNAANNG34990D PROTEIN', 92850);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(149125, 'PTHR36704:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 92851),
(149126, 'PTHR31707:SF28', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 92852),
(149127, 'PTHR34112:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92853),
(149128, 'PTHR10288:SF288', NULL, NULL, NULL, NULL, 'BNAA05G26890D PROTEIN', 92854),
(149129, 'PTHR32440:SF2', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE 28-RELATED', 92855),
(149130, 'PTHR13778:SF59', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 92856),
(149131, 'PTHR24390:SF73', NULL, NULL, NULL, NULL, 'SI:CH211-284E13.5', 92857),
(149132, 'PTHR45695:SF12', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE CCHAMIDE-1 RECEPTOR', 92858),
(149133, 'PTHR34222:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92859),
(149134, 'PTHR23155:SF1100', NULL, NULL, NULL, NULL, 'OS08G0332600 PROTEIN', 92860),
(149135, 'PTHR45614:SF141', NULL, NULL, NULL, NULL, 'BNAC07G50190D PROTEIN', 92861),
(149136, 'PTHR22907:SF13', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 92862),
(149137, 'PTHR39297:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92863),
(149138, 'PTHR34449', NULL, NULL, NULL, NULL, 'RHO TERMINATION FACTOR', 92864),
(149139, 'PTHR31942:SF104', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 92865),
(149140, 'PTHR24099:SF12', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MID2-RELATED', 92866),
(149141, 'PTHR10985:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HES-1', 92867),
(149142, 'PTHR48157:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92868),
(149143, 'PTHR19957:SF243', NULL, NULL, NULL, NULL, 'SYNTAXIN', 92869),
(149144, 'PTHR21535:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92870),
(149145, 'PTHR21223', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 92871),
(149146, 'PTHR31961', NULL, NULL, NULL, NULL, 'SENSITIVE TO HIGH EXPRESSION PROTEIN 9, MITOCHONDRIAL', 92872),
(149147, 'PTHR24256:SF498', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P79', 92873),
(149148, 'PTHR10257:SF87', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 92874),
(149149, 'PTHR37216:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 92875),
(149150, 'PTHR34464:SF3', NULL, NULL, NULL, NULL, 'OS09G0376300 PROTEIN', 92876),
(149151, 'PTHR31803:SF24', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE', 92877),
(149152, 'PTHR35997:SF9', NULL, NULL, NULL, NULL, 'BNAA02G29290D PROTEIN', 92878),
(149153, 'PTHR10252:SF113', NULL, NULL, NULL, NULL, 'DR1-ASSOCIATED PROTEIN 1 (NEGATIVE COFACTOR 2 ALPHA)', 92879),
(149154, 'PTHR24031:SF738', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 25', 92880),
(149155, 'PTHR13408:SF1', NULL, NULL, NULL, NULL, 'ZGC:171971', 92881),
(149156, 'PTHR24393:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 784', 92882),
(149157, 'PTHR17224:SF4', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE, MITOCHONDRIAL', 92883),
(149158, 'PTHR46802', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE BAZ1B', 92884),
(149159, 'PTHR10476:SF48', NULL, NULL, NULL, NULL, 'BNAA08G30490D PROTEIN', 92885),
(149160, 'PTHR21212', NULL, NULL, NULL, NULL, 'BERNARDINELLI-SEIP CONGENITAL LIPODYSTROPHY 2 HOMOLOG  BSCL2 PROTEIN', 92886),
(149161, 'PTHR43122:SF1', NULL, NULL, NULL, NULL, 'FERREDOXIN SUBUNIT OF PYRUVATE:FLAVODOXIN OXIDOREDUCTASE-RELATED', 92887),
(149162, 'PTHR31235:SF218', NULL, NULL, NULL, NULL, 'PEROXIDASE 26-RELATED', 92888),
(149163, 'PTHR21162:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92889),
(149164, 'PTHR11909:SF105', NULL, NULL, NULL, NULL, 'PROTEIN CBG14903', 92890),
(149165, 'PTHR28061:SF1', NULL, NULL, NULL, NULL, 'INO EIGHTY SUBUNIT 4', 92891),
(149166, 'PTHR11441:SF8', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE B', 92892),
(149167, 'PTHR33543:SF28', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 4A-RELATED', 92893),
(149168, 'PTHR43050:SF1', NULL, NULL, NULL, NULL, 'SERINE RACEMASE', 92894),
(149169, 'PTHR37259', NULL, NULL, NULL, NULL, 'OS07G0474300 PROTEIN', 92895),
(149170, 'PTHR12990', NULL, NULL, NULL, NULL, 'ARMET-LIKE PROTEIN', 92896),
(149171, 'PTHR36140:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92897);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(149172, 'PTHR47967:SF64', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-1-LIKE', 92898),
(149173, 'PTHR47999:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92899),
(149174, 'PTHR31973:SF129', NULL, NULL, NULL, NULL, 'OS01G0334000 PROTEIN', 92900),
(149175, 'PTHR45974:SF29', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 92901),
(149176, 'PTHR31311:SF24', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 6-LIKE', 92902),
(149177, 'PTHR35711:SF9', NULL, NULL, NULL, NULL, 'BNAC03G45130D PROTEIN', 92903),
(149178, 'PTHR30046:SF3', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS LIPOPROTEIN SSAJ', 92904),
(149179, 'PTHR31398', NULL, NULL, NULL, NULL, 'MEIOTIC NUCLEAR DIVISION PROTEIN 1 HOMOLOG', 92905),
(149180, 'PTHR10836:SF113', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 92906),
(149181, 'PTHR45690:SF5', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 11', 92907),
(149182, 'PTHR42678:SF19', NULL, NULL, NULL, NULL, 'C869.01-LIKE PROTEIN, PUTATIVE-RELATED', 92908),
(149183, 'PTHR43389', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT B', 92909),
(149184, 'PTHR43986:SF4', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-GAMMA', 92910),
(149185, 'PTHR11592:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE-RELATED', 92911),
(149186, 'PTHR11629:SF71', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 92912),
(149187, 'PTHR45813:SF6', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR F2', 92913),
(149188, 'PTHR48111:SF30', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR', 92914),
(149189, 'PTHR46221:SF4', NULL, NULL, NULL, NULL, 'FERM AND PDZ DOMAIN-CONTAINING PROTEIN 4', 92915),
(149190, 'PTHR26379:SF291', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN CONTAINING PROTEIN, EXPRESSED', 92916),
(149191, 'PTHR36834:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 92917),
(149192, 'PTHR28637:SF10', NULL, NULL, NULL, NULL, 'CDT1-LIKE PROTEIN B', 92918),
(149193, 'PTHR45726:SF1', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE B', 92919),
(149194, 'PTHR11202:SF34', NULL, NULL, NULL, NULL, 'SPROUTY-RELATED, EVH1 DOMAIN-CONTAINING 2A', 92920),
(149195, 'PTHR25462:SF280', NULL, NULL, NULL, NULL, 'NHL (RING FINGER B-BOX COILED COIL) DOMAIN CONTAINING', 92921),
(149196, 'PTHR33159:SF57', NULL, NULL, NULL, NULL, 'BNAA03G57910D PROTEIN', 92922),
(149197, 'PTHR31374:SF245', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR36', 92923),
(149198, 'PTHR46328:SF9', NULL, NULL, NULL, NULL, 'FAR-RED IMPAIRED RESPONSIVE (FAR1) FAMILY PROTEIN', 92924),
(149199, 'PTHR40380:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92925),
(149200, 'PTHR11764:SF17', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 92926),
(149201, 'PTHR43300:SF1', NULL, NULL, NULL, NULL, 'UDP-2-ACETAMIDO-3-AMINO-2,3-DIDEOXY-D-GLUCURONATE N-ACETYLTRANSFERASE', 92927),
(149202, 'PTHR31579:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92928),
(149203, 'PTHR31852:SF170', NULL, NULL, NULL, NULL, 'HARPIN INDUCED PROTEIN 4', 92929),
(149204, 'PTHR36023:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92930),
(149205, 'PTHR15909', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L35, MITOCHONDRIAL', 92931),
(149206, 'PTHR35799:SF1', NULL, NULL, NULL, NULL, 'S-RIBOSYLHOMOCYSTEINE LYASE', 92932),
(149207, 'PTHR14379', NULL, NULL, NULL, NULL, 'LIMKAIN B  LKAP', 92933),
(149208, 'PTHR32370:SF133', NULL, NULL, NULL, NULL, 'SKP1/BTB/POZ DOMAIN, NPH3 DOMAIN PROTEIN-RELATED', 92934),
(149209, 'PTHR13220:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92935),
(149210, 'PTHR33570:SF2', NULL, NULL, NULL, NULL, '4-CARBOXYMUCONOLACTONE DECARBOXYLASE FAMILY PROTEIN', 92936),
(149211, 'PTHR34482:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92937),
(149212, 'PTHR11206:SF174', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 92938),
(149213, 'PTHR12300:SF111', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 92939),
(149214, 'PTHR21119', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 92940),
(149215, 'PTHR21519:SF1', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 8', 92941);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(149216, 'PTHR15361', NULL, NULL, NULL, NULL, 'RAD51/NUKS-INTERACTING PROTEIN', 92942),
(149217, 'PTHR10352:SF20', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 92943),
(149218, 'PTHR13817:SF49', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN H-RELATED', 92944),
(149219, 'PTHR48049:SF83', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 92945),
(149220, 'PTHR33416:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92946),
(149221, 'PTHR22893:SF114', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE-LIKE PROTEIN', 92947),
(149222, 'PTHR47926:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92948),
(149223, 'PTHR24067:SF242', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME', 92949),
(149224, 'PTHR11062:SF272', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 92950),
(149225, 'PTHR43570:SF32', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 92951),
(149226, 'PTHR42825:SF9', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE 2, CHLOROPLASTIC', 92952),
(149227, 'PTHR45666:SF9', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE PHOSPHATASE (SYNAPTOGENIN-LIKE) FAMILY PROTEIN-RELATED', 92953),
(149228, 'PTHR13027:SF7', NULL, NULL, NULL, NULL, 'FI21343P1', 92954),
(149229, 'PTHR31391:SF51', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS12G0591400', 92955),
(149230, 'PTHR45768:SF31', NULL, NULL, NULL, NULL, 'OS03G0398600 PROTEIN', 92956),
(149231, 'PTHR31734:SF158', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 92957),
(149232, 'PTHR47991:SF6', NULL, NULL, NULL, NULL, 'OS10G0558200 PROTEIN', 92958),
(149233, 'PTHR35122', NULL, NULL, NULL, NULL, 'OSJNBA0093F12.14 PROTEIN', 92959),
(149234, 'PTHR13832:SF780', NULL, NULL, NULL, NULL, 'TGF-BETA-ACTIVATED KINASE 1 AND MAP3K7-BINDING PROTEIN 1-LIKE PROTEIN', 92960),
(149235, 'PTHR22704', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 92961),
(149236, 'PTHR24418:SF44', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE FYN', 92962),
(149237, 'PTHR10687:SF54', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 92963),
(149238, 'PTHR47368:SF1', NULL, NULL, NULL, NULL, 'NUMB LIKE, ENDOCYTIC ADAPTOR PROTEIN', 92964),
(149239, 'PTHR34223', NULL, NULL, NULL, NULL, 'OS11G0201299 PROTEIN', 92965),
(149240, 'PTHR10133:SF41', NULL, NULL, NULL, NULL, 'DNA POLYMERASE NU', 92966),
(149241, 'PTHR21700:SF41', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 92967),
(149242, 'PTHR15876:SF12', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN ADIPOCYTE-ASSOCIATED 1-RELATED', 92968),
(149243, 'PTHR10559:SF19', NULL, NULL, NULL, NULL, 'TRANSCOBALAMIN II', 92969),
(149244, 'PTHR33887:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-191O15.6', 92970),
(149245, 'PTHR12903:SF9', NULL, NULL, NULL, NULL, 'BNAA10G08390D PROTEIN', 92971),
(149246, 'PTHR30136:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 92972),
(149247, 'PTHR37936:SF3', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSC FOR INSERTION ELEMENT IS2A-RELATED', 92973),
(149248, 'PTHR12281:SF27', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', 92974),
(149249, 'PTHR21597:SF0', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 2', 92975),
(149250, 'PTHR24366:SF129', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 24', 92976),
(149251, 'PTHR13367:SF28', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE ZRANB1', 92977),
(149252, 'PTHR24238:SF44', NULL, NULL, NULL, NULL, 'GONADOTROPIN-RELEASING HORMONE RECEPTOR (GNRHR) RELATED', 92978),
(149253, 'PTHR31338:SF27', NULL, NULL, NULL, NULL, 'BNAA06G34860D PROTEIN', 92979),
(149254, 'PTHR11876:SF19', NULL, NULL, NULL, NULL, 'NEUTROPHIL DEFENSIN 1-RELATED', 92980),
(149255, 'PTHR27006:SF439', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 92981),
(149256, 'PTHR33048:SF114', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN (PTH11), PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05120)-RELATED', 92982),
(149257, 'PTHR31248:SF13', NULL, NULL, NULL, NULL, 'PROTEIN A3, PUTATIVE-RELATED', 92983),
(149258, 'PTHR47594:SF4', NULL, NULL, NULL, NULL, 'THYLAKOID ASSEMBLY8', 92984);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(149259, 'PTHR11360:SF92', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 16 MEMBER 7', 92985),
(149260, 'PTHR31235:SF345', NULL, NULL, NULL, NULL, 'PEROXIDASE', 92986),
(149261, 'PTHR23070:SF130', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 92987),
(149262, 'PTHR11654:SF338', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.14-RELATED', 92988),
(149263, 'PTHR35546:SF25', NULL, NULL, NULL, NULL, 'OS08G0529300 PROTEIN', 92989),
(149264, 'PTHR31989:SF302', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 72', 92990),
(149265, 'PTHR35796', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 92991),
(149266, 'PTHR11361:SF136', NULL, NULL, NULL, NULL, 'REPAIR PROTEIN MSH3, PUTATIVE-RELATED', 92992),
(149267, 'PTHR43414:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE PERMEASE', 92993),
(149268, 'PTHR12411:SF727', NULL, NULL, NULL, NULL, 'ERVATAMIN-B', 92994),
(149269, 'PTHR24248:SF54', NULL, NULL, NULL, NULL, 'BETA-1 ADRENERGIC RECEPTOR', 92995),
(149270, 'PTHR45824:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 92996),
(149271, 'PTHR11709:SF407', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15A', 92997),
(149272, 'PTHR22654:SF2', NULL, NULL, NULL, NULL, 'G PROTEIN PATHWAY SUPPRESSOR 2', 92998),
(149273, 'PTHR23299:SF39', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN', 92999),
(149274, 'PTHR31154:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG17977', 93000),
(149275, 'PTHR44305:SF7', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 3', 93001),
(149276, 'PTHR24028:SF105', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A5', 93002),
(149277, 'PTHR31731:SF1', NULL, NULL, NULL, NULL, '36.4 KDA PROLINE-RICH PROTEIN', 93003),
(149278, 'PTHR23155:SF988', NULL, NULL, NULL, NULL, 'OS02G0262800 PROTEIN', 93004),
(149279, 'PTHR33670:SF16', NULL, NULL, NULL, NULL, 'BNAA09G00520D PROTEIN', 93005),
(149280, 'PTHR24637:SF271', NULL, NULL, NULL, NULL, 'COLLAGEN', 93006),
(149281, 'PTHR22952:SF421', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 93007),
(149282, 'PTHR46293:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93008),
(149283, 'PTHR23425:SF5', NULL, NULL, NULL, NULL, 'SPERM PROTEIN ASSOCIATED WITH THE NUCLEUS ON THE X CHROMOSOME N3', 93009),
(149284, 'PTHR14297:SF4', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 2', 93010),
(149285, 'PTHR43593', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 93011),
(149286, 'PTHR12242:SF33', NULL, NULL, NULL, NULL, 'BNAA08G05390D PROTEIN', 93012),
(149287, 'PTHR44329:SF152', NULL, NULL, NULL, NULL, 'TKL FAMILY PROTEIN KINASE', 93013),
(149288, 'PTHR11002:SF64', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 93014),
(149289, 'PTHR31080:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93015),
(149290, 'PTHR11009:SF5', NULL, NULL, NULL, NULL, 'DERLIN-2', 93016),
(149291, 'PTHR33240:SF5', NULL, NULL, NULL, NULL, 'OS08G0508500 PROTEIN', 93017),
(149292, 'PTHR11839:SF21', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 27, CHLOROPLASTIC-LIKE', 93018),
(149293, 'PTHR10120', NULL, NULL, NULL, NULL, 'CAAX PRENYL PROTEASE 1', 93019),
(149294, 'PTHR32212:SF287', NULL, NULL, NULL, NULL, 'PROTEIN WITH RNI-LIKE/FBD-LIKE DOMAIN', 93020),
(149295, 'PTHR23301:SF61', NULL, NULL, NULL, NULL, 'EG:56G7.1 PROTEIN-RELATED', 93021),
(149296, 'PTHR43296:SF8', NULL, NULL, NULL, NULL, 'PEROXISOMAL 2,4-DIENOYL-COA REDUCTASE-RELATED', 93022),
(149297, 'PTHR13844:SF73', NULL, NULL, NULL, NULL, 'PROTEIN TRI1-LIKE', 93023),
(149298, 'PTHR33077:SF113', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 9', 93024),
(149299, 'PTHR30346:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF OXIDATIVE STRESS OXYR', 93025),
(149300, 'PTHR15735:SF4', NULL, NULL, NULL, NULL, 'F-BAR AND DOUBLE SH3 DOMAINS PROTEIN 1', 93026),
(149301, 'PTHR24177:SF260', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', 93027),
(149302, 'PTHR13718:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93028),
(149303, 'PTHR45688:SF6', NULL, NULL, NULL, NULL, '5-PHOSPHOHYDROXY-L-LYSINE PHOSPHO-LYASE', 93029),
(149304, 'PTHR39741:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93030);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(149305, 'PTHR47120:SF1', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 3', 93031),
(149306, 'PTHR22936:SF75', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 8', 93032),
(149307, 'PTHR23349:SF58', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 23', 93033),
(149308, 'PTHR30003', NULL, NULL, NULL, NULL, 'L-LACTATE PERMEASE', 93034),
(149309, 'PTHR15837:SF0', NULL, NULL, NULL, NULL, 'RAN GUANINE NUCLEOTIDE RELEASE FACTOR', 93035),
(149310, 'PTHR14319:SF9', NULL, NULL, NULL, NULL, 'PROTEIN MYOMAKER-RELATED', 93036),
(149311, 'PTHR10736:SF59', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 17', 93037),
(149312, 'PTHR10334:SF442', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93038),
(149313, 'PTHR46350', NULL, NULL, NULL, NULL, 'RAS LIKE FAMILY 10 MEMBER B-RELATED', 93039),
(149314, 'PTHR16423:SF9', NULL, NULL, NULL, NULL, 'TREM-LIKE TRANSCRIPT 4 PROTEIN', 93040),
(149315, 'PTHR33052:SF72', NULL, NULL, NULL, NULL, 'BNAA06G14850D PROTEIN', 93041),
(149316, 'PTHR47798', NULL, NULL, NULL, NULL, 'OS04G0555800 PROTEIN', 93042),
(149317, 'PTHR11467:SF109', NULL, NULL, NULL, NULL, 'BNAC09G47260D PROTEIN', 93043),
(149318, 'PTHR31003', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', 93044),
(149319, 'PTHR21331:SF2', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED ATM ACTIVATOR 1', 93045),
(149320, 'PTHR13342:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93046),
(149321, 'PTHR34491:SF24', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 15', 93047),
(149322, 'PTHR45988:SF46', NULL, NULL, NULL, NULL, 'BNAA05G20490D PROTEIN', 93048),
(149323, 'PTHR33044:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93049),
(149324, 'PTHR43391:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93050),
(149325, 'PTHR15574:SF61', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 8-LIKE PROTEIN 2', 93051),
(149326, 'PTHR21577:SF4', NULL, NULL, NULL, NULL, 'SHUGOSHIN-1-RELATED', 93052),
(149327, 'PTHR10426:SF98', NULL, NULL, NULL, NULL, 'STRICTOSIDINE SYNTHASE TRANSCRIPTION FACTOR WD40-LIKE FAMILY-RELATED', 93053),
(149328, 'PTHR23113:SF333', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR A', 93054),
(149329, 'PTHR48061:SF15', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING, PLANT-TYPE, LEUCINE-RICH REPEAT DOMAIN, L-RELATED', 93055),
(149330, 'PTHR33103:SF74', NULL, NULL, NULL, NULL, 'BNAC03G26670D PROTEIN', 93056),
(149331, 'PTHR19430:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BEX2', 93057),
(149332, 'PTHR21515:SF4', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 93058),
(149333, 'PTHR24229:SF20', NULL, NULL, NULL, NULL, 'SOMATOSTATIN RECEPTOR TYPE 5', 93059),
(149334, 'PTHR43670:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93060),
(149335, 'PTHR44329:SF11', NULL, NULL, NULL, NULL, 'OS09G0443600 PROTEIN', 93061),
(149336, 'PTHR11886:SF37', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN-LIKE PROTEIN', 93062),
(149337, 'PTHR14353:SF12', NULL, NULL, NULL, NULL, 'MARCKS-RELATED PROTEIN 1-A', 93063),
(149338, 'PTHR45636:SF17', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-3', 93064),
(149339, 'PTHR23326:SF1', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 3', 93065),
(149340, 'PTHR11802:SF368', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 93066),
(149341, 'PTHR31008:SF25', NULL, NULL, NULL, NULL, 'BNAC03G69090D PROTEIN', 93067),
(149342, 'PTHR13832:SF764', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 29', 93068),
(149343, 'PTHR48170:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93069),
(149344, 'PTHR23169', NULL, NULL, NULL, NULL, 'ENVOPLAKIN', 93070),
(149345, 'PTHR11913:SF95', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 5-LIKE', 93071),
(149346, 'PTHR33469:SF5', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 4', 93072),
(149347, 'PTHR21576:SF84', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 93073),
(149348, 'PTHR31283:SF6', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN 2', 93074),
(149349, 'PTHR24291:SF63', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4X1', 93075),
(149350, 'PTHR13199', NULL, NULL, NULL, NULL, 'GH03947P', 93076);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(149351, 'PTHR46789', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN R1', 93077),
(149352, 'PTHR12701:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93078),
(149353, 'PTHR24282:SF103', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 (CYP72C)-LIKE', 93079),
(149354, 'PTHR24027:SF415', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93080),
(149355, 'PTHR21402:SF10', NULL, NULL, NULL, NULL, 'U11/U12 SMALL NUCLEAR RIBONUCLEOPROTEIN 48 KDA PROTEIN', 93081),
(149356, 'PTHR14165:SF12', NULL, NULL, NULL, NULL, 'VAULT PROTEIN, PUTATIVE-RELATED', 93082),
(149357, 'PTHR47378:SF1', NULL, NULL, NULL, NULL, 'DIVINYL CHLOROPHYLLIDE A 8-VINYL-REDUCTASE, CHLOROPLASTIC', 93083),
(149358, 'PTHR31867:SF116', NULL, NULL, NULL, NULL, 'EXPANSIN-A1', 93084),
(149359, 'PTHR22957:SF534', NULL, NULL, NULL, NULL, 'GH16847P', 93085),
(149360, 'PTHR11850:SF296', NULL, NULL, NULL, NULL, 'BNAA03G54930D PROTEIN', 93086),
(149361, 'PTHR13720:SF33', NULL, NULL, NULL, NULL, 'WD40 REPEAT', 93087),
(149362, 'PTHR31728:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93088),
(149363, 'PTHR33940:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13625', 93089),
(149364, 'PTHR47925:SF92', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 93090),
(149365, 'PTHR45652:SF15', NULL, NULL, NULL, NULL, 'VIMENTIN-RELATED 1', 93091),
(149366, 'PTHR31642:SF206', NULL, NULL, NULL, NULL, 'OS01G0261600 PROTEIN', 93092),
(149367, 'PTHR13301:SF215', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D2', 93093),
(149368, 'PTHR10063:SF11', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN CG5521-RELATED', 93094),
(149369, 'PTHR33787:SF5', NULL, NULL, NULL, NULL, 'YCF20-LIKE PROTEIN', 93095),
(149370, 'PTHR33880:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93096),
(149371, 'PTHR30572:SF12', NULL, NULL, NULL, NULL, 'ABC-TYPE MACROLIDE FAMILY EXPORT SYSTEM PERMEASE COMPONENT 1', 93097),
(149372, 'PTHR23024:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93098),
(149373, 'PTHR46504:SF1', NULL, NULL, NULL, NULL, 'TRNASE Z TRZ2, CHLOROPLASTIC', 93099),
(149374, 'PTHR14388:SF5', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 4A', 93100),
(149375, 'PTHR32448:SF34', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 19-RELATED', 93101),
(149376, 'PTHR33641:SF18', NULL, NULL, NULL, NULL, 'OSJNBA0020P07.9 PROTEIN', 93102),
(149377, 'PTHR10407:SF19', NULL, NULL, NULL, NULL, 'TALIN-1-LIKE PROTEIN', 93103),
(149378, 'PTHR24203:SF48', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 2B', 93104),
(149379, 'PTHR13723:SF147', NULL, NULL, NULL, NULL, 'ADAMTS-LIKE PROTEIN 2', 93105),
(149380, 'PTHR24083:SF41', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 4-ALPHA', 93106),
(149381, 'PTHR21495:SF185', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 93107),
(149382, 'PTHR47971:SF9', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-13B', 93108),
(149383, 'PTHR12872', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGLUCOSAMINIDASE', 93109),
(149384, 'PTHR13068:SF184', NULL, NULL, NULL, NULL, 'BNAA01G22960D PROTEIN', 93110),
(149385, 'PTHR11465:SF46', NULL, NULL, NULL, NULL, 'CATALASE', 93111),
(149386, 'PTHR21720:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG15325', 93112),
(149387, 'PTHR48085', NULL, NULL, NULL, NULL, 'CADMIUM/ZINC-TRANSPORTING ATPASE HMA2-RELATED', 93113),
(149388, 'PTHR18929:SF227', NULL, NULL, NULL, NULL, 'PDI-LIKE 1-4-RELATED', 93114),
(149389, 'PTHR33800:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93115),
(149390, 'PTHR24326:SF580', NULL, NULL, NULL, NULL, 'BNAA09G42630D PROTEIN', 93116),
(149391, 'PTHR22835:SF166', NULL, NULL, NULL, NULL, 'OS10G0393700 PROTEIN', 93117),
(149392, 'PTHR13084:SF2', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1-INTERACTING PROTEIN 3', 93118),
(149393, 'PTHR42643:SF22', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 41A-RELATED', 93119),
(149394, 'PTHR23044:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93120),
(149395, 'PTHR22419:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 172', 93121),
(149396, 'PTHR16140:SF2', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4 HOMOLOG A', 93122);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(149397, 'PTHR13624:SF6', NULL, NULL, NULL, NULL, 'RE42071P', 93123),
(149398, 'PTHR31045:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93124),
(149399, 'PTHR24072:SF300', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC2', 93125),
(149400, 'PTHR11219:SF71', NULL, NULL, NULL, NULL, 'TENEURIN-A', 93126),
(149401, 'PTHR33526:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93127),
(149402, 'PTHR47991:SF92', NULL, NULL, NULL, NULL, 'OS09G0353400 PROTEIN', 93128),
(149403, 'PTHR30346:SF25', NULL, NULL, NULL, NULL, 'SMALL NEUTRAL PROTEASE REGULATORY PROTEIN', 93129),
(149404, 'PTHR45728:SF6', NULL, NULL, NULL, NULL, 'RUDIMENT SINGLE HYBRID MOTIF', 93130),
(149405, 'PTHR24056:SF476', NULL, NULL, NULL, NULL, 'BNAC05G48590D PROTEIN', 93131),
(149406, 'PTHR11040:SF32', NULL, NULL, NULL, NULL, 'ZINC-REGULATED TRANSPORTER 1', 93132),
(149407, 'PTHR45661', NULL, NULL, NULL, NULL, 'SURFACE ANTIGEN', 93133),
(149408, 'PTHR23502:SF52', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17730)-RELATED', 93134),
(149409, 'PTHR48001:SF91', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 93135),
(149410, 'PTHR23315:SF256', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN-RELATED', 93136),
(149411, 'PTHR45708:SF29', NULL, NULL, NULL, NULL, 'OSJNBA0020I02.6 PROTEIN', 93137),
(149412, 'PTHR31066:SF55', NULL, NULL, NULL, NULL, 'BNAA06G22540D PROTEIN', 93138),
(149413, 'PTHR33670:SF15', NULL, NULL, NULL, NULL, 'OS02G0797600 PROTEIN', 93139),
(149414, 'PTHR47035:SF3', NULL, NULL, NULL, NULL, 'OS11G0150450 PROTEIN', 93140),
(149415, 'PTHR33327', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 93141),
(149416, 'PTHR34971', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN Z', 93142),
(149417, 'PTHR45968:SF30', NULL, NULL, NULL, NULL, 'BNAA02G11130D PROTEIN', 93143),
(149418, 'PTHR11786:SF0', NULL, NULL, NULL, NULL, 'ARYLAMINE N-ACETYLTRANSFERASE', 93144),
(149419, 'PTHR33048:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93145),
(149420, 'PTHR31238:SF203', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 93146),
(149421, 'PTHR46128:SF192', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 93147),
(149422, 'PTHR23086:SF109', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 11-RELATED', 93148),
(149423, 'PTHR33076:SF132', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 3', 93149),
(149424, 'PTHR11410', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT A', 93150),
(149425, 'PTHR10639:SF24', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN 3', 93151),
(149426, 'PTHR43070', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 93152),
(149427, 'PTHR40616', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 93153),
(149428, 'PTHR47816', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE C', 93154),
(149429, 'PTHR23318', NULL, NULL, NULL, NULL, 'ATP SYNTHASE GAMMA-RELATED', 93155),
(149430, 'PTHR31989:SF249', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 53-LIKE', 93156),
(149431, 'PTHR12411:SF767', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93157),
(149432, 'PTHR28529:SF2', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN SWI5 HOMOLOG', 93158),
(149433, 'PTHR32020', NULL, NULL, NULL, NULL, 'LIN-8 DOMAIN CONTAINING-RELATED', 93159),
(149434, 'PTHR43167:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G01830)-RELATED', 93160),
(149435, 'PTHR45621:SF114', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', 93161),
(149436, 'PTHR47327:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG11308', 93162),
(149437, 'PTHR28122', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SUBSTRATE RECEPTOR MMS22', 93163),
(149438, 'PTHR19845:SF22', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1 HOMOLOG', 93164),
(149439, 'PTHR31657:SF19', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF053', 93165),
(149440, 'PTHR43553:SF11', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING/PERMEASE PROTEIN YOJI', 93166),
(149441, 'PTHR33769', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 26 ISOFORM X3', 93167);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(149442, 'PTHR24271:SF13', NULL, NULL, NULL, NULL, 'CATHEPSIN G', 93168),
(149443, 'PTHR10037:SF221', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 9 SUBUNIT ALPHA', 93169),
(149444, 'PTHR31901:SF85', NULL, NULL, NULL, NULL, 'GH3 FAMILY-RELATED', 93170),
(149445, 'PTHR11132:SF410', NULL, NULL, NULL, NULL, 'BNAC06G07890D PROTEIN', 93171),
(149446, 'PTHR24020:SF63', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XII) CHAIN', 93172),
(149447, 'PTHR10795:SF516', NULL, NULL, NULL, NULL, 'SERINE PROTEASE, PUTATIVE, EXPRESSED-RELATED', 93173),
(149448, 'PTHR32285:SF171', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 12', 93174),
(149449, 'PTHR22957:SF575', NULL, NULL, NULL, NULL, 'BNAC06G13780D PROTEIN', 93175),
(149450, 'PTHR28232', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RXT2', 93176),
(149451, 'PTHR45696:SF26', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1', 93177),
(149452, 'PTHR11139:SF1', NULL, NULL, NULL, NULL, 'TRANSFORMATION/TRANSCRIPTION DOMAIN-ASSOCIATED PROTEIN', 93178),
(149453, 'PTHR47925:SF99', NULL, NULL, NULL, NULL, 'BNAC05G04200D PROTEIN', 93179),
(149454, 'PTHR17583', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE 3-KINASE REGULATORY SUBUNIT 4', 93180),
(149455, 'PTHR13832:SF559', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 2-RELATED', 93181),
(149456, 'PTHR48227', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 1-LIKE', 93182),
(149457, 'PTHR34274:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 93183),
(149458, 'PTHR15375', NULL, NULL, NULL, NULL, 'ACTIVATOR OF S-PHASE KINASE-RELATED', 93184),
(149459, 'PTHR34287:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93185),
(149460, 'PTHR19375:SF380', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM CHAPERONE BIP', 93186),
(149461, 'PTHR10859:SF108', NULL, NULL, NULL, NULL, 'BNAA03G18660D PROTEIN', 93187),
(149462, 'PTHR45614:SF173', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB3R-2', 93188),
(149463, 'PTHR45671', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 (MITOCHONDRIAL CARRIER PHOSPHATE CARRIER), MEMBER 3, LIKE-RELATED-RELATED', 93189),
(149464, 'PTHR12542:SF7', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 7', 93190),
(149465, 'PTHR27002:SF504', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', 93191),
(149466, 'PTHR21679:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG21529', 93192),
(149467, 'PTHR43768:SF38', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', 93193),
(149468, 'PTHR47027:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93194),
(149469, 'PTHR23316:SF69', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-3', 93195),
(149470, 'PTHR36721:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', 93196),
(149471, 'PTHR19443:SF29', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', 93197),
(149472, 'PTHR11017:SF232', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY-RELATED', 93198),
(149473, 'PTHR43447', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', 93199),
(149474, 'PTHR24388:SF48', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR SCRATCH 2-RELATED', 93200),
(149475, 'PTHR16267:SF11', NULL, NULL, NULL, NULL, 'STUMPS, ISOFORM E', 93201),
(149476, 'PTHR36522', NULL, NULL, NULL, NULL, 'AT HOOK-CONTAINING PROTEIN ATTF-4', 93202),
(149477, 'PTHR22725', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN HOMOLOG 1-RELATED-RELATED', 93203),
(149478, 'PTHR31913:SF7', NULL, NULL, NULL, NULL, 'DEM PROTEIN', 93204),
(149479, 'PTHR24040:SF6', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC 6', 93205),
(149480, 'PTHR24051:SF5', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 1', 93206),
(149481, 'PTHR48017:SF60', NULL, NULL, NULL, NULL, 'GABA TRANSPORTER 2 ISOFORM X1-RELATED', 93207),
(149482, 'PTHR43019:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93208),
(149483, 'PTHR35764', NULL, NULL, NULL, NULL, 'PROTEIN SHORTAGE IN CHIASMATA 1', 93209),
(149484, 'PTHR24340:SF92', NULL, NULL, NULL, NULL, 'HOMEODOMAIN PROTEIN NKX2.7', 93210),
(149485, 'PTHR43976:SF20', NULL, NULL, NULL, NULL, 'AGROPINE SYNTHESIS REDUCTASE', 93211);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(149486, 'PTHR45863:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK5', 93212),
(149487, 'PTHR20842:SF1', NULL, NULL, NULL, NULL, 'PEPTIDASE E', 93213),
(149488, 'PTHR31674:SF44', NULL, NULL, NULL, NULL, 'BNAC04G36230D PROTEIN', 93214),
(149489, 'PTHR45636:SF11', NULL, NULL, NULL, NULL, 'N-TERMINAL PAX (PAI DOMAIN ONLY) PROTEIN', 93215),
(149490, 'PTHR48147', NULL, NULL, NULL, NULL, 'PROTEIN CBG23787', 93216),
(149491, 'PTHR21551:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93217),
(149492, 'PTHR23001:SF34', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF2/IF5-RELATED', 93218),
(149493, 'PTHR33116:SF50', NULL, NULL, NULL, NULL, 'PROTEIN HEAT-STRESS-ASSOCIATED 32', 93219),
(149494, 'PTHR42912:SF64', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 93220),
(149495, 'PTHR46842:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 266', 93221),
(149496, 'PTHR10768:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93222),
(149497, 'PTHR43620:SF9', NULL, NULL, NULL, NULL, 'OS01G0763600 PROTEIN', 93223),
(149498, 'PTHR45708:SF40', NULL, NULL, NULL, NULL, 'BASIC ENDOCHITINASE', 93224),
(149499, 'PTHR46116:SF23', NULL, NULL, NULL, NULL, 'BNAA05G14770D PROTEIN', 93225),
(149500, 'PTHR10641:SF1299', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39-LIKE', 93226),
(149501, 'PTHR46774:SF3', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN EAF1 A-RELATED', 93227),
(149502, 'PTHR11267:SF165', NULL, NULL, NULL, NULL, 'T-BOX PROTEIN 35-RELATED', 93228),
(149503, 'PTHR15561:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC9', 93229),
(149504, 'PTHR45913', NULL, NULL, NULL, NULL, 'EPM2A-INTERACTING PROTEIN 1', 93230),
(149505, 'PTHR31367:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93231),
(149506, 'PTHR10046:SF56', NULL, NULL, NULL, NULL, 'LON PROTEASE', 93232),
(149507, 'PTHR10209:SF479', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 3', 93233),
(149508, 'PTHR31642:SF127', NULL, NULL, NULL, NULL, 'OS05G0141300 PROTEIN', 93234),
(149509, 'PTHR48064:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 51', 93235),
(149510, 'PTHR32133:SF331', NULL, NULL, NULL, NULL, 'OS05G0320100 PROTEIN', 93236),
(149511, 'PTHR47074:SF20', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H PROTEIN', 93237),
(149512, 'PTHR31676:SF77', NULL, NULL, NULL, NULL, 'BNAA03G00250D PROTEIN', 93238),
(149513, 'PTHR46780:SF5', NULL, NULL, NULL, NULL, 'SI:CH73-335M24.2', 93239),
(149514, 'PTHR45744:SF33', NULL, NULL, NULL, NULL, 'BNAA09G41170D PROTEIN', 93240),
(149515, 'PTHR15975:SF3', NULL, NULL, NULL, NULL, 'BNAC09G39370D PROTEIN', 93241),
(149516, 'PTHR15416:SF3', NULL, NULL, NULL, NULL, 'AGAP001779-PB', 93242),
(149517, 'PTHR43619:SF2', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE YKTD-RELATED', 93243),
(149518, 'PTHR15288:SF25', NULL, NULL, NULL, NULL, 'DENN DOMAIN, DDENN DOMAIN, UDENN DOMAIN PROTEIN-RELATED', 93244),
(149519, 'PTHR24092:SF166', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 12-RELATED', 93245),
(149520, 'PTHR31248:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93246),
(149521, 'PTHR34203', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE, FKBM FAMILY PROTEIN', 93247),
(149522, 'PTHR33240:SF7', NULL, NULL, NULL, NULL, 'GAG-PRO-LIKE PROTEIN', 93248),
(149523, 'PTHR46568', NULL, NULL, NULL, NULL, 'ALKYLDIHYDROXYACETONEPHOSPHATE SYNTHASE, PEROXISOMAL', 93249),
(149524, 'PTHR37200:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 93250),
(149525, 'PTHR24062:SF9', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 93251),
(149526, 'PTHR48002:SF91', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 93252),
(149527, 'PTHR45657:SF40', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN-RELATED', 93253),
(149528, 'PTHR14084:SF2', NULL, NULL, NULL, NULL, 'KYNURENINASE 2', 93254),
(149529, 'PTHR13864', NULL, NULL, NULL, NULL, 'T-CELL ACUTE LYMPHOCYTIC LEUKEMIA/STEM CELL LEUKEMIA-RELATED', 93255);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(149530, 'PTHR21666', NULL, NULL, NULL, NULL, 'PEPTIDASE-RELATED', 93256),
(149531, 'PTHR37973:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11275', 93257),
(149532, 'PTHR31929:SF89', NULL, NULL, NULL, NULL, 'BNAA02G26410D PROTEIN', 93258),
(149533, 'PTHR11254:SF421', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL5-LIKE', 93259),
(149534, 'PTHR13271:SF108', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE FAMILY PROTEIN, PUTATIVE-RELATED', 93260),
(149535, 'PTHR10091:SF0', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 93261),
(149536, 'PTHR24096:SF373', NULL, NULL, NULL, NULL, '4-COUMARATE:COA LIGASE-LIKE PROTEIN', 93262),
(149537, 'PTHR13950', NULL, NULL, NULL, NULL, 'RABCONNECTIN-RELATED', 93263),
(149538, 'PTHR11430:SF79', NULL, NULL, NULL, NULL, 'EPIDIDYMAL-SPECIFIC LIPOCALIN-10', 93264),
(149539, 'PTHR42940:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE FAMILY OXIDOREDUCTASE, PUTATIVE (JCVI)-RELATED', 93265),
(149540, 'PTHR13832:SF541', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C, PUTATIVE-RELATED', 93266),
(149541, 'PTHR13480', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HAKAI-RELATED', 93267),
(149542, 'PTHR44188:SF2', NULL, NULL, NULL, NULL, 'GANGLIOSIDE-INDUCED DIFFERENTIATION-ASSOCIATED PROTEIN 1-LIKE 1', 93268),
(149543, 'PTHR33248:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93269),
(149544, 'PTHR33873', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR VOZ1', 93270),
(149545, 'PTHR28677:SF4', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 4A-RELATED', 93271),
(149546, 'PTHR11394:SF37', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 110', 93272),
(149547, 'PTHR24373:SF31', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING NOGO RECEPTOR-INTERACTING PROTEIN 1', 93273),
(149548, 'PTHR43513:SF3', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE B (NAD(+)), ELECTRON TRANSFER SUBUNIT-RELATED', 93274),
(149549, 'PTHR46724:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 9', 93275),
(149550, 'PTHR34064:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 93276),
(149551, 'PTHR28615:SF2', NULL, NULL, NULL, NULL, 'PAK4-INHIBITOR INKA2', 93277),
(149552, 'PTHR27006:SF393', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 93278),
(149553, 'PTHR16655:SF2', NULL, NULL, NULL, NULL, 'COCAINE-AND AMPHETAMINE-REGULATED TRANSCRIPT PROTEIN-LIKE', 93279),
(149554, 'PTHR24372:SF71', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G-PROTEIN COUPLED RECEPTOR 5', 93280),
(149555, 'PTHR22298:SF144', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 93281),
(149556, 'PTHR46235:SF2', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 93282),
(149557, 'PTHR18966:SF493', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 93283),
(149558, 'PTHR11232:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93284),
(149559, 'PTHR47987:SF5', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-REGULATED RECEPTOR-LIKE KINASE 2', 93285),
(149560, 'PTHR14149:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93286),
(149561, 'PTHR31541:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93287),
(149562, 'PTHR31989:SF315', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29-LIKE', 93288),
(149563, 'PTHR45638:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG22517', 93289),
(149564, 'PTHR15117:SF9', NULL, NULL, NULL, NULL, 'ATAXIN-7-LIKE PROTEIN 1', 93290),
(149565, 'PTHR12411:SF719', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93291),
(149566, 'PTHR45287:SF4', NULL, NULL, NULL, NULL, 'OS03G0691500 PROTEIN', 93292),
(149567, 'PTHR12496:SF0', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 93293),
(149568, 'PTHR11071:SF380', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE D-RELATED', 93294),
(149569, 'PTHR31719:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93295),
(149570, 'PTHR23500:SF525', NULL, NULL, NULL, NULL, 'HEXOSE CARRIER PROTEIN HEX6-LIKE', 93296),
(149571, 'PTHR45822:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-231M23.4', 93297);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(149572, 'PTHR31218:SF334', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 93298),
(149573, 'PTHR46598:SF4', NULL, NULL, NULL, NULL, 'BNAA02G14210D PROTEIN', 93299),
(149574, 'PTHR31803:SF20', NULL, NULL, NULL, NULL, 'ALTERNATIVE OXIDASE 3, MITOCHONDRIAL', 93300),
(149575, 'PTHR43620:SF4', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD5', 93301),
(149576, 'PTHR45796:SF4', NULL, NULL, NULL, NULL, 'FORKHEAD BOX P, ISOFORM C', 93302),
(149577, 'PTHR46463:SF10', NULL, NULL, NULL, NULL, 'OS11G0629300 PROTEIN', 93303),
(149578, 'PTHR32166:SF88', NULL, NULL, NULL, NULL, 'HAT TRANSPOSON SUPERFAMILY', 93304),
(149579, 'PTHR22595:SF122', NULL, NULL, NULL, NULL, 'BASIC ENDOCHITINASE-LIKE', 93305),
(149580, 'PTHR27006:SF322', NULL, NULL, NULL, NULL, 'OSJNBA0058K23.11 PROTEIN', 93306),
(149581, 'PTHR45983:SF4', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 18', 93307),
(149582, 'PTHR18953:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93308),
(149583, 'PTHR23155:SF1095', NULL, NULL, NULL, NULL, 'OS05G0250700 PROTEIN', 93309),
(149584, 'PTHR24324', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HHEX', 93310),
(149585, 'PTHR12260:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93311),
(149586, 'PTHR24172', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 93312),
(149587, 'PTHR18945:SF861', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93313),
(149588, 'PTHR31260:SF56', NULL, NULL, NULL, NULL, 'BNAA08G14180D PROTEIN', 93314),
(149589, 'PTHR24381:SF60', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 35', 93315),
(149590, 'PTHR24023:SF897', NULL, NULL, NULL, NULL, 'MACROPHAGE RECEPTOR MARCO', 93316),
(149591, 'PTHR31727:SF14', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', 93317),
(149592, 'PTHR22812:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93318),
(149593, 'PTHR37371', NULL, NULL, NULL, NULL, 'OS08G0180400 PROTEIN', 93319),
(149594, 'PTHR48001:SF5', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 93320),
(149595, 'PTHR23039:SF5', NULL, NULL, NULL, NULL, 'NANCE-HORAN SYNDROME PROTEIN', 93321),
(149596, 'PTHR11005:SF137', NULL, NULL, NULL, NULL, 'LIPASE', 93322),
(149597, 'PTHR21738:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA PROCESSING PROTEIN 36 HOMOLOG', 93323),
(149598, 'PTHR21580:SF28', NULL, NULL, NULL, NULL, 'AT18965P', 93324),
(149599, 'PTHR10169:SF38', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2', 93325),
(149600, 'PTHR31190:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93326),
(149601, 'PTHR12299', NULL, NULL, NULL, NULL, 'HYALURONIC ACID-BINDING PROTEIN 4', 93327),
(149602, 'PTHR20854:SF41', NULL, NULL, NULL, NULL, 'INOSITOL-1-MONOPHOSPHATASE', 93328),
(149603, 'PTHR35712:SF1', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', 93329),
(149604, 'PTHR12868:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 9', 93330),
(149605, 'PTHR14303:SF2', NULL, NULL, NULL, NULL, 'OS08G0163300 PROTEIN', 93331),
(149606, 'PTHR48004:SF26', NULL, NULL, NULL, NULL, 'BNAC06G07650D PROTEIN', 93332),
(149607, 'PTHR13296:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG17492', 93333),
(149608, 'PTHR22835:SF622', NULL, NULL, NULL, NULL, 'GDSL LIPASE/ACYLHYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00510)-RELATED', 93334),
(149609, 'PTHR10648:SF24', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 65 KDA REGULATORY SUBUNIT A BETA ISOFORM', 93335),
(149610, 'PTHR22811:SF68', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24-LIKE', 93336),
(149611, 'PTHR24023:SF1011', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXIV) CHAIN', 93337),
(149612, 'PTHR45664:SF11', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B3', 93338),
(149613, 'PTHR31851:SF42', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER HOMOLOG 1-RELATED', 93339),
(149614, 'PTHR23299:SF12', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-4', 93340),
(149615, 'PTHR32227:SF257', NULL, NULL, NULL, NULL, 'HYDROLASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 93341),
(149616, 'PTHR24320:SF33', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE BLI-4, MITOCHONDRIAL-RELATED', 93342);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(149617, 'PTHR45647:SF64', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 33', 93343),
(149618, 'PTHR23122:SF14', NULL, NULL, NULL, NULL, 'MAGUK P55 SUBFAMILY MEMBER 5', 93344),
(149619, 'PTHR42948', NULL, NULL, NULL, NULL, 'TRANSPORTER', 93345),
(149620, 'PTHR27003:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93346),
(149621, 'PTHR31221:SF156', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', 93347),
(149622, 'PTHR35827:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 3', 93348),
(149623, 'PTHR24075:SF9', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', 93349),
(149624, 'PTHR42898:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93350),
(149625, 'PTHR10629:SF11', NULL, NULL, NULL, NULL, 'C-5 CYTOSINE METHYLTRANSFERASE', 93351),
(149626, 'PTHR47847', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 17', 93352),
(149627, 'PTHR41695:SF1', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN BRANCHING ENZYME RV3031-RELATED', 93353),
(149628, 'PTHR34812', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN J', 93354),
(149629, 'PTHR24023:SF878', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE XXVIII, ALPHA 1B-RELATED', 93355),
(149630, 'PTHR37707:SF1', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST 9', 93356),
(149631, 'PTHR42820:SF9', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 93357),
(149632, 'PTHR31839:SF65', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1G', 93358),
(149633, 'PTHR43742:SF6', NULL, NULL, NULL, NULL, 'TRIMETHYLAMINE-N-OXIDE REDUCTASE 2', 93359),
(149634, 'PTHR23065:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93360),
(149635, 'PTHR22751:SF166', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 93361),
(149636, 'PTHR33676', NULL, NULL, NULL, NULL, 'COLD REGULATED PROTEIN 27', 93362),
(149637, 'PTHR33928:SF2', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT3', 93363),
(149638, 'PTHR23202:SF27', NULL, NULL, NULL, NULL, 'MULTI SEX COMBS, ISOFORM A-RELATED', 93364),
(149639, 'PTHR46398:SF13', NULL, NULL, NULL, NULL, 'MONO-/DI-ACYLGLYCEROL LIPASE, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 93365),
(149640, 'PTHR36161:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06375', 93366),
(149641, 'PTHR33095:SF16', NULL, NULL, NULL, NULL, 'OS01G0253500 PROTEIN', 93367),
(149642, 'PTHR22912:SF199', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE 1, CHLOROPLASTIC', 93368),
(149643, 'PTHR11945:SF380', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 96', 93369),
(149644, 'PTHR33919', NULL, NULL, NULL, NULL, 'OS09G0127700 PROTEIN', 93370),
(149645, 'PTHR31717:SF86', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER FAMILY PROTEIN', 93371),
(149646, 'PTHR30518:SF2', NULL, NULL, NULL, NULL, 'ENDOLYTIC MUREIN TRANSGLYCOSYLASE', 93372),
(149647, 'PTHR18875:SF8', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 18', 93373),
(149648, 'PTHR24083:SF103', NULL, NULL, NULL, NULL, 'PROTEIN ULTRASPIRACLE', 93374),
(149649, 'PTHR36067:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 93375),
(149650, 'PTHR42919:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08989', 93376),
(149651, 'PTHR31818:SF2', NULL, NULL, NULL, NULL, 'ROOT HAIR SPECIFIC 17', 93377),
(149652, 'PTHR11353:SF208', NULL, NULL, NULL, NULL, 'BNAC03G41350D PROTEIN', 93378),
(149653, 'PTHR14569', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 FAMILY MEMBER G6E', 93379),
(149654, 'PTHR36466:SF1', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 15', 93380),
(149655, 'PTHR31618:SF27', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', 93381),
(149656, 'PTHR33348:SF20', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP4', 93382),
(149657, 'PTHR22600:SF38', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE SUBUNIT BETA', 93383),
(149658, 'PTHR46214:SF25', NULL, NULL, NULL, NULL, 'BNAC04G54100D PROTEIN', 93384),
(149659, 'PTHR10151:SF107', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE FAMILY MEMBER 3', 93385),
(149660, 'PTHR30521:SF4', NULL, NULL, NULL, NULL, 'DEFERROCHELATASE/PEROXIDASE EFEB', 93386),
(149661, 'PTHR36162:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93387);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(149662, 'PTHR33324', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 93388),
(149663, 'PTHR24373:SF264', NULL, NULL, NULL, NULL, 'NYCTALOPIN', 93389),
(149664, 'PTHR10390:SF12', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX6', 93390),
(149665, 'PTHR45751:SF28', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RGLG2', 93391),
(149666, 'PTHR13120:SF1', NULL, NULL, NULL, NULL, 'PHF5-LIKE PROTEIN', 93392),
(149667, 'PTHR23355:SF9', NULL, NULL, NULL, NULL, 'DIS3-LIKE EXONUCLEASE 2', 93393),
(149668, 'PTHR43682', NULL, NULL, NULL, NULL, 'LACTATE UTILIZATION PROTEIN C', 93394),
(149669, 'PTHR23353:SF20', NULL, NULL, NULL, NULL, 'AGAP003983-PA', 93395),
(149670, 'PTHR22725:SF4', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN HOMOLOG 4', 93396),
(149671, 'PTHR38002:SF1', NULL, NULL, NULL, NULL, 'C4ORF36 ISOFORM 11', 93397),
(149672, 'PTHR38794:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93398),
(149673, 'PTHR24377:SF863', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 583', 93399),
(149674, 'PTHR19944:SF65', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DM BETA CHAIN', 93400),
(149675, 'PTHR43267:SF1', NULL, NULL, NULL, NULL, 'TRNA THREONYLCARBAMOYLADENOSINE DEHYDRATASE', 93401),
(149676, 'PTHR10055:SF13', NULL, NULL, NULL, NULL, 'BNAC01G39860D PROTEIN', 93402),
(149677, 'PTHR46506', NULL, NULL, NULL, NULL, 'OS05G0143600 PROTEIN', 93403),
(149678, 'PTHR31161:SF24', NULL, NULL, NULL, NULL, 'BNAA07G02160D PROTEIN', 93404),
(149679, 'PTHR30523:SF37', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE', 93405),
(149680, 'PTHR31318:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93406),
(149681, 'PTHR10887:SF463', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', 93407),
(149682, 'PTHR10978:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93408),
(149683, 'PTHR31509:SF96', NULL, NULL, NULL, NULL, 'OS01G0875000 PROTEIN', 93409),
(149684, 'PTHR12788', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE SULFOTRANSFERASE 2', 93410),
(149685, 'PTHR23503:SF27', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 2', 93411),
(149686, 'PTHR24256:SF513', NULL, NULL, NULL, NULL, 'AGAP004639-PA', 93412),
(149687, 'PTHR21290:SF57', NULL, NULL, NULL, NULL, 'OSJNBA0035I04.2 PROTEIN', 93413),
(149688, 'PTHR16675:SF187', NULL, NULL, NULL, NULL, 'HLA CLASS I HISTOCOMPATIBILITY ANTIGEN, ALPHA CHAIN F', 93414),
(149689, 'PTHR43245:SF34', NULL, NULL, NULL, NULL, 'UDP-D-APIOSE/UDP-D-XYLOSE SYNTHASE 2-LIKE', 93415),
(149690, 'PTHR23504:SF88', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY ANTIPORTER', 93416),
(149691, 'PTHR23201:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93417),
(149692, 'PTHR35775', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 93418),
(149693, 'PTHR37225:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0011F23.3 PROTEIN', 93419),
(149694, 'PTHR47256:SF8', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 93420),
(149695, 'PTHR35352:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 150', 93421),
(149696, 'PTHR46942:SF1', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 15', 93422),
(149697, 'PTHR23019:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR PORE MEMBRANE GLYCOPROTEIN 210', 93423),
(149698, 'PTHR36863', NULL, NULL, NULL, NULL, 'SHIELDIN COMPLEX SUBUNIT 1', 93424),
(149699, 'PTHR20515:SF1', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 130A-RELATED', 93425),
(149700, 'PTHR22903:SF8', NULL, NULL, NULL, NULL, 'MAX-1A', 93426),
(149701, 'PTHR31018:SF8', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 2-RELATED', 93427),
(149702, 'PTHR13479:SF46', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S18A, MITOCHONDRIAL', 93428),
(149703, 'PTHR31210:SF78', NULL, NULL, NULL, NULL, 'BNAA04G16360D PROTEIN', 93429),
(149704, 'PTHR13477', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 39S RIBOSOMAL PROTEIN L49', 93430),
(149705, 'PTHR45825:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93431),
(149706, 'PTHR43180:SF44', NULL, NULL, NULL, NULL, 'SEX DETERMINATION PROTEIN TASSELSEED-2', 93432);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(149707, 'PTHR11347:SF184', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', 93433),
(149708, 'PTHR23236:SF16', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 2', 93434),
(149709, 'PTHR23409:SF20', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE SUBUNIT M2', 93435),
(149710, 'PTHR24329:SF340', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ARISTALESS-LIKE 3', 93436),
(149711, 'PTHR12587', NULL, NULL, NULL, NULL, 'LAR INTERACTING PROTEIN  LIP -RELATED PROTEIN', 93437),
(149712, 'PTHR11216:SF142', NULL, NULL, NULL, NULL, 'BNAC07G15190D PROTEIN', 93438),
(149713, 'PTHR24055:SF0', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 1', 93439),
(149714, 'PTHR43645:SF4', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE-RELATED', 93440),
(149715, 'PTHR12411:SF58', NULL, NULL, NULL, NULL, 'CATHEPSIN M-RELATED', 93441),
(149716, 'PTHR18860:SF97', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN B', 93442),
(149717, 'PTHR35084:SF1', NULL, NULL, NULL, NULL, 'TCF3 FUSION PARTNER', 93443),
(149718, 'PTHR10075:SF51', NULL, NULL, NULL, NULL, 'DOWN SYNDROME CELL ADHESION MOLECULE', 93444),
(149719, 'PTHR34792:SF1', NULL, NULL, NULL, NULL, 'OS02G0121500 PROTEIN', 93445),
(149720, 'PTHR35346', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 6', 93446),
(149721, 'PTHR43391:SF11', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G04850)', 93447),
(149722, 'PTHR47424:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 93448),
(149723, 'PTHR36896:SF2', NULL, NULL, NULL, NULL, 'OS01G0729500 PROTEIN', 93449),
(149724, 'PTHR31992:SF178', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.7', 93450),
(149725, 'PTHR23155:SF1087', NULL, NULL, NULL, NULL, 'OS11G0462900 PROTEIN', 93451),
(149726, 'PTHR23201:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93452),
(149727, 'PTHR21633', NULL, NULL, NULL, NULL, 'IQ MOTIF CONTAINING F', 93453),
(149728, 'PTHR21645:SF17', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN C33H5.2-RELATED', 93454),
(149729, 'PTHR47991:SF81', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 1', 93455),
(149730, 'PTHR13355:SF11', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE', 93456),
(149731, 'PTHR38682:SF1', NULL, NULL, NULL, NULL, 'V-TYPE ATP SYNTHASE SUBUNIT C', 93457),
(149732, 'PTHR10924:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG07580', 93458),
(149733, 'PTHR33829:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93459),
(149734, 'PTHR30272:SF14', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-[ACYL-CARRIER-PROTEIN] DEHYDRATASE FABZ-LIKE', 93460),
(149735, 'PTHR33877:SF2', NULL, NULL, NULL, NULL, 'SLL1193 PROTEIN', 93461),
(149736, 'PTHR38011:SF2', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 93462),
(149737, 'PTHR10209:SF782', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93463),
(149738, 'PTHR45544:SF1', NULL, NULL, NULL, NULL, 'THIOSULFATE:GLUTATHIONE SULFURTRANSFERASE', 93464),
(149739, 'PTHR12161:SF67', NULL, NULL, NULL, NULL, 'BNAC03G44120D PROTEIN', 93465),
(149740, 'PTHR31346:SF16', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 4, MITOCHONDRIAL', 93466),
(149741, 'PTHR15286:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93467),
(149742, 'PTHR48046:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 93468),
(149743, 'PTHR42760:SF37', NULL, NULL, NULL, NULL, 'CLAVALDEHYDE DEHYDROGENASE', 93469),
(149744, 'PTHR12313:SF80', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA1H1-LIKE', 93470),
(149745, 'PTHR30106:SF1', NULL, NULL, NULL, NULL, 'UPF0324 MEMBRANE PROTEIN FN0533', 93471),
(149746, 'PTHR10288:SF179', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN K', 93472),
(149747, 'PTHR31744:SF127', NULL, NULL, NULL, NULL, 'BNAC03G23960D PROTEIN', 93473),
(149748, 'PTHR43176:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93474),
(149749, 'PTHR24067:SF286', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 3', 93475),
(149750, 'PTHR47338:SF7', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 93476);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(149751, 'PTHR14165:SF3', NULL, NULL, NULL, NULL, 'MAJOR VAULT PROTEIN', 93477),
(149752, 'PTHR28657:SF4', NULL, NULL, NULL, NULL, 'INDOLEAMINE 2,3-DIOXYGENASE 2', 93478),
(149753, 'PTHR12224:SF10', NULL, NULL, NULL, NULL, 'BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 93479),
(149754, 'PTHR11452:SF73', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE-LIKE PROTEIN', 93480),
(149755, 'PTHR11926:SF1093', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 74E2-LIKE', 93481),
(149756, 'PTHR23023:SF251', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 93482),
(149757, 'PTHR33353:SF6', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE IV', 93483),
(149758, 'PTHR21600:SF73', NULL, NULL, NULL, NULL, 'PSEUDOURIDYLATE SYNTHASE, PUTATIVE-RELATED', 93484),
(149759, 'PTHR48001:SF157', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 93485),
(149760, 'PTHR32161:SF19', NULL, NULL, NULL, NULL, 'DPP6 AMINO-TERMINAL DOMAIN PROTEIN', 93486),
(149761, 'PTHR46885:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ANKUB1', 93487),
(149762, 'PTHR43270:SF4', NULL, NULL, NULL, NULL, 'RE11562P', 93488),
(149763, 'PTHR10891:SF893', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 3', 93489),
(149764, 'PTHR11017:SF250', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN', 93490),
(149765, 'PTHR23316:SF6', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-4', 93491),
(149766, 'PTHR19944:SF44', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DO ALPHA CHAIN', 93492),
(149767, 'PTHR24320:SF194', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', 93493),
(149768, 'PTHR13225:SF3', NULL, NULL, NULL, NULL, 'UPF0489 PROTEIN C5ORF22', 93494),
(149769, 'PTHR33271:SF16', NULL, NULL, NULL, NULL, 'OS04G0509400 PROTEIN', 93495),
(149770, 'PTHR18896:SF132', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D BETA 1', 93496),
(149771, 'PTHR23070:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93497),
(149772, 'PTHR46793', NULL, NULL, NULL, NULL, '1700018F24RIK PROTEIN-RELATED-RELATED', 93498),
(149773, 'PTHR31232:SF53', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 29-RELATED', 93499),
(149774, 'PTHR23177:SF33', NULL, NULL, NULL, NULL, 'OS01G0967200 PROTEIN', 93500),
(149775, 'PTHR10502:SF175', NULL, NULL, NULL, NULL, 'ANNEXIN A13', 93501),
(149776, 'PTHR46149:SF5', NULL, NULL, NULL, NULL, 'RAS, DEXAMETHASONE-INDUCED 1', 93502),
(149777, 'PTHR10593:SF162', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 1', 93503),
(149778, 'PTHR33052:SF4', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', 93504),
(149779, 'PTHR24356:SF136', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED SERINE/THREONINE-PROTEIN KINASE 2', 93505),
(149780, 'PTHR31509:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93506),
(149781, 'PTHR12419', NULL, NULL, NULL, NULL, 'OTU DOMAIN CONTAINING PROTEIN', 93507),
(149782, 'PTHR22763:SF169', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SYNOVIOLIN', 93508),
(149783, 'PTHR10887:SF487', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93509),
(149784, 'PTHR31908:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CROWDED NUCLEI 2', 93510),
(149785, 'PTHR24343:SF335', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN DEPENDENT PROTEIN KINASE KINASE 2', 93511),
(149786, 'PTHR23277:SF12', NULL, NULL, NULL, NULL, 'NECTIN-3', 93512),
(149787, 'PTHR13693:SF81', NULL, NULL, NULL, NULL, 'LONG CHAIN BASE BIOSYNTHESIS PROTEIN 2A', 93513),
(149788, 'PTHR22633:SF2', NULL, NULL, NULL, NULL, 'NEURONAL TYROSINE-PHOSPHORYLATED PHOSPHOINOSITIDE-3-KINASE ADAPTER 1', 93514),
(149789, 'PTHR24960:SF76', NULL, NULL, NULL, NULL, 'THYLAKOID-ASSOCIATED PROTEIN SLL1697', 93515),
(149790, 'PTHR10024:SF218', NULL, NULL, NULL, NULL, 'FI18813P1-RELATED', 93516),
(149791, 'PTHR24296:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93517),
(149792, 'PTHR37238', NULL, NULL, NULL, NULL, 'OS05G0532500 PROTEIN', 93518),
(149793, 'PTHR11571:SF107', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE A3', 93519),
(149794, 'PTHR14154:SF79', NULL, NULL, NULL, NULL, 'LHC-RELATED PROTEIN', 93520),
(149795, 'PTHR31172:SF4', NULL, NULL, NULL, NULL, 'STOMATAL CLOSURE-RELATED ACTIN-BINDING PROTEIN 1', 93521);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(149796, 'PTHR11206:SF362', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 93522),
(149797, 'PTHR31223:SF69', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 93523),
(149798, 'PTHR42663:SF10', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE/OXIDOREDUCTASE SUPERFAMILY PROTEIN', 93524),
(149799, 'PTHR10836:SF58', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE 1, CYTOSOLIC', 93525),
(149800, 'PTHR30548:SF5', NULL, NULL, NULL, NULL, 'SUBUNIT OF OXYGEN-SENSITIVE 2-HYDROXYISOCAPROYL-COA DEHYDRATASE', 93526),
(149801, 'PTHR14379:SF47', NULL, NULL, NULL, NULL, 'BNAC01G42930D PROTEIN', 93527),
(149802, 'PTHR36455:SF1', NULL, NULL, NULL, NULL, 'BLR8292 PROTEIN', 93528),
(149803, 'PTHR31471:SF75', NULL, NULL, NULL, NULL, 'REMORIN-RELATED', 93529),
(149804, 'PTHR12357:SF104', NULL, NULL, NULL, NULL, 'BNAC04G24940D PROTEIN', 93530),
(149805, 'PTHR22960:SF24', NULL, NULL, NULL, NULL, 'CYCLIC PYRANOPTERIN MONOPHOSPHATE SYNTHASE, MITOCHONDRIAL', 93531),
(149806, 'PTHR24377:SF712', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 472', 93532),
(149807, 'PTHR48034:SF5', NULL, NULL, NULL, NULL, 'COLD-INDUCIBLE RNA-BINDING PROTEIN', 93533),
(149808, 'PTHR41771:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 93534),
(149809, 'PTHR13723:SF37', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 5', 93535),
(149810, 'PTHR33669:SF14', NULL, NULL, NULL, NULL, 'PROTEIN NIM1-INTERACTING 3-LIKE', 93536),
(149811, 'PTHR11143:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93537),
(149812, 'PTHR48024:SF27', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 1-RELATED', 93538),
(149813, 'PTHR10880:SF39', NULL, NULL, NULL, NULL, 'PROTEIN MRG1-LIKE ISOFORM X1', 93539),
(149814, 'PTHR26450:SF59', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 93540),
(149815, 'PTHR33744:SF11', NULL, NULL, NULL, NULL, 'REGULATOR-RELATED', 93541),
(149816, 'PTHR12329:SF2', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 5', 93542),
(149817, 'PTHR36335', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 93543),
(149818, 'PTHR31845:SF27', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 93544),
(149819, 'PTHR47981:SF19', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-7B', 93545),
(149820, 'PTHR36025:SF1', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE (DUF3598)', 93546),
(149821, 'PTHR24099:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93547),
(149822, 'PTHR48018:SF171', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 93548),
(149823, 'PTHR46764', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BAH1', 93549),
(149824, 'PTHR33727:SF5', NULL, NULL, NULL, NULL, 'OS07G0446900 PROTEIN', 93550),
(149825, 'PTHR23164:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93551),
(149826, 'PTHR31509:SF122', NULL, NULL, NULL, NULL, 'BNAA09G00040D PROTEIN', 93552),
(149827, 'PTHR31009:SF51', NULL, NULL, NULL, NULL, 'SALICYLATE CARBOXYMETHYLTRANSFERASE-LIKE', 93553),
(149828, 'PTHR12460:SF0', NULL, NULL, NULL, NULL, 'POL II C-TERMINAL INTERACTION DOMAIN SUPPRESSOR', 93554),
(149829, 'PTHR24240:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93555),
(149830, 'PTHR13250:SF1', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 10', 93556),
(149831, 'PTHR47624', NULL, NULL, NULL, NULL, 'OS01G0204900 PROTEIN', 93557),
(149832, 'PTHR36140:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93558),
(149833, 'PTHR33142:SF50', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR10', 93559),
(149834, 'PTHR23089:SF46', NULL, NULL, NULL, NULL, 'ADENYLYLSULFATASE HINT1', 93560),
(149835, 'PTHR24177:SF248', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 93561),
(149836, 'PTHR23073:SF113', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 8', 93562),
(149837, 'PTHR47884', NULL, NULL, NULL, NULL, 'PROSTATE AND TESTIS EXPRESSED PROTEIN 2', 93563),
(149838, 'PTHR46610:SF15', NULL, NULL, NULL, NULL, 'OS05G0181300 PROTEIN', 93564);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(149839, 'PTHR11783:SF245', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 93565),
(149840, 'PTHR33074:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93566),
(149841, 'PTHR33191:SF44', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 93567),
(149842, 'PTHR16926', NULL, NULL, NULL, NULL, 'INTERLEUKIN 9', 93568),
(149843, 'PTHR36321:SF14', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 4-RELATED', 93569),
(149844, 'PTHR31495:SF31', NULL, NULL, NULL, NULL, 'BNAC02G20100D PROTEIN', 93570),
(149845, 'PTHR42837:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE METALLOPROTEASE ARASP, CHLOROPLASTIC', 93571),
(149846, 'PTHR10615:SF120', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN DPF3', 93572),
(149847, 'PTHR36127:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93573),
(149848, 'PTHR33021:SF327', NULL, NULL, NULL, NULL, 'BNAA07G36670D PROTEIN', 93574),
(149849, 'PTHR30602:SF12', NULL, NULL, NULL, NULL, 'AMINO-ACID ACETYLTRANSFERASE NAGS1, CHLOROPLASTIC-RELATED', 93575),
(149850, 'PTHR24379:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 563', 93576),
(149851, 'PTHR35546:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93577),
(149852, 'PTHR24349:SF287', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 16', 93578),
(149853, 'PTHR45967:SF18', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER (BZIP) TRANSCRIPTION FACTOR FAMILY PROTEIN', 93579),
(149854, 'PTHR11208:SF115', NULL, NULL, NULL, NULL, 'STAR PROTEIN, HOMODIMERIZATION REGION-RELATED', 93580),
(149855, 'PTHR45642:SF97', NULL, NULL, NULL, NULL, 'BNAC04G13080D PROTEIN', 93581),
(149856, 'PTHR27002:SF563', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 93582),
(149857, 'PTHR39670', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 93583),
(149858, 'PTHR11349:SF91', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', 93584),
(149859, 'PTHR31480:SF22', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 15-CIS-PHYTOENE SYNTHASE, CHROMOPLASTIC-RELATED', 93585),
(149860, 'PTHR47993:SF158', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN CONTAINING PROTEIN, EXPRESSED', 93586),
(149861, 'PTHR31190:SF267', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN PROTEIN', 93587),
(149862, 'PTHR14047:SF30', NULL, NULL, NULL, NULL, 'G ANTIGEN 1-RELATED', 93588),
(149863, 'PTHR11439:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93589),
(149864, 'PTHR24023:SF539', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(V) CHAIN', 93590),
(149865, 'PTHR32054:SF4', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE', 93591),
(149866, 'PTHR31791:SF58', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN 1-RELATED', 93592),
(149867, 'PTHR13999:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93593),
(149868, 'PTHR20886:SF8', NULL, NULL, NULL, NULL, 'VANG-LIKE PROTEIN 1', 93594),
(149869, 'PTHR26453:SF662', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 93595),
(149870, 'PTHR40590:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 93596),
(149871, 'PTHR48048:SF17', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 93597),
(149872, 'PTHR21497:SF38', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 93598),
(149873, 'PTHR13281:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 70, MITOCHONDRIAL', 93599),
(149874, 'PTHR42869', NULL, NULL, NULL, NULL, 'SLL0572 PROTEIN', 93600),
(149875, 'PTHR47863:SF2', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN WITH RING/FYVE/PHD-TYPE ZINC FINGER DOMAIN-CONTAINING PROTEIN', 93601),
(149876, 'PTHR23119:SF28', NULL, NULL, NULL, NULL, 'DISKS LARGE HOMOLOG 3', 93602),
(149877, 'PTHR31218:SF15', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 93603),
(149878, 'PTHR33248:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93604),
(149879, 'PTHR10334:SF275', NULL, NULL, NULL, NULL, 'GLIOMA PATHOGENESIS-RELATED PROTEIN 1', 93605),
(149880, 'PTHR23063:SF13', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDYLCHOLINE ACYLTRANSFERASE 2B', 93606),
(149881, 'PTHR31218:SF207', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 93607),
(149882, 'PTHR34674:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:DIACYLGLYCEROL CHOLINEPHOSPHOTRANSFERASE 1-LIKE', 93608);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(149883, 'PTHR33070:SF46', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', 93609),
(149884, 'PTHR46832:SF2', NULL, NULL, NULL, NULL, 'FUTALOSINE HYDROLASE', 93610),
(149885, 'PTHR13935:SF102', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH55', 93611),
(149886, 'PTHR16082:SF2', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT MU-1', 93612),
(149887, 'PTHR11909:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG23007', 93613),
(149888, 'PTHR12231:SF157', NULL, NULL, NULL, NULL, 'DPR-INTERACTING PROTEIN EPSILON-RELATED', 93614),
(149889, 'PTHR45863:SF39', NULL, NULL, NULL, NULL, 'BNAA09G08960D PROTEIN', 93615),
(149890, 'PTHR27004:SF391', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 20', 93616),
(149891, 'PTHR10663:SF360', NULL, NULL, NULL, NULL, 'SEC7 DOMAIN-CONTAINING PROTEIN-RELATED', 93617),
(149892, 'PTHR30373:SF7', NULL, NULL, NULL, NULL, 'UPF0603 PROTEIN YGCG', 93618),
(149893, 'PTHR42898:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93619),
(149894, 'PTHR11477:SF39', NULL, NULL, NULL, NULL, 'BNAA05G34790D PROTEIN', 93620),
(149895, 'PTHR11849:SF201', NULL, NULL, NULL, NULL, 'ETS DNA-BINDING PROTEIN POKKURI', 93621),
(149896, 'PTHR21495:SF145', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 22-RELATED', 93622),
(149897, 'PTHR10992:SF872', NULL, NULL, NULL, NULL, 'METHYLESTERASE 11, CHLOROPLASTIC-RELATED', 93623),
(149898, 'PTHR31621:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93624),
(149899, 'PTHR32212:SF323', NULL, NULL, NULL, NULL, 'BNAANNG21920D PROTEIN', 93625),
(149900, 'PTHR45621:SF85', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 93626),
(149901, 'PTHR12416', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 93627),
(149902, 'PTHR47368:SF3', NULL, NULL, NULL, NULL, 'NUMB, ENDOCYTIC ADAPTOR PROTEIN', 93628),
(149903, 'PTHR31453', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 236', 93629),
(149904, 'PTHR15544', NULL, NULL, NULL, NULL, 'OSMOSIS RESPONSIVE FACTOR', 93630),
(149905, 'PTHR44259:SF26', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE PROTEIN', 93631),
(149906, 'PTHR12107:SF6', NULL, NULL, NULL, NULL, 'STARGAZIN (MAMMALIAN CALCIUM CHANNEL) HOMOLOG', 93632),
(149907, 'PTHR10015:SF359', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-1', 93633),
(149908, 'PTHR45651', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 15-RELATED-RELATED', 93634),
(149909, 'PTHR13806:SF31', NULL, NULL, NULL, NULL, 'FLOTILLIN-LIKE PROTEIN 1-RELATED', 93635),
(149910, 'PTHR11618:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IIIB 50 KDA SUBUNIT', 93636),
(149911, 'PTHR10827:SF17', NULL, NULL, NULL, NULL, 'RETICULOCALBIN-1', 93637),
(149912, 'PTHR11334', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR', 93638),
(149913, 'PTHR48056:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93639),
(149914, 'PTHR31282:SF87', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 27-RELATED', 93640),
(149915, 'PTHR19211:SF95', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER F FAMILY MEMBER 2', 93641),
(149916, 'PTHR43691:SF2', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PHOSPHORYLASE DEOD-TYPE', 93642),
(149917, 'PTHR15744:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93643),
(149918, 'PTHR47989:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', 93644),
(149919, 'PTHR22605:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF213', 93645),
(149920, 'PTHR24045', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 93646),
(149921, 'PTHR11102:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93647),
(149922, 'PTHR36863:SF1', NULL, NULL, NULL, NULL, 'SHIELDIN COMPLEX SUBUNIT 1', 93648),
(149923, 'PTHR12080:SF93', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 5', 93649),
(149924, 'PTHR45023', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 93650),
(149925, 'PTHR11606:SF35', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE', 93651),
(149926, 'PTHR31198:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 84', 93652),
(149927, 'PTHR33564:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93653);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(149928, 'PTHR31181:SF54', NULL, NULL, NULL, NULL, 'CYSTEINE RICH PEPTIDE-RELATED', 93654),
(149929, 'PTHR31246:SF26', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-2-RELATED', 93655),
(149930, 'PTHR31232:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93656),
(149931, 'PTHR47997:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB46', 93657),
(149932, 'PTHR12358:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93658),
(149933, 'PTHR10131:SF76', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 3', 93659),
(149934, 'PTHR15157:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93660),
(149935, 'PTHR46163:SF13', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 93661),
(149936, 'PTHR47701', NULL, NULL, NULL, NULL, 'PROTEIN MODIFIER OF SNC1 11', 93662),
(149937, 'PTHR36081', NULL, NULL, NULL, NULL, 'CELL WALL INTEGRITY/STRESS RESPONSE COMPONENT', 93663),
(149938, 'PTHR27009:SF97', NULL, NULL, NULL, NULL, 'OS01G0138300 PROTEIN', 93664),
(149939, 'PTHR40661', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 93665),
(149940, 'PTHR46044', NULL, NULL, NULL, NULL, 'NITRILASE', 93666),
(149941, 'PTHR41733:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED/TRANSLATION ELONGATION FACTOR EF1B, N-TERMINAL, EUKARYOTE', 93667),
(149942, 'PTHR43903:SF16', NULL, NULL, NULL, NULL, 'GH07829P', 93668),
(149943, 'PTHR31062:SF58', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 93669),
(149944, 'PTHR43134:SF3', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHESIS PROTEIN FLHF', 93670),
(149945, 'PTHR12634:SF31', NULL, NULL, NULL, NULL, 'BNAC01G24190D PROTEIN', 93671),
(149946, 'PTHR32468:SF82', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE', 93672),
(149947, 'PTHR31218:SF339', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 93673),
(149948, 'PTHR10795:SF638', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.4', 93674),
(149949, 'PTHR31479:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93675),
(149950, 'PTHR10638:SF63', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 93676),
(149951, 'PTHR16223:SF200', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UNE12-RELATED', 93677),
(149952, 'PTHR23515:SF20', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER 2.6', 93678),
(149953, 'PTHR10380:SF109', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 49AH', 93679),
(149954, 'PTHR33601:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93680),
(149955, 'PTHR22891:SF66', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE-2', 93681),
(149956, 'PTHR24070:SF407', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93682),
(149957, 'PTHR22945:SF22', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 93683),
(149958, 'PTHR10496:SF12', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', 93684),
(149959, 'PTHR13140:SF730', NULL, NULL, NULL, NULL, 'MYOSIN XVI', 93685),
(149960, 'PTHR12411:SF765', NULL, NULL, NULL, NULL, 'BNAA08G02620D PROTEIN', 93686),
(149961, 'PTHR34271:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR HISTONE METHYLTRANSFERASE-RELATED PROTEIN', 93687),
(149962, 'PTHR45644:SF19', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 1-B-LIKE', 93688),
(149963, 'PTHR14381:SF1', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 4', 93689),
(149964, 'PTHR37173:SF1', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 93690),
(149965, 'PTHR32212:SF248', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX', 93691),
(149966, 'PTHR24343:SF432', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE YPL150W-RELATED', 93692),
(149967, 'PTHR20899:SF1', NULL, NULL, NULL, NULL, 'GEO10781P1', 93693),
(149968, 'PTHR19836:SF28', NULL, NULL, NULL, NULL, 'BNAA04G20220D PROTEIN', 93694),
(149969, 'PTHR24061:SF508', NULL, NULL, NULL, NULL, 'VOMERONASAL 2 RECEPTOR, X1', 93695),
(149970, 'PTHR20952:SF0', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE 6 INTERACTING PROTEIN', 93696),
(149971, 'PTHR11183:SF118', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 1', 93697),
(149972, 'PTHR12956:SF68', NULL, NULL, NULL, NULL, 'BNAA02G24370D PROTEIN', 93698);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(149973, 'PTHR10369:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93699),
(149974, 'PTHR23348:SF16', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN', 93700),
(149975, 'PTHR48053:SF26', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 93701),
(149976, 'PTHR45613:SF441', NULL, NULL, NULL, NULL, 'OS02G0226900 PROTEIN', 93702),
(149977, 'PTHR11771:SF127', NULL, NULL, NULL, NULL, 'LIPOXYGENASE 7, CHLOROPLASTIC', 93703),
(149978, 'PTHR10108:SF1084', NULL, NULL, NULL, NULL, 'PMT16, PUTATIVE-RELATED', 93704),
(149979, 'PTHR11559:SF174', NULL, NULL, NULL, NULL, 'PYRETHROID HYDROLASE CES2A', 93705),
(149980, 'PTHR47965:SF49', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 93706),
(149981, 'PTHR31374:SF52', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN-RELATED-LIKE PROTEIN', 93707),
(149982, 'PTHR46277:SF13', NULL, NULL, NULL, NULL, 'SEMIALDEHYDE DEHYDROGENASE, PUTATIVE-RELATED', 93708),
(149983, 'PTHR34777:SF3', NULL, NULL, NULL, NULL, 'OS06G0530600 PROTEIN', 93709),
(149984, 'PTHR43208:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', 93710),
(149985, 'PTHR47979:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93711),
(149986, 'PTHR46348:SF1', NULL, NULL, NULL, NULL, 'DELETED IN LUNG AND ESOPHAGEAL CANCER PROTEIN 1', 93712),
(149987, 'PTHR46007:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 12', 93713),
(149988, 'PTHR46144:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER MATRIN-TYPE PROTEIN 4', 93714),
(149989, 'PTHR33077:SF46', NULL, NULL, NULL, NULL, 'JASMONATE ZIM-DOMAIN PROTEIN', 93715),
(149990, 'PTHR13345', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 10', 93716),
(149991, 'PTHR46667:SF7', NULL, NULL, NULL, NULL, 'BNAC09G21060D PROTEIN', 93717),
(149992, 'PTHR10265:SF45', NULL, NULL, NULL, NULL, 'DACAPO', 93718),
(149993, 'PTHR46183', NULL, NULL, NULL, NULL, 'PROTEIN CLMP1', 93719),
(149994, 'PTHR48013:SF4', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE MEK-1', 93720),
(149995, 'PTHR32089:SF94', NULL, NULL, NULL, NULL, 'CHEMOTAXIS SIGNAL TRANSDUCTION SYSTEM METHYL ACCEPTING SENSORY TRANSDUCER WITH PAS SENSORY DOMAIN', 93721),
(149996, 'PTHR44006:SF1', NULL, NULL, NULL, NULL, 'U5 SMALL NUCLEAR RIBONUCLEOPROTEIN 40 KDA PROTEIN', 93722),
(149997, 'PTHR10177:SF198', NULL, NULL, NULL, NULL, 'CYCLIN B', 93723),
(149998, 'PTHR24298:SF603', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A26', 93724),
(149999, 'PTHR24349:SF357', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 4', 93725),
(150000, 'PTHR16296:SF3', NULL, NULL, NULL, NULL, 'COMPLEX I ASSEMBLY FACTOR TMEM126B, MITOCHONDRIAL', 93726),
(150001, 'PTHR43018:SF1', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', 93727),
(150002, 'PTHR11489:SF26', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA-1', 93728),
(150003, 'PTHR31677', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', 93729),
(150004, 'PTHR37481', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE EXPORT SYSTEM PROTEIN LPTC', 93730),
(150005, 'PTHR33179:SF64', NULL, NULL, NULL, NULL, 'OS11G0131100 PROTEIN', 93731),
(150006, 'PTHR23024:SF533', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93732),
(150007, 'PTHR23170:SF2', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 83 KDA', 93733),
(150008, 'PTHR11604:SF2', NULL, NULL, NULL, NULL, 'PROFILIN-4', 93734),
(150009, 'PTHR23086:SF127', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', 93735),
(150010, 'PTHR13041:SF3', NULL, NULL, NULL, NULL, 'PROTEIN JTB', 93736),
(150011, 'PTHR31447:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93737),
(150012, 'PTHR24296:SF146', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', 93738),
(150013, 'PTHR31042:SF87', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 93739),
(150014, 'PTHR42733:SF4', NULL, NULL, NULL, NULL, 'PROTEINASE', 93740),
(150015, 'PTHR37849:SF1', NULL, NULL, NULL, NULL, 'YALI0E11605P', 93741),
(150016, 'PTHR27005:SF363', NULL, NULL, NULL, NULL, 'OS10G0141300 PROTEIN', 93742);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(150017, 'PTHR31350:SF23', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE', 93743),
(150018, 'PTHR10965', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L38', 93744),
(150019, 'PTHR23255:SF71', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN SERINE/THREONINE KINASE', 93745),
(150020, 'PTHR24286:SF256', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 93746),
(150021, 'PTHR15193', NULL, NULL, NULL, NULL, 'CD83 ANTIGEN', 93747),
(150022, 'PTHR45964:SF2', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN 1', 93748),
(150023, 'PTHR46495:SF2', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 18', 93749),
(150024, 'PTHR48011:SF8', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE', 93750),
(150025, 'PTHR46758', NULL, NULL, NULL, NULL, 'MYND DOMAIN-CONTAINING', 93751),
(150026, 'PTHR11941:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93752),
(150027, 'PTHR46652:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 9', 93753),
(150028, 'PTHR48004:SF23', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 93754),
(150029, 'PTHR10921:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR DISTRIBUTION PROTEIN NUDE-LIKE 1', 93755),
(150030, 'PTHR43829:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93756),
(150031, 'PTHR11092:SF0', NULL, NULL, NULL, NULL, 'EPIMERASE FAMILY PROTEIN SDR39U1', 93757),
(150032, 'PTHR48049:SF15', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 93758),
(150033, 'PTHR47032:SF1', NULL, NULL, NULL, NULL, 'UDP-D-XYLOSE:L-FUCOSE ALPHA-1,3-D-XYLOSYLTRANSFERASE-RELATED', 93759),
(150034, 'PTHR11877:SF53', NULL, NULL, NULL, NULL, 'TYPE III POLYKETIDE SYNTHASE C', 93760),
(150035, 'PTHR33426:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93761),
(150036, 'PTHR45757:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG03300', 93762),
(150037, 'PTHR33159', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', 93763),
(150038, 'PTHR23213:SF365', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 93764),
(150039, 'PTHR31169:SF26', NULL, NULL, NULL, NULL, 'BNAC06G12650D PROTEIN', 93765),
(150040, 'PTHR45875:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93766),
(150041, 'PTHR33646:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93767),
(150042, 'PTHR16501:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION FACTOR', 93768),
(150043, 'PTHR11538:SF89', NULL, NULL, NULL, NULL, 'BNAA01G35280D PROTEIN', 93769),
(150044, 'PTHR11449:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93770),
(150045, 'PTHR33543:SF27', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 4B', 93771),
(150046, 'PTHR11774:SF13', NULL, NULL, NULL, NULL, 'GERANYLGERANYL TRANSFERASE TYPE-2 SUBUNIT BETA', 93772),
(150047, 'PTHR24240:SF58', NULL, NULL, NULL, NULL, 'OPSIN RH5', 93773),
(150048, 'PTHR11374:SF53', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE 1', 93774),
(150049, 'PTHR23257:SF851', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93775),
(150050, 'PTHR11926:SF1347', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 93776),
(150051, 'PTHR11958:SF46', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT EXCITATORY AMINO ACID TRANSPORTER GLT-3-RELATED', 93777),
(150052, 'PTHR43081', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE, TERMINAL-DIFFERENTIATION SPECIFIC-RELATED', 93778),
(150053, 'PTHR11236:SF18', NULL, NULL, NULL, NULL, 'AMINODEOXYCHORISMATE SYNTHASE', 93779),
(150054, 'PTHR33133:SF32', NULL, NULL, NULL, NULL, 'CYTOSOLIC FE-S CLUSTER ASSEMBLY FACTOR NBP35', 93780),
(150055, 'PTHR13140:SF745', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-VI', 93781),
(150056, 'PTHR23138:SF150', NULL, NULL, NULL, NULL, 'BNAC05G04930D PROTEIN', 93782),
(150057, 'PTHR43289:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93783),
(150058, 'PTHR23201:SF102', NULL, NULL, NULL, NULL, 'BNAC02G23510D PROTEIN', 93784),
(150059, 'PTHR31104:SF19', NULL, NULL, NULL, NULL, 'AMIDASE A, PUTATIVE-RELATED', 93785),
(150060, 'PTHR47956:SF70', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B21', 93786),
(150061, 'PTHR31673:SF36', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 93787); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(150062, 'PTHR10528', NULL, NULL, NULL, NULL, 'AF4/FMR2 FAMILY MEMBER', 93788),
(150063, 'PTHR46048', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLIC ACID RECEPTOR 2', 93789),
(150064, 'PTHR43326:SF1', NULL, NULL, NULL, NULL, 'METHIONINE--TRNA LIGASE, MITOCHONDRIAL', 93790),
(150065, 'PTHR47969:SF5', NULL, NULL, NULL, NULL, 'KINESIN MOTOR DOMAIN-CONTAINING PROTEIN-RELATED', 93791),
(150066, 'PTHR11615:SF298', NULL, NULL, NULL, NULL, 'FE-HYDROGENASE-1', 93792),
(150067, 'PTHR12629:SF63', NULL, NULL, NULL, NULL, 'OS03G0810300 PROTEIN', 93793),
(150068, 'PTHR46996:SF8', NULL, NULL, NULL, NULL, 'BNAA05G34040D PROTEIN', 93794),
(150069, 'PTHR33102:SF34', NULL, NULL, NULL, NULL, 'OS01G0178850 PROTEIN', 93795),
(150070, 'PTHR19143:SF370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93796),
(150071, 'PTHR18034:SF9', NULL, NULL, NULL, NULL, 'BNAC02G25940D PROTEIN', 93797),
(150072, 'PTHR22100:SF14', NULL, NULL, NULL, NULL, 'BNAC08G42210D PROTEIN', 93798),
(150073, 'PTHR33155', NULL, NULL, NULL, NULL, 'FANTASTIC FOUR-LIKE PROTEIN (DUF3049)', 93799),
(150074, 'PTHR10344', NULL, NULL, NULL, NULL, 'THYMIDYLATE KINASE', 93800),
(150075, 'PTHR36878', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 30', 93801),
(150076, 'PTHR36481:SF1', NULL, NULL, NULL, NULL, 'OS09G0535400 PROTEIN', 93802),
(150077, 'PTHR10766:SF55', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 93803),
(150078, 'PTHR47990:SF166', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE-RELATED', 93804),
(150079, 'PTHR45710:SF17', NULL, NULL, NULL, NULL, 'SI:CH211-170D8.8', 93805),
(150080, 'PTHR11567:SF190', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 5-RELATED', 93806),
(150081, 'PTHR11475:SF126', NULL, NULL, NULL, NULL, 'PROTEIN CBG17660', 93807),
(150082, 'PTHR36318:SF3', NULL, NULL, NULL, NULL, 'OS06G0581300 PROTEIN', 93808),
(150083, 'PTHR21646:SF28', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 15', 93809),
(150084, 'PTHR42718:SF24', NULL, NULL, NULL, NULL, 'LMO1617 PROTEIN', 93810),
(150085, 'PTHR23171:SF5', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT GRINL1A-RELATED', 93811),
(150086, 'PTHR46121:SF3', NULL, NULL, NULL, NULL, 'STEROIDOGENIC ACUTE REGULATORY-LIKE PROTEIN 1', 93812),
(150087, 'PTHR47305:SF1', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 2', 93813),
(150088, 'PTHR47417', NULL, NULL, NULL, NULL, 'SMR DOMAIN-CONTAINING PROTEIN YPL199C', 93814),
(150089, 'PTHR10909:SF382', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 93815),
(150090, 'PTHR31871:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93816),
(150091, 'PTHR33356:SF15', NULL, NULL, NULL, NULL, 'BNAC04G05510D PROTEIN', 93817),
(150092, 'PTHR15710:SF59', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SDIR1-LIKE', 93818),
(150093, 'PTHR13501:SF8', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L22, MITOCHONDRIAL', 93819),
(150094, 'PTHR24214:SF54', NULL, NULL, NULL, NULL, 'AGAP005807-PA', 93820),
(150095, 'PTHR12875:SF0', NULL, NULL, NULL, NULL, 'GOLGI TO ER TRAFFIC PROTEIN 4 HOMOLOG', 93821),
(150096, 'PTHR23502:SF132', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER 2-RELATED', 93822),
(150097, 'PTHR46539:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93823),
(150098, 'PTHR10201:SF267', NULL, NULL, NULL, NULL, 'MACROPHAGE METALLOELASTASE', 93824),
(150099, 'PTHR46477:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 93825),
(150100, 'PTHR20889:SF18', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE', 93826),
(150101, 'PTHR32285:SF156', NULL, NULL, NULL, NULL, 'OS06G0234800 PROTEIN', 93827),
(150102, 'PTHR31851:SF57', NULL, NULL, NULL, NULL, 'BNAA03G48860D PROTEIN', 93828),
(150103, 'PTHR11937:SF413', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93829),
(150104, 'PTHR10822:SF24', NULL, NULL, NULL, NULL, 'GLYPICAN-2', 93830),
(150105, 'PTHR31829:SF4', NULL, NULL, NULL, NULL, 'PYRIDOXAL 5''-PHOSPHATE SYNTHASE SUBUNIT PDX1.1', 93831),
(150106, 'PTHR22883:SF238', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 93832),
(150107, 'PTHR46387:SF22', NULL, NULL, NULL, NULL, 'RNASE H DOMAIN-CONTAINING PROTEIN', 93833);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(150108, 'PTHR13715:SF75', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 2', 93834),
(150109, 'PTHR31190:SF146', NULL, NULL, NULL, NULL, 'OS02G0654700 PROTEIN', 93835),
(150110, 'PTHR43222:SF2', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 23, CHLOROPLASTIC', 93836),
(150111, 'PTHR31089:SF21', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 5', 93837),
(150112, 'PTHR46268:SF10', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN SAOUHSC_01819-RELATED', 93838),
(150113, 'PTHR24333:SF5', NULL, NULL, NULL, NULL, 'HOMEO BOX HB9 LIKE A-RELATED', 93839),
(150114, 'PTHR31675:SF40', NULL, NULL, NULL, NULL, 'YABBY PROTEIN-RELATED', 93840),
(150115, 'PTHR31388:SF185', NULL, NULL, NULL, NULL, 'PEROXIDASE', 93841),
(150116, 'PTHR24055:SF432', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 93842),
(150117, 'PTHR37820:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DIVIB', 93843),
(150118, 'PTHR46699:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STN7, CHLOROPLASTIC', 93844),
(150119, 'PTHR12629:SF66', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 13, MITOCHONDRIAL', 93845),
(150120, 'PTHR16757', NULL, NULL, NULL, NULL, 'DENDRIN', 93846),
(150121, 'PTHR23343:SF4', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA SPERM-BINDING PROTEIN 2', 93847),
(150122, 'PTHR24376:SF104', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 52', 93848),
(150123, 'PTHR37189:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93849),
(150124, 'PTHR31080:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93850),
(150125, 'PTHR28003:SF1', NULL, NULL, NULL, NULL, 'NUCLEOPORIN POM34', 93851),
(150126, 'PTHR31004', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 79', 93852),
(150127, 'PTHR38075:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93853),
(150128, 'PTHR45884:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE ESCO1', 93854),
(150129, 'PTHR23226:SF191', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 780B', 93855),
(150130, 'PTHR14614:SF135', NULL, NULL, NULL, NULL, 'BNAA03G56760D PROTEIN', 93856),
(150131, 'PTHR11860:SF54', NULL, NULL, NULL, NULL, 'TRIGGERING RECEPTOR EXPRESSED ON MYELOID CELLS 2', 93857),
(150132, 'PTHR16489:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 15A', 93858),
(150133, 'PTHR27002:SF420', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10 ISOFORM X1', 93859),
(150134, 'PTHR13318:SF96', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN EEED8.10-RELATED', 93860),
(150135, 'PTHR12630:SF20', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C SUBSTRATE 80K-H', 93861),
(150136, 'PTHR31444:SF34', NULL, NULL, NULL, NULL, 'GLUCURONOXYLAN 4-O-METHYLTRANSFERASE-LIKE PROTEIN (DUF579)', 93862),
(150137, 'PTHR23430:SF209', NULL, NULL, NULL, NULL, 'HISTONE H2A', 93863),
(150138, 'PTHR45184', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN ERDJ3A', 93864),
(150139, 'PTHR10900:SF112', NULL, NULL, NULL, NULL, 'PERIOSTIN, OSTEOBLAST-SPECIFIC FACTOR A', 93865),
(150140, 'PTHR12587:SF18', NULL, NULL, NULL, NULL, 'LIPRIN-BETA-2', 93866),
(150141, 'PTHR14089:SF10', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN NAB6', 93867),
(150142, 'PTHR24247:SF131', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', 93868),
(150143, 'PTHR43490:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93869),
(150144, 'PTHR32060', NULL, NULL, NULL, NULL, 'TAIL-SPECIFIC PROTEASE', 93870),
(150145, 'PTHR30037:SF4', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE I', 93871),
(150146, 'PTHR10972:SF103', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 2', 93872),
(150147, 'PTHR15503:SF2', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG-LIKE PROTEIN 5', 93873),
(150148, 'PTHR35301:SF1', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 41-RELATED', 93874),
(150149, 'PTHR14958', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL TETRAMERISATION DOMAIN CONTAINING PROTEIN', 93875),
(150150, 'PTHR13140:SF795', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93876),
(150151, 'PTHR42972:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93877),
(150152, 'PTHR31451:SF45', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 2', 93878);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(150153, 'PTHR47985:SF24', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 93879),
(150154, 'PTHR19317:SF64', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 93880),
(150155, 'PTHR12888:SF0', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY PROTEIN 12', 93881),
(150156, 'PTHR24281:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93882),
(150157, 'PTHR45842:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT, IMMUNOGLOBULIN-LIKE DOMAIN AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 3', 93883),
(150158, 'PTHR36805', NULL, NULL, NULL, NULL, 'AGENET DOMAIN-CONTAINING PROTEIN', 93884),
(150159, 'PTHR24291:SF5', NULL, NULL, NULL, NULL, '1,25-DIHYDROXYVITAMIN D(3) 24-HYDROXYLASE, MITOCHONDRIAL', 93885),
(150160, 'PTHR10845:SF246', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN-SIGNALING 5B', 93886),
(150161, 'PTHR24115:SF853', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 93887),
(150162, 'PTHR26451:SF860', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', 93888),
(150163, 'PTHR31889:SF64', NULL, NULL, NULL, NULL, '2-ALPHA-L-FUCOSYLTRANSFERASE, PUTATIVE-RELATED', 93889),
(150164, 'PTHR23310:SF105', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 3', 93890),
(150165, 'PTHR20934:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', 93891),
(150166, 'PTHR42775:SF2', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', 93892),
(150167, 'PTHR12080:SF47', NULL, NULL, NULL, NULL, 'CD48 ANTIGEN', 93893),
(150168, 'PTHR24068:SF310', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 28-LIKE', 93894),
(150169, 'PTHR23013:SF32', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 93895),
(150170, 'PTHR23072', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL GLYCAN-RELATED', 93896),
(150171, 'PTHR46368:SF7', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', 93897),
(150172, 'PTHR33238', NULL, NULL, NULL, NULL, 'IRON (METAL) DEPENDENT REPRESSOR, DTXR FAMILY', 93898),
(150173, 'PTHR11594:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', 93899),
(150174, 'PTHR11346:SF98', NULL, NULL, NULL, NULL, 'GALECTIN-RELATED PROTEIN', 93900),
(150175, 'PTHR31218:SF179', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 93901),
(150176, 'PTHR24291:SF152', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4A12A-RELATED', 93902),
(150177, 'PTHR12329:SF10', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 4', 93903),
(150178, 'PTHR14791:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93904),
(150179, 'PTHR33076:SF105', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 93905),
(150180, 'PTHR31313:SF74', NULL, NULL, NULL, NULL, 'NITROGEN ASSIMILATION TRANSCRIPTION FACTOR NIRA', 93906),
(150181, 'PTHR15628:SF1', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN 3', 93907),
(150182, 'PTHR13586:SF18', NULL, NULL, NULL, NULL, 'DECAPPING 5-LIKE PROTEIN-RELATED', 93908),
(150183, 'PTHR34145', NULL, NULL, NULL, NULL, 'OS02G0105600 PROTEIN', 93909),
(150184, 'PTHR31225:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93910),
(150185, 'PTHR22780:SF28', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA-LIKE 2', 93911),
(150186, 'PTHR43337:SF16', NULL, NULL, NULL, NULL, 'AZA-GUANINE RESISTANT1-RELATED', 93912),
(150187, 'PTHR35632:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93913),
(150188, 'PTHR11783:SF262', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 93914),
(150189, 'PTHR31734:SF110', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 93915),
(150190, 'PTHR37562', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 93916),
(150191, 'PTHR24349:SF380', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93917),
(150192, 'PTHR15863', NULL, NULL, NULL, NULL, 'MRN COMPLEX-INTERACTING PROTEIN', 93918),
(150193, 'PTHR10252:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93919),
(150194, 'PTHR47928:SF4', NULL, NULL, NULL, NULL, 'OSJNBA0060P14.4 PROTEIN', 93920),
(150195, 'PTHR24305:SF152', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 93921),
(150196, 'PTHR47972:SF24', NULL, NULL, NULL, NULL, 'P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', 93922);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(150197, 'PTHR23500:SF465', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', 93923),
(150198, 'PTHR31992:SF167', NULL, NULL, NULL, NULL, 'BNAA08G29080D PROTEIN', 93924),
(150199, 'PTHR12599:SF8', NULL, NULL, NULL, NULL, 'PTERIN-4-ALPHA-CARBINOLAMINE DEHYDRATASE, CHLOROPLASTIC-RELATED', 93925),
(150200, 'PTHR11736:SF61', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN F1', 93926),
(150201, 'PTHR34491:SF31', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', 93927),
(150202, 'PTHR32208:SF65', NULL, NULL, NULL, NULL, 'GLYOXAL OXIDASE AMINO-TERMINAL PROTEIN', 93928),
(150203, 'PTHR47851:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93929),
(150204, 'PTHR37433:SF4', NULL, NULL, NULL, NULL, 'LU (LY6 UROKINASE PLASMINOGEN) DOMAIN RECEPTOR-RELATED PROTEIN', 93930),
(150205, 'PTHR12081:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93931),
(150206, 'PTHR45811:SF65', NULL, NULL, NULL, NULL, 'BNAA05G31400D PROTEIN', 93932),
(150207, 'PTHR45663:SF31', NULL, NULL, NULL, NULL, 'THIOREDOXIN 2', 93933),
(150208, 'PTHR43377:SF8', NULL, NULL, NULL, NULL, 'BLR3664 PROTEIN', 93934),
(150209, 'PTHR45724:SF44', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', 93935),
(150210, 'PTHR46786', NULL, NULL, NULL, NULL, 'ZINC FINGER MATRIN-TYPE PROTEIN 3', 93936),
(150211, 'PTHR14154:SF83', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN U', 93937),
(150212, 'PTHR45926:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE1-LIKE ISOFORM X1', 93938),
(150213, 'PTHR46151:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93939),
(150214, 'PTHR22835:SF226', NULL, NULL, NULL, NULL, 'OS07G0586100 PROTEIN', 93940),
(150215, 'PTHR11088:SF59', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE', 93941),
(150216, 'PTHR21646:SF51', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 22', 93942),
(150217, 'PTHR30068', NULL, NULL, NULL, NULL, 'URONATE ISOMERASE', 93943),
(150218, 'PTHR21646:SF72', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 93944),
(150219, 'PTHR15606', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 8/LIPOPOLYSACCHARIDE SPECIFIC RESPONSE-7-RELATED', 93945),
(150220, 'PTHR32093:SF140', NULL, NULL, NULL, NULL, 'BNAA05G16890D PROTEIN', 93946),
(150221, 'PTHR31517:SF59', NULL, NULL, NULL, NULL, 'PEROXIDASE', 93947),
(150222, 'PTHR46224:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93948),
(150223, 'PTHR22811:SF156', NULL, NULL, NULL, NULL, 'VESICLE MEMBRANE PROTEIN, PUTATIVE-RELATED', 93949),
(150224, 'PTHR31279:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93950),
(150225, 'PTHR43384:SF12', NULL, NULL, NULL, NULL, 'CELLULOSE BIOSYNTHESIS PROTEIN BCSQ-RELATED', 93951),
(150226, 'PTHR43490:SF94', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 93952),
(150227, 'PTHR11080:SF2', NULL, NULL, NULL, NULL, 'LD05707P', 93953),
(150228, 'PTHR45933:SF20', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATING PROTEIN 1-LIKE ISOFORM X1', 93954),
(150229, 'PTHR34702:SF1', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT F1', 93955),
(150230, 'PTHR27005:SF168', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2', 93956),
(150231, 'PTHR45793:SF5', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN OCELLILESS', 93957),
(150232, 'PTHR13683:SF685', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 93958),
(150233, 'PTHR46128:SF156', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 93959),
(150234, 'PTHR45658:SF64', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 93960),
(150235, 'PTHR43738:SF1', NULL, NULL, NULL, NULL, 'HEMIN TRANSPORT SYSTEM PERMEASE PROTEIN HRTB-RELATED', 93961),
(150236, 'PTHR10070:SF2', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN J CHAIN', 93962),
(150237, 'PTHR13986', NULL, NULL, NULL, NULL, 'PROTEIN LYSINE HYDROXYLATION COMPLEX COMPONENT', 93963),
(150238, 'PTHR10430', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN', 93964),
(150239, 'PTHR23025:SF1', NULL, NULL, NULL, NULL, 'LIPASE, HORMONE-SENSITIVE B', 93965),
(150240, 'PTHR12335', NULL, NULL, NULL, NULL, 'TIPE PROTEIN  TEMPERATURE-INDUCED PARALYTIC E', 93966);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(150241, 'PTHR33402:SF19', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 11', 93967),
(150242, 'PTHR45645:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93968),
(150243, 'PTHR32057', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE SELO, MITOCHONDRIAL', 93969),
(150244, 'PTHR23172:SF80', NULL, NULL, NULL, NULL, 'BNACNNG69510D PROTEIN', 93970),
(150245, 'PTHR15296', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEIN MAP17', 93971),
(150246, 'PTHR28051:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MTL1-RELATED', 93972),
(150247, 'PTHR48106:SF13', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE-RELATED', 93973),
(150248, 'PTHR10412:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG10878', 93974),
(150249, 'PTHR11468:SF26', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE, LIVER FORM', 93975),
(150250, 'PTHR24377:SF688', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN INTERACTING WITH RIBONUCLEOPROTEIN K', 93976),
(150251, 'PTHR24056:SF382', NULL, NULL, NULL, NULL, 'F21B7.34', 93977),
(150252, 'PTHR11088:SF68', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE 5, CHLOROPLASTIC-LIKE', 93978),
(150253, 'PTHR21569:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93979),
(150254, 'PTHR23160:SF19', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED PROTEIN', 93980),
(150255, 'PTHR26450:SF110', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 93981),
(150256, 'PTHR10489:SF938', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 93982),
(150257, 'PTHR19211:SF107', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER F FAMILY MEMBER 5', 93983),
(150258, 'PTHR30561:SF1', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER EMRE', 93984),
(150259, 'PTHR23226:SF187', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 322', 93985),
(150260, 'PTHR46604', NULL, NULL, NULL, NULL, 'PROTEIN MID1-COMPLEMENTING ACTIVITY 1', 93986),
(150261, 'PTHR24073:SF653', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-43', 93987),
(150262, 'PTHR24390:SF89', NULL, NULL, NULL, NULL, 'PLEIOMORPHIC ADENOMA GENE-LIKE 1', 93988),
(150263, 'PTHR10664:SF22', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS BC (CLASS B-LIKE)', 93989),
(150264, 'PTHR12611:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN PUR-ALPHA', 93990),
(150265, 'PTHR22115:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 50', 93991),
(150266, 'PTHR33782:SF5', NULL, NULL, NULL, NULL, 'OS01G0121600 PROTEIN', 93992),
(150267, 'PTHR37716', NULL, NULL, NULL, NULL, 'OS07G0568900 PROTEIN', 93993),
(150268, 'PTHR46695:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 44', 93994),
(150269, 'PTHR33304:SF17', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 93995),
(150270, 'PTHR38439:SF2', NULL, NULL, NULL, NULL, 'AZURIN', 93996),
(150271, 'PTHR12941:SF14', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 8/9 HOMOLOG', 93997),
(150272, 'PTHR22754', NULL, NULL, NULL, NULL, 'DISCO-INTERACTING PROTEIN 2  DIP2 -RELATED', 93998),
(150273, 'PTHR33433:SF14', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1', 93999),
(150274, 'PTHR10644', NULL, NULL, NULL, NULL, 'DNA REPAIR/RNA PROCESSING CPSF FAMILY', 94000),
(150275, 'PTHR10339:SF25', NULL, NULL, NULL, NULL, 'NAD(P)(+)--ARGININE ADP-RIBOSYLTRANSFERASE', 94001),
(150276, 'PTHR33272:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04677', 94002),
(150277, 'PTHR13675', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 2', 94003),
(150278, 'PTHR31137:SF8', NULL, NULL, NULL, NULL, 'PROTEIN PSIB-RELATED', 94004),
(150279, 'PTHR47111', NULL, NULL, NULL, NULL, 'BCDNA.LD29892', 94005),
(150280, 'PTHR12203:SF61', NULL, NULL, NULL, NULL, 'CAPSULE PROTEIN', 94006),
(150281, 'PTHR26451:SF109', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', 94007),
(150282, 'PTHR15422:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94008),
(150283, 'PTHR46643', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GOOSECOID-RELATED', 94009),
(150284, 'PTHR46565:SF11', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING PROTEIN 4', 94010),
(150285, 'PTHR34116:SF9', NULL, NULL, NULL, NULL, 'OS08G0346600 PROTEIN', 94011);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(150286, 'PTHR33596:SF1', NULL, NULL, NULL, NULL, 'COLD-REGULATED 413 PLASMA MEMBRANE PROTEIN 2', 94012),
(150287, 'PTHR22762:SF145', NULL, NULL, NULL, NULL, 'ACID ALPHA GLUCOSIDASE RELATE', 94013),
(150288, 'PTHR11587:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94014),
(150289, 'PTHR42784:SF1', NULL, NULL, NULL, NULL, 'PYRANOSE 2-OXIDASE', 94015),
(150290, 'PTHR43670:SF26', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN', 94016),
(150291, 'PTHR48005:SF26', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE TMK2', 94017),
(150292, 'PTHR31238:SF223', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 94018),
(150293, 'PTHR10285:SF146', NULL, NULL, NULL, NULL, 'NICOTINAMIDE RIBOSIDE KINASE 1', 94019),
(150294, 'PTHR31120', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TIKI', 94020),
(150295, 'PTHR46043:SF7', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 94021),
(150296, 'PTHR18945:SF425', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', 94022),
(150297, 'PTHR31404:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GENOME MAINTENANCE PROTEIN MGM101', 94023),
(150298, 'PTHR34998:SF9', NULL, NULL, NULL, NULL, 'OSJNBA0072D21.16 PROTEIN', 94024),
(150299, 'PTHR22950:SF192', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 7-RELATED', 94025),
(150300, 'PTHR10774', NULL, NULL, NULL, NULL, 'EXTENDED SYNAPTOTAGMIN-RELATED', 94026),
(150301, 'PTHR28629:SF3', NULL, NULL, NULL, NULL, 'DIHYDROXYACETONE KINASE 1', 94027),
(150302, 'PTHR24213', NULL, NULL, NULL, NULL, 'ACTIN-BINDING LIM PROTEIN', 94028),
(150303, 'PTHR48019:SF41', NULL, NULL, NULL, NULL, 'BNAC04G24260D PROTEIN', 94029),
(150304, 'PTHR47975:SF1', NULL, NULL, NULL, NULL, 'OS11G0212300 PROTEIN', 94030),
(150305, 'PTHR47992:SF77', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 63-RELATED', 94031),
(150306, 'PTHR47970:SF12', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF11', 94032),
(150307, 'PTHR48043:SF76', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 94033),
(150308, 'PTHR11705:SF59', NULL, NULL, NULL, NULL, 'PROTEIN CBG20482', 94034),
(150309, 'PTHR33257:SF41', NULL, NULL, NULL, NULL, 'OS07G0230600 PROTEIN', 94035),
(150310, 'PTHR43900:SF67', NULL, NULL, NULL, NULL, 'BNAA09G00850D PROTEIN', 94036),
(150311, 'PTHR24393:SF15', NULL, NULL, NULL, NULL, 'PROTEIN HUNCHBACK', 94037),
(150312, 'PTHR47925:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94038),
(150313, 'PTHR14218:SF19', NULL, NULL, NULL, NULL, 'SERINE PROTEASE AORO, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G10250)-RELATED', 94039),
(150314, 'PTHR33132:SF79', NULL, NULL, NULL, NULL, 'BNAA05G14930D PROTEIN', 94040),
(150315, 'PTHR46361:SF1', NULL, NULL, NULL, NULL, 'F26K24.21 PROTEIN', 94041),
(150316, 'PTHR23167:SF46', NULL, NULL, NULL, NULL, 'CALPONIN HOMOLOGY DOMAIN-CONTAINING PROTEIN DDB_G0272472', 94042),
(150317, 'PTHR46250:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94043),
(150318, 'PTHR31251:SF128', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 17', 94044),
(150319, 'PTHR11863:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94045),
(150320, 'PTHR11480:SF3', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', 94046),
(150321, 'PTHR10795:SF377', NULL, NULL, NULL, NULL, 'OS09G0530800 PROTEIN', 94047),
(150322, 'PTHR24355:SF17', NULL, NULL, NULL, NULL, 'BETA-ADRENERGIC RECEPTOR KINASE 2', 94048),
(150323, 'PTHR45089:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94049),
(150324, 'PTHR32285:SF219', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 24', 94050),
(150325, 'PTHR33547', NULL, NULL, NULL, NULL, 'ZGC:174862', 94051),
(150326, 'PTHR11471:SF54', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER', 94052),
(150327, 'PTHR37079:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATM', 94053),
(150328, 'PTHR16955', NULL, NULL, NULL, NULL, 'METASTASIS-SUPPRESSOR KISS-1', 94054),
(150329, 'PTHR13538', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 6', 94055),
(150330, 'PTHR26379:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94056),
(150331, 'PTHR12953:SF3', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 5', 94057);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(150332, 'PTHR22801:SF58', NULL, NULL, NULL, NULL, '27 KDA PRIMARY MESENCHYME-SPECIFIC SPICULE PROTEIN', 94058),
(150333, 'PTHR12101:SF17', NULL, NULL, NULL, NULL, 'BLOOD VESSEL EPICARDIAL SUBSTANCE', 94059),
(150334, 'PTHR33177:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94060),
(150335, 'PTHR43752:SF3', NULL, NULL, NULL, NULL, 'BNR/ASP-BOX REPEAT FAMILY PROTEIN', 94061),
(150336, 'PTHR12984:SF16', NULL, NULL, NULL, NULL, 'BLACK MATCH, ISOFORM F', 94062),
(150337, 'PTHR21500:SF0', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE A', 94063),
(150338, 'PTHR24242:SF126', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9A1-RELATED', 94064),
(150339, 'PTHR31851:SF39', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER-LIKE PROTEIN 4', 94065),
(150340, 'PTHR33095:SF71', NULL, NULL, NULL, NULL, 'BNAC05G50840D PROTEIN', 94066),
(150341, 'PTHR45134:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94067),
(150342, 'PTHR31475:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94068),
(150343, 'PTHR14226:SF65', NULL, NULL, NULL, NULL, 'PATATIN', 94069),
(150344, 'PTHR21021:SF17', NULL, NULL, NULL, NULL, 'TIP41-LIKE PROTEIN ISOFORM X1', 94070),
(150345, 'PTHR43481:SF4', NULL, NULL, NULL, NULL, '2-DEOXYGLUCOSE-6-PHOSPHATE PHOSPHATASE 1-RELATED', 94071),
(150346, 'PTHR33065:SF141', NULL, NULL, NULL, NULL, 'OSJNBA0006M15.13 PROTEIN', 94072),
(150347, 'PTHR43661:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCONATE DEHYDRATASE', 94073),
(150348, 'PTHR10972:SF162', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 3B', 94074),
(150349, 'PTHR45805:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR ROR-BETA', 94075),
(150350, 'PTHR11227:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94076),
(150351, 'PTHR22883:SF322', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 94077),
(150352, 'PTHR27007:SF252', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.5-RELATED', 94078),
(150353, 'PTHR45528:SF1', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE CPXA', 94079),
(150354, 'PTHR20978:SF2', NULL, NULL, NULL, NULL, 'SPLICING FACTOR SUBUNIT', 94080),
(150355, 'PTHR45648:SF110', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 94081),
(150356, 'PTHR45918:SF1', NULL, NULL, NULL, NULL, 'ALPHA-1,3/1,6-MANNOSYLTRANSFERASE ALG2', 94082),
(150357, 'PTHR45676:SF91', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 94083),
(150358, 'PTHR31985:SF115', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', 94084),
(150359, 'PTHR12763:SF49', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM14-2', 94085),
(150360, 'PTHR12080:SF87', NULL, NULL, NULL, NULL, 'T-LYMPHOCYTE SURFACE ANTIGEN LY-9 ISOFORM X9', 94086),
(150361, 'PTHR35037:SF7', NULL, NULL, NULL, NULL, 'AUTOTRANSPORTER PROTEIN-RELATED', 94087),
(150362, 'PTHR12726:SF3', NULL, NULL, NULL, NULL, 'BNAA09G43940D PROTEIN', 94088),
(150363, 'PTHR32522:SF5', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YXDM', 94089),
(150364, 'PTHR13664:SF0', NULL, NULL, NULL, NULL, 'BECLIN 1-ASSOCIATED AUTOPHAGY-RELATED KEY REGULATOR', 94090),
(150365, 'PTHR11097:SF8', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP42', 94091),
(150366, 'PTHR20932:SF36', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-BINDING LYSM DOMAIN-CONTAINING PROTEIN', 94092),
(150367, 'PTHR33962:SF1', NULL, NULL, NULL, NULL, 'RECQ-MEDIATED GENOME INSTABILITY PROTEIN 2', 94093),
(150368, 'PTHR45673:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94094),
(150369, 'PTHR13551:SF1', NULL, NULL, NULL, NULL, 'BRAIN PROTEIN I3', 94095),
(150370, 'PTHR24281:SF24', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D6', 94096),
(150371, 'PTHR24296:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94097),
(150372, 'PTHR31314:SF118', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL7-LIKE', 94098),
(150373, 'PTHR31065:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR FAMILY PROTEIN, PUTATIVE-RELATED', 94099),
(150374, 'PTHR45948:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 22-A', 94100);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(150375, 'PTHR10381:SF26', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT-LIKE-RELATED', 94101),
(150376, 'PTHR24388:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94102),
(150377, 'PTHR23042:SF107', NULL, NULL, NULL, NULL, 'FI10506P-RELATED', 94103),
(150378, 'PTHR24056:SF128', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 17', 94104),
(150379, 'PTHR45981:SF2', NULL, NULL, NULL, NULL, 'MARCH (MEMBRANE-ASSOCIATED RING FINGER (C3HC4)) HOMOLOG', 94105),
(150380, 'PTHR30572:SF7', NULL, NULL, NULL, NULL, 'MACROLIDE EXPORT ATP-BINDING/PERMEASE PROTEIN MACB', 94106),
(150381, 'PTHR31606:SF2', NULL, NULL, NULL, NULL, 'POSTACROSOMAL SHEATH WW DOMAIN-BINDING PROTEIN', 94107),
(150382, 'PTHR43042:SF3', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE K', 94108),
(150383, 'PTHR14110', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM22', 94109),
(150384, 'PTHR31374:SF234', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71', 94110),
(150385, 'PTHR34463', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 94111),
(150386, 'PTHR23267:SF419', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-V REGION MOPC 21-RELATED', 94112),
(150387, 'PTHR28058', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN MRP51, MITOCHONDRIAL', 94113),
(150388, 'PTHR46008:SF16', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.3', 94114),
(150389, 'PTHR24347:SF19', NULL, NULL, NULL, NULL, 'CAM KINASE-LIKE VESICLE-ASSOCIATED, LIKE', 94115),
(150390, 'PTHR14218:SF14', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE 1', 94116),
(150391, 'PTHR15467:SF9', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN 8', 94117),
(150392, 'PTHR37687', NULL, NULL, NULL, NULL, 'AGAP006772-PA', 94118),
(150393, 'PTHR21136:SF203', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN, LONGIN-LIKE DOMAIN PROTEIN-RELATED', 94119),
(150394, 'PTHR24326:SF522', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-52', 94120),
(150395, 'PTHR10628:SF23', NULL, NULL, NULL, NULL, 'SIALIDASE-3', 94121),
(150396, 'PTHR22882', NULL, NULL, NULL, NULL, 'SYNPHILIN-1', 94122),
(150397, 'PTHR24056:SF460', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 94123),
(150398, 'PTHR43270:SF3', NULL, NULL, NULL, NULL, 'PEPTIDASE-RELATED', 94124),
(150399, 'PTHR31009:SF52', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASES SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 94125),
(150400, 'PTHR43507:SF16', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT M', 94126),
(150401, 'PTHR43617:SF19', NULL, NULL, NULL, NULL, 'GCN5-RELATED N-ACETYLTRANSFERASE', 94127),
(150402, 'PTHR42861:SF90', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 94128),
(150403, 'PTHR11022:SF58', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN RECOGNITION PROTEIN 1', 94129),
(150404, 'PTHR14690', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 94130),
(150405, 'PTHR24125:SF5', NULL, NULL, NULL, NULL, 'C2 DOMAIN CONTAINING PROTEIN', 94131),
(150406, 'PTHR22842:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94132),
(150407, 'PTHR45811:SF38', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN PROTEIN', 94133),
(150408, 'PTHR36503:SF3', NULL, NULL, NULL, NULL, 'BLR0126 PROTEIN', 94134),
(150409, 'PTHR40056', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 94135),
(150410, 'PTHR24136:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94136),
(150411, 'PTHR33087:SF30', NULL, NULL, NULL, NULL, 'OS01G0697325 PROTEIN', 94137),
(150412, 'PTHR42978', NULL, NULL, NULL, NULL, 'QUORUM-QUENCHING LACTONASE YTNP-RELATED-RELATED', 94138),
(150413, 'PTHR30204:SF0', NULL, NULL, NULL, NULL, 'REDOX-SENSITIVE TRANSCRIPTIONAL ACTIVATOR SOXR', 94139),
(150414, 'PTHR43585', NULL, NULL, NULL, NULL, 'FUMIPYRROLE BIOSYNTHESIS PROTEIN C', 94140),
(150415, 'PTHR37409:SF5', NULL, NULL, NULL, NULL, 'RIKEN CDNA D130052B06 GENE', 94141),
(150416, 'PTHR11644:SF26', NULL, NULL, NULL, NULL, 'CYTIDINE DEAMINASE', 94142),
(150417, 'PTHR45613:SF125', NULL, NULL, NULL, NULL, 'DEFECTIVE KERNEL35', 94143),
(150418, 'PTHR23272:SF147', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 1-LIKE', 94144);
INSERT INTO "PUBLIC"."MODEL" VALUES
(150419, 'PTHR33681:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94145),
(150420, 'PTHR47069', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 94146),
(150421, 'PTHR13697:SF52', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 1', 94147),
(150422, 'PTHR33377', NULL, NULL, NULL, NULL, 'OS10G0134700 PROTEIN-RELATED', 94148),
(150423, 'PTHR46709', NULL, NULL, NULL, NULL, 'PROTEIN CBG23488-RELATED', 94149),
(150424, 'PTHR37724', NULL, NULL, NULL, NULL, 'OS02G0564300 PROTEIN', 94150),
(150425, 'PTHR24418:SF374', NULL, NULL, NULL, NULL, 'TRK (VERTEBRATE NEUROTROPHIN RECEPTOR TYROSINE KINASE) HOMOLOG', 94151),
(150426, 'PTHR10795:SF679', NULL, NULL, NULL, NULL, 'BNAA02G21970D PROTEIN', 94152),
(150427, 'PTHR11010:SF36', NULL, NULL, NULL, NULL, 'SERINE PROTEASE K12H4.7-RELATED', 94153),
(150428, 'PTHR21179', NULL, NULL, NULL, NULL, 'SERINE-TYPE ENDOPEPTIDASE INHIBITOR', 94154),
(150429, 'PTHR31189:SF55', NULL, NULL, NULL, NULL, 'GLUTELIN TYPE-B 1-RELATED', 94155),
(150430, 'PTHR45851:SF5', NULL, NULL, NULL, NULL, 'PROTEIN L-MYC-RELATED', 94156),
(150431, 'PTHR47128', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 94157),
(150432, 'PTHR39166:SF1', NULL, NULL, NULL, NULL, 'BLL1166 PROTEIN', 94158),
(150433, 'PTHR13683:SF761', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN 2-LIKE', 94159),
(150434, 'PTHR36005:SF1', NULL, NULL, NULL, NULL, 'DNA LIGASE-LIKE PROTEIN', 94160),
(150435, 'PTHR41807', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE 3', 94161),
(150436, 'PTHR10485:SF14', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM17-2', 94162),
(150437, 'PTHR43699', NULL, NULL, NULL, NULL, '3-DEHYDROQUINATE DEHYDRATASE', 94163),
(150438, 'PTHR11599:SF167', NULL, NULL, NULL, NULL, 'PROTEASOME ENDOPEPTIDASE COMPLEX', 94164),
(150439, 'PTHR31719:SF106', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29', 94165),
(150440, 'PTHR33398', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S20', 94166),
(150441, 'PTHR35324:SF8', NULL, NULL, NULL, NULL, 'MRNA, CLONE: LRG11', 94167),
(150442, 'PTHR43658:SF11', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-COA DEHYDROGENASE TYPE-2', 94168),
(150443, 'PTHR11176:SF36', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIF) FAMILY PROTEIN', 94169),
(150444, 'PTHR45959:SF44', NULL, NULL, NULL, NULL, 'BNAA04G13220D PROTEIN', 94170),
(150445, 'PTHR10871:SF8', NULL, NULL, NULL, NULL, 'OS12G0424300 PROTEIN', 94171),
(150446, 'PTHR47982:SF18', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK7', 94172),
(150447, 'PTHR31228:SF33', NULL, NULL, NULL, NULL, 'BNAA05G31020D PROTEIN', 94173),
(150448, 'PTHR31826:SF6', NULL, NULL, NULL, NULL, 'NICALIN-1-LIKE ISOFORM X1', 94174),
(150449, 'PTHR15289', NULL, NULL, NULL, NULL, 'TASTIN', 94175),
(150450, 'PTHR28080:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL BIOGENESIS FACTOR 3', 94176),
(150451, 'PTHR34798:SF4', NULL, NULL, NULL, NULL, 'BNAA05G17250D PROTEIN', 94177),
(150452, 'PTHR21724:SF96', NULL, NULL, NULL, NULL, 'PROTEIN CBG20825', 94178),
(150453, 'PTHR10426:SF68', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN-LIKE PROTEIN', 94179),
(150454, 'PTHR31636:SF136', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 6', 94180),
(150455, 'PTHR32285:SF181', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 26', 94181),
(150456, 'PTHR13105', NULL, NULL, NULL, NULL, 'MYELOID LEUKEMIA FACTOR', 94182),
(150457, 'PTHR31681:SF86', NULL, NULL, NULL, NULL, 'BNACNNG17980D PROTEIN', 94183),
(150458, 'PTHR33696:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94184),
(150459, 'PTHR24073:SF1069', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5B', 94185),
(150460, 'PTHR10739:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG16955', 94186),
(150461, 'PTHR22750:SF10', NULL, NULL, NULL, NULL, 'CANNABINOID RECEPTOR 2', 94187),
(150462, 'PTHR31147:SF2', NULL, NULL, NULL, NULL, 'OS01G0615300 PROTEIN', 94188),
(150463, 'PTHR24278:SF34', NULL, NULL, NULL, NULL, 'ZGC:163025', 94189),
(150464, 'PTHR30128:SF42', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN A', 94190);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(150465, 'PTHR22811:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94191),
(150466, 'PTHR30060:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN (DUF2040)-RELATED', 94192),
(150467, 'PTHR39244:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94193),
(150468, 'PTHR11088:SF60', NULL, NULL, NULL, NULL, 'TRNA DIMETHYLALLYLTRANSFERASE 9', 94194),
(150469, 'PTHR31471:SF76', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL REGION REMORIN', 94195),
(150470, 'PTHR16201:SF41', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 44', 94196),
(150471, 'PTHR27003:SF53', NULL, NULL, NULL, NULL, 'OS06G0334300 PROTEIN', 94197),
(150472, 'PTHR11527:SF266', NULL, NULL, NULL, NULL, '18.1 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', 94198),
(150473, 'PTHR33143:SF47', NULL, NULL, NULL, NULL, 'BNAA09G55470D PROTEIN', 94199),
(150474, 'PTHR33472:SF18', NULL, NULL, NULL, NULL, 'OS09G0327500 PROTEIN', 94200),
(150475, 'PTHR43539:SF58', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 94201),
(150476, 'PTHR31561:SF134', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 94202),
(150477, 'PTHR32468:SF73', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 5-RELATED', 94203),
(150478, 'PTHR11618:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94204),
(150479, 'PTHR31639:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94205),
(150480, 'PTHR11537:SF264', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, SUBFAMILY F, MEMBER 1', 94206),
(150481, 'PTHR43783:SF2', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 1-CARBOXYVINYLTRANSFERASE 2', 94207),
(150482, 'PTHR44916:SF5', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN-RELATED', 94208),
(150483, 'PTHR11599:SF10', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-3', 94209),
(150484, 'PTHR30128:SF32', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-ASSOCIATED LIPOPROTEIN', 94210),
(150485, 'PTHR20383:SF9', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II SUBUNIT A C-TERMINAL DOMAIN PHOSPHATASE SSU72', 94211),
(150486, 'PTHR11260:SF665', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE PARC-RELATED', 94212),
(150487, 'PTHR33110:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94213),
(150488, 'PTHR11332:SF8', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 1D MEMBER 4', 94214),
(150489, 'PTHR15740:SF1', NULL, NULL, NULL, NULL, 'ACTIVITY-DEPENDENT NEUROPROTECTOR HOMEOBOX PROTEIN', 94215),
(150490, 'PTHR43857', NULL, NULL, NULL, NULL, 'BLR7761 PROTEIN', 94216),
(150491, 'PTHR34782:SF5', NULL, NULL, NULL, NULL, 'OS02G0507400 PROTEIN', 94217),
(150492, 'PTHR10802:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94218),
(150493, 'PTHR39638:SF1', NULL, NULL, NULL, NULL, 'YCF35', 94219),
(150494, 'PTHR31495:SF23', NULL, NULL, NULL, NULL, 'PEROXYGENASE 3-RELATED', 94220),
(150495, 'PTHR42650:SF1', NULL, NULL, NULL, NULL, 'TAIL-ANCHORED PROTEIN INSERTION RECEPTOR WRB', 94221),
(150496, 'PTHR31232:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94222),
(150497, 'PTHR44936', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN CREC', 94223),
(150498, 'PTHR37733:SF1', NULL, NULL, NULL, NULL, 'SMAD/FHA DOMAIN-CONTAINING PROTEIN', 94224),
(150499, 'PTHR45714:SF24', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', 94225),
(150500, 'PTHR23430:SF314', NULL, NULL, NULL, NULL, 'HISTONE H2A.4-RELATED', 94226),
(150501, 'PTHR33711:SF1', NULL, NULL, NULL, NULL, 'PROTOCATECHUATE 3,4-DIOXYGENASE BETA CHAIN', 94227),
(150502, 'PTHR10315:SF120', NULL, NULL, NULL, NULL, 'BNAA08G13990D PROTEIN', 94228),
(150503, 'PTHR47992:SF74', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C FAMILY PROTEIN', 94229),
(150504, 'PTHR47212:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94230),
(150505, 'PTHR44042:SF6', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 94231),
(150506, 'PTHR47784:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 94232),
(150507, 'PTHR23267:SF429', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-6', 94233),
(150508, 'PTHR34794:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94234);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(150509, 'PTHR15410', NULL, NULL, NULL, NULL, 'HIRA-INTERACTING PROTEIN 3', 94235),
(150510, 'PTHR37610:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', 94236),
(150511, 'PTHR23266:SF238', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 4-34-RELATED', 94237),
(150512, 'PTHR20765:SF1', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 43 MEMBER 3', 94238),
(150513, 'PTHR24418:SF401', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 94239),
(150514, 'PTHR38432:SF1', NULL, NULL, NULL, NULL, 'TELA-LIKE PROTEIN SAOUHSC_01408', 94240),
(150515, 'PTHR11985:SF28', NULL, NULL, NULL, NULL, 'ANAEROBIC GLYCEROL-3-PHOSPHATE DEHYDROGENASE SUBUNIT A', 94241),
(150516, 'PTHR31662:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94242),
(150517, 'PTHR10067:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE DECARBOXYLASE PROENZYME, MITOCHONDRIAL', 94243),
(150518, 'PTHR31681:SF70', NULL, NULL, NULL, NULL, 'BNAANNG20320D PROTEIN', 94244),
(150519, 'PTHR10209:SF775', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN-RELATED', 94245),
(150520, 'PTHR34500:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 94246),
(150521, 'PTHR12247:SF136', NULL, NULL, NULL, NULL, 'SAM-MOTIF UBIQUITOUSLY EXPRESSED PUNCTATEDLY LOCALIZED PROTEIN, ISOFORM A', 94247),
(150522, 'PTHR43570', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 94248),
(150523, 'PTHR19143:SF254', NULL, NULL, NULL, NULL, 'TENASCIN-R', 94249),
(150524, 'PTHR10989:SF11', NULL, NULL, NULL, NULL, 'ANDROGEN-INDUCED GENE 1 PROTEIN', 94250),
(150525, 'PTHR35102:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 94251),
(150526, 'PTHR24298:SF683', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 94252),
(150527, 'PTHR11607', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE', 94253),
(150528, 'PTHR12301:SF4', NULL, NULL, NULL, NULL, 'SAM DOMAIN-CONTAINING PROTEIN SAMSN-1', 94254),
(150529, 'PTHR12132:SF2', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD59', 94255),
(150530, 'PTHR37409:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94256),
(150531, 'PTHR47382:SF1', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 52-LIKE', 94257),
(150532, 'PTHR36264', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 94258),
(150533, 'PTHR33401:SF10', NULL, NULL, NULL, NULL, 'BNACNNG69740D PROTEIN', 94259),
(150534, 'PTHR22811:SF165', NULL, NULL, NULL, NULL, 'BNACNNG39600D PROTEIN', 94260),
(150535, 'PTHR11165:SF153', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 10-RELATED', 94261),
(150536, 'PTHR23077:SF160', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 48 HOMOLOG D', 94262),
(150537, 'PTHR11850:SF231', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ATH1', 94263),
(150538, 'PTHR46285:SF14', NULL, NULL, NULL, NULL, 'BNAC03G70350D PROTEIN', 94264),
(150539, 'PTHR13586:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LSM14 HOMOLOG A', 94265),
(150540, 'PTHR23077:SF166', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 48 HOMOLOG', 94266),
(150541, 'PTHR30480', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE-RELATED', 94267),
(150542, 'PTHR28038', NULL, NULL, NULL, NULL, 'ADL329WP', 94268),
(150543, 'PTHR31698:SF8', NULL, NULL, NULL, NULL, 'LYSOZYME G', 94269),
(150544, 'PTHR31972:SF66', NULL, NULL, NULL, NULL, 'BNACNNG20030D PROTEIN', 94270),
(150545, 'PTHR40080:SF1', NULL, NULL, NULL, NULL, 'LMO1763 PROTEIN', 94271),
(150546, 'PTHR10788:SF105', NULL, NULL, NULL, NULL, 'BNAA01G22200D PROTEIN', 94272),
(150547, 'PTHR30086:SF19', NULL, NULL, NULL, NULL, 'THREONINE EFFLUX PROTEIN', 94273),
(150548, 'PTHR15690', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 6', 94274),
(150549, 'PTHR33179:SF10', NULL, NULL, NULL, NULL, 'OS02G0753700 PROTEIN', 94275),
(150550, 'PTHR10381:SF57', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', 94276),
(150551, 'PTHR47928:SF42', NULL, NULL, NULL, NULL, 'OS03G0314400 PROTEIN', 94277),
(150552, 'PTHR13890:SF2', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-4-RELATED', 94278),
(150553, 'PTHR47999:SF72', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB6-LIKE', 94279);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(150554, 'PTHR38926:SF41', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP19-LIKE', 94280),
(150555, 'PTHR31003:SF41', NULL, NULL, NULL, NULL, 'BNAC09G21560D PROTEIN', 94281),
(150556, 'PTHR31374:SF195', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 94282),
(150557, 'PTHR11764:SF48', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 94283),
(150558, 'PTHR35121:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94284),
(150559, 'PTHR11945:SF676', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94285),
(150560, 'PTHR46101:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94286),
(150561, 'PTHR10036:SF18', NULL, NULL, NULL, NULL, 'SI:CH73-28H20.1', 94287),
(150562, 'PTHR13697', NULL, NULL, NULL, NULL, 'PHOSPHOFRUCTOKINASE', 94288),
(150563, 'PTHR10983:SF9', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE GAMMA', 94289),
(150564, 'PTHR11475:SF108', NULL, NULL, NULL, NULL, 'MYELOPEROXIDASE', 94290),
(150565, 'PTHR24177:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94291),
(150566, 'PTHR24039:SF33', NULL, NULL, NULL, NULL, 'EGF-CONTAINING FIBULIN-LIKE EXTRACELLULAR MATRIX PROTEIN 1', 94292),
(150567, 'PTHR33622:SF14', NULL, NULL, NULL, NULL, 'BNAA07G24460D PROTEIN', 94293),
(150568, 'PTHR44372:SF8', NULL, NULL, NULL, NULL, 'BNAC08G13770D PROTEIN', 94294),
(150569, 'PTHR10885:SF12', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE I-LIKE', 94295),
(150570, 'PTHR10795:SF706', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.3', 94296),
(150571, 'PTHR35893:SF3', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 94297),
(150572, 'PTHR23423:SF21', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER ALPHA-LIKE PROTEIN', 94298),
(150573, 'PTHR46925:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR TKR-1-RELATED', 94299),
(150574, 'PTHR13215:SF6', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II TRANSCRIPTIONAL COACTIVATOR KELP', 94300),
(150575, 'PTHR36432:SF4', NULL, NULL, NULL, NULL, 'TRANSITION STATE REGULATOR ABH-RELATED', 94301),
(150576, 'PTHR10015:SF312', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-4D', 94302),
(150577, 'PTHR33115:SF22', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 94303),
(150578, 'PTHR14096:SF35', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L 10A-RELATED', 94304),
(150579, 'PTHR46039:SF2', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE 1', 94305),
(150580, 'PTHR46400', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 94306),
(150581, 'PTHR10285:SF97', NULL, NULL, NULL, NULL, 'URIDINE KINASE-LIKE PROTEIN 3', 94307),
(150582, 'PTHR43300:SF8', NULL, NULL, NULL, NULL, 'TRANSFERASE HEXAPEPTIDE REPEAT CONTAINING PROTEIN', 94308),
(150583, 'PTHR24296:SF113', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 96 SUBFAMILY A POLYPEPTIDE 1', 94309),
(150584, 'PTHR45708:SF4', NULL, NULL, NULL, NULL, 'XYLANASE INHIBITOR PROTEIN 1', 94310),
(150585, 'PTHR10334:SF382', NULL, NULL, NULL, NULL, 'ANTARES, ISOFORM B-RELATED', 94311),
(150586, 'PTHR10865:SF22', NULL, NULL, NULL, NULL, 'MESODERM INDUCTION EARLY RESPONSE PROTEIN 3', 94312),
(150587, 'PTHR31154:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11920', 94313),
(150588, 'PTHR35504:SF1', NULL, NULL, NULL, NULL, 'PROTEIN EMBRYONIC FLOWER 1', 94314),
(150589, 'PTHR46816:SF9', NULL, NULL, NULL, NULL, 'BNAANNG23890D PROTEIN', 94315),
(150590, 'PTHR43712:SF9', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE ASQN', 94316),
(150591, 'PTHR40468:SF1', NULL, NULL, NULL, NULL, 'YALI0A15257P', 94317),
(150592, 'PTHR33641:SF20', NULL, NULL, NULL, NULL, 'BNAA05G17920D PROTEIN', 94318),
(150593, 'PTHR46477:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94319),
(150594, 'PTHR30546:SF34', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN-LIKE PROTEIN YCP4', 94320),
(150595, 'PTHR10848', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN SPO11', 94321),
(150596, 'PTHR15486:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94322),
(150597, 'PTHR11132:SF293', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER E4', 94323),
(150598, 'PTHR47390', NULL, NULL, NULL, NULL, 'PODOPLANIN', 94324);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(150599, 'PTHR47999:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94325),
(150600, 'PTHR26453:SF50', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2A12', 94326),
(150601, 'PTHR43560', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT B', 94327),
(150602, 'PTHR46499:SF1', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE', 94328),
(150603, 'PTHR11439:SF300', NULL, NULL, NULL, NULL, 'BNAC03G13530D PROTEIN', 94329),
(150604, 'PTHR14003', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR PROTEIN YY', 94330),
(150605, 'PTHR15635:SF11', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 9', 94331),
(150606, 'PTHR33405', NULL, NULL, NULL, NULL, 'PROTEIN FLX-LIKE 2', 94332),
(150607, 'PTHR18945:SF854', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 94333),
(150608, 'PTHR43795:SF89', NULL, NULL, NULL, NULL, 'BNAA03G47880D PROTEIN', 94334),
(150609, 'PTHR32085:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CSF1', 94335),
(150610, 'PTHR42305:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN RV1733C-RELATED', 94336),
(150611, 'PTHR18966:SF490', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 94337),
(150612, 'PTHR23301:SF76', NULL, NULL, NULL, NULL, 'GH09355P-RELATED', 94338),
(150613, 'PTHR43254', NULL, NULL, NULL, NULL, 'C-TERMINAL BINDING PROTEIN AN-RELATED', 94339),
(150614, 'PTHR23255:SF66', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RECEPTOR R3', 94340),
(150615, 'PTHR46318:SF2', NULL, NULL, NULL, NULL, 'UPSTREAM-BINDING TRANSCRIPTION FACTOR', 94341),
(150616, 'PTHR33384:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94342),
(150617, 'PTHR11746:SF241', NULL, NULL, NULL, NULL, 'ACETYLSEROTONIN O-METHYLTRANSFERASE 3', 94343),
(150618, 'PTHR14194:SF101', NULL, NULL, NULL, NULL, 'BNAA10G27260D PROTEIN', 94344),
(150619, 'PTHR16537:SF1', NULL, NULL, NULL, NULL, 'SJOEGREN SYNDROME/SCLERODERMA AUTOANTIGEN 1', 94345),
(150620, 'PTHR43767:SF9', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE', 94346),
(150621, 'PTHR30329:SF2', NULL, NULL, NULL, NULL, 'MOTILITY PROTEIN B', 94347),
(150622, 'PTHR47614:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94348),
(150623, 'PTHR31205:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94349),
(150624, 'PTHR40613', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 94350),
(150625, 'PTHR28453:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SNORC', 94351),
(150626, 'PTHR10574:SF405', NULL, NULL, NULL, NULL, 'WING BLISTER, ISOFORM B', 94352),
(150627, 'PTHR45767:SF4', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN O3', 94353),
(150628, 'PTHR35767:SF6', NULL, NULL, NULL, NULL, 'BNAA03G11030D PROTEIN', 94354),
(150629, 'PTHR14845:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 166', 94355),
(150630, 'PTHR47982:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94356),
(150631, 'PTHR40381', NULL, NULL, NULL, NULL, 'PEROXISOMAL TESTIS-SPECIFIC PROTEIN 1', 94357),
(150632, 'PTHR13890:SF7', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-D-RELATED', 94358),
(150633, 'PTHR21275:SF1', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN 4', 94359),
(150634, 'PTHR10983:SF62', NULL, NULL, NULL, NULL, 'BNACNNG66630D PROTEIN', 94360),
(150635, 'PTHR18945:SF802', NULL, NULL, NULL, NULL, 'RH55021P', 94361),
(150636, 'PTHR35615:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94362),
(150637, 'PTHR27008:SF474', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94363),
(150638, 'PTHR10179:SF79', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 2', 94364),
(150639, 'PTHR23155:SF991', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 94365),
(150640, 'PTHR43283:SF10', NULL, NULL, NULL, NULL, 'BLR0815 PROTEIN', 94366),
(150641, 'PTHR31896:SF45', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED PSEUDOMONAS SUSCEPTIBILTY 1', 94367),
(150642, 'PTHR45657:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94368),
(150643, 'PTHR36306', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE-RELATED-RELATED', 94369),
(150644, 'PTHR11945:SF607', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', 94370);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(150645, 'PTHR15225:SF4', NULL, NULL, NULL, NULL, 'N-MYC-INTERACTOR', 94371),
(150646, 'PTHR42683:SF1', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 5', 94372),
(150647, 'PTHR10366:SF317', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY 42E MEMBER 1', 94373),
(150648, 'PTHR45832', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 94374),
(150649, 'PTHR23090:SF7', NULL, NULL, NULL, NULL, 'NH(3)-DEPENDENT NAD(+) SYNTHETASE', 94375),
(150650, 'PTHR47926:SF61', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 94376),
(150651, 'PTHR35304:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94377),
(150652, 'PTHR31956:SF2', NULL, NULL, NULL, NULL, 'NON-SPECIFIC PHOSPHOLIPASE C6', 94378),
(150653, 'PTHR46398:SF7', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 94379),
(150654, 'PTHR15835:SF6', NULL, NULL, NULL, NULL, 'F20D23.9 PROTEIN', 94380),
(150655, 'PTHR37868:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 190', 94381),
(150656, 'PTHR24384:SF178', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 679-RELATED', 94382),
(150657, 'PTHR11435:SF1', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 6', 94383),
(150658, 'PTHR47462:SF1', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 5', 94384),
(150659, 'PTHR14583:SF0', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC304654', 94385),
(150660, 'PTHR24070:SF206', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN RASB', 94386),
(150661, 'PTHR23045:SF9', NULL, NULL, NULL, NULL, 'GENE 884-RELATED', 94387),
(150662, 'PTHR43085:SF7', NULL, NULL, NULL, NULL, 'FRUCTOKINASE-7-RELATED', 94388),
(150663, 'PTHR11937:SF484', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94389),
(150664, 'PTHR30231:SF31', NULL, NULL, NULL, NULL, 'PROTEIN NEN2', 94390),
(150665, 'PTHR16022', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 60', 94391),
(150666, 'PTHR43719:SF51', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE 4', 94392),
(150667, 'PTHR33149:SF34', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC REACTION CENTRE, L/M-RELATED', 94393),
(150668, 'PTHR31506:SF22', NULL, NULL, NULL, NULL, 'PROTEIN BRASSINAZOLE-RESISTANT 1', 94394),
(150669, 'PTHR48075:SF5', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-COA DEHYDROGENASE FAMILY PROTEIN', 94395),
(150670, 'PTHR15275', NULL, NULL, NULL, NULL, 'CG1 PROTEIN/F18', 94396),
(150671, 'PTHR13318:SF153', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-LIKE PROTEIN', 94397),
(150672, 'PTHR45639:SF20', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 94398),
(150673, 'PTHR31677:SF91', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF091', 94399),
(150674, 'PTHR24241:SF83', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 150-RELATED', 94400),
(150675, 'PTHR32010:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94401),
(150676, 'PTHR10454:SF131', NULL, NULL, NULL, NULL, 'CASPASE-14', 94402),
(150677, 'PTHR23423:SF19', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 184E', 94403),
(150678, 'PTHR10969:SF85', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', 94404),
(150679, 'PTHR14758:SF6', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 110 MEMBER C', 94405),
(150680, 'PTHR48000:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94406),
(150681, 'PTHR11984:SF33', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-1 PROTEIN', 94407),
(150682, 'PTHR11589:SF4', NULL, NULL, NULL, NULL, 'NEUROTROPHIN-3', 94408),
(150683, 'PTHR31453:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 236', 94409),
(150684, 'PTHR13285:SF20', NULL, NULL, NULL, NULL, 'PROTEIN-CYSTEINE N-PALMITOYLTRANSFERASE HHAT', 94410),
(150685, 'PTHR30616:SF2', NULL, NULL, NULL, NULL, 'LACCASE DOMAIN-CONTAINING PROTEIN 1', 94411),
(150686, 'PTHR31802:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94412),
(150687, 'PTHR23036:SF163', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR-LIKE FACTOR 2', 94413),
(150688, 'PTHR34994:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM25A-RELATED', 94414),
(150689, 'PTHR48055:SF2', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 94415);
INSERT INTO "PUBLIC"."MODEL" VALUES
(150690, 'PTHR32278:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94416),
(150691, 'PTHR19303:SF46', NULL, NULL, NULL, NULL, 'DISTAL ANTENNA', 94417),
(150692, 'PTHR31062:SF164', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 24', 94418),
(150693, 'PTHR26452:SF91', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 94419),
(150694, 'PTHR27008:SF426', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94420),
(150695, 'PTHR28489:SF3', NULL, NULL, NULL, NULL, 'PROTEIN RD3-LIKE', 94421),
(150696, 'PTHR10791:SF189', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 94422),
(150697, 'PTHR12298:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94423),
(150698, 'PTHR47072', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 94424),
(150699, 'PTHR36028:SF6', NULL, NULL, NULL, NULL, 'ATP SYNTHASE E CHAIN', 94425),
(150700, 'PTHR47942:SF17', NULL, NULL, NULL, NULL, 'OS05G0481800 PROTEIN', 94426),
(150701, 'PTHR24020:SF51', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING 1', 94427),
(150702, 'PTHR36037:SF1', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE (REVERSE TRANSCRIPTASE)-RELATED FAMILY PROTEIN', 94428),
(150703, 'PTHR28583:SF1', NULL, NULL, NULL, NULL, 'ACID CERAMIDASE', 94429),
(150704, 'PTHR42799:SF16', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE A2', 94430),
(150705, 'PTHR31832:SF66', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 19', 94431),
(150706, 'PTHR16453:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94432),
(150707, 'PTHR31677:SF129', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 12', 94433),
(150708, 'PTHR34131:SF3', NULL, NULL, NULL, NULL, '(RAP ANNOTATION RELEASE2) GALACTOSE-BINDING LIKE DOMAIN CONTAINING PROTEIN', 94434),
(150709, 'PTHR35358:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94435),
(150710, 'PTHR34223:SF51', NULL, NULL, NULL, NULL, 'OS11G0201299 PROTEIN', 94436),
(150711, 'PTHR22849:SF149', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', 94437),
(150712, 'PTHR32153:SF54', NULL, NULL, NULL, NULL, 'BNACNNG17150D PROTEIN', 94438),
(150713, 'PTHR19288:SF79', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE', 94439),
(150714, 'PTHR37841', NULL, NULL, NULL, NULL, 'GLR2918 PROTEIN', 94440),
(150715, 'PTHR13620:SF59', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', 94441),
(150716, 'PTHR33414:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 1', 94442),
(150717, 'PTHR31808:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0093F12.3 PROTEIN', 94443),
(150718, 'PTHR33619', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE EXPORT PROTEIN GFCE-RELATED', 94444),
(150719, 'PTHR37202:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94445),
(150720, 'PTHR11668:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG11338', 94446),
(150721, 'PTHR28188:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM5', 94447),
(150722, 'PTHR11875:SF125', NULL, NULL, NULL, NULL, 'BNAA09G44140D PROTEIN', 94448),
(150723, 'PTHR10992:SF1009', NULL, NULL, NULL, NULL, 'METHYLESTERASE 2-RELATED', 94449),
(150724, 'PTHR19876:SF1', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA', 94450),
(150725, 'PTHR21450:SF38', NULL, NULL, NULL, NULL, 'OS04G0562800 PROTEIN', 94451),
(150726, 'PTHR30146:SF67', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ASCG', 94452),
(150727, 'PTHR16087', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 206', 94453),
(150728, 'PTHR36849', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 94454),
(150729, 'PTHR41291:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94455),
(150730, 'PTHR12416:SF2', NULL, NULL, NULL, NULL, 'RRNA-PROCESSING PROTEIN FCF1 HOMOLOG', 94456),
(150731, 'PTHR47924:SF29', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 94457),
(150732, 'PTHR10996:SF259', NULL, NULL, NULL, NULL, 'BNAA09G47060D PROTEIN', 94458),
(150733, 'PTHR46116', NULL, NULL, NULL, NULL, '(E3-INDEPENDENT) E2 UBIQUITIN-CONJUGATING ENZYME', 94459),
(150734, 'PTHR46128:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94460);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(150735, 'PTHR31675:SF25', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC TRANSCRIPTION FACTOR YABBY FAMILY PROTEIN', 94461),
(150736, 'PTHR27006:SF386', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 94462),
(150737, 'PTHR11937:SF276', NULL, NULL, NULL, NULL, 'ACTIN 3', 94463),
(150738, 'PTHR36484:SF2', NULL, NULL, NULL, NULL, 'OS01G0558700 PROTEIN', 94464),
(150739, 'PTHR23299:SF38', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1B', 94465),
(150740, 'PTHR30266:SF2', NULL, NULL, NULL, NULL, 'LARGE-CONDUCTANCE MECHANOSENSITIVE CHANNEL', 94466),
(150741, 'PTHR13742:SF20', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-LIKE PROTEIN 1', 94467),
(150742, 'PTHR28242:SF55', NULL, NULL, NULL, NULL, 'BNAA09G02590D PROTEIN', 94468),
(150743, 'PTHR14826:SF12', NULL, NULL, NULL, NULL, 'ANGIOMOTIN-LIKE PROTEIN 1', 94469),
(150744, 'PTHR37433:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG16245', 94470),
(150745, 'PTHR46038', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 94471),
(150746, 'PTHR33167:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94472),
(150747, 'PTHR10108:SF37', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT6-RELATED', 94473),
(150748, 'PTHR31213:SF99', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL9', 94474),
(150749, 'PTHR11219:SF70', NULL, NULL, NULL, NULL, 'PROTEIN CBG11506', 94475),
(150750, 'PTHR13586:SF19', NULL, NULL, NULL, NULL, 'LSM DOMAIN, FDF DOMAIN, FFD BOX, DFDF DOMAIN, TFG BOX-RELATED', 94476),
(150751, 'PTHR23315:SF281', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 94477),
(150752, 'PTHR43464:SF49', NULL, NULL, NULL, NULL, 'TELLURITE METHYLTRANSFERASE', 94478),
(150753, 'PTHR31678', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 6-3', 94479),
(150754, 'PTHR11711:SF360', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 2-LIKE ISOFORM X1', 94480),
(150755, 'PTHR23268:SF73', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 28', 94481),
(150756, 'PTHR24376:SF172', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 814', 94482),
(150757, 'PTHR22811:SF142', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24', 94483),
(150758, 'PTHR17920:SF7', NULL, NULL, NULL, NULL, 'OS10G0512100 PROTEIN', 94484),
(150759, 'PTHR33221:SF2', NULL, NULL, NULL, NULL, 'RRF2 FAMILY PROTEIN', 94485),
(150760, 'PTHR46220:SF15', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT ARF-TYPE GTPASE ACTIVATING FAMILY PROTEIN', 94486),
(150761, 'PTHR31865:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94487),
(150762, 'PTHR33395:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94488),
(150763, 'PTHR31072:SF134', NULL, NULL, NULL, NULL, 'TCP FAMILY TRANSCRIPTION FACTOR', 94489),
(150764, 'PTHR16004', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 31-RELATED', 94490),
(150765, 'PTHR14315:SF16', NULL, NULL, NULL, NULL, 'MID1-INTERACTING PROTEIN 1', 94491),
(150766, 'PTHR48080:SF6', NULL, NULL, NULL, NULL, 'STARVATION-SENSING PROTEIN RSPA', 94492),
(150767, 'PTHR31692:SF78', NULL, NULL, NULL, NULL, 'BETA-EXPANSIN 1A', 94493),
(150768, 'PTHR42877:SF5', NULL, NULL, NULL, NULL, 'IFK2P', 94494),
(150769, 'PTHR13871:SF34', NULL, NULL, NULL, NULL, 'PROTEIN CBG03662', 94495),
(150770, 'PTHR31655:SF4', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 78 MEMBER BA', 94496),
(150771, 'PTHR38834:SF3', NULL, NULL, NULL, NULL, 'PERIPLASMIC SUBSTRATE BINDING PROTEIN FAMILY 3', 94497),
(150772, 'PTHR10566:SF115', NULL, NULL, NULL, NULL, 'PROTEIN ACTIVITY OF BC1 COMPLEX KINASE 8, CHLOROPLASTIC', 94498),
(150773, 'PTHR46968', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF138', 94499),
(150774, 'PTHR28564:SF1', NULL, NULL, NULL, NULL, 'STANNIN', 94500),
(150775, 'PTHR14255:SF28', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN TAUE-RELATED', 94501),
(150776, 'PTHR31731:SF127', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 94502),
(150777, 'PTHR10108:SF1093', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT3-RELATED', 94503),
(150778, 'PTHR21011:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94504),
(150779, 'PTHR19431:SF6', NULL, NULL, NULL, NULL, 'BNAC03G35890D PROTEIN', 94505);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(150780, 'PTHR10380:SF153', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 47EA', 94506),
(150781, 'PTHR30333', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE PROTEIN', 94507),
(150782, 'PTHR24027:SF78', NULL, NULL, NULL, NULL, 'CADHERIN-LIKE PROTEIN 26', 94508),
(150783, 'PTHR23226:SF157', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 18', 94509),
(150784, 'PTHR31681:SF43', NULL, NULL, NULL, NULL, 'BNACNNG47050D PROTEIN', 94510),
(150785, 'PTHR11205:SF48', NULL, NULL, NULL, NULL, 'BNAA03G17150D PROTEIN', 94511),
(150786, 'PTHR48056:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94512),
(150787, 'PTHR48244:SF2', NULL, NULL, NULL, NULL, 'ZEIN-ALPHA A20', 94513),
(150788, 'PTHR15186:SF3', NULL, NULL, NULL, NULL, 'BCL2/ADENOVIRUS E1B 19 KDA PROTEIN-INTERACTING PROTEIN 3-LIKE', 94514),
(150789, 'PTHR33974:SF17', NULL, NULL, NULL, NULL, 'BNAA05G20370D PROTEIN', 94515),
(150790, 'PTHR38686:SF1', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN N-ACYLTRANSFERASE', 94516),
(150791, 'PTHR35970', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL AND CLATHRIN LINKER 1', 94517),
(150792, 'PTHR46286:SF11', NULL, NULL, NULL, NULL, 'BNACNNG18840D PROTEIN', 94518),
(150793, 'PTHR45932:SF23', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN, GOLD DOMAIN-CONTAINING PROTEIN-RELATED', 94519),
(150794, 'PTHR45764:SF17', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 94520),
(150795, 'PTHR31929:SF50', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN X10A-LIKE', 94521),
(150796, 'PTHR12081:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F4', 94522),
(150797, 'PTHR22811:SF50', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24BETA2', 94523),
(150798, 'PTHR38011:SF7', NULL, NULL, NULL, NULL, '2,5-DIAMINO-6-RIBOSYLAMINO-4(3H)-PYRIMIDINONE 5''-PHOSPHATE REDUCTASE', 94524),
(150799, 'PTHR33254:SF16', NULL, NULL, NULL, NULL, 'BLR3842 PROTEIN', 94525),
(150800, 'PTHR46336:SF22', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN POB1 ISOFORM X1', 94526),
(150801, 'PTHR31589:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94527),
(150802, 'PTHR31374:SF180', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 94528),
(150803, 'PTHR11486:SF20', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 7', 94529),
(150804, 'PTHR33087:SF33', NULL, NULL, NULL, NULL, 'OS10G0535500 PROTEIN', 94530),
(150805, 'PTHR44083:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94531),
(150806, 'PTHR11353:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94532),
(150807, 'PTHR31213:SF82', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL11-RELATED', 94533),
(150808, 'PTHR10335:SF0', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 36A-RELATED', 94534),
(150809, 'PTHR45675:SF80', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', 94535),
(150810, 'PTHR27007:SF317', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.4-LIKE', 94536),
(150811, 'PTHR23232:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94537),
(150812, 'PTHR12546:SF37', NULL, NULL, NULL, NULL, 'FER-1-LIKE PROTEIN 6', 94538),
(150813, 'PTHR47707', NULL, NULL, NULL, NULL, '8-OXO-DGTP DIPHOSPHATASE', 94539),
(150814, 'PTHR11048:SF40', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOATE POLYPRENYLTRANSFERASE, MITOCHONDRIAL-LIKE ISOFORM X1', 94540),
(150815, 'PTHR38393:SF1', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA (GLN) AMIDOTRANSFERASE SUBUNIT C', 94541),
(150816, 'PTHR46506:SF48', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 94542),
(150817, 'PTHR10170', NULL, NULL, NULL, NULL, 'HUNTINGTON DISEASE PROTEIN', 94543),
(150818, 'PTHR27003:SF385', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING RECEPTOR-LIKE CYTOPLASMIC KINASE 3-RELATED', 94544),
(150819, 'PTHR24381:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 77', 94545),
(150820, 'PTHR11011:SF94', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 94546),
(150821, 'PTHR31639:SF162', NULL, NULL, NULL, NULL, 'OS11G0130500 PROTEIN', 94547),
(150822, 'PTHR44329:SF55', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE A-RAF', 94548);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(150823, 'PTHR46950:SF8', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER CORA FAMILY PROTEIN', 94549),
(150824, 'PTHR31161:SF2', NULL, NULL, NULL, NULL, 'MYOSIN-4 PROTEIN (DUF641)-RELATED', 94550),
(150825, 'PTHR15622:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94551),
(150826, 'PTHR30298', NULL, NULL, NULL, NULL, 'H REPEAT-ASSOCIATED PREDICTED TRANSPOSASE', 94552),
(150827, 'PTHR23142:SF1', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR 38A', 94553),
(150828, 'PTHR47590', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP25', 94554),
(150829, 'PTHR26452:SF135', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5H15', 94555),
(150830, 'PTHR22950:SF662', NULL, NULL, NULL, NULL, 'BNAA09G52260D PROTEIN', 94556),
(150831, 'PTHR32266:SF21', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE', 94557),
(150832, 'PTHR14224:SF93', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 20', 94558),
(150833, 'PTHR31286:SF71', NULL, NULL, NULL, NULL, 'ZINC ION BINDING / NUCLEIC ACID BINDING PROTEIN', 94559),
(150834, 'PTHR27007', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 94560),
(150835, 'PTHR31677:SF109', NULL, NULL, NULL, NULL, 'BNAA07G08450D PROTEIN', 94561),
(150836, 'PTHR13857:SF24', NULL, NULL, NULL, NULL, 'DNA DC-DU-EDITING ENZYME APOBEC-3D', 94562),
(150837, 'PTHR22975:SF31', NULL, NULL, NULL, NULL, 'BNAA03G00630D PROTEIN', 94563),
(150838, 'PTHR31100:SF15', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 24-RELATED', 94564),
(150839, 'PTHR10656:SF69', NULL, NULL, NULL, NULL, 'MAB-21 DOMAIN CONTAINING 2', 94565),
(150840, 'PTHR24296:SF218', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', 94566),
(150841, 'PTHR11157:SF125', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 6', 94567),
(150842, 'PTHR13678:SF9', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 37B', 94568),
(150843, 'PTHR10587:SF109', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE', 94569),
(150844, 'PTHR47926:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94570),
(150845, 'PTHR27006:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94571),
(150846, 'PTHR13301:SF27', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', 94572),
(150847, 'PTHR31734:SF126', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA17', 94573),
(150848, 'PTHR21724:SF99', NULL, NULL, NULL, NULL, 'PROTEIN CBG20818', 94574),
(150849, 'PTHR47420', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASHR2', 94575),
(150850, 'PTHR24417:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE LMTK1', 94576),
(150851, 'PTHR45633:SF37', NULL, NULL, NULL, NULL, 'BNAC06G41650D PROTEIN', 94577),
(150852, 'PTHR27002:SF729', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 94578),
(150853, 'PTHR12652', NULL, NULL, NULL, NULL, 'PEROXISOMAL BIOGENESIS FACTOR 11', 94579),
(150854, 'PTHR31321:SF76', NULL, NULL, NULL, NULL, 'PECTINESTERASE 10-RELATED', 94580),
(150855, 'PTHR24023:SF1017', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94581),
(150856, 'PTHR42067:SF1', NULL, NULL, NULL, NULL, 'YALI0C15378P', 94582),
(150857, 'PTHR18896:SF61', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 94583),
(150858, 'PTHR10408', NULL, NULL, NULL, NULL, 'STEROL O-ACYLTRANSFERASE', 94584),
(150859, 'PTHR31621:SF37', NULL, NULL, NULL, NULL, 'DUF679 DOMAIN MEMBRANE PROTEIN 2', 94585),
(150860, 'PTHR43141:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME BD-I UBIQUINOL OXIDASE SUBUNIT 2', 94586),
(150861, 'PTHR12011:SF216', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR D1', 94587),
(150862, 'PTHR46809:SF5', NULL, NULL, NULL, NULL, 'OS08G0440500 PROTEIN', 94588),
(150863, 'PTHR45649', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1', 94589),
(150864, 'PTHR46227', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR-INTERACTING PROTEIN GRIP', 94590),
(150865, 'PTHR43580:SF2', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE GLYR1-RELATED', 94591),
(150866, 'PTHR47685', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORT PROTEIN CORA', 94592),
(150867, 'PTHR10766:SF123', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 94593);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(150868, 'PTHR33133:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94594),
(150869, 'PTHR37409', NULL, NULL, NULL, NULL, 'RIKEN CDNA D130052B06 GENE', 94595),
(150870, 'PTHR48033:SF5', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', 94596),
(150871, 'PTHR31352:SF49', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', 94597),
(150872, 'PTHR19143:SF243', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN 2', 94598),
(150873, 'PTHR31260:SF36', NULL, NULL, NULL, NULL, 'BNAA07G09740D PROTEIN', 94599),
(150874, 'PTHR11955:SF144', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN 5-LIKE PROTEIN 3-RELATED', 94600),
(150875, 'PTHR38530:SF1', NULL, NULL, NULL, NULL, 'OS06G0468300 PROTEIN', 94601),
(150876, 'PTHR42760:SF88', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE 1, CHLOROPLASTIC-LIKE', 94602),
(150877, 'PTHR10686:SF35', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 19 MEMBER 3A', 94603),
(150878, 'PTHR10540:SF24', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 6A', 94604),
(150879, 'PTHR10829', NULL, NULL, NULL, NULL, 'CORTACTIN AND DREBRIN', 94605),
(150880, 'PTHR11926:SF1418', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 94606),
(150881, 'PTHR47828:SF1', NULL, NULL, NULL, NULL, 'ARCHAEAL HISTONE A', 94607),
(150882, 'PTHR10177:SF214', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN-B3', 94608),
(150883, 'PTHR12892:SF17', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 2-LIKE', 94609),
(150884, 'PTHR24247:SF172', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 10-RELATED', 94610),
(150885, 'PTHR22893:SF113', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 13-RELATED', 94611),
(150886, 'PTHR10996:SF114', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE A', 94612),
(150887, 'PTHR31225:SF72', NULL, NULL, NULL, NULL, 'OS03G0348200 PROTEIN', 94613),
(150888, 'PTHR12225', NULL, NULL, NULL, NULL, 'ADHESION REGULATING MOLECULE 1  110 KDA CELL MEMBRANE GLYCOPROTEIN', 94614),
(150889, 'PTHR11588:SF361', NULL, NULL, NULL, NULL, 'TUBULIN BETA-1 CHAIN', 94615),
(150890, 'PTHR31748', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 94616),
(150891, 'PTHR11654:SF456', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 94617),
(150892, 'PTHR23237:SF9', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT', 94618),
(150893, 'PTHR31362:SF12', NULL, NULL, NULL, NULL, 'BNAC04G02130D PROTEIN', 94619),
(150894, 'PTHR43879:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', 94620),
(150895, 'PTHR32100:SF44', NULL, NULL, NULL, NULL, 'DELTA(12) FATTY ACID DEHYDROGENASE-RELATED', 94621),
(150896, 'PTHR46459:SF1', NULL, NULL, NULL, NULL, 'E1A-BINDING PROTEIN P400-RELATED', 94622),
(150897, 'PTHR12635:SF6', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 6', 94623),
(150898, 'PTHR46517:SF2', NULL, NULL, NULL, NULL, 'FRUCTOSE-2,6-BISPHOSPHATASE TIGAR B', 94624),
(150899, 'PTHR31992:SF202', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 94625),
(150900, 'PTHR11407:SF25', NULL, NULL, NULL, NULL, 'SPERM ACROSOME MEMBRANE-ASSOCIATED PROTEIN 3', 94626),
(150901, 'PTHR48105:SF22', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE', 94627),
(150902, 'PTHR34890', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 94628),
(150903, 'PTHR12226:SF2', NULL, NULL, NULL, NULL, 'MANNOSE-P-DOLICHOL UTILIZATION DEFECT 1 PROTEIN', 94629),
(150904, 'PTHR23064', NULL, NULL, NULL, NULL, 'TROPONIN', 94630),
(150905, 'PTHR39474', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 94631),
(150906, 'PTHR10031:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94632),
(150907, 'PTHR46128:SF229', NULL, NULL, NULL, NULL, 'DROUGHT-INDUCIBLE PROTEIN 1OS', 94633),
(150908, 'PTHR48017:SF166', NULL, NULL, NULL, NULL, 'BNAA06G38000D PROTEIN', 94634),
(150909, 'PTHR10108:SF887', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT23-RELATED', 94635),
(150910, 'PTHR47991:SF79', NULL, NULL, NULL, NULL, 'HYOSCYAMINE 6-DIOXYGENASE', 94636),
(150911, 'PTHR13994:SF41', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 8-LIKE', 94637);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(150912, 'PTHR24369:SF161', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 53', 94638),
(150913, 'PTHR10340:SF34', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE', 94639),
(150914, 'PTHR23430:SF274', NULL, NULL, NULL, NULL, 'HISTONE H2A', 94640),
(150915, 'PTHR16081:SF0', NULL, NULL, NULL, NULL, 'VERTNIN', 94641),
(150916, 'PTHR24061:SF502', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94642),
(150917, 'PTHR15856:SF27', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 20', 94643),
(150918, 'PTHR23244:SF450', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94644),
(150919, 'PTHR10168:SF296', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C13', 94645),
(150920, 'PTHR28128:SF1', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP15', 94646),
(150921, 'PTHR36204:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLMANNOSAMINE-6-PHOSPHATE 2-EPIMERASE-RELATED', 94647),
(150922, 'PTHR27005:SF177', NULL, NULL, NULL, NULL, 'WAK FAMILY RECEPTOR-LIKE PROTEIN KINASE-RELATED', 94648),
(150923, 'PTHR11010:SF102', NULL, NULL, NULL, NULL, 'TWIN-ARGININE TRANSLOCATION PATHWAY, SIGNAL SEQUENCE', 94649),
(150924, 'PTHR12771:SF18', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN 1', 94650),
(150925, 'PTHR24006:SF820', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 17-LIKE', 94651),
(150926, 'PTHR48112:SF13', NULL, NULL, NULL, NULL, 'NON-HISTONE PROTEIN 10', 94652),
(150927, 'PTHR13886:SF7', NULL, NULL, NULL, NULL, 'SI:DKEY-17M8.1', 94653),
(150928, 'PTHR34671:SF17', NULL, NULL, NULL, NULL, 'PROTEIN SLE3', 94654),
(150929, 'PTHR31769:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94655),
(150930, 'PTHR31080:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94656),
(150931, 'PTHR12413:SF1', NULL, NULL, NULL, NULL, 'DOLICHYL PYROPHOSPHATE MAN9GLCNAC2 ALPHA-1,3-GLUCOSYLTRANSFERASE', 94657),
(150932, 'PTHR46483:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1 PLIP2, CHLOROPLASTIC', 94658),
(150933, 'PTHR11206:SF380', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 16', 94659),
(150934, 'PTHR27005:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94660),
(150935, 'PTHR32410:SF169', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', 94661),
(150936, 'PTHR30574:SF1', NULL, NULL, NULL, NULL, 'UPF0394 INNER MEMBRANE PROTEIN YEDE', 94662),
(150937, 'PTHR46051:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94663),
(150938, 'PTHR46475:SF12', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR4', 94664),
(150939, 'PTHR48061:SF26', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 94665),
(150940, 'PTHR36322:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 94666),
(150941, 'PTHR31983:SF0', NULL, NULL, NULL, NULL, 'ENDO-1,3(4)-BETA-GLUCANASE 1', 94667),
(150942, 'PTHR48011:SF15', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN-RELATED', 94668),
(150943, 'PTHR47993:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94669),
(150944, 'PTHR30620:SF95', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE C', 94670),
(150945, 'PTHR14076', NULL, NULL, NULL, NULL, 'RECEPTOR ACTIVITY MODIFYING PROTEIN  RAMP', 94671),
(150946, 'PTHR46632:SF17', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 94672),
(150947, 'PTHR11547:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94673),
(150948, 'PTHR15317', NULL, NULL, NULL, NULL, 'T-CELL SURFACE PROTEIN TACTILE', 94674),
(150949, 'PTHR35884:SF1', NULL, NULL, NULL, NULL, 'SMALL AGGREGATE FORMATION PROTEIN', 94675),
(150950, 'PTHR10257:SF67', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 94676),
(150951, 'PTHR15874', NULL, NULL, NULL, NULL, 'NUCLEOLAR AND SPINDLE-ASSOCIATED PROTEIN 1', 94677),
(150952, 'PTHR20855:SF107', NULL, NULL, NULL, NULL, 'MONOCYTE TO MACROPHAGE DIFFERENTIATION FACTOR 2', 94678),
(150953, 'PTHR11062:SF289', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE-LIKE PROTEIN', 94679),
(150954, 'PTHR10799:SF970', NULL, NULL, NULL, NULL, 'ISWI CHROMATIN-REMODELING COMPLEX ATPASE CHR11-LIKE', 94680),
(150955, 'PTHR24051:SF10', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE, RECEPTOR TYPE U-RELATED', 94681);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(150956, 'PTHR32054:SF65', NULL, NULL, NULL, NULL, 'BNAANNG08990D PROTEIN', 94682),
(150957, 'PTHR47512:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94683),
(150958, 'PTHR22950:SF301', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', 94684),
(150959, 'PTHR24041:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94685),
(150960, 'PTHR32468:SF63', NULL, NULL, NULL, NULL, 'OS01G0817400 PROTEIN', 94686),
(150961, 'PTHR31314:SF73', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', 94687),
(150962, 'PTHR21562:SF84', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 94688),
(150963, 'PTHR13809:SF19', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-8', 94689),
(150964, 'PTHR11629:SF22', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 116 KDA SUBUNIT A ISOFORM 2', 94690),
(150965, 'PTHR31113:SF32', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 94691),
(150966, 'PTHR43447:SF26', NULL, NULL, NULL, NULL, 'OS01G0856900 PROTEIN', 94692),
(150967, 'PTHR19957:SF80', NULL, NULL, NULL, NULL, 'SYNTAXIN-121', 94693),
(150968, 'PTHR11599:SF178', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 94694),
(150969, 'PTHR33333:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94695),
(150970, 'PTHR33823:SF4', NULL, NULL, NULL, NULL, 'GENERAL STRESS PROTEIN 16O', 94696),
(150971, 'PTHR13045', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE', 94697),
(150972, 'PTHR11062:SF50', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE ARAD1-RELATED', 94698),
(150973, 'PTHR15481:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94699),
(150974, 'PTHR15481:SF5', NULL, NULL, NULL, NULL, 'SQUAMOUS CELL CARCINOMA ANTIGEN RECOGNIZED BY T-CELLS 3', 94700),
(150975, 'PTHR16223:SF229', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH113-LIKE', 94701),
(150976, 'PTHR26450:SF30', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 572', 94702),
(150977, 'PTHR11654:SF494', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94703),
(150978, 'PTHR34202:SF1', NULL, NULL, NULL, NULL, 'UPF0548 PROTEIN', 94704),
(150979, 'PTHR43447:SF11', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', 94705),
(150980, 'PTHR37701:SF1', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 8', 94706),
(150981, 'PTHR12231', NULL, NULL, NULL, NULL, 'CTX-RELATED TYPE I TRANSMEMBRANE PROTEIN', 94707),
(150982, 'PTHR36797:SF5', NULL, NULL, NULL, NULL, 'BNAA09G09070D PROTEIN', 94708),
(150983, 'PTHR34834:SF3', NULL, NULL, NULL, NULL, 'GENE, 39566-RELATED', 94709),
(150984, 'PTHR45432:SF2', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 11, CHLOROPLASTIC-LIKE', 94710),
(150985, 'PTHR31920:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94711),
(150986, 'PTHR22835:SF610', NULL, NULL, NULL, NULL, 'LIPASE-LIKE', 94712),
(150987, 'PTHR46788', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 5', 94713),
(150988, 'PTHR23201:SF66', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED FAMILY PROTEIN', 94714),
(150989, 'PTHR15298:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94715),
(150990, 'PTHR33416:SF27', NULL, NULL, NULL, NULL, 'NUCLEOPORIN-RELATED', 94716),
(150991, 'PTHR46482:SF11', NULL, NULL, NULL, NULL, 'BNAC02G26090D PROTEIN', 94717),
(150992, 'PTHR45614:SF157', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB44', 94718),
(150993, 'PTHR45614:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94719),
(150994, 'PTHR22802:SF395', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN 37DA-RELATED', 94720),
(150995, 'PTHR10332:SF72', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER-RELATED', 94721),
(150996, 'PTHR43157:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94722),
(150997, 'PTHR24061:SF517', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 1 MEMBER 2', 94723),
(150998, 'PTHR11132:SF351', NULL, NULL, NULL, NULL, 'XYLULOSE 5-PHOSPHATE/PHOSPHATE TRANSLOCATOR, CHLOROPLASTIC', 94724),
(150999, 'PTHR38442', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 94725),
(151000, 'PTHR10742:SF398', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 94726);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(151001, 'PTHR11260:SF657', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE GST 23-LIKE', 94727),
(151002, 'PTHR11920:SF489', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-3', 94728),
(151003, 'PTHR46681:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94729),
(151004, 'PTHR23075:SF8', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 94730),
(151005, 'PTHR11958:SF33', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT EXCITATORY AMINO ACID TRANSPORTER GLT-6-RELATED', 94731),
(151006, 'PTHR10209:SF719', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', 94732),
(151007, 'PTHR45715', NULL, NULL, NULL, NULL, 'ATPASE H+-TRANSPORTING V1 SUBUNIT E1A-RELATED', 94733),
(151008, 'PTHR23155:SF909', NULL, NULL, NULL, NULL, 'OS11G0676100 PROTEIN', 94734),
(151009, 'PTHR13018:SF99', NULL, NULL, NULL, NULL, 'TO DEHYDRATION PROTEIN, PUTATIVE, EXPRESSED-RELATED', 94735),
(151010, 'PTHR21236:SF5', NULL, NULL, NULL, NULL, 'PROTEIN YIPF7', 94736),
(151011, 'PTHR24366:SF134', NULL, NULL, NULL, NULL, 'CHONDROADHERIN LIKE', 94737),
(151012, 'PTHR31104:SF9', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA- GLUCOSAMINYL)ASPARAGINE AMIDASE A-LIKE', 94738),
(151013, 'PTHR23155:SF1045', NULL, NULL, NULL, NULL, 'OS12G0205933 PROTEIN', 94739),
(151014, 'PTHR12652:SF22', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11A', 94740),
(151015, 'PTHR19433:SF127', NULL, NULL, NULL, NULL, 'NOVEL IMMUNE-TYPE RECEPTOR 12-RELATED', 94741),
(151016, 'PTHR12374:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYBS2', 94742),
(151017, 'PTHR10783:SF46', NULL, NULL, NULL, NULL, 'PROTEIN ERD1 HOMOLOG 1-RELATED', 94743),
(151018, 'PTHR31262:SF14', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN 1, CHLOROPLASTIC', 94744),
(151019, 'PTHR11827:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94745),
(151020, 'PTHR31149:SF10', NULL, NULL, NULL, NULL, 'OS05G0100900 PROTEIN', 94746),
(151021, 'PTHR31579:SF40', NULL, NULL, NULL, NULL, 'BNAA01G19160D PROTEIN', 94747),
(151022, 'PTHR12709:SF3', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE V SUBUNIT 7', 94748),
(151023, 'PTHR23257:SF745', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KINY-RELATED', 94749),
(151024, 'PTHR33110:SF56', NULL, NULL, NULL, NULL, 'OS09G0565350 PROTEIN', 94750),
(151025, 'PTHR15505:SF4', NULL, NULL, NULL, NULL, 'RIIA DOMAIN-CONTAINING PROTEIN 1', 94751),
(151026, 'PTHR11551', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR BINDING PROTEIN', 94752),
(151027, 'PTHR48018:SF89', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 94753),
(151028, 'PTHR20932:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94754),
(151029, 'PTHR10706:SF139', NULL, NULL, NULL, NULL, 'OS07G0535100 PROTEIN', 94755),
(151030, 'PTHR11654:SF188', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 3.1', 94756),
(151031, 'PTHR45850:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94757),
(151032, 'PTHR31736:SF18', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 94758),
(151033, 'PTHR24286:SF303', NULL, NULL, NULL, NULL, 'BNAA04G13480D PROTEIN', 94759),
(151034, 'PTHR31260:SF58', NULL, NULL, NULL, NULL, 'BNAC07G12930D PROTEIN', 94760),
(151035, 'PTHR33622', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 94761),
(151036, 'PTHR30537:SF32', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR DSDC', 94762),
(151037, 'PTHR43123', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 94763),
(151038, 'PTHR24418:SF390', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 94764),
(151039, 'PTHR37216', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 94765),
(151040, 'PTHR14596:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94766),
(151041, 'PTHR10627:SF66', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN-CONTAINING PROTEIN', 94767),
(151042, 'PTHR11627:SF48', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 94768),
(151043, 'PTHR33562:SF13', NULL, NULL, NULL, NULL, 'GEO08095P1', 94769),
(151044, 'PTHR11877:SF24', NULL, NULL, NULL, NULL, 'OS07G0526400 PROTEIN', 94770);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(151045, 'PTHR23501:SF55', NULL, NULL, NULL, NULL, 'SIDEROPHORE IRON TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03440)-RELATED', 94771),
(151046, 'PTHR48002:SF89', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4D11', 94772),
(151047, 'PTHR23281:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94773),
(151048, 'PTHR12939:SF4', NULL, NULL, NULL, NULL, 'GAMMA-SARCOGLYCAN', 94774),
(151049, 'PTHR22747:SF28', NULL, NULL, NULL, NULL, 'NUCLEOPHOSMIN', 94775),
(151050, 'PTHR10110:SF127', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 94776),
(151051, 'PTHR34950', NULL, NULL, NULL, NULL, 'OS04G0457400 PROTEIN', 94777),
(151052, 'PTHR14942:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94778),
(151053, 'PTHR45961:SF6', NULL, NULL, NULL, NULL, 'IP21249P', 94779),
(151054, 'PTHR33385:SF18', NULL, NULL, NULL, NULL, 'XRI1-LIKE PROTEIN', 94780),
(151055, 'PTHR48052:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94781),
(151056, 'PTHR36983', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 13', 94782),
(151057, 'PTHR47403:SF1', NULL, NULL, NULL, NULL, 'LOC100145250 PROTEIN', 94783),
(151058, 'PTHR31621:SF7', NULL, NULL, NULL, NULL, 'OS07G0407900 PROTEIN', 94784),
(151059, 'PTHR10835', NULL, NULL, NULL, NULL, 'SQUALENE MONOOXYGENASE', 94785),
(151060, 'PTHR23291:SF92', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 94786),
(151061, 'PTHR23360:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 94787),
(151062, 'PTHR42041:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94788),
(151063, 'PTHR27008:SF450', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 94789),
(151064, 'PTHR24320:SF222', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE TIC 32, CHLOROPLASTIC', 94790),
(151065, 'PTHR11134:SF9', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT BETA', 94791),
(151066, 'PTHR10743:SF17', NULL, NULL, NULL, NULL, 'PROTEIN RER1A', 94792),
(151067, 'PTHR47972:SF32', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14K', 94793),
(151068, 'PTHR16065', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN CONTAINING 198', 94794),
(151069, 'PTHR43107:SF7', NULL, NULL, NULL, NULL, 'LONG-CHAIN FATTY ACID TRANSPORT PROTEIN 1', 94795),
(151070, 'PTHR45665:SF42', NULL, NULL, NULL, NULL, 'BNAA01G28120D PROTEIN', 94796),
(151071, 'PTHR11360:SF277', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 22', 94797),
(151072, 'PTHR31228:SF28', NULL, NULL, NULL, NULL, 'BNACNNG63820D PROTEIN', 94798),
(151073, 'PTHR11661:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L12', 94799),
(151074, 'PTHR33110:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94800),
(151075, 'PTHR27007:SF309', NULL, NULL, NULL, NULL, 'BNAC09G35940D PROTEIN', 94801),
(151076, 'PTHR21726:SF59', NULL, NULL, NULL, NULL, 'DUF4378 DOMAIN PROTEIN', 94802),
(151077, 'PTHR47926:SF284', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 94803),
(151078, 'PTHR23267:SF432', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 2-11', 94804),
(151079, 'PTHR47549:SF1', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP38', 94805),
(151080, 'PTHR22808:SF23', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 94806),
(151081, 'PTHR33743:SF21', NULL, NULL, NULL, NULL, 'BNAC02G43300D PROTEIN', 94807),
(151082, 'PTHR48047:SF11', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73C3-RELATED', 94808),
(151083, 'PTHR35096', NULL, NULL, NULL, NULL, 'BNAA08G28570D PROTEIN', 94809),
(151084, 'PTHR31471:SF52', NULL, NULL, NULL, NULL, 'F12A21.28', 94810),
(151085, 'PTHR19957:SF124', NULL, NULL, NULL, NULL, 'HL02043P', 94811),
(151086, 'PTHR10693:SF59', NULL, NULL, NULL, NULL, 'G3BP-LIKE PROTEIN ISOFORM X1-RELATED', 94812),
(151087, 'PTHR10841:SF26', NULL, NULL, NULL, NULL, 'SYNAPSIN IIA', 94813),
(151088, 'PTHR15092:SF37', NULL, NULL, NULL, NULL, 'TARGET OF EGR1 PROTEIN 1', 94814),
(151089, 'PTHR43133:SF27', NULL, NULL, NULL, NULL, 'SLL0687 PROTEIN', 94815),
(151090, 'PTHR17609:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94816);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(151091, 'PTHR46086:SF20', NULL, NULL, NULL, NULL, 'BNAC09G17280D PROTEIN', 94817),
(151092, 'PTHR33638:SF4', NULL, NULL, NULL, NULL, 'BNAC04G36410D PROTEIN', 94818),
(151093, 'PTHR27002:SF509', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 16-RELATED', 94819),
(151094, 'PTHR23267:SF424', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94820),
(151095, 'PTHR23050:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94821),
(151096, 'PTHR35190:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94822),
(151097, 'PTHR47960:SF8', NULL, NULL, NULL, NULL, 'DEAD (ASP-GLU-ALA-ASP) BOX HELICASE 6', 94823),
(151098, 'PTHR24128:SF49', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 94824),
(151099, 'PTHR10877:SF145', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY DISEASE PROTEIN 1-LIKE 1', 94825),
(151100, 'PTHR14167:SF89', NULL, NULL, NULL, NULL, 'ENDOPHILIN-A', 94826),
(151101, 'PTHR31388:SF137', NULL, NULL, NULL, NULL, 'PEROXIDASE', 94827),
(151102, 'PTHR10366:SF241', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY 42E MEMBER 2-RELATED', 94828),
(151103, 'PTHR33356', NULL, NULL, NULL, NULL, 'TIP41-LIKE PROTEIN', 94829),
(151104, 'PTHR31639:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94830),
(151105, 'PTHR45721:SF11', NULL, NULL, NULL, NULL, 'LAMIN DM0-RELATED', 94831),
(151106, 'PTHR12548:SF22', NULL, NULL, NULL, NULL, 'BNACNNG78250D PROTEIN', 94832),
(151107, 'PTHR30185', NULL, NULL, NULL, NULL, 'CRYPTIC BETA-GLUCOSIDE BGL OPERON ANTITERMINATOR', 94833),
(151108, 'PTHR11088:SF72', NULL, NULL, NULL, NULL, 'BNAC09G38810D PROTEIN', 94834),
(151109, 'PTHR15750', NULL, NULL, NULL, NULL, 'VASOHIBIN-1-LIKE ISOFORM X2', 94835),
(151110, 'PTHR11132:SF443', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 94836),
(151111, 'PTHR21525', NULL, NULL, NULL, NULL, 'MOTILE SPERM PROTEIN', 94837),
(151112, 'PTHR16223:SF261', NULL, NULL, NULL, NULL, 'OS08G0506700 PROTEIN', 94838),
(151113, 'PTHR10217:SF635', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 6', 94839),
(151114, 'PTHR10266:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME C1-2, HEME PROTEIN, MITOCHONDRIAL-LIKE', 94840),
(151115, 'PTHR14469:SF4', NULL, NULL, NULL, NULL, 'SIMILAR TO CHROMOSOME 20 OPEN READING FRAME 81', 94841),
(151116, 'PTHR44177:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 8', 94842),
(151117, 'PTHR48053:SF32', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', 94843),
(151118, 'PTHR19446:SF434', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94844),
(151119, 'PTHR15361:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR UBIQUITOUS CASEIN AND CYCLIN-DEPENDENT KINASE SUBSTRATE 1', 94845),
(151120, 'PTHR32448:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94846),
(151121, 'PTHR15905:SF1', NULL, NULL, NULL, NULL, 'GOLGI-ASSOCIATED KINASE 1B', 94847),
(151122, 'PTHR11426:SF235', NULL, NULL, NULL, NULL, 'BNAA10G30060D PROTEIN', 94848),
(151123, 'PTHR36696:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94849),
(151124, 'PTHR14095:SF17', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B''''EPSILON-RELATED', 94850),
(151125, 'PTHR13620:SF42', NULL, NULL, NULL, NULL, 'EXONUCLEASE MUT-7 HOMOLOG', 94851),
(151126, 'PTHR31415:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94852),
(151127, 'PTHR46929:SF18', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 94853),
(151128, 'PTHR42941:SF1', NULL, NULL, NULL, NULL, 'SLL1037 PROTEIN', 94854),
(151129, 'PTHR33044:SF196', NULL, NULL, NULL, NULL, 'BNAC04G26440D PROTEIN', 94855),
(151130, 'PTHR31734:SF186', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 94856),
(151131, 'PTHR31307:SF43', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASIL2-LIKE', 94857),
(151132, 'PTHR24231:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94858),
(151133, 'PTHR22780:SF40', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT ALPHA', 94859),
(151134, 'PTHR24206', NULL, NULL, NULL, NULL, 'OS06G0237300 PROTEIN', 94860);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(151135, 'PTHR43337:SF13', NULL, NULL, NULL, NULL, 'ADENINE/GUANINE PERMEASE AZG2', 94861),
(151136, 'PTHR11011:SF77', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 94862),
(151137, 'PTHR15592:SF20', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN L', 94863),
(151138, 'PTHR31903:SF21', NULL, NULL, NULL, NULL, 'BNAANNG30210D PROTEIN', 94864),
(151139, 'PTHR15486:SF54', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 7', 94865),
(151140, 'PTHR10417:SF3', NULL, NULL, NULL, NULL, 'GLUCOCORTICOID MODULATORY ELEMENT-BINDING PROTEIN 1', 94866),
(151141, 'PTHR21497', NULL, NULL, NULL, NULL, 'UBIQUITIN LIGASE E3 ALPHA-RELATED', 94867),
(151142, 'PTHR33306:SF22', NULL, NULL, NULL, NULL, 'PERIPHERAL-TYPE BENZODIAZEPINE RECEPTOR-ASSOCIATED PROTEIN 1', 94868),
(151143, 'PTHR12227:SF0', NULL, NULL, NULL, NULL, 'GLYCERATE KINASE', 94869),
(151144, 'PTHR31669:SF224', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94870),
(151145, 'PTHR44916:SF4', NULL, NULL, NULL, NULL, 'BNAC05G40850D PROTEIN', 94871),
(151146, 'PTHR24100:SF124', NULL, NULL, NULL, NULL, 'SI:DKEY-169I5.4-RELATED', 94872),
(151147, 'PTHR31694:SF15', NULL, NULL, NULL, NULL, 'DESICCATION-RELATED PROTEIN PCC13-62-LIKE', 94873),
(151148, 'PTHR43523:SF2', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE', 94874),
(151149, 'PTHR12802:SF117', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 2', 94875),
(151150, 'PTHR43010', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN SLR1230', 94876),
(151151, 'PTHR18860:SF14', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN SIGMA', 94877),
(151152, 'PTHR27003:SF286', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', 94878),
(151153, 'PTHR31096:SF53', NULL, NULL, NULL, NULL, 'ACT-DOMAIN REPEAT PROTEIN 8', 94879),
(151154, 'PTHR42840:SF7', NULL, NULL, NULL, NULL, 'BINDING ROSSMANN FOLD OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G10190)-RELATED', 94880),
(151155, 'PTHR24366:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94881),
(151156, 'PTHR32080:SF47', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 42', 94882),
(151157, 'PTHR10075:SF45', NULL, NULL, NULL, NULL, 'CONTACTIN-6', 94883),
(151158, 'PTHR31071:SF51', NULL, NULL, NULL, NULL, 'F11F12.2-LIKE PROTEIN', 94884),
(151159, 'PTHR10353:SF282', NULL, NULL, NULL, NULL, 'BNAC04G11830D PROTEIN', 94885),
(151160, 'PTHR33373:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94886),
(151161, 'PTHR31342:SF44', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC-LIKE', 94887),
(151162, 'PTHR12696:SF2', NULL, NULL, NULL, NULL, 'CULLIN-ASSOCIATED NEDD8-DISSOCIATED PROTEIN 2', 94888),
(151163, 'PTHR23128:SF137', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 94889),
(151164, 'PTHR22762:SF104', NULL, NULL, NULL, NULL, 'SI:CH73-12O23.1', 94890),
(151165, 'PTHR47966:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94891),
(151166, 'PTHR31343:SF8', NULL, NULL, NULL, NULL, 'OS07G0246600 PROTEIN', 94892),
(151167, 'PTHR12861', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN, BETA SUBUNIT PRECURSOR  TRAP-BETA   SIGNAL SEQUENCE RECEPTOR BETA SUBUNIT', 94893),
(151168, 'PTHR31813:SF16', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 23A', 94894),
(151169, 'PTHR31465:SF29', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17890)-RELATED', 94895),
(151170, 'PTHR45642:SF75', NULL, NULL, NULL, NULL, 'OS09G0540400 PROTEIN', 94896),
(151171, 'PTHR31992:SF180', NULL, NULL, NULL, NULL, 'ZINC FINGER, DOF-TYPE-RELATED', 94897),
(151172, 'PTHR14074:SF14', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED HELICASE C DOMAIN-CONTAINING PROTEIN 1', 94898),
(151173, 'PTHR23024:SF516', NULL, NULL, NULL, NULL, 'ISOPRENYLCYSTEINE ALPHA-CARBONYL METHYLESTERASE ICMEL1-RELATED', 94899),
(151174, 'PTHR46013:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94900),
(151175, 'PTHR31009:SF115', NULL, NULL, NULL, NULL, 'BNAC07G15660D PROTEIN', 94901),
(151176, 'PTHR24258:SF129', NULL, NULL, NULL, NULL, 'SD22430P', 94902),
(151177, 'PTHR47975:SF32', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 94903);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(151178, 'PTHR23324:SF42', NULL, NULL, NULL, NULL, 'SEC14-LIKE PROTEIN 4', 94904),
(151179, 'PTHR46033:SF29', NULL, NULL, NULL, NULL, 'OS06G0232700 PROTEIN', 94905),
(151180, 'PTHR12626:SF0', NULL, NULL, NULL, NULL, 'LD21074P', 94906),
(151181, 'PTHR22799', NULL, NULL, NULL, NULL, 'TETRANECTIN-RELATED', 94907),
(151182, 'PTHR19370:SF101', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', 94908),
(151183, 'PTHR13817:SF135', NULL, NULL, NULL, NULL, 'TITIN', 94909),
(151184, 'PTHR42861', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 94910),
(151185, 'PTHR31218:SF281', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 94911),
(151186, 'PTHR10766:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 1', 94912),
(151187, 'PTHR33840:SF1', NULL, NULL, NULL, NULL, 'BLL1337 PROTEIN', 94913),
(151188, 'PTHR46523', NULL, NULL, NULL, NULL, 'DCTP PYROPHOSPHATASE 1', 94914),
(151189, 'PTHR23360:SF15', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 94915),
(151190, 'PTHR33745:SF3', NULL, NULL, NULL, NULL, 'RSBT CO-ANTAGONIST PROTEIN RSBRC', 94916),
(151191, 'PTHR47068', NULL, NULL, NULL, NULL, 'OS02G0659100 PROTEIN', 94917),
(151192, 'PTHR46110', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HMX', 94918),
(151193, 'PTHR26450:SF138', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 94919),
(151194, 'PTHR12929:SF6', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 52, RIBOFLAVIN TRANSPORTER, MEMBER 3-B', 94920),
(151195, 'PTHR24260:SF28', NULL, NULL, NULL, NULL, 'RH69521P', 94921),
(151196, 'PTHR45714:SF54', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER, HOMEOBOX-ASSOCIATED, HOMEODOMAIN-LIKE PROTEIN-RELATED', 94922),
(151197, 'PTHR33306:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 94923),
(151198, 'PTHR35540:SF1', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 1', 94924),
(151199, 'PTHR47993:SF142', NULL, NULL, NULL, NULL, 'BNACNNG73460D PROTEIN', 94925),
(151200, 'PTHR10231:SF91', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 3', 94926),
(151201, 'PTHR19343:SF14', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 13-1', 94927),
(151202, 'PTHR26453:SF614', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 94928),
(151203, 'PTHR13140:SF802', NULL, NULL, NULL, NULL, 'MYOSIN IB', 94929),
(151204, 'PTHR31080:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94930),
(151205, 'PTHR36773:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 94931),
(151206, 'PTHR35800:SF1', NULL, NULL, NULL, NULL, 'PROTEIN JAG', 94932),
(151207, 'PTHR45717:SF40', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 94933),
(151208, 'PTHR39322:SF1', NULL, NULL, NULL, NULL, 'ACYL-HOMOSERINE-LACTONE SYNTHASE', 94934),
(151209, 'PTHR11890:SF10', NULL, NULL, NULL, NULL, 'X-LINKED INTERLEUKIN-1 RECEPTOR ACCESSORY PROTEIN-LIKE 2', 94935),
(151210, 'PTHR33286:SF39', NULL, NULL, NULL, NULL, 'BNAA08G12850D PROTEIN', 94936),
(151211, 'PTHR33155:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94937),
(151212, 'PTHR33146:SF24', NULL, NULL, NULL, NULL, 'BNAA09G47700D PROTEIN', 94938),
(151213, 'PTHR22930:SF135', NULL, NULL, NULL, NULL, 'OS01G0838900 PROTEIN', 94939),
(151214, 'PTHR35255', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 71', 94940),
(151215, 'PTHR46006', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR AT 64C, ISOFORM A', 94941),
(151216, 'PTHR11733:SF206', NULL, NULL, NULL, NULL, 'IP12942P', 94942),
(151217, 'PTHR23087:SF13', NULL, NULL, NULL, NULL, 'NON-HISTONE CHROMOSOMAL PROTEIN HMG-17', 94943),
(151218, 'PTHR45935:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94944),
(151219, 'PTHR31713:SF48', NULL, NULL, NULL, NULL, 'PROTEIN SAR DEFICIENT 1-LIKE', 94945),
(151220, 'PTHR12396:SF40', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 5', 94946),
(151221, 'PTHR23308:SF56', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 94947),
(151222, 'PTHR34189', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 94948),
(151223, 'PTHR31228:SF26', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', 94949);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(151224, 'PTHR24028:SF279', NULL, NULL, NULL, NULL, 'CADHERIN-23', 94950),
(151225, 'PTHR33102:SF59', NULL, NULL, NULL, NULL, 'ROTUNDIFOLIA-LIKE PROTEIN', 94951),
(151226, 'PTHR24388:SF79', NULL, NULL, NULL, NULL, 'IP14660P-RELATED', 94952),
(151227, 'PTHR45643:SF1', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE', 94953),
(151228, 'PTHR30163', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND LYTIC MUREIN TRANSGLYCOSYLASE B', 94954),
(151229, 'PTHR10909:SF250', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 94955),
(151230, 'PTHR23227:SF74', NULL, NULL, NULL, NULL, 'CRANIOFACIAL DEVELOPMENT PROTEIN 2', 94956),
(151231, 'PTHR10556:SF37', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE 2', 94957),
(151232, 'PTHR22950:SF649', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', 94958),
(151233, 'PTHR38773:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SPRT', 94959),
(151234, 'PTHR16656:SF5', NULL, NULL, NULL, NULL, 'ALPHA-S2-CASEIN-LIKE B', 94960),
(151235, 'PTHR10528:SF17', NULL, NULL, NULL, NULL, 'AF4/FMR2 FAMILY MEMBER 4', 94961),
(151236, 'PTHR48053:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94962),
(151237, 'PTHR31636:SF16', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 28', 94963),
(151238, 'PTHR12547:SF136', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 12-LIKE', 94964),
(151239, 'PTHR10795:SF710', NULL, NULL, NULL, NULL, 'SUBTILISIN3', 94965),
(151240, 'PTHR24281:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94966),
(151241, 'PTHR31159:SF1', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 3', 94967),
(151242, 'PTHR12906:SF0', NULL, NULL, NULL, NULL, 'RAB5-INTERACTING FACTOR', 94968),
(151243, 'PTHR31996:SF3', NULL, NULL, NULL, NULL, 'BNAC07G15180D PROTEIN', 94969),
(151244, 'PTHR10183:SF394', NULL, NULL, NULL, NULL, 'CALPAIN-C', 94970),
(151245, 'PTHR46333:SF3', NULL, NULL, NULL, NULL, 'KYPHOSCOLIOSIS PEPTIDASE', 94971),
(151246, 'PTHR27005:SF288', NULL, NULL, NULL, NULL, 'OS04G0371200 PROTEIN', 94972),
(151247, 'PTHR30451:SF10', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE USHER PROTEIN YFCU-RELATED', 94973),
(151248, 'PTHR46866', NULL, NULL, NULL, NULL, 'GH12955P', 94974),
(151249, 'PTHR37017', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 94975),
(151250, 'PTHR47991:SF116', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 94976),
(151251, 'PTHR34996', NULL, NULL, NULL, NULL, 'OS06G0327400 PROTEIN', 94977),
(151252, 'PTHR11610:SF164', NULL, NULL, NULL, NULL, 'GH15759P-RELATED', 94978),
(151253, 'PTHR32499:SF9', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 15', 94979),
(151254, 'PTHR45763:SF47', NULL, NULL, NULL, NULL, 'BNAA02G05670D PROTEIN', 94980),
(151255, 'PTHR31008:SF7', NULL, NULL, NULL, NULL, 'COP1-INTERACTING PROTEIN 7 (CIP7)-LIKE PROTEIN', 94981),
(151256, 'PTHR19375:SF382', NULL, NULL, NULL, NULL, 'HEAT SHOCK-RELATED 70 KDA PROTEIN 2', 94982),
(151257, 'PTHR15527:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM6 HOMOLOG', 94983),
(151258, 'PTHR43666:SF1', NULL, NULL, NULL, NULL, 'TLDD PROTEIN', 94984),
(151259, 'PTHR42038:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94985),
(151260, 'PTHR45665:SF37', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP2-2-RELATED', 94986),
(151261, 'PTHR31442:SF21', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', 94987),
(151262, 'PTHR31391:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94988),
(151263, 'PTHR47991:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 94989),
(151264, 'PTHR47956:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A21-RELATED', 94990),
(151265, 'PTHR43441:SF7', NULL, NULL, NULL, NULL, 'RIBOSOMAL N-ACETYLTRANSFERASE YDAF-RELATED', 94991),
(151266, 'PTHR47993:SF48', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 37-RELATED', 94992),
(151267, 'PTHR36305:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROPHOSPHATASE A', 94993),
(151268, 'PTHR23271:SF3', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 6 HOMOLOG', 94994),
(151269, 'PTHR12629:SF58', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 12, MITOCHONDRIAL', 94995);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(151270, 'PTHR47255:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CYTOKININ-RESPONSIVE GATA TRANSCRIPTION FACTOR 1-LIKE', 94996),
(151271, 'PTHR48002:SF148', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 94997),
(151272, 'PTHR10404:SF72', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE TRE2-RELATED', 94998),
(151273, 'PTHR47323:SF4', NULL, NULL, NULL, NULL, 'FLP-2 RECEPTOR', 94999),
(151274, 'PTHR31651:SF19', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 3-RELATED', 95000),
(151275, 'PTHR15176', NULL, NULL, NULL, NULL, 'NEPHROCYSTIN', 95001),
(151276, 'PTHR11328:SF48', NULL, NULL, NULL, NULL, 'BNAC04G49540D PROTEIN', 95002),
(151277, 'PTHR30622:SF3', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-DIPHOSPHATASE', 95003),
(151278, 'PTHR11384:SF55', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER, SUBFAMILY D, MEMBER 9, SMABCD9', 95004),
(151279, 'PTHR43634:SF2', NULL, NULL, NULL, NULL, 'LOW CONDUCTANCE MECHANOSENSITIVE CHANNEL YNAI', 95005),
(151280, 'PTHR14511:SF7', NULL, NULL, NULL, NULL, 'RETINOIC ACID-INDUCED PROTEIN 3', 95006),
(151281, 'PTHR41260', NULL, NULL, NULL, NULL, 'PROTEIN ECSC', 95007),
(151282, 'PTHR10218:SF336', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-3 SUBUNIT', 95008),
(151283, 'PTHR31549:SF188', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED', 95009),
(151284, 'PTHR31589:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95010),
(151285, 'PTHR24409:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95011),
(151286, 'PTHR10108:SF1102', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT28-RELATED', 95012),
(151287, 'PTHR11210:SF49', NULL, NULL, NULL, NULL, 'BNAC09G37280D PROTEIN', 95013),
(151288, 'PTHR10996:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95014),
(151289, 'PTHR45675:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95015),
(151290, 'PTHR23113:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95016),
(151291, 'PTHR26379:SF238', NULL, NULL, NULL, NULL, 'OS08G0523100 PROTEIN', 95017),
(151292, 'PTHR33207:SF68', NULL, NULL, NULL, NULL, 'CYCLOARTENOL SYNTHASE', 95018),
(151293, 'PTHR24409:SF336', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 280A', 95019),
(151294, 'PTHR13593:SF95', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASE SUPERFAMILY PROTEIN', 95020),
(151295, 'PTHR32208:SF79', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH, BETA-PROPELLER, GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', 95021),
(151296, 'PTHR14843:SF2', NULL, NULL, NULL, NULL, 'DEUBIQUITINATING PROTEIN VCIP135', 95022),
(151297, 'PTHR33505:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PREY, MITOCHONDRIAL ISOFORM 2', 95023),
(151298, 'PTHR28017:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD3', 95024),
(151299, 'PTHR31183:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 53', 95025),
(151300, 'PTHR24166:SF43', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TNNI3K', 95026),
(151301, 'PTHR14217:SF21', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', 95027),
(151302, 'PTHR12420:SF31', NULL, NULL, NULL, NULL, 'RAB6A, MEMBER RAS ONCOGENE FAMILY-RELATED', 95028),
(151303, 'PTHR47123:SF2', NULL, NULL, NULL, NULL, 'LOW PROTEIN: F-BOX/KELCH-REPEAT PROTEIN', 95029),
(151304, 'PTHR11907:SF25', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE', 95030),
(151305, 'PTHR12674:SF2', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 5', 95031),
(151306, 'PTHR23130:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95032),
(151307, 'PTHR21228:SF4', NULL, NULL, NULL, NULL, 'FAS-ACTIVATED SERINE/THREONINE KINASE', 95033),
(151308, 'PTHR30330:SF1', NULL, NULL, NULL, NULL, 'AMINO-ACID CARRIER PROTEIN ALST', 95034),
(151309, 'PTHR12613:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95035),
(151310, 'PTHR31314:SF99', NULL, NULL, NULL, NULL, 'MYB-LIKE HTH TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN-RELATED', 95036),
(151311, 'PTHR32468:SF106', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE', 95037),
(151312, 'PTHR42985:SF4', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED PERMEASE-RELATED', 95038),
(151313, 'PTHR31101', NULL, NULL, NULL, NULL, 'UPF0547 PROTEIN C16ORF87', 95039);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(151314, 'PTHR13923:SF32', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN, ANCESTRAL COATOMER ELEMENT 1, SEC16/SEC31-RELATED', 95040),
(151315, 'PTHR19317:SF67', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN G1', 95041),
(151316, 'PTHR37823', NULL, NULL, NULL, NULL, 'CYTOCHROME C-553-LIKE', 95042),
(151317, 'PTHR15977', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 95043),
(151318, 'PTHR38765', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 95044),
(151319, 'PTHR16771:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95045),
(151320, 'PTHR11911:SF74', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE 1', 95046),
(151321, 'PTHR21212:SF7', NULL, NULL, NULL, NULL, 'SEIPIN-3', 95047),
(151322, 'PTHR15036:SF70', NULL, NULL, NULL, NULL, 'CONTACTIN-ASSOCIATED PROTEIN LIKE 5-1-RELATED', 95048),
(151323, 'PTHR10492:SF72', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 95049),
(151324, 'PTHR31080:SF157', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 95050),
(151325, 'PTHR10352:SF59', NULL, NULL, NULL, NULL, 'NUCLEOLIN-LIKE ISOFORM X1', 95051),
(151326, 'PTHR22802:SF261', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 10 MEMBER A-RELATED', 95052),
(151327, 'PTHR24392', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 95053),
(151328, 'PTHR22765:SF322', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZNRF4', 95054),
(151329, 'PTHR31045:SF32', NULL, NULL, NULL, NULL, 'TERPENOID SYNTHASE 28-RELATED', 95055),
(151330, 'PTHR13999', NULL, NULL, NULL, NULL, 'INTERFERON INDUCIBLE TRANSMEMBRANE PROTEIN', 95056),
(151331, 'PTHR11620:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95057),
(151332, 'PTHR47226:SF3', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT DOMAIN-CONTAINING PROTEIN 4A', 95058),
(151333, 'PTHR32444:SF91', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN, BULB-TYPE LECTIN DOMAIN PROTEIN-RELATED', 95059),
(151334, 'PTHR24253:SF52', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11C', 95060),
(151335, 'PTHR31218:SF233', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 95061),
(151336, 'PTHR23036:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95062),
(151337, 'PTHR18884:SF69', NULL, NULL, NULL, NULL, 'LD28935P-RELATED', 95063),
(151338, 'PTHR45831', NULL, NULL, NULL, NULL, 'LD24721P', 95064),
(151339, 'PTHR35022:SF6', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE PROTEIN EXT1', 95065),
(151340, 'PTHR33570:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95066),
(151341, 'PTHR34397:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95067),
(151342, 'PTHR23023:SF208', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 95068),
(151343, 'PTHR45959:SF8', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', 95069),
(151344, 'PTHR33560', NULL, NULL, NULL, NULL, 'PROTEIN FAM227B', 95070),
(151345, 'PTHR14398:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 26', 95071),
(151346, 'PTHR46419:SF8', NULL, NULL, NULL, NULL, 'BNAC03G14640D PROTEIN', 95072),
(151347, 'PTHR31087:SF118', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 2B FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 95073),
(151348, 'PTHR24209:SF28', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)-RELATED', 95074),
(151349, 'PTHR12411:SF791', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE-LIKE PROTEIN-RELATED', 95075),
(151350, 'PTHR12320:SF71', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 95076),
(151351, 'PTHR11064:SF134', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-2-RELATED', 95077),
(151352, 'PTHR34458:SF17', NULL, NULL, NULL, NULL, 'BNAA08G19300D PROTEIN', 95078),
(151353, 'PTHR10529:SF234', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT MU-2', 95079),
(151354, 'PTHR31969:SF52', NULL, NULL, NULL, NULL, 'BNAA02G32910D PROTEIN', 95080),
(151355, 'PTHR24070:SF251', NULL, NULL, NULL, NULL, 'RAS GTPASE-RELATED', 95081),
(151356, 'PTHR48049:SF54', NULL, NULL, NULL, NULL, 'SOYASAPOGENOL B GLUCURONIDE GALACTOSYLTRANSFERASE-RELATED', 95082),
(151357, 'PTHR34446:SF5', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 10-LIKE PROTEIN 1', 95083);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(151358, 'PTHR32444:SF6', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN PROTEIN WITH APPLE-LIKE CARBOHYDRATE-BINDING DOMAIN-CONTAINING PROTEIN', 95084),
(151359, 'PTHR19282:SF381', NULL, NULL, NULL, NULL, 'TETRASPANIN', 95085),
(151360, 'PTHR48002:SF117', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 95086),
(151361, 'PTHR42912:SF67', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TPCH', 95087),
(151362, 'PTHR26452:SF388', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 14K1', 95088),
(151363, 'PTHR14754:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 2', 95089),
(151364, 'PTHR22996:SF22', NULL, NULL, NULL, NULL, 'SI:DKEY-49C17.3', 95090),
(151365, 'PTHR46316', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-1', 95091),
(151366, 'PTHR45706:SF3', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 21', 95092),
(151367, 'PTHR23021:SF81', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 95093),
(151368, 'PTHR12837:SF8', NULL, NULL, NULL, NULL, 'POLY (ADP-RIBOSE) GLYCOHYDROLASE A-RELATED', 95094),
(151369, 'PTHR21700:SF38', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 95095),
(151370, 'PTHR14221:SF11', NULL, NULL, NULL, NULL, 'OSJNBA0064G10.23 PROTEIN', 95096),
(151371, 'PTHR30126:SF81', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ILVY', 95097),
(151372, 'PTHR12223:SF31', NULL, NULL, NULL, NULL, 'PROTEIN ERGIC-53-LIKE', 95098),
(151373, 'PTHR18820:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 9 C6ORF58 HOMOLOG', 95099),
(151374, 'PTHR24104:SF24', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 2', 95100),
(151375, 'PTHR16223:SF153', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH68-LIKE ISOFORM X1', 95101),
(151376, 'PTHR45886:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 95102),
(151377, 'PTHR46972', NULL, NULL, NULL, NULL, 'MONOOXYGENASE ASQM-RELATED', 95103),
(151378, 'PTHR41299', NULL, NULL, NULL, NULL, 'THIAMINE PYROPHOSPHOKINASE', 95104),
(151379, 'PTHR15172:SF1', NULL, NULL, NULL, NULL, 'GALACTOCEREBROSIDASE', 95105),
(151380, 'PTHR12683:SF14', NULL, NULL, NULL, NULL, 'BNAA03G51060D PROTEIN', 95106),
(151381, 'PTHR19960:SF26', NULL, NULL, NULL, NULL, 'TEKTIN 4', 95107),
(151382, 'PTHR28657:SF2', NULL, NULL, NULL, NULL, 'INDOLEAMINE 2,3-DIOXYGENASE 1', 95108),
(151383, 'PTHR24349:SF332', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE', 95109),
(151384, 'PTHR45647:SF99', NULL, NULL, NULL, NULL, 'OS02G0665800 PROTEIN', 95110),
(151385, 'PTHR31675:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 6', 95111),
(151386, 'PTHR12321:SF120', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 4-LIKE', 95112),
(151387, 'PTHR33657:SF6', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN', 95113),
(151388, 'PTHR11439:SF356', NULL, NULL, NULL, NULL, 'RLK (RECEPTOR-LIKE PROTEIN KINASE) 8, PUTATIVE-RELATED', 95114),
(151389, 'PTHR43085:SF36', NULL, NULL, NULL, NULL, 'FRUCTOKINASE-4-RELATED', 95115),
(151390, 'PTHR44888:SF1', NULL, NULL, NULL, NULL, 'HEPACAM FAMILY MEMBER 2', 95116),
(151391, 'PTHR45668:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7', 95117),
(151392, 'PTHR10003:SF66', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN]', 95118),
(151393, 'PTHR10177:SF345', NULL, NULL, NULL, NULL, 'CYCLIN-A3-2', 95119),
(151394, 'PTHR45721:SF7', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFB-2', 95120),
(151395, 'PTHR45868:SF12', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 36', 95121),
(151396, 'PTHR12411:SF803', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95122),
(151397, 'PTHR23360:SF32', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 95123),
(151398, 'PTHR46109:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95124),
(151399, 'PTHR31203:SF1', NULL, NULL, NULL, NULL, 'BETA-KERATIN-RELATED PROTEIN-RELATED', 95125),
(151400, 'PTHR45769:SF10', NULL, NULL, NULL, NULL, 'BNACNNG02900D PROTEIN', 95126),
(151401, 'PTHR12300:SF57', NULL, NULL, NULL, NULL, 'PROTEIN A, PUTATIVE ISOFORM 1-RELATED', 95127);
INSERT INTO "PUBLIC"."MODEL" VALUES
(151402, 'PTHR34213', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN', 95128),
(151403, 'PTHR31375:SF111', NULL, NULL, NULL, NULL, 'OS01G0329300 PROTEIN', 95129),
(151404, 'PTHR10585:SF33', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR 3', 95130),
(151405, 'PTHR11043:SF27', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-2', 95131),
(151406, 'PTHR23504:SF108', NULL, NULL, NULL, NULL, 'HIPPOCAMPUS ABUNDANT TRANSCRIPT-LIKE PROTEIN 1', 95132),
(151407, 'PTHR35046:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95133),
(151408, 'PTHR11042:SF146', NULL, NULL, NULL, NULL, 'PROTEIN KINASE DDB_G0291133-RELATED', 95134),
(151409, 'PTHR19957:SF227', NULL, NULL, NULL, NULL, 'OS11G0168100 PROTEIN', 95135),
(151410, 'PTHR11802:SF46', NULL, NULL, NULL, NULL, 'OS11G0431700 PROTEIN', 95136),
(151411, 'PTHR46907', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-7-RELATED', 95137),
(151412, 'PTHR31062:SF211', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 95138),
(151413, 'PTHR13844:SF72', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING PROTEIN 1 ISOFORM X1', 95139),
(151414, 'PTHR11655:SF38', NULL, NULL, NULL, NULL, 'BNAA10G03220D PROTEIN', 95140),
(151415, 'PTHR42904:SF8', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE DOMAIN-LIKE', 95141),
(151416, 'PTHR24012:SF760', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 1-RELATED', 95142),
(151417, 'PTHR10336', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE-SPECIFIC PHOSPHOLIPASE C FAMILY PROTEIN', 95143),
(151418, 'PTHR31469', NULL, NULL, NULL, NULL, 'OS07G0633600 PROTEIN', 95144),
(151419, 'PTHR24006:SF714', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 46', 95145),
(151420, 'PTHR12704:SF2', NULL, NULL, NULL, NULL, 'GOLGI PHOSPHOPROTEIN 3 HOMOLOG SAURON', 95146),
(151421, 'PTHR15696:SF0', NULL, NULL, NULL, NULL, 'TELOMERASE-BINDING PROTEIN EST1A', 95147),
(151422, 'PTHR42907:SF4', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE SYNTHASE', 95148),
(151423, 'PTHR24064:SF571', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95149),
(151424, 'PTHR47944:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME P-450 19', 95150),
(151425, 'PTHR47924:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95151),
(151426, 'PTHR15491:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ON ECDYSONE PUFFS', 95152),
(151427, 'PTHR32343:SF6', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 11', 95153),
(151428, 'PTHR24637:SF288', NULL, NULL, NULL, NULL, 'SQUAT', 95154),
(151429, 'PTHR15241:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95155),
(151430, 'PTHR35104:SF6', NULL, NULL, NULL, NULL, 'OS03G0807000 PROTEIN', 95156),
(151431, 'PTHR23005', NULL, NULL, NULL, NULL, 'RETINITIS PIGMENTOSA 1 PROTEIN', 95157),
(151432, 'PTHR43513:SF1', NULL, NULL, NULL, NULL, 'ANAEROBIC SULFITE REDUCTASE SUBUNIT B', 95158),
(151433, 'PTHR48147:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG23787', 95159),
(151434, 'PTHR46153', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 95160),
(151435, 'PTHR23220:SF122', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-PS1', 95161),
(151436, 'PTHR36154:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL ACTIVATOR ALPA', 95162),
(151437, 'PTHR45958:SF2', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 95163),
(151438, 'PTHR10766:SF106', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 95164),
(151439, 'PTHR45665:SF6', NULL, NULL, NULL, NULL, 'AQP8A PROTEIN', 95165),
(151440, 'PTHR22937:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95166),
(151441, 'PTHR43791:SF46', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G06290)-RELATED', 95167),
(151442, 'PTHR10110:SF158', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 95168),
(151443, 'PTHR45974:SF23', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 95169),
(151444, 'PTHR12751:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATASE AND ACTIN REGULATOR 1', 95170),
(151445, 'PTHR37180:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 95171);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(151446, 'PTHR43302:SF12', NULL, NULL, NULL, NULL, 'TRANSPORTER ARSB-RELATED', 95172),
(151447, 'PTHR37696', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE-RELATED', 95173),
(151448, 'PTHR47993:SF131', NULL, NULL, NULL, NULL, 'BNAC03G41780D PROTEIN', 95174),
(151449, 'PTHR47361:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95175),
(151450, 'PTHR42790:SF5', NULL, NULL, NULL, NULL, 'AROMATIC AMINO ACID AMINOTRANSFERASE DDB_G0272014', 95176),
(151451, 'PTHR31257:SF2', NULL, NULL, NULL, NULL, 'RICIN B-LIKE LECTIN EULS3', 95177),
(151452, 'PTHR31729:SF6', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF011', 95178),
(151453, 'PTHR30417', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE AMID', 95179),
(151454, 'PTHR48017:SF180', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 1-LIKE', 95180),
(151455, 'PTHR11777:SF32', NULL, NULL, NULL, NULL, 'ALANINE--TRNA LIGASE', 95181),
(151456, 'PTHR10442:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', 95182),
(151457, 'PTHR10816:SF10', NULL, NULL, NULL, NULL, 'MYELIN TRANSCRIPTION FACTOR 1', 95183),
(151458, 'PTHR10352:SF32', NULL, NULL, NULL, NULL, 'AGAP003172-PA', 95184),
(151459, 'PTHR31713:SF63', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN60-RELATED', 95185),
(151460, 'PTHR43574:SF49', NULL, NULL, NULL, NULL, 'BNAC03G74010D PROTEIN', 95186),
(151461, 'PTHR33869:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95187),
(151462, 'PTHR47993:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95188),
(151463, 'PTHR11851:SF210', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA-LIKE', 95189),
(151464, 'PTHR22237:SF1', NULL, NULL, NULL, NULL, 'APC MEMBRANE RECRUITMENT PROTEIN 2', 95190),
(151465, 'PTHR31790:SF315', NULL, NULL, NULL, NULL, 'OS07G0268000 PROTEIN', 95191),
(151466, 'PTHR31369:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG03069', 95192),
(151467, 'PTHR32141:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95193),
(151468, 'PTHR13720:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95194),
(151469, 'PTHR37879:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH TAIL PROTEIN 1', 95195),
(151470, 'PTHR15315:SF74', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NRDP1', 95196),
(151471, 'PTHR12157:SF18', NULL, NULL, NULL, NULL, 'REGULATING SYNAPTIC MEMBRANE EXOCYTOSIS PROTEIN 1-RELATED', 95197),
(151472, 'PTHR37260', NULL, NULL, NULL, NULL, 'PHOSPHORELAY PROTEIN', 95198),
(151473, 'PTHR11751:SF471', NULL, NULL, NULL, NULL, 'ALANINE AMINOTRANSFERASE 2', 95199),
(151474, 'PTHR12011:SF61', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L2', 95200),
(151475, 'PTHR35528', NULL, NULL, NULL, NULL, 'BLL1675 PROTEIN', 95201),
(151476, 'PTHR10168:SF251', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C9-LIKE', 95202),
(151477, 'PTHR14060:SF8', NULL, NULL, NULL, NULL, 'PROTEIN P13 MTCP-1', 95203),
(151478, 'PTHR10825:SF76', NULL, NULL, NULL, NULL, 'POLYCOMB COMPLEX PROTEIN BMI-1-A-RELATED', 95204),
(151479, 'PTHR46148:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95205),
(151480, 'PTHR45998:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 16', 95206),
(151481, 'PTHR31087:SF92', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 12', 95207),
(151482, 'PTHR23070:SF150', NULL, NULL, NULL, NULL, 'BNAANNG15990D PROTEIN', 95208),
(151483, 'PTHR12365', NULL, NULL, NULL, NULL, 'SPROUTY', 95209),
(151484, 'PTHR11351:SF3', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE (MEMBRANE)-RELATED', 95210),
(151485, 'PTHR31235:SF300', NULL, NULL, NULL, NULL, 'PEROXIDASE', 95211),
(151486, 'PTHR33371:SF16', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 95212),
(151487, 'PTHR23418:SF13', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE 1', 95213),
(151488, 'PTHR11108:SF6', NULL, NULL, NULL, NULL, 'FERROCHELATASE', 95214),
(151489, 'PTHR31302:SF20', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 95215),
(151490, 'PTHR12483:SF43', NULL, NULL, NULL, NULL, 'PROTEIN CBG20077', 95216),
(151491, 'PTHR34951:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 7', 95217);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(151492, 'PTHR20952', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION-LIKE FACTOR 6-INTERACTING PROTEIN', 95218),
(151493, 'PTHR15629', NULL, NULL, NULL, NULL, 'SH3YL1 PROTEIN', 95219),
(151494, 'PTHR23294:SF59', NULL, NULL, NULL, NULL, 'UNC93-LIKE PROTEIN C922.05C', 95220),
(151495, 'PTHR12183', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UBIQUITIN LIGASE ACTIVATOR OF NFKB 1', 95221),
(151496, 'PTHR38225:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 95222),
(151497, 'PTHR11071', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 95223),
(151498, 'PTHR47925:SF7', NULL, NULL, NULL, NULL, 'OS01G0382800 PROTEIN', 95224),
(151499, 'PTHR31707:SF311', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 95225),
(151500, 'PTHR45773:SF5', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE PROTEIN 5', 95226),
(151501, 'PTHR15934', NULL, NULL, NULL, NULL, 'RNA 2'',3''-CYCLIC PHOSPHODIESTERASE', 95227),
(151502, 'PTHR32166', NULL, NULL, NULL, NULL, 'OSJNBA0013A04.12 PROTEIN', 95228),
(151503, 'PTHR46729', NULL, NULL, NULL, NULL, 'LEUKOCYTE RECEPTOR CLUSTER MEMBER 9', 95229),
(151504, 'PTHR23335:SF35', NULL, NULL, NULL, NULL, 'OS01G0923600 PROTEIN', 95230),
(151505, 'PTHR19143:SF25', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-RELATED PROTEIN 1', 95231),
(151506, 'PTHR31375:SF138', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', 95232),
(151507, 'PTHR22166:SF14', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM JUNCTION FORMATION PROTEIN LUNAPARK-B', 95233),
(151508, 'PTHR34274:SF10', NULL, NULL, NULL, NULL, 'BNAA01G28830D PROTEIN', 95234),
(151509, 'PTHR31775:SF30', NULL, NULL, NULL, NULL, 'REMORIN', 95235),
(151510, 'PTHR33076:SF136', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 13-LIKE', 95236),
(151511, 'PTHR12302:SF16', NULL, NULL, NULL, NULL, 'BNAA01G18800D PROTEIN', 95237),
(151512, 'PTHR34202:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR1', 95238),
(151513, 'PTHR17206:SF0', NULL, NULL, NULL, NULL, 'PROLACTIN-RELEASING PEPTIDE', 95239),
(151514, 'PTHR11839:SF24', NULL, NULL, NULL, NULL, 'ADP-SUGAR PYROPHOSPHATASE', 95240),
(151515, 'PTHR11829:SF189', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN C2', 95241),
(151516, 'PTHR10827:SF78', NULL, NULL, NULL, NULL, 'LD34388P', 95242),
(151517, 'PTHR47638:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95243),
(151518, 'PTHR23257:SF780', NULL, NULL, NULL, NULL, 'AT08303P', 95244),
(151519, 'PTHR33426:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95245),
(151520, 'PTHR24419:SF33', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PELLE', 95246),
(151521, 'PTHR31852:SF130', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE KINASE', 95247),
(151522, 'PTHR36078', NULL, NULL, NULL, NULL, 'BNACNNG21220D PROTEIN', 95248),
(151523, 'PTHR24281:SF163', NULL, NULL, NULL, NULL, 'PHENYLALANINE N-MONOOXYGENASE', 95249),
(151524, 'PTHR21736:SF41', NULL, NULL, NULL, NULL, 'OBERON-LIKE PROTEIN', 95250),
(151525, 'PTHR13384:SF16', NULL, NULL, NULL, NULL, 'GROWTH REGULATION PROTEIN', 95251),
(151526, 'PTHR31325:SF172', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', 95252),
(151527, 'PTHR45644:SF39', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A-LIKE 2', 95253),
(151528, 'PTHR34630:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95254),
(151529, 'PTHR35632:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95255),
(151530, 'PTHR13690:SF114', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RF2A-LIKE', 95256),
(151531, 'PTHR17920:SF16', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE/COILED-COIL PROTEIN (DUF726)', 95257),
(151532, 'PTHR18966:SF506', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 95258),
(151533, 'PTHR15315:SF36', NULL, NULL, NULL, NULL, 'OS10G0445400 PROTEIN', 95259),
(151534, 'PTHR24115:SF564', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 95260),
(151535, 'PTHR43120:SF1', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE 1, CHLOROPLASTIC', 95261),
(151536, 'PTHR40265', NULL, NULL, NULL, NULL, 'BLL2707 PROTEIN', 95262),
(151537, 'PTHR15486:SF60', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 3-RELATED', 95263);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(151538, 'PTHR31190:SF274', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 95264),
(151539, 'PTHR24096:SF271', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE-RELATED', 95265),
(151540, 'PTHR11871:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B ALPHA ISOFORM', 95266),
(151541, 'PTHR10052:SF40', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', 95267),
(151542, 'PTHR33987:SF1', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN', 95268),
(151543, 'PTHR12321:SF105', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 7', 95269),
(151544, 'PTHR11654:SF307', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.9', 95270),
(151545, 'PTHR45648:SF43', NULL, NULL, NULL, NULL, 'BNAA02G04090D PROTEIN', 95271),
(151546, 'PTHR27009:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95272),
(151547, 'PTHR14146:SF0', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 4', 95273),
(151548, 'PTHR13578:SF19', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN ASXL1-RELATED', 95274),
(151549, 'PTHR33511:SF17', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S12', 95275),
(151550, 'PTHR12977:SF13', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE KMT5B', 95276),
(151551, 'PTHR12589:SF8', NULL, NULL, NULL, NULL, '6-CARBOXY-5,6,7,8-TETRAHYDROPTERIN SYNTHASE', 95277),
(151552, 'PTHR47993:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95278),
(151553, 'PTHR10379:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBFA2T2', 95279),
(151554, 'PTHR46809:SF3', NULL, NULL, NULL, NULL, 'STROMAL CELL-DERIVED FACTOR 2', 95280),
(151555, 'PTHR13768:SF35', NULL, NULL, NULL, NULL, 'BNAC04G55510D PROTEIN', 95281),
(151556, 'PTHR10896:SF50', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE P', 95282),
(151557, 'PTHR15710:SF55', NULL, NULL, NULL, NULL, 'C3HC4-TYPE RING ZINC FINGER PROTEIN', 95283),
(151558, 'PTHR27001:SF231', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 95284),
(151559, 'PTHR28590:SF1', NULL, NULL, NULL, NULL, 'SPEXIN', 95285),
(151560, 'PTHR11240:SF45', NULL, NULL, NULL, NULL, 'RIBONUCLEASE S-2', 95286),
(151561, 'PTHR31662:SF51', NULL, NULL, NULL, NULL, 'GLABROUS1 ENHANCER-BINDING PROTEIN-LIKE', 95287),
(151562, 'PTHR45570', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 95288),
(151563, 'PTHR12228:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 7-LIKE', 95289),
(151564, 'PTHR46741:SF4', NULL, NULL, NULL, NULL, 'FINGER FYVE DOMAIN PROTEIN, PUTATIVE (DUF1666)-RELATED', 95290),
(151565, 'PTHR11532:SF45', NULL, NULL, NULL, NULL, 'INACTIVE CARBOXYPEPTIDASE-LIKE PROTEIN X2', 95291),
(151566, 'PTHR33604:SF5', NULL, NULL, NULL, NULL, 'BNACNNG32270D PROTEIN', 95292),
(151567, 'PTHR22952:SF390', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 95293),
(151568, 'PTHR31008:SF23', NULL, NULL, NULL, NULL, 'BNAA02G22140D PROTEIN', 95294),
(151569, 'PTHR24353:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95295),
(151570, 'PTHR42776:SF18', NULL, NULL, NULL, NULL, 'ACYLAMINO-ACID-RELEASING ENZYME 2', 95296),
(151571, 'PTHR39599:SF2', NULL, NULL, NULL, NULL, 'ANCHORED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G09650)-RELATED', 95297),
(151572, 'PTHR11062:SF323', NULL, NULL, NULL, NULL, 'EXOSTOSIN-LIKE PROTEIN-RELATED', 95298),
(151573, 'PTHR12264:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 12B', 95299),
(151574, 'PTHR24093:SF474', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 1', 95300),
(151575, 'PTHR45647:SF40', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 34', 95301),
(151576, 'PTHR12155:SF43', NULL, NULL, NULL, NULL, 'SCHLAFEN FAMILY MEMBER 11', 95302),
(151577, 'PTHR23235:SF108', NULL, NULL, NULL, NULL, 'CABUT, ISOFORM A', 95303),
(151578, 'PTHR48048:SF60', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 95304),
(151579, 'PTHR12243:SF47', NULL, NULL, NULL, NULL, 'COREPRESSOR OF PANGOLIN, ISOFORM A-RELATED', 95305),
(151580, 'PTHR35851:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSQ', 95306);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(151581, 'PTHR11638:SF155', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPA HOMOLOG CD4B, CHLOROPLASTIC-LIKE ISOFORM X1', 95307),
(151582, 'PTHR13043:SF2', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC5', 95308),
(151583, 'PTHR21483', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-ASSOCIATED PROTEIN 1', 95309),
(151584, 'PTHR11639:SF65', NULL, NULL, NULL, NULL, 'PROTEIN S100-A5', 95310),
(151585, 'PTHR13703:SF59', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 5', 95311),
(151586, 'PTHR46780:SF12', NULL, NULL, NULL, NULL, 'EVA-1 HOMOLOG BB (C. ELEGANS)', 95312),
(151587, 'PTHR21230:SF82', NULL, NULL, NULL, NULL, 'BNACNNG50640D PROTEIN', 95313),
(151588, 'PTHR12357:SF86', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CONSERVED C-TERMINAL REGION 10', 95314),
(151589, 'PTHR22765:SF141', NULL, NULL, NULL, NULL, 'OS06G0540050 PROTEIN', 95315),
(151590, 'PTHR33938:SF8', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 95316),
(151591, 'PTHR23315:SF255', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 4-LIKE', 95317),
(151592, 'PTHR28063', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II NUCLEAR LOCALIZATION PROTEIN IWR1', 95318),
(151593, 'PTHR48009:SF12', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERECTA', 95319),
(151594, 'PTHR48109:SF4', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE (QUINONE), MITOCHONDRIAL', 95320),
(151595, 'PTHR24289:SF9', NULL, NULL, NULL, NULL, 'BNAC05G26680D PROTEIN', 95321),
(151596, 'PTHR33021:SF310', NULL, NULL, NULL, NULL, 'OS07G0165900 PROTEIN', 95322),
(151597, 'PTHR31602:SF75', NULL, NULL, NULL, NULL, 'WRC DOMAIN, GLUTAMINE-LEUCINE-GLUTAMINE, QLQ, GROWTH-REGULATING FACTOR-RELATED', 95323),
(151598, 'PTHR32295:SF179', NULL, NULL, NULL, NULL, 'OS06G0341800 PROTEIN', 95324),
(151599, 'PTHR46226:SF9', NULL, NULL, NULL, NULL, 'BNAC09G20380D PROTEIN', 95325),
(151600, 'PTHR36304:SF2', NULL, NULL, NULL, NULL, 'DOMAIN GTPASE-ACTIVATING PROTEIN, PUTATIVE-RELATED', 95326),
(151601, 'PTHR11994:SF32', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11-2', 95327),
(151602, 'PTHR31960:SF13', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 95328),
(151603, 'PTHR23317:SF65', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 6', 95329),
(151604, 'PTHR22891:SF149', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 6', 95330),
(151605, 'PTHR36156', NULL, NULL, NULL, NULL, 'SLR2101 PROTEIN', 95331),
(151606, 'PTHR45967:SF21', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 68-LIKE ISOFORM X1', 95332),
(151607, 'PTHR30246:SF1', NULL, NULL, NULL, NULL, '2-DEHYDRO-3-DEOXY-6-PHOSPHOGALACTONATE ALDOLASE-RELATED', 95333),
(151608, 'PTHR45743:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95334),
(151609, 'PTHR31284', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-LIKE PROTEIN', 95335),
(151610, 'PTHR10806:SF29', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', 95336),
(151611, 'PTHR22891:SF124', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 11', 95337),
(151612, 'PTHR38033', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 95338),
(151613, 'PTHR12751:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATASE AND ACTIN REGULATOR 2', 95339),
(151614, 'PTHR21844:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH AKT1 SUBSTRATE 1', 95340),
(151615, 'PTHR37477:SF1', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-5A HYDROLASE', 95341),
(151616, 'PTHR19328:SF62', NULL, NULL, NULL, NULL, 'HIPL1 PROTEIN-LIKE', 95342),
(151617, 'PTHR31205:SF59', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING-RELATED', 95343),
(151618, 'PTHR33167', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 95344),
(151619, 'PTHR30540:SF98', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 6', 95345),
(151620, 'PTHR33265:SF23', NULL, NULL, NULL, NULL, 'OS02G0523100 PROTEIN', 95346),
(151621, 'PTHR46084:SF2', NULL, NULL, NULL, NULL, 'OS03G0294800 PROTEIN', 95347),
(151622, 'PTHR43880:SF53', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1', 95348),
(151623, 'PTHR43734:SF3', NULL, NULL, NULL, NULL, '4,4''-DIAPOPHYTOENE DESATURASE (4,4''-DIAPONEUROSPORENE-FORMING)', 95349); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(151624, 'PTHR24123:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95350),
(151625, 'PTHR11618:SF26', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC TFIIB-RELATED PROTEIN 1', 95351),
(151626, 'PTHR11825:SF39', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE, MITOCHONDRIAL', 95352),
(151627, 'PTHR16008', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 4', 95353),
(151628, 'PTHR31989:SF229', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 20', 95354),
(151629, 'PTHR18460', NULL, NULL, NULL, NULL, 'TEL2 INTERACTING PROTEIN 1 TTI1 FAMILY MEMBER', 95355),
(151630, 'PTHR11362:SF30', NULL, NULL, NULL, NULL, 'OS01G0748800 PROTEIN', 95356),
(151631, 'PTHR30249:SF11', NULL, NULL, NULL, NULL, 'ANTIHOLIN-LIKE PROTEIN LRGB', 95357),
(151632, 'PTHR12411:SF794', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG39', 95358),
(151633, 'PTHR24235:SF2', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 95359),
(151634, 'PTHR10574:SF296', NULL, NULL, NULL, NULL, 'SI:DKEY-202E22.2', 95360),
(151635, 'PTHR13469', NULL, NULL, NULL, NULL, 'HEXAMETHYLENE BISACETAMIDE INDUCIBLE 1', 95361),
(151636, 'PTHR22683:SF1', NULL, NULL, NULL, NULL, 'ESAT-6 SECRETION MACHINERY PROTEIN ESSC', 95362),
(151637, 'PTHR33070:SF101', NULL, NULL, NULL, NULL, 'BNAANNG08220D PROTEIN', 95363),
(151638, 'PTHR13667:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING AND PLANAR CELL POLARITY EFFECTOR PROTEIN FRITZ HOMOLOG', 95364),
(151639, 'PTHR32153:SF58', NULL, NULL, NULL, NULL, 'BNAC05G35090D PROTEIN', 95365),
(151640, 'PTHR13523:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN-CONTAINING PROTEIN 2-RELATED', 95366),
(151641, 'PTHR48012:SF24', NULL, NULL, NULL, NULL, 'FI20177P1', 95367),
(151642, 'PTHR22835:SF613', NULL, NULL, NULL, NULL, 'BNAC05G21950D PROTEIN', 95368),
(151643, 'PTHR11467:SF61', NULL, NULL, NULL, NULL, 'HISTONE H1.X', 95369),
(151644, 'PTHR31662:SF57', NULL, NULL, NULL, NULL, 'OS06G0666700 PROTEIN', 95370),
(151645, 'PTHR45974:SF145', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 95371),
(151646, 'PTHR32153:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95372),
(151647, 'PTHR15284:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR INTERLEUKIN-3-REGULATED PROTEIN', 95373),
(151648, 'PTHR24222:SF52', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 20-RELATED', 95374),
(151649, 'PTHR14917', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 7', 95375),
(151650, 'PTHR43182:SF1', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-6B C(15)-METHYLTRANSFERASE (DECARBOXYLATING)', 95376),
(151651, 'PTHR15907:SF175', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 12', 95377),
(151652, 'PTHR48053:SF37', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 95378),
(151653, 'PTHR31682:SF24', NULL, NULL, NULL, NULL, 'UDP-ARABINOPYRANOSE MUTASE 2', 95379),
(151654, 'PTHR10502:SF222', NULL, NULL, NULL, NULL, 'ANNEXIN', 95380),
(151655, 'PTHR30408', NULL, NULL, NULL, NULL, 'TYPE-1 RESTRICTION ENZYME ECOKI SPECIFICITY PROTEIN', 95381),
(151656, 'PTHR45914:SF41', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HEC1', 95382),
(151657, 'PTHR31215:SF7', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE', 95383),
(151658, 'PTHR24298:SF727', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B34-RELATED', 95384),
(151659, 'PTHR11388:SF95', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 6A1', 95385),
(151660, 'PTHR48018:SF175', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8H2', 95386),
(151661, 'PTHR11926:SF1379', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 95387),
(151662, 'PTHR33021:SF409', NULL, NULL, NULL, NULL, 'STELLACYANIN-LIKE', 95388),
(151663, 'PTHR13778:SF46', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 6-RELATED', 95389),
(151664, 'PTHR11538:SF63', NULL, NULL, NULL, NULL, 'NUCLEIC ACID BINDING, RELATED', 95390),
(151665, 'PTHR43550:SF3', NULL, NULL, NULL, NULL, '3-KETODIHYDROSPHINGOSINE REDUCTASE', 95391),
(151666, 'PTHR36838', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER FAMILY PROTEIN', 95392);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(151667, 'PTHR43128:SF26', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', 95393),
(151668, 'PTHR11010', NULL, NULL, NULL, NULL, 'PROTEASE S28 PRO-X CARBOXYPEPTIDASE-RELATED', 95394),
(151669, 'PTHR24073:SF941', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-20', 95395),
(151670, 'PTHR34213:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN', 95396),
(151671, 'PTHR11161:SF28', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 95397),
(151672, 'PTHR30133:SF2', NULL, NULL, NULL, NULL, 'ARGININE ABC TRANSPORTER PERMEASE PROTEIN ARTQ', 95398),
(151673, 'PTHR31021:SF1', NULL, NULL, NULL, NULL, 'POLYPOSIS COLI DOWNREGULATED 1-LIKE FAMILY PROTEIN, PUTATIVE-RELATED', 95399),
(151674, 'PTHR11926:SF1333', NULL, NULL, NULL, NULL, 'BNAA10G12540D PROTEIN', 95400),
(151675, 'PTHR37364', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 182', 95401),
(151676, 'PTHR35136:SF2', NULL, NULL, NULL, NULL, 'BNAA09G41120D PROTEIN', 95402),
(151677, 'PTHR38390', NULL, NULL, NULL, NULL, 'OS01G0103900 PROTEIN', 95403),
(151678, 'PTHR23316:SF0', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', 95404),
(151679, 'PTHR33450:SF12', NULL, NULL, NULL, NULL, 'EMB|CAB67623.1', 95405),
(151680, 'PTHR12537:SF128', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 1-RELATED', 95406),
(151681, 'PTHR11071:SF488', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 95407),
(151682, 'PTHR47978:SF28', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RGP2', 95408),
(151683, 'PTHR31280:SF4', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TS (DUF810)', 95409),
(151684, 'PTHR24103:SF630', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF187', 95410),
(151685, 'PTHR22989:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG00582', 95411),
(151686, 'PTHR37467', NULL, NULL, NULL, NULL, 'EXPORTED CALCIUM-BINDING GLYCOPROTEIN-RELATED', 95412),
(151687, 'PTHR43597:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURATION PROTEIN SUFE', 95413),
(151688, 'PTHR15711:SF32', NULL, NULL, NULL, NULL, 'RAP GTPASE ACTIVATING PROTEIN 1, ISOFORM H', 95414),
(151689, 'PTHR12506:SF63', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 67', 95415),
(151690, 'PTHR46032:SF2', NULL, NULL, NULL, NULL, 'ALPHA-2,3-SIALYLTRANSFERASE ST3GAL I ISOFORM X1', 95416),
(151691, 'PTHR31636:SF153', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 6', 95417),
(151692, 'PTHR12338:SF10', NULL, NULL, NULL, NULL, 'ADHESION AND PENETRATION PROTEIN AUTOTRANSPORTER', 95418),
(151693, 'PTHR33699:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95419),
(151694, 'PTHR16154:SF24', NULL, NULL, NULL, NULL, 'NEURABIN-2', 95420),
(151695, 'PTHR48104:SF13', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 95421),
(151696, 'PTHR27007:SF192', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VI.2', 95422),
(151697, 'PTHR45959:SF27', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', 95423),
(151698, 'PTHR48043:SF59', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 95424),
(151699, 'PTHR24061:SF435', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 1 MEMBER 3', 95425),
(151700, 'PTHR31194:SF113', NULL, NULL, NULL, NULL, 'BNAA07G24590D PROTEIN', 95426),
(151701, 'PTHR10218:SF247', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-6 SUBUNIT', 95427),
(151702, 'PTHR34062:SF2', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE 20.9 KDA SUBUNIT-LIKE', 95428),
(151703, 'PTHR32258:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95429),
(151704, 'PTHR24070:SF264', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHEB', 95430),
(151705, 'PTHR10845:SF258', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN SIMILAR TO VERTEBRATE REGULATOR OF G-PROTEIN SIGNALLING FAMILY', 95431),
(151706, 'PTHR22899', NULL, NULL, NULL, NULL, 'CYCLIN-RELATED F-BOX FAMILY', 95432),
(151707, 'PTHR21060:SF3', NULL, NULL, NULL, NULL, 'BUTYRATE KINASE 2-RELATED', 95433),
(151708, 'PTHR43133:SF32', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR', 95434),
(151709, 'PTHR44329:SF153', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 20', 95435);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(151710, 'PTHR33122:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95436),
(151711, 'PTHR46913:SF6', NULL, NULL, NULL, NULL, 'OS03G0149700 PROTEIN', 95437),
(151712, 'PTHR13847:SF267', NULL, NULL, NULL, NULL, 'D-AMINO ACID DEHYDROGENASE', 95438),
(151713, 'PTHR36743', NULL, NULL, NULL, NULL, 'OS04G0495300 PROTEIN', 95439),
(151714, 'PTHR15898', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 95440),
(151715, 'PTHR23113:SF322', NULL, NULL, NULL, NULL, 'RAS PROTEIN-SPECIFIC GUANINE NUCLEOTIDE-RELEASING FACTOR 2A', 95441),
(151716, 'PTHR23421:SF123', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 95442),
(151717, 'PTHR21678:SF0', NULL, NULL, NULL, NULL, 'OS01G0965600 PROTEIN', 95443),
(151718, 'PTHR22957:SF588', NULL, NULL, NULL, NULL, 'BNAC01G39600D PROTEIN', 95444),
(151719, 'PTHR24404:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 649', 95445),
(151720, 'PTHR47594:SF3', NULL, NULL, NULL, NULL, 'PROTEIN THYLAKOID ASSEMBLY 8, CHLOROPLASTIC', 95446),
(151721, 'PTHR24637:SF259', NULL, NULL, NULL, NULL, 'COLLAGEN', 95447),
(151722, 'PTHR35144:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR VIB-1', 95448),
(151723, 'PTHR12111:SF8', NULL, NULL, NULL, NULL, 'BNACNNG76620D PROTEIN', 95449),
(151724, 'PTHR31152:SF16', NULL, NULL, NULL, NULL, 'BNACNNG42060D PROTEIN', 95450),
(151725, 'PTHR24366:SF37', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT, IG-LIKE AND TRANSMEMBRANE DOMAINS 1', 95451),
(151726, 'PTHR22765:SF293', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3F', 95452),
(151727, 'PTHR12773:SF0', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL METHYLTRANSFERASE SUBUNIT TRM112-LIKE PROTEIN', 95453),
(151728, 'PTHR10715:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95454),
(151729, 'PTHR21453:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG00773', 95455),
(151730, 'PTHR22726', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE OMA1', 95456),
(151731, 'PTHR23055:SF89', NULL, NULL, NULL, NULL, 'KV CHANNEL-INTERACTING PROTEIN 1 B', 95457),
(151732, 'PTHR33087:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95458),
(151733, 'PTHR31100:SF52', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 95459),
(151734, 'PTHR11588:SF89', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 95460),
(151735, 'PTHR45649:SF29', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', 95461),
(151736, 'PTHR24116:SF0', NULL, NULL, NULL, NULL, 'KINASE D-INTERACTING SUBSTRATE OF 220 KDA', 95462),
(151737, 'PTHR43592:SF24', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', 95463),
(151738, 'PTHR46992:SF3', NULL, NULL, NULL, NULL, 'BNAC03G57590D PROTEIN', 95464),
(151739, 'PTHR24348:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95465),
(151740, 'PTHR10641:SF1271', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 308-LIKE', 95466),
(151741, 'PTHR11802:SF219', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 95467),
(151742, 'PTHR10743:SF13', NULL, NULL, NULL, NULL, 'PROTEIN RER1B', 95468),
(151743, 'PTHR33573:SF14', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 95469),
(151744, 'PTHR11588:SF351', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2 CHAIN', 95470),
(151745, 'PTHR46355:SF1', NULL, NULL, NULL, NULL, 'UPF0428 PROTEIN CXORF56', 95471),
(151746, 'PTHR23062:SF6', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 95472),
(151747, 'PTHR13466:SF17', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN CONSERVED REGION (DUF2404)-RELATED', 95473),
(151748, 'PTHR45978:SF4', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 6', 95474),
(151749, 'PTHR31920:SF48', NULL, NULL, NULL, NULL, 'BNAC02G48650D PROTEIN', 95475),
(151750, 'PTHR48042:SF24', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 3-LIKE', 95476),
(151751, 'PTHR11742:SF89', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 95477),
(151752, 'PTHR45733:SF18', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 95478),
(151753, 'PTHR19375:SF429', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95479),
(151754, 'PTHR14499:SF125', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 95480),
(151755, 'PTHR31807:SF41', NULL, NULL, NULL, NULL, 'BNAA08G29650D PROTEIN', 95481);
INSERT INTO "PUBLIC"."MODEL" VALUES
(151756, 'PTHR24281:SF62', NULL, NULL, NULL, NULL, 'CYTOCHROME 82A3', 95482),
(151757, 'PTHR43821:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H NITROREDUCTASE YDJA-RELATED', 95483),
(151758, 'PTHR45504:SF2', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN-LIKE', 95484),
(151759, 'PTHR31260:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95485),
(151760, 'PTHR47981:SF23', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABG3A', 95486),
(151761, 'PTHR33595:SF13', NULL, NULL, NULL, NULL, 'BNAC03G75280D PROTEIN', 95487),
(151762, 'PTHR31973:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95488),
(151763, 'PTHR31731:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95489),
(151764, 'PTHR32208', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 95490),
(151765, 'PTHR12542:SF95', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 95491),
(151766, 'PTHR47259:SF2', NULL, NULL, NULL, NULL, 'URACIL-REGULATED PROTEIN 1', 95492),
(151767, 'PTHR43895:SF75', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 16', 95493),
(151768, 'PTHR47196', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 9', 95494),
(151769, 'PTHR46004:SF1', NULL, NULL, NULL, NULL, 'CYCLIC AMP-RESPONSIVE ELEMENT-BINDING PROTEIN 3-LIKE PROTEIN 1', 95495),
(151770, 'PTHR21630', NULL, NULL, NULL, NULL, 'VEPH-A/MELTED', 95496),
(151771, 'PTHR31509:SF8', NULL, NULL, NULL, NULL, 'OS02G0552200 PROTEIN', 95497),
(151772, 'PTHR42760:SF98', NULL, NULL, NULL, NULL, 'BLR6358 PROTEIN', 95498),
(151773, 'PTHR24301:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY CYP711A MEMBER', 95499),
(151774, 'PTHR10394:SF21', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', 95500),
(151775, 'PTHR31260:SF63', NULL, NULL, NULL, NULL, 'BNAC06G02610D PROTEIN', 95501),
(151776, 'PTHR11353:SF58', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ZETA-2', 95502),
(151777, 'PTHR47464:SF2', NULL, NULL, NULL, NULL, 'MACOILIN', 95503),
(151778, 'PTHR27005:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95504),
(151779, 'PTHR24072:SF316', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC5', 95505),
(151780, 'PTHR14241:SF24', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 95506),
(151781, 'PTHR20967', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 95507),
(151782, 'PTHR31992:SF221', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.2-LIKE', 95508),
(151783, 'PTHR32438:SF5', NULL, NULL, NULL, NULL, '4-ALPHA-GLUCANOTRANSFERASE DPE1, CHLOROPLASTIC/AMYLOPLASTIC', 95509),
(151784, 'PTHR30182:SF1', NULL, NULL, NULL, NULL, 'L-SERINE DEHYDRATASE 1', 95510),
(151785, 'PTHR11608', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN PYRR', 95511),
(151786, 'PTHR46775:SF1', NULL, NULL, NULL, NULL, 'FLOCCULATION PROTEIN (DUF1296)', 95512),
(151787, 'PTHR45910:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95513),
(151788, 'PTHR43881:SF1', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLTRANSPEPTIDASE (AFU_ORTHOLOGUE AFUA_4G13580)', 95514),
(151789, 'PTHR33168:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95515),
(151790, 'PTHR45707:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95516),
(151791, 'PTHR11537:SF88', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY G MEMBER 1', 95517),
(151792, 'PTHR32285:SF184', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 19', 95518),
(151793, 'PTHR43874:SF33', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR8', 95519),
(151794, 'PTHR47985:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95520),
(151795, 'PTHR32099:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95521),
(151796, 'PTHR47122:SF4', NULL, NULL, NULL, NULL, 'TRF-LIKE 3', 95522),
(151797, 'PTHR14905:SF11', NULL, NULL, NULL, NULL, 'TINC (EUROFUNG)', 95523),
(151798, 'PTHR46564:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE', 95524),
(151799, 'PTHR33083:SF20', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 95525),
(151800, 'PTHR10046:SF46', NULL, NULL, NULL, NULL, 'ENDOPEPTIDASE LA', 95526),
(151801, 'PTHR35124:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 95527);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(151802, 'PTHR45621:SF58', NULL, NULL, NULL, NULL, 'OS06G0714900 PROTEIN', 95528),
(151803, 'PTHR43791:SF15', NULL, NULL, NULL, NULL, 'TRANSPORTER SEO1-RELATED', 95529),
(151804, 'PTHR37422:SF7', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN', 95530),
(151805, 'PTHR27008:SF350', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 95531),
(151806, 'PTHR37384:SF1', NULL, NULL, NULL, NULL, 'OS01G0835600 PROTEIN', 95532),
(151807, 'PTHR13180', NULL, NULL, NULL, NULL, 'SMALL MEMBRANE PROTEIN-RELATED', 95533),
(151808, 'PTHR15492:SF1', NULL, NULL, NULL, NULL, 'CYCLIN-D1-BINDING PROTEIN 1', 95534),
(151809, 'PTHR24161:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95535),
(151810, 'PTHR10352:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', 95536),
(151811, 'PTHR43601:SF18', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 1-2, CHLOROPLASTIC', 95537),
(151812, 'PTHR16154:SF26', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 9A-LIKE A-RELATED', 95538),
(151813, 'PTHR48105:SF16', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE 1-RELATED', 95539),
(151814, 'PTHR22691:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 61', 95540),
(151815, 'PTHR45788:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE/FUMARATE MITOCHONDRIAL TRANSPORTER', 95541),
(151816, 'PTHR33286:SF42', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 95542),
(151817, 'PTHR47994:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB35-LIKE', 95543),
(151818, 'PTHR10179:SF78', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-X-C MOTIF) LIGAND 19', 95544),
(151819, 'PTHR46400:SF6', NULL, NULL, NULL, NULL, 'OS09G0525400 PROTEIN', 95545),
(151820, 'PTHR43840:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG01706', 95546),
(151821, 'PTHR12411:SF684', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN', 95547),
(151822, 'PTHR27000:SF559', NULL, NULL, NULL, NULL, 'CLV1 RECEPTOR KINASE-LIKE', 95548),
(151823, 'PTHR10788:SF94', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 5', 95549),
(151824, 'PTHR11537:SF133', NULL, NULL, NULL, NULL, 'PROTEIN CBR-EXP-2', 95550),
(151825, 'PTHR43200:SF11', NULL, NULL, NULL, NULL, 'SAL2 PHOSPHATASE-RELATED', 95551),
(151826, 'PTHR31630:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95552),
(151827, 'PTHR33420:SF27', NULL, NULL, NULL, NULL, 'PROTEIN FIMG', 95553),
(151828, 'PTHR30204:SF58', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YFMP', 95554),
(151829, 'PTHR15396', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P40', 95555),
(151830, 'PTHR31989:SF309', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR', 95556),
(151831, 'PTHR43195:SF3', NULL, NULL, NULL, NULL, 'TRANSKETOLASE', 95557),
(151832, 'PTHR33781:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PHYTOCHROME KINASE SUBSTRATE 3', 95558),
(151833, 'PTHR35725', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 26', 95559),
(151834, 'PTHR39967:SF1', NULL, NULL, NULL, NULL, 'VNG6430C', 95560),
(151835, 'PTHR10009:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95561),
(151836, 'PTHR45990:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN REV1', 95562),
(151837, 'PTHR30525:SF7', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE 5-PHOSPHATE REDUCTOISOMERASE-RELATED', 95563),
(151838, 'PTHR10763:SF26', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 6 HOMOLOG', 95564),
(151839, 'PTHR15880:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 22 OPEN READING FRAME 42', 95565),
(151840, 'PTHR10366:SF703', NULL, NULL, NULL, NULL, '3BETA-HYDROXYSTEROID-DEHYDROGENASE/DECARBOXYLASE ISOFORM 2', 95566),
(151841, 'PTHR43336', NULL, NULL, NULL, NULL, 'OXYGEN SENSOR HISTIDINE KINASE RESPONSE REGULATOR DEVS/DOSS', 95567),
(151842, 'PTHR38932', NULL, NULL, NULL, NULL, 'BNAC03G64660D PROTEIN', 95568),
(151843, 'PTHR24637:SF296', NULL, NULL, NULL, NULL, 'COLLAGEN', 95569),
(151844, 'PTHR46043:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95570),
(151845, 'PTHR37013:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95571),
(151846, 'PTHR42881:SF2', NULL, NULL, NULL, NULL, 'PROLYL ENDOPEPTIDASE', 95572);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(151847, 'PTHR10335:SF4', NULL, NULL, NULL, NULL, 'RRNA 2''-O-METHYLTRANSFERASE FIBRILLARIN', 95573),
(151848, 'PTHR31650:SF47', NULL, NULL, NULL, NULL, 'OS01G0681000 PROTEIN', 95574),
(151849, 'PTHR37746:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 95575),
(151850, 'PTHR14154:SF80', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', 95576),
(151851, 'PTHR23502:SF50', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00430)-RELATED', 95577),
(151852, 'PTHR31602:SF76', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 1', 95578),
(151853, 'PTHR11716:SF8', NULL, NULL, NULL, NULL, 'GROUP IIF SECRETORY PHOSPHOLIPASE A2', 95579),
(151854, 'PTHR46354:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA6-LIKE', 95580),
(151855, 'PTHR11346:SF114', NULL, NULL, NULL, NULL, 'GALECTIN', 95581),
(151856, 'PTHR11552:SF208', NULL, NULL, NULL, NULL, 'GLUCOSE DEHYDROGENASE [FAD, QUINONE]-LIKE PROTEIN', 95582),
(151857, 'PTHR31374:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95583),
(151858, 'PTHR31268:SF32', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 2-RELATED', 95584),
(151859, 'PTHR23020:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG09499', 95585),
(151860, 'PTHR10579:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95586),
(151861, 'PTHR43895:SF123', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 95587),
(151862, 'PTHR10887:SF481', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95588),
(151863, 'PTHR24056:SF437', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95589),
(151864, 'PTHR46128:SF146', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 95590),
(151865, 'PTHR22595:SF141', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 19, CATALYTIC, LYSOZYME-LIKE DOMAIN PROTEIN-RELATED', 95591),
(151866, 'PTHR22991', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 95592),
(151867, 'PTHR23509:SF34', NULL, NULL, NULL, NULL, 'BNAA08G07860D PROTEIN', 95593),
(151868, 'PTHR21115:SF0', NULL, NULL, NULL, NULL, 'GH06117P-RELATED', 95594),
(151869, 'PTHR23526:SF1', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY MFS_1', 95595),
(151870, 'PTHR24399:SF36', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 6', 95596),
(151871, 'PTHR23389:SF19', NULL, NULL, NULL, NULL, 'TELOMERE LENGTH REGULATION PROTEIN ELG1', 95597),
(151872, 'PTHR21562', NULL, NULL, NULL, NULL, 'NOTUM-RELATED', 95598),
(151873, 'PTHR11477:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR TFIIS', 95599),
(151874, 'PTHR10887:SF490', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 95600),
(151875, 'PTHR31052', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 7', 95601),
(151876, 'PTHR34411:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95602),
(151877, 'PTHR48065:SF19', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 95603),
(151878, 'PTHR14155:SF527', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95604),
(151879, 'PTHR11875:SF135', NULL, NULL, NULL, NULL, 'LRRGT00073-RELATED', 95605),
(151880, 'PTHR31881:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95606),
(151881, 'PTHR21621:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLASPARTYLGLUTAMATE SYNTHASE A', 95607),
(151882, 'PTHR31867:SF83', NULL, NULL, NULL, NULL, 'EXPANSIN', 95608),
(151883, 'PTHR11782:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95609),
(151884, 'PTHR21227:SF0', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN2', 95610),
(151885, 'PTHR12411:SF547', NULL, NULL, NULL, NULL, 'CATHEPSIN B-LIKE CYSTEINE PROTEINASE 3', 95611),
(151886, 'PTHR24343:SF105', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 95612),
(151887, 'PTHR24056:SF375', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 7', 95613),
(151888, 'PTHR10315:SF132', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIN-LIKE PROTEIN-RELATED', 95614),
(151889, 'PTHR12138:SF66', NULL, NULL, NULL, NULL, 'LMO7 DOWNSTREAM NEIGHBOR PROTEIN-RELATED', 95615),
(151890, 'PTHR33048:SF109', NULL, NULL, NULL, NULL, 'FAMILY DECARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00920)-RELATED', 95616);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(151891, 'PTHR47990:SF85', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-OXIDASE 2', 95617),
(151892, 'PTHR32430:SF1', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 8', 95618),
(151893, 'PTHR41404:SF1', NULL, NULL, NULL, NULL, 'SHIELDIN COMPLEX SUBUNIT 3', 95619),
(151894, 'PTHR33372:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CHAPERONE-LIKE PROTEIN OF POR1, CHLOROPLASTIC', 95620),
(151895, 'PTHR45618:SF11', NULL, NULL, NULL, NULL, 'KIDNEY MITOCHONDRIAL CARRIER PROTEIN 1', 95621),
(151896, 'PTHR12612:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95622),
(151897, 'PTHR22953:SF124', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 95623),
(151898, 'PTHR31272:SF8', NULL, NULL, NULL, NULL, 'BLL1027 PROTEIN', 95624),
(151899, 'PTHR33147:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95625),
(151900, 'PTHR47384:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CCNB1IP1 HOMOLOG', 95626),
(151901, 'PTHR31301:SF132', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 27-LIKE', 95627),
(151902, 'PTHR11206:SF255', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 95628),
(151903, 'PTHR18945:SF382', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 95629),
(151904, 'PTHR46761:SF3', NULL, NULL, NULL, NULL, 'F2O10.4 PROTEIN', 95630),
(151905, 'PTHR10655:SF57', NULL, NULL, NULL, NULL, 'INACTIVE CARBOXYLESTERASE OS04G0669700-RELATED', 95631),
(151906, 'PTHR11195', NULL, NULL, NULL, NULL, 'DESTABILASE-RELATED', 95632),
(151907, 'PTHR11814:SF215', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLIC ACID TRANSPORTER DAUA', 95633),
(151908, 'PTHR31642:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95634),
(151909, 'PTHR45648:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95635),
(151910, 'PTHR30450:SF5', NULL, NULL, NULL, NULL, 'HISTIDINE TRANSPORT SYSTEM PERMEASE PROTEIN HISM', 95636),
(151911, 'PTHR31373:SF17', NULL, NULL, NULL, NULL, 'OS06G0652100 PROTEIN', 95637),
(151912, 'PTHR11229:SF15', NULL, NULL, NULL, NULL, 'BNAA01G27990D PROTEIN', 95638),
(151913, 'PTHR43324:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95639),
(151914, 'PTHR31657:SF57', NULL, NULL, NULL, NULL, 'BNAA02G34570D PROTEIN', 95640),
(151915, 'PTHR36488:SF10', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 95641),
(151916, 'PTHR31235:SF184', NULL, NULL, NULL, NULL, 'PEROXIDASE FAMILY PROTEIN', 95642),
(151917, 'PTHR45701:SF18', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN-A', 95643),
(151918, 'PTHR13946:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95644),
(151919, 'PTHR43240:SF5', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-2-NAPHTHOYL-COA THIOESTERASE 1', 95645),
(151920, 'PTHR28434:SF1', NULL, NULL, NULL, NULL, 'PROTEIN C3ORF33', 95646),
(151921, 'PTHR23084:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95647),
(151922, 'PTHR32285:SF285', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 95648),
(151923, 'PTHR42898:SF65', NULL, NULL, NULL, NULL, 'BNAA05G12660D PROTEIN', 95649),
(151924, 'PTHR43899:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95650),
(151925, 'PTHR12127:SF6', NULL, NULL, NULL, NULL, 'MUCOLIPIN-1', 95651),
(151926, 'PTHR24298:SF636', NULL, NULL, NULL, NULL, 'OS07G0451300 PROTEIN', 95652),
(151927, 'PTHR22595:SF144', NULL, NULL, NULL, NULL, 'ENDOCHITINASE 1', 95653),
(151928, 'PTHR23288:SF12', NULL, NULL, NULL, NULL, 'SI:CH211-13K12.2', 95654),
(151929, 'PTHR10972:SF46', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 11', 95655),
(151930, 'PTHR23262:SF216', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 1-3', 95656),
(151931, 'PTHR10913:SF75', NULL, NULL, NULL, NULL, 'OVOINHIBITOR', 95657),
(151932, 'PTHR12411:SF615', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95658),
(151933, 'PTHR23346', NULL, NULL, NULL, NULL, 'TRANSLATIONAL ACTIVATOR GCN1-RELATED', 95659),
(151934, 'PTHR47625', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 95660),
(151935, 'PTHR42972', NULL, NULL, NULL, NULL, 'TOL-PAL SYSTEM PROTEIN TOLB', 95661),
(151936, 'PTHR10887:SF5', NULL, NULL, NULL, NULL, 'RNA HELICASE AQUARIUS', 95662),
(151937, 'PTHR43317', NULL, NULL, NULL, NULL, 'THERMOSPERMINE SYNTHASE ACAULIS5', 95663);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(151938, 'PTHR21490:SF0', NULL, NULL, NULL, NULL, 'ENKURIN', 95664),
(151939, 'PTHR10896:SF64', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASES', 95665),
(151940, 'PTHR16091', NULL, NULL, NULL, NULL, 'TTC17 PROTEIN', 95666),
(151941, 'PTHR10589:SF24', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE ISOZYME L3', 95667),
(151942, 'PTHR47507', NULL, NULL, NULL, NULL, 'BARRIER TO AUTOINTEGRATION FACTOR 2', 95668),
(151943, 'PTHR34631', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 95669),
(151944, 'PTHR11206:SF415', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 95670),
(151945, 'PTHR11902:SF12', NULL, NULL, NULL, NULL, 'ALPHA-ENOLASE', 95671),
(151946, 'PTHR48041:SF63', NULL, NULL, NULL, NULL, 'EARLY GENE AT 23, ISOFORM C', 95672),
(151947, 'PTHR11624:SF104', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA', 95673),
(151948, 'PTHR46734:SF1', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR 1', 95674),
(151949, 'PTHR47518:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG06691', 95675),
(151950, 'PTHR33076:SF100', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 95676),
(151951, 'PTHR31645:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95677),
(151952, 'PTHR31860:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95678),
(151953, 'PTHR11691:SF60', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-2', 95679),
(151954, 'PTHR42647:SF43', NULL, NULL, NULL, NULL, 'BNAA08G04120D PROTEIN', 95680),
(151955, 'PTHR10891:SF910', NULL, NULL, NULL, NULL, 'BNAANNG10070D PROTEIN', 95681),
(151956, 'PTHR46502:SF7', NULL, NULL, NULL, NULL, 'ELICITOR-RESPONSIVE-LIKE PROTEIN', 95682),
(151957, 'PTHR31080:SF1', NULL, NULL, NULL, NULL, 'OS05G0360900 PROTEIN', 95683),
(151958, 'PTHR22847:SF702', NULL, NULL, NULL, NULL, '3E324', 95684),
(151959, 'PTHR47993:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95685),
(151960, 'PTHR32077:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95686),
(151961, 'PTHR31297:SF1', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE I/II-RELATED', 95687),
(151962, 'PTHR11850:SF126', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MEIS1', 95688),
(151963, 'PTHR37972:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG25533', 95689),
(151964, 'PTHR47641:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95690),
(151965, 'PTHR12305:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95691),
(151966, 'PTHR45649:SF4', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 95692),
(151967, 'PTHR31589:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95693),
(151968, 'PTHR31260:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95694),
(151969, 'PTHR32208:SF67', NULL, NULL, NULL, NULL, 'OS05G0559000 PROTEIN', 95695),
(151970, 'PTHR11206:SF416', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 29-RELATED', 95696),
(151971, 'PTHR14167:SF63', NULL, NULL, NULL, NULL, 'ENDOPHILIN-A2', 95697),
(151972, 'PTHR10768:SF29', NULL, NULL, NULL, NULL, 'BNAA02G19870D PROTEIN', 95698),
(151973, 'PTHR12112:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95699),
(151974, 'PTHR27002:SF661', NULL, NULL, NULL, NULL, 'OS04G0632100 PROTEIN', 95700),
(151975, 'PTHR45849:SF1', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SSRP1', 95701),
(151976, 'PTHR31902', NULL, NULL, NULL, NULL, 'ACTIN PATCHES DISTAL PROTEIN 1', 95702),
(151977, 'PTHR31474:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0027O01.6 PROTEIN', 95703),
(151978, 'PTHR14594', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 70 KDA', 95704),
(151979, 'PTHR48033:SF8', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN SQUID', 95705),
(151980, 'PTHR43019:SF23', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 5, CHLOROPLASTIC', 95706),
(151981, 'PTHR35974', NULL, NULL, NULL, NULL, 'NONCOMPACT MYELIN-ASSOCIATED PROTEIN', 95707),
(151982, 'PTHR42769', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE', 95708),
(151983, 'PTHR46642:SF4', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE, SUBGROUP, CATALYTIC DOMAIN', 95709),
(151984, 'PTHR11255:SF84', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 95710);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(151985, 'PTHR15598:SF10', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: ENHANCER OF MRNA-DECAPPING PROTEIN 4-LIKE', 95711),
(151986, 'PTHR11363:SF12', NULL, NULL, NULL, NULL, 'BNAC05G46670D PROTEIN', 95712),
(151987, 'PTHR13621:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN PRCC', 95713),
(151988, 'PTHR37450', NULL, NULL, NULL, NULL, 'CIPC PROTEIN', 95714),
(151989, 'PTHR34467:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95715),
(151990, 'PTHR21580:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95716),
(151991, 'PTHR18945:SF809', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID (GABA) A RECEPTOR, ZETA', 95717),
(151992, 'PTHR12962:SF1', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING PROTEIN CG9705', 95718),
(151993, 'PTHR12629:SF6', NULL, NULL, NULL, NULL, 'DIPHOSPHOINOSITOL POLYPHOSPHATE PHOSPHOHYDROLASE 2-RELATED', 95719),
(151994, 'PTHR24068:SF351', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 35', 95720),
(151995, 'PTHR41693', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 95721),
(151996, 'PTHR15836', NULL, NULL, NULL, NULL, 'PERIPHILIN 1', 95722),
(151997, 'PTHR43349:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95723),
(151998, 'PTHR35485:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95724),
(151999, 'PTHR24414:SF139', NULL, NULL, NULL, NULL, 'BNAC04G03370D PROTEIN', 95725),
(152000, 'PTHR45657:SF47', NULL, NULL, NULL, NULL, 'BNAA04G12230D PROTEIN', 95726),
(152001, 'PTHR45855:SF43', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 95727),
(152002, 'PTHR47999:SF21', NULL, NULL, NULL, NULL, 'TUBER-SPECIFIC AND SUCROSE-RESPONSIVE ELEMENT BINDING FACTOR', 95728),
(152003, 'PTHR10704:SF44', NULL, NULL, NULL, NULL, 'LD35051P', 95729),
(152004, 'PTHR47999:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95730),
(152005, 'PTHR46169:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG18126', 95731),
(152006, 'PTHR11782:SF110', NULL, NULL, NULL, NULL, 'BNAA10G16550D PROTEIN', 95732),
(152007, 'PTHR47659:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 95733),
(152008, 'PTHR23086:SF122', NULL, NULL, NULL, NULL, '5-KINASE, PUTATIVE-RELATED', 95734),
(152009, 'PTHR11690:SF269', NULL, NULL, NULL, NULL, 'DEGENERIN-LIKE PROTEIN ASIC-2', 95735),
(152010, 'PTHR14093:SF21', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 95736),
(152011, 'PTHR47686:SF1', NULL, NULL, NULL, NULL, 'SGS DOMAIN-CONTAINING PROTEIN', 95737),
(152012, 'PTHR10122:SF12', NULL, NULL, NULL, NULL, 'ZGC:86599', 95738),
(152013, 'PTHR24230:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95739),
(152014, 'PTHR47676:SF2', NULL, NULL, NULL, NULL, 'BNAANNG17340D PROTEIN', 95740),
(152015, 'PTHR45651:SF1', NULL, NULL, NULL, NULL, 'OS06G0207700 PROTEIN', 95741),
(152016, 'PTHR30540:SF103', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 25', 95742),
(152017, 'PTHR34569:SF15', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE ARKADIA-A, PUTATIVE-RELATED', 95743),
(152018, 'PTHR46128:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95744),
(152019, 'PTHR43820:SF8', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', 95745),
(152020, 'PTHR48011:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 95746),
(152021, 'PTHR31787:SF1', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN B-RELATED', 95747),
(152022, 'PTHR21726:SF69', NULL, NULL, NULL, NULL, 'BNAA09G04050D PROTEIN', 95748),
(152023, 'PTHR10151:SF110', NULL, NULL, NULL, NULL, 'ALKALINE-PHOSPHATASE-LIKE FAMILY PROTEIN', 95749),
(152024, 'PTHR21622:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG19950', 95750),
(152025, 'PTHR33593:SF3', NULL, NULL, NULL, NULL, 'BNAA09G06020D PROTEIN', 95751),
(152026, 'PTHR16134:SF109', NULL, NULL, NULL, NULL, 'BNAA09G01370D PROTEIN', 95752),
(152027, 'PTHR47230', NULL, NULL, NULL, NULL, 'TIR DOMAIN-CONTAINING ADAPTER MOLECULE 1', 95753),
(152028, 'PTHR48021:SF6', NULL, NULL, NULL, NULL, 'BNAC08G09100D PROTEIN', 95754),
(152029, 'PTHR21700:SF21', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 95755);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(152030, 'PTHR45899', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN AT 15B, ISOFORM C', 95756),
(152031, 'PTHR47125:SF6', NULL, NULL, NULL, NULL, 'OS05G0428400 PROTEIN', 95757),
(152032, 'PTHR39147', NULL, NULL, NULL, NULL, 'PROTEIN SPT21', 95758),
(152033, 'PTHR10782:SF69', NULL, NULL, NULL, NULL, 'E4 SUMO-PROTEIN LIGASE PIAL2-LIKE', 95759),
(152034, 'PTHR10983:SF63', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 4-RELATED', 95760),
(152035, 'PTHR45621:SF182', NULL, NULL, NULL, NULL, 'KINASE APK1B, CHLOROPLAST, PUTATIVE-RELATED', 95761),
(152036, 'PTHR10315:SF116', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 95762),
(152037, 'PTHR24188:SF39', NULL, NULL, NULL, NULL, 'IQ MOTIF AND ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN LOC642574 HOMOLOG-RELATED', 95763),
(152038, 'PTHR32080:SF56', NULL, NULL, NULL, NULL, 'OS06G0253600 PROTEIN', 95764),
(152039, 'PTHR23266:SF282', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-8', 95765),
(152040, 'PTHR12439:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95766),
(152041, 'PTHR16284:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CDV3 HOMOLOG', 95767),
(152042, 'PTHR12197:SF285', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASHR1', 95768),
(152043, 'PTHR11615:SF287', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 95769),
(152044, 'PTHR43775:SF34', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 16-RELATED', 95770),
(152045, 'PTHR13283:SF12', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN FRMD8P1-RELATED', 95771),
(152046, 'PTHR43489:SF1', NULL, NULL, NULL, NULL, 'L-RIBULOSE-5-PHOSPHATE 3-EPIMERASE SGBU-RELATED', 95772),
(152047, 'PTHR45958:SF7', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 95773),
(152048, 'PTHR24055:SF495', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G02590)-RELATED', 95774),
(152049, 'PTHR31642:SF224', NULL, NULL, NULL, NULL, 'N-BENZOYLTRANSFERASE, PUTATIVE-RELATED', 95775),
(152050, 'PTHR43176:SF20', NULL, NULL, NULL, NULL, 'BNAA02G34880D PROTEIN', 95776),
(152051, 'PTHR22932:SF3', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E SYNTHASE 3', 95777),
(152052, 'PTHR13864:SF19', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX PROTEIN 2', 95778),
(152053, 'PTHR32093:SF136', NULL, NULL, NULL, NULL, 'BNAC08G02750D PROTEIN', 95779),
(152054, 'PTHR10663:SF366', NULL, NULL, NULL, NULL, 'SEC7 DOMAIN-CONTAINING PROTEIN-RELATED', 95780),
(152055, 'PTHR42937', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 95781),
(152056, 'PTHR24343:SF221', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 95782),
(152057, 'PTHR28184', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL HOMOLOGOUS RECOMBINATION PROTEIN 1', 95783),
(152058, 'PTHR24092:SF174', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE DNF3-RELATED', 95784),
(152059, 'PTHR36746:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95785),
(152060, 'PTHR23266:SF271', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 7-81 (NON-FUNCTIONAL)', 95786),
(152061, 'PTHR11709:SF417', NULL, NULL, NULL, NULL, 'LACCASE-17', 95787),
(152062, 'PTHR35665', NULL, NULL, NULL, NULL, 'PROTEIN LKAAEAR1', 95788),
(152063, 'PTHR34371:SF11', NULL, NULL, NULL, NULL, 'RESPONSE FACTOR, PUTATIVE (DUF688)-RELATED', 95789),
(152064, 'PTHR11537:SF182', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY D MEMBER 3', 95790),
(152065, 'PTHR11104:SF0', NULL, NULL, NULL, NULL, 'SPBC2 PROPHAGE-DERIVED AMINOGLYCOSIDE N(3'')-ACETYLTRANSFERASE-LIKE PROTEIN YOKD', 95791),
(152066, 'PTHR43641:SF3', NULL, NULL, NULL, NULL, 'FORMATE ACETYLTRANSFERASE 2', 95792),
(152067, 'PTHR43346', NULL, NULL, NULL, NULL, 'LIGAND BINDING DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14370)-RELATED', 95793),
(152068, 'PTHR11214:SF294', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 95794),
(152069, 'PTHR32448', NULL, NULL, NULL, NULL, 'OS08G0158400 PROTEIN', 95795),
(152070, 'PTHR31767:SF0', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-LIKE SUBUNIT', 95796),
(152071, 'PTHR13064:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 9', 95797);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(152072, 'PTHR12542:SF103', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO70B2', 95798),
(152073, 'PTHR11814:SF54', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.5-RELATED', 95799),
(152074, 'PTHR12953:SF2', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 4', 95800),
(152075, 'PTHR11062:SF275', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 95801),
(152076, 'PTHR42967', NULL, NULL, NULL, NULL, 'METAL DEPENDENT HYDROLASE', 95802),
(152077, 'PTHR10953:SF6', NULL, NULL, NULL, NULL, 'NEDD8-ACTIVATING ENZYME E1 CATALYTIC SUBUNIT', 95803),
(152078, 'PTHR33373:SF25', NULL, NULL, NULL, NULL, 'BNAA09G56760D PROTEIN', 95804),
(152079, 'PTHR11929:SF199', NULL, NULL, NULL, NULL, '4-GALACTOSYL-N-ACETYLGLUCOSAMINIDE 3-ALPHA-L-FUCOSYLTRANSFERASE', 95805),
(152080, 'PTHR34569:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95806),
(152081, 'PTHR18945:SF821', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', 95807),
(152082, 'PTHR10801:SF10', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G14300)', 95808),
(152083, 'PTHR33169:SF14', NULL, NULL, NULL, NULL, 'PADR-FAMILY TRANSCRIPTIONAL REGULATOR', 95809),
(152084, 'PTHR31805:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95810),
(152085, 'PTHR11615:SF297', NULL, NULL, NULL, NULL, 'PERIPLASMIC [FE-FE] HYDROGENASE LARGE SUBUNIT HYDA', 95811),
(152086, 'PTHR12756:SF43', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE, PUTATIVE-RELATED', 95812),
(152087, 'PTHR38887:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', 95813),
(152088, 'PTHR24393:SF105', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE AW146154-RELATED', 95814),
(152089, 'PTHR10797:SF56', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 1-RELATED', 95815),
(152090, 'PTHR24034', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', 95816),
(152091, 'PTHR13869:SF20', NULL, NULL, NULL, NULL, 'MYELIN PROTEIN ZERO-LIKE PROTEIN 3', 95817),
(152092, 'PTHR45657:SF38', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH8-LIKE', 95818),
(152093, 'PTHR48011:SF52', NULL, NULL, NULL, NULL, 'BNAA09G17240D PROTEIN', 95819),
(152094, 'PTHR14428:SF5', NULL, NULL, NULL, NULL, 'NUCLEOLAR COMPLEX PROTEIN 3 HOMOLOG', 95820),
(152095, 'PTHR22941:SF188', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 95821),
(152096, 'PTHR10489:SF594', NULL, NULL, NULL, NULL, 'C-X-C CHEMOKINE RECEPTOR TYPE 4', 95822),
(152097, 'PTHR18945:SF753', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 95823),
(152098, 'PTHR11439:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95824),
(152099, 'PTHR10536', NULL, NULL, NULL, NULL, 'DNA PRIMASE SMALL SUBUNIT', 95825),
(152100, 'PTHR19139:SF161', NULL, NULL, NULL, NULL, 'AQUAPORIN-1', 95826),
(152101, 'PTHR33044:SF140', NULL, NULL, NULL, NULL, 'XYLOGEN-LIKE PROTEIN 11', 95827),
(152102, 'PTHR19232:SF1', NULL, NULL, NULL, NULL, 'CEREBELLAR DEGENERATION-RELATED PROTEIN 2', 95828),
(152103, 'PTHR24023:SF1014', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE I, ALPHA 1B', 95829),
(152104, 'PTHR32083:SF41', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE (AFU_ORTHOLOGUE AFUA_2G05810)-RELATED', 95830),
(152105, 'PTHR47319:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1-LIKE', 95831),
(152106, 'PTHR45586:SF11', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE ASSEMBLY PROTEIN B', 95832),
(152107, 'PTHR31008:SF2', NULL, NULL, NULL, NULL, 'COP1-INTERACTING PROTEIN-LIKE PROTEIN', 95833),
(152108, 'PTHR10373:SF32', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 7-LIKE 2', 95834),
(152109, 'PTHR32410:SF154', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN-RELATED', 95835),
(152110, 'PTHR20966:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 17', 95836),
(152111, 'PTHR24393:SF82', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 775', 95837),
(152112, 'PTHR10362:SF50', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', 95838),
(152113, 'PTHR34996:SF3', NULL, NULL, NULL, NULL, 'OS06G0327400 PROTEIN', 95839),
(152114, 'PTHR46356:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 2-OXODICARBOXYLATE CARRIER', 95840);
INSERT INTO "PUBLIC"."MODEL" VALUES
(152115, 'PTHR35695:SF2', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE, CHLOROPLASTIC', 95841),
(152116, 'PTHR24015:SF1063', NULL, NULL, NULL, NULL, 'OS12G0156900 PROTEIN', 95842),
(152117, 'PTHR11254:SF396', NULL, NULL, NULL, NULL, 'NEDD4-LIKE E3 UBIQUITIN-PROTEIN LIGASE WWP2', 95843),
(152118, 'PTHR34575:SF5', NULL, NULL, NULL, NULL, 'OS02G0773500 PROTEIN', 95844),
(152119, 'PTHR31087:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95845),
(152120, 'PTHR12533:SF10', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR OF ACTIVATED T-CELLS 5', 95846),
(152121, 'PTHR46057:SF40', NULL, NULL, NULL, NULL, 'OS04G0586200 PROTEIN', 95847),
(152122, 'PTHR45651:SF66', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CHANNEL 15-RELATED', 95848),
(152123, 'PTHR16516', NULL, NULL, NULL, NULL, 'AGAP007109-PA', 95849),
(152124, 'PTHR47821', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', 95850),
(152125, 'PTHR11486:SF18', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 14', 95851),
(152126, 'PTHR10927:SF2', NULL, NULL, NULL, NULL, 'RESTRICTION OF TELOMERE CAPPING PROTEIN 3', 95852),
(152127, 'PTHR35408', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', 95853),
(152128, 'PTHR47506:SF9', NULL, NULL, NULL, NULL, 'TETR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 95854),
(152129, 'PTHR31197:SF12', NULL, NULL, NULL, NULL, 'FINGER/BTB DOMAIN PROTEIN, PUTATIVE (DUF1644)-RELATED', 95855),
(152130, 'PTHR15075:SF5', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYLGLYCOPROTEIN 6-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE A', 95856),
(152131, 'PTHR33232:SF16', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION A', 95857),
(152132, 'PTHR44542:SF16', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 17', 95858),
(152133, 'PTHR43830:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95859),
(152134, 'PTHR19305', NULL, NULL, NULL, NULL, 'SYNAPTOSOMAL ASSOCIATED PROTEIN', 95860),
(152135, 'PTHR11697:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR-LIKE ZINC FINGER PROTEIN, PUTATIVE-RELATED', 95861),
(152136, 'PTHR24361:SF785', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 1', 95862),
(152137, 'PTHR21409', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC CELL SIGNAL TRANSDUCER', 95863),
(152138, 'PTHR18950:SF0', NULL, NULL, NULL, NULL, 'PROGESTERONE-INDUCED-BLOCKING FACTOR 1', 95864),
(152139, 'PTHR47235:SF1', NULL, NULL, NULL, NULL, 'BLR6548 PROTEIN', 95865),
(152140, 'PTHR32176:SF51', NULL, NULL, NULL, NULL, 'PATATIN', 95866),
(152141, 'PTHR12411:SF713', NULL, NULL, NULL, NULL, 'BNAC07G33540D PROTEIN', 95867),
(152142, 'PTHR14493:SF109', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 54', 95868),
(152143, 'PTHR47167:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TAO1-LIKE PROTEIN', 95869),
(152144, 'PTHR13068:SF46', NULL, NULL, NULL, NULL, 'OS03G0360600 PROTEIN', 95870),
(152145, 'PTHR30509:SF12', NULL, NULL, NULL, NULL, 'BLR3852 PROTEIN', 95871),
(152146, 'PTHR12210:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95872),
(152147, 'PTHR10845:SF34', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 1', 95873),
(152148, 'PTHR11615:SF334', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 2', 95874),
(152149, 'PTHR33305:SF44', NULL, NULL, NULL, NULL, 'PROTEIN ETHYLENE INSENSITIVE 3', 95875),
(152150, 'PTHR24376:SF73', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 48', 95876),
(152151, 'PTHR34490:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG12054', 95877),
(152152, 'PTHR21284', NULL, NULL, NULL, NULL, 'EG:80H7.2 PROTEIN', 95878),
(152153, 'PTHR31790:SF284', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 95879),
(152154, 'PTHR10693:SF61', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2-RELATED', 95880),
(152155, 'PTHR31245:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95881),
(152156, 'PTHR31327:SF5', NULL, NULL, NULL, NULL, 'MULTIPLE PDZ DOMAIN PROTEIN', 95882),
(152157, 'PTHR44314:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 70', 95883);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(152158, 'PTHR15459:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95884),
(152159, 'PTHR14942:SF17', NULL, NULL, NULL, NULL, 'BNAA03G51940D PROTEIN', 95885),
(152160, 'PTHR36148:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95886),
(152161, 'PTHR11547:SF19', NULL, NULL, NULL, NULL, 'CREATINE KINASE S-TYPE, MITOCHONDRIAL', 95887),
(152162, 'PTHR11991:SF0', NULL, NULL, NULL, NULL, 'TRANSLATIONALLY-CONTROLLED TUMOR PROTEIN', 95888),
(152163, 'PTHR38694', NULL, NULL, NULL, NULL, 'CONSERVED EXPRESSED PROTEIN', 95889),
(152164, 'PTHR18860:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95890),
(152165, 'PTHR10418:SF8', NULL, NULL, NULL, NULL, 'SECURIN-2', 95891),
(152166, 'PTHR46058:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 1', 95892),
(152167, 'PTHR47457', NULL, NULL, NULL, NULL, 'OS05G0345500 PROTEIN', 95893),
(152168, 'PTHR31365:SF15', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 95894),
(152169, 'PTHR22870:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95895),
(152170, 'PTHR16223:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95896),
(152171, 'PTHR11746:SF115', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE 10', 95897),
(152172, 'PTHR15577:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 318', 95898),
(152173, 'PTHR31080:SF109', NULL, NULL, NULL, NULL, 'PECTIN METHYLESTERASE INHIBITOR 1', 95899),
(152174, 'PTHR31907:SF53', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 165-RELATED', 95900),
(152175, 'PTHR45665:SF12', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', 95901),
(152176, 'PTHR33128:SF51', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 95902),
(152177, 'PTHR22588:SF3', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE VI, ALPHA 4A', 95903),
(152178, 'PTHR31534:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95904),
(152179, 'PTHR31302', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN WITH METALLOPHOSPHOESTERASE DOMAIN-RELATED', 95905),
(152180, 'PTHR24073:SF509', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-21', 95906),
(152181, 'PTHR15505:SF3', NULL, NULL, NULL, NULL, 'CILIOGENESIS-ASSOCIATED TTC17-INTERACTING PROTEIN', 95907),
(152182, 'PTHR11042:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95908),
(152183, 'PTHR24178:SF9', NULL, NULL, NULL, NULL, 'MOLTING PROTEIN MLT-4', 95909),
(152184, 'PTHR21479', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 95910),
(152185, 'PTHR45764:SF34', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 53', 95911),
(152186, 'PTHR36471', NULL, NULL, NULL, NULL, 'SMALL MEMBRANE A-KINASE ANCHOR PROTEIN', 95912),
(152187, 'PTHR12504', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM22', 95913),
(152188, 'PTHR24057:SF57', NULL, NULL, NULL, NULL, 'BNAC07G50210D PROTEIN', 95914),
(152189, 'PTHR45621:SF13', NULL, NULL, NULL, NULL, 'OS10G0395000 PROTEIN', 95915),
(152190, 'PTHR24377:SF734', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 82 HOMOLOG', 95916),
(152191, 'PTHR31205:SF23', NULL, NULL, NULL, NULL, 'CROSS-LINKING PROTEIN, PUTATIVE (DUF569)-RELATED', 95917),
(152192, 'PTHR11132:SF247', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID/UDP-N-ACETYLGALACTOSAMINE TRANSPORTER', 95918),
(152193, 'PTHR17604:SF7', NULL, NULL, NULL, NULL, 'VESTIGIAL-LIKE FAMILY MEMBER 4A', 95919),
(152194, 'PTHR11465:SF45', NULL, NULL, NULL, NULL, 'CATALASE ISOZYME A', 95920),
(152195, 'PTHR46872:SF14', NULL, NULL, NULL, NULL, 'BNAC03G56560D PROTEIN', 95921),
(152196, 'PTHR43920:SF2', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 1', 95922),
(152197, 'PTHR37254:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95923),
(152198, 'PTHR43963:SF3', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE [NADPH] 3', 95924),
(152199, 'PTHR33124:SF51', NULL, NULL, NULL, NULL, 'OS08G0469600 PROTEIN', 95925),
(152200, 'PTHR31065:SF48', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', 95926),
(152201, 'PTHR22930:SF157', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1-RELATED', 95927),
(152202, 'PTHR12295:SF30', NULL, NULL, NULL, NULL, 'PROTEIN FURRY', 95928),
(152203, 'PTHR31190:SF280', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-3', 95929);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(152204, 'PTHR12092:SF16', NULL, NULL, NULL, NULL, 'GROWTH PROTEIN (BOI2), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G03360)-RELATED', 95930),
(152205, 'PTHR10110:SF175', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 95931),
(152206, 'PTHR10024:SF206', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN BETA, ISOFORM D', 95932),
(152207, 'PTHR34807:SF10', NULL, NULL, NULL, NULL, 'BNAA03G50370D PROTEIN', 95933),
(152208, 'PTHR12514:SF4', NULL, NULL, NULL, NULL, 'BNAA06G32420D PROTEIN', 95934),
(152209, 'PTHR21708', NULL, NULL, NULL, NULL, 'PROBABLE 2-DEHYDROPANTOATE 2-REDUCTASE', 95935),
(152210, 'PTHR33348:SF23', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP8', 95936),
(152211, 'PTHR10681:SF159', NULL, NULL, NULL, NULL, 'TRYPAREDOXIN PEROXIDASE', 95937),
(152212, 'PTHR44542:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95938),
(152213, 'PTHR22906:SF37', NULL, NULL, NULL, NULL, 'PROPERDIN', 95939),
(152214, 'PTHR12411:SF632', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95940),
(152215, 'PTHR10302:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95941),
(152216, 'PTHR24345:SF43', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE PLK5', 95942),
(152217, 'PTHR36519:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG16629', 95943),
(152218, 'PTHR47930:SF2', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_8G04250)', 95944),
(152219, 'PTHR38973:SF2', NULL, NULL, NULL, NULL, 'PLASMID PARTITIONING CONTROL PROTEIN', 95945),
(152220, 'PTHR16433', NULL, NULL, NULL, NULL, 'DOLICHOL-PHOSPHATE MANNOSYLTRANSFERASE SUBUNIT 3', 95946),
(152221, 'PTHR31645:SF7', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL2', 95947),
(152222, 'PTHR11442:SF48', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT ALPHA', 95948),
(152223, 'PTHR45933:SF37', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN-RELATED', 95949),
(152224, 'PTHR12236:SF84', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 31A-RELATED', 95950),
(152225, 'PTHR15404:SF2', NULL, NULL, NULL, NULL, 'PROTEIN AF1Q', 95951),
(152226, 'PTHR11132:SF419', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSPORTER 2-LIKE', 95952),
(152227, 'PTHR31993:SF5', NULL, NULL, NULL, NULL, 'UBA-LIKE DOMAIN-CONTAINING PROTEIN 1', 95953),
(152228, 'PTHR37574', NULL, NULL, NULL, NULL, 'LIPASE B', 95954),
(152229, 'PTHR45973:SF12', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 3', 95955),
(152230, 'PTHR13318:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95956),
(152231, 'PTHR48002:SF109', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K15', 95957),
(152232, 'PTHR28242:SF49', NULL, NULL, NULL, NULL, 'PSEUDO HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 2', 95958),
(152233, 'PTHR11260:SF680', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, C-TERMINAL, THIOREDOXIN-LIKE FOLD', 95959),
(152234, 'PTHR31707:SF235', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 95960),
(152235, 'PTHR30634:SF8', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR TYPE A', 95961),
(152236, 'PTHR11195:SF17', NULL, NULL, NULL, NULL, 'INVERTEBRATE LYSOZYME', 95962),
(152237, 'PTHR31072:SF174', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP14-LIKE', 95963),
(152238, 'PTHR24373:SF38', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING NOGO RECEPTOR-INTERACTING PROTEIN 2', 95964),
(152239, 'PTHR35830', NULL, NULL, NULL, NULL, 'OS05G0299200 PROTEIN', 95965),
(152240, 'PTHR31415:SF3', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 95966),
(152241, 'PTHR31889:SF70', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', 95967),
(152242, 'PTHR23130:SF190', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 95968),
(152243, 'PTHR10117:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95969),
(152244, 'PTHR10790:SF51', NULL, NULL, NULL, NULL, 'TPR-DOMAIN CONTAINING PROTEIN', 95970),
(152245, 'PTHR23073:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95971),
(152246, 'PTHR32176:SF79', NULL, NULL, NULL, NULL, 'PATATIN', 95972); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(152247, 'PTHR10797:SF55', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 2-RELATED', 95973),
(152248, 'PTHR45701:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95974),
(152249, 'PTHR13780:SF46', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX6', 95975),
(152250, 'PTHR43433:SF3', NULL, NULL, NULL, NULL, 'NON-HEME CHLOROPEROXIDASE', 95976),
(152251, 'PTHR31989:SF329', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 45-LIKE', 95977),
(152252, 'PTHR24068:SF67', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 L3', 95978),
(152253, 'PTHR45658:SF41', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 95979),
(152254, 'PTHR48018:SF112', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 95980),
(152255, 'PTHR31086:SF4', NULL, NULL, NULL, NULL, 'ALUMINUM ACTIVATED MALATE TRANSPORTER FAMILY PROTEIN', 95981),
(152256, 'PTHR35118:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 95982),
(152257, 'PTHR15911:SF6', NULL, NULL, NULL, NULL, 'WW DOMAIN-CONTAINING ADAPTER PROTEIN WITH COILED-COIL', 95983),
(152258, 'PTHR24057:SF8', NULL, NULL, NULL, NULL, 'GLYCOGEN SYNTHASE KINASE-3 BETA', 95984),
(152259, 'PTHR45618:SF21', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN UCPB', 95985),
(152260, 'PTHR12791:SF51', NULL, NULL, NULL, NULL, 'TARGET SNARE COILED-COIL DOMAIN-CONTAINING PROTEIN-RELATED', 95986),
(152261, 'PTHR23024:SF522', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95987),
(152262, 'PTHR12552:SF4', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 26', 95988),
(152263, 'PTHR12552:SF5', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 10', 95989),
(152264, 'PTHR43539:SF53', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 95990),
(152265, 'PTHR13683:SF724', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 95991),
(152266, 'PTHR31790:SF280', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 95992),
(152267, 'PTHR31621:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 95993),
(152268, 'PTHR37188:SF3', NULL, NULL, NULL, NULL, 'BNAA07G07820D PROTEIN', 95994),
(152269, 'PTHR11783:SF79', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 95995),
(152270, 'PTHR47424:SF9', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 95996),
(152271, 'PTHR21717:SF81', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE, UBIQUITIN-RELATED DOMAIN PROTEIN-RELATED', 95997),
(152272, 'PTHR45644:SF46', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 95998),
(152273, 'PTHR31218:SF314', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 95999),
(152274, 'PTHR24115:SF840', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-UA', 96000),
(152275, 'PTHR22761:SF61', NULL, NULL, NULL, NULL, 'SNF7 FAMILY-RELATED', 96001),
(152276, 'PTHR43991:SF34', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', 96002),
(152277, 'PTHR33923:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96003),
(152278, 'PTHR45730:SF84', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 4-LIKE ISOFORM X1', 96004),
(152279, 'PTHR22943:SF249', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 96005),
(152280, 'PTHR23500:SF552', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96006),
(152281, 'PTHR24414:SF73', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP11', 96007),
(152282, 'PTHR11802:SF271', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 19', 96008),
(152283, 'PTHR43639', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_5G02870)', 96009),
(152284, 'PTHR36738', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 96010),
(152285, 'PTHR10270:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-4', 96011),
(152286, 'PTHR46307:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EHMT2', 96012),
(152287, 'PTHR10257:SF56', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 96013),
(152288, 'PTHR46934:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96014);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(152289, 'PTHR31992:SF222', NULL, NULL, NULL, NULL, 'DOF DOMAIN ZINC FINGER PROTEIN', 96015),
(152290, 'PTHR23505:SF72', NULL, NULL, NULL, NULL, 'OS09G0371000 PROTEIN', 96016),
(152291, 'PTHR24241:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96017),
(152292, 'PTHR21109', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S21', 96018),
(152293, 'PTHR19432:SF43', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUT5', 96019),
(152294, 'PTHR31692:SF103', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE A3-RELATED', 96020),
(152295, 'PTHR13914:SF22', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE 1, MITOCHONDRIAL', 96021),
(152296, 'PTHR44040:SF1', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-BINDING PROTEIN 5', 96022),
(152297, 'PTHR36807:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE', 96023),
(152298, 'PTHR23428:SF72', NULL, NULL, NULL, NULL, 'HISTONE H2B.3', 96024),
(152299, 'PTHR12677:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96025),
(152300, 'PTHR16230:SF5', NULL, NULL, NULL, NULL, 'BREAST CARCINOMA-AMPLIFIED SEQUENCE 4', 96026),
(152301, 'PTHR48007:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE-LIKE PROTEIN ZAR1', 96027),
(152302, 'PTHR45648:SF106', NULL, NULL, NULL, NULL, 'ANTHER-SPECIFIC PROLINE-RICH PROTEIN APG', 96028),
(152303, 'PTHR45933:SF4', NULL, NULL, NULL, NULL, 'CHITINASE III-LIKE PROTEIN', 96029),
(152304, 'PTHR43577:SF1', NULL, NULL, NULL, NULL, 'CARBOXYPHOSPHONOENOLPYRUVATE PHOSPHONOMUTASE-LIKE PROTEIN (AFU_ORTHOLOGUE AFUA_5G07230)', 96030),
(152305, 'PTHR47928:SF75', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 96031),
(152306, 'PTHR14208:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KRASAVIETZ', 96032),
(152307, 'PTHR13349', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 96033),
(152308, 'PTHR33107:SF34', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE INHIBITOR 8-LIKE', 96034),
(152309, 'PTHR31852:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96035),
(152310, 'PTHR33085:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96036),
(152311, 'PTHR31604:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96037),
(152312, 'PTHR26454:SF2', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 49', 96038),
(152313, 'PTHR14003:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR YY2-RELATED', 96039),
(152314, 'PTHR24379:SF85', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 275', 96040),
(152315, 'PTHR24408', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 96041),
(152316, 'PTHR11830:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', 96042),
(152317, 'PTHR23335:SF29', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 2', 96043),
(152318, 'PTHR24418:SF39', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE LCK', 96044),
(152319, 'PTHR10114:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', 96045),
(152320, 'PTHR10766:SF137', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 2', 96046),
(152321, 'PTHR31917:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96047),
(152322, 'PTHR24296:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96048),
(152323, 'PTHR32099:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96049),
(152324, 'PTHR47523:SF1', NULL, NULL, NULL, NULL, 'F21O3.11 PROTEIN', 96050),
(152325, 'PTHR36183:SF2', NULL, NULL, NULL, NULL, 'BETA-GLUCURONIDASE', 96051),
(152326, 'PTHR34777:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96052),
(152327, 'PTHR23124:SF74', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 96053),
(152328, 'PTHR31791:SF61', NULL, NULL, NULL, NULL, 'BNAA09G03630D PROTEIN', 96054),
(152329, 'PTHR47295:SF10', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN ISOFORM X2', 96055),
(152330, 'PTHR24291:SF112', NULL, NULL, NULL, NULL, 'DOCOSAHEXAENOIC ACID OMEGA-HYDROXYLASE CYP4F3', 96056),
(152331, 'PTHR47993:SF95', NULL, NULL, NULL, NULL, 'BNAUNNG01370D PROTEIN', 96057),
(152332, 'PTHR15093:SF1', NULL, NULL, NULL, NULL, 'PRKC APOPTOSIS WT1 REGULATOR PROTEIN', 96058),
(152333, 'PTHR48010:SF52', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 96059);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(152334, 'PTHR27009:SF224', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 96060),
(152335, 'PTHR31241:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96061),
(152336, 'PTHR46251:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96062),
(152337, 'PTHR33470:SF30', NULL, NULL, NULL, NULL, 'PISTIL-SPECIFIC EXTENSIN-LIKE PROTEIN', 96063),
(152338, 'PTHR24281:SF195', NULL, NULL, NULL, NULL, 'CYTOCHROME 82A3', 96064),
(152339, 'PTHR11802:SF343', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 96065),
(152340, 'PTHR46352:SF12', NULL, NULL, NULL, NULL, 'BNAANNG02260D PROTEIN', 96066),
(152341, 'PTHR24637:SF285', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN ROL-6', 96067),
(152342, 'PTHR12962:SF6', NULL, NULL, NULL, NULL, 'CALCIUM-REGULATED HEAT STABLE PROTEIN 1', 96068),
(152343, 'PTHR48002:SF12', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 96069),
(152344, 'PTHR36687:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96070),
(152345, 'PTHR33121:SF61', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEH', 96071),
(152346, 'PTHR34890:SF7', NULL, NULL, NULL, NULL, 'BNAUNNG00850D PROTEIN', 96072),
(152347, 'PTHR35122:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96073),
(152348, 'PTHR12538:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', 96074),
(152349, 'PTHR46776:SF1', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 5', 96075),
(152350, 'PTHR31415:SF75', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 96076),
(152351, 'PTHR14593:SF7', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', 96077),
(152352, 'PTHR12098', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PELLINO-RELATED', 96078),
(152353, 'PTHR11695:SF647', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96079),
(152354, 'PTHR31992:SF231', NULL, NULL, NULL, NULL, 'BNAA03G58580D PROTEIN', 96080),
(152355, 'PTHR32370:SF98', NULL, NULL, NULL, NULL, 'ROOT PHOTOTROPISM PROTEIN-RELATED', 96081),
(152356, 'PTHR31642:SF148', NULL, NULL, NULL, NULL, 'OS03G0659550 PROTEIN', 96082),
(152357, 'PTHR31232:SF112', NULL, NULL, NULL, NULL, 'BNAC09G40880D PROTEIN', 96083),
(152358, 'PTHR23320:SF8', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 7', 96084),
(152359, 'PTHR18896:SF130', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D BETA 1-LIKE', 96085),
(152360, 'PTHR19961:SF27', NULL, NULL, NULL, NULL, 'PLASTIN-1', 96086),
(152361, 'PTHR12585:SF61', NULL, NULL, NULL, NULL, 'REC8 MEIOTIC RECOMBINATION PROTEIN B', 96087),
(152362, 'PTHR31376:SF8', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 3-LIKE ISOFORM X3', 96088),
(152363, 'PTHR35718', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 96089),
(152364, 'PTHR36394:SF1', NULL, NULL, NULL, NULL, 'OS01G0277700 PROTEIN', 96090),
(152365, 'PTHR31384:SF138', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 96091),
(152366, 'PTHR33228:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96092),
(152367, 'PTHR10223:SF11', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 4 HOMOLOG ISOFORM X1', 96093),
(152368, 'PTHR14338:SF1', NULL, NULL, NULL, NULL, 'ACTIN FILAMENT-ASSOCIATED PROTEIN 1-LIKE 1', 96094),
(152369, 'PTHR31744:SF82', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUNGBRUNNEN 1-LIKE', 96095),
(152370, 'PTHR12011:SF60', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L3', 96096),
(152371, 'PTHR10454:SF155', NULL, NULL, NULL, NULL, 'CASPASE-15', 96097),
(152372, 'PTHR33271:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96098),
(152373, 'PTHR23500:SF580', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', 96099),
(152374, 'PTHR11527:SF293', NULL, NULL, NULL, NULL, 'CYTOSOLIC CLASS I SMALL HEAT SHOCK PROTEIN', 96100),
(152375, 'PTHR13976:SF69', NULL, NULL, NULL, NULL, 'FI22004P1', 96101),
(152376, 'PTHR45662:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96102),
(152377, 'PTHR47955', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 96103),
(152378, 'PTHR47579:SF3', NULL, NULL, NULL, NULL, 'COMPLEX 1 LYR PROTEIN', 96104);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(152379, 'PTHR13382:SF15', NULL, NULL, NULL, NULL, 'BNAA06G34760D PROTEIN', 96105),
(152380, 'PTHR37293:SF2', NULL, NULL, NULL, NULL, 'PHI ETA ORF 22-LIKE PROTEIN', 96106),
(152381, 'PTHR31992:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96107),
(152382, 'PTHR33938:SF2', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 96108),
(152383, 'PTHR23179:SF26', NULL, NULL, NULL, NULL, 'T-CELL ACTIVATION RHO GTPASE-ACTIVATING PROTEIN', 96109),
(152384, 'PTHR21662', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 96110),
(152385, 'PTHR37707', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST 9', 96111),
(152386, 'PTHR47936:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 96112),
(152387, 'PTHR42788:SF12', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN-RELATED', 96113),
(152388, 'PTHR24055:SF378', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 1', 96114),
(152389, 'PTHR32227:SF313', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 96115),
(152390, 'PTHR21349:SF2', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L21, CHLOROPLASTIC', 96116),
(152391, 'PTHR45701:SF14', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN RELATED-RELATED', 96117),
(152392, 'PTHR45427', NULL, NULL, NULL, NULL, 'MUCIN-15', 96118),
(152393, 'PTHR10106:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME B561', 96119),
(152394, 'PTHR33021:SF189', NULL, NULL, NULL, NULL, 'STELLACYANIN', 96120),
(152395, 'PTHR32448:SF131', NULL, NULL, NULL, NULL, 'RETICULINE OXIDASE-LIKE PROTEIN', 96121),
(152396, 'PTHR28595', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L54, MITOCHONDRIAL', 96122),
(152397, 'PTHR12961:SF0', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 2', 96123),
(152398, 'PTHR10465:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GTPASE MARF-RELATED', 96124),
(152399, 'PTHR31213:SF150', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN', 96125),
(152400, 'PTHR11746:SF155', NULL, NULL, NULL, NULL, 'TRANS-RESVERATROL DI-O-METHYLTRANSFERASE-LIKE', 96126),
(152401, 'PTHR35340', NULL, NULL, NULL, NULL, 'PQQ ENZYME REPEAT PROTEIN-RELATED', 96127),
(152402, 'PTHR10695:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96128),
(152403, 'PTHR21580:SF48', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 3-LIKE PROTEIN 2', 96129),
(152404, 'PTHR24214:SF0', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN 7', 96130),
(152405, 'PTHR30004', NULL, NULL, NULL, NULL, '4-HYDROXYTHREONINE-4-PHOSPHATE DEHYDROGENASE', 96131),
(152406, 'PTHR12411:SF754', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE-RELATED', 96132),
(152407, 'PTHR23142:SF3', NULL, NULL, NULL, NULL, 'PRP38 FAMILY PROTEIN', 96133),
(152408, 'PTHR48102:SF4', NULL, NULL, NULL, NULL, 'CLP PROTEASE REGULATORY SUBUNIT CLPX2, MITOCHONDRIAL', 96134),
(152409, 'PTHR34589:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 2700081O15', 96135),
(152410, 'PTHR43205:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96136),
(152411, 'PTHR21261:SF6', NULL, NULL, NULL, NULL, 'BEAT-IIB, ISOFORM A-RELATED', 96137),
(152412, 'PTHR24376:SF78', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 629', 96138),
(152413, 'PTHR46214:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING-CH-TYPE', 96139),
(152414, 'PTHR48083:SF4', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE-RELATED', 96140),
(152415, 'PTHR33143:SF48', NULL, NULL, NULL, NULL, 'BNAA07G37320D PROTEIN', 96141),
(152416, 'PTHR12570:SF17', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA1', 96142),
(152417, 'PTHR11627', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 96143),
(152418, 'PTHR47977:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96144),
(152419, 'PTHR34493:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG24986', 96145),
(152420, 'PTHR11592:SF51', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 96146),
(152421, 'PTHR31762', NULL, NULL, NULL, NULL, 'FAS-BINDING FACTOR-LIKE PROTEIN', 96147),
(152422, 'PTHR47993:SF72', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE ISOFORM X1', 96148),
(152423, 'PTHR11132:SF399', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE/PHOSPHATE TRANSLOCATOR 2, CHLOROPLASTIC-LIKE', 96149);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(152424, 'PTHR32153:SF42', NULL, NULL, NULL, NULL, 'BNACNNG23630D PROTEIN', 96150),
(152425, 'PTHR10380:SF160', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 100A', 96151),
(152426, 'PTHR11972:SF77', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10820)-RELATED', 96152),
(152427, 'PTHR11371:SF11', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE', 96153),
(152428, 'PTHR31969:SF36', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 3-RELATED', 96154),
(152429, 'PTHR47992:SF118', NULL, NULL, NULL, NULL, 'BNAA03G52270D PROTEIN', 96155),
(152430, 'PTHR46097', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE INTERACTING ARFGAP', 96156),
(152431, 'PTHR10404:SF67', NULL, NULL, NULL, NULL, 'OS01G0740650 PROTEIN', 96157),
(152432, 'PTHR11610:SF12', NULL, NULL, NULL, NULL, 'LIPASE MEMBER H', 96158),
(152433, 'PTHR45654:SF66', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN MERISTEM L1', 96159),
(152434, 'PTHR39741:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96160),
(152435, 'PTHR47965:SF29', NULL, NULL, NULL, NULL, 'NUCLEOID DNA-BINDING-LIKE PROTEIN', 96161),
(152436, 'PTHR19282:SF430', NULL, NULL, NULL, NULL, 'TETRASPANIN TSPB-RELATED', 96162),
(152437, 'PTHR45648:SF97', NULL, NULL, NULL, NULL, 'BNAC06G06760D PROTEIN', 96163),
(152438, 'PTHR11977:SF98', NULL, NULL, NULL, NULL, 'VILLIN-2', 96164),
(152439, 'PTHR13715:SF87', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR', 96165),
(152440, 'PTHR35329:SF1', NULL, NULL, NULL, NULL, 'CONTROL PROTEIN CHS7-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G07110)-RELATED', 96166),
(152441, 'PTHR13516:SF20', NULL, NULL, NULL, NULL, 'BNACNNG26750D PROTEIN', 96167),
(152442, 'PTHR37103', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 96168),
(152443, 'PTHR21649:SF117', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 13, CHLOROPLASTIC', 96169),
(152444, 'PTHR13522:SF3', NULL, NULL, NULL, NULL, 'U6 SNRNA PHOSPHODIESTERASE', 96170),
(152445, 'PTHR11709:SF334', NULL, NULL, NULL, NULL, 'BNAC02G16540D PROTEIN', 96171),
(152446, 'PTHR11709:SF365', NULL, NULL, NULL, NULL, 'CUPREDOXIN-RELATED', 96172),
(152447, 'PTHR46310:SF4', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PROTEIN 64, MITOCHONDRIAL', 96173),
(152448, 'PTHR24223:SF409', NULL, NULL, NULL, NULL, 'BNAA01G30260D PROTEIN', 96174),
(152449, 'PTHR11723:SF16', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN INHIBITOR ID-3', 96175),
(152450, 'PTHR11122:SF39', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 96176),
(152451, 'PTHR12203:SF90', NULL, NULL, NULL, NULL, 'O-GLUCOSYLTRANSFERASE RUMI HOMOLOG', 96177),
(152452, 'PTHR31645:SF62', NULL, NULL, NULL, NULL, 'GB|AAD49762.1-RELATED', 96178),
(152453, 'PTHR46736:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96179),
(152454, 'PTHR12461:SF90', NULL, NULL, NULL, NULL, 'JUMONJI-LIKE PROTEIN', 96180),
(152455, 'PTHR13958', NULL, NULL, NULL, NULL, 'CENTROSOME-ASSOCIATED PROTEIN 350', 96181),
(152456, 'PTHR31318:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 96182),
(152457, 'PTHR44167:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE-43', 96183),
(152458, 'PTHR31602:SF60', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 5', 96184),
(152459, 'PTHR12634:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY SUBUNIT 3-LIKE ISOFORM X1', 96185),
(152460, 'PTHR43795:SF46', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE ACS12-RELATED', 96186),
(152461, 'PTHR31095:SF3', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9930021J03 GENE', 96187),
(152462, 'PTHR10032:SF220', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR OVO-LIKE PROTEIN 3-RELATED', 96188),
(152463, 'PTHR23267:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96189),
(152464, 'PTHR34560:SF6', NULL, NULL, NULL, NULL, 'BNAA05G27350D PROTEIN', 96190),
(152465, 'PTHR10366:SF699', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL-4-REDUCTASE', 96191),
(152466, 'PTHR12611:SF3', NULL, NULL, NULL, NULL, 'PURINE-RICH ELEMENT-BINDING PROTEIN GAMMA', 96192),
(152467, 'PTHR22980:SF4', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN S-RELATED', 96193),
(152468, 'PTHR21527:SF10', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP35', 96194);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(152469, 'PTHR47208:SF7', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 13', 96195),
(152470, 'PTHR48100:SF29', NULL, NULL, NULL, NULL, 'OS11G0138600 PROTEIN', 96196),
(152471, 'PTHR42683:SF48', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 6-RELATED', 96197),
(152472, 'PTHR11461:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96198),
(152473, 'PTHR24377:SF898', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 792', 96199),
(152474, 'PTHR46369:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CELLULOSE SYNTHASE INTERACTIVE 2', 96200),
(152475, 'PTHR22607:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 2-ASSOCIATED PROTEIN 1', 96201),
(152476, 'PTHR43462:SF1', NULL, NULL, NULL, NULL, 'ALANYL-TRNA EDITING PROTEIN AARSD1', 96202),
(152477, 'PTHR23155:SF968', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 96203),
(152478, 'PTHR24006:SF671', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 34', 96204),
(152479, 'PTHR35291:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SHROOM-LIKE', 96205),
(152480, 'PTHR24249:SF271', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 6', 96206),
(152481, 'PTHR31790:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96207),
(152482, 'PTHR46767:SF1', NULL, NULL, NULL, NULL, 'LIM DOMAIN ONLY PROTEIN 7', 96208),
(152483, 'PTHR47992:SF141', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 75-RELATED', 96209),
(152484, 'PTHR12147:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96210),
(152485, 'PTHR22730:SF6', NULL, NULL, NULL, NULL, 'PROMININ-2', 96211),
(152486, 'PTHR12963:SF0', NULL, NULL, NULL, NULL, 'ACTIVATING SIGNAL COINTEGRATOR 1', 96212),
(152487, 'PTHR43215:SF4', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD 1 HOMOLOG', 96213),
(152488, 'PTHR33021:SF367', NULL, NULL, NULL, NULL, 'BNAC03G14800D PROTEIN', 96214),
(152489, 'PTHR24230:SF143', NULL, NULL, NULL, NULL, 'LEUKOTRIENE B4 RECEPTOR', 96215),
(152490, 'PTHR10859:SF109', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 96216),
(152491, 'PTHR31099:SF22', NULL, NULL, NULL, NULL, 'BNAC02G30160D PROTEIN', 96217),
(152492, 'PTHR31250:SF1', NULL, NULL, NULL, NULL, 'OS01G0570800 PROTEIN', 96218),
(152493, 'PTHR31100:SF2', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 18', 96219),
(152494, 'PTHR31079:SF39', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 99', 96220),
(152495, 'PTHR24418:SF407', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE CSK', 96221),
(152496, 'PTHR31374:SF178', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR15-LIKE', 96222),
(152497, 'PTHR45930:SF4', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 124-LIKE PROTEIN', 96223),
(152498, 'PTHR10496:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', 96224),
(152499, 'PTHR19241:SF634', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 37', 96225),
(152500, 'PTHR11709:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96226),
(152501, 'PTHR24403:SF86', NULL, NULL, NULL, NULL, 'SUPPRESSOR', 96227),
(152502, 'PTHR46224:SF5', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN E4_8-LIKE', 96228),
(152503, 'PTHR10811:SF68', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', 96229),
(152504, 'PTHR23359:SF162', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE', 96230),
(152505, 'PTHR10965:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L38', 96231),
(152506, 'PTHR11909:SF410', NULL, NULL, NULL, NULL, 'CK1 FAMILY PROTEIN KINASE', 96232),
(152507, 'PTHR24373:SF273', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEATS AND IMMUNOGLOBULIN-LIKE DOMAINS PROTEIN 1', 96233),
(152508, 'PTHR10245:SF117', NULL, NULL, NULL, NULL, 'MULTIPROTEIN-BRIDGING FACTOR 1B', 96234),
(152509, 'PTHR38407', NULL, NULL, NULL, NULL, 'PROTEIN IVY1', 96235),
(152510, 'PTHR13803:SF37', NULL, NULL, NULL, NULL, 'SEC23/SEC24 PROTEIN TRANSPORT FAMILY PROTEIN-RELATED', 96236),
(152511, 'PTHR21277:SF32', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF RNA POLII SAGA SUBUNIT', 96237),
(152512, 'PTHR47561', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 96238),
(152513, 'PTHR11733:SF212', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', 96239);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(152514, 'PTHR31549:SF69', NULL, NULL, NULL, NULL, 'OS12G0513700 PROTEIN', 96240),
(152515, 'PTHR13743:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96241),
(152516, 'PTHR24203:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96242),
(152517, 'PTHR13398:SF3', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 14', 96243),
(152518, 'PTHR33191:SF61', NULL, NULL, NULL, NULL, 'KIWELLIN-LIKE', 96244),
(152519, 'PTHR38074', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 96245),
(152520, 'PTHR11246:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96246),
(152521, 'PTHR22916:SF30', NULL, NULL, NULL, NULL, 'RANDOM SLUG CDNA19 PROTEIN', 96247),
(152522, 'PTHR33052:SF68', NULL, NULL, NULL, NULL, 'OS03G0356526 PROTEIN', 96248),
(152523, 'PTHR31500:SF78', NULL, NULL, NULL, NULL, 'PPC DOMAIN-CONTAINING PROTEIN-RELATED', 96249),
(152524, 'PTHR10502:SF194', NULL, NULL, NULL, NULL, 'ANNEXIN', 96250),
(152525, 'PTHR33172:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96251),
(152526, 'PTHR35317:SF8', NULL, NULL, NULL, NULL, 'POLYPROTEIN-LIKE PROTEIN', 96252),
(152527, 'PTHR10108:SF1110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96253),
(152528, 'PTHR42861:SF96', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 96254),
(152529, 'PTHR42655', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE', 96255),
(152530, 'PTHR12538:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', 96256),
(152531, 'PTHR11537:SF172', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY C MEMBER 2', 96257),
(152532, 'PTHR12436:SF33', NULL, NULL, NULL, NULL, 'OS05G0462600 PROTEIN', 96258),
(152533, 'PTHR43372:SF3', NULL, NULL, NULL, NULL, 'AT07710P', 96259),
(152534, 'PTHR39479', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 96260),
(152535, 'PTHR31731:SF62', NULL, NULL, NULL, NULL, 'OS04G0612500 PROTEIN', 96261),
(152536, 'PTHR31929:SF96', NULL, NULL, NULL, NULL, 'BNAA10G16800D PROTEIN', 96262),
(152537, 'PTHR10632', NULL, NULL, NULL, NULL, 'SULFIDE:QUINONE OXIDOREDUCTASE', 96263),
(152538, 'PTHR46856:SF3', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN EREX', 96264),
(152539, 'PTHR23070:SF122', NULL, NULL, NULL, NULL, 'OS07G0517600 PROTEIN', 96265),
(152540, 'PTHR13832:SF565', NULL, NULL, NULL, NULL, 'AT28366P-RELATED', 96266),
(152541, 'PTHR43425', NULL, NULL, NULL, NULL, 'OXYGEN-INSENSITIVE NADPH NITROREDUCTASE', 96267),
(152542, 'PTHR11594:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27-RELATED', 96268),
(152543, 'PTHR10641:SF1059', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB28', 96269),
(152544, 'PTHR24092:SF148', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 96270),
(152545, 'PTHR24100:SF55', NULL, NULL, NULL, NULL, 'ICOS LIGAND', 96271),
(152546, 'PTHR37384', NULL, NULL, NULL, NULL, 'OS01G0835600 PROTEIN', 96272),
(152547, 'PTHR11249', NULL, NULL, NULL, NULL, 'GLIAL FACTOR NATURATION FACTOR', 96273),
(152548, 'PTHR10423', NULL, NULL, NULL, NULL, 'INSULIN-LIKE 3', 96274),
(152549, 'PTHR34357:SF8', NULL, NULL, NULL, NULL, 'BNAA06G11060D PROTEIN', 96275),
(152550, 'PTHR43625:SF66', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN PCNT115-LIKE', 96276),
(152551, 'PTHR24384:SF110', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 730-RELATED', 96277),
(152552, 'PTHR47897', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 124', 96278),
(152553, 'PTHR44742', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 96279),
(152554, 'PTHR31562:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG24330', 96280),
(152555, 'PTHR11802:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96281),
(152556, 'PTHR14950:SF36', NULL, NULL, NULL, NULL, 'DICER-2, ISOFORM A', 96282),
(152557, 'PTHR45673:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 96283),
(152558, 'PTHR46214:SF27', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 96284),
(152559, 'PTHR24347:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96285),
(152560, 'PTHR11709:SF373', NULL, NULL, NULL, NULL, 'SKU5-SIMILAR 6-RELATED', 96286),
(152561, 'PTHR11712:SF337', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE I, CHLOROPLASTIC-LIKE', 96287);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(152562, 'PTHR25462:SF209', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM56', 96288),
(152563, 'PTHR31871:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 96289),
(152564, 'PTHR13532', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 96290),
(152565, 'PTHR13798:SF4', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 7', 96291),
(152566, 'PTHR32481:SF5', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 96292),
(152567, 'PTHR34149:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG00994', 96293),
(152568, 'PTHR24161:SF96', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 96294),
(152569, 'PTHR22991:SF42', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 96295),
(152570, 'PTHR48017', NULL, NULL, NULL, NULL, 'OS05G0424000 PROTEIN-RELATED', 96296),
(152571, 'PTHR13848:SF84', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 96297),
(152572, 'PTHR13055:SF11', NULL, NULL, NULL, NULL, 'PLEXIN DOMAIN-CONTAINING PROTEIN 2', 96298),
(152573, 'PTHR22951:SF4', NULL, NULL, NULL, NULL, 'CLATHRIN COAT ASSEMBLY PROTEIN AP180', 96299),
(152574, 'PTHR13355:SF16', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE', 96300),
(152575, 'PTHR45639:SF14', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 17', 96301),
(152576, 'PTHR33155:SF7', NULL, NULL, NULL, NULL, 'OS11G0643600 PROTEIN', 96302),
(152577, 'PTHR43321:SF14', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 96303),
(152578, 'PTHR11680:SF45', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', 96304),
(152579, 'PTHR14882:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 92B', 96305),
(152580, 'PTHR24365:SF525', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 5', 96306),
(152581, 'PTHR44042:SF41', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', 96307),
(152582, 'PTHR23149:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96308),
(152583, 'PTHR21445', NULL, NULL, NULL, NULL, 'ENDONUCLEASE IV  ENDODEOXYRIBONUCLEASE IV', 96309),
(152584, 'PTHR33052:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96310),
(152585, 'PTHR36549:SF3', NULL, NULL, NULL, NULL, 'LYSINE-RICH ARABINOGALACTAN PROTEIN 19', 96311),
(152586, 'PTHR23048:SF32', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 8', 96312),
(152587, 'PTHR10795:SF723', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96313),
(152588, 'PTHR34285:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96314),
(152589, 'PTHR42307:SF3', NULL, NULL, NULL, NULL, 'PUP--PROTEIN LIGASE', 96315),
(152590, 'PTHR35128:SF5', NULL, NULL, NULL, NULL, 'OS02G0230200 PROTEIN', 96316),
(152591, 'PTHR31500:SF20', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 96317),
(152592, 'PTHR46854:SF1', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE-LIKE 4-RELATED', 96318),
(152593, 'PTHR26312:SF152', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 96319),
(152594, 'PTHR24376:SF182', NULL, NULL, NULL, NULL, 'SI:CH73-347E22.4-RELATED', 96320),
(152595, 'PTHR48047:SF45', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 96321),
(152596, 'PTHR11639:SF79', NULL, NULL, NULL, NULL, 'PROTEIN S100-A9', 96322),
(152597, 'PTHR24253:SF94', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE SERINE PROTEASE 13A-RELATED', 96323),
(152598, 'PTHR42081', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 96324),
(152599, 'PTHR30296', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YKGE', 96325),
(152600, 'PTHR23028:SF118', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 96326),
(152601, 'PTHR11267:SF169', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR T-A', 96327),
(152602, 'PTHR33413:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96328),
(152603, 'PTHR33091:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96329),
(152604, 'PTHR45821:SF9', NULL, NULL, NULL, NULL, 'CHROMATIN REMODELING 34', 96330),
(152605, 'PTHR23359:SF196', NULL, NULL, NULL, NULL, 'BNAA06G22680D PROTEIN', 96331),
(152606, 'PTHR33284:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L25/GLN-TRNA SYNTHETASE, ANTI-CODON-BINDING DOMAIN-CONTAINING PROTEIN', 96332);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(152607, 'PTHR23315:SF292', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 96333),
(152608, 'PTHR43667:SF1', NULL, NULL, NULL, NULL, 'CYCLOPROPANE-FATTY-ACYL-PHOSPHOLIPID SYNTHASE', 96334),
(152609, 'PTHR33124:SF83', NULL, NULL, NULL, NULL, 'OS09G0376400 PROTEIN', 96335),
(152610, 'PTHR31388:SF174', NULL, NULL, NULL, NULL, 'PEROXIDASE', 96336),
(152611, 'PTHR15735:SF12', NULL, NULL, NULL, NULL, 'CDC42-INTERACTING PROTEIN 4, ISOFORM B', 96337),
(152612, 'PTHR37528:SF1', NULL, NULL, NULL, NULL, 'UPF0149 PROTEIN YGFB', 96338),
(152613, 'PTHR47890:SF1', NULL, NULL, NULL, NULL, 'LD24308P', 96339),
(152614, 'PTHR31998:SF40', NULL, NULL, NULL, NULL, 'INORGANIC DIPHOSPHATASE-RELATED', 96340),
(152615, 'PTHR45798:SF54', NULL, NULL, NULL, NULL, 'BNAA08G14970D PROTEIN', 96341),
(152616, 'PTHR23268:SF46', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA, VARIABLE 21', 96342),
(152617, 'PTHR23500:SF526', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER', 96343),
(152618, 'PTHR31471:SF7', NULL, NULL, NULL, NULL, 'REMORIN 4.2', 96344),
(152619, 'PTHR19957:SF296', NULL, NULL, NULL, NULL, 'BNAA06G25340D PROTEIN', 96345),
(152620, 'PTHR23427', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN', 96346),
(152621, 'PTHR13301:SF33', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 1 [UDP-FORMING]-RELATED', 96347),
(152622, 'PTHR47992:SF37', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 67-RELATED', 96348),
(152623, 'PTHR10571:SF0', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--DOLICHYL-PHOSPHATE N-ACETYLGLUCOSAMINEPHOSPHOTRANSFERASE', 96349),
(152624, 'PTHR44516:SF4', NULL, NULL, NULL, NULL, '2-METHYL-6-PHYTYL-1,4-HYDROQUINONE METHYLTRANSFERASE, CHLOROPLASTIC', 96350),
(152625, 'PTHR11453:SF49', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER ABTS-2', 96351),
(152626, 'PTHR21646:SF9', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 19', 96352),
(152627, 'PTHR31595:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96353),
(152628, 'PTHR10314:SF5', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE 1, CHLOROPLASTIC', 96354),
(152629, 'PTHR48058:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 96355),
(152630, 'PTHR33946:SF4', NULL, NULL, NULL, NULL, 'CELLULOSE BINDING ELICITOR LECTIN', 96356),
(152631, 'PTHR24061:SF520', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 101-RELATED', 96357),
(152632, 'PTHR24349:SF393', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 17', 96358),
(152633, 'PTHR31072:SF137', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP14-LIKE', 96359),
(152634, 'PTHR31901:SF36', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6', 96360),
(152635, 'PTHR24068:SF128', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 H', 96361),
(152636, 'PTHR43234:SF2', NULL, NULL, NULL, NULL, 'SLL1680 PROTEIN', 96362),
(152637, 'PTHR12710:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN LOCALIZATION PROTEIN 4 HOMOLOG', 96363),
(152638, 'PTHR45890:SF5', NULL, NULL, NULL, NULL, 'PROTEIN KINASE-LIKE', 96364),
(152639, 'PTHR45945:SF3', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING LOCO', 96365),
(152640, 'PTHR30055:SF173', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ACRR', 96366),
(152641, 'PTHR12750:SF9', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE', 96367),
(152642, 'PTHR45695:SF11', NULL, NULL, NULL, NULL, 'SI:CH211-119O8.4', 96368),
(152643, 'PTHR19384:SF66', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE, ENDOTHELIAL', 96369),
(152644, 'PTHR30429:SF0', NULL, NULL, NULL, NULL, 'METHIONINE-BINDING LIPOPROTEIN METQ', 96370),
(152645, 'PTHR27008:SF475', NULL, NULL, NULL, NULL, 'OS04G0122200 PROTEIN', 96371),
(152646, 'PTHR23501:SF39', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G05010)-RELATED', 96372),
(152647, 'PTHR23401:SF1', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 5 ACTIVATOR', 96373),
(152648, 'PTHR19441:SF16', NULL, NULL, NULL, NULL, 'PROTEIN WFDC9', 96374),
(152649, 'PTHR31384:SF141', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 23-RELATED', 96375); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(152650, 'PTHR10293:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96376),
(152651, 'PTHR47287:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 3-LIKE', 96377),
(152652, 'PTHR16770:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96378),
(152653, 'PTHR26453:SF179', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10G6', 96379),
(152654, 'PTHR10672:SF3', NULL, NULL, NULL, NULL, 'PROTEIN HU-LI TAI SHAO', 96380),
(152655, 'PTHR46128:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96381),
(152656, 'PTHR24281:SF199', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A7-LIKE', 96382),
(152657, 'PTHR45645:SF51', NULL, NULL, NULL, NULL, 'CUB DOMAINCONTAINING PROTEIN', 96383),
(152658, 'PTHR47853', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 96384),
(152659, 'PTHR46033:SF43', NULL, NULL, NULL, NULL, 'OS11G0534500 PROTEIN', 96385),
(152660, 'PTHR13620:SF55', NULL, NULL, NULL, NULL, 'OS01G0737600 PROTEIN', 96386),
(152661, 'PTHR24083:SF45', NULL, NULL, NULL, NULL, 'COUP TRANSCRIPTION FACTOR 2', 96387),
(152662, 'PTHR46757:SF2', NULL, NULL, NULL, NULL, 'SORTING NEXIN-RELATED', 96388),
(152663, 'PTHR45823:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96389),
(152664, 'PTHR33076:SF96', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 96390),
(152665, 'PTHR34145:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96391),
(152666, 'PTHR21245:SF6', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 47', 96392),
(152667, 'PTHR24399:SF33', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 49', 96393),
(152668, 'PTHR23024:SF426', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 120-RELATED', 96394),
(152669, 'PTHR33044:SF35', NULL, NULL, NULL, NULL, 'OS07G0585200 PROTEIN', 96395),
(152670, 'PTHR21337:SF25', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', 96396),
(152671, 'PTHR42894', NULL, NULL, NULL, NULL, 'N-(5''-PHOSPHORIBOSYL)ANTHRANILATE ISOMERASE', 96397),
(152672, 'PTHR43874:SF136', NULL, NULL, NULL, NULL, 'MYB DOMAIN, PLANT-RELATED', 96398),
(152673, 'PTHR31639:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96399),
(152674, 'PTHR11610:SF108', NULL, NULL, NULL, NULL, 'INACTIVE PANCREATIC LIPASE-RELATED PROTEIN 1', 96400),
(152675, 'PTHR47013', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, ARGININE/SERINE-RICH 19', 96401),
(152676, 'PTHR10660:SF4', NULL, NULL, NULL, NULL, 'PROTEASOME ACTIVATOR COMPLEX SUBUNIT 3', 96402),
(152677, 'PTHR43874:SF124', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-RELATED', 96403),
(152678, 'PTHR23139:SF116', NULL, NULL, NULL, NULL, 'BNAA01G36380D PROTEIN', 96404),
(152679, 'PTHR10520', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL PURINE BIOSYNTHETIC PROTEIN ADENOSINE-3-RELATED', 96405),
(152680, 'PTHR31048:SF171', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', 96406),
(152681, 'PTHR19343:SF20', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR ALPHA CHAIN V REGION 2B4', 96407),
(152682, 'PTHR10742:SF400', NULL, NULL, NULL, NULL, 'L-AMINO ACID OXIDASE LAOA (AFU_ORTHOLOGUE AFUA_7G06810)', 96408),
(152683, 'PTHR26379:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96409),
(152684, 'PTHR44329:SF163', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 96410),
(152685, 'PTHR24173:SF61', NULL, NULL, NULL, NULL, 'ANKYRIN 2', 96411),
(152686, 'PTHR13533:SF29', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 16', 96412),
(152687, 'PTHR33709:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96413),
(152688, 'PTHR33265', NULL, NULL, NULL, NULL, 'AVR9/CF-9 RAPIDLY ELICITED PROTEIN-RELATED', 96414),
(152689, 'PTHR20961:SF100', NULL, NULL, NULL, NULL, 'OS02G0331200 PROTEIN', 96415),
(152690, 'PTHR13381', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II HOLOENZYME COMPONENT SRB7', 96416),
(152691, 'PTHR22938:SF9', NULL, NULL, NULL, NULL, 'ZINC ION BINDING/NUCLEIC ACID BINDING PROTEIN', 96417),
(152692, 'PTHR24120:SF4', NULL, NULL, NULL, NULL, 'GH07239P', 96418),
(152693, 'PTHR34657', NULL, NULL, NULL, NULL, 'EMBRYO SAC DEVELOPMENT ARREST 6', 96419);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(152694, 'PTHR31948:SF57', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 3', 96420),
(152695, 'PTHR14969:SF45', NULL, NULL, NULL, NULL, 'SPHINGOSINE-1-PHOSPHATE PHOSPHATASE 1', 96421),
(152696, 'PTHR46610:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96422),
(152697, 'PTHR31218:SF286', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 96423),
(152698, 'PTHR43219:SF2', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDONUCLEASE CAS1', 96424),
(152699, 'PTHR12649:SF24', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE 2-RELATED', 96425),
(152700, 'PTHR24637:SF231', NULL, NULL, NULL, NULL, 'COLLAGEN', 96426),
(152701, 'PTHR23132:SF0', NULL, NULL, NULL, NULL, 'D-ALANINE-D-ALANINE LIGASE FAMILY', 96427),
(152702, 'PTHR24291:SF47', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4A14-RELATED', 96428),
(152703, 'PTHR11017:SF219', NULL, NULL, NULL, NULL, 'ARCHAEAL ATPASE', 96429),
(152704, 'PTHR24286:SF224', NULL, NULL, NULL, NULL, 'ALLENE OXIDE SYNTHASE 3', 96430),
(152705, 'PTHR43169', NULL, NULL, NULL, NULL, 'EXSB FAMILY PROTEIN', 96431),
(152706, 'PTHR34127:SF3', NULL, NULL, NULL, NULL, 'INITIATION FACTOR 4F SUBUNIT (DUF1350)', 96432),
(152707, 'PTHR31325:SF195', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96433),
(152708, 'PTHR47926:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96434),
(152709, 'PTHR34838:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96435),
(152710, 'PTHR11746:SF261', NULL, NULL, NULL, NULL, 'TRANS-RESVERATROL DI-O-METHYLTRANSFERASE', 96436),
(152711, 'PTHR31972:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96437),
(152712, 'PTHR11106:SF108', NULL, NULL, NULL, NULL, 'LRP16, PUTATIVE-RELATED', 96438),
(152713, 'PTHR24250:SF53', NULL, NULL, NULL, NULL, 'CHYMOTRYPSINOGEN B2', 96439),
(152714, 'PTHR31549:SF25', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED', 96440),
(152715, 'PTHR12741:SF72', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 5-LIKE', 96441),
(152716, 'PTHR45968:SF16', NULL, NULL, NULL, NULL, 'BNAANNG35680D PROTEIN', 96442),
(152717, 'PTHR28057', NULL, NULL, NULL, NULL, 'PROTEIN IFH1-RELATED', 96443),
(152718, 'PTHR24136:SF42', NULL, NULL, NULL, NULL, 'OS05G0124800 PROTEIN', 96444),
(152719, 'PTHR23340', NULL, NULL, NULL, NULL, 'ARGININE/SERINE RICH SPLICING FACTOR SF4/14', 96445),
(152720, 'PTHR31009:SF100', NULL, NULL, NULL, NULL, 'CAFFEINE SYNTHASE 4-RELATED', 96446),
(152721, 'PTHR47965:SF12', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE YAPSIN-7', 96447),
(152722, 'PTHR32153:SF2', NULL, NULL, NULL, NULL, 'OJ000223_09.16 PROTEIN', 96448),
(152723, 'PTHR11017:SF388', NULL, NULL, NULL, NULL, 'BNAA09G44940D PROTEIN', 96449),
(152724, 'PTHR24243:SF109', NULL, NULL, NULL, NULL, 'NEUROMEDIN-U RECEPTOR 1', 96450),
(152725, 'PTHR10994:SF140', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 96451),
(152726, 'PTHR11431:SF48', NULL, NULL, NULL, NULL, 'FERRITIN', 96452),
(152727, 'PTHR21240:SF26', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 96453),
(152728, 'PTHR28242:SF50', NULL, NULL, NULL, NULL, 'HISTIDINE PHOSPHOTRANSFER PROTEIN', 96454),
(152729, 'PTHR45762:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER RNA-BINDING PROTEIN 2', 96455),
(152730, 'PTHR11005:SF12', NULL, NULL, NULL, NULL, 'LIPASE MEMBER M', 96456),
(152731, 'PTHR24253:SF67', NULL, NULL, NULL, NULL, 'TISP43 ISOFORM 5', 96457),
(152732, 'PTHR46067:SF21', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE (NAT) SUPERFAMILY PROTEIN', 96458),
(152733, 'PTHR11923:SF88', NULL, NULL, NULL, NULL, 'DEBRIS BUSTER, ISOFORM D', 96459),
(152734, 'PTHR31444:SF32', NULL, NULL, NULL, NULL, 'GLUCURONOXYLAN 4-O-METHYLTRANSFERASE 2', 96460),
(152735, 'PTHR24028:SF284', NULL, NULL, NULL, NULL, 'NEURAL-CADHERIN-LIKE PROTEIN', 96461),
(152736, 'PTHR36153:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 96462),
(152737, 'PTHR10188:SF6', NULL, NULL, NULL, NULL, 'N(4)-(BETA-N-ACETYLGLUCOSAMINYL)-L-ASPARAGINASE', 96463),
(152738, 'PTHR11208:SF104', NULL, NULL, NULL, NULL, 'STAR PROTEIN, HOMODIMERIZATION REGION-RELATED', 96464),
(152739, 'PTHR44067', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', 96465);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(152740, 'PTHR24221:SF298', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING/PERMEASE PROTEIN-RELATED', 96466),
(152741, 'PTHR23501:SF107', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04730)-RELATED', 96467),
(152742, 'PTHR35020:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96468),
(152743, 'PTHR27000:SF726', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', 96469),
(152744, 'PTHR31169:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96470),
(152745, 'PTHR45942:SF2', NULL, NULL, NULL, NULL, 'CALCINEURIN SUBUNIT B TYPE 2', 96471),
(152746, 'PTHR11232:SF66', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 1', 96472),
(152747, 'PTHR43557:SF15', NULL, NULL, NULL, NULL, 'BNAC03G35780D PROTEIN', 96473),
(152748, 'PTHR13391', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION REGULATOR MISATO', 96474),
(152749, 'PTHR23017:SF44', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 96475),
(152750, 'PTHR37848:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 96476),
(152751, 'PTHR31374:SF176', NULL, NULL, NULL, NULL, 'BNAA03G53040D PROTEIN', 96477),
(152752, 'PTHR34929:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN INAFM1-RELATED', 96478),
(152753, 'PTHR11722:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', 96479),
(152754, 'PTHR45873:SF3', NULL, NULL, NULL, NULL, 'DNA-REPAIR PROTEIN, UMUC-LIKE, N-TERMINAL', 96480),
(152755, 'PTHR14614:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 21E PSEUDOGENE-RELATED', 96481),
(152756, 'PTHR33563', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 96482),
(152757, 'PTHR31175:SF80', NULL, NULL, NULL, NULL, 'BNAC03G59180D PROTEIN', 96483),
(152758, 'PTHR31985:SF221', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 3', 96484),
(152759, 'PTHR43272:SF7', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', 96485),
(152760, 'PTHR33318:SF16', NULL, NULL, NULL, NULL, 'FK506-BINDING NUCLEAR-LIKE PROTEIN', 96486),
(152761, 'PTHR37389:SF10', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN-LIKE', 96487),
(152762, 'PTHR24281:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96488),
(152763, 'PTHR12270:SF51', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 96489),
(152764, 'PTHR16089:SF42', NULL, NULL, NULL, NULL, 'PROTEIN CBG23860', 96490),
(152765, 'PTHR12847:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96491),
(152766, 'PTHR24373:SF288', NULL, NULL, NULL, NULL, 'PROTEIN ELFN1', 96492),
(152767, 'PTHR11706:SF91', NULL, NULL, NULL, NULL, 'NATURAL RESISTANCE ASSOCIATED MACROPHAGE PROTEIN 4-RELATED', 96493),
(152768, 'PTHR11232:SF41', NULL, NULL, NULL, NULL, 'C-JUN-AMINO-TERMINAL KINASE-INTERACTING PROTEIN 2', 96494),
(152769, 'PTHR43382:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96495),
(152770, 'PTHR10015:SF347', NULL, NULL, NULL, NULL, 'BNAUNNG05160D PROTEIN', 96496),
(152771, 'PTHR47373:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 10', 96497),
(152772, 'PTHR27006:SF423', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 96498),
(152773, 'PTHR10217', NULL, NULL, NULL, NULL, 'VOLTAGE AND LIGAND GATED POTASSIUM CHANNEL', 96499),
(152774, 'PTHR23527', NULL, NULL, NULL, NULL, 'BLL3282 PROTEIN', 96500),
(152775, 'PTHR31673:SF43', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 2', 96501),
(152776, 'PTHR46219:SF7', NULL, NULL, NULL, NULL, 'PHARYNGEAL GLAND TOXIN-RELATED', 96502),
(152777, 'PTHR23257:SF873', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96503),
(152778, 'PTHR47863:SF9', NULL, NULL, NULL, NULL, 'F10B6.17', 96504),
(152779, 'PTHR46085:SF14', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD14-RELATED', 96505),
(152780, 'PTHR48208:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN I', 96506),
(152781, 'PTHR30472:SF65', NULL, NULL, NULL, NULL, 'SIDEROPHORE TRANSPORT SYSTEM PERMEASE PROTEIN YFIZ-RELATED', 96507),
(152782, 'PTHR11973', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN MUC18-RELATED', 96508),
(152783, 'PTHR11706:SF90', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP4', 96509);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(152784, 'PTHR22791:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG22136', 96510),
(152785, 'PTHR13140:SF561', NULL, NULL, NULL, NULL, 'MIP31562P1', 96511),
(152786, 'PTHR43618:SF4', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_5G12480)', 96512),
(152787, 'PTHR39550:SF1', NULL, NULL, NULL, NULL, 'SLL0658 PROTEIN', 96513),
(152788, 'PTHR11527:SF322', NULL, NULL, NULL, NULL, '16.9 KDA CLASS I HEAT SHOCK PROTEIN 1', 96514),
(152789, 'PTHR47274:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96515),
(152790, 'PTHR46359', NULL, NULL, NULL, NULL, 'GEO07743P1', 96516),
(152791, 'PTHR48007:SF2', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 96517),
(152792, 'PTHR37852', NULL, NULL, NULL, NULL, 'YALI0B21208P', 96518),
(152793, 'PTHR23240:SF31', NULL, NULL, NULL, NULL, 'DNA REPAIR METALLO-BETA-LACTAMASE FAMILY PROTEIN', 96519),
(152794, 'PTHR31482:SF10', NULL, NULL, NULL, NULL, 'F-BOX-LIKE PROTEIN', 96520),
(152795, 'PTHR47262:SF2', NULL, NULL, NULL, NULL, 'BNAA09G20240D PROTEIN', 96521),
(152796, 'PTHR12912:SF9', NULL, NULL, NULL, NULL, 'BARRIER-TO-AUTOINTEGRATION FACTOR-RELATED', 96522),
(152797, 'PTHR24393:SF101', NULL, NULL, NULL, NULL, 'FEZ FAMILY ZINC FINGER PROTEIN ERM-RELATED', 96523),
(152798, 'PTHR27004:SF302', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96524),
(152799, 'PTHR34222:SF53', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', 96525),
(152800, 'PTHR43490:SF112', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', 96526),
(152801, 'PTHR46128:SF147', NULL, NULL, NULL, NULL, 'BNAA10G11320D PROTEIN', 96527),
(152802, 'PTHR45974:SF141', NULL, NULL, NULL, NULL, 'OS07G0134600 PROTEIN', 96528),
(152803, 'PTHR24055:SF437', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 96529),
(152804, 'PTHR33164:SF57', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 96530),
(152805, 'PTHR46515', NULL, NULL, NULL, NULL, 'TATA ELEMENT MODULATORY FACTOR TMF1', 96531),
(152806, 'PTHR31549:SF29', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 96532),
(152807, 'PTHR13887:SF14', NULL, NULL, NULL, NULL, 'DISULFIDE BOND FORMATION PROTEIN D', 96533),
(152808, 'PTHR33605:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96534),
(152809, 'PTHR26450:SF121', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 96535),
(152810, 'PTHR35090:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT I', 96536),
(152811, 'PTHR35035:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96537),
(152812, 'PTHR26454:SF43', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 96538),
(152813, 'PTHR23266:SF304', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-18', 96539),
(152814, 'PTHR16134:SF107', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', 96540),
(152815, 'PTHR31161:SF22', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1-BINDING PROTEIN', 96541),
(152816, 'PTHR24253:SF62', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 6', 96542),
(152817, 'PTHR39937:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN 8', 96543),
(152818, 'PTHR15319:SF1', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT C', 96544),
(152819, 'PTHR15129', NULL, NULL, NULL, NULL, 'SRC-ASSOCIATED ADAPTOR PROTEIN', 96545),
(152820, 'PTHR24404:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 740', 96546),
(152821, 'PTHR24248:SF168', NULL, NULL, NULL, NULL, 'IP13425P-RELATED', 96547),
(152822, 'PTHR23266:SF321', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-74', 96548),
(152823, 'PTHR36167:SF2', NULL, NULL, NULL, NULL, 'C2H2 FINGER DOMAIN TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 96549),
(152824, 'PTHR12801:SF133', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE 4-LIKE', 96550),
(152825, 'PTHR35728:SF1', NULL, NULL, NULL, NULL, 'MICROTUBULE-BINDING PROTEIN TANGLED-RELATED', 96551),
(152826, 'PTHR45804:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A13', 96552),
(152827, 'PTHR37559', NULL, NULL, NULL, NULL, 'PAREP6 PART 2, AUTHENTIC FRAMESHIFT', 96553),
(152828, 'PTHR10168:SF219', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C9', 96554);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(152829, 'PTHR36649:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96555),
(152830, 'PTHR31916:SF48', NULL, NULL, NULL, NULL, 'BNAA08G06300D PROTEIN', 96556),
(152831, 'PTHR46273:SF4', NULL, NULL, NULL, NULL, 'MYOSUPPRESSIN RECEPTOR 1, ISOFORM B-RELATED', 96557),
(152832, 'PTHR11206:SF319', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 96558),
(152833, 'PTHR22883:SF362', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 96559),
(152834, 'PTHR45647:SF34', NULL, NULL, NULL, NULL, 'U-BOX KINASE FAMILY PROTEIN', 96560),
(152835, 'PTHR46235:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96561),
(152836, 'PTHR14963:SF6', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 18', 96562),
(152837, 'PTHR31232:SF36', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', 96563),
(152838, 'PTHR13634:SF3', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN BRX1 HOMOLOG 2', 96564),
(152839, 'PTHR11915:SF432', NULL, NULL, NULL, NULL, 'ALPHA-ACTININ-3', 96565),
(152840, 'PTHR21576:SF97', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 96566),
(152841, 'PTHR10155:SF26', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING AT 16D, ISOFORM B', 96567),
(152842, 'PTHR24106:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96568),
(152843, 'PTHR10641:SF1250', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', 96569),
(152844, 'PTHR28623', NULL, NULL, NULL, NULL, 'PROTEIN FAM118B', 96570),
(152845, 'PTHR10352:SF11', NULL, NULL, NULL, NULL, 'NUCLEOLYSIN TIAR', 96571),
(152846, 'PTHR24303:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 303A1-RELATED', 96572),
(152847, 'PTHR40064', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 96573),
(152848, 'PTHR46006:SF5', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR AT 64C, ISOFORM A', 96574),
(152849, 'PTHR31042:SF60', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING ENZYME', 96575),
(152850, 'PTHR24394:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 281A', 96576),
(152851, 'PTHR48017:SF142', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 7 ISOFORM X1-RELATED', 96577),
(152852, 'PTHR20996:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96578),
(152853, 'PTHR33470:SF23', NULL, NULL, NULL, NULL, 'POLLEN OLE E I FAMILY ALLERGEN', 96579),
(152854, 'PTHR10997:SF53', NULL, NULL, NULL, NULL, 'IMPORTIN BETA-LIKE SAD2 HOMOLOG', 96580),
(152855, 'PTHR13778:SF39', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 96581),
(152856, 'PTHR32227:SF342', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN-RELATED', 96582),
(152857, 'PTHR12317:SF36', NULL, NULL, NULL, NULL, '2-ACYLGLYCEROL O-ACYLTRANSFERASE 3', 96583),
(152858, 'PTHR45793:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96584),
(152859, 'PTHR31713:SF43', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 G', 96585),
(152860, 'PTHR23213:SF276', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 1', 96586),
(152861, 'PTHR42711:SF5', NULL, NULL, NULL, NULL, 'DOXORUBICIN RESISTANCE ATP-BINDING PROTEIN DRRA', 96587),
(152862, 'PTHR11394', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2', 96588),
(152863, 'PTHR45844:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', 96589),
(152864, 'PTHR45729:SF3', NULL, NULL, NULL, NULL, 'RABPHILIN-3A', 96590),
(152865, 'PTHR23155:SF888', NULL, NULL, NULL, NULL, 'OS01G0335700 PROTEIN', 96591),
(152866, 'PTHR47984:SF31', NULL, NULL, NULL, NULL, 'OS03G0227900 PROTEIN', 96592),
(152867, 'PTHR18966:SF523', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 96593),
(152868, 'PTHR35325', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 96594),
(152869, 'PTHR13318:SF92', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 8-RELATED', 96595),
(152870, 'PTHR46780:SF11', NULL, NULL, NULL, NULL, 'MIP32738P1', 96596),
(152871, 'PTHR10302', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN', 96597),
(152872, 'PTHR10644:SF20', NULL, NULL, NULL, NULL, 'DNA DAMAGE-BINDING PROTEIN 1B', 96598),
(152873, 'PTHR46943:SF1', NULL, NULL, NULL, NULL, 'PENTRAXIN-RELATED PROTEIN PTX3', 96599),
(152874, 'PTHR46117:SF1', NULL, NULL, NULL, NULL, 'UPSTREAM STIMULATORY FACTOR 1', 96600);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(152875, 'PTHR33052:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96601),
(152876, 'PTHR30620:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96602),
(152877, 'PTHR12210:SF134', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', 96603),
(152878, 'PTHR23300:SF11', NULL, NULL, NULL, NULL, 'SELENIUM-BINDING PROTEIN 1', 96604),
(152879, 'PTHR33646:SF15', NULL, NULL, NULL, NULL, 'BNAA05G37180D PROTEIN', 96605),
(152880, 'PTHR33649:SF14', NULL, NULL, NULL, NULL, 'PAR1-RELATED', 96606),
(152881, 'PTHR18881:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96607),
(152882, 'PTHR24221:SF552', NULL, NULL, NULL, NULL, 'BNAA09G02390D PROTEIN', 96608),
(152883, 'PTHR48041:SF38', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, G1, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 96609),
(152884, 'PTHR14493', NULL, NULL, NULL, NULL, 'UNKEMPT FAMILY MEMBER', 96610),
(152885, 'PTHR10881', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER-RELATED', 96611),
(152886, 'PTHR32010:SF21', NULL, NULL, NULL, NULL, 'DUF789 FAMILY PROTEIN', 96612),
(152887, 'PTHR16023', NULL, NULL, NULL, NULL, 'TAX1 BINDING PROTEIN-RELATED', 96613),
(152888, 'PTHR12385:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PNS1', 96614),
(152889, 'PTHR47980:SF15', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-3C', 96615),
(152890, 'PTHR30009:SF4', NULL, NULL, NULL, NULL, 'PTS SYSTEM N-ACETYLGLUCOSAMINE-SPECIFIC EIICBA COMPONENT', 96616),
(152891, 'PTHR43189:SF2', NULL, NULL, NULL, NULL, 'GLUCOSE 1-DEHYDROGENASE', 96617),
(152892, 'PTHR24271:SF53', NULL, NULL, NULL, NULL, 'GRANZYME B', 96618),
(152893, 'PTHR31407:SF7', NULL, NULL, NULL, NULL, 'PSBP DOMAIN-CONTAINING PROTEIN 5, CHLOROPLASTIC', 96619),
(152894, 'PTHR35989', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 32', 96620),
(152895, 'PTHR45687:SF70', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-7-LIKE', 96621),
(152896, 'PTHR43489:SF7', NULL, NULL, NULL, NULL, 'FRUCTOSELYSINE 3-EPIMERASE-RELATED', 96622),
(152897, 'PTHR11941:SF152', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE/ISOMERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G03410)', 96623),
(152898, 'PTHR11434', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE SUBUNIT ND4L', 96624),
(152899, 'PTHR35979:SF1', NULL, NULL, NULL, NULL, 'SINGLE-PASS MEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', 96625),
(152900, 'PTHR47172:SF16', NULL, NULL, NULL, NULL, 'BNAA01G17700D PROTEIN', 96626),
(152901, 'PTHR32191:SF2', NULL, NULL, NULL, NULL, 'TETRASPANIN-8', 96627),
(152902, 'PTHR31048:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96628),
(152903, 'PTHR26453:SF194', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10P1', 96629),
(152904, 'PTHR22572:SF153', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLYLTRANSFERASE 1 ISOFORM X1-RELATED', 96630),
(152905, 'PTHR33232', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION B-LIKE', 96631),
(152906, 'PTHR14379:SF33', NULL, NULL, NULL, NULL, 'BNAA09G39750D PROTEIN', 96632),
(152907, 'PTHR26452:SF808', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 96633),
(152908, 'PTHR38978', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 96634),
(152909, 'PTHR45650:SF32', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 96635),
(152910, 'PTHR26450:SF394', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 96636),
(152911, 'PTHR11945:SF416', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 67', 96637),
(152912, 'PTHR32295:SF134', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 10', 96638),
(152913, 'PTHR37751:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96639),
(152914, 'PTHR19375:SF144', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM CHAPERONE BIP', 96640),
(152915, 'PTHR11746:SF94', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE ZRP4', 96641),
(152916, 'PTHR45852:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RIO2', 96642),
(152917, 'PTHR33059:SF4', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 5', 96643),
(152918, 'PTHR34069', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE 3', 96644),
(152919, 'PTHR31376:SF56', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-SUGAR TRANSPORTER FAMILY PROTEIN-RELATED', 96645);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(152920, 'PTHR31779:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 96646),
(152921, 'PTHR31867:SF191', NULL, NULL, NULL, NULL, 'EXPANSIN', 96647),
(152922, 'PTHR48041:SF80', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 24', 96648),
(152923, 'PTHR10644:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96649),
(152924, 'PTHR32246:SF99', NULL, NULL, NULL, NULL, 'OS05G0149100 PROTEIN', 96650),
(152925, 'PTHR43581:SF2', NULL, NULL, NULL, NULL, 'ATP/GTP PHOSPHATASE', 96651),
(152926, 'PTHR20914:SF16', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1810065E05 GENE', 96652),
(152927, 'PTHR36692:SF1', NULL, NULL, NULL, NULL, 'GH08457P', 96653),
(152928, 'PTHR12239', NULL, NULL, NULL, NULL, 'PROTEIN CBG20215-RELATED', 96654),
(152929, 'PTHR21661', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 1-RELATED', 96655),
(152930, 'PTHR15710:SF134', NULL, NULL, NULL, NULL, 'BNAC01G28030D PROTEIN', 96656),
(152931, 'PTHR46494', NULL, NULL, NULL, NULL, 'CORA FAMILY METAL ION TRANSPORTER (EUROFUNG)', 96657),
(152932, 'PTHR31947:SF23', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', 96658),
(152933, 'PTHR10682:SF33', NULL, NULL, NULL, NULL, 'NUCLEAR POLY(A) POLYMERASE 3', 96659),
(152934, 'PTHR43450:SF8', NULL, NULL, NULL, NULL, 'ASPARTATE--TRNA LIGASE 1, CYTOPLASMIC', 96660),
(152935, 'PTHR10015:SF375', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX DNA-BINDING DOMAIN, HEAT SHOCK TRANSCRIPTION FACTOR FAMILY-RELATED', 96661),
(152936, 'PTHR32258:SF0', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1B', 96662),
(152937, 'PTHR10177:SF478', NULL, NULL, NULL, NULL, 'CYCLIN-A3-1-LIKE', 96663),
(152938, 'PTHR43308:SF3', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN', 96664),
(152939, 'PTHR45663:SF25', NULL, NULL, NULL, NULL, 'THIOREDOXIN Y2, CHLOROPLASTIC', 96665),
(152940, 'PTHR31566:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C BIOGENESIS PROTEIN CCS1, CHLOROPLASTIC', 96666),
(152941, 'PTHR23187:SF2', NULL, NULL, NULL, NULL, 'SKI/DACH DOMAIN-CONTAINING PROTEIN 1', 96667),
(152942, 'PTHR42262:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96668),
(152943, 'PTHR10778:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96669),
(152944, 'PTHR48149:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37A-2', 96670),
(152945, 'PTHR13356', NULL, NULL, NULL, NULL, 'OB FOLD NUCLEIC ACID BINDING PROTEIN-RELATED', 96671),
(152946, 'PTHR33417:SF18', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE REDUCTASE COMPLEX 1 MLRQ SUBUNIT-RELATED', 96672),
(152947, 'PTHR46189:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT AND FYVE DOMAIN-CONTAINING PROTEIN 2', 96673),
(152948, 'PTHR36132', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 221', 96674),
(152949, 'PTHR37814', NULL, NULL, NULL, NULL, 'CONSERVED MEMBRANE PROTEIN', 96675),
(152950, 'PTHR43626:SF4', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE NSI', 96676),
(152951, 'PTHR13544:SF11', NULL, NULL, NULL, NULL, 'BNAANNG17380D PROTEIN', 96677),
(152952, 'PTHR46151:SF1', NULL, NULL, NULL, NULL, 'OS09G0542600 PROTEIN', 96678),
(152953, 'PTHR31213:SF120', NULL, NULL, NULL, NULL, 'BNAC08G11070D PROTEIN', 96679),
(152954, 'PTHR13140:SF796', NULL, NULL, NULL, NULL, 'MYOSIN 1-RELATED', 96680),
(152955, 'PTHR21528:SF0', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE COMPLEX SUBUNIT NUS1', 96681),
(152956, 'PTHR15710:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96682),
(152957, 'PTHR33124:SF84', NULL, NULL, NULL, NULL, 'BNACNNG60650D PROTEIN', 96683),
(152958, 'PTHR21646:SF46', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 32', 96684),
(152959, 'PTHR48048:SF43', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 96685),
(152960, 'PTHR11492', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR I', 96686),
(152961, 'PTHR43859:SF44', NULL, NULL, NULL, NULL, 'DEPENDENT LIGASE, PUTATIVE-RELATED', 96687),
(152962, 'PTHR10589:SF30', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 96688),
(152963, 'PTHR33074:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96689),
(152964, 'PTHR10881:SF44', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 6A-RELATED', 96690);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(152965, 'PTHR45974:SF170', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', 96691),
(152966, 'PTHR46706:SF3', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)-RELATED', 96692),
(152967, 'PTHR45125:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96693),
(152968, 'PTHR13174:SF3', NULL, NULL, NULL, NULL, 'D-GLUCURONYL C5-EPIMERASE', 96694),
(152969, 'PTHR33207:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96695),
(152970, 'PTHR43355:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96696),
(152971, 'PTHR22883:SF345', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 96697),
(152972, 'PTHR42885:SF1', NULL, NULL, NULL, NULL, 'THREONINE-PHOSPHATE DECARBOXYLASE', 96698),
(152973, 'PTHR36053:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96699),
(152974, 'PTHR24173:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96700),
(152975, 'PTHR46576', NULL, NULL, NULL, NULL, 'BROMO ADJACENT HOMOLOGY DOMAIN-CONTAINING 1 PROTEIN', 96701),
(152976, 'PTHR39400:SF1', NULL, NULL, NULL, NULL, 'YALI0E29227P', 96702),
(152977, 'PTHR12474:SF3', NULL, NULL, NULL, NULL, 'SESTRIN-1', 96703),
(152978, 'PTHR23201:SF53', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 14', 96704),
(152979, 'PTHR11581', NULL, NULL, NULL, NULL, '30S/40S RIBOSOMAL PROTEIN S4', 96705),
(152980, 'PTHR27002:SF548', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE CES101 ISOFORM X1', 96706),
(152981, 'PTHR10641:SF1277', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 96707),
(152982, 'PTHR24028:SF246', NULL, NULL, NULL, NULL, 'CADHERIN-RELATED FAMILY MEMBER 2', 96708),
(152983, 'PTHR45650:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96709),
(152984, 'PTHR30540:SF19', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 15-RELATED', 96710),
(152985, 'PTHR11339:SF379', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96711),
(152986, 'PTHR14380:SF3', NULL, NULL, NULL, NULL, 'OOCYTE-SECRETED PROTEIN 3-RELATED', 96712),
(152987, 'PTHR10966:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', 96713),
(152988, 'PTHR47967:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96714),
(152989, 'PTHR19143:SF398', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96715),
(152990, 'PTHR24215:SF35', NULL, NULL, NULL, NULL, 'MUSCLE LIM PROTEIN 1-RELATED', 96716),
(152991, 'PTHR13453:SF7', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', 96717),
(152992, 'PTHR48002:SF60', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 96718),
(152993, 'PTHR12606:SF95', NULL, NULL, NULL, NULL, 'OS03G0344300 PROTEIN', 96719),
(152994, 'PTHR13683:SF529', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE', 96720),
(152995, 'PTHR18945:SF75', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT BETA-3', 96721),
(152996, 'PTHR24409:SF335', NULL, NULL, NULL, NULL, 'AGAP013275-PA', 96722),
(152997, 'PTHR31756:SF3', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE REGULATORY PROTEIN 1, CHLOROPLASTIC', 96723),
(152998, 'PTHR14155:SF568', NULL, NULL, NULL, NULL, 'OS02G0759400 PROTEIN', 96724),
(152999, 'PTHR45614:SF114', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB56', 96725),
(153000, 'PTHR43779:SF3', NULL, NULL, NULL, NULL, 'DIOXYGENASE RV0097-RELATED', 96726),
(153001, 'PTHR32212:SF338', NULL, NULL, NULL, NULL, 'BNAC02G12290D PROTEIN', 96727),
(153002, 'PTHR44186', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 96728),
(153003, 'PTHR12894:SF39', NULL, NULL, NULL, NULL, 'CITRON HOMOLOGY (CNH) DOMAIN PROTEIN-RELATED', 96729),
(153004, 'PTHR11165:SF150', NULL, NULL, NULL, NULL, 'SKP1 RELATED (UBIQUITIN LIGASE COMPLEX COMPONENT)', 96730),
(153005, 'PTHR27007:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96731),
(153006, 'PTHR47705', NULL, NULL, NULL, NULL, 'AGAP000321-PA', 96732),
(153007, 'PTHR11206:SF427', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 5-RELATED', 96733),
(153008, 'PTHR24219:SF6', NULL, NULL, NULL, NULL, 'WILMS TUMOR PROTEIN 1-INTERACTING PROTEIN', 96734),
(153009, 'PTHR27002:SF644', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN, S-LOCUS GLYCOPROTEIN DOMAIN, BULB-TYPE LECTIN DOMAIN PROTEIN-RELATED', 96735);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(153010, 'PTHR34874', NULL, NULL, NULL, NULL, 'PROTEIN YCHN', 96736),
(153011, 'PTHR24300:SF140', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2C40-RELATED', 96737),
(153012, 'PTHR33110:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96738),
(153013, 'PTHR12448', NULL, NULL, NULL, NULL, 'ATP SYNTHASE EPSILON CHAIN, MITOCHONDRIAL', 96739),
(153014, 'PTHR19375:SF391', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN', 96740),
(153015, 'PTHR46553:SF19', NULL, NULL, NULL, NULL, 'BNAA04G29570D PROTEIN', 96741),
(153016, 'PTHR33148:SF4', NULL, NULL, NULL, NULL, 'OS02G0667300 PROTEIN', 96742),
(153017, 'PTHR45348:SF5', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01420)-RELATED', 96743),
(153018, 'PTHR47944:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A9', 96744),
(153019, 'PTHR24012:SF702', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF, SINGLE-STRANDED-INTERACTING PROTEIN 1', 96745),
(153020, 'PTHR43550:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96746),
(153021, 'PTHR47926:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96747),
(153022, 'PTHR28658', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 180', 96748),
(153023, 'PTHR24023:SF949', NULL, NULL, NULL, NULL, 'PROCOLLAGEN, TYPE IX, ALPHA 2', 96749),
(153024, 'PTHR12357:SF58', NULL, NULL, NULL, NULL, 'OS01G0679900 PROTEIN', 96750),
(153025, 'PTHR48045:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 96751),
(153026, 'PTHR11258:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96752),
(153027, 'PTHR13341:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SEELE', 96753),
(153028, 'PTHR47339:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 24', 96754),
(153029, 'PTHR19368:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAM9C', 96755),
(153030, 'PTHR24543:SF315', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96756),
(153031, 'PTHR36892:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96757),
(153032, 'PTHR10209:SF734', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96758),
(153033, 'PTHR47329', NULL, NULL, NULL, NULL, 'OS05G0129900 PROTEIN', 96759),
(153034, 'PTHR24282:SF27', NULL, NULL, NULL, NULL, 'CYTOKININ HYDROXYLASE', 96760),
(153035, 'PTHR23139:SF120', NULL, NULL, NULL, NULL, 'BNACNNG28730D PROTEIN', 96761),
(153036, 'PTHR13832:SF321', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1G', 96762),
(153037, 'PTHR46401:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE WBBK-RELATED', 96763),
(153038, 'PTHR42765:SF1', NULL, NULL, NULL, NULL, 'ISOLEUCINE--TRNA LIGASE, MITOCHONDRIAL', 96764),
(153039, 'PTHR47089', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, PERMEASE PROTEIN', 96765),
(153040, 'PTHR12606:SF103', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE ESD4', 96766),
(153041, 'PTHR21510', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 96767),
(153042, 'PTHR12052:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96768),
(153043, 'PTHR34676:SF10', NULL, NULL, NULL, NULL, 'GAG-POL-RELATED RETROTRANSPOSON FAMILY PROTEIN', 96769),
(153044, 'PTHR48009', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 96770),
(153045, 'PTHR34297:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 96771),
(153046, 'PTHR48001:SF115', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1S1-RELATED', 96772),
(153047, 'PTHR24349:SF346', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 8', 96773),
(153048, 'PTHR33090:SF57', NULL, NULL, NULL, NULL, '2-NONAPRENYL-3-METHYL-6-METHOXY-1,4-BENZOQUINOL HYDROXYLASE', 96774),
(153049, 'PTHR13683:SF710', NULL, NULL, NULL, NULL, 'OS03G0281400 PROTEIN', 96775),
(153050, 'PTHR31945', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SCREAM2-RELATED', 96776),
(153051, 'PTHR42718:SF25', NULL, NULL, NULL, NULL, 'RESISTANCE TRANSPORTER, EMRB/QACA SUBFAMILY, PUTATIVE-RELATED', 96777),
(153052, 'PTHR10509:SF66', NULL, NULL, NULL, NULL, 'TRICIN SYNTHASE 1', 96778),
(153053, 'PTHR35606:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96779),
(153054, 'PTHR24068:SF297', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 22-LIKE', 96780),
(153055, 'PTHR43329:SF89', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', 96781);
INSERT INTO "PUBLIC"."MODEL" VALUES
(153056, 'PTHR31503:SF67', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', 96782),
(153057, 'PTHR45969:SF12', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHA1A-RELATED', 96783),
(153058, 'PTHR46880:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96784),
(153059, 'PTHR22761:SF72', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 32 HOMOLOG 2-LIKE', 96785),
(153060, 'PTHR24055:SF356', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 7', 96786),
(153061, 'PTHR44191:SF39', NULL, NULL, NULL, NULL, 'BNAC09G33360D PROTEIN', 96787),
(153062, 'PTHR34654:SF1', NULL, NULL, NULL, NULL, 'UPF0109 PROTEIN SCO5592', 96788),
(153063, 'PTHR37534:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96789),
(153064, 'PTHR32063:SF11', NULL, NULL, NULL, NULL, 'EFFLUX PUMP MEMBRANE TRANSPORTER', 96790),
(153065, 'PTHR23149:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96791),
(153066, 'PTHR11850:SF286', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 10', 96792),
(153067, 'PTHR35316:SF1', NULL, NULL, NULL, NULL, '28S RIBOSOMAL S34 PROTEIN', 96793),
(153068, 'PTHR15032:SF4', NULL, NULL, NULL, NULL, 'N-ACYL-PHOSPHATIDYLETHANOLAMINE-HYDROLYZING PHOSPHOLIPASE D', 96794),
(153069, 'PTHR10579:SF129', NULL, NULL, NULL, NULL, 'OS01G0640200 PROTEIN', 96795),
(153070, 'PTHR48223:SF1', NULL, NULL, NULL, NULL, 'DEFECTIVE 2759, PUTATIVE ISOFORM 1-RELATED', 96796),
(153071, 'PTHR45676:SF65', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL41', 96797),
(153072, 'PTHR33402:SF34', NULL, NULL, NULL, NULL, 'VQ-RELATED', 96798),
(153073, 'PTHR31751:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96799),
(153074, 'PTHR12129:SF13', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE 2-O-SULFOTRANSFERASE 1B', 96800),
(153075, 'PTHR11062:SF297', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 96801),
(153076, 'PTHR15852:SF56', NULL, NULL, NULL, NULL, 'PROTEIN PHOTOSYSTEM I ASSEMBLY 2, CHLOROPLASTIC', 96802),
(153077, 'PTHR47739:SF1', NULL, NULL, NULL, NULL, 'TRNA1(VAL) (ADENINE(37)-N6)-METHYLTRANSFERASE', 96803),
(153078, 'PTHR16266:SF4', NULL, NULL, NULL, NULL, 'PH-INTERACTING PROTEIN', 96804),
(153079, 'PTHR32448:SF132', NULL, NULL, NULL, NULL, 'BNAANNG10010D PROTEIN', 96805),
(153080, 'PTHR48021:SF40', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6', 96806),
(153081, 'PTHR11106:SF98', NULL, NULL, NULL, NULL, 'OS01G0948300 PROTEIN', 96807),
(153082, 'PTHR33059:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96808),
(153083, 'PTHR46605:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96809),
(153084, 'PTHR34709:SF26', NULL, NULL, NULL, NULL, 'OS12G0606701 PROTEIN', 96810),
(153085, 'PTHR14218:SF34', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE SED4', 96811),
(153086, 'PTHR46081:SF3', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE B6-RELATED', 96812),
(153087, 'PTHR32444:SF62', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', 96813),
(153088, 'PTHR13723:SF157', NULL, NULL, NULL, NULL, 'ADAMTS-LIKE PROTEIN 1', 96814),
(153089, 'PTHR31235:SF328', NULL, NULL, NULL, NULL, 'PEROXIDASE', 96815),
(153090, 'PTHR19957:SF251', NULL, NULL, NULL, NULL, 'SYNTAXIN-RELATED PROTEIN KNOLLE', 96816),
(153091, 'PTHR11387:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B2', 96817),
(153092, 'PTHR24340:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96818),
(153093, 'PTHR45940:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96819),
(153094, 'PTHR45618:SF29', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 5-LIKE', 96820),
(153095, 'PTHR24031:SF54', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX10-RELATED', 96821),
(153096, 'PTHR31422:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 96822),
(153097, 'PTHR34211:SF7', NULL, NULL, NULL, NULL, 'BNAC09G23760D PROTEIN', 96823),
(153098, 'PTHR31529:SF51', NULL, NULL, NULL, NULL, 'BNAANNG32930D PROTEIN', 96824),
(153099, 'PTHR42702', NULL, NULL, NULL, NULL, 'NUCLEOTIDE PYROPHOSPHOHYDROLASE', 96825),
(153100, 'PTHR43362:SF7', NULL, NULL, NULL, NULL, 'D-MANNONATE OXIDOREDUCTASE', 96826);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(153101, 'PTHR23113:SF335', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR W', 96827),
(153102, 'PTHR22237:SF0', NULL, NULL, NULL, NULL, 'APC MEMBRANE RECRUITMENT PROTEIN 1', 96828),
(153103, 'PTHR11203:SF52', NULL, NULL, NULL, NULL, 'MRNA 3-END PROCESSING FACTOR', 96829),
(153104, 'PTHR11017:SF252', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 96830),
(153105, 'PTHR37354:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME ALIGNMENT-MAINTAINING PHOSPHOPROTEIN 1', 96831),
(153106, 'PTHR33109:SF14', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 3', 96832),
(153107, 'PTHR40845:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96833),
(153108, 'PTHR45676:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96834),
(153109, 'PTHR28642:SF1', NULL, NULL, NULL, NULL, 'MEIOSIS 1 ARREST PROTEIN', 96835),
(153110, 'PTHR23024:SF154', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1L2', 96836),
(153111, 'PTHR36141:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96837),
(153112, 'PTHR19957:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96838),
(153113, 'PTHR44068:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 96839),
(153114, 'PTHR23024:SF483', NULL, NULL, NULL, NULL, 'BNACNNG29630D PROTEIN', 96840),
(153115, 'PTHR46268', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN NHAX', 96841),
(153116, 'PTHR12619:SF28', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RFX6', 96842),
(153117, 'PTHR31234:SF40', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN FAMILY', 96843),
(153118, 'PTHR12035:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96844),
(153119, 'PTHR12892:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG26903', 96845),
(153120, 'PTHR31998:SF46', NULL, NULL, NULL, NULL, 'H+-PYROPHOSPHATASE', 96846),
(153121, 'PTHR43952:SF17', NULL, NULL, NULL, NULL, 'OS03G0252900 PROTEIN', 96847),
(153122, 'PTHR47933:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96848),
(153123, 'PTHR31642:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96849),
(153124, 'PTHR31352:SF8', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 8', 96850),
(153125, 'PTHR33545', NULL, NULL, NULL, NULL, 'UPF0750 MEMBRANE PROTEIN YITT-RELATED', 96851),
(153126, 'PTHR18945:SF211', NULL, NULL, NULL, NULL, 'GLYCINE RECEPTOR SUBUNIT ALPHA-4', 96852),
(153127, 'PTHR11514:SF130', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC2', 96853),
(153128, 'PTHR16134:SF32', NULL, NULL, NULL, NULL, 'S-PHASE KINASE-ASSOCIATED PROTEIN 2', 96854),
(153129, 'PTHR24064:SF506', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96855),
(153130, 'PTHR45626:SF11', NULL, NULL, NULL, NULL, 'FAMILY HELICASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G06590)-RELATED', 96856),
(153131, 'PTHR23299:SF46', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN 1H-LIKE PROTEIN 1', 96857),
(153132, 'PTHR32021:SF41', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5B2', 96858),
(153133, 'PTHR12112:SF44', NULL, NULL, NULL, NULL, 'EG:152A3.5 PROTEIN (FBGN0003116,PN PROTEIN)', 96859),
(153134, 'PTHR13199:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96860),
(153135, 'PTHR45965', NULL, NULL, NULL, NULL, 'INACTIVE RHOMBOID PROTEIN', 96861),
(153136, 'PTHR47968:SF8', NULL, NULL, NULL, NULL, 'BNAA06G37250D PROTEIN', 96862),
(153137, 'PTHR48238', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 96863),
(153138, 'PTHR23411:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96864),
(153139, 'PTHR31264:SF7', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 96865),
(153140, 'PTHR19446:SF411', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96866),
(153141, 'PTHR24413:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96867),
(153142, 'PTHR48017:SF186', NULL, NULL, NULL, NULL, 'OS01G0878400 PROTEIN', 96868),
(153143, 'PTHR33748:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07404', 96869),
(153144, 'PTHR31775:SF21', NULL, NULL, NULL, NULL, 'REMORIN-LIKE', 96870),
(153145, 'PTHR12668:SF41', NULL, NULL, NULL, NULL, 'PROTEIN FATTY ACID EXPORT 5-LIKE', 96871),
(153146, 'PTHR43416:SF7', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX', 96872);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(153147, 'PTHR13778:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 8 DOMAIN-CONTAINING PROTEIN 1', 96873),
(153148, 'PTHR45816:SF1', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR TYPE 3', 96874),
(153149, 'PTHR21700:SF15', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 96875),
(153150, 'PTHR11920:SF474', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GYC76C', 96876),
(153151, 'PTHR13420', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 96877),
(153152, 'PTHR14965:SF1', NULL, NULL, NULL, NULL, 'APOPTOSIS FACILITATOR BCL-2-LIKE PROTEIN 14', 96878),
(153153, 'PTHR24381:SF115', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 41-RELATED', 96879),
(153154, 'PTHR47988:SF11', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE 1', 96880),
(153155, 'PTHR15143:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96881),
(153156, 'PTHR45873:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE ETA', 96882),
(153157, 'PTHR32285:SF259', NULL, NULL, NULL, NULL, 'BNAANNG09300D PROTEIN', 96883),
(153158, 'PTHR35631:SF3', NULL, NULL, NULL, NULL, 'OS08G0114150 PROTEIN', 96884),
(153159, 'PTHR45878:SF33', NULL, NULL, NULL, NULL, 'OS05G0444200 PROTEIN', 96885),
(153160, 'PTHR18860:SF21', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN 1', 96886),
(153161, 'PTHR23048:SF15', NULL, NULL, NULL, NULL, 'CALMODULIN RELATED GENES', 96887),
(153162, 'PTHR11439:SF363', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', 96888),
(153163, 'PTHR24637:SF248', NULL, NULL, NULL, NULL, 'COLLAGEN', 96889),
(153164, 'PTHR12391:SF7', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 3', 96890),
(153165, 'PTHR10527:SF1', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT BETA-1', 96891),
(153166, 'PTHR23349:SF57', NULL, NULL, NULL, NULL, 'FACTOR IN THE GERMLINE ALPHA', 96892),
(153167, 'PTHR20951', NULL, NULL, NULL, NULL, 'C13ORF1 PROTEIN-RELATED', 96893),
(153168, 'PTHR48049:SF11', NULL, NULL, NULL, NULL, 'OS09G0119600 PROTEIN', 96894),
(153169, 'PTHR31533:SF25', NULL, NULL, NULL, NULL, 'BNAA01G24970D PROTEIN', 96895),
(153170, 'PTHR11709:SF398', NULL, NULL, NULL, NULL, 'LACCASE', 96896),
(153171, 'PTHR27009:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96897),
(153172, 'PTHR46254:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96898),
(153173, 'PTHR10108:SF1137', NULL, NULL, NULL, NULL, 'OS12G0178250 PROTEIN', 96899),
(153174, 'PTHR32468:SF143', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE', 96900),
(153175, 'PTHR13780:SF36', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT GAMMA-1', 96901),
(153176, 'PTHR33463:SF102', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN RFL1, PUTATIVE-RELATED', 96902),
(153177, 'PTHR30447:SF0', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE 1 CLASS 2-RELATED', 96903),
(153178, 'PTHR30154', NULL, NULL, NULL, NULL, 'LEUCINE-RESPONSIVE REGULATORY PROTEIN', 96904),
(153179, 'PTHR19422:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96905),
(153180, 'PTHR45560:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96906),
(153181, 'PTHR23167:SF65', NULL, NULL, NULL, NULL, 'EH DOMAIN-BINDING PROTEIN 1-LIKE 1A', 96907),
(153182, 'PTHR21223:SF2', NULL, NULL, NULL, NULL, 'GH04442P', 96908),
(153183, 'PTHR10209:SF434', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 11-RELATED', 96909),
(153184, 'PTHR31500:SF71', NULL, NULL, NULL, NULL, 'BNAANNG26620D PROTEIN', 96910),
(153185, 'PTHR40638:SF1', NULL, NULL, NULL, NULL, 'UPF0591 MEMBRANE PROTEIN C15E1.02C', 96911),
(153186, 'PTHR20916:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96912),
(153187, 'PTHR46443:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96913),
(153188, 'PTHR31969:SF45', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN-RELATED', 96914),
(153189, 'PTHR45665:SF27', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP5-1-RELATED', 96915),
(153190, 'PTHR31190:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96916),
(153191, 'PTHR10514:SF40', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME', 96917); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(153192, 'PTHR33227:SF28', NULL, NULL, NULL, NULL, 'F12F1.21 PROTEIN', 96918),
(153193, 'PTHR20437:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96919),
(153194, 'PTHR22891:SF15', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN ERGO-1', 96920),
(153195, 'PTHR12136:SF64', NULL, NULL, NULL, NULL, 'OS02G0102800 PROTEIN', 96921),
(153196, 'PTHR46633:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC/MYB DOMAIN-CONTAINING PROTEIN-RELATED', 96922),
(153197, 'PTHR19375:SF355', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN (HSP70/DNAK)-RELATED', 96923),
(153198, 'PTHR12125:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 50', 96924),
(153199, 'PTHR48056:SF40', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE TYROSINE-PROTEIN KINASE PXC3', 96925),
(153200, 'PTHR34706', NULL, NULL, NULL, NULL, 'SLR1338 PROTEIN', 96926),
(153201, 'PTHR33272:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG04676', 96927),
(153202, 'PTHR10766:SF129', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 96928),
(153203, 'PTHR46008:SF33', NULL, NULL, NULL, NULL, 'BNACNNG38660D PROTEIN', 96929),
(153204, 'PTHR22811:SF75', NULL, NULL, NULL, NULL, 'TIR DOMAIN-CONTAINING ADAPTER MOLECULE 2', 96930),
(153205, 'PTHR43788:SF10', NULL, NULL, NULL, NULL, 'HELICASE WITH ZINC FINGER 2, TRANSCRIPTIONAL COACTIVATOR-RELATED', 96931),
(153206, 'PTHR24027:SF80', NULL, NULL, NULL, NULL, 'CADHERIN-13', 96932),
(153207, 'PTHR27009:SF258', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 96933),
(153208, 'PTHR48049:SF51', NULL, NULL, NULL, NULL, 'FLAVONOL 3-O-GLUCOSYLTRANSFERASE UGT71C4', 96934),
(153209, 'PTHR23302:SF40', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE, ISOFORM C', 96935),
(153210, 'PTHR34591:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96936),
(153211, 'PTHR43650:SF22', NULL, NULL, NULL, NULL, 'PHOSPHOFRUCTOKINASE DOMAIN-CONTAINING PROTEIN-RELATED', 96937),
(153212, 'PTHR11034:SF51', NULL, NULL, NULL, NULL, 'PROTEIN NDL2-LIKE ISOFORM X1', 96938),
(153213, 'PTHR31989:SF100', NULL, NULL, NULL, NULL, 'OS02G0745250 PROTEIN', 96939),
(153214, 'PTHR24286:SF197', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 96940),
(153215, 'PTHR45707:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96941),
(153216, 'PTHR31213:SF134', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL4-LIKE', 96942),
(153217, 'PTHR43750:SF3', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE TUAD', 96943),
(153218, 'PTHR36890', NULL, NULL, NULL, NULL, 'PROTEIN CYCLOPS', 96944),
(153219, 'PTHR23024:SF358', NULL, NULL, NULL, NULL, 'OS09G0460300 PROTEIN', 96945),
(153220, 'PTHR34281:SF7', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 3-LIKE', 96946),
(153221, 'PTHR12630:SF23', NULL, NULL, NULL, NULL, 'BNACNNG14010D PROTEIN', 96947),
(153222, 'PTHR43360', NULL, NULL, NULL, NULL, 'CARBON DIOXIDE CONCENTRATING MECHANISM PROTEIN CCMM', 96948),
(153223, 'PTHR36483:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96949),
(153224, 'PTHR11515:SF14', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONE BETA-5', 96950),
(153225, 'PTHR43553', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORTER', 96951),
(153226, 'PTHR42693:SF18', NULL, NULL, NULL, NULL, 'SULFATASE ASLA-RELATED', 96952),
(153227, 'PTHR24377:SF336', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 74', 96953),
(153228, 'PTHR48042:SF21', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 11-LIKE', 96954),
(153229, 'PTHR12264:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96955),
(153230, 'PTHR31268:SF26', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 2-RELATED', 96956),
(153231, 'PTHR10309', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE', 96957),
(153232, 'PTHR33142:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96958),
(153233, 'PTHR31218:SF250', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 96959),
(153234, 'PTHR31137:SF28', NULL, NULL, NULL, NULL, 'PROTEIN PSII', 96960),
(153235, 'PTHR43388', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HOXX', 96961),
(153236, 'PTHR48207:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE--HYDROXYMETHYLGLUTARATE COA-TRANSFERASE', 96962);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(153237, 'PTHR24068:SF70', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 E1', 96963),
(153238, 'PTHR31092', NULL, NULL, NULL, NULL, 'SORORIN', 96964),
(153239, 'PTHR10288:SF148', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING PROTEIN HEN4-LIKE', 96965),
(153240, 'PTHR11559:SF353', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 96966),
(153241, 'PTHR22945:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG05163', 96967),
(153242, 'PTHR11654:SF21', NULL, NULL, NULL, NULL, 'OS12G0231000 PROTEIN', 96968),
(153243, 'PTHR31896', NULL, NULL, NULL, NULL, 'FAMILY REGULATORY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14730)-RELATED', 96969),
(153244, 'PTHR11501:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96970),
(153245, 'PTHR10682:SF40', NULL, NULL, NULL, NULL, 'NUCLEAR POLY(A) POLYMERASE 4', 96971),
(153246, 'PTHR13230:SF5', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 5', 96972),
(153247, 'PTHR23333:SF26', NULL, NULL, NULL, NULL, 'PHOSPHATASE-LIKE PROTEIN MTC923', 96973),
(153248, 'PTHR10516:SF410', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 96974),
(153249, 'PTHR47757:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 96975),
(153250, 'PTHR12419:SF61', NULL, NULL, NULL, NULL, 'AUXIN-REGULATED PROTEIN-LIKE', 96976),
(153251, 'PTHR42160', NULL, NULL, NULL, NULL, 'URACIL-DNA GLYCOSYLASE SUPERFAMILY PROTEIN', 96977),
(153252, 'PTHR23056:SF96', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 9', 96978),
(153253, 'PTHR33137:SF30', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15A-LIKE', 96979),
(153254, 'PTHR27007:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96980),
(153255, 'PTHR11802:SF391', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 96981),
(153256, 'PTHR47248:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG06772', 96982),
(153257, 'PTHR14950:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96983),
(153258, 'PTHR37805', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 96984),
(153259, 'PTHR24296:SF95', NULL, NULL, NULL, NULL, 'P450 FAMILY PROTEIN, PUTATIVE-RELATED', 96985),
(153260, 'PTHR10438:SF439', NULL, NULL, NULL, NULL, 'THIOREDOXIN O2, MITOCHONDRIAL', 96986),
(153261, 'PTHR23501:SF170', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN 3', 96987),
(153262, 'PTHR10285:SF69', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE', 96988),
(153263, 'PTHR35325:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 96989),
(153264, 'PTHR19331:SF329', NULL, NULL, NULL, NULL, 'SOLUBLE SCAVENGER RECEPTOR CYSTEINE-RICH DOMAIN-CONTAINING PROTEIN SSC5D', 96990),
(153265, 'PTHR24281:SF130', NULL, NULL, NULL, NULL, 'CYTOCHROME 77A2', 96991),
(153266, 'PTHR23076:SF37', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 4, MITOCHONDRIAL', 96992),
(153267, 'PTHR45687:SF69', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-5-RELATED', 96993),
(153268, 'PTHR31680:SF13', NULL, NULL, NULL, NULL, 'DUF3741-ASSOCIATED SEQUENCE MOTIF PROTEIN-RELATED', 96994),
(153269, 'PTHR44943:SF8', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING PROTEIN MJ0798', 96995),
(153270, 'PTHR19271:SF10', NULL, NULL, NULL, NULL, 'MENAQUINOL-CYTOCHROME C REDUCTASE CYTOCHROME B/C SUBUNIT', 96996),
(153271, 'PTHR31793:SF33', NULL, NULL, NULL, NULL, 'GLL1961 PROTEIN', 96997),
(153272, 'PTHR22603:SF36', NULL, NULL, NULL, NULL, 'CHOLINE KINASE ALPHA', 96998),
(153273, 'PTHR39650', NULL, NULL, NULL, NULL, 'CDP-ARCHAEOL SYNTHASE', 96999),
(153274, 'PTHR23336:SF63', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 7-LIKE', 97000),
(153275, 'PTHR33130:SF50', NULL, NULL, NULL, NULL, 'BNAA07G36930D PROTEIN', 97001),
(153276, 'PTHR22903', NULL, NULL, NULL, NULL, 'PLEKHH PROTEIN', 97002),
(153277, 'PTHR10694:SF50', NULL, NULL, NULL, NULL, 'JMJC DOMAIN CONTAINING PROTEIN, EXPRESSED', 97003),
(153278, 'PTHR45763:SF8', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 97004),
(153279, 'PTHR23220:SF22', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-1', 97005),
(153280, 'PTHR43281:SF20', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE 10, MITOCHONDRIAL', 97006);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(153281, 'PTHR45660:SF4', NULL, NULL, NULL, NULL, 'OS01G0811300 PROTEIN', 97007),
(153282, 'PTHR33356:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97008),
(153283, 'PTHR30009:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE IIC COMPONENT GLVC', 97009),
(153284, 'PTHR24276:SF78', NULL, NULL, NULL, NULL, 'AT20289P-RELATED', 97010),
(153285, 'PTHR10412', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE GLUCOSIDASE', 97011),
(153286, 'PTHR24023:SF918', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(IX) CHAIN', 97012),
(153287, 'PTHR32009:SF53', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN', 97013),
(153288, 'PTHR11746:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97014),
(153289, 'PTHR30146:SF125', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR CYTR', 97015),
(153290, 'PTHR31179:SF6', NULL, NULL, NULL, NULL, 'RAB GTPASE-BINDING EFFECTOR PROTEIN 2', 97016),
(153291, 'PTHR21737:SF1', NULL, NULL, NULL, NULL, 'MARVEL DOMAIN-CONTAINING PROTEIN 3', 97017),
(153292, 'PTHR46153:SF20', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 2, CHLOROPLASTIC-RELATED', 97018),
(153293, 'PTHR31867:SF120', NULL, NULL, NULL, NULL, 'EXPANSIN', 97019),
(153294, 'PTHR33320:SF4', NULL, NULL, NULL, NULL, 'OS08G0230600 PROTEIN', 97020),
(153295, 'PTHR35905:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 97021),
(153296, 'PTHR23121:SF11', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING 4B5', 97022),
(153297, 'PTHR43605:SF5', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE ACSM1, MITOCHONDRIAL', 97023),
(153298, 'PTHR47140:SF1', NULL, NULL, NULL, NULL, 'MAP3K7 C-TERMINAL-LIKE PROTEIN', 97024),
(153299, 'PTHR18860:SF116', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN D ISOFORM X1', 97025),
(153300, 'PTHR34468:SF2', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED FUTSCH-LIKE PROTEIN', 97026),
(153301, 'PTHR34921:SF1', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN REC114', 97027),
(153302, 'PTHR18939:SF4', NULL, NULL, NULL, NULL, 'RIBOSOME-BINDING PROTEIN 1', 97028),
(153303, 'PTHR23171:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 68', 97029),
(153304, 'PTHR11247:SF1', NULL, NULL, NULL, NULL, 'DOLICHYLDIPHOSPHATASE 1', 97030),
(153305, 'PTHR10366:SF701', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97031),
(153306, 'PTHR34563', NULL, NULL, NULL, NULL, 'BNACNNG33880D PROTEIN', 97032),
(153307, 'PTHR37412:SF2', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN 5', 97033),
(153308, 'PTHR24235:SF19', NULL, NULL, NULL, NULL, 'PROLACTIN RELEASING PEPTIDE RECEPTOR-LIKE PROTEIN', 97034),
(153309, 'PTHR13887:SF44', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 97035),
(153310, 'PTHR11453:SF82', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 1', 97036),
(153311, 'PTHR33184:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97037),
(153312, 'PTHR24416:SF557', NULL, NULL, NULL, NULL, 'AGAP012828-PA', 97038),
(153313, 'PTHR15999', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 97039),
(153314, 'PTHR11122:SF34', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 97040),
(153315, 'PTHR26451:SF365', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 97041),
(153316, 'PTHR16064:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97042),
(153317, 'PTHR31448:SF32', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 1', 97043),
(153318, 'PTHR24031:SF301', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX18', 97044),
(153319, 'PTHR11675:SF116', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINYLTRANSFERASE 8-RELATED', 97045),
(153320, 'PTHR24204:SF8', NULL, NULL, NULL, NULL, 'TAILUP, ISOFORM A', 97046),
(153321, 'PTHR33463:SF73', NULL, NULL, NULL, NULL, 'AND NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN, PUTATIVE-RELATED', 97047),
(153322, 'PTHR47293:SF20', NULL, NULL, NULL, NULL, 'PYK10-BINDING PROTEIN 1-RELATED', 97048),
(153323, 'PTHR12702:SF1', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC15B', 97049),
(153324, 'PTHR10503:SF24', NULL, NULL, NULL, NULL, 'CHROMO DOMAIN-CONTAINING PROTEIN CEC-4', 97050),
(153325, 'PTHR46584', NULL, NULL, NULL, NULL, 'HMG DOMAIN-CONTAINING PROTEIN 4', 97051);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(153326, 'PTHR48034:SF20', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN, X-LINKED-LIKE-1', 97052),
(153327, 'PTHR33047:SF30', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN', 97053),
(153328, 'PTHR45618:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97054),
(153329, 'PTHR48104:SF20', NULL, NULL, NULL, NULL, 'METACASPASE-6', 97055),
(153330, 'PTHR12316:SF17', NULL, NULL, NULL, NULL, 'NINJURIN C, ISOFORM D', 97056),
(153331, 'PTHR19422:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97057),
(153332, 'PTHR45648:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97058),
(153333, 'PTHR21190', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 97059),
(153334, 'PTHR11950:SF40', NULL, NULL, NULL, NULL, 'RUNT-RELATED TRANSCRIPTION FACTOR 1', 97060),
(153335, 'PTHR11437:SF4', NULL, NULL, NULL, NULL, 'RIBONUCLEASE K6', 97061),
(153336, 'PTHR11475:SF38', NULL, NULL, NULL, NULL, 'PEROXIDASIN-LIKE PROTEIN', 97062),
(153337, 'PTHR45613:SF332', NULL, NULL, NULL, NULL, 'OS02G0110400 PROTEIN', 97063),
(153338, 'PTHR35015:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBR-OSM-7', 97064),
(153339, 'PTHR45862', NULL, NULL, NULL, NULL, 'PROTEIN SGT1 HOMOLOG', 97065),
(153340, 'PTHR14002:SF22', NULL, NULL, NULL, NULL, 'UROMODULIN-LIKE 1', 97066),
(153341, 'PTHR22762:SF131', NULL, NULL, NULL, NULL, 'LYSOSOMAL ALPHA-GLUCOSIDASE-LIKE PROTEIN', 97067),
(153342, 'PTHR31276:SF12', NULL, NULL, NULL, NULL, 'BNAANNG33630D PROTEIN', 97068),
(153343, 'PTHR14155', NULL, NULL, NULL, NULL, 'RING FINGER DOMAIN-CONTAINING', 97069),
(153344, 'PTHR48044:SF43', NULL, NULL, NULL, NULL, 'CYANIDIN-3-O-GLUCOSIDE 2-O-GLUCURONOSYLTRANSFERASE-LIKE', 97070),
(153345, 'PTHR45648:SF108', NULL, NULL, NULL, NULL, 'BNAA05G33110D PROTEIN', 97071),
(153346, 'PTHR47935', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MRL1, CHLOROPLASTIC', 97072),
(153347, 'PTHR43715:SF7', NULL, NULL, NULL, NULL, 'BNAC02G45130D PROTEIN', 97073),
(153348, 'PTHR31541:SF45', NULL, NULL, NULL, NULL, 'BNAA10G03950D PROTEIN', 97074),
(153349, 'PTHR11241:SF12', NULL, NULL, NULL, NULL, 'DEOXYURIDINE 5''-TRIPHOSPHATE NUCLEOTIDOHYDROLASE', 97075),
(153350, 'PTHR15431:SF9', NULL, NULL, NULL, NULL, 'FGFR1 ONCOGENE PARTNER', 97076),
(153351, 'PTHR47913', NULL, NULL, NULL, NULL, 'OS01G0167750 PROTEIN', 97077),
(153352, 'PTHR30354:SF8', NULL, NULL, NULL, NULL, 'LOW-AFFINITY GLUCONATE TRANSPORTER', 97078),
(153353, 'PTHR19961:SF58', NULL, NULL, NULL, NULL, 'ZGC:100997', 97079),
(153354, 'PTHR11269:SF16', NULL, NULL, NULL, NULL, 'PERIOD CIRCADIAN PROTEIN', 97080),
(153355, 'PTHR18860:SF125', NULL, NULL, NULL, NULL, '14-3-3 FAMILY PROTEIN-RELATED', 97081),
(153356, 'PTHR10529:SF353', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT MU-1-RELATED', 97082),
(153357, 'PTHR23050', NULL, NULL, NULL, NULL, 'CALCIUM BINDING PROTEIN', 97083),
(153358, 'PTHR32387', NULL, NULL, NULL, NULL, 'WU:FJ29H11', 97084),
(153359, 'PTHR22591', NULL, NULL, NULL, NULL, 'XIN', 97085),
(153360, 'PTHR31011', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 97086),
(153361, 'PTHR24015:SF1900', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 97087),
(153362, 'PTHR48048:SF29', NULL, NULL, NULL, NULL, 'OS01G0865400 PROTEIN', 97088),
(153363, 'PTHR12242:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97089),
(153364, 'PTHR24064:SF535', NULL, NULL, NULL, NULL, 'BNAA06G36760D PROTEIN', 97090),
(153365, 'PTHR31656:SF50', NULL, NULL, NULL, NULL, 'BNAA10G13310D PROTEIN', 97091),
(153366, 'PTHR31174:SF17', NULL, NULL, NULL, NULL, 'OS03G0747400 PROTEIN', 97092),
(153367, 'PTHR24377:SF425', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 483', 97093),
(153368, 'PTHR12040', NULL, NULL, NULL, NULL, 'ANTI-SILENCING PROTEIN 1', 97094),
(153369, 'PTHR10634:SF118', NULL, NULL, NULL, NULL, 'ZINC FINGER AN1 DOMAIN STRESS-ASSOCIATED PROTEIN', 97095),
(153370, 'PTHR32525:SF0', NULL, NULL, NULL, NULL, 'MODIFIER OF APL-1 ACTIVITY-RELATED', 97096),
(153371, 'PTHR12155:SF29', NULL, NULL, NULL, NULL, 'SCHLAFEN-LIKE PROTEIN 1', 97097),
(153372, 'PTHR23510:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG23285', 97098);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(153373, 'PTHR43400:SF1', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE', 97099),
(153374, 'PTHR31729:SF9', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-1', 97100),
(153375, 'PTHR33133:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97101),
(153376, 'PTHR21654:SF94', NULL, NULL, NULL, NULL, 'BNAA02G17830D PROTEIN', 97102),
(153377, 'PTHR11590:SF42', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR XIII A CHAIN', 97103),
(153378, 'PTHR46728', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 4', 97104),
(153379, 'PTHR35167:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97105),
(153380, 'PTHR11588:SF317', NULL, NULL, NULL, NULL, 'TUBULIN EPSILON CHAIN', 97106),
(153381, 'PTHR33095:SF59', NULL, NULL, NULL, NULL, 'STRESS RESPONSE NST1-LIKE PROTEIN (DUF1645)', 97107),
(153382, 'PTHR10795:SF581', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.8', 97108),
(153383, 'PTHR23416:SF54', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, CYSE/LACA/LPXA/NODL FAMILY (AFU_ORTHOLOGUE AFUA_2G08430)', 97109),
(153384, 'PTHR42979', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDROGENASE', 97110),
(153385, 'PTHR10644:SF6', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR (CPSF) A SUBUNIT PROTEIN', 97111),
(153386, 'PTHR34952:SF2', NULL, NULL, NULL, NULL, 'OS05G0113500 PROTEIN', 97112),
(153387, 'PTHR13533:SF38', NULL, NULL, NULL, NULL, 'BNAA02G34010D PROTEIN', 97113),
(153388, 'PTHR22814:SF317', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 28-LIKE', 97114),
(153389, 'PTHR47829:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12880)-RELATED', 97115),
(153390, 'PTHR43205:SF35', NULL, NULL, NULL, NULL, 'ZINC-BINDING DEHYDROGENASE FAMILY PROTEIN', 97116),
(153391, 'PTHR34040', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLIQ', 97117),
(153392, 'PTHR12388:SF2', NULL, NULL, NULL, NULL, 'MAGMAS-LIKE PROTEIN', 97118),
(153393, 'PTHR21584', NULL, NULL, NULL, NULL, 'DIFFERENTIAL DISPLAY AND ACTIVATED BY P53  DDA3 /G2 S PHASE EXPRESSED 1', 97119),
(153394, 'PTHR47984:SF24', NULL, NULL, NULL, NULL, 'OS10G0533150 PROTEIN', 97120),
(153395, 'PTHR36910:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97121),
(153396, 'PTHR46890:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97122),
(153397, 'PTHR30582:SF2', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE YCIB-RELATED', 97123),
(153398, 'PTHR32021:SF43', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 97124),
(153399, 'PTHR48017:SF56', NULL, NULL, NULL, NULL, 'VACUOLAR AMINO ACID TRANSPORTER 1-LIKE', 97125),
(153400, 'PTHR45969:SF32', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 97126),
(153401, 'PTHR37313:SF1', NULL, NULL, NULL, NULL, 'UPF0749 PROTEIN RV1823', 97127),
(153402, 'PTHR31561:SF107', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 3', 97128),
(153403, 'PTHR33178', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 97129),
(153404, 'PTHR31384:SF96', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 1', 97130),
(153405, 'PTHR31389:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG06623', 97131),
(153406, 'PTHR12838:SF1', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 11', 97132),
(153407, 'PTHR13156:SF1', NULL, NULL, NULL, NULL, 'BNAC04G49950D PROTEIN', 97133),
(153408, 'PTHR22951:SF11', NULL, NULL, NULL, NULL, 'SI:CH211-200P22.4', 97134),
(153409, 'PTHR39661', NULL, NULL, NULL, NULL, 'UPF0310 PROTEIN MJECL36', 97135),
(153410, 'PTHR11958:SF100', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 97136),
(153411, 'PTHR46665:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH041-RELATED', 97137),
(153412, 'PTHR39479:SF2', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 97138),
(153413, 'PTHR47854', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 2 (SURF2)', 97139),
(153414, 'PTHR15551', NULL, NULL, NULL, NULL, 'LIM DOMAIN ONLY 7', 97140),
(153415, 'PTHR12371:SF11', NULL, NULL, NULL, NULL, 'TRANSLOCATING CHAIN-ASSOCIATED MEMBRANE PROTEIN', 97141),
(153416, 'PTHR11537:SF260', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, SHAB-RELATED SUBFAMILY, MEMBER 1-RELATED', 97142);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(153417, 'PTHR19444:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97143),
(153418, 'PTHR33508:SF2', NULL, NULL, NULL, NULL, 'UPF0056 INNER MEMBRANE PROTEIN MARC', 97144),
(153419, 'PTHR10146:SF14', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE HOMEOSTASIS PROTEIN', 97145),
(153420, 'PTHR23338:SF36', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D3', 97146),
(153421, 'PTHR12345:SF21', NULL, NULL, NULL, NULL, 'AMYLOID BETA (A4) PRECURSOR PROTEIN-BINDING, FAMILY A, MEMBER 1B', 97147),
(153422, 'PTHR31429:SF89', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY76-LIKE', 97148),
(153423, 'PTHR38644', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 97149),
(153424, 'PTHR10009:SF6', NULL, NULL, NULL, NULL, 'FI16876P1', 97150),
(153425, 'PTHR11203:SF37', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 11', 97151),
(153426, 'PTHR13323:SF5', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR RECEIVER', 97152),
(153427, 'PTHR11453', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN', 97153),
(153428, 'PTHR10639', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', 97154),
(153429, 'PTHR46463:SF41', NULL, NULL, NULL, NULL, 'BNAA02G25660D PROTEIN', 97155),
(153430, 'PTHR22802:SF245', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER G', 97156),
(153431, 'PTHR11850:SF301', NULL, NULL, NULL, NULL, 'AHPA-RELATED', 97157),
(153432, 'PTHR24346:SF60', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 97158),
(153433, 'PTHR10527:SF74', NULL, NULL, NULL, NULL, 'BNAA09G08910D PROTEIN', 97159),
(153434, 'PTHR44858:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 6', 97160),
(153435, 'PTHR21523:SF5', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', 97161),
(153436, 'PTHR48044:SF25', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 97162),
(153437, 'PTHR11575:SF41', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01160)-RELATED', 97163),
(153438, 'PTHR31645:SF71', NULL, NULL, NULL, NULL, 'BNACNNG45400D PROTEIN', 97164),
(153439, 'PTHR24320:SF209', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 12-LIKE', 97165),
(153440, 'PTHR31909:SF3', NULL, NULL, NULL, NULL, 'RCG40914', 97166),
(153441, 'PTHR10809:SF121', NULL, NULL, NULL, NULL, 'BNAC04G22100D PROTEIN', 97167),
(153442, 'PTHR45615:SF12', NULL, NULL, NULL, NULL, 'MYOSIN-4', 97168),
(153443, 'PTHR23084:SF236', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD 10 HOMOLOG B-LIKE', 97169),
(153444, 'PTHR13935:SF126', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE HOMOLOG 1A', 97170),
(153445, 'PTHR28092', NULL, NULL, NULL, NULL, 'FACTOR-INDUCED GENE 1 PROTEIN', 97171),
(153446, 'PTHR31150:SF33', NULL, NULL, NULL, NULL, 'BNAC01G00230D PROTEIN', 97172),
(153447, 'PTHR12170:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN TRANSFERASE MAEA', 97173),
(153448, 'PTHR10225:SF2', NULL, NULL, NULL, NULL, 'LYMPHATIC VESSEL ENDOTHELIAL HYALURONIC ACID RECEPTOR 1', 97174),
(153449, 'PTHR31037:SF1', NULL, NULL, NULL, NULL, 'RELT-LIKE PROTEIN 1', 97175),
(153450, 'PTHR10972:SF15', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 3', 97176),
(153451, 'PTHR31232:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97177),
(153452, 'PTHR34217', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT CARBOXYPEPTIDASE', 97178),
(153453, 'PTHR24020:SF35', NULL, NULL, NULL, NULL, 'MATRILIN-2', 97179),
(153454, 'PTHR44259:SF31', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN (DUF295)', 97180),
(153455, 'PTHR11902', NULL, NULL, NULL, NULL, 'ENOLASE', 97181),
(153456, 'PTHR47274:SF15', NULL, NULL, NULL, NULL, 'BNAA05G13360D PROTEIN', 97182),
(153457, 'PTHR11516:SF27', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA, TESTIS-SPECIFIC FORM, MITOCHONDRIAL', 97183),
(153458, 'PTHR24128:SF66', NULL, NULL, NULL, NULL, 'BNAC08G42740D PROTEIN', 97184),
(153459, 'PTHR24177:SF315', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', 97185),
(153460, 'PTHR33941', NULL, NULL, NULL, NULL, 'PROPANEDIOL UTILIZATION PROTEIN PDUA', 97186),
(153461, 'PTHR13028:SF2', NULL, NULL, NULL, NULL, 'BNAA01G24550D PROTEIN', 97187);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(153462, 'PTHR43540:SF2', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE HYDROLASE', 97188),
(153463, 'PTHR45697:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 3', 97189),
(153464, 'PTHR36155', NULL, NULL, NULL, NULL, 'BLL5354 PROTEIN', 97190),
(153465, 'PTHR10578:SF75', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_4G07050)', 97191),
(153466, 'PTHR10795:SF712', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3.6 ISOFORM X2', 97192),
(153467, 'PTHR34491:SF27', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', 97193),
(153468, 'PTHR10501:SF46', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN A', 97194),
(153469, 'PTHR23430:SF257', NULL, NULL, NULL, NULL, 'HISTONE H2A', 97195),
(153470, 'PTHR33206', NULL, NULL, NULL, NULL, 'PROTEIN CBG10425', 97196),
(153471, 'PTHR31356:SF36', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 3', 97197),
(153472, 'PTHR31072:SF166', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP4', 97198),
(153473, 'PTHR46013:SF2', NULL, NULL, NULL, NULL, 'VASCULAR CELL ADHESION MOLECULE 1', 97199),
(153474, 'PTHR10073:SF44', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MLH2', 97200),
(153475, 'PTHR12450:SF24', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 20 MEMBER C,-LIKE', 97201),
(153476, 'PTHR43364:SF12', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT OXIDOREDUCTASE DOMAIN', 97202),
(153477, 'PTHR31310:SF7', NULL, NULL, NULL, NULL, 'PA-PHOSPHATASE RELATED-FAMILY PROTEIN DDB_G0268928', 97203),
(153478, 'PTHR24103:SF605', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97204),
(153479, 'PTHR10257:SF62', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 97205),
(153480, 'PTHR35577', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH, ACIDIC INTEGRAL MEMBRANE PROTEIN-RELATED', 97206),
(153481, 'PTHR38926:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97207),
(153482, 'PTHR48018:SF148', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 97208),
(153483, 'PTHR23146:SF3', NULL, NULL, NULL, NULL, 'BNAANNG06810D PROTEIN', 97209),
(153484, 'PTHR22765:SF326', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97210),
(153485, 'PTHR12863:SF11', NULL, NULL, NULL, NULL, 'DIHYDROCERAMIDE FATTY ACYL 2-HYDROXYLASE FAH2-LIKE', 97211),
(153486, 'PTHR13301:SF181', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', 97212),
(153487, 'PTHR35360', NULL, NULL, NULL, NULL, 'OS01G0324125 PROTEIN-RELATED', 97213),
(153488, 'PTHR46662:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97214),
(153489, 'PTHR24095:SF247', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', 97215),
(153490, 'PTHR10177:SF231', NULL, NULL, NULL, NULL, 'CYCLIN-F3-2-RELATED', 97216),
(153491, 'PTHR24377:SF662', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 792', 97217),
(153492, 'PTHR24225:SF15', NULL, NULL, NULL, NULL, 'FMET-LEU-PHE RECEPTOR', 97218),
(153493, 'PTHR30383:SF2', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING PROTEIN', 97219),
(153494, 'PTHR46506:SF43', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 97220),
(153495, 'PTHR11606:SF7', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE', 97221),
(153496, 'PTHR47944:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 84A1', 97222),
(153497, 'PTHR46467', NULL, NULL, NULL, NULL, 'TETHER CONTAINING UBX DOMAIN FOR GLUT4', 97223),
(153498, 'PTHR10566:SF120', NULL, NULL, NULL, NULL, 'PROTEIN ACTIVITY OF BC1 COMPLEX KINASE 3, CHLOROPLASTIC', 97224),
(153499, 'PTHR39117:SF3', NULL, NULL, NULL, NULL, 'BNAC06G14140D PROTEIN', 97225),
(153500, 'PTHR44137:SF10', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', 97226),
(153501, 'PTHR36321:SF3', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 10-RELATED', 97227),
(153502, 'PTHR11599:SF176', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 97228),
(153503, 'PTHR13533:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97229),
(153504, 'PTHR11905:SF148', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 30', 97230),
(153505, 'PTHR34376:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97231);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(153506, 'PTHR15162:SF7', NULL, NULL, NULL, NULL, 'SUCCINYLGLUTAMATE DESUCCINYLASE', 97232),
(153507, 'PTHR10334:SF453', NULL, NULL, NULL, NULL, 'VENOM ALLERGEN 5-LIKE PROTEIN', 97233),
(153508, 'PTHR22650:SF7', NULL, NULL, NULL, NULL, 'PLATELET GLYCOPROTEIN IB BETA CHAIN', 97234),
(153509, 'PTHR19302:SF27', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT 4', 97235),
(153510, 'PTHR22967:SF92', NULL, NULL, NULL, NULL, 'LD17053P', 97236),
(153511, 'PTHR16517:SF84', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 9', 97237),
(153512, 'PTHR11706:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97238),
(153513, 'PTHR24253:SF65', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11F', 97239),
(153514, 'PTHR27009:SF230', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 97240),
(153515, 'PTHR34125:SF8', NULL, NULL, NULL, NULL, 'BNAC07G33630D PROTEIN', 97241),
(153516, 'PTHR45974:SF108', NULL, NULL, NULL, NULL, 'OS05G0481100 PROTEIN', 97242),
(153517, 'PTHR47339', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 24', 97243),
(153518, 'PTHR36493:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97244),
(153519, 'PTHR31264:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97245),
(153520, 'PTHR34592', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 97246),
(153521, 'PTHR37517:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97247),
(153522, 'PTHR44086:SF10', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE RDL2, MITOCHONDRIAL-RELATED', 97248),
(153523, 'PTHR12936:SF3', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 10', 97249),
(153524, 'PTHR14614:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97250),
(153525, 'PTHR32093:SF148', NULL, NULL, NULL, NULL, 'OSJNBA0014K14.21 PROTEIN', 97251),
(153526, 'PTHR31001:SF57', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 97252),
(153527, 'PTHR11079:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97253),
(153528, 'PTHR46289:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97254),
(153529, 'PTHR45668:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE WITH EF-HANDS 2', 97255),
(153530, 'PTHR37014:SF10', NULL, NULL, NULL, NULL, 'RICH PROTEIN MS8, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05650)-RELATED', 97256),
(153531, 'PTHR11748', NULL, NULL, NULL, NULL, 'D-LACTATE DEHYDROGENASE', 97257),
(153532, 'PTHR10315:SF101', NULL, NULL, NULL, NULL, 'OS01G0122000 PROTEIN', 97258),
(153533, 'PTHR45651:SF68', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 1-LIKE ISOFORM X1', 97259),
(153534, 'PTHR23172:SF62', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN PROTEIN', 97260),
(153535, 'PTHR10894:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 56', 97261),
(153536, 'PTHR13425:SF3', NULL, NULL, NULL, NULL, 'HEADCASE PROTEIN HOMOLOG', 97262),
(153537, 'PTHR23101:SF62', NULL, NULL, NULL, NULL, 'RAS AND RAB INTERACTOR 1', 97263),
(153538, 'PTHR11926:SF1331', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 97264),
(153539, 'PTHR31669:SF161', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED ELONGATED HYPOCOTYL 3', 97265),
(153540, 'PTHR10792:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97266),
(153541, 'PTHR39228:SF1', NULL, NULL, NULL, NULL, 'LORICRIN', 97267),
(153542, 'PTHR45647', NULL, NULL, NULL, NULL, 'OS02G0152300 PROTEIN', 97268),
(153543, 'PTHR24072:SF336', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN 5', 97269),
(153544, 'PTHR23262:SF199', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 2-2-RELATED', 97270),
(153545, 'PTHR11426:SF118', NULL, NULL, NULL, NULL, 'HISTONE H3.3 TYPE 2-RELATED', 97271),
(153546, 'PTHR23123:SF15', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 7A', 97272),
(153547, 'PTHR36080:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97273),
(153548, 'PTHR11132:SF384', NULL, NULL, NULL, NULL, 'BNAA09G40930D PROTEIN', 97274),
(153549, 'PTHR35845', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED SERINE-RICH PROTEIN 1', 97275),
(153550, 'PTHR36884:SF1', NULL, NULL, NULL, NULL, 'FIP1[V]-LIKE PROTEIN', 97276);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(153551, 'PTHR45000:SF6', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN FAMILY-LIKE PROTEIN', 97277),
(153552, 'PTHR47789', NULL, NULL, NULL, NULL, 'LAS SEVENTEEN-BINDING PROTEIN 5', 97278),
(153553, 'PTHR23507:SF38', NULL, NULL, NULL, NULL, 'FI18259P1-RELATED', 97279),
(153554, 'PTHR43719:SF49', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE 3', 97280),
(153555, 'PTHR27005:SF162', NULL, NULL, NULL, NULL, 'OS11G0691500 PROTEIN', 97281),
(153556, 'PTHR12956:SF59', NULL, NULL, NULL, NULL, 'TRNA (MET) CYTIDINE ACETYLTRANSFERASE-RELATED', 97282),
(153557, 'PTHR23335:SF31', NULL, NULL, NULL, NULL, 'BNAA04G12770D PROTEIN', 97283),
(153558, 'PTHR21562:SF89', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 97284),
(153559, 'PTHR38002', NULL, NULL, NULL, NULL, 'C4ORF36 ISOFORM 11', 97285),
(153560, 'PTHR43107:SF10', NULL, NULL, NULL, NULL, 'LONG-CHAIN FATTY ACID TRANSPORT PROTEIN 6', 97286),
(153561, 'PTHR18884:SF52', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 11', 97287),
(153562, 'PTHR31355:SF7', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN TORTIFOLIA1', 97288),
(153563, 'PTHR13844:SF53', NULL, NULL, NULL, NULL, 'SWIB COMPLEX BAF60B DOMAIN-CONTAINING PROTEIN', 97289),
(153564, 'PTHR11514:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH3', 97290),
(153565, 'PTHR12941:SF15', NULL, NULL, NULL, NULL, 'BNAA03G11160D PROTEIN', 97291),
(153566, 'PTHR24349:SF368', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 2', 97292),
(153567, 'PTHR33393', NULL, NULL, NULL, NULL, 'POLYGLUTAMINE SYNTHESIS ACCESSORY PROTEIN RV0574C-RELATED', 97293),
(153568, 'PTHR28624', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 51', 97294),
(153569, 'PTHR11139:SF114', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SMG1-RELATED', 97295),
(153570, 'PTHR46527', NULL, NULL, NULL, NULL, 'NUCLEOPORIN-LIKE PROTEIN 2', 97296),
(153571, 'PTHR31008:SF13', NULL, NULL, NULL, NULL, 'COP1-INTERACTING PROTEIN-LIKE PROTEIN-RELATED', 97297),
(153572, 'PTHR22710:SF2', NULL, NULL, NULL, NULL, 'X-RAY RADIATION RESISTANCE-ASSOCIATED PROTEIN 1', 97298),
(153573, 'PTHR12315:SF2', NULL, NULL, NULL, NULL, 'BNAA03G13260D PROTEIN', 97299),
(153574, 'PTHR23024:SF491', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN', 97300),
(153575, 'PTHR10015:SF148', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR PROTEIN 3', 97301),
(153576, 'PTHR22936:SF72', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', 97302),
(153577, 'PTHR33070:SF15', NULL, NULL, NULL, NULL, 'OS08G0552400 PROTEIN', 97303),
(153578, 'PTHR45616:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97304),
(153579, 'PTHR45757:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG02699', 97305),
(153580, 'PTHR11141:SF26', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23A', 97306),
(153581, 'PTHR10902:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97307),
(153582, 'PTHR24028:SF123', NULL, NULL, NULL, NULL, 'CADHERIN-RELATED FAMILY MEMBER 4', 97308),
(153583, 'PTHR46454:SF14', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN', 97309),
(153584, 'PTHR34142:SF6', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,4-GLUCANASE B', 97310),
(153585, 'PTHR10543:SF103', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE-RELATED', 97311),
(153586, 'PTHR31790:SF321', NULL, NULL, NULL, NULL, 'BNAA07G02830D PROTEIN', 97312),
(153587, 'PTHR24250:SF59', NULL, NULL, NULL, NULL, 'CHYMOTRYPSINOGEN B1-RELATED', 97313),
(153588, 'PTHR11722:SF9', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', 97314),
(153589, 'PTHR46758:SF7', NULL, NULL, NULL, NULL, 'HCP FAMILY PROTEIN WITH MYND-TYPE ZINC FINGER PROTEIN', 97315),
(153590, 'PTHR33052:SF3', NULL, NULL, NULL, NULL, 'OS01G0758500 PROTEIN', 97316),
(153591, 'PTHR31369:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG02315', 97317),
(153592, 'PTHR24376:SF74', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 845', 97318),
(153593, 'PTHR46632:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97319),
(153594, 'PTHR34453:SF6', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 23-RELATED', 97320),
(153595, 'PTHR46827:SF1', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DDB_G0288861-RELATED', 97321);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(153596, 'PTHR43000:SF31', NULL, NULL, NULL, NULL, 'BNAA03G52320D PROTEIN', 97322),
(153597, 'PTHR35394:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97323),
(153598, 'PTHR33384:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97324),
(153599, 'PTHR35480', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 97325),
(153600, 'PTHR43908:SF11', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 49-LIKE', 97326),
(153601, 'PTHR11461:SF317', NULL, NULL, NULL, NULL, 'SERPIN-Z1C', 97327),
(153602, 'PTHR46180:SF1', NULL, NULL, NULL, NULL, 'VINCULIN', 97328),
(153603, 'PTHR31960:SF23', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A13-LIKE', 97329),
(153604, 'PTHR17045:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97330),
(153605, 'PTHR11014:SF62', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 6', 97331),
(153606, 'PTHR22751:SF42', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 97332),
(153607, 'PTHR18860:SF95', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 PSI', 97333),
(153608, 'PTHR31238:SF170', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 97334),
(153609, 'PTHR10625:SF186', NULL, NULL, NULL, NULL, 'OS11G0201400 PROTEIN', 97335),
(153610, 'PTHR46813', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 18', 97336),
(153611, 'PTHR10286:SF0', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE 2', 97337),
(153612, 'PTHR33303', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 97338),
(153613, 'PTHR15036:SF47', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA-4', 97339),
(153614, 'PTHR12534:SF0', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S2, MITOCHONDRIAL', 97340),
(153615, 'PTHR16140:SF16', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', 97341),
(153616, 'PTHR33178:SF11', NULL, NULL, NULL, NULL, 'BNAANNG40030D PROTEIN', 97342),
(153617, 'PTHR47802:SF1', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN, EXPRESSED', 97343),
(153618, 'PTHR22850:SF199', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL MODULATOR WTM1-RELATED', 97344),
(153619, 'PTHR35546:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97345),
(153620, 'PTHR23500:SF453', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 3-RELATED', 97346),
(153621, 'PTHR12829:SF5', NULL, NULL, NULL, NULL, 'MT-A70 FAMILY PROTEIN', 97347),
(153622, 'PTHR11596:SF85', NULL, NULL, NULL, NULL, 'AT01495P-RELATED', 97348),
(153623, 'PTHR11017:SF331', NULL, NULL, NULL, NULL, 'BNAC03G61990D PROTEIN', 97349),
(153624, 'PTHR47101:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 5, CHLOROPLASTIC', 97350),
(153625, 'PTHR48221', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 97351),
(153626, 'PTHR31558:SF22', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2-LIKE', 97352),
(153627, 'PTHR47773:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97353),
(153628, 'PTHR19432:SF84', NULL, NULL, NULL, NULL, 'BNAA09G30430D PROTEIN', 97354),
(153629, 'PTHR12000:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97355),
(153630, 'PTHR20899:SF9', NULL, NULL, NULL, NULL, 'UPF0691 PROTEIN C9ORF116 HOMOLOG', 97356),
(153631, 'PTHR13533:SF28', NULL, NULL, NULL, NULL, 'PROTEIN REDUCED WALL ACETYLATION 3', 97357),
(153632, 'PTHR11849:SF196', NULL, NULL, NULL, NULL, 'ETS TRANSLOCATION VARIANT 1', 97358),
(153633, 'PTHR23315:SF286', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 97359),
(153634, 'PTHR15601:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG01575', 97360),
(153635, 'PTHR31009:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97361),
(153636, 'PTHR47071:SF7', NULL, NULL, NULL, NULL, 'BNAA03G54870D PROTEIN', 97362),
(153637, 'PTHR46482:SF3', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE 2, CHLOROPLASTIC', 97363),
(153638, 'PTHR33120', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 97364),
(153639, 'PTHR46463:SF31', NULL, NULL, NULL, NULL, 'OS01G0926200 PROTEIN', 97365),
(153640, 'PTHR43581:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ENDONUCLEASE, OLD FAMILY-RELATED', 97366),
(153641, 'PTHR33647:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97367);
INSERT INTO "PUBLIC"."MODEL" VALUES
(153642, 'PTHR11547:SF23', NULL, NULL, NULL, NULL, 'CREATINE KINASE B-TYPE', 97368),
(153643, 'PTHR47965:SF50', NULL, NULL, NULL, NULL, 'BNAANNG08670D PROTEIN', 97369),
(153644, 'PTHR36493:SF5', NULL, NULL, NULL, NULL, 'NEUROBLAST DIFFERENTIATION-ASSOCIATED PROTEIN AHNAK-LIKE PROTEIN', 97370),
(153645, 'PTHR12850', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S25', 97371),
(153646, 'PTHR34797', NULL, NULL, NULL, NULL, 'ATG8-INTERACTING PROTEIN 2', 97372),
(153647, 'PTHR33589:SF4', NULL, NULL, NULL, NULL, 'ZYMOGEN GRANULE MEMBRANE PROTEIN 16', 97373),
(153648, 'PTHR24177:SF111', NULL, NULL, NULL, NULL, 'OS09G0322500 PROTEIN', 97374),
(153649, 'PTHR31549:SF152', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', 97375),
(153650, 'PTHR44137:SF24', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', 97376),
(153651, 'PTHR46877:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97377),
(153652, 'PTHR37562:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97378),
(153653, 'PTHR23018', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA-RELATED', 97379),
(153654, 'PTHR10572:SF41', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE 1', 97380),
(153655, 'PTHR30250:SF20', NULL, NULL, NULL, NULL, 'POLYSACCHARIDES EXPORT PROTEIN', 97381),
(153656, 'PTHR11771:SF116', NULL, NULL, NULL, NULL, 'OS12G0559934 PROTEIN', 97382),
(153657, 'PTHR46086:SF3', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 97383),
(153658, 'PTHR46445', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II DEGRADATION FACTOR-LIKE PROTEIN (DUF1296)', 97384),
(153659, 'PTHR46950:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97385),
(153660, 'PTHR43425:SF2', NULL, NULL, NULL, NULL, 'OXYGEN-INSENSITIVE NADPH NITROREDUCTASE', 97386),
(153661, 'PTHR33239:SF1', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING DOMAIN-CONTAINING PROTEIN', 97387),
(153662, 'PTHR11216:SF149', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 97388),
(153663, 'PTHR42898:SF5', NULL, NULL, NULL, NULL, 'OS01G0930900 PROTEIN', 97389),
(153664, 'PTHR12143:SF25', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G10790)-RELATED', 97390),
(153665, 'PTHR24064:SF453', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 4', 97391),
(153666, 'PTHR13593:SF33', NULL, NULL, NULL, NULL, 'PI-PLC X DOMAIN-CONTAINING PROTEIN 3', 97392),
(153667, 'PTHR45657:SF16', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH8', 97393),
(153668, 'PTHR26451:SF885', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 97394),
(153669, 'PTHR11465:SF58', NULL, NULL, NULL, NULL, 'CATALASE CAT1', 97395),
(153670, 'PTHR11945:SF573', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN APETALA 3', 97396),
(153671, 'PTHR11048', NULL, NULL, NULL, NULL, 'PRENYLTRANSFERASES', 97397),
(153672, 'PTHR35727:SF5', NULL, NULL, NULL, NULL, 'BNAA05G33520D PROTEIN', 97398),
(153673, 'PTHR11036:SF12', NULL, NULL, NULL, NULL, 'SEMAPHORIN-6A', 97399),
(153674, 'PTHR45676:SF116', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL54-LIKE', 97400),
(153675, 'PTHR18929:SF101', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', 97401),
(153676, 'PTHR13104:SF0', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 6', 97402),
(153677, 'PTHR23267:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97403),
(153678, 'PTHR11086:SF14', NULL, NULL, NULL, NULL, 'CYTIDINE AND DCMP DEAMINASE DOMAIN-CONTAINING PROTEIN 1', 97404),
(153679, 'PTHR45762:SF5', NULL, NULL, NULL, NULL, 'ZINC-FINGER PROTEIN AT 72D, ISOFORM B', 97405),
(153680, 'PTHR22891:SF103', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 18', 97406),
(153681, 'PTHR32099', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN', 97407),
(153682, 'PTHR12217', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2D', 97408),
(153683, 'PTHR45746', NULL, NULL, NULL, NULL, 'LP21163P', 97409),
(153684, 'PTHR31692:SF87', NULL, NULL, NULL, NULL, 'EXPANSIN-B4', 97410),
(153685, 'PTHR43349:SF53', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE', 97411);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(153686, 'PTHR47991:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97412),
(153687, 'PTHR23327:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF YEAST FORM ADHERENCE 3', 97413),
(153688, 'PTHR47299:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM166A', 97414),
(153689, 'PTHR23502:SF139', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G13160)-RELATED', 97415),
(153690, 'PTHR47351', NULL, NULL, NULL, NULL, 'CHITIN BIOSYNTHESIS PROTEIN CHS5', 97416),
(153691, 'PTHR37884:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97417),
(153692, 'PTHR11632', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE 2 FLAVOPROTEIN SUBUNIT', 97418),
(153693, 'PTHR48020:SF23', NULL, NULL, NULL, NULL, 'GENERAL SUBSTRATE TRANSPORTER', 97419),
(153694, 'PTHR23054:SF26', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 97420),
(153695, 'PTHR31374:SF327', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97421),
(153696, 'PTHR45675:SF67', NULL, NULL, NULL, NULL, 'BNAC05G48910D PROTEIN', 97422),
(153697, 'PTHR26453:SF18', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T2-RELATED', 97423),
(153698, 'PTHR46895:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG26883', 97424),
(153699, 'PTHR16134:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97425),
(153700, 'PTHR10177:SF63', NULL, NULL, NULL, NULL, 'CYCLIN-J-LIKE PROTEIN', 97426),
(153701, 'PTHR21502:SF7', NULL, NULL, NULL, NULL, 'RAB-INTERACTING LYSOSOMAL PROTEIN', 97427),
(153702, 'PTHR32198:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ESCAPE PROTEIN 2', 97428),
(153703, 'PTHR24177:SF45', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS TRANSMEMBRANE PROTEIN-LIKE', 97429),
(153704, 'PTHR23196', NULL, NULL, NULL, NULL, 'PAX TRANSCRIPTION ACTIVATION DOMAIN INTERACTING PROTEIN', 97430),
(153705, 'PTHR34222:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97431),
(153706, 'PTHR47983:SF32', NULL, NULL, NULL, NULL, 'OS04G0490500 PROTEIN', 97432),
(153707, 'PTHR24419:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97433),
(153708, 'PTHR22669:SF1', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', 97434),
(153709, 'PTHR31288:SF25', NULL, NULL, NULL, NULL, 'OS05G0459600 PROTEIN', 97435),
(153710, 'PTHR32295:SF172', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 5-RELATED', 97436),
(153711, 'PTHR42973:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97437),
(153712, 'PTHR31636:SF244', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', 97438),
(153713, 'PTHR24281:SF89', NULL, NULL, NULL, NULL, 'CYTOCHROME', 97439),
(153714, 'PTHR27004:SF112', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 97440),
(153715, 'PTHR34228:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG00662', 97441),
(153716, 'PTHR39960:SF1', NULL, NULL, NULL, NULL, 'LD34147P', 97442),
(153717, 'PTHR43161:SF9', NULL, NULL, NULL, NULL, 'SORBITOL DEHYDROGENASE', 97443),
(153718, 'PTHR13966', NULL, NULL, NULL, NULL, 'ENDONUCLEASE RELATED', 97444),
(153719, 'PTHR45634:SF22', NULL, NULL, NULL, NULL, 'BNAC02G41970D PROTEIN', 97445),
(153720, 'PTHR47812:SF2', NULL, NULL, NULL, NULL, 'SMR (SMALL MUTS RELATED) DOMAIN-CONTAINING PROTEIN', 97446),
(153721, 'PTHR25465:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF135', 97447),
(153722, 'PTHR34681:SF2', NULL, NULL, NULL, NULL, 'UVEAL AUTOANTIGEN WITH COILED-COIL/ANKYRIN', 97448),
(153723, 'PTHR11972:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97449),
(153724, 'PTHR31357:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-11', 97450),
(153725, 'PTHR22937:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97451),
(153726, 'PTHR43671:SF50', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE NEK7-LIKE PROTEIN', 97452),
(153727, 'PTHR31268:SF38', NULL, NULL, NULL, NULL, 'BNAC09G37510D PROTEIN', 97453),
(153728, 'PTHR14167:SF77', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN 3', 97454),
(153729, 'PTHR22593:SF8', NULL, NULL, NULL, NULL, 'FHA DOMAIN-CONTAINING PROTEIN PS1', 97455),
(153730, 'PTHR34366:SF8', NULL, NULL, NULL, NULL, 'BNAANNG20590D PROTEIN', 97456),
(153731, 'PTHR47921:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04898', 97457);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(153732, 'PTHR10117:SF76', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 5', 97458),
(153733, 'PTHR26453:SF40', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 97459),
(153734, 'PTHR14235:SF0', NULL, NULL, NULL, NULL, 'OSTEOCALCIN', 97460),
(153735, 'PTHR31220:SF4', NULL, NULL, NULL, NULL, 'HYCCIN', 97461),
(153736, 'PTHR12967', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 97462),
(153737, 'PTHR31080:SF197', NULL, NULL, NULL, NULL, 'BNAC02G33020D PROTEIN', 97463),
(153738, 'PTHR36468', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 19, MITOCHONDRIAL', 97464),
(153739, 'PTHR13080:SF16', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT F, MITOCHONDRIAL', 97465),
(153740, 'PTHR19960:SF24', NULL, NULL, NULL, NULL, 'TEKTIN-3', 97466),
(153741, 'PTHR42683:SF7', NULL, NULL, NULL, NULL, 'DEATH RESISTOR ADH DOMAIN CONTAINING TARGET, ISOFORM C', 97467),
(153742, 'PTHR35727', NULL, NULL, NULL, NULL, 'BNAA05G33520D PROTEIN', 97468),
(153743, 'PTHR22945:SF89', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)-RELATED', 97469),
(153744, 'PTHR11017:SF414', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE', 97470),
(153745, 'PTHR47814:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE ARFB', 97471),
(153746, 'PTHR23507:SF3', NULL, NULL, NULL, NULL, 'THYMIC STROMAL COTRANSPORTER HOMOLOG', 97472),
(153747, 'PTHR23131:SF1', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00280)-RELATED', 97473),
(153748, 'PTHR33295:SF8', NULL, NULL, NULL, NULL, 'ATPASE, AAA SUPERFAMILY-RELATED', 97474),
(153749, 'PTHR31301:SF68', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 32-RELATED', 97475),
(153750, 'PTHR21705:SF12', NULL, NULL, NULL, NULL, 'AGAP003125-PA', 97476),
(153751, 'PTHR12482:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97477),
(153752, 'PTHR33830', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 184-RELATED', 97478),
(153753, 'PTHR43874:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97479),
(153754, 'PTHR19353:SF22', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE 2-LIKE PROTEIN FADS2P1-RELATED', 97480),
(153755, 'PTHR10996:SF165', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE 1-RELATED', 97481),
(153756, 'PTHR31062:SF217', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 97482),
(153757, 'PTHR24006:SF807', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', 97483),
(153758, 'PTHR43420:SF10', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 97484),
(153759, 'PTHR23360:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 97485),
(153760, 'PTHR45676:SF103', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 97486),
(153761, 'PTHR11360:SF177', NULL, NULL, NULL, NULL, 'RIBOFLAVIN TRANSPORTER MCH5-RELATED', 97487),
(153762, 'PTHR48043:SF70', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 97488),
(153763, 'PTHR10544:SF19', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28-1-LIKE', 97489),
(153764, 'PTHR43045:SF1', NULL, NULL, NULL, NULL, 'SHIKIMATE TRANSPORTER', 97490),
(153765, 'PTHR11909:SF388', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 8', 97491),
(153766, 'PTHR35523', NULL, NULL, NULL, NULL, 'CELL WALL PROTEIN SED1', 97492),
(153767, 'PTHR10064:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-LIKE 1', 97493),
(153768, 'PTHR16021:SF14', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', 97494),
(153769, 'PTHR12732:SF0', NULL, NULL, NULL, NULL, 'PCI DOMAIN-CONTAINING PROTEIN 2', 97495),
(153770, 'PTHR31741:SF15', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 38', 97496),
(153771, 'PTHR14224:SF40', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 75B', 97497),
(153772, 'PTHR47976:SF21', NULL, NULL, NULL, NULL, 'OS12G0130800 PROTEIN', 97498),
(153773, 'PTHR12608:SF5', NULL, NULL, NULL, NULL, 'GDT1-LIKE PROTEIN 3', 97499),
(153774, 'PTHR19411:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BUD31 HOMOLOG 3', 97500),
(153775, 'PTHR44329:SF24', NULL, NULL, NULL, NULL, 'OS01G0674100 PROTEIN', 97501),
(153776, 'PTHR36452', NULL, NULL, NULL, NULL, 'CHROMOSOME 12, WHOLE GENOME SHOTGUN SEQUENCE', 97502);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(153777, 'PTHR31676:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97503),
(153778, 'PTHR10442:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', 97504),
(153779, 'PTHR11260:SF687', NULL, NULL, NULL, NULL, 'BNAA09G45070D PROTEIN', 97505),
(153780, 'PTHR48069:SF2', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE', 97506),
(153781, 'PTHR36736:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97507),
(153782, 'PTHR31707:SF176', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 97508),
(153783, 'PTHR11760:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97509),
(153784, 'PTHR31283:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97510),
(153785, 'PTHR12101:SF18', NULL, NULL, NULL, NULL, 'POPEYE DOMAIN-CONTAINING PROTEIN 3', 97511),
(153786, 'PTHR11351:SF27', NULL, NULL, NULL, NULL, 'DELTA(9)-FATTY-ACID DESATURASE FAT-5', 97512),
(153787, 'PTHR38763', NULL, NULL, NULL, NULL, 'MAJOR OUTER MEMBRANE PROLIPOPROTEIN LPP', 97513),
(153788, 'PTHR10687:SF61', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 5', 97514),
(153789, 'PTHR24349:SF365', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 26-LIKE', 97515),
(153790, 'PTHR45752:SF11', NULL, NULL, NULL, NULL, 'VOLUME-REGULATED ANION CHANNEL SUBUNIT LRRC8D', 97516),
(153791, 'PTHR42721:SF13', NULL, NULL, NULL, NULL, 'EXO-1,4-BETA-XYLOSIDASE XLND', 97517),
(153792, 'PTHR11629:SF68', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 116 KDA SUBUNIT A ISOFORM 1', 97518),
(153793, 'PTHR33265:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97519),
(153794, 'PTHR21495:SF210', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 97520),
(153795, 'PTHR34599', NULL, NULL, NULL, NULL, 'PEROXIDASE-RELATED', 97521),
(153796, 'PTHR31384:SF14', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 5', 97522),
(153797, 'PTHR34807:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97523),
(153798, 'PTHR43884:SF11', NULL, NULL, NULL, NULL, 'VERY LONG-CHAIN SPECIFIC ACYL-COA DEHYDROGENASE, MITOCHONDRIAL', 97524),
(153799, 'PTHR12542:SF132', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 97525),
(153800, 'PTHR19134:SF285', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 9', 97526),
(153801, 'PTHR22807:SF62', NULL, NULL, NULL, NULL, 'RNA (C5-CYTOSINE) METHYLTRANSFERASE', 97527),
(153802, 'PTHR45692', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 97528),
(153803, 'PTHR32116:SF71', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 97529),
(153804, 'PTHR11034:SF45', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC PROTEIN SF21', 97530),
(153805, 'PTHR37853:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 97531),
(153806, 'PTHR10165:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97532),
(153807, 'PTHR10621:SF28', NULL, NULL, NULL, NULL, 'RAD23 HOMOLOG A, NUCLEOTIDE EXCISION REPAIR PROTEIN B', 97533),
(153808, 'PTHR11566:SF143', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 97534),
(153809, 'PTHR37848', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 97535),
(153810, 'PTHR43791:SF40', NULL, NULL, NULL, NULL, 'THIAMINE PATHWAY TRANSPORTER THI73', 97536),
(153811, 'PTHR11431:SF54', NULL, NULL, NULL, NULL, 'FERRITIN', 97537),
(153812, 'PTHR45646:SF17', NULL, NULL, NULL, NULL, 'BNAA07G37640D PROTEIN', 97538),
(153813, 'PTHR11679:SF80', NULL, NULL, NULL, NULL, 'BNAA09G47180D PROTEIN', 97539),
(153814, 'PTHR47944:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P-450 20', 97540),
(153815, 'PTHR33066', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 97541),
(153816, 'PTHR28093', NULL, NULL, NULL, NULL, 'MORPHOGENESIS-RELATED PROTEIN MSB1', 97542),
(153817, 'PTHR34552:SF4', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER W PROTEIN CHLOROPLASTIC', 97543),
(153818, 'PTHR31325:SF176', NULL, NULL, NULL, NULL, 'OS07G0115700 PROTEIN', 97544),
(153819, 'PTHR13282:SF7', NULL, NULL, NULL, NULL, 'OS04G0566000 PROTEIN', 97545),
(153820, 'PTHR10840', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 5', 97546),
(153821, 'PTHR36308:SF2', NULL, NULL, NULL, NULL, 'BNAC05G03120D PROTEIN', 97547);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(153822, 'PTHR42861:SF77', NULL, NULL, NULL, NULL, 'SODIUM ION P-TYPE ATPASE (EUROFUNG)', 97548),
(153823, 'PTHR44137:SF35', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', 97549),
(153824, 'PTHR31623:SF85', NULL, NULL, NULL, NULL, 'N-BENZOYLTRANSFERASE PROTEIN, PUTATIVE-RELATED', 97550),
(153825, 'PTHR19229:SF226', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 7', 97551),
(153826, 'PTHR11941:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97552),
(153827, 'PTHR31992:SF182', NULL, NULL, NULL, NULL, 'BNAA04G27160D PROTEIN', 97553),
(153828, 'PTHR12354:SF17', NULL, NULL, NULL, NULL, 'INTERFERON-RELATED DEVELOPMENTAL REGULATOR 2-LIKE ISOFORM X1', 97554),
(153829, 'PTHR10271:SF14', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 14-RELATED', 97555),
(153830, 'PTHR26452:SF423', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 510', 97556),
(153831, 'PTHR31707:SF156', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 12-RELATED', 97557),
(153832, 'PTHR15970:SF8', NULL, NULL, NULL, NULL, 'ELL-ASSOCIATED FACTOR 1', 97558),
(153833, 'PTHR21101:SF11', NULL, NULL, NULL, NULL, 'RESISTIN', 97559),
(153834, 'PTHR16515:SF18', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE PRDM7-RELATED', 97560),
(153835, 'PTHR47463', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP16', 97561),
(153836, 'PTHR14155:SF552', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 97562),
(153837, 'PTHR12098:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PELLINO HOMOLOG 1', 97563),
(153838, 'PTHR11726:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97564),
(153839, 'PTHR47984:SF27', NULL, NULL, NULL, NULL, 'OS05G0436100 PROTEIN', 97565),
(153840, 'PTHR31235:SF264', NULL, NULL, NULL, NULL, 'PEROXIDASE', 97566),
(153841, 'PTHR26374:SF400', NULL, NULL, NULL, NULL, 'BNAA03G00910D PROTEIN', 97567),
(153842, 'PTHR10799', NULL, NULL, NULL, NULL, 'SNF2/RAD54 HELICASE FAMILY', 97568),
(153843, 'PTHR11817:SF4', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 97569),
(153844, 'PTHR35493', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN', 97570),
(153845, 'PTHR46438:SF8', NULL, NULL, NULL, NULL, 'PHEOPHYTINASE, CHLOROPLASTIC-LIKE ISOFORM X1', 97571),
(153846, 'PTHR45640:SF28', NULL, NULL, NULL, NULL, 'BODY WALL MUSCLE PROTEIN HR-29-LIKE', 97572),
(153847, 'PTHR37265:SF5', NULL, NULL, NULL, NULL, 'BNACNNG68970D PROTEIN', 97573),
(153848, 'PTHR45676:SF32', NULL, NULL, NULL, NULL, 'OS02G0249200 PROTEIN', 97574),
(153849, 'PTHR11060:SF3', NULL, NULL, NULL, NULL, 'BNAA09G41020D PROTEIN', 97575),
(153850, 'PTHR46277:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97576),
(153851, 'PTHR11360:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97577),
(153852, 'PTHR15678:SF11', NULL, NULL, NULL, NULL, 'FMP27, GFWDK DOMAIN-CONTAINING PROTEIN-RELATED', 97578),
(153853, 'PTHR45836:SF20', NULL, NULL, NULL, NULL, 'CHONDROADHERIN', 97579),
(153854, 'PTHR47764:SF5', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 2A-RELATED', 97580),
(153855, 'PTHR12585:SF19', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND-BREAK REPAIR PROTEIN RAD21-LIKE PROTEIN 1', 97581),
(153856, 'PTHR11783:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97582),
(153857, 'PTHR47763:SF1', NULL, NULL, NULL, NULL, 'ALPHA-PROTEIN KINASE VWKA', 97583),
(153858, 'PTHR43180:SF58', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE 2A-LIKE', 97584),
(153859, 'PTHR35377:SF2', NULL, NULL, NULL, NULL, 'SSL1004 PROTEIN', 97585),
(153860, 'PTHR33791:SF13', NULL, NULL, NULL, NULL, 'CHAPERONIN-LIKE RBCX-RELATED', 97586),
(153861, 'PTHR38653', NULL, NULL, NULL, NULL, 'GENE 572-RELATED', 97587),
(153862, 'PTHR11616', NULL, NULL, NULL, NULL, 'SODIUM/CHLORIDE DEPENDENT TRANSPORTER', 97588),
(153863, 'PTHR43952:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97589),
(153864, 'PTHR23086:SF121', NULL, NULL, NULL, NULL, 'BNAC04G24720D PROTEIN', 97590),
(153865, 'PTHR31194:SF147', NULL, NULL, NULL, NULL, 'BNAA03G48910D PROTEIN', 97591);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(153866, 'PTHR31929:SF106', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 97592),
(153867, 'PTHR43176:SF14', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 2, MITOCHONDRIAL', 97593),
(153868, 'PTHR24356:SF358', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SCH9', 97594),
(153869, 'PTHR22950:SF652', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER PROTEIN', 97595),
(153870, 'PTHR43765', NULL, NULL, NULL, NULL, '2-DEHYDROPANTOATE 2-REDUCTASE-RELATED', 97596),
(153871, 'PTHR10438:SF437', NULL, NULL, NULL, NULL, 'THIOREDOXIN H-TYPE 2', 97597),
(153872, 'PTHR43539:SF11', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA8-RELATED', 97598),
(153873, 'PTHR33272:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG04649', 97599),
(153874, 'PTHR31741:SF67', NULL, NULL, NULL, NULL, 'AUXIN-INDEPENDENT GROWTH PROMOTER-LIKE PROTEIN', 97600),
(153875, 'PTHR13935:SF116', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE COMPLEX PROTEIN T3-RELATED', 97601),
(153876, 'PTHR33146:SF15', NULL, NULL, NULL, NULL, 'NUCLEASE S1', 97602),
(153877, 'PTHR37415:SF2', NULL, NULL, NULL, NULL, 'EFF-1A', 97603),
(153878, 'PTHR13593:SF51', NULL, NULL, NULL, NULL, 'F21F23.12 PROTEIN', 97604),
(153879, 'PTHR47993:SF27', NULL, NULL, NULL, NULL, 'BNAC05G51900D PROTEIN', 97605),
(153880, 'PTHR11931:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE 2', 97606),
(153881, 'PTHR33115:SF46', NULL, NULL, NULL, NULL, 'OS05G0141200 PROTEIN', 97607),
(153882, 'PTHR46736:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97608),
(153883, 'PTHR24247:SF189', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR 4', 97609),
(153884, 'PTHR24253:SF0', NULL, NULL, NULL, NULL, 'PROSTASIN', 97610),
(153885, 'PTHR26450:SF87', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51F2', 97611),
(153886, 'PTHR27006:SF273', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FEI 2', 97612),
(153887, 'PTHR14021', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER CO-CHAPERONE PROTEIN HSCB', 97613),
(153888, 'PTHR24064:SF511', NULL, NULL, NULL, NULL, 'CATION/CARNITINE TRANSPORTER 2, PUTATIVE-RELATED', 97614),
(153889, 'PTHR34949:SF3', NULL, NULL, NULL, NULL, 'SYNTAXIN/T-SNARE FAMILY PROTEIN', 97615),
(153890, 'PTHR32011', NULL, NULL, NULL, NULL, 'OS08G0472400 PROTEIN', 97616),
(153891, 'PTHR31408:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689986', 97617),
(153892, 'PTHR11945:SF632', NULL, NULL, NULL, NULL, 'BOX PROTEIN, PUTATIVE-RELATED', 97618),
(153893, 'PTHR24123:SF85', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 55', 97619),
(153894, 'PTHR44240:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97620),
(153895, 'PTHR11014:SF162', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 3 ISOFORM X1', 97621),
(153896, 'PTHR46733:SF9', NULL, NULL, NULL, NULL, 'OS09G0345500 PROTEIN', 97622),
(153897, 'PTHR30176', NULL, NULL, NULL, NULL, 'FERREDOXIN-TYPE PROTEIN NAPH', 97623),
(153898, 'PTHR31388:SF180', NULL, NULL, NULL, NULL, 'PEROXIDASE', 97624),
(153899, 'PTHR21576:SF133', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', 97625),
(153900, 'PTHR31943:SF1', NULL, NULL, NULL, NULL, 'INTERFERON LAMBDA-2-RELATED', 97626),
(153901, 'PTHR31357:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS A (ALPHA)-RELATED', 97627),
(153902, 'PTHR12100:SF0', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 5', 97628),
(153903, 'PTHR47431:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 97629),
(153904, 'PTHR14327:SF1', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT GAMMA', 97630),
(153905, 'PTHR46719:SF11', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL70-LIKE', 97631),
(153906, 'PTHR23516:SF2', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 97632),
(153907, 'PTHR48100:SF35', NULL, NULL, NULL, NULL, 'BNAC07G31810D PROTEIN', 97633),
(153908, 'PTHR24082', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR', 97634),
(153909, 'PTHR31124', NULL, NULL, NULL, NULL, 'APICAL MERISTEM FORMATION PROTEIN-RELATED-RELATED', 97635);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(153910, 'PTHR12984:SF15', NULL, NULL, NULL, NULL, 'PROTEIN-ASSOCIATING WITH THE CARBOXYL-TERMINAL DOMAIN OF EZRIN', 97636),
(153911, 'PTHR12029:SF11', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TARBP1-RELATED', 97637),
(153912, 'PTHR23226:SF299', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2 HOMOLOG', 97638),
(153913, 'PTHR24184:SF11', NULL, NULL, NULL, NULL, 'SI:CH211-189E2.2', 97639),
(153914, 'PTHR15486:SF25', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE RAM2', 97640),
(153915, 'PTHR43245:SF36', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G00230)', 97641),
(153916, 'PTHR14942', NULL, NULL, NULL, NULL, 'U11/U12 SMALL NUCLEAR RIBONUCLEOPROTEIN 25 KDA PROTEIN', 97642),
(153917, 'PTHR44969:SF1', NULL, NULL, NULL, NULL, 'CELL SURFACE A33 ANTIGEN', 97643),
(153918, 'PTHR47843:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97644),
(153919, 'PTHR40039', NULL, NULL, NULL, NULL, 'PROTEIN DLTD', 97645),
(153920, 'PTHR21661:SF39', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G08960)-RELATED', 97646),
(153921, 'PTHR33172:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97647),
(153922, 'PTHR15241:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97648),
(153923, 'PTHR43447:SF34', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', 97649),
(153924, 'PTHR43895:SF53', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 97650),
(153925, 'PTHR14566', NULL, NULL, NULL, NULL, 'CELL CYCLE REGULATOR OF NON-HOMOLOGOUS END JOINING', 97651),
(153926, 'PTHR31791:SF37', NULL, NULL, NULL, NULL, 'POLYMERASE RPB1 CARBOXY-TERMINAL REPEAT PROTEIN, PUTATIVE-RELATED', 97652),
(153927, 'PTHR22776:SF39', NULL, NULL, NULL, NULL, 'PROTEIN SINGLES BAR', 97653),
(153928, 'PTHR45757:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG11241', 97654),
(153929, 'PTHR39228', NULL, NULL, NULL, NULL, 'LORICRIN', 97655),
(153930, 'PTHR18884:SF67', NULL, NULL, NULL, NULL, 'SEPTIN-2', 97656),
(153931, 'PTHR45664:SF12', NULL, NULL, NULL, NULL, 'PANCREAS/DUODENUM HOMEOBOX PROTEIN 1', 97657),
(153932, 'PTHR42647:SF49', NULL, NULL, NULL, NULL, 'BNAC01G38170D PROTEIN', 97658),
(153933, 'PTHR47962:SF4', NULL, NULL, NULL, NULL, 'HELICASE-RELATED PROTEIN', 97659),
(153934, 'PTHR31221:SF220', NULL, NULL, NULL, NULL, 'OS01G0714800 PROTEIN', 97660),
(153935, 'PTHR10476:SF1', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 3', 97661),
(153936, 'PTHR23273:SF38', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', 97662),
(153937, 'PTHR22849:SF66', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 97663),
(153938, 'PTHR21000:SF5', NULL, NULL, NULL, NULL, 'DIHYDROXY-ACID DEHYDRATASE, MITOCHONDRIAL', 97664),
(153939, 'PTHR43656', NULL, NULL, NULL, NULL, 'BINDING OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G08260)-RELATED', 97665),
(153940, 'PTHR27007:SF300', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97666),
(153941, 'PTHR13743:SF144', NULL, NULL, NULL, NULL, 'BEIGE/BEACH/WD DOMAIN CONTAINING PROTEIN-RELATED', 97667),
(153942, 'PTHR13015:SF0', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 3', 97668),
(153943, 'PTHR12928:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97669),
(153944, 'PTHR11468:SF11', NULL, NULL, NULL, NULL, 'ALPHA-1,4 GLUCAN PHOSPHORYLASE', 97670),
(153945, 'PTHR10291:SF33', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 97671),
(153946, 'PTHR31235:SF183', NULL, NULL, NULL, NULL, 'PEROXIDASE 28', 97672),
(153947, 'PTHR36289:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 12 OPEN READING FRAME 60', 97673),
(153948, 'PTHR20905:SF29', NULL, NULL, NULL, NULL, 'AT07410P', 97674),
(153949, 'PTHR47925:SF29', NULL, NULL, NULL, NULL, 'OS01G0913400 PROTEIN', 97675),
(153950, 'PTHR23161:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CIP2A', 97676),
(153951, 'PTHR22849:SF116', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 25', 97677),
(153952, 'PTHR47660', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED-RELATED', 97678),
(153953, 'PTHR46929:SF13', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 97679); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(153954, 'PTHR19309:SF0', NULL, NULL, NULL, NULL, 'GASTRIN', 97680),
(153955, 'PTHR43447:SF23', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 2B', 97681),
(153956, 'PTHR23257:SF746', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0278665-RELATED', 97682),
(153957, 'PTHR43226:SF4', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE 3', 97683),
(153958, 'PTHR31388:SF238', NULL, NULL, NULL, NULL, 'PEROXIDASE', 97684),
(153959, 'PTHR24056:SF481', NULL, NULL, NULL, NULL, 'OS02G0559300 PROTEIN', 97685),
(153960, 'PTHR46214:SF19', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH8-LIKE', 97686),
(153961, 'PTHR35714:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97687),
(153962, 'PTHR45616:SF17', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CUTICULAR HB4', 97688),
(153963, 'PTHR47151', NULL, NULL, NULL, NULL, 'LEU/ILE/VAL-BINDING ABC TRANSPORTER SUBUNIT', 97689),
(153964, 'PTHR22691:SF8', NULL, NULL, NULL, NULL, 'PROTEIN SPT2 HOMOLOG', 97690),
(153965, 'PTHR24409:SF363', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 16', 97691),
(153966, 'PTHR35277:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 97692),
(153967, 'PTHR13094:SF3', NULL, NULL, NULL, NULL, 'BNAA01G26750D PROTEIN', 97693),
(153968, 'PTHR12740:SF4', NULL, NULL, NULL, NULL, 'JNK1/MAPK8-ASSOCIATED MEMBRANE PROTEIN', 97694),
(153969, 'PTHR45476:SF5', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN', 97695),
(153970, 'PTHR33507:SF6', NULL, NULL, NULL, NULL, 'NODULATION PROTEIN NFED', 97696),
(153971, 'PTHR11232:SF35', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR ADAPTER PROTEIN 1', 97697),
(153972, 'PTHR11592:SF121', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 97698),
(153973, 'PTHR46700:SF1', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 97699),
(153974, 'PTHR33108:SF68', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN (DUF1677)', 97700),
(153975, 'PTHR42853:SF4', NULL, NULL, NULL, NULL, 'BNAA03G17570D PROTEIN', 97701),
(153976, 'PTHR24411:SF56', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR, ERYTHROID 2-LIKE 3', 97702),
(153977, 'PTHR23252:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97703),
(153978, 'PTHR47480:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97704),
(153979, 'PTHR26450:SF115', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 97705),
(153980, 'PTHR11923:SF48', NULL, NULL, NULL, NULL, 'LYSOSOME MEMBRANE PROTEIN 2-A', 97706),
(153981, 'PTHR31269:SF22', NULL, NULL, NULL, NULL, 'OS11G0274300 PROTEIN', 97707),
(153982, 'PTHR33541', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE A-RELATED', 97708),
(153983, 'PTHR45675:SF76', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 97709),
(153984, 'PTHR30618:SF15', NULL, NULL, NULL, NULL, 'NICOTINAMIDE RIBOSIDE TRANSPORTER 1-RELATED', 97710),
(153985, 'PTHR24418:SF429', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 97711),
(153986, 'PTHR11001', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION PROCESS PROTEIN 1', 97712),
(153987, 'PTHR46458:SF7', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', 97713),
(153988, 'PTHR48053:SF48', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE BRI1-LIKE 3', 97714),
(153989, 'PTHR11850:SF270', NULL, NULL, NULL, NULL, 'ASSOCIATED WITH HOX FAMILY PROTEIN, EXPRESSED', 97715),
(153990, 'PTHR42796', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE DOMAIN-CONTAINING PROTEIN 2A-RELATED', 97716),
(153991, 'PTHR27008:SF433', NULL, NULL, NULL, NULL, 'OS09G0423200 PROTEIN', 97717),
(153992, 'PTHR31713:SF68', NULL, NULL, NULL, NULL, 'BNAA02G35270D PROTEIN', 97718),
(153993, 'PTHR11017:SF391', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 97719),
(153994, 'PTHR46132:SF8', NULL, NULL, NULL, NULL, 'DIGALACTOSYLDIACYLGLYCEROL SYNTHASE 1, CHLOROPLASTIC', 97720),
(153995, 'PTHR10933:SF12', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-BINDING PROTEIN 1', 97721),
(153996, 'PTHR12304:SF47', NULL, NULL, NULL, NULL, 'URIDINE NUCLEOSIDASE', 97722),
(153997, 'PTHR31356:SF41', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 3, PEROXISOMAL-LIKE', 97723); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(153998, 'PTHR12411:SF726', NULL, NULL, NULL, NULL, 'BNAA08G04080D PROTEIN', 97724),
(153999, 'PTHR31089:SF36', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 3-LIKE', 97725),
(154000, 'PTHR24381:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97726),
(154001, 'PTHR48056:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97727),
(154002, 'PTHR33597:SF18', NULL, NULL, NULL, NULL, 'BNAA09G14940D PROTEIN', 97728),
(154003, 'PTHR35515', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT N, CHLOROPLASTIC', 97729),
(154004, 'PTHR22811:SF144', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA6', 97730),
(154005, 'PTHR24356:SF362', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WARTS', 97731),
(154006, 'PTHR10543:SF123', NULL, NULL, NULL, NULL, '9-CIS-EPOXYCAROTENOID DIOXYGENASE NCED5, CHLOROPLASTIC-RELATED', 97732),
(154007, 'PTHR23077:SF144', NULL, NULL, NULL, NULL, 'PROTEASOME-ASSOCIATED ATPASE', 97733),
(154008, 'PTHR10258:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED POTASSIUM CHANNEL SUBUNIT BETA-1', 97734),
(154009, 'PTHR43591:SF70', NULL, NULL, NULL, NULL, 'DOMAIN METHYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15860)-RELATED', 97735),
(154010, 'PTHR45706:SF2', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 20', 97736),
(154011, 'PTHR24064:SF563', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 24', 97737),
(154012, 'PTHR27008:SF466', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', 97738),
(154013, 'PTHR47372:SF3', NULL, NULL, NULL, NULL, 'COLD-RESPONSIVE LEA/RAB-RELATED COR PROTEIN', 97739),
(154014, 'PTHR45719:SF7', NULL, NULL, NULL, NULL, 'OS01G0201100 PROTEIN', 97740),
(154015, 'PTHR22835:SF562', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97741),
(154016, 'PTHR46157:SF8', NULL, NULL, NULL, NULL, 'GLUTATHIONE-REGULATED POTASSIUM-EFFLUX SYSTEM PROTEIN', 97742),
(154017, 'PTHR37336', NULL, NULL, NULL, NULL, 'SIMILAR TO 9930012K11RIK PROTEIN', 97743),
(154018, 'PTHR12411:SF633', NULL, NULL, NULL, NULL, 'INSECT RESISTANCE2', 97744),
(154019, 'PTHR24351:SF200', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 97745),
(154020, 'PTHR12042:SF17', NULL, NULL, NULL, NULL, 'LACTOSYLCERAMIDE 4-ALPHA-GALACTOSYLTRANSFERASE', 97746),
(154021, 'PTHR47985:SF41', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL5-RELATED', 97747),
(154022, 'PTHR45977:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97748),
(154023, 'PTHR15696:SF18', NULL, NULL, NULL, NULL, 'SMG-7', 97749),
(154024, 'PTHR19359:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97750),
(154025, 'PTHR16121:SF2', NULL, NULL, NULL, NULL, 'CAP-SPECIFIC MRNA (NUCLEOSIDE-2''-O-)-METHYLTRANSFERASE 2', 97751),
(154026, 'PTHR48001:SF68', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 97752),
(154027, 'PTHR45617:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97753),
(154028, 'PTHR11240:SF38', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2-LIKE', 97754),
(154029, 'PTHR20515:SF2', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 4A', 97755),
(154030, 'PTHR32044:SF54', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 11-RELATED', 97756),
(154031, 'PTHR15976', NULL, NULL, NULL, NULL, 'CONSTITUTIVE COACTIVATOR OF PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR GAMMA', 97757),
(154032, 'PTHR33237:SF31', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 97758),
(154033, 'PTHR46525:SF12', NULL, NULL, NULL, NULL, 'BNAA03G00800D PROTEIN', 97759),
(154034, 'PTHR45909', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-RELATED PROTEIN 1', 97760),
(154035, 'PTHR42827:SF1', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER-BINDING PROTEIN-RELATED', 97761),
(154036, 'PTHR33044:SF160', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 97762),
(154037, 'PTHR46277:SF3', NULL, NULL, NULL, NULL, 'OS03G0850700 PROTEIN', 97763),
(154038, 'PTHR24412:SF454', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 17', 97764),
(154039, 'PTHR11811:SF25', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING', 97765);
INSERT INTO "PUBLIC"."MODEL" VALUES
(154040, 'PTHR10984:SF65', NULL, NULL, NULL, NULL, 'BNAC06G04170D PROTEIN', 97766),
(154041, 'PTHR10496:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', 97767),
(154042, 'PTHR12620:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH-TYPE, RNA BINDING MOTIF AND SERINE/ARGININE RICH 2', 97768),
(154043, 'PTHR32263:SF24', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE RCD1-LIKE', 97769),
(154044, 'PTHR19143:SF225', NULL, NULL, NULL, NULL, 'MICROFIBRIL-ASSOCIATED GLYCOPROTEIN 4', 97770),
(154045, 'PTHR11849:SF133', NULL, NULL, NULL, NULL, 'LIN-1', 97771),
(154046, 'PTHR10677:SF40', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PARKIN', 97772),
(154047, 'PTHR43859:SF48', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 2-RELATED', 97773),
(154048, 'PTHR11902:SF46', NULL, NULL, NULL, NULL, 'ENOLASE', 97774),
(154049, 'PTHR28004:SF8', NULL, NULL, NULL, NULL, 'D-SERINE DEAMINASE', 97775),
(154050, 'PTHR22807:SF30', NULL, NULL, NULL, NULL, '28S RRNA (CYTOSINE(4447)-C(5))-METHYLTRANSFERASE-RELATED', 97776),
(154051, 'PTHR11604:SF38', NULL, NULL, NULL, NULL, 'PROFILIN', 97777),
(154052, 'PTHR23020:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CBG24040', 97778),
(154053, 'PTHR10795:SF615', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', 97779),
(154054, 'PTHR35709:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PROTON GRADIENT REGULATION 5, CHLOROPLASTIC', 97780),
(154055, 'PTHR23151:SF75', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE COMPONENT 5 OF PYRUVATE DEHYDROGENASE COMPLEX, CHLOROPLASTIC', 97781),
(154056, 'PTHR31824:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG03903', 97782),
(154057, 'PTHR19136:SF52', NULL, NULL, NULL, NULL, '2,3,4,5-TETRAHYDROPYRIDINE-2,6-DICARBOXYLATE N-SUCCINYLTRANSFERASE', 97783),
(154058, 'PTHR42693:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97784),
(154059, 'PTHR43477:SF1', NULL, NULL, NULL, NULL, 'DIHYDROANTICAPSIN 7-DEHYDROGENASE', 97785),
(154060, 'PTHR23017', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 97786),
(154061, 'PTHR33876:SF3', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NICKEL-TRANSPORT FAMILY PROTEIN', 97787),
(154062, 'PTHR40094', NULL, NULL, NULL, NULL, 'ALPHA-2-MACROGLOBULIN HOMOLOG', 97788),
(154063, 'PTHR14882:SF7', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 74A-RELATED', 97789),
(154064, 'PTHR11040:SF182', NULL, NULL, NULL, NULL, 'ZINC/IRON PERMEASE-RELATED', 97790),
(154065, 'PTHR35013:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG09906', 97791),
(154066, 'PTHR34116:SF2', NULL, NULL, NULL, NULL, 'PLASMINOGEN ACTIVATOR INHIBITOR', 97792),
(154067, 'PTHR14379:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97793),
(154068, 'PTHR47984:SF29', NULL, NULL, NULL, NULL, 'BNACNNG08720D PROTEIN', 97794),
(154069, 'PTHR37838', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT C', 97795),
(154070, 'PTHR46678:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97796),
(154071, 'PTHR46400:SF9', NULL, NULL, NULL, NULL, 'E3 LIGASE', 97797),
(154072, 'PTHR48018:SF18', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 97798),
(154073, 'PTHR47958:SF92', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 14', 97799),
(154074, 'PTHR31734:SF181', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 97800),
(154075, 'PTHR34011', NULL, NULL, NULL, NULL, 'PHYCOBILISOME 32.1 KDA LINKER POLYPEPTIDE, PHYCOCYANIN-ASSOCIATED, ROD 2-RELATED', 97801),
(154076, 'PTHR13738:SF18', NULL, NULL, NULL, NULL, 'TROPONIN I 2', 97802),
(154077, 'PTHR30154:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ASNC FAMILY', 97803),
(154078, 'PTHR11818:SF32', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN C', 97804),
(154079, 'PTHR31126:SF1', NULL, NULL, NULL, NULL, 'PTP/DSP-LIKE', 97805),
(154080, 'PTHR32031:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97806),
(154081, 'PTHR32322', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORTER', 97807),
(154082, 'PTHR31925', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 251', 97808),
(154083, 'PTHR23089:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97809);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(154084, 'PTHR36479:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97810),
(154085, 'PTHR24064:SF460', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 15', 97811),
(154086, 'PTHR31346:SF27', NULL, NULL, NULL, NULL, 'BNAC04G11080D PROTEIN', 97812),
(154087, 'PTHR47241:SF3', NULL, NULL, NULL, NULL, 'ZBED6 C-TERMINAL-LIKE PROTEIN', 97813),
(154088, 'PTHR13999:SF13', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 1-RELATED', 97814),
(154089, 'PTHR22844:SF331', NULL, NULL, NULL, NULL, 'SIMILARITY TO GTP-BINDING REGULATORY PROTEIN AND WD-REPEAT PROTEIN', 97815),
(154090, 'PTHR10859:SF110', NULL, NULL, NULL, NULL, '4,4''-DIAPONEUROSPORENOATE GLYCOSYLTRANSFERASE', 97816),
(154091, 'PTHR11945:SF659', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97817),
(154092, 'PTHR13455:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR P66-BETA', 97818),
(154093, 'PTHR10606:SF14', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE/FRUCTOSE-2,6-BISPHOSPHATASE 4', 97819),
(154094, 'PTHR34068', NULL, NULL, NULL, NULL, 'UPF0145 PROTEIN YBJQ', 97820),
(154095, 'PTHR26374:SF384', NULL, NULL, NULL, NULL, 'BNAA10G12780D PROTEIN', 97821),
(154096, 'PTHR36344:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97822),
(154097, 'PTHR45786:SF20', NULL, NULL, NULL, NULL, 'OS08G0300100 PROTEIN', 97823),
(154098, 'PTHR13190:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97824),
(154099, 'PTHR31818:SF3', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 29', 97825),
(154100, 'PTHR47976:SF49', NULL, NULL, NULL, NULL, 'S-RECEPTOR KINASE-LIKE PROTEIN', 97826),
(154101, 'PTHR45642:SF17', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', 97827),
(154102, 'PTHR24027:SF273', NULL, NULL, NULL, NULL, 'CADHERIN-8', 97828),
(154103, 'PTHR23361:SF19', NULL, NULL, NULL, NULL, 'IPT/TIG DOMAIN-CONTAINING PROTEIN', 97829),
(154104, 'PTHR18640:SF5', NULL, NULL, NULL, NULL, 'SODIUM/BILE ACID COTRANSPORTER 7', 97830),
(154105, 'PTHR42776:SF23', NULL, NULL, NULL, NULL, 'ENZYME-LIKE PROTEIN, PUTATIVE-RELATED', 97831),
(154106, 'PTHR36326:SF19', NULL, NULL, NULL, NULL, 'OS03G0165900 PROTEIN', 97832),
(154107, 'PTHR13140:SF763', NULL, NULL, NULL, NULL, 'MYOSIN-4', 97833),
(154108, 'PTHR43557:SF13', NULL, NULL, NULL, NULL, 'MONODEHYDROASCORBATE REDUCTASE 2-RELATED', 97834),
(154109, 'PTHR24023:SF974', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(VIII) CHAIN', 97835),
(154110, 'PTHR24247:SF210', NULL, NULL, NULL, NULL, 'HISTAMINE H2 RECEPTOR', 97836),
(154111, 'PTHR32161:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97837),
(154112, 'PTHR30523:SF31', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE-LIKE', 97838),
(154113, 'PTHR23506:SF29', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10530)-RELATED', 97839),
(154114, 'PTHR24366:SF132', NULL, NULL, NULL, NULL, 'GH22922P', 97840),
(154115, 'PTHR31779', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17430)-RELATED', 97841),
(154116, 'PTHR10183:SF412', NULL, NULL, NULL, NULL, 'CALPAIN-B-LIKE PROTEIN', 97842),
(154117, 'PTHR32208:SF62', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE, EXPRESSED-RELATED', 97843),
(154118, 'PTHR48054:SF19', NULL, NULL, NULL, NULL, 'OS08G0203300 PROTEIN', 97844),
(154119, 'PTHR28174:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L36, MITOCHONDRIAL', 97845),
(154120, 'PTHR31415:SF127', NULL, NULL, NULL, NULL, 'PROTEIN YLS9-LIKE', 97846),
(154121, 'PTHR10334:SF422', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1', 97847),
(154122, 'PTHR11801:SF49', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION B', 97848),
(154123, 'PTHR24068:SF320', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 C-RELATED', 97849),
(154124, 'PTHR45724:SF8', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP1-4', 97850),
(154125, 'PTHR21021', NULL, NULL, NULL, NULL, 'GAF/PUTATIVE CYTOSKELETAL PROTEIN', 97851),
(154126, 'PTHR43874:SF154', NULL, NULL, NULL, NULL, 'BNAC04G47580D PROTEIN', 97852),
(154127, 'PTHR13773:SF13', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 3', 97853); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(154128, 'PTHR12565:SF376', NULL, NULL, NULL, NULL, 'BNAC02G22470D PROTEIN', 97854),
(154129, 'PTHR31730:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97855),
(154130, 'PTHR24247:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97856),
(154131, 'PTHR42748:SF23', NULL, NULL, NULL, NULL, 'FAMILY TRANSCRIPTIONAL REGULATOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06920)-RELATED', 97857),
(154132, 'PTHR31221:SF101', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 32-RELATED', 97858),
(154133, 'PTHR22957:SF544', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', 97859),
(154134, 'PTHR46349:SF4', NULL, NULL, NULL, NULL, 'CINGULIN', 97860),
(154135, 'PTHR10666:SF260', NULL, NULL, NULL, NULL, 'UBIQUITIN A-52 RESIDUE RIBOSOMAL PROTEIN FUSION PRODUCT 1-RELATED', 97861),
(154136, 'PTHR31376:SF39', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 9-RELATED', 97862),
(154137, 'PTHR32258:SF36', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: PROTEIN NETWORKED 1D', 97863),
(154138, 'PTHR45693:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA2-RELATED', 97864),
(154139, 'PTHR11252:SF0', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE NUCLEOTIDYLTRANSFERASE 1, MITOCHONDRIAL', 97865),
(154140, 'PTHR12290:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON-LIKE PROTEIN 3', 97866),
(154141, 'PTHR24376:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 40', 97867),
(154142, 'PTHR43918:SF5', NULL, NULL, NULL, NULL, 'CHOLINESTERASE', 97868),
(154143, 'PTHR31561:SF154', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 97869),
(154144, 'PTHR10547:SF6', NULL, NULL, NULL, NULL, 'SEMENOGELIN-2', 97870),
(154145, 'PTHR21447:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG07418', 97871),
(154146, 'PTHR24028:SF97', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-15', 97872),
(154147, 'PTHR31325:SF202', NULL, NULL, NULL, NULL, 'OSJNBA0089E12.13-LIKE PROTEIN', 97873),
(154148, 'PTHR45458', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR', 97874),
(154149, 'PTHR13878:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97875),
(154150, 'PTHR45648:SF67', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 97876),
(154151, 'PTHR30115:SF18', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN P-II', 97877),
(154152, 'PTHR33780:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97878),
(154153, 'PTHR22714:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97879),
(154154, 'PTHR47657:SF10', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 97880),
(154155, 'PTHR46322:SF4', NULL, NULL, NULL, NULL, 'BNAC06G01820D PROTEIN', 97881),
(154156, 'PTHR32387:SF16', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN, REVERSE TRANSCRIPTASE, RNA-DEPENDENT DNA POLYMERASE-RELATED', 97882),
(154157, 'PTHR14340:SF4', NULL, NULL, NULL, NULL, 'MICROFIBRIL-ASSOCIATED GLYCOPROTEIN 3', 97883),
(154158, 'PTHR35743:SF2', NULL, NULL, NULL, NULL, 'BNAC02G46750D PROTEIN', 97884),
(154159, 'PTHR13068:SF122', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR-RELATED / MTERF-LIKE PROTEIN', 97885),
(154160, 'PTHR46128:SF114', NULL, NULL, NULL, NULL, 'BNACNNG32430D PROTEIN', 97886),
(154161, 'PTHR31677:SF162', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 4', 97887),
(154162, 'PTHR31318', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 97888),
(154163, 'PTHR35098', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 97889),
(154164, 'PTHR35129:SF1', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 1', 97890),
(154165, 'PTHR20898:SF0', NULL, NULL, NULL, NULL, 'FI12029P-RELATED', 97891),
(154166, 'PTHR45719:SF10', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 97892),
(154167, 'PTHR10587:SF78', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-N-ACETYLMURAMIC ACID DEACETYLASE PDAA', 97893),
(154168, 'PTHR26374:SF386', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER PROTEIN', 97894),
(154169, 'PTHR30387:SF2', NULL, NULL, NULL, NULL, 'MANNONATE DEHYDRATASE', 97895),
(154170, 'PTHR24281:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97896);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(154171, 'PTHR33101:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97897),
(154172, 'PTHR39456', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 97898),
(154173, 'PTHR14218:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97899),
(154174, 'PTHR31175:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97900),
(154175, 'PTHR11043:SF1', NULL, NULL, NULL, NULL, 'TSET COMPLEX MEMBER TSTD', 97901),
(154176, 'PTHR32295:SF149', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', 97902),
(154177, 'PTHR31683:SF151', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 97903),
(154178, 'PTHR15454:SF43', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', 97904),
(154179, 'PTHR11848:SF159', NULL, NULL, NULL, NULL, 'NODAL HOMOLOG', 97905),
(154180, 'PTHR47978:SF19', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA2C', 97906),
(154181, 'PTHR31314:SF126', NULL, NULL, NULL, NULL, 'MYB-LIKE HTH TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN-RELATED', 97907),
(154182, 'PTHR23030:SF34', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH 6-INTERACTING PROTEIN-LIKE', 97908),
(154183, 'PTHR14155:SF571', NULL, NULL, NULL, NULL, 'BNACNNG73870D PROTEIN', 97909),
(154184, 'PTHR10177:SF477', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97910),
(154185, 'PTHR47990:SF148', NULL, NULL, NULL, NULL, 'PLANT GIBBERELLIN 2-OXIDASE', 97911),
(154186, 'PTHR31179:SF7', NULL, NULL, NULL, NULL, 'RABAPTIN (RAB EFFECTOR)', 97912),
(154187, 'PTHR10315:SF81', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 97913),
(154188, 'PTHR12459:SF15', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_2G12300)', 97914),
(154189, 'PTHR45757:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG07685', 97915),
(154190, 'PTHR31973:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97916),
(154191, 'PTHR37006', NULL, NULL, NULL, NULL, 'RETROVIRAL-LIKE ASPARTIC PROTEASE 1', 97917),
(154192, 'PTHR45946:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B1', 97918),
(154193, 'PTHR46626:SF4', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 97919),
(154194, 'PTHR31235:SF281', NULL, NULL, NULL, NULL, 'PEROXIDASE', 97920),
(154195, 'PTHR12411:SF650', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN-RELATED', 97921),
(154196, 'PTHR35291:SF7', NULL, NULL, NULL, NULL, 'BNAC07G31940D PROTEIN', 97922),
(154197, 'PTHR10807:SF109', NULL, NULL, NULL, NULL, 'SET DOMAIN BINDING FACTOR, ISOFORM A', 97923),
(154198, 'PTHR11206:SF308', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 97924),
(154199, 'PTHR46708:SF2', NULL, NULL, NULL, NULL, 'TENASCIN C', 97925),
(154200, 'PTHR14881', NULL, NULL, NULL, NULL, 'LISH DOMAIN-CONTAINING PROTEIN ARMC9', 97926),
(154201, 'PTHR36170:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 89 KDA', 97927),
(154202, 'PTHR24373:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97928),
(154203, 'PTHR34310:SF9', NULL, NULL, NULL, NULL, 'BLR5716 PROTEIN', 97929),
(154204, 'PTHR31509:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97930),
(154205, 'PTHR24388:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 507', 97931),
(154206, 'PTHR12642:SF0', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NSA2 HOMOLOG', 97932),
(154207, 'PTHR45744:SF17', NULL, NULL, NULL, NULL, 'TRANSAMINASE', 97933),
(154208, 'PTHR31169:SF4', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE-ASSOCIATED 7-LIKE PROTEIN', 97934),
(154209, 'PTHR10155:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE REGULATORY SUBUNIT BETA', 97935),
(154210, 'PTHR11022:SF44', NULL, NULL, NULL, NULL, 'MIP09469P', 97936),
(154211, 'PTHR31790:SF234', NULL, NULL, NULL, NULL, 'BNAC05G37170D PROTEIN', 97937),
(154212, 'PTHR14614:SF116', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE SMALL DOMAIN', 97938),
(154213, 'PTHR24204:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97939),
(154214, 'PTHR13832:SF785', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C, PUTATIVE-RELATED', 97940),
(154215, 'PTHR30182:SF14', NULL, NULL, NULL, NULL, 'L-SERINE DEHYDRATASE 2', 97941),
(154216, 'PTHR11654:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97942);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(154217, 'PTHR12904:SF23', NULL, NULL, NULL, NULL, 'PROTEIN ZER-1 HOMOLOG', 97943),
(154218, 'PTHR31391:SF118', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN', 97944),
(154219, 'PTHR11267:SF129', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX20', 97945),
(154220, 'PTHR15907:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97946),
(154221, 'PTHR12210:SF13', NULL, NULL, NULL, NULL, 'CTD SMALL PHOSPHATASE-LIKE PROTEIN 2', 97947),
(154222, 'PTHR37478', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 97948),
(154223, 'PTHR23406:SF34', NULL, NULL, NULL, NULL, 'MALIC ENZYME-RELATED', 97949),
(154224, 'PTHR10196:SF67', NULL, NULL, NULL, NULL, 'SEDOHEPTULOKINASE', 97950),
(154225, 'PTHR23268:SF31', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 30', 97951),
(154226, 'PTHR43654:SF1', NULL, NULL, NULL, NULL, 'ISOPENTENYL PHOSPHATE KINASE', 97952),
(154227, 'PTHR38128:SF2', NULL, NULL, NULL, NULL, 'GAMETOCYTOGENESIS-IMPLICATED PROTEIN', 97953),
(154228, 'PTHR24056:SF395', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE G-1', 97954),
(154229, 'PTHR31111:SF26', NULL, NULL, NULL, NULL, 'BNAA09G12510D PROTEIN', 97955),
(154230, 'PTHR47158:SF5', NULL, NULL, NULL, NULL, 'BNAC07G31090D PROTEIN', 97956),
(154231, 'PTHR47926:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97957),
(154232, 'PTHR11913:SF23', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 9', 97958),
(154233, 'PTHR42750', NULL, NULL, NULL, NULL, 'SHORT-CHAIN ALCOHOL DEHYDROGENASE FAMILY', 97959),
(154234, 'PTHR31213:SF75', NULL, NULL, NULL, NULL, 'OS03G0297600 PROTEIN', 97960),
(154235, 'PTHR23213:SF347', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 14', 97961),
(154236, 'PTHR23262:SF7', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 2-1', 97962),
(154237, 'PTHR15725:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH-TYPE-CONTAINING 11A', 97963),
(154238, 'PTHR33021:SF209', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 1', 97964),
(154239, 'PTHR28541:SF1', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 15', 97965),
(154240, 'PTHR15036:SF65', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA 2', 97966),
(154241, 'PTHR12974:SF47', NULL, NULL, NULL, NULL, 'TERMINAL NUCLEOTIDYLTRANSFERASE 5AB', 97967),
(154242, 'PTHR13620:SF90', NULL, NULL, NULL, NULL, 'BNAC01G38350D PROTEIN', 97968),
(154243, 'PTHR24012:SF710', NULL, NULL, NULL, NULL, 'TERMINAL EAR1-LIKE 1', 97969),
(154244, 'PTHR26453:SF316', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T4', 97970),
(154245, 'PTHR31717:SF61', NULL, NULL, NULL, NULL, 'B-BOX TYPE ZINC FINGER FAMILY PROTEIN', 97971),
(154246, 'PTHR31717:SF79', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 9', 97972),
(154247, 'PTHR46847:SF1', NULL, NULL, NULL, NULL, 'D-ALLOSE-BINDING PERIPLASMIC PROTEIN-RELATED', 97973),
(154248, 'PTHR31750:SF22', NULL, NULL, NULL, NULL, 'BNAA01G22870D PROTEIN', 97974),
(154249, 'PTHR47993:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97975),
(154250, 'PTHR24096:SF306', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', 97976),
(154251, 'PTHR12378:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97977),
(154252, 'PTHR33751:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME BC1 COMPLEX CYTOCHROME C SUBUNIT', 97978),
(154253, 'PTHR46119:SF8', NULL, NULL, NULL, NULL, 'OS08G0405700 PROTEIN', 97979),
(154254, 'PTHR22923:SF62', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 4', 97980),
(154255, 'PTHR48019:SF43', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL8-LIKE PROTEIN', 97981),
(154256, 'PTHR48001:SF8', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 97982),
(154257, 'PTHR35146:SF1', NULL, NULL, NULL, NULL, 'UPF0178 PROTEIN YAII', 97983),
(154258, 'PTHR11781:SF19', NULL, NULL, NULL, NULL, 'THYROXINE 5''-DEIODINASE', 97984),
(154259, 'PTHR12411:SF736', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97985),
(154260, 'PTHR10694:SF90', NULL, NULL, NULL, NULL, 'LYSINE DEMETHYLASE 4F', 97986),
(154261, 'PTHR33345:SF5', NULL, NULL, NULL, NULL, 'SPINDLE ASSEMBLY ABNORMAL PROTEIN', 97987);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(154262, 'PTHR30191:SF8', NULL, NULL, NULL, NULL, 'PYRUVATE FORMATE-LYASE', 97988),
(154263, 'PTHR31744:SF110', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUNGBRUNNEN 1-LIKE', 97989),
(154264, 'PTHR48022:SF28', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02890)-RELATED', 97990),
(154265, 'PTHR11699:SF286', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 2 MEMBER B4, MITOCHONDRIAL-LIKE', 97991),
(154266, 'PTHR45453', NULL, NULL, NULL, NULL, 'PHOSPHATE REGULON SENSOR PROTEIN PHOR', 97992),
(154267, 'PTHR47322:SF12', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 97993),
(154268, 'PTHR33389:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 97994),
(154269, 'PTHR35093:SF3', NULL, NULL, NULL, NULL, 'LONG-CHAIN FATTY ACID TRANSPORT PROTEIN', 97995),
(154270, 'PTHR10515', NULL, NULL, NULL, NULL, 'THYMIDINE PHOSPHORYLASE', 97996),
(154271, 'PTHR11636:SF126', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 3, TRANSCRIPTION FACTOR 3-B', 97997),
(154272, 'PTHR14181:SF1', NULL, NULL, NULL, NULL, 'ATYPICAL CHEMOKINE RECEPTOR 1', 97998),
(154273, 'PTHR10642:SF10', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H1', 97999),
(154274, 'PTHR43213:SF5', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DTTP/UTP PYROPHOSPHATASE/METHYLTRANSFERASE PROTEIN-RELATED', 98000),
(154275, 'PTHR10772:SF26', NULL, NULL, NULL, NULL, 'OS02G0781400 PROTEIN', 98001),
(154276, 'PTHR45676:SF46', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL60', 98002),
(154277, 'PTHR43537:SF21', NULL, NULL, NULL, NULL, 'GALACTONATE OPERON TRANSCRIPTIONAL REPRESSOR', 98003),
(154278, 'PTHR46958', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR CD22', 98004),
(154279, 'PTHR24281:SF21', NULL, NULL, NULL, NULL, '(S)-N-METHYLCOCLAURINE 3''-HYDROXYLASE ISOZYME 1', 98005),
(154280, 'PTHR24103:SF644', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 135', 98006),
(154281, 'PTHR31500:SF50', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 10-LIKE', 98007),
(154282, 'PTHR31989:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98008),
(154283, 'PTHR19241:SF569', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3-LIKE', 98009),
(154284, 'PTHR47034:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER TRANSCRIPTION FACTOR TRPS1', 98010),
(154285, 'PTHR22789:SF15', NULL, NULL, NULL, NULL, 'L-RIBULOSE-5-PHOSPHATE 4-EPIMERASE ARAD', 98011),
(154286, 'PTHR11353:SF24', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT GAMMA', 98012),
(154287, 'PTHR12634:SF20', NULL, NULL, NULL, NULL, 'SIT4 PHOSPHATASE-ASSOCIATED FAMILY PROTEIN', 98013),
(154288, 'PTHR23136:SF8', NULL, NULL, NULL, NULL, 'ST6 N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE 3', 98014),
(154289, 'PTHR47938:SF22', NULL, NULL, NULL, NULL, 'RESPIRATORY COMPLEX I CHAPERONE (CIA84), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G06020)-RELATED', 98015),
(154290, 'PTHR31985:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98016),
(154291, 'PTHR12532:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98017),
(154292, 'PTHR43670:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98018),
(154293, 'PTHR19446:SF440', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98019),
(154294, 'PTHR31636:SF279', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 31', 98020),
(154295, 'PTHR46011:SF13', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 98021),
(154296, 'PTHR30634', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE LOLAB LIPOPROTEIN INSERTION APPARATUS', 98022),
(154297, 'PTHR13286:SF13', NULL, NULL, NULL, NULL, 'BNAA06G13420D PROTEIN', 98023),
(154298, 'PTHR10253', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN', 98024),
(154299, 'PTHR24092:SF89', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 98025),
(154300, 'PTHR38050:SF1', NULL, NULL, NULL, NULL, 'FERULOYL ESTERASE C', 98026),
(154301, 'PTHR24056:SF421', NULL, NULL, NULL, NULL, 'TRANSPOSON PROTEIN', 98027),
(154302, 'PTHR43070:SF3', NULL, NULL, NULL, NULL, 'HOMOSERINE DEHYDROGENASE', 98028),
(154303, 'PTHR23268:SF86', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 6-5-RELATED', 98029),
(154304, 'PTHR12300:SF95', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 98030);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(154305, 'PTHR32133:SF257', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98031),
(154306, 'PTHR34775:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98032),
(154307, 'PTHR13259', NULL, NULL, NULL, NULL, 'BLADDER CANCER 10 KD PROTEIN HOMOLOG', 98033),
(154308, 'PTHR10593:SF171', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN-RELATED', 98034),
(154309, 'PTHR34539:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98035),
(154310, 'PTHR31190:SF275', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98036),
(154311, 'PTHR24186:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98037),
(154312, 'PTHR43353:SF6', NULL, NULL, NULL, NULL, 'CYTOPLASMIC ALDEHYDE DEHYDROGENASE (EUROFUNG)', 98038),
(154313, 'PTHR12542:SF98', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 98039),
(154314, 'PTHR11205:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98040),
(154315, 'PTHR31099:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98041),
(154316, 'PTHR15258:SF1', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR-BINDING PROTEIN 2', 98042),
(154317, 'PTHR24067:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 G1', 98043),
(154318, 'PTHR31384:SF113', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 98044),
(154319, 'PTHR12892:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG12134', 98045),
(154320, 'PTHR31513:SF1', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-B RECEPTOR', 98046),
(154321, 'PTHR31613', NULL, NULL, NULL, NULL, 'AUGURIN', 98047),
(154322, 'PTHR46233', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE GLOC', 98048),
(154323, 'PTHR45747:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EZH1', 98049),
(154324, 'PTHR10015:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98050),
(154325, 'PTHR31540:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 131 KDA', 98051),
(154326, 'PTHR21451:SF0', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-79 SPECIFIC', 98052),
(154327, 'PTHR11627:SF8', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE 3, CHLOROPLASTIC', 98053),
(154328, 'PTHR31321:SF102', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 98054),
(154329, 'PTHR47129', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE 2', 98055),
(154330, 'PTHR23095:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98056),
(154331, 'PTHR30540:SF104', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 98057),
(154332, 'PTHR31084:SF15', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 2-LIKE', 98058),
(154333, 'PTHR24014:SF11', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', 98059),
(154334, 'PTHR18896:SF166', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 98060),
(154335, 'PTHR24064:SF303', NULL, NULL, NULL, NULL, 'PROTEIN CBG02977', 98061),
(154336, 'PTHR23502:SF43', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER MDFA', 98062),
(154337, 'PTHR22958:SF33', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHOCHOLINE PHOSPHODIESTERASE GPCPD1 HOMOLOG 1-RELATED', 98063),
(154338, 'PTHR47428:SF1', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN MIG1-RELATED', 98064),
(154339, 'PTHR27008:SF456', NULL, NULL, NULL, NULL, 'OS10G0337400 PROTEIN', 98065),
(154340, 'PTHR32116:SF85', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 98066),
(154341, 'PTHR47165', NULL, NULL, NULL, NULL, 'OS03G0429900 PROTEIN', 98067),
(154342, 'PTHR11516:SF61', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', 98068),
(154343, 'PTHR24282:SF171', NULL, NULL, NULL, NULL, 'OS01G0628900 PROTEIN', 98069),
(154344, 'PTHR39335:SF1', NULL, NULL, NULL, NULL, 'BLL4220 PROTEIN', 98070),
(154345, 'PTHR23232:SF70', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 85', 98071),
(154346, 'PTHR13866:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98072),
(154347, 'PTHR15556:SF4', NULL, NULL, NULL, NULL, 'EP300-INTERACTING INHIBITOR OF DIFFERENTIATION 2B', 98073),
(154348, 'PTHR46794', NULL, NULL, NULL, NULL, 'AMELOGENIN, Y ISOFORM', 98074),
(154349, 'PTHR37534:SF8', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 98075);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(154350, 'PTHR45521:SF2', NULL, NULL, NULL, NULL, 'TSET COMPLEX MEMBER TSTF', 98076),
(154351, 'PTHR33122:SF37', NULL, NULL, NULL, NULL, 'OS04G0415800 PROTEIN', 98077),
(154352, 'PTHR24365:SF521', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 4', 98078),
(154353, 'PTHR23135:SF7', NULL, NULL, NULL, NULL, 'LIPID II ISOGLUTAMINYL SYNTHASE (GLUTAMINE-HYDROLYZING) SUBUNIT MURT', 98079),
(154354, 'PTHR31846:SF10', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC GROUP IIA INTRON SPLICING FACILITATOR CRS1, CHLOROPLASTIC', 98080),
(154355, 'PTHR47926:SF246', NULL, NULL, NULL, NULL, 'OS02G0818800 PROTEIN', 98081),
(154356, 'PTHR21501:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM-161', 98082),
(154357, 'PTHR34264', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B, CHLOROPLASTIC', 98083),
(154358, 'PTHR10694:SF98', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ16-RELATED', 98084),
(154359, 'PTHR21342:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOPANTETHEINE ADENYLYLTRANSFERASE', 98085),
(154360, 'PTHR11481:SF100', NULL, NULL, NULL, NULL, 'PLATELET/ENDOTHELIAL CELL ADHESION MOLECULE 1', 98086),
(154361, 'PTHR33228:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98087),
(154362, 'PTHR43092:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98088),
(154363, 'PTHR41964:SF1', NULL, NULL, NULL, NULL, 'GLOBAL NITROGEN REGULATOR NRPR', 98089),
(154364, 'PTHR45624:SF15', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN YMC2, MITOCHONDRIAL-RELATED', 98090),
(154365, 'PTHR12321:SF136', NULL, NULL, NULL, NULL, 'BNAC02G40200D PROTEIN', 98091),
(154366, 'PTHR15710:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98092),
(154367, 'PTHR35121:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98093),
(154368, 'PTHR31692:SF62', NULL, NULL, NULL, NULL, '1A, PUTATIVE, EXPRESSED-RELATED', 98094),
(154369, 'PTHR10209:SF713', NULL, NULL, NULL, NULL, 'FERULOYL COA ORTHO-HYDROXYLASE 2', 98095),
(154370, 'PTHR31235:SF308', NULL, NULL, NULL, NULL, 'PEROXIDASE', 98096),
(154371, 'PTHR46227:SF3', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR-INTERACTING PROTEIN 1', 98097),
(154372, 'PTHR42985:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98098),
(154373, 'PTHR19328', NULL, NULL, NULL, NULL, 'HEDGEHOG-INTERACTING PROTEIN', 98099),
(154374, 'PTHR33077:SF107', NULL, NULL, NULL, NULL, 'BNAA08G29440D PROTEIN', 98100),
(154375, 'PTHR43758:SF4', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRIPHOSPHATASE NUDI', 98101),
(154376, 'PTHR10331:SF23', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN J', 98102),
(154377, 'PTHR11006:SF105', NULL, NULL, NULL, NULL, 'BNAA07G04710D PROTEIN', 98103),
(154378, 'PTHR31415:SF107', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN-RELATED', 98104),
(154379, 'PTHR24056:SF486', NULL, NULL, NULL, NULL, 'OS12G0427000 PROTEIN', 98105),
(154380, 'PTHR24299:SF29', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 98106),
(154381, 'PTHR11200:SF117', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE 5-PHOSPHATASE K', 98107),
(154382, 'PTHR43625:SF22', NULL, NULL, NULL, NULL, 'OS07G0143000 PROTEIN', 98108),
(154383, 'PTHR33870:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98109),
(154384, 'PTHR42985:SF25', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED MONOCARBOXYLATE TRANSPORTER 1', 98110),
(154385, 'PTHR42879:SF2', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE FABG', 98111),
(154386, 'PTHR13832:SF777', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', 98112),
(154387, 'PTHR11850:SF246', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 2', 98113),
(154388, 'PTHR24115:SF479', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIFC2', 98114),
(154389, 'PTHR37975:SF4', NULL, NULL, NULL, NULL, 'FLYWCH ZINC FINGER TRANSCRIPTION FACTOR HOMOLOG', 98115),
(154390, 'PTHR31989:SF131', NULL, NULL, NULL, NULL, 'OSJNBA0022H21.10 PROTEIN', 98116),
(154391, 'PTHR38701', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 98117),
(154392, 'PTHR24174:SF1', NULL, NULL, NULL, NULL, 'IP14385P', 98118);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(154393, 'PTHR11475:SF85', NULL, NULL, NULL, NULL, 'SHK DOMAIN AND PEROXIDASE DOMAIN CONTAINING PROTEIN', 98119),
(154394, 'PTHR23139:SF106', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF LARGE SUBUNIT A', 98120),
(154395, 'PTHR10783:SF109', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 3-LIKE', 98121),
(154396, 'PTHR10835:SF7', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE', 98122),
(154397, 'PTHR10797:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98123),
(154398, 'PTHR11733:SF200', NULL, NULL, NULL, NULL, 'FI07649P-RELATED', 98124),
(154399, 'PTHR15371:SF17', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM17 FAMILY PROTEIN, EXPRESSED', 98125),
(154400, 'PTHR15371:SF28', NULL, NULL, NULL, NULL, 'BNAC01G21960D PROTEIN', 98126),
(154401, 'PTHR33155:SF43', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 1', 98127),
(154402, 'PTHR46328:SF16', NULL, NULL, NULL, NULL, 'OS07G0283300 PROTEIN', 98128),
(154403, 'PTHR45711:SF10', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 98129),
(154404, 'PTHR19375:SF457', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 71 KDA PROTEIN-RELATED', 98130),
(154405, 'PTHR13718', NULL, NULL, NULL, NULL, 'RIBOSOMAL S SUBUNIT', 98131),
(154406, 'PTHR10334', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN-RELATED', 98132),
(154407, 'PTHR34364:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98133),
(154408, 'PTHR45826', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER PUT1', 98134),
(154409, 'PTHR46715:SF1', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 3-PHOSPHATE 5-KINASE', 98135),
(154410, 'PTHR11537:SF91', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY G MEMBER 3', 98136),
(154411, 'PTHR47375:SF1', NULL, NULL, NULL, NULL, 'GB|AAF34833.1', 98137),
(154412, 'PTHR22804:SF52', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 2', 98138),
(154413, 'PTHR11474:SF84', NULL, NULL, NULL, NULL, 'TYROSINASE', 98139),
(154414, 'PTHR24205:SF7', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS PROTEIN 5', 98140),
(154415, 'PTHR10687:SF71', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 98141),
(154416, 'PTHR23246:SF13', NULL, NULL, NULL, NULL, 'GH12359P-RELATED', 98142),
(154417, 'PTHR24060:SF29', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 1', 98143),
(154418, 'PTHR10963:SF22', NULL, NULL, NULL, NULL, 'GLYCOSIDASE CRH2-RELATED', 98144),
(154419, 'PTHR10807:SF40', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 1', 98145),
(154420, 'PTHR35119:SF7', NULL, NULL, NULL, NULL, 'OSJNBB0022F23.8-LIKE PROTEIN', 98146),
(154421, 'PTHR24373:SF348', NULL, NULL, NULL, NULL, 'AGAP003880-PA', 98147),
(154422, 'PTHR11761:SF34', NULL, NULL, NULL, NULL, '60S RIBOSOMAL L23-LIKE PROTEIN', 98148),
(154423, 'PTHR31769:SF60', NULL, NULL, NULL, NULL, 'PROTEIN FB34, PUTATIVE, EXPRESSED-RELATED', 98149),
(154424, 'PTHR21022:SF33', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', 98150),
(154425, 'PTHR31069:SF12', NULL, NULL, NULL, NULL, 'ASPERLIN BIOSYNTHESIS CLUSTER PROTEIN G', 98151),
(154426, 'PTHR15535', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 2-RELATED', 98152),
(154427, 'PTHR46100:SF7', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE SUPERFAMILY PROTEIN', 98153),
(154428, 'PTHR46446:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE5', 98154),
(154429, 'PTHR10127:SF827', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-7', 98155),
(154430, 'PTHR44083:SF20', NULL, NULL, NULL, NULL, 'PROTEIN TPR3-LIKE', 98156),
(154431, 'PTHR33663:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 177', 98157),
(154432, 'PTHR45752:SF91', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (NBS-LRR CLASS) FAMILY PROTEIN', 98158),
(154433, 'PTHR47987:SF7', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 98159),
(154434, 'PTHR14296:SF9', NULL, NULL, NULL, NULL, 'DDT DOMAIN SUPERFAMILY-RELATED', 98160),
(154435, 'PTHR11040:SF169', NULL, NULL, NULL, NULL, 'FI24038P1', 98161),
(154436, 'PTHR31852:SF194', NULL, NULL, NULL, NULL, 'BNAA02G28020D PROTEIN', 98162);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(154437, 'PTHR48017:SF144', NULL, NULL, NULL, NULL, 'BNAC04G01690D PROTEIN', 98163),
(154438, 'PTHR33443', NULL, NULL, NULL, NULL, 'ZGC:112980', 98164),
(154439, 'PTHR48154', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 98165),
(154440, 'PTHR47371:SF1', NULL, NULL, NULL, NULL, 'LIPOTEICHOIC ACID SYNTHASE-LIKE YQGS', 98166),
(154441, 'PTHR34344:SF1', NULL, NULL, NULL, NULL, 'UPF0184 PROTEIN C9ORF16', 98167),
(154442, 'PTHR43211', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE', 98168),
(154443, 'PTHR13544:SF6', NULL, NULL, NULL, NULL, 'SELENOPROTEIN T2', 98169),
(154444, 'PTHR31238:SF148', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 9-1', 98170),
(154445, 'PTHR23222:SF4', NULL, NULL, NULL, NULL, 'PROHIBITIN COMPLEX PROTEIN 2, PUTATIVE, EXPRESSED-RELATED', 98171),
(154446, 'PTHR45650:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98172),
(154447, 'PTHR11875:SF136', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 75', 98173),
(154448, 'PTHR10336:SF6', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE EPSILON-1', 98174),
(154449, 'PTHR31586:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98175),
(154450, 'PTHR30185:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MANR', 98176),
(154451, 'PTHR33709:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE FAMILY C19-RELATED PROTEIN', 98177),
(154452, 'PTHR11021:SF0', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN F', 98178),
(154453, 'PTHR44743', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 98179),
(154454, 'PTHR23267:SF141', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 38-2/DELTA VARIABLE 8', 98180),
(154455, 'PTHR44137:SF37', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', 98181),
(154456, 'PTHR33796', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 98182),
(154457, 'PTHR13301:SF159', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 6 [UDP-FORMING]', 98183),
(154458, 'PTHR31469:SF8', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN', 98184),
(154459, 'PTHR24031:SF728', NULL, NULL, NULL, NULL, 'BNAC02G41920D PROTEIN', 98185),
(154460, 'PTHR48018:SF10', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 98186),
(154461, 'PTHR21646:SF49', NULL, NULL, NULL, NULL, 'UBIQUITIN C-TERMINAL HYDROLASE 22', 98187),
(154462, 'PTHR45768:SF10', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL13-RELATED', 98188),
(154463, 'PTHR43048:SF3', NULL, NULL, NULL, NULL, 'METHYLMALONYL-COA EPIMERASE, MITOCHONDRIAL', 98189),
(154464, 'PTHR10516:SF441', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 98190),
(154465, 'PTHR31992:SF216', NULL, NULL, NULL, NULL, 'BNAA01G25190D PROTEIN', 98191),
(154466, 'PTHR11604:SF24', NULL, NULL, NULL, NULL, 'PROFILIN-1-RELATED', 98192),
(154467, 'PTHR43347', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE', 98193),
(154468, 'PTHR19375:SF423', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70 FAMILY-RELATED', 98194),
(154469, 'PTHR34946:SF7', NULL, NULL, NULL, NULL, 'OS02G0507100 PROTEIN', 98195),
(154470, 'PTHR34543:SF9', NULL, NULL, NULL, NULL, 'PROTEIN ABA DEFICIENT 4, CHLOROPLASTIC-LIKE ISOFORM X1', 98196),
(154471, 'PTHR27009:SF255', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-5', 98197),
(154472, 'PTHR13068:SF158', NULL, NULL, NULL, NULL, 'BNAA03G59750D PROTEIN', 98198),
(154473, 'PTHR35501:SF7', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN C4', 98199),
(154474, 'PTHR33321:SF3', NULL, NULL, NULL, NULL, 'OS05G0582000 PROTEIN', 98200),
(154475, 'PTHR30450:SF1', NULL, NULL, NULL, NULL, 'D-METHIONINE TRANSPORT SYSTEM PERMEASE PROTEIN METI-RELATED', 98201),
(154476, 'PTHR16001:SF4', NULL, NULL, NULL, NULL, 'ECTO-NOX DISULFIDE-THIOL EXCHANGER 1-LIKE PROTEIN', 98202),
(154477, 'PTHR37749', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 98203),
(154478, 'PTHR11254:SF427', NULL, NULL, NULL, NULL, 'BNAC03G29640D PROTEIN', 98204),
(154479, 'PTHR45771:SF9', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C4', 98205),
(154480, 'PTHR24559:SF335', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON 17.6-LIKE PROTEIN', 98206);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(154481, 'PTHR32370:SF25', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 98207),
(154482, 'PTHR36442', NULL, NULL, NULL, NULL, 'CYCLIC-DI-AMP PHOSPHODIESTERASE PGPH', 98208),
(154483, 'PTHR33286:SF34', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 98209),
(154484, 'PTHR33530:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98210),
(154485, 'PTHR27005:SF304', NULL, NULL, NULL, NULL, 'F16F4.7 PROTEIN-RELATED', 98211),
(154486, 'PTHR33306:SF21', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 98212),
(154487, 'PTHR47991:SF119', NULL, NULL, NULL, NULL, 'PROTEIN SRG1', 98213),
(154488, 'PTHR33472:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0094O15.16 PROTEIN', 98214),
(154489, 'PTHR10783:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98215),
(154490, 'PTHR10010:SF46', NULL, NULL, NULL, NULL, 'SODIUM/PHOSPHATE COTRANSPORTER-RELATED', 98216),
(154491, 'PTHR31867:SF196', NULL, NULL, NULL, NULL, 'EXPANSIN', 98217),
(154492, 'PTHR15944:SF0', NULL, NULL, NULL, NULL, 'FARNESYLCYSTEINE LYASE', 98218),
(154493, 'PTHR11902:SF41', NULL, NULL, NULL, NULL, 'ENOLASE', 98219),
(154494, 'PTHR23082:SF0', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 3', 98220),
(154495, 'PTHR33048:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98221),
(154496, 'PTHR45651:SF12', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 15-RELATED', 98222),
(154497, 'PTHR40855', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 98223),
(154498, 'PTHR11089:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98224),
(154499, 'PTHR33146:SF23', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 5', 98225),
(154500, 'PTHR43108:SF8', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SULFATASE SULF-1 HOMOLOG', 98226),
(154501, 'PTHR31046:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 121', 98227),
(154502, 'PTHR46780:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98228),
(154503, 'PTHR22298:SF155', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 98229),
(154504, 'PTHR32227:SF302', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-13-BETA-GLUCOSIDASE 7', 98230),
(154505, 'PTHR30413:SF8', NULL, NULL, NULL, NULL, 'TRANSPORT PERMEASE PROTEIN', 98231),
(154506, 'PTHR15583:SF18', NULL, NULL, NULL, NULL, 'INTERLEUKIN CYTOKINE RECEPTOR-RELATED PROTEIN 2', 98232),
(154507, 'PTHR23235:SF74', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 17', 98233),
(154508, 'PTHR33449:SF5', NULL, NULL, NULL, NULL, 'BNAA08G12980D PROTEIN', 98234),
(154509, 'PTHR23219', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE C15H7.3-RELATED', 98235),
(154510, 'PTHR43686:SF2', NULL, NULL, NULL, NULL, 'TRNA-CYTIDINE(32) 2-SULFURTRANSFERASE', 98236),
(154511, 'PTHR48045', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 72B1', 98237),
(154512, 'PTHR13743:SF112', NULL, NULL, NULL, NULL, 'NEUROBEACHIN', 98238),
(154513, 'PTHR23122:SF72', NULL, NULL, NULL, NULL, 'DISKS LARGE 1 TUMOR SUPPRESSOR PROTEIN-LIKE PROTEIN', 98239),
(154514, 'PTHR31087:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98240),
(154515, 'PTHR11176:SF34', NULL, NULL, NULL, NULL, 'BNAC05G16170D PROTEIN', 98241),
(154516, 'PTHR44156:SF2', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 1A', 98242),
(154517, 'PTHR21531', NULL, NULL, NULL, NULL, 'LOW-TEMPERATURE VIABILITY PROTEIN LTV1-RELATED', 98243),
(154518, 'PTHR31235:SF295', NULL, NULL, NULL, NULL, 'PEROXIDASE', 98244),
(154519, 'PTHR24248:SF0', NULL, NULL, NULL, NULL, 'ALPHA-2DA ADRENERGIC RECEPTOR-RELATED', 98245),
(154520, 'PTHR45747:SF4', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE E(Z)', 98246),
(154521, 'PTHR43810:SF2', NULL, NULL, NULL, NULL, 'N(G),N(G)-DIMETHYLARGININE DIMETHYLAMINOHYDROLASE', 98247),
(154522, 'PTHR10177:SF414', NULL, NULL, NULL, NULL, 'CYCLIN D2.1 PROTEIN', 98248),
(154523, 'PTHR12411:SF140', NULL, NULL, NULL, NULL, 'CATHEPSIN 8', 98249),
(154524, 'PTHR36766:SF9', NULL, NULL, NULL, NULL, 'BNAANNG11750D PROTEIN', 98250),
(154525, 'PTHR31190:SF218', NULL, NULL, NULL, NULL, 'BNAANNG13660D PROTEIN', 98251),
(154526, 'PTHR14493:SF116', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 20', 98252);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(154527, 'PTHR21421:SF29', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR 5A FOR TREHALOSE-RELATED', 98253),
(154528, 'PTHR43201:SF16', NULL, NULL, NULL, NULL, 'NONRIBOSOMAL PEPTIDE SYNTHETASE EASA', 98254),
(154529, 'PTHR45719:SF9', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 98255),
(154530, 'PTHR11818:SF12', NULL, NULL, NULL, NULL, 'BETA-CRYSTALLIN B1', 98256),
(154531, 'PTHR43813:SF4', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID COA LIGASE (AMP-FORMING)', 98257),
(154532, 'PTHR10796:SF87', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 98258),
(154533, 'PTHR31460:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98259),
(154534, 'PTHR32468:SF84', NULL, NULL, NULL, NULL, 'OS05G0382200 PROTEIN', 98260),
(154535, 'PTHR12940:SF0', NULL, NULL, NULL, NULL, 'SPLICING FACTOR ESS-2 HOMOLOG', 98261),
(154536, 'PTHR31960:SF30', NULL, NULL, NULL, NULL, 'OS04G0571300 PROTEIN', 98262),
(154537, 'PTHR13773:SF20', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 2', 98263),
(154538, 'PTHR19241:SF253', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', 98264),
(154539, 'PTHR11040:SF186', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 98265),
(154540, 'PTHR34602:SF2', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP E', 98266),
(154541, 'PTHR11444:SF1', NULL, NULL, NULL, NULL, 'FUMARATE HYDRATASE, MITOCHONDRIAL', 98267),
(154542, 'PTHR24173:SF66', NULL, NULL, NULL, NULL, 'PROTEIN FEM-1 HOMOLOG CG6966', 98268),
(154543, 'PTHR13167:SF43', NULL, NULL, NULL, NULL, 'PIEZO NON-SPECIFIC CATION CHANNEL, R-RAS-BINDING DOMAIN PROTEIN-RELATED', 98269),
(154544, 'PTHR45818:SF2', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE VAV', 98270),
(154545, 'PTHR43243:SF59', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 98271),
(154546, 'PTHR11964:SF11', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE ISOFORM TYPE-1', 98272),
(154547, 'PTHR10795:SF676', NULL, NULL, NULL, NULL, 'OS07G0578300 PROTEIN', 98273),
(154548, 'PTHR34303', NULL, NULL, NULL, NULL, 'OS01G0890400 PROTEIN-RELATED', 98274),
(154549, 'PTHR43709:SF2', NULL, NULL, NULL, NULL, 'DUF453 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G00360)', 98275),
(154550, 'PTHR46987', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 98276),
(154551, 'PTHR33377:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98277),
(154552, 'PTHR47958:SF15', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 56-LIKE', 98278),
(154553, 'PTHR10845:SF247', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN-SIGNALING 13', 98279),
(154554, 'PTHR46359:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 11', 98280),
(154555, 'PTHR32002:SF39', NULL, NULL, NULL, NULL, 'PROTEIN NLP1', 98281),
(154556, 'PTHR45751:SF2', NULL, NULL, NULL, NULL, 'COPINE FAMILY PROTEIN 2', 98282),
(154557, 'PTHR33077:SF91', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 6B-LIKE ISOFORM X1', 98283),
(154558, 'PTHR46825:SF4', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN PBPX-RELATED', 98284),
(154559, 'PTHR43284', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE (GLUTAMINE-HYDROLYZING)', 98285),
(154560, 'PTHR36539:SF1', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTN', 98286),
(154561, 'PTHR45645:SF41', NULL, NULL, NULL, NULL, 'CUBILIN-LIKE PROTEIN', 98287),
(154562, 'PTHR11877:SF81', NULL, NULL, NULL, NULL, 'BNAA02G30320D PROTEIN', 98288),
(154563, 'PTHR11439:SF304', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: PLEIOTROPIC DRUG RESISTANCE PROTEIN 3-LIKE', 98289),
(154564, 'PTHR28163', NULL, NULL, NULL, NULL, 'PROTEIN PET117 HOMOLOG, MITOCHONDRIAL', 98290),
(154565, 'PTHR47000:SF7', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 98291),
(154566, 'PTHR43795:SF1', NULL, NULL, NULL, NULL, 'INACTIVE 1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE-LIKE PROTEIN 2-RELATED', 98292),
(154567, 'PTHR45046', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 2', 98293),
(154568, 'PTHR11165:SF114', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 13', 98294);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(154569, 'PTHR19325:SF527', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98295),
(154570, 'PTHR15263:SF1', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR-LIKE PROTEIN 1', 98296),
(154571, 'PTHR24026:SF51', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-LIKE WING POLARITY PROTEIN STAN', 98297),
(154572, 'PTHR43775:SF2', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 6', 98298),
(154573, 'PTHR12283', NULL, NULL, NULL, NULL, 'GLUTAMINYL-PEPTIDE CYCLOTRANSFERASE', 98299),
(154574, 'PTHR19241:SF620', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN/PERMEASE PDR18-RELATED', 98300),
(154575, 'PTHR33830:SF14', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 159', 98301),
(154576, 'PTHR31731:SF28', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN DC2.15', 98302),
(154577, 'PTHR32009:SF62', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 98303),
(154578, 'PTHR24390:SF157', NULL, NULL, NULL, NULL, 'GH18834P-RELATED', 98304),
(154579, 'PTHR46234:SF16', NULL, NULL, NULL, NULL, 'ACYL THIOESTERASE-LIKE PROTEIN', 98305),
(154580, 'PTHR14145:SF3', NULL, NULL, NULL, NULL, 'OS02G0600100 PROTEIN', 98306),
(154581, 'PTHR43056', NULL, NULL, NULL, NULL, 'PEPTIDASE S9 PROLYL OLIGOPEPTIDASE', 98307),
(154582, 'PTHR43791:SF50', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00840)-RELATED', 98308),
(154583, 'PTHR11733:SF130', NULL, NULL, NULL, NULL, 'ENDOTHELIN-CONVERTING ENZYME 1', 98309),
(154584, 'PTHR10438:SF434', NULL, NULL, NULL, NULL, 'THIOREDOXIN H9', 98310),
(154585, 'PTHR47967:SF69', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NANA, CHLOROPLAST', 98311),
(154586, 'PTHR12391:SF4', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 3', 98312),
(154587, 'PTHR11349', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', 98313),
(154588, 'PTHR18966:SF373', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, N-METHYL D-ASPARTATE 2A, B', 98314),
(154589, 'PTHR43149:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG19637', 98315),
(154590, 'PTHR43895:SF82', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 98316),
(154591, 'PTHR12216:SF3', NULL, NULL, NULL, NULL, 'UROCANATE HYDRATASE', 98317),
(154592, 'PTHR12322:SF57', NULL, NULL, NULL, NULL, 'DM (DOUBLESEX/MAB-3) DOMAIN FAMILY', 98318),
(154593, 'PTHR46738:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED DOMAIN-CONTAINING PROTEIN 1', 98319),
(154594, 'PTHR15241:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98320),
(154595, 'PTHR33384:SF25', NULL, NULL, NULL, NULL, 'OS06G0661766 PROTEIN', 98321),
(154596, 'PTHR11640:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98322),
(154597, 'PTHR31374:SF161', NULL, NULL, NULL, NULL, 'OS02G0445100 PROTEIN', 98323),
(154598, 'PTHR45803', NULL, NULL, NULL, NULL, 'SOX100B', 98324),
(154599, 'PTHR12913', NULL, NULL, NULL, NULL, 'UNR PROTEIN  N-RAS UPSTREAM GENE PROTEIN', 98325),
(154600, 'PTHR12210:SF64', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', 98326),
(154601, 'PTHR31072:SF171', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, TCP-RELATED', 98327),
(154602, 'PTHR24064:SF510', NULL, NULL, NULL, NULL, 'HIGH AFFINITY INORGANIC PHOSPHATE TRANSPORTER', 98328),
(154603, 'PTHR31989:SF158', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 2-LIKE', 98329),
(154604, 'PTHR20987', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 98330),
(154605, 'PTHR47992:SF39', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 38-RELATED', 98331),
(154606, 'PTHR10416:SF0', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA SUBUNIT 2', 98332),
(154607, 'PTHR47999:SF54', NULL, NULL, NULL, NULL, 'OS03G0244875 PROTEIN', 98333),
(154608, 'PTHR47274:SF16', NULL, NULL, NULL, NULL, 'BNAA09G51950D PROTEIN', 98334),
(154609, 'PTHR32278:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98335),
(154610, 'PTHR38701:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 98336),
(154611, 'PTHR31218:SF275', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 98337),
(154612, 'PTHR48043:SF39', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 98338);
INSERT INTO "PUBLIC"."MODEL" VALUES
(154613, 'PTHR24177:SF327', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 98339),
(154614, 'PTHR24221:SF540', NULL, NULL, NULL, NULL, 'NHPM BACTERIOCIN SYSTEM ABC TRANSPORTER, PEPTIDASE/ATP-BINDING PROTEIN-RELATED', 98340),
(154615, 'PTHR33911:SF1', NULL, NULL, NULL, NULL, 'RRNA-PROCESSING PROTEIN EFG1', 98341),
(154616, 'PTHR43047:SF46', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE/RESPONSE REGULATOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12550)-RELATED', 98342),
(154617, 'PTHR11260:SF624', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U26', 98343),
(154618, 'PTHR31071:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98344),
(154619, 'PTHR12791:SF52', NULL, NULL, NULL, NULL, 'TARGET SNARE COILED-COIL DOMAIN PROTEIN', 98345),
(154620, 'PTHR44420:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE DHAR2-RELATED', 98346),
(154621, 'PTHR31374:SF162', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 98347),
(154622, 'PTHR11723:SF18', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN INHIBITOR ID-2B-RELATED', 98348),
(154623, 'PTHR10196:SF56', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE', 98349),
(154624, 'PTHR24234:SF10', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 4', 98350),
(154625, 'PTHR15641:SF1', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 5', 98351),
(154626, 'PTHR23299:SF22', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1F', 98352),
(154627, 'PTHR10501:SF41', NULL, NULL, NULL, NULL, 'PROTEIN COUCH POTATO', 98353),
(154628, 'PTHR37316:SF2', NULL, NULL, NULL, NULL, 'TEICHOIC ACID RIBITOL-PHOSPHATE POLYMERASE TARK', 98354),
(154629, 'PTHR13430:SF11', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 13A-LIKE', 98355),
(154630, 'PTHR43457:SF1', NULL, NULL, NULL, NULL, 'NITROGENASE MOLYBDENUM-IRON PROTEIN ALPHA CHAIN', 98356),
(154631, 'PTHR26374:SF376', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE PROTEIN-RELATED', 98357),
(154632, 'PTHR14224:SF22', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE C87499-RELATED', 98358),
(154633, 'PTHR12542:SF157', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 98359),
(154634, 'PTHR45274', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 98360),
(154635, 'PTHR37685:SF1', NULL, NULL, NULL, NULL, 'GEO11136P1-RELATED', 98361),
(154636, 'PTHR46122:SF12', NULL, NULL, NULL, NULL, 'BNAA09G29390D PROTEIN', 98362),
(154637, 'PTHR42985', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED MONOCARBOXYLATE TRANSPORTER', 98363),
(154638, 'PTHR35108:SF1', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 3, CHLOROPLASTIC', 98364),
(154639, 'PTHR48001:SF60', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 98365),
(154640, 'PTHR43382:SF9', NULL, NULL, NULL, NULL, 'BNAC06G18330D PROTEIN', 98366),
(154641, 'PTHR12612:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98367),
(154642, 'PTHR31260:SF57', NULL, NULL, NULL, NULL, 'BNAA08G00220D PROTEIN', 98368),
(154643, 'PTHR39077:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98369),
(154644, 'PTHR11818:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98370),
(154645, 'PTHR10196:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98371),
(154646, 'PTHR36115', NULL, NULL, NULL, NULL, 'PROLINE-RICH ANTIGEN HOMOLOG-RELATED', 98372),
(154647, 'PTHR45636:SF20', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-5', 98373),
(154648, 'PTHR13683:SF835', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2', 98374),
(154649, 'PTHR23180:SF399', NULL, NULL, NULL, NULL, 'CENTAURIN BETA 1A', 98375),
(154650, 'PTHR30136:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR ICLR', 98376),
(154651, 'PTHR10535:SF17', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES II AND IV SUBUNIT 5A-LIKE', 98377),
(154652, 'PTHR46562', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE ULK4-LIKE PROTEIN-RELATED', 98378),
(154653, 'PTHR31375:SF130', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE-LIKE', 98379),
(154654, 'PTHR23244:SF453', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98380),
(154655, 'PTHR10593:SF148', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN MAGPIE', 98381);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(154656, 'PTHR37389:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98382),
(154657, 'PTHR33374:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98383),
(154658, 'PTHR43029:SF15', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 98384),
(154659, 'PTHR11615:SF262', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 98385),
(154660, 'PTHR23055:SF169', NULL, NULL, NULL, NULL, 'NEUROCALCIN HOMOLOG-LIKE PROTEIN', 98386),
(154661, 'PTHR12357:SF87', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING PROTEIN ECT1', 98387),
(154662, 'PTHR12902:SF34', NULL, NULL, NULL, NULL, 'WASP FAMILY MEMBER 3A', 98388),
(154663, 'PTHR46328:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 12-LIKE', 98389),
(154664, 'PTHR10108:SF1049', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT20-RELATED', 98390),
(154665, 'PTHR22953:SF98', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 98391),
(154666, 'PTHR12197:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98392),
(154667, 'PTHR31805:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR DEF1-LIKE', 98393),
(154668, 'PTHR21698', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 98394),
(154669, 'PTHR31948:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98395),
(154670, 'PTHR13943:SF37', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-METABOLIZING ENZYME A-C1', 98396),
(154671, 'PTHR30346:SF9', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 98397),
(154672, 'PTHR48032:SF13', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 98398),
(154673, 'PTHR14112', NULL, NULL, NULL, NULL, 'SYNOVIAL SARCOMA, X MEMBER', 98399),
(154674, 'PTHR31444:SF41', NULL, NULL, NULL, NULL, 'OS02G0158500 PROTEIN', 98400),
(154675, 'PTHR11239:SF18', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', 98401),
(154676, 'PTHR11710:SF19', NULL, NULL, NULL, NULL, 'BNAC07G31040D PROTEIN', 98402),
(154677, 'PTHR35272:SF4', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBG', 98403),
(154678, 'PTHR24248:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98404),
(154679, 'PTHR11668:SF423', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PPQ', 98405),
(154680, 'PTHR21522:SF32', NULL, NULL, NULL, NULL, 'PROTON CHANNEL OTOPLC', 98406),
(154681, 'PTHR18929:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98407),
(154682, 'PTHR10795:SF692', NULL, NULL, NULL, NULL, 'BNACNNG41810D PROTEIN', 98408),
(154683, 'PTHR35546:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98409),
(154684, 'PTHR46183:SF13', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 98410),
(154685, 'PTHR19134:SF284', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE C', 98411),
(154686, 'PTHR10269:SF3', NULL, NULL, NULL, NULL, 'GDNF FAMILY RECEPTOR ALPHA-1', 98412),
(154687, 'PTHR26450:SF164', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51B2', 98413),
(154688, 'PTHR31218:SF52', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 98414),
(154689, 'PTHR33209:SF1', NULL, NULL, NULL, NULL, 'SERINE PROTEASE SPPA, CHLOROPLASTIC', 98415),
(154690, 'PTHR11879:SF44', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 98416),
(154691, 'PTHR31740', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN L', 98417),
(154692, 'PTHR24410:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98418),
(154693, 'PTHR24056:SF449', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE C-2', 98419),
(154694, 'PTHR47334:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98420),
(154695, 'PTHR13780:SF132', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-SYNTHASE (CBS) FAMILY PROTEIN-RELATED', 98421),
(154696, 'PTHR23415:SF32', NULL, NULL, NULL, NULL, '60S RIBOSOME SUBUNIT BIOGENESIS PROTEIN NIP7 HOMOLOG', 98422),
(154697, 'PTHR17204', NULL, NULL, NULL, NULL, 'PRE-MRNA PROCESSING PROTEIN PRP39-RELATED', 98423),
(154698, 'PTHR31241:SF53', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2D', 98424),
(154699, 'PTHR10836:SF110', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 98425);
INSERT INTO "PUBLIC"."MODEL" VALUES
(154700, 'PTHR18964:SF167', NULL, NULL, NULL, NULL, 'D-ALLOSE KINASE-RELATED', 98426),
(154701, 'PTHR22745:SF11', NULL, NULL, NULL, NULL, 'PTMA ISOFORM 9', 98427),
(154702, 'PTHR37705:SF5', NULL, NULL, NULL, NULL, 'BNAC05G26170D PROTEIN', 98428),
(154703, 'PTHR11616:SF265', NULL, NULL, NULL, NULL, 'FI17140P1-RELATED', 98429),
(154704, 'PTHR37615:SF1', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP159-LIKE', 98430),
(154705, 'PTHR18966:SF509', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 98431),
(154706, 'PTHR11685:SF346', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 98432),
(154707, 'PTHR22298:SF104', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 16-RELATED', 98433),
(154708, 'PTHR33070:SF49', NULL, NULL, NULL, NULL, 'OS06G0725500 PROTEIN', 98434),
(154709, 'PTHR15317:SF1', NULL, NULL, NULL, NULL, 'T-CELL SURFACE PROTEIN TACTILE', 98435),
(154710, 'PTHR31650:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98436),
(154711, 'PTHR46581', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE RRA3', 98437),
(154712, 'PTHR11054:SF22', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE 3, CHLOROPLASTIC', 98438),
(154713, 'PTHR33159:SF35', NULL, NULL, NULL, NULL, 'OS06G0286375 PROTEIN', 98439),
(154714, 'PTHR32246:SF88', NULL, NULL, NULL, NULL, 'PROTEIN SRC2 HOMOLOG', 98440),
(154715, 'PTHR31205:SF57', NULL, NULL, NULL, NULL, 'BNACNNG24090D PROTEIN', 98441),
(154716, 'PTHR10992:SF1054', NULL, NULL, NULL, NULL, 'METHYLKETONE SYNTHASE IE', 98442),
(154717, 'PTHR11101:SF91', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 98443),
(154718, 'PTHR21562:SF47', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 98444),
(154719, 'PTHR48002:SF6', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 98445),
(154720, 'PTHR33305:SF41', NULL, NULL, NULL, NULL, 'BNAA05G20140D PROTEIN', 98446),
(154721, 'PTHR48017:SF155', NULL, NULL, NULL, NULL, 'BNAA03G56630D PROTEIN', 98447),
(154722, 'PTHR10980:SF45', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 1-LIKE', 98448),
(154723, 'PTHR46629:SF9', NULL, NULL, NULL, NULL, 'OS09G0505000 PROTEIN', 98449),
(154724, 'PTHR31442:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98450),
(154725, 'PTHR24062:SF30', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 98451),
(154726, 'PTHR10783:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98452),
(154727, 'PTHR45728:SF5', NULL, NULL, NULL, NULL, 'ACETYL-COA CARBOXYLASE 1', 98453),
(154728, 'PTHR35095:SF3', NULL, NULL, NULL, NULL, 'F15K9.6', 98454),
(154729, 'PTHR24390:SF135', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 740A-RELATED', 98455),
(154730, 'PTHR26451:SF404', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 98456),
(154731, 'PTHR31079:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98457),
(154732, 'PTHR45348', NULL, NULL, NULL, NULL, 'HYPOTHETICAL OXIDOREDUCTASE (EUROFUNG)', 98458),
(154733, 'PTHR33044:SF187', NULL, NULL, NULL, NULL, 'BNAA09G44650D PROTEIN', 98459),
(154734, 'PTHR11176:SF14', NULL, NULL, NULL, NULL, 'PROTEIN BOULE', 98460),
(154735, 'PTHR23056:SF95', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 1', 98461),
(154736, 'PTHR31479', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 98462),
(154737, 'PTHR33021:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98463),
(154738, 'PTHR36805:SF1', NULL, NULL, NULL, NULL, 'AGENET DOMAIN-CONTAINING PROTEIN', 98464),
(154739, 'PTHR48168', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 98465),
(154740, 'PTHR34671:SF5', NULL, NULL, NULL, NULL, 'EM PROTEIN CS41', 98466),
(154741, 'PTHR10231:SF85', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 3', 98467),
(154742, 'PTHR48002:SF114', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 98468),
(154743, 'PTHR13683:SF691', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 98469),
(154744, 'PTHR31062:SF161', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 98470),
(154745, 'PTHR46274:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL PHOSPHATASE', 98471),
(154746, 'PTHR11849:SF77', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ETV7', 98472);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(154747, 'PTHR31775:SF35', NULL, NULL, NULL, NULL, 'REMORIN-LIKE', 98473),
(154748, 'PTHR31906:SF6', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 10, CHLOROPLASTIC-RELATED', 98474),
(154749, 'PTHR47993:SF4', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 98475),
(154750, 'PTHR10502:SF197', NULL, NULL, NULL, NULL, 'ANNEXIN', 98476),
(154751, 'PTHR47866', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 98477),
(154752, 'PTHR47190:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98478),
(154753, 'PTHR38439', NULL, NULL, NULL, NULL, 'AURACYANIN-B', 98479),
(154754, 'PTHR43795:SF75', NULL, NULL, NULL, NULL, 'BNAA09G31180D PROTEIN', 98480),
(154755, 'PTHR12191:SF17', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP5', 98481),
(154756, 'PTHR31043', NULL, NULL, NULL, NULL, 'NEPHROCYSTIN-4', 98482),
(154757, 'PTHR33169:SF26', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 98483),
(154758, 'PTHR24300:SF337', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2C55', 98484),
(154759, 'PTHR33095:SF52', NULL, NULL, NULL, NULL, 'DUF1645 FAMILY PROTEIN', 98485),
(154760, 'PTHR31561:SF152', NULL, NULL, NULL, NULL, 'OS03G0162800 PROTEIN', 98486),
(154761, 'PTHR37716:SF1', NULL, NULL, NULL, NULL, 'OS07G0568900 PROTEIN', 98487),
(154762, 'PTHR47409:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN PROPHET OF PIT-1', 98488),
(154763, 'PTHR45725:SF12', NULL, NULL, NULL, NULL, 'DELPHILIN', 98489),
(154764, 'PTHR45676:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98490),
(154765, 'PTHR48053:SF27', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN EIX1', 98491),
(154766, 'PTHR31319:SF66', NULL, NULL, NULL, NULL, 'OS05G0466100 PROTEIN', 98492),
(154767, 'PTHR12161:SF5', NULL, NULL, NULL, NULL, 'IST1 HOMOLOG', 98493),
(154768, 'PTHR43158:SF5', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 98494),
(154769, 'PTHR42643:SF14', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 68A, ISOFORM A', 98495),
(154770, 'PTHR22950:SF642', NULL, NULL, NULL, NULL, 'BNAANNG07880D PROTEIN', 98496),
(154771, 'PTHR33727:SF8', NULL, NULL, NULL, NULL, 'BNACNNG02930D PROTEIN', 98497),
(154772, 'PTHR10615:SF102', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT7', 98498),
(154773, 'PTHR10715:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', 98499),
(154774, 'PTHR35596:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98500),
(154775, 'PTHR12268', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE KCMF1', 98501),
(154776, 'PTHR31415:SF136', NULL, NULL, NULL, NULL, 'BNAA03G55330D PROTEIN', 98502),
(154777, 'PTHR22937:SF136', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL44-RELATED', 98503),
(154778, 'PTHR24379:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 443', 98504),
(154779, 'PTHR43675:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2700097O09', 98505),
(154780, 'PTHR13962:SF22', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N3-LIKE PROTEIN', 98506),
(154781, 'PTHR33137:SF28', NULL, NULL, NULL, NULL, 'BNAA06G10420D PROTEIN', 98507),
(154782, 'PTHR35069', NULL, NULL, NULL, NULL, 'PROTEIN C9ORF135', 98508),
(154783, 'PTHR47975:SF17', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN FAMILY PROTEIN', 98509),
(154784, 'PTHR33132:SF48', NULL, NULL, NULL, NULL, 'BNACNNG68960D PROTEIN', 98510),
(154785, 'PTHR27005:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98511),
(154786, 'PTHR42813:SF7', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE (ZN-DEPENDENT)-RELATED', 98512),
(154787, 'PTHR19305:SF30', NULL, NULL, NULL, NULL, 'TARGET SNARE COILED-COIL DOMAIN-CONTAINING PROTEIN-RELATED', 98513),
(154788, 'PTHR11017:SF435', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN PROTEIN', 98514),
(154789, 'PTHR45743:SF33', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SKOR-LIKE', 98515),
(154790, 'PTHR31113:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98516),
(154791, 'PTHR11851:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98517),
(154792, 'PTHR21066', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 98518),
(154793, 'PTHR28037:SF1', NULL, NULL, NULL, NULL, 'ALCOHOL O-ACETYLTRANSFERASE 1-RELATED', 98519);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(154794, 'PTHR23406:SF75', NULL, NULL, NULL, NULL, 'MALIC ENZYME', 98520),
(154795, 'PTHR46991:SF6', NULL, NULL, NULL, NULL, '57 KDA HEAT SHOCK PROTEIN-RELATED', 98521),
(154796, 'PTHR35174:SF1', NULL, NULL, NULL, NULL, 'BLL0086 PROTEIN', 98522),
(154797, 'PTHR42973:SF33', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G00730)', 98523),
(154798, 'PTHR24269:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98524),
(154799, 'PTHR45774:SF4', NULL, NULL, NULL, NULL, 'LUTE, ISOFORM D', 98525),
(154800, 'PTHR23291:SF81', NULL, NULL, NULL, NULL, 'X-BOX PROMOTER ELEMENT REGULATED', 98526),
(154801, 'PTHR45950:SF9', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-9', 98527),
(154802, 'PTHR34219', NULL, NULL, NULL, NULL, 'IRON-REGULATED INNER MEMBRANE PROTEIN-RELATED', 98528),
(154803, 'PTHR22894:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98529),
(154804, 'PTHR11036:SF25', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3C', 98530),
(154805, 'PTHR19375:SF426', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70', 98531),
(154806, 'PTHR37553:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98532),
(154807, 'PTHR44013:SF3', NULL, NULL, NULL, NULL, 'OS09G0503100 PROTEIN', 98533),
(154808, 'PTHR15536:SF1', NULL, NULL, NULL, NULL, 'TACHYKININ-3', 98534),
(154809, 'PTHR31792:SF6', NULL, NULL, NULL, NULL, 'VACUOLAR ATPASE ASSEMBLY INTEGRAL MEMBRANE PROTEIN VMA21 HOMOLOG', 98535),
(154810, 'PTHR19143:SF332', NULL, NULL, NULL, NULL, 'FIBRINOGEN BETA CHAIN', 98536),
(154811, 'PTHR33880:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98537),
(154812, 'PTHR31235:SF342', NULL, NULL, NULL, NULL, 'PEROXIDASE', 98538),
(154813, 'PTHR41248', NULL, NULL, NULL, NULL, 'NORD PROTEIN', 98539),
(154814, 'PTHR10454:SF209', NULL, NULL, NULL, NULL, 'CASPASE-18/A', 98540),
(154815, 'PTHR33077:SF17', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 5B', 98541),
(154816, 'PTHR36306:SF4', NULL, NULL, NULL, NULL, '4-ALPHA-GLUCANOTRANSFERASE', 98542),
(154817, 'PTHR39199', NULL, NULL, NULL, NULL, 'BLR5128 PROTEIN', 98543),
(154818, 'PTHR10231:SF43', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSLOCATOR', 98544),
(154819, 'PTHR12300:SF104', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN', 98545),
(154820, 'PTHR31899', NULL, NULL, NULL, NULL, 'BETA-CAROTENE 3-HYDROXYLASE 1, CHLOROPLASTIC', 98546),
(154821, 'PTHR45629:SF11', NULL, NULL, NULL, NULL, 'OS04G0692700 PROTEIN', 98547),
(154822, 'PTHR40067', NULL, NULL, NULL, NULL, 'UPF0297 PROTEIN YRZL', 98548),
(154823, 'PTHR47264:SF2', NULL, NULL, NULL, NULL, 'PLANT SYNAPTOTAGMIN', 98549),
(154824, 'PTHR22939:SF128', NULL, NULL, NULL, NULL, 'SERINE PROTEASE HTRA1A', 98550),
(154825, 'PTHR33446:SF9', NULL, NULL, NULL, NULL, 'TONB, PUTATIVE-RELATED', 98551),
(154826, 'PTHR45762:SF4', NULL, NULL, NULL, NULL, 'INTERLEUKIN ENHANCER-BINDING FACTOR 3', 98552),
(154827, 'PTHR13318:SF156', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G-PROTEIN COUPLED RECEPTOR 4-LIKE', 98553),
(154828, 'PTHR34807:SF12', NULL, NULL, NULL, NULL, 'BNAA10G11770D PROTEIN', 98554),
(154829, 'PTHR34680:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98555),
(154830, 'PTHR46239', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG 3 RAD51C', 98556),
(154831, 'PTHR13593:SF120', NULL, NULL, NULL, NULL, 'PI-PLC X-BOX DOMAIN-CONTAINING PROTEIN DDB_G0293730-LIKE', 98557),
(154832, 'PTHR23155:SF1001', NULL, NULL, NULL, NULL, 'OS07G0599100 PROTEIN', 98558),
(154833, 'PTHR10639:SF19', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN 2', 98559),
(154834, 'PTHR31722:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98560),
(154835, 'PTHR24264:SF61', NULL, NULL, NULL, NULL, 'ZGC:171509-RELATED', 98561),
(154836, 'PTHR23360:SF34', NULL, NULL, NULL, NULL, 'PROTEIN CBG21061', 98562),
(154837, 'PTHR22891:SF17', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE-1', 98563),
(154838, 'PTHR18976:SF2', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN E', 98564),
(154839, 'PTHR23070:SF168', NULL, NULL, NULL, NULL, 'BNAA10G17020D PROTEIN', 98565),
(154840, 'PTHR36322', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 98566);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(154841, 'PTHR36714:SF6', NULL, NULL, NULL, NULL, 'BNAA09G54570D PROTEIN', 98567),
(154842, 'PTHR33453:SF12', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 98568),
(154843, 'PTHR40640', NULL, NULL, NULL, NULL, 'ANCHORED GLYCOPROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04860)-RELATED', 98569),
(154844, 'PTHR31929:SF108', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR20', 98570),
(154845, 'PTHR46384', NULL, NULL, NULL, NULL, 'MOTILE SPERM DOMAIN-CONTAINING PROTEIN 2', 98571),
(154846, 'PTHR23064:SF56', NULL, NULL, NULL, NULL, 'BNAA01G23330D PROTEIN', 98572),
(154847, 'PTHR47990:SF128', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 98573),
(154848, 'PTHR47990:SF16', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP3-RELATED', 98574),
(154849, 'PTHR37739:SF9', NULL, NULL, NULL, NULL, 'PHRAGMOPLAST ORIENTING KINESIN-1-LIKE', 98575),
(154850, 'PTHR11926:SF925', NULL, NULL, NULL, NULL, 'CYTOKININ 7-BETA-GLUCOSYLTRANSFERASE-RELATED', 98576),
(154851, 'PTHR12268:SF18', NULL, NULL, NULL, NULL, 'DYSTROTELIN', 98577),
(154852, 'PTHR11003:SF271', NULL, NULL, NULL, NULL, 'OUTWARD RECTIFYING POTASSIUM CHANNEL PROTEIN', 98578),
(154853, 'PTHR48112:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98579),
(154854, 'PTHR47461', NULL, NULL, NULL, NULL, 'PHYTOLONGIN PHYL1.2', 98580),
(154855, 'PTHR11662:SF331', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', 98581),
(154856, 'PTHR12317', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE', 98582),
(154857, 'PTHR23343:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98583),
(154858, 'PTHR46123:SF3', NULL, NULL, NULL, NULL, 'DOUBLE HOMEOBOX PROTEIN 1-RELATED', 98584),
(154859, 'PTHR30055:SF146', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 98585),
(154860, 'PTHR31707:SF305', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 98586),
(154861, 'PTHR24413', NULL, NULL, NULL, NULL, 'SPECKLE-TYPE POZ PROTEIN', 98587),
(154862, 'PTHR13650', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 98588),
(154863, 'PTHR43031:SF6', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE GLPE', 98589),
(154864, 'PTHR11771:SF133', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 98590),
(154865, 'PTHR34566:SF2', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN', 98591),
(154866, 'PTHR12011:SF450', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR E3 ISOFORM 1', 98592),
(154867, 'PTHR11453:SF52', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN 4', 98593),
(154868, 'PTHR31158:SF3', NULL, NULL, NULL, NULL, 'DUAL OXIDASE MATURATION FACTOR 1', 98594),
(154869, 'PTHR31140:SF58', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RAV1', 98595),
(154870, 'PTHR10631:SF9', NULL, NULL, NULL, NULL, 'TRNA (GUANINE(26)-N(2))-DIMETHYLTRANSFERASE', 98596),
(154871, 'PTHR10775:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98597),
(154872, 'PTHR39452:SF1', NULL, NULL, NULL, NULL, 'CHEY-P PHOSPHATASE CHEX', 98598),
(154873, 'PTHR31374:SF283', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98599),
(154874, 'PTHR21700:SF44', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 98600),
(154875, 'PTHR45623:SF3', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 8', 98601),
(154876, 'PTHR48062:SF10', NULL, NULL, NULL, NULL, 'BNAA02G16790D PROTEIN', 98602),
(154877, 'PTHR33110:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98603),
(154878, 'PTHR45894:SF7', NULL, NULL, NULL, NULL, 'BNAA05G15240D PROTEIN', 98604),
(154879, 'PTHR38045:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 98605),
(154880, 'PTHR24399:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 32 ISOFORM A', 98606),
(154881, 'PTHR45645:SF30', NULL, NULL, NULL, NULL, 'NETO (NEUROPILIN AND TOLLOID-LIKE) HOMOLOG', 98607),
(154882, 'PTHR24298:SF662', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE SYNTHASE', 98608),
(154883, 'PTHR10695', NULL, NULL, NULL, NULL, 'DEPHOSPHO-COA KINASE-RELATED', 98609),
(154884, 'PTHR23024:SF549', NULL, NULL, NULL, NULL, 'RECEPTOR GID1, PUTATIVE-RELATED', 98610);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(154885, 'PTHR47515', NULL, NULL, NULL, NULL, 'LOW CALCIUM RESPONSE LOCUS PROTEIN T', 98611),
(154886, 'PTHR18945:SF218', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT ALPHA-2', 98612),
(154887, 'PTHR43806:SF45', NULL, NULL, NULL, NULL, 'ALKALINE PROTEASE 1', 98613),
(154888, 'PTHR48215', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 98614),
(154889, 'PTHR31923:SF5', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', 98615),
(154890, 'PTHR21560', NULL, NULL, NULL, NULL, 'VERY KIND PROTEIN', 98616),
(154891, 'PTHR10648:SF27', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 65 KDA REGULATORY SUBUNIT A BETA ISOFORM', 98617),
(154892, 'PTHR11346:SF160', NULL, NULL, NULL, NULL, 'GALECTIN', 98618),
(154893, 'PTHR12924:SF0', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN SUBUNIT ALPHA', 98619),
(154894, 'PTHR45821:SF6', NULL, NULL, NULL, NULL, 'SNF2 DOMAIN-CONTAINING PROTEIN CLASSY 3', 98620),
(154895, 'PTHR31985:SF217', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF027-LIKE', 98621),
(154896, 'PTHR40590', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 98622),
(154897, 'PTHR11437:SF14', NULL, NULL, NULL, NULL, 'INACTIVE RIBONUCLEASE-LIKE PROTEIN 9', 98623),
(154898, 'PTHR11937:SF153', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN T1', 98624),
(154899, 'PTHR48061:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98625),
(154900, 'PTHR36707:SF3', NULL, NULL, NULL, NULL, 'BNAA05G11300D PROTEIN', 98626),
(154901, 'PTHR22808', NULL, NULL, NULL, NULL, 'NCL1 YEAST -RELATED NOL1/NOP2/FMU SUN  DOMAIN-CONTAINING', 98627),
(154902, 'PTHR43139:SF36', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 98628),
(154903, 'PTHR33136:SF47', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR', 98629),
(154904, 'PTHR32432:SF13', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTA', 98630),
(154905, 'PTHR22811:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98631),
(154906, 'PTHR31989:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98632),
(154907, 'PTHR21465', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 469', 98633),
(154908, 'PTHR11668:SF377', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1-ALPHA CATALYTIC SUBUNIT', 98634),
(154909, 'PTHR21142:SF2', NULL, NULL, NULL, NULL, 'BETA-SARCOGLYCAN', 98635),
(154910, 'PTHR16019:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98636),
(154911, 'PTHR10165:SF145', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE-RELATED 2A', 98637),
(154912, 'PTHR48047:SF23', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 98638),
(154913, 'PTHR36391:SF1', NULL, NULL, NULL, NULL, 'FURRY', 98639),
(154914, 'PTHR11461:SF292', NULL, NULL, NULL, NULL, 'SERPIN 100A', 98640),
(154915, 'PTHR24197:SF38', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 54', 98641),
(154916, 'PTHR33065:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98642),
(154917, 'PTHR24073:SF1126', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1C', 98643),
(154918, 'PTHR11346:SF103', NULL, NULL, NULL, NULL, 'GALECTIN', 98644),
(154919, 'PTHR11945:SF162', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 34', 98645),
(154920, 'PTHR31509:SF51', NULL, NULL, NULL, NULL, 'OS08G0551366 PROTEIN', 98646),
(154921, 'PTHR13832:SF771', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 27-RELATED', 98647),
(154922, 'PTHR11660', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 MEMBER', 98648),
(154923, 'PTHR32241:SF3', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 6', 98649),
(154924, 'PTHR45617:SF5', NULL, NULL, NULL, NULL, 'COMMON DPR-INTERACTING PROTEIN', 98650),
(154925, 'PTHR11157:SF12', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 4', 98651),
(154926, 'PTHR47706:SF5', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE', 98652),
(154927, 'PTHR45699:SF12', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L10P-RELATED', 98653),
(154928, 'PTHR24026:SF76', NULL, NULL, NULL, NULL, 'PROTOCADHERIN FAT 4', 98654),
(154929, 'PTHR31776:SF17', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE FAMILY PROTEIN-RELATED', 98655);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(154930, 'PTHR19446:SF439', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98656),
(154931, 'PTHR30293:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN NHAR', 98657),
(154932, 'PTHR18966:SF453', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 98658),
(154933, 'PTHR47323:SF5', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', 98659),
(154934, 'PTHR46803', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CHIP', 98660),
(154935, 'PTHR48011:SF51', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 98661),
(154936, 'PTHR19960:SF11', NULL, NULL, NULL, NULL, 'TEKTIN 3', 98662),
(154937, 'PTHR43437:SF3', NULL, NULL, NULL, NULL, 'HYDROXYACYL-THIOESTER DEHYDRATASE TYPE 2, MITOCHONDRIAL-RELATED', 98663),
(154938, 'PTHR31388:SF117', NULL, NULL, NULL, NULL, 'PEROXIDASE', 98664),
(154939, 'PTHR11453:SF12', NULL, NULL, NULL, NULL, 'BAND 3 ANION TRANSPORT PROTEIN', 98665),
(154940, 'PTHR23155:SF963', NULL, NULL, NULL, NULL, 'OS06G0287000 PROTEIN', 98666),
(154941, 'PTHR10336:SF36', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 98667),
(154942, 'PTHR11380:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION PROTEIN SPT3 HOMOLOG', 98668),
(154943, 'PTHR40466:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 98669),
(154944, 'PTHR24133:SF16', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 9', 98670),
(154945, 'PTHR47988:SF37', NULL, NULL, NULL, NULL, 'LRR RECEPTOR KINASE SERK2', 98671),
(154946, 'PTHR27006:SF304', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', 98672),
(154947, 'PTHR47050:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 24', 98673),
(154948, 'PTHR43816:SF1', NULL, NULL, NULL, NULL, 'NICOTINAMIDE PHOSPHORIBOSYLTRANSFERASE', 98674),
(154949, 'PTHR11732:SF164', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN', 98675),
(154950, 'PTHR14649', NULL, NULL, NULL, NULL, 'ZINC FINGER C2HC DOMAIN-CONTAINING PROTEIN 1C', 98676),
(154951, 'PTHR33179:SF50', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 25-LIKE', 98677),
(154952, 'PTHR38543:SF1', NULL, NULL, NULL, NULL, 'OS04G0465800 PROTEIN', 98678),
(154953, 'PTHR12035:SF53', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 12', 98679),
(154954, 'PTHR16073:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98680),
(154955, 'PTHR10202:SF24', NULL, NULL, NULL, NULL, 'PRESENILIN-2', 98681),
(154956, 'PTHR21015', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--N-ACETYLMURAMYL-(PENTAPEPTIDE) PYROPHOSPHORYL-UNDECAPRENOL N-ACETYLGLUCOSAMINE TRANSFERASE 1', 98682),
(154957, 'PTHR33057:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP13', 98683),
(154958, 'PTHR32077:SF60', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN', 98684),
(154959, 'PTHR31221:SF252', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', 98685),
(154960, 'PTHR12601:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98686),
(154961, 'PTHR23291:SF101', NULL, NULL, NULL, NULL, 'BAX INHIBITOR 1-RELATED PROTEIN-RELATED', 98687),
(154962, 'PTHR33453:SF26', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 98688),
(154963, 'PTHR35461:SF4', NULL, NULL, NULL, NULL, 'LOW PROTEIN: ATP-DEPENDENT RNA HELICASE-LIKE PROTEIN', 98689),
(154964, 'PTHR10972:SF184', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN HOMOLOG 4-RELATED', 98690),
(154965, 'PTHR33179:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98691),
(154966, 'PTHR31789:SF10', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 98692),
(154967, 'PTHR10825:SF31', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP RING FINGER PROTEIN 2', 98693),
(154968, 'PTHR13473:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L48, MITOCHONDRIAL', 98694),
(154969, 'PTHR45658:SF27', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 12', 98695),
(154970, 'PTHR48002:SF94', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4F15', 98696),
(154971, 'PTHR23145', NULL, NULL, NULL, NULL, 'NUCLEOSOMAL BINDING PROTEIN 1', 98697),
(154972, 'PTHR24028:SF90', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-5', 98698);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(154973, 'PTHR10763:SF23', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 1', 98699),
(154974, 'PTHR34605', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 98700),
(154975, 'PTHR46135:SF3', NULL, NULL, NULL, NULL, 'NME/NM23 FAMILY MEMBER 8', 98701),
(154976, 'PTHR30620:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98702),
(154977, 'PTHR23049:SF39', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 2, ATRIAL ISOFORM', 98703),
(154978, 'PTHR46844:SF3', NULL, NULL, NULL, NULL, 'AGAP013057-PA', 98704),
(154979, 'PTHR26379:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98705),
(154980, 'PTHR18945:SF832', NULL, NULL, NULL, NULL, 'CHRNA7-FAM7A FUSION PROTEIN-RELATED', 98706),
(154981, 'PTHR46835:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98707),
(154982, 'PTHR45693:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGAL7', 98708),
(154983, 'PTHR31662:SF49', NULL, NULL, NULL, NULL, 'GLABROUS1 ENHANCER-BINDING PROTEIN-RELATED', 98709),
(154984, 'PTHR24006:SF708', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 11-RELATED', 98710),
(154985, 'PTHR23111:SF84', NULL, NULL, NULL, NULL, 'ZINC FINGER, RANBP2-TYPE-RELATED', 98711),
(154986, 'PTHR47976:SF25', NULL, NULL, NULL, NULL, 'LECTIN PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 98712),
(154987, 'PTHR30371', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATC', 98713),
(154988, 'PTHR43539:SF78', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 98714),
(154989, 'PTHR31051:SF1', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 3', 98715),
(154990, 'PTHR13778:SF53', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 98716),
(154991, 'PTHR19269:SF46', NULL, NULL, NULL, NULL, 'TROPOMYOSIN BETA CHAIN', 98717),
(154992, 'PTHR13325:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND TRANSCRIPTION FACTOR SITE-2 PROTEASE', 98718),
(154993, 'PTHR11895:SF73', NULL, NULL, NULL, NULL, 'AMIDASE FAMILY PROTEIN', 98719),
(154994, 'PTHR48002:SF74', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 98720),
(154995, 'PTHR38683', NULL, NULL, NULL, NULL, 'CHORISMATE PYRUVATE-LYASE', 98721),
(154996, 'PTHR47779:SF1', NULL, NULL, NULL, NULL, 'SYNTHASE (CCG-9), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12100)-RELATED', 98722),
(154997, 'PTHR35501:SF8', NULL, NULL, NULL, NULL, 'PROTEIN 108', 98723),
(154998, 'PTHR23275:SF31', NULL, NULL, NULL, NULL, 'VSP AS8', 98724),
(154999, 'PTHR48019:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98725),
(155000, 'PTHR12821:SF0', NULL, NULL, NULL, NULL, 'BYSTIN', 98726),
(155001, 'PTHR31989:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98727),
(155002, 'PTHR23226:SF298', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 491', 98728),
(155003, 'PTHR21180', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY DOMAIN-CONTAINING PROTEIN 1', 98729),
(155004, 'PTHR34142:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98730),
(155005, 'PTHR43394:SF4', NULL, NULL, NULL, NULL, 'TOXIN SECRETION ABC TRANSPORTER ATP-BINDING PROTEIN', 98731),
(155006, 'PTHR34576', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 6-RELATED', 98732),
(155007, 'PTHR31279:SF60', NULL, NULL, NULL, NULL, 'BNAANNG05850D PROTEIN', 98733),
(155008, 'PTHR24293:SF2', NULL, NULL, NULL, NULL, 'CHOLESTEROL 24-HYDROXYLASE', 98734),
(155009, 'PTHR33156:SF39', NULL, NULL, NULL, NULL, 'OS02G0230000 PROTEIN', 98735),
(155010, 'PTHR45890:SF9', NULL, NULL, NULL, NULL, 'PROTEIN KINASE-LIKE DOMAIN', 98736),
(155011, 'PTHR16128', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', 98737),
(155012, 'PTHR33091:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98738),
(155013, 'PTHR10887:SF483', NULL, NULL, NULL, NULL, 'OS11G0649000 PROTEIN', 98739),
(155014, 'PTHR24388:SF82', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 648-RELATED', 98740),
(155015, 'PTHR24015:SF505', NULL, NULL, NULL, NULL, 'OS01G0819800 PROTEIN', 98741),
(155016, 'PTHR31324:SF3', NULL, NULL, NULL, NULL, 'MORF4 FAMILY-ASSOCIATED PROTEIN 1-LIKE PROTEIN UPP-RELATED', 98742),
(155017, 'PTHR31992:SF111', NULL, NULL, NULL, NULL, 'OS05G0440000 PROTEIN', 98743);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(155018, 'PTHR45861:SF2', NULL, NULL, NULL, NULL, 'DNA POLYMERASE', 98744),
(155019, 'PTHR46922:SF4', NULL, NULL, NULL, NULL, 'DHHA1 DOMAIN PROTEIN', 98745),
(155020, 'PTHR13968:SF17', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN C-LIKE 1-RELATED', 98746),
(155021, 'PTHR46610:SF19', NULL, NULL, NULL, NULL, 'OS06G0147400 PROTEIN', 98747),
(155022, 'PTHR36558:SF1', NULL, NULL, NULL, NULL, 'GLR1098 PROTEIN', 98748),
(155023, 'PTHR23360:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 98749),
(155024, 'PTHR31006:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG12666', 98750),
(155025, 'PTHR11685:SF332', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 98751),
(155026, 'PTHR39412', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 46', 98752),
(155027, 'PTHR31734:SF175', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 98753),
(155028, 'PTHR24356:SF388', NULL, NULL, NULL, NULL, 'ROOT HAIR ELONGATION, PUTATIVE, EXPRESSED-RELATED', 98754),
(155029, 'PTHR31744:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98755),
(155030, 'PTHR12735:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98756),
(155031, 'PTHR32002:SF52', NULL, NULL, NULL, NULL, 'PROTEIN NLP2', 98757),
(155032, 'PTHR43542', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 98758),
(155033, 'PTHR45640:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CBG09876', 98759),
(155034, 'PTHR48073', NULL, NULL, NULL, NULL, 'O-SUCCINYLBENZOATE SYNTHASE-RELATED', 98760),
(155035, 'PTHR43272:SF13', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE 3', 98761),
(155036, 'PTHR12136', NULL, NULL, NULL, NULL, 'ENHANCED DISEASE RESISTANCE-RELATED', 98762),
(155037, 'PTHR31190:SF261', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ABR1', 98763),
(155038, 'PTHR31388:SF104', NULL, NULL, NULL, NULL, 'PEROXIDASE 14-RELATED', 98764),
(155039, 'PTHR13140:SF273', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-VA', 98765),
(155040, 'PTHR10218:SF199', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PROTEIN DG1120', 98766),
(155041, 'PTHR18901:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98767),
(155042, 'PTHR22883:SF258', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 98768),
(155043, 'PTHR31062:SF157', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 19-RELATED', 98769),
(155044, 'PTHR10763', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 6-RELATED', 98770),
(155045, 'PTHR24286:SF228', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 61', 98771),
(155046, 'PTHR24243:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98772),
(155047, 'PTHR23101:SF25', NULL, NULL, NULL, NULL, 'RAB5 GDP/GTP EXCHANGE FACTOR', 98773),
(155048, 'PTHR47926:SF182', NULL, NULL, NULL, NULL, 'BNAANNG19240D PROTEIN', 98774),
(155049, 'PTHR33138:SF30', NULL, NULL, NULL, NULL, 'OS01G0113900 PROTEIN', 98775),
(155050, 'PTHR11413:SF103', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 6', 98776),
(155051, 'PTHR31985:SF163', NULL, NULL, NULL, NULL, 'BNAANNG29870D PROTEIN', 98777),
(155052, 'PTHR11909:SF145', NULL, NULL, NULL, NULL, 'PROTEIN CBG12477', 98778),
(155053, 'PTHR11977:SF29', NULL, NULL, NULL, NULL, 'GELSOLIN-RELATED', 98779),
(155054, 'PTHR23236:SF80', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 3', 98780),
(155055, 'PTHR11615:SF253', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1E1', 98781),
(155056, 'PTHR13947:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98782),
(155057, 'PTHR18976:SF29', NULL, NULL, NULL, NULL, 'ZGC:162608', 98783),
(155058, 'PTHR46508:SF10', NULL, NULL, NULL, NULL, 'DNA-BINDING AND ZINC-FINGER PROTEIN', 98784),
(155059, 'PTHR33098:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98785),
(155060, 'PTHR37610:SF13', NULL, NULL, NULL, NULL, 'CATALYTIC REGION, PUTATIVE-RELATED', 98786),
(155061, 'PTHR12064:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98787),
(155062, 'PTHR44757:SF2', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCP', 98788),
(155063, 'PTHR45644:SF11', NULL, NULL, NULL, NULL, 'AAA ATPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G12920)-RELATED', 98789);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(155064, 'PTHR22952:SF379', NULL, NULL, NULL, NULL, 'OS01G0813100 PROTEIN', 98790),
(155065, 'PTHR13140:SF768', NULL, NULL, NULL, NULL, 'MYOSIN-6', 98791),
(155066, 'PTHR45128:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TYPE 11', 98792),
(155067, 'PTHR45768:SF42', NULL, NULL, NULL, NULL, 'BNAA08G20270D PROTEIN', 98793),
(155068, 'PTHR46816:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98794),
(155069, 'PTHR31080:SF91', NULL, NULL, NULL, NULL, 'PECTIN METHYLESTERASE INHIBITOR 1', 98795),
(155070, 'PTHR23503:SF54', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2 MEMBER 11,-LIKE', 98796),
(155071, 'PTHR34541:SF2', NULL, NULL, NULL, NULL, 'OS01G0729900 PROTEIN', 98797),
(155072, 'PTHR30614:SF43', NULL, NULL, NULL, NULL, 'L-CYSTINE TRANSPORT SYSTEM PERMEASE PROTEIN TCYM', 98798),
(155073, 'PTHR47966:SF34', NULL, NULL, NULL, NULL, 'CYPROSIN-RELATED', 98799),
(155074, 'PTHR46058:SF4', NULL, NULL, NULL, NULL, 'OS04G0475250 PROTEIN', 98800),
(155075, 'PTHR31342:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98801),
(155076, 'PTHR31639:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98802),
(155077, 'PTHR28492', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC691921', 98803),
(155078, 'PTHR13462:SF10', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN, MITOCHONDRIAL', 98804),
(155079, 'PTHR24055:SF370', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 98805),
(155080, 'PTHR24366:SF125', NULL, NULL, NULL, NULL, 'LRRN4 C-TERMINAL-LIKE PROTEIN', 98806),
(155081, 'PTHR31218:SF261', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 98807),
(155082, 'PTHR33681:SF4', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE, EXPRESSED-RELATED', 98808),
(155083, 'PTHR22958:SF25', NULL, NULL, NULL, NULL, 'OS08G0535700 PROTEIN', 98809),
(155084, 'PTHR47999:SF9', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 98810),
(155085, 'PTHR11815:SF14', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT BETA, MITOCHONDRIAL', 98811),
(155086, 'PTHR43060:SF14', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-LIKE PROTEIN', 98812),
(155087, 'PTHR37729', NULL, NULL, NULL, NULL, 'NEUROFILAMENT PROTEIN-LIKE PROTEIN', 98813),
(155088, 'PTHR19229:SF98', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 3', 98814),
(155089, 'PTHR23503:SF32', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 5', 98815),
(155090, 'PTHR19411:SF0', NULL, NULL, NULL, NULL, 'PROTEIN BUD31 HOMOLOG', 98816),
(155091, 'PTHR43895:SF112', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 98817),
(155092, 'PTHR11639:SF138', NULL, NULL, NULL, NULL, 'UPF0607 PROTEIN ENSP00000381418-RELATED', 98818),
(155093, 'PTHR13798:SF12', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', 98819),
(155094, 'PTHR43389:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR PROTON PUMP SUBUNIT B', 98820),
(155095, 'PTHR12358:SF86', NULL, NULL, NULL, NULL, 'ACYLGLYCEROL KINASE, MITOCHONDRIAL', 98821),
(155096, 'PTHR31676:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98822),
(155097, 'PTHR30432:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL DUAL REGULATOR MODE', 98823),
(155098, 'PTHR31907:SF64', NULL, NULL, NULL, NULL, 'BNAA09G30090D PROTEIN', 98824),
(155099, 'PTHR47780:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SET DOMAIN GROUP 41', 98825),
(155100, 'PTHR46289:SF3', NULL, NULL, NULL, NULL, '52 KDA REPRESSOR OF THE INHIBITOR OF THE PROTEIN KINASE-LIKE PROTEIN', 98826),
(155101, 'PTHR33603:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 98827),
(155102, 'PTHR42790:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, GNTR FAMILY', 98828),
(155103, 'PTHR13903:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98829),
(155104, 'PTHR48104:SF8', NULL, NULL, NULL, NULL, 'METACASPASE-5', 98830),
(155105, 'PTHR17204:SF24', NULL, NULL, NULL, NULL, 'SI:CH211-114C17.1', 98831),
(155106, 'PTHR33710:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98832),
(155107, 'PTHR21562:SF81', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 98833);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(155108, 'PTHR10677:SF44', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN DSK2A-LIKE ISOFORM X1', 98834),
(155109, 'PTHR24072:SF344', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC7', 98835),
(155110, 'PTHR47921:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12163', 98836),
(155111, 'PTHR10279:SF11', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE ANTIZYME 2', 98837),
(155112, 'PTHR31413:SF25', NULL, NULL, NULL, NULL, 'BNAA03G59090D PROTEIN', 98838),
(155113, 'PTHR47928:SF25', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 98839),
(155114, 'PTHR46328:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5-LIKE', 98840),
(155115, 'PTHR45730:SF75', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 1-LIKE', 98841),
(155116, 'PTHR11949:SF2', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 7', 98842),
(155117, 'PTHR23226:SF263', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 543', 98843),
(155118, 'PTHR43185', NULL, NULL, NULL, NULL, 'FERROUS IRON TRANSPORT PROTEIN B', 98844),
(155119, 'PTHR23315:SF282', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 13', 98845),
(155120, 'PTHR12129', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE 2-O-SULFOTRANSFERASE', 98846),
(155121, 'PTHR43735:SF8', NULL, NULL, NULL, NULL, 'OS11G0158200 PROTEIN', 98847),
(155122, 'PTHR10142:SF0', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN COMPLEMENTING XP-A CELLS', 98848),
(155123, 'PTHR11552:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98849),
(155124, 'PTHR23266:SF325', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-64', 98850),
(155125, 'PTHR22773:SF86', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT N', 98851),
(155126, 'PTHR35161:SF15', NULL, NULL, NULL, NULL, 'OS12G0624500 PROTEIN', 98852),
(155127, 'PTHR14553:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO CHROMOSOME 1 OPEN READING FRAME 50', 98853),
(155128, 'PTHR12081:SF83', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2FB', 98854),
(155129, 'PTHR13140:SF785', NULL, NULL, NULL, NULL, 'BNAC03G41300D PROTEIN', 98855),
(155130, 'PTHR33065:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98856),
(155131, 'PTHR46300:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2C30', 98857),
(155132, 'PTHR14154:SF88', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', 98858),
(155133, 'PTHR47990:SF52', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 4', 98859),
(155134, 'PTHR24351:SF197', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 98860),
(155135, 'PTHR15535:SF26', NULL, NULL, NULL, NULL, 'CELL SURFACE HYALURONIDASE', 98861),
(155136, 'PTHR10459:SF66', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP3', 98862),
(155137, 'PTHR43166:SF5', NULL, NULL, NULL, NULL, 'METHIONINE IMPORT ATP-BINDING PROTEIN METN', 98863),
(155138, 'PTHR31731:SF117', NULL, NULL, NULL, NULL, '14 KDA PROLINE-RICH PROTEIN DC2.15', 98864),
(155139, 'PTHR43798:SF23', NULL, NULL, NULL, NULL, 'NON-HEME BROMOPEROXIDASE BPOC-RELATED', 98865),
(155140, 'PTHR45695:SF9', NULL, NULL, NULL, NULL, 'LEUCOKININ RECEPTOR-RELATED', 98866),
(155141, 'PTHR37539:SF1', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 98867),
(155142, 'PTHR23285', NULL, NULL, NULL, NULL, 'RING FINGER AND KH DOMAIN CONTAINING PROTEIN 1', 98868),
(155143, 'PTHR33085:SF59', NULL, NULL, NULL, NULL, 'OS12G0113100 PROTEIN', 98869),
(155144, 'PTHR10992:SF1037', NULL, NULL, NULL, NULL, 'BNAA04G13730D PROTEIN', 98870),
(155145, 'PTHR46128:SF213', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98871),
(155146, 'PTHR12801:SF145', NULL, NULL, NULL, NULL, 'SMALL RNA DEGRADING NUCLEASE 1-RELATED', 98872),
(155147, 'PTHR11654:SF544', NULL, NULL, NULL, NULL, 'BNAA07G24560D PROTEIN', 98873),
(155148, 'PTHR24416:SF490', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE TRANSMEMBRANE RECEPTOR ROR', 98874),
(155149, 'PTHR46375:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-253P14.2', 98875),
(155150, 'PTHR16223:SF122', NULL, NULL, NULL, NULL, 'OS01G0626900 PROTEIN', 98876),
(155151, 'PTHR35673', NULL, NULL, NULL, NULL, 'UPF0500 PROTEIN C1ORF216', 98877);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(155152, 'PTHR33085:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98878),
(155153, 'PTHR26452:SF409', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 98879),
(155154, 'PTHR11365:SF2', NULL, NULL, NULL, NULL, '5-OXOPROLINASE', 98880),
(155155, 'PTHR13094:SF2', NULL, NULL, NULL, NULL, 'BNAANNG27390D PROTEIN', 98881),
(155156, 'PTHR14611:SF1', NULL, NULL, NULL, NULL, 'TECTONIC-1', 98882),
(155157, 'PTHR47985:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL26-RELATED', 98883),
(155158, 'PTHR22797:SF37', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 3', 98884),
(155159, 'PTHR31240', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST 18', 98885),
(155160, 'PTHR44548:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98886),
(155161, 'PTHR10099:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE', 98887),
(155162, 'PTHR24027:SF413', NULL, NULL, NULL, NULL, 'CADHERIN RELATED FAMILY MEMBER 1', 98888),
(155163, 'PTHR30146:SF122', NULL, NULL, NULL, NULL, 'OPERON REPRESSOR, PUTATIVE-RELATED', 98889),
(155164, 'PTHR11062:SF264', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 98890),
(155165, 'PTHR47958:SF22', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 7', 98891),
(155166, 'PTHR35604:SF2', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSH FOR INSERTION SEQUENCE ELEMENT IS5A-RELATED', 98892),
(155167, 'PTHR43612:SF7', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL ENZYME SUBUNIT ALPHA, MITOCHONDRIAL', 98893),
(155168, 'PTHR11842:SF13', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE ASSEMBLY CHECKPOINT PROTEIN MAD2A', 98894),
(155169, 'PTHR31251:SF136', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING PROTEIN 2-LIKE', 98895),
(155170, 'PTHR35017', NULL, NULL, NULL, NULL, 'PROTEIN CBG16223-RELATED', 98896),
(155171, 'PTHR31472:SF27', NULL, NULL, NULL, NULL, 'BNAA09G48050D PROTEIN', 98897),
(155172, 'PTHR47100:SF4', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE FAMILY PROTEIN', 98898),
(155173, 'PTHR12360:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR NF-X1', 98899),
(155174, 'PTHR11690:SF244', NULL, NULL, NULL, NULL, 'DEGENERIN LIKE', 98900),
(155175, 'PTHR11604:SF10', NULL, NULL, NULL, NULL, 'PROFILIN', 98901),
(155176, 'PTHR11654:SF337', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.3', 98902),
(155177, 'PTHR42828:SF3', NULL, NULL, NULL, NULL, 'DHBP SYNTHASE RIBB-LIKE ALPHA/BETA DOMAIN-CONTAINING PROTEIN', 98903),
(155178, 'PTHR45616:SF12', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CUTICULAR HB2', 98904),
(155179, 'PTHR43286:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE III-LIKE PROTEIN 1', 98905),
(155180, 'PTHR24261:SF8', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR', 98906),
(155181, 'PTHR47926:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98907),
(155182, 'PTHR45660:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98908),
(155183, 'PTHR33044:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98909),
(155184, 'PTHR43318:SF1', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE BIOSYNTHESIS PROTEIN EPSC-RELATED', 98910),
(155185, 'PTHR13533:SF37', NULL, NULL, NULL, NULL, 'BNAA05G30820D PROTEIN', 98911),
(155186, 'PTHR24359:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SBK1', 98912),
(155187, 'PTHR21453:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG22438', 98913),
(155188, 'PTHR43329:SF92', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', 98914),
(155189, 'PTHR36918', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 98915),
(155190, 'PTHR31318:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98916),
(155191, 'PTHR24303:SF27', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 307B1', 98917),
(155192, 'PTHR13140:SF797', NULL, NULL, NULL, NULL, 'MYOSIN-10', 98918),
(155193, 'PTHR31744:SF116', NULL, NULL, NULL, NULL, 'BNAA08G13670D PROTEIN', 98919),
(155194, 'PTHR46807:SF4', NULL, NULL, NULL, NULL, 'BNAA06G37850D PROTEIN', 98920),
(155195, 'PTHR21051', NULL, NULL, NULL, NULL, 'CAMP-RESPONSIVE ELEMENT-BINDING PROTEIN-LIKE 2', 98921),
(155196, 'PTHR35329:SF2', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE EXPORT CHAPERONE', 98922);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(155197, 'PTHR47290:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98923),
(155198, 'PTHR46803:SF3', NULL, NULL, NULL, NULL, 'OS08G0113300 PROTEIN', 98924),
(155199, 'PTHR34929:SF1', NULL, NULL, NULL, NULL, 'ZGC:153157', 98925),
(155200, 'PTHR11949:SF22', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 2', 98926),
(155201, 'PTHR23306:SF24', NULL, NULL, NULL, NULL, 'BNAC02G23950D PROTEIN', 98927),
(155202, 'PTHR48001:SF26', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 98928),
(155203, 'PTHR11206:SF412', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 98929),
(155204, 'PTHR11937:SF480', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 3B', 98930),
(155205, 'PTHR18860:SF101', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 NU-RELATED', 98931),
(155206, 'PTHR11206:SF365', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 98932),
(155207, 'PTHR18945:SF53', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 3B', 98933),
(155208, 'PTHR11403:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 3', 98934),
(155209, 'PTHR24343:SF459', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 98935),
(155210, 'PTHR31385:SF11', NULL, NULL, NULL, NULL, 'BNAA08G20430D PROTEIN', 98936),
(155211, 'PTHR47990:SF73', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 1', 98937),
(155212, 'PTHR12801:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98938),
(155213, 'PTHR46336:SF24', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 98939),
(155214, 'PTHR10891:SF846', NULL, NULL, NULL, NULL, 'BNAC04G29490D PROTEIN', 98940),
(155215, 'PTHR27009:SF19', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE', 98941),
(155216, 'PTHR10802:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM40-1', 98942),
(155217, 'PTHR11652:SF52', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S12-B', 98943),
(155218, 'PTHR23402:SF22', NULL, NULL, NULL, NULL, 'PEPTIDASE C15 PYROGLUTAMYL PEPTIDASE I-LIKE', 98944),
(155219, 'PTHR43228:SF7', NULL, NULL, NULL, NULL, 'TWO COMPONENT SIGNAL TRANSDUCTION SYSTEM RESPONSE REGULATOR', 98945),
(155220, 'PTHR32054:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98946),
(155221, 'PTHR47974:SF10', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR SERINE/THREONINE-PROTEIN KINASE SD3-1', 98947),
(155222, 'PTHR12266:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SODIUM/CALCIUM EXCHANGER PROTEIN-RELATED', 98948),
(155223, 'PTHR24103:SF596', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 54', 98949),
(155224, 'PTHR11743:SF69', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN PORIN-RELATED', 98950),
(155225, 'PTHR36369:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 98951),
(155226, 'PTHR24072:SF334', NULL, NULL, NULL, NULL, 'BNAC02G47270D PROTEIN', 98952),
(155227, 'PTHR34663:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98953),
(155228, 'PTHR47340:SF1', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 98954),
(155229, 'PTHR31636:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98955),
(155230, 'PTHR43420:SF38', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 98956),
(155231, 'PTHR31472:SF30', NULL, NULL, NULL, NULL, 'OS06G0103400 PROTEIN', 98957),
(155232, 'PTHR13000:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98958),
(155233, 'PTHR46119:SF11', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 98959),
(155234, 'PTHR31516:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG07669', 98960),
(155235, 'PTHR27002:SF711', NULL, NULL, NULL, NULL, 'OS10G0327000 PROTEIN', 98961),
(155236, 'PTHR45864:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE SLINGSHOT HOMOLOG 2', 98962),
(155237, 'PTHR22876', NULL, NULL, NULL, NULL, 'ZGC:101016', 98963),
(155238, 'PTHR46264', NULL, NULL, NULL, NULL, 'TYROSINE-TRNA LIGASE', 98964),
(155239, 'PTHR26374:SF412', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98965),
(155240, 'PTHR23310:SF111', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 3-LIKE', 98966),
(155241, 'PTHR11746:SF203', NULL, NULL, NULL, NULL, 'FLAVONE O-METHYLTRANSFERASE 1', 98967);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(155242, 'PTHR31662:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98968),
(155243, 'PTHR46974', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GTP/GDP CARRIER PROTEIN 1', 98969),
(155244, 'PTHR11904:SF9', NULL, NULL, NULL, NULL, 'FI08065P', 98970),
(155245, 'PTHR33088:SF53', NULL, NULL, NULL, NULL, 'BNAC02G00830D PROTEIN', 98971),
(155246, 'PTHR31954:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 157', 98972),
(155247, 'PTHR31429:SF92', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', 98973),
(155248, 'PTHR21340:SF0', NULL, NULL, NULL, NULL, 'BIS(5''-NUCLEOSYL)-TETRAPHOSPHATASE [ASYMMETRICAL]', 98974),
(155249, 'PTHR48043:SF87', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 2B7', 98975),
(155250, 'PTHR23257:SF881', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', 98976),
(155251, 'PTHR10334:SF425', NULL, NULL, NULL, NULL, 'BASIC FORM OF PATHOGENESIS-RELATED PROTEIN 1-LIKE', 98977),
(155252, 'PTHR31928:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98978),
(155253, 'PTHR21576:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98979),
(155254, 'PTHR39450', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN OXIDOREDUCTASE, 4FE-4S CLUSTER-BINDING SUBUNIT', 98980),
(155255, 'PTHR44083:SF38', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WD40-LIKE FAMILY-RELATED', 98981),
(155256, 'PTHR23266:SF311', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 4-28-RELATED', 98982),
(155257, 'PTHR10795:SF686', NULL, NULL, NULL, NULL, 'BNAA02G07410D PROTEIN', 98983),
(155258, 'PTHR27007:SF322', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', 98984),
(155259, 'PTHR13068:SF133', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', 98985),
(155260, 'PTHR37530:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN SLP', 98986),
(155261, 'PTHR24298:SF848', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP736A12-LIKE', 98987),
(155262, 'PTHR24026:SF99', NULL, NULL, NULL, NULL, 'PROTEIN CBG22514', 98988),
(155263, 'PTHR31645:SF46', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 98989),
(155264, 'PTHR21780:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 209', 98990),
(155265, 'PTHR27008:SF463', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98991),
(155266, 'PTHR33088:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98992),
(155267, 'PTHR10642:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98993),
(155268, 'PTHR14248:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98994),
(155269, 'PTHR22978:SF27', NULL, NULL, NULL, NULL, 'B CELL TRANSLOCATION GENE 1, ANTI-PROLIFERATIVE, PSEUDOGENE 2', 98995),
(155270, 'PTHR12442:SF37', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 1 INTERMEDIATE CHAIN 2', 98996),
(155271, 'PTHR10666:SF323', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 98997),
(155272, 'PTHR45654:SF20', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ANTHOCYANINLESS 2-LIKE', 98998),
(155273, 'PTHR48065:SF31', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 98999),
(155274, 'PTHR45619:SF50', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 99000),
(155275, 'PTHR10201:SF213', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE', 99001),
(155276, 'PTHR47343:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR SPT7', 99002),
(155277, 'PTHR35463:SF12', NULL, NULL, NULL, NULL, 'BNAANNG13040D PROTEIN', 99003),
(155278, 'PTHR20837:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CC2D2B', 99004),
(155279, 'PTHR23050:SF450', NULL, NULL, NULL, NULL, 'BNAA06G03170D PROTEIN', 99005),
(155280, 'PTHR27007:SF210', NULL, NULL, NULL, NULL, 'OS07G0129900 PROTEIN', 99006),
(155281, 'PTHR10887:SF365', NULL, NULL, NULL, NULL, 'HELICASE WITH ZINC FINGER DOMAIN-RELATED', 99007),
(155282, 'PTHR46179:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZFP91', 99008),
(155283, 'PTHR27007:SF31', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE, EXPRESSED-RELATED', 99009),
(155284, 'PTHR48022:SF29', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14500)-RELATED', 99010);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(155285, 'PTHR47958:SF31', NULL, NULL, NULL, NULL, 'DEAD-BOX HELICASE DBP80', 99011),
(155286, 'PTHR24082:SF473', NULL, NULL, NULL, NULL, 'STEROID HORMONE RECEPTOR FAMILY MEMBER CNR14', 99012),
(155287, 'PTHR46508:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE WITH RING/FYVE/PHD-TYPE ZINC FINGER PROTEIN', 99013),
(155288, 'PTHR12021:SF3', NULL, NULL, NULL, NULL, 'THYMOSIN BETA', 99014),
(155289, 'PTHR48047:SF85', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 99015),
(155290, 'PTHR31282:SF10', NULL, NULL, NULL, NULL, 'OS01G0821600 PROTEIN', 99016),
(155291, 'PTHR27007:SF303', NULL, NULL, NULL, NULL, 'LECTIN-LIKE RECEPTOR KINASE 7', 99017),
(155292, 'PTHR31388', NULL, NULL, NULL, NULL, 'PEROXIDASE 72-RELATED', 99018),
(155293, 'PTHR11309:SF31', NULL, NULL, NULL, NULL, 'FRIZZLED-7', 99019),
(155294, 'PTHR35746:SF2', NULL, NULL, NULL, NULL, 'OS08G0525700 PROTEIN', 99020),
(155295, 'PTHR16523:SF8', NULL, NULL, NULL, NULL, 'PEST PROTEOLYTIC SIGNAL-CONTAINING NUCLEAR PROTEIN', 99021),
(155296, 'PTHR10177:SF435', NULL, NULL, NULL, NULL, 'BNAC05G49810D PROTEIN', 99022),
(155297, 'PTHR30456', NULL, NULL, NULL, NULL, 'PYRIDOXINE 5''-PHOSPHATE SYNTHASE', 99023),
(155298, 'PTHR48005:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE TYROSINE-PROTEIN KINASE PXC3 ISOFORM X1', 99024),
(155299, 'PTHR42707:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE AIDB-RELATED', 99025),
(155300, 'PTHR43791:SF1', NULL, NULL, NULL, NULL, 'ALLANTOATE PERMEASE', 99026),
(155301, 'PTHR23273:SF74', NULL, NULL, NULL, NULL, 'BNAC01G35430D PROTEIN', 99027),
(155302, 'PTHR11214:SF29', NULL, NULL, NULL, NULL, 'UDP-GLCNAC:BETAGAL BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE LOC100288842-RELATED', 99028),
(155303, 'PTHR11739:SF27', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE 1, PEROXISOMAL-RELATED', 99029),
(155304, 'PTHR12271:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG11386', 99030),
(155305, 'PTHR31920:SF32', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM22', 99031),
(155306, 'PTHR43013', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', 99032),
(155307, 'PTHR11926:SF1176', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 74G1-LIKE', 99033),
(155308, 'PTHR38849', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 99034),
(155309, 'PTHR31913:SF5', NULL, NULL, NULL, NULL, 'BNAC05G47620D PROTEIN', 99035),
(155310, 'PTHR36527:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99036),
(155311, 'PTHR23236:SF57', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 1-LIKE ISOFORM X1', 99037),
(155312, 'PTHR47926:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99038),
(155313, 'PTHR47364:SF11', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 5-LIKE', 99039),
(155314, 'PTHR14154:SF81', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER 1', 99040),
(155315, 'PTHR42732', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 99041),
(155316, 'PTHR24379:SF75', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL ZINC FINGER 1', 99042),
(155317, 'PTHR10048:SF29', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 3-KINASE C2 DOMAIN-CONTAINING SUBUNIT GAMMA', 99043),
(155318, 'PTHR43003:SF3', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE 2', 99044),
(155319, 'PTHR40699', NULL, NULL, NULL, NULL, 'UPF0179 PROTEIN MJ1627', 99045),
(155320, 'PTHR23020:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBR-DHS-27', 99046),
(155321, 'PTHR32285:SF187', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 10', 99047),
(155322, 'PTHR20855:SF95', NULL, NULL, NULL, NULL, 'ADIPOR-LIKE RECEPTOR IZH1', 99048),
(155323, 'PTHR11474:SF87', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE, CHLOROPLASTIC-LIKE', 99049),
(155324, 'PTHR45685:SF1', NULL, NULL, NULL, NULL, 'HELICASE SRCAP', 99050),
(155325, 'PTHR12358:SF37', NULL, NULL, NULL, NULL, 'OS08G0152700 PROTEIN', 99051),
(155326, 'PTHR34390:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YJJP', 99052),
(155327, 'PTHR33086:SF49', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 4', 99053),
(155328, 'PTHR46381:SF2', NULL, NULL, NULL, NULL, 'MKPA PROTEIN', 99054);
INSERT INTO "PUBLIC"."MODEL" VALUES
(155329, 'PTHR42934:SF3', NULL, NULL, NULL, NULL, 'D-LACTATE DEHYDROGENASE', 99055),
(155330, 'PTHR30327:SF1', NULL, NULL, NULL, NULL, 'UPF0301 PROTEIN YQGE', 99056),
(155331, 'PTHR31949:SF18', NULL, NULL, NULL, NULL, 'BNAA04G21840D PROTEIN', 99057),
(155332, 'PTHR31356:SF35', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 2, CYTOSOLIC', 99058),
(155333, 'PTHR10336:SF164', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C 3', 99059),
(155334, 'PTHR36459:SF1', NULL, NULL, NULL, NULL, 'ORF', 99060),
(155335, 'PTHR30595', NULL, NULL, NULL, NULL, 'GLPR-RELATED TRANSCRIPTIONAL REPRESSOR', 99061),
(155336, 'PTHR33065:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99062),
(155337, 'PTHR10127:SF816', NULL, NULL, NULL, NULL, 'ASTACIN-LIKE METALLOENDOPEPTIDASE-RELATED', 99063),
(155338, 'PTHR43391:SF46', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE-LIKE 5', 99064),
(155339, 'PTHR24002:SF3', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 18', 99065),
(155340, 'PTHR24237:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99066),
(155341, 'PTHR11654:SF553', NULL, NULL, NULL, NULL, 'BNAA02G24280D PROTEIN', 99067),
(155342, 'PTHR42909:SF3', NULL, NULL, NULL, NULL, 'BNAA06G02750D PROTEIN', 99068),
(155343, 'PTHR45676:SF26', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', 99069),
(155344, 'PTHR31790:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99070),
(155345, 'PTHR43297:SF4', NULL, NULL, NULL, NULL, 'PUTRESCINE EXPORT SYSTEM ATP-BINDING PROTEIN SAPD', 99071),
(155346, 'PTHR46275', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR-REGULATED TYROSINE KINASE SUBSTRATE', 99072),
(155347, 'PTHR23235:SF63', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 1', 99073),
(155348, 'PTHR47505:SF1', NULL, NULL, NULL, NULL, 'DNA UTILIZATION PROTEIN YHGH', 99074),
(155349, 'PTHR24006:SF687', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 10', 99075),
(155350, 'PTHR34665:SF3', NULL, NULL, NULL, NULL, 'BNACNNG18970D PROTEIN', 99076),
(155351, 'PTHR24326:SF585', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', 99077),
(155352, 'PTHR24393:SF97', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', 99078),
(155353, 'PTHR15902:SF6', NULL, NULL, NULL, NULL, 'NEURITIN 1-LIKE B', 99079),
(155354, 'PTHR45651:SF32', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 2-LIKE', 99080),
(155355, 'PTHR33566:SF9', NULL, NULL, NULL, NULL, 'DEFECTIVE IN MERISTEM SILENCING PROTEIN', 99081),
(155356, 'PTHR10026:SF135', NULL, NULL, NULL, NULL, 'BNAA09G28170D PROTEIN', 99082),
(155357, 'PTHR10797:SF52', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 3-RELATED', 99083),
(155358, 'PTHR10263:SF55', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C''''1-RELATED', 99084),
(155359, 'PTHR35632:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99085),
(155360, 'PTHR12081:SF70', NULL, NULL, NULL, NULL, 'E2F-LIKE (MAMMALIAN TRANSCRIPTION FACTOR)', 99086),
(155361, 'PTHR45615:SF40', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN, NON-MUSCLE', 99087),
(155362, 'PTHR40633:SF1', NULL, NULL, NULL, NULL, 'MATRIX PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05410)-RELATED', 99088),
(155363, 'PTHR31707:SF319', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 99089),
(155364, 'PTHR11101:SF57', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 99090),
(155365, 'PTHR24286:SF300', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE-LIKE', 99091),
(155366, 'PTHR12628:SF14', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HAZ1', 99092),
(155367, 'PTHR14869', NULL, NULL, NULL, NULL, 'MYC TARGET PROTEIN 1', 99093),
(155368, 'PTHR43072', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE', 99094),
(155369, 'PTHR37089:SF4', NULL, NULL, NULL, NULL, 'PROTEIN U', 99095),
(155370, 'PTHR33146:SF22', NULL, NULL, NULL, NULL, 'OS04G0652700 PROTEIN', 99096),
(155371, 'PTHR24044:SF471', NULL, NULL, NULL, NULL, 'NOTCH 1', 99097),
(155372, 'PTHR31744:SF67', NULL, NULL, NULL, NULL, 'ANAC079/ANAC080/ATNAC4 PROTEIN', 99098),
(155373, 'PTHR43464:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99099);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(155374, 'PTHR19433:SF83', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 36/DELTA VARIABLE 7', 99100),
(155375, 'PTHR43585:SF2', NULL, NULL, NULL, NULL, 'FUMIPYRROLE BIOSYNTHESIS PROTEIN C', 99101),
(155376, 'PTHR12995:SF4', NULL, NULL, NULL, NULL, 'FI21814P1', 99102),
(155377, 'PTHR21230:SF25', NULL, NULL, NULL, NULL, 'GOLGI SNAP RECEPTOR COMPLEX MEMBER 2', 99103),
(155378, 'PTHR16234:SF5', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN FLJ20508', 99104),
(155379, 'PTHR33207:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99105),
(155380, 'PTHR13115:SF12', NULL, NULL, NULL, NULL, 'OS10G0511800 PROTEIN', 99106),
(155381, 'PTHR18945:SF815', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', 99107),
(155382, 'PTHR26454:SF21', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 99108),
(155383, 'PTHR23272:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99109),
(155384, 'PTHR30489:SF0', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM TRANSMEMBRANE PROTEIN LOLE', 99110),
(155385, 'PTHR30363:SF51', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR GLCR', 99111),
(155386, 'PTHR31549:SF106', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED', 99112),
(155387, 'PTHR46454:SF15', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 1', 99113),
(155388, 'PTHR13439:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CLN8', 99114),
(155389, 'PTHR22937:SF163', NULL, NULL, NULL, NULL, 'OS04G0185500 PROTEIN', 99115),
(155390, 'PTHR12506:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 12', 99116),
(155391, 'PTHR31817', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 99117),
(155392, 'PTHR23299:SF4', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1H', 99118),
(155393, 'PTHR10680:SF33', NULL, NULL, NULL, NULL, 'PEPTIDYL-ALPHA-HYDROXYGLYCINE ALPHA-AMIDATING LYASE PGAL-1-RELATED', 99119),
(155394, 'PTHR13191:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA-PROCESSING PROTEIN 7 HOMOLOG A-RELATED', 99120),
(155395, 'PTHR34591:SF23', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 99121),
(155396, 'PTHR31084:SF0', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 2', 99122),
(155397, 'PTHR10908:SF4', NULL, NULL, NULL, NULL, 'ARYLALKYLAMINE N-ACETYLTRANSFERASE', 99123),
(155398, 'PTHR11571:SF164', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE ALPHA-1-RELATED', 99124),
(155399, 'PTHR43068', NULL, NULL, NULL, NULL, 'SLR1854 PROTEIN', 99125),
(155400, 'PTHR24250:SF52', NULL, NULL, NULL, NULL, 'CHYMOTRYPSINOGEN B', 99126),
(155401, 'PTHR33078:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99127),
(155402, 'PTHR35320:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT', 99128),
(155403, 'PTHR11802:SF38', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 99129),
(155404, 'PTHR11738:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99130),
(155405, 'PTHR47999:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB114-LIKE', 99131),
(155406, 'PTHR24414:SF82', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN', 99132),
(155407, 'PTHR33429:SF26', NULL, NULL, NULL, NULL, 'BNAA08G20450D PROTEIN', 99133),
(155408, 'PTHR34156:SF9', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 99134),
(155409, 'PTHR12187:SF11', NULL, NULL, NULL, NULL, 'AGAP000124-PA', 99135),
(155410, 'PTHR12726:SF0', NULL, NULL, NULL, NULL, 'CERAMIDE GLUCOSYLTRANSFERASE', 99136),
(155411, 'PTHR30595:SF6', NULL, NULL, NULL, NULL, 'BLR5173 PROTEIN', 99137),
(155412, 'PTHR18861:SF3', NULL, NULL, NULL, NULL, 'ERC PROTEIN 2', 99138),
(155413, 'PTHR27006:SF251', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 99139),
(155414, 'PTHR24056:SF466', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 99140),
(155415, 'PTHR10489:SF925', NULL, NULL, NULL, NULL, 'RELAXIN FAMILY PEPTIDE RECEPTOR 3', 99141),
(155416, 'PTHR18901:SF41', NULL, NULL, NULL, NULL, '(DL)-GLYCEROL-3-PHOSPHATASE 1, MITOCHONDRIAL', 99142),
(155417, 'PTHR11616:SF166', NULL, NULL, NULL, NULL, 'TRANSPORTER', 99143);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(155418, 'PTHR45974:SF139', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN, SERINE/THREONINE-PROTEIN KINASE, ULK1/ULK2-RELATED', 99144),
(155419, 'PTHR30606:SF7', NULL, NULL, NULL, NULL, 'LIPID A BIOSYNTHESIS PALMITOLEOYLTRANSFERASE', 99145),
(155420, 'PTHR33530:SF13', NULL, NULL, NULL, NULL, 'OS01G0147100 PROTEIN', 99146),
(155421, 'PTHR33929:SF12', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 5-RELATED', 99147),
(155422, 'PTHR31048:SF161', NULL, NULL, NULL, NULL, 'THAUMATIN-RELATED', 99148),
(155423, 'PTHR11388:SF82', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 1B1', 99149),
(155424, 'PTHR48132', NULL, NULL, NULL, NULL, 'ZGC:171772', 99150),
(155425, 'PTHR24249:SF384', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 21-RELATED', 99151),
(155426, 'PTHR24349:SF423', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE FAMILY PROTEIN-RELATED', 99152),
(155427, 'PTHR37314', NULL, NULL, NULL, NULL, 'SLR0142 PROTEIN', 99153),
(155428, 'PTHR33384:SF7', NULL, NULL, NULL, NULL, 'OS01G0930200 PROTEIN', 99154),
(155429, 'PTHR37471:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 99155),
(155430, 'PTHR24384:SF215', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 52', 99156),
(155431, 'PTHR11017:SF347', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE', 99157),
(155432, 'PTHR10237:SF1', NULL, NULL, NULL, NULL, 'DEFORMED EPIDERMAL AUTOREGULATORY FACTOR 1 HOMOLOG', 99158),
(155433, 'PTHR46285:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99159),
(155434, 'PTHR33074:SF78', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 99160),
(155435, 'PTHR47795', NULL, NULL, NULL, NULL, 'UBIQUITIN AND WLM DOMAIN-CONTAINING METALLOPROTEASE SPCC1442.07C', 99161),
(155436, 'PTHR19241:SF645', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3-LIKE', 99162),
(155437, 'PTHR45687:SF59', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-3', 99163),
(155438, 'PTHR31707:SF215', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 99164),
(155439, 'PTHR10614', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR SUBSTRATE', 99165),
(155440, 'PTHR46128:SF101', NULL, NULL, NULL, NULL, 'BNAA06G24430D PROTEIN', 99166),
(155441, 'PTHR45992:SF6', NULL, NULL, NULL, NULL, 'KINASE PUTATIVE-RELATED', 99167),
(155442, 'PTHR46266:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GLABRA 3', 99168),
(155443, 'PTHR19241:SF561', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 31', 99169),
(155444, 'PTHR16517:SF112', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 99170),
(155445, 'PTHR31232:SF64', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY S1-RELATED', 99171),
(155446, 'PTHR31731:SF124', NULL, NULL, NULL, NULL, 'BNAC06G06500D PROTEIN', 99172),
(155447, 'PTHR36107', NULL, NULL, NULL, NULL, 'SMALL, ACID-SOLUBLE SPORE PROTEIN A', 99173),
(155448, 'PTHR46463:SF49', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHF1A-LIKE', 99174),
(155449, 'PTHR46984', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 71', 99175),
(155450, 'PTHR12411:SF797', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE RD21A', 99176),
(155451, 'PTHR34224:SF8', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 1', 99177),
(155452, 'PTHR32370:SF113', NULL, NULL, NULL, NULL, 'OS12G0583500 PROTEIN', 99178),
(155453, 'PTHR21415:SF1', NULL, NULL, NULL, NULL, 'U7 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM11', 99179),
(155454, 'PTHR45669:SF38', NULL, NULL, NULL, NULL, 'BNAANNG33180D PROTEIN', 99180),
(155455, 'PTHR23273:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99181),
(155456, 'PTHR12081:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F2-RELATED', 99182),
(155457, 'PTHR33353:SF18', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE II', 99183),
(155458, 'PTHR11216:SF135', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 1-LIKE', 99184),
(155459, 'PTHR24213:SF6', NULL, NULL, NULL, NULL, 'ACTIN-BINDING LIM PROTEIN 2', 99185),
(155460, 'PTHR31213:SF76', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR', 99186),
(155461, 'PTHR24372:SF1', NULL, NULL, NULL, NULL, 'LUTROPIN-CHORIOGONADOTROPIC HORMONE RECEPTOR', 99187);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(155462, 'PTHR11673:SF29', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', 99188),
(155463, 'PTHR11709:SF226', NULL, NULL, NULL, NULL, 'CERULOPLASMIN', 99189),
(155464, 'PTHR45808:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 68F', 99190),
(155465, 'PTHR47515:SF1', NULL, NULL, NULL, NULL, 'TRUNCATED IS1477 TRANSPOSASE', 99191),
(155466, 'PTHR11017:SF421', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS CLASS)', 99192),
(155467, 'PTHR42714:SF2', NULL, NULL, NULL, NULL, 'TRNA MODIFICATION GTPASE GTPBP3, MITOCHONDRIAL', 99193),
(155468, 'PTHR42912:SF14', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 7B', 99194),
(155469, 'PTHR43365:SF1', NULL, NULL, NULL, NULL, 'BLR7806 PROTEIN', 99195),
(155470, 'PTHR10380', NULL, NULL, NULL, NULL, 'CUTICLE PROTEIN', 99196),
(155471, 'PTHR24009:SF27', NULL, NULL, NULL, NULL, 'RNA-BINDING ZINC FINGER FAMILY PROTEIN-RELATED', 99197),
(155472, 'PTHR18896:SF59', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA 2', 99198),
(155473, 'PTHR11668:SF199', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 99199),
(155474, 'PTHR11571:SF234', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE S1', 99200),
(155475, 'PTHR27006:SF40', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 99201),
(155476, 'PTHR11109:SF12', NULL, NULL, NULL, NULL, 'BNAA02G30310D PROTEIN', 99202),
(155477, 'PTHR48111:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN BTSR', 99203),
(155478, 'PTHR33103:SF53', NULL, NULL, NULL, NULL, 'DUF674 FAMILY PROTEIN', 99204),
(155479, 'PTHR35580:SF1', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN (S-LAYER PROTEIN)-LIKE PROTEIN', 99205),
(155480, 'PTHR23113:SF24', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR 3', 99206),
(155481, 'PTHR19282:SF432', NULL, NULL, NULL, NULL, 'TETRASPANIN-19-LIKE', 99207),
(155482, 'PTHR36469', NULL, NULL, NULL, NULL, 'DISTAL MEMBRANE-ARM ASSEMBLY COMPLEX PROTEIN 1', 99208),
(155483, 'PTHR46816:SF8', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN, N-TERMINAL ACETYLTRANSFERASE A, AUXILIARY SUBUNIT-RELATED', 99209),
(155484, 'PTHR47736:SF1', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A MEMBER 3', 99210),
(155485, 'PTHR11440:SF53', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(1) LCAT3', 99211),
(155486, 'PTHR20852:SF100', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', 99212),
(155487, 'PTHR24068:SF327', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 22-LIKE', 99213),
(155488, 'PTHR31181:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99214),
(155489, 'PTHR45689:SF7', NULL, NULL, NULL, NULL, 'POTASSIUM/SODIUM HYPERPOLARIZATION-ACTIVATED CYCLIC NUCLEOTIDE-GATED CHANNEL 3', 99215),
(155490, 'PTHR47550', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE PPS1', 99216),
(155491, 'PTHR31896:SF56', NULL, NULL, NULL, NULL, 'BNAC06G15240D PROTEIN', 99217),
(155492, 'PTHR24321:SF11', NULL, NULL, NULL, NULL, 'SHORT-CHAIN TYPE DEHYDROGENASE/REDUCTASE BLR2146-RELATED', 99218),
(155493, 'PTHR16736', NULL, NULL, NULL, NULL, 'CORTEXIN-1-RELATED', 99219),
(155494, 'PTHR42713:SF2', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE', 99220),
(155495, 'PTHR19970:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99221),
(155496, 'PTHR24068:SF326', NULL, NULL, NULL, NULL, 'BNAA05G29530D PROTEIN', 99222),
(155497, 'PTHR22941:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 99223),
(155498, 'PTHR33021:SF287', NULL, NULL, NULL, NULL, 'ION BINDING PROTEIN, PUTATIVE-RELATED', 99224),
(155499, 'PTHR13813:SF4', NULL, NULL, NULL, NULL, 'GLYCOPHORIN-E', 99225),
(155500, 'PTHR43528:SF7', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN-RELATED', 99226),
(155501, 'PTHR11055:SF40', NULL, NULL, NULL, NULL, 'ATP SULFURYLASE 1 CHLOROPLASTIC', 99227),
(155502, 'PTHR42770:SF12', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER-RELATED', 99228),
(155503, 'PTHR10316:SF27', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED GUANYLATE KINASE, WW AND PDZ DOMAIN-CONTAINING PROTEIN 2-RELATED', 99229),
(155504, 'PTHR48001:SF146', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 99230);
INSERT INTO "PUBLIC"."MODEL" VALUES
(155505, 'PTHR13780:SF104', NULL, NULL, NULL, NULL, 'CBS/OCTICOSAPEPTIDE/PHOX/BEMP1 (PB1) DOMAIN PROTEIN', 99231),
(155506, 'PTHR10407:SF14', NULL, NULL, NULL, NULL, 'HUNTINGTIN-INTERACTING PROTEIN 1', 99232),
(155507, 'PTHR45830:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 99233),
(155508, 'PTHR10316:SF12', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED GUANYLATE KINASE, WW AND PDZ DOMAIN-CONTAINING PROTEIN 1', 99234),
(155509, 'PTHR10795:SF648', NULL, NULL, NULL, NULL, 'SBT4B PROTEIN', 99235),
(155510, 'PTHR45654:SF16', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG7', 99236),
(155511, 'PTHR12548:SF23', NULL, NULL, NULL, NULL, 'BNAA03G00880D PROTEIN', 99237),
(155512, 'PTHR10026:SF113', NULL, NULL, NULL, NULL, 'BUR2P', 99238),
(155513, 'PTHR13068:SF151', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF9, CHLOROPLASTIC', 99239),
(155514, 'PTHR43176:SF3', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE, MITOCHONDRIAL', 99240),
(155515, 'PTHR48099:SF3', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE DEHYDROGENASE [NAD(+)]', 99241),
(155516, 'PTHR11709:SF388', NULL, NULL, NULL, NULL, 'BNAANNG08180D PROTEIN', 99242),
(155517, 'PTHR12700:SF20', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', 99243),
(155518, 'PTHR33210:SF4', NULL, NULL, NULL, NULL, 'OS06G0553200 PROTEIN', 99244),
(155519, 'PTHR10314:SF220', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', 99245),
(155520, 'PTHR31669:SF14', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 9', 99246),
(155521, 'PTHR11945:SF152', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL12', 99247),
(155522, 'PTHR33095:SF87', NULL, NULL, NULL, NULL, 'BNAA09G39980D PROTEIN', 99248),
(155523, 'PTHR34384:SF5', NULL, NULL, NULL, NULL, 'L-2,3-DIAMINOPROPANOATE--CITRATE LIGASE', 99249),
(155524, 'PTHR15959:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99250),
(155525, 'PTHR22854', NULL, NULL, NULL, NULL, 'TRYPTOPHAN BIOSYNTHESIS PROTEIN', 99251),
(155526, 'PTHR23504:SF34', NULL, NULL, NULL, NULL, 'HIPPOCAMPUS ABUNDANT TRANSCRIPT 1A', 99252),
(155527, 'PTHR10903:SF122', NULL, NULL, NULL, NULL, 'IMMUNE-ASSOCIATED NUCLEOTIDE-BINDING PROTEIN 11-RELATED', 99253),
(155528, 'PTHR14647:SF55', NULL, NULL, NULL, NULL, 'GALACTOSE-3-O-SULFOTRANSFERASE 2', 99254),
(155529, 'PTHR48007:SF25', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 99255),
(155530, 'PTHR24305:SF199', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-DIT2', 99256),
(155531, 'PTHR11945:SF606', NULL, NULL, NULL, NULL, 'TRUNCATED TRANSCRIPTION FACTOR CAULIFLOWER A-LIKE ISOFORM X1', 99257),
(155532, 'PTHR35740:SF1', NULL, NULL, NULL, NULL, 'OS12G0111700 PROTEIN', 99258),
(155533, 'PTHR11102:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99259),
(155534, 'PTHR11876:SF6', NULL, NULL, NULL, NULL, 'DEFENSIN-5', 99260),
(155535, 'PTHR15852:SF61', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ-LIKE', 99261),
(155536, 'PTHR46285:SF10', NULL, NULL, NULL, NULL, 'T1.3 PROTEIN', 99262),
(155537, 'PTHR33083:SF83', NULL, NULL, NULL, NULL, 'BNAA07G36440D PROTEIN', 99263),
(155538, 'PTHR23500:SF546', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 6-RELATED', 99264),
(155539, 'PTHR22999:SF18', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN KINASE-LIKE PROTEIN', 99265),
(155540, 'PTHR15825:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN-FOLD MODIFIER 1', 99266),
(155541, 'PTHR43415:SF1', NULL, NULL, NULL, NULL, 'GNAT-FAMILY ACETYLTRANSFERASE', 99267),
(155542, 'PTHR10593:SF192', NULL, NULL, NULL, NULL, 'BNAA06G38780D PROTEIN', 99268),
(155543, 'PTHR45764:SF22', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY PROTEIN, EXPRESSED', 99269),
(155544, 'PTHR35346:SF1', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 6', 99270),
(155545, 'PTHR24054:SF43', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0286481-RELATED', 99271),
(155546, 'PTHR31161:SF20', NULL, NULL, NULL, NULL, 'BNAC06G41500D PROTEIN', 99272),
(155547, 'PTHR22957:SF547', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 16', 99273);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(155548, 'PTHR46073', NULL, NULL, NULL, NULL, 'CHITINASE', 99274),
(155549, 'PTHR46561:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', 99275),
(155550, 'PTHR12697:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99276),
(155551, 'PTHR33541:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99277),
(155552, 'PTHR24068:SF302', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 16-RELATED', 99278),
(155553, 'PTHR31429:SF59', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 47-RELATED', 99279),
(155554, 'PTHR34395:SF3', NULL, NULL, NULL, NULL, 'OS11G0427500 PROTEIN', 99280),
(155555, 'PTHR45647:SF76', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 99281),
(155556, 'PTHR24115:SF923', NULL, NULL, NULL, NULL, 'KINESIN FAMILY MEMBER 26AA', 99282),
(155557, 'PTHR47621', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH-TYPE ANTIVIRAL PROTEIN 1-LIKE', 99283),
(155558, 'PTHR46085:SF12', NULL, NULL, NULL, NULL, 'BNAA08G29820D PROTEIN', 99284),
(155559, 'PTHR11481:SF94', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE B', 99285),
(155560, 'PTHR10972:SF167', NULL, NULL, NULL, NULL, 'OSBP(OXYSTEROL-BINDING PROTEIN)-RELATED PROTEIN 4C', 99286),
(155561, 'PTHR13016:SF2', NULL, NULL, NULL, NULL, 'AMME SYNDROME CANDIDATE GENE 1 PROTEIN', 99287),
(155562, 'PTHR33772:SF1', NULL, NULL, NULL, NULL, 'THYMUS, BRAIN AND TESTES-ASSOCIATED', 99288),
(155563, 'PTHR33305:SF33', NULL, NULL, NULL, NULL, 'EIN3-LIKE PROTEIN', 99289),
(155564, 'PTHR47116:SF6', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 99290),
(155565, 'PTHR10438:SF392', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CXXS1', 99291),
(155566, 'PTHR31852:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99292),
(155567, 'PTHR45798:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99293),
(155568, 'PTHR23239:SF348', NULL, NULL, NULL, NULL, 'KERATIN 41', 99294),
(155569, 'PTHR32285:SF257', NULL, NULL, NULL, NULL, 'PMR5 N-TERMINAL DOMAIN, PC-ESTERASE-RELATED', 99295),
(155570, 'PTHR44535:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG16200', 99296),
(155571, 'PTHR48000:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB36-LIKE', 99297),
(155572, 'PTHR47990:SF112', NULL, NULL, NULL, NULL, 'SYNTHASE/FLAVANONE 3-HYDROXYLASE, PUTATIVE-RELATED', 99298),
(155573, 'PTHR33109:SF49', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 4', 99299),
(155574, 'PTHR23500:SF420', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99300),
(155575, 'PTHR11654:SF537', NULL, NULL, NULL, NULL, 'BNAA06G16980D PROTEIN', 99301),
(155576, 'PTHR11431', NULL, NULL, NULL, NULL, 'FERRITIN', 99302),
(155577, 'PTHR46083:SF1', NULL, NULL, NULL, NULL, 'STARCH SYNTHASE, CHLOROPLASTIC/AMYLOPLASTIC', 99303),
(155578, 'PTHR24282:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 715, SUBFAMILY A, POLYPEPTIDE 1', 99304),
(155579, 'PTHR10545:SF51', NULL, NULL, NULL, NULL, 'DIAMINE ACETYLTRANSFERASE 2', 99305),
(155580, 'PTHR12277:SF69', NULL, NULL, NULL, NULL, 'PROTEIN ABHD12B', 99306),
(155581, 'PTHR45637:SF69', NULL, NULL, NULL, NULL, 'OS02G0725000 PROTEIN', 99307),
(155582, 'PTHR22595:SF165', NULL, NULL, NULL, NULL, 'BNAC05G03990D PROTEIN', 99308),
(155583, 'PTHR46153:SF19', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 99309),
(155584, 'PTHR34034:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM180A', 99310),
(155585, 'PTHR26450:SF353', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52L2-RELATED', 99311),
(155586, 'PTHR46128:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99312),
(155587, 'PTHR23023:SF273', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 99313),
(155588, 'PTHR46565:SF9', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING PROTEIN 3-LIKE', 99314),
(155589, 'PTHR47966', NULL, NULL, NULL, NULL, 'BETA-SITE APP-CLEAVING ENZYME, ISOFORM A-RELATED', 99315),
(155590, 'PTHR24379:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 442', 99316),
(155591, 'PTHR45798:SF26', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL80', 99317),
(155592, 'PTHR33769:SF2', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 26 ISOFORM X3', 99318);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(155593, 'PTHR13718:SF103', NULL, NULL, NULL, NULL, 'BNAC04G47870D PROTEIN', 99319),
(155594, 'PTHR13202:SF0', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 1', 99320),
(155595, 'PTHR22957:SF524', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99321),
(155596, 'PTHR24381:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 749', 99322),
(155597, 'PTHR31669:SF202', NULL, NULL, NULL, NULL, 'OS02G0202800 PROTEIN', 99323),
(155598, 'PTHR12277:SF61', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDYLSERINE LIPASE ABHD12', 99324),
(155599, 'PTHR35726:SF7', NULL, NULL, NULL, NULL, 'BNAC04G51040D PROTEIN', 99325),
(155600, 'PTHR31210:SF41', NULL, NULL, NULL, NULL, 'STORAGE PROTEIN-LIKE', 99326),
(155601, 'PTHR12091:SF1', NULL, NULL, NULL, NULL, 'PRO-MCH-LIKE PROTEIN 1-RELATED', 99327),
(155602, 'PTHR35579', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMS ENDORIBONUCLEASE CSM3', 99328),
(155603, 'PTHR10269:SF2', NULL, NULL, NULL, NULL, 'GDNF FAMILY RECEPTOR ALPHA-4', 99329),
(155604, 'PTHR23023:SF259', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 99330),
(155605, 'PTHR13044:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99331),
(155606, 'PTHR35278', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', 99332),
(155607, 'PTHR12619:SF2', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RFX7', 99333),
(155608, 'PTHR23360:SF66', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 99334),
(155609, 'PTHR32370:SF127', NULL, NULL, NULL, NULL, 'NPH3 DOMAIN, BTB/POZ DOMAIN-CONTAINING PROTEIN NPY2-RELATED', 99335),
(155610, 'PTHR45811:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99336),
(155611, 'PTHR31989:SF46', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 53', 99337),
(155612, 'PTHR45887:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99338),
(155613, 'PTHR10788:SF86', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 7-RELATED', 99339),
(155614, 'PTHR44259:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99340),
(155615, 'PTHR31595:SF34', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 5-RELATED', 99341),
(155616, 'PTHR31576:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99342),
(155617, 'PTHR42945:SF6', NULL, NULL, NULL, NULL, 'HISTIDINE BIOSYNTHESIS PROTEIN HISIE', 99343),
(155618, 'PTHR11246:SF23', NULL, NULL, NULL, NULL, 'BNAA05G12780D PROTEIN', 99344),
(155619, 'PTHR45827:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN', 99345),
(155620, 'PTHR48019:SF97', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL8 HOMOLOG', 99346),
(155621, 'PTHR46128:SF94', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 99347),
(155622, 'PTHR18916:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99348),
(155623, 'PTHR48022:SF52', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE-RELATED', 99349),
(155624, 'PTHR47956:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99350),
(155625, 'PTHR48001:SF106', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1L6', 99351),
(155626, 'PTHR10578:SF120', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO4-LIKE', 99352),
(155627, 'PTHR22094:SF0', NULL, NULL, NULL, NULL, 'MUCIN-LIKE PROTEIN 3', 99353),
(155628, 'PTHR35440', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 36', 99354),
(155629, 'PTHR46143', NULL, NULL, NULL, NULL, 'CALPAIN-7', 99355),
(155630, 'PTHR33044:SF168', NULL, NULL, NULL, NULL, 'BNAC03G58190D PROTEIN', 99356),
(155631, 'PTHR30151:SF7', NULL, NULL, NULL, NULL, 'NITRATE IMPORT PERMEASE PROTEIN NRTB', 99357),
(155632, 'PTHR45752:SF101', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 4', 99358),
(155633, 'PTHR33258', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSL FOR INSERTION SEQUENCE ELEMENT IS186A-RELATED', 99359),
(155634, 'PTHR24073:SF1096', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-1B', 99360),
(155635, 'PTHR10504:SF133', NULL, NULL, NULL, NULL, 'PROTEIN CBG16343', 99361),
(155636, 'PTHR31198', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 84', 99362),
(155637, 'PTHR25462:SF266', NULL, NULL, NULL, NULL, 'BONUS, ISOFORM C-RELATED', 99363);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(155638, 'PTHR47985:SF15', NULL, NULL, NULL, NULL, 'BNAA09G01810D PROTEIN', 99364),
(155639, 'PTHR43884:SF27', NULL, NULL, NULL, NULL, '2-METHYLACYL-COA DEHYDROGENASE, MITOCHONDRIAL', 99365),
(155640, 'PTHR24068:SF295', NULL, NULL, NULL, NULL, 'BNAC05G32470D PROTEIN', 99366),
(155641, 'PTHR13633:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99367),
(155642, 'PTHR28213', NULL, NULL, NULL, NULL, 'IMP-SPECIFIC 5''-NUCLEOTIDASE 1', 99368),
(155643, 'PTHR31677:SF155', NULL, NULL, NULL, NULL, 'AP2/EREBP TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', 99369),
(155644, 'PTHR21325:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG08129', 99370),
(155645, 'PTHR18952:SF134', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 15', 99371),
(155646, 'PTHR34676:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, TUBBY C-TERMINAL-LIKE DOMAIN PROTEIN-RELATED', 99372),
(155647, 'PTHR23315:SF116', NULL, NULL, NULL, NULL, 'OS07G0532750 PROTEIN', 99373),
(155648, 'PTHR46689:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99374),
(155649, 'PTHR11227:SF27', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN PHOSPHOINOSITIDE-INTERACTING PROTEIN 2', 99375),
(155650, 'PTHR24322:SF638', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 99376),
(155651, 'PTHR21066:SF18', NULL, NULL, NULL, NULL, 'GENERAL ODORANT-BINDING PROTEIN 70', 99377),
(155652, 'PTHR22774:SF11', NULL, NULL, NULL, NULL, 'AMINO-TERMINAL REGION OF CHOREIN', 99378),
(155653, 'PTHR46905:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 99379),
(155654, 'PTHR47984:SF26', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', 99380),
(155655, 'PTHR31770', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE PROTEIN TAFA FAMILY MEMBER', 99381),
(155656, 'PTHR11255:SF98', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 5', 99382),
(155657, 'PTHR31476:SF5', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAMILY PROTEIN', 99383),
(155658, 'PTHR19957:SF319', NULL, NULL, NULL, NULL, 'SYNTAXIN-131-RELATED', 99384),
(155659, 'PTHR31729:SF11', NULL, NULL, NULL, NULL, 'RELATED TO AP2 1-RELATED', 99385),
(155660, 'PTHR23132:SF23', NULL, NULL, NULL, NULL, 'D-ALANINE--D-ALANINE LIGASE B', 99386),
(155661, 'PTHR45902', NULL, NULL, NULL, NULL, 'LATROPHILIN RECEPTOR-LIKE PROTEIN A', 99387),
(155662, 'PTHR30482:SF18', NULL, NULL, NULL, NULL, 'BRANCHED AMINO ACID TRANSPORT SYSTEM PERMEASE-RELATED', 99388),
(155663, 'PTHR12141:SF4', NULL, NULL, NULL, NULL, 'ARFAPTIN-1', 99389),
(155664, 'PTHR31235:SF163', NULL, NULL, NULL, NULL, 'PEROXIDASE', 99390),
(155665, 'PTHR34659:SF8', NULL, NULL, NULL, NULL, 'BNAA05G11610D PROTEIN', 99391),
(155666, 'PTHR11736:SF23', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B18', 99392),
(155667, 'PTHR19375:SF451', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN, MITOCHONDRIAL', 99393),
(155668, 'PTHR31713:SF71', NULL, NULL, NULL, NULL, 'BNAC02G40040D PROTEIN', 99394),
(155669, 'PTHR47566', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 99395),
(155670, 'PTHR10953', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1', 99396),
(155671, 'PTHR12441', NULL, NULL, NULL, NULL, 'ATP SYNTHASE COUPLING FACTOR 6, MITOCHONDRIAL', 99397),
(155672, 'PTHR11890:SF44', NULL, NULL, NULL, NULL, 'X-LINKED INTERLEUKIN-1 RECEPTOR ACCESSORY PROTEIN-LIKE 2', 99398),
(155673, 'PTHR43329:SF108', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN, EXPRESSED', 99399),
(155674, 'PTHR32285:SF283', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99400),
(155675, 'PTHR14084:SF0', NULL, NULL, NULL, NULL, 'KYNURENINASE', 99401),
(155676, 'PTHR24133:SF37', NULL, NULL, NULL, NULL, 'ASB10 ISOFORM 2', 99402),
(155677, 'PTHR33193:SF43', NULL, NULL, NULL, NULL, 'OS06G0564000 PROTEIN', 99403),
(155678, 'PTHR31094:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99404),
(155679, 'PTHR11254:SF299', NULL, NULL, NULL, NULL, 'NEDD4-LIKE E3 UBIQUITIN-PROTEIN LIGASE WWP1', 99405),
(155680, 'PTHR34466', NULL, NULL, NULL, NULL, 'OS11G0129800 PROTEIN', 99406),
(155681, 'PTHR37416', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 99407);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(155682, 'PTHR14413:SF16', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L17, MITOCHONDRIAL', 99408),
(155683, 'PTHR19282:SF24', NULL, NULL, NULL, NULL, 'UROPLAKIN-1B', 99409),
(155684, 'PTHR23050:SF420', NULL, NULL, NULL, NULL, 'EF HAND-CONTAINING PROTEIN', 99410),
(155685, 'PTHR43872', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02570)-RELATED', 99411),
(155686, 'PTHR26374:SF382', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT5-LIKE', 99412),
(155687, 'PTHR24255', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT 1, S SUBCOMPONENT-RELATED', 99413),
(155688, 'PTHR12027:SF70', NULL, NULL, NULL, NULL, 'PROTEIN WNT-16', 99414),
(155689, 'PTHR10984:SF53', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 5-LIKE PROTEIN (DUF1692)', 99415),
(155690, 'PTHR15715', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 170 KDA', 99416),
(155691, 'PTHR13954:SF17', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE/ENDORIBONUCLEASE IRE1', 99417),
(155692, 'PTHR24366:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99418),
(155693, 'PTHR11064:SF124', NULL, NULL, NULL, NULL, 'HISTONE-FOLD PROTEIN-RELATED', 99419),
(155694, 'PTHR30071', NULL, NULL, NULL, NULL, 'HEME EXPORTER PROTEIN C', 99420),
(155695, 'PTHR33021:SF415', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN-LIKE', 99421),
(155696, 'PTHR31080:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99422),
(155697, 'PTHR12771:SF50', NULL, NULL, NULL, NULL, 'CELL DEATH ABNORMALITY PROTEIN 12', 99423),
(155698, 'PTHR22751:SF284', NULL, NULL, NULL, NULL, 'PROTEIN CBG11279', 99424),
(155699, 'PTHR10663:SF372', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 8', 99425),
(155700, 'PTHR31140:SF114', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR NGA1-RELATED', 99426),
(155701, 'PTHR28637:SF11', NULL, NULL, NULL, NULL, 'CDT1-LIKE PROTEIN A CHLOROPLASTIC', 99427),
(155702, 'PTHR48027:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99428),
(155703, 'PTHR45637:SF22', NULL, NULL, NULL, NULL, 'FLIPPASE KINASE 1-RELATED', 99429),
(155704, 'PTHR46707', NULL, NULL, NULL, NULL, 'PROTEIN CBG07468', 99430),
(155705, 'PTHR11362:SF121', NULL, NULL, NULL, NULL, 'BNACNNG10680D PROTEIN', 99431),
(155706, 'PTHR24349:SF305', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 8', 99432),
(155707, 'PTHR24009:SF32', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 18', 99433),
(155708, 'PTHR21859:SF46', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED 31 SUBFAMILY D, MEMBER 1A-RELATED', 99434),
(155709, 'PTHR16134:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99435),
(155710, 'PTHR31907:SF17', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 28', 99436),
(155711, 'PTHR11255:SF53', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 99437),
(155712, 'PTHR36478:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99438),
(155713, 'PTHR47992:SF158', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 9-RELATED', 99439),
(155714, 'PTHR46128:SF127', NULL, NULL, NULL, NULL, 'BNAA03G51740D PROTEIN', 99440),
(155715, 'PTHR36705:SF7', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE206 PROTEIN', 99441),
(155716, 'PTHR25462:SF281', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 59-RELATED', 99442),
(155717, 'PTHR24299:SF34', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE-LIKE', 99443),
(155718, 'PTHR45969:SF36', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL39-LIKE', 99444),
(155719, 'PTHR24637:SF317', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN DPY-13', 99445),
(155720, 'PTHR10582:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99446),
(155721, 'PTHR11785:SF353', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, PARTIAL (EUROFUNG)-RELATED', 99447),
(155722, 'PTHR10582:SF6', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY V MEMBER 3', 99448),
(155723, 'PTHR23213:SF359', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 99449),
(155724, 'PTHR11654:SF542', NULL, NULL, NULL, NULL, 'BNAC02G42280D PROTEIN', 99450),
(155725, 'PTHR43939:SF22', NULL, NULL, NULL, NULL, 'BASAL BODY COMPONENT', 99451);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(155726, 'PTHR35285', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 4-PHOSPHATE CYTIDYLYLTRANSFERASE', 99452),
(155727, 'PTHR24060:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99453),
(155728, 'PTHR24031:SF359', NULL, NULL, NULL, NULL, 'INITIATION FACTOR 4A-LIKE PROTEIN', 99454),
(155729, 'PTHR45769:SF1', NULL, NULL, NULL, NULL, 'ADENOSINE KINASE 2', 99455),
(155730, 'PTHR12461:SF89', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G06210)-RELATED', 99456),
(155731, 'PTHR35546:SF50', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 99457),
(155732, 'PTHR30345:SF5', NULL, NULL, NULL, NULL, 'GALACTOSE-6-PHOSPHATE ISOMERASE SUBUNIT LACA', 99458),
(155733, 'PTHR48047:SF103', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 99459),
(155734, 'PTHR45180:SF1', NULL, NULL, NULL, NULL, 'OS01G0307686 PROTEIN', 99460),
(155735, 'PTHR43313:SF39', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE', 99461),
(155736, 'PTHR45658:SF58', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 99462),
(155737, 'PTHR32096:SF79', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 99463),
(155738, 'PTHR31303', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 99464),
(155739, 'PTHR27005:SF197', NULL, NULL, NULL, NULL, 'OS04G0366000 PROTEIN', 99465),
(155740, 'PTHR13254:SF1', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 7', 99466),
(155741, 'PTHR33099:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99467),
(155742, 'PTHR46287:SF11', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 4', 99468),
(155743, 'PTHR45908:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG25822', 99469),
(155744, 'PTHR12357:SF98', NULL, NULL, NULL, NULL, 'BNAC01G42630D PROTEIN', 99470),
(155745, 'PTHR10257:SF90', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 99471),
(155746, 'PTHR24055:SF503', NULL, NULL, NULL, NULL, 'SERINE KINASE-LIKE PROTEIN', 99472),
(155747, 'PTHR45005:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 99473),
(155748, 'PTHR22950:SF217', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', 99474),
(155749, 'PTHR20982:SF10', NULL, NULL, NULL, NULL, 'RIBOSOME-RECYCLING FACTOR, MITOCHONDRIAL', 99475),
(155750, 'PTHR24409:SF360', NULL, NULL, NULL, NULL, 'FI01031P', 99476),
(155751, 'PTHR30028:SF1', NULL, NULL, NULL, NULL, 'ALUMINUM SENSITIVE-LIKE PROTEIN', 99477),
(155752, 'PTHR33044:SF116', NULL, NULL, NULL, NULL, 'OS12G0112401 PROTEIN', 99478),
(155753, 'PTHR43214:SF33', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR', 99479),
(155754, 'PTHR24298:SF619', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B36-RELATED', 99480),
(155755, 'PTHR33127:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99481),
(155756, 'PTHR14155:SF560', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL41', 99482),
(155757, 'PTHR47967:SF61', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 99483),
(155758, 'PTHR47990:SF88', NULL, NULL, NULL, NULL, 'BNAA03G57230D PROTEIN', 99484),
(155759, 'PTHR10562:SF62', NULL, NULL, NULL, NULL, 'OS01G0852300 PROTEIN', 99485),
(155760, 'PTHR34043:SF7', NULL, NULL, NULL, NULL, 'BNAA08G20530D PROTEIN', 99486),
(155761, 'PTHR43209', NULL, NULL, NULL, NULL, 'TRNA SULFURTRANSFERASE', 99487),
(155762, 'PTHR43298', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN NORM-RELATED', 99488),
(155763, 'PTHR33127:SF50', NULL, NULL, NULL, NULL, 'OS01G0885800 PROTEIN', 99489),
(155764, 'PTHR11771:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99490),
(155765, 'PTHR22055:SF9', NULL, NULL, NULL, NULL, 'BNAC09G52010D PROTEIN', 99491),
(155766, 'PTHR15096', NULL, NULL, NULL, NULL, 'PROLACTIN-INDUCIBLE PROTEIN/SEMINAL VESICLE ANTIGEN', 99492),
(155767, 'PTHR43900:SF72', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F13', 99493),
(155768, 'PTHR24072:SF277', NULL, NULL, NULL, NULL, 'RHO-RELATED PROTEIN RACJ', 99494),
(155769, 'PTHR10856:SF24', NULL, NULL, NULL, NULL, 'CORONIN-1B', 99495),
(155770, 'PTHR10603', NULL, NULL, NULL, NULL, 'FRAGILE X MENTAL RETARDATION SYNDROME-RELATED PROTEIN', 99496);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(155771, 'PTHR11260:SF587', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99497),
(155772, 'PTHR27008:SF376', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 99498),
(155773, 'PTHR13596:SF8', NULL, NULL, NULL, NULL, 'BNAC08G08770D PROTEIN', 99499),
(155774, 'PTHR12718', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN CWF15', 99500),
(155775, 'PTHR47205:SF1', NULL, NULL, NULL, NULL, 'OS07G0599000 PROTEIN', 99501),
(155776, 'PTHR22571:SF48', NULL, NULL, NULL, NULL, 'FILAGGRIN', 99502),
(155777, 'PTHR10127:SF853', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 99503),
(155778, 'PTHR48171:SF2', NULL, NULL, NULL, NULL, 'PROCESSING PROTEIN PRP39, PUTATIVE-RELATED', 99504),
(155779, 'PTHR45978:SF8', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 1', 99505),
(155780, 'PTHR15096:SF5', NULL, NULL, NULL, NULL, 'PROLACTIN-INDUCIBLE PROTEIN', 99506),
(155781, 'PTHR24414:SF88', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE', 99507),
(155782, 'PTHR22595:SF163', NULL, NULL, NULL, NULL, 'BNAA05G08640D PROTEIN', 99508),
(155783, 'PTHR21268', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 99509),
(155784, 'PTHR43309', NULL, NULL, NULL, NULL, '5-OXOPROLINASE SUBUNIT C', 99510),
(155785, 'PTHR31731:SF126', NULL, NULL, NULL, NULL, 'HYDROPHOBIC SEED PROTEIN', 99511),
(155786, 'PTHR30106:SF2', NULL, NULL, NULL, NULL, 'UPF0324 INNER MEMBRANE PROTEIN YEIH', 99512),
(155787, 'PTHR19288:SF77', NULL, NULL, NULL, NULL, 'PYRIDOXAL (PYRIDOXINE, VITAMIN B6) PHOSPHATASE', 99513),
(155788, 'PTHR31009:SF86', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN ISOFORM 1', 99514),
(155789, 'PTHR11138:SF0', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA FORMYLTRANSFERASE, MITOCHONDRIAL', 99515),
(155790, 'PTHR31232:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99516),
(155791, 'PTHR33431:SF9', NULL, NULL, NULL, NULL, 'ENABLED-LIKE PROTEIN (DUF1635)', 99517),
(155792, 'PTHR16295:SF26', NULL, NULL, NULL, NULL, 'TRAF-TYPE ZINC FINGER PROTEIN', 99518),
(155793, 'PTHR21229:SF52', NULL, NULL, NULL, NULL, 'ZGC:162698', 99519),
(155794, 'PTHR34949:SF9', NULL, NULL, NULL, NULL, 'BNACNNG57150D PROTEIN', 99520),
(155795, 'PTHR47172:SF6', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 15-LIKE', 99521),
(155796, 'PTHR31741:SF48', NULL, NULL, NULL, NULL, 'PEPTIDE-O-FUCOSYLTRANSFERASE', 99522),
(155797, 'PTHR46301:SF34', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 99523),
(155798, 'PTHR33432:SF26', NULL, NULL, NULL, NULL, 'BNAC06G15990D PROTEIN', 99524),
(155799, 'PTHR43107:SF21', NULL, NULL, NULL, NULL, 'FATTY ACID (LONG CHAIN) TRANSPORT PROTEIN, ISOFORM F-RELATED', 99525),
(155800, 'PTHR23423:SF76', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER ALPHA-LIKE PROTEIN 2', 99526),
(155801, 'PTHR28547:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MMS22-LIKE', 99527),
(155802, 'PTHR21470:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99528),
(155803, 'PTHR24356:SF366', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 99529),
(155804, 'PTHR43416:SF24', NULL, NULL, NULL, NULL, 'SUCCINYLTRANSFERASE-RELATED', 99530),
(155805, 'PTHR36572:SF2', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE PROTEIN I', 99531),
(155806, 'PTHR10503', NULL, NULL, NULL, NULL, 'HP1 LIKE (HETEROCHROMATIN PROTEIN)-RELATED', 99532),
(155807, 'PTHR24377:SF189', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 7', 99533),
(155808, 'PTHR16125:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99534),
(155809, 'PTHR33286:SF21', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', 99535),
(155810, 'PTHR11802:SF380', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 99536),
(155811, 'PTHR20859:SF48', NULL, NULL, NULL, NULL, 'INTERLEUKIN-20 RECEPTOR SUBUNIT BETA', 99537),
(155812, 'PTHR45934:SF16', NULL, NULL, NULL, NULL, 'MONOOXYGENASE 1', 99538),
(155813, 'PTHR23266:SF269', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-11-RELATED', 99539),
(155814, 'PTHR31311:SF23', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 5-RELATED', 99540);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(155815, 'PTHR11079:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99541),
(155816, 'PTHR11566:SF84', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 3A-LIKE ISOFORM X1', 99542),
(155817, 'PTHR13301:SF40', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D4', 99543),
(155818, 'PTHR34538:SF10', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 2, PUTATIVE-RELATED', 99544),
(155819, 'PTHR46236:SF13', NULL, NULL, NULL, NULL, 'BNAA09G13170D PROTEIN', 99545),
(155820, 'PTHR33512:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99546),
(155821, 'PTHR46293:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP2', 99547),
(155822, 'PTHR11638:SF168', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPC1, CHLOROPLASTIC', 99548),
(155823, 'PTHR26452:SF318', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9K2', 99549),
(155824, 'PTHR47990:SF18', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 1-LIKE', 99550),
(155825, 'PTHR11799:SF12', NULL, NULL, NULL, NULL, 'SERUM PARAOXONASE/ARYLESTERASE 2', 99551),
(155826, 'PTHR10457:SF6', NULL, NULL, NULL, NULL, 'GALACTOKINASE', 99552),
(155827, 'PTHR12210:SF49', NULL, NULL, NULL, NULL, 'CALCIUM RELEASE-ACTIVATED CALCIUM CHANNEL PROTEIN', 99553),
(155828, 'PTHR33673:SF4', NULL, NULL, NULL, NULL, 'OS01G0193400 PROTEIN', 99554),
(155829, 'PTHR12919:SF35', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S16-LIKE', 99555),
(155830, 'PTHR10337:SF12', NULL, NULL, NULL, NULL, 'SHC-TRANSFORMING PROTEIN 4', 99556),
(155831, 'PTHR42938:SF6', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE', 99557),
(155832, 'PTHR33463:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99558),
(155833, 'PTHR33177:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99559),
(155834, 'PTHR31238:SF209', NULL, NULL, NULL, NULL, 'OXALATE OXIDASE GF-2.8', 99560),
(155835, 'PTHR46559:SF3', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 11', 99561),
(155836, 'PTHR45929:SF2', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCING ADAPTER MOLECULE 1', 99562),
(155837, 'PTHR31734:SF104', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 99563),
(155838, 'PTHR24253:SF35', NULL, NULL, NULL, NULL, 'THREONINE PROTEASE PRSS50-RELATED', 99564),
(155839, 'PTHR45619:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 99565),
(155840, 'PTHR11746:SF211', NULL, NULL, NULL, NULL, 'ORCINOL O-METHYLTRANSFERASE', 99566),
(155841, 'PTHR21419:SF29', NULL, NULL, NULL, NULL, 'LD24894P', 99567),
(155842, 'PTHR48006:SF1', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 99568),
(155843, 'PTHR33374', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 20', 99569),
(155844, 'PTHR48043:SF73', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 99570),
(155845, 'PTHR31225:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99571),
(155846, 'PTHR24055:SF424', NULL, NULL, NULL, NULL, 'OS09G0552300 PROTEIN', 99572),
(155847, 'PTHR46136:SF15', NULL, NULL, NULL, NULL, 'BNAA09G01940D PROTEIN', 99573),
(155848, 'PTHR33882:SF18', NULL, NULL, NULL, NULL, 'BNAC02G43360D PROTEIN', 99574),
(155849, 'PTHR35324:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99575),
(155850, 'PTHR45752:SF121', NULL, NULL, NULL, NULL, 'SI:CH211-106H11.1', 99576),
(155851, 'PTHR37180:SF5', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP13', 99577),
(155852, 'PTHR30126:SF5', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CITR', 99578),
(155853, 'PTHR13301:SF162', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 2 [UDP-FORMING]-RELATED', 99579),
(155854, 'PTHR15012:SF37', NULL, NULL, NULL, NULL, 'PROTEIN SHROOM1', 99580),
(155855, 'PTHR24349:SF376', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 3-LIKE ISOFORM X1', 99581),
(155856, 'PTHR11818:SF101', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN B', 99582),
(155857, 'PTHR38146:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99583),
(155858, 'PTHR23273:SF41', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', 99584),
(155859, 'PTHR18945:SF449', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 99585);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(155860, 'PTHR10501:SF60', NULL, NULL, NULL, NULL, 'RNP (RRM RNA BINDING DOMAIN) CONTAINING', 99586),
(155861, 'PTHR11073:SF14', NULL, NULL, NULL, NULL, 'CALRETICULIN 4', 99587),
(155862, 'PTHR35021:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99588),
(155863, 'PTHR35292:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99589),
(155864, 'PTHR21538:SF19', NULL, NULL, NULL, NULL, 'RHOTEKIN', 99590),
(155865, 'PTHR31923:SF25', NULL, NULL, NULL, NULL, 'BNACNNG24920D PROTEIN', 99591),
(155866, 'PTHR12659:SF7', NULL, NULL, NULL, NULL, 'CROSSVEINLESS C, ISOFORM C', 99592),
(155867, 'PTHR46327:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99593),
(155868, 'PTHR24393:SF92', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 358', 99594),
(155869, 'PTHR10891:SF642', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 6', 99595),
(155870, 'PTHR21028', NULL, NULL, NULL, NULL, 'SI:CH211-156B7.4', 99596),
(155871, 'PTHR23359:SF199', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', 99597),
(155872, 'PTHR47978:SF30', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-33A', 99598),
(155873, 'PTHR13806:SF34', NULL, NULL, NULL, NULL, 'FLOTILLIN-LIKE PROTEIN 6 ISOFORM X1', 99599),
(155874, 'PTHR32063:SF21', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTB', 99600),
(155875, 'PTHR36007:SF3', NULL, NULL, NULL, NULL, 'BNAA06G34080D PROTEIN', 99601),
(155876, 'PTHR10867:SF31', NULL, NULL, NULL, NULL, 'NICOTINAMIDE N-METHYLTRANSFERASE', 99602),
(155877, 'PTHR47372:SF6', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', 99603),
(155878, 'PTHR31945:SF84', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH27', 99604),
(155879, 'PTHR27006:SF344', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 99605),
(155880, 'PTHR33388:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99606),
(155881, 'PTHR22870:SF410', NULL, NULL, NULL, NULL, 'BNAC01G28130D PROTEIN', 99607),
(155882, 'PTHR11994:SF34', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L5 DOMAIN-CONTAINING PROTEIN-RELATED', 99608),
(155883, 'PTHR24291:SF157', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4V2', 99609),
(155884, 'PTHR22422:SF6', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 188', 99610),
(155885, 'PTHR10127:SF814', NULL, NULL, NULL, NULL, 'MEPRIN A SUBUNIT BETA', 99611),
(155886, 'PTHR36222:SF1', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR RV3364C', 99612),
(155887, 'PTHR24006:SF788', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PEPTIDASE 9, Y CHROMOSOME', 99613),
(155888, 'PTHR33673:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99614),
(155889, 'PTHR27006:SF370', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 99615),
(155890, 'PTHR45621:SF155', NULL, NULL, NULL, NULL, 'PROTEIN KINASE APK1A, CHLOROPLASTIC', 99616),
(155891, 'PTHR11306:SF56', NULL, NULL, NULL, NULL, 'NPC INTRACELLULAR CHOLESTEROL TRANSPORTER 2 HOMOLOG A', 99617),
(155892, 'PTHR15344:SF4', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN 2', 99618),
(155893, 'PTHR10201:SF125', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-20', 99619),
(155894, 'PTHR43442:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01024', 99620),
(155895, 'PTHR43400:SF3', NULL, NULL, NULL, NULL, 'ANAEROBIC GLYCEROL-3-PHOSPHATE DEHYDROGENASE SUBUNIT B', 99621),
(155896, 'PTHR30106', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YEIH-RELATED', 99622),
(155897, 'PTHR34737', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 99623),
(155898, 'PTHR24232:SF56', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 55', 99624),
(155899, 'PTHR16266:SF31', NULL, NULL, NULL, NULL, 'WD40 DOMAIN-CONTAINING PROTEIN', 99625),
(155900, 'PTHR30204:SF65', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR TNRA', 99626),
(155901, 'PTHR23362:SF0', NULL, NULL, NULL, NULL, 'OOCYTE AND GERM-LINE RELATED-RELATED', 99627),
(155902, 'PTHR22950:SF259', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORT PROTEIN', 99628),
(155903, 'PTHR14217', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', 99629),
(155904, 'PTHR31529:SF32', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 31', 99630); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(155905, 'PTHR45642:SF69', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL1', 99631),
(155906, 'PTHR42683', NULL, NULL, NULL, NULL, 'ALDEHYDE REDUCTASE', 99632),
(155907, 'PTHR28570:SF2', NULL, NULL, NULL, NULL, 'M18 FAMILY AMINOPEPTIDASE 1-RELATED', 99633),
(155908, 'PTHR33147:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99634),
(155909, 'PTHR46859:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE FRAGILE-X-F-ASSOCIATED PROTEIN', 99635),
(155910, 'PTHR23310:SF99', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A BINDING PROTEIN', 99636),
(155911, 'PTHR43067:SF4', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, ATP-BINDING PROTEIN', 99637),
(155912, 'PTHR10693:SF60', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN WITH RNA BINDING (RRM-RBD-RNP MOTIFS) DOMAIN-CONTAINING PROTEIN', 99638),
(155913, 'PTHR21040:SF4', NULL, NULL, NULL, NULL, 'HEXOSAMINIDASE', 99639),
(155914, 'PTHR13389:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99640),
(155915, 'PTHR47992:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99641),
(155916, 'PTHR24416:SF47', NULL, NULL, NULL, NULL, 'MACROPHAGE COLONY-STIMULATING FACTOR 1 RECEPTOR', 99642),
(155917, 'PTHR11923:SF12', NULL, NULL, NULL, NULL, 'PLATELET GLYCOPROTEIN 4', 99643),
(155918, 'PTHR24391:SF26', NULL, NULL, NULL, NULL, 'HISTONE H4 TRANSCRIPTION FACTOR', 99644),
(155919, 'PTHR46267:SF13', NULL, NULL, NULL, NULL, 'BNAC08G21440D PROTEIN', 99645),
(155920, 'PTHR23236:SF45', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 99646),
(155921, 'PTHR22600:SF12', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 99647),
(155922, 'PTHR47980:SF31', NULL, NULL, NULL, NULL, 'OS05G0461300 PROTEIN', 99648),
(155923, 'PTHR10064:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99649),
(155924, 'PTHR31713:SF61', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN', 99650),
(155925, 'PTHR11920:SF436', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-15-RELATED', 99651),
(155926, 'PTHR12620:SF7', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN AUXILIARY FACTOR 35 KDA SUBUNIT-RELATED PROTEIN 2', 99652),
(155927, 'PTHR24206:SF56', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN E', 99653),
(155928, 'PTHR43180:SF61', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE', 99654),
(155929, 'PTHR15131:SF3', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 1', 99655),
(155930, 'PTHR10336:SF80', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE DELTA-1', 99656),
(155931, 'PTHR14131:SF7', NULL, NULL, NULL, NULL, 'ANOSMIN 1B', 99657),
(155932, 'PTHR11926:SF862', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 99658),
(155933, 'PTHR10394', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', 99659),
(155934, 'PTHR11527:SF183', NULL, NULL, NULL, NULL, '17.8 KDA HEAT SHOCK PROTEIN', 99660),
(155935, 'PTHR10315:SF102', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 99661),
(155936, 'PTHR11364:SF25', NULL, NULL, NULL, NULL, '3-MERCAPTOPYRUVATE SULFURTRANSFERASE', 99662),
(155937, 'PTHR45614:SF105', NULL, NULL, NULL, NULL, 'BNAA02G29060D PROTEIN', 99663),
(155938, 'PTHR23167:SF51', NULL, NULL, NULL, NULL, '[F-ACTIN]-MONOOXYGENASE MICAL3', 99664),
(155939, 'PTHR22950:SF553', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER FAMILY PROTEIN, PUTATIVE-RELATED', 99665),
(155940, 'PTHR24028:SF0', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-10', 99666),
(155941, 'PTHR12411:SF735', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG39-LIKE', 99667),
(155942, 'PTHR47607:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 3', 99668),
(155943, 'PTHR45665:SF36', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', 99669),
(155944, 'PTHR13593:SF32', NULL, NULL, NULL, NULL, 'PI-PLC X DOMAIN-CONTAINING PROTEIN 2', 99670),
(155945, 'PTHR11777', NULL, NULL, NULL, NULL, 'ALANYL-TRNA SYNTHETASE', 99671),
(155946, 'PTHR10805', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT EPSILON', 99672),
(155947, 'PTHR18896:SF133', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ZETA 2', 99673);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(155948, 'PTHR48104:SF1', NULL, NULL, NULL, NULL, 'BNAA02G34110D PROTEIN', 99674),
(155949, 'PTHR11390:SF21', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 3-ALPHA', 99675),
(155950, 'PTHR48001:SF152', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 99676),
(155951, 'PTHR12822:SF11', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', 99677),
(155952, 'PTHR35455', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 99678),
(155953, 'PTHR31683:SF98', NULL, NULL, NULL, NULL, 'PECTATE LYASE 19-RELATED', 99679),
(155954, 'PTHR33149:SF24', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN', 99680),
(155955, 'PTHR19432:SF70', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUC7-RELATED', 99681),
(155956, 'PTHR33085:SF88', NULL, NULL, NULL, NULL, 'OS02G0138600 PROTEIN', 99682),
(155957, 'PTHR12700:SF19', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', 99683),
(155958, 'PTHR11709:SF266', NULL, NULL, NULL, NULL, 'LACCASE-4', 99684),
(155959, 'PTHR43325:SF2', NULL, NULL, NULL, NULL, 'N-FORMYL-4-AMINO-5-AMINOMETHYL-2-METHYLPYRIMIDINE DEFORMYLASE', 99685),
(155960, 'PTHR24366:SF35', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND TRANSMEMBRANE DOMAINS 1', 99686),
(155961, 'PTHR23037:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99687),
(155962, 'PTHR40515', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 99688),
(155963, 'PTHR27007:SF241', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.2-RELATED', 99689),
(155964, 'PTHR13194:SF23', NULL, NULL, NULL, NULL, 'COMPLEX I INTERMEDIATE-ASSOCIATED PROTEIN 30, MITOCHONDRIAL', 99690),
(155965, 'PTHR42938:SF31', NULL, NULL, NULL, NULL, 'BNAA07G31940D PROTEIN', 99691),
(155966, 'PTHR31614:SF20', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 99692),
(155967, 'PTHR12086:SF12', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN-CONTAINING FAMILY MEMBER B', 99693),
(155968, 'PTHR48024:SF12', NULL, NULL, NULL, NULL, 'GEO11133P1', 99694),
(155969, 'PTHR33085:SF13', NULL, NULL, NULL, NULL, 'OS10G0374300 PROTEIN', 99695),
(155970, 'PTHR37526', NULL, NULL, NULL, NULL, 'PROTEIN TUSB', 99696),
(155971, 'PTHR34660:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 99697),
(155972, 'PTHR37987', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', 99698),
(155973, 'PTHR45654:SF37', NULL, NULL, NULL, NULL, 'HOMEODOMAIN LEUCINE ZIPPER FAMILY IV PROTEIN', 99699),
(155974, 'PTHR24089:SF709', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN-RELATED', 99700),
(155975, 'PTHR12112:SF43', NULL, NULL, NULL, NULL, 'ATCAY KINESIN LIGHT CHAIN-INTERACTING CAYTAXIN B', 99701),
(155976, 'PTHR43776:SF6', NULL, NULL, NULL, NULL, 'DIPEPTIDE TRANSPORT ATP-BINDING PROTEIN DPPF', 99702),
(155977, 'PTHR32212:SF306', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 99703),
(155978, 'PTHR45657:SF26', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH12-LIKE ISOFORM X1', 99704),
(155979, 'PTHR48184:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99705),
(155980, 'PTHR34666:SF2', NULL, NULL, NULL, NULL, 'OS02G0554800 PROTEIN', 99706),
(155981, 'PTHR31042:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99707),
(155982, 'PTHR43899:SF35', NULL, NULL, NULL, NULL, 'OS06G0300000 PROTEIN', 99708),
(155983, 'PTHR23138:SF154', NULL, NULL, NULL, NULL, 'BNAA02G21600D PROTEIN', 99709),
(155984, 'PTHR13402:SF6', NULL, NULL, NULL, NULL, 'SECRETORY 16, ISOFORM I', 99710),
(155985, 'PTHR34180', NULL, NULL, NULL, NULL, 'PEPTIDASE C45', 99711),
(155986, 'PTHR10366:SF592', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99712),
(155987, 'PTHR48083:SF9', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE YDIO-RELATED', 99713),
(155988, 'PTHR26379:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99714),
(155989, 'PTHR34670:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99715),
(155990, 'PTHR11889', NULL, NULL, NULL, NULL, 'HEDGEHOG', 99716),
(155991, 'PTHR31750:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99717),
(155992, 'PTHR10628', NULL, NULL, NULL, NULL, 'SIALIDASE', 99718),
(155993, 'PTHR36607:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99719);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(155994, 'PTHR46178:SF3', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 99720),
(155995, 'PTHR44755:SF1', NULL, NULL, NULL, NULL, 'ATRIAL NATRIURETIC PEPTIDE RECEPTOR 3', 99721),
(155996, 'PTHR45684:SF25', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1', 99722),
(155997, 'PTHR37535:SF4', NULL, NULL, NULL, NULL, 'FLUG DOMAIN PROTEIN', 99723),
(155998, 'PTHR46575', NULL, NULL, NULL, NULL, 'AMYLOID PROTEIN-BINDING PROTEIN 2', 99724),
(155999, 'PTHR45694', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN 2', 99725),
(156000, 'PTHR46912:SF2', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 6', 99726),
(156001, 'PTHR11711:SF101', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 99727),
(156002, 'PTHR46450:SF17', NULL, NULL, NULL, NULL, 'BNAA05G33030D PROTEIN', 99728),
(156003, 'PTHR21087:SF10', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE 1, CHLOROPLASTIC', 99729),
(156004, 'PTHR24286:SF305', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 708A2-RELATED', 99730),
(156005, 'PTHR45772', NULL, NULL, NULL, NULL, 'CONSERVED COMPONENT OF ABC TRANSPORTER FOR NATURAL AMINO ACIDS-RELATED', 99731),
(156006, 'PTHR24062:SF92', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 99732),
(156007, 'PTHR24343:SF444', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KSP1', 99733),
(156008, 'PTHR32297', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL MODIFIER 1', 99734),
(156009, 'PTHR10206', NULL, NULL, NULL, NULL, 'CATHELICIDIN', 99735),
(156010, 'PTHR28628:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 88B', 99736),
(156011, 'PTHR35404:SF8', NULL, NULL, NULL, NULL, 'TRANSPOSASE OF TN10', 99737),
(156012, 'PTHR21590:SF4', NULL, NULL, NULL, NULL, 'UPF0606 PROTEIN KIAA1549', 99738),
(156013, 'PTHR43034:SF2', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT C', 99739),
(156014, 'PTHR11941:SF146', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 2, PEROXISOMAL-LIKE', 99740),
(156015, 'PTHR10209:SF758', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 1-LIKE', 99741),
(156016, 'PTHR35179:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99742),
(156017, 'PTHR23288:SF15', NULL, NULL, NULL, NULL, 'OCCLUDIN/ELL DOMAIN-CONTAINING PROTEIN 1', 99743),
(156018, 'PTHR33912:SF8', NULL, NULL, NULL, NULL, 'BNAA09G50560D PROTEIN', 99744),
(156019, 'PTHR33928:SF4', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT3-LIKE', 99745),
(156020, 'PTHR11593:SF34', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L22/L17-RELATED', 99746),
(156021, 'PTHR43077:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT PERMEASE YVFS-RELATED', 99747),
(156022, 'PTHR13120:SF0', NULL, NULL, NULL, NULL, 'PHD FINGER-LIKE DOMAIN-CONTAINING PROTEIN 5A', 99748),
(156023, 'PTHR10366:SF612', NULL, NULL, NULL, NULL, 'OS06G0623600 PROTEIN', 99749),
(156024, 'PTHR37249:SF6', NULL, NULL, NULL, NULL, 'OS03G0206201 PROTEIN', 99750),
(156025, 'PTHR48244:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FLOURY 2', 99751),
(156026, 'PTHR21777:SF0', NULL, NULL, NULL, NULL, 'RCG55159-LIKE', 99752),
(156027, 'PTHR47310:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FLUORESCENT IN BLUE LIGHT, CHLOROPLASTIC', 99753),
(156028, 'PTHR30465:SF43', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERMEASE PROTEIN', 99754),
(156029, 'PTHR11761:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99755),
(156030, 'PTHR48047:SF3', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 99756),
(156031, 'PTHR43719:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99757),
(156032, 'PTHR33528:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99758),
(156033, 'PTHR43275', NULL, NULL, NULL, NULL, 'D-MALATE DEHYDROGENASE [DECARBOXYLATING]', 99759),
(156034, 'PTHR12461:SF36', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN A', 99760),
(156035, 'PTHR24349:SF445', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 32-LIKE', 99761),
(156036, 'PTHR28094:SF1', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 113 PROTEIN', 99762),
(156037, 'PTHR44259:SF64', NULL, NULL, NULL, NULL, 'OS06G0707300 PROTEIN', 99763),
(156038, 'PTHR47533:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG21858', 99764);
INSERT INTO "PUBLIC"."MODEL" VALUES
(156039, 'PTHR45676:SF89', NULL, NULL, NULL, NULL, 'OS01G0213400 PROTEIN', 99765),
(156040, 'PTHR31675:SF26', NULL, NULL, NULL, NULL, 'AXIAL REGULATOR YABBY 1', 99766),
(156041, 'PTHR34120:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99767),
(156042, 'PTHR11955:SF67', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN 10-A, LIVER BASIC-RELATED', 99768),
(156043, 'PTHR33052:SF7', NULL, NULL, NULL, NULL, 'OS03G0298100 PROTEIN', 99769),
(156044, 'PTHR31901:SF84', NULL, NULL, NULL, NULL, 'BNAA03G52620D PROTEIN', 99770),
(156045, 'PTHR12876:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG05767', 99771),
(156046, 'PTHR10194:SF129', NULL, NULL, NULL, NULL, 'NEUROFIBROMIN-A', 99772),
(156047, 'PTHR31595:SF35', NULL, NULL, NULL, NULL, 'OSJNBA0009K15.16 PROTEIN', 99773),
(156048, 'PTHR35325:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN K', 99774),
(156049, 'PTHR33103:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99775),
(156050, 'PTHR35193:SF5', NULL, NULL, NULL, NULL, 'MUCIN 13A, CELL SURFACE-ASSOCIATED-RELATED', 99776),
(156051, 'PTHR21530:SF12', NULL, NULL, NULL, NULL, 'BNAA05G10800D PROTEIN', 99777),
(156052, 'PTHR24281:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99778),
(156053, 'PTHR27005:SF311', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL PSEUDOKINASE ZED1-LIKE', 99779),
(156054, 'PTHR24414:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99780),
(156055, 'PTHR12295:SF31', NULL, NULL, NULL, NULL, 'PROTEIN FURRY HOMOLOG-LIKE', 99781),
(156056, 'PTHR10795:SF455', NULL, NULL, NULL, NULL, 'OS02G0665300 PROTEIN', 99782),
(156057, 'PTHR46128:SF179', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT-LIKE SUPERFAMILY PROTEIN', 99783),
(156058, 'PTHR12205', NULL, NULL, NULL, NULL, 'CENTROMERE/KINETOCHORE PROTEIN ZW10', 99784),
(156059, 'PTHR11014:SF151', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 7', 99785),
(156060, 'PTHR22715', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA REGULATED GENE 1', 99786),
(156061, 'PTHR46353:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 5', 99787),
(156062, 'PTHR11559:SF179', NULL, NULL, NULL, NULL, 'LIVER CARBOXYLESTERASE 1-RELATED', 99788),
(156063, 'PTHR21504', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 99789),
(156064, 'PTHR24068:SF378', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-17 KDA', 99790),
(156065, 'PTHR43888:SF9', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY A MEMBER 4', 99791),
(156066, 'PTHR46325:SF6', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC3', 99792),
(156067, 'PTHR21347:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG10971', 99793),
(156068, 'PTHR32099:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99794),
(156069, 'PTHR17901:SF21', NULL, NULL, NULL, NULL, 'MAGNESIUM-DEPENDENT PHOSPHATASE-LIKE PROTEIN', 99795),
(156070, 'PTHR33203:SF52', NULL, NULL, NULL, NULL, 'OLEOSIN', 99796),
(156071, 'PTHR46869:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE PROTEIN-RELATED', 99797),
(156072, 'PTHR35551:SF1', NULL, NULL, NULL, NULL, 'ACCLIMATION OF PHOTOSYNTHESIS TO ENVIRONMENT', 99798),
(156073, 'PTHR45764:SF7', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY PROTEIN', 99799),
(156074, 'PTHR10615:SF164', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', 99800),
(156075, 'PTHR45811', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY-RELATED', 99801),
(156076, 'PTHR48017:SF112', NULL, NULL, NULL, NULL, 'OS10G0415100 PROTEIN', 99802),
(156077, 'PTHR24096:SF337', NULL, NULL, NULL, NULL, 'SIDEROPHORE BIOSYSNTHESIS PROTEIN-RELATED', 99803),
(156078, 'PTHR11824:SF15', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, VOLTAGE-DEPENDENT, BETA 4B SUBUNIT', 99804),
(156079, 'PTHR10794:SF39', NULL, NULL, NULL, NULL, 'PROTEIN ABHD15', 99805),
(156080, 'PTHR23266:SF307', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-23-RELATED', 99806),
(156081, 'PTHR31681:SF42', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF295)-RELATED', 99807),
(156082, 'PTHR46945:SF2', NULL, NULL, NULL, NULL, 'CYSTATIN-9-LIKE PROTEIN CST9LP1-RELATED', 99808),
(156083, 'PTHR26374:SF396', NULL, NULL, NULL, NULL, 'BNAC09G50520D PROTEIN', 99809);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(156084, 'PTHR48049:SF22', NULL, NULL, NULL, NULL, 'HYDROQUINONE GLUCOSYLTRANSFERASE-RELATED', 99810),
(156085, 'PTHR24286:SF159', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 724, SUBFAMILY A, POLYPEPTIDE 1', 99811),
(156086, 'PTHR43107', NULL, NULL, NULL, NULL, 'LONG-CHAIN FATTY ACID TRANSPORT PROTEIN', 99812),
(156087, 'PTHR14513:SF5', NULL, NULL, NULL, NULL, 'PROTECTION OF TELOMERES PROTEIN 1A-RELATED', 99813),
(156088, 'PTHR48042:SF13', NULL, NULL, NULL, NULL, 'OS07G0288700 PROTEIN', 99814),
(156089, 'PTHR10844:SF19', NULL, NULL, NULL, NULL, 'CAVEOLIN-2', 99815),
(156090, 'PTHR24214:SF5', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN 1', 99816),
(156091, 'PTHR42988:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOHYDROLASE', 99817),
(156092, 'PTHR42985:SF27', NULL, NULL, NULL, NULL, 'GH10366P', 99818),
(156093, 'PTHR38113', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 99819),
(156094, 'PTHR31213:SF73', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL1', 99820),
(156095, 'PTHR11783:SF192', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 99821),
(156096, 'PTHR11654:SF486', NULL, NULL, NULL, NULL, 'BNAC09G43150D PROTEIN', 99822),
(156097, 'PTHR46324:SF14', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 43-LIKE', 99823),
(156098, 'PTHR31568:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99824),
(156099, 'PTHR21646:SF18', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 5', 99825),
(156100, 'PTHR48017:SF157', NULL, NULL, NULL, NULL, 'AND HISTIDINE SPECIFIC TRANSPORTER, PUTATIVE, EXPRESSED-RELATED', 99826),
(156101, 'PTHR11493:SF47', NULL, NULL, NULL, NULL, 'SULFITE REDUCTASE [NADPH] SUBUNIT BETA', 99827),
(156102, 'PTHR15012:SF8', NULL, NULL, NULL, NULL, 'PROTEIN SHROOM2', 99828),
(156103, 'PTHR48210', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 99829),
(156104, 'PTHR31683:SF165', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 99830),
(156105, 'PTHR11461:SF331', NULL, NULL, NULL, NULL, 'ANGIOTENSINOGEN', 99831),
(156106, 'PTHR11570:SF22', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME 4', 99832),
(156107, 'PTHR25465:SF14', NULL, NULL, NULL, NULL, 'BLOODTHIRSTY-RELATED GENE FAMILY, MEMBER 1-RELATED', 99833),
(156108, 'PTHR35444', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700001C19 GENE', 99834),
(156109, 'PTHR31900', NULL, NULL, NULL, NULL, 'F-BOX/RNI SUPERFAMILY PROTEIN-RELATED', 99835),
(156110, 'PTHR11636', NULL, NULL, NULL, NULL, 'POU DOMAIN', 99836),
(156111, 'PTHR46679:SF3', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN', 99837),
(156112, 'PTHR22814:SF293', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 22', 99838),
(156113, 'PTHR47932', NULL, NULL, NULL, NULL, 'ATPASE EXPRESSION PROTEIN 3', 99839),
(156114, 'PTHR34703', NULL, NULL, NULL, NULL, 'ANTIPORTER SUBUNIT MNHG2-RELATED', 99840),
(156115, 'PTHR11261:SF6', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN 3', 99841),
(156116, 'PTHR11306', NULL, NULL, NULL, NULL, 'NIEMANN PICK TYPE C2 PROTEIN NPC2-RELATED', 99842),
(156117, 'PTHR24282:SF213', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99843),
(156118, 'PTHR43462:SF2', NULL, NULL, NULL, NULL, 'THREONYL AND ALANYL TRNA SYNTHETASE SECOND ADDITIONAL DOMAIN-CONTAINING PROTEIN', 99844),
(156119, 'PTHR11106:SF111', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 99845),
(156120, 'PTHR11017:SF397', NULL, NULL, NULL, NULL, 'BNAA04G18550D PROTEIN', 99846),
(156121, 'PTHR24291:SF142', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 97B3, CHLOROPLASTIC', 99847),
(156122, 'PTHR45847:SF2', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE HOMOLOG', 99848),
(156123, 'PTHR31368:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99849),
(156124, 'PTHR23216', NULL, NULL, NULL, NULL, 'NUCLEOLAR AND COILED-BODY PHOSPHOPROTEIN 1', 99850),
(156125, 'PTHR11515:SF13', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONE BETA 5, ISOFORM A', 99851),
(156126, 'PTHR11417:SF37', NULL, NULL, NULL, NULL, 'PROLACTIN-3B1', 99852),
(156127, 'PTHR31953', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV1-RELATED', 99853),
(156128, 'PTHR10539:SF5', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 13 HOMOLOG B', 99854);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(156129, 'PTHR20963:SF8', NULL, NULL, NULL, NULL, 'MULTIPLE INOSITOL POLYPHOSPHATE PHOSPHATASE 1', 99855),
(156130, 'PTHR11571:SF132', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 99856),
(156131, 'PTHR45651:SF91', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL-LIKE PROTEIN', 99857),
(156132, 'PTHR43550:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE 2, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02600)-RELATED', 99858),
(156133, 'PTHR48092:SF21', NULL, NULL, NULL, NULL, 'ESTROGEN-RELATED RECEPTOR DELTA', 99859),
(156134, 'PTHR19211:SF117', NULL, NULL, NULL, NULL, 'NON-TRANSPORTER ABC PROTEIN', 99860),
(156135, 'PTHR31362:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99861),
(156136, 'PTHR13116', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 99862),
(156137, 'PTHR23267:SF343', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-III REGION 50S10.1-RELATED', 99863),
(156138, 'PTHR26379:SF379', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99864),
(156139, 'PTHR45637', NULL, NULL, NULL, NULL, 'FLIPPASE KINASE 1-RELATED', 99865),
(156140, 'PTHR28272:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP3', 99866),
(156141, 'PTHR23262:SF67', NULL, NULL, NULL, NULL, 'HCG2042992-RELATED', 99867),
(156142, 'PTHR47772:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 200', 99868),
(156143, 'PTHR11556:SF38', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE 1A', 99869),
(156144, 'PTHR24414:SF74', NULL, NULL, NULL, NULL, 'BNAA06G37270D PROTEIN', 99870),
(156145, 'PTHR33132:SF62', NULL, NULL, NULL, NULL, 'OS09G0428750 PROTEIN', 99871),
(156146, 'PTHR24104:SF14', NULL, NULL, NULL, NULL, 'NHL REPEAT-CONTAINING PROTEIN 2', 99872),
(156147, 'PTHR48051:SF16', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 2', 99873),
(156148, 'PTHR23248:SF37', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE 3', 99874),
(156149, 'PTHR31933:SF12', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', 99875),
(156150, 'PTHR21495:SF140', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 99876),
(156151, 'PTHR21142', NULL, NULL, NULL, NULL, 'SARCOGLYCANS', 99877),
(156152, 'PTHR45800:SF24', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 4', 99878),
(156153, 'PTHR10795:SF661', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99879),
(156154, 'PTHR15386:SF0', NULL, NULL, NULL, NULL, 'FIBRINOGEN SILENCER-BINDING PROTEIN', 99880),
(156155, 'PTHR21715:SF0', NULL, NULL, NULL, NULL, 'RH04127P', 99881),
(156156, 'PTHR24061:SF457', NULL, NULL, NULL, NULL, 'EC1-V2R PHEROMONE RECEPTOR PROTEIN-RELATED', 99882),
(156157, 'PTHR30177:SF30', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE UPTAKE SYSTEM PERMEASE PROTEIN YEHY', 99883),
(156158, 'PTHR47293:SF57', NULL, NULL, NULL, NULL, 'BNAC04G49240D PROTEIN', 99884),
(156159, 'PTHR24178:SF19', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN AND ANKYRIN REPEAT PROTEIN', 99885),
(156160, 'PTHR11521:SF4', NULL, NULL, NULL, NULL, 'TROPONIN T, FAST SKELETAL MUSCLE', 99886),
(156161, 'PTHR31707:SF131', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 99887),
(156162, 'PTHR47942:SF6', NULL, NULL, NULL, NULL, 'OS02G0679200 PROTEIN', 99888),
(156163, 'PTHR19957:SF3', NULL, NULL, NULL, NULL, 'SYNTAXIN-5', 99889),
(156164, 'PTHR11243:SF4', NULL, NULL, NULL, NULL, 'GROWTH FACTOR RECEPTOR-BOUND PROTEIN 10', 99890),
(156165, 'PTHR22534:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99891),
(156166, 'PTHR10342:SF255', NULL, NULL, NULL, NULL, 'ARYLSULFATASE B', 99892),
(156167, 'PTHR11434:SF16', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT 4L, CHLOROPLASTIC-RELATED', 99893),
(156168, 'PTHR43791:SF63', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CYSTEINE TRANSPORTER', 99894),
(156169, 'PTHR19384:SF84', NULL, NULL, NULL, NULL, 'METHIONINE SYNTHASE REDUCTASE', 99895),
(156170, 'PTHR47632:SF5', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', 99896),
(156171, 'PTHR32295:SF209', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 99897),
(156172, 'PTHR31147:SF58', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 99898); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(156173, 'PTHR10815:SF12', NULL, NULL, NULL, NULL, 'METHYLATED-DNA--PROTEIN-CYSTEINE METHYLTRANSFERASE, INDUCIBLE', 99899),
(156174, 'PTHR11783:SF225', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 99900),
(156175, 'PTHR45229:SF3', NULL, NULL, NULL, NULL, 'CONSTITUTIVE ORNITHINE DECARBOXYLASE', 99901),
(156176, 'PTHR31831:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689065', 99902),
(156177, 'PTHR24349:SF345', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 11-LIKE', 99903),
(156178, 'PTHR13291:SF3', NULL, NULL, NULL, NULL, 'BNAA04G28510D PROTEIN', 99904),
(156179, 'PTHR47365', NULL, NULL, NULL, NULL, 'PLANT PROTEIN, PUTATIVE-RELATED', 99905),
(156180, 'PTHR10057:SF6', NULL, NULL, NULL, NULL, 'TSPO/MBR FAMILY PROTEIN', 99906),
(156181, 'PTHR31685:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YTP1', 99907),
(156182, 'PTHR45760:SF5', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 40', 99908),
(156183, 'PTHR22625:SF59', NULL, NULL, NULL, NULL, 'PLEXIN B1A', 99909),
(156184, 'PTHR31595:SF46', NULL, NULL, NULL, NULL, 'ACYL-COA--STEROL O-ACYLTRANSFERASE 1', 99910),
(156185, 'PTHR24028:SF70', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-C3', 99911),
(156186, 'PTHR34223:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99912),
(156187, 'PTHR10924:SF6', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 49 MEMBER A3', 99913),
(156188, 'PTHR11139:SF110', NULL, NULL, NULL, NULL, 'TRANSCRIPTION-ASSOCIATED PROTEIN 1', 99914),
(156189, 'PTHR36059:SF2', NULL, NULL, NULL, NULL, 'OS02G0175800 PROTEIN', 99915),
(156190, 'PTHR21535:SF95', NULL, NULL, NULL, NULL, 'MGT2 MAGNESIUM TRANSPORTER', 99916),
(156191, 'PTHR31621:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99917),
(156192, 'PTHR43003:SF4', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE', 99918),
(156193, 'PTHR10969:SF70', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8E', 99919),
(156194, 'PTHR11926:SF1373', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 99920),
(156195, 'PTHR43127:SF1', NULL, NULL, NULL, NULL, 'DEVELOPMENTALLY-REGULATED GTP-BINDING PROTEIN 1', 99921),
(156196, 'PTHR20883:SF14', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE-LIKE', 99922),
(156197, 'PTHR28042:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE COMPLEX SLX5-SLX8 SUBUNIT SLX5', 99923),
(156198, 'PTHR11616:SF245', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT NORADRENALINE TRANSPORTER', 99924),
(156199, 'PTHR34348:SF1', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 2', 99925),
(156200, 'PTHR23316:SF7', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-3', 99926),
(156201, 'PTHR45364', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 9-RELATED', 99927),
(156202, 'PTHR27002:SF389', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 36', 99928),
(156203, 'PTHR11654:SF82', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.8', 99929),
(156204, 'PTHR44191:SF32', NULL, NULL, NULL, NULL, 'BNAC07G31380D PROTEIN', 99930),
(156205, 'PTHR10772:SF31', NULL, NULL, NULL, NULL, 'GROES-LIKE', 99931),
(156206, 'PTHR24279:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 11B2, MITOCHONDRIAL', 99932),
(156207, 'PTHR43874:SF143', NULL, NULL, NULL, NULL, 'BNAA02G30670D PROTEIN', 99933),
(156208, 'PTHR43401:SF2', NULL, NULL, NULL, NULL, 'L-THREONINE 3-DEHYDROGENASE', 99934),
(156209, 'PTHR13943:SF76', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC794087', 99935),
(156210, 'PTHR32285:SF268', NULL, NULL, NULL, NULL, 'TRICHOME BIREFRINGENCE-LIKE 20', 99936),
(156211, 'PTHR30466:SF11', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT MONOOXYGENASE, REDUCTASE SUBUNIT HSAB', 99937),
(156212, 'PTHR35176:SF2', NULL, NULL, NULL, NULL, 'F420H(2)-DEPENDENT REDUCTASE RV1155', 99938),
(156213, 'PTHR11711:SF344', NULL, NULL, NULL, NULL, 'ARF6/ARFB-FAMILY SMALL GTPASE', 99939),
(156214, 'PTHR45627:SF6', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 2', 99940),
(156215, 'PTHR22780:SF29', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA', 99941),
(156216, 'PTHR24039:SF26', NULL, NULL, NULL, NULL, 'FIBRILLIN-2', 99942),
(156217, 'PTHR43180:SF63', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03520)-RELATED', 99943);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(156218, 'PTHR23226:SF286', NULL, NULL, NULL, NULL, 'LD08906P-RELATED', 99944),
(156219, 'PTHR46494:SF1', NULL, NULL, NULL, NULL, 'CORA FAMILY METAL ION TRANSPORTER (EUROFUNG)', 99945),
(156220, 'PTHR22958:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99946),
(156221, 'PTHR32343:SF63', NULL, NULL, NULL, NULL, 'ATAXIN-2, NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN PROTEIN-RELATED', 99947),
(156222, 'PTHR46327:SF4', NULL, NULL, NULL, NULL, 'OS02G0542400 PROTEIN', 99948),
(156223, 'PTHR14741:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99949),
(156224, 'PTHR11893:SF18', NULL, NULL, NULL, NULL, 'INNEXIN UNC-7', 99950),
(156225, 'PTHR33700:SF21', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 99951),
(156226, 'PTHR31639:SF191', NULL, NULL, NULL, NULL, 'FBD DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 99952),
(156227, 'PTHR12587:SF20', NULL, NULL, NULL, NULL, 'LIPRIN-ALPHA, ISOFORM E', 99953),
(156228, 'PTHR11680:SF48', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', 99954),
(156229, 'PTHR11362:SF79', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN8', 99955),
(156230, 'PTHR10907:SF65', NULL, NULL, NULL, NULL, 'REGUCALCIN', 99956),
(156231, 'PTHR31506:SF16', NULL, NULL, NULL, NULL, 'PROTEIN BRASSINAZOLE-RESISTANT 1', 99957),
(156232, 'PTHR48063:SF35', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: RECEPTOR-LIKE PROTEIN 12', 99958),
(156233, 'PTHR35701:SF1', NULL, NULL, NULL, NULL, 'OS11G0148400 PROTEIN', 99959),
(156234, 'PTHR46405', NULL, NULL, NULL, NULL, 'OS05G0141500 PROTEIN', 99960),
(156235, 'PTHR31083:SF6', NULL, NULL, NULL, NULL, 'UPSTREAM OF FLC PROTEIN (DUF966)', 99961),
(156236, 'PTHR21523:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99962),
(156237, 'PTHR42718:SF15', NULL, NULL, NULL, NULL, 'METHYLENOMYCIN A RESISTANCE PROTEIN', 99963),
(156238, 'PTHR45707:SF26', NULL, NULL, NULL, NULL, 'PROTEIN QUIRKY-LIKE', 99964),
(156239, 'PTHR13593:SF121', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 99965),
(156240, 'PTHR11960:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99966),
(156241, 'PTHR24233', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR-RELATED G-PROTEIN COUPLED RECEPTOR', 99967),
(156242, 'PTHR34550:SF3', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S31, MITOCHONDRIAL', 99968),
(156243, 'PTHR31065:SF36', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 99969),
(156244, 'PTHR13405:SF11', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP133', 99970),
(156245, 'PTHR44548:SF4', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', 99971),
(156246, 'PTHR34078:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99972),
(156247, 'PTHR12547:SF143', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 39-LIKE', 99973),
(156248, 'PTHR21371:SF20', NULL, NULL, NULL, NULL, 'KETOL-ACID REDUCTOISOMERASE', 99974),
(156249, 'PTHR31589:SF153', NULL, NULL, NULL, NULL, 'BNAC07G15710D PROTEIN', 99975),
(156250, 'PTHR31731:SF97', NULL, NULL, NULL, NULL, '14 KDA PROLINE-RICH PROTEIN DC2.15', 99976),
(156251, 'PTHR31194:SF74', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF3-RELATED', 99977),
(156252, 'PTHR45613:SF179', NULL, NULL, NULL, NULL, 'OS01G0505500 PROTEIN', 99978),
(156253, 'PTHR11096', NULL, NULL, NULL, NULL, 'RNA 3'' TERMINAL PHOSPHATE CYCLASE', 99979),
(156254, 'PTHR21141:SF97', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2-2', 99980),
(156255, 'PTHR33078:SF57', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN H', 99981),
(156256, 'PTHR34203:SF10', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE FKBM', 99982),
(156257, 'PTHR11417:SF35', NULL, NULL, NULL, NULL, 'PROLACTIN-2B1', 99983),
(156258, 'PTHR11793:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2-ALPHA', 99984),
(156259, 'PTHR24241:SF59', NULL, NULL, NULL, NULL, 'ADIPOKINETIC HORMONE RECEPTOR, ISOFORM C', 99985),
(156260, 'PTHR31731:SF115', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 99986),
(156261, 'PTHR16134:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99987);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(156262, 'PTHR33254:SF21', NULL, NULL, NULL, NULL, 'BNAA10G10490D PROTEIN', 99988),
(156263, 'PTHR47746:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99989),
(156264, 'PTHR33101:SF58', NULL, NULL, NULL, NULL, 'BNAANNG34400D PROTEIN', 99990),
(156265, 'PTHR24343:SF465', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 99991),
(156266, 'PTHR37212:SF2', NULL, NULL, NULL, NULL, 'ACTIN PROTEIN 2/3 COMPLEX SUBUNIT-LIKE PROTEIN', 99992),
(156267, 'PTHR42902:SF2', NULL, NULL, NULL, NULL, 'MALATE SYNTHASE-LIKE', 99993),
(156268, 'PTHR11260:SF514', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 99994),
(156269, 'PTHR35294:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 99995),
(156270, 'PTHR23007', NULL, NULL, NULL, NULL, 'CBL', 99996),
(156271, 'PTHR24390:SF83', NULL, NULL, NULL, NULL, 'ZBTB17 ISOFORM 1', 99997),
(156272, 'PTHR18861:SF4', NULL, NULL, NULL, NULL, 'SPINDLE-DEFECTIVE PROTEIN 5', 99998),
(156273, 'PTHR13994', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE RELATED', 99999),
(156274, 'PTHR11468:SF31', NULL, NULL, NULL, NULL, 'ALPHA-1,4 GLUCAN PHOSPHORYLASE', 100000),
(156275, 'PTHR34056:SF8', NULL, NULL, NULL, NULL, 'BNACNNG17710D PROTEIN', 100001),
(156276, 'PTHR24286:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100002),
(156277, 'PTHR16631:SF14', NULL, NULL, NULL, NULL, 'FAMILY 17 GLUCOSIDASE SCW10-RELATED', 100003),
(156278, 'PTHR48047:SF79', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 100004),
(156279, 'PTHR31087:SF8', NULL, NULL, NULL, NULL, 'OS05G0510100 PROTEIN', 100005),
(156280, 'PTHR13683:SF274', NULL, NULL, NULL, NULL, 'PROTEIN ASPARTIC PROTEASE IN GUARD CELL 1', 100006),
(156281, 'PTHR13168:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100007),
(156282, 'PTHR31623:SF39', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', 100008),
(156283, 'PTHR22902:SF11', NULL, NULL, NULL, NULL, 'ZGC:153733', 100009),
(156284, 'PTHR21258:SF47', NULL, NULL, NULL, NULL, 'DOWNSTREAM OF KINASE', 100010),
(156285, 'PTHR10177:SF468', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN CYCLIN', 100011),
(156286, 'PTHR24092:SF175', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 9-RELATED', 100012),
(156287, 'PTHR11746:SF242', NULL, NULL, NULL, NULL, 'BNAA10G07250D PROTEIN', 100013),
(156288, 'PTHR19869:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 31', 100014),
(156289, 'PTHR46324:SF15', NULL, NULL, NULL, NULL, 'BNAC09G42010D PROTEIN', 100015),
(156290, 'PTHR13464:SF0', NULL, NULL, NULL, NULL, 'SAP30-BINDING PROTEIN', 100016),
(156291, 'PTHR23239:SF155', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA2', 100017),
(156292, 'PTHR47293:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100018),
(156293, 'PTHR45674', NULL, NULL, NULL, NULL, 'DNA LIGASE 1/3 FAMILY MEMBER', 100019),
(156294, 'PTHR38687:SF2', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSN', 100020),
(156295, 'PTHR46911', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 100021),
(156296, 'PTHR11926:SF1362', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 100022),
(156297, 'PTHR33649:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100023),
(156298, 'PTHR31692:SF109', NULL, NULL, NULL, NULL, 'EXPANSIN-B4', 100024),
(156299, 'PTHR44436:SF1', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 2', 100025),
(156300, 'PTHR23070:SF116', NULL, NULL, NULL, NULL, 'OS03G0802600 PROTEIN', 100026),
(156301, 'PTHR23272:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 1-LIKE', 100027),
(156302, 'PTHR38733', NULL, NULL, NULL, NULL, 'PROTEIN MCRC', 100028),
(156303, 'PTHR24161:SF52', NULL, NULL, NULL, NULL, 'M-PHASE PHOSPHOPROTEIN 8', 100029),
(156304, 'PTHR46128:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100030),
(156305, 'PTHR11627:SF42', NULL, NULL, NULL, NULL, 'FI19327P1-RELATED', 100031),
(156306, 'PTHR14493:SF108', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 35', 100032),
(156307, 'PTHR24072:SF338', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC1', 100033);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(156308, 'PTHR31621:SF56', NULL, NULL, NULL, NULL, 'OS01G0378600 PROTEIN', 100034),
(156309, 'PTHR27006:SF317', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 100035),
(156310, 'PTHR11746:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100036),
(156311, 'PTHR10867:SF33', NULL, NULL, NULL, NULL, 'INDOLETHYLAMINE N-METHYLTRANSFERASE', 100037),
(156312, 'PTHR33052:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100038),
(156313, 'PTHR11712:SF332', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE II, CHLOROPLASTIC', 100039),
(156314, 'PTHR14614:SF43', NULL, NULL, NULL, NULL, 'OS09G0514300 PROTEIN', 100040),
(156315, 'PTHR31901:SF57', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.17-LIKE ISOFORM X3', 100041),
(156316, 'PTHR13914', NULL, NULL, NULL, NULL, 'PROLINE OXIDASE', 100042),
(156317, 'PTHR45974:SF4', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FEI 1', 100043),
(156318, 'PTHR46646:SF4', NULL, NULL, NULL, NULL, 'OS10G0578000 PROTEIN', 100044),
(156319, 'PTHR48020:SF28', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 100045),
(156320, 'PTHR47993:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 15-RELATED', 100046),
(156321, 'PTHR16222:SF24', NULL, NULL, NULL, NULL, 'ADP-RIBOSE GLYCOHYDROLASE ARH3', 100047),
(156322, 'PTHR31100:SF77', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 100048),
(156323, 'PTHR48007:SF39', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 100049),
(156324, 'PTHR31639:SF216', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 100050),
(156325, 'PTHR33978:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100051),
(156326, 'PTHR32411:SF57', NULL, NULL, NULL, NULL, 'BNAC04G11300D PROTEIN', 100052),
(156327, 'PTHR24373:SF269', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 24', 100053),
(156328, 'PTHR33386:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100054),
(156329, 'PTHR30193', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', 100055),
(156330, 'PTHR34404:SF3', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, FMDB FAMILY', 100056),
(156331, 'PTHR11566:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100057),
(156332, 'PTHR21561:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100058),
(156333, 'PTHR30003:SF0', NULL, NULL, NULL, NULL, 'L-LACTATE PERMEASE', 100059),
(156334, 'PTHR21588:SF18', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN CONTAINING 3', 100060),
(156335, 'PTHR16130:SF2', NULL, NULL, NULL, NULL, 'LYSOSOMAL COBALAMIN TRANSPORTER-RELATED', 100061),
(156336, 'PTHR15710:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PRAJA-2', 100062),
(156337, 'PTHR10701:SF13', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN-ASSOCIATED PROTEIN', 100063),
(156338, 'PTHR23267:SF399', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100064),
(156339, 'PTHR24240:SF138', NULL, NULL, NULL, NULL, 'NOVOPSIN-2', 100065),
(156340, 'PTHR11062:SF247', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', 100066),
(156341, 'PTHR21576:SF105', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', 100067),
(156342, 'PTHR28682:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100068),
(156343, 'PTHR14009:SF33', NULL, NULL, NULL, NULL, 'LETM1-LIKE', 100069),
(156344, 'PTHR43798:SF5', NULL, NULL, NULL, NULL, 'MONOACYLGLYCEROL LIPASE ABHD6', 100070),
(156345, 'PTHR41151', NULL, NULL, NULL, NULL, 'PARTNER OF BURSICON', 100071),
(156346, 'PTHR46776:SF27', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 2', 100072),
(156347, 'PTHR11570:SF15', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME 3', 100073),
(156348, 'PTHR11627:SF71', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 100074),
(156349, 'PTHR35277:SF14', NULL, NULL, NULL, NULL, 'BNAC06G24070D PROTEIN', 100075),
(156350, 'PTHR31469:SF4', NULL, NULL, NULL, NULL, 'OS07G0633600 PROTEIN', 100076);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(156351, 'PTHR47926:SF58', NULL, NULL, NULL, NULL, 'OS07G0191500 PROTEIN', 100077),
(156352, 'PTHR36953', NULL, NULL, NULL, NULL, 'PROTEIN CBG07386-RELATED', 100078),
(156353, 'PTHR46525:SF2', NULL, NULL, NULL, NULL, 'EMB|CAB72159.1', 100079),
(156354, 'PTHR31949:SF6', NULL, NULL, NULL, NULL, 'OS08G0543000 PROTEIN', 100080),
(156355, 'PTHR11132:SF385', NULL, NULL, NULL, NULL, 'OS03G0286300 PROTEIN', 100081),
(156356, 'PTHR11071:SF466', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE A-LIKE 4C-RELATED', 100082),
(156357, 'PTHR23050:SF378', NULL, NULL, NULL, NULL, 'CALMODULIN', 100083),
(156358, 'PTHR11945:SF550', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL13', 100084),
(156359, 'PTHR47147:SF1', NULL, NULL, NULL, NULL, 'SYNCOILIN', 100085),
(156360, 'PTHR47990:SF98', NULL, NULL, NULL, NULL, 'BNAC09G00430D PROTEIN', 100086),
(156361, 'PTHR47855:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100087),
(156362, 'PTHR31769:SF19', NULL, NULL, NULL, NULL, 'OS05G0435300 PROTEIN', 100088),
(156363, 'PTHR10196', NULL, NULL, NULL, NULL, 'SUGAR KINASE', 100089),
(156364, 'PTHR47787:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE-BINDING PROTEIN 1', 100090),
(156365, 'PTHR13193', NULL, NULL, NULL, NULL, 'CGI-140', 100091),
(156366, 'PTHR31942:SF85', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 100092),
(156367, 'PTHR31805:SF16', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN (DUF1421)', 100093),
(156368, 'PTHR32166:SF33', NULL, NULL, NULL, NULL, 'HAT DIMERIZATION DOMAIN-CONTAINING PROTEIN', 100094),
(156369, 'PTHR37610:SF39', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', 100095),
(156370, 'PTHR40940:SF2', NULL, NULL, NULL, NULL, 'BATD', 100096),
(156371, 'PTHR24372:SF70', NULL, NULL, NULL, NULL, 'RELAXIN FAMILY PEPTIDE RECEPTOR 2,-LIKE', 100097),
(156372, 'PTHR47967:SF47', NULL, NULL, NULL, NULL, 'CHLOROPLAST NUCLEOID DNA-BINDING PROTEIN-LIKE', 100098),
(156373, 'PTHR11010:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG14660', 100099),
(156374, 'PTHR23272:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100100),
(156375, 'PTHR34836:SF1', NULL, NULL, NULL, NULL, 'OS06G0188250 PROTEIN', 100101),
(156376, 'PTHR43830:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100102),
(156377, 'PTHR46131', NULL, NULL, NULL, NULL, 'SD08549P', 100103),
(156378, 'PTHR23255:SF96', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN SERINE/THREONINE KINASE', 100104),
(156379, 'PTHR33593', NULL, NULL, NULL, NULL, 'DUF1442 FAMILY PROTEIN', 100105),
(156380, 'PTHR15615:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100106),
(156381, 'PTHR24174', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 1', 100107),
(156382, 'PTHR11685:SF208', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 100108),
(156383, 'PTHR31839:SF44', NULL, NULL, NULL, NULL, 'CBF12C', 100109),
(156384, 'PTHR19851:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100110),
(156385, 'PTHR32261:SF5', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN 4', 100111),
(156386, 'PTHR12620:SF39', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF SMALL SUBUNIT A', 100112),
(156387, 'PTHR10338:SF106', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN H1', 100113),
(156388, 'PTHR12969', NULL, NULL, NULL, NULL, 'NGD5/OSM-6/IFT52', 100114),
(156389, 'PTHR33207:SF55', NULL, NULL, NULL, NULL, 'OS09G0323200 PROTEIN', 100115),
(156390, 'PTHR31948:SF52', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 9', 100116),
(156391, 'PTHR48133:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100117),
(156392, 'PTHR48054:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE FAMILY PROTEIN-RELATED', 100118),
(156393, 'PTHR36143', NULL, NULL, NULL, NULL, 'OS08G0177500 PROTEIN', 100119),
(156394, 'PTHR10891:SF842', NULL, NULL, NULL, NULL, 'SARCOPLASMIC CALCIUM-BINDING PROTEIN-LIKE PROTEIN', 100120),
(156395, 'PTHR15530:SF0', NULL, NULL, NULL, NULL, 'SERTA DOMAIN-CONTAINING PROTEIN 3', 100121),
(156396, 'PTHR47091:SF1', NULL, NULL, NULL, NULL, 'ALPHA-PROTEIN KINASE 3', 100122);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(156397, 'PTHR13520:SF0', NULL, NULL, NULL, NULL, 'RAD50-INTERACTING PROTEIN 1', 100123),
(156398, 'PTHR31207:SF33', NULL, NULL, NULL, NULL, 'BNACNNG22850D PROTEIN', 100124),
(156399, 'PTHR38613', NULL, NULL, NULL, NULL, 'PROTEIN CBG03211-RELATED', 100125),
(156400, 'PTHR36961:SF1', NULL, NULL, NULL, NULL, 'LEUKEMIA-ASSOCIATED PROTEIN 7', 100126),
(156401, 'PTHR11132:SF379', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', 100127),
(156402, 'PTHR35754:SF2', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B', 100128),
(156403, 'PTHR34802:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100129),
(156404, 'PTHR13199:SF21', NULL, NULL, NULL, NULL, 'BNAA02G28390D PROTEIN', 100130),
(156405, 'PTHR46645:SF1', NULL, NULL, NULL, NULL, 'SI:ZFOS-943E10.1', 100131),
(156406, 'PTHR12215:SF10', NULL, NULL, NULL, NULL, 'L-AMINOADIPATE-SEMIALDEHYDE DEHYDROGENASE-PHOSPHOPANTETHEINYL TRANSFERASE', 100132),
(156407, 'PTHR47992:SF145', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', 100133),
(156408, 'PTHR43166:SF7', NULL, NULL, NULL, NULL, 'GLUTAMATE/ASPARTATE IMPORT ATP-BINDING PROTEIN GLTL', 100134),
(156409, 'PTHR24377:SF180', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 23', 100135),
(156410, 'PTHR15497:SF3', NULL, NULL, NULL, NULL, '3-HYDROXYANTHRANILATE 3,4-DIOXYGENASE 2', 100136),
(156411, 'PTHR11206:SF353', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 9-LIKE', 100137),
(156412, 'PTHR23353', NULL, NULL, NULL, NULL, 'RAB-GAP/TBC-RELATED', 100138),
(156413, 'PTHR36901', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED-RELATED', 100139),
(156414, 'PTHR28592', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 1', 100140),
(156415, 'PTHR14950:SF62', NULL, NULL, NULL, NULL, 'DICER-LIKE PROTEIN 1', 100141),
(156416, 'PTHR19879:SF1', NULL, NULL, NULL, NULL, 'CANNONBALL-RELATED', 100142),
(156417, 'PTHR46168:SF7', NULL, NULL, NULL, NULL, 'ARMADILLO/BETA-CATENIN-LIKE REPEAT FAMILY PROTEIN, EXPRESSED', 100143),
(156418, 'PTHR22951:SF22', NULL, NULL, NULL, NULL, 'ENTH/ANTH/VHS SUPERFAMILY PROTEIN', 100144),
(156419, 'PTHR19331:SF461', NULL, NULL, NULL, NULL, 'DMBT1-LIKE PROTEIN-RELATED', 100145),
(156420, 'PTHR23024:SF532', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE', 100146),
(156421, 'PTHR43620:SF6', NULL, NULL, NULL, NULL, 'OS08G0503200 PROTEIN', 100147),
(156422, 'PTHR33044:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100148),
(156423, 'PTHR44329:SF79', NULL, NULL, NULL, NULL, 'OS04G0686650 PROTEIN', 100149),
(156424, 'PTHR11360:SF234', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G05170)-RELATED', 100150),
(156425, 'PTHR31561:SF89', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 100151),
(156426, 'PTHR34050', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 100152),
(156427, 'PTHR43272:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100153),
(156428, 'PTHR48182', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 100154),
(156429, 'PTHR23349:SF59', NULL, NULL, NULL, NULL, 'PANCREAS TRANSCRIPTION FACTOR 1 SUBUNIT ALPHA', 100155),
(156430, 'PTHR10102', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE, MITOCHONDRIAL', 100156),
(156431, 'PTHR43155:SF2', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PA4108', 100157),
(156432, 'PTHR10574:SF36', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT BETA-2', 100158),
(156433, 'PTHR46626:SF1', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B21', 100159),
(156434, 'PTHR33095:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100160),
(156435, 'PTHR46438:SF2', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 100161),
(156436, 'PTHR42905:SF13', NULL, NULL, NULL, NULL, 'CARBOXYVINYL-CARBOXYPHOSPHONATE PHOSPHORYLMUTASE (AFU_ORTHOLOGUE AFUA_2G00120)', 100162),
(156437, 'PTHR43895:SF87', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 100163),
(156438, 'PTHR34667', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE', 100164),
(156439, 'PTHR23353:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100165);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(156440, 'PTHR31232:SF58', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY S1-RELATED', 100166),
(156441, 'PTHR11132:SF373', NULL, NULL, NULL, NULL, 'BNAC05G04440D PROTEIN', 100167),
(156442, 'PTHR19965:SF79', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4A', 100168),
(156443, 'PTHR11005:SF127', NULL, NULL, NULL, NULL, 'LIPASE-RELATED', 100169),
(156444, 'PTHR19862:SF14', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 48', 100170),
(156445, 'PTHR33164:SF5', NULL, NULL, NULL, NULL, 'MULTIPLE ANTIBIOTIC RESISTANCE PROTEIN MARR', 100171),
(156446, 'PTHR11434:SF0', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 4L', 100172),
(156447, 'PTHR47991:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100173),
(156448, 'PTHR45966:SF18', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 100174),
(156449, 'PTHR36332', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN', 100175),
(156450, 'PTHR43200:SF17', NULL, NULL, NULL, NULL, 'PAP-SPECIFIC PHOSPHATASE HAL2-LIKE', 100176),
(156451, 'PTHR32295', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 5-RELATED', 100177),
(156452, 'PTHR31495:SF21', NULL, NULL, NULL, NULL, 'CALEOSIN', 100178),
(156453, 'PTHR44489:SF7', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 86', 100179),
(156454, 'PTHR48018:SF33', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5D13', 100180),
(156455, 'PTHR43685:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CGED', 100181),
(156456, 'PTHR15868', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 6430571L13 GENE, SIMILAR TO G20 PROTEIN', 100182),
(156457, 'PTHR46463:SF6', NULL, NULL, NULL, NULL, 'OS03G0788800 PROTEIN', 100183),
(156458, 'PTHR11452:SF25', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGALACTOSAMINIDASE', 100184),
(156459, 'PTHR46132:SF2', NULL, NULL, NULL, NULL, 'DIGALACTOSYLDIACYLGLYCEROL SYNTHASE 1 CHLOROPLASTIC', 100185),
(156460, 'PTHR23119:SF5', NULL, NULL, NULL, NULL, 'DISKS LARGE HOMOLOG 1', 100186),
(156461, 'PTHR43023:SF6', NULL, NULL, NULL, NULL, 'INTERMEMBRANE PHOSPHOLIPID TRANSPORT SYSTEM ATP-BINDING PROTEIN MLAF', 100187),
(156462, 'PTHR10769', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S28', 100188),
(156463, 'PTHR16399:SF15', NULL, NULL, NULL, NULL, 'GASDERMIN-D', 100189),
(156464, 'PTHR47602:SF2', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP22', 100190),
(156465, 'PTHR45682:SF10', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 13 ISOFORM B', 100191),
(156466, 'PTHR24099:SF18', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM36', 100192),
(156467, 'PTHR24064:SF463', NULL, NULL, NULL, NULL, 'PROTEIN CBG15279', 100193),
(156468, 'PTHR37708', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 100194),
(156469, 'PTHR48063:SF16', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', 100195),
(156470, 'PTHR19308:SF9', NULL, NULL, NULL, NULL, 'OS07G0185200 PROTEIN', 100196),
(156471, 'PTHR42799:SF3', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE A5', 100197),
(156472, 'PTHR45841:SF2', NULL, NULL, NULL, NULL, 'MRNA TURNOVER PROTEIN 4 HOMOLOG', 100198),
(156473, 'PTHR31839:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100199),
(156474, 'PTHR31084:SF14', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN, PUTATIVE, EXPRESSED-RELATED', 100200),
(156475, 'PTHR24253:SF26', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR XII', 100201),
(156476, 'PTHR45614:SF147', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 110', 100202),
(156477, 'PTHR10178', NULL, NULL, NULL, NULL, 'GAG/POL/ENV POLYPROTEIN', 100203),
(156478, 'PTHR31374:SF9', NULL, NULL, NULL, NULL, 'ARABIDOPSIS THALIANA GENOMIC DNA, CHROMOSOME 5, P1 CLONE:MOK16', 100204),
(156479, 'PTHR47214:SF4', NULL, NULL, NULL, NULL, 'BNAA03G17330D PROTEIN', 100205),
(156480, 'PTHR23239:SF180', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 17', 100206),
(156481, 'PTHR10728:SF58', NULL, NULL, NULL, NULL, 'SI:CH73-55I23.1-RELATED', 100207),
(156482, 'PTHR24055:SF138', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 1-LIKE', 100208),
(156483, 'PTHR10891:SF843', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER MEMBRANE REGION, EF-HAND DOMAIN PAIR-RELATED', 100209);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(156484, 'PTHR22603:SF35', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOLAMINE KINASE', 100210),
(156485, 'PTHR11213', NULL, NULL, NULL, NULL, 'GLUCAGON-FAMILY NEUROPEPTIDE', 100211),
(156486, 'PTHR10634:SF73', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 8-LIKE', 100212),
(156487, 'PTHR45719:SF4', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 100213),
(156488, 'PTHR43019:SF45', NULL, NULL, NULL, NULL, 'OS12G0616600 PROTEIN', 100214),
(156489, 'PTHR11176:SF28', NULL, NULL, NULL, NULL, 'BNAC04G00660D PROTEIN', 100215),
(156490, 'PTHR33624:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100216),
(156491, 'PTHR47069:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100217),
(156492, 'PTHR48017:SF156', NULL, NULL, NULL, NULL, 'BNAC04G05480D PROTEIN', 100218),
(156493, 'PTHR34180:SF1', NULL, NULL, NULL, NULL, 'MUTANT TAN', 100219),
(156494, 'PTHR18952:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100220),
(156495, 'PTHR11588:SF298', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 100221),
(156496, 'PTHR28290', NULL, NULL, NULL, NULL, 'ENHANCER OF TRANSLATION TERMINATION 1', 100222),
(156497, 'PTHR47069:SF1', NULL, NULL, NULL, NULL, 'OS02G0181400 PROTEIN', 100223),
(156498, 'PTHR36292', NULL, NULL, NULL, NULL, 'UPF0575 PROTEIN C19ORF67', 100224),
(156499, 'PTHR24298:SF835', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 100225),
(156500, 'PTHR45730:SF70', NULL, NULL, NULL, NULL, 'OS08G0555700 PROTEIN', 100226),
(156501, 'PTHR43072:SF40', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', 100227),
(156502, 'PTHR13120:SF5', NULL, NULL, NULL, NULL, 'BNAC03G71910D PROTEIN', 100228),
(156503, 'PTHR18945:SF444', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 100229),
(156504, 'PTHR30519:SF22', NULL, NULL, NULL, NULL, '5-METHYLTETRAHYDROPTEROYLTRIGLUTAMATE--HOMOCYSTEINE METHYLTRANSFERASE 1', 100230),
(156505, 'PTHR35454', NULL, NULL, NULL, NULL, 'AGAP005206-PA', 100231),
(156506, 'PTHR36744', NULL, NULL, NULL, NULL, 'CYTOCHROME OXIDASE ASSEMBLY PROTEIN', 100232),
(156507, 'PTHR19338:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100233),
(156508, 'PTHR19957:SF136', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN (ZGC:77855)-RELATED', 100234),
(156509, 'PTHR45581:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG10435', 100235),
(156510, 'PTHR46056:SF13', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', 100236),
(156511, 'PTHR33021:SF357', NULL, NULL, NULL, NULL, 'COPPER BINDING PROTEIN 8', 100237),
(156512, 'PTHR15506:SF0', NULL, NULL, NULL, NULL, 'PRION-LIKE PROTEIN DOPPEL', 100238),
(156513, 'PTHR11088:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100239),
(156514, 'PTHR38045', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 100240),
(156515, 'PTHR26454:SF18', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C76', 100241),
(156516, 'PTHR19288:SF44', NULL, NULL, NULL, NULL, 'PHOSPHOLYSINE PHOSPHOHISTIDINE INORGANIC PYROPHOSPHATE PHOSPHATASE', 100242),
(156517, 'PTHR31636:SF43', NULL, NULL, NULL, NULL, 'OS06G0105350 PROTEIN', 100243),
(156518, 'PTHR22906:SF34', NULL, NULL, NULL, NULL, 'PROTEIN CBG17547', 100244),
(156519, 'PTHR31165:SF2', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE2', 100245),
(156520, 'PTHR47488:SF12', NULL, NULL, NULL, NULL, 'PROTEIN PYRICULARIA ORYZAE RESISTANCE 21', 100246),
(156521, 'PTHR22910:SF6', NULL, NULL, NULL, NULL, 'PROTEIN MGARP', 100247),
(156522, 'PTHR31674:SF70', NULL, NULL, NULL, NULL, 'BNAA05G27890D PROTEIN', 100248),
(156523, 'PTHR48018:SF86', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 100249),
(156524, 'PTHR21327', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE II-RELATED', 100250),
(156525, 'PTHR33878:SF4', NULL, NULL, NULL, NULL, 'OS02G0533800 PROTEIN', 100251),
(156526, 'PTHR45508:SF1', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 9, CHLOROPLASTIC', 100252),
(156527, 'PTHR11760:SF21', NULL, NULL, NULL, NULL, 'GOLGI TO ER TRAFFIC PROTEIN 1', 100253),
(156528, 'PTHR42893:SF29', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 100254); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(156529, 'PTHR31731:SF106', NULL, NULL, NULL, NULL, 'BNAC01G31700D PROTEIN', 100255),
(156530, 'PTHR16024:SF4', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', 100256),
(156531, 'PTHR33971:SF4', NULL, NULL, NULL, NULL, 'OS07G0682700 PROTEIN', 100257),
(156532, 'PTHR10117:SF56', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 1', 100258),
(156533, 'PTHR31790:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100259),
(156534, 'PTHR35126:SF1', NULL, NULL, NULL, NULL, 'SLR0598 PROTEIN', 100260),
(156535, 'PTHR31339:SF79', NULL, NULL, NULL, NULL, 'SMALL RNA 2''-O-METHYLTRANSFERASE', 100261),
(156536, 'PTHR39377', NULL, NULL, NULL, NULL, 'PROTEIN CBG18423-RELATED', 100262),
(156537, 'PTHR23050:SF439', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN', 100263),
(156538, 'PTHR32256:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100264),
(156539, 'PTHR46123:SF5', NULL, NULL, NULL, NULL, 'DOUBLE HOMEOBOX B', 100265),
(156540, 'PTHR11961:SF25', NULL, NULL, NULL, NULL, 'CYTOCHROME C', 100266),
(156541, 'PTHR35510:SF2', NULL, NULL, NULL, NULL, 'OS08G0520600 PROTEIN', 100267),
(156542, 'PTHR22797', NULL, NULL, NULL, NULL, 'CARD6/NUCLEOLAR PROTEIN 3', 100268),
(156543, 'PTHR46440:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D12', 100269),
(156544, 'PTHR11732:SF399', NULL, NULL, NULL, NULL, 'GLYCEROL 2-DEHYDROGENASE (NADP(+))-RELATED', 100270),
(156545, 'PTHR31707:SF221', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN-RELATED', 100271),
(156546, 'PTHR11292', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD8 BETA CHAIN', 100272),
(156547, 'PTHR23050:SF427', NULL, NULL, NULL, NULL, 'CALMODULIN-1', 100273),
(156548, 'PTHR10869:SF152', NULL, NULL, NULL, NULL, 'PROLINE HYDROXYLASE', 100274),
(156549, 'PTHR48047:SF121', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73C4', 100275),
(156550, 'PTHR31953:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100276),
(156551, 'PTHR36324:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100277),
(156552, 'PTHR15001', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 123-RELATED', 100278),
(156553, 'PTHR13275', NULL, NULL, NULL, NULL, 'YL-1 PROTEIN  TRANSCRIPTION FACTOR-LIKE 1', 100279),
(156554, 'PTHR12247:SF129', NULL, NULL, NULL, NULL, 'RE68603P', 100280),
(156555, 'PTHR48000:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100281),
(156556, 'PTHR31769:SF80', NULL, NULL, NULL, NULL, 'BNAC09G40750D PROTEIN', 100282),
(156557, 'PTHR34722:SF2', NULL, NULL, NULL, NULL, 'HOMOLOG OF ODR-2 (TWO)', 100283),
(156558, 'PTHR10801', NULL, NULL, NULL, NULL, '24-DEHYDROCHOLESTEROL REDUCTASE', 100284),
(156559, 'PTHR45760:SF8', NULL, NULL, NULL, NULL, 'BNACNNG35730D PROTEIN', 100285),
(156560, 'PTHR28525:SF4', NULL, NULL, NULL, NULL, 'REACTIVE OXYGEN SPECIES MODULATOR 1', 100286),
(156561, 'PTHR34005:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG13609', 100287),
(156562, 'PTHR32448:SF108', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN-RELATED', 100288),
(156563, 'PTHR31901:SF79', NULL, NULL, NULL, NULL, 'GH3 FAMILY-RELATED', 100289),
(156564, 'PTHR12537:SF137', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 26-RELATED', 100290),
(156565, 'PTHR22747:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100291),
(156566, 'PTHR26453:SF12', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 100292),
(156567, 'PTHR10794:SF84', NULL, NULL, NULL, NULL, 'ESTERASE/LIPASE/THIOESTERASE FAMILY PROTEIN', 100293),
(156568, 'PTHR12883', NULL, NULL, NULL, NULL, 'ADIPOCYTE-SPECIFIC PROTEIN 4-RELATED', 100294),
(156569, 'PTHR16483:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100295),
(156570, 'PTHR23429:SF4', NULL, NULL, NULL, NULL, 'INACTIVE GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE 4, CHLOROPLASTIC', 100296),
(156571, 'PTHR14150', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 14', 100297),
(156572, 'PTHR31949:SF5', NULL, NULL, NULL, NULL, 'OS05G0480600 PROTEIN', 100298),
(156573, 'PTHR10682:SF19', NULL, NULL, NULL, NULL, 'POLY(A) POLYMERASE BETA', 100299),
(156574, 'PTHR11142:SF9', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE-RELATED', 100300);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(156575, 'PTHR23002:SF53', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 13', 100301),
(156576, 'PTHR22426:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100302),
(156577, 'PTHR34978:SF4', NULL, NULL, NULL, NULL, 'SLR0241 PROTEIN', 100303),
(156578, 'PTHR10315:SF117', NULL, NULL, NULL, NULL, 'IP10571P', 100304),
(156579, 'PTHR31213:SF62', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE 2-LIKE', 100305),
(156580, 'PTHR31517:SF73', NULL, NULL, NULL, NULL, 'PEROXIDASE', 100306),
(156581, 'PTHR11079:SF161', NULL, NULL, NULL, NULL, 'GUANINE DEAMINASE', 100307),
(156582, 'PTHR48035:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100308),
(156583, 'PTHR46828:SF3', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE', 100309),
(156584, 'PTHR18966:SF396', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 1-LIKE PROTEIN', 100310),
(156585, 'PTHR13396:SF4', NULL, NULL, NULL, NULL, 'NEDD4 FAMILY-INTERACTING PROTEIN 2', 100311),
(156586, 'PTHR23502:SF36', NULL, NULL, NULL, NULL, 'VITAMIN B6 TRANSPORTER BSU1', 100312),
(156587, 'PTHR15670', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN 11A', 100313),
(156588, 'PTHR10872:SF1', NULL, NULL, NULL, NULL, 'SH2B ADAPTER PROTEIN 3', 100314),
(156589, 'PTHR22870:SF394', NULL, NULL, NULL, NULL, 'RETINITIS PIGMENTOSA GTPASE REGULATOR A-RELATED', 100315),
(156590, 'PTHR45333:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 100316),
(156591, 'PTHR43078:SF24', NULL, NULL, NULL, NULL, 'OS05G0363200 PROTEIN', 100317),
(156592, 'PTHR12565:SF394', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH137', 100318),
(156593, 'PTHR24356', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 100319),
(156594, 'PTHR10390:SF59', NULL, NULL, NULL, NULL, 'SIX HOMEOBOX 9', 100320),
(156595, 'PTHR45744:SF14', NULL, NULL, NULL, NULL, 'TYROSINE AMINOTRANSFERASE-LIKE', 100321),
(156596, 'PTHR33142:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100322),
(156597, 'PTHR13610:SF11', NULL, NULL, NULL, NULL, 'FAM173 FAMILY', 100323),
(156598, 'PTHR11915:SF425', NULL, NULL, NULL, NULL, 'ALPHA-ACTININ-4', 100324),
(156599, 'PTHR24404:SF74', NULL, NULL, NULL, NULL, 'ENHANCER OF HAND MUTATION HND-1-RELATED', 100325),
(156600, 'PTHR11905:SF38', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 33', 100326),
(156601, 'PTHR10666:SF355', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-LIKE', 100327),
(156602, 'PTHR21700:SF17', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE-LIKE PROTEIN', 100328),
(156603, 'PTHR43846:SF1', NULL, NULL, NULL, NULL, 'UPF0176 PROTEIN YCEA', 100329),
(156604, 'PTHR21695:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 414', 100330),
(156605, 'PTHR33420:SF11', NULL, NULL, NULL, NULL, 'FIMBRIAL-LIKE PROTEIN-RELATED', 100331),
(156606, 'PTHR24134:SF11', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 4 INHIBITOR C-RELATED', 100332),
(156607, 'PTHR45730:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100333),
(156608, 'PTHR24355:SF11', NULL, NULL, NULL, NULL, 'RHODOPSIN KINASE', 100334),
(156609, 'PTHR33338:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100335),
(156610, 'PTHR14093:SF19', NULL, NULL, NULL, NULL, 'THYROGLOBULIN', 100336),
(156611, 'PTHR31614:SF27', NULL, NULL, NULL, NULL, 'BNAC09G52000D PROTEIN', 100337),
(156612, 'PTHR24012:SF830', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100338),
(156613, 'PTHR45786:SF40', NULL, NULL, NULL, NULL, 'BNACNNG58630D PROTEIN', 100339),
(156614, 'PTHR23316:SF28', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', 100340),
(156615, 'PTHR42740:SF2', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC1', 100341),
(156616, 'PTHR15907:SF185', NULL, NULL, NULL, NULL, 'PLAC8 MOTIF-CONTAINING PROTEIN-RELATED', 100342),
(156617, 'PTHR33021:SF342', NULL, NULL, NULL, NULL, 'MAVICYANIN-LIKE', 100343),
(156618, 'PTHR37714:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100344),
(156619, 'PTHR48002:SF46', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 100345),
(156620, 'PTHR12411:SF725', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE XCP1-LIKE', 100346),
(156621, 'PTHR11782:SF93', NULL, NULL, NULL, NULL, 'APYRASE 1', 100347);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(156622, 'PTHR46059:SF3', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDE ALPHA-2,6-SIALYLTRANSFERASE 2', 100348),
(156623, 'PTHR43880:SF23', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1A', 100349),
(156624, 'PTHR11315:SF17', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL HYDROLASE', 100350),
(156625, 'PTHR47616:SF1', NULL, NULL, NULL, NULL, 'CHOLESTERYL ESTER TRANSFER PROTEIN', 100351),
(156626, 'PTHR47950:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 100352),
(156627, 'PTHR48042:SF9', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORTER FAMILY PROTEIN, EXPRESSED', 100353),
(156628, 'PTHR11806:SF2', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE--TRNA-(URACIL-5-)-METHYLTRANSFERASE TRMFO', 100354),
(156629, 'PTHR45744:SF2', NULL, NULL, NULL, NULL, 'TYROSINE AMINOTRANSFERASE', 100355),
(156630, 'PTHR12374:SF21', NULL, NULL, NULL, NULL, 'SWIRM DOMAIN-CONTAINING PROTEIN FUN19-RELATED', 100356),
(156631, 'PTHR13295', NULL, NULL, NULL, NULL, 'GLUTAMATE CYSTEINE LIGASE REGULATORY SUBUNIT', 100357),
(156632, 'PTHR11905:SF237', NULL, NULL, NULL, NULL, 'MIND-MELD, ISOFORM J', 100358),
(156633, 'PTHR24326:SF122', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-7', 100359),
(156634, 'PTHR48078:SF15', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE', 100360),
(156635, 'PTHR31157:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100361),
(156636, 'PTHR10652:SF2', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN 2', 100362),
(156637, 'PTHR46054:SF2', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN STAUFEN HOMOLOG 1', 100363),
(156638, 'PTHR16294', NULL, NULL, NULL, NULL, 'DYSTROBREVIN BINDING PROTEIN 1  DYSBINDIN', 100364),
(156639, 'PTHR46220:SF12', NULL, NULL, NULL, NULL, 'C2 DOMAIN, ARF GTPASE ACTIVATING PROTEIN-RELATED', 100365),
(156640, 'PTHR22751:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 100366),
(156641, 'PTHR47938:SF6', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 100367),
(156642, 'PTHR15493:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 43', 100368),
(156643, 'PTHR38592', NULL, NULL, NULL, NULL, 'BLL4819 PROTEIN', 100369),
(156644, 'PTHR47925:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100370),
(156645, 'PTHR13410:SF9', NULL, NULL, NULL, NULL, 'PROTEIN PBDC1', 100371),
(156646, 'PTHR46151', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN-LIKE 2', 100372),
(156647, 'PTHR32080:SF43', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 100373),
(156648, 'PTHR34211:SF4', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN', 100374),
(156649, 'PTHR45863:SF20', NULL, NULL, NULL, NULL, 'KINASE WITH TETRATRICOPEPTIDE REPEAT DOMAIN-CONTAINING PROTEIN', 100375),
(156650, 'PTHR10252', NULL, NULL, NULL, NULL, 'HISTONE-LIKE TRANSCRIPTION FACTOR CCAAT-RELATED', 100376),
(156651, 'PTHR31282:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100377),
(156652, 'PTHR10615:SF194', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY PROTEIN-RELATED', 100378),
(156653, 'PTHR22767:SF5', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 16, NATA AUXILIARY SUBUNIT', 100379),
(156654, 'PTHR45722:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-LIKE', 100380),
(156655, 'PTHR46442:SF5', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 100381),
(156656, 'PTHR11886:SF48', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 100382),
(156657, 'PTHR43689:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100383),
(156658, 'PTHR19981', NULL, NULL, NULL, NULL, 'TALIN', 100384),
(156659, 'PTHR23116:SF36', NULL, NULL, NULL, NULL, 'HARMONIN', 100385),
(156660, 'PTHR48047:SF14', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 100386),
(156661, 'PTHR15282:SF10', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY E MEMBER 1-RELATED', 100387),
(156662, 'PTHR35897', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE AUSD', 100388),
(156663, 'PTHR21724:SF101', NULL, NULL, NULL, NULL, 'PROTEIN CBG01620', 100389),
(156664, 'PTHR16223:SF56', NULL, NULL, NULL, NULL, 'OS01G0105700 PROTEIN', 100390);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(156665, 'PTHR31591:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00330)-RELATED', 100391),
(156666, 'PTHR35533:SF13', NULL, NULL, NULL, NULL, 'CONSERVED REPEAT DOMAIN PROTEIN', 100392),
(156667, 'PTHR11403', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT III', 100393),
(156668, 'PTHR10271:SF4', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 2', 100394),
(156669, 'PTHR24414:SF120', NULL, NULL, NULL, NULL, 'BNAA04G15770D PROTEIN', 100395),
(156670, 'PTHR21716:SF9', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YTVI-RELATED', 100396),
(156671, 'PTHR15545', NULL, NULL, NULL, NULL, 'PDZ DOMAIN CONTAINING RING FINGER PROTEIN 3, 4', 100397),
(156672, 'PTHR32001:SF2', NULL, NULL, NULL, NULL, 'BNAA06G15370D PROTEIN', 100398),
(156673, 'PTHR35311:SF8', NULL, NULL, NULL, NULL, 'INTERACTING FAMILY PROTEIN, PUTATIVE-RELATED', 100399),
(156674, 'PTHR11081:SF51', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE 1', 100400),
(156675, 'PTHR47746:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100401),
(156676, 'PTHR10026:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100402),
(156677, 'PTHR45809:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100403),
(156678, 'PTHR34701', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MRAZ', 100404),
(156679, 'PTHR38710:SF1', NULL, NULL, NULL, NULL, 'WITH PUTATIVE URIDYL PYROPHOSPHORYLASE-RELATED', 100405),
(156680, 'PTHR39948:SF1', NULL, NULL, NULL, NULL, 'GEO11419P1', 100406),
(156681, 'PTHR31741:SF2', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 13', 100407),
(156682, 'PTHR36813:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 100408),
(156683, 'PTHR24072:SF294', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC9', 100409),
(156684, 'PTHR34539:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100410),
(156685, 'PTHR11668:SF421', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 100411),
(156686, 'PTHR13293:SF8', NULL, NULL, NULL, NULL, 'AKIRIN-2', 100412),
(156687, 'PTHR31675:SF37', NULL, NULL, NULL, NULL, 'FAS PROTEIN', 100413),
(156688, 'PTHR14320:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 181', 100414),
(156689, 'PTHR20859:SF54', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA/BETA RECEPTOR 1', 100415),
(156690, 'PTHR45730:SF76', NULL, NULL, NULL, NULL, 'BNAC02G44440D PROTEIN', 100416),
(156691, 'PTHR48100:SF17', NULL, NULL, NULL, NULL, 'PHOSPHOMUTASE-LIKE PROTEIN 3', 100417),
(156692, 'PTHR46905:SF13', NULL, NULL, NULL, NULL, 'BNAANNG19840D PROTEIN', 100418),
(156693, 'PTHR12763:SF47', NULL, NULL, NULL, NULL, 'OS01G0157800 PROTEIN', 100419),
(156694, 'PTHR46371:SF14', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 16', 100420),
(156695, 'PTHR12913:SF2', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING E1, RNA-BINDING', 100421),
(156696, 'PTHR10826:SF24', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCOPROTEIN FAMILY PROTEIN', 100422),
(156697, 'PTHR47927:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 100423),
(156698, 'PTHR11783:SF73', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 1C2', 100424),
(156699, 'PTHR24062:SF170', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 100425),
(156700, 'PTHR27006:SF309', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100426),
(156701, 'PTHR11360:SF27', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 4', 100427),
(156702, 'PTHR31415:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100428),
(156703, 'PTHR36531:SF6', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED EXONUCLEASE CAS4', 100429),
(156704, 'PTHR31235:SF286', NULL, NULL, NULL, NULL, 'PEROXIDASE', 100430),
(156705, 'PTHR11863:SF164', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 1-3', 100431),
(156706, 'PTHR46187:SF3', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE 3', 100432),
(156707, 'PTHR11054:SF10', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', 100433),
(156708, 'PTHR11977:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100434),
(156709, 'PTHR47737', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE/PROLINE BETAINE TRANSPORT SYSTEM PERMEASE PROTEIN PROW', 100435);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(156710, 'PTHR24637:SF237', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 1', 100436),
(156711, 'PTHR47989:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100437),
(156712, 'PTHR24393:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 729', 100438),
(156713, 'PTHR10984:SF72', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM VESICLE TRANSPORTER-RELATED', 100439),
(156714, 'PTHR14132:SF3', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT GAMMA', 100440),
(156715, 'PTHR23356:SF16', NULL, NULL, NULL, NULL, 'PROTEIN DPY-30 HOMOLOG', 100441),
(156716, 'PTHR19316:SF31', NULL, NULL, NULL, NULL, 'FES1B', 100442),
(156717, 'PTHR31595:SF1', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 3-RELATED', 100443),
(156718, 'PTHR46128:SF199', NULL, NULL, NULL, NULL, 'BNAA09G55100D PROTEIN', 100444),
(156719, 'PTHR32021:SF29', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 100445),
(156720, 'PTHR15382:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CANOPY HOMOLOG 4', 100446),
(156721, 'PTHR46859:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE FRAGILE-X-F-ASSOCIATED PROTEIN', 100447),
(156722, 'PTHR11732:SF388', NULL, NULL, NULL, NULL, 'OS10G0113723 PROTEIN', 100448),
(156723, 'PTHR10663:SF364', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100449),
(156724, 'PTHR14000:SF17', NULL, NULL, NULL, NULL, 'OS01G0581900 PROTEIN', 100450),
(156725, 'PTHR11214:SF212', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT2', 100451),
(156726, 'PTHR33831:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100452),
(156727, 'PTHR33493:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100453),
(156728, 'PTHR27006:SF300', NULL, NULL, NULL, NULL, 'COLD-RESPONSIVE PROTEIN KINASE 1', 100454),
(156729, 'PTHR46061:SF1', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE RECEPTOR 3', 100455),
(156730, 'PTHR21087:SF21', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE 2', 100456),
(156731, 'PTHR31362:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE STELLO2-RELATED', 100457),
(156732, 'PTHR39410:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930558K02 GENE', 100458),
(156733, 'PTHR31874:SF26', NULL, NULL, NULL, NULL, 'OS06G0264200 PROTEIN', 100459),
(156734, 'PTHR47985:SF27', NULL, NULL, NULL, NULL, 'BNAC08G43510D PROTEIN', 100460),
(156735, 'PTHR30368:SF2', NULL, NULL, NULL, NULL, 'SULFATE-BINDING PROTEIN', 100461),
(156736, 'PTHR13690:SF117', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', 100462),
(156737, 'PTHR25464:SF2', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 2-LIKE PROTEIN', 100463),
(156738, 'PTHR27007:SF308', NULL, NULL, NULL, NULL, 'BNAA07G02650D PROTEIN', 100464),
(156739, 'PTHR23024:SF224', NULL, NULL, NULL, NULL, 'OS01G0155000 PROTEIN', 100465),
(156740, 'PTHR13282:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FAM32A-LIKE', 100466),
(156741, 'PTHR31388:SF2', NULL, NULL, NULL, NULL, 'PEROXIDASE 17', 100467),
(156742, 'PTHR23024:SF396', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100468),
(156743, 'PTHR11945:SF410', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL65', 100469),
(156744, 'PTHR33626', NULL, NULL, NULL, NULL, 'ZGC:158463', 100470),
(156745, 'PTHR24067:SF312', NULL, NULL, NULL, NULL, 'OS01G0839700 PROTEIN', 100471),
(156746, 'PTHR31719:SF182', NULL, NULL, NULL, NULL, 'XYLEM NAC DOMAIN 1-RELATED', 100472),
(156747, 'PTHR32481:SF12', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE SGCX-RELATED', 100473),
(156748, 'PTHR33386:SF1', NULL, NULL, NULL, NULL, 'F12A21.18-RELATED', 100474),
(156749, 'PTHR47820:SF6', NULL, NULL, NULL, NULL, 'BNAA05G08970D PROTEIN', 100475),
(156750, 'PTHR10641:SF1270', NULL, NULL, NULL, NULL, 'BNACNNG43220D PROTEIN', 100476),
(156751, 'PTHR35718:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 100477),
(156752, 'PTHR24221:SF522', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100478),
(156753, 'PTHR36474', NULL, NULL, NULL, NULL, 'PROTEIN LIAT1', 100479),
(156754, 'PTHR11802:SF262', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 100480),
(156755, 'PTHR43345:SF5', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE SMALL SUBUNIT', 100481);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(156756, 'PTHR34195:SF4', NULL, NULL, NULL, NULL, 'BNAC03G70700D PROTEIN', 100482),
(156757, 'PTHR23428:SF251', NULL, NULL, NULL, NULL, 'HISTONE H2B.9', 100483),
(156758, 'PTHR23522:SF10', NULL, NULL, NULL, NULL, '3-PHENYLPROPIONIC ACID TRANSPORTER-RELATED', 100484),
(156759, 'PTHR32005', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 178B-RELATED', 100485),
(156760, 'PTHR19855:SF28', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 4', 100486),
(156761, 'PTHR12346:SF25', NULL, NULL, NULL, NULL, 'OS05G0588700 PROTEIN', 100487),
(156762, 'PTHR24356:SF1', NULL, NULL, NULL, NULL, 'DROP OUT, ISOFORM A', 100488),
(156763, 'PTHR31683:SF160', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 100489),
(156764, 'PTHR45798:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100490),
(156765, 'PTHR31009:SF113', NULL, NULL, NULL, NULL, 'BNAC02G45360D PROTEIN', 100491),
(156766, 'PTHR31662:SF32', NULL, NULL, NULL, NULL, 'OS09G0101300 PROTEIN', 100492),
(156767, 'PTHR46225:SF9', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 100493),
(156768, 'PTHR28221', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN6', 100494),
(156769, 'PTHR23155:SF1096', NULL, NULL, NULL, NULL, 'OS03G0379801 PROTEIN', 100495),
(156770, 'PTHR11926:SF1380', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100496),
(156771, 'PTHR11346:SF120', NULL, NULL, NULL, NULL, 'GALACTOSIDE-BINDING SOLUBLE LECTIN 13', 100497),
(156772, 'PTHR31142:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100498),
(156773, 'PTHR45806:SF1', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN HOMOLOG YKT6', 100499),
(156774, 'PTHR31194:SF1', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERN2', 100500),
(156775, 'PTHR24055:SF474', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 100501),
(156776, 'PTHR14581', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 100502),
(156777, 'PTHR10173:SF54', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE MSRB', 100503),
(156778, 'PTHR37524', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE M', 100504),
(156779, 'PTHR34671:SF15', NULL, NULL, NULL, NULL, 'BNAA03G18930D PROTEIN', 100505),
(156780, 'PTHR11699:SF232', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE 9 FAMILY, MEMBER A1A, TANDEM DUPLICATE 2-RELATED', 100506),
(156781, 'PTHR13479:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100507),
(156782, 'PTHR43134', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE RECEPTOR SUBUNIT ALPHA', 100508),
(156783, 'PTHR48054:SF4', NULL, NULL, NULL, NULL, 'OS05G0530701 PROTEIN', 100509),
(156784, 'PTHR42721:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100510),
(156785, 'PTHR33403:SF27', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1-LIKE 2', 100511),
(156786, 'PTHR15961:SF3', NULL, NULL, NULL, NULL, 'PROTEIN EURL HOMOLOG', 100512),
(156787, 'PTHR45868:SF22', NULL, NULL, NULL, NULL, 'METAL ION-BINDING PROTEIN', 100513),
(156788, 'PTHR33127:SF62', NULL, NULL, NULL, NULL, 'BNAA09G35900D PROTEIN', 100514),
(156789, 'PTHR47536', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 5 MEMBER A', 100515),
(156790, 'PTHR43858:SF1', NULL, NULL, NULL, NULL, 'NON-TRANSPORTER ABC PROTEIN', 100516),
(156791, 'PTHR11945:SF415', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PROTEIN SEPALLATA 2', 100517),
(156792, 'PTHR31639:SF47', NULL, NULL, NULL, NULL, 'OS09G0506700 PROTEIN', 100518),
(156793, 'PTHR23500:SF543', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 100519),
(156794, 'PTHR37218:SF3', NULL, NULL, NULL, NULL, 'BNAC04G04270D PROTEIN', 100520),
(156795, 'PTHR20856:SF20', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 100521),
(156796, 'PTHR10663:SF374', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 3', 100522),
(156797, 'PTHR11260:SF522', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100523),
(156798, 'PTHR10131:SF138', NULL, NULL, NULL, NULL, 'TNF RECEPTOR ASSOCIATED FACTOR (TRAF) HOMOLOG', 100524),
(156799, 'PTHR45801:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 10', 100525); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(156800, 'PTHR11581:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', 100526),
(156801, 'PTHR47989:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN', 100527),
(156802, 'PTHR16650:SF10', NULL, NULL, NULL, NULL, 'LEBERCILIN', 100528),
(156803, 'PTHR46279:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 100529),
(156804, 'PTHR46809', NULL, NULL, NULL, NULL, 'STROMAL CELL-DERIVED FACTOR 2-LIKE PROTEIN', 100530),
(156805, 'PTHR21274:SF0', NULL, NULL, NULL, NULL, 'MECKEL-GRUBER SYNDROME (MKS) HOMOLOG', 100531),
(156806, 'PTHR41146:SF1', NULL, NULL, NULL, NULL, 'DIURETIC HORMONE CLASS 2', 100532),
(156807, 'PTHR35726:SF3', NULL, NULL, NULL, NULL, 'MYELIN TRANSCRIPTION FACTOR-LIKE PROTEIN', 100533),
(156808, 'PTHR11260:SF564', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U12', 100534),
(156809, 'PTHR46739:SF10', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', 100535),
(156810, 'PTHR31636:SF160', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', 100536),
(156811, 'PTHR31713:SF70', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 B', 100537),
(156812, 'PTHR46611:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 100538),
(156813, 'PTHR22753:SF33', NULL, NULL, NULL, NULL, 'BNACNNG62400D PROTEIN', 100539),
(156814, 'PTHR10194:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100540),
(156815, 'PTHR43605:SF14', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE ACSM2A, MITOCHONDRIAL', 100541),
(156816, 'PTHR11785:SF398', NULL, NULL, NULL, NULL, 'Y+L AMINO ACID TRANSPORTER 2', 100542),
(156817, 'PTHR31683:SF74', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 100543),
(156818, 'PTHR16515:SF22', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE PRDM6-RELATED', 100544),
(156819, 'PTHR24110', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 78 KDA', 100545),
(156820, 'PTHR43084:SF10', NULL, NULL, NULL, NULL, 'BNAC03G69760D PROTEIN', 100546),
(156821, 'PTHR24349:SF442', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 34-RELATED', 100547),
(156822, 'PTHR10366:SF611', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100548),
(156823, 'PTHR23055:SF101', NULL, NULL, NULL, NULL, 'VISININ-LIKE PROTEIN 1', 100549),
(156824, 'PTHR16083:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LRSAM1', 100550),
(156825, 'PTHR45811:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100551),
(156826, 'PTHR12378:SF18', NULL, NULL, NULL, NULL, 'DESI-LIKE PROTEIN', 100552),
(156827, 'PTHR11764:SF62', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 100553),
(156828, 'PTHR11260:SF694', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 100554),
(156829, 'PTHR11783:SF220', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 100555),
(156830, 'PTHR42877:SF12', NULL, NULL, NULL, NULL, 'MONOOXYGENASE', 100556),
(156831, 'PTHR13022', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT 11', 100557),
(156832, 'PTHR42940:SF6', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04590)-RELATED', 100558),
(156833, 'PTHR42920:SF7', NULL, NULL, NULL, NULL, 'OS06G0269200 PROTEIN', 100559),
(156834, 'PTHR46128:SF212', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 100560),
(156835, 'PTHR22601:SF11', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 4', 100561),
(156836, 'PTHR11620:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100562),
(156837, 'PTHR12653', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE 13 KD-B SUBUNIT', 100563),
(156838, 'PTHR42244', NULL, NULL, NULL, NULL, 'ANTITOXIN VAPB3-RELATED', 100564),
(156839, 'PTHR12977:SF4', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUV4-20', 100565),
(156840, 'PTHR36595', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 100566),
(156841, 'PTHR42684:SF14', NULL, NULL, NULL, NULL, 'BNAA05G17400D PROTEIN', 100567),
(156842, 'PTHR19370:SF100', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE', 100568),
(156843, 'PTHR43427:SF7', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 100569);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(156844, 'PTHR24381:SF356', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 952', 100570),
(156845, 'PTHR33076:SF1', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 100571),
(156846, 'PTHR31457', NULL, NULL, NULL, NULL, 'METHYLMALONIC ACIDURIA AND HOMOCYSTINURIA TYPE C PROTEIN', 100572),
(156847, 'PTHR43391:SF54', NULL, NULL, NULL, NULL, 'OS12G0464400 PROTEIN', 100573),
(156848, 'PTHR47576:SF2', NULL, NULL, NULL, NULL, 'BRCT DOMAIN DNA REPAIR PROTEIN-RELATED', 100574),
(156849, 'PTHR43128:SF22', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE-LIKE', 100575),
(156850, 'PTHR10566:SF124', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 100576),
(156851, 'PTHR31391:SF82', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS08G0325100-RELATED', 100577),
(156852, 'PTHR10795:SF515', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100578),
(156853, 'PTHR13994:SF29', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 2', 100579),
(156854, 'PTHR45649:SF13', NULL, NULL, NULL, NULL, 'THIAMINE TRANSPORTER THI9', 100580),
(156855, 'PTHR12565:SF406', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH79', 100581),
(156856, 'PTHR10342:SF269', NULL, NULL, NULL, NULL, 'RE14504P', 100582),
(156857, 'PTHR13021:SF8', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ISY1 HOMOLOG', 100583),
(156858, 'PTHR14000:SF24', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 100584),
(156859, 'PTHR31294:SF8', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 21-1', 100585),
(156860, 'PTHR46945', NULL, NULL, NULL, NULL, 'CYSTATIN-9-LIKE', 100586),
(156861, 'PTHR11525:SF3', NULL, NULL, NULL, NULL, 'OS01G0695300 PROTEIN', 100587),
(156862, 'PTHR11960:SF44', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-2-RELATED', 100588),
(156863, 'PTHR12316:SF24', NULL, NULL, NULL, NULL, 'NINJURIN-2', 100589),
(156864, 'PTHR46339:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG17232', 100590),
(156865, 'PTHR42721:SF34', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 3 C-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', 100591),
(156866, 'PTHR43711:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100592),
(156867, 'PTHR12320:SF65', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 100593),
(156868, 'PTHR10110:SF162', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 2-LIKE', 100594),
(156869, 'PTHR37989', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 4-RELATED', 100595),
(156870, 'PTHR32343:SF30', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 12', 100596),
(156871, 'PTHR18966:SF457', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3.4', 100597),
(156872, 'PTHR23130:SF173', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 100598),
(156873, 'PTHR24281:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100599),
(156874, 'PTHR11802:SF374', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 100600),
(156875, 'PTHR23257:SF730', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE MLK-1', 100601),
(156876, 'PTHR27009:SF113', NULL, NULL, NULL, NULL, 'PR5-LIKE RECEPTOR KINASE', 100602),
(156877, 'PTHR22977:SF8', NULL, NULL, NULL, NULL, 'COX ASSEMBLY MITOCHONDRIAL PROTEIN', 100603),
(156878, 'PTHR23213:SF340', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 100604),
(156879, 'PTHR37390', NULL, NULL, NULL, NULL, 'OS02G0592500 PROTEIN', 100605),
(156880, 'PTHR13006:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 395', 100606),
(156881, 'PTHR12991', NULL, NULL, NULL, NULL, 'NITROGEN PERMEASE REGULATOR 2/TUMOR SUPPRESSOR CANDIDATE 4', 100607),
(156882, 'PTHR43009:SF8', NULL, NULL, NULL, NULL, 'UBIA PRENYLTRANSFERASE FAMILY-RELATED', 100608),
(156883, 'PTHR45624:SF45', NULL, NULL, NULL, NULL, 'YMC2P', 100609),
(156884, 'PTHR43080:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR, CONTAINING CBS DOMAINS-RELATED', 100610),
(156885, 'PTHR36490:SF1', NULL, NULL, NULL, NULL, 'STRESS ENHANCED PROTEIN 2, CHLOROPLASTIC', 100611),
(156886, 'PTHR12773:SF5', NULL, NULL, NULL, NULL, 'BNAA09G30730D PROTEIN', 100612),
(156887, 'PTHR21567', NULL, NULL, NULL, NULL, 'CLASP', 100613);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(156888, 'PTHR43099', NULL, NULL, NULL, NULL, 'UPF0053 PROTEIN YRKA', 100614),
(156889, 'PTHR45624:SF34', NULL, NULL, NULL, NULL, 'CARNITINE/ACYLCARNITINE CARRIER-LIKE PROTEIN', 100615),
(156890, 'PTHR11616:SF284', NULL, NULL, NULL, NULL, 'TRANSPORTER', 100616),
(156891, 'PTHR10366:SF719', NULL, NULL, NULL, NULL, 'BNAC05G12180D PROTEIN', 100617),
(156892, 'PTHR32370:SF139', NULL, NULL, NULL, NULL, 'SKP1/BTB/POZ DOMAIN, NPH3 DOMAIN PROTEIN-RELATED', 100618),
(156893, 'PTHR22951:SF85', NULL, NULL, NULL, NULL, 'OS06G0699800 PROTEIN', 100619),
(156894, 'PTHR12243:SF36', NULL, NULL, NULL, NULL, 'SI:CH211-15D5.12-RELATED', 100620),
(156895, 'PTHR24023:SF886', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXVIII) CHAIN', 100621),
(156896, 'PTHR35024:SF5', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 100622),
(156897, 'PTHR11439:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100623),
(156898, 'PTHR10168:SF242', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S1-LIKE', 100624),
(156899, 'PTHR19441:SF38', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 10A', 100625),
(156900, 'PTHR36070:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0019G23.7 PROTEIN', 100626),
(156901, 'PTHR43539:SF70', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 100627),
(156902, 'PTHR42931:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14520)-RELATED', 100628),
(156903, 'PTHR46997:SF2', NULL, NULL, NULL, NULL, 'TYROSINE-SPECIFIC TRANSPORT PROTEIN', 100629),
(156904, 'PTHR45646:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE CLK4', 100630),
(156905, 'PTHR42938:SF30', NULL, NULL, NULL, NULL, 'ERYTHRONATE-4-PHOSPHATE DEHYDROGENASE FAMILY PROTEIN-RELATED', 100631),
(156906, 'PTHR21266:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100632),
(156907, 'PTHR11615:SF330', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 3', 100633),
(156908, 'PTHR46869:SF8', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', 100634),
(156909, 'PTHR31459:SF18', NULL, NULL, NULL, NULL, 'BNAC04G00870D PROTEIN', 100635),
(156910, 'PTHR24028:SF285', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 1A', 100636),
(156911, 'PTHR48019:SF12', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL65 ISOFORM X1', 100637),
(156912, 'PTHR31235:SF303', NULL, NULL, NULL, NULL, 'PEROXIDASE', 100638),
(156913, 'PTHR33136:SF32', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 33', 100639),
(156914, 'PTHR12732:SF6', NULL, NULL, NULL, NULL, 'PCI DOMAIN-CONTAINING PROTEIN C1105.07C', 100640),
(156915, 'PTHR22923:SF97', NULL, NULL, NULL, NULL, 'C1Q AND TNF-RELATED 4', 100641),
(156916, 'PTHR10996:SF119', NULL, NULL, NULL, NULL, 'FI03731P-RELATED', 100642),
(156917, 'PTHR10634:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100643),
(156918, 'PTHR12854:SF8', NULL, NULL, NULL, NULL, 'ATAXIN-2-LIKE PROTEIN', 100644),
(156919, 'PTHR12873', NULL, NULL, NULL, NULL, 'T7-LIKE MITOCHONDRIAL DNA HELICASE', 100645),
(156920, 'PTHR23130:SF186', NULL, NULL, NULL, NULL, 'DOMON DOMAIN PROTEIN', 100646),
(156921, 'PTHR26453:SF165', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 100647),
(156922, 'PTHR11675:SF58', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 6', 100648),
(156923, 'PTHR31973', NULL, NULL, NULL, NULL, 'POLYPROTEIN, PUTATIVE-RELATED', 100649),
(156924, 'PTHR19970:SF24', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39-2', 100650),
(156925, 'PTHR13345:SF4', NULL, NULL, NULL, NULL, 'PROTEIN UXT', 100651),
(156926, 'PTHR37445:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG24663', 100652),
(156927, 'PTHR47966:SF21', NULL, NULL, NULL, NULL, 'NAPSIN-A', 100653),
(156928, 'PTHR33088:SF58', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 100654),
(156929, 'PTHR12317:SF73', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL ACYLTRANSFERASE', 100655),
(156930, 'PTHR37727:SF1', NULL, NULL, NULL, NULL, 'ECOTROPIC VIRAL INTEGRATION SITE PROTEIN', 100656),
(156931, 'PTHR33109:SF51', NULL, NULL, NULL, NULL, 'OS12G0617700 PROTEIN', 100657),
(156932, 'PTHR45707:SF28', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', 100658);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(156933, 'PTHR34824:SF1', NULL, NULL, NULL, NULL, 'HEAT-INDUCIBLE TRANSCRIPTION REPRESSOR HRCA', 100659),
(156934, 'PTHR22765:SF278', NULL, NULL, NULL, NULL, 'OS06G0257700 PROTEIN', 100660),
(156935, 'PTHR31321:SF74', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 100661),
(156936, 'PTHR34054:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 100662),
(156937, 'PTHR24247:SF182', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR M1', 100663),
(156938, 'PTHR15437', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR, MITOCHONDRIAL', 100664),
(156939, 'PTHR12582:SF47', NULL, NULL, NULL, NULL, 'NETRIN RECEPTOR UNC-5', 100665),
(156940, 'PTHR31080:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100666),
(156941, 'PTHR30509:SF27', NULL, NULL, NULL, NULL, 'UPF0421 PROTEIN YGAE', 100667),
(156942, 'PTHR36514:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13589', 100668),
(156943, 'PTHR21597', NULL, NULL, NULL, NULL, 'THO2 PROTEIN', 100669),
(156944, 'PTHR19446:SF448', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100670),
(156945, 'PTHR15439:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE PQT3-LIKE', 100671),
(156946, 'PTHR10366:SF733', NULL, NULL, NULL, NULL, 'BNAC06G40190D PROTEIN', 100672),
(156947, 'PTHR24381:SF266', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 322', 100673),
(156948, 'PTHR33147:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100674),
(156949, 'PTHR36354:SF2', NULL, NULL, NULL, NULL, 'IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT', 100675),
(156950, 'PTHR10693:SF21', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN-BINDING PROTEIN 1', 100676),
(156951, 'PTHR24078:SF218', NULL, NULL, NULL, NULL, 'OS08G0374400 PROTEIN', 100677),
(156952, 'PTHR42695:SF9', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL PEPTIDASE 5', 100678),
(156953, 'PTHR31346:SF25', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 8, CHLOROPLASTIC/MITOCHONDRIAL-LIKE', 100679),
(156954, 'PTHR22912:SF213', NULL, NULL, NULL, NULL, 'LEGHEMOGLOBIN REDUCTASE', 100680),
(156955, 'PTHR42920:SF15', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 100681),
(156956, 'PTHR26452:SF819', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 100682),
(156957, 'PTHR22957:SF355', NULL, NULL, NULL, NULL, 'TBC (TRE-2/BUB2/CDC16) DOMAIN FAMILY', 100683),
(156958, 'PTHR12755', NULL, NULL, NULL, NULL, 'CLEAVAGE/POLYADENYLATION FACTOR IA SUBUNIT CLP1P', 100684),
(156959, 'PTHR26452:SF707', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 100685),
(156960, 'PTHR31727:SF20', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', 100686),
(156961, 'PTHR48143:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100687),
(156962, 'PTHR47240:SF2', NULL, NULL, NULL, NULL, 'CHROMO DOMAIN-CONTAINING PROTEIN LHP1', 100688),
(156963, 'PTHR24056:SF454', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100689),
(156964, 'PTHR46128:SF142', NULL, NULL, NULL, NULL, 'BNAA03G17090D PROTEIN', 100690),
(156965, 'PTHR23226:SF236', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 354C', 100691),
(156966, 'PTHR23335', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR  CAMTA', 100692),
(156967, 'PTHR47338:SF18', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 100693),
(156968, 'PTHR31165:SF73', NULL, NULL, NULL, NULL, 'BNAANNG11520D PROTEIN', 100694),
(156969, 'PTHR22894:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF170', 100695),
(156970, 'PTHR24377:SF627', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 84', 100696),
(156971, 'PTHR13112:SF8', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS UPF3-LIKE', 100697),
(156972, 'PTHR46839:SF1', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING 6', 100698),
(156973, 'PTHR10336:SF157', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 100699),
(156974, 'PTHR33090:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100700),
(156975, 'PTHR43511:SF6', NULL, NULL, NULL, NULL, 'UTP-GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', 100701),
(156976, 'PTHR23050:SF436', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 12', 100702);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(156977, 'PTHR47372:SF9', NULL, NULL, NULL, NULL, 'COLD ACCLIMATION PROTEIN WCOR615', 100703),
(156978, 'PTHR24240:SF126', NULL, NULL, NULL, NULL, 'NOVOPSIN-10', 100704),
(156979, 'PTHR43321:SF28', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 100705),
(156980, 'PTHR11564:SF33', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN', 100706),
(156981, 'PTHR13697:SF5', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE, PLATELET TYPE', 100707),
(156982, 'PTHR45671:SF25', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PHOSPHATE CARRIER PROTEIN 3, MITOCHONDRIAL-LIKE', 100708),
(156983, 'PTHR48003:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100709),
(156984, 'PTHR23304:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100710),
(156985, 'PTHR28674', NULL, NULL, NULL, NULL, 'SIMILAR TO DNA SEGMENT, CHR 10, WAYNE STATE UNIVERSITY 102,-EXPRESSED', 100711),
(156986, 'PTHR24327:SF26', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DLX-6', 100712),
(156987, 'PTHR42859', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', 100713),
(156988, 'PTHR26379:SF335', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN CONTAINING PROTEIN', 100714),
(156989, 'PTHR46751:SF3', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 6B', 100715),
(156990, 'PTHR10972:SF47', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 10', 100716),
(156991, 'PTHR30115:SF13', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN P-II', 100717),
(156992, 'PTHR33499:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100718),
(156993, 'PTHR23220:SF19', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-D', 100719),
(156994, 'PTHR10501:SF20', NULL, NULL, NULL, NULL, 'PROTEIN MATERNALLY EXPRESSED GENE 5', 100720),
(156995, 'PTHR13768:SF8', NULL, NULL, NULL, NULL, 'ALPHA-SOLUBLE NSF ATTACHMENT PROTEIN', 100721),
(156996, 'PTHR33142:SF56', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR5', 100722),
(156997, 'PTHR13817:SF22', NULL, NULL, NULL, NULL, 'MYOMESIN-2', 100723),
(156998, 'PTHR12506:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C3H FAMILY-RELATED', 100724),
(156999, 'PTHR31998:SF45', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGIZED VACUOLAR MEMBRANE PROTON PUMP', 100725),
(157000, 'PTHR10797:SF57', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 3-RELATED', 100726),
(157001, 'PTHR46197:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ABHD14A', 100727),
(157002, 'PTHR47926:SF256', NULL, NULL, NULL, NULL, 'BNAA06G20590D PROTEIN', 100728),
(157003, 'PTHR11759:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100729),
(157004, 'PTHR47630:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-61', 100730),
(157005, 'PTHR27007:SF348', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100731),
(157006, 'PTHR32295:SF168', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', 100732),
(157007, 'PTHR11062:SF74', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT15-RELATED', 100733),
(157008, 'PTHR33728:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100734),
(157009, 'PTHR11353:SF202', NULL, NULL, NULL, NULL, 'BNAC05G47590D PROTEIN', 100735),
(157010, 'PTHR10574:SF292', NULL, NULL, NULL, NULL, 'NETRIN-3', 100736),
(157011, 'PTHR48014:SF4', NULL, NULL, NULL, NULL, 'BNAC02G19800D PROTEIN', 100737),
(157012, 'PTHR23065:SF8', NULL, NULL, NULL, NULL, 'F-BAR DOMAIN ONLY PROTEIN 2', 100738),
(157013, 'PTHR47946:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A6', 100739),
(157014, 'PTHR45620:SF34', NULL, NULL, NULL, NULL, 'CALCITONIN RECEPTOR-LIKE PROTEIN 1', 100740),
(157015, 'PTHR36713', NULL, NULL, NULL, NULL, 'OS09G0344700 PROTEIN', 100741),
(157016, 'PTHR10791:SF164', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 100742),
(157017, 'PTHR21274', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 100743),
(157018, 'PTHR35358:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100744),
(157019, 'PTHR19432:SF63', NULL, NULL, NULL, NULL, 'SUCROSE/H+ SYMPORTER, PLANT, MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN-RELATED', 100745);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(157020, 'PTHR47965:SF17', NULL, NULL, NULL, NULL, 'OS01G0936900 PROTEIN', 100746),
(157021, 'PTHR45616:SF33', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 1', 100747),
(157022, 'PTHR16133:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100748),
(157023, 'PTHR23226:SF128', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 30', 100749),
(157024, 'PTHR43620:SF7', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD5', 100750),
(157025, 'PTHR43180:SF72', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE-LIKE', 100751),
(157026, 'PTHR23257:SF862', NULL, NULL, NULL, NULL, 'BNAA09G11580D PROTEIN', 100752),
(157027, 'PTHR47980:SF44', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABE1A', 100753),
(157028, 'PTHR10751:SF32', NULL, NULL, NULL, NULL, 'ATLASTIN-3', 100754),
(157029, 'PTHR15336:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6-LIKE, MITOCHONDRIAL', 100755),
(157030, 'PTHR45927:SF11', NULL, NULL, NULL, NULL, 'LYSM DOMAIN RECEPTOR-LIKE KINASE 4', 100756),
(157031, 'PTHR48100:SF23', NULL, NULL, NULL, NULL, 'METAL-INDEPENDENT PHOSPHOSERINE PHOSPHATASE', 100757),
(157032, 'PTHR14095:SF7', NULL, NULL, NULL, NULL, 'OS02G0191700 PROTEIN', 100758),
(157033, 'PTHR33640:SF11', NULL, NULL, NULL, NULL, 'NUCLEOLAR-LIKE PROTEIN', 100759),
(157034, 'PTHR25462:SF241', NULL, NULL, NULL, NULL, 'PROTEIN PML', 100760),
(157035, 'PTHR31669:SF167', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 6', 100761),
(157036, 'PTHR24221:SF5', NULL, NULL, NULL, NULL, 'HALF TRANSPORTER (PGP RELATED)', 100762),
(157037, 'PTHR31087:SF115', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 15', 100763),
(157038, 'PTHR40386:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 26', 100764),
(157039, 'PTHR47248:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG06766', 100765),
(157040, 'PTHR10177:SF454', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN CYCLIN', 100766),
(157041, 'PTHR13696:SF52', NULL, NULL, NULL, NULL, 'PARA FAMILY PROTEIN CT_582', 100767),
(157042, 'PTHR33474:SF18', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 100768),
(157043, 'PTHR43176:SF30', NULL, NULL, NULL, NULL, 'BNAA05G12620D PROTEIN', 100769),
(157044, 'PTHR47942:SF18', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 100770),
(157045, 'PTHR43447:SF7', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', 100771),
(157046, 'PTHR31709', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER PROTEIN 4-RELATED', 100772),
(157047, 'PTHR31662:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100773),
(157048, 'PTHR27007:SF147', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1', 100774),
(157049, 'PTHR12632:SF69', NULL, NULL, NULL, NULL, 'BNAC05G19190D PROTEIN', 100775),
(157050, 'PTHR31549:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100776),
(157051, 'PTHR11984:SF46', NULL, NULL, NULL, NULL, 'GAP JUNCTION BETA-2 PROTEIN', 100777),
(157052, 'PTHR45762:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-197H24.6', 100778),
(157053, 'PTHR42718:SF11', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER', 100779),
(157054, 'PTHR46692:SF4', NULL, NULL, NULL, NULL, 'INOSINE-URIDINE PREFERRING NUCLEOSIDE HYDROLASE', 100780),
(157055, 'PTHR35727:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100781),
(157056, 'PTHR31065:SF67', NULL, NULL, NULL, NULL, 'BNAA09G18140D PROTEIN', 100782),
(157057, 'PTHR14435', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 106', 100783),
(157058, 'PTHR19282:SF361', NULL, NULL, NULL, NULL, 'TETRASPANIN', 100784),
(157059, 'PTHR47480:SF6', NULL, NULL, NULL, NULL, 'RLPA-LIKE PROTEIN, DOUBLE-PSI BETA-BARREL-RELATED', 100785),
(157060, 'PTHR31949:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100786),
(157061, 'PTHR13318', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 100787),
(157062, 'PTHR47794:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 27', 100788),
(157063, 'PTHR48040:SF6', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 6', 100789),
(157064, 'PTHR26454:SF77', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 100790);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(157065, 'PTHR11662:SF29', NULL, NULL, NULL, NULL, 'VESICULAR GLUTAMATE TRANSPORTER 1', 100791),
(157066, 'PTHR30537:SF72', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 100792),
(157067, 'PTHR31370:SF4', NULL, NULL, NULL, NULL, 'BNAC04G31530D PROTEIN', 100793),
(157068, 'PTHR32256:SF8', NULL, NULL, NULL, NULL, 'P-SELECTIN', 100794),
(157069, 'PTHR12174:SF68', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 2B', 100795),
(157070, 'PTHR31225:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100796),
(157071, 'PTHR46851:SF13', NULL, NULL, NULL, NULL, 'GYF DOMAIN-CONTAINING PROTEIN-RELATED', 100797),
(157072, 'PTHR33937', NULL, NULL, NULL, NULL, 'IRON-MOLYBDENUM PROTEIN-RELATED-RELATED', 100798),
(157073, 'PTHR13110', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM3', 100799),
(157074, 'PTHR31111:SF32', NULL, NULL, NULL, NULL, 'BNAA01G32850D PROTEIN', 100800),
(157075, 'PTHR31375:SF145', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE CLONE GBGE184', 100801),
(157076, 'PTHR24033:SF151', NULL, NULL, NULL, NULL, 'TENASCIN-X', 100802),
(157077, 'PTHR46848:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 3', 100803),
(157078, 'PTHR39365', NULL, NULL, NULL, NULL, 'MX REGION OF TRA-2 RELATED-RELATED', 100804),
(157079, 'PTHR10174:SF166', NULL, NULL, NULL, NULL, 'LD40136P', 100805),
(157080, 'PTHR45734:SF5', NULL, NULL, NULL, NULL, 'TENSIN-3', 100806),
(157081, 'PTHR39075', NULL, NULL, NULL, NULL, 'FI19908P1', 100807),
(157082, 'PTHR14889', NULL, NULL, NULL, NULL, 'RCG36411', 100808),
(157083, 'PTHR22883:SF311', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 100809),
(157084, 'PTHR45638:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100810),
(157085, 'PTHR11063:SF21', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', 100811),
(157086, 'PTHR24083:SF147', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 100812),
(157087, 'PTHR32091', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B', 100813),
(157088, 'PTHR36688', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 100814),
(157089, 'PTHR24223:SF356', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER ABC1-RELATED', 100815),
(157090, 'PTHR19971:SF23', NULL, NULL, NULL, NULL, 'GENE 9733-RELATED', 100816),
(157091, 'PTHR12859:SF5', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN A3', 100817),
(157092, 'PTHR23322', NULL, NULL, NULL, NULL, 'FAS-ASSOCIATED PROTEIN', 100818),
(157093, 'PTHR35631', NULL, NULL, NULL, NULL, 'OS08G0114150 PROTEIN', 100819),
(157094, 'PTHR34469', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN H', 100820),
(157095, 'PTHR14537', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 11', 100821),
(157096, 'PTHR34799', NULL, NULL, NULL, NULL, 'OS07G0656300 PROTEIN', 100822),
(157097, 'PTHR13906:SF4', NULL, NULL, NULL, NULL, 'OYSGEDART, ISOFORM A', 100823),
(157098, 'PTHR22809:SF9', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 6', 100824),
(157099, 'PTHR24247:SF14', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 5B', 100825),
(157100, 'PTHR11680:SF11', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', 100826),
(157101, 'PTHR45089:SF37', NULL, NULL, NULL, NULL, 'BNAC05G46690D PROTEIN', 100827),
(157102, 'PTHR31989:SF149', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 14', 100828),
(157103, 'PTHR11654:SF383', NULL, NULL, NULL, NULL, 'OS11G0284300 PROTEIN', 100829),
(157104, 'PTHR28039', NULL, NULL, NULL, NULL, 'CHALCONE--FLAVONONE ISOMERASE 1-RELATED', 100830),
(157105, 'PTHR31395:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-2 HOMOLOG', 100831),
(157106, 'PTHR12669', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-BINDING PROTEIN', 100832),
(157107, 'PTHR34463:SF15', NULL, NULL, NULL, NULL, 'BNAA08G28000D PROTEIN', 100833),
(157108, 'PTHR12189', NULL, NULL, NULL, NULL, 'MRNA  GUANINE-7- METHYLTRANSFERASE', 100834),
(157109, 'PTHR36885:SF3', NULL, NULL, NULL, NULL, 'OS12G0485150 PROTEIN', 100835),
(157110, 'PTHR18966:SF458', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3.5', 100836);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(157111, 'PTHR24390:SF150', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 7B', 100837),
(157112, 'PTHR21567:SF77', NULL, NULL, NULL, NULL, 'CLIP-ASSOCIATING PROTEIN', 100838),
(157113, 'PTHR31681:SF69', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 100839),
(157114, 'PTHR23105:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100840),
(157115, 'PTHR11388:SF83', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', 100841),
(157116, 'PTHR47956:SF52', NULL, NULL, NULL, NULL, 'OS01G0227700 PROTEIN', 100842),
(157117, 'PTHR11679:SF77', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 33B', 100843),
(157118, 'PTHR24270:SF17', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 10', 100844),
(157119, 'PTHR48025:SF2', NULL, NULL, NULL, NULL, 'OS08G0557100 PROTEIN', 100845),
(157120, 'PTHR35735:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100846),
(157121, 'PTHR11709:SF213', NULL, NULL, NULL, NULL, 'OS06G0678800 PROTEIN', 100847),
(157122, 'PTHR11946:SF111', NULL, NULL, NULL, NULL, 'VALYL AMINO-ACYL TRNA SYNTHETASE', 100848),
(157123, 'PTHR11977:SF110', NULL, NULL, NULL, NULL, 'BNAC07G50870D PROTEIN', 100849),
(157124, 'PTHR11071:SF412', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 100850),
(157125, 'PTHR12566:SF2', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATION ELEMENT-BINDING PROTEIN 4', 100851),
(157126, 'PTHR24027:SF79', NULL, NULL, NULL, NULL, 'CADHERIN-2', 100852),
(157127, 'PTHR34614', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 100853),
(157128, 'PTHR32467:SF157', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 100854),
(157129, 'PTHR35359', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 100855),
(157130, 'PTHR23185', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 100856),
(157131, 'PTHR31325:SF121', NULL, NULL, NULL, NULL, 'OSJNBB0045P24.5-LIKE PROTEIN', 100857),
(157132, 'PTHR21422:SF13', NULL, NULL, NULL, NULL, 'BNAANNG16370D PROTEIN', 100858),
(157133, 'PTHR47993:SF182', NULL, NULL, NULL, NULL, 'F-BOX/WD-40 REPEAT-CONTAINING PROTEIN 1', 100859),
(157134, 'PTHR47956:SF32', NULL, NULL, NULL, NULL, 'CYP71D47V1', 100860),
(157135, 'PTHR12266:SF23', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER MEMBRANE REGION-RELATED', 100861),
(157136, 'PTHR31642:SF163', NULL, NULL, NULL, NULL, 'OMEGA-HYDROXYPALMITATE O-FERULOYL TRANSFERASE', 100862),
(157137, 'PTHR47967:SF5', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-1-LIKE', 100863),
(157138, 'PTHR47629:SF10', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 100864),
(157139, 'PTHR47925:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100865),
(157140, 'PTHR34951:SF1', NULL, NULL, NULL, NULL, 'B6F COMPLEX SUBUNIT, PUTATIVE, EXPRESSED-RELATED', 100866),
(157141, 'PTHR24177:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100867),
(157142, 'PTHR45907:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', 100868),
(157143, 'PTHR11394:SF80', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 123', 100869),
(157144, 'PTHR46183:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PHOX1', 100870),
(157145, 'PTHR10641:SF1291', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 100871),
(157146, 'PTHR30231:SF7', NULL, NULL, NULL, NULL, 'BLR4117 PROTEIN', 100872),
(157147, 'PTHR16223:SF205', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 100873),
(157148, 'PTHR33987', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN', 100874),
(157149, 'PTHR24349:SF350', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 33-RELATED', 100875),
(157150, 'PTHR31230', NULL, NULL, NULL, NULL, 'MYELOID-DERIVED GROWTH FACTOR MYDGF', 100876),
(157151, 'PTHR42078', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 100877),
(157152, 'PTHR13437:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100878),
(157153, 'PTHR10288:SF298', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 100879),
(157154, 'PTHR38425', NULL, NULL, NULL, NULL, 'LONG CHRONOLOGICAL LIFESPAN PROTEIN 2', 100880);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(157155, 'PTHR11654:SF485', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 100881),
(157156, 'PTHR22835:SF237', NULL, NULL, NULL, NULL, 'OS06G0156700 PROTEIN', 100882),
(157157, 'PTHR23065:SF18', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C AND CASEIN KINASE SUBSTRATE IN NEURONS PROTEIN 3', 100883),
(157158, 'PTHR27008:SF480', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', 100884),
(157159, 'PTHR31282:SF112', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 100885),
(157160, 'PTHR39945', NULL, NULL, NULL, NULL, 'FI14129P', 100886),
(157161, 'PTHR45642:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100887),
(157162, 'PTHR10992:SF1052', NULL, NULL, NULL, NULL, 'METHYL ESTERASE 10', 100888),
(157163, 'PTHR35604', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSH FOR INSERTION SEQUENCE ELEMENT IS5A-RELATED', 100889),
(157164, 'PTHR36417:SF2', NULL, NULL, NULL, NULL, 'SELENOPROTEIN DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G05220)', 100890),
(157165, 'PTHR33326:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100891),
(157166, 'PTHR47958:SF85', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 37', 100892),
(157167, 'PTHR11506:SF28', NULL, NULL, NULL, NULL, 'FI04419P', 100893),
(157168, 'PTHR23315:SF254', NULL, NULL, NULL, NULL, 'KINESIN-ASSOCIATED PROTEIN', 100894),
(157169, 'PTHR31374:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100895),
(157170, 'PTHR13778:SF35', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 2-RELATED', 100896),
(157171, 'PTHR31580:SF31', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN', 100897),
(157172, 'PTHR47925:SF34', NULL, NULL, NULL, NULL, 'BNAA01G12470D PROTEIN', 100898),
(157173, 'PTHR36495:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100899),
(157174, 'PTHR46353:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GIS3', 100900),
(157175, 'PTHR11913:SF86', NULL, NULL, NULL, NULL, 'COFILIN/ACTIN-DEPOLYMERIZING FACTOR-LIKE PROTEIN', 100901),
(157176, 'PTHR11480:SF33', NULL, NULL, NULL, NULL, 'PULMONARY SURFACTANT-ASSOCIATED PROTEIN B', 100902),
(157177, 'PTHR33491:SF13', NULL, NULL, NULL, NULL, 'OS10G0116701 PROTEIN', 100903),
(157178, 'PTHR31807:SF47', NULL, NULL, NULL, NULL, 'QWRF FAMILY-RELATED', 100904),
(157179, 'PTHR23147:SF156', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SC35', 100905),
(157180, 'PTHR12668:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100906),
(157181, 'PTHR24377:SF883', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 121', 100907),
(157182, 'PTHR42811:SF5', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE-RELATED', 100908),
(157183, 'PTHR12552:SF2', NULL, NULL, NULL, NULL, 'OLIGOPHRENIN-1', 100909),
(157184, 'PTHR14571:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100910),
(157185, 'PTHR11055:SF52', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE', 100911),
(157186, 'PTHR34952:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100912),
(157187, 'PTHR31384:SF118', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 100913),
(157188, 'PTHR12271', NULL, NULL, NULL, NULL, 'POLY A  POLYMERASE CID  PAP -RELATED', 100914),
(157189, 'PTHR11615:SF317', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 100915),
(157190, 'PTHR22814:SF311', NULL, NULL, NULL, NULL, 'OS04G0502000 PROTEIN', 100916),
(157191, 'PTHR43272:SF33', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE 5', 100917),
(157192, 'PTHR24320:SF154', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_2G04560)', 100918),
(157193, 'PTHR11711:SF379', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 6', 100919),
(157194, 'PTHR10366:SF676', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100920),
(157195, 'PTHR31421:SF9', NULL, NULL, NULL, NULL, 'PROTEIN BASIC PENTACYSTEINE2-LIKE', 100921),
(157196, 'PTHR24298:SF751', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 712, SUBFAMILY A, POLYPEPTIDE 2', 100922),
(157197, 'PTHR34291:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100923),
(157198, 'PTHR11384:SF28', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY D MEMBER 4', 100924);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(157199, 'PTHR45125:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100925),
(157200, 'PTHR48000:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX3-LIKE', 100926),
(157201, 'PTHR43447:SF22', NULL, NULL, NULL, NULL, 'OS05G0446900 PROTEIN', 100927),
(157202, 'PTHR24179:SF20', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 12A', 100928),
(157203, 'PTHR47703', NULL, NULL, NULL, NULL, 'D-AMINOACID AMINOTRANSFERASE-LIKE PLP-DEPENDENT ENZYMES SUPERFAMILY PROTEIN', 100929),
(157204, 'PTHR46234:SF7', NULL, NULL, NULL, NULL, 'OS04G0174900 PROTEIN', 100930),
(157205, 'PTHR42796:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100931),
(157206, 'PTHR32227:SF297', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-LIKE', 100932),
(157207, 'PTHR44191:SF45', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1R1-LIKE', 100933),
(157208, 'PTHR46434:SF1', NULL, NULL, NULL, NULL, 'GENETIC INTERACTOR OF PROHIBITINS 3, MITOCHONDRIAL', 100934),
(157209, 'PTHR31719:SF180', NULL, NULL, NULL, NULL, 'BNAC05G47490D PROTEIN', 100935),
(157210, 'PTHR46316:SF13', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-3', 100936),
(157211, 'PTHR24055:SF253', NULL, NULL, NULL, NULL, 'PROTEIN CBG00447', 100937),
(157212, 'PTHR46623:SF8', NULL, NULL, NULL, NULL, 'BNAC04G12290D PROTEIN', 100938),
(157213, 'PTHR10615:SF172', NULL, NULL, NULL, NULL, 'OS04G0425100 PROTEIN', 100939),
(157214, 'PTHR48017:SF136', NULL, NULL, NULL, NULL, 'OS05G0586500 PROTEIN', 100940),
(157215, 'PTHR46213:SF7', NULL, NULL, NULL, NULL, 'PROTEIN ROS1-LIKE', 100941),
(157216, 'PTHR10288:SF99', NULL, NULL, NULL, NULL, 'FAR UPSTREAM ELEMENT-BINDING PROTEIN 1', 100942),
(157217, 'PTHR11938:SF136', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE 1 [NADH] CHLOROPLASTIC', 100943),
(157218, 'PTHR21562:SF67', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 100944),
(157219, 'PTHR24064:SF579', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-5-RELATED', 100945),
(157220, 'PTHR13116:SF7', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 3', 100946),
(157221, 'PTHR35918:SF1', NULL, NULL, NULL, NULL, 'OS06G0674800 PROTEIN', 100947),
(157222, 'PTHR34940:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 5 KDA PROTEIN, CHLOROPLASTIC', 100948),
(157223, 'PTHR10825:SF21', NULL, NULL, NULL, NULL, 'POLYCOMB COMPLEX PROTEIN BMI-1', 100949),
(157224, 'PTHR31731:SF96', NULL, NULL, NULL, NULL, 'CELL WALL-PLASMA MEMBRANE LINKER PROTEIN', 100950),
(157225, 'PTHR10231:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100951),
(157226, 'PTHR31548:SF6', NULL, NULL, NULL, NULL, 'AGAP002756-PA', 100952),
(157227, 'PTHR43420:SF11', NULL, NULL, NULL, NULL, 'SPERMINE/SPERMIDINE ACETYLTRANSFERASE', 100953),
(157228, 'PTHR45677:SF7', NULL, NULL, NULL, NULL, 'CYSTEINE SULFINIC ACID DECARBOXYLASE', 100954),
(157229, 'PTHR31080:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100955),
(157230, 'PTHR24174:SF5', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND STERILE ALPHA MOTIF DOMAIN-CONTAINING 1AB', 100956),
(157231, 'PTHR40637:SF2', NULL, NULL, NULL, NULL, 'COMPLEX I SUBUNIT', 100957),
(157232, 'PTHR24033:SF189', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR D AND EGF DOMAIN-CONTAINING PROTEIN', 100958),
(157233, 'PTHR30126:SF84', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PTXR', 100959),
(157234, 'PTHR48241:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100960),
(157235, 'PTHR37226', NULL, NULL, NULL, NULL, 'GOLGIN FAMILY A PROTEIN', 100961),
(157236, 'PTHR11055:SF41', NULL, NULL, NULL, NULL, 'ATP SULFURYLASE 1, CHLOROPLASTIC', 100962),
(157237, 'PTHR42760:SF95', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14380)-RELATED', 100963),
(157238, 'PTHR38814:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE NUCS', 100964),
(157239, 'PTHR14791:SF43', NULL, NULL, NULL, NULL, 'BNAA04G19570D PROTEIN', 100965),
(157240, 'PTHR33055:SF3', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS1111A', 100966),
(157241, 'PTHR21345:SF8', NULL, NULL, NULL, NULL, 'PROTEIN SPIRE HOMOLOG 1', 100967);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(157242, 'PTHR47965:SF54', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 100968),
(157243, 'PTHR31929:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100969),
(157244, 'PTHR24384:SF181', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 253', 100970),
(157245, 'PTHR10291:SF16', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 100971),
(157246, 'PTHR42839:SF1', NULL, NULL, NULL, NULL, 'ISOCHORISMATE SYNTHASE MENF', 100972),
(157247, 'PTHR35268:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CCSMST1', 100973),
(157248, 'PTHR23213:SF360', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 100974),
(157249, 'PTHR11017:SF411', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (NBS-LRR CLASS) FAMILY-RELATED', 100975),
(157250, 'PTHR43880:SF26', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE CLASS-P', 100976),
(157251, 'PTHR11002:SF19', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 100977),
(157252, 'PTHR24085:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 4 GROUP A MEMBER 1', 100978),
(157253, 'PTHR31896:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100979),
(157254, 'PTHR47893:SF1', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN PCHR', 100980),
(157255, 'PTHR31218:SF204', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 100981),
(157256, 'PTHR11011:SF72', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 100982),
(157257, 'PTHR33883:SF11', NULL, NULL, NULL, NULL, 'BNAC05G23540D PROTEIN', 100983),
(157258, 'PTHR22883:SF348', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 100984),
(157259, 'PTHR43734:SF7', NULL, NULL, NULL, NULL, '4,4''-DIAPONEUROSPORENE OXYGENASE', 100985),
(157260, 'PTHR13723:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100986),
(157261, 'PTHR14379:SF55', NULL, NULL, NULL, NULL, 'BNAC03G21430D PROTEIN', 100987),
(157262, 'PTHR11945:SF388', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 51', 100988),
(157263, 'PTHR11206:SF286', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 100989),
(157264, 'PTHR15901:SF15', NULL, NULL, NULL, NULL, 'TESTICULAR HAPLOID EXPRESSED GENE PROTEIN-LIKE', 100990),
(157265, 'PTHR31791:SF63', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 100991),
(157266, 'PTHR43630', NULL, NULL, NULL, NULL, 'POLY-BETA-1,6-N-ACETYL-D-GLUCOSAMINE SYNTHASE', 100992),
(157267, 'PTHR21659:SF95', NULL, NULL, NULL, NULL, 'PROTEIN SNA4', 100993),
(157268, 'PTHR23023:SF99', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 100994),
(157269, 'PTHR12027:SF102', NULL, NULL, NULL, NULL, 'PROTEIN WNT', 100995),
(157270, 'PTHR10388:SF62', NULL, NULL, NULL, NULL, 'BNAC06G07070D PROTEIN', 100996),
(157271, 'PTHR33265:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 100997),
(157272, 'PTHR43321:SF22', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE 5-RELATED', 100998),
(157273, 'PTHR46581:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 100999),
(157274, 'PTHR15431:SF16', NULL, NULL, NULL, NULL, 'PROTEIN TONNEAU 1B', 101000),
(157275, 'PTHR27009:SF202', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.4-RELATED', 101001),
(157276, 'PTHR42823:SF3', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT A, CHLOROPLASTIC', 101002),
(157277, 'PTHR10015:SF299', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101003),
(157278, 'PTHR28080:SF4', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 3-2-LIKE', 101004),
(157279, 'PTHR46153:SF14', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 101005),
(157280, 'PTHR11767:SF17', NULL, NULL, NULL, NULL, 'G PROTEIN-ACTIVATED INWARD RECTIFIER POTASSIUM CHANNEL 3', 101006),
(157281, 'PTHR12357:SF93', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING PROTEIN ECT3', 101007),
(157282, 'PTHR11783:SF219', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 101008),
(157283, 'PTHR12277:SF162', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE-RELATED', 101009),
(157284, 'PTHR24161:SF80', NULL, NULL, NULL, NULL, 'PROTEIN 21.1', 101010),
(157285, 'PTHR11309:SF139', NULL, NULL, NULL, NULL, 'FRIZZLED CLASS RECEPTOR 5', 101011),
(157286, 'PTHR46412:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BIM2', 101012);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(157287, 'PTHR46137:SF16', NULL, NULL, NULL, NULL, 'BNACNNG53920D PROTEIN', 101013),
(157288, 'PTHR46287:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101014),
(157289, 'PTHR16777:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ECT2', 101015),
(157290, 'PTHR10502:SF133', NULL, NULL, NULL, NULL, 'ANNEXIN A8-RELATED', 101016),
(157291, 'PTHR42802:SF1', NULL, NULL, NULL, NULL, 'L-ORNITHINE N(5)-MONOOXYGENASE', 101017),
(157292, 'PTHR33191:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101018),
(157293, 'PTHR23266:SF310', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA CONSTANT 1-RELATED', 101019),
(157294, 'PTHR11034:SF56', NULL, NULL, NULL, NULL, 'PROTEIN NDL1', 101020),
(157295, 'PTHR24068:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101021),
(157296, 'PTHR28018', NULL, NULL, NULL, NULL, 'RESPIRATORY SUPERCOMPLEX FACTOR 2, MITOCHONDRIAL', 101022),
(157297, 'PTHR10160:SF22', NULL, NULL, NULL, NULL, 'NAD(P) TRANSHYDROGENASE, MITOCHONDRIAL', 101023),
(157298, 'PTHR43794', NULL, NULL, NULL, NULL, 'AMINOHYDROLASE SSNA-RELATED', 101024),
(157299, 'PTHR24055:SF403', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 101025),
(157300, 'PTHR34188:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101026),
(157301, 'PTHR31499:SF52', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE, MYB-CC TYPE TRANSCRIPTION FACTOR, LHEQLE-CONTAINING DOMAIN PROTEIN-RELATED', 101027),
(157302, 'PTHR33793:SF2', NULL, NULL, NULL, NULL, 'ALPHA-AGGLUTININ', 101028),
(157303, 'PTHR11783:SF47', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 1A3-RELATED', 101029),
(157304, 'PTHR22951', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN', 101030),
(157305, 'PTHR31238:SF200', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 101031),
(157306, 'PTHR30006:SF2', NULL, NULL, NULL, NULL, 'IRON ABC TRANSPORTER, SOLUTE-BINDING LIPOPROTEIN-RELATED', 101032),
(157307, 'PTHR31086:SF63', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 14', 101033),
(157308, 'PTHR48106', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE PIG3-RELATED', 101034),
(157309, 'PTHR46513:SF6', NULL, NULL, NULL, NULL, 'NIDOGEN-1', 101035),
(157310, 'PTHR43490:SF84', NULL, NULL, NULL, NULL, 'OS02G0640600 PROTEIN', 101036),
(157311, 'PTHR31093:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101037),
(157312, 'PTHR48156', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 101038),
(157313, 'PTHR31071:SF16', NULL, NULL, NULL, NULL, 'OS04G0382800 PROTEIN', 101039),
(157314, 'PTHR47978:SF11', NULL, NULL, NULL, NULL, 'RAB FAMILY GTPASE', 101040),
(157315, 'PTHR30472', NULL, NULL, NULL, NULL, 'FERRIC ENTEROBACTIN TRANSPORT SYSTEM PERMEASE PROTEIN', 101041),
(157316, 'PTHR20903:SF0', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 1', 101042),
(157317, 'PTHR31895:SF40', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', 101043),
(157318, 'PTHR43650:SF6', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT BETA', 101044),
(157319, 'PTHR27006:SF440', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 101045),
(157320, 'PTHR32278:SF100', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B13-RELATED', 101046),
(157321, 'PTHR10502:SF100', NULL, NULL, NULL, NULL, 'ANNEXIN A10', 101047),
(157322, 'PTHR47108:SF1', NULL, NULL, NULL, NULL, '5-AMINO-6-(5-PHOSPHO-D-RIBITYLAMINO)URACIL PHOSPHATASE, CHLOROPLASTIC', 101048),
(157323, 'PTHR24103:SF640', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 55', 101049),
(157324, 'PTHR10791:SF169', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 101050),
(157325, 'PTHR46010:SF1', NULL, NULL, NULL, NULL, 'PROTEIN IWS1 HOMOLOG', 101051),
(157326, 'PTHR10015:SF343', NULL, NULL, NULL, NULL, 'BNACNNG54110D PROTEIN', 101052),
(157327, 'PTHR18359:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101053),
(157328, 'PTHR33768:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-83M22.7', 101054),
(157329, 'PTHR48217:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101055),
(157330, 'PTHR31388:SF207', NULL, NULL, NULL, NULL, 'PEROXIDASE', 101056); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(157331, 'PTHR46872:SF6', NULL, NULL, NULL, NULL, 'ELM2 DOMAIN-CONTAINING PROTEIN', 101057),
(157332, 'PTHR32141:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101058),
(157333, 'PTHR23028:SF107', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 101059),
(157334, 'PTHR15241:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101060),
(157335, 'PTHR23155:SF1003', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101061),
(157336, 'PTHR34228:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG09517', 101062),
(157337, 'PTHR43085:SF21', NULL, NULL, NULL, NULL, 'FRUCTOKINASE-1-RELATED', 101063),
(157338, 'PTHR47744', NULL, NULL, NULL, NULL, 'OS05G0526300 PROTEIN', 101064),
(157339, 'PTHR27005:SF249', NULL, NULL, NULL, NULL, 'OS10G0116600 PROTEIN', 101065),
(157340, 'PTHR47958:SF17', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX43-RELATED', 101066),
(157341, 'PTHR10211', NULL, NULL, NULL, NULL, 'DEOXYRIBODIPYRIMIDINE PHOTOLYASE', 101067),
(157342, 'PTHR13531:SF0', NULL, NULL, NULL, NULL, 'GEO07735P1-RELATED', 101068),
(157343, 'PTHR24092:SF179', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 101069),
(157344, 'PTHR47922', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 101070),
(157345, 'PTHR11746:SF184', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE FAMILY PROTEIN', 101071),
(157346, 'PTHR21470:SF12', NULL, NULL, NULL, NULL, 'OS02G0528100 PROTEIN', 101072),
(157347, 'PTHR31774:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-9', 101073),
(157348, 'PTHR46218:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101074),
(157349, 'PTHR33491:SF24', NULL, NULL, NULL, NULL, 'OS11G0693700 PROTEIN', 101075),
(157350, 'PTHR43981:SF2', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE, MITOCHONDRIAL', 101076),
(157351, 'PTHR45729:SF6', NULL, NULL, NULL, NULL, 'RABPHILIN, ISOFORM A', 101077),
(157352, 'PTHR11736:SF151', NULL, NULL, NULL, NULL, 'GENE 5072-RELATED', 101078),
(157353, 'PTHR46702:SF1', NULL, NULL, NULL, NULL, 'DUF1666 FAMILY PROTEIN (DUF1666)', 101079),
(157354, 'PTHR23418:SF15', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE', 101080),
(157355, 'PTHR30367:SF1', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTN', 101081),
(157356, 'PTHR23419:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CUTA', 101082),
(157357, 'PTHR33595:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101083),
(157358, 'PTHR14379:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101084),
(157359, 'PTHR34676', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 101085),
(157360, 'PTHR47947:SF14', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 101086),
(157361, 'PTHR10825', NULL, NULL, NULL, NULL, 'RING FINGER DOMAIN-CONTAINING, POLYCOMB GROUP COMPONENT', 101087),
(157362, 'PTHR24416:SF561', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101088),
(157363, 'PTHR43874:SF28', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR1', 101089),
(157364, 'PTHR34786', NULL, NULL, NULL, NULL, 'OS09G0504900 PROTEIN', 101090),
(157365, 'PTHR21679:SF6', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', 101091),
(157366, 'PTHR33065:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101092),
(157367, 'PTHR31707:SF149', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 17-RELATED', 101093),
(157368, 'PTHR43610:SF1', NULL, NULL, NULL, NULL, 'BLL6696 PROTEIN', 101094),
(157369, 'PTHR47995:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB57', 101095),
(157370, 'PTHR44170:SF8', NULL, NULL, NULL, NULL, 'NETRIN RECEPTOR DCC', 101096),
(157371, 'PTHR12191:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101097),
(157372, 'PTHR22937:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101098),
(157373, 'PTHR12864:SF61', NULL, NULL, NULL, NULL, 'GLUCOSE-INDUCED DEGRADATION PROTEIN 8 HOMOLOG', 101099),
(157374, 'PTHR11468:SF28', NULL, NULL, NULL, NULL, 'ALPHA-GLUCAN PHOSPHORYLASE 1', 101100),
(157375, 'PTHR12135', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XP-C / RAD4', 101101),
(157376, 'PTHR11685:SF241', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARI2-RELATED', 101102);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(157377, 'PTHR23236:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101103),
(157378, 'PTHR24068:SF319', NULL, NULL, NULL, NULL, 'PROTEIN PEROXIN-4', 101104),
(157379, 'PTHR10218:SF317', NULL, NULL, NULL, NULL, 'EXTRA-LARGE GUANINE NUCLEOTIDE-BINDING PROTEIN 3-LIKE', 101105),
(157380, 'PTHR11010:SF88', NULL, NULL, NULL, NULL, 'SERINE PEPTIDASE S28 FAMILY PROTEIN-RELATED', 101106),
(157381, 'PTHR30603:SF52', NULL, NULL, NULL, NULL, 'SIGMA FACTOR A-RELATED', 101107),
(157382, 'PTHR47997:SF24', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 101108),
(157383, 'PTHR43269:SF2', NULL, NULL, NULL, NULL, 'SODIUM/PROTON ANTIPORTER 1-RELATED', 101109),
(157384, 'PTHR24092:SF95', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 101110),
(157385, 'PTHR31509:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101111),
(157386, 'PTHR21068:SF43', NULL, NULL, NULL, NULL, 'OS06G0717100 PROTEIN', 101112),
(157387, 'PTHR11064:SF146', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR Y, SUBUNIT B7-RELATED', 101113),
(157388, 'PTHR17614:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 804B', 101114),
(157389, 'PTHR35117', NULL, NULL, NULL, NULL, 'MYOSIN-M HEAVY PROTEIN', 101115),
(157390, 'PTHR12983', NULL, NULL, NULL, NULL, 'RING FINGER 10 FAMILY MEMBER', 101116),
(157391, 'PTHR11040:SF171', NULL, NULL, NULL, NULL, 'BNAC04G42780D PROTEIN', 101117),
(157392, 'PTHR11772:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101118),
(157393, 'PTHR34709:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101119),
(157394, 'PTHR31625:SF51', NULL, NULL, NULL, NULL, 'MALONYL-COA:ANTHOCYANIDIN 5-O-GLUCOSIDE-6''''-O-MALONYLTRANSFERASE', 101120),
(157395, 'PTHR14519', NULL, NULL, NULL, NULL, 'VITAMIN K EPOXIDE REDUCTASE COMPLEX, SUBUNIT 1', 101121),
(157396, 'PTHR13206:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE FANCL', 101122),
(157397, 'PTHR11054:SF18', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', 101123),
(157398, 'PTHR46128:SF50', NULL, NULL, NULL, NULL, 'BNACNNG48410D PROTEIN', 101124),
(157399, 'PTHR32191:SF16', NULL, NULL, NULL, NULL, 'OS02G0728800 PROTEIN', 101125),
(157400, 'PTHR30222:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', 101126),
(157401, 'PTHR46218', NULL, NULL, NULL, NULL, 'LASP', 101127),
(157402, 'PTHR11516:SF55', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', 101128),
(157403, 'PTHR32285:SF153', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 41', 101129),
(157404, 'PTHR11876:SF2', NULL, NULL, NULL, NULL, 'ALPHA-DEFENSIN 1-RELATED', 101130),
(157405, 'PTHR23050:SF385', NULL, NULL, NULL, NULL, 'CALMODULIN-3-RELATED', 101131),
(157406, 'PTHR46261:SF1', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 1', 101132),
(157407, 'PTHR22895:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101133),
(157408, 'PTHR10110:SF153', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 101134),
(157409, 'PTHR46128:SF262', NULL, NULL, NULL, NULL, 'BNAA07G03140D PROTEIN', 101135),
(157410, 'PTHR34790:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CORE COMPLEX PROTEINS PSBY, CHLOROPLASTIC', 101136),
(157411, 'PTHR46196', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH155-LIKE ISOFORM X1-RELATED', 101137),
(157412, 'PTHR31060:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0011J08.25 PROTEIN', 101138),
(157413, 'PTHR33783', NULL, NULL, NULL, NULL, 'PROTEIN HAIKU1', 101139),
(157414, 'PTHR12411:SF637', NULL, NULL, NULL, NULL, 'PAPAIN-LIKE CYSTEINE PROTEASE', 101140),
(157415, 'PTHR11132:SF255', NULL, NULL, NULL, NULL, 'GDP-FUCOSE TRANSPORTER 1', 101141),
(157416, 'PTHR21733:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG21949', 101142),
(157417, 'PTHR33789:SF9', NULL, NULL, NULL, NULL, 'OS01G0199300 PROTEIN', 101143),
(157418, 'PTHR31657:SF29', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF056', 101144),
(157419, 'PTHR24233:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101145),
(157420, 'PTHR33713:SF4', NULL, NULL, NULL, NULL, 'ANTITOXIN YAFN', 101146),
(157421, 'PTHR48048:SF23', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 101147);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(157422, 'PTHR27000:SF711', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN-RELATED', 101148),
(157423, 'PTHR37850', NULL, NULL, NULL, NULL, 'STRU PROTEIN', 101149),
(157424, 'PTHR11064:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101150),
(157425, 'PTHR31696', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', 101151),
(157426, 'PTHR10209:SF553', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 101152),
(157427, 'PTHR35812', NULL, NULL, NULL, NULL, 'LIPOPROTEIN', 101153),
(157428, 'PTHR13454', NULL, NULL, NULL, NULL, 'PROTEIN MCM10 HOMOLOG', 101154),
(157429, 'PTHR47810:SF4', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', 101155),
(157430, 'PTHR13258:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101156),
(157431, 'PTHR36328:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 101157),
(157432, 'PTHR11636:SF43', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 4, TRANSCRIPTION FACTOR 3', 101158),
(157433, 'PTHR23291:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101159),
(157434, 'PTHR36376', NULL, NULL, NULL, NULL, 'OS09G0514700 PROTEIN', 101160),
(157435, 'PTHR35377', NULL, NULL, NULL, NULL, 'ANTITOXIN VAPB49-RELATED-RELATED', 101161),
(157436, 'PTHR35297:SF10', NULL, NULL, NULL, NULL, 'BNAC04G44400D PROTEIN', 101162),
(157437, 'PTHR12612:SF1', NULL, NULL, NULL, NULL, 'NTF2-RELATED EXPORT PROTEIN 2', 101163),
(157438, 'PTHR45763:SF25', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 101164),
(157439, 'PTHR10353:SF242', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101165),
(157440, 'PTHR47640:SF14', NULL, NULL, NULL, NULL, 'OS07G0516900 PROTEIN', 101166),
(157441, 'PTHR10127:SF824', NULL, NULL, NULL, NULL, 'MEPRIN A SUBUNIT ALPHA', 101167),
(157442, 'PTHR10106:SF10', NULL, NULL, NULL, NULL, 'OS08G0101700 PROTEIN', 101168),
(157443, 'PTHR13196:SF14', NULL, NULL, NULL, NULL, 'RECEPTOR MEDIATED ENDOCYTOSIS', 101169),
(157444, 'PTHR22968:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DKF-1', 101170),
(157445, 'PTHR12866:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG00516', 101171),
(157446, 'PTHR23326:SF21', NULL, NULL, NULL, NULL, 'BNAA10G16600D PROTEIN', 101172),
(157447, 'PTHR39165', NULL, NULL, NULL, NULL, 'IG HYPOTHETICAL 17883', 101173),
(157448, 'PTHR33074:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101174),
(157449, 'PTHR24356:SF346', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 101175),
(157450, 'PTHR20437:SF0', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 17', 101176),
(157451, 'PTHR10288:SF279', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING PROTEIN 4', 101177),
(157452, 'PTHR31683:SF85', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 101178),
(157453, 'PTHR11276', NULL, NULL, NULL, NULL, 'DNA POLYMERASE TYPE-X FAMILY MEMBER', 101179),
(157454, 'PTHR11963:SF34', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 101180),
(157455, 'PTHR43020:SF2', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 1', 101181),
(157456, 'PTHR37384:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101182),
(157457, 'PTHR16166:SF129', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13A-RELATED', 101183),
(157458, 'PTHR13533:SF31', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 101184),
(157459, 'PTHR36041:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 7A, MITOCHONDRIAL-RELATED', 101185),
(157460, 'PTHR33562:SF22', NULL, NULL, NULL, NULL, 'PROTEIN QUIVER', 101186),
(157461, 'PTHR16290:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101187),
(157462, 'PTHR26453:SF643', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T12', 101188),
(157463, 'PTHR34112:SF14', NULL, NULL, NULL, NULL, 'OS04G0448200 PROTEIN', 101189),
(157464, 'PTHR46211:SF10', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 101190),
(157465, 'PTHR48007:SF20', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 101191),
(157466, 'PTHR33869:SF6', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 4', 101192);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(157467, 'PTHR12582:SF4', NULL, NULL, NULL, NULL, 'NETRIN RECEPTOR UNC5A', 101193),
(157468, 'PTHR27006:SF380', NULL, NULL, NULL, NULL, 'BNAC04G54970D PROTEIN', 101194),
(157469, 'PTHR11076', NULL, NULL, NULL, NULL, 'DNA REPAIR POLYMERASE UMUC / TRANSFERASE FAMILY MEMBER', 101195),
(157470, 'PTHR24377:SF762', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 641', 101196),
(157471, 'PTHR39477', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 101197),
(157472, 'PTHR42917:SF2', NULL, NULL, NULL, NULL, '2,4-DIENOYL-COA REDUCTASE', 101198),
(157473, 'PTHR35969:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM243A-RELATED', 101199),
(157474, 'PTHR47991:SF28', NULL, NULL, NULL, NULL, 'BNACNNG33000D PROTEIN', 101200),
(157475, 'PTHR33801:SF7', NULL, NULL, NULL, NULL, 'ABSCISIC STRESS-RIPENING PROTEIN 5', 101201),
(157476, 'PTHR46273:SF11', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', 101202),
(157477, 'PTHR34482:SF19', NULL, NULL, NULL, NULL, 'TERMINAL URIDYLYLTRANSFERASE 7-LIKE', 101203),
(157478, 'PTHR11588:SF311', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1 CHAIN', 101204),
(157479, 'PTHR47925:SF109', NULL, NULL, NULL, NULL, 'BNAC01G37000D PROTEIN', 101205),
(157480, 'PTHR14445:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101206),
(157481, 'PTHR12876:SF35', NULL, NULL, NULL, NULL, 'LD08718P', 101207),
(157482, 'PTHR27002:SF559', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', 101208),
(157483, 'PTHR11685:SF326', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 101209),
(157484, 'PTHR20852:SF39', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE (GLUTAMATE-AMMONIA LIGASE)', 101210),
(157485, 'PTHR31739:SF37', NULL, NULL, NULL, NULL, 'BNAANNG04000D PROTEIN', 101211),
(157486, 'PTHR34188:SF15', NULL, NULL, NULL, NULL, 'BNAC01G34820D PROTEIN', 101212),
(157487, 'PTHR35662', NULL, NULL, NULL, NULL, 'INTERACTOR OF HORMAD1 PROTEIN 1', 101213),
(157488, 'PTHR12750:SF11', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE 1', 101214),
(157489, 'PTHR11932:SF156', NULL, NULL, NULL, NULL, 'CULLIN-1', 101215),
(157490, 'PTHR48016:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101216),
(157491, 'PTHR18842:SF2', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE 1-BINDING PROTEIN 1', 101217),
(157492, 'PTHR11709:SF218', NULL, NULL, NULL, NULL, 'OS09G0365900 PROTEIN', 101218),
(157493, 'PTHR31087:SF124', NULL, NULL, NULL, NULL, 'TUBBY C-TERMINAL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 101219),
(157494, 'PTHR14359:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101220),
(157495, 'PTHR30540:SF110', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 101221),
(157496, 'PTHR19143:SF388', NULL, NULL, NULL, NULL, 'RYNCOLIN-4', 101222),
(157497, 'PTHR32444:SF65', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 101223),
(157498, 'PTHR45623:SF14', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 1', 101224),
(157499, 'PTHR37305', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 101225),
(157500, 'PTHR33710:SF23', NULL, NULL, NULL, NULL, 'BNAC09G13610D PROTEIN', 101226),
(157501, 'PTHR40447', NULL, NULL, NULL, NULL, 'ANAEROBIC SULFITE REDUCTASE SUBUNIT A', 101227),
(157502, 'PTHR33285:SF29', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE PROTEIN', 101228),
(157503, 'PTHR10663:SF312', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 5', 101229),
(157504, 'PTHR37950', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE CATABOLISM PROTEIN', 101230),
(157505, 'PTHR11003:SF61', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 101231),
(157506, 'PTHR33640:SF25', NULL, NULL, NULL, NULL, 'BNAC07G31980D PROTEIN', 101232),
(157507, 'PTHR37857:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 273', 101233),
(157508, 'PTHR23070:SF157', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 101234),
(157509, 'PTHR31669:SF48', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 2', 101235);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(157510, 'PTHR27002:SF861', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 25', 101236),
(157511, 'PTHR48030:SF1', NULL, NULL, NULL, NULL, 'OS07G0602600 PROTEIN', 101237),
(157512, 'PTHR46465:SF2', NULL, NULL, NULL, NULL, 'LATERAL SIGNALING TARGET PROTEIN 2 HOMOLOG', 101238),
(157513, 'PTHR13170:SF23', NULL, NULL, NULL, NULL, 'SI:DKEY-183C6.8', 101239),
(157514, 'PTHR33463:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101240),
(157515, 'PTHR31517:SF34', NULL, NULL, NULL, NULL, 'PEROXIDASE', 101241),
(157516, 'PTHR31649:SF11', NULL, NULL, NULL, NULL, 'PROTEIN UNZIPPED', 101242),
(157517, 'PTHR23073:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101243),
(157518, 'PTHR31589:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101244),
(157519, 'PTHR48001:SF67', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7G1', 101245),
(157520, 'PTHR46873:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASES', 101246),
(157521, 'PTHR30622', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-DIPHOSPHATASE', 101247),
(157522, 'PTHR23501:SF36', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTD-RELATED', 101248),
(157523, 'PTHR34547', NULL, NULL, NULL, NULL, 'YACP-LIKE NYN DOMAIN PROTEIN', 101249),
(157524, 'PTHR43742', NULL, NULL, NULL, NULL, 'TRIMETHYLAMINE-N-OXIDE REDUCTASE', 101250),
(157525, 'PTHR45862:SF8', NULL, NULL, NULL, NULL, 'BNAC03G44000D PROTEIN', 101251),
(157526, 'PTHR31707:SF264', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 28-RELATED', 101252),
(157527, 'PTHR11405:SF53', NULL, NULL, NULL, NULL, 'ASPARTATE/ORNITHINE CARBAMOYLTRANSFERASE-RELATED', 101253),
(157528, 'PTHR12019:SF13', NULL, NULL, NULL, NULL, 'THYMOPOIETIN B', 101254),
(157529, 'PTHR23139:SF122', NULL, NULL, NULL, NULL, 'U2 SNRNP AUXILIARY FACTOR LARGE SUBUNIT', 101255),
(157530, 'PTHR12542:SF118', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 101256),
(157531, 'PTHR31062:SF127', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 101257),
(157532, 'PTHR14974:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 5 C1ORF21 HOMOLOG', 101258),
(157533, 'PTHR26374:SF392', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER PROTEIN', 101259),
(157534, 'PTHR46611:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 101260),
(157535, 'PTHR10730:SF45', NULL, NULL, NULL, NULL, 'PROCOLLAGEN-LYSINE,2-OXOGLUTARATE 5-DIOXYGENASE', 101261),
(157536, 'PTHR13450:SF4', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L42, MITOCHONDRIAL', 101262),
(157537, 'PTHR43689', NULL, NULL, NULL, NULL, 'HYDROLASE', 101263),
(157538, 'PTHR39664', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 101264),
(157539, 'PTHR33337:SF37', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G01340)', 101265),
(157540, 'PTHR24300:SF48', NULL, NULL, NULL, NULL, 'VITAMIN D 25-HYDROXYLASE', 101266),
(157541, 'PTHR23048:SF37', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT POLYPEPTIDE 6', 101267),
(157542, 'PTHR24377', NULL, NULL, NULL, NULL, 'IP01015P-RELATED', 101268),
(157543, 'PTHR11909:SF398', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE PROTEIN', 101269),
(157544, 'PTHR30258:SF2', NULL, NULL, NULL, NULL, 'BACTERIOPHAGE ADSORPTION PROTEIN B-RELATED', 101270),
(157545, 'PTHR43112:SF24', NULL, NULL, NULL, NULL, 'FERREDOXIN', 101271),
(157546, 'PTHR31094:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0070C17.17-LIKE PROTEIN', 101272),
(157547, 'PTHR34611', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 101273),
(157548, 'PTHR43230', NULL, NULL, NULL, NULL, 'ABC-TYPE DIPEPTIDE/OLIGOPEPTIDE TRANSPORT SYSTEM, ATPASE COMPONENT', 101274),
(157549, 'PTHR11104', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE N3-ACETYLTRANSFERASE', 101275),
(157550, 'PTHR12414:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GLIAL CELLS MISSING-RELATED', 101276),
(157551, 'PTHR43010:SF1', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN SLR1230', 101277),
(157552, 'PTHR43393:SF2', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 101278),
(157553, 'PTHR32295:SF6', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 17', 101279);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(157554, 'PTHR11571:SF241', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GST-36-RELATED', 101280),
(157555, 'PTHR16223:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101281),
(157556, 'PTHR19991:SF3', NULL, NULL, NULL, NULL, 'LETHAL (2) 01289, ISOFORM F', 101282),
(157557, 'PTHR43302:SF2', NULL, NULL, NULL, NULL, 'SILICON EFFLUX TRANSPORTER LSI3', 101283),
(157558, 'PTHR23070:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101284),
(157559, 'PTHR12335:SF5', NULL, NULL, NULL, NULL, 'IP20336P', 101285),
(157560, 'PTHR10693:SF62', NULL, NULL, NULL, NULL, 'BNAA07G24350D PROTEIN', 101286),
(157561, 'PTHR47094:SF13', NULL, NULL, NULL, NULL, 'BNAA09G03100D PROTEIN', 101287),
(157562, 'PTHR22765:SF336', NULL, NULL, NULL, NULL, 'BNAA05G34780D PROTEIN', 101288),
(157563, 'PTHR14209:SF23', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 101289),
(157564, 'PTHR28242:SF31', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 1-LIKE ISOFORM X1', 101290),
(157565, 'PTHR33978:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101291),
(157566, 'PTHR36766:SF11', NULL, NULL, NULL, NULL, 'BNAA06G31950D PROTEIN', 101292),
(157567, 'PTHR24209:SF29', NULL, NULL, NULL, NULL, 'PROTEIN DA1', 101293),
(157568, 'PTHR13139:SF6', NULL, NULL, NULL, NULL, 'ROQUIN-1', 101294),
(157569, 'PTHR23294:SF54', NULL, NULL, NULL, NULL, 'DUF895 DOMAIN MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_8G04110)', 101295),
(157570, 'PTHR11362:SF129', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN PEBP-RELATED', 101296),
(157571, 'PTHR11132:SF366', NULL, NULL, NULL, NULL, 'TRIOSE-PHOSPHATE TRANSPORTER DOMAIN', 101297),
(157572, 'PTHR20852:SF84', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE, CHLOROPLASTIC/MITOCHONDRIAL', 101298),
(157573, 'PTHR18952:SF232', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 7', 101299),
(157574, 'PTHR11909:SF193', NULL, NULL, NULL, NULL, 'PROTEIN CBG20086', 101300),
(157575, 'PTHR31818:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101301),
(157576, 'PTHR31787:SF11', NULL, NULL, NULL, NULL, 'FRIZZLED/SMOOTHENED-LIKE SANS CRD PROTEIN J', 101302),
(157577, 'PTHR31906:SF28', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 13, CHLOROPLASTIC-RELATED', 101303),
(157578, 'PTHR23263:SF28', NULL, NULL, NULL, NULL, 'SMALL PROLINE-RICH PROTEIN 3', 101304),
(157579, 'PTHR31668:SF17', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 101305),
(157580, 'PTHR33775:SF2', NULL, NULL, NULL, NULL, 'CARDIAC-ENRICHED FHL2-INTERACTING PROTEIN', 101306),
(157581, 'PTHR27001:SF585', NULL, NULL, NULL, NULL, 'OS02G0648100 PROTEIN', 101307),
(157582, 'PTHR47233:SF2', NULL, NULL, NULL, NULL, 'CHEMOTAXIS SIGNAL TRANSDUCTION SYSTEM RESPONSE REGULATOR CHEV', 101308),
(157583, 'PTHR26453:SF30', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10A6', 101309),
(157584, 'PTHR11783:SF51', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 101310),
(157585, 'PTHR36142:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101311),
(157586, 'PTHR47990:SF91', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', 101312),
(157587, 'PTHR33414:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 1-RELATED 1', 101313),
(157588, 'PTHR35101:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101314),
(157589, 'PTHR12317:SF12', NULL, NULL, NULL, NULL, 'ACYL-COA WAX ALCOHOL ACYLTRANSFERASE 2', 101315),
(157590, 'PTHR45654:SF48', NULL, NULL, NULL, NULL, 'PROTEIN FWA, PUTATIVE-RELATED', 101316),
(157591, 'PTHR22834', NULL, NULL, NULL, NULL, 'NUCLEAR FUSION PROTEIN FUS2', 101317),
(157592, 'PTHR38329', NULL, NULL, NULL, NULL, 'CECROPIN-A1-RELATED', 101318),
(157593, 'PTHR24418:SF384', NULL, NULL, NULL, NULL, 'ACTIVATED CDC42 KINASE', 101319),
(157594, 'PTHR30154:SF52', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LRPC', 101320),
(157595, 'PTHR31061:SF31', NULL, NULL, NULL, NULL, 'HEPARAN-ALPHA-GLUCOSAMINIDE N-ACETYLTRANSFERASE-LIKE', 101321),
(157596, 'PTHR22791:SF4', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 223', 101322);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(157597, 'PTHR23124:SF132', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 101323),
(157598, 'PTHR37171:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE YRZF-RELATED', 101324),
(157599, 'PTHR13009:SF7', NULL, NULL, NULL, NULL, 'ACTIVATOR OF 90 KDA HEAT SHOCK PROTEIN ATPASE HOMOLOG 1', 101325),
(157600, 'PTHR24064:SF547', NULL, NULL, NULL, NULL, 'IP17430P', 101326),
(157601, 'PTHR13068:SF169', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN-RELATED', 101327),
(157602, 'PTHR35083', NULL, NULL, NULL, NULL, 'RGD1565685 PROTEIN', 101328),
(157603, 'PTHR46344:SF13', NULL, NULL, NULL, NULL, 'BNAA06G00430D PROTEIN', 101329),
(157604, 'PTHR27000:SF569', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RPK2', 101330),
(157605, 'PTHR30480:SF13', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE', 101331),
(157606, 'PTHR31942:SF53', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 5-RELATED', 101332),
(157607, 'PTHR36751:SF2', NULL, NULL, NULL, NULL, 'BNAA05G30640D PROTEIN', 101333),
(157608, 'PTHR31739', NULL, NULL, NULL, NULL, 'ENT-COPALYL DIPHOSPHATE SYNTHASE, CHLOROPLASTIC', 101334),
(157609, 'PTHR46563:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101335),
(157610, 'PTHR17271:SF10', NULL, NULL, NULL, NULL, 'TRIO AND F-ACTIN-BINDING PROTEIN', 101336),
(157611, 'PTHR12121:SF33', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 6', 101337),
(157612, 'PTHR17604', NULL, NULL, NULL, NULL, 'TRANSCRIPTION COFACTOR VESTIGIAL-LIKE PROTEIN 4', 101338),
(157613, 'PTHR34660:SF6', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', 101339),
(157614, 'PTHR19303:SF11', NULL, NULL, NULL, NULL, 'JERKY PROTEIN HOMOLOG', 101340),
(157615, 'PTHR47968:SF22', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 101341),
(157616, 'PTHR31114:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-RELATED', 101342),
(157617, 'PTHR30598:SF4', NULL, NULL, NULL, NULL, 'RESPIRATORY NITRATE REDUCTASE 2 GAMMA CHAIN', 101343),
(157618, 'PTHR48080:SF5', NULL, NULL, NULL, NULL, 'D(-)-TARTRATE DEHYDRATASE', 101344),
(157619, 'PTHR35372', NULL, NULL, NULL, NULL, 'ATP BINDING PROTEIN-RELATED', 101345),
(157620, 'PTHR11514', NULL, NULL, NULL, NULL, 'MYC', 101346),
(157621, 'PTHR10231:SF76', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 4-LIKE', 101347),
(157622, 'PTHR32448:SF117', NULL, NULL, NULL, NULL, 'OS08G0158300 PROTEIN', 101348),
(157623, 'PTHR47991:SF48', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', 101349),
(157624, 'PTHR34297', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN-RELATED', 101350),
(157625, 'PTHR12411:SF796', NULL, NULL, NULL, NULL, 'ERVATAMIN-B-LIKE', 101351),
(157626, 'PTHR46168:SF17', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', 101352),
(157627, 'PTHR46662:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101353),
(157628, 'PTHR14136:SF28', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD9', 101354),
(157629, 'PTHR45695:SF6', NULL, NULL, NULL, NULL, 'BOMBESIN RECEPTOR SUBTYPE-3', 101355),
(157630, 'PTHR26453:SF101', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T10', 101356),
(157631, 'PTHR13060', NULL, NULL, NULL, NULL, 'SGT1 PROTEIN  HSGT1   SUPPRESSOR OF GCR2', 101357),
(157632, 'PTHR11732:SF464', NULL, NULL, NULL, NULL, 'ALDOSE REDUCTASE-RELATED PROTEIN 2', 101358),
(157633, 'PTHR33443:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101359),
(157634, 'PTHR48056:SF9', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RCH1', 101360),
(157635, 'PTHR34575:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 101361),
(157636, 'PTHR31221:SF260', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 34-RELATED', 101362),
(157637, 'PTHR46662:SF38', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITOR 1-LIKE', 101363),
(157638, 'PTHR34935:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TIC110, CHLOROPLASTIC', 101364),
(157639, 'PTHR12632:SF48', NULL, NULL, NULL, NULL, 'OS02G0776400 PROTEIN', 101365),
(157640, 'PTHR34965:SF3', NULL, NULL, NULL, NULL, 'BNAA03G52650D PROTEIN', 101366);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(157641, 'PTHR33101:SF52', NULL, NULL, NULL, NULL, 'BNAA05G08410D PROTEIN', 101367),
(157642, 'PTHR12400:SF87', NULL, NULL, NULL, NULL, 'KINASE', 101368),
(157643, 'PTHR47980:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101369),
(157644, 'PTHR45680:SF24', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 101370),
(157645, 'PTHR19376:SF11', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA1', 101371),
(157646, 'PTHR22996:SF21', NULL, NULL, NULL, NULL, 'BNAANNG18440D PROTEIN', 101372),
(157647, 'PTHR11802:SF256', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 101373),
(157648, 'PTHR19211:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101374),
(157649, 'PTHR23147:SF150', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS2Z32', 101375),
(157650, 'PTHR10030:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101376),
(157651, 'PTHR24351:SF41', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE ALPHA-4', 101377),
(157652, 'PTHR34538:SF13', NULL, NULL, NULL, NULL, 'OS07G0573000 PROTEIN', 101378),
(157653, 'PTHR43085:SF38', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 101379),
(157654, 'PTHR35180:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG06219', 101380),
(157655, 'PTHR48043:SF45', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 101381),
(157656, 'PTHR18934:SF120', NULL, NULL, NULL, NULL, 'OS06G0343100 PROTEIN', 101382),
(157657, 'PTHR11271', NULL, NULL, NULL, NULL, 'GUANINE DEAMINASE', 101383),
(157658, 'PTHR22883:SF286', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 101384),
(157659, 'PTHR48006', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN DDB_G0281931-RELATED', 101385),
(157660, 'PTHR43572:SF31', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 3', 101386),
(157661, 'PTHR33204:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, MARR FAMILY', 101387),
(157662, 'PTHR10161:SF35', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 3', 101388),
(157663, 'PTHR46157:SF4', NULL, NULL, NULL, NULL, 'K(+) EFFLUX ANTIPORTER 3, CHLOROPLASTIC', 101389),
(157664, 'PTHR34148', NULL, NULL, NULL, NULL, 'ADENOSYLCOBINAMIDE-GDP RIBAZOLETRANSFERASE', 101390),
(157665, 'PTHR34663', NULL, NULL, NULL, NULL, 'OS06G0637400 PROTEIN', 101391),
(157666, 'PTHR32093:SF141', NULL, NULL, NULL, NULL, 'LRR EXTENSIN-LIKE PROTEIN', 101392),
(157667, 'PTHR11732:SF197', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER B15', 101393),
(157668, 'PTHR22874:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101394),
(157669, 'PTHR20921:SF7', NULL, NULL, NULL, NULL, 'PROTEIN REVERSION-TO-ETHYLENE SENSITIVITY1', 101395),
(157670, 'PTHR45997:SF1', NULL, NULL, NULL, NULL, 'DNA LIGASE 4', 101396),
(157671, 'PTHR31839:SF50', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1F', 101397),
(157672, 'PTHR21068:SF45', NULL, NULL, NULL, NULL, 'PROTEIN EARLY-RESPONSIVE TO DEHYDRATION 7, CHLOROPLASTIC', 101398),
(157673, 'PTHR42663:SF12', NULL, NULL, NULL, NULL, 'ATP-BINDING PROTEIN PHNP', 101399),
(157674, 'PTHR33130:SF37', NULL, NULL, NULL, NULL, 'OS01G0132500 PROTEIN', 101400),
(157675, 'PTHR44137:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101401),
(157676, 'PTHR33463:SF87', NULL, NULL, NULL, NULL, 'OS01G0518651 PROTEIN', 101402),
(157677, 'PTHR22855:SF31', NULL, NULL, NULL, NULL, 'ACETYL-/PROPIONYL-COA CARBOXYLASE (BETA SUBUNIT) ACCD2-RELATED', 101403),
(157678, 'PTHR11260:SF524', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 101404),
(157679, 'PTHR44329:SF91', NULL, NULL, NULL, NULL, 'INTEGRIN-LINKED PROTEIN KINASE 1-RELATED', 101405),
(157680, 'PTHR47293:SF32', NULL, NULL, NULL, NULL, 'BNAC05G11200D PROTEIN', 101406),
(157681, 'PTHR33463:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101407),
(157682, 'PTHR12741:SF58', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 7-LIKE ISOFORM X1', 101408),
(157683, 'PTHR11760:SF32', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3', 101409),
(157684, 'PTHR31839:SF48', NULL, NULL, NULL, NULL, 'BNAC08G15650D PROTEIN', 101410),
(157685, 'PTHR33191:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101411);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(157686, 'PTHR44419:SF12', NULL, NULL, NULL, NULL, 'NADPH-PROTOCHLOROPHYLLIDE OXIDOREDUCTASE', 101412),
(157687, 'PTHR31568:SF91', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', 101413),
(157688, 'PTHR31413:SF22', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN AFP1', 101414),
(157689, 'PTHR14155:SF567', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101415),
(157690, 'PTHR45828:SF3', NULL, NULL, NULL, NULL, 'FERRIC-CHELATE REDUCTASE 1', 101416),
(157691, 'PTHR20858:SF17', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLPYRIMIDINE/PHOSPHOMETHYLPYRIMIDINE KINASE THI20-RELATED', 101417),
(157692, 'PTHR33228:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101418),
(157693, 'PTHR22571', NULL, NULL, NULL, NULL, 'FILAGGRIN-RELATED', 101419),
(157694, 'PTHR23147:SF175', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN LARK', 101420),
(157695, 'PTHR31744:SF159', NULL, NULL, NULL, NULL, 'BNAC04G31690D PROTEIN', 101421),
(157696, 'PTHR48099:SF6', NULL, NULL, NULL, NULL, 'METHENYL TETRAHYDROFOLATE CYCLOHYDROLASE / NADP-DEPENDENT METHYLENE H4F DEHYDROGENASE', 101422),
(157697, 'PTHR45831:SF3', NULL, NULL, NULL, NULL, 'SMALL GLUTAMINE-RICH TETRATRICOPEPTIDE REPEAT-CONTAINING PROTEIN ALPHA', 101423),
(157698, 'PTHR32046:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101424),
(157699, 'PTHR47274:SF9', NULL, NULL, NULL, NULL, 'BNAC04G01300D PROTEIN', 101425),
(157700, 'PTHR34450:SF8', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 232-RELATED', 101426),
(157701, 'PTHR31549:SF30', NULL, NULL, NULL, NULL, 'OS05G0131000 PROTEIN', 101427),
(157702, 'PTHR23509:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101428),
(157703, 'PTHR11960:SF47', NULL, NULL, NULL, NULL, 'BNAA08G29940D PROTEIN', 101429),
(157704, 'PTHR21723:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101430),
(157705, 'PTHR32266', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE 3', 101431),
(157706, 'PTHR46592:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 101432),
(157707, 'PTHR48111:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN OMPR', 101433),
(157708, 'PTHR32227:SF362', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17-RELATED', 101434),
(157709, 'PTHR31268:SF37', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE', 101435),
(157710, 'PTHR33738:SF21', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN-RELATED', 101436),
(157711, 'PTHR46361:SF5', NULL, NULL, NULL, NULL, 'ZGC:152951', 101437),
(157712, 'PTHR31497:SF0', NULL, NULL, NULL, NULL, 'AUTOCRINE PROLIFERATION REPRESSOR PROTEIN A', 101438),
(157713, 'PTHR36481:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101439),
(157714, 'PTHR11205:SF36', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S5', 101440),
(157715, 'PTHR23257:SF848', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 101441),
(157716, 'PTHR12419:SF69', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE SUPERFAMILY PROTEIN', 101442),
(157717, 'PTHR10683', NULL, NULL, NULL, NULL, 'TRANSALDOLASE', 101443),
(157718, 'PTHR43544:SF28', NULL, NULL, NULL, NULL, 'NADB-LER1-RELATED', 101444),
(157719, 'PTHR30349:SF71', NULL, NULL, NULL, NULL, 'PROPHAGE INTEGRASE INTE', 101445),
(157720, 'PTHR10030:SF37', NULL, NULL, NULL, NULL, 'OS09G0520800 PROTEIN', 101446),
(157721, 'PTHR30618:SF13', NULL, NULL, NULL, NULL, 'PURINE-URACIL PERMEASE NCS1-LIKE ISOFORM X1', 101447),
(157722, 'PTHR42760:SF86', NULL, NULL, NULL, NULL, 'ESTRADIOL 17-BETA-DEHYDROGENASE 8', 101448),
(157723, 'PTHR45691:SF12', NULL, NULL, NULL, NULL, 'EXCRETORY CANAL ABNORMAL PROTEIN 6', 101449),
(157724, 'PTHR31636:SF261', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', 101450),
(157725, 'PTHR46937:SF4', NULL, NULL, NULL, NULL, 'FERREDOXIN-THIOREDOXIN REDUCTASE, VARIABLE CHAIN', 101451),
(157726, 'PTHR46641:SF2', NULL, NULL, NULL, NULL, 'FMRFAMIDE RECEPTOR', 101452),
(157727, 'PTHR47991:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101453),
(157728, 'PTHR24082:SF116', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR GAMMA', 101454);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(157729, 'PTHR33868:SF8', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 101455),
(157730, 'PTHR45974:SF175', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 101456),
(157731, 'PTHR24379:SF93', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 439', 101457),
(157732, 'PTHR22891:SF128', NULL, NULL, NULL, NULL, 'ARGONAUTE1', 101458),
(157733, 'PTHR10896:SF19', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE', 101459),
(157734, 'PTHR43775:SF17', NULL, NULL, NULL, NULL, 'PHTHIOCEROL SYNTHESIS POLYKETIDE SYNTHASE TYPE I PPSE', 101460),
(157735, 'PTHR10891:SF881', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101461),
(157736, 'PTHR31424:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG23806', 101462),
(157737, 'PTHR10315:SF89', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 101463),
(157738, 'PTHR31100:SF66', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 101464),
(157739, 'PTHR10902', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35A', 101465),
(157740, 'PTHR11680', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', 101466),
(157741, 'PTHR45660:SF24', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH3-RELATED', 101467),
(157742, 'PTHR42721:SF1', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 6-RELATED', 101468),
(157743, 'PTHR11830:SF32', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', 101469),
(157744, 'PTHR12151:SF6', NULL, NULL, NULL, NULL, 'C OXIDASE ASSEMBLY FACTOR, PUTATIVE-RELATED', 101470),
(157745, 'PTHR32018:SF17', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 101471),
(157746, 'PTHR23222:SF25', NULL, NULL, NULL, NULL, 'BNAA09G01960D PROTEIN', 101472),
(157747, 'PTHR13710:SF141', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 101473),
(157748, 'PTHR31561:SF27', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 101474),
(157749, 'PTHR23315:SF259', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 15', 101475),
(157750, 'PTHR27005:SF173', NULL, NULL, NULL, NULL, 'OS06G0170100 PROTEIN', 101476),
(157751, 'PTHR47820:SF5', NULL, NULL, NULL, NULL, 'BNAC08G09430D PROTEIN', 101477),
(157752, 'PTHR34223:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101478),
(157753, 'PTHR32448:SF130', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 15', 101479),
(157754, 'PTHR15371:SF27', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM23', 101480),
(157755, 'PTHR31077:SF4', NULL, NULL, NULL, NULL, 'BNAA10G11430D PROTEIN', 101481),
(157756, 'PTHR23421:SF152', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 101482),
(157757, 'PTHR42803', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', 101483),
(157758, 'PTHR34849:SF1', NULL, NULL, NULL, NULL, 'SLR0770 PROTEIN', 101484),
(157759, 'PTHR24068:SF384', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 1-RELATED', 101485),
(157760, 'PTHR35282:SF11', NULL, NULL, NULL, NULL, 'EG5651', 101486),
(157761, 'PTHR47969:SF10', NULL, NULL, NULL, NULL, 'CHROMOSOME-ASSOCIATED KINESIN KIF4A', 101487),
(157762, 'PTHR34545:SF9', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 17', 101488),
(157763, 'PTHR31374:SF6', NULL, NULL, NULL, NULL, 'OS02G0143400 PROTEIN', 101489),
(157764, 'PTHR43785:SF7', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE-LIKE', 101490),
(157765, 'PTHR32251:SF23', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE (DUF1295)', 101491),
(157766, 'PTHR43323:SF12', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', 101492),
(157767, 'PTHR21236:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YIPF6', 101493),
(157768, 'PTHR46781:SF12', NULL, NULL, NULL, NULL, 'BNACNNG24210D PROTEIN', 101494),
(157769, 'PTHR15541', NULL, NULL, NULL, NULL, 'GRANULYSIN RELATED', 101495),
(157770, 'PTHR31239:SF4', NULL, NULL, NULL, NULL, 'NICOLIN-1', 101496),
(157771, 'PTHR45730:SF13', NULL, NULL, NULL, NULL, 'OS09G0431900 PROTEIN', 101497),
(157772, 'PTHR21566', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 101498),
(157773, 'PTHR46327:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101499);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(157774, 'PTHR26450:SF136', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52M1', 101500),
(157775, 'PTHR30620:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101501),
(157776, 'PTHR24068:SF363', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', 101502),
(157777, 'PTHR24300:SF310', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 555A1-RELATED', 101503),
(157778, 'PTHR11003:SF273', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS PROTEIN 9', 101504),
(157779, 'PTHR11324:SF16', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 2', 101505),
(157780, 'PTHR33779', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 101506),
(157781, 'PTHR31744:SF119', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 92-LIKE', 101507),
(157782, 'PTHR10551', NULL, NULL, NULL, NULL, 'FASCIN', 101508),
(157783, 'PTHR42048', NULL, NULL, NULL, NULL, 'ARS-BINDING PROTEIN 2', 101509),
(157784, 'PTHR13370:SF22', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 101510),
(157785, 'PTHR10168:SF258', NULL, NULL, NULL, NULL, 'BNAA09G51030D PROTEIN', 101511),
(157786, 'PTHR48004:SF40', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', 101512),
(157787, 'PTHR31238:SF174', NULL, NULL, NULL, NULL, 'NECTARIN-1-LIKE', 101513),
(157788, 'PTHR24408:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101514),
(157789, 'PTHR44819', NULL, NULL, NULL, NULL, 'V-TYPE IMMUNOGLOBULIN DOMAIN-CONTAINING SUPPRESSOR OF T-CELL ACTIVATION', 101515),
(157790, 'PTHR36139:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101516),
(157791, 'PTHR32063:SF0', NULL, NULL, NULL, NULL, 'SWARMING MOTILITY PROTEIN SWRC', 101517),
(157792, 'PTHR45820:SF1', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 1', 101518),
(157793, 'PTHR24115:SF907', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14M', 101519),
(157794, 'PTHR10381:SF8', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT 6, CHLOROPLASTIC', 101520),
(157795, 'PTHR31692:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101521),
(157796, 'PTHR37076:SF4', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-79 SPECIFIC-LIKE', 101522),
(157797, 'PTHR10788:SF102', NULL, NULL, NULL, NULL, 'TREHALOSE-6-PHOSPHATE SYNTHASE', 101523),
(157798, 'PTHR11062:SF235', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE PROTEIN', 101524),
(157799, 'PTHR17204:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101525),
(157800, 'PTHR11453:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101526),
(157801, 'PTHR23110:SF93', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 14-LIKE PROTEIN', 101527),
(157802, 'PTHR46610:SF3', NULL, NULL, NULL, NULL, 'OS01G0238200 PROTEIN', 101528),
(157803, 'PTHR31563:SF16', NULL, NULL, NULL, NULL, 'BNAA09G42380D PROTEIN', 101529),
(157804, 'PTHR24377:SF810', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC024063-RELATED', 101530),
(157805, 'PTHR47572:SF3', NULL, NULL, NULL, NULL, 'GLUCONOLACTONASE', 101531),
(157806, 'PTHR43888:SF25', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN HOMOLOG', 101532),
(157807, 'PTHR33143:SF46', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 25-LIKE', 101533),
(157808, 'PTHR42861:SF21', NULL, NULL, NULL, NULL, 'H+-TRANSPORTING ATPASE', 101534),
(157809, 'PTHR24421', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE SENSOR PROTEIN NARX-RELATED', 101535),
(157810, 'PTHR10026:SF112', NULL, NULL, NULL, NULL, 'CTD KINASE SUBUNIT BETA', 101536),
(157811, 'PTHR24023:SF983', NULL, NULL, NULL, NULL, 'COLLAGEN STRUCTURAL', 101537),
(157812, 'PTHR22573:SF37', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE-1', 101538),
(157813, 'PTHR34452:SF5', NULL, NULL, NULL, NULL, 'MYOSIN-13-LIKE ISOFORM X1', 101539),
(157814, 'PTHR11782:SF38', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 3', 101540),
(157815, 'PTHR43900:SF78', NULL, NULL, NULL, NULL, 'BNAC03G17110D PROTEIN', 101541),
(157816, 'PTHR10369:SF40', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L44-LIKE', 101542),
(157817, 'PTHR23137:SF24', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN SFT2A', 101543);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(157818, 'PTHR43072:SF19', NULL, NULL, NULL, NULL, 'PROTEIN SPT10', 101544),
(157819, 'PTHR45914:SF13', NULL, NULL, NULL, NULL, 'OS01G0566800 PROTEIN', 101545),
(157820, 'PTHR47956:SF64', NULL, NULL, NULL, NULL, 'OS02G0184600 PROTEIN', 101546),
(157821, 'PTHR33372', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 101547),
(157822, 'PTHR13382:SF14', NULL, NULL, NULL, NULL, 'BNAC09G21680D PROTEIN', 101548),
(157823, 'PTHR10693:SF57', NULL, NULL, NULL, NULL, 'BNAA06G39850D PROTEIN', 101549),
(157824, 'PTHR21510:SF15', NULL, NULL, NULL, NULL, 'MICROTUBULE ORGANIZATION PROTEIN AKNA', 101550),
(157825, 'PTHR14221:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WD40-LIKE FAMILY-RELATED', 101551),
(157826, 'PTHR10516:SF435', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 101552),
(157827, 'PTHR31589:SF111', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PEPTIDASE', 101553),
(157828, 'PTHR12962', NULL, NULL, NULL, NULL, 'CALCIUM-REGULATED HEAT STABLE PROTEIN CRHSP-24-RELATED', 101554),
(157829, 'PTHR45836:SF9', NULL, NULL, NULL, NULL, 'SLIT HOMOLOG 3 PROTEIN', 101555),
(157830, 'PTHR14194', NULL, NULL, NULL, NULL, 'NITROGEN METABOLIC REGULATION PROTEIN NMR-RELATED', 101556),
(157831, 'PTHR18945:SF462', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', 101557),
(157832, 'PTHR31147', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 4', 101558),
(157833, 'PTHR14110:SF1', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM22-2-RELATED', 101559),
(157834, 'PTHR27005:SF362', NULL, NULL, NULL, NULL, 'BNAA09G41970D PROTEIN', 101560),
(157835, 'PTHR34849:SF4', NULL, NULL, NULL, NULL, 'SLR1209 PROTEIN', 101561),
(157836, 'PTHR11364:SF33', NULL, NULL, NULL, NULL, 'BNAC02G25610D PROTEIN', 101562),
(157837, 'PTHR23259:SF64', NULL, NULL, NULL, NULL, 'PROTEIN CBG24123', 101563),
(157838, 'PTHR44259:SF10', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 101564),
(157839, 'PTHR24061', NULL, NULL, NULL, NULL, 'CALCIUM-SENSING RECEPTOR-RELATED', 101565),
(157840, 'PTHR22907:SF16', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 101566),
(157841, 'PTHR47844', NULL, NULL, NULL, NULL, 'SYNTHASE CPS1, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G02500)-RELATED', 101567),
(157842, 'PTHR30086:SF16', NULL, NULL, NULL, NULL, 'LYSE TYPE TRANSLOCATOR-RELATED', 101568),
(157843, 'PTHR43337:SF12', NULL, NULL, NULL, NULL, 'ADENINE/GUANINE PERMEASE AZG1', 101569),
(157844, 'PTHR11835:SF48', NULL, NULL, NULL, NULL, 'HOMOISOCITRATE DEHYDROGENASE, MITOCHONDRIAL', 101570),
(157845, 'PTHR10663:SF323', NULL, NULL, NULL, NULL, 'CYTOHESIN-4', 101571),
(157846, 'PTHR23333:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101572),
(157847, 'PTHR46048:SF1', NULL, NULL, NULL, NULL, 'OXOEICOSANOID RECEPTOR 1', 101573),
(157848, 'PTHR11616:SF233', NULL, NULL, NULL, NULL, 'TRANSPORTER', 101574),
(157849, 'PTHR22765:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101575),
(157850, 'PTHR11183:SF113', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 136 PROTEIN', 101576),
(157851, 'PTHR12375:SF18', NULL, NULL, NULL, NULL, 'LUC7-LIKE PROTEIN 3', 101577),
(157852, 'PTHR14963:SF5', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 28', 101578),
(157853, 'PTHR45631:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101579),
(157854, 'PTHR44329:SF17', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 12', 101580),
(157855, 'PTHR27006:SF375', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', 101581),
(157856, 'PTHR24409:SF385', NULL, NULL, NULL, NULL, 'FINGER PUTATIVE TRANSCRIPTION FACTOR FAMILY-RELATED', 101582),
(157857, 'PTHR31069:SF19', NULL, NULL, NULL, NULL, 'OLEATE-ACTIVATED TRANSCRIPTION FACTOR 1-RELATED', 101583),
(157858, 'PTHR34961:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 101584),
(157859, 'PTHR47981:SF26', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABG3E', 101585),
(157860, 'PTHR30146:SF100', NULL, NULL, NULL, NULL, 'LACTOSE OPERON REPRESSOR', 101586),
(157861, 'PTHR19446:SF445', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101587);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(157862, 'PTHR44329:SF144', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE ISOFORM X1', 101588),
(157863, 'PTHR23163:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BRE1', 101589),
(157864, 'PTHR13627:SF28', NULL, NULL, NULL, NULL, 'AGAP006029-PA', 101590),
(157865, 'PTHR18860:SF122', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN 10', 101591),
(157866, 'PTHR15929:SF0', NULL, NULL, NULL, NULL, 'STORE-OPERATED CALCIUM ENTRY-ASSOCIATED REGULATORY FACTOR', 101592),
(157867, 'PTHR33571:SF16', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', 101593),
(157868, 'PTHR10809:SF112', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 1-1-LIKE', 101594),
(157869, 'PTHR12025:SF12', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR B', 101595),
(157870, 'PTHR10127:SF791', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 101596),
(157871, 'PTHR45676:SF87', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL52-LIKE', 101597),
(157872, 'PTHR24192:SF2', NULL, NULL, NULL, NULL, 'ANKRD40 C-TERMINAL-LIKE PROTEIN-RELATED', 101598),
(157873, 'PTHR21500:SF3', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE A', 101599),
(157874, 'PTHR11527:SF260', NULL, NULL, NULL, NULL, '18.0 KDA CLASS II HEAT SHOCK PROTEIN', 101600),
(157875, 'PTHR14247', NULL, NULL, NULL, NULL, 'BREAST CANCER ANTI-ESTROGEN RESISTANCE PROTEIN 3 HOMOLOG-LIKE PROTEIN', 101601),
(157876, 'PTHR24384:SF201', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 678-RELATED', 101602),
(157877, 'PTHR45743:SF43', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT1-LIKE', 101603),
(157878, 'PTHR31009:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101604),
(157879, 'PTHR31206:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FAM177B', 101605),
(157880, 'PTHR10891:SF897', NULL, NULL, NULL, NULL, 'BNAA02G29610D PROTEIN', 101606),
(157881, 'PTHR10977:SF7', NULL, NULL, NULL, NULL, 'DIPHOSPHOMEVALONATE DECARBOXYLASE', 101607),
(157882, 'PTHR10476:SF44', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 2 HOMOLOG 1-LIKE', 101608),
(157883, 'PTHR24399:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 39', 101609),
(157884, 'PTHR11440:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID--STEROL O-ACYLTRANSFERASE', 101610),
(157885, 'PTHR24026:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101611),
(157886, 'PTHR26450:SF149', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 101612),
(157887, 'PTHR42938:SF11', NULL, NULL, NULL, NULL, 'ERYTHRONATE-4-PHOSPHATE DEHYDROGENASE FAMILY PROTEIN', 101613),
(157888, 'PTHR10078:SF24', NULL, NULL, NULL, NULL, 'INTERLEUKIN-36 BETA', 101614),
(157889, 'PTHR31286:SF11', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1.8-LIKE', 101615),
(157890, 'PTHR23036:SF169', NULL, NULL, NULL, NULL, 'MYOTACTIN FORM B', 101616),
(157891, 'PTHR11909:SF103', NULL, NULL, NULL, NULL, 'BCDNA.LD23371', 101617),
(157892, 'PTHR12411:SF596', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101618),
(157893, 'PTHR45744:SF19', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE TAT2 ISOFORM X1-RELATED', 101619),
(157894, 'PTHR47985:SF46', NULL, NULL, NULL, NULL, 'TELOKIN/MYOSIN LIGHT CHAIN KINASE-RELATED', 101620),
(157895, 'PTHR23507:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG19357', 101621),
(157896, 'PTHR26454:SF26', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 101622),
(157897, 'PTHR43329:SF113', NULL, NULL, NULL, NULL, 'BNACNNG19250D PROTEIN', 101623),
(157898, 'PTHR10434:SF15', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL LYSOPHOSPHOLIPID TRANSPORTER-2-ACYL GLYCEROPHOSPHOETHANOLAMINE ACYL TRANSFERASE/ACYL ACP SYNTHETASE', 101624),
(157899, 'PTHR31992:SF105', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.7', 101625),
(157900, 'PTHR31374:SF201', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE FAMILY PROTEIN', 101626),
(157901, 'PTHR46858:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE APD1-RELATED', 101627),
(157902, 'PTHR24414:SF156', NULL, NULL, NULL, NULL, 'BNAC05G46750D PROTEIN', 101628),
(157903, 'PTHR15860:SF19', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 101629);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(157904, 'PTHR12741:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101630),
(157905, 'PTHR34671:SF14', NULL, NULL, NULL, NULL, 'EM PROTEIN', 101631),
(157906, 'PTHR43240:SF8', NULL, NULL, NULL, NULL, 'BLR4161 PROTEIN', 101632),
(157907, 'PTHR36129:SF1', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER SUBUNIT BETA', 101633),
(157908, 'PTHR31719:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101634),
(157909, 'PTHR10257:SF89', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 56 KDA REGULATORY SUBUNIT DELTA ISOFORM', 101635),
(157910, 'PTHR43367:SF1', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR6-RELATED', 101636),
(157911, 'PTHR24281:SF15', NULL, NULL, NULL, NULL, 'OS02G0503800 PROTEIN', 101637),
(157912, 'PTHR34002', NULL, NULL, NULL, NULL, 'BLR1656 PROTEIN', 101638),
(157913, 'PTHR43539:SF64', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 101639),
(157914, 'PTHR20426', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN TSR3 HOMOLOG', 101640),
(157915, 'PTHR33065:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101641),
(157916, 'PTHR46692:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101642),
(157917, 'PTHR24247:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101643),
(157918, 'PTHR48044:SF47', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 101644),
(157919, 'PTHR23315:SF82', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 101645),
(157920, 'PTHR36560', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING DOMAIN-CONTAINING PROTEIN', 101646),
(157921, 'PTHR34479:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 30', 101647),
(157922, 'PTHR21646:SF68', NULL, NULL, NULL, NULL, 'OS07G0160000 PROTEIN', 101648),
(157923, 'PTHR45089:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101649),
(157924, 'PTHR33128:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101650),
(157925, 'PTHR11362:SF108', NULL, NULL, NULL, NULL, 'PROTEIN BROTHER OF FT AND TFL 1', 101651),
(157926, 'PTHR48041:SF33', NULL, NULL, NULL, NULL, 'PROTEIN BROWN', 101652),
(157927, 'PTHR11063:SF26', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', 101653),
(157928, 'PTHR19278:SF42', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLTRANSFERASE, OROTIDINE 5-PHOSPHATE DECARBOXYLASE', 101654),
(157929, 'PTHR23257:SF853', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', 101655),
(157930, 'PTHR46709:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG14462', 101656),
(157931, 'PTHR43523:SF21', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE', 101657),
(157932, 'PTHR11693:SF33', NULL, NULL, NULL, NULL, 'ATP SYNTHASE GAMMA CHAIN, CHLOROPLASTIC-LIKE', 101658),
(157933, 'PTHR27005:SF350', NULL, NULL, NULL, NULL, 'OS08G0374600 PROTEIN', 101659),
(157934, 'PTHR31218:SF269', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 101660),
(157935, 'PTHR14909:SF6', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G5C', 101661),
(157936, 'PTHR30457:SF5', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE ALR3139-RELATED', 101662),
(157937, 'PTHR11439:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101663),
(157938, 'PTHR46910:SF22', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 101664),
(157939, 'PTHR46563', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 101665),
(157940, 'PTHR39452', NULL, NULL, NULL, NULL, 'CHEY-P PHOSPHATASE CHEX', 101666),
(157941, 'PTHR46053:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH4', 101667),
(157942, 'PTHR11461:SF340', NULL, NULL, NULL, NULL, 'Z, PUTATIVE-RELATED', 101668),
(157943, 'PTHR44083:SF7', NULL, NULL, NULL, NULL, 'TOPLESS-LIKE PROTEIN', 101669),
(157944, 'PTHR48050:SF14', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE UGT80A2-LIKE ISOFORM X1', 101670),
(157945, 'PTHR23305:SF9', NULL, NULL, NULL, NULL, 'OBG-LIKE ATPASE HOMOLOG', 101671),
(157946, 'PTHR21636', NULL, NULL, NULL, NULL, 'PROTEIN DOK-7', 101672),
(157947, 'PTHR11783:SF107', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 101673);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(157948, 'PTHR12774:SF6', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 19-2', 101674),
(157949, 'PTHR13683:SF800', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 101675),
(157950, 'PTHR30154:SF36', NULL, NULL, NULL, NULL, 'REGULATOR, PUTATIVE-RELATED', 101676),
(157951, 'PTHR45956:SF3', NULL, NULL, NULL, NULL, 'RUN AND FYVE DOMAIN-CONTAINING PROTEIN 2', 101677),
(157952, 'PTHR39117:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 28', 101678),
(157953, 'PTHR43628:SF1', NULL, NULL, NULL, NULL, 'ACTIVATOR OF C KINASE PROTEIN 1-RELATED', 101679),
(157954, 'PTHR18919:SF133', NULL, NULL, NULL, NULL, 'PROTEIN CBG24740', 101680),
(157955, 'PTHR10671:SF98', NULL, NULL, NULL, NULL, 'PERIPHERAL MYELIN PROTEIN 22-LIKE', 101681),
(157956, 'PTHR11771:SF34', NULL, NULL, NULL, NULL, 'ARACHIDONATE 12-LIPOXYGENASE, EPIDERMAL-TYPE', 101682),
(157957, 'PTHR42695:SF8', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL PEPTIDASE 2-RELATED', 101683),
(157958, 'PTHR43888:SF32', NULL, NULL, NULL, NULL, 'DNAJ-LIKE PROTEIN', 101684),
(157959, 'PTHR11787:SF23', NULL, NULL, NULL, NULL, 'GERANYLGERANYL TRANSFERASE COMPONENT A, PUTATIVE-RELATED', 101685),
(157960, 'PTHR48147:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG25343', 101686),
(157961, 'PTHR47990:SF46', NULL, NULL, NULL, NULL, 'ISOPENICILLIN N SYNTHASE-RELATED', 101687),
(157962, 'PTHR31503:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 3', 101688),
(157963, 'PTHR43859:SF11', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA SYNTHETASE FAMILY PROTEIN', 101689),
(157964, 'PTHR38710', NULL, NULL, NULL, NULL, 'WITH PUTATIVE URIDYL PYROPHOSPHORYLASE-RELATED', 101690),
(157965, 'PTHR33326:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101691),
(157966, 'PTHR47965:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101692),
(157967, 'PTHR28359', NULL, NULL, NULL, NULL, 'ASHWIN', 101693),
(157968, 'PTHR11860:SF85', NULL, NULL, NULL, NULL, 'PROTEIN CD300H', 101694),
(157969, 'PTHR10136:SF8', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 1C MEMBER 1-RELATED', 101695),
(157970, 'PTHR23349:SF62', NULL, NULL, NULL, NULL, 'MUSCULIN', 101696),
(157971, 'PTHR28567', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 101697),
(157972, 'PTHR31509:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101698),
(157973, 'PTHR23403:SF5', NULL, NULL, NULL, NULL, 'TREHALASE', 101699),
(157974, 'PTHR14139:SF3', NULL, NULL, NULL, NULL, 'CALSYNTENIN-2', 101700),
(157975, 'PTHR11829:SF366', NULL, NULL, NULL, NULL, 'FORK HEAD DOMAIN TRANSCRIPTION FACTOR SLP1-RELATED', 101701),
(157976, 'PTHR45647:SF104', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 101702),
(157977, 'PTHR12280:SF23', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE 1', 101703),
(157978, 'PTHR22835:SF598', NULL, NULL, NULL, NULL, 'OS03G0365475 PROTEIN', 101704),
(157979, 'PTHR46323:SF2', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 2 PROTEIN', 101705),
(157980, 'PTHR47926:SF12', NULL, NULL, NULL, NULL, 'BNAA06G12610D PROTEIN', 101706),
(157981, 'PTHR33981:SF16', NULL, NULL, NULL, NULL, 'FYD', 101707),
(157982, 'PTHR23255:SF70', NULL, NULL, NULL, NULL, 'ACTIVIN RECEPTOR TYPE-2B', 101708),
(157983, 'PTHR21145:SF12', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', 101709),
(157984, 'PTHR13382:SF22', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP14', 101710),
(157985, 'PTHR31989:SF192', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 43-LIKE', 101711),
(157986, 'PTHR45832:SF3', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 101712),
(157987, 'PTHR24026:SF97', NULL, NULL, NULL, NULL, 'CADHERIN FAMILY', 101713),
(157988, 'PTHR11738:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101714),
(157989, 'PTHR28127:SF1', NULL, NULL, NULL, NULL, 'RIBOSOME ASSEMBLY PROTEIN 3', 101715),
(157990, 'PTHR32212:SF357', NULL, NULL, NULL, NULL, 'BNAC03G14880D PROTEIN', 101716),
(157991, 'PTHR23158:SF33', NULL, NULL, NULL, NULL, 'TRANSPORT AND GOLGI ORGANIZATION PROTEIN 1', 101717),
(157992, 'PTHR33392:SF10', NULL, NULL, NULL, NULL, 'POLYISOPRENYL-TEICHOIC ACID--PEPTIDOGLYCAN TEICHOIC ACID TRANSFERASE TAGV', 101718);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(157993, 'PTHR23226:SF217', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 727', 101719),
(157994, 'PTHR22884:SF490', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 101720),
(157995, 'PTHR12409', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 3', 101721),
(157996, 'PTHR13069:SF21', NULL, NULL, NULL, NULL, 'TRNA METHYLTRANSFERASE 9B-RELATED', 101722),
(157997, 'PTHR31044:SF87', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN-CONTAINING PROTEIN', 101723),
(157998, 'PTHR43730', NULL, NULL, NULL, NULL, 'BETA-MANNOSIDASE', 101724),
(157999, 'PTHR23278:SF2', NULL, NULL, NULL, NULL, 'AGAP001925-PA', 101725),
(158000, 'PTHR47027', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 101726),
(158001, 'PTHR30544:SF8', NULL, NULL, NULL, NULL, 'RADICAL SAM SUPERFAMILY PROTEIN', 101727),
(158002, 'PTHR24416:SF566', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR', 101728),
(158003, 'PTHR40626:SF10', NULL, NULL, NULL, NULL, 'C2H2 FINGER DOMAIN TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 101729),
(158004, 'PTHR14389:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM111B', 101730),
(158005, 'PTHR11022:SF63', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-RECOGNITION PROTEIN SA', 101731),
(158006, 'PTHR33530:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101732),
(158007, 'PTHR10155:SF11', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 3', 101733),
(158008, 'PTHR32061', NULL, NULL, NULL, NULL, 'NMDA RECEPTOR SYNAPTONUCLEAR SIGNALING AND NEURONAL MIGRATION FACTOR', 101734),
(158009, 'PTHR10366:SF614', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101735),
(158010, 'PTHR11669:SF61', NULL, NULL, NULL, NULL, 'BNAC02G34560D PROTEIN', 101736),
(158011, 'PTHR23517:SF11', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', 101737),
(158012, 'PTHR23322:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101738),
(158013, 'PTHR11388:SF103', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 4C1', 101739),
(158014, 'PTHR21677:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101740),
(158015, 'PTHR22912:SF93', NULL, NULL, NULL, NULL, 'SOLUBLE PYRIDINE NUCLEOTIDE TRANSHYDROGENASE', 101741),
(158016, 'PTHR14058:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FE65 HOMOLOG', 101742),
(158017, 'PTHR21529:SF4', NULL, NULL, NULL, NULL, 'TPR AND ANKYRIN REPEAT-CONTAINING PROTEIN 1', 101743),
(158018, 'PTHR11080', NULL, NULL, NULL, NULL, 'PYRAZINAMIDASE/NICOTINAMIDASE', 101744),
(158019, 'PTHR46235:SF13', NULL, NULL, NULL, NULL, 'EDM2-LIKE PROTEIN1', 101745),
(158020, 'PTHR35989:SF3', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 32-LIKE', 101746),
(158021, 'PTHR21576:SF73', NULL, NULL, NULL, NULL, 'F1C9.29 PROTEIN-RELATED', 101747),
(158022, 'PTHR30349:SF34', NULL, NULL, NULL, NULL, 'INTEGRASE/RECOMBINASE YOEC-RELATED', 101748),
(158023, 'PTHR48063:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', 101749),
(158024, 'PTHR38492:SF1', NULL, NULL, NULL, NULL, 'ADROPIN', 101750),
(158025, 'PTHR33305:SF11', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 2 PROTEIN', 101751),
(158026, 'PTHR33083:SF86', NULL, NULL, NULL, NULL, 'SENESCENCE REGULATOR S40-RELATED', 101752),
(158027, 'PTHR43574:SF33', NULL, NULL, NULL, NULL, 'OS02G0137700 PROTEIN', 101753),
(158028, 'PTHR44427:SF9', NULL, NULL, NULL, NULL, 'SI:DKEY-93H22.7', 101754),
(158029, 'PTHR31717:SF2', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', 101755),
(158030, 'PTHR46333:SF2', NULL, NULL, NULL, NULL, 'CYTOKINESIS PROTEIN 3', 101756),
(158031, 'PTHR13720:SF18', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 44', 101757),
(158032, 'PTHR31235:SF289', NULL, NULL, NULL, NULL, 'PEROXIDASE', 101758),
(158033, 'PTHR21450:SF51', NULL, NULL, NULL, NULL, 'OS07G0211900 PROTEIN', 101759),
(158034, 'PTHR38332:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11604', 101760),
(158035, 'PTHR12224:SF18', NULL, NULL, NULL, NULL, 'BNAC05G09150D PROTEIN', 101761),
(158036, 'PTHR31388:SF147', NULL, NULL, NULL, NULL, 'PEROXIDASE 58', 101762);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(158037, 'PTHR35562:SF1', NULL, NULL, NULL, NULL, 'UPF0115 PROTEIN YFCN', 101763),
(158038, 'PTHR46103:SF1', NULL, NULL, NULL, NULL, 'RRNA METHYLTRANSFERASE 1, MITOCHONDRIAL', 101764),
(158039, 'PTHR12004:SF3', NULL, NULL, NULL, NULL, 'EARLY PLACENTA INSULIN-LIKE PEPTIDE', 101765),
(158040, 'PTHR31016:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101766),
(158041, 'PTHR45907:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', 101767),
(158042, 'PTHR31948:SF105', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 2-LIKE', 101768),
(158043, 'PTHR24096:SF261', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 6', 101769),
(158044, 'PTHR19282:SF471', NULL, NULL, NULL, NULL, 'CD63 ANTIGEN', 101770),
(158045, 'PTHR47992:SF133', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 1-RELATED', 101771),
(158046, 'PTHR10285:SF179', NULL, NULL, NULL, NULL, 'URIDINE KINASE-LIKE PROTEIN 1, CHLOROPLASTIC', 101772),
(158047, 'PTHR46692', NULL, NULL, NULL, NULL, 'INOSINE-URIDINE PREFERRING NUCLEOSIDE HYDROLASE FAMILY PROTEIN', 101773),
(158048, 'PTHR11947:SF42', NULL, NULL, NULL, NULL, 'BNAA05G30880D PROTEIN', 101774),
(158049, 'PTHR31225:SF131', NULL, NULL, NULL, NULL, 'VIRIDIFLORENE SYNTHASE', 101775),
(158050, 'PTHR40254:SF1', NULL, NULL, NULL, NULL, 'BLR0577 PROTEIN', 101776),
(158051, 'PTHR32102:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101777),
(158052, 'PTHR32246:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101778),
(158053, 'PTHR14187', NULL, NULL, NULL, NULL, 'ALPHA KINASE/ELONGATION FACTOR 2 KINASE', 101779),
(158054, 'PTHR23262:SF208', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-1', 101780),
(158055, 'PTHR45618:SF18', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OXALOACETATE TRANSPORT PROTEIN', 101781),
(158056, 'PTHR12161:SF71', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', 101782),
(158057, 'PTHR18875:SF5', NULL, NULL, NULL, NULL, 'DEUTEROSOME ASSEMBLY PROTEIN 1', 101783),
(158058, 'PTHR23257:SF832', NULL, NULL, NULL, NULL, 'PROTEIN KINASE ATN1', 101784),
(158059, 'PTHR46910:SF24', NULL, NULL, NULL, NULL, 'HALOTOLERANCE PROTEIN 9', 101785),
(158060, 'PTHR11206:SF393', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 101786),
(158061, 'PTHR31140:SF72', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR ARF14', 101787),
(158062, 'PTHR11334:SF57', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER D', 101788),
(158063, 'PTHR31169', NULL, NULL, NULL, NULL, 'OS05G0300700 PROTEIN', 101789),
(158064, 'PTHR36438', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER REPAIR PROTEIN YTFE', 101790),
(158065, 'PTHR11814:SF247', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101791),
(158066, 'PTHR10352:SF13', NULL, NULL, NULL, NULL, 'ELAV-LIKE PROTEIN 1', 101792),
(158067, 'PTHR32295:SF183', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 3', 101793),
(158068, 'PTHR24368:SF1', NULL, NULL, NULL, NULL, 'AMPHOTERIN-INDUCED PROTEIN 1', 101794),
(158069, 'PTHR12247:SF89', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 7', 101795),
(158070, 'PTHR10887:SF491', NULL, NULL, NULL, NULL, 'RNA HELICASE SDE3-RELATED', 101796),
(158071, 'PTHR46273:SF7', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR EGL-6 ISOFORM B', 101797),
(158072, 'PTHR14429:SF5', NULL, NULL, NULL, NULL, 'AUTISM SUSCEPTIBILITY GENE 2 PROTEIN', 101798),
(158073, 'PTHR22802:SF390', NULL, NULL, NULL, NULL, 'SI:DKEY-61F9.1', 101799),
(158074, 'PTHR45638:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101800),
(158075, 'PTHR45714:SF47', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 101801),
(158076, 'PTHR10796:SF105', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 101802),
(158077, 'PTHR21392', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 101803),
(158078, 'PTHR24115:SF924', NULL, NULL, NULL, NULL, 'BNAA09G05100D PROTEIN', 101804),
(158079, 'PTHR24221:SF515', NULL, NULL, NULL, NULL, 'OS04G0481700 PROTEIN', 101805),
(158080, 'PTHR10775:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101806),
(158081, 'PTHR23406:SF81', NULL, NULL, NULL, NULL, 'MALIC ENZYME', 101807);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(158082, 'PTHR45687:SF71', NULL, NULL, NULL, NULL, 'BNAC06G15450D PROTEIN', 101808),
(158083, 'PTHR37159', NULL, NULL, NULL, NULL, 'GH11867P', 101809),
(158084, 'PTHR31589:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101810),
(158085, 'PTHR11945:SF634', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101811),
(158086, 'PTHR45628:SF2', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1F', 101812),
(158087, 'PTHR13082:SF0', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP18', 101813),
(158088, 'PTHR10209:SF672', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE', 101814),
(158089, 'PTHR31972', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 101815),
(158090, 'PTHR36379:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PRD1', 101816),
(158091, 'PTHR10083:SF354', NULL, NULL, NULL, NULL, 'PROTEIN CBG06419', 101817),
(158092, 'PTHR23501:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101818),
(158093, 'PTHR10783:SF108', NULL, NULL, NULL, NULL, 'BNAA06G33790D PROTEIN', 101819),
(158094, 'PTHR43669:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101820),
(158095, 'PTHR21669:SF29', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN ISOFORM 1', 101821),
(158096, 'PTHR43981:SF7', NULL, NULL, NULL, NULL, 'TRANS-2-ENOYL-COA REDUCTASE, MITOCHONDRIAL-RELATED', 101822),
(158097, 'PTHR10127:SF850', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-5', 101823),
(158098, 'PTHR12137:SF32', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 11', 101824),
(158099, 'PTHR39074', NULL, NULL, NULL, NULL, 'AGAP007547-PA', 101825),
(158100, 'PTHR19849:SF1', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 7', 101826),
(158101, 'PTHR22811:SF160', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY/GOLD FAMILY PROTEIN-RELATED', 101827),
(158102, 'PTHR11206:SF124', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 53', 101828),
(158103, 'PTHR33077:SF49', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 9', 101829),
(158104, 'PTHR46642', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE, SUBGROUP, CATALYTIC DOMAIN', 101830),
(158105, 'PTHR43920:SF1', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN', 101831),
(158106, 'PTHR32448:SF136', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT OXIDOREDUCTASE FOX3-LIKE', 101832),
(158107, 'PTHR46317:SF2', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE TATDN3-RELATED', 101833),
(158108, 'PTHR32191:SF22', NULL, NULL, NULL, NULL, 'TETRASPANIN-10', 101834),
(158109, 'PTHR45614:SF51', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING PROTEIN BAS1', 101835),
(158110, 'PTHR31920:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101836),
(158111, 'PTHR31697:SF2', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 5', 101837),
(158112, 'PTHR47887', NULL, NULL, NULL, NULL, 'CYSTATIN-LIKE 1', 101838),
(158113, 'PTHR47240:SF5', NULL, NULL, NULL, NULL, 'CHROMO DOMAIN PROTEIN LHP1-RELATED', 101839),
(158114, 'PTHR26379:SF321', NULL, NULL, NULL, NULL, 'OS04G0625600 PROTEIN', 101840),
(158115, 'PTHR37763', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX EXONUCLEASE', 101841),
(158116, 'PTHR10682:SF23', NULL, NULL, NULL, NULL, 'DUF455 DOMAIN-CONTAINING PROTEIN', 101842),
(158117, 'PTHR42958:SF2', NULL, NULL, NULL, NULL, 'UPTAKE HYDROGENASE LARGE SUBUNIT', 101843),
(158118, 'PTHR11328:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101844),
(158119, 'PTHR45623:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CHROMATIN REMODELING 4', 101845),
(158120, 'PTHR35120:SF1', NULL, NULL, NULL, NULL, 'OS01G0756000 PROTEIN', 101846),
(158121, 'PTHR24215:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE AND GLYCINE-RICH PROTEIN 3', 101847),
(158122, 'PTHR30614:SF39', NULL, NULL, NULL, NULL, 'AMINO ACID ABC TRANSPORTER PROTEIN, INTEGRAL MEMBRANE COMPONENT-RELATED', 101848),
(158123, 'PTHR36702', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RESOLVASE', 101849),
(158124, 'PTHR33076:SF85', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 12', 101850),
(158125, 'PTHR15860:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 101851);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(158126, 'PTHR27002:SF839', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101852),
(158127, 'PTHR46687', NULL, NULL, NULL, NULL, 'PROTEIN DISPATCHED HOMOLOG 3', 101853),
(158128, 'PTHR45614:SF158', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB98', 101854),
(158129, 'PTHR43475:SF2', NULL, NULL, NULL, NULL, 'RIBOSE 1,5-BISPHOSPHATE ISOMERASE', 101855),
(158130, 'PTHR23267:SF382', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 3-20-RELATED', 101856),
(158131, 'PTHR12013:SF0', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 14 KDA PROTEIN', 101857),
(158132, 'PTHR22847:SF654', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTIONAL COREPRESSOR TUPA-RELATED', 101858),
(158133, 'PTHR12155:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CBG19064', 101859),
(158134, 'PTHR42974', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', 101860),
(158135, 'PTHR13677:SF3', NULL, NULL, NULL, NULL, 'MESA PROTEIN', 101861),
(158136, 'PTHR11615:SF323', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 101862),
(158137, 'PTHR31414:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101863),
(158138, 'PTHR10903:SF125', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST', 101864),
(158139, 'PTHR28061', NULL, NULL, NULL, NULL, 'INO EIGHTY SUBUNIT 4', 101865),
(158140, 'PTHR14920:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 19', 101866),
(158141, 'PTHR31790:SF286', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101867),
(158142, 'PTHR31541', NULL, NULL, NULL, NULL, 'B3 DOMAIN PLANT PROTEIN-RELATED', 101868),
(158143, 'PTHR11227:SF58', NULL, NULL, NULL, NULL, 'WD REPEAT PHOSPHOINOSITIDE-INTERACTING-LIKE PROTEIN', 101869),
(158144, 'PTHR28649:SF2', NULL, NULL, NULL, NULL, 'PROTEIN REPRIMO', 101870),
(158145, 'PTHR23086:SF101', NULL, NULL, NULL, NULL, 'LP03320P-RELATED', 101871),
(158146, 'PTHR21325:SF47', NULL, NULL, NULL, NULL, 'PROTEIN CBG05119', 101872),
(158147, 'PTHR19282:SF454', NULL, NULL, NULL, NULL, 'TETRASPANIN TSPD-RELATED', 101873),
(158148, 'PTHR22748:SF13', NULL, NULL, NULL, NULL, 'OS07G0184032 PROTEIN', 101874),
(158149, 'PTHR21700:SF49', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 101875),
(158150, 'PTHR42760:SF52', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE [NADPH] FABL', 101876),
(158151, 'PTHR13389', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 101877),
(158152, 'PTHR45932:SF2', NULL, NULL, NULL, NULL, 'PATELLIN-4', 101878),
(158153, 'PTHR11615:SF267', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 101879),
(158154, 'PTHR37283:SF1', NULL, NULL, NULL, NULL, 'PH DOMAIN-CONTAINING PROTEIN YHR131C', 101880),
(158155, 'PTHR13103:SF3', NULL, NULL, NULL, NULL, 'SCHWANNOMIN-INTERACTING PROTEIN 1-RELATED', 101881),
(158156, 'PTHR22761:SF62', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 4B-RELATED', 101882),
(158157, 'PTHR15427:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101883),
(158158, 'PTHR28633:SF1', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 3 PROTEIN', 101884),
(158159, 'PTHR16852:SF2', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE 1 FEEDBACK REGULATORY PROTEIN', 101885),
(158160, 'PTHR11040:SF168', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP3', 101886),
(158161, 'PTHR46122:SF1', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT PROTEIN', 101887),
(158162, 'PTHR19842:SF4', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_5G04300)', 101888),
(158163, 'PTHR34198', NULL, NULL, NULL, NULL, 'OS01G0175100 PROTEIN', 101889),
(158164, 'PTHR11537:SF114', NULL, NULL, NULL, NULL, 'PROTEIN CBR-KVS-5', 101890),
(158165, 'PTHR47717', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP19, CHLOROPLASTIC', 101891),
(158166, 'PTHR46603:SF1', NULL, NULL, NULL, NULL, 'ABSCISSION/NOCUT CHECKPOINT REGULATOR', 101892),
(158167, 'PTHR34464:SF7', NULL, NULL, NULL, NULL, 'OS08G0414300 PROTEIN', 101893),
(158168, 'PTHR17103:SF13', NULL, NULL, NULL, NULL, 'NEUREXOPHILIN-1', 101894),
(158169, 'PTHR30521', NULL, NULL, NULL, NULL, 'DEFERROCHELATASE/PEROXIDASE', 101895),
(158170, 'PTHR43795:SF3', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE, CLASSES I AND II FAMILY PROTEIN', 101896);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(158171, 'PTHR33824:SF8', NULL, NULL, NULL, NULL, 'BNAC05G01260D PROTEIN', 101897),
(158172, 'PTHR38926:SF10', NULL, NULL, NULL, NULL, 'F-BOX-LIKE PROTEIN', 101898),
(158173, 'PTHR46751', NULL, NULL, NULL, NULL, 'EPPIN', 101899),
(158174, 'PTHR10151:SF79', NULL, NULL, NULL, NULL, 'BIS(5''-ADENOSYL)-TRIPHOSPHATASE ENPP4', 101900),
(158175, 'PTHR30003:SF5', NULL, NULL, NULL, NULL, 'L-LACTATE PERMEASE', 101901),
(158176, 'PTHR23403:SF24', NULL, NULL, NULL, NULL, 'TREHALASE', 101902),
(158177, 'PTHR15407:SF32', NULL, NULL, NULL, NULL, 'PROTEIN (MNN4), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03790)-RELATED', 101903),
(158178, 'PTHR31662:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101904),
(158179, 'PTHR31602:SF43', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR', 101905),
(158180, 'PTHR23115:SF262', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', 101906),
(158181, 'PTHR43884:SF5', NULL, NULL, NULL, NULL, 'ACYL COA DEHYDROGENASE', 101907),
(158182, 'PTHR12174:SF88', NULL, NULL, NULL, NULL, 'BNAC02G47930D PROTEIN', 101908),
(158183, 'PTHR45726:SF6', NULL, NULL, NULL, NULL, 'LEUKOTRIENE A4 HYDROLASE HOMOLOG', 101909),
(158184, 'PTHR21456:SF1', NULL, NULL, NULL, NULL, 'SYM-3A', 101910),
(158185, 'PTHR34157', NULL, NULL, NULL, NULL, 'TUZIN', 101911),
(158186, 'PTHR10126:SF41', NULL, NULL, NULL, NULL, 'TBP-RELATED FACTOR', 101912),
(158187, 'PTHR46090:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 13B', 101913),
(158188, 'PTHR11267:SF83', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR T', 101914),
(158189, 'PTHR34209:SF4', NULL, NULL, NULL, NULL, 'BNAC01G24130D PROTEIN', 101915),
(158190, 'PTHR11863:SF115', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 3-LIKE ISOFORM X1', 101916),
(158191, 'PTHR11709:SF229', NULL, NULL, NULL, NULL, 'LACCASE-8', 101917),
(158192, 'PTHR31374:SF182', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 101918),
(158193, 'PTHR47974:SF4', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', 101919),
(158194, 'PTHR43620:SF32', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL3', 101920),
(158195, 'PTHR14499:SF5', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL REGULATORY PROTEIN', 101921),
(158196, 'PTHR40547:SF1', NULL, NULL, NULL, NULL, 'SLL0298 PROTEIN', 101922),
(158197, 'PTHR36753:SF3', NULL, NULL, NULL, NULL, 'BNAC03G70800D PROTEIN', 101923),
(158198, 'PTHR16134:SF88', NULL, NULL, NULL, NULL, 'BNAC06G43000D PROTEIN', 101924),
(158199, 'PTHR10900:SF116', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 101925),
(158200, 'PTHR19331:SF436', NULL, NULL, NULL, NULL, 'SI:CH211-150O23.3', 101926),
(158201, 'PTHR10693:SF29', NULL, NULL, NULL, NULL, 'GB|AAD20086.1', 101927),
(158202, 'PTHR46536', NULL, NULL, NULL, NULL, 'ARL14 EFFECTOR PROTEIN', 101928),
(158203, 'PTHR24376:SF85', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 600-RELATED', 101929),
(158204, 'PTHR12943:SF5', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE-RESPONSIVE ENDOPLASMIC RETICULUM-RESIDENT UBIQUITIN-LIKE DOMAIN MEMBER 2 PROTEIN', 101930),
(158205, 'PTHR48019:SF87', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PROTEIN SEPALLATA 1', 101931),
(158206, 'PTHR43522:SF14', NULL, NULL, NULL, NULL, 'TRANSKETOLASE-1, CHLOROPLASTIC', 101932),
(158207, 'PTHR28221:SF2', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN6', 101933),
(158208, 'PTHR48024:SF10', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 24', 101934),
(158209, 'PTHR10783:SF118', NULL, NULL, NULL, NULL, 'BNAA06G38130D PROTEIN', 101935),
(158210, 'PTHR19229:SF163', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 10', 101936),
(158211, 'PTHR31852:SF224', NULL, NULL, NULL, NULL, 'BNAC07G32890D PROTEIN', 101937),
(158212, 'PTHR33431:SF7', NULL, NULL, NULL, NULL, 'GB|AAD24366.1', 101938),
(158213, 'PTHR12210:SF29', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN RNA POLYMERASE II POLYPEPTIDE A SMALL PHOSPHATASE 2', 101939),
(158214, 'PTHR31367:SF4', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE, CYTOSOLIC IAA', 101940),
(158215, 'PTHR11515:SF17', NULL, NULL, NULL, NULL, 'FOLLITROPIN SUBUNIT BETA', 101941);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(158216, 'PTHR12473:SF12', NULL, NULL, NULL, NULL, 'INACTIVE UBIQUITIN CARBOXYL-TERMINAL HYDROLASE MINDY-4B', 101942),
(158217, 'PTHR35810', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 101943),
(158218, 'PTHR45764:SF44', NULL, NULL, NULL, NULL, 'BNAA10G13430D PROTEIN', 101944),
(158219, 'PTHR11304:SF17', NULL, NULL, NULL, NULL, 'EPHRIN-B1', 101945),
(158220, 'PTHR20922:SF19', NULL, NULL, NULL, NULL, 'F24J5.3', 101946),
(158221, 'PTHR22950:SF366', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 6-RELATED', 101947),
(158222, 'PTHR13703:SF10', NULL, NULL, NULL, NULL, 'DWARFIN SMA', 101948),
(158223, 'PTHR24226', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 182 AND ESTROGEN RECEPTOR 1', 101949),
(158224, 'PTHR34997:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101950),
(158225, 'PTHR24177:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101951),
(158226, 'PTHR33109:SF7', NULL, NULL, NULL, NULL, 'OS07G0132300 PROTEIN', 101952),
(158227, 'PTHR13073', NULL, NULL, NULL, NULL, 'BLOC-1 COMPLEX SUBUNIT 1', 101953),
(158228, 'PTHR19375:SF431', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 68', 101954),
(158229, 'PTHR47979:SF37', NULL, NULL, NULL, NULL, 'RAB42, MEMBER RAS ONCOGENE FAMILY A', 101955),
(158230, 'PTHR23049:SF57', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 12A', 101956),
(158231, 'PTHR45872:SF1', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 11', 101957),
(158232, 'PTHR12507:SF3', NULL, NULL, NULL, NULL, 'RAB6A-GEF COMPLEX PARTNER PROTEIN 2', 101958),
(158233, 'PTHR10454:SF228', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101959),
(158234, 'PTHR33044:SF194', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 101960),
(158235, 'PTHR24567:SF69', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-BINDING DOMAIN PROTEIN', 101961),
(158236, 'PTHR23011:SF28', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-BINDING DOMAIN CONTAINING PROTEIN', 101962),
(158237, 'PTHR12203:SF92', NULL, NULL, NULL, NULL, 'BNACNNG65570D PROTEIN', 101963),
(158238, 'PTHR31238:SF123', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 16-RELATED', 101964),
(158239, 'PTHR47928:SF45', NULL, NULL, NULL, NULL, 'OS09G0474051 PROTEIN', 101965),
(158240, 'PTHR30531', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLHB', 101966),
(158241, 'PTHR12546:SF55', NULL, NULL, NULL, NULL, 'MYOFERLIN', 101967),
(158242, 'PTHR46128:SF144', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 101968),
(158243, 'PTHR47970:SF11', NULL, NULL, NULL, NULL, 'KINESIN MOTOR DOMAIN-CONTAINING PROTEIN-RELATED', 101969),
(158244, 'PTHR16517:SF117', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 101970),
(158245, 'PTHR14009:SF36', NULL, NULL, NULL, NULL, 'OSJNBA0067K08.12 PROTEIN', 101971),
(158246, 'PTHR22802:SF405', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4, MEMBER A1', 101972),
(158247, 'PTHR33067:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101973),
(158248, 'PTHR43668:SF5', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', 101974),
(158249, 'PTHR43690:SF26', NULL, NULL, NULL, NULL, 'NON-CATALYTIC MEMBER OF PEPTIDASE SUBFAMILY M16B-RELATED', 101975),
(158250, 'PTHR23167:SF53', NULL, NULL, NULL, NULL, 'MICAL-LIKE PROTEIN 2', 101976),
(158251, 'PTHR13774:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101977),
(158252, 'PTHR21229:SF54', NULL, NULL, NULL, NULL, 'OS05G0462500 PROTEIN', 101978),
(158253, 'PTHR23260', NULL, NULL, NULL, NULL, 'KERATIN ASSOCIATED PROTEIN 3-3-RELATED', 101979),
(158254, 'PTHR45633:SF22', NULL, NULL, NULL, NULL, 'CH60, PUTATIVE-RELATED', 101980),
(158255, 'PTHR28244', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN11', 101981),
(158256, 'PTHR24416:SF337', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 4', 101982),
(158257, 'PTHR48017:SF173', NULL, NULL, NULL, NULL, 'OS01G0878700 PROTEIN', 101983),
(158258, 'PTHR33994:SF19', NULL, NULL, NULL, NULL, 'OSJNBA0043L24.21 PROTEIN', 101984);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(158259, 'PTHR10250:SF13', NULL, NULL, NULL, NULL, 'MICROSOMAL GLUTATHIONE S-TRANSFERASE 2', 101985),
(158260, 'PTHR15036:SF49', NULL, NULL, NULL, NULL, 'NEUREXIN-4', 101986),
(158261, 'PTHR31707:SF165', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 51-RELATED', 101987),
(158262, 'PTHR31549:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101988),
(158263, 'PTHR31589:SF158', NULL, NULL, NULL, NULL, 'OS01G0170500 PROTEIN', 101989),
(158264, 'PTHR47429:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101990),
(158265, 'PTHR32502:SF25', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM, MANNOSE-SPECIFIC EIIC', 101991),
(158266, 'PTHR31651:SF33', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 1', 101992),
(158267, 'PTHR43895:SF106', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 101993),
(158268, 'PTHR34467:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 101994),
(158269, 'PTHR11831', NULL, NULL, NULL, NULL, '30S 40S RIBOSOMAL PROTEIN', 101995),
(158270, 'PTHR11945:SF434', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 56', 101996),
(158271, 'PTHR13803:SF10', NULL, NULL, NULL, NULL, 'OJ000126_13.4 PROTEIN', 101997),
(158272, 'PTHR24364:SF17', NULL, NULL, NULL, NULL, 'TROPHOBLAST GLYCOPROTEIN', 101998),
(158273, 'PTHR33734:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 101999),
(158274, 'PTHR13683:SF831', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE ASP1-LIKE ISOFORM X1', 102000),
(158275, 'PTHR15817:SF2', NULL, NULL, NULL, NULL, 'MUCIN 18B, ISOFORM A', 102001),
(158276, 'PTHR44846:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF 2-AMINOETHYLPHOSPHONATE DEGRADATION OPERONS-RELATED', 102002),
(158277, 'PTHR11247:SF60', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 102003),
(158278, 'PTHR46413:SF21', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', 102004),
(158279, 'PTHR11449:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30-2', 102005),
(158280, 'PTHR23329', NULL, NULL, NULL, NULL, 'TUFTELIN-INTERACTING PROTEIN 11-RELATED', 102006),
(158281, 'PTHR40115:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN WITH PEPSY TM HELIX', 102007),
(158282, 'PTHR46235:SF3', NULL, NULL, NULL, NULL, 'PHD FINGER-CONTAINING PROTEIN DDB_G0268158', 102008),
(158283, 'PTHR33047:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102009),
(158284, 'PTHR31989:SF356', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102010),
(158285, 'PTHR23024:SF545', NULL, NULL, NULL, NULL, 'NEUTRAL CHOLESTEROL ESTER HYDROLASE 1', 102011),
(158286, 'PTHR35828:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102012),
(158287, 'PTHR37391:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102013),
(158288, 'PTHR19961:SF66', NULL, NULL, NULL, NULL, 'FIMBRIN-4', 102014),
(158289, 'PTHR28028:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL SUBUNIT ASSEMBLY/EXPORT PROTEIN LOC1', 102015),
(158290, 'PTHR26451:SF68', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6K2', 102016),
(158291, 'PTHR32071:SF100', NULL, NULL, NULL, NULL, 'TYPE 4 FIMBRIAE EXPRESSION REGULATORY PROTEIN PILR', 102017),
(158292, 'PTHR46256:SF4', NULL, NULL, NULL, NULL, 'MYOSIN-IIIA', 102018),
(158293, 'PTHR31642:SF50', NULL, NULL, NULL, NULL, 'F21B7.2', 102019),
(158294, 'PTHR33346:SF29', NULL, NULL, NULL, NULL, 'DEHYDRIN RAB18', 102020),
(158295, 'PTHR10127:SF819', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-26', 102021),
(158296, 'PTHR46413:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102022),
(158297, 'PTHR33326:SF22', NULL, NULL, NULL, NULL, 'OS10G0372700 PROTEIN', 102023),
(158298, 'PTHR22984:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIM-2', 102024),
(158299, 'PTHR23226:SF203', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 80', 102025),
(158300, 'PTHR33147:SF58', NULL, NULL, NULL, NULL, 'DEFENSIN', 102026),
(158301, 'PTHR31509:SF59', NULL, NULL, NULL, NULL, 'PROTEIN BPS1, CHLOROPLASTIC', 102027),
(158302, 'PTHR43755', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 102028),
(158303, 'PTHR47925:SF45', NULL, NULL, NULL, NULL, 'BNAA08G11890D PROTEIN', 102029);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(158304, 'PTHR21569:SF26', NULL, NULL, NULL, NULL, 'BNAC03G22570D PROTEIN', 102030),
(158305, 'PTHR27006:SF382', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RKS1', 102031),
(158306, 'PTHR23176:SF107', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 12', 102032),
(158307, 'PTHR10891:SF865', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', 102033),
(158308, 'PTHR47992:SF9', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C ABI2-LIKE PROTEIN', 102034),
(158309, 'PTHR11945:SF664', NULL, NULL, NULL, NULL, 'BNAANNG37540D PROTEIN', 102035),
(158310, 'PTHR16399', NULL, NULL, NULL, NULL, 'GASDERMIN', 102036),
(158311, 'PTHR45853', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE SIRTUIN-(6/7) FAMILY MEMBER', 102037),
(158312, 'PTHR47950:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102038),
(158313, 'PTHR12346:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102039),
(158314, 'PTHR45868:SF47', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 42', 102040),
(158315, 'PTHR44376:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WD40-LIKE FAMILY-RELATED', 102041),
(158316, 'PTHR36331:SF1', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN', 102042),
(158317, 'PTHR15434', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR 2-BINDING PROTEIN', 102043),
(158318, 'PTHR33786:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102044),
(158319, 'PTHR13976:SF25', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN FUSILLI', 102045),
(158320, 'PTHR46128:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102046),
(158321, 'PTHR23123:SF35', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 19', 102047),
(158322, 'PTHR24064:SF52', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 3', 102048),
(158323, 'PTHR46131:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 51-RELATED', 102049),
(158324, 'PTHR32227:SF89', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 12-LIKE', 102050),
(158325, 'PTHR45687:SF56', NULL, NULL, NULL, NULL, 'PLASMAMEMBRANE INTRINSIC PROTEIN 13', 102051),
(158326, 'PTHR24320:SF177', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR', 102052),
(158327, 'PTHR24177:SF137', NULL, NULL, NULL, NULL, 'OS06G0291800 PROTEIN', 102053),
(158328, 'PTHR15503:SF11', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG-LIKE PROTEIN 6', 102054),
(158329, 'PTHR31646:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G13090)-RELATED', 102055),
(158330, 'PTHR11972:SF75', NULL, NULL, NULL, NULL, 'DUAL OXIDASE 1', 102056),
(158331, 'PTHR22879:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102057),
(158332, 'PTHR20961:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102058),
(158333, 'PTHR11615:SF241', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2C1', 102059),
(158334, 'PTHR31676:SF76', NULL, NULL, NULL, NULL, 'T14P8.17', 102060),
(158335, 'PTHR24044:SF415', NULL, NULL, NULL, NULL, 'NOTCH 3', 102061),
(158336, 'PTHR11814:SF99', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 26 MEMBER 10', 102062),
(158337, 'PTHR46861:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 1A', 102063),
(158338, 'PTHR31832:SF68', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 22', 102064),
(158339, 'PTHR24156:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102065),
(158340, 'PTHR24025:SF18', NULL, NULL, NULL, NULL, 'CADHERIN-23', 102066),
(158341, 'PTHR31964:SF124', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 102067),
(158342, 'PTHR11716:SF84', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE-LIKE PROTEIN A2, GROUP', 102068),
(158343, 'PTHR38659:SF1', NULL, NULL, NULL, NULL, 'METAL DEPENDENT PHOSPHOHYDROLASE-RELATED', 102069),
(158344, 'PTHR11802:SF33', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 102070),
(158345, 'PTHR44533:SF4', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', 102071),
(158346, 'PTHR24418:SF224', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE FGR', 102072),
(158347, 'PTHR10809:SF96', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 102073);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(158348, 'PTHR31790:SF400', NULL, NULL, NULL, NULL, 'BNAA05G10980D PROTEIN', 102074),
(158349, 'PTHR12533:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR OF ACTIVATED T-CELLS, CYTOPLASMIC 1', 102075),
(158350, 'PTHR23315:SF284', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 7', 102076),
(158351, 'PTHR32134:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102077),
(158352, 'PTHR39337:SF1', NULL, NULL, NULL, NULL, 'BLR5642 PROTEIN', 102078),
(158353, 'PTHR11537:SF171', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY F MEMBER 1', 102079),
(158354, 'PTHR10891:SF847', NULL, NULL, NULL, NULL, 'BNAA04G25000D PROTEIN', 102080),
(158355, 'PTHR13878:SF134', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 3-LIKE', 102081),
(158356, 'PTHR39153:SF1', NULL, NULL, NULL, NULL, 'AGR244WP', 102082),
(158357, 'PTHR10410:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102083),
(158358, 'PTHR32285:SF246', NULL, NULL, NULL, NULL, 'XYLOGLUCAN O-ACETYLTRANSFERASE 3', 102084),
(158359, 'PTHR31072:SF102', NULL, NULL, NULL, NULL, 'BNAC02G01170D PROTEIN', 102085),
(158360, 'PTHR11455:SF10', NULL, NULL, NULL, NULL, 'CRYPTOCHROME CIRCADIAN REGULATOR 1BA-RELATED', 102086),
(158361, 'PTHR20961:SF28', NULL, NULL, NULL, NULL, 'OS01G0118700 PROTEIN', 102087),
(158362, 'PTHR27002:SF847', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 102088),
(158363, 'PTHR21450:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102089),
(158364, 'PTHR31429:SF60', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 102090),
(158365, 'PTHR44259:SF22', NULL, NULL, NULL, NULL, 'BNACNNG58390D PROTEIN', 102091),
(158366, 'PTHR11640:SF49', NULL, NULL, NULL, NULL, 'KIN OF IRRE-LIKE PROTEIN 3', 102092),
(158367, 'PTHR11224:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102093),
(158368, 'PTHR33604:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY PROTEIN 2', 102094),
(158369, 'PTHR45613:SF99', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 102095),
(158370, 'PTHR28676', NULL, NULL, NULL, NULL, 'ALK AND LTK LIGAND 2-RELATED', 102096),
(158371, 'PTHR14002', NULL, NULL, NULL, NULL, 'ENDOGLIN/TGF-BETA RECEPTOR TYPE III', 102097),
(158372, 'PTHR34300:SF1', NULL, NULL, NULL, NULL, 'QUEUOSINE PRECURSOR TRANSPORTER', 102098),
(158373, 'PTHR15907:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102099),
(158374, 'PTHR11907', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE', 102100),
(158375, 'PTHR31953:SF84', NULL, NULL, NULL, NULL, 'ACID BETA-FRUCTOFURANOSIDASE', 102101),
(158376, 'PTHR24339:SF51', NULL, NULL, NULL, NULL, 'EMPTY SPIRACLES HOMEOBOX 3', 102102),
(158377, 'PTHR33450', NULL, NULL, NULL, NULL, 'EMB|CAB67623.1-RELATED', 102103),
(158378, 'PTHR11686:SF9', NULL, NULL, NULL, NULL, 'RE13973P', 102104),
(158379, 'PTHR46087:SF9', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE PROTEIN', 102105),
(158380, 'PTHR12145:SF35', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,6-ALPHA-MANNOSIDASE', 102106),
(158381, 'PTHR10830:SF3', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE 48 KDA SUBUNIT', 102107),
(158382, 'PTHR47855:SF3', NULL, NULL, NULL, NULL, 'DVL1-RELATED', 102108),
(158383, 'PTHR35099', NULL, NULL, NULL, NULL, 'OS02G0182700 PROTEIN', 102109),
(158384, 'PTHR24006:SF812', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 20', 102110),
(158385, 'PTHR47318:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP37, CHLOROPLASTIC', 102111),
(158386, 'PTHR36183', NULL, NULL, NULL, NULL, 'BETA-GLUCURONIDASE', 102112),
(158387, 'PTHR22943:SF87', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 102113),
(158388, 'PTHR48081:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 102114),
(158389, 'PTHR30055:SF165', NULL, NULL, NULL, NULL, 'SLL1286 PROTEIN', 102115),
(158390, 'PTHR24083:SF44', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 2 GROUP F MEMBER 6', 102116),
(158391, 'PTHR11514:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102117),
(158392, 'PTHR43588:SF1', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-8 METHYLMUTASE', 102118);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(158393, 'PTHR31889:SF17', NULL, NULL, NULL, NULL, 'OS09G0458100 PROTEIN', 102119),
(158394, 'PTHR32191:SF43', NULL, NULL, NULL, NULL, 'TETRASPANIN-11', 102120),
(158395, 'PTHR10891:SF889', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102121),
(158396, 'PTHR44229:SF6', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE/REDUCTASE FAMILY OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G09290)-RELATED', 102122),
(158397, 'PTHR44307:SF14', NULL, NULL, NULL, NULL, 'OS05G0548900 PROTEIN', 102123),
(158398, 'PTHR14678:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 750', 102124),
(158399, 'PTHR47824:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102125),
(158400, 'PTHR22811:SF140', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24BETA2-LIKE', 102126),
(158401, 'PTHR24064:SF482', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-8-RELATED', 102127),
(158402, 'PTHR33067:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102128),
(158403, 'PTHR11017:SF332', NULL, NULL, NULL, NULL, 'RECEPTOR, PUTATIVE-RELATED', 102129),
(158404, 'PTHR24216:SF54', NULL, NULL, NULL, NULL, 'RANDOM CDNA CLONE VEG114', 102130),
(158405, 'PTHR31636:SF197', NULL, NULL, NULL, NULL, 'GRAS TRANSCRIPTION FACTOR', 102131),
(158406, 'PTHR31213:SF117', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL2-LIKE', 102132),
(158407, 'PTHR24072:SF333', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC11', 102133),
(158408, 'PTHR45641:SF2', NULL, NULL, NULL, NULL, 'LIPA AND NB-ARC DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G14650)', 102134),
(158409, 'PTHR10791:SF175', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 102135),
(158410, 'PTHR33435:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG26795', 102136),
(158411, 'PTHR23503:SF106', NULL, NULL, NULL, NULL, 'PROTEIN CBG19428', 102137),
(158412, 'PTHR43246:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP38, CHLOROPLASTIC', 102138),
(158413, 'PTHR31429:SF48', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 72B', 102139),
(158414, 'PTHR45693:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGAL5', 102140),
(158415, 'PTHR30471', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RADC', 102141),
(158416, 'PTHR31883', NULL, NULL, NULL, NULL, 'PROTEIN FRG2-RELATED', 102142),
(158417, 'PTHR27006:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102143),
(158418, 'PTHR31165:SF74', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 10-LIKE', 102144),
(158419, 'PTHR45717:SF35', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN-RELATED', 102145),
(158420, 'PTHR47483', NULL, NULL, NULL, NULL, 'BETA-ARABINOFURANOSYLTRANSFERASE RAY1', 102146),
(158421, 'PTHR46253', NULL, NULL, NULL, NULL, 'TGF-BETA-ACTIVATED KINASE 1 AND MAP3K7-BINDING PROTEIN TAB', 102147),
(158422, 'PTHR30465:SF26', NULL, NULL, NULL, NULL, 'ABC-TYPE DIPEPTIDE/OLIGOPEPTIDE TRANSPORT SYSTEM, PERMEASE COMPONENT', 102148),
(158423, 'PTHR11240:SF39', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2', 102149),
(158424, 'PTHR45620:SF29', NULL, NULL, NULL, NULL, 'GLUCAGON RECEPTOR', 102150),
(158425, 'PTHR15537', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 7', 102151),
(158426, 'PTHR23003:SF34', NULL, NULL, NULL, NULL, 'NUCLEOLIN', 102152),
(158427, 'PTHR22870:SF155', NULL, NULL, NULL, NULL, 'BNR REPEAT DOMAIN PROTEIN-LIKE', 102153),
(158428, 'PTHR12526:SF574', NULL, NULL, NULL, NULL, 'SLR2118 PROTEIN', 102154),
(158429, 'PTHR48019:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102155),
(158430, 'PTHR24023:SF1006', NULL, NULL, NULL, NULL, 'MARCO-LIKE PROTEIN', 102156),
(158431, 'PTHR48017:SF159', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', 102157),
(158432, 'PTHR31501:SF3', NULL, NULL, NULL, NULL, 'CALCIUM RELEASE-ACTIVATED CALCIUM CHANNEL PROTEIN 1', 102158),
(158433, 'PTHR27008:SF396', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RCH1', 102159),
(158434, 'PTHR31947:SF37', NULL, NULL, NULL, NULL, 'BNAC03G58980D PROTEIN', 102160),
(158435, 'PTHR33971:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102161);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(158436, 'PTHR15486:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102162),
(158437, 'PTHR12044:SF10', NULL, NULL, NULL, NULL, 'MEIOSIS INHIBITOR PROTEIN 1', 102163),
(158438, 'PTHR20852:SF43', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', 102164),
(158439, 'PTHR43948:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 3', 102165),
(158440, 'PTHR24416:SF555', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102166),
(158441, 'PTHR48043:SF12', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 2B4', 102167),
(158442, 'PTHR45696:SF19', NULL, NULL, NULL, NULL, 'BNAANNG17900D PROTEIN', 102168),
(158443, 'PTHR24351:SF214', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 102169),
(158444, 'PTHR45940:SF22', NULL, NULL, NULL, NULL, 'BNAA09G45340D PROTEIN', 102170),
(158445, 'PTHR42861:SF56', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 102171),
(158446, 'PTHR48053:SF7', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 102172),
(158447, 'PTHR31142:SF23', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 3', 102173),
(158448, 'PTHR47123:SF20', NULL, NULL, NULL, NULL, 'BNAC04G36680D PROTEIN', 102174),
(158449, 'PTHR34200:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102175),
(158450, 'PTHR27008:SF298', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-RELATED', 102176),
(158451, 'PTHR15362:SF25', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--INOSITOL 3-PHOSPHATIDYLTRANSFERASE 1', 102177),
(158452, 'PTHR47926:SF263', NULL, NULL, NULL, NULL, 'BNACNNG59630D PROTEIN', 102178),
(158453, 'PTHR33388:SF7', NULL, NULL, NULL, NULL, 'OS05G0501800 PROTEIN', 102179),
(158454, 'PTHR27005:SF34', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 21', 102180),
(158455, 'PTHR31225:SF103', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: GERMACRENE C SYNTHASE-LIKE', 102181),
(158456, 'PTHR31579:SF1', NULL, NULL, NULL, NULL, 'OS03G0796600 PROTEIN', 102182),
(158457, 'PTHR13068:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102183),
(158458, 'PTHR11903:SF11', NULL, NULL, NULL, NULL, 'ALPHA-DIOXYGENASE 1', 102184),
(158459, 'PTHR10281:SF23', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROGESTERONE RECEPTOR COMPONENT 1', 102185),
(158460, 'PTHR35318:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102186),
(158461, 'PTHR24166:SF50', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT34-RELATED', 102187),
(158462, 'PTHR11362:SF116', NULL, NULL, NULL, NULL, 'PROTEIN HEADING DATE 3B', 102188),
(158463, 'PTHR45914:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH117', 102189),
(158464, 'PTHR46684:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR FAMA-LIKE ISOFORM X1', 102190),
(158465, 'PTHR27000:SF529', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 5', 102191),
(158466, 'PTHR31235:SF13', NULL, NULL, NULL, NULL, 'PEROXIDASE 60', 102192),
(158467, 'PTHR47992:SF129', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 69-RELATED', 102193),
(158468, 'PTHR42109:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G00100)', 102194),
(158469, 'PTHR10887', NULL, NULL, NULL, NULL, 'DNA2/NAM7 HELICASE FAMILY', 102195),
(158470, 'PTHR21649:SF112', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 102196),
(158471, 'PTHR12565:SF321', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BPE', 102197),
(158472, 'PTHR46737', NULL, NULL, NULL, NULL, 'OS02G0827600 PROTEIN', 102198),
(158473, 'PTHR33789:SF2', NULL, NULL, NULL, NULL, 'OS12G0529500 PROTEIN', 102199),
(158474, 'PTHR19957:SF135', NULL, NULL, NULL, NULL, 'OS02G0702800 PROTEIN', 102200),
(158475, 'PTHR19229:SF212', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 7', 102201),
(158476, 'PTHR48042:SF22', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 12', 102202),
(158477, 'PTHR46186:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-D', 102203),
(158478, 'PTHR12011:SF435', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR G1', 102204),
(158479, 'PTHR33972:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102205);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(158480, 'PTHR24221:SF300', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-LIKE ATP-BINDING PROTEIN MDLA', 102206),
(158481, 'PTHR33463:SF104', NULL, NULL, NULL, NULL, 'NBS-LRR TYPE DISEASE RESISTANCE PROTEIN', 102207),
(158482, 'PTHR16441:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG21952', 102208),
(158483, 'PTHR10689:SF6', NULL, NULL, NULL, NULL, 'IP20101P-RELATED', 102209),
(158484, 'PTHR35297:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102210),
(158485, 'PTHR12815:SF23', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN ASSEMBLY FACTOR BAMA', 102211),
(158486, 'PTHR18860:SF124', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN 6', 102212),
(158487, 'PTHR22734:SF3', NULL, NULL, NULL, NULL, 'RIBOSOME PRODUCTION FACTOR 1', 102213),
(158488, 'PTHR11709:SF357', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', 102214),
(158489, 'PTHR31415:SF7', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN 1 FAMILY (HIN1)-LIKE', 102215),
(158490, 'PTHR12277:SF72', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN-CONTAINING 16A', 102216),
(158491, 'PTHR43313:SF14', NULL, NULL, NULL, NULL, 'CIS-RETINOL/3ALPHA HYDROXYSTEROL SHORT-CHAIN DEHYDROGENASE-LIKE PROTEIN-RELATED', 102217),
(158492, 'PTHR45653:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102218),
(158493, 'PTHR19918:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102219),
(158494, 'PTHR13924:SF10', NULL, NULL, NULL, NULL, 'TRANSFORMING ACIDIC COILED-COIL PROTEIN, ISOFORM K', 102220),
(158495, 'PTHR47089:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, PERMEASE PROTEIN', 102221),
(158496, 'PTHR31989:SF228', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTORS 68', 102222),
(158497, 'PTHR46834:SF9', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING SUPERFAMILY PROTEIN-RELATED', 102223),
(158498, 'PTHR13683:SF638', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2', 102224),
(158499, 'PTHR24072:SF341', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN 2 ISOFORM X1', 102225),
(158500, 'PTHR31140:SF93', NULL, NULL, NULL, NULL, 'BNAC01G44850D PROTEIN', 102226),
(158501, 'PTHR10543:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102227),
(158502, 'PTHR11926:SF738', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 102228),
(158503, 'PTHR24414:SF151', NULL, NULL, NULL, NULL, 'BNAA05G09240D PROTEIN', 102229),
(158504, 'PTHR11447:SF8', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN 63', 102230),
(158505, 'PTHR31662:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102231),
(158506, 'PTHR24418:SF272', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 102232),
(158507, 'PTHR23138:SF142', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP50A-RELATED', 102233),
(158508, 'PTHR13778:SF38', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 5-RELATED', 102234),
(158509, 'PTHR43528:SF5', NULL, NULL, NULL, NULL, 'PROLINE/BETAINE TRANSPORTER', 102235),
(158510, 'PTHR31206', NULL, NULL, NULL, NULL, 'LP10445P', 102236),
(158511, 'PTHR23017:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 102237),
(158512, 'PTHR46084:SF12', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR-LIKE PROTEIN KINASE-RELATED', 102238),
(158513, 'PTHR45639:SF10', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 16', 102239),
(158514, 'PTHR15512', NULL, NULL, NULL, NULL, 'TERF1-INTERACTING NUCLEAR FACTOR 2', 102240),
(158515, 'PTHR35109', NULL, NULL, NULL, NULL, 'GLUTAMATE RACEMASE', 102241),
(158516, 'PTHR36197:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102242),
(158517, 'PTHR47965:SF20', NULL, NULL, NULL, NULL, 'OS05G0591300 PROTEIN', 102243),
(158518, 'PTHR31500:SF59', NULL, NULL, NULL, NULL, 'DNA-BINDING FAMILY PROTEIN', 102244),
(158519, 'PTHR24072:SF149', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC10-RELATED', 102245),
(158520, 'PTHR13878:SF62', NULL, NULL, NULL, NULL, 'ALCOHOL OXIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01180)-RELATED', 102246),
(158521, 'PTHR47989:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102247),
(158522, 'PTHR33355:SF17', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE, GALACTURONAN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 102248);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(158523, 'PTHR31737', NULL, NULL, NULL, NULL, 'PROTEIN TOS1', 102249),
(158524, 'PTHR48029:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102250),
(158525, 'PTHR10353:SF235', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 24', 102251),
(158526, 'PTHR10795:SF537', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102252),
(158527, 'PTHR28307', NULL, NULL, NULL, NULL, 'PROTEIN PAL1', 102253),
(158528, 'PTHR10953:SF102', NULL, NULL, NULL, NULL, 'ADENYLYLTRANSFERASE AND SULFURTRANSFERASE MOCS3', 102254),
(158529, 'PTHR48041:SF41', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORTER', 102255),
(158530, 'PTHR19282:SF448', NULL, NULL, NULL, NULL, 'TETRASPANIN', 102256),
(158531, 'PTHR12455:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR COMPLEX PROTEIN 4 HOMOLOG', 102257),
(158532, 'PTHR37351:SF1', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 17', 102258),
(158533, 'PTHR42203:SF2', NULL, NULL, NULL, NULL, 'UPF0058 PROTEIN MJ1205', 102259),
(158534, 'PTHR32227:SF237', NULL, NULL, NULL, NULL, 'GB|AAD30228.1', 102260),
(158535, 'PTHR24073:SF352', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB6', 102261),
(158536, 'PTHR23056:SF97', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 10', 102262),
(158537, 'PTHR24348:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102263),
(158538, 'PTHR32251:SF28', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID METHYLTRANSFERASE', 102264),
(158539, 'PTHR43180:SF75', NULL, NULL, NULL, NULL, 'CHAIN ALCOHOL DEHYDROGENASE, PUTATIVE-RELATED', 102265),
(158540, 'PTHR47741', NULL, NULL, NULL, NULL, 'COILED COIL DOMAIN-CONTAINING PROTEIN 8, CCDC8', 102266),
(158541, 'PTHR36727:SF3', NULL, NULL, NULL, NULL, 'BNAC02G20220D PROTEIN', 102267),
(158542, 'PTHR47967:SF3', NULL, NULL, NULL, NULL, 'OS09G0556100 PROTEIN', 102268),
(158543, 'PTHR33120:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102269),
(158544, 'PTHR31342:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102270),
(158545, 'PTHR45855:SF24', NULL, NULL, NULL, NULL, 'OS12G0599000 PROTEIN', 102271),
(158546, 'PTHR12326:SF5', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY M MEMBER 1', 102272),
(158547, 'PTHR10996:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102273),
(158548, 'PTHR48051:SF6', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND IQ MOTIF CONTAINING 4', 102274),
(158549, 'PTHR10795:SF713', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE ENDOPEPTIDASE FAMILY PROTEIN', 102275),
(158550, 'PTHR30509:SF10', NULL, NULL, NULL, NULL, 'P-HYDROXYBENZOIC ACID EFFLUX PUMP SUBUNIT AAEB', 102276),
(158551, 'PTHR24093:SF438', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 4, PLASMA MEMBRANE-TYPE', 102277),
(158552, 'PTHR47280', NULL, NULL, NULL, NULL, 'PHEOPHYTINASE, CHLOROPLASTIC', 102278),
(158553, 'PTHR48011:SF53', NULL, NULL, NULL, NULL, 'BNAA04G11130D PROTEIN', 102279),
(158554, 'PTHR47139:SF3', NULL, NULL, NULL, NULL, 'SI:CH73-361P23.3', 102280),
(158555, 'PTHR33463:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102281),
(158556, 'PTHR46057:SF16', NULL, NULL, NULL, NULL, 'DUF581 FAMILY PROTEIN', 102282),
(158557, 'PTHR19850', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN BETA  G PROTEIN BETA', 102283),
(158558, 'PTHR23037:SF29', NULL, NULL, NULL, NULL, 'INTERLEUKIN-9 RECEPTOR', 102284),
(158559, 'PTHR24203:SF44', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 2A', 102285),
(158560, 'PTHR11006:SF51', NULL, NULL, NULL, NULL, 'HISTONE-ARGININE METHYLTRANSFERASE CARM1', 102286),
(158561, 'PTHR23213:SF348', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 102287),
(158562, 'PTHR43812', NULL, NULL, NULL, NULL, 'BLR2425 PROTEIN', 102288),
(158563, 'PTHR43791:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 102289),
(158564, 'PTHR22750:SF52', NULL, NULL, NULL, NULL, 'SPHINGOSINE-1-PHOSPHATE RECEPTOR 3A', 102290),
(158565, 'PTHR45774:SF5', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 6', 102291),
(158566, 'PTHR24095:SF244', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', 102292),
(158567, 'PTHR33481:SF1', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE', 102293);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(158568, 'PTHR46220:SF7', NULL, NULL, NULL, NULL, 'OS05G0382000 PROTEIN', 102294),
(158569, 'PTHR45730:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102295),
(158570, 'PTHR13902:SF134', NULL, NULL, NULL, NULL, 'KINASE DOMAIN PROTEIN', 102296),
(158571, 'PTHR28637:SF12', NULL, NULL, NULL, NULL, 'BNAA05G11560D PROTEIN', 102297),
(158572, 'PTHR24253:SF91', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR I', 102298),
(158573, 'PTHR12537:SF152', NULL, NULL, NULL, NULL, 'BNAA03G47670D PROTEIN', 102299),
(158574, 'PTHR19353:SF13', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE 6', 102300),
(158575, 'PTHR24367:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT LGI FAMILY MEMBER 3', 102301),
(158576, 'PTHR21136:SF192', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 725-RELATED', 102302),
(158577, 'PTHR11654:SF510', NULL, NULL, NULL, NULL, 'FACILITATOR SUPERFAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', 102303),
(158578, 'PTHR13723:SF286', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS ADT-1', 102304),
(158579, 'PTHR19957:SF303', NULL, NULL, NULL, NULL, 'SYNTAXIN-132-LIKE', 102305),
(158580, 'PTHR31673:SF53', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 102306),
(158581, 'PTHR22936:SF92', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', 102307),
(158582, 'PTHR26453:SF17', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 102308),
(158583, 'PTHR13902:SF47', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK3', 102309),
(158584, 'PTHR31627:SF38', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS V-1', 102310),
(158585, 'PTHR12883:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102311),
(158586, 'PTHR24366:SF14', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY CONTAINING LEUCINE-RICH REPEAT PROTEIN', 102312),
(158587, 'PTHR14503', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN 34 FAMILY MEMBER', 102313),
(158588, 'PTHR46224:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102314),
(158589, 'PTHR44427:SF19', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC BETA-1-GLYCOPROTEIN 6-RELATED', 102315),
(158590, 'PTHR15680:SF9', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L19, MITOCHONDRIAL', 102316),
(158591, 'PTHR21461:SF74', NULL, NULL, NULL, NULL, 'GH12965P', 102317),
(158592, 'PTHR23315:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102318),
(158593, 'PTHR24228:SF9', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 25-RELATED', 102319),
(158594, 'PTHR43572:SF29', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 4', 102320),
(158595, 'PTHR33304:SF40', NULL, NULL, NULL, NULL, 'HISTONE H2B', 102321),
(158596, 'PTHR47679:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TORNADO 1', 102322),
(158597, 'PTHR31325:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102323),
(158598, 'PTHR27005:SF353', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 11-RELATED', 102324),
(158599, 'PTHR11113:SF4', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-PHOSPHATE DEACETYLASE', 102325),
(158600, 'PTHR47784', NULL, NULL, NULL, NULL, 'STEROL UPTAKE CONTROL PROTEIN 2', 102326),
(158601, 'PTHR12358:SF6', NULL, NULL, NULL, NULL, 'CERAMIDE KINASE, ISOFORM A', 102327),
(158602, 'PTHR23414', NULL, NULL, NULL, NULL, 'ADRENOMEDULLIN, ADM', 102328),
(158603, 'PTHR43551:SF2', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE IRON-SULFUR SUBUNIT', 102329),
(158604, 'PTHR45617:SF20', NULL, NULL, NULL, NULL, 'TLR4 INTERACTOR WITH LEUCINE-RICH REPEATS', 102330),
(158605, 'PTHR37868', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 190', 102331),
(158606, 'PTHR33989:SF10', NULL, NULL, NULL, NULL, 'PERMEASE IIC COMPONENT', 102332),
(158607, 'PTHR36100', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 4', 102333),
(158608, 'PTHR12346', NULL, NULL, NULL, NULL, 'SIN3B-RELATED', 102334),
(158609, 'PTHR31384:SF23', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 14', 102335),
(158610, 'PTHR23011:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102336),
(158611, 'PTHR36307:SF2', NULL, NULL, NULL, NULL, 'FLAGELLA BASAL BODY P-RING FORMATION PROTEIN FLGA', 102337);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(158612, 'PTHR33935', NULL, NULL, NULL, NULL, 'OS10G0148100 PROTEIN', 102338),
(158613, 'PTHR11071:SF292', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE G', 102339),
(158614, 'PTHR34709:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102340),
(158615, 'PTHR23512:SF10', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00260)-RELATED', 102341),
(158616, 'PTHR10443:SF14', NULL, NULL, NULL, NULL, 'DIPEPTIDASE 3', 102342),
(158617, 'PTHR23542', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 102343),
(158618, 'PTHR14511:SF15', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR FAMILY C GROUP 5 MEMBER C', 102344),
(158619, 'PTHR13336:SF2', NULL, NULL, NULL, NULL, 'OCIA DOMAIN-CONTAINING PROTEIN 2', 102345),
(158620, 'PTHR10681:SF142', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN 3', 102346),
(158621, 'PTHR24414:SF173', NULL, NULL, NULL, NULL, 'BNAA09G17190D PROTEIN', 102347),
(158622, 'PTHR10201:SF239', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-B', 102348),
(158623, 'PTHR31929:SF118', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', 102349),
(158624, 'PTHR23076:SF113', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 1, CHLOROPLASTIC-RELATED', 102350),
(158625, 'PTHR12080:SF59', NULL, NULL, NULL, NULL, 'HEPATOCYTE CELL ADHESION MOLECULE', 102351),
(158626, 'PTHR32015:SF2', NULL, NULL, NULL, NULL, 'LIPASE RELATED', 102352),
(158627, 'PTHR12276:SF83', NULL, NULL, NULL, NULL, 'CLATHRIN INTERACTOR 1', 102353),
(158628, 'PTHR30224:SF4', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT PROTEIN YCCM-RELATED', 102354),
(158629, 'PTHR35796:SF3', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 102355),
(158630, 'PTHR12021:SF10', NULL, NULL, NULL, NULL, 'THYMOSIN BETA-10', 102356),
(158631, 'PTHR23226:SF167', NULL, NULL, NULL, NULL, 'IP01388P-RELATED', 102357),
(158632, 'PTHR11764:SF51', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 102358),
(158633, 'PTHR45773:SF1', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE PROTEIN 6', 102359),
(158634, 'PTHR30604', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN HOFQ', 102360),
(158635, 'PTHR10574:SF282', NULL, NULL, NULL, NULL, 'NETRIN-4', 102361),
(158636, 'PTHR45738', NULL, NULL, NULL, NULL, 'POLYPHOSPHOINOSITIDE PHOSPHATASE', 102362),
(158637, 'PTHR14106', NULL, NULL, NULL, NULL, 'TRIADIN', 102363),
(158638, 'PTHR31213:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102364),
(158639, 'PTHR45969:SF47', NULL, NULL, NULL, NULL, 'OS07G0686300 PROTEIN', 102365),
(158640, 'PTHR24281:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102366),
(158641, 'PTHR22891:SF113', NULL, NULL, NULL, NULL, 'MEIOTIC SILENCING SUPPRESSOR 2', 102367),
(158642, 'PTHR43806:SF11', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE SUBTILISIN/KEXIN TYPE 9', 102368),
(158643, 'PTHR48049:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 102369),
(158644, 'PTHR31746', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 229 FAMILY MEMBER', 102370),
(158645, 'PTHR11036:SF21', NULL, NULL, NULL, NULL, 'SEMA DOMAIN, IMMUNOGLOBULIN DOMAIN (IG), SHORT BASIC DOMAIN, SECRETED, (SEMAPHORIN) 3H', 102371),
(158646, 'PTHR23273:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102372),
(158647, 'PTHR15696:SF17', NULL, NULL, NULL, NULL, 'EST/SMG-LIKE PROTEIN 1-RELATED', 102373),
(158648, 'PTHR44111', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 2', 102374),
(158649, 'PTHR12428:SF41', NULL, NULL, NULL, NULL, 'OS03G0116000 PROTEIN', 102375),
(158650, 'PTHR11208:SF46', NULL, NULL, NULL, NULL, 'PROTEIN CBG01583', 102376),
(158651, 'PTHR11945:SF657', NULL, NULL, NULL, NULL, 'K-BOX REGION AND MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', 102377),
(158652, 'PTHR46056:SF5', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE FAO1', 102378),
(158653, 'PTHR33525:SF6', NULL, NULL, NULL, NULL, 'HDOD DOMAIN PROTEIN', 102379),
(158654, 'PTHR11588:SF336', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 102380),
(158655, 'PTHR12701:SF46', NULL, NULL, NULL, NULL, 'BNAA02G30380D PROTEIN', 102381),
(158656, 'PTHR45653:SF1', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 1', 102382); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(158657, 'PTHR24203:SF51', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', 102383),
(158658, 'PTHR11709:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102384),
(158659, 'PTHR13061:SF11', NULL, NULL, NULL, NULL, 'PROTEIN YRDA', 102385),
(158660, 'PTHR11711:SF375', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 4B-RELATED', 102386),
(158661, 'PTHR21008:SF0', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SENSOR UPSTREAM OF MTORC1', 102387),
(158662, 'PTHR12952:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SYS1 HOMOLOG', 102388),
(158663, 'PTHR31639:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102389),
(158664, 'PTHR33882:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102390),
(158665, 'PTHR21623', NULL, NULL, NULL, NULL, 'SPERIOLIN-BINDING FACTOR', 102391),
(158666, 'PTHR48043:SF112', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 3A1', 102392),
(158667, 'PTHR32212:SF255', NULL, NULL, NULL, NULL, 'BNAC02G12150D PROTEIN', 102393),
(158668, 'PTHR46613', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD 10 HOMOLOG B-RELATED', 102394),
(158669, 'PTHR36721:SF2', NULL, NULL, NULL, NULL, 'BNAC03G70040D PROTEIN', 102395),
(158670, 'PTHR12189:SF7', NULL, NULL, NULL, NULL, 'BNAC05G11070D PROTEIN', 102396),
(158671, 'PTHR32044:SF72', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 1-LIKE ISOFORM X1', 102397),
(158672, 'PTHR21593:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG06007', 102398),
(158673, 'PTHR33920', NULL, NULL, NULL, NULL, 'THIONIN-2.1-RELATED', 102399),
(158674, 'PTHR43768:SF34', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE RA3', 102400),
(158675, 'PTHR33076:SF64', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 102401),
(158676, 'PTHR23504:SF16', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13970)-RELATED', 102402),
(158677, 'PTHR31636:SF65', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 4-RELATED', 102403),
(158678, 'PTHR19918:SF36', NULL, NULL, NULL, NULL, 'PROTEIN FIZZY-RELATED 3', 102404),
(158679, 'PTHR31375:SF193', NULL, NULL, NULL, NULL, 'BNAA07G09960D PROTEIN', 102405),
(158680, 'PTHR47932:SF7', NULL, NULL, NULL, NULL, 'REPEAT-LIKE SUPERFAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', 102406),
(158681, 'PTHR12697:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102407),
(158682, 'PTHR11799:SF17', NULL, NULL, NULL, NULL, 'SERUM PARAOXONASE/ARYLESTERASE 2', 102408),
(158683, 'PTHR10285:SF192', NULL, NULL, NULL, NULL, 'URACIL PHOSPHORIBOSYLTRANSFERASE URG2-RELATED', 102409),
(158684, 'PTHR31790:SF258', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 102410),
(158685, 'PTHR12411:SF575', NULL, NULL, NULL, NULL, 'ZGC:110239', 102411),
(158686, 'PTHR23202:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102412),
(158687, 'PTHR24025:SF10', NULL, NULL, NULL, NULL, 'DESMOGLEIN-4', 102413),
(158688, 'PTHR43899:SF13', NULL, NULL, NULL, NULL, 'RH59310P', 102414),
(158689, 'PTHR22726:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102415),
(158690, 'PTHR30118:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR LYSR FAMILY', 102416),
(158691, 'PTHR44329:SF195', NULL, NULL, NULL, NULL, 'MITOGEN ACTIVATED PROTEIN KINASE KINASE KINASE-LIKE PROTEIN-RELATED', 102417),
(158692, 'PTHR17985', NULL, NULL, NULL, NULL, 'SER/THR-RICH PROTEIN T10 IN DGCR REGION', 102418),
(158693, 'PTHR37177', NULL, NULL, NULL, NULL, 'PROTEIN PSY1', 102419),
(158694, 'PTHR31270', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 102420),
(158695, 'PTHR31656:SF33', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN ART V 1-LIKE', 102421),
(158696, 'PTHR45617:SF64', NULL, NULL, NULL, NULL, 'MIP14966P', 102422),
(158697, 'PTHR42886:SF61', NULL, NULL, NULL, NULL, 'HYDROLASE', 102423),
(158698, 'PTHR21533:SF13', NULL, NULL, NULL, NULL, 'SPERMATID-ASSOCIATED PROTEIN', 102424),
(158699, 'PTHR31407:SF43', NULL, NULL, NULL, NULL, 'BNAC08G10210D PROTEIN', 102425),
(158700, 'PTHR38085:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102426),
(158701, 'PTHR12861:SF5', NULL, NULL, NULL, NULL, 'OS05G0103100 PROTEIN', 102427);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(158702, 'PTHR31357:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS B (BETA)-RELATED', 102428),
(158703, 'PTHR43719:SF32', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE M', 102429),
(158704, 'PTHR11260:SF487', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE GST 23', 102430),
(158705, 'PTHR47978:SF15', NULL, NULL, NULL, NULL, 'RAB GTPASE-LIKE PROTEIN A1D', 102431),
(158706, 'PTHR33127:SF46', NULL, NULL, NULL, NULL, 'OS09G0340800 PROTEIN', 102432),
(158707, 'PTHR47500', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN', 102433),
(158708, 'PTHR45621:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102434),
(158709, 'PTHR31989:SF51', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 19-LIKE', 102435),
(158710, 'PTHR12378:SF52', NULL, NULL, NULL, NULL, 'F23A5.4 PROTEIN', 102436),
(158711, 'PTHR23301:SF79', NULL, NULL, NULL, NULL, 'GEO02292P1-RELATED', 102437),
(158712, 'PTHR43072:SF39', NULL, NULL, NULL, NULL, 'BNAC03G61370D PROTEIN', 102438),
(158713, 'PTHR32026', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 24', 102439),
(158714, 'PTHR21196', NULL, NULL, NULL, NULL, 'U7 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM10', 102440),
(158715, 'PTHR46336:SF14', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN POB1-LIKE', 102441),
(158716, 'PTHR46062', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN', 102442),
(158717, 'PTHR23151', NULL, NULL, NULL, NULL, 'DIHYDROLIPOAMIDE ACETYL/SUCCINYL-TRANSFERASE-RELATED', 102443),
(158718, 'PTHR31355:SF4', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 102444),
(158719, 'PTHR24376:SF90', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 112', 102445),
(158720, 'PTHR23024:SF462', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1C-LIKE PROTEIN', 102446),
(158721, 'PTHR33904:SF1', NULL, NULL, NULL, NULL, 'ESSENTIAL MCU REGULATOR, MITOCHONDRIAL', 102447),
(158722, 'PTHR18934:SF126', NULL, NULL, NULL, NULL, 'OS03G0282700 PROTEIN', 102448),
(158723, 'PTHR37492:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102449),
(158724, 'PTHR11706:SF97', NULL, NULL, NULL, NULL, 'PROTEIN ETHYLENE-INSENSITIVE 2', 102450),
(158725, 'PTHR33429:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102451),
(158726, 'PTHR31174:SF30', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN D-34-LIKE', 102452),
(158727, 'PTHR45761:SF1', NULL, NULL, NULL, NULL, 'EXTENDED SYNAPTOTAGMIN-LIKE PROTEIN 2, ISOFORM C', 102453),
(158728, 'PTHR31128:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBR-CLEC-135', 102454),
(158729, 'PTHR24006:SF711', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 26', 102455),
(158730, 'PTHR39673:SF7', NULL, NULL, NULL, NULL, 'TUNGSTEN-CONTAINING FORMYLMETHANOFURAN DEHYDROGENASE 2 SUBUNIT C', 102456),
(158731, 'PTHR24356:SF210', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE N', 102457),
(158732, 'PTHR14592:SF11', NULL, NULL, NULL, NULL, 'PROTEIN FAM3A', 102458),
(158733, 'PTHR45616:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-183I3.5', 102459),
(158734, 'PTHR40524:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102460),
(158735, 'PTHR24299:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 1A1', 102461),
(158736, 'PTHR35546:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102462),
(158737, 'PTHR45838:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE 2B', 102463),
(158738, 'PTHR13140:SF381', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IG', 102464),
(158739, 'PTHR13414:SF9', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 9', 102465),
(158740, 'PTHR47499', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 7 SPINK7', 102466),
(158741, 'PTHR10352:SF18', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN 45', 102467),
(158742, 'PTHR11073:SF2', NULL, NULL, NULL, NULL, 'CALRETICULIN', 102468),
(158743, 'PTHR12035:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102469),
(158744, 'PTHR35994:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 102470),
(158745, 'PTHR12802:SF124', NULL, NULL, NULL, NULL, 'MYB DOMAIN, PLANT, HOMEODOMAIN-LIKE PROTEIN-RELATED', 102471);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(158746, 'PTHR34388', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT DELTA', 102472),
(158747, 'PTHR11426:SF203', NULL, NULL, NULL, NULL, 'HISTONE H3', 102473),
(158748, 'PTHR48056:SF27', NULL, NULL, NULL, NULL, 'BNAC03G63780D PROTEIN', 102474),
(158749, 'PTHR19328:SF59', NULL, NULL, NULL, NULL, 'HIPL2 PROTEIN-LIKE ISOFORM X1', 102475),
(158750, 'PTHR11886:SF60', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 102476),
(158751, 'PTHR31719:SF112', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 104-LIKE', 102477),
(158752, 'PTHR24559:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102478),
(158753, 'PTHR30633:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C-552', 102479),
(158754, 'PTHR12375', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN LUC7-RELATED', 102480),
(158755, 'PTHR10670', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON CATALYTIC SUBUNIT A', 102481),
(158756, 'PTHR46260', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 102482),
(158757, 'PTHR32438', NULL, NULL, NULL, NULL, '4-ALPHA-GLUCANOTRANSFERASE DPE1, CHLOROPLASTIC/AMYLOPLASTIC', 102483),
(158758, 'PTHR46040:SF2', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY E MEMBER 1-RELATED', 102484),
(158759, 'PTHR24180:SF28', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 102485),
(158760, 'PTHR17611:SF3', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC680039', 102486),
(158761, 'PTHR39209', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 102487),
(158762, 'PTHR10434:SF11', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 1, CHLOROPLASTIC', 102488),
(158763, 'PTHR46151:SF23', NULL, NULL, NULL, NULL, 'BNAA09G08080D PROTEIN', 102489),
(158764, 'PTHR31331:SF8', NULL, NULL, NULL, NULL, 'LCCL DOMAIN-CONTAINING PROTEIN', 102490),
(158765, 'PTHR36089:SF1', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 3 COMPLEX PROTEIN CSI2-RELATED', 102491),
(158766, 'PTHR31388:SF230', NULL, NULL, NULL, NULL, 'PEROXIDASE', 102492),
(158767, 'PTHR31585:SF13', NULL, NULL, NULL, NULL, 'OSJNBA0029H02.8 PROTEIN', 102493),
(158768, 'PTHR28270', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 19', 102494),
(158769, 'PTHR45958:SF12', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN-LIKE', 102495),
(158770, 'PTHR47928:SF7', NULL, NULL, NULL, NULL, 'OS06G0143500 PROTEIN', 102496),
(158771, 'PTHR22012', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH INTERACTING PROTEIN 1', 102497),
(158772, 'PTHR16088:SF11', NULL, NULL, NULL, NULL, 'GON-4-LIKE PROTEIN', 102498),
(158773, 'PTHR14165:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102499),
(158774, 'PTHR11738:SF169', NULL, NULL, NULL, NULL, 'KILLER CELL IMMUNOGLOBULIN-LIKE RECEPTOR 2DL5A-RELATED', 102500),
(158775, 'PTHR38739', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 102501),
(158776, 'PTHR22978:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102502),
(158777, 'PTHR45828:SF20', NULL, NULL, NULL, NULL, 'SI:CH73-196I15.3-RELATED', 102503),
(158778, 'PTHR16223:SF219', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH139-LIKE', 102504),
(158779, 'PTHR31968', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RELATED PROTEIN 53', 102505),
(158780, 'PTHR12356:SF14', NULL, NULL, NULL, NULL, 'MOVEMENT PROTEIN, PUTATIVE-RELATED', 102506),
(158781, 'PTHR11879:SF36', NULL, NULL, NULL, NULL, 'GLUTAMIC-OXALOACETIC TRANSAMINASE 1-LIKE 1', 102507),
(158782, 'PTHR22811:SF60', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 3', 102508),
(158783, 'PTHR24203:SF61', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 2A', 102509),
(158784, 'PTHR13374:SF3', NULL, NULL, NULL, NULL, 'DET1 HOMOLOG', 102510),
(158785, 'PTHR23169:SF7', NULL, NULL, NULL, NULL, 'ENVOPLAKIN-RELATED', 102511),
(158786, 'PTHR35459:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102512),
(158787, 'PTHR31549:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102513),
(158788, 'PTHR23334:SF55', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 24', 102514),
(158789, 'PTHR46057:SF23', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 2', 102515);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(158790, 'PTHR33509:SF27', NULL, NULL, NULL, NULL, 'BNAC08G10490D PROTEIN', 102516),
(158791, 'PTHR23413:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102517),
(158792, 'PTHR42861:SF6', NULL, NULL, NULL, NULL, 'SARCOPLASMIC/ENDOPLASMIC RETICULUM CALCIUM ATPASE 3', 102518),
(158793, 'PTHR46072:SF8', NULL, NULL, NULL, NULL, 'GENERAL AMIDASE GMDA', 102519),
(158794, 'PTHR42790:SF4', NULL, NULL, NULL, NULL, 'VALINE--PYRUVATE AMINOTRANSFERASE', 102520),
(158795, 'PTHR21255:SF41', NULL, NULL, NULL, NULL, 'LIGHT CHAIN, PUTATIVE-RELATED', 102521),
(158796, 'PTHR11593:SF36', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L17A', 102522),
(158797, 'PTHR31731:SF79', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 102523),
(158798, 'PTHR43077:SF8', NULL, NULL, NULL, NULL, 'DOXORUBICIN RESISTANCE ABC TRANSPORTER PERMEASE PROTEIN DRRB', 102524),
(158799, 'PTHR48190:SF1', NULL, NULL, NULL, NULL, 'U11/U12 SMALL NUCLEAR RIBONUCLEOPROTEIN 59 KDA PROTEIN-LIKE ISOFORM X1', 102525),
(158800, 'PTHR31989:SF384', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102526),
(158801, 'PTHR21495:SF53', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 102527),
(158802, 'PTHR24056:SF387', NULL, NULL, NULL, NULL, 'F8L10.9 PROTEIN', 102528),
(158803, 'PTHR33128:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0044M19.18 PROTEIN', 102529),
(158804, 'PTHR23001:SF37', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5-LIKE', 102530),
(158805, 'PTHR46354:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBP-1B', 102531),
(158806, 'PTHR45615', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN, NON-MUSCLE', 102532),
(158807, 'PTHR42817:SF3', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03540)-RELATED', 102533),
(158808, 'PTHR47926:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102534),
(158809, 'PTHR11721:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102535),
(158810, 'PTHR10766:SF111', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 3', 102536),
(158811, 'PTHR24031:SF307', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX1', 102537),
(158812, 'PTHR34777:SF15', NULL, NULL, NULL, NULL, 'VQ MOTIF PROTEIN', 102538),
(158813, 'PTHR31621:SF50', NULL, NULL, NULL, NULL, 'BNAA01G25000D PROTEIN', 102539),
(158814, 'PTHR11232:SF30', NULL, NULL, NULL, NULL, 'DISABLED HOMOLOG 2', 102540),
(158815, 'PTHR24384', NULL, NULL, NULL, NULL, 'FINGER PUTATIVE TRANSCRIPTION FACTOR FAMILY-RELATED', 102541),
(158816, 'PTHR27002:SF863', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE 3 ISOFORM 1', 102542),
(158817, 'PTHR46072', NULL, NULL, NULL, NULL, 'AMIDASE-RELATED-RELATED', 102543),
(158818, 'PTHR31087:SF3', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 6', 102544),
(158819, 'PTHR33239:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102545),
(158820, 'PTHR32077:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102546),
(158821, 'PTHR45956:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102547),
(158822, 'PTHR23351:SF4', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE C-FOS', 102548),
(158823, 'PTHR45620', NULL, NULL, NULL, NULL, 'PDF RECEPTOR-LIKE PROTEIN-RELATED', 102549),
(158824, 'PTHR47926:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102550),
(158825, 'PTHR33065:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102551),
(158826, 'PTHR12000:SF47', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME-RELATED', 102552),
(158827, 'PTHR34048:SF5', NULL, NULL, NULL, NULL, 'INNER MEMBRANE LOCALIZED PROTEIN', 102553),
(158828, 'PTHR41983', NULL, NULL, NULL, NULL, 'SHORT-CHAIN FATTY ACID TRANSPORTER-RELATED', 102554),
(158829, 'PTHR31636:SF158', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 33', 102555),
(158830, 'PTHR33137:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 102556),
(158831, 'PTHR31008:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102557),
(158832, 'PTHR14339', NULL, NULL, NULL, NULL, 'VASCULIN', 102558),
(158833, 'PTHR11216:SF121', NULL, NULL, NULL, NULL, 'OS02G0158100 PROTEIN', 102559),
(158834, 'PTHR31659:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102560);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(158835, 'PTHR13958:SF3', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN 350', 102561),
(158836, 'PTHR47991:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102562),
(158837, 'PTHR22812', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN', 102563),
(158838, 'PTHR14939:SF8', NULL, NULL, NULL, NULL, 'SKP2-LIKE, FIST C DOMAIN, FIST DOMAIN, N-TERMINAL ISOFORM 1', 102564),
(158839, 'PTHR30540:SF28', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 21', 102565),
(158840, 'PTHR31562:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG12400', 102566),
(158841, 'PTHR46938', NULL, NULL, NULL, NULL, 'DISCOIDIN-1 SUBUNIT A-RELATED-RELATED', 102567),
(158842, 'PTHR12352:SF25', NULL, NULL, NULL, NULL, 'SPARC/OSTEONECTIN, CWCV AND KAZAL-LIKE DOMAINS PROTEOGLYCAN 1', 102568),
(158843, 'PTHR16516:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 488', 102569),
(158844, 'PTHR10489:SF910', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102570),
(158845, 'PTHR43721:SF25', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU DOMAIN 2 PROTEIN', 102571),
(158846, 'PTHR33057:SF113', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP13-LIKE', 102572),
(158847, 'PTHR34458:SF13', NULL, NULL, NULL, NULL, 'OS07G0674500 PROTEIN', 102573),
(158848, 'PTHR32100:SF35', NULL, NULL, NULL, NULL, 'OMEGA-6 FATTY ACID DESATURASE, CHLOROPLASTIC', 102574),
(158849, 'PTHR45615:SF16', NULL, NULL, NULL, NULL, 'MYOSIN-9', 102575),
(158850, 'PTHR32263:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102576),
(158851, 'PTHR31475:SF3', NULL, NULL, NULL, NULL, 'UPF0462 PROTEIN C4ORF33', 102577),
(158852, 'PTHR14911', NULL, NULL, NULL, NULL, 'THUMP DOMAIN-CONTAINING', 102578),
(158853, 'PTHR31291', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE FTO', 102579),
(158854, 'PTHR46014:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 1', 102580),
(158855, 'PTHR45929:SF1', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCING ADAPTER MOLECULE 2', 102581),
(158856, 'PTHR16356:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 6', 102582),
(158857, 'PTHR35598:SF3', NULL, NULL, NULL, NULL, 'N-TERMINAL DELTA ENDOTOXIN DOMAIN-CONTAINING PROTEIN', 102583),
(158858, 'PTHR45654:SF49', NULL, NULL, NULL, NULL, 'HOMEOBOX LEUCINE ZIPPER PROTEIN', 102584),
(158859, 'PTHR48042:SF15', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 13', 102585),
(158860, 'PTHR10489:SF689', NULL, NULL, NULL, NULL, 'C-X-C CHEMOKINE RECEPTOR TYPE 2', 102586),
(158861, 'PTHR35397:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102587),
(158862, 'PTHR10926:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102588),
(158863, 'PTHR35082', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 4', 102589),
(158864, 'PTHR12701:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102590),
(158865, 'PTHR11206:SF93', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 56', 102591),
(158866, 'PTHR22412', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 102592),
(158867, 'PTHR13301:SF28', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 7 [UDP-FORMING]', 102593),
(158868, 'PTHR32071:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN GLRR', 102594),
(158869, 'PTHR33887:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102595),
(158870, 'PTHR22804:SF11', NULL, NULL, NULL, NULL, 'HYALURONAN AND PROTEOGLYCAN LINK PROTEIN 4', 102596),
(158871, 'PTHR33345:SF7', NULL, NULL, NULL, NULL, 'BNAA01G24650D PROTEIN', 102597),
(158872, 'PTHR12632:SF54', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-4', 102598),
(158873, 'PTHR11760:SF43', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S3, PUTATIVE, EXPRESSED-RELATED', 102599),
(158874, 'PTHR24353:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102600),
(158875, 'PTHR46733:SF2', NULL, NULL, NULL, NULL, '26.5 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', 102601),
(158876, 'PTHR47932:SF37', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 102602),
(158877, 'PTHR34562:SF12', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING PROTEIN 1', 102603),
(158878, 'PTHR42953:SF3', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY ZINC UPTAKE SYSTEM PROTEIN ZNUA', 102604);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(158879, 'PTHR23341:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102605),
(158880, 'PTHR26453:SF193', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 102606),
(158881, 'PTHR12411:SF751', NULL, NULL, NULL, NULL, 'PEPTIDASE C1A, CYSTEINE PEPTIDASE, ASPARAGINE ACTIVE SITE PROTEIN-RELATED', 102607),
(158882, 'PTHR34982:SF1', NULL, NULL, NULL, NULL, 'YOP PROTEINS TRANSLOCATION PROTEIN L', 102608),
(158883, 'PTHR42972:SF4', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE FOUR (IV) FAMILY', 102609),
(158884, 'PTHR11986:SF116', NULL, NULL, NULL, NULL, 'ACETYLORNITHINE AMINOTRANSFERASE', 102610),
(158885, 'PTHR11567:SF171', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE FAMILY', 102611),
(158886, 'PTHR36445:SF1', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE MPTA', 102612),
(158887, 'PTHR21477:SF34', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A10-LIKE', 102613),
(158888, 'PTHR36034:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 102614),
(158889, 'PTHR11417:SF40', NULL, NULL, NULL, NULL, 'GROWTH HORMONE VARIANT', 102615),
(158890, 'PTHR31126:SF0', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE-LIKE PROTEIN OCA2', 102616),
(158891, 'PTHR43004:SF15', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03030)-RELATED', 102617),
(158892, 'PTHR46890:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102618),
(158893, 'PTHR10225:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102619),
(158894, 'PTHR19964:SF41', NULL, NULL, NULL, NULL, 'LIGAND OF NUMB-PROTEIN X 2B', 102620),
(158895, 'PTHR27001:SF538', NULL, NULL, NULL, NULL, 'OS02G0227500 PROTEIN', 102621),
(158896, 'PTHR10157:SF28', NULL, NULL, NULL, NULL, 'DBH-LIKE MONOOXYGENASE PROTEIN 1', 102622),
(158897, 'PTHR42034:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 102623),
(158898, 'PTHR11849:SF165', NULL, NULL, NULL, NULL, 'GENE 4881-RELATED', 102624),
(158899, 'PTHR12549:SF38', NULL, NULL, NULL, NULL, 'ENBP1 PROTEIN', 102625),
(158900, 'PTHR23054:SF58', NULL, NULL, NULL, NULL, 'OS03G0233800 PROTEIN', 102626),
(158901, 'PTHR24064:SF187', NULL, NULL, NULL, NULL, 'ORGANIC CATION TRANSPORTER PROTEIN-LIKE PROTEIN', 102627),
(158902, 'PTHR21562:SF61', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 10', 102628),
(158903, 'PTHR45850', NULL, NULL, NULL, NULL, 'SORTING NEXIN FAMILY MEMBER', 102629),
(158904, 'PTHR11081:SF32', NULL, NULL, NULL, NULL, 'PROTEIN MKT1', 102630),
(158905, 'PTHR31692:SF119', NULL, NULL, NULL, NULL, 'BNAC07G34020D PROTEIN', 102631),
(158906, 'PTHR47724:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP26-2, CHLOROPLASTIC', 102632),
(158907, 'PTHR33287:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102633),
(158908, 'PTHR43729', NULL, NULL, NULL, NULL, 'HOMOSERINE ACETYLTRANSFERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G15350)', 102634),
(158909, 'PTHR37489:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102635),
(158910, 'PTHR23226:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 9', 102636),
(158911, 'PTHR32256', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 102637),
(158912, 'PTHR31790:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102638),
(158913, 'PTHR43874:SF88', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR1-LIKE', 102639),
(158914, 'PTHR33147:SF71', NULL, NULL, NULL, NULL, 'DEFENSIN MTDEF4.7', 102640),
(158915, 'PTHR42930:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATE UPTAKE REGULATOR, PHOU', 102641),
(158916, 'PTHR42760:SF62', NULL, NULL, NULL, NULL, 'ADH4P', 102642),
(158917, 'PTHR10362:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102643),
(158918, 'PTHR12864:SF29', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEINS 9/10 HOMOLOG', 102644),
(158919, 'PTHR30290:SF61', NULL, NULL, NULL, NULL, 'DIPEPTIDE BINDING PROTEIN', 102645),
(158920, 'PTHR31065:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102646),
(158921, 'PTHR31948:SF73', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 6', 102647),
(158922, 'PTHR43386:SF1', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN APPC', 102648);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(158923, 'PTHR23331', NULL, NULL, NULL, NULL, 'CXYORF1', 102649),
(158924, 'PTHR46531:SF1', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 6', 102650),
(158925, 'PTHR12136:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102651),
(158926, 'PTHR19328:SF55', NULL, NULL, NULL, NULL, 'BLR6566 PROTEIN', 102652),
(158927, 'PTHR10075', NULL, NULL, NULL, NULL, 'BASIGIN RELATED', 102653),
(158928, 'PTHR43314:SF20', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE, CHLOROPLASTIC', 102654),
(158929, 'PTHR31333:SF4', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING DNA REPAIR FACTOR 3A', 102655),
(158930, 'PTHR45644:SF32', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN', 102656),
(158931, 'PTHR12219:SF25', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE UBIQUINONE FE-S PROTEIN-RELATED', 102657),
(158932, 'PTHR47997:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB26', 102658),
(158933, 'PTHR10177:SF364', NULL, NULL, NULL, NULL, 'CYCLIN-B2-2', 102659),
(158934, 'PTHR36915:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102660),
(158935, 'PTHR30546:SF23', NULL, NULL, NULL, NULL, 'PROTEIN RFS1-RELATED', 102661),
(158936, 'PTHR47372:SF10', NULL, NULL, NULL, NULL, 'BNACNNG32920D PROTEIN', 102662),
(158937, 'PTHR45926:SF2', NULL, NULL, NULL, NULL, 'OS08G0192800 PROTEIN', 102663),
(158938, 'PTHR15351:SF3', NULL, NULL, NULL, NULL, 'ERLIN (ER LIPID RAFT ASSOCIATED PROTEIN) HOMOLOG', 102664),
(158939, 'PTHR15427:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102665),
(158940, 'PTHR43457', NULL, NULL, NULL, NULL, 'NITROGENASE MOLYBDENUM-IRON PROTEIN ALPHA CHAIN', 102666),
(158941, 'PTHR31809:SF0', NULL, NULL, NULL, NULL, 'BUD13 HOMOLOG', 102667),
(158942, 'PTHR21495:SF188', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 102668),
(158943, 'PTHR47987:SF18', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE, INSULIN-LIKE RECEPTOR-RELATED', 102669),
(158944, 'PTHR30546:SF31', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 1-RELATED', 102670),
(158945, 'PTHR15106:SF2', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR RESPONDER PROTEIN 2', 102671),
(158946, 'PTHR24006:SF811', NULL, NULL, NULL, NULL, 'CLAN CA, FAMILY C19, UBIQUITIN HYDROLASE-LIKE CYSTEINE PEPTIDASE', 102672),
(158947, 'PTHR45623:SF8', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 6', 102673),
(158948, 'PTHR37702:SF6', NULL, NULL, NULL, NULL, 'BNAC01G22050D PROTEIN', 102674),
(158949, 'PTHR10218:SF297', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-11 SUBUNIT', 102675),
(158950, 'PTHR43072:SF29', NULL, NULL, NULL, NULL, 'OS12G0561600 PROTEIN', 102676),
(158951, 'PTHR11062:SF311', NULL, NULL, NULL, NULL, 'FRA8-LIKE PROTEIN-RELATED', 102677),
(158952, 'PTHR11904:SF12', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PHOSPHORYLASE', 102678),
(158953, 'PTHR38378', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', 102679),
(158954, 'PTHR10309:SF10', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE', 102680),
(158955, 'PTHR10179:SF43', NULL, NULL, NULL, NULL, 'PLATELET FACTOR 4', 102681),
(158956, 'PTHR10414:SF68', NULL, NULL, NULL, NULL, 'ETHANOLAMINE PHOSPHOTRANSFERASE-RELATED', 102682),
(158957, 'PTHR31707:SF226', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 102683),
(158958, 'PTHR23123:SF3', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 2A', 102684),
(158959, 'PTHR24253:SF45', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11D', 102685),
(158960, 'PTHR22883:SF246', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC3', 102686),
(158961, 'PTHR13780:SF32', NULL, NULL, NULL, NULL, 'AMP-ACTIVATED PROTEIN KINASE GAMMA SUBUNIT', 102687),
(158962, 'PTHR24408:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN PLAGL2', 102688),
(158963, 'PTHR10742:SF373', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC HISTONE DEMETHYLASE 1 HOMOLOG 2', 102689),
(158964, 'PTHR34709:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102690),
(158965, 'PTHR48001:SF162', NULL, NULL, NULL, NULL, 'MCG52449', 102691),
(158966, 'PTHR24343:SF447', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2I', 102692);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(158967, 'PTHR23328:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102693),
(158968, 'PTHR13061:SF23', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 102694),
(158969, 'PTHR23253:SF67', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR ISOFORM 4G-2', 102695),
(158970, 'PTHR33463:SF77', NULL, NULL, NULL, NULL, 'RPP4C3', 102696),
(158971, 'PTHR33167:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102697),
(158972, 'PTHR42798:SF5', NULL, NULL, NULL, NULL, 'LMO1223 PROTEIN', 102698),
(158973, 'PTHR47990:SF41', NULL, NULL, NULL, NULL, 'BNAA07G07480D PROTEIN', 102699),
(158974, 'PTHR31030:SF1', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE FUSION PROTEIN PRM1', 102700),
(158975, 'PTHR46473:SF10', NULL, NULL, NULL, NULL, 'GH08155P', 102701),
(158976, 'PTHR14928:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102702),
(158977, 'PTHR33184:SF64', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 102703),
(158978, 'PTHR24349:SF294', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 15', 102704),
(158979, 'PTHR33136:SF84', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 19', 102705),
(158980, 'PTHR12828:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102706),
(158981, 'PTHR45445:SF2', NULL, NULL, NULL, NULL, 'HPP', 102707),
(158982, 'PTHR43003:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102708),
(158983, 'PTHR10768:SF27', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', 102709),
(158984, 'PTHR33233:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102710),
(158985, 'PTHR12309:SF24', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT GAMMA-3', 102711),
(158986, 'PTHR35936:SF7', NULL, NULL, NULL, NULL, 'BLL6724 PROTEIN', 102712),
(158987, 'PTHR33294:SF10', NULL, NULL, NULL, NULL, 'OS01G0247900 PROTEIN', 102713),
(158988, 'PTHR11849:SF13', NULL, NULL, NULL, NULL, 'ETS-RELATED TRANSCRIPTION FACTOR ELF-3', 102714),
(158989, 'PTHR10290', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE I', 102715),
(158990, 'PTHR12635:SF8', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 36', 102716),
(158991, 'PTHR33087:SF17', NULL, NULL, NULL, NULL, 'OS09G0125500 PROTEIN', 102717),
(158992, 'PTHR45926:SF13', NULL, NULL, NULL, NULL, 'BROMODOMAIN TESTIS-SPECIFIC PROTEIN', 102718),
(158993, 'PTHR31998:SF41', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGIZED VACUOLAR MEMBRANE PROTON PUMP 1', 102719),
(158994, 'PTHR10257:SF84', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 102720),
(158995, 'PTHR34355:SF1', NULL, NULL, NULL, NULL, 'JOSEPHIN-LIKE PROTEIN', 102721),
(158996, 'PTHR23423:SF79', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER SUBUNIT ALPHA-RELATED', 102722),
(158997, 'PTHR14647', NULL, NULL, NULL, NULL, 'GALACTOSE-3-O-SULFOTRANSFERASE', 102723),
(158998, 'PTHR43302:SF1', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER NHAB', 102724),
(158999, 'PTHR24086:SF47', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 102725),
(159000, 'PTHR45676:SF84', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL52-LIKE', 102726),
(159001, 'PTHR28283', NULL, NULL, NULL, NULL, '3'',5''-CYCLIC-NUCLEOTIDE PHOSPHODIESTERASE 1', 102727),
(159002, 'PTHR10795:SF674', NULL, NULL, NULL, NULL, 'BNAA02G07390D PROTEIN', 102728),
(159003, 'PTHR14949:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102729),
(159004, 'PTHR36714:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102730),
(159005, 'PTHR36144:SF1', NULL, NULL, NULL, NULL, 'S-ANTIGEN PROTEIN', 102731),
(159006, 'PTHR47725', NULL, NULL, NULL, NULL, 'OS03G0364000 PROTEIN', 102732),
(159007, 'PTHR46142', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 102733),
(159008, 'PTHR36851', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 102734),
(159009, 'PTHR21494', NULL, NULL, NULL, NULL, 'ACTIVATING SIGNAL COINTEGRATOR 1 COMPLEX SUBUNIT 2  ASC-1 COMPLEX SUBUNIT P100', 102735),
(159010, 'PTHR31314:SF1', NULL, NULL, NULL, NULL, 'OS05G0491500 PROTEIN', 102736),
(159011, 'PTHR19961:SF62', NULL, NULL, NULL, NULL, 'FIMBRIN-1', 102737),
(159012, 'PTHR33021:SF316', NULL, NULL, NULL, NULL, 'OS02G0162200 PROTEIN', 102738);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(159013, 'PTHR47975:SF42', NULL, NULL, NULL, NULL, 'PROTEIN KINASE DOMAIN CONTAINING PROTEIN EXPRESSED', 102739),
(159014, 'PTHR47022:SF3', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN-CONTAINING PROTEIN 39', 102740),
(159015, 'PTHR10328:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR (HPA3), PUTATIVE-RELATED', 102741),
(159016, 'PTHR46137:SF13', NULL, NULL, NULL, NULL, 'BNAC09G41480D PROTEIN', 102742),
(159017, 'PTHR32093:SF105', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 102743),
(159018, 'PTHR14215:SF0', NULL, NULL, NULL, NULL, 'WH2 MOTIF FAMILY PROTEIN', 102744),
(159019, 'PTHR31069:SF20', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 102745),
(159020, 'PTHR11545:SF2', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L13, MITOCHONDRIAL', 102746),
(159021, 'PTHR42194:SF1', NULL, NULL, NULL, NULL, 'UPF0276 PROTEIN HI_1600', 102747),
(159022, 'PTHR23119:SF51', NULL, NULL, NULL, NULL, 'DISKS LARGE 1 TUMOR SUPPRESSOR PROTEIN', 102748),
(159023, 'PTHR22945:SF93', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 102749),
(159024, 'PTHR25462:SF248', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF CONTAINING 3', 102750),
(159025, 'PTHR33411:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102751),
(159026, 'PTHR45645:SF34', NULL, NULL, NULL, NULL, 'PROCOLLAGEN C-ENDOPEPTIDASE ENHANCER A', 102752),
(159027, 'PTHR12840:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 8, MITOCHONDRIAL', 102753),
(159028, 'PTHR46045:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 102754),
(159029, 'PTHR43420:SF16', NULL, NULL, NULL, NULL, 'PEPTIDYL-LYSINE N-ACETYLTRANSFERASE YIAC', 102755),
(159030, 'PTHR45891:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER HOMEOBOX PROTEIN 2', 102756),
(159031, 'PTHR43899:SF4', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN', 102757),
(159032, 'PTHR12917:SF15', NULL, NULL, NULL, NULL, 'PROTEIN DDI1 HOMOLOG 1', 102758),
(159033, 'PTHR48238:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102759),
(159034, 'PTHR13923:SF23', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC31A', 102760),
(159035, 'PTHR43447:SF18', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 2-RELATED', 102761),
(159036, 'PTHR31915:SF5', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', 102762),
(159037, 'PTHR22941:SF21', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 102763),
(159038, 'PTHR31989:SF25', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 21/22-LIKE ISOFORM X1', 102764),
(159039, 'PTHR20859:SF21', NULL, NULL, NULL, NULL, 'INTERLEUKIN-20 RECEPTOR SUBUNIT ALPHA', 102765),
(159040, 'PTHR12961:SF2', NULL, NULL, NULL, NULL, 'BNAA03G07050D PROTEIN', 102766),
(159041, 'PTHR12124:SF47', NULL, NULL, NULL, NULL, 'EXOSOME COMPONENT 10', 102767),
(159042, 'PTHR47484:SF1', NULL, NULL, NULL, NULL, 'COMPLEX 1 PROTEIN CONTAINING PROTEIN, EXPRESSED', 102768),
(159043, 'PTHR36529', NULL, NULL, NULL, NULL, 'SLL1095 PROTEIN', 102769),
(159044, 'PTHR47985:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 102770),
(159045, 'PTHR11732:SF414', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 4 MEMBER C8', 102771),
(159046, 'PTHR22807:SF66', NULL, NULL, NULL, NULL, 'BNAA09G04380D PROTEIN', 102772),
(159047, 'PTHR23077:SF152', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 48 HOMOLOG', 102773),
(159048, 'PTHR18934:SF228', NULL, NULL, NULL, NULL, 'BNAA07G38500D PROTEIN', 102774),
(159049, 'PTHR45023:SF6', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 102775),
(159050, 'PTHR16046', NULL, NULL, NULL, NULL, 'SMC5-SMC6 COMPLEX LOCALIZATION FACTOR 2', 102776),
(159051, 'PTHR45995', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 102777),
(159052, 'PTHR11412:SF140', NULL, NULL, NULL, NULL, 'ALPHA-2-MACROGLOBULIN-LIKE PROTEIN 1', 102778),
(159053, 'PTHR48023:SF3', NULL, NULL, NULL, NULL, 'GALACTOSE-PROTON SYMPORTER', 102779),
(159054, 'PTHR43191:SF7', NULL, NULL, NULL, NULL, 'OBP33PEP LIKE PROTEIN', 102780);
INSERT INTO "PUBLIC"."MODEL" VALUES
(159055, 'PTHR10778:SF38', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE/UDP-GLUCOSE TRANSPORTER 3-LIKE', 102781),
(159056, 'PTHR21530:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102782),
(159057, 'PTHR39385:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG20423', 102783),
(159058, 'PTHR35306:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 102784),
(159059, 'PTHR11101:SF52', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 102785),
(159060, 'PTHR21649:SF103', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 8, CHLOROPLASTIC', 102786),
(159061, 'PTHR13205:SF15', NULL, NULL, NULL, NULL, 'DOLICHOL KINASE', 102787),
(159062, 'PTHR31533', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN LLG1-RELATED-RELATED', 102788),
(159063, 'PTHR44378:SF2', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 17, PEROXISOMAL-RELATED', 102789),
(159064, 'PTHR24296:SF145', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY-DEPENDENT FATTY ACID HYDROXYLASE', 102790),
(159065, 'PTHR34098:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 47', 102791),
(159066, 'PTHR12346:SF43', NULL, NULL, NULL, NULL, 'BNAA07G28530D PROTEIN', 102792),
(159067, 'PTHR11214:SF19', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 2', 102793),
(159068, 'PTHR32301', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 102794),
(159069, 'PTHR46084:SF30', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 102795),
(159070, 'PTHR43900:SF13', NULL, NULL, NULL, NULL, 'OS01G0353400 PROTEIN', 102796),
(159071, 'PTHR12015:SF168', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 8', 102797),
(159072, 'PTHR46243', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 102798),
(159073, 'PTHR24247:SF32', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 2C', 102799),
(159074, 'PTHR31391:SF67', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', 102800),
(159075, 'PTHR31354', NULL, NULL, NULL, NULL, 'OS01G0793500 PROTEIN', 102801),
(159076, 'PTHR24222:SF63', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY PROTEIN', 102802),
(159077, 'PTHR44573:SF6', NULL, NULL, NULL, NULL, '2-METHYLENE-FURAN-3-ONE REDUCTASE-RELATED', 102803),
(159078, 'PTHR12141:SF1', NULL, NULL, NULL, NULL, 'PRKCA-BINDING PROTEIN', 102804),
(159079, 'PTHR31851:SF63', NULL, NULL, NULL, NULL, 'CCC1 FAMILY-RELATED', 102805),
(159080, 'PTHR15710:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102806),
(159081, 'PTHR31279:SF64', NULL, NULL, NULL, NULL, 'BNAANNG05840D PROTEIN', 102807),
(159082, 'PTHR19441:SF42', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 12', 102808),
(159083, 'PTHR43986:SF1', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-GAMMA', 102809),
(159084, 'PTHR47123:SF21', NULL, NULL, NULL, NULL, 'BNAC04G36690D PROTEIN', 102810),
(159085, 'PTHR36535', NULL, NULL, NULL, NULL, 'YALI0E30327P', 102811),
(159086, 'PTHR23044:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102812),
(159087, 'PTHR46038:SF49', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 102813),
(159088, 'PTHR23410:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102814),
(159089, 'PTHR43874:SF120', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR1', 102815),
(159090, 'PTHR22776:SF28', NULL, NULL, NULL, NULL, 'MARVEL DOMAIN-CONTAINING PROTEIN 1', 102816),
(159091, 'PTHR12736:SF7', NULL, NULL, NULL, NULL, 'LANC-LIKE PROTEIN 3', 102817),
(159092, 'PTHR11138', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA FORMYLTRANSFERASE', 102818),
(159093, 'PTHR34462:SF1', NULL, NULL, NULL, NULL, 'OS05G0587400 PROTEIN', 102819),
(159094, 'PTHR45898:SF19', NULL, NULL, NULL, NULL, 'ENTH/VHS/GAT FAMILY PROTEIN', 102820),
(159095, 'PTHR31841', NULL, NULL, NULL, NULL, 'PROTEIN FAM72A-RELATED', 102821),
(159096, 'PTHR45621:SF176', NULL, NULL, NULL, NULL, 'BNAA02G23490D PROTEIN', 102822),
(159097, 'PTHR31964:SF133', NULL, NULL, NULL, NULL, 'BNAC04G54950D PROTEIN', 102823),
(159098, 'PTHR12845:SF7', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 15', 102824),
(159099, 'PTHR36877:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 13', 102825);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(159100, 'PTHR20855:SF96', NULL, NULL, NULL, NULL, 'PROGESTIN AND ADIPOQ RECEPTOR FAMILY MEMBER VII, A', 102826),
(159101, 'PTHR24414:SF44', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING F-BOX-LIKE PROTEIN', 102827),
(159102, 'PTHR11709:SF68', NULL, NULL, NULL, NULL, 'LACCASE-13', 102828),
(159103, 'PTHR10579:SF145', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR TYPE A', 102829),
(159104, 'PTHR36984:SF1', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDORIBONUCLEASE CAS6 1', 102830),
(159105, 'PTHR31080:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102831),
(159106, 'PTHR24057:SF61', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE ALPHA ISOFORM X1', 102832),
(159107, 'PTHR11932:SF162', NULL, NULL, NULL, NULL, 'BNAA09G29300D PROTEIN', 102833),
(159108, 'PTHR24348:SF52', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATG1B', 102834),
(159109, 'PTHR38501', NULL, NULL, NULL, NULL, 'PHOTORECEPTOR DISK COMPONENT PRCD', 102835),
(159110, 'PTHR48104:SF28', NULL, NULL, NULL, NULL, 'BNAA01G07720D PROTEIN', 102836),
(159111, 'PTHR13585:SF24', NULL, NULL, NULL, NULL, 'LRRGT00097', 102837),
(159112, 'PTHR22891:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102838),
(159113, 'PTHR23022:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102839),
(159114, 'PTHR46398:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102840),
(159115, 'PTHR38407:SF1', NULL, NULL, NULL, NULL, 'PROTEIN IVY1', 102841),
(159116, 'PTHR32227:SF301', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN-RELATED', 102842),
(159117, 'PTHR47967:SF6', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE 37', 102843),
(159118, 'PTHR23257:SF731', NULL, NULL, NULL, NULL, 'B-RAF PROTO-ONCOGENE, SERINE/THREONINE KINASE', 102844),
(159119, 'PTHR24096:SF168', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MEC-18', 102845),
(159120, 'PTHR24015:SF1972', NULL, NULL, NULL, NULL, 'OS06G0228900 PROTEIN', 102846),
(159121, 'PTHR22807:SF64', NULL, NULL, NULL, NULL, 'BNAA08G28690D PROTEIN', 102847),
(159122, 'PTHR31867:SF23', NULL, NULL, NULL, NULL, 'EXPANSIN-A12', 102848),
(159123, 'PTHR11073:SF6', NULL, NULL, NULL, NULL, 'OS01G0895600 PROTEIN', 102849),
(159124, 'PTHR47926:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102850),
(159125, 'PTHR10846:SF61', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER 5', 102851),
(159126, 'PTHR11227:SF23', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN PHOSPHOINOSITIDE-INTERACTING PROTEIN 1', 102852),
(159127, 'PTHR10997:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102853),
(159128, 'PTHR11759:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102854),
(159129, 'PTHR11054:SF13', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', 102855),
(159130, 'PTHR24291:SF43', NULL, NULL, NULL, NULL, 'AROMATASE', 102856),
(159131, 'PTHR30477:SF8', NULL, NULL, NULL, NULL, 'METAL TRANSPORT SYSTEM MEMBRANE PROTEIN CT_070-RELATED', 102857),
(159132, 'PTHR30519:SF23', NULL, NULL, NULL, NULL, '5-METHYLTETRAHYDROPTEROYLTRIGLUTAMATE--HOMOCYSTEINE METHYLTRANSFERASE 2', 102858),
(159133, 'PTHR10903:SF153', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST', 102859),
(159134, 'PTHR31707:SF231', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 47-RELATED', 102860),
(159135, 'PTHR13678:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 37A', 102861),
(159136, 'PTHR12064:SF76', NULL, NULL, NULL, NULL, 'BNAA05G17810D PROTEIN', 102862),
(159137, 'PTHR34061:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102863),
(159138, 'PTHR35190:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DCD1A', 102864),
(159139, 'PTHR47992:SF96', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 3', 102865),
(159140, 'PTHR42769:SF8', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [FE] 1, CHLOROPLASTIC', 102866),
(159141, 'PTHR45084:SF2', NULL, NULL, NULL, NULL, 'BNAA02G18220D PROTEIN', 102867),
(159142, 'PTHR47973:SF8', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 42', 102868),
(159143, 'PTHR42934', NULL, NULL, NULL, NULL, 'GLYCOLATE OXIDASE SUBUNIT GLCD', 102869); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(159144, 'PTHR31062:SF176', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 15', 102870),
(159145, 'PTHR18945:SF810', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102871),
(159146, 'PTHR48019:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102872),
(159147, 'PTHR28620:SF11', NULL, NULL, NULL, NULL, 'GLUTATHIONE-DEPENDENT FORMALDEHYDE-ACTIVATING, GFA FAMILY PROTEIN', 102873),
(159148, 'PTHR47980', NULL, NULL, NULL, NULL, 'LD44762P', 102874),
(159149, 'PTHR23428:SF259', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 2-E', 102875),
(159150, 'PTHR11662:SF255', NULL, NULL, NULL, NULL, 'ASCORBATE TRANSPORTER, CHLOROPLASTIC', 102876),
(159151, 'PTHR34223:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102877),
(159152, 'PTHR10454:SF210', NULL, NULL, NULL, NULL, 'CASPASE-RELATED', 102878),
(159153, 'PTHR31190:SF213', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF115-LIKE', 102879),
(159154, 'PTHR22936:SF21', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', 102880),
(159155, 'PTHR11945:SF23', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2D', 102881),
(159156, 'PTHR48017:SF185', NULL, NULL, NULL, NULL, 'BNAA03G19350D PROTEIN', 102882),
(159157, 'PTHR19877:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102883),
(159158, 'PTHR34061:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 102884),
(159159, 'PTHR15371:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102885),
(159160, 'PTHR12378:SF69', NULL, NULL, NULL, NULL, 'BNAC06G40290D PROTEIN', 102886),
(159161, 'PTHR12281', NULL, NULL, NULL, NULL, 'RP42 RELATED', 102887),
(159162, 'PTHR48011:SF12', NULL, NULL, NULL, NULL, 'OS08G0421800 PROTEIN', 102888),
(159163, 'PTHR31623:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102889),
(159164, 'PTHR33647:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102890),
(159165, 'PTHR21245:SF8', NULL, NULL, NULL, NULL, 'APOBEC1 COMPLEMENTATION FACTOR', 102891),
(159166, 'PTHR35544', NULL, NULL, NULL, NULL, 'RIBOSOMAL BIOGENESIS FACTOR', 102892),
(159167, 'PTHR36616', NULL, NULL, NULL, NULL, 'BNAC07G32700D PROTEIN', 102893),
(159168, 'PTHR21596:SF3', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 1-RELATED', 102894),
(159169, 'PTHR28529', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN SWI5 HOMOLOG', 102895),
(159170, 'PTHR28618', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN POC5', 102896),
(159171, 'PTHR45836', NULL, NULL, NULL, NULL, 'SLIT HOMOLOG', 102897),
(159172, 'PTHR31589:SF163', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PROTEINASE-LIKE PROTEIN (DUF239)-RELATED', 102898),
(159173, 'PTHR43895:SF84', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 15', 102899),
(159174, 'PTHR48000:SF20', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 102900),
(159175, 'PTHR33168:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102901),
(159176, 'PTHR10410', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 -RELATED', 102902),
(159177, 'PTHR47423:SF2', NULL, NULL, NULL, NULL, 'G-PATCH DOMAIN CONTAINING PROTEIN', 102903),
(159178, 'PTHR43874:SF78', NULL, NULL, NULL, NULL, 'OS04G0348600 PROTEIN', 102904),
(159179, 'PTHR34001', NULL, NULL, NULL, NULL, 'BLL7405 PROTEIN', 102905),
(159180, 'PTHR31048:SF1', NULL, NULL, NULL, NULL, 'OS03G0233200 PROTEIN', 102906),
(159181, 'PTHR37540:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102907),
(159182, 'PTHR47077:SF1', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN 4', 102908),
(159183, 'PTHR43574:SF56', NULL, NULL, NULL, NULL, 'UDP-D-GLUCURONATE 4-EPIMERASE 6-RELATED', 102909),
(159184, 'PTHR10687:SF48', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 102910),
(159185, 'PTHR31790:SF290', NULL, NULL, NULL, NULL, 'BNAA05G16840D PROTEIN', 102911),
(159186, 'PTHR34700:SF7', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-BINDING PROTEIN', 102912),
(159187, 'PTHR23155:SF1049', NULL, NULL, NULL, NULL, 'OS12G0166600 PROTEIN', 102913),
(159188, 'PTHR36222', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR RV3364C', 102914);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(159189, 'PTHR14957:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-CONJUGATING ENZYME ATG10', 102915),
(159190, 'PTHR10438:SF419', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 102916),
(159191, 'PTHR31623:SF63', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3', 102917),
(159192, 'PTHR35252:SF1', NULL, NULL, NULL, NULL, 'RETINITIS PIGMENTOSA 9 PROTEIN', 102918),
(159193, 'PTHR12064:SF75', NULL, NULL, NULL, NULL, 'BNAC03G76080D PROTEIN', 102919),
(159194, 'PTHR33033:SF71', NULL, NULL, NULL, NULL, '14.7 KDA RIBONUCLEASE H-LIKE PROTEIN', 102920),
(159195, 'PTHR31120:SF11', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TIKI2', 102921),
(159196, 'PTHR35689:SF1', NULL, NULL, NULL, NULL, 'EARLY ENDOSOME ANTIGEN', 102922),
(159197, 'PTHR23086', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE', 102923),
(159198, 'PTHR33101:SF69', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', 102924),
(159199, 'PTHR47990:SF157', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', 102925),
(159200, 'PTHR23064:SF53', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML22-RELATED', 102926),
(159201, 'PTHR21677:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CRAMPED-LIKE', 102927),
(159202, 'PTHR11254:SF420', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NEDD-4', 102928),
(159203, 'PTHR24027:SF421', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102929),
(159204, 'PTHR32060:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102930),
(159205, 'PTHR11141:SF0', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', 102931),
(159206, 'PTHR27002:SF372', NULL, NULL, NULL, NULL, 'OS04G0197200 PROTEIN', 102932),
(159207, 'PTHR12857', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 102933),
(159208, 'PTHR47282', NULL, NULL, NULL, NULL, 'PGC-1 AND ERR-INDUCED REGULATOR IN MUSCLE PROTEIN 1', 102934),
(159209, 'PTHR10791:SF192', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 102935),
(159210, 'PTHR31110:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102936),
(159211, 'PTHR11206:SF171', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 102937),
(159212, 'PTHR48017:SF13', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER PROTEIN 1', 102938),
(159213, 'PTHR10358:SF37', NULL, NULL, NULL, NULL, 'ALPHA-ENDOSULFINE', 102939),
(159214, 'PTHR33542:SF3', NULL, NULL, NULL, NULL, 'SIROHYDROCHLORIN FERROCHELATASE, CHLOROPLASTIC', 102940),
(159215, 'PTHR19051:SF16', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 13-2-RELATED', 102941),
(159216, 'PTHR31213:SF129', NULL, NULL, NULL, NULL, 'START-LIKE DOMAIN, BET V I TYPE ALLERGEN-RELATED', 102942),
(159217, 'PTHR15138:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 4', 102943),
(159218, 'PTHR41173', NULL, NULL, NULL, NULL, 'UPF0278 PROTEIN TK1425', 102944),
(159219, 'PTHR22739:SF19', NULL, NULL, NULL, NULL, 'SI:DKEY-29B11.3', 102945),
(159220, 'PTHR33320:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102946),
(159221, 'PTHR43829:SF9', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', 102947),
(159222, 'PTHR11767:SF24', NULL, NULL, NULL, NULL, 'INWARD RECTIFIER POTASSIUM CHANNEL 16', 102948),
(159223, 'PTHR11673:SF46', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-1', 102949),
(159224, 'PTHR35526', NULL, NULL, NULL, NULL, 'ANTI-SIGMA-F FACTOR RSBW-RELATED', 102950),
(159225, 'PTHR13255', NULL, NULL, NULL, NULL, 'ATAXIN-10', 102951),
(159226, 'PTHR24350:SF26', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 102952),
(159227, 'PTHR48135:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102953),
(159228, 'PTHR39369', NULL, NULL, NULL, NULL, 'LIN-24 (TWENTY-FOUR) LIKE', 102954),
(159229, 'PTHR45730:SF59', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 1', 102955),
(159230, 'PTHR47565:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE 19-1', 102956),
(159231, 'PTHR30249:SF14', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YOHK', 102957),
(159232, 'PTHR46126:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102958),
(159233, 'PTHR13710:SF105', NULL, NULL, NULL, NULL, 'BLOOM SYNDROME PROTEIN', 102959);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(159234, 'PTHR14064:SF5', NULL, NULL, NULL, NULL, 'LEUKOCYTE CELL-DERIVED CHEMOTAXIN 1', 102960),
(159235, 'PTHR47276', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 22', 102961),
(159236, 'PTHR21242', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 10', 102962),
(159237, 'PTHR11620', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A', 102963),
(159238, 'PTHR11211:SF41', NULL, NULL, NULL, NULL, 'IROQUOIS HOMEOBOX 7', 102964),
(159239, 'PTHR27004:SF334', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 102965),
(159240, 'PTHR10907:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102966),
(159241, 'PTHR46739:SF5', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP1-2-RELATED', 102967),
(159242, 'PTHR43346:SF1', NULL, NULL, NULL, NULL, 'LIGAND BINDING DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14370)-RELATED', 102968),
(159243, 'PTHR31083:SF4', NULL, NULL, NULL, NULL, 'OS01G0839200 PROTEIN', 102969),
(159244, 'PTHR12538:SF13', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', 102970),
(159245, 'PTHR12801:SF118', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE 3', 102971),
(159246, 'PTHR31928:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 102972),
(159247, 'PTHR11599:SF41', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-10', 102973),
(159248, 'PTHR45926:SF20', NULL, NULL, NULL, NULL, 'BROMODOMAIN, NET DOMAIN PROTEIN-RELATED', 102974),
(159249, 'PTHR47946:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 78 PROTEIN', 102975),
(159250, 'PTHR46179', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 102976),
(159251, 'PTHR31157:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102977),
(159252, 'PTHR19282:SF25', NULL, NULL, NULL, NULL, 'UROPLAKIN-1A', 102978),
(159253, 'PTHR47979', NULL, NULL, NULL, NULL, 'DRAB11-RELATED', 102979),
(159254, 'PTHR46413:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102980),
(159255, 'PTHR31701:SF2', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM MEMBRANE-ASSOCIATED RNA DEGRADATION PROTEIN', 102981),
(159256, 'PTHR42782', NULL, NULL, NULL, NULL, 'SI:CH73-314G15.3', 102982),
(159257, 'PTHR43895:SF101', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 102983),
(159258, 'PTHR11964:SF13', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE 1-RELATED', 102984),
(159259, 'PTHR33207:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102985),
(159260, 'PTHR32182:SF22', NULL, NULL, NULL, NULL, 'SLR5023 PROTEIN', 102986),
(159261, 'PTHR22870:SF351', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 102987),
(159262, 'PTHR10871:SF38', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S13', 102988),
(159263, 'PTHR27006:SF348', NULL, NULL, NULL, NULL, 'BNAANNG25580D PROTEIN', 102989),
(159264, 'PTHR32472', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RADA', 102990),
(159265, 'PTHR47904:SF1', NULL, NULL, NULL, NULL, 'NATURAL CYTOTOXICITY TRIGGERING RECEPTOR 3', 102991),
(159266, 'PTHR13139:SF2', NULL, NULL, NULL, NULL, 'ROQUIN-2', 102992),
(159267, 'PTHR10792:SF8', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN RLP24-RELATED', 102993),
(159268, 'PTHR33929', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 2-RELATED', 102994),
(159269, 'PTHR48018:SF92', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 102995),
(159270, 'PTHR34933:SF3', NULL, NULL, NULL, NULL, 'FLAGELLAR L-RING PROTEIN', 102996),
(159271, 'PTHR45664', NULL, NULL, NULL, NULL, 'PROTEIN ZERKNUELLT 1-RELATED', 102997),
(159272, 'PTHR35730', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SPC24 HOMOLOG-RELATED', 102998),
(159273, 'PTHR21532:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 36', 102999),
(159274, 'PTHR27009:SF219', NULL, NULL, NULL, NULL, 'PR5-LIKE RECEPTOR KINASE', 103000),
(159275, 'PTHR19359:SF79', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 ISOFORM C', 103001),
(159276, 'PTHR37442:SF2', NULL, NULL, NULL, NULL, 'CHONDROITIN PROTEOGLYCAN 4', 103002),
(159277, 'PTHR24281:SF5', NULL, NULL, NULL, NULL, '3-HYDROXYPHENYLACETATE 6 HYDROXYLASE', 103003),
(159278, 'PTHR12224:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103004);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(159279, 'PTHR10183:SF280', NULL, NULL, NULL, NULL, 'CALPAIN-12', 103005),
(159280, 'PTHR15750:SF2', NULL, NULL, NULL, NULL, 'VASOHIBIN-1-LIKE ISOFORM X2', 103006),
(159281, 'PTHR10015:SF338', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-2', 103007),
(159282, 'PTHR47498:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 2 MEMBER L', 103008),
(159283, 'PTHR14768:SF4', NULL, NULL, NULL, NULL, 'SYNAPSE DIFFERENTIATION-INDUCING GENE PROTEIN 1-LIKE', 103009),
(159284, 'PTHR47519', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-31-RELATED', 103010),
(159285, 'PTHR45730:SF81', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 103011),
(159286, 'PTHR19229:SF209', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY A (ABC1), MEMBER 5', 103012),
(159287, 'PTHR47067:SF13', NULL, NULL, NULL, NULL, 'TPX2 DOMAIN-CONTAINING PROTEIN-RELATED', 103013),
(159288, 'PTHR23272:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103014),
(159289, 'PTHR23201:SF71', NULL, NULL, NULL, NULL, 'GIBBERELLIN REGULATED PROTEIN', 103015),
(159290, 'PTHR48011:SF56', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 3-LIKE', 103016),
(159291, 'PTHR31161:SF23', NULL, NULL, NULL, NULL, 'BNAA09G26980D PROTEIN', 103017),
(159292, 'PTHR43822:SF18', NULL, NULL, NULL, NULL, 'METHANOGEN HOMOACONITASE LARGE SUBUNIT', 103018),
(159293, 'PTHR46165:SF3', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN CONTAINING, CLASS 4, MEMBER 3', 103019),
(159294, 'PTHR34883:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103020),
(159295, 'PTHR21055', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 103021),
(159296, 'PTHR12565:SF398', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH48', 103022),
(159297, 'PTHR33372:SF11', NULL, NULL, NULL, NULL, 'DNAJ (DUF3353)', 103023),
(159298, 'PTHR38107', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 103024),
(159299, 'PTHR46160:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-182P11.1-RELATED', 103025),
(159300, 'PTHR11266:SF91', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 103026),
(159301, 'PTHR10334:SF480', NULL, NULL, NULL, NULL, 'GLI PATHOGENESIS-RELATED 2-RELATED', 103027),
(159302, 'PTHR31895:SF39', NULL, NULL, NULL, NULL, 'ACTIVATED IN BLOCKED UNFOLDED PROTEIN RESPONSE', 103028),
(159303, 'PTHR10836:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103029),
(159304, 'PTHR11449:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30-2', 103030),
(159305, 'PTHR33133:SF41', NULL, NULL, NULL, NULL, 'GB|AAC79135.1', 103031),
(159306, 'PTHR21576:SF114', NULL, NULL, NULL, NULL, 'NODULIN-LIKE/MFS TRANSPORTER', 103032),
(159307, 'PTHR24247:SF199', NULL, NULL, NULL, NULL, 'HISTAMINE H4 RECEPTOR', 103033),
(159308, 'PTHR33124:SF41', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH149', 103034),
(159309, 'PTHR23108:SF0', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 22', 103035),
(159310, 'PTHR14950:SF44', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE DICER HOMOLOG 1', 103036),
(159311, 'PTHR32191:SF40', NULL, NULL, NULL, NULL, 'TETRASPANIN/PERIPHERIN-RELATED', 103037),
(159312, 'PTHR32116:SF79', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 103038),
(159313, 'PTHR33086:SF43', NULL, NULL, NULL, NULL, 'HISTONE H3', 103039),
(159314, 'PTHR12652:SF49', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11-5-LIKE', 103040),
(159315, 'PTHR32017', NULL, NULL, NULL, NULL, 'SPINDLE AND KINETOCHORE-ASSOCIATED PROTEIN 2', 103041),
(159316, 'PTHR21495:SF191', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 103042),
(159317, 'PTHR11808:SF82', NULL, NULL, NULL, NULL, 'BNAC04G24570D PROTEIN', 103043),
(159318, 'PTHR13452:SF15', NULL, NULL, NULL, NULL, 'THUMP DOMAIN-CONTAINING PROTEIN 1', 103044),
(159319, 'PTHR31218:SF29', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 103045),
(159320, 'PTHR35156', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 52', 103046),
(159321, 'PTHR42748:SF3', NULL, NULL, NULL, NULL, 'BLL4366 PROTEIN', 103047),
(159322, 'PTHR46824', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML48-RELATED', 103048),
(159323, 'PTHR45669:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103049);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(159324, 'PTHR46355', NULL, NULL, NULL, NULL, 'UPF0428 PROTEIN CXORF56', 103050),
(159325, 'PTHR45598', NULL, NULL, NULL, NULL, 'PROTEIN CBG11839-RELATED', 103051),
(159326, 'PTHR13533:SF32', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 14', 103052),
(159327, 'PTHR48013:SF15', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 4', 103053),
(159328, 'PTHR44240:SF24', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', 103054),
(159329, 'PTHR11306:SF46', NULL, NULL, NULL, NULL, 'BNACNNG53350D PROTEIN', 103055),
(159330, 'PTHR36067', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 103056),
(159331, 'PTHR11017:SF375', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE', 103057),
(159332, 'PTHR43878', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE RELATED PROTEIN', 103058),
(159333, 'PTHR11732:SF453', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT CODEINONE REDUCTASE 1-2-RELATED', 103059),
(159334, 'PTHR31072:SF145', NULL, NULL, NULL, NULL, 'BNAA09G05400D PROTEIN', 103060),
(159335, 'PTHR45868:SF42', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 103061),
(159336, 'PTHR46797:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 103062),
(159337, 'PTHR33153:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103063),
(159338, 'PTHR11564:SF32', NULL, NULL, NULL, NULL, 'OS11G0153700 PROTEIN', 103064),
(159339, 'PTHR47156:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG17264', 103065),
(159340, 'PTHR32502:SF23', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE PERMEASE IID COMPONENT', 103066),
(159341, 'PTHR47800:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103067),
(159342, 'PTHR22846:SF58', NULL, NULL, NULL, NULL, 'F-BOX-LIKE/WD REPEAT-CONTAINING PROTEIN TBL1XR1', 103068),
(159343, 'PTHR46993:SF9', NULL, NULL, NULL, NULL, 'OS06G0181300 PROTEIN', 103069),
(159344, 'PTHR34957:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103070),
(159345, 'PTHR22957:SF207', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 10B', 103071),
(159346, 'PTHR27001:SF720', NULL, NULL, NULL, NULL, 'OS08G0442700 PROTEIN', 103072),
(159347, 'PTHR31766:SF10', NULL, NULL, NULL, NULL, 'TRAM, LAG1 AND CLN8 (TLC) LIPID-SENSING DOMAIN CONTAINING PROTEIN-RELATED', 103073),
(159348, 'PTHR30572:SF11', NULL, NULL, NULL, NULL, 'ADHESION COMPONENT TRANSPORT TRANSMEMBRANE PROTEIN ABC TRANSPORTER-RELATED', 103074),
(159349, 'PTHR34611:SF2', NULL, NULL, NULL, NULL, 'INACTIVE RECOMBINATION-PROMOTING NUCLEASE-LIKE PROTEIN RPNE-RELATED', 103075),
(159350, 'PTHR11783:SF231', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 103076),
(159351, 'PTHR47799', NULL, NULL, NULL, NULL, 'OMEGA-AMIDASE YAFV', 103077),
(159352, 'PTHR34446:SF4', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 10', 103078),
(159353, 'PTHR23425', NULL, NULL, NULL, NULL, 'NUCLEOPORIN AMO1-LIKE', 103079),
(159354, 'PTHR44337:SF16', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 1-RELATED', 103080),
(159355, 'PTHR47746:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103081),
(159356, 'PTHR47956:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B38-RELATED', 103082),
(159357, 'PTHR24012:SF723', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103083),
(159358, 'PTHR35279:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103084),
(159359, 'PTHR32285:SF18', NULL, NULL, NULL, NULL, 'PROTEIN YLS7', 103085),
(159360, 'PTHR33098:SF79', NULL, NULL, NULL, NULL, 'BNAA01G35900D PROTEIN', 103086),
(159361, 'PTHR45621:SF46', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL16-RELATED', 103087),
(159362, 'PTHR42711', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 103088),
(159363, 'PTHR23024:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103089),
(159364, 'PTHR11654:SF481', NULL, NULL, NULL, NULL, 'BNAA08G19510D PROTEIN', 103090),
(159365, 'PTHR16705:SF12', NULL, NULL, NULL, NULL, 'COMPLEXIN 4C', 103091),
(159366, 'PTHR31415:SF96', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 2', 103092),
(159367, 'PTHR16222:SF28', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', 103093);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(159368, 'PTHR34671:SF9', NULL, NULL, NULL, NULL, 'EM-LIKE PROTEIN GEA6', 103094),
(159369, 'PTHR34715:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103095),
(159370, 'PTHR44137:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103096),
(159371, 'PTHR36014', NULL, NULL, NULL, NULL, 'OS03G0176600 PROTEIN', 103097),
(159372, 'PTHR15852:SF55', NULL, NULL, NULL, NULL, 'PROTEIN EMBRYO SAC DEVELOPMENT ARREST 3, CHLOROPLASTIC ISOFORM X1', 103098),
(159373, 'PTHR12242:SF22', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 103099),
(159374, 'PTHR48004:SF24', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 55', 103100),
(159375, 'PTHR37163', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 103101),
(159376, 'PTHR24390:SF49', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 212', 103102),
(159377, 'PTHR15184:SF65', NULL, NULL, NULL, NULL, 'F0F1-TYPE ATP SYNTHASE, BETA SUBUNIT', 103103),
(159378, 'PTHR13636', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 103104),
(159379, 'PTHR34657:SF14', NULL, NULL, NULL, NULL, 'EMBRYO SAC DEVELOPMENT ARREST 6', 103105),
(159380, 'PTHR31901:SF53', NULL, NULL, NULL, NULL, 'JASMONIC ACID-AMIDO SYNTHETASE JAR1-LIKE', 103106),
(159381, 'PTHR37835:SF1', NULL, NULL, NULL, NULL, 'ALPHA-CLOSTRIPAIN', 103107),
(159382, 'PTHR32227:SF223', NULL, NULL, NULL, NULL, 'OS02G0200300 PROTEIN', 103108),
(159383, 'PTHR43130:SF2', NULL, NULL, NULL, NULL, 'THIJ/PFPI FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G14240)', 103109),
(159384, 'PTHR10986', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L20', 103110),
(159385, 'PTHR10634:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103111),
(159386, 'PTHR46128:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103112),
(159387, 'PTHR44259:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103113),
(159388, 'PTHR12346:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103114),
(159389, 'PTHR22835:SF511', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103115),
(159390, 'PTHR21024:SF0', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN REGULATORY FACTOR 1', 103116),
(159391, 'PTHR11521:SF7', NULL, NULL, NULL, NULL, 'TROPONIN T', 103117),
(159392, 'PTHR35689:SF3', NULL, NULL, NULL, NULL, 'BNAA09G56970D PROTEIN', 103118),
(159393, 'PTHR31557:SF2', NULL, NULL, NULL, NULL, 'PROTEIN UP-REGULATED IN DAF-2(GF)', 103119),
(159394, 'PTHR21461:SF64', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 103120),
(159395, 'PTHR12713:SF27', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G3', 103121),
(159396, 'PTHR11926:SF1351', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 103122),
(159397, 'PTHR11645:SF49', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE 1', 103123),
(159398, 'PTHR10131:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103124),
(159399, 'PTHR47975:SF22', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-2', 103125),
(159400, 'PTHR39299', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 103126),
(159401, 'PTHR45642:SF107', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE SUPERFAMILY PROTEIN-RELATED', 103127),
(159402, 'PTHR47657:SF7', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN ECM22', 103128),
(159403, 'PTHR47926:SF254', NULL, NULL, NULL, NULL, 'OS02G0730900 PROTEIN', 103129),
(159404, 'PTHR31959:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103130),
(159405, 'PTHR45732:SF14', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, RAB TYPE-RELATED', 103131),
(159406, 'PTHR37917', NULL, NULL, NULL, NULL, 'PROTEIN CBG03580', 103132),
(159407, 'PTHR12358:SF84', NULL, NULL, NULL, NULL, 'SPHINGOSINE KINASE B', 103133),
(159408, 'PTHR10891:SF876', NULL, NULL, NULL, NULL, 'BNAA02G17640D PROTEIN', 103134),
(159409, 'PTHR31674:SF48', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', 103135),
(159410, 'PTHR22940:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TIMELESS HOMOLOG', 103136),
(159411, 'PTHR16254:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 3', 103137);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(159412, 'PTHR11206:SF376', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 103138),
(159413, 'PTHR31304:SF42', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 103139),
(159414, 'PTHR10788:SF93', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATASE', 103140),
(159415, 'PTHR31286:SF68', NULL, NULL, NULL, NULL, 'BNAC04G13400D PROTEIN', 103141),
(159416, 'PTHR11461:SF343', NULL, NULL, NULL, NULL, 'HETEROCHROMATIN-ASSOCIATED PROTEIN MENT-RELATED', 103142),
(159417, 'PTHR22883:SF49', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC7', 103143),
(159418, 'PTHR27002:SF834', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103144),
(159419, 'PTHR16675:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103145),
(159420, 'PTHR30363:SF27', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN-RELATED', 103146),
(159421, 'PTHR24340:SF32', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-2.3', 103147),
(159422, 'PTHR47212:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYGLUCOSAMINLYTRANSFERASE SUBUNIT P-LIKE PROTEIN', 103148),
(159423, 'PTHR13316:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 8', 103149),
(159424, 'PTHR34491:SF11', NULL, NULL, NULL, NULL, 'HOLOCENTRIC CHROMOSOME BINDING PROTEIN', 103150),
(159425, 'PTHR19862:SF19', NULL, NULL, NULL, NULL, 'BNAC03G34120D PROTEIN', 103151),
(159426, 'PTHR35301:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103152),
(159427, 'PTHR16487', NULL, NULL, NULL, NULL, 'PPP4R2-RELATED PROTEIN', 103153),
(159428, 'PTHR11776:SF26', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYL TRANSFERASE, PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN-RELATED', 103154),
(159429, 'PTHR24637:SF321', NULL, NULL, NULL, NULL, 'COLLAGEN', 103155),
(159430, 'PTHR12785', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B', 103156),
(159431, 'PTHR10579:SF52', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED CHLORIDE CHANNEL REGULATOR 1', 103157),
(159432, 'PTHR33564:SF21', NULL, NULL, NULL, NULL, 'BNAA03G00170D PROTEIN', 103158),
(159433, 'PTHR19317:SF78', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 103159),
(159434, 'PTHR11504:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6A, MITOCHONDRIAL-LIKE ISOFORM X1', 103160),
(159435, 'PTHR45738:SF18', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC4', 103161),
(159436, 'PTHR15960:SF5', NULL, NULL, NULL, NULL, 'LD44032P', 103162),
(159437, 'PTHR33103:SF58', NULL, NULL, NULL, NULL, 'INITIATION FACTOR IF-2, PUTATIVE-RELATED', 103163),
(159438, 'PTHR31429:SF78', NULL, NULL, NULL, NULL, 'WIZZ', 103164),
(159439, 'PTHR46367:SF3', NULL, NULL, NULL, NULL, 'ATAXIN-7-LIKE PROTEIN 3', 103165),
(159440, 'PTHR23024:SF472', NULL, NULL, NULL, NULL, 'OS09G0461700 PROTEIN', 103166),
(159441, 'PTHR31281:SF0', NULL, NULL, NULL, NULL, 'PROTEIN FAM219A', 103167),
(159442, 'PTHR10829:SF23', NULL, NULL, NULL, NULL, 'CORTACTIN, ISOFORM A', 103168),
(159443, 'PTHR11753:SF20', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT SIGMA-2', 103169),
(159444, 'PTHR48042:SF10', NULL, NULL, NULL, NULL, 'XENOBIOTIC-TRANSPORTING ATPASE-RELATED', 103170),
(159445, 'PTHR45830:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 103171),
(159446, 'PTHR11364:SF7', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE MPST-1-RELATED', 103172),
(159447, 'PTHR10783:SF120', NULL, NULL, NULL, NULL, 'BNAA09G02520D PROTEIN', 103173),
(159448, 'PTHR14255:SF31', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 103174),
(159449, 'PTHR48002:SF85', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 103175),
(159450, 'PTHR31577:SF2', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PLURIPOTENCY-ASSOCIATED PROTEIN 3', 103176),
(159451, 'PTHR28266:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L20, MITOCHONDRIAL', 103177),
(159452, 'PTHR33109:SF45', NULL, NULL, NULL, NULL, 'OS05G0476400 PROTEIN', 103178),
(159453, 'PTHR46225:SF13', NULL, NULL, NULL, NULL, 'F9C16.22-RELATED', 103179),
(159454, 'PTHR33349:SF14', NULL, NULL, NULL, NULL, 'PLANT CALMODULIN-BINDING-LIKE PROTEIN', 103180),
(159455, 'PTHR24314', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN-RELATED', 103181);
INSERT INTO "PUBLIC"."MODEL" VALUES
(159456, 'PTHR14000:SF9', NULL, NULL, NULL, NULL, 'OS04G0673000 PROTEIN', 103182),
(159457, 'PTHR46301:SF29', NULL, NULL, NULL, NULL, 'BNAA02G04530D PROTEIN', 103183),
(159458, 'PTHR35298:SF9', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN S1FA1-RELATED', 103184),
(159459, 'PTHR10476:SF17', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 1A', 103185),
(159460, 'PTHR31509:SF70', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', 103186),
(159461, 'PTHR13620:SF76', NULL, NULL, NULL, NULL, 'WERNER SYNDROME-LIKE EXONUCLEASE', 103187),
(159462, 'PTHR23294:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG11284', 103188),
(159463, 'PTHR21450:SF36', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF630 AND DUF632)-RELATED', 103189),
(159464, 'PTHR33067:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103190),
(159465, 'PTHR12558:SF35', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE ASSEMBLY PROTEIN B', 103191),
(159466, 'PTHR10315:SF107', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 103192),
(159467, 'PTHR24118:SF87', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 3', 103193),
(159468, 'PTHR11506', NULL, NULL, NULL, NULL, 'LYSOSOME-ASSOCIATED MEMBRANE GLYCOPROTEIN', 103194),
(159469, 'PTHR31669:SF233', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED IMPAIRED RESPONSE 1-LIKE', 103195),
(159470, 'PTHR24559:SF375', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON GYPSY-LIKE PROTEIN', 103196),
(159471, 'PTHR15710:SF34', NULL, NULL, NULL, NULL, 'OS03G0351800 PROTEIN', 103197),
(159472, 'PTHR43201:SF13', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE', 103198),
(159473, 'PTHR33104', NULL, NULL, NULL, NULL, 'SI:DKEY-29D5.2', 103199),
(159474, 'PTHR21551', NULL, NULL, NULL, NULL, 'TOPOISOMERASE II-ASSOCIATED PROTEIN PAT1', 103200),
(159475, 'PTHR35513', NULL, NULL, NULL, NULL, 'OS02G0158600 PROTEIN', 103201),
(159476, 'PTHR23239:SF351', NULL, NULL, NULL, NULL, 'SI:CH211-243G18.2', 103202),
(159477, 'PTHR24092:SF80', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IM-RELATED', 103203),
(159478, 'PTHR23515:SF6', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE TRANSPORTER NARU', 103204),
(159479, 'PTHR22765:SF213', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SYNOVIOLIN', 103205),
(159480, 'PTHR46077', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TOPORS', 103206),
(159481, 'PTHR24377:SF871', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 135', 103207),
(159482, 'PTHR45707:SF63', NULL, NULL, NULL, NULL, 'OSJNBB0020J19.7 PROTEIN', 103208),
(159483, 'PTHR37987:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', 103209),
(159484, 'PTHR13683:SF743', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 1', 103210),
(159485, 'PTHR10209:SF748', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103211),
(159486, 'PTHR24096:SF376', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE AND LIGASE FAMILY PROTEIN-RELATED', 103212),
(159487, 'PTHR11662:SF423', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', 103213),
(159488, 'PTHR39381:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG14825', 103214),
(159489, 'PTHR13492', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 37', 103215),
(159490, 'PTHR48042:SF20', NULL, NULL, NULL, NULL, 'OS10G0163290 PROTEIN', 103216),
(159491, 'PTHR11909:SF368', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE', 103217),
(159492, 'PTHR23213:SF351', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 103218),
(159493, 'PTHR21229:SF72', NULL, NULL, NULL, NULL, 'BNAA03G00570D PROTEIN', 103219),
(159494, 'PTHR11630:SF47', NULL, NULL, NULL, NULL, 'DNA HELICASE MCM8', 103220),
(159495, 'PTHR23182:SF8', NULL, NULL, NULL, NULL, 'BCR ACTIVATOR OF RHOGEF AND GTPASE', 103221),
(159496, 'PTHR26379:SF385', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103222),
(159497, 'PTHR42912:SF25', NULL, NULL, NULL, NULL, 'TUBERCULOSTEARIC ACID METHYLTRANSFERASE UFAA1', 103223),
(159498, 'PTHR31553:SF1', NULL, NULL, NULL, NULL, 'NF-KAPPA-B ESSENTIAL MODULATOR', 103224),
(159499, 'PTHR24303:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 513A1-RELATED', 103225);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(159500, 'PTHR11732:SF457', NULL, NULL, NULL, NULL, 'ASCORBATE BIOSYNTHESIS-RELATED PROTEIN', 103226),
(159501, 'PTHR23024:SF98', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1B', 103227),
(159502, 'PTHR36028:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103228),
(159503, 'PTHR45693:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGAL9', 103229),
(159504, 'PTHR31391:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103230),
(159505, 'PTHR31945:SF65', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 103231),
(159506, 'PTHR43303:SF2', NULL, NULL, NULL, NULL, 'INDOLEAMINE 2,3-DIOXYGENASE PYRROLE 2,3-DIOXYGENASE (AFU_ORTHOLOGUE AFUA_5G01450', 103232),
(159507, 'PTHR47127:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103233),
(159508, 'PTHR31388:SF199', NULL, NULL, NULL, NULL, 'PEROXIDASE', 103234),
(159509, 'PTHR46074', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PROTEIN CRIP FAMILY MEMBER', 103235),
(159510, 'PTHR36029:SF1', NULL, NULL, NULL, NULL, 'TSET COMPLEX MEMBER TSTA', 103236),
(159511, 'PTHR22714:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG02446', 103237),
(159512, 'PTHR11351:SF71', NULL, NULL, NULL, NULL, 'DELTA-9 DESATURASE-LIKE 1 PROTEIN-RELATED', 103238),
(159513, 'PTHR23261:SF16', NULL, NULL, NULL, NULL, 'GROUND-LIKE (GRD RELATED)', 103239),
(159514, 'PTHR21493:SF248', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103240),
(159515, 'PTHR31989:SF33', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', 103241),
(159516, 'PTHR34659:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103242),
(159517, 'PTHR10015:SF376', NULL, NULL, NULL, NULL, 'HEAT SHOCK TRANSCRIPTION FACTOR A7A-RELATED', 103243),
(159518, 'PTHR43900:SF54', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F12', 103244),
(159519, 'PTHR38339:SF1', NULL, NULL, NULL, NULL, 'TRANSGLUTAMINASE DOMAIN PROTEIN', 103245),
(159520, 'PTHR31890:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103246),
(159521, 'PTHR12242', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 103247),
(159522, 'PTHR10736:SF9', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 1-RELATED', 103248),
(159523, 'PTHR24377:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 81', 103249),
(159524, 'PTHR37710:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 103250),
(159525, 'PTHR11746:SF268', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE-LIKE', 103251),
(159526, 'PTHR24133:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103252),
(159527, 'PTHR45787:SF6', NULL, NULL, NULL, NULL, 'RHOMBOTIN-1-LIKE PROTEIN', 103253),
(159528, 'PTHR14112:SF8', NULL, NULL, NULL, NULL, 'PROTEIN SSX4', 103254),
(159529, 'PTHR33326:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103255),
(159530, 'PTHR10410:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103256),
(159531, 'PTHR22968:SF24', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 103257),
(159532, 'PTHR33077:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103258),
(159533, 'PTHR48065:SF26', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 2', 103259),
(159534, 'PTHR44259:SF5', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 103260),
(159535, 'PTHR32467:SF22', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR PLT2', 103261),
(159536, 'PTHR21530:SF13', NULL, NULL, NULL, NULL, 'BNAC09G30500D PROTEIN', 103262),
(159537, 'PTHR33077:SF52', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10A', 103263),
(159538, 'PTHR31530:SF2', NULL, NULL, NULL, NULL, 'MAJOR INTRINSICALLY DISORDERED NOTCH2-BINDING RECEPTOR 1', 103264),
(159539, 'PTHR33181:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103265),
(159540, 'PTHR34191:SF11', NULL, NULL, NULL, NULL, 'ABA-INDUCIBLE PROTEIN-LIKE', 103266),
(159541, 'PTHR24320:SF198', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 103267),
(159542, 'PTHR47116:SF12', NULL, NULL, NULL, NULL, 'CYSTATIN', 103268),
(159543, 'PTHR46784:SF1', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY B MEMBER 1', 103269),
(159544, 'PTHR24404:SF39', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN (C2H2 TYPE) 276', 103270);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(159545, 'PTHR31080:SF237', NULL, NULL, NULL, NULL, 'OS12G0128900 PROTEIN', 103271),
(159546, 'PTHR43791:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103272),
(159547, 'PTHR23420:SF2', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE 3', 103273),
(159548, 'PTHR10177:SF416', NULL, NULL, NULL, NULL, 'CYCLIN-A1-2', 103274),
(159549, 'PTHR31517:SF45', NULL, NULL, NULL, NULL, 'PEROXIDASE', 103275),
(159550, 'PTHR10696:SF30', NULL, NULL, NULL, NULL, 'FAMILY OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13850)-RELATED', 103276),
(159551, 'PTHR23021:SF36', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 103277),
(159552, 'PTHR33512:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103278),
(159553, 'PTHR43818:SF10', NULL, NULL, NULL, NULL, 'NADH-DEPENDENT DEHYDROGENASE-RELATED', 103279),
(159554, 'PTHR24407:SF12', NULL, NULL, NULL, NULL, 'NLR FAMILY CARD DOMAIN-CONTAINING PROTEIN 4', 103280),
(159555, 'PTHR30033:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK-ASSOCIATED PROTEIN 1', 103281),
(159556, 'PTHR21663:SF1', NULL, NULL, NULL, NULL, 'HEAT REPEAT-CONTAINING PROTEIN 5A', 103282),
(159557, 'PTHR11351:SF79', NULL, NULL, NULL, NULL, 'BNAC08G44620D PROTEIN', 103283),
(159558, 'PTHR13318:SF28', NULL, NULL, NULL, NULL, 'CORONATINE-INSENSITIVE PROTEIN HOMOLOG 2', 103284),
(159559, 'PTHR31374:SF139', NULL, NULL, NULL, NULL, 'OS02G0143300 PROTEIN', 103285),
(159560, 'PTHR31252:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103286),
(159561, 'PTHR32039:SF14', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLI HOMOLOG', 103287),
(159562, 'PTHR48018:SF140', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 103288),
(159563, 'PTHR42760', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASES/REDUCTASES FAMILY MEMBER', 103289),
(159564, 'PTHR31471:SF68', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', 103290),
(159565, 'PTHR14363:SF13', NULL, NULL, NULL, NULL, 'OS07G0598400 PROTEIN', 103291),
(159566, 'PTHR10641:SF1268', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 103292),
(159567, 'PTHR36931', NULL, NULL, NULL, NULL, 'UPF0153 PROTEIN YEIW', 103293),
(159568, 'PTHR31221:SF205', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR', 103294),
(159569, 'PTHR23257:SF727', NULL, NULL, NULL, NULL, 'A-RAF PROTO-ONCOGENE, SERINE/THREONINE KINASE', 103295),
(159570, 'PTHR47519:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 103296),
(159571, 'PTHR47982:SF58', NULL, NULL, NULL, NULL, 'BNAA09G30960D PROTEIN', 103297),
(159572, 'PTHR35092:SF1', NULL, NULL, NULL, NULL, 'CHLORINASE MJ1651', 103298),
(159573, 'PTHR47557:SF2', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 1', 103299),
(159574, 'PTHR15371:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103300),
(159575, 'PTHR23257:SF750', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 21', 103301),
(159576, 'PTHR11746:SF252', NULL, NULL, NULL, NULL, 'ASMT3', 103302),
(159577, 'PTHR12479:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG14497', 103303),
(159578, 'PTHR33355', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE CARBOXY-TERMINAL PROTEIN-RELATED', 103304),
(159579, 'PTHR21593', NULL, NULL, NULL, NULL, 'PRION-LIKE- Q/N-RICH -DOMAIN-BEARING PROTEIN PROTEIN', 103305),
(159580, 'PTHR19241:SF625', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 40', 103306),
(159581, 'PTHR12745', NULL, NULL, NULL, NULL, 'SUPPRESSION OF TUMORIGENICITY 7', 103307),
(159582, 'PTHR11814:SF61', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 2.2', 103308),
(159583, 'PTHR11412:SF83', NULL, NULL, NULL, NULL, 'COMPLEMENT C5', 103309),
(159584, 'PTHR10366:SF353', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1', 103310),
(159585, 'PTHR23050:SF389', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 3', 103311),
(159586, 'PTHR10680', NULL, NULL, NULL, NULL, 'PEPTIDYL-GLYCINE ALPHA-AMIDATING MONOOXYGENASE', 103312),
(159587, 'PTHR31623:SF45', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', 103313),
(159588, 'PTHR11165:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103314);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(159589, 'PTHR47663', NULL, NULL, NULL, NULL, 'XYLANOLYTIC TRANSCRIPTIONAL ACTIVATOR XLNR-RELATED', 103315),
(159590, 'PTHR24083:SF76', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-153', 103316),
(159591, 'PTHR34367', NULL, NULL, NULL, NULL, 'OS02G0734667 PROTEIN', 103317),
(159592, 'PTHR31374:SF247', NULL, NULL, NULL, NULL, 'BNAA02G05090D PROTEIN', 103318),
(159593, 'PTHR13169:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN 2', 103319),
(159594, 'PTHR32212:SF260', NULL, NULL, NULL, NULL, 'F-BOX/RNI-LIKE SUPERFAMILY PROTEIN-RELATED', 103320),
(159595, 'PTHR31232:SF108', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOGUE', 103321),
(159596, 'PTHR45631:SF53', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN', 103322),
(159597, 'PTHR37357', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 4', 103323),
(159598, 'PTHR24023:SF1025', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA CHAIN CG42342', 103324),
(159599, 'PTHR11819:SF194', NULL, NULL, NULL, NULL, 'SODIUM:SOLUTE SYMPORTER-RELATED', 103325),
(159600, 'PTHR13878:SF107', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 3', 103326),
(159601, 'PTHR12732', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEASOME COMPONENT REGION PCI-CONTAINING', 103327),
(159602, 'PTHR45666:SF7', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 7-LIKE', 103328),
(159603, 'PTHR24256:SF486', NULL, NULL, NULL, NULL, 'AQUARIUS', 103329),
(159604, 'PTHR10519:SF63', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 156-RELATED', 103330),
(159605, 'PTHR24068:SF306', NULL, NULL, NULL, NULL, 'BNAA07G38410D PROTEIN', 103331),
(159606, 'PTHR47950:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 76, SUBFAMILY G, POLYPEPTIDE 1', 103332),
(159607, 'PTHR45979:SF14', NULL, NULL, NULL, NULL, 'BNAC04G24980D PROTEIN', 103333),
(159608, 'PTHR31301:SF109', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 7-LIKE', 103334),
(159609, 'PTHR10848:SF3', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN SPO11-1', 103335),
(159610, 'PTHR12320:SF68', NULL, NULL, NULL, NULL, 'MYB DOMAIN-CONTAINING PROTEIN', 103336),
(159611, 'PTHR22960:SF26', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN 1', 103337),
(159612, 'PTHR31639:SF195', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103338),
(159613, 'PTHR20914:SF6', NULL, NULL, NULL, NULL, 'EP1', 103339),
(159614, 'PTHR33479:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103340),
(159615, 'PTHR44115:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG12124', 103341),
(159616, 'PTHR47932:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103342),
(159617, 'PTHR21404', NULL, NULL, NULL, NULL, 'HEN1', 103343),
(159618, 'PTHR23500:SF485', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103344),
(159619, 'PTHR31503:SF10', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER PROTEIN 1-RELATED', 103345),
(159620, 'PTHR47993:SF34', NULL, NULL, NULL, NULL, 'OS09G0372900 PROTEIN', 103346),
(159621, 'PTHR34671:SF18', NULL, NULL, NULL, NULL, 'STRESS INDUCED PROTEIN-RELATED', 103347),
(159622, 'PTHR11679:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103348),
(159623, 'PTHR48019:SF2', NULL, NULL, NULL, NULL, 'BNAC02G43470D PROTEIN', 103349),
(159624, 'PTHR11721:SF22', NULL, NULL, NULL, NULL, 'BNAC06G24620D PROTEIN', 103350),
(159625, 'PTHR21364', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 103351),
(159626, 'PTHR41328:SF3', NULL, NULL, NULL, NULL, 'PBSX PHAGE TERMINASE SMALL SUBUNIT', 103352),
(159627, 'PTHR23024:SF445', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', 103353),
(159628, 'PTHR47992:SF7', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', 103354),
(159629, 'PTHR43952:SF25', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 3', 103355),
(159630, 'PTHR37202', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', 103356),
(159631, 'PTHR36885', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 103357),
(159632, 'PTHR34207:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103358),
(159633, 'PTHR10963:SF24', NULL, NULL, NULL, NULL, 'GLYCOSIDASE C21B10.07-RELATED', 103359); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(159634, 'PTHR31875:SF35', NULL, NULL, NULL, NULL, 'BNAA01G32630D PROTEIN', 103360),
(159635, 'PTHR32133:SF263', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103361),
(159636, 'PTHR31388:SF112', NULL, NULL, NULL, NULL, 'PEROXIDASE', 103362),
(159637, 'PTHR24377:SF902', NULL, NULL, NULL, NULL, 'ZINC FINGER WITH KRAB AND SCAN DOMAINS 16', 103363),
(159638, 'PTHR24060:SF30', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 5', 103364),
(159639, 'PTHR24064:SF454', NULL, NULL, NULL, NULL, 'SI:DKEY-119M7.4', 103365),
(159640, 'PTHR12845:SF3', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 16', 103366),
(159641, 'PTHR11311', NULL, NULL, NULL, NULL, 'SPONDIN', 103367),
(159642, 'PTHR31235:SF331', NULL, NULL, NULL, NULL, 'PEROXIDASE', 103368),
(159643, 'PTHR46875', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 5', 103369),
(159644, 'PTHR45644:SF21', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 1-LIKE', 103370),
(159645, 'PTHR12548:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DP FAMILY MEMBER 3', 103371),
(159646, 'PTHR10797:SF66', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 6-RELATED', 103372),
(159647, 'PTHR11654:SF289', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER 3', 103373),
(159648, 'PTHR23280:SF9', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 6', 103374),
(159649, 'PTHR10177:SF254', NULL, NULL, NULL, NULL, 'CYCLIN-A1', 103375),
(159650, 'PTHR31391:SF70', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS03G0622200', 103376),
(159651, 'PTHR11949:SF10', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 5', 103377),
(159652, 'PTHR43352:SF1', NULL, NULL, NULL, NULL, 'P-HYDROXYBENZOIC ACID--AMP LIGASE FADD22', 103378),
(159653, 'PTHR40392', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 103379),
(159654, 'PTHR13234:SF11', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', 103380),
(159655, 'PTHR44846:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, GNTR FAMILY', 103381),
(159656, 'PTHR31992:SF198', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.2', 103382),
(159657, 'PTHR31972:SF70', NULL, NULL, NULL, NULL, 'BNAA09G02900D PROTEIN', 103383),
(159658, 'PTHR11034:SF46', NULL, NULL, NULL, NULL, 'PROTEIN NDL1-LIKE ISOFORM X1', 103384),
(159659, 'PTHR45889:SF5', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE 3', 103385),
(159660, 'PTHR47181:SF4', NULL, NULL, NULL, NULL, 'BRCT DOMAIN-CONTAINING PROTEIN', 103386),
(159661, 'PTHR33057:SF35', NULL, NULL, NULL, NULL, 'OS01G0863800 PROTEIN', 103387),
(159662, 'PTHR46695:SF9', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY PROTEIN / SWIB COMPLEX BAF60B DOMAIN-CONTAINING PROTEIN / GYF DOMAIN-CONTAINING PROTEIN', 103388),
(159663, 'PTHR43574:SF5', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR EPIMERASE', 103389),
(159664, 'PTHR24120:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 29', 103390),
(159665, 'PTHR43303:SF3', NULL, NULL, NULL, NULL, 'BLR3436 PROTEIN', 103391),
(159666, 'PTHR13335', NULL, NULL, NULL, NULL, 'TARGET OF RAPAMYCIN COMPLEX 2 SUBUNIT MAPKAP1', 103392),
(159667, 'PTHR33893:SF12', NULL, NULL, NULL, NULL, 'INSULIN RELATED', 103393),
(159668, 'PTHR15176:SF1', NULL, NULL, NULL, NULL, 'NEPHROCYSTIN-1', 103394),
(159669, 'PTHR32091:SF24', NULL, NULL, NULL, NULL, 'OS01G0306100 PROTEIN', 103395),
(159670, 'PTHR39431:SF1', NULL, NULL, NULL, NULL, 'FRPA/C-RELATED PROTEIN', 103396),
(159671, 'PTHR33149:SF28', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', 103397),
(159672, 'PTHR43463:SF1', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE--DIMETHYLBENZIMIDAZOLE PHOSPHORIBOSYLTRANSFERASE', 103398),
(159673, 'PTHR13247:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION 1 PROTEIN', 103399),
(159674, 'PTHR16223:SF238', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH114', 103400),
(159675, 'PTHR33103:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103401),
(159676, 'PTHR45969:SF29', NULL, NULL, NULL, NULL, 'RING-H2 ZINC FINGER PROTEIN RHA1A-LIKE', 103402),
(159677, 'PTHR34780:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103403);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(159678, 'PTHR12308:SF23', NULL, NULL, NULL, NULL, 'ANOCTAMIN-5', 103404),
(159679, 'PTHR18976:SF11', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN A-I', 103405),
(159680, 'PTHR48030:SF3', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 4', 103406),
(159681, 'PTHR12802:SF130', NULL, NULL, NULL, NULL, 'BNAA01G32200D PROTEIN', 103407),
(159682, 'PTHR31989:SF221', NULL, NULL, NULL, NULL, 'OS12G0137000 PROTEIN', 103408),
(159683, 'PTHR24422:SF8', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN', 103409),
(159684, 'PTHR45648:SF58', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE LTL1-LIKE', 103410),
(159685, 'PTHR34193:SF2', NULL, NULL, NULL, NULL, 'OS05G0493200 PROTEIN', 103411),
(159686, 'PTHR46814:SF1', NULL, NULL, NULL, NULL, 'EGALITARIAN, ISOFORM B', 103412),
(159687, 'PTHR32285:SF53', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 9', 103413),
(159688, 'PTHR22792:SF143', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 1C', 103414),
(159689, 'PTHR10811:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103415),
(159690, 'PTHR32208:SF89', NULL, NULL, NULL, NULL, 'BNAA08G31280D PROTEIN', 103416),
(159691, 'PTHR38816', NULL, NULL, NULL, NULL, 'EXOSOME SUBUNIT, DUF54 FAMILY-RELATED', 103417),
(159692, 'PTHR24134', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN DDB_G0279043', 103418),
(159693, 'PTHR10194:SF139', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING-LIKE PROTEIN NGAP-RELATED', 103419),
(159694, 'PTHR10261:SF3', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA-1', 103420),
(159695, 'PTHR24281:SF63', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82G1-LIKE', 103421),
(159696, 'PTHR34291:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103422),
(159697, 'PTHR45772:SF6', NULL, NULL, NULL, NULL, 'NOD FACTOR EXPORT ATP-BINDING PROTEIN I', 103423),
(159698, 'PTHR11712:SF342', NULL, NULL, NULL, NULL, 'OS07G0616200 PROTEIN', 103424),
(159699, 'PTHR21286', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP160', 103425),
(159700, 'PTHR11260:SF578', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U27', 103426),
(159701, 'PTHR47648:SF1', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY G MEMBER 1', 103427),
(159702, 'PTHR47942:SF61', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 103428),
(159703, 'PTHR47546:SF5', NULL, NULL, NULL, NULL, 'BNAA09G56580D PROTEIN', 103429),
(159704, 'PTHR43358:SF11', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 103430),
(159705, 'PTHR24006:SF828', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 4-LIKE ISOFORM X1', 103431),
(159706, 'PTHR24253:SF56', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11B', 103432),
(159707, 'PTHR48053:SF57', NULL, NULL, NULL, NULL, 'OS07G0134200 PROTEIN', 103433),
(159708, 'PTHR47990:SF171', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20-OXIDASE', 103434),
(159709, 'PTHR11534:SF9', NULL, NULL, NULL, NULL, 'MYOGENIC-DETERMINATION PROTEIN', 103435),
(159710, 'PTHR23382:SF25', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE 3-RELATED', 103436),
(159711, 'PTHR24093:SF467', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 103437),
(159712, 'PTHR22765:SF291', NULL, NULL, NULL, NULL, 'OS02G0572300 PROTEIN', 103438),
(159713, 'PTHR46195:SF7', NULL, NULL, NULL, NULL, 'OS07G0298900 PROTEIN', 103439),
(159714, 'PTHR23113:SF168', NULL, NULL, NULL, NULL, 'SON OF SEVENLESS HOMOLOG 1', 103440),
(159715, 'PTHR11267:SF106', NULL, NULL, NULL, NULL, 'T-RELATED PROTEIN', 103441),
(159716, 'PTHR47584:SF4', NULL, NULL, NULL, NULL, 'BNAA03G55740D PROTEIN', 103442),
(159717, 'PTHR46090:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 13A', 103443),
(159718, 'PTHR46020:SF12', NULL, NULL, NULL, NULL, 'BNAANNG22470D PROTEIN', 103444),
(159719, 'PTHR31549:SF89', NULL, NULL, NULL, NULL, 'OS09G0304500 PROTEIN', 103445),
(159720, 'PTHR27005:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103446),
(159721, 'PTHR36919:SF2', NULL, NULL, NULL, NULL, 'BLR1215 PROTEIN', 103447),
(159722, 'PTHR31080:SF121', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN CONTAINING PROTEIN EXPRESSED', 103448);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(159723, 'PTHR42861:SF58', NULL, NULL, NULL, NULL, 'ATPASE 11, PLASMA MEMBRANE-TYPE-RELATED', 103449),
(159724, 'PTHR12902', NULL, NULL, NULL, NULL, 'WASP-1', 103450),
(159725, 'PTHR46245:SF11', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS07G0563300-LIKE ISOFORM X1', 103451),
(159726, 'PTHR44329:SF157', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY8-LIKE', 103452),
(159727, 'PTHR43072:SF31', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 16-RELATED', 103453),
(159728, 'PTHR44444', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 103454),
(159729, 'PTHR43344:SF16', NULL, NULL, NULL, NULL, 'BNAA06G12800D PROTEIN', 103455),
(159730, 'PTHR31490:SF50', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE C-RELATED', 103456),
(159731, 'PTHR46995:SF7', NULL, NULL, NULL, NULL, 'BNACNNG59250D PROTEIN', 103457),
(159732, 'PTHR11362:SF107', NULL, NULL, NULL, NULL, 'CEN-LIKE PROTEIN 1', 103458),
(159733, 'PTHR47993:SF135', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 103459),
(159734, 'PTHR22937:SF160', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', 103460),
(159735, 'PTHR11629:SF99', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 103461),
(159736, 'PTHR34930:SF2', NULL, NULL, NULL, NULL, 'GEO05313P1', 103462),
(159737, 'PTHR31579:SF42', NULL, NULL, NULL, NULL, 'DUF506 FAMILY PROTEIN (DUF506)', 103463),
(159738, 'PTHR45732', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8', 103464),
(159739, 'PTHR45884:SF4', NULL, NULL, NULL, NULL, 'BNAC07G50930D PROTEIN', 103465),
(159740, 'PTHR36177', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 103466),
(159741, 'PTHR10844:SF21', NULL, NULL, NULL, NULL, 'CAVEOLIN-1', 103467),
(159742, 'PTHR42200:SF1', NULL, NULL, NULL, NULL, 'FLAGELLA-RELATED PROTEIN G-RELATED', 103468),
(159743, 'PTHR47938:SF28', NULL, NULL, NULL, NULL, 'OS07G0249100 PROTEIN', 103469),
(159744, 'PTHR45671:SF8', NULL, NULL, NULL, NULL, 'LOC616319 PROTEIN', 103470),
(159745, 'PTHR11208:SF132', NULL, NULL, NULL, NULL, 'PROTEIN QUAKING', 103471),
(159746, 'PTHR42845:SF3', NULL, NULL, NULL, NULL, 'CYTOSOLIC NIFE-HYDROGENASE, DELTA SUBUNIT', 103472),
(159747, 'PTHR33983:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103473),
(159748, 'PTHR45733:SF10', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 15A-RELATED', 103474),
(159749, 'PTHR31852:SF119', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 103475),
(159750, 'PTHR35269:SF1', NULL, NULL, NULL, NULL, 'SMALL VCP/P97-INTERACTING PROTEIN', 103476),
(159751, 'PTHR24241:SF89', NULL, NULL, NULL, NULL, 'OXYTOCIN RECEPTOR', 103477),
(159752, 'PTHR47976:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103478),
(159753, 'PTHR31218:SF311', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 103479),
(159754, 'PTHR31948', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 2', 103480),
(159755, 'PTHR33933', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', 103481),
(159756, 'PTHR24381:SF322', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 678', 103482),
(159757, 'PTHR48058:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1-LIKE', 103483),
(159758, 'PTHR12565:SF405', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH49', 103484),
(159759, 'PTHR24343:SF425', NULL, NULL, NULL, NULL, 'KINASE, CAMK CAMKL', 103485),
(159760, 'PTHR24384:SF104', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 714', 103486),
(159761, 'PTHR45974:SF72', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 103487),
(159762, 'PTHR22765:SF154', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', 103488),
(159763, 'PTHR16047', NULL, NULL, NULL, NULL, 'RFWD3 PROTEIN', 103489),
(159764, 'PTHR39338:SF7', NULL, NULL, NULL, NULL, 'BLL6692 PROTEIN', 103490),
(159765, 'PTHR10795:SF606', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.1', 103491),
(159766, 'PTHR28017', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD3', 103492),
(159767, 'PTHR41399:SF1', NULL, NULL, NULL, NULL, 'C12ORF74 ISOFORM 1', 103493);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(159768, 'PTHR27001:SF803', NULL, NULL, NULL, NULL, 'OS01G0247500 PROTEIN', 103494),
(159769, 'PTHR33876:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103495),
(159770, 'PTHR24221:SF249', NULL, NULL, NULL, NULL, 'ANTIGEN PEPTIDE TRANSPORTER 1', 103496),
(159771, 'PTHR43768:SF3', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', 103497),
(159772, 'PTHR31636:SF198', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 15', 103498),
(159773, 'PTHR10168:SF297', NULL, NULL, NULL, NULL, 'BNAA08G05760D PROTEIN', 103499),
(159774, 'PTHR33304', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 103500),
(159775, 'PTHR11250:SF3', NULL, NULL, NULL, NULL, 'PROTACHYKININ-1', 103501),
(159776, 'PTHR33076:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 103502),
(159777, 'PTHR13848:SF70', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 103503),
(159778, 'PTHR20961:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103504),
(159779, 'PTHR35731:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103505),
(159780, 'PTHR47925:SF21', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC-LIKE', 103506),
(159781, 'PTHR45283:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT T, CHLOROPLASTIC', 103507),
(159782, 'PTHR18953:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103508),
(159783, 'PTHR15583:SF7', NULL, NULL, NULL, NULL, 'INTERLEUKIN CYTOKINE RECEPTOR-RELATED PROTEIN 1', 103509),
(159784, 'PTHR16181:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FAM83H', 103510),
(159785, 'PTHR12430:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM20 HOMOLOG B', 103511),
(159786, 'PTHR32093:SF151', NULL, NULL, NULL, NULL, 'BNAA08G11700D PROTEIN', 103512),
(159787, 'PTHR23226:SF222', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 76', 103513),
(159788, 'PTHR16186:SF11', NULL, NULL, NULL, NULL, 'SIGNAL-TRANSDUCING ADAPTOR PROTEIN 2', 103514),
(159789, 'PTHR23320:SF133', NULL, NULL, NULL, NULL, 'SI:CH211-269K10.5', 103515),
(159790, 'PTHR33021:SF396', NULL, NULL, NULL, NULL, 'BNAA06G32330D PROTEIN', 103516),
(159791, 'PTHR35276', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 103517),
(159792, 'PTHR24062:SF147', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 103518),
(159793, 'PTHR32044:SF63', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 14-RELATED', 103519),
(159794, 'PTHR12741:SF47', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 9', 103520),
(159795, 'PTHR10937:SF8', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-FRUCTOSE-6-PHOSPHATE AMINOTRANSFERASE', 103521),
(159796, 'PTHR30603:SF49', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGA-LIKE', 103522),
(159797, 'PTHR24136:SF17', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 9', 103523),
(159798, 'PTHR47540:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 103524),
(159799, 'PTHR23509:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE DDHD2', 103525),
(159800, 'PTHR46776:SF16', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 6', 103526),
(159801, 'PTHR31133:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103527),
(159802, 'PTHR10369:SF37', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L44-LIKE', 103528),
(159803, 'PTHR45666:SF10', NULL, NULL, NULL, NULL, 'INOSITOL-1, 4, 5-TRISPHOSPHATE 5-PHOSPHATASE-RELATED', 103529),
(159804, 'PTHR24177:SF322', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN-RELATED', 103530),
(159805, 'PTHR10029:SF20', NULL, NULL, NULL, NULL, 'ACYLPHOSPHATASE-2', 103531),
(159806, 'PTHR45764:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103532),
(159807, 'PTHR24418:SF373', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 103533),
(159808, 'PTHR43707:SF4', NULL, NULL, NULL, NULL, 'HISTIDINE--TRNA LIGASE', 103534),
(159809, 'PTHR21659:SF80', NULL, NULL, NULL, NULL, 'HYDROPHOBIC PROTEIN LTI6B', 103535),
(159810, 'PTHR21646', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 103536),
(159811, 'PTHR24326:SF534', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', 103537);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(159812, 'PTHR33712', NULL, NULL, NULL, NULL, 'LIGHT-INDEPENDENT PROTOCHLOROPHYLLIDE REDUCTASE SUBUNIT B', 103538),
(159813, 'PTHR12490:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG00388', 103539),
(159814, 'PTHR38608:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG20616', 103540),
(159815, 'PTHR31793:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103541),
(159816, 'PTHR22883:SF384', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 103542),
(159817, 'PTHR34206:SF1', NULL, NULL, NULL, NULL, 'OS06G0193300 PROTEIN', 103543),
(159818, 'PTHR21054:SF2', NULL, NULL, NULL, NULL, 'MIP04191P', 103544),
(159819, 'PTHR33625', NULL, NULL, NULL, NULL, 'OS08G0179900 PROTEIN', 103545),
(159820, 'PTHR11627:SF1', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE A', 103546),
(159821, 'PTHR21720:SF5', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK FACTOR', 103547),
(159822, 'PTHR31352:SF1', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 3, CHLOROPLASTIC', 103548),
(159823, 'PTHR23222', NULL, NULL, NULL, NULL, 'PROHIBITIN', 103549),
(159824, 'PTHR31561:SF148', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 103550),
(159825, 'PTHR31707:SF297', NULL, NULL, NULL, NULL, 'BNAC08G14550D PROTEIN', 103551),
(159826, 'PTHR48001:SF71', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 103552),
(159827, 'PTHR45974:SF198', NULL, NULL, NULL, NULL, 'OS01G0892300 PROTEIN', 103553),
(159828, 'PTHR14625:SF3', NULL, NULL, NULL, NULL, 'MICROCEPHALIN', 103554),
(159829, 'PTHR45768:SF45', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 103555),
(159830, 'PTHR47596:SF9', NULL, NULL, NULL, NULL, 'BNAA10G12510D PROTEIN', 103556),
(159831, 'PTHR47273:SF11', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', 103557),
(159832, 'PTHR10609', NULL, NULL, NULL, NULL, 'BIOTINIDASE-RELATED', 103558),
(159833, 'PTHR27001:SF560', NULL, NULL, NULL, NULL, 'RECEPTOR SERINE-THREONINE PROTEIN KINASE', 103559),
(159834, 'PTHR12542:SF146', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 103560),
(159835, 'PTHR47925:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103561),
(159836, 'PTHR35494:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT S, CHLOROPLASTIC', 103562),
(159837, 'PTHR10986:SF23', NULL, NULL, NULL, NULL, 'LP04985P', 103563),
(159838, 'PTHR10980:SF46', NULL, NULL, NULL, NULL, 'BNAA06G38240D PROTEIN', 103564),
(159839, 'PTHR46287:SF17', NULL, NULL, NULL, NULL, 'BNAA02G33650D PROTEIN', 103565),
(159840, 'PTHR21099:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103566),
(159841, 'PTHR24028:SF291', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 18A', 103567),
(159842, 'PTHR45621:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CX32 CHLOROPLASTIC-RELATED', 103568),
(159843, 'PTHR31945:SF74', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH28', 103569),
(159844, 'PTHR43499:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 1', 103570),
(159845, 'PTHR13932:SF6', NULL, NULL, NULL, NULL, 'OXYGEN-INDEPENDENT COPROPORPHYRINOGEN III OXIDASE', 103571),
(159846, 'PTHR12300:SF39', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN 3', 103572),
(159847, 'PTHR23101:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103573),
(159848, 'PTHR45652:SF16', NULL, NULL, NULL, NULL, 'NEUROFILAMENT, LIGHT POLYPEPTIDE A', 103574),
(159849, 'PTHR14879:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF34', 103575),
(159850, 'PTHR12120:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 19', 103576),
(159851, 'PTHR31314:SF113', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS PROTEIN', 103577),
(159852, 'PTHR14015:SF1', NULL, NULL, NULL, NULL, 'OPIOID GROWTH FACTOR RECEPTOR', 103578),
(159853, 'PTHR23266:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103579),
(159854, 'PTHR46375', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 13-RELATED', 103580),
(159855, 'PTHR33729:SF11', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 11', 103581),
(159856, 'PTHR37738:SF1', NULL, NULL, NULL, NULL, 'OS03G0209700 PROTEIN', 103582);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(159857, 'PTHR24240:SF77', NULL, NULL, NULL, NULL, 'VISUAL PIGMENT-LIKE RECEPTOR PEROPSIN', 103583),
(159858, 'PTHR37841:SF1', NULL, NULL, NULL, NULL, 'GLR2918 PROTEIN', 103584),
(159859, 'PTHR32370:SF86', NULL, NULL, NULL, NULL, 'OS03G0767600 PROTEIN', 103585),
(159860, 'PTHR11260:SF699', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103586),
(159861, 'PTHR21250:SF0', NULL, NULL, NULL, NULL, 'PRE-RRNA-PROCESSING PROTEIN TSR2 HOMOLOG', 103587),
(159862, 'PTHR31602:SF78', NULL, NULL, NULL, NULL, 'WRC DOMAIN, GLUTAMINE-LEUCINE-GLUTAMINE, QLQ, GROWTH-REGULATING FACTOR-RELATED', 103588),
(159863, 'PTHR32002:SF62', NULL, NULL, NULL, NULL, 'PROTEIN NLP6-LIKE ISOFORM X1', 103589),
(159864, 'PTHR18953:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103590),
(159865, 'PTHR30136:SF23', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL ACTIVATOR MHPR', 103591),
(159866, 'PTHR15454:SF46', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN', 103592),
(159867, 'PTHR32263:SF5', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE SRO1-RELATED', 103593),
(159868, 'PTHR31972:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103594),
(159869, 'PTHR47976:SF24', NULL, NULL, NULL, NULL, 'OS02G0767400 PROTEIN', 103595),
(159870, 'PTHR32116:SF91', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 103596),
(159871, 'PTHR11599:SF63', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 103597),
(159872, 'PTHR11117:SF21', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT ALPHA-1, MITOCHONDRIAL', 103598),
(159873, 'PTHR11351:SF68', NULL, NULL, NULL, NULL, 'DELTA-9 ACYL-LIPID DESATURASE 2', 103599),
(159874, 'PTHR24384:SF183', NULL, NULL, NULL, NULL, 'ZNF777 ISOFORM 1', 103600),
(159875, 'PTHR24031:SF292', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX54', 103601),
(159876, 'PTHR47521:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 103602),
(159877, 'PTHR31384:SF22', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 17', 103603),
(159878, 'PTHR10997:SF18', NULL, NULL, NULL, NULL, 'D-IMPORTIN 7/RANBP7', 103604),
(159879, 'PTHR31140:SF79', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR NGA3', 103605),
(159880, 'PTHR11654:SF110', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', 103606),
(159881, 'PTHR43173:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103607),
(159882, 'PTHR12565:SF385', NULL, NULL, NULL, NULL, 'OS12G0598200 PROTEIN', 103608),
(159883, 'PTHR11208:SF119', NULL, NULL, NULL, NULL, 'SPLICING FACTOR-LIKE PROTEIN 1', 103609),
(159884, 'PTHR12210:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103610),
(159885, 'PTHR48047:SF20', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 103611),
(159886, 'PTHR47785', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED-RELATED', 103612),
(159887, 'PTHR48002:SF68', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4D10', 103613),
(159888, 'PTHR48017:SF53', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 2', 103614),
(159889, 'PTHR11430:SF128', NULL, NULL, NULL, NULL, 'LIPOCALIN-TYPE PROSTAGLANDIN D SYNTHASE-LIKE PROTEIN-RELATED', 103615),
(159890, 'PTHR24124:SF4', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RFXANK', 103616),
(159891, 'PTHR23155:SF1020', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103617),
(159892, 'PTHR34365:SF12', NULL, NULL, NULL, NULL, 'BNAC03G61190D PROTEIN', 103618),
(159893, 'PTHR31007:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-112A7.4-RELATED', 103619),
(159894, 'PTHR32409:SF8', NULL, NULL, NULL, NULL, 'TRANSLOCASE OUTER MEMBRANE 20-2-RELATED', 103620),
(159895, 'PTHR47211:SF5', NULL, NULL, NULL, NULL, 'BNAC04G43950D PROTEIN', 103621),
(159896, 'PTHR10026:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103622),
(159897, 'PTHR33599:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103623),
(159898, 'PTHR13581:SF6', NULL, NULL, NULL, NULL, 'BNAA07G09500D PROTEIN', 103624),
(159899, 'PTHR39075:SF1', NULL, NULL, NULL, NULL, 'FI19908P1', 103625),
(159900, 'PTHR35106', NULL, NULL, NULL, NULL, 'BNAA07G25190D PROTEIN', 103626);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(159901, 'PTHR31338:SF25', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', 103627),
(159902, 'PTHR16127:SF14', NULL, NULL, NULL, NULL, 'GAMMA-TAXILIN', 103628),
(159903, 'PTHR47769', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 8', 103629),
(159904, 'PTHR48092:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103630),
(159905, 'PTHR31722:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103631),
(159906, 'PTHR23281:SF42', NULL, NULL, NULL, NULL, 'MOESIN B', 103632),
(159907, 'PTHR24093:SF451', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 103633),
(159908, 'PTHR22298:SF149', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 103634),
(159909, 'PTHR22802:SF14', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER K', 103635),
(159910, 'PTHR24416:SF505', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR 3', 103636),
(159911, 'PTHR23226:SF294', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 79', 103637),
(159912, 'PTHR24096:SF251', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 9', 103638),
(159913, 'PTHR13593:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103639),
(159914, 'PTHR10199:SF113', NULL, NULL, NULL, NULL, 'CARTILAGE OLIGOMERIC MATRIX PROTEIN', 103640),
(159915, 'PTHR47988:SF15', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 103641),
(159916, 'PTHR33399:SF3', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 3-1, CHLOROPLASTIC', 103642),
(159917, 'PTHR11709:SF412', NULL, NULL, NULL, NULL, 'LACCASE', 103643),
(159918, 'PTHR46051:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 5-PHOSPHATASE 2B', 103644),
(159919, 'PTHR34212:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103645),
(159920, 'PTHR45915:SF5', NULL, NULL, NULL, NULL, 'BROMODOMAIN ADJACENT TO ZINC FINGER DOMAIN PROTEIN 2A', 103646),
(159921, 'PTHR31189:SF25', NULL, NULL, NULL, NULL, 'OS05G0116000 PROTEIN', 103647),
(159922, 'PTHR45974:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103648),
(159923, 'PTHR15571', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 4', 103649),
(159924, 'PTHR20872:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG22716', 103650),
(159925, 'PTHR48019:SF32', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL21', 103651),
(159926, 'PTHR10130:SF0', NULL, NULL, NULL, NULL, 'GH08708P', 103652),
(159927, 'PTHR31828:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103653),
(159928, 'PTHR24366:SF131', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT TRANSMEMBRANE NEURONAL 4', 103654),
(159929, 'PTHR22930:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103655),
(159930, 'PTHR36195:SF4', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01990)-RELATED', 103656),
(159931, 'PTHR21499:SF58', NULL, NULL, NULL, NULL, 'ASPARTOKINASE 1, CHLOROPLASTIC', 103657),
(159932, 'PTHR13479:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103658),
(159933, 'PTHR33085:SF38', NULL, NULL, NULL, NULL, 'OS02G0146900 PROTEIN', 103659),
(159934, 'PTHR32370:SF103', NULL, NULL, NULL, NULL, 'ROOT PHOTOTROPISM PROTEIN 2', 103660),
(159935, 'PTHR13832:SF555', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C-LIKE, PUTATIVE-RELATED', 103661),
(159936, 'PTHR23155:SF1026', NULL, NULL, NULL, NULL, 'OS01G0112800 PROTEIN', 103662),
(159937, 'PTHR42686:SF1', NULL, NULL, NULL, NULL, 'GH17980P-RELATED', 103663),
(159938, 'PTHR24221:SF261', NULL, NULL, NULL, NULL, 'ATP-BINDING/PERMEASE PROTEIN CYDD', 103664),
(159939, 'PTHR33217:SF8', NULL, NULL, NULL, NULL, 'MUTATOR FAMILY TRANSPOSASE', 103665),
(159940, 'PTHR34373:SF9', NULL, NULL, NULL, NULL, 'SHUGOSHIN 2', 103666),
(159941, 'PTHR10960', NULL, NULL, NULL, NULL, 'V D J RECOMBINATION-ACTIVATING PROTEIN 2', 103667),
(159942, 'PTHR31734:SF200', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 103668),
(159943, 'PTHR12264', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 12', 103669),
(159944, 'PTHR48111:SF40', NULL, NULL, NULL, NULL, 'PHOSPHATE REGULON TRANSCRIPTIONAL REGULATORY PROTEIN PHOB', 103670);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(159945, 'PTHR23068:SF4', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING PROTEIN 2A', 103671),
(159946, 'PTHR19957:SF257', NULL, NULL, NULL, NULL, 'VACUOLAR MORPHOGENESIS PROTEIN 7 HOMOLOG', 103672),
(159947, 'PTHR23155:SF912', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 103673),
(159948, 'PTHR39741:SF2', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 103674),
(159949, 'PTHR47943:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 103675),
(159950, 'PTHR22945:SF23', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-1', 103676),
(159951, 'PTHR30282:SF0', NULL, NULL, NULL, NULL, 'P-AMINOBENZOYL-GLUTAMATE TRANSPORT PROTEIN', 103677),
(159952, 'PTHR11017:SF308', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 103678),
(159953, 'PTHR10791:SF162', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 13', 103679),
(159954, 'PTHR37968:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06678', 103680),
(159955, 'PTHR27007:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103681),
(159956, 'PTHR14963:SF4', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 40', 103682),
(159957, 'PTHR47948:SF2', NULL, NULL, NULL, NULL, 'TRANS-CINNAMATE 4-MONOOXYGENASE', 103683),
(159958, 'PTHR12794:SF7', NULL, NULL, NULL, NULL, 'BNAA01G33830D PROTEIN', 103684),
(159959, 'PTHR11132:SF251', NULL, NULL, NULL, NULL, 'GDP-MANNOSE TRANSPORTER 1-RELATED', 103685),
(159960, 'PTHR24112:SF56', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACW', 103686),
(159961, 'PTHR31916:SF43', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE', 103687),
(159962, 'PTHR33779:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0010H02.4 PROTEIN', 103688),
(159963, 'PTHR10934:SF5', NULL, NULL, NULL, NULL, 'CYTOPLASMIC RIBOSOMAL PROTEIN L18', 103689),
(159964, 'PTHR11654:SF150', NULL, NULL, NULL, NULL, 'OS01G0761500 PROTEIN', 103690),
(159965, 'PTHR10083:SF351', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MEC-1', 103691),
(159966, 'PTHR47489:SF2', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 103692),
(159967, 'PTHR20930:SF6', NULL, NULL, NULL, NULL, 'PROTEIN JOKA2', 103693),
(159968, 'PTHR31787:SF14', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN N-RELATED', 103694),
(159969, 'PTHR47822:SF2', NULL, NULL, NULL, NULL, 'CARBOHYDRATE BINDING DOMAIN CONTAINING PROTEIN', 103695),
(159970, 'PTHR11630:SF42', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM5', 103696),
(159971, 'PTHR24221:SF217', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY B MEMBER 5', 103697),
(159972, 'PTHR23024:SF140', NULL, NULL, NULL, NULL, 'OS07G0162600 PROTEIN', 103698),
(159973, 'PTHR47965:SF44', NULL, NULL, NULL, NULL, '7S GLOBULIN 2 SMALL SUBUNIT, PUTATIVE-RELATED', 103699),
(159974, 'PTHR47956:SF21', NULL, NULL, NULL, NULL, '5-EPIARISTOLOCHENE 13-DIHYDROXYLASE', 103700),
(159975, 'PTHR32278:SF66', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10-LIKE', 103701),
(159976, 'PTHR11467:SF18', NULL, NULL, NULL, NULL, 'HISTONE H1T', 103702),
(159977, 'PTHR14949:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103703),
(159978, 'PTHR23074:SF152', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A1', 103704),
(159979, 'PTHR31561:SF143', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 103705),
(159980, 'PTHR48160', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 103706),
(159981, 'PTHR47979:SF24', NULL, NULL, NULL, NULL, 'RAB4 PROTEIN', 103707),
(159982, 'PTHR22792:SF138', NULL, NULL, NULL, NULL, 'BNAANNG34180D PROTEIN', 103708),
(159983, 'PTHR31867:SF199', NULL, NULL, NULL, NULL, 'EXPANSIN', 103709),
(159984, 'PTHR24351:SF215', NULL, NULL, NULL, NULL, 'BNAC01G39350D PROTEIN', 103710),
(159985, 'PTHR41259', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR RAD50 ATPASE, PUTATIVE-RELATED', 103711),
(159986, 'PTHR31113:SF16', NULL, NULL, NULL, NULL, 'UPF0496 PLANT-LIKE PROTEIN', 103712),
(159987, 'PTHR24023:SF569', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(I) CHAIN', 103713),
(159988, 'PTHR46331:SF2', NULL, NULL, NULL, NULL, 'VALACYCLOVIR HYDROLASE', 103714);
INSERT INTO "PUBLIC"."MODEL" VALUES
(159989, 'PTHR32176:SF54', NULL, NULL, NULL, NULL, 'PATATIN', 103715),
(159990, 'PTHR12387:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103716),
(159991, 'PTHR31790:SF343', NULL, NULL, NULL, NULL, 'BNAC09G46880D PROTEIN', 103717),
(159992, 'PTHR24100:SF79', NULL, NULL, NULL, NULL, 'BUTYROPHILIN SUBFAMILY 2 MEMBER A1', 103718),
(159993, 'PTHR31669:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103719),
(159994, 'PTHR26453:SF631', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 103720),
(159995, 'PTHR46140:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR TRANSPORTER CHAPERONE 1-RELATED', 103721),
(159996, 'PTHR31677:SF104', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', 103722),
(159997, 'PTHR47848:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103723),
(159998, 'PTHR19321:SF7', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 3', 103724),
(159999, 'PTHR11003:SF295', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, SUBFAMILY K, MEMBER 5B', 103725),
(160000, 'PTHR10997:SF61', NULL, NULL, NULL, NULL, 'OS04G0337201 PROTEIN', 103726),
(160001, 'PTHR24253:SF10', NULL, NULL, NULL, NULL, 'TRYPTASE GAMMA 1', 103727),
(160002, 'PTHR11831:SF33', NULL, NULL, NULL, NULL, 'ALPHA-L RNA-BINDING MOTIF/RIBOSOMAL PROTEIN S4 FAMILY PROTEIN', 103728),
(160003, 'PTHR11732:SF409', NULL, NULL, NULL, NULL, 'NAD(P)H-DEPENDENT 6''-DEOXYCHALCONE SYNTHASE', 103729),
(160004, 'PTHR23050:SF414', NULL, NULL, NULL, NULL, 'CALMODULIN', 103730),
(160005, 'PTHR21143:SF121', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR', 103731),
(160006, 'PTHR47991:SF126', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', 103732),
(160007, 'PTHR11599:SF161', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-6-LIKE', 103733),
(160008, 'PTHR11562:SF89', NULL, NULL, NULL, NULL, 'CATION DIFFUSION FACILITATOR FAMILY', 103734),
(160009, 'PTHR12526:SF563', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', 103735),
(160010, 'PTHR22918:SF1', NULL, NULL, NULL, NULL, 'BINDER OF SPERM PROTEIN HOMOLOG 1-RELATED', 103736),
(160011, 'PTHR35828:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103737),
(160012, 'PTHR47576:SF3', NULL, NULL, NULL, NULL, 'BRCT DOMAIN-CONTAINING PROTEIN-RELATED', 103738),
(160013, 'PTHR45184:SF1', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN ERDJ3A', 103739),
(160014, 'PTHR43634:SF6', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 2, CHLOROPLASTIC', 103740),
(160015, 'PTHR43478', NULL, NULL, NULL, NULL, 'NA+/H+ ANTIPORTER-RELATED', 103741),
(160016, 'PTHR47710:SF1', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 103742),
(160017, 'PTHR22298:SF55', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 17', 103743),
(160018, 'PTHR14237:SF67', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE', 103744),
(160019, 'PTHR43280:SF2', NULL, NULL, NULL, NULL, 'ARAC-FAMILY TRANSCRIPTIONAL REGULATOR', 103745),
(160020, 'PTHR23257:SF776', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PHG2', 103746),
(160021, 'PTHR33147:SF86', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', 103747),
(160022, 'PTHR23208', NULL, NULL, NULL, NULL, 'LYSOZYME PROTEIN', 103748),
(160023, 'PTHR11040:SF135', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 3', 103749),
(160024, 'PTHR10997', NULL, NULL, NULL, NULL, 'IMPORTIN-7, 8, 11', 103750),
(160025, 'PTHR31447:SF2', NULL, NULL, NULL, NULL, 'RNA DEMETHYLASE ALKBH10B', 103751),
(160026, 'PTHR11727:SF26', NULL, NULL, NULL, NULL, 'RRNA ADENINE N(6)-METHYLTRANSFERASE', 103752),
(160027, 'PTHR19860:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103753),
(160028, 'PTHR21879:SF6', NULL, NULL, NULL, NULL, 'OSIRIS 19, ISOFORM A', 103754),
(160029, 'PTHR47578:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CDSP32, CHLOROPLASTIC', 103755),
(160030, 'PTHR31232:SF34', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 103756),
(160031, 'PTHR13215:SF0', NULL, NULL, NULL, NULL, 'ACTIVATED RNA POLYMERASE II TRANSCRIPTIONAL COACTIVATOR P15', 103757),
(160032, 'PTHR10288:SF275', NULL, NULL, NULL, NULL, 'K DOMAIN-CONTAINING PROTEIN-RELATED', 103758);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(160033, 'PTHR11254:SF418', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL5-LIKE', 103759),
(160034, 'PTHR23430:SF196', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-B/E', 103760),
(160035, 'PTHR31282:SF96', NULL, NULL, NULL, NULL, 'OS01G0820900 PROTEIN', 103761),
(160036, 'PTHR15359', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 103762),
(160037, 'PTHR34458:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103763),
(160038, 'PTHR11635:SF156', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE TYPE II-BETA REGULATORY SUBUNIT', 103764),
(160039, 'PTHR31676:SF78', NULL, NULL, NULL, NULL, 'BNAA09G17900D PROTEIN', 103765),
(160040, 'PTHR43662:SF11', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN', 103766),
(160041, 'PTHR31920:SF80', NULL, NULL, NULL, NULL, 'BNAC04G49490D PROTEIN', 103767),
(160042, 'PTHR45648:SF85', NULL, NULL, NULL, NULL, 'A, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10760)-RELATED', 103768),
(160043, 'PTHR46062:SF2', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN 1', 103769),
(160044, 'PTHR37389:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103770),
(160045, 'PTHR43341:SF3', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE PB1C11.02-RELATED', 103771),
(160046, 'PTHR11620:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L23A', 103772),
(160047, 'PTHR14618:SF5', NULL, NULL, NULL, NULL, 'ZGC:91944', 103773),
(160048, 'PTHR43217:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE-SEMIALDEHYDE DEHYDROGENASE [NADP(+)]', 103774),
(160049, 'PTHR39515', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 103775),
(160050, 'PTHR24028:SF82', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-4', 103776),
(160051, 'PTHR26379:SF314', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103777),
(160052, 'PTHR47928:SF38', NULL, NULL, NULL, NULL, 'OS10G0442700 PROTEIN', 103778),
(160053, 'PTHR34272:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103779),
(160054, 'PTHR48001:SF54', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 103780),
(160055, 'PTHR31602:SF74', NULL, NULL, NULL, NULL, 'BNAC04G48080D PROTEIN', 103781),
(160056, 'PTHR32077:SF53', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN PROTEIN', 103782),
(160057, 'PTHR31314:SF96', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 103783),
(160058, 'PTHR13234:SF59', NULL, NULL, NULL, NULL, 'GAMMA-INTERFERON-INDUCIBLE LYSOSOMAL THIOL REDUCTASE-LIKE PROTEIN', 103784),
(160059, 'PTHR43389:SF17', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT B 1', 103785),
(160060, 'PTHR13890:SF52', NULL, NULL, NULL, NULL, 'BNAA01G25990D PROTEIN', 103786),
(160061, 'PTHR48108:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR CCPN', 103787),
(160062, 'PTHR33373:SF28', NULL, NULL, NULL, NULL, 'OS07G0479600 PROTEIN', 103788),
(160063, 'PTHR11567:SF143', NULL, NULL, NULL, NULL, 'INTESTINAL ACID PHOSPHATASE', 103789),
(160064, 'PTHR44329:SF7', NULL, NULL, NULL, NULL, 'OS01G0892800 PROTEIN', 103790),
(160065, 'PTHR27000:SF669', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE-RELATED', 103791),
(160066, 'PTHR23266:SF275', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-24', 103792),
(160067, 'PTHR12650:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S30', 103793),
(160068, 'PTHR35824', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED JUNCTION PROTEIN MAJIN', 103794),
(160069, 'PTHR48073:SF3', NULL, NULL, NULL, NULL, 'DIPEPTIDE EPIMERASE', 103795),
(160070, 'PTHR31140:SF96', NULL, NULL, NULL, NULL, 'BNAC03G77730D PROTEIN', 103796),
(160071, 'PTHR35299:SF3', NULL, NULL, NULL, NULL, 'RUBISCO ACCUMULATION FACTOR 1.2, CHLOROPLASTIC', 103797),
(160072, 'PTHR12804:SF12', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 3', 103798),
(160073, 'PTHR19308:SF39', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE TRANSFER PROTEIN', 103799),
(160074, 'PTHR31002', NULL, NULL, NULL, NULL, 'SERIPAUPERIN', 103800),
(160075, 'PTHR31769:SF9', NULL, NULL, NULL, NULL, 'OS05G0465400 PROTEIN', 103801),
(160076, 'PTHR12770:SF20', NULL, NULL, NULL, NULL, 'PROTEIN ROOT UVB SENSITIVE 6', 103802),
(160077, 'PTHR34980:SF3', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE C-RELATED', 103803);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(160078, 'PTHR38654:SF1', NULL, NULL, NULL, NULL, 'BUCKY BALL-RELATED', 103804),
(160079, 'PTHR23257:SF819', NULL, NULL, NULL, NULL, 'F3O9.7 PROTEIN', 103805),
(160080, 'PTHR11952:SF2', NULL, NULL, NULL, NULL, 'LD24639P', 103806),
(160081, 'PTHR45811:SF22', NULL, NULL, NULL, NULL, 'LATE BLIGHT RESISTANCE PROTEIN HOMOLOG R1B-12 ISOFORM X1-RELATED', 103807),
(160082, 'PTHR31388:SF128', NULL, NULL, NULL, NULL, 'PEROXIDASE', 103808),
(160083, 'PTHR46162:SF31', NULL, NULL, NULL, NULL, 'BNAC03G41590D PROTEIN', 103809),
(160084, 'PTHR10794:SF81', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS-ASSOCIATED PROTEIN EMB8-LIKE', 103810),
(160085, 'PTHR43874:SF107', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR17', 103811),
(160086, 'PTHR34784:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L34', 103812),
(160087, 'PTHR40288', NULL, NULL, NULL, NULL, 'PROTEIN CBG16535-RELATED', 103813),
(160088, 'PTHR13177:SF2', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN-LIKE 1', 103814),
(160089, 'PTHR47981:SF20', NULL, NULL, NULL, NULL, 'RAB FAMILY', 103815),
(160090, 'PTHR45825:SF8', NULL, NULL, NULL, NULL, 'GLYCOGEN SYNTHASE', 103816),
(160091, 'PTHR24343:SF437', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2H', 103817),
(160092, 'PTHR46122:SF11', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING F-BOX FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 103818),
(160093, 'PTHR42733:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103819),
(160094, 'PTHR11474:SF99', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE FAMILY PROTEIN-RELATED', 103820),
(160095, 'PTHR33800:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103821),
(160096, 'PTHR24113:SF11', NULL, NULL, NULL, NULL, 'CLASS II MAJOR HISTOCOMPATIBILITY COMPLEX TRANSACTIVATOR', 103822),
(160097, 'PTHR33132:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103823),
(160098, 'PTHR37532:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ISCX', 103824),
(160099, 'PTHR33044:SF161', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN GPI-ANCHORED 2-LIKE', 103825),
(160100, 'PTHR10219:SF95', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 3-RELATED', 103826),
(160101, 'PTHR43880:SF34', NULL, NULL, NULL, NULL, 'S-(HYDROXYMETHYL)GLUTATHIONE DEHYDROGENASE', 103827),
(160102, 'PTHR46112:SF2', NULL, NULL, NULL, NULL, 'DIPEPTIDASE YKVY-RELATED', 103828),
(160103, 'PTHR11006:SF70', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 6.1-RELATED', 103829),
(160104, 'PTHR30442', NULL, NULL, NULL, NULL, 'IRON III  DICITRATE TRANSPORT PROTEIN FECA', 103830),
(160105, 'PTHR31205:SF60', NULL, NULL, NULL, NULL, 'BNAC07G12740D PROTEIN', 103831),
(160106, 'PTHR43092:SF2', NULL, NULL, NULL, NULL, 'HERCYNYLCYSTEINE SULFOXIDE LYASE', 103832),
(160107, 'PTHR45971', NULL, NULL, NULL, NULL, 'PHOX (PX) DOMAIN-CONTAINING PROTEIN', 103833),
(160108, 'PTHR24332:SF9', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN CAUDAL', 103834),
(160109, 'PTHR34835:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM HOMOLOG ISOFORM X1', 103835),
(160110, 'PTHR24028:SF57', NULL, NULL, NULL, NULL, 'PROTOCADHERIN B', 103836),
(160111, 'PTHR11062:SF227', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS02G0520750-RELATED', 103837),
(160112, 'PTHR21385', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', 103838),
(160113, 'PTHR39327', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 103839),
(160114, 'PTHR33880:SF17', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', 103840),
(160115, 'PTHR14255:SF41', NULL, NULL, NULL, NULL, 'SULFITE EXPORTER TAUE/SAFE FAMILY PROTEIN-RELATED', 103841),
(160116, 'PTHR28304:SF2', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX29', 103842),
(160117, 'PTHR22802:SF385', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103843),
(160118, 'PTHR15151:SF12', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 13', 103844),
(160119, 'PTHR12300:SF156', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 103845),
(160120, 'PTHR10709:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103846);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(160121, 'PTHR24096:SF166', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', 103847),
(160122, 'PTHR11014:SF149', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 8', 103848),
(160123, 'PTHR15241:SF109', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1', 103849),
(160124, 'PTHR11753:SF47', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT SIGMA', 103850),
(160125, 'PTHR31174:SF29', NULL, NULL, NULL, NULL, 'BNAA09G03580D PROTEIN', 103851),
(160126, 'PTHR21545', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MLR1/2', 103852),
(160127, 'PTHR24298:SF816', NULL, NULL, NULL, NULL, 'OS04G0171600 PROTEIN', 103853),
(160128, 'PTHR11945:SF604', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL82', 103854),
(160129, 'PTHR22437', NULL, NULL, NULL, NULL, 'WINGED HELIX DOMAIN-CONTAINING PROTEIN', 103855),
(160130, 'PTHR24061:SF3', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 1 MEMBER 1', 103856),
(160131, 'PTHR28219:SF1', NULL, NULL, NULL, NULL, 'UPF0642 PROTEIN YBL028C', 103857),
(160132, 'PTHR31096:SF51', NULL, NULL, NULL, NULL, 'ACT DOMAIN CONTAINING PROTEIN, EXPRESSED', 103858),
(160133, 'PTHR12498', NULL, NULL, NULL, NULL, 'N-TERMINAL ASPARAGINE AMIDOHYDROLASE', 103859),
(160134, 'PTHR35842', NULL, NULL, NULL, NULL, 'SI:CH211-67E16.11', 103860),
(160135, 'PTHR32089:SF108', NULL, NULL, NULL, NULL, 'SENSORY TRANSDUCER PROTEIN YFMS-RELATED', 103861),
(160136, 'PTHR45985:SF8', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE-LIKE 9, ISOFORM A', 103862),
(160137, 'PTHR12114:SF6', NULL, NULL, NULL, NULL, 'ALPHA-PARVIN', 103863),
(160138, 'PTHR33492:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103864),
(160139, 'PTHR19370:SF79', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', 103865),
(160140, 'PTHR31729:SF13', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF011-LIKE', 103866),
(160141, 'PTHR24281:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103867),
(160142, 'PTHR35664', NULL, NULL, NULL, NULL, 'SPERMATID-SPECIFIC MANCHETTE-RELATED PROTEIN 1', 103868),
(160143, 'PTHR35607:SF7', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN 10', 103869),
(160144, 'PTHR43479:SF6', NULL, NULL, NULL, NULL, 'TETR-FAMILY TRANSCRIPTIONAL REGULATOR', 103870),
(160145, 'PTHR12133', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(58)-N(1))-METHYLTRANSFERASE', 103871),
(160146, 'PTHR11782:SF99', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 6', 103872),
(160147, 'PTHR32227:SF345', NULL, NULL, NULL, NULL, 'BNAA08G07600D PROTEIN', 103873),
(160148, 'PTHR11040:SF148', NULL, NULL, NULL, NULL, 'ZIP METAL ION TRANSPORTER FAMILY PROTEIN', 103874),
(160149, 'PTHR15977:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103875),
(160150, 'PTHR42264:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103876),
(160151, 'PTHR45621:SF75', NULL, NULL, NULL, NULL, 'KINASE CX32, PUTATIVE-RELATED', 103877),
(160152, 'PTHR36881', NULL, NULL, NULL, NULL, 'DERMOKINE', 103878),
(160153, 'PTHR10992:SF1040', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103879),
(160154, 'PTHR23073:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103880),
(160155, 'PTHR22943:SF103', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 103881),
(160156, 'PTHR16502:SF2', NULL, NULL, NULL, NULL, 'KERATINOCYTE-ASSOCIATED TRANSMEMBRANE PROTEIN 2', 103882),
(160157, 'PTHR37458:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103883),
(160158, 'PTHR46761:SF2', NULL, NULL, NULL, NULL, 'RAN GTPASE-ACTIVATING PROTEIN 1', 103884),
(160159, 'PTHR21192:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX ASSEMBLY FACTOR 3', 103885),
(160160, 'PTHR31172:SF9', NULL, NULL, NULL, NULL, 'BNAA04G14790D PROTEIN', 103886),
(160161, 'PTHR45614:SF136', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 110', 103887),
(160162, 'PTHR15458:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE N-METHYLTRANSFERASE', 103888),
(160163, 'PTHR33411:SF7', NULL, NULL, NULL, NULL, 'OS04G0610200 PROTEIN', 103889),
(160164, 'PTHR11685:SF337', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 103890);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(160165, 'PTHR10484:SF177', NULL, NULL, NULL, NULL, 'HISTONE H4', 103891),
(160166, 'PTHR12317:SF66', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL ACYLTRANSFERASE TYPE 2', 103892),
(160167, 'PTHR31517:SF62', NULL, NULL, NULL, NULL, 'PEROXIDASE', 103893),
(160168, 'PTHR13743:SF145', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 103894),
(160169, 'PTHR31947:SF20', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', 103895),
(160170, 'PTHR33044:SF197', NULL, NULL, NULL, NULL, 'PLANT LIPID TRANSFER PROTEIN/PAR ALLERGEN-RELATED', 103896),
(160171, 'PTHR10366:SF715', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103897),
(160172, 'PTHR23055:SF167', NULL, NULL, NULL, NULL, 'NEURONAL CALCIUM SENSOR FAMILY', 103898),
(160173, 'PTHR46036:SF10', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE-LIKE PROTEIN', 103899),
(160174, 'PTHR12542:SF129', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 103900),
(160175, 'PTHR37199', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 103901),
(160176, 'PTHR47076:SF2', NULL, NULL, NULL, NULL, 'BNAA02G33580D PROTEIN', 103902),
(160177, 'PTHR11937:SF457', NULL, NULL, NULL, NULL, 'ACTIN, MUSCLE-RELATED', 103903),
(160178, 'PTHR43120:SF13', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', 103904),
(160179, 'PTHR33451:SF4', NULL, NULL, NULL, NULL, 'NA+/H+ ANTIPORTER-RELATED', 103905),
(160180, 'PTHR11439:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103906),
(160181, 'PTHR24046:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE REPEAT MODULAR PROTEIN 3', 103907),
(160182, 'PTHR31398:SF0', NULL, NULL, NULL, NULL, 'MEIOTIC NUCLEAR DIVISION PROTEIN 1 HOMOLOG', 103908),
(160183, 'PTHR45772:SF5', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN LIVG-RELATED', 103909),
(160184, 'PTHR33122:SF48', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 103910),
(160185, 'PTHR11850:SF273', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 1', 103911),
(160186, 'PTHR45027:SF4', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE LIGHT CHAIN 1', 103912),
(160187, 'PTHR23192:SF7', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-4', 103913),
(160188, 'PTHR24349:SF270', NULL, NULL, NULL, NULL, 'SI:CH73-60H1.1', 103914),
(160189, 'PTHR36288', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA A930018P22', 103915),
(160190, 'PTHR14879:SF5', NULL, NULL, NULL, NULL, 'OS06G0252500 PROTEIN', 103916),
(160191, 'PTHR13044:SF37', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY', 103917),
(160192, 'PTHR30349:SF41', NULL, NULL, NULL, NULL, 'INTEGRASE/RECOMBINASE HI_1414-RELATED', 103918),
(160193, 'PTHR47998:SF5', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR-RELATED', 103919),
(160194, 'PTHR31360', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 103920),
(160195, 'PTHR45917:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 2', 103921),
(160196, 'PTHR13769', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN B', 103922),
(160197, 'PTHR10031:SF13', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT 9, MITOCHONDRIAL', 103923),
(160198, 'PTHR31748:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 103924),
(160199, 'PTHR24223:SF403', NULL, NULL, NULL, NULL, 'BNAA05G17490D PROTEIN', 103925),
(160200, 'PTHR46245:SF12', NULL, NULL, NULL, NULL, 'BNAC03G16940D PROTEIN', 103926),
(160201, 'PTHR47043', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE TRANSFERASE SUBUNIT ALG13', 103927),
(160202, 'PTHR12674:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103928),
(160203, 'PTHR31500:SF95', NULL, NULL, NULL, NULL, 'BNAA07G38060D PROTEIN', 103929),
(160204, 'PTHR21716:SF54', NULL, NULL, NULL, NULL, 'PERMEASE', 103930),
(160205, 'PTHR31235:SF185', NULL, NULL, NULL, NULL, 'PEROXIDASE', 103931),
(160206, 'PTHR22957:SF34', NULL, NULL, NULL, NULL, 'LD27216P', 103932),
(160207, 'PTHR43525', NULL, NULL, NULL, NULL, 'PROTEIN MALY', 103933),
(160208, 'PTHR24394:SF16', NULL, NULL, NULL, NULL, 'HYPERMETHYLATED IN CANCER 1 PROTEIN', 103934),
(160209, 'PTHR22835:SF583', NULL, NULL, NULL, NULL, 'BNAC03G58800D PROTEIN', 103935);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(160210, 'PTHR31604:SF20', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 1', 103936),
(160211, 'PTHR30108:SF20', NULL, NULL, NULL, NULL, 'UBID FAMILY DECARBOXYLASE', 103937),
(160212, 'PTHR10288:SF273', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C3H FAMILY-RELATED', 103938),
(160213, 'PTHR34211:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103939),
(160214, 'PTHR13832:SF314', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 41-RELATED', 103940),
(160215, 'PTHR24232:SF98', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 55', 103941),
(160216, 'PTHR24103:SF642', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 5', 103942),
(160217, 'PTHR41313:SF1', NULL, NULL, NULL, NULL, 'ADENINE-SPECIFIC METHYLTRANSFERASE', 103943),
(160218, 'PTHR26391:SF16', NULL, NULL, NULL, NULL, 'PROTEIN KINASE RECEPTOR TIE-1, PUTATIVE-RELATED', 103944),
(160219, 'PTHR32295:SF226', NULL, NULL, NULL, NULL, 'BNAC03G42550D PROTEIN', 103945),
(160220, 'PTHR47448:SF3', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 2', 103946),
(160221, 'PTHR40734', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 103947),
(160222, 'PTHR22835:SF582', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103948),
(160223, 'PTHR44329:SF107', NULL, NULL, NULL, NULL, 'PAS DOMAIN-CONTAINING PROTEIN TYROSINE KINASE FAMILY PROTEIN', 103949),
(160224, 'PTHR46024:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETDB2', 103950),
(160225, 'PTHR42781:SF1', NULL, NULL, NULL, NULL, 'THIAMINE IMPORT ATP-BINDING PROTEIN THIQ', 103951),
(160226, 'PTHR43650:SF13', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT BETA', 103952),
(160227, 'PTHR10797:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103953),
(160228, 'PTHR24057:SF48', NULL, NULL, NULL, NULL, 'OS01G0252100 PROTEIN', 103954),
(160229, 'PTHR34710:SF19', NULL, NULL, NULL, NULL, 'OSJNBA0020J04.6 PROTEIN', 103955),
(160230, 'PTHR11759:SF49', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S11, CHLOROPLASTIC', 103956),
(160231, 'PTHR45613:SF195', NULL, NULL, NULL, NULL, 'OS01G0151900 PROTEIN', 103957),
(160232, 'PTHR39665:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103958),
(160233, 'PTHR13271:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103959),
(160234, 'PTHR33393:SF12', NULL, NULL, NULL, NULL, 'CAPSULE BIOSYNTHESIS PROTEIN CAPA', 103960),
(160235, 'PTHR12027:SF97', NULL, NULL, NULL, NULL, 'PROTEIN WNT', 103961),
(160236, 'PTHR22954:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG08539', 103962),
(160237, 'PTHR31655:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103963),
(160238, 'PTHR23502:SF48', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G02700)-RELATED', 103964),
(160239, 'PTHR24177:SF250', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE ISOFORM 1-RELATED', 103965),
(160240, 'PTHR31621:SF34', NULL, NULL, NULL, NULL, 'DOMAIN MEMBRANE PROTEIN 2, PUTATIVE-RELATED', 103966),
(160241, 'PTHR28580', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIH SUBUNIT 5', 103967),
(160242, 'PTHR22849:SF119', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 103968),
(160243, 'PTHR34183:SF1', NULL, NULL, NULL, NULL, 'ENDOLYTIC PEPTIDOGLYCAN TRANSGLYCOSYLASE RLPA', 103969),
(160244, 'PTHR31438:SF7', NULL, NULL, NULL, NULL, 'AEROBACTIN SIDEROPHORE BIOSYNTHESIS PROTEIN IUCB', 103970),
(160245, 'PTHR33788:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103971),
(160246, 'PTHR31175:SF66', NULL, NULL, NULL, NULL, 'OS09G0546900 PROTEIN', 103972),
(160247, 'PTHR33127:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103973),
(160248, 'PTHR30469:SF11', NULL, NULL, NULL, NULL, 'BLL4320 PROTEIN', 103974),
(160249, 'PTHR35291:SF5', NULL, NULL, NULL, NULL, 'BNAANNG35820D PROTEIN', 103975),
(160250, 'PTHR24177:SF245', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 103976),
(160251, 'PTHR30038:SF9', NULL, NULL, NULL, NULL, 'ALDEHYDE FERREDOXIN OXIDOREDUCTASE (AOR)', 103977),
(160252, 'PTHR43476:SF4', NULL, NULL, NULL, NULL, 'HYDROXYLASE-RELATED', 103978);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(160253, 'PTHR13800:SF13', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 1', 103979),
(160254, 'PTHR47359:SF3', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN DL-ENDOPEPTIDASE CWLO', 103980),
(160255, 'PTHR24126:SF41', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN, CHLOROPLASTIC-LIKE', 103981),
(160256, 'PTHR43152', NULL, NULL, NULL, NULL, 'UVRABC SYSTEM PROTEIN A', 103982),
(160257, 'PTHR27008:SF457', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21', 103983),
(160258, 'PTHR10662:SF12', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR 3', 103984),
(160259, 'PTHR23359:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 103985),
(160260, 'PTHR46161:SF3', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', 103986),
(160261, 'PTHR10122:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5B-2, MITOCHONDRIAL', 103987),
(160262, 'PTHR23501:SF177', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G16910)-RELATED', 103988),
(160263, 'PTHR31221:SF49', NULL, NULL, NULL, NULL, 'OS03G0758950 PROTEIN', 103989),
(160264, 'PTHR27005:SF244', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 103990),
(160265, 'PTHR33517:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM170A', 103991),
(160266, 'PTHR26374:SF359', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT5-LIKE', 103992),
(160267, 'PTHR24320:SF166', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_5G10790)', 103993),
(160268, 'PTHR31951:SF28', NULL, NULL, NULL, NULL, 'BNAA07G25640D PROTEIN', 103994),
(160269, 'PTHR31513:SF2', NULL, NULL, NULL, NULL, 'MRAZ', 103995),
(160270, 'PTHR10169:SF49', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2, MITOCHONDRIAL', 103996),
(160271, 'PTHR47319:SF16', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1', 103997),
(160272, 'PTHR43453', NULL, NULL, NULL, NULL, 'RRNA METHYLASE-LIKE', 103998),
(160273, 'PTHR10657', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 103999),
(160274, 'PTHR27007:SF159', NULL, NULL, NULL, NULL, 'LECTIN-LIKE RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', 104000),
(160275, 'PTHR33541:SF15', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE D', 104001),
(160276, 'PTHR20003:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104002),
(160277, 'PTHR24347:SF372', NULL, NULL, NULL, NULL, 'DEATH ASSOCIATED PROTEIN KINASE 3', 104003),
(160278, 'PTHR16074:SF4', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 7 PROTEIN', 104004),
(160279, 'PTHR44157', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 11', 104005),
(160280, 'PTHR33649:SF20', NULL, NULL, NULL, NULL, 'BNAC08G48820D PROTEIN', 104006),
(160281, 'PTHR24015:SF679', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT-LIKE SUPERFAMILY PROTEIN', 104007),
(160282, 'PTHR11636:SF127', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CEH-6', 104008),
(160283, 'PTHR11819:SF150', NULL, NULL, NULL, NULL, 'SODIUM/MYO-INOSITOL COTRANSPORTER', 104009),
(160284, 'PTHR11260:SF619', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 104010),
(160285, 'PTHR33515:SF1', NULL, NULL, NULL, NULL, 'RIBOSOME-BINDING FACTOR A, CHLOROPLASTIC-RELATED', 104011),
(160286, 'PTHR22770:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF216', 104012),
(160287, 'PTHR10315:SF92', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 104013),
(160288, 'PTHR33390:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104014),
(160289, 'PTHR31072:SF129', NULL, NULL, NULL, NULL, 'BNAA02G13010D PROTEIN', 104015),
(160290, 'PTHR47042:SF1', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-LIKE', 104016),
(160291, 'PTHR46719:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', 104017),
(160292, 'PTHR11480:SF27', NULL, NULL, NULL, NULL, 'SAPOSIN A', 104018),
(160293, 'PTHR22526:SF2', NULL, NULL, NULL, NULL, 'ANAPHASE PROMPOTING COMPLEX C SUBUNIT 15, PSEUDOGENE-RELATED', 104019),
(160294, 'PTHR37558:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104020),
(160295, 'PTHR45647:SF65', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 34', 104021);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(160296, 'PTHR33018:SF19', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 104022),
(160297, 'PTHR46162:SF25', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', 104023),
(160298, 'PTHR12010:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S29', 104024),
(160299, 'PTHR31482:SF9', NULL, NULL, NULL, NULL, 'F-BOX PLANT-LIKE PROTEIN', 104025),
(160300, 'PTHR34811', NULL, NULL, NULL, NULL, 'MATURASE K', 104026),
(160301, 'PTHR47992:SF119', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 33-RELATED', 104027),
(160302, 'PTHR10108:SF1115', NULL, NULL, NULL, NULL, 'GENERIC METHYLTRANSFERASE', 104028),
(160303, 'PTHR23147:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104029),
(160304, 'PTHR35968:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 6 C6ORF201 HOMOLOG', 104030),
(160305, 'PTHR31375:SF220', NULL, NULL, NULL, NULL, 'BNAC05G03780D PROTEIN', 104031),
(160306, 'PTHR43874:SF123', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR14', 104032),
(160307, 'PTHR13049:SF3', NULL, NULL, NULL, NULL, 'OS01G0750500 PROTEIN', 104033),
(160308, 'PTHR45645:SF28', NULL, NULL, NULL, NULL, 'SOL-2 PROTEIN', 104034),
(160309, 'PTHR12327:SF1', NULL, NULL, NULL, NULL, 'ALPHA-TUBULIN N-ACETYLTRANSFERASE 2', 104035),
(160310, 'PTHR44259:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104036),
(160311, 'PTHR11439:SF331', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE PROTEIN-RELATED', 104037),
(160312, 'PTHR36971:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE,MAKORIN-RELATED-RELATED', 104038),
(160313, 'PTHR48011:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104039),
(160314, 'PTHR23315:SF241', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 104040),
(160315, 'PTHR43606', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G08710)-RELATED', 104041),
(160316, 'PTHR19229:SF221', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER CED-7', 104042),
(160317, 'PTHR46107:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN-RELATED TRANSMEMBRANE PROTEIN 4', 104043),
(160318, 'PTHR11945:SF488', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 56', 104044),
(160319, 'PTHR21470', NULL, NULL, NULL, NULL, 'RAB6-INTERACTING PROTEIN GORAB', 104045),
(160320, 'PTHR34281', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 3', 104046),
(160321, 'PTHR10980:SF51', NULL, NULL, NULL, NULL, 'RHO PROTEIN GDP-DISSOCIATION INHIBITOR, IMMUNOGLOBULIN E-SET-RELATED', 104047),
(160322, 'PTHR42680', NULL, NULL, NULL, NULL, 'DCTP DEAMINASE', 104048),
(160323, 'PTHR27007:SF302', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.4', 104049),
(160324, 'PTHR32018:SF18', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE-LIKE', 104050),
(160325, 'PTHR48017:SF135', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 104051),
(160326, 'PTHR14155:SF513', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104052),
(160327, 'PTHR46508:SF2', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 1', 104053),
(160328, 'PTHR33912', NULL, NULL, NULL, NULL, 'OS01G0939400 PROTEIN', 104054),
(160329, 'PTHR23043:SF24', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN-CONTAINING PROTEIN 4', 104055),
(160330, 'PTHR27003:SF321', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HERK 1', 104056),
(160331, 'PTHR11124', NULL, NULL, NULL, NULL, 'VACUOLAR SORTING PROTEIN VPS29', 104057),
(160332, 'PTHR19325:SF522', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104058),
(160333, 'PTHR10638:SF77', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 104059),
(160334, 'PTHR31072:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104060),
(160335, 'PTHR35546:SF43', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 104061),
(160336, 'PTHR48002:SF80', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 104062),
(160337, 'PTHR31549:SF170', NULL, NULL, NULL, NULL, 'OS08G0121250 PROTEIN', 104063),
(160338, 'PTHR32285:SF179', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 104064),
(160339, 'PTHR11260:SF664', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U19', 104065);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(160340, 'PTHR11214:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104066),
(160341, 'PTHR22234', NULL, NULL, NULL, NULL, 'TESTIS SPERMATOCYTE APOPTOSIS-RELATED GENE 1 PROTEIN', 104067),
(160342, 'PTHR35675', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC100362216', 104068),
(160343, 'PTHR42973:SF34', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G02770)', 104069),
(160344, 'PTHR44843', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 104070),
(160345, 'PTHR37972', NULL, NULL, NULL, NULL, 'PROTEIN CBG25533', 104071),
(160346, 'PTHR30386:SF0', NULL, NULL, NULL, NULL, 'EFFLUX SYSTEM COMPONENT YHBJ-RELATED', 104072),
(160347, 'PTHR45654:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104073),
(160348, 'PTHR35836', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 104074),
(160349, 'PTHR16200:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF43', 104075),
(160350, 'PTHR23503:SF97', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2 MEMBER 9,-LIKE 1', 104076),
(160351, 'PTHR30163:SF0', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND LYTIC MUREIN TRANSGLYCOSYLASE B', 104077),
(160352, 'PTHR22957:SF457', NULL, NULL, NULL, NULL, 'RABGAP/TBC DOMAIN-CONTAINING PROTEIN', 104078),
(160353, 'PTHR43791:SF52', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G11820)-RELATED', 104079),
(160354, 'PTHR24178:SF12', NULL, NULL, NULL, NULL, 'NEPHRONOPHTHISIS (HUMAN KIDNEY DISEASE) HOMOLOG', 104080),
(160355, 'PTHR47956:SF94', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D10', 104081),
(160356, 'PTHR11640:SF122', NULL, NULL, NULL, NULL, 'SI:DKEY-24P1.1', 104082),
(160357, 'PTHR31145:SF6', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_7G01610)', 104083),
(160358, 'PTHR10404:SF69', NULL, NULL, NULL, NULL, 'F10A2.10 PROTEIN-RELATED', 104084),
(160359, 'PTHR30043:SF1', NULL, NULL, NULL, NULL, 'PHOSPHONATES-BINDING PERIPLASMIC PROTEIN', 104085),
(160360, 'PTHR31639:SF142', NULL, NULL, NULL, NULL, 'OS02G0160200 PROTEIN', 104086),
(160361, 'PTHR24349:SF387', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 8', 104087),
(160362, 'PTHR23226:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104088),
(160363, 'PTHR43540:SF10', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE', 104089),
(160364, 'PTHR24422:SF18', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN METHYLTRANSFERASE 2', 104090),
(160365, 'PTHR36375', NULL, NULL, NULL, NULL, 'OS05G0459300 PROTEIN', 104091),
(160366, 'PTHR34353', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDONUCLEASE CAS1 1', 104092),
(160367, 'PTHR33721:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 255A', 104093),
(160368, 'PTHR33509:SF35', NULL, NULL, NULL, NULL, 'PROTEIN SENESCENCE-ASSOCIATED GENE 21, MITOCHONDRIAL-LIKE', 104094),
(160369, 'PTHR24072:SF340', NULL, NULL, NULL, NULL, 'BNAC09G50900D PROTEIN', 104095),
(160370, 'PTHR46382:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', 104096),
(160371, 'PTHR13489:SF0', NULL, NULL, NULL, NULL, 'MINI-CHROMOSOME MAINTENANCE COMPLEX-BINDING PROTEIN', 104097),
(160372, 'PTHR32370:SF148', NULL, NULL, NULL, NULL, 'COLEOPTILE PHOTOTROPISM PROTEIN 1-LIKE ISOFORM X1', 104098),
(160373, 'PTHR13173:SF10', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 4', 104099),
(160374, 'PTHR24088:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104100),
(160375, 'PTHR11961:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME C, TESTIS-SPECIFIC', 104101),
(160376, 'PTHR15678:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FMP27, MITOCHONDRIAL', 104102),
(160377, 'PTHR48006:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104103),
(160378, 'PTHR31923:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104104),
(160379, 'PTHR35584', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 104105),
(160380, 'PTHR11426:SF220', NULL, NULL, NULL, NULL, 'HISTONE H3', 104106),
(160381, 'PTHR30330:SF5', NULL, NULL, NULL, NULL, 'SODIUM/GLUTAMINE SYMPORTER GLNT-RELATED', 104107),
(160382, 'PTHR13466:SF15', NULL, NULL, NULL, NULL, 'BNAA09G44810D PROTEIN', 104108),
(160383, 'PTHR31080:SF137', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', 104109);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(160384, 'PTHR11566:SF169', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE PROTEIN C', 104110),
(160385, 'PTHR33784:SF25', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-RELATED', 104111),
(160386, 'PTHR11157:SF145', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 104112),
(160387, 'PTHR31133:SF11', NULL, NULL, NULL, NULL, 'STEROID NUCLEAR RECEPTOR, LIGAND-BINDING', 104113),
(160388, 'PTHR11732:SF445', NULL, NULL, NULL, NULL, 'OS05G0456200 PROTEIN', 104114),
(160389, 'PTHR45654:SF52', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG1', 104115),
(160390, 'PTHR36141', NULL, NULL, NULL, NULL, 'OS08G0148500 PROTEIN', 104116),
(160391, 'PTHR20856:SF31', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 104117),
(160392, 'PTHR11528:SF115', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 81-2', 104118),
(160393, 'PTHR12929:SF1', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 52, RIBOFLAVIN TRANSPORTER, MEMBER 1', 104119),
(160394, 'PTHR36033', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING PROTEINS SUPERFAMILY', 104120),
(160395, 'PTHR47926:SF123', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 104121),
(160396, 'PTHR32182', NULL, NULL, NULL, NULL, 'DNA REPLICATION AND REPAIR PROTEIN RECF', 104122),
(160397, 'PTHR31305:SF2', NULL, NULL, NULL, NULL, 'SNARE-ASSOCIATED PROTEIN SNAPIN', 104123),
(160398, 'PTHR24281:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104124),
(160399, 'PTHR24240:SF19', NULL, NULL, NULL, NULL, 'BLUE-SENSITIVE OPSIN', 104125),
(160400, 'PTHR31384:SF124', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 104126),
(160401, 'PTHR47977:SF19', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABC1-LIKE', 104127),
(160402, 'PTHR34630:SF17', NULL, NULL, NULL, NULL, 'AND NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN, PUTATIVE-RELATED', 104128),
(160403, 'PTHR47979:SF9', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1F', 104129),
(160404, 'PTHR31907:SF38', NULL, NULL, NULL, NULL, 'BNAC09G37310D PROTEIN', 104130),
(160405, 'PTHR22945:SF19', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 104131),
(160406, 'PTHR12122:SF5', NULL, NULL, NULL, NULL, 'RETINAL CONE RHODOPSIN-SENSITIVE CGMP 3'',5''-CYCLIC PHOSPHODIESTERASE SUBUNIT GAMMA', 104132),
(160407, 'PTHR30329:SF13', NULL, NULL, NULL, NULL, 'ENDOFLAGELLAR MOTOR PROTEIN B', 104133),
(160408, 'PTHR48000:SF11', NULL, NULL, NULL, NULL, 'BNAA03G16870D PROTEIN', 104134),
(160409, 'PTHR46661:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZNRF1-LIKE PROTEIN', 104135),
(160410, 'PTHR33346:SF35', NULL, NULL, NULL, NULL, 'DEHYDRIN-RELATED', 104136),
(160411, 'PTHR31984:SF15', NULL, NULL, NULL, NULL, 'BNAA09G02580D PROTEIN', 104137),
(160412, 'PTHR16001:SF7', NULL, NULL, NULL, NULL, 'ECTO-NOX DISULFIDE-THIOL EXCHANGER 2', 104138),
(160413, 'PTHR33593:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104139),
(160414, 'PTHR10634:SF115', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 5', 104140),
(160415, 'PTHR34802:SF1', NULL, NULL, NULL, NULL, 'CHORISMATE SYNTHASE', 104141),
(160416, 'PTHR12889:SF5', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE SUBUNIT APH-1B', 104142),
(160417, 'PTHR24296:SF182', NULL, NULL, NULL, NULL, 'BNACNNG08760D PROTEIN', 104143),
(160418, 'PTHR21716:SF49', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN TQSA-LIKE PROTEIN-RELATED', 104144),
(160419, 'PTHR43939:SF41', NULL, NULL, NULL, NULL, 'ANUCLEATE PRIMARY STERIGMATA PROTEIN B', 104145),
(160420, 'PTHR43047:SF28', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YVCQ', 104146),
(160421, 'PTHR28154:SF1', NULL, NULL, NULL, NULL, 'CELL WALL SYNTHESIS PROTEIN KNH1-RELATED', 104147),
(160422, 'PTHR46795:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, PERMEASE PROTEIN-RELATED', 104148),
(160423, 'PTHR36767:SF1', NULL, NULL, NULL, NULL, 'OS05G0126200 PROTEIN', 104149),
(160424, 'PTHR37365:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 44', 104150),
(160425, 'PTHR45818:SF3', NULL, NULL, NULL, NULL, 'PROTEIN VAV', 104151),
(160426, 'PTHR22794', NULL, NULL, NULL, NULL, 'THAP DOMAIN PROTEIN 11', 104152);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(160427, 'PTHR11913:SF15', NULL, NULL, NULL, NULL, 'COFILIN-2', 104153),
(160428, 'PTHR19375:SF443', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104154),
(160429, 'PTHR23500:SF562', NULL, NULL, NULL, NULL, 'BNAA08G15350D PROTEIN', 104155),
(160430, 'PTHR10846:SF66', NULL, NULL, NULL, NULL, 'NA/CA EXCHANGERS', 104156),
(160431, 'PTHR48022:SF39', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE SUGAR TRANSPORTER-RELATED', 104157),
(160432, 'PTHR47993:SF118', NULL, NULL, NULL, NULL, 'OS08G0492900 PROTEIN', 104158),
(160433, 'PTHR31279:SF58', NULL, NULL, NULL, NULL, 'OS02G0756800 PROTEIN', 104159),
(160434, 'PTHR28230:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 104160),
(160435, 'PTHR48017:SF1', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 7-RELATED', 104161),
(160436, 'PTHR12144', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR D', 104162),
(160437, 'PTHR47967:SF74', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE CDR1-LIKE', 104163),
(160438, 'PTHR42951:SF1', NULL, NULL, NULL, NULL, 'BLL0271 PROTEIN', 104164),
(160439, 'PTHR31374:SF296', NULL, NULL, NULL, NULL, 'AUXIN RESPONSIVE PROTEIN', 104165),
(160440, 'PTHR46829', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 15', 104166),
(160441, 'PTHR11260:SF536', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U7', 104167),
(160442, 'PTHR13683:SF801', NULL, NULL, NULL, NULL, 'BNAC06G18230D PROTEIN', 104168),
(160443, 'PTHR48040:SF22', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', 104169),
(160444, 'PTHR21358', NULL, NULL, NULL, NULL, 'PROTEIN MAELSTROM HOMOLOG', 104170),
(160445, 'PTHR33133:SF35', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 104171),
(160446, 'PTHR31790:SF149', NULL, NULL, NULL, NULL, 'BNAC04G31790D PROTEIN', 104172),
(160447, 'PTHR35109:SF5', NULL, NULL, NULL, NULL, 'BNAA01G36870D PROTEIN', 104173),
(160448, 'PTHR22812:SF148', NULL, NULL, NULL, NULL, 'CHROMOBOX HOMOLOG 1A (HP1 BETA HOMOLOG DROSOPHILA)-RELATED', 104174),
(160449, 'PTHR28557', NULL, NULL, NULL, NULL, 'PROTEIN SLX4IP', 104175),
(160450, 'PTHR28043:SF1', NULL, NULL, NULL, NULL, 'INCREASED RECOMBINATION CENTERS PROTEIN 6', 104176),
(160451, 'PTHR22601:SF50', NULL, NULL, NULL, NULL, 'SMALL OLIGOPEPTIDE TRANSPORTER, OPT FAMILY (AFU_ORTHOLOGUE AFUA_6G10220)', 104177),
(160452, 'PTHR38221', NULL, NULL, NULL, NULL, 'BNAA04G14260D PROTEIN', 104178),
(160453, 'PTHR45690:SF4', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 10', 104179),
(160454, 'PTHR43039:SF15', NULL, NULL, NULL, NULL, 'ESTERASE KAI2-RELATED', 104180),
(160455, 'PTHR33127:SF24', NULL, NULL, NULL, NULL, 'OS08G0193000 PROTEIN', 104181),
(160456, 'PTHR47055', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 104182),
(160457, 'PTHR11599:SF130', NULL, NULL, NULL, NULL, 'PROTEASOME ENDOPEPTIDASE COMPLEX', 104183),
(160458, 'PTHR10572:SF43', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', 104184),
(160459, 'PTHR37235', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE AUREOLYSIN', 104185),
(160460, 'PTHR46268:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104186),
(160461, 'PTHR45780', NULL, NULL, NULL, NULL, 'ETHANOLAMINE-PHOSPHATE CYTIDYLYLTRANSFERASE', 104187),
(160462, 'PTHR31561:SF165', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 104188),
(160463, 'PTHR47113', NULL, NULL, NULL, NULL, 'LD09343P', 104189),
(160464, 'PTHR12260:SF6', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMATE O-METHYLTRANSFERASE', 104190),
(160465, 'PTHR26312:SF165', NULL, NULL, NULL, NULL, 'BNAC08G45240D PROTEIN', 104191),
(160466, 'PTHR33407:SF8', NULL, NULL, NULL, NULL, 'PECTATE LYASE E', 104192),
(160467, 'PTHR11640:SF116', NULL, NULL, NULL, NULL, 'OBSCURIN', 104193),
(160468, 'PTHR23182', NULL, NULL, NULL, NULL, 'BREAKPOINT CLUSTER REGION PROTEIN  BCR', 104194),
(160469, 'PTHR31232:SF18', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 15-LIKE', 104195),
(160470, 'PTHR11407', NULL, NULL, NULL, NULL, 'LYSOZYME C', 104196),
(160471, 'PTHR24015:SF1978', NULL, NULL, NULL, NULL, 'OS02G0769900 PROTEIN', 104197);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(160472, 'PTHR12542:SF152', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 104198),
(160473, 'PTHR35322:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CPR-5', 104199),
(160474, 'PTHR46057:SF26', NULL, NULL, NULL, NULL, 'OS06G0125200 PROTEIN', 104200),
(160475, 'PTHR38940:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104201),
(160476, 'PTHR45744:SF22', NULL, NULL, NULL, NULL, 'TYROSINE AMINOTRANSFERASE', 104202),
(160477, 'PTHR19331:SF460', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104203),
(160478, 'PTHR23359:SF207', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', 104204),
(160479, 'PTHR31190:SF199', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 2', 104205),
(160480, 'PTHR18896:SF157', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 104206),
(160481, 'PTHR16675:SF257', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104207),
(160482, 'PTHR35020', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-INDUCED PROTEIN 1', 104208),
(160483, 'PTHR15549:SF7', NULL, NULL, NULL, NULL, 'PAIRED IMMUNOGLOBULIN-LIKE TYPE 2 RECEPTOR BETA', 104209),
(160484, 'PTHR46997:SF1', NULL, NULL, NULL, NULL, 'LOW AFFINITY TRYPTOPHAN PERMEASE-RELATED', 104210),
(160485, 'PTHR36161', NULL, NULL, NULL, NULL, 'PROTEIN CBG06377-RELATED', 104211),
(160486, 'PTHR48043:SF20', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 83A1', 104212),
(160487, 'PTHR23226:SF268', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104213),
(160488, 'PTHR13318:SF134', NULL, NULL, NULL, NULL, 'JETLAG, ISOFORM A-RELATED', 104214),
(160489, 'PTHR45855:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UNE10-LIKE', 104215),
(160490, 'PTHR13462:SF48', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN 2, MITOCHONDRIAL-LIKE ISOFORM X1', 104216),
(160491, 'PTHR23315:SF302', NULL, NULL, NULL, NULL, 'BNAC07G33730D PROTEIN', 104217),
(160492, 'PTHR35545:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104218),
(160493, 'PTHR24404:SF50', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 497', 104219),
(160494, 'PTHR18953', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 104220),
(160495, 'PTHR10352:SF54', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2A-LIKE', 104221),
(160496, 'PTHR18945:SF768', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104222),
(160497, 'PTHR31642:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104223),
(160498, 'PTHR10302:SF19', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN 1', 104224),
(160499, 'PTHR34034:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM180B', 104225),
(160500, 'PTHR10848:SF0', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN SPO11', 104226),
(160501, 'PTHR24056:SF120', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE 4', 104227),
(160502, 'PTHR11700:SF22', NULL, NULL, NULL, NULL, 'BNAA09G06070D PROTEIN', 104228),
(160503, 'PTHR45868:SF19', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 37', 104229),
(160504, 'PTHR11537:SF105', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL PROTEIN SHAL', 104230),
(160505, 'PTHR12585:SF50', NULL, NULL, NULL, NULL, 'COHESIN FAMILY', 104231),
(160506, 'PTHR28527', NULL, NULL, NULL, NULL, 'MATING-TYPE SWITCHING PROTEIN SWI2-RELATED', 104232),
(160507, 'PTHR31151:SF0', NULL, NULL, NULL, NULL, 'PROLINE-TRNA LIGASE (DUF1680)', 104233),
(160508, 'PTHR44080:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE COP1', 104234),
(160509, 'PTHR22914', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE', 104235),
(160510, 'PTHR22624:SF54', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE ATG4B', 104236),
(160511, 'PTHR11668:SF396', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 104237),
(160512, 'PTHR45882:SF3', NULL, NULL, NULL, NULL, 'PITUITARY HOMEOBOX HOMOLOG PTX1', 104238),
(160513, 'PTHR22870:SF365', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (CELL CYCLE REGULATORY PROTEIN)-RELATED', 104239),
(160514, 'PTHR24115:SF911', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12B', 104240),
(160515, 'PTHR47457:SF1', NULL, NULL, NULL, NULL, 'OS05G0345500 PROTEIN', 104241),
(160516, 'PTHR30548:SF3', NULL, NULL, NULL, NULL, '2-HYDROXYACYL-COA DEHYDRATASE-RELATED', 104242);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(160517, 'PTHR33165:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104243),
(160518, 'PTHR12475:SF9', NULL, NULL, NULL, NULL, 'PROTEIN THEM6', 104244),
(160519, 'PTHR47021:SF10', NULL, NULL, NULL, NULL, 'ARF GTPASE ACTIVATING PROTEIN-RELATED', 104245),
(160520, 'PTHR47925:SF61', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC', 104246),
(160521, 'PTHR33248:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104247),
(160522, 'PTHR30217:SF7', NULL, NULL, NULL, NULL, 'COLLAGENASE', 104248),
(160523, 'PTHR12933', NULL, NULL, NULL, NULL, 'ORF PROTEIN-RELATED', 104249),
(160524, 'PTHR10666:SF361', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 12', 104250),
(160525, 'PTHR43176:SF21', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 4, MITOCHONDRIAL', 104251),
(160526, 'PTHR24373:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104252),
(160527, 'PTHR46205:SF1', NULL, NULL, NULL, NULL, 'RISC-LOADING COMPLEX SUBUNIT TARBP2', 104253),
(160528, 'PTHR48063:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104254),
(160529, 'PTHR22907:SF27', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 104255),
(160530, 'PTHR47990:SF179', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 104256),
(160531, 'PTHR11895:SF162', NULL, NULL, NULL, NULL, 'AMIDASE-RELATED', 104257),
(160532, 'PTHR11528:SF97', NULL, NULL, NULL, NULL, 'ENDOPLASMIN', 104258),
(160533, 'PTHR46052:SF3', NULL, NULL, NULL, NULL, 'PHOSDUCIN', 104259),
(160534, 'PTHR47926:SF1', NULL, NULL, NULL, NULL, 'OS12G0233200 PROTEIN', 104260),
(160535, 'PTHR11877:SF60', NULL, NULL, NULL, NULL, 'TYPE III POLYKETIDE SYNTHASE B', 104261),
(160536, 'PTHR31221:SF183', NULL, NULL, NULL, NULL, 'BNAA03G10980D PROTEIN', 104262),
(160537, 'PTHR12565:SF315', NULL, NULL, NULL, NULL, 'OS09G0501600 PROTEIN', 104263),
(160538, 'PTHR33417:SF5', NULL, NULL, NULL, NULL, 'OS07G0274400 PROTEIN', 104264),
(160539, 'PTHR38493', NULL, NULL, NULL, NULL, 'CHROMOSOME 1 OPEN READING FRAME 167', 104265),
(160540, 'PTHR23235:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 367', 104266),
(160541, 'PTHR23236:SF25', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 34', 104267),
(160542, 'PTHR13693:SF3', NULL, NULL, NULL, NULL, 'LD36009P', 104268),
(160543, 'PTHR45839:SF5', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 3', 104269),
(160544, 'PTHR13547:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104270),
(160545, 'PTHR48049:SF60', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 104271),
(160546, 'PTHR40761:SF1', NULL, NULL, NULL, NULL, 'CONSERVED INTEGRAL MEMBRANE ALANINE VALINE AND LEUCINE RICH PROTEIN-RELATED', 104272),
(160547, 'PTHR11071:SF479', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 104273),
(160548, 'PTHR11792:SF15', NULL, NULL, NULL, NULL, 'S-ARRESTIN', 104274),
(160549, 'PTHR11161:SF4', NULL, NULL, NULL, NULL, 'DROP DEAD', 104275),
(160550, 'PTHR10574:SF413', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104276),
(160551, 'PTHR26452:SF415', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 104277),
(160552, 'PTHR15578:SF0', NULL, NULL, NULL, NULL, 'CHROMOSOME 8 C22ORF31 HOMOLOG', 104278),
(160553, 'PTHR22937:SF170', NULL, NULL, NULL, NULL, 'TRANSPOSASE-ASSOCIATED DOMAIN-CONTAINING PROTEIN-RELATED', 104279),
(160554, 'PTHR47899', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 171', 104280),
(160555, 'PTHR13285:SF21', NULL, NULL, NULL, NULL, 'HEDGEHOG ACYLTRANSFERASE-LIKE, B', 104281),
(160556, 'PTHR12802:SF9', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX SUBUNIT SMARCC1', 104282),
(160557, 'PTHR11324:SF2', NULL, NULL, NULL, NULL, 'PRO-INTERLEUKIN-16', 104283),
(160558, 'PTHR31662:SF26', NULL, NULL, NULL, NULL, 'TYROSINE SPECIFIC PROTEIN PHOSPHATASE-LIKE', 104284),
(160559, 'PTHR31315:SF12', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DA2', 104285),
(160560, 'PTHR13976:SF37', NULL, NULL, NULL, NULL, 'EPITHELIAL SPLICING REGULATORY PROTEIN 1', 104286),
(160561, 'PTHR10072:SF58', NULL, NULL, NULL, NULL, 'IRON-SULFUR ASSEMBLY PROTEIN ISCA-LIKE 1, MITOCHONDRIAL', 104287);
INSERT INTO "PUBLIC"."MODEL" VALUES
(160562, 'PTHR28031', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN HUA1', 104288),
(160563, 'PTHR47660:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', 104289),
(160564, 'PTHR33136:SF79', NULL, NULL, NULL, NULL, 'BNAA07G08550D PROTEIN', 104290),
(160565, 'PTHR47327:SF5', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 104291),
(160566, 'PTHR31500:SF13', NULL, NULL, NULL, NULL, 'OS08G0512400 PROTEIN', 104292),
(160567, 'PTHR43357', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YDCV', 104293),
(160568, 'PTHR45738:SF14', NULL, NULL, NULL, NULL, 'BNAA01G29510D PROTEIN', 104294),
(160569, 'PTHR33639', NULL, NULL, NULL, NULL, 'THIOL-DISULFIDE OXIDOREDUCTASE DCC', 104295),
(160570, 'PTHR21148:SF11', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 9', 104296),
(160571, 'PTHR11431:SF99', NULL, NULL, NULL, NULL, 'FERRITIN', 104297),
(160572, 'PTHR33640:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 104298),
(160573, 'PTHR40416:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104299),
(160574, 'PTHR31210:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104300),
(160575, 'PTHR33785', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 104301),
(160576, 'PTHR33463:SF88', NULL, NULL, NULL, NULL, 'RING-FINGER DOMAIN CONTAINING PROTEIN', 104302),
(160577, 'PTHR46137:SF9', NULL, NULL, NULL, NULL, 'NC DOMAIN-CONTAINING PROTEIN-LIKE PROTEIN', 104303),
(160578, 'PTHR47510', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 104304),
(160579, 'PTHR33562', NULL, NULL, NULL, NULL, 'ATILLA, ISOFORM B-RELATED-RELATED', 104305),
(160580, 'PTHR23336', NULL, NULL, NULL, NULL, 'ZINC FINGER CW-TYPE COILED-COIL DOMAIN PROTEIN 3.', 104306),
(160581, 'PTHR24281:SF189', NULL, NULL, NULL, NULL, 'ISOFLAVONE 3''-HYDROXYLASE-LIKE', 104307),
(160582, 'PTHR34788:SF5', NULL, NULL, NULL, NULL, 'BNAA01G29640D PROTEIN', 104308),
(160583, 'PTHR12021:SF20', NULL, NULL, NULL, NULL, 'THYMOSIN BETA-4', 104309),
(160584, 'PTHR37262:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PEP-RELATED DEVELOPMENT ARRESTED 1, CHLOROPLASTIC', 104310),
(160585, 'PTHR11480:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104311),
(160586, 'PTHR19317:SF2', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN F2', 104312),
(160587, 'PTHR13859:SF20', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 104313),
(160588, 'PTHR31234:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104314),
(160589, 'PTHR31221:SF148', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 57-RELATED', 104315),
(160590, 'PTHR21646:SF32', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 33-RELATED', 104316),
(160591, 'PTHR11540:SF63', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE, CYTOPLASMIC', 104317),
(160592, 'PTHR43329:SF112', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G08810)-RELATED', 104318),
(160593, 'PTHR11937:SF482', NULL, NULL, NULL, NULL, 'ACTIN-75', 104319),
(160594, 'PTHR47506:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 104320),
(160595, 'PTHR43048:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104321),
(160596, 'PTHR33472:SF1', NULL, NULL, NULL, NULL, 'EXTENSIN-RELATED', 104322),
(160597, 'PTHR33472:SF12', NULL, NULL, NULL, NULL, 'OS01G0106600 PROTEIN', 104323),
(160598, 'PTHR19303:SF25', NULL, NULL, NULL, NULL, 'MAJOR CENTROMERE AUTOANTIGEN B', 104324),
(160599, 'PTHR46324:SF13', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 8', 104325),
(160600, 'PTHR45614:SF132', NULL, NULL, NULL, NULL, 'BNAA02G36420D PROTEIN', 104326),
(160601, 'PTHR31052:SF27', NULL, NULL, NULL, NULL, 'BNAC01G19270D PROTEIN', 104327),
(160602, 'PTHR13105:SF4', NULL, NULL, NULL, NULL, 'MYELOID LEUKEMIA FACTOR 2', 104328),
(160603, 'PTHR47934:SF11', NULL, NULL, NULL, NULL, 'OS07G0300200 PROTEIN', 104329),
(160604, 'PTHR10795:SF584', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.3', 104330),
(160605, 'PTHR46902', NULL, NULL, NULL, NULL, 'DOMON DOMAIN-CONTAINING PROTEIN FRRS1L', 104331),
(160606, 'PTHR27007:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104332);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(160607, 'PTHR24057:SF51', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE BETA', 104333),
(160608, 'PTHR15615:SF32', NULL, NULL, NULL, NULL, 'PHO85 CYCLIN-10-RELATED', 104334),
(160609, 'PTHR12027:SF87', NULL, NULL, NULL, NULL, 'PROTEIN WNT-5B', 104335),
(160610, 'PTHR18968:SF9', NULL, NULL, NULL, NULL, '3D-(3,5/4)-TRIHYDROXYCYCLOHEXANE-1,2-DIONE HYDROLASE', 104336),
(160611, 'PTHR12300:SF98', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 104337),
(160612, 'PTHR36182', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G10930)-RELATED', 104338),
(160613, 'PTHR21477:SF25', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A10', 104339),
(160614, 'PTHR43400', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE', 104340),
(160615, 'PTHR36804', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.11 PROTEIN', 104341),
(160616, 'PTHR19969:SF18', NULL, NULL, NULL, NULL, 'GRB2-RELATED ADAPTER PROTEIN-LIKE', 104342),
(160617, 'PTHR11430:SF65', NULL, NULL, NULL, NULL, 'PROBASIN', 104343),
(160618, 'PTHR43817:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE, FAMILY 43, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01660)-RELATED', 104344),
(160619, 'PTHR10339', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLTRANSFERASE', 104345),
(160620, 'PTHR31786:SF2', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA CORE COMPLEX-ASSOCIATED PROTEIN 24', 104346),
(160621, 'PTHR24330', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN BARH-LIKE', 104347),
(160622, 'PTHR46769:SF3', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR BINDING PROTEIN,N-TERMINAL', 104348),
(160623, 'PTHR11220:SF61', NULL, NULL, NULL, NULL, 'BNAC03G16760D PROTEIN', 104349),
(160624, 'PTHR45908:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG09691', 104350),
(160625, 'PTHR47965:SF52', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 104351),
(160626, 'PTHR21690', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 104352),
(160627, 'PTHR10544:SF16', NULL, NULL, NULL, NULL, 'BNAA01G07450D PROTEIN', 104353),
(160628, 'PTHR34134:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR BLAI', 104354),
(160629, 'PTHR43576:SF2', NULL, NULL, NULL, NULL, 'INTRACELLULAR EXO-ALPHA-L-ARABINOFURANOSIDASE 2', 104355),
(160630, 'PTHR34777:SF8', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 10-LIKE', 104356),
(160631, 'PTHR31190:SF234', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1', 104357),
(160632, 'PTHR13864:SF6', NULL, NULL, NULL, NULL, 'PROTEIN LYL-1', 104358),
(160633, 'PTHR39364:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04867', 104359),
(160634, 'PTHR43178:SF9', NULL, NULL, NULL, NULL, 'BNAA01G32560D PROTEIN', 104360),
(160635, 'PTHR31707:SF71', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 104361),
(160636, 'PTHR31623:SF25', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', 104362),
(160637, 'PTHR19375:SF396', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104363),
(160638, 'PTHR14215:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION REGULATOR 2', 104364),
(160639, 'PTHR24039:SF40', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE MATRIX RECEPTOR MUP-4', 104365),
(160640, 'PTHR10641:SF1272', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB15-3', 104366),
(160641, 'PTHR13439:SF6', NULL, NULL, NULL, NULL, 'AAR085WP', 104367),
(160642, 'PTHR20950', NULL, NULL, NULL, NULL, 'GALANIN-RELATED PEPTIDE', 104368),
(160643, 'PTHR27006:SF336', NULL, NULL, NULL, NULL, 'BNAA09G26670D PROTEIN', 104369),
(160644, 'PTHR22749:SF6', NULL, NULL, NULL, NULL, 'RIBOFLAVIN KINASE', 104370),
(160645, 'PTHR42336', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 104371),
(160646, 'PTHR34222:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104372),
(160647, 'PTHR31150:SF31', NULL, NULL, NULL, NULL, 'BNAA06G09000D PROTEIN', 104373),
(160648, 'PTHR24014:SF7', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN-RELATED', 104374),
(160649, 'PTHR23222:SF24', NULL, NULL, NULL, NULL, 'PROHIBITIN, BAND 7 DOMAIN PROTEIN-RELATED', 104375),
(160650, 'PTHR46100:SF12', NULL, NULL, NULL, NULL, 'ROSSMANN-LIKE ALPHA/BETA/ALPHA SANDWICH FOLD PROTEIN-RELATED', 104376);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(160651, 'PTHR24177:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104377),
(160652, 'PTHR23268', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR BETA CHAIN', 104378),
(160653, 'PTHR24377:SF165', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 432', 104379),
(160654, 'PTHR24012:SF801', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 1-B', 104380),
(160655, 'PTHR45634:SF4', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 4, ISOFORM G', 104381),
(160656, 'PTHR12300:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104382),
(160657, 'PTHR33312:SF19', NULL, NULL, NULL, NULL, 'BRI1 KINASE INHIBITOR 1', 104383),
(160658, 'PTHR46309', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 12', 104384),
(160659, 'PTHR24370:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND WD REPEAT-CONTAINING PROTEIN 1', 104385),
(160660, 'PTHR33147:SF74', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 6', 104386),
(160661, 'PTHR42683:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104387),
(160662, 'PTHR31326:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 104388),
(160663, 'PTHR43791:SF4', NULL, NULL, NULL, NULL, 'PANTOTHENATE TRANSPORTER FEN2', 104389),
(160664, 'PTHR45755:SF1', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 5', 104390),
(160665, 'PTHR32546', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 158-RELATED', 104391),
(160666, 'PTHR42973:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104392),
(160667, 'PTHR43851:SF1', NULL, NULL, NULL, NULL, 'ATYPICAL KINASE COQ8A, MITOCHONDRIAL', 104393),
(160668, 'PTHR23413:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104394),
(160669, 'PTHR30457:SF22', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', 104395),
(160670, 'PTHR43272:SF70', NULL, NULL, NULL, NULL, 'BNAC07G50530D PROTEIN', 104396),
(160671, 'PTHR11586:SF41', NULL, NULL, NULL, NULL, 'AMINOACYL TRNA SYNTHETASE COMPLEX-INTERACTING MULTIFUNCTIONAL PROTEIN 1', 104397),
(160672, 'PTHR22957:SF187', NULL, NULL, NULL, NULL, 'SMALL G PROTEIN SIGNALING MODULATOR 1', 104398),
(160673, 'PTHR48002:SF63', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 104399),
(160674, 'PTHR31929:SF59', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN X15-LIKE', 104400),
(160675, 'PTHR44520:SF2', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR RCP1', 104401),
(160676, 'PTHR47942:SF2', NULL, NULL, NULL, NULL, 'OS09G0532800 PROTEIN', 104402),
(160677, 'PTHR33264:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 104403),
(160678, 'PTHR43330:SF15', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', 104404),
(160679, 'PTHR10890:SF31', NULL, NULL, NULL, NULL, 'BNAC03G14210D PROTEIN', 104405),
(160680, 'PTHR31019', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 104406),
(160681, 'PTHR15444', NULL, NULL, NULL, NULL, 'SECRETED PHOSPHOPROTEIN 24', 104407),
(160682, 'PTHR35988', NULL, NULL, NULL, NULL, '15-CIS-ZETA-CAROTENE ISOMERASE, CHLOROPLASTIC', 104408),
(160683, 'PTHR10582:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104409),
(160684, 'PTHR24282:SF143', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 72 SUBFAMILY A POLYPEPTIDE 8', 104410),
(160685, 'PTHR43335:SF8', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 104411),
(160686, 'PTHR31376:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104412),
(160687, 'PTHR15710:SF21', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF126', 104413),
(160688, 'PTHR34576:SF10', NULL, NULL, NULL, NULL, 'BNAC03G15310D PROTEIN', 104414),
(160689, 'PTHR47504:SF2', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN SOXS', 104415),
(160690, 'PTHR46947', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 73', 104416),
(160691, 'PTHR27006:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104417),
(160692, 'PTHR35868:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104418),
(160693, 'PTHR24034:SF134', NULL, NULL, NULL, NULL, 'CYSTEINE RICH WITH EGF (EGF) LIKE DOMAINS HOMOLOG', 104419),
(160694, 'PTHR10759:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L34, PUTATIVE-RELATED', 104420),
(160695, 'PTHR30137:SF15', NULL, NULL, NULL, NULL, 'BLL6902 PROTEIN', 104421);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(160696, 'PTHR15654', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 104422),
(160697, 'PTHR21310:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104423),
(160698, 'PTHR34222:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104424),
(160699, 'PTHR47629:SF7', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 104425),
(160700, 'PTHR11689:SF156', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 104426),
(160701, 'PTHR12221:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104427),
(160702, 'PTHR37049:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104428),
(160703, 'PTHR28610:SF1', NULL, NULL, NULL, NULL, 'DRAXIN', 104429),
(160704, 'PTHR32097:SF4', NULL, NULL, NULL, NULL, 'GENERAL STRESS PROTEIN 16U', 104430),
(160705, 'PTHR33052:SF25', NULL, NULL, NULL, NULL, 'OS02G0193200 PROTEIN', 104431),
(160706, 'PTHR27002:SF528', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 37', 104432),
(160707, 'PTHR31025:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104433),
(160708, 'PTHR24064:SF554', NULL, NULL, NULL, NULL, 'BNAA09G15770D PROTEIN', 104434),
(160709, 'PTHR10628:SF25', NULL, NULL, NULL, NULL, 'SIALIDASE A', 104435),
(160710, 'PTHR10894:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104436),
(160711, 'PTHR24114:SF39', NULL, NULL, NULL, NULL, 'AGAP012977-PA', 104437),
(160712, 'PTHR47503:SF1', NULL, NULL, NULL, NULL, 'PURKINJE CELL PROTEIN 2 HOMOLOG', 104438),
(160713, 'PTHR21240:SF23', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_7G05840)', 104439),
(160714, 'PTHR10336:SF180', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 104440),
(160715, 'PTHR10362:SF43', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE 1', 104441),
(160716, 'PTHR43161:SF17', NULL, NULL, NULL, NULL, 'L-IDONATE 5-DEHYDROGENASE', 104442),
(160717, 'PTHR12138:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104443),
(160718, 'PTHR38839', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR WHID-RELATED', 104444),
(160719, 'PTHR16768:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM107B', 104445),
(160720, 'PTHR11219:SF9', NULL, NULL, NULL, NULL, 'TENEURIN-4', 104446),
(160721, 'PTHR47212', NULL, NULL, NULL, NULL, 'ADHESIN-LIKE PROTEIN, PUTATIVE (DUF3741)-RELATED', 104447),
(160722, 'PTHR45764:SF46', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', 104448),
(160723, 'PTHR35892:SF3', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN X', 104449),
(160724, 'PTHR14549', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 104450),
(160725, 'PTHR43625:SF51', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE FAMILY OXIDOREDUCTASE', 104451),
(160726, 'PTHR45647:SF86', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', 104452),
(160727, 'PTHR47958:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX3X', 104453),
(160728, 'PTHR31704:SF39', NULL, NULL, NULL, NULL, 'BNAC08G02630D PROTEIN', 104454),
(160729, 'PTHR46132:SF7', NULL, NULL, NULL, NULL, 'SYNTHASE 2, PUTATIVE, EXPRESSED-RELATED', 104455),
(160730, 'PTHR11782:SF83', NULL, NULL, NULL, NULL, 'NTPASE, ISOFORM F', 104456),
(160731, 'PTHR31189:SF13', NULL, NULL, NULL, NULL, '63 KDA GLOBULIN-LIKE PROTEIN', 104457),
(160732, 'PTHR36794:SF2', NULL, NULL, NULL, NULL, 'BNAANNG05910D PROTEIN', 104458),
(160733, 'PTHR22952:SF435', NULL, NULL, NULL, NULL, 'BNACNNG41320D PROTEIN', 104459),
(160734, 'PTHR21068:SF37', NULL, NULL, NULL, NULL, 'BNAA07G03060D PROTEIN', 104460),
(160735, 'PTHR11615:SF232', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE YRHE-RELATED', 104461),
(160736, 'PTHR43691:SF12', NULL, NULL, NULL, NULL, 'URIDINE PHOSPHORYLASE', 104462),
(160737, 'PTHR13683:SF775', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 104463),
(160738, 'PTHR10543:SF26', NULL, NULL, NULL, NULL, '9-CIS-EPOXYCAROTENOID DIOXYGENASE NCED3, CHLOROPLASTIC', 104464),
(160739, 'PTHR11616:SF104', NULL, NULL, NULL, NULL, 'TRANSPORTER', 104465),
(160740, 'PTHR45854:SF6', NULL, NULL, NULL, NULL, 'ARFGAP WITH SH3 DOMAIN, ANKYRIN REPEAT AND PH DOMAIN 2B', 104466),
(160741, 'PTHR19353:SF57', NULL, NULL, NULL, NULL, 'ACYL-COA (8-3)-DESATURASE', 104467);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(160742, 'PTHR33052:SF95', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', 104468),
(160743, 'PTHR43811:SF41', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP43', 104469),
(160744, 'PTHR10722:SF28', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', 104470),
(160745, 'PTHR24075:SF10', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN ERDJ2B', 104471),
(160746, 'PTHR19818:SF135', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 76', 104472),
(160747, 'PTHR10730:SF48', NULL, NULL, NULL, NULL, 'FAMILY-LIKE PROTEIN, PUTATIVE-RELATED', 104473),
(160748, 'PTHR12815:SF38', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE OMP85 FAMILY PROTEIN', 104474),
(160749, 'PTHR12588:SF9', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE 4-LIKE ISOFORM X1', 104475),
(160750, 'PTHR10288:SF300', NULL, NULL, NULL, NULL, 'NEURO-ONCOLOGICAL VENTRAL ANTIGEN 1', 104476),
(160751, 'PTHR30204:SF67', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MLRA-RELATED', 104477),
(160752, 'PTHR11346:SF165', NULL, NULL, NULL, NULL, 'GALECTIN', 104478),
(160753, 'PTHR24015:SF1773', NULL, NULL, NULL, NULL, 'OS01G0101150 PROTEIN', 104479),
(160754, 'PTHR47991:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE', 104480),
(160755, 'PTHR31376:SF67', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 6-RELATED', 104481),
(160756, 'PTHR12483:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104482),
(160757, 'PTHR12313:SF55', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF5-LIKE', 104483),
(160758, 'PTHR11063:SF20', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE A', 104484),
(160759, 'PTHR38384', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', 104485),
(160760, 'PTHR24264:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104486),
(160761, 'PTHR35126', NULL, NULL, NULL, NULL, 'SLR0598 PROTEIN', 104487),
(160762, 'PTHR45229', NULL, NULL, NULL, NULL, 'CONSTITUTIVE ORNITHINE DECARBOXYLASE', 104488),
(160763, 'PTHR10858:SF25', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE II FAMILY PROTEIN', 104489),
(160764, 'PTHR11362:SF131', NULL, NULL, NULL, NULL, 'GH14494P-RELATED', 104490),
(160765, 'PTHR16148:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104491),
(160766, 'PTHR11278:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', 104492),
(160767, 'PTHR13683:SF817', NULL, NULL, NULL, NULL, 'OS07G0592200 PROTEIN', 104493),
(160768, 'PTHR34403', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 104494),
(160769, 'PTHR48024:SF4', NULL, NULL, NULL, NULL, 'MULTIPLE RNA-BINDING DOMAIN-CONTAINING PROTEIN 1', 104495),
(160770, 'PTHR24223:SF418', NULL, NULL, NULL, NULL, 'BNAC05G23300D PROTEIN', 104496),
(160771, 'PTHR32063:SF17', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN', 104497),
(160772, 'PTHR47956:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104498),
(160773, 'PTHR23268:SF30', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 25-1', 104499),
(160774, 'PTHR45973:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 49', 104500),
(160775, 'PTHR15036:SF48', NULL, NULL, NULL, NULL, 'NEUREXIN-3B', 104501),
(160776, 'PTHR24327:SF33', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DLX-1', 104502),
(160777, 'PTHR10585', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN RETAINING RECEPTOR', 104503),
(160778, 'PTHR42678:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104504),
(160779, 'PTHR48018:SF70', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 104505),
(160780, 'PTHR11875:SF7', NULL, NULL, NULL, NULL, 'AT14585P-RELATED', 104506),
(160781, 'PTHR43317:SF6', NULL, NULL, NULL, NULL, 'THERMOSPERMINE SYNTHASE ACAULIS5-LIKE', 104507),
(160782, 'PTHR43327:SF31', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 2', 104508),
(160783, 'PTHR18953:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104509),
(160784, 'PTHR15316:SF6', NULL, NULL, NULL, NULL, 'BNAA09G44470D PROTEIN', 104510),
(160785, 'PTHR11706:SF99', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP5-LIKE', 104511),
(160786, 'PTHR44259:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104512),
(160787, 'PTHR31426:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104513);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(160788, 'PTHR47396:SF1', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME ECOKI R PROTEIN', 104514),
(160789, 'PTHR11802:SF245', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 104515),
(160790, 'PTHR11709:SF401', NULL, NULL, NULL, NULL, 'LACCASE', 104516),
(160791, 'PTHR11615:SF275', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4D1', 104517),
(160792, 'PTHR22599:SF55', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 1A', 104518),
(160793, 'PTHR10153:SF40', NULL, NULL, NULL, NULL, 'SMALL CONDUCTANCE CALCIUM-ACTIVATED POTASSIUM CHANNEL PROTEIN 3', 104519),
(160794, 'PTHR23062:SF3', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 104520),
(160795, 'PTHR10424:SF67', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP V MEMBER 1 ENV POLYPROTEIN', 104521),
(160796, 'PTHR43670:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104522),
(160797, 'PTHR42898:SF54', NULL, NULL, NULL, NULL, 'BNAC04G14030D PROTEIN', 104523),
(160798, 'PTHR47992:SF15', NULL, NULL, NULL, NULL, 'OS01G0976700 PROTEIN', 104524),
(160799, 'PTHR11206:SF157', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 104525),
(160800, 'PTHR24416:SF486', NULL, NULL, NULL, NULL, 'EPH RECEPTOR A4B-RELATED', 104526),
(160801, 'PTHR26452:SF2', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 104527),
(160802, 'PTHR10666:SF371', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 8-RELATED', 104528),
(160803, 'PTHR31845:SF18', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 104529),
(160804, 'PTHR23421:SF59', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE-1-LIKE PROTEIN 3', 104530),
(160805, 'PTHR31089:SF42', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.5', 104531),
(160806, 'PTHR24322:SF634', NULL, NULL, NULL, NULL, 'FI23927P1-RELATED', 104532),
(160807, 'PTHR23503:SF43', NULL, NULL, NULL, NULL, 'PROTEIN CBG01149', 104533),
(160808, 'PTHR36617:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104534),
(160809, 'PTHR46955:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG20967', 104535),
(160810, 'PTHR32285:SF288', NULL, NULL, NULL, NULL, 'BNAA03G47320D PROTEIN', 104536),
(160811, 'PTHR48111:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN PHOP', 104537),
(160812, 'PTHR44086:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104538),
(160813, 'PTHR31648:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104539),
(160814, 'PTHR35729', NULL, NULL, NULL, NULL, 'T1B9.12 PROTEIN', 104540),
(160815, 'PTHR24068:SF300', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME 15, E2', 104541),
(160816, 'PTHR47958:SF7', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 15', 104542),
(160817, 'PTHR31003:SF38', NULL, NULL, NULL, NULL, 'MYB DOMAIN, PLANT, HOMEODOMAIN-LIKE PROTEIN-RELATED', 104543),
(160818, 'PTHR11829:SF167', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 3-BETA', 104544),
(160819, 'PTHR10730:SF28', NULL, NULL, NULL, NULL, 'PROCOLLAGEN GALACTOSYLTRANSFERASE 1', 104545),
(160820, 'PTHR33417:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104546),
(160821, 'PTHR11783:SF236', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 104547),
(160822, 'PTHR39199:SF1', NULL, NULL, NULL, NULL, 'BLR5128 PROTEIN', 104548),
(160823, 'PTHR47992:SF122', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 8-RELATED', 104549),
(160824, 'PTHR33128:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104550),
(160825, 'PTHR31945:SF46', NULL, NULL, NULL, NULL, 'OS03G0229100 PROTEIN', 104551),
(160826, 'PTHR23348:SF41', NULL, NULL, NULL, NULL, 'NEUROBLAST DIFFERENTIATION-ASSOCIATED PROTEIN AHNAK', 104552),
(160827, 'PTHR33136:SF6', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 34', 104553),
(160828, 'PTHR11783:SF189', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 104554),
(160829, 'PTHR43495:SF3', NULL, NULL, NULL, NULL, 'PHENYLALANINE-SPECIFIC PERMEASE', 104555),
(160830, 'PTHR47990:SF81', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 104556),
(160831, 'PTHR24073:SF882', NULL, NULL, NULL, NULL, 'CIRCULARLY PERMUTATED RAS PROTEIN 2', 104557),
(160832, 'PTHR39341', NULL, NULL, NULL, NULL, 'BSL7085 PROTEIN', 104558);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(160833, 'PTHR18929:SF228', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104559),
(160834, 'PTHR11950:SF43', NULL, NULL, NULL, NULL, 'RUNT-RELATED TRANSCRIPTION FACTOR 3', 104560),
(160835, 'PTHR18966:SF447', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3.3', 104561),
(160836, 'PTHR31832:SF47', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 25', 104562),
(160837, 'PTHR23382:SF23', NULL, NULL, NULL, NULL, 'BNAC09G33800D PROTEIN', 104563),
(160838, 'PTHR46056', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', 104564),
(160839, 'PTHR23201:SF59', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 4', 104565),
(160840, 'PTHR24055:SF460', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 5', 104566),
(160841, 'PTHR48014:SF17', NULL, NULL, NULL, NULL, 'OS10G0518800 PROTEIN', 104567),
(160842, 'PTHR47988:SF6', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 1-LIKE ISOFORM X1', 104568),
(160843, 'PTHR43685', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 104569),
(160844, 'PTHR10760', NULL, NULL, NULL, NULL, 'TORSIN', 104570),
(160845, 'PTHR24418', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 104571),
(160846, 'PTHR12910:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 12', 104572),
(160847, 'PTHR45651:SF73', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-GATED ION CHANNEL, PUTATIVE-RELATED', 104573),
(160848, 'PTHR18929:SF69', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 1', 104574),
(160849, 'PTHR46194:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE PTRHD1-RELATED', 104575),
(160850, 'PTHR36735', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 104576),
(160851, 'PTHR28029:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ILM1', 104577),
(160852, 'PTHR31194:SF57', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF1-LIKE', 104578),
(160853, 'PTHR35617', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 104579),
(160854, 'PTHR45951:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DISPATCHED', 104580),
(160855, 'PTHR16201:SF36', NULL, NULL, NULL, NULL, 'LYSOSOMAL AMINO ACID TRANSPORTER 1 HOMOLOG', 104581),
(160856, 'PTHR33088:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104582),
(160857, 'PTHR43943:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 2, MITOCHONDRIAL', 104583),
(160858, 'PTHR46647', NULL, NULL, NULL, NULL, 'RAB9 EFFECTOR PROTEIN WITH KELCH MOTIFS', 104584),
(160859, 'PTHR11909:SF363', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE', 104585),
(160860, 'PTHR27006:SF438', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104586),
(160861, 'PTHR31744:SF153', NULL, NULL, NULL, NULL, 'BNAA09G41400D PROTEIN', 104587),
(160862, 'PTHR30614:SF41', NULL, NULL, NULL, NULL, 'INNER MEMBRANE AMINO-ACID ABC TRANSPORTER PERMEASE PROTEIN YHDY', 104588),
(160863, 'PTHR24637:SF310', NULL, NULL, NULL, NULL, 'COLLAGEN', 104589),
(160864, 'PTHR45877', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIAH2', 104590),
(160865, 'PTHR22145:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM217B', 104591),
(160866, 'PTHR13620:SF89', NULL, NULL, NULL, NULL, 'BNAC01G44900D PROTEIN', 104592),
(160867, 'PTHR47990:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104593),
(160868, 'PTHR42693:SF2', NULL, NULL, NULL, NULL, 'ARYLSULFATASE F', 104594),
(160869, 'PTHR34197:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104595),
(160870, 'PTHR12002:SF196', NULL, NULL, NULL, NULL, 'CLAUDIN-22', 104596),
(160871, 'PTHR46514:SF4', NULL, NULL, NULL, NULL, 'MYC BOX-DEPENDENT-INTERACTING PROTEIN 1', 104597),
(160872, 'PTHR24366:SF41', NULL, NULL, NULL, NULL, 'FIBRONECTIN LEUCINE RICH TRANSMEMBRANE PROTEIN 2', 104598),
(160873, 'PTHR43254:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 104599),
(160874, 'PTHR46272:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 139-RELATED', 104600),
(160875, 'PTHR47784:SF9', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 104601),
(160876, 'PTHR24064:SF553', NULL, NULL, NULL, NULL, 'CATION/CARNITINE TRANSPORTER, PUTATIVE-RELATED', 104602),
(160877, 'PTHR23412', NULL, NULL, NULL, NULL, 'STEREOCILIN RELATED', 104603);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(160878, 'PTHR46658:SF1', NULL, NULL, NULL, NULL, 'SLR0580 PROTEIN', 104604),
(160879, 'PTHR24068:SF362', NULL, NULL, NULL, NULL, 'BNAC06G42330D PROTEIN', 104605),
(160880, 'PTHR31282:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104606),
(160881, 'PTHR43723:SF1', NULL, NULL, NULL, NULL, 'COBALT TRANSPORT PROTEIN CBIQ', 104607),
(160882, 'PTHR23024:SF386', NULL, NULL, NULL, NULL, 'OS06G0306600 PROTEIN', 104608),
(160883, 'PTHR47245', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 104609),
(160884, 'PTHR35828:SF18', NULL, NULL, NULL, NULL, 'OS03G0703800 PROTEIN', 104610),
(160885, 'PTHR46911:SF1', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE', 104611),
(160886, 'PTHR48079:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104612),
(160887, 'PTHR31985:SF177', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 3-LIKE', 104613),
(160888, 'PTHR31707:SF333', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 104614),
(160889, 'PTHR19277', NULL, NULL, NULL, NULL, 'PENTRAXIN', 104615),
(160890, 'PTHR23021:SF47', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 104616),
(160891, 'PTHR23504:SF31', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 10', 104617),
(160892, 'PTHR22802:SF221', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 104618),
(160893, 'PTHR12537:SF122', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN, PUTATIVE-RELATED', 104619),
(160894, 'PTHR47990:SF83', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', 104620),
(160895, 'PTHR10706:SF148', NULL, NULL, NULL, NULL, 'OS02G0188900 PROTEIN', 104621),
(160896, 'PTHR45932:SF6', NULL, NULL, NULL, NULL, 'PATELLIN-3', 104622),
(160897, 'PTHR12936:SF0', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 10', 104623),
(160898, 'PTHR22996:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LUL3-RELATED', 104624),
(160899, 'PTHR13678:SF18', NULL, NULL, NULL, NULL, 'LD45836P', 104625),
(160900, 'PTHR31339:SF64', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', 104626),
(160901, 'PTHR43077:SF9', NULL, NULL, NULL, NULL, 'TRANSPORT PERMEASE PROTEIN', 104627),
(160902, 'PTHR23050:SF451', NULL, NULL, NULL, NULL, 'EF-HAND PAIR PROTEIN', 104628),
(160903, 'PTHR24361:SF832', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 104629),
(160904, 'PTHR23084:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104630),
(160905, 'PTHR10869:SF179', NULL, NULL, NULL, NULL, 'BNAA04G24820D PROTEIN', 104631),
(160906, 'PTHR24092:SF84', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE VD-RELATED', 104632),
(160907, 'PTHR23430:SF254', NULL, NULL, NULL, NULL, 'HISTONE H2A', 104633),
(160908, 'PTHR33248:SF16', NULL, NULL, NULL, NULL, 'BNAANNG07810D PROTEIN', 104634),
(160909, 'PTHR19336:SF9', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY PROTEIN PPC89', 104635),
(160910, 'PTHR11208:SF45', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 1', 104636),
(160911, 'PTHR19918:SF50', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 20.2, COFACTOR OF APC COMPLEX-LIKE', 104637),
(160912, 'PTHR32054:SF67', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT 1-LIKE ISOFORM X1', 104638),
(160913, 'PTHR31126:SF50', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE DSP1', 104639),
(160914, 'PTHR11616:SF38', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT DOPAMINE TRANSPORTER', 104640),
(160915, 'PTHR31623:SF36', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', 104641),
(160916, 'PTHR45806:SF5', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN, LONGIN-LIKE DOMAIN PROTEIN-RELATED', 104642),
(160917, 'PTHR14000:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104643),
(160918, 'PTHR43313:SF34', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 104644),
(160919, 'PTHR31981:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLATED LYSOSOMAL MEMBRANE PROTEIN', 104645),
(160920, 'PTHR47967:SF8', NULL, NULL, NULL, NULL, 'BNAC05G40510D PROTEIN', 104646),
(160921, 'PTHR43586', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURASE', 104647),
(160922, 'PTHR12266', NULL, NULL, NULL, NULL, 'NA+/CA2+ K+ INDEPENDENT EXCHANGER', 104648);
INSERT INTO "PUBLIC"."MODEL" VALUES
(160923, 'PTHR24015:SF563', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT FAMILY PROTEIN-RELATED', 104649),
(160924, 'PTHR46570', NULL, NULL, NULL, NULL, 'TUBULIN--TYROSINE LIGASE', 104650),
(160925, 'PTHR13832:SF776', NULL, NULL, NULL, NULL, 'SLL1033 PROTEIN', 104651),
(160926, 'PTHR24061:SF524', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104652),
(160927, 'PTHR33459:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104653),
(160928, 'PTHR34951', NULL, NULL, NULL, NULL, 'B6F COMPLEX SUBUNIT, PUTATIVE, EXPRESSED-RELATED', 104654),
(160929, 'PTHR32295:SF185', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', 104655),
(160930, 'PTHR11909:SF89', NULL, NULL, NULL, NULL, 'PROTEIN CBG19720', 104656),
(160931, 'PTHR10707:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 4 ISOFORM 2, MITOCHONDRIAL', 104657),
(160932, 'PTHR10194:SF52', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN NGAP', 104658),
(160933, 'PTHR46245:SF8', NULL, NULL, NULL, NULL, 'BNAA05G11980D PROTEIN', 104659),
(160934, 'PTHR11871:SF43', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', 104660),
(160935, 'PTHR46445:SF3', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II DEGRADATION FACTOR-LIKE PROTEIN (DUF1296)', 104661),
(160936, 'PTHR48058:SF3', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', 104662),
(160937, 'PTHR47669:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN SFH5', 104663),
(160938, 'PTHR38325:SF1', NULL, NULL, NULL, NULL, 'MCG55969', 104664),
(160939, 'PTHR10288:SF229', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN NOVA-1', 104665),
(160940, 'PTHR11165:SF108', NULL, NULL, NULL, NULL, 'SKP1 PROTEIN-RELATED', 104666),
(160941, 'PTHR32133:SF252', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104667),
(160942, 'PTHR43306:SF1', NULL, NULL, NULL, NULL, '7,8-DIHYDRO-6-HYDROXYMETHYLPTERIN DIMETHYLTRANSFERASE', 104668),
(160943, 'PTHR13593:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104669),
(160944, 'PTHR34145:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104670),
(160945, 'PTHR24396:SF19', NULL, NULL, NULL, NULL, 'FI01119P', 104671),
(160946, 'PTHR21450:SF11', NULL, NULL, NULL, NULL, 'OS02G0654600 PROTEIN', 104672),
(160947, 'PTHR30055', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR RUTR', 104673),
(160948, 'PTHR38619:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04644', 104674),
(160949, 'PTHR30115', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN P-II', 104675),
(160950, 'PTHR11673:SF26', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', 104676),
(160951, 'PTHR46960:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE KEG', 104677),
(160952, 'PTHR10992:SF1044', NULL, NULL, NULL, NULL, 'BNAC06G07880D PROTEIN', 104678),
(160953, 'PTHR14949:SF26', NULL, NULL, NULL, NULL, 'TERATOCARCINOMA-DERIVED GROWTH FACTOR 3-RELATED', 104679),
(160954, 'PTHR11042:SF162', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0269628-RELATED', 104680),
(160955, 'PTHR23505:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104681),
(160956, 'PTHR14281:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104682),
(160957, 'PTHR38519', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 104683),
(160958, 'PTHR11108:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104684),
(160959, 'PTHR13120:SF4', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR INI1', 104685),
(160960, 'PTHR11772:SF38', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING] 3', 104686),
(160961, 'PTHR15955', NULL, NULL, NULL, NULL, 'RWD DOMAIN CONTAINING PROTEIN 2', 104687),
(160962, 'PTHR10799:SF982', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE DDM1-LIKE ISOFORM X1', 104688),
(160963, 'PTHR31278:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN-CONTAINING PROTEIN 1', 104689),
(160964, 'PTHR24404:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104690),
(160965, 'PTHR33927', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 104691);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(160966, 'PTHR48016:SF30', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA-LIKE ISOFORM X1', 104692),
(160967, 'PTHR43221:SF1', NULL, NULL, NULL, NULL, 'PROTEASE HTPX', 104693),
(160968, 'PTHR33784:SF33', NULL, NULL, NULL, NULL, 'BNAANNG11990D PROTEIN', 104694),
(160969, 'PTHR45088:SF4', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 104695),
(160970, 'PTHR31973:SF133', NULL, NULL, NULL, NULL, 'OS02G0685500 PROTEIN', 104696),
(160971, 'PTHR37610:SF56', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', 104697),
(160972, 'PTHR26374:SF388', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN-RELATED', 104698),
(160973, 'PTHR43538', NULL, NULL, NULL, NULL, 'ALPHA-IPM SYNTHASE/HOMOCITRATE SYNTHASE', 104699),
(160974, 'PTHR36497', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 104700),
(160975, 'PTHR13343:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CREG1', 104701),
(160976, 'PTHR10625:SF200', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 2', 104702),
(160977, 'PTHR10075:SF37', NULL, NULL, NULL, NULL, 'ROUNDABOUT HOMOLOG 3', 104703),
(160978, 'PTHR31325:SF201', NULL, NULL, NULL, NULL, 'OSJNBB0045P24.5 PROTEIN', 104704),
(160979, 'PTHR33881:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104705),
(160980, 'PTHR24300:SF309', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 104706),
(160981, 'PTHR33526:SF24', NULL, NULL, NULL, NULL, 'BNAC08G14010D PROTEIN', 104707),
(160982, 'PTHR12317:SF63', NULL, NULL, NULL, NULL, '2-ACYLGLYCEROL O-ACYLTRANSFERASE 2', 104708),
(160983, 'PTHR28255', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 104709),
(160984, 'PTHR45717:SF18', NULL, NULL, NULL, NULL, 'PPR CONTAINING PROTEIN', 104710),
(160985, 'PTHR14098:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104711),
(160986, 'PTHR10113:SF21', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1', 104712),
(160987, 'PTHR43539:SF36', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA2', 104713),
(160988, 'PTHR24072:SF326', NULL, NULL, NULL, NULL, 'BNAA07G03440D PROTEIN', 104714),
(160989, 'PTHR24222:SF42', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING/PERMEASE PROTEIN-RELATED', 104715),
(160990, 'PTHR13068:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104716),
(160991, 'PTHR48036:SF2', NULL, NULL, NULL, NULL, 'OS10G0439600 PROTEIN', 104717),
(160992, 'PTHR45776:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 104718),
(160993, 'PTHR22804:SF24', NULL, NULL, NULL, NULL, 'NEUROCAN CORE PROTEIN', 104719),
(160994, 'PTHR47983:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104720),
(160995, 'PTHR43840:SF43', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 3', 104721),
(160996, 'PTHR24068:SF56', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 Q1', 104722),
(160997, 'PTHR24281:SF86', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A5-LIKE', 104723),
(160998, 'PTHR24637:SF352', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 19', 104724),
(160999, 'PTHR34191:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104725),
(161000, 'PTHR22941:SF26', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 104726),
(161001, 'PTHR45712:SF19', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE NEURONAL PROTEIN 2', 104727),
(161002, 'PTHR46380:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-D-BINDING MYB-LIKE TRANSCRIPTION FACTOR 1', 104728),
(161003, 'PTHR33449:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104729),
(161004, 'PTHR46446:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR STYLE2.1', 104730),
(161005, 'PTHR35113', NULL, NULL, NULL, NULL, 'FERREDOXIN-THIOREDOXIN REDUCTASE CATALYTIC CHAIN, CHLOROPLASTIC', 104731),
(161006, 'PTHR33124:SF79', NULL, NULL, NULL, NULL, 'OS05G0157400 PROTEIN', 104732),
(161007, 'PTHR10209:SF776', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', 104733),
(161008, 'PTHR21032:SF0', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 11', 104734),
(161009, 'PTHR13890', NULL, NULL, NULL, NULL, 'RNA SPLICING PROTEIN MRS2, MITOCHONDRIAL', 104735);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(161010, 'PTHR31568:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104736),
(161011, 'PTHR43191:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104737),
(161012, 'PTHR13710:SF135', NULL, NULL, NULL, NULL, 'BNAC08G14630D PROTEIN', 104738),
(161013, 'PTHR13304:SF0', NULL, NULL, NULL, NULL, 'GLYCOSYLPHOSPHATIDYLINOSITOL ANCHOR ATTACHMENT 1 PROTEIN', 104739),
(161014, 'PTHR47991:SF111', NULL, NULL, NULL, NULL, 'CODEINE O-DEMETHYLASE-LIKE', 104740),
(161015, 'PTHR35568:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR DAUR', 104741),
(161016, 'PTHR24340:SF87', NULL, NULL, NULL, NULL, 'NK3 HOMEOBOX 3', 104742),
(161017, 'PTHR20916:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104743),
(161018, 'PTHR27008:SF464', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', 104744),
(161019, 'PTHR24223:SF249', NULL, NULL, NULL, NULL, 'OS02G0288700 PROTEIN', 104745),
(161020, 'PTHR46279:SF15', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL22', 104746),
(161021, 'PTHR44590:SF3', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 104747),
(161022, 'PTHR31374:SF184', NULL, NULL, NULL, NULL, 'PROTEIN SMALL AUXIN UP-REGULATED RNA 10', 104748),
(161023, 'PTHR47279:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-30', 104749),
(161024, 'PTHR34795:SF5', NULL, NULL, NULL, NULL, 'BNAC04G56750D PROTEIN', 104750),
(161025, 'PTHR10209:SF653', NULL, NULL, NULL, NULL, 'CME8 PROTEIN', 104751),
(161026, 'PTHR39767:SF2', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-BINDING MEMBRANE PROTEIN PCM4-RELATED', 104752),
(161027, 'PTHR21290:SF53', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL:CERAMIDE INOSITOLPHOSPHOTRANSFERASE 2', 104753),
(161028, 'PTHR27003:SF359', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 104754),
(161029, 'PTHR31286:SF53', NULL, NULL, NULL, NULL, 'DUF4283 DOMAIN PROTEIN', 104755),
(161030, 'PTHR47979:SF35', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1H-RELATED', 104756),
(161031, 'PTHR12928:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104757),
(161032, 'PTHR34667:SF4', NULL, NULL, NULL, NULL, 'BNAA02G27310D PROTEIN', 104758),
(161033, 'PTHR34145:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104759),
(161034, 'PTHR47293:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104760),
(161035, 'PTHR24366:SF94', NULL, NULL, NULL, NULL, 'SLIT GUIDANCE LIGAND 2', 104761),
(161036, 'PTHR31639:SF228', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104762),
(161037, 'PTHR30461:SF22', NULL, NULL, NULL, NULL, 'SERINE RECOMBINASE PINE-RELATED', 104763),
(161038, 'PTHR28249:SF1', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN SPO7', 104764),
(161039, 'PTHR35014:SF1', NULL, NULL, NULL, NULL, 'INFECTION RESPONSE PROTEIN', 104765),
(161040, 'PTHR10314:SF136', NULL, NULL, NULL, NULL, 'O-PHOSPHOSERINE SULFHYDRYLASE', 104766),
(161041, 'PTHR12268:SF14', NULL, NULL, NULL, NULL, 'IP11188P', 104767),
(161042, 'PTHR11786:SF8', NULL, NULL, NULL, NULL, 'ARYLAMINE N-ACETYLTRANSFERASE 1', 104768),
(161043, 'PTHR43452:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104769),
(161044, 'PTHR24229:SF98', NULL, NULL, NULL, NULL, 'PROTEIN CBG22082', 104770),
(161045, 'PTHR12565:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104771),
(161046, 'PTHR31238:SF224', NULL, NULL, NULL, NULL, 'BNAA05G31360D PROTEIN', 104772),
(161047, 'PTHR13068:SF113', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTEF18, MITOCHONDRIAL', 104773),
(161048, 'PTHR47987:SF15', NULL, NULL, NULL, NULL, 'BNAC02G43880D PROTEIN', 104774),
(161049, 'PTHR35564:SF4', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 104775),
(161050, 'PTHR11475:SF114', NULL, NULL, NULL, NULL, 'PEROXIDASE-LIKE PROTEIN', 104776),
(161051, 'PTHR13388:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 132D', 104777),
(161052, 'PTHR43588', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-8 METHYLMUTASE', 104778),
(161053, 'PTHR36370:SF1', NULL, NULL, NULL, NULL, 'THYLAKOID SOLUBLE PHOSPHOPROTEIN', 104779),
(161054, 'PTHR47102', NULL, NULL, NULL, NULL, 'PROTEIN BNI1', 104780),
(161055, 'PTHR36414:SF3', NULL, NULL, NULL, NULL, 'SUR7 FAMILY PROTEIN FMP45', 104781);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(161056, 'PTHR21139:SF29', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE, CHLOROPLASTIC-LIKE', 104782),
(161057, 'PTHR47229:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 141', 104783),
(161058, 'PTHR23001:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 2', 104784),
(161059, 'PTHR22601:SF80', NULL, NULL, NULL, NULL, 'OPT FAMILY SMALL OLIGOPEPTIDE TRANSPORTER', 104785),
(161060, 'PTHR32141:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104786),
(161061, 'PTHR48111:SF41', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN CUSR-RELATED', 104787),
(161062, 'PTHR23216:SF2', NULL, NULL, NULL, NULL, 'LIS1 HOMOLOGY MOTIF, SRP40-RELATED', 104788),
(161063, 'PTHR14155:SF542', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL41-LIKE', 104789),
(161064, 'PTHR33128:SF60', NULL, NULL, NULL, NULL, 'BNAA06G18990D PROTEIN', 104790),
(161065, 'PTHR15268:SF17', NULL, NULL, NULL, NULL, 'BCLAF1 AND THRAP3 FAMILY MEMBER 3', 104791),
(161066, 'PTHR24281:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104792),
(161067, 'PTHR34359:SF13', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 13-LIKE', 104793),
(161068, 'PTHR23137:SF25', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', 104794),
(161069, 'PTHR34464:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104795),
(161070, 'PTHR11909:SF171', NULL, NULL, NULL, NULL, 'PROTEIN CBG16237', 104796),
(161071, 'PTHR14392:SF4', NULL, NULL, NULL, NULL, 'NIBAN-LIKE PROTEIN 2', 104797),
(161072, 'PTHR32096:SF23', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN WRKY3-LIKE', 104798),
(161073, 'PTHR12542:SF41', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO70A1', 104799),
(161074, 'PTHR24286:SF176', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 STEROL 14 ALPHA-DEMETHYLASE', 104800),
(161075, 'PTHR43671:SF68', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK5-LIKE', 104801),
(161076, 'PTHR11829:SF368', NULL, NULL, NULL, NULL, 'FORKHEAD BOX E1', 104802),
(161077, 'PTHR23227:SF70', NULL, NULL, NULL, NULL, 'CRANIOFACIAL DEVELOPMENT PROTEIN 1', 104803),
(161078, 'PTHR27008:SF404', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 104804),
(161079, 'PTHR23511:SF6', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE GLYCOPROTEIN 2C', 104805),
(161080, 'PTHR13598:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE INTEGRAL MEMBRANE PROTEIN 2', 104806),
(161081, 'PTHR34208:SF2', NULL, NULL, NULL, NULL, 'PECTIN METHYLESTERASE CGR2-RELATED', 104807),
(161082, 'PTHR43670:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RESTRICTED TEV MOVEMENT 2', 104808),
(161083, 'PTHR33738:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104809),
(161084, 'PTHR13448:SF9', NULL, NULL, NULL, NULL, 'BNAA09G09250D PROTEIN', 104810),
(161085, 'PTHR10514:SF43', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME', 104811),
(161086, 'PTHR27005:SF216', NULL, NULL, NULL, NULL, 'BNACNNG36690D PROTEIN', 104812),
(161087, 'PTHR10288:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104813),
(161088, 'PTHR33377:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104814),
(161089, 'PTHR31375:SF201', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 28, PECTIN LYASE FOLD/VIRULENCE FACTOR-RELATED', 104815),
(161090, 'PTHR31790:SF267', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE-RELATED', 104816),
(161091, 'PTHR42199', NULL, NULL, NULL, NULL, 'UPF0212 PROTEIN MJ0068', 104817),
(161092, 'PTHR10570', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD3 GAMMA CHAIN / DELTA CHAIN', 104818),
(161093, 'PTHR13408:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104819),
(161094, 'PTHR13780:SF125', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 70 PROTEIN', 104820),
(161095, 'PTHR32017:SF3', NULL, NULL, NULL, NULL, 'SPINDLE AND KINETOCHORE-ASSOCIATED PROTEIN 2', 104821),
(161096, 'PTHR45819:SF6', NULL, NULL, NULL, NULL, 'ARF-GAP WITH GTPASE, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 11', 104822),
(161097, 'PTHR22835:SF500', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104823),
(161098, 'PTHR43986:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104824);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(161099, 'PTHR30546:SF44', NULL, NULL, NULL, NULL, 'BNAA10G28340D PROTEIN', 104825),
(161100, 'PTHR46105:SF2', NULL, NULL, NULL, NULL, 'NUCLEUS ACCUMBENS-ASSOCIATED PROTEIN 2', 104826),
(161101, 'PTHR10901:SF18', NULL, NULL, NULL, NULL, 'TROPOMODULIN-3', 104827),
(161102, 'PTHR31285', NULL, NULL, NULL, NULL, 'NICOTINAMIDE MONONUCLEOTIDE ADENYLYLTRANSFERASE', 104828),
(161103, 'PTHR43900:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTF15', 104829),
(161104, 'PTHR48001:SF40', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 3A1', 104830),
(161105, 'PTHR13869:SF3', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL SUBUNIT BETA-2', 104831),
(161106, 'PTHR24393:SF93', NULL, NULL, NULL, NULL, 'ENDOTHELIAL ZINC FINGER PROTEIN INDUCED BY TUMOR NECROSIS FACTOR ALPHA', 104832),
(161107, 'PTHR24015:SF858', NULL, NULL, NULL, NULL, 'OS03G0852000 PROTEIN', 104833),
(161108, 'PTHR31942:SF68', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 104834),
(161109, 'PTHR35855:SF2', NULL, NULL, NULL, NULL, 'SKN-1 DEPENDENT ZYGOTIC TRANSCRIPT 1 PROTEIN', 104835),
(161110, 'PTHR31468:SF2', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE GAS1', 104836),
(161111, 'PTHR31668', NULL, NULL, NULL, NULL, 'GLUCOSE TRANSPORT TRANSCRIPTION REGULATOR RGT1-RELATED-RELATED', 104837),
(161112, 'PTHR23514:SF18', NULL, NULL, NULL, NULL, 'GLUCOSE/MANNOSE TRANSPORTER GLCP', 104838),
(161113, 'PTHR43490:SF100', NULL, NULL, NULL, NULL, 'BNAANNG14460D PROTEIN', 104839),
(161114, 'PTHR11486:SF142', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', 104840),
(161115, 'PTHR48053:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104841),
(161116, 'PTHR46998:SF5', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 12', 104842),
(161117, 'PTHR31642:SF266', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 104843),
(161118, 'PTHR33132:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104844),
(161119, 'PTHR11738:SF108', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY B MEMBER 5', 104845),
(161120, 'PTHR46443:SF19', NULL, NULL, NULL, NULL, 'PROTEIN MARD1-LIKE', 104846),
(161121, 'PTHR35477:SF4', NULL, NULL, NULL, NULL, 'BNAA03G53370D PROTEIN', 104847),
(161122, 'PTHR31080:SF238', NULL, NULL, NULL, NULL, 'BNAA02G33370D PROTEIN', 104848),
(161123, 'PTHR23505:SF1', NULL, NULL, NULL, NULL, 'SPINSTER (DROSOPHILA LYSOSOMAL PERMEASE) HOMOLOG', 104849),
(161124, 'PTHR42850:SF5', NULL, NULL, NULL, NULL, 'BIS(5''-NUCLEOSYL)-TETRAPHOSPHATASE [SYMMETRICAL]', 104850),
(161125, 'PTHR19282:SF443', NULL, NULL, NULL, NULL, 'TETRASPANIN-15', 104851),
(161126, 'PTHR33136:SF67', NULL, NULL, NULL, NULL, 'BNAA05G31730D PROTEIN', 104852),
(161127, 'PTHR11937:SF409', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2', 104853),
(161128, 'PTHR33922:SF13', NULL, NULL, NULL, NULL, 'BNAA09G07450D PROTEIN', 104854),
(161129, 'PTHR33239:SF9', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING DOMAIN-CONTAINING PROTEIN', 104855),
(161130, 'PTHR46482:SF4', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE 1, CHLOROPLASTIC-RELATED', 104856),
(161131, 'PTHR23315:SF289', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 104857),
(161132, 'PTHR31080:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104858),
(161133, 'PTHR31989:SF54', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 91', 104859),
(161134, 'PTHR30363:SF29', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE REGULON REPRESSOR', 104860),
(161135, 'PTHR46165', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN 4', 104861),
(161136, 'PTHR24015:SF1956', NULL, NULL, NULL, NULL, 'OS03G0816600 PROTEIN', 104862),
(161137, 'PTHR32444:SF114', NULL, NULL, NULL, NULL, 'OS12G0177800 PROTEIN', 104863),
(161138, 'PTHR45710:SF8', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 2 MEMBER A', 104864),
(161139, 'PTHR13462:SF34', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN 2, MITOCHONDRIAL', 104865),
(161140, 'PTHR47953:SF5', NULL, NULL, NULL, NULL, 'OS08G0105600 PROTEIN', 104866),
(161141, 'PTHR31087:SF61', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 11-LIKE', 104867);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(161142, 'PTHR38430:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-ARGININE KINASE ACTIVATOR PROTEIN', 104868),
(161143, 'PTHR11746:SF93', NULL, NULL, NULL, NULL, 'OS08G0290700 PROTEIN', 104869),
(161144, 'PTHR46125:SF22', NULL, NULL, NULL, NULL, 'BNAA05G19840D PROTEIN', 104870),
(161145, 'PTHR35094:SF9', NULL, NULL, NULL, NULL, 'BNAC07G13360D PROTEIN', 104871),
(161146, 'PTHR11945:SF556', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN FLOWERING LOCUS C-LIKE', 104872),
(161147, 'PTHR35738:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104873),
(161148, 'PTHR12629:SF62', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 17, MITOCHONDRIAL', 104874),
(161149, 'PTHR43572:SF34', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 3-LIKE', 104875),
(161150, 'PTHR31871:SF27', NULL, NULL, NULL, NULL, 'BNAC01G38710D PROTEIN', 104876),
(161151, 'PTHR43895:SF17', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 13-RELATED', 104877),
(161152, 'PTHR19846:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104878),
(161153, 'PTHR21229:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104879),
(161154, 'PTHR11006:SF106', NULL, NULL, NULL, NULL, 'ARGININE METHYLTRANSFERASE 8', 104880),
(161155, 'PTHR24068:SF323', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1', 104881),
(161156, 'PTHR45715:SF15', NULL, NULL, NULL, NULL, 'BNAC03G72900D PROTEIN', 104882),
(161157, 'PTHR14969:SF13', NULL, NULL, NULL, NULL, 'AT30094P', 104883),
(161158, 'PTHR16517:SF2', NULL, NULL, NULL, NULL, 'TUBBY-RELATED PROTEIN 4', 104884),
(161159, 'PTHR39599', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN (EUROFUNG)-RELATED-RELATED', 104885),
(161160, 'PTHR46254:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104886),
(161161, 'PTHR11564:SF35', NULL, NULL, NULL, NULL, 'BNAC02G02820D PROTEIN', 104887),
(161162, 'PTHR11071:SF378', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 104888),
(161163, 'PTHR31852:SF125', NULL, NULL, NULL, NULL, 'OS05G0526700 PROTEIN', 104889),
(161164, 'PTHR46074:SF4', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PROTEIN 3', 104890),
(161165, 'PTHR23516:SF16', NULL, NULL, NULL, NULL, 'BNAA06G16000D PROTEIN', 104891),
(161166, 'PTHR24282:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 104892),
(161167, 'PTHR31221:SF127', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 71-RELATED', 104893),
(161168, 'PTHR31920:SF57', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN DDB_G0278469', 104894),
(161169, 'PTHR31942:SF74', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 15', 104895),
(161170, 'PTHR44329:SF184', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE EDR1-LIKE ISOFORM X1', 104896),
(161171, 'PTHR23272:SF126', NULL, NULL, NULL, NULL, 'OS02G0254550 PROTEIN', 104897),
(161172, 'PTHR24301:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 104898),
(161173, 'PTHR12277:SF170', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 104899),
(161174, 'PTHR11245', NULL, NULL, NULL, NULL, 'STANNIOCALCIN', 104900),
(161175, 'PTHR27007:SF51', NULL, NULL, NULL, NULL, 'OS02G0712700 PROTEIN', 104901),
(161176, 'PTHR31834:SF8', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14040)-RELATED', 104902),
(161177, 'PTHR46610:SF1', NULL, NULL, NULL, NULL, 'OS06G0147300 PROTEIN', 104903),
(161178, 'PTHR20904:SF0', NULL, NULL, NULL, NULL, 'INDUCIBLE T-CELL COSTIMULATOR', 104904),
(161179, 'PTHR35559:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104905),
(161180, 'PTHR31190:SF286', NULL, NULL, NULL, NULL, 'BNAANNG40920D PROTEIN', 104906),
(161181, 'PTHR43173:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104907),
(161182, 'PTHR33098:SF64', NULL, NULL, NULL, NULL, 'OS08G0448100 PROTEIN', 104908),
(161183, 'PTHR21501:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM161B', 104909),
(161184, 'PTHR34946:SF13', NULL, NULL, NULL, NULL, 'BNAA06G34390D PROTEIN', 104910),
(161185, 'PTHR11863:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104911),
(161186, 'PTHR33869:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104912),
(161187, 'PTHR31080:SF156', NULL, NULL, NULL, NULL, 'BNAC09G20800D PROTEIN', 104913);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(161188, 'PTHR45496:SF15', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN PROTEIN', 104914),
(161189, 'PTHR27008:SF299', NULL, NULL, NULL, NULL, 'OS02G0210700 PROTEIN', 104915),
(161190, 'PTHR46224:SF25', NULL, NULL, NULL, NULL, 'OS12G0636100 PROTEIN', 104916),
(161191, 'PTHR45752:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 39', 104917),
(161192, 'PTHR33021:SF339', NULL, NULL, NULL, NULL, 'BNAA09G04270D PROTEIN', 104918),
(161193, 'PTHR24543:SF310', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR VIII', 104919),
(161194, 'PTHR46141', NULL, NULL, NULL, NULL, 'SODIUM LEAK CHANNEL NON-SELECTIVE PROTEIN', 104920),
(161195, 'PTHR14140:SF43', NULL, NULL, NULL, NULL, 'UBIQUITIN LIGASE NP95, PUTATIVE-RELATED', 104921),
(161196, 'PTHR32295:SF170', NULL, NULL, NULL, NULL, 'OS01G0190500 PROTEIN', 104922),
(161197, 'PTHR47928:SF104', NULL, NULL, NULL, NULL, 'OS01G0800400 PROTEIN', 104923),
(161198, 'PTHR11502:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', 104924),
(161199, 'PTHR47929:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104925),
(161200, 'PTHR47958:SF96', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX23-RELATED', 104926),
(161201, 'PTHR11954:SF6', NULL, NULL, NULL, NULL, 'MACROPHAGE MIGRATION INHIBITORY FACTOR', 104927),
(161202, 'PTHR10740:SF1', NULL, NULL, NULL, NULL, 'PROTRANSFORMING GROWTH FACTOR ALPHA', 104928),
(161203, 'PTHR34591:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104929),
(161204, 'PTHR13683:SF821', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE CDR1-LIKE', 104930),
(161205, 'PTHR24291:SF164', NULL, NULL, NULL, NULL, 'PROTEIN LUTEIN DEFICIENT 5, CHLOROPLASTIC-LIKE', 104931),
(161206, 'PTHR45634:SF5', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 9', 104932),
(161207, 'PTHR28342:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104933),
(161208, 'PTHR45613:SF50', NULL, NULL, NULL, NULL, 'OS03G0761300 PROTEIN', 104934),
(161209, 'PTHR24180:SF27', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT35-RELATED', 104935),
(161210, 'PTHR24282:SF180', NULL, NULL, NULL, NULL, 'CYTOCHROME', 104936),
(161211, 'PTHR31251:SF105', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 5', 104937),
(161212, 'PTHR47942', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN-RELATED', 104938),
(161213, 'PTHR12002:SF184', NULL, NULL, NULL, NULL, 'CLAUDIN', 104939),
(161214, 'PTHR41791:SF1', NULL, NULL, NULL, NULL, 'SSL7039 PROTEIN', 104940),
(161215, 'PTHR10807:SF75', NULL, NULL, NULL, NULL, 'LD11744P', 104941),
(161216, 'PTHR24384:SF214', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 66-RELATED', 104942),
(161217, 'PTHR13779', NULL, NULL, NULL, NULL, 'WERNER HELICASE-INTERACTING PROTEIN 1 FAMILY MEMBER', 104943),
(161218, 'PTHR14759', NULL, NULL, NULL, NULL, 'STOP PROTEIN', 104944),
(161219, 'PTHR28620:SF3', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN V-LIKE PROTEIN 1', 104945),
(161220, 'PTHR31472:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104946),
(161221, 'PTHR21706', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 65', 104947),
(161222, 'PTHR11206:SF333', NULL, NULL, NULL, NULL, 'MATE EFFLUX FAMILY PROTEIN-RELATED', 104948),
(161223, 'PTHR45707:SF37', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN', 104949),
(161224, 'PTHR34939:SF6', NULL, NULL, NULL, NULL, 'BNAC05G25250D PROTEIN', 104950),
(161225, 'PTHR24115:SF576', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF15', 104951),
(161226, 'PTHR37019', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 104952),
(161227, 'PTHR23428:SF216', NULL, NULL, NULL, NULL, 'HISTONE H2B 1/2/3/4/6-RELATED', 104953),
(161228, 'PTHR12542:SF135', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 104954),
(161229, 'PTHR24055:SF457', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 104955),
(161230, 'PTHR22811:SF177', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 2', 104956),
(161231, 'PTHR37441:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR B0244.7-RELATED', 104957);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(161232, 'PTHR10857:SF127', NULL, NULL, NULL, NULL, 'COPINE VA', 104958),
(161233, 'PTHR45701:SF1', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 1', 104959),
(161234, 'PTHR28074:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT K, MITOCHONDRIAL', 104960),
(161235, 'PTHR45910:SF1', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 20', 104961),
(161236, 'PTHR43574:SF17', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 1', 104962),
(161237, 'PTHR31297:SF36', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, CATALYTIC DOMAIN', 104963),
(161238, 'PTHR22930:SF198', NULL, NULL, NULL, NULL, 'SI:DKEY-228L14.1', 104964),
(161239, 'PTHR31503:SF18', NULL, NULL, NULL, NULL, 'CA(2+)/H(+) EXCHANGER, PUTATIVE (EUROFUNG)-RELATED', 104965),
(161240, 'PTHR48019:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104966),
(161241, 'PTHR18884:SF6', NULL, NULL, NULL, NULL, 'SEPTIN-1', 104967),
(161242, 'PTHR35744:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER (C2H2 TYPE) FAMILY PROTEIN', 104968),
(161243, 'PTHR33138:SF1', NULL, NULL, NULL, NULL, 'OS01G0690200 PROTEIN', 104969),
(161244, 'PTHR42789:SF1', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G10090)', 104970),
(161245, 'PTHR24393:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 580', 104971),
(161246, 'PTHR12917', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE DDI-RELATED', 104972),
(161247, 'PTHR11426:SF214', NULL, NULL, NULL, NULL, 'HISTONE H3', 104973),
(161248, 'PTHR31580:SF8', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PROTEIN (DUF869)', 104974),
(161249, 'PTHR11630:SF48', NULL, NULL, NULL, NULL, 'DNA HELICASE MCM9', 104975),
(161250, 'PTHR46431:SF12', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN-RELATED', 104976),
(161251, 'PTHR45090:SF16', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 20, CHLOROPLASTIC-LIKE', 104977),
(161252, 'PTHR31080:SF6', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 104978),
(161253, 'PTHR23510:SF70', NULL, NULL, NULL, NULL, 'BNAA09G12960D PROTEIN', 104979),
(161254, 'PTHR31065:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104980),
(161255, 'PTHR11012:SF19', NULL, NULL, NULL, NULL, 'AGAP013201-PA', 104981),
(161256, 'PTHR33033:SF65', NULL, NULL, NULL, NULL, 'OS10G0430100 PROTEIN', 104982),
(161257, 'PTHR12881:SF13', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 1', 104983),
(161258, 'PTHR48018:SF69', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 104984),
(161259, 'PTHR31343:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104985),
(161260, 'PTHR31989:SF240', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29-LIKE', 104986),
(161261, 'PTHR34936:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104987),
(161262, 'PTHR35395:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104988),
(161263, 'PTHR37475:SF1', NULL, NULL, NULL, NULL, 'ZYGOTE-SPECIFIC CLASS V COPY B GENE PROTEIN', 104989),
(161264, 'PTHR11010:SF80', NULL, NULL, NULL, NULL, 'LYSOSOMAL PRO-X CARBOXYPEPTIDASE-LIKE PROTEIN', 104990),
(161265, 'PTHR12262:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104991),
(161266, 'PTHR15710:SF99', NULL, NULL, NULL, NULL, 'BNAA02G07020D PROTEIN', 104992),
(161267, 'PTHR13268:SF14', NULL, NULL, NULL, NULL, 'BNAA09G15650D PROTEIN', 104993),
(161268, 'PTHR12461:SF42', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 8-LIKE ISOFORM X1', 104994),
(161269, 'PTHR10665:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 104995),
(161270, 'PTHR15907:SF160', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 10-RELATED', 104996),
(161271, 'PTHR31664:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG16427', 104997),
(161272, 'PTHR23024:SF542', NULL, NULL, NULL, NULL, 'ESTERASE, PUTATIVE-RELATED', 104998),
(161273, 'PTHR28603', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 243', 104999),
(161274, 'PTHR31238:SF221', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105000),
(161275, 'PTHR43080:SF14', NULL, NULL, NULL, NULL, 'CBS DOMAIN', 105001),
(161276, 'PTHR23155:SF1012', NULL, NULL, NULL, NULL, 'OS11G0462500 PROTEIN', 105002);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(161277, 'PTHR10410:SF33', NULL, NULL, NULL, NULL, 'BNAC07G13420D PROTEIN', 105003),
(161278, 'PTHR13439:SF48', NULL, NULL, NULL, NULL, 'OS05G0511000 PROTEIN', 105004),
(161279, 'PTHR46479', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 2', 105005),
(161280, 'PTHR13486:SF2', NULL, NULL, NULL, NULL, 'TELOMERE LENGTH AND SILENCING PROTEIN 1 HOMOLOG', 105006),
(161281, 'PTHR12374:SF57', NULL, NULL, NULL, NULL, 'OS01G0603300 PROTEIN', 105007),
(161282, 'PTHR31677:SF73', NULL, NULL, NULL, NULL, 'OS09G0298332 PROTEIN', 105008),
(161283, 'PTHR14110:SF23', NULL, NULL, NULL, NULL, 'BNACNNG46450D PROTEIN', 105009),
(161284, 'PTHR23423', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER-RELATED', 105010),
(161285, 'PTHR37982:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105011),
(161286, 'PTHR36117', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE 3-MONOOXYGENASE-RELATED', 105012),
(161287, 'PTHR36221:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105013),
(161288, 'PTHR11670:SF57', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE 2, MITOCHONDRIAL', 105014),
(161289, 'PTHR31989:SF361', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 41-LIKE', 105015),
(161290, 'PTHR15028', NULL, NULL, NULL, NULL, 'CD72-RELATED', 105016),
(161291, 'PTHR31374:SF118', NULL, NULL, NULL, NULL, 'OS02G0305950 PROTEIN', 105017),
(161292, 'PTHR10108:SF1109', NULL, NULL, NULL, NULL, 'BNACNNG15370D PROTEIN', 105018),
(161293, 'PTHR33608:SF3', NULL, NULL, NULL, NULL, 'SLR2013 PROTEIN', 105019),
(161294, 'PTHR32166:SF71', NULL, NULL, NULL, NULL, 'OS05G0326663 PROTEIN', 105020),
(161295, 'PTHR21229:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105021),
(161296, 'PTHR45981:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH10-RELATED', 105022),
(161297, 'PTHR31824:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG17809', 105023),
(161298, 'PTHR10132:SF14', NULL, NULL, NULL, NULL, 'SARCOGLYCAN ALPHA, ISOFORM C', 105024),
(161299, 'PTHR21392:SF0', NULL, NULL, NULL, NULL, 'DTW DOMAIN-CONTAINING PROTEIN 2', 105025),
(161300, 'PTHR47410:SF1', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 8', 105026),
(161301, 'PTHR22762:SF66', NULL, NULL, NULL, NULL, 'SUCRASE-ISOMALTASE, INTESTINAL', 105027),
(161302, 'PTHR11839', NULL, NULL, NULL, NULL, 'UDP/ADP-SUGAR PYROPHOSPHATASE', 105028),
(161303, 'PTHR45793:SF18', NULL, NULL, NULL, NULL, 'LEUCINE-TWENTY HOMEOBOX', 105029),
(161304, 'PTHR43655:SF8', NULL, NULL, NULL, NULL, 'PARAPLEGIN', 105030),
(161305, 'PTHR39369:SF6', NULL, NULL, NULL, NULL, 'LIN-24 (TWENTY-FOUR) LIKE', 105031),
(161306, 'PTHR16523:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105032),
(161307, 'PTHR19876:SF47', NULL, NULL, NULL, NULL, 'BNAA06G40510D PROTEIN', 105033),
(161308, 'PTHR31558:SF30', NULL, NULL, NULL, NULL, 'BNAC05G10210D PROTEIN', 105034),
(161309, 'PTHR12450:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105035),
(161310, 'PTHR33936', NULL, NULL, NULL, NULL, 'PROTEIN CBG17840', 105036),
(161311, 'PTHR20993', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 105037),
(161312, 'PTHR35859', NULL, NULL, NULL, NULL, 'NONSELECTIVE CATION CHANNEL PROTEIN', 105038),
(161313, 'PTHR31302:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105039),
(161314, 'PTHR45676:SF49', NULL, NULL, NULL, NULL, 'OS12G0432600 PROTEIN', 105040),
(161315, 'PTHR24068:SF373', NULL, NULL, NULL, NULL, 'BNAC06G03670D PROTEIN', 105041),
(161316, 'PTHR38769:SF1', NULL, NULL, NULL, NULL, 'UPF0381 PROTEIN YFCZ-RELATED', 105042),
(161317, 'PTHR31691', NULL, NULL, NULL, NULL, 'ROTATIN', 105043),
(161318, 'PTHR33356:SF13', NULL, NULL, NULL, NULL, 'OS01G0850000 PROTEIN', 105044),
(161319, 'PTHR13354:SF8', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 9', 105045),
(161320, 'PTHR39434', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 105046),
(161321, 'PTHR46400:SF14', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE BIG BROTHER-LIKE', 105047),
(161322, 'PTHR36174:SF2', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE FEMA', 105048),
(161323, 'PTHR12399:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT D', 105049);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(161324, 'PTHR14296:SF8', NULL, NULL, NULL, NULL, 'BNAA09G44400D PROTEIN', 105050),
(161325, 'PTHR24328', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MOX', 105051),
(161326, 'PTHR10593:SF114', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 5 CHLOROPLASTIC', 105052),
(161327, 'PTHR22847:SF672', NULL, NULL, NULL, NULL, 'OS08G0531200 PROTEIN', 105053),
(161328, 'PTHR11685:SF343', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 105054),
(161329, 'PTHR48047:SF12', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 89A2-LIKE', 105055),
(161330, 'PTHR22957:SF193', NULL, NULL, NULL, NULL, 'USP6 N-TERMINAL-LIKE PROTEIN', 105056),
(161331, 'PTHR44843:SF11', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 105057),
(161332, 'PTHR22793:SF12', NULL, NULL, NULL, NULL, 'MYOCARDIN-RELATED TRANSCRIPTION FACTOR, ISOFORM H', 105058),
(161333, 'PTHR11593:SF30', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17-1', 105059),
(161334, 'PTHR13318:SF188', NULL, NULL, NULL, NULL, 'BNAA09G04600D PROTEIN', 105060),
(161335, 'PTHR19325:SF501', NULL, NULL, NULL, NULL, 'BETA-2-GLYCOPROTEIN 1', 105061),
(161336, 'PTHR47988:SF31', NULL, NULL, NULL, NULL, 'BNAA06G24170D PROTEIN', 105062),
(161337, 'PTHR33179:SF47', NULL, NULL, NULL, NULL, 'EPSIN-LIKE', 105063),
(161338, 'PTHR22943:SF50', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 105064),
(161339, 'PTHR40700', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED, DUF63 FAMILY', 105065),
(161340, 'PTHR23055:SF80', NULL, NULL, NULL, NULL, 'GUANYLYL CYCLASE-ACTIVATING PROTEIN 3', 105066),
(161341, 'PTHR24356:SF163', NULL, NULL, NULL, NULL, '3-PHOSPHOINOSITIDE-DEPENDENT PROTEIN KINASE 1-RELATED', 105067),
(161342, 'PTHR28399', NULL, NULL, NULL, NULL, 'BARTTIN', 105068),
(161343, 'PTHR32410:SF179', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 105069),
(161344, 'PTHR31388:SF188', NULL, NULL, NULL, NULL, 'PEROXIDASE', 105070),
(161345, 'PTHR12276:SF101', NULL, NULL, NULL, NULL, 'CLATHRIN INTERACTOR EPSIN 1-LIKE', 105071),
(161346, 'PTHR15819:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN FAM155B', 105072),
(161347, 'PTHR12517:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13B', 105073),
(161348, 'PTHR23236:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105074),
(161349, 'PTHR31388:SF235', NULL, NULL, NULL, NULL, 'PEROXIDASE', 105075),
(161350, 'PTHR45728', NULL, NULL, NULL, NULL, 'ACETYL-COA CARBOXYLASE, ISOFORM A', 105076),
(161351, 'PTHR37750:SF1', NULL, NULL, NULL, NULL, 'COX19-LIKE CHCH FAMILY PROTEIN', 105077),
(161352, 'PTHR10623:SF33', NULL, NULL, NULL, NULL, 'OSJNBA0063C18.9 PROTEIN', 105078),
(161353, 'PTHR36057:SF6', NULL, NULL, NULL, NULL, 'BNAC09G30620D PROTEIN', 105079),
(161354, 'PTHR28241', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT PROTEIN 1', 105080),
(161355, 'PTHR22683:SF42', NULL, NULL, NULL, NULL, 'DNA TRANSLOCASE SFTA', 105081),
(161356, 'PTHR33565:SF14', NULL, NULL, NULL, NULL, 'DORMANCY ASSOCIATED1', 105082),
(161357, 'PTHR44094:SF14', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', 105083),
(161358, 'PTHR11984:SF39', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', 105084),
(161359, 'PTHR10202:SF25', NULL, NULL, NULL, NULL, 'PRESENILIN SPE-4', 105085),
(161360, 'PTHR24032:SF39', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', 105086),
(161361, 'PTHR43899:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105087),
(161362, 'PTHR10795:SF627', NULL, NULL, NULL, NULL, 'OSJNBA0065O17.13 PROTEIN', 105088),
(161363, 'PTHR22916:SF67', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE', 105089),
(161364, 'PTHR24264:SF40', NULL, NULL, NULL, NULL, 'HYALURONAN-BINDING PROTEIN 2', 105090),
(161365, 'PTHR47991:SF95', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE ISOFORM X1', 105091),
(161366, 'PTHR46267:SF2', NULL, NULL, NULL, NULL, 'SINGLE MYB HISTONE 1', 105092),
(161367, 'PTHR48050:SF8', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 1-1', 105093),
(161368, 'PTHR31344:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP205', 105094);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(161369, 'PTHR30354:SF9', NULL, NULL, NULL, NULL, 'GNT-II SYSTEM L-IDONATE TRANSPORTER', 105095),
(161370, 'PTHR45894:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN Y14B', 105096),
(161371, 'PTHR24637:SF309', NULL, NULL, NULL, NULL, 'COLLAGEN', 105097),
(161372, 'PTHR35095:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 105098),
(161373, 'PTHR46696', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 105099),
(161374, 'PTHR33286:SF40', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 105100),
(161375, 'PTHR47926:SF247', NULL, NULL, NULL, NULL, 'BNAC03G58820D PROTEIN', 105101),
(161376, 'PTHR33203:SF56', NULL, NULL, NULL, NULL, 'OS06G0473800 PROTEIN', 105102),
(161377, 'PTHR47122:SF3', NULL, NULL, NULL, NULL, 'TRF-LIKE 6', 105103),
(161378, 'PTHR44468:SF3', NULL, NULL, NULL, NULL, 'COXSACKIEVIRUS AND ADENOVIRUS RECEPTOR', 105104),
(161379, 'PTHR12911:SF24', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 3', 105105),
(161380, 'PTHR11972:SF172', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE-RELATED', 105106),
(161381, 'PTHR12153', NULL, NULL, NULL, NULL, 'SELENOPROTEIN O', 105107),
(161382, 'PTHR34129:SF1', NULL, NULL, NULL, NULL, 'BLR1139 PROTEIN', 105108),
(161383, 'PTHR10698:SF4', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT H', 105109),
(161384, 'PTHR33831', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN', 105110),
(161385, 'PTHR23252:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105111),
(161386, 'PTHR16260:SF5', NULL, NULL, NULL, NULL, 'CHROMOSOME 14 C14ORF119 HOMOLOG', 105112),
(161387, 'PTHR23024:SF538', NULL, NULL, NULL, NULL, 'OS07G0643100 PROTEIN', 105113),
(161388, 'PTHR47405:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 105114),
(161389, 'PTHR31984:SF12', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 105115),
(161390, 'PTHR10631:SF1', NULL, NULL, NULL, NULL, 'TRMT1-LIKE PROTEIN', 105116),
(161391, 'PTHR31044:SF73', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', 105117),
(161392, 'PTHR18966:SF528', NULL, NULL, NULL, NULL, 'BNAA04G16940D PROTEIN', 105118),
(161393, 'PTHR11592:SF41', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 1', 105119),
(161394, 'PTHR31234:SF30', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 105120),
(161395, 'PTHR12357:SF84', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CARBOXY-TERMINAL REGION PROTEIN', 105121),
(161396, 'PTHR47319:SF22', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND PROTEIN', 105122),
(161397, 'PTHR32100:SF67', NULL, NULL, NULL, NULL, 'BNAC03G67820D PROTEIN', 105123),
(161398, 'PTHR48022:SF35', NULL, NULL, NULL, NULL, 'GLUCOSE TRANSPORTER, PUTATIVE-RELATED', 105124),
(161399, 'PTHR31314:SF21', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL4-RELATED', 105125),
(161400, 'PTHR33386:SF11', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL-GLYCEROL-3-PHOSPHATE 3-PHOSPHATIDYLTRANSFERASE', 105126),
(161401, 'PTHR11571:SF232', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 1', 105127),
(161402, 'PTHR24073:SF1152', NULL, NULL, NULL, NULL, 'SMALL GTPASE', 105128),
(161403, 'PTHR21567:SF30', NULL, NULL, NULL, NULL, 'CLIP-ASSOCIATING PROTEIN 2', 105129),
(161404, 'PTHR27007:SF229', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.5-RELATED', 105130),
(161405, 'PTHR24343:SF448', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 105131),
(161406, 'PTHR38703:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 105132),
(161407, 'PTHR47676:SF1', NULL, NULL, NULL, NULL, 'OS01G0225100 PROTEIN', 105133),
(161408, 'PTHR15832', NULL, NULL, NULL, NULL, 'SHC (SRC HOMOLOGY DOMAIN C-TERMINAL) ADAPTOR HOMOLOG', 105134),
(161409, 'PTHR22168', NULL, NULL, NULL, NULL, 'TMEM26 PROTEIN', 105135),
(161410, 'PTHR12606:SF100', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 1B-RELATED', 105136),
(161411, 'PTHR37616:SF2', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 60-LIKE', 105137),
(161412, 'PTHR46097:SF4', NULL, NULL, NULL, NULL, 'ARF GTPASE-ACTIVATING PROTEIN GIT2', 105138);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(161413, 'PTHR47926:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105139),
(161414, 'PTHR23257:SF716', NULL, NULL, NULL, NULL, 'KINASE SUPPRESSOR OF RAS 1', 105140),
(161415, 'PTHR43514:SF3', NULL, NULL, NULL, NULL, 'SULFATE/THIOSULFATE IMPORT ATP-BINDING PROTEIN CYSA', 105141),
(161416, 'PTHR12419:SF77', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN DDB_G0284757-LIKE', 105142),
(161417, 'PTHR46223', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUV39H', 105143),
(161418, 'PTHR46008:SF8', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.1 ISOFORM X1', 105144),
(161419, 'PTHR33128:SF67', NULL, NULL, NULL, NULL, 'F1C9.28 PROTEIN', 105145),
(161420, 'PTHR33074:SF83', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 105146),
(161421, 'PTHR33098:SF80', NULL, NULL, NULL, NULL, 'DUF761 DOMAIN PROTEIN', 105147),
(161422, 'PTHR14190:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105148),
(161423, 'PTHR23421:SF163', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 105149),
(161424, 'PTHR43343:SF6', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 5, CHLOROPLASTIC ISOFORM X1', 105150),
(161425, 'PTHR32009:SF85', NULL, NULL, NULL, NULL, 'BNAC01G15260D PROTEIN', 105151),
(161426, 'PTHR47980:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG02097', 105152),
(161427, 'PTHR24559:SF283', NULL, NULL, NULL, NULL, 'POL93P', 105153),
(161428, 'PTHR42696', NULL, NULL, NULL, NULL, 'ASPARTATE AMMONIA-LYASE', 105154),
(161429, 'PTHR23431:SF3', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC5', 105155),
(161430, 'PTHR24248:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105156),
(161431, 'PTHR22773:SF41', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 2', 105157),
(161432, 'PTHR31342:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC-LIKE', 105158),
(161433, 'PTHR44170:SF3', NULL, NULL, NULL, NULL, 'BROTHER OF CDO', 105159),
(161434, 'PTHR34145:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105160),
(161435, 'PTHR10644:SF3', NULL, NULL, NULL, NULL, 'DNA DAMAGE-BINDING PROTEIN 1', 105161),
(161436, 'PTHR47965:SF59', NULL, NULL, NULL, NULL, 'ASPARTIC ENDOPEPTIDASE-RELATED', 105162),
(161437, 'PTHR31867:SF123', NULL, NULL, NULL, NULL, 'EXPANSIN', 105163),
(161438, 'PTHR42706:SF2', NULL, NULL, NULL, NULL, 'FORMYLTETRAHYDROFOLATE DEFORMYLASE 1, MITOCHONDRIAL-LIKE', 105164),
(161439, 'PTHR12459:SF6', NULL, NULL, NULL, NULL, 'GB|AAD46013.1', 105165),
(161440, 'PTHR10593:SF142', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 4, CHLOROPLASTIC', 105166),
(161441, 'PTHR46569:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRAIP', 105167),
(161442, 'PTHR11430:SF131', NULL, NULL, NULL, NULL, 'ODORANT-BINDING PROTEIN 2A', 105168),
(161443, 'PTHR11133:SF22', NULL, NULL, NULL, NULL, 'SACCHAROPINE DEHYDROGENASE [NAD(+), L-LYSINE-FORMING]', 105169),
(161444, 'PTHR37888:SF11', NULL, NULL, NULL, NULL, 'DNA-BINDING BROMODOMAIN-CONTAINING PROTEIN', 105170),
(161445, 'PTHR13261', NULL, NULL, NULL, NULL, 'BRCA2 AND CDKN1A INTERACTING PROTEIN', 105171),
(161446, 'PTHR32116:SF0', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 6-RELATED', 105172),
(161447, 'PTHR33401:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105173),
(161448, 'PTHR11471:SF31', NULL, NULL, NULL, NULL, 'LYMPHOTOXIN-ALPHA', 105174),
(161449, 'PTHR11879:SF54', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, MITOCHONDRIAL', 105175),
(161450, 'PTHR33280:SF5', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L31', 105176),
(161451, 'PTHR33403:SF26', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1-LIKE 3', 105177),
(161452, 'PTHR43658', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE', 105178),
(161453, 'PTHR21497:SF30', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 105179),
(161454, 'PTHR33184:SF5', NULL, NULL, NULL, NULL, 'LGC1', 105180),
(161455, 'PTHR13271:SF93', NULL, NULL, NULL, NULL, 'RUBISCO LS METHYLTRANSFERASE, SUBSTRATE-BINDING DOMAIN', 105181),
(161456, 'PTHR28072:SF1', NULL, NULL, NULL, NULL, 'CRUCIFORM CUTTING ENDONUCLEASE 1, MITOCHONDRIAL-RELATED', 105182);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(161457, 'PTHR24369:SF192', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND IG DOMAIN CONTAINING 4', 105183),
(161458, 'PTHR45926:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE2', 105184),
(161459, 'PTHR46446:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE1', 105185),
(161460, 'PTHR32120:SF11', NULL, NULL, NULL, NULL, 'SMALL RIBOSOMAL SUBUNIT BIOGENESIS GTPASE RSGA 1, MITOCHONDRIAL-RELATED', 105186),
(161461, 'PTHR46250:SF3', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 105187),
(161462, 'PTHR43003:SF2', NULL, NULL, NULL, NULL, 'OS05G0567500 PROTEIN', 105188),
(161463, 'PTHR33107:SF21', NULL, NULL, NULL, NULL, 'KUNITZ TYPE TRYPSIN INHIBITOR / ALPHA-FUCOSIDASE', 105189),
(161464, 'PTHR46566', NULL, NULL, NULL, NULL, '1-PHOSPHOFRUCTOKINASE-RELATED', 105190),
(161465, 'PTHR42905:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE PHOSPHOMUTASE-RELATED', 105191),
(161466, 'PTHR11607:SF63', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE F', 105192),
(161467, 'PTHR10352:SF49', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', 105193),
(161468, 'PTHR46093:SF11', NULL, NULL, NULL, NULL, 'BNAC06G14710D PROTEIN', 105194),
(161469, 'PTHR10285:SF126', NULL, NULL, NULL, NULL, 'NICOTINAMIDE RIBOSIDE KINASE 1', 105195),
(161470, 'PTHR45625:SF12', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 105196),
(161471, 'PTHR30540:SF8', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 7', 105197),
(161472, 'PTHR31348:SF9', NULL, NULL, NULL, NULL, 'OS07G0598200 PROTEIN', 105198),
(161473, 'PTHR43702:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TSGA', 105199),
(161474, 'PTHR10829:SF25', NULL, NULL, NULL, NULL, 'DREBRIN-LIKE PROTEIN', 105200),
(161475, 'PTHR36008:SF1', NULL, NULL, NULL, NULL, 'OS09G0478400 PROTEIN', 105201),
(161476, 'PTHR31235:SF314', NULL, NULL, NULL, NULL, 'PEROXIDASE', 105202),
(161477, 'PTHR30562:SF1', NULL, NULL, NULL, NULL, 'UVRABC SYSTEM PROTEIN C', 105203),
(161478, 'PTHR46128:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105204),
(161479, 'PTHR31251:SF122', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 1', 105205),
(161480, 'PTHR12526:SF527', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND GALACTOSYL-TRANSFERASE', 105206),
(161481, 'PTHR33133:SF7', NULL, NULL, NULL, NULL, 'F26K24.10 PROTEIN-RELATED', 105207),
(161482, 'PTHR32191:SF67', NULL, NULL, NULL, NULL, 'BNACNNG41940D PROTEIN', 105208),
(161483, 'PTHR18952:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105209),
(161484, 'PTHR22776:SF78', NULL, NULL, NULL, NULL, 'RE01453P', 105210),
(161485, 'PTHR33984:SF13', NULL, NULL, NULL, NULL, 'OS08G0333100 PROTEIN', 105211),
(161486, 'PTHR45747:SF10', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 105212),
(161487, 'PTHR24376:SF168', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 197', 105213),
(161488, 'PTHR13593:SF112', NULL, NULL, NULL, NULL, 'PI-PLC X DOMAIN-CONTAINING PROTEIN 1', 105214),
(161489, 'PTHR44229:SF2', NULL, NULL, NULL, NULL, '15-HYDROXYPROSTAGLANDIN DEHYDROGENASE', 105215),
(161490, 'PTHR27003:SF314', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 105216),
(161491, 'PTHR10621:SF46', NULL, NULL, NULL, NULL, 'EXCISION REPAIR PROTEIN RAD23, PUTATIVE-RELATED', 105217),
(161492, 'PTHR45153', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 16', 105218),
(161493, 'PTHR11486:SF27', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 16', 105219),
(161494, 'PTHR34491:SF9', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', 105220),
(161495, 'PTHR12771:SF24', NULL, NULL, NULL, NULL, 'OSJNBB0038F03.14 PROTEIN', 105221),
(161496, 'PTHR47775', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 14', 105222),
(161497, 'PTHR34108:SF1', NULL, NULL, NULL, NULL, 'SEPTUM SITE-DETERMINING PROTEIN MINC', 105223),
(161498, 'PTHR24320:SF156', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN 3-OXOACYL-COA REDUCTASE-RELATED', 105224),
(161499, 'PTHR44203:SF9', NULL, NULL, NULL, NULL, 'ETHYLENE-OVERPRODUCTION PROTEIN 1', 105225),
(161500, 'PTHR10353:SF177', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 32', 105226);
INSERT INTO "PUBLIC"."MODEL" VALUES
(161501, 'PTHR11614:SF88', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 105227),
(161502, 'PTHR31969:SF9', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 2', 105228),
(161503, 'PTHR48016:SF7', NULL, NULL, NULL, NULL, 'BNAA06G00700D PROTEIN', 105229),
(161504, 'PTHR33047:SF29', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 105230),
(161505, 'PTHR36529:SF1', NULL, NULL, NULL, NULL, 'SLL1095 PROTEIN', 105231),
(161506, 'PTHR38537:SF8', NULL, NULL, NULL, NULL, 'JITTERBUG, ISOFORM N', 105232),
(161507, 'PTHR22601:SF81', NULL, NULL, NULL, NULL, 'BNAA02G21950D PROTEIN', 105233),
(161508, 'PTHR14905:SF18', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING 10, TANDEM DUPLICATE 1-RELATED', 105234),
(161509, 'PTHR11909:SF367', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 1-RELATED', 105235),
(161510, 'PTHR24264:SF58', NULL, NULL, NULL, NULL, 'SI:DKEY-33M11.8', 105236),
(161511, 'PTHR45798:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105237),
(161512, 'PTHR12673:SF252', NULL, NULL, NULL, NULL, 'RAC GUANINE NUCLEOTIDE EXCHANGE FACTOR JJ', 105238),
(161513, 'PTHR43205:SF50', NULL, NULL, NULL, NULL, '2-ALKENAL REDUCTASE (NADP(+)-DEPENDENT)-LIKE', 105239),
(161514, 'PTHR10075:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105240),
(161515, 'PTHR37257', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 7', 105241),
(161516, 'PTHR31623:SF88', NULL, NULL, NULL, NULL, 'N-BENZOYLTRANSFERASE PROTEIN, PUTATIVE-RELATED', 105242),
(161517, 'PTHR24281:SF181', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A2-LIKE', 105243),
(161518, 'PTHR18896:SF70', NULL, NULL, NULL, NULL, 'OS02G0120200 PROTEIN', 105244),
(161519, 'PTHR15205:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING DEATH EFFECTOR DOMAIN-CONTAINING PROTEIN 2', 105245),
(161520, 'PTHR11926:SF1339', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 105246),
(161521, 'PTHR11764:SF39', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 105247),
(161522, 'PTHR10381:SF15', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT 1', 105248),
(161523, 'PTHR34482:SF18', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG DOMAIN, ASPARTIC PEPTIDASE DOMAIN PROTEIN-RELATED', 105249),
(161524, 'PTHR42084', NULL, NULL, NULL, NULL, 'YALI0E26631P', 105250),
(161525, 'PTHR11955:SF89', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN, INTESTINAL', 105251),
(161526, 'PTHR11362:SF91', NULL, NULL, NULL, NULL, 'ZCN13', 105252),
(161527, 'PTHR10190:SF5', NULL, NULL, NULL, NULL, 'EYES ABSENT HOMOLOG 3', 105253),
(161528, 'PTHR31595:SF24', NULL, NULL, NULL, NULL, 'OS02G0454500 PROTEIN', 105254),
(161529, 'PTHR39461:SF1', NULL, NULL, NULL, NULL, 'LEA DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_8G04920)', 105255),
(161530, 'PTHR45690:SF14', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 7', 105256),
(161531, 'PTHR45675:SF1', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR-RELATED', 105257),
(161532, 'PTHR13683:SF704', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 105258),
(161533, 'PTHR34583', NULL, NULL, NULL, NULL, 'ANTIPORTER SUBUNIT MNHC2-RELATED', 105259),
(161534, 'PTHR11615:SF312', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4A2', 105260),
(161535, 'PTHR23294:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG15077', 105261),
(161536, 'PTHR45882:SF2', NULL, NULL, NULL, NULL, 'PITUITARY HOMEOBOX 3', 105262),
(161537, 'PTHR46718:SF1', NULL, NULL, NULL, NULL, 'ASPARTATE-SEMIALDEHYDE DEHYDROGENASE', 105263),
(161538, 'PTHR23213:SF339', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 4', 105264),
(161539, 'PTHR24347:SF365', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE II SUBUNIT DELTA', 105265),
(161540, 'PTHR46251:SF1', NULL, NULL, NULL, NULL, 'RUN DOMAIN-CONTAINING PROTEIN 3B', 105266),
(161541, 'PTHR33047:SF20', NULL, NULL, NULL, NULL, 'PROTEIN TAR1', 105267),
(161542, 'PTHR19432:SF27', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUC3', 105268),
(161543, 'PTHR31279:SF19', NULL, NULL, NULL, NULL, 'OS06G0219900 PROTEIN', 105269);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(161544, 'PTHR11730:SF102', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1 MEMBER 5-RELATED', 105270),
(161545, 'PTHR36287:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 13', 105271),
(161546, 'PTHR10108:SF1141', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT25-RELATED', 105272),
(161547, 'PTHR11909:SF385', NULL, NULL, NULL, NULL, 'BNAC09G39660D PROTEIN', 105273),
(161548, 'PTHR23232:SF89', NULL, NULL, NULL, NULL, 'KRAB DOMAIN-CONTAINING PROTEIN 1', 105274),
(161549, 'PTHR33124:SF68', NULL, NULL, NULL, NULL, 'BNAC04G48570D PROTEIN', 105275),
(161550, 'PTHR31009:SF55', NULL, NULL, NULL, NULL, 'PARAXANTHINE METHYLTRANSFERASE 1-RELATED', 105276),
(161551, 'PTHR10108:SF1112', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 105277),
(161552, 'PTHR45631:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105278),
(161553, 'PTHR11984:SF40', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', 105279),
(161554, 'PTHR18934:SF229', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX30', 105280),
(161555, 'PTHR15907:SF132', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 1-LIKE', 105281),
(161556, 'PTHR46605:SF3', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 16', 105282),
(161557, 'PTHR43725:SF27', NULL, NULL, NULL, NULL, 'BNAA01G13540D PROTEIN', 105283),
(161558, 'PTHR32301:SF10', NULL, NULL, NULL, NULL, 'COUNTIN RECEPTOR CNR3-RELATED', 105284),
(161559, 'PTHR31901:SF72', NULL, NULL, NULL, NULL, 'BNAA08G05580D PROTEIN', 105285),
(161560, 'PTHR12062:SF9', NULL, NULL, NULL, NULL, 'FI02046P', 105286),
(161561, 'PTHR31642:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105287),
(161562, 'PTHR31642:SF193', NULL, NULL, NULL, NULL, 'OSJNBA0060N03.21 PROTEIN', 105288),
(161563, 'PTHR38378:SF3', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', 105289),
(161564, 'PTHR11909:SF155', NULL, NULL, NULL, NULL, 'GILGAMESH, ISOFORM L', 105290),
(161565, 'PTHR35292:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105291),
(161566, 'PTHR31351:SF26', NULL, NULL, NULL, NULL, 'BNAC02G00450D PROTEIN', 105292),
(161567, 'PTHR24213:SF9', NULL, NULL, NULL, NULL, 'UNCOORDINATED 115A, ISOFORM B-RELATED', 105293),
(161568, 'PTHR31325:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105294),
(161569, 'PTHR26453:SF223', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2W3', 105295),
(161570, 'PTHR19359:SF25', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 ISOFORM A', 105296),
(161571, 'PTHR24093:SF377', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE CALCIUM-TRANSPORTING ATPASE 2', 105297),
(161572, 'PTHR31562:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG12410', 105298),
(161573, 'PTHR45768:SF57', NULL, NULL, NULL, NULL, 'BNAA09G38290D PROTEIN', 105299),
(161574, 'PTHR37448:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 105300),
(161575, 'PTHR23239:SF207', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 24', 105301),
(161576, 'PTHR46142:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105302),
(161577, 'PTHR45616:SF39', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 6A', 105303),
(161578, 'PTHR24169', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR NF-KAPPA-B PROTEIN', 105304),
(161579, 'PTHR45681:SF3', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 44-RELATED', 105305),
(161580, 'PTHR42861:SF103', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE 1', 105306),
(161581, 'PTHR24026:SF105', NULL, NULL, NULL, NULL, 'FLAMINGO (CADHERIN PLUS 7TM DOMAIN) HOMOLOG', 105307),
(161582, 'PTHR11636:SF128', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 5, TRANSCRIPTION FACTOR 1', 105308),
(161583, 'PTHR13578:SF18', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN ASXL3-RELATED', 105309),
(161584, 'PTHR11783:SF242', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 105310),
(161585, 'PTHR47991:SF117', NULL, NULL, NULL, NULL, 'OS01G0830500 PROTEIN', 105311),
(161586, 'PTHR24006:SF829', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE 17-RELATED', 105312),
(161587, 'PTHR15758', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 13', 105313),
(161588, 'PTHR12802:SF115', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 8', 105314);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(161589, 'PTHR33098:SF68', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 105315),
(161590, 'PTHR48044:SF39', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 105316),
(161591, 'PTHR24089:SF246', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 43', 105317),
(161592, 'PTHR47496', NULL, NULL, NULL, NULL, 'CD27', 105318),
(161593, 'PTHR47990:SF37', NULL, NULL, NULL, NULL, 'NON-HEME DIOXYGENASE N-TERMINAL DOMAIN, ISOPENICILLIN N SYNTHASE-LIKE PROTEIN-RELATED', 105319),
(161594, 'PTHR22835:SF317', NULL, NULL, NULL, NULL, 'OS06G0694200 PROTEIN', 105320),
(161595, 'PTHR13833:SF82', NULL, NULL, NULL, NULL, 'BNAA07G28750D PROTEIN', 105321),
(161596, 'PTHR21700:SF8', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 105322),
(161597, 'PTHR24373:SF268', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT TRANSMEMBRANE NEURONAL 2', 105323),
(161598, 'PTHR24343:SF326', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK9', 105324),
(161599, 'PTHR45649:SF1', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 105325),
(161600, 'PTHR43969:SF4', NULL, NULL, NULL, NULL, 'FI01423P-RELATED', 105326),
(161601, 'PTHR26451:SF28', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10J3', 105327),
(161602, 'PTHR12560:SF55', NULL, NULL, NULL, NULL, 'LAG1-LIKE LONGEVITY ASSURANCE PROTEIN-RELATED', 105328),
(161603, 'PTHR11036:SF20', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3G', 105329),
(161604, 'PTHR19957:SF300', NULL, NULL, NULL, NULL, 'T-SNARE-RELATED', 105330),
(161605, 'PTHR11937:SF196', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN 6B', 105331),
(161606, 'PTHR10641:SF715', NULL, NULL, NULL, NULL, 'OS07G0484700 PROTEIN', 105332),
(161607, 'PTHR42782:SF4', NULL, NULL, NULL, NULL, 'OS01G0214400 PROTEIN', 105333),
(161608, 'PTHR24296:SF187', NULL, NULL, NULL, NULL, 'BNAA09G15080D PROTEIN', 105334),
(161609, 'PTHR31580:SF22', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 7', 105335),
(161610, 'PTHR31852:SF30', NULL, NULL, NULL, NULL, 'OS08G0324200 PROTEIN', 105336),
(161611, 'PTHR15240', NULL, NULL, NULL, NULL, 'CAVIN', 105337),
(161612, 'PTHR24409:SF377', NULL, NULL, NULL, NULL, 'AGAP005659-PA', 105338),
(161613, 'PTHR31865:SF55', NULL, NULL, NULL, NULL, 'DUF1685 FAMILY PROTEIN', 105339),
(161614, 'PTHR30540:SF94', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 5', 105340),
(161615, 'PTHR12295:SF29', NULL, NULL, NULL, NULL, 'PROTEIN FURRY HOMOLOG', 105341),
(161616, 'PTHR33593:SF11', NULL, NULL, NULL, NULL, 'BNAA09G38740D PROTEIN', 105342),
(161617, 'PTHR23500:SF105', NULL, NULL, NULL, NULL, 'OS02G0574100 PROTEIN', 105343),
(161618, 'PTHR10792', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24', 105344),
(161619, 'PTHR31286:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105345),
(161620, 'PTHR12687:SF8', NULL, NULL, NULL, NULL, 'NOC2P FAMILY', 105346),
(161621, 'PTHR47404:SF1', NULL, NULL, NULL, NULL, 'WRB (HUMAN W(TRYPTOPHAN)-RICH BASIC NUCLEAR PROTEIN) HOMOLOG', 105347),
(161622, 'PTHR12428:SF14', NULL, NULL, NULL, NULL, 'ALBINO3-LIKE PROTEIN 1, CHLOROPLASTIC', 105348),
(161623, 'PTHR23054:SF72', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1, LEUCINE-ZIPPER-RELATED', 105349),
(161624, 'PTHR47925:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105350),
(161625, 'PTHR23226:SF150', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 444', 105351),
(161626, 'PTHR43820:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 105352),
(161627, 'PTHR13780:SF38', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE SUBUNIT GAMMA-1', 105353),
(161628, 'PTHR23502:SF168', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02040)-RELATED', 105354),
(161629, 'PTHR14296:SF7', NULL, NULL, NULL, NULL, 'DDT DOMAIN-CONTAINING PROTEIN DDR4', 105355),
(161630, 'PTHR35587:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105356),
(161631, 'PTHR42908:SF23', NULL, NULL, NULL, NULL, 'TRANSLATION ELONGATION FACTOR EF-2 SUBUNIT', 105357),
(161632, 'PTHR10738:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 5', 105358);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(161633, 'PTHR47976:SF10', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN FAMILY RECEPTOR-LIKE PROTEIN KINASE-RELATED', 105359),
(161634, 'PTHR47751:SF2', NULL, NULL, NULL, NULL, 'DLTD N-TERMINAL DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_8G00380)', 105360),
(161635, 'PTHR15074:SF0', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 4-RELATED', 105361),
(161636, 'PTHR37162:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105362),
(161637, 'PTHR44115:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG06196', 105363),
(161638, 'PTHR11260:SF691', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9-LIKE', 105364),
(161639, 'PTHR23105:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105365),
(161640, 'PTHR10555:SF129', NULL, NULL, NULL, NULL, 'SORTING NEXIN-1', 105366),
(161641, 'PTHR45687:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105367),
(161642, 'PTHR33791', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 105368),
(161643, 'PTHR31683:SF123', NULL, NULL, NULL, NULL, 'PECTATE LYASE 6-RELATED', 105369),
(161644, 'PTHR47928:SF117', NULL, NULL, NULL, NULL, 'OS05G0586900 PROTEIN', 105370),
(161645, 'PTHR14154:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105371),
(161646, 'PTHR11265', NULL, NULL, NULL, NULL, 'S-ADENOSYL-METHYLTRANSFERASE MRAW', 105372),
(161647, 'PTHR12348:SF25', NULL, NULL, NULL, NULL, 'ZGC:153012', 105373),
(161648, 'PTHR46964:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 105374),
(161649, 'PTHR46703', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 105375),
(161650, 'PTHR38926:SF46', NULL, NULL, NULL, NULL, 'OS08G0194000 PROTEIN', 105376),
(161651, 'PTHR31852:SF58', NULL, NULL, NULL, NULL, 'OS01G0712300 PROTEIN', 105377),
(161652, 'PTHR11472:SF41', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE DDX11-RELATED', 105378),
(161653, 'PTHR24256:SF506', NULL, NULL, NULL, NULL, 'MIP04821P', 105379),
(161654, 'PTHR13318:SF70', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT MAX2 HOMOLOG', 105380),
(161655, 'PTHR28027:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MIT1', 105381),
(161656, 'PTHR43245:SF27', NULL, NULL, NULL, NULL, 'REDUCTASE FAMILY PROTEIN (CIPA), PUTATIVE-RELATED', 105382),
(161657, 'PTHR47958:SF59', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX17-RELATED', 105383),
(161658, 'PTHR11132:SF400', NULL, NULL, NULL, NULL, 'UDP-URONIC ACID TRANSPORTER 1', 105384),
(161659, 'PTHR12638:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105385),
(161660, 'PTHR31589:SF67', NULL, NULL, NULL, NULL, 'POLYPROTEIN/RETROTRANSPOSON, PUTATIVE (DUF239)-RELATED', 105386),
(161661, 'PTHR31791:SF8', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING PROTEIN ZIP4', 105387),
(161662, 'PTHR31614:SF35', NULL, NULL, NULL, NULL, 'OS10G0371000 PROTEIN', 105388),
(161663, 'PTHR42884:SF14', NULL, NULL, NULL, NULL, 'NEUROENDOCRINE CONVERTASE 1', 105389),
(161664, 'PTHR11938:SF135', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT DIHYDROPYRIMIDINE DEHYDROGENASE SUBUNIT PRET', 105390),
(161665, 'PTHR31236:SF11', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 4', 105391),
(161666, 'PTHR32153:SF12', NULL, NULL, NULL, NULL, 'BNAC05G35080D PROTEIN', 105392),
(161667, 'PTHR43701', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN MJ0441-RELATED', 105393),
(161668, 'PTHR12639', NULL, NULL, NULL, NULL, 'VITAMIN K-DEPENDENT GAMMA-CARBOXYLASE', 105394),
(161669, 'PTHR45658:SF34', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 10-RELATED', 105395),
(161670, 'PTHR45682:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105396),
(161671, 'PTHR36483:SF1', NULL, NULL, NULL, NULL, 'OS02G0130700 PROTEIN', 105397),
(161672, 'PTHR47924:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105398),
(161673, 'PTHR24188', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', 105399),
(161674, 'PTHR30386', NULL, NULL, NULL, NULL, 'MEMBRANE FUSION SUBUNIT OF EMRAB-TOLC MULTIDRUG EFFLUX PUMP', 105400),
(161675, 'PTHR24179:SF18', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 12B', 105401),
(161676, 'PTHR24093:SF456', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 105402);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(161677, 'PTHR11603:SF148', NULL, NULL, NULL, NULL, 'METHANOL DEHYDROGENASE REGULATORY PROTEIN', 105403),
(161678, 'PTHR43706:SF26', NULL, NULL, NULL, NULL, 'BNAA08G28900D PROTEIN', 105404),
(161679, 'PTHR48201:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105405),
(161680, 'PTHR47932:SF54', NULL, NULL, NULL, NULL, '(PPR) REPEAT PROTEIN, PUTATIVE-RELATED', 105406),
(161681, 'PTHR24115:SF835', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14U', 105407),
(161682, 'PTHR10891:SF880', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 105408),
(161683, 'PTHR10484:SF183', NULL, NULL, NULL, NULL, 'HISTONE H4', 105409),
(161684, 'PTHR48002:SF51', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4F17-RELATED', 105410),
(161685, 'PTHR34645:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN', 105411),
(161686, 'PTHR31561:SF159', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 105412),
(161687, 'PTHR15362:SF29', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--INOSITOL 3-PHOSPHATIDYLTRANSFERASE', 105413),
(161688, 'PTHR31175:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105414),
(161689, 'PTHR11811:SF51', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING 3, CHLOROPLASTIC', 105415),
(161690, 'PTHR48159', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 105416),
(161691, 'PTHR31967:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG11885', 105417),
(161692, 'PTHR35836:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105418),
(161693, 'PTHR12728', NULL, NULL, NULL, NULL, 'BRIX DOMAIN CONTAINING PROTEIN', 105419),
(161694, 'PTHR31985:SF148', NULL, NULL, NULL, NULL, 'OSJNBB0034G17.3 PROTEIN', 105420),
(161695, 'PTHR33377:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105421),
(161696, 'PTHR24177:SF317', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 105422),
(161697, 'PTHR35496:SF16', NULL, NULL, NULL, NULL, 'PAWS-LIKE PREPROALBUMIN 1', 105423),
(161698, 'PTHR23338', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM', 105424),
(161699, 'PTHR24399:SF39', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 24', 105425),
(161700, 'PTHR11683:SF14', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN M6AA', 105426),
(161701, 'PTHR21576:SF122', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER', 105427),
(161702, 'PTHR24055:SF404', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 1', 105428),
(161703, 'PTHR45840:SF9', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED PROTEIN 2', 105429),
(161704, 'PTHR31375:SF243', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', 105430),
(161705, 'PTHR23333:SF38', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 4-LIKE', 105431),
(161706, 'PTHR47926:SF70', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 105432),
(161707, 'PTHR46031:SF18', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 2', 105433),
(161708, 'PTHR24061:SF358', NULL, NULL, NULL, NULL, 'EXTRACELLULAR CALCIUM-SENSING RECEPTOR', 105434),
(161709, 'PTHR34807:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105435),
(161710, 'PTHR12378:SF16', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 105436),
(161711, 'PTHR15711:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105437),
(161712, 'PTHR22852', NULL, NULL, NULL, NULL, 'LETHAL 2 DENTICLELESS PROTEIN  RETINOIC ACID-REGULATED NUCLEAR MATRIX-ASSOCIATED PROTEIN', 105438),
(161713, 'PTHR42825:SF28', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 105439),
(161714, 'PTHR45637:SF20', NULL, NULL, NULL, NULL, 'PHOTOTROPIN-1', 105440),
(161715, 'PTHR21495:SF213', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 105441),
(161716, 'PTHR24177:SF203', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN ISOFORM 1', 105442),
(161717, 'PTHR35997:SF6', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', 105443),
(161718, 'PTHR44843:SF8', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE DOMAIN PROTEIN', 105444),
(161719, 'PTHR42920:SF14', NULL, NULL, NULL, NULL, 'TRANSPORTER, DRUG/METABOLITE EXPORTER FAMILY', 105445),
(161720, 'PTHR24068:SF374', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-23 KDA-LIKE', 105446);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(161721, 'PTHR28642', NULL, NULL, NULL, NULL, 'MEIOSIS 1 ARREST PROTEIN', 105447),
(161722, 'PTHR32161:SF21', NULL, NULL, NULL, NULL, 'OS03G0403400 PROTEIN', 105448),
(161723, 'PTHR33076:SF75', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 105449),
(161724, 'PTHR47991:SF113', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE', 105450),
(161725, 'PTHR31087:SF59', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 4', 105451),
(161726, 'PTHR45997:SF2', NULL, NULL, NULL, NULL, 'ATP DEPENDENT DNA LIGASE DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G02430)', 105452),
(161727, 'PTHR43900:SF68', NULL, NULL, NULL, NULL, 'GLUTATHIONE-S-TRANSFERASE', 105453),
(161728, 'PTHR26379:SF180', NULL, NULL, NULL, NULL, 'OS06G0251200 PROTEIN', 105454),
(161729, 'PTHR39515:SF2', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 105455),
(161730, 'PTHR43322', NULL, NULL, NULL, NULL, '1-D-DEOXYXYLULOSE 5-PHOSPHATE SYNTHASE-RELATED', 105456),
(161731, 'PTHR23049:SF7', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 1-RELATED', 105457),
(161732, 'PTHR11003:SF269', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 105458),
(161733, 'PTHR36705:SF2', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 20', 105459),
(161734, 'PTHR11119:SF28', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 12', 105460),
(161735, 'PTHR43903:SF13', NULL, NULL, NULL, NULL, 'ACETYLCHOLINESTERASE-LIKE PROTEIN', 105461),
(161736, 'PTHR28622:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 7', 105462),
(161737, 'PTHR36536', NULL, NULL, NULL, NULL, 'UPF0111 PROTEIN HI_1603', 105463),
(161738, 'PTHR10994:SF157', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B14', 105464),
(161739, 'PTHR34144:SF7', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 105465),
(161740, 'PTHR17695:SF11', NULL, NULL, NULL, NULL, 'SMALL SUBUNIT PROCESSOME COMPONENT 20 HOMOLOG', 105466),
(161741, 'PTHR38827:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105467),
(161742, 'PTHR31568:SF59', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN PCC1-RELATED', 105468),
(161743, 'PTHR12138:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105469),
(161744, 'PTHR12874', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 48-RELATED', 105470),
(161745, 'PTHR12630:SF18', NULL, NULL, NULL, NULL, 'GLUCOSIDASE 2 SUBUNIT BETA-LIKE ISOFORM X1', 105471),
(161746, 'PTHR10073:SF41', NULL, NULL, NULL, NULL, 'MISMATCH REPAIR PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05820)-RELATED', 105472),
(161747, 'PTHR45770:SF25', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 1', 105473),
(161748, 'PTHR31223:SF55', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOGL8-RELATED', 105474),
(161749, 'PTHR19290', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX PROTEIN NEUROGENIN-RELATED', 105475),
(161750, 'PTHR38742:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105476),
(161751, 'PTHR47293:SF10', NULL, NULL, NULL, NULL, 'BNACNNG52420D PROTEIN', 105477),
(161752, 'PTHR43596:SF1', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN', 105478),
(161753, 'PTHR43574:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105479),
(161754, 'PTHR47366:SF1', NULL, NULL, NULL, NULL, 'TWO-ON-TWO HEMOGLOBIN-3', 105480),
(161755, 'PTHR11412:SF150', NULL, NULL, NULL, NULL, 'ALPHA-2-MACROGLOBULIN', 105481),
(161756, 'PTHR13609', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN CONTAINING 1 PROTEIN-RELATED', 105482),
(161757, 'PTHR24118:SF86', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 7', 105483),
(161758, 'PTHR21610:SF9', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 8', 105484),
(161759, 'PTHR38134:SF2', NULL, NULL, NULL, NULL, 'SLR1395 PROTEIN', 105485),
(161760, 'PTHR43206:SF3', NULL, NULL, NULL, NULL, '4-AMINOBUTYRATE AMINOTRANSFERASE PUUE', 105486),
(161761, 'PTHR12276:SF48', NULL, NULL, NULL, NULL, 'EPSIN-1', 105487),
(161762, 'PTHR31339:SF60', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE/GLYCOSIDE HYDROLASE FAMILY PROTEIN', 105488); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(161763, 'PTHR47990:SF174', NULL, NULL, NULL, NULL, 'BNAA09G45800D PROTEIN', 105489),
(161764, 'PTHR48001:SF165', NULL, NULL, NULL, NULL, 'SIMILAR TO OLFACTORY RECEPTOR OLR1374', 105490),
(161765, 'PTHR11614:SF171', NULL, NULL, NULL, NULL, 'BNAC09G41690D PROTEIN', 105491),
(161766, 'PTHR19957:SF36', NULL, NULL, NULL, NULL, 'SYNTAXIN-2', 105492),
(161767, 'PTHR33834:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105493),
(161768, 'PTHR46257', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE CORKSCREW', 105494),
(161769, 'PTHR10590:SF4', NULL, NULL, NULL, NULL, 'CONCENTRATIVE NUCLEOSIDE TRANSPORTER 1-RELATED', 105495),
(161770, 'PTHR12865:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE TYPE 2-ALPHA', 105496),
(161771, 'PTHR13049:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG21241', 105497),
(161772, 'PTHR42090:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105498),
(161773, 'PTHR21659:SF42', NULL, NULL, NULL, NULL, 'UPF0057 MEMBRANE PROTEIN T23F2.4-RELATED', 105499),
(161774, 'PTHR26452:SF729', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 105500),
(161775, 'PTHR23111:SF76', NULL, NULL, NULL, NULL, 'BNAA10G16990D PROTEIN', 105501),
(161776, 'PTHR24012:SF675', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 105502),
(161777, 'PTHR45666:SF48', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE-RELATED', 105503),
(161778, 'PTHR11818:SF42', NULL, NULL, NULL, NULL, 'QXW LECTIN REPEAT FAMILY PROTEIN', 105504),
(161779, 'PTHR34049:SF2', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 105505),
(161780, 'PTHR33270:SF37', NULL, NULL, NULL, NULL, 'BNAC09G20760D PROTEIN', 105506),
(161781, 'PTHR24006:SF768', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105507),
(161782, 'PTHR48053:SF17', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 105508),
(161783, 'PTHR44259:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105509),
(161784, 'PTHR48035:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN-RELATED', 105510),
(161785, 'PTHR11533:SF201', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE-LIKE PROTEIN AC3.5', 105511),
(161786, 'PTHR31561:SF160', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 105512),
(161787, 'PTHR32141:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105513),
(161788, 'PTHR47508:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105514),
(161789, 'PTHR19211:SF112', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, CONSERVED SITE', 105515),
(161790, 'PTHR33429:SF29', NULL, NULL, NULL, NULL, 'BNAA09G30970D PROTEIN', 105516),
(161791, 'PTHR27008:SF237', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 105517),
(161792, 'PTHR19368:SF15', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN 3', 105518),
(161793, 'PTHR43500:SF1', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-LYASE-RELATED', 105519),
(161794, 'PTHR48010:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE-LIKE PROTEIN ZAR1', 105520),
(161795, 'PTHR36381:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105521),
(161796, 'PTHR36746:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105522),
(161797, 'PTHR12900:SF0', NULL, NULL, NULL, NULL, 'CHECKPOINT PROTEIN', 105523),
(161798, 'PTHR31500', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 9', 105524),
(161799, 'PTHR11764:SF75', NULL, NULL, NULL, NULL, 'ACHILLEOL B SYNTHASE', 105525),
(161800, 'PTHR32285:SF62', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 33', 105526),
(161801, 'PTHR46662:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105527),
(161802, 'PTHR11945:SF367', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 7', 105528),
(161803, 'PTHR32153:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105529),
(161804, 'PTHR13857:SF39', NULL, NULL, NULL, NULL, 'DNA DC-DU-EDITING ENZYME APOBEC-3A-RELATED', 105530),
(161805, 'PTHR47997:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105531),
(161806, 'PTHR43840:SF12', NULL, NULL, NULL, NULL, 'CATION DIFFUSION FACILITATOR 1 (AFU_ORTHOLOGUE AFUA_1G14440)', 105532),
(161807, 'PTHR46054:SF1', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN STAUFEN HOMOLOG 2', 105533);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(161808, 'PTHR13190', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED 2, ISOFORM A', 105534),
(161809, 'PTHR33207:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105535),
(161810, 'PTHR11606:SF30', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE 1', 105536),
(161811, 'PTHR32176:SF71', NULL, NULL, NULL, NULL, 'PATATIN', 105537),
(161812, 'PTHR46214:SF26', NULL, NULL, NULL, NULL, 'BNAA02G33900D PROTEIN', 105538),
(161813, 'PTHR12558:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105539),
(161814, 'PTHR11709:SF300', NULL, NULL, NULL, NULL, 'LACCASE', 105540),
(161815, 'PTHR30183:SF3', NULL, NULL, NULL, NULL, 'MOLYBDENUM TRANSPORT SYSTEM PERMEASE PROTEIN MODB', 105541),
(161816, 'PTHR31026', NULL, NULL, NULL, NULL, 'ENHANCER OF UNCOORDINATION', 105542),
(161817, 'PTHR24326:SF594', NULL, NULL, NULL, NULL, 'BNAC04G50970D PROTEIN', 105543),
(161818, 'PTHR24403:SF74', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 507', 105544),
(161819, 'PTHR21362', NULL, NULL, NULL, NULL, 'ACROSIN-BINDING PROTEIN', 105545),
(161820, 'PTHR46863:SF3', NULL, NULL, NULL, NULL, 'OS02G0819900 PROTEIN', 105546),
(161821, 'PTHR33392:SF8', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN MSRR', 105547),
(161822, 'PTHR24144:SF32', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 49', 105548),
(161823, 'PTHR45635:SF36', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1, MITOCHONDRIAL-LIKE', 105549),
(161824, 'PTHR31792', NULL, NULL, NULL, NULL, 'VACUOLAR ATPASE ASSEMBLY INTEGRAL MEMBRANE PROTEIN VMA21', 105550),
(161825, 'PTHR23105:SF126', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10A-1-RELATED', 105551),
(161826, 'PTHR31852:SF217', NULL, NULL, NULL, NULL, 'OS06G0119900 PROTEIN', 105552),
(161827, 'PTHR47986:SF14', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', 105553),
(161828, 'PTHR12442:SF38', NULL, NULL, NULL, NULL, 'DYNEIN, CYTOPLASMIC 1, INTERMEDIATE CHAIN 2B', 105554),
(161829, 'PTHR22953:SF127', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 105555),
(161830, 'PTHR11668:SF385', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 105556),
(161831, 'PTHR26379:SF331', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105557),
(161832, 'PTHR45719', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 105558),
(161833, 'PTHR15367', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III', 105559),
(161834, 'PTHR12837:SF10', NULL, NULL, NULL, NULL, 'AGAP003831-PA', 105560),
(161835, 'PTHR43128:SF8', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE A-LIKE 6B', 105561),
(161836, 'PTHR46834:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH91', 105562),
(161837, 'PTHR47925:SF66', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 105563),
(161838, 'PTHR31860:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105564),
(161839, 'PTHR46736:SF32', NULL, NULL, NULL, NULL, 'ORF258 PROTEIN', 105565),
(161840, 'PTHR24637:SF304', NULL, NULL, NULL, NULL, 'COLLAGEN', 105566),
(161841, 'PTHR11683:SF11', NULL, NULL, NULL, NULL, 'MYELIN PROTEOLIPID PROTEIN', 105567),
(161842, 'PTHR31973:SF143', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 8-LIKE', 105568),
(161843, 'PTHR46072:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05220)-RELATED', 105569),
(161844, 'PTHR26379:SF284', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105570),
(161845, 'PTHR10672:SF4', NULL, NULL, NULL, NULL, 'ALPHA-ADDUCIN', 105571),
(161846, 'PTHR11017:SF433', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N', 105572),
(161847, 'PTHR33133:SF31', NULL, NULL, NULL, NULL, 'F28K20.6 PROTEIN', 105573),
(161848, 'PTHR23226:SF193', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 275', 105574),
(161849, 'PTHR11690:SF228', NULL, NULL, NULL, NULL, 'ACID-SENSING ION CHANNEL 3', 105575),
(161850, 'PTHR47399:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 121B', 105576),
(161851, 'PTHR43634:SF8', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 3, CHLOROPLASTIC', 105577),
(161852, 'PTHR31889:SF75', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE CAZY FAMILY GT37-LIKE PROTEIN', 105578);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(161853, 'PTHR33136:SF71', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 1', 105579),
(161854, 'PTHR31674:SF68', NULL, NULL, NULL, NULL, 'BNAA04G14580D PROTEIN', 105580),
(161855, 'PTHR10353:SF221', NULL, NULL, NULL, NULL, 'BNAANNG19210D PROTEIN', 105581),
(161856, 'PTHR42070:SF1', NULL, NULL, NULL, NULL, 'FILAMENT ASSOCIATED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G06630)-RELATED', 105582),
(161857, 'PTHR32295:SF216', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 3', 105583),
(161858, 'PTHR34272:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 105584),
(161859, 'PTHR46004', NULL, NULL, NULL, NULL, 'CYCLIC AMP RESPONSE ELEMENT-BINDING PROTEIN A', 105585),
(161860, 'PTHR30109:SF4', NULL, NULL, NULL, NULL, 'CARBON MONOXIDE DEHYDROGENASE', 105586),
(161861, 'PTHR10426:SF109', NULL, NULL, NULL, NULL, 'SMP-30/GLUCONOLACONASE/LRE-LIKE REGION PROTEIN', 105587),
(161862, 'PTHR26451', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 105588),
(161863, 'PTHR11527:SF261', NULL, NULL, NULL, NULL, '16.6 KDA HEAT SHOCK PROTEIN', 105589),
(161864, 'PTHR20953', NULL, NULL, NULL, NULL, 'KINASE-RELATED', 105590),
(161865, 'PTHR35546:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105591),
(161866, 'PTHR33149:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105592),
(161867, 'PTHR47487:SF8', NULL, NULL, NULL, NULL, 'OS06G0651300 PROTEIN', 105593),
(161868, 'PTHR47988:SF13', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE 1-LIKE', 105594),
(161869, 'PTHR47967:SF27', NULL, NULL, NULL, NULL, 'OS01G0967050 PROTEIN', 105595),
(161870, 'PTHR34541:SF1', NULL, NULL, NULL, NULL, 'OS06G0152800 PROTEIN', 105596),
(161871, 'PTHR33604', NULL, NULL, NULL, NULL, 'OSJNBA0004B13.7 PROTEIN', 105597),
(161872, 'PTHR21425:SF2', NULL, NULL, NULL, NULL, 'ZGC:123238', 105598),
(161873, 'PTHR11537:SF113', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 4', 105599),
(161874, 'PTHR33085:SF73', NULL, NULL, NULL, NULL, 'OS05G0302200 PROTEIN', 105600),
(161875, 'PTHR45890:SF13', NULL, NULL, NULL, NULL, 'CADMIUM-TRANSPORTING ATPASE-RELATED', 105601),
(161876, 'PTHR33690', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 105602),
(161877, 'PTHR15660', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 105603),
(161878, 'PTHR31963:SF17', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF3537)-RELATED', 105604),
(161879, 'PTHR48112:SF12', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN B1', 105605),
(161880, 'PTHR31268:SF35', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 2-RELATED', 105606),
(161881, 'PTHR45644:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105607),
(161882, 'PTHR43390:SF5', NULL, NULL, NULL, NULL, 'OS03G0765200 PROTEIN', 105608),
(161883, 'PTHR18966:SF419', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 105609),
(161884, 'PTHR13235:SF2', NULL, NULL, NULL, NULL, 'SINGLE-STRAND SELECTIVE MONOFUNCTIONAL URACIL DNA GLYCOSYLASE', 105610),
(161885, 'PTHR31985:SF183', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 3-LIKE', 105611),
(161886, 'PTHR24356:SF184', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TRICORNER', 105612),
(161887, 'PTHR30603:SF19', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-F FACTOR', 105613),
(161888, 'PTHR24418:SF424', NULL, NULL, NULL, NULL, 'SI:CH211-167J9.5', 105614),
(161889, 'PTHR33083:SF72', NULL, NULL, NULL, NULL, 'BNAA09G26720D PROTEIN', 105615),
(161890, 'PTHR31614:SF5', NULL, NULL, NULL, NULL, 'ALLERGEN-LIKE PROTEIN BRSN20', 105616),
(161891, 'PTHR31100:SF16', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 25', 105617),
(161892, 'PTHR23430:SF302', NULL, NULL, NULL, NULL, 'HISTONE H2A VARIANT 3-RELATED', 105618),
(161893, 'PTHR23024:SF515', NULL, NULL, NULL, NULL, 'STERYL DEACETYLASE', 105619),
(161894, 'PTHR33121:SF56', NULL, NULL, NULL, NULL, 'SIGNALLING PROTEIN WITH EAL AND C2 DOMAINS', 105620),
(161895, 'PTHR42913:SF8', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', 105621),
(161896, 'PTHR24034:SF101', NULL, NULL, NULL, NULL, 'FIBULIN 2', 105622),
(161897, 'PTHR43290:SF3', NULL, NULL, NULL, NULL, 'MEVALONATE KINASE', 105623);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(161898, 'PTHR47991:SF20', NULL, NULL, NULL, NULL, 'OXYGENASE FAMILY OXIDOREDUCTASE, PUTATIVE-RELATED', 105624),
(161899, 'PTHR11451:SF46', NULL, NULL, NULL, NULL, 'FI05224P', 105625),
(161900, 'PTHR35498:SF1', NULL, NULL, NULL, NULL, 'LOW PSII ACCUMULATION-LIKE PROTEIN', 105626),
(161901, 'PTHR44156:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105627),
(161902, 'PTHR34204:SF3', NULL, NULL, NULL, NULL, 'ASCH DOMAIN PROTEIN, PUTATIVE ISOFORM 1-RELATED', 105628),
(161903, 'PTHR36722:SF1', NULL, NULL, NULL, NULL, 'TYPE 2 DNA TOPOISOMERASE 6 SUBUNIT B-LIKE', 105629),
(161904, 'PTHR24418:SF94', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE KINASE 2-BETA', 105630),
(161905, 'PTHR11935:SF142', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE 2, MITOCHONDRIAL', 105631),
(161906, 'PTHR32467:SF142', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN APETALA 2', 105632),
(161907, 'PTHR12932:SF9', NULL, NULL, NULL, NULL, 'TPPP FAMILY PROTEIN CG45057', 105633),
(161908, 'PTHR48099', NULL, NULL, NULL, NULL, 'C-1-TETRAHYDROFOLATE SYNTHASE, CYTOPLASMIC-RELATED', 105634),
(161909, 'PTHR31614:SF33', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN-RELATED', 105635),
(161910, 'PTHR45712:SF14', NULL, NULL, NULL, NULL, 'DECORIN', 105636),
(161911, 'PTHR22850:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105637),
(161912, 'PTHR44042:SF48', NULL, NULL, NULL, NULL, 'BNAA04G21820D PROTEIN', 105638),
(161913, 'PTHR23257:SF779', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 105639),
(161914, 'PTHR31065:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105640),
(161915, 'PTHR14360:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105641),
(161916, 'PTHR23382:SF22', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', 105642),
(161917, 'PTHR47958', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DBP3', 105643),
(161918, 'PTHR31917:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105644),
(161919, 'PTHR22772:SF1', NULL, NULL, NULL, NULL, 'CUB DOMAIN CONTAINING PROTEIN', 105645),
(161920, 'PTHR33400:SF8', NULL, NULL, NULL, NULL, 'BNAA06G14050D PROTEIN', 105646),
(161921, 'PTHR18905:SF12', NULL, NULL, NULL, NULL, 'NINEIN-LIKE PROTEIN', 105647),
(161922, 'PTHR47956:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105648),
(161923, 'PTHR45999:SF5', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN AEX-1', 105649),
(161924, 'PTHR46865:SF2', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 105650),
(161925, 'PTHR10694:SF106', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUMONJI FAMILY PROTEIN', 105651),
(161926, 'PTHR45658:SF57', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 8', 105652),
(161927, 'PTHR34144:SF6', NULL, NULL, NULL, NULL, 'EXPORT PROTEIN (CAP59), PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05020)-RELATED', 105653),
(161928, 'PTHR24377:SF703', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 610', 105654),
(161929, 'PTHR11654:SF324', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.6-LIKE', 105655),
(161930, 'PTHR19339:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105656),
(161931, 'PTHR33165:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105657),
(161932, 'PTHR42878:SF7', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE GLRK', 105658),
(161933, 'PTHR24064:SF278', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 10', 105659),
(161934, 'PTHR31730:SF25', NULL, NULL, NULL, NULL, 'OSJNBA0088K19.7-LIKE PROTEIN', 105660),
(161935, 'PTHR38464', NULL, NULL, NULL, NULL, 'L-ARABINOSE ISOMERASE', 105661),
(161936, 'PTHR42911:SF1', NULL, NULL, NULL, NULL, 'MODULATOR OF FTSH PROTEASE HFLC', 105662),
(161937, 'PTHR31319:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105663),
(161938, 'PTHR12483:SF94', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 4', 105664),
(161939, 'PTHR10165', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE', 105665),
(161940, 'PTHR11537:SF258', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, SHAKER-RELATED SUBFAMILY, MEMBER 1B', 105666),
(161941, 'PTHR22546', NULL, NULL, NULL, NULL, 'PREMATURE OVARIAN FAILURE, 1B', 105667);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(161942, 'PTHR16056:SF2', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 10', 105668),
(161943, 'PTHR12907:SF6', NULL, NULL, NULL, NULL, 'EGL NINE HOMOLOG 2', 105669),
(161944, 'PTHR13299', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 105670),
(161945, 'PTHR33240:SF9', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG DOMAIN-CONTAINING PROTEIN-RELATED', 105671),
(161946, 'PTHR47957:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE HRQ1', 105672),
(161947, 'PTHR31642:SF147', NULL, NULL, NULL, NULL, 'ANTHRANILATE N-BENZOYLTRANSFERASE PROTEIN 1', 105673),
(161948, 'PTHR34401:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13710', 105674),
(161949, 'PTHR46128:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105675),
(161950, 'PTHR45939:SF2', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G13870)-RELATED', 105676),
(161951, 'PTHR23050:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105677),
(161952, 'PTHR37398:SF3', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,4-MANNANASE', 105678),
(161953, 'PTHR43702:SF4', NULL, NULL, NULL, NULL, 'GLUCOSE/GALACTOSE TRANSPORTER', 105679),
(161954, 'PTHR24300:SF345', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 2 SUBFAMILY W MEMBER 1', 105680),
(161955, 'PTHR46148:SF18', NULL, NULL, NULL, NULL, 'IPP TRANSFERASE', 105681),
(161956, 'PTHR42985:SF2', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT MULTIVITAMIN TRANSPORTER', 105682),
(161957, 'PTHR24282:SF172', NULL, NULL, NULL, NULL, 'BNAA09G45190D PROTEIN', 105683),
(161958, 'PTHR42908:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105684),
(161959, 'PTHR11783:SF106', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 1-RELATED', 105685),
(161960, 'PTHR12745:SF8', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TUMORIGENICITY 7 PROTEIN', 105686),
(161961, 'PTHR31374:SF216', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 105687),
(161962, 'PTHR44845:SF3', NULL, NULL, NULL, NULL, 'PLIPASTATIN SYNTHASE SUBUNIT D', 105688),
(161963, 'PTHR15439:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RBBP6', 105689),
(161964, 'PTHR36594', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 105690),
(161965, 'PTHR11699:SF219', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 105691),
(161966, 'PTHR23147:SF25', NULL, NULL, NULL, NULL, 'OS03G0285900 PROTEIN', 105692),
(161967, 'PTHR24408:SF43', NULL, NULL, NULL, NULL, 'MEP-1, ISOFORM A-RELATED', 105693),
(161968, 'PTHR48005:SF1', NULL, NULL, NULL, NULL, 'BNAC04G56910D PROTEIN', 105694),
(161969, 'PTHR47978:SF13', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA4C', 105695),
(161970, 'PTHR31580', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 4', 105696),
(161971, 'PTHR43646:SF6', NULL, NULL, NULL, NULL, 'MYCOFACTOCIN BIOSYNTHESIS GLYCOSYLTRANSFERASE MFTF-RELATED', 105697),
(161972, 'PTHR47999:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105698),
(161973, 'PTHR42912:SF21', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 7A', 105699),
(161974, 'PTHR40398:SF1', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCITOL/SORBITOL-SPECIFIC EIIA COMPONENT', 105700),
(161975, 'PTHR33377:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105701),
(161976, 'PTHR47661:SF4', NULL, NULL, NULL, NULL, 'OS08G0162600 PROTEIN', 105702),
(161977, 'PTHR12479:SF2', NULL, NULL, NULL, NULL, 'LYSOSOMAL-ASSOCIATED TRANSMEMBRANE PROTEIN 5', 105703),
(161978, 'PTHR31008:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105704),
(161979, 'PTHR23050:SF377', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN', 105705),
(161980, 'PTHR46629:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105706),
(161981, 'PTHR10110:SF159', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 3', 105707),
(161982, 'PTHR16877', NULL, NULL, NULL, NULL, 'HEPCIDIN', 105708),
(161983, 'PTHR11802:SF346', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 105709),
(161984, 'PTHR15136:SF2', NULL, NULL, NULL, NULL, 'STROMAL INTERACTION MOLECULE 2', 105710),
(161985, 'PTHR43859:SF52', NULL, NULL, NULL, NULL, 'BENZOATE-COA LIGASE-RELATED', 105711),
(161986, 'PTHR39966', NULL, NULL, NULL, NULL, 'BLL2471 PROTEIN-RELATED', 105712); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(161987, 'PTHR10353:SF77', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 7', 105713),
(161988, 'PTHR11017:SF243', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 105714),
(161989, 'PTHR12874:SF9', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 9', 105715),
(161990, 'PTHR14738:SF34', NULL, NULL, NULL, NULL, 'BNAA01G30430D PROTEIN', 105716),
(161991, 'PTHR31532', NULL, NULL, NULL, NULL, 'BIORIENTATION OF CHROMOSOMES IN CELL DIVISION 1 FAMILY MEMBER', 105717),
(161992, 'PTHR47595', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 14', 105718),
(161993, 'PTHR37443:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG15264', 105719),
(161994, 'PTHR31048:SF24', NULL, NULL, NULL, NULL, 'OS12G0568900 PROTEIN', 105720),
(161995, 'PTHR47966:SF54', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE A1-LIKE', 105721),
(161996, 'PTHR43721:SF3', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN 2', 105722),
(161997, 'PTHR43051:SF3', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE ADENYLYLTRANSFERASE FAMILY PROTEIN', 105723),
(161998, 'PTHR23354:SF95', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', 105724),
(161999, 'PTHR43847', NULL, NULL, NULL, NULL, 'BLL3993 PROTEIN', 105725),
(162000, 'PTHR33090:SF32', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', 105726),
(162001, 'PTHR31826:SF0', NULL, NULL, NULL, NULL, 'NICALIN', 105727),
(162002, 'PTHR42922', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PSTA', 105728),
(162003, 'PTHR11848:SF4', NULL, NULL, NULL, NULL, 'UNC-129', 105729),
(162004, 'PTHR34046:SF7', NULL, NULL, NULL, NULL, 'OS06G0218800 PROTEIN', 105730),
(162005, 'PTHR11732:SF421', NULL, NULL, NULL, NULL, 'FI19917P1', 105731),
(162006, 'PTHR43235:SF6', NULL, NULL, NULL, NULL, 'BNAA06G09790D PROTEIN', 105732),
(162007, 'PTHR23319:SF3', NULL, NULL, NULL, NULL, 'PROTEIN ASTER-B', 105733),
(162008, 'PTHR10961', NULL, NULL, NULL, NULL, 'PEROXISOMAL SARCOSINE OXIDASE', 105734),
(162009, 'PTHR10369:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36A', 105735),
(162010, 'PTHR40376:SF1', NULL, NULL, NULL, NULL, 'ODONTOGENESIS ASSOCIATED PHOSPHOPROTEIN', 105736),
(162011, 'PTHR12308:SF74', NULL, NULL, NULL, NULL, 'ANOCTAMIN', 105737),
(162012, 'PTHR33083:SF89', NULL, NULL, NULL, NULL, 'BNAANNG41640D PROTEIN', 105738),
(162013, 'PTHR11311:SF16', NULL, NULL, NULL, NULL, 'SPONDIN-1', 105739),
(162014, 'PTHR33044:SF118', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN GPI-ANCHORED 1', 105740),
(162015, 'PTHR27006:SF347', NULL, NULL, NULL, NULL, 'BNAA07G07710D PROTEIN', 105741),
(162016, 'PTHR10971', NULL, NULL, NULL, NULL, 'MRNA EXPORT FACTOR AND BUB3', 105742),
(162017, 'PTHR33124:SF71', NULL, NULL, NULL, NULL, 'BNAC01G21940D PROTEIN', 105743),
(162018, 'PTHR14187:SF39', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 12B', 105744),
(162019, 'PTHR12197:SF184', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SMYD1', 105745),
(162020, 'PTHR10947:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 47', 105746),
(162021, 'PTHR21654:SF62', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-2-LIKE', 105747),
(162022, 'PTHR34059:SF6', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', 105748),
(162023, 'PTHR48100:SF26', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE', 105749),
(162024, 'PTHR10024:SF223', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-2', 105750),
(162025, 'PTHR46789:SF2', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN R2', 105751),
(162026, 'PTHR15670:SF4', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 11A-RELATED', 105752),
(162027, 'PTHR31333:SF3', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING DNA REPAIR FACTOR 3B', 105753),
(162028, 'PTHR47428', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN MIG1-RELATED', 105754),
(162029, 'PTHR43000:SF29', NULL, NULL, NULL, NULL, 'SALMON SILKS1', 105755),
(162030, 'PTHR43173:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105756),
(162031, 'PTHR43065:SF38', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN ZRAS', 105757),
(162032, 'PTHR31181:SF64', NULL, NULL, NULL, NULL, 'VEGETATIVE CELL WALL PROTEIN GP1-LIKE', 105758);
INSERT INTO "PUBLIC"."MODEL" VALUES
(162033, 'PTHR31676:SF14', NULL, NULL, NULL, NULL, 'OS03G0393600 PROTEIN', 105759),
(162034, 'PTHR22891:SF147', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE MEL1', 105760),
(162035, 'PTHR31225:SF126', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE', 105761),
(162036, 'PTHR24015:SF1770', NULL, NULL, NULL, NULL, 'OS05G0153400 PROTEIN', 105762),
(162037, 'PTHR10134:SF37', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE-1, MITOCHONDRIAL', 105763),
(162038, 'PTHR48059:SF16', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-INHIBITING PROTEIN 4', 105764),
(162039, 'PTHR24376:SF68', NULL, NULL, NULL, NULL, 'REGULATOR OF SEX-LIMITATION CANDIDATE 23-RELATED', 105765),
(162040, 'PTHR33083:SF92', NULL, NULL, NULL, NULL, 'BNAA05G09520D PROTEIN', 105766),
(162041, 'PTHR11863:SF156', NULL, NULL, NULL, NULL, 'C-4 METHYLSTEROL OXIDASE', 105767),
(162042, 'PTHR16469', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 105768),
(162043, 'PTHR34947', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 105769),
(162044, 'PTHR12694:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105770),
(162045, 'PTHR24376:SF84', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 521', 105771),
(162046, 'PTHR44083:SF33', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 4', 105772),
(162047, 'PTHR40624:SF1', NULL, NULL, NULL, NULL, 'BIOSYNTHESIS MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12025)-RELATED', 105773),
(162048, 'PTHR45958:SF4', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 42-RELATED', 105774),
(162049, 'PTHR44019', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 55', 105775),
(162050, 'PTHR31139:SF4', NULL, NULL, NULL, NULL, 'ECTOPIC P GRANULES PROTEIN 5 HOMOLOG', 105776),
(162051, 'PTHR43445', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMATE--L-ALANINE LIGASE-RELATED', 105777),
(162052, 'PTHR11360:SF159', NULL, NULL, NULL, NULL, 'AGAP002587-PA', 105778),
(162053, 'PTHR31314:SF117', NULL, NULL, NULL, NULL, 'BNAA01G08300D PROTEIN', 105779),
(162054, 'PTHR11926:SF744', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 105780),
(162055, 'PTHR11863:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105781),
(162056, 'PTHR46372:SF6', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 1', 105782),
(162057, 'PTHR32467:SF67', NULL, NULL, NULL, NULL, 'APETALA2-LIKE PROTEIN 3', 105783),
(162058, 'PTHR30629:SF9', NULL, NULL, NULL, NULL, 'PROTEIN INTB-RELATED', 105784),
(162059, 'PTHR34828:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 45', 105785),
(162060, 'PTHR31953:SF64', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 1', 105786),
(162061, 'PTHR31674:SF19', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS06G0632500-RELATED', 105787),
(162062, 'PTHR45917:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 1', 105788),
(162063, 'PTHR10907:SF54', NULL, NULL, NULL, NULL, 'REGUCALCIN', 105789),
(162064, 'PTHR33102:SF61', NULL, NULL, NULL, NULL, 'BNAA03G16910D PROTEIN', 105790),
(162065, 'PTHR11879:SF41', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, CYTOPLASMIC ISOZYME 2', 105791),
(162066, 'PTHR10755', NULL, NULL, NULL, NULL, 'COPROPORPHYRINOGEN III OXIDASE, MITOCHONDRIAL', 105792),
(162067, 'PTHR37989:SF35', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 3', 105793),
(162068, 'PTHR43096:SF10', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG 1, MITOCHONDRIAL-RELATED', 105794),
(162069, 'PTHR24009:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 18-LIKE', 105795),
(162070, 'PTHR12914', NULL, NULL, NULL, NULL, 'PARTNER OF SLD5', 105796),
(162071, 'PTHR11909:SF377', NULL, NULL, NULL, NULL, 'OS01G0744300 PROTEIN', 105797),
(162072, 'PTHR32134:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105798),
(162073, 'PTHR46254', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 105799),
(162074, 'PTHR11085:SF14', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE SIRTUIN-3, MITOCHONDRIAL', 105800),
(162075, 'PTHR15710:SF92', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 105801),
(162076, 'PTHR37017:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105802);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(162077, 'PTHR33721:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105803),
(162078, 'PTHR43874:SF63', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR1-LIKE ISOFORM X1', 105804),
(162079, 'PTHR24012:SF842', NULL, NULL, NULL, NULL, 'FLOWERING TIME CONTROL PROTEIN FCA', 105805),
(162080, 'PTHR43903:SF8', NULL, NULL, NULL, NULL, 'NEUROLIGIN 2B', 105806),
(162081, 'PTHR32370:SF141', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 105807),
(162082, 'PTHR47242', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', 105808),
(162083, 'PTHR21650:SF2', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN NUF2', 105809),
(162084, 'PTHR22761:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105810),
(162085, 'PTHR27008:SF446', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105811),
(162086, 'PTHR11802:SF55', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 105812),
(162087, 'PTHR32481:SF21', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE YSDC-RELATED', 105813),
(162088, 'PTHR46577:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATORY PROTEIN GABR', 105814),
(162089, 'PTHR24281:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 105815),
(162090, 'PTHR46991:SF25', NULL, NULL, NULL, NULL, 'BNAC07G33780D PROTEIN', 105816),
(162091, 'PTHR36443:SF1', NULL, NULL, NULL, NULL, 'BSR5223 PROTEIN', 105817),
(162092, 'PTHR23235:SF58', NULL, NULL, NULL, NULL, 'EARLY GROWTH RESPONSE PROTEIN 4', 105818),
(162093, 'PTHR47320', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL URIDYLYLTRANSFERASE/URIDYLYL-REMOVING ENZYME', 105819),
(162094, 'PTHR46492:SF1', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 4, AXONEMAL', 105820),
(162095, 'PTHR47993:SF184', NULL, NULL, NULL, NULL, 'OS07G0207900 PROTEIN', 105821),
(162096, 'PTHR31549:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105822),
(162097, 'PTHR14221', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 44', 105823),
(162098, 'PTHR11871:SF37', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', 105824),
(162099, 'PTHR43080', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX3, MITOCHONDRIAL', 105825),
(162100, 'PTHR10625:SF204', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE B', 105826),
(162101, 'PTHR33779:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 105827),
(162102, 'PTHR48062:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 13', 105828),
(162103, 'PTHR18866', NULL, NULL, NULL, NULL, 'CARBOXYLASE:PYRUVATE/ACETYL-COA/PROPIONYL-COA CARBOXYLASE', 105829),
(162104, 'PTHR24027:SF432', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105830),
(162105, 'PTHR27004:SF209', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 22', 105831),
(162106, 'PTHR46691:SF7', NULL, NULL, NULL, NULL, 'BNAC04G29240D PROTEIN', 105832),
(162107, 'PTHR42030', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 105833),
(162108, 'PTHR46148:SF35', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', 105834),
(162109, 'PTHR11240:SF53', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 2-LIKE ISOFORM X1', 105835),
(162110, 'PTHR24320:SF240', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE TIC 32', 105836),
(162111, 'PTHR31552', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 105837),
(162112, 'PTHR39609:SF1', NULL, NULL, NULL, NULL, 'RFEG', 105838),
(162113, 'PTHR11731:SF195', NULL, NULL, NULL, NULL, 'DIPEPTIDYL-PEPTIDASE 6B', 105839),
(162114, 'PTHR45613:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105840),
(162115, 'PTHR19957:SF19', NULL, NULL, NULL, NULL, 'SYNTAXIN-4', 105841),
(162116, 'PTHR45674:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 105842),
(162117, 'PTHR24015:SF1949', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105843),
(162118, 'PTHR11431:SF51', NULL, NULL, NULL, NULL, 'FERRITIN', 105844),
(162119, 'PTHR31448:SF35', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 5 ISOFORM X1-RELATED', 105845),
(162120, 'PTHR31707:SF232', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 105846),
(162121, 'PTHR24123:SF105', NULL, NULL, NULL, NULL, 'CARD- AND ANK-CONTAINING INFLAMMASOME ADAPTOR PROTEIN', 105847);
INSERT INTO "PUBLIC"."MODEL" VALUES
(162122, 'PTHR26451:SF905', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105848),
(162123, 'PTHR32378:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105849),
(162124, 'PTHR45654:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG12-RELATED', 105850),
(162125, 'PTHR28649', NULL, NULL, NULL, NULL, 'PROTEIN REPRIMO-RELATED', 105851),
(162126, 'PTHR10177:SF432', NULL, NULL, NULL, NULL, 'I, PUTATIVE-RELATED', 105852),
(162127, 'PTHR23505:SF78', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 105853),
(162128, 'PTHR32347:SF23', NULL, NULL, NULL, NULL, 'UPF0194 MEMBRANE PROTEIN YBHG', 105854),
(162129, 'PTHR12352:SF29', NULL, NULL, NULL, NULL, 'FI05255P', 105855),
(162130, 'PTHR24115:SF412', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 105856),
(162131, 'PTHR46798:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 105857),
(162132, 'PTHR43095', NULL, NULL, NULL, NULL, 'SUGAR KINASE', 105858),
(162133, 'PTHR31867:SF15', NULL, NULL, NULL, NULL, 'EXPANSIN-A9', 105859),
(162134, 'PTHR36887', NULL, NULL, NULL, NULL, 'OS01G0532300 PROTEIN', 105860),
(162135, 'PTHR11689:SF140', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN A', 105861),
(162136, 'PTHR48000:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB36', 105862),
(162137, 'PTHR15117:SF5', NULL, NULL, NULL, NULL, 'ATAXIN-7-LIKE PROTEIN 2', 105863),
(162138, 'PTHR28062', NULL, NULL, NULL, NULL, 'K+-H+ EXCHANGE-LIKE PROTEIN', 105864),
(162139, 'PTHR31144:SF1', NULL, NULL, NULL, NULL, 'UPF0602 PROTEIN C4ORF47', 105865),
(162140, 'PTHR12411:SF360', NULL, NULL, NULL, NULL, 'OS06G0582600 PROTEIN', 105866),
(162141, 'PTHR11746:SF234', NULL, NULL, NULL, NULL, 'TRANS-RESVERATROL DI-O-METHYLTRANSFERASE-LIKE', 105867),
(162142, 'PTHR13301:SF155', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D3', 105868),
(162143, 'PTHR47924:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105869),
(162144, 'PTHR44329:SF187', NULL, NULL, NULL, NULL, 'OS03G0745700 PROTEIN', 105870),
(162145, 'PTHR22298:SF18', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 105871),
(162146, 'PTHR31636:SF240', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 13', 105872),
(162147, 'PTHR11783:SF77', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 1C3', 105873),
(162148, 'PTHR11073:SF28', NULL, NULL, NULL, NULL, 'CALRETICULIN-3', 105874),
(162149, 'PTHR46405:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105875),
(162150, 'PTHR47992:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105876),
(162151, 'PTHR24221:SF560', NULL, NULL, NULL, NULL, 'EXPORT ABC TRANSPORTER', 105877),
(162152, 'PTHR31503:SF44', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 5-RELATED', 105878),
(162153, 'PTHR31314:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105879),
(162154, 'PTHR41158', NULL, NULL, NULL, NULL, 'AGAP010294-PA', 105880),
(162155, 'PTHR23428:SF228', NULL, NULL, NULL, NULL, 'HISTONE H2B', 105881),
(162156, 'PTHR11818:SF62', NULL, NULL, NULL, NULL, 'CRYGM2B PROTEIN-RELATED', 105882),
(162157, 'PTHR21495:SF47', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 105883),
(162158, 'PTHR31906:SF29', NULL, NULL, NULL, NULL, 'SLR1024 PROTEIN', 105884),
(162159, 'PTHR11246:SF20', NULL, NULL, NULL, NULL, 'TPR-CONTAINING PROTEIN DDB_G0280363', 105885),
(162160, 'PTHR24369:SF178', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING NOGO RECEPTOR-INTERACTING PROTEIN 1', 105886),
(162161, 'PTHR12794', NULL, NULL, NULL, NULL, 'GEMIN2', 105887),
(162162, 'PTHR33527:SF36', NULL, NULL, NULL, NULL, 'BNAA09G08110D PROTEIN', 105888),
(162163, 'PTHR31620:SF14', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 4, CHLOROPLASTIC', 105889),
(162164, 'PTHR30043', NULL, NULL, NULL, NULL, 'PHOSPHONATES TRANSPORT SYSTEM PERMEASE PROTEIN', 105890),
(162165, 'PTHR33740:SF8', NULL, NULL, NULL, NULL, 'BNAA09G05120D PROTEIN', 105891),
(162166, 'PTHR35994', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 105892),
(162167, 'PTHR47877:SF3', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT DOMAIN-CONTAINING PROTEIN / LEA DOMAIN-CONTAINING PROTEIN', 105893);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(162168, 'PTHR43204:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 6, CHLOROPLASTIC', 105894),
(162169, 'PTHR42998', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME HINDVIIP M PROTEIN-RELATED', 105895),
(162170, 'PTHR32494', NULL, NULL, NULL, NULL, 'ALLANTOATE DEIMINASE-RELATED', 105896),
(162171, 'PTHR21824', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 105897),
(162172, 'PTHR23516:SF18', NULL, NULL, NULL, NULL, 'MOLYBDATE-ANION TRANSPORTER-LIKE', 105898),
(162173, 'PTHR32002:SF31', NULL, NULL, NULL, NULL, 'PROTEIN NLP3', 105899),
(162174, 'PTHR27003:SF382', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 105900),
(162175, 'PTHR46228:SF3', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 2', 105901),
(162176, 'PTHR46218:SF3', NULL, NULL, NULL, NULL, 'NEBULETTE', 105902),
(162177, 'PTHR13170:SF24', NULL, NULL, NULL, NULL, 'O-GLCNACASE', 105903),
(162178, 'PTHR21569:SF27', NULL, NULL, NULL, NULL, 'BNAA03G57330D PROTEIN', 105904),
(162179, 'PTHR47945:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105905),
(162180, 'PTHR32338:SF10', NULL, NULL, NULL, NULL, 'N-ACETYL-GAMMA-GLUTAMYL-PHOSPHATE REDUCTASE, CHLOROPLASTIC-RELATED', 105906),
(162181, 'PTHR28125:SF2', NULL, NULL, NULL, NULL, 'MEIOTIC EXPRESSION UP-REGULATED PROTEIN 26', 105907),
(162182, 'PTHR35687:SF8', NULL, NULL, NULL, NULL, 'BNACNNG71110D PROTEIN', 105908),
(162183, 'PTHR12241:SF157', NULL, NULL, NULL, NULL, 'LIGASE-LIKE PROTEIN, PUTATIVE-RELATED', 105909),
(162184, 'PTHR22847:SF691', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105910),
(162185, 'PTHR31769:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 105911),
(162186, 'PTHR31604:SF24', NULL, NULL, NULL, NULL, 'LRP1 CARBOXY-TERMINAL DOMAIN PROTEIN', 105912),
(162187, 'PTHR47693:SF2', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR RISBZ5', 105913),
(162188, 'PTHR31644', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR ARO80-RELATED', 105914),
(162189, 'PTHR45657:SF18', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH4', 105915),
(162190, 'PTHR12902:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105916),
(162191, 'PTHR24399:SF50', NULL, NULL, NULL, NULL, 'NOVEL KRAB BOX AND ZINC FINGER, C2H2 TYPE DOMAIN CONTAINING PROTEIN-RELATED', 105917),
(162192, 'PTHR11909:SF408', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN HD16 ISOFORM X1', 105918),
(162193, 'PTHR24559:SF372', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105919),
(162194, 'PTHR48106:SF8', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE PIG3', 105920),
(162195, 'PTHR30250', NULL, NULL, NULL, NULL, 'PST FAMILY PREDICTED COLANIC ACID TRANSPORTER', 105921),
(162196, 'PTHR21467', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 4 PPP4R4', 105922),
(162197, 'PTHR14047', NULL, NULL, NULL, NULL, 'P ANTIGEN FAMILY MEMBER 5-RELATED', 105923),
(162198, 'PTHR19338:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8 A-B-RELATED', 105924),
(162199, 'PTHR33052:SF102', NULL, NULL, NULL, NULL, 'TMV RESPONSE-RELATED PROTEIN', 105925),
(162200, 'PTHR34414', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 105926),
(162201, 'PTHR21206', NULL, NULL, NULL, NULL, 'SLD5 PROTEIN', 105927),
(162202, 'PTHR12172', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT PROTEIN RAD17', 105928),
(162203, 'PTHR23193', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN  NUP', 105929),
(162204, 'PTHR14221:SF43', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 44-LIKE', 105930),
(162205, 'PTHR22763:SF14', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 122', 105931),
(162206, 'PTHR43814:SF1', NULL, NULL, NULL, NULL, 'ARGININOSUCCINATE LYASE', 105932),
(162207, 'PTHR31075:SF3', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 85 KDA', 105933),
(162208, 'PTHR24251:SF19', NULL, NULL, NULL, NULL, 'PROLINE-RICH GLA (G-CARBOXYGLUTAMIC ACID) 2', 105934),
(162209, 'PTHR32332:SF28', NULL, NULL, NULL, NULL, 'DIOXYGENASE FAMILY OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G09600)-RELATED', 105935);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(162210, 'PTHR45804:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D13', 105936),
(162211, 'PTHR13178', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE SGDH SUBUNIT', 105937),
(162212, 'PTHR34683:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105938),
(162213, 'PTHR31314:SF109', NULL, NULL, NULL, NULL, 'BNAA09G10270D PROTEIN', 105939),
(162214, 'PTHR19278:SF9', NULL, NULL, NULL, NULL, 'URIDINE 5''-MONOPHOSPHATE SYNTHASE', 105940),
(162215, 'PTHR37345:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 107', 105941),
(162216, 'PTHR24410:SF24', NULL, NULL, NULL, NULL, 'BTB DOMAIN CONTAINING 6', 105942),
(162217, 'PTHR15175:SF0', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN C23A1.17', 105943),
(162218, 'PTHR11567:SF125', NULL, NULL, NULL, NULL, '2-PHOSPHOXYLOSE PHOSPHATASE 1', 105944),
(162219, 'PTHR15241:SF310', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1-LIKE', 105945),
(162220, 'PTHR31374:SF277', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105946),
(162221, 'PTHR11937:SF442', NULL, NULL, NULL, NULL, 'ACTIN-97', 105947),
(162222, 'PTHR23338:SF45', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D3', 105948),
(162223, 'PTHR31241:SF57', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2A', 105949),
(162224, 'PTHR31384:SF133', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 8', 105950),
(162225, 'PTHR35082:SF1', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 4', 105951),
(162226, 'PTHR46119:SF7', NULL, NULL, NULL, NULL, 'OS01G0595201 PROTEIN', 105952),
(162227, 'PTHR10606:SF41', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE/FRUCTOSE-2,6-BISPHOSPHATASE 3', 105953),
(162228, 'PTHR22891:SF16', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN', 105954),
(162229, 'PTHR47993:SF146', NULL, NULL, NULL, NULL, 'BNAC03G73790D PROTEIN', 105955),
(162230, 'PTHR38025', NULL, NULL, NULL, NULL, 'TRP OPERON REPRESSOR', 105956),
(162231, 'PTHR10809:SF109', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 2-2', 105957),
(162232, 'PTHR28153:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 105958),
(162233, 'PTHR36175', NULL, NULL, NULL, NULL, 'CYANOPHYCINASE', 105959),
(162234, 'PTHR48158:SF1', NULL, NULL, NULL, NULL, 'OS11G0453550 PROTEIN', 105960),
(162235, 'PTHR23294:SF50', NULL, NULL, NULL, NULL, 'PROTEIN CBG01375', 105961),
(162236, 'PTHR47305', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 2', 105962),
(162237, 'PTHR31683:SF137', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 105963),
(162238, 'PTHR31190:SF230', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 105964),
(162239, 'PTHR24377:SF30', NULL, NULL, NULL, NULL, 'ZINC FINGER IMPRINTED 3', 105965),
(162240, 'PTHR19443:SF6', NULL, NULL, NULL, NULL, 'HEXOKINASE-3', 105966),
(162241, 'PTHR16200:SF5', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN', 105967),
(162242, 'PTHR48043:SF62', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 105968),
(162243, 'PTHR43620:SF13', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL3-LIKE', 105969),
(162244, 'PTHR11362:SF110', NULL, NULL, NULL, NULL, 'PROTEIN FLOWERING LOCUS T-LIKE', 105970),
(162245, 'PTHR24044:SF463', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105971),
(162246, 'PTHR13530', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 7', 105972),
(162247, 'PTHR24286:SF291', NULL, NULL, NULL, NULL, 'STEROL 14-DEMETHYLASE', 105973),
(162248, 'PTHR33059:SF94', NULL, NULL, NULL, NULL, 'BNAA02G18700D PROTEIN', 105974),
(162249, 'PTHR24271:SF55', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 57', 105975),
(162250, 'PTHR24416:SF553', NULL, NULL, NULL, NULL, 'EPH RECEPTOR B2B', 105976),
(162251, 'PTHR14002:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105977),
(162252, 'PTHR23281:SF39', NULL, NULL, NULL, NULL, 'MOESIN/EZRIN/RADIXIN HOMOLOG 2', 105978),
(162253, 'PTHR46641:SF15', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', 105979),
(162254, 'PTHR21616:SF2', NULL, NULL, NULL, NULL, 'CENTROSOME AND SPINDLE POLE-ASSOCIATED PROTEIN 1', 105980);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(162255, 'PTHR32472:SF21', NULL, NULL, NULL, NULL, 'BNAA03G45970D PROTEIN', 105981),
(162256, 'PTHR11576:SF11', NULL, NULL, NULL, NULL, 'ONCOPROTEIN INDUCED TRANSCRIPT 3', 105982),
(162257, 'PTHR17609', NULL, NULL, NULL, NULL, 'HMG DOMAIN-CONTAINING PROTEIN 3', 105983),
(162258, 'PTHR36738:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 105984),
(162259, 'PTHR24377:SF633', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 419', 105985),
(162260, 'PTHR25480:SF0', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 73', 105986),
(162261, 'PTHR27007:SF41', NULL, NULL, NULL, NULL, 'LECTIN-LIKE RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', 105987),
(162262, 'PTHR22765:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105988),
(162263, 'PTHR37356', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 239', 105989),
(162264, 'PTHR22925', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE 43 FAMILY MEMBER', 105990),
(162265, 'PTHR14379:SF60', NULL, NULL, NULL, NULL, 'BNAC03G65830D PROTEIN', 105991),
(162266, 'PTHR10177:SF377', NULL, NULL, NULL, NULL, 'CYCLIN-A1-4', 105992),
(162267, 'PTHR24221:SF534', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER, SUBFAMILY B, MEMBER 16, GROUP MDR/PGP PROTEIN PPABCB16', 105993),
(162268, 'PTHR24377:SF903', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 394', 105994),
(162269, 'PTHR23315:SF295', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 105995),
(162270, 'PTHR22838:SF6', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 26 HOMOLOG', 105996),
(162271, 'PTHR47122:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 105997),
(162272, 'PTHR44337:SF6', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 19', 105998),
(162273, 'PTHR23068', NULL, NULL, NULL, NULL, 'DNA  CYTOSINE-5- -METHYLTRANSFERASE 3-RELATED', 105999),
(162274, 'PTHR48043:SF7', NULL, NULL, NULL, NULL, 'UDP GLUCURONOSYLTRANSFERASE 1 FAMILY, POLYPEPTIDE A7', 106000),
(162275, 'PTHR30055:SF156', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL DUAL REGULATOR CECR', 106001),
(162276, 'PTHR31225', NULL, NULL, NULL, NULL, 'OS04G0344100 PROTEIN-RELATED', 106002),
(162277, 'PTHR24012:SF781', NULL, NULL, NULL, NULL, 'OS04G0682400 PROTEIN', 106003),
(162278, 'PTHR21499:SF63', NULL, NULL, NULL, NULL, 'OS07G0300900 PROTEIN', 106004),
(162279, 'PTHR31791:SF35', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 106005),
(162280, 'PTHR11863:SF150', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 1-LIKE', 106006),
(162281, 'PTHR22947:SF11', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 106007),
(162282, 'PTHR35606', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 106008),
(162283, 'PTHR31235:SF319', NULL, NULL, NULL, NULL, 'PEROXIDASE', 106009),
(162284, 'PTHR10876:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106010),
(162285, 'PTHR47284', NULL, NULL, NULL, NULL, 'FATTY-ACID-BINDING PROTEIN 2', 106011),
(162286, 'PTHR15090', NULL, NULL, NULL, NULL, 'SEQUESTOSOME 1-RELATED', 106012),
(162287, 'PTHR24147:SF54', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 30A-RELATED', 106013),
(162288, 'PTHR31989:SF382', NULL, NULL, NULL, NULL, 'NAC (NO APICAL MERISTEM) DOMAIN TRANSCRIPTIONAL REGULATOR SUPERFAMILY PROTEIN', 106014),
(162289, 'PTHR11849:SF274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106015),
(162290, 'PTHR48222:SF2', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR, PROPEPTIDE', 106016),
(162291, 'PTHR46737:SF4', NULL, NULL, NULL, NULL, 'BNAANNG06110D PROTEIN', 106017),
(162292, 'PTHR11654:SF332', NULL, NULL, NULL, NULL, 'OS07G0100600 PROTEIN', 106018),
(162293, 'PTHR31194:SF136', NULL, NULL, NULL, NULL, 'BNAC03G14960D PROTEIN', 106019),
(162294, 'PTHR37416:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106020),
(162295, 'PTHR23316:SF75', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-B', 106021),
(162296, 'PTHR12320:SF37', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 106022),
(162297, 'PTHR37711', NULL, NULL, NULL, NULL, 'OS01G0908400 PROTEIN', 106023),
(162298, 'PTHR45647:SF43', NULL, NULL, NULL, NULL, 'OS10G0100500 PROTEIN', 106024);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(162299, 'PTHR15159:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-175G6.2', 106025),
(162300, 'PTHR10064:SF28', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L22, PUTATIVE-RELATED', 106026),
(162301, 'PTHR21094:SF4', NULL, NULL, NULL, NULL, 'GOLGI SNAP RECEPTOR COMPLEX MEMBER 1', 106027),
(162302, 'PTHR47926:SF69', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 106028),
(162303, 'PTHR33435', NULL, NULL, NULL, NULL, 'PROTEIN CBG21870-RELATED', 106029),
(162304, 'PTHR24070:SF189', NULL, NULL, NULL, NULL, 'GTPASE NRAS', 106030),
(162305, 'PTHR46774:SF8', NULL, NULL, NULL, NULL, 'BNAC03G44730D PROTEIN', 106031),
(162306, 'PTHR22937:SF167', NULL, NULL, NULL, NULL, 'OS06G0695600 PROTEIN', 106032),
(162307, 'PTHR34380:SF2', NULL, NULL, NULL, NULL, 'OS01G0656900 PROTEIN', 106033),
(162308, 'PTHR42702:SF1', NULL, NULL, NULL, NULL, 'NUCLEOTIDE PYROPHOSPHOHYDROLASE', 106034),
(162309, 'PTHR31929:SF70', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR21', 106035),
(162310, 'PTHR33070:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106036),
(162311, 'PTHR47352', NULL, NULL, NULL, NULL, 'CLASS I PEPTIDE CHAIN RELEASE FACTOR', 106037),
(162312, 'PTHR43708:SF1', NULL, NULL, NULL, NULL, 'GALACTOSE/LACTOSE METABOLISM REGULATORY PROTEIN GAL80', 106038),
(162313, 'PTHR12565:SF371', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH78-LIKE ISOFORM X1', 106039),
(162314, 'PTHR12565:SF408', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBI1-LIKE ISOFORM X1', 106040),
(162315, 'PTHR24253:SF119', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 27', 106041),
(162316, 'PTHR33784:SF16', NULL, NULL, NULL, NULL, 'BNAA02G27510D PROTEIN', 106042),
(162317, 'PTHR12125:SF5', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 6-LIKE PROTEIN', 106043),
(162318, 'PTHR21659:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG12708', 106044),
(162319, 'PTHR43721:SF10', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN 2B', 106045),
(162320, 'PTHR31096:SF72', NULL, NULL, NULL, NULL, 'FOUR ACT DOMAIN ACT DOMAIN PROTEIN WHICH PROTEIN', 106046),
(162321, 'PTHR48017:SF83', NULL, NULL, NULL, NULL, 'OS05G0424000 PROTEIN', 106047),
(162322, 'PTHR10778:SF4', NULL, NULL, NULL, NULL, 'UDP-XYLOSE AND UDP-N-ACETYLGLUCOSAMINE TRANSPORTER', 106048),
(162323, 'PTHR10869:SF189', NULL, NULL, NULL, NULL, 'TYPE 1 PROLY 4-HYDROXYLASE', 106049),
(162324, 'PTHR34726:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106050),
(162325, 'PTHR36785:SF1', NULL, NULL, NULL, NULL, 'OS05G0502500 PROTEIN', 106051),
(162326, 'PTHR45656:SF3', NULL, NULL, NULL, NULL, 'CUB AND SUSHI DOMAIN-CONTAINING PROTEIN 1', 106052),
(162327, 'PTHR48013:SF8', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 2', 106053),
(162328, 'PTHR11437', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', 106054),
(162329, 'PTHR30485:SF0', NULL, NULL, NULL, NULL, 'NI/FE-HYDROGENASE 1 B-TYPE CYTOCHROME SUBUNIT-RELATED', 106055),
(162330, 'PTHR46483:SF7', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 106056),
(162331, 'PTHR47990:SF131', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 106057),
(162332, 'PTHR13047:SF1', NULL, NULL, NULL, NULL, 'PRE-MRNA CLEAVAGE FACTOR IM 25 KDA SUBUNIT 1', 106058),
(162333, 'PTHR10555', NULL, NULL, NULL, NULL, 'SORTING NEXIN', 106059),
(162334, 'PTHR11769:SF35', NULL, NULL, NULL, NULL, 'HYALURONIDASE', 106060),
(162335, 'PTHR19918:SF8', NULL, NULL, NULL, NULL, 'FI02843P', 106061),
(162336, 'PTHR28651:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 232', 106062),
(162337, 'PTHR24118:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106063),
(162338, 'PTHR45732:SF15', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8B', 106064),
(162339, 'PTHR12542:SF141', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 106065),
(162340, 'PTHR43205:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106066),
(162341, 'PTHR45642:SF18', NULL, NULL, NULL, NULL, 'OS01G0832100 PROTEIN', 106067),
(162342, 'PTHR15065:SF7', NULL, NULL, NULL, NULL, 'NERVOUS FINGERS 2, ISOFORM B', 106068);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(162343, 'PTHR46215:SF7', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 18', 106069),
(162344, 'PTHR43634', NULL, NULL, NULL, NULL, 'OW CONDUCTANCE MECHANOSENSITIVE CHANNEL', 106070),
(162345, 'PTHR31866:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106071),
(162346, 'PTHR24342:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 17A', 106072),
(162347, 'PTHR15224', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 5', 106073),
(162348, 'PTHR31677:SF79', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 5', 106074),
(162349, 'PTHR48017:SF174', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN-RELATED', 106075),
(162350, 'PTHR10652:SF1', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN 1', 106076),
(162351, 'PTHR32227:SF119', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE-RELATED', 106077),
(162352, 'PTHR47831:SF1', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR II-I REPEAT DOMAIN-CONTAINING PROTEIN 2A-RELATED', 106078),
(162353, 'PTHR10383:SF54', NULL, NULL, NULL, NULL, 'SERINC-DOMAIN CONTAINING SERINE AND SPHINGOLIPID BIOSYNTHESIS PROTEIN', 106079),
(162354, 'PTHR12625:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LMBR1L', 106080),
(162355, 'PTHR11879:SF50', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 106081),
(162356, 'PTHR15710:SF124', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 106082),
(162357, 'PTHR11654:SF421', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 3.1', 106083),
(162358, 'PTHR13108:SF12', NULL, NULL, NULL, NULL, 'BNAC04G43100D PROTEIN', 106084),
(162359, 'PTHR45807:SF4', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 106085),
(162360, 'PTHR31327', NULL, NULL, NULL, NULL, 'SPERM MEIOSIS PDZ DOMAIN CONTAINING PROTEINS-RELATED', 106086),
(162361, 'PTHR26453:SF642', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 106087),
(162362, 'PTHR12176:SF69', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE-LYSINE N-METHYLTRANSFERASE CSKMT, MITOCHONDRIAL', 106088),
(162363, 'PTHR28161:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT F, MITOCHONDRIAL', 106089),
(162364, 'PTHR10102:SF13', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', 106090),
(162365, 'PTHR33085:SF105', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 106091),
(162366, 'PTHR12304:SF21', NULL, NULL, NULL, NULL, 'URIDINE NUCLEOSIDASE 2-RELATED', 106092),
(162367, 'PTHR13806', NULL, NULL, NULL, NULL, 'FLOTILLIN-RELATED', 106093),
(162368, 'PTHR11886:SF71', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 106094),
(162369, 'PTHR47958:SF68', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 56-LIKE ISOFORM X1', 106095),
(162370, 'PTHR10286:SF70', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE', 106096),
(162371, 'PTHR47349:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 106097),
(162372, 'PTHR23288:SF37', NULL, NULL, NULL, NULL, 'SI:DKEY-208K22.6', 106098),
(162373, 'PTHR24240:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106099),
(162374, 'PTHR23073:SF64', NULL, NULL, NULL, NULL, 'ATPASE, PUTATIVE-RELATED', 106100),
(162375, 'PTHR11818:SF11', NULL, NULL, NULL, NULL, 'BETA-CRYSTALLIN B2', 106101),
(162376, 'PTHR10218:SF67', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(T) SUBUNIT ALPHA-1', 106102),
(162377, 'PTHR11736:SF17', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN C1', 106103),
(162378, 'PTHR45676:SF62', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL66-LIKE', 106104),
(162379, 'PTHR23036:SF16', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR-LIKE FACTOR 1', 106105),
(162380, 'PTHR42354:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106106),
(162381, 'PTHR10825:SF74', NULL, NULL, NULL, NULL, 'RCG38166', 106107),
(162382, 'PTHR27005:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106108),
(162383, 'PTHR15243', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 19', 106109),
(162384, 'PTHR13817:SF11', NULL, NULL, NULL, NULL, 'OBSCURIN', 106110),
(162385, 'PTHR43847:SF1', NULL, NULL, NULL, NULL, 'BLL3993 PROTEIN', 106111);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(162386, 'PTHR10366:SF242', NULL, NULL, NULL, NULL, 'STEROL-4-ALPHA-CARBOXYLATE 3-DEHYDROGENASE, DECARBOXYLATING', 106112),
(162387, 'PTHR33417:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106113),
(162388, 'PTHR33193:SF55', NULL, NULL, NULL, NULL, 'DUF3511 DOMAIN PROTEIN', 106114),
(162389, 'PTHR16134:SF91', NULL, NULL, NULL, NULL, 'BNAA03G50430D PROTEIN', 106115),
(162390, 'PTHR24381:SF160', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 556', 106116),
(162391, 'PTHR42648', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PUTATIVE-RELATED', 106117),
(162392, 'PTHR24271:SF45', NULL, NULL, NULL, NULL, 'KALLIKREIN-7', 106118),
(162393, 'PTHR37359:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 253', 106119),
(162394, 'PTHR10209:SF614', NULL, NULL, NULL, NULL, 'FERULOYL COA ORTHO-HYDROXYLASE 2-LIKE', 106120),
(162395, 'PTHR11406:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE 1', 106121),
(162396, 'PTHR45919:SF1', NULL, NULL, NULL, NULL, 'GDP-MAN:MAN(3)GLCNAC(2)-PP-DOL ALPHA-1,2-MANNOSYLTRANSFERASE', 106122),
(162397, 'PTHR10041:SF8', NULL, NULL, NULL, NULL, 'COLIPASE', 106123),
(162398, 'PTHR13032:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM21', 106124),
(162399, 'PTHR32009:SF42', NULL, NULL, NULL, NULL, 'SIMILARITY TO DISEASE RESISTANCE PROTEIN', 106125),
(162400, 'PTHR24247:SF91', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6T1', 106126),
(162401, 'PTHR11640:SF51', NULL, NULL, NULL, NULL, 'KIN OF IRRE-LIKE PROTEIN 2', 106127),
(162402, 'PTHR13944:SF18', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 13', 106128),
(162403, 'PTHR13832:SF659', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 7-RELATED', 106129),
(162404, 'PTHR36064:SF2', NULL, NULL, NULL, NULL, 'BNAA10G30510D PROTEIN', 106130),
(162405, 'PTHR24349:SF443', NULL, NULL, NULL, NULL, 'BNAA06G15970D PROTEIN', 106131),
(162406, 'PTHR43341:SF16', NULL, NULL, NULL, NULL, 'TRYPTOPHAN PERMEASE', 106132),
(162407, 'PTHR11638:SF111', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPA', 106133),
(162408, 'PTHR31174:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106134),
(162409, 'PTHR31789:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106135),
(162410, 'PTHR23290:SF5', NULL, NULL, NULL, NULL, 'BNAA03G59050D PROTEIN', 106136),
(162411, 'PTHR22600:SF43', NULL, NULL, NULL, NULL, 'OS05G0390200 PROTEIN', 106137),
(162412, 'PTHR45786:SF28', NULL, NULL, NULL, NULL, 'BNAA09G12390D PROTEIN', 106138),
(162413, 'PTHR22802:SF254', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4, MEMBER A3', 106139),
(162414, 'PTHR11945:SF474', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL3', 106140),
(162415, 'PTHR10797:SF68', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 10-RELATED', 106141),
(162416, 'PTHR35130', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 16', 106142),
(162417, 'PTHR24282:SF112', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 709 PROTEIN', 106143),
(162418, 'PTHR34502:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106144),
(162419, 'PTHR31592:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106145),
(162420, 'PTHR33076:SF69', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 106146),
(162421, 'PTHR39957:SF3', NULL, NULL, NULL, NULL, 'GEO11553P1', 106147),
(162422, 'PTHR31953:SF65', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 1-LIKE', 106148),
(162423, 'PTHR23430:SF272', NULL, NULL, NULL, NULL, 'HISTONE H2A.1-RELATED', 106149),
(162424, 'PTHR33800:SF8', NULL, NULL, NULL, NULL, 'OS06G0114300 PROTEIN', 106150),
(162425, 'PTHR39344', NULL, NULL, NULL, NULL, 'UPF0182 PROTEIN SLL1060', 106151),
(162426, 'PTHR24068', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2', 106152),
(162427, 'PTHR34309:SF9', NULL, NULL, NULL, NULL, 'PROTEIN GLCG', 106153),
(162428, 'PTHR46513:SF7', NULL, NULL, NULL, NULL, 'LDL RECEPTOR RELATED PROTEIN 1B', 106154),
(162429, 'PTHR32116:SF80', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 106155),
(162430, 'PTHR23118:SF35', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE BETA CHAIN PROTEIN 2-LIKE', 106156);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(162431, 'PTHR33124:SF90', NULL, NULL, NULL, NULL, 'OS02G0791300 PROTEIN', 106157),
(162432, 'PTHR12879:SF2', NULL, NULL, NULL, NULL, 'SPHINGOLIPID DELTA(4)-DESATURASE DES1', 106158),
(162433, 'PTHR33981:SF15', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', 106159),
(162434, 'PTHR23339:SF74', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE CDC14C', 106160),
(162435, 'PTHR31451:SF50', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 2-LIKE', 106161),
(162436, 'PTHR43180:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106162),
(162437, 'PTHR33101:SF65', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 10', 106163),
(162438, 'PTHR43584', NULL, NULL, NULL, NULL, 'NUCLEOTIDYL TRANSFERASE', 106164),
(162439, 'PTHR43818:SF5', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE FAMILY PROTEIN', 106165),
(162440, 'PTHR12213', NULL, NULL, NULL, NULL, 'CORRINOID ADENOSYLTRANSFERASE', 106166),
(162441, 'PTHR23024:SF449', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE', 106167),
(162442, 'PTHR46691:SF9', NULL, NULL, NULL, NULL, 'BNAC06G07470D PROTEIN', 106168),
(162443, 'PTHR33130:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106169),
(162444, 'PTHR48012:SF20', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE A', 106170),
(162445, 'PTHR31676:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106171),
(162446, 'PTHR13800:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG08369', 106172),
(162447, 'PTHR48078:SF9', NULL, NULL, NULL, NULL, 'D-SERINE DEHYDRATASE', 106173),
(162448, 'PTHR35703:SF6', NULL, NULL, NULL, NULL, 'HEME OXYGENASE-LIKE PROTEIN-RELATED', 106174),
(162449, 'PTHR33057:SF93', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP8-LIKE', 106175),
(162450, 'PTHR31741:SF52', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 7-LIKE', 106176),
(162451, 'PTHR12305:SF52', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 3-PHOSPHATASE CNRN', 106177),
(162452, 'PTHR44169:SF6', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT 1-ACYLDIHYDROXYACETONE PHOSPHATE REDUCTASE', 106178),
(162453, 'PTHR46228', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN', 106179),
(162454, 'PTHR24383:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 44', 106180),
(162455, 'PTHR42953:SF7', NULL, NULL, NULL, NULL, 'MANGANESE-BINDING LIPOPROTEIN MNTA', 106181),
(162456, 'PTHR42718:SF10', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G06760)-RELATED', 106182),
(162457, 'PTHR33085:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106183),
(162458, 'PTHR42874:SF1', NULL, NULL, NULL, NULL, 'URICASE', 106184),
(162459, 'PTHR16112:SF17', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 6', 106185),
(162460, 'PTHR10359', NULL, NULL, NULL, NULL, 'A/G-SPECIFIC ADENINE GLYCOSYLASE/ENDONUCLEASE III', 106186),
(162461, 'PTHR31279:SF10', NULL, NULL, NULL, NULL, 'OS10G0376400 PROTEIN', 106187),
(162462, 'PTHR24356:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106188),
(162463, 'PTHR12411:SF790', NULL, NULL, NULL, NULL, 'ANANAIN-RELATED', 106189),
(162464, 'PTHR37340:SF1', NULL, NULL, NULL, NULL, 'GENE 7073-RELATED', 106190),
(162465, 'PTHR45621:SF131', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE, NON-RECEPTOR JAK3-RELATED', 106191),
(162466, 'PTHR12945:SF1', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(58)-N(1))-METHYLTRANSFERASE NON-CATALYTIC SUBUNIT TRM6', 106192),
(162467, 'PTHR36395:SF1', NULL, NULL, NULL, NULL, 'RING-H2 ZINC FINGER PROTEIN', 106193),
(162468, 'PTHR13018:SF102', NULL, NULL, NULL, NULL, 'ERD (EARLY-RESPONSIVE TO DEHYDRATION STRESS) FAMILY PROTEIN', 106194),
(162469, 'PTHR24351:SF192', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 106195),
(162470, 'PTHR13042:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5', 106196),
(162471, 'PTHR12758:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106197),
(162472, 'PTHR21137:SF38', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 67D-RELATED', 106198),
(162473, 'PTHR31448:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 106199);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(162474, 'PTHR37610:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106200),
(162475, 'PTHR12126:SF5', NULL, NULL, NULL, NULL, 'OSJNBB0118P14.7 PROTEIN', 106201),
(162476, 'PTHR38786', NULL, NULL, NULL, NULL, 'FLAGELLAR FLIJ PROTEIN', 106202),
(162477, 'PTHR31388:SF123', NULL, NULL, NULL, NULL, 'PEROXIDASE', 106203),
(162478, 'PTHR35444:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700001C19 GENE', 106204),
(162479, 'PTHR10687:SF75', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 3', 106205),
(162480, 'PTHR22847:SF648', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN CONTAINING 9', 106206),
(162481, 'PTHR47942:SF38', NULL, NULL, NULL, NULL, 'REPEAT SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 106207),
(162482, 'PTHR22718:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG00536', 106208),
(162483, 'PTHR10361', NULL, NULL, NULL, NULL, 'SODIUM-BILE ACID COTRANSPORTER', 106209),
(162484, 'PTHR45821:SF2', NULL, NULL, NULL, NULL, 'SNF2 DOMAIN-CONTAINING PROTEIN CLASSY 2', 106210),
(162485, 'PTHR46662:SF25', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 106211),
(162486, 'PTHR11675:SF101', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 1', 106212),
(162487, 'PTHR31376:SF74', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 3', 106213),
(162488, 'PTHR45783:SF1', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN 3', 106214),
(162489, 'PTHR26451:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106215),
(162490, 'PTHR10502:SF29', NULL, NULL, NULL, NULL, 'ANNEXIN A11', 106216),
(162491, 'PTHR35664:SF1', NULL, NULL, NULL, NULL, 'SPERMATID-SPECIFIC MANCHETTE-RELATED PROTEIN 1', 106217),
(162492, 'PTHR48049:SF88', NULL, NULL, NULL, NULL, 'OS07G0201300 PROTEIN', 106218),
(162493, 'PTHR30221:SF8', NULL, NULL, NULL, NULL, 'SMALL CONDUCTANCE MECHANOSENSITIVE ION CHANNEL PROTEIN MSCS FAMILY', 106219),
(162494, 'PTHR22765:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106220),
(162495, 'PTHR33789:SF5', NULL, NULL, NULL, NULL, 'LACHRYMATORY-FACTOR SYNTHASE', 106221),
(162496, 'PTHR38652:SF1', NULL, NULL, NULL, NULL, 'INTERLEUKIN-31', 106222),
(162497, 'PTHR21262:SF32', NULL, NULL, NULL, NULL, 'GTP DIPHOSPHOKINASE RSH2 CHLOROPLASTIC-RELATED', 106223),
(162498, 'PTHR11071:SF491', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 106224),
(162499, 'PTHR23105:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106225),
(162500, 'PTHR47874:SF1', NULL, NULL, NULL, NULL, 'OS05G0407900 PROTEIN', 106226),
(162501, 'PTHR23236:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106227),
(162502, 'PTHR35697:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106228),
(162503, 'PTHR12967:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SHQ1 HOMOLOG', 106229),
(162504, 'PTHR10168:SF245', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106230),
(162505, 'PTHR31100:SF49', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 106231),
(162506, 'PTHR10605:SF53', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL HEPARAN SULFATE N-DEACETYLASE/N-SULFOTRANSFERASE 2', 106232),
(162507, 'PTHR11618:SF45', NULL, NULL, NULL, NULL, 'CYCLIN FAMILY PROTEIN', 106233),
(162508, 'PTHR22989:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG01276', 106234),
(162509, 'PTHR12276:SF57', NULL, NULL, NULL, NULL, 'ENTH DOMAIN-CONTAINING PROTEIN 1', 106235),
(162510, 'PTHR11926:SF1334', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 106236),
(162511, 'PTHR19375:SF351', NULL, NULL, NULL, NULL, 'SLR0086 PROTEIN', 106237),
(162512, 'PTHR24253:SF46', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P83', 106238),
(162513, 'PTHR11467:SF14', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC H1 HISTONE', 106239),
(162514, 'PTHR23075:SF11', NULL, NULL, NULL, NULL, 'BNAA05G32310D PROTEIN', 106240),
(162515, 'PTHR20844', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION, SUBUNIT 9', 106241),
(162516, 'PTHR48048:SF40', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 106242),
(162517, 'PTHR11654:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106243),
(162518, 'PTHR33933:SF2', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', 106244);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(162519, 'PTHR43067', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE/DIPEPTIDE ABC TRANSPORTER, ATPASE SUBUNIT', 106245),
(162520, 'PTHR31549:SF65', NULL, NULL, NULL, NULL, 'OS08G0337800 PROTEIN', 106246),
(162521, 'PTHR31374:SF236', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR50', 106247),
(162522, 'PTHR11773:SF9', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM P PROTEIN', 106248),
(162523, 'PTHR31618:SF1', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 5', 106249),
(162524, 'PTHR34222:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106250),
(162525, 'PTHR11709:SF260', NULL, NULL, NULL, NULL, 'OS08G0154250 PROTEIN', 106251),
(162526, 'PTHR31776:SF23', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE A-RELATED', 106252),
(162527, 'PTHR24177:SF263', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN ISOFORM 1', 106253),
(162528, 'PTHR13509:SF14', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', 106254),
(162529, 'PTHR24343:SF454', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 106255),
(162530, 'PTHR15186', NULL, NULL, NULL, NULL, 'RE48077P', 106256),
(162531, 'PTHR31301:SF152', NULL, NULL, NULL, NULL, 'BNAA04G28360D PROTEIN', 106257),
(162532, 'PTHR32077:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106258),
(162533, 'PTHR43151:SF2', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORT PROTEIN A-RELATED', 106259),
(162534, 'PTHR34460:SF7', NULL, NULL, NULL, NULL, 'VITELLOGENIN-LIKE PROTEIN', 106260),
(162535, 'PTHR13645', NULL, NULL, NULL, NULL, 'DEFENSIN', 106261),
(162536, 'PTHR45747:SF15', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 106262),
(162537, 'PTHR11931:SF30', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE', 106263),
(162538, 'PTHR31221:SF206', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 3-RELATED', 106264),
(162539, 'PTHR48097:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106265),
(162540, 'PTHR46210:SF1', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', 106266),
(162541, 'PTHR47139', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 9', 106267),
(162542, 'PTHR11062:SF59', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 106268),
(162543, 'PTHR31384:SF135', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 106269),
(162544, 'PTHR35501:SF9', NULL, NULL, NULL, NULL, 'STAMEN-SPECIFIC PROTEIN FIL1', 106270),
(162545, 'PTHR47862:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP18, CHLOROPLASTIC', 106271),
(162546, 'PTHR34800', NULL, NULL, NULL, NULL, 'TETRAPYRROLE-BINDING PROTEIN, CHLOROPLASTIC', 106272),
(162547, 'PTHR38650:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106273),
(162548, 'PTHR33377:SF25', NULL, NULL, NULL, NULL, 'OS10G0131500 PROTEIN', 106274),
(162549, 'PTHR44086:SF13', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE PSPE', 106275),
(162550, 'PTHR47924:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106276),
(162551, 'PTHR22850:SF208', NULL, NULL, NULL, NULL, 'BNAA09G44120D PROTEIN', 106277),
(162552, 'PTHR23359:SF171', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', 106278),
(162553, 'PTHR33985:SF28', NULL, NULL, NULL, NULL, 'BNAC07G42260D PROTEIN', 106279),
(162554, 'PTHR33565:SF2', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN 1', 106280),
(162555, 'PTHR31355:SF19', NULL, NULL, NULL, NULL, 'TORTIFOLIA1-LIKE PROTEIN 5', 106281),
(162556, 'PTHR31553', NULL, NULL, NULL, NULL, 'NF-KAPPA-B ESSENTIAL MODULATOR', 106282),
(162557, 'PTHR47987:SF14', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-PROTEIN KINASE RBK2', 106283),
(162558, 'PTHR46940:SF1', NULL, NULL, NULL, NULL, 'NKAP DOMAIN-CONTAINING 1', 106284),
(162559, 'PTHR42831:SF1', NULL, NULL, NULL, NULL, 'FE-S PROTEIN MATURATION AUXILIARY FACTOR YITW', 106285),
(162560, 'PTHR10644:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106286),
(162561, 'PTHR30582', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE', 106287),
(162562, 'PTHR37576:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106288); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(162563, 'PTHR36118', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT G', 106289),
(162564, 'PTHR11732:SF251', NULL, NULL, NULL, NULL, 'OS01G0847800 PROTEIN', 106290),
(162565, 'PTHR38745:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', 106291),
(162566, 'PTHR46373:SF12', NULL, NULL, NULL, NULL, 'PROTEIN RKD5', 106292),
(162567, 'PTHR22642:SF21', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', 106293),
(162568, 'PTHR45980:SF13', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 9', 106294),
(162569, 'PTHR45627:SF10', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 4', 106295),
(162570, 'PTHR12776:SF1', NULL, NULL, NULL, NULL, 'KAZRIN', 106296),
(162571, 'PTHR10027:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106297),
(162572, 'PTHR13143:SF6', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 19, MITOCHONDRIAL', 106298),
(162573, 'PTHR10676:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106299),
(162574, 'PTHR31744:SF86', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 3', 106300),
(162575, 'PTHR31713:SF14', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 A', 106301),
(162576, 'PTHR23024:SF562', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE', 106302),
(162577, 'PTHR11430:SF64', NULL, NULL, NULL, NULL, 'LIPOCALIN-15', 106303),
(162578, 'PTHR14499:SF27', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD15', 106304),
(162579, 'PTHR10501:SF59', NULL, NULL, NULL, NULL, 'OS06G0127500 PROTEIN', 106305),
(162580, 'PTHR47421:SF1', NULL, NULL, NULL, NULL, 'GS HOMEOBOX 2', 106306),
(162581, 'PTHR48022:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106307),
(162582, 'PTHR48243:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106308),
(162583, 'PTHR45616:SF7', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CUTICULAR HB6', 106309),
(162584, 'PTHR21712', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 106310),
(162585, 'PTHR33124:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106311),
(162586, 'PTHR32195:SF26', NULL, NULL, NULL, NULL, 'OS07G0662800 PROTEIN', 106312),
(162587, 'PTHR10527:SF3', NULL, NULL, NULL, NULL, 'FI21453P1', 106313),
(162588, 'PTHR45166:SF1', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 8', 106314),
(162589, 'PTHR34207:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106315),
(162590, 'PTHR34187:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106316),
(162591, 'PTHR47965:SF41', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 106317),
(162592, 'PTHR46000', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR-RELATED', 106318),
(162593, 'PTHR48007:SF10', NULL, NULL, NULL, NULL, 'BNAA01G25640D PROTEIN', 106319),
(162594, 'PTHR31140:SF60', NULL, NULL, NULL, NULL, 'PROTEIN RAV1, PUTATIVE-RELATED', 106320),
(162595, 'PTHR24241:SF145', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR 3', 106321),
(162596, 'PTHR22808:SF10', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 106322),
(162597, 'PTHR31916:SF35', NULL, NULL, NULL, NULL, 'OSJNBA0042I15.24 PROTEIN', 106323),
(162598, 'PTHR21444', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 180', 106324),
(162599, 'PTHR15653:SF1', NULL, NULL, NULL, NULL, 'STRIATIN-4', 106325),
(162600, 'PTHR33215:SF5', NULL, NULL, NULL, NULL, 'TRANSPOSASE YKGN-RELATED', 106326),
(162601, 'PTHR11937:SF458', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106327),
(162602, 'PTHR21212:SF0', NULL, NULL, NULL, NULL, 'SEIPIN', 106328),
(162603, 'PTHR24071:SF30', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN-A1', 106329),
(162604, 'PTHR10614:SF13', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR SUBSTRATE 1', 106330),
(162605, 'PTHR24296:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106331),
(162606, 'PTHR24072:SF315', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN 4', 106332),
(162607, 'PTHR46293:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP2-LIKE', 106333),
(162608, 'PTHR11278:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', 106334),
(162609, 'PTHR46379:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 11', 106335);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(162610, 'PTHR32071:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR (NTRC FAMILY)', 106336),
(162611, 'PTHR44575:SF3', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 106337),
(162612, 'PTHR10638:SF66', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 106338),
(162613, 'PTHR23315:SF278', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 3', 106339),
(162614, 'PTHR24185:SF3', NULL, NULL, NULL, NULL, 'PATATIN DOMAIN-CONTAINING PROTEIN', 106340),
(162615, 'PTHR45934:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106341),
(162616, 'PTHR13002', NULL, NULL, NULL, NULL, 'C3ORF1 PROTEIN-RELATED', 106342),
(162617, 'PTHR13367:SF29', NULL, NULL, NULL, NULL, 'SI:DKEY-37F18.2', 106343),
(162618, 'PTHR31118:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106344),
(162619, 'PTHR33085', NULL, NULL, NULL, NULL, 'OS12G0113100 PROTEIN-RELATED', 106345),
(162620, 'PTHR43108:SF10', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YEJM', 106346),
(162621, 'PTHR31731:SF108', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 106347),
(162622, 'PTHR13093:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER HIT DOMAIN-CONTAINING PROTEIN 1', 106348),
(162623, 'PTHR31325:SF152', NULL, NULL, NULL, NULL, 'OS06G0122200 PROTEIN', 106349),
(162624, 'PTHR33021:SF390', NULL, NULL, NULL, NULL, 'OS12G0150500 PROTEIN', 106350),
(162625, 'PTHR43047:SF45', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE', 106351),
(162626, 'PTHR22923:SF63', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 1', 106352),
(162627, 'PTHR47319:SF18', NULL, NULL, NULL, NULL, 'BNACNNG38440D PROTEIN', 106353),
(162628, 'PTHR37002:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106354),
(162629, 'PTHR46423:SF2', NULL, NULL, NULL, NULL, 'FI17138P1', 106355),
(162630, 'PTHR11139:SF112', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TOR', 106356),
(162631, 'PTHR28049:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN YOR223W', 106357),
(162632, 'PTHR31942:SF9', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 4', 106358),
(162633, 'PTHR21725:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106359),
(162634, 'PTHR16083:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND CALPONIN HOMOLOGY DOMAIN-CONTAINING PROTEIN 1', 106360),
(162635, 'PTHR36901:SF1', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 106361),
(162636, 'PTHR31235:SF320', NULL, NULL, NULL, NULL, 'PEROXIDASE', 106362),
(162637, 'PTHR13878:SF104', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE 4-RELATED', 106363),
(162638, 'PTHR13468:SF18', NULL, NULL, NULL, NULL, 'BNAC09G32300D PROTEIN', 106364),
(162639, 'PTHR31344:SF10', NULL, NULL, NULL, NULL, 'NUCLEOLAR-LIKE PROTEIN', 106365),
(162640, 'PTHR24240:SF78', NULL, NULL, NULL, NULL, 'MELATONIN RECEPTOR TYPE 1A-LIKE ISOFORM X2', 106366),
(162641, 'PTHR48018:SF132', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5M9', 106367),
(162642, 'PTHR46475:SF2', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR3', 106368),
(162643, 'PTHR32444:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106369),
(162644, 'PTHR31251:SF140', NULL, NULL, NULL, NULL, 'BNAC04G02520D PROTEIN', 106370),
(162645, 'PTHR24361:SF433', NULL, NULL, NULL, NULL, 'MTK1/MEKK4 HOMOLOG', 106371),
(162646, 'PTHR34452:SF14', NULL, NULL, NULL, NULL, 'BNAC08G20130D PROTEIN', 106372),
(162647, 'PTHR19375:SF215', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 37B-RELATED', 106373),
(162648, 'PTHR31787:SF15', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN P-RELATED', 106374),
(162649, 'PTHR45615:SF48', NULL, NULL, NULL, NULL, 'MYOSIN-1B', 106375),
(162650, 'PTHR22684:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 25', 106376),
(162651, 'PTHR24027:SF424', NULL, NULL, NULL, NULL, 'CADHERIN 16, KSP-CADHERIN', 106377),
(162652, 'PTHR24347:SF388', NULL, NULL, NULL, NULL, 'DEATH ASSOCIATED PROTEIN KINASE 1', 106378),
(162653, 'PTHR10562:SF98', NULL, NULL, NULL, NULL, 'BNAA06G38490D PROTEIN', 106379);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(162654, 'PTHR23023:SF253', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE, EXPRESSED-RELATED', 106380),
(162655, 'PTHR46286:SF2', NULL, NULL, NULL, NULL, 'VIN3-LIKE PROTEIN 2-RELATED', 106381),
(162656, 'PTHR25464:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG17369', 106382),
(162657, 'PTHR33767:SF1', NULL, NULL, NULL, NULL, 'LEUCINE RICH ADAPTOR PROTEIN 1-LIKE', 106383),
(162658, 'PTHR23262:SF166', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-12', 106384),
(162659, 'PTHR19256:SF51', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR GAMMA, VARIABLE 5-RELATED', 106385),
(162660, 'PTHR47968:SF11', NULL, NULL, NULL, NULL, 'KINESIN MOTOR DOMAIN-CONTAINING PROTEIN-RELATED', 106386),
(162661, 'PTHR35598:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106387),
(162662, 'PTHR10108:SF1051', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 106388),
(162663, 'PTHR45757:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG11239', 106389),
(162664, 'PTHR11984:SF105', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', 106390),
(162665, 'PTHR26453:SF237', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2C1', 106391),
(162666, 'PTHR37189:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 106392),
(162667, 'PTHR11771:SF138', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 106393),
(162668, 'PTHR23421:SF168', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 106394),
(162669, 'PTHR11211:SF13', NULL, NULL, NULL, NULL, 'IROQUOIS-CLASS HOMEODOMAIN PROTEIN IRX-1', 106395),
(162670, 'PTHR12297:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106396),
(162671, 'PTHR37404:SF1', NULL, NULL, NULL, NULL, 'HCG1796489', 106397),
(162672, 'PTHR45676:SF101', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', 106398),
(162673, 'PTHR18959:SF94', NULL, NULL, NULL, NULL, 'CALPONIN', 106399),
(162674, 'PTHR11214:SF243', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 106400),
(162675, 'PTHR33170', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 106401),
(162676, 'PTHR26450:SF172', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 106402),
(162677, 'PTHR10497:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', 106403),
(162678, 'PTHR35461:SF1', NULL, NULL, NULL, NULL, 'LOW PROTEIN: ATP-DEPENDENT RNA HELICASE-LIKE PROTEIN', 106404),
(162679, 'PTHR12558:SF38', NULL, NULL, NULL, NULL, 'ZN-DEPENDENT PROTEASE ASSOCIATED WITH TONB2 ENERGY TRANSDUCTION SYSTEM-RELATED', 106405),
(162680, 'PTHR10722:SF23', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', 106406),
(162681, 'PTHR43880:SF48', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 106407),
(162682, 'PTHR22601:SF61', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 5', 106408),
(162683, 'PTHR46122:SF2', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP11', 106409),
(162684, 'PTHR33207:SF71', NULL, NULL, NULL, NULL, 'OSJNBA0087H01.6-LIKE PROTEIN', 106410),
(162685, 'PTHR43293:SF1', NULL, NULL, NULL, NULL, 'ACETATE COA-TRANSFERASE YDIF', 106411),
(162686, 'PTHR22849:SF108', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 106412),
(162687, 'PTHR24351:SF213', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE ALPHA-2', 106413),
(162688, 'PTHR48177:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 189', 106414),
(162689, 'PTHR31378:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106415),
(162690, 'PTHR46868:SF8', NULL, NULL, NULL, NULL, 'BNAA09G40780D PROTEIN', 106416),
(162691, 'PTHR31494:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106417),
(162692, 'PTHR24138:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106418),
(162693, 'PTHR26392', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 7-RELATED', 106419),
(162694, 'PTHR33077:SF110', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 6B-LIKE', 106420),
(162695, 'PTHR37768:SF2', NULL, NULL, NULL, NULL, 'OS06G0694800 PROTEIN', 106421),
(162696, 'PTHR48018:SF100', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5M1', 106422),
(162697, 'PTHR35908:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL FUSION PROTEIN', 106423),
(162698, 'PTHR47928:SF116', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 106424);
INSERT INTO "PUBLIC"."MODEL" VALUES
(162699, 'PTHR23202:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106425),
(162700, 'PTHR36078:SF3', NULL, NULL, NULL, NULL, 'OS08G0487000 PROTEIN', 106426),
(162701, 'PTHR34741', NULL, NULL, NULL, NULL, 'IMAP FAMILY MEMBER 1, PUTATIVE-RELATED', 106427),
(162702, 'PTHR45654:SF70', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG11', 106428),
(162703, 'PTHR11587:SF2', NULL, NULL, NULL, NULL, 'ARGININOSUCCINATE SYNTHASE', 106429),
(162704, 'PTHR13119:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 4', 106430),
(162705, 'PTHR11097:SF14', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP45', 106431),
(162706, 'PTHR43798:SF20', NULL, NULL, NULL, NULL, '2-SUCCINYL-6-HYDROXY-2,4-CYCLOHEXADIENE-1-CARBOXYLATE SYNTHASE-RELATED', 106432),
(162707, 'PTHR10612:SF34', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED PROTEIN', 106433),
(162708, 'PTHR24291:SF162', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 311A1-RELATED', 106434),
(162709, 'PTHR13678:SF23', NULL, NULL, NULL, NULL, 'MODIFIER OF RUDIMENTARY, MODR-RELATED', 106435),
(162710, 'PTHR24409:SF353', NULL, NULL, NULL, NULL, 'PR/SET DOMAIN 15', 106436),
(162711, 'PTHR46245:SF6', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS07G0563300-LIKE', 106437),
(162712, 'PTHR31175:SF76', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 106438),
(162713, 'PTHR22957:SF445', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 28', 106439),
(162714, 'PTHR47274:SF14', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING-LIKE PROTEIN ISOFORM 1', 106440),
(162715, 'PTHR37524:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106441),
(162716, 'PTHR11527:SF267', NULL, NULL, NULL, NULL, '22.0 KDA HEAT SHOCK PROTEIN', 106442),
(162717, 'PTHR45748:SF17', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1B', 106443),
(162718, 'PTHR23500:SF373', NULL, NULL, NULL, NULL, 'OS04G0679000 PROTEIN', 106444),
(162719, 'PTHR31235:SF207', NULL, NULL, NULL, NULL, 'PEROXIDASE', 106445),
(162720, 'PTHR11188:SF152', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN A', 106446),
(162721, 'PTHR12050:SF4', NULL, NULL, NULL, NULL, 'LEPTIN RECEPTOR OVERLAPPING TRANSCRIPT-LIKE 1', 106447),
(162722, 'PTHR33322:SF18', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 8, CHLOROPLASTIC', 106448),
(162723, 'PTHR11566:SF175', NULL, NULL, NULL, NULL, 'BNAC04G22340D PROTEIN', 106449),
(162724, 'PTHR20859:SF53', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA/BETA RECEPTOR 2', 106450),
(162725, 'PTHR19282:SF459', NULL, NULL, NULL, NULL, 'TETRASPANIN', 106451),
(162726, 'PTHR13710:SF120', NULL, NULL, NULL, NULL, 'WERNER SYNDROME ATP-DEPENDENT HELICASE', 106452),
(162727, 'PTHR47319:SF6', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN KRP1', 106453),
(162728, 'PTHR31734:SF172', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 106454),
(162729, 'PTHR11685:SF212', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PARKIN', 106455),
(162730, 'PTHR23315:SF224', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 1', 106456),
(162731, 'PTHR45914:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HEC3-RELATED', 106457),
(162732, 'PTHR31284:SF41', NULL, NULL, NULL, NULL, 'BNAA08G13480D PROTEIN', 106458),
(162733, 'PTHR30502:SF8', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE-RELATED', 106459),
(162734, 'PTHR11875:SF117', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 14-LIKE ISOFORM X1', 106460),
(162735, 'PTHR31676:SF137', NULL, NULL, NULL, NULL, 'BNAA09G03030D PROTEIN', 106461),
(162736, 'PTHR47074', NULL, NULL, NULL, NULL, 'BNAC02G40300D PROTEIN', 106462),
(162737, 'PTHR14155:SF492', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 106463),
(162738, 'PTHR47269', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP21-4', 106464),
(162739, 'PTHR33710:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106465),
(162740, 'PTHR43650:SF9', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', 106466),
(162741, 'PTHR32444:SF147', NULL, NULL, NULL, NULL, 'BULB-TYPE LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', 106467);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(162742, 'PTHR13878:SF70', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN-CONTAINING PROTEIN', 106468),
(162743, 'PTHR34591:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106469),
(162744, 'PTHR45936:SF2', NULL, NULL, NULL, NULL, 'BNAA06G15690D PROTEIN', 106470),
(162745, 'PTHR31071:SF42', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 30-LIKE', 106471),
(162746, 'PTHR10728:SF32', NULL, NULL, NULL, NULL, 'CYTOSOLIC PHOSPHOLIPASE A2 BETA', 106472),
(162747, 'PTHR42865:SF7', NULL, NULL, NULL, NULL, 'PROTON/GLUTAMATE-ASPARTATE SYMPORTER', 106473),
(162748, 'PTHR33107:SF56', NULL, NULL, NULL, NULL, '21 KDA SEED PROTEIN-RELATED', 106474),
(162749, 'PTHR35167:SF1', NULL, NULL, NULL, NULL, 'OS08G0549900 PROTEIN', 106475),
(162750, 'PTHR18966:SF526', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 106476),
(162751, 'PTHR47640:SF35', NULL, NULL, NULL, NULL, 'BNAC03G73250D PROTEIN', 106477),
(162752, 'PTHR33103:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106478),
(162753, 'PTHR11783', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE  SULT', 106479),
(162754, 'PTHR45970:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A9', 106480),
(162755, 'PTHR39523:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106481),
(162756, 'PTHR42826:SF7', NULL, NULL, NULL, NULL, 'DICARBOXYLIC ACID TRANSPORTER2', 106482),
(162757, 'PTHR43473', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLD, CHLOROPLASTIC', 106483),
(162758, 'PTHR18945:SF489', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-9', 106484),
(162759, 'PTHR10799:SF987', NULL, NULL, NULL, NULL, 'HELICASE OF THE SNF2/RAD54 FAMILY', 106485),
(162760, 'PTHR46038:SF47', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', 106486),
(162761, 'PTHR33565', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN 1', 106487),
(162762, 'PTHR20922', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 106488),
(162763, 'PTHR32212:SF301', NULL, NULL, NULL, NULL, 'BNAC03G13400D PROTEIN', 106489),
(162764, 'PTHR13172:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM10 B', 106490),
(162765, 'PTHR37517', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 106491),
(162766, 'PTHR11873:SF2', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN 4', 106492),
(162767, 'PTHR30008', NULL, NULL, NULL, NULL, 'EXODEOXYRIBONUCLEASE 7 LARGE SUBUNIT', 106493),
(162768, 'PTHR24300:SF342', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2C18', 106494),
(162769, 'PTHR13622:SF10', NULL, NULL, NULL, NULL, 'SI:DKEY-6N6.2', 106495),
(162770, 'PTHR31251:SF148', NULL, NULL, NULL, NULL, '1 PROTEIN, PUTATIVE-RELATED', 106496),
(162771, 'PTHR10031', NULL, NULL, NULL, NULL, 'ATP SYNTHASE LIPID-BINDING PROTEIN, MITOCHONDRIAL', 106497),
(162772, 'PTHR47480:SF5', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', 106498),
(162773, 'PTHR10551:SF9', NULL, NULL, NULL, NULL, 'PROTEIN SINGED', 106499),
(162774, 'PTHR23430:SF28', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-C', 106500),
(162775, 'PTHR31375:SF236', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 106501),
(162776, 'PTHR10795:SF539', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE II-RELATED', 106502),
(162777, 'PTHR13848:SF81', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 106503),
(162778, 'PTHR10891:SF814', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML26-RELATED', 106504),
(162779, 'PTHR13392:SF13', NULL, NULL, NULL, NULL, 'AGAP000372-PA', 106505),
(162780, 'PTHR10201:SF277', NULL, NULL, NULL, NULL, 'OS06G0239100 PROTEIN', 106506),
(162781, 'PTHR31985:SF128', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF013', 106507),
(162782, 'PTHR23231:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106508),
(162783, 'PTHR10653:SF6', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA-3', 106509),
(162784, 'PTHR10026:SF70', NULL, NULL, NULL, NULL, 'CYCLIN-Q', 106510),
(162785, 'PTHR10799:SF979', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106511),
(162786, 'PTHR24012:SF799', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106512);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(162787, 'PTHR30371:SF4', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATCD', 106513),
(162788, 'PTHR46192:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN AT74', 106514),
(162789, 'PTHR12224:SF0', NULL, NULL, NULL, NULL, 'BETA-1,4-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE', 106515),
(162790, 'PTHR10811:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106516),
(162791, 'PTHR13453:SF5', NULL, NULL, NULL, NULL, 'OS05G0304100 PROTEIN', 106517),
(162792, 'PTHR32256:SF17', NULL, NULL, NULL, NULL, 'SRFA-INDUCED GENE K PROTEIN', 106518),
(162793, 'PTHR30543:SF21', NULL, NULL, NULL, NULL, 'NADPH:QUINONE OXIDOREDUCTASE', 106519),
(162794, 'PTHR18945:SF461', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 106520),
(162795, 'PTHR23280:SF17', NULL, NULL, NULL, NULL, 'BAND 4.1-LIKE PROTEIN 2', 106521),
(162796, 'PTHR45669:SF15', NULL, NULL, NULL, NULL, 'OS05G0353600 PROTEIN', 106522),
(162797, 'PTHR11481:SF96', NULL, NULL, NULL, NULL, 'HEMICENTIN 1', 106523),
(162798, 'PTHR48100:SF14', NULL, NULL, NULL, NULL, 'BNAA08G24530D PROTEIN', 106524),
(162799, 'PTHR31790:SF373', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN DOR-LIKE ISOFORM X1', 106525),
(162800, 'PTHR33211:SF107', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 106526),
(162801, 'PTHR18919:SF155', NULL, NULL, NULL, NULL, 'BNAA02G30030D PROTEIN', 106527),
(162802, 'PTHR46128:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106528),
(162803, 'PTHR31384:SF145', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 21', 106529),
(162804, 'PTHR31126', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 106530),
(162805, 'PTHR31509:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106531),
(162806, 'PTHR43899:SF26', NULL, NULL, NULL, NULL, 'ENOYL-(ACYL CARRIER) REDUCTASE', 106532),
(162807, 'PTHR23175:SF16', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 21', 106533),
(162808, 'PTHR10994:SF62', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 106534),
(162809, 'PTHR22912:SF206', NULL, NULL, NULL, NULL, 'DIHYDROLIPOAMIDE DEHYDROGENASE', 106535),
(162810, 'PTHR47926:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106536),
(162811, 'PTHR18953:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106537),
(162812, 'PTHR23118:SF39', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE BETA CHAIN PROTEIN 1', 106538),
(162813, 'PTHR48061:SF3', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 30-LIKE', 106539),
(162814, 'PTHR40314:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08508', 106540),
(162815, 'PTHR16675:SF190', NULL, NULL, NULL, NULL, 'MHC I-LIKE LEUKOCYTE 2', 106541),
(162816, 'PTHR11292:SF7', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD8 BETA CHAIN-RELATED', 106542),
(162817, 'PTHR19300:SF30', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 7', 106543),
(162818, 'PTHR24291:SF145', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4AA1-RELATED', 106544),
(162819, 'PTHR11945:SF418', NULL, NULL, NULL, NULL, 'AGAMOUSB', 106545),
(162820, 'PTHR24286:SF302', NULL, NULL, NULL, NULL, 'HYDROPEROXIDE LYASE', 106546),
(162821, 'PTHR15481:SF8', NULL, NULL, NULL, NULL, 'HMG BOX FAMILY PROTEIN', 106547),
(162822, 'PTHR34618:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106548),
(162823, 'PTHR31828:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106549),
(162824, 'PTHR32119', NULL, NULL, NULL, NULL, 'OROTIDINE 5''-PHOSPHATE DECARBOXYLASE', 106550),
(162825, 'PTHR24023:SF854', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(IV) CHAIN', 106551),
(162826, 'PTHR12184:SF1', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME-C REDUCTASE COMPLEX ASSEMBLY FACTOR 1', 106552),
(162827, 'PTHR34562:SF9', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING PROTEIN 3', 106553),
(162828, 'PTHR12644:SF3', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 5', 106554),
(162829, 'PTHR24286:SF180', NULL, NULL, NULL, NULL, 'OS07G0567200 PROTEIN', 106555),
(162830, 'PTHR47028', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE O', 106556),
(162831, 'PTHR45956:SF4', NULL, NULL, NULL, NULL, 'RUN AND FYVE DOMAIN-CONTAINING PROTEIN 1', 106557);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(162832, 'PTHR23018:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', 106558),
(162833, 'PTHR47990:SF103', NULL, NULL, NULL, NULL, 'BNAA03G47400D PROTEIN', 106559),
(162834, 'PTHR12226:SF3', NULL, NULL, NULL, NULL, 'PQ-LOOP REPEAT-CONTAINING PROTEIN 3', 106560),
(162835, 'PTHR10891:SF795', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', 106561),
(162836, 'PTHR34595:SF7', NULL, NULL, NULL, NULL, 'BLR5612 PROTEIN', 106562),
(162837, 'PTHR32468:SF120', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', 106563),
(162838, 'PTHR23389:SF11', NULL, NULL, NULL, NULL, 'TELOMERE LENGTH REGULATION PROTEIN ELG1', 106564),
(162839, 'PTHR31096:SF63', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN-RELATED', 106565),
(162840, 'PTHR11610:SF150', NULL, NULL, NULL, NULL, 'FI01825P-RELATED', 106566),
(162841, 'PTHR31064:SF11', NULL, NULL, NULL, NULL, 'CATION TRANSPORTER HKT9-RELATED', 106567),
(162842, 'PTHR27005:SF280', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 9', 106568),
(162843, 'PTHR13068:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106569),
(162844, 'PTHR48019:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106570),
(162845, 'PTHR35670', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 81', 106571),
(162846, 'PTHR12506:SF57', NULL, NULL, NULL, NULL, 'BNAA07G07840D PROTEIN', 106572),
(162847, 'PTHR31515:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 106573),
(162848, 'PTHR43157:SF41', NULL, NULL, NULL, NULL, 'BNAA09G56460D PROTEIN', 106574),
(162849, 'PTHR15646', NULL, NULL, NULL, NULL, 'LINKER FOR ACTIVATION OF T-CELLS FAMILY MEMBER 2', 106575),
(162850, 'PTHR11260:SF621', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U11', 106576),
(162851, 'PTHR35504:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106577),
(162852, 'PTHR12300:SF145', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 106578),
(162853, 'PTHR48018:SF75', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 106579),
(162854, 'PTHR33431:SF15', NULL, NULL, NULL, NULL, 'OS05G0115100 PROTEIN', 106580),
(162855, 'PTHR45224:SF1', NULL, NULL, NULL, NULL, 'OS02G0311800 PROTEIN', 106581),
(162856, 'PTHR10641:SF1064', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', 106582),
(162857, 'PTHR24161:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106583),
(162858, 'PTHR31225:SF101', NULL, NULL, NULL, NULL, '(E)-BETA-FARNESENE SYNTHASE-RELATED', 106584),
(162859, 'PTHR46929:SF23', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN-LIKE', 106585),
(162860, 'PTHR19143:SF390', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106586),
(162861, 'PTHR11615:SF290', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 106587),
(162862, 'PTHR47992:SF31', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 78-RELATED', 106588),
(162863, 'PTHR47208:SF1', NULL, NULL, NULL, NULL, 'OS02G0174800 PROTEIN', 106589),
(162864, 'PTHR15735:SF11', NULL, NULL, NULL, NULL, 'F-BAR AND DOUBLE SH3 DOMAINS PROTEIN 2', 106590),
(162865, 'PTHR46450:SF12', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUVR4', 106591),
(162866, 'PTHR43582:SF2', NULL, NULL, NULL, NULL, 'LINEARMYCIN RESISTANCE ATP-BINDING PROTEIN LNRL', 106592),
(162867, 'PTHR31218:SF300', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 106593),
(162868, 'PTHR23113:SF326', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106594),
(162869, 'PTHR45968:SF25', NULL, NULL, NULL, NULL, 'OXYGEN-DEPENDENT CHOLINE DEHYDROGENASE, FAD/NAD(P)-BINDING DOMAIN PROTEIN-RELATED', 106595),
(162870, 'PTHR13382', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ATP SYNTHASE COUPLING FACTOR B', 106596),
(162871, 'PTHR24248:SF134', NULL, NULL, NULL, NULL, 'OCTOPAMINE RECEPTOR BETA-1R', 106597),
(162872, 'PTHR46022:SF4', NULL, NULL, NULL, NULL, 'PATCHED FAMILY-RELATED', 106598),
(162873, 'PTHR46476:SF10', NULL, NULL, NULL, NULL, 'CHITINASE 2', 106599),
(162874, 'PTHR45730:SF79', NULL, NULL, NULL, NULL, 'BNACNNG49940D PROTEIN', 106600),
(162875, 'PTHR37003', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 106601),
(162876, 'PTHR11746:SF152', NULL, NULL, NULL, NULL, 'ASMT2', 106602);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(162877, 'PTHR28520:SF2', NULL, NULL, NULL, NULL, 'MITOTIC-SPINDLE ORGANIZING PROTEIN 1', 106603),
(162878, 'PTHR13336:SF3', NULL, NULL, NULL, NULL, 'OCIA DOMAIN-CONTAINING PROTEIN 1', 106604),
(162879, 'PTHR24006:SF686', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 37', 106605),
(162880, 'PTHR46553:SF14', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', 106606),
(162881, 'PTHR30540:SF24', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 22', 106607),
(162882, 'PTHR33120:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106608),
(162883, 'PTHR38937:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN OF ER BODY-LIKE PROTEIN', 106609),
(162884, 'PTHR43200:SF8', NULL, NULL, NULL, NULL, 'PAP-SPECIFIC PHOSPHATASE, MITOCHONDRIAL ISOFORM X1-RELATED', 106610),
(162885, 'PTHR21646:SF52', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 4-RELATED', 106611),
(162886, 'PTHR38620:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG10478', 106612),
(162887, 'PTHR31918', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 181', 106613),
(162888, 'PTHR14592:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FAM3D', 106614),
(162889, 'PTHR47544:SF1', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 4', 106615),
(162890, 'PTHR12899:SF8', NULL, NULL, NULL, NULL, 'RIBOSOMAL L18P/L5E FAMILY PROTEIN', 106616),
(162891, 'PTHR20961:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106617),
(162892, 'PTHR17223:SF0', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE-RELATED PROTEIN', 106618),
(162893, 'PTHR19957:SF321', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 106619),
(162894, 'PTHR13817:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106620),
(162895, 'PTHR11654:SF311', NULL, NULL, NULL, NULL, 'MFS PEPTIDE TRANSPORTER, PUTAITVE (AFU_ORTHOLOGUE AFUA_1G12240)', 106621),
(162896, 'PTHR34190:SF3', NULL, NULL, NULL, NULL, 'MICROSPORE-SPECIFIC PROMOTER 2', 106622),
(162897, 'PTHR13878:SF65', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 10', 106623),
(162898, 'PTHR24271:SF80', NULL, NULL, NULL, NULL, 'GRANZYME 3, TANDEM DUPLICATE 1-RELATED', 106624),
(162899, 'PTHR23312', NULL, NULL, NULL, NULL, 'ARMC5  ARMADILLO REPEAT-CONTAINING -RELATED', 106625),
(162900, 'PTHR46599:SF1', NULL, NULL, NULL, NULL, 'POGO TRANSPOSABLE ELEMENT-DERIVED WITH ZNF DOMAIN B', 106626),
(162901, 'PTHR45988:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', 106627),
(162902, 'PTHR39431', NULL, NULL, NULL, NULL, 'FRPA/C-RELATED PROTEIN', 106628),
(162903, 'PTHR18640:SF13', NULL, NULL, NULL, NULL, 'SODIUM BILE ACID COTRANSPORTER-RELATED', 106629),
(162904, 'PTHR45654:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106630),
(162905, 'PTHR24203:SF43', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', 106631),
(162906, 'PTHR21669:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106632),
(162907, 'PTHR47742:SF1', NULL, NULL, NULL, NULL, 'GAMETOGENETIN', 106633),
(162908, 'PTHR36793:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE J', 106634),
(162909, 'PTHR24179:SF21', NULL, NULL, NULL, NULL, 'MYOSIN BINDING SUBUNIT, ISOFORM O', 106635),
(162910, 'PTHR33400:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106636),
(162911, 'PTHR11785:SF421', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 106637),
(162912, 'PTHR33083:SF49', NULL, NULL, NULL, NULL, 'OS01G0748300 PROTEIN', 106638),
(162913, 'PTHR46742:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106639),
(162914, 'PTHR46537:SF7', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1B-RELATED', 106640),
(162915, 'PTHR10174:SF216', NULL, NULL, NULL, NULL, 'FI02944P-RELATED', 106641),
(162916, 'PTHR21596:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106642),
(162917, 'PTHR33103:SF69', NULL, NULL, NULL, NULL, 'BNAA05G29230D PROTEIN', 106643),
(162918, 'PTHR10961:SF40', NULL, NULL, NULL, NULL, 'SARCOSINE OXIDASE-RELATED', 106644),
(162919, 'PTHR31100:SF79', NULL, NULL, NULL, NULL, 'BNAA06G19560D PROTEIN', 106645),
(162920, 'PTHR23147:SF173', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 4', 106646);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(162921, 'PTHR33449:SF1', NULL, NULL, NULL, NULL, 'NUCLEOID-ASSOCIATED PROTEIN YBAB', 106647),
(162922, 'PTHR32401:SF26', NULL, NULL, NULL, NULL, 'LECTIN 2', 106648),
(162923, 'PTHR47156:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG15731', 106649),
(162924, 'PTHR22959:SF1', NULL, NULL, NULL, NULL, 'BNAA09G35440D PROTEIN', 106650),
(162925, 'PTHR24015:SF583', NULL, NULL, NULL, NULL, 'OS03G0849700 PROTEIN', 106651),
(162926, 'PTHR21521', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 106652),
(162927, 'PTHR31024:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 106653),
(162928, 'PTHR23065:SF14', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C AND CASEIN KINASE SUBSTRATE IN NEURONS PROTEIN 2', 106654),
(162929, 'PTHR48057:SF6', NULL, NULL, NULL, NULL, 'VERTICILLIUM WILT DISEASE RESISTANCE PROTEIN', 106655),
(162930, 'PTHR46057:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106656),
(162931, 'PTHR47986:SF10', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE TMK4', 106657),
(162932, 'PTHR33108:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106658),
(162933, 'PTHR45824', NULL, NULL, NULL, NULL, 'GH16843P', 106659),
(162934, 'PTHR10057:SF0', NULL, NULL, NULL, NULL, 'TRANSLOCATOR PROTEIN', 106660),
(162935, 'PTHR23122:SF35', NULL, NULL, NULL, NULL, 'MAGUK P55 SUBFAMILY MEMBER 2', 106661),
(162936, 'PTHR48189:SF1', NULL, NULL, NULL, NULL, 'BNAANNG25290D PROTEIN', 106662),
(162937, 'PTHR47587', NULL, NULL, NULL, NULL, 'OS05G0103500 PROTEIN', 106663),
(162938, 'PTHR22427:SF10', NULL, NULL, NULL, NULL, 'SI:CH211-214C7.4', 106664),
(162939, 'PTHR42996', NULL, NULL, NULL, NULL, 'PHOSPHATE-BINDING PROTEIN PSTS', 106665),
(162940, 'PTHR31267:SF4', NULL, NULL, NULL, NULL, 'SIALOPHOSPHOPROTEIN-LIKE PROTEIN, PUTATIVE-RELATED', 106666),
(162941, 'PTHR13040:SF2', NULL, NULL, NULL, NULL, 'AUTOPHAGY PROTEIN 5', 106667),
(162942, 'PTHR45224:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106668),
(162943, 'PTHR32212:SF331', NULL, NULL, NULL, NULL, 'BNAA02G08660D PROTEIN', 106669),
(162944, 'PTHR11610:SF115', NULL, NULL, NULL, NULL, 'PANCREATIC TRIACYLGLYCEROL LIPASE', 106670),
(162945, 'PTHR43519:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE HRPB', 106671),
(162946, 'PTHR42825:SF15', NULL, NULL, NULL, NULL, 'AMINO ACID AMINOTRANSFERASE, PUTATIVE-RELATED', 106672),
(162947, 'PTHR11880:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106673),
(162948, 'PTHR31326:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CLT3, CHLOROPLASTIC', 106674),
(162949, 'PTHR23045:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106675),
(162950, 'PTHR33155:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106676),
(162951, 'PTHR45749:SF6', NULL, NULL, NULL, NULL, 'HAT DIMERIZATION DOMAIN-CONTAINING PROTEIN / TRANSPOSASE-RELATED', 106677),
(162952, 'PTHR32141:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106678),
(162953, 'PTHR21600:SF35', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE', 106679),
(162954, 'PTHR27006:SF358', NULL, NULL, NULL, NULL, 'BNAC03G72920D PROTEIN', 106680),
(162955, 'PTHR18945:SF391', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 106681),
(162956, 'PTHR17605:SF0', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN BOP1', 106682),
(162957, 'PTHR11024:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106683),
(162958, 'PTHR23528:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106684),
(162959, 'PTHR47640:SF25', NULL, NULL, NULL, NULL, 'OLIGOURIDYLATE-BINDING PROTEIN 1B-LIKE', 106685),
(162960, 'PTHR46099:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106686),
(162961, 'PTHR20914:SF19', NULL, NULL, NULL, NULL, 'NEUROMAST-EXPRESSED GPI-ANCHORED LYMPHOCYTE ANTIGEN 6', 106687),
(162962, 'PTHR46543', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 7', 106688),
(162963, 'PTHR48063:SF36', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE KINASE FAMILY PROTEIN', 106689),
(162964, 'PTHR30055:SF154', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR RV3405C', 106690),
(162965, 'PTHR43808:SF14', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 106691);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(162966, 'PTHR13826:SF16', NULL, NULL, NULL, NULL, 'TREFOIL FACTOR 3', 106692),
(162967, 'PTHR15710:SF85', NULL, NULL, NULL, NULL, 'BNAA06G12930D PROTEIN', 106693),
(162968, 'PTHR10630:SF3', NULL, NULL, NULL, NULL, 'MONOCYTE DIFFERENTIATION ANTIGEN CD14', 106694),
(162969, 'PTHR40715', NULL, NULL, NULL, NULL, 'FAM231A/C-LIKE PROTEIN LOC102723383', 106695),
(162970, 'PTHR31790:SF129', NULL, NULL, NULL, NULL, 'BNAA08G13430D PROTEIN', 106696),
(162971, 'PTHR11958:SF55', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 106697),
(162972, 'PTHR34355', NULL, NULL, NULL, NULL, 'JOSEPHIN-LIKE PROTEIN', 106698),
(162973, 'PTHR43808:SF22', NULL, NULL, NULL, NULL, 'SUCCINYL-DIAMINOPIMELATE DESUCCINYLASE DAPE-RELATED', 106699),
(162974, 'PTHR35763:SF2', NULL, NULL, NULL, NULL, 'BNACNNG32740D PROTEIN', 106700),
(162975, 'PTHR46163:SF2', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 106701),
(162976, 'PTHR19306:SF7', NULL, NULL, NULL, NULL, 'SI:DKEY-119F1.1', 106702),
(162977, 'PTHR23090:SF14', NULL, NULL, NULL, NULL, 'GLUTAMINE-DEPENDENT NAD(+) SYNTHETASE', 106703),
(162978, 'PTHR17602:SF6', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS REGULATORY PROTEIN', 106704),
(162979, 'PTHR11908:SF145', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE-RELATED', 106705),
(162980, 'PTHR33138:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106706),
(162981, 'PTHR34676:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106707),
(162982, 'PTHR43952:SF50', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 106708),
(162983, 'PTHR38119:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106709),
(162984, 'PTHR11654:SF483', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.10', 106710),
(162985, 'PTHR31526:SF4', NULL, NULL, NULL, NULL, 'SOSS COMPLEX SUBUNIT C', 106711),
(162986, 'PTHR42749:SF4', NULL, NULL, NULL, NULL, 'CELL SHAPE-DETERMINING PROTEIN MBL', 106712),
(162987, 'PTHR16213', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 106713),
(162988, 'PTHR46285:SF13', NULL, NULL, NULL, NULL, 'OS02G0167775 PROTEIN', 106714),
(162989, 'PTHR11662:SF314', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', 106715),
(162990, 'PTHR43019:SF21', NULL, NULL, NULL, NULL, 'OS05G0146100 PROTEIN', 106716),
(162991, 'PTHR10188:SF8', NULL, NULL, NULL, NULL, 'THREONINE ASPARTASE 1', 106717),
(162992, 'PTHR21580:SF52', NULL, NULL, NULL, NULL, 'SPERM-TAIL PG-RICH REPEAT-CONTAINING PROTEIN 2', 106718),
(162993, 'PTHR47118', NULL, NULL, NULL, NULL, 'CYTOTOXIC AND REGULATORY T-CELL MOLECULE', 106719),
(162994, 'PTHR10972:SF92', NULL, NULL, NULL, NULL, 'OXYSTEROL BINDING PROTEIN', 106720),
(162995, 'PTHR33102:SF65', NULL, NULL, NULL, NULL, 'ROTUNDIFOLIA-LIKE PROTEIN', 106721),
(162996, 'PTHR45974:SF107', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 106722),
(162997, 'PTHR10019', NULL, NULL, NULL, NULL, 'SNF5', 106723),
(162998, 'PTHR31639:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106724),
(162999, 'PTHR11365:SF23', NULL, NULL, NULL, NULL, 'HYPOTHETICAL 5-OXOPROLINASE (EUROFUNG)-RELATED', 106725),
(163000, 'PTHR45707:SF17', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', 106726),
(163001, 'PTHR31764', NULL, NULL, NULL, NULL, 'PROTEIN HAPLESS 2', 106727),
(163002, 'PTHR19432:SF6', NULL, NULL, NULL, NULL, 'PROTON-ASSOCIATED SUGAR TRANSPORTER A', 106728),
(163003, 'PTHR10511:SF3', NULL, NULL, NULL, NULL, 'INTERLEUKIN-6', 106729),
(163004, 'PTHR23235:SF100', NULL, NULL, NULL, NULL, 'DENDRITIC ARBOR REDUCTION PROTEIN 1', 106730),
(163005, 'PTHR24031:SF663', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106731),
(163006, 'PTHR30472:SF24', NULL, NULL, NULL, NULL, 'FERRIC ENTEROBACTIN TRANSPORT SYSTEM PERMEASE PROTEIN FEPG', 106732),
(163007, 'PTHR31631:SF1', NULL, NULL, NULL, NULL, 'OS05G0466200 PROTEIN', 106733),
(163008, 'PTHR45697:SF1', NULL, NULL, NULL, NULL, 'ADP RIBOSYLATION FACTOR-LIKE GTPASE 3, LIKE 1-RELATED', 106734),
(163009, 'PTHR26312:SF126', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 106735);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(163010, 'PTHR11875:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106736),
(163011, 'PTHR46162:SF2', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', 106737),
(163012, 'PTHR21470:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 106738),
(163013, 'PTHR44068:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106739),
(163014, 'PTHR23262:SF185', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 9-2-RELATED', 106740),
(163015, 'PTHR24252', NULL, NULL, NULL, NULL, 'ACROSIN-RELATED', 106741),
(163016, 'PTHR21093:SF2', NULL, NULL, NULL, NULL, 'DIVERGENT PROTEIN KINASE DOMAIN 1C', 106742),
(163017, 'PTHR31681:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106743),
(163018, 'PTHR32044:SF80', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 2-RELATED', 106744),
(163019, 'PTHR10009:SF14', NULL, NULL, NULL, NULL, 'PROTEIN YELLOW', 106745),
(163020, 'PTHR43572:SF5', NULL, NULL, NULL, NULL, 'OS02G0537800 PROTEIN', 106746),
(163021, 'PTHR11034:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106747),
(163022, 'PTHR33346:SF31', NULL, NULL, NULL, NULL, 'DEHYDRIN COR47-LIKE', 106748),
(163023, 'PTHR11352', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN', 106749),
(163024, 'PTHR10948', NULL, NULL, NULL, NULL, 'TRANSPOSASE', 106750),
(163025, 'PTHR24068:SF43', NULL, NULL, NULL, NULL, 'UBIQUITIN/ISG15-CONJUGATING ENZYME E2 L6', 106751),
(163026, 'PTHR43082:SF1', NULL, NULL, NULL, NULL, 'FERREDOXIN-LIKE PROTEIN FIXX-RELATED', 106752),
(163027, 'PTHR36121:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SXY', 106753),
(163028, 'PTHR15907:SF147', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 7', 106754),
(163029, 'PTHR48017:SF34', NULL, NULL, NULL, NULL, 'BNAA03G55040D PROTEIN', 106755),
(163030, 'PTHR31182:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106756),
(163031, 'PTHR37997', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN C1ORF162', 106757),
(163032, 'PTHR23024:SF393', NULL, NULL, NULL, NULL, 'OS08G0547800 PROTEIN', 106758),
(163033, 'PTHR45763:SF28', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 106759),
(163034, 'PTHR47983:SF31', NULL, NULL, NULL, NULL, 'BNAC03G23580D PROTEIN', 106760),
(163035, 'PTHR12320:SF57', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 106761),
(163036, 'PTHR13280:SF16', NULL, NULL, NULL, NULL, 'PHOSPHOFURIN ACIDIC CLUSTER SORTING PROTEIN 1', 106762),
(163037, 'PTHR24201:SF9', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 4 INHIBITOR C', 106763),
(163038, 'PTHR31509:SF11', NULL, NULL, NULL, NULL, 'PLANT/F1M20-13 PROTEIN', 106764),
(163039, 'PTHR48021:SF30', NULL, NULL, NULL, NULL, 'BNAA05G36140D PROTEIN', 106765),
(163040, 'PTHR45817:SF10', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE-LIKE 5A-RELATED', 106766),
(163041, 'PTHR10903:SF57', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 4', 106767),
(163042, 'PTHR33413:SF33', NULL, NULL, NULL, NULL, 'OS09G0381600 PROTEIN', 106768),
(163043, 'PTHR37372:SF1', NULL, NULL, NULL, NULL, 'OS06G0316800 PROTEIN', 106769),
(163044, 'PTHR34202', NULL, NULL, NULL, NULL, 'UPF0548 PROTEIN', 106770),
(163045, 'PTHR24031:SF68', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX51', 106771),
(163046, 'PTHR11247:SF57', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 106772),
(163047, 'PTHR11863:SF141', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE GL1-7', 106773),
(163048, 'PTHR31319:SF85', NULL, NULL, NULL, NULL, 'CCT DOMAIN-CONTAINING PROTEIN-RELATED', 106774),
(163049, 'PTHR27002:SF399', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 24', 106775),
(163050, 'PTHR12242:SF39', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 106776),
(163051, 'PTHR12912:SF8', NULL, NULL, NULL, NULL, 'BARRIER-TO-AUTOINTEGRATION FACTOR-LIKE PROTEIN', 106777),
(163052, 'PTHR37209:SF8', NULL, NULL, NULL, NULL, 'BNAA09G42170D PROTEIN', 106778),
(163053, 'PTHR37534:SF11', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 106779),
(163054, 'PTHR31267:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106780);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(163055, 'PTHR10492', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 106781),
(163056, 'PTHR23501:SF102', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', 106782),
(163057, 'PTHR10796:SF90', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 106783),
(163058, 'PTHR22192:SF16', NULL, NULL, NULL, NULL, 'SPERIOLIN', 106784),
(163059, 'PTHR22945:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-33', 106785),
(163060, 'PTHR45863:SF12', NULL, NULL, NULL, NULL, 'KINASE WITH TETRATRICOPEPTIDE REPEAT DOMAIN-CONTAINING PROTEIN', 106786),
(163061, 'PTHR13301:SF170', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN', 106787),
(163062, 'PTHR32077:SF56', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN PROTEIN', 106788),
(163063, 'PTHR42683:SF15', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 8D-RELATED', 106789),
(163064, 'PTHR31332:SF0', NULL, NULL, NULL, NULL, '7-HYDROXYMETHYL CHLOROPHYLL A REDUCTASE, CHLOROPLASTIC', 106790),
(163065, 'PTHR11219:SF69', NULL, NULL, NULL, NULL, 'TENEURIN-M', 106791),
(163066, 'PTHR43262', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE', 106792),
(163067, 'PTHR33021:SF165', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 1', 106793),
(163068, 'PTHR12770:SF27', NULL, NULL, NULL, NULL, 'PROTEIN ROOT UVB SENSITIVE 5', 106794),
(163069, 'PTHR40387', NULL, NULL, NULL, NULL, 'PROTEIN FAM240B', 106795),
(163070, 'PTHR12001:SF72', NULL, NULL, NULL, NULL, 'DIPHOSPHATE SYNTHASE, PUTATIVE (JCVI)-RELATED', 106796),
(163071, 'PTHR10826:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106797),
(163072, 'PTHR43574:SF18', NULL, NULL, NULL, NULL, 'GDP-D-MANNOSE-3,5-EPIMERASE', 106798),
(163073, 'PTHR31983:SF12', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 81 PROTEIN', 106799),
(163074, 'PTHR23253:SF10', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4 GAMMA 1', 106800),
(163075, 'PTHR31221:SF226', NULL, NULL, NULL, NULL, 'BNAA09G55920D PROTEIN', 106801),
(163076, 'PTHR22298:SF138', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 106802),
(163077, 'PTHR46107:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106803),
(163078, 'PTHR45764:SF39', NULL, NULL, NULL, NULL, 'BNAC06G01290D PROTEIN', 106804),
(163079, 'PTHR11442:SF89', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT GAMMA-2', 106805),
(163080, 'PTHR11062:SF210', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 106806),
(163081, 'PTHR34775:SF2', NULL, NULL, NULL, NULL, 'OS01G0765500 PROTEIN', 106807),
(163082, 'PTHR23022', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT-RELATED', 106808),
(163083, 'PTHR37233', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 106809),
(163084, 'PTHR22880:SF225', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 2', 106810),
(163085, 'PTHR14931', NULL, NULL, NULL, NULL, 'GENE 340-RELATED', 106811),
(163086, 'PTHR24359:SF1', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE EPSILON SUBUNIT HOMOLOG 1', 106812),
(163087, 'PTHR33427:SF2', NULL, NULL, NULL, NULL, 'TRICHOHYALIN', 106813),
(163088, 'PTHR34550:SF4', NULL, NULL, NULL, NULL, 'BNAA09G43250D PROTEIN', 106814),
(163089, 'PTHR22811:SF45', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 6', 106815),
(163090, 'PTHR31376:SF15', NULL, NULL, NULL, NULL, 'OS01G0504100 PROTEIN', 106816),
(163091, 'PTHR11011:SF63', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 4-RELATED', 106817),
(163092, 'PTHR31044:SF82', NULL, NULL, NULL, NULL, 'BNAC08G40080D PROTEIN', 106818),
(163093, 'PTHR43180:SF33', NULL, NULL, NULL, NULL, 'CHANOCLAVINE-I DEHYDROGENASE EASD', 106819),
(163094, 'PTHR33971:SF11', NULL, NULL, NULL, NULL, 'BNACNNG17950D PROTEIN', 106820),
(163095, 'PTHR12904:SF20', NULL, NULL, NULL, NULL, 'PROTEIN ZYG-11 HOMOLOG A', 106821),
(163096, 'PTHR22943:SF90', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 106822),
(163097, 'PTHR33729', NULL, NULL, NULL, NULL, 'METHYL-CPG BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 106823),
(163098, 'PTHR47926:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106824),
(163099, 'PTHR19964:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106825);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(163100, 'PTHR43963:SF4', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE 1-RELATED', 106826),
(163101, 'PTHR13370:SF26', NULL, NULL, NULL, NULL, 'BNAA02G28050D PROTEIN', 106827),
(163102, 'PTHR27007:SF269', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN RECEPTOR KINASE IV.2-LIKE PROTEIN', 106828),
(163103, 'PTHR24006:SF710', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 38', 106829),
(163104, 'PTHR46807', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF3', 106830),
(163105, 'PTHR24070:SF408', NULL, NULL, NULL, NULL, 'RAB FAMILY GTPASE', 106831),
(163106, 'PTHR12128:SF61', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE SYNTHASE', 106832),
(163107, 'PTHR33154:SF32', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 106833),
(163108, 'PTHR13020:SF32', NULL, NULL, NULL, NULL, 'TRINUCLEOTIDE REPEAT-CONTAINING GENE 6B PROTEIN', 106834),
(163109, 'PTHR24248:SF82', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13F1', 106835),
(163110, 'PTHR46412:SF12', NULL, NULL, NULL, NULL, 'BNAA02G14220D PROTEIN', 106836),
(163111, 'PTHR47966:SF31', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE', 106837),
(163112, 'PTHR21398:SF7', NULL, NULL, NULL, NULL, 'LP19941P', 106838),
(163113, 'PTHR31286:SF60', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 106839),
(163114, 'PTHR31707:SF260', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106840),
(163115, 'PTHR47933:SF25', NULL, NULL, NULL, NULL, 'EMP16', 106841),
(163116, 'PTHR34839:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106842),
(163117, 'PTHR11132:SF418', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', 106843),
(163118, 'PTHR23107:SF22', NULL, NULL, NULL, NULL, 'SSXT FAMILY PROTEIN-RELATED', 106844),
(163119, 'PTHR11485:SF20', NULL, NULL, NULL, NULL, 'INHIBITOR OF CARBONIC ANHYDRASE', 106845),
(163120, 'PTHR45786:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106846),
(163121, 'PTHR45686:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN 3', 106847),
(163122, 'PTHR31636:SF149', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 27', 106848),
(163123, 'PTHR14593:SF6', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', 106849),
(163124, 'PTHR45657:SF1', NULL, NULL, NULL, NULL, 'CRAL-TRIO DOMAIN-CONTAINING PROTEIN YKL091C-RELATED', 106850),
(163125, 'PTHR24093:SF431', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 106851),
(163126, 'PTHR31719:SF141', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 72', 106852),
(163127, 'PTHR34121:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 106853),
(163128, 'PTHR34673:SF1', NULL, NULL, NULL, NULL, 'COLD-REGULATED PROTEIN', 106854),
(163129, 'PTHR35331:SF1', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN S', 106855),
(163130, 'PTHR31718:SF37', NULL, NULL, NULL, NULL, 'BNAA03G55510D PROTEIN', 106856),
(163131, 'PTHR11394:SF71', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 143', 106857),
(163132, 'PTHR46397', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 106858),
(163133, 'PTHR43874:SF117', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE PRR37', 106859),
(163134, 'PTHR34072', NULL, NULL, NULL, NULL, 'ENZYMATIC POLYPROTEIN-RELATED', 106860),
(163135, 'PTHR10460:SF30', NULL, NULL, NULL, NULL, 'PROTEIN ABIL2', 106861),
(163136, 'PTHR15131:SF8', NULL, NULL, NULL, NULL, 'SNAPC (SMALL NUCLEAR RNA ACTIVATING COMPLEX) HOMOLOG', 106862),
(163137, 'PTHR23219:SF12', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE B0280.11-RELATED', 106863),
(163138, 'PTHR31549:SF189', NULL, NULL, NULL, NULL, 'OS05G0197900 PROTEIN', 106864),
(163139, 'PTHR39414:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106865),
(163140, 'PTHR31549:SF115', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', 106866),
(163141, 'PTHR12290:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 1', 106867),
(163142, 'PTHR47993:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106868),
(163143, 'PTHR10603:SF6', NULL, NULL, NULL, NULL, 'FRAGILE X MENTAL RETARDATION SYNDROME-RELATED PROTEIN 1', 106869);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(163144, 'PTHR21496:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106870),
(163145, 'PTHR31142:SF26', NULL, NULL, NULL, NULL, 'PLANT/F17J16-140 PROTEIN', 106871),
(163146, 'PTHR24377:SF897', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 707', 106872),
(163147, 'PTHR47958:SF97', NULL, NULL, NULL, NULL, 'BNACNNG05570D PROTEIN', 106873),
(163148, 'PTHR44129', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 106874),
(163149, 'PTHR23257:SF601', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY13', 106875),
(163150, 'PTHR15615:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106876),
(163151, 'PTHR34056:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106877),
(163152, 'PTHR24064:SF81', NULL, NULL, NULL, NULL, 'PROTEIN CBG24916', 106878),
(163153, 'PTHR42776', NULL, NULL, NULL, NULL, 'SERINE PEPTIDASE S9 FAMILY MEMBER', 106879),
(163154, 'PTHR23341:SF4', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN HMGI-C', 106880),
(163155, 'PTHR11814:SF55', NULL, NULL, NULL, NULL, 'SODIUM-INDEPENDENT SULFATE ANION TRANSPORTER', 106881),
(163156, 'PTHR43233', NULL, NULL, NULL, NULL, 'FAMILY N-ACETYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03350)-RELATED', 106882),
(163157, 'PTHR16223:SF244', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', 106883),
(163158, 'PTHR12309', NULL, NULL, NULL, NULL, 'SEC61 GAMMA SUBUNIT', 106884),
(163159, 'PTHR48017:SF30', NULL, NULL, NULL, NULL, 'LHT1', 106885),
(163160, 'PTHR22699', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 16', 106886),
(163161, 'PTHR22298:SF128', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 10', 106887),
(163162, 'PTHR22916:SF63', NULL, NULL, NULL, NULL, 'GLYCOSIDE TRANSFERASE FAMILY 2', 106888),
(163163, 'PTHR33333:SF6', NULL, NULL, NULL, NULL, 'OS07G0605400 PROTEIN', 106889),
(163164, 'PTHR18959', NULL, NULL, NULL, NULL, 'CALPONIN/TRANSGELIN', 106890),
(163165, 'PTHR35997:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 106891),
(163166, 'PTHR19325:SF530', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106892),
(163167, 'PTHR40658:SF4', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 106893),
(163168, 'PTHR39077:SF2', NULL, NULL, NULL, NULL, 'AGAP009864-PA', 106894),
(163169, 'PTHR47512:SF2', NULL, NULL, NULL, NULL, 'ISOMERASE FAMILY PROTEIN, PUTATIVE-RELATED', 106895),
(163170, 'PTHR31741:SF6', NULL, NULL, NULL, NULL, 'PROTEIN EMBRYO SAC DEVELOPMENT ARREST 30', 106896),
(163171, 'PTHR48234:SF1', NULL, NULL, NULL, NULL, 'GH09231P', 106897),
(163172, 'PTHR31080:SF95', NULL, NULL, NULL, NULL, 'INVERTASE INHIBITOR-LIKE PROTEIN-RELATED', 106898),
(163173, 'PTHR11675:SF36', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 15', 106899),
(163174, 'PTHR48081:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106900),
(163175, 'PTHR19134:SF208', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE T', 106901),
(163176, 'PTHR21346:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106902),
(163177, 'PTHR43490:SF99', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE/REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00840)-RELATED', 106903),
(163178, 'PTHR30477:SF19', NULL, NULL, NULL, NULL, 'ABC-TYPE ZINC UPTAKE SYSTEM PERMEASE COMPONENT ZNUB', 106904),
(163179, 'PTHR16043', NULL, NULL, NULL, NULL, 'DALRD3 PROTEIN', 106905),
(163180, 'PTHR45662:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC6', 106906),
(163181, 'PTHR10593:SF193', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GAI-ASSOCIATED FACTOR 1', 106907),
(163182, 'PTHR18966:SF407', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, NMDA 2A', 106908),
(163183, 'PTHR24204:SF4', NULL, NULL, NULL, NULL, 'INSULIN GENE ENHANCER PROTEIN ISL-1', 106909),
(163184, 'PTHR32268:SF14', NULL, NULL, NULL, NULL, 'HOMOSERINE O-ACETYLTRANSFERASE', 106910),
(163185, 'PTHR32134:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106911),
(163186, 'PTHR43240:SF18', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-2-NAPHTHOYL-COA THIOESTERASE 1 ISOFORM X1', 106912),
(163187, 'PTHR48083:SF21', NULL, NULL, NULL, NULL, 'ACYL COA DEHYDROGENASE', 106913);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(163188, 'PTHR32063:SF24', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM (ACRB/ACRD/ACRF FAMILY)', 106914),
(163189, 'PTHR31194:SF107', NULL, NULL, NULL, NULL, 'BNAA01G13420D PROTEIN', 106915),
(163190, 'PTHR31235:SF39', NULL, NULL, NULL, NULL, 'PEROXIDASE 39', 106916),
(163191, 'PTHR27005:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106917),
(163192, 'PTHR12388:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT PAM16 LIKE 1', 106918),
(163193, 'PTHR43874:SF92', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR28', 106919),
(163194, 'PTHR37531', NULL, NULL, NULL, NULL, 'HEME EXPORTER PROTEIN D', 106920),
(163195, 'PTHR15893:SF9', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L27-LIKE', 106921),
(163196, 'PTHR24349:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106922),
(163197, 'PTHR31920:SF56', NULL, NULL, NULL, NULL, 'BNAA03G52800D PROTEIN', 106923),
(163198, 'PTHR13812', NULL, NULL, NULL, NULL, 'KETIMINE REDUCTASE MU-CRYSTALLIN', 106924),
(163199, 'PTHR11802:SF70', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 106925),
(163200, 'PTHR10108:SF763', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT13-RELATED', 106926),
(163201, 'PTHR33181:SF47', NULL, NULL, NULL, NULL, 'BNAA02G36690D PROTEIN', 106927),
(163202, 'PTHR35261:SF1', NULL, NULL, NULL, NULL, 'ORGANELLAR PROTEIN, PUTATIVE-RELATED', 106928),
(163203, 'PTHR12906:SF3', NULL, NULL, NULL, NULL, 'BNAC04G15250D PROTEIN', 106929),
(163204, 'PTHR11559:SF397', NULL, NULL, NULL, NULL, 'ACETYLCHOLINESTERASE', 106930),
(163205, 'PTHR12790:SF2', NULL, NULL, NULL, NULL, 'BNAA05G09100D PROTEIN', 106931),
(163206, 'PTHR31444:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106932),
(163207, 'PTHR10687:SF68', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 106933),
(163208, 'PTHR11639:SF126', NULL, NULL, NULL, NULL, 'S100 CALCIUM-BINDING PROTEIN W', 106934),
(163209, 'PTHR11477:SF30', NULL, NULL, NULL, NULL, 'SPOC DOMAIN / TRANSCRIPTION ELONGATION FACTOR S-II PROTEIN', 106935),
(163210, 'PTHR31901:SF74', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6-LIKE', 106936),
(163211, 'PTHR21502:SF4', NULL, NULL, NULL, NULL, 'RILP-LIKE PROTEIN HOMOLOG', 106937),
(163212, 'PTHR37861:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH ACIDIC PROTEIN 1', 106938),
(163213, 'PTHR32021:SF37', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 106939),
(163214, 'PTHR13018:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106940),
(163215, 'PTHR46899', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 27', 106941),
(163216, 'PTHR11346:SF149', NULL, NULL, NULL, NULL, '32 KDA BETA-GALACTOSIDE-BINDING LECTIN LEC-3-RELATED', 106942),
(163217, 'PTHR19971:SF13', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE SUBSTRATE 1', 106943),
(163218, 'PTHR43598:SF5', NULL, NULL, NULL, NULL, 'TUNGSTEN-CONTAINING FORMYLMETHANOFURAN DEHYDROGENASE 2 SUBUNIT B', 106944),
(163219, 'PTHR46991:SF7', NULL, NULL, NULL, NULL, 'HEAT SHOCK 22 KDA PROTEIN, MITOCHONDRIAL-LIKE', 106945),
(163220, 'PTHR47827', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 106946),
(163221, 'PTHR33085:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106947),
(163222, 'PTHR45687:SF28', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP-TYPE PTOM75-RELATED', 106948),
(163223, 'PTHR10705:SF0', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT DAD1', 106949),
(163224, 'PTHR45839:SF15', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', 106950),
(163225, 'PTHR11931:SF16', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE/BISPHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', 106951),
(163226, 'PTHR22920', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 106952),
(163227, 'PTHR10357:SF179', NULL, NULL, NULL, NULL, 'NEUTRAL AND BASIC AMINO ACID TRANSPORT PROTEIN RBAT', 106953),
(163228, 'PTHR38819:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 20A-RELATED', 106954),
(163229, 'PTHR10663:SF370', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 3-LIKE PROTEIN', 106955);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(163230, 'PTHR31589:SF122', NULL, NULL, NULL, NULL, 'BNAC02G33500D PROTEIN', 106956),
(163231, 'PTHR12463:SF0', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB HOMOLOG 4', 106957),
(163232, 'PTHR46641:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG24474', 106958),
(163233, 'PTHR11079:SF175', NULL, NULL, NULL, NULL, 'CMP/DCMP DEAMINASE, ZINC-BINDING DOMAIN-CONTAINING PROTEIN', 106959),
(163234, 'PTHR31065:SF71', NULL, NULL, NULL, NULL, 'OS02G0172800 PROTEIN', 106960),
(163235, 'PTHR14237:SF76', NULL, NULL, NULL, NULL, 'OS03G0765800 PROTEIN', 106961),
(163236, 'PTHR23074:SF155', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A1', 106962),
(163237, 'PTHR28196:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN NET1-RELATED', 106963),
(163238, 'PTHR24189:SF50', NULL, NULL, NULL, NULL, 'MYOTROPHIN', 106964),
(163239, 'PTHR11205:SF44', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S7, CHLOROPLASTIC', 106965),
(163240, 'PTHR23024:SF440', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 12-RELATED', 106966),
(163241, 'PTHR33133:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106967),
(163242, 'PTHR27002:SF796', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 41', 106968),
(163243, 'PTHR11817:SF63', NULL, NULL, NULL, NULL, 'PLASTIDIAL PYRUVATE KINASE 3, CHLOROPLASTIC', 106969),
(163244, 'PTHR31650:SF52', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE, WSD1 DOMAIN-CONTAINING PROTEIN-RELATED', 106970),
(163245, 'PTHR31734:SF112', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN', 106971),
(163246, 'PTHR11216:SF151', NULL, NULL, NULL, NULL, 'BNAC05G31740D PROTEIN', 106972),
(163247, 'PTHR31972:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 106973),
(163248, 'PTHR46729:SF1', NULL, NULL, NULL, NULL, 'LEUKOCYTE RECEPTOR CLUSTER MEMBER 9', 106974),
(163249, 'PTHR31948:SF88', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 13', 106975),
(163250, 'PTHR43900:SF37', NULL, NULL, NULL, NULL, 'S-TRANSFERASE 7, PUTATIVE ISOFORM 1-RELATED', 106976),
(163251, 'PTHR43409', NULL, NULL, NULL, NULL, 'ANAEROBIC MAGNESIUM-PROTOPORPHYRIN IX MONOMETHYL ESTER CYCLASE-RELATED', 106977),
(163252, 'PTHR22923:SF71', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT 1, Q SUBCOMPONENT-LIKE PROTEIN', 106978),
(163253, 'PTHR12610', NULL, NULL, NULL, NULL, 'SINGLE STRANDED DNA BINDING PROTEIN', 106979),
(163254, 'PTHR47968:SF31', NULL, NULL, NULL, NULL, 'KINESIN FAMILY MEMBER 5A', 106980),
(163255, 'PTHR11654:SF488', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.1', 106981),
(163256, 'PTHR33351', NULL, NULL, NULL, NULL, 'HISACTOPHILIN-1-RELATED', 106982),
(163257, 'PTHR11929:SF221', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE-LIKE PROTEIN-RELATED', 106983),
(163258, 'PTHR33285:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106984),
(163259, 'PTHR48000:SF2', NULL, NULL, NULL, NULL, 'BLIND-LIKE', 106985),
(163260, 'PTHR31848', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 106986),
(163261, 'PTHR24184:SF6', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SAM DOMAIN-CONTAINING PROTEIN 3', 106987),
(163262, 'PTHR48041:SF91', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 28', 106988),
(163263, 'PTHR10529:SF355', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT MU-2', 106989),
(163264, 'PTHR21562:SF78', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 106990),
(163265, 'PTHR12999:SF18', NULL, NULL, NULL, NULL, 'BNAA08G29860D PROTEIN', 106991),
(163266, 'PTHR24248:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 106992),
(163267, 'PTHR14226:SF44', NULL, NULL, NULL, NULL, 'LIPASE 3', 106993),
(163268, 'PTHR43706:SF34', NULL, NULL, NULL, NULL, 'EXTERNAL ALTERNATIVE NAD(P)H-UBIQUINONE OXIDOREDUCTASE B1, MITOCHONDRIAL', 106994),
(163269, 'PTHR24260:SF115', NULL, NULL, NULL, NULL, 'FI17609P1-RELATED', 106995),
(163270, 'PTHR48056:SF18', NULL, NULL, NULL, NULL, 'SYSTEMIN RECEPTOR SR160', 106996),
(163271, 'PTHR23192:SF36', NULL, NULL, NULL, NULL, 'NOELIN-3', 106997),
(163272, 'PTHR36399:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 5, CHLOROPLASTIC', 106998);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(163273, 'PTHR43307', NULL, NULL, NULL, NULL, 'DECARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04980)-RELATED', 106999),
(163274, 'PTHR43814:SF4', NULL, NULL, NULL, NULL, 'ARGININOSUCCINATE LYASE', 107000),
(163275, 'PTHR11991:SF13', NULL, NULL, NULL, NULL, 'TRANSLATIONALLY-CONTROLLED TUMOR PROTEIN HOMOLOG', 107001),
(163276, 'PTHR33736:SF13', NULL, NULL, NULL, NULL, 'OS12G0156500 PROTEIN', 107002),
(163277, 'PTHR42813:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03930)-RELATED', 107003),
(163278, 'PTHR30566', NULL, NULL, NULL, NULL, 'YNAI-RELATED MECHANOSENSITIVE ION CHANNEL', 107004),
(163279, 'PTHR24298:SF743', NULL, NULL, NULL, NULL, '3,9-DIHYDROXYPTEROCARPAN 6A-MONOOXYGENASE-LIKE', 107005),
(163280, 'PTHR33450:SF1', NULL, NULL, NULL, NULL, 'OS08G0539200 PROTEIN', 107006),
(163281, 'PTHR13194', NULL, NULL, NULL, NULL, 'COMPLEX I INTERMEDIATE-ASSOCIATED PROTEIN 30', 107007),
(163282, 'PTHR33163:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107008),
(163283, 'PTHR33784', NULL, NULL, NULL, NULL, 'OS05G0482100 PROTEIN', 107009),
(163284, 'PTHR14186:SF16', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN-LIKE 1', 107010),
(163285, 'PTHR47993:SF133', NULL, NULL, NULL, NULL, 'BNAC03G34190D PROTEIN', 107011),
(163286, 'PTHR32100:SF70', NULL, NULL, NULL, NULL, 'OMEGA-3 FATTY ACID DESATURASE', 107012),
(163287, 'PTHR43329:SF59', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 2', 107013),
(163288, 'PTHR10795:SF618', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.5', 107014),
(163289, 'PTHR45736:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER MYM-TYPE PROTEIN 6', 107015),
(163290, 'PTHR31213:SF81', NULL, NULL, NULL, NULL, 'MAJOR ALLERGEN PRU AR 1 ISOFORM 1', 107016),
(163291, 'PTHR33768', NULL, NULL, NULL, NULL, 'MIP11318P', 107017),
(163292, 'PTHR43829:SF20', NULL, NULL, NULL, NULL, 'AQUAPORIN-10A', 107018),
(163293, 'PTHR36181:SF2', NULL, NULL, NULL, NULL, 'INTRON-ENCODED ENDONUCLEASE AI3-RELATED', 107019),
(163294, 'PTHR36549:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107020),
(163295, 'PTHR48060:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107021),
(163296, 'PTHR46600:SF2', NULL, NULL, NULL, NULL, 'SI:CH73-382F3.1', 107022),
(163297, 'PTHR24418:SF417', NULL, NULL, NULL, NULL, 'AGAP006960-PA', 107023),
(163298, 'PTHR23061:SF12', NULL, NULL, NULL, NULL, 'DNA POLYMERASE ALPHA SUBUNIT B', 107024),
(163299, 'PTHR31283:SF12', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT LAGE3', 107025),
(163300, 'PTHR32370:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107026),
(163301, 'PTHR23186:SF2', NULL, NULL, NULL, NULL, 'SINE OCULIS-BINDING PROTEIN HOMOLOG', 107027),
(163302, 'PTHR13439:SF58', NULL, NULL, NULL, NULL, 'BNAA05G12830D PROTEIN', 107028),
(163303, 'PTHR46955:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG18983', 107029),
(163304, 'PTHR10903:SF157', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST 120, CHLOROPLASTIC-LIKE', 107030),
(163305, 'PTHR10155', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE REGULATORY SUBUNIT', 107031),
(163306, 'PTHR32099:SF29', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 8', 107032),
(163307, 'PTHR22166:SF13', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM JUNCTION FORMATION PROTEIN LUNAPARK-A', 107033),
(163308, 'PTHR47984:SF16', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE', 107034),
(163309, 'PTHR13069:SF32', NULL, NULL, NULL, NULL, 'ALKYLATED DNA REPAIR PROTEIN ALKB HOMOLOG 8 ISOFORM X1', 107035),
(163310, 'PTHR48016:SF5', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 5', 107036),
(163311, 'PTHR33802:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107037),
(163312, 'PTHR11360:SF26', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 3', 107038),
(163313, 'PTHR24228:SF33', NULL, NULL, NULL, NULL, 'BRADYKININ RECEPTOR B1', 107039),
(163314, 'PTHR16518:SF4', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 153', 107040),
(163315, 'PTHR12287:SF24', NULL, NULL, NULL, NULL, 'EPS8-LIKE 1B', 107041);
INSERT INTO "PUBLIC"."MODEL" VALUES
(163316, 'PTHR31082:SF4', NULL, NULL, NULL, NULL, 'PHEROMONE-REGULATED MEMBRANE PROTEIN 10', 107042),
(163317, 'PTHR31386', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN KIAA2013', 107043),
(163318, 'PTHR15032:SF27', NULL, NULL, NULL, NULL, 'N-ACYL-PHOSPHATIDYLETHANOLAMINE-HYDROLYZING PHOSPHOLIPASE D', 107044),
(163319, 'PTHR37441', NULL, NULL, NULL, NULL, 'PROTEIN CBG16518', 107045),
(163320, 'PTHR46308:SF1', NULL, NULL, NULL, NULL, 'MATH (MEPRIN-ASSOCIATED TRAF HOMOLOGY) DOMAIN CONTAINING', 107046),
(163321, 'PTHR32100:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107047),
(163322, 'PTHR23073:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG11069', 107048),
(163323, 'PTHR48055:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE KINASE FAMILY PROTEIN', 107049),
(163324, 'PTHR31734:SF88', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA9', 107050),
(163325, 'PTHR10426:SF84', NULL, NULL, NULL, NULL, 'BNAC09G36580D PROTEIN', 107051),
(163326, 'PTHR24274:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 161', 107052),
(163327, 'PTHR47924:SF21', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', 107053),
(163328, 'PTHR34538:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107054),
(163329, 'PTHR23058:SF14', NULL, NULL, NULL, NULL, 'OS01G0107000 PROTEIN', 107055),
(163330, 'PTHR24062:SF61', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 107056),
(163331, 'PTHR11801:SF48', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION 6', 107057),
(163332, 'PTHR10209:SF715', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN', 107058),
(163333, 'PTHR10288:SF173', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING PROTEIN HEN4', 107059),
(163334, 'PTHR43273', NULL, NULL, NULL, NULL, 'ANAEROBIC SULFATASE-MATURATING ENZYME HOMOLOG ASLB-RELATED', 107060),
(163335, 'PTHR36586:SF17', NULL, NULL, NULL, NULL, 'EXTENSIN DOMAIN-CONTAINING PROTEIN-RELATED', 107061),
(163336, 'PTHR31375:SF137', NULL, NULL, NULL, NULL, 'NTS1 PROTEIN', 107062),
(163337, 'PTHR45707:SF9', NULL, NULL, NULL, NULL, 'FT-INTERACTING PROTEIN 1', 107063),
(163338, 'PTHR45868:SF9', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE (CCH)-RELATED PROTEIN-LIKE', 107064),
(163339, 'PTHR10948:SF23', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSI FOR INSERTION SEQUENCE ELEMENT IS30A-RELATED', 107065),
(163340, 'PTHR45988:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER (C2H2 TYPE) FAMILY PROTEIN-RELATED', 107066),
(163341, 'PTHR39385:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG20422', 107067),
(163342, 'PTHR20872', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 107068),
(163343, 'PTHR10334:SF494', NULL, NULL, NULL, NULL, 'GLIPR1-LIKE PROTEIN 1', 107069),
(163344, 'PTHR28546:SF2', NULL, NULL, NULL, NULL, 'NEURONAL VESICLE TRAFFICKING-ASSOCIATED PROTEIN 2', 107070),
(163345, 'PTHR11394:SF48', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 30', 107071),
(163346, 'PTHR36023:SF4', NULL, NULL, NULL, NULL, 'ARGOS4', 107072),
(163347, 'PTHR14240', NULL, NULL, NULL, NULL, 'RETINITIS PIGMENTOSA GTPASE REGULATOR-INTERACTING PROTEIN', 107073),
(163348, 'PTHR31734:SF31', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA7', 107074),
(163349, 'PTHR48047:SF54', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 107075),
(163350, 'PTHR11062:SF266', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE MUR3', 107076),
(163351, 'PTHR24082:SF464', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR', 107077),
(163352, 'PTHR37389:SF19', NULL, NULL, NULL, NULL, 'BNAA04G17930D PROTEIN', 107078),
(163353, 'PTHR45868:SF53', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 107079),
(163354, 'PTHR47293:SF60', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 1-LIKE', 107080),
(163355, 'PTHR33788:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107081),
(163356, 'PTHR37705:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107082),
(163357, 'PTHR21319:SF38', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MIEL1-LIKE ISOFORM X1', 107083);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(163358, 'PTHR47998:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TT2', 107084),
(163359, 'PTHR34630:SF42', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 107085),
(163360, 'PTHR46537', NULL, NULL, NULL, NULL, 'OS11G0578200 PROTEIN', 107086),
(163361, 'PTHR45863:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK2', 107087),
(163362, 'PTHR48070:SF7', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G01310)-RELATED', 107088),
(163363, 'PTHR23226:SF52', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 16', 107089),
(163364, 'PTHR30024', NULL, NULL, NULL, NULL, 'ALIPHATIC SULFONATES-BINDING PROTEIN-RELATED', 107090),
(163365, 'PTHR45968:SF27', NULL, NULL, NULL, NULL, 'BNAA02G16200D PROTEIN', 107091),
(163366, 'PTHR43085:SF22', NULL, NULL, NULL, NULL, 'FRUCTOKINASE', 107092),
(163367, 'PTHR11584', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE', 107093),
(163368, 'PTHR15963:SF3', NULL, NULL, NULL, NULL, 'GENERAL RECEPTOR FOR PHOSPHOINOSITIDES 1-ASSOCIATED SCAFFOLD PROTEIN', 107094),
(163369, 'PTHR11654:SF334', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 1.2-LIKE ISOFORM X1', 107095),
(163370, 'PTHR30363:SF55', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ULAR', 107096),
(163371, 'PTHR23348:SF43', NULL, NULL, NULL, NULL, 'SI:CH211-125O16.4', 107097),
(163372, 'PTHR23201:SF95', NULL, NULL, NULL, NULL, 'GAST1-LIKE PROTEIN-RELATED', 107098),
(163373, 'PTHR32467:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107099),
(163374, 'PTHR47925:SF35', NULL, NULL, NULL, NULL, 'BNAA05G08880D PROTEIN', 107100),
(163375, 'PTHR12802:SF116', NULL, NULL, NULL, NULL, 'OS02G0680700 PROTEIN', 107101),
(163376, 'PTHR46394:SF1', NULL, NULL, NULL, NULL, 'ANNEXIN', 107102),
(163377, 'PTHR31376:SF17', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 21-RELATED', 107103),
(163378, 'PTHR23155:SF906', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 107104),
(163379, 'PTHR10166', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL SUBUNIT ALPHA-2/DELTA-RELATED', 107105),
(163380, 'PTHR31942:SF54', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 13', 107106),
(163381, 'PTHR10791:SF124', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 107107),
(163382, 'PTHR12815:SF36', NULL, NULL, NULL, NULL, 'OS11G0116500 PROTEIN', 107108),
(163383, 'PTHR42923:SF26', NULL, NULL, NULL, NULL, 'FMN REDUCTASE LOT6, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06600)-RELATED', 107109),
(163384, 'PTHR43880:SF8', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 7B', 107110),
(163385, 'PTHR12277:SF174', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN-CONTAINING 17AA', 107111),
(163386, 'PTHR25462:SF272', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 45', 107112),
(163387, 'PTHR23502:SF152', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G05350)-RELATED', 107113),
(163388, 'PTHR10553:SF18', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', 107114),
(163389, 'PTHR11937:SF476', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 3-LIKE', 107115),
(163390, 'PTHR23429:SF9', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE', 107116),
(163391, 'PTHR16322', NULL, NULL, NULL, NULL, 'PHOSPHOPROTEIN ASSOCIATED WITH GLYCOSPHINGOLIPID-ENRICHED MICRODOMAINS 1', 107117),
(163392, 'PTHR33938:SF15', NULL, NULL, NULL, NULL, 'FERULOYL ESTERASE B-RELATED', 107118),
(163393, 'PTHR18929:SF93', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE A2', 107119),
(163394, 'PTHR12300:SF149', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN', 107120),
(163395, 'PTHR43416:SF25', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYL CARRIER PROTEIN OF ACETYL-COA CARBOXYLASE', 107121),
(163396, 'PTHR11850:SF321', NULL, NULL, NULL, NULL, 'CLASS II KNOTTED-LIKE HOMEOBOX PROTEIN', 107122),
(163397, 'PTHR11780', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE FLAVOPROTEIN 1  NDUFV1', 107123),
(163398, 'PTHR10666:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107124); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(163399, 'PTHR11581:SF23', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', 107125),
(163400, 'PTHR33743:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107126),
(163401, 'PTHR31636:SF249', NULL, NULL, NULL, NULL, 'BNAA02G10830D PROTEIN', 107127),
(163402, 'PTHR10108:SF1133', NULL, NULL, NULL, NULL, 'BNAC03G63040D PROTEIN', 107128),
(163403, 'PTHR33697:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107129),
(163404, 'PTHR24388:SF55', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 143', 107130),
(163405, 'PTHR33673:SF14', NULL, NULL, NULL, NULL, 'HOMEOBOX-LIKE PROTEIN', 107131),
(163406, 'PTHR32178:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107132),
(163407, 'PTHR21567:SF73', NULL, NULL, NULL, NULL, 'CLIP-ASSOCIATED PROTEIN-LIKE', 107133),
(163408, 'PTHR30600:SF11', NULL, NULL, NULL, NULL, 'METHYLAMINE UTILIZATION PROTEIN', 107134),
(163409, 'PTHR31232:SF102', NULL, NULL, NULL, NULL, 'BNAC09G51380D PROTEIN', 107135),
(163410, 'PTHR27001:SF584', NULL, NULL, NULL, NULL, 'OS08G0285600 PROTEIN', 107136),
(163411, 'PTHR45939:SF5', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PMP34', 107137),
(163412, 'PTHR33057:SF98', NULL, NULL, NULL, NULL, 'OVATE TRANSCRIPTIONAL REPRESSOR', 107138),
(163413, 'PTHR24637:SF238', NULL, NULL, NULL, NULL, 'BLISTERED CUTICLE', 107139),
(163414, 'PTHR15044', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE FF', 107140),
(163415, 'PTHR11124:SF23', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE YSNB-RELATED', 107141),
(163416, 'PTHR48018:SF117', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 107142),
(163417, 'PTHR32018:SF32', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', 107143),
(163418, 'PTHR32133:SF260', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107144),
(163419, 'PTHR24340:SF41', NULL, NULL, NULL, NULL, 'MUSCLE-SPECIFIC HOMEOBOX PROTEIN TINMAN-RELATED', 107145),
(163420, 'PTHR11709:SF359', NULL, NULL, NULL, NULL, 'LACCASE', 107146),
(163421, 'PTHR24072:SF143', NULL, NULL, NULL, NULL, 'RHO-RELATED PROTEIN RACE', 107147),
(163422, 'PTHR40710', NULL, NULL, NULL, NULL, 'RIKEN CDNA E230025N22 GENE', 107148),
(163423, 'PTHR31314:SF51', NULL, NULL, NULL, NULL, 'PROTEIN PHR1-LIKE 1-LIKE', 107149),
(163424, 'PTHR23115:SF264', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107150),
(163425, 'PTHR47992:SF130', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PHOSPHATASE FAMILY, 2C DOMAIN PROTEIN', 107151),
(163426, 'PTHR42884:SF4', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.5', 107152),
(163427, 'PTHR24208:SF95', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX9', 107153),
(163428, 'PTHR20371:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107154),
(163429, 'PTHR32227:SF355', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 107155),
(163430, 'PTHR33640:SF24', NULL, NULL, NULL, NULL, 'BNAA09G27820D PROTEIN', 107156),
(163431, 'PTHR47286:SF5', NULL, NULL, NULL, NULL, 'NEUROFILAMENT HEAVY PROTEIN', 107157),
(163432, 'PTHR22958', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHORYL DIESTER PHOSPHODIESTERASE', 107158),
(163433, 'PTHR47988:SF18', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 107159),
(163434, 'PTHR31901:SF54', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE GH3 FAMILY PROTEIN', 107160),
(163435, 'PTHR10574:SF291', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA-2', 107161),
(163436, 'PTHR43791:SF9', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR-TYPE TRANSPORTER HXNP', 107162),
(163437, 'PTHR31290:SF5', NULL, NULL, NULL, NULL, 'UV-DAMAGE ENDONUCLEASE', 107163),
(163438, 'PTHR11377:SF19', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE', 107164),
(163439, 'PTHR31716:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FMC1 HOMOLOG', 107165),
(163440, 'PTHR47992:SF24', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 29-RELATED', 107166),
(163441, 'PTHR11455:SF52', NULL, NULL, NULL, NULL, 'CRYPTOCHROME CIRCADIAN REGULATOR 5', 107167),
(163442, 'PTHR11706:SF87', NULL, NULL, NULL, NULL, 'ETHYLENE-INSENSITIVE PROTEIN 2', 107168),
(163443, 'PTHR12137:SF54', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE', 107169);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(163444, 'PTHR48043:SF10', NULL, NULL, NULL, NULL, 'EG:EG0003.4 PROTEIN-RELATED', 107170),
(163445, 'PTHR48054:SF37', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 107171),
(163446, 'PTHR14132:SF10', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR 4', 107172),
(163447, 'PTHR47850', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN OR23', 107173),
(163448, 'PTHR17178', NULL, NULL, NULL, NULL, 'SECRETORY GRANULE PROTEOGLYCAN CORE PROTEIN', 107174),
(163449, 'PTHR36339', NULL, NULL, NULL, NULL, 'F23A5.5', 107175),
(163450, 'PTHR12596:SF11', NULL, NULL, NULL, NULL, 'EXPORTIN-7', 107176),
(163451, 'PTHR10183:SF302', NULL, NULL, NULL, NULL, 'CALPAIN-14', 107177),
(163452, 'PTHR33344', NULL, NULL, NULL, NULL, 'OS02G0761600 PROTEIN', 107178),
(163453, 'PTHR36029', NULL, NULL, NULL, NULL, 'TSET COMPLEX MEMBER TSTA', 107179),
(163454, 'PTHR10956:SF40', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L31', 107180),
(163455, 'PTHR32278:SF78', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 107181),
(163456, 'PTHR31465:SF11', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10770)-RELATED', 107182),
(163457, 'PTHR12121:SF45', NULL, NULL, NULL, NULL, 'NOCTURNIN', 107183),
(163458, 'PTHR31132:SF18', NULL, NULL, NULL, NULL, 'OSJNBA0006M15.14 PROTEIN', 107184),
(163459, 'PTHR35890', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 107185),
(163460, 'PTHR33305:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107186),
(163461, 'PTHR10133:SF54', NULL, NULL, NULL, NULL, '5''-3'' EXONUCLEASE FAMILY PROTEIN', 107187),
(163462, 'PTHR46035', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 4', 107188),
(163463, 'PTHR31639:SF150', NULL, NULL, NULL, NULL, 'OS06G0685200 PROTEIN', 107189),
(163464, 'PTHR14957', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-CONJUGATING ENZYME ATG10', 107190),
(163465, 'PTHR22891:SF139', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 1A', 107191),
(163466, 'PTHR24298:SF577', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY MONOOXYGENASE', 107192),
(163467, 'PTHR23389:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG21002', 107193),
(163468, 'PTHR34269:SF9', NULL, NULL, NULL, NULL, 'BNAANNG23550D PROTEIN', 107194),
(163469, 'PTHR23344:SF49', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE DOMAIN-CONTAINING 5A', 107195),
(163470, 'PTHR11814:SF194', NULL, NULL, NULL, NULL, 'HIGH AFFINITY SULFATE TRANSPORTER 2', 107196),
(163471, 'PTHR11863:SF131', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 1-LIKE ISOFORM X1', 107197),
(163472, 'PTHR10353:SF233', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 12-LIKE', 107198),
(163473, 'PTHR32246:SF69', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 107199),
(163474, 'PTHR32071:SF21', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 107200),
(163475, 'PTHR10331:SF25', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 10A HOMOLOG-RELATED', 107201),
(163476, 'PTHR34285:SF8', NULL, NULL, NULL, NULL, 'OS09G0278700 PROTEIN', 107202),
(163477, 'PTHR44490:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION ELONGATION FACTOR 1 EPSILON-1', 107203),
(163478, 'PTHR23248:SF60', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', 107204),
(163479, 'PTHR14897', NULL, NULL, NULL, NULL, 'WD REPEAT AND COILED-COIL-CONTAINING PROTEIN', 107205),
(163480, 'PTHR27006:SF391', NULL, NULL, NULL, NULL, 'BNAC08G42100D PROTEIN', 107206),
(163481, 'PTHR28218:SF1', NULL, NULL, NULL, NULL, 'VPS4-ASSOCIATED PROTEIN 1', 107207),
(163482, 'PTHR38040:SF1', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS ACCESSORY FACTOR UBIK', 107208),
(163483, 'PTHR12632:SF56', NULL, NULL, NULL, NULL, 'CCAAT-BINDING TRANSCRIPTION FACTOR', 107209),
(163484, 'PTHR45680:SF32', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 107210),
(163485, 'PTHR26374:SF360', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', 107211),
(163486, 'PTHR43476', NULL, NULL, NULL, NULL, '3-(3-HYDROXY-PHENYL)PROPIONATE/3-HYDROXYCINNAMIC ACID HYDROXYLASE', 107212);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(163487, 'PTHR36473', NULL, NULL, NULL, NULL, 'CHROMOSOME 3 OPEN READING FRAME 49', 107213),
(163488, 'PTHR33730:SF13', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN', 107214),
(163489, 'PTHR37563:SF2', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G03330)', 107215),
(163490, 'PTHR23502:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107216),
(163491, 'PTHR33065:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107217),
(163492, 'PTHR13252', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 28', 107218),
(163493, 'PTHR33941:SF12', NULL, NULL, NULL, NULL, 'CARBON DIOXIDE CONCENTRATING MECHANISM PROTEIN', 107219),
(163494, 'PTHR47928:SF91', NULL, NULL, NULL, NULL, 'OS06G0231400 PROTEIN', 107220),
(163495, 'PTHR46008:SF26', NULL, NULL, NULL, NULL, 'BNAA09G44590D PROTEIN', 107221),
(163496, 'PTHR13415:SF4', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 12', 107222),
(163497, 'PTHR43625:SF7', NULL, NULL, NULL, NULL, 'REDUCTASE (YAKC), PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01560)-RELATED', 107223),
(163498, 'PTHR31953:SF75', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 32-RELATED', 107224),
(163499, 'PTHR47980:SF20', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 107225),
(163500, 'PTHR43272:SF68', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 7, PEROXISOMAL', 107226),
(163501, 'PTHR24422:SF9', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN METHYLTRANSFERASE 1', 107227),
(163502, 'PTHR47281:SF1', NULL, NULL, NULL, NULL, 'OS09G0557700 PROTEIN', 107228),
(163503, 'PTHR11945:SF554', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL82', 107229),
(163504, 'PTHR33121:SF15', NULL, NULL, NULL, NULL, 'BLUE LIGHT- AND TEMPERATURE-REGULATED ANTIREPRESSOR BLUF', 107230),
(163505, 'PTHR23069', NULL, NULL, NULL, NULL, 'AAA DOMAIN-CONTAINING', 107231),
(163506, 'PTHR10766:SF92', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 107232),
(163507, 'PTHR11863:SF139', NULL, NULL, NULL, NULL, 'LATHOSTEROL OXIDASE', 107233),
(163508, 'PTHR32116:SF68', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 107234),
(163509, 'PTHR13328', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR A  NELF-A', 107235),
(163510, 'PTHR11931:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE 1', 107236),
(163511, 'PTHR33463:SF51', NULL, NULL, NULL, NULL, 'SITE LRR PROTEIN, PUTATIVE-RELATED', 107237),
(163512, 'PTHR35546:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107238),
(163513, 'PTHR30314:SF27', NULL, NULL, NULL, NULL, 'FTSZ1-2 PLASTID DIVISION PROTEIN', 107239),
(163514, 'PTHR31062:SF210', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 12-RELATED', 107240),
(163515, 'PTHR31388:SF203', NULL, NULL, NULL, NULL, 'PEROXIDASE FAMILY PROTEIN', 107241),
(163516, 'PTHR11567:SF28', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE FAMILY', 107242),
(163517, 'PTHR47928:SF18', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 107243),
(163518, 'PTHR46062:SF3', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN 2', 107244),
(163519, 'PTHR34610:SF3', NULL, NULL, NULL, NULL, 'SSL7007 PROTEIN', 107245),
(163520, 'PTHR35392:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 107246),
(163521, 'PTHR45339:SF1', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE J', 107247),
(163522, 'PTHR45624:SF6', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 45', 107248),
(163523, 'PTHR23035:SF2', NULL, NULL, NULL, NULL, 'CFAP97 DOMAIN-CONTAINING 1', 107249),
(163524, 'PTHR43791:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107250),
(163525, 'PTHR12603:SF0', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 4', 107251),
(163526, 'PTHR15711:SF10', NULL, NULL, NULL, NULL, 'SIGNAL-INDUCED PROLIFERATION-ASSOCIATED 1-LIKE PROTEIN 1', 107252),
(163527, 'PTHR31286:SF26', NULL, NULL, NULL, NULL, 'BNAC07G15150D PROTEIN', 107253),
(163528, 'PTHR19331:SF463', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CYSTEINE-RICH TYPE 1 PROTEIN M160', 107254);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(163529, 'PTHR31499:SF50', NULL, NULL, NULL, NULL, 'BNAA07G24220D PROTEIN', 107255),
(163530, 'PTHR19957:SF290', NULL, NULL, NULL, NULL, 'SYNTAXIN 10-1', 107256),
(163531, 'PTHR31221:SF90', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 44', 107257),
(163532, 'PTHR22835:SF576', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107258),
(163533, 'PTHR48108:SF10', NULL, NULL, NULL, NULL, 'BLR2762 PROTEIN', 107259),
(163534, 'PTHR31235:SF179', NULL, NULL, NULL, NULL, 'PEROXIDASE', 107260),
(163535, 'PTHR14379:SF46', NULL, NULL, NULL, NULL, 'BNAC08G15430D PROTEIN', 107261),
(163536, 'PTHR11461:SF129', NULL, NULL, NULL, NULL, 'SERPIN E3', 107262),
(163537, 'PTHR14334:SF1', NULL, NULL, NULL, NULL, 'B-CELL ANTIGEN RECEPTOR COMPLEX-ASSOCIATED PROTEIN ALPHA CHAIN', 107263),
(163538, 'PTHR31636:SF280', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS, SCARECROW-LIKE PROTEIN 29/NODULATION SIGNALING PATHWAY 1-RELATED', 107264),
(163539, 'PTHR24302:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107265),
(163540, 'PTHR23024:SF504', NULL, NULL, NULL, NULL, 'RECEPTOR GID1, PUTATIVE-RELATED', 107266),
(163541, 'PTHR22849:SF49', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 107267),
(163542, 'PTHR21600:SF50', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE-RELATED', 107268),
(163543, 'PTHR43791:SF29', NULL, NULL, NULL, NULL, 'AGR235WP', 107269),
(163544, 'PTHR19134:SF483', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE 4E, ISOFORM A-RELATED', 107270),
(163545, 'PTHR11362:SF109', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN 1', 107271),
(163546, 'PTHR31775:SF24', NULL, NULL, NULL, NULL, 'REMORIN', 107272),
(163547, 'PTHR11615:SF306', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 107273),
(163548, 'PTHR40661:SF1', NULL, NULL, NULL, NULL, 'FELS-1 PROPHAGE TRANSCRIPTIONAL REGULATOR-RELATED', 107274),
(163549, 'PTHR10694:SF110', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 4A-RELATED', 107275),
(163550, 'PTHR32448:SF135', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 13', 107276),
(163551, 'PTHR10218:SF193', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-8 SUBUNIT', 107277),
(163552, 'PTHR31867:SF134', NULL, NULL, NULL, NULL, 'EXPANSIN-A18', 107278),
(163553, 'PTHR13140:SF341', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IE', 107279),
(163554, 'PTHR43139:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107280),
(163555, 'PTHR46351:SF8', NULL, NULL, NULL, NULL, 'WHEATWIN6-C DEFENSE PROTEIN', 107281),
(163556, 'PTHR45677:SF6', NULL, NULL, NULL, NULL, 'ZGC:163121', 107282),
(163557, 'PTHR39956', NULL, NULL, NULL, NULL, 'GH09530P-RELATED', 107283),
(163558, 'PTHR28293:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RIM PROTEIN 1', 107284),
(163559, 'PTHR47480:SF9', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN ISOFORM X1', 107285),
(163560, 'PTHR12069:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC5', 107286),
(163561, 'PTHR48054:SF3', NULL, NULL, NULL, NULL, 'LRR AMINO-TERMINAL DOMAIN PROTEIN', 107287),
(163562, 'PTHR46773:SF3', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT PROTEIN', 107288),
(163563, 'PTHR10159:SF40', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 5', 107289),
(163564, 'PTHR31384:SF129', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 107290),
(163565, 'PTHR23272:SF21', NULL, NULL, NULL, NULL, 'BED ZINC FINGER AND HAT DIMERIZATION DOMAIN-CONTAINING PROTEIN', 107291),
(163566, 'PTHR31517:SF65', NULL, NULL, NULL, NULL, 'PEROXIDASE', 107292),
(163567, 'PTHR46128:SF195', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 107293),
(163568, 'PTHR43394:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107294),
(163569, 'PTHR34655', NULL, NULL, NULL, NULL, 'CONSERVED WITHIN P. AEROPHILUM', 107295),
(163570, 'PTHR11679:SF62', NULL, NULL, NULL, NULL, 'SI:RP71-10D23.3', 107296),
(163571, 'PTHR12341:SF41', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE 2', 107297),
(163572, 'PTHR45917:SF7', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 5B', 107298);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(163573, 'PTHR10782:SF80', NULL, NULL, NULL, NULL, 'ZINC FINGER, PHD-TYPE-RELATED', 107299),
(163574, 'PTHR31403:SF46', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(1) DAD1, CHLOROPLASTIC-LIKE', 107300),
(163575, 'PTHR26453:SF257', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 107301),
(163576, 'PTHR10484:SF174', NULL, NULL, NULL, NULL, 'HISTONE H4', 107302),
(163577, 'PTHR10788:SF90', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 2-RELATED', 107303),
(163578, 'PTHR21736:SF35', NULL, NULL, NULL, NULL, 'OBERON-LIKE PROTEIN', 107304),
(163579, 'PTHR28113', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAM1', 107305),
(163580, 'PTHR22791:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG12047', 107306),
(163581, 'PTHR45867:SF1', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 107307),
(163582, 'PTHR47991:SF129', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN SYNTHASE', 107308),
(163583, 'PTHR12661', NULL, NULL, NULL, NULL, 'PETER PAN-RELATED', 107309),
(163584, 'PTHR23167:SF49', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN', 107310),
(163585, 'PTHR31561:SF16', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 107311),
(163586, 'PTHR24349:SF182', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 15', 107312),
(163587, 'PTHR11255:SF101', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 107313),
(163588, 'PTHR23306', NULL, NULL, NULL, NULL, 'TUMOR SUSCEPTIBILITY GENE 101 PROTEIN-RELATED', 107314),
(163589, 'PTHR31956', NULL, NULL, NULL, NULL, 'NON-SPECIFIC PHOSPHOLIPASE C4-RELATED', 107315),
(163590, 'PTHR24015:SF1910', NULL, NULL, NULL, NULL, 'PPR REPEAT PROTEIN', 107316),
(163591, 'PTHR45798:SF70', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL45-RELATED', 107317),
(163592, 'PTHR11893:SF37', NULL, NULL, NULL, NULL, 'INNEXIN INX3', 107318),
(163593, 'PTHR10993:SF7', NULL, NULL, NULL, NULL, 'LIPOYLTRANSFERASE 2, MITOCHONDRIAL-RELATED', 107319),
(163594, 'PTHR36069:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 107320),
(163595, 'PTHR12974:SF34', NULL, NULL, NULL, NULL, 'TERMINAL NUCLEOTIDYLTRANSFERASE 5C', 107321),
(163596, 'PTHR11814:SF233', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER SULP-4', 107322),
(163597, 'PTHR31967:SF14', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)', 107323),
(163598, 'PTHR12197:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107324),
(163599, 'PTHR11875:SF75', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1-LIKE 4', 107325),
(163600, 'PTHR12972:SF0', NULL, NULL, NULL, NULL, 'PROTEIN DOWNSTREAM NEIGHBOR OF SON', 107326),
(163601, 'PTHR45676:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107327),
(163602, 'PTHR11764:SF37', NULL, NULL, NULL, NULL, 'PARKEOL SYNTHASE', 107328),
(163603, 'PTHR47370:SF4', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE HLS1-LIKE ISOFORM X1-RELATED', 107329),
(163604, 'PTHR31845:SF10', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 107330),
(163605, 'PTHR41878:SF1', NULL, NULL, NULL, NULL, 'LEXA REPRESSOR-RELATED', 107331),
(163606, 'PTHR15116:SF15', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN SATB2', 107332),
(163607, 'PTHR48171', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 107333),
(163608, 'PTHR32448:SF99', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 1', 107334),
(163609, 'PTHR11017:SF372', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 107335),
(163610, 'PTHR31621:SF42', NULL, NULL, NULL, NULL, 'DUF679 DOMAIN MEMBRANE PROTEIN 7', 107336),
(163611, 'PTHR11814:SF232', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 107337),
(163612, 'PTHR24361:SF648', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0284251-RELATED', 107338),
(163613, 'PTHR34112:SF10', NULL, NULL, NULL, NULL, 'BNAC03G72810D PROTEIN', 107339),
(163614, 'PTHR31312:SF6', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-APRR2-LIKE PROTEIN', 107340),
(163615, 'PTHR30547', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YHCG-RELATED', 107341),
(163616, 'PTHR19441:SF12', NULL, NULL, NULL, NULL, 'PROTEIN WFDC11', 107342);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(163617, 'PTHR11347:SF72', NULL, NULL, NULL, NULL, 'CAMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 7B', 107343),
(163618, 'PTHR10572:SF35', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', 107344),
(163619, 'PTHR22552:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG21849', 107345),
(163620, 'PTHR41153', NULL, NULL, NULL, NULL, 'RE41427P', 107346),
(163621, 'PTHR22948:SF19', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 5', 107347),
(163622, 'PTHR11073:SF7', NULL, NULL, NULL, NULL, 'CALMEGIN', 107348),
(163623, 'PTHR23097:SF90', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 11B', 107349),
(163624, 'PTHR45916', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 5', 107350),
(163625, 'PTHR22951:SF29', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN AP180 SHORT FORM-LIKE', 107351),
(163626, 'PTHR46528:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SON', 107352),
(163627, 'PTHR45908:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG01090', 107353),
(163628, 'PTHR10933:SF9', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN (CD79A)-BINDING PROTEIN 1', 107354),
(163629, 'PTHR47660:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', 107355),
(163630, 'PTHR45715:SF11', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E-LIKE', 107356),
(163631, 'PTHR13437:SF5', NULL, NULL, NULL, NULL, 'BNAA08G15500D PROTEIN', 107357),
(163632, 'PTHR21304:SF8', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC10-LIKE PROTEIN (DUF543)', 107358),
(163633, 'PTHR33065:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107359),
(163634, 'PTHR35574:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG21625', 107360),
(163635, 'PTHR46587:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 107361),
(163636, 'PTHR13844:SF63', NULL, NULL, NULL, NULL, 'BNACNNG65730D PROTEIN', 107362),
(163637, 'PTHR43572:SF13', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF MAX2 1', 107363),
(163638, 'PTHR23500:SF548', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', 107364),
(163639, 'PTHR31645:SF0', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER YGL114W-RELATED', 107365),
(163640, 'PTHR34375', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER PROTEIN-RELATED', 107366),
(163641, 'PTHR16265', NULL, NULL, NULL, NULL, 'PTB-CONTAINING, CUBILIN AND LRP1-INTERACTING PROTEIN', 107367),
(163642, 'PTHR24031:SF324', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 33-RELATED', 107368),
(163643, 'PTHR14226:SF57', NULL, NULL, NULL, NULL, 'SLR0060 PROTEIN', 107369),
(163644, 'PTHR23012', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER DOMAIN-CONTAINING', 107370),
(163645, 'PTHR26453:SF14', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13C4', 107371),
(163646, 'PTHR45761:SF5', NULL, NULL, NULL, NULL, 'EXTENDED SYNAPTOTAGMIN-LIKE PROTEIN 1B', 107372),
(163647, 'PTHR45523', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-CONTAINING PROTEIN-RELATED', 107373),
(163648, 'PTHR33098:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107374),
(163649, 'PTHR31360:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107375),
(163650, 'PTHR21266:SF47', NULL, NULL, NULL, NULL, 'SLR1747 PROTEIN', 107376),
(163651, 'PTHR31876:SF4', NULL, NULL, NULL, NULL, 'PROTEIN LIKE COV 2-LIKE', 107377),
(163652, 'PTHR46604:SF11', NULL, NULL, NULL, NULL, 'OS11G0670100 PROTEIN', 107378),
(163653, 'PTHR12603:SF26', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIF) FAMILY PROTEIN', 107379),
(163654, 'PTHR16074', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 7 PROTEIN', 107380),
(163655, 'PTHR46164:SF1', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-6 ALPHA', 107381),
(163656, 'PTHR31108:SF6', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P63-REGULATED GENE 1 PROTEIN', 107382),
(163657, 'PTHR12956:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107383),
(163658, 'PTHR48062:SF27', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE MSL1-LIKE', 107384);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(163659, 'PTHR43029:SF32', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 107385),
(163660, 'PTHR24351:SF114', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE S6KL', 107386),
(163661, 'PTHR43592:SF18', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', 107387),
(163662, 'PTHR32054:SF48', NULL, NULL, NULL, NULL, 'WEB FAMILY PLANT PROTEIN', 107388),
(163663, 'PTHR33207:SF87', NULL, NULL, NULL, NULL, 'OS01G0509900 PROTEIN', 107389),
(163664, 'PTHR11081:SF59', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE GEN-LIKE 1', 107390),
(163665, 'PTHR22937:SF147', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHG1A-RELATED', 107391),
(163666, 'PTHR13865', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION PROTEIN', 107392),
(163667, 'PTHR20889:SF16', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE 2-LIKE', 107393),
(163668, 'PTHR11195:SF13', NULL, NULL, NULL, NULL, 'GEO08206P1-RELATED', 107394),
(163669, 'PTHR24015:SF48', NULL, NULL, NULL, NULL, 'OS09G0520300 PROTEIN', 107395),
(163670, 'PTHR13620:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107396),
(163671, 'PTHR33132:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107397),
(163672, 'PTHR12183:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UBIQUITIN LIGASE ACTIVATOR OF NFKB 1', 107398),
(163673, 'PTHR43895:SF109', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 107399),
(163674, 'PTHR24270:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107400),
(163675, 'PTHR31966:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107401),
(163676, 'PTHR37389:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107402),
(163677, 'PTHR21567:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107403),
(163678, 'PTHR45627:SF1', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 8', 107404),
(163679, 'PTHR20923', NULL, NULL, NULL, NULL, 'BAT4 PROTEIN-RELATED', 107405),
(163680, 'PTHR43311:SF1', NULL, NULL, NULL, NULL, 'GLUTAMYL-Q TRNA(ASP) SYNTHETASE', 107406),
(163681, 'PTHR23310', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING PROTEIN, ACBP', 107407),
(163682, 'PTHR11690:SF13', NULL, NULL, NULL, NULL, 'ACID-SENSING ION CHANNEL 4', 107408),
(163683, 'PTHR45945:SF2', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 14', 107409),
(163684, 'PTHR31719:SF159', NULL, NULL, NULL, NULL, 'OS05G0415400 PROTEIN', 107410),
(163685, 'PTHR11947:SF22', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE (ACETYL-TRANSFERRING)] KINASE ISOZYME 4, MITOCHONDRIAL', 107411),
(163686, 'PTHR23155:SF1130', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPS2', 107412),
(163687, 'PTHR11909:SF99', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE VRK3', 107413),
(163688, 'PTHR16160:SF12', NULL, NULL, NULL, NULL, 'FERMITIN FAMILY HOMOLOG 1', 107414),
(163689, 'PTHR34570:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107415),
(163690, 'PTHR10366:SF706', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 107416),
(163691, 'PTHR38223:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107417),
(163692, 'PTHR36803', NULL, NULL, NULL, NULL, 'PROTEIN CHLORORESPIRATORY REDUCTION 7, CHLOROPLASTIC', 107418),
(163693, 'PTHR11108:SF1', NULL, NULL, NULL, NULL, 'FERROCHELATASE, MITOCHONDRIAL', 107419),
(163694, 'PTHR12299:SF47', NULL, NULL, NULL, NULL, 'NUCLEAR RNA-BINDING-LIKE PROTEIN', 107420),
(163695, 'PTHR32343:SF48', NULL, NULL, NULL, NULL, 'BNAA09G04870D PROTEIN', 107421),
(163696, 'PTHR11709:SF339', NULL, NULL, NULL, NULL, 'LACCASE-6', 107422),
(163697, 'PTHR48018:SF78', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 107423),
(163698, 'PTHR23024:SF539', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1B-LIKE ISOFORM X1', 107424),
(163699, 'PTHR36718', NULL, NULL, NULL, NULL, 'OS05G0435400 PROTEIN', 107425),
(163700, 'PTHR42968:SF14', NULL, NULL, NULL, NULL, 'OS01G0649000 PROTEIN', 107426),
(163701, 'PTHR33426:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107427),
(163702, 'PTHR10366:SF504', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107428),
(163703, 'PTHR10676:SF314', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 1 HEAVY CHAIN 1', 107429);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(163704, 'PTHR11461:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107430),
(163705, 'PTHR43874:SF58', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR8-RELATED', 107431),
(163706, 'PTHR46449:SF4', NULL, NULL, NULL, NULL, 'MCG52719', 107432),
(163707, 'PTHR30386:SF23', NULL, NULL, NULL, NULL, 'MEMBRANE FUSION PROTEIN (MFP) FAMILY PROTEIN', 107433),
(163708, 'PTHR31301:SF123', NULL, NULL, NULL, NULL, 'BNAC03G16640D PROTEIN', 107434),
(163709, 'PTHR27007:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107435),
(163710, 'PTHR23079:SF43', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE 4-RELATED', 107436),
(163711, 'PTHR10760:SF3', NULL, NULL, NULL, NULL, 'TORSIN-3A', 107437),
(163712, 'PTHR24103:SF329', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 10', 107438),
(163713, 'PTHR23421:SF132', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 2', 107439),
(163714, 'PTHR32448:SF133', NULL, NULL, NULL, NULL, 'BNAC03G63920D PROTEIN', 107440),
(163715, 'PTHR11941:SF148', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE/ISOMERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G14850)', 107441),
(163716, 'PTHR38925', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 107442),
(163717, 'PTHR19957:SF308', NULL, NULL, NULL, NULL, 'TARGET SNARE COILED-COIL DOMAIN', 107443),
(163718, 'PTHR42718:SF9', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY MULTIDRUG TRANSPORTER MFSC', 107444),
(163719, 'PTHR47160:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107445),
(163720, 'PTHR12746:SF3', NULL, NULL, NULL, NULL, '60S RIBOSOMAL EXPORT PROTEIN NMD3', 107446),
(163721, 'PTHR43272:SF73', NULL, NULL, NULL, NULL, 'BNAA02G21860D PROTEIN', 107447),
(163722, 'PTHR19303:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107448),
(163723, 'PTHR33143:SF49', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 25-LIKE', 107449),
(163724, 'PTHR46776:SF14', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 3', 107450),
(163725, 'PTHR48021:SF1', NULL, NULL, NULL, NULL, 'FACILITATED TREHALOSE TRANSPORTER TRET1-1-RELATED', 107451),
(163726, 'PTHR14499:SF67', NULL, NULL, NULL, NULL, 'MIP18912P', 107452),
(163727, 'PTHR11599:SF4', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 107453),
(163728, 'PTHR47826:SF1', NULL, NULL, NULL, NULL, 'OS03G0164700 PROTEIN', 107454),
(163729, 'PTHR13139', NULL, NULL, NULL, NULL, 'RING FINGER AND CCCH-TYPE ZINC FINGER DOMAIN-CONTAINING PROTEIN', 107455),
(163730, 'PTHR16517:SF93', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 107456),
(163731, 'PTHR23073:SF107', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 4 HOMOLOG A-RELATED', 107457),
(163732, 'PTHR43173:SF28', NULL, NULL, NULL, NULL, 'AARF DOMAIN CONTAINING KINASE 1 (PREDICTED)', 107458),
(163733, 'PTHR10974:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107459),
(163734, 'PTHR24254:SF6', NULL, NULL, NULL, NULL, 'CUBILIN', 107460),
(163735, 'PTHR24103:SF569', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF CONTAINING 65', 107461),
(163736, 'PTHR16049', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN C', 107462),
(163737, 'PTHR47967:SF28', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN 2', 107463),
(163738, 'PTHR26374:SF338', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN', 107464),
(163739, 'PTHR15936:SF2', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-13', 107465),
(163740, 'PTHR10250:SF2', NULL, NULL, NULL, NULL, 'ARACHIDONATE 5-LIPOXYGENASE-ACTIVATING PROTEIN', 107466),
(163741, 'PTHR31642:SF26', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 107467),
(163742, 'PTHR11712:SF320', NULL, NULL, NULL, NULL, 'BETA-KETOACYL SYNTHASE', 107468),
(163743, 'PTHR11594', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', 107469),
(163744, 'PTHR34223:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107470),
(163745, 'PTHR22923:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107471),
(163746, 'PTHR31304:SF28', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 42-LIKE', 107472);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(163747, 'PTHR23167:SF23', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN, NON-ERYTHROCYTIC 5', 107473),
(163748, 'PTHR24057:SF36', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE EPSILON', 107474),
(163749, 'PTHR11211:SF2', NULL, NULL, NULL, NULL, 'MIRROR, ISOFORM C', 107475),
(163750, 'PTHR45908:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG07383', 107476),
(163751, 'PTHR47116:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 8', 107477),
(163752, 'PTHR11036:SF28', NULL, NULL, NULL, NULL, 'SEMA DOMAIN, IMMUNOGLOBULIN DOMAIN (IG), SHORT BASIC DOMAIN, SECRETED, (SEMAPHORIN) 3GA-RELATED', 107478),
(163753, 'PTHR47192:SF3', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 3-1, CHLOROPLASTIC', 107479),
(163754, 'PTHR36542', NULL, NULL, NULL, NULL, 'GIG2-LIKE PROTEIN DRED-RELATED', 107480),
(163755, 'PTHR19446:SF419', NULL, NULL, NULL, NULL, 'SI:DKEY-187K19.2-RELATED', 107481),
(163756, 'PTHR42872', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMATE METHYLESTERASE/PROTEIN-GLUTAMINE GLUTAMINASE', 107482),
(163757, 'PTHR34853', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 107483),
(163758, 'PTHR37483:SF1', NULL, NULL, NULL, NULL, 'UPF0125 PROTEIN RATB', 107484),
(163759, 'PTHR24221:SF473', NULL, NULL, NULL, NULL, 'OS04G0642000 PROTEIN', 107485),
(163760, 'PTHR32093:SF50', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE PROTEIN', 107486),
(163761, 'PTHR31221:SF235', NULL, NULL, NULL, NULL, 'BNAA08G14350D PROTEIN', 107487),
(163762, 'PTHR10652', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', 107488),
(163763, 'PTHR11595:SF69', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA', 107489),
(163764, 'PTHR22603:SF25', NULL, NULL, NULL, NULL, 'CHOLINE KINASE B1-RELATED', 107490),
(163765, 'PTHR35672:SF1', NULL, NULL, NULL, NULL, 'C-U-EDITING ENZYME APOBEC-4-RELATED', 107491),
(163766, 'PTHR38122:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107492),
(163767, 'PTHR33384:SF35', NULL, NULL, NULL, NULL, 'BNAC05G08780D PROTEIN', 107493),
(163768, 'PTHR11783:SF208', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 107494),
(163769, 'PTHR24253:SF113', NULL, NULL, NULL, NULL, 'SERINE PROTEASE H42', 107495),
(163770, 'PTHR15759:SF6', NULL, NULL, NULL, NULL, 'INNEXIN', 107496),
(163771, 'PTHR47926:SF249', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107497),
(163772, 'PTHR31260:SF32', NULL, NULL, NULL, NULL, 'BNAA01G07310D PROTEIN', 107498),
(163773, 'PTHR43903:SF20', NULL, NULL, NULL, NULL, 'NEUROLIGIN-1', 107499),
(163774, 'PTHR24103', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM', 107500),
(163775, 'PTHR32157', NULL, NULL, NULL, NULL, 'GENE 6268-RELATED', 107501),
(163776, 'PTHR47023:SF3', NULL, NULL, NULL, NULL, 'SEX PEPTIDE RECEPTOR (DROSOPHILA) RELATED', 107502),
(163777, 'PTHR23504:SF82', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER-RELATED', 107503),
(163778, 'PTHR12214:SF2', NULL, NULL, NULL, NULL, 'PAX3- AND PAX7-BINDING PROTEIN 1', 107504),
(163779, 'PTHR31623:SF79', NULL, NULL, NULL, NULL, 'N-BENZOYLTRANSFERASE PROTEIN, PUTATIVE-RELATED', 107505),
(163780, 'PTHR43329:SF10', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 3', 107506),
(163781, 'PTHR48022:SF3', NULL, NULL, NULL, NULL, 'HEXOSE TRANSPORTER PROTEIN (AFU_ORTHOLOGUE AFUA_8G04480)-RELATED', 107507),
(163782, 'PTHR46028:SF1', NULL, NULL, NULL, NULL, 'KYNURENINE 3-MONOOXYGENASE', 107508),
(163783, 'PTHR20934:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', 107509),
(163784, 'PTHR42024', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 107510),
(163785, 'PTHR13080:SF14', NULL, NULL, NULL, NULL, 'ATP SYNTHASE MEMBRANE SUBUNIT F-RELATED', 107511),
(163786, 'PTHR37002:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107512),
(163787, 'PTHR22814:SF107', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 28', 107513),
(163788, 'PTHR43074', NULL, NULL, NULL, NULL, 'OMEGA-3 POLYUNSATURATED FATTY ACID SYNTHASE PFAB-RELATED', 107514),
(163789, 'PTHR31988:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107515),
(163790, 'PTHR42680:SF3', NULL, NULL, NULL, NULL, 'DCTP DEAMINASE', 107516);
INSERT INTO "PUBLIC"."MODEL" VALUES
(163791, 'PTHR18945:SF436', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', 107517),
(163792, 'PTHR13323:SF4', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR2', 107518),
(163793, 'PTHR21399:SF2', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-SENSITIVE CHLORIDE CONDUCTANCE REGULATOR FAMILY PROTEIN, EXPRESSED', 107519),
(163794, 'PTHR35334', NULL, NULL, NULL, NULL, 'SERINE TRANSPORTER', 107520),
(163795, 'PTHR23257:SF839', NULL, NULL, NULL, NULL, 'BNAANNG28210D PROTEIN', 107521),
(163796, 'PTHR23005:SF4', NULL, NULL, NULL, NULL, 'NEURONAL MIGRATION PROTEIN DOUBLECORTIN-RELATED', 107522),
(163797, 'PTHR24039:SF22', NULL, NULL, NULL, NULL, 'FIBRILLIN-1', 107523),
(163798, 'PTHR33433:SF11', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE', 107524),
(163799, 'PTHR12474:SF0', NULL, NULL, NULL, NULL, 'SESTRIN HOMOLOG', 107525),
(163800, 'PTHR36408:SF2', NULL, NULL, NULL, NULL, 'BNAANNG04740D PROTEIN', 107526),
(163801, 'PTHR45959:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107527),
(163802, 'PTHR45669:SF13', NULL, NULL, NULL, NULL, 'OS07G0659900 PROTEIN', 107528),
(163803, 'PTHR24377:SF277', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 461', 107529),
(163804, 'PTHR10168:SF288', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S13', 107530),
(163805, 'PTHR23113:SF339', NULL, NULL, NULL, NULL, 'RASGEF DOMAIN CONTAINING PROTEIN', 107531),
(163806, 'PTHR13237:SF8', NULL, NULL, NULL, NULL, 'SOMETHING ABOUT SILENCING PROTEIN 10', 107532),
(163807, 'PTHR47597:SF2', NULL, NULL, NULL, NULL, 'BIOTIN/LIPOYL ATTACHMENT DOMAIN PROTEIN', 107533),
(163808, 'PTHR46672:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107534),
(163809, 'PTHR33700:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107535),
(163810, 'PTHR10658:SF77', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 1', 107536),
(163811, 'PTHR21592', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 107537),
(163812, 'PTHR46641:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG17285', 107538),
(163813, 'PTHR24377:SF243', NULL, NULL, NULL, NULL, 'RIKEN CDNA B020011L13 GENE-RELATED', 107539),
(163814, 'PTHR21964:SF13', NULL, NULL, NULL, NULL, 'SIN3 HISTONE DEACETYLASE COREPRESSOR COMPLEX COMPONENT SDS3', 107540),
(163815, 'PTHR22166:SF28', NULL, NULL, NULL, NULL, 'OS02G0830300 PROTEIN', 107541),
(163816, 'PTHR15049', NULL, NULL, NULL, NULL, 'GLYCOSYL-PHOSPHATIDYLINOSITOL-ANCHORED MOLECULE-LIKE PROTEIN-RELATED', 107542),
(163817, 'PTHR31232:SF116', NULL, NULL, NULL, NULL, 'BNAC03G72870D PROTEIN', 107543),
(163818, 'PTHR11409', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE', 107544),
(163819, 'PTHR22948:SF48', NULL, NULL, NULL, NULL, 'A KINASE (PRKA) ANCHOR PROTEIN 1A-RELATED', 107545),
(163820, 'PTHR24243:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107546),
(163821, 'PTHR36206:SF10', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 107547),
(163822, 'PTHR39490', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN D', 107548),
(163823, 'PTHR10994:SF131', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 107549),
(163824, 'PTHR20921:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107550),
(163825, 'PTHR26452:SF718', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 107551),
(163826, 'PTHR43245:SF21', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE DECARBOXYLASE-RELATED', 107552),
(163827, 'PTHR11760:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107553),
(163828, 'PTHR16322:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOPROTEIN ASSOCIATED WITH GLYCOSPHINGOLIPID-ENRICHED MICRODOMAINS 1', 107554),
(163829, 'PTHR35705:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107555),
(163830, 'PTHR31992:SF129', NULL, NULL, NULL, NULL, 'DOF DOMAIN ZINC FINGER PROTEIN', 107556),
(163831, 'PTHR10137:SF4', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C 2', 107557),
(163832, 'PTHR30333:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE PROTEIN NAPC', 107558),
(163833, 'PTHR43299', NULL, NULL, NULL, NULL, 'UPF0718 PROTEIN YRAQ', 107559),
(163834, 'PTHR48213', NULL, NULL, NULL, NULL, 'VID27-LIKE PROTEIN', 107560);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(163835, 'PTHR48043:SF42', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 107561),
(163836, 'PTHR43839:SF1', NULL, NULL, NULL, NULL, 'OPPC IN A BINDING PROTEIN-DEPENDENT TRANSPORT SYSTEM', 107562),
(163837, 'PTHR31832:SF62', NULL, NULL, NULL, NULL, 'BNAANNG29690D PROTEIN', 107563),
(163838, 'PTHR26453:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107564),
(163839, 'PTHR33077:SF59', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 11A', 107565),
(163840, 'PTHR45728:SF1', NULL, NULL, NULL, NULL, 'ACETYL-COA CARBOXYLASE 2', 107566),
(163841, 'PTHR10369:SF39', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L44', 107567),
(163842, 'PTHR20855:SF39', NULL, NULL, NULL, NULL, 'MEMBRANE PROGESTIN RECEPTOR DELTA', 107568),
(163843, 'PTHR13809:SF27', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA', 107569),
(163844, 'PTHR47696:SF1', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 2', 107570),
(163845, 'PTHR10751:SF110', NULL, NULL, NULL, NULL, 'OS07G0181700 PROTEIN', 107571),
(163846, 'PTHR32227:SF284', NULL, NULL, NULL, NULL, 'HYDROLASE, HYDROLYZING O-GLYCOSYL COMPOUNDS', 107572),
(163847, 'PTHR14738:SF29', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 14', 107573),
(163848, 'PTHR28012', NULL, NULL, NULL, NULL, 'NUCLEAR FUSION PROTEIN KAR5', 107574),
(163849, 'PTHR12121:SF82', NULL, NULL, NULL, NULL, 'CARBON CATABOLITE REPRESSOR PROTEIN 4 HOMOLOG 3', 107575),
(163850, 'PTHR24177:SF309', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 107576),
(163851, 'PTHR34491:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG14695', 107577),
(163852, 'PTHR11260:SF595', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107578),
(163853, 'PTHR45029:SF5', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 107579),
(163854, 'PTHR19353:SF63', NULL, NULL, NULL, NULL, 'DELTA(8)-FATTY-ACID DESATURASE 1', 107580),
(163855, 'PTHR22593:SF10', NULL, NULL, NULL, NULL, 'FHA DOMAIN-CONTAINING PROTEIN PS1-LIKE', 107581),
(163856, 'PTHR23084:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107582),
(163857, 'PTHR24414:SF137', NULL, NULL, NULL, NULL, 'BNAA01G26220D PROTEIN', 107583),
(163858, 'PTHR33914:SF7', NULL, NULL, NULL, NULL, 'OS02G0582100 PROTEIN', 107584),
(163859, 'PTHR31096:SF23', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR10', 107585),
(163860, 'PTHR30457:SF16', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE SURE-LIKE', 107586),
(163861, 'PTHR10807:SF110', NULL, NULL, NULL, NULL, 'FI17948P1', 107587),
(163862, 'PTHR45764:SF56', NULL, NULL, NULL, NULL, 'BNAC06G18530D PROTEIN', 107588),
(163863, 'PTHR45652:SF9', NULL, NULL, NULL, NULL, 'GLIAL FIBRILLARY ACIDIC PROTEIN', 107589),
(163864, 'PTHR12855:SF11', NULL, NULL, NULL, NULL, 'BNAA04G26950D PROTEIN', 107590),
(163865, 'PTHR23120:SF22', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT-CONTAINING PROTEIN FAMILY MEMBER 2B', 107591),
(163866, 'PTHR43166:SF6', NULL, NULL, NULL, NULL, 'PHOSPHONATES IMPORT ATP-BINDING PROTEIN PHNC', 107592),
(163867, 'PTHR43382:SF7', NULL, NULL, NULL, NULL, 'BNAC09G28510D PROTEIN', 107593),
(163868, 'PTHR31472:SF24', NULL, NULL, NULL, NULL, 'BNAA09G03760D PROTEIN', 107594),
(163869, 'PTHR10666:SF294', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 9', 107595),
(163870, 'PTHR31561:SF171', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 107596),
(163871, 'PTHR24343:SF389', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RTK1-RELATED', 107597),
(163872, 'PTHR14919:SF0', NULL, NULL, NULL, NULL, 'SPERM FLAGELLAR PROTEIN 2', 107598),
(163873, 'PTHR31375:SF146', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE-LIKE', 107599),
(163874, 'PTHR22946:SF0', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE', 107600),
(163875, 'PTHR11260:SF601', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U20', 107601),
(163876, 'PTHR14134', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RAD18', 107602),
(163877, 'PTHR33070:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107603),
(163878, 'PTHR43281:SF24', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE 7, CHLOROPLASTIC', 107604);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(163879, 'PTHR43888:SF38', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK PROTEIN FAMILY (HSP40) MEMBER A2B', 107605),
(163880, 'PTHR31225:SF111', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 2-RELATED', 107606),
(163881, 'PTHR10426:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107607),
(163882, 'PTHR32208:SF88', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH, BETA-PROPELLER-RELATED', 107608),
(163883, 'PTHR36506:SF1', NULL, NULL, NULL, NULL, 'PREFLAGELLIN PEPTIDASE', 107609),
(163884, 'PTHR12537:SF110', NULL, NULL, NULL, NULL, 'OS11G0579900 PROTEIN', 107610),
(163885, 'PTHR11972:SF142', NULL, NULL, NULL, NULL, 'FRE8, PUTATIVE-RELATED', 107611),
(163886, 'PTHR11652:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S23', 107612),
(163887, 'PTHR43382:SF10', NULL, NULL, NULL, NULL, 'BNAC06G18340D PROTEIN', 107613),
(163888, 'PTHR15426', NULL, NULL, NULL, NULL, 'PROTEIN DEPP1', 107614),
(163889, 'PTHR16223:SF172', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 107615),
(163890, 'PTHR31238:SF121', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 3-RELATED', 107616),
(163891, 'PTHR15427:SF2', NULL, NULL, NULL, NULL, 'EMILIN-3', 107617),
(163892, 'PTHR10791:SF108', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 13', 107618),
(163893, 'PTHR31589:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107619),
(163894, 'PTHR45742:SF3', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C9', 107620),
(163895, 'PTHR31744:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUNGBRUNNEN 1-LIKE', 107621),
(163896, 'PTHR24388:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 11', 107622),
(163897, 'PTHR33418', NULL, NULL, NULL, NULL, 'HELICASE-ASSOCIATED', 107623),
(163898, 'PTHR10381:SF61', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT 1', 107624),
(163899, 'PTHR16223:SF177', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH129', 107625),
(163900, 'PTHR47044:SF2', NULL, NULL, NULL, NULL, 'OS02G0276400 PROTEIN', 107626),
(163901, 'PTHR31072:SF140', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, TCP-RELATED', 107627),
(163902, 'PTHR24096:SF341', NULL, NULL, NULL, NULL, 'PROTEIN CBG08050', 107628),
(163903, 'PTHR47989:SF45', NULL, NULL, NULL, NULL, 'OS01G0750732 PROTEIN', 107629),
(163904, 'PTHR46339:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG13980', 107630),
(163905, 'PTHR47980:SF1', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-40A', 107631),
(163906, 'PTHR33416:SF25', NULL, NULL, NULL, NULL, 'BNAA08G12480D PROTEIN', 107632),
(163907, 'PTHR45906:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107633),
(163908, 'PTHR32467:SF108', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-7-LIKE', 107634),
(163909, 'PTHR10381:SF55', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT-RELATED PROTEIN 1, CHLOROPLASTIC', 107635),
(163910, 'PTHR33699:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107636),
(163911, 'PTHR11799:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107637),
(163912, 'PTHR45868:SF57', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', 107638),
(163913, 'PTHR10071:SF312', NULL, NULL, NULL, NULL, 'GATA-TYPE TRANSCRIPTION FACTOR-RELATED', 107639),
(163914, 'PTHR23088:SF54', NULL, NULL, NULL, NULL, 'OMEGA-AMIDASE, CHLOROPLASTIC-LIKE', 107640),
(163915, 'PTHR47990:SF97', NULL, NULL, NULL, NULL, 'BNAA06G08960D PROTEIN', 107641),
(163916, 'PTHR31739:SF33', NULL, NULL, NULL, NULL, 'BETA-PHELLANDRENE SYNTHASE (NERYL-DIPHOSPHATE-CYCLIZING), CHLOROPLASTIC', 107642),
(163917, 'PTHR46128:SF214', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 107643),
(163918, 'PTHR32009:SF63', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR CLASS), PUTATIVE-RELATED', 107644),
(163919, 'PTHR22973:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TMED8', 107645),
(163920, 'PTHR36307', NULL, NULL, NULL, NULL, 'FLAGELLA BASAL BODY P-RING FORMATION PROTEIN FLGA', 107646),
(163921, 'PTHR35850:SF2', NULL, NULL, NULL, NULL, 'TYPE VI SECRETION SYSTEM NEEDLE SHEATH PROTEIN TSSB', 107647);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(163922, 'PTHR19303:SF16', NULL, NULL, NULL, NULL, 'JERKY PROTEIN HOMOLOG-LIKE', 107648),
(163923, 'PTHR11732:SF447', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107649),
(163924, 'PTHR30368:SF1', NULL, NULL, NULL, NULL, 'THIOSULFATE-BINDING PROTEIN', 107650),
(163925, 'PTHR43029:SF10', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER MEP2', 107651),
(163926, 'PTHR44170:SF5', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY DCC SUBCLASS MEMBER 4', 107652),
(163927, 'PTHR16040', NULL, NULL, NULL, NULL, 'AUSTRALIN, ISOFORM A-RELATED', 107653),
(163928, 'PTHR35894:SF4', NULL, NULL, NULL, NULL, 'DAMX-RELATED PROTEIN', 107654),
(163929, 'PTHR31755:SF2', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE E-LIKE PROTEIN', 107655),
(163930, 'PTHR46293:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP1', 107656),
(163931, 'PTHR11636:SF70', NULL, NULL, NULL, NULL, 'INHIBITORY POU PROTEIN', 107657),
(163932, 'PTHR43243:SF1', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 1', 107658),
(163933, 'PTHR14237:SF70', NULL, NULL, NULL, NULL, 'BNAA09G07660D PROTEIN', 107659),
(163934, 'PTHR11927:SF9', NULL, NULL, NULL, NULL, 'L-FUCOSYLTRANSFERASE', 107660),
(163935, 'PTHR46508:SF15', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE WITH RING/FYVE/PHD-TYPE ZINC FINGER PROTEIN', 107661),
(163936, 'PTHR22893:SF105', NULL, NULL, NULL, NULL, '12-OXO-PHYTODIENOIC ACID REDUCTASE', 107662),
(163937, 'PTHR15420', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE COMPLEX 6.4 KD PROTEIN', 107663),
(163938, 'PTHR11820:SF102', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE (FAA) HYDROLASE FAMILY PROTEIN-RELATED', 107664),
(163939, 'PTHR42779:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YNJB', 107665),
(163940, 'PTHR48017:SF117', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', 107666),
(163941, 'PTHR10910:SF107', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-SPECIFIC ADENOSINE DEAMINASE', 107667),
(163942, 'PTHR11347:SF91', NULL, NULL, NULL, NULL, 'CAMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 4D', 107668),
(163943, 'PTHR16181:SF16', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 83 MEMBER HA', 107669),
(163944, 'PTHR19375:SF197', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN SSQ1, MITOCHONDRIAL', 107670),
(163945, 'PTHR47413:SF4', NULL, NULL, NULL, NULL, 'BNAA04G05430D PROTEIN', 107671),
(163946, 'PTHR10174:SF220', NULL, NULL, NULL, NULL, 'LD41874P', 107672),
(163947, 'PTHR35567:SF9', NULL, NULL, NULL, NULL, 'CONSERVED FUNGAL PROTEIN (AFU_ORTHOLOGUE AFUA_1G14230)', 107673),
(163948, 'PTHR45184:SF2', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DNAJ HOMOLOGUE PFJ2', 107674),
(163949, 'PTHR45799:SF3', NULL, NULL, NULL, NULL, 'RETICULON-2', 107675),
(163950, 'PTHR13923:SF22', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC31B', 107676),
(163951, 'PTHR24031:SF737', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 107677),
(163952, 'PTHR42774:SF10', NULL, NULL, NULL, NULL, 'RIBOKINASE-LIKE ISOFORM X1', 107678),
(163953, 'PTHR33116:SF39', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON, UNCLASSIFIED-LIKE PROTEIN', 107679),
(163954, 'PTHR12582:SF7', NULL, NULL, NULL, NULL, 'NETRIN RECEPTOR UNC5C', 107680),
(163955, 'PTHR10165:SF180', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 1', 107681),
(163956, 'PTHR24281:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107682),
(163957, 'PTHR27001:SF634', NULL, NULL, NULL, NULL, 'STRUBBELIG-RECEPTOR FAMILY PROTEIN', 107683),
(163958, 'PTHR11636:SF71', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 160', 107684),
(163959, 'PTHR45691:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DIAPHANOUS HOMOLOG 2', 107685),
(163960, 'PTHR48017:SF94', NULL, NULL, NULL, NULL, 'OS01G0882800 PROTEIN', 107686),
(163961, 'PTHR34311:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG01711', 107687),
(163962, 'PTHR47729:SF1', NULL, NULL, NULL, NULL, 'SERINE PEPTIDASE INHIBITOR, KAZAL TYPE 2, TANDEM DUPLICATE 1-RELATED', 107688),
(163963, 'PTHR13693:SF93', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 107689),
(163964, 'PTHR11700:SF29', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S20, PUTATIVE, EXPRESSED-RELATED', 107690);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(163965, 'PTHR32246:SF91', NULL, NULL, NULL, NULL, 'PROTEIN SRC2 HOMOLOG', 107691),
(163966, 'PTHR33184:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107692),
(163967, 'PTHR45566:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YHJB-RELATED', 107693),
(163968, 'PTHR19957:SF274', NULL, NULL, NULL, NULL, 'SYNTAXIN-52', 107694),
(163969, 'PTHR13848:SF73', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 107695),
(163970, 'PTHR22504:SF5', NULL, NULL, NULL, NULL, 'REPRESSOR OF RNA POLYMERASE III TRANSCRIPTION MAF1 HOMOLOG', 107696),
(163971, 'PTHR21654:SF66', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-3A', 107697),
(163972, 'PTHR12755:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107698),
(163973, 'PTHR44579:SF5', NULL, NULL, NULL, NULL, 'OS05G0529700 PROTEIN', 107699),
(163974, 'PTHR44013:SF6', NULL, NULL, NULL, NULL, 'OS04G0358000 PROTEIN', 107700),
(163975, 'PTHR43040', NULL, NULL, NULL, NULL, 'RIBONUCLEASE D', 107701),
(163976, 'PTHR12752:SF4', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 7', 107702),
(163977, 'PTHR23056:SF90', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 3-RELATED', 107703),
(163978, 'PTHR42923:SF30', NULL, NULL, NULL, NULL, 'LYASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G09330)-RELATED', 107704),
(163979, 'PTHR33098:SF9', NULL, NULL, NULL, NULL, 'OS09G0364400 PROTEIN', 107705),
(163980, 'PTHR36912', NULL, NULL, NULL, NULL, 'ANTIGEN 332, DBL-LIKE PROTEIN-RELATED', 107706),
(163981, 'PTHR42881:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0084K11.14 PROTEIN', 107707),
(163982, 'PTHR10064', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22', 107708),
(163983, 'PTHR43200:SF12', NULL, NULL, NULL, NULL, 'SAL3 PHOSPHATASE-RELATED', 107709),
(163984, 'PTHR13068:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107710),
(163985, 'PTHR31221:SF249', NULL, NULL, NULL, NULL, 'BNAA05G34850D PROTEIN', 107711),
(163986, 'PTHR10201:SF233', NULL, NULL, NULL, NULL, 'MATRIX METALLOPEPTIDASE 20B (ENAMELYSIN)', 107712),
(163987, 'PTHR22907:SF55', NULL, NULL, NULL, NULL, 'REGULATOR OF RME (RME) CIRCUIT FORMATION', 107713),
(163988, 'PTHR24073:SF825', NULL, NULL, NULL, NULL, 'SMALL GTPASE FAMILY RAB PROTEIN', 107714),
(163989, 'PTHR23147:SF112', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN RNP-1', 107715),
(163990, 'PTHR47750:SF6', NULL, NULL, NULL, NULL, 'BNAC07G49160D PROTEIN', 107716),
(163991, 'PTHR24064:SF439', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 8', 107717),
(163992, 'PTHR35108:SF9', NULL, NULL, NULL, NULL, 'BNACNNG27150D PROTEIN', 107718),
(163993, 'PTHR11413:SF112', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 107719),
(163994, 'PTHR10796:SF102', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 107720),
(163995, 'PTHR46285:SF6', NULL, NULL, NULL, NULL, 'PLANT VIRAL-RESPONSE FAMILY PROTEIN', 107721),
(163996, 'PTHR43395:SF2', NULL, NULL, NULL, NULL, 'YOP PROTEINS TRANSLOCATION PROTEIN Q', 107722),
(163997, 'PTHR31948:SF96', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 2', 107723),
(163998, 'PTHR18896:SF149', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 107724),
(163999, 'PTHR24414:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 8A', 107725),
(164000, 'PTHR27003:SF365', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 107726),
(164001, 'PTHR13723:SF26', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 10', 107727),
(164002, 'PTHR42678:SF25', NULL, NULL, NULL, NULL, 'C869.01-LIKE PROTEIN, PUTATIVE-RELATED', 107728),
(164003, 'PTHR32212:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107729),
(164004, 'PTHR10224:SF5', NULL, NULL, NULL, NULL, 'ZGC:162944', 107730),
(164005, 'PTHR33077:SF85', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 6A', 107731),
(164006, 'PTHR45752:SF76', NULL, NULL, NULL, NULL, 'FLYERS-CUP, ISOFORM F', 107732),
(164007, 'PTHR47336:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HMS1-RELATED', 107733),
(164008, 'PTHR46684', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR FAMA', 107734);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(164009, 'PTHR23073:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107735),
(164010, 'PTHR31589:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107736),
(164011, 'PTHR48123', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 107737),
(164012, 'PTHR12537:SF139', NULL, NULL, NULL, NULL, 'PUMILIO DOMAIN-CONTAINING PROTEIN 5', 107738),
(164013, 'PTHR21551:SF11', NULL, NULL, NULL, NULL, 'PROTEIN PAT1 HOMOLOG 1', 107739),
(164014, 'PTHR13723', NULL, NULL, NULL, NULL, 'ADAMTS  A DISINTEGRIN AND METALLOPROTEASE WITH THROMBOSPONDIN MOTIFS  PROTEASE', 107740),
(164015, 'PTHR11177:SF366', NULL, NULL, NULL, NULL, 'CLASS V CHITINASE CHI100', 107741),
(164016, 'PTHR23137:SF2', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', 107742),
(164017, 'PTHR12321:SF79', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 5', 107743),
(164018, 'PTHR35177', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYBG', 107744),
(164019, 'PTHR15710:SF75', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1', 107745),
(164020, 'PTHR31113:SF5', NULL, NULL, NULL, NULL, 'OS04G0405700 PROTEIN', 107746),
(164021, 'PTHR28660:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 73', 107747),
(164022, 'PTHR33148:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107748),
(164023, 'PTHR46580:SF2', NULL, NULL, NULL, NULL, 'SENSOR KINASE-RELATED', 107749),
(164024, 'PTHR34436:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN M', 107750),
(164025, 'PTHR23262:SF217', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 1-4', 107751),
(164026, 'PTHR11085:SF39', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE HST2-2', 107752),
(164027, 'PTHR12668:SF48', NULL, NULL, NULL, NULL, 'PROTEIN FATTY ACID EXPORT 1, CHLOROPLASTIC', 107753),
(164028, 'PTHR27006:SF284', NULL, NULL, NULL, NULL, 'BNAC03G59400D PROTEIN', 107754),
(164029, 'PTHR15241:SF302', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN 38', 107755),
(164030, 'PTHR47979:SF2', NULL, NULL, NULL, NULL, 'BNAA03G58300D PROTEIN', 107756),
(164031, 'PTHR24061:SF403', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 113-RELATED', 107757),
(164032, 'PTHR23338:SF39', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SMD1B', 107758),
(164033, 'PTHR17204:SF26', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 107759),
(164034, 'PTHR10791:SF172', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 107760),
(164035, 'PTHR47453:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCAN, WATER DIKINASE, CHLOROPLASTIC', 107761),
(164036, 'PTHR11206:SF409', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 107762),
(164037, 'PTHR31375:SF218', NULL, NULL, NULL, NULL, 'BNAC05G01430D PROTEIN', 107763),
(164038, 'PTHR24329:SF92', NULL, NULL, NULL, NULL, 'REPRODUCTIVE HOMEOBOX 11', 107764),
(164039, 'PTHR24230:SF142', NULL, NULL, NULL, NULL, 'CORAZONIN RECEPTOR, ISOFORM B', 107765),
(164040, 'PTHR37705:SF8', NULL, NULL, NULL, NULL, 'BNACNNG63660D PROTEIN', 107766),
(164041, 'PTHR19865:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ISOFORM X1', 107767),
(164042, 'PTHR11064', NULL, NULL, NULL, NULL, 'CCAAT-BINDING TRANSCRIPTION FACTOR-RELATED', 107768),
(164043, 'PTHR43567:SF1', NULL, NULL, NULL, NULL, 'FLAVOREDOXIN-RELATED', 107769),
(164044, 'PTHR31988:SF29', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 107770),
(164045, 'PTHR43078:SF22', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE 1', 107771),
(164046, 'PTHR10430:SF37', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN', 107772),
(164047, 'PTHR11454:SF32', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR II', 107773),
(164048, 'PTHR26453:SF299', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2AK2', 107774),
(164049, 'PTHR30001', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', 107775),
(164050, 'PTHR31516:SF6', NULL, NULL, NULL, NULL, 'STABILIZER OF AXONEMAL MICROTUBULES 2', 107776),
(164051, 'PTHR47640:SF43', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 42-LIKE', 107777),
(164052, 'PTHR31790:SF403', NULL, NULL, NULL, NULL, 'OS10G0484632 PROTEIN', 107778);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(164053, 'PTHR21495:SF171', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 107779),
(164054, 'PTHR21592:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CBG21921', 107780),
(164055, 'PTHR31791:SF52', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 107781),
(164056, 'PTHR47970:SF5', NULL, NULL, NULL, NULL, 'KINESIN MOTOR DOMAIN-CONTAINING PROTEIN-RELATED', 107782),
(164057, 'PTHR43952:SF48', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', 107783),
(164058, 'PTHR27009:SF213', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 107784),
(164059, 'PTHR11740:SF9', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', 107785),
(164060, 'PTHR45617:SF93', NULL, NULL, NULL, NULL, 'FI02011P', 107786),
(164061, 'PTHR24073:SF1128', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1B-LIKE', 107787),
(164062, 'PTHR33181:SF7', NULL, NULL, NULL, NULL, 'OS07G0572400 PROTEIN', 107788),
(164063, 'PTHR13063', NULL, NULL, NULL, NULL, 'ENOS INTERACTING PROTEIN', 107789),
(164064, 'PTHR37610:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107790),
(164065, 'PTHR36348', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 107791),
(164066, 'PTHR24129:SF0', NULL, NULL, NULL, NULL, 'ANKYCORBIN', 107792),
(164067, 'PTHR30290:SF10', NULL, NULL, NULL, NULL, 'PERIPLASMIC OLIGOPEPTIDE-BINDING PROTEIN-RELATED', 107793),
(164068, 'PTHR36353', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 107794),
(164069, 'PTHR24412:SF255', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 21', 107795),
(164070, 'PTHR33026:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107796),
(164071, 'PTHR45798:SF62', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3-LIKE', 107797),
(164072, 'PTHR10795:SF730', NULL, NULL, NULL, NULL, 'BNAA04G17300D PROTEIN', 107798),
(164073, 'PTHR19441:SF39', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 5', 107799),
(164074, 'PTHR33648:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107800),
(164075, 'PTHR11699:SF157', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 2 MEMBER C4', 107801),
(164076, 'PTHR10606:SF15', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE/FRUCTOSE-2,6-BISPHOSPHATASE 1', 107802),
(164077, 'PTHR20961:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107803),
(164078, 'PTHR14000:SF1', NULL, NULL, NULL, NULL, 'FINGER CCCH DOMAIN PROTEIN, PUTATIVE (DUF3755)-RELATED', 107804),
(164079, 'PTHR33571:SF17', NULL, NULL, NULL, NULL, 'SLR5017 PROTEIN', 107805),
(164080, 'PTHR14166', NULL, NULL, NULL, NULL, 'SLIT-ROBO RHO GTPASE ACTIVATING PROTEIN', 107806),
(164081, 'PTHR10132:SF17', NULL, NULL, NULL, NULL, 'EPSILON-SARCOGLYCAN', 107807),
(164082, 'PTHR17068:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107808),
(164083, 'PTHR10694:SF126', NULL, NULL, NULL, NULL, 'INACTIVE LYSINE-SPECIFIC DEMETHYLASE JMJ19 ISOFORM X1-RELATED', 107809),
(164084, 'PTHR48111:SF25', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 107810),
(164085, 'PTHR10224:SF15', NULL, NULL, NULL, NULL, 'ES1 PROTEIN, MITOCHONDRIAL', 107811),
(164086, 'PTHR37507:SF2', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN YDCC', 107812),
(164087, 'PTHR11055:SF55', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE 1, CHLOROPLASTIC', 107813),
(164088, 'PTHR36939', NULL, NULL, NULL, NULL, 'PROTEIN CBG03389', 107814),
(164089, 'PTHR44042:SF19', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN', 107815),
(164090, 'PTHR22762:SF146', NULL, NULL, NULL, NULL, 'BNAA07G24570D PROTEIN', 107816),
(164091, 'PTHR43138:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE ACA1', 107817),
(164092, 'PTHR15073:SF1', NULL, NULL, NULL, NULL, 'ENSCONSIN, ISOFORM F', 107818),
(164093, 'PTHR10775:SF149', NULL, NULL, NULL, NULL, 'TRANSPOSASE-ASSOCIATED DOMAIN-CONTAINING PROTEIN-RELATED', 107819),
(164094, 'PTHR10168:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107820),
(164095, 'PTHR13683:SF339', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 107821),
(164096, 'PTHR24012:SF704', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN R', 107822),
(164097, 'PTHR31624:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO PRO0149 PROTEIN', 107823);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(164098, 'PTHR15664:SF16', NULL, NULL, NULL, NULL, 'BNAA01G07130D PROTEIN', 107824),
(164099, 'PTHR47925:SF113', NULL, NULL, NULL, NULL, 'BNAC01G21360D PROTEIN', 107825),
(164100, 'PTHR10306:SF31', NULL, NULL, NULL, NULL, 'SYNAPTOPHYSIN A', 107826),
(164101, 'PTHR21654:SF88', NULL, NULL, NULL, NULL, 'BNACNNG46430D PROTEIN', 107827),
(164102, 'PTHR42682:SF4', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE/PLASTOQUINONE', 107828),
(164103, 'PTHR10231:SF70', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSLOCATOR 1', 107829),
(164104, 'PTHR11489', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', 107830),
(164105, 'PTHR45614:SF87', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN C', 107831),
(164106, 'PTHR31744:SF156', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 92-LIKE', 107832),
(164107, 'PTHR48048:SF58', NULL, NULL, NULL, NULL, 'BNAC05G05050D PROTEIN', 107833),
(164108, 'PTHR19317:SF70', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 107834),
(164109, 'PTHR23226:SF267', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN X-LINKED', 107835),
(164110, 'PTHR11685:SF104', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF144B', 107836),
(164111, 'PTHR47279', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-30', 107837),
(164112, 'PTHR23056:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107838),
(164113, 'PTHR31985:SF203', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 107839),
(164114, 'PTHR10869:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107840),
(164115, 'PTHR24281:SF171', NULL, NULL, NULL, NULL, 'TRANS-CINNAMATE 4-MONOOXYGENASE-LIKE', 107841),
(164116, 'PTHR11604:SF41', NULL, NULL, NULL, NULL, 'PROFILIN', 107842),
(164117, 'PTHR12802:SF121', NULL, NULL, NULL, NULL, 'OS06G0105800 PROTEIN', 107843),
(164118, 'PTHR43713', NULL, NULL, NULL, NULL, 'GLUTAMATE-1-SEMIALDEHYDE 2,1-AMINOMUTASE', 107844),
(164119, 'PTHR33320:SF28', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA SYNTHETASE', 107845),
(164120, 'PTHR11926:SF1412', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 83A1-LIKE', 107846),
(164121, 'PTHR31008:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107847),
(164122, 'PTHR47991:SF12', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', 107848),
(164123, 'PTHR11054:SF21', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', 107849),
(164124, 'PTHR23097:SF181', NULL, NULL, NULL, NULL, 'TNF RECEPTOR SUPERFAMILY MEMBER 11B', 107850),
(164125, 'PTHR24383:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 618', 107851),
(164126, 'PTHR36021:SF1', NULL, NULL, NULL, NULL, 'COREPRESSOR', 107852),
(164127, 'PTHR14950:SF48', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE DICER HOMOLOG 2', 107853),
(164128, 'PTHR10345', NULL, NULL, NULL, NULL, 'BONE SIALOPROTEIN 2', 107854),
(164129, 'PTHR42815', NULL, NULL, NULL, NULL, 'FAD-BINDING, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G07600)-RELATED', 107855),
(164130, 'PTHR23213:SF353', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 10', 107856),
(164131, 'PTHR33595:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107857),
(164132, 'PTHR22953:SF130', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 107858),
(164133, 'PTHR31301:SF129', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', 107859),
(164134, 'PTHR11566:SF164', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 4A-RELATED', 107860),
(164135, 'PTHR11893:SF24', NULL, NULL, NULL, NULL, 'INNEXIN-19', 107861),
(164136, 'PTHR23337', NULL, NULL, NULL, NULL, 'ZINC FINGER CW-TYPE COILED-COIL DOMAIN PROTEIN 1', 107862),
(164137, 'PTHR22800:SF239', NULL, NULL, NULL, NULL, 'NKG2-E TYPE II INTEGRAL MEMBRANE PROTEIN', 107863),
(164138, 'PTHR31934', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 107864),
(164139, 'PTHR14186', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR BINDING PROTEIN-RELATED', 107865),
(164140, 'PTHR33203:SF25', NULL, NULL, NULL, NULL, 'OLEOSIN 18.5 KDA', 107866),
(164141, 'PTHR11764:SF40', NULL, NULL, NULL, NULL, 'SPORULENOL SYNTHASE', 107867),
(164142, 'PTHR11830:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', 107868);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(164143, 'PTHR11946:SF110', NULL, NULL, NULL, NULL, 'VALINE--TRNA LIGASE', 107869),
(164144, 'PTHR46078:SF5', NULL, NULL, NULL, NULL, 'FORKHEAD BOX J3', 107870),
(164145, 'PTHR31213:SF23', NULL, NULL, NULL, NULL, 'OS04G0593400 PROTEIN', 107871),
(164146, 'PTHR19432:SF79', NULL, NULL, NULL, NULL, 'SUCROSE/H+ SYMPORTER, PLANT, MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN-RELATED', 107872),
(164147, 'PTHR22878', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 107873),
(164148, 'PTHR10516:SF25', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP4', 107874),
(164149, 'PTHR36798:SF3', NULL, NULL, NULL, NULL, 'BNAA10G16930D PROTEIN', 107875),
(164150, 'PTHR11822:SF34', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', 107876),
(164151, 'PTHR32009:SF95', NULL, NULL, NULL, NULL, 'BNAC02G47360D PROTEIN', 107877),
(164152, 'PTHR43272:SF43', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', 107878),
(164153, 'PTHR24281:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107879),
(164154, 'PTHR21622:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG18121', 107880),
(164155, 'PTHR23024:SF467', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 13-RELATED', 107881),
(164156, 'PTHR46057:SF37', NULL, NULL, NULL, NULL, 'BNAA04G25820D PROTEIN', 107882),
(164157, 'PTHR47273:SF9', NULL, NULL, NULL, NULL, 'BNAC09G20310D PROTEIN', 107883),
(164158, 'PTHR31081:SF3', NULL, NULL, NULL, NULL, 'OS12G0503000 PROTEIN', 107884),
(164159, 'PTHR26452:SF85', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 107885),
(164160, 'PTHR38568', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 107886),
(164161, 'PTHR31238:SF184', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 107887),
(164162, 'PTHR46236:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107888),
(164163, 'PTHR46336:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107889),
(164164, 'PTHR35042', NULL, NULL, NULL, NULL, 'ANTHRONE OXYGENASE ENCC', 107890),
(164165, 'PTHR14677:SF25', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN TMC1', 107891),
(164166, 'PTHR48002:SF57', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 107892),
(164167, 'PTHR33781', NULL, NULL, NULL, NULL, 'PROTEIN PHYTOCHROME KINASE SUBSTRATE 1-RELATED', 107893),
(164168, 'PTHR31388:SF178', NULL, NULL, NULL, NULL, 'PEROXIDASE 36', 107894),
(164169, 'PTHR11783:SF251', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 107895),
(164170, 'PTHR48021:SF17', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 3', 107896),
(164171, 'PTHR33981:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107897),
(164172, 'PTHR33167:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (DUF863)-RELATED', 107898),
(164173, 'PTHR23389:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107899),
(164174, 'PTHR19271:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107900),
(164175, 'PTHR12483:SF98', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 1-LIKE', 107901),
(164176, 'PTHR31623:SF62', NULL, NULL, NULL, NULL, 'BNAA03G57990D PROTEIN', 107902),
(164177, 'PTHR46151:SF29', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE, YMGG-LIKE GLY-ZIPPER-RELATED', 107903),
(164178, 'PTHR12877:SF16', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 10-LIKE PROTEIN', 107904),
(164179, 'PTHR37425:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED', 107905),
(164180, 'PTHR33344:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107906),
(164181, 'PTHR46824:SF5', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML50-RELATED', 107907),
(164182, 'PTHR10641:SF586', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB106', 107908),
(164183, 'PTHR20916:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107909),
(164184, 'PTHR12317:SF16', NULL, NULL, NULL, NULL, 'ACYL-COA WAX ALCOHOL ACYLTRANSFERASE 1', 107910),
(164185, 'PTHR46858:SF7', NULL, NULL, NULL, NULL, 'AUXIN-REGULATED PROTEIN-LIKE PROTEIN', 107911),
(164186, 'PTHR22803:SF125', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING 19A', 107912),
(164187, 'PTHR47266', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 107913);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(164188, 'PTHR47435:SF8', NULL, NULL, NULL, NULL, 'BNAA05G36920D PROTEIN', 107914),
(164189, 'PTHR33120:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107915),
(164190, 'PTHR11036:SF90', NULL, NULL, NULL, NULL, 'SEMAPHORIN 2B, ISOFORM D-RELATED', 107916),
(164191, 'PTHR36333', NULL, NULL, NULL, NULL, 'DIMETHYLALLYL, ADENOSINE TRNA METHYLTHIOTRANSFERASE', 107917),
(164192, 'PTHR31908:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CROWDED NUCLEI 1', 107918),
(164193, 'PTHR45691:SF10', NULL, NULL, NULL, NULL, 'INVERTED FORMIN/FORMIN THREE-RELATED', 107919),
(164194, 'PTHR45618:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 3', 107920),
(164195, 'PTHR48021:SF49', NULL, NULL, NULL, NULL, 'FI02132P-RELATED', 107921),
(164196, 'PTHR43522:SF15', NULL, NULL, NULL, NULL, 'BNACNNG31120D PROTEIN', 107922),
(164197, 'PTHR11202:SF18', NULL, NULL, NULL, NULL, 'SPROUTY-RELATED, EVH1 DOMAIN-CONTAINING PROTEIN 1', 107923),
(164198, 'PTHR31080:SF222', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107924),
(164199, 'PTHR23232:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 154', 107925),
(164200, 'PTHR11043:SF17', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-3', 107926),
(164201, 'PTHR21717:SF64', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 4', 107927),
(164202, 'PTHR11588:SF393', NULL, NULL, NULL, NULL, 'TUBULIN BETA-9 CHAIN', 107928),
(164203, 'PTHR23507:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107929),
(164204, 'PTHR43180:SF31', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE/REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G16570)-RELATED', 107930),
(164205, 'PTHR34188', NULL, NULL, NULL, NULL, 'OS01G0299500 PROTEIN', 107931),
(164206, 'PTHR47592:SF14', NULL, NULL, NULL, NULL, 'GAG-POL POLYPROTEIN-LIKE PROTEIN', 107932),
(164207, 'PTHR39936:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-253P2.2-RELATED', 107933),
(164208, 'PTHR48019:SF60', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 25', 107934),
(164209, 'PTHR34596', NULL, NULL, NULL, NULL, 'CHITOPORIN', 107935),
(164210, 'PTHR45617:SF38', NULL, NULL, NULL, NULL, 'PLATELET GLYCOPROTEIN V', 107936),
(164211, 'PTHR47993:SF177', NULL, NULL, NULL, NULL, 'OS04G0385100 PROTEIN', 107937),
(164212, 'PTHR35546:SF23', NULL, NULL, NULL, NULL, 'BNAC03G64480D PROTEIN', 107938),
(164213, 'PTHR12313:SF74', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA3-LIKE', 107939),
(164214, 'PTHR31995:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR (TFIIS) FAMILY PROTEIN', 107940),
(164215, 'PTHR11165:SF140', NULL, NULL, NULL, NULL, 'OS03G0107000 PROTEIN', 107941),
(164216, 'PTHR22406', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 107942),
(164217, 'PTHR11685:SF273', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 107943),
(164218, 'PTHR46446:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE4', 107944),
(164219, 'PTHR47748:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107945),
(164220, 'PTHR46137:SF2', NULL, NULL, NULL, NULL, 'OS09G0526800 PROTEIN', 107946),
(164221, 'PTHR43731:SF23', NULL, NULL, NULL, NULL, 'BNACNNG41880D PROTEIN', 107947),
(164222, 'PTHR43304', NULL, NULL, NULL, NULL, 'PHYTOCHROME-LIKE PROTEIN CPH1', 107948),
(164223, 'PTHR31865:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0004B13.24 PROTEIN', 107949),
(164224, 'PTHR24281:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107950),
(164225, 'PTHR43605:SF8', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE ACSM4, MITOCHONDRIAL', 107951),
(164226, 'PTHR33509:SF32', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN LEA5-D-LIKE', 107952),
(164227, 'PTHR24349:SF95', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 3', 107953),
(164228, 'PTHR10404:SF41', NULL, NULL, NULL, NULL, 'GLUTAMATE CARBOXYPEPTIDASE 2 HOMOLOG', 107954),
(164229, 'PTHR24423:SF622', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', 107955),
(164230, 'PTHR11709:SF371', NULL, NULL, NULL, NULL, 'MONOCOPPER OXIDASE-LIKE PROTEIN SKU5', 107956),
(164231, 'PTHR43842:SF2', NULL, NULL, NULL, NULL, 'PROPIONYL-COA CARBOXYLASE BETA CHAIN, MITOCHONDRIAL', 107957);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(164232, 'PTHR24198:SF65', NULL, NULL, NULL, NULL, 'RECEPTOR-INTERACTING SERINE/THREONINE-PROTEIN KINASE 4', 107958),
(164233, 'PTHR12358:SF78', NULL, NULL, NULL, NULL, 'SPHINGOSINE KINASE RELATED PROTEIN', 107959),
(164234, 'PTHR21407:SF5', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN 27KD, ISOFORM A', 107960),
(164235, 'PTHR12064:SF28', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER CNNM1', 107961),
(164236, 'PTHR10671:SF43', NULL, NULL, NULL, NULL, 'GERM CELL-SPECIFIC GENE 1 PROTEIN', 107962),
(164237, 'PTHR31232:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107963),
(164238, 'PTHR45658:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107964),
(164239, 'PTHR11474:SF95', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE, CHLOROPLASTIC-LIKE', 107965),
(164240, 'PTHR43085:SF27', NULL, NULL, NULL, NULL, 'CARBOHYDRATE KINASE PFKB', 107966),
(164241, 'PTHR37228', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S21 FAMILY PROTEIN', 107967),
(164242, 'PTHR12864:SF19', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 10', 107968),
(164243, 'PTHR19248:SF27', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER E FAMILY MEMBER 2-RELATED', 107969),
(164244, 'PTHR24055:SF471', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 107970),
(164245, 'PTHR42068', NULL, NULL, NULL, NULL, 'YALI0B18964P', 107971),
(164246, 'PTHR38595', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 107972),
(164247, 'PTHR45290:SF1', NULL, NULL, NULL, NULL, 'OS03G0300300 PROTEIN', 107973),
(164248, 'PTHR22883:SF356', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 107974),
(164249, 'PTHR21528:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107975),
(164250, 'PTHR15264', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 1', 107976),
(164251, 'PTHR31683:SF96', NULL, NULL, NULL, NULL, 'PECTATE LYASE 14-RELATED', 107977),
(164252, 'PTHR11709:SF289', NULL, NULL, NULL, NULL, 'LACCASE-10', 107978),
(164253, 'PTHR23428:SF167', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 3-B', 107979),
(164254, 'PTHR43160:SF2', NULL, NULL, NULL, NULL, 'HOMOCITRATE DEHYDRATASE, MITOCHONDRIAL', 107980),
(164255, 'PTHR42685:SF19', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 107981),
(164256, 'PTHR33168:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107982),
(164257, 'PTHR46038:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107983),
(164258, 'PTHR37352:SF1', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC GENE 13 PROTEIN', 107984),
(164259, 'PTHR32054:SF56', NULL, NULL, NULL, NULL, 'BNAA10G28710D PROTEIN', 107985),
(164260, 'PTHR31896:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107986),
(164261, 'PTHR24039:SF28', NULL, NULL, NULL, NULL, 'FIBRILLIN 2B', 107987),
(164262, 'PTHR24064:SF467', NULL, NULL, NULL, NULL, 'FI01439P-RELATED', 107988),
(164263, 'PTHR46069', NULL, NULL, NULL, NULL, 'TUBULIN TYROSINE LIGASE', 107989),
(164264, 'PTHR10264:SF66', NULL, NULL, NULL, NULL, 'STOMATIN', 107990),
(164265, 'PTHR31164:SF1', NULL, NULL, NULL, NULL, 'RAD52 MOTIF-CONTAINING PROTEIN 1', 107991),
(164266, 'PTHR19422:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107992),
(164267, 'PTHR10926:SF19', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN 50B', 107993),
(164268, 'PTHR31045:SF3', NULL, NULL, NULL, NULL, 'OS11G0109700 PROTEIN', 107994),
(164269, 'PTHR24221:SF501', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY B (MDR/TAP), MEMBER 4', 107995),
(164270, 'PTHR23003:SF15', NULL, NULL, NULL, NULL, 'MYELIN EXPRESSION FACTOR 2', 107996),
(164271, 'PTHR22835:SF605', NULL, NULL, NULL, NULL, 'BNACNNG43610D PROTEIN', 107997),
(164272, 'PTHR47950:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 107998),
(164273, 'PTHR31642:SF114', NULL, NULL, NULL, NULL, 'OS11G0644500 PROTEIN', 107999),
(164274, 'PTHR45721:SF1', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFC-2', 108000),
(164275, 'PTHR31865:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108001),
(164276, 'PTHR32083', NULL, NULL, NULL, NULL, 'CILIA AND FLAGELLA-ASSOCIATED PROTEIN 58-RELATED', 108002),
(164277, 'PTHR24027:SF429', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108003);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(164278, 'PTHR47989:SF34', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ALE2', 108004),
(164279, 'PTHR47956:SF69', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 108005),
(164280, 'PTHR30543:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108006),
(164281, 'PTHR31147:SF33', NULL, NULL, NULL, NULL, 'N-HYDROXYCINNAMOYL/BENZOYLTRANSFERASE, PUTATIVE-RELATED', 108007),
(164282, 'PTHR10901:SF9', NULL, NULL, NULL, NULL, 'TROPOMODULIN-4', 108008),
(164283, 'PTHR22951:SF89', NULL, NULL, NULL, NULL, 'OS05G0549000 PROTEIN', 108009),
(164284, 'PTHR10108:SF1126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108010),
(164285, 'PTHR10057:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108011),
(164286, 'PTHR24343:SF457', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE 11', 108012),
(164287, 'PTHR33148:SF56', NULL, NULL, NULL, NULL, 'BNAANNG16590D PROTEIN', 108013),
(164288, 'PTHR11679:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108014),
(164289, 'PTHR22906:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG15924', 108015),
(164290, 'PTHR22736:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 66', 108016),
(164291, 'PTHR31899:SF10', NULL, NULL, NULL, NULL, 'BETA-CAROTENE HYDROXYLASE', 108017),
(164292, 'PTHR26312:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108018),
(164293, 'PTHR12802:SF55', NULL, NULL, NULL, NULL, 'OS05G0162800 PROTEIN', 108019),
(164294, 'PTHR46377', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 19', 108020),
(164295, 'PTHR23112:SF36', NULL, NULL, NULL, NULL, 'SI:DKEY-30C15.2', 108021),
(164296, 'PTHR33107:SF51', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 108022),
(164297, 'PTHR46128:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108023),
(164298, 'PTHR47300', NULL, NULL, NULL, NULL, 'PROTEIN KASH5', 108024),
(164299, 'PTHR10277:SF72', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE B-LIKE', 108025),
(164300, 'PTHR47928:SF10', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 108026),
(164301, 'PTHR45898:SF6', NULL, NULL, NULL, NULL, 'OS05G0475300 PROTEIN', 108027),
(164302, 'PTHR28081:SF1', NULL, NULL, NULL, NULL, 'DAMAGE-REGULATED IMPORT FACILITATOR 1-RELATED', 108028),
(164303, 'PTHR24300:SF328', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 508B1-RELATED', 108029),
(164304, 'PTHR11721:SF25', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27A', 108030),
(164305, 'PTHR11439:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108031),
(164306, 'PTHR13690:SF146', NULL, NULL, NULL, NULL, 'BNAA09G43320D PROTEIN', 108032),
(164307, 'PTHR45977:SF28', NULL, NULL, NULL, NULL, 'TARGET OF ERK KINASE MPK-1', 108033),
(164308, 'PTHR19282:SF437', NULL, NULL, NULL, NULL, 'TETRASPANIN 42EP, ISOFORM A', 108034),
(164309, 'PTHR24281:SF211', NULL, NULL, NULL, NULL, 'CYTOCHROME 78A6', 108035),
(164310, 'PTHR37825', NULL, NULL, NULL, NULL, 'TRNA(MET) CYTIDINE ACETATE LIGASE', 108036),
(164311, 'PTHR23104', NULL, NULL, NULL, NULL, 'MULTIPLE COAGULATION FACTOR DEFICIENCY PROTEIN 2  NEURAL STEM CELL DERIVED NEURONAL SURVIVAL PROTEIN', 108037),
(164312, 'PTHR10811:SF19', NULL, NULL, NULL, NULL, '(C)1 PROVIRUS ANCESTRAL ENV POLYPROTEIN, PUTATIVE (DUF604)-RELATED', 108038),
(164313, 'PTHR31509:SF118', NULL, NULL, NULL, NULL, 'PROTEIN BPS1, CHLOROPLASTIC-LIKE', 108039),
(164314, 'PTHR31251:SF137', NULL, NULL, NULL, NULL, 'BNAANNG08550D PROTEIN', 108040),
(164315, 'PTHR22937:SF157', NULL, NULL, NULL, NULL, 'BNAANNG27220D PROTEIN', 108041),
(164316, 'PTHR45649:SF17', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1 HOMOLOG', 108042),
(164317, 'PTHR23226:SF258', NULL, NULL, NULL, NULL, 'SCAN DOMAIN-CONTAINING PROTEIN SCAND2P-RELATED', 108043),
(164318, 'PTHR46085:SF8', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD14 ISOFORM X1-RELATED', 108044),
(164319, 'PTHR22747:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108045),
(164320, 'PTHR44191:SF16', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 108046),
(164321, 'PTHR15268:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108047);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(164322, 'PTHR47520:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG23236', 108048),
(164323, 'PTHR22929:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108049),
(164324, 'PTHR46619:SF2', NULL, NULL, NULL, NULL, 'XS DOMAIN PROTEIN', 108050),
(164325, 'PTHR10438:SF440', NULL, NULL, NULL, NULL, 'THIOREDOXIN-RELATED', 108051),
(164326, 'PTHR11699:SF268', NULL, NULL, NULL, NULL, 'MAGNESIUM-ACTIVATED ALDEHYDE DEHYDROGENASE, CYTOSOLIC-RELATED', 108052),
(164327, 'PTHR21085:SF2', NULL, NULL, NULL, NULL, 'CHORISMATE SYNTHASE', 108053),
(164328, 'PTHR48007:SF34', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 8-LIKE ISOFORM X1', 108054),
(164329, 'PTHR13439:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG08489', 108055),
(164330, 'PTHR22750:SF51', NULL, NULL, NULL, NULL, 'T8K14.7 PROTEIN', 108056),
(164331, 'PTHR46328', NULL, NULL, NULL, NULL, 'FAR-RED IMPAIRED RESPONSIVE (FAR1) FAMILY PROTEIN-RELATED', 108057),
(164332, 'PTHR23036:SF109', NULL, NULL, NULL, NULL, 'LEPTIN RECEPTOR', 108058),
(164333, 'PTHR24416:SF525', NULL, NULL, NULL, NULL, 'INSULIN-LIKE RECEPTOR', 108059),
(164334, 'PTHR45987:SF16', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L12-1, CHLOROPLASTIC-RELATED', 108060),
(164335, 'PTHR31377', NULL, NULL, NULL, NULL, 'AGMATINE DEIMINASE-RELATED', 108061),
(164336, 'PTHR43222:SF3', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 23, CHLOROPLASTIC-LIKE', 108062),
(164337, 'PTHR10315:SF127', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 108063),
(164338, 'PTHR24174:SF13', NULL, NULL, NULL, NULL, 'SI:DKEY-34E4.1', 108064),
(164339, 'PTHR13148:SF10', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', 108065),
(164340, 'PTHR23406:SF73', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT MALIC ENZYME 2, MITOCHONDRIAL', 108066),
(164341, 'PTHR24282:SF222', NULL, NULL, NULL, NULL, 'CYTOCHROMEA6', 108067),
(164342, 'PTHR36861', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 116', 108068),
(164343, 'PTHR43759:SF1', NULL, NULL, NULL, NULL, 'TREHALOSE TRANSPORT SYSTEM PERMEASE PROTEIN SUGA', 108069),
(164344, 'PTHR47338', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 108070),
(164345, 'PTHR23429:SF17', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE', 108071),
(164346, 'PTHR46872:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108072),
(164347, 'PTHR48048:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 108073),
(164348, 'PTHR23509:SF10', NULL, NULL, NULL, NULL, 'LD21067P', 108074),
(164349, 'PTHR46368:SF11', NULL, NULL, NULL, NULL, 'BNAC06G08100D PROTEIN', 108075),
(164350, 'PTHR47088', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 108076),
(164351, 'PTHR21136:SF186', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', 108077),
(164352, 'PTHR34595:SF2', NULL, NULL, NULL, NULL, 'SLL1039 PROTEIN', 108078),
(164353, 'PTHR24089:SF688', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL1-RELATED', 108079),
(164354, 'PTHR33127:SF4', NULL, NULL, NULL, NULL, 'OS03G0780000 PROTEIN', 108080),
(164355, 'PTHR10269:SF15', NULL, NULL, NULL, NULL, 'GDNF FAMILY RECEPTOR ALPHA-3', 108081),
(164356, 'PTHR42085:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108082),
(164357, 'PTHR12506:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 32', 108083),
(164358, 'PTHR47926:SF281', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', 108084),
(164359, 'PTHR45694:SF13', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C1', 108085),
(164360, 'PTHR11890:SF3', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR TYPE 2', 108086),
(164361, 'PTHR37994:SF1', NULL, NULL, NULL, NULL, 'YALI0C01694P', 108087),
(164362, 'PTHR13555', NULL, NULL, NULL, NULL, 'C2H2 ZINC FINGER CGI-62-RELATED', 108088),
(164363, 'PTHR11035:SF38', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE', 108089),
(164364, 'PTHR33836:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108090),
(164365, 'PTHR36477:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 225B', 108091);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(164366, 'PTHR11732:SF177', NULL, NULL, NULL, NULL, 'PROTEIN CBG08596', 108092),
(164367, 'PTHR10476:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108093),
(164368, 'PTHR44137:SF12', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN CONTAINING PROTEIN, EXPRESSED', 108094),
(164369, 'PTHR31621:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108095),
(164370, 'PTHR32133:SF288', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108096),
(164371, 'PTHR15607', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN-RELATED', 108097),
(164372, 'PTHR11679:SF68', NULL, NULL, NULL, NULL, 'SEC1 FAMILY TRANSPORT PROTEIN SLY1', 108098),
(164373, 'PTHR31964:SF113', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 108099),
(164374, 'PTHR42751:SF1', NULL, NULL, NULL, NULL, 'CATION/PROTON ANTIPORTER YBAL-RELATED', 108100),
(164375, 'PTHR12748:SF1', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 3', 108101),
(164376, 'PTHR31269:SF5', NULL, NULL, NULL, NULL, 'OS01G0226600 PROTEIN', 108102),
(164377, 'PTHR33377:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108103),
(164378, 'PTHR43534', NULL, NULL, NULL, NULL, 'MIND SUPERFAMILY P-LOOP ATPASE CONTAINING AN INSERTED FERREDOXIN DOMAIN', 108104),
(164379, 'PTHR19143:SF377', NULL, NULL, NULL, NULL, 'FICOLIN 1', 108105),
(164380, 'PTHR10177:SF402', NULL, NULL, NULL, NULL, 'CYCLIN-B2-1', 108106),
(164381, 'PTHR46135', NULL, NULL, NULL, NULL, 'NME/NM23 FAMILY MEMBER 8', 108107),
(164382, 'PTHR20916:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108108),
(164383, 'PTHR30367', NULL, NULL, NULL, NULL, 'P-HYDROXYBENZOIC ACID EFFLUX PUMP SUBUNIT AAEA-RELATED', 108109),
(164384, 'PTHR24223:SF380', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN ABC TRANSPORTER FAMILY PROTEIN', 108110),
(164385, 'PTHR11849:SF30', NULL, NULL, NULL, NULL, 'ETS TRANSLOCATION VARIANT 3', 108111),
(164386, 'PTHR12632:SF55', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-7-LIKE', 108112),
(164387, 'PTHR35072:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 91', 108113),
(164388, 'PTHR10574:SF223', NULL, NULL, NULL, NULL, 'ATTRACTIN-RELATED', 108114),
(164389, 'PTHR45752:SF100', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 108115),
(164390, 'PTHR43969:SF8', NULL, NULL, NULL, NULL, 'GLUTATHIONE S TRANSFERASE E13, ISOFORM A-RELATED', 108116),
(164391, 'PTHR19339:SF5', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 39', 108117),
(164392, 'PTHR47187:SF1', NULL, NULL, NULL, NULL, 'NFATC2-INTERACTING PROTEIN', 108118),
(164393, 'PTHR47866:SF2', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 108119),
(164394, 'PTHR34391', NULL, NULL, NULL, NULL, 'UPF0658 GOLGI APPARATUS MEMBRANE PROTEIN C1952.10C-RELATED', 108120),
(164395, 'PTHR43242', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 108121),
(164396, 'PTHR48053:SF45', NULL, NULL, NULL, NULL, 'OS02G0216000 PROTEIN', 108122),
(164397, 'PTHR31208:SF14', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 108123),
(164398, 'PTHR11511:SF24', NULL, NULL, NULL, NULL, 'GH04080P', 108124),
(164399, 'PTHR22629:SF0', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 4', 108125),
(164400, 'PTHR24331', NULL, NULL, NULL, NULL, 'DBX', 108126),
(164401, 'PTHR37312:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND ACYLTRANSFERASE YKRP-RELATED', 108127),
(164402, 'PTHR13935:SF82', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', 108128),
(164403, 'PTHR31374:SF214', NULL, NULL, NULL, NULL, 'AUXIN RESPONSIVE PROTEIN', 108129),
(164404, 'PTHR12085', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B'''' SUBUNIT GAMMA', 108130),
(164405, 'PTHR14614:SF2', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 23', 108131),
(164406, 'PTHR47157', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 1-LIKE', 108132),
(164407, 'PTHR40257:SF1', NULL, NULL, NULL, NULL, 'BLL7059 PROTEIN', 108133),
(164408, 'PTHR47958:SF10', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX39A', 108134); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(164409, 'PTHR31790:SF406', NULL, NULL, NULL, NULL, 'BNAC05G49080D PROTEIN', 108135),
(164410, 'PTHR11347:SF135', NULL, NULL, NULL, NULL, 'CAMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 4C', 108136),
(164411, 'PTHR17085:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108137),
(164412, 'PTHR24377:SF881', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 222', 108138),
(164413, 'PTHR33065:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108139),
(164414, 'PTHR24103:SF632', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 48-RELATED', 108140),
(164415, 'PTHR32044:SF57', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', 108141),
(164416, 'PTHR10071:SF319', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN GLN3', 108142),
(164417, 'PTHR24057:SF14', NULL, NULL, NULL, NULL, 'GLYCOGEN SYNTHASE KINASE-3 ALPHA', 108143),
(164418, 'PTHR13468:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108144),
(164419, 'PTHR46401:SF8', NULL, NULL, NULL, NULL, 'BLL6006 PROTEIN', 108145),
(164420, 'PTHR33136:SF66', NULL, NULL, NULL, NULL, 'BNAANNG02440D PROTEIN', 108146),
(164421, 'PTHR45627:SF8', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 9', 108147),
(164422, 'PTHR33077:SF75', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 4B-LIKE ISOFORM X1', 108148),
(164423, 'PTHR10894', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 5  NUCLEOLAR PROTEIN NOP5  NOP58', 108149),
(164424, 'PTHR46701:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 108150),
(164425, 'PTHR45672:SF3', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 5', 108151),
(164426, 'PTHR47968:SF19', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 108152),
(164427, 'PTHR22461:SF2', NULL, NULL, NULL, NULL, 'SERINE-RICH COILED-COIL DOMAIN-CONTAINING PROTEIN 2', 108153),
(164428, 'PTHR24179', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 12', 108154),
(164429, 'PTHR12403', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 2', 108155),
(164430, 'PTHR37984:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG26694', 108156),
(164431, 'PTHR48069:SF1', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE 2, MITOCHONDRIAL', 108157),
(164432, 'PTHR10046:SF49', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG-RELATED', 108158),
(164433, 'PTHR33981:SF13', NULL, NULL, NULL, NULL, 'OS01G0151100 PROTEIN', 108159),
(164434, 'PTHR11638:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108160),
(164435, 'PTHR22807:SF70', NULL, NULL, NULL, NULL, 'TRNA/RRNA CYTOSINE-C5-METHYLASE, NOL1/NOP2/SUN FAMILY, FUSED TO N-TERMINAL NUSB REGULATOR DOMAIN', 108161),
(164436, 'PTHR36872:SF1', NULL, NULL, NULL, NULL, 'GENE 5901-RELATED', 108162),
(164437, 'PTHR31147:SF27', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 108163),
(164438, 'PTHR12262', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 108164),
(164439, 'PTHR13301:SF203', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', 108165),
(164440, 'PTHR46021:SF5', NULL, NULL, NULL, NULL, 'ARF-GAP WITH DUAL PH DOMAIN-CONTAINING PROTEIN 1', 108166),
(164441, 'PTHR41263:SF1', NULL, NULL, NULL, NULL, 'ASPARTYL-PHOSPHATE PHOSPHATASE YISI', 108167),
(164442, 'PTHR24271:SF47', NULL, NULL, NULL, NULL, 'KALLIKREIN-1', 108168),
(164443, 'PTHR33700:SF18', NULL, NULL, NULL, NULL, 'BNAA09G42300D PROTEIN', 108169),
(164444, 'PTHR24230', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', 108170),
(164445, 'PTHR11908:SF98', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE', 108171),
(164446, 'PTHR21495:SF50', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 108172),
(164447, 'PTHR45521:SF3', NULL, NULL, NULL, NULL, 'BNAC07G49640D PROTEIN', 108173),
(164448, 'PTHR34396:SF12', NULL, NULL, NULL, NULL, 'BED ZINC FINGER FAMILY PROTEIN', 108174),
(164449, 'PTHR20953:SF13', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 108175),
(164450, 'PTHR45080:SF13', NULL, NULL, NULL, NULL, 'WRAPPER/REGA-1/KLINGON HOMOLOG', 108176),
(164451, 'PTHR11412:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108177),
(164452, 'PTHR32133:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108178);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(164453, 'PTHR13375', NULL, NULL, NULL, NULL, 'FMS INTERACTING PROTEIN', 108179),
(164454, 'PTHR22529:SF1', NULL, NULL, NULL, NULL, 'EPITHELIAL-STROMAL INTERACTION PROTEIN 1', 108180),
(164455, 'PTHR23235:SF38', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 9', 108181),
(164456, 'PTHR45660:SF50', NULL, NULL, NULL, NULL, 'BNAA06G11990D PROTEIN', 108182),
(164457, 'PTHR27003:SF277', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', 108183),
(164458, 'PTHR31988:SF13', NULL, NULL, NULL, NULL, 'OS06G0729725 PROTEIN', 108184),
(164459, 'PTHR43592:SF20', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 108185),
(164460, 'PTHR39529', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 108186),
(164461, 'PTHR33393:SF11', NULL, NULL, NULL, NULL, 'POLYGLUTAMINE SYNTHESIS ACCESSORY PROTEIN RV0574C-RELATED', 108187),
(164462, 'PTHR11062:SF314', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT12-RELATED', 108188),
(164463, 'PTHR31388:SF191', NULL, NULL, NULL, NULL, 'PEROXIDASE', 108189),
(164464, 'PTHR45777:SF7', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2', 108190),
(164465, 'PTHR27007:SF277', NULL, NULL, NULL, NULL, 'OS07G0569550 PROTEIN', 108191),
(164466, 'PTHR46519:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 108192),
(164467, 'PTHR46332:SF5', NULL, NULL, NULL, NULL, 'ASPARTATE BETA-HYDROXYLASE DOMAIN-CONTAINING PROTEIN 2', 108193),
(164468, 'PTHR21659:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108194),
(164469, 'PTHR24322:SF739', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL CARRIER PROTEIN] REDUCTASE-RELATED', 108195),
(164470, 'PTHR33305:SF7', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 5 PROTEIN', 108196),
(164471, 'PTHR46288:SF26', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', 108197),
(164472, 'PTHR11893:SF15', NULL, NULL, NULL, NULL, 'INNEXIN-RELATED', 108198),
(164473, 'PTHR48018:SF55', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 108199),
(164474, 'PTHR31218:SF21', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 108200),
(164475, 'PTHR19957:SF327', NULL, NULL, NULL, NULL, 'SYNTAXIN-124-LIKE', 108201),
(164476, 'PTHR43180:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108202),
(164477, 'PTHR33714:SF3', NULL, NULL, NULL, NULL, 'COUNTING FACTOR-ASSOCIATED PROTEIN A-RELATED', 108203),
(164478, 'PTHR46415:SF2', NULL, NULL, NULL, NULL, 'ADAPTOR PROTEIN, PHOSPHOTYROSINE INTERACTION, PH DOMAIN AND LEUCINE ZIPPER-CONTAINING 2', 108204),
(164479, 'PTHR45274:SF3', NULL, NULL, NULL, NULL, 'BNAA05G32570D PROTEIN', 108205),
(164480, 'PTHR18945:SF508', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 108206),
(164481, 'PTHR10677:SF42', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN DSK2B', 108207),
(164482, 'PTHR24115:SF578', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 108208),
(164483, 'PTHR34756', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE-ASSOCIATED PROTEIN 3', 108209),
(164484, 'PTHR11309:SF22', NULL, NULL, NULL, NULL, 'FRIZZLED-3', 108210),
(164485, 'PTHR47398:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 3', 108211),
(164486, 'PTHR31374:SF261', NULL, NULL, NULL, NULL, 'OS03G0660400 PROTEIN', 108212),
(164487, 'PTHR12537:SF144', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 8, CHLOROPLASTIC-RELATED', 108213),
(164488, 'PTHR14409:SF0', NULL, NULL, NULL, NULL, 'PROTEIN MANBAL', 108214),
(164489, 'PTHR11730:SF94', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 108215),
(164490, 'PTHR24250:SF31', NULL, NULL, NULL, NULL, 'CTRB1 PROTEIN', 108216),
(164491, 'PTHR47052:SF5', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE', 108217),
(164492, 'PTHR21724:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG28007', 108218),
(164493, 'PTHR30087', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 108219),
(164494, 'PTHR43133:SF36', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGC', 108220),
(164495, 'PTHR23155:SF944', NULL, NULL, NULL, NULL, 'PI15', 108221),
(164496, 'PTHR43191:SF4', NULL, NULL, NULL, NULL, 'RNA METHYLASE-RELATED', 108222),
(164497, 'PTHR22738:SF8', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 3', 108223);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(164498, 'PTHR33022:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108224),
(164499, 'PTHR15241:SF315', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108225),
(164500, 'PTHR24034:SF94', NULL, NULL, NULL, NULL, 'FIBULIN-7', 108226),
(164501, 'PTHR34890:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108227),
(164502, 'PTHR11274:SF13', NULL, NULL, NULL, NULL, 'HELICASE-LIKE PROTEIN', 108228),
(164503, 'PTHR22797:SF36', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 6', 108229),
(164504, 'PTHR27006:SF221', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 108230),
(164505, 'PTHR24071:SF1', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN', 108231),
(164506, 'PTHR24230:SF134', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 108232),
(164507, 'PTHR33869:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108233),
(164508, 'PTHR31790:SF371', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 108234),
(164509, 'PTHR24281:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108235),
(164510, 'PTHR24269:SF13', NULL, NULL, NULL, NULL, 'KREMEN PROTEIN 1', 108236),
(164511, 'PTHR31013:SF11', NULL, NULL, NULL, NULL, 'THAUMATIN FAMILY', 108237),
(164512, 'PTHR35741', NULL, NULL, NULL, NULL, 'FACTOR CWC22-LIKE PROTEIN, PUTATIVE (DUF3245)-RELATED', 108238),
(164513, 'PTHR24376:SF133', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 948', 108239),
(164514, 'PTHR21257', NULL, NULL, NULL, NULL, 'DELTA(14)-STEROL REDUCTASE', 108240),
(164515, 'PTHR33463:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108241),
(164516, 'PTHR15549:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108242),
(164517, 'PTHR27005:SF346', NULL, NULL, NULL, NULL, 'BNAA06G15030D PROTEIN', 108243),
(164518, 'PTHR31520:SF1', NULL, NULL, NULL, NULL, 'VEXIN', 108244),
(164519, 'PTHR13872', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT', 108245),
(164520, 'PTHR45633:SF25', NULL, NULL, NULL, NULL, 'OS06G0114000 PROTEIN', 108246),
(164521, 'PTHR33074:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108247),
(164522, 'PTHR15337:SF22', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN CONTAINING PROTEIN HOMOLOG', 108248),
(164523, 'PTHR19857:SF21', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', 108249),
(164524, 'PTHR24220:SF675', NULL, NULL, NULL, NULL, 'FE(3+) IONS IMPORT ATP-BINDING PROTEIN FBPC', 108250),
(164525, 'PTHR47988:SF32', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE 1-RELATED', 108251),
(164526, 'PTHR45825:SF11', NULL, NULL, NULL, NULL, 'STARCH SYNTHASE 1, CHLOROPLASTIC/AMYLOPLASTIC', 108252),
(164527, 'PTHR31388:SF224', NULL, NULL, NULL, NULL, 'PEROXIDASE', 108253),
(164528, 'PTHR23213:SF369', NULL, NULL, NULL, NULL, 'FORMIN B', 108254),
(164529, 'PTHR24023:SF509', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(XI) CHAIN', 108255),
(164530, 'PTHR21649:SF106', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 108256),
(164531, 'PTHR40265:SF1', NULL, NULL, NULL, NULL, 'BLL2707 PROTEIN', 108257),
(164532, 'PTHR10766:SF132', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 108258),
(164533, 'PTHR23139:SF119', NULL, NULL, NULL, NULL, 'U2 SNRNP AUXILIARY FACTOR LARGE SUBUNIT', 108259),
(164534, 'PTHR34174', NULL, NULL, NULL, NULL, 'HYDROLETHALUS SYNDROME PROTEIN 1', 108260),
(164535, 'PTHR12146:SF21', NULL, NULL, NULL, NULL, 'BNAC06G13490D PROTEIN', 108261),
(164536, 'PTHR23036:SF170', NULL, NULL, NULL, NULL, 'INTERLEUKIN-3 RECEPTOR SUBUNIT ALPHA', 108262),
(164537, 'PTHR46495:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 21', 108263),
(164538, 'PTHR31234:SF35', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 108264),
(164539, 'PTHR27005:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108265),
(164540, 'PTHR46855:SF16', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR-LIKE PROTEIN', 108266),
(164541, 'PTHR27005:SF316', NULL, NULL, NULL, NULL, 'BNAA01G06050D PROTEIN', 108267);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(164542, 'PTHR19855:SF15', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 9', 108268),
(164543, 'PTHR23074:SF81', NULL, NULL, NULL, NULL, '26S PROTEASOME SUBUNIT YTA6-RELATED', 108269),
(164544, 'PTHR33365:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108270),
(164545, 'PTHR43032', NULL, NULL, NULL, NULL, 'PROTEIN-METHIONINE-SULFOXIDE REDUCTASE', 108271),
(164546, 'PTHR22945:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 108272),
(164547, 'PTHR43693:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE CHEZ', 108273),
(164548, 'PTHR21685:SF4', NULL, NULL, NULL, NULL, 'TAPERIN', 108274),
(164549, 'PTHR47999:SF61', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB6-LIKE', 108275),
(164550, 'PTHR24083:SF160', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-47', 108276),
(164551, 'PTHR22942', NULL, NULL, NULL, NULL, 'RECA/RAD51/RADA DNA STRAND-PAIRING FAMILY MEMBER', 108277),
(164552, 'PTHR13866:SF17', NULL, NULL, NULL, NULL, 'TESTICAN-1', 108278),
(164553, 'PTHR34590:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108279),
(164554, 'PTHR19424:SF0', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR-BINDING PROTEIN 1A', 108280),
(164555, 'PTHR44051:SF16', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE DOMAIN-CONTAINING PROTEIN DDB_G0274223-RELATED', 108281),
(164556, 'PTHR31206:SF1', NULL, NULL, NULL, NULL, 'LP10445P', 108282),
(164557, 'PTHR43401:SF3', NULL, NULL, NULL, NULL, 'L-GALACTONATE-5-DEHYDROGENASE', 108283),
(164558, 'PTHR31620', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 2, CHLOROPLASTIC-RELATED', 108284),
(164559, 'PTHR14139:SF2', NULL, NULL, NULL, NULL, 'CALSYNTENIN-1', 108285),
(164560, 'PTHR18945:SF475', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 108286),
(164561, 'PTHR33279:SF2', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN TUSA', 108287),
(164562, 'PTHR31852:SF52', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 108288),
(164563, 'PTHR24286:SF304', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 108289),
(164564, 'PTHR43655:SF31', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 3, MITOCHONDRIAL', 108290),
(164565, 'PTHR31140:SF78', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS06G0107800', 108291),
(164566, 'PTHR32285:SF238', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 38', 108292),
(164567, 'PTHR11616:SF287', NULL, NULL, NULL, NULL, 'TRANSPORTER', 108293),
(164568, 'PTHR27007:SF151', NULL, NULL, NULL, NULL, 'OS09G0334800 PROTEIN', 108294),
(164569, 'PTHR12791:SF47', NULL, NULL, NULL, NULL, 'SYNTAXIN', 108295),
(164570, 'PTHR11017:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108296),
(164571, 'PTHR45977:SF29', NULL, NULL, NULL, NULL, 'BNAC06G13710D PROTEIN', 108297),
(164572, 'PTHR48005:SF44', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 108298),
(164573, 'PTHR45684:SF2', NULL, NULL, NULL, NULL, 'RE74312P', 108299),
(164574, 'PTHR42884:SF11', NULL, NULL, NULL, NULL, 'FURIN (PAIRED BASIC AMINO ACID CLEAVING ENZYME) B', 108300),
(164575, 'PTHR32295:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108301),
(164576, 'PTHR47960:SF9', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 6-RELATED', 108302),
(164577, 'PTHR31639:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108303),
(164578, 'PTHR35518:SF2', NULL, NULL, NULL, NULL, 'MAINTENANCE OF TELOMERE CAPPING PROTEIN 6', 108304),
(164579, 'PTHR22847:SF707', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108305),
(164580, 'PTHR47987', NULL, NULL, NULL, NULL, 'OS08G0249100 PROTEIN', 108306),
(164581, 'PTHR13710:SF72', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE Q1', 108307),
(164582, 'PTHR31989:SF39', NULL, NULL, NULL, NULL, 'PROTEIN BEARSKIN1-RELATED', 108308),
(164583, 'PTHR42803:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE-RELATED', 108309),
(164584, 'PTHR12802:SF129', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 108310),
(164585, 'PTHR22847:SF706', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 5', 108311),
(164586, 'PTHR24393:SF102', NULL, NULL, NULL, NULL, 'PROTEIN CBG13327', 108312);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(164587, 'PTHR13055', NULL, NULL, NULL, NULL, 'TUMOR ENDOTHELIAL MARKER 7 RELATED', 108313),
(164588, 'PTHR47972:SF23', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF3A ISOFORM X1', 108314),
(164589, 'PTHR33021:SF273', NULL, NULL, NULL, NULL, 'OSJNBA0089N06.13 PROTEIN', 108315),
(164590, 'PTHR10745:SF17', NULL, NULL, NULL, NULL, 'GLYCINE--TRNA LIGASE MITOCHONDRIAL 1', 108316),
(164591, 'PTHR31115:SF9', NULL, NULL, NULL, NULL, 'BNAC09G36530D PROTEIN', 108317),
(164592, 'PTHR11036:SF78', NULL, NULL, NULL, NULL, 'SEMAPHORIN-5A', 108318),
(164593, 'PTHR31415:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108319),
(164594, 'PTHR13780:SF143', NULL, NULL, NULL, NULL, 'BNACNNG50100D PROTEIN', 108320),
(164595, 'PTHR11525:SF12', NULL, NULL, NULL, NULL, 'FARNESYL PYROPHOSPHATE SYNTHASE 1-LIKE', 108321),
(164596, 'PTHR48043:SF67', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 108322),
(164597, 'PTHR11360:SF238', NULL, NULL, NULL, NULL, 'SD10469P', 108323),
(164598, 'PTHR15591:SF11', NULL, NULL, NULL, NULL, 'RUN AND SH3 DOMAIN-CONTAINING PROTEIN 1', 108324),
(164599, 'PTHR24281:SF144', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 108325),
(164600, 'PTHR45631:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108326),
(164601, 'PTHR23428:SF279', NULL, NULL, NULL, NULL, 'HISTONE H2B', 108327),
(164602, 'PTHR19375:SF354', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN', 108328),
(164603, 'PTHR12049:SF7', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE METHYLTRANSFERASE NDUFAF7, MITOCHONDRIAL', 108329),
(164604, 'PTHR46354:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DOG1-LIKE 4', 108330),
(164605, 'PTHR33305:SF32', NULL, NULL, NULL, NULL, 'PROTEIN ETHYLENE-INSENSITIVE 3-LIKE 2', 108331),
(164606, 'PTHR23086:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108332),
(164607, 'PTHR31621:SF5', NULL, NULL, NULL, NULL, 'PROTEIN DMP10', 108333),
(164608, 'PTHR13803:SF33', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC24-LIKE CEF', 108334),
(164609, 'PTHR46361:SF4', NULL, NULL, NULL, NULL, 'DISHEVELLED/EGL-10/LECKSTRIN DOMAIN PROTEIN', 108335),
(164610, 'PTHR47991:SF61', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 2-LIKE', 108336),
(164611, 'PTHR31676:SF0', NULL, NULL, NULL, NULL, 'CP PROTEIN', 108337),
(164612, 'PTHR14379:SF51', NULL, NULL, NULL, NULL, 'BNACNNG57250D PROTEIN', 108338),
(164613, 'PTHR10890:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE--TRNA LIGASE, CYTOPLASMIC', 108339),
(164614, 'PTHR24115:SF194', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF6', 108340),
(164615, 'PTHR46561:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', 108341),
(164616, 'PTHR48040:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108342),
(164617, 'PTHR11588:SF113', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-3D CHAIN', 108343),
(164618, 'PTHR31490:SF35', NULL, NULL, NULL, NULL, 'BETA-1,4-ENDOXYLANASE (EUROFUNG)', 108344),
(164619, 'PTHR24115:SF939', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14H', 108345),
(164620, 'PTHR11524:SF36', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7-1', 108346),
(164621, 'PTHR47992:SF112', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 59-RELATED', 108347),
(164622, 'PTHR45821:SF17', NULL, NULL, NULL, NULL, 'BNACNNG55270D PROTEIN', 108348),
(164623, 'PTHR27001:SF790', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY KINASE DOMAIN PROTEIN', 108349),
(164624, 'PTHR47931:SF1', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 108350),
(164625, 'PTHR12350', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE-RELATED', 108351),
(164626, 'PTHR31042:SF97', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 108352),
(164627, 'PTHR45926:SF7', NULL, NULL, NULL, NULL, 'OS01G0648700 PROTEIN', 108353),
(164628, 'PTHR28586', NULL, NULL, NULL, NULL, 'PROTEIN PAXX', 108354),
(164629, 'PTHR16223:SF249', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH154', 108355),
(164630, 'PTHR22811:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108356),
(164631, 'PTHR15512:SF0', NULL, NULL, NULL, NULL, 'TERF1-INTERACTING NUCLEAR FACTOR 2', 108357);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(164632, 'PTHR11227:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108358),
(164633, 'PTHR13832:SF709', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 36-RELATED', 108359),
(164634, 'PTHR33070:SF96', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 108360),
(164635, 'PTHR47274:SF11', NULL, NULL, NULL, NULL, 'BNAA04G21030D PROTEIN', 108361),
(164636, 'PTHR10824:SF36', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE 14-RELATED', 108362),
(164637, 'PTHR47753:SF3', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 108363),
(164638, 'PTHR21669:SF27', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', 108364),
(164639, 'PTHR47968:SF36', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN E', 108365),
(164640, 'PTHR22663:SF17', NULL, NULL, NULL, NULL, 'IP08077P', 108366),
(164641, 'PTHR23236:SF23', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN EEED8.12-RELATED', 108367),
(164642, 'PTHR45898:SF9', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 8', 108368),
(164643, 'PTHR24074:SF45', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 3', 108369),
(164644, 'PTHR37964', NULL, NULL, NULL, NULL, 'SUPPRESSOR', 108370),
(164645, 'PTHR24281:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108371),
(164646, 'PTHR47961', NULL, NULL, NULL, NULL, 'DNA POLYMERASE THETA, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G05260)-RELATED', 108372),
(164647, 'PTHR24020:SF23', NULL, NULL, NULL, NULL, 'VITRIN', 108373),
(164648, 'PTHR10272:SF11', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE-RELATED', 108374),
(164649, 'PTHR33320:SF27', NULL, NULL, NULL, NULL, 'BNAA01G07090D PROTEIN', 108375),
(164650, 'PTHR32100:SF61', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE 2', 108376),
(164651, 'PTHR33172:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108377),
(164652, 'PTHR24286:SF191', NULL, NULL, NULL, NULL, 'LANOSTEROL 14-ALPHA DEMETHYLASE', 108378),
(164653, 'PTHR46001:SF4', NULL, NULL, NULL, NULL, 'T CELL LYMPHOMA INVASION AND METASTASIS 1B', 108379),
(164654, 'PTHR16223:SF222', NULL, NULL, NULL, NULL, 'BNAA09G13660D PROTEIN', 108380),
(164655, 'PTHR33484:SF6', NULL, NULL, NULL, NULL, 'BNAANNG21520D PROTEIN', 108381),
(164656, 'PTHR10333:SF37', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN 2', 108382),
(164657, 'PTHR12425:SF4', NULL, NULL, NULL, NULL, 'SYNEMBRYN-A', 108383),
(164658, 'PTHR32468:SF108', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', 108384),
(164659, 'PTHR33974:SF2', NULL, NULL, NULL, NULL, 'VASCULAR-RELATED UNKNOWN PROTEIN 1-RELATED', 108385),
(164660, 'PTHR26450:SF104', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 108386),
(164661, 'PTHR23239:SF97', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA1', 108387),
(164662, 'PTHR11122:SF45', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 108388),
(164663, 'PTHR33347:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108389),
(164664, 'PTHR43180:SF69', NULL, NULL, NULL, NULL, 'SHORT CHAIN ALCOHOL DEHYDROGENASE', 108390),
(164665, 'PTHR28106:SF2', NULL, NULL, NULL, NULL, 'BNAC08G43270D PROTEIN', 108391),
(164666, 'PTHR12537:SF145', NULL, NULL, NULL, NULL, 'BNAA02G06970D PROTEIN', 108392),
(164667, 'PTHR22765:SF295', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 108393),
(164668, 'PTHR45988:SF48', NULL, NULL, NULL, NULL, 'BNAANNG21010D PROTEIN', 108394),
(164669, 'PTHR11157:SF105', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN', 108395),
(164670, 'PTHR35370:SF4', NULL, NULL, NULL, NULL, 'TYPE VI SECRETION SYSTEM PROTEIN TSSF', 108396),
(164671, 'PTHR11749:SF9', NULL, NULL, NULL, NULL, 'RIBULOSE-PHOSPHATE 3-EPIMERASE-RELATED', 108397),
(164672, 'PTHR15439:SF15', NULL, NULL, NULL, NULL, 'CYSTEINE REPEAT MODULAR PROTEIN 4', 108398),
(164673, 'PTHR13813', NULL, NULL, NULL, NULL, 'GLYCOPHORIN', 108399),
(164674, 'PTHR36061:SF4', NULL, NULL, NULL, NULL, 'DUF3727 FAMILY PROTEIN', 108400),
(164675, 'PTHR10871:SF28', NULL, NULL, NULL, NULL, 'SMALL RIBOSOMAL SUBUNIT PROTEIN S13, MITOCHONDRIAL', 108401),
(164676, 'PTHR47626:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108402),
(164677, 'PTHR30269:SF23', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN YDHB-RELATED', 108403);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(164678, 'PTHR18896:SF143', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA 3', 108404),
(164679, 'PTHR10686:SF20', NULL, NULL, NULL, NULL, 'FOLATE TRANSPORTER 1', 108405),
(164680, 'PTHR47004:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 24', 108406),
(164681, 'PTHR13393', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE', 108407),
(164682, 'PTHR45805:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR ROR-GAMMA', 108408),
(164683, 'PTHR33671:SF7', NULL, NULL, NULL, NULL, 'BNAA05G09610D PROTEIN', 108409),
(164684, 'PTHR42844:SF8', NULL, NULL, NULL, NULL, '7,8-DIHYDRONEOPTERIN ALDOLASE', 108410),
(164685, 'PTHR31087:SF99', NULL, NULL, NULL, NULL, 'BNAA04G22100D PROTEIN', 108411),
(164686, 'PTHR47372', NULL, NULL, NULL, NULL, 'DAUER UP-REGULATED-RELATED', 108412),
(164687, 'PTHR45632:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108413),
(164688, 'PTHR38618', NULL, NULL, NULL, NULL, 'PROTEIN CBG21701-RELATED', 108414),
(164689, 'PTHR26450:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 108415),
(164690, 'PTHR12585:SF49', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION 1 PROTEIN 2', 108416),
(164691, 'PTHR24350:SF3', NULL, NULL, NULL, NULL, 'AURORA KINASE C', 108417),
(164692, 'PTHR24034:SF76', NULL, NULL, NULL, NULL, 'COLLAGEN AND CALCIUM-BINDING EGF DOMAIN-CONTAINING PROTEIN 1', 108418),
(164693, 'PTHR23331:SF1', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 1', 108419),
(164694, 'PTHR31235:SF250', NULL, NULL, NULL, NULL, 'PEROXIDASE', 108420),
(164695, 'PTHR10891:SF874', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 108421),
(164696, 'PTHR10878:SF6', NULL, NULL, NULL, NULL, 'SEGMENT POLARITY PROTEIN DISHEVELLED HOMOLOG DVL-3', 108422),
(164697, 'PTHR11802:SF260', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 19', 108423),
(164698, 'PTHR15499', NULL, NULL, NULL, NULL, 'HMG BOX-CONTAINING PROTEIN 1', 108424),
(164699, 'PTHR43391:SF31', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE-RELATED', 108425),
(164700, 'PTHR31657:SF20', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF061', 108426),
(164701, 'PTHR10166:SF37', NULL, NULL, NULL, NULL, 'STRAIGHTJACKET, ISOFORM C', 108427),
(164702, 'PTHR15439:SF16', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-LIKE', 108428),
(164703, 'PTHR47958:SF90', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX5-RELATED', 108429),
(164704, 'PTHR22884:SF487', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 108430),
(164705, 'PTHR48044:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 108431),
(164706, 'PTHR46445:SF10', NULL, NULL, NULL, NULL, 'BNAA09G26880D PROTEIN', 108432),
(164707, 'PTHR31282:SF151', NULL, NULL, NULL, NULL, 'BNAA04G17690D PROTEIN', 108433),
(164708, 'PTHR33167:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (DUF863)-RELATED', 108434),
(164709, 'PTHR11255:SF32', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE BETA', 108435),
(164710, 'PTHR23130:SF176', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 108436),
(164711, 'PTHR12236:SF83', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 35B', 108437),
(164712, 'PTHR31251:SF108', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 7', 108438),
(164713, 'PTHR47933:SF35', NULL, NULL, NULL, NULL, 'OS03G0115300 PROTEIN', 108439),
(164714, 'PTHR14879:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108440),
(164715, 'PTHR12254', NULL, NULL, NULL, NULL, 'ENHANCER OF SPLIT MALPHA PROTEIN', 108441),
(164716, 'PTHR23226:SF207', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 697', 108442),
(164717, 'PTHR31707:SF316', NULL, NULL, NULL, NULL, 'F8A5.27 PROTEIN', 108443),
(164718, 'PTHR12429:SF8', NULL, NULL, NULL, NULL, 'NEURALIZED-LIKE PROTEIN 2', 108444),
(164719, 'PTHR32191:SF23', NULL, NULL, NULL, NULL, 'OS02G0219700 PROTEIN', 108445),
(164720, 'PTHR31403', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IBETA2, CHLOROPLASTIC', 108446),
(164721, 'PTHR35987', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID REDOX INSENSITIVE 2, CHLOROPLASTIC-RELATED', 108447),
(164722, 'PTHR48005:SF31', NULL, NULL, NULL, NULL, 'OS02G0153400 PROTEIN', 108448);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(164723, 'PTHR12309:SF21', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORTER SEC61 SUBUNIT GAMMA-LIKE PROTEIN', 108449),
(164724, 'PTHR24278:SF19', NULL, NULL, NULL, NULL, 'GH16384P', 108450),
(164725, 'PTHR48010:SF3', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE-RELATED', 108451),
(164726, 'PTHR14789:SF5', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 14 MEMBER A', 108452),
(164727, 'PTHR47999:SF75', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB114-LIKE', 108453),
(164728, 'PTHR13844:SF50', NULL, NULL, NULL, NULL, 'CHROMATIN REMODELING COMPLEX SUBUNIT', 108454),
(164729, 'PTHR24343:SF373', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 7', 108455),
(164730, 'PTHR31165:SF70', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 1', 108456),
(164731, 'PTHR47928:SF151', NULL, NULL, NULL, NULL, 'OS03G0168550 PROTEIN', 108457),
(164732, 'PTHR46678:SF1', NULL, NULL, NULL, NULL, 'LECITHIN RETINOL ACYLTRANSFERASE', 108458),
(164733, 'PTHR20899:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108459),
(164734, 'PTHR22803:SF131', NULL, NULL, NULL, NULL, 'LITHOSTATHINE-1-RELATED', 108460),
(164735, 'PTHR45617:SF69', NULL, NULL, NULL, NULL, 'SI:DKEY-1J5.4', 108461),
(164736, 'PTHR42053:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108462),
(164737, 'PTHR31676:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108463),
(164738, 'PTHR47070:SF2', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', 108464),
(164739, 'PTHR24264:SF42', NULL, NULL, NULL, NULL, 'TISSUE-TYPE PLASMINOGEN ACTIVATOR', 108465),
(164740, 'PTHR47317:SF2', NULL, NULL, NULL, NULL, 'BNAA05G20390D PROTEIN', 108466),
(164741, 'PTHR31945:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH93-LIKE PROTEIN', 108467),
(164742, 'PTHR16027:SF6', NULL, NULL, NULL, NULL, 'DILUTE DOMAIN-CONTAINING PROTEIN YPR089W', 108468),
(164743, 'PTHR22883:SF272', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 108469),
(164744, 'PTHR10969:SF60', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8B', 108470),
(164745, 'PTHR10783:SF99', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 4', 108471),
(164746, 'PTHR10997:SF63', NULL, NULL, NULL, NULL, 'IMPORTIN-7-LIKE PROTEIN-RELATED', 108472),
(164747, 'PTHR43775:SF28', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE-RELATED', 108473),
(164748, 'PTHR15759:SF3', NULL, NULL, NULL, NULL, 'PANNEXIN-3', 108474),
(164749, 'PTHR24161:SF72', NULL, NULL, NULL, NULL, 'TARGET OF RAPAMYCIN COMPLEX 2 SUBUNIT AVO2', 108475),
(164750, 'PTHR31210', NULL, NULL, NULL, NULL, 'OS06G0731900 PROTEIN', 108476),
(164751, 'PTHR34491:SF43', NULL, NULL, NULL, NULL, 'PROTEIN CBG03877', 108477),
(164752, 'PTHR24044:SF454', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN C', 108478),
(164753, 'PTHR48001:SF168', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 108479),
(164754, 'PTHR45642:SF99', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL6', 108480),
(164755, 'PTHR32343:SF10', NULL, NULL, NULL, NULL, 'PROTEIN VIP1', 108481),
(164756, 'PTHR22953:SF138', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 108482),
(164757, 'PTHR13425', NULL, NULL, NULL, NULL, 'HEADCASE PROTEIN', 108483),
(164758, 'PTHR11926:SF1358', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYLTRANSFERASE', 108484),
(164759, 'PTHR48010:SF41', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 108485),
(164760, 'PTHR10641:SF976', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE ISOFORM X1', 108486),
(164761, 'PTHR19134:SF490', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108487),
(164762, 'PTHR35492', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 108488),
(164763, 'PTHR10969:SF79', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', 108489),
(164764, 'PTHR13218', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 11-RELATED', 108490),
(164765, 'PTHR47993:SF152', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 108491),
(164766, 'PTHR12411:SF661', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG12-LIKE', 108492),
(164767, 'PTHR24019:SF5', NULL, NULL, NULL, NULL, 'ADIPOLIN', 108493);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(164768, 'PTHR46413:SF29', NULL, NULL, NULL, NULL, 'BNAA03G16900D PROTEIN', 108494),
(164769, 'PTHR34061:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108495),
(164770, 'PTHR10730:SF6', NULL, NULL, NULL, NULL, 'PROCOLLAGEN-LYSINE,2-OXOGLUTARATE 5-DIOXYGENASE 2', 108496),
(164771, 'PTHR33116:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108497),
(164772, 'PTHR10502:SF214', NULL, NULL, NULL, NULL, 'ANNEXIN A7', 108498),
(164773, 'PTHR31561:SF169', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE-LIKE PROTEIN', 108499),
(164774, 'PTHR26379:SF348', NULL, NULL, NULL, NULL, 'BNAANNG03090D PROTEIN', 108500),
(164775, 'PTHR31945:SF108', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 108501),
(164776, 'PTHR35243:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108502),
(164777, 'PTHR34797:SF7', NULL, NULL, NULL, NULL, 'ATG8-INTERACTING PROTEIN 1-LIKE ISOFORM X1', 108503),
(164778, 'PTHR24377:SF724', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 416', 108504),
(164779, 'PTHR30136:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 108505),
(164780, 'PTHR48001:SF57', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 108506),
(164781, 'PTHR47782', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 108507),
(164782, 'PTHR23320:SF141', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 4A', 108508),
(164783, 'PTHR15599:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108509),
(164784, 'PTHR10071:SF320', NULL, NULL, NULL, NULL, 'PANNIER', 108510),
(164785, 'PTHR33823', NULL, NULL, NULL, NULL, 'RNA POLYMERASE-BINDING TRANSCRIPTION FACTOR DKSA-RELATED', 108511),
(164786, 'PTHR35467:SF3', NULL, NULL, NULL, NULL, 'BNAC05G51130D PROTEIN', 108512),
(164787, 'PTHR11915:SF325', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN, NON-ERYTHROCYTIC 2', 108513),
(164788, 'PTHR22847:SF671', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108514),
(164789, 'PTHR43096:SF52', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ GFA2, MITOCHONDRIAL', 108515),
(164790, 'PTHR13554:SF10', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 5', 108516),
(164791, 'PTHR10194:SF25', NULL, NULL, NULL, NULL, 'RAS/RAP GTPASE-ACTIVATING PROTEIN SYNGAP', 108517),
(164792, 'PTHR31541:SF44', NULL, NULL, NULL, NULL, 'BNAA05G11120D PROTEIN', 108518),
(164793, 'PTHR48013:SF17', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 7', 108519),
(164794, 'PTHR47928:SF83', NULL, NULL, NULL, NULL, 'OS01G0176300 PROTEIN', 108520),
(164795, 'PTHR11972:SF155', NULL, NULL, NULL, NULL, 'FERRIC REDUCTION OXIDASE 8, MITOCHONDRIAL', 108521),
(164796, 'PTHR16306:SF0', NULL, NULL, NULL, NULL, 'TRANSLIN-ASSOCIATED FACTOR X-INTERACTING PROTEIN 1', 108522),
(164797, 'PTHR11759:SF36', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14-3', 108523),
(164798, 'PTHR46578:SF2', NULL, NULL, NULL, NULL, 'ARM-REPEAT/TETRATRICOPEPTIDE REPEAT (TPR)-LIKE PROTEIN', 108524),
(164799, 'PTHR48011:SF45', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 18', 108525),
(164800, 'PTHR44102:SF8', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 108526),
(164801, 'PTHR46128:SF184', NULL, NULL, NULL, NULL, 'BNAC03G34980D PROTEIN', 108527),
(164802, 'PTHR14380:SF2', NULL, NULL, NULL, NULL, 'PLACENTA-SPECIFIC PROTEIN 1', 108528),
(164803, 'PTHR24326:SF587', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER, HOMEOBOX-ASSOCIATED, HOMEODOMAIN-LIKE, DNA REPAIR PROTEIN XRCC4-RELATED', 108529),
(164804, 'PTHR15223', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE AGGG SUBUNIT', 108530),
(164805, 'PTHR10362', NULL, NULL, NULL, NULL, 'HISTIDINE AMMONIA-LYASE', 108531),
(164806, 'PTHR47956:SF90', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', 108532),
(164807, 'PTHR33463:SF94', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (CC-NBS-LRR CLASS) FAMILY PROTEIN', 108533),
(164808, 'PTHR15678:SF10', NULL, NULL, NULL, NULL, 'LOCALIZATION AND RNA POL II PROMOTER FMP27 DOMAIN PROTEIN', 108534);
INSERT INTO "PUBLIC"."MODEL" VALUES
(164809, 'PTHR10075:SF28', NULL, NULL, NULL, NULL, 'MYOPALLADIN', 108535),
(164810, 'PTHR36010:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108536),
(164811, 'PTHR36467', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 207', 108537),
(164812, 'PTHR31235:SF194', NULL, NULL, NULL, NULL, 'PEROXIDASE', 108538),
(164813, 'PTHR47051:SF1', NULL, NULL, NULL, NULL, 'NESTIN', 108539),
(164814, 'PTHR43243:SF69', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 6, CHLOROPLASTIC', 108540),
(164815, 'PTHR10926:SF20', NULL, NULL, NULL, NULL, 'ALKYLPHOSPHOCHOLINE RESISTANCE PROTEIN LEM3', 108541),
(164816, 'PTHR43047:SF50', NULL, NULL, NULL, NULL, 'SENSOR KINASE-RELATED', 108542),
(164817, 'PTHR11592:SF110', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 108543),
(164818, 'PTHR12174:SF71', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 5', 108544),
(164819, 'PTHR10926:SF58', NULL, NULL, NULL, NULL, 'CDC50/LEM3 FAMILY-RELATED', 108545),
(164820, 'PTHR46684:SF2', NULL, NULL, NULL, NULL, 'OS06G0526100 PROTEIN', 108546),
(164821, 'PTHR44191:SF30', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 108547),
(164822, 'PTHR15615:SF104', NULL, NULL, NULL, NULL, 'CYCLIN', 108548),
(164823, 'PTHR30006:SF3', NULL, NULL, NULL, NULL, 'THIAMINE-BINDING PERIPLASMIC PROTEIN', 108549),
(164824, 'PTHR21964', NULL, NULL, NULL, NULL, 'BREAST CANCER METASTASIS-SUPPRESSOR 1', 108550),
(164825, 'PTHR14136:SF17', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD9', 108551),
(164826, 'PTHR11595:SF73', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-DELTA 1-RELATED', 108552),
(164827, 'PTHR31238:SF217', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 108553),
(164828, 'PTHR39173:SF1', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', 108554),
(164829, 'PTHR12443', NULL, NULL, NULL, NULL, 'TRANSLOCATION PROTEIN SEC62', 108555),
(164830, 'PTHR11214:SF5', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 108556),
(164831, 'PTHR48183', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 108557),
(164832, 'PTHR24093:SF459', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 108558),
(164833, 'PTHR47867:SF3', NULL, NULL, NULL, NULL, 'BNAA08G05100D PROTEIN', 108559),
(164834, 'PTHR31376:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108560),
(164835, 'PTHR41328:SF2', NULL, NULL, NULL, NULL, 'TERMINASE SMALL SUBUNIT', 108561),
(164836, 'PTHR48016:SF34', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE-LIKE PROTEIN', 108562),
(164837, 'PTHR26379:SF232', NULL, NULL, NULL, NULL, 'OS04G0625400 PROTEIN', 108563),
(164838, 'PTHR12630', NULL, NULL, NULL, NULL, 'N-LINKED OLIGOSACCHARIDE PROCESSING', 108564),
(164839, 'PTHR24343:SF84', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRSK2', 108565),
(164840, 'PTHR45770:SF15', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 108566),
(164841, 'PTHR22538', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 108567),
(164842, 'PTHR11496:SF97', NULL, NULL, NULL, NULL, 'MALEYLACETATE REDUCTASE (CLCE)', 108568),
(164843, 'PTHR43156:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE RSBP', 108569),
(164844, 'PTHR43254:SF4', NULL, NULL, NULL, NULL, 'ANGUSTIFOLIA1-1', 108570),
(164845, 'PTHR37437:SF2', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED PROTEIN', 108571),
(164846, 'PTHR11183:SF134', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 108572),
(164847, 'PTHR10574:SF261', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA-5', 108573),
(164848, 'PTHR10231:SF93', NULL, NULL, NULL, NULL, 'BNAC03G17350D PROTEIN', 108574),
(164849, 'PTHR31195:SF2', NULL, NULL, NULL, NULL, 'ZGC:77056', 108575),
(164850, 'PTHR43651:SF6', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN-BRANCHING ENZYME 2, CHLOROPLASTIC/AMYLOPLASTIC', 108576),
(164851, 'PTHR46281:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B-1', 108577),
(164852, 'PTHR20855:SF117', NULL, NULL, NULL, NULL, 'HEMOLYSIN-RELATED', 108578),
(164853, 'PTHR13832:SF746', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108579),
(164854, 'PTHR10926:SF27', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT', 108580);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(164855, 'PTHR23360:SF41', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 108581),
(164856, 'PTHR31852:SF201', NULL, NULL, NULL, NULL, 'BNAANNG33810D PROTEIN', 108582),
(164857, 'PTHR11206:SF350', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 38-RELATED', 108583),
(164858, 'PTHR12262:SF11', NULL, NULL, NULL, NULL, 'DIFFERENTIATION PROTEIN RCD1, PUTATIVE, EXPRESSED-RELATED', 108584),
(164859, 'PTHR31444:SF2', NULL, NULL, NULL, NULL, 'OS11G0490100 PROTEIN', 108585),
(164860, 'PTHR32153:SF46', NULL, NULL, NULL, NULL, 'OS02G0826700 PROTEIN', 108586),
(164861, 'PTHR31790:SF407', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 108587),
(164862, 'PTHR13931:SF14', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATION FACTOR E4 B', 108588),
(164863, 'PTHR45436', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YKOH', 108589),
(164864, 'PTHR10015:SF273', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-2A', 108590),
(164865, 'PTHR22838', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN 26-RELATED', 108591),
(164866, 'PTHR33359:SF1', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN SYNTHASE SULFUR CARRIER SUBUNIT', 108592),
(164867, 'PTHR23054:SF57', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1 LEUCINE-ZIPPER PROTEIN', 108593),
(164868, 'PTHR48018:SF8', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5B21', 108594),
(164869, 'PTHR42995:SF5', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A CARBOXYLASE CARBOXYL TRANSFERASE SUBUNIT BETA, CHLOROPLASTIC', 108595),
(164870, 'PTHR45614:SF85', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 108596),
(164871, 'PTHR47980:SF22', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-3B', 108597),
(164872, 'PTHR24377:SF877', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108598),
(164873, 'PTHR33228:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108599),
(164874, 'PTHR31476:SF15', NULL, NULL, NULL, NULL, 'OS04G0618900 PROTEIN', 108600),
(164875, 'PTHR31079:SF41', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 73', 108601),
(164876, 'PTHR22935:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108602),
(164877, 'PTHR24096:SF385', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', 108603),
(164878, 'PTHR47971:SF1', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 108604),
(164879, 'PTHR34467:SF2', NULL, NULL, NULL, NULL, 'OS01G0705400 PROTEIN', 108605),
(164880, 'PTHR43268', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE/RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 2', 108606),
(164881, 'PTHR40018', NULL, NULL, NULL, NULL, '[PSI+] INDUCTION PROTEIN 2', 108607),
(164882, 'PTHR24096:SF390', NULL, NULL, NULL, NULL, 'BNAA05G36600D PROTEIN', 108608),
(164883, 'PTHR13878:SF108', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 2', 108609),
(164884, 'PTHR33167:SF37', NULL, NULL, NULL, NULL, 'DUF863 FAMILY PROTEIN', 108610),
(164885, 'PTHR43356:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATE ACETYLTRANSFERASE', 108611),
(164886, 'PTHR34262', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 220', 108612),
(164887, 'PTHR33870:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108613),
(164888, 'PTHR13683:SF746', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108614),
(164889, 'PTHR21713:SF34', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA-LIKE PROTEIN', 108615),
(164890, 'PTHR46369:SF3', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-INTERACTIVE PROTEIN', 108616),
(164891, 'PTHR22913:SF4', NULL, NULL, NULL, NULL, 'HYALURONAN SYNTHASE 1', 108617),
(164892, 'PTHR47639:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 18', 108618),
(164893, 'PTHR45633:SF30', NULL, NULL, NULL, NULL, 'CHAPERONIN', 108619),
(164894, 'PTHR37705', NULL, NULL, NULL, NULL, 'BNAA08G11710D PROTEIN', 108620),
(164895, 'PTHR11403:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME BO(3) UBIQUINOL OXIDASE SUBUNIT 3', 108621),
(164896, 'PTHR22618:SF2', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSE KINASE', 108622),
(164897, 'PTHR23257:SF864', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', 108623),
(164898, 'PTHR48018:SF134', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 108624);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(164899, 'PTHR24072:SF142', NULL, NULL, NULL, NULL, 'RHOU, ISOFORM B', 108625),
(164900, 'PTHR24224:SF34', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 108626),
(164901, 'PTHR34710:SF6', NULL, NULL, NULL, NULL, 'OS05G0545900 PROTEIN', 108627),
(164902, 'PTHR39942', NULL, NULL, NULL, NULL, 'BCDNA.LD26519-RELATED', 108628),
(164903, 'PTHR34552:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108629),
(164904, 'PTHR24416:SF130', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR 2', 108630),
(164905, 'PTHR13890:SF42', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2/LPE10', 108631),
(164906, 'PTHR46936', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE XEG113', 108632),
(164907, 'PTHR10502:SF97', NULL, NULL, NULL, NULL, 'ANNEXIN', 108633),
(164908, 'PTHR14611:SF4', NULL, NULL, NULL, NULL, 'TECTONIC-3', 108634),
(164909, 'PTHR14418', NULL, NULL, NULL, NULL, 'CONDENSIN COMPLEX SUBUNIT 3-RELATED', 108635),
(164910, 'PTHR31680:SF8', NULL, NULL, NULL, NULL, 'LONGIFOLIA PROTEIN', 108636),
(164911, 'PTHR31395:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108637),
(164912, 'PTHR46128:SF253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108638),
(164913, 'PTHR31343:SF4', NULL, NULL, NULL, NULL, 'TATA-BOX-BINDING PROTEIN-LIKE', 108639),
(164914, 'PTHR38043', NULL, NULL, NULL, NULL, 'PROTEIN HEMX', 108640),
(164915, 'PTHR47327:SF1', NULL, NULL, NULL, NULL, 'RE15579P', 108641),
(164916, 'PTHR34193:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108642),
(164917, 'PTHR43539:SF51', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA8', 108643),
(164918, 'PTHR14383:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY D MEMBER 1', 108644),
(164919, 'PTHR47037', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L33, MITOCHONDRIAL', 108645),
(164920, 'PTHR21648:SF0', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD PROTEIN 3 HOMOLOG', 108646),
(164921, 'PTHR33138:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108647),
(164922, 'PTHR21398:SF22', NULL, NULL, NULL, NULL, 'IP12060P-RELATED', 108648),
(164923, 'PTHR11685:SF225', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 108649),
(164924, 'PTHR18959:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108650),
(164925, 'PTHR45645:SF1', NULL, NULL, NULL, NULL, 'PROCOLLAGEN C-ENDOPEPTIDASE ENHANCER 1', 108651),
(164926, 'PTHR33142', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR13', 108652),
(164927, 'PTHR45808:SF1', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACF-RELATED', 108653),
(164928, 'PTHR37417:SF2', NULL, NULL, NULL, NULL, '67 KDA MYOSIN-CROSS-REACTIVE ANTIGEN FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G09970)', 108654),
(164929, 'PTHR47446:SF3', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 108655),
(164930, 'PTHR11193:SF11', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN FAMILY PROTEIN', 108656),
(164931, 'PTHR19868:SF9', NULL, NULL, NULL, NULL, 'BNAA01G13120D PROTEIN', 108657),
(164932, 'PTHR31385:SF12', NULL, NULL, NULL, NULL, 'BNAA08G20420D PROTEIN', 108658),
(164933, 'PTHR31500:SF70', NULL, NULL, NULL, NULL, 'BNAANNG20150D PROTEIN', 108659),
(164934, 'PTHR38797:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108660),
(164935, 'PTHR47993:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108661),
(164936, 'PTHR36349', NULL, NULL, NULL, NULL, 'PROTEIN CLAVATA 3', 108662),
(164937, 'PTHR18952:SF245', NULL, NULL, NULL, NULL, 'OS09G0454500 PROTEIN', 108663),
(164938, 'PTHR33076:SF110', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', 108664),
(164939, 'PTHR31286:SF25', NULL, NULL, NULL, NULL, 'DUF4283 DOMAIN PROTEIN', 108665),
(164940, 'PTHR42733', NULL, NULL, NULL, NULL, 'DJ-1 PROTEIN', 108666),
(164941, 'PTHR43248:SF18', NULL, NULL, NULL, NULL, '2-SUCCINYL-6-HYDROXY-2,4-CYCLOHEXADIENE-1-CARBOXYLATE SYNTHASE', 108667),
(164942, 'PTHR31042:SF3', NULL, NULL, NULL, NULL, 'OS08G0110400 PROTEIN', 108668),
(164943, 'PTHR15241:SF321', NULL, NULL, NULL, NULL, '31 KDA RIBONUCLEOPROTEIN, CHLOROPLASTIC', 108669);
INSERT INTO "PUBLIC"."MODEL" VALUES
(164944, 'PTHR43895:SF98', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 108670),
(164945, 'PTHR33091:SF83', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE PROTEINASE INHIBITOR 1', 108671),
(164946, 'PTHR43612:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108672),
(164947, 'PTHR42886:SF43', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN-CONTAINING PROTEIN ABHD-5.1-RELATED', 108673),
(164948, 'PTHR14491', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 108674),
(164949, 'PTHR22599:SF61', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 2', 108675),
(164950, 'PTHR33076:SF58', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 108676),
(164951, 'PTHR11455:SF15', NULL, NULL, NULL, NULL, 'CRYPTOCHROME-2', 108677),
(164952, 'PTHR15708:SF15', NULL, NULL, NULL, NULL, 'IP14311P', 108678),
(164953, 'PTHR46550:SF3', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 3', 108679),
(164954, 'PTHR11771:SF150', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 108680),
(164955, 'PTHR11509', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONE ALPHA CHAIN', 108681),
(164956, 'PTHR33362:SF3', NULL, NULL, NULL, NULL, 'SIALIC ACID TRAP TRANSPORTER PERMEASE PROTEIN SIAT', 108682),
(164957, 'PTHR46753:SF2', NULL, NULL, NULL, NULL, 'FYVE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', 108683),
(164958, 'PTHR33052:SF143', NULL, NULL, NULL, NULL, 'BNAA02G18180D PROTEIN', 108684),
(164959, 'PTHR12555:SF13', NULL, NULL, NULL, NULL, 'UBIQUITIN RECOGNITION FACTOR IN ER-ASSOCIATED DEGRADATION PROTEIN 1', 108685),
(164960, 'PTHR12411:SF758', NULL, NULL, NULL, NULL, 'BNAA04G19960D PROTEIN', 108686),
(164961, 'PTHR10073:SF52', NULL, NULL, NULL, NULL, 'MISMATCH REPAIR ENDONUCLEASE PMS2-RELATED', 108687),
(164962, 'PTHR12471:SF2', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT S1', 108688),
(164963, 'PTHR31658:SF0', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 1', 108689),
(164964, 'PTHR44324:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-202C14.3', 108690),
(164965, 'PTHR31044:SF80', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 5', 108691),
(164966, 'PTHR34144:SF1', NULL, NULL, NULL, NULL, 'CAPSULAR ASSOCIATED PROTEIN', 108692),
(164967, 'PTHR43562:SF4', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER NHAS5', 108693),
(164968, 'PTHR31907:SF24', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 28-RELATED', 108694),
(164969, 'PTHR46706', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 108695),
(164970, 'PTHR35550', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 108696),
(164971, 'PTHR47293:SF55', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 20', 108697),
(164972, 'PTHR23050:SF169', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 4', 108698),
(164973, 'PTHR27000:SF608', NULL, NULL, NULL, NULL, 'HIGHLY SIMILAR TO RECEPTOR-LIKE PROTEIN KINASE', 108699),
(164974, 'PTHR27006:SF220', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 108700),
(164975, 'PTHR23175:SF21', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 21B', 108701),
(164976, 'PTHR11206:SF373', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 108702),
(164977, 'PTHR11926:SF1401', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 108703),
(164978, 'PTHR33168:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108704),
(164979, 'PTHR31867:SF117', NULL, NULL, NULL, NULL, 'EXPANSIN', 108705),
(164980, 'PTHR47853:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108706),
(164981, 'PTHR26453:SF216', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2I1-RELATED', 108707),
(164982, 'PTHR13154:SF2', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 2', 108708),
(164983, 'PTHR12304:SF50', NULL, NULL, NULL, NULL, 'INOSINE/URIDINE-PREFERRING NUCLEOSIDE HYDROLASE DOMAIN-CONTAINING PROTEIN-RELATED', 108709),
(164984, 'PTHR23405', NULL, NULL, NULL, NULL, 'MAINTENANCE OF KILLER 16  MAK16  PROTEIN-RELATED', 108710),
(164985, 'PTHR31929:SF99', NULL, NULL, NULL, NULL, 'BNAA02G03900D PROTEIN', 108711),
(164986, 'PTHR11977:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108712),
(164987, 'PTHR14226:SF77', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE/ACYL HYDROLASE/LYSOPHOSPHOLIPASE, TRIACYLGLYCEROL LIPASE-RELATED', 108713);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(164988, 'PTHR17408:SF7', NULL, NULL, NULL, NULL, 'HISTONE RNA HAIRPIN-BINDING PROTEIN', 108714),
(164989, 'PTHR32303:SF4', NULL, NULL, NULL, NULL, 'QUINOPROTEIN GLUCOSE DEHYDROGENASE', 108715),
(164990, 'PTHR36066:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108716),
(164991, 'PTHR11122:SF51', NULL, NULL, NULL, NULL, 'ALDOSE 1-/GLUCOSE-6-PHOSPHATE 1-EPIMERASE, GALACTOSE MUTAROTASE-LIKE DOMAIN PROTEIN-RELATED', 108717),
(164992, 'PTHR34651:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO ENSANGP00000021391', 108718),
(164993, 'PTHR46905:SF5', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL78-LIKE', 108719),
(164994, 'PTHR12510:SF15', NULL, NULL, NULL, NULL, 'AIG2-LIKE (AVIRULENCE INDUCED GENE) FAMILY PROTEIN', 108720),
(164995, 'PTHR38793:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108721),
(164996, 'PTHR13561', NULL, NULL, NULL, NULL, 'DNA REPLICATION REGULATOR DPB11-RELATED', 108722),
(164997, 'PTHR31149', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 108723),
(164998, 'PTHR33204:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, MARR FAMILY', 108724),
(164999, 'PTHR24172:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108725),
(165000, 'PTHR32444:SF111', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE', 108726),
(165001, 'PTHR23201:SF74', NULL, NULL, NULL, NULL, 'GIBBERELLIN REGULATED PROTEIN', 108727),
(165002, 'PTHR46291:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108728),
(165003, 'PTHR12300:SF100', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 108729),
(165004, 'PTHR24403:SF58', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 462', 108730),
(165005, 'PTHR34355:SF9', NULL, NULL, NULL, NULL, 'JOSEPHIN-LIKE PROTEIN', 108731),
(165006, 'PTHR37833:SF1', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', 108732),
(165007, 'PTHR18884:SF108', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 250', 108733),
(165008, 'PTHR26452:SF179', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 478', 108734),
(165009, 'PTHR37710', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 108735),
(165010, 'PTHR24286:SF296', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 108736),
(165011, 'PTHR24343:SF451', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', 108737),
(165012, 'PTHR43670:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108738),
(165013, 'PTHR22765:SF283', NULL, NULL, NULL, NULL, 'SI:CH211-207L14.1', 108739),
(165014, 'PTHR23510:SF3', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 8', 108740),
(165015, 'PTHR10994:SF159', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 108741),
(165016, 'PTHR16026', NULL, NULL, NULL, NULL, 'CARTILAGE ACIDIC PROTEIN 1', 108742),
(165017, 'PTHR23039:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108743),
(165018, 'PTHR33674:SF1', NULL, NULL, NULL, NULL, 'OS01G0833400 PROTEIN', 108744),
(165019, 'PTHR23212', NULL, NULL, NULL, NULL, 'BRAIN ACID SOLUBLE PROTEIN 1', 108745),
(165020, 'PTHR15065:SF5', NULL, NULL, NULL, NULL, 'INSULINOMA-ASSOCIATED PROTEIN 1', 108746),
(165021, 'PTHR43773:SF1', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MGTE', 108747),
(165022, 'PTHR33334:SF10', NULL, NULL, NULL, NULL, 'PROTEIN LNK4', 108748),
(165023, 'PTHR10288:SF285', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS K HOMOLOGY DOMAIN', 108749),
(165024, 'PTHR11662:SF247', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE COTRANSPORTER-RELATED', 108750),
(165025, 'PTHR43574:SF45', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR EPIMERASE-RELATED', 108751),
(165026, 'PTHR35546:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108752),
(165027, 'PTHR15688', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN 1', 108753),
(165028, 'PTHR46046', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 108754),
(165029, 'PTHR23430:SF324', NULL, NULL, NULL, NULL, 'HISTONE H2A', 108755),
(165030, 'PTHR31561:SF73', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 1', 108756),
(165031, 'PTHR45657:SF36', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH14', 108757),
(165032, 'PTHR43452:SF23', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 2', 108758); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(165033, 'PTHR43163:SF7', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORT SYSTEM INTEGRAL MEMBRANE PROTEIN-RELATED', 108759),
(165034, 'PTHR43791:SF90', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE CATABOLISM PROTEIN', 108760),
(165035, 'PTHR31828:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 1', 108761),
(165036, 'PTHR33504:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE (UBIQUINONE) 1 BETA SUBCOMPLEX, 4', 108762),
(165037, 'PTHR30582:SF28', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE YCBB-RELATED', 108763),
(165038, 'PTHR39624:SF2', NULL, NULL, NULL, NULL, 'PROTEIN INVOLVED IN RIMO-MEDIATED BETA-METHYLTHIOLATION OF RIBOSOMAL PROTEIN S12 YCAO', 108764),
(165039, 'PTHR11206:SF325', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 108765),
(165040, 'PTHR11799:SF16', NULL, NULL, NULL, NULL, 'SERUM PARAOXONASE/ARYLESTERASE 1', 108766),
(165041, 'PTHR19957:SF280', NULL, NULL, NULL, NULL, 'SYNTAXIN-21', 108767),
(165042, 'PTHR11537:SF265', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY D MEMBER 2', 108768),
(165043, 'PTHR32467:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108769),
(165044, 'PTHR10788:SF106', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 1', 108770),
(165045, 'PTHR10502:SF109', NULL, NULL, NULL, NULL, 'ANNEXIN', 108771),
(165046, 'PTHR32444:SF10', NULL, NULL, NULL, NULL, 'EP1-LIKE GLYCOPROTEIN 3-RELATED', 108772),
(165047, 'PTHR43999:SF6', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN, MYB-LIKE DNA-BINDING DOMAIN PROTEIN-RELATED', 108773),
(165048, 'PTHR24229:SF35', NULL, NULL, NULL, NULL, 'SOMATOSTATIN RECEPTOR TYPE 4', 108774),
(165049, 'PTHR23062', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN  C.ELEGANS', 108775),
(165050, 'PTHR47898:SF1', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR 4', 108776),
(165051, 'PTHR10102:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE 3, CHLOROPLASTIC', 108777),
(165052, 'PTHR46364:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108778),
(165053, 'PTHR48052:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108779),
(165054, 'PTHR10366:SF579', NULL, NULL, NULL, NULL, '3-BETA HYDROXYSTEROID DEHYDROGENASE/ISOMERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G02250)', 108780),
(165055, 'PTHR32263:SF10', NULL, NULL, NULL, NULL, 'OS10G0577800 PROTEIN', 108781),
(165056, 'PTHR11885:SF16', NULL, NULL, NULL, NULL, 'OS07G0572900 PROTEIN', 108782),
(165057, 'PTHR11787:SF19', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR 2', 108783),
(165058, 'PTHR34582:SF2', NULL, NULL, NULL, NULL, 'UPF0702 TRANSMEMBRANE PROTEIN YDFR', 108784),
(165059, 'PTHR10223:SF6', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 4 HOMOLOG ISOFORM X1', 108785),
(165060, 'PTHR24099:SF19', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 3B', 108786),
(165061, 'PTHR33087:SF2', NULL, NULL, NULL, NULL, 'OS04G0155550 PROTEIN', 108787),
(165062, 'PTHR37319', NULL, NULL, NULL, NULL, 'TRANSPOSASE', 108788),
(165063, 'PTHR22765:SF306', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 108789),
(165064, 'PTHR31321:SF57', NULL, NULL, NULL, NULL, 'PECTINESTERASE 53-RELATED', 108790),
(165065, 'PTHR43322:SF5', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE-5-PHOSPHATE SYNTHASE, CHLOROPLASTIC', 108791),
(165066, 'PTHR43686:SF1', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE-RELATED', 108792),
(165067, 'PTHR31790:SF161', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR1', 108793),
(165068, 'PTHR18863:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 170', 108794),
(165069, 'PTHR17469:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TESPA1', 108795),
(165070, 'PTHR26374:SF348', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108796),
(165071, 'PTHR11937:SF367', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 108797),
(165072, 'PTHR21495:SF207', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 108798),
(165073, 'PTHR46871:SF5', NULL, NULL, NULL, NULL, 'BNAC09G23860D PROTEIN', 108799),
(165074, 'PTHR24062:SF144', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 108800);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(165075, 'PTHR34830', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN MGC34837', 108801),
(165076, 'PTHR23113:SF340', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR K', 108802),
(165077, 'PTHR14715', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 108803),
(165078, 'PTHR13696:SF90', NULL, NULL, NULL, NULL, 'POSSIBLE SOJ/PARA-RELATED PROTEIN', 108804),
(165079, 'PTHR10458:SF20', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE 1', 108805),
(165080, 'PTHR45080:SF17', NULL, NULL, NULL, NULL, 'MYOTILIN', 108806),
(165081, 'PTHR24009:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 18', 108807),
(165082, 'PTHR42839:SF2', NULL, NULL, NULL, NULL, 'ISOCHORISMATE SYNTHASE ENTC', 108808),
(165083, 'PTHR23130:SF174', NULL, NULL, NULL, NULL, 'BNAC08G48880D PROTEIN', 108809),
(165084, 'PTHR12113:SF6', NULL, NULL, NULL, NULL, 'DICKKOPF3-LIKE 3', 108810),
(165085, 'PTHR12595:SF19', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE ISOENZYME 6', 108811),
(165086, 'PTHR46168:SF13', NULL, NULL, NULL, NULL, 'ARO1-LIKE PROTEIN 1', 108812),
(165087, 'PTHR33592:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108813),
(165088, 'PTHR24056:SF451', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108814),
(165089, 'PTHR12313:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108815),
(165090, 'PTHR47995:SF24', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', 108816),
(165091, 'PTHR48018:SF160', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 108817),
(165092, 'PTHR23316:SF59', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', 108818),
(165093, 'PTHR31062:SF220', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 108819),
(165094, 'PTHR42759:SF1', NULL, NULL, NULL, NULL, 'MOXR FAMILY PROTEIN', 108820),
(165095, 'PTHR33565:SF22', NULL, NULL, NULL, NULL, 'BNAA09G01040D PROTEIN', 108821),
(165096, 'PTHR10807:SF66', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 3', 108822),
(165097, 'PTHR43532', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE THYMIDYLYLTRANSFERASE', 108823),
(165098, 'PTHR32444:SF146', NULL, NULL, NULL, NULL, 'INACTIVE G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SRK-RELATED', 108824),
(165099, 'PTHR36854', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', 108825),
(165100, 'PTHR31072:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PCF8', 108826),
(165101, 'PTHR45771', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN DEFORMED', 108827),
(165102, 'PTHR27002:SF842', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108828),
(165103, 'PTHR12289:SF30', NULL, NULL, NULL, NULL, 'METAXIN-3', 108829),
(165104, 'PTHR48179:SF1', NULL, NULL, NULL, NULL, 'OS08G0232201 PROTEIN', 108830),
(165105, 'PTHR23266:SF323', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 4-30-2-RELATED', 108831),
(165106, 'PTHR27008:SF412', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE-LIKE PROTEIN ZAR1', 108832),
(165107, 'PTHR23039:SF3', NULL, NULL, NULL, NULL, 'NHS-LIKE PROTEIN 1', 108833),
(165108, 'PTHR12161:SF60', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', 108834),
(165109, 'PTHR23105:SF111', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A-1', 108835),
(165110, 'PTHR13140:SF505', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-VIIB', 108836),
(165111, 'PTHR47621:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH-TYPE ANTIVIRAL PROTEIN 1-LIKE', 108837),
(165112, 'PTHR15680:SF15', NULL, NULL, NULL, NULL, 'BNAC09G20060D PROTEIN', 108838),
(165113, 'PTHR31741:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108839),
(165114, 'PTHR11877:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108840),
(165115, 'PTHR10209:SF590', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 108841),
(165116, 'PTHR42720', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', 108842),
(165117, 'PTHR43205:SF53', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 108843),
(165118, 'PTHR24414:SF116', NULL, NULL, NULL, NULL, 'BNAC03G30770D PROTEIN', 108844); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(165119, 'PTHR26453:SF656', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 108845),
(165120, 'PTHR15075:SF2', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYLGLYCOPROTEIN 6-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE', 108846),
(165121, 'PTHR20856:SF21', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE D SUBUNIT 2B-RELATED', 108847),
(165122, 'PTHR33405:SF18', NULL, NULL, NULL, NULL, 'PROTEIN FLX-LIKE 4', 108848),
(165123, 'PTHR22891:SF163', NULL, NULL, NULL, NULL, 'AGO4D', 108849),
(165124, 'PTHR11879:SF3', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, CYTOPLASMIC', 108850),
(165125, 'PTHR11668:SF472', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1-BETA CATALYTIC SUBUNIT', 108851),
(165126, 'PTHR32382:SF40', NULL, NULL, NULL, NULL, 'OS09G0248100 PROTEIN', 108852),
(165127, 'PTHR33527:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108853),
(165128, 'PTHR34377:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 108854),
(165129, 'PTHR24384:SF208', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 718', 108855),
(165130, 'PTHR10527:SF64', NULL, NULL, NULL, NULL, 'BETA PUTATIVE-RELATED', 108856),
(165131, 'PTHR33205:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108857),
(165132, 'PTHR48102', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPX-LIKE, MITOCHONDRIAL-RELATED', 108858),
(165133, 'PTHR46868:SF4', NULL, NULL, NULL, NULL, 'DUF581 FAMILY PROTEIN', 108859),
(165134, 'PTHR11662:SF280', NULL, NULL, NULL, NULL, 'FI21844P1-RELATED', 108860),
(165135, 'PTHR24390:SF128', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 20', 108861),
(165136, 'PTHR35022', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 108862),
(165137, 'PTHR24103:SF554', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 35-28', 108863),
(165138, 'PTHR10759', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', 108864),
(165139, 'PTHR12542:SF38', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 108865),
(165140, 'PTHR24247:SF128', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10H3', 108866),
(165141, 'PTHR43329:SF107', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2', 108867),
(165142, 'PTHR31269:SF35', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH3', 108868),
(165143, 'PTHR22957:SF546', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108869),
(165144, 'PTHR48049:SF67', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 79B30', 108870),
(165145, 'PTHR34957:SF8', NULL, NULL, NULL, NULL, 'OS02G0788500 PROTEIN', 108871),
(165146, 'PTHR22969:SF17', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE SUBUNIT BETA-LIKE PROTEIN', 108872),
(165147, 'PTHR30473:SF1', NULL, NULL, NULL, NULL, 'PHOH-LIKE PROTEIN', 108873),
(165148, 'PTHR11614:SF94', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 108874),
(165149, 'PTHR43358:SF9', NULL, NULL, NULL, NULL, 'BNAC01G30640D PROTEIN', 108875),
(165150, 'PTHR30055:SF149', NULL, NULL, NULL, NULL, 'TETR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 108876),
(165151, 'PTHR32166:SF55', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 108877),
(165152, 'PTHR31776:SF13', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE-LIKE PROTEIN', 108878),
(165153, 'PTHR38372:SF2', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', 108879),
(165154, 'PTHR10794:SF60', NULL, NULL, NULL, NULL, 'PROTEIN ABHD1', 108880),
(165155, 'PTHR14241:SF10', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN DDB_G0292188', 108881),
(165156, 'PTHR10504:SF139', NULL, NULL, NULL, NULL, 'PROTEIN CBG16502', 108882),
(165157, 'PTHR34191:SF14', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 1-LIKE', 108883),
(165158, 'PTHR36915', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 108884),
(165159, 'PTHR31388:SF204', NULL, NULL, NULL, NULL, 'PEROXIDASE', 108885),
(165160, 'PTHR47924:SF37', NULL, NULL, NULL, NULL, 'BNAC02G09320D PROTEIN', 108886),
(165161, 'PTHR35477:SF3', NULL, NULL, NULL, NULL, 'PHD FINGER-LIKE PROTEIN', 108887),
(165162, 'PTHR13817:SF27', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN C, SLOW-TYPE', 108888);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(165163, 'PTHR10334:SF492', NULL, NULL, NULL, NULL, 'OS07G0128800 PROTEIN', 108889),
(165164, 'PTHR44586:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108890),
(165165, 'PTHR14907:SF4', NULL, NULL, NULL, NULL, 'SUPPRESSOR APC DOMAIN-CONTAINING PROTEIN 1', 108891),
(165166, 'PTHR26450:SF346', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 573, PSEUDOGENE 1', 108892),
(165167, 'PTHR14255:SF35', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-LIKE', 108893),
(165168, 'PTHR22765:SF152', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE EL5', 108894),
(165169, 'PTHR45964', NULL, NULL, NULL, NULL, 'WSCD FAMILY MEMBER CG9164', 108895),
(165170, 'PTHR11654:SF353', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER PLANT-LIKE PROTEIN', 108896),
(165171, 'PTHR38633:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG15571', 108897),
(165172, 'PTHR23086:SF26', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE TYPE-1 GAMMA', 108898),
(165173, 'PTHR35614:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108899),
(165174, 'PTHR35022:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108900),
(165175, 'PTHR31680:SF12', NULL, NULL, NULL, NULL, 'OS11G0587300 PROTEIN', 108901),
(165176, 'PTHR14155:SF558', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL40-LIKE', 108902),
(165177, 'PTHR11505:SF212', NULL, NULL, NULL, NULL, 'LINE-1 RETROTRANSPOSABLE ELEMENT ORF1 PROTEIN', 108903),
(165178, 'PTHR31929:SF107', NULL, NULL, NULL, NULL, 'BNAA03G53060D PROTEIN', 108904),
(165179, 'PTHR24351:SF220', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE YPK2/YKR2', 108905),
(165180, 'PTHR46684:SF11', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING SUPERFAMILY PROTEIN-RELATED', 108906),
(165181, 'PTHR13064:SF6', NULL, NULL, NULL, NULL, 'AGAP007259-PA', 108907),
(165182, 'PTHR35690', NULL, NULL, NULL, NULL, 'OS01G0363500 PROTEIN', 108908),
(165183, 'PTHR31707:SF218', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 108909),
(165184, 'PTHR45943', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MYCBP2', 108910),
(165185, 'PTHR24377:SF782', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 782', 108911),
(165186, 'PTHR12358:SF52', NULL, NULL, NULL, NULL, 'SPHINGOID LONG-CHAIN BASES KINASE 1', 108912),
(165187, 'PTHR11618:SF68', NULL, NULL, NULL, NULL, 'BNAA03G19530D PROTEIN', 108913),
(165188, 'PTHR22937:SF115', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR2-LIKE', 108914),
(165189, 'PTHR24369:SF174', NULL, NULL, NULL, NULL, 'RETICULON-4 RECEPTOR', 108915),
(165190, 'PTHR34562:SF13', NULL, NULL, NULL, NULL, 'OS08G0497900 PROTEIN', 108916),
(165191, 'PTHR12632:SF63', NULL, NULL, NULL, NULL, 'BNAC03G41820D PROTEIN', 108917),
(165192, 'PTHR31250:SF31', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM1-LIKE', 108918),
(165193, 'PTHR31339:SF71', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 108919),
(165194, 'PTHR11571:SF155', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 4', 108920),
(165195, 'PTHR15858:SF2', NULL, NULL, NULL, NULL, 'YOS1-LIKE PROTEIN', 108921),
(165196, 'PTHR45496', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 108922),
(165197, 'PTHR10553:SF26', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G-RELATED', 108923),
(165198, 'PTHR10869:SF160', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 11-RELATED', 108924),
(165199, 'PTHR12002:SF74', NULL, NULL, NULL, NULL, 'CLAUDIN-15', 108925),
(165200, 'PTHR12714', NULL, NULL, NULL, NULL, 'PROTEIN-S ISOPRENYLCYSTEINE O-METHYLTRANSFERASE', 108926),
(165201, 'PTHR18947:SF36', NULL, NULL, NULL, NULL, 'PROTEIN HOOK HOMOLOG 1', 108927),
(165202, 'PTHR34726', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 108928),
(165203, 'PTHR36118:SF1', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT G', 108929),
(165204, 'PTHR10953:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108930),
(165205, 'PTHR43229:SF3', NULL, NULL, NULL, NULL, 'ABC-TYPE MULTIDRUG TRANSPORT SYSTEM, PERMEASE COMPONENT', 108931),
(165206, 'PTHR43447:SF3', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 1', 108932);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(165207, 'PTHR23503:SF99', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 3', 108933),
(165208, 'PTHR21089:SF30', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3-DEHYDROQUINATE DEHYDRATASE/SHIKIMATE DEHYDROGENASE CHLOROPLASTIC', 108934),
(165209, 'PTHR32467:SF124', NULL, NULL, NULL, NULL, 'AP2 DOMAIN TRANSCRIPTION FACTOR', 108935),
(165210, 'PTHR22957:SF437', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 2B', 108936),
(165211, 'PTHR14523', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN C17ORF53 HOMOLOG', 108937),
(165212, 'PTHR24177:SF256', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PLANT-LIKE PROTEIN', 108938),
(165213, 'PTHR10799:SF977', NULL, NULL, NULL, NULL, 'ZINC FINGER, CW-TYPE', 108939),
(165214, 'PTHR46159:SF4', NULL, NULL, NULL, NULL, 'OS12G0605300 PROTEIN', 108940),
(165215, 'PTHR10443:SF39', NULL, NULL, NULL, NULL, 'DIPEPTIDASE-RELATED', 108941),
(165216, 'PTHR11514:SF108', NULL, NULL, NULL, NULL, 'OS04G0301500 PROTEIN', 108942),
(165217, 'PTHR10353:SF218', NULL, NULL, NULL, NULL, 'BNAA09G08470D PROTEIN', 108943),
(165218, 'PTHR31953:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108944),
(165219, 'PTHR10209:SF695', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', 108945),
(165220, 'PTHR11566:SF40', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE PROTEIN A', 108946),
(165221, 'PTHR10701:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108947),
(165222, 'PTHR46477:SF15', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN PROTEIN', 108948),
(165223, 'PTHR24326:SF225', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX23', 108949),
(165224, 'PTHR27009:SF261', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 108950),
(165225, 'PTHR13710:SF132', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE Q-LIKE 4B', 108951),
(165226, 'PTHR27002:SF583', NULL, NULL, NULL, NULL, 'OS04G0633200 PROTEIN', 108952),
(165227, 'PTHR42721:SF9', NULL, NULL, NULL, NULL, 'OS11G0297300 PROTEIN', 108953),
(165228, 'PTHR23236:SF69', NULL, NULL, NULL, NULL, 'BNAA04G17650D PROTEIN', 108954),
(165229, 'PTHR42983:SF1', NULL, NULL, NULL, NULL, 'DINITROGENASE IRON-MOLYBDENUM COFACTOR PROTEIN-RELATED', 108955),
(165230, 'PTHR15288:SF6', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 2C', 108956),
(165231, 'PTHR16469:SF48', NULL, NULL, NULL, NULL, 'BNAC06G42780D PROTEIN', 108957),
(165232, 'PTHR31696:SF71', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', 108958),
(165233, 'PTHR11375:SF1', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY MEMBER A', 108959),
(165234, 'PTHR45839:SF10', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', 108960),
(165235, 'PTHR43327:SF48', NULL, NULL, NULL, NULL, 'PROTEIN QMCA', 108961),
(165236, 'PTHR32448:SF73', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 15', 108962),
(165237, 'PTHR32285:SF13', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 108963),
(165238, 'PTHR12242:SF10', NULL, NULL, NULL, NULL, 'OS02G0130600 PROTEIN', 108964),
(165239, 'PTHR33203:SF41', NULL, NULL, NULL, NULL, 'OLEOSIN', 108965),
(165240, 'PTHR43255:SF3', NULL, NULL, NULL, NULL, 'COB--COM HETERODISULFIDE REDUCTASE IRON-SULFUR SUBUNIT C 1', 108966),
(165241, 'PTHR25464:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108967),
(165242, 'PTHR43731:SF24', NULL, NULL, NULL, NULL, 'PROTEASE ROM6, PUTATIVE-RELATED', 108968),
(165243, 'PTHR45693:SF24', NULL, NULL, NULL, NULL, 'BZIP FAMILY TRANSCRIPTION FACTOR', 108969),
(165244, 'PTHR24351:SF110', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 108970),
(165245, 'PTHR47534:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108971),
(165246, 'PTHR47564:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', 108972),
(165247, 'PTHR24281:SF106', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE', 108973),
(165248, 'PTHR31342:SF55', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC-LIKE', 108974),
(165249, 'PTHR46105:SF5', NULL, NULL, NULL, NULL, 'AGAP004733-PA', 108975);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(165250, 'PTHR11452:SF66', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', 108976),
(165251, 'PTHR47948', NULL, NULL, NULL, NULL, 'TRANS-CINNAMATE 4-MONOOXYGENASE', 108977),
(165252, 'PTHR45974:SF136', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', 108978),
(165253, 'PTHR11596:SF69', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE, PLACENTAL TYPE', 108979),
(165254, 'PTHR33595:SF9', NULL, NULL, NULL, NULL, 'BNAA06G32290D PROTEIN', 108980),
(165255, 'PTHR24044:SF417', NULL, NULL, NULL, NULL, 'PROTEIN LIN-12', 108981),
(165256, 'PTHR20859:SF5', NULL, NULL, NULL, NULL, 'INTERFERON GAMMA RECEPTOR 1', 108982),
(165257, 'PTHR46391', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 34', 108983),
(165258, 'PTHR10031:SF41', NULL, NULL, NULL, NULL, 'ATPASE, F0 COMPLEX, SUBUNIT C, V-ATPASE PROTEOLIPID SUBUNIT C-LIKE DOMAIN PROTEIN-RELATED', 108984),
(165259, 'PTHR35691', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 108985),
(165260, 'PTHR11216:SF153', NULL, NULL, NULL, NULL, 'OS06G0728600 PROTEIN', 108986),
(165261, 'PTHR12107:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108987),
(165262, 'PTHR31945:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH61-RELATED', 108988),
(165263, 'PTHR18945:SF472', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-TYPE DEG-3', 108989),
(165264, 'PTHR12988', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE 4', 108990),
(165265, 'PTHR13140:SF758', NULL, NULL, NULL, NULL, 'MYOSIN-14', 108991),
(165266, 'PTHR10210:SF95', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 1-LIKE', 108992),
(165267, 'PTHR33048:SF115', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', 108993),
(165268, 'PTHR19944:SF62', NULL, NULL, NULL, NULL, 'BETA-2-MICROGLOBULIN', 108994),
(165269, 'PTHR48036:SF4', NULL, NULL, NULL, NULL, 'CC1-LIKE SPLICING FACTOR', 108995),
(165270, 'PTHR47980:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 108996),
(165271, 'PTHR11849:SF172', NULL, NULL, NULL, NULL, 'ETS DOMAIN-CONTAINING PROTEIN ELK-3', 108997),
(165272, 'PTHR21879:SF10', NULL, NULL, NULL, NULL, 'LP14110P', 108998),
(165273, 'PTHR10602:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 1', 108999),
(165274, 'PTHR12565:SF373', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 109000),
(165275, 'PTHR33112:SF1', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', 109001),
(165276, 'PTHR13778:SF42', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 109002),
(165277, 'PTHR13902:SF119', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE WNK11-LIKE PROTEIN', 109003),
(165278, 'PTHR31042:SF61', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-16-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 109004),
(165279, 'PTHR13105:SF19', NULL, NULL, NULL, NULL, 'MYELOID LEUKEMIA FACTOR-RELATED', 109005),
(165280, 'PTHR37783:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G04315)-RELATED', 109006),
(165281, 'PTHR11216:SF31', NULL, NULL, NULL, NULL, 'AT21416P', 109007),
(165282, 'PTHR12346:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109008),
(165283, 'PTHR37560:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109009),
(165284, 'PTHR42973:SF32', NULL, NULL, NULL, NULL, 'FAD-LINKED OXIDOREDUCTASE AFOF', 109010),
(165285, 'PTHR11017:SF405', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 109011),
(165286, 'PTHR23310:SF77', NULL, NULL, NULL, NULL, 'LD25952P', 109012),
(165287, 'PTHR30231:SF4', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III, EPSILON SUBUNIT', 109013),
(165288, 'PTHR31744:SF55', NULL, NULL, NULL, NULL, 'OS08G0436700 PROTEIN', 109014),
(165289, 'PTHR32518:SF3', NULL, NULL, NULL, NULL, '4-ALPHA-GLUCANOTRANSFERASE DPE2', 109015),
(165290, 'PTHR13817:SF10', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 22', 109016),
(165291, 'PTHR31421:SF6', NULL, NULL, NULL, NULL, 'PROTEIN BASIC PENTACYSTEINE7', 109017),
(165292, 'PTHR14705:SF0', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT BETA', 109018);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(165293, 'PTHR10357:SF206', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE MAL12-RELATED', 109019),
(165294, 'PTHR12630:SF6', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-1-PHOSPHOTRANSFERASE SUBUNIT GAMMA', 109020),
(165295, 'PTHR24015:SF1954', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 109021),
(165296, 'PTHR31992:SF75', NULL, NULL, NULL, NULL, 'DOF DOMAIN, ZINC FINGER FAMILY PROTEIN, EXPRESSED', 109022),
(165297, 'PTHR11941:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109023),
(165298, 'PTHR12607:SF3', NULL, NULL, NULL, NULL, 'ADENOMATOUS POLYPOSIS COLI PROTEIN 2', 109024),
(165299, 'PTHR31642:SF249', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-LIKE', 109025),
(165300, 'PTHR33693:SF8', NULL, NULL, NULL, NULL, 'PHAGE SPO1 DNA POLYMERASE-RELATED PROTEIN', 109026),
(165301, 'PTHR14845:SF5', NULL, NULL, NULL, NULL, 'BASAL BODY-ORIENTATION FACTOR 1', 109027),
(165302, 'PTHR23023:SF84', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING] 2', 109028),
(165303, 'PTHR19359:SF103', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE', 109029),
(165304, 'PTHR31769:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109030),
(165305, 'PTHR23356:SF18', NULL, NULL, NULL, NULL, 'DPY30 DOMAIN-CONTAINING 2', 109031),
(165306, 'PTHR24093:SF472', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 10, PLASMA MEMBRANE-TYPE', 109032),
(165307, 'PTHR24407', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 109033),
(165308, 'PTHR10334:SF482', NULL, NULL, NULL, NULL, 'BNACNNG08650D PROTEIN', 109034),
(165309, 'PTHR31568:SF93', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN WIH2-LIKE', 109035),
(165310, 'PTHR23266:SF231', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 4-9', 109036),
(165311, 'PTHR31136:SF7', NULL, NULL, NULL, NULL, 'BNAA07G09260D PROTEIN', 109037),
(165312, 'PTHR33109:SF63', NULL, NULL, NULL, NULL, 'BNAC02G00400D PROTEIN', 109038),
(165313, 'PTHR21508:SF4', NULL, NULL, NULL, NULL, 'MITOGUARDIN 2', 109039),
(165314, 'PTHR46842', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 266', 109040),
(165315, 'PTHR23511:SF11', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE GLYCOPROTEIN 2A', 109041),
(165316, 'PTHR48048:SF26', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 109042),
(165317, 'PTHR17045:SF6', NULL, NULL, NULL, NULL, 'CBP/P300-INTERACTING TRANSACTIVATOR 1', 109043),
(165318, 'PTHR11638:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109044),
(165319, 'PTHR45714:SF14', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT22', 109045),
(165320, 'PTHR31623:SF57', NULL, NULL, NULL, NULL, 'BNAANNG26960D PROTEIN', 109046),
(165321, 'PTHR12354:SF19', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', 109047),
(165322, 'PTHR46977', NULL, NULL, NULL, NULL, 'PROTEIN FREE1', 109048),
(165323, 'PTHR47926:SF252', NULL, NULL, NULL, NULL, 'OS12G0163600 PROTEIN', 109049),
(165324, 'PTHR12290:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 3', 109050),
(165325, 'PTHR10668:SF104', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 109051),
(165326, 'PTHR23018:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', 109052),
(165327, 'PTHR33057:SF168', NULL, NULL, NULL, NULL, 'BNAA02G04380D PROTEIN', 109053),
(165328, 'PTHR10887:SF488', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', 109054),
(165329, 'PTHR33150', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX-BINDING PROTEIN EBH', 109055),
(165330, 'PTHR31384:SF123', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 12', 109056),
(165331, 'PTHR31325:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109057),
(165332, 'PTHR32182:SF19', NULL, NULL, NULL, NULL, 'HOMOLOGY WITH RECF PROTEIN', 109058),
(165333, 'PTHR47535:SF6', NULL, NULL, NULL, NULL, 'SI:CH211-207I1.2', 109059),
(165334, 'PTHR10315:SF95', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINAT1-RELATED', 109060),
(165335, 'PTHR24184:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109061);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(165336, 'PTHR24043', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS F', 109062),
(165337, 'PTHR10511:SF2', NULL, NULL, NULL, NULL, 'GRANULOCYTE COLONY-STIMULATING FACTOR', 109063),
(165338, 'PTHR33921:SF16', NULL, NULL, NULL, NULL, 'CALVIN CYCLE PROTEIN CP12-3, CHLOROPLASTIC', 109064),
(165339, 'PTHR36394:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109065),
(165340, 'PTHR45811:SF41', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN CONTAINING PROTEIN, EXPRESSED', 109066),
(165341, 'PTHR24093:SF487', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 109067),
(165342, 'PTHR10502:SF202', NULL, NULL, NULL, NULL, 'ANNEXIN D6', 109068),
(165343, 'PTHR24232:SF22', NULL, NULL, NULL, NULL, 'PROTEINASE-ACTIVATED RECEPTOR 4', 109069),
(165344, 'PTHR11486:SF23', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 5', 109070),
(165345, 'PTHR16134:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109071),
(165346, 'PTHR43130:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 109072),
(165347, 'PTHR45730:SF57', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 7', 109073),
(165348, 'PTHR21290:SF60', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL:CERAMIDE INOSITOLPHOSPHOTRANSFERASE 1', 109074),
(165349, 'PTHR31636:SF157', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', 109075),
(165350, 'PTHR43712:SF8', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE AF390-400', 109076),
(165351, 'PTHR10924', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN-RELATED', 109077),
(165352, 'PTHR22572:SF137', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', 109078),
(165353, 'PTHR12411:SF450', NULL, NULL, NULL, NULL, 'GAMETE AND MATING-TYPE SPECIFIC PROTEIN A', 109079),
(165354, 'PTHR22765:SF299', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING RECEPTOR-LIKE PROTEIN', 109080),
(165355, 'PTHR33327:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109081),
(165356, 'PTHR11255:SF106', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 109082),
(165357, 'PTHR28291', NULL, NULL, NULL, NULL, 'CTD KINASE SUBUNIT GAMMA', 109083),
(165358, 'PTHR11347:SF108', NULL, NULL, NULL, NULL, 'CAMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 4B', 109084),
(165359, 'PTHR38500:SF1', NULL, NULL, NULL, NULL, 'SURFACTANT-ASSOCIATED PROTEIN 2', 109085),
(165360, 'PTHR48024:SF22', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN GRP1A, PUTATIVE, EXPRESSED-RELATED', 109086),
(165361, 'PTHR10410:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT H', 109087),
(165362, 'PTHR27007:SF290', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', 109088),
(165363, 'PTHR13952:SF6', NULL, NULL, NULL, NULL, 'U11/U12 SMALL NUCLEAR RIBONUCLEOPROTEIN 35 KDA PROTEIN', 109089),
(165364, 'PTHR13374', NULL, NULL, NULL, NULL, 'DET1 HOMOLOG  DE-ETIOLATED-1 HOMOLOG', 109090),
(165365, 'PTHR14429', NULL, NULL, NULL, NULL, 'FIBROSIN FAMILY MEMBER', 109091),
(165366, 'PTHR12547:SF71', NULL, NULL, NULL, NULL, 'CCCH-TYPE ZINC FINGER PROTEIN MOE-3-RELATED', 109092),
(165367, 'PTHR10652:SF0', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', 109093),
(165368, 'PTHR46224:SF42', NULL, NULL, NULL, NULL, 'ANKYRIN-1-LIKE ISOFORM X1', 109094),
(165369, 'PTHR24343:SF456', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', 109095),
(165370, 'PTHR18945:SF767', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 109096),
(165371, 'PTHR24381', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 109097),
(165372, 'PTHR38344:SF1', NULL, NULL, NULL, NULL, 'UPF0753 PROTEIN AQ_863', 109098),
(165373, 'PTHR10336:SF177', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 109099),
(165374, 'PTHR11668:SF208', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1-DELTA-RELATED', 109100),
(165375, 'PTHR37932', NULL, NULL, NULL, NULL, 'SMALL LYSINE-RICH PROTEIN 1', 109101),
(165376, 'PTHR35124', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 109102),
(165377, 'PTHR42918:SF12', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE', 109103);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(165378, 'PTHR42760:SF83', NULL, NULL, NULL, NULL, 'ESTRADIOL 17-BETA-DEHYDROGENASE 8', 109104),
(165379, 'PTHR39937', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN 8', 109105),
(165380, 'PTHR47997:SF49', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 109106),
(165381, 'PTHR33083:SF80', NULL, NULL, NULL, NULL, 'BNAC01G36420D PROTEIN', 109107),
(165382, 'PTHR22943:SF27', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 109108),
(165383, 'PTHR34451:SF11', NULL, NULL, NULL, NULL, 'BNAA08G26330D PROTEIN', 109109),
(165384, 'PTHR13620:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109110),
(165385, 'PTHR45940:SF25', NULL, NULL, NULL, NULL, 'WOX3B', 109111),
(165386, 'PTHR19359:SF95', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE PROTEIN', 109112),
(165387, 'PTHR24092:SF185', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 109113),
(165388, 'PTHR42650', NULL, NULL, NULL, NULL, 'TAIL-ANCHORED PROTEIN INSERTION RECEPTOR WRB', 109114),
(165389, 'PTHR46023:SF2', NULL, NULL, NULL, NULL, 'LIPASE FAMILY PROTEIN, EXPRESSED', 109115),
(165390, 'PTHR12771:SF58', NULL, NULL, NULL, NULL, 'ELMO/CED-12 FAMILY PROTEIN-RELATED', 109116),
(165391, 'PTHR48047:SF99', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73D1', 109117),
(165392, 'PTHR13105:SF16', NULL, NULL, NULL, NULL, 'MYELOID LEUKEMIA FACTOR', 109118),
(165393, 'PTHR27000:SF631', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HAIKU2', 109119),
(165394, 'PTHR12549:SF59', NULL, NULL, NULL, NULL, 'BNAA03G60350D PROTEIN', 109120),
(165395, 'PTHR32046:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109121),
(165396, 'PTHR47953:SF6', NULL, NULL, NULL, NULL, '5-EPIARISTOLOCHENE 1,3-DIHYDROXYLASE', 109122),
(165397, 'PTHR10367:SF21', NULL, NULL, NULL, NULL, 'MRNA (GUANINE-N(7)-)-METHYLTRANSFERASE-RELATED', 109123),
(165398, 'PTHR43113', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-DIPHOSPHATE-SUGAR EPIMERASE', 109124),
(165399, 'PTHR24361:SF819', NULL, NULL, NULL, NULL, 'BNAC03G41980D PROTEIN', 109125),
(165400, 'PTHR32208:SF78', NULL, NULL, NULL, NULL, 'GLYOXALOXIDASE 1', 109126),
(165401, 'PTHR23187:SF4', NULL, NULL, NULL, NULL, 'SKI/DACH DOMAIN-CONTAINING 1', 109127),
(165402, 'PTHR24093:SF436', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 109128),
(165403, 'PTHR11567:SF181', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 10-RELATED', 109129),
(165404, 'PTHR34189:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109130),
(165405, 'PTHR23192', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-RELATED', 109131),
(165406, 'PTHR47979:SF34', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 109132),
(165407, 'PTHR33021:SF418', NULL, NULL, NULL, NULL, 'BNAA02G10060D PROTEIN', 109133),
(165408, 'PTHR13848:SF50', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 109134),
(165409, 'PTHR43272:SF23', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', 109135),
(165410, 'PTHR22953:SF96', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 15', 109136),
(165411, 'PTHR31175:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109137),
(165412, 'PTHR31048:SF156', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', 109138),
(165413, 'PTHR11266:SF50', NULL, NULL, NULL, NULL, 'VACUOLAR MEMBRANE PROTEIN YOR292C', 109139),
(165414, 'PTHR19444', NULL, NULL, NULL, NULL, 'UNC-93 RELATED', 109140),
(165415, 'PTHR33526:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109141),
(165416, 'PTHR43235:SF4', NULL, NULL, NULL, NULL, 'CLASS I GLUTAMINE AMIDOTRANSFERASE-LIKE SUPERFAMILY PROTEIN', 109142),
(165417, 'PTHR27003:SF97', NULL, NULL, NULL, NULL, 'OS01G0253000 PROTEIN', 109143),
(165418, 'PTHR24098:SF14', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 59', 109144),
(165419, 'PTHR33642', NULL, NULL, NULL, NULL, 'COX1/OXI3 INTRON 1 PROTEIN-RELATED', 109145),
(165420, 'PTHR20941:SF8', NULL, NULL, NULL, NULL, 'INACTIVE DIHYDROPTEROATE SYNTHASE 2', 109146),
(165421, 'PTHR46629:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109147),
(165422, 'PTHR10177:SF419', NULL, NULL, NULL, NULL, 'CYCLIN-B1-5', 109148);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(165423, 'PTHR25462:SF244', NULL, NULL, NULL, NULL, 'RET FINGER PROTEIN-LIKE 1-RELATED', 109149),
(165424, 'PTHR12081:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F6', 109150),
(165425, 'PTHR21029:SF12', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 7-BINDING PROTEIN', 109151),
(165426, 'PTHR24302:SF33', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 3A11-RELATED', 109152),
(165427, 'PTHR24381:SF111', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 80', 109153),
(165428, 'PTHR10778:SF36', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE/UDP-GLUCOSE TRANSPORTER 1', 109154),
(165429, 'PTHR11693:SF32', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT GAMMA', 109155),
(165430, 'PTHR23022:SF124', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT TCB2 TRANSPOSASE-LIKE PROTEIN', 109156),
(165431, 'PTHR47738:SF2', NULL, NULL, NULL, NULL, 'PTS SYSTEM FRUCTOSE-LIKE EIIA COMPONENT', 109157),
(165432, 'PTHR35516:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109158),
(165433, 'PTHR31393:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 7 OPEN READING FRAME 31', 109159),
(165434, 'PTHR12304:SF51', NULL, NULL, NULL, NULL, 'BNAA08G28310D PROTEIN', 109160),
(165435, 'PTHR24056:SF385', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', 109161),
(165436, 'PTHR24408:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 576', 109162),
(165437, 'PTHR21593:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG05950', 109163),
(165438, 'PTHR33676:SF11', NULL, NULL, NULL, NULL, 'OS07G0618700 PROTEIN', 109164),
(165439, 'PTHR23195:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109165),
(165440, 'PTHR12960', NULL, NULL, NULL, NULL, 'GLE-1-RELATED', 109166),
(165441, 'PTHR31973:SF125', NULL, NULL, NULL, NULL, 'OS05G0489400 PROTEIN', 109167),
(165442, 'PTHR24064:SF497', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER', 109168),
(165443, 'PTHR42791:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109169),
(165444, 'PTHR31495:SF32', NULL, NULL, NULL, NULL, 'BNAC06G31770D PROTEIN', 109170),
(165445, 'PTHR31062:SF228', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 109171),
(165446, 'PTHR42683:SF42', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 4', 109172),
(165447, 'PTHR24300:SF285', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 109173),
(165448, 'PTHR31088:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109174),
(165449, 'PTHR45621:SF118', NULL, NULL, NULL, NULL, 'KINASE 1B', 109175),
(165450, 'PTHR22957:SF498', NULL, NULL, NULL, NULL, 'TBC (TRE-2/BUB2/CDC16) DOMAIN FAMILY', 109176),
(165451, 'PTHR26451:SF854', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 109177),
(165452, 'PTHR23110:SF91', NULL, NULL, NULL, NULL, 'AGAP003189-PA', 109178),
(165453, 'PTHR48018:SF173', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8D2', 109179),
(165454, 'PTHR31828:SF5', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 2', 109180),
(165455, 'PTHR23267:SF403', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 38-1', 109181),
(165456, 'PTHR10199:SF114', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN 4A-RELATED', 109182),
(165457, 'PTHR24115:SF322', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF1C', 109183),
(165458, 'PTHR45621:SF119', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL19-RELATED', 109184),
(165459, 'PTHR15541:SF2', NULL, NULL, NULL, NULL, 'GRANULYSIN', 109185),
(165460, 'PTHR10218:SF339', NULL, NULL, NULL, NULL, 'BNAC05G29120D PROTEIN', 109186),
(165461, 'PTHR11119:SF86', NULL, NULL, NULL, NULL, 'SI:DKEY-106N21.1', 109187),
(165462, 'PTHR11814:SF230', NULL, NULL, NULL, NULL, 'SLC26A/SULP TRANSPORTER-RELATED', 109188),
(165463, 'PTHR21495:SF179', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 109189),
(165464, 'PTHR12236:SF46', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 30B-RELATED', 109190),
(165465, 'PTHR45642:SF115', NULL, NULL, NULL, NULL, 'BNAC02G29810D PROTEIN', 109191),
(165466, 'PTHR43503:SF2', NULL, NULL, NULL, NULL, 'NEGATIVE REGULATOR OF SPORULATION MDS3-RELATED', 109192),
(165467, 'PTHR33782:SF23', NULL, NULL, NULL, NULL, 'BNAA06G35010D PROTEIN', 109193),
(165468, 'PTHR31185', NULL, NULL, NULL, NULL, 'FIN BUD INITIATION FACTOR FIBIN', 109194);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(165469, 'PTHR24282:SF194', NULL, NULL, NULL, NULL, 'CYTOCHROME', 109195),
(165470, 'PTHR45886:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 109196),
(165471, 'PTHR11081:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109197),
(165472, 'PTHR31589:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109198),
(165473, 'PTHR23389:SF29', NULL, NULL, NULL, NULL, 'DNA LIGASE B', 109199),
(165474, 'PTHR12422:SF2', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 49 MEMBER A,-LIKE', 109200),
(165475, 'PTHR36018:SF1', NULL, NULL, NULL, NULL, 'OS09G0481800 PROTEIN', 109201),
(165476, 'PTHR36792', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 109202),
(165477, 'PTHR46803:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CHIP', 109203),
(165478, 'PTHR33065:SF95', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 109204),
(165479, 'PTHR12791:SF16', NULL, NULL, NULL, NULL, 'VESICULAR MEMBRANE TRAFFICKING PROTEIN, PUTATIVE-RELATED', 109205),
(165480, 'PTHR21229:SF62', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 109206),
(165481, 'PTHR31325:SF29', NULL, NULL, NULL, NULL, 'OS01G0336701 PROTEIN', 109207),
(165482, 'PTHR37679:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL DOMAIN-CONTAINING PROTEIN 2', 109208),
(165483, 'PTHR24177:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109209),
(165484, 'PTHR10476:SF50', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 2A', 109210),
(165485, 'PTHR45786:SF38', NULL, NULL, NULL, NULL, 'BNACNNG36250D PROTEIN', 109211),
(165486, 'PTHR12307:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3D', 109212),
(165487, 'PTHR10721:SF2', NULL, NULL, NULL, NULL, 'BNAA07G00370D PROTEIN', 109213),
(165488, 'PTHR34132:SF8', NULL, NULL, NULL, NULL, 'BNAUNNG04130D PROTEIN', 109214),
(165489, 'PTHR44750:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE T1', 109215),
(165490, 'PTHR31561:SF128', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 109216),
(165491, 'PTHR42647:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109217),
(165492, 'PTHR35357:SF8', NULL, NULL, NULL, NULL, 'OS02G0537100 PROTEIN', 109218),
(165493, 'PTHR16435:SF3', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 6', 109219),
(165494, 'PTHR10585:SF37', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR 2', 109220),
(165495, 'PTHR10177:SF437', NULL, NULL, NULL, NULL, 'CYCLIN-D5-1', 109221),
(165496, 'PTHR48065:SF30', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 46', 109222),
(165497, 'PTHR10122:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT VB', 109223),
(165498, 'PTHR10551:SF13', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE ARB_04467-RELATED', 109224),
(165499, 'PTHR43670:SF10', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', 109225),
(165500, 'PTHR33434:SF4', NULL, NULL, NULL, NULL, 'PHOSPHATASE PROTEIN-RELATED', 109226),
(165501, 'PTHR46142:SF11', NULL, NULL, NULL, NULL, 'BNAC05G11680D PROTEIN', 109227),
(165502, 'PTHR46422:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 109228),
(165503, 'PTHR21879:SF24', NULL, NULL, NULL, NULL, 'OSIRIS 10', 109229),
(165504, 'PTHR45801:SF48', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SUPERMAN', 109230),
(165505, 'PTHR46279', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 109231),
(165506, 'PTHR45744:SF27', NULL, NULL, NULL, NULL, 'BNAANNG31450D PROTEIN', 109232),
(165507, 'PTHR45648:SF59', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 109233),
(165508, 'PTHR47009:SF6', NULL, NULL, NULL, NULL, 'T-CELL IMMUNOGLOBULIN AND MUCIN DOMAIN-CONTAINING PROTEIN 2', 109234),
(165509, 'PTHR13778:SF16', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 1-RELATED', 109235),
(165510, 'PTHR10736:SF24', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 18', 109236),
(165511, 'PTHR33288:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME F', 109237),
(165512, 'PTHR32246:SF96', NULL, NULL, NULL, NULL, 'PROTEIN SRC2 HOMOLOG', 109238),
(165513, 'PTHR45805:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR HR3-RELATED', 109239);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(165514, 'PTHR37610:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY ANKYRIN REPEAT SUBUNIT C-LIKE ISOFORM X1', 109240),
(165515, 'PTHR31105:SF40', NULL, NULL, NULL, NULL, 'G-LIKE PROTEIN, PUTATIVE (DUF3133)-RELATED', 109241),
(165516, 'PTHR11206:SF401', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 109242),
(165517, 'PTHR33353:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLHYDROLASE FAMILY 61-7 PROTEIN', 109243),
(165518, 'PTHR46736:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109244),
(165519, 'PTHR20963:SF41', NULL, NULL, NULL, NULL, 'MULTIPLE INOSITOL-POLYPHOSPHATE PHOSPHATASE 1A', 109245),
(165520, 'PTHR42923:SF17', NULL, NULL, NULL, NULL, 'OS12G0267100 PROTEIN', 109246),
(165521, 'PTHR13068:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109247),
(165522, 'PTHR11447:SF6', NULL, NULL, NULL, NULL, 'CELLULAR TUMOR ANTIGEN P53', 109248),
(165523, 'PTHR43406:SF1', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE ALPHA CHAIN, CHLOROPLASTIC', 109249),
(165524, 'PTHR31221:SF242', NULL, NULL, NULL, NULL, 'BNACNNG39880D PROTEIN', 109250),
(165525, 'PTHR23169:SF26', NULL, NULL, NULL, NULL, 'DESMOPLAKIN', 109251),
(165526, 'PTHR45675:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', 109252),
(165527, 'PTHR15853:SF0', NULL, NULL, NULL, NULL, 'THIOREDOXIN-RELATED TRANSMEMBRANE PROTEIN 2', 109253),
(165528, 'PTHR23354:SF108', NULL, NULL, NULL, NULL, 'PROTEIN CBG24018', 109254),
(165529, 'PTHR24221:SF556', NULL, NULL, NULL, NULL, 'BNAA09G02310D PROTEIN', 109255),
(165530, 'PTHR35121:SF4', NULL, NULL, NULL, NULL, 'HOMEODOMAIN PROTEIN 8, PUTATIVE-RELATED', 109256),
(165531, 'PTHR10209:SF558', NULL, NULL, NULL, NULL, 'OS03G0860600 PROTEIN', 109257),
(165532, 'PTHR48044:SF24', NULL, NULL, NULL, NULL, 'ZEATIN O-GLUCOSYLTRANSFERASE-LIKE', 109258),
(165533, 'PTHR11157:SF136', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 109259),
(165534, 'PTHR14522:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PRR14L', 109260),
(165535, 'PTHR22753:SF9', NULL, NULL, NULL, NULL, 'ESTERASE/LIPASE/THIOESTERASE-LIKE PROTEIN', 109261),
(165536, 'PTHR34380:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109262),
(165537, 'PTHR11945:SF636', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 5', 109263),
(165538, 'PTHR43235:SF8', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE GAT1_2.1-RELATED', 109264),
(165539, 'PTHR11804:SF40', NULL, NULL, NULL, NULL, 'SACCHAROLYSIN', 109265),
(165540, 'PTHR43281:SF28', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE, CHLOROPLASTIC', 109266),
(165541, 'PTHR24280:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 20A1', 109267),
(165542, 'PTHR43294:SF9', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA-1', 109268),
(165543, 'PTHR31790:SF391', NULL, NULL, NULL, NULL, 'BNAC08G04550D PROTEIN', 109269),
(165544, 'PTHR11722:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', 109270),
(165545, 'PTHR34539:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109271),
(165546, 'PTHR10145', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT6', 109272),
(165547, 'PTHR42898:SF68', NULL, NULL, NULL, NULL, 'BNAC08G45340D PROTEIN', 109273),
(165548, 'PTHR42821:SF3', NULL, NULL, NULL, NULL, 'CATALASE B', 109274),
(165549, 'PTHR23112:SF43', NULL, NULL, NULL, NULL, 'SI:DKEY-100N23.5', 109275),
(165550, 'PTHR10010:SF23', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORT PROTEIN 2B', 109276),
(165551, 'PTHR42060:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109277),
(165552, 'PTHR13327:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 11, MITOCHONDRIAL', 109278),
(165553, 'PTHR47996', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DUO1', 109279),
(165554, 'PTHR22792:SF129', NULL, NULL, NULL, NULL, 'BNAA02G05300D PROTEIN', 109280),
(165555, 'PTHR33074:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109281),
(165556, 'PTHR44791:SF1', NULL, NULL, NULL, NULL, 'TELOMERASE PROTEIN COMPONENT 1', 109282),
(165557, 'PTHR39385:SF3', NULL, NULL, NULL, NULL, 'ELRR (EXTRACELLULAR LEUCINE-RICH REPEAT) ONLY', 109283);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(165558, 'PTHR11101:SF80', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 109284),
(165559, 'PTHR23048:SF1', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN 4', 109285),
(165560, 'PTHR10778:SF46', NULL, NULL, NULL, NULL, 'UAA TRANSPORTER-RELATED', 109286),
(165561, 'PTHR37937:SF1', NULL, NULL, NULL, NULL, 'CONJUGATIVE TRANSFER: DNA TRANSPORT', 109287),
(165562, 'PTHR45979:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109288),
(165563, 'PTHR15708:SF14', NULL, NULL, NULL, NULL, 'MTSS I-BAR DOMAIN-CONTAINING 1', 109289),
(165564, 'PTHR10502:SF213', NULL, NULL, NULL, NULL, 'PRION PROTEIN,-RELATED SEQUENCE 3', 109290),
(165565, 'PTHR46336:SF8', NULL, NULL, NULL, NULL, 'BNAC04G01060D PROTEIN', 109291),
(165566, 'PTHR45676:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109292),
(165567, 'PTHR11431:SF85', NULL, NULL, NULL, NULL, 'FERRITIN', 109293),
(165568, 'PTHR12161:SF68', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', 109294),
(165569, 'PTHR33044:SF128', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 109295),
(165570, 'PTHR46712:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROPHOSPHATASE AND PROTEIN-TYROSINE PHOSPHATASE 1', 109296),
(165571, 'PTHR24327:SF75', NULL, NULL, NULL, NULL, 'MCG4771-RELATED', 109297),
(165572, 'PTHR11183:SF139', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 109298),
(165573, 'PTHR16514:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109299),
(165574, 'PTHR10755:SF10', NULL, NULL, NULL, NULL, 'BNAA09G50920D PROTEIN', 109300),
(165575, 'PTHR46595:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', 109301),
(165576, 'PTHR10809:SF110', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 4-1', 109302),
(165577, 'PTHR28285:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BIG1', 109303),
(165578, 'PTHR24330:SF12', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN BARH-LIKE 1', 109304),
(165579, 'PTHR45644:SF41', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN-RELATED', 109305),
(165580, 'PTHR30031:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE [ATP]-LIKE', 109306),
(165581, 'PTHR23204:SF8', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 109307),
(165582, 'PTHR31282:SF161', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 39-RELATED', 109308),
(165583, 'PTHR31598:SF1', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 10', 109309),
(165584, 'PTHR10278', NULL, NULL, NULL, NULL, 'CORTICOTROPIN-RELEASING FACTOR-BINDING PROTEIN', 109310),
(165585, 'PTHR12253:SF17', NULL, NULL, NULL, NULL, 'PROTEIN PROCA1', 109311),
(165586, 'PTHR34809:SF3', NULL, NULL, NULL, NULL, 'BNAC09G40390D PROTEIN', 109312),
(165587, 'PTHR15071:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109313),
(165588, 'PTHR13937:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT C-RELATED', 109314),
(165589, 'PTHR11010:SF87', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 16', 109315),
(165590, 'PTHR19860:SF35', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 12-LIKE PROTEIN 1', 109316),
(165591, 'PTHR31901:SF51', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE GH3 FAMILY PROTEIN-RELATED', 109317),
(165592, 'PTHR45811:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109318),
(165593, 'PTHR15644:SF2', NULL, NULL, NULL, NULL, 'OSTEOPETROSIS-ASSOCIATED TRANSMEMBRANE PROTEIN 1', 109319),
(165594, 'PTHR24418:SF420', NULL, NULL, NULL, NULL, 'TYROSINE PROTEIN-KINASE SRC-2', 109320),
(165595, 'PTHR32161:SF9', NULL, NULL, NULL, NULL, 'TOLB PROTEIN-LIKE PROTEIN', 109321),
(165596, 'PTHR31969:SF43', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 5', 109322),
(165597, 'PTHR23244:SF461', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109323),
(165598, 'PTHR21255:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109324),
(165599, 'PTHR31096:SF75', NULL, NULL, NULL, NULL, 'BNAA03G01400D PROTEIN', 109325),
(165600, 'PTHR10760:SF1', NULL, NULL, NULL, NULL, 'TORSIN-4A', 109326),
(165601, 'PTHR10063:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109327),
(165602, 'PTHR31048:SF106', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 5-RELATED', 109328);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(165603, 'PTHR12871:SF5', NULL, NULL, NULL, NULL, 'MANNOSYL (ALPHA-1,6-)-GLYCOPROTEIN BETA-1,2-N-ACETYLGLUCOSAMINYLTRANSFERASE', 109329),
(165604, 'PTHR12493:SF0', NULL, NULL, NULL, NULL, 'CUE DOMAIN-CONTAINING PROTEIN 2', 109330),
(165605, 'PTHR12709:SF4', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB7', 109331),
(165606, 'PTHR36296:SF1', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN A', 109332),
(165607, 'PTHR31352:SF31', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 1, CHLOROPLASTIC', 109333),
(165608, 'PTHR43296', NULL, NULL, NULL, NULL, 'PEROXISOMAL 2,4-DIENOYL-COA REDUCTASE', 109334),
(165609, 'PTHR45752:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109335),
(165610, 'PTHR13878:SF115', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 1, FAD AND CYTOKININ-BINDING PROTEIN', 109336),
(165611, 'PTHR10502:SF181', NULL, NULL, NULL, NULL, 'ANNEXIN B10', 109337),
(165612, 'PTHR46103:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109338),
(165613, 'PTHR11351:SF73', NULL, NULL, NULL, NULL, 'ACYL-COA DESATURASE', 109339),
(165614, 'PTHR11387:SF31', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT', 109340),
(165615, 'PTHR13808:SF44', NULL, NULL, NULL, NULL, 'BNACNNG55200D PROTEIN', 109341),
(165616, 'PTHR31673:SF27', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 109342),
(165617, 'PTHR26450:SF152', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 109343),
(165618, 'PTHR24223:SF408', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER, SUBFAMILY C, MEMBER 4, SMABCC4', 109344),
(165619, 'PTHR48049:SF74', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 109345),
(165620, 'PTHR45840:SF5', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED PROTEIN 3', 109346),
(165621, 'PTHR12675', NULL, NULL, NULL, NULL, 'MUSCLEBLIND-LIKE PROTEIN', 109347),
(165622, 'PTHR12044:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PRD1', 109348),
(165623, 'PTHR33115:SF57', NULL, NULL, NULL, NULL, 'OS07G0650150 PROTEIN', 109349),
(165624, 'PTHR46324:SF1', NULL, NULL, NULL, NULL, 'BASIC LEUCINE-ZIPPER 58', 109350),
(165625, 'PTHR13817:SF118', NULL, NULL, NULL, NULL, 'STRETCHIN-MLCK, ISOFORM U', 109351),
(165626, 'PTHR31543:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 109352),
(165627, 'PTHR18934:SF226', NULL, NULL, NULL, NULL, 'BNAA05G11800D PROTEIN', 109353),
(165628, 'PTHR31942:SF34', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 109354),
(165629, 'PTHR30031:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109355),
(165630, 'PTHR30540:SF129', NULL, NULL, NULL, NULL, 'BNAA08G02870D PROTEIN', 109356),
(165631, 'PTHR46075:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN AT 5A, ISOFORM A', 109357),
(165632, 'PTHR45778:SF28', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 109358),
(165633, 'PTHR26453:SF569', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 109359),
(165634, 'PTHR43895:SF90', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 109360),
(165635, 'PTHR36865', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700001O22 GENE', 109361),
(165636, 'PTHR43423:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109362),
(165637, 'PTHR33608:SF13', NULL, NULL, NULL, NULL, 'POSSIBLE CONSERVED MEMBRANE PROTEIN', 109363),
(165638, 'PTHR42973:SF7', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN PROTEIN', 109364),
(165639, 'PTHR11926:SF1050', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 75B1', 109365),
(165640, 'PTHR28074', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT K, MITOCHONDRIAL', 109366),
(165641, 'PTHR36346:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109367),
(165642, 'PTHR12002:SF84', NULL, NULL, NULL, NULL, 'CLAUDIN-24-RELATED', 109368),
(165643, 'PTHR32295:SF31', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF FAMILY PROTEIN, EXPRESSED', 109369),
(165644, 'PTHR31798:SF12', NULL, NULL, NULL, NULL, 'BNAA08G04450D PROTEIN', 109370),
(165645, 'PTHR43056:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109371),
(165646, 'PTHR10454:SF216', NULL, NULL, NULL, NULL, 'AT03047P', 109372),
(165647, 'PTHR31272:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS CCDA-LIKE CHLOROPLASTIC PROTEIN', 109373);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(165648, 'PTHR31215:SF20', NULL, NULL, NULL, NULL, 'BNAC02G24840D PROTEIN', 109374),
(165649, 'PTHR13337:SF9', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] CYTOCHROME B SMALL SUBUNIT', 109375),
(165650, 'PTHR46325:SF8', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC7-LIKE', 109376),
(165651, 'PTHR23302:SF17', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 2', 109377),
(165652, 'PTHR24211:SF15', NULL, NULL, NULL, NULL, 'PRICKLE-LIKE PROTEIN 1', 109378),
(165653, 'PTHR46321', NULL, NULL, NULL, NULL, 'KIF1-BINDING PROTEIN', 109379),
(165654, 'PTHR46706:SF8', NULL, NULL, NULL, NULL, 'HOG ONLY (HEDGEHOG HOG DOMAIN ALONE)', 109380),
(165655, 'PTHR33057:SF30', NULL, NULL, NULL, NULL, 'OS11G0156401 PROTEIN', 109381),
(165656, 'PTHR30269:SF0', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN YFCA-RELATED', 109382),
(165657, 'PTHR31348:SF3', NULL, NULL, NULL, NULL, 'EID1-LIKE F-BOX PROTEIN 3', 109383),
(165658, 'PTHR24346:SF46', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 109384),
(165659, 'PTHR12002:SF81', NULL, NULL, NULL, NULL, 'GENE 10057-RELATED', 109385),
(165660, 'PTHR35546:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109386),
(165661, 'PTHR45657', NULL, NULL, NULL, NULL, 'CRAL-TRIO DOMAIN-CONTAINING PROTEIN YKL091C-RELATED', 109387),
(165662, 'PTHR45634:SF7', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 5', 109388),
(165663, 'PTHR12316', NULL, NULL, NULL, NULL, 'NINJURIN-RELATED', 109389),
(165664, 'PTHR30546:SF42', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1', 109390),
(165665, 'PTHR47988:SF33', NULL, NULL, NULL, NULL, 'INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE 1, PUTATIVE, EXPRESSED-RELATED', 109391),
(165666, 'PTHR42695:SF16', NULL, NULL, NULL, NULL, 'BNAA08G13020D PROTEIN', 109392),
(165667, 'PTHR31852:SF122', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 109393),
(165668, 'PTHR11571:SF211', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 6', 109394),
(165669, 'PTHR45636:SF25', NULL, NULL, NULL, NULL, 'N-TERMINAL PAX (PAI DOMAIN ONLY) PROTEIN', 109395),
(165670, 'PTHR46050:SF22', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING THIOREDOXIN TTL1-LIKE', 109396),
(165671, 'PTHR43207:SF10', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDROGENASE 2, CHLOROPLASTIC', 109397),
(165672, 'PTHR43503:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109398),
(165673, 'PTHR39145', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT CNL1', 109399),
(165674, 'PTHR24028:SF94', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A4', 109400),
(165675, 'PTHR45648:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109401),
(165676, 'PTHR24028:SF139', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-14', 109402),
(165677, 'PTHR34206:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109403),
(165678, 'PTHR11908:SF99', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE 3', 109404),
(165679, 'PTHR33110:SF91', NULL, NULL, NULL, NULL, 'OS08G0410266 PROTEIN', 109405),
(165680, 'PTHR12570:SF63', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 109406),
(165681, 'PTHR36846', NULL, NULL, NULL, NULL, 'PROTEIN VIAA', 109407),
(165682, 'PTHR45658:SF55', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 109408),
(165683, 'PTHR22952:SF395', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 1', 109409),
(165684, 'PTHR12300:SF153', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 109410),
(165685, 'PTHR34005:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13612', 109411),
(165686, 'PTHR19375:SF169', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 13', 109412),
(165687, 'PTHR39455', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN ZAPD', 109413),
(165688, 'PTHR31942:SF110', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 109414),
(165689, 'PTHR42898:SF36', NULL, NULL, NULL, NULL, 'ENOYL-(ACYL CARRIER) REDUCTASE', 109415),
(165690, 'PTHR40050:SF1', NULL, NULL, NULL, NULL, 'INNER SPORE COAT PROTEIN H', 109416),
(165691, 'PTHR13593:SF125', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASES SUPERFAMILY PROTEIN', 109417);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(165692, 'PTHR33413:SF18', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', 109418),
(165693, 'PTHR46811', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN-CONTAINING PROTEIN 7', 109419),
(165694, 'PTHR11764:SF59', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 109420),
(165695, 'PTHR42861:SF38', NULL, NULL, NULL, NULL, 'P-TYPE ATPASE PUTATIVE-RELATED', 109421),
(165696, 'PTHR47956:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109422),
(165697, 'PTHR31080:SF73', NULL, NULL, NULL, NULL, 'OS02G0103200 PROTEIN', 109423),
(165698, 'PTHR22605:SF17', NULL, NULL, NULL, NULL, 'AAA+ ATPASE, CORE DOMAIN-CONTAINING PROTEIN', 109424),
(165699, 'PTHR31394:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 199', 109425),
(165700, 'PTHR13160:SF13', NULL, NULL, NULL, NULL, 'BNAA01G07110D PROTEIN', 109426),
(165701, 'PTHR33377:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109427),
(165702, 'PTHR33960:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO KIAA0825 PROTEIN', 109428),
(165703, 'PTHR31089:SF6', NULL, NULL, NULL, NULL, 'AOBP-LIKE PROTEIN', 109429),
(165704, 'PTHR31062:SF185', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 6-RELATED', 109430),
(165705, 'PTHR40051:SF1', NULL, NULL, NULL, NULL, 'IG HYPOTHETICAL 15966', 109431),
(165706, 'PTHR31468:SF5', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE GAS5', 109432),
(165707, 'PTHR46293:SF8', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP2', 109433),
(165708, 'PTHR30537:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PGRR', 109434),
(165709, 'PTHR12174', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE', 109435),
(165710, 'PTHR10795:SF402', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9', 109436),
(165711, 'PTHR33120:SF51', NULL, NULL, NULL, NULL, 'OS01G0314000 PROTEIN', 109437),
(165712, 'PTHR33021:SF372', NULL, NULL, NULL, NULL, 'BASIC BLUE COPPER PROTEIN', 109438),
(165713, 'PTHR34119', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', 109439),
(165714, 'PTHR24303:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109440),
(165715, 'PTHR24123:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109441),
(165716, 'PTHR31734:SF164', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 109442),
(165717, 'PTHR32467:SF147', NULL, NULL, NULL, NULL, 'AP2-EREBP TRANSCRIPTION FACTOR', 109443),
(165718, 'PTHR23291:SF50', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 4', 109444),
(165719, 'PTHR11850:SF74', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 3', 109445),
(165720, 'PTHR31190:SF171', NULL, NULL, NULL, NULL, 'AP2 DOMAIN-CONTAINING TRANSCRIPTION FACTOR-LIKE', 109446),
(165721, 'PTHR48015:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAKA', 109447),
(165722, 'PTHR36787:SF2', NULL, NULL, NULL, NULL, 'BNAC07G42250D PROTEIN', 109448),
(165723, 'PTHR11733:SF209', NULL, NULL, NULL, NULL, 'FI20018P1', 109449),
(165724, 'PTHR11709:SF337', NULL, NULL, NULL, NULL, 'BNAA10G29650D PROTEIN', 109450),
(165725, 'PTHR10890:SF4', NULL, NULL, NULL, NULL, 'CYSTEINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', 109451),
(165726, 'PTHR33710:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109452),
(165727, 'PTHR32246:SF113', NULL, NULL, NULL, NULL, 'BNAA09G08280D PROTEIN', 109453),
(165728, 'PTHR31992:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109454),
(165729, 'PTHR15241:SF135', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 109455),
(165730, 'PTHR13318:SF111', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT MAX2 HOMOLOG A', 109456),
(165731, 'PTHR31744:SF152', NULL, NULL, NULL, NULL, 'BNAA10G30260D PROTEIN', 109457),
(165732, 'PTHR47879:SF3', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B23', 109458),
(165733, 'PTHR47419', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED-RELATED', 109459),
(165734, 'PTHR32467:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109460),
(165735, 'PTHR15362:SF15', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE SYNTHASE 1', 109461),
(165736, 'PTHR34056:SF3', NULL, NULL, NULL, NULL, 'OS07G0557700 PROTEIN', 109462);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(165737, 'PTHR40788:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109463),
(165738, 'PTHR11802:SF75', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 109464),
(165739, 'PTHR46128:SF162', NULL, NULL, NULL, NULL, 'BNAA06G16080D PROTEIN', 109465),
(165740, 'PTHR31297:SF21', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01830)-RELATED', 109466),
(165741, 'PTHR24099:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109467),
(165742, 'PTHR13703:SF34', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG', 109468),
(165743, 'PTHR11362:SF99', NULL, NULL, NULL, NULL, 'OS06G0552900 PROTEIN', 109469),
(165744, 'PTHR31375:SF195', NULL, NULL, NULL, NULL, 'BNAC03G35510D PROTEIN', 109470),
(165745, 'PTHR24015:SF1685', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 109471),
(165746, 'PTHR42735:SF1', NULL, NULL, NULL, NULL, 'PYRIDOXAL-DEPENDENT DECARBOXYLASE DOMAIN-CONTAINING PROTEIN 1', 109472),
(165747, 'PTHR42763:SF1', NULL, NULL, NULL, NULL, 'GALACTOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', 109473),
(165748, 'PTHR11362:SF126', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS T', 109474),
(165749, 'PTHR23130:SF60', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 109475),
(165750, 'PTHR43591:SF71', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE YQEM-RELATED', 109476),
(165751, 'PTHR11214:SF286', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT4', 109477),
(165752, 'PTHR37988:SF1', NULL, NULL, NULL, NULL, 'UPF0592 MEMBRANE PROTEIN C7D4.03C', 109478),
(165753, 'PTHR46520:SF1', NULL, NULL, NULL, NULL, 'SERINE BETA-LACTAMASE-LIKE PROTEIN LACTB, MITOCHONDRIAL', 109479),
(165754, 'PTHR18945:SF819', NULL, NULL, NULL, NULL, 'PH-SENSITIVE CHLORIDE CHANNEL 1, ISOFORM N', 109480),
(165755, 'PTHR12906:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109481),
(165756, 'PTHR24340', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX', 109482),
(165757, 'PTHR45657:SF13', NULL, NULL, NULL, NULL, 'OS09G0481100 PROTEIN', 109483),
(165758, 'PTHR46499', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE', 109484),
(165759, 'PTHR28026:SF5', NULL, NULL, NULL, NULL, 'OS08G0433600 PROTEIN', 109485),
(165760, 'PTHR33729:SF16', NULL, NULL, NULL, NULL, 'BNAA09G56750D PROTEIN', 109486),
(165761, 'PTHR24062:SF66', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 109487),
(165762, 'PTHR23033:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG18324', 109488),
(165763, 'PTHR43539:SF67', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 109489),
(165764, 'PTHR47938:SF26', NULL, NULL, NULL, NULL, 'OS10G0578500 PROTEIN', 109490),
(165765, 'PTHR35488:SF2', NULL, NULL, NULL, NULL, 'OS05G0358900 PROTEIN', 109491),
(165766, 'PTHR37442:SF1', NULL, NULL, NULL, NULL, 'F18A1.7 PROTEIN', 109492),
(165767, 'PTHR15435:SF2', NULL, NULL, NULL, NULL, 'KICSTOR COMPLEX PROTEIN KAPTIN', 109493),
(165768, 'PTHR13871:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109494),
(165769, 'PTHR46172', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON SUBUNIT 3', 109495),
(165770, 'PTHR22298:SF130', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 109496),
(165771, 'PTHR11690:SF132', NULL, NULL, NULL, NULL, 'AMILORIDE-SENSITIVE SODIUM CHANNEL SUBUNIT DELTA', 109497),
(165772, 'PTHR33136:SF70', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR-RELATED', 109498),
(165773, 'PTHR16517:SF86', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 1', 109499),
(165774, 'PTHR48104:SF19', NULL, NULL, NULL, NULL, 'METACASPASE-2', 109500),
(165775, 'PTHR24637:SF265', NULL, NULL, NULL, NULL, 'COLLAGEN', 109501),
(165776, 'PTHR47268', NULL, NULL, NULL, NULL, 'ACYLPHOSPHATASE', 109502),
(165777, 'PTHR47380:SF4', NULL, NULL, NULL, NULL, 'OS02G0533000 PROTEIN', 109503),
(165778, 'PTHR31985:SF100', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF022', 109504),
(165779, 'PTHR11545:SF26', NULL, NULL, NULL, NULL, 'BNACNNG21840D PROTEIN', 109505),
(165780, 'PTHR45923:SF19', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', 109506),
(165781, 'PTHR14326:SF15', NULL, NULL, NULL, NULL, 'OS06G0130200 PROTEIN', 109507);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(165782, 'PTHR11722:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', 109508),
(165783, 'PTHR24376:SF44', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 225', 109509),
(165784, 'PTHR11571:SF8', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 109510),
(165785, 'PTHR24418:SF91', NULL, NULL, NULL, NULL, 'CYTOPLASMIC TYROSINE-PROTEIN KINASE BMX', 109511),
(165786, 'PTHR24134:SF8', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 109512),
(165787, 'PTHR11177:SF351', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN-RELATED', 109513),
(165788, 'PTHR16485', NULL, NULL, NULL, NULL, 'MICROFIBRILLAR-ASSOCIATED PROTEIN 2', 109514),
(165789, 'PTHR31729:SF12', NULL, NULL, NULL, NULL, 'BNAA09G07540D PROTEIN', 109515),
(165790, 'PTHR39217', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 109516),
(165791, 'PTHR48019:SF86', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN PMADS 2', 109517),
(165792, 'PTHR28677', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 4A-RELATED', 109518),
(165793, 'PTHR33623:SF4', NULL, NULL, NULL, NULL, 'OS04G0572500 PROTEIN', 109519),
(165794, 'PTHR46670', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 109520),
(165795, 'PTHR22600:SF3', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE FDL-RELATED', 109521),
(165796, 'PTHR12086:SF9', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN-CONTAINING PROTEIN 1', 109522),
(165797, 'PTHR37703:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L31-RELATED', 109523),
(165798, 'PTHR11364:SF26', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE YNJE', 109524),
(165799, 'PTHR31006:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG11948', 109525),
(165800, 'PTHR12373:SF7', NULL, NULL, NULL, NULL, 'ENHANCER OF RUDIMENTARY HOMOLOG', 109526),
(165801, 'PTHR22765:SF255', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CIP8', 109527),
(165802, 'PTHR14269:SF37', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--GLYCEROL-3-PHOSPHATE 3-PHOSPHATIDYL-TRANSFERASE 1-RELATED', 109528),
(165803, 'PTHR45621:SF152', NULL, NULL, NULL, NULL, 'BNAA03G54910D PROTEIN', 109529),
(165804, 'PTHR15036:SF35', NULL, NULL, NULL, NULL, 'PIKACHURIN-LIKE PROTEIN', 109530),
(165805, 'PTHR23021:SF27', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 109531),
(165806, 'PTHR11129:SF2', NULL, NULL, NULL, NULL, 'GERANYLGERANYL TRANSFERASE TYPE-2 SUBUNIT ALPHA', 109532),
(165807, 'PTHR11062:SF218', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 109533),
(165808, 'PTHR10257:SF93', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 109534),
(165809, 'PTHR42760:SF104', NULL, NULL, NULL, NULL, 'BNAA08G19070D PROTEIN', 109535),
(165810, 'PTHR12786:SF7', NULL, NULL, NULL, NULL, 'BNAC06G14790D PROTEIN', 109536),
(165811, 'PTHR47324', NULL, NULL, NULL, NULL, 'PROTEIN IRG-7-RELATED', 109537),
(165812, 'PTHR46196:SF13', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN, TRANSCRIPTION FACTOR MYC/MYB N-TERMINAL-RELATED', 109538),
(165813, 'PTHR46673', NULL, NULL, NULL, NULL, '4F2 CELL-SURFACE ANTIGEN HEAVY CHAIN', 109539),
(165814, 'PTHR24343:SF428', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 109540),
(165815, 'PTHR11017:SF263', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 109541),
(165816, 'PTHR21659:SF16', NULL, NULL, NULL, NULL, 'UPF0057 MEMBRANE PROTEIN C04G6.5-RELATED', 109542),
(165817, 'PTHR35297:SF3', NULL, NULL, NULL, NULL, 'OS02G0695600 PROTEIN', 109543),
(165818, 'PTHR10366:SF608', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109544),
(165819, 'PTHR10739', NULL, NULL, NULL, NULL, 'CYTIDYLYLTRANSFERASE', 109545),
(165820, 'PTHR46049:SF2', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-X', 109546),
(165821, 'PTHR24023:SF714', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-4(IV) CHAIN', 109547),
(165822, 'PTHR31989:SF377', NULL, NULL, NULL, NULL, 'OS03G0811850 PROTEIN', 109548),
(165823, 'PTHR19282:SF211', NULL, NULL, NULL, NULL, 'TETRASPANIN-19-RELATED', 109549),
(165824, 'PTHR11726:SF39', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10-1-RELATED', 109550);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(165825, 'PTHR23226:SF300', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 852', 109551),
(165826, 'PTHR47925:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109552),
(165827, 'PTHR24381:SF97', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 343', 109553),
(165828, 'PTHR31618:SF10', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', 109554),
(165829, 'PTHR39586:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 109555),
(165830, 'PTHR15193:SF1', NULL, NULL, NULL, NULL, 'CD83 ANTIGEN', 109556),
(165831, 'PTHR31221:SF193', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 20-RELATED', 109557),
(165832, 'PTHR10574:SF383', NULL, NULL, NULL, NULL, 'NETRIN 5', 109558),
(165833, 'PTHR11003:SF305', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 109559),
(165834, 'PTHR22957:SF552', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', 109560),
(165835, 'PTHR17097', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE KFYI SUBUNIT', 109561),
(165836, 'PTHR16083:SF31', NULL, NULL, NULL, NULL, 'RAS SUPPRESSOR PROTEIN 1', 109562),
(165837, 'PTHR24015:SF1728', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC-LIKE', 109563),
(165838, 'PTHR46162:SF19', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', 109564),
(165839, 'PTHR32467:SF72', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR BBM', 109565),
(165840, 'PTHR31989:SF298', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 30-LIKE', 109566),
(165841, 'PTHR11746:SF183', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE ZRP4', 109567),
(165842, 'PTHR34060', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE / DEHYDRASE AND LIPID TRANSPORT PROTEIN', 109568),
(165843, 'PTHR13718:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109569),
(165844, 'PTHR11662:SF415', NULL, NULL, NULL, NULL, 'AT30085P-RELATED', 109570),
(165845, 'PTHR32278:SF26', NULL, NULL, NULL, NULL, 'OS02G0812500 PROTEIN', 109571),
(165846, 'PTHR33095:SF18', NULL, NULL, NULL, NULL, 'OS05G0578100 PROTEIN', 109572),
(165847, 'PTHR32027:SF9', NULL, NULL, NULL, NULL, 'METALLOPEPTIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06270)-RELATED', 109573),
(165848, 'PTHR33622:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109574),
(165849, 'PTHR33077:SF97', NULL, NULL, NULL, NULL, 'TIFY10', 109575),
(165850, 'PTHR16096:SF8', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 11', 109576),
(165851, 'PTHR19384:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109577),
(165852, 'PTHR31080:SF87', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 109578),
(165853, 'PTHR15359:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109579),
(165854, 'PTHR26374:SF413', NULL, NULL, NULL, NULL, 'ZINC FINGER C2H2-TYPE/INTEGRASE DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 109580),
(165855, 'PTHR13609:SF24', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN', 109581),
(165856, 'PTHR33033:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109582),
(165857, 'PTHR45651:SF77', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, VOLTAGE-DEPENDENT, EAG/ELK/ERG-RELATED', 109583),
(165858, 'PTHR33098:SF71', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 109584),
(165859, 'PTHR11709:SF275', NULL, NULL, NULL, NULL, 'LACCASE', 109585),
(165860, 'PTHR46338', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 8', 109586),
(165861, 'PTHR24023:SF953', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE XIX, ALPHA 1', 109587),
(165862, 'PTHR48047:SF59', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 109588),
(165863, 'PTHR10782:SF68', NULL, NULL, NULL, NULL, 'E4 SUMO-PROTEIN LIGASE PIAL1', 109589),
(165864, 'PTHR31038:SF14', NULL, NULL, NULL, NULL, 'CHLOROPLAST LUMEN COMMON PROTEIN FAMILY-LIKE PROTEIN', 109590),
(165865, 'PTHR10334:SF462', NULL, NULL, NULL, NULL, 'BNAA03G52720D PROTEIN', 109591),
(165866, 'PTHR33972:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109592),
(165867, 'PTHR11915:SF444', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109593);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(165868, 'PTHR31218:SF272', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 109594),
(165869, 'PTHR48062:SF4', NULL, NULL, NULL, NULL, 'OS02G0156600 PROTEIN', 109595),
(165870, 'PTHR20856:SF23', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 109596),
(165871, 'PTHR33248:SF27', NULL, NULL, NULL, NULL, 'GRF ZINC FINGER PROTEIN', 109597),
(165872, 'PTHR48041:SF9', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 4', 109598),
(165873, 'PTHR11909:SF297', NULL, NULL, NULL, NULL, 'TAU-TUBULIN KINASE 1', 109599),
(165874, 'PTHR48047:SF71', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73D1', 109600),
(165875, 'PTHR13589:SF14', NULL, NULL, NULL, NULL, 'CREB-REGULATED TRANSCRIPTION COACTIVATOR 1', 109601),
(165876, 'PTHR45633:SF17', NULL, NULL, NULL, NULL, '60 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', 109602),
(165877, 'PTHR21355:SF13', NULL, NULL, NULL, NULL, 'LMBR1-LIKE MEMBRANE PROTEIN', 109603),
(165878, 'PTHR19818:SF128', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR CUBITUS INTERRUPTUS-LIKE PROTEIN', 109604),
(165879, 'PTHR45645:SF24', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 1', 109605),
(165880, 'PTHR33237:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109606),
(165881, 'PTHR31415:SF110', NULL, NULL, NULL, NULL, 'OS01G0864300 PROTEIN', 109607),
(165882, 'PTHR34049:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109608),
(165883, 'PTHR34546:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109609),
(165884, 'PTHR11566:SF151', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 1E', 109610),
(165885, 'PTHR45635:SF3', NULL, NULL, NULL, NULL, 'ADP/ATP TRANSLOCASE 2', 109611),
(165886, 'PTHR43072:SF36', NULL, NULL, NULL, NULL, 'RIBOSOMAL-PROTEIN-ALANINE ACETYLTRANSFERASE', 109612),
(165887, 'PTHR45616:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109613),
(165888, 'PTHR31213:SF112', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL13', 109614),
(165889, 'PTHR10209:SF760', NULL, NULL, NULL, NULL, 'BNAC03G40750D PROTEIN', 109615),
(165890, 'PTHR46331', NULL, NULL, NULL, NULL, 'VALACYCLOVIR HYDROLASE', 109616),
(165891, 'PTHR31948:SF72', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 9', 109617),
(165892, 'PTHR12461:SF49', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN 5', 109618),
(165893, 'PTHR14522', NULL, NULL, NULL, NULL, 'EMO2-RELATED', 109619),
(165894, 'PTHR31839:SF62', NULL, NULL, NULL, NULL, 'DEHYDRATION RESPONSE ELEMENT B1A-RELATED', 109620),
(165895, 'PTHR32176:SF34', NULL, NULL, NULL, NULL, 'PATATIN', 109621),
(165896, 'PTHR46201:SF1', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN MALE STERILITY 1', 109622),
(165897, 'PTHR26379:SF389', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 4-LIKE', 109623),
(165898, 'PTHR32439:SF5', NULL, NULL, NULL, NULL, 'SULFITE REDUCTASE [FERREDOXIN]', 109624),
(165899, 'PTHR47220', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 25', 109625),
(165900, 'PTHR44750:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE T1-RELATED', 109626),
(165901, 'PTHR10063:SF0', NULL, NULL, NULL, NULL, 'TUBERIN', 109627),
(165902, 'PTHR21297:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB4', 109628),
(165903, 'PTHR38926:SF14', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 23-RELATED', 109629),
(165904, 'PTHR31933', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 2-RELATED', 109630),
(165905, 'PTHR35505:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109631),
(165906, 'PTHR34198:SF10', NULL, NULL, NULL, NULL, 'OS05G0189200 PROTEIN', 109632),
(165907, 'PTHR18853', NULL, NULL, NULL, NULL, 'FORKHEAD-ASSOCIATED DOMAIN-CONTAINING PROTEIN 1-RELATED', 109633),
(165908, 'PTHR11753:SF45', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT SIGMA-2', 109634),
(165909, 'PTHR43340:SF6', NULL, NULL, NULL, NULL, 'HYPOXANTHINE-GUANINE PHOSPHORIBOSYLTRANSFERASE', 109635),
(165910, 'PTHR31808:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109636),
(165911, 'PTHR46339:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG13502', 109637);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(165912, 'PTHR11909:SF372', NULL, NULL, NULL, NULL, 'BNACNNG02780D PROTEIN', 109638),
(165913, 'PTHR10091:SF13', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 109639),
(165914, 'PTHR11999:SF157', NULL, NULL, NULL, NULL, 'OS08G0140500 PROTEIN', 109640),
(165915, 'PTHR10648:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 1-LIKE-RELATED', 109641),
(165916, 'PTHR11945:SF605', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 102-RELATED', 109642),
(165917, 'PTHR47287:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 109643),
(165918, 'PTHR47011', NULL, NULL, NULL, NULL, 'CD226 ANTIGEN', 109644),
(165919, 'PTHR48068:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 9', 109645),
(165920, 'PTHR31989:SF327', NULL, NULL, NULL, NULL, 'BNAC05G01040D PROTEIN', 109646),
(165921, 'PTHR24221:SF483', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', 109647),
(165922, 'PTHR47246', NULL, NULL, NULL, NULL, 'MUCIN-19', 109648),
(165923, 'PTHR12398:SF22', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE INHIBITOR 2-RELATED', 109649),
(165924, 'PTHR36003:SF5', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT HEME RECEPTOR A', 109650),
(165925, 'PTHR42714:SF5', NULL, NULL, NULL, NULL, 'FERROUS IRON TRANSPORT PROTEIN B', 109651),
(165926, 'PTHR45773:SF7', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE PROTEIN 1', 109652),
(165927, 'PTHR12011:SF437', NULL, NULL, NULL, NULL, 'FI21270P1-RELATED', 109653),
(165928, 'PTHR18953:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109654),
(165929, 'PTHR12612', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2', 109655),
(165930, 'PTHR47965:SF24', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', 109656),
(165931, 'PTHR11467:SF28', NULL, NULL, NULL, NULL, 'SPERMATID-SPECIFIC LINKER HISTONE H1-LIKE PROTEIN', 109657),
(165932, 'PTHR37391', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 109658),
(165933, 'PTHR15299:SF3', NULL, NULL, NULL, NULL, 'HERV-H LTR-ASSOCIATING PROTEIN 1', 109659),
(165934, 'PTHR27004:SF374', NULL, NULL, NULL, NULL, 'BNAA01G19180D PROTEIN', 109660),
(165935, 'PTHR33124:SF74', NULL, NULL, NULL, NULL, 'BNAA01G17610D PROTEIN', 109661),
(165936, 'PTHR22814:SF304', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 109662),
(165937, 'PTHR42678:SF20', NULL, NULL, NULL, NULL, 'AMIDASE C869.01-RELATED', 109663),
(165938, 'PTHR31750:SF13', NULL, NULL, NULL, NULL, 'PROTEIN STAY-GREEN, CHLOROPLASTIC-LIKE', 109664),
(165939, 'PTHR40942', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 109665),
(165940, 'PTHR31642:SF25', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', 109666),
(165941, 'PTHR31789', NULL, NULL, NULL, NULL, 'OS05G0482600 PROTEIN', 109667),
(165942, 'PTHR48034:SF18', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, X CHROMOSOME', 109668),
(165943, 'PTHR10887:SF450', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109669),
(165944, 'PTHR11351:SF61', NULL, NULL, NULL, NULL, 'RH14937P', 109670),
(165945, 'PTHR43618:SF1', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE', 109671),
(165946, 'PTHR39225', NULL, NULL, NULL, NULL, 'GENE 28434-RELATED', 109672),
(165947, 'PTHR47926:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109673),
(165948, 'PTHR37969', NULL, NULL, NULL, NULL, 'PROTEIN CBG07421-RELATED', 109674),
(165949, 'PTHR27002:SF658', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', 109675),
(165950, 'PTHR31344:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109676),
(165951, 'PTHR33130:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109677),
(165952, 'PTHR36812:SF7', NULL, NULL, NULL, NULL, 'KED-LIKE PROTEIN', 109678),
(165953, 'PTHR47025:SF14', NULL, NULL, NULL, NULL, 'PHD ZINC FINGER PROTEIN', 109679),
(165954, 'PTHR11830:SF17', NULL, NULL, NULL, NULL, 'CYLINDROMATOSIS (TURBAN TUMOR SYNDROME), B', 109680),
(165955, 'PTHR31284:SF37', NULL, NULL, NULL, NULL, 'PLANT ACID PHOSPHATASE', 109681),
(165956, 'PTHR45650:SF21', NULL, NULL, NULL, NULL, 'BNACNNG39320D PROTEIN', 109682);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(165957, 'PTHR48138:SF2', NULL, NULL, NULL, NULL, 'KERATINOCYTE PROLINE-RICH PROTEIN', 109683),
(165958, 'PTHR43409:SF6', NULL, NULL, NULL, NULL, 'HYPOTHETICAL METHYLTRANSFERASE', 109684),
(165959, 'PTHR27000:SF719', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN WITH LEUCINE-RICH REPEAT DOMAIN', 109685),
(165960, 'PTHR19248:SF18', NULL, NULL, NULL, NULL, 'OS02G0282900 PROTEIN', 109686),
(165961, 'PTHR34189:SF14', NULL, NULL, NULL, NULL, 'BNAANNG06920D PROTEIN', 109687),
(165962, 'PTHR43427:SF9', NULL, NULL, NULL, NULL, 'ION-TRANSPORT PROTEIN YFEO-RELATED', 109688),
(165963, 'PTHR31234:SF9', NULL, NULL, NULL, NULL, 'OS01G0195400 PROTEIN', 109689),
(165964, 'PTHR12302:SF18', NULL, NULL, NULL, NULL, 'STAPHYLOCOCCAL-LIKE NUCLEASE CAN2-RELATED', 109690),
(165965, 'PTHR24056:SF222', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE 1', 109691),
(165966, 'PTHR13994:SF44', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 6-LIKE PROTEIN-RELATED', 109692),
(165967, 'PTHR42877:SF1', NULL, NULL, NULL, NULL, 'STERIGMATOCYSTIN BIOSYNTHESIS MONOOXYGENASE STCW-RELATED', 109693),
(165968, 'PTHR21700:SF55', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 109694),
(165969, 'PTHR31306:SF9', NULL, NULL, NULL, NULL, 'ALPHA-1,2-GALACTOSYLTRANSFERASE', 109695),
(165970, 'PTHR31232:SF86', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY PROTEIN', 109696),
(165971, 'PTHR24301:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109697),
(165972, 'PTHR43731', NULL, NULL, NULL, NULL, 'RHOMBOID PROTEASE', 109698),
(165973, 'PTHR31917:SF110', NULL, NULL, NULL, NULL, 'BNAANNG03200D PROTEIN', 109699),
(165974, 'PTHR46791:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109700),
(165975, 'PTHR33294:SF13', NULL, NULL, NULL, NULL, 'AWPM-19-LIKE PROTEIN-RELATED', 109701),
(165976, 'PTHR46301', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN', 109702),
(165977, 'PTHR43349:SF13', NULL, NULL, NULL, NULL, 'BLL5923 PROTEIN', 109703),
(165978, 'PTHR11008:SF33', NULL, NULL, NULL, NULL, 'PROTEIN TAKEOUT-LIKE PROTEIN', 109704),
(165979, 'PTHR10168:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109705),
(165980, 'PTHR21451:SF15', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-79 SPECIFIC', 109706),
(165981, 'PTHR11588:SF253', NULL, NULL, NULL, NULL, 'TUBULIN BETA-4A CHAIN', 109707),
(165982, 'PTHR12329:SF11', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 1', 109708),
(165983, 'PTHR11527', NULL, NULL, NULL, NULL, 'HEAT-SHOCK PROTEIN 20 FAMILY MEMBER', 109709),
(165984, 'PTHR34493:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG09274', 109710),
(165985, 'PTHR31639:SF102', NULL, NULL, NULL, NULL, 'OS01G0752100 PROTEIN', 109711),
(165986, 'PTHR21321:SF1', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP40', 109712),
(165987, 'PTHR11960:SF56', NULL, NULL, NULL, NULL, 'INITIATION FACTOR EIF4E, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12130)-RELATED', 109713),
(165988, 'PTHR30476:SF0', NULL, NULL, NULL, NULL, 'UPF0234 PROTEIN YAJQ', 109714),
(165989, 'PTHR33388:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109715),
(165990, 'PTHR22952:SF413', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 4', 109716),
(165991, 'PTHR45722:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-LIKE', 109717),
(165992, 'PTHR27009:SF89', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.4', 109718),
(165993, 'PTHR45615:SF13', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-XVIIIA', 109719),
(165994, 'PTHR48017:SF113', NULL, NULL, NULL, NULL, 'OS01G0597600 PROTEIN', 109720),
(165995, 'PTHR33085:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109721),
(165996, 'PTHR11937:SF462', NULL, NULL, NULL, NULL, 'ACTIN, CYTOPLASMIC 1', 109722),
(165997, 'PTHR16675:SF242', NULL, NULL, NULL, NULL, 'MAJOR HISTOCOMPATIBILITY COMPLEX CLASS I-RELATED GENE PROTEIN', 109723),
(165998, 'PTHR46215:SF12', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 109724),
(165999, 'PTHR43572:SF14', NULL, NULL, NULL, NULL, 'OS02G0788600 PROTEIN', 109725);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(166000, 'PTHR10795:SF646', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.5', 109726),
(166001, 'PTHR10641:SF1127', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB30', 109727),
(166002, 'PTHR20921:SF8', NULL, NULL, NULL, NULL, 'GREEN RIPE-LIKE 1', 109728),
(166003, 'PTHR14003:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR YY1-RELATED', 109729),
(166004, 'PTHR12586', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--SERINE O-PHOSPHATIDYLTRANSFERASE', 109730),
(166005, 'PTHR10638:SF69', NULL, NULL, NULL, NULL, 'AMINE OXIDASE-RELATED', 109731),
(166006, 'PTHR22951:SF19', NULL, NULL, NULL, NULL, 'OS08G0467300 PROTEIN', 109732),
(166007, 'PTHR24068:SF296', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 32', 109733),
(166008, 'PTHR11785:SF113', NULL, NULL, NULL, NULL, 'LARGE NEUTRAL AMINO ACIDS TRANSPORTER SMALL SUBUNIT 2', 109734),
(166009, 'PTHR10434', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', 109735),
(166010, 'PTHR48001:SF109', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1G1', 109736),
(166011, 'PTHR47126:SF2', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE-LIKE 6', 109737),
(166012, 'PTHR34272:SF4', NULL, NULL, NULL, NULL, 'GLYCOFAMILY PROTEIN, PUTATIVE-RELATED', 109738),
(166013, 'PTHR33232:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109739),
(166014, 'PTHR21669:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109740),
(166015, 'PTHR46057:SF9', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 1-RELATED', 109741),
(166016, 'PTHR48107:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109742),
(166017, 'PTHR35671', NULL, NULL, NULL, NULL, 'PROTEIN TOPAZ1', 109743),
(166018, 'PTHR38008', NULL, NULL, NULL, NULL, 'HEMOLYSIN-RELATED', 109744),
(166019, 'PTHR11863:SF26', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROXYLASE DOMAIN-CONTAINING PROTEIN 2', 109745),
(166020, 'PTHR39082:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE C-BETA-2-RELATED', 109746),
(166021, 'PTHR12369:SF40', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE SYNTHASE 3', 109747),
(166022, 'PTHR10516:SF434', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109748),
(166023, 'PTHR31674:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109749),
(166024, 'PTHR31446:SF9', NULL, NULL, NULL, NULL, 'OS01G0901800 PROTEIN', 109750),
(166025, 'PTHR11848:SF157', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 2', 109751),
(166026, 'PTHR33044:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109752),
(166027, 'PTHR34226', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 109753),
(166028, 'PTHR34058:SF11', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 1, CHLOROPLASTIC', 109754),
(166029, 'PTHR10677:SF47', NULL, NULL, NULL, NULL, 'UBIQUILIN 4', 109755),
(166030, 'PTHR21408', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-ONLY PROTEIN', 109756),
(166031, 'PTHR43572:SF42', NULL, NULL, NULL, NULL, 'PROTEIN DWARF 53-LIKE-LIKE', 109757),
(166032, 'PTHR46086:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109758),
(166033, 'PTHR12537:SF168', NULL, NULL, NULL, NULL, 'BNAA10G12300D PROTEIN', 109759),
(166034, 'PTHR14167:SF50', NULL, NULL, NULL, NULL, 'ENDOPHILIN-A1', 109760),
(166035, 'PTHR12313:SF81', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 109761),
(166036, 'PTHR24240:SF172', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 52', 109762),
(166037, 'PTHR13164', NULL, NULL, NULL, NULL, 'CALICYLIN BINDING PROTEIN', 109763),
(166038, 'PTHR10168:SF237', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109764),
(166039, 'PTHR11003:SF10', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 109765),
(166040, 'PTHR16469:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109766),
(166041, 'PTHR45890', NULL, NULL, NULL, NULL, 'AARF DOMAIN CONTAINING KINASE 2 (PREDICTED)', 109767),
(166042, 'PTHR24071:SF27', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN', 109768),
(166043, 'PTHR33109:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109769),
(166044, 'PTHR10683:SF28', NULL, NULL, NULL, NULL, 'TRANSALDOLASE', 109770),
(166045, 'PTHR24028:SF274', NULL, NULL, NULL, NULL, 'CADHERIN 96CB, ISOFORM D', 109771);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(166046, 'PTHR43814:SF5', NULL, NULL, NULL, NULL, 'OS03G0824900 PROTEIN', 109772),
(166047, 'PTHR36078:SF2', NULL, NULL, NULL, NULL, 'BNACNNG21220D PROTEIN', 109773),
(166048, 'PTHR33548:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109774),
(166049, 'PTHR47296:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TIC 40, CHLOROPLASTIC', 109775),
(166050, 'PTHR45829:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109776),
(166051, 'PTHR14949:SF30', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR D AND EGF DOMAIN-CONTAINING PROTEIN', 109777),
(166052, 'PTHR22966:SF52', NULL, NULL, NULL, NULL, 'OS09G0471000 PROTEIN', 109778),
(166053, 'PTHR18945:SF796', NULL, NULL, NULL, NULL, 'ALPHA8 SUBUNIT OF NICOTINIC ACETYLCHOLINE RECEPTOR', 109779),
(166054, 'PTHR48055:SF7', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', 109780),
(166055, 'PTHR21051:SF4', NULL, NULL, NULL, NULL, 'CAMP-RESPONSIVE ELEMENT-BINDING PROTEIN-LIKE 2', 109781),
(166056, 'PTHR46116:SF10', NULL, NULL, NULL, NULL, 'OS05G0232500 PROTEIN', 109782),
(166057, 'PTHR27006:SF426', NULL, NULL, NULL, NULL, 'MALECTIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 109783),
(166058, 'PTHR45644:SF37', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 109784),
(166059, 'PTHR42712', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT I', 109785),
(166060, 'PTHR27009:SF75', NULL, NULL, NULL, NULL, 'BNACNNG70360D PROTEIN', 109786),
(166061, 'PTHR10108:SF984', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT21-RELATED', 109787),
(166062, 'PTHR11863:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109788),
(166063, 'PTHR15950:SF22', NULL, NULL, NULL, NULL, 'VESTIGIAL-LIKE FAMILY MEMBER 2B', 109789),
(166064, 'PTHR11005:SF80', NULL, NULL, NULL, NULL, 'LIPASE', 109790),
(166065, 'PTHR31677:SF103', NULL, NULL, NULL, NULL, 'BNAC01G34730D PROTEIN', 109791),
(166066, 'PTHR48016:SF13', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', 109792),
(166067, 'PTHR13950:SF9', NULL, NULL, NULL, NULL, 'RABCONNECTIN-3A', 109793),
(166068, 'PTHR34566:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109794),
(166069, 'PTHR11645:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109795),
(166070, 'PTHR10388:SF65', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLATION FACTOR SUI1 HOMOLOG', 109796),
(166071, 'PTHR26379:SF282', NULL, NULL, NULL, NULL, 'OSJNBA0088K19.4 PROTEIN', 109797),
(166072, 'PTHR23502:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109798),
(166073, 'PTHR45374:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE TCHQD', 109799),
(166074, 'PTHR37534:SF19', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 109800),
(166075, 'PTHR27006:SF337', NULL, NULL, NULL, NULL, 'OS03G0426300 PROTEIN', 109801),
(166076, 'PTHR45631:SF108', NULL, NULL, NULL, NULL, 'OS01G0810800 PROTEIN', 109802),
(166077, 'PTHR42757:SF22', NULL, NULL, NULL, NULL, 'LIMBIC SYSTEM-ASSOCIATED MEMBRANE PROTEIN', 109803),
(166078, 'PTHR23345:SF31', NULL, NULL, NULL, NULL, 'APOLIPOPHORINS', 109804),
(166079, 'PTHR31642:SF143', NULL, NULL, NULL, NULL, 'OS02G0653400 PROTEIN', 109805),
(166080, 'PTHR33994:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109806),
(166081, 'PTHR12783:SF5', NULL, NULL, NULL, NULL, 'RALA-BINDING PROTEIN 1', 109807),
(166082, 'PTHR19134:SF461', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE ZETA', 109808),
(166083, 'PTHR33285:SF30', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 5', 109809),
(166084, 'PTHR12622', NULL, NULL, NULL, NULL, 'DELTEX-RELATED', 109810),
(166085, 'PTHR34291:SF8', NULL, NULL, NULL, NULL, 'BNAANNG04970D PROTEIN', 109811),
(166086, 'PTHR32411:SF65', NULL, NULL, NULL, NULL, 'BNAA01G36610D PROTEIN', 109812),
(166087, 'PTHR36082', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 109813),
(166088, 'PTHR31221:SF208', NULL, NULL, NULL, NULL, 'BNAC09G11790D PROTEIN', 109814),
(166089, 'PTHR24408:SF47', NULL, NULL, NULL, NULL, 'PROTEIN CBR-HAM-2', 109815),
(166090, 'PTHR11017:SF410', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN PROTEIN', 109816);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(166091, 'PTHR10795:SF715', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 109817),
(166092, 'PTHR12329:SF32', NULL, NULL, NULL, NULL, 'OS08G0546100 PROTEIN', 109818),
(166093, 'PTHR48043:SF44', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 109819),
(166094, 'PTHR43180:SF9', NULL, NULL, NULL, NULL, 'TETRAHYDROXYNAPHTHALENE REDUCTASE', 109820),
(166095, 'PTHR10574:SF407', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109821),
(166096, 'PTHR37941', NULL, NULL, NULL, NULL, 'FUMARASE E-RELATED', 109822),
(166097, 'PTHR27005:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109823),
(166098, 'PTHR13968:SF3', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEINS C1/C2', 109824),
(166099, 'PTHR33191:SF43', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 5-RELATED', 109825),
(166100, 'PTHR45660', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETMAR', 109826),
(166101, 'PTHR11863:SF146', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 1-LIKE', 109827),
(166102, 'PTHR31415:SF61', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 109828),
(166103, 'PTHR24281:SF27', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 705A5-LIKE', 109829),
(166104, 'PTHR14155:SF538', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE OS06G0535400', 109830),
(166105, 'PTHR45857:SF1', NULL, NULL, NULL, NULL, 'FORMIN-LIKE 2B', 109831),
(166106, 'PTHR24543:SF304', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109832),
(166107, 'PTHR34223:SF60', NULL, NULL, NULL, NULL, 'OS08G0197500 PROTEIN', 109833),
(166108, 'PTHR32133:SF283', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109834),
(166109, 'PTHR33646:SF13', NULL, NULL, NULL, NULL, 'BNACNNG51420D PROTEIN', 109835),
(166110, 'PTHR27006:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109836),
(166111, 'PTHR24075:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109837),
(166112, 'PTHR11561', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE', 109838),
(166113, 'PTHR33090:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109839),
(166114, 'PTHR42673:SF4', NULL, NULL, NULL, NULL, 'MALEYLACETOACETATE ISOMERASE', 109840),
(166115, 'PTHR31001:SF35', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 109841),
(166116, 'PTHR23155:SF961', NULL, NULL, NULL, NULL, 'OS06G0330100 PROTEIN', 109842),
(166117, 'PTHR24070:SF409', NULL, NULL, NULL, NULL, 'CIRCULARLY PERMUTATED RAS PROTEIN 1', 109843),
(166118, 'PTHR26453:SF234', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6A2', 109844),
(166119, 'PTHR43694:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE J', 109845),
(166120, 'PTHR24073:SF263', NULL, NULL, NULL, NULL, 'RAB-LIKE PROTEIN 2A-RELATED', 109846),
(166121, 'PTHR31172:SF7', NULL, NULL, NULL, NULL, 'STOMATAL CLOSURE-RELATED ACTIN-BINDING PROTEIN 3', 109847),
(166122, 'PTHR31213:SF136', NULL, NULL, NULL, NULL, 'BNAA03G12450D PROTEIN', 109848),
(166123, 'PTHR43673:SF9', NULL, NULL, NULL, NULL, 'NITROREDUCTASE-RELATED', 109849),
(166124, 'PTHR19858:SF0', NULL, NULL, NULL, NULL, 'PERIODIC TRYPTOPHAN PROTEIN 2 HOMOLOG', 109850),
(166125, 'PTHR44533:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109851),
(166126, 'PTHR23045:SF17', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 37B', 109852),
(166127, 'PTHR13738:SF12', NULL, NULL, NULL, NULL, 'TROPONIN I4A-RELATED', 109853),
(166128, 'PTHR11803:SF51', NULL, NULL, NULL, NULL, 'BNAA05G36080D PROTEIN', 109854),
(166129, 'PTHR10438:SF431', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 109855),
(166130, 'PTHR24241:SF148', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE SIFAMIDE RECEPTOR', 109856),
(166131, 'PTHR31901:SF47', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.17-LIKE', 109857),
(166132, 'PTHR43810', NULL, NULL, NULL, NULL, 'N(G),N(G)-DIMETHYLARGININE DIMETHYLAMINOHYDROLASE', 109858),
(166133, 'PTHR11164', NULL, NULL, NULL, NULL, 'GLUTAMATE CYSTEINE LIGASE', 109859),
(166134, 'PTHR24078:SF548', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK FAMILY PROTEIN', 109860),
(166135, 'PTHR45703:SF4', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 17', 109861);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(166136, 'PTHR42708', NULL, NULL, NULL, NULL, 'ATP/GTP-BINDING PROTEIN-RELATED', 109862),
(166137, 'PTHR10353:SF278', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 11-LIKE', 109863),
(166138, 'PTHR11639:SF5', NULL, NULL, NULL, NULL, 'PROTEIN S100-A8', 109864),
(166139, 'PTHR14949:SF35', NULL, NULL, NULL, NULL, 'EGF-LIKE-DOMAIN, MULTIPLE 7', 109865),
(166140, 'PTHR12300:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109866),
(166141, 'PTHR47385:SF4', NULL, NULL, NULL, NULL, 'TRANSGELIN 2', 109867),
(166142, 'PTHR24282:SF110', NULL, NULL, NULL, NULL, 'OS01G0349800 PROTEIN', 109868),
(166143, 'PTHR35378:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 109869),
(166144, 'PTHR31307:SF16', NULL, NULL, NULL, NULL, 'OS05G0560600 PROTEIN', 109870),
(166145, 'PTHR35369:SF2', NULL, NULL, NULL, NULL, 'BLR3025 PROTEIN', 109871),
(166146, 'PTHR33972:SF11', NULL, NULL, NULL, NULL, 'OSJNBA0035M09.14 PROTEIN', 109872),
(166147, 'PTHR21513:SF19', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 109873),
(166148, 'PTHR23077:SF162', NULL, NULL, NULL, NULL, 'BNAA01G32030D PROTEIN', 109874),
(166149, 'PTHR45974:SF148', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE', 109875),
(166150, 'PTHR24349:SF427', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 10', 109876),
(166151, 'PTHR27005:SF341', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-LIKE ISOFORM X2', 109877),
(166152, 'PTHR17550:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TTC3', 109878),
(166153, 'PTHR31676:SF141', NULL, NULL, NULL, NULL, 'DUF538 FAMILY PROTEIN', 109879),
(166154, 'PTHR37169:SF3', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM ENDORIBONUCLEASE CSX1', 109880),
(166155, 'PTHR21583', NULL, NULL, NULL, NULL, 'ELYS PROTEIN', 109881),
(166156, 'PTHR23070:SF100', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 109882),
(166157, 'PTHR20854:SF39', NULL, NULL, NULL, NULL, 'PROTEIN QUTG', 109883),
(166158, 'PTHR13287:SF6', NULL, NULL, NULL, NULL, 'UPF0687 PROTEIN C20ORF27', 109884),
(166159, 'PTHR28594', NULL, NULL, NULL, NULL, 'ATR-INTERACTING PROTEIN', 109885),
(166160, 'PTHR21354:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 511', 109886),
(166161, 'PTHR23507:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG04458', 109887),
(166162, 'PTHR19134:SF457', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE, RECEPTOR TYPE Q', 109888),
(166163, 'PTHR10404:SF46', NULL, NULL, NULL, NULL, 'GLUTAMATE CARBOXYPEPTIDASE 2 HOMOLOG', 109889),
(166164, 'PTHR24186:SF28', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN', 109890),
(166165, 'PTHR37948:SF1', NULL, NULL, NULL, NULL, 'ZGC:113208', 109891),
(166166, 'PTHR10878:SF24', NULL, NULL, NULL, NULL, 'SEGMENT POLARITY PROTEIN DISHEVELLED HOMOLOG MIG-5', 109892),
(166167, 'PTHR47993:SF11', NULL, NULL, NULL, NULL, 'BNAA03G58080D PROTEIN', 109893),
(166168, 'PTHR30040:SF2', NULL, NULL, NULL, NULL, 'FAD:PROTEIN FMN TRANSFERASE', 109894),
(166169, 'PTHR12537:SF129', NULL, NULL, NULL, NULL, 'PUMILIO-LIKE PROTEIN', 109895),
(166170, 'PTHR46667:SF6', NULL, NULL, NULL, NULL, 'OS05G0182700 PROTEIN', 109896),
(166171, 'PTHR34612:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109897),
(166172, 'PTHR45176:SF1', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN-RELATED', 109898),
(166173, 'PTHR23147:SF120', NULL, NULL, NULL, NULL, 'RNA-BINDING REGION RNP-1 DOMAIN-CONTAINING PROTEIN', 109899),
(166174, 'PTHR10270:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-1', 109900),
(166175, 'PTHR45687:SF75', NULL, NULL, NULL, NULL, 'BNAC03G72010D PROTEIN', 109901),
(166176, 'PTHR14014', NULL, NULL, NULL, NULL, 'TELOMERE REPEATS-BINDING BOUQUET FORMATION PROTEIN 1', 109902),
(166177, 'PTHR37507', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN YDCC', 109903),
(166178, 'PTHR45863:SF14', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', 109904),
(166179, 'PTHR23535:SF1', NULL, NULL, NULL, NULL, 'MFS FAMILY TRANSPORT PROTEIN-RELATED', 109905),
(166180, 'PTHR31644:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 109906);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(166181, 'PTHR13408:SF11', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC4-RELATED', 109907),
(166182, 'PTHR26450:SF14', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 109908),
(166183, 'PTHR46136:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE10', 109909),
(166184, 'PTHR21325:SF45', NULL, NULL, NULL, NULL, 'SI:DKEY-177P2.18', 109910),
(166185, 'PTHR20275:SF32', NULL, NULL, NULL, NULL, 'NAD/NADH KINASE FAMILY PROTEIN', 109911),
(166186, 'PTHR14572:SF1', NULL, NULL, NULL, NULL, 'PANCREATIC PROGENITOR CELL DIFFERENTIATION AND PROLIFERATION FACTOR-LIKE PROTEIN', 109912),
(166187, 'PTHR46791', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 109913),
(166188, 'PTHR33059:SF2', NULL, NULL, NULL, NULL, 'OS09G0367900 PROTEIN', 109914),
(166189, 'PTHR39188:SF3', NULL, NULL, NULL, NULL, 'STAGE IV SPORULATION PROTEIN FB', 109915),
(166190, 'PTHR24062:SF18', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 109916),
(166191, 'PTHR11206:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109917),
(166192, 'PTHR11804:SF49', NULL, NULL, NULL, NULL, 'LD37516P', 109918),
(166193, 'PTHR14339:SF11', NULL, NULL, NULL, NULL, 'VASCULIN', 109919),
(166194, 'PTHR24376:SF169', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 658-RELATED', 109920),
(166195, 'PTHR23504:SF104', NULL, NULL, NULL, NULL, 'PROTEIN ZINC INDUCED FACILITATOR 1', 109921),
(166196, 'PTHR31451:SF55', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 1', 109922),
(166197, 'PTHR46196:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH157', 109923),
(166198, 'PTHR33868:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 109924),
(166199, 'PTHR46020:SF16', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 109925),
(166200, 'PTHR31238:SF189', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 109926),
(166201, 'PTHR46204:SF22', NULL, NULL, NULL, NULL, 'BNAA06G02020D PROTEIN', 109927),
(166202, 'PTHR13351:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR H ATPASE', 109928),
(166203, 'PTHR11595:SF70', NULL, NULL, NULL, NULL, 'RIPENING REGULATED PROTEIN DDTFR10-LIKE', 109929),
(166204, 'PTHR24075:SF14', NULL, NULL, NULL, NULL, 'C2 DOMAIN, DNAJ DOMAIN, SEC63 DOMAIN, IMMUNOGLOBULIN E-SET-RELATED', 109930),
(166205, 'PTHR22145:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM217A', 109931),
(166206, 'PTHR42886:SF34', NULL, NULL, NULL, NULL, '1-ACYLGLYCEROL-3-PHOSPHATE O-ACYLTRANSFERASE ABHD5', 109932),
(166207, 'PTHR33990:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YJDN', 109933),
(166208, 'PTHR45855:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0058K23.6 PROTEIN', 109934),
(166209, 'PTHR12548:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DP', 109935),
(166210, 'PTHR15710:SF131', NULL, NULL, NULL, NULL, 'CYTOKINESIS NEGATIVE REGULATOR RCP1', 109936),
(166211, 'PTHR12752', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITOL 3-PHOSPHATE-BINDING PROTEIN', 109937),
(166212, 'PTHR11972:SF139', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE-LIKE PROTEIN', 109938),
(166213, 'PTHR10155:SF12', NULL, NULL, NULL, NULL, 'LP02169P', 109939),
(166214, 'PTHR31283:SF17', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT LAGE3', 109940),
(166215, 'PTHR24347:SF389', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109941),
(166216, 'PTHR31218:SF328', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 109942),
(166217, 'PTHR24343:SF422', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1810024B03 GENE', 109943),
(166218, 'PTHR47433:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 17', 109944),
(166219, 'PTHR42790:SF8', NULL, NULL, NULL, NULL, 'GNTR-FAMILY TRANSCRIPTIONAL REGULATOR', 109945),
(166220, 'PTHR42760:SF53', NULL, NULL, NULL, NULL, 'BLR4183 PROTEIN', 109946),
(166221, 'PTHR30443', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN', 109947),
(166222, 'PTHR24031:SF688', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 25', 109948),
(166223, 'PTHR11599:SF43', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 109949),
(166224, 'PTHR36745:SF2', NULL, NULL, NULL, NULL, 'BNAC04G04560D PROTEIN', 109950),
(166225, 'PTHR23500:SF32', NULL, NULL, NULL, NULL, 'OS12G0512100 PROTEIN', 109951);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(166226, 'PTHR43880:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109952),
(166227, 'PTHR13720:SF24', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 90', 109953),
(166228, 'PTHR11827:SF100', NULL, NULL, NULL, NULL, 'CATION-CHLORIDE COTRANSPORTER 1', 109954),
(166229, 'PTHR31651:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 3-LIKE ISOFORM X1', 109955),
(166230, 'PTHR17550:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109956),
(166231, 'PTHR31190:SF72', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 15', 109957),
(166232, 'PTHR45648:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109958),
(166233, 'PTHR43665', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE', 109959),
(166234, 'PTHR31851:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109960),
(166235, 'PTHR43562', NULL, NULL, NULL, NULL, 'NAPA-TYPE SODIUM/HYDROGEN ANTIPORTER', 109961),
(166236, 'PTHR33153', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 109962),
(166237, 'PTHR24128:SF54', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 109963),
(166238, 'PTHR10218:SF194', NULL, NULL, NULL, NULL, 'G PROTEIN, ALPHA SUBUNIT', 109964),
(166239, 'PTHR31374:SF219', NULL, NULL, NULL, NULL, 'AUXIN RESPONSIVE PROTEIN', 109965),
(166240, 'PTHR43024', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYL-TRIPEPTIDE--D-ALANYL-D-ALANINE LIGASE', 109966),
(166241, 'PTHR43718:SF9', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG, MITOCHONDRIAL 1', 109967),
(166242, 'PTHR47716:SF3', NULL, NULL, NULL, NULL, 'BNAA05G18600D PROTEIN', 109968),
(166243, 'PTHR11588:SF314', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2 CHAIN', 109969),
(166244, 'PTHR34644:SF2', NULL, NULL, NULL, NULL, 'SINGLE-PASS MEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 4', 109970),
(166245, 'PTHR46616:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE', 109971),
(166246, 'PTHR11805', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PDZ-BINDING PROTEIN', 109972),
(166247, 'PTHR11055:SF44', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE 4, CHLOROPLASTIC', 109973),
(166248, 'PTHR44535:SF2', NULL, NULL, NULL, NULL, 'NIMA RELATED KINASE 8', 109974),
(166249, 'PTHR13593:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109975),
(166250, 'PTHR11746:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109976),
(166251, 'PTHR11516:SF64', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', 109977),
(166252, 'PTHR31669:SF189', NULL, NULL, NULL, NULL, 'OS02G0542200 PROTEIN', 109978),
(166253, 'PTHR23024:SF488', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109979),
(166254, 'PTHR35560:SF3', NULL, NULL, NULL, NULL, 'BLL0132 PROTEIN', 109980),
(166255, 'PTHR33155:SF9', NULL, NULL, NULL, NULL, 'FANTASTIC FOUR-LIKE PROTEIN (DUF3049)', 109981),
(166256, 'PTHR10985:SF136', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HES-4', 109982),
(166257, 'PTHR43244', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 109983),
(166258, 'PTHR45652:SF13', NULL, NULL, NULL, NULL, 'ZGC:65851', 109984),
(166259, 'PTHR12906', NULL, NULL, NULL, NULL, 'PROTEIN C20ORF24  RAB5-INTERACTING PROTEIN', 109985),
(166260, 'PTHR31048:SF96', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN FAMILY PROTEIN', 109986),
(166261, 'PTHR24341:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN INVECTED', 109987),
(166262, 'PTHR47706:SF4', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY PROTEIN', 109988),
(166263, 'PTHR33108:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109989),
(166264, 'PTHR46539:SF9', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL56', 109990),
(166265, 'PTHR43888:SF13', NULL, NULL, NULL, NULL, 'DNAJ (HSP40) HOMOLOG, SUBFAMILY A, MEMBER 4, GENE 2', 109991),
(166266, 'PTHR31042:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 109992),
(166267, 'PTHR22781', NULL, NULL, NULL, NULL, 'DELTA ADAPTIN-RELATED', 109993),
(166268, 'PTHR23117:SF13', NULL, NULL, NULL, NULL, 'GUANYLATE KINASE', 109994),
(166269, 'PTHR31625:SF60', NULL, NULL, NULL, NULL, 'BNAC06G31620D PROTEIN', 109995),
(166270, 'PTHR31707:SF164', NULL, NULL, NULL, NULL, 'PECTINESTERASE 4-RELATED', 109996);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(166271, 'PTHR11431:SF109', NULL, NULL, NULL, NULL, 'FERRITIN', 109997),
(166272, 'PTHR15036:SF56', NULL, NULL, NULL, NULL, 'KON-TIKI, ISOFORM B', 109998),
(166273, 'PTHR33454:SF10', NULL, NULL, NULL, NULL, 'PUROINDOLINE-B', 109999),
(166274, 'PTHR11808:SF83', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-LYASE-RELATED', 110000),
(166275, 'PTHR46910:SF23', NULL, NULL, NULL, NULL, 'THIAMINE REPRESSIBLE GENES REGULATORY PROTEIN THI1', 110001),
(166276, 'PTHR32141:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110002),
(166277, 'PTHR12106', NULL, NULL, NULL, NULL, 'SORTILIN RELATED', 110003),
(166278, 'PTHR31413:SF32', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 110004),
(166279, 'PTHR12002:SF83', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED MULTIPASS TRANSMEMBRANE PROTEIN 4', 110005),
(166280, 'PTHR31190:SF134', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 110006),
(166281, 'PTHR36946:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13897', 110007),
(166282, 'PTHR31776:SF14', NULL, NULL, NULL, NULL, 'OS07G0686900 PROTEIN', 110008),
(166283, 'PTHR45444:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110009),
(166284, 'PTHR33098:SF61', NULL, NULL, NULL, NULL, 'BNAC09G22350D PROTEIN', 110010),
(166285, 'PTHR16134:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110011),
(166286, 'PTHR32448:SF94', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 24-RELATED', 110012),
(166287, 'PTHR13248:SF2', NULL, NULL, NULL, NULL, 'ELONGIN-B', 110013),
(166288, 'PTHR12422', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 110014),
(166289, 'PTHR45653:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110015),
(166290, 'PTHR19969:SF15', NULL, NULL, NULL, NULL, 'GROWTH FACTOR RECEPTOR BOUND PROTEIN 2', 110016),
(166291, 'PTHR13070', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN34-RELATED', 110017),
(166292, 'PTHR31116:SF28', NULL, NULL, NULL, NULL, 'OS06G0649800 PROTEIN', 110018),
(166293, 'PTHR19443:SF16', NULL, NULL, NULL, NULL, 'HEXOKINASE TYPE 1-RELATED', 110019),
(166294, 'PTHR30615', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YJBQ-RELATED', 110020),
(166295, 'PTHR22881:SF30', NULL, NULL, NULL, NULL, 'OS01G0739400 PROTEIN', 110021),
(166296, 'PTHR31008:SF15', NULL, NULL, NULL, NULL, 'GPI-ANCHORED ADHESIN-LIKE PROTEIN', 110022),
(166297, 'PTHR34708:SF2', NULL, NULL, NULL, NULL, 'OS07G0440000 PROTEIN', 110023),
(166298, 'PTHR43791:SF39', NULL, NULL, NULL, NULL, 'TRANSPORTER LIZ1/SEO1, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00980)-RELATED', 110024),
(166299, 'PTHR37610:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110025),
(166300, 'PTHR22744:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG07083', 110026),
(166301, 'PTHR36833', NULL, NULL, NULL, NULL, 'SLR0610 PROTEIN-RELATED', 110027),
(166302, 'PTHR45914:SF29', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH)-LIKE PROTEIN', 110028),
(166303, 'PTHR37475', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 110029),
(166304, 'PTHR33782:SF26', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT', 110030),
(166305, 'PTHR11848:SF137', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 6', 110031),
(166306, 'PTHR13994:SF40', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 10', 110032),
(166307, 'PTHR10701:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110033),
(166308, 'PTHR15438:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110034),
(166309, 'PTHR35392:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110035),
(166310, 'PTHR43900:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110036),
(166311, 'PTHR37860:SF1', NULL, NULL, NULL, NULL, 'AGAP008810-PA', 110037),
(166312, 'PTHR23226:SF220', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 20', 110038),
(166313, 'PTHR11592:SF118', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID HYDROPEROXIDE GLUTATHIONE PEROXIDASE 6, MITOCHONDRIAL-RELATED', 110039),
(166314, 'PTHR10127:SF786', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-19-RELATED', 110040),
(166315, 'PTHR27008:SF443', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IRK-RELATED', 110041);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(166316, 'PTHR33052:SF24', NULL, NULL, NULL, NULL, 'OS06G0568400 PROTEIN', 110042),
(166317, 'PTHR21454:SF34', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 110043),
(166318, 'PTHR23274:SF28', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE RRM3', 110044),
(166319, 'PTHR24248:SF172', NULL, NULL, NULL, NULL, 'DOPAMINE/ECDYSTEROID RECEPTOR, ISOFORM A', 110045),
(166320, 'PTHR46776:SF9', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 7', 110046),
(166321, 'PTHR18916:SF10', NULL, NULL, NULL, NULL, 'CAP-GLY DOMAIN-CONTAINING LINKER PROTEIN 2', 110047),
(166322, 'PTHR24056:SF416', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 110048),
(166323, 'PTHR43569', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE', 110049),
(166324, 'PTHR31100:SF6', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 110050),
(166325, 'PTHR12777:SF6', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D2', 110051),
(166326, 'PTHR48011:SF11', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE', 110052),
(166327, 'PTHR11954:SF37', NULL, NULL, NULL, NULL, 'MIF-LIKE PROTEIN MIF-2', 110053),
(166328, 'PTHR27000:SF656', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN', 110054),
(166329, 'PTHR21538:SF21', NULL, NULL, NULL, NULL, 'RHOTEKIN-2', 110055),
(166330, 'PTHR46387:SF5', NULL, NULL, NULL, NULL, 'DNA POLYMERASE (REVERSE TRANSCRIPTASE), RIBONUCLEASE H, PUTATIVE-RELATED', 110056),
(166331, 'PTHR11771:SF107', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 110057),
(166332, 'PTHR12663:SF44', NULL, NULL, NULL, NULL, 'BRI1-KD INTERACTING PROTEIN 135', 110058),
(166333, 'PTHR31307:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110059),
(166334, 'PTHR31989:SF321', NULL, NULL, NULL, NULL, 'OS03G0832000 PROTEIN', 110060),
(166335, 'PTHR24056:SF390', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110061),
(166336, 'PTHR31759', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 167', 110062),
(166337, 'PTHR30404:SF2', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE AMIA', 110063),
(166338, 'PTHR48034:SF13', NULL, NULL, NULL, NULL, 'FCA', 110064),
(166339, 'PTHR13528:SF6', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L28, CHLOROPLASTIC', 110065),
(166340, 'PTHR46599', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED PROTEIN 4', 110066),
(166341, 'PTHR33091:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110067),
(166342, 'PTHR11654:SF157', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 1.2', 110068),
(166343, 'PTHR31642:SF203', NULL, NULL, NULL, NULL, 'OS01G0350000 PROTEIN', 110069),
(166344, 'PTHR33312:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 110070),
(166345, 'PTHR10560:SF0', NULL, NULL, NULL, NULL, 'THROMBOPOIETIN', 110071),
(166346, 'PTHR10110:SF172', NULL, NULL, NULL, NULL, 'NA+/H+ EXCHANGER, CATION/H+ EXCHANGER, CATION/H+ EXCHANGER, CPA1 FAMILY-RELATED', 110072),
(166347, 'PTHR45684:SF17', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN', 110073),
(166348, 'PTHR23024:SF552', NULL, NULL, NULL, NULL, 'ISOPRENYLCYSTEINE ALPHA-CARBONYL METHYLESTERASE ICMEL2-RELATED', 110074),
(166349, 'PTHR46626:SF7', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 110075),
(166350, 'PTHR10838:SF19', NULL, NULL, NULL, NULL, 'SYNAPTOGYRIN-2 LIKE PROTEIN-RELATED', 110076),
(166351, 'PTHR16093:SF4', NULL, NULL, NULL, NULL, 'INNATE IMMUNITY ACTIVATOR PROTEIN', 110077),
(166352, 'PTHR22951:SF32', NULL, NULL, NULL, NULL, 'OS06G0175500 PROTEIN', 110078),
(166353, 'PTHR24241:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110079),
(166354, 'PTHR13062', NULL, NULL, NULL, NULL, 'COLLAGENASE', 110080),
(166355, 'PTHR31673:SF47', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 110081),
(166356, 'PTHR24085:SF5', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR BETA', 110082),
(166357, 'PTHR48058:SF6', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 110083),
(166358, 'PTHR12998', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 110084),
(166359, 'PTHR43228:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110085);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(166360, 'PTHR23267:SF436', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 19', 110086),
(166361, 'PTHR43459:SF1', NULL, NULL, NULL, NULL, 'EG:BACN32G11.4 PROTEIN', 110087),
(166362, 'PTHR31871:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110088),
(166363, 'PTHR23288:SF3', NULL, NULL, NULL, NULL, 'MARVEL DOMAIN-CONTAINING PROTEIN 2', 110089),
(166364, 'PTHR30367:SF12', NULL, NULL, NULL, NULL, 'P-HYDROXYBENZOIC ACID EFFLUX PUMP SUBUNIT AAEA', 110090),
(166365, 'PTHR47740:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110091),
(166366, 'PTHR11746:SF274', NULL, NULL, NULL, NULL, 'BNAC08G19680D PROTEIN', 110092),
(166367, 'PTHR47990:SF154', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 3', 110093),
(166368, 'PTHR12957:SF23', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 6', 110094),
(166369, 'PTHR23301:SF80', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 110095),
(166370, 'PTHR45999:SF4', NULL, NULL, NULL, NULL, 'UNC-13-4A, ISOFORM B', 110096),
(166371, 'PTHR31140:SF8', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS10G0537100-RELATED', 110097),
(166372, 'PTHR24177:SF254', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 110098),
(166373, 'PTHR31602:SF10', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 2', 110099),
(166374, 'PTHR22976:SF2', NULL, NULL, NULL, NULL, 'BIOTIN SYNTHASE, MITOCHONDRIAL', 110100),
(166375, 'PTHR22603:SF84', NULL, NULL, NULL, NULL, 'RE24176P', 110101),
(166376, 'PTHR11932:SF160', NULL, NULL, NULL, NULL, 'BNAC03G77140D PROTEIN', 110102),
(166377, 'PTHR23055:SF56', NULL, NULL, NULL, NULL, 'NEURONAL CALCIUM SENSOR FAMILY', 110103),
(166378, 'PTHR23023:SF138', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 110104),
(166379, 'PTHR43026:SF1', NULL, NULL, NULL, NULL, '2-HYDROXYACID DEHYDROGENASE HOMOLOG 1-RELATED', 110105),
(166380, 'PTHR47604', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE', 110106),
(166381, 'PTHR16950:SF25', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER SLC39A7', 110107),
(166382, 'PTHR23294:SF19', NULL, NULL, NULL, NULL, 'DUF895 DOMAIN MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_3G15000)', 110108),
(166383, 'PTHR47999:SF58', NULL, NULL, NULL, NULL, 'BNAANNG06630D PROTEIN', 110109),
(166384, 'PTHR33090:SF68', NULL, NULL, NULL, NULL, 'OSJNBA0043L09.16 PROTEIN', 110110),
(166385, 'PTHR31205:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110111),
(166386, 'PTHR46652:SF6', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND COILED-COIL CENTROSOMAL PROTEIN 1', 110112),
(166387, 'PTHR37256', NULL, NULL, NULL, NULL, 'E1A-BINDING PROTEIN P400-LIKE', 110113),
(166388, 'PTHR11890:SF47', NULL, NULL, NULL, NULL, 'ZMP:0000000936', 110114),
(166389, 'PTHR34860:SF6', NULL, NULL, NULL, NULL, 'REPRESSOR-LIKE PROTEIN SSO7C3', 110115),
(166390, 'PTHR23504:SF107', NULL, NULL, NULL, NULL, 'TETRACYCLINE-EFFLUX TRANSPORTER', 110116),
(166391, 'PTHR13962:SF20', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N3', 110117),
(166392, 'PTHR47928:SF73', NULL, NULL, NULL, NULL, 'OS07G0299800 PROTEIN', 110118),
(166393, 'PTHR34427:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110119),
(166394, 'PTHR30365', NULL, NULL, NULL, NULL, 'CYTOCHROME D UBIQUINOL OXIDASE', 110120),
(166395, 'PTHR36754', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM37', 110121),
(166396, 'PTHR12019:SF22', NULL, NULL, NULL, NULL, 'ZGC:92287', 110122),
(166397, 'PTHR34666:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 110123),
(166398, 'PTHR24238:SF41', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 110124),
(166399, 'PTHR43200:SF23', NULL, NULL, NULL, NULL, 'PAP-SPECIFIC PHOSPHATASE HAL2-LIKE', 110125),
(166400, 'PTHR24073:SF1153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110126),
(166401, 'PTHR10221:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 6B', 110127),
(166402, 'PTHR33076:SF51', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 1', 110128),
(166403, 'PTHR10996:SF257', NULL, NULL, NULL, NULL, 'ZGC:136493', 110129),
(166404, 'PTHR11088:SF75', NULL, NULL, NULL, NULL, 'BNAA02G13860D PROTEIN', 110130);
INSERT INTO "PUBLIC"."MODEL" VALUES
(166405, 'PTHR45722:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35', 110131),
(166406, 'PTHR47932:SF8', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 110132),
(166407, 'PTHR10566:SF126', NULL, NULL, NULL, NULL, 'BNAA02G19300D PROTEIN', 110133),
(166408, 'PTHR46987:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110134),
(166409, 'PTHR16466:SF6', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR 2-INTERACTING PROTEIN 1', 110135),
(166410, 'PTHR21562:SF70', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 110136),
(166411, 'PTHR11406:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE 2', 110137),
(166412, 'PTHR43895:SF93', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 110138),
(166413, 'PTHR10108:SF1132', NULL, NULL, NULL, NULL, 'BNAA09G54660D PROTEIN', 110139),
(166414, 'PTHR24351:SF168', NULL, NULL, NULL, NULL, 'PROTEIN CBG24789', 110140),
(166415, 'PTHR24416:SF45', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR RECEPTOR 2', 110141),
(166416, 'PTHR13148', NULL, NULL, NULL, NULL, 'PER1-RELATED', 110142),
(166417, 'PTHR23410:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L5', 110143),
(166418, 'PTHR32227:SF353', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17-RELATED', 110144),
(166419, 'PTHR11927:SF5', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE 3', 110145),
(166420, 'PTHR35103', NULL, NULL, NULL, NULL, 'OS06G0115700 PROTEIN', 110146),
(166421, 'PTHR11786:SF3', NULL, NULL, NULL, NULL, 'SI:RP71-1F1.4-RELATED', 110147),
(166422, 'PTHR30004:SF3', NULL, NULL, NULL, NULL, '4-HYDROXYTHREONINE-4-PHOSPHATE DEHYDROGENASE 2-RELATED', 110148),
(166423, 'PTHR11804:SF79', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INTERMEDIATE PEPTIDASE, MITOCHONDRIAL', 110149),
(166424, 'PTHR27008:SF482', NULL, NULL, NULL, NULL, 'RHO-ASSOCIATED PROTEIN KINASE 1/2, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 110150),
(166425, 'PTHR16244', NULL, NULL, NULL, NULL, 'CEROID-LIPOFUSCINOSIS NEURONAL PROTEIN 6', 110151),
(166426, 'PTHR31707:SF266', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 110152),
(166427, 'PTHR15592:SF19', NULL, NULL, NULL, NULL, 'POLYPYRIMIDINE TRACT-BINDING PROTEIN 1', 110153),
(166428, 'PTHR12002:SF4', NULL, NULL, NULL, NULL, 'CLAUDIN-34', 110154),
(166429, 'PTHR45621:SF163', NULL, NULL, NULL, NULL, 'OS02G0819600 PROTEIN', 110155),
(166430, 'PTHR14789:SF2', NULL, NULL, NULL, NULL, 'LAYILIN', 110156),
(166431, 'PTHR32002:SF40', NULL, NULL, NULL, NULL, 'PROTEIN NLP7', 110157),
(166432, 'PTHR26451:SF160', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4E2', 110158),
(166433, 'PTHR13419', NULL, NULL, NULL, NULL, 'ZINC FINGER-CONTAINING', 110159),
(166434, 'PTHR33479:SF7', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE BRAN TRYPSIN INHIBITOR', 110160),
(166435, 'PTHR36321:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110161),
(166436, 'PTHR24041:SF25', NULL, NULL, NULL, NULL, 'MUCIN-12', 110162),
(166437, 'PTHR47816:SF5', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE G', 110163),
(166438, 'PTHR31314:SF111', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', 110164),
(166439, 'PTHR31009:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110165),
(166440, 'PTHR34774:SF1', NULL, NULL, NULL, NULL, 'EPHRIN-A3 PROTEIN', 110166),
(166441, 'PTHR12411:SF142', NULL, NULL, NULL, NULL, 'CATHEPSIN-6', 110167),
(166442, 'PTHR31388:SF144', NULL, NULL, NULL, NULL, 'PEROXIDASE 67', 110168),
(166443, 'PTHR24220', NULL, NULL, NULL, NULL, 'IMPORT ATP-BINDING PROTEIN', 110169),
(166444, 'PTHR22552:SF24', NULL, NULL, NULL, NULL, 'RE35358P', 110170),
(166445, 'PTHR22943:SF70', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 110171),
(166446, 'PTHR42812:SF2', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 110172),
(166447, 'PTHR43536', NULL, NULL, NULL, NULL, 'MANNOSYLGLYCOPROTEIN ENDO-BETA-MANNOSIDASE', 110173),
(166448, 'PTHR31384:SF5', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 3', 110174),
(166449, 'PTHR30332:SF17', NULL, NULL, NULL, NULL, 'GENERAL SECRETION PATHWAY PROTEIN D', 110175);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(166450, 'PTHR24384:SF196', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 11', 110176),
(166451, 'PTHR22055:SF5', NULL, NULL, NULL, NULL, '28 KDA HEAT- AND ACID-STABLE PHOSPHOPROTEIN', 110177),
(166452, 'PTHR14307:SF0', NULL, NULL, NULL, NULL, 'SI:CH73-25F10.6', 110178),
(166453, 'PTHR12427', NULL, NULL, NULL, NULL, 'ATP SYNTHASE E CHAIN, MITOCHONDRIAL', 110179),
(166454, 'PTHR43069:SF2', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETASE', 110180),
(166455, 'PTHR44548', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 110181),
(166456, 'PTHR48018:SF50', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 110182),
(166457, 'PTHR45868:SF39', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE, PUTATIVE-RELATED', 110183),
(166458, 'PTHR33750', NULL, NULL, NULL, NULL, 'PROTEIN CBG02727', 110184),
(166459, 'PTHR31731:SF77', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN EARLI 1-RELATED', 110185),
(166460, 'PTHR47980:SF32', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB1BV', 110186),
(166461, 'PTHR37389:SF7', NULL, NULL, NULL, NULL, 'GLYCINE RICH PROTEIN-RELATED', 110187),
(166462, 'PTHR31210:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110188),
(166463, 'PTHR47761', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN-RELATED', 110189),
(166464, 'PTHR36608:SF1', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE C, CHLOROPLASTIC-LIKE', 110190),
(166465, 'PTHR22739', NULL, NULL, NULL, NULL, 'STRIATED MUSCLE ACTIVATOR OF RHO-DEPENDENT SIGNALING-RELATED', 110191),
(166466, 'PTHR12374:SF50', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 110192),
(166467, 'PTHR24384:SF120', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 117-RELATED', 110193),
(166468, 'PTHR13243', NULL, NULL, NULL, NULL, 'HSPC111 PROTEIN-RELATED', 110194),
(166469, 'PTHR47999:SF68', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 40', 110195),
(166470, 'PTHR34046:SF13', NULL, NULL, NULL, NULL, 'OS02G0758200 PROTEIN', 110196),
(166471, 'PTHR10041', NULL, NULL, NULL, NULL, 'COLIPASE', 110197),
(166472, 'PTHR46385:SF3', NULL, NULL, NULL, NULL, 'PAIRED MESODERM HOMEOBOX PROTEIN 2', 110198),
(166473, 'PTHR33470:SF37', NULL, NULL, NULL, NULL, 'NON-CLASSICAL ARABINOGALACTAN PROTEIN 30-LIKE', 110199),
(166474, 'PTHR12015:SF80', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 19', 110200),
(166475, 'PTHR11394:SF78', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2', 110201),
(166476, 'PTHR23111:SF71', NULL, NULL, NULL, NULL, 'OS04G0110600 PROTEIN', 110202),
(166477, 'PTHR10075:SF14', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE, PUTATIVE-RELATED', 110203),
(166478, 'PTHR21328:SF26', NULL, NULL, NULL, NULL, 'CONJUGATING ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13940)-RELATED', 110204),
(166479, 'PTHR47993:SF149', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX, F-BOX PROTEIN INTERACTION DOMAIN', 110205),
(166480, 'PTHR33052:SF141', NULL, NULL, NULL, NULL, 'BNAA06G12440D PROTEIN', 110206),
(166481, 'PTHR23334:SF21', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN BETA', 110207),
(166482, 'PTHR23057:SF0', NULL, NULL, NULL, NULL, 'JUXTAPOSED WITH ANOTHER ZINC FINGER PROTEIN 1', 110208),
(166483, 'PTHR33077:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110209),
(166484, 'PTHR11200:SF240', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE 5-PHOSPHATASE C9G1.10C-RELATED', 110210),
(166485, 'PTHR26450:SF69', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 56B1', 110211),
(166486, 'PTHR45617:SF78', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', 110212),
(166487, 'PTHR10984:SF63', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM-GOLGI INTERMEDIATE COMPARTMENT PROTEIN 3-LIKE', 110213),
(166488, 'PTHR21726:SF29', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 110214),
(166489, 'PTHR47993:SF70', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 9-RELATED', 110215),
(166490, 'PTHR43943', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE (SDR FAMILY) MEMBER 4', 110216),
(166491, 'PTHR24377:SF806', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110217),
(166492, 'PTHR48001:SF85', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 110218),
(166493, 'PTHR13968:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110219);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(166494, 'PTHR26454:SF4', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 110220),
(166495, 'PTHR26453:SF32', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 110221),
(166496, 'PTHR21324:SF10', NULL, NULL, NULL, NULL, 'DNA DAMAGE-REGULATED AUTOPHAGY MODULATOR PROTEIN 2', 110222),
(166497, 'PTHR46192:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN AT74H', 110223),
(166498, 'PTHR36371:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 10', 110224),
(166499, 'PTHR11911:SF121', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE 2', 110225),
(166500, 'PTHR11880:SF2', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15', 110226),
(166501, 'PTHR44156:SF14', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN-CONTAINING 7', 110227),
(166502, 'PTHR46923', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN 2', 110228),
(166503, 'PTHR22765:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110229),
(166504, 'PTHR31585:SF49', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 2-RELATED', 110230),
(166505, 'PTHR11474:SF116', NULL, NULL, NULL, NULL, 'TYROSINASE', 110231),
(166506, 'PTHR46195:SF25', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 17-RELATED', 110232),
(166507, 'PTHR35475', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN', 110233),
(166508, 'PTHR23428:SF84', NULL, NULL, NULL, NULL, 'HISTONE H2B', 110234),
(166509, 'PTHR31533:SF20', NULL, NULL, NULL, NULL, 'BNAC01G20810D PROTEIN', 110235),
(166510, 'PTHR24177:SF134', NULL, NULL, NULL, NULL, 'OS11G0220500 PROTEIN', 110236),
(166511, 'PTHR10250:SF19', NULL, NULL, NULL, NULL, 'MICROSOMAL GLUTATHIONE S-TRANSFERASE 3B', 110237),
(166512, 'PTHR13952', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN 70 KD', 110238),
(166513, 'PTHR24305:SF92', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 110239),
(166514, 'PTHR31896:SF5', NULL, NULL, NULL, NULL, 'OS01G0854000 PROTEIN', 110240),
(166515, 'PTHR30624:SF0', NULL, NULL, NULL, NULL, 'METALLOPROTEASE SLR0863', 110241),
(166516, 'PTHR12345:SF10', NULL, NULL, NULL, NULL, 'SYNTENIN-1', 110242),
(166517, 'PTHR26379:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110243),
(166518, 'PTHR10174:SF217', NULL, NULL, NULL, NULL, 'RETINALDEHYDE-BINDING PROTEIN 1A', 110244),
(166519, 'PTHR47537', NULL, NULL, NULL, NULL, 'CUBILIN', 110245),
(166520, 'PTHR31323', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN MSY2', 110246),
(166521, 'PTHR12172:SF0', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT PROTEIN RAD17', 110247),
(166522, 'PTHR11654:SF514', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.7-LIKE', 110248),
(166523, 'PTHR47188:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TAR1', 110249),
(166524, 'PTHR23124:SF141', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 110250),
(166525, 'PTHR43479:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, TETR FAMILY', 110251),
(166526, 'PTHR24103:SF557', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 110252),
(166527, 'PTHR31674:SF20', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM3', 110253),
(166528, 'PTHR32227:SF298', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-13-BETA-GLUCOSIDASE BG1-RELATED', 110254),
(166529, 'PTHR44144:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 9', 110255),
(166530, 'PTHR16517:SF7', NULL, NULL, NULL, NULL, 'PROTEIN KING TUBBY', 110256),
(166531, 'PTHR36771:SF2', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 110257),
(166532, 'PTHR46458:SF3', NULL, NULL, NULL, NULL, 'CYTOGLOBIN-1', 110258),
(166533, 'PTHR43874:SF67', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR2', 110259),
(166534, 'PTHR36387:SF2', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYL-L-ALANYL-D-GLUTAMATE-2, 6-DIAMINOPIMELATE LIGASE', 110260),
(166535, 'PTHR46867:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM9-2-LIKE', 110261),
(166536, 'PTHR31481:SF0', NULL, NULL, NULL, NULL, 'RELT-LIKE PROTEIN 2', 110262),
(166537, 'PTHR10177:SF372', NULL, NULL, NULL, NULL, 'CYCLIN-B1-3', 110263);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(166538, 'PTHR15087', NULL, NULL, NULL, NULL, 'PROTEIN NPAT', 110264),
(166539, 'PTHR45613:SF324', NULL, NULL, NULL, NULL, 'OS06G0690900 PROTEIN', 110265),
(166540, 'PTHR33172:SF69', NULL, NULL, NULL, NULL, 'OXIDATIVE STRESS 3', 110266),
(166541, 'PTHR31973:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110267),
(166542, 'PTHR23294:SF53', NULL, NULL, NULL, NULL, 'UNC93-LIKE PROTEIN 1', 110268),
(166543, 'PTHR42788:SF14', NULL, NULL, NULL, NULL, 'BICARBONATE TRANSPORT ATP-BINDING PROTEIN CMPD', 110269),
(166544, 'PTHR24056:SF499', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110270),
(166545, 'PTHR11909:SF331', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1', 110271),
(166546, 'PTHR45704:SF12', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAL-A-LIKE PROTEIN', 110272),
(166547, 'PTHR31867:SF151', NULL, NULL, NULL, NULL, 'EXPANSIN-A7', 110273),
(166548, 'PTHR46408:SF15', NULL, NULL, NULL, NULL, 'BNAA02G31000D PROTEIN', 110274),
(166549, 'PTHR47992:SF8', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 6-RELATED', 110275),
(166550, 'PTHR47197:SF4', NULL, NULL, NULL, NULL, 'BLL6485 PROTEIN', 110276),
(166551, 'PTHR22765:SF276', NULL, NULL, NULL, NULL, 'OS05G0408800 PROTEIN', 110277),
(166552, 'PTHR24366:SF128', NULL, NULL, NULL, NULL, 'PROTEIN HALFWAY', 110278),
(166553, 'PTHR31917:SF106', NULL, NULL, NULL, NULL, 'BNAA03G56010D PROTEIN', 110279),
(166554, 'PTHR24068:SF290', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 34-LIKE', 110280),
(166555, 'PTHR20913:SF11', NULL, NULL, NULL, NULL, 'ZGC:63863', 110281),
(166556, 'PTHR47977:SF51', NULL, NULL, NULL, NULL, 'RAS AND EF-HAND DOMAIN-CONTAINING PROTEIN', 110282),
(166557, 'PTHR45856:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110283),
(166558, 'PTHR10972:SF87', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 10', 110284),
(166559, 'PTHR45658:SF78', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 14', 110285),
(166560, 'PTHR23043:SF25', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN-CONTAINING PROTEIN 1', 110286),
(166561, 'PTHR36797:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110287),
(166562, 'PTHR43523:SF6', NULL, NULL, NULL, NULL, 'GLYCOGEN BIOSYNTHESIS PROTEIN GLGD', 110288),
(166563, 'PTHR11437:SF24', NULL, NULL, NULL, NULL, 'RIBONUCLEASE PANCREATIC', 110289),
(166564, 'PTHR33400', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 6-RELATED', 110290),
(166565, 'PTHR22014', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 33', 110291),
(166566, 'PTHR35408:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110292),
(166567, 'PTHR28069:SF1', NULL, NULL, NULL, NULL, 'GH20023P', 110293),
(166568, 'PTHR47954:SF1', NULL, NULL, NULL, NULL, 'OS02G0217300 PROTEIN', 110294),
(166569, 'PTHR35828:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110295),
(166570, 'PTHR32227:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110296),
(166571, 'PTHR31650:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110297),
(166572, 'PTHR24298:SF507', NULL, NULL, NULL, NULL, '3,9-DIHYDROXYPTEROCARPAN 6A-MONOOXYGENASE-LIKE', 110298),
(166573, 'PTHR34446:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 10', 110299),
(166574, 'PTHR43065:SF21', NULL, NULL, NULL, NULL, 'ETHANOLAMINE TWO-COMPONENT SENSOR KINASE', 110300),
(166575, 'PTHR12499:SF16', NULL, NULL, NULL, NULL, 'OPA3-LIKE PROTEIN-RELATED', 110301),
(166576, 'PTHR31867:SF160', NULL, NULL, NULL, NULL, 'EXPANSIN', 110302),
(166577, 'PTHR31388:SF140', NULL, NULL, NULL, NULL, 'PEROXIDASE', 110303),
(166578, 'PTHR45928', NULL, NULL, NULL, NULL, 'RE38146P', 110304),
(166579, 'PTHR14256', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE MLRQ SUBUNIT', 110305),
(166580, 'PTHR45333', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 110306),
(166581, 'PTHR34220:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110307),
(166582, 'PTHR36935:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG00261', 110308),
(166583, 'PTHR11377:SF14', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE 2', 110309),
(166584, 'PTHR31375:SF182', NULL, NULL, NULL, NULL, 'BNAA04G25430D PROTEIN', 110310);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(166585, 'PTHR46057:SF30', NULL, NULL, NULL, NULL, 'OS02G0686700 PROTEIN', 110311),
(166586, 'PTHR33872:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110312),
(166587, 'PTHR31472:SF11', NULL, NULL, NULL, NULL, 'F5O8.30 PROTEIN', 110313),
(166588, 'PTHR13715', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR AND IP3 RECEPTOR', 110314),
(166589, 'PTHR24416:SF531', NULL, NULL, NULL, NULL, 'DERAILED 2, ISOFORM B', 110315),
(166590, 'PTHR21622:SF0', NULL, NULL, NULL, NULL, 'AU015836 PROTEIN-RELATED', 110316),
(166591, 'PTHR26453:SF173', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T11', 110317),
(166592, 'PTHR45732:SF18', NULL, NULL, NULL, NULL, 'BNAA09G07300D PROTEIN', 110318),
(166593, 'PTHR43321:SF25', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 110319),
(166594, 'PTHR23024:SF418', NULL, NULL, NULL, NULL, 'OS09G0462100 PROTEIN', 110320),
(166595, 'PTHR47925:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110321),
(166596, 'PTHR12304:SF46', NULL, NULL, NULL, NULL, 'INOSINE-ADENOSINE-GUANOSINE-NUCLEOSIDE HYDROLASE', 110322),
(166597, 'PTHR30349:SF67', NULL, NULL, NULL, NULL, 'TYROSINE RECOMBINASE XERC', 110323),
(166598, 'PTHR31474:SF17', NULL, NULL, NULL, NULL, 'BNAC03G74500D PROTEIN', 110324),
(166599, 'PTHR46128:SF181', NULL, NULL, NULL, NULL, 'BNAC06G12750D PROTEIN', 110325),
(166600, 'PTHR31917:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110326),
(166601, 'PTHR14076:SF10', NULL, NULL, NULL, NULL, 'RECEPTOR (G PROTEIN-COUPLED) ACTIVITY-MODIFYING PROTEIN 2', 110327),
(166602, 'PTHR32035:SF3', NULL, NULL, NULL, NULL, 'AURORA KINASE A-INTERACTING PROTEIN', 110328),
(166603, 'PTHR16189:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110329),
(166604, 'PTHR10848:SF4', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 6 SUBUNIT A', 110330),
(166605, 'PTHR10878:SF25', NULL, NULL, NULL, NULL, 'SEGMENT POLARITY PROTEIN DISHEVELLED', 110331),
(166606, 'PTHR22893:SF110', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 1-RELATED', 110332),
(166607, 'PTHR26379:SF377', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 2', 110333),
(166608, 'PTHR24064:SF77', NULL, NULL, NULL, NULL, 'PROTEIN CBG21731', 110334),
(166609, 'PTHR39321', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE ADENYLYLTRANSFERASE-RELATED', 110335),
(166610, 'PTHR24033:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110336),
(166611, 'PTHR31352:SF35', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', 110337),
(166612, 'PTHR48100:SF33', NULL, NULL, NULL, NULL, 'HISTIDINE PHOSPHATASE SUPERFAMILY, CLADE-1', 110338),
(166613, 'PTHR21495:SF194', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 110339),
(166614, 'PTHR31062:SF225', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 110340),
(166615, 'PTHR31061', NULL, NULL, NULL, NULL, 'LD22376P', 110341),
(166616, 'PTHR22798:SF11', NULL, NULL, NULL, NULL, 'MALIGNANT T-CELL-AMPLIFIED SEQUENCE', 110342),
(166617, 'PTHR46965', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 19', 110343),
(166618, 'PTHR45923', NULL, NULL, NULL, NULL, 'PROTEIN SEY1', 110344),
(166619, 'PTHR10139:SF4', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR PROTEIN MRE11', 110345),
(166620, 'PTHR42886:SF55', NULL, NULL, NULL, NULL, 'YALI0E34881P', 110346),
(166621, 'PTHR31371:SF2', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN (DUF668)', 110347),
(166622, 'PTHR43591:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110348),
(166623, 'PTHR43344:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', 110349),
(166624, 'PTHR10126:SF42', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-LIKE PROTEIN 2-RELATED', 110350),
(166625, 'PTHR10209:SF717', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110351),
(166626, 'PTHR24023:SF42', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XI) CHAIN', 110352),
(166627, 'PTHR33154:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 110353),
(166628, 'PTHR33142:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110354),
(166629, 'PTHR21501:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM161A', 110355),
(166630, 'PTHR45988:SF27', NULL, NULL, NULL, NULL, 'OS06G0727000 PROTEIN', 110356);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(166631, 'PTHR13520', NULL, NULL, NULL, NULL, 'RAD50-INTERACTING PROTEIN 1 RINT-1', 110357),
(166632, 'PTHR10131:SF96', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 1', 110358),
(166633, 'PTHR31087:SF71', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 6', 110359),
(166634, 'PTHR24228:SF63', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR MOODY', 110360),
(166635, 'PTHR31251:SF154', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 12 ISOFORM X1', 110361),
(166636, 'PTHR19376:SF46', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', 110362),
(166637, 'PTHR39640', NULL, NULL, NULL, NULL, 'VNG6129C', 110363),
(166638, 'PTHR13887:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110364),
(166639, 'PTHR31391:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110365),
(166640, 'PTHR31016:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110366),
(166641, 'PTHR44653', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 1', 110367),
(166642, 'PTHR43427:SF10', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 110368),
(166643, 'PTHR24062:SF164', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 110369),
(166644, 'PTHR24414:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 9', 110370),
(166645, 'PTHR35573:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG14359', 110371),
(166646, 'PTHR10510:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A-LIKE-RELATED', 110372),
(166647, 'PTHR47807:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TBF1', 110373),
(166648, 'PTHR43386:SF7', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM, PERMEASE PROTEIN', 110374),
(166649, 'PTHR14140:SF35', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ORTHRUS 2-LIKE', 110375),
(166650, 'PTHR22814:SF300', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110376),
(166651, 'PTHR15907:SF142', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', 110377),
(166652, 'PTHR33057:SF78', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP8', 110378),
(166653, 'PTHR31062:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110379),
(166654, 'PTHR37458', NULL, NULL, NULL, NULL, 'THISBE', 110380),
(166655, 'PTHR33434:SF2', NULL, NULL, NULL, NULL, 'DEGV DOMAIN-CONTAINING PROTEIN DR_1986', 110381),
(166656, 'PTHR23118:SF20', NULL, NULL, NULL, NULL, 'CITRATE LYASE SUBUNIT (EUROFUNG)', 110382),
(166657, 'PTHR45615:SF43', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN 4', 110383),
(166658, 'PTHR11568:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110384),
(166659, 'PTHR24147:SF52', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 30B', 110385),
(166660, 'PTHR33119', NULL, NULL, NULL, NULL, 'IFI3P', 110386),
(166661, 'PTHR43700:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINOIMIDAZOLE-SUCCINOCARBOXAMIDE SYNTHASE', 110387),
(166662, 'PTHR24072:SF352', NULL, NULL, NULL, NULL, 'BNAC03G48060D PROTEIN', 110388),
(166663, 'PTHR45907:SF17', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', 110389),
(166664, 'PTHR16840:SF7', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC 1A-RELATED', 110390),
(166665, 'PTHR30328:SF54', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR SCO4008', 110391),
(166666, 'PTHR31635', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 110392),
(166667, 'PTHR33128:SF37', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 110393),
(166668, 'PTHR24286:SF308', NULL, NULL, NULL, NULL, 'BNAA09G42330D PROTEIN', 110394),
(166669, 'PTHR12113:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110395),
(166670, 'PTHR24281:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110396),
(166671, 'PTHR31953:SF55', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE PROTEIN', 110397),
(166672, 'PTHR23227:SF45', NULL, NULL, NULL, NULL, 'SWR1-COMPLEX PROTEIN 5', 110398),
(166673, 'PTHR10972', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED', 110399),
(166674, 'PTHR31495:SF15', NULL, NULL, NULL, NULL, 'CALEOSIN', 110400),
(166675, 'PTHR12537:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110401);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(166676, 'PTHR46560:SF1', NULL, NULL, NULL, NULL, 'MINIATURE', 110402),
(166677, 'PTHR11814:SF226', NULL, NULL, NULL, NULL, 'LOW AFFINITY SULFATE TRANSPORTER-RELATED', 110403),
(166678, 'PTHR24052', NULL, NULL, NULL, NULL, 'DELTA-RELATED', 110404),
(166679, 'PTHR24070:SF285', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAPB', 110405),
(166680, 'PTHR21236:SF22', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', 110406),
(166681, 'PTHR21213', NULL, NULL, NULL, NULL, 'GEO09665P1-RELATED', 110407),
(166682, 'PTHR12400:SF47', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE KINASE 2', 110408),
(166683, 'PTHR11096:SF0', NULL, NULL, NULL, NULL, 'RNA 3''-TERMINAL PHOSPHATE CYCLASE', 110409),
(166684, 'PTHR24384:SF92', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 90', 110410),
(166685, 'PTHR23064:SF18', NULL, NULL, NULL, NULL, 'SARCOPLASMIC CALCIUM-BINDING PROTEIN, ISOFORM C', 110411),
(166686, 'PTHR43180:SF76', NULL, NULL, NULL, NULL, 'BNAA06G32670D PROTEIN', 110412),
(166687, 'PTHR47463:SF2', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP16', 110413),
(166688, 'PTHR22926', NULL, NULL, NULL, NULL, 'PHOSPHO-N-ACETYLMURAMOYL-PENTAPEPTIDE-TRANSFERASE', 110414),
(166689, 'PTHR43541:SF2', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', 110415),
(166690, 'PTHR10663:SF315', NULL, NULL, NULL, NULL, 'CYTOHESIN 4A-RELATED', 110416),
(166691, 'PTHR19422:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110417),
(166692, 'PTHR13016:SF0', NULL, NULL, NULL, NULL, 'ALPORT SYNDROME, MENTAL RETARDATION, MIDFACE HYPOPLASIA AND ELLIPTOCYTOSIS CHROMOSOMAL REGION GENE 1 HOMOLOG (HUMAN)', 110418),
(166693, 'PTHR15977:SF15', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 46', 110419),
(166694, 'PTHR47978:SF34', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 110420),
(166695, 'PTHR32468:SF146', NULL, NULL, NULL, NULL, 'BNAA01G13360D PROTEIN', 110421),
(166696, 'PTHR31960:SF22', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A12', 110422),
(166697, 'PTHR33136:SF35', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 33', 110423),
(166698, 'PTHR47933:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110424),
(166699, 'PTHR10972:SF156', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 3A-LIKE', 110425),
(166700, 'PTHR23105:SF154', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10A', 110426),
(166701, 'PTHR33736:SF24', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 110427),
(166702, 'PTHR10366:SF644', NULL, NULL, NULL, NULL, 'LEUCOANTHOCYANIDIN REDUCTASE', 110428),
(166703, 'PTHR12411:SF310', NULL, NULL, NULL, NULL, 'GUT-SPECIFIC CYSTEINE PROTEINASE', 110429),
(166704, 'PTHR33970:SF2', NULL, NULL, NULL, NULL, 'OS01G0716400 PROTEIN', 110430),
(166705, 'PTHR36376:SF1', NULL, NULL, NULL, NULL, 'OS09G0514700 PROTEIN', 110431),
(166706, 'PTHR10799:SF986', NULL, NULL, NULL, NULL, 'OS05G0150300 PROTEIN', 110432),
(166707, 'PTHR47993:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110433),
(166708, 'PTHR34491:SF21', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN 1', 110434),
(166709, 'PTHR33403:SF29', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1', 110435),
(166710, 'PTHR30026:SF5', NULL, NULL, NULL, NULL, 'ABC-TYPE EFFLUX SYSTEM SECRETIN COMPONENT', 110436),
(166711, 'PTHR47642:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 110437),
(166712, 'PTHR10334:SF377', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1', 110438),
(166713, 'PTHR31356:SF48', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 7, CHLOROPLASTIC-RELATED', 110439),
(166714, 'PTHR36044:SF1', NULL, NULL, NULL, NULL, 'HEME BINDING PROTEIN', 110440),
(166715, 'PTHR11003:SF297', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 110441),
(166716, 'PTHR23105:SF170', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L7AE/L30E/S12E/GADD45 FAMILY PROTEIN', 110442),
(166717, 'PTHR40455:SF1', NULL, NULL, NULL, NULL, 'ANTITOXIN HIGA', 110443),
(166718, 'PTHR26453:SF639', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2M2', 110444),
(166719, 'PTHR11654:SF196', NULL, NULL, NULL, NULL, 'OS05G0410900 PROTEIN', 110445);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(166720, 'PTHR19367:SF16', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 8-4', 110446),
(166721, 'PTHR11394:SF52', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 38', 110447),
(166722, 'PTHR33694', NULL, NULL, NULL, NULL, 'UDP-3-O-ACYL-N-ACETYLGLUCOSAMINE DEACETYLASE 1, MITOCHONDRIAL-RELATED', 110448),
(166723, 'PTHR45926:SF17', NULL, NULL, NULL, NULL, 'OS02G0250300 PROTEIN', 110449),
(166724, 'PTHR15933:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG16327', 110450),
(166725, 'PTHR31234:SF50', NULL, NULL, NULL, NULL, 'BNAA06G35170D PROTEIN', 110451),
(166726, 'PTHR43196', NULL, NULL, NULL, NULL, 'SULFATE ADENYLYLTRANSFERASE SUBUNIT 2', 110452),
(166727, 'PTHR19211:SF122', NULL, NULL, NULL, NULL, 'OS08G0564100 PROTEIN', 110453),
(166728, 'PTHR38600', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 110454),
(166729, 'PTHR47977:SF36', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA4D-LIKE', 110455),
(166730, 'PTHR11909:SF413', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110456),
(166731, 'PTHR46353:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 6', 110457),
(166732, 'PTHR35547:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110458),
(166733, 'PTHR37278', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 33-RELATED', 110459),
(166734, 'PTHR43866:SF9', NULL, NULL, NULL, NULL, 'METHYLMALONATE-SEMIALDEHYDE DEHYDROGENASE', 110460),
(166735, 'PTHR47928:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BIM2', 110461),
(166736, 'PTHR47997:SF46', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 110462),
(166737, 'PTHR31790:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110463),
(166738, 'PTHR32212:SF279', NULL, NULL, NULL, NULL, 'BNAA09G45230D PROTEIN', 110464),
(166739, 'PTHR10168:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110465),
(166740, 'PTHR24256:SF458', NULL, NULL, NULL, NULL, 'IP10114P-RELATED', 110466),
(166741, 'PTHR35488:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110467),
(166742, 'PTHR33110:SF88', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 110468),
(166743, 'PTHR12027:SF77', NULL, NULL, NULL, NULL, 'PROTEIN WNT-5', 110469),
(166744, 'PTHR43422:SF9', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE 2, CHLOROPLASTIC', 110470),
(166745, 'PTHR31805:SF22', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 27-LIKE', 110471),
(166746, 'PTHR31707:SF322', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 110472),
(166747, 'PTHR11528:SF34', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 83', 110473),
(166748, 'PTHR27000:SF717', NULL, NULL, NULL, NULL, 'CF2-LIKE PROTEIN', 110474),
(166749, 'PTHR12745:SF4', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TUMORIGENICITY 7 PROTEIN-LIKE', 110475),
(166750, 'PTHR30454:SF0', NULL, NULL, NULL, NULL, '4-HYDROXY-3-METHYLBUT-2-EN-1-YL DIPHOSPHATE SYNTHASE (FERREDOXIN), CHLOROPLASTIC', 110476),
(166751, 'PTHR23244:SF405', NULL, NULL, NULL, NULL, 'TIP ELONGATION ABERRANT PROTEIN 3', 110477),
(166752, 'PTHR11639:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110478),
(166753, 'PTHR48222', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR, PROPEPTIDE', 110479),
(166754, 'PTHR10516:SF429', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP1B', 110480),
(166755, 'PTHR11603:SF132', NULL, NULL, NULL, NULL, 'MOXR PROTEIN', 110481),
(166756, 'PTHR36769:SF1', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-DEPENDENT PHOSPHOGLYCERATE MUTASE', 110482),
(166757, 'PTHR24322:SF731', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 10', 110483),
(166758, 'PTHR45704:SF13', NULL, NULL, NULL, NULL, 'SI:DKEYP-59C12.1', 110484),
(166759, 'PTHR12542:SF81', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 110485),
(166760, 'PTHR14360:SF18', NULL, NULL, NULL, NULL, 'COILED-COIL 90B-LIKE PROTEIN (DUF1640)', 110486),
(166761, 'PTHR10177:SF442', NULL, NULL, NULL, NULL, 'CYCLIN-B1-1', 110487),
(166762, 'PTHR14440', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA49', 110488),
(166763, 'PTHR45798:SF71', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL80-LIKE', 110489);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(166764, 'PTHR13683:SF561', NULL, NULL, NULL, NULL, 'PEPSINOGEN C', 110490),
(166765, 'PTHR12050:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 55 HOMOLOG', 110491),
(166766, 'PTHR48049:SF26', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 110492),
(166767, 'PTHR11654:SF543', NULL, NULL, NULL, NULL, 'BNAA09G17780D PROTEIN', 110493),
(166768, 'PTHR31048:SF172', NULL, NULL, NULL, NULL, 'THAUMATIN-RELATED', 110494),
(166769, 'PTHR11003:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110495),
(166770, 'PTHR31898:SF6', NULL, NULL, NULL, NULL, 'BNAC02G33810D PROTEIN', 110496),
(166771, 'PTHR46914:SF1', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 1', 110497),
(166772, 'PTHR18949', NULL, NULL, NULL, NULL, 'CALDESMON', 110498),
(166773, 'PTHR33824:SF4', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', 110499),
(166774, 'PTHR10257:SF78', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 110500),
(166775, 'PTHR38781', NULL, NULL, NULL, NULL, 'ANTITOXIN DINJ-RELATED', 110501),
(166776, 'PTHR33078:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110502),
(166777, 'PTHR23015', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED C.ELEGANS PROTEIN', 110503),
(166778, 'PTHR22945:SF87', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 110504),
(166779, 'PTHR23235:SF99', NULL, NULL, NULL, NULL, 'KRUPPEL-LIKE FACTOR 9', 110505),
(166780, 'PTHR36941:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG01628', 110506),
(166781, 'PTHR22849:SF131', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 110507),
(166782, 'PTHR43364:SF4', NULL, NULL, NULL, NULL, 'ARYL-ALCOHOL DEHYDROGENASE AAD16-RELATED', 110508),
(166783, 'PTHR32191:SF73', NULL, NULL, NULL, NULL, 'BNAA09G41810D PROTEIN', 110509),
(166784, 'PTHR47928:SF105', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 110510),
(166785, 'PTHR17630:SF94', NULL, NULL, NULL, NULL, 'ENDO-1,31,4-BETA-D-GLUCANASE-LIKE ISOFORM X1', 110511),
(166786, 'PTHR46128:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110512),
(166787, 'PTHR18945:SF852', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', 110513),
(166788, 'PTHR31097:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-276J7.1', 110514),
(166789, 'PTHR10872:SF3', NULL, NULL, NULL, NULL, 'SH2B ADAPTER PROTEIN 1', 110515),
(166790, 'PTHR11527:SF265', NULL, NULL, NULL, NULL, '17.4 KDA CLASS I HEAT SHOCK PROTEIN 3', 110516),
(166791, 'PTHR40289', NULL, NULL, NULL, NULL, 'PROTEIN CBG04714', 110517),
(166792, 'PTHR16198:SF2', NULL, NULL, NULL, NULL, 'INO80 COMPLEX SUBUNIT D', 110518),
(166793, 'PTHR43655:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG12981', 110519),
(166794, 'PTHR10996:SF224', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05760)-RELATED', 110520),
(166795, 'PTHR10108:SF1082', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 110521),
(166796, 'PTHR47958:SF5', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 14', 110522),
(166797, 'PTHR33086:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110523),
(166798, 'PTHR33830:SF15', NULL, NULL, NULL, NULL, 'BNACNNG13530D PROTEIN', 110524),
(166799, 'PTHR42973:SF25', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE ACCESSORY SUBUNIT 2', 110525),
(166800, 'PTHR33086:SF58', NULL, NULL, NULL, NULL, 'OS01G0245901 PROTEIN', 110526),
(166801, 'PTHR47999:SF16', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN ZM38', 110527),
(166802, 'PTHR10288:SF101', NULL, NULL, NULL, NULL, 'FAR UPSTREAM ELEMENT-BINDING PROTEIN 2', 110528),
(166803, 'PTHR47647:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 12 MEMBER A', 110529),
(166804, 'PTHR33376:SF17', NULL, NULL, NULL, NULL, 'DICARBOXYLATE-BINDING PERIPLASMIC PROTEIN-RELATED', 110530),
(166805, 'PTHR22601:SF13', NULL, NULL, NULL, NULL, 'OSJNBA0009P12.37 PROTEIN', 110531),
(166806, 'PTHR31741:SF46', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 27', 110532),
(166807, 'PTHR34052:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110533);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(166808, 'PTHR21496:SF22', NULL, NULL, NULL, NULL, '3-PHENYLPROPIONATE/CINNAMIC ACID DIOXYGENASE FERREDOXIN SUBUNIT', 110534),
(166809, 'PTHR45642:SF95', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 110535),
(166810, 'PTHR31251:SF81', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 5', 110536),
(166811, 'PTHR10405:SF32', NULL, NULL, NULL, NULL, 'SPINDLIN-2C', 110537),
(166812, 'PTHR11527:SF309', NULL, NULL, NULL, NULL, '17.3 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', 110538),
(166813, 'PTHR23257:SF788', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', 110539),
(166814, 'PTHR33398:SF6', NULL, NULL, NULL, NULL, 'BNAA01G28980D PROTEIN', 110540),
(166815, 'PTHR22883:SF376', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 110541),
(166816, 'PTHR33265:SF5', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', 110542),
(166817, 'PTHR15240:SF2', NULL, NULL, NULL, NULL, 'CAVEOLAE-ASSOCIATED PROTEIN 3', 110543),
(166818, 'PTHR15556:SF3', NULL, NULL, NULL, NULL, 'EP300-INTERACTING INHIBITOR OF DIFFERENTIATION 2', 110544),
(166819, 'PTHR11926:SF876', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 75B1-RELATED', 110545),
(166820, 'PTHR47992:SF137', NULL, NULL, NULL, NULL, 'BNAC01G31380D PROTEIN', 110546),
(166821, 'PTHR31126:SF54', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE DSP2', 110547),
(166822, 'PTHR11472:SF47', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP J PROTEIN', 110548),
(166823, 'PTHR47622:SF1', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH PROTEIN 1', 110549),
(166824, 'PTHR30135', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YVCK-RELATED', 110550),
(166825, 'PTHR32196:SF21', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YPHD-RELATED', 110551),
(166826, 'PTHR10410:SF23', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT', 110552),
(166827, 'PTHR35299:SF4', NULL, NULL, NULL, NULL, 'RUBISCO ACCUMULATION FACTOR 1.1, CHLOROPLASTIC', 110553),
(166828, 'PTHR31251:SF125', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, SBP-BOX-RELATED', 110554),
(166829, 'PTHR21258:SF43', NULL, NULL, NULL, NULL, 'DOCKING PROTEIN 6', 110555),
(166830, 'PTHR33990', NULL, NULL, NULL, NULL, 'PROTEIN YJDN-RELATED', 110556),
(166831, 'PTHR13341:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG09064', 110557),
(166832, 'PTHR10891:SF892', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML28-RELATED', 110558),
(166833, 'PTHR34657:SF9', NULL, NULL, NULL, NULL, 'EMBRYO SAC DEVELOPMENT ARREST PROTEIN', 110559),
(166834, 'PTHR31319:SF44', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 2', 110560),
(166835, 'PTHR43410', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE OXYGENASE', 110561),
(166836, 'PTHR46619:SF3', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF XS DOMAIN PROTEIN', 110562),
(166837, 'PTHR24062:SF167', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 42-RELATED', 110563),
(166838, 'PTHR10196:SF46', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE 2', 110564),
(166839, 'PTHR34657:SF10', NULL, NULL, NULL, NULL, 'F21M11.6 PROTEIN', 110565),
(166840, 'PTHR10638:SF80', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 110566),
(166841, 'PTHR13789:SF314', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', 110567),
(166842, 'PTHR22546:SF0', NULL, NULL, NULL, NULL, 'PROTEIN POF1B', 110568),
(166843, 'PTHR31451:SF10', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE B', 110569),
(166844, 'PTHR33136:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110570),
(166845, 'PTHR38608:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG03806', 110571),
(166846, 'PTHR13152', NULL, NULL, NULL, NULL, 'TFIIH, POLYPEPTIDE 4', 110572),
(166847, 'PTHR46913:SF13', NULL, NULL, NULL, NULL, 'BNACNNG28620D PROTEIN', 110573),
(166848, 'PTHR12084:SF12', NULL, NULL, NULL, NULL, 'NUCLEAR PORE GLYCOPROTEIN P62', 110574),
(166849, 'PTHR21448', NULL, NULL, NULL, NULL, 'SMOOTH MUSCLE MYOSIN HEAVY CHAIN-RELATED', 110575),
(166850, 'PTHR46910:SF25', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 110576),
(166851, 'PTHR48200:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 110577);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(166852, 'PTHR24390:SF39', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 662', 110578),
(166853, 'PTHR34684', NULL, NULL, NULL, NULL, 'OS08G0192200 PROTEIN', 110579),
(166854, 'PTHR10336:SF154', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C 2', 110580),
(166855, 'PTHR46128:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110581),
(166856, 'PTHR47991:SF67', NULL, NULL, NULL, NULL, 'KAR-UP OXIDOREDUCTASE 1', 110582),
(166857, 'PTHR11954:SF38', NULL, NULL, NULL, NULL, 'MACROPHAGE MIGRATION INHIBITION FACTOR-LIKE PROTEIN', 110583),
(166858, 'PTHR31879:SF2', NULL, NULL, NULL, NULL, 'DET1- AND DDB1-ASSOCIATED PROTEIN 1', 110584),
(166859, 'PTHR30332:SF5', NULL, NULL, NULL, NULL, 'PROTEIN INVG', 110585),
(166860, 'PTHR45682:SF8', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 26', 110586),
(166861, 'PTHR24064:SF449', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 7B, TANDEM DUPLICATE 1-RELATED', 110587),
(166862, 'PTHR47967:SF66', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE CDR1-RELATED', 110588),
(166863, 'PTHR12025:SF1', NULL, NULL, NULL, NULL, 'PRENYLTRANSFERASE ASQH1-RELATED', 110589),
(166864, 'PTHR27009:SF120', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE4', 110590),
(166865, 'PTHR35572:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG13288', 110591),
(166866, 'PTHR12141:SF5', NULL, NULL, NULL, NULL, 'ARFAPTIN', 110592),
(166867, 'PTHR26453:SF105', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 110593),
(166868, 'PTHR31755', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR-LIKE', 110594),
(166869, 'PTHR43379:SF5', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE 1, CHLOROPLASTIC-LIKE', 110595),
(166870, 'PTHR42898:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110596),
(166871, 'PTHR31642:SF176', NULL, NULL, NULL, NULL, 'ROSMARINATE SYNTHASE-LIKE', 110597),
(166872, 'PTHR37725:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110598),
(166873, 'PTHR45923:SF16', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', 110599),
(166874, 'PTHR31169:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110600),
(166875, 'PTHR14614:SF104', NULL, NULL, NULL, NULL, 'N-METHYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17750)-RELATED', 110601),
(166876, 'PTHR46387:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110602),
(166877, 'PTHR37900:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110603),
(166878, 'PTHR28664:SF3', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION-ASSOCIATED PROTEIN 1', 110604),
(166879, 'PTHR38766', NULL, NULL, NULL, NULL, 'FLAGELLAR PROTEIN FLIO', 110605),
(166880, 'PTHR23070:SF139', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', 110606),
(166881, 'PTHR35547:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110607),
(166882, 'PTHR48105:SF24', NULL, NULL, NULL, NULL, 'GLUTATHIONE REDUCTASE, CHLOROPLASTIC', 110608),
(166883, 'PTHR11315:SF1', NULL, NULL, NULL, NULL, 'FOLATE GAMMA-GLUTAMYL HYDROLASE', 110609),
(166884, 'PTHR12276:SF99', NULL, NULL, NULL, NULL, 'EPSIN-2-LIKE', 110610),
(166885, 'PTHR32444:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110611),
(166886, 'PTHR46221', NULL, NULL, NULL, NULL, 'FERM AND PDZ DOMAIN-CONTAINING PROTEIN FAMILY MEMBER', 110612),
(166887, 'PTHR24249:SF30', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 2', 110613),
(166888, 'PTHR48011:SF19', NULL, NULL, NULL, NULL, 'BNAC08G04610D PROTEIN', 110614),
(166889, 'PTHR47469:SF2', NULL, NULL, NULL, NULL, 'MONOOXYGENASE-LIKE', 110615),
(166890, 'PTHR48165', NULL, NULL, NULL, NULL, 'BNAC03G44900D PROTEIN', 110616),
(166891, 'PTHR47998:SF30', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 110617),
(166892, 'PTHR47974:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110618),
(166893, 'PTHR46685', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S15, MITOCHONDRIAL', 110619),
(166894, 'PTHR11849:SF156', NULL, NULL, NULL, NULL, 'ETS-RELATED TRANSCRIPTION FACTOR ELF-1', 110620),
(166895, 'PTHR47985:SF48', NULL, NULL, NULL, NULL, 'CGMP-DEPENDENT KINASE, CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN PROTEIN-RELATED', 110621);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(166896, 'PTHR11259:SF1', NULL, NULL, NULL, NULL, 'RAS-RELATED GTP-BINDING A', 110622),
(166897, 'PTHR11903:SF8', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN G/H SYNTHASE 2', 110623),
(166898, 'PTHR31625:SF72', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE, PUTATIVE-RELATED', 110624),
(166899, 'PTHR32341:SF7', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCIBLE GTPASE 5', 110625),
(166900, 'PTHR43775:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110626),
(166901, 'PTHR31325:SF124', NULL, NULL, NULL, NULL, 'OS06G0119300 PROTEIN', 110627),
(166902, 'PTHR27005:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110628),
(166903, 'PTHR12596:SF15', NULL, NULL, NULL, NULL, 'ARMADILLO/BETA-CATENIN-LIKE REPEAT PROTEIN', 110629),
(166904, 'PTHR24373:SF344', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA ACTIVATOR LRRC32', 110630),
(166905, 'PTHR13683:SF783', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 110631),
(166906, 'PTHR16517:SF98', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 110632),
(166907, 'PTHR10067', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE DECARBOXYLASE', 110633),
(166908, 'PTHR44566:SF1', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 110634),
(166909, 'PTHR22957:SF571', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 6', 110635),
(166910, 'PTHR43806:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110636),
(166911, 'PTHR21324:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 150C', 110637),
(166912, 'PTHR21229:SF16', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 87B', 110638),
(166913, 'PTHR46082:SF9', NULL, NULL, NULL, NULL, 'ORF-RELATED', 110639),
(166914, 'PTHR24214:SF55', NULL, NULL, NULL, NULL, 'Z BAND ALTERNATIVELY SPLICED PDZ-MOTIF PROTEIN 66, ISOFORM E', 110640),
(166915, 'PTHR46816:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110641),
(166916, 'PTHR11711:SF369', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR C1', 110642),
(166917, 'PTHR19308:SF37', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', 110643),
(166918, 'PTHR12683:SF13', NULL, NULL, NULL, NULL, 'CDK-ACTIVATING KINASE ASSEMBLY FACTOR MAT1', 110644),
(166919, 'PTHR22939:SF108', NULL, NULL, NULL, NULL, 'PERIPLASMIC SERINE ENDOPROTEASE DEGP-LIKE', 110645),
(166920, 'PTHR47837:SF2', NULL, NULL, NULL, NULL, 'GTP PYROPHOSPHOKINASE YWAC', 110646),
(166921, 'PTHR45886:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 110647),
(166922, 'PTHR47992:SF110', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-LIKE PROTEIN 44-RELATED', 110648),
(166923, 'PTHR27002:SF831', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE B120', 110649),
(166924, 'PTHR31549:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110650),
(166925, 'PTHR21600:SF63', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE', 110651),
(166926, 'PTHR19317:SF75', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 110652),
(166927, 'PTHR26452:SF65', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 110653),
(166928, 'PTHR19964:SF35', NULL, NULL, NULL, NULL, 'SI:DKEYP-72E1.9', 110654),
(166929, 'PTHR17314:SF0', NULL, NULL, NULL, NULL, 'REGULATED ENDOCRINE-SPECIFIC PROTEIN 18', 110655),
(166930, 'PTHR11669:SF8', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT DELTA''', 110656),
(166931, 'PTHR45826:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110657),
(166932, 'PTHR46070:SF2', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 5A', 110658),
(166933, 'PTHR43852:SF3', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', 110659),
(166934, 'PTHR13906:SF6', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE 1', 110660),
(166935, 'PTHR31451:SF54', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 6', 110661),
(166936, 'PTHR10578:SF85', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', 110662),
(166937, 'PTHR15494:SF0', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING TYROSINE PHOSPHORYLATION-REGULATED PROTEIN', 110663),
(166938, 'PTHR37904:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110664);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(166939, 'PTHR11945:SF519', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL30', 110665),
(166940, 'PTHR23041:SF78', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF4', 110666),
(166941, 'PTHR38105:SF5', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED', 110667),
(166942, 'PTHR23095:SF45', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN-LIKE PROTEIN 8B', 110668),
(166943, 'PTHR10556:SF52', NULL, NULL, NULL, NULL, 'BNAC02G06360D PROTEIN', 110669),
(166944, 'PTHR46426', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE TMX3', 110670),
(166945, 'PTHR22870:SF91', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY WITH FYVE ZINC FINGER DOMAIN-CONTAINING PROTEIN', 110671),
(166946, 'PTHR42700:SF3', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL SAT/APS KINASE-RELATED', 110672),
(166947, 'PTHR18884:SF123', NULL, NULL, NULL, NULL, 'SEPTIN-7', 110673),
(166948, 'PTHR23310:SF104', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A BINDING PROTEIN', 110674),
(166949, 'PTHR11062:SF281', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 110675),
(166950, 'PTHR13429:SF10', NULL, NULL, NULL, NULL, 'PROTEIN EXPANDED', 110676),
(166951, 'PTHR37429:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG04774', 110677),
(166952, 'PTHR32246:SF131', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', 110678),
(166953, 'PTHR24282:SF224', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 734A1', 110679),
(166954, 'PTHR31790:SF303', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 110680),
(166955, 'PTHR13832:SF765', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 17-RELATED', 110681),
(166956, 'PTHR13112:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS 3B', 110682),
(166957, 'PTHR21600:SF59', NULL, NULL, NULL, NULL, 'PSEUDOURIDYLATE SYNTHASE PROTEIN, PUTATIVE-RELATED', 110683),
(166958, 'PTHR31912:SF31', NULL, NULL, NULL, NULL, 'SI:CH211-111E20.1-RELATED', 110684),
(166959, 'PTHR18953:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110685),
(166960, 'PTHR31391:SF63', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0723500', 110686),
(166961, 'PTHR31989:SF312', NULL, NULL, NULL, NULL, 'OS01G0339500 PROTEIN', 110687),
(166962, 'PTHR44129:SF1', NULL, NULL, NULL, NULL, 'LISSENCEPHALY-1 HOMOLOG A', 110688),
(166963, 'PTHR30614:SF20', NULL, NULL, NULL, NULL, 'GLUTAMINE TRANSPORT SYSTEM PERMEASE PROTEIN GLNP', 110689),
(166964, 'PTHR31374:SF215', NULL, NULL, NULL, NULL, 'SAUR33-AUXIN-RESPONSIVE SAUR FAMILY MEMBER', 110690),
(166965, 'PTHR46864:SF1', NULL, NULL, NULL, NULL, 'LAFORIN', 110691),
(166966, 'PTHR23172:SF4', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE AUXILIN-RELATED', 110692),
(166967, 'PTHR19376', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', 110693),
(166968, 'PTHR47518:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 110694),
(166969, 'PTHR46672:SF1', NULL, NULL, NULL, NULL, 'OS08G0103600 PROTEIN', 110695),
(166970, 'PTHR34042', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP17', 110696),
(166971, 'PTHR37520:SF1', NULL, NULL, NULL, NULL, 'INTRON-ENCODED DNA ENDONUCLEASE AI2A-RELATED', 110697),
(166972, 'PTHR31132', NULL, NULL, NULL, NULL, 'N-LYSINE METHYLTRANSFERASE', 110698),
(166973, 'PTHR31218:SF325', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 110699),
(166974, 'PTHR22800:SF246', NULL, NULL, NULL, NULL, 'NATURAL KILLER CELLS ANTIGEN CD94', 110700),
(166975, 'PTHR37187:SF11', NULL, NULL, NULL, NULL, 'BNAA04G20080D PROTEIN', 110701),
(166976, 'PTHR34197:SF9', NULL, NULL, NULL, NULL, 'BNAA06G33530D PROTEIN', 110702),
(166977, 'PTHR47925:SF13', NULL, NULL, NULL, NULL, 'BNAA06G40540D PROTEIN', 110703),
(166978, 'PTHR46841', NULL, NULL, NULL, NULL, 'OX-2 MEMBRANE GLYCOPROTEIN', 110704),
(166979, 'PTHR24240:SF56', NULL, NULL, NULL, NULL, 'OPSIN 5-LIKE 2', 110705),
(166980, 'PTHR11922:SF1', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE', 110706),
(166981, 'PTHR46476:SF11', NULL, NULL, NULL, NULL, 'CHITINASE 1', 110707),
(166982, 'PTHR11324', NULL, NULL, NULL, NULL, 'IL16-RELATED', 110708);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(166983, 'PTHR13389:SF0', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 3', 110709),
(166984, 'PTHR24115:SF604', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN CG14535', 110710),
(166985, 'PTHR43065:SF23', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE SENSOR PROTEIN', 110711),
(166986, 'PTHR27005:SF200', NULL, NULL, NULL, NULL, 'OS06G0142500 PROTEIN', 110712),
(166987, 'PTHR23115:SF269', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA 1-RELATED', 110713),
(166988, 'PTHR31734:SF149', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 110714),
(166989, 'PTHR36370', NULL, NULL, NULL, NULL, 'THYLAKOID SOLUBLE PHOSPHOPROTEIN', 110715),
(166990, 'PTHR10996:SF216', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3', 110716),
(166991, 'PTHR22930:SF191', NULL, NULL, NULL, NULL, 'ZMP:0000000634', 110717),
(166992, 'PTHR14557:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND UBIQUITIN-LIKE DOMAIN-CONTAINING PROTEIN 1', 110718),
(166993, 'PTHR46750', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR 1', 110719),
(166994, 'PTHR23030:SF37', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 23', 110720),
(166995, 'PTHR26379:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110721),
(166996, 'PTHR20889:SF15', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE 2', 110722),
(166997, 'PTHR31314:SF127', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS PROTEIN', 110723),
(166998, 'PTHR33181:SF39', NULL, NULL, NULL, NULL, 'SSRA-BINDING PROTEIN', 110724),
(166999, 'PTHR11188:SF153', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', 110725),
(167000, 'PTHR46437', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 5', 110726),
(167001, 'PTHR10795:SF541', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.14', 110727),
(167002, 'PTHR31659:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110728),
(167003, 'PTHR13952:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110729),
(167004, 'PTHR32448:SF123', NULL, NULL, NULL, NULL, 'TETRAHYDROCANNABINOLIC ACID SYNTHASE-LIKE', 110730),
(167005, 'PTHR37752', NULL, NULL, NULL, NULL, 'OS02G0610700 PROTEIN', 110731),
(167006, 'PTHR48002:SF98', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C46', 110732),
(167007, 'PTHR45654:SF40', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ROC7-LIKE', 110733),
(167008, 'PTHR20934:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', 110734),
(167009, 'PTHR10687:SF63', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 110735),
(167010, 'PTHR19241:SF601', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 50', 110736),
(167011, 'PTHR11514:SF131', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING FAMILY PROTEIN-RELATED', 110737),
(167012, 'PTHR45640:SF31', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN, ALPHA-CRYSTALLIN-RELATED, B6', 110738),
(167013, 'PTHR26450:SF6', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51T1', 110739),
(167014, 'PTHR12146:SF16', NULL, NULL, NULL, NULL, 'BNAA03G12560D PROTEIN', 110740),
(167015, 'PTHR23102:SF19', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 4-LIKE PROTEIN-RELATED', 110741),
(167016, 'PTHR45677:SF11', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE 2', 110742),
(167017, 'PTHR24361:SF823', NULL, NULL, NULL, NULL, 'OS02G0787300 PROTEIN', 110743),
(167018, 'PTHR37989:SF31', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 4', 110744),
(167019, 'PTHR22751:SF127', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 110745),
(167020, 'PTHR31048:SF162', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', 110746),
(167021, 'PTHR33150:SF1', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX-BINDING PROTEIN EBH', 110747),
(167022, 'PTHR35658', NULL, NULL, NULL, NULL, 'RCG58666, ISOFORM CRA_A', 110748),
(167023, 'PTHR10259', NULL, NULL, NULL, NULL, 'THIOPURINE S-METHYLTRANSFERASE', 110749),
(167024, 'PTHR26451:SF871', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', 110750),
(167025, 'PTHR11467:SF132', NULL, NULL, NULL, NULL, 'LINKER HISTONE H1 AND H5 FAMILY PROTEIN', 110751);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(167026, 'PTHR31907:SF52', NULL, NULL, NULL, NULL, 'MAJOR LATEX PROTEIN', 110752),
(167027, 'PTHR22692:SF30', NULL, NULL, NULL, NULL, 'MYOSIN VIIAB', 110753),
(167028, 'PTHR33429:SF2', NULL, NULL, NULL, NULL, 'OS01G0888850 PROTEIN', 110754),
(167029, 'PTHR23355:SF35', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX EXONUCLEASE RRP44', 110755),
(167030, 'PTHR47270:SF3', NULL, NULL, NULL, NULL, 'HEAVY CHAIN-LIKE PROTEIN, PUTATIVE-RELATED', 110756),
(167031, 'PTHR13832:SF769', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110757),
(167032, 'PTHR23209:SF4', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 12', 110758),
(167033, 'PTHR46222', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP7/14', 110759),
(167034, 'PTHR20856:SF28', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 110760),
(167035, 'PTHR24221:SF527', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110761),
(167036, 'PTHR26450:SF2', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 110762),
(167037, 'PTHR35099:SF2', NULL, NULL, NULL, NULL, 'OS02G0182700 PROTEIN', 110763),
(167038, 'PTHR42197:SF1', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE(56)-2''-O)-METHYLTRANSFERASE', 110764),
(167039, 'PTHR22198:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14274', 110765),
(167040, 'PTHR27006:SF175', NULL, NULL, NULL, NULL, 'BNAC02G20160D PROTEIN', 110766),
(167041, 'PTHR48063:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110767),
(167042, 'PTHR11346:SF96', NULL, NULL, NULL, NULL, 'GALECTIN', 110768),
(167043, 'PTHR24393:SF90', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 362', 110769),
(167044, 'PTHR32227:SF233', NULL, NULL, NULL, NULL, 'OS02G0532900 PROTEIN', 110770),
(167045, 'PTHR45686:SF11', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD8-RELATED', 110771),
(167046, 'PTHR35107:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110772),
(167047, 'PTHR10791:SF165', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET10', 110773),
(167048, 'PTHR14614:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110774),
(167049, 'PTHR31175:SF33', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', 110775),
(167050, 'PTHR31639:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110776),
(167051, 'PTHR11829:SF365', NULL, NULL, NULL, NULL, 'SI:CH211-239D6.2-RELATED', 110777),
(167052, 'PTHR19290:SF88', NULL, NULL, NULL, NULL, 'NEUROGENIC DIFFERENTIATION FACTOR 1', 110778),
(167053, 'PTHR19241:SF630', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER', 110779),
(167054, 'PTHR15909:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L35, MITOCHONDRIAL', 110780),
(167055, 'PTHR33155:SF37', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 3', 110781),
(167056, 'PTHR45941:SF1', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE 1', 110782),
(167057, 'PTHR22762:SF63', NULL, NULL, NULL, NULL, 'MALTASE-GLUCOAMYLASE, INTESTINAL', 110783),
(167058, 'PTHR11935:SF145', NULL, NULL, NULL, NULL, 'BNAC03G17440D PROTEIN', 110784),
(167059, 'PTHR16510:SF4', NULL, NULL, NULL, NULL, 'MATRIX EXTRACELLULAR PHOSPHOGLYCOPROTEIN', 110785),
(167060, 'PTHR31301:SF128', NULL, NULL, NULL, NULL, 'STRUCTURE-SPECIFIC ENDONUCLEASE SUBUNIT SLX1 HOMOLOG', 110786),
(167061, 'PTHR31207:SF35', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS FAMILY PROTEIN (DUF784)-RELATED', 110787),
(167062, 'PTHR31832:SF56', NULL, NULL, NULL, NULL, 'BNAANNG09120D PROTEIN', 110788),
(167063, 'PTHR43876:SF8', NULL, NULL, NULL, NULL, '2-OCTAPRENYL-6-METHOXYPHENOL HYDROXYLASE', 110789),
(167064, 'PTHR24119:SF6', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', 110790),
(167065, 'PTHR22835:SF596', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110791),
(167066, 'PTHR47998:SF26', NULL, NULL, NULL, NULL, 'MYB RELATED TRANSCRIPTION FACTOR', 110792),
(167067, 'PTHR45614:SF174', NULL, NULL, NULL, NULL, 'BNAA09G02470D PROTEIN', 110793),
(167068, 'PTHR33107:SF35', NULL, NULL, NULL, NULL, 'KUNITZ FAMILY TRYPSIN AND PROTEASE INHIBITOR PROTEIN', 110794),
(167069, 'PTHR13547:SF14', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 110795); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(167070, 'PTHR47604:SF2', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE', 110796),
(167071, 'PTHR23150:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110797),
(167072, 'PTHR31472:SF19', NULL, NULL, NULL, NULL, 'BNAC01G36270D PROTEIN', 110798),
(167073, 'PTHR11064:SF109', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-4', 110799),
(167074, 'PTHR31889:SF14', NULL, NULL, NULL, NULL, 'OS06G0212300 PROTEIN', 110800),
(167075, 'PTHR24221:SF167', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY B MEMBER 8, MITOCHONDRIAL', 110801),
(167076, 'PTHR34580:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, DEOR FAMILY', 110802),
(167077, 'PTHR22902:SF32', NULL, NULL, NULL, NULL, 'VARIANT SH3 DOMAIN CONTAINING PROTEIN', 110803),
(167078, 'PTHR35715:SF2', NULL, NULL, NULL, NULL, 'OS08G0511800 PROTEIN', 110804),
(167079, 'PTHR13080:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110805),
(167080, 'PTHR48021:SF76', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE-SENSING PROTEIN 2-LIKE ISOFORM X1', 110806),
(167081, 'PTHR33147:SF72', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', 110807),
(167082, 'PTHR11489:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', 110808),
(167083, 'PTHR24349:SF362', NULL, NULL, NULL, NULL, 'BNAA09G46960D PROTEIN', 110809),
(167084, 'PTHR42854:SF12', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 3', 110810),
(167085, 'PTHR46122:SF19', NULL, NULL, NULL, NULL, 'BNAA02G26610D PROTEIN', 110811),
(167086, 'PTHR11477:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR TFIIS-LIKE', 110812),
(167087, 'PTHR12920:SF2', NULL, NULL, NULL, NULL, 'YY1-ASSOCIATED FACTOR 2', 110813),
(167088, 'PTHR24070:SF258', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAL-A', 110814),
(167089, 'PTHR45693:SF32', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA3', 110815),
(167090, 'PTHR12234:SF4', NULL, NULL, NULL, NULL, 'METHENYLTETRAHYDROFOLATE CYCLOHYDROLASE', 110816),
(167091, 'PTHR13462:SF40', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 110817),
(167092, 'PTHR48017:SF7', NULL, NULL, NULL, NULL, 'LHT1', 110818),
(167093, 'PTHR48009:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT FAMILY PROTEIN', 110819),
(167094, 'PTHR11880:SF34', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19 MITOCHONDRIAL', 110820),
(167095, 'PTHR11207:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110821),
(167096, 'PTHR31102:SF20', NULL, NULL, NULL, NULL, 'NA[+]/H[+] HYDROGEN ANTIPORTER 1, ISOFORM A', 110822),
(167097, 'PTHR48001:SF34', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 110823),
(167098, 'PTHR13018:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110824),
(167099, 'PTHR21304:SF7', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC10', 110825),
(167100, 'PTHR24253:SF89', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 2', 110826),
(167101, 'PTHR23248:SF40', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', 110827),
(167102, 'PTHR11544:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110828),
(167103, 'PTHR20986:SF20', NULL, NULL, NULL, NULL, 'FMRFAMIDE-LIKE NEUROPEPTIDES 1', 110829),
(167104, 'PTHR11346:SF15', NULL, NULL, NULL, NULL, 'GALECTIN-10', 110830),
(167105, 'PTHR43070:SF5', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ASPARTOKINASE/HOMOSERINE DEHYDROGENASE 2, CHLOROPLASTIC', 110831),
(167106, 'PTHR31210:SF49', NULL, NULL, NULL, NULL, 'TRIMETHYLGUANOSINE SYNTHASE (DUF707)', 110832),
(167107, 'PTHR15036:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110833),
(167108, 'PTHR43806:SF40', NULL, NULL, NULL, NULL, 'BNAC02G33520D PROTEIN', 110834),
(167109, 'PTHR31375:SF91', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 110835),
(167110, 'PTHR23310:SF118', NULL, NULL, NULL, NULL, 'DIAZEPAM-BINDING INHIBITOR (GABA RECEPTOR MODULATOR, ACYL-COA-BINDING PROTEIN)', 110836),
(167111, 'PTHR45973:SF2', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 97 KDA', 110837),
(167112, 'PTHR24096:SF332', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 2-LIKE', 110838),
(167113, 'PTHR48047', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 110839);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(167114, 'PTHR14096:SF40', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L3', 110840),
(167115, 'PTHR31604:SF22', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 6', 110841),
(167116, 'PTHR48053:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110842),
(167117, 'PTHR13261:SF0', NULL, NULL, NULL, NULL, 'BRCA2 AND CDKN1A-INTERACTING PROTEIN', 110843),
(167118, 'PTHR11206:SF404', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 110844),
(167119, 'PTHR31561:SF164', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 9', 110845),
(167120, 'PTHR12290:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON-LIKE PROTEIN 4', 110846),
(167121, 'PTHR47993:SF79', NULL, NULL, NULL, NULL, 'BNAC09G13870D PROTEIN', 110847),
(167122, 'PTHR10943:SF16', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2 HOMOLOG A-RELATED', 110848),
(167123, 'PTHR10579:SF132', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', 110849),
(167124, 'PTHR43632', NULL, NULL, NULL, NULL, 'PERMEASE COMPONENT OF TUNGSTATE ABC TRANSPORTER', 110850),
(167125, 'PTHR36566:SF1', NULL, NULL, NULL, NULL, 'NICKEL INSERTION PROTEIN-RELATED', 110851),
(167126, 'PTHR12357:SF35', NULL, NULL, NULL, NULL, 'OS04G0129300 PROTEIN', 110852),
(167127, 'PTHR47598:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP17-2, CHLOROPLASTIC', 110853),
(167128, 'PTHR14972:SF3', NULL, NULL, NULL, NULL, 'GLUCOCORTICOID-INDUCED TRANSCRIPT 1 PROTEIN', 110854),
(167129, 'PTHR45935:SF14', NULL, NULL, NULL, NULL, 'SCAN DOMAIN-CONTAINING PROTEIN 1 ISOFORM 1', 110855),
(167130, 'PTHR42951:SF4', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE DOMAIN-CONTAINING PROTEIN 2', 110856),
(167131, 'PTHR18945:SF393', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT ALPHA-4', 110857),
(167132, 'PTHR12378:SF67', NULL, NULL, NULL, NULL, 'PPPDE PUTATIVE PEPTIDASE DOMAIN-CONTAINING PROTEIN-RELATED', 110858),
(167133, 'PTHR46175:SF8', NULL, NULL, NULL, NULL, 'ADAGIO PROTEIN 1-LIKE', 110859),
(167134, 'PTHR45627:SF14', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', 110860),
(167135, 'PTHR46602:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF GENE SILENCING 3-LIKE', 110861),
(167136, 'PTHR12482:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM135B', 110862),
(167137, 'PTHR12716:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIE SUBUNIT BETA', 110863),
(167138, 'PTHR47942:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110864),
(167139, 'PTHR42790:SF18', NULL, NULL, NULL, NULL, 'HISTIDINOL-PHOSPHATE AMINOTRANSFERASE', 110865),
(167140, 'PTHR31434:SF2', NULL, NULL, NULL, NULL, 'S PHASE CYCLIN A-ASSOCIATED PROTEIN IN THE ENDOPLASMIC RETICULUM', 110866),
(167141, 'PTHR11089:SF33', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN-LIKE 3-LIKE PROTEIN', 110867),
(167142, 'PTHR23161', NULL, NULL, NULL, NULL, 'PROTEIN CIP2A', 110868),
(167143, 'PTHR15314', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P20', 110869),
(167144, 'PTHR33127:SF30', NULL, NULL, NULL, NULL, 'BNAA09G08550D PROTEIN', 110870),
(167145, 'PTHR47098:SF1', NULL, NULL, NULL, NULL, 'PFKB FAMILY CARBOHYDRATE KINASE SUPERFAMILY (AFU_ORTHOLOGUE AFUA_4G09500)', 110871),
(167146, 'PTHR46813:SF14', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', 110872),
(167147, 'PTHR23147:SF157', NULL, NULL, NULL, NULL, 'OS05G0162600 PROTEIN', 110873),
(167148, 'PTHR33144:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110874),
(167149, 'PTHR33388:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110875),
(167150, 'PTHR43128:SF9', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE A-LIKE 6A', 110876),
(167151, 'PTHR31352:SF7', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', 110877),
(167152, 'PTHR31391:SF108', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0905400-LIKE ISOFORM X1', 110878),
(167153, 'PTHR31476', NULL, NULL, NULL, NULL, 'PROTEIN WHAT''S THIS FACTOR 1 HOMOLOG, CHLOROPLASTIC', 110879),
(167154, 'PTHR46629:SF18', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', 110880);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(167155, 'PTHR44733', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 22', 110881),
(167156, 'PTHR11848:SF150', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 8', 110882),
(167157, 'PTHR20855:SF3', NULL, NULL, NULL, NULL, 'LD03007P', 110883),
(167158, 'PTHR10796:SF187', NULL, NULL, NULL, NULL, 'PROTEIN CBG18375', 110884),
(167159, 'PTHR39961', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 110885),
(167160, 'PTHR23189:SF15', NULL, NULL, NULL, NULL, 'NON-POU DOMAIN-CONTAINING OCTAMER-BINDING PROTEIN', 110886),
(167161, 'PTHR35828:SF12', NULL, NULL, NULL, NULL, 'OS01G0322500 PROTEIN', 110887),
(167162, 'PTHR11417:SF16', NULL, NULL, NULL, NULL, 'DECIDUAL PRL-RELATED PROTEIN-RELATED', 110888),
(167163, 'PTHR31573:SF3', NULL, NULL, NULL, NULL, 'DNA REPAIR FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G14250)', 110889),
(167164, 'PTHR27009:SF260', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110890),
(167165, 'PTHR47980:SF23', NULL, NULL, NULL, NULL, 'RAB10, MEMBER RAS ONCOGENE FAMILY-RELATED', 110891),
(167166, 'PTHR31384:SF72', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 4', 110892),
(167167, 'PTHR31235:SF230', NULL, NULL, NULL, NULL, 'PEROXIDASE', 110893),
(167168, 'PTHR24068:SF211', NULL, NULL, NULL, NULL, 'AKT-INTERACTING PROTEIN', 110894),
(167169, 'PTHR24249:SF376', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110895),
(167170, 'PTHR12305:SF87', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 3-PHOSPHATASE AND PROTEIN-TYROSINE-PHOSPHATASE PTEN2B', 110896),
(167171, 'PTHR45761:SF4', NULL, NULL, NULL, NULL, 'EXTENDED SYNAPTOTAGMIN-3', 110897),
(167172, 'PTHR11726:SF42', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10-LIKE', 110898),
(167173, 'PTHR44750:SF7', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE T1', 110899),
(167174, 'PTHR47106', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN-CONTAINING PROTEIN 5', 110900),
(167175, 'PTHR11216:SF62', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 2', 110901),
(167176, 'PTHR12147:SF47', NULL, NULL, NULL, NULL, 'FI23922P1-RELATED', 110902),
(167177, 'PTHR43788:SF8', NULL, NULL, NULL, NULL, 'HELICASE WITH ZINC FINGER 2', 110903),
(167178, 'PTHR45752:SF69', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 29', 110904),
(167179, 'PTHR15615:SF107', NULL, NULL, NULL, NULL, 'PHO85 CYCLIN-1', 110905),
(167180, 'PTHR23075:SF9', NULL, NULL, NULL, NULL, 'BNAC02G06950D PROTEIN', 110906),
(167181, 'PTHR13832:SF684', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 27-RELATED', 110907),
(167182, 'PTHR45669:SF26', NULL, NULL, NULL, NULL, 'OS08G0554699 PROTEIN', 110908),
(167183, 'PTHR43507', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 4', 110909),
(167184, 'PTHR48011:SF77', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 110910),
(167185, 'PTHR30522', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRIPHOSPHATE PYROPHOSPHOHYDROLASE', 110911),
(167186, 'PTHR12802:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110912),
(167187, 'PTHR33184:SF44', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 110913),
(167188, 'PTHR31774:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-8', 110914),
(167189, 'PTHR10264:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBR-UNC-24', 110915),
(167190, 'PTHR45476:SF4', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 5', 110916),
(167191, 'PTHR46384:SF1', NULL, NULL, NULL, NULL, 'MOTILE SPERM DOMAIN-CONTAINING PROTEIN 2', 110917),
(167192, 'PTHR10131:SF131', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 6', 110918),
(167193, 'PTHR10075:SF44', NULL, NULL, NULL, NULL, 'NEURONAL CELL ADHESION MOLECULE', 110919),
(167194, 'PTHR23415:SF39', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT 1', 110920),
(167195, 'PTHR21731:SF1', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX CENTRAL ELEMENT PROTEIN 1-LIKE', 110921),
(167196, 'PTHR24323:SF6', NULL, NULL, NULL, NULL, 'VISUAL SYSTEM HOMEOBOX 2', 110922),
(167197, 'PTHR12280:SF41', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE', 110923);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(167198, 'PTHR30093:SF2', NULL, NULL, NULL, NULL, 'SLR2015 PROTEIN', 110924),
(167199, 'PTHR24068:SF360', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 C-RELATED', 110925),
(167200, 'PTHR23423:SF11', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER SUBUNIT ALPHA', 110926),
(167201, 'PTHR31636:SF183', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 9', 110927),
(167202, 'PTHR31890:SF8', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', 110928),
(167203, 'PTHR22597:SF3', NULL, NULL, NULL, NULL, 'CHROMATIN STRUCTURE-REMODELING COMPLEX SUBUNIT RSC7', 110929),
(167204, 'PTHR45646:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG24934', 110930),
(167205, 'PTHR47228:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 16', 110931),
(167206, 'PTHR26453:SF88', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1510', 110932),
(167207, 'PTHR45933:SF7', NULL, NULL, NULL, NULL, 'OS07G0501700 PROTEIN', 110933),
(167208, 'PTHR10809:SF125', NULL, NULL, NULL, NULL, 'BNAC08G42980D PROTEIN', 110934),
(167209, 'PTHR12000:SF28', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME-LIKE', 110935),
(167210, 'PTHR11849:SF21', NULL, NULL, NULL, NULL, 'ETS DOMAIN-CONTAINING PROTEIN ELK-4', 110936),
(167211, 'PTHR33677:SF2', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 110937),
(167212, 'PTHR21461:SF70', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 110938),
(167213, 'PTHR10556:SF33', NULL, NULL, NULL, NULL, 'TRANS-2,3-ENOYL-COA REDUCTASE-LIKE 2A-RELATED', 110939),
(167214, 'PTHR31636:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110940),
(167215, 'PTHR40633', NULL, NULL, NULL, NULL, 'MATRIX PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05410)-RELATED', 110941),
(167216, 'PTHR31915:SF7', NULL, NULL, NULL, NULL, 'TAX1-BINDING PROTEIN 1 HOMOLOG A', 110942),
(167217, 'PTHR35340:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110943),
(167218, 'PTHR31602:SF19', NULL, NULL, NULL, NULL, 'OS02G0773600 PROTEIN', 110944),
(167219, 'PTHR28656:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 153', 110945),
(167220, 'PTHR10589:SF22', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 110946),
(167221, 'PTHR22762:SF54', NULL, NULL, NULL, NULL, 'BCDNA.GH04962', 110947),
(167222, 'PTHR33021:SF336', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 3', 110948),
(167223, 'PTHR31048:SF97', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', 110949),
(167224, 'PTHR32282:SF29', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 1A/1B', 110950),
(167225, 'PTHR32054:SF28', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT 1', 110951),
(167226, 'PTHR11078:SF3', NULL, NULL, NULL, NULL, 'ANTITERMINATION NUSB DOMAIN-CONTAINING PROTEIN', 110952),
(167227, 'PTHR11909:SF414', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN HD16', 110953),
(167228, 'PTHR36113:SF1', NULL, NULL, NULL, NULL, 'LYASE, PUTATIVE-RELATED', 110954),
(167229, 'PTHR31642:SF157', NULL, NULL, NULL, NULL, 'OMEGA-HYDROXYPALMITATE O-FERULOYL TRANSFERASE', 110955),
(167230, 'PTHR19441:SF71', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN 16', 110956),
(167231, 'PTHR33052:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110957),
(167232, 'PTHR31718:SF39', NULL, NULL, NULL, NULL, 'PLAT DOMAIN-CONTAINING PROTEIN 2', 110958),
(167233, 'PTHR46769', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY AND HEPATIC DISEASE 1 (AUTOSOMAL RECESSIVE)-LIKE 1', 110959),
(167234, 'PTHR45778:SF20', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 110960),
(167235, 'PTHR23268:SF93', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 17 (NON-FUNCTIONAL)', 110961),
(167236, 'PTHR47721:SF3', NULL, NULL, NULL, NULL, 'BNAC06G13920D PROTEIN', 110962),
(167237, 'PTHR42715:SF10', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE-RELATED', 110963),
(167238, 'PTHR31374:SF217', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71', 110964),
(167239, 'PTHR24281:SF154', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE', 110965),
(167240, 'PTHR30546:SF29', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE', 110966);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(167241, 'PTHR11721:SF23', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27A-3', 110967),
(167242, 'PTHR10168:SF286', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S3-RELATED', 110968),
(167243, 'PTHR31930', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS R', 110969),
(167244, 'PTHR32487:SF22', NULL, NULL, NULL, NULL, 'BNAA01G13700D PROTEIN', 110970),
(167245, 'PTHR11618:SF69', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB-RELATED', 110971),
(167246, 'PTHR26379:SF300', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110972),
(167247, 'PTHR31194:SF62', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF119', 110973),
(167248, 'PTHR27001:SF71', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 110974),
(167249, 'PTHR31385:SF7', NULL, NULL, NULL, NULL, 'STREPTOMYCES CYCLASE/DEHYDRASE', 110975),
(167250, 'PTHR48010:SF4', NULL, NULL, NULL, NULL, 'B1358B12.16 PROTEIN', 110976),
(167251, 'PTHR31776:SF18', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE-LIKE PROTEIN', 110977),
(167252, 'PTHR10641:SF958', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 110978),
(167253, 'PTHR31339:SF74', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 110979),
(167254, 'PTHR11362:SF95', NULL, NULL, NULL, NULL, 'PROTEIN MOTHER OF FT AND TFL1', 110980),
(167255, 'PTHR31579:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110981),
(167256, 'PTHR35094:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 2', 110982),
(167257, 'PTHR33784:SF10', NULL, NULL, NULL, NULL, 'OS05G0482100 PROTEIN', 110983),
(167258, 'PTHR43112:SF27', NULL, NULL, NULL, NULL, 'FERREDOXIN', 110984),
(167259, 'PTHR24068:SF278', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 T', 110985),
(167260, 'PTHR19134:SF495', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE 69D', 110986),
(167261, 'PTHR34927', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN K', 110987),
(167262, 'PTHR34669:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD DOMAIN-CONTAINING PROTEIN MRL7, CHLOROPLASTIC', 110988),
(167263, 'PTHR47999:SF55', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB114-LIKE', 110989),
(167264, 'PTHR11929:SF202', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE FUT-3', 110990),
(167265, 'PTHR15036:SF52', NULL, NULL, NULL, NULL, 'NEUREXIN-2', 110991),
(167266, 'PTHR34132:SF10', NULL, NULL, NULL, NULL, 'BNAA10G16670D PROTEIN', 110992),
(167267, 'PTHR27001:SF648', NULL, NULL, NULL, NULL, 'OS02G0194600 PROTEIN', 110993),
(167268, 'PTHR23266', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY CHAIN', 110994),
(167269, 'PTHR23113:SF252', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR HOMOLOG', 110995),
(167270, 'PTHR11311:SF15', NULL, NULL, NULL, NULL, 'SPONDIN-2', 110996),
(167271, 'PTHR10106:SF38', NULL, NULL, NULL, NULL, 'CYTOCHROME B ASCORBATE-DEPENDENT PROTEIN 3', 110997),
(167272, 'PTHR24282:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 110998),
(167273, 'PTHR45659:SF8', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ABDOMINAL-A-RELATED', 110999),
(167274, 'PTHR11960:SF11', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-2', 111000),
(167275, 'PTHR20902:SF0', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 5', 111001),
(167276, 'PTHR31235:SF9', NULL, NULL, NULL, NULL, 'PEROXIDASE 18-RELATED', 111002),
(167277, 'PTHR10196:SF57', NULL, NULL, NULL, NULL, 'XYLULOSE KINASE', 111003),
(167278, 'PTHR30619:SF7', NULL, NULL, NULL, NULL, 'METALLO BETA-LACTAMASE SUPERFAMILY LIPOPROTEIN', 111004),
(167279, 'PTHR46441:SF1', NULL, NULL, NULL, NULL, 'EPIDIDYMAL PROTEIN ME9', 111005),
(167280, 'PTHR21347:SF12', NULL, NULL, NULL, NULL, 'CLEFT LIP AND PALATE TRANSMEMBRANE PROTEIN 1-LIKE PROTEIN', 111006),
(167281, 'PTHR33052:SF155', NULL, NULL, NULL, NULL, 'OS03G0768900 PROTEIN', 111007),
(167282, 'PTHR31591', NULL, NULL, NULL, NULL, 'UPF0613 PROTEIN PB24D3.06C', 111008),
(167283, 'PTHR33443:SF23', NULL, NULL, NULL, NULL, 'OS03G0140900 PROTEIN', 111009),
(167284, 'PTHR10844:SF18', NULL, NULL, NULL, NULL, 'CAVEOLIN-1', 111010);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(167285, 'PTHR21593:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG06192', 111011),
(167286, 'PTHR21562:SF73', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 111012),
(167287, 'PTHR10178:SF266', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE, CHLOROPLASTIC', 111013),
(167288, 'PTHR11256:SF11', NULL, NULL, NULL, NULL, 'APOPTOSIS REGULATOR BCL-2', 111014),
(167289, 'PTHR33407', NULL, NULL, NULL, NULL, 'PECTATE LYASE F-RELATED', 111015),
(167290, 'PTHR13465:SF3', NULL, NULL, NULL, NULL, 'PROTEIN BROAD-MINDED', 111016),
(167291, 'PTHR32063', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 111017),
(167292, 'PTHR33703', NULL, NULL, NULL, NULL, 'OS07G0691300 PROTEIN', 111018),
(167293, 'PTHR48019:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111019),
(167294, 'PTHR13844:SF61', NULL, NULL, NULL, NULL, 'UPSTREAM ACTIVATION FACTOR SUBUNIT SPP27-LIKE ISOFORM X1', 111020),
(167295, 'PTHR10766:SF35', NULL, NULL, NULL, NULL, 'PHAGOCYTIC RECEPTOR 1C-RELATED', 111021),
(167296, 'PTHR16007', NULL, NULL, NULL, NULL, 'EPIDIDYMAL MEMBRANE PROTEIN E9-RELATED', 111022),
(167297, 'PTHR48053:SF69', NULL, NULL, NULL, NULL, 'BNAA08G02250D PROTEIN', 111023),
(167298, 'PTHR33507', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YBBJ', 111024),
(167299, 'PTHR27005:SF400', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 9', 111025),
(167300, 'PTHR34965:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111026),
(167301, 'PTHR45757:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11431', 111027),
(167302, 'PTHR34883:SF8', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SERINE-RICH PROTEIN (AFU_ORTHOLOGUE AFUA_6G00670)', 111028),
(167303, 'PTHR10704:SF60', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 3', 111029),
(167304, 'PTHR22839', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 3  THO3', 111030),
(167305, 'PTHR42791', NULL, NULL, NULL, NULL, 'GNAT FAMILY ACETYLTRANSFERASE', 111031),
(167306, 'PTHR48236', NULL, NULL, NULL, NULL, 'COX19-LIKE CHCH FAMILY PROTEIN', 111032),
(167307, 'PTHR31791:SF55', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 111033),
(167308, 'PTHR31713:SF72', NULL, NULL, NULL, NULL, 'OS08G0360300 PROTEIN', 111034),
(167309, 'PTHR17008', NULL, NULL, NULL, NULL, 'MEIOSIS-EXPRESSED GENE 1 PROTEIN', 111035),
(167310, 'PTHR20883', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE DOMAIN CONTAINING 1', 111036),
(167311, 'PTHR39741:SF10', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 111037),
(167312, 'PTHR15481:SF9', NULL, NULL, NULL, NULL, 'BNAA09G56240D PROTEIN', 111038),
(167313, 'PTHR23294:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG07602', 111039),
(167314, 'PTHR13035', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 111040),
(167315, 'PTHR31870', NULL, NULL, NULL, NULL, 'SI:DKEY-183I3.9-RELATED', 111041),
(167316, 'PTHR24349:SF388', NULL, NULL, NULL, NULL, 'BNACNNG42020D PROTEIN', 111042),
(167317, 'PTHR15237:SF1', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT CONTROL PROTEIN RAD9A', 111043),
(167318, 'PTHR10048:SF106', NULL, NULL, NULL, NULL, 'BNAA02G34040D PROTEIN', 111044),
(167319, 'PTHR10015:SF298', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-9', 111045),
(167320, 'PTHR45735:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111046),
(167321, 'PTHR19965:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111047),
(167322, 'PTHR21314:SF0', NULL, NULL, NULL, NULL, 'QUEUOSINE SALVAGE PROTEIN', 111048),
(167323, 'PTHR10414:SF71', NULL, NULL, NULL, NULL, 'FI05338P', 111049),
(167324, 'PTHR12979', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 10', 111050),
(167325, 'PTHR10903:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111051),
(167326, 'PTHR45621:SF179', NULL, NULL, NULL, NULL, 'APK1B, PUTATIVE-RELATED', 111052),
(167327, 'PTHR48002:SF54', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 111053),
(167328, 'PTHR47990:SF111', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 111054),
(167329, 'PTHR31375:SF207', NULL, NULL, NULL, NULL, 'BNAC04G03130D PROTEIN', 111055),
(167330, 'PTHR34070', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD', 111056);
INSERT INTO "PUBLIC"."MODEL" VALUES
(167331, 'PTHR46128:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111057),
(167332, 'PTHR14221:SF56', NULL, NULL, NULL, NULL, 'BNAC02G03540D PROTEIN', 111058),
(167333, 'PTHR33318:SF5', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE', 111059),
(167334, 'PTHR11455:SF30', NULL, NULL, NULL, NULL, 'CRYPTOCHROME 2', 111060),
(167335, 'PTHR45738:SF22', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC3-LIKE', 111061),
(167336, 'PTHR31889:SF78', NULL, NULL, NULL, NULL, 'BNAC05G10380D PROTEIN', 111062),
(167337, 'PTHR47209:SF5', NULL, NULL, NULL, NULL, 'BNAA08G30650D PROTEIN', 111063),
(167338, 'PTHR10644:SF19', NULL, NULL, NULL, NULL, 'DAMAGED DNA BINDING PROTEIN (EUROFUNG)', 111064),
(167339, 'PTHR34673', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 111065),
(167340, 'PTHR10984:SF56', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM VESICLE TRANSPORTER PROTEIN', 111066),
(167341, 'PTHR34930:SF6', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN JUPITER', 111067),
(167342, 'PTHR43833:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE, DHH FAMILY, FUSED TO NAD-BINDING TRKA-N DOMAIN-RELATED', 111068),
(167343, 'PTHR11829:SF346', NULL, NULL, NULL, NULL, 'FORK HEAD DOMAIN-CONTAINING PROTEIN FD3-LIKE PROTEIN', 111069),
(167344, 'PTHR32308:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111070),
(167345, 'PTHR31917:SF92', NULL, NULL, NULL, NULL, 'AGENET DOMAIN-CONTAINING PROTEIN-LIKE', 111071),
(167346, 'PTHR37228:SF3', NULL, NULL, NULL, NULL, 'BNAA06G32950D PROTEIN', 111072),
(167347, 'PTHR43266:SF2', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID TRANSPORTER LPLT', 111073),
(167348, 'PTHR11681', NULL, NULL, NULL, NULL, 'NEUROPHYSIN', 111074),
(167349, 'PTHR24177:SF304', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', 111075),
(167350, 'PTHR26454:SF72', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C74', 111076),
(167351, 'PTHR31549:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111077),
(167352, 'PTHR33052:SF135', NULL, NULL, NULL, NULL, 'BNAC03G58960D PROTEIN', 111078),
(167353, 'PTHR10048:SF14', NULL, NULL, NULL, NULL, 'PI-3 KINASE', 111079),
(167354, 'PTHR24381:SF74', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 69 HOMOLOG', 111080),
(167355, 'PTHR11654:SF447', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 7.3', 111081),
(167356, 'PTHR16206:SF9', NULL, NULL, NULL, NULL, 'DEP DOMAIN-CONTAINING PROTEIN 7', 111082),
(167357, 'PTHR11267:SF180', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR MLS-1', 111083),
(167358, 'PTHR34209', NULL, NULL, NULL, NULL, 'RHODANESE/CELL CYCLE CONTROL PHOSPHATASE SUPERFAMILY PROTEIN', 111084),
(167359, 'PTHR11455:SF16', NULL, NULL, NULL, NULL, 'CRYPTOCHROME-1', 111085),
(167360, 'PTHR48006:SF20', NULL, NULL, NULL, NULL, 'OS06G0301201 PROTEIN', 111086),
(167361, 'PTHR11214:SF122', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 111087),
(167362, 'PTHR24012:SF767', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 111088),
(167363, 'PTHR15060:SF0', NULL, NULL, NULL, NULL, 'INTERLEUKIN-15 RECEPTOR SUBUNIT ALPHA', 111089),
(167364, 'PTHR24256:SF470', NULL, NULL, NULL, NULL, 'HAPTOGLOBIN', 111090),
(167365, 'PTHR34950:SF2', NULL, NULL, NULL, NULL, 'BNAC01G00560D PROTEIN', 111091),
(167366, 'PTHR12682:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ARCHEASE', 111092),
(167367, 'PTHR12428:SF34', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEIN OXA1L', 111093),
(167368, 'PTHR43072:SF22', NULL, NULL, NULL, NULL, 'ABC SUPERFAMILY TRANSPORT PROTEIN-RELATED', 111094),
(167369, 'PTHR13248:SF5', NULL, NULL, NULL, NULL, 'ELONGIN-B', 111095),
(167370, 'PTHR31348:SF11', NULL, NULL, NULL, NULL, 'CIRCADIAN CLOCK COUPLING FACTOR ZGT', 111096),
(167371, 'PTHR10414:SF69', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOLAMINEPHOSPHOTRANSFERASE 2', 111097),
(167372, 'PTHR13809:SF25', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-2', 111098),
(167373, 'PTHR13817:SF17', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN C, FAST-TYPE', 111099),
(167374, 'PTHR11920:SF486', NULL, NULL, NULL, NULL, 'FI12009P', 111100);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(167375, 'PTHR13780:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111101),
(167376, 'PTHR27008:SF460', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111102),
(167377, 'PTHR47335', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-XVI', 111103),
(167378, 'PTHR43550:SF7', NULL, NULL, NULL, NULL, '3-DEHYDROSPHINGANINE REDUCTASE TSC10A-LIKE ISOFORM X1', 111104),
(167379, 'PTHR48053:SF25', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2', 111105),
(167380, 'PTHR31190:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111106),
(167381, 'PTHR48011:SF33', NULL, NULL, NULL, NULL, 'F10K1.14 PROTEIN', 111107),
(167382, 'PTHR45826:SF19', NULL, NULL, NULL, NULL, 'AMINO ACID/POLYAMINE TRANSPORTER I-RELATED', 111108),
(167383, 'PTHR15109:SF4', NULL, NULL, NULL, NULL, 'AGAP004327-PA', 111109),
(167384, 'PTHR10361:SF63', NULL, NULL, NULL, NULL, 'BILE ACID:SODIUM SYMPORTER/ARSENICAL RESISTANCE PROTEIN ACR3-RELATED', 111110),
(167385, 'PTHR36050', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 30', 111111),
(167386, 'PTHR11005:SF103', NULL, NULL, NULL, NULL, 'STEROL ESTERASE TGL1', 111112),
(167387, 'PTHR31194:SF81', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WIN1-LIKE', 111113),
(167388, 'PTHR33638:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 111114),
(167389, 'PTHR46413:SF13', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 1', 111115),
(167390, 'PTHR10381:SF12', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT 5, CHLOROPLASTIC', 111116),
(167391, 'PTHR19871:SF14', NULL, NULL, NULL, NULL, 'GH25853P', 111117),
(167392, 'PTHR43341:SF24', NULL, NULL, NULL, NULL, 'VALINE/TYROSINE/TRYPTOPHAN AMINO-ACID PERMEASE 1', 111118),
(167393, 'PTHR12265:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111119),
(167394, 'PTHR21713:SF24', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA-LIKE PROTEIN 4', 111120),
(167395, 'PTHR31852:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111121),
(167396, 'PTHR47789:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 111122),
(167397, 'PTHR10083:SF357', NULL, NULL, NULL, NULL, 'COLOSTRUM TRYPSIN INHIBITOR', 111123),
(167398, 'PTHR47282:SF1', NULL, NULL, NULL, NULL, 'PGC-1 AND ERR-INDUCED REGULATOR IN MUSCLE PROTEIN 1', 111124),
(167399, 'PTHR33122:SF36', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 111125),
(167400, 'PTHR45856:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111126),
(167401, 'PTHR10835:SF17', NULL, NULL, NULL, NULL, 'SQUALENE MONOOXYGENASE-RELATED', 111127),
(167402, 'PTHR21113:SF12', NULL, NULL, NULL, NULL, 'LP01886P-RELATED', 111128),
(167403, 'PTHR34356:SF1', NULL, NULL, NULL, NULL, 'ANTIGENIC HEAT-STABLE PROTEIN', 111129),
(167404, 'PTHR11885:SF25', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S13-1-RELATED', 111130),
(167405, 'PTHR44329:SF39', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 10', 111131),
(167406, 'PTHR24418:SF418', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE FER', 111132),
(167407, 'PTHR23235:SF89', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR LUNA-RELATED', 111133),
(167408, 'PTHR33320:SF25', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA SYNTHETASE', 111134),
(167409, 'PTHR22811:SF179', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA5', 111135),
(167410, 'PTHR35479:SF4', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 111136),
(167411, 'PTHR14789:SF1', NULL, NULL, NULL, NULL, 'CHONDROLECTIN', 111137),
(167412, 'PTHR24025:SF1', NULL, NULL, NULL, NULL, 'DESMOGLEIN-2', 111138),
(167413, 'PTHR24092:SF33', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IH-RELATED', 111139),
(167414, 'PTHR46128:SF68', NULL, NULL, NULL, NULL, 'BNAA01G32380D PROTEIN', 111140),
(167415, 'PTHR26450:SF388', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 111141),
(167416, 'PTHR10796:SF122', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 111142),
(167417, 'PTHR11337:SF11', NULL, NULL, NULL, NULL, 'CD164 SIALOMUCIN-LIKE 2 PROTEIN', 111143),
(167418, 'PTHR22751:SF73', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 111144);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(167419, 'PTHR43628:SF9', NULL, NULL, NULL, NULL, 'SEL1-REPEAT-CONTAINING PROTEIN YBEQ', 111145),
(167420, 'PTHR46128:SF55', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', 111146),
(167421, 'PTHR33672:SF3', NULL, NULL, NULL, NULL, 'YCF3-INTERACTING PROTEIN 1, CHLOROPLASTIC', 111147),
(167422, 'PTHR23017:SF18', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 111148),
(167423, 'PTHR45673:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2B CATALYTIC SUBUNIT GAMMA ISOFORM', 111149),
(167424, 'PTHR24250:SF29', NULL, NULL, NULL, NULL, 'CHYMOTRYPSINOGEN B', 111150),
(167425, 'PTHR34283:SF3', NULL, NULL, NULL, NULL, 'PROTEIN RESPONSE TO LOW SULFUR 3', 111151),
(167426, 'PTHR47103:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GIS2-LIKE', 111152),
(167427, 'PTHR23280:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111153),
(167428, 'PTHR24377:SF63', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 283', 111154),
(167429, 'PTHR46897', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 4', 111155),
(167430, 'PTHR31988:SF26', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 111156),
(167431, 'PTHR47521:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 111157),
(167432, 'PTHR43180:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111158),
(167433, 'PTHR43620:SF10', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL5', 111159),
(167434, 'PTHR23044:SF4', NULL, NULL, NULL, NULL, 'CELL DEATH-RELATED NUCLEASE 4', 111160),
(167435, 'PTHR23024:SF473', NULL, NULL, NULL, NULL, 'RECEPTOR GID1, PUTATIVE-RELATED', 111161),
(167436, 'PTHR47992:SF131', NULL, NULL, NULL, NULL, 'BNAA06G40990D PROTEIN', 111162),
(167437, 'PTHR28019:SF5', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 111163),
(167438, 'PTHR21547', NULL, NULL, NULL, NULL, 'CLUSTERIN ASSOCIATED PROTEIN 1', 111164),
(167439, 'PTHR17498:SF2', NULL, NULL, NULL, NULL, 'SEMINAL VESICLE SECRETORY PROTEIN 4', 111165),
(167440, 'PTHR39184', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 111166),
(167441, 'PTHR34145:SF4', NULL, NULL, NULL, NULL, 'OS09G0502900 PROTEIN', 111167),
(167442, 'PTHR23070:SF140', NULL, NULL, NULL, NULL, 'BNAA06G25360D PROTEIN', 111168),
(167443, 'PTHR31314:SF89', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 111169),
(167444, 'PTHR46162:SF7', NULL, NULL, NULL, NULL, 'MATH DOMAIN CONTAINING PROTEIN', 111170),
(167445, 'PTHR24096:SF391', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE BUBBLEGUM-LIKE-RELATED', 111171),
(167446, 'PTHR15710:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111172),
(167447, 'PTHR10209:SF591', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', 111173),
(167448, 'PTHR34398:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111174),
(167449, 'PTHR38926:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111175),
(167450, 'PTHR10641:SF1043', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB30', 111176),
(167451, 'PTHR11385', NULL, NULL, NULL, NULL, 'SERUM ALBUMIN-RELATED', 111177),
(167452, 'PTHR34930:SF5', NULL, NULL, NULL, NULL, 'JUPITER MICROTUBULE ASSOCIATED HOMOLOG 2', 111178),
(167453, 'PTHR13847:SF271', NULL, NULL, NULL, NULL, 'MALATE:QUINONE OXIDOREDUCTASE-RELATED', 111179),
(167454, 'PTHR45836:SF8', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 6', 111180),
(167455, 'PTHR11652:SF53', NULL, NULL, NULL, NULL, 'BNAA03G00720D PROTEIN', 111181),
(167456, 'PTHR13323', NULL, NULL, NULL, NULL, 'LATE ENDOSOMAL/LYSOSOMAL MP1 INTERACTING PROTEIN', 111182),
(167457, 'PTHR34681:SF3', NULL, NULL, NULL, NULL, 'BNAC08G10430D PROTEIN', 111183),
(167458, 'PTHR11388:SF87', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 2B1', 111184),
(167459, 'PTHR31500:SF89', NULL, NULL, NULL, NULL, 'PPC DOMAIN-CONTAINING PROTEIN-RELATED', 111185),
(167460, 'PTHR31375:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111186),
(167461, 'PTHR31142:SF31', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION-LIKE PROTEIN', 111187);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(167462, 'PTHR14360:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FMP32, MITOCHONDRIAL', 111188),
(167463, 'PTHR43158:SF7', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN-RELATED', 111189),
(167464, 'PTHR42673:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 111190),
(167465, 'PTHR36893:SF1', NULL, NULL, NULL, NULL, 'OS01G0275950 PROTEIN', 111191),
(167466, 'PTHR12892:SF19', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS 2', 111192),
(167467, 'PTHR43591:SF46', NULL, NULL, NULL, NULL, 'OS08G0411200 PROTEIN', 111193),
(167468, 'PTHR43683', NULL, NULL, NULL, NULL, 'MULTIDRUG EFFLUX PROTEIN YFMO', 111194),
(167469, 'PTHR21859:SF12', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 31D1', 111195),
(167470, 'PTHR30441:SF2', NULL, NULL, NULL, NULL, 'ASMA FAMILY PROTEIN YHJG', 111196),
(167471, 'PTHR14224:SF3', NULL, NULL, NULL, NULL, 'MCG5729-RELATED', 111197),
(167472, 'PTHR35162:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111198),
(167473, 'PTHR12480:SF38', NULL, NULL, NULL, NULL, 'IP10855P', 111199),
(167474, 'PTHR23132:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111200),
(167475, 'PTHR30450:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', 111201),
(167476, 'PTHR46610:SF8', NULL, NULL, NULL, NULL, 'OS06G0147000 PROTEIN', 111202),
(167477, 'PTHR46030:SF1', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB HOMOLOG 6', 111203),
(167478, 'PTHR12629:SF53', NULL, NULL, NULL, NULL, 'BNAC06G43940D PROTEIN', 111204),
(167479, 'PTHR31568:SF63', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH TM MODULE STRESS TOLERANCE PROTEIN', 111205),
(167480, 'PTHR11926:SF1320', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 111206),
(167481, 'PTHR13036:SF1', NULL, NULL, NULL, NULL, 'CHITOBIOSYLDIPHOSPHODOLICHOL BETA-MANNOSYLTRANSFERASE', 111207),
(167482, 'PTHR11165:SF97', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', 111208),
(167483, 'PTHR32278:SF103', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, PHLOEM PROTEIN 2-LIKE PROTEIN-RELATED', 111209),
(167484, 'PTHR47992:SF150', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 5-RELATED', 111210),
(167485, 'PTHR43661:SF3', NULL, NULL, NULL, NULL, 'D-XYLONATE DEHYDRATASE YAGF-RELATED', 111211),
(167486, 'PTHR12247:SF64', NULL, NULL, NULL, NULL, 'LETHAL(3)MALIGNANT BRAIN TUMOR-LIKE PROTEIN 2', 111212),
(167487, 'PTHR31676:SF107', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 111213),
(167488, 'PTHR43220:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111214),
(167489, 'PTHR43213:SF10', NULL, NULL, NULL, NULL, '7-METHYL-GTP PYROPHOSPHATASE', 111215),
(167490, 'PTHR15919:SF14', NULL, NULL, NULL, NULL, 'SI:CH211-168F7.5', 111216),
(167491, 'PTHR42252', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 111217),
(167492, 'PTHR11746:SF90', NULL, NULL, NULL, NULL, 'OS02G0823400 PROTEIN', 111218),
(167493, 'PTHR47928:SF62', NULL, NULL, NULL, NULL, 'OS04G0488200 PROTEIN', 111219),
(167494, 'PTHR10913:SF74', NULL, NULL, NULL, NULL, 'AGRIN', 111220),
(167495, 'PTHR23503:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG08770', 111221),
(167496, 'PTHR12802:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111222),
(167497, 'PTHR31062:SF141', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 111223),
(167498, 'PTHR31504', NULL, NULL, NULL, NULL, 'ZW10 INTERACTOR ZWINT', 111224),
(167499, 'PTHR10826', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT 1', 111225),
(167500, 'PTHR45623:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111226),
(167501, 'PTHR31982', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT II-1, CHLOROPLASTIC-RELATED', 111227),
(167502, 'PTHR46616', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE', 111228),
(167503, 'PTHR34539', NULL, NULL, NULL, NULL, 'T6J4.11 PROTEIN', 111229),
(167504, 'PTHR11689:SF150', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN B', 111230),
(167505, 'PTHR14343:SF3', NULL, NULL, NULL, NULL, 'SIMILAR TO PREDICTED GENE ICRFP703B1614Q5.5', 111231),
(167506, 'PTHR12425:SF5', NULL, NULL, NULL, NULL, 'SYNEMBRYN', 111232),
(167507, 'PTHR31288:SF32', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', 111233);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(167508, 'PTHR11017:SF291', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 111234),
(167509, 'PTHR27006:SF329', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE KINASE FAMILY PROTEIN', 111235),
(167510, 'PTHR45676:SF48', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE', 111236),
(167511, 'PTHR21649:SF109', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 111237),
(167512, 'PTHR48026:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111238),
(167513, 'PTHR23293:SF11', NULL, NULL, NULL, NULL, 'BNACNNG02810D PROTEIN', 111239),
(167514, 'PTHR22893:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111240),
(167515, 'PTHR38695', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 111241),
(167516, 'PTHR46225:SF19', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 111242),
(167517, 'PTHR10134:SF34', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE, MITOCHONDRIAL', 111243),
(167518, 'PTHR32254:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111244),
(167519, 'PTHR48041:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111245),
(167520, 'PTHR11158:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111246),
(167521, 'PTHR34047:SF3', NULL, NULL, NULL, NULL, 'BLR2052 PROTEIN', 111247),
(167522, 'PTHR13161:SF15', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, SUPPRESSOR OF WHITE-APRICOT HOMOLOG', 111248),
(167523, 'PTHR11905:SF222', NULL, NULL, NULL, NULL, 'ADAM FAMILY OF METALLOPROTEASE ADM-A (AFU_ORTHOLOGUE AFUA_6G14420)', 111249),
(167524, 'PTHR35022:SF3', NULL, NULL, NULL, NULL, 'EXTENSIN-3-LIKE', 111250),
(167525, 'PTHR13937', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITATION FACTOR 3, SUBUNIT 8  EIF3S8 -RELATED', 111251),
(167526, 'PTHR43828:SF7', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN SWI4', 111252),
(167527, 'PTHR31096:SF7', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR1', 111253),
(167528, 'PTHR45974:SF134', NULL, NULL, NULL, NULL, 'BNAC03G71330D PROTEIN', 111254),
(167529, 'PTHR45613:SF287', NULL, NULL, NULL, NULL, 'OS12G0456100 PROTEIN', 111255),
(167530, 'PTHR11223:SF3', NULL, NULL, NULL, NULL, 'EXPORTIN-5', 111256),
(167531, 'PTHR48001:SF160', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 111257),
(167532, 'PTHR21337:SF19', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE 2, CHLOROPLASTIC', 111258),
(167533, 'PTHR34970:SF4', NULL, NULL, NULL, NULL, 'BNAA02G10160D PROTEIN', 111259),
(167534, 'PTHR10578:SF115', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO1', 111260),
(167535, 'PTHR46162:SF11', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', 111261),
(167536, 'PTHR31374:SF231', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 111262),
(167537, 'PTHR45974:SF117', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE, PUTATIVE-RELATED', 111263),
(167538, 'PTHR33623:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111264),
(167539, 'PTHR21325:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG23371', 111265),
(167540, 'PTHR23268:SF28', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 19', 111266),
(167541, 'PTHR11685:SF324', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ITT1', 111267),
(167542, 'PTHR34920', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA/LEUKEMIA 10', 111268),
(167543, 'PTHR32241:SF15', NULL, NULL, NULL, NULL, 'PATATIN', 111269),
(167544, 'PTHR21290:SF54', NULL, NULL, NULL, NULL, 'PLANT INOSITOL PHOSPHORYLCERAMIDE SYNTHASE', 111270),
(167545, 'PTHR47984:SF10', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 111271),
(167546, 'PTHR13636:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 258', 111272),
(167547, 'PTHR45691:SF4', NULL, NULL, NULL, NULL, 'PROTEIN DIAPHANOUS HOMOLOG 1', 111273),
(167548, 'PTHR10046:SF65', NULL, NULL, NULL, NULL, 'LON PROTEASE', 111274),
(167549, 'PTHR46105:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR PROTEIN BACH2', 111275),
(167550, 'PTHR13076:SF9', NULL, NULL, NULL, NULL, 'COILED-COIL AND C2 DOMAIN-CONTAINING PROTEIN 1-LIKE', 111276);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(167551, 'PTHR35598', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 111277),
(167552, 'PTHR22847:SF704', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111278),
(167553, 'PTHR10281:SF1', NULL, NULL, NULL, NULL, 'VACUOLE MEMBRANE PROTEIN 1', 111279),
(167554, 'PTHR45631:SF74', NULL, NULL, NULL, NULL, 'BNAA03G16950D PROTEIN', 111280),
(167555, 'PTHR33361', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 111281),
(167556, 'PTHR34797:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111282),
(167557, 'PTHR14087', NULL, NULL, NULL, NULL, 'THYMOCYTE NUCLEAR PROTEIN 1', 111283),
(167558, 'PTHR10082:SF9', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-8', 111284),
(167559, 'PTHR43032:SF2', NULL, NULL, NULL, NULL, 'BLL0505 PROTEIN', 111285),
(167560, 'PTHR23044:SF65', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 111286),
(167561, 'PTHR10543:SF112', NULL, NULL, NULL, NULL, 'CAROTENOID OXYGENASE-RELATED', 111287),
(167562, 'PTHR31221:SF110', NULL, NULL, NULL, NULL, 'OS03G0758000 PROTEIN', 111288),
(167563, 'PTHR46097:SF3', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE INTERACTING ARFGAP', 111289),
(167564, 'PTHR47047:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE CALPAIN-LIKE CYSTEINE PEPTIDASE, CLAN CA, FAMILY C2-RELATED', 111290),
(167565, 'PTHR33021:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111291),
(167566, 'PTHR35762:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 111292),
(167567, 'PTHR31645:SF40', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL8-RELATED', 111293),
(167568, 'PTHR24072:SF186', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHO3', 111294),
(167569, 'PTHR24115:SF718', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 111295),
(167570, 'PTHR11945:SF407', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', 111296),
(167571, 'PTHR19317:SF47', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 111297),
(167572, 'PTHR31709:SF3', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER PROTEIN 4-RELATED', 111298),
(167573, 'PTHR34961:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111299),
(167574, 'PTHR48010:SF39', NULL, NULL, NULL, NULL, 'BNAA09G12030D PROTEIN', 111300),
(167575, 'PTHR22718:SF33', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 111301),
(167576, 'PTHR19134:SF506', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111302),
(167577, 'PTHR33417:SF21', NULL, NULL, NULL, NULL, 'B12D PROTEIN', 111303),
(167578, 'PTHR46878', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN M1', 111304),
(167579, 'PTHR11668:SF451', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 6', 111305),
(167580, 'PTHR13451:SF8', NULL, NULL, NULL, NULL, 'CROSSOVER JUNCTION ENDONUCLEASE MUS81-RELATED', 111306),
(167581, 'PTHR44404:SF1', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE 1M', 111307),
(167582, 'PTHR13129', NULL, NULL, NULL, NULL, 'VPRBP PROTEIN-RELATED', 111308),
(167583, 'PTHR44094:SF17', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 10', 111309),
(167584, 'PTHR34365:SF11', NULL, NULL, NULL, NULL, 'BNAC06G01870D PROTEIN', 111310),
(167585, 'PTHR19241:SF507', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 2-LIKE', 111311),
(167586, 'PTHR12419:SF72', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL UDP-N-ACETYLGLUCOSAMINE TRANSFERASE AND DEUBIQUITINASE ALG13-LIKE PROTEIN-RELATED', 111312),
(167587, 'PTHR23308:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111313),
(167588, 'PTHR43650:SF17', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA 1', 111314),
(167589, 'PTHR48069:SF5', NULL, NULL, NULL, NULL, 'ZGC:153031', 111315),
(167590, 'PTHR10742:SF385', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 3', 111316),
(167591, 'PTHR33349:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111317),
(167592, 'PTHR46701:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 111318),
(167593, 'PTHR36615:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111319),
(167594, 'PTHR27006:SF268', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 111320),
(167595, 'PTHR47976:SF41', NULL, NULL, NULL, NULL, 'OS06G0164900 PROTEIN', 111321);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(167596, 'PTHR31848:SF2', NULL, NULL, NULL, NULL, 'REFILIN-B', 111322),
(167597, 'PTHR19241:SF568', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 11-RELATED', 111323),
(167598, 'PTHR16788', NULL, NULL, NULL, NULL, 'EPIDIDYMAL SECRETORY PROTEIN E3 ALPHA', 111324),
(167599, 'PTHR16915', NULL, NULL, NULL, NULL, 'IMMEDIATE EARLY RESPONSE 3', 111325),
(167600, 'PTHR44329:SF181', NULL, NULL, NULL, NULL, 'BNAANNG31270D PROTEIN', 111326),
(167601, 'PTHR43407:SF1', NULL, NULL, NULL, NULL, 'LENGSIN', 111327),
(167602, 'PTHR47970:SF13', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12F ISOFORM X1', 111328),
(167603, 'PTHR33044:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111329),
(167604, 'PTHR33541:SF22', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE A', 111330),
(167605, 'PTHR36152:SF5', NULL, NULL, NULL, NULL, 'PROTEIN HCP1', 111331),
(167606, 'PTHR31096:SF64', NULL, NULL, NULL, NULL, 'BNAC02G02600D PROTEIN', 111332),
(167607, 'PTHR42693:SF32', NULL, NULL, NULL, NULL, 'SULFATASE DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G17610)', 111333),
(167608, 'PTHR46128:SF250', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111334),
(167609, 'PTHR10876', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZPR1', 111335),
(167610, 'PTHR21717:SF69', NULL, NULL, NULL, NULL, 'TELOMERE-BINDING PROTEIN, PUTATIVE-RELATED', 111336),
(167611, 'PTHR10071:SF289', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GATA-5', 111337),
(167612, 'PTHR45967:SF19', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 16-LIKE', 111338),
(167613, 'PTHR33109:SF55', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 4', 111339),
(167614, 'PTHR42683:SF37', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 6-RELATED', 111340),
(167615, 'PTHR36408:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 111341),
(167616, 'PTHR10590:SF11', NULL, NULL, NULL, NULL, 'SODIUM/NUCLEOSIDE COTRANSPORTER 2', 111342),
(167617, 'PTHR31591:SF1', NULL, NULL, NULL, NULL, 'UPF0613 PROTEIN PB24D3.06C', 111343),
(167618, 'PTHR31752:SF49', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', 111344),
(167619, 'PTHR45648:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111345),
(167620, 'PTHR11926:SF715', NULL, NULL, NULL, NULL, 'OS04G0204000 PROTEIN', 111346),
(167621, 'PTHR43075:SF1', NULL, NULL, NULL, NULL, 'FORMATE LYASE ACTIVATING ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15630)-RELATED', 111347),
(167622, 'PTHR37194:SF2', NULL, NULL, NULL, NULL, 'T2E6.7-RELATED', 111348),
(167623, 'PTHR40463', NULL, NULL, NULL, NULL, 'PH-RESPONSE REGULATOR PROTEIN PALC', 111349),
(167624, 'PTHR24377:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 490', 111350),
(167625, 'PTHR23312:SF8', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 5', 111351),
(167626, 'PTHR33102:SF4', NULL, NULL, NULL, NULL, 'DVL19-RELATED', 111352),
(167627, 'PTHR10366:SF722', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL POLYMYXIN RESISTANCE PROTEIN, ARNA-RELATED', 111353),
(167628, 'PTHR11815:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT BETA', 111354),
(167629, 'PTHR43354', NULL, NULL, NULL, NULL, 'MEDIUM-CHAIN-FATTY-ACID--COA LIGASE', 111355),
(167630, 'PTHR31001:SF63', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 111356),
(167631, 'PTHR13068:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111357),
(167632, 'PTHR34559:SF4', NULL, NULL, NULL, NULL, 'BNAA05G28070D PROTEIN', 111358),
(167633, 'PTHR13943:SF33', NULL, NULL, NULL, NULL, 'HRAS-LIKE SUPPRESSOR 2', 111359),
(167634, 'PTHR47166', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 831', 111360),
(167635, 'PTHR38223', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 111361),
(167636, 'PTHR42735:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111362),
(167637, 'PTHR31062:SF49', NULL, NULL, NULL, NULL, 'OS06G0335975 PROTEIN', 111363),
(167638, 'PTHR19317:SF45', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN B6', 111364),
(167639, 'PTHR47972:SF17', NULL, NULL, NULL, NULL, 'KINESIN MOTOR CATALYTIC DOMAIN PROTEIN', 111365),
(167640, 'PTHR10956:SF25', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L31', 111366);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(167641, 'PTHR15921:SF14', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-BINDING DOMAIN PROTEIN', 111367),
(167642, 'PTHR10791:SF205', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 111368),
(167643, 'PTHR43327:SF2', NULL, NULL, NULL, NULL, 'MODULATOR OF FTSH PROTEASE HFLK', 111369),
(167644, 'PTHR12537', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN PUMILIO-RELATED', 111370),
(167645, 'PTHR11945:SF609', NULL, NULL, NULL, NULL, 'BNAA03G11270D PROTEIN', 111371),
(167646, 'PTHR11709:SF409', NULL, NULL, NULL, NULL, 'MONOCOPPER OXIDASE-LIKE PROTEIN SKU5', 111372),
(167647, 'PTHR33463:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111373),
(167648, 'PTHR12231:SF252', NULL, NULL, NULL, NULL, 'ROUNDABOUT 1, ISOFORM A', 111374),
(167649, 'PTHR46128:SF159', NULL, NULL, NULL, NULL, 'BNAA09G39900D PROTEIN', 111375),
(167650, 'PTHR45973:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 46', 111376),
(167651, 'PTHR11871:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B DELTA ISOFORM', 111377),
(167652, 'PTHR23086:SF129', NULL, NULL, NULL, NULL, 'BNAC03G35590D PROTEIN', 111378),
(167653, 'PTHR12002:SF192', NULL, NULL, NULL, NULL, 'CLAUDIN', 111379),
(167654, 'PTHR14167:SF94', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN', 111380),
(167655, 'PTHR24118:SF78', NULL, NULL, NULL, NULL, 'POTE ANKYRIN DOMAIN FAMILY MEMBER A', 111381),
(167656, 'PTHR45089:SF36', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK AMINO-TERMINAL DOMAIN PROTEIN', 111382),
(167657, 'PTHR30181:SF2', NULL, NULL, NULL, NULL, 'PTS SYSTEM MANNITOL-SPECIFIC EIICBA COMPONENT', 111383),
(167658, 'PTHR47965:SF26', NULL, NULL, NULL, NULL, 'OS08G0267300 PROTEIN', 111384),
(167659, 'PTHR12358', NULL, NULL, NULL, NULL, 'SPHINGOSINE KINASE', 111385),
(167660, 'PTHR31636:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111386),
(167661, 'PTHR24343:SF302', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA SYNTHETASE AND RNA PROCESSING-ASSOCIATED KINASE 1-RELATED', 111387),
(167662, 'PTHR13373:SF21', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP85', 111388),
(167663, 'PTHR23112', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 157-RELATED', 111389),
(167664, 'PTHR10641:SF1253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111390),
(167665, 'PTHR21191:SF15', NULL, NULL, NULL, NULL, 'AQUAPORIN', 111391),
(167666, 'PTHR46121:SF1', NULL, NULL, NULL, NULL, 'STARD3 N-TERMINAL-LIKE PROTEIN', 111392),
(167667, 'PTHR46526', NULL, NULL, NULL, NULL, 'CHORDIN', 111393),
(167668, 'PTHR12425', NULL, NULL, NULL, NULL, 'SYNEMBRYN', 111394),
(167669, 'PTHR24296:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111395),
(167670, 'PTHR24320:SF202', NULL, NULL, NULL, NULL, 'OS10G0548000 PROTEIN', 111396),
(167671, 'PTHR10501:SF63', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN A', 111397),
(167672, 'PTHR31037:SF2', NULL, NULL, NULL, NULL, 'RELT, TNF RECEPTOR', 111398),
(167673, 'PTHR24416:SF338', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR-RELATED PROTEIN', 111399),
(167674, 'PTHR23024:SF408', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE', 111400),
(167675, 'PTHR42820', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE', 111401),
(167676, 'PTHR11699:SF289', NULL, NULL, NULL, NULL, 'BNAA06G20750D PROTEIN', 111402),
(167677, 'PTHR22780:SF36', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA-1', 111403),
(167678, 'PTHR31907:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111404),
(167679, 'PTHR47228', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 16', 111405),
(167680, 'PTHR24349:SF425', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 17-LIKE', 111406),
(167681, 'PTHR34208:SF5', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 111407),
(167682, 'PTHR11064:SF145', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y PROTEIN', 111408),
(167683, 'PTHR34223:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111409),
(167684, 'PTHR24298:SF441', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81D1', 111410);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(167685, 'PTHR24093:SF482', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 111411),
(167686, 'PTHR10024:SF227', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN 1', 111412),
(167687, 'PTHR11662:SF40', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE COTRANSPORTER-LIKE PROTEIN-RELATED', 111413),
(167688, 'PTHR32285:SF182', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 34', 111414),
(167689, 'PTHR34047:SF7', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE-RELATED', 111415),
(167690, 'PTHR11830:SF3', NULL, NULL, NULL, NULL, 'CYLINDROMATOSIS, ISOFORM D', 111416),
(167691, 'PTHR31579:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111417),
(167692, 'PTHR24300:SF301', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 2, SUBFAMILY J, POLYPEPTIDE 23-RELATED', 111418),
(167693, 'PTHR33672:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111419),
(167694, 'PTHR24381:SF80', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 558', 111420),
(167695, 'PTHR48001:SF37', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 111421),
(167696, 'PTHR10336:SF172', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 111422),
(167697, 'PTHR24006:SF787', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 2', 111423),
(167698, 'PTHR11709:SF308', NULL, NULL, NULL, NULL, 'LACCASE', 111424),
(167699, 'PTHR32212:SF329', NULL, NULL, NULL, NULL, 'BNAC03G13510D PROTEIN', 111425),
(167700, 'PTHR24222:SF48', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 15', 111426),
(167701, 'PTHR35516:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 5', 111427),
(167702, 'PTHR31867:SF166', NULL, NULL, NULL, NULL, 'EXPANSIN-A4', 111428),
(167703, 'PTHR47925:SF16', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', 111429),
(167704, 'PTHR10846:SF59', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER 5-LIKE PROTEIN', 111430),
(167705, 'PTHR45621:SF137', NULL, NULL, NULL, NULL, 'BNACNNG51670D PROTEIN', 111431),
(167706, 'PTHR18945:SF818', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID (GABA) A RECEPTOR, RHO 2B', 111432),
(167707, 'PTHR11785:SF502', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 111433),
(167708, 'PTHR45717:SF34', NULL, NULL, NULL, NULL, 'BNAA07G01620D PROTEIN', 111434),
(167709, 'PTHR24103:SF622', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 55A', 111435),
(167710, 'PTHR10980:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111436),
(167711, 'PTHR31205:SF61', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN', 111437),
(167712, 'PTHR23227:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111438),
(167713, 'PTHR12565:SF375', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH77', 111439),
(167714, 'PTHR10694:SF121', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ706-LIKE', 111440),
(167715, 'PTHR31238:SF181', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 111441),
(167716, 'PTHR12112', NULL, NULL, NULL, NULL, 'BNIP - RELATED', 111442),
(167717, 'PTHR32246:SF71', NULL, NULL, NULL, NULL, 'PROTEIN SRC2 HOMOLOG', 111443),
(167718, 'PTHR10885:SF9', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE I-LIKE', 111444),
(167719, 'PTHR31896:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111445),
(167720, 'PTHR11548:SF1', NULL, NULL, NULL, NULL, 'THYMIDYLATE SYNTHASE 1', 111446),
(167721, 'PTHR35812:SF1', NULL, NULL, NULL, NULL, 'LIPOPROTEIN', 111447),
(167722, 'PTHR38105:SF2', NULL, NULL, NULL, NULL, 'N-ACETYLNEURAMINIC ACID OUTER MEMBRANE CHANNEL PROTEIN NANC-RELATED', 111448),
(167723, 'PTHR15527:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111449),
(167724, 'PTHR31325:SF23', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 111450),
(167725, 'PTHR46706:SF10', NULL, NULL, NULL, NULL, 'WARTHOG PROTEIN 6', 111451),
(167726, 'PTHR19339:SF2', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 22', 111452),
(167727, 'PTHR18968:SF86', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE LARGE SUBUNIT ILVX-RELATED', 111453),
(167728, 'PTHR14614:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111454);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(167729, 'PTHR24381:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 169', 111455),
(167730, 'PTHR24286:SF209', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE-LIKE ISOFORM X1', 111456),
(167731, 'PTHR46077:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TOPORS', 111457),
(167732, 'PTHR10751:SF105', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 2-RELATED', 111458),
(167733, 'PTHR19422:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111459),
(167734, 'PTHR22951:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111460),
(167735, 'PTHR11533:SF31', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE Q', 111461),
(167736, 'PTHR19134:SF445', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN-TYROSINE PHOSPHATASE EGG-4-RELATED', 111462),
(167737, 'PTHR31317:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111463),
(167738, 'PTHR45527:SF3', NULL, NULL, NULL, NULL, 'SIDEROPHORE SYNTHETASE (EUROFUNG)-RELATED', 111464),
(167739, 'PTHR11668:SF409', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 111465),
(167740, 'PTHR43283:SF9', NULL, NULL, NULL, NULL, 'D-AMINOACYLASE-RELATED', 111466),
(167741, 'PTHR24055:SF465', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 111467),
(167742, 'PTHR35478', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN PROTEIN', 111468),
(167743, 'PTHR31210:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111469),
(167744, 'PTHR12354:SF6', NULL, NULL, NULL, NULL, 'INTERFERON-RELATED DEVELOPMENTAL REGULATOR 1', 111470),
(167745, 'PTHR36377:SF1', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN', 111471),
(167746, 'PTHR27000:SF739', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IRK-RELATED', 111472),
(167747, 'PTHR19297:SF177', NULL, NULL, NULL, NULL, 'GLYCOSYLATION RELATED', 111473),
(167748, 'PTHR36056:SF2', NULL, NULL, NULL, NULL, 'OS02G0550000 PROTEIN', 111474),
(167749, 'PTHR12805', NULL, NULL, NULL, NULL, 'KIN17  KIN, ANTIGENIC DETERMINANT OF RECA PROTEIN HOMOLOG', 111475),
(167750, 'PTHR31251:SF106', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 2', 111476),
(167751, 'PTHR11206:SF345', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 111477),
(167752, 'PTHR42866:SF6', NULL, NULL, NULL, NULL, '3-DEOXY-MANNO-OCTULOSONATE CYTIDYLYLTRANSFERASE, MITOCHONDRIAL-LIKE ISOFORM X1', 111478),
(167753, 'PTHR24056:SF463', NULL, NULL, NULL, NULL, 'OS07G0596600 PROTEIN', 111479),
(167754, 'PTHR10279:SF9', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE ANTIZYME 3', 111480),
(167755, 'PTHR42716:SF1', NULL, NULL, NULL, NULL, 'SLL0471 PROTEIN', 111481),
(167756, 'PTHR10694:SF96', NULL, NULL, NULL, NULL, 'DEMETHYLASE JMJ14-LIKE PROTEIN, PUTATIVE-RELATED', 111482),
(167757, 'PTHR14254:SF5', NULL, NULL, NULL, NULL, 'ERBB RECEPTOR FEEDBACK INHIBITOR 1', 111483),
(167758, 'PTHR46020:SF4', NULL, NULL, NULL, NULL, 'OSJNBB0059K02.9 PROTEIN', 111484),
(167759, 'PTHR11977:SF105', NULL, NULL, NULL, NULL, 'VILLIN/GELSOLIN, ADF-H/GELSOLIN-LIKE DOMAIN PROTEIN-RELATED', 111485),
(167760, 'PTHR47980:SF19', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-3', 111486),
(167761, 'PTHR46631:SF19', NULL, NULL, NULL, NULL, 'BNAA09G45170D PROTEIN', 111487),
(167762, 'PTHR11706:SF48', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAT1', 111488),
(167763, 'PTHR22849:SF136', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 111489),
(167764, 'PTHR46221:SF2', NULL, NULL, NULL, NULL, 'FERM AND PDZ DOMAIN-CONTAINING PROTEIN 1', 111490),
(167765, 'PTHR14131:SF6', NULL, NULL, NULL, NULL, 'ANOSMIN 1A', 111491),
(167766, 'PTHR15568', NULL, NULL, NULL, NULL, 'ECOTROPIC VIRAL INTEGRATION SITE 2A', 111492),
(167767, 'PTHR34591:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111493),
(167768, 'PTHR10257:SF98', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 111494),
(167769, 'PTHR31896:SF54', NULL, NULL, NULL, NULL, 'BNAC09G31030D PROTEIN', 111495),
(167770, 'PTHR34797:SF9', NULL, NULL, NULL, NULL, 'BNAC04G04660D PROTEIN', 111496),
(167771, 'PTHR15071:SF13', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN ATG27 (EUROFUNG)', 111497);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(167772, 'PTHR46782:SF1', NULL, NULL, NULL, NULL, 'OS01G0757700 PROTEIN', 111498),
(167773, 'PTHR31210:SF77', NULL, NULL, NULL, NULL, 'BNAA09G28270D PROTEIN', 111499),
(167774, 'PTHR21596:SF50', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 4-LIKE', 111500),
(167775, 'PTHR26379:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111501),
(167776, 'PTHR46835', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER (BZIP) TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', 111502),
(167777, 'PTHR36856:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111503),
(167778, 'PTHR45707:SF49', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 111504),
(167779, 'PTHR45953:SF1', NULL, NULL, NULL, NULL, 'IDURONATE 2-SULFATASE', 111505),
(167780, 'PTHR22941:SF163', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 111506),
(167781, 'PTHR33021:SF224', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111507),
(167782, 'PTHR31376:SF54', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 3', 111508),
(167783, 'PTHR10027:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111509),
(167784, 'PTHR47926:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111510),
(167785, 'PTHR48018:SF154', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 111511),
(167786, 'PTHR10641:SF1242', NULL, NULL, NULL, NULL, 'MYB-RELATED TRANSCRIPTION FACTOR LBM1', 111512),
(167787, 'PTHR32166:SF65', NULL, NULL, NULL, NULL, 'TRANSPOSON SUPERFAMILY, PUTATIVE-RELATED', 111513),
(167788, 'PTHR11705:SF91', NULL, NULL, NULL, NULL, 'RH39904P-RELATED', 111514),
(167789, 'PTHR23023:SF267', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 111515),
(167790, 'PTHR33830:SF23', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 159-RELATED', 111516),
(167791, 'PTHR11960:SF53', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E TYPE 3', 111517),
(167792, 'PTHR31150:SF38', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 111518),
(167793, 'PTHR24273', NULL, NULL, NULL, NULL, 'FI04643P-RELATED', 111519),
(167794, 'PTHR24350:SF27', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AURORA-1', 111520),
(167795, 'PTHR11566:SF172', NULL, NULL, NULL, NULL, 'DYNAMIN CENTRAL REGION PROTEIN', 111521),
(167796, 'PTHR31215:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111522),
(167797, 'PTHR15712:SF9', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING X-LINKED PROTEIN 2', 111523),
(167798, 'PTHR21472:SF24', NULL, NULL, NULL, NULL, 'SI:DKEY-243K1.3', 111524),
(167799, 'PTHR35844:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111525),
(167800, 'PTHR34145:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111526),
(167801, 'PTHR46871:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111527),
(167802, 'PTHR32401:SF20', NULL, NULL, NULL, NULL, 'BNAC06G15080D PROTEIN', 111528),
(167803, 'PTHR10994:SF151', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 111529),
(167804, 'PTHR43120:SF4', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', 111530),
(167805, 'PTHR47958:SF102', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE P62-LIKE PROTEIN', 111531),
(167806, 'PTHR43689:SF2', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 111532),
(167807, 'PTHR45660:SF41', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE H3 LYSINE-9 SPECIFIC SUVH5', 111533),
(167808, 'PTHR18914:SF23', NULL, NULL, NULL, NULL, 'CATENIN ALPHA-2', 111534),
(167809, 'PTHR13822:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111535),
(167810, 'PTHR31805:SF20', NULL, NULL, NULL, NULL, 'BNAA08G13790D PROTEIN', 111536),
(167811, 'PTHR21109:SF18', NULL, NULL, NULL, NULL, 'BNAC02G42450D PROTEIN', 111537),
(167812, 'PTHR22761:SF66', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 5-LIKE', 111538),
(167813, 'PTHR47557', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 1', 111539),
(167814, 'PTHR24028:SF56', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A7', 111540),
(167815, 'PTHR12287:SF19', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR KINASE SUBSTRATE 8-LIKE PROTEIN 1', 111541);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(167816, 'PTHR45821:SF5', NULL, NULL, NULL, NULL, 'SNF2 DOMAIN-CONTAINING PROTEIN CLASSY 4', 111542),
(167817, 'PTHR11062:SF185', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE MUR3', 111543),
(167818, 'PTHR10836:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111544),
(167819, 'PTHR42973:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111545),
(167820, 'PTHR46585', NULL, NULL, NULL, NULL, 'INTEGRASE CORE DOMAIN CONTAINING PROTEIN', 111546),
(167821, 'PTHR11751:SF467', NULL, NULL, NULL, NULL, 'OS07G0617800 PROTEIN', 111547),
(167822, 'PTHR31589:SF157', NULL, NULL, NULL, NULL, 'BNAANNG19260D PROTEIN', 111548),
(167823, 'PTHR30006', NULL, NULL, NULL, NULL, 'THIAMINE-BINDING PERIPLASMIC PROTEIN-RELATED', 111549),
(167824, 'PTHR22893:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111550),
(167825, 'PTHR45683:SF8', NULL, NULL, NULL, NULL, 'PEROXISOMAL NICOTINAMIDE ADENINE DINUCLEOTIDE CARRIER', 111551),
(167826, 'PTHR11712:SF323', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE II, CHLOROPLASTIC-LIKE', 111552),
(167827, 'PTHR32227:SF88', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 13', 111553),
(167828, 'PTHR31901:SF76', NULL, NULL, NULL, NULL, 'BNACNNG49820D PROTEIN', 111554),
(167829, 'PTHR11814:SF37', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER SULP-5', 111555),
(167830, 'PTHR13531:SF6', NULL, NULL, NULL, NULL, 'TMEM (HUMAN TRANSMEMBRANE PROTEIN) HOMOLOG', 111556),
(167831, 'PTHR46067:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111557),
(167832, 'PTHR19282:SF463', NULL, NULL, NULL, NULL, 'TETRASPANIN FAMILY PROTEIN-RELATED', 111558),
(167833, 'PTHR24073:SF1127', NULL, NULL, NULL, NULL, 'RAB32A, MEMBER RAS ONCOGENE FAMILY-RELATED', 111559),
(167834, 'PTHR31677:SF107', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF109', 111560),
(167835, 'PTHR45648:SF109', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE LTL1', 111561),
(167836, 'PTHR11036:SF71', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3AA', 111562),
(167837, 'PTHR31343:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111563),
(167838, 'PTHR11132:SF254', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111564),
(167839, 'PTHR39383:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG16996', 111565),
(167840, 'PTHR24185', NULL, NULL, NULL, NULL, 'CALCIUM-INDEPENDENT PHOSPHOLIPASE A2-GAMMA', 111566),
(167841, 'PTHR46658', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 111567),
(167842, 'PTHR37209', NULL, NULL, NULL, NULL, 'LYSINE-RICH ARABINOGALACTAN PROTEIN 17-RELATED', 111568),
(167843, 'PTHR48047:SF106', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 111569),
(167844, 'PTHR22814:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111570),
(167845, 'PTHR12167:SF4', NULL, NULL, NULL, NULL, 'NATRIURETIC PEPTIDE C-LIKE PROTEIN', 111571),
(167846, 'PTHR36619:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111572),
(167847, 'PTHR46513:SF24', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN', 111573),
(167848, 'PTHR48041:SF18', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 21', 111574),
(167849, 'PTHR22951:SF94', NULL, NULL, NULL, NULL, 'BNAA07G37210D PROTEIN', 111575),
(167850, 'PTHR35494:SF3', NULL, NULL, NULL, NULL, 'BNAA01G13510D PROTEIN', 111576),
(167851, 'PTHR24298:SF204', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 712, SUBFAMILY A, POLYPEPTIDE 1', 111577),
(167852, 'PTHR21139:SF22', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE', 111578),
(167853, 'PTHR28018:SF3', NULL, NULL, NULL, NULL, 'RESPIRATORY SUPERCOMPLEX FACTOR 2, MITOCHONDRIAL', 111579),
(167854, 'PTHR43853:SF18', NULL, NULL, NULL, NULL, 'BNAC04G43560D PROTEIN', 111580),
(167855, 'PTHR33645', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE (DUF3754)', 111581),
(167856, 'PTHR34665:SF1', NULL, NULL, NULL, NULL, 'OS02G0595200 PROTEIN', 111582),
(167857, 'PTHR31052:SF18', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 8', 111583),
(167858, 'PTHR23018:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', 111584),
(167859, 'PTHR40836:SF2', NULL, NULL, NULL, NULL, 'OS06G0728200 PROTEIN', 111585);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(167860, 'PTHR33444:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.12-RELATED', 111586),
(167861, 'PTHR13994:SF13', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE-LINKED MOIETY X MOTIF 6', 111587),
(167862, 'PTHR35519', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEINS', 111588),
(167863, 'PTHR10091:SF15', NULL, NULL, NULL, NULL, 'ALDOSE-1-EPIMERASE-RELATED', 111589),
(167864, 'PTHR33597:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111590),
(167865, 'PTHR46524:SF11', NULL, NULL, NULL, NULL, 'BNAA01G35480D PROTEIN', 111591),
(167866, 'PTHR24369:SF184', NULL, NULL, NULL, NULL, 'ADHESION MOLECULE WITH IG LIKE DOMAIN 2', 111592),
(167867, 'PTHR46387:SF31', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN-RELATED', 111593),
(167868, 'PTHR24055:SF448', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 111594),
(167869, 'PTHR21234:SF46', NULL, NULL, NULL, NULL, 'BNAA01G13860D PROTEIN', 111595),
(167870, 'PTHR32116:SF65', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 111596),
(167871, 'PTHR46002:SF1', NULL, NULL, NULL, NULL, 'CALCINEURIN B HOMOLOGOUS PROTEIN 1', 111597),
(167872, 'PTHR33078:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111598),
(167873, 'PTHR11062:SF320', NULL, NULL, NULL, NULL, 'BNAA09G42910D PROTEIN', 111599),
(167874, 'PTHR24299:SF37', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 111600),
(167875, 'PTHR14469:SF3', NULL, NULL, NULL, NULL, 'PC-ESTERASE DOMAIN-CONTAINING PROTEIN 1A', 111601),
(167876, 'PTHR11908:SF141', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE-LIKE', 111602),
(167877, 'PTHR11304:SF70', NULL, NULL, NULL, NULL, 'EPHRIN-A5', 111603),
(167878, 'PTHR11256:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111604),
(167879, 'PTHR26454:SF32', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 111605),
(167880, 'PTHR47925:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111606),
(167881, 'PTHR22835:SF517', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', 111607),
(167882, 'PTHR33355:SF5', NULL, NULL, NULL, NULL, 'F12F1.23 PROTEIN', 111608),
(167883, 'PTHR34944:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111609),
(167884, 'PTHR34774:SF3', NULL, NULL, NULL, NULL, 'BNAA06G10790D PROTEIN', 111610),
(167885, 'PTHR47956:SF12', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE', 111611),
(167886, 'PTHR26379:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111612),
(167887, 'PTHR31499:SF46', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 1', 111613),
(167888, 'PTHR24161:SF88', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 111614),
(167889, 'PTHR47287:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111615),
(167890, 'PTHR45655:SF8', NULL, NULL, NULL, NULL, 'SOLUBLE GUANYLATE CYCLASE GCY-33', 111616),
(167891, 'PTHR33388:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SPEAR4', 111617),
(167892, 'PTHR31301:SF144', NULL, NULL, NULL, NULL, 'BNAC03G46840D PROTEIN', 111618),
(167893, 'PTHR31228:SF32', NULL, NULL, NULL, NULL, 'BNAA03G17050D PROTEIN', 111619),
(167894, 'PTHR43670:SF7', NULL, NULL, NULL, NULL, 'OS01G0588000 PROTEIN', 111620),
(167895, 'PTHR46797:SF13', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR SINR', 111621),
(167896, 'PTHR43537:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 111622),
(167897, 'PTHR19876:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111623),
(167898, 'PTHR33383', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN INSERTION EFFICIENCY FACTOR-RELATED', 111624),
(167899, 'PTHR10574:SF274', NULL, NULL, NULL, NULL, 'USHERIN', 111625),
(167900, 'PTHR48004:SF30', NULL, NULL, NULL, NULL, 'OS03G0436600 PROTEIN', 111626),
(167901, 'PTHR11465:SF52', NULL, NULL, NULL, NULL, 'CATALASE', 111627),
(167902, 'PTHR33136:SF68', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 26-RELATED', 111628),
(167903, 'PTHR31297:SF22', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE 2', 111629),
(167904, 'PTHR11994:SF33', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11-LIKE', 111630),
(167905, 'PTHR24305:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111631);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(167906, 'PTHR11430:SF129', NULL, NULL, NULL, NULL, 'ODORANT-BINDING PROTEIN 2A-RELATED', 111632),
(167907, 'PTHR10209:SF738', NULL, NULL, NULL, NULL, 'BNAC01G38190D PROTEIN', 111633),
(167908, 'PTHR10064:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111634),
(167909, 'PTHR10997:SF26', NULL, NULL, NULL, NULL, 'IMPORTIN-8', 111635),
(167910, 'PTHR14195:SF4', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 2', 111636),
(167911, 'PTHR23500:SF445', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111637),
(167912, 'PTHR45710:SF13', NULL, NULL, NULL, NULL, 'SI:DKEY-26C10.5', 111638),
(167913, 'PTHR14239:SF8', NULL, NULL, NULL, NULL, 'METALLOREDUCTASE STEAP3', 111639),
(167914, 'PTHR24377:SF773', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111640),
(167915, 'PTHR46273:SF3', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', 111641),
(167916, 'PTHR10891:SF871', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 111642),
(167917, 'PTHR31750:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111643),
(167918, 'PTHR48053:SF19', NULL, NULL, NULL, NULL, 'BNAC02G45200D PROTEIN', 111644),
(167919, 'PTHR33074:SF41', NULL, NULL, NULL, NULL, 'OS03G0178900 PROTEIN', 111645),
(167920, 'PTHR10003:SF58', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SUPEROXIDE DISMUTASE [CU-ZN]', 111646),
(167921, 'PTHR47979:SF47', NULL, NULL, NULL, NULL, 'BNAC03G58780D PROTEIN', 111647),
(167922, 'PTHR23359:SF173', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4-LIKE', 111648),
(167923, 'PTHR10352:SF48', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2B-LIKE', 111649),
(167924, 'PTHR23036:SF95', NULL, NULL, NULL, NULL, 'ONCOSTATIN-M-SPECIFIC RECEPTOR SUBUNIT BETA', 111650),
(167925, 'PTHR21470:SF18', NULL, NULL, NULL, NULL, 'BNAANNG07350D PROTEIN', 111651),
(167926, 'PTHR31325:SF219', NULL, NULL, NULL, NULL, 'OS01G0343100 PROTEIN', 111652),
(167927, 'PTHR13832:SF343', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE [ACETYL-TRANSFERRING]]-PHOSPHATASE 2, MITOCHONDRIAL', 111653),
(167928, 'PTHR33596', NULL, NULL, NULL, NULL, 'COLD-REGULATED 413 PLASMA MEMBRANE PROTEIN 2', 111654),
(167929, 'PTHR11913:SF90', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 12', 111655),
(167930, 'PTHR33513:SF19', NULL, NULL, NULL, NULL, 'OS02G0258800 PROTEIN', 111656),
(167931, 'PTHR36748:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111657),
(167932, 'PTHR48163', NULL, NULL, NULL, NULL, 'BNAC02G25670D PROTEIN', 111658),
(167933, 'PTHR21600:SF68', NULL, NULL, NULL, NULL, 'PSEUDOURIDYLATE SYNTHASE', 111659),
(167934, 'PTHR48010', NULL, NULL, NULL, NULL, 'OS05G0588300 PROTEIN', 111660),
(167935, 'PTHR11915:SF427', NULL, NULL, NULL, NULL, 'SPECTRIN ALPHA CHAIN, NON-ERYTHROCYTIC 1', 111661),
(167936, 'PTHR27009:SF240', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 4', 111662),
(167937, 'PTHR19321:SF27', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 3', 111663),
(167938, 'PTHR24006:SF716', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 2', 111664),
(167939, 'PTHR43859:SF43', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 1, PEROXISOMAL-RELATED', 111665),
(167940, 'PTHR23264', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING PROTEIN NBP35 YEAST -RELATED', 111666),
(167941, 'PTHR43671:SF60', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 111667),
(167942, 'PTHR26454:SF29', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 111668),
(167943, 'PTHR27002:SF695', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 17-RELATED', 111669),
(167944, 'PTHR21301:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111670),
(167945, 'PTHR11808:SF15', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-LYASE', 111671),
(167946, 'PTHR10015:SF334', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-6B', 111672),
(167947, 'PTHR12346:SF0', NULL, NULL, NULL, NULL, 'SIN3A, ISOFORM G', 111673),
(167948, 'PTHR32444:SF135', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', 111674),
(167949, 'PTHR14949:SF41', NULL, NULL, NULL, NULL, 'TERATOCARCINOMA-DERIVED GROWTH FACTOR 1', 111675);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(167950, 'PTHR22941:SF18', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 111676),
(167951, 'PTHR41164', NULL, NULL, NULL, NULL, 'CURLI PRODUCTION ASSEMBLY/TRANSPORT COMPONENT CSGG', 111677),
(167952, 'PTHR11732:SF153', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER C1-RELATED', 111678),
(167953, 'PTHR12081:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F5', 111679),
(167954, 'PTHR10725', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 9', 111680),
(167955, 'PTHR18896:SF129', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 111681),
(167956, 'PTHR23075:SF0', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 3', 111682),
(167957, 'PTHR47966:SF50', NULL, NULL, NULL, NULL, 'OS01G0631900 PROTEIN', 111683),
(167958, 'PTHR31482:SF4', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE', 111684),
(167959, 'PTHR27005:SF321', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 111685),
(167960, 'PTHR16501:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION FACTOR', 111686),
(167961, 'PTHR13817:SF96', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE 1', 111687),
(167962, 'PTHR31140:SF85', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING TRANSCRIPTION REPRESSOR RAV2', 111688),
(167963, 'PTHR28022:SF1', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 2 SUBUNIT PGA1', 111689),
(167964, 'PTHR14882:SF5', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 74A', 111690),
(167965, 'PTHR12431', NULL, NULL, NULL, NULL, 'SORTING NEXIN 17 AND 27', 111691),
(167966, 'PTHR23169:SF27', NULL, NULL, NULL, NULL, 'PLECTIN A', 111692),
(167967, 'PTHR38697:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN SIMILAR TO S. CEREVISIAE NUP2 (EUROFUNG)', 111693),
(167968, 'PTHR13167', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 111694),
(167969, 'PTHR15371:SF5', NULL, NULL, NULL, NULL, 'OS01G0303300 PROTEIN', 111695),
(167970, 'PTHR14112:SF23', NULL, NULL, NULL, NULL, 'PROTEIN SSX5', 111696),
(167971, 'PTHR48006:SF9', NULL, NULL, NULL, NULL, 'OS05G0399800 PROTEIN', 111697),
(167972, 'PTHR10913:SF14', NULL, NULL, NULL, NULL, 'FOLLISTATIN-RELATED PROTEIN 5-LIKE PROTEIN', 111698),
(167973, 'PTHR31570:SF1', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 1', 111699),
(167974, 'PTHR32212:SF267', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 111700),
(167975, 'PTHR46616:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 111701),
(167976, 'PTHR32263:SF31', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 111702),
(167977, 'PTHR10794:SF46', NULL, NULL, NULL, NULL, 'ESTERASE SLR0264-RELATED', 111703),
(167978, 'PTHR10209:SF783', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN', 111704),
(167979, 'PTHR47983:SF11', NULL, NULL, NULL, NULL, 'BNAC05G04600D PROTEIN', 111705),
(167980, 'PTHR12506:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 13-RELATED', 111706),
(167981, 'PTHR31376:SF40', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 21-RELATED', 111707),
(167982, 'PTHR10856:SF17', NULL, NULL, NULL, NULL, 'CORONIN-2B', 111708),
(167983, 'PTHR24322:SF483', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE 3', 111709),
(167984, 'PTHR35767:SF10', NULL, NULL, NULL, NULL, 'BNAA10G10470D PROTEIN', 111710),
(167985, 'PTHR46290:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111711),
(167986, 'PTHR23359:SF209', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 3', 111712),
(167987, 'PTHR32141:SF103', NULL, NULL, NULL, NULL, 'OS01G0706266 PROTEIN', 111713),
(167988, 'PTHR48019:SF88', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL65', 111714),
(167989, 'PTHR23076:SF58', NULL, NULL, NULL, NULL, 'INACTIVE ATP-DEPENDENT ZINC METALLOPROTEASE FTSHI 5, CHLOROPLASTIC-RELATED', 111715),
(167990, 'PTHR10210:SF41', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE', 111716),
(167991, 'PTHR21662:SF14', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', 111717),
(167992, 'PTHR13018:SF20', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 75', 111718);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(167993, 'PTHR17571:SF33', NULL, NULL, NULL, NULL, 'ACROSOMAL VESICLE PROTEIN 1', 111719),
(167994, 'PTHR12265:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111720),
(167995, 'PTHR10903:SF140', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST 159 CHLOROPLASTIC', 111721),
(167996, 'PTHR24291:SF56', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4AE1-RELATED', 111722),
(167997, 'PTHR33248:SF20', NULL, NULL, NULL, NULL, 'BNACNNG77200D PROTEIN', 111723),
(167998, 'PTHR13007:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111724),
(167999, 'PTHR24340:SF90', NULL, NULL, NULL, NULL, 'NK1 TRANSCRIPTION FACTOR-RELATED 2-LIKE,A-RELATED', 111725),
(168000, 'PTHR38438', NULL, NULL, NULL, NULL, 'RIBOFLAVIN TRANSPORTER RIBU', 111726),
(168001, 'PTHR45839:SF13', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 3', 111727),
(168002, 'PTHR14379:SF40', NULL, NULL, NULL, NULL, 'BNAA09G38430D PROTEIN', 111728),
(168003, 'PTHR33248:SF13', NULL, NULL, NULL, NULL, 'DNA-(APURINIC OR APYRIMIDINIC SITE) LYASE 2-LIKE', 111729),
(168004, 'PTHR24072', NULL, NULL, NULL, NULL, 'RHO FAMILY GTPASE', 111730),
(168005, 'PTHR43680', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE MOLYBDENUM COFACTOR ASSEMBLY CHAPERONE', 111731),
(168006, 'PTHR33450:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111732),
(168007, 'PTHR42896:SF5', NULL, NULL, NULL, NULL, 'BNAA06G18890D PROTEIN', 111733),
(168008, 'PTHR43509:SF1', NULL, NULL, NULL, NULL, 'SULFATE ADENYLYLTRANSFERASE', 111734),
(168009, 'PTHR11461:SF330', NULL, NULL, NULL, NULL, 'OS05G0511800 PROTEIN', 111735),
(168010, 'PTHR15276', NULL, NULL, NULL, NULL, 'H4 D10S170  PROTEIN-RELATED', 111736),
(168011, 'PTHR44094:SF19', NULL, NULL, NULL, NULL, 'BNAA06G14910D PROTEIN', 111737),
(168012, 'PTHR11514:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH13', 111738),
(168013, 'PTHR45614:SF26', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN Q', 111739),
(168014, 'PTHR11878:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111740),
(168015, 'PTHR19957:SF315', NULL, NULL, NULL, NULL, 'SYNTAXIN 10', 111741),
(168016, 'PTHR31681', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', 111742),
(168017, 'PTHR12396:SF10', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 1-RELATED', 111743),
(168018, 'PTHR45974:SF137', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', 111744),
(168019, 'PTHR28145:SF1', NULL, NULL, NULL, NULL, '12 KDA HEAT SHOCK PROTEIN', 111745),
(168020, 'PTHR47982:SF34', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN KINASE SELMODRAFT_444075-LIKE ISOFORM X1', 111746),
(168021, 'PTHR40469:SF2', NULL, NULL, NULL, NULL, 'SECRETED GLYCOSYL HYDROLASE', 111747),
(168022, 'PTHR33021:SF235', NULL, NULL, NULL, NULL, 'MAVICYANIN-LIKE', 111748),
(168023, 'PTHR23313', NULL, NULL, NULL, NULL, 'TSEC1-RELATED', 111749),
(168024, 'PTHR31985:SF137', NULL, NULL, NULL, NULL, 'CBF/DREB1 TRANSCRIPTION FACTOR', 111750),
(168025, 'PTHR24222', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY', 111751),
(168026, 'PTHR47929:SF20', NULL, NULL, NULL, NULL, 'BNACNNG07920D PROTEIN', 111752),
(168027, 'PTHR33109:SF41', NULL, NULL, NULL, NULL, 'PROTEIN EPIDERMAL PATTERNING FACTOR 1', 111753),
(168028, 'PTHR11215:SF5', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PROTEIN HYDROLASE', 111754),
(168029, 'PTHR47206:SF2', NULL, NULL, NULL, NULL, 'BNAA01G21650D PROTEIN', 111755),
(168030, 'PTHR48004:SF27', NULL, NULL, NULL, NULL, 'BNAA09G15280D PROTEIN', 111756),
(168031, 'PTHR10795:SF675', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', 111757),
(168032, 'PTHR47067:SF15', NULL, NULL, NULL, NULL, 'BNAA04G10550D PROTEIN', 111758),
(168033, 'PTHR24023:SF1018', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE XVIII ALPHA 1 CHAIN A', 111759),
(168034, 'PTHR31889:SF63', NULL, NULL, NULL, NULL, 'BNACNNG39900D PROTEIN', 111760),
(168035, 'PTHR47510:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111761),
(168036, 'PTHR23502:SF59', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G10370)-RELATED', 111762),
(168037, 'PTHR11614:SF146', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 111763);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(168038, 'PTHR21446:SF9', NULL, NULL, NULL, NULL, 'KIAA1958', 111764),
(168039, 'PTHR13693:SF77', NULL, NULL, NULL, NULL, '8-AMINO-7-OXONONANOATE SYNTHASE', 111765),
(168040, 'PTHR11685:SF13', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND IBR DOMAIN-CONTAINING PROTEIN 1', 111766),
(168041, 'PTHR14149:SF12', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING-LIKE PROTEIN IQGAP2', 111767),
(168042, 'PTHR32133:SF332', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 111768),
(168043, 'PTHR44054:SF1', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE MEMBRANE PROTEIN VAT-1 HOMOLOG', 111769),
(168044, 'PTHR24221:SF511', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PROTEIN ATRC', 111770),
(168045, 'PTHR10835:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111771),
(168046, 'PTHR11207:SF28', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 4-LIKE', 111772),
(168047, 'PTHR48043:SF115', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 83A1', 111773),
(168048, 'PTHR12929:SF19', NULL, NULL, NULL, NULL, 'SI:CH73-196L6.5', 111774),
(168049, 'PTHR24281:SF184', NULL, NULL, NULL, NULL, '(S)-N-METHYLCOCLAURINE 3''-HYDROXYLASE ISOZYME 2-RELATED', 111775),
(168050, 'PTHR15907:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111776),
(168051, 'PTHR45777:SF2', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2', 111777),
(168052, 'PTHR31517:SF49', NULL, NULL, NULL, NULL, 'PEROXIDASE 63', 111778),
(168053, 'PTHR35000:SF1', NULL, NULL, NULL, NULL, 'MUCIN MUC17, PUTATIVE-RELATED', 111779),
(168054, 'PTHR23320:SF42', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 13', 111780),
(168055, 'PTHR21422:SF14', NULL, NULL, NULL, NULL, 'BNAA03G11600D PROTEIN', 111781),
(168056, 'PTHR31238:SF164', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 111782),
(168057, 'PTHR35105:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CDI', 111783),
(168058, 'PTHR30457', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE SURE', 111784),
(168059, 'PTHR10742:SF313', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 111785),
(168060, 'PTHR45827:SF4', NULL, NULL, NULL, NULL, 'SORTING NEXIN-18', 111786),
(168061, 'PTHR31062:SF191', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 16-RELATED', 111787),
(168062, 'PTHR11830:SF29', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', 111788),
(168063, 'PTHR46043:SF1', NULL, NULL, NULL, NULL, 'OS03G0116900 PROTEIN', 111789),
(168064, 'PTHR43234', NULL, NULL, NULL, NULL, 'SLL1680 PROTEIN', 111790),
(168065, 'PTHR21708:SF30', NULL, NULL, NULL, NULL, '2-REDUCTASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00740)-RELATED', 111791),
(168066, 'PTHR11177:SF147', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE 6', 111792),
(168067, 'PTHR16932:SF31', NULL, NULL, NULL, NULL, 'SI:DKEY-188I13.10-RELATED', 111793),
(168068, 'PTHR36016:SF1', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 5-RELATED', 111794),
(168069, 'PTHR46128:SF186', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 111795),
(168070, 'PTHR10504:SF138', NULL, NULL, NULL, NULL, 'PROTEIN CBG11378', 111796),
(168071, 'PTHR37481:SF1', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE EXPORT SYSTEM PROTEIN LPTC', 111797),
(168072, 'PTHR10120:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111798),
(168073, 'PTHR34948:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111799),
(168074, 'PTHR31447:SF12', NULL, NULL, NULL, NULL, 'BNAC05G36620D PROTEIN', 111800),
(168075, 'PTHR24414:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 10', 111801),
(168076, 'PTHR35122:SF1', NULL, NULL, NULL, NULL, 'OS03G0627000 PROTEIN', 111802),
(168077, 'PTHR15898:SF19', NULL, NULL, NULL, NULL, 'GLUCOSE-INDUCED DEGRADATION PROTEIN 4 HOMOLOG', 111803),
(168078, 'PTHR45138:SF14', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE', 111804),
(168079, 'PTHR26454:SF79', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C75', 111805),
(168080, 'PTHR46150:SF3', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 100F', 111806),
(168081, 'PTHR42659:SF5', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDOREDUCTASE FAD-BINDING SUBUNIT PAOB', 111807);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(168082, 'PTHR10896', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE  BETA-1,3-GLUCURONYLTRANSFERASE', 111808),
(168083, 'PTHR32100', NULL, NULL, NULL, NULL, 'OMEGA-6 FATTY ACID DESATURASE, CHLOROPLASTIC', 111809),
(168084, 'PTHR35738:SF5', NULL, NULL, NULL, NULL, 'BNAA02G29100D PROTEIN', 111810),
(168085, 'PTHR44947:SF1', NULL, NULL, NULL, NULL, 'OS05G0501001 PROTEIN', 111811),
(168086, 'PTHR26450:SF46', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51F1', 111812),
(168087, 'PTHR33148:SF35', NULL, NULL, NULL, NULL, 'EMB|CAB85509.1', 111813),
(168088, 'PTHR31917:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111814),
(168089, 'PTHR43153:SF10', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN SUBUNIT YDIR-RELATED', 111815),
(168090, 'PTHR24006:SF813', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111816),
(168091, 'PTHR24390:SF160', NULL, NULL, NULL, NULL, 'MAMMALIAN BCL (B CELL LYMPHOMA) GENE HOMOLOGS-RELATED', 111817),
(168092, 'PTHR33495', NULL, NULL, NULL, NULL, 'ANTI-SIGMA FACTOR ANTAGONIST TM_1081-RELATED-RELATED', 111818),
(168093, 'PTHR45730:SF61', NULL, NULL, NULL, NULL, 'BNACNNG04850D PROTEIN', 111819),
(168094, 'PTHR31656:SF8', NULL, NULL, NULL, NULL, 'ROOT CAP/LATE EMBRYOGENESIS-LIKE PROTEIN', 111820),
(168095, 'PTHR33207:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111821),
(168096, 'PTHR31848:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111822),
(168097, 'PTHR12197:SF278', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN DDB_G0277331', 111823),
(168098, 'PTHR33021:SF185', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 1', 111824),
(168099, 'PTHR34704:SF1', NULL, NULL, NULL, NULL, 'ATPASE', 111825),
(168100, 'PTHR11568:SF2', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 1-BETA', 111826),
(168101, 'PTHR21737:SF6', NULL, NULL, NULL, NULL, 'CACTIN', 111827),
(168102, 'PTHR24243:SF148', NULL, NULL, NULL, NULL, 'PYROKININ-1 RECEPTOR', 111828),
(168103, 'PTHR11850:SF219', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR AND HOMEOBOX DOMAIN TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 111829),
(168104, 'PTHR24251:SF22', NULL, NULL, NULL, NULL, 'OVOCHYMASE 1', 111830),
(168105, 'PTHR46118:SF3', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN CONTAINING HOMOLOG', 111831),
(168106, 'PTHR28621', NULL, NULL, NULL, NULL, 'SELENOPROTEIN S', 111832),
(168107, 'PTHR11984:SF5', NULL, NULL, NULL, NULL, 'GAP JUNCTION DELTA-3 PROTEIN', 111833),
(168108, 'PTHR31614:SF24', NULL, NULL, NULL, NULL, 'OLEE1-LIKE PROTEIN', 111834),
(168109, 'PTHR26450:SF5', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 111835),
(168110, 'PTHR13318:SF162', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT FAMILY PROTEIN', 111836),
(168111, 'PTHR34598', NULL, NULL, NULL, NULL, 'BLL6449 PROTEIN', 111837),
(168112, 'PTHR10378:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SLK3-RELATED', 111838),
(168113, 'PTHR31235:SF258', NULL, NULL, NULL, NULL, 'PEROXIDASE', 111839),
(168114, 'PTHR14447', NULL, NULL, NULL, NULL, 'UROTENSIN 2', 111840),
(168115, 'PTHR21371:SF23', NULL, NULL, NULL, NULL, 'KETOL-ACID REDUCTOISOMERASE', 111841),
(168116, 'PTHR36167', NULL, NULL, NULL, NULL, 'C2H2 FINGER DOMAIN TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 111842),
(168117, 'PTHR13572:SF2', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN ENDO-ALPHA-1,2-MANNOSIDASE-LIKE PROTEIN', 111843),
(168118, 'PTHR47113:SF1', NULL, NULL, NULL, NULL, 'LD09343P', 111844),
(168119, 'PTHR22042', NULL, NULL, NULL, NULL, 'TANKYRASE 1 BINDING PROTEIN', 111845),
(168120, 'PTHR31190:SF300', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', 111846),
(168121, 'PTHR11524:SF43', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7', 111847),
(168122, 'PTHR12750:SF13', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE', 111848),
(168123, 'PTHR21713:SF1', NULL, NULL, NULL, NULL, 'NAC-ALPHA DOMAIN-CONTAINING PROTEIN 1', 111849),
(168124, 'PTHR45658:SF75', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 9', 111850);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(168125, 'PTHR23245:SF36', NULL, NULL, NULL, NULL, 'TRNA (GUANINE(37)-N1)-METHYLTRANSFERASE', 111851),
(168126, 'PTHR11064:SF135', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-4-LIKE', 111852),
(168127, 'PTHR13904', NULL, NULL, NULL, NULL, 'PRE-MRNA SPLICING FACTOR PRP31', 111853),
(168128, 'PTHR27001:SF666', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111854),
(168129, 'PTHR40658', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 111855),
(168130, 'PTHR11739:SF25', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE-RELATED PROTEIN DDB_G0287281', 111856),
(168131, 'PTHR47987:SF13', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-PROTEIN KINASE RBK2 ISOFORM X1', 111857),
(168132, 'PTHR22765:SF157', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', 111858),
(168133, 'PTHR31707:SF182', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 111859),
(168134, 'PTHR31521:SF3', NULL, NULL, NULL, NULL, 'BNAA01G30180D PROTEIN', 111860),
(168135, 'PTHR47558:SF1', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HOS3', 111861),
(168136, 'PTHR35317:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111862),
(168137, 'PTHR11188:SF51', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN 15', 111863),
(168138, 'PTHR36320', NULL, NULL, NULL, NULL, 'OS04G0611300 PROTEIN', 111864),
(168139, 'PTHR46243:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111865),
(168140, 'PTHR23087', NULL, NULL, NULL, NULL, 'NONHISTONE CHROMOSOMAL PROTEIN HMG', 111866),
(168141, 'PTHR10529:SF358', NULL, NULL, NULL, NULL, 'CLATHRIN ADAPTOR, MU SUBUNIT, MU-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 111867),
(168142, 'PTHR32004:SF1', NULL, NULL, NULL, NULL, 'TRNA LIGASE', 111868),
(168143, 'PTHR30435:SF2', NULL, NULL, NULL, NULL, 'FLAGELLAR BASAL-BODY ROD PROTEIN FLGC', 111869),
(168144, 'PTHR15591:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111870),
(168145, 'PTHR37166', NULL, NULL, NULL, NULL, 'PROTEIN FLAG', 111871),
(168146, 'PTHR32141:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111872),
(168147, 'PTHR45694:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 111873),
(168148, 'PTHR31225:SF106', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE', 111874),
(168149, 'PTHR24028:SF283', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111875),
(168150, 'PTHR10836:SF103', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE 2', 111876),
(168151, 'PTHR35483:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 111877),
(168152, 'PTHR11017:SF249', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)-RELATED', 111878),
(168153, 'PTHR34358:SF10', NULL, NULL, NULL, NULL, 'BNAA03G53520D PROTEIN', 111879),
(168154, 'PTHR43228:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111880),
(168155, 'PTHR31062:SF169', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 111881),
(168156, 'PTHR36168:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 111882),
(168157, 'PTHR31989:SF284', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 82', 111883),
(168158, 'PTHR11716:SF87', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2 HOMOLOG 2-RELATED', 111884),
(168159, 'PTHR33052:SF147', NULL, NULL, NULL, NULL, 'BNAA03G53610D PROTEIN', 111885),
(168160, 'PTHR26451:SF819', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 12D3', 111886),
(168161, 'PTHR24327:SF23', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DLX-2', 111887),
(168162, 'PTHR10366:SF734', NULL, NULL, NULL, NULL, 'BNAANNG25870D PROTEIN', 111888),
(168163, 'PTHR26454:SF40', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C6', 111889),
(168164, 'PTHR45768:SF34', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL64', 111890),
(168165, 'PTHR15710:SF126', NULL, NULL, NULL, NULL, 'OS01G0802000 PROTEIN', 111891),
(168166, 'PTHR32141:SF59', NULL, NULL, NULL, NULL, 'OS04G0208600 PROTEIN', 111892),
(168167, 'PTHR24305:SF30', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 301A1, MITOCHONDRIAL-RELATED', 111893),
(168168, 'PTHR40237:SF1', NULL, NULL, NULL, NULL, 'LD44813P', 111894);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(168169, 'PTHR47999:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WER-LIKE ISOFORM X1', 111895),
(168170, 'PTHR18860:SF114', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN 5', 111896),
(168171, 'PTHR11926:SF1348', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 111897),
(168172, 'PTHR35728:SF2', NULL, NULL, NULL, NULL, 'BNAA05G31850D PROTEIN', 111898),
(168173, 'PTHR31213:SF141', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE, START-LIKE DOMAIN PROTEIN-RELATED', 111899),
(168174, 'PTHR23500:SF424', NULL, NULL, NULL, NULL, 'IP12678P', 111900),
(168175, 'PTHR39163', NULL, NULL, NULL, NULL, 'FERREDOXIN', 111901),
(168176, 'PTHR11422:SF3', NULL, NULL, NULL, NULL, 'G6F-LIKE', 111902),
(168177, 'PTHR36895:SF1', NULL, NULL, NULL, NULL, 'OS05G0565400 PROTEIN', 111903),
(168178, 'PTHR24224:SF31', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 111904),
(168179, 'PTHR10434:SF40', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', 111905),
(168180, 'PTHR42741:SF3', NULL, NULL, NULL, NULL, 'NITROREDUCTASE FAMILY PROTEIN', 111906),
(168181, 'PTHR12242:SF26', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 111907),
(168182, 'PTHR21292:SF15', NULL, NULL, NULL, NULL, 'BNACNNG07830D PROTEIN', 111908),
(168183, 'PTHR15010:SF0', NULL, NULL, NULL, NULL, 'ACYLOXYACYL HYDROLASE', 111909),
(168184, 'PTHR44188', NULL, NULL, NULL, NULL, 'GDAP1, ISOFORM A', 111910),
(168185, 'PTHR46211:SF1', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE, CYTOPLASMIC', 111911),
(168186, 'PTHR15096:SF9', NULL, NULL, NULL, NULL, 'SLP-M', 111912),
(168187, 'PTHR10520:SF12', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL PURINE BIOSYNTHETIC PROTEIN ADENOSINE-3', 111913),
(168188, 'PTHR16290:SF21', NULL, NULL, NULL, NULL, 'MRNA-DECAPPING ENZYME-LIKE PROTEIN', 111914),
(168189, 'PTHR31200:SF1', NULL, NULL, NULL, NULL, 'INO80 COMPLEX SUBUNIT C', 111915),
(168190, 'PTHR48014:SF10', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 111916),
(168191, 'PTHR10041:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH COLIPASE-LIKE PROTEIN 1', 111917),
(168192, 'PTHR11587:SF5', NULL, NULL, NULL, NULL, 'ARGININOSUCCINATE SYNTHASE', 111918),
(168193, 'PTHR45933:SF16', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 9', 111919),
(168194, 'PTHR15294:SF3', NULL, NULL, NULL, NULL, 'SUMO-SPECIFIC ISOPEPTIDASE USPL1', 111920),
(168195, 'PTHR33377:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111921),
(168196, 'PTHR21292:SF4', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA-INDUCED PROTEIN 2', 111922),
(168197, 'PTHR15496:SF2', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 4', 111923),
(168198, 'PTHR13743:SF138', NULL, NULL, NULL, NULL, 'BNAC04G55290D PROTEIN', 111924),
(168199, 'PTHR24062:SF41', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 111925),
(168200, 'PTHR30204', NULL, NULL, NULL, NULL, 'REDOX-CYCLING DRUG-SENSING TRANSCRIPTIONAL ACTIVATOR SOXR', 111926),
(168201, 'PTHR11783:SF228', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 111927),
(168202, 'PTHR21495:SF204', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 111928),
(168203, 'PTHR11618:SF61', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB-LIKE', 111929),
(168204, 'PTHR14493:SF81', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 56-LIKE ISOFORM X1', 111930),
(168205, 'PTHR46038:SF44', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', 111931),
(168206, 'PTHR27007:SF360', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111932),
(168207, 'PTHR42721:SF25', NULL, NULL, NULL, NULL, 'QUALITY PROTEIN: PROBABLE BETA-D-XYLOSIDASE 2-RELATED', 111933),
(168208, 'PTHR24209:SF11', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', 111934),
(168209, 'PTHR21450:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111935),
(168210, 'PTHR11636:SF6', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 6, TRANSCRIPTION FACTOR 1', 111936),
(168211, 'PTHR31218:SF153', NULL, NULL, NULL, NULL, 'BNAC09G51770D PROTEIN', 111937),
(168212, 'PTHR19944:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111938);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(168213, 'PTHR45637:SF72', NULL, NULL, NULL, NULL, 'BNAA04G20290D PROTEIN', 111939),
(168214, 'PTHR31175:SF53', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR67-LIKE', 111940),
(168215, 'PTHR31707:SF342', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 111941),
(168216, 'PTHR38787:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111942),
(168217, 'PTHR36960', NULL, NULL, NULL, NULL, 'SI:DKEY-32E6.3', 111943),
(168218, 'PTHR47928:SF86', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 111944),
(168219, 'PTHR33998:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111945),
(168220, 'PTHR23155:SF1109', NULL, NULL, NULL, NULL, 'OS11G0700100 PROTEIN', 111946),
(168221, 'PTHR11042:SF158', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 111947),
(168222, 'PTHR42695:SF15', NULL, NULL, NULL, NULL, 'OS02G0179200 PROTEIN', 111948),
(168223, 'PTHR34609', NULL, NULL, NULL, NULL, 'GEO08273P1-RELATED', 111949),
(168224, 'PTHR11118', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 111950),
(168225, 'PTHR26312:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111951),
(168226, 'PTHR30050:SF4', NULL, NULL, NULL, NULL, 'ATP-BINDING PROTEIN RV3427C IN INSERTION SEQUENCE-RELATED', 111952),
(168227, 'PTHR18896:SF172', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 111953),
(168228, 'PTHR31992:SF151', NULL, NULL, NULL, NULL, 'BNAC07G32880D PROTEIN', 111954),
(168229, 'PTHR23244:SF455', NULL, NULL, NULL, NULL, 'OS01G0300900 PROTEIN', 111955),
(168230, 'PTHR39339', NULL, NULL, NULL, NULL, 'SLR1444 PROTEIN', 111956),
(168231, 'PTHR46344:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111957),
(168232, 'PTHR31355:SF18', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 111958),
(168233, 'PTHR14326:SF37', NULL, NULL, NULL, NULL, 'CELL CYCLE REGULATED MICROTUBULE ASSOCIATED PROTEIN', 111959),
(168234, 'PTHR43811:SF40', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 111960),
(168235, 'PTHR43662:SF3', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11970)-RELATED', 111961),
(168236, 'PTHR46309:SF7', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 1', 111962),
(168237, 'PTHR46919', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 111963),
(168238, 'PTHR31636:SF59', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR CONTAINING PROTEIN, EXPRESSED', 111964),
(168239, 'PTHR30031:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE (ATP)', 111965),
(168240, 'PTHR18821:SF9', NULL, NULL, NULL, NULL, 'PROKINETICIN', 111966),
(168241, 'PTHR23201:SF79', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 2', 111967),
(168242, 'PTHR12169:SF6', NULL, NULL, NULL, NULL, 'AFG1-LIKE ATPASE', 111968),
(168243, 'PTHR33148:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111969),
(168244, 'PTHR10913:SF50', NULL, NULL, NULL, NULL, 'GH09510P', 111970),
(168245, 'PTHR24349:SF414', NULL, NULL, NULL, NULL, 'OS02G0807000 PROTEIN', 111971),
(168246, 'PTHR46248:SF16', NULL, NULL, NULL, NULL, 'BNAA08G15520D PROTEIN', 111972),
(168247, 'PTHR10658:SF28', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN ALPHA ISOFORM', 111973),
(168248, 'PTHR19375:SF424', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 2-LIKE', 111974),
(168249, 'PTHR23428:SF231', NULL, NULL, NULL, NULL, 'HISTONE H2B', 111975),
(168250, 'PTHR46856:SF4', NULL, NULL, NULL, NULL, 'BNAA03G51930D PROTEIN', 111976),
(168251, 'PTHR11394:SF29', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 9', 111977),
(168252, 'PTHR45786:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111978),
(168253, 'PTHR24114:SF2', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', 111979),
(168254, 'PTHR45715:SF2', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E 1', 111980),
(168255, 'PTHR32343:SF56', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 9-LIKE', 111981),
(168256, 'PTHR46976:SF3', NULL, NULL, NULL, NULL, 'ARABIDILLO PROTEIN-RELATED', 111982),
(168257, 'PTHR31509:SF111', NULL, NULL, NULL, NULL, 'BNAC03G65190D PROTEIN', 111983),
(168258, 'PTHR24361:SF722', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 5', 111984);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(168259, 'PTHR33120:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111985),
(168260, 'PTHR43025:SF5', NULL, NULL, NULL, NULL, 'MONOGALACTOSYLDIACYLGLYCEROL SYNTHASE 2, CHLOROPLASTIC-LIKE', 111986),
(168261, 'PTHR36378:SF2', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', 111987),
(168262, 'PTHR40697', NULL, NULL, NULL, NULL, 'ACETOIN CATABOLISM PROTEIN X', 111988),
(168263, 'PTHR11091:SF0', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLATE DEHYDROGENASE B-RELATED', 111989),
(168264, 'PTHR21562:SF58', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 111990),
(168265, 'PTHR47967:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111991),
(168266, 'PTHR11412:SF152', NULL, NULL, NULL, NULL, 'OVOSTATIN HOMOLOG 1-RELATED', 111992),
(168267, 'PTHR24056:SF398', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111993),
(168268, 'PTHR13356:SF7', NULL, NULL, NULL, NULL, 'BNAA02G33870D PROTEIN', 111994),
(168269, 'PTHR48043:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111995),
(168270, 'PTHR47863:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 111996),
(168271, 'PTHR31236:SF56', NULL, NULL, NULL, NULL, 'ABUNDANT PROTEIN VF30.1, PUTATIVE-RELATED', 111997),
(168272, 'PTHR10903:SF143', NULL, NULL, NULL, NULL, 'IMMUNE-ASSOCIATED NUCLEOTIDE-BINDING PROTEIN 8', 111998),
(168273, 'PTHR47992:SF136', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1K, MITOCHONDRIAL', 111999),
(168274, 'PTHR48159:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112000),
(168275, 'PTHR24356:SF171', NULL, NULL, NULL, NULL, 'RAC-ALPHA SERINE/THREONINE-PROTEIN KINASE', 112001),
(168276, 'PTHR23426:SF57', NULL, NULL, NULL, NULL, '2FE-2S FERREDOXIN', 112002),
(168277, 'PTHR15486:SF29', NULL, NULL, NULL, NULL, 'OS12G0563000 PROTEIN', 112003),
(168278, 'PTHR24567:SF53', NULL, NULL, NULL, NULL, 'SLL1169 PROTEIN', 112004),
(168279, 'PTHR24198:SF171', NULL, NULL, NULL, NULL, 'RECEPTOR-INTERACTING SERINE/THREONINE-PROTEIN KINASE 2', 112005),
(168280, 'PTHR12899', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L18, MITOCHONDRIAL', 112006),
(168281, 'PTHR12128:SF62', NULL, NULL, NULL, NULL, 'BNAC04G04200D PROTEIN', 112007),
(168282, 'PTHR19241:SF495', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', 112008),
(168283, 'PTHR24282:SF208', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 112009),
(168284, 'PTHR24377:SF616', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 530', 112010),
(168285, 'PTHR43235:SF9', NULL, NULL, NULL, NULL, 'CLASS I GLUTAMINE AMIDOTRANSFERASE-LIKE SUPERFAMILY PROTEIN', 112011),
(168286, 'PTHR10962:SF5', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN 2C', 112012),
(168287, 'PTHR10277:SF9', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE 1, CHLOROPLASTIC', 112013),
(168288, 'PTHR48051:SF14', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND CALPONIN HOMOLOGY DOMAIN CONTAINING 2', 112014),
(168289, 'PTHR21094:SF2', NULL, NULL, NULL, NULL, 'GOLGI SNAP RECEPTOR COMPLEX MEMBER 1-2', 112015),
(168290, 'PTHR32444:SF100', NULL, NULL, NULL, NULL, 'BNAA03G58780D PROTEIN', 112016),
(168291, 'PTHR24177:SF51', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS TRANSMEMBRANE PROTEIN-LIKE', 112017),
(168292, 'PTHR45958:SF3', NULL, NULL, NULL, NULL, 'OS07G0513500 PROTEIN', 112018),
(168293, 'PTHR31928:SF20', NULL, NULL, NULL, NULL, 'BNAA09G29900D PROTEIN', 112019),
(168294, 'PTHR46387:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112020),
(168295, 'PTHR45658:SF49', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 3', 112021),
(168296, 'PTHR14890:SF1', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA CORE COMPLEX-ASSOCIATED PROTEIN 100', 112022),
(168297, 'PTHR23193:SF21', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP214', 112023),
(168298, 'PTHR22747:SF14', NULL, NULL, NULL, NULL, 'NUCLEOPLASMIN-2', 112024),
(168299, 'PTHR44586:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112025),
(168300, 'PTHR32448:SF119', NULL, NULL, NULL, NULL, 'OS06G0548800 PROTEIN', 112026),
(168301, 'PTHR40460:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 112027),
(168302, 'PTHR13844:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112028);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(168303, 'PTHR23175:SF5', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 23', 112029),
(168304, 'PTHR24356:SF372', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 112030),
(168305, 'PTHR21679:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08179', 112031),
(168306, 'PTHR27006:SF257', NULL, NULL, NULL, NULL, 'KINASE-RELATED', 112032),
(168307, 'PTHR46080:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', 112033),
(168308, 'PTHR21501', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 112034),
(168309, 'PTHR19368:SF10', NULL, NULL, NULL, NULL, 'EG546282 PROTEIN-RELATED', 112035),
(168310, 'PTHR17615:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FAM189A2', 112036),
(168311, 'PTHR46610:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112037),
(168312, 'PTHR30290:SF16', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERIPLASMIC OLIGOPEPTIDE-BINDING PROTEIN', 112038),
(168313, 'PTHR37610:SF40', NULL, NULL, NULL, NULL, 'BNAA06G15040D PROTEIN', 112039),
(168314, 'PTHR31288:SF20', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE', 112040),
(168315, 'PTHR24148:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112041),
(168316, 'PTHR19297:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112042),
(168317, 'PTHR11726', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10', 112043),
(168318, 'PTHR21734', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE-INTERACTING PROTEIN', 112044),
(168319, 'PTHR11735', NULL, NULL, NULL, NULL, 'TRNA N6-ADENOSINE THREONYLCARBAMOYLTRANSFERASE', 112045),
(168320, 'PTHR43420:SF33', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE YODP', 112046),
(168321, 'PTHR48050:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112047),
(168322, 'PTHR24416:SF539', NULL, NULL, NULL, NULL, 'EPH RECEPTOR TYROSINE KINASE, ISOFORM C', 112048),
(168323, 'PTHR10015:SF336', NULL, NULL, NULL, NULL, 'HEAT SHOCK TRANSCRIPTION FACTOR, Y-LINKED', 112049),
(168324, 'PTHR46191:SF2', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE DOMAIN-CONTAINING PROTEIN 3', 112050),
(168325, 'PTHR13318:SF26', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 12', 112051),
(168326, 'PTHR23501:SF153', NULL, NULL, NULL, NULL, 'MFS AFLATOXIN EFFLUX PUMP', 112052),
(168327, 'PTHR15907:SF145', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 2-LIKE', 112053),
(168328, 'PTHR31803', NULL, NULL, NULL, NULL, 'ALTERNATIVE OXIDASE', 112054),
(168329, 'PTHR28682', NULL, NULL, NULL, NULL, 'INHIBITORY SYNAPTIC FACTOR 2A-RELATED', 112055),
(168330, 'PTHR33318:SF21', NULL, NULL, NULL, NULL, 'HISTONE H3.V1-LIKE', 112056),
(168331, 'PTHR47971:SF4', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 112057),
(168332, 'PTHR40735:SF2', NULL, NULL, NULL, NULL, 'RNA-EDITING COMPLEX PROTEIN MP81', 112058),
(168333, 'PTHR47589:SF6', NULL, NULL, NULL, NULL, 'BNAA09G55750D PROTEIN', 112059),
(168334, 'PTHR24421:SF10', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE SENSOR PROTEIN NARX', 112060),
(168335, 'PTHR31080:SF117', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 112061),
(168336, 'PTHR45665:SF26', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP4-1', 112062),
(168337, 'PTHR45801:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SUPERMAN', 112063),
(168338, 'PTHR46896', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE', 112064),
(168339, 'PTHR22835:SF556', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112065),
(168340, 'PTHR14319:SF10', NULL, NULL, NULL, NULL, 'SI:DKEY-84J12.1', 112066),
(168341, 'PTHR47958:SF100', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 34', 112067),
(168342, 'PTHR21439', NULL, NULL, NULL, NULL, 'OXIDORED-NITRO DOMAIN-CONTAINING PROTEIN', 112068),
(168343, 'PTHR12929:SF4', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 52, RIBOFLAVIN TRANSPORTER, MEMBER 3', 112069),
(168344, 'PTHR16517:SF123', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 112070),
(168345, 'PTHR45962:SF2', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE S-LIKE 2-RELATED', 112071);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(168346, 'PTHR45714:SF12', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-4', 112072),
(168347, 'PTHR19957:SF269', NULL, NULL, NULL, NULL, 'SYNTAXIN-122', 112073),
(168348, 'PTHR10654:SF15', NULL, NULL, NULL, NULL, 'BREAST CANCER ANTI-ESTROGEN RESISTANCE PROTEIN 1', 112074),
(168349, 'PTHR13878:SF59', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 8', 112075),
(168350, 'PTHR12606:SF10', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 5', 112076),
(168351, 'PTHR33736:SF4', NULL, NULL, NULL, NULL, 'OS04G0414500 PROTEIN', 112077),
(168352, 'PTHR24241:SF146', NULL, NULL, NULL, NULL, 'PROKINETICIN RECEPTOR-RELATED', 112078),
(168353, 'PTHR16160:SF11', NULL, NULL, NULL, NULL, 'FERMITIN FAMILY HOMOLOG 2', 112079),
(168354, 'PTHR36444:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR PROTEIN YOBU-RELATED', 112080),
(168355, 'PTHR40630:SF1', NULL, NULL, NULL, NULL, 'POSSIBLE DNA-BINDING PROTEIN', 112081),
(168356, 'PTHR31722:SF48', NULL, NULL, NULL, NULL, 'BNAA02G19090D PROTEIN', 112082),
(168357, 'PTHR10044:SF115', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XIAP', 112083),
(168358, 'PTHR18837:SF3', NULL, NULL, NULL, NULL, 'STROMAL CELL-DERIVED FACTOR 1', 112084),
(168359, 'PTHR24068:SF147', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 K', 112085),
(168360, 'PTHR46916:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-121A2.4', 112086),
(168361, 'PTHR32468:SF105', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', 112087),
(168362, 'PTHR23354:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112088),
(168363, 'PTHR31509:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112089),
(168364, 'PTHR11003:SF268', NULL, NULL, NULL, NULL, 'TWO-PORE POTASSIUM CHANNEL 4-RELATED', 112090),
(168365, 'PTHR11685:SF309', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 112091),
(168366, 'PTHR31301:SF142', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 6-RELATED', 112092),
(168367, 'PTHR46537:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1A-RELATED', 112093),
(168368, 'PTHR22573:SF59', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE, CHLOROPLASTIC', 112094),
(168369, 'PTHR11742:SF47', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 112095),
(168370, 'PTHR46119:SF21', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', 112096),
(168371, 'PTHR31062:SF124', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 112097),
(168372, 'PTHR31948:SF109', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 112098),
(168373, 'PTHR23147:SF69', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN 4.2-RELATED', 112099),
(168374, 'PTHR38698:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 112100),
(168375, 'PTHR47464:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112101),
(168376, 'PTHR21319', NULL, NULL, NULL, NULL, 'RING FINGER AND CHY ZINC FINGER DOMAIN-CONTAINING PROTEIN 1', 112102),
(168377, 'PTHR12350:SF19', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 112103),
(168378, 'PTHR27009:SF201', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD3-1', 112104),
(168379, 'PTHR28617', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 77', 112105),
(168380, 'PTHR14155:SF480', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112106),
(168381, 'PTHR46948:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P38', 112107),
(168382, 'PTHR21637:SF5', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 10', 112108),
(168383, 'PTHR33095:SF9', NULL, NULL, NULL, NULL, 'OS05G0568600 PROTEIN', 112109),
(168384, 'PTHR12396:SF39', NULL, NULL, NULL, NULL, 'BNAA02G06810D PROTEIN', 112110),
(168385, 'PTHR23130:SF184', NULL, NULL, NULL, NULL, 'OS09G0501100 PROTEIN', 112111),
(168386, 'PTHR38340:SF1', NULL, NULL, NULL, NULL, 'S-LAYER PROTEIN', 112112),
(168387, 'PTHR10891:SF848', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 112113),
(168388, 'PTHR22589:SF16', NULL, NULL, NULL, NULL, 'CARNITINE O-PALMITOYLTRANSFERASE 2, MITOCHONDRIAL', 112114),
(168389, 'PTHR14880:SF2', NULL, NULL, NULL, NULL, 'PROLINE AND SERINE-RICH PROTEIN 1', 112115);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(168390, 'PTHR31338:SF31', NULL, NULL, NULL, NULL, 'BNAA03G46180D PROTEIN', 112116),
(168391, 'PTHR31805:SF14', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE, PUTATIVE (DUF1421)-RELATED', 112117),
(168392, 'PTHR43622', NULL, NULL, NULL, NULL, '3-DEHYDROQUINATE SYNTHASE', 112118),
(168393, 'PTHR12411:SF357', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE XCP2', 112119),
(168394, 'PTHR31221:SF190', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 34-RELATED', 112120),
(168395, 'PTHR31636:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112121),
(168396, 'PTHR13526:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112122),
(168397, 'PTHR13994:SF39', NULL, NULL, NULL, NULL, 'BNAA06G35360D PROTEIN', 112123),
(168398, 'PTHR34815:SF2', NULL, NULL, NULL, NULL, 'LYSINE ACETYLTRANSFERASE', 112124),
(168399, 'PTHR33207:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112125),
(168400, 'PTHR32343:SF59', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 12-LIKE ISOFORM X1', 112126),
(168401, 'PTHR24220:SF672', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 112127),
(168402, 'PTHR37734', NULL, NULL, NULL, NULL, 'LARGE RIBOSOMAL RNA SUBUNIT ACCUMULATION PROTEIN YCED HOMOLOG 2, CHLOROPLASTIC', 112128),
(168403, 'PTHR33541:SF11', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE E', 112129),
(168404, 'PTHR33474:SF16', NULL, NULL, NULL, NULL, 'OS05G0487300 PROTEIN', 112130),
(168405, 'PTHR24342:SF18', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE 3', 112131),
(168406, 'PTHR12296:SF23', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 5B-LIKE PROTEIN', 112132),
(168407, 'PTHR24343:SF468', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 112133),
(168408, 'PTHR24361:SF826', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112134),
(168409, 'PTHR11689:SF153', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 112135),
(168410, 'PTHR10587', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', 112136),
(168411, 'PTHR37400:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112137),
(168412, 'PTHR13683:SF804', NULL, NULL, NULL, NULL, 'OSJNBB0071D01.4 PROTEIN', 112138),
(168413, 'PTHR47290:SF7', NULL, NULL, NULL, NULL, 'BNAC03G58260D PROTEIN', 112139),
(168414, 'PTHR11532', NULL, NULL, NULL, NULL, 'PROTEASE M14 CARBOXYPEPTIDASE', 112140),
(168415, 'PTHR23115:SF276', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', 112141),
(168416, 'PTHR10185:SF16', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D3', 112142),
(168417, 'PTHR30314:SF20', NULL, NULL, NULL, NULL, 'DIVISION PROTEIN FTSZ, PUTATIVE-RELATED', 112143),
(168418, 'PTHR10015:SF282', NULL, NULL, NULL, NULL, 'HEAT SHOCK TRANSCRIPTION FACTOR, X-LINKED', 112144),
(168419, 'PTHR46550', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 3', 112145),
(168420, 'PTHR20961:SF81', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', 112146),
(168421, 'PTHR20932:SF40', NULL, NULL, NULL, NULL, 'OS06G0729900 PROTEIN', 112147),
(168422, 'PTHR11165:SF52', NULL, NULL, NULL, NULL, 'SKR-20', 112148),
(168423, 'PTHR37389:SF9', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 112149),
(168424, 'PTHR33070:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112150),
(168425, 'PTHR33513:SF21', NULL, NULL, NULL, NULL, 'BNAC03G71690D PROTEIN', 112151),
(168426, 'PTHR45687:SF26', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-6-RELATED', 112152),
(168427, 'PTHR31080:SF182', NULL, NULL, NULL, NULL, 'OS08G0541800 PROTEIN', 112153),
(168428, 'PTHR11771:SF158', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 112154),
(168429, 'PTHR24070:SF373', NULL, NULL, NULL, NULL, 'RAS-RELATED AND ESTROGEN-REGULATED GROWTH INHIBITOR', 112155),
(168430, 'PTHR12378:SF7', NULL, NULL, NULL, NULL, 'DESUMOYLATING ISOPEPTIDASE 1', 112156),
(168431, 'PTHR12436:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112157),
(168432, 'PTHR33142:SF68', NULL, NULL, NULL, NULL, 'BNAA04G16740D PROTEIN', 112158),
(168433, 'PTHR26452:SF213', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 112159),
(168434, 'PTHR15157:SF18', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II PROTEIN', 112160);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(168435, 'PTHR11365:SF10', NULL, NULL, NULL, NULL, 'HYDANTOINASE', 112161),
(168436, 'PTHR39377:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG12456', 112162),
(168437, 'PTHR24363:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE-LIKE DOMAIN-CONTAINING PROTEIN STKLD1', 112163),
(168438, 'PTHR13937:SF7', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT C', 112164),
(168439, 'PTHR46122:SF10', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT PROTEIN', 112165),
(168440, 'PTHR31042:SF108', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 112166),
(168441, 'PTHR24291:SF3', NULL, NULL, NULL, NULL, '25-HYDROXYVITAMIN D-1 ALPHA HYDROXYLASE, MITOCHONDRIAL', 112167),
(168442, 'PTHR11278', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', 112168),
(168443, 'PTHR43019:SF48', NULL, NULL, NULL, NULL, 'PEPTIDASE S1, PA CLAN-RELATED', 112169),
(168444, 'PTHR46688:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 16', 112170),
(168445, 'PTHR42786:SF3', NULL, NULL, NULL, NULL, 'METHYLASE, PUTATIVE-RELATED', 112171),
(168446, 'PTHR38430', NULL, NULL, NULL, NULL, 'PROTEIN-ARGININE KINASE ACTIVATOR PROTEIN', 112172),
(168447, 'PTHR31225:SF113', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 3-RELATED', 112173),
(168448, 'PTHR46008:SF36', NULL, NULL, NULL, NULL, 'WALL ASSOCIATED KINASE-LIKE PROTEIN', 112174),
(168449, 'PTHR45721:SF10', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFC-1', 112175),
(168450, 'PTHR11527:SF282', NULL, NULL, NULL, NULL, '16.9 KDA CLASS I HEAT SHOCK PROTEIN 2', 112176),
(168451, 'PTHR43344:SF13', NULL, NULL, NULL, NULL, 'PHOSPHATASE RV3661-RELATED', 112177),
(168452, 'PTHR21327:SF41', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL RIBOFLAVIN BIOSYNTHESIS PROTEIN RIBA 1, CHLOROPLASTIC-LIKE ISOFORM X1', 112178),
(168453, 'PTHR32261:SF1', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN', 112179),
(168454, 'PTHR13425:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG06775', 112180),
(168455, 'PTHR12630:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112181),
(168456, 'PTHR47123:SF14', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 112182),
(168457, 'PTHR12289:SF35', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14380)-RELATED', 112183),
(168458, 'PTHR12841:SF6', NULL, NULL, NULL, NULL, 'PROTEIN UNC-50 HOMOLOG', 112184),
(168459, 'PTHR11699:SF290', NULL, NULL, NULL, NULL, 'BNAA03G50730D PROTEIN', 112185),
(168460, 'PTHR11422:SF6', NULL, NULL, NULL, NULL, 'CD4-2 MOLECULE, TANDEM DUPLICATE 2', 112186),
(168461, 'PTHR30304:SF7', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 112187),
(168462, 'PTHR31262:SF12', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN', 112188),
(168463, 'PTHR33638:SF1', NULL, NULL, NULL, NULL, 'SELENOPROTEIN H', 112189),
(168464, 'PTHR31374:SF172', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 112190),
(168465, 'PTHR11945:SF655', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 33', 112191),
(168466, 'PTHR10277:SF68', NULL, NULL, NULL, NULL, 'BNAC01G24090D PROTEIN', 112192),
(168467, 'PTHR23130:SF180', NULL, NULL, NULL, NULL, 'BNAA05G30230D PROTEIN', 112193),
(168468, 'PTHR43900:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112194),
(168469, 'PTHR46338:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112195),
(168470, 'PTHR19241:SF611', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112196),
(168471, 'PTHR23155:SF1132', NULL, NULL, NULL, NULL, 'OS08G0543100 PROTEIN', 112197),
(168472, 'PTHR11851:SF149', NULL, NULL, NULL, NULL, 'GH01077P', 112198),
(168473, 'PTHR47989:SF15', NULL, NULL, NULL, NULL, 'OS07G0227300 PROTEIN', 112199),
(168474, 'PTHR14052:SF0', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 2', 112200),
(168475, 'PTHR46128:SF191', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 112201),
(168476, 'PTHR24559:SF304', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112202),
(168477, 'PTHR48021:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112203); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(168478, 'PTHR34952:SF6', NULL, NULL, NULL, NULL, 'BNAA03G17240D PROTEIN', 112204),
(168479, 'PTHR13140:SF663', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IF', 112205),
(168480, 'PTHR47991:SF14', NULL, NULL, NULL, NULL, 'LEUCOANTHOCYANIDIN DIOXYGENASE-LIKE', 112206),
(168481, 'PTHR14907:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112207),
(168482, 'PTHR13808:SF38', NULL, NULL, NULL, NULL, 'BNAA06G11230D PROTEIN', 112208),
(168483, 'PTHR11200:SF278', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE-5-PHOSPHATASE KA', 112209),
(168484, 'PTHR11266:SF75', NULL, NULL, NULL, NULL, 'IP10007P', 112210),
(168485, 'PTHR34454:SF3', NULL, NULL, NULL, NULL, 'BNAA10G28600D PROTEIN', 112211),
(168486, 'PTHR23406:SF17', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME', 112212),
(168487, 'PTHR11486:SF145', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 13', 112213),
(168488, 'PTHR24637', NULL, NULL, NULL, NULL, 'COLLAGEN', 112214),
(168489, 'PTHR12911:SF40', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 2', 112215),
(168490, 'PTHR45951:SF8', NULL, NULL, NULL, NULL, 'CHE-14 PROTEIN', 112216),
(168491, 'PTHR24070:SF396', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN R-RAS2', 112217),
(168492, 'PTHR24068:SF312', NULL, NULL, NULL, NULL, 'BNAA04G05360D PROTEIN', 112218),
(168493, 'PTHR30069:SF45', NULL, NULL, NULL, NULL, 'SYSTEM RECEPTOR, PUTATIVE-RELATED', 112219),
(168494, 'PTHR43505', NULL, NULL, NULL, NULL, 'REVERSE GYRASE', 112220),
(168495, 'PTHR45224:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112221),
(168496, 'PTHR21724:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112222),
(168497, 'PTHR45915:SF1', NULL, NULL, NULL, NULL, 'BROMODOMAIN ADJACENT TO ZINC FINGER DOMAIN PROTEIN 2B', 112223),
(168498, 'PTHR48001:SF80', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 112224),
(168499, 'PTHR11524:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7', 112225),
(168500, 'PTHR15902:SF1', NULL, NULL, NULL, NULL, 'NEURITIN', 112226),
(168501, 'PTHR32285:SF243', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE PROTEIN-LIKE', 112227),
(168502, 'PTHR48012:SF19', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE KINASE 5', 112228),
(168503, 'PTHR33785:SF9', NULL, NULL, NULL, NULL, 'BNAC06G10010D PROTEIN', 112229),
(168504, 'PTHR47975:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112230),
(168505, 'PTHR24306', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 112231),
(168506, 'PTHR24280', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 20A1', 112232),
(168507, 'PTHR21838', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 112233),
(168508, 'PTHR46573:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT, SAM AND U-BOX DOMAIN-CONTAINING PROTEIN 1', 112234),
(168509, 'PTHR23522:SF4', NULL, NULL, NULL, NULL, 'NUCLEOSIDE PERMEASE NUPG-RELATED', 112235),
(168510, 'PTHR12663:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112236),
(168511, 'PTHR28546:SF3', NULL, NULL, NULL, NULL, 'NEURONAL VESICLE TRAFFICKING-ASSOCIATED PROTEIN 1', 112237),
(168512, 'PTHR45666:SF21', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 2', 112238),
(168513, 'PTHR24413:SF225', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN CONTAINING', 112239),
(168514, 'PTHR24229:SF47', NULL, NULL, NULL, NULL, 'NEUROPEPTIDES B/W RECEPTOR TYPE 1', 112240),
(168515, 'PTHR10730:SF50', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT-CONTAINING DOMAIN', 112241),
(168516, 'PTHR42861:SF68', NULL, NULL, NULL, NULL, 'ATPASE 5, PLASMA MEMBRANE-TYPE', 112242),
(168517, 'PTHR45713:SF1', NULL, NULL, NULL, NULL, 'LOC100135371 PROTEIN', 112243),
(168518, 'PTHR31197', NULL, NULL, NULL, NULL, 'OS01G0612600 PROTEIN', 112244),
(168519, 'PTHR31080:SF119', NULL, NULL, NULL, NULL, 'INVERTASE', 112245),
(168520, 'PTHR34230:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112246),
(168521, 'PTHR31269:SF2', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH3', 112247),
(168522, 'PTHR31284:SF48', NULL, NULL, NULL, NULL, 'BNAA08G27690D PROTEIN', 112248),
(168523, 'PTHR24377:SF906', NULL, NULL, NULL, NULL, 'SI:DKEY-79D12.4', 112249); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(168524, 'PTHR12832:SF34', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 11', 112250),
(168525, 'PTHR31989:SF355', NULL, NULL, NULL, NULL, 'BNAA01G31660D PROTEIN', 112251),
(168526, 'PTHR16223:SF216', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 112252),
(168527, 'PTHR31642:SF175', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', 112253),
(168528, 'PTHR11635:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112254),
(168529, 'PTHR10177:SF59', NULL, NULL, NULL, NULL, 'CYCLIN-G1', 112255),
(168530, 'PTHR24298:SF828', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112256),
(168531, 'PTHR12560:SF44', NULL, NULL, NULL, NULL, 'ASC1-LIKE PROTEIN 1', 112257),
(168532, 'PTHR45675:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112258),
(168533, 'PTHR31371', NULL, NULL, NULL, NULL, 'BNAC09G50660D PROTEIN', 112259),
(168534, 'PTHR27007:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112260),
(168535, 'PTHR43900:SF80', NULL, NULL, NULL, NULL, 'BNACNNG19060D PROTEIN', 112261),
(168536, 'PTHR47992:SF76', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60-RELATED', 112262),
(168537, 'PTHR46049', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 112263),
(168538, 'PTHR44328:SF6', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE L1', 112264),
(168539, 'PTHR33052:SF100', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE', 112265),
(168540, 'PTHR31286:SF89', NULL, NULL, NULL, NULL, 'LINE-TYPE RETROTRANSPOSON LIB DNA, INSERTION AT THE S11 SITE-LIKE PROTEIN', 112266),
(168541, 'PTHR22763:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112267),
(168542, 'PTHR45634:SF6', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 6', 112268),
(168543, 'PTHR27006:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112269),
(168544, 'PTHR47972:SF6', NULL, NULL, NULL, NULL, 'KINESIN-4-LIKE ISOFORM X1', 112270),
(168545, 'PTHR38796', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 112271),
(168546, 'PTHR37755', NULL, NULL, NULL, NULL, 'PROTEIN TIC 56, CHLOROPLASTIC', 112272),
(168547, 'PTHR12203:SF97', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 112273),
(168548, 'PTHR16932:SF30', NULL, NULL, NULL, NULL, 'INTERFERON, ALPHA-INDUCIBLE PROTEIN 27', 112274),
(168549, 'PTHR47999:SF32', NULL, NULL, NULL, NULL, 'PROTEIN ODORANT1-LIKE', 112275),
(168550, 'PTHR11932:SF154', NULL, NULL, NULL, NULL, 'BNAA02G24350D PROTEIN', 112276),
(168551, 'PTHR11132:SF441', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', 112277),
(168552, 'PTHR31589:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112278),
(168553, 'PTHR20583', NULL, NULL, NULL, NULL, 'TRIPLE QXXK/R MOTIF-CONTAINING PROTEIN', 112279),
(168554, 'PTHR14344:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 6', 112280),
(168555, 'PTHR48049:SF92', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 79B6-LIKE PROTEIN', 112281),
(168556, 'PTHR28646', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 201', 112282),
(168557, 'PTHR45811:SF14', NULL, NULL, NULL, NULL, 'ION-BINDING PROTEIN, PUTATIVE-RELATED', 112283),
(168558, 'PTHR45644:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112284),
(168559, 'PTHR45863:SF36', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 112285),
(168560, 'PTHR22981:SF51', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRATE DEHYDROGENASE', 112286),
(168561, 'PTHR34794', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 112287),
(168562, 'PTHR43390:SF8', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', 112288),
(168563, 'PTHR22980:SF2', NULL, NULL, NULL, NULL, 'CORTISTATIN', 112289),
(168564, 'PTHR11654:SF547', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112290),
(168565, 'PTHR46128:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112291),
(168566, 'PTHR21654:SF24', NULL, NULL, NULL, NULL, 'GT-2-LIKE 1', 112292),
(168567, 'PTHR13832:SF668', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 39-RELATED', 112293),
(168568, 'PTHR33399:SF7', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 3-2, CHLOROPLASTIC', 112294);
INSERT INTO "PUBLIC"."MODEL" VALUES
(168569, 'PTHR23249:SF18', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 1-LIKE', 112295),
(168570, 'PTHR23257:SF844', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', 112296),
(168571, 'PTHR10352:SF25', NULL, NULL, NULL, NULL, 'FOUND IN NEURONS, ISOFORM A-RELATED', 112297),
(168572, 'PTHR31233:SF12', NULL, NULL, NULL, NULL, 'MGC162200 PROTEIN', 112298),
(168573, 'PTHR11636:SF80', NULL, NULL, NULL, NULL, 'HIGHLY DIVERGENT HOMEOBOX', 112299),
(168574, 'PTHR10634:SF92', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETASE', 112300),
(168575, 'PTHR23187', NULL, NULL, NULL, NULL, 'FLJ44216 PROTEIN-RELATED', 112301),
(168576, 'PTHR12002:SF180', NULL, NULL, NULL, NULL, 'CLAUDIN-RELATED', 112302),
(168577, 'PTHR23113:SF150', NULL, NULL, NULL, NULL, 'SON OF SEVENLESS HOMOLOG 2', 112303),
(168578, 'PTHR24221:SF541', NULL, NULL, NULL, NULL, 'BNAA09G27580D PROTEIN', 112304),
(168579, 'PTHR11831:SF34', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9-2-LIKE', 112305),
(168580, 'PTHR24271:SF58', NULL, NULL, NULL, NULL, 'DUODENASE-1', 112306),
(168581, 'PTHR10797:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112307),
(168582, 'PTHR31072:SF123', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PCF1-LIKE', 112308),
(168583, 'PTHR38044', NULL, NULL, NULL, NULL, 'BOUQUET FORMATION PROTEIN 4', 112309),
(168584, 'PTHR22603:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112310),
(168585, 'PTHR13271', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PUTATIVE METHYLTRANSFERASE', 112311),
(168586, 'PTHR33021:SF335', NULL, NULL, NULL, NULL, 'BNAC04G54350D PROTEIN', 112312),
(168587, 'PTHR33872:SF6', NULL, NULL, NULL, NULL, 'ST225', 112313),
(168588, 'PTHR33170:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112314),
(168589, 'PTHR45778:SF25', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 112315),
(168590, 'PTHR33675:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR FAMILY 2 GROUP C PROTEIN', 112316),
(168591, 'PTHR43977', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 3', 112317),
(168592, 'PTHR11540:SF57', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', 112318),
(168593, 'PTHR23266:SF315', NULL, NULL, NULL, NULL, 'SI:CH211-180A12.2', 112319),
(168594, 'PTHR46553:SF21', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE SUPERFAMILY PROTEIN', 112320),
(168595, 'PTHR31236:SF48', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN-RELATED', 112321),
(168596, 'PTHR24068:SF370', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1D', 112322),
(168597, 'PTHR45687:SF63', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-2 ISOFORM X2', 112323),
(168598, 'PTHR33214:SF24', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 112324),
(168599, 'PTHR48100:SF37', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', 112325),
(168600, 'PTHR33065:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112326),
(168601, 'PTHR18934:SF239', NULL, NULL, NULL, NULL, 'EDITING ASSOCIATED HELICASE 2,PUTATIVEWITH=GENEDB:TB927.4.1500-RELATED', 112327),
(168602, 'PTHR18849:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112328),
(168603, 'PTHR32227:SF128', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 9', 112329),
(168604, 'PTHR13600:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112330),
(168605, 'PTHR22939', NULL, NULL, NULL, NULL, 'SERINE PROTEASE FAMILY S1C HTRA-RELATED', 112331),
(168606, 'PTHR46082:SF6', NULL, NULL, NULL, NULL, 'ATP/GTP-BINDING PROTEIN-RELATED', 112332),
(168607, 'PTHR46036', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE', 112333),
(168608, 'PTHR13119:SF12', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF SABLE', 112334),
(168609, 'PTHR46641:SF1', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', 112335),
(168610, 'PTHR47984:SF9', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 112336),
(168611, 'PTHR11141:SF24', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', 112337),
(168612, 'PTHR24369:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 4C', 112338);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(168613, 'PTHR10277:SF65', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE A-LIKE ISOFORM X1', 112339),
(168614, 'PTHR12941:SF13', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 8', 112340),
(168615, 'PTHR42044', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 112341),
(168616, 'PTHR46159:SF13', NULL, NULL, NULL, NULL, 'CRC DOMAIN-CONTAINING PROTEIN TSO1', 112342),
(168617, 'PTHR24281:SF202', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP81A4', 112343),
(168618, 'PTHR22835:SF505', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 112344),
(168619, 'PTHR24232:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112345),
(168620, 'PTHR14511', NULL, NULL, NULL, NULL, 'G PROTEIN COUPLED RECEPTOR, CLASS C, GROUP 5', 112346),
(168621, 'PTHR47972:SF11', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF3A', 112347),
(168622, 'PTHR31692:SF49', NULL, NULL, NULL, NULL, 'EXPANSIN-B15-LIKE', 112348),
(168623, 'PTHR13301:SF208', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', 112349),
(168624, 'PTHR45504', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 112350),
(168625, 'PTHR43157:SF26', NULL, NULL, NULL, NULL, 'SI:CH211-107O10.3', 112351),
(168626, 'PTHR45763:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112352),
(168627, 'PTHR16451', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DYNAMICS PROTEINS 49/51 FAMILY MEMBER', 112353),
(168628, 'PTHR33181:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112354),
(168629, 'PTHR10625:SF203', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 2', 112355),
(168630, 'PTHR10811:SF101', NULL, NULL, NULL, NULL, 'BNAA10G29950D PROTEIN', 112356),
(168631, 'PTHR42973:SF4', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN PROTEIN', 112357),
(168632, 'PTHR12280:SF35', NULL, NULL, NULL, NULL, 'OS06G0325500 PROTEIN', 112358),
(168633, 'PTHR43550:SF8', NULL, NULL, NULL, NULL, '3-DEHYDROSPHINGANINE REDUCTASE TSC10A', 112359),
(168634, 'PTHR24039:SF47', NULL, NULL, NULL, NULL, 'FIBULIN-1', 112360),
(168635, 'PTHR10593:SF122', NULL, NULL, NULL, NULL, 'OS02G0518500 PROTEIN', 112361),
(168636, 'PTHR43584:SF2', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-DIPHOSPHATE-SUGAR PYROPHOSPHORYLASES-RELATED', 112362),
(168637, 'PTHR31681:SF88', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 112363),
(168638, 'PTHR47928:SF152', NULL, NULL, NULL, NULL, 'OS02G0468800 PROTEIN', 112364),
(168639, 'PTHR16308', NULL, NULL, NULL, NULL, 'UBIQUITIN ASSOCIATED PROTEIN 2-LIKE/LINGERER', 112365),
(168640, 'PTHR13115:SF8', NULL, NULL, NULL, NULL, 'RNA POLYMERASE-ASSOCIATED PROTEIN RTF1 HOMOLOG', 112366),
(168641, 'PTHR12378:SF64', NULL, NULL, NULL, NULL, 'OS04G0548000 PROTEIN', 112367),
(168642, 'PTHR46995:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112368),
(168643, 'PTHR12170:SF11', NULL, NULL, NULL, NULL, 'PROTEIN RMD5 HOMOLOG', 112369),
(168644, 'PTHR31506:SF29', NULL, NULL, NULL, NULL, 'BES1/BZR1-LIKE PROTEIN-RELATED', 112370),
(168645, 'PTHR31205:SF39', NULL, NULL, NULL, NULL, 'OS08G0164400 PROTEIN', 112371),
(168646, 'PTHR11802:SF196', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 10-RELATED', 112372),
(168647, 'PTHR33384:SF30', NULL, NULL, NULL, NULL, 'BNAC02G06400D PROTEIN', 112373),
(168648, 'PTHR47520:SF8', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', 112374),
(168649, 'PTHR10826:SF33', NULL, NULL, NULL, NULL, 'BNAC03G71600D PROTEIN', 112375),
(168650, 'PTHR31087:SF111', NULL, NULL, NULL, NULL, 'BNAA06G00660D PROTEIN', 112376),
(168651, 'PTHR27006:SF158', NULL, NULL, NULL, NULL, 'BNAA02G23670D PROTEIN', 112377),
(168652, 'PTHR24367', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN', 112378),
(168653, 'PTHR48100:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE', 112379),
(168654, 'PTHR13333:SF6', NULL, NULL, NULL, NULL, 'MATRIX AAA PEPTIDASE-INTERACTING PROTEIN 1', 112380),
(168655, 'PTHR33101:SF41', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 7-LIKE', 112381),
(168656, 'PTHR31213:SF66', NULL, NULL, NULL, NULL, 'MAJOR ALLERGEN PRU AR 1-LIKE', 112382),
(168657, 'PTHR31765:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04161', 112383);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(168658, 'PTHR45616:SF16', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 71', 112384),
(168659, 'PTHR13848:SF53', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 112385),
(168660, 'PTHR11071:SF504', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 112386),
(168661, 'PTHR25465:SF8', NULL, NULL, NULL, NULL, 'FINTRIM FAMILY, MEMBER 86', 112387),
(168662, 'PTHR12726:SF2', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE DOMAIN PROTEIN', 112388),
(168663, 'PTHR42788:SF19', NULL, NULL, NULL, NULL, 'ALIPHATIC SULFONATES IMPORT ATP-BINDING PROTEIN SSUB 2', 112389),
(168664, 'PTHR10411:SF9', NULL, NULL, NULL, NULL, 'GROWTH ARREST AND DNA-DAMAGE-INDUCIBLE, GAMMA B, TANDEM DUPLICATE 1', 112390),
(168665, 'PTHR46594', NULL, NULL, NULL, NULL, 'P-TYPE CATION-TRANSPORTING ATPASE', 112391),
(168666, 'PTHR22921', NULL, NULL, NULL, NULL, 'PROTEIN CBG20088-RELATED', 112392),
(168667, 'PTHR45614:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB44-LIKE', 112393),
(168668, 'PTHR34453', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE (DEFL) FAMILY PROTEIN-RELATED', 112394),
(168669, 'PTHR40074', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 112395),
(168670, 'PTHR43528', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE PERMEASE', 112396),
(168671, 'PTHR42982:SF6', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATA', 112397),
(168672, 'PTHR31462:SF5', NULL, NULL, NULL, NULL, 'ENDOSOMAL/LYSOSOMAL POTASSIUM CHANNEL TMEM175', 112398),
(168673, 'PTHR31413:SF19', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN AFP1', 112399),
(168674, 'PTHR11017:SF235', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 112400),
(168675, 'PTHR43341:SF39', NULL, NULL, NULL, NULL, 'SPS-SENSOR COMPONENT SSY1', 112401),
(168676, 'PTHR11339:SF244', NULL, NULL, NULL, NULL, 'IGGFC-BINDING PROTEIN', 112402),
(168677, 'PTHR12984:SF18', NULL, NULL, NULL, NULL, 'SCY1-LIKE PROTEIN 2', 112403),
(168678, 'PTHR23239', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT', 112404),
(168679, 'PTHR45288', NULL, NULL, NULL, NULL, 'THIOREDOXIN FAMILY PROTEIN', 112405),
(168680, 'PTHR33142:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112406),
(168681, 'PTHR33994:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112407),
(168682, 'PTHR33531:SF8', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN', 112408),
(168683, 'PTHR10774:SF195', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-5', 112409),
(168684, 'PTHR33304:SF31', NULL, NULL, NULL, NULL, 'GB|AAF19536.1', 112410),
(168685, 'PTHR45089:SF21', NULL, NULL, NULL, NULL, 'TRICHOHYALIN-LIKE PROTEIN (DUF3444)', 112411),
(168686, 'PTHR31080:SF159', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 7', 112412),
(168687, 'PTHR47170:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', 112413),
(168688, 'PTHR31471:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112414),
(168689, 'PTHR11618:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IIIB 90 KDA SUBUNIT', 112415),
(168690, 'PTHR24320:SF215', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 112416),
(168691, 'PTHR31215:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112417),
(168692, 'PTHR32467:SF99', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR AIL5', 112418),
(168693, 'PTHR46579:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112419),
(168694, 'PTHR34055:SF7', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING GACO-LIKE PROTEIN', 112420),
(168695, 'PTHR46193:SF14', NULL, NULL, NULL, NULL, 'SLL1138 PROTEIN', 112421),
(168696, 'PTHR31422:SF38', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 7', 112422),
(168697, 'PTHR12451', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CASTOR  PROTEIN MING -RELATED', 112423),
(168698, 'PTHR21016:SF4', NULL, NULL, NULL, NULL, 'TM2 DOMAIN-CONTAINING PROTEIN 2', 112424),
(168699, 'PTHR24057:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG07560', 112425),
(168700, 'PTHR32116:SF84', NULL, NULL, NULL, NULL, 'BNAA02G28840D PROTEIN', 112426),
(168701, 'PTHR45633:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112427);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(168702, 'PTHR14963:SF1', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN CONUNDRUM', 112428),
(168703, 'PTHR46662', NULL, NULL, NULL, NULL, 'DI-GLUCOSE BINDING PROTEIN WITH LEUCINE-RICH REPEAT DOMAIN-CONTAINING PROTEIN', 112429),
(168704, 'PTHR31084', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 2', 112430),
(168705, 'PTHR33210:SF22', NULL, NULL, NULL, NULL, 'BNAC04G52630D PROTEIN', 112431),
(168706, 'PTHR47958:SF81', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 15-RELATED', 112432),
(168707, 'PTHR22298:SF158', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 112433),
(168708, 'PTHR46395', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN 1', 112434),
(168709, 'PTHR10502:SF124', NULL, NULL, NULL, NULL, 'OS05G0382600 PROTEIN', 112435),
(168710, 'PTHR21716:SF16', NULL, NULL, NULL, NULL, 'BLL1467 PROTEIN', 112436),
(168711, 'PTHR34676:SF4', NULL, NULL, NULL, NULL, 'OS06G0684500 PROTEIN', 112437),
(168712, 'PTHR10272', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE', 112438),
(168713, 'PTHR24206:SF88', NULL, NULL, NULL, NULL, 'LIM DOMAIN PROTEIN PLIM1B', 112439),
(168714, 'PTHR47429', NULL, NULL, NULL, NULL, 'PROTEIN TWIN LOV 1', 112440),
(168715, 'PTHR23504:SF2', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04150)-RELATED', 112441),
(168716, 'PTHR11863:SF171', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 1-2', 112442),
(168717, 'PTHR24229:SF77', NULL, NULL, NULL, NULL, 'SI:ZFOS-169G10.2', 112443),
(168718, 'PTHR26450:SF19', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 112444),
(168719, 'PTHR11893:SF30', NULL, NULL, NULL, NULL, 'INNEXIN UNC-9', 112445),
(168720, 'PTHR24323', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 112446),
(168721, 'PTHR10293:SF67', NULL, NULL, NULL, NULL, 'BNAC01G35910D PROTEIN', 112447),
(168722, 'PTHR43884:SF4', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE-RELATED', 112448),
(168723, 'PTHR46192:SF14', NULL, NULL, NULL, NULL, 'BNAA05G31980D PROTEIN', 112449),
(168724, 'PTHR12636:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112450),
(168725, 'PTHR10306:SF16', NULL, NULL, NULL, NULL, 'SYNAPTOPORIN', 112451),
(168726, 'PTHR31639:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112452),
(168727, 'PTHR46412:SF13', NULL, NULL, NULL, NULL, 'BHLH PROTEIN FAMILY-LIKE', 112453),
(168728, 'PTHR31669:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112454),
(168729, 'PTHR31111:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112455),
(168730, 'PTHR47686', NULL, NULL, NULL, NULL, 'SGS DOMAIN-CONTAINING PROTEIN', 112456),
(168731, 'PTHR12542:SF148', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 112457),
(168732, 'PTHR35176:SF6', NULL, NULL, NULL, NULL, 'HEME OXYGENASE HI_0854-RELATED', 112458),
(168733, 'PTHR45828:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112459),
(168734, 'PTHR45621:SF43', NULL, NULL, NULL, NULL, 'OSJNBB0103I08.17 PROTEIN', 112460),
(168735, 'PTHR36023:SF10', NULL, NULL, NULL, NULL, 'PROTEIN AUXIN-REGULATED GENE INVOLVED IN ORGAN SIZE', 112461),
(168736, 'PTHR44328:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 112462),
(168737, 'PTHR33184:SF67', NULL, NULL, NULL, NULL, 'PROTEIN TAPETUM DETERMINANT 1', 112463),
(168738, 'PTHR13451:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112464),
(168739, 'PTHR22674', NULL, NULL, NULL, NULL, 'NTPASE, KAP FAMILY P-LOOP DOMAIN-CONTAINING 1', 112465),
(168740, 'PTHR11715:SF5', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', 112466),
(168741, 'PTHR43096:SF39', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ A6, CHLOROPLASTIC', 112467),
(168742, 'PTHR36299:SF2', NULL, NULL, NULL, NULL, 'AGAP008005-PA', 112468),
(168743, 'PTHR23303:SF15', NULL, NULL, NULL, NULL, 'COLOSSIN-A', 112469),
(168744, 'PTHR42038:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G14600)', 112470),
(168745, 'PTHR37457', NULL, NULL, NULL, NULL, 'TRNA SELENOCYSTEINE 1-ASSOCIATED PROTEIN 1-RELATED', 112471),
(168746, 'PTHR13966:SF9', NULL, NULL, NULL, NULL, 'NUCLEASE EXOG, MITOCHONDRIAL', 112472);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(168747, 'PTHR15629:SF36', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD-TYPE ZINC FINGER FAMILY PROTEIN ISOFORM 2', 112473),
(168748, 'PTHR31992:SF141', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.4-RELATED', 112474),
(168749, 'PTHR24343:SF74', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE/THREONINE-PROTEIN KINASE 3', 112475),
(168750, 'PTHR38370:SF1', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSIDASE', 112476),
(168751, 'PTHR42915', NULL, NULL, NULL, NULL, 'HYPOTHETICAL 460 KDA PROTEIN IN FEUA-SIGW INTERGENIC REGION [PRECURSOR]', 112477),
(168752, 'PTHR24099:SF21', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 67', 112478),
(168753, 'PTHR12490', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 112479),
(168754, 'PTHR31080:SF174', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN-RELATED', 112480),
(168755, 'PTHR44328:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112481),
(168756, 'PTHR23430:SF299', NULL, NULL, NULL, NULL, 'HISTONE H2A', 112482),
(168757, 'PTHR19367:SF8', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 3', 112483),
(168758, 'PTHR30575', NULL, NULL, NULL, NULL, 'PEPTIDASE M20', 112484),
(168759, 'PTHR10663:SF350', NULL, NULL, NULL, NULL, 'ARF GUANINE-NUCLEOTIDE EXCHANGE FACTOR GNOM-LIKE', 112485),
(168760, 'PTHR33374:SF20', NULL, NULL, NULL, NULL, 'OS02G0264800 PROTEIN', 112486),
(168761, 'PTHR32009:SF74', NULL, NULL, NULL, NULL, 'RPP1-LIKE DISEASE RESISTANCE PROTEIN-RELATED', 112487),
(168762, 'PTHR22847:SF684', NULL, NULL, NULL, NULL, 'COMPASS-LIKE H3K4 HISTONE METHYLASE COMPONENT WDR5B', 112488),
(168763, 'PTHR35614', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 112489),
(168764, 'PTHR10462:SF10', NULL, NULL, NULL, NULL, 'HISTO-BLOOD GROUP ABO SYSTEM TRANSFERASE 1', 112490),
(168765, 'PTHR22767:SF7', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 16, NATA AUXILIARY SUBUNIT-LIKE', 112491),
(168766, 'PTHR31775:SF31', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL REGION REMORIN', 112492),
(168767, 'PTHR45908:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG10132', 112493),
(168768, 'PTHR31221:SF137', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 12-RELATED', 112494),
(168769, 'PTHR10218:SF301', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-9 SUBUNIT', 112495),
(168770, 'PTHR24331:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DBX2', 112496),
(168771, 'PTHR46795:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE-RELATED', 112497),
(168772, 'PTHR33086:SF46', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 112498),
(168773, 'PTHR47884:SF1', NULL, NULL, NULL, NULL, 'PROSTATE AND TESTIS EXPRESSED PROTEIN 2', 112499),
(168774, 'PTHR27008:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112500),
(168775, 'PTHR46613:SF1', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD 10 HOMOLOG B-RELATED', 112501),
(168776, 'PTHR46713', NULL, NULL, NULL, NULL, 'F13M7.16 PROTEIN', 112502),
(168777, 'PTHR45988:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN AZF2', 112503),
(168778, 'PTHR31009:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112504),
(168779, 'PTHR11266:SF107', NULL, NULL, NULL, NULL, 'BNAC03G44040D PROTEIN', 112505),
(168780, 'PTHR11685:SF222', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 112506),
(168781, 'PTHR47448:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE DSOR1-LIKE PROTEIN', 112507),
(168782, 'PTHR24296:SF139', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 86A4', 112508),
(168783, 'PTHR48058:SF10', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', 112509),
(168784, 'PTHR32251:SF30', NULL, NULL, NULL, NULL, 'BNAA02G16510D PROTEIN', 112510),
(168785, 'PTHR47072:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112511),
(168786, 'PTHR27009:SF218', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 112512),
(168787, 'PTHR24409:SF381', NULL, NULL, NULL, NULL, 'SI:CH211-276C2.4-RELATED', 112513),
(168788, 'PTHR48207', NULL, NULL, NULL, NULL, 'SUCCINATE--HYDROXYMETHYLGLUTARATE COA-TRANSFERASE', 112514);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(168789, 'PTHR11353:SF19', NULL, NULL, NULL, NULL, 'CHAPERONIN-CONTAINING TCP1, SUBUNIT 8 (THETA)', 112515),
(168790, 'PTHR43280:SF19', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE CATABOLISM PROTEIN', 112516),
(168791, 'PTHR10706:SF147', NULL, NULL, NULL, NULL, 'OS05G0139300 PROTEIN', 112517),
(168792, 'PTHR47640:SF36', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', 112518),
(168793, 'PTHR33207:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112519),
(168794, 'PTHR11036:SF27', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3F', 112520),
(168795, 'PTHR31050:SF6', NULL, NULL, NULL, NULL, 'BNAC08G40310D PROTEIN', 112521),
(168796, 'PTHR17149', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN 1 AND 2', 112522),
(168797, 'PTHR45666:SF38', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE PHOSPHATASE (SYNAPTOGENIN-LIKE) FAMILY PROTEIN-RELATED', 112523),
(168798, 'PTHR31790:SF325', NULL, NULL, NULL, NULL, 'BNAA03G57440D PROTEIN', 112524),
(168799, 'PTHR23050:SF423', NULL, NULL, NULL, NULL, 'CALMODULIN', 112525),
(168800, 'PTHR47090:SF4', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 112526),
(168801, 'PTHR13871', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 112527),
(168802, 'PTHR24286:SF278', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 BJ-1', 112528),
(168803, 'PTHR13778:SF48', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 7-RELATED', 112529),
(168804, 'PTHR45968:SF20', NULL, NULL, NULL, NULL, 'PROTEIN HOTHEAD-LIKE ISOFORM X1', 112530),
(168805, 'PTHR11266:SF109', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE 22 KDA (MPV17/PMP22) FAMILY PROTEIN', 112531),
(168806, 'PTHR32054:SF71', NULL, NULL, NULL, NULL, 'WEB FAMILY-RELATED', 112532),
(168807, 'PTHR31102:SF14', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 9B2', 112533),
(168808, 'PTHR32141', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 112534),
(168809, 'PTHR31517:SF51', NULL, NULL, NULL, NULL, 'PEROXIDASE 55', 112535),
(168810, 'PTHR13140:SF753', NULL, NULL, NULL, NULL, 'MYOSIN-5', 112536),
(168811, 'PTHR11732:SF481', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE', 112537),
(168812, 'PTHR44259:SF59', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', 112538),
(168813, 'PTHR26452:SF90', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5P2', 112539),
(168814, 'PTHR23098:SF7', NULL, NULL, NULL, NULL, 'NUCLEAR APOPTOSIS-INDUCING FACTOR 1', 112540),
(168815, 'PTHR22953:SF135', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 112541),
(168816, 'PTHR23113:SF162', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR R', 112542),
(168817, 'PTHR47322:SF15', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT OUTER MEMBRANE RECEPTOR-RELATED', 112543),
(168818, 'PTHR11236:SF32', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE ALPHA SUBUNIT 2, CHLOROPLASTIC', 112544),
(168819, 'PTHR31175:SF61', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 112545),
(168820, 'PTHR36694:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG15784', 112546),
(168821, 'PTHR10383:SF22', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR 2', 112547),
(168822, 'PTHR10891:SF869', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112548),
(168823, 'PTHR32468:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112549),
(168824, 'PTHR22844:SF366', NULL, NULL, NULL, NULL, 'BNAC03G66170D PROTEIN', 112550),
(168825, 'PTHR23502:SF134', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02060)-RELATED', 112551),
(168826, 'PTHR18359:SF0', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 18 HOMOLOG', 112552),
(168827, 'PTHR37177:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PSY2', 112553),
(168828, 'PTHR45089:SF32', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 14-LIKE', 112554),
(168829, 'PTHR23022:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112555),
(168830, 'PTHR30473:SF2', NULL, NULL, NULL, NULL, 'PHOH-LIKE PROTEIN PHOH2 (PHOSPHATE STARVATION-INDUCIBLE PROTEIN PSIH)-RELATED', 112556),
(168831, 'PTHR28065', NULL, NULL, NULL, NULL, 'FREQUENIN', 112557),
(168832, 'PTHR12203:SF89', NULL, NULL, NULL, NULL, 'CAPSULAR ASSOCIATED PROTEIN', 112558);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(168833, 'PTHR33480:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112559),
(168834, 'PTHR43294:SF8', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA', 112560),
(168835, 'PTHR15222', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 1', 112561),
(168836, 'PTHR42685:SF4', NULL, NULL, NULL, NULL, 'CONDITIONED MEDIUM FACTOR RECEPTOR 1', 112562),
(168837, 'PTHR30458', NULL, NULL, NULL, NULL, 'PHENYLACETIC ACID DEGRADATION PROTEIN PAA', 112563),
(168838, 'PTHR23024:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112564),
(168839, 'PTHR45837:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112565),
(168840, 'PTHR45228:SF7', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR', 112566),
(168841, 'PTHR23501:SF181', NULL, NULL, NULL, NULL, 'AZOLE RESISTANCE PROTEIN 1-RELATED', 112567),
(168842, 'PTHR12093:SF11', NULL, NULL, NULL, NULL, 'NCK-ASSOCIATED PROTEIN 1', 112568),
(168843, 'PTHR31072:SF148', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, TCP-RELATED', 112569),
(168844, 'PTHR24034:SF102', NULL, NULL, NULL, NULL, 'EGF-CONTAINING FIBULIN-LIKE EXTRACELLULAR MATRIX PROTEIN 1', 112570),
(168845, 'PTHR45619:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-3 CATALYTIC SUBUNIT', 112571),
(168846, 'PTHR33453:SF21', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 112572),
(168847, 'PTHR35392', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED-RELATED', 112573),
(168848, 'PTHR43735:SF20', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 2', 112574),
(168849, 'PTHR33710:SF41', NULL, NULL, NULL, NULL, 'BNAC03G48920D PROTEIN', 112575),
(168850, 'PTHR11010:SF95', NULL, NULL, NULL, NULL, 'THYMUS-SPECIFIC SERINE PROTEASE', 112576),
(168851, 'PTHR31851:SF44', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER-LIKE PROTEIN 3', 112577),
(168852, 'PTHR24320:SF241', NULL, NULL, NULL, NULL, 'BNAANNG39870D PROTEIN', 112578),
(168853, 'PTHR47906:SF3', NULL, NULL, NULL, NULL, 'OSJNBB0050O03.9 PROTEIN', 112579),
(168854, 'PTHR43706:SF23', NULL, NULL, NULL, NULL, 'OS05G0331200 PROTEIN', 112580),
(168855, 'PTHR37243:SF2', NULL, NULL, NULL, NULL, 'NEGATIVE REGULATOR OF SYSTEMIC ACQUIRED RESISTANCE SNI1', 112581),
(168856, 'PTHR23413:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32-1', 112582),
(168857, 'PTHR10434:SF10', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE ACL-1-RELATED', 112583),
(168858, 'PTHR47997:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB46', 112584),
(168859, 'PTHR17609:SF2', NULL, NULL, NULL, NULL, 'HMG DOMAIN-CONTAINING PROTEIN 3', 112585),
(168860, 'PTHR43399:SF4', NULL, NULL, NULL, NULL, 'CELL WALL-ASSOCIATED PROTEASE', 112586),
(168861, 'PTHR47990:SF80', NULL, NULL, NULL, NULL, 'OS01G0832600 PROTEIN', 112587),
(168862, 'PTHR43491', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-D-MANNOSAMINE DEHYDROGENASE', 112588),
(168863, 'PTHR45714', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 112589),
(168864, 'PTHR23177:SF56', NULL, NULL, NULL, NULL, 'OS07G0408500 PROTEIN', 112590),
(168865, 'PTHR31080:SF153', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', 112591),
(168866, 'PTHR24006:SF737', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', 112592),
(168867, 'PTHR31314:SF123', NULL, NULL, NULL, NULL, 'PROTEIN PHR1-LIKE 1-LIKE', 112593),
(168868, 'PTHR27005:SF188', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 112594),
(168869, 'PTHR10983:SF14', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE ACL-12-RELATED', 112595),
(168870, 'PTHR11829:SF215', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN B2', 112596),
(168871, 'PTHR32448:SF32', NULL, NULL, NULL, NULL, 'OS06G0549600 PROTEIN', 112597),
(168872, 'PTHR42825:SF20', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 112598),
(168873, 'PTHR37473:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112599),
(168874, 'PTHR11003:SF302', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 112600),
(168875, 'PTHR43650:SF19', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', 112601);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(168876, 'PTHR31080:SF135', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 1-LIKE', 112602),
(168877, 'PTHR31807:SF35', NULL, NULL, NULL, NULL, 'DUF566 DOMAIN CONTAINING FAMILY PROTEIN-RELATED', 112603),
(168878, 'PTHR31989:SF133', NULL, NULL, NULL, NULL, 'OS08G0327800 PROTEIN', 112604),
(168879, 'PTHR28086:SF1', NULL, NULL, NULL, NULL, 'UPF0662 PROTEIN YPL260W', 112605),
(168880, 'PTHR43180:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112606),
(168881, 'PTHR21662:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG01943', 112607),
(168882, 'PTHR31992:SF119', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.1', 112608),
(168883, 'PTHR13680:SF39', NULL, NULL, NULL, NULL, 'CDGSH IRON-SULFUR DOMAIN-CONTAINING PROTEIN 1', 112609),
(168884, 'PTHR15856:SF51', NULL, NULL, NULL, NULL, 'MBD-R2', 112610),
(168885, 'PTHR35714:SF1', NULL, NULL, NULL, NULL, 'OS02G0715300 PROTEIN', 112611),
(168886, 'PTHR10920:SF12', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE(32)/GUANOSINE(34)-2''-O)-METHYLTRANSFERASE-RELATED', 112612),
(168887, 'PTHR45710:SF14', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 2 MEMBER D', 112613),
(168888, 'PTHR34950:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112614),
(168889, 'PTHR31238:SF133', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 112615),
(168890, 'PTHR24320:SF200', NULL, NULL, NULL, NULL, 'OS02G0116500 PROTEIN', 112616),
(168891, 'PTHR12542:SF121', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 112617),
(168892, 'PTHR31625:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112618),
(168893, 'PTHR33433:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112619),
(168894, 'PTHR46338:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 8', 112620),
(168895, 'PTHR12549:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112621),
(168896, 'PTHR32018:SF1', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', 112622),
(168897, 'PTHR27004:SF376', NULL, NULL, NULL, NULL, 'BNAA05G10630D PROTEIN', 112623),
(168898, 'PTHR43570:SF9', NULL, NULL, NULL, NULL, 'FATTY ALDEHYDE DEHYDROGENASE', 112624),
(168899, 'PTHR11449:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30', 112625),
(168900, 'PTHR34721:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG21570', 112626),
(168901, 'PTHR11878:SF68', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR V1', 112627),
(168902, 'PTHR48100:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112628),
(168903, 'PTHR22754:SF33', NULL, NULL, NULL, NULL, 'DISCO-INTERACTING PROTEIN 2 HOMOLOG C', 112629),
(168904, 'PTHR47687', NULL, NULL, NULL, NULL, 'G8 DOMAIN-CONTAINING PROTEIN DDB_G0288475-RELATED', 112630),
(168905, 'PTHR31579:SF44', NULL, NULL, NULL, NULL, 'F21O3.6 PROTEIN', 112631),
(168906, 'PTHR21538:SF23', NULL, NULL, NULL, NULL, 'ANILLIN', 112632),
(168907, 'PTHR22589:SF50', NULL, NULL, NULL, NULL, 'CARNITINE O-ACETYLTRANSFERASE', 112633),
(168908, 'PTHR12149:SF8', NULL, NULL, NULL, NULL, 'FRUCTOSAMINE 3 KINASE-RELATED PROTEIN', 112634),
(168909, 'PTHR12544', NULL, NULL, NULL, NULL, 'GLUTAMINASE', 112635),
(168910, 'PTHR47908', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 112636),
(168911, 'PTHR45633:SF31', NULL, NULL, NULL, NULL, 'RUBISCO LARGE SUBUNIT-BINDING PROTEIN SUBUNIT ALPHA-LIKE', 112637),
(168912, 'PTHR10593:SF150', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE, ZINC FINGER, DOUBLE-STRANDED RNA BINDING PROTEIN-RELATED', 112638),
(168913, 'PTHR12604:SF4', NULL, NULL, NULL, NULL, 'X-RAY REPAIR CROSS-COMPLEMENTING PROTEIN 5', 112639),
(168914, 'PTHR31263', NULL, NULL, NULL, NULL, 'CELLULASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G14560)', 112640),
(168915, 'PTHR23359:SF57', NULL, NULL, NULL, NULL, 'GENE, 17949-RELATED', 112641),
(168916, 'PTHR11727:SF18', NULL, NULL, NULL, NULL, 'RRNA ADENINE N(6)-METHYLTRANSFERASE', 112642),
(168917, 'PTHR10068:SF8', NULL, NULL, NULL, NULL, 'PROTEOGLYCAN 3', 112643),
(168918, 'PTHR13690:SF80', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER (BZIP) TRANSCRIPTION FACTOR FAMILY PROTEIN', 112644),
(168919, 'PTHR44137:SF34', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', 112645);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(168920, 'PTHR12411:SF609', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112646),
(168921, 'PTHR47956:SF91', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B34-LIKE', 112647),
(168922, 'PTHR10683:SF38', NULL, NULL, NULL, NULL, 'ALDOLASE SUPERFAMILY PROTEIN', 112648),
(168923, 'PTHR31260:SF61', NULL, NULL, NULL, NULL, 'MULTICYSTATIN-LIKE ISOFORM X1', 112649),
(168924, 'PTHR39374:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG12861', 112650),
(168925, 'PTHR10696:SF21', NULL, NULL, NULL, NULL, 'L-ASPARAGINE OXYGENASE', 112651),
(168926, 'PTHR24115:SF445', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF7', 112652),
(168927, 'PTHR31811:SF0', NULL, NULL, NULL, NULL, 'TRNA A64-2''-O-RIBOSYLPHOSPHATE TRANSFERASE', 112653),
(168928, 'PTHR26453:SF622', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 112654),
(168929, 'PTHR23095:SF22', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN MA3', 112655),
(168930, 'PTHR24186:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112656),
(168931, 'PTHR37294', NULL, NULL, NULL, NULL, '3''-5'' EXORIBONUCLEASE YHAM', 112657),
(168932, 'PTHR11005:SF123', NULL, NULL, NULL, NULL, 'LIPASE', 112658),
(168933, 'PTHR14416', NULL, NULL, NULL, NULL, 'PROTEIN NJMU-R1', 112659),
(168934, 'PTHR23189:SF47', NULL, NULL, NULL, NULL, 'SI:CH1073-335M2.2', 112660),
(168935, 'PTHR48063:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112661),
(168936, 'PTHR43157:SF43', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 112662),
(168937, 'PTHR11825:SF28', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 112663),
(168938, 'PTHR48010:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112664),
(168939, 'PTHR42964:SF1', NULL, NULL, NULL, NULL, 'POLYKETIDE BIOSYNTHESIS ENOYL-COA HYDRATASE PKSH-RELATED', 112665),
(168940, 'PTHR11017:SF294', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY-RELATED', 112666),
(168941, 'PTHR46303:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112667),
(168942, 'PTHR31062:SF195', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 112668),
(168943, 'PTHR24173:SF42', NULL, NULL, NULL, NULL, 'FI19351P1', 112669),
(168944, 'PTHR33385:SF20', NULL, NULL, NULL, NULL, 'BNAA09G56950D PROTEIN', 112670),
(168945, 'PTHR11206:SF440', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 19', 112671),
(168946, 'PTHR48018:SF30', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 112672),
(168947, 'PTHR10353:SF234', NULL, NULL, NULL, NULL, 'MYROSINASE 4-RELATED', 112673),
(168948, 'PTHR10127:SF788', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 112674),
(168949, 'PTHR31313:SF81', NULL, NULL, NULL, NULL, 'TY1 ENHANCER ACTIVATOR', 112675),
(168950, 'PTHR11709:SF310', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE', 112676),
(168951, 'PTHR27000:SF282', NULL, NULL, NULL, NULL, 'OS06G0557100 PROTEIN', 112677),
(168952, 'PTHR10811:SF52', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE MANIC FRINGE', 112678),
(168953, 'PTHR31529:SF12', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 20', 112679),
(168954, 'PTHR21576:SF83', NULL, NULL, NULL, NULL, 'OS05G0475700 PROTEIN', 112680),
(168955, 'PTHR31989:SF286', NULL, NULL, NULL, NULL, 'BNAC09G47170D PROTEIN', 112681),
(168956, 'PTHR15715:SF43', NULL, NULL, NULL, NULL, 'SARCOLEMMA-ASSOCIATED PROTEIN B', 112682),
(168957, 'PTHR24058:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112683),
(168958, 'PTHR22916:SF65', NULL, NULL, NULL, NULL, 'SLR1065 PROTEIN', 112684),
(168959, 'PTHR13140:SF800', NULL, NULL, NULL, NULL, 'BNAA02G04890D PROTEIN', 112685),
(168960, 'PTHR43425:SF3', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT OXIDOREDUCTASE', 112686),
(168961, 'PTHR45988:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT4-LIKE', 112687),
(168962, 'PTHR13309:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR FRAGILE X MENTAL RETARDATION-INTERACTING PROTEIN 1', 112688),
(168963, 'PTHR45631:SF117', NULL, NULL, NULL, NULL, 'OS05G0525600 PROTEIN', 112689),
(168964, 'PTHR45627:SF25', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE', 112690),
(168965, 'PTHR45824:SF8', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN, CRAL/TRIO DOMAIN-CONTAINING PROTEIN-RELATED', 112691);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(168966, 'PTHR21007:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112692),
(168967, 'PTHR34209:SF3', NULL, NULL, NULL, NULL, 'RHODANESE/CELL CYCLE CONTROL PHOSPHATASE SUPERFAMILY PROTEIN', 112693),
(168968, 'PTHR16776', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN 1', 112694),
(168969, 'PTHR11377:SF16', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE', 112695),
(168970, 'PTHR45966:SF12', NULL, NULL, NULL, NULL, 'INACTIVE GDSL ESTERASE/LIPASE-LIKE PROTEIN 25', 112696),
(168971, 'PTHR31061:SF28', NULL, NULL, NULL, NULL, 'HEPARAN-ALPHA-GLUCOSAMINIDE N-ACETYLTRANSFERASE-LIKE ISOFORM X1', 112697),
(168972, 'PTHR42886:SF58', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', 112698),
(168973, 'PTHR48041:SF49', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY G (WHITE), MEMBER 2B-RELATED', 112699),
(168974, 'PTHR33144:SF25', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PTTA/EN/SPM, PLANT, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 112700),
(168975, 'PTHR36333:SF1', NULL, NULL, NULL, NULL, 'DIMETHYLALLYL, ADENOSINE TRNA METHYLTHIOTRANSFERASE', 112701),
(168976, 'PTHR43416:SF29', NULL, NULL, NULL, NULL, 'OSJNBA0072K14.5 PROTEIN', 112702),
(168977, 'PTHR45768:SF53', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 112703),
(168978, 'PTHR45641:SF8', NULL, NULL, NULL, NULL, 'TPR DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G01710)', 112704),
(168979, 'PTHR46128:SF154', NULL, NULL, NULL, NULL, 'BNACNNG03210D PROTEIN', 112705),
(168980, 'PTHR24361:SF641', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 112706),
(168981, 'PTHR24028:SF9', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-18', 112707),
(168982, 'PTHR22953:SF35', NULL, NULL, NULL, NULL, 'FE(3+)-ZN(2+) PURPLE ACID PHOSPHATASE 12', 112708),
(168983, 'PTHR11615:SF231', NULL, NULL, NULL, NULL, 'HYDROGENASE-RELATED', 112709),
(168984, 'PTHR44259:SF25', NULL, NULL, NULL, NULL, 'BNAC08G45830D PROTEIN', 112710),
(168985, 'PTHR24062:SF69', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 112711),
(168986, 'PTHR46662:SF2', NULL, NULL, NULL, NULL, 'DI-GLUCOSE BINDING PROTEIN WITH LEUCINE-RICH REPEAT DOMAIN-CONTAINING PROTEIN', 112712),
(168987, 'PTHR47984:SF30', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', 112713),
(168988, 'PTHR33044:SF183', NULL, NULL, NULL, NULL, 'BNAC05G14110D PROTEIN', 112714),
(168989, 'PTHR33415:SF14', NULL, NULL, NULL, NULL, 'OS09G0112400 PROTEIN', 112715),
(168990, 'PTHR10288:SF140', NULL, NULL, NULL, NULL, 'FUBP (FUBP) LIKE', 112716),
(168991, 'PTHR11614:SF92', NULL, NULL, NULL, NULL, 'OS12G0262700 PROTEIN', 112717),
(168992, 'PTHR24031:SF727', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 10', 112718),
(168993, 'PTHR42700', NULL, NULL, NULL, NULL, 'SULFATE ADENYLYLTRANSFERASE', 112719),
(168994, 'PTHR11592:SF17', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 5-RELATED', 112720),
(168995, 'PTHR12663:SF27', NULL, NULL, NULL, NULL, 'BINDING PROTEIN-RELATED', 112721),
(168996, 'PTHR36323', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-LIKE PROTEIN', 112722),
(168997, 'PTHR35827:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 2', 112723),
(168998, 'PTHR31662:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR-RELATED', 112724),
(168999, 'PTHR22722', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 2-RELATED', 112725),
(169000, 'PTHR10947:SF0', NULL, NULL, NULL, NULL, 'PHENYLALANINE--TRNA LIGASE BETA SUBUNIT', 112726),
(169001, 'PTHR45855:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HFR1', 112727),
(169002, 'PTHR23226:SF190', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 18', 112728),
(169003, 'PTHR27006:SF37', NULL, NULL, NULL, NULL, 'PROMASTIGOTE SURFACE ANTIGEN PROTEIN PSA', 112729),
(169004, 'PTHR11850:SF276', NULL, NULL, NULL, NULL, 'KNOX TRANSCRIPTION FACTOR', 112730),
(169005, 'PTHR10104:SF17', NULL, NULL, NULL, NULL, 'STATHMIN-3', 112731),
(169006, 'PTHR42982', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATA', 112732),
(169007, 'PTHR24031:SF667', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 26', 112733);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(169008, 'PTHR31446:SF27', NULL, NULL, NULL, NULL, 'BNAA03G36360D PROTEIN', 112734),
(169009, 'PTHR24326:SF556', NULL, NULL, NULL, NULL, 'HOMEOBOX LEUCINE ZIPPER PROTEIN', 112735),
(169010, 'PTHR24418:SF227', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE FER', 112736),
(169011, 'PTHR46153:SF11', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 112737),
(169012, 'PTHR10334:SF378', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', 112738),
(169013, 'PTHR31507:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG19881', 112739),
(169014, 'PTHR45950:SF12', NULL, NULL, NULL, NULL, 'BNAC03G55030D PROTEIN', 112740),
(169015, 'PTHR45738:SF17', NULL, NULL, NULL, NULL, 'BNAA08G29520D PROTEIN', 112741),
(169016, 'PTHR47074:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112742),
(169017, 'PTHR11615:SF303', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 112743),
(169018, 'PTHR45950:SF22', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX32', 112744),
(169019, 'PTHR33387:SF5', NULL, NULL, NULL, NULL, 'OS06G0198500 PROTEIN', 112745),
(169020, 'PTHR33825:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 112746),
(169021, 'PTHR14269:SF48', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02580)-RELATED', 112747),
(169022, 'PTHR15832:SF3', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 5', 112748),
(169023, 'PTHR24340:SF73', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN BAGPIPE', 112749),
(169024, 'PTHR47465:SF5', NULL, NULL, NULL, NULL, 'REPRODUCTIVE HOMEOBOX 8', 112750),
(169025, 'PTHR14421:SF3', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 1', 112751),
(169026, 'PTHR11746:SF197', NULL, NULL, NULL, NULL, '5-PENTADECATRIENYL RESORCINOL O-METHYLTRANSFERASE', 112752),
(169027, 'PTHR13817:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112753),
(169028, 'PTHR37959:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG15758', 112754),
(169029, 'PTHR26312:SF67', NULL, NULL, NULL, NULL, 'OS02G0684000 PROTEIN', 112755),
(169030, 'PTHR12681:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 21', 112756),
(169031, 'PTHR31065:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112757),
(169032, 'PTHR23155:SF1086', NULL, NULL, NULL, NULL, 'OS11G0263000 PROTEIN', 112758),
(169033, 'PTHR10663:SF371', NULL, NULL, NULL, NULL, 'IQ MOTIF AND SEC7 DOMAIN 3B', 112759),
(169034, 'PTHR22835:SF525', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112760),
(169035, 'PTHR36039', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 112761),
(169036, 'PTHR23341', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEINS HMG-A AND C', 112762),
(169037, 'PTHR45660:SF47', NULL, NULL, NULL, NULL, 'SU(VAR)3-9-LIKE PROTEIN-RELATED', 112763),
(169038, 'PTHR33384:SF29', NULL, NULL, NULL, NULL, 'BNAA01G32890D PROTEIN', 112764),
(169039, 'PTHR34491:SF33', NULL, NULL, NULL, NULL, 'MYOSIN-2', 112765),
(169040, 'PTHR47468:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112766),
(169041, 'PTHR21562:SF53', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 112767),
(169042, 'PTHR24221:SF464', NULL, NULL, NULL, NULL, 'CULLIN-ASSOCIATED NEDD8-DISSOCIATED PROTEIN 1', 112768),
(169043, 'PTHR11062:SF48', NULL, NULL, NULL, NULL, 'EXOSTOSIN-LIKE', 112769),
(169044, 'PTHR46666:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112770),
(169045, 'PTHR11785:SF117', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 112771),
(169046, 'PTHR12843', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE METTL10', 112772),
(169047, 'PTHR28581:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112773),
(169048, 'PTHR12613:SF0', NULL, NULL, NULL, NULL, 'ERO1-LIKE PROTEIN', 112774),
(169049, 'PTHR46012:SF3', NULL, NULL, NULL, NULL, 'GLUCOSIDE XYLOSYLTRANSFERASE 1', 112775),
(169050, 'PTHR43596', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN', 112776),
(169051, 'PTHR11260:SF695', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE ISOFORM X1-RELATED', 112777),
(169052, 'PTHR31945:SF85', NULL, NULL, NULL, NULL, 'OS07G0676600 PROTEIN', 112778),
(169053, 'PTHR43873:SF1', NULL, NULL, NULL, NULL, 'COBYRINATE A,C-DIAMIDE SYNTHASE', 112779); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(169054, 'PTHR47942:SF34', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 112780),
(169055, 'PTHR23110:SF76', NULL, NULL, NULL, NULL, 'RIBBON, ISOFORM C', 112781),
(169056, 'PTHR31105:SF43', NULL, NULL, NULL, NULL, 'OS05G0479900 PROTEIN', 112782),
(169057, 'PTHR13140:SF786', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 112783),
(169058, 'PTHR24173:SF27', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 1', 112784),
(169059, 'PTHR12110:SF41', NULL, NULL, NULL, NULL, 'BLL7636 PROTEIN', 112785),
(169060, 'PTHR18953:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112786),
(169061, 'PTHR12420:SF37', NULL, NULL, NULL, NULL, 'G2/M PHASE-SPECIFIC E3 UBIQUITIN-PROTEIN LIGASE', 112787),
(169062, 'PTHR35546:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112788),
(169063, 'PTHR31995:SF10', NULL, NULL, NULL, NULL, 'BNAA05G35150D PROTEIN', 112789),
(169064, 'PTHR11850:SF305', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 2', 112790),
(169065, 'PTHR23257:SF834', NULL, NULL, NULL, NULL, 'BNAA04G14300D PROTEIN', 112791),
(169066, 'PTHR24300:SF122', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 112792),
(169067, 'PTHR23348:SF37', NULL, NULL, NULL, NULL, 'PROTEIN AHNAK2', 112793),
(169068, 'PTHR44272', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN (PROKARYOTIC HEAT SHOCK PROTEIN)', 112794),
(169069, 'PTHR31218:SF46', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 112795),
(169070, 'PTHR19971:SF25', NULL, NULL, NULL, NULL, 'SIGNAL-REGULATORY PROTEIN DELTA', 112796),
(169071, 'PTHR24381:SF153', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 778', 112797),
(169072, 'PTHR10915:SF3', NULL, NULL, NULL, NULL, 'SYNDECAN-4', 112798),
(169073, 'PTHR24637:SF330', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', 112799),
(169074, 'PTHR31568:SF88', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', 112800),
(169075, 'PTHR27009:SF188', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 112801),
(169076, 'PTHR31465:SF28', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', 112802),
(169077, 'PTHR12955', NULL, NULL, NULL, NULL, 'SARCOMA ANTIGEN NY-SAR-95-RELATED', 112803),
(169078, 'PTHR30055:SF203', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR FATR', 112804),
(169079, 'PTHR32153:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112805),
(169080, 'PTHR45724:SF40', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP1-1', 112806),
(169081, 'PTHR34118:SF1', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR-LIKE PROTEIN', 112807),
(169082, 'PTHR27006:SF394', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-KINASE RFK1, PUTATIVE-RELATED', 112808),
(169083, 'PTHR24177:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112809),
(169084, 'PTHR24296:SF168', NULL, NULL, NULL, NULL, 'BNAC03G76440D PROTEIN', 112810),
(169085, 'PTHR48001:SF155', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7A2-RELATED', 112811),
(169086, 'PTHR46476:SF14', NULL, NULL, NULL, NULL, 'CHITINASE 2-LIKE', 112812),
(169087, 'PTHR11772', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE', 112813),
(169088, 'PTHR13874:SF10', NULL, NULL, NULL, NULL, 'ENDOTHELIN-1', 112814),
(169089, 'PTHR31165:SF18', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE8', 112815),
(169090, 'PTHR12548:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR-LIKE PROTEIN DPA', 112816),
(169091, 'PTHR14181', NULL, NULL, NULL, NULL, 'DUFFY ANTIGEN/CHEMOKINE RECEPTOR', 112817),
(169092, 'PTHR36845:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05090)-RELATED', 112818),
(169093, 'PTHR45652:SF7', NULL, NULL, NULL, NULL, 'VIMENTIN-RELATED 2', 112819),
(169094, 'PTHR33103:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112820),
(169095, 'PTHR10293:SF59', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-3', 112821),
(169096, 'PTHR46271', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN, PUTATIVE-RELATED', 112822),
(169097, 'PTHR18952:SF33', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 3-RELATED', 112823),
(169098, 'PTHR48078:SF16', NULL, NULL, NULL, NULL, 'SERINE DEHYDRATASE-LIKE', 112824);
INSERT INTO "PUBLIC"."MODEL" VALUES
(169099, 'PTHR11767:SF108', NULL, NULL, NULL, NULL, 'KCNJ10 ISOFORM 1', 112825),
(169100, 'PTHR11533:SF204', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 112826),
(169101, 'PTHR24006:SF761', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 7', 112827),
(169102, 'PTHR10676:SF343', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 10, AXONEMAL', 112828),
(169103, 'PTHR23288:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112829),
(169104, 'PTHR33070:SF74', NULL, NULL, NULL, NULL, 'BNAC01G23450D PROTEIN', 112830),
(169105, 'PTHR24112:SF60', NULL, NULL, NULL, NULL, 'RIBONUCLEASE INHIBITOR', 112831),
(169106, 'PTHR12322:SF52', NULL, NULL, NULL, NULL, 'DM (DOUBLESEX/MAB-3) DOMAIN FAMILY', 112832),
(169107, 'PTHR10057:SF5', NULL, NULL, NULL, NULL, 'TRANSLOCATOR PROTEIN', 112833),
(169108, 'PTHR31321:SF80', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 112834),
(169109, 'PTHR23115:SF270', NULL, NULL, NULL, NULL, 'OS04G0595300 PROTEIN', 112835),
(169110, 'PTHR34145:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112836),
(169111, 'PTHR31790:SF348', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 112837),
(169112, 'PTHR30519:SF13', NULL, NULL, NULL, NULL, '5-METHYLTETRAHYDROPTEROYLTRIGLUTAMATE-- HOMOCYSTEINE METHYLTRANSFERASE 1-LIKE ISOFORM X1', 112838),
(169113, 'PTHR24093:SF433', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 8, PLASMA MEMBRANE-TYPE-RELATED', 112839),
(169114, 'PTHR47990:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112840),
(169115, 'PTHR48002:SF102', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4A47', 112841),
(169116, 'PTHR31080:SF105', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', 112842),
(169117, 'PTHR45730:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112843),
(169118, 'PTHR11878:SF71', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 8 MEMBER 4B', 112844),
(169119, 'PTHR42985:SF15', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED MONOCARBOXYLATE TRANSPORTER 2', 112845),
(169120, 'PTHR11945:SF567', NULL, NULL, NULL, NULL, 'K-BOX REGION AND MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', 112846),
(169121, 'PTHR31314:SF59', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', 112847),
(169122, 'PTHR31407:SF17', NULL, NULL, NULL, NULL, 'PSBP DOMAIN-CONTAINING PROTEIN 3, CHLOROPLASTIC', 112848),
(169123, 'PTHR28376', NULL, NULL, NULL, NULL, 'RGD1562914', 112849),
(169124, 'PTHR34216:SF11', NULL, NULL, NULL, NULL, 'BLL0243 PROTEIN', 112850),
(169125, 'PTHR23315:SF250', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 112851),
(169126, 'PTHR11668:SF462', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1-BETA-RELATED', 112852),
(169127, 'PTHR23273:SF58', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT B-LIKE ISOFORM X1', 112853),
(169128, 'PTHR11486:SF74', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 19', 112854),
(169129, 'PTHR11070', NULL, NULL, NULL, NULL, 'UVRD / RECB / PCRA DNA HELICASE FAMILY MEMBER', 112855),
(169130, 'PTHR13182:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', 112856),
(169131, 'PTHR11913:SF92', NULL, NULL, NULL, NULL, 'COFILIN/ACTIN-DEPOLYMERIZING FACTOR-LIKE PROTEIN', 112857),
(169132, 'PTHR23024:SF415', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 4, MITOCHONDRIAL-RELATED', 112858),
(169133, 'PTHR47986:SF15', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE TMK1-RELATED', 112859),
(169134, 'PTHR23355:SF42', NULL, NULL, NULL, NULL, 'EXORIBONUCLEASE II, MITOCHONDRIAL', 112860),
(169135, 'PTHR31225:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112861),
(169136, 'PTHR45660:SF54', NULL, NULL, NULL, NULL, 'BNAA03G01550D PROTEIN', 112862),
(169137, 'PTHR46629:SF19', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 112863),
(169138, 'PTHR11017:SF335', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RML1A-LIKE ISOFORM X1', 112864),
(169139, 'PTHR22573:SF27', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE-LIKE PROTEIN 5', 112865),
(169140, 'PTHR46797', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR', 112866),
(169141, 'PTHR12792', NULL, NULL, NULL, NULL, 'EXTRA SPINDLE POLES 1-RELATED', 112867);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(169142, 'PTHR31901:SF42', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6', 112868),
(169143, 'PTHR31787:SF10', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN L-RELATED', 112869),
(169144, 'PTHR32054:SF31', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT 1', 112870),
(169145, 'PTHR10889:SF1', NULL, NULL, NULL, NULL, 'ALDOLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G06590)-RELATED', 112871),
(169146, 'PTHR23310:SF67', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 2', 112872),
(169147, 'PTHR45966:SF25', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 2-LIKE', 112873),
(169148, 'PTHR31953:SF15', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 6', 112874),
(169149, 'PTHR21191:SF8', NULL, NULL, NULL, NULL, 'AQUAPORIN-12A-RELATED', 112875),
(169150, 'PTHR11945:SF580', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', 112876),
(169151, 'PTHR11895:SF158', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE-LIKE PROTEIN', 112877),
(169152, 'PTHR18966:SF428', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 1.1', 112878),
(169153, 'PTHR31388:SF227', NULL, NULL, NULL, NULL, 'PEROXIDASE', 112879),
(169154, 'PTHR43593:SF1', NULL, NULL, NULL, NULL, 'INOSITOL 2-DEHYDROGENASE', 112880),
(169155, 'PTHR10983:SF16', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE EPSILON', 112881),
(169156, 'PTHR43828:SF3', NULL, NULL, NULL, NULL, 'L-ASPARAGINASE 1', 112882),
(169157, 'PTHR10666:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112883),
(169158, 'PTHR22906:SF25', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR PROPERDIN', 112884),
(169159, 'PTHR11012:SF4', NULL, NULL, NULL, NULL, 'LD42035P', 112885),
(169160, 'PTHR43917:SF12', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE THETA-3', 112886),
(169161, 'PTHR47990:SF76', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 2', 112887),
(169162, 'PTHR31072:SF158', NULL, NULL, NULL, NULL, 'TCP FAMILY TRANSCRIPTION FACTOR TCP4', 112888),
(169163, 'PTHR37309:SF1', NULL, NULL, NULL, NULL, 'SLR0284 PROTEIN', 112889),
(169164, 'PTHR44051:SF10', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTA', 112890),
(169165, 'PTHR42854', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 3 FAMILY MEMBER', 112891),
(169166, 'PTHR46666', NULL, NULL, NULL, NULL, '60S RIBOSOMAL L18A-LIKE PROTEIN', 112892),
(169167, 'PTHR15036:SF33', NULL, NULL, NULL, NULL, 'CONTACTIN-ASSOCIATED PROTEIN-LIKE 2', 112893),
(169168, 'PTHR12899:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112894),
(169169, 'PTHR21381', NULL, NULL, NULL, NULL, 'ZGC:162297', 112895),
(169170, 'PTHR46128:SF203', NULL, NULL, NULL, NULL, 'FERTILITY RESTORER-LIKE PROTEIN', 112896),
(169171, 'PTHR21660:SF50', NULL, NULL, NULL, NULL, 'THIOESTERASE, PUTATIVE-RELATED', 112897),
(169172, 'PTHR13620:SF77', NULL, NULL, NULL, NULL, 'BNAC01G38340D PROTEIN', 112898),
(169173, 'PTHR23152:SF31', NULL, NULL, NULL, NULL, 'BNAC09G18140D PROTEIN', 112899),
(169174, 'PTHR11076:SF33', NULL, NULL, NULL, NULL, 'DNA POLYMERASE KAPPA', 112900),
(169175, 'PTHR31304:SF26', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 40-LIKE', 112901),
(169176, 'PTHR17630:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112902),
(169177, 'PTHR48047:SF51', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 112903),
(169178, 'PTHR23320:SF120', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 6B-RELATED', 112904),
(169179, 'PTHR44137:SF40', NULL, NULL, NULL, NULL, 'BNAC03G63600D PROTEIN', 112905),
(169180, 'PTHR10972:SF174', NULL, NULL, NULL, NULL, 'BNAC03G64980D PROTEIN', 112906),
(169181, 'PTHR23073:SF118', NULL, NULL, NULL, NULL, 'PARTICLE TRIPLE-A 1A, PUTATIVE-RELATED', 112907),
(169182, 'PTHR34271:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112908),
(169183, 'PTHR37702:SF8', NULL, NULL, NULL, NULL, 'RESERVOIR, PUTATIVE-RELATED', 112909),
(169184, 'PTHR19384:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112910),
(169185, 'PTHR12219', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE', 112911);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(169186, 'PTHR46795', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE-RELATED-RELATED', 112912),
(169187, 'PTHR43321:SF20', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 112913),
(169188, 'PTHR32246:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112914),
(169189, 'PTHR11732:SF444', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112915),
(169190, 'PTHR27007:SF262', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.11-RELATED', 112916),
(169191, 'PTHR10509:SF78', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE', 112917),
(169192, 'PTHR11690:SF261', NULL, NULL, NULL, NULL, 'DEGENERIN-LIKE PROTEIN DEL-10', 112918),
(169193, 'PTHR11850:SF221', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 10', 112919),
(169194, 'PTHR11654:SF369', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 1.1', 112920),
(169195, 'PTHR14356:SF2', NULL, NULL, NULL, NULL, 'INTERLEUKIN-21', 112921),
(169196, 'PTHR42890:SF1', NULL, NULL, NULL, NULL, '15-HYDROXYPROSTAGLANDIN DEHYDROGENASE (NAD)', 112922),
(169197, 'PTHR31113:SF20', NULL, NULL, NULL, NULL, 'UPF0496 PROTEIN 2-RELATED', 112923),
(169198, 'PTHR43874:SF62', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR6', 112924),
(169199, 'PTHR45933:SF10', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 3', 112925),
(169200, 'PTHR24044:SF468', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN A', 112926),
(169201, 'PTHR31422:SF33', NULL, NULL, NULL, NULL, 'ZEIN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 112927),
(169202, 'PTHR23201:SF110', NULL, NULL, NULL, NULL, 'SNAKIN-1', 112928),
(169203, 'PTHR26374:SF404', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112929),
(169204, 'PTHR47995:SF10', NULL, NULL, NULL, NULL, 'GAMYB TRANSCRIPTION FACTOR', 112930),
(169205, 'PTHR43939:SF36', NULL, NULL, NULL, NULL, 'PFTAIRE-INTERACTING FACTOR 1A, ISOFORM H', 112931),
(169206, 'PTHR48014:SF15', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 112932),
(169207, 'PTHR11260:SF629', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 112933),
(169208, 'PTHR27006:SF120', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 112934),
(169209, 'PTHR43748:SF2', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE 2-RELATED', 112935),
(169210, 'PTHR23068:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112936),
(169211, 'PTHR31448:SF23', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 112937),
(169212, 'PTHR23124:SF129', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 112938),
(169213, 'PTHR23515:SF28', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER-RELATED', 112939),
(169214, 'PTHR13683:SF802', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112940),
(169215, 'PTHR43176:SF16', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 3, MITOCHONDRIAL', 112941),
(169216, 'PTHR11177:SF350', NULL, NULL, NULL, NULL, 'BACTERIODES THETAIOTAOMICRON SYMBIOTIC CHITINASE', 112942),
(169217, 'PTHR22379', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930407I10 GENE', 112943),
(169218, 'PTHR35218', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 112944),
(169219, 'PTHR32282', NULL, NULL, NULL, NULL, 'BINDING PROTEIN TRANSPEPTIDASE, PUTATIVE-RELATED', 112945),
(169220, 'PTHR47989:SF43', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-REGULATED RECEPTOR-LIKE KINASE 2', 112946),
(169221, 'PTHR43289:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK7', 112947),
(169222, 'PTHR11260:SF598', NULL, NULL, NULL, NULL, 'OS10G0530500 PROTEIN', 112948),
(169223, 'PTHR14154:SF65', NULL, NULL, NULL, NULL, 'EARLY LIGHT INDUCIBLE PROTEIN2', 112949),
(169224, 'PTHR10125:SF21', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR 6', 112950),
(169225, 'PTHR18860:SF7', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN ZETA/DELTA', 112951),
(169226, 'PTHR31472:SF28', NULL, NULL, NULL, NULL, 'BNAA07G09820D PROTEIN', 112952),
(169227, 'PTHR10108:SF1128', NULL, NULL, NULL, NULL, 'BNAA06G39940D PROTEIN', 112953),
(169228, 'PTHR24083:SF168', NULL, NULL, NULL, NULL, 'COUP TRANSCRIPTION FACTOR 1', 112954),
(169229, 'PTHR45613:SF400', NULL, NULL, NULL, NULL, 'OS02G0824000 PROTEIN', 112955);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(169230, 'PTHR10983:SF8', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE DELTA', 112956),
(169231, 'PTHR24068:SF129', NULL, NULL, NULL, NULL, 'NEDD8-CONJUGATING ENZYME UBE2F-RELATED', 112957),
(169232, 'PTHR23110:SF81', NULL, NULL, NULL, NULL, 'BTB-PROTEIN-VII, ISOFORM F', 112958),
(169233, 'PTHR10635', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA', 112959),
(169234, 'PTHR43286', NULL, NULL, NULL, NULL, 'ENDONUCLEASE III-LIKE PROTEIN 1', 112960),
(169235, 'PTHR21780', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 112961),
(169236, 'PTHR31325:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112962),
(169237, 'PTHR30181:SF3', NULL, NULL, NULL, NULL, 'MULTIPHOSPHORYL TRANSFER PROTEIN', 112963),
(169238, 'PTHR12932:SF16', NULL, NULL, NULL, NULL, 'TUBULIN POLYMERIZATION-PROMOTING PROTEIN FAMILY MEMBER 3', 112964),
(169239, 'PTHR11746:SF271', NULL, NULL, NULL, NULL, 'OSJNBB0026E15.9-LIKE PROTEIN', 112965),
(169240, 'PTHR11802:SF363', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 13', 112966),
(169241, 'PTHR11972:SF158', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN G-RELATED', 112967),
(169242, 'PTHR22957:SF523', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 17-LIKE', 112968),
(169243, 'PTHR31920:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112969),
(169244, 'PTHR23235:SF49', NULL, NULL, NULL, NULL, 'WILMS TUMOR PROTEIN', 112970),
(169245, 'PTHR13964:SF24', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 4B', 112971),
(169246, 'PTHR11802:SF298', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 22-RELATED', 112972),
(169247, 'PTHR23406:SF76', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME 4, CHLOROPLASTIC', 112973),
(169248, 'PTHR21402:SF3', NULL, NULL, NULL, NULL, 'GAMETOCYTE-SPECIFIC FACTOR 1-LIKE', 112974),
(169249, 'PTHR46610:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112975),
(169250, 'PTHR34196:SF6', NULL, NULL, NULL, NULL, 'BNAA05G16500D PROTEIN', 112976),
(169251, 'PTHR47958:SF88', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX50', 112977),
(169252, 'PTHR43326:SF2', NULL, NULL, NULL, NULL, 'AMINOACYL-TRNA SYNTHETASE, CLASS 1A,ANTICODON-BINDING', 112978),
(169253, 'PTHR47925:SF17', NULL, NULL, NULL, NULL, 'BNAA09G35950D PROTEIN', 112979),
(169254, 'PTHR27008:SF415', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 112980),
(169255, 'PTHR45952', NULL, NULL, NULL, NULL, 'ALUMINUM INDUCED PROTEIN WITH YGL AND LRDR MOTIFS', 112981),
(169256, 'PTHR47120', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 3', 112982),
(169257, 'PTHR10605:SF31', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 112983),
(169258, 'PTHR13948:SF21', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 5', 112984),
(169259, 'PTHR24023:SF993', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112985),
(169260, 'PTHR48049:SF94', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 112986),
(169261, 'PTHR22947:SF34', NULL, NULL, NULL, NULL, 'SPERM SPECIFIC FAMILY, CLASS P-RELATED', 112987),
(169262, 'PTHR11955:SF99', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN, LIVER-LIKE', 112988),
(169263, 'PTHR27005:SF386', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112989),
(169264, 'PTHR11524:SF44', NULL, NULL, NULL, NULL, 'OS04G0605900 PROTEIN', 112990),
(169265, 'PTHR33377:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112991),
(169266, 'PTHR13135', NULL, NULL, NULL, NULL, 'CYTOSOLIC RESINIFERATOXIN BINDING PROTEIN RBP-26', 112992),
(169267, 'PTHR15600:SF42', NULL, NULL, NULL, NULL, 'SACSIN', 112993),
(169268, 'PTHR10736:SF27', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG', 112994),
(169269, 'PTHR45785:SF3', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR XIII B CHAIN', 112995),
(169270, 'PTHR31769:SF52', NULL, NULL, NULL, NULL, 'BNAA06G01750D PROTEIN', 112996),
(169271, 'PTHR13683:SF850', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112997),
(169272, 'PTHR23236:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 112998),
(169273, 'PTHR11514:SF134', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC2-LIKE ISOFORM X1', 112999);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(169274, 'PTHR47936:SF3', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 113000),
(169275, 'PTHR31718:SF50', NULL, NULL, NULL, NULL, 'BNAA09G42230D PROTEIN', 113001),
(169276, 'PTHR12428:SF47', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN ALBINO3, CHLOROPLASTIC', 113002),
(169277, 'PTHR24414:SF103', NULL, NULL, NULL, NULL, 'BNAA02G11780D PROTEIN', 113003),
(169278, 'PTHR46700:SF5', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', 113004),
(169279, 'PTHR42711:SF12', NULL, NULL, NULL, NULL, 'TETRONASIN-TRANSPORT ATP-BINDING PROTEIN ABC TRANSPORTER-RELATED', 113005),
(169280, 'PTHR23138:SF101', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP2', 113006),
(169281, 'PTHR47977:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113007),
(169282, 'PTHR13504:SF34', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE FICD', 113008),
(169283, 'PTHR45786:SF19', NULL, NULL, NULL, NULL, 'BNAC04G13430D PROTEIN', 113009),
(169284, 'PTHR21661:SF16', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', 113010),
(169285, 'PTHR47074:SF3', NULL, NULL, NULL, NULL, 'OS07G0513450 PROTEIN', 113011),
(169286, 'PTHR45496:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113012),
(169287, 'PTHR15905:SF5', NULL, NULL, NULL, NULL, 'GOLGI-ASSOCIATED KINASE 1A', 113013),
(169288, 'PTHR13080:SF5', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT F, MITOCHONDRIAL-RELATED', 113014),
(169289, 'PTHR32141:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113015),
(169290, 'PTHR11461', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, SERPIN', 113016),
(169291, 'PTHR12420:SF4', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 11', 113017),
(169292, 'PTHR32241:SF9', NULL, NULL, NULL, NULL, 'OS03G0416400 PROTEIN', 113018),
(169293, 'PTHR47330:SF2', NULL, NULL, NULL, NULL, 'POLY(U)-BINDING-SPLICING FACTOR PUF60', 113019),
(169294, 'PTHR11042:SF160', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2-ALPHA KINASE 1', 113020),
(169295, 'PTHR32054:SF9', NULL, NULL, NULL, NULL, 'OSJNBB0050O03.3 PROTEIN', 113021),
(169296, 'PTHR43000:SF33', NULL, NULL, NULL, NULL, 'CDP-TYVELOSE EPIMERASE', 113022),
(169297, 'PTHR24409:SF315', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 711', 113023),
(169298, 'PTHR37078:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113024),
(169299, 'PTHR23315:SF52', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 11', 113025),
(169300, 'PTHR16886', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE PROTEIN 2', 113026),
(169301, 'PTHR48189:SF2', NULL, NULL, NULL, NULL, 'BNAA03G48740D PROTEIN', 113027),
(169302, 'PTHR42938:SF22', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE 2, CHLOROPLASTIC', 113028),
(169303, 'PTHR23266:SF298', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3/OR16-9 (NON-FUNCTIONAL)', 113029),
(169304, 'PTHR36679:SF1', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE S', 113030),
(169305, 'PTHR11527:SF315', NULL, NULL, NULL, NULL, '16.9 KDA CLASS I HEAT SHOCK PROTEIN 2', 113031),
(169306, 'PTHR14261', NULL, NULL, NULL, NULL, 'ONCOSTATIN M', 113032),
(169307, 'PTHR12156:SF21', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN FAMILY B MEMBER 2', 113033),
(169308, 'PTHR12595:SF20', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE ISOENZYME 6 HOMOLOG', 113034),
(169309, 'PTHR45648:SF131', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 113035),
(169310, 'PTHR31374:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113036),
(169311, 'PTHR11486:SF69', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 23', 113037),
(169312, 'PTHR43100', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE [NADPH] SMALL CHAIN', 113038),
(169313, 'PTHR22849:SF24', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PUB24', 113039),
(169314, 'PTHR31692:SF99', NULL, NULL, NULL, NULL, 'POLLEN ALLERGEN ORY S 1, PUTATIVE-RELATED', 113040),
(169315, 'PTHR45701:SF5', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 2', 113041),
(169316, 'PTHR33879:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113042),
(169317, 'PTHR46736:SF17', NULL, NULL, NULL, NULL, 'BNAC08G10840D PROTEIN', 113043);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(169318, 'PTHR47958:SF41', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', 113044),
(169319, 'PTHR33470', NULL, NULL, NULL, NULL, 'OS01G0164075 PROTEIN', 113045),
(169320, 'PTHR11003:SF282', NULL, NULL, NULL, NULL, 'TWO-PORE POTASSIUM CHANNEL 3', 113046),
(169321, 'PTHR34367:SF1', NULL, NULL, NULL, NULL, 'OS02G0734667 PROTEIN', 113047),
(169322, 'PTHR32133:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113048),
(169323, 'PTHR11062:SF191', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN, EXPRESSED', 113049),
(169324, 'PTHR21601', NULL, NULL, NULL, NULL, 'SPA2 PROTEIN', 113050),
(169325, 'PTHR46561:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', 113051),
(169326, 'PTHR14456:SF7', NULL, NULL, NULL, NULL, 'INOSITOL-PENTAKISPHOSPHATE 2-KINASE', 113052),
(169327, 'PTHR10281:SF88', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 113053),
(169328, 'PTHR12385:SF90', NULL, NULL, NULL, NULL, 'CTL-LIKE PROTEIN 2', 113054),
(169329, 'PTHR13531:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 80', 113055),
(169330, 'PTHR30603:SF54', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR', 113056),
(169331, 'PTHR47168:SF1', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', 113057),
(169332, 'PTHR13861', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE SUBUNIT F', 113058),
(169333, 'PTHR11329:SF1', NULL, NULL, NULL, NULL, 'SI:CH1073-204B8.1', 113059),
(169334, 'PTHR17613:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113060),
(169335, 'PTHR45647:SF51', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 113061),
(169336, 'PTHR31595:SF47', NULL, NULL, NULL, NULL, 'BNAA02G09100D PROTEIN', 113062),
(169337, 'PTHR24215:SF29', NULL, NULL, NULL, NULL, 'CYSTEINE RICH PROTEIN 2', 113063),
(169338, 'PTHR35166:SF6', NULL, NULL, NULL, NULL, 'OS05G0193700 PROTEIN', 113064),
(169339, 'PTHR47942:SF43', NULL, NULL, NULL, NULL, 'OS02G0119700 PROTEIN', 113065),
(169340, 'PTHR33306:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113066),
(169341, 'PTHR33103:SF45', NULL, NULL, NULL, NULL, 'OS01G0154600 PROTEIN', 113067),
(169342, 'PTHR33673:SF26', NULL, NULL, NULL, NULL, 'PININ-LIKE PROTEIN', 113068),
(169343, 'PTHR10775:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113069),
(169344, 'PTHR11365:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113070),
(169345, 'PTHR48018', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 113071),
(169346, 'PTHR43372', NULL, NULL, NULL, NULL, 'FATTY-ACID AMIDE HYDROLASE', 113072),
(169347, 'PTHR13068:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113073),
(169348, 'PTHR14493:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 49', 113074),
(169349, 'PTHR10972:SF185', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN', 113075),
(169350, 'PTHR13309', NULL, NULL, NULL, NULL, 'NUCLEAR FRAGILE X MENTAL RETARDATION PROTEIN INTERACTING PROTEIN 1', 113076),
(169351, 'PTHR27002:SF542', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113077),
(169352, 'PTHR11616:SF98', NULL, NULL, NULL, NULL, 'TRANSPORTER', 113078),
(169353, 'PTHR31123:SF6', NULL, NULL, NULL, NULL, 'MEMBRANE AMMONIUM TRANSPORTER (ATO3), PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01140)-RELATED', 113079),
(169354, 'PTHR13269:SF6', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NDC1', 113080),
(169355, 'PTHR32116:SF60', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 113081),
(169356, 'PTHR31683:SF140', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 113082),
(169357, 'PTHR11711:SF386', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 5', 113083),
(169358, 'PTHR42748:SF1', NULL, NULL, NULL, NULL, 'SLR0317 PROTEIN', 113084),
(169359, 'PTHR43531:SF8', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN II', 113085),
(169360, 'PTHR36948:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04856', 113086),
(169361, 'PTHR20953:SF14', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 113087),
(169362, 'PTHR12326:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG20681', 113088);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(169363, 'PTHR22409', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 113089),
(169364, 'PTHR11850:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113090),
(169365, 'PTHR24351:SF216', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C', 113091),
(169366, 'PTHR30540:SF27', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 113092),
(169367, 'PTHR45616:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113093),
(169368, 'PTHR21463:SF0', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-LIKE PROTEIN 8', 113094),
(169369, 'PTHR21437:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 1', 113095),
(169370, 'PTHR33091:SF53', NULL, NULL, NULL, NULL, 'OS08G0441300 PROTEIN', 113096),
(169371, 'PTHR11475:SF128', NULL, NULL, NULL, NULL, 'CURLY SU', 113097),
(169372, 'PTHR35356:SF4', NULL, NULL, NULL, NULL, 'BTR1-A-LIKE PROTEIN', 113098),
(169373, 'PTHR32077:SF52', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 11', 113099),
(169374, 'PTHR34050:SF4', NULL, NULL, NULL, NULL, 'OS09G0512800 PROTEIN', 113100),
(169375, 'PTHR31319:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 3', 113101),
(169376, 'PTHR27006:SF407', NULL, NULL, NULL, NULL, 'BNAC01G41150D PROTEIN', 113102),
(169377, 'PTHR36937:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG20935', 113103),
(169378, 'PTHR31190:SF289', NULL, NULL, NULL, NULL, 'ETHYLENE-BINDING PROTEIN-LIKE', 113104),
(169379, 'PTHR13817:SF124', NULL, NULL, NULL, NULL, 'DISORGANIZED MUSCLE PROTEIN 1', 113105),
(169380, 'PTHR12281:SF30', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', 113106),
(169381, 'PTHR22936:SF83', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', 113107),
(169382, 'PTHR23075:SF6', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN', 113108),
(169383, 'PTHR27006:SF172', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 113109),
(169384, 'PTHR24173:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113110),
(169385, 'PTHR13401:SF2', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR1', 113111),
(169386, 'PTHR21330:SF1', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE NSE2', 113112),
(169387, 'PTHR17490:SF10', NULL, NULL, NULL, NULL, 'YRDC DOMAIN-CONTAINING PROTEIN, MITOCHONDRIAL', 113113),
(169388, 'PTHR13011:SF0', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIF SUBUNIT 1', 113114),
(169389, 'PTHR15124', NULL, NULL, NULL, NULL, 'SELENOPROTEIN W', 113115),
(169390, 'PTHR37729:SF1', NULL, NULL, NULL, NULL, 'NEUROFILAMENT PROTEIN-LIKE PROTEIN', 113116),
(169391, 'PTHR13387', NULL, NULL, NULL, NULL, 'PROTEIN HGH1 HOMOLOG', 113117),
(169392, 'PTHR32382:SF57', NULL, NULL, NULL, NULL, 'BNAC04G36400D PROTEIN', 113118),
(169393, 'PTHR45651:SF72', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL PROTEIN', 113119),
(169394, 'PTHR11709:SF242', NULL, NULL, NULL, NULL, 'LACCASE-7', 113120),
(169395, 'PTHR10044:SF79', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 2', 113121),
(169396, 'PTHR22811:SF158', NULL, NULL, NULL, NULL, 'BNAA01G31430D PROTEIN', 113122),
(169397, 'PTHR46248', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 113123),
(169398, 'PTHR12561', NULL, NULL, NULL, NULL, 'LIPOATE-PROTEIN LIGASE', 113124),
(169399, 'PTHR11267:SF20', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX18', 113125),
(169400, 'PTHR46736:SF16', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN-RELATED', 113126),
(169401, 'PTHR11705:SF18', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE A6', 113127),
(169402, 'PTHR43231:SF1', NULL, NULL, NULL, NULL, '2,3-DIHYDRO-2,3-DIHYDROXYBENZOATE DEHYDROGENASE', 113128),
(169403, 'PTHR15428:SF0', NULL, NULL, NULL, NULL, 'ENDOTHELIAL CELL-SPECIFIC MOLECULE 1', 113129),
(169404, 'PTHR24381:SF261', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 777', 113130),
(169405, 'PTHR12802:SF122', NULL, NULL, NULL, NULL, 'MYB DOMAIN-CONTAINING PROTEIN', 113131),
(169406, 'PTHR46045:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 113132),
(169407, 'PTHR13832:SF782', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60-RELATED', 113133); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(169408, 'PTHR22762:SF60', NULL, NULL, NULL, NULL, 'NEUTRAL ALPHA-GLUCOSIDASE C', 113134),
(169409, 'PTHR23339:SF77', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE CDC14A', 113135),
(169410, 'PTHR22055:SF0', NULL, NULL, NULL, NULL, '28 KDA HEAT- AND ACID-STABLE PHOSPHOPROTEIN', 113136),
(169411, 'PTHR43140:SF1', NULL, NULL, NULL, NULL, 'TYPE-1 RESTRICTION ENZYME ECOKI SPECIFICITY PROTEIN', 113137),
(169412, 'PTHR23542:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 113138),
(169413, 'PTHR19375:SF207', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', 113139),
(169414, 'PTHR47965:SF67', NULL, NULL, NULL, NULL, 'BASIC 7S GLOBULIN 2-LIKE', 113140),
(169415, 'PTHR32009:SF79', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', 113141),
(169416, 'PTHR31707:SF45', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 59-RELATED', 113142),
(169417, 'PTHR34997:SF8', NULL, NULL, NULL, NULL, 'LYSM DOMAIN PROTEIN', 113143),
(169418, 'PTHR13140:SF766', NULL, NULL, NULL, NULL, 'MYOSIN MOTOR DOMAIN PROTEIN AND DIL DOMAIN PROTEIN', 113144),
(169419, 'PTHR46274', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 113145),
(169420, 'PTHR43000:SF35', NULL, NULL, NULL, NULL, 'BNAA06G00900D PROTEIN', 113146),
(169421, 'PTHR23075', NULL, NULL, NULL, NULL, 'PUTATIVE ATP-ASE', 113147),
(169422, 'PTHR47991:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113148),
(169423, 'PTHR11256:SF10', NULL, NULL, NULL, NULL, 'BCL-2-RELATED PROTEIN A1', 113149),
(169424, 'PTHR33148:SF3', NULL, NULL, NULL, NULL, 'PLASTID MOVEMENT IMPAIRED PROTEIN', 113150),
(169425, 'PTHR30353', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN DEDA-RELATED', 113151),
(169426, 'PTHR27007:SF223', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.2', 113152),
(169427, 'PTHR46960', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE KEG', 113153),
(169428, 'PTHR46929:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113154),
(169429, 'PTHR33077:SF98', NULL, NULL, NULL, NULL, 'BNAA01G27170D PROTEIN', 113155),
(169430, 'PTHR35121:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113156),
(169431, 'PTHR12992:SF11', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE-LINKED MOIETY X MOTIF 8', 113157),
(169432, 'PTHR10488', NULL, NULL, NULL, NULL, 'GLYCINE AMIDINOTRANSFERASE, MITOCHONDRIAL', 113158),
(169433, 'PTHR45859:SF2', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT BETA-LIKE', 113159),
(169434, 'PTHR48052:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113160),
(169435, 'PTHR46039:SF7', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE 2-RELATED', 113161),
(169436, 'PTHR42735', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 113162),
(169437, 'PTHR10219:SF43', NULL, NULL, NULL, NULL, 'ACCELERATED CELL DEATH 11', 113163),
(169438, 'PTHR43450:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113164),
(169439, 'PTHR13083', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 113165),
(169440, 'PTHR23266:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113166),
(169441, 'PTHR12147:SF26', NULL, NULL, NULL, NULL, '24 KDA VACUOLAR PROTEIN-LIKE', 113167),
(169442, 'PTHR30603:SF55', NULL, NULL, NULL, NULL, 'PER33/POM33 FAMILY-RELATED', 113168),
(169443, 'PTHR46011:SF24', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 113169),
(169444, 'PTHR44240:SF23', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN HOMOLOG-LIKE', 113170),
(169445, 'PTHR11070:SF23', NULL, NULL, NULL, NULL, 'RECBCD ENZYME SUBUNIT RECB', 113171),
(169446, 'PTHR32295:SF154', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 32', 113172),
(169447, 'PTHR12236:SF80', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 62BC, ISOFORM A', 113173),
(169448, 'PTHR47067:SF6', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 7', 113174),
(169449, 'PTHR15907:SF144', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 7-LIKE', 113175),
(169450, 'PTHR44591:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PILH', 113176),
(169451, 'PTHR43539:SF26', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE-RELATED', 113177);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(169452, 'PTHR24305:SF203', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D7', 113178),
(169453, 'PTHR31001:SF40', NULL, NULL, NULL, NULL, 'CENTROMERE DNA-BINDING PROTEIN COMPLEX CBF3 SUBUNIT B-RELATED', 113179),
(169454, 'PTHR12111:SF7', NULL, NULL, NULL, NULL, 'BNAA02G14200D PROTEIN', 113180),
(169455, 'PTHR39323:SF1', NULL, NULL, NULL, NULL, 'BLR1149 PROTEIN', 113181),
(169456, 'PTHR24028:SF144', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-B2', 113182),
(169457, 'PTHR35546:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113183),
(169458, 'PTHR11654:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113184),
(169459, 'PTHR33776:SF6', NULL, NULL, NULL, NULL, 'ATROPHIN 1', 113185),
(169460, 'PTHR33407:SF11', NULL, NULL, NULL, NULL, 'PECTATE LYASE H-RELATED', 113186),
(169461, 'PTHR13572:SF5', NULL, NULL, NULL, NULL, 'MANNOSIDASE, ENDO-ALPHA', 113187),
(169462, 'PTHR12460:SF29', NULL, NULL, NULL, NULL, 'REGULATION OF NUCLEAR PRE-MRNA DOMAIN-CONTAINING PROTEIN 2', 113188),
(169463, 'PTHR11733:SF196', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', 113189),
(169464, 'PTHR43490:SF60', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 113190),
(169465, 'PTHR24092:SF81', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE VA-RELATED', 113191),
(169466, 'PTHR31413:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113192),
(169467, 'PTHR44427:SF7', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 20', 113193),
(169468, 'PTHR31769:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113194),
(169469, 'PTHR45970:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D9', 113195),
(169470, 'PTHR21495:SF174', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 113196),
(169471, 'PTHR31744:SF141', NULL, NULL, NULL, NULL, 'OS02G0810900 PROTEIN', 113197),
(169472, 'PTHR12155:SF26', NULL, NULL, NULL, NULL, 'SCHLAFEN FAMILY MEMBER 5', 113198),
(169473, 'PTHR31479:SF7', NULL, NULL, NULL, NULL, 'OS01G0243000 PROTEIN', 113199),
(169474, 'PTHR33179:SF39', NULL, NULL, NULL, NULL, 'VQ MOTIF PROTEIN', 113200),
(169475, 'PTHR23056:SF126', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 3', 113201),
(169476, 'PTHR11309:SF93', NULL, NULL, NULL, NULL, 'SECRETED FRIZZLED-RELATED PROTEIN', 113202),
(169477, 'PTHR48061:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113203),
(169478, 'PTHR37252', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 6', 113204),
(169479, 'PTHR35147:SF1', NULL, NULL, NULL, NULL, 'CHEMORECEPTOR GLUTAMINE DEAMIDASE CHED-RELATED', 113205),
(169480, 'PTHR13857:SF10', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA CYTOSINE DEAMINASE', 113206),
(169481, 'PTHR12062:SF27', NULL, NULL, NULL, NULL, 'ZGC:154054', 113207),
(169482, 'PTHR10704:SF3', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 2', 113208),
(169483, 'PTHR21428:SF11', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 7', 113209),
(169484, 'PTHR14107:SF15', NULL, NULL, NULL, NULL, 'DYSTROPHIA MYOTONICA WD REPEAT-CONTAINING PROTEIN', 113210),
(169485, 'PTHR13778:SF45', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 113211),
(169486, 'PTHR31766:SF2', NULL, NULL, NULL, NULL, 'GLABROUS1 ENHANCER-BINDING PROTEIN-LIKE 2', 113212),
(169487, 'PTHR41248:SF1', NULL, NULL, NULL, NULL, 'NORD PROTEIN', 113213),
(169488, 'PTHR15853', NULL, NULL, NULL, NULL, 'THIOREDOXIN-RELATED', 113214),
(169489, 'PTHR45727:SF7', NULL, NULL, NULL, NULL, 'PATCHED FAMILY PROTEIN', 113215),
(169490, 'PTHR47784:SF11', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 113216),
(169491, 'PTHR10071:SF233', NULL, NULL, NULL, NULL, 'ERYTHROID-LIKE TRANSCRIPTION FACTOR FAMILY', 113217),
(169492, 'PTHR31194:SF82', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF110-LIKE', 113218),
(169493, 'PTHR10052:SF49', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-2', 113219),
(169494, 'PTHR30038:SF7', NULL, NULL, NULL, NULL, 'TUNGSTEN-CONTAINING GLYCERALDEHYDE-3-PHOSPHATE:FERREDOXIN OXIDOREDUCTASE', 113220);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(169495, 'PTHR47430:SF3', NULL, NULL, NULL, NULL, 'CYCLIN-D-BINDING MYB-LIKE TRANSCRIPTION FACTOR 1', 113221),
(169496, 'PTHR47942:SF1', NULL, NULL, NULL, NULL, 'OS01G0852900 PROTEIN', 113222),
(169497, 'PTHR47976:SF3', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN-CONTAINING PROTEIN-RELATED', 113223),
(169498, 'PTHR45680:SF11', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 113224),
(169499, 'PTHR14741', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE-DEPENDENT METHYLTRANSFERASE RELATED', 113225),
(169500, 'PTHR46277:SF19', NULL, NULL, NULL, NULL, 'POLYPHOSPHOINOSITIDE-BINDING PROTEIN', 113226),
(169501, 'PTHR33356:SF16', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN PROTEIN', 113227),
(169502, 'PTHR27007:SF365', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113228),
(169503, 'PTHR24223:SF407', NULL, NULL, NULL, NULL, 'BNAA01G30060D PROTEIN', 113229),
(169504, 'PTHR36927:SF1', NULL, NULL, NULL, NULL, 'GLUCANS BIOSYNTHESIS PROTEIN C', 113230),
(169505, 'PTHR31807:SF22', NULL, NULL, NULL, NULL, 'OS07G0115600 PROTEIN', 113231),
(169506, 'PTHR13683:SF837', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 113232),
(169507, 'PTHR24390:SF142', NULL, NULL, NULL, NULL, 'IP01005P', 113233),
(169508, 'PTHR23240:SF6', NULL, NULL, NULL, NULL, 'DNA CROSS-LINK REPAIR 1A PROTEIN', 113234),
(169509, 'PTHR11987:SF48', NULL, NULL, NULL, NULL, 'CMP-N-ACETYLNEURAMINATE-POLY-ALPHA-2,8-SIALYLTRANSFERASE', 113235),
(169510, 'PTHR24055:SF52', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DYF-5', 113236),
(169511, 'PTHR23050:SF23', NULL, NULL, NULL, NULL, 'AT22559P', 113237),
(169512, 'PTHR15407', NULL, NULL, NULL, NULL, 'FUKUTIN-RELATED', 113238),
(169513, 'PTHR45669:SF30', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN DOMAIN-CONTAINING CYSTEINE-RICH PROTEIN CG12206-RELATED', 113239),
(169514, 'PTHR32467:SF137', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-7 ISOFORM X1', 113240),
(169515, 'PTHR24100:SF67', NULL, NULL, NULL, NULL, 'BUTYROPHILIN FAMILY MEMBER', 113241),
(169516, 'PTHR31969:SF48', NULL, NULL, NULL, NULL, 'OS06G0218100 PROTEIN', 113242),
(169517, 'PTHR31985:SF223', NULL, NULL, NULL, NULL, 'BNAA02G11090D PROTEIN', 113243),
(169518, 'PTHR42770:SF4', NULL, NULL, NULL, NULL, 'ARGININE/ORNITHINE ANTIPORTER-RELATED', 113244),
(169519, 'PTHR10676:SF257', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 9, AXONEMAL', 113245),
(169520, 'PTHR21659:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113246),
(169521, 'PTHR42731:SF1', NULL, NULL, NULL, NULL, 'SLL1084 PROTEIN', 113247),
(169522, 'PTHR10663:SF333', NULL, NULL, NULL, NULL, 'PROTEIN MON2 HOMOLOG', 113248),
(169523, 'PTHR33102:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113249),
(169524, 'PTHR33168:SF8', NULL, NULL, NULL, NULL, 'OS08G0293100 PROTEIN', 113250),
(169525, 'PTHR12981', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-LIKE 1', 113251),
(169526, 'PTHR33648:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113252),
(169527, 'PTHR24291:SF153', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 4, SUBFAMILY F, POLYPEPTIDE 17', 113253),
(169528, 'PTHR42707', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', 113254),
(169529, 'PTHR31907:SF34', NULL, NULL, NULL, NULL, 'SN-2 PROTEIN', 113255),
(169530, 'PTHR11206:SF320', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 113256),
(169531, 'PTHR31636:SF204', NULL, NULL, NULL, NULL, 'GIBBERELLIN-RESPONSIVE PROTEIN 2, PUTATIVE, EXPRESSED-RELATED', 113257),
(169532, 'PTHR33383:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN INSERTION EFFICIENCY FACTOR-RELATED', 113258),
(169533, 'PTHR43671:SF70', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK7', 113259),
(169534, 'PTHR47960:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113260),
(169535, 'PTHR35517:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE SFM1', 113261),
(169536, 'PTHR19972', NULL, NULL, NULL, NULL, 'CALBINDIN', 113262),
(169537, 'PTHR14143:SF3', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY, E1-RELATED', 113263),
(169538, 'PTHR48047:SF82', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 113264);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(169539, 'PTHR19308:SF48', NULL, NULL, NULL, NULL, 'BNAC05G29280D PROTEIN', 113265),
(169540, 'PTHR31080:SF195', NULL, NULL, NULL, NULL, 'INVERTASE INHIBITOR-RELATED', 113266),
(169541, 'PTHR31304:SF37', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 40-LIKE', 113267),
(169542, 'PTHR43859:SF7', NULL, NULL, NULL, NULL, 'ACETATE/BUTYRATE--COA LIGASE AAE7, PEROXISOMAL', 113268),
(169543, 'PTHR21310:SF41', NULL, NULL, NULL, NULL, '3-HYDROXYASPARAGINE PHOSPHOTRANSFERASE', 113269),
(169544, 'PTHR47932:SF16', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 113270),
(169545, 'PTHR24073:SF209', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-23', 113271),
(169546, 'PTHR22731', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP1', 113272),
(169547, 'PTHR31907:SF43', NULL, NULL, NULL, NULL, 'START-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 113273),
(169548, 'PTHR33573:SF7', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4D1', 113274),
(169549, 'PTHR24078:SF175', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK FAMILY PROTEIN', 113275),
(169550, 'PTHR45636:SF16', NULL, NULL, NULL, NULL, 'PAIRED BOX POX-MESO PROTEIN', 113276),
(169551, 'PTHR31865:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113277),
(169552, 'PTHR33607:SF2', NULL, NULL, NULL, NULL, 'ENDONUCLEASE-1', 113278),
(169553, 'PTHR22765:SF126', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 115', 113279),
(169554, 'PTHR31549:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113280),
(169555, 'PTHR47645', NULL, NULL, NULL, NULL, 'PROTEIN CBG08267', 113281),
(169556, 'PTHR12274:SF7', NULL, NULL, NULL, NULL, 'GRANULIN 1-RELATED', 113282),
(169557, 'PTHR11850:SF293', NULL, NULL, NULL, NULL, 'ELK DOMAIN, KNOX1, KNOX2, HOMEOBOX KN DOMAIN, HOMEODOMAIN-LIKE PROTEIN-RELATED', 113283),
(169558, 'PTHR12040:SF8', NULL, NULL, NULL, NULL, 'HISTONE CHAPERONE ASF1A', 113284),
(169559, 'PTHR38000', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2900092C05', 113285),
(169560, 'PTHR45496:SF18', NULL, NULL, NULL, NULL, 'BNAC02G43070D PROTEIN', 113286),
(169561, 'PTHR11736:SF53', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B3', 113287),
(169562, 'PTHR45654:SF69', NULL, NULL, NULL, NULL, 'START DOMAIN, HOMEODOMAIN-LIKE PROTEIN-RELATED', 113288),
(169563, 'PTHR47178:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113289),
(169564, 'PTHR33734:SF23', NULL, NULL, NULL, NULL, 'TRANSGLYCOSYLASE, SLT FAMILY-RELATED', 113290),
(169565, 'PTHR33232:SF11', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION C', 113291),
(169566, 'PTHR33768:SF7', NULL, NULL, NULL, NULL, 'T0127070 ISOFORM 1', 113292),
(169567, 'PTHR19447', NULL, NULL, NULL, NULL, 'OOCYTE-EXPRESSED PROTEIN HOMOLOG-RELATED', 113293),
(169568, 'PTHR33108:SF33', NULL, NULL, NULL, NULL, 'OS01G0200200 PROTEIN', 113294),
(169569, 'PTHR26374:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113295),
(169570, 'PTHR23310:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113296),
(169571, 'PTHR10381:SF24', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT 4, CHLOROPLASTIC', 113297),
(169572, 'PTHR10869:SF184', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', 113298),
(169573, 'PTHR48098:SF1', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL ACYLTRANSFERASE/MYCOLYLTRANSFERASE AG85C', 113299),
(169574, 'PTHR22765:SF185', NULL, NULL, NULL, NULL, 'OS12G0140100 PROTEIN', 113300),
(169575, 'PTHR44395:SF1', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSYL-TRANSFERASE TMTC3', 113301),
(169576, 'PTHR31235:SF334', NULL, NULL, NULL, NULL, 'PEROXIDASE', 113302),
(169577, 'PTHR33136:SF73', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR-LIKE', 113303),
(169578, 'PTHR31314:SF2', NULL, NULL, NULL, NULL, 'MYB-LIKE HTH TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN', 113304),
(169579, 'PTHR31972:SF72', NULL, NULL, NULL, NULL, 'OS09G0416600 PROTEIN', 113305),
(169580, 'PTHR47841:SF7', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE THETA-LIKE', 113306),
(169581, 'PTHR24373:SF339', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 7', 113307),
(169582, 'PTHR33065:SF142', NULL, NULL, NULL, NULL, 'OS11G0164000 PROTEIN', 113308);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(169583, 'PTHR31576:SF2', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT B', 113309),
(169584, 'PTHR12943:SF27', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE-INDUCED ENDOPLASMIC RETICULUM PROTEIN, ISOFORM A', 113310),
(169585, 'PTHR31062:SF1', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 8-RELATED', 113311),
(169586, 'PTHR16517:SF12', NULL, NULL, NULL, NULL, 'TUBBY-RELATED PROTEIN 1', 113312),
(169587, 'PTHR43853:SF8', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE, PEROXISOMAL', 113313),
(169588, 'PTHR24222:SF61', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 9', 113314),
(169589, 'PTHR31169:SF15', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 113315),
(169590, 'PTHR24073:SF1155', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-5B-RELATED', 113316),
(169591, 'PTHR43995', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 19', 113317),
(169592, 'PTHR31972:SF48', NULL, NULL, NULL, NULL, 'BNAA04G16020D PROTEIN', 113318),
(169593, 'PTHR31751:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113319),
(169594, 'PTHR33207:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113320),
(169595, 'PTHR10314:SF97', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', 113321),
(169596, 'PTHR43591:SF51', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 113322),
(169597, 'PTHR33115:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113323),
(169598, 'PTHR11889:SF84', NULL, NULL, NULL, NULL, 'HEDGEHOG PROTEIN', 113324),
(169599, 'PTHR43806:SF32', NULL, NULL, NULL, NULL, 'SERIN ENDOPEPTIDASE', 113325),
(169600, 'PTHR37048', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 113326),
(169601, 'PTHR46735:SF3', NULL, NULL, NULL, NULL, 'CALPAIN, SMALL SUBUNIT 1 A-RELATED', 113327),
(169602, 'PTHR45650:SF25', NULL, NULL, NULL, NULL, 'BNAA08G13200D PROTEIN', 113328),
(169603, 'PTHR47173:SF6', NULL, NULL, NULL, NULL, 'PROTEIN DR1 HOMOLOG', 113329),
(169604, 'PTHR23510:SF67', NULL, NULL, NULL, NULL, 'SPX DOMAIN, MAJOR FACILITATOR SUPERFAMILY-RELATED', 113330),
(169605, 'PTHR10127:SF810', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-38', 113331),
(169606, 'PTHR36385:SF1', NULL, NULL, NULL, NULL, 'OS07G0562900 PROTEIN', 113332),
(169607, 'PTHR45967:SF15', NULL, NULL, NULL, NULL, 'OS03G0239400 PROTEIN', 113333),
(169608, 'PTHR24177:SF276', NULL, NULL, NULL, NULL, 'BNAC03G35910D PROTEIN', 113334),
(169609, 'PTHR26453:SF297', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 113335),
(169610, 'PTHR10680:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113336),
(169611, 'PTHR17068:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113337),
(169612, 'PTHR21248:SF22', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 113338),
(169613, 'PTHR44743:SF13', NULL, NULL, NULL, NULL, 'BNAC05G52180D PROTEIN', 113339),
(169614, 'PTHR43625:SF68', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 1-RELATED', 113340),
(169615, 'PTHR12169:SF19', NULL, NULL, NULL, NULL, 'LACTATION ELEVATED PROTEIN 1 HOMOLOG B', 113341),
(169616, 'PTHR27003:SF360', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE KINASE KINASE STE11, CRYPTOCOCCUS-RELATED', 113342),
(169617, 'PTHR47975:SF29', NULL, NULL, NULL, NULL, 'OS05G0165900 PROTEIN', 113343),
(169618, 'PTHR33101:SF2', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 14', 113344),
(169619, 'PTHR15710:SF132', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MPSR1', 113345),
(169620, 'PTHR13059:SF10', NULL, NULL, NULL, NULL, 'HMG BOX TRANSCRIPTION FACTOR BBX', 113346),
(169621, 'PTHR33142:SF13', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR2-LIKE', 113347),
(169622, 'PTHR45642:SF55', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL4-RELATED', 113348),
(169623, 'PTHR19368:SF12', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN 3', 113349),
(169624, 'PTHR34777', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 10', 113350),
(169625, 'PTHR46213:SF17', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE-RELATED', 113351),
(169626, 'PTHR31190:SF34', NULL, NULL, NULL, NULL, 'OS09G0572000 PROTEIN', 113352);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(169627, 'PTHR47785:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 113353),
(169628, 'PTHR45998:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 16-LIKE', 113354),
(169629, 'PTHR18966:SF370', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR FAMILY (AMPA)', 113355),
(169630, 'PTHR44133', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR SUBUNIT 1', 113356),
(169631, 'PTHR46446:SF23', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 113357),
(169632, 'PTHR21461:SF53', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', 113358),
(169633, 'PTHR12919:SF38', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S16, CHLOROPLASTIC', 113359),
(169634, 'PTHR46518:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 151', 113360),
(169635, 'PTHR47211:SF4', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 113361),
(169636, 'PTHR21254', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 113362),
(169637, 'PTHR31430:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CBG22332', 113363),
(169638, 'PTHR15740', NULL, NULL, NULL, NULL, 'NEUROPROTECTIVE PEPTIDE-CONTAINING PROTEIN', 113364),
(169639, 'PTHR48053:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113365),
(169640, 'PTHR44809:SF1', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSYL-TRANSFERASE TMTC1', 113366),
(169641, 'PTHR15071:SF28', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 113367),
(169642, 'PTHR22765:SF254', NULL, NULL, NULL, NULL, 'BNAANNG26870D PROTEIN', 113368),
(169643, 'PTHR31218:SF249', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 113369),
(169644, 'PTHR11017:SF307', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', 113370),
(169645, 'PTHR13069:SF33', NULL, NULL, NULL, NULL, 'BNAA05G09210D PROTEIN', 113371),
(169646, 'PTHR22106', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 78', 113372),
(169647, 'PTHR21497:SF50', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 113373),
(169648, 'PTHR33138:SF2', NULL, NULL, NULL, NULL, 'OS01G0137700 PROTEIN', 113374),
(169649, 'PTHR38123:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113375),
(169650, 'PTHR47928:SF156', NULL, NULL, NULL, NULL, 'OS07G0163900 PROTEIN', 113376),
(169651, 'PTHR13902:SF132', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK4-RELATED', 113377),
(169652, 'PTHR46858:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MYLIP-LIKE ISOFORM X1', 113378),
(169653, 'PTHR16095', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 143 FAMILY MEMBER', 113379),
(169654, 'PTHR11206:SF403', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113380),
(169655, 'PTHR21407:SF3', NULL, NULL, NULL, NULL, 'LD12305P', 113381),
(169656, 'PTHR47998:SF10', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 113382),
(169657, 'PTHR10541', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE', 113383),
(169658, 'PTHR31238:SF120', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 4-1', 113384),
(169659, 'PTHR11945:SF502', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL81', 113385),
(169660, 'PTHR31903:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113386),
(169661, 'PTHR23500:SF440', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113387),
(169662, 'PTHR14456:SF2', NULL, NULL, NULL, NULL, 'INOSITOL-PENTAKISPHOSPHATE 2-KINASE', 113388),
(169663, 'PTHR26452:SF96', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5H14', 113389),
(169664, 'PTHR48112:SF9', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN B1', 113390),
(169665, 'PTHR33974:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113391),
(169666, 'PTHR31213:SF3', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL2', 113392),
(169667, 'PTHR23039:SF2', NULL, NULL, NULL, NULL, 'NHS-LIKE PROTEIN 2', 113393),
(169668, 'PTHR15583:SF10', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR E-LIKE-RELATED', 113394),
(169669, 'PTHR10075:SF35', NULL, NULL, NULL, NULL, 'NEUROFASCIN', 113395),
(169670, 'PTHR21562:SF90', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 113396);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(169671, 'PTHR11850:SF290', NULL, NULL, NULL, NULL, 'FUSED COMPOUND LEAF 1', 113397),
(169672, 'PTHR35145:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 113398),
(169673, 'PTHR11240:SF55', NULL, NULL, NULL, NULL, 'F7A19.32 PROTEIN', 113399),
(169674, 'PTHR46128:SF139', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 113400),
(169675, 'PTHR45712', NULL, NULL, NULL, NULL, 'AGAP008170-PA', 113401),
(169676, 'PTHR12280:SF3', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE', 113402),
(169677, 'PTHR11363:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113403),
(169678, 'PTHR11886:SF85', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 113404),
(169679, 'PTHR33474:SF1', NULL, NULL, NULL, NULL, 'OS09G0412700 PROTEIN', 113405),
(169680, 'PTHR11157:SF153', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 113406),
(169681, 'PTHR10362:SF57', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE 1-LIKE', 113407),
(169682, 'PTHR36391:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113408),
(169683, 'PTHR22595:SF45', NULL, NULL, NULL, NULL, 'CHITINASE 11', 113409),
(169684, 'PTHR15711:SF3', NULL, NULL, NULL, NULL, 'RAP1 GTPASE-ACTIVATING PROTEIN 1', 113410),
(169685, 'PTHR48150', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE-ASSEMBLY FACTOR COX23, MITOCHONDRIAL', 113411),
(169686, 'PTHR44029:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 21', 113412),
(169687, 'PTHR10857:SF101', NULL, NULL, NULL, NULL, 'COPINE FAMILY PROTEIN 5', 113413),
(169688, 'PTHR11334:SF61', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE MAS', 113414),
(169689, 'PTHR22811:SF187', NULL, NULL, NULL, NULL, 'BNAC08G42610D PROTEIN', 113415),
(169690, 'PTHR22849:SF111', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 113416),
(169691, 'PTHR23050:SF437', NULL, NULL, NULL, NULL, 'PROTEIN CBG12886', 113417),
(169692, 'PTHR21654:SF76', NULL, NULL, NULL, NULL, 'BNAC05G09890D PROTEIN', 113418),
(169693, 'PTHR47055:SF2', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED PROTEIN 2', 113419),
(169694, 'PTHR39084', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 113420),
(169695, 'PTHR26379:SF376', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113421),
(169696, 'PTHR47320:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL URIDYLYLTRANSFERASE/URIDYLYL-REMOVING ENZYME', 113422),
(169697, 'PTHR24208:SF116', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX4', 113423),
(169698, 'PTHR45625', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-RELATED', 113424),
(169699, 'PTHR31873', NULL, NULL, NULL, NULL, 'L-ASPARTATE DEHYDROGENASE-RELATED', 113425),
(169700, 'PTHR37864:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO AVLV472', 113426),
(169701, 'PTHR31235:SF204', NULL, NULL, NULL, NULL, 'PEROXIDASE', 113427),
(169702, 'PTHR10635:SF1', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA-1', 113428),
(169703, 'PTHR47946:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A6-LIKE', 113429),
(169704, 'PTHR24055:SF502', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 113430),
(169705, 'PTHR12358:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113431),
(169706, 'PTHR12629:SF60', NULL, NULL, NULL, NULL, 'BNAA06G12450D PROTEIN', 113432),
(169707, 'PTHR18968:SF14', NULL, NULL, NULL, NULL, 'GLYOXYLATE CARBOLIGASE', 113433),
(169708, 'PTHR42202', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE III', 113434),
(169709, 'PTHR33593:SF21', NULL, NULL, NULL, NULL, 'BNAA08G24800D PROTEIN', 113435),
(169710, 'PTHR12411:SF768', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN-RELATED', 113436),
(169711, 'PTHR32467:SF135', NULL, NULL, NULL, NULL, 'BNAA05G20050D PROTEIN', 113437),
(169712, 'PTHR23503:SF112', NULL, NULL, NULL, NULL, 'PROTEIN CBG08087', 113438),
(169713, 'PTHR24240:SF75', NULL, NULL, NULL, NULL, 'VERTEBRATE ANCIENT LONG OPSIN', 113439),
(169714, 'PTHR13903:SF25', NULL, NULL, NULL, NULL, 'PIRIN-LIKE PROTEIN', 113440),
(169715, 'PTHR16038:SF5', NULL, NULL, NULL, NULL, 'BNAANNG21410D PROTEIN', 113441),
(169716, 'PTHR13850:SF1', NULL, NULL, NULL, NULL, 'PLEIOTROPHIN', 113442);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(169717, 'PTHR24088:SF0', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S17, MITOCHONDRIAL', 113443),
(169718, 'PTHR12577', NULL, NULL, NULL, NULL, 'DACHSHUND', 113444),
(169719, 'PTHR27008:SF401', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113445),
(169720, 'PTHR12197:SF241', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', 113446),
(169721, 'PTHR43499', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 1', 113447),
(169722, 'PTHR19328:SF53', NULL, NULL, NULL, NULL, 'ALDOSE SUGAR DEHYDROGENASE YLII', 113448),
(169723, 'PTHR10380:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113449),
(169724, 'PTHR31713:SF65', NULL, NULL, NULL, NULL, 'CAM-BINDING PROTEIN 60-LIKE G-RELATED', 113450),
(169725, 'PTHR26312:SF146', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 113451),
(169726, 'PTHR33021:SF329', NULL, NULL, NULL, NULL, 'BNAA07G38560D PROTEIN', 113452),
(169727, 'PTHR33427', NULL, NULL, NULL, NULL, 'HNH ENDONUCLEASE', 113453),
(169728, 'PTHR31517:SF8', NULL, NULL, NULL, NULL, 'PEROXIDASE', 113454),
(169729, 'PTHR13301:SF182', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE H1-LIKE PROTEIN', 113455),
(169730, 'PTHR10792:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113456),
(169731, 'PTHR21553:SF26', NULL, NULL, NULL, NULL, 'ALMS1 CENTROSOME AND BASAL BODY-ASSOCIATED PROTEIN', 113457),
(169732, 'PTHR31283:SF15', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN 2', 113458),
(169733, 'PTHR23113:SF199', NULL, NULL, NULL, NULL, 'RAL GUANINE NUCLEOTIDE DISSOCIATION STIMULATOR-LIKE 1', 113459),
(169734, 'PTHR43220:SF11', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN FAMILY-RELATED', 113460),
(169735, 'PTHR31852:SF128', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOPROTEIN', 113461),
(169736, 'PTHR11977:SF55', NULL, NULL, NULL, NULL, 'GELSOLIN', 113462),
(169737, 'PTHR45958:SF11', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 113463),
(169738, 'PTHR33101:SF51', NULL, NULL, NULL, NULL, 'BNAA05G15000D PROTEIN', 113464),
(169739, 'PTHR10209:SF730', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG', 113465),
(169740, 'PTHR33800:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113466),
(169741, 'PTHR10516:SF399', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 113467),
(169742, 'PTHR12428:SF45', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEIN OXA1-RELATED', 113468),
(169743, 'PTHR45618:SF46', NULL, NULL, NULL, NULL, 'BNAA09G42560D PROTEIN', 113469),
(169744, 'PTHR11093', NULL, NULL, NULL, NULL, 'RUVB-RELATED REPTIN AND PONTIN', 113470),
(169745, 'PTHR34992:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113471),
(169746, 'PTHR21011:SF1', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S6, MITOCHONDRIAL', 113472),
(169747, 'PTHR45948:SF5', NULL, NULL, NULL, NULL, 'SPECIFICITY PROTEIN PHOSPHATASE, PUTATIVE-RELATED', 113473),
(169748, 'PTHR45660:SF12', NULL, NULL, NULL, NULL, 'OS08G0565700 PROTEIN', 113474),
(169749, 'PTHR31912:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113475),
(169750, 'PTHR13601:SF2', NULL, NULL, NULL, NULL, 'GAMETOGENETIN-BINDING PROTEIN 2', 113476),
(169751, 'PTHR36115:SF4', NULL, NULL, NULL, NULL, 'LMO1584 PROTEIN', 113477),
(169752, 'PTHR31503:SF14', NULL, NULL, NULL, NULL, 'VACUOLAR CALCIUM ION TRANSPORTER', 113478),
(169753, 'PTHR24044:SF380', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN 1', 113479),
(169754, 'PTHR21449:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG05315', 113480),
(169755, 'PTHR33168:SF37', NULL, NULL, NULL, NULL, 'OS01G0751400 PROTEIN', 113481),
(169756, 'PTHR31066:SF57', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P FAMILY PROTEIN', 113482),
(169757, 'PTHR47997:SF25', NULL, NULL, NULL, NULL, 'MYB16 PROTEIN', 113483),
(169758, 'PTHR10774:SF186', NULL, NULL, NULL, NULL, 'OS09G0538800 PROTEIN', 113484),
(169759, 'PTHR11638:SF167', NULL, NULL, NULL, NULL, 'BNAC09G42450D PROTEIN', 113485),
(169760, 'PTHR46128:SF211', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 113486);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(169761, 'PTHR31627:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-RELATED', 113487),
(169762, 'PTHR31419:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113488),
(169763, 'PTHR10336:SF162', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C 5', 113489),
(169764, 'PTHR43272:SF81', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 4-LIKE', 113490),
(169765, 'PTHR23231:SF18', NULL, NULL, NULL, NULL, 'GERM CELL-LESS PROTEIN-LIKE 2', 113491),
(169766, 'PTHR48017:SF103', NULL, NULL, NULL, NULL, 'BNAA03G17600D PROTEIN', 113492),
(169767, 'PTHR10378:SF38', NULL, NULL, NULL, NULL, 'LIM-DOMAIN BINDING PROTEIN/SEUSS-RELATED', 113493),
(169768, 'PTHR31867:SF137', NULL, NULL, NULL, NULL, 'EXPANSIN', 113494),
(169769, 'PTHR48018:SF5', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8A1', 113495),
(169770, 'PTHR22594:SF5', NULL, NULL, NULL, NULL, 'ASPARTATE--TRNA LIGASE, MITOCHONDRIAL', 113496),
(169771, 'PTHR23076:SF116', NULL, NULL, NULL, NULL, 'BNAC05G04410D PROTEIN', 113497),
(169772, 'PTHR11709:SF416', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR V', 113498),
(169773, 'PTHR11444:SF22', NULL, NULL, NULL, NULL, 'FUMARATE HYDRATASE CLASS II', 113499),
(169774, 'PTHR36924', NULL, NULL, NULL, NULL, 'ANTITOXIN HIGA-1', 113500),
(169775, 'PTHR24390:SF129', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 707', 113501),
(169776, 'PTHR11599:SF146', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-4-A', 113502),
(169777, 'PTHR44140:SF1', NULL, NULL, NULL, NULL, 'DNAJ (HSP40) HOMOLOG, SUBFAMILY C, MEMBER 3B', 113503),
(169778, 'PTHR12854:SF15', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 4', 113504),
(169779, 'PTHR46924:SF4', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR-LIKE PROTEIN N', 113505),
(169780, 'PTHR23310:SF13', NULL, NULL, NULL, NULL, 'DIAZEPAM-BINDING INHIBITOR-LIKE 5', 113506),
(169781, 'PTHR21248:SF23', NULL, NULL, NULL, NULL, 'CARDIOLIPIN SYNTHASE B', 113507),
(169782, 'PTHR13859:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113508),
(169783, 'PTHR37826:SF2', NULL, NULL, NULL, NULL, 'FLOTILLIN BAND_7_5 DOMAIN PROTEIN', 113509),
(169784, 'PTHR11802:SF58', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 113510),
(169785, 'PTHR31235:SF81', NULL, NULL, NULL, NULL, 'PEROXIDASE 1', 113511),
(169786, 'PTHR42877:SF6', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G15050)-RELATED', 113512),
(169787, 'PTHR46637:SF1', NULL, NULL, NULL, NULL, 'BLR1914 PROTEIN', 113513),
(169788, 'PTHR43248:SF3', NULL, NULL, NULL, NULL, 'PROLYL AMINOPEPTIDASE-RELATED', 113514),
(169789, 'PTHR13316:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG09981', 113515),
(169790, 'PTHR15460', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 4', 113516),
(169791, 'PTHR32002:SF65', NULL, NULL, NULL, NULL, 'PROTEIN NLP6-LIKE ISOFORM X1', 113517),
(169792, 'PTHR47988:SF4', NULL, NULL, NULL, NULL, 'LRR RECEPTOR KINASE SERK2', 113518),
(169793, 'PTHR45098:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113519),
(169794, 'PTHR34941:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SRC1', 113520),
(169795, 'PTHR31817:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113521),
(169796, 'PTHR47961:SF6', NULL, NULL, NULL, NULL, 'DNA POLYMERASE THETA, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G05260)-RELATED', 113522),
(169797, 'PTHR35097:SF1', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 113523),
(169798, 'PTHR21453:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG04723', 113524),
(169799, 'PTHR47958:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113525),
(169800, 'PTHR24281:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113526),
(169801, 'PTHR15710:SF78', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', 113527),
(169802, 'PTHR33076:SF55', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 113528),
(169803, 'PTHR43791:SF6', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G16690)-RELATED', 113529),
(169804, 'PTHR24356:SF377', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 113530);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(169805, 'PTHR32448:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113531),
(169806, 'PTHR15898:SF18', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN PSH1', 113532),
(169807, 'PTHR11850:SF324', NULL, NULL, NULL, NULL, 'BNAA03G51900D PROTEIN', 113533),
(169808, 'PTHR10177:SF469', NULL, NULL, NULL, NULL, 'CYCLIN-D4-1', 113534),
(169809, 'PTHR46338:SF11', NULL, NULL, NULL, NULL, 'BROMODOMAIN TRANSCRIPTION FACTOR-RELATED', 113535),
(169810, 'PTHR43433', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN', 113536),
(169811, 'PTHR11844:SF26', NULL, NULL, NULL, NULL, 'METALLOPROTEINASE INHIBITOR 4', 113537),
(169812, 'PTHR24377:SF262', NULL, NULL, NULL, NULL, 'GENE MODEL 1008, (NCBI)', 113538),
(169813, 'PTHR47985:SF10', NULL, NULL, NULL, NULL, 'BNAC09G41430D PROTEIN', 113539),
(169814, 'PTHR45752:SF46', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IQ DOMAIN-CONTAINING PROTEIN 4', 113540),
(169815, 'PTHR31241:SF42', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2D-LIKE', 113541),
(169816, 'PTHR43061', NULL, NULL, NULL, NULL, 'GTP DIPHOSPHOKINASE RSH1, CHLOROPLASTIC-RELATED', 113542),
(169817, 'PTHR18063:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113543),
(169818, 'PTHR11801:SF43', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND TRANSCRIPTION ACTIVATOR', 113544),
(169819, 'PTHR12892:SF21', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 2', 113545),
(169820, 'PTHR13019:SF21', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23', 113546),
(169821, 'PTHR12770:SF5', NULL, NULL, NULL, NULL, 'PROTEIN ROOT UVB SENSITIVE 2, CHLOROPLASTIC', 113547),
(169822, 'PTHR34809:SF2', NULL, NULL, NULL, NULL, 'MALTOSE EXCESS PROTEIN 1-LIKE, CHLOROPLASTIC ISOFORM X1', 113548),
(169823, 'PTHR22298:SF22', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 18-RELATED', 113549),
(169824, 'PTHR43826', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE EXCHANGER SLC37A4', 113550),
(169825, 'PTHR45874:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C10', 113551),
(169826, 'PTHR32080:SF54', NULL, NULL, NULL, NULL, 'ANTIFUNGAL PROTEIN GINKBILOBIN-2-LIKE', 113552),
(169827, 'PTHR12673', NULL, NULL, NULL, NULL, 'FACIOGENITAL DYSPLASIA PROTEIN', 113553),
(169828, 'PTHR48218', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 113554),
(169829, 'PTHR46420:SF1', NULL, NULL, NULL, NULL, 'BETA-1,4-GLUCURONYLTRANSFERASE 1', 113555),
(169830, 'PTHR43272:SF45', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 6 PEROXISOMAL', 113556),
(169831, 'PTHR10689:SF9', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E SYNTHASE', 113557),
(169832, 'PTHR15107:SF5', NULL, NULL, NULL, NULL, 'DNA ENDONUCLEASE RBBP8', 113558),
(169833, 'PTHR10766:SF97', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 113559),
(169834, 'PTHR43521:SF6', NULL, NULL, NULL, NULL, 'ALDEHYDE/HISTIDINOL DEHYDROGENASE-RELATED', 113560),
(169835, 'PTHR47364:SF25', NULL, NULL, NULL, NULL, 'BNAC09G39980D PROTEIN', 113561),
(169836, 'PTHR33057:SF105', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP13-LIKE', 113562),
(169837, 'PTHR11255:SF47', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 113563),
(169838, 'PTHR19282:SF456', NULL, NULL, NULL, NULL, 'TETRASPANIN', 113564),
(169839, 'PTHR44137:SF29', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', 113565),
(169840, 'PTHR31325:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113566),
(169841, 'PTHR11206:SF432', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 113567),
(169842, 'PTHR23077', NULL, NULL, NULL, NULL, 'AAA-FAMILY ATPASE', 113568),
(169843, 'PTHR13532:SF3', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 14', 113569),
(169844, 'PTHR47991:SF70', NULL, NULL, NULL, NULL, '2-OXOACID-DEPENDENT DIOXYGENASE', 113570),
(169845, 'PTHR12782:SF5', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E SYNTHASE 2', 113571),
(169846, 'PTHR48051:SF1', NULL, NULL, NULL, NULL, 'S-CELL ENRICHED WITH LEUCINE-RICH REPEAT-CONTAINING PROTEIN SLRA-RELATED', 113572),
(169847, 'PTHR10641:SF1260', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 113573);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(169848, 'PTHR26312:SF164', NULL, NULL, NULL, NULL, 'BNAA02G04750D PROTEIN', 113574),
(169849, 'PTHR33463:SF98', NULL, NULL, NULL, NULL, 'OS04G0431700 PROTEIN', 113575),
(169850, 'PTHR11920:SF487', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE, GERMINATION SPECIFIC', 113576),
(169851, 'PTHR47751', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G16580)-RELATED', 113577),
(169852, 'PTHR12758', NULL, NULL, NULL, NULL, 'APOPTOSIS INHIBITOR 5-RELATED', 113578),
(169853, 'PTHR24070:SF174', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAL-A', 113579),
(169854, 'PTHR14754:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 5', 113580),
(169855, 'PTHR48047:SF33', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 89B1', 113581),
(169856, 'PTHR48044:SF36', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 113582),
(169857, 'PTHR45651:SF39', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 18', 113583),
(169858, 'PTHR45914:SF32', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING SUPERFAMILY PROTEIN-RELATED', 113584),
(169859, 'PTHR12884:SF25', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', 113585),
(169860, 'PTHR31494:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113586),
(169861, 'PTHR11732:SF461', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALPHA-KETO AMIDE REDUCTASE', 113587),
(169862, 'PTHR31953:SF71', NULL, NULL, NULL, NULL, 'FRUCTAN 6-EXOHYDROLASE', 113588),
(169863, 'PTHR47956:SF81', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 113589),
(169864, 'PTHR33191:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113590),
(169865, 'PTHR43795:SF72', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE', 113591),
(169866, 'PTHR43341:SF35', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', 113592),
(169867, 'PTHR40037:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE YJCG-RELATED', 113593),
(169868, 'PTHR35603', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 113594),
(169869, 'PTHR10778:SF44', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE/UDP-GLUCOSE TRANSPORTER 4-LIKE', 113595),
(169870, 'PTHR40396:SF1', NULL, NULL, NULL, NULL, 'ATPASE-LIKE PROTEIN', 113596),
(169871, 'PTHR38926:SF32', NULL, NULL, NULL, NULL, 'BNAA04G11740D PROTEIN', 113597),
(169872, 'PTHR27001:SF878', NULL, NULL, NULL, NULL, 'NSP-INTERACTING KINASE-LIKE PROTEIN', 113598),
(169873, 'PTHR43157:SF50', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE (SDR FAMILY) MEMBER 13A, DUPLICATE 3', 113599),
(169874, 'PTHR10574:SF28', NULL, NULL, NULL, NULL, 'NETRIN-G1', 113600),
(169875, 'PTHR24068:SF361', NULL, NULL, NULL, NULL, 'OS02G0120600 PROTEIN', 113601),
(169876, 'PTHR22907:SF24', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 113602),
(169877, 'PTHR12403:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113603),
(169878, 'PTHR22552:SF16', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED', 113604),
(169879, 'PTHR33098:SF46', NULL, NULL, NULL, NULL, 'BNAC05G37650D PROTEIN', 113605),
(169880, 'PTHR24057:SF34', NULL, NULL, NULL, NULL, 'OS01G0296100 PROTEIN', 113606),
(169881, 'PTHR31642:SF222', NULL, NULL, NULL, NULL, 'BNAC03G72540D PROTEIN', 113607),
(169882, 'PTHR33671', NULL, NULL, NULL, NULL, 'N-METHYLTRANSFERASE, PUTATIVE (DUF688)-RELATED', 113608),
(169883, 'PTHR24349:SF166', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 12', 113609),
(169884, 'PTHR42760:SF50', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE-RELATED', 113610),
(169885, 'PTHR11592:SF40', NULL, NULL, NULL, NULL, 'THIOREDOXIN/GLUTATHIONE PEROXIDASE BTUE', 113611),
(169886, 'PTHR37254:SF2', NULL, NULL, NULL, NULL, 'MONOCOPPER OXIDASE-LIKE PROTEIN SKU5', 113612),
(169887, 'PTHR11228:SF35', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN A-RELATED', 113613),
(169888, 'PTHR23360:SF21', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 113614),
(169889, 'PTHR45931:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF6', 113615),
(169890, 'PTHR46072:SF5', NULL, NULL, NULL, NULL, 'GENERAL AMIDASE-C', 113616);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(169891, 'PTHR33044:SF192', NULL, NULL, NULL, NULL, 'PROTEIN YLS3-LIKE ISOFORM X1', 113617),
(169892, 'PTHR19918:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113618),
(169893, 'PTHR35362', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 113619),
(169894, 'PTHR10882', NULL, NULL, NULL, NULL, 'DIPHTHINE SYNTHASE', 113620),
(169895, 'PTHR45757:SF31', NULL, NULL, NULL, NULL, 'PROTEIN CBG04430', 113621),
(169896, 'PTHR13147', NULL, NULL, NULL, NULL, 'FOUR-JOINTED BOX PROTEIN 1', 113622),
(169897, 'PTHR10937:SF4', NULL, NULL, NULL, NULL, 'ARCHAEAL GLUCOSAMINE-6-PHOSPHATE DEAMINASE', 113623),
(169898, 'PTHR32080:SF6', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 4', 113624),
(169899, 'PTHR31951:SF24', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS RELATED FAMILY', 113625),
(169900, 'PTHR12465:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 20', 113626),
(169901, 'PTHR23315:SF272', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 2-LIKE', 113627),
(169902, 'PTHR15493:SF9', NULL, NULL, NULL, NULL, 'GH14043P', 113628),
(169903, 'PTHR31339:SF54', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 113629),
(169904, 'PTHR31948:SF97', NULL, NULL, NULL, NULL, 'ZF-HD HOMEOBOX PROTEIN, CYS/HIS-RICH DIMERIZATION DOMAIN-CONTAINING PROTEIN-RELATED', 113630),
(169905, 'PTHR11210', NULL, NULL, NULL, NULL, 'RING BOX', 113631),
(169906, 'PTHR37564:SF1', NULL, NULL, NULL, NULL, 'DNA-ASSOCIATED PROTEIN, PUTATIVE-RELATED', 113632),
(169907, 'PTHR15962', NULL, NULL, NULL, NULL, 'ACTIVITY-REGULATED CYTOSKELETON-ASSOCIATED PROTEIN', 113633),
(169908, 'PTHR31062:SF147', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 113634),
(169909, 'PTHR30435:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK PROTEIN FLGE', 113635),
(169910, 'PTHR42051', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED PROTEIN PB1A10.08', 113636),
(169911, 'PTHR12441:SF14', NULL, NULL, NULL, NULL, 'SI:CH211-140M22.7-RELATED', 113637),
(169912, 'PTHR13301:SF91', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 4 [UDP-FORMING]', 113638),
(169913, 'PTHR13091:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SMG8', 113639),
(169914, 'PTHR36932', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 113640),
(169915, 'PTHR42648:SF11', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PUTATIVE-RELATED', 113641),
(169916, 'PTHR22765:SF163', NULL, NULL, NULL, NULL, 'OS01G0535300 PROTEIN', 113642),
(169917, 'PTHR33543:SF30', NULL, NULL, NULL, NULL, 'BNAA03G54880D PROTEIN', 113643),
(169918, 'PTHR31190:SF185', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-2', 113644),
(169919, 'PTHR34373:SF8', NULL, NULL, NULL, NULL, 'SHUGOSHIN', 113645),
(169920, 'PTHR22914:SF40', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 4', 113646),
(169921, 'PTHR10891:SF894', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 113647),
(169922, 'PTHR40517:SF1', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PHOSPHOHYDROLASE, HD SUPERFAMILY-RELATED', 113648),
(169923, 'PTHR13062:SF11', NULL, NULL, NULL, NULL, 'PRE-PRO-METALLOPROTEASE PRTV', 113649),
(169924, 'PTHR19290:SF99', NULL, NULL, NULL, NULL, 'PROTEIN ATONAL HOMOLOG 7', 113650),
(169925, 'PTHR10335:SF22', NULL, NULL, NULL, NULL, 'FIBRILLARIN, S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 113651),
(169926, 'PTHR34687:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ-LIKE PROTEIN', 113652),
(169927, 'PTHR33103:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113653),
(169928, 'PTHR43078:SF18', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE 4', 113654),
(169929, 'PTHR43735:SF3', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR HOMOLOG A-RELATED', 113655),
(169930, 'PTHR24305:SF205', NULL, NULL, NULL, NULL, 'VERSICOLORIN B DESATURASE', 113656),
(169931, 'PTHR36712:SF2', NULL, NULL, NULL, NULL, 'BNAA06G09740D PROTEIN', 113657),
(169932, 'PTHR24012:SF790', NULL, NULL, NULL, NULL, 'MEI2 C-TERMINAL RRM ONLY LIKE 2', 113658),
(169933, 'PTHR11731:SF193', NULL, NULL, NULL, NULL, 'DIPEPTIDYL-PEPTIDASE 4-RELATED', 113659);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(169934, 'PTHR23155:SF1099', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113660),
(169935, 'PTHR24198:SF173', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX-CONTAINING 3', 113661),
(169936, 'PTHR11266:SF17', NULL, NULL, NULL, NULL, 'PROTEIN MPV17', 113662),
(169937, 'PTHR46700:SF4', NULL, NULL, NULL, NULL, 'ARMADILLO/BETA-CATENIN-LIKE REPEAT PROTEIN', 113663),
(169938, 'PTHR24091:SF0', NULL, NULL, NULL, NULL, 'LYMPHOCYTE TRANSMEMBRANE ADAPTER 1', 113664),
(169939, 'PTHR47682:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-CONTAINING PROTEIN', 113665),
(169940, 'PTHR48044:SF19', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 113666),
(169941, 'PTHR32123:SF11', NULL, NULL, NULL, NULL, 'BICD FAMILY-LIKE CARGO ADAPTER 2', 113667),
(169942, 'PTHR11533:SF42', NULL, NULL, NULL, NULL, 'LEUCYL-CYSTINYL AMINOPEPTIDASE', 113668),
(169943, 'PTHR43888:SF16', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY A MEMBER 1 HOMOLOG', 113669),
(169944, 'PTHR35204:SF1', NULL, NULL, NULL, NULL, 'YALI0A21131P', 113670),
(169945, 'PTHR10517:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113671),
(169946, 'PTHR31279:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113672),
(169947, 'PTHR38695:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113673),
(169948, 'PTHR18875', NULL, NULL, NULL, NULL, 'SARCOMA ANTIGEN NY-SAR-24/CYTOSKELETAL PROTEIN SOJO', 113674),
(169949, 'PTHR48044:SF56', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 708D1', 113675),
(169950, 'PTHR22950:SF207', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 2', 113676),
(169951, 'PTHR12186:SF4', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF IKBKE 1', 113677),
(169952, 'PTHR35213', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 113678),
(169953, 'PTHR14700', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 2, MITOCHONDRIAL', 113679),
(169954, 'PTHR33203:SF24', NULL, NULL, NULL, NULL, 'OLEOSIN', 113680),
(169955, 'PTHR30154:SF53', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LRPB', 113681),
(169956, 'PTHR45648:SF93', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 113682),
(169957, 'PTHR10527:SF58', NULL, NULL, NULL, NULL, 'IMPORTIN-5-LIKE', 113683),
(169958, 'PTHR11654:SF176', NULL, NULL, NULL, NULL, 'OSJNBA0093F12.12 PROTEIN', 113684),
(169959, 'PTHR45733:SF7', NULL, NULL, NULL, NULL, 'OS06G0184400 PROTEIN', 113685),
(169960, 'PTHR24418:SF376', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 113686),
(169961, 'PTHR48002:SF154', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 113687),
(169962, 'PTHR47979:SF73', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-4A', 113688),
(169963, 'PTHR12596:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113689),
(169964, 'PTHR20940:SF1', NULL, NULL, NULL, NULL, 'CIBOULOT, ISOFORM A', 113690),
(169965, 'PTHR10281:SF96', NULL, NULL, NULL, NULL, 'MEMBRANE STEROID-BINDING PROTEIN 1', 113691),
(169966, 'PTHR12916:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG20119', 113692),
(169967, 'PTHR31213:SF96', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE 2-LIKE', 113693),
(169968, 'PTHR31985:SF170', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 113694),
(169969, 'PTHR43454:SF1', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 113695),
(169970, 'PTHR46952:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 113696),
(169971, 'PTHR46329:SF6', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR 4-RELATED', 113697),
(169972, 'PTHR12673:SF245', NULL, NULL, NULL, NULL, 'GUANINE EXCHANGE FACTOR FOR RAC 30', 113698),
(169973, 'PTHR48044:SF23', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYL/UDP-GLUCOSYLTRANSFERASE-RELATED', 113699),
(169974, 'PTHR10903:SF156', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST', 113700),
(169975, 'PTHR33511:SF30', NULL, NULL, NULL, NULL, 'BNAA01G22620D PROTEIN', 113701),
(169976, 'PTHR35795:SF1', NULL, NULL, NULL, NULL, 'SLR1885 PROTEIN', 113702),
(169977, 'PTHR30251:SF2', NULL, NULL, NULL, NULL, 'FIMBRIAL CHAPERONE YADV-RELATED', 113703);
INSERT INTO "PUBLIC"."MODEL" VALUES
(169978, 'PTHR23105:SF157', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A-1-LIKE', 113704),
(169979, 'PTHR33101:SF46', NULL, NULL, NULL, NULL, 'RHO GUANYL-NUCLEOTIDE EXCHANGE FACTOR', 113705),
(169980, 'PTHR34630:SF45', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 113706),
(169981, 'PTHR10934:SF16', NULL, NULL, NULL, NULL, 'BNAC02G39900D PROTEIN', 113707),
(169982, 'PTHR10502:SF188', NULL, NULL, NULL, NULL, 'ANNEXIN', 113708),
(169983, 'PTHR33869:SF5', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 3', 113709),
(169984, 'PTHR45839:SF7', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 1', 113710),
(169985, 'PTHR31038:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 113711),
(169986, 'PTHR43859:SF51', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE AND LIGASE FAMILY PROTEIN-RELATED', 113712),
(169987, 'PTHR47991:SF123', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE 1-LIKE', 113713),
(169988, 'PTHR46662:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113714),
(169989, 'PTHR31938', NULL, NULL, NULL, NULL, 'NUCLEAR SPECKLE SPLICING REGULATORY PROTEIN 1', 113715),
(169990, 'PTHR10288:SF145', NULL, NULL, NULL, NULL, 'P-ELEMENT SOMATIC INHIBITOR, ISOFORM C', 113716),
(169991, 'PTHR42898:SF45', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE PROTEIN', 113717),
(169992, 'PTHR14155:SF581', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113718),
(169993, 'PTHR33284', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L25/GLN-TRNA SYNTHETASE, ANTI-CODON-BINDING DOMAIN-CONTAINING PROTEIN', 113719),
(169994, 'PTHR43409:SF9', NULL, NULL, NULL, NULL, 'BLR2995 PROTEIN', 113720),
(169995, 'PTHR24414:SF121', NULL, NULL, NULL, NULL, 'BNAA04G17250D PROTEIN', 113721),
(169996, 'PTHR47992:SF38', NULL, NULL, NULL, NULL, 'OS03G0395100 PROTEIN', 113722),
(169997, 'PTHR12542:SF149', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 113723),
(169998, 'PTHR46204:SF8', NULL, NULL, NULL, NULL, 'LYSM-DOMAIN PROTEIN KINASE FAMILY PROTEIN-RELATED', 113724),
(169999, 'PTHR24339:SF52', NULL, NULL, NULL, NULL, 'EVEN-SKIPPED HOMEOBOX 1', 113725),
(170000, 'PTHR23201:SF96', NULL, NULL, NULL, NULL, 'BNAA10G12810D PROTEIN', 113726),
(170001, 'PTHR45669:SF17', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN FAMILY PROTEIN, EXPRESSED', 113727),
(170002, 'PTHR16517:SF120', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 5 ISOFORM X1', 113728),
(170003, 'PTHR33672', NULL, NULL, NULL, NULL, 'YCF3-INTERACTING PROTEIN 1, CHLOROPLASTIC', 113729),
(170004, 'PTHR43300:SF7', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE EPSM-RELATED', 113730),
(170005, 'PTHR33833:SF3', NULL, NULL, NULL, NULL, 'NUCLEOLAR-LIKE PROTEIN-RELATED', 113731),
(170006, 'PTHR46506:SF37', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 113732),
(170007, 'PTHR33510:SF10', NULL, NULL, NULL, NULL, 'OS02G0614400 PROTEIN', 113733),
(170008, 'PTHR34191:SF17', NULL, NULL, NULL, NULL, 'F9L1.37', 113734),
(170009, 'PTHR30146:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 113735),
(170010, 'PTHR30413:SF11', NULL, NULL, NULL, NULL, 'TRANSPORT PERMEASE PROTEIN', 113736),
(170011, 'PTHR10814:SF24', NULL, NULL, NULL, NULL, 'TRANSDUCIN-LIKE ENHANCER PROTEIN 3', 113737),
(170012, 'PTHR47238', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 5', 113738),
(170013, 'PTHR47662', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 113739),
(170014, 'PTHR21856:SF7', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH-INTERACTING PROTEIN 2', 113740),
(170015, 'PTHR31790:SF228', NULL, NULL, NULL, NULL, 'BNAC03G35550D PROTEIN', 113741),
(170016, 'PTHR13388:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 132A', 113742),
(170017, 'PTHR15597:SF45', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN FOX-1 HOMOLOG 1', 113743),
(170018, 'PTHR10855:SF6', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 12 HOMOLOG B', 113744),
(170019, 'PTHR32153:SF56', NULL, NULL, NULL, NULL, 'BNAA03G00710D PROTEIN', 113745),
(170020, 'PTHR37807:SF3', NULL, NULL, NULL, NULL, 'OS07G0160300 PROTEIN', 113746),
(170021, 'PTHR32278:SF37', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A1-LIKE', 113747);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(170022, 'PTHR43806:SF14', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE 2', 113748),
(170023, 'PTHR10209:SF740', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113749),
(170024, 'PTHR46033:SF37', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM HOMOLOG', 113750),
(170025, 'PTHR24068:SF143', NULL, NULL, NULL, NULL, 'GEO06356P1', 113751),
(170026, 'PTHR42182', NULL, NULL, NULL, NULL, 'SLL0359 PROTEIN', 113752),
(170027, 'PTHR21230:SF1', NULL, NULL, NULL, NULL, 'GOLGI SNAP RECEPTOR COMPLEX MEMBER 2', 113753),
(170028, 'PTHR46023:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113754),
(170029, 'PTHR17008:SF1', NULL, NULL, NULL, NULL, 'MEIOSIS EXPRESSED GENE 1 PROTEIN HOMOLOG', 113755),
(170030, 'PTHR24418:SF199', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 113756),
(170031, 'PTHR45654:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113757),
(170032, 'PTHR22603:SF74', NULL, NULL, NULL, NULL, 'OS01G0183000 PROTEIN', 113758),
(170033, 'PTHR34488', NULL, NULL, NULL, NULL, 'SI:CH211-245H14.1-RELATED', 113759),
(170034, 'PTHR46128:SF86', NULL, NULL, NULL, NULL, 'BNAA05G08810D PROTEIN', 113760),
(170035, 'PTHR10075:SF76', NULL, NULL, NULL, NULL, 'ROUNDABOUT, AXON GUIDANCE RECEPTOR, HOMOLOG 4 (DROSOPHILA)', 113761),
(170036, 'PTHR47746:SF17', NULL, NULL, NULL, NULL, 'OS11G0577200 PROTEIN', 113762),
(170037, 'PTHR31407:SF16', NULL, NULL, NULL, NULL, 'PSBP DOMAIN-CONTAINING PROTEIN 7, CHLOROPLASTIC', 113763),
(170038, 'PTHR31005', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 113764),
(170039, 'PTHR32329', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN [INCLUDES 2-HYDROXYACYL-COA DEHYDRATASE (N-TER) AND ITS ACTIVATOR DOMAIN (C_TERM)-RELATED', 113765),
(170040, 'PTHR15591', NULL, NULL, NULL, NULL, 'RUN AND SH3 DOMAIN CONTAINING', 113766),
(170041, 'PTHR35252', NULL, NULL, NULL, NULL, 'RETINITIS PIGMENTOSA 9 PROTEIN', 113767),
(170042, 'PTHR23177:SF68', NULL, NULL, NULL, NULL, 'BNAA04G15850D PROTEIN', 113768),
(170043, 'PTHR21301:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113769),
(170044, 'PTHR47893', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN PCHR', 113770),
(170045, 'PTHR11654:SF473', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', 113771),
(170046, 'PTHR39206', NULL, NULL, NULL, NULL, 'SLL8004 PROTEIN', 113772),
(170047, 'PTHR24103:SF621', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 43-RELATED', 113773),
(170048, 'PTHR39221:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 7 OPEN READING FRAME 61', 113774),
(170049, 'PTHR47926:SF207', NULL, NULL, NULL, NULL, 'BNAANNG10610D PROTEIN', 113775),
(170050, 'PTHR15182:SF0', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 5', 113776),
(170051, 'PTHR10890:SF30', NULL, NULL, NULL, NULL, 'CYSTEINE--TRNA LIGASE', 113777),
(170052, 'PTHR14057:SF45', NULL, NULL, NULL, NULL, 'ONE CUT DOMAIN FAMILY MEMBER', 113778),
(170053, 'PTHR24349:SF261', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PEPKR2', 113779),
(170054, 'PTHR11879:SF53', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 113780),
(170055, 'PTHR23507:SF25', NULL, NULL, NULL, NULL, 'MFS EFFLUX PUMP ATNC', 113781),
(170056, 'PTHR34184:SF4', NULL, NULL, NULL, NULL, 'UPF0718 PROTEIN YCGR', 113782),
(170057, 'PTHR47435:SF3', NULL, NULL, NULL, NULL, 'NITRILE-SPECIFIER PROTEIN 5', 113783),
(170058, 'PTHR11461:SF191', NULL, NULL, NULL, NULL, 'PROTEIN Z-DEPENDENT PROTEASE INHIBITOR', 113784),
(170059, 'PTHR14987:SF3', NULL, NULL, NULL, NULL, 'LBH DOMAIN-CONTAINING PROTEIN 2', 113785),
(170060, 'PTHR10751:SF95', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 4-LIKE', 113786),
(170061, 'PTHR36063:SF4', NULL, NULL, NULL, NULL, 'BNAA09G17820D PROTEIN', 113787),
(170062, 'PTHR45642:SF94', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 113788),
(170063, 'PTHR41291', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 113789),
(170064, 'PTHR32054:SF59', NULL, NULL, NULL, NULL, 'BNACNNG42560D PROTEIN', 113790),
(170065, 'PTHR11485:SF50', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 113791);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(170066, 'PTHR46851:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113792),
(170067, 'PTHR21047:SF2', NULL, NULL, NULL, NULL, 'DTDP-4-DEHYDRORHAMNOSE 3,5-EPIMERASE', 113793),
(170068, 'PTHR22593', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 18', 113794),
(170069, 'PTHR33202:SF1', NULL, NULL, NULL, NULL, 'FERRIC UPTAKE REGULATION PROTEIN', 113795),
(170070, 'PTHR10779:SF14', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN ROADBLOCK', 113796),
(170071, 'PTHR30175:SF7', NULL, NULL, NULL, NULL, 'NEGATIVE REGULATOR OF SACY ACTIVITY', 113797),
(170072, 'PTHR37741', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 113798),
(170073, 'PTHR22907:SF56', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN RAM-5', 113799),
(170074, 'PTHR48083:SF17', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_2G16630)', 113800),
(170075, 'PTHR34782:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113801),
(170076, 'PTHR22943:SF95', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 113802),
(170077, 'PTHR43939:SF60', NULL, NULL, NULL, NULL, 'PREFOLDIN', 113803),
(170078, 'PTHR22943:SF47', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 113804),
(170079, 'PTHR31071:SF4', NULL, NULL, NULL, NULL, 'INTRACELLULAR PROTEIN TRANSPORT PROTEIN USO1-RELATED', 113805),
(170080, 'PTHR44329:SF133', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY KINASE TKL-PL-4 FAMILY-RELATED', 113806),
(170081, 'PTHR33047:SF27', NULL, NULL, NULL, NULL, 'LRRG00136', 113807),
(170082, 'PTHR10566:SF113', NULL, NULL, NULL, NULL, 'PROTEIN ACTIVITY OF BC1 COMPLEX KINASE 7, CHLOROPLASTIC', 113808),
(170083, 'PTHR16223:SF211', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING SUPERFAMILY PROTEIN-RELATED', 113809),
(170084, 'PTHR15601:SF28', NULL, NULL, NULL, NULL, 'BNAC03G57580D PROTEIN', 113810),
(170085, 'PTHR43302:SF9', NULL, NULL, NULL, NULL, 'TRANSPORTER ARSB-RELATED', 113811),
(170086, 'PTHR22943:SF106', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 113812),
(170087, 'PTHR35545:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113813),
(170088, 'PTHR45090:SF13', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', 113814),
(170089, 'PTHR42339', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 113815),
(170090, 'PTHR24336', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LBX', 113816),
(170091, 'PTHR39757', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 113817),
(170092, 'PTHR27001:SF801', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE DOMAIN KINASE', 113818),
(170093, 'PTHR13342:SF2', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR5', 113819),
(170094, 'PTHR31470:SF44', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN-RELATED', 113820),
(170095, 'PTHR10285:SF117', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE', 113821),
(170096, 'PTHR11795:SF445', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID ABC TRANSPORTER, PERMEASE PROTEIN', 113822),
(170097, 'PTHR47746:SF44', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 113823),
(170098, 'PTHR46567:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 12', 113824),
(170099, 'PTHR31264:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113825),
(170100, 'PTHR31096:SF71', NULL, NULL, NULL, NULL, 'ACT DOMAIN REPEAT 8-RELATED', 113826),
(170101, 'PTHR22633', NULL, NULL, NULL, NULL, 'NEURONAL TYROSINE-PHOSPHORYLATED PHOSPHOINOSITIDE-3-KINASE ADAPTER 2-RELATED', 113827),
(170102, 'PTHR21454:SF23', NULL, NULL, NULL, NULL, 'DPH3 HOMOLOG B-RELATED', 113828),
(170103, 'PTHR12866:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-CONJUGATING ENZYME ATG3', 113829),
(170104, 'PTHR48024:SF18', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 113830),
(170105, 'PTHR23263:SF133', NULL, NULL, NULL, NULL, 'LATE CORNIFIED ENVELOPE PROTEIN 5A', 113831),
(170106, 'PTHR33156:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113832),
(170107, 'PTHR33426:SF19', NULL, NULL, NULL, NULL, 'T0110053 ISOFORM 2', 113833),
(170108, 'PTHR21562:SF51', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 7', 113834),
(170109, 'PTHR16521:SF3', NULL, NULL, NULL, NULL, 'TYPE-1 ANGIOTENSIN II RECEPTOR-ASSOCIATED PROTEIN', 113835);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(170110, 'PTHR32018:SF16', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-RELATED', 113836),
(170111, 'PTHR27004:SF49', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 30', 113837),
(170112, 'PTHR45858:SF2', NULL, NULL, NULL, NULL, 'FERM, ARHGEF AND PLECKSTRIN DOMAIN-CONTAINING PROTEIN 1', 113838),
(170113, 'PTHR10743:SF18', NULL, NULL, NULL, NULL, 'PROTEIN RER1D', 113839),
(170114, 'PTHR36950:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG08549', 113840),
(170115, 'PTHR43278:SF4', NULL, NULL, NULL, NULL, 'NAD(P)H-DEPENDENT FMN-CONTAINING OXIDOREDUCTASE YWQN-RELATED', 113841),
(170116, 'PTHR36514:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG05723', 113842),
(170117, 'PTHR22963:SF29', NULL, NULL, NULL, NULL, 'DUMPY, ISOFORM Q', 113843),
(170118, 'PTHR24399:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 26', 113844),
(170119, 'PTHR11404', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE 2', 113845),
(170120, 'PTHR11712:SF325', NULL, NULL, NULL, NULL, '3-OXOACYL-(ACYL-CARRIER-PROTEIN) SYNTHASE II FABF', 113846),
(170121, 'PTHR11274:SF12', NULL, NULL, NULL, NULL, 'HELICASE, POSSIBLE DNA REPAIR RAD25', 113847),
(170122, 'PTHR10361:SF64', NULL, NULL, NULL, NULL, 'SODIUM/METABOLITE COTRANSPORTER BASS1, CHLOROPLASTIC-RELATED', 113848),
(170123, 'PTHR10502:SF190', NULL, NULL, NULL, NULL, 'OS09G0453300 PROTEIN', 113849),
(170124, 'PTHR46371:SF12', NULL, NULL, NULL, NULL, 'OS02G0582600 PROTEIN', 113850),
(170125, 'PTHR32054:SF45', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT 1-LIKE', 113851),
(170126, 'PTHR10621:SF41', NULL, NULL, NULL, NULL, 'BNAC09G00320D PROTEIN', 113852),
(170127, 'PTHR24070:SF194', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAP-2B', 113853),
(170128, 'PTHR22957:SF592', NULL, NULL, NULL, NULL, 'FI17814P1', 113854),
(170129, 'PTHR10048:SF15', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE ALPHA-RELATED', 113855),
(170130, 'PTHR13832:SF761', NULL, NULL, NULL, NULL, 'SD03870P', 113856),
(170131, 'PTHR12247:SF67', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 11', 113857),
(170132, 'PTHR35008', NULL, NULL, NULL, NULL, 'BLL4482 PROTEIN-RELATED', 113858),
(170133, 'PTHR10179:SF27', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 13', 113859),
(170134, 'PTHR45758:SF12', NULL, NULL, NULL, NULL, 'MITOFERRIN-LIKE', 113860),
(170135, 'PTHR34569:SF11', NULL, NULL, NULL, NULL, 'BNAC01G40860D PROTEIN', 113861),
(170136, 'PTHR42748:SF24', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-DIPHOSPHATE-SUGAR EPIMERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G11740)', 113862),
(170137, 'PTHR31625:SF46', NULL, NULL, NULL, NULL, 'OS03G0402600 PROTEIN', 113863),
(170138, 'PTHR22780:SF38', NULL, NULL, NULL, NULL, 'ADAPTOR RELATED PROTEIN COMPLEX 2 SUBUNIT ALPHA 2', 113864),
(170139, 'PTHR15425', NULL, NULL, NULL, NULL, 'CD160 ANTIGEN', 113865),
(170140, 'PTHR43874:SF19', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR 23-RELATED', 113866),
(170141, 'PTHR32444:SF127', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 113867),
(170142, 'PTHR31251:SF146', NULL, NULL, NULL, NULL, 'BNAANNG25050D PROTEIN', 113868),
(170143, 'PTHR12046:SF1', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE TYPE B CATALYTIC SUBUNIT', 113869),
(170144, 'PTHR11339:SF225', NULL, NULL, NULL, NULL, 'OTOGELIN-LIKE PROTEIN', 113870),
(170145, 'PTHR31748:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 113871),
(170146, 'PTHR45811:SF53', NULL, NULL, NULL, NULL, 'LATE BLIGHT RESISTANCE PROTEIN HOMOLOG R1B-19-RELATED', 113872),
(170147, 'PTHR47094:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113873),
(170148, 'PTHR21844', NULL, NULL, NULL, NULL, 'AKT1 SUBSTRATE 1 PROTEIN', 113874),
(170149, 'PTHR10202:SF21', NULL, NULL, NULL, NULL, 'PRESENILIN-A', 113875),
(170150, 'PTHR12695:SF2', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIH SUBUNIT 2-RELATED', 113876),
(170151, 'PTHR12369:SF11', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 113877),
(170152, 'PTHR33786:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 113878),
(170153, 'PTHR31662:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113879);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(170154, 'PTHR32444:SF96', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 113880),
(170155, 'PTHR47942:SF3', NULL, NULL, NULL, NULL, 'OS10G0506000 PROTEIN', 113881),
(170156, 'PTHR10388:SF66', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR SUI1-RELATED', 113882),
(170157, 'PTHR16228:SF23', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 41 MEMBER 1', 113883),
(170158, 'PTHR31218:SF228', NULL, NULL, NULL, NULL, 'BNAANNG18970D PROTEIN', 113884),
(170159, 'PTHR36759:SF1', NULL, NULL, NULL, NULL, 'DYNEIN BETA CHAIN, CILIARY PROTEIN', 113885),
(170160, 'PTHR33595', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN PROTEIN', 113886),
(170161, 'PTHR34282:SF2', NULL, NULL, NULL, NULL, 'OS01G0228800 PROTEIN', 113887),
(170162, 'PTHR33137:SF26', NULL, NULL, NULL, NULL, 'BNAA09G56600D PROTEIN', 113888),
(170163, 'PTHR48022:SF57', NULL, NULL, NULL, NULL, 'MALTOSE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00150)-RELATED', 113889),
(170164, 'PTHR43539:SF37', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA7-RELATED', 113890),
(170165, 'PTHR15169:SF0', NULL, NULL, NULL, NULL, 'DNA DAMAGE-BINDING PROTEIN 2', 113891),
(170166, 'PTHR13282:SF14', NULL, NULL, NULL, NULL, 'PROTEIN FAM32A-LIKE', 113892),
(170167, 'PTHR11616:SF44', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT TRANSPORTER XTRP3', 113893),
(170168, 'PTHR24366:SF45', NULL, NULL, NULL, NULL, 'IG-LIKE AND FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN C27B7.7', 113894),
(170169, 'PTHR31589:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113895),
(170170, 'PTHR13778:SF5', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 113896),
(170171, 'PTHR31677:SF142', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 113897),
(170172, 'PTHR35094:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 113898),
(170173, 'PTHR37834:SF2', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G00620)', 113899),
(170174, 'PTHR31871:SF18', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME 2-RELATED', 113900),
(170175, 'PTHR47962:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR HELICASE RADD-RELATED', 113901),
(170176, 'PTHR44083:SF31', NULL, NULL, NULL, NULL, 'PROTEIN TPR3-LIKE', 113902),
(170177, 'PTHR10682:SF38', NULL, NULL, NULL, NULL, 'OS03G0313300 PROTEIN', 113903),
(170178, 'PTHR24274', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 161', 113904),
(170179, 'PTHR24067:SF302', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1-LIKE', 113905),
(170180, 'PTHR13620:SF57', NULL, NULL, NULL, NULL, 'OS07G0112400 PROTEIN', 113906),
(170181, 'PTHR15715:SF26', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 136', 113907),
(170182, 'PTHR36299:SF3', NULL, NULL, NULL, NULL, 'FI03431P', 113908),
(170183, 'PTHR33472:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113909),
(170184, 'PTHR47255:SF11', NULL, NULL, NULL, NULL, 'BNAA02G08490D PROTEIN', 113910),
(170185, 'PTHR21344:SF1', NULL, NULL, NULL, NULL, 'RAL GTPASE-ACTIVATING PROTEIN SUBUNIT BETA', 113911),
(170186, 'PTHR11746:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113912),
(170187, 'PTHR15466', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN CONTAINING 4', 113913),
(170188, 'PTHR11527:SF318', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN', 113914),
(170189, 'PTHR11081:SF54', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE GEN HOMOLOG 1', 113915),
(170190, 'PTHR31731:SF122', NULL, NULL, NULL, NULL, 'BNAA05G35360D PROTEIN', 113916),
(170191, 'PTHR47372:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113917),
(170192, 'PTHR33320:SF20', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA SYNTHETASE', 113918),
(170193, 'PTHR32166:SF97', NULL, NULL, NULL, NULL, 'BNAC08G02760D PROTEIN', 113919),
(170194, 'PTHR10315:SF71', NULL, NULL, NULL, NULL, 'OS01G0123700 PROTEIN', 113920),
(170195, 'PTHR15941:SF9', NULL, NULL, NULL, NULL, 'MYOZENIN-2', 113921),
(170196, 'PTHR47674', NULL, NULL, NULL, NULL, 'SAGA-ASSOCIATED FACTOR 11', 113922),
(170197, 'PTHR46031:SF3', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING MOTIF PROTEIN', 113923);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(170198, 'PTHR46850:SF1', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 9', 113924),
(170199, 'PTHR33401', NULL, NULL, NULL, NULL, 'LIGHT-HARVESTING COMPLEX-LIKE PROTEIN OHP2, CHLOROPLASTIC', 113925),
(170200, 'PTHR46463:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHF2A-LIKE ISOFORM X1', 113926),
(170201, 'PTHR48061:SF6', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 30-LIKE', 113927),
(170202, 'PTHR11359:SF0', NULL, NULL, NULL, NULL, 'AMP DEAMINASE', 113928),
(170203, 'PTHR44329:SF185', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE-LIKE PROTEIN', 113929),
(170204, 'PTHR44115:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG09690', 113930),
(170205, 'PTHR48042:SF4', NULL, NULL, NULL, NULL, 'CASSETTE TRANSPORTER, PUTATIVE-RELATED', 113931),
(170206, 'PTHR32285:SF233', NULL, NULL, NULL, NULL, 'DUF231 DOMAIN CONTAINING FAMILY PROTEIN-RELATED', 113932),
(170207, 'PTHR31009:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113933),
(170208, 'PTHR31790:SF357', NULL, NULL, NULL, NULL, 'BNAC09G36240D PROTEIN', 113934),
(170209, 'PTHR12429:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NEURL3', 113935),
(170210, 'PTHR43205:SF6', NULL, NULL, NULL, NULL, '2-ALKENAL REDUCTASE (NADP(+)-DEPENDENT)-LIKE', 113936),
(170211, 'PTHR24056:SF498', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 113937),
(170212, 'PTHR46471:SF4', NULL, NULL, NULL, NULL, 'CHITIN BINDING PROTEIN', 113938),
(170213, 'PTHR10903:SF137', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 113939),
(170214, 'PTHR32009:SF71', NULL, NULL, NULL, NULL, 'TYPE DISEASE RESISTANCE PROTEIN, PUTATIVE-RELATED', 113940),
(170215, 'PTHR31636:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113941),
(170216, 'PTHR24282:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113942),
(170217, 'PTHR11757:SF17', NULL, NULL, NULL, NULL, 'B, PUTATIVE-RELATED', 113943),
(170218, 'PTHR24221:SF548', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY PROTEIN', 113944),
(170219, 'PTHR35803:SF2', NULL, NULL, NULL, NULL, 'RETAINING ALPHA-GALACTOSIDASE', 113945),
(170220, 'PTHR11875:SF134', NULL, NULL, NULL, NULL, 'NAP1-RELATED PROTEIN 1', 113946),
(170221, 'PTHR31388:SF221', NULL, NULL, NULL, NULL, 'PEROXIDASE', 113947),
(170222, 'PTHR46860', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 2', 113948),
(170223, 'PTHR43839', NULL, NULL, NULL, NULL, 'OPPC IN A BINDING PROTEIN-DEPENDENT TRANSPORT SYSTEM', 113949),
(170224, 'PTHR34200:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 113950),
(170225, 'PTHR11351:SF85', NULL, NULL, NULL, NULL, '16:0DELTA9 DESATURASE 2-RELATED', 113951),
(170226, 'PTHR31080:SF179', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', 113952),
(170227, 'PTHR11562:SF84', NULL, NULL, NULL, NULL, 'LD05335P', 113953),
(170228, 'PTHR30540', NULL, NULL, NULL, NULL, 'OSMOTIC STRESS POTASSIUM TRANSPORTER', 113954),
(170229, 'PTHR12694', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 1', 113955),
(170230, 'PTHR23115:SF263', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA-LIKE', 113956),
(170231, 'PTHR45613:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113957),
(170232, 'PTHR31879', NULL, NULL, NULL, NULL, 'DET1- AND DDB1-ASSOCIATED PROTEIN 1', 113958),
(170233, 'PTHR11097:SF9', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP43', 113959),
(170234, 'PTHR34218', NULL, NULL, NULL, NULL, 'PEPTIDASE S45 PENICILLIN AMIDASE', 113960),
(170235, 'PTHR12874:SF18', NULL, NULL, NULL, NULL, 'BNAA09G41530D PROTEIN', 113961),
(170236, 'PTHR43205:SF55', NULL, NULL, NULL, NULL, 'NADPH OXIDOREDUCTASE', 113962),
(170237, 'PTHR10041:SF5', NULL, NULL, NULL, NULL, 'COLIPASE', 113963),
(170238, 'PTHR22883:SF301', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC12-RELATED', 113964),
(170239, 'PTHR44516', NULL, NULL, NULL, NULL, '2-METHYL-6-PHYTYL-1,4-HYDROQUINONE METHYLTRANSFERASE, CHLOROPLASTIC', 113965),
(170240, 'PTHR31385:SF8', NULL, NULL, NULL, NULL, 'BNAA07G09840D PROTEIN', 113966);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(170241, 'PTHR48019:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113967),
(170242, 'PTHR11926:SF1325', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76E1', 113968),
(170243, 'PTHR11926:SF986', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 84A1', 113969),
(170244, 'PTHR22913:SF12', NULL, NULL, NULL, NULL, 'MANNURONAN SYNTHASE', 113970),
(170245, 'PTHR13832:SF580', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 70-RELATED', 113971),
(170246, 'PTHR47338:SF3', NULL, NULL, NULL, NULL, 'C6 FINGER DOMAIN TRANSCRIPTION FACTOR DBAA-RELATED', 113972),
(170247, 'PTHR10812:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-2, ISOFORM D', 113973),
(170248, 'PTHR13140:SF784', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113974),
(170249, 'PTHR33074:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113975),
(170250, 'PTHR23201:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113976),
(170251, 'PTHR34222:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113977),
(170252, 'PTHR24064:SF284', NULL, NULL, NULL, NULL, 'PROTEIN CBG18308', 113978),
(170253, 'PTHR27005:SF45', NULL, NULL, NULL, NULL, 'OS10G0351500 PROTEIN', 113979),
(170254, 'PTHR33836:SF7', NULL, NULL, NULL, NULL, 'LOW-TEMPERATURE-INDUCED PROTEIN', 113980),
(170255, 'PTHR12084:SF13', NULL, NULL, NULL, NULL, 'NUCLEOPORIN 62 C-TERMINAL-LIKE', 113981),
(170256, 'PTHR33545:SF9', NULL, NULL, NULL, NULL, 'UPF0750 MEMBRANE PROTEIN YITE', 113982),
(170257, 'PTHR23252:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113983),
(170258, 'PTHR11716:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2, MEMBRANE ASSOCIATED', 113984),
(170259, 'PTHR35127:SF6', NULL, NULL, NULL, NULL, 'BNAC04G24950D PROTEIN', 113985),
(170260, 'PTHR23421:SF79', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 3', 113986),
(170261, 'PTHR48047:SF42', NULL, NULL, NULL, NULL, 'BNACNNG24710D PROTEIN', 113987),
(170262, 'PTHR46421', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 2-LIKE', 113988),
(170263, 'PTHR47768:SF1', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', 113989),
(170264, 'PTHR48041:SF43', NULL, NULL, NULL, NULL, 'WHITE (DROSOPHILA) RELATED ABC TRANSPORTER', 113990),
(170265, 'PTHR33391:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME B559 SUBUNIT ALPHA', 113991),
(170266, 'PTHR10108:SF1105', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT5-RELATED', 113992),
(170267, 'PTHR24115:SF940', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-8B', 113993),
(170268, 'PTHR22055:SF2', NULL, NULL, NULL, NULL, 'OS05G0515900 PROTEIN', 113994),
(170269, 'PTHR32387:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 113995),
(170270, 'PTHR46162:SF28', NULL, NULL, NULL, NULL, 'BNAA09G56140D PROTEIN', 113996),
(170271, 'PTHR45792:SF3', NULL, NULL, NULL, NULL, 'SN1-SPECIFIC DIACYLGLYCEROL LIPASE ALPHA', 113997),
(170272, 'PTHR11943', NULL, NULL, NULL, NULL, 'GALACTOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', 113998),
(170273, 'PTHR47876:SF2', NULL, NULL, NULL, NULL, 'OS08G0260000 PROTEIN', 113999),
(170274, 'PTHR10219:SF28', NULL, NULL, NULL, NULL, 'ACD11 HOMOLOG PROTEIN', 114000),
(170275, 'PTHR14859:SF1', NULL, NULL, NULL, NULL, 'PGAP2-INTERACTING PROTEIN', 114001),
(170276, 'PTHR24089:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL COENZYME A TRANSPORTER SLC25A42', 114002),
(170277, 'PTHR11654:SF549', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.5-LIKE', 114003),
(170278, 'PTHR43572:SF12', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPE', 114004),
(170279, 'PTHR31642:SF255', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', 114005),
(170280, 'PTHR31719:SF178', NULL, NULL, NULL, NULL, 'BNAC06G30680D PROTEIN', 114006),
(170281, 'PTHR12442:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 63', 114007),
(170282, 'PTHR16026:SF0', NULL, NULL, NULL, NULL, 'CARTILAGE ACIDIC PROTEIN 1', 114008),
(170283, 'PTHR45935:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 5', 114009),
(170284, 'PTHR31042', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN-RELATED', 114010);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(170285, 'PTHR27007:SF312', NULL, NULL, NULL, NULL, 'OS06G0210400 PROTEIN', 114011),
(170286, 'PTHR26379:SF274', NULL, NULL, NULL, NULL, 'SPECKLE-TYPE POZ PROTEIN', 114012),
(170287, 'PTHR36028:SF7', NULL, NULL, NULL, NULL, 'BNAC09G42530D PROTEIN', 114013),
(170288, 'PTHR34404:SF2', NULL, NULL, NULL, NULL, 'CONSERVED SERINE RICH PROTEIN', 114014),
(170289, 'PTHR20919', NULL, NULL, NULL, NULL, 'HOMOSERINE O-SUCCINYLTRANSFERASE', 114015),
(170290, 'PTHR16223:SF264', NULL, NULL, NULL, NULL, 'BNACNNG10760D PROTEIN', 114016),
(170291, 'PTHR13935:SF51', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE HOMOLOG 4', 114017),
(170292, 'PTHR32096:SF112', NULL, NULL, NULL, NULL, 'BNAA01G13440D PROTEIN', 114018),
(170293, 'PTHR12247:SF78', NULL, NULL, NULL, NULL, 'LETHAL(3)MALIGNANT BRAIN TUMOR-LIKE PROTEIN 4', 114019),
(170294, 'PTHR31384:SF121', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 114020),
(170295, 'PTHR11817:SF72', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 114021),
(170296, 'PTHR10992:SF1063', NULL, NULL, NULL, NULL, 'ESTERASE 10, PUTATIVE-RELATED', 114022),
(170297, 'PTHR31282:SF105', NULL, NULL, NULL, NULL, 'OS05G0478400 PROTEIN', 114023),
(170298, 'PTHR47126', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE-LIKE 7', 114024),
(170299, 'PTHR23501:SF58', NULL, NULL, NULL, NULL, 'SIDEROPHORE IRON TRANSPORTER 3', 114025),
(170300, 'PTHR43725:SF5', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE 2', 114026),
(170301, 'PTHR31663', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 114027),
(170302, 'PTHR40393', NULL, NULL, NULL, NULL, 'LYSINE BIOSYNTHESIS PROTEIN-RELATED-RELATED', 114028),
(170303, 'PTHR11220:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114029),
(170304, 'PTHR16501:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114030),
(170305, 'PTHR43851', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 114031),
(170306, 'PTHR24242:SF252', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 114032),
(170307, 'PTHR10985:SF126', NULL, NULL, NULL, NULL, 'HAIRY/ENHANCER-OF-SPLIT RELATED WITH YRPW MOTIF PROTEIN', 114033),
(170308, 'PTHR13935:SF99', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH55-LIKE', 114034),
(170309, 'PTHR11527:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114035),
(170310, 'PTHR34614:SF2', NULL, NULL, NULL, NULL, 'TRANSPOSASE', 114036),
(170311, 'PTHR42107:SF1', NULL, NULL, NULL, NULL, 'YALI0D24453P', 114037),
(170312, 'PTHR32246:SF116', NULL, NULL, NULL, NULL, 'PROTEIN SRC2-LIKE', 114038),
(170313, 'PTHR22573:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE', 114039),
(170314, 'PTHR31762:SF14', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN SCD2', 114040),
(170315, 'PTHR43200:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114041),
(170316, 'PTHR43046:SF9', NULL, NULL, NULL, NULL, 'ADP-RIBOSE PYROPHOSPHATASE YJHB-RELATED', 114042),
(170317, 'PTHR12606:SF125', NULL, NULL, NULL, NULL, 'SI:DKEY-21C19.3', 114043),
(170318, 'PTHR11551:SF7', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 4', 114044),
(170319, 'PTHR18945:SF410', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-TYPE DES-2', 114045),
(170320, 'PTHR24078:SF562', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN CONTAINING PROTEIN', 114046),
(170321, 'PTHR21596:SF61', NULL, NULL, NULL, NULL, 'OS01G0633200 PROTEIN', 114047),
(170322, 'PTHR30502:SF4', NULL, NULL, NULL, NULL, '5-KETO-4-DEOXY-D-GLUCARATE ALDOLASE', 114048),
(170323, 'PTHR36615', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 114049),
(170324, 'PTHR22883', NULL, NULL, NULL, NULL, 'ZINC FINGER DHHC DOMAIN CONTAINING PROTEIN', 114050),
(170325, 'PTHR13723:SF151', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 17', 114051),
(170326, 'PTHR43252', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR YQJI', 114052),
(170327, 'PTHR12701:SF54', NULL, NULL, NULL, NULL, 'ERWINIA INDUCED PROTEIN 2', 114053),
(170328, 'PTHR30041:SF4', NULL, NULL, NULL, NULL, 'ARSENATE REDUCTASE-RELATED', 114054),
(170329, 'PTHR24376:SF58', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 457-RELATED', 114055);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(170330, 'PTHR21448:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 21', 114056),
(170331, 'PTHR33915:SF12', NULL, NULL, NULL, NULL, 'OS06G0645500 PROTEIN', 114057),
(170332, 'PTHR31251:SF117', NULL, NULL, NULL, NULL, 'BNAA07G08830D PROTEIN', 114058),
(170333, 'PTHR10891:SF779', NULL, NULL, NULL, NULL, 'GH27120P', 114059),
(170334, 'PTHR24205:SF4', NULL, NULL, NULL, NULL, 'LIM DOMAIN FAMILY', 114060),
(170335, 'PTHR45649:SF37', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1-LIKE PROTEIN', 114061),
(170336, 'PTHR12964', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE B14 SUBUNIT', 114062),
(170337, 'PTHR32116:SF88', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 114063),
(170338, 'PTHR31215:SF23', NULL, NULL, NULL, NULL, 'OS01G0193500 PROTEIN', 114064),
(170339, 'PTHR21661:SF70', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', 114065),
(170340, 'PTHR45616:SF18', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 78', 114066),
(170341, 'PTHR28190', NULL, NULL, NULL, NULL, 'NUCLEAR MIGRATION PROTEIN NUM1', 114067),
(170342, 'PTHR16290:SF4', NULL, NULL, NULL, NULL, 'MRNA-DECAPPING ENZYME 1A', 114068),
(170343, 'PTHR13822:SF14', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT DELTA'', MITOCHONDRIAL-LIKE', 114069),
(170344, 'PTHR12396:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER, CW-TYPE, DNA-BINDING DOMAIN PROTEIN-RELATED', 114070),
(170345, 'PTHR21245:SF5', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN R', 114071),
(170346, 'PTHR43349:SF16', NULL, NULL, NULL, NULL, 'LEUCANTHOCYANIDIN REDUCTASE', 114072),
(170347, 'PTHR10742:SF377', NULL, NULL, NULL, NULL, 'ZGC:66484', 114073),
(170348, 'PTHR31270:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114074),
(170349, 'PTHR45669:SF14', NULL, NULL, NULL, NULL, 'EMB|CAB81925.1-RELATED', 114075),
(170350, 'PTHR10715:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', 114076),
(170351, 'PTHR24026:SF101', NULL, NULL, NULL, NULL, 'FAT-LIKE CADHERIN-RELATED TUMOR SUPPRESSOR HOMOLOG', 114077),
(170352, 'PTHR11413:SF107', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 3', 114078),
(170353, 'PTHR24250:SF30', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 38', 114079),
(170354, 'PTHR46307:SF3', NULL, NULL, NULL, NULL, 'G9A, ISOFORM B', 114080),
(170355, 'PTHR15710:SF89', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 114081),
(170356, 'PTHR45770:SF18', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 114082),
(170357, 'PTHR10502:SF216', NULL, NULL, NULL, NULL, 'ANNEXIN', 114083),
(170358, 'PTHR37978:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG18749', 114084),
(170359, 'PTHR33021:SF414', NULL, NULL, NULL, NULL, 'CUPREDOXIN-RELATED', 114085),
(170360, 'PTHR11062:SF56', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE MUR3', 114086),
(170361, 'PTHR13844:SF68', NULL, NULL, NULL, NULL, 'BNAA05G36010D PROTEIN', 114087),
(170362, 'PTHR15362:SF20', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--SERINE O-PHOSPHATIDYLTRANSFERASE 3', 114088),
(170363, 'PTHR11240:SF50', NULL, NULL, NULL, NULL, 'INTRACELLULAR RIBONUCLEASE LX-LIKE ISOFORM X1', 114089),
(170364, 'PTHR33077:SF111', NULL, NULL, NULL, NULL, 'BNAA02G17040D PROTEIN', 114090),
(170365, 'PTHR44379:SF6', NULL, NULL, NULL, NULL, 'BLR6046 PROTEIN', 114091),
(170366, 'PTHR46705', NULL, NULL, NULL, NULL, 'PROTEIN CBG09805', 114092),
(170367, 'PTHR31682:SF5', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE MUTASE', 114093),
(170368, 'PTHR18966:SF151', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3', 114094),
(170369, 'PTHR10177:SF389', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 114095),
(170370, 'PTHR33562:SF14', NULL, NULL, NULL, NULL, 'GEO08076P1', 114096),
(170371, 'PTHR33710:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114097),
(170372, 'PTHR32246:SF118', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN', 114098),
(170373, 'PTHR34456:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114099),
(170374, 'PTHR28048', NULL, NULL, NULL, NULL, 'ACR195WP', 114100),
(170375, 'PTHR45431:SF6', NULL, NULL, NULL, NULL, 'CYCLE CONTROL PHOSPHATASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 114101);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(170376, 'PTHR23339:SF60', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE TYPE IVA 1 ISOFORM X1', 114102),
(170377, 'PTHR21660:SF40', NULL, NULL, NULL, NULL, 'OS01G0229600 PROTEIN', 114103),
(170378, 'PTHR22776:SF29', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 4', 114104),
(170379, 'PTHR28064', NULL, NULL, NULL, NULL, 'INNER KINETOCHORE SUBUNIT NKP2', 114105),
(170380, 'PTHR43791:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114106),
(170381, 'PTHR44067:SF9', NULL, NULL, NULL, NULL, 'F22F7.17 PROTEIN', 114107),
(170382, 'PTHR15588:SF17', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM1', 114108),
(170383, 'PTHR30546:SF22', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1', 114109),
(170384, 'PTHR27000:SF571', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 114110),
(170385, 'PTHR37417', NULL, NULL, NULL, NULL, '67 KDA MYOSIN-CROSS-REACTIVE ANTIGEN FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G09970)', 114111),
(170386, 'PTHR23504:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG22168', 114112),
(170387, 'PTHR11685:SF357', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 114113),
(170388, 'PTHR11639:SF133', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND PROTEIN', 114114),
(170389, 'PTHR31969:SF46', NULL, NULL, NULL, NULL, 'ABA-RESPONSIVE PROTEIN-LIKE', 114115),
(170390, 'PTHR10055:SF12', NULL, NULL, NULL, NULL, 'BNAA07G01840D PROTEIN', 114116),
(170391, 'PTHR12644:SF0', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 5', 114117),
(170392, 'PTHR46058:SF25', NULL, NULL, NULL, NULL, 'BNACNNG25700D PROTEIN', 114118),
(170393, 'PTHR33115:SF11', NULL, NULL, NULL, NULL, 'OS07G0654700 PROTEIN', 114119),
(170394, 'PTHR27009:SF122', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.8', 114120),
(170395, 'PTHR22870:SF413', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', 114121),
(170396, 'PTHR45675:SF48', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 114122),
(170397, 'PTHR43528:SF6', NULL, NULL, NULL, NULL, 'CITRATE-PROTON SYMPORTER', 114123),
(170398, 'PTHR10759:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34-1-RELATED', 114124),
(170399, 'PTHR23155:SF949', NULL, NULL, NULL, NULL, 'OS01G0781200 PROTEIN', 114125),
(170400, 'PTHR43240:SF17', NULL, NULL, NULL, NULL, 'BNAA02G28740D PROTEIN', 114126),
(170401, 'PTHR35358:SF7', NULL, NULL, NULL, NULL, 'BNAA07G03350D PROTEIN', 114127),
(170402, 'PTHR32219:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114128),
(170403, 'PTHR46227:SF4', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR-INTERACTING PROTEIN 2', 114129),
(170404, 'PTHR14911:SF14', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN, CONTAINING THUMP DOMAIN', 114130),
(170405, 'PTHR12487:SF7', NULL, NULL, NULL, NULL, 'PROTEIN TEASHIRT-RELATED', 114131),
(170406, 'PTHR15254:SF2', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP G PROTEIN', 114132),
(170407, 'PTHR10587:SF132', NULL, NULL, NULL, NULL, 'DEACETYLASE (PUTATIVE SECRETED PROTEIN)-RELATED', 114133),
(170408, 'PTHR34378', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE, CHLOROPLASTIC', 114134),
(170409, 'PTHR11567:SF25', NULL, NULL, NULL, NULL, 'PROTEIN FRA10AC1', 114135),
(170410, 'PTHR16223:SF196', NULL, NULL, NULL, NULL, 'BNAA09G41470D PROTEIN', 114136),
(170411, 'PTHR12356:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114137),
(170412, 'PTHR43719:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114138),
(170413, 'PTHR24349:SF347', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 26', 114139),
(170414, 'PTHR31874:SF38', NULL, NULL, NULL, NULL, 'PROTEIN CHLOROPLAST IMPORT APPARATUS 2', 114140),
(170415, 'PTHR19248', NULL, NULL, NULL, NULL, 'ATP-BINDING TRANSPORT PROTEIN-RELATED', 114141),
(170416, 'PTHR19143:SF31', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-4', 114142),
(170417, 'PTHR31374:SF119', NULL, NULL, NULL, NULL, 'F6F9.11 PROTEIN', 114143),
(170418, 'PTHR46128:SF39', NULL, NULL, NULL, NULL, 'BNAC03G27710D PROTEIN', 114144);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(170419, 'PTHR16223:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114145),
(170420, 'PTHR43452:SF26', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 2', 114146),
(170421, 'PTHR24377:SF805', NULL, NULL, NULL, NULL, 'OTTMUSG00000016588 PROTEIN-RELATED', 114147),
(170422, 'PTHR13929:SF7', NULL, NULL, NULL, NULL, 'UBIA PRENYLTRANSFERASE FAMILY PROTEIN', 114148),
(170423, 'PTHR43322:SF1', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE-5-PHOSPHATE SYNTHASE', 114149),
(170424, 'PTHR33127:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114150),
(170425, 'PTHR40141:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114151),
(170426, 'PTHR46078', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J2 FAMILY MEMBER', 114152),
(170427, 'PTHR48092:SF22', NULL, NULL, NULL, NULL, 'ESTROGEN-RELATED RECEPTOR SPLICE VARIANT', 114153),
(170428, 'PTHR31861:SF15', NULL, NULL, NULL, NULL, 'OS10G0507500 PROTEIN', 114154),
(170429, 'PTHR34115:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114155),
(170430, 'PTHR48100:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114156),
(170431, 'PTHR23086:SF102', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', 114157),
(170432, 'PTHR23192:SF29', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-LIKE PROTEIN 2A', 114158),
(170433, 'PTHR47951:SF4', NULL, NULL, NULL, NULL, 'OS08G0547900 PROTEIN', 114159),
(170434, 'PTHR30009:SF24', NULL, NULL, NULL, NULL, 'PTS SYSTEM, IIBC COMPONENT', 114160),
(170435, 'PTHR10457:SF9', NULL, NULL, NULL, NULL, 'BLR5970 PROTEIN', 114161),
(170436, 'PTHR32002', NULL, NULL, NULL, NULL, 'PROTEIN NLP8', 114162),
(170437, 'PTHR10366:SF716', NULL, NULL, NULL, NULL, 'BNAC04G53100D PROTEIN', 114163),
(170438, 'PTHR13042:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5', 114164),
(170439, 'PTHR11014:SF155', NULL, NULL, NULL, NULL, 'N-ACYL-L-AMINO ACID AMIDOHYDROLASE', 114165),
(170440, 'PTHR12297:SF8', NULL, NULL, NULL, NULL, 'HIG1 DOMAIN FAMILY MEMBER 2B-RELATED', 114166),
(170441, 'PTHR33788', NULL, NULL, NULL, NULL, 'OS07G0114300 PROTEIN', 114167),
(170442, 'PTHR13318:SF19', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 5', 114168),
(170443, 'PTHR35017:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG14686', 114169),
(170444, 'PTHR10209:SF749', NULL, NULL, NULL, NULL, '2-OXOACID DEPENDENT DIOXYGENASE-RELATED', 114170),
(170445, 'PTHR33978:SF15', NULL, NULL, NULL, NULL, 'BNAC06G42460D PROTEIN', 114171),
(170446, 'PTHR24240:SF174', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 114172),
(170447, 'PTHR31623:SF33', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', 114173),
(170448, 'PTHR33463:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114174),
(170449, 'PTHR23024:SF352', NULL, NULL, NULL, NULL, 'ARYLACETAMIDE DEACETYLASE-LIKE 4', 114175),
(170450, 'PTHR48040:SF5', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 1-LIKE ISOFORM X1', 114176),
(170451, 'PTHR47610', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 4', 114177),
(170452, 'PTHR33147:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114178),
(170453, 'PTHR23335:SF36', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 5', 114179),
(170454, 'PTHR13857:SF4', NULL, NULL, NULL, NULL, 'C-U-EDITING ENZYME APOBEC-2', 114180),
(170455, 'PTHR11360:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114181),
(170456, 'PTHR19241:SF503', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 34', 114182),
(170457, 'PTHR43280:SF15', NULL, NULL, NULL, NULL, 'RCS-SPECIFIC HTH-TYPE TRANSCRIPTIONAL ACTIVATOR RCLR', 114183),
(170458, 'PTHR31805:SF21', NULL, NULL, NULL, NULL, 'BNAA03G49170D PROTEIN', 114184),
(170459, 'PTHR34280:SF5', NULL, NULL, NULL, NULL, 'DSR6', 114185),
(170460, 'PTHR12555:SF15', NULL, NULL, NULL, NULL, 'FUSION DEGRADATION PROTEIN (UFD1), PUTATIVE (AFU_ORTHOLOGUE AFUA_4G04640)-RELATED', 114186),
(170461, 'PTHR34146:SF3', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN-RELATED', 114187),
(170462, 'PTHR45780:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOCHOLINE CYTIDYLYLTRANSFERASE', 114188);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(170463, 'PTHR10972:SF175', NULL, NULL, NULL, NULL, 'BNAANNG16330D PROTEIN', 114189),
(170464, 'PTHR20961:SF13', NULL, NULL, NULL, NULL, 'OS01G0119000 PROTEIN', 114190),
(170465, 'PTHR19229:SF218', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 2', 114191),
(170466, 'PTHR21659:SF5', NULL, NULL, NULL, NULL, 'UPF0057 MEMBRANE PROTEIN T23F2.3', 114192),
(170467, 'PTHR10169:SF61', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2-ALPHA', 114193),
(170468, 'PTHR11566:SF152', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 1D', 114194),
(170469, 'PTHR10794:SF85', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 114195),
(170470, 'PTHR35104:SF11', NULL, NULL, NULL, NULL, 'BNAA03G47950D PROTEIN', 114196),
(170471, 'PTHR43647', NULL, NULL, NULL, NULL, 'DEHYDROGENASE', 114197),
(170472, 'PTHR43775:SF39', NULL, NULL, NULL, NULL, 'ATROCHRYSONE CARBOXYLIC ACID SYNTHASE-RELATED', 114198),
(170473, 'PTHR10336:SF146', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 114199),
(170474, 'PTHR32546:SF11', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 158-RELATED', 114200),
(170475, 'PTHR13085:SF0', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 2', 114201),
(170476, 'PTHR32138', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE N-METHYLTRANSFERASE', 114202),
(170477, 'PTHR46610:SF14', NULL, NULL, NULL, NULL, 'OS06G0146800 PROTEIN', 114203),
(170478, 'PTHR31414:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114204),
(170479, 'PTHR10953:SF221', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 2', 114205),
(170480, 'PTHR22950:SF184', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 1', 114206),
(170481, 'PTHR11722', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', 114207),
(170482, 'PTHR22950:SF74', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 5', 114208),
(170483, 'PTHR10666:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114209),
(170484, 'PTHR47042:SF4', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-LIKE', 114210),
(170485, 'PTHR14350', NULL, NULL, NULL, NULL, 'ARGININE VASOPRESSIN-INDUCED PROTEIN 1', 114211),
(170486, 'PTHR43118:SF1', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONAN LYASE (EUROFUNG)', 114212),
(170487, 'PTHR33101:SF37', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 12-LIKE', 114213),
(170488, 'PTHR31985:SF210', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF039', 114214),
(170489, 'PTHR22045:SF6', NULL, NULL, NULL, NULL, 'PROLINE AND SERINE-RICH PROTEIN 3', 114215),
(170490, 'PTHR10965:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L38', 114216),
(170491, 'PTHR47506:SF8', NULL, NULL, NULL, NULL, 'REPRESSOR OF PUTATIVE XENOBIOTIC REDUCTASE TETR FAMILY-RELATED', 114217),
(170492, 'PTHR31692', NULL, NULL, NULL, NULL, 'EXPANSIN-B3', 114218),
(170493, 'PTHR15394:SF3', NULL, NULL, NULL, NULL, 'HYDROLASE RBBP9-RELATED', 114219),
(170494, 'PTHR24230:SF124', NULL, NULL, NULL, NULL, 'SI:DKEY-27N14.1', 114220),
(170495, 'PTHR11926:SF1396', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 114221),
(170496, 'PTHR46991:SF17', NULL, NULL, NULL, NULL, 'BNAC07G33800D PROTEIN', 114222),
(170497, 'PTHR45730:SF58', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', 114223),
(170498, 'PTHR16517:SF42', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 12', 114224),
(170499, 'PTHR12700:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114225),
(170500, 'PTHR11654:SF381', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.6-RELATED', 114226),
(170501, 'PTHR20855:SF52', NULL, NULL, NULL, NULL, 'ADIPONECTIN RECEPTOR PROTEIN', 114227),
(170502, 'PTHR10369:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114228),
(170503, 'PTHR23421:SF156', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 114229),
(170504, 'PTHR37739', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 114230),
(170505, 'PTHR11486:SF83', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 2', 114231),
(170506, 'PTHR10574:SF409', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA-1', 114232);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(170507, 'PTHR31561:SF78', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 8', 114233),
(170508, 'PTHR27005:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114234),
(170509, 'PTHR38937', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN OF ER BODY-LIKE PROTEIN', 114235),
(170510, 'PTHR33173', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 114236),
(170511, 'PTHR47322:SF5', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 114237),
(170512, 'PTHR31495', NULL, NULL, NULL, NULL, 'PEROXYGENASE 3-RELATED', 114238),
(170513, 'PTHR34237:SF4', NULL, NULL, NULL, NULL, 'PAREP8', 114239),
(170514, 'PTHR10829:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114240),
(170515, 'PTHR13350', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 114241),
(170516, 'PTHR42729:SF1', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERMEASE PROTEIN', 114242),
(170517, 'PTHR10497:SF9', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', 114243),
(170518, 'PTHR19241:SF580', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', 114244),
(170519, 'PTHR45908:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG18898', 114245),
(170520, 'PTHR12416:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114246),
(170521, 'PTHR37544:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114247),
(170522, 'PTHR27003:SF78', NULL, NULL, NULL, NULL, 'OS05G0318700 PROTEIN', 114248),
(170523, 'PTHR31677:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114249),
(170524, 'PTHR33700:SF27', NULL, NULL, NULL, NULL, 'BNAA04G13260D PROTEIN', 114250),
(170525, 'PTHR11786:SF14', NULL, NULL, NULL, NULL, 'ARYLAMINE N-ACETYLTRANSFERASE 1-RELATED', 114251),
(170526, 'PTHR43442:SF3', NULL, NULL, NULL, NULL, 'GLUCONOKINASE-RELATED', 114252),
(170527, 'PTHR33402:SF30', NULL, NULL, NULL, NULL, 'BNAANNG06050D PROTEIN', 114253),
(170528, 'PTHR23147:SF161', NULL, NULL, NULL, NULL, 'OS08G0486200 PROTEIN', 114254),
(170529, 'PTHR31989:SF317', NULL, NULL, NULL, NULL, 'BNAC05G00970D PROTEIN', 114255),
(170530, 'PTHR24115:SF906', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 114256),
(170531, 'PTHR34687:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0044M19.3 PROTEIN', 114257),
(170532, 'PTHR11654:SF523', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 7.3', 114258),
(170533, 'PTHR11461:SF337', NULL, NULL, NULL, NULL, 'SERPIN PEPTIDASE INHIBITOR, CLADE B (OVALBUMIN), MEMBER 11', 114259),
(170534, 'PTHR12741:SF86', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 2-LIKE', 114260),
(170535, 'PTHR24027:SF85', NULL, NULL, NULL, NULL, 'CADHERIN-11', 114261),
(170536, 'PTHR34581:SF2', NULL, NULL, NULL, NULL, 'PTS SYSTEM N,N''-DIACETYLCHITOBIOSE-SPECIFIC EIIB COMPONENT', 114262),
(170537, 'PTHR10865:SF4', NULL, NULL, NULL, NULL, 'METASTASIS-ASSOCIATED PROTEIN MTA2', 114263),
(170538, 'PTHR12271:SF119', NULL, NULL, NULL, NULL, 'POLY(A) RNA POLYMERASE GLD2', 114264),
(170539, 'PTHR11849:SF288', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114265),
(170540, 'PTHR23079:SF13', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE 3-RELATED', 114266),
(170541, 'PTHR46869:SF12', NULL, NULL, NULL, NULL, 'BNAA09G29020D PROTEIN', 114267),
(170542, 'PTHR34539:SF14', NULL, NULL, NULL, NULL, 'BNAA06G33290D PROTEIN', 114268),
(170543, 'PTHR46889:SF4', NULL, NULL, NULL, NULL, 'INTEGRASE PROTEIN-RELATED', 114269),
(170544, 'PTHR47993:SF144', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 114270),
(170545, 'PTHR36357:SF3', NULL, NULL, NULL, NULL, 'MESODERM DEVELOPMENT CANDIDATE 2-RELATED', 114271),
(170546, 'PTHR48029:SF5', NULL, NULL, NULL, NULL, 'ORGANELLE RRM DOMAIN-CONTAINING PROTEIN 2, MITOCHONDRIAL-LIKE', 114272),
(170547, 'PTHR23430:SF275', NULL, NULL, NULL, NULL, 'HISTONE H2AXB-RELATED', 114273),
(170548, 'PTHR33155:SF45', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 114274),
(170549, 'PTHR38471:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114275),
(170550, 'PTHR15298:SF9', NULL, NULL, NULL, NULL, 'GLYCINE N-ACYLTRANSFERASE', 114276),
(170551, 'PTHR22765:SF258', NULL, NULL, NULL, NULL, 'OS06G0218300 PROTEIN', 114277),
(170552, 'PTHR34591', NULL, NULL, NULL, NULL, 'OS03G0653100 PROTEIN-RELATED', 114278);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(170553, 'PTHR24115:SF486', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF2A', 114279),
(170554, 'PTHR23024:SF204', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', 114280),
(170555, 'PTHR12654:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114281),
(170556, 'PTHR31989:SF341', NULL, NULL, NULL, NULL, 'NO APICAL MERISTEM (NAM) PROTEIN, PF02365-RELATED', 114282),
(170557, 'PTHR24264:SF46', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR XII', 114283),
(170558, 'PTHR19327', NULL, NULL, NULL, NULL, 'GOLGIN', 114284),
(170559, 'PTHR46756:SF12', NULL, NULL, NULL, NULL, 'CALPONIN', 114285),
(170560, 'PTHR46464:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN AND ARMADILLO REPEAT-CONTAINING PROTEIN', 114286),
(170561, 'PTHR24256:SF509', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114287),
(170562, 'PTHR14063', NULL, NULL, NULL, NULL, 'PROTEIN LIN-7 HOMOLOG', 114288),
(170563, 'PTHR44329:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114289),
(170564, 'PTHR24376:SF187', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 33B', 114290),
(170565, 'PTHR11419:SF0', NULL, NULL, NULL, NULL, 'INTERFERON GAMMA', 114291),
(170566, 'PTHR10459:SF108', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE TANKYRASE', 114292),
(170567, 'PTHR35632:SF1', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E 6-LIKE', 114293),
(170568, 'PTHR14218', NULL, NULL, NULL, NULL, 'PROTEASE S8 TRIPEPTIDYL PEPTIDASE I  CLN2', 114294),
(170569, 'PTHR24215:SF10', NULL, NULL, NULL, NULL, 'RHO-GTPASE-ACTIVATING PROTEIN LRG1', 114295),
(170570, 'PTHR10807:SF35', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 7', 114296),
(170571, 'PTHR24353:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114297),
(170572, 'PTHR11945:SF591', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', 114298),
(170573, 'PTHR45739:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114299),
(170574, 'PTHR40260:SF2', NULL, NULL, NULL, NULL, 'BLR8190 PROTEIN', 114300),
(170575, 'PTHR40112:SF1', NULL, NULL, NULL, NULL, 'H2HPP ISOMERASE', 114301),
(170576, 'PTHR23074:SF33', NULL, NULL, NULL, NULL, 'FIDGETIN-LIKE PROTEIN 2-RELATED', 114302),
(170577, 'PTHR10797:SF45', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 11-RELATED', 114303),
(170578, 'PTHR34779:SF2', NULL, NULL, NULL, NULL, 'SYRINGOLIDE-INDUCED PROTEIN 14-1-1', 114304),
(170579, 'PTHR31692:SF7', NULL, NULL, NULL, NULL, 'EXPANSIN-B9', 114305),
(170580, 'PTHR30290:SF37', NULL, NULL, NULL, NULL, 'NICKEL-BINDING PERIPLASMIC PROTEIN', 114306),
(170581, 'PTHR33403:SF33', NULL, NULL, NULL, NULL, 'BNAC02G35090D PROTEIN', 114307),
(170582, 'PTHR22765:SF302', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G09640)-RELATED', 114308),
(170583, 'PTHR33823:SF2', NULL, NULL, NULL, NULL, 'RNA POLYMERASE-BINDING TRANSCRIPTION FACTOR DKSA', 114309),
(170584, 'PTHR45826:SF9', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER', 114310),
(170585, 'PTHR10891:SF888', NULL, NULL, NULL, NULL, 'BNAA04G19930D PROTEIN', 114311),
(170586, 'PTHR34109:SF5', NULL, NULL, NULL, NULL, 'BNAA02G30200D PROTEIN', 114312),
(170587, 'PTHR47932:SF50', NULL, NULL, NULL, NULL, 'FERTILITY RESTORER HOMOLOGUE A-LIKE', 114313),
(170588, 'PTHR10223:SF10', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 4-LIKE PROTEIN', 114314),
(170589, 'PTHR23177:SF75', NULL, NULL, NULL, NULL, 'BNAC04G00720D PROTEIN', 114315),
(170590, 'PTHR10462:SF26', NULL, NULL, NULL, NULL, 'N-ACETYLLACTOSAMINIDE ALPHA-1,3-GALACTOSYLTRANSFERASE', 114316),
(170591, 'PTHR32227:SF364', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17, X8 DOMAIN-CONTAINING PROTEIN-RELATED', 114317),
(170592, 'PTHR12537:SF13', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOGY DOMAIN FAMILY MEMBER 4', 114318),
(170593, 'PTHR33164:SF74', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 114319),
(170594, 'PTHR11566:SF183', NULL, NULL, NULL, NULL, 'MYXOVIRUS (INFLUENZA VIRUS) RESISTANCE D-RELATED', 114320),
(170595, 'PTHR24384:SF127', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 257', 114321);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(170596, 'PTHR32370:SF96', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', 114322),
(170597, 'PTHR48021:SF66', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', 114323),
(170598, 'PTHR47926:SF16', NULL, NULL, NULL, NULL, 'BNAC01G36650D PROTEIN', 114324),
(170599, 'PTHR33494:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114325),
(170600, 'PTHR11206:SF421', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 114326),
(170601, 'PTHR45707:SF52', NULL, NULL, NULL, NULL, 'BNAA02G30810D PROTEIN', 114327),
(170602, 'PTHR32141:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114328),
(170603, 'PTHR10353:SF150', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 1-RELATED', 114329),
(170604, 'PTHR48047:SF34', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 114330),
(170605, 'PTHR22950:SF460', NULL, NULL, NULL, NULL, 'PROTON-COUPLED AMINO ACID TRANSPORTER 4-LIKE PROTEIN', 114331),
(170606, 'PTHR31561:SF151', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 114332),
(170607, 'PTHR31072:SF176', NULL, NULL, NULL, NULL, 'TCP FAMILY TRANSCRIPTION FACTOR', 114333),
(170608, 'PTHR23048:SF2', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN 3', 114334),
(170609, 'PTHR31859:SF7', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 39A', 114335),
(170610, 'PTHR32183:SF13', NULL, NULL, NULL, NULL, 'THIOCYANATE METHYLTRANSFERASE 1', 114336),
(170611, 'PTHR48018:SF6', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 114337),
(170612, 'PTHR42202:SF1', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE III', 114338),
(170613, 'PTHR31284:SF22', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-LIKE PROTEIN', 114339),
(170614, 'PTHR16140:SF4', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', 114340),
(170615, 'PTHR33430:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114341),
(170616, 'PTHR38694:SF1', NULL, NULL, NULL, NULL, 'CONSERVED EXPRESSED PROTEIN', 114342),
(170617, 'PTHR12526:SF589', NULL, NULL, NULL, NULL, 'MANNOSYLGLUCOSYLGLYCERATE SYNTHASE', 114343),
(170618, 'PTHR23069:SF7', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 114344),
(170619, 'PTHR45840:SF6', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED PROTEIN 2', 114345),
(170620, 'PTHR31374:SF233', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 114346),
(170621, 'PTHR38386:SF6', NULL, NULL, NULL, NULL, 'OS05G0426900 PROTEIN', 114347),
(170622, 'PTHR34737:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114348),
(170623, 'PTHR23315:SF275', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 12', 114349),
(170624, 'PTHR24230:SF53', NULL, NULL, NULL, NULL, 'UROTENSIN 2 RECEPTOR 5', 114350),
(170625, 'PTHR21567:SF65', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 114351),
(170626, 'PTHR42990', NULL, NULL, NULL, NULL, 'ATPASE', 114352),
(170627, 'PTHR47999:SF36', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', 114353),
(170628, 'PTHR37029:SF1', NULL, NULL, NULL, NULL, 'SSR1768 PROTEIN', 114354),
(170629, 'PTHR31194:SF122', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF003-LIKE', 114355),
(170630, 'PTHR35357:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114356),
(170631, 'PTHR41693:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-282H22.5', 114357),
(170632, 'PTHR11615:SF293', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 114358),
(170633, 'PTHR21447:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG06505', 114359),
(170634, 'PTHR33090:SF41', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', 114360),
(170635, 'PTHR34848:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ADENOSYLCOBALAMIN BIOSYNTHESIS PROTEIN COBU', 114361),
(170636, 'PTHR46876:SF1', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 11', 114362),
(170637, 'PTHR32227:SF341', NULL, NULL, NULL, NULL, 'BNAC03G35190D PROTEIN', 114363),
(170638, 'PTHR45977:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114364),
(170639, 'PTHR21539:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG01747', 114365);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(170640, 'PTHR45581', NULL, NULL, NULL, NULL, 'PROTEIN CBG10435', 114366),
(170641, 'PTHR24298:SF581', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 114367),
(170642, 'PTHR11260:SF609', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9', 114368),
(170643, 'PTHR33356:SF24', NULL, NULL, NULL, NULL, 'BNAA10G12250D PROTEIN', 114369),
(170644, 'PTHR33214:SF44', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN FAMILY PROTEIN-RELATED', 114370),
(170645, 'PTHR10252:SF114', NULL, NULL, NULL, NULL, 'CCAAT-HAP5 TRANSCRIPTION FACTOR', 114371),
(170646, 'PTHR13683:SF808', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1', 114372),
(170647, 'PTHR33021:SF417', NULL, NULL, NULL, NULL, 'MAVICYANIN-LIKE', 114373),
(170648, 'PTHR10209:SF123', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 114374),
(170649, 'PTHR45912', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 47', 114375),
(170650, 'PTHR27003:SF374', NULL, NULL, NULL, NULL, 'BNAC06G12670D PROTEIN', 114376),
(170651, 'PTHR33088:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114377),
(170652, 'PTHR11669:SF49', NULL, NULL, NULL, NULL, 'PROTEIN STICHEL', 114378),
(170653, 'PTHR14856:SF9', NULL, NULL, NULL, NULL, 'PQ-LOOP REPEAT-CONTAINING PROTEIN 1-LIKE PROTEIN', 114379),
(170654, 'PTHR37946:SF2', NULL, NULL, NULL, NULL, 'SLR0421 PROTEIN', 114380),
(170655, 'PTHR48063:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114381),
(170656, 'PTHR34044:SF2', NULL, NULL, NULL, NULL, 'BNAA06G10780D PROTEIN', 114382),
(170657, 'PTHR45768:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114383),
(170658, 'PTHR42736:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE', 114384),
(170659, 'PTHR23270:SF10', NULL, NULL, NULL, NULL, 'PROTEIN RRP5 HOMOLOG', 114385),
(170660, 'PTHR36013:SF3', NULL, NULL, NULL, NULL, 'ATP SYNTHASE 24 KDA SUBUNIT, MITOCHONDRIAL-RELATED', 114386),
(170661, 'PTHR23248', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE-RELATED', 114387),
(170662, 'PTHR24231', NULL, NULL, NULL, NULL, 'PURINOCEPTOR-RELATED G-PROTEIN COUPLED RECEPTOR', 114388),
(170663, 'PTHR21077:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114389),
(170664, 'PTHR45631:SF94', NULL, NULL, NULL, NULL, 'BNAC06G04930D PROTEIN', 114390),
(170665, 'PTHR31985:SF109', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF019', 114391),
(170666, 'PTHR20961:SF105', NULL, NULL, NULL, NULL, 'PROTEIN O-LINKED-MANNOSE BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE 2', 114392),
(170667, 'PTHR11984:SF29', NULL, NULL, NULL, NULL, 'GAP JUNCTION BETA-5 PROTEIN', 114393),
(170668, 'PTHR31142', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 1-LIKE ISOFORM X1', 114394),
(170669, 'PTHR12062:SF10', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE-LIKE PROTEIN MGAT4D', 114395),
(170670, 'PTHR47942:SF4', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 114396),
(170671, 'PTHR22870:SF386', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BREVIS RADIX, N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', 114397),
(170672, 'PTHR22914:SF21', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE D', 114398),
(170673, 'PTHR23064:SF30', NULL, NULL, NULL, NULL, 'SLOW-SPECIFIC TROPONIN C', 114399),
(170674, 'PTHR43011:SF1', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY 2 HOMOLOG, MITOCHONDRIAL', 114400),
(170675, 'PTHR47234:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114401),
(170676, 'PTHR11003:SF137', NULL, NULL, NULL, NULL, 'TWO PORE POTASSIUM CHANNEL B', 114402),
(170677, 'PTHR32166:SF80', NULL, NULL, NULL, NULL, 'BNAC01G38100D PROTEIN', 114403),
(170678, 'PTHR10894:SF12', NULL, NULL, NULL, NULL, 'OS06G0355900 PROTEIN', 114404),
(170679, 'PTHR12844:SF10', NULL, NULL, NULL, NULL, 'CONNECTOR ENHANCER OF KINASE SUPPRESSOR OF RAS 1', 114405),
(170680, 'PTHR46058:SF3', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 4', 114406),
(170681, 'PTHR21771:SF1', NULL, NULL, NULL, NULL, 'AGAP001625-PA', 114407);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(170682, 'PTHR21419:SF7', NULL, NULL, NULL, NULL, 'PROTEIN FAM234A', 114408),
(170683, 'PTHR39420', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 114409),
(170684, 'PTHR31949:SF20', NULL, NULL, NULL, NULL, 'OS01G0141900 PROTEIN', 114410),
(170685, 'PTHR10015:SF344', NULL, NULL, NULL, NULL, 'E2F/DP FAMILY WINGED-HELIX DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 114411),
(170686, 'PTHR30632:SF0', NULL, NULL, NULL, NULL, 'MOLYBDATE-BINDING PROTEIN MODA', 114412),
(170687, 'PTHR43358:SF5', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 114413),
(170688, 'PTHR31867:SF185', NULL, NULL, NULL, NULL, 'EXPANSIN', 114414),
(170689, 'PTHR48043:SF103', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 114415),
(170690, 'PTHR21137:SF37', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 46A, ISOFORM B-RELATED', 114416),
(170691, 'PTHR46771:SF3', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 5', 114417),
(170692, 'PTHR24377:SF384', NULL, NULL, NULL, NULL, 'GENE 12258-RELATED', 114418),
(170693, 'PTHR33136:SF46', NULL, NULL, NULL, NULL, 'BNAA08G07510D PROTEIN', 114419),
(170694, 'PTHR43066:SF1', NULL, NULL, NULL, NULL, 'RHOMBOID PROTEIN 2', 114420),
(170695, 'PTHR10981:SF3', NULL, NULL, NULL, NULL, 'RNAI-INDUCED LONGEVITY', 114421),
(170696, 'PTHR36326:SF16', NULL, NULL, NULL, NULL, 'BNAA02G30450D PROTEIN', 114422),
(170697, 'PTHR11843:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 114423),
(170698, 'PTHR12358:SF91', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 114424),
(170699, 'PTHR24281:SF187', NULL, NULL, NULL, NULL, 'P450 81E1, PUTATIVE, EXPRESSED-RELATED', 114425),
(170700, 'PTHR11069:SF23', NULL, NULL, NULL, NULL, 'LYSOSOMAL ACID GLUCOSYLCERAMIDASE', 114426),
(170701, 'PTHR14167:SF91', NULL, NULL, NULL, NULL, 'SORBIN AND SH3 DOMAIN-CONTAINING 3', 114427),
(170702, 'PTHR33470:SF44', NULL, NULL, NULL, NULL, 'BNAANNG22480D PROTEIN', 114428),
(170703, 'PTHR33044:SF106', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 114429),
(170704, 'PTHR28262:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT SPC19', 114430),
(170705, 'PTHR23077:SF117', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 48 HOMOLOG B', 114431),
(170706, 'PTHR11157:SF133', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN', 114432),
(170707, 'PTHR10587:SF98', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 114433),
(170708, 'PTHR33165:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114434),
(170709, 'PTHR13018:SF24', NULL, NULL, NULL, NULL, 'CSC1-LIKE PROTEIN 1', 114435),
(170710, 'PTHR24232:SF3', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 6', 114436),
(170711, 'PTHR46142:SF14', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE/GLYOXALASE I FAMILY PROTEIN', 114437),
(170712, 'PTHR24006:SF784', NULL, NULL, NULL, NULL, 'OS02G0795000 PROTEIN', 114438),
(170713, 'PTHR14155:SF521', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL29', 114439),
(170714, 'PTHR30627:SF22', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 3', 114440),
(170715, 'PTHR33033:SF78', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 114441),
(170716, 'PTHR33085:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114442),
(170717, 'PTHR43087', NULL, NULL, NULL, NULL, 'LYSINE/ARGININE/ORNITHINE TRANSPORT SYSTEM KINASE', 114443),
(170718, 'PTHR40866', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 114444),
(170719, 'PTHR34182:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-EXPORT MEMBRANE PROTEIN SECG', 114445),
(170720, 'PTHR31558', NULL, NULL, NULL, NULL, 'CW14 PROTEIN', 114446),
(170721, 'PTHR11654:SF299', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02550)-RELATED', 114447),
(170722, 'PTHR46905:SF16', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL78-LIKE', 114448),
(170723, 'PTHR13318:SF169', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 29, ISOFORM CRA_C', 114449),
(170724, 'PTHR13793:SF140', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN RHINOCEROS', 114450),
(170725, 'PTHR22847:SF680', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', 114451);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(170726, 'PTHR48000:SF1', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4', 114452),
(170727, 'PTHR31652:SF2', NULL, NULL, NULL, NULL, 'BNAC05G43630D PROTEIN', 114453),
(170728, 'PTHR48017:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114454),
(170729, 'PTHR31639:SF144', NULL, NULL, NULL, NULL, 'BNAA07G25150D PROTEIN', 114455),
(170730, 'PTHR42999', NULL, NULL, NULL, NULL, 'ANTIBIOTIC RESISTANCE PROTEIN MCBG', 114456),
(170731, 'PTHR24198:SF169', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT SERINE/THREONINE-PROTEIN KINASE 1-LIKE PROTEIN', 114457),
(170732, 'PTHR10709:SF2', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT', 114458),
(170733, 'PTHR34538', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 114459),
(170734, 'PTHR13183:SF9', NULL, NULL, NULL, NULL, 'KDA INNER DYNEIN ARM LIGHT CHAIN, AXONEMAL, PUTATIVE-RELATED', 114460),
(170735, 'PTHR11260:SF606', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114461),
(170736, 'PTHR14155:SF283', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL6-LIKE', 114462),
(170737, 'PTHR23107', NULL, NULL, NULL, NULL, 'SYNOVIAL SARCOMA ASSOCIATED SS18 PROTEIN', 114463),
(170738, 'PTHR10168:SF256', NULL, NULL, NULL, NULL, 'BNAC07G33140D PROTEIN', 114464),
(170739, 'PTHR43175:SF1', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE-LIKE PROTEIN YBCF-RELATED', 114465),
(170740, 'PTHR33088:SF33', NULL, NULL, NULL, NULL, 'PROTEIN APP1-LIKE', 114466),
(170741, 'PTHR19302:SF64', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT 6', 114467),
(170742, 'PTHR31707:SF309', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', 114468),
(170743, 'PTHR19957:SF286', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114469),
(170744, 'PTHR43078:SF16', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE DECARBOXYLASE-RELATED', 114470),
(170745, 'PTHR14009:SF13', NULL, NULL, NULL, NULL, 'LETM1 DOMAIN-CONTAINING PROTEIN 1', 114471),
(170746, 'PTHR11070:SF51', NULL, NULL, NULL, NULL, 'DNA HELICASE IV', 114472),
(170747, 'PTHR46236:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114473),
(170748, 'PTHR48021:SF77', NULL, NULL, NULL, NULL, 'OS05G0567800 PROTEIN', 114474),
(170749, 'PTHR22890', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 114475),
(170750, 'PTHR10937:SF12', NULL, NULL, NULL, NULL, 'GLUTAMINE--FRUCTOSE-6-PHOSPHATE AMINOTRANSFERASE [ISOMERIZING] 1', 114476),
(170751, 'PTHR34045:SF9', NULL, NULL, NULL, NULL, 'NGR1', 114477),
(170752, 'PTHR22999:SF34', NULL, NULL, NULL, NULL, 'BNAA09G56730D PROTEIN', 114478),
(170753, 'PTHR14241:SF21', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 114479),
(170754, 'PTHR31676:SF159', NULL, NULL, NULL, NULL, 'BNAA06G33720D PROTEIN', 114480),
(170755, 'PTHR12308', NULL, NULL, NULL, NULL, 'NGEP-RELATED', 114481),
(170756, 'PTHR10314:SF192', NULL, NULL, NULL, NULL, 'SYNTHASE B, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03930)-RELATED', 114482),
(170757, 'PTHR31319:SF83', NULL, NULL, NULL, NULL, 'C2C2-CO-LIKE TRANSCRIPTION FACTOR', 114483),
(170758, 'PTHR10853:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PELOTA HOMOLOG', 114484),
(170759, 'PTHR46183:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114485),
(170760, 'PTHR47011:SF1', NULL, NULL, NULL, NULL, 'CD226 ANTIGEN', 114486),
(170761, 'PTHR31265:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114487),
(170762, 'PTHR21450:SF32', NULL, NULL, NULL, NULL, 'DUF630 FAMILY PROTEIN (DUF630 AND DUF632)', 114488),
(170763, 'PTHR24377:SF849', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 614', 114489),
(170764, 'PTHR12998:SF0', NULL, NULL, NULL, NULL, 'TRNA:M(4)X MODIFICATION ENZYME TRM13 HOMOLOG', 114490),
(170765, 'PTHR34448', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 114491),
(170766, 'PTHR48017:SF107', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 114492),
(170767, 'PTHR13763:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114493),
(170768, 'PTHR24056:SF403', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE G-1', 114494),
(170769, 'PTHR47707:SF2', NULL, NULL, NULL, NULL, 'CTP PYROPHOSPHOHYDROLASE', 114495);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(170770, 'PTHR35546:SF26', NULL, NULL, NULL, NULL, 'OS12G0275600 PROTEIN', 114496),
(170771, 'PTHR12738', NULL, NULL, NULL, NULL, 'NEUROENDOCRINE PROTEIN 7B2', 114497),
(170772, 'PTHR47984:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 114498),
(170773, 'PTHR47942:SF63', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 114499),
(170774, 'PTHR21228:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114500),
(170775, 'PTHR30582:SF27', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE YCFS-RELATED', 114501),
(170776, 'PTHR47241', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 114502),
(170777, 'PTHR31730:SF20', NULL, NULL, NULL, NULL, 'DUF668 FAMILY PROTEIN', 114503),
(170778, 'PTHR47018:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114504),
(170779, 'PTHR11062:SF284', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT19-RELATED', 114505),
(170780, 'PTHR23421:SF146', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 4', 114506),
(170781, 'PTHR34436', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN M', 114507),
(170782, 'PTHR47820:SF3', NULL, NULL, NULL, NULL, 'BNAC05G24000D PROTEIN', 114508),
(170783, 'PTHR13780:SF93', NULL, NULL, NULL, NULL, 'OJ1485_B09.7 PROTEIN', 114509),
(170784, 'PTHR43321:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 114510),
(170785, 'PTHR23050:SF363', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML17-RELATED', 114511),
(170786, 'PTHR10168:SF247', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S3', 114512),
(170787, 'PTHR45764:SF43', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', 114513),
(170788, 'PTHR45668', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 5-RELATED', 114514),
(170789, 'PTHR45614:SF165', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 114515),
(170790, 'PTHR45181', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DNAJ WITH TETRATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 114516),
(170791, 'PTHR33976:SF10', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN MEMBRANE GPI-ANCHORED PROTEIN', 114517),
(170792, 'PTHR34268:SF16', NULL, NULL, NULL, NULL, 'OS02G0774200 PROTEIN', 114518),
(170793, 'PTHR24234:SF9', NULL, NULL, NULL, NULL, 'SI:DKEY-165A24.9', 114519),
(170794, 'PTHR21624:SF1', NULL, NULL, NULL, NULL, 'ALKYLGLYCEROL MONOOXYGENASE', 114520),
(170795, 'PTHR11207', NULL, NULL, NULL, NULL, 'RIBONUCLEASE III', 114521),
(170796, 'PTHR31003:SF30', NULL, NULL, NULL, NULL, 'MYB DOMAIN, PLANT, HOMEODOMAIN-LIKE PROTEIN-RELATED', 114522),
(170797, 'PTHR48106:SF11', NULL, NULL, NULL, NULL, 'OS10G0561100 PROTEIN', 114523),
(170798, 'PTHR22807:SF59', NULL, NULL, NULL, NULL, 'NOL1/NOP2/SUN FAMILY PROTEIN-RELATED', 114524),
(170799, 'PTHR28003', NULL, NULL, NULL, NULL, 'NUCLEOPORIN POM34', 114525),
(170800, 'PTHR47172:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER, NHR/GATA-TYPE-RELATED', 114526),
(170801, 'PTHR26379:SF340', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114527),
(170802, 'PTHR23503:SF114', NULL, NULL, NULL, NULL, 'PLASTIDIC GLUCOSE TRANSPORTER 3-RELATED', 114528),
(170803, 'PTHR11945:SF404', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN AGL24-LIKE', 114529),
(170804, 'PTHR45427:SF1', NULL, NULL, NULL, NULL, 'MUCIN-15', 114530),
(170805, 'PTHR32448:SF125', NULL, NULL, NULL, NULL, 'BERBERINE/BERBERINE-LIKE, XANTHINE DEHYDROGENASE, SMALL SUBUNIT, FAD-BINDING, TYPE 2-RELATED', 114531),
(170806, 'PTHR27006:SF307', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 114532),
(170807, 'PTHR19918:SF55', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 20.1, COFACTOR OF APC COMPLEX-LIKE', 114533),
(170808, 'PTHR21669:SF28', NULL, NULL, NULL, NULL, 'YEMANUCLEIN', 114534),
(170809, 'PTHR12436:SF3', NULL, NULL, NULL, NULL, 'GERMINAL-CENTER ASSOCIATED NUCLEAR PROTEIN', 114535),
(170810, 'PTHR35546:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114536),
(170811, 'PTHR33454:SF11', NULL, NULL, NULL, NULL, 'AVENIN-LIKE B5', 114537),
(170812, 'PTHR21310:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114538);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(170813, 'PTHR31232:SF115', NULL, NULL, NULL, NULL, 'BNAC07G03820D PROTEIN', 114539),
(170814, 'PTHR31534:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114540),
(170815, 'PTHR30606', NULL, NULL, NULL, NULL, 'LIPID A BIOSYNTHESIS LAUROYL ACYLTRANSFERASE', 114541),
(170816, 'PTHR31218:SF303', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 114542),
(170817, 'PTHR17601:SF7', NULL, NULL, NULL, NULL, 'RAFTLIN, LIPID RAFT LINKER 1A', 114543),
(170818, 'PTHR31839:SF55', NULL, NULL, NULL, NULL, 'BNACNNG31550D PROTEIN', 114544),
(170819, 'PTHR22953:SF118', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 114545),
(170820, 'PTHR16062:SF19', NULL, NULL, NULL, NULL, 'POLYBROMO', 114546),
(170821, 'PTHR45614:SF120', NULL, NULL, NULL, NULL, 'BNAC03G61550D PROTEIN', 114547),
(170822, 'PTHR19317', NULL, NULL, NULL, NULL, 'PRENYLATED RAB ACCEPTOR 1-RELATED', 114548),
(170823, 'PTHR35769', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 114549),
(170824, 'PTHR12537:SF133', NULL, NULL, NULL, NULL, 'OS03G0193150 PROTEIN', 114550),
(170825, 'PTHR31190:SF137', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-2', 114551),
(170826, 'PTHR10476:SF37', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 24 HOMOLOG 1-LIKE ISOFORM X1', 114552),
(170827, 'PTHR45959:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114553),
(170828, 'PTHR12471', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE SUBUNIT S1', 114554),
(170829, 'PTHR27001:SF867', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 114555),
(170830, 'PTHR32093:SF118', NULL, NULL, NULL, NULL, 'LRR-FAMILY PROTEIN', 114556),
(170831, 'PTHR28026:SF8', NULL, NULL, NULL, NULL, 'YGL010W-LIKE PROTEIN', 114557),
(170832, 'PTHR46198', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 114558),
(170833, 'PTHR30578', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT COMPLEX PROTEIN RNFD', 114559),
(170834, 'PTHR11673:SF41', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', 114560),
(170835, 'PTHR34610:SF4', NULL, NULL, NULL, NULL, 'SLL8027 PROTEIN', 114561),
(170836, 'PTHR23226:SF199', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 5', 114562),
(170837, 'PTHR23023:SF219', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 114563),
(170838, 'PTHR10362:SF44', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', 114564),
(170839, 'PTHR15315:SF35', NULL, NULL, NULL, NULL, 'F21J9.10', 114565),
(170840, 'PTHR47928:SF14', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 114566),
(170841, 'PTHR33348:SF3', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP5', 114567),
(170842, 'PTHR47926:SF200', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN CHLOROPLASTIC', 114568),
(170843, 'PTHR27008:SF161', NULL, NULL, NULL, NULL, 'OS01G0153000 PROTEIN', 114569),
(170844, 'PTHR43344:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE SERB1', 114570),
(170845, 'PTHR46387:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114571),
(170846, 'PTHR35356', NULL, NULL, NULL, NULL, 'OS01G0156300 PROTEIN-RELATED', 114572),
(170847, 'PTHR31306:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114573),
(170848, 'PTHR31218:SF292', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 114574),
(170849, 'PTHR31232:SF39', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY-RELATED', 114575),
(170850, 'PTHR45678:SF13', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 (MITOCHONDRIAL CARRIER: GLUTAMATE), MEMBER 22-RELATED', 114576),
(170851, 'PTHR23172:SF60', NULL, NULL, NULL, NULL, '200 KDA ANTIGEN P200-LIKE PROTEIN', 114577),
(170852, 'PTHR11062:SF288', NULL, NULL, NULL, NULL, 'BNAA07G36650D PROTEIN', 114578),
(170853, 'PTHR47465:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN EHOX-RELATED', 114579),
(170854, 'PTHR10826:SF14', NULL, NULL, NULL, NULL, 'BNAA03G51840D PROTEIN', 114580),
(170855, 'PTHR34081', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 114581),
(170856, 'PTHR28676:SF3', NULL, NULL, NULL, NULL, 'ALK AND LTK LIGAND 2A', 114582),
(170857, 'PTHR37029', NULL, NULL, NULL, NULL, 'SSR1768 PROTEIN', 114583);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(170858, 'PTHR34835:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114584),
(170859, 'PTHR48083:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114585),
(170860, 'PTHR46788:SF1', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 5', 114586),
(170861, 'PTHR43205:SF46', NULL, NULL, NULL, NULL, '2-ALKENAL REDUCTASE (NADP(+)-DEPENDENT)', 114587),
(170862, 'PTHR11559:SF395', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 114588),
(170863, 'PTHR13903:SF20', NULL, NULL, NULL, NULL, 'BNAC08G48910D PROTEIN', 114589),
(170864, 'PTHR48000:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX1', 114590),
(170865, 'PTHR35603:SF2', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE LIPOPROTEIN-RELATED', 114591),
(170866, 'PTHR12145:SF36', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,6-ALPHA-MANNOSIDASE DCW1', 114592),
(170867, 'PTHR11909:SF129', NULL, NULL, NULL, NULL, 'PROTEIN CBG13263', 114593),
(170868, 'PTHR10332:SF10', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER 1, ISOFORM A', 114594),
(170869, 'PTHR10201:SF26', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-16', 114595),
(170870, 'PTHR31351:SF35', NULL, NULL, NULL, NULL, 'BNAA06G16780D PROTEIN', 114596),
(170871, 'PTHR31204:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114597),
(170872, 'PTHR36028', NULL, NULL, NULL, NULL, 'OSJNBB0050O03.8 PROTEIN', 114598),
(170873, 'PTHR11702:SF31', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOME-ASSOCIATED GTPASE 2', 114599),
(170874, 'PTHR44427:SF12', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC BETA-1-GLYCOPROTEIN 3', 114600),
(170875, 'PTHR14340', NULL, NULL, NULL, NULL, 'MICROFIBRIL-ASSOCIATED GLYCOPROTEIN 3', 114601),
(170876, 'PTHR31475:SF5', NULL, NULL, NULL, NULL, 'UPF0462 PROTEIN C4ORF33 HOMOLOG', 114602),
(170877, 'PTHR43327:SF45', NULL, NULL, NULL, NULL, 'SPFH/BAND 7/PHB DOMAIN-CONTAINING MEMBRANE-ASSOCIATED PROTEIN FAMILY-RELATED', 114603),
(170878, 'PTHR30438:SF1', NULL, NULL, NULL, NULL, '36 KDA ANTIGEN', 114604),
(170879, 'PTHR11188:SF50', NULL, NULL, NULL, NULL, 'PROTEIN ECM21-RELATED', 114605),
(170880, 'PTHR42951', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE DOMAIN-CONTAINING', 114606),
(170881, 'PTHR40861', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 114607),
(170882, 'PTHR33021:SF337', NULL, NULL, NULL, NULL, 'OS01G0201500 PROTEIN', 114608),
(170883, 'PTHR31087:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 114609),
(170884, 'PTHR31529:SF41', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', 114610),
(170885, 'PTHR31707:SF241', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 114611),
(170886, 'PTHR26451:SF98', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10T2', 114612),
(170887, 'PTHR42673:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 114613),
(170888, 'PTHR23055:SF11', NULL, NULL, NULL, NULL, 'GUANYLYL CYCLASE-ACTIVATING PROTEIN 2', 114614),
(170889, 'PTHR22802:SF401', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 114615),
(170890, 'PTHR31682:SF4', NULL, NULL, NULL, NULL, 'UDP-ARABINOPYRANOSE MUTASE 5-RELATED', 114616),
(170891, 'PTHR46044:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114617),
(170892, 'PTHR27008:SF437', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114618),
(170893, 'PTHR12758:SF19', NULL, NULL, NULL, NULL, 'APOPTOSIS INHIBITOR 5', 114619),
(170894, 'PTHR10996:SF255', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 114620),
(170895, 'PTHR45856:SF9', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 114621),
(170896, 'PTHR42684:SF12', NULL, NULL, NULL, NULL, 'BNAC01G43270D PROTEIN', 114622),
(170897, 'PTHR23213:SF371', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 114623),
(170898, 'PTHR14237:SF65', NULL, NULL, NULL, NULL, 'EMB|CAB16785.1', 114624),
(170899, 'PTHR23013:SF26', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 114625),
(170900, 'PTHR46618', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 3', 114626),
(170901, 'PTHR11715:SF31', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', 114627),
(170902, 'PTHR22835:SF528', NULL, NULL, NULL, NULL, 'OS05G0210100 PROTEIN', 114628);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(170903, 'PTHR34008:SF2', NULL, NULL, NULL, NULL, 'REPETITIVE PROLINE-RICH CELL WALL PROTEIN 1', 114629),
(170904, 'PTHR12673:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114630),
(170905, 'PTHR48053:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114631),
(170906, 'PTHR44042:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114632),
(170907, 'PTHR31072:SF100', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP22', 114633),
(170908, 'PTHR11802:SF337', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 114634),
(170909, 'PTHR24028:SF101', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-13', 114635),
(170910, 'PTHR12145:SF21', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,6-ALPHA-MANNOSIDASE DFG5', 114636),
(170911, 'PTHR38384:SF3', NULL, NULL, NULL, NULL, 'BNAC07G34170D PROTEIN', 114637),
(170912, 'PTHR46368:SF15', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE FAMILY PROTEIN-RELATED', 114638),
(170913, 'PTHR13681:SF28', NULL, NULL, NULL, NULL, 'RECQ-MEDIATED GENOME INSTABILITY PROTEIN 1', 114639),
(170914, 'PTHR31161:SF16', NULL, NULL, NULL, NULL, 'UNE1-LIKE PROTEIN', 114640),
(170915, 'PTHR23226:SF240', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 41', 114641),
(170916, 'PTHR10277:SF69', NULL, NULL, NULL, NULL, 'BNAA04G20510D PROTEIN', 114642),
(170917, 'PTHR14002:SF9', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR-BETA RECEPTOR TYPE 3-LIKE PROTEIN', 114643),
(170918, 'PTHR21567:SF42', NULL, NULL, NULL, NULL, 'TOG ARRAY REGULATOR OF AXONEMAL MICROTUBULES PROTEIN 2', 114644),
(170919, 'PTHR22765:SF308', NULL, NULL, NULL, NULL, 'PROTEASE-ASSOCIATED (PA) RING/U-BOX ZINC FINGER PROTEIN', 114645),
(170920, 'PTHR12701:SF19', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM TRANSMEMBRANE PROTEIN 1-RELATED', 114646),
(170921, 'PTHR16471:SF0', NULL, NULL, NULL, NULL, 'CMT1A DUPLICATED REGION TRANSCRIPT 15 PROTEIN-LIKE PROTEIN', 114647),
(170922, 'PTHR33474:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114648),
(170923, 'PTHR31707:SF317', NULL, NULL, NULL, NULL, 'BNACNNG52530D PROTEIN', 114649),
(170924, 'PTHR47934:SF10', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 114650),
(170925, 'PTHR36166', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', 114651),
(170926, 'PTHR33416:SF23', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP1-LIKE', 114652),
(170927, 'PTHR31972:SF50', NULL, NULL, NULL, NULL, 'DUF868 FAMILY PROTEIN', 114653),
(170928, 'PTHR13234:SF56', NULL, NULL, NULL, NULL, 'GH19763P', 114654),
(170929, 'PTHR10529:SF350', NULL, NULL, NULL, NULL, 'ASSEMBLY PROTEIN AP47, PUTATIVE-RELATED', 114655),
(170930, 'PTHR34058:SF13', NULL, NULL, NULL, NULL, 'BNAA03G53620D PROTEIN', 114656),
(170931, 'PTHR30614:SF0', NULL, NULL, NULL, NULL, 'L-CYSTINE TRANSPORT SYSTEM PERMEASE PROTEIN YECS', 114657),
(170932, 'PTHR47003', NULL, NULL, NULL, NULL, 'OS01G0970900 PROTEIN', 114658),
(170933, 'PTHR10887:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114659),
(170934, 'PTHR37157:SF2', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH) DOMAIN-BEARING PROTEIN 25', 114660),
(170935, 'PTHR32191:SF50', NULL, NULL, NULL, NULL, 'TETRASPANIN-16-RELATED', 114661),
(170936, 'PTHR47424:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 114662),
(170937, 'PTHR23295:SF5', NULL, NULL, NULL, NULL, 'SI:CH211-216L23.2', 114663),
(170938, 'PTHR10887:SF473', NULL, NULL, NULL, NULL, 'YEAST DNA HELICASE/ENDONUCLEASE FAMILY', 114664),
(170939, 'PTHR45680:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 114665),
(170940, 'PTHR11595:SF55', NULL, NULL, NULL, NULL, 'SI:CH211-112F3.4', 114666),
(170941, 'PTHR46383:SF3', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE-RELATED', 114667),
(170942, 'PTHR12103:SF18', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE DOMAIN-CONTAINING PROTEIN 4', 114668),
(170943, 'PTHR31911:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114669),
(170944, 'PTHR23024:SF544', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 1-RELATED', 114670),
(170945, 'PTHR10574:SF410', NULL, NULL, NULL, NULL, 'AGRIN (SYNAPTIC PROTEIN) HOMOLOG', 114671);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(170946, 'PTHR12411:SF733', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG12', 114672),
(170947, 'PTHR31388:SF179', NULL, NULL, NULL, NULL, 'PEROXIDASE', 114673),
(170948, 'PTHR34967:SF1', NULL, NULL, NULL, NULL, 'OS02G0257200 PROTEIN', 114674),
(170949, 'PTHR27006:SF421', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, SIK1/2-RELATED', 114675),
(170950, 'PTHR12684', NULL, NULL, NULL, NULL, 'PUTATIVE PHOSPHOTRANSFERASE', 114676),
(170951, 'PTHR11260:SF648', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114677),
(170952, 'PTHR24373:SF331', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IG DOMAIN-CONTAINING 4A-RELATED', 114678),
(170953, 'PTHR36089', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 3 COMPLEX PROTEIN CSI2-RELATED', 114679),
(170954, 'PTHR33349:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114680),
(170955, 'PTHR46148:SF19', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON-LIKE PROTEIN', 114681),
(170956, 'PTHR21633:SF4', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN F2', 114682),
(170957, 'PTHR32246:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114683),
(170958, 'PTHR31769:SF38', NULL, NULL, NULL, NULL, 'OS05G0434600 PROTEIN', 114684),
(170959, 'PTHR36755:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 114685),
(170960, 'PTHR43271:SF2', NULL, NULL, NULL, NULL, 'BLL2771 PROTEIN', 114686),
(170961, 'PTHR24349:SF378', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 114687),
(170962, 'PTHR33649:SF12', NULL, NULL, NULL, NULL, 'NTEIG-E80 PROTEIN', 114688),
(170963, 'PTHR12537:SF127', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 3', 114689),
(170964, 'PTHR47434:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114690),
(170965, 'PTHR37947', NULL, NULL, NULL, NULL, 'BLL2462 PROTEIN', 114691),
(170966, 'PTHR31218:SF308', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 114692),
(170967, 'PTHR11850:SF280', NULL, NULL, NULL, NULL, 'BEAK-1', 114693),
(170968, 'PTHR12195:SF2', NULL, NULL, NULL, NULL, 'CYTOPLASMIC FMR1-INTERACTING PROTEIN 1', 114694),
(170969, 'PTHR16056', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 114695),
(170970, 'PTHR31062:SF200', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 114696),
(170971, 'PTHR28127', NULL, NULL, NULL, NULL, 'RIBOSOME ASSEMBLY PROTEIN 3', 114697),
(170972, 'PTHR31989:SF211', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 40', 114698),
(170973, 'PTHR48061:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114699),
(170974, 'PTHR31471:SF58', NULL, NULL, NULL, NULL, 'BNAA09G26200D PROTEIN', 114700),
(170975, 'PTHR39162', NULL, NULL, NULL, NULL, 'GLL3345 PROTEIN', 114701),
(170976, 'PTHR18966:SF477', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2.9-LIKE', 114702),
(170977, 'PTHR13022:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT K', 114703),
(170978, 'PTHR24412:SF232', NULL, NULL, NULL, NULL, 'GIGAXONIN', 114704),
(170979, 'PTHR12253:SF38', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2 GROUP III', 114705),
(170980, 'PTHR10352:SF40', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2A-LIKE', 114706),
(170981, 'PTHR33991:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RECO', 114707),
(170982, 'PTHR45746:SF7', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 7', 114708),
(170983, 'PTHR31213:SF21', NULL, NULL, NULL, NULL, 'AT-RICH ELEMENT BINDING FACTOR 3', 114709),
(170984, 'PTHR11073:SF42', NULL, NULL, NULL, NULL, 'CALR PROTEIN', 114710),
(170985, 'PTHR46587:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 114711),
(170986, 'PTHR12332', NULL, NULL, NULL, NULL, 'KEREN-RELATED', 114712),
(170987, 'PTHR31866:SF3', NULL, NULL, NULL, NULL, 'T0192688 ISOFORM 2', 114713),
(170988, 'PTHR13085:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114714),
(170989, 'PTHR12271:SF117', NULL, NULL, NULL, NULL, 'PROTEIN CBG19735', 114715),
(170990, 'PTHR33136:SF52', NULL, NULL, NULL, NULL, 'BNAC05G36680D PROTEIN', 114716),
(170991, 'PTHR19876', NULL, NULL, NULL, NULL, 'COATOMER', 114717);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(170992, 'PTHR31907:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114718),
(170993, 'PTHR11352:SF10', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN FAMILY PROTEIN', 114719),
(170994, 'PTHR31325:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114720),
(170995, 'PTHR31151:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114721),
(170996, 'PTHR11236:SF41', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE COMPONENT I-LIKE PROTEIN', 114722),
(170997, 'PTHR45966:SF9', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 1-LIKE', 114723),
(170998, 'PTHR46463:SF32', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 114724),
(170999, 'PTHR31190:SF321', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF098', 114725),
(171000, 'PTHR23012:SF170', NULL, NULL, NULL, NULL, 'BNAA09G45630D PROTEIN', 114726),
(171001, 'PTHR10997:SF29', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 114727),
(171002, 'PTHR44083:SF23', NULL, NULL, NULL, NULL, 'PROTEIN TOPLESS-LIKE ISOFORM X1', 114728),
(171003, 'PTHR10742:SF383', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE-LIKE PROTEIN', 114729),
(171004, 'PTHR11783:SF239', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 114730),
(171005, 'PTHR23504:SF106', NULL, NULL, NULL, NULL, 'PROTEIN ZINC INDUCED FACILITATOR-LIKE 1', 114731),
(171006, 'PTHR20855:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114732),
(171007, 'PTHR42776:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114733),
(171008, 'PTHR37957:SF1', NULL, NULL, NULL, NULL, 'BLR7070 PROTEIN', 114734),
(171009, 'PTHR31374:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114735),
(171010, 'PTHR45348:SF6', NULL, NULL, NULL, NULL, 'TRANS-ENOYL REDUCTASE APDC', 114736),
(171011, 'PTHR45620:SF16', NULL, NULL, NULL, NULL, 'GROWTH HORMONE-RELEASING HORMONE RECEPTOR 2', 114737),
(171012, 'PTHR21580:SF49', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER OF SPERM TAILS 3-LIKE 2B', 114738),
(171013, 'PTHR31365:SF4', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2-ALPHA-LIKE', 114739),
(171014, 'PTHR23088:SF30', NULL, NULL, NULL, NULL, 'OMEGA-AMIDASE NIT2', 114740),
(171015, 'PTHR13370:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114741),
(171016, 'PTHR23146:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114742),
(171017, 'PTHR21531:SF0', NULL, NULL, NULL, NULL, 'PROTEIN LTV1 HOMOLOG', 114743),
(171018, 'PTHR10281:SF76', NULL, NULL, NULL, NULL, 'CALCUTTA CUP-RELATED', 114744),
(171019, 'PTHR11210:SF51', NULL, NULL, NULL, NULL, 'RING-BOX PROTEIN 1A', 114745),
(171020, 'PTHR21717:SF74', NULL, NULL, NULL, NULL, 'TRF-LIKE 9-RELATED', 114746),
(171021, 'PTHR11552:SF102', NULL, NULL, NULL, NULL, 'GMC OXIDOREDUCTASE', 114747),
(171022, 'PTHR11945:SF660', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114748),
(171023, 'PTHR11654:SF546', NULL, NULL, NULL, NULL, 'BNAA05G35790D PROTEIN', 114749),
(171024, 'PTHR45689:SF11', NULL, NULL, NULL, NULL, 'POTASSIUM/SODIUM HYPERPOLARIZATION-ACTIVATED CYCLIC NUCLEOTIDE-GATED CHANNEL 2', 114750),
(171025, 'PTHR34999:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114751),
(171026, 'PTHR33044:SF94', NULL, NULL, NULL, NULL, 'PROTEIN YLS3', 114752),
(171027, 'PTHR45890:SF7', NULL, NULL, NULL, NULL, 'OS07G0558000 PROTEIN', 114753),
(171028, 'PTHR46708:SF1', NULL, NULL, NULL, NULL, 'TENASCIN', 114754),
(171029, 'PTHR45923:SF5', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG 1', 114755),
(171030, 'PTHR21319:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', 114756),
(171031, 'PTHR22106:SF5', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 78', 114757),
(171032, 'PTHR33922', NULL, NULL, NULL, NULL, 'OS01G0888066 PROTEIN-RELATED', 114758),
(171033, 'PTHR44191:SF41', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1R1-LIKE ISOFORM X1', 114759),
(171034, 'PTHR23244', NULL, NULL, NULL, NULL, 'KELCH REPEAT DOMAIN', 114760),
(171035, 'PTHR24055:SF462', NULL, NULL, NULL, NULL, 'GLH-BINDING KINASE 1-RELATED', 114761),
(171036, 'PTHR11835:SF56', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT ISOCITRATE DEHYDROGENASE C,1', 114762);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(171037, 'PTHR35885:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114763),
(171038, 'PTHR37945', NULL, NULL, NULL, NULL, 'EXTRACELLULAR TUNGSTATE BINDING PROTEIN', 114764),
(171039, 'PTHR31218:SF185', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 114765),
(171040, 'PTHR39063:SF1', NULL, NULL, NULL, NULL, 'ORAL-FACIAL-DIGITAL SYNDROME 1 PROTEIN HOMOLOG', 114766),
(171041, 'PTHR24258:SF133', NULL, NULL, NULL, NULL, 'SERINE PROTEASE NUDEL', 114767),
(171042, 'PTHR10522:SF5', NULL, NULL, NULL, NULL, 'PREPROGONADOTROPIN-RELEASING HORMONE 2 PRECURSOR', 114768),
(171043, 'PTHR30349', NULL, NULL, NULL, NULL, 'PHAGE INTEGRASE-RELATED', 114769),
(171044, 'PTHR12002:SF112', NULL, NULL, NULL, NULL, 'CLAUDIN-3', 114770),
(171045, 'PTHR24377:SF217', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 286A-RELATED', 114771),
(171046, 'PTHR27009:SF134', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 114772),
(171047, 'PTHR10114:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', 114773),
(171048, 'PTHR10110:SF98', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 114774),
(171049, 'PTHR30069', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT OUTER MEMBRANE RECEPTOR', 114775),
(171050, 'PTHR43245:SF1', NULL, NULL, NULL, NULL, 'CDP-4-DEHYDRO-6-DEOXY-D-GULOSE 4-REDUCTASE-RELATED', 114776),
(171051, 'PTHR43214:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR YJJQ-RELATED', 114777),
(171052, 'PTHR11817:SF5', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE-RELATED', 114778),
(171053, 'PTHR12081', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F', 114779),
(171054, 'PTHR46445:SF9', NULL, NULL, NULL, NULL, 'BNAC08G11180D PROTEIN', 114780),
(171055, 'PTHR19241:SF633', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', 114781),
(171056, 'PTHR47076:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114782),
(171057, 'PTHR15459:SF4', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1', 114783),
(171058, 'PTHR11712:SF344', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE II, CHLOROPLASTIC-LIKE ISOFORM X1', 114784),
(171059, 'PTHR24203:SF54', NULL, NULL, NULL, NULL, 'BNAA03G53290D PROTEIN', 114785),
(171060, 'PTHR11009:SF14', NULL, NULL, NULL, NULL, 'DERLIN-2 HOMOLOG-RELATED', 114786),
(171061, 'PTHR24320:SF210', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', 114787),
(171062, 'PTHR15036:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114788),
(171063, 'PTHR12956:SF24', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN (DUF616)', 114789),
(171064, 'PTHR31889:SF4', NULL, NULL, NULL, NULL, 'OS02G0275200 PROTEIN', 114790),
(171065, 'PTHR11909:SF389', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN HD16', 114791),
(171066, 'PTHR31238:SF103', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 2 MEMBER 3', 114792),
(171067, 'PTHR10219:SF25', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN', 114793),
(171068, 'PTHR23160:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114794),
(171069, 'PTHR46288:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114795),
(171070, 'PTHR31592:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114796),
(171071, 'PTHR33432:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114797),
(171072, 'PTHR48000:SF5', NULL, NULL, NULL, NULL, 'OS01G0191900 PROTEIN', 114798),
(171073, 'PTHR33044:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114799),
(171074, 'PTHR23012:SF189', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING-CH-TYPE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 114800),
(171075, 'PTHR14102:SF13', NULL, NULL, NULL, NULL, 'PAR-6 PARTITIONING DEFECTIVE 6 HOMOLOG BETA (C. ELEGANS)', 114801),
(171076, 'PTHR12391:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114802),
(171077, 'PTHR11977:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114803),
(171078, 'PTHR10696:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114804),
(171079, 'PTHR21143:SF78', NULL, NULL, NULL, NULL, 'GUSTATORY AND ODORANT RECEPTOR 21A', 114805),
(171080, 'PTHR33077:SF19', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10B', 114806);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(171081, 'PTHR23421:SF160', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 114807),
(171082, 'PTHR22777', NULL, NULL, NULL, NULL, 'HEMOLYSIN-RELATED', 114808),
(171083, 'PTHR31908:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CROWDED NUCLEI 3', 114809),
(171084, 'PTHR24034:SF100', NULL, NULL, NULL, NULL, 'GENE, 19410-RELATED', 114810),
(171085, 'PTHR23155:SF1089', NULL, NULL, NULL, NULL, 'OS09G0328951 PROTEIN', 114811),
(171086, 'PTHR47997:SF28', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 308-LIKE', 114812),
(171087, 'PTHR33124:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH147', 114813),
(171088, 'PTHR46428', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 10', 114814),
(171089, 'PTHR33076:SF61', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 114815),
(171090, 'PTHR24177:SF268', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', 114816),
(171091, 'PTHR48018:SF48', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8G5', 114817),
(171092, 'PTHR22948:SF18', NULL, NULL, NULL, NULL, 'TUDOR AND KH DOMAIN-CONTAINING PROTEIN', 114818),
(171093, 'PTHR43539:SF47', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 114819),
(171094, 'PTHR22848:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114820),
(171095, 'PTHR26451:SF896', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', 114821),
(171096, 'PTHR47360', NULL, NULL, NULL, NULL, 'MUREIN DD-ENDOPEPTIDASE MEPS/MUREIN LD-CARBOXYPEPTIDASE', 114822),
(171097, 'PTHR48043:SF11', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 114823),
(171098, 'PTHR47473', NULL, NULL, NULL, NULL, 'BTA1P', 114824),
(171099, 'PTHR31194:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114825),
(171100, 'PTHR47926:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114826),
(171101, 'PTHR25952:SF242', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114827),
(171102, 'PTHR33935:SF2', NULL, NULL, NULL, NULL, 'OS03G0245200 PROTEIN', 114828),
(171103, 'PTHR31059:SF3', NULL, NULL, NULL, NULL, 'HSSA/B-LIKE PROTEIN 10-RELATED', 114829),
(171104, 'PTHR15572', NULL, NULL, NULL, NULL, 'GLIOMA TUMOR SUPPRESSOR CANDIDATE REGION GENE 1', 114830),
(171105, 'PTHR11685:SF352', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 114831),
(171106, 'PTHR10177:SF443', NULL, NULL, NULL, NULL, 'CYCLIN-A3-1-RELATED', 114832),
(171107, 'PTHR37686', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 114833),
(171108, 'PTHR33879:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114834),
(171109, 'PTHR36356:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 114835),
(171110, 'PTHR24242:SF364', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 114836),
(171111, 'PTHR11920:SF478', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-7', 114837),
(171112, 'PTHR46128:SF155', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 114838),
(171113, 'PTHR34005:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG15054', 114839),
(171114, 'PTHR12002:SF181', NULL, NULL, NULL, NULL, 'CLAUDIN', 114840),
(171115, 'PTHR31147:SF41', NULL, NULL, NULL, NULL, '3''-N-DEBENZOYLTAXOL N-BENZOYLTRANSFERASE-LIKE', 114841),
(171116, 'PTHR36067:SF2', NULL, NULL, NULL, NULL, 'BNAC03G49100D PROTEIN', 114842),
(171117, 'PTHR46096', NULL, NULL, NULL, NULL, 'PERFORIN-1', 114843),
(171118, 'PTHR12210:SF160', NULL, NULL, NULL, NULL, 'CTD (CARBOXY-TERMINAL DOMAIN, RNA POLYMERASE II, POLYPEPTIDE A) SMALL PHOSPHATASE-LIKE A', 114844),
(171119, 'PTHR11552:SF100', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00630)-RELATED', 114845),
(171120, 'PTHR31845:SF30', NULL, NULL, NULL, NULL, 'MISCELLANEOUS ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 114846),
(171121, 'PTHR21450:SF33', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, 48652-45869-RELATED', 114847),
(171122, 'PTHR31175:SF78', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR66-LIKE', 114848),
(171123, 'PTHR31650:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114849),
(171124, 'PTHR21879:SF8', NULL, NULL, NULL, NULL, 'OSIRIS 23', 114850);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(171125, 'PTHR42903:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YCCF', 114851),
(171126, 'PTHR24286:SF42', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 BJ-3', 114852),
(171127, 'PTHR22798:SF2', NULL, NULL, NULL, NULL, 'MALIGNANT T-CELL-AMPLIFIED SEQUENCE', 114853),
(171128, 'PTHR12190:SF6', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 8', 114854),
(171129, 'PTHR11516:SF56', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA-2, MITOCHONDRIAL', 114855),
(171130, 'PTHR33254:SF23', NULL, NULL, NULL, NULL, '4-HYDROXY-4-METHYL-2-OXOGLUTARATE ALDOLASE', 114856),
(171131, 'PTHR31989:SF370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114857),
(171132, 'PTHR12881:SF10', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 1', 114858),
(171133, 'PTHR32009:SF93', NULL, NULL, NULL, NULL, 'BNAC09G51970D PROTEIN', 114859),
(171134, 'PTHR23301:SF71', NULL, NULL, NULL, NULL, 'BCDNA.GH02976', 114860),
(171135, 'PTHR24304:SF0', NULL, NULL, NULL, NULL, '25-HYDROXYCHOLESTEROL 7-ALPHA-HYDROXYLASE', 114861),
(171136, 'PTHR32401:SF15', NULL, NULL, NULL, NULL, 'LEGUME LECTIN BETA DOMAIN PROTEIN', 114862),
(171137, 'PTHR21139:SF28', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE', 114863),
(171138, 'PTHR42743', NULL, NULL, NULL, NULL, 'AMINO-ACID AMINOTRANSFERASE', 114864),
(171139, 'PTHR18839:SF3', NULL, NULL, NULL, NULL, 'MITOTIC INTERACTOR AND SUBSTRATE OF PLK1', 114865),
(171140, 'PTHR33955:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 52', 114866),
(171141, 'PTHR12547:SF146', NULL, NULL, NULL, NULL, 'ZINC FINGER C-X8-C-X5-C-X3-H TYPE FAMILY PROTEIN', 114867),
(171142, 'PTHR13497:SF3', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP130', 114868),
(171143, 'PTHR31636:SF180', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', 114869),
(171144, 'PTHR10071:SF190', NULL, NULL, NULL, NULL, 'ERYTHROID TRANSCRIPTION FACTOR', 114870),
(171145, 'PTHR10108:SF1090', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT7-RELATED', 114871),
(171146, 'PTHR43128:SF15', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', 114872),
(171147, 'PTHR34937:SF1', NULL, NULL, NULL, NULL, 'PARAMYOSIN', 114873),
(171148, 'PTHR21022:SF0', NULL, NULL, NULL, NULL, 'PREPHENATE DEHYDRATASE-RELATED', 114874),
(171149, 'PTHR11959:SF12', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE', 114875),
(171150, 'PTHR14553', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN C1ORF50', 114876),
(171151, 'PTHR31288:SF27', NULL, NULL, NULL, NULL, 'BNAA06G09720D PROTEIN', 114877),
(171152, 'PTHR45637:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114878),
(171153, 'PTHR11861:SF12', NULL, NULL, NULL, NULL, 'PREMELANOSOME PROTEIN B', 114879),
(171154, 'PTHR10366:SF384', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 114880),
(171155, 'PTHR22572:SF147', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE NUCLEOTYDYL TRANSFERASE', 114881),
(171156, 'PTHR20932:SF32', NULL, NULL, NULL, NULL, 'LYSM DOMAIN CONTAINING PROTEIN, EXPRESSED', 114882),
(171157, 'PTHR48019:SF98', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 27-LIKE ISOFORM X1', 114883),
(171158, 'PTHR22898:SF4', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', 114884),
(171159, 'PTHR10725:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114885),
(171160, 'PTHR10846:SF42', NULL, NULL, NULL, NULL, 'ZYDECO, ISOFORM F', 114886),
(171161, 'PTHR22599:SF20', NULL, NULL, NULL, NULL, 'CBK1 KINASE ACTIVATOR PROTEIN MOB2', 114887),
(171162, 'PTHR16305:SF28', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 10', 114888),
(171163, 'PTHR46313:SF3', NULL, NULL, NULL, NULL, 'PROLYCOPENE ISOMERASE, CHLOROPLASTIC', 114889),
(171164, 'PTHR43572:SF47', NULL, NULL, NULL, NULL, 'BNAANNG26190D PROTEIN', 114890),
(171165, 'PTHR13948:SF22', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 6', 114891),
(171166, 'PTHR46105:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR PROTEIN BACH1', 114892),
(171167, 'PTHR43396:SF5', NULL, NULL, NULL, NULL, 'VANILLATE O-DEMETHYLASE OXIDOREDUCTASE', 114893);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(171168, 'PTHR16290:SF28', NULL, NULL, NULL, NULL, 'DECAPPING 1-RELATED', 114894),
(171169, 'PTHR46061:SF6', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE RECEPTOR B', 114895),
(171170, 'PTHR31288:SF10', NULL, NULL, NULL, NULL, 'PROTEIN ESMERALDA 1', 114896),
(171171, 'PTHR48016:SF21', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE', 114897),
(171172, 'PTHR43300:SF5', NULL, NULL, NULL, NULL, 'CHLORAMPHENICOL ACETYLTRANSFERASE', 114898),
(171173, 'PTHR31839:SF57', NULL, NULL, NULL, NULL, 'C-REPEAT BINDING FACTOR 9', 114899),
(171174, 'PTHR21230:SF71', NULL, NULL, NULL, NULL, 'MEMBRIN', 114900),
(171175, 'PTHR10033:SF0', NULL, NULL, NULL, NULL, 'CALSEQUESTRIN', 114901),
(171176, 'PTHR31265:SF45', NULL, NULL, NULL, NULL, 'BNAA05G29710D PROTEIN', 114902),
(171177, 'PTHR24023:SF1003', NULL, NULL, NULL, NULL, 'COLLAGEN TRIPLE HELIX REPEAT', 114903),
(171178, 'PTHR10131:SF120', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 4', 114904),
(171179, 'PTHR24399:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 3', 114905),
(171180, 'PTHR30005:SF0', NULL, NULL, NULL, NULL, 'RETROGRADE REGULATION PROTEIN 2', 114906),
(171181, 'PTHR12419:SF74', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN DDB_G0284757 ISOFORM X1', 114907),
(171182, 'PTHR40026:SF1', NULL, NULL, NULL, NULL, 'PROTEIN VEG', 114908),
(171183, 'PTHR32343:SF24', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 10', 114909),
(171184, 'PTHR11119', NULL, NULL, NULL, NULL, 'XANTHINE-URACIL / VITAMIN C PERMEASE FAMILY MEMBER', 114910),
(171185, 'PTHR43719:SF50', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE CKI1-LIKE', 114911),
(171186, 'PTHR33177:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114912),
(171187, 'PTHR12802:SF137', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN I', 114913),
(171188, 'PTHR11615:SF309', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 114914),
(171189, 'PTHR33076:SF111', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 114915),
(171190, 'PTHR31989:SF168', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 4-LIKE ISOFORM X1', 114916),
(171191, 'PTHR13044:SF40', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY', 114917),
(171192, 'PTHR18934:SF202', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX29', 114918),
(171193, 'PTHR13581:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114919),
(171194, 'PTHR22958:SF31', NULL, NULL, NULL, NULL, 'BNAC06G13430D PROTEIN', 114920),
(171195, 'PTHR24320:SF208', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE TIC 32, CHLOROPLASTIC-LIKE ISOFORM X1', 114921),
(171196, 'PTHR45801:SF50', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGER PROTEIN', 114922),
(171197, 'PTHR14096:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG02395', 114923),
(171198, 'PTHR38847:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114924),
(171199, 'PTHR11818:SF111', NULL, NULL, NULL, NULL, 'CRYSTALLIN, GAMMA M1-RELATED', 114925),
(171200, 'PTHR19241:SF644', NULL, NULL, NULL, NULL, 'ABC-2 AND PLANT PDR ABC-TYPE TRANSPORTER FAMILY PROTEIN', 114926),
(171201, 'PTHR45958:SF16', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 114927),
(171202, 'PTHR31947:SF17', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', 114928),
(171203, 'PTHR10113:SF35', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1', 114929),
(171204, 'PTHR21520:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 2', 114930),
(171205, 'PTHR31828:SF16', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIBETA', 114931),
(171206, 'PTHR33832:SF13', NULL, NULL, NULL, NULL, 'OS03G0733900 PROTEIN', 114932),
(171207, 'PTHR13620:SF65', NULL, NULL, NULL, NULL, 'OS01G0660800 PROTEIN', 114933),
(171208, 'PTHR10855:SF2', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 4', 114934),
(171209, 'PTHR10891:SF903', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML43-RELATED', 114935),
(171210, 'PTHR43791:SF38', NULL, NULL, NULL, NULL, 'MONONUCLEOTIDE PERMEASE, PUTATIVE-RELATED', 114936),
(171211, 'PTHR24233:SF0', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 12', 114937);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(171212, 'PTHR35022:SF13', NULL, NULL, NULL, NULL, 'EXTENSIN-3-LIKE', 114938),
(171213, 'PTHR46713:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114939),
(171214, 'PTHR23127', NULL, NULL, NULL, NULL, 'CENTROMERE/MICROTUBULE BINDING PROTEIN CBF5', 114940),
(171215, 'PTHR35011:SF11', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLATE MEMBRANE TRANSPORT PROTEIN', 114941),
(171216, 'PTHR34586:SF4', NULL, NULL, NULL, NULL, 'ALLERGEN ASP F7 (AFU_ORTHOLOGUE AFUA_4G06670)', 114942),
(171217, 'PTHR46594:SF2', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE HMA4', 114943),
(171218, 'PTHR22988:SF28', NULL, NULL, NULL, NULL, 'RHO-ASSOCIATED PROTEIN KINASE 2', 114944),
(171219, 'PTHR31190:SF273', NULL, NULL, NULL, NULL, 'BNAA10G04090D PROTEIN', 114945),
(171220, 'PTHR31321:SF69', NULL, NULL, NULL, NULL, 'PECTINESTERASE PPME1-RELATED', 114946),
(171221, 'PTHR45747:SF16', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE MES-2', 114947),
(171222, 'PTHR47293:SF52', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 10-RELATED', 114948),
(171223, 'PTHR21367', NULL, NULL, NULL, NULL, 'ARGININE-TRNA-PROTEIN TRANSFERASE 1', 114949),
(171224, 'PTHR10623:SF34', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN, RP/EB FAMILY, MEMBER 3B', 114950),
(171225, 'PTHR34808:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114951),
(171226, 'PTHR11200:SF268', NULL, NULL, NULL, NULL, 'TYPE II INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 14', 114952),
(171227, 'PTHR14677:SF13', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 2B', 114953),
(171228, 'PTHR12956:SF69', NULL, NULL, NULL, NULL, 'BNAC04G44140D PROTEIN', 114954),
(171229, 'PTHR11309:SF86', NULL, NULL, NULL, NULL, 'FRIZZLED-10', 114955),
(171230, 'PTHR12622:SF4', NULL, NULL, NULL, NULL, 'PROTEIN DELTEX', 114956),
(171231, 'PTHR13343:SF32', NULL, NULL, NULL, NULL, 'BNAA01G25290D PROTEIN', 114957),
(171232, 'PTHR45645:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114958),
(171233, 'PTHR48086:SF3', NULL, NULL, NULL, NULL, 'SODIUM/PROLINE SYMPORTER', 114959),
(171234, 'PTHR47071:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 114960),
(171235, 'PTHR46179:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114961),
(171236, 'PTHR23334:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114962),
(171237, 'PTHR24296:SF108', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 96, SUBFAMILY A, POLYPEPTIDE 1', 114963),
(171238, 'PTHR45940', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 1-RELATED', 114964),
(171239, 'PTHR42080:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114965),
(171240, 'PTHR22811:SF173', NULL, NULL, NULL, NULL, 'COAT PROTEIN, PUTATIVE-RELATED', 114966),
(171241, 'PTHR24020:SF68', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS A MEMBER 3', 114967),
(171242, 'PTHR46964', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I-RELATED', 114968),
(171243, 'PTHR37751:SF2', NULL, NULL, NULL, NULL, 'BNAC09G52880D PROTEIN', 114969),
(171244, 'PTHR23267:SF435', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114970),
(171245, 'PTHR31836:SF2', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN 3-RELATED', 114971),
(171246, 'PTHR30566:SF25', NULL, NULL, NULL, NULL, 'LARGE-CONDUCTANCE MECHANOSENSITIVE CHANNEL MSCMJLR', 114972),
(171247, 'PTHR11706:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114973),
(171248, 'PTHR11877:SF64', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 2', 114974),
(171249, 'PTHR47947:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82A1-LIKE', 114975),
(171250, 'PTHR10742:SF386', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 2', 114976),
(171251, 'PTHR33147:SF42', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PROTEIN LCR69, PUTATIVE-RELATED', 114977),
(171252, 'PTHR45796:SF5', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN P3', 114978),
(171253, 'PTHR24220:SF470', NULL, NULL, NULL, NULL, 'CELL DIVISION ATP-BINDING PROTEIN FTSE', 114979),
(171254, 'PTHR32077:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114980),
(171255, 'PTHR43429:SF3', NULL, NULL, NULL, NULL, 'NADH OXIDASE-RELATED', 114981),
(171256, 'PTHR45676:SF27', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL73-LIKE', 114982);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(171257, 'PTHR17537:SF6', NULL, NULL, NULL, NULL, 'PROTEIN TOB1', 114983),
(171258, 'PTHR34765', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 19', 114984),
(171259, 'PTHR33564:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114985),
(171260, 'PTHR24353:SF73', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE TYPE 1-RELATED', 114986),
(171261, 'PTHR12992:SF36', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE DOMAIN-LIKE PROTEIN-RELATED', 114987),
(171262, 'PTHR31683:SF128', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 114988),
(171263, 'PTHR21608', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 114989),
(171264, 'PTHR13068:SF144', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', 114990),
(171265, 'PTHR32063:SF64', NULL, NULL, NULL, NULL, 'ACRB/ACRD/ACRF FAMILY PROTEIN', 114991),
(171266, 'PTHR46910:SF12', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN CAT8', 114992),
(171267, 'PTHR10678:SF10', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 2', 114993),
(171268, 'PTHR11669:SF54', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT GAMMA/TAU', 114994),
(171269, 'PTHR31973:SF86', NULL, NULL, NULL, NULL, 'POLYPROTEIN, PUTATIVE-RELATED', 114995),
(171270, 'PTHR46301:SF43', NULL, NULL, NULL, NULL, 'OS01G0519100 PROTEIN', 114996),
(171271, 'PTHR46503', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN-LIKE PROTEIN', 114997),
(171272, 'PTHR23280:SF5', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 5', 114998),
(171273, 'PTHR33181:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 114999),
(171274, 'PTHR11969:SF60', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 115000),
(171275, 'PTHR31942:SF59', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 115001),
(171276, 'PTHR47314:SF2', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN OLIGOMER TRANSPORT SYSTEM PERMEASE PROTEIN GANP-RELATED', 115002),
(171277, 'PTHR45651:SF37', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 11', 115003),
(171278, 'PTHR45968:SF23', NULL, NULL, NULL, NULL, '(R)-MANDELONITRILE LYASE 4-RELATED', 115004),
(171279, 'PTHR11814:SF187', NULL, NULL, NULL, NULL, 'EPIDERMAL STRIPES AND PATCHES, ISOFORM A', 115005),
(171280, 'PTHR16295', NULL, NULL, NULL, NULL, 'TRAF-TYPE ZINC FINGER PROTEIN-RELATED', 115006),
(171281, 'PTHR23077:SF159', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 115007),
(171282, 'PTHR46281:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B-2-RELATED', 115008),
(171283, 'PTHR11633:SF3', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR SUBUNIT A', 115009),
(171284, 'PTHR10980', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR', 115010),
(171285, 'PTHR42825:SF25', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 115011),
(171286, 'PTHR24305:SF183', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 115012),
(171287, 'PTHR27004:SF337', NULL, NULL, NULL, NULL, 'BNAA05G10550D PROTEIN', 115013),
(171288, 'PTHR11202:SF22', NULL, NULL, NULL, NULL, 'PROTEIN ENABLED', 115014),
(171289, 'PTHR11208:SF92', NULL, NULL, NULL, NULL, 'BNAA05G29610D PROTEIN', 115015),
(171290, 'PTHR33070:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115016),
(171291, 'PTHR31639:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115017),
(171292, 'PTHR11260:SF658', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GST 26', 115018),
(171293, 'PTHR31325:SF157', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 115019),
(171294, 'PTHR27004:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115020),
(171295, 'PTHR12549:SF42', NULL, NULL, NULL, NULL, 'PROTEIN B160', 115021),
(171296, 'PTHR13058:SF19', NULL, NULL, NULL, NULL, 'THREE-PRIME REPAIR EXONUCLEASE 1', 115022),
(171297, 'PTHR13976:SF77', NULL, NULL, NULL, NULL, 'BNAA05G20010D PROTEIN', 115023),
(171298, 'PTHR11223:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115024),
(171299, 'PTHR10380:SF205', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 97EB', 115025),
(171300, 'PTHR11214:SF242', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 5-RELATED', 115026);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(171301, 'PTHR31314:SF101', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', 115027),
(171302, 'PTHR10811:SF73', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 115028),
(171303, 'PTHR33377:SF36', NULL, NULL, NULL, NULL, 'OS01G0582300 PROTEIN', 115029),
(171304, 'PTHR26450:SF156', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52R1', 115030),
(171305, 'PTHR10562:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115031),
(171306, 'PTHR46267:SF17', NULL, NULL, NULL, NULL, 'BNAA09G07290D PROTEIN', 115032),
(171307, 'PTHR40396', NULL, NULL, NULL, NULL, 'ATPASE-LIKE PROTEIN', 115033),
(171308, 'PTHR45658:SF18', NULL, NULL, NULL, NULL, 'PROTEIN GAT2-RELATED', 115034),
(171309, 'PTHR10353:SF227', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 46-LIKE', 115035),
(171310, 'PTHR46890:SF13', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE-LIKE PROTEIN', 115036),
(171311, 'PTHR10984:SF66', NULL, NULL, NULL, NULL, 'BNAA09G30800D PROTEIN', 115037),
(171312, 'PTHR23262:SF205', NULL, NULL, NULL, NULL, 'MCG141380', 115038),
(171313, 'PTHR47967:SF75', NULL, NULL, NULL, NULL, 'OS12G0450300 PROTEIN', 115039),
(171314, 'PTHR46678', NULL, NULL, NULL, NULL, 'LECITHIN RETINOL ACYLTRANSFERASE', 115040),
(171315, 'PTHR15025:SF7', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, VOLTAGE-DEPENDENT, GAMMA SUBUNIT 6A', 115041),
(171316, 'PTHR33414', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 1-RELATED 1', 115042),
(171317, 'PTHR31765', NULL, NULL, NULL, NULL, 'PROTEIN CBG12783', 115043),
(171318, 'PTHR35011:SF5', NULL, NULL, NULL, NULL, 'SIALIC ACID TRAP TRANSPORTER SMALL PERMEASE PROTEIN SIAQ', 115044),
(171319, 'PTHR31704:SF33', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN', 115045),
(171320, 'PTHR48104:SF31', NULL, NULL, NULL, NULL, 'METACASPASE 2-RELATED', 115046),
(171321, 'PTHR46006:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115047),
(171322, 'PTHR31371:SF13', NULL, NULL, NULL, NULL, 'OS10G0380300 PROTEIN', 115048),
(171323, 'PTHR31791:SF32', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 115049),
(171324, 'PTHR12245:SF15', NULL, NULL, NULL, NULL, 'SI:CH1073-228J22.2', 115050),
(171325, 'PTHR16027:SF4', NULL, NULL, NULL, NULL, 'RAS-INTERACTING PROTEIN 1', 115051),
(171326, 'PTHR31639:SF221', NULL, NULL, NULL, NULL, 'OS06G0204600 PROTEIN', 115052),
(171327, 'PTHR15546:SF8', NULL, NULL, NULL, NULL, 'OS02G0556900 PROTEIN', 115053),
(171328, 'PTHR31988', NULL, NULL, NULL, NULL, 'ESTERASE, PUTATIVE (DUF303)-RELATED', 115054),
(171329, 'PTHR11071:SF499', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 115055),
(171330, 'PTHR31989:SF316', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR PPVNS5', 115056),
(171331, 'PTHR11206:SF73', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EXTRUSION PROTEIN 1', 115057),
(171332, 'PTHR32100:SF46', NULL, NULL, NULL, NULL, 'OMEGA-6 FATTY ACID DESATURASE, ENDOPLASMIC RETICULUM', 115058),
(171333, 'PTHR47992:SF68', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 73-RELATED', 115059),
(171334, 'PTHR43190:SF8', NULL, NULL, NULL, NULL, 'N-ACETYL-D-GLUCOSAMINE KINASE-LIKE', 115060),
(171335, 'PTHR23515:SF17', NULL, NULL, NULL, NULL, 'NITRATE TRANSPORT3', 115061),
(171336, 'PTHR13817:SF127', NULL, NULL, NULL, NULL, 'LP22668P', 115062),
(171337, 'PTHR23081:SF30', NULL, NULL, NULL, NULL, 'BNAA01G26010D PROTEIN', 115063),
(171338, 'PTHR22874:SF8', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', 115064),
(171339, 'PTHR34281:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115065),
(171340, 'PTHR11851:SF202', NULL, NULL, NULL, NULL, 'PROCESSING PEPTIDASE ALPHA SUBUNIT, PUTATIVE-RELATED', 115066),
(171341, 'PTHR28006', NULL, NULL, NULL, NULL, 'MONOPOLIN COMPLEX SUBUNIT CSM1', 115067),
(171342, 'PTHR23028:SF124', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 115068),
(171343, 'PTHR11680:SF51', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', 115069),
(171344, 'PTHR13068:SF192', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', 115070),
(171345, 'PTHR33778', NULL, NULL, NULL, NULL, 'PROTEIN MGTC', 115071);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(171346, 'PTHR12313:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF185', 115072),
(171347, 'PTHR22589:SF47', NULL, NULL, NULL, NULL, 'CARNITINE O-ACETYLTRANSFERASE B', 115073),
(171348, 'PTHR34184', NULL, NULL, NULL, NULL, 'UPF0718 PROTEIN YCGR', 115074),
(171349, 'PTHR32166:SF95', NULL, NULL, NULL, NULL, 'BNAC01G22590D PROTEIN', 115075),
(171350, 'PTHR46260:SF3', NULL, NULL, NULL, NULL, 'KELCH REPEAT PROTEIN', 115076),
(171351, 'PTHR23226:SF148', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', 115077),
(171352, 'PTHR11260:SF550', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GST 38', 115078),
(171353, 'PTHR34799:SF2', NULL, NULL, NULL, NULL, 'OS07G0656300 PROTEIN', 115079),
(171354, 'PTHR45089:SF4', NULL, NULL, NULL, NULL, 'OS11G0573800 PROTEIN', 115080),
(171355, 'PTHR24403:SF48', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 10', 115081),
(171356, 'PTHR47928:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115082),
(171357, 'PTHR15718:SF6', NULL, NULL, NULL, NULL, 'G PROTEIN-REGULATED INDUCER OF NEURITE OUTGROWTH 3', 115083),
(171358, 'PTHR43991:SF18', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 115084),
(171359, 'PTHR11685:SF245', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 115085),
(171360, 'PTHR27002:SF844', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 26-RELATED', 115086),
(171361, 'PTHR12466', NULL, NULL, NULL, NULL, 'CDC73 DOMAIN PROTEIN', 115087),
(171362, 'PTHR11764:SF57', NULL, NULL, NULL, NULL, 'TIRUCALLADIENOL SYNTHASE-RELATED', 115088),
(171363, 'PTHR47795:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN AND WLM DOMAIN-CONTAINING METALLOPROTEASE SPCC1442.07C', 115089),
(171364, 'PTHR11850:SF266', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOMOTHORAX', 115090),
(171365, 'PTHR31409:SF0', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 4', 115091),
(171366, 'PTHR23050:SF119', NULL, NULL, NULL, NULL, 'CALMODULIN RELATED GENES', 115092),
(171367, 'PTHR12874:SF20', NULL, NULL, NULL, NULL, 'BNACNNG10450D PROTEIN', 115093),
(171368, 'PTHR39532', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 115094),
(171369, 'PTHR36138:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115095),
(171370, 'PTHR37508', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 115096),
(171371, 'PTHR42746:SF2', NULL, NULL, NULL, NULL, 'DIADENOSINE 5'',5''''''-P1,P4-TETRAPHOSPHATE PHOSPHORYLASE 2-RELATED', 115097),
(171372, 'PTHR43706:SF31', NULL, NULL, NULL, NULL, 'PARVALBUMIN, FAD/NAD(P)-BINDING DOMAIN PROTEIN-RELATED', 115098),
(171373, 'PTHR24418:SF399', NULL, NULL, NULL, NULL, 'MEGAKARYOCYTE-ASSOCIATED TYROSINE-PROTEIN KINASE', 115099),
(171374, 'PTHR21529:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115100),
(171375, 'PTHR26379:SF304', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 2', 115101),
(171376, 'PTHR43558', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10540)-RELATED', 115102),
(171377, 'PTHR42801', NULL, NULL, NULL, NULL, 'THIOREDOXIN-DEPENDENT PEROXIDE REDUCTASE', 115103),
(171378, 'PTHR31251:SF124', NULL, NULL, NULL, NULL, 'BNAA09G27960D PROTEIN', 115104),
(171379, 'PTHR47176', NULL, NULL, NULL, NULL, 'OSJNBA0020J04.13 PROTEIN', 115105),
(171380, 'PTHR22932:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 115106),
(171381, 'PTHR14511:SF14', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR FAMILY C GROUP 5 MEMBER B-LIKE', 115107),
(171382, 'PTHR33109:SF70', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 8', 115108),
(171383, 'PTHR47877:SF6', NULL, NULL, NULL, NULL, 'EMBRYONIC PROTEIN DC-8-RELATED', 115109),
(171384, 'PTHR42981:SF2', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE [UBIQUINONE]', 115110),
(171385, 'PTHR32134:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115111),
(171386, 'PTHR15572:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-168D23.3', 115112),
(171387, 'PTHR33459:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115113),
(171388, 'PTHR33074:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115114),
(171389, 'PTHR42764:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 115115);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(171390, 'PTHR15126', NULL, NULL, NULL, NULL, 'SH3-BINDING', 115116),
(171391, 'PTHR38681:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115117),
(171392, 'PTHR33191:SF40', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 6-RELATED', 115118),
(171393, 'PTHR33830:SF21', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 140-RELATED', 115119),
(171394, 'PTHR31826:SF4', NULL, NULL, NULL, NULL, 'NICALIN-1', 115120),
(171395, 'PTHR44083:SF25', NULL, NULL, NULL, NULL, 'TOPLESS-LIKE PROTEIN', 115121),
(171396, 'PTHR30469:SF31', NULL, NULL, NULL, NULL, 'SLL0180 PROTEIN', 115122),
(171397, 'PTHR47074:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115123),
(171398, 'PTHR12161:SF65', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN IST1-RELATED', 115124),
(171399, 'PTHR10361:SF55', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 10 MEMBER 6', 115125),
(171400, 'PTHR39966:SF3', NULL, NULL, NULL, NULL, 'PAS/PAC SENSOR PROTEIN-RELATED', 115126),
(171401, 'PTHR33091:SF44', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR POTATO INHIBITOR I-TYPE FAMILY PROTEIN', 115127),
(171402, 'PTHR21503:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG03754', 115128),
(171403, 'PTHR31038:SF12', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 1, CHLOROPLASTIC-LIKE', 115129),
(171404, 'PTHR48002:SF9', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K1', 115130),
(171405, 'PTHR33869:SF20', NULL, NULL, NULL, NULL, 'BNAA02G16350D PROTEIN', 115131),
(171406, 'PTHR31172:SF5', NULL, NULL, NULL, NULL, 'STOMATAL CLOSURE-RELATED ACTIN-BINDING PROTEIN 2', 115132),
(171407, 'PTHR24293:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 46, SUBFAMILY A, POLYPEPTIDE 1, TANDEM DUPLICATE 2-RELATED', 115133),
(171408, 'PTHR27006:SF250', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1', 115134),
(171409, 'PTHR38459:SF4', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 115135),
(171410, 'PTHR13199:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115136),
(171411, 'PTHR22975:SF9', NULL, NULL, NULL, NULL, 'ECHINUS SPLICE FORM 3', 115137),
(171412, 'PTHR37989:SF38', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 5', 115138),
(171413, 'PTHR46807:SF5', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', 115139),
(171414, 'PTHR15454:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115140),
(171415, 'PTHR35862', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', 115141),
(171416, 'PTHR46232', NULL, NULL, NULL, NULL, 'SMARCE1 REGULATOR OF CHROMATIN', 115142),
(171417, 'PTHR46638:SF1', NULL, NULL, NULL, NULL, 'CORRINOID ADENOSYLTRANSFERASE', 115143),
(171418, 'PTHR27006:SF277', NULL, NULL, NULL, NULL, 'REPEAT TRANSMEMBRANE PROTEIN KINASE, PUTATIVE ISOFORM 1-RELATED', 115144),
(171419, 'PTHR47164:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 115145),
(171420, 'PTHR11347:SF199', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT 3'',5''-CYCLIC NUCLEOTIDE PHOSPHODIESTERASE 1', 115146),
(171421, 'PTHR42938:SF18', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 115147),
(171422, 'PTHR27001:SF539', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-REGULATED RECEPTOR-LIKE KINASE 2', 115148),
(171423, 'PTHR43735:SF16', NULL, NULL, NULL, NULL, 'NADH:UBIQUINONE REDUCTASE (NON-ELECTROGENIC)-RELATED', 115149),
(171424, 'PTHR12547:SF5', NULL, NULL, NULL, NULL, 'MRNA DECAY ACTIVATOR PROTEIN ZFP36L3', 115150),
(171425, 'PTHR10544:SF17', NULL, NULL, NULL, NULL, 'BNAA07G01060D PROTEIN', 115151),
(171426, 'PTHR33446', NULL, NULL, NULL, NULL, 'PROTEIN TONB-RELATED', 115152),
(171427, 'PTHR10543:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115153),
(171428, 'PTHR10799:SF854', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE BRM', 115154),
(171429, 'PTHR10183:SF404', NULL, NULL, NULL, NULL, 'ZGC:85932', 115155),
(171430, 'PTHR48017:SF125', NULL, NULL, NULL, NULL, 'PROTEIN CBG05207', 115156),
(171431, 'PTHR33091:SF74', NULL, NULL, NULL, NULL, 'INHIBITOR OF TRYPSIN/HAGEMAN FACTOR-LIKE PROTEIN-RELATED', 115157),
(171432, 'PTHR24100:SF120', NULL, NULL, NULL, NULL, 'BUTYROPHILIN SUBFAMILY 2 MEMBER A2', 115158);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(171433, 'PTHR48050:SF7', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 1-6', 115159),
(171434, 'PTHR34658', NULL, NULL, NULL, NULL, 'OS01G0151800 PROTEIN', 115160),
(171435, 'PTHR11193:SF5', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', 115161),
(171436, 'PTHR22811:SF163', NULL, NULL, NULL, NULL, 'TMP21-RELATED PROTEIN-RELATED', 115162),
(171437, 'PTHR45649:SF43', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1-LIKE PROTEIN', 115163),
(171438, 'PTHR32382:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115164),
(171439, 'PTHR32191:SF74', NULL, NULL, NULL, NULL, 'TETRASPANIN-8', 115165),
(171440, 'PTHR47613:SF1', NULL, NULL, NULL, NULL, 'SPERM ACROSOME MEMBRANE-ASSOCIATED PROTEIN 4', 115166),
(171441, 'PTHR34145:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115167),
(171442, 'PTHR31552:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 115168),
(171443, 'PTHR46168:SF15', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 1 PROTEIN', 115169),
(171444, 'PTHR27006:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115170),
(171445, 'PTHR46008:SF13', NULL, NULL, NULL, NULL, 'WALL ASSOCIATED KINASE-LIKE PROTEIN', 115171),
(171446, 'PTHR22811:SF169', NULL, NULL, NULL, NULL, 'BNAA01G24430D PROTEIN', 115172),
(171447, 'PTHR10168:SF206', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S2 PROTEIN', 115173),
(171448, 'PTHR12289:SF22', NULL, NULL, NULL, NULL, 'CADMIUM RESPONSIVE', 115174),
(171449, 'PTHR44099:SF4', NULL, NULL, NULL, NULL, 'RABCONNECTIN-3B, ISOFORM A', 115175),
(171450, 'PTHR15546', NULL, NULL, NULL, NULL, 'BROMODOMAIN ADJACENT TO ZINC FINGER DOMAIN, 2A', 115176),
(171451, 'PTHR31200', NULL, NULL, NULL, NULL, 'INO80 COMPLEX SUBUNIT C', 115177),
(171452, 'PTHR10909:SF351', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 115178),
(171453, 'PTHR10791:SF195', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 115179),
(171454, 'PTHR42820:SF15', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', 115180),
(171455, 'PTHR24249:SF387', NULL, NULL, NULL, NULL, 'COBW DOMAIN-CONTAINING 1, GENE 1', 115181),
(171456, 'PTHR46281:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE POLYPEPTIDE VIB', 115182),
(171457, 'PTHR34116:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115183),
(171458, 'PTHR11214:SF234', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 115184),
(171459, 'PTHR10082:SF28', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-1', 115185),
(171460, 'PTHR43159', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE', 115186),
(171461, 'PTHR26450:SF133', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51G2', 115187),
(171462, 'PTHR12021:SF14', NULL, NULL, NULL, NULL, 'THYMOSIN BETA 15A', 115188),
(171463, 'PTHR11984:SF12', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-3 PROTEIN', 115189),
(171464, 'PTHR28266', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L20, MITOCHONDRIAL', 115190),
(171465, 'PTHR34557:SF4', NULL, NULL, NULL, NULL, 'BNAA05G29200D PROTEIN', 115191),
(171466, 'PTHR23353:SF18', NULL, NULL, NULL, NULL, 'AGAP005803-PA', 115192),
(171467, 'PTHR33120:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115193),
(171468, 'PTHR35545:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115194),
(171469, 'PTHR31989:SF28', NULL, NULL, NULL, NULL, 'OS11G0179300 PROTEIN', 115195),
(171470, 'PTHR43866:SF4', NULL, NULL, NULL, NULL, 'MALONATE-SEMIALDEHYDE DEHYDROGENASE', 115196),
(171471, 'PTHR47947:SF20', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 115197),
(171472, 'PTHR40455', NULL, NULL, NULL, NULL, 'ANTITOXIN HIGA', 115198),
(171473, 'PTHR43300:SF6', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE YVOF-RELATED', 115199),
(171474, 'PTHR15273:SF5', NULL, NULL, NULL, NULL, 'DAN DOMAIN FAMILY MEMBER 5', 115200),
(171475, 'PTHR46736:SF8', NULL, NULL, NULL, NULL, 'BNAC07G15840D PROTEIN', 115201),
(171476, 'PTHR31257:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115202),
(171477, 'PTHR24064:SF551', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER FAMILY PROTEIN-RELATED', 115203);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(171478, 'PTHR11055:SF37', NULL, NULL, NULL, NULL, 'ATP SULFURYLASE 2', 115204),
(171479, 'PTHR24096:SF336', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 5-RELATED', 115205),
(171480, 'PTHR45029:SF2', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 115206),
(171481, 'PTHR33353:SF9', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE II', 115207),
(171482, 'PTHR11588:SF346', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 115208),
(171483, 'PTHR14493:SF50', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN UNKEMPT', 115209),
(171484, 'PTHR38705:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RDS1', 115210),
(171485, 'PTHR27004:SF383', NULL, NULL, NULL, NULL, 'BNAA04G18970D PROTEIN', 115211),
(171486, 'PTHR31218:SF244', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 115212),
(171487, 'PTHR48019:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115213),
(171488, 'PTHR46592:SF13', NULL, NULL, NULL, NULL, 'BNAANNG20290D PROTEIN', 115214),
(171489, 'PTHR47123:SF18', NULL, NULL, NULL, NULL, 'BNAC04G37150D PROTEIN', 115215),
(171490, 'PTHR22951:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115216),
(171491, 'PTHR33159:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115217),
(171492, 'PTHR31080:SF242', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115218),
(171493, 'PTHR47162', NULL, NULL, NULL, NULL, 'OS02G0192300 PROTEIN', 115219),
(171494, 'PTHR23001:SF38', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2B FAMILY PROTEIN / EIF-2B FAMILY PROTEIN', 115220),
(171495, 'PTHR48056:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRI1-LIKE 2', 115221),
(171496, 'PTHR43229', NULL, NULL, NULL, NULL, 'NODULATION PROTEIN J', 115222),
(171497, 'PTHR10161:SF50', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 7', 115223),
(171498, 'PTHR31323:SF12', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN MSY1', 115224),
(171499, 'PTHR27009', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-RELATED', 115225),
(171500, 'PTHR11071:SF435', NULL, NULL, NULL, NULL, 'CYCLOPHILIN-LIKE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE DOMAIN', 115226),
(171501, 'PTHR12357:SF82', NULL, NULL, NULL, NULL, 'CONSERVED C-TERMINAL REGION 2, PUTATIVE ISOFORM 1-RELATED', 115227),
(171502, 'PTHR33780:SF11', NULL, NULL, NULL, NULL, 'VALINE-TRNA LIGASE', 115228),
(171503, 'PTHR42877:SF4', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17490)-RELATED', 115229),
(171504, 'PTHR36962', NULL, NULL, NULL, NULL, 'ASPARAGINE-RICH ANTIGEN', 115230),
(171505, 'PTHR35319', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 115231),
(171506, 'PTHR35383', NULL, NULL, NULL, NULL, 'MUCIN 12EA-RELATED', 115232),
(171507, 'PTHR47956:SF98', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 115233),
(171508, 'PTHR37610:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115234),
(171509, 'PTHR12039:SF0', NULL, NULL, NULL, NULL, 'NICOTINAMIDE/NICOTINIC ACID MONONUCLEOTIDE ADENYLYLTRANSFERASE 2', 115235),
(171510, 'PTHR11505:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115236),
(171511, 'PTHR33700:SF28', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 115237),
(171512, 'PTHR11937:SF467', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115238),
(171513, 'PTHR14237:SF64', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE-LIKE PROTEIN', 115239),
(171514, 'PTHR30523:SF29', NULL, NULL, NULL, NULL, 'OS02G0244700 PROTEIN', 115240),
(171515, 'PTHR24073:SF1018', NULL, NULL, NULL, NULL, 'RAB-TYPE SMALL G PROTEIN', 115241),
(171516, 'PTHR11451:SF44', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE, CHLOROPLASTIC/MITOCHONDRIAL 2', 115242),
(171517, 'PTHR11370:SF5', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XRCC1', 115243),
(171518, 'PTHR11616:SF267', NULL, NULL, NULL, NULL, 'TRANSPORTER', 115244),
(171519, 'PTHR31945:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH35', 115245),
(171520, 'PTHR24298:SF462', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 81, SUBFAMILY D, POLYPEPTIDE 8', 115246),
(171521, 'PTHR24343:SF232', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE CATALYTIC SUBUNIT ALPHA-1', 115247);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(171522, 'PTHR43662:SF7', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN', 115248),
(171523, 'PTHR12919:SF27', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S16, MITOCHONDRIAL', 115249),
(171524, 'PTHR22957:SF502', NULL, NULL, NULL, NULL, 'RABGAP/TBC DOMAIN-CONTAINING PROTEIN', 115250),
(171525, 'PTHR12411:SF341', NULL, NULL, NULL, NULL, 'PROTEIN CBG17217', 115251),
(171526, 'PTHR21219:SF4', NULL, NULL, NULL, NULL, 'AGAP002199-PA', 115252),
(171527, 'PTHR10336:SF10', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE BETA-2', 115253),
(171528, 'PTHR37189:SF4', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', 115254),
(171529, 'PTHR21513:SF23', NULL, NULL, NULL, NULL, 'CALPONIN HOMOLOGY DOMAIN CONTAINING PROTEIN', 115255),
(171530, 'PTHR24289', NULL, NULL, NULL, NULL, 'STEROID 17-ALPHA-HYDROXYLASE/17,20 LYASE', 115256),
(171531, 'PTHR11945:SF639', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL11', 115257),
(171532, 'PTHR31232:SF42', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', 115258),
(171533, 'PTHR10838:SF20', NULL, NULL, NULL, NULL, 'SYNAPTOGYRIN', 115259),
(171534, 'PTHR32370:SF7', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY1', 115260),
(171535, 'PTHR10381:SF40', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', 115261),
(171536, 'PTHR47997:SF30', NULL, NULL, NULL, NULL, 'BNAA01G30350D PROTEIN', 115262),
(171537, 'PTHR32411:SF52', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 61-RELATED', 115263),
(171538, 'PTHR14636:SF1', NULL, NULL, NULL, NULL, 'TPA-INDUCED TRANSMEMBRANE PROTEIN', 115264),
(171539, 'PTHR13994:SF45', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 2-LIKE', 115265),
(171540, 'PTHR32401:SF14', NULL, NULL, NULL, NULL, 'LECTIN', 115266),
(171541, 'PTHR12800:SF2', NULL, NULL, NULL, NULL, 'HSP90 CO-CHAPERONE CDC37-LIKE 1', 115267),
(171542, 'PTHR31221:SF248', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY24-LIKE', 115268),
(171543, 'PTHR47970:SF4', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-5B', 115269),
(171544, 'PTHR11732:SF411', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE [NADP(+)]-LIKE', 115270),
(171545, 'PTHR45624:SF21', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE-RELATED', 115271),
(171546, 'PTHR11562:SF93', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN A2', 115272),
(171547, 'PTHR11817', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 115273),
(171548, 'PTHR32248', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-54 FACTOR', 115274),
(171549, 'PTHR27009:SF119', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.2-RELATED', 115275),
(171550, 'PTHR48007:SF3', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 1', 115276),
(171551, 'PTHR46463:SF38', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', 115277),
(171552, 'PTHR10827:SF79', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 4A-RELATED', 115278),
(171553, 'PTHR46229:SF3', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN DDB_G0274169', 115279),
(171554, 'PTHR32285:SF235', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 16', 115280),
(171555, 'PTHR11461:SF125', NULL, NULL, NULL, NULL, 'SERPIN B12', 115281),
(171556, 'PTHR11977:SF118', NULL, NULL, NULL, NULL, 'VILLIN-4', 115282),
(171557, 'PTHR47172:SF1', NULL, NULL, NULL, NULL, 'OS01G0976800 PROTEIN', 115283),
(171558, 'PTHR26453', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 115284),
(171559, 'PTHR24282:SF28', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714C2-LIKE', 115285),
(171560, 'PTHR47991:SF33', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 5', 115286),
(171561, 'PTHR11426:SF225', NULL, NULL, NULL, NULL, 'CORE HISTONE H2A/H2B/H3/H4', 115287),
(171562, 'PTHR45125:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115288),
(171563, 'PTHR11527:SF311', NULL, NULL, NULL, NULL, 'BNAC04G54520D PROTEIN', 115289),
(171564, 'PTHR18953:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115290);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(171565, 'PTHR32285:SF226', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 33 ISOFORM X1', 115291),
(171566, 'PTHR19211:SF100', NULL, NULL, NULL, NULL, 'PRISTINAMYCIN RESISTANCE PROTEIN VGAB', 115292),
(171567, 'PTHR13683:SF750', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1', 115293),
(171568, 'PTHR33780:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115294),
(171569, 'PTHR46259:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC-TYPE AND RNA-BINDING MOTIF-CONTAINING PROTEIN 1', 115295),
(171570, 'PTHR43349:SF68', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 1-RELATED', 115296),
(171571, 'PTHR11848:SF249', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA', 115297),
(171572, 'PTHR45615:SF8', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-XVIIIB', 115298),
(171573, 'PTHR22966:SF54', NULL, NULL, NULL, NULL, 'CYSTEINE OXYGENASE/2-AMINOETHANETHIOL DIOXYGENASE, RMLC-LIKE JELLY ROLL FOLD PROTEIN-RELATED', 115299),
(171574, 'PTHR47499:SF4', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 12-RELATED', 115300),
(171575, 'PTHR46946:SF1', NULL, NULL, NULL, NULL, 'NEURITE EXTENSION AND MIGRATION FACTOR', 115301),
(171576, 'PTHR14754:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 5', 115302),
(171577, 'PTHR46431', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 115303),
(171578, 'PTHR23322:SF6', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 7', 115304),
(171579, 'PTHR31561:SF93', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 5-RELATED', 115305),
(171580, 'PTHR24070:SF69', NULL, NULL, NULL, NULL, 'FI18258P1', 115306),
(171581, 'PTHR47963:SF3', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 47, MITOCHONDRIAL', 115307),
(171582, 'PTHR46449:SF2', NULL, NULL, NULL, NULL, 'MCG54973', 115308),
(171583, 'PTHR24177:SF318', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN FAMILY PROTEIN-RELATED', 115309),
(171584, 'PTHR31474:SF16', NULL, NULL, NULL, NULL, 'BNACNNG17310D PROTEIN', 115310),
(171585, 'PTHR24286:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115311),
(171586, 'PTHR19143:SF40', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-RELATED PROTEIN 7', 115312),
(171587, 'PTHR10091', NULL, NULL, NULL, NULL, 'ALDOSE-1-EPIMERASE', 115313),
(171588, 'PTHR46067:SF17', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 115314),
(171589, 'PTHR33098:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115315),
(171590, 'PTHR47993:SF160', NULL, NULL, NULL, NULL, 'BNACNNG52440D PROTEIN', 115316),
(171591, 'PTHR48002:SF77', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 115317),
(171592, 'PTHR10048:SF48', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE 3', 115318),
(171593, 'PTHR33265:SF26', NULL, NULL, NULL, NULL, 'AVR9/CF-9 RAPIDLY ELICITED PROTEIN', 115319),
(171594, 'PTHR46116:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 38-RELATED', 115320),
(171595, 'PTHR13238:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 298', 115321),
(171596, 'PTHR48007:SF17', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 3', 115322),
(171597, 'PTHR10663:SF346', NULL, NULL, NULL, NULL, 'PATTERN FORMATION PROTEIN GNOM PROTEIN', 115323),
(171598, 'PTHR47580', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', 115324),
(171599, 'PTHR45810:SF9', NULL, NULL, NULL, NULL, 'HISTONE H3', 115325),
(171600, 'PTHR24409:SF356', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115326),
(171601, 'PTHR10026:SF125', NULL, NULL, NULL, NULL, 'CYCLIN-C1-2-LIKE ISOFORM X1', 115327),
(171602, 'PTHR24286:SF194', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 90B1', 115328),
(171603, 'PTHR43568', NULL, NULL, NULL, NULL, 'P PROTEIN', 115329),
(171604, 'PTHR11614:SF101', NULL, NULL, NULL, NULL, 'CAFFEOYLSHIKIMATE ESTERASE-LIKE', 115330),
(171605, 'PTHR12092:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN', 115331),
(171606, 'PTHR34975', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN A2', 115332),
(171607, 'PTHR45888:SF3', NULL, NULL, NULL, NULL, 'HL01030P-RELATED', 115333),
(171608, 'PTHR33511:SF25', NULL, NULL, NULL, NULL, 'BNAC03G34390D PROTEIN', 115334);
INSERT INTO "PUBLIC"."MODEL" VALUES
(171609, 'PTHR36481:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 115335),
(171610, 'PTHR33321:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115336),
(171611, 'PTHR34785:SF3', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS RELATED FAMILY PROTEIN-RELATED', 115337),
(171612, 'PTHR17117:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN 3, MITOCHONDRIAL', 115338),
(171613, 'PTHR23500:SF577', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 14-LIKE', 115339),
(171614, 'PTHR10117:SF47', NULL, NULL, NULL, NULL, 'TRANSIENT-RECEPTOR-POTENTIAL-LIKE PROTEIN', 115340),
(171615, 'PTHR45617:SF97', NULL, NULL, NULL, NULL, 'RE59088P', 115341),
(171616, 'PTHR28034', NULL, NULL, NULL, NULL, 'SET1 COMPLEX COMPONENT SHG1', 115342),
(171617, 'PTHR39077', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 115343),
(171618, 'PTHR24377:SF146', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 354A', 115344),
(171619, 'PTHR38789:SF1', NULL, NULL, NULL, NULL, 'REPRESSIBLE PROTEIN GRG1, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14210)-RELATED', 115345),
(171620, 'PTHR37816', NULL, NULL, NULL, NULL, 'YALI0E33011P', 115346),
(171621, 'PTHR23359:SF146', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 7, MITOCHONDRIAL ISOFORM X1-RELATED', 115347),
(171622, 'PTHR48010:SF61', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 115348),
(171623, 'PTHR27000:SF616', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', 115349),
(171624, 'PTHR11783:SF8', NULL, NULL, NULL, NULL, 'BILE SALT SULFOTRANSFERASE', 115350),
(171625, 'PTHR34067:SF16', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 115351),
(171626, 'PTHR46009:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN VTA1 HOMOLOG', 115352),
(171627, 'PTHR37381:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', 115353),
(171628, 'PTHR10241:SF20', NULL, NULL, NULL, NULL, 'LETHAL(2) GIANT LARVAE PROTEIN HOMOLOG 2', 115354),
(171629, 'PTHR23430:SF20', NULL, NULL, NULL, NULL, 'CORE HISTONE MACRO-H2A.1', 115355),
(171630, 'PTHR16103', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 140', 115356),
(171631, 'PTHR24068:SF207', NULL, NULL, NULL, NULL, 'BNAC02G25260D PROTEIN', 115357),
(171632, 'PTHR19248:SF26', NULL, NULL, NULL, NULL, 'BNAANNG07430D PROTEIN', 115358),
(171633, 'PTHR12307:SF40', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3F', 115359),
(171634, 'PTHR45659:SF12', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A7', 115360),
(171635, 'PTHR33547:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115361),
(171636, 'PTHR18870:SF7', NULL, NULL, NULL, NULL, 'PROTEIN FAM184A', 115362),
(171637, 'PTHR24366:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115363),
(171638, 'PTHR48017:SF85', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', 115364),
(171639, 'PTHR16024:SF12', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', 115365),
(171640, 'PTHR10772', NULL, NULL, NULL, NULL, '10 KDA HEAT SHOCK PROTEIN', 115366),
(171641, 'PTHR11556:SF41', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, CYTOSOLIC', 115367),
(171642, 'PTHR46128:SF26', NULL, NULL, NULL, NULL, 'BNACNNG18660D PROTEIN', 115368),
(171643, 'PTHR24345:SF88', NULL, NULL, NULL, NULL, 'C-MODULE-BINDING FACTOR-RELATED', 115369),
(171644, 'PTHR12732:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR MRNA EXPORT PROTEIN THP1', 115370),
(171645, 'PTHR16023:SF3', NULL, NULL, NULL, NULL, 'BNAC09G20820D PROTEIN', 115371),
(171646, 'PTHR31717:SF26', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 10', 115372),
(171647, 'PTHR10263:SF6', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', 115373),
(171648, 'PTHR10502:SF224', NULL, NULL, NULL, NULL, 'BNAA04G22180D PROTEIN', 115374),
(171649, 'PTHR24300:SF181', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 115375),
(171650, 'PTHR33155:SF44', NULL, NULL, NULL, NULL, 'BNAA02G05610D PROTEIN', 115376),
(171651, 'PTHR11214:SF263', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE GALT1-LIKE', 115377);
INSERT INTO "PUBLIC"."MODEL" VALUES
(171652, 'PTHR11937:SF394', NULL, NULL, NULL, NULL, 'ACTIN', 115378),
(171653, 'PTHR15564', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 115379),
(171654, 'PTHR31286:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115380),
(171655, 'PTHR23077:SF12', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS FACTOR 1', 115381),
(171656, 'PTHR35367', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 115382),
(171657, 'PTHR16263:SF10', NULL, NULL, NULL, NULL, 'BNACNNG39400D PROTEIN', 115383),
(171658, 'PTHR37293', NULL, NULL, NULL, NULL, 'PHAGE REPLICATION PROTEIN-RELATED', 115384),
(171659, 'PTHR31677:SF136', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 10-RELATED', 115385),
(171660, 'PTHR43888:SF41', NULL, NULL, NULL, NULL, 'BNAA09G39960D PROTEIN', 115386),
(171661, 'PTHR22870:SF395', NULL, NULL, NULL, NULL, 'UVB-RESISTANCE PROTEIN UVR8-RELATED', 115387),
(171662, 'PTHR10472:SF6', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE 1', 115388),
(171663, 'PTHR30250:SF11', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YGHQ-RELATED', 115389),
(171664, 'PTHR48015:SF26', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAKD', 115390),
(171665, 'PTHR10791:SF112', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET1', 115391),
(171666, 'PTHR22932', NULL, NULL, NULL, NULL, 'TELOMERASE-BINDING PROTEIN P23  HSP90 CO-CHAPERONE', 115392),
(171667, 'PTHR22382:SF7', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4921504E06 GENE', 115393),
(171668, 'PTHR11610:SF104', NULL, NULL, NULL, NULL, 'AGAP007370-PA', 115394),
(171669, 'PTHR23335:SF11', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 1', 115395),
(171670, 'PTHR20931', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 115396),
(171671, 'PTHR31451:SF56', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN-RELATED', 115397),
(171672, 'PTHR36045:SF2', NULL, NULL, NULL, NULL, 'OS04G0558500 PROTEIN', 115398),
(171673, 'PTHR33052:SF145', NULL, NULL, NULL, NULL, 'BNAANNG38710D PROTEIN', 115399),
(171674, 'PTHR44468', NULL, NULL, NULL, NULL, 'COXSACKIEVIRUS AND ADENOVIRUS RECEPTOR-RELATED', 115400),
(171675, 'PTHR10972:SF76', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 6', 115401),
(171676, 'PTHR46701:SF8', NULL, NULL, NULL, NULL, 'BNAC04G47690D PROTEIN', 115402),
(171677, 'PTHR43344:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115403),
(171678, 'PTHR45693:SF58', NULL, NULL, NULL, NULL, 'BNAA09G07120D PROTEIN', 115404),
(171679, 'PTHR31084:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115405),
(171680, 'PTHR36788:SF4', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 181-RELATED', 115406),
(171681, 'PTHR31676:SF25', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 115407),
(171682, 'PTHR45617:SF102', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 32, GENE 1', 115408),
(171683, 'PTHR43244:SF1', NULL, NULL, NULL, NULL, '5,10-METHYLENETETRAHYDROMETHANOPTERIN REDUCTASE', 115409),
(171684, 'PTHR23290:SF0', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 5', 115410),
(171685, 'PTHR45725:SF5', NULL, NULL, NULL, NULL, 'FORMIN-H', 115411),
(171686, 'PTHR36030:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115412),
(171687, 'PTHR10177:SF463', NULL, NULL, NULL, NULL, 'BNAA06G25730D PROTEIN', 115413),
(171688, 'PTHR31111:SF36', NULL, NULL, NULL, NULL, 'BNAA09G13050D PROTEIN', 115414),
(171689, 'PTHR46758:SF13', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', 115415),
(171690, 'PTHR47376:SF10', NULL, NULL, NULL, NULL, 'UBIQUITIN-RELATED DOMAIN-CONTAINING PROTEIN-RELATED', 115416),
(171691, 'PTHR46072:SF2', NULL, NULL, NULL, NULL, 'AMIDASE (EUROFUNG)', 115417),
(171692, 'PTHR33539', NULL, NULL, NULL, NULL, 'UPF0764 PROTEIN C16ORF89', 115418),
(171693, 'PTHR45614:SF149', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', 115419),
(171694, 'PTHR43775:SF13', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 1', 115420),
(171695, 'PTHR31403:SF50', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IGAMMA1 CHLOROPLASTIC', 115421),
(171696, 'PTHR46008:SF20', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.2', 115422);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(171697, 'PTHR38467', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 115423),
(171698, 'PTHR33477:SF3', NULL, NULL, NULL, NULL, 'P-LOOP NTPASE DOMAIN-CONTAINING PROTEIN LPA1 HOMOLOG 1', 115424),
(171699, 'PTHR34661:SF6', NULL, NULL, NULL, NULL, 'ALPHA-CRYSTALLIN DOMAIN-CONTAINING PROTEIN 22.3', 115425),
(171700, 'PTHR13301:SF135', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN E2', 115426),
(171701, 'PTHR34047:SF8', NULL, NULL, NULL, NULL, 'PROTEIN YKFC', 115427),
(171702, 'PTHR20957:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 48', 115428),
(171703, 'PTHR34496:SF9', NULL, NULL, NULL, NULL, '[SKP1-PROTEIN]-HYDROXYPROLINE N-ACETYLGLUCOSAMINYLTRANSFERASE', 115429),
(171704, 'PTHR11624:SF98', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA-4, CHLOROPLASTIC', 115430),
(171705, 'PTHR45836:SF17', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 3', 115431),
(171706, 'PTHR43900:SF47', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F6-RELATED', 115432),
(171707, 'PTHR21452:SF4', NULL, NULL, NULL, NULL, 'EXPORTIN-6', 115433),
(171708, 'PTHR37178:SF1', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN', 115434),
(171709, 'PTHR10656:SF40', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR-INTERACTING PROTEIN-LIKE 1', 115435),
(171710, 'PTHR44176:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 25', 115436),
(171711, 'PTHR15361:SF6', NULL, NULL, NULL, NULL, 'RAD51-ASSOCIATED PROTEIN 2', 115437),
(171712, 'PTHR24070:SF201', NULL, NULL, NULL, NULL, 'SMALL GTPASE', 115438),
(171713, 'PTHR31945:SF88', NULL, NULL, NULL, NULL, 'BNAC04G25110D PROTEIN', 115439),
(171714, 'PTHR31100:SF86', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 115440),
(171715, 'PTHR24418:SF221', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 115441),
(171716, 'PTHR16188:SF13', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 14D', 115442),
(171717, 'PTHR31624', NULL, NULL, NULL, NULL, 'UPF0472 PROTEIN C16ORF72', 115443),
(171718, 'PTHR11926:SF1371', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 115444),
(171719, 'PTHR24279:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115445),
(171720, 'PTHR15241:SF299', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115446),
(171721, 'PTHR12383:SF32', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE SUBUNIT', 115447),
(171722, 'PTHR24377:SF836', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', 115448),
(171723, 'PTHR31245:SF16', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', 115449),
(171724, 'PTHR24253:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115450),
(171725, 'PTHR11241:SF10', NULL, NULL, NULL, NULL, 'DEOXYURIDINE 5''-TRIPHOSPHATE NUCLEOTIDOHYDROLASE-LIKE', 115451),
(171726, 'PTHR46525:SF11', NULL, NULL, NULL, NULL, 'SENESCENCE REGULATOR S40-RELATED', 115452),
(171727, 'PTHR47143:SF1', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL PROTEIN PAINLESS', 115453),
(171728, 'PTHR12236:SF14', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 66CB', 115454),
(171729, 'PTHR45793', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN', 115455),
(171730, 'PTHR31992:SF102', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF4.1', 115456),
(171731, 'PTHR36102:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115457),
(171732, 'PTHR31197:SF15', NULL, NULL, NULL, NULL, 'BNAA02G18630D PROTEIN', 115458),
(171733, 'PTHR32212:SF360', NULL, NULL, NULL, NULL, 'BNACNNG15840D PROTEIN', 115459),
(171734, 'PTHR12771:SF57', NULL, NULL, NULL, NULL, 'BNAA09G38350D PROTEIN', 115460),
(171735, 'PTHR47947:SF23', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', 115461),
(171736, 'PTHR39654:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115462),
(171737, 'PTHR33052:SF26', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE', 115463),
(171738, 'PTHR32096:SF94', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 53-RELATED', 115464),
(171739, 'PTHR10239', NULL, NULL, NULL, NULL, 'ISTHMIN-2', 115465),
(171740, 'PTHR23055:SF176', NULL, NULL, NULL, NULL, 'VISININ-LIKE 1B', 115466);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(171741, 'PTHR10185:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG09383', 115467),
(171742, 'PTHR11214:SF74', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE HPGT1', 115468),
(171743, 'PTHR22752:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 135', 115469),
(171744, 'PTHR47865:SF1', NULL, NULL, NULL, NULL, 'OS05G0580550 PROTEIN', 115470),
(171745, 'PTHR11863:SF170', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROXYLASE SUPERFAMILY', 115471),
(171746, 'PTHR35860', NULL, NULL, NULL, NULL, 'PROTEIN FAM24B', 115472),
(171747, 'PTHR10257:SF71', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 57 KDA REGULATORY SUBUNIT B'' ALPHA ISOFORM', 115473),
(171748, 'PTHR45684:SF20', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1B', 115474),
(171749, 'PTHR37390:SF2', NULL, NULL, NULL, NULL, 'BNAANNG02810D PROTEIN', 115475),
(171750, 'PTHR13101:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOMEVALONATE KINASE', 115476),
(171751, 'PTHR33124:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH150', 115477),
(171752, 'PTHR12705', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 5', 115478),
(171753, 'PTHR24089:SF723', NULL, NULL, NULL, NULL, 'SUBSTRATE CARRIER PROTEIN-RELATED', 115479),
(171754, 'PTHR11654:SF95', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 15 MEMBER 3', 115480),
(171755, 'PTHR31374:SF26', NULL, NULL, NULL, NULL, 'OS02G0512000 PROTEIN', 115481),
(171756, 'PTHR18952:SF190', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE-LIKE PROTEIN 2-RELATED', 115482),
(171757, 'PTHR28526', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 13', 115483),
(171758, 'PTHR30270', NULL, NULL, NULL, NULL, 'THIAMINE-MONOPHOSPHATE KINASE', 115484),
(171759, 'PTHR28058:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN MRP51, MITOCHONDRIAL', 115485),
(171760, 'PTHR11177:SF364', NULL, NULL, NULL, NULL, 'CHITINASE 7', 115486),
(171761, 'PTHR31471:SF1', NULL, NULL, NULL, NULL, 'OS02G0116800 PROTEIN', 115487),
(171762, 'PTHR23043:SF17', NULL, NULL, NULL, NULL, 'PROTEIN SIMILAR', 115488),
(171763, 'PTHR23244:SF449', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING PROTEIN 1-RELATED', 115489),
(171764, 'PTHR37327:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 115490),
(171765, 'PTHR13718:SF88', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S2-1', 115491),
(171766, 'PTHR48001:SF103', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8S1', 115492),
(171767, 'PTHR45788', NULL, NULL, NULL, NULL, 'SUCCINATE/FUMARATE MITOCHONDRIAL TRANSPORTER-RELATED', 115493),
(171768, 'PTHR23147:SF133', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SC35-LIKE SPLICING FACTOR SCL28', 115494),
(171769, 'PTHR34494:SF1', NULL, NULL, NULL, NULL, 'C. ELEGANS HOMEOBOX', 115495),
(171770, 'PTHR46299:SF2', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 5B2', 115496),
(171771, 'PTHR48083:SF5', NULL, NULL, NULL, NULL, 'NRGC PROTEIN', 115497),
(171772, 'PTHR45621:SF79', NULL, NULL, NULL, NULL, 'BNAA04G29420D PROTEIN', 115498),
(171773, 'PTHR24250:SF27', NULL, NULL, NULL, NULL, 'ELASTASE 2-LIKE', 115499),
(171774, 'PTHR31867:SF182', NULL, NULL, NULL, NULL, 'EXPANSIN', 115500),
(171775, 'PTHR36832', NULL, NULL, NULL, NULL, 'SLR1174 PROTEIN-RELATED', 115501),
(171776, 'PTHR42659:SF9', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE FAD-BINDING SUBUNIT XDHB-RELATED', 115502),
(171777, 'PTHR31115:SF4', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN, BRAIN', 115503),
(171778, 'PTHR23093:SF11', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 6', 115504),
(171779, 'PTHR35017:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14064', 115505),
(171780, 'PTHR31072:SF144', NULL, NULL, NULL, NULL, 'BNAC05G48480D PROTEIN', 115506),
(171781, 'PTHR36456:SF1', NULL, NULL, NULL, NULL, 'UPF0232 PROTEIN SCO3875', 115507),
(171782, 'PTHR11214:SF217', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 115508),
(171783, 'PTHR35275:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115509),
(171784, 'PTHR31717:SF104', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN-RELATED', 115510),
(171785, 'PTHR12390:SF0', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III SYNTHASE', 115511);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(171786, 'PTHR31707:SF263', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 115512),
(171787, 'PTHR46009', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN VTA1 HOMOLOG', 115513),
(171788, 'PTHR33083:SF73', NULL, NULL, NULL, NULL, 'OJ000126_13.10 PROTEIN', 115514),
(171789, 'PTHR14009:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PROTON/CALCIUM EXCHANGER PROTEIN', 115515),
(171790, 'PTHR45676:SF106', NULL, NULL, NULL, NULL, 'BNAC01G35160D PROTEIN', 115516),
(171791, 'PTHR11527:SF142', NULL, NULL, NULL, NULL, '15.7 KDA HEAT SHOCK PROTEIN, PEROXISOMAL', 115517),
(171792, 'PTHR12358:SF54', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM54', 115518),
(171793, 'PTHR24186:SF13', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PLANT-LIKE PROTEIN', 115519),
(171794, 'PTHR10366:SF634', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115520),
(171795, 'PTHR14154:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115521),
(171796, 'PTHR23102:SF18', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 4', 115522),
(171797, 'PTHR30450:SF14', NULL, NULL, NULL, NULL, 'TRANSPORTER, PERMEASE PROTEIN, PUTATIVE-RELATED', 115523),
(171798, 'PTHR15759:SF7', NULL, NULL, NULL, NULL, 'PANNEXIN-2', 115524),
(171799, 'PTHR35753', NULL, NULL, NULL, NULL, 'PROTEIN MAINTENANCE OF PSII UNDER HIGH LIGHT 1', 115525),
(171800, 'PTHR36139:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 5, MITOCHONDRIAL', 115526),
(171801, 'PTHR11863:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115527),
(171802, 'PTHR34994', NULL, NULL, NULL, NULL, 'PROTEIN FAM25A-RELATED', 115528),
(171803, 'PTHR34572:SF1', NULL, NULL, NULL, NULL, 'GOLGIN FAMILY A PROTEIN', 115529),
(171804, 'PTHR11945:SF679', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', 115530),
(171805, 'PTHR43201', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE', 115531),
(171806, 'PTHR22298:SF141', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 115532),
(171807, 'PTHR11818:SF50', NULL, NULL, NULL, NULL, 'BETA/GAMMA CRYSTALLIN DOMAIN-CONTAINING PROTEIN 2', 115533),
(171808, 'PTHR11680:SF36', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE 6', 115534),
(171809, 'PTHR34730:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 115535),
(171810, 'PTHR24034:SF105', NULL, NULL, NULL, NULL, 'MATRILIN 3', 115536),
(171811, 'PTHR12280:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115537),
(171812, 'PTHR33052:SF27', NULL, NULL, NULL, NULL, 'OS03G0740200 PROTEIN', 115538),
(171813, 'PTHR43029:SF11', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 4 MEMBER 1-RELATED', 115539),
(171814, 'PTHR31917:SF89', NULL, NULL, NULL, NULL, 'BNAANNG18030D PROTEIN', 115540),
(171815, 'PTHR45996:SF1', NULL, NULL, NULL, NULL, 'CYCLIC AMP-RESPONSIVE ELEMENT-BINDING PROTEIN 3-LIKE PROTEIN 3', 115541),
(171816, 'PTHR18063:SF7', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE MINDY-1', 115542),
(171817, 'PTHR33450:SF6', NULL, NULL, NULL, NULL, 'OS09G0511200 PROTEIN', 115543),
(171818, 'PTHR47125:SF5', NULL, NULL, NULL, NULL, 'BNAA10G08650D PROTEIN', 115544),
(171819, 'PTHR20886:SF11', NULL, NULL, NULL, NULL, 'VANG-LIKE PROTEIN', 115545),
(171820, 'PTHR26451:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10R2', 115546),
(171821, 'PTHR23311:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 36', 115547),
(171822, 'PTHR39730:SF1', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 1', 115548),
(171823, 'PTHR33044:SF172', NULL, NULL, NULL, NULL, 'PLANT LIPID TRANSFER PROTEIN/PAR ALLERGEN-RELATED', 115549),
(171824, 'PTHR12782:SF12', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E SYNTHASE 2-RELATED', 115550),
(171825, 'PTHR27002:SF68', NULL, NULL, NULL, NULL, 'OS07G0550900 PROTEIN', 115551),
(171826, 'PTHR31190:SF86', NULL, NULL, NULL, NULL, 'OS09G0571700 PROTEIN', 115552),
(171827, 'PTHR21566:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11544', 115553),
(171828, 'PTHR45724', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP2-1', 115554),
(171829, 'PTHR11547:SF24', NULL, NULL, NULL, NULL, 'CREATINE KINASE U-TYPE, MITOCHONDRIAL', 115555);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(171830, 'PTHR31713:SF54', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 C', 115556),
(171831, 'PTHR23129:SF3', NULL, NULL, NULL, NULL, 'FAT STORAGE-INDUCING TRANSMEMBRANE PROTEIN 1', 115557),
(171832, 'PTHR31374:SF332', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32', 115558),
(171833, 'PTHR45968:SF5', NULL, NULL, NULL, NULL, 'PROTEIN HOTHEAD', 115559),
(171834, 'PTHR38659:SF2', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PHOSPHOHYDROLASE', 115560),
(171835, 'PTHR10634:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 5', 115561),
(171836, 'PTHR46882', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY N MEMBER 1', 115562),
(171837, 'PTHR47998:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB114-LIKE', 115563),
(171838, 'PTHR11759:SF40', NULL, NULL, NULL, NULL, 'OS02G0162500 PROTEIN', 115564),
(171839, 'PTHR11839:SF22', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 26, CHLOROPLASTIC', 115565),
(171840, 'PTHR19961:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115566),
(171841, 'PTHR32295:SF160', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', 115567),
(171842, 'PTHR15503:SF7', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG-LIKE PROTEIN 3', 115568),
(171843, 'PTHR11961:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115569),
(171844, 'PTHR11374:SF48', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE 2-RELATED', 115570),
(171845, 'PTHR10809:SF51', NULL, NULL, NULL, NULL, 'OS02G0661900 PROTEIN', 115571),
(171846, 'PTHR21353', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 115572),
(171847, 'PTHR43952:SF73', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 1', 115573),
(171848, 'PTHR33511:SF24', NULL, NULL, NULL, NULL, 'OSJNBB0048E02.16 PROTEIN', 115574),
(171849, 'PTHR31586:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX20, MITOCHONDRIAL', 115575),
(171850, 'PTHR12905:SF16', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN PHOSPHATASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G06000)', 115576),
(171851, 'PTHR27002:SF460', NULL, NULL, NULL, NULL, 'OS01G0366300 PROTEIN', 115577),
(171852, 'PTHR47928:SF150', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN PPR868-14 ISOFORM 1', 115578),
(171853, 'PTHR22748', NULL, NULL, NULL, NULL, 'AP ENDONUCLEASE', 115579),
(171854, 'PTHR48140', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 115580),
(171855, 'PTHR20881:SF2', NULL, NULL, NULL, NULL, '3-METHYL-2-OXOBUTANOATE HYDROXYMETHYLTRANSFERASE-RELATED', 115581),
(171856, 'PTHR31194:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115582),
(171857, 'PTHR21585:SF0', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL DOMAIN-CONTAINING PROTEIN 4', 115583),
(171858, 'PTHR34796:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 115584),
(171859, 'PTHR42717:SF1', NULL, NULL, NULL, NULL, 'DIHYDROOROTASE-RELATED', 115585),
(171860, 'PTHR31948:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115586),
(171861, 'PTHR23226:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 26', 115587),
(171862, 'PTHR35374', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 11A-LIKE', 115588),
(171863, 'PTHR46011:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-28', 115589),
(171864, 'PTHR24056:SF177', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE 3', 115590),
(171865, 'PTHR48061:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115591),
(171866, 'PTHR43272:SF78', NULL, NULL, NULL, NULL, 'LONG-CHAIN FATTY ACYL COA LIGASE', 115592),
(171867, 'PTHR48059:SF3', NULL, NULL, NULL, NULL, 'OS05G0104700 PROTEIN', 115593),
(171868, 'PTHR31213:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115594),
(171869, 'PTHR31062:SF203', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 115595),
(171870, 'PTHR13723:SF40', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 1', 115596),
(171871, 'PTHR47976:SF23', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', 115597);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(171872, 'PTHR11085:SF40', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT DEACETYLASE SIR2B', 115598),
(171873, 'PTHR19956', NULL, NULL, NULL, NULL, 'LAMIN TAIL DOMAIN-CONTAINING PROTEIN 2', 115599),
(171874, 'PTHR47599', NULL, NULL, NULL, NULL, 'CELL-TO-CELL MOVEMENT PROTEIN', 115600),
(171875, 'PTHR10314:SF71', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE-RELATED', 115601),
(171876, 'PTHR46506:SF12', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 115602),
(171877, 'PTHR13385:SF5', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN ATG12', 115603),
(171878, 'PTHR24384:SF186', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN SIMILAR TO VERTEBRATE ZINC FINGER PROTEIN 384 (ZNF384)-RELATED', 115604),
(171879, 'PTHR35967:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115605),
(171880, 'PTHR24296:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115606),
(171881, 'PTHR47883:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115607),
(171882, 'PTHR30603:SF56', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 33 HOMOLOG', 115608),
(171883, 'PTHR48137:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115609),
(171884, 'PTHR46267:SF10', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING FACTOR 1-LIKE ISOFORM X1', 115610),
(171885, 'PTHR12800:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115611),
(171886, 'PTHR47969:SF1', NULL, NULL, NULL, NULL, 'BNAA08G07300D PROTEIN', 115612),
(171887, 'PTHR27005:SF232', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 115613),
(171888, 'PTHR36870:SF1', NULL, NULL, NULL, NULL, 'C17ORF78 ISOFORM 2', 115614),
(171889, 'PTHR24300:SF142', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 2, SUBFAMILY J, POLYPEPTIDE 11-RELATED', 115615),
(171890, 'PTHR31235:SF234', NULL, NULL, NULL, NULL, 'PEROXIDASE 56', 115616),
(171891, 'PTHR12606:SF117', NULL, NULL, NULL, NULL, 'BNAC08G40170D PROTEIN', 115617),
(171892, 'PTHR34152:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG26219', 115618),
(171893, 'PTHR42683:SF65', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 8', 115619),
(171894, 'PTHR11559:SF389', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 115620),
(171895, 'PTHR43134:SF10', NULL, NULL, NULL, NULL, 'BNAA01G06530D PROTEIN', 115621),
(171896, 'PTHR32100:SF52', NULL, NULL, NULL, NULL, 'TEMPERATURE-SENSITIVE SN-2 ACYL-LIPID OMEGA-3 DESATURASE (FERREDOXIN), CHLOROPLASTIC', 115622),
(171897, 'PTHR23345:SF30', NULL, NULL, NULL, NULL, 'VITELLOGENIN-2-RELATED', 115623),
(171898, 'PTHR24064:SF549', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER', 115624),
(171899, 'PTHR11141:SF30', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', 115625),
(171900, 'PTHR12482:SF40', NULL, NULL, NULL, NULL, 'PROTEIN FAM135A', 115626),
(171901, 'PTHR21461:SF69', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 115627),
(171902, 'PTHR36892:SF5', NULL, NULL, NULL, NULL, 'OS05G0518200 PROTEIN', 115628),
(171903, 'PTHR31742:SF1', NULL, NULL, NULL, NULL, 'RPA-INTERACTING PROTEIN', 115629),
(171904, 'PTHR23430:SF307', NULL, NULL, NULL, NULL, 'HISTONE H2A', 115630),
(171905, 'PTHR36493:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115631),
(171906, 'PTHR45113:SF1', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE A', 115632),
(171907, 'PTHR40711', NULL, NULL, NULL, NULL, 'DERMCIDIN-RELATED', 115633),
(171908, 'PTHR30465:SF74', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN OPPB', 115634),
(171909, 'PTHR46756:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115635),
(171910, 'PTHR46248:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', 115636),
(171911, 'PTHR31415:SF81', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED FAMILY PROTEIN-LIKE', 115637),
(171912, 'PTHR48047:SF37', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 115638),
(171913, 'PTHR10361:SF41', NULL, NULL, NULL, NULL, 'SODIUM/BILE ACID COTRANSPORTER 4', 115639),
(171914, 'PTHR23160:SF17', NULL, NULL, NULL, NULL, 'OS02G0598300 PROTEIN', 115640),
(171915, 'PTHR46128:SF134', NULL, NULL, NULL, NULL, 'BNACNNG09760D PROTEIN', 115641),
(171916, 'PTHR14217:SF32', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', 115642);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(171917, 'PTHR16684', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN C', 115643),
(171918, 'PTHR31189:SF62', NULL, NULL, NULL, NULL, 'OS01G0976200 PROTEIN', 115644),
(171919, 'PTHR12612:SF9', NULL, NULL, NULL, NULL, 'NTF2-RELATED EXPORT PROTEIN 2', 115645),
(171920, 'PTHR30632:SF14', NULL, NULL, NULL, NULL, 'MOLYBDATE PERIPLASMIC BINDING PROTEIN', 115646),
(171921, 'PTHR43009:SF9', NULL, NULL, NULL, NULL, 'NARINGENIN 8-DIMETHYLALLYLTRANSFERASE 1 PROTEIN-RELATED', 115647),
(171922, 'PTHR34149:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG25828', 115648),
(171923, 'PTHR11360:SF119', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 10', 115649),
(171924, 'PTHR10943:SF20', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2 HOMOLOG', 115650),
(171925, 'PTHR31966:SF19', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN PHOS34', 115651),
(171926, 'PTHR11351', NULL, NULL, NULL, NULL, 'ACYL-COA DESATURASE', 115652),
(171927, 'PTHR11984:SF13', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-5 PROTEIN', 115653),
(171928, 'PTHR11213:SF10', NULL, NULL, NULL, NULL, 'ADCYAP1B PROTEIN', 115654),
(171929, 'PTHR11474:SF38', NULL, NULL, NULL, NULL, 'PROTEIN CBG07566', 115655),
(171930, 'PTHR38828:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115656),
(171931, 'PTHR33463:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115657),
(171932, 'PTHR34524', NULL, NULL, NULL, NULL, 'CALCYPHOSIN', 115658),
(171933, 'PTHR10934', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18', 115659),
(171934, 'PTHR42201', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 115660),
(171935, 'PTHR31048:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115661),
(171936, 'PTHR31190:SF313', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 115662),
(171937, 'PTHR26453:SF302', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 115663),
(171938, 'PTHR11929:SF198', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE 11', 115664),
(171939, 'PTHR35496:SF4', NULL, NULL, NULL, NULL, '2S SEED STORAGE PROTEIN 1-RELATED', 115665),
(171940, 'PTHR23244:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115666),
(171941, 'PTHR21344', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 115667),
(171942, 'PTHR45660:SF42', NULL, NULL, NULL, NULL, 'BNAC04G43670D PROTEIN', 115668),
(171943, 'PTHR23294:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115669),
(171944, 'PTHR43952:SF45', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 3', 115670),
(171945, 'PTHR35182:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13100', 115671),
(171946, 'PTHR11588:SF387', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 115672),
(171947, 'PTHR31086:SF73', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 9', 115673),
(171948, 'PTHR13299:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX16', 115674),
(171949, 'PTHR13402:SF17', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16', 115675),
(171950, 'PTHR33146:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115676),
(171951, 'PTHR34685:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115677),
(171952, 'PTHR33083:SF60', NULL, NULL, NULL, NULL, 'OS07G0516300 PROTEIN', 115678),
(171953, 'PTHR42909:SF1', NULL, NULL, NULL, NULL, 'ZGC:136858', 115679),
(171954, 'PTHR46162:SF16', NULL, NULL, NULL, NULL, 'MATH DOMAIN CONTAINING PROTEIN', 115680),
(171955, 'PTHR33065:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115681),
(171956, 'PTHR43220:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 41B', 115682),
(171957, 'PTHR48018:SF95', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 115683),
(171958, 'PTHR47297', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 115684),
(171959, 'PTHR22069:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115685),
(171960, 'PTHR31722:SF44', NULL, NULL, NULL, NULL, 'BNAC03G66120D PROTEIN', 115686),
(171961, 'PTHR45648:SF125', NULL, NULL, NULL, NULL, 'BNAA10G09310D PROTEIN', 115687),
(171962, 'PTHR24216:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115688),
(171963, 'PTHR47980:SF35', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-12', 115689);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(171964, 'PTHR26453:SF613', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 10 SUBFAMILY H MEMBER 4', 115690),
(171965, 'PTHR31852:SF208', NULL, NULL, NULL, NULL, 'BNAANNG05510D PROTEIN', 115691),
(171966, 'PTHR31694:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115692),
(171967, 'PTHR24353:SF136', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL FOLD', 115693),
(171968, 'PTHR21859:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115694),
(171969, 'PTHR12659:SF4', NULL, NULL, NULL, NULL, 'SI:DKEYP-23E4.3', 115695),
(171970, 'PTHR43836:SF3', NULL, NULL, NULL, NULL, 'CATECHOL O-METHYLTRANSFERASE', 115696),
(171971, 'PTHR10666:SF363', NULL, NULL, NULL, NULL, 'UBIQUITIN-40S RIBOSOMAL PROTEIN S27A-1', 115697),
(171972, 'PTHR31839:SF26', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN', 115698),
(171973, 'PTHR11685:SF172', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 115699),
(171974, 'PTHR42972:SF6', NULL, NULL, NULL, NULL, 'ACETYLXYLAN ESTERASE A', 115700),
(171975, 'PTHR47991:SF52', NULL, NULL, NULL, NULL, 'OS10G0558900 PROTEIN', 115701),
(171976, 'PTHR11006:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115702),
(171977, 'PTHR47967:SF77', NULL, NULL, NULL, NULL, 'PROTEINASE NEPENTHESIN-1, PUTATIVE-RELATED', 115703),
(171978, 'PTHR31476:SF12', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAMILY PROTEIN', 115704),
(171979, 'PTHR13680:SF34', NULL, NULL, NULL, NULL, 'ZGC:110843', 115705),
(171980, 'PTHR33156:SF55', NULL, NULL, NULL, NULL, 'BNAC06G07160D PROTEIN', 115706),
(171981, 'PTHR37957', NULL, NULL, NULL, NULL, 'BLR7070 PROTEIN', 115707),
(171982, 'PTHR31707:SF278', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 44-RELATED', 115708),
(171983, 'PTHR10585:SF65', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR C28H8.4-RELATED', 115709),
(171984, 'PTHR37485', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSB', 115710),
(171985, 'PTHR31499:SF31', NULL, NULL, NULL, NULL, 'OS07G0685300 PROTEIN', 115711),
(171986, 'PTHR37549:SF1', NULL, NULL, NULL, NULL, 'LIPOPROTEIN LPRI', 115712),
(171987, 'PTHR33115:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115713),
(171988, 'PTHR31623', NULL, NULL, NULL, NULL, 'F21J9.9', 115714),
(171989, 'PTHR10962:SF1', NULL, NULL, NULL, NULL, 'LD27268P', 115715),
(171990, 'PTHR33110:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115716),
(171991, 'PTHR12247', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN', 115717),
(171992, 'PTHR10351:SF62', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', 115718),
(171993, 'PTHR15286:SF9', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 8', 115719),
(171994, 'PTHR13743:SF143', NULL, NULL, NULL, NULL, 'BNAA09G38890D PROTEIN', 115720),
(171995, 'PTHR31908', NULL, NULL, NULL, NULL, 'PROTEIN CROWDED NUCLEI 4', 115721),
(171996, 'PTHR44218:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF PHYA-105 1-LIKE ISOFORM X1', 115722),
(171997, 'PTHR12106:SF8', NULL, NULL, NULL, NULL, 'VPS10 DOMAIN-CONTAINING RECEPTOR SORCS1', 115723),
(171998, 'PTHR33086:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115724),
(171999, 'PTHR24073:SF1145', NULL, NULL, NULL, NULL, 'PROTEIN CBG25881', 115725),
(172000, 'PTHR11815:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115726),
(172001, 'PTHR19443:SF32', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', 115727),
(172002, 'PTHR21038:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115728),
(172003, 'PTHR10338:SF119', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN H4', 115729),
(172004, 'PTHR24388:SF28', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 341', 115730),
(172005, 'PTHR33133:SF49', NULL, NULL, NULL, NULL, 'BNAA02G26780D PROTEIN', 115731),
(172006, 'PTHR12241:SF154', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL11', 115732),
(172007, 'PTHR35103:SF5', NULL, NULL, NULL, NULL, 'BNAC01G20840D PROTEIN', 115733),
(172008, 'PTHR10824:SF16', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 1-RELATED', 115734);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(172009, 'PTHR26452:SF721', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 115735),
(172010, 'PTHR21646:SF11', NULL, NULL, NULL, NULL, 'INACTIVE UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 50', 115736),
(172011, 'PTHR14353', NULL, NULL, NULL, NULL, 'MYRISTOYLATED ALANINE-RICH C-KINASE SUBSTRATE  MARCKS', 115737),
(172012, 'PTHR23056:SF113', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 3 ISOFORM X2', 115738),
(172013, 'PTHR27009:SF168', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 115739),
(172014, 'PTHR11963:SF43', NULL, NULL, NULL, NULL, 'LEUCINE AMINOPEPTIDASE 1, CHLOROPLASTIC', 115740),
(172015, 'PTHR24281:SF33', NULL, NULL, NULL, NULL, 'CYTOCHROME', 115741),
(172016, 'PTHR10404', NULL, NULL, NULL, NULL, 'N-ACETYLATED-ALPHA-LINKED ACIDIC DIPEPTIDASE', 115742),
(172017, 'PTHR10795:SF673', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE PROTEASE', 115743),
(172018, 'PTHR14907:SF2', NULL, NULL, NULL, NULL, 'FI14130P', 115744),
(172019, 'PTHR22814:SF307', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 30', 115745),
(172020, 'PTHR23267:SF418', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115746),
(172021, 'PTHR34941:SF1', NULL, NULL, NULL, NULL, 'DEHYDRIN HIRD11', 115747),
(172022, 'PTHR11926:SF1047', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE IRIDOID GLUCOSYLTRANSFERASE-LIKE ISOFORM X1', 115748),
(172023, 'PTHR10539:SF7', NULL, NULL, NULL, NULL, 'PROTEASOME COMPONENT (PCI) DOMAIN PROTEIN-RELATED', 115749),
(172024, 'PTHR35852:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG00231', 115750),
(172025, 'PTHR10556:SF56', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE 2-LIKE', 115751),
(172026, 'PTHR47977:SF52', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABC2A-LIKE ISOFORM X1', 115752),
(172027, 'PTHR14493:SF115', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 47', 115753),
(172028, 'PTHR21600:SF53', NULL, NULL, NULL, NULL, 'RNA PSEUDOURIDINE SYNTHASE 3, MITOCHONDRIAL', 115754),
(172029, 'PTHR11864:SF28', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING PROTEIN 40A-LIKE ISOFORM X1', 115755),
(172030, 'PTHR15907:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115756),
(172031, 'PTHR45639:SF19', NULL, NULL, NULL, NULL, 'BNAC07G50110D PROTEIN', 115757),
(172032, 'PTHR22957:SF545', NULL, NULL, NULL, NULL, 'OS02G0810500 PROTEIN', 115758),
(172033, 'PTHR32258:SF28', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 3A-RELATED', 115759),
(172034, 'PTHR31304:SF34', NULL, NULL, NULL, NULL, 'BNAC07G31610D PROTEIN', 115760),
(172035, 'PTHR39352:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14251', 115761),
(172036, 'PTHR24044:SF438', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS PROTEIN DELTA-RELATED', 115762),
(172037, 'PTHR34045:SF10', NULL, NULL, NULL, NULL, 'EARLY AUXIN RESPONSE PROTEIN', 115763),
(172038, 'PTHR43018:SF3', NULL, NULL, NULL, NULL, 'CARBOXYSOME FORMATION PROTEIN', 115764),
(172039, 'PTHR46689:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', 115765),
(172040, 'PTHR23164:SF29', NULL, NULL, NULL, NULL, 'RAS-LIKE SMALL GTPASES-RELATED', 115766),
(172041, 'PTHR43674:SF6', NULL, NULL, NULL, NULL, 'NITRILASE C965.09-RELATED', 115767),
(172042, 'PTHR11165:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115768),
(172043, 'PTHR10322:SF23', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA CATALYTIC SUBUNIT', 115769),
(172044, 'PTHR33702:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115770),
(172045, 'PTHR46651:SF4', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 7-LIKE ISOFORM X1', 115771),
(172046, 'PTHR12294:SF23', NULL, NULL, NULL, NULL, 'CALCIUM UPTAKE PROTEIN, MITOCHONDRIAL', 115772),
(172047, 'PTHR43482:SF3', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06640)-RELATED', 115773),
(172048, 'PTHR23108', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-RELATED', 115774),
(172049, 'PTHR23037:SF27', NULL, NULL, NULL, NULL, 'INTERLEUKIN-7 RECEPTOR SUBUNIT ALPHA', 115775),
(172050, 'PTHR11559:SF134', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE-RELATED', 115776);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(172051, 'PTHR32410:SF166', NULL, NULL, NULL, NULL, 'CHP-RICH ZINC FINGER PROTEIN-RELATED', 115777),
(172052, 'PTHR14326:SF44', NULL, NULL, NULL, NULL, 'TARGETING PROTEIN FOR XKLP2', 115778),
(172053, 'PTHR24055:SF188', NULL, NULL, NULL, NULL, 'PROTEIN CBG12029', 115779),
(172054, 'PTHR23263', NULL, NULL, NULL, NULL, 'SMALL PROLINE-RICH PROTEIN', 115780),
(172055, 'PTHR14379:SF62', NULL, NULL, NULL, NULL, 'BNAC01G40510D PROTEIN', 115781),
(172056, 'PTHR34928:SF1', NULL, NULL, NULL, NULL, 'GENE, 17657-RELATED', 115782),
(172057, 'PTHR11848:SF250', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 2', 115783),
(172058, 'PTHR22975:SF24', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL HYDROLASE-LIKE PROTEIN, PUTATIVE (DUF627 AND DUF629)-RELATED', 115784),
(172059, 'PTHR13526:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPT20 HOMOLOG-LIKE 2-RELATED', 115785),
(172060, 'PTHR15710:SF23', NULL, NULL, NULL, NULL, 'OS03G0324900 PROTEIN', 115786),
(172061, 'PTHR31052:SF20', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 9', 115787),
(172062, 'PTHR23257:SF723', NULL, NULL, NULL, NULL, 'RECEPTOR-INTERACTING SERINE/THREONINE-PROTEIN KINASE 3', 115788),
(172063, 'PTHR34838:SF1', NULL, NULL, NULL, NULL, 'OS08G0143150 PROTEIN', 115789),
(172064, 'PTHR31760', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 115790),
(172065, 'PTHR31607:SF13', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1216)-RELATED', 115791),
(172066, 'PTHR31442:SF29', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 115792),
(172067, 'PTHR32212:SF334', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 115793),
(172068, 'PTHR11575:SF23', NULL, NULL, NULL, NULL, '5-NUCLEOTIDASE FAMILY PROTEIN', 115794),
(172069, 'PTHR24281:SF67', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A2', 115795),
(172070, 'PTHR46100:SF5', NULL, NULL, NULL, NULL, 'OS01G0849600 PROTEIN', 115796),
(172071, 'PTHR48017:SF27', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 115797),
(172072, 'PTHR22640', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 115798),
(172073, 'PTHR35505:SF1', NULL, NULL, NULL, NULL, 'OS01G0600300 PROTEIN', 115799),
(172074, 'PTHR45987:SF1', NULL, NULL, NULL, NULL, 'F20P5.9 PROTEIN', 115800),
(172075, 'PTHR31384:SF95', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 115801),
(172076, 'PTHR19268:SF8', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 27-RELATED', 115802),
(172077, 'PTHR47999:SF31', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', 115803),
(172078, 'PTHR45715:SF1', NULL, NULL, NULL, NULL, 'OS01G0222500 PROTEIN', 115804),
(172079, 'PTHR33021:SF325', NULL, NULL, NULL, NULL, 'UMECYANIN-LIKE', 115805),
(172080, 'PTHR13318:SF133', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP2', 115806),
(172081, 'PTHR48019:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115807),
(172082, 'PTHR36482:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0024J22.14 PROTEIN', 115808),
(172083, 'PTHR31790:SF417', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115809),
(172084, 'PTHR43684:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115810),
(172085, 'PTHR10738', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 5', 115811),
(172086, 'PTHR45614:SF126', NULL, NULL, NULL, NULL, 'BNAC07G31640D PROTEIN', 115812),
(172087, 'PTHR14437:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 168', 115813),
(172088, 'PTHR31579', NULL, NULL, NULL, NULL, 'OS03G0796600 PROTEIN', 115814),
(172089, 'PTHR10827:SF53', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND FAMILY PROTEIN', 115815),
(172090, 'PTHR38095', NULL, NULL, NULL, NULL, 'ANAEROBIC DIMETHYL SULFOXIDE REDUCTASE CHAIN YNFH', 115816),
(172091, 'PTHR12295:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115817),
(172092, 'PTHR24416:SF483', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR RECEPTOR', 115818),
(172093, 'PTHR10048:SF102', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE', 115819),
(172094, 'PTHR47274:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN CONTAINING PROTEIN, EXPRESSED', 115820);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(172095, 'PTHR47009:SF4', NULL, NULL, NULL, NULL, 'GENE 12169-RELATED', 115821),
(172096, 'PTHR21043', NULL, NULL, NULL, NULL, 'IOJAP SUPERFAMILY ORTHOLOG', 115822),
(172097, 'PTHR43748', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE 3, CHLOROPLASTIC-RELATED', 115823),
(172098, 'PTHR11819:SF145', NULL, NULL, NULL, NULL, 'SODIUM/GLUCOSE COTRANSPORTER 2', 115824),
(172099, 'PTHR12002:SF35', NULL, NULL, NULL, NULL, 'CLAUDIN-5', 115825),
(172100, 'PTHR31827:SF50', NULL, NULL, NULL, NULL, 'BNAC02G43180D PROTEIN', 115826),
(172101, 'PTHR45978:SF7', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 4', 115827),
(172102, 'PTHR10466:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE', 115828),
(172103, 'PTHR46186:SF12', NULL, NULL, NULL, NULL, 'CYSTATIN C (AMYLOID ANGIOPATHY AND CEREBRAL HEMORRHAGE)-RELATED', 115829),
(172104, 'PTHR30344:SF1', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE', 115830),
(172105, 'PTHR10151:SF117', NULL, NULL, NULL, NULL, 'BLR5306 PROTEIN', 115831),
(172106, 'PTHR12433:SF11', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 25', 115832),
(172107, 'PTHR10791:SF129', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET1B', 115833),
(172108, 'PTHR28031:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN HUA1', 115834),
(172109, 'PTHR20766:SF2', NULL, NULL, NULL, NULL, 'LARGE NEUTRAL AMINO ACIDS TRANSPORTER SMALL SUBUNIT 4', 115835),
(172110, 'PTHR45914:SF39', NULL, NULL, NULL, NULL, 'BNAA09G07590D PROTEIN', 115836),
(172111, 'PTHR24247:SF184', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR GAR-1-RELATED', 115837),
(172112, 'PTHR44259:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115838),
(172113, 'PTHR11540:SF30', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE, NAD-DEPENDENT (AFU_ORTHOLOGUE AFUA_6G05210)', 115839),
(172114, 'PTHR31375:SF152', NULL, NULL, NULL, NULL, 'OS03G0808000 PROTEIN', 115840),
(172115, 'PTHR31734:SF189', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 115841),
(172116, 'PTHR46128:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115842),
(172117, 'PTHR45923:SF13', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', 115843),
(172118, 'PTHR23236:SF53', NULL, NULL, NULL, NULL, 'BNACNNG45920D PROTEIN', 115844),
(172119, 'PTHR11588:SF368', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 115845),
(172120, 'PTHR24015:SF524', NULL, NULL, NULL, NULL, 'OS07G0670000 PROTEIN', 115846),
(172121, 'PTHR10093:SF22', NULL, NULL, NULL, NULL, 'BNAUNNG03280D PROTEIN', 115847),
(172122, 'PTHR31087:SF117', NULL, NULL, NULL, NULL, 'BNAANNG09500D PROTEIN', 115848),
(172123, 'PTHR37702:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115849),
(172124, 'PTHR31901:SF46', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE', 115850),
(172125, 'PTHR10177:SF386', NULL, NULL, NULL, NULL, 'CYCLIN-A3-2-RELATED', 115851),
(172126, 'PTHR24240:SF146', NULL, NULL, NULL, NULL, 'NOVOPSIN-5-RELATED', 115852),
(172127, 'PTHR31496', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAN2-RELATED', 115853),
(172128, 'PTHR22427:SF2', NULL, NULL, NULL, NULL, 'AP2-INTERACTING CLATHRIN-ENDOCYTOSIS PROTEIN', 115854),
(172129, 'PTHR10302:SF12', NULL, NULL, NULL, NULL, 'PROTEIN OSB3, CHLOROPLASTIC/MITOCHONDRIAL', 115855),
(172130, 'PTHR24361:SF718', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 9-LIKE', 115856),
(172131, 'PTHR46087:SF11', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 115857),
(172132, 'PTHR23152:SF7', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE, MITOCHONDRIAL', 115858),
(172133, 'PTHR27004:SF364', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 26', 115859),
(172134, 'PTHR36060:SF1', NULL, NULL, NULL, NULL, 'OS02G0272400 PROTEIN', 115860),
(172135, 'PTHR24060:SF160', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 3', 115861),
(172136, 'PTHR24074:SF34', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 72', 115862),
(172137, 'PTHR45763:SF45', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 115863),
(172138, 'PTHR38793', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 115864);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(172139, 'PTHR33420:SF5', NULL, NULL, NULL, NULL, 'FIMBRIAL SUBUNIT', 115865),
(172140, 'PTHR31009:SF65', NULL, NULL, NULL, NULL, 'GIBBERELLIC ACID METHYLTRANSFERASE 1-RELATED', 115866),
(172141, 'PTHR21467:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 4', 115867),
(172142, 'PTHR22937:SF145', NULL, NULL, NULL, NULL, 'BNACNNG59350D PROTEIN', 115868),
(172143, 'PTHR12736:SF11', NULL, NULL, NULL, NULL, 'LANC-LIKE PROTEIN 2', 115869),
(172144, 'PTHR13018:SF119', NULL, NULL, NULL, NULL, 'BNAC04G19490D PROTEIN', 115870),
(172145, 'PTHR44170:SF10', NULL, NULL, NULL, NULL, 'CONTACTIN-1', 115871),
(172146, 'PTHR24096:SF260', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE ACSBG2', 115872),
(172147, 'PTHR11937:SF444', NULL, NULL, NULL, NULL, 'ACTIN FAMILY PROTEIN', 115873),
(172148, 'PTHR33237:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115874),
(172149, 'PTHR45960:SF4', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED-BINDING PROTEIN 4', 115875),
(172150, 'PTHR14360:SF23', NULL, NULL, NULL, NULL, 'BNAA01G19640D PROTEIN', 115876),
(172151, 'PTHR45932', NULL, NULL, NULL, NULL, 'PATELLIN-1', 115877),
(172152, 'PTHR45710:SF12', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 2 MEMBER H', 115878),
(172153, 'PTHR31250:SF41', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING FAMILY PROTEIN', 115879),
(172154, 'PTHR27004:SF363', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 115880),
(172155, 'PTHR10030:SF27', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 1', 115881),
(172156, 'PTHR48046', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 72E1', 115882),
(172157, 'PTHR15241:SF324', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2C-LIKE', 115883),
(172158, 'PTHR24216:SF48', NULL, NULL, NULL, NULL, 'LIM ZINC FINGER DOMAIN CONTAINING PROTEIN', 115884),
(172159, 'PTHR14218:SF7', NULL, NULL, NULL, NULL, 'DIPEPTIDYL AMINOPEPTIDASE', 115885),
(172160, 'PTHR23318:SF19', NULL, NULL, NULL, NULL, 'PROTEIN PPP4R3C', 115886),
(172161, 'PTHR34383:SF3', NULL, NULL, NULL, NULL, 'POLYPHOSPHATE:AMP PHOSPHOTRANSFERASE', 115887),
(172162, 'PTHR23251:SF0', NULL, NULL, NULL, NULL, 'PROTEIN LYRIC', 115888),
(172163, 'PTHR10826:SF32', NULL, NULL, NULL, NULL, 'BNAC04G05630D PROTEIN', 115889),
(172164, 'PTHR24377:SF287', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 780A', 115890),
(172165, 'PTHR10489:SF711', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 1', 115891),
(172166, 'PTHR42870:SF1', NULL, NULL, NULL, NULL, 'THIOLASE, PUTATIVE-RELATED', 115892),
(172167, 'PTHR47743:SF2', NULL, NULL, NULL, NULL, 'ACROSOMAL PROTEIN KIAA1210', 115893),
(172168, 'PTHR11588:SF401', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 115894),
(172169, 'PTHR31953:SF92', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 32-RELATED', 115895),
(172170, 'PTHR47587:SF2', NULL, NULL, NULL, NULL, 'OS05G0103500 PROTEIN', 115896),
(172171, 'PTHR21152:SF24', NULL, NULL, NULL, NULL, 'SERINE--PYRUVATE AMINOTRANSFERASE', 115897),
(172172, 'PTHR11347:SF209', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CGMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 9A', 115898),
(172173, 'PTHR23164:SF26', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY F MEMBER 2', 115899),
(172174, 'PTHR10664:SF42', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS BC (CLASS B-LIKE)', 115900),
(172175, 'PTHR11627:SF62', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 115901),
(172176, 'PTHR32246:SF90', NULL, NULL, NULL, NULL, 'LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN, PUTATIVE-RELATED', 115902),
(172177, 'PTHR30523', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE', 115903),
(172178, 'PTHR32278:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115904),
(172179, 'PTHR43064', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINOIMIDAZOLE CARBOXYLASE-RELATED', 115905),
(172180, 'PTHR47902:SF1', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 119', 115906),
(172181, 'PTHR46057:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.12 PROTEIN', 115907),
(172182, 'PTHR10739:SF53', NULL, NULL, NULL, NULL, 'BNAC08G44190D PROTEIN', 115908);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(172183, 'PTHR30337:SF5', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE, CALCINEURIN SUPERFAMILY', 115909),
(172184, 'PTHR11871:SF34', NULL, NULL, NULL, NULL, 'OS02G0617600 PROTEIN', 115910),
(172185, 'PTHR33785:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115911),
(172186, 'PTHR23201:SF93', NULL, NULL, NULL, NULL, 'SNAKIN-1-RELATED', 115912),
(172187, 'PTHR24300:SF157', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 519B1-RELATED', 115913),
(172188, 'PTHR43572:SF38', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 6', 115914),
(172189, 'PTHR45637:SF77', NULL, NULL, NULL, NULL, 'BNAC09G32460D PROTEIN', 115915),
(172190, 'PTHR34769:SF1', NULL, NULL, NULL, NULL, 'RCG42593, ISOFORM CRA_A', 115916),
(172191, 'PTHR31168:SF19', NULL, NULL, NULL, NULL, 'OS01G0683700 PROTEIN', 115917),
(172192, 'PTHR13453:SF8', NULL, NULL, NULL, NULL, 'BNAC05G04000D PROTEIN', 115918),
(172193, 'PTHR44013:SF14', NULL, NULL, NULL, NULL, 'QUINONE-OXIDOREDUCTASE HOMOLOG, CHLOROPLASTIC-RELATED', 115919),
(172194, 'PTHR19359:SF94', NULL, NULL, NULL, NULL, 'CYTOCHROME B5', 115920),
(172195, 'PTHR27004:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115921),
(172196, 'PTHR34542:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115922),
(172197, 'PTHR31718:SF31', NULL, NULL, NULL, NULL, 'OS01G0172800 PROTEIN', 115923),
(172198, 'PTHR48004:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN-RELATED', 115924),
(172199, 'PTHR31321:SF83', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 115925),
(172200, 'PTHR14003:SF13', NULL, NULL, NULL, NULL, 'BNAA03G13270D PROTEIN', 115926),
(172201, 'PTHR45984:SF3', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 1', 115927),
(172202, 'PTHR43240:SF20', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOYL-COA THIOESTERASE FAMILY PROTEIN YIGI', 115928),
(172203, 'PTHR23189:SF5', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 115929),
(172204, 'PTHR22943:SF73', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 115930),
(172205, 'PTHR33133:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115931),
(172206, 'PTHR46003', NULL, NULL, NULL, NULL, 'HOST CELL FACTOR', 115932),
(172207, 'PTHR31375:SF149', NULL, NULL, NULL, NULL, 'OS11G0249400 PROTEIN', 115933),
(172208, 'PTHR47979:SF66', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-2B', 115934),
(172209, 'PTHR34211:SF6', NULL, NULL, NULL, NULL, 'OS07G0106000 PROTEIN', 115935),
(172210, 'PTHR11709:SF392', NULL, NULL, NULL, NULL, 'BNAA02G05230D PROTEIN', 115936),
(172211, 'PTHR11711:SF380', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 1', 115937),
(172212, 'PTHR43535:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', 115938),
(172213, 'PTHR22814:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115939),
(172214, 'PTHR13914:SF24', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE', 115940),
(172215, 'PTHR11630:SF66', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM4', 115941),
(172216, 'PTHR47981:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-13A21.4', 115942),
(172217, 'PTHR45690:SF16', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 13', 115943),
(172218, 'PTHR48105:SF11', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE', 115944),
(172219, 'PTHR31920:SF86', NULL, NULL, NULL, NULL, 'BNAC09G39750D PROTEIN', 115945),
(172220, 'PTHR30532:SF23', NULL, NULL, NULL, NULL, 'HEMIN-BINDING PERIPLASMIC PROTEIN HMUT', 115946),
(172221, 'PTHR11679:SF76', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT SEC1A', 115947),
(172222, 'PTHR43615:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE SYNTHASE-RELATED', 115948),
(172223, 'PTHR31627:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-69', 115949),
(172224, 'PTHR45621:SF128', NULL, NULL, NULL, NULL, 'BNACNNG45720D PROTEIN', 115950),
(172225, 'PTHR42781:SF6', NULL, NULL, NULL, NULL, 'SPERMIDINE/PUTRESCINE IMPORT ATP-BINDING PROTEIN POTA', 115951),
(172226, 'PTHR37845:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115952),
(172227, 'PTHR12683', NULL, NULL, NULL, NULL, 'CDK-ACTIVATING KINASE ASSEMBLY FACTOR MAT1', 115953),
(172228, 'PTHR42345:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115954);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(172229, 'PTHR24349:SF405', NULL, NULL, NULL, NULL, 'BNAC03G17520D PROTEIN', 115955),
(172230, 'PTHR48000:SF37', NULL, NULL, NULL, NULL, 'BNAA02G06100D PROTEIN', 115956),
(172231, 'PTHR11141:SF29', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', 115957),
(172232, 'PTHR33377:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115958),
(172233, 'PTHR31488:SF5', NULL, NULL, NULL, NULL, 'C-MANNOSYLTRANSFERASE DPY19L1-RELATED', 115959),
(172234, 'PTHR24339:SF30', NULL, NULL, NULL, NULL, 'LATERAL MUSCLES SCARCER, ISOFORM B', 115960),
(172235, 'PTHR10671:SF30', NULL, NULL, NULL, NULL, 'CLAUDIN DOMAIN-CONTAINING PROTEIN 2', 115961),
(172236, 'PTHR35015', NULL, NULL, NULL, NULL, 'PROTEIN CBR-OSM-7-RELATED', 115962),
(172237, 'PTHR32468:SF135', NULL, NULL, NULL, NULL, 'BNACNNG36660D PROTEIN', 115963),
(172238, 'PTHR15222:SF4', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 1', 115964),
(172239, 'PTHR11764:SF71', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 115965),
(172240, 'PTHR43377:SF12', NULL, NULL, NULL, NULL, 'BINDING ROSSMANN FOLD OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11840)-RELATED', 115966),
(172241, 'PTHR37293:SF5', NULL, NULL, NULL, NULL, 'PHAGE REPLICATION PROTEIN-RELATED', 115967),
(172242, 'PTHR40715:SF1', NULL, NULL, NULL, NULL, 'FAM231A/C-LIKE PROTEIN LOC102723383', 115968),
(172243, 'PTHR21562:SF95', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 115969),
(172244, 'PTHR16301:SF2', NULL, NULL, NULL, NULL, 'PROTEIN IMPACT', 115970),
(172245, 'PTHR45968:SF31', NULL, NULL, NULL, NULL, 'GLUCOSE-METHANOL-CHOLINE (GMC) OXIDOREDUCTASE FAMILY PROTEIN', 115971),
(172246, 'PTHR15572:SF6', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT-LIKE PROTEIN', 115972),
(172247, 'PTHR10337:SF4', NULL, NULL, NULL, NULL, 'SHC-TRANSFORMING PROTEIN 3', 115973),
(172248, 'PTHR23359:SF205', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 1, CHLOROPLASTIC', 115974),
(172249, 'PTHR35308:SF7', NULL, NULL, NULL, NULL, 'OS07G0647500 PROTEIN', 115975),
(172250, 'PTHR46405:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RF298 ISOFORM X1-RELATED', 115976),
(172251, 'PTHR24298:SF108', NULL, NULL, NULL, NULL, 'OS09G0530300 PROTEIN', 115977),
(172252, 'PTHR43029:SF9', NULL, NULL, NULL, NULL, 'SIMILAR TO AMMONIUM PERMEASE, BUT NOT NORMALLY ACTIVE (EUROFUNG)', 115978),
(172253, 'PTHR23430', NULL, NULL, NULL, NULL, 'HISTONE H2A', 115979),
(172254, 'PTHR10519:SF68', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR-LIKE PROTEIN Q', 115980),
(172255, 'PTHR10366:SF642', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1', 115981),
(172256, 'PTHR10980:SF36', NULL, NULL, NULL, NULL, 'OS01G0913600 PROTEIN', 115982),
(172257, 'PTHR47993:SF53', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN', 115983),
(172258, 'PTHR31165:SF67', NULL, NULL, NULL, NULL, 'ALOG DOMAIN-CONTAINING PROTEIN-RELATED', 115984),
(172259, 'PTHR47640', NULL, NULL, NULL, NULL, 'TRNA SELENOCYSTEINE 1-ASSOCIATED PROTEIN 1-RELATED-RELATED', 115985),
(172260, 'PTHR48018:SF24', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 115986),
(172261, 'PTHR31321:SF78', NULL, NULL, NULL, NULL, 'PECTINESTERASE 49-RELATED', 115987),
(172262, 'PTHR33670:SF1', NULL, NULL, NULL, NULL, 'OS01G0384800 PROTEIN', 115988),
(172263, 'PTHR33172:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115989),
(172264, 'PTHR34774', NULL, NULL, NULL, NULL, 'EPHRIN-A3 PROTEIN', 115990),
(172265, 'PTHR31060:SF27', NULL, NULL, NULL, NULL, 'OS07G0259700 PROTEIN', 115991),
(172266, 'PTHR15367:SF3', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC7', 115992),
(172267, 'PTHR12411:SF694', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 115993),
(172268, 'PTHR47976:SF7', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 115994),
(172269, 'PTHR27002:SF589', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 115995),
(172270, 'PTHR23500:SF568', NULL, NULL, NULL, NULL, 'BNAA05G31350D PROTEIN', 115996),
(172271, 'PTHR11638:SF86', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPB4, MITOCHONDRIAL', 115997);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(172272, 'PTHR21551:SF20', NULL, NULL, NULL, NULL, 'TOPOISOMERASE II-ASSOCIATED PROTEIN PAT1-RELATED', 115998),
(172273, 'PTHR48022:SF55', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER STL1', 115999),
(172274, 'PTHR46537:SF6', NULL, NULL, NULL, NULL, 'RING 1A-RELATED', 116000),
(172275, 'PTHR14186:SF20', NULL, NULL, NULL, NULL, 'SI:CH73-330K17.3', 116001),
(172276, 'PTHR10223:SF0', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 4', 116002),
(172277, 'PTHR33484:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116003),
(172278, 'PTHR22932:SF1', NULL, NULL, NULL, NULL, 'CO-CHAPERONE PROTEIN DAF-41', 116004),
(172279, 'PTHR23115:SF261', NULL, NULL, NULL, NULL, 'PROTEIN CBG12339', 116005),
(172280, 'PTHR31325:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116006),
(172281, 'PTHR22988:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MRCK ALPHA', 116007),
(172282, 'PTHR31744:SF83', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 1', 116008),
(172283, 'PTHR11588:SF316', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 116009),
(172284, 'PTHR24381:SF284', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 14', 116010),
(172285, 'PTHR14428', NULL, NULL, NULL, NULL, 'NUCLEOLAR COMPLEX PROTEIN 3', 116011),
(172286, 'PTHR47984', NULL, NULL, NULL, NULL, 'OS01G0323000 PROTEIN', 116012),
(172287, 'PTHR24327:SF77', NULL, NULL, NULL, NULL, 'C. ELEGANS HOMEOBOX', 116013),
(172288, 'PTHR44378:SF5', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 17, PEROXISOMAL-RELATED', 116014),
(172289, 'PTHR23163:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BRE1A', 116015),
(172290, 'PTHR46631:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE PROTEIN', 116016),
(172291, 'PTHR34686:SF5', NULL, NULL, NULL, NULL, 'OS05G0451300 PROTEIN', 116017),
(172292, 'PTHR20275:SF0', NULL, NULL, NULL, NULL, 'NAD KINASE', 116018),
(172293, 'PTHR42861:SF43', NULL, NULL, NULL, NULL, 'OS03G0107100 PROTEIN', 116019),
(172294, 'PTHR24299:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 116020),
(172295, 'PTHR12603:SF21', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', 116021),
(172296, 'PTHR19139:SF273', NULL, NULL, NULL, NULL, 'AQUAPORIN-LIKE PROTEIN', 116022),
(172297, 'PTHR11915', NULL, NULL, NULL, NULL, 'SPECTRIN/FILAMIN RELATED CYTOSKELETAL PROTEIN', 116023),
(172298, 'PTHR32410:SF183', NULL, NULL, NULL, NULL, 'BNAC03G78300D PROTEIN', 116024),
(172299, 'PTHR30445:SF3', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YIDE-RELATED', 116025),
(172300, 'PTHR21330', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 116026),
(172301, 'PTHR11764:SF14', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 116027),
(172302, 'PTHR38808:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 95', 116028),
(172303, 'PTHR48020:SF8', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER', 116029),
(172304, 'PTHR22750:SF2', NULL, NULL, NULL, NULL, 'MELANOCYTE-STIMULATING HORMONE RECEPTOR', 116030),
(172305, 'PTHR31407', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 116031),
(172306, 'PTHR11926:SF1343', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 85A8-LIKE', 116032),
(172307, 'PTHR32444:SF133', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', 116033),
(172308, 'PTHR22838:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 26', 116034),
(172309, 'PTHR30468:SF1', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT SULFONATE DIOXYGENASE-RELATED', 116035),
(172310, 'PTHR23147:SF191', NULL, NULL, NULL, NULL, 'SERINE AND ARGININE-RICH-SPLICING FACTOR 6B', 116036),
(172311, 'PTHR23360:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG15559', 116037),
(172312, 'PTHR42861:SF106', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 116038),
(172313, 'PTHR31223:SF68', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG2', 116039),
(172314, 'PTHR35700', NULL, NULL, NULL, NULL, 'OS07G0181800 PROTEIN', 116040),
(172315, 'PTHR14237:SF23', NULL, NULL, NULL, NULL, 'MOSC DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_7G05900)', 116041);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(172316, 'PTHR16515:SF40', NULL, NULL, NULL, NULL, 'PR DOMAIN-CONTAINING 2, WITH ZNF DOMAIN B', 116042),
(172317, 'PTHR13678:SF8', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 37C', 116043),
(172318, 'PTHR15975:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 116044),
(172319, 'PTHR21422:SF11', NULL, NULL, NULL, NULL, 'RAB3 GTPASE-ACTIVATING PROTEIN CATALYTIC SUBUNIT', 116045),
(172320, 'PTHR31549:SF110', NULL, NULL, NULL, NULL, 'OS08G0538100 PROTEIN', 116046),
(172321, 'PTHR45941:SF5', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE 2', 116047),
(172322, 'PTHR45665:SF31', NULL, NULL, NULL, NULL, 'BNAC02G46870D PROTEIN', 116048),
(172323, 'PTHR41709:SF2', NULL, NULL, NULL, NULL, 'KAIB-LIKE PROTEIN 1', 116049),
(172324, 'PTHR11206:SF346', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 33', 116050),
(172325, 'PTHR46119:SF17', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE', 116051),
(172326, 'PTHR34373:SF13', NULL, NULL, NULL, NULL, 'SHUGOSHIN 1', 116052),
(172327, 'PTHR27006:SF350', NULL, NULL, NULL, NULL, 'BNAA01G22760D PROTEIN', 116053),
(172328, 'PTHR24115:SF734', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF3C', 116054),
(172329, 'PTHR45089:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116055),
(172330, 'PTHR43384:SF4', NULL, NULL, NULL, NULL, 'FLAGELLUM SITE-DETERMINING PROTEIN YLXH', 116056),
(172331, 'PTHR45634:SF25', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 6, ISOFORM G', 116057),
(172332, 'PTHR33076:SF84', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 116058),
(172333, 'PTHR11733:SF127', NULL, NULL, NULL, NULL, 'EEF1AKMT4-ECE2 READTHROUGH TRANSCRIPT PROTEIN-RELATED', 116059),
(172334, 'PTHR46717:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF180', 116060),
(172335, 'PTHR11096:SF1', NULL, NULL, NULL, NULL, 'RNA 3''-TERMINAL PHOSPHATE CYCLASE-LIKE PROTEIN', 116061),
(172336, 'PTHR13339:SF1', NULL, NULL, NULL, NULL, 'BNAA08G07630D PROTEIN', 116062),
(172337, 'PTHR12822:SF8', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', 116063),
(172338, 'PTHR11485:SF52', NULL, NULL, NULL, NULL, 'TRANSFERRIN', 116064),
(172339, 'PTHR15332:SF175', NULL, NULL, NULL, NULL, 'SURFACE PROTEIN WITH EGF DOMAINS AND FURIN-LIKE REPEATS-RELATED', 116065),
(172340, 'PTHR12802:SF114', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 7-LIKE', 116066),
(172341, 'PTHR31374:SF309', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32-LIKE', 116067),
(172342, 'PTHR33167:SF41', NULL, NULL, NULL, NULL, 'BNAA09G47370D PROTEIN', 116068),
(172343, 'PTHR11849:SF295', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN D-ETS-6-LIKE PROTEIN', 116069),
(172344, 'PTHR45834:SF10', NULL, NULL, NULL, NULL, 'RHOGEF DOMAIN-CONTAINING PROTEIN GXCI', 116070),
(172345, 'PTHR47738', NULL, NULL, NULL, NULL, 'PTS SYSTEM FRUCTOSE-LIKE EIIA COMPONENT-RELATED', 116071),
(172346, 'PTHR15427:SF27', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 5', 116072),
(172347, 'PTHR32308', NULL, NULL, NULL, NULL, 'LYASE BETA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13030)-RELATED', 116073),
(172348, 'PTHR11055:SF36', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE 3', 116074),
(172349, 'PTHR12842:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM114A2', 116075),
(172350, 'PTHR24296:SF212', NULL, NULL, NULL, NULL, 'BNAC06G16010D PROTEIN', 116076),
(172351, 'PTHR32487:SF21', NULL, NULL, NULL, NULL, 'BNAA03G46530D PROTEIN', 116077),
(172352, 'PTHR11040:SF35', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 1', 116078),
(172353, 'PTHR27001:SF789', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', 116079),
(172354, 'PTHR43148:SF12', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 116080),
(172355, 'PTHR33513:SF30', NULL, NULL, NULL, NULL, 'BNAA10G09800D PROTEIN', 116081),
(172356, 'PTHR31280:SF21', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG', 116082),
(172357, 'PTHR34890:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116083),
(172358, 'PTHR12461:SF21', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN F', 116084);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(172359, 'PTHR22936:SF80', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 6, MITOCHONDRIAL', 116085),
(172360, 'PTHR15504:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 45', 116086),
(172361, 'PTHR11165:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116087),
(172362, 'PTHR11732:SF450', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116088),
(172363, 'PTHR45974:SF185', NULL, NULL, NULL, NULL, 'BNAA03G00050D PROTEIN', 116089),
(172364, 'PTHR35123:SF3', NULL, NULL, NULL, NULL, 'OS07G0633900 PROTEIN', 116090),
(172365, 'PTHR11560:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116091),
(172366, 'PTHR22619:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 5', 116092),
(172367, 'PTHR36312', NULL, NULL, NULL, NULL, 'THIONIN-LIKE PROTEIN 1', 116093),
(172368, 'PTHR23355:SF44', NULL, NULL, NULL, NULL, 'DIS3-LIKE EXONUCLEASE 2', 116094),
(172369, 'PTHR31632:SF6', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE IRON PERMEASE', 116095),
(172370, 'PTHR33645:SF4', NULL, NULL, NULL, NULL, 'OS01G0929000 PROTEIN', 116096),
(172371, 'PTHR23201:SF114', NULL, NULL, NULL, NULL, 'GIBBERELLIN REGULATED PROTEIN-RELATED', 116097),
(172372, 'PTHR11544:SF125', NULL, NULL, NULL, NULL, 'COLD SHOCK-LIKE PROTEIN CSPC', 116098),
(172373, 'PTHR42683:SF67', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: 8-HYDROXYGERANIOL DEHYDROGENASE-LIKE', 116099),
(172374, 'PTHR45687:SF58', NULL, NULL, NULL, NULL, 'BNAC03G65520D PROTEIN', 116100),
(172375, 'PTHR47791:SF3', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 191 PROTEIN', 116101),
(172376, 'PTHR11937:SF183', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN 10', 116102),
(172377, 'PTHR47511:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP23', 116103),
(172378, 'PTHR11439:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116104),
(172379, 'PTHR27001:SF598', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 116105),
(172380, 'PTHR47986:SF1', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE TMK1', 116106),
(172381, 'PTHR47925:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116107),
(172382, 'PTHR33699:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116108),
(172383, 'PTHR38443:SF2', NULL, NULL, NULL, NULL, 'NON-EXPRESSED ENTEROTOXIN C', 116109),
(172384, 'PTHR24298:SF542', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116110),
(172385, 'PTHR32246:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116111),
(172386, 'PTHR31235:SF324', NULL, NULL, NULL, NULL, 'PEROXIDASE 12', 116112),
(172387, 'PTHR28574:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 6820408C15', 116113),
(172388, 'PTHR24232:SF86', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 174-RELATED', 116114),
(172389, 'PTHR12341:SF55', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE', 116115),
(172390, 'PTHR36767', NULL, NULL, NULL, NULL, 'OS05G0126200 PROTEIN', 116116),
(172391, 'PTHR36702:SF1', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RESOLVASE', 116117),
(172392, 'PTHR36197', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 116118),
(172393, 'PTHR46301:SF33', NULL, NULL, NULL, NULL, 'BNAA03G45990D PROTEIN', 116119),
(172394, 'PTHR22775:SF44', NULL, NULL, NULL, NULL, 'SORTING NEXIN-14', 116120),
(172395, 'PTHR16092:SF30', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC3B', 116121),
(172396, 'PTHR47985:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', 116122),
(172397, 'PTHR43110', NULL, NULL, NULL, NULL, 'THIOL PEROXIDASE', 116123),
(172398, 'PTHR21143', NULL, NULL, NULL, NULL, 'INVERTEBRATE GUSTATORY RECEPTOR', 116124),
(172399, 'PTHR11374:SF47', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE 1', 116125),
(172400, 'PTHR31390:SF20', NULL, NULL, NULL, NULL, 'BNAA05G10210D PROTEIN', 116126),
(172401, 'PTHR16655', NULL, NULL, NULL, NULL, 'COCAINE AND AMPHETAMINE REGULATED TRANSCRIPT PROTEIN', 116127),
(172402, 'PTHR31407:SF10', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF LUMENAL LOCATION 1, CHLOROPLASTIC', 116128),
(172403, 'PTHR15422:SF24', NULL, NULL, NULL, NULL, 'OS05G0565100 PROTEIN', 116129);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(172404, 'PTHR11527:SF297', NULL, NULL, NULL, NULL, '17.4 KDA CLASS III HEAT SHOCK PROTEIN', 116130),
(172405, 'PTHR33397', NULL, NULL, NULL, NULL, 'UPF0331 PROTEIN YUTE', 116131),
(172406, 'PTHR13808:SF35', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE HAC1-LIKE', 116132),
(172407, 'PTHR31927:SF2', NULL, NULL, NULL, NULL, 'FI07246P-RELATED', 116133),
(172408, 'PTHR34054:SF8', NULL, NULL, NULL, NULL, 'BNAA10G12370D PROTEIN', 116134),
(172409, 'PTHR31374:SF297', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116135),
(172410, 'PTHR11843:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 116136),
(172411, 'PTHR33179:SF11', NULL, NULL, NULL, NULL, 'OS03G0320500 PROTEIN', 116137),
(172412, 'PTHR28037:SF3', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE SLI1', 116138),
(172413, 'PTHR43791:SF89', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NICOTINIC ACID TRANSPORTER', 116139),
(172414, 'PTHR12232:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116140),
(172415, 'PTHR13381:SF0', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 21', 116141),
(172416, 'PTHR33110:SF44', NULL, NULL, NULL, NULL, 'OS02G0267600 PROTEIN', 116142),
(172417, 'PTHR31690:SF4', NULL, NULL, NULL, NULL, 'FUCOSE MUTAROTASE', 116143),
(172418, 'PTHR46422:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 116144),
(172419, 'PTHR11955:SF145', NULL, NULL, NULL, NULL, 'RETINOL BINDING PROTEIN 1', 116145),
(172420, 'PTHR23502:SF30', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04702)-RELATED', 116146),
(172421, 'PTHR11571:SF123', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE A4', 116147),
(172422, 'PTHR47372:SF2', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 14', 116148),
(172423, 'PTHR24006:SF831', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 18', 116149),
(172424, 'PTHR31638:SF3', NULL, NULL, NULL, NULL, 'DAZ-ASSOCIATED PROTEIN 2', 116150),
(172425, 'PTHR48063:SF13', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12 ISOFORM X1', 116151),
(172426, 'PTHR12136:SF99', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2', 116152),
(172427, 'PTHR46011:SF7', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 116153),
(172428, 'PTHR27006:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116154),
(172429, 'PTHR31228:SF23', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', 116155),
(172430, 'PTHR22930:SF216', NULL, NULL, NULL, NULL, 'OS11G0577650 PROTEIN', 116156),
(172431, 'PTHR24177:SF265', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 116157),
(172432, 'PTHR48062:SF34', NULL, NULL, NULL, NULL, 'PIRIFORMOSPORA INDICA-INSENSITIVE PROTEIN 2-LIKE', 116158),
(172433, 'PTHR12537:SF134', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 12', 116159),
(172434, 'PTHR24034:SF110', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH WITH EGF-LIKE DOMAIN PROTEIN 2', 116160),
(172435, 'PTHR35540', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 1', 116161),
(172436, 'PTHR15570:SF2', NULL, NULL, NULL, NULL, 'G0/G1 SWITCH PROTEIN 2', 116162),
(172437, 'PTHR37516:SF1', NULL, NULL, NULL, NULL, 'SCA1 COMPLEX SCAFFOLD PROTEIN SCAA', 116163),
(172438, 'PTHR10556:SF54', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ENOYL-COA REDUCTASE-LIKE', 116164),
(172439, 'PTHR31482:SF13', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 116165),
(172440, 'PTHR10889:SF3', NULL, NULL, NULL, NULL, 'DEOXYRIBOSE-PHOSPHATE ALDOLASE', 116166),
(172441, 'PTHR28639:SF1', NULL, NULL, NULL, NULL, 'BCL-2-BINDING COMPONENT 3', 116167),
(172442, 'PTHR16518:SF5', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 153-RELATED', 116168),
(172443, 'PTHR11206:SF342', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 116169),
(172444, 'PTHR46181:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCINE TRANSPORTER A', 116170),
(172445, 'PTHR11062:SF215', NULL, NULL, NULL, NULL, 'BETA-14-XYLOSYLTRANSFERASE IRX10L-RELATED', 116171),
(172446, 'PTHR45757:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG01115', 116172),
(172447, 'PTHR11640:SF94', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY, MEMBER 9A', 116173);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(172448, 'PTHR10075:SF74', NULL, NULL, NULL, NULL, 'SI:DKEYP-97A10.3', 116174),
(172449, 'PTHR42987:SF4', NULL, NULL, NULL, NULL, 'PROTEASE MJ0651-RELATED', 116175),
(172450, 'PTHR34253', NULL, NULL, NULL, NULL, 'PROTEIN LLP HOMOLOG', 116176),
(172451, 'PTHR19957:SF84', NULL, NULL, NULL, NULL, 'SYNTAXIN-1A', 116177),
(172452, 'PTHR47958:SF21', NULL, NULL, NULL, NULL, 'BNAA01G25900D PROTEIN', 116178),
(172453, 'PTHR16135:SF2', NULL, NULL, NULL, NULL, 'REPRESSOR OF YIELD OF DENV PROTEIN', 116179),
(172454, 'PTHR31053:SF2', NULL, NULL, NULL, NULL, 'MAGNESIUM-PROTOPORPHYRIN IX MONOMETHYL ESTER [OXIDATIVE] CYCLASE, CHLOROPLASTIC', 116180),
(172455, 'PTHR31495:SF0', NULL, NULL, NULL, NULL, 'PEROXYGENASE 3-RELATED', 116181),
(172456, 'PTHR42864', NULL, NULL, NULL, NULL, 'LIGHT-INDEPENDENT PROTOCHLOROPHYLLIDE REDUCTASE IRON-SULFUR ATP-BINDING PROTEIN', 116182),
(172457, 'PTHR12701:SF44', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED-LIKE PROTEIN', 116183),
(172458, 'PTHR11811', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE', 116184),
(172459, 'PTHR13218:SF15', NULL, NULL, NULL, NULL, 'TAF11-LIKE PROTEIN ENSP00000332601-RELATED', 116185),
(172460, 'PTHR43725:SF23', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE 1', 116186),
(172461, 'PTHR45655:SF5', NULL, NULL, NULL, NULL, 'SOLUBLE GUANYLATE CYCLASE 89DA-RELATED', 116187),
(172462, 'PTHR31125:SF12', NULL, NULL, NULL, NULL, 'BNAA06G37180D PROTEIN', 116188),
(172463, 'PTHR30540:SF118', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 116189),
(172464, 'PTHR11562:SF17', NULL, NULL, NULL, NULL, 'RE54080P-RELATED', 116190),
(172465, 'PTHR18945:SF582', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 116191),
(172466, 'PTHR47776', NULL, NULL, NULL, NULL, 'F5A8.9 PROTEIN', 116192),
(172467, 'PTHR33101:SF55', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 8', 116193),
(172468, 'PTHR13902:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116194),
(172469, 'PTHR31929:SF45', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 116195),
(172470, 'PTHR20958:SF9', NULL, NULL, NULL, NULL, 'RE58324P', 116196),
(172471, 'PTHR12741:SF73', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE-LIKE PROTEIN', 116197),
(172472, 'PTHR28088:SF7', NULL, NULL, NULL, NULL, 'METAL-BINDING ACTIVATOR 1', 116198),
(172473, 'PTHR40943:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 116199),
(172474, 'PTHR15333:SF2', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 5', 116200),
(172475, 'PTHR34564:SF1', NULL, NULL, NULL, NULL, 'OS07G0250300 PROTEIN', 116201),
(172476, 'PTHR12510:SF4', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLAMINECYCLOTRANSFERASE', 116202),
(172477, 'PTHR11864:SF0', NULL, NULL, NULL, NULL, 'PRP40 PRE-MRNA PROCESSING FACTOR 40 HOMOLOG A (YEAST)', 116203),
(172478, 'PTHR42851:SF5', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', 116204),
(172479, 'PTHR23048:SF34', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML20-RELATED', 116205),
(172480, 'PTHR24240:SF155', NULL, NULL, NULL, NULL, 'TELEOST MULTIPLE TISSUE OPSIN 1A', 116206),
(172481, 'PTHR40052:SF2', NULL, NULL, NULL, NULL, 'UPF0403 PROTEIN YPHP', 116207),
(172482, 'PTHR13936:SF5', NULL, NULL, NULL, NULL, 'PROFILIN', 116208),
(172483, 'PTHR12877:SF15', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 17', 116209),
(172484, 'PTHR10778:SF48', NULL, NULL, NULL, NULL, 'BNAA09G45580D PROTEIN', 116210),
(172485, 'PTHR30231', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT EPSILON', 116211),
(172486, 'PTHR11359:SF12', NULL, NULL, NULL, NULL, 'BNAA04G21890D PROTEIN', 116212),
(172487, 'PTHR11232:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116213),
(172488, 'PTHR13935:SF133', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE HOMOLOG 1B', 116214),
(172489, 'PTHR13289:SF3', NULL, NULL, NULL, NULL, 'BIFOCAL, ISOFORM F', 116215),
(172490, 'PTHR13162:SF11', NULL, NULL, NULL, NULL, 'OS10G0556600 PROTEIN', 116216),
(172491, 'PTHR31677:SF144', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 3-RELATED', 116217);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(172492, 'PTHR22765:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116218),
(172493, 'PTHR47849:SF7', NULL, NULL, NULL, NULL, 'CHITIN-BINDING LECTIN 1', 116219),
(172494, 'PTHR46128:SF73', NULL, NULL, NULL, NULL, 'BNAA02G34150D PROTEIN', 116220),
(172495, 'PTHR33731:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 116221),
(172496, 'PTHR43391:SF8', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 8', 116222),
(172497, 'PTHR12318:SF0', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE-LINKED MOIETY X MOTIF 19', 116223),
(172498, 'PTHR10366:SF605', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 116224),
(172499, 'PTHR11462:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUN-D', 116225),
(172500, 'PTHR24177:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116226),
(172501, 'PTHR48001:SF137', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 116227),
(172502, 'PTHR33103:SF63', NULL, NULL, NULL, NULL, 'EMB|CAB69840.1', 116228),
(172503, 'PTHR10585:SF14', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR', 116229),
(172504, 'PTHR36352:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 116230),
(172505, 'PTHR24392:SF31', NULL, NULL, NULL, NULL, 'PROTEIN CHARLATAN', 116231),
(172506, 'PTHR43447:SF19', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', 116232),
(172507, 'PTHR26450:SF25', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 116233),
(172508, 'PTHR47170', NULL, NULL, NULL, NULL, 'MALONYL-COA ACP TRANSACYLASE, ACP-BINDING', 116234),
(172509, 'PTHR12522:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ELBOW-RELATED', 116235),
(172510, 'PTHR40453:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YOEF', 116236),
(172511, 'PTHR24070:SF17', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN 2', 116237),
(172512, 'PTHR45693:SF18', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR TGA10', 116238),
(172513, 'PTHR24054:SF48', NULL, NULL, NULL, NULL, 'CASEIN KINASE ALPHA 1', 116239),
(172514, 'PTHR33785:SF7', NULL, NULL, NULL, NULL, 'BNAC04G48490D PROTEIN', 116240),
(172515, 'PTHR32285:SF271', NULL, NULL, NULL, NULL, 'BNAA03G55480D PROTEIN', 116241),
(172516, 'PTHR10332:SF65', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 7', 116242),
(172517, 'PTHR24414:SF96', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN', 116243),
(172518, 'PTHR27009:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116244),
(172519, 'PTHR33270:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116245),
(172520, 'PTHR31839:SF30', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1B', 116246),
(172521, 'PTHR24637:SF240', NULL, NULL, NULL, NULL, 'COLLAGEN', 116247),
(172522, 'PTHR34060:SF1', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE / DEHYDRASE AND LIPID TRANSPORT PROTEIN', 116248),
(172523, 'PTHR11362:SF127', NULL, NULL, NULL, NULL, 'BNAC02G02900D PROTEIN', 116249),
(172524, 'PTHR31627', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-RELATED', 116250),
(172525, 'PTHR21734:SF11', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE-INTERACTING PROTEIN', 116251),
(172526, 'PTHR11802:SF32', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 29', 116252),
(172527, 'PTHR20765', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 116253),
(172528, 'PTHR45650:SF45', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 116254),
(172529, 'PTHR36206:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116255),
(172530, 'PTHR24320:SF224', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE TIC 32, CHLOROPLASTIC-LIKE', 116256),
(172531, 'PTHR10606:SF71', NULL, NULL, NULL, NULL, 'FRUCTOSE-2,6-BISPHOSPHATASE-RELATED', 116257),
(172532, 'PTHR47123:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116258),
(172533, 'PTHR40387:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM240A', 116259),
(172534, 'PTHR21592:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG04293', 116260),
(172535, 'PTHR31881:SF16', NULL, NULL, NULL, NULL, 'PLANT/F12B17-70 PROTEIN', 116261),
(172536, 'PTHR48016:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116262);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(172537, 'PTHR47991:SF105', NULL, NULL, NULL, NULL, 'OS06G0176500 PROTEIN', 116263),
(172538, 'PTHR16320', NULL, NULL, NULL, NULL, 'SPHINGOMYELINASE FAMILY MEMBER', 116264),
(172539, 'PTHR14845:SF7', NULL, NULL, NULL, NULL, 'GENE 6583-RELATED', 116265),
(172540, 'PTHR22793:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116266),
(172541, 'PTHR45717:SF30', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', 116267),
(172542, 'PTHR23011', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 116268),
(172543, 'PTHR22763:SF172', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE E3 UBIQUITIN-PROTEIN LIGASE FLY2', 116269),
(172544, 'PTHR14025:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION-REPAIR-COUPLING FACTOR', 116270),
(172545, 'PTHR21068:SF34', NULL, NULL, NULL, NULL, 'BNAC01G22450D PROTEIN', 116271),
(172546, 'PTHR14190', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF ACTIN MUTATIONS 2/VACUOLAR PROTEIN SORTING 52', 116272),
(172547, 'PTHR34315:SF2', NULL, NULL, NULL, NULL, 'ANCHORED DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01800)-RELATED', 116273),
(172548, 'PTHR10166:SF57', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL SUBUNIT ALPHA-2/DELTA-1', 116274),
(172549, 'PTHR27000', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 116275),
(172550, 'PTHR21091:SF173', NULL, NULL, NULL, NULL, 'BNAANNG32890D PROTEIN', 116276),
(172551, 'PTHR19316:SF21', NULL, NULL, NULL, NULL, 'HEAT REPEAT FAMILY PROTEIN, EXPRESSED', 116277),
(172552, 'PTHR11818:SF104', NULL, NULL, NULL, NULL, 'CRYSTALLIN, GAMMA M6-RELATED', 116278),
(172553, 'PTHR14000:SF25', NULL, NULL, NULL, NULL, 'OS02G0631200 PROTEIN', 116279),
(172554, 'PTHR31874:SF46', NULL, NULL, NULL, NULL, 'BNACNNG04690D PROTEIN', 116280),
(172555, 'PTHR43706:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116281),
(172556, 'PTHR47275:SF3', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT I, CHLOROPLASTIC', 116282),
(172557, 'PTHR45969', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN-RELATED', 116283),
(172558, 'PTHR32278:SF93', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B1', 116284),
(172559, 'PTHR31650:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116285),
(172560, 'PTHR21559:SF22', NULL, NULL, NULL, NULL, 'DYSTROGLYCAN', 116286),
(172561, 'PTHR22852:SF0', NULL, NULL, NULL, NULL, 'DENTICLELESS PROTEIN HOMOLOG', 116287),
(172562, 'PTHR12550:SF49', NULL, NULL, NULL, NULL, 'LD23804P', 116288),
(172563, 'PTHR23235:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116289),
(172564, 'PTHR19957:SF305', NULL, NULL, NULL, NULL, 'VACUOLAR MORPHOGENESIS PROTEIN 7', 116290),
(172565, 'PTHR33737', NULL, NULL, NULL, NULL, 'OS05G0121800 PROTEIN', 116291),
(172566, 'PTHR10791:SF155', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 116292),
(172567, 'PTHR35176:SF11', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE 5''-PHOSPHATE OXIDASE FAMILY PROTEIN', 116293),
(172568, 'PTHR16186:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116294),
(172569, 'PTHR47809', NULL, NULL, NULL, NULL, 'DNA-BINDING BROMODOMAIN-CONTAINING PROTEIN', 116295),
(172570, 'PTHR36251:SF2', NULL, NULL, NULL, NULL, 'FELS-1 PROPHAGE HOST SPECIFICITY PROTEIN-RELATED', 116296),
(172571, 'PTHR31756:SF9', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL KINASE-PYROPHOSPHORYLASE-RELATED', 116297),
(172572, 'PTHR12635:SF13', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 36', 116298),
(172573, 'PTHR12110:SF44', NULL, NULL, NULL, NULL, 'INOSOSE ISOMERASE', 116299),
(172574, 'PTHR40029', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 116300),
(172575, 'PTHR18884:SF51', NULL, NULL, NULL, NULL, 'SEPTIN-14', 116301),
(172576, 'PTHR31169:SF25', NULL, NULL, NULL, NULL, 'ZINC-FINGER DOMAIN OF MONOAMINE-OXIDASE A REPRESSOR R1', 116302),
(172577, 'PTHR24414:SF159', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN OR23', 116303),
(172578, 'PTHR20986:SF21', NULL, NULL, NULL, NULL, 'FMRFAMIDE-LIKE NEUROPEPTIDES 14', 116304),
(172579, 'PTHR33463:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116305),
(172580, 'PTHR21212:SF6', NULL, NULL, NULL, NULL, 'SEIPIN-2-LIKE', 116306);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(172581, 'PTHR47997:SF27', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', 116307),
(172582, 'PTHR31218:SF213', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 116308),
(172583, 'PTHR23202:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116309),
(172584, 'PTHR30024:SF17', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, PERIPLASMIC PHOSPHONATE-BINDING PROTEIN, PUTATIVE-RELATED', 116310),
(172585, 'PTHR46781', NULL, NULL, NULL, NULL, 'ALPHA 1,4-GLYCOSYLTRANSFERASE FAMILY PROTEIN', 116311),
(172586, 'PTHR35040:SF8', NULL, NULL, NULL, NULL, 'SURFACE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14085)-RELATED', 116312),
(172587, 'PTHR23430:SF59', NULL, NULL, NULL, NULL, 'HISTONE H2A.J', 116313),
(172588, 'PTHR31561:SF168', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 116314),
(172589, 'PTHR14319:SF7', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 6', 116315),
(172590, 'PTHR21145:SF3', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', 116316),
(172591, 'PTHR12830:SF9', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 5', 116317),
(172592, 'PTHR36335:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116318),
(172593, 'PTHR11442:SF35', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT EPSILON-2', 116319),
(172594, 'PTHR22619', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN CONTAINING PROTEIN 4, 5, 6', 116320),
(172595, 'PTHR11560:SF14', NULL, NULL, NULL, NULL, 'BNAC01G38310D PROTEIN', 116321),
(172596, 'PTHR23180:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116322),
(172597, 'PTHR45676:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 116323),
(172598, 'PTHR14725:SF0', NULL, NULL, NULL, NULL, 'RIBOSOME-BINDING FACTOR A, MITOCHONDRIAL-RELATED', 116324),
(172599, 'PTHR45886:SF17', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-9', 116325),
(172600, 'PTHR46344:SF14', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN-RELATED', 116326),
(172601, 'PTHR33671:SF9', NULL, NULL, NULL, NULL, 'DUF688 FAMILY PROTEIN', 116327),
(172602, 'PTHR30545:SF2', NULL, NULL, NULL, NULL, 'SUGAR FERMENTATION STIMULATION PROTEIN A', 116328),
(172603, 'PTHR43591:SF62', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE (EUROFUNG)', 116329),
(172604, 'PTHR13399:SF2', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN SUBUNIT GAMMA', 116330),
(172605, 'PTHR47173', NULL, NULL, NULL, NULL, 'PROTEIN DR1 HOMOLOG', 116331),
(172606, 'PTHR33402:SF27', NULL, NULL, NULL, NULL, 'BNAC02G23100D PROTEIN', 116332),
(172607, 'PTHR11132:SF422', NULL, NULL, NULL, NULL, 'BNAC08G45010D PROTEIN', 116333),
(172608, 'PTHR22765:SF285', NULL, NULL, NULL, NULL, 'OS10G0346600 PROTEIN', 116334),
(172609, 'PTHR24107:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116335),
(172610, 'PTHR45898:SF20', NULL, NULL, NULL, NULL, 'BNAA06G15120D PROTEIN', 116336),
(172611, 'PTHR12697:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116337),
(172612, 'PTHR47057:SF1', NULL, NULL, NULL, NULL, 'AFADIN/ALPHA-ACTININ-BINDING PROTEIN', 116338),
(172613, 'PTHR23074:SF75', NULL, NULL, NULL, NULL, 'FIDGETIN-LIKE PROTEIN 1', 116339),
(172614, 'PTHR23024:SF124', NULL, NULL, NULL, NULL, 'RIKEN CDNA C130079G13 GENE', 116340),
(172615, 'PTHR47212:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116341),
(172616, 'PTHR23421:SF120', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 9', 116342),
(172617, 'PTHR22835', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN CONTAINING PROTEIN', 116343),
(172618, 'PTHR10744', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11 FAMILY MEMBER', 116344),
(172619, 'PTHR45820:SF4', NULL, NULL, NULL, NULL, 'FI23527P1', 116345),
(172620, 'PTHR32370:SF76', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', 116346),
(172621, 'PTHR47197', NULL, NULL, NULL, NULL, 'PROTEIN NIRF', 116347),
(172622, 'PTHR13192', NULL, NULL, NULL, NULL, 'MY011 PROTEIN', 116348),
(172623, 'PTHR34558:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 116349),
(172624, 'PTHR31669:SF160', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 3', 116350);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(172625, 'PTHR27000:SF733', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE, PUTATIVE-RELATED', 116351),
(172626, 'PTHR23226:SF161', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 641', 116352),
(172627, 'PTHR43290', NULL, NULL, NULL, NULL, 'MEVALONATE KINASE', 116353),
(172628, 'PTHR23238:SF5', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN FUS', 116354),
(172629, 'PTHR44360:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 9', 116355),
(172630, 'PTHR13353:SF8', NULL, NULL, NULL, NULL, 'OS01G0178200 PROTEIN', 116356),
(172631, 'PTHR13976', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN-RELATED', 116357),
(172632, 'PTHR13471', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL', 116358),
(172633, 'PTHR24099:SF6', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III AND SPRY DOMAIN-CONTAINING PROTEIN 2-RELATED', 116359),
(172634, 'PTHR11814:SF105', NULL, NULL, NULL, NULL, 'SULFATE PERMEASE FAMILY', 116360),
(172635, 'PTHR16477:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 106', 116361),
(172636, 'PTHR13267', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 277', 116362),
(172637, 'PTHR10638:SF26', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 116363),
(172638, 'PTHR43747', NULL, NULL, NULL, NULL, 'FAD-BINDING PROTEIN', 116364),
(172639, 'PTHR38686', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN N-ACYLTRANSFERASE', 116365),
(172640, 'PTHR10332:SF17', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER 3', 116366),
(172641, 'PTHR22932:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PTGES3L-RELATED', 116367),
(172642, 'PTHR34570:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116368),
(172643, 'PTHR10024:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116369),
(172644, 'PTHR43544:SF27', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY OXIDOREDUCTASE (JCVI)', 116370),
(172645, 'PTHR33286:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116371),
(172646, 'PTHR47439', NULL, NULL, NULL, NULL, 'LOW MOLECULAR WEIGHT PHOSPHOTYROSINE PROTEIN PHOSPHATASE-RELATED', 116372),
(172647, 'PTHR23155:SF933', NULL, NULL, NULL, NULL, 'OS09G0270700 PROTEIN', 116373),
(172648, 'PTHR30437', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR GREA', 116374),
(172649, 'PTHR11850:SF259', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 11', 116375),
(172650, 'PTHR11804:SF50', NULL, NULL, NULL, NULL, 'THIMET OLIGOPEPTIDASE', 116376),
(172651, 'PTHR45724:SF43', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP1-1', 116377),
(172652, 'PTHR24184:SF21', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SAM DOMAIN-CONTAINING PROTEIN 3', 116378),
(172653, 'PTHR31734:SF121', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA19', 116379),
(172654, 'PTHR33101:SF54', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 14-LIKE', 116380),
(172655, 'PTHR10366:SF677', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 116381),
(172656, 'PTHR14387:SF9', NULL, NULL, NULL, NULL, 'SI:CH211-225B11.4', 116382),
(172657, 'PTHR11886:SF40', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 116383),
(172658, 'PTHR31901:SF18', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.9-RELATED', 116384),
(172659, 'PTHR12185:SF15', NULL, NULL, NULL, NULL, 'SID1 TRANSMEMBRANE FAMILY MEMBER 1', 116385),
(172660, 'PTHR15592:SF22', NULL, NULL, NULL, NULL, 'OS08G0436000 PROTEIN', 116386),
(172661, 'PTHR12741:SF82', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 48, 1,3-BETA-GLUCAN SYNTHASE SUBUNIT FKS1-LIKE, DOMAIN-1-RELATED', 116387),
(172662, 'PTHR34574:SF10', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-LIKE', 116388),
(172663, 'PTHR32319:SF5', NULL, NULL, NULL, NULL, 'BNAA03G57820D PROTEIN', 116389),
(172664, 'PTHR11373:SF32', NULL, NULL, NULL, NULL, 'DEOXYGUANOSINETRIPHOSPHATE TRIPHOSPHOHYDROLASE', 116390),
(172665, 'PTHR22589:SF99', NULL, NULL, NULL, NULL, 'CARNITINE PALMITOYL TRANSFERASE', 116391),
(172666, 'PTHR30013:SF5', NULL, NULL, NULL, NULL, 'HYDROGENASE SMALL SUBUNIT', 116392),
(172667, 'PTHR12558:SF34', NULL, NULL, NULL, NULL, 'PROMOTING COMPLEX SUBUNIT, PUTATIVE-RELATED', 116393);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(172668, 'PTHR43019:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116394),
(172669, 'PTHR10795:SF607', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', 116395),
(172670, 'PTHR22951:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116396),
(172671, 'PTHR33625:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116397),
(172672, 'PTHR33451:SF6', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER NHAC', 116398),
(172673, 'PTHR45733:SF9', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 12', 116399),
(172674, 'PTHR46104:SF4', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', 116400),
(172675, 'PTHR11453:SF86', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 116401),
(172676, 'PTHR33377:SF4', NULL, NULL, NULL, NULL, 'OS07G0285800 PROTEIN', 116402),
(172677, 'PTHR46020:SF17', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 116403),
(172678, 'PTHR43261:SF6', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR G-LIKE PROTEIN', 116404),
(172679, 'PTHR31852:SF162', NULL, NULL, NULL, NULL, 'OS08G0163600 PROTEIN', 116405),
(172680, 'PTHR24366:SF59', NULL, NULL, NULL, NULL, 'TARTAN/CAPRICIOUS-LIKE PROTEIN', 116406),
(172681, 'PTHR11005:SF130', NULL, NULL, NULL, NULL, 'OS08G0359300 PROTEIN', 116407),
(172682, 'PTHR10811:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116408),
(172683, 'PTHR47001', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH121', 116409),
(172684, 'PTHR44444:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SEL-1 HOMOLOG 3', 116410),
(172685, 'PTHR15741:SF14', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-RESPONSIVE ELEMENT-BINDING PROTEIN', 116411),
(172686, 'PTHR47992:SF41', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 56', 116412),
(172687, 'PTHR47354:SF1', NULL, NULL, NULL, NULL, '1,2-PHENYLACETYL-COA EPOXIDASE, SUBUNIT E-RELATED', 116413),
(172688, 'PTHR13817:SF123', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE L1 ISOFORM 1', 116414),
(172689, 'PTHR24366:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116415),
(172690, 'PTHR11002:SF67', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 116416),
(172691, 'PTHR23267:SF407', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 2-14-RELATED', 116417),
(172692, 'PTHR10546:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116418),
(172693, 'PTHR39428:SF3', NULL, NULL, NULL, NULL, 'DEAZAFLAVIN-DEPENDENT NITROREDUCTASE', 116419),
(172694, 'PTHR35096:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116420),
(172695, 'PTHR11579:SF20', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE 2', 116421),
(172696, 'PTHR46130:SF2', NULL, NULL, NULL, NULL, 'PAPPALYSIN-1', 116422),
(172697, 'PTHR34795:SF1', NULL, NULL, NULL, NULL, 'NEMATODE RESISTANCE PROTEIN-LIKE HSPRO1', 116423),
(172698, 'PTHR46201:SF6', NULL, NULL, NULL, NULL, 'PHD FINGER PLANT-LIKE PROTEIN', 116424),
(172699, 'PTHR43078:SF6', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE 1', 116425),
(172700, 'PTHR11062', NULL, NULL, NULL, NULL, 'EXOSTOSIN  HEPARAN SULFATE GLYCOSYLTRANSFERASE -RELATED', 116426),
(172701, 'PTHR24342', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 17', 116427),
(172702, 'PTHR24133:SF44', NULL, NULL, NULL, NULL, 'ANKYRIN-3-LIKE PROTEIN', 116428),
(172703, 'PTHR10638:SF4', NULL, NULL, NULL, NULL, 'RETINA-SPECIFIC COPPER AMINE OXIDASE', 116429),
(172704, 'PTHR10671:SF9', NULL, NULL, NULL, NULL, 'LENS FIBER MEMBRANE INTRINSIC PROTEIN', 116430),
(172705, 'PTHR46338:SF10', NULL, NULL, NULL, NULL, 'BROMODOMAIN TRANSCRIPTION FACTOR', 116431),
(172706, 'PTHR22625:SF44', NULL, NULL, NULL, NULL, 'PLEXIN-B', 116432),
(172707, 'PTHR10241:SF37', NULL, NULL, NULL, NULL, 'SYNTAXIN-BINDING PROTEIN 5B (TOMOSYN)', 116433),
(172708, 'PTHR11200:SF275', NULL, NULL, NULL, NULL, 'LD06095P', 116434),
(172709, 'PTHR46999:SF1', NULL, NULL, NULL, NULL, 'ALPHA-GLUCAN WATER DIKINASE 1, CHLOROPLASTIC', 116435),
(172710, 'PTHR48053:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116436),
(172711, 'PTHR27008:SF406', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21', 116437),
(172712, 'PTHR23273:SF32', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT B-RELATED', 116438);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(172713, 'PTHR23024:SF382', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 11-RELATED', 116439),
(172714, 'PTHR23080', NULL, NULL, NULL, NULL, 'THAP DOMAIN PROTEIN', 116440),
(172715, 'PTHR10055:SF14', NULL, NULL, NULL, NULL, 'BNAA01G33520D PROTEIN', 116441),
(172716, 'PTHR31707:SF168', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 1', 116442),
(172717, 'PTHR19282:SF163', NULL, NULL, NULL, NULL, 'CD9 ANTIGEN', 116443),
(172718, 'PTHR19353:SF74', NULL, NULL, NULL, NULL, 'BNAC04G21720D PROTEIN', 116444),
(172719, 'PTHR48017:SF139', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', 116445),
(172720, 'PTHR15407:SF28', NULL, NULL, NULL, NULL, 'FUKUTIN', 116446),
(172721, 'PTHR31866:SF1', NULL, NULL, NULL, NULL, 'GENE 4779-RELATED', 116447),
(172722, 'PTHR32021:SF34', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5B1', 116448),
(172723, 'PTHR13328:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116449),
(172724, 'PTHR18847:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR CAP-BINDING PROTEIN SUBUNIT 2', 116450),
(172725, 'PTHR23430:SF294', NULL, NULL, NULL, NULL, 'HISTONE H2A', 116451),
(172726, 'PTHR45637:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116452),
(172727, 'PTHR13602', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 116453),
(172728, 'PTHR31897:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG19579', 116454),
(172729, 'PTHR10509:SF75', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE, FAMILY 3, S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 116455),
(172730, 'PTHR48001:SF74', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 116456),
(172731, 'PTHR48168:SF1', NULL, NULL, NULL, NULL, 'RNA GUANINE-7 METHYLTRANSFERASE-ACTIVATING SUBUNIT-LIKE (PSEUDOGENE)-RELATED', 116457),
(172732, 'PTHR36326:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SULFUR DEFICIENCY-INDUCED 1', 116458),
(172733, 'PTHR12377:SF2', NULL, NULL, NULL, NULL, 'CYTOSOLIC IRON-SULFUR ASSEMBLY COMPONENT 2A', 116459),
(172734, 'PTHR10996:SF256', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3', 116460),
(172735, 'PTHR21646:SF30', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 27', 116461),
(172736, 'PTHR26451:SF904', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 116462),
(172737, 'PTHR33879:SF10', NULL, NULL, NULL, NULL, 'BNAA01G24640D PROTEIN', 116463),
(172738, 'PTHR46128:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116464),
(172739, 'PTHR24247:SF122', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10H1-RELATED', 116465),
(172740, 'PTHR23024:SF499', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN', 116466),
(172741, 'PTHR24055:SF347', NULL, NULL, NULL, NULL, 'PROTEIN KINASE DOMAIN CONTAINING PROTEIN', 116467),
(172742, 'PTHR48056:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE-LIKE PROTEIN ZAR1', 116468),
(172743, 'PTHR19269:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116469),
(172744, 'PTHR31889:SF55', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE CAZY FAMILY GT37-LIKE PROTEIN', 116470),
(172745, 'PTHR24329:SF542', NULL, NULL, NULL, NULL, 'DORSAL ROOT GANGLIA HOMEOBOX PROTEIN', 116471),
(172746, 'PTHR22835:SF616', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 116472),
(172747, 'PTHR36106', NULL, NULL, NULL, NULL, 'ANAEROBIC C4-DICARBOXYLATE TRANSPORTER DCUB', 116473),
(172748, 'PTHR47993:SF115', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 116474),
(172749, 'PTHR34789:SF6', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 1-LIKE', 116475),
(172750, 'PTHR23430:SF280', NULL, NULL, NULL, NULL, 'HISTONE H2A.V', 116476),
(172751, 'PTHR22968', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C, MU', 116477),
(172752, 'PTHR23317:SF78', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 7', 116478),
(172753, 'PTHR46553:SF20', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN-RELATED', 116479),
(172754, 'PTHR46391:SF11', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 19-LIKE ISOFORM X1', 116480),
(172755, 'PTHR33159:SF64', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4-LIKE', 116481),
(172756, 'PTHR43029:SF29', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 116482);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(172757, 'PTHR24414:SF169', NULL, NULL, NULL, NULL, 'BNAA04G14980D PROTEIN', 116483),
(172758, 'PTHR13025:SF6', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN-CONTAINING PROTEIN D2 HOMOLOG', 116484),
(172759, 'PTHR34398', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 116485),
(172760, 'PTHR43056:SF2', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 116486),
(172761, 'PTHR22930:SF194', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1 ISOFORM X1-RELATED', 116487),
(172762, 'PTHR45657:SF22', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', 116488),
(172763, 'PTHR23150:SF31', NULL, NULL, NULL, NULL, 'INACTIVE C-ALPHA-FORMYLGLYCINE-GENERATING ENZYME 2', 116489),
(172764, 'PTHR10263:SF18', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 21 KDA PROTEOLIPID SUBUNIT', 116490),
(172765, 'PTHR45642:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116491),
(172766, 'PTHR18953:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116492),
(172767, 'PTHR45950:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX33', 116493),
(172768, 'PTHR12176:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116494),
(172769, 'PTHR46972:SF1', NULL, NULL, NULL, NULL, 'MONOOXYGENASE ASQM-RELATED', 116495),
(172770, 'PTHR34285:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116496),
(172771, 'PTHR47374:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116497),
(172772, 'PTHR11846', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE', 116498),
(172773, 'PTHR10676:SF384', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN', 116499),
(172774, 'PTHR31190:SF250', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 116500),
(172775, 'PTHR43918', NULL, NULL, NULL, NULL, 'ACETYLCHOLINESTERASE', 116501),
(172776, 'PTHR11931:SF24', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', 116502),
(172777, 'PTHR44592:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116503),
(172778, 'PTHR21549', NULL, NULL, NULL, NULL, 'MUTATED IN BLADDER CANCER 1', 116504),
(172779, 'PTHR12497:SF7', NULL, NULL, NULL, NULL, 'TAFAZZIN FAMILY PROTEIN', 116505),
(172780, 'PTHR31140:SF117', NULL, NULL, NULL, NULL, 'BNAC06G03910D PROTEIN', 116506),
(172781, 'PTHR31649', NULL, NULL, NULL, NULL, 'AGAP009604-PA', 116507),
(172782, 'PTHR24064:SF515', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER, PUTATIVE-RELATED', 116508),
(172783, 'PTHR32054:SF15', NULL, NULL, NULL, NULL, 'OS09G0458000 PROTEIN', 116509),
(172784, 'PTHR43674:SF11', NULL, NULL, NULL, NULL, 'BNAANNG15120D PROTEIN', 116510),
(172785, 'PTHR47295:SF7', NULL, NULL, NULL, NULL, 'RLPA-LIKE DOUBLE-PSI BETA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', 116511),
(172786, 'PTHR39110', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 116512),
(172787, 'PTHR12830:SF10', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF SPINDLE CHECKPOINT DEFECT 1', 116513),
(172788, 'PTHR21659:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116514),
(172789, 'PTHR14564:SF3', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC27', 116515),
(172790, 'PTHR45932:SF20', NULL, NULL, NULL, NULL, 'PATELLIN-LIKE PROTEIN', 116516),
(172791, 'PTHR47310', NULL, NULL, NULL, NULL, 'PROTEIN FLUORESCENT IN BLUE LIGHT, CHLOROPLASTIC', 116517),
(172792, 'PTHR31100:SF59', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-LIKE', 116518),
(172793, 'PTHR21749:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG05366', 116519),
(172794, 'PTHR11064:SF127', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-10-LIKE', 116520),
(172795, 'PTHR43663', NULL, NULL, NULL, NULL, 'CHROMATE TRANSPORT PROTEIN-RELATED', 116521),
(172796, 'PTHR31054:SF10', NULL, NULL, NULL, NULL, 'ZYGOTE ARREST PROTEIN 1', 116522),
(172797, 'PTHR26452:SF160', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 116523),
(172798, 'PTHR31190:SF132', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', 116524),
(172799, 'PTHR31432', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 74 HOMOLOG', 116525),
(172800, 'PTHR31065:SF35', NULL, NULL, NULL, NULL, 'OS06G0624900 PROTEIN', 116526),
(172801, 'PTHR23226:SF272', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 75D', 116527);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(172802, 'PTHR35339', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 116528),
(172803, 'PTHR47990:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116529),
(172804, 'PTHR20884:SF8', NULL, NULL, NULL, NULL, 'GDP-D-GLUCOSE PHOSPHORYLASE 1', 116530),
(172805, 'PTHR12124:SF72', NULL, NULL, NULL, NULL, '3''-5'' EXONUCLEASE', 116531),
(172806, 'PTHR34200:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116532),
(172807, 'PTHR14068:SF3', NULL, NULL, NULL, NULL, 'BNACNNG51870D PROTEIN', 116533),
(172808, 'PTHR33526', NULL, NULL, NULL, NULL, 'OS07G0123800 PROTEIN', 116534),
(172809, 'PTHR31388:SF13', NULL, NULL, NULL, NULL, 'PEROXIDASE 2', 116535),
(172810, 'PTHR31692:SF80', NULL, NULL, NULL, NULL, 'POLLEN ALLERGEN HOMOLOG', 116536),
(172811, 'PTHR11614:SF147', NULL, NULL, NULL, NULL, 'MONOGLYCERIDE LIPASE', 116537),
(172812, 'PTHR46128:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116538),
(172813, 'PTHR48017:SF171', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 2-LIKE', 116539),
(172814, 'PTHR10795:SF703', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116540),
(172815, 'PTHR21100', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 4', 116541),
(172816, 'PTHR10177:SF493', NULL, NULL, NULL, NULL, 'BNAC09G12990D PROTEIN', 116542),
(172817, 'PTHR32054:SF25', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT-LIKE 1', 116543),
(172818, 'PTHR33044:SF89', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 116544),
(172819, 'PTHR36417', NULL, NULL, NULL, NULL, 'SELENOPROTEIN DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G05220)', 116545),
(172820, 'PTHR10201:SF278', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116546),
(172821, 'PTHR31121:SF10', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE KTR2-RELATED', 116547),
(172822, 'PTHR47988', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE 1', 116548),
(172823, 'PTHR21649:SF126', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 40, CHLOROPLASTIC', 116549),
(172824, 'PTHR21068:SF36', NULL, NULL, NULL, NULL, 'SENESCENCE/DEHYDRATION-ASSOCIATED PROTEIN-LIKE PROTEIN', 116550),
(172825, 'PTHR43329:SF50', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', 116551),
(172826, 'PTHR23321:SF26', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S28, MITOCHONDRIAL', 116552),
(172827, 'PTHR23267:SF391', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR DELTA VARIABLE 1', 116553),
(172828, 'PTHR46442:SF16', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 116554),
(172829, 'PTHR24223:SF378', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, CONSERVED SITE', 116555),
(172830, 'PTHR44366:SF4', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--PEPTIDE N-ACETYLGLUCOSAMINYLTRANSFERASE SEC-RELATED', 116556),
(172831, 'PTHR31642:SF232', NULL, NULL, NULL, NULL, 'BNAC01G22120D PROTEIN', 116557),
(172832, 'PTHR11258', NULL, NULL, NULL, NULL, '2-5 OLIGOADENYLATE SYNTHETASE', 116558),
(172833, 'PTHR24349:SF372', NULL, NULL, NULL, NULL, 'CALCIUM BINDING PROTEIN 2-RELATED', 116559),
(172834, 'PTHR23024:SF392', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', 116560),
(172835, 'PTHR19957:SF29', NULL, NULL, NULL, NULL, 'SYNTAXIN-19', 116561),
(172836, 'PTHR45768:SF56', NULL, NULL, NULL, NULL, 'BNAANNG26670D PROTEIN', 116562),
(172837, 'PTHR24300:SF109', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2D26', 116563),
(172838, 'PTHR31361', NULL, NULL, NULL, NULL, 'BETA-GLUCAN SYNTHESIS-ASSOCIATED PROTEIN KRE6-RELATED', 116564),
(172839, 'PTHR41964', NULL, NULL, NULL, NULL, 'GLOBAL NITROGEN REGULATOR NRPR', 116565),
(172840, 'PTHR16128:SF5', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', 116566),
(172841, 'PTHR11551:SF3', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 3', 116567),
(172842, 'PTHR36449:SF4', NULL, NULL, NULL, NULL, 'TOXIN-ANTITOXIN SYSTEM TOXIN GNAT FAMILY', 116568),
(172843, 'PTHR10457:SF7', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE KINASE', 116569),
(172844, 'PTHR47338:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 116570);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(172845, 'PTHR23110:SF98', NULL, NULL, NULL, NULL, 'PROTEIN ABRUPT', 116571),
(172846, 'PTHR32263:SF17', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 116572),
(172847, 'PTHR11576:SF3', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN WITH A ZONA PELLUCIDA-LIKE DOMAIN-RELATED', 116573),
(172848, 'PTHR11850:SF284', NULL, NULL, NULL, NULL, 'OS05G0455200 PROTEIN', 116574),
(172849, 'PTHR21255:SF19', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN TCTEX-TYPE 1', 116575),
(172850, 'PTHR46329:SF4', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR, SUBFAMILY A, MEMBER 17', 116576),
(172851, 'PTHR30562:SF10', NULL, NULL, NULL, NULL, 'EXCINUCLEASE CHO', 116577),
(172852, 'PTHR32080:SF31', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 6', 116578),
(172853, 'PTHR33450:SF24', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', 116579),
(172854, 'PTHR10795:SF667', NULL, NULL, NULL, NULL, 'OS02G0198700 PROTEIN', 116580),
(172855, 'PTHR31375:SF183', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT2', 116581),
(172856, 'PTHR26450:SF192', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 116582),
(172857, 'PTHR23070:SF167', NULL, NULL, NULL, NULL, '1, PUTATIVE-RELATED', 116583),
(172858, 'PTHR10253:SF7', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN FIE1', 116584),
(172859, 'PTHR11654:SF89', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 15 MEMBER 1', 116585),
(172860, 'PTHR22747:SF13', NULL, NULL, NULL, NULL, 'NUCLEOPLASMIN-3', 116586),
(172861, 'PTHR37195', NULL, NULL, NULL, NULL, 'OS01G0332900 PROTEIN', 116587),
(172862, 'PTHR24348:SF59', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE4', 116588),
(172863, 'PTHR13952:SF9', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR CWC21-LIKE ISOFORM X1', 116589),
(172864, 'PTHR15427:SF28', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 2', 116590),
(172865, 'PTHR10513:SF40', NULL, NULL, NULL, NULL, 'DEOXYADENOSINE/DEOXYCYTIDINE KINASE', 116591),
(172866, 'PTHR11771:SF58', NULL, NULL, NULL, NULL, 'ARACHIDONATE 15-LIPOXYGENASE B', 116592),
(172867, 'PTHR19375:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116593),
(172868, 'PTHR11964:SF50', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE 1-RELATED', 116594),
(172869, 'PTHR37685', NULL, NULL, NULL, NULL, 'GEO11136P1-RELATED', 116595),
(172870, 'PTHR13468:SF10', NULL, NULL, NULL, NULL, 'DEK DOMAIN-CONTAINING CHROMATIN ASSOCIATED PROTEIN', 116596),
(172871, 'PTHR43447:SF20', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', 116597),
(172872, 'PTHR11803:SF39', NULL, NULL, NULL, NULL, '2-IMINOBUTANOATE/2-IMINOPROPANOATE DEAMINASE', 116598),
(172873, 'PTHR11439:SF309', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', 116599),
(172874, 'PTHR11675:SF47', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 13', 116600),
(172875, 'PTHR33566:SF7', NULL, NULL, NULL, NULL, 'DEFECTIVE IN MERISTEM SILENCING 3-RELATED', 116601),
(172876, 'PTHR35318:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116602),
(172877, 'PTHR38364:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0022H21.9 PROTEIN', 116603),
(172878, 'PTHR45615:SF20', NULL, NULL, NULL, NULL, 'MYOSIN-2', 116604),
(172879, 'PTHR13312:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE OTU1', 116605),
(172880, 'PTHR11654:SF382', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116606),
(172881, 'PTHR24286:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116607),
(172882, 'PTHR23017:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 116608),
(172883, 'PTHR11972:SF169', NULL, NULL, NULL, NULL, 'FRP2P', 116609),
(172884, 'PTHR24418:SF382', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 116610),
(172885, 'PTHR27007:SF226', NULL, NULL, NULL, NULL, 'LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VI.3', 116611),
(172886, 'PTHR22881:SF15', NULL, NULL, NULL, NULL, 'DNA-BINDING BROMODOMAIN-CONTAINING PROTEIN', 116612),
(172887, 'PTHR22621:SF30', NULL, NULL, NULL, NULL, 'RAB_A33 PROTEIN', 116613),
(172888, 'PTHR44378', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 17, PEROXISOMAL-RELATED', 116614);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(172889, 'PTHR30625:SF16', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBB', 116615),
(172890, 'PTHR43639:SF6', NULL, NULL, NULL, NULL, 'DIHYDROMONAPTERIN REDUCTASE', 116616),
(172891, 'PTHR46862:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116617),
(172892, 'PTHR45940:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HOMOBOX-WOX FAMILY-RELATED', 116618),
(172893, 'PTHR43793', NULL, NULL, NULL, NULL, 'FAD SYNTHASE', 116619),
(172894, 'PTHR31791:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116620),
(172895, 'PTHR33625:SF10', NULL, NULL, NULL, NULL, 'BNAANNG27970D PROTEIN', 116621),
(172896, 'PTHR24343:SF9', NULL, NULL, NULL, NULL, 'SPERM MOTILITY KINASE Z', 116622),
(172897, 'PTHR24064:SF564', NULL, NULL, NULL, NULL, 'TRANSPORTER B0252.3-RELATED', 116623),
(172898, 'PTHR22834:SF20', NULL, NULL, NULL, NULL, 'NUCLEAR FUSION PROTEIN FUS2', 116624),
(172899, 'PTHR12673:SF14', NULL, NULL, NULL, NULL, 'FYVE, RHOGEF AND PH DOMAIN-CONTAINING PROTEIN 3', 116625),
(172900, 'PTHR24256:SF454', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116626),
(172901, 'PTHR23316:SF76', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', 116627),
(172902, 'PTHR48042:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116628),
(172903, 'PTHR11183:SF108', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 2', 116629),
(172904, 'PTHR22956:SF17', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN F37A4.4-RELATED', 116630),
(172905, 'PTHR10356:SF5', NULL, NULL, NULL, NULL, 'ALLOGRAFT INFLAMMATORY FACTOR 1-LIKE', 116631),
(172906, 'PTHR43874:SF76', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR8', 116632),
(172907, 'PTHR45776:SF2', NULL, NULL, NULL, NULL, 'MIP04163P', 116633),
(172908, 'PTHR24068:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116634),
(172909, 'PTHR23299', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN', 116635),
(172910, 'PTHR12974:SF30', NULL, NULL, NULL, NULL, 'TERMINAL NUCLEOTIDYLTRANSFERASE 5D', 116636),
(172911, 'PTHR43895:SF116', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CHK1', 116637),
(172912, 'PTHR46056:SF8', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', 116638),
(172913, 'PTHR33985:SF19', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 21', 116639),
(172914, 'PTHR45089:SF22', NULL, NULL, NULL, NULL, 'OS11G0578225 PROTEIN', 116640),
(172915, 'PTHR33121:SF19', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE/RESPONSE REGULATOR HYBRID PROTEIN', 116641),
(172916, 'PTHR35470:SF6', NULL, NULL, NULL, NULL, 'CADMIUM TOLERANT 3', 116642),
(172917, 'PTHR11451:SF56', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE 1', 116643),
(172918, 'PTHR32263:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116644),
(172919, 'PTHR31707:SF198', NULL, NULL, NULL, NULL, 'OS02G0103300 PROTEIN', 116645),
(172920, 'PTHR33377:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116646),
(172921, 'PTHR23515:SF10', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER 2.7', 116647),
(172922, 'PTHR22950:SF654', NULL, NULL, NULL, NULL, 'BNAA08G03940D PROTEIN', 116648),
(172923, 'PTHR47265:SF1', NULL, NULL, NULL, NULL, 'IRON-SULFUR ASSEMBLY PROTEIN ISCA, CHLOROPLASTIC', 116649),
(172924, 'PTHR10332:SF80', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER 2, ISOFORM A', 116650),
(172925, 'PTHR33662:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE OTULIN', 116651),
(172926, 'PTHR43205:SF39', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT ALKENAL DOUBLE BOND REDUCTASE P2', 116652),
(172927, 'PTHR10900:SF108', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 116653),
(172928, 'PTHR12015:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116654),
(172929, 'PTHR47991:SF86', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 2-LIKE', 116655),
(172930, 'PTHR24377:SF813', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 777', 116656),
(172931, 'PTHR11358:SF37', NULL, NULL, NULL, NULL, 'AGMATINASE-RELATED', 116657),
(172932, 'PTHR40980:SF3', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT CHITOOLIGOSACCHARIDE RECEPTOR', 116658);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(172933, 'PTHR47254', NULL, NULL, NULL, NULL, 'CELL WALL MANNOPROTEIN CIS3-RELATED', 116659),
(172934, 'PTHR23241:SF103', NULL, NULL, NULL, NULL, 'OS11G0673100 PROTEIN', 116660),
(172935, 'PTHR31595:SF43', NULL, NULL, NULL, NULL, 'ACYL-COA--STEROL O-ACYLTRANSFERASE 1-LIKE', 116661),
(172936, 'PTHR31985:SF31', NULL, NULL, NULL, NULL, 'OS04G0572200 PROTEIN', 116662),
(172937, 'PTHR43595', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S26, MITOCHONDRIAL', 116663),
(172938, 'PTHR31042:SF75', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 116664),
(172939, 'PTHR36026:SF4', NULL, NULL, NULL, NULL, 'OS01G0705500 PROTEIN', 116665),
(172940, 'PTHR10662:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116666),
(172941, 'PTHR13748:SF63', NULL, NULL, NULL, NULL, 'P-LOOP GUANOSINE TRIPHOSPHATASE YJIA', 116667),
(172942, 'PTHR10218:SF213', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT ALPHA-14', 116668),
(172943, 'PTHR48078:SF8', NULL, NULL, NULL, NULL, 'L-SERINE DEHYDRATASE/L-THREONINE DEAMINASE', 116669),
(172944, 'PTHR23511:SF4', NULL, NULL, NULL, NULL, 'FGR2P', 116670),
(172945, 'PTHR46224:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116671),
(172946, 'PTHR47926:SF86', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC-LIKE', 116672),
(172947, 'PTHR20836', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE REDUCTASE', 116673),
(172948, 'PTHR33420:SF3', NULL, NULL, NULL, NULL, 'FIMBRIAL SUBUNIT ELFA', 116674),
(172949, 'PTHR42929', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YDCU-RELATED-RELATED', 116675),
(172950, 'PTHR48047:SF73', NULL, NULL, NULL, NULL, 'BNAA06G02440D PROTEIN', 116676),
(172951, 'PTHR45647:SF71', NULL, NULL, NULL, NULL, 'OS10G0548300 PROTEIN', 116677),
(172952, 'PTHR24409:SF313', NULL, NULL, NULL, NULL, 'ZINC FINGER Y-CHROMOSOMAL PROTEIN', 116678),
(172953, 'PTHR13516:SF5', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P25', 116679),
(172954, 'PTHR13245', NULL, NULL, NULL, NULL, 'RRP15-LIKE PROTEIN', 116680),
(172955, 'PTHR43572:SF57', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: PROTEIN SMAX1-LIKE', 116681),
(172956, 'PTHR23169:SF10', NULL, NULL, NULL, NULL, 'PERIPLAKIN', 116682),
(172957, 'PTHR46934:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116683),
(172958, 'PTHR11804:SF55', NULL, NULL, NULL, NULL, 'NEUROLYSIN (METALLOPEPTIDASE M3 FAMILY)', 116684),
(172959, 'PTHR10625:SF194', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 7', 116685),
(172960, 'PTHR37245:SF3', NULL, NULL, NULL, NULL, 'OS04G0495150 PROTEIN', 116686),
(172961, 'PTHR45960:SF5', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED-BINDING PROTEIN 1', 116687),
(172962, 'PTHR31852:SF136', NULL, NULL, NULL, NULL, 'OS01G0228500 PROTEIN', 116688),
(172963, 'PTHR10633', NULL, NULL, NULL, NULL, 'LEUKEMIA INHIBITORY FACTOR', 116689),
(172964, 'PTHR43864:SF2', NULL, NULL, NULL, NULL, 'PUR OPERON REPRESSOR', 116690),
(172965, 'PTHR11017:SF313', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', 116691),
(172966, 'PTHR23415:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOME SUBUNIT BIOGENESIS PROTEIN NIP7 HOMOLOG', 116692),
(172967, 'PTHR11905:SF112', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 12', 116693),
(172968, 'PTHR10052:SF48', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', 116694),
(172969, 'PTHR39638:SF2', NULL, NULL, NULL, NULL, 'SLR0376 PROTEIN', 116695),
(172970, 'PTHR18934:SF221', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH8', 116696),
(172971, 'PTHR45757:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG17895', 116697),
(172972, 'PTHR43574:SF36', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 4', 116698),
(172973, 'PTHR24305:SF189', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 116699),
(172974, 'PTHR48173:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116700),
(172975, 'PTHR48060:SF5', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 116701);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(172976, 'PTHR39401:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116702),
(172977, 'PTHR13043', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC5', 116703),
(172978, 'PTHR12864:SF22', NULL, NULL, NULL, NULL, 'YALI0C23276P', 116704),
(172979, 'PTHR11654:SF535', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', 116705),
(172980, 'PTHR33074:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116706),
(172981, 'PTHR31947', NULL, NULL, NULL, NULL, 'DNA/RNA-BINDING PROTEIN ALBA 3', 116707),
(172982, 'PTHR33193:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116708),
(172983, 'PTHR45528:SF4', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YBDK', 116709),
(172984, 'PTHR32176:SF65', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 2', 116710),
(172985, 'PTHR23359:SF181', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4', 116711),
(172986, 'PTHR27001:SF773', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 1-RELATED', 116712),
(172987, 'PTHR20787:SF10', NULL, NULL, NULL, NULL, 'TREACLE PROTEIN', 116713),
(172988, 'PTHR21576:SF134', NULL, NULL, NULL, NULL, 'NODULIN-LIKE/MFS TRANSPORTER', 116714),
(172989, 'PTHR45911:SF4', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN', 116715),
(172990, 'PTHR42851:SF12', NULL, NULL, NULL, NULL, 'PWWP DOMAIN PROTEIN', 116716),
(172991, 'PTHR44329:SF15', NULL, NULL, NULL, NULL, 'MIXED LINEAGE KINASE DOMAIN-LIKE PROTEIN', 116717),
(172992, 'PTHR12499:SF0', NULL, NULL, NULL, NULL, 'OPTIC ATROPHY 3 PROTEIN', 116718),
(172993, 'PTHR11214:SF279', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 116719),
(172994, 'PTHR23036:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116720),
(172995, 'PTHR47965:SF46', NULL, NULL, NULL, NULL, 'BASIC 7S GLOBULIN 2 SMALL SUBUNIT', 116721),
(172996, 'PTHR34979:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YGAZ', 116722),
(172997, 'PTHR24238:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG23244', 116723),
(172998, 'PTHR31495:SF2', NULL, NULL, NULL, NULL, 'OS02G0734600 PROTEIN', 116724),
(172999, 'PTHR19441:SF85', NULL, NULL, NULL, NULL, 'WHEY ACIDIC PROTEIN', 116725),
(173000, 'PTHR23272:SF145', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN DAYSLEEPER-LIKE', 116726),
(173001, 'PTHR10663:SF337', NULL, NULL, NULL, NULL, 'PH AND SEC7 DOMAIN-CONTAINING PROTEIN 3', 116727),
(173002, 'PTHR31485:SF19', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 116728),
(173003, 'PTHR45878:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP2-LIKE', 116729),
(173004, 'PTHR14154:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', 116730),
(173005, 'PTHR43095:SF5', NULL, NULL, NULL, NULL, 'XYLULOSE KINASE', 116731),
(173006, 'PTHR27005:SF201', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 11-RELATED', 116732),
(173007, 'PTHR31044:SF53', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN PROTEIN', 116733),
(173008, 'PTHR24214', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN ZASP', 116734),
(173009, 'PTHR24100:SF103', NULL, NULL, NULL, NULL, 'BUTYROPHILIN SUBFAMILY 1 MEMBER A1', 116735),
(173010, 'PTHR32080:SF44', NULL, NULL, NULL, NULL, 'BNAC02G20110D PROTEIN', 116736),
(173011, 'PTHR45651:SF67', NULL, NULL, NULL, NULL, 'BNAA04G14030D PROTEIN', 116737),
(173012, 'PTHR12385:SF92', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN-RELATED', 116738),
(173013, 'PTHR33257:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116739),
(173014, 'PTHR11599:SF159', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 116740),
(173015, 'PTHR39157', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 116741),
(173016, 'PTHR47354', NULL, NULL, NULL, NULL, 'NADH OXIDOREDUCTASE HCR', 116742),
(173017, 'PTHR23050:SF367', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 116743),
(173018, 'PTHR12346:SF30', NULL, NULL, NULL, NULL, 'F17L21.3-RELATED', 116744),
(173019, 'PTHR35358:SF15', NULL, NULL, NULL, NULL, 'BNAA09G43500D PROTEIN', 116745),
(173020, 'PTHR48017:SF145', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 7-RELATED', 116746),
(173021, 'PTHR31190:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116747);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(173022, 'PTHR32176:SF45', NULL, NULL, NULL, NULL, 'PATATIN', 116748),
(173023, 'PTHR47394:SF1', NULL, NULL, NULL, NULL, 'SMALL CELL ADHESION GLYCOPROTEIN', 116749),
(173024, 'PTHR32021:SF5', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5B3', 116750),
(173025, 'PTHR43108', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-SULFATASE FAMILY MEMBER', 116751),
(173026, 'PTHR11802:SF388', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 116752),
(173027, 'PTHR42968:SF4', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 25', 116753),
(173028, 'PTHR10742:SF364', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 116754),
(173029, 'PTHR43421', NULL, NULL, NULL, NULL, 'METALLOPROTEASE PMBA', 116755),
(173030, 'PTHR11686', NULL, NULL, NULL, NULL, 'GAMMA GLUTAMYL TRANSPEPTIDASE', 116756),
(173031, 'PTHR21646:SF7', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 49', 116757),
(173032, 'PTHR36312:SF4', NULL, NULL, NULL, NULL, 'THIONIN-LIKE PROTEIN-RELATED', 116758),
(173033, 'PTHR12219:SF8', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 4, MITOCHONDRIAL', 116759),
(173034, 'PTHR24230:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116760),
(173035, 'PTHR24326:SF176', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-13', 116761),
(173036, 'PTHR35985:SF1', NULL, NULL, NULL, NULL, 'OS07G0675200 PROTEIN', 116762),
(173037, 'PTHR18966:SF383', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 116763),
(173038, 'PTHR23271:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116764),
(173039, 'PTHR33077:SF82', NULL, NULL, NULL, NULL, 'TIFY DOMAIN, CO/COL/TOC1, CONSERVED SITE-RELATED', 116765),
(173040, 'PTHR11654:SF509', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 15 MEMBER 4', 116766),
(173041, 'PTHR30625:SF9', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBB-LIKE 3-RELATED', 116767),
(173042, 'PTHR31920:SF67', NULL, NULL, NULL, NULL, 'BNACNNG62390D PROTEIN', 116768),
(173043, 'PTHR46011:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 116769),
(173044, 'PTHR23338:SF43', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SMD3A', 116770),
(173045, 'PTHR45978:SF10', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 1', 116771),
(173046, 'PTHR33388:SF19', NULL, NULL, NULL, NULL, 'PROTEIN SPEAR2', 116772),
(173047, 'PTHR23502:SF75', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN D', 116773),
(173048, 'PTHR42886:SF36', NULL, NULL, NULL, NULL, 'ESTERASE/LIPASE/THIOESTERASE FAMILY PROTEIN-LIKE', 116774),
(173049, 'PTHR24343:SF376', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2J', 116775),
(173050, 'PTHR31827:SF38', NULL, NULL, NULL, NULL, 'OS04G0640900 PROTEIN', 116776),
(173051, 'PTHR37610', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 116777),
(173052, 'PTHR43243:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116778),
(173053, 'PTHR46705:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG05797', 116779),
(173054, 'PTHR10910:SF103', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE DOMAIN-CONTAINING PROTEIN 1', 116780),
(173055, 'PTHR23382:SF19', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE 3, CYTOPLASMIC', 116781),
(173056, 'PTHR31374:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116782),
(173057, 'PTHR14074', NULL, NULL, NULL, NULL, 'HELICASE WITH DEATH DOMAIN-RELATED', 116783),
(173058, 'PTHR11800:SF15', NULL, NULL, NULL, NULL, 'BNAA09G08480D PROTEIN', 116784),
(173059, 'PTHR24093:SF460', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 2, PLASMA MEMBRANE-TYPE', 116785),
(173060, 'PTHR48001:SF49', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1L3', 116786),
(173061, 'PTHR32370:SF74', NULL, NULL, NULL, NULL, 'OS03G0205700 PROTEIN', 116787),
(173062, 'PTHR22765:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116788),
(173063, 'PTHR31592:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 192', 116789),
(173064, 'PTHR24221:SF248', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER TRANSMEMBRANE REGION-RELATED', 116790),
(173065, 'PTHR24390:SF41', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 116791);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(173066, 'PTHR43731:SF22', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 12, MITOCHONDRIAL', 116792),
(173067, 'PTHR32278:SF15', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10-LIKE', 116793),
(173068, 'PTHR33191:SF46', NULL, NULL, NULL, NULL, 'RLPA-LIKE DOUBLE-PSI BETA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', 116794),
(173069, 'PTHR33214:SF38', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', 116795),
(173070, 'PTHR11208:SF109', NULL, NULL, NULL, NULL, 'GH05812P-RELATED', 116796),
(173071, 'PTHR13952:SF20', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN 70 KDA', 116797),
(173072, 'PTHR21324:SF13', NULL, NULL, NULL, NULL, 'SI:DKEY-228D14.5', 116798),
(173073, 'PTHR31080:SF229', NULL, NULL, NULL, NULL, 'PECTIN METHYLESTERASE INHIBITOR-RELATED', 116799),
(173074, 'PTHR14221:SF53', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 44', 116800),
(173075, 'PTHR30590', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 116801),
(173076, 'PTHR31882:SF7', NULL, NULL, NULL, NULL, 'TNFAIP3-INTERACTING PROTEIN 1 ISOFORM X2', 116802),
(173077, 'PTHR32099:SF68', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 57-RELATED', 116803),
(173078, 'PTHR20516:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 235', 116804),
(173079, 'PTHR37312', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND ACYLTRANSFERASE YKRP-RELATED', 116805),
(173080, 'PTHR37183', NULL, NULL, NULL, NULL, 'PLANT THIONIN FAMILY PROTEIN', 116806),
(173081, 'PTHR24349:SF284', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PEPKR2', 116807),
(173082, 'PTHR33429:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116808),
(173083, 'PTHR48104:SF2', NULL, NULL, NULL, NULL, 'ICE-LIKE PROTEASE (CASPASE) P20 DOMAIN PROTEIN', 116809),
(173084, 'PTHR10426:SF119', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 10-LIKE', 116810),
(173085, 'PTHR38731', NULL, NULL, NULL, NULL, 'LIPL45-RELATED LIPOPROTEIN-RELATED', 116811),
(173086, 'PTHR32227:SF344', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN PROTEIN', 116812),
(173087, 'PTHR13069:SF28', NULL, NULL, NULL, NULL, 'ALKYLATED DNA REPAIR PROTEIN ALKB HOMOLOG 8', 116813),
(173088, 'PTHR10177:SF406', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116814),
(173089, 'PTHR44259:SF17', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', 116815),
(173090, 'PTHR33878:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116816),
(173091, 'PTHR14453', NULL, NULL, NULL, NULL, 'PARP/ZINC FINGER CCCH TYPE DOMAIN CONTAINING PROTEIN', 116817),
(173092, 'PTHR27006:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116818),
(173093, 'PTHR45614:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB54', 116819),
(173094, 'PTHR31865:SF0', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 116820),
(173095, 'PTHR24377:SF675', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', 116821),
(173096, 'PTHR45908:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG10829', 116822),
(173097, 'PTHR28613:SF2', NULL, NULL, NULL, NULL, 'HCG1800530, ISOFORM CRA_B-RELATED', 116823),
(173098, 'PTHR48020:SF12', NULL, NULL, NULL, NULL, 'PROTON MYO-INOSITOL COTRANSPORTER', 116824),
(173099, 'PTHR12277:SF176', NULL, NULL, NULL, NULL, 'FI04476P', 116825),
(173100, 'PTHR33108:SF67', NULL, NULL, NULL, NULL, 'BNAC02G46320D PROTEIN', 116826),
(173101, 'PTHR31985:SF171', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF017', 116827),
(173102, 'PTHR12400:SF51', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE MULTIKINASE', 116828),
(173103, 'PTHR10535:SF2', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE V SUBUNIT 5A', 116829),
(173104, 'PTHR35307:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116830),
(173105, 'PTHR12956:SF27', NULL, NULL, NULL, NULL, 'BNAA02G26630D PROTEIN', 116831),
(173106, 'PTHR11655:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116832),
(173107, 'PTHR20857', NULL, NULL, NULL, NULL, 'THIAMINE-PHOSPHATE PYROPHOSPHORYLASE', 116833),
(173108, 'PTHR45649:SF16', NULL, NULL, NULL, NULL, '7-KETO 8-AMINOPELARGONIC ACID TRANSPORTER', 116834);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(173109, 'PTHR23021:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 116835),
(173110, 'PTHR24078:SF547', NULL, NULL, NULL, NULL, 'BNAA08G25480D PROTEIN', 116836),
(173111, 'PTHR31301:SF104', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', 116837),
(173112, 'PTHR33510', NULL, NULL, NULL, NULL, 'PROTEIN TIC 20-II, CHLOROPLASTIC', 116838),
(173113, 'PTHR13501:SF10', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L22, MITOCHONDRIAL-RELATED', 116839),
(173114, 'PTHR22948:SF56', NULL, NULL, NULL, NULL, 'FI20010P1-RELATED', 116840),
(173115, 'PTHR33893:SF5', NULL, NULL, NULL, NULL, 'INSULIN-LIKE PEPTIDE BETA-TYPE 3-RELATED', 116841),
(173116, 'PTHR24072:SF148', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOU', 116842),
(173117, 'PTHR33320:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116843),
(173118, 'PTHR24298:SF846', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE-LIKE PROTEIN', 116844),
(173119, 'PTHR31561:SF6', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 21-RELATED', 116845),
(173120, 'PTHR11782:SF48', NULL, NULL, NULL, NULL, 'APYRASE 2-RELATED', 116846),
(173121, 'PTHR12860', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 68 KDA PROTEIN', 116847),
(173122, 'PTHR35391:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116848),
(173123, 'PTHR47972:SF38', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14M', 116849),
(173124, 'PTHR38370', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSIDASE', 116850),
(173125, 'PTHR13833:SF81', NULL, NULL, NULL, NULL, 'NHL REPEAT PROTEIN', 116851),
(173126, 'PTHR48010:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116852),
(173127, 'PTHR10961:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG05074', 116853),
(173128, 'PTHR16435', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 6 SPATA6', 116854),
(173129, 'PTHR21367:SF1', NULL, NULL, NULL, NULL, 'ARGINYL-TRNA--PROTEIN TRANSFERASE 1', 116855),
(173130, 'PTHR13030:SF14', NULL, NULL, NULL, NULL, 'BCDNA.LD24702', 116856),
(173131, 'PTHR47993:SF84', NULL, NULL, NULL, NULL, 'BNAA02G11930D PROTEIN', 116857),
(173132, 'PTHR11545:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13A-1-RELATED', 116858),
(173133, 'PTHR11439:SF314', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE, RNA-DEPENDENT DNA POLYMERASE', 116859),
(173134, 'PTHR34000:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG08811', 116860),
(173135, 'PTHR24182:SF13', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 4', 116861),
(173136, 'PTHR10869:SF177', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 3-RELATED', 116862),
(173137, 'PTHR11206:SF351', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 116863),
(173138, 'PTHR45286:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 116864),
(173139, 'PTHR10606:SF70', NULL, NULL, NULL, NULL, 'PROTEIN CBG10830', 116865),
(173140, 'PTHR14155:SF514', NULL, NULL, NULL, NULL, 'CHROMATIN REGULATOR PHD FAMILY-RELATED', 116866),
(173141, 'PTHR47991:SF34', NULL, NULL, NULL, NULL, 'OXYGENASE FAMILY OXIDOREDUCTASE, PUTATIVE-RELATED', 116867),
(173142, 'PTHR45624:SF24', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN G', 116868),
(173143, 'PTHR31739:SF34', NULL, NULL, NULL, NULL, 'SYNTHASE B, CHLOROPLAST, PUTATIVE-RELATED', 116869),
(173144, 'PTHR11306:SF0', NULL, NULL, NULL, NULL, 'OS07G0159800 PROTEIN', 116870),
(173145, 'PTHR12703:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 33', 116871),
(173146, 'PTHR19422:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116872),
(173147, 'PTHR10694:SF3', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 5B', 116873),
(173148, 'PTHR15893:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L27, MITOCHONDRIAL', 116874),
(173149, 'PTHR33431:SF2', NULL, NULL, NULL, NULL, 'DUF1635 FAMILY PROTEIN', 116875),
(173150, 'PTHR31744:SF105', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 59', 116876),
(173151, 'PTHR21662:SF6', NULL, NULL, NULL, NULL, 'HIGH PERFORMANCE IN ADVANCED AGE-RELATED', 116877),
(173152, 'PTHR10791:SF171', NULL, NULL, NULL, NULL, 'BNAA10G06560D PROTEIN', 116878);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(173153, 'PTHR33044:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116879),
(173154, 'PTHR23073:SF31', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 10B', 116880),
(173155, 'PTHR23504:SF81', NULL, NULL, NULL, NULL, 'PROTEIN ZINC INDUCED FACILITATOR-LIKE 1', 116881),
(173156, 'PTHR24381:SF131', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 422, RELATED SEQUENCE 1-RELATED', 116882),
(173157, 'PTHR43791:SF73', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 116883),
(173158, 'PTHR31549:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116884),
(173159, 'PTHR11177:SF359', NULL, NULL, NULL, NULL, 'CHITINASE 10-RELATED', 116885),
(173160, 'PTHR47640:SF41', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP47-LIKE', 116886),
(173161, 'PTHR24409:SF361', NULL, NULL, NULL, NULL, 'VEZF1 PROTEIN', 116887),
(173162, 'PTHR45718:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116888),
(173163, 'PTHR33700:SF16', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 116889),
(173164, 'PTHR22595:SF152', NULL, NULL, NULL, NULL, 'CHITINASE FAMILY PROTEIN', 116890),
(173165, 'PTHR22897:SF6', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE 1', 116891),
(173166, 'PTHR23030', NULL, NULL, NULL, NULL, 'PCD6 INTERACTING PROTEIN-RELATED', 116892),
(173167, 'PTHR22800:SF245', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116893),
(173168, 'PTHR34923:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 20', 116894),
(173169, 'PTHR47976:SF40', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', 116895),
(173170, 'PTHR34946:SF2', NULL, NULL, NULL, NULL, 'OS03G0310200 PROTEIN', 116896),
(173171, 'PTHR14647:SF56', NULL, NULL, NULL, NULL, 'GALACTOSYLCERAMIDE SULFOTRANSFERASE', 116897),
(173172, 'PTHR48104:SF29', NULL, NULL, NULL, NULL, 'METACASPASE-3', 116898),
(173173, 'PTHR21468:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 83', 116899),
(173174, 'PTHR35894:SF6', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE / URIDINE KINASE FAMILY-RELATED', 116900),
(173175, 'PTHR27006:SF160', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 116901),
(173176, 'PTHR24093:SF476', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 116902),
(173177, 'PTHR23089:SF18', NULL, NULL, NULL, NULL, 'HISTIDINE TRIAD NUCLEOTIDE-BINDING PROTEIN 2, MITOCHONDRIAL', 116903),
(173178, 'PTHR45631:SF84', NULL, NULL, NULL, NULL, 'MALECTIN-LIKE CARBOHYDRATE-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 116904),
(173179, 'PTHR48010:SF16', NULL, NULL, NULL, NULL, 'OS03G0332900 PROTEIN', 116905),
(173180, 'PTHR31718:SF30', NULL, NULL, NULL, NULL, 'EMBRYO-SPECIFIC PROTEIN', 116906),
(173181, 'PTHR45710:SF18', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 2 MEMBER E', 116907),
(173182, 'PTHR47078', NULL, NULL, NULL, NULL, 'CYTOSKELETON-ASSOCIATED PROTEIN 2-LIKE', 116908),
(173183, 'PTHR31717:SF55', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', 116909),
(173184, 'PTHR46733:SF8', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN', 116910),
(173185, 'PTHR31325:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116911),
(173186, 'PTHR32382:SF7', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 8, PUTATIVE, EXPRESSED-RELATED', 116912),
(173187, 'PTHR31929:SF71', NULL, NULL, NULL, NULL, 'BNAC03G65770D PROTEIN', 116913),
(173188, 'PTHR10168:SF255', NULL, NULL, NULL, NULL, 'THIOREDOXIN SUPERFAMILY PROTEIN-RELATED', 116914),
(173189, 'PTHR11733:SF195', NULL, NULL, NULL, NULL, 'ENDOTHELIN-CONVERTING ENZYME-LIKE 1', 116915),
(173190, 'PTHR12992:SF28', NULL, NULL, NULL, NULL, 'NUDIX DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G08220)', 116916),
(173191, 'PTHR12670:SF14', NULL, NULL, NULL, NULL, 'NEUTRAL CERAMIDASE', 116917),
(173192, 'PTHR31547:SF1', NULL, NULL, NULL, NULL, 'MULTIVESICULAR BODY SUBUNIT 12B', 116918),
(173193, 'PTHR23273:SF67', NULL, NULL, NULL, NULL, 'OS05G0233300 PROTEIN', 116919),
(173194, 'PTHR48014:SF18', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 116920),
(173195, 'PTHR43057:SF1', NULL, NULL, NULL, NULL, 'ARSENICAL-RESISTANCE PROTEIN 3', 116921);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(173196, 'PTHR15510:SF5', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 8', 116922),
(173197, 'PTHR35739:SF2', NULL, NULL, NULL, NULL, 'HEMERYTHRIN HHE CATION-BINDING DOMAIN PROTEIN', 116923),
(173198, 'PTHR46288:SF16', NULL, NULL, NULL, NULL, 'BNAC03G23620D PROTEIN', 116924),
(173199, 'PTHR33101:SF66', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', 116925),
(173200, 'PTHR31391:SF106', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC B3-DNA-BINDING DOMAIN PROTEIN', 116926),
(173201, 'PTHR14037:SF4', NULL, NULL, NULL, NULL, 'MAMMAGLOBIN-A', 116927),
(173202, 'PTHR11533:SF269', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 116928),
(173203, 'PTHR35102:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116929),
(173204, 'PTHR30465:SF0', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN AMIC', 116930),
(173205, 'PTHR35494', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT S, CHLOROPLASTIC', 116931),
(173206, 'PTHR24414:SF90', NULL, NULL, NULL, NULL, 'BNAA03G49540D PROTEIN', 116932),
(173207, 'PTHR23362', NULL, NULL, NULL, NULL, 'L-PLASTIN-RELATED', 116933),
(173208, 'PTHR31793:SF30', NULL, NULL, NULL, NULL, 'BLR1345 PROTEIN', 116934),
(173209, 'PTHR31025', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 116935),
(173210, 'PTHR23115:SF242', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', 116936),
(173211, 'PTHR10666:SF335', NULL, NULL, NULL, NULL, 'UBIQUITIN-NEDD8-LIKE PROTEIN RUB1', 116937),
(173212, 'PTHR31673:SF50', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 116938),
(173213, 'PTHR10366:SF660', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL-4-REDUCTASE', 116939),
(173214, 'PTHR31769:SF59', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1218)-RELATED', 116940),
(173215, 'PTHR23073:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116941),
(173216, 'PTHR22950:SF545', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER ANT1', 116942),
(173217, 'PTHR33180:SF18', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN', 116943),
(173218, 'PTHR12019:SF23', NULL, NULL, NULL, NULL, 'LAMINA-ASSOCIATED POLYPEPTIDE 2, ISOFORM BETA', 116944),
(173219, 'PTHR46950:SF5', NULL, NULL, NULL, NULL, 'OS01G0601000 PROTEIN', 116945),
(173220, 'PTHR31541:SF34', NULL, NULL, NULL, NULL, 'BNAUNNG03550D PROTEIN', 116946),
(173221, 'PTHR48247:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116947),
(173222, 'PTHR26453:SF27', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2A14', 116948),
(173223, 'PTHR31319:SF73', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', 116949),
(173224, 'PTHR48092:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP I MEMBER 2', 116950),
(173225, 'PTHR30451:SF8', NULL, NULL, NULL, NULL, 'FIMBRIAL USHER PROTEIN-RELATED', 116951),
(173226, 'PTHR16246:SF2', NULL, NULL, NULL, NULL, 'HOST CELL FACTOR C1 REGULATOR 1', 116952),
(173227, 'PTHR32141:SF41', NULL, NULL, NULL, NULL, 'OS04G0208500 PROTEIN', 116953),
(173228, 'PTHR46399:SF3', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 2', 116954),
(173229, 'PTHR23272:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116955),
(173230, 'PTHR32141:SF26', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 116956),
(173231, 'PTHR31301:SF107', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 25-LIKE', 116957),
(173232, 'PTHR38643:SF1', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PERMEASE C285.05-RELATED', 116958),
(173233, 'PTHR24028:SF225', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-7', 116959),
(173234, 'PTHR21139:SF20', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE, CHLOROPLASTIC', 116960),
(173235, 'PTHR23504:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116961),
(173236, 'PTHR26374:SF379', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT12', 116962),
(173237, 'PTHR24412:SF444', NULL, NULL, NULL, NULL, 'SI:DKEY-260J18.2', 116963),
(173238, 'PTHR47983:SF15', NULL, NULL, NULL, NULL, 'PTI1-LIKE TYROSINE-PROTEIN KINASE 3', 116964),
(173239, 'PTHR10411', NULL, NULL, NULL, NULL, 'GROWTH ARREST AND DNA DAMAGE-INDUCIBLE PROTEIN GADD45', 116965),
(173240, 'PTHR11945:SF624', NULL, NULL, NULL, NULL, 'OS08G0494100 PROTEIN', 116966);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(173241, 'PTHR10887:SF443', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', 116967),
(173242, 'PTHR14155:SF572', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 116968),
(173243, 'PTHR24381:SF247', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 120-RELATED', 116969),
(173244, 'PTHR30586:SF0', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT E', 116970),
(173245, 'PTHR33270:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116971),
(173246, 'PTHR48010:SF9', NULL, NULL, NULL, NULL, 'OS07G0574100 PROTEIN', 116972),
(173247, 'PTHR10459:SF111', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 116973),
(173248, 'PTHR15441:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P14', 116974),
(173249, 'PTHR47222:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 592', 116975),
(173250, 'PTHR10807:SF42', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 2', 116976),
(173251, 'PTHR37001:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG01534', 116977),
(173252, 'PTHR45868:SF10', NULL, NULL, NULL, NULL, 'OS07G0671400 PROTEIN', 116978),
(173253, 'PTHR33644:SF3', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 116979),
(173254, 'PTHR34939', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT III, CHLOROPLASTIC', 116980),
(173255, 'PTHR46332:SF1', NULL, NULL, NULL, NULL, 'ASPARTATE BETA-HYDROXYLASE DOMAIN-CONTAINING PROTEIN 1', 116981),
(173256, 'PTHR48041:SF68', NULL, NULL, NULL, NULL, 'WHITE (DROSOPHILA) RELATED ABC TRANSPORTER', 116982),
(173257, 'PTHR31573:SF1', NULL, NULL, NULL, NULL, 'DNA OXIDATIVE DEMETHYLASE ALKBH2', 116983),
(173258, 'PTHR31989:SF159', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 41', 116984),
(173259, 'PTHR11557:SF8', NULL, NULL, NULL, NULL, 'BNAC02G01240D PROTEIN', 116985),
(173260, 'PTHR36484', NULL, NULL, NULL, NULL, 'OS01G0558700 PROTEIN', 116986),
(173261, 'PTHR47999:SF47', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4', 116987),
(173262, 'PTHR43465:SF1', NULL, NULL, NULL, NULL, 'SIX-HAIRPIN GLYCOSIDASE', 116988),
(173263, 'PTHR11101:SF83', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORTER 2', 116989),
(173264, 'PTHR33794:SF3', NULL, NULL, NULL, NULL, 'NEUTRAL PROTEASE B', 116990),
(173265, 'PTHR34053:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ULTRAPETALA 2-LIKE', 116991),
(173266, 'PTHR48123:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 116992),
(173267, 'PTHR18929:SF40', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', 116993),
(173268, 'PTHR19970:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39-LIKE', 116994),
(173269, 'PTHR46991:SF15', NULL, NULL, NULL, NULL, 'BNAA02G24830D PROTEIN', 116995),
(173270, 'PTHR31867:SF148', NULL, NULL, NULL, NULL, 'EXPANSIN', 116996),
(173271, 'PTHR10957:SF2', NULL, NULL, NULL, NULL, 'RAP1 GTPASE-GDP DISSOCIATION STIMULATOR 1', 116997),
(173272, 'PTHR43620:SF11', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL4', 116998),
(173273, 'PTHR31791:SF2', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN 4A-RELATED', 116999),
(173274, 'PTHR36308:SF1', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-RELATED', 117000),
(173275, 'PTHR10766:SF119', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 5', 117001),
(173276, 'PTHR10231:SF50', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSPORTER SENJU', 117002),
(173277, 'PTHR21593:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CBG02982', 117003),
(173278, 'PTHR32241:SF26', NULL, NULL, NULL, NULL, 'PATATIN', 117004),
(173279, 'PTHR42814:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117005),
(173280, 'PTHR21319:SF34', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MIEL1', 117006),
(173281, 'PTHR15895', NULL, NULL, NULL, NULL, 'IMMEDIATE EARLY RESPONSE GENE', 117007),
(173282, 'PTHR13593:SF105', NULL, NULL, NULL, NULL, 'OS04G0430200 PROTEIN', 117008),
(173283, 'PTHR35420:SF1', NULL, NULL, NULL, NULL, 'OS02G0198500 PROTEIN', 117009),
(173284, 'PTHR24409:SF387', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CG2199', 117010);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(173285, 'PTHR35546:SF15', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 117011),
(173286, 'PTHR11066:SF48', NULL, NULL, NULL, NULL, 'PROTEIN CBG22797', 117012),
(173287, 'PTHR34656:SF6', NULL, NULL, NULL, NULL, 'BNAA02G22080D PROTEIN', 117013),
(173288, 'PTHR19143:SF337', NULL, NULL, NULL, NULL, 'FICOLIN-1', 117014),
(173289, 'PTHR31238:SF214', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 117015),
(173290, 'PTHR14209:SF32', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE CPRD49-LIKE ISOFORM X1', 117016),
(173291, 'PTHR23172:SF67', NULL, NULL, NULL, NULL, 'AUXILIN-LIKE PROTEIN 1', 117017),
(173292, 'PTHR34194:SF18', NULL, NULL, NULL, NULL, 'BNAA02G18490D PROTEIN', 117018),
(173293, 'PTHR13386:SF2', NULL, NULL, NULL, NULL, 'HISTONE PARYLATION FACTOR 1', 117019),
(173294, 'PTHR31686', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 117020),
(173295, 'PTHR14226:SF76', NULL, NULL, NULL, NULL, 'NTE FAMILY PROTEIN RSSA', 117021),
(173296, 'PTHR22847:SF699', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE COMPLEX SCF SUBUNIT SCONB-RELATED', 117022),
(173297, 'PTHR45638:SF2', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL ALPHA-4', 117023),
(173298, 'PTHR36106:SF2', NULL, NULL, NULL, NULL, 'ANAEROBIC C4-DICARBOXYLATE TRANSPORTER DCUA', 117024),
(173299, 'PTHR23067:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 385C', 117025),
(173300, 'PTHR27005:SF10', NULL, NULL, NULL, NULL, 'OS08G0501500 PROTEIN', 117026),
(173301, 'PTHR30193:SF41', NULL, NULL, NULL, NULL, 'SUGAR-TRANSPORT INTEGRAL MEMBRANE PROTEIN ABC TRANSPORTER-RELATED', 117027),
(173302, 'PTHR11199:SF6', NULL, NULL, NULL, NULL, 'COHESIN SUBUNIT SA-1-RELATED', 117028),
(173303, 'PTHR45648:SF128', NULL, NULL, NULL, NULL, 'BNAA08G29170D PROTEIN', 117029),
(173304, 'PTHR45683:SF6', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE-RELATED', 117030),
(173305, 'PTHR19343:SF12', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 12-3', 117031),
(173306, 'PTHR23169:SF21', NULL, NULL, NULL, NULL, 'EPIPLAKIN', 117032),
(173307, 'PTHR24068:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117033),
(173308, 'PTHR11716:SF47', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(2)', 117034),
(173309, 'PTHR26452:SF792', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 14A16', 117035),
(173310, 'PTHR31282:SF163', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING PROTEIN 21-RELATED', 117036),
(173311, 'PTHR11199', NULL, NULL, NULL, NULL, 'STROMAL ANTIGEN', 117037),
(173312, 'PTHR32093:SF108', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 117038),
(173313, 'PTHR45979:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117039),
(173314, 'PTHR19338:SF7', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8 B', 117040),
(173315, 'PTHR31589:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117041),
(173316, 'PTHR10353:SF247', NULL, NULL, NULL, NULL, 'KLOTHO BETA', 117042),
(173317, 'PTHR31533:SF23', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN LLG1', 117043),
(173318, 'PTHR23267:SF427', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 2-30-RELATED', 117044),
(173319, 'PTHR11802:SF332', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 117045),
(173320, 'PTHR31140:SF56', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING PROTEIN OS01G0141000', 117046),
(173321, 'PTHR47511', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP23', 117047),
(173322, 'PTHR46128:SF53', NULL, NULL, NULL, NULL, 'BNAANNG10620D PROTEIN', 117048),
(173323, 'PTHR10857:SF117', NULL, NULL, NULL, NULL, 'PROTEIN BONZAI 2', 117049),
(173324, 'PTHR24286:SF271', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 117050),
(173325, 'PTHR46431:SF7', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN FAMILY', 117051),
(173326, 'PTHR21020:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 800', 117052),
(173327, 'PTHR47466:SF1', NULL, NULL, NULL, NULL, 'METALLOPROTEASE MEP1 (AFU_ORTHOLOGUE AFUA_1G07730)', 117053),
(173328, 'PTHR47161', NULL, NULL, NULL, NULL, 'LYMPHOID-SPECIFIC HELICASE', 117054),
(173329, 'PTHR11827:SF66', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 6', 117055);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(173330, 'PTHR22953:SF121', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 117056),
(173331, 'PTHR12300:SF159', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 117057),
(173332, 'PTHR47988:SF25', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 1', 117058),
(173333, 'PTHR47966:SF48', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE', 117059),
(173334, 'PTHR48047:SF112', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 117060),
(173335, 'PTHR39169:SF1', NULL, NULL, NULL, NULL, 'MONOOXYGENASE YDHR-RELATED', 117061),
(173336, 'PTHR47094:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117062),
(173337, 'PTHR35496:SF11', NULL, NULL, NULL, NULL, 'BNAC01G19330D PROTEIN', 117063),
(173338, 'PTHR32044:SF59', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 10-RELATED', 117064),
(173339, 'PTHR23049:SF36', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 10', 117065),
(173340, 'PTHR43840:SF41', NULL, NULL, NULL, NULL, 'FERROUS-IRON EFFLUX PUMP FIEF', 117066),
(173341, 'PTHR11958:SF19', NULL, NULL, NULL, NULL, 'NEUTRAL AMINO ACID TRANSPORTER B(0)', 117067),
(173342, 'PTHR31638:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117068),
(173343, 'PTHR31790:SF396', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 117069),
(173344, 'PTHR10438:SF400', NULL, NULL, NULL, NULL, 'THIOREDOXIN H5', 117070),
(173345, 'PTHR31973:SF137', NULL, NULL, NULL, NULL, 'OS02G0192200 PROTEIN', 117071),
(173346, 'PTHR46662:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 117072),
(173347, 'PTHR33095:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117073),
(173348, 'PTHR43004:SF8', NULL, NULL, NULL, NULL, 'DEPENDENT OXIDOREDUCTASE, PUTATIVE (JCVI)-RELATED', 117074),
(173349, 'PTHR45639:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG02604', 117075),
(173350, 'PTHR28553:SF2', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE W', 117076),
(173351, 'PTHR23130:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117077),
(173352, 'PTHR14149:SF17', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN', 117078),
(173353, 'PTHR24230:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117079),
(173354, 'PTHR11655:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117080),
(173355, 'PTHR31669:SF182', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED ELONGATED HYPOCOTYL 3-LIKE', 117081),
(173356, 'PTHR32382:SF4', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 1', 117082),
(173357, 'PTHR23314:SF0', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 6', 117083),
(173358, 'PTHR46732:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE LA (LON) DOMAIN PROTEIN', 117084),
(173359, 'PTHR43874:SF132', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR18', 117085),
(173360, 'PTHR31080:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117086),
(173361, 'PTHR31096:SF60', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR12', 117087),
(173362, 'PTHR23138:SF133', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 1 HOMOLOG A', 117088),
(173363, 'PTHR33304:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117089),
(173364, 'PTHR19256:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117090),
(173365, 'PTHR31549:SF197', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED', 117091),
(173366, 'PTHR43791:SF27', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15730)-RELATED', 117092),
(173367, 'PTHR30600:SF4', NULL, NULL, NULL, NULL, 'THIOL OXIDOREDUCTASE-RELATED', 117093),
(173368, 'PTHR34815', NULL, NULL, NULL, NULL, 'LYSINE ACETYLTRANSFERASE', 117094),
(173369, 'PTHR10540:SF6', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT F', 117095),
(173370, 'PTHR42922:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PSTA', 117096),
(173371, 'PTHR34451', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY PROTEIN', 117097),
(173372, 'PTHR45090:SF14', NULL, NULL, NULL, NULL, 'DNAJ-LIKE 20-RELATED', 117098),
(173373, 'PTHR19325:SF341', NULL, NULL, NULL, NULL, 'C4B-BINDING PROTEIN ALPHA CHAIN', 117099),
(173374, 'PTHR36779', NULL, NULL, NULL, NULL, 'OSJNBA0083N12.13 PROTEIN', 117100);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(173375, 'PTHR24343:SF446', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK1', 117101),
(173376, 'PTHR47667:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF TY1 TRANSPOSITION PROTEIN 107', 117102),
(173377, 'PTHR31238:SF86', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 3 MEMBER 3', 117103),
(173378, 'PTHR11306:SF41', NULL, NULL, NULL, NULL, 'BNAA09G12830D PROTEIN', 117104),
(173379, 'PTHR31065:SF72', NULL, NULL, NULL, NULL, 'BNAC08G11100D PROTEIN', 117105),
(173380, 'PTHR34945:SF5', NULL, NULL, NULL, NULL, 'DOWNSTREAM TARGET OF AGL15-4', 117106),
(173381, 'PTHR11911:SF126', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE', 117107),
(173382, 'PTHR22902:SF15', NULL, NULL, NULL, NULL, 'SESQUIPEDALIAN-2', 117108),
(173383, 'PTHR24355:SF28', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE 2', 117109),
(173384, 'PTHR31490:SF65', NULL, NULL, NULL, NULL, 'OS11G0506150 PROTEIN', 117110),
(173385, 'PTHR12263:SF2', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E 2', 117111),
(173386, 'PTHR13968:SF30', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN C-LIKE 3-RELATED', 117112),
(173387, 'PTHR12357:SF15', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING FAMILY PROTEIN', 117113),
(173388, 'PTHR46119:SF12', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN CONTAINING PROTEIN, EXPRESSED', 117114),
(173389, 'PTHR22951:SF79', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN', 117115),
(173390, 'PTHR42904:SF4', NULL, NULL, NULL, NULL, 'NUDIX FAMILY HYDROLASE', 117116),
(173391, 'PTHR42896:SF2', NULL, NULL, NULL, NULL, 'CBBY-LIKE PROTEIN', 117117),
(173392, 'PTHR33155:SF32', NULL, NULL, NULL, NULL, 'CELL SIZE REGULATOR-LIKE 3 PROTEIN', 117118),
(173393, 'PTHR19051:SF6', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 26-1', 117119),
(173394, 'PTHR30603:SF17', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-G FACTOR', 117120),
(173395, 'PTHR11817:SF77', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 117121),
(173396, 'PTHR16798', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP C PROTEIN FANCC', 117122),
(173397, 'PTHR26312:SF150', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE TRANSFERASE, OGT PROTEIN, PUTATIVE-RELATED', 117123),
(173398, 'PTHR42688:SF1', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 117124),
(173399, 'PTHR13793:SF138', NULL, NULL, NULL, NULL, 'PROTEIN LIN-49', 117125),
(173400, 'PTHR10241', NULL, NULL, NULL, NULL, 'LETHAL 2  GIANT LARVAE PROTEIN', 117126),
(173401, 'PTHR45675:SF17', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 117127),
(173402, 'PTHR33057:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117128),
(173403, 'PTHR31917:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117129),
(173404, 'PTHR11465:SF57', NULL, NULL, NULL, NULL, 'BNAA06G14510D PROTEIN', 117130),
(173405, 'PTHR13091', NULL, NULL, NULL, NULL, 'AMPLIFIED IN BREAST CANCER 2-RELATED', 117131),
(173406, 'PTHR10615:SF184', NULL, NULL, NULL, NULL, 'SUPPORTER OF ACTIVATION OF YELLOW PROTEIN', 117132),
(173407, 'PTHR13693:SF79', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE 2', 117133),
(173408, 'PTHR20881:SF1', NULL, NULL, NULL, NULL, '3-METHYL-2-OXOBUTANOATE HYDROXYMETHYLTRANSFERASE', 117134),
(173409, 'PTHR27007:SF306', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', 117135),
(173410, 'PTHR14042:SF24', NULL, NULL, NULL, NULL, 'PROTEIN DOPEY-1 HOMOLOG', 117136),
(173411, 'PTHR11850:SF326', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 3', 117137),
(173412, 'PTHR10806:SF21', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', 117138),
(173413, 'PTHR24416:SF49', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR RECEPTOR 3', 117139),
(173414, 'PTHR21085', NULL, NULL, NULL, NULL, 'CHORISMATE SYNTHASE', 117140),
(173415, 'PTHR46993:SF8', NULL, NULL, NULL, NULL, 'TRF-LIKE 5', 117141),
(173416, 'PTHR31225:SF63', NULL, NULL, NULL, NULL, 'OS03G0362500 PROTEIN', 117142),
(173417, 'PTHR41774', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 117143),
(173418, 'PTHR31752:SF63', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', 117144);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(173419, 'PTHR34709:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117145),
(173420, 'PTHR14942:SF16', NULL, NULL, NULL, NULL, 'BNAA08G30670D PROTEIN', 117146),
(173421, 'PTHR21319:SF54', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RZFP34', 117147),
(173422, 'PTHR10665', NULL, NULL, NULL, NULL, 'RECOMBINING BINDING PROTEIN SUPPRESSOR OF HAIRLESS', 117148),
(173423, 'PTHR24248:SF139', NULL, NULL, NULL, NULL, 'D(1A) DOPAMINE RECEPTOR', 117149),
(173424, 'PTHR31213:SF6', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYR1', 117150),
(173425, 'PTHR33144:SF20', NULL, NULL, NULL, NULL, 'OS03G0714750 PROTEIN', 117151),
(173426, 'PTHR47958:SF6', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 53', 117152),
(173427, 'PTHR34256', NULL, NULL, NULL, NULL, 'UPF0561 PROTEIN C2ORF68', 117153),
(173428, 'PTHR13808:SF29', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE P300', 117154),
(173429, 'PTHR24123:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117155),
(173430, 'PTHR33070:SF75', NULL, NULL, NULL, NULL, 'SELECTION/UPKEEP OF INTRAEPITHELIAL T-CELLS PROTEIN', 117156),
(173431, 'PTHR22625:SF63', NULL, NULL, NULL, NULL, 'PKHD1 LIKE 1', 117157),
(173432, 'PTHR45654:SF72', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN MERISTEM L1', 117158),
(173433, 'PTHR33338', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 117159),
(173434, 'PTHR31839:SF64', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1F', 117160),
(173435, 'PTHR10104', NULL, NULL, NULL, NULL, 'STATHMIN', 117161),
(173436, 'PTHR46000:SF6', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 117162),
(173437, 'PTHR39198', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED', 117163),
(173438, 'PTHR47942:SF19', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT SUPERFAMILY PROTEIN', 117164),
(173439, 'PTHR46683', NULL, NULL, NULL, NULL, 'OROTATE PHOSPHORIBOSYLTRANSFERASE 1-RELATED', 117165),
(173440, 'PTHR24281:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117166),
(173441, 'PTHR48216:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117167),
(173442, 'PTHR37390:SF3', NULL, NULL, NULL, NULL, 'BNAANNG02820D PROTEIN', 117168),
(173443, 'PTHR24240:SF130', NULL, NULL, NULL, NULL, 'OPSIN RH3-RELATED', 117169),
(173444, 'PTHR48002:SF88', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 117170),
(173445, 'PTHR48002:SF32', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 117171),
(173446, 'PTHR21290:SF49', NULL, NULL, NULL, NULL, 'OS05G0452900 PROTEIN', 117172),
(173447, 'PTHR33077:SF42', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 4A-RELATED', 117173),
(173448, 'PTHR46906', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-8', 117174),
(173449, 'PTHR11963:SF16', NULL, NULL, NULL, NULL, 'AT09752P-RELATED', 117175),
(173450, 'PTHR47336:SF4', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 117176),
(173451, 'PTHR33044:SF180', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 117177),
(173452, 'PTHR30146:SF124', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR DEGA', 117178),
(173453, 'PTHR22767:SF8', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 15, NATA AUXILIARY SUBUNIT-RELATED', 117179),
(173454, 'PTHR24559:SF386', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117180),
(173455, 'PTHR23155:SF1022', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN', 117181),
(173456, 'PTHR23236:SF52', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING, ALPHA-BETA PLAIT', 117182),
(173457, 'PTHR22870:SF388', NULL, NULL, NULL, NULL, 'RCC1 REPEAT-CONTAINING PROTEIN DDB_G0284033', 117183),
(173458, 'PTHR13832:SF737', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 23-RELATED', 117184),
(173459, 'PTHR33057:SF120', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP16', 117185),
(173460, 'PTHR12930:SF10', NULL, NULL, NULL, NULL, 'BNAA01G33980D PROTEIN', 117186),
(173461, 'PTHR21577:SF3', NULL, NULL, NULL, NULL, 'SHUGOSHIN 1', 117187),
(173462, 'PTHR10791:SF150', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 117188);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(173463, 'PTHR12374:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117189),
(173464, 'PTHR43084:SF7', NULL, NULL, NULL, NULL, 'VNG6066C', 117190),
(173465, 'PTHR30477:SF20', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY ZINC UPTAKE SYSTEM MEMBRANE PROTEIN ZNUB', 117191),
(173466, 'PTHR42755', NULL, NULL, NULL, NULL, '3-DEOXY-MANNO-OCTULOSONATE CYTIDYLYLTRANSFERASE', 117192),
(173467, 'PTHR12313:SF68', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF185-LIKE', 117193),
(173468, 'PTHR11937:SF478', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117194),
(173469, 'PTHR42825:SF30', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE 1, MITOCHONDRIAL', 117195),
(173470, 'PTHR44742:SF2', NULL, NULL, NULL, NULL, '24-METHYLENESTEROL C-METHYLTRANSFERASE 2', 117196),
(173471, 'PTHR47962', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE LHR-RELATED-RELATED', 117197),
(173472, 'PTHR47611:SF1', NULL, NULL, NULL, NULL, 'HAT DIMERISATION DOMAIN, C-TERMINAL', 117198),
(173473, 'PTHR34133:SF8', NULL, NULL, NULL, NULL, 'OS07G0633000 PROTEIN', 117199),
(173474, 'PTHR24286:SF249', NULL, NULL, NULL, NULL, 'ABSCISIC ACID 8''-HYDROXYLASE CYP707A2', 117200),
(173475, 'PTHR48010:SF40', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 117201),
(173476, 'PTHR22941:SF72', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 117202),
(173477, 'PTHR31936:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG21633', 117203),
(173478, 'PTHR23172:SF78', NULL, NULL, NULL, NULL, 'BNAA06G15380D PROTEIN', 117204),
(173479, 'PTHR23302:SF42', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 7', 117205),
(173480, 'PTHR31399', NULL, NULL, NULL, NULL, 'DNA-DIRECTED PRIMASE / POLYMERASE PROTEIN', 117206),
(173481, 'PTHR45928:SF1', NULL, NULL, NULL, NULL, 'RE38146P', 117207),
(173482, 'PTHR18860:SF111', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN GAMMA-2-LIKE', 117208),
(173483, 'PTHR21595:SF0', NULL, NULL, NULL, NULL, 'PATRONIN', 117209),
(173484, 'PTHR10956:SF37', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L31', 117210),
(173485, 'PTHR24327:SF41', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC HOMEOBOX PROTEIN-RELATED', 117211),
(173486, 'PTHR30519', NULL, NULL, NULL, NULL, '5-METHYLTETRAHYDROPTEROYLTRIGLUTAMATE--HOMOCYSTEINE METHYLTRANSFERASE', 117212),
(173487, 'PTHR16222', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLGLYCOHYDROLASE', 117213),
(173488, 'PTHR48055:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN ACR4', 117214),
(173489, 'PTHR46128:SF275', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117215),
(173490, 'PTHR33399', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 3-1, CHLOROPLASTIC', 117216),
(173491, 'PTHR48004:SF18', NULL, NULL, NULL, NULL, 'OS11G0691800 PROTEIN', 117217),
(173492, 'PTHR11432:SF20', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE 1A', 117218),
(173493, 'PTHR24228:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117219),
(173494, 'PTHR21112:SF10', NULL, NULL, NULL, NULL, 'CHEMOSENSORY PROTEIN A 87A', 117220),
(173495, 'PTHR35151', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 117221),
(173496, 'PTHR10824', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE-RELATED', 117222),
(173497, 'PTHR10811:SF56', NULL, NULL, NULL, NULL, 'RADICAL FRINGE PROTEIN, PUTATIVE (DUF604)-RELATED', 117223),
(173498, 'PTHR42954', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORT PROTEIN A', 117224),
(173499, 'PTHR42673:SF17', NULL, NULL, NULL, NULL, 'BNAC09G20710D PROTEIN', 117225),
(173500, 'PTHR23140:SF10', NULL, NULL, NULL, NULL, 'U2 SNRNP-ASSOCIATED SURP DOMAIN-CONTAINING', 117226),
(173501, 'PTHR12110:SF27', NULL, NULL, NULL, NULL, 'BLR2842 PROTEIN', 117227),
(173502, 'PTHR14773:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117228),
(173503, 'PTHR26452:SF805', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 117229),
(173504, 'PTHR19370:SF183', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', 117230),
(173505, 'PTHR12673:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117231),
(173506, 'PTHR33083', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 117232),
(173507, 'PTHR15288:SF0', NULL, NULL, NULL, NULL, 'DENN (AEX-3) DOMAIN-CONTAINING PROTEIN', 117233);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(173508, 'PTHR45717:SF4', NULL, NULL, NULL, NULL, 'BNAC02G00860D PROTEIN', 117234),
(173509, 'PTHR43184:SF4', NULL, NULL, NULL, NULL, 'OS08G0156600 PROTEIN', 117235),
(173510, 'PTHR45855:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PHYTOCHROME INTERACTING FACTOR-LIKE 13', 117236),
(173511, 'PTHR43741:SF2', NULL, NULL, NULL, NULL, 'FMN-DEPENDENT NADH-AZOREDUCTASE', 117237),
(173512, 'PTHR33713:SF6', NULL, NULL, NULL, NULL, 'ANTITOXIN YEFM', 117238),
(173513, 'PTHR31351:SF22', NULL, NULL, NULL, NULL, 'BNAA01G17150D PROTEIN', 117239),
(173514, 'PTHR12411:SF611', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RD19A', 117240),
(173515, 'PTHR21700:SF29', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 117241),
(173516, 'PTHR47044', NULL, NULL, NULL, NULL, 'OS02G0276400 PROTEIN', 117242),
(173517, 'PTHR23315:SF301', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN-RELATED', 117243),
(173518, 'PTHR21659:SF41', NULL, NULL, NULL, NULL, 'PROTEIN LTI6B, PUTATIVE, EXPRESSED-RELATED', 117244),
(173519, 'PTHR11475:SF115', NULL, NULL, NULL, NULL, 'CHORION PEROXIDASE', 117245),
(173520, 'PTHR31852:SF150', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 117246),
(173521, 'PTHR24028:SF288', NULL, NULL, NULL, NULL, 'SI:CH73-233F7.3-RELATED', 117247),
(173522, 'PTHR12940:SF1', NULL, NULL, NULL, NULL, 'BNAA05G29860D PROTEIN', 117248),
(173523, 'PTHR23079:SF37', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 117249),
(173524, 'PTHR40711:SF2', NULL, NULL, NULL, NULL, 'EXTRACELLULAR GLYCOPROTEIN LACRITIN', 117250),
(173525, 'PTHR21646:SF45', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 4', 117251),
(173526, 'PTHR43780:SF7', NULL, NULL, NULL, NULL, 'D-CYSTEINE DESULFHYDRASE 2, MITOCHONDRIAL', 117252),
(173527, 'PTHR11240:SF67', NULL, NULL, NULL, NULL, 'BNAA02G26660D PROTEIN', 117253),
(173528, 'PTHR39608:SF2', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 117254),
(173529, 'PTHR45629:SF9', NULL, NULL, NULL, NULL, 'THYMINE DIOXYGENASE JBP1', 117255),
(173530, 'PTHR12526:SF587', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07860)-RELATED', 117256),
(173531, 'PTHR31529:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117257),
(173532, 'PTHR45926:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE4-LIKE', 117258),
(173533, 'PTHR31989:SF220', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', 117259),
(173534, 'PTHR43866:SF3', NULL, NULL, NULL, NULL, 'METHYLMALONATE-SEMIALDEHYDE DEHYDROGENASE [ACYLATING], MITOCHONDRIAL', 117260),
(173535, 'PTHR48002:SF140', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 140', 117261),
(173536, 'PTHR31189:SF67', NULL, NULL, NULL, NULL, 'GLUTELIN TYPE-B 5-LIKE', 117262),
(173537, 'PTHR45694:SF4', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C3', 117263),
(173538, 'PTHR16155:SF17', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 9', 117264),
(173539, 'PTHR27006:SF325', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10 ISOFORM X1', 117265),
(173540, 'PTHR48125:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117266),
(173541, 'PTHR22883:SF264', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 8', 117267),
(173542, 'PTHR12411:SF700', NULL, NULL, NULL, NULL, 'BNAA01G26170D PROTEIN', 117268),
(173543, 'PTHR35129:SF3', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 2', 117269),
(173544, 'PTHR47066:SF1', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 9', 117270),
(173545, 'PTHR10037:SF192', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT T-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1H', 117271),
(173546, 'PTHR47293:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117272),
(173547, 'PTHR24296:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117273),
(173548, 'PTHR45714:SF34', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT9', 117274),
(173549, 'PTHR14402:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117275),
(173550, 'PTHR45736:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER MYM-TYPE PROTEIN 2', 117276);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(173551, 'PTHR42886:SF56', NULL, NULL, NULL, NULL, 'PROTEIN CBG12424', 117277),
(173552, 'PTHR10168:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117278),
(173553, 'PTHR36586:SF26', NULL, NULL, NULL, NULL, 'EXTENSIN-1', 117279),
(173554, 'PTHR11709:SF221', NULL, NULL, NULL, NULL, 'HEPHAESTIN', 117280),
(173555, 'PTHR31589:SF120', NULL, NULL, NULL, NULL, 'OS11G0284600 PROTEIN', 117281),
(173556, 'PTHR10336:SF101', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C 6', 117282),
(173557, 'PTHR24637:SF324', NULL, NULL, NULL, NULL, 'COLLAGEN', 117283),
(173558, 'PTHR10900:SF114', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 117284),
(173559, 'PTHR33204:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 117285),
(173560, 'PTHR10906:SF5', NULL, NULL, NULL, NULL, 'SEC SIXTY-ONE PROTEIN HOMOLOG', 117286),
(173561, 'PTHR23430:SF317', NULL, NULL, NULL, NULL, 'HISTONE H2A.4-RELATED', 117287),
(173562, 'PTHR43570:SF21', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 117288),
(173563, 'PTHR48015:SF20', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAK 1', 117289),
(173564, 'PTHR24126:SF51', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 10', 117290),
(173565, 'PTHR46477:SF14', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', 117291),
(173566, 'PTHR11071:SF454', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 117292),
(173567, 'PTHR10497:SF17', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', 117293),
(173568, 'PTHR43157:SF48', NULL, NULL, NULL, NULL, 'ZGC:112332', 117294),
(173569, 'PTHR31218:SF289', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 117295),
(173570, 'PTHR42825', NULL, NULL, NULL, NULL, 'AMINO ACID AMINOTRANSFERASE', 117296),
(173571, 'PTHR33124:SF49', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR/TRANSCRIPTION REGULATOR', 117297),
(173572, 'PTHR43584:SF3', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN GLMU', 117298),
(173573, 'PTHR19134:SF297', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE H', 117299),
(173574, 'PTHR31479:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117300),
(173575, 'PTHR11260:SF590', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U7-LIKE', 117301),
(173576, 'PTHR47925:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117302),
(173577, 'PTHR20995:SF17', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 5', 117303),
(173578, 'PTHR19372:SF6', NULL, NULL, NULL, NULL, 'SULFITE OXIDASE', 117304),
(173579, 'PTHR45089:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117305),
(173580, 'PTHR48002:SF76', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C11', 117306),
(173581, 'PTHR10388:SF56', NULL, NULL, NULL, NULL, 'BNAA10G09260D PROTEIN', 117307),
(173582, 'PTHR45739:SF7', NULL, NULL, NULL, NULL, 'FRAS1-RELATED EXTRACELLULAR MATRIX PROTEIN 1', 117308),
(173583, 'PTHR47212:SF12', NULL, NULL, NULL, NULL, 'BNAC09G11410D PROTEIN', 117309),
(173584, 'PTHR31065:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117310),
(173585, 'PTHR19282', NULL, NULL, NULL, NULL, 'TETRASPANIN', 117311),
(173586, 'PTHR10335:SF19', NULL, NULL, NULL, NULL, 'BNAC09G28460D PROTEIN', 117312),
(173587, 'PTHR31232:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117313),
(173588, 'PTHR11439:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117314),
(173589, 'PTHR33167:SF47', NULL, NULL, NULL, NULL, 'BNAC03G57370D PROTEIN', 117315),
(173590, 'PTHR32208:SF80', NULL, NULL, NULL, NULL, 'BNAA02G17340D PROTEIN', 117316),
(173591, 'PTHR24060:SF147', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 2', 117317),
(173592, 'PTHR11654:SF349', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', 117318),
(173593, 'PTHR21497:SF49', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 117319),
(173594, 'PTHR23501:SF67', NULL, NULL, NULL, NULL, 'MFS MULTIDRUG EFFLUX TRANSPORTER (EUROFUNG)', 117320),
(173595, 'PTHR11588:SF82', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 117321),
(173596, 'PTHR31790:SF340', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 117322);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(173597, 'PTHR23189:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117323),
(173598, 'PTHR45798:SF20', NULL, NULL, NULL, NULL, 'OS09G0535500 PROTEIN', 117324),
(173599, 'PTHR46895:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG20548', 117325),
(173600, 'PTHR47990:SF121', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 2', 117326),
(173601, 'PTHR15288:SF22', NULL, NULL, NULL, NULL, 'DENN (AEX-3) DOMAIN PROTEIN', 117327),
(173602, 'PTHR23231', NULL, NULL, NULL, NULL, 'GERM CELL-LESS PROTEIN', 117328),
(173603, 'PTHR12378:SF50', NULL, NULL, NULL, NULL, 'THIOL PEPTIDASE FAMILY PROTEIN, PUTATIVE-RELATED', 117329),
(173604, 'PTHR31100', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 15', 117330),
(173605, 'PTHR31844', NULL, NULL, NULL, NULL, 'MYELIN-ASSOCIATED NEURITE-OUTGROWTH INHIBITOR-RELATED', 117331),
(173606, 'PTHR12866:SF11', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 3', 117332),
(173607, 'PTHR42647:SF56', NULL, NULL, NULL, NULL, 'SBP (S-RIBONUCLEASE BINDING PROTEIN) FAMILY PROTEIN-RELATED', 117333),
(173608, 'PTHR33921:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117334),
(173609, 'PTHR22953:SF113', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 117335),
(173610, 'PTHR46555', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 4A', 117336),
(173611, 'PTHR31096:SF6', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR8', 117337),
(173612, 'PTHR32063:SF28', NULL, NULL, NULL, NULL, 'BLR2861 PROTEIN', 117338),
(173613, 'PTHR10334:SF470', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', 117339),
(173614, 'PTHR19433:SF88', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 26-1', 117340),
(173615, 'PTHR12645', NULL, NULL, NULL, NULL, 'ALR/ERV', 117341),
(173616, 'PTHR32251:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117342),
(173617, 'PTHR47596:SF6', NULL, NULL, NULL, NULL, 'DVL-RELATED', 117343),
(173618, 'PTHR15272:SF0', NULL, NULL, NULL, NULL, 'CHROMATIN ASSEMBLY FACTOR 1 SUBUNIT A', 117344),
(173619, 'PTHR33088:SF30', NULL, NULL, NULL, NULL, 'LEGUMINOSIN GROUP485 SECRETED PEPTIDE', 117345),
(173620, 'PTHR37529', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSG FOR INSERTION SEQUENCE ELEMENT IS4-RELATED', 117346),
(173621, 'PTHR23406:SF69', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME, CHLOROPLASTIC', 117347),
(173622, 'PTHR46838:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 14', 117348),
(173623, 'PTHR11984:SF19', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-8 PROTEIN', 117349),
(173624, 'PTHR19375:SF452', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117350),
(173625, 'PTHR38662:SF1', NULL, NULL, NULL, NULL, 'COBALT TRANSPORT PROTEIN CBIN', 117351),
(173626, 'PTHR27007:SF349', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 117352),
(173627, 'PTHR19367:SF18', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR ALPHA CHAIN V REGION CTL-F3', 117353),
(173628, 'PTHR26312:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117354),
(173629, 'PTHR31734:SF203', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 117355),
(173630, 'PTHR31651:SF27', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER-RELATED', 117356),
(173631, 'PTHR11783:SF273', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 117357),
(173632, 'PTHR27005:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117358),
(173633, 'PTHR27001:SF522', NULL, NULL, NULL, NULL, 'OS02G0106900 PROTEIN', 117359),
(173634, 'PTHR10024:SF234', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-15', 117360),
(173635, 'PTHR21700:SF46', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-LIKE PROTEIN 52', 117361),
(173636, 'PTHR46791:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117362),
(173637, 'PTHR38585:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 117363),
(173638, 'PTHR11135:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YHCC', 117364),
(173639, 'PTHR14791:SF29', NULL, NULL, NULL, NULL, 'PROTEIN KIBRA', 117365),
(173640, 'PTHR31218:SF345', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 117366),
(173641, 'PTHR34120:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117367);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(173642, 'PTHR28668', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 234', 117368),
(173643, 'PTHR31790:SF326', NULL, NULL, NULL, NULL, 'BNAA02G12950D PROTEIN', 117369),
(173644, 'PTHR30489:SF8', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM TRANSMEMBRANE PROTEIN LOLC', 117370),
(173645, 'PTHR10048:SF95', NULL, NULL, NULL, NULL, 'ZGC:158659', 117371),
(173646, 'PTHR38585', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 117372),
(173647, 'PTHR23322:SF56', NULL, NULL, NULL, NULL, 'FAS-ASSOCIATED FACTOR 1', 117373),
(173648, 'PTHR24356:SF357', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PPK33', 117374),
(173649, 'PTHR45616:SF37', NULL, NULL, NULL, NULL, 'KERATIN 8', 117375),
(173650, 'PTHR47933:SF9', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 117376),
(173651, 'PTHR43135:SF3', NULL, NULL, NULL, NULL, 'ALPHA-D-RIBOSE 1-METHYLPHOSPHONATE 5-TRIPHOSPHATE DIPHOSPHATASE', 117377),
(173652, 'PTHR22850:SF211', NULL, NULL, NULL, NULL, 'BNAA02G07770D PROTEIN', 117378),
(173653, 'PTHR24391:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 1', 117379),
(173654, 'PTHR45719:SF5', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14B-LIKE', 117380),
(173655, 'PTHR46503:SF1', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN-LIKE PROTEIN', 117381),
(173656, 'PTHR31989:SF352', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 43-LIKE', 117382),
(173657, 'PTHR47068:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT1-LIKE', 117383),
(173658, 'PTHR14187:SF78', NULL, NULL, NULL, NULL, 'FAMILY CHAPERONE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G08575)-RELATED', 117384),
(173659, 'PTHR48022:SF67', NULL, NULL, NULL, NULL, 'QUINATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14670)-RELATED', 117385),
(173660, 'PTHR11239:SF12', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC10', 117386),
(173661, 'PTHR14499:SF116', NULL, NULL, NULL, NULL, 'OSJNBA0029H02.24 PROTEIN', 117387),
(173662, 'PTHR31828:SF25', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 3', 117388),
(173663, 'PTHR24224', NULL, NULL, NULL, NULL, 'CARDIOACCELERATORY PEPTIDE RECEPTOR-RELATED', 117389),
(173664, 'PTHR23203:SF16', NULL, NULL, NULL, NULL, 'SALIVARY ACIDIC PROLINE-RICH PHOSPHOPROTEIN 1/2', 117390),
(173665, 'PTHR12290:SF37', NULL, NULL, NULL, NULL, 'BNAA10G27390D PROTEIN', 117391),
(173666, 'PTHR11579:SF21', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE', 117392),
(173667, 'PTHR11785:SF517', NULL, NULL, NULL, NULL, 'SI:DKEYP-120H9.1', 117393),
(173668, 'PTHR43277:SF4', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE', 117394),
(173669, 'PTHR23267:SF240', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V19-17-RELATED', 117395),
(173670, 'PTHR16719', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE COPPER CHAPERONE', 117396),
(173671, 'PTHR15907:SF173', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 2-LIKE ISOFORM X1', 117397),
(173672, 'PTHR23349:SF100', NULL, NULL, NULL, NULL, 'TWIST2', 117398),
(173673, 'PTHR47234:SF2', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR', 117399),
(173674, 'PTHR22750:SF19', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 6', 117400),
(173675, 'PTHR18976:SF34', NULL, NULL, NULL, NULL, 'LIPID-BINDING PROTEIN', 117401),
(173676, 'PTHR36688:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117402),
(173677, 'PTHR48001:SF43', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1N1', 117403),
(173678, 'PTHR33377:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117404),
(173679, 'PTHR35769:SF2', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN', 117405),
(173680, 'PTHR41339:SF1', NULL, NULL, NULL, NULL, 'LIPL48', 117406),
(173681, 'PTHR32448:SF25', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 8', 117407),
(173682, 'PTHR27003:SF364', NULL, NULL, NULL, NULL, 'BNAC03G77100D PROTEIN', 117408),
(173683, 'PTHR33074:SF18', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 117409),
(173684, 'PTHR46744:SF1', NULL, NULL, NULL, NULL, 'PROTEIN UNC-93 HOMOLOG B1', 117410),
(173685, 'PTHR22738:SF4', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 4', 117411);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(173686, 'PTHR13780:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117412),
(173687, 'PTHR34672:SF15', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC ARABINOGALACTA PROTEIN BAN102', 117413),
(173688, 'PTHR43764', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS', 117414),
(173689, 'PTHR13006', NULL, NULL, NULL, NULL, 'PAPILLOMAVIRUS REGULATORY FACTOR PRF-1', 117415),
(173690, 'PTHR13546:SF13', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 85A', 117416),
(173691, 'PTHR14402:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-TRANSPORTING PROTEIN 5', 117417),
(173692, 'PTHR24356:SF302', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0290859-RELATED', 117418),
(173693, 'PTHR14398:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN SWM', 117419),
(173694, 'PTHR46292:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 102B', 117420),
(173695, 'PTHR45807:SF6', NULL, NULL, NULL, NULL, 'NON-RECEPTOR TYROSINE-PROTEIN KINASE TYK2', 117421),
(173696, 'PTHR43181', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 2,4-CYCLODIPHOSPHATE SYNTHASE, CHLOROPLASTIC', 117422),
(173697, 'PTHR22883:SF297', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 117423),
(173698, 'PTHR11654:SF526', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', 117424),
(173699, 'PTHR10903:SF128', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST 159, CHLOROPLASTIC-LIKE', 117425),
(173700, 'PTHR13318:SF137', NULL, NULL, NULL, NULL, 'F-BOX AND LEUCINE-RICH REPEAT PROTEIN 22-RELATED', 117426),
(173701, 'PTHR12039:SF15', NULL, NULL, NULL, NULL, 'NICOTINAMIDE-NUCLEOTIDE ADENYLYLTRANSFERASE', 117427),
(173702, 'PTHR42955', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 117428),
(173703, 'PTHR46655', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATXR3', 117429),
(173704, 'PTHR13832:SF529', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C, PUTATIVE-RELATED', 117430),
(173705, 'PTHR43818:SF3', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 117431),
(173706, 'PTHR20859:SF46', NULL, NULL, NULL, NULL, 'INTERFERON GAMMA RECEPTOR 2', 117432),
(173707, 'PTHR27006:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117433),
(173708, 'PTHR33595:SF20', NULL, NULL, NULL, NULL, 'BNAANNG12320D PROTEIN', 117434),
(173709, 'PTHR16165:SF23', NULL, NULL, NULL, NULL, 'NEUREXOPHILIN AND PC-ESTERASE DOMAIN FAMILY, MEMBER 5', 117435),
(173710, 'PTHR39569', NULL, NULL, NULL, NULL, 'INORGANIC TRIPHOSPHATASE', 117436),
(173711, 'PTHR47738:SF3', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHOTRANSFERASE SYSTEM, EIIA 2, PUTATIVE-RELATED', 117437),
(173712, 'PTHR48209:SF1', NULL, NULL, NULL, NULL, 'AGL056WP', 117438),
(173713, 'PTHR36801:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117439),
(173714, 'PTHR43511:SF1', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', 117440),
(173715, 'PTHR32009:SF40', NULL, NULL, NULL, NULL, 'TYPE DISEASE RESISTANCE PROTEIN, PUTATIVE-RELATED', 117441),
(173716, 'PTHR35169:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117442),
(173717, 'PTHR24221:SF245', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY PROTEIN', 117443),
(173718, 'PTHR31126:SF10', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06650)-RELATED', 117444),
(173719, 'PTHR45621:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL8-RELATED', 117445),
(173720, 'PTHR24296:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117446),
(173721, 'PTHR13462:SF6', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER REGULATORY SUBUNIT MCUB, MITOCHONDRIAL', 117447),
(173722, 'PTHR10520:SF14', NULL, NULL, NULL, NULL, 'BNAA09G54810D PROTEIN', 117448),
(173723, 'PTHR46444:SF9', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', 117449),
(173724, 'PTHR12599:SF15', NULL, NULL, NULL, NULL, 'PTERIN-4-ALPHA-CARBINOLAMINE DEHYDRATASE 2', 117450),
(173725, 'PTHR34358:SF5', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (DUF1195)-RELATED', 117451),
(173726, 'PTHR47082:SF1', NULL, NULL, NULL, NULL, 'KERATIN-LIKE PROTEIN KRT222', 117452);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(173727, 'PTHR47981:SF4', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABG3F', 117453),
(173728, 'PTHR31080:SF219', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 2-LIKE', 117454),
(173729, 'PTHR11394:SF38', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 107', 117455),
(173730, 'PTHR22950:SF660', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117456),
(173731, 'PTHR36463', NULL, NULL, NULL, NULL, 'KERATINOCYTE DIFFERENTIATION-ASSOCIATED PROTEIN', 117457),
(173732, 'PTHR45080:SF2', NULL, NULL, NULL, NULL, 'IP11255P', 117458),
(173733, 'PTHR21502:SF2', NULL, NULL, NULL, NULL, 'RILP-LIKE PROTEIN 2', 117459),
(173734, 'PTHR12175:SF5', NULL, NULL, NULL, NULL, 'THIOREDOXIN LIKE 1', 117460),
(173735, 'PTHR42683:SF52', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 9-RELATED', 117461),
(173736, 'PTHR33148', NULL, NULL, NULL, NULL, 'PLASTID MOVEMENT IMPAIRED PROTEIN-RELATED', 117462),
(173737, 'PTHR35578:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117463),
(173738, 'PTHR22906:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG14396', 117464),
(173739, 'PTHR45830:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 117465),
(173740, 'PTHR12396:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117466),
(173741, 'PTHR10030', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE', 117467),
(173742, 'PTHR11736:SF8', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN H1', 117468),
(173743, 'PTHR31656:SF42', NULL, NULL, NULL, NULL, 'BNAC03G14620D PROTEIN', 117469),
(173744, 'PTHR47785:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 117470),
(173745, 'PTHR10336:SF156', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C 7', 117471),
(173746, 'PTHR12709:SF10', NULL, NULL, NULL, NULL, 'BNAA03G50300D PROTEIN', 117472),
(173747, 'PTHR31490:SF38', NULL, NULL, NULL, NULL, 'BETA-XYLANASE', 117473),
(173748, 'PTHR45710:SF16', NULL, NULL, NULL, NULL, 'SI:CH211-193E13.5', 117474),
(173749, 'PTHR45648:SF124', NULL, NULL, NULL, NULL, 'OS08G0565900 PROTEIN', 117475),
(173750, 'PTHR46567', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 12', 117476),
(173751, 'PTHR14024:SF51', NULL, NULL, NULL, NULL, 'PERILIPIN', 117477),
(173752, 'PTHR11260:SF639', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U1', 117478),
(173753, 'PTHR48021:SF27', NULL, NULL, NULL, NULL, 'FACILITATED TREHALOSE TRANSPORTER TRET1-1-LIKE PROTEIN', 117479),
(173754, 'PTHR33336', NULL, NULL, NULL, NULL, 'QUINOL MONOOXYGENASE YGIN-RELATED', 117480),
(173755, 'PTHR30185:SF14', NULL, NULL, NULL, NULL, 'CRYPTIC BETA-GLUCOSIDE BGL OPERON ANTITERMINATOR-RELATED', 117481),
(173756, 'PTHR31895:SF20', NULL, NULL, NULL, NULL, 'ACTIVATED IN BLOCKED UNFOLDED PROTEIN RESPONSE', 117482),
(173757, 'PTHR13864:SF10', NULL, NULL, NULL, NULL, 'NESCIENT HELIX LOOP HELIX 2', 117483),
(173758, 'PTHR33355:SF13', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 3-LIKE', 117484),
(173759, 'PTHR13723:SF38', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 4', 117485),
(173760, 'PTHR11485:SF34', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE RECEPTOR SUBUNIT BETA', 117486),
(173761, 'PTHR34570', NULL, NULL, NULL, NULL, 'OS03G0593100 PROTEIN', 117487),
(173762, 'PTHR11945:SF439', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL27 ISOFORM X1', 117488),
(173763, 'PTHR10994:SF171', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B5', 117489),
(173764, 'PTHR23001', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR', 117490),
(173765, 'PTHR24023:SF991', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE X, ALPHA 1A-RELATED', 117491),
(173766, 'PTHR12761:SF1', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 1 PROTEIN', 117492),
(173767, 'PTHR33402:SF22', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 31', 117493),
(173768, 'PTHR13140:SF513', NULL, NULL, NULL, NULL, 'MYOSIN ID HEAVY CHAIN', 117494),
(173769, 'PTHR31374:SF270', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 117495),
(173770, 'PTHR46519:SF9', NULL, NULL, NULL, NULL, 'BNAA05G28350D PROTEIN', 117496);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(173771, 'PTHR32370:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117497),
(173772, 'PTHR46558', NULL, NULL, NULL, NULL, 'TRACRIPTIONAL REGULATORY PROTEIN-RELATED-RELATED', 117498),
(173773, 'PTHR32256:SF7', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', 117499),
(173774, 'PTHR11250', NULL, NULL, NULL, NULL, 'TACHYKININ', 117500),
(173775, 'PTHR45883:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117501),
(173776, 'PTHR11782:SF96', NULL, NULL, NULL, NULL, 'APYRASE 6-RELATED', 117502),
(173777, 'PTHR13935:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH55-LIKE', 117503),
(173778, 'PTHR11267:SF29', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX4', 117504),
(173779, 'PTHR15835', NULL, NULL, NULL, NULL, 'NUCLEAR-INTERACTING PARTNER OF ALK', 117505),
(173780, 'PTHR23502:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117506),
(173781, 'PTHR11062:SF246', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX10L-RELATED', 117507),
(173782, 'PTHR22883:SF339', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 117508),
(173783, 'PTHR47997:SF38', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB86', 117509),
(173784, 'PTHR19836:SF30', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S14', 117510),
(173785, 'PTHR46423', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-ASSOCIATED PROTEIN 3', 117511),
(173786, 'PTHR33803', NULL, NULL, NULL, NULL, 'IS1478 TRANSPOSASE', 117512),
(173787, 'PTHR43625:SF69', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE/POTASSIUM CHANNEL SUBUNIT BETA-RELATED', 117513),
(173788, 'PTHR11926:SF896', NULL, NULL, NULL, NULL, 'FLAVONOL 7-O-BETA-GLUCOSYLTRANSFERASE UGT74F1', 117514),
(173789, 'PTHR27003:SF338', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE, ERK3/4-RELATED', 117515),
(173790, 'PTHR46600:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-228B2.6-RELATED', 117516),
(173791, 'PTHR34281:SF11', NULL, NULL, NULL, NULL, 'BNAA09G40710D PROTEIN', 117517),
(173792, 'PTHR11699:SF190', NULL, NULL, NULL, NULL, '10-FORMYLTETRAHYDROFOLATE DEHYDROGENASE', 117518),
(173793, 'PTHR24096:SF317', NULL, NULL, NULL, NULL, 'NICOTINIC ACID-COA LIGASE PYR1', 117519),
(173794, 'PTHR31907:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117520),
(173795, 'PTHR11814:SF31', NULL, NULL, NULL, NULL, 'SULFATE ANION TRANSPORTER 1', 117521),
(173796, 'PTHR23200:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CBG07020', 117522),
(173797, 'PTHR11610:SF151', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1 MEMBER A-LIKE PROTEIN', 117523),
(173798, 'PTHR19964:SF16', NULL, NULL, NULL, NULL, 'SYNTAXIN-BINDING PROTEIN 4', 117524),
(173799, 'PTHR31639:SF77', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN', 117525),
(173800, 'PTHR11426:SF47', NULL, NULL, NULL, NULL, 'HISTONE H3.2', 117526),
(173801, 'PTHR33395', NULL, NULL, NULL, NULL, 'TRANSCRIPTASE, PUTATIVE-RELATED-RELATED', 117527),
(173802, 'PTHR24215', NULL, NULL, NULL, NULL, 'RHO-GTPASE-ACTIVATING PROTEIN LRG1', 117528),
(173803, 'PTHR43319:SF1', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN CONTAINING', 117529),
(173804, 'PTHR12098:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117530),
(173805, 'PTHR45651:SF36', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CHANNEL 21', 117531),
(173806, 'PTHR47221', NULL, NULL, NULL, NULL, 'FIBRINOGEN ALPHA CHAIN', 117532),
(173807, 'PTHR33414:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 117533),
(173808, 'PTHR11802:SF290', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 117534),
(173809, 'PTHR10694', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE', 117535),
(173810, 'PTHR11817:SF21', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 117536),
(173811, 'PTHR15860:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 117537),
(173812, 'PTHR10724:SF7', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S1, CHLOROPLASTIC', 117538),
(173813, 'PTHR24381:SF147', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 37 HOMOLOG', 117539),
(173814, 'PTHR14379:SF10', NULL, NULL, NULL, NULL, 'RE61489P', 117540),
(173815, 'PTHR15184:SF66', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA', 117541);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(173816, 'PTHR47993:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117542),
(173817, 'PTHR31392', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYLTRANSFERASE MNN1-RELATED', 117543),
(173818, 'PTHR24015:SF398', NULL, NULL, NULL, NULL, 'OS07G0259400 PROTEIN', 117544),
(173819, 'PTHR48131:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117545),
(173820, 'PTHR32258:SF20', NULL, NULL, NULL, NULL, 'KINASE INTERACTING (KIP1-LIKE) FAMILY PROTEIN', 117546),
(173821, 'PTHR45801:SF60', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', 117547),
(173822, 'PTHR23420:SF20', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', 117548),
(173823, 'PTHR32227:SF350', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN-RELATED', 117549),
(173824, 'PTHR43840:SF23', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 3', 117550),
(173825, 'PTHR30212:SF4', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 117551),
(173826, 'PTHR22881:SF31', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN-RELATED', 117552),
(173827, 'PTHR45907', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', 117553),
(173828, 'PTHR13301:SF204', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D2', 117554),
(173829, 'PTHR11685:SF328', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARIH1', 117555),
(173830, 'PTHR46316:SF4', NULL, NULL, NULL, NULL, 'BETA SUBUNIT 1 OF SNRK1', 117556),
(173831, 'PTHR13718:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117557),
(173832, 'PTHR11017:SF443', NULL, NULL, NULL, NULL, 'BNAC05G13690D PROTEIN', 117558),
(173833, 'PTHR24096:SF377', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 7', 117559),
(173834, 'PTHR22952:SF409', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 117560),
(173835, 'PTHR37256:SF4', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 117561),
(173836, 'PTHR11202:SF3', NULL, NULL, NULL, NULL, 'SPROUTY-RELATED PROTEIN WITH EVH-1 DOMAIN, ISOFORM C', 117562),
(173837, 'PTHR46226:SF3', NULL, NULL, NULL, NULL, 'OS02G0200000 PROTEIN', 117563),
(173838, 'PTHR45974:SF166', NULL, NULL, NULL, NULL, 'BNACNNG20810D PROTEIN', 117564),
(173839, 'PTHR33048:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117565),
(173840, 'PTHR16453', NULL, NULL, NULL, NULL, 'WD40 DOMAIN-CONTAINING PROTEIN MIO FAMILY MEMBER', 117566),
(173841, 'PTHR24282:SF106', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 72 SUBFAMILY A POLYPEPTIDE 8', 117567),
(173842, 'PTHR23118:SF0', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE', 117568),
(173843, 'PTHR40732:SF1', NULL, NULL, NULL, NULL, 'UPF0218 PROTEIN TK1697', 117569),
(173844, 'PTHR42199:SF1', NULL, NULL, NULL, NULL, 'UPF0212 PROTEIN MJ0068', 117570),
(173845, 'PTHR47521:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 117571),
(173846, 'PTHR12838', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 11', 117572),
(173847, 'PTHR32295:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117573),
(173848, 'PTHR22903:SF3', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY H MEMBER 2', 117574),
(173849, 'PTHR23362:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11397', 117575),
(173850, 'PTHR47924:SF14', NULL, NULL, NULL, NULL, 'BNAC03G44720D PROTEIN', 117576),
(173851, 'PTHR45855:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF7', 117577),
(173852, 'PTHR12125:SF11', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 2', 117578),
(173853, 'PTHR12002:SF17', NULL, NULL, NULL, NULL, 'CLAUDIN-20', 117579),
(173854, 'PTHR45649:SF48', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1 HOMOLOG', 117580),
(173855, 'PTHR42830:SF1', NULL, NULL, NULL, NULL, 'OSMOTICALLY INDUCIBLE FAMILY PROTEIN', 117581),
(173856, 'PTHR26453:SF3', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 117582),
(173857, 'PTHR11654:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117583),
(173858, 'PTHR47779', NULL, NULL, NULL, NULL, 'SYNTHASE (CCG-9), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12100)-RELATED', 117584),
(173859, 'PTHR32080:SF41', NULL, NULL, NULL, NULL, 'BNAA02G37140D PROTEIN', 117585);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(173860, 'PTHR47289:SF3', NULL, NULL, NULL, NULL, 'OS01G0112300 PROTEIN', 117586),
(173861, 'PTHR34395:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117587),
(173862, 'PTHR22945:SF90', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 117588),
(173863, 'PTHR43744:SF12', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN MG189-RELATED', 117589),
(173864, 'PTHR13339', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 8', 117590),
(173865, 'PTHR48043:SF82', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 117591),
(173866, 'PTHR45641:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_6G03870)', 117592),
(173867, 'PTHR45730:SF80', NULL, NULL, NULL, NULL, 'PROTEIN LATE FLOWERING', 117593),
(173868, 'PTHR22917:SF6', NULL, NULL, NULL, NULL, 'EG:8D8.2 PROTEIN', 117594),
(173869, 'PTHR10666:SF368', NULL, NULL, NULL, NULL, 'UBIQUITIN-60S RIBOSOMAL PROTEIN L40', 117595),
(173870, 'PTHR45650:SF22', NULL, NULL, NULL, NULL, 'OS05G0419800 PROTEIN', 117596),
(173871, 'PTHR34930:SF4', NULL, NULL, NULL, NULL, 'JUPITER MICROTUBULE ASSOCIATED HOMOLOG 1', 117597),
(173872, 'PTHR31072:SF169', NULL, NULL, NULL, NULL, 'OS01G0924400 PROTEIN', 117598),
(173873, 'PTHR19241:SF517', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 38', 117599),
(173874, 'PTHR10827:SF83', NULL, NULL, NULL, NULL, 'BNAC09G47400D PROTEIN', 117600),
(173875, 'PTHR46991:SF32', NULL, NULL, NULL, NULL, 'BNAC01G19750D PROTEIN', 117601),
(173876, 'PTHR11738', NULL, NULL, NULL, NULL, 'MHC CLASS I NK CELL RECEPTOR', 117602),
(173877, 'PTHR45814', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD1', 117603),
(173878, 'PTHR31147:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117604),
(173879, 'PTHR12642:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117605),
(173880, 'PTHR31147:SF52', NULL, NULL, NULL, NULL, 'BNAA09G41950D PROTEIN', 117606),
(173881, 'PTHR31388:SF160', NULL, NULL, NULL, NULL, 'PEROXIDASE', 117607),
(173882, 'PTHR11306:SF51', NULL, NULL, NULL, NULL, 'BNAA01G28270D PROTEIN', 117608),
(173883, 'PTHR32266:SF24', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE', 117609),
(173884, 'PTHR18945:SF790', NULL, NULL, NULL, NULL, 'CHOLINERGIC RECEPTOR, NICOTINIC, ALPHA 9', 117610),
(173885, 'PTHR11926:SF1164', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C2', 117611),
(173886, 'PTHR45993:SF9', NULL, NULL, NULL, NULL, 'IM:7142702', 117612),
(173887, 'PTHR31356:SF38', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 5, PEROXISOMAL', 117613),
(173888, 'PTHR31060:SF28', NULL, NULL, NULL, NULL, 'OS07G0123500 PROTEIN', 117614),
(173889, 'PTHR45658:SF70', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 11-LIKE', 117615),
(173890, 'PTHR19375:SF453', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 2-LIKE', 117616),
(173891, 'PTHR10625:SF208', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HOS2-RELATED', 117617),
(173892, 'PTHR46991:SF9', NULL, NULL, NULL, NULL, '23.6 KDA HEAT SHOCK PROTEIN MITOCHONDRIAL', 117618),
(173893, 'PTHR33086:SF69', NULL, NULL, NULL, NULL, 'OS06G0161400 PROTEIN', 117619),
(173894, 'PTHR37443:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09852', 117620),
(173895, 'PTHR35319:SF2', NULL, NULL, NULL, NULL, 'YCF54', 117621),
(173896, 'PTHR12995', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 117622),
(173897, 'PTHR11654:SF500', NULL, NULL, NULL, NULL, 'BNAC04G26790D PROTEIN', 117623),
(173898, 'PTHR45959', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 117624),
(173899, 'PTHR47771:SF4', NULL, NULL, NULL, NULL, 'LD27203P-RELATED', 117625),
(173900, 'PTHR47671:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 6', 117626),
(173901, 'PTHR12149', NULL, NULL, NULL, NULL, 'FRUCTOSAMINE 3 KINASE-RELATED PROTEIN', 117627),
(173902, 'PTHR43591:SF59', NULL, NULL, NULL, NULL, 'SAM BINDING DOMAIN-CONTAINING PROTEIN', 117628),
(173903, 'PTHR10795:SF659', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE', 117629),
(173904, 'PTHR13930', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT TRNA 4-DEMETHYLWYOSINE SYNTHASE', 117630);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(173905, 'PTHR24056:SF440', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117631),
(173906, 'PTHR33735:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117632),
(173907, 'PTHR10900:SF100', NULL, NULL, NULL, NULL, 'FI05614P', 117633),
(173908, 'PTHR31972:SF15', NULL, NULL, NULL, NULL, 'OS07G0572300 PROTEIN', 117634),
(173909, 'PTHR11537:SF65', NULL, NULL, NULL, NULL, 'SI:RP71-39B20.4', 117635),
(173910, 'PTHR28080:SF2', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 3-1', 117636),
(173911, 'PTHR30537', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR', 117637),
(173912, 'PTHR46888', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE DOMAINCONTAINING PROTEIN-RELATED', 117638),
(173913, 'PTHR31168:SF24', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 117639),
(173914, 'PTHR31155:SF31', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 6, CHLOROPLASTIC', 117640),
(173915, 'PTHR38037', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 117641),
(173916, 'PTHR12035:SF54', NULL, NULL, NULL, NULL, 'MYELIN-ASSOCIATED GLYCOPROTEIN', 117642),
(173917, 'PTHR12542:SF89', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 117643),
(173918, 'PTHR23024:SF494', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117644),
(173919, 'PTHR31370:SF2', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FAMILY-LIKE', 117645),
(173920, 'PTHR22952:SF422', NULL, NULL, NULL, NULL, 'PROTEIN FD', 117646),
(173921, 'PTHR43329:SF4', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2', 117647),
(173922, 'PTHR31194:SF112', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF003', 117648),
(173923, 'PTHR10880:SF43', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 117649),
(173924, 'PTHR10795:SF388', NULL, NULL, NULL, NULL, 'XYLEM SERINE PROTEINASE 1', 117650),
(173925, 'PTHR24418:SF379', NULL, NULL, NULL, NULL, 'ACTIVATED CDC42 KINASE 1', 117651),
(173926, 'PTHR48108', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX2, CHLOROPLASTIC', 117652),
(173927, 'PTHR33110:SF26', NULL, NULL, NULL, NULL, 'OS10G0550400 PROTEIN', 117653),
(173928, 'PTHR42752:SF1', NULL, NULL, NULL, NULL, 'IMIDAZOLONEPROPIONASE-RELATED', 117654),
(173929, 'PTHR46193:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBBY-LIKE', 117655),
(173930, 'PTHR10353:SF257', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 117656),
(173931, 'PTHR43645:SF1', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE', 117657),
(173932, 'PTHR24271:SF68', NULL, NULL, NULL, NULL, 'KALLIKREIN-11', 117658),
(173933, 'PTHR33254', NULL, NULL, NULL, NULL, '4-HYDROXY-4-METHYL-2-OXOGLUTARATE ALDOLASE 3-RELATED', 117659),
(173934, 'PTHR24418:SF230', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 117660),
(173935, 'PTHR36288:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA A930018P22', 117661),
(173936, 'PTHR23509:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE C1020.13C-RELATED', 117662),
(173937, 'PTHR47950:SF15', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 117663),
(173938, 'PTHR34149:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG13228', 117664),
(173939, 'PTHR31917:SF3', NULL, NULL, NULL, NULL, 'BROMO ADJACENT-LIKE DOMAIN PROTEIN', 117665),
(173940, 'PTHR33098:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117666),
(173941, 'PTHR31384:SF104', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 117667),
(173942, 'PTHR46155:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 117668),
(173943, 'PTHR43406:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATE LYASE, CHLOROPLAST, PUTATIVE, EXPRESSED-RELATED', 117669),
(173944, 'PTHR11559:SF398', NULL, NULL, NULL, NULL, 'PROTEIN CBG10957', 117670),
(173945, 'PTHR33669:SF12', NULL, NULL, NULL, NULL, 'PROTEIN NEGATIVE REGULATOR OF RESISTANCE', 117671),
(173946, 'PTHR27007:SF354', NULL, NULL, NULL, NULL, 'OSJNBA0027H06.11 PROTEIN', 117672),
(173947, 'PTHR47976:SF32', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', 117673),
(173948, 'PTHR14913', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR TYPE 1-ASSOCIATED DEATH DOMAIN PROTEIN', 117674);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(173949, 'PTHR33372:SF10', NULL, NULL, NULL, NULL, 'SLR1918 PROTEIN', 117675),
(173950, 'PTHR10641:SF1163', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE ISOFORM X1', 117676),
(173951, 'PTHR31852:SF202', NULL, NULL, NULL, NULL, 'BNAC02G19700D PROTEIN', 117677),
(173952, 'PTHR45822', NULL, NULL, NULL, NULL, 'FREE FATTY ACID RECEPTOR 2-RELATED', 117678),
(173953, 'PTHR23050:SF390', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML41-RELATED', 117679),
(173954, 'PTHR43464:SF56', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TYPE 11', 117680),
(173955, 'PTHR24067:SF237', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 7-LIKE', 117681),
(173956, 'PTHR23143:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117682),
(173957, 'PTHR12103:SF34', NULL, NULL, NULL, NULL, 'HAD-SUPERFAMILY HYDROLASE, SUBFAMILY IG, 5''-NUCLEOTIDASE-RELATED', 117683),
(173958, 'PTHR47469', NULL, NULL, NULL, NULL, 'MONOOXYGENASE-LIKE', 117684),
(173959, 'PTHR31571:SF1', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 6', 117685),
(173960, 'PTHR26374:SF347', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT11', 117686),
(173961, 'PTHR10795:SF350', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.2', 117687),
(173962, 'PTHR48019:SF24', NULL, NULL, NULL, NULL, 'BNAA02G04770D PROTEIN', 117688),
(173963, 'PTHR45613:SF65', NULL, NULL, NULL, NULL, 'OS08G0369200 PROTEIN', 117689),
(173964, 'PTHR13866', NULL, NULL, NULL, NULL, 'SPARC  OSTEONECTIN', 117690),
(173965, 'PTHR15066:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 187', 117691),
(173966, 'PTHR13878:SF144', NULL, NULL, NULL, NULL, 'CYTOKININ OXIDASE/DEHYDROGENASE-LIKE PROTEIN', 117692),
(173967, 'PTHR12161:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117693),
(173968, 'PTHR14379:SF19', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/GLYCOSYL HYDROLASE-RELATED', 117694),
(173969, 'PTHR42774:SF7', NULL, NULL, NULL, NULL, 'PFKB FAMILY CARBOHYDRATE KINASE', 117695),
(173970, 'PTHR31374:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117696),
(173971, 'PTHR31851:SF60', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER HOMOLOG 2.1', 117697),
(173972, 'PTHR48013:SF13', NULL, NULL, NULL, NULL, 'SAPK/ERK KINASE', 117698),
(173973, 'PTHR12942:SF6', NULL, NULL, NULL, NULL, 'BNAC05G02170D PROTEIN', 117699),
(173974, 'PTHR15460:SF3', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 4', 117700),
(173975, 'PTHR47989:SF37', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN KINASE SELMODRAFT_444075-LIKE', 117701),
(173976, 'PTHR16223:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117702),
(173977, 'PTHR45033:SF2', NULL, NULL, NULL, NULL, 'ZINC-TYPE ALCOHOL DEHYDROGENASE-LIKE PROTEIN C1773.06C', 117703),
(173978, 'PTHR31355:SF8', NULL, NULL, NULL, NULL, 'TORTIFOLIA1-LIKE PROTEIN 3', 117704),
(173979, 'PTHR27007:SF325', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.1', 117705),
(173980, 'PTHR19282:SF41', NULL, NULL, NULL, NULL, 'TETRASPANIN-9', 117706),
(173981, 'PTHR37254', NULL, NULL, NULL, NULL, 'OS01G0100500 PROTEIN', 117707),
(173982, 'PTHR13832:SF228', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 23-RELATED', 117708),
(173983, 'PTHR24126:SF55', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN EMB506, CHLOROPLASTIC', 117709),
(173984, 'PTHR22848', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', 117710),
(173985, 'PTHR11599:SF46', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-6', 117711),
(173986, 'PTHR23070:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117712),
(173987, 'PTHR33727:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117713),
(173988, 'PTHR28108:SF1', NULL, NULL, NULL, NULL, 'SWR1-COMPLEX PROTEIN 3', 117714),
(173989, 'PTHR48007:SF47', NULL, NULL, NULL, NULL, 'BNAA09G52710D PROTEIN', 117715),
(173990, 'PTHR31343:SF51', NULL, NULL, NULL, NULL, 'BNAC07G49300D PROTEIN', 117716),
(173991, 'PTHR24221:SF565', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY PROTEIN', 117717),
(173992, 'PTHR26450:SF20', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 117718); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(173993, 'PTHR33346:SF30', NULL, NULL, NULL, NULL, 'DEHYDRIN XERO 1', 117719),
(173994, 'PTHR36473:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 3 OPEN READING FRAME 49', 117720),
(173995, 'PTHR15907:SF122', NULL, NULL, NULL, NULL, 'PLAC8-LIKE PROTEIN 1', 117721),
(173996, 'PTHR24343:SF307', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE GIN4-RELATED', 117722),
(173997, 'PTHR10261:SF7', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA', 117723),
(173998, 'PTHR24009:SF28', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 117724),
(173999, 'PTHR46776:SF22', NULL, NULL, NULL, NULL, 'BNAC04G43290D PROTEIN', 117725),
(174000, 'PTHR43748:SF5', NULL, NULL, NULL, NULL, 'ISOMERASE, PUTATIVE-RELATED', 117726),
(174001, 'PTHR19282:SF425', NULL, NULL, NULL, NULL, 'OS08G0159100 PROTEIN', 117727),
(174002, 'PTHR12277:SF168', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 117728),
(174003, 'PTHR12178', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 117729),
(174004, 'PTHR10579:SF100', NULL, NULL, NULL, NULL, 'OS12G0203500 PROTEIN', 117730),
(174005, 'PTHR10502:SF106', NULL, NULL, NULL, NULL, 'ANNEXIN', 117731),
(174006, 'PTHR31142:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117732),
(174007, 'PTHR32175:SF22', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 117733),
(174008, 'PTHR23266:SF196', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION 108A-RELATED', 117734),
(174009, 'PTHR24343:SF438', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE CATALYTIC SUBUNIT ALPHA KIN11', 117735),
(174010, 'PTHR12015', NULL, NULL, NULL, NULL, 'SMALL INDUCIBLE CYTOKINE A', 117736),
(174011, 'PTHR11136:SF0', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE SYNTHETASE-RELATED', 117737),
(174012, 'PTHR15057:SF1', NULL, NULL, NULL, NULL, 'HISTATIN-3', 117738),
(174013, 'PTHR11214:SF280', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 117739),
(174014, 'PTHR31929:SF120', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR23-LIKE', 117740),
(174015, 'PTHR30305', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 117741),
(174016, 'PTHR36019:SF3', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN', 117742),
(174017, 'PTHR14102:SF3', NULL, NULL, NULL, NULL, 'PARTITIONING DEFECTIVE 6 HOMOLOG GAMMA', 117743),
(174018, 'PTHR46104', NULL, NULL, NULL, NULL, 'GENE 9195-RELATED-RELATED', 117744),
(174019, 'PTHR47968:SF18', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7F', 117745),
(174020, 'PTHR37463', NULL, NULL, NULL, NULL, 'GSL3115 PROTEIN', 117746),
(174021, 'PTHR12300:SF53', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 117747),
(174022, 'PTHR48002:SF137', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 117748),
(174023, 'PTHR43247', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE AMINOTRANSFERASE', 117749),
(174024, 'PTHR33734:SF19', NULL, NULL, NULL, NULL, 'BNAC03G47500D PROTEIN', 117750),
(174025, 'PTHR15592:SF13', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN L-LIKE', 117751),
(174026, 'PTHR35826:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ATP6V1FNB-LIKE', 117752),
(174027, 'PTHR22943:SF137', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 117753),
(174028, 'PTHR22974:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117754),
(174029, 'PTHR34467', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 117755),
(174030, 'PTHR47945', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 84A1-RELATED', 117756),
(174031, 'PTHR12791:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117757),
(174032, 'PTHR45678', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 2-OXODICARBOXYLATE CARRIER 1-RELATED', 117758),
(174033, 'PTHR23315:SF129', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 117759),
(174034, 'PTHR13738:SF35', NULL, NULL, NULL, NULL, 'TROPONIN I, SKELETAL, SLOW C-RELATED', 117760),
(174035, 'PTHR45705:SF1', NULL, NULL, NULL, NULL, 'FI20236P1', 117761),
(174036, 'PTHR19282:SF216', NULL, NULL, NULL, NULL, 'TETRASPANIN-1', 117762),
(174037, 'PTHR45637:SF60', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL1', 117763),
(174038, 'PTHR34210:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117764),
(174039, 'PTHR11680:SF37', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE 2, MITOCHONDRIAL', 117765);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(174040, 'PTHR13264', NULL, NULL, NULL, NULL, 'GCIP-INTERACTING PROTEIN P29', 117766),
(174041, 'PTHR18945:SF853', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT BETA-LIKE', 117767),
(174042, 'PTHR31676:SF105', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 117768),
(174043, 'PTHR33641:SF17', NULL, NULL, NULL, NULL, 'AVR9/CF-9 RAPIDLY ELICITED PROTEIN', 117769),
(174044, 'PTHR12911:SF2', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 1', 117770),
(174045, 'PTHR34114:SF10', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 12', 117771),
(174046, 'PTHR31282:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117772),
(174047, 'PTHR10983:SF24', NULL, NULL, NULL, NULL, 'MIP21173P-RELATED', 117773),
(174048, 'PTHR43840:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG10923', 117774),
(174049, 'PTHR46351:SF7', NULL, NULL, NULL, NULL, 'HEVEIN-LIKE PREPROPROTEIN', 117775),
(174050, 'PTHR19446:SF431', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117776),
(174051, 'PTHR18860:SF112', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 KAPPA', 117777),
(174052, 'PTHR47700:SF1', NULL, NULL, NULL, NULL, 'V CHITINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13720)-RELATED', 117778),
(174053, 'PTHR11811:SF56', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING', 117779),
(174054, 'PTHR33594', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03035)-RELATED', 117780),
(174055, 'PTHR24232:SF6', NULL, NULL, NULL, NULL, 'PURINERGIC RECEPTOR P2Y, G-PROTEIN-COUPLED 10B', 117781),
(174056, 'PTHR26453:SF26', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 117782),
(174057, 'PTHR11530:SF6', NULL, NULL, NULL, NULL, 'D-ASPARTATE OXIDASE 3', 117783),
(174058, 'PTHR11829:SF156', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN E1', 117784),
(174059, 'PTHR36684:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX14', 117785),
(174060, 'PTHR12612:SF38', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2', 117786),
(174061, 'PTHR40763:SF5', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 117787),
(174062, 'PTHR24399:SF6', NULL, NULL, NULL, NULL, 'MYONEURIN', 117788),
(174063, 'PTHR12989:SF10', NULL, NULL, NULL, NULL, 'DOL-P-GLC:GLC(2)MAN(9)GLCNAC(2)-PP-DOL ALPHA-1,2-GLUCOSYLTRANSFERASE-RELATED', 117789),
(174064, 'PTHR33864:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117790),
(174065, 'PTHR24038', NULL, NULL, NULL, NULL, 'STABILIN', 117791),
(174066, 'PTHR12694:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 1', 117792),
(174067, 'PTHR43429:SF2', NULL, NULL, NULL, NULL, 'PYRIDINE NUCLEOTIDE-DISULFIDE OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 1', 117793),
(174068, 'PTHR31116:SF21', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE I', 117794),
(174069, 'PTHR31867:SF25', NULL, NULL, NULL, NULL, 'EXPANSIN-A17', 117795),
(174070, 'PTHR47997:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB86', 117796),
(174071, 'PTHR22792:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117797),
(174072, 'PTHR48041:SF79', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 5', 117798),
(174073, 'PTHR31589:SF131', NULL, NULL, NULL, NULL, 'OS05G0169800 PROTEIN', 117799),
(174074, 'PTHR33048:SF140', NULL, NULL, NULL, NULL, 'ATPASE, PUTATIVE (EUROFUNG)-RELATED', 117800),
(174075, 'PTHR31262:SF15', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN', 117801),
(174076, 'PTHR15069', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 1', 117802),
(174077, 'PTHR10772:SF41', NULL, NULL, NULL, NULL, 'CHAPERONIN 20-LIKE PROTEIN', 117803),
(174078, 'PTHR46220', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD12', 117804),
(174079, 'PTHR43272:SF3', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 4', 117805),
(174080, 'PTHR47999:SF67', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB4', 117806),
(174081, 'PTHR44272:SF6', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 15-LIKE', 117807),
(174082, 'PTHR23023:SF118', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', 117808);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(174083, 'PTHR31676:SF91', NULL, NULL, NULL, NULL, 'OS07G0120600-LIKE PROTEIN', 117809),
(174084, 'PTHR33214:SF30', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 117810),
(174085, 'PTHR47123:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117811),
(174086, 'PTHR33304:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117812),
(174087, 'PTHR43409:SF4', NULL, NULL, NULL, NULL, 'RADICAL SAM SUPERFAMILY PROTEIN-RELATED', 117813),
(174088, 'PTHR23155:SF999', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPM1', 117814),
(174089, 'PTHR31223:SF16', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOGL7-RELATED', 117815),
(174090, 'PTHR31062:SF16', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 117816),
(174091, 'PTHR43939:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117817),
(174092, 'PTHR45934:SF17', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT URATE HYDROXYLASE-LIKE', 117818),
(174093, 'PTHR45086', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN PCN', 117819),
(174094, 'PTHR14155:SF584', NULL, NULL, NULL, NULL, 'OS01G0755700 PROTEIN', 117820),
(174095, 'PTHR32444:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117821),
(174096, 'PTHR31044:SF39', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN PROTEIN', 117822),
(174097, 'PTHR35813', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YBAN', 117823),
(174098, 'PTHR15258:SF3', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR-BINDING PROTEIN 3', 117824),
(174099, 'PTHR16223:SF203', NULL, NULL, NULL, NULL, 'BNAA02G07950D PROTEIN', 117825),
(174100, 'PTHR27002:SF803', NULL, NULL, NULL, NULL, 'OS07G0628900 PROTEIN', 117826),
(174101, 'PTHR43537:SF18', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE OPERON REGULATORY PROTEIN-RELATED', 117827),
(174102, 'PTHR32266:SF12', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE 3', 117828),
(174103, 'PTHR33103:SF57', NULL, NULL, NULL, NULL, 'BNACNNG03830D PROTEIN', 117829),
(174104, 'PTHR12015:SF72', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 21', 117830),
(174105, 'PTHR37181', NULL, NULL, NULL, NULL, 'F6A14.6 PROTEIN', 117831),
(174106, 'PTHR10334:SF431', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN PRMS-LIKE', 117832),
(174107, 'PTHR33248:SF23', NULL, NULL, NULL, NULL, 'OS07G0103000 PROTEIN', 117833),
(174108, 'PTHR30029:SF2', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN R', 117834),
(174109, 'PTHR45920:SF4', NULL, NULL, NULL, NULL, 'FORMIN HOMOLOGY 2 DOMAIN CONTAINING, ISOFORM I', 117835),
(174110, 'PTHR16674:SF2', NULL, NULL, NULL, NULL, 'B-LYMPHOCYTE ANTIGEN CD19', 117836),
(174111, 'PTHR33170:SF24', NULL, NULL, NULL, NULL, 'OS01G0148500 PROTEIN', 117837),
(174112, 'PTHR45932:SF17', NULL, NULL, NULL, NULL, 'PATELLIN-1', 117838),
(174113, 'PTHR33373:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117839),
(174114, 'PTHR45881:SF1', NULL, NULL, NULL, NULL, 'CHECKPOINT SUPPRESSOR 1-LIKE, ISOFORM A-RELATED', 117840),
(174115, 'PTHR30352:SF22', NULL, NULL, NULL, NULL, 'PYRUVATE FORMATE-LYASE ACTIVATING ENZYME HOMOLOG', 117841),
(174116, 'PTHR42920:SF22', NULL, NULL, NULL, NULL, 'PERMEASE-LIKE PROTEIN YDZE-RELATED', 117842),
(174117, 'PTHR42872:SF3', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMATE METHYLESTERASE/PROTEIN-GLUTAMINE GLUTAMINASE', 117843),
(174118, 'PTHR33543:SF26', NULL, NULL, NULL, NULL, 'BNAC02G03550D PROTEIN', 117844),
(174119, 'PTHR12236:SF75', NULL, NULL, NULL, NULL, 'CCP84AA-RELATED', 117845),
(174120, 'PTHR15146:SF7', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 137', 117846),
(174121, 'PTHR24408:SF38', NULL, NULL, NULL, NULL, 'RE23320P-RELATED', 117847),
(174122, 'PTHR23517:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117848),
(174123, 'PTHR45914:SF34', NULL, NULL, NULL, NULL, 'BNAC08G21730D PROTEIN', 117849),
(174124, 'PTHR24185:SF4', NULL, NULL, NULL, NULL, 'SERINE HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G07870)-RELATED', 117850),
(174125, 'PTHR24412:SF250', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 12', 117851);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(174126, 'PTHR23292:SF27', NULL, NULL, NULL, NULL, 'SI:CH211-202H22.7-RELATED', 117852),
(174127, 'PTHR43326', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA SYNTHETASE', 117853),
(174128, 'PTHR24281:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117854),
(174129, 'PTHR31175:SF47', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR66-LIKE', 117855),
(174130, 'PTHR33417:SF1', NULL, NULL, NULL, NULL, 'B12D PROTEIN', 117856),
(174131, 'PTHR10004:SF8', NULL, NULL, NULL, NULL, 'OS06G0538200 PROTEIN', 117857),
(174132, 'PTHR42342', NULL, NULL, NULL, NULL, 'STATIONARY PHASE PROTEIN 5', 117858),
(174133, 'PTHR24064:SF198', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 13', 117859),
(174134, 'PTHR31677:SF160', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF086-LIKE', 117860),
(174135, 'PTHR19290:SF97', NULL, NULL, NULL, NULL, 'CLASS A BASIC HELIX-LOOP-HELIX PROTEIN 15', 117861),
(174136, 'PTHR19229:SF205', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 1-RELATED', 117862),
(174137, 'PTHR15970:SF7', NULL, NULL, NULL, NULL, 'ELL-ASSOCIATED FACTOR 2', 117863),
(174138, 'PTHR23024:SF527', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 11-RELATED', 117864),
(174139, 'PTHR11761:SF27', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L14, CHLOROPLASTIC', 117865),
(174140, 'PTHR47353', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN HCF164, CHLOROPLASTIC', 117866),
(174141, 'PTHR47991:SF57', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', 117867),
(174142, 'PTHR11945:SF620', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117868),
(174143, 'PTHR43787:SF8', NULL, NULL, NULL, NULL, 'PYRUVATE FORMATE-LYASE ACTIVATING ENZYME HOMOLOG', 117869),
(174144, 'PTHR43061:SF1', NULL, NULL, NULL, NULL, 'GTP DIPHOSPHOKINASE RSH1, CHLOROPLASTIC-RELATED', 117870),
(174145, 'PTHR45757:SF32', NULL, NULL, NULL, NULL, 'PROTEIN CBG09321', 117871),
(174146, 'PTHR23128:SF135', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-27', 117872),
(174147, 'PTHR43899:SF21', NULL, NULL, NULL, NULL, 'OSJNBB0050O03.5 PROTEIN', 117873),
(174148, 'PTHR23222:SF14', NULL, NULL, NULL, NULL, 'PROHIBITIN', 117874),
(174149, 'PTHR47435:SF5', NULL, NULL, NULL, NULL, 'NITRILE-SPECIFIER PROTEIN 1-RELATED', 117875),
(174150, 'PTHR10417:SF9', NULL, NULL, NULL, NULL, 'SP140 NUCLEAR BODY PROTEIN', 117876),
(174151, 'PTHR45006:SF1', NULL, NULL, NULL, NULL, 'DNAJ-LIKE PROTEIN 1', 117877),
(174152, 'PTHR11017:SF284', NULL, NULL, NULL, NULL, 'BNAC03G72990D PROTEIN', 117878),
(174153, 'PTHR12329:SF5', NULL, NULL, NULL, NULL, 'STARVIN, ISOFORM E', 117879),
(174154, 'PTHR10985:SF104', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HES-5', 117880),
(174155, 'PTHR12080:SF44', NULL, NULL, NULL, NULL, 'T-LYMPHOCYTE SURFACE ANTIGEN LY-9', 117881),
(174156, 'PTHR13533:SF16', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 14-RELATED', 117882),
(174157, 'PTHR13061:SF46', NULL, NULL, NULL, NULL, 'BNACNNG50110D PROTEIN', 117883),
(174158, 'PTHR19302:SF14', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT 3', 117884),
(174159, 'PTHR11909:SF390', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE PROTEIN', 117885),
(174160, 'PTHR31744:SF160', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 100-LIKE ISOFORM X1', 117886),
(174161, 'PTHR37992', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 117887),
(174162, 'PTHR16223:SF258', NULL, NULL, NULL, NULL, 'HLH DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 117888),
(174163, 'PTHR45947', NULL, NULL, NULL, NULL, 'SULFOQUINOVOSYL TRANSFERASE SQD2', 117889),
(174164, 'PTHR43424', NULL, NULL, NULL, NULL, 'LOCUS PUTATIVE PROTEIN 1-RELATED', 117890),
(174165, 'PTHR11693:SF34', NULL, NULL, NULL, NULL, 'BNAC03G29960D PROTEIN', 117891),
(174166, 'PTHR23192:SF49', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-LIKE PROTEIN 3B', 117892),
(174167, 'PTHR24256:SF462', NULL, NULL, NULL, NULL, 'FI06461P-RELATED', 117893),
(174168, 'PTHR48034:SF4', NULL, NULL, NULL, NULL, 'NUCLEOLIN', 117894),
(174169, 'PTHR33799:SF9', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE-SPECIFIC PHOSPHOTRANSFERASE ENZYME IIB COMPONENT 1-RELATED', 117895);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(174170, 'PTHR21652:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117896),
(174171, 'PTHR34365:SF7', NULL, NULL, NULL, NULL, 'GLYCINE-RICH DOMAIN-CONTAINING PROTEIN 1', 117897),
(174172, 'PTHR24023:SF1000', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117898),
(174173, 'PTHR23360:SF38', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 117899),
(174174, 'PTHR48021:SF31', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 5 ISOFORM X1', 117900),
(174175, 'PTHR31062:SF231', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 117901),
(174176, 'PTHR18966:SF439', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 117902),
(174177, 'PTHR14043:SF15', NULL, NULL, NULL, NULL, 'CUT-LIKE HOMEOBOX 1B', 117903),
(174178, 'PTHR48019:SF18', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', 117904),
(174179, 'PTHR31213:SF93', NULL, NULL, NULL, NULL, 'MAJOR ALLERGEN PRU AV 1-LIKE', 117905),
(174180, 'PTHR10462:SF46', NULL, NULL, NULL, NULL, 'N-ACETYLLACTOSAMINIDE ALPHA-1,3-GALACTOSYLTRANSFERASE-LIKE 1', 117906),
(174181, 'PTHR47364:SF8', NULL, NULL, NULL, NULL, 'BNAC08G48010D PROTEIN', 117907),
(174182, 'PTHR10796:SF100', NULL, NULL, NULL, NULL, 'PROTEIN CBR-DAF-6', 117908),
(174183, 'PTHR33110:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117909),
(174184, 'PTHR48022:SF6', NULL, NULL, NULL, NULL, 'MSTA PROTEIN', 117910),
(174185, 'PTHR10209:SF723', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117911),
(174186, 'PTHR13148:SF13', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', 117912),
(174187, 'PTHR45719:SF19', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14B-LIKE', 117913),
(174188, 'PTHR34563:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117914),
(174189, 'PTHR10827:SF45', NULL, NULL, NULL, NULL, 'CALEXCITIN-2', 117915),
(174190, 'PTHR10992:SF1060', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117916),
(174191, 'PTHR33167:SF18', NULL, NULL, NULL, NULL, 'GB|AAF67766.1', 117917),
(174192, 'PTHR10130', NULL, NULL, NULL, NULL, 'PEROXISOMAL TARGETING SIGNAL 1 RECEPTOR  PEX5', 117918),
(174193, 'PTHR23098:SF15', NULL, NULL, NULL, NULL, 'SI:CH211-261D7.3', 117919),
(174194, 'PTHR47503', NULL, NULL, NULL, NULL, 'PURKINJE CELL PROTEIN 2', 117920),
(174195, 'PTHR32141:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117921),
(174196, 'PTHR45638:SF14', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE GATED CHANNEL', 117922),
(174197, 'PTHR11783:SF156', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 1A1', 117923),
(174198, 'PTHR22968:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D2', 117924),
(174199, 'PTHR33264:SF42', NULL, NULL, NULL, NULL, 'BNAA05G33790D PROTEIN', 117925),
(174200, 'PTHR12542:SF115', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 117926),
(174201, 'PTHR47958:SF103', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX41-RELATED', 117927),
(174202, 'PTHR34223:SF13', NULL, NULL, NULL, NULL, 'OS08G0197400 PROTEIN', 117928),
(174203, 'PTHR10706:SF144', NULL, NULL, NULL, NULL, 'OS02G0260200 PROTEIN', 117929),
(174204, 'PTHR31920:SF75', NULL, NULL, NULL, NULL, 'BNAANNG11010D PROTEIN', 117930),
(174205, 'PTHR33371:SF15', NULL, NULL, NULL, NULL, 'LIPOPROTEIN LPRN', 117931),
(174206, 'PTHR31989:SF351', NULL, NULL, NULL, NULL, 'BNAA09G51630D PROTEIN', 117932),
(174207, 'PTHR11559:SF370', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE-RELATED', 117933),
(174208, 'PTHR11559:SF188', NULL, NULL, NULL, NULL, 'PROTEIN CBG02889', 117934),
(174209, 'PTHR48009:SF5', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 117935),
(174210, 'PTHR13778:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 8 DOMAIN-CONTAINING PROTEIN 2', 117936),
(174211, 'PTHR46334', NULL, NULL, NULL, NULL, 'COSTARS FAMILY PROTEIN ABRACL', 117937),
(174212, 'PTHR45527:SF7', NULL, NULL, NULL, NULL, 'HYDROXAMATE-TYPE FERRICHROME SIDEROPHORE PEPTIDE SYNTHETASE', 117938),
(174213, 'PTHR31989:SF36', NULL, NULL, NULL, NULL, 'OS06G0726300 PROTEIN', 117939),
(174214, 'PTHR43323:SF15', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', 117940);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(174215, 'PTHR31969:SF47', NULL, NULL, NULL, NULL, 'BNAC02G41650D PROTEIN', 117941),
(174216, 'PTHR13743:SF134', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN LVSC', 117942),
(174217, 'PTHR31268:SF12', NULL, NULL, NULL, NULL, 'STACHYOSE SYNTHASE-LIKE', 117943),
(174218, 'PTHR13222:SF4', NULL, NULL, NULL, NULL, 'BNAA03G50540D PROTEIN', 117944),
(174219, 'PTHR38839:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR WHIB7-RELATED', 117945),
(174220, 'PTHR34992:SF5', NULL, NULL, NULL, NULL, 'ANCHORED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G02800)-RELATED', 117946),
(174221, 'PTHR10589:SF16', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE ISOZYME L5', 117947),
(174222, 'PTHR30026:SF8', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN TOLC, PUTATIVE-RELATED', 117948),
(174223, 'PTHR11843:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 117949),
(174224, 'PTHR12601:SF39', NULL, NULL, NULL, NULL, 'PROTEIN TSS', 117950),
(174225, 'PTHR46169:SF14', NULL, NULL, NULL, NULL, 'SIN3-HDAC COMPLEX-ASSOCIATED FACTOR,-LIKE-RELATED', 117951),
(174226, 'PTHR13954:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117952),
(174227, 'PTHR48196', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 117953),
(174228, 'PTHR48002:SF121', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4A4-RELATED', 117954),
(174229, 'PTHR27005:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117955),
(174230, 'PTHR31245:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117956),
(174231, 'PTHR27009:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117957),
(174232, 'PTHR36369:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 117958),
(174233, 'PTHR43866:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117959),
(174234, 'PTHR10361:SF30', NULL, NULL, NULL, NULL, 'SODIUM/METABOLITE COTRANSPORTER BASS6, CHLOROPLASTIC-RELATED', 117960),
(174235, 'PTHR10223:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117961),
(174236, 'PTHR24373:SF307', NULL, NULL, NULL, NULL, 'TLR4 INTERACTOR WITH LEUCINE RICH REPEATS', 117962),
(174237, 'PTHR23152:SF27', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE, E1 COMPONENT', 117963),
(174238, 'PTHR11567:SF196', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE FAMILY', 117964),
(174239, 'PTHR47152:SF3', NULL, NULL, NULL, NULL, 'SLR1613 PROTEIN', 117965),
(174240, 'PTHR47136:SF1', NULL, NULL, NULL, NULL, 'SYNEMIN', 117966),
(174241, 'PTHR24390:SF140', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 763', 117967),
(174242, 'PTHR11260:SF573', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117968),
(174243, 'PTHR13372:SF3', NULL, NULL, NULL, NULL, 'MULTICILIN', 117969),
(174244, 'PTHR47919:SF2', NULL, NULL, NULL, NULL, 'INFECTION RESPONSE PROTEIN', 117970),
(174245, 'PTHR35001:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117971),
(174246, 'PTHR47122', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 117972),
(174247, 'PTHR11647:SF58', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINASE-RELATED PROTEIN 5', 117973),
(174248, 'PTHR11738:SF154', NULL, NULL, NULL, NULL, 'LEUKOCYTE-ASSOCIATED IMMUNOGLOBULIN-LIKE RECEPTOR 1', 117974),
(174249, 'PTHR33595:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117975),
(174250, 'PTHR31989:SF373', NULL, NULL, NULL, NULL, 'BNAC02G44420D PROTEIN', 117976),
(174251, 'PTHR12215', NULL, NULL, NULL, NULL, 'PHOSPHOPANTETHEINE TRANSFERASE', 117977),
(174252, 'PTHR27001:SF543', NULL, NULL, NULL, NULL, 'OS10G0516200 PROTEIN', 117978),
(174253, 'PTHR13140:SF729', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, UNCONVENTIONAL MYOSIN', 117979),
(174254, 'PTHR24024:SF15', NULL, NULL, NULL, NULL, 'PULMONARY SURFACTANT-ASSOCIATED PROTEIN D', 117980),
(174255, 'PTHR11360:SF19', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 13', 117981),
(174256, 'PTHR22943:SF64', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 117982),
(174257, 'PTHR39161:SF1', NULL, NULL, NULL, NULL, 'ADAPTER PROTEIN MECA', 117983),
(174258, 'PTHR18959:SF100', NULL, NULL, NULL, NULL, 'CALPONIN-LIKE PROTEINS-RELATED', 117984),
(174259, 'PTHR22761:SF64', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 32 HOMOLOG 2', 117985); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(174260, 'PTHR24056:SF401', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', 117986),
(174261, 'PTHR38624', NULL, NULL, NULL, NULL, 'PROTEIN CBG08397-RELATED', 117987),
(174262, 'PTHR11969:SF33', NULL, NULL, NULL, NULL, 'MAX-BINDING PROTEIN MNT', 117988),
(174263, 'PTHR31208:SF3', NULL, NULL, NULL, NULL, 'OS01G0953500 PROTEIN', 117989),
(174264, 'PTHR24343:SF419', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117990),
(174265, 'PTHR43133:SF14', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR-RELATED', 117991),
(174266, 'PTHR15491:SF13', NULL, NULL, NULL, NULL, 'CDKN1A-INTERACTING ZINC FINGER PROTEIN 1A', 117992),
(174267, 'PTHR37372:SF2', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN GRP5', 117993),
(174268, 'PTHR35502', NULL, NULL, NULL, NULL, 'PROTEIN MICROTUBULE BINDING PROTEIN 2C', 117994),
(174269, 'PTHR30543:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-DEPENDENT FMN REDUCTASE LOT6', 117995),
(174270, 'PTHR32052:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 117996),
(174271, 'PTHR46292:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 102A', 117997),
(174272, 'PTHR23410:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L5-LIKE', 117998),
(174273, 'PTHR22642', NULL, NULL, NULL, NULL, 'IMIDAZOLONEPROPIONASE', 117999),
(174274, 'PTHR45651:SF82', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE GATED CHANNEL 5-RELATED', 118000),
(174275, 'PTHR48196:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118001),
(174276, 'PTHR32133:SF327', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118002),
(174277, 'PTHR31989:SF342', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118003),
(174278, 'PTHR23202:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118004),
(174279, 'PTHR46389:SF3', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN PC', 118005),
(174280, 'PTHR33463:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118006),
(174281, 'PTHR13929:SF0', NULL, NULL, NULL, NULL, 'UBIA PRENYLTRANSFERASE DOMAIN-CONTAINING PROTEIN 1', 118007),
(174282, 'PTHR48017:SF81', NULL, NULL, NULL, NULL, 'OS04G0201800 PROTEIN', 118008),
(174283, 'PTHR27007:SF331', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118009),
(174284, 'PTHR12741:SF16', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 7', 118010),
(174285, 'PTHR46368:SF8', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE FAMILY, NAD-BINDING ROSSMANN FOLD PROTEIN', 118011),
(174286, 'PTHR11675:SF17', NULL, NULL, NULL, NULL, 'INACTIVE POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE-LIKE PROTEIN 5', 118012),
(174287, 'PTHR10625:SF185', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 19', 118013),
(174288, 'PTHR47022:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08764', 118014),
(174289, 'PTHR47993:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118015),
(174290, 'PTHR10551:SF1', NULL, NULL, NULL, NULL, 'FASCIN-3', 118016),
(174291, 'PTHR47488:SF13', NULL, NULL, NULL, NULL, 'BNAA01G17470D PROTEIN', 118017),
(174292, 'PTHR14110:SF16', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLOCASE/ PROTEIN TRANSPORTER', 118018),
(174293, 'PTHR35218:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118019),
(174294, 'PTHR11616:SF272', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT DOPAMINE TRANSPORTER', 118020),
(174295, 'PTHR16240', NULL, NULL, NULL, NULL, 'PROTEIN MENT', 118021),
(174296, 'PTHR24281:SF105', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP73A100-LIKE', 118022),
(174297, 'PTHR44019:SF8', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 55', 118023),
(174298, 'PTHR46931:SF2', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC2', 118024),
(174299, 'PTHR10378:SF8', NULL, NULL, NULL, NULL, 'LIM DOMAIN-BINDING PROTEIN 2', 118025),
(174300, 'PTHR11733:SF199', NULL, NULL, NULL, NULL, 'NEPRILYSIN-4-RELATED', 118026),
(174301, 'PTHR12265', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 118027),
(174302, 'PTHR10285:SF135', NULL, NULL, NULL, NULL, 'URACIL PHOSPHORIBOSYLTRANSFERASE 2', 118028),
(174303, 'PTHR33207:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118029),
(174304, 'PTHR46445:SF11', NULL, NULL, NULL, NULL, 'BNACNNG37970D PROTEIN', 118030);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(174305, 'PTHR47980:SF14', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABE1D', 118031),
(174306, 'PTHR21470:SF2', NULL, NULL, NULL, NULL, 'RAB6-INTERACTING GOLGIN', 118032),
(174307, 'PTHR11124:SF12', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 29', 118033),
(174308, 'PTHR23226:SF142', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 75C-RELATED', 118034),
(174309, 'PTHR31280:SF5', NULL, NULL, NULL, NULL, 'OS10G0264950 PROTEIN', 118035),
(174310, 'PTHR34989:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HDED', 118036),
(174311, 'PTHR24388:SF69', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN PLAG1', 118037),
(174312, 'PTHR35396', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 118038),
(174313, 'PTHR46800:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 118039),
(174314, 'PTHR35286', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 118040),
(174315, 'PTHR13439:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FAM57B', 118041),
(174316, 'PTHR13451', NULL, NULL, NULL, NULL, 'CLASS II CROSSOVER JUNCTION ENDONUCLEASE MUS81', 118042),
(174317, 'PTHR33469:SF13', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 4', 118043),
(174318, 'PTHR14754:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 9', 118044),
(174319, 'PTHR12756:SF9', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE 6', 118045),
(174320, 'PTHR32347:SF14', NULL, NULL, NULL, NULL, 'EFFLUX SYSTEM COMPONENT YKNX-RELATED', 118046),
(174321, 'PTHR39072', NULL, NULL, NULL, NULL, 'RE48511P', 118047),
(174322, 'PTHR23266:SF324', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-9', 118048),
(174323, 'PTHR12815:SF32', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PROTEIN 80, CHLOROPLASTIC', 118049),
(174324, 'PTHR26454:SF74', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 118050),
(174325, 'PTHR45908:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG10127', 118051),
(174326, 'PTHR24031:SF729', NULL, NULL, NULL, NULL, 'BNAA01G17110D PROTEIN', 118052),
(174327, 'PTHR43859:SF19', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 5 PEROXISOMAL-RELATED', 118053),
(174328, 'PTHR31170:SF9', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED', 118054),
(174329, 'PTHR11036:SF14', NULL, NULL, NULL, NULL, 'SEMAPHORIN-4B', 118055),
(174330, 'PTHR23236:SF49', NULL, NULL, NULL, NULL, 'GALECTIN', 118056),
(174331, 'PTHR31499:SF60', NULL, NULL, NULL, NULL, 'OS02G0700300 PROTEIN', 118057),
(174332, 'PTHR31194:SF153', NULL, NULL, NULL, NULL, 'BNAA02G35550D PROTEIN', 118058),
(174333, 'PTHR46440:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C12', 118059),
(174334, 'PTHR24185:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-INDEPENDENT PHOSPHOLIPASE A2-GAMMA', 118060),
(174335, 'PTHR13191', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA PROCESSING PROTEIN 7-RELATED', 118061),
(174336, 'PTHR11802:SF389', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 5', 118062),
(174337, 'PTHR19306:SF9', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 6B', 118063),
(174338, 'PTHR10903:SF152', NULL, NULL, NULL, NULL, 'PROTEIN AIG1-LIKE', 118064),
(174339, 'PTHR23149:SF9', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 4', 118065),
(174340, 'PTHR42673:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118066),
(174341, 'PTHR31867:SF154', NULL, NULL, NULL, NULL, 'EXPANSIN', 118067),
(174342, 'PTHR33690:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118068),
(174343, 'PTHR10795:SF729', NULL, NULL, NULL, NULL, 'BNAA03G58460D PROTEIN', 118069),
(174344, 'PTHR23407', NULL, NULL, NULL, NULL, 'ATPASE INHIBITOR/5-FORMYLTETRAHYDROFOLATE CYCLO-LIGASE', 118070),
(174345, 'PTHR13367:SF26', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 62', 118071),
(174346, 'PTHR24028:SF298', NULL, NULL, NULL, NULL, 'CADHERIN 88C', 118072),
(174347, 'PTHR35270:SF2', NULL, NULL, NULL, NULL, 'FUSELESS, ISOFORM A', 118073),
(174348, 'PTHR40661:SF2', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PRTR', 118074),
(174349, 'PTHR15818:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118075),
(174350, 'PTHR11827:SF46', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 4', 118076);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(174351, 'PTHR23500:SF472', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 8', 118077),
(174352, 'PTHR35093:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE LONG-CHAIN FATTY ACID RECEPTOR FADL FAMILY', 118078),
(174353, 'PTHR15727:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DZIP3', 118079),
(174354, 'PTHR43495:SF6', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE', 118080),
(174355, 'PTHR31953:SF60', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV3', 118081),
(174356, 'PTHR33221:SF5', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YWGB-RELATED', 118082),
(174357, 'PTHR31415:SF139', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY-RELATED', 118083),
(174358, 'PTHR46709:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG03107', 118084),
(174359, 'PTHR47979:SF59', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1F', 118085),
(174360, 'PTHR45647:SF52', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', 118086),
(174361, 'PTHR12446:SF55', NULL, NULL, NULL, NULL, 'BNAA04G10170D PROTEIN', 118087),
(174362, 'PTHR31634', NULL, NULL, NULL, NULL, 'BLOC-1-RELATED COMPLEX SUBUNIT 5', 118088),
(174363, 'PTHR11817:SF86', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 118089),
(174364, 'PTHR10896:SF8', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE 2', 118090),
(174365, 'PTHR42866:SF8', NULL, NULL, NULL, NULL, '3-DEOXY-MANNO-OCTULOSONATE CYTIDYLYLTRANSFERASE, MITOCHONDRIAL-LIKE', 118091),
(174366, 'PTHR31496:SF38', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS PROTEIN', 118092),
(174367, 'PTHR22883:SF331', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 118093),
(174368, 'PTHR31072:SF164', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CYCLOIDEA-LIKE ISOFORM X1', 118094),
(174369, 'PTHR46655:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATXR3', 118095),
(174370, 'PTHR14167:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118096),
(174371, 'PTHR21503:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG05756', 118097),
(174372, 'PTHR24056:SF186', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE F-2-RELATED', 118098),
(174373, 'PTHR23500:SF545', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN MST2', 118099),
(174374, 'PTHR24247:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118100),
(174375, 'PTHR47967:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118101),
(174376, 'PTHR42044:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118102),
(174377, 'PTHR28631:SF1', NULL, NULL, NULL, NULL, 'UPF0692 PROTEIN C19ORF54', 118103),
(174378, 'PTHR31451:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118104),
(174379, 'PTHR24121:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118105),
(174380, 'PTHR33102:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118106),
(174381, 'PTHR43720:SF2', NULL, NULL, NULL, NULL, '2-AMINOMUCONIC SEMIALDEHYDE DEHYDROGENASE', 118107),
(174382, 'PTHR35243:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118108),
(174383, 'PTHR47048', NULL, NULL, NULL, NULL, 'PROTEIN SCAF11', 118109),
(174384, 'PTHR12053', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY M28 PLASMA GLUTAMATE CARBOXYPEPTIDASE-RELATED', 118110),
(174385, 'PTHR13748', NULL, NULL, NULL, NULL, 'COBW-RELATED', 118111),
(174386, 'PTHR43555', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE SUBUNIT PURL', 118112),
(174387, 'PTHR12290:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON', 118113),
(174388, 'PTHR34376:SF9', NULL, NULL, NULL, NULL, 'SERINE-TYPE ENDOPEPTIDASE INHIBITOR', 118114),
(174389, 'PTHR10653:SF0', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA', 118115),
(174390, 'PTHR46278:SF6', NULL, NULL, NULL, NULL, 'BNAA09G26740D PROTEIN', 118116),
(174391, 'PTHR31325:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118117),
(174392, 'PTHR11654:SF189', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PEPTIDE TRANSPORTER (EUROFUNG)', 118118),
(174393, 'PTHR19970:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118119);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(174394, 'PTHR24298:SF847', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 87 SUBFAMILY A POLYPEPTIDE 6', 118120),
(174395, 'PTHR12411:SF666', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118121),
(174396, 'PTHR35017:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG09605', 118122),
(174397, 'PTHR24132', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 6', 118123),
(174398, 'PTHR31314:SF121', NULL, NULL, NULL, NULL, 'OS08G0346500 PROTEIN', 118124),
(174399, 'PTHR24246:SF47', NULL, NULL, NULL, NULL, 'ADENOSINE RECEPTOR A2A', 118125),
(174400, 'PTHR24062:SF1', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 118126),
(174401, 'PTHR12268:SF23', NULL, NULL, NULL, NULL, 'DYSTROPHIN', 118127),
(174402, 'PTHR32401', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN FAMILY PROTEIN', 118128),
(174403, 'PTHR27009:SF26', NULL, NULL, NULL, NULL, 'OSJNBB0022F16.11 PROTEIN', 118129),
(174404, 'PTHR35185', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-RICH PROTEIN ADG2-RELATED', 118130),
(174405, 'PTHR11040:SF41', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 7', 118131),
(174406, 'PTHR36023:SF6', NULL, NULL, NULL, NULL, 'ARGOS9', 118132),
(174407, 'PTHR31506:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118133),
(174408, 'PTHR31376:SF91', NULL, NULL, NULL, NULL, 'BNAA05G09910D PROTEIN', 118134),
(174409, 'PTHR31875:SF26', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19-RELATED', 118135),
(174410, 'PTHR10281:SF91', NULL, NULL, NULL, NULL, 'BINDING DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G16510)-RELATED', 118136),
(174411, 'PTHR14102:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG16414', 118137),
(174412, 'PTHR20275:SF13', NULL, NULL, NULL, NULL, 'NAD KINASE 1', 118138),
(174413, 'PTHR10953:SF219', NULL, NULL, NULL, NULL, 'ENZYME E1, PUTATIVE-RELATED', 118139),
(174414, 'PTHR11604:SF6', NULL, NULL, NULL, NULL, 'PROFILIN-1', 118140),
(174415, 'PTHR15136:SF9', NULL, NULL, NULL, NULL, 'STROMAL INTERACTION MOLECULE 1', 118141),
(174416, 'PTHR47933:SF21', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 118142),
(174417, 'PTHR32133', NULL, NULL, NULL, NULL, 'OS07G0120400 PROTEIN', 118143),
(174418, 'PTHR39585', NULL, NULL, NULL, NULL, 'FAD ASSEMBLY FACTOR SDHE', 118144),
(174419, 'PTHR24224:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG18476', 118145),
(174420, 'PTHR43795:SF84', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', 118146),
(174421, 'PTHR31589:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118147),
(174422, 'PTHR14198:SF18', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 4 L6 FAMILY MEMBER 1', 118148),
(174423, 'PTHR43539:SF22', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 118149),
(174424, 'PTHR22945:SF84', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 118150),
(174425, 'PTHR23226:SF297', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 37A', 118151),
(174426, 'PTHR11697:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118152),
(174427, 'PTHR31218:SF218', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 118153),
(174428, 'PTHR11558:SF25', NULL, NULL, NULL, NULL, 'SPERMINE SYNTHASE', 118154),
(174429, 'PTHR31549:SF146', NULL, NULL, NULL, NULL, 'OS01G0564600 PROTEIN', 118155),
(174430, 'PTHR11616:SF236', NULL, NULL, NULL, NULL, 'TRANSPORTER', 118156),
(174431, 'PTHR10159:SF511', NULL, NULL, NULL, NULL, 'MAP KINASE PHOSPHATASE WITH LEUCINE-RICH REPEATS PROTEIN 3', 118157),
(174432, 'PTHR47956:SF34', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D7', 118158),
(174433, 'PTHR45432', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 11, CHLOROPLASTIC-LIKE', 118159),
(174434, 'PTHR22829:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118160),
(174435, 'PTHR43243:SF60', NULL, NULL, NULL, NULL, 'LD37241P', 118161),
(174436, 'PTHR15597:SF44', NULL, NULL, NULL, NULL, 'PIP-1', 118162),
(174437, 'PTHR10553:SF29', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', 118163),
(174438, 'PTHR31792:SF5', NULL, NULL, NULL, NULL, 'VACUOLAR ATPASE ASSEMBLY INTEGRAL MEMBRANE PROTEIN VMA21', 118164),
(174439, 'PTHR22611:SF2', NULL, NULL, NULL, NULL, 'PROTEIN NAKED CUTICLE HOMOLOG 1', 118165);
INSERT INTO "PUBLIC"."MODEL" VALUES
(174440, 'PTHR31062:SF113', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 118166),
(174441, 'PTHR13594:SF2', NULL, NULL, NULL, NULL, 'SI:CH73-100L22.3', 118167),
(174442, 'PTHR19269:SF38', NULL, NULL, NULL, NULL, 'TROPOMYOSIN ALPHA-3 CHAIN', 118168),
(174443, 'PTHR47992:SF55', NULL, NULL, NULL, NULL, 'BNAA10G30150D PROTEIN', 118169),
(174444, 'PTHR11353:SF54', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ZETA', 118170),
(174445, 'PTHR47562:SF2', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE-RELATED', 118171),
(174446, 'PTHR37553:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118172),
(174447, 'PTHR12804:SF7', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 3', 118173),
(174448, 'PTHR13780:SF107', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX5-LIKE', 118174),
(174449, 'PTHR35697', NULL, NULL, NULL, NULL, 'OS08G0108300 PROTEIN', 118175),
(174450, 'PTHR31636:SF56', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 30', 118176),
(174451, 'PTHR23327:SF42', NULL, NULL, NULL, NULL, 'LON PEPTIDASE N-TERMINAL DOMAIN AND RING FINGER PROTEIN C14F5.10C', 118177),
(174452, 'PTHR31589:SF126', NULL, NULL, NULL, NULL, 'SIMILARITY TO CARBOXYL-TERMINAL PROTEINASE', 118178),
(174453, 'PTHR37882', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC690352', 118179),
(174454, 'PTHR28593:SF3', NULL, NULL, NULL, NULL, 'METEORIN-LIKE PROTEIN', 118180),
(174455, 'PTHR31388:SF176', NULL, NULL, NULL, NULL, 'PEROXIDASE 22-RELATED', 118181),
(174456, 'PTHR48027:SF3', NULL, NULL, NULL, NULL, 'TRANSFORMER-2 PROTEIN HOMOLOG', 118182),
(174457, 'PTHR33222:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CURVATURE THYLAKOID 1A, CHLOROPLASTIC', 118183),
(174458, 'PTHR24340:SF75', NULL, NULL, NULL, NULL, 'H6 FAMILY HOMEOBOX 2', 118184),
(174459, 'PTHR46100:SF13', NULL, NULL, NULL, NULL, 'BNAANNG24100D PROTEIN', 118185),
(174460, 'PTHR46971', NULL, NULL, NULL, NULL, 'CALCINEURIN B SUBUNIT (PROTEIN PHOSPHATASE 2B REGULATORY SUBUNIT)-LIKE PROTEIN', 118186),
(174461, 'PTHR46038:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118187),
(174462, 'PTHR43139:SF45', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 118188),
(174463, 'PTHR22998', NULL, NULL, NULL, NULL, 'SARM1', 118189),
(174464, 'PTHR46128:SF236', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118190),
(174465, 'PTHR19868:SF6', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-LIKE PROTEIN A', 118191),
(174466, 'PTHR21181:SF14', NULL, NULL, NULL, NULL, 'MEMBRANE MAGNESIUM TRANSPORTER 2', 118192),
(174467, 'PTHR43644:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-FLAVIN REDUCTASE', 118193),
(174468, 'PTHR33227:SF21', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 1', 118194),
(174469, 'PTHR31797:SF2', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE PHOSPHODIESTERASE INHIBITOR', 118195),
(174470, 'PTHR48043:SF31', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 118196),
(174471, 'PTHR43349:SF37', NULL, NULL, NULL, NULL, 'BNAA06G13750D PROTEIN', 118197),
(174472, 'PTHR16483:SF2', NULL, NULL, NULL, NULL, 'GASTROKINE-3', 118198),
(174473, 'PTHR10694:SF51', NULL, NULL, NULL, NULL, 'LYSINE (K)-SPECIFIC DEMETHYLASE 4A, GENOME DUPLICATE A', 118199),
(174474, 'PTHR23430:SF285', NULL, NULL, NULL, NULL, 'HISTONE H2A', 118200),
(174475, 'PTHR24092:SF149', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 6', 118201),
(174476, 'PTHR24336:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LBX2', 118202),
(174477, 'PTHR11630:SF100', NULL, NULL, NULL, NULL, 'BNAA02G22770D PROTEIN', 118203),
(174478, 'PTHR35672', NULL, NULL, NULL, NULL, 'C-U-EDITING ENZYME APOBEC-4-RELATED', 118204),
(174479, 'PTHR14167:SF88', NULL, NULL, NULL, NULL, 'BAR DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G06340)', 118205),
(174480, 'PTHR46281', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B', 118206),
(174481, 'PTHR34463:SF9', NULL, NULL, NULL, NULL, 'BNAA01G07900D PROTEIN', 118207),
(174482, 'PTHR24291:SF128', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 118208),
(174483, 'PTHR24412:SF398', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 30', 118209);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(174484, 'PTHR34544:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0006B20.18 PROTEIN', 118210),
(174485, 'PTHR19433:SF117', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 13-2', 118211),
(174486, 'PTHR21600:SF70', NULL, NULL, NULL, NULL, 'RIBOSOMAL LARGE SUBUNIT PSEUDOURIDINE SYNTHASE D', 118212),
(174487, 'PTHR10405', NULL, NULL, NULL, NULL, 'SPINDLIN', 118213),
(174488, 'PTHR33595:SF7', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN PROTEIN', 118214),
(174489, 'PTHR13723:SF250', NULL, NULL, NULL, NULL, 'SOL NARAE, ISOFORM C', 118215),
(174490, 'PTHR10358:SF24', NULL, NULL, NULL, NULL, 'CAMP-REGULATED PHOSPHOPROTEIN 19-RELATED PROTEIN', 118216),
(174491, 'PTHR48065:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1-LIKE', 118217),
(174492, 'PTHR10060:SF20', NULL, NULL, NULL, NULL, 'FI03671P', 118218),
(174493, 'PTHR47360:SF2', NULL, NULL, NULL, NULL, 'ENDOPEPTIDASE NLPC-RELATED', 118219),
(174494, 'PTHR11802:SF326', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 118220),
(174495, 'PTHR45788:SF5', NULL, NULL, NULL, NULL, 'AFR253WP', 118221),
(174496, 'PTHR24286:SF265', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 118222),
(174497, 'PTHR24089:SF182', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN-RELATED', 118223),
(174498, 'PTHR46561:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', 118224),
(174499, 'PTHR10803:SF6', NULL, NULL, NULL, NULL, 'ATPASE RV3679-RELATED', 118225),
(174500, 'PTHR22752:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118226),
(174501, 'PTHR33170:SF27', NULL, NULL, NULL, NULL, 'OS02G0198000 PROTEIN', 118227),
(174502, 'PTHR16736:SF6', NULL, NULL, NULL, NULL, 'CORTEXIN DOMAIN CONTAINING 2', 118228),
(174503, 'PTHR11157:SF154', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN-RELATED', 118229),
(174504, 'PTHR11886:SF2', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 118230),
(174505, 'PTHR12786:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118231),
(174506, 'PTHR33670:SF20', NULL, NULL, NULL, NULL, 'BNAA06G14220D PROTEIN', 118232),
(174507, 'PTHR31741:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118233),
(174508, 'PTHR48017:SF79', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 1', 118234),
(174509, 'PTHR23300:SF10', NULL, NULL, NULL, NULL, 'SELENIUM-BINDING PROTEIN 2', 118235),
(174510, 'PTHR48111:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN QSEB', 118236),
(174511, 'PTHR11461:SF326', NULL, NULL, NULL, NULL, 'SERPIN-ZX-LIKE', 118237),
(174512, 'PTHR24075:SF18', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN ERDJ2-LIKE', 118238),
(174513, 'PTHR46192:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118239),
(174514, 'PTHR31374:SF141', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 118240),
(174515, 'PTHR33294:SF7', NULL, NULL, NULL, NULL, 'AWPM-19-LIKE FAMILY PROTEIN', 118241),
(174516, 'PTHR47081', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 118242),
(174517, 'PTHR24377:SF620', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 527', 118243),
(174518, 'PTHR35040:SF7', NULL, NULL, NULL, NULL, 'SURFACE SPHERULIN 4-LIKE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07900)-RELATED', 118244),
(174519, 'PTHR31190:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118245),
(174520, 'PTHR14503:SF8', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L34', 118246),
(174521, 'PTHR43214:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN LNRK', 118247),
(174522, 'PTHR35077', NULL, NULL, NULL, NULL, 'SIMILAR TO AI661453 PROTEIN', 118248),
(174523, 'PTHR47654:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 118249),
(174524, 'PTHR22883:SF325', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 118250),
(174525, 'PTHR10539', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 13', 118251),
(174526, 'PTHR12730:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SDA1 HOMOLOG', 118252),
(174527, 'PTHR47746:SF39', NULL, NULL, NULL, NULL, 'OS02G0657500 PROTEIN', 118253),
(174528, 'PTHR34119:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0072K14.9 PROTEIN', 118254);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(174529, 'PTHR24298:SF143', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP79A33', 118255),
(174530, 'PTHR13318:SF171', NULL, NULL, NULL, NULL, 'OS01G0881900 PROTEIN', 118256),
(174531, 'PTHR36441:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 118257),
(174532, 'PTHR12062:SF1', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE B', 118258),
(174533, 'PTHR24377:SF70', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 565', 118259),
(174534, 'PTHR24083:SF42', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 4-GAMMA', 118260),
(174535, 'PTHR40042:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', 118261),
(174536, 'PTHR33656:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118262),
(174537, 'PTHR14209:SF9', NULL, NULL, NULL, NULL, 'ISOAMYL ACETATE-HYDROLYZING ESTERASE', 118263),
(174538, 'PTHR33318:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118264),
(174539, 'PTHR31639:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118265),
(174540, 'PTHR34482:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118266),
(174541, 'PTHR10334:SF481', NULL, NULL, NULL, NULL, 'BNAA03G50570D PROTEIN', 118267),
(174542, 'PTHR11040:SF178', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 8-LIKE', 118268),
(174543, 'PTHR39444:SF2', NULL, NULL, NULL, NULL, 'DNA METHYLASE, N-6 ADENINE-SPECIFIC, CONSERVED SITE', 118269),
(174544, 'PTHR11932:SF146', NULL, NULL, NULL, NULL, 'CULLIN-LIKE PROTEIN', 118270),
(174545, 'PTHR47519:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-31', 118271),
(174546, 'PTHR13236:SF0', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 2 LIGHT INTERMEDIATE CHAIN 1', 118272),
(174547, 'PTHR43908:SF4', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 14', 118273),
(174548, 'PTHR31257:SF5', NULL, NULL, NULL, NULL, 'OS12G0184300 PROTEIN', 118274),
(174549, 'PTHR31216:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-12', 118275),
(174550, 'PTHR12565:SF312', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', 118276),
(174551, 'PTHR45974:SF159', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 118277),
(174552, 'PTHR10871:SF3', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S18-RELATED', 118278),
(174553, 'PTHR27009:SF158', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 118279),
(174554, 'PTHR13301:SF47', NULL, NULL, NULL, NULL, 'MIXED-LINKED GLUCAN SYNTHASE 8-RELATED', 118280),
(174555, 'PTHR31604:SF36', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 1-RELATED', 118281),
(174556, 'PTHR16983:SF14', NULL, NULL, NULL, NULL, 'SECRETED LY-6/UPAR DOMAIN-CONTAINING PROTEIN 2', 118282),
(174557, 'PTHR23167:SF63', NULL, NULL, NULL, NULL, 'SI:CH211-165E15.1', 118283),
(174558, 'PTHR11467:SF125', NULL, NULL, NULL, NULL, 'H1, PUTATIVE-RELATED', 118284),
(174559, 'PTHR33977:SF1', NULL, NULL, NULL, NULL, 'ZINC ION BINDING PROTEIN', 118285),
(174560, 'PTHR13806:SF37', NULL, NULL, NULL, NULL, 'FLOTILLIN-LIKE PROTEIN 1', 118286),
(174561, 'PTHR32444:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118287),
(174562, 'PTHR23056:SF120', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 118288),
(174563, 'PTHR12565:SF382', NULL, NULL, NULL, NULL, 'BHLH FAMILY PROTEIN', 118289),
(174564, 'PTHR11214:SF299', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 4-RELATED', 118290),
(174565, 'PTHR43744:SF15', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORT PROTEIN-RELATED', 118291),
(174566, 'PTHR34558:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118292),
(174567, 'PTHR33983:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 118293),
(174568, 'PTHR31460:SF6', NULL, NULL, NULL, NULL, 'NHL DOMAIN PROTEIN', 118294),
(174569, 'PTHR42884:SF23', NULL, NULL, NULL, NULL, 'FURIN-LIKE PROTEASE 2', 118295),
(174570, 'PTHR34119:SF12', NULL, NULL, NULL, NULL, 'BNAA06G32570D PROTEIN', 118296),
(174571, 'PTHR11122:SF42', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 118297),
(174572, 'PTHR27001:SF646', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118298);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(174573, 'PTHR47933:SF3', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 118299),
(174574, 'PTHR24369:SF183', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 3', 118300),
(174575, 'PTHR23199:SF12', NULL, NULL, NULL, NULL, 'NEUROTROPHIN 1', 118301),
(174576, 'PTHR11653:SF21', NULL, NULL, NULL, NULL, 'PARVALBUMIN-7', 118302),
(174577, 'PTHR28286', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 118303),
(174578, 'PTHR10612:SF50', NULL, NULL, NULL, NULL, 'BNAA02G07900D PROTEIN', 118304),
(174579, 'PTHR33110:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118305),
(174580, 'PTHR45655:SF13', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE SOLUBLE SUBUNIT BETA-2', 118306),
(174581, 'PTHR36683:SF1', NULL, NULL, NULL, NULL, 'CELL CYCLE EXIT AND NEURONAL DIFFERENTIATION PROTEIN 1', 118307),
(174582, 'PTHR15586', NULL, NULL, NULL, NULL, 'LINKER FOR ACTIVATION OF T-CELLS FAMILY MEMBER 1', 118308),
(174583, 'PTHR15934:SF6', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 7 ISOFORM GAMMA', 118309),
(174584, 'PTHR45687:SF14', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-5', 118310),
(174585, 'PTHR34723:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG17025', 118311),
(174586, 'PTHR33165:SF44', NULL, NULL, NULL, NULL, 'OS08G0285100 PROTEIN', 118312),
(174587, 'PTHR31194:SF77', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF1-LIKE', 118313),
(174588, 'PTHR47206:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118314),
(174589, 'PTHR47292:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118315),
(174590, 'PTHR10838:SF7', NULL, NULL, NULL, NULL, 'SYNAPTOGYRIN-1', 118316),
(174591, 'PTHR44042:SF28', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 118317),
(174592, 'PTHR42898:SF28', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE PROTEIN', 118318),
(174593, 'PTHR14343:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118319),
(174594, 'PTHR33417:SF17', NULL, NULL, NULL, NULL, 'BNAA06G20770D PROTEIN', 118320),
(174595, 'PTHR44117', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 88 HOMOLOG', 118321),
(174596, 'PTHR31235:SF351', NULL, NULL, NULL, NULL, 'PEROXIDASE', 118322),
(174597, 'PTHR13318:SF161', NULL, NULL, NULL, NULL, 'BNAA03G13190D PROTEIN', 118323),
(174598, 'PTHR24006:SF678', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 28', 118324),
(174599, 'PTHR23111:SF40', NULL, NULL, NULL, NULL, 'ASPARAGINE-RICH PROTEIN', 118325),
(174600, 'PTHR10285:SF137', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE', 118326),
(174601, 'PTHR46521', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 118327),
(174602, 'PTHR11461:SF278', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR 88EA', 118328),
(174603, 'PTHR46542:SF2', NULL, NULL, NULL, NULL, 'X-BOX BINDING PROTEIN 1', 118329),
(174604, 'PTHR33592:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118330),
(174605, 'PTHR45754:SF1', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE 1', 118331),
(174606, 'PTHR23430:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118332),
(174607, 'PTHR12377', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 118333),
(174608, 'PTHR12378:SF62', NULL, NULL, NULL, NULL, 'BNAA09G55810D PROTEIN', 118334),
(174609, 'PTHR11964:SF53', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', 118335),
(174610, 'PTHR10687:SF57', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 118336),
(174611, 'PTHR33076:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118337),
(174612, 'PTHR46859:SF9', NULL, NULL, NULL, NULL, 'BNAA02G14030D PROTEIN', 118338),
(174613, 'PTHR48019:SF103', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR ARLEQUIN', 118339),
(174614, 'PTHR23073:SF77', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 4', 118340),
(174615, 'PTHR43876:SF10', NULL, NULL, NULL, NULL, '2-OCTAPRENYL-3-METHYL-6-METHOXY-1,4-BENZOQUINOL HYDROXYLASE', 118341),
(174616, 'PTHR42851:SF10', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', 118342),
(174617, 'PTHR11932:SF164', NULL, NULL, NULL, NULL, 'CULLIN 1B-LIKE', 118343);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(174618, 'PTHR11829:SF340', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN H1', 118344),
(174619, 'PTHR46023:SF5', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3 PROTEIN-LIKE', 118345),
(174620, 'PTHR19957:SF282', NULL, NULL, NULL, NULL, 'BNACNNG54570D PROTEIN', 118346),
(174621, 'PTHR23095:SF21', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN-LIKE PROTEIN 8A', 118347),
(174622, 'PTHR47925:SF86', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 118348),
(174623, 'PTHR12858:SF3', NULL, NULL, NULL, NULL, 'BNAA05G35890D PROTEIN', 118349),
(174624, 'PTHR23001:SF27', NULL, NULL, NULL, NULL, 'BNAANNG27420D PROTEIN', 118350),
(174625, 'PTHR31048:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118351),
(174626, 'PTHR43176:SF13', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE, MITOCHONDRIAL', 118352),
(174627, 'PTHR47901', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 18', 118353),
(174628, 'PTHR10794:SF88', NULL, NULL, NULL, NULL, 'AB HYDROLASE 4 FAMILY, SERINE AMINOPEPTIDASE, S33-RELATED', 118354),
(174629, 'PTHR10288:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118355),
(174630, 'PTHR23055:SF102', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE ACTIVATING PROTEIN 4', 118356),
(174631, 'PTHR11384:SF21', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY D MEMBER 1', 118357),
(174632, 'PTHR15443', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA BINDING PROTEIN  SP38', 118358),
(174633, 'PTHR10026:SF114', NULL, NULL, NULL, NULL, 'CYCLIN-C1-1', 118359),
(174634, 'PTHR47333:SF1', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR C AND EGF DOMAIN-CONTAINING PROTEIN', 118360),
(174635, 'PTHR11353:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118361),
(174636, 'PTHR36444:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR, PUTATIVE-RELATED', 118362),
(174637, 'PTHR11003:SF69', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 118363),
(174638, 'PTHR26452:SF811', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 118364),
(174639, 'PTHR34660:SF9', NULL, NULL, NULL, NULL, 'BNAANNG08330D PROTEIN', 118365),
(174640, 'PTHR24281:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118366),
(174641, 'PTHR12601:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118367),
(174642, 'PTHR43693', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE CHEZ', 118368),
(174643, 'PTHR48032:SF5', NULL, NULL, NULL, NULL, 'OS07G0584500 PROTEIN', 118369),
(174644, 'PTHR23037:SF22', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR COMMON SUBUNIT BETA', 118370),
(174645, 'PTHR21197', NULL, NULL, NULL, NULL, 'UDP-GALACTOPYRANOSE MUTASE', 118371),
(174646, 'PTHR10994:SF176', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 118372),
(174647, 'PTHR31218:SF331', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 118373),
(174648, 'PTHR47990:SF89', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE DIN11-RELATED', 118374),
(174649, 'PTHR35076', NULL, NULL, NULL, NULL, 'TUBULIN EPSILON AND DELTA COMPLEX PROTEIN 1', 118375),
(174650, 'PTHR36214:SF3', NULL, NULL, NULL, NULL, 'ACETYL-COA DECARBONYLASE/SYNTHASE COMPLEX SUBUNIT GAMMA', 118376),
(174651, 'PTHR27009:SF149', NULL, NULL, NULL, NULL, 'PR5-LIKE RECEPTOR KINASE', 118377),
(174652, 'PTHR13318:SF172', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP2', 118378),
(174653, 'PTHR36760', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY B PROTEIN', 118379),
(174654, 'PTHR31066:SF76', NULL, NULL, NULL, NULL, 'BNAC09G20450D PROTEIN', 118380),
(174655, 'PTHR23073:SF12', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 8', 118381),
(174656, 'PTHR21596:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118382),
(174657, 'PTHR11599:SF151', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 118383),
(174658, 'PTHR33091:SF55', NULL, NULL, NULL, NULL, 'SUBTILISIN-CHYMOTRYPSIN INHIBITOR WSCI', 118384),
(174659, 'PTHR33841:SF1', NULL, NULL, NULL, NULL, 'DNA METHYLTRANSFERASE YEEA-RELATED', 118385),
(174660, 'PTHR10788:SF104', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 20-RELATED', 118386);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(174661, 'PTHR32212:SF337', NULL, NULL, NULL, NULL, 'BNAC05G30590D PROTEIN', 118387),
(174662, 'PTHR11246', NULL, NULL, NULL, NULL, 'PRE-MRNA SPLICING FACTOR', 118388),
(174663, 'PTHR23024:SF480', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118389),
(174664, 'PTHR33053:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118390),
(174665, 'PTHR34112:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118391),
(174666, 'PTHR31245:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN SYSTEM COMPONENT CUE PROTEIN', 118392),
(174667, 'PTHR45751:SF32', NULL, NULL, NULL, NULL, 'BNAA02G33980D PROTEIN', 118393),
(174668, 'PTHR46032:SF7', NULL, NULL, NULL, NULL, 'RIKEN CDNA 6430550D23 GENE', 118394),
(174669, 'PTHR20383:SF10', NULL, NULL, NULL, NULL, 'SSU72 PSEUDOGENE 2-RELATED', 118395),
(174670, 'PTHR10335:SF20', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 36A', 118396),
(174671, 'PTHR31304:SF48', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 41-LIKE', 118397),
(174672, 'PTHR43269', NULL, NULL, NULL, NULL, 'SODIUM/PROTON ANTIPORTER 1-RELATED', 118398),
(174673, 'PTHR30446', NULL, NULL, NULL, NULL, 'RECOMBINATION PROTEIN RECR', 118399),
(174674, 'PTHR32170', NULL, NULL, NULL, NULL, 'PROTEASOME ACTIVATOR COMPLEX SUBUNIT 4', 118400),
(174675, 'PTHR45436:SF4', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN PHOQ', 118401),
(174676, 'PTHR46868:SF7', NULL, NULL, NULL, NULL, 'DUF581 FAMILY PROTEIN', 118402),
(174677, 'PTHR10309:SF4', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE, CLASS I (AFU_ORTHOLOGUE AFUA_4G08410)', 118403),
(174678, 'PTHR32212:SF298', NULL, NULL, NULL, NULL, 'BNAA03G50140D PROTEIN', 118404),
(174679, 'PTHR31713:SF42', NULL, NULL, NULL, NULL, 'PROTEIN SAR DEFICIENT 1', 118405),
(174680, 'PTHR24056:SF497', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT SERINE/THREONINE-PROTEIN KINASE DDB_G0278487-RELATED', 118406),
(174681, 'PTHR48105:SF6', NULL, NULL, NULL, NULL, 'ALKYL HYDROPEROXIDE REDUCTASE SUBUNIT F', 118407),
(174682, 'PTHR33548:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118408),
(174683, 'PTHR13402:SF23', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16', 118409),
(174684, 'PTHR21687', NULL, NULL, NULL, NULL, 'PLASMALEMMA VESICLE-ASSOCIATED PROTEIN', 118410),
(174685, 'PTHR31669:SF216', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 9-LIKE', 118411),
(174686, 'PTHR11353:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118412),
(174687, 'PTHR48002:SF123', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 118413),
(174688, 'PTHR46288:SF46', NULL, NULL, NULL, NULL, 'BNAA04G25680D PROTEIN', 118414),
(174689, 'PTHR11863:SF174', NULL, NULL, NULL, NULL, 'BNAC03G12740D PROTEIN', 118415),
(174690, 'PTHR43618:SF2', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06930)-RELATED', 118416),
(174691, 'PTHR31459:SF27', NULL, NULL, NULL, NULL, 'BNAC04G50740D PROTEIN', 118417),
(174692, 'PTHR32191:SF48', NULL, NULL, NULL, NULL, 'TETRASPANIN-2-LIKE', 118418),
(174693, 'PTHR12936', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX 10', 118419),
(174694, 'PTHR24223:SF187', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY C MEMBER 8', 118420),
(174695, 'PTHR47819', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN', 118421),
(174696, 'PTHR19443:SF67', NULL, NULL, NULL, NULL, 'HEXOKINASE-2', 118422),
(174697, 'PTHR32039:SF15', NULL, NULL, NULL, NULL, 'MG-PROTOPORPHYRIN IX CHELATASE', 118423),
(174698, 'PTHR10159', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE', 118424),
(174699, 'PTHR13780:SF101', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT GAMMA-LIKE PV42A', 118425),
(174700, 'PTHR33548', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 2', 118426),
(174701, 'PTHR47999:SF56', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 6-RELATED', 118427),
(174702, 'PTHR31752:SF16', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 3B-RELATED', 118428),
(174703, 'PTHR31711', NULL, NULL, NULL, NULL, 'ARGININE AND GLUTAMATE-RICH PROTEIN 1', 118429);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(174704, 'PTHR33076:SF131', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 118430),
(174705, 'PTHR10629:SF44', NULL, NULL, NULL, NULL, 'BROMO ADJACENT HOMOLOGY (BAH) DOMAIN PROTEIN-RELATED', 118431),
(174706, 'PTHR46489:SF1', NULL, NULL, NULL, NULL, 'STEROIDOGENIC ACUTE REGULATORY PROTEIN, MITOCHONDRIAL', 118432),
(174707, 'PTHR31016:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0065B15.1 PROTEIN', 118433),
(174708, 'PTHR43719:SF18', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE B', 118434),
(174709, 'PTHR13720:SF9', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE ELP-1', 118435),
(174710, 'PTHR24023:SF372', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XVI) CHAIN', 118436),
(174711, 'PTHR45877:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 118437),
(174712, 'PTHR31048:SF160', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN', 118438),
(174713, 'PTHR31062:SF181', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 118439),
(174714, 'PTHR31929:SF116', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 118440),
(174715, 'PTHR24012:SF692', NULL, NULL, NULL, NULL, 'TIA1 CYTOTOXIC GRANULE ASSOCIATED RNA BINDING PROTEIN', 118441),
(174716, 'PTHR18934:SF224', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DEAH12, CHLOROPLASTIC-LIKE', 118442),
(174717, 'PTHR33671:SF14', NULL, NULL, NULL, NULL, 'BNAA07G08110D PROTEIN', 118443),
(174718, 'PTHR22953:SF107', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 118444),
(174719, 'PTHR36886:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 118445),
(174720, 'PTHR45896:SF1', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 30', 118446),
(174721, 'PTHR46253:SF1', NULL, NULL, NULL, NULL, 'TAB2', 118447),
(174722, 'PTHR33700:SF4', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN X', 118448),
(174723, 'PTHR46116:SF20', NULL, NULL, NULL, NULL, 'OS09G0294300 PROTEIN', 118449),
(174724, 'PTHR33136:SF78', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR-RELATED', 118450),
(174725, 'PTHR12354:SF1', NULL, NULL, NULL, NULL, 'LP04564P', 118451),
(174726, 'PTHR46257:SF2', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE', 118452),
(174727, 'PTHR14286:SF2', NULL, NULL, NULL, NULL, 'GENE, 49355-RELATED', 118453),
(174728, 'PTHR46539:SF16', NULL, NULL, NULL, NULL, 'BNAA03G59080D PROTEIN', 118454),
(174729, 'PTHR11506:SF6', NULL, NULL, NULL, NULL, 'LYSOSOME-ASSOCIATED MEMBRANE GLYCOPROTEIN 2', 118455),
(174730, 'PTHR21700:SF118', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 118456),
(174731, 'PTHR47293:SF48', NULL, NULL, NULL, NULL, 'BNAA05G15070D PROTEIN', 118457),
(174732, 'PTHR45925', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 118458),
(174733, 'PTHR45798:SF58', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL79', 118459),
(174734, 'PTHR31852:SF176', NULL, NULL, NULL, NULL, 'HIN1-LIKE PROTEIN', 118460),
(174735, 'PTHR13683:SF338', NULL, NULL, NULL, NULL, 'CHLOROPLAST NUCLEOID DNA-BINDING PROTEIN CND41-LIKE', 118461),
(174736, 'PTHR48047:SF41', NULL, NULL, NULL, NULL, 'BNAA02G36980D PROTEIN', 118462),
(174737, 'PTHR31942:SF99', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 118463),
(174738, 'PTHR15215:SF3', NULL, NULL, NULL, NULL, 'PROTEIN THEMIS3', 118464),
(174739, 'PTHR23196:SF32', NULL, NULL, NULL, NULL, 'BRCT DOMAIN-CONTAINING PROTEIN-RELATED', 118465),
(174740, 'PTHR13594:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118466),
(174741, 'PTHR24217:SF10', NULL, NULL, NULL, NULL, 'SYNAPTOPODIN 2-LIKE PROTEIN', 118467),
(174742, 'PTHR45672:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118468),
(174743, 'PTHR11227:SF59', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18D', 118469),
(174744, 'PTHR46204:SF2', NULL, NULL, NULL, NULL, 'CHITIN ELICITOR RECEPTOR KINASE 1', 118470),
(174745, 'PTHR11610:SF156', NULL, NULL, NULL, NULL, 'MIP30168P', 118471),
(174746, 'PTHR24393:SF60', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 16', 118472),
(174747, 'PTHR47956:SF38', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 99A2', 118473);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(174748, 'PTHR33265:SF28', NULL, NULL, NULL, NULL, 'DUF761 DOMAIN PROTEIN', 118474),
(174749, 'PTHR10621:SF53', NULL, NULL, NULL, NULL, 'RAD23 HOMOLOG B, NUCLEOTIDE EXCISION REPAIR PROTEIN', 118475),
(174750, 'PTHR46136:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE8', 118476),
(174751, 'PTHR45613:SF447', NULL, NULL, NULL, NULL, 'PPR SUPERFAMILY PROTEIN', 118477),
(174752, 'PTHR21666:SF263', NULL, NULL, NULL, NULL, 'MUREIN HYDROLASE ACTIVATOR NLPD', 118478),
(174753, 'PTHR15143:SF0', NULL, NULL, NULL, NULL, 'TELETHONIN', 118479),
(174754, 'PTHR47295:SF2', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN 1-RELATED', 118480),
(174755, 'PTHR23164:SF6', NULL, NULL, NULL, NULL, 'EEA1', 118481),
(174756, 'PTHR10807:SF113', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PATS1-RELATED', 118482),
(174757, 'PTHR13318:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118483),
(174758, 'PTHR44119:SF4', NULL, NULL, NULL, NULL, 'COBALAMIN BIOSYNTHESIS PROTEIN N', 118484),
(174759, 'PTHR31321:SF101', NULL, NULL, NULL, NULL, 'BNAC02G01630D PROTEIN', 118485),
(174760, 'PTHR39953:SF1', NULL, NULL, NULL, NULL, 'RE54151P', 118486),
(174761, 'PTHR48095:SF1', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYLASE', 118487),
(174762, 'PTHR43625:SF29', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 4-RELATED', 118488),
(174763, 'PTHR12801:SF136', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 118489),
(174764, 'PTHR33445:SF2', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B'', CHLOROPLASTIC', 118490),
(174765, 'PTHR42697', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 8', 118491),
(174766, 'PTHR12622:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118492),
(174767, 'PTHR11662:SF235', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER 3, CHLOROPLASTIC-RELATED', 118493),
(174768, 'PTHR24278:SF29', NULL, NULL, NULL, NULL, 'HYALURONAN-BINDING PROTEIN 2', 118494),
(174769, 'PTHR13271:SF109', NULL, NULL, NULL, NULL, 'RUBISCO LS METHYLTRANSFERASE, SUBSTRATE-BINDING DOMAIN', 118495),
(174770, 'PTHR11670:SF63', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE', 118496),
(174771, 'PTHR23137', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 118497),
(174772, 'PTHR23088:SF52', NULL, NULL, NULL, NULL, 'DEATH EFFECTOR DOMAIN-CONTAINING PROTEIN ISOFORM B', 118498),
(174773, 'PTHR14978:SF0', NULL, NULL, NULL, NULL, 'BETA-CATENIN-LIKE PROTEIN 1', 118499),
(174774, 'PTHR23417:SF16', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(7)-)-METHYLTRANSFERASE', 118500),
(174775, 'PTHR14269:SF40', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--GLYCEROL-3-PHOSPHATE 3-PHOSPHATIDYLTRANSFERASE 2', 118501),
(174776, 'PTHR33399:SF10', NULL, NULL, NULL, NULL, 'BNAA05G33860D PROTEIN', 118502),
(174777, 'PTHR21230:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118503),
(174778, 'PTHR43670:SF6', NULL, NULL, NULL, NULL, 'OS01G0587500 PROTEIN', 118504),
(174779, 'PTHR31375:SF239', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', 118505),
(174780, 'PTHR31636:SF207', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', 118506),
(174781, 'PTHR24414:SF77', NULL, NULL, NULL, NULL, 'BNAC01G00630D PROTEIN', 118507),
(174782, 'PTHR14903:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118508),
(174783, 'PTHR23201:SF115', NULL, NULL, NULL, NULL, 'GAST1 PROTEIN', 118509),
(174784, 'PTHR19241:SF531', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 32', 118510),
(174785, 'PTHR46431:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118511),
(174786, 'PTHR11216:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118512),
(174787, 'PTHR11188:SF49', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN 3', 118513),
(174788, 'PTHR47590:SF1', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP25', 118514),
(174789, 'PTHR32448:SF61', NULL, NULL, NULL, NULL, 'TETRAHYDROCANNABINOLIC ACID SYNTHASE-LIKE', 118515),
(174790, 'PTHR22900:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG24017', 118516),
(174791, 'PTHR13683:SF276', NULL, NULL, NULL, NULL, 'OS04G0535200 PROTEIN', 118517),
(174792, 'PTHR31391:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118518);
INSERT INTO "PUBLIC"."MODEL" VALUES
(174793, 'PTHR15127', NULL, NULL, NULL, NULL, 'HEAVYWEIGHT, ISOFORM A', 118519),
(174794, 'PTHR12949:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC3', 118520),
(174795, 'PTHR43744:SF9', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YTCP-RELATED', 118521),
(174796, 'PTHR37422:SF5', NULL, NULL, NULL, NULL, 'SLR1515 PROTEIN', 118522),
(174797, 'PTHR48024:SF31', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 8', 118523),
(174798, 'PTHR11969:SF75', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH96-LIKE', 118524),
(174799, 'PTHR46730:SF1', NULL, NULL, NULL, NULL, 'POLYCYSTIN-1', 118525),
(174800, 'PTHR33108:SF59', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN', 118526),
(174801, 'PTHR13000:SF2', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP49/NSP49', 118527),
(174802, 'PTHR39157:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 118528),
(174803, 'PTHR34360:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118529),
(174804, 'PTHR23425:SF7', NULL, NULL, NULL, NULL, 'SPERM PROTEIN ASSOCIATED WITH THE NUCLEUS ON THE X CHROMOSOME N1', 118530),
(174805, 'PTHR32227:SF280', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE, BASIC ISOFORM-LIKE', 118531),
(174806, 'PTHR46128:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118532),
(174807, 'PTHR10858:SF9', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE-2-ALPHA', 118533),
(174808, 'PTHR47333', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR C AND EGF DOMAIN-CONTAINING PROTEIN', 118534),
(174809, 'PTHR18966:SF418', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2.5-RELATED', 118535),
(174810, 'PTHR21373', NULL, NULL, NULL, NULL, 'GLUCOSE REPRESSIBLE PROTEIN MAK10', 118536),
(174811, 'PTHR12722:SF0', NULL, NULL, NULL, NULL, 'PROTEIN FAM50A', 118537),
(174812, 'PTHR11738:SF160', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY A MEMBER 6-RELATED', 118538),
(174813, 'PTHR32227:SF242', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE', 118539),
(174814, 'PTHR32301:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118540),
(174815, 'PTHR24078:SF558', NULL, NULL, NULL, NULL, 'BNAA05G37100D PROTEIN', 118541),
(174816, 'PTHR31549:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118542),
(174817, 'PTHR32227:SF387', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN-RELATED', 118543),
(174818, 'PTHR11559:SF259', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 3', 118544),
(174819, 'PTHR17630:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118545),
(174820, 'PTHR30618:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118546),
(174821, 'PTHR42663:SF14', NULL, NULL, NULL, NULL, 'BNAC09G00860D PROTEIN', 118547),
(174822, 'PTHR11132', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35', 118548),
(174823, 'PTHR24068:SF264', NULL, NULL, NULL, NULL, 'BNAA06G11590D PROTEIN', 118549),
(174824, 'PTHR34984', NULL, NULL, NULL, NULL, 'CARBON STORAGE REGULATOR', 118550),
(174825, 'PTHR24356:SF121', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SGK3', 118551),
(174826, 'PTHR22835:SF498', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', 118552),
(174827, 'PTHR45663:SF27', NULL, NULL, NULL, NULL, 'THIOREDOXIN M2, CHLOROPLASTIC', 118553),
(174828, 'PTHR43531:SF7', NULL, NULL, NULL, NULL, 'AEROTAXIS RECEPTOR', 118554),
(174829, 'PTHR28441:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM91A1', 118555),
(174830, 'PTHR21654:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118556),
(174831, 'PTHR23262:SF193', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 1-5-RELATED', 118557),
(174832, 'PTHR43503:SF3', NULL, NULL, NULL, NULL, 'DI01187P-RELATED', 118558),
(174833, 'PTHR45825:SF4', NULL, NULL, NULL, NULL, 'SOLUBLE STARCH SYNTHASE 2-3, CHLOROPLASTIC/AMYLOPLASTIC', 118559),
(174834, 'PTHR10807:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118560),
(174835, 'PTHR13321:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 18', 118561),
(174836, 'PTHR33138:SF28', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.1', 118562);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(174837, 'PTHR11214:SF75', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 118563),
(174838, 'PTHR10969:SF76', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', 118564),
(174839, 'PTHR13119:SF32', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 8', 118565),
(174840, 'PTHR31929:SF126', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 118566),
(174841, 'PTHR22055:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118567),
(174842, 'PTHR48018:SF174', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 118568),
(174843, 'PTHR48002:SF134', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 118569),
(174844, 'PTHR40657:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC681367', 118570),
(174845, 'PTHR26453:SF221', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10D3-RELATED', 118571),
(174846, 'PTHR24281:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118572),
(174847, 'PTHR11615:SF247', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 4', 118573),
(174848, 'PTHR43416:SF15', NULL, NULL, NULL, NULL, 'DIHYDROLIPOAMIDE ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX', 118574),
(174849, 'PTHR28187:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RCR1-RELATED', 118575),
(174850, 'PTHR37752:SF1', NULL, NULL, NULL, NULL, 'OS02G0610700 PROTEIN', 118576),
(174851, 'PTHR22937:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118577),
(174852, 'PTHR43625:SF40', NULL, NULL, NULL, NULL, 'PYRIDOXAL REDUCTASE-RELATED', 118578),
(174853, 'PTHR11822:SF15', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP] CYTOPLASMIC', 118579),
(174854, 'PTHR36485:SF1', NULL, NULL, NULL, NULL, 'OS01G0939000 PROTEIN', 118580),
(174855, 'PTHR24028:SF76', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-12', 118581),
(174856, 'PTHR13044:SF34', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR 5A', 118582),
(174857, 'PTHR45637:SF21', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL1', 118583),
(174858, 'PTHR12542:SF101', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 118584),
(174859, 'PTHR36896', NULL, NULL, NULL, NULL, 'OS01G0729500 PROTEIN', 118585),
(174860, 'PTHR47216:SF4', NULL, NULL, NULL, NULL, 'OS01G0859400 PROTEIN', 118586),
(174861, 'PTHR12292:SF6', NULL, NULL, NULL, NULL, 'BNAA06G02130D PROTEIN', 118587),
(174862, 'PTHR45622:SF42', NULL, NULL, NULL, NULL, 'OF CHROMOSOME CONDENSATION, PUTATIVE-RELATED', 118588),
(174863, 'PTHR14363:SF31', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 79 AMINO-TERMINAL DOMAIN PROTEIN', 118589),
(174864, 'PTHR11937:SF421', NULL, NULL, NULL, NULL, 'ACTIN-10-RELATED', 118590),
(174865, 'PTHR43600', NULL, NULL, NULL, NULL, 'COENZYME F420 HYDROGENASE, SUBUNIT ALPHA', 118591),
(174866, 'PTHR13140:SF743', NULL, NULL, NULL, NULL, 'MYOSIN-K HEAVY CHAIN', 118592),
(174867, 'PTHR31196:SF2', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II NUCLEAR LOCALIZATION PROTEIN SLC7A6OS-RELATED', 118593),
(174868, 'PTHR43355', NULL, NULL, NULL, NULL, 'FLAVIN REDUCTASE (NADPH)', 118594),
(174869, 'PTHR28498', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 7', 118595),
(174870, 'PTHR42973:SF27', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03300)-RELATED', 118596),
(174871, 'PTHR35698', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RHL1', 118597),
(174872, 'PTHR10407:SF15', NULL, NULL, NULL, NULL, 'HUNTINGTIN INTERACTING PROTEIN 1', 118598),
(174873, 'PTHR34969:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118599),
(174874, 'PTHR35179', NULL, NULL, NULL, NULL, 'PROTEIN CBG02620', 118600),
(174875, 'PTHR46751:SF2', NULL, NULL, NULL, NULL, 'EPPIN', 118601),
(174876, 'PTHR31867:SF168', NULL, NULL, NULL, NULL, 'EXPANSIN', 118602),
(174877, 'PTHR48026', NULL, NULL, NULL, NULL, 'HOMOLOGOUS TO DROSOPHILA SQD (SQUID) PROTEIN', 118603),
(174878, 'PTHR13620:SF45', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN-RELATED', 118604),
(174879, 'PTHR43173:SF29', NULL, NULL, NULL, NULL, 'BNAC04G05270D PROTEIN', 118605),
(174880, 'PTHR46156', NULL, NULL, NULL, NULL, 'CCCH ZINGC FINGER', 118606);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(174881, 'PTHR38041:SF1', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', 118607),
(174882, 'PTHR22999:SF31', NULL, NULL, NULL, NULL, 'SLOWPOKE-BINDING PROTEIN', 118608),
(174883, 'PTHR15092:SF44', NULL, NULL, NULL, NULL, 'POLY(A)-SPECIFIC RIBONUCLEASE PARN', 118609),
(174884, 'PTHR10795:SF563', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118610),
(174885, 'PTHR10231:SF86', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 2', 118611),
(174886, 'PTHR11347:SF20', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', 118612),
(174887, 'PTHR47834:SF3', NULL, NULL, NULL, NULL, 'BNAA05G30680D PROTEIN', 118613),
(174888, 'PTHR43789:SF5', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 118614),
(174889, 'PTHR32176:SF64', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 3', 118615),
(174890, 'PTHR30373', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 118616),
(174891, 'PTHR34954', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 118617),
(174892, 'PTHR48047:SF7', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYLTRANSFERASE FAMILY PROTEIN', 118618),
(174893, 'PTHR11575:SF46', NULL, NULL, NULL, NULL, 'PROTEIN USHA', 118619),
(174894, 'PTHR31534', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 118620),
(174895, 'PTHR31896:SF41', NULL, NULL, NULL, NULL, 'OS05G0449200 PROTEIN', 118621),
(174896, 'PTHR48054:SF30', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 118622),
(174897, 'PTHR11132:SF404', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 241', 118623),
(174898, 'PTHR24072:SF137', NULL, NULL, NULL, NULL, 'RHO-RELATED BTB DOMAIN-CONTAINING PROTEIN 2', 118624),
(174899, 'PTHR33433:SF2', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 5', 118625),
(174900, 'PTHR10836:SF98', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 118626),
(174901, 'PTHR46343:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118627),
(174902, 'PTHR23309:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118628),
(174903, 'PTHR34990:SF1', NULL, NULL, NULL, NULL, 'UDP-2,3-DIACYLGLUCOSAMINE HYDROLASE', 118629),
(174904, 'PTHR45722', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35', 118630),
(174905, 'PTHR32410:SF159', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 118631),
(174906, 'PTHR12386:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118632),
(174907, 'PTHR20923:SF2', NULL, NULL, NULL, NULL, 'BNAA09G44010D PROTEIN', 118633),
(174908, 'PTHR24298:SF809', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A2-LIKE', 118634),
(174909, 'PTHR10992', NULL, NULL, NULL, NULL, 'METHYLESTERASE FAMILY MEMBER', 118635),
(174910, 'PTHR48044', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 118636),
(174911, 'PTHR23023:SF239', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 118637),
(174912, 'PTHR10252:SF97', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT GAMMA', 118638),
(174913, 'PTHR31949:SF16', NULL, NULL, NULL, NULL, 'OS09G0518600 PROTEIN', 118639),
(174914, 'PTHR31464:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13660', 118640),
(174915, 'PTHR10504', NULL, NULL, NULL, NULL, 'BACTERICIDAL PERMEABILITY-INCREASING  BPI  PROTEIN-RELATED', 118641),
(174916, 'PTHR34053:SF5', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL REGULATOR, ULTRAPETALA-RELATED', 118642),
(174917, 'PTHR24347:SF354', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE II ALPHA CHAIN-LIKE PROTEIN', 118643),
(174918, 'PTHR23226:SF176', NULL, NULL, NULL, NULL, 'CROL ALPHA', 118644),
(174919, 'PTHR11783:SF274', NULL, NULL, NULL, NULL, 'MIP25022P1', 118645),
(174920, 'PTHR10168:SF291', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C1 PROTEIN', 118646),
(174921, 'PTHR11876:SF23', NULL, NULL, NULL, NULL, 'NEUTROPHIL DEFENSIN 4', 118647),
(174922, 'PTHR13906:SF14', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE 5', 118648),
(174923, 'PTHR45684:SF31', NULL, NULL, NULL, NULL, 'OS06G0225000 PROTEIN', 118649),
(174924, 'PTHR10179', NULL, NULL, NULL, NULL, 'CXC CHEMOKINE', 118650),
(174925, 'PTHR20981:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118651),
(174926, 'PTHR47849:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118652);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(174927, 'PTHR11685:SF323', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 118653),
(174928, 'PTHR10543:SF118', NULL, NULL, NULL, NULL, 'CAROTENOID CLEAVAGE DIOXYGENASE-RELATED', 118654),
(174929, 'PTHR47090:SF2', NULL, NULL, NULL, NULL, 'PROTEIN EDS1-RELATED', 118655),
(174930, 'PTHR14363:SF32', NULL, NULL, NULL, NULL, 'HEPARANASE-LIKE PROTEIN 2 ISOFORM X1', 118656),
(174931, 'PTHR48105:SF18', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE 1', 118657),
(174932, 'PTHR10806:SF26', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', 118658),
(174933, 'PTHR22596:SF7', NULL, NULL, NULL, NULL, 'TRYPSIN-LIKE PROTEASE', 118659),
(174934, 'PTHR12741:SF88', NULL, NULL, NULL, NULL, 'BNAC03G35120D PROTEIN', 118660),
(174935, 'PTHR31235:SF272', NULL, NULL, NULL, NULL, 'PEROXIDASE', 118661),
(174936, 'PTHR15666:SF3', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 5', 118662),
(174937, 'PTHR45631:SF98', NULL, NULL, NULL, NULL, 'BNAA08G29030D PROTEIN', 118663),
(174938, 'PTHR11571:SF239', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 2', 118664),
(174939, 'PTHR11588:SF278', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN-LIKE 3', 118665),
(174940, 'PTHR48246:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 118666),
(174941, 'PTHR12411:SF753', NULL, NULL, NULL, NULL, 'PRO-CATHEPSIN H', 118667),
(174942, 'PTHR11731:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118668),
(174943, 'PTHR24326:SF545', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX12', 118669),
(174944, 'PTHR19422:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118670),
(174945, 'PTHR37242', NULL, NULL, NULL, NULL, 'OS09G0569450 PROTEIN', 118671),
(174946, 'PTHR48027:SF2', NULL, NULL, NULL, NULL, 'OS07G0124600 PROTEIN', 118672),
(174947, 'PTHR46371:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118673),
(174948, 'PTHR43976:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118674),
(174949, 'PTHR21024', NULL, NULL, NULL, NULL, 'GROWTH HORMONE-INDUCIBLE SOLUBLE PROTEIN-RELATED', 118675),
(174950, 'PTHR33021:SF267', NULL, NULL, NULL, NULL, 'BLUE COPPER-BINDING PROTEIN-LIKE', 118676),
(174951, 'PTHR48017:SF22', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 118677),
(174952, 'PTHR15298:SF7', NULL, NULL, NULL, NULL, 'GLYCINE N-ACYLTRANSFERASE-LIKE PROTEIN 1', 118678),
(174953, 'PTHR12233:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 26', 118679),
(174954, 'PTHR46128:SF140', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 118680),
(174955, 'PTHR15136', NULL, NULL, NULL, NULL, 'STROMAL INTERACTION MOLECULE HOMOLOG', 118681),
(174956, 'PTHR46494:SF3', NULL, NULL, NULL, NULL, 'ZINC TRANSPORT PROTEIN ZNTB', 118682),
(174957, 'PTHR12471:SF8', NULL, NULL, NULL, NULL, 'ATPASE H+-TRANSPORTING ACCESSORY PROTEIN 1-LIKE B', 118683),
(174958, 'PTHR43991:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118684),
(174959, 'PTHR11750', NULL, NULL, NULL, NULL, 'PROTEIN N-TERMINAL AMIDASE', 118685),
(174960, 'PTHR15228:SF25', NULL, NULL, NULL, NULL, 'SPERMATHECAL PHYSIOLOGY VARIANT', 118686),
(174961, 'PTHR27003:SF391', NULL, NULL, NULL, NULL, 'BNAA04G13610D PROTEIN', 118687),
(174962, 'PTHR12358:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118688),
(174963, 'PTHR10258:SF5', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED POTASSIUM CHANNEL SUBUNIT BETA-2', 118689),
(174964, 'PTHR10332:SF28', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER', 118690),
(174965, 'PTHR43180:SF78', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE', 118691),
(174966, 'PTHR24068:SF29', NULL, NULL, NULL, NULL, 'BCDNA.GH02435', 118692),
(174967, 'PTHR10466:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE-RELATED', 118693),
(174968, 'PTHR42820:SF17', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 118694),
(174969, 'PTHR46553:SF17', NULL, NULL, NULL, NULL, 'BNAC04G00160D PROTEIN', 118695),
(174970, 'PTHR12270:SF48', NULL, NULL, NULL, NULL, 'LARGE XYLOSYL- AND GLUCURONYLTRANSFERASE 1', 118696);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(174971, 'PTHR22975', NULL, NULL, NULL, NULL, 'UBIQUITIN SPECIFIC PROTEINASE', 118697),
(174972, 'PTHR10993:SF14', NULL, NULL, NULL, NULL, 'BNAC03G77390D PROTEIN', 118698),
(174973, 'PTHR47990:SF67', NULL, NULL, NULL, NULL, 'OS11G0265800 PROTEIN', 118699),
(174974, 'PTHR43077:SF5', NULL, NULL, NULL, NULL, 'PHAGE INFECTION PROTEIN', 118700),
(174975, 'PTHR30290:SF62', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERIPLASMIC OLIGOPEPTIDE-BINDING PROTEIN', 118701),
(174976, 'PTHR39476', NULL, NULL, NULL, NULL, 'NADH:UBIQUINONE OXIDOREDUCTASE 6.6KD SUBUNIT', 118702),
(174977, 'PTHR46506:SF51', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 118703),
(174978, 'PTHR47982:SF26', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK7', 118704),
(174979, 'PTHR31692:SF77', NULL, NULL, NULL, NULL, 'EXPANSIN-B5', 118705),
(174980, 'PTHR23058', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX14', 118706),
(174981, 'PTHR10292:SF25', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', 118707),
(174982, 'PTHR33895:SF2', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 7', 118708),
(174983, 'PTHR45737:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE AW551984', 118709),
(174984, 'PTHR12550:SF73', NULL, NULL, NULL, NULL, 'PWWP DOMAIN PROTEIN', 118710),
(174985, 'PTHR35784:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 5', 118711),
(174986, 'PTHR33985:SF2', NULL, NULL, NULL, NULL, 'OS02G0491300 PROTEIN', 118712),
(174987, 'PTHR37850:SF2', NULL, NULL, NULL, NULL, 'SAF DOMAIN PROTEIN', 118713),
(174988, 'PTHR45648:SF123', NULL, NULL, NULL, NULL, 'OS01G0509800 PROTEIN', 118714),
(174989, 'PTHR47746:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 118715),
(174990, 'PTHR46483:SF3', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 118716),
(174991, 'PTHR13715:SF51', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR TYPE 3', 118717),
(174992, 'PTHR43406:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118718),
(174993, 'PTHR11690:SF120', NULL, NULL, NULL, NULL, 'FLR-1', 118719),
(174994, 'PTHR31048:SF157', NULL, NULL, NULL, NULL, 'OS03G0243900 PROTEIN', 118720),
(174995, 'PTHR14218:SF32', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL PEPTIDASE SED3 (AFU_ORTHOLOGUE AFUA_3G08930)', 118721),
(174996, 'PTHR13383', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H2 SUBUNIT B', 118722),
(174997, 'PTHR45767:SF3', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN O4', 118723),
(174998, 'PTHR46996', NULL, NULL, NULL, NULL, 'OS05G0488500 PROTEIN', 118724),
(174999, 'PTHR46050:SF4', NULL, NULL, NULL, NULL, '''UNKNOW PROTEIN, CONTAINS TETRATRICOPEPTIDE (TPR) DOMAIN', 118725),
(175000, 'PTHR27002:SF455', NULL, NULL, NULL, NULL, 'OS08G0343000 PROTEIN', 118726),
(175001, 'PTHR10292:SF16', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', 118727),
(175002, 'PTHR31989:SF276', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', 118728),
(175003, 'PTHR45839:SF17', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 2', 118729),
(175004, 'PTHR42928', NULL, NULL, NULL, NULL, 'TRICARBOXYLATE-BINDING PROTEIN', 118730),
(175005, 'PTHR33102:SF57', NULL, NULL, NULL, NULL, 'DVL10', 118731),
(175006, 'PTHR11680:SF34', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', 118732),
(175007, 'PTHR24300:SF302', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 2 SUBFAMILY E MEMBER 1', 118733),
(175008, 'PTHR10454:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118734),
(175009, 'PTHR48043:SF52', NULL, NULL, NULL, NULL, 'UDP GLUCURONOSYLTRANSFERASE 5 FAMILY, POLYPEPTIDE B3-RELATED', 118735),
(175010, 'PTHR48054:SF31', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 118736),
(175011, 'PTHR11453:SF58', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN', 118737),
(175012, 'PTHR32370:SF137', NULL, NULL, NULL, NULL, 'BNAC03G41170D PROTEIN', 118738),
(175013, 'PTHR34959:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118739),
(175014, 'PTHR31744:SF149', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 3-LIKE', 118740);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(175015, 'PTHR26453:SF669', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10C1', 118741),
(175016, 'PTHR24040:SF0', NULL, NULL, NULL, NULL, 'VITAMIN K-DEPENDENT PROTEIN S', 118742),
(175017, 'PTHR22975:SF27', NULL, NULL, NULL, NULL, 'BNAA02G33060D PROTEIN', 118743),
(175018, 'PTHR13793:SF148', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 118744),
(175019, 'PTHR11452:SF72', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', 118745),
(175020, 'PTHR47685:SF1', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORT PROTEIN CORA', 118746),
(175021, 'PTHR33893', NULL, NULL, NULL, NULL, 'INSULIN RELATED-RELATED-RELATED', 118747),
(175022, 'PTHR43047:SF42', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE CYTOKININ RECEPTOR', 118748),
(175023, 'PTHR11875:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118749),
(175024, 'PTHR46834:SF10', NULL, NULL, NULL, NULL, 'BNAC04G13540D PROTEIN', 118750),
(175025, 'PTHR46101:SF4', NULL, NULL, NULL, NULL, 'SERINE DECARBOXYLASE', 118751),
(175026, 'PTHR23255:SF99', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN SERINE/THREONINE KINASE', 118752),
(175027, 'PTHR24006:SF727', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 42', 118753),
(175028, 'PTHR24300:SF308', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 306A1', 118754),
(175029, 'PTHR47991:SF17', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE-LIKE', 118755),
(175030, 'PTHR47321', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 118756),
(175031, 'PTHR31086:SF68', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 5-LIKE', 118757),
(175032, 'PTHR12642:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118758),
(175033, 'PTHR44461', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE-LIKE PROTEIN 1', 118759),
(175034, 'PTHR47212:SF11', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYGLUCOSAMINLYTRANSFERASE SUBUNIT P-LIKE PROTEIN', 118760),
(175035, 'PTHR23036:SF79', NULL, NULL, NULL, NULL, 'INTERLEUKIN-12 RECEPTOR SUBUNIT BETA-2', 118761),
(175036, 'PTHR11691:SF8', NULL, NULL, NULL, NULL, 'INTERFERON EPSILON', 118762),
(175037, 'PTHR46403', NULL, NULL, NULL, NULL, 'TP53-REGULATED INHIBITOR OF APOPTOSIS 1', 118763),
(175038, 'PTHR43784:SF2', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00820)-RELATED', 118764),
(175039, 'PTHR46868:SF9', NULL, NULL, NULL, NULL, 'PROTEIN MARD1', 118765),
(175040, 'PTHR23023:SF245', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 118766),
(175041, 'PTHR13509', NULL, NULL, NULL, NULL, 'SEC61 SUBUNIT BETA', 118767),
(175042, 'PTHR14738', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 14', 118768),
(175043, 'PTHR33925:SF1', NULL, NULL, NULL, NULL, 'PLASTID DIVISION PROTEIN CDP1, CHLOROPLASTIC-RELATED', 118769),
(175044, 'PTHR31414:SF10', NULL, NULL, NULL, NULL, 'OSJNBA0033G05.10 PROTEIN', 118770),
(175045, 'PTHR31852:SF124', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN 1 CONTAINING PROTEIN, EXPRESSED', 118771),
(175046, 'PTHR46261', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 4-RELATED', 118772),
(175047, 'PTHR11607:SF28', NULL, NULL, NULL, NULL, 'EPIDIDYMIS-SPECIFIC ALPHA-MANNOSIDASE', 118773),
(175048, 'PTHR43418:SF8', NULL, NULL, NULL, NULL, 'SYNTHASE COMPONENT II, PUTATIVE-RELATED', 118774),
(175049, 'PTHR45630:SF6', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', 118775),
(175050, 'PTHR11945:SF590', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', 118776),
(175051, 'PTHR11736', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN  MAGE ANTIGEN', 118777),
(175052, 'PTHR37302:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DINB', 118778),
(175053, 'PTHR43170:SF4', NULL, NULL, NULL, NULL, 'GMP REDUCTASE 2', 118779),
(175054, 'PTHR36840', NULL, NULL, NULL, NULL, 'BLL5714 PROTEIN', 118780),
(175055, 'PTHR38590', NULL, NULL, NULL, NULL, 'BLL0828 PROTEIN', 118781),
(175056, 'PTHR42812:SF7', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00930)-RELATED', 118782),
(175057, 'PTHR31353:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAM98C', 118783);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(175058, 'PTHR30126:SF6', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CYSB-RELATED', 118784),
(175059, 'PTHR46859:SF5', NULL, NULL, NULL, NULL, 'BNAA02G14020D PROTEIN', 118785),
(175060, 'PTHR11452:SF12', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', 118786),
(175061, 'PTHR11309:SF81', NULL, NULL, NULL, NULL, 'FRIZZLED-1', 118787),
(175062, 'PTHR42760:SF10', NULL, NULL, NULL, NULL, 'D-ARABINITOL DEHYDROGENASE', 118788),
(175063, 'PTHR47926:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118789),
(175064, 'PTHR11824:SF18', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, VOLTAGE-DEPENDENT, BETA 3A', 118790),
(175065, 'PTHR31415:SF130', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 118791),
(175066, 'PTHR39178:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL RIBOSOME-ASSOCIATED PROTEIN', 118792),
(175067, 'PTHR11984:SF56', NULL, NULL, NULL, NULL, 'GAP JUNCTION GAMMA-3 PROTEIN', 118793),
(175068, 'PTHR24177:SF231', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 118794),
(175069, 'PTHR24414:SF63', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 46', 118795),
(175070, 'PTHR45717:SF37', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 118796),
(175071, 'PTHR47704:SF1', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER KIMA', 118797),
(175072, 'PTHR24177:SF303', NULL, NULL, NULL, NULL, 'PROTEIN ACCELERATED CELL DEATH 6-LIKE', 118798),
(175073, 'PTHR12317:SF14', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 2', 118799),
(175074, 'PTHR33373', NULL, NULL, NULL, NULL, 'OS07G0479600 PROTEIN', 118800),
(175075, 'PTHR24559:SF339', NULL, NULL, NULL, NULL, 'PROTEIN CBG26654', 118801),
(175076, 'PTHR47771:SF3', NULL, NULL, NULL, NULL, 'AGAP002453-PA', 118802),
(175077, 'PTHR31182:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118803),
(175078, 'PTHR43899:SF9', NULL, NULL, NULL, NULL, 'MIP25013P-RELATED', 118804),
(175079, 'PTHR31072:SF151', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, TCP-RELATED', 118805),
(175080, 'PTHR48019:SF64', NULL, NULL, NULL, NULL, 'F23H11.23 PROTEIN-RELATED', 118806),
(175081, 'PTHR45998', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 16', 118807),
(175082, 'PTHR46439:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH MOTOR NEURON 1 PROTEIN', 118808),
(175083, 'PTHR24377:SF799', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 426', 118809),
(175084, 'PTHR12387', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 8', 118810),
(175085, 'PTHR24203:SF7', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 6', 118811),
(175086, 'PTHR12411:SF729', NULL, NULL, NULL, NULL, 'PROTEIN CTLA-2-ALPHA-RELATED', 118812),
(175087, 'PTHR10795:SF641', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9', 118813),
(175088, 'PTHR10293:SF40', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-3', 118814),
(175089, 'PTHR33069:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 118815),
(175090, 'PTHR31458:SF13', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE NON-CATALYTIC PROTEIN', 118816),
(175091, 'PTHR33077:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118817),
(175092, 'PTHR34929:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN INAFM2-RELATED', 118818),
(175093, 'PTHR12001:SF44', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE', 118819),
(175094, 'PTHR23113:SF222', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR 6', 118820),
(175095, 'PTHR11984:SF23', NULL, NULL, NULL, NULL, 'GAP JUNCTION BETA-6 PROTEIN', 118821),
(175096, 'PTHR40084', NULL, NULL, NULL, NULL, 'PHOSPHOHYDROLASE, PHP FAMILY', 118822),
(175097, 'PTHR13890:SF10', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-C', 118823),
(175098, 'PTHR18929:SF45', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', 118824),
(175099, 'PTHR19305:SF25', NULL, NULL, NULL, NULL, 'SNAP25 HOMOLOGOUS PROTEIN SNAP30-RELATED', 118825),
(175100, 'PTHR11165:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118826);
INSERT INTO "PUBLIC"."MODEL" VALUES
(175101, 'PTHR34688', NULL, NULL, NULL, NULL, 'CYTOCHROME C6, CHLOROPLASTIC', 118827),
(175102, 'PTHR13112:SF7', NULL, NULL, NULL, NULL, 'BNAA08G06560D PROTEIN', 118828),
(175103, 'PTHR22811:SF31', NULL, NULL, NULL, NULL, 'RE49489P', 118829),
(175104, 'PTHR11926:SF1365', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 118830),
(175105, 'PTHR21614:SF2', NULL, NULL, NULL, NULL, 'SHORT COILED-COIL PROTEIN B', 118831),
(175106, 'PTHR11749:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SGCE', 118832),
(175107, 'PTHR23152:SF5', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE-LIKE, MITOCHONDRIAL', 118833),
(175108, 'PTHR27003:SF289', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE ANXUR2', 118834),
(175109, 'PTHR31673:SF52', NULL, NULL, NULL, NULL, 'BNAANNG06670D PROTEIN', 118835),
(175110, 'PTHR36079:SF2', NULL, NULL, NULL, NULL, 'BNAA06G39070D PROTEIN', 118836),
(175111, 'PTHR31235:SF233', NULL, NULL, NULL, NULL, 'PEROXIDASE', 118837),
(175112, 'PTHR10736:SF11', NULL, NULL, NULL, NULL, 'BESTROPHIN 2', 118838),
(175113, 'PTHR46443:SF1', NULL, NULL, NULL, NULL, 'OS01G0719000 PROTEIN', 118839),
(175114, 'PTHR11615:SF282', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 1', 118840),
(175115, 'PTHR13459:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF220', 118841),
(175116, 'PTHR35482:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT', 118842),
(175117, 'PTHR11958:SF67', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER 4', 118843),
(175118, 'PTHR38813:SF1', NULL, NULL, NULL, NULL, 'TOXIN RELE1-RELATED', 118844),
(175119, 'PTHR30352:SF2', NULL, NULL, NULL, NULL, 'ANAEROBIC RIBONUCLEOSIDE-TRIPHOSPHATE REDUCTASE-ACTIVATING PROTEIN', 118845),
(175120, 'PTHR24286:SF28', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 722 SUBFAMILY A POLYPEPTIDE 1', 118846),
(175121, 'PTHR10126:SF51', NULL, NULL, NULL, NULL, 'BNAC03G70590D PROTEIN', 118847),
(175122, 'PTHR32175:SF16', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 118848),
(175123, 'PTHR14380:SF8', NULL, NULL, NULL, NULL, 'OOCYTE-SECRETED PROTEIN 3', 118849),
(175124, 'PTHR45614:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118850),
(175125, 'PTHR10961:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118851),
(175126, 'PTHR36701:SF1', NULL, NULL, NULL, NULL, 'EPOXYQUEUOSINE REDUCTASE QUEH', 118852),
(175127, 'PTHR23310:SF6', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 5', 118853),
(175128, 'PTHR31248:SF17', NULL, NULL, NULL, NULL, 'ANNEXIN A7-LIKE', 118854),
(175129, 'PTHR34698', NULL, NULL, NULL, NULL, '5-OXOPROLINASE SUBUNIT B', 118855),
(175130, 'PTHR30314:SF9', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSZ 2', 118856),
(175131, 'PTHR31301:SF12', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 25', 118857),
(175132, 'PTHR46743:SF3', NULL, NULL, NULL, NULL, 'ABC-TYPE POLYSACCHARIDE/POLYOL PHOSPHATE TRANSPORT SYSTEM, ATPASE COMPONENT-RELATED', 118858),
(175133, 'PTHR45974:SF94', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 118859),
(175134, 'PTHR10231:SF84', NULL, NULL, NULL, NULL, 'BNACNNG31630D PROTEIN', 118860),
(175135, 'PTHR24298:SF379', NULL, NULL, NULL, NULL, 'OS08G0105800 PROTEIN', 118861),
(175136, 'PTHR36882', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED SEQUENCE 37 PROTEIN', 118862),
(175137, 'PTHR37751:SF3', NULL, NULL, NULL, NULL, 'BNAA08G30880D PROTEIN', 118863),
(175138, 'PTHR35739', NULL, NULL, NULL, NULL, 'OS01G0861700 PROTEIN', 118864),
(175139, 'PTHR24376:SF69', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 574', 118865),
(175140, 'PTHR33753', NULL, NULL, NULL, NULL, '1,4-BETA-D-GLUCAN CELLOBIOHYDROLASE B', 118866),
(175141, 'PTHR22776:SF15', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2', 118867),
(175142, 'PTHR43530', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE CATALYTIC SUBUNIT 1', 118868),
(175143, 'PTHR31282:SF145', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 38 ISOFORM X1-RELATED', 118869),
(175144, 'PTHR32227:SF316', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 10', 118870);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(175145, 'PTHR24068:SF337', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 6', 118871),
(175146, 'PTHR19375:SF379', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 71 KDA PROTEIN', 118872),
(175147, 'PTHR33747:SF8', NULL, NULL, NULL, NULL, 'UPF0225 PROTEIN YCHJ', 118873),
(175148, 'PTHR13954:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE IRLA-RELATED', 118874),
(175149, 'PTHR46064:SF1', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE ACCESSORY SUBUNIT 2', 118875),
(175150, 'PTHR23055:SF67', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700109H08 GENE', 118876),
(175151, 'PTHR11817:SF97', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 118877),
(175152, 'PTHR31236:SF22', NULL, NULL, NULL, NULL, 'BURP DOMAIN PROTEIN', 118878),
(175153, 'PTHR16840:SF3', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC PROTEIN 1', 118879),
(175154, 'PTHR24055:SF477', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 118880),
(175155, 'PTHR31351:SF27', NULL, NULL, NULL, NULL, 'BNAA06G36500D PROTEIN', 118881),
(175156, 'PTHR24023:SF845', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXII) CHAIN', 118882),
(175157, 'PTHR43139:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118883),
(175158, 'PTHR31762:SF13', NULL, NULL, NULL, NULL, 'OS11G0520500 PROTEIN', 118884),
(175159, 'PTHR13326:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118885),
(175160, 'PTHR12128:SF51', NULL, NULL, NULL, NULL, 'BLL4205 PROTEIN', 118886),
(175161, 'PTHR33077:SF102', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 3-LIKE', 118887),
(175162, 'PTHR13312', NULL, NULL, NULL, NULL, 'HIV-INDUCED PROTEIN-7-LIKE PROTEASE', 118888),
(175163, 'PTHR10502:SF177', NULL, NULL, NULL, NULL, 'ANNEXIN', 118889),
(175164, 'PTHR46446:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILI7', 118890),
(175165, 'PTHR47589:SF4', NULL, NULL, NULL, NULL, 'FATTY-ACID-BINDING PROTEIN 1-LIKE', 118891),
(175166, 'PTHR46709:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG04562', 118892),
(175167, 'PTHR47924:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118893),
(175168, 'PTHR12271:SF45', NULL, NULL, NULL, NULL, 'POLY(A) RNA POLYMERASE GLD-2', 118894),
(175169, 'PTHR37488:SF1', NULL, NULL, NULL, NULL, 'DUF1275 DOMAIN-CONTAINING PROTEIN', 118895),
(175170, 'PTHR11040:SF183', NULL, NULL, NULL, NULL, 'BNAA01G35000D PROTEIN', 118896),
(175171, 'PTHR12713:SF30', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G', 118897),
(175172, 'PTHR12947', NULL, NULL, NULL, NULL, 'AMSH-LIKE PROTEASE', 118898),
(175173, 'PTHR35832:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 118899),
(175174, 'PTHR11604:SF5', NULL, NULL, NULL, NULL, 'PROFILIN', 118900),
(175175, 'PTHR31286:SF56', NULL, NULL, NULL, NULL, 'BNAA06G22760D PROTEIN', 118901),
(175176, 'PTHR32191:SF84', NULL, NULL, NULL, NULL, 'BNAC01G14980D PROTEIN', 118902),
(175177, 'PTHR21461:SF73', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 118903),
(175178, 'PTHR47479:SF4', NULL, NULL, NULL, NULL, 'BNAANNG03100D PROTEIN', 118904),
(175179, 'PTHR23023:SF236', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 118905),
(175180, 'PTHR13780', NULL, NULL, NULL, NULL, 'AMP-ACTIVATED PROTEIN KINASE, GAMMA REGULATORY SUBUNIT', 118906),
(175181, 'PTHR43019:SF50', NULL, NULL, NULL, NULL, 'SERINE PROTEASE PEPD (SERINE PROTEINASE) (MTB32B)-RELATED', 118907),
(175182, 'PTHR19359:SF75', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 A', 118908),
(175183, 'PTHR31802:SF3', NULL, NULL, NULL, NULL, '32 KDA HEAT SHOCK PROTEIN', 118909),
(175184, 'PTHR47022', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN-CONTAINING PROTEIN 36-RELATED', 118910),
(175185, 'PTHR32556:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118911),
(175186, 'PTHR21685:SF0', NULL, NULL, NULL, NULL, 'PHOSTENSIN', 118912),
(175187, 'PTHR43768:SF17', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE F-RELATED', 118913),
(175188, 'PTHR32100:SF68', NULL, NULL, NULL, NULL, 'OMEGA-6 FATTY ACID DESATURASE, ENDOPLASMIC RETICULUM', 118914),
(175189, 'PTHR31905', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 58', 118915);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(175190, 'PTHR31890:SF20', NULL, NULL, NULL, NULL, 'BNAA02G14590D PROTEIN', 118916),
(175191, 'PTHR24197', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 61', 118917),
(175192, 'PTHR35043:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118918),
(175193, 'PTHR31447:SF1', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE', 118919),
(175194, 'PTHR33167:SF27', NULL, NULL, NULL, NULL, 'OS03G0604500-LIKE PROTEIN', 118920),
(175195, 'PTHR13068:SF172', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR MTERF FAMILY-RELATED', 118921),
(175196, 'PTHR12649', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE 2', 118922),
(175197, 'PTHR12595', NULL, NULL, NULL, NULL, 'POS9-ACTIVATING FACTOR FAP7-RELATED', 118923),
(175198, 'PTHR47519:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-5', 118924),
(175199, 'PTHR30128:SF54', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PORIN F', 118925),
(175200, 'PTHR31086:SF67', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 7', 118926),
(175201, 'PTHR24028:SF119', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-C2', 118927),
(175202, 'PTHR11700:SF8', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S20', 118928),
(175203, 'PTHR22898', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED GLYCOSOL TRANSFERASE-RELATED', 118929),
(175204, 'PTHR12146:SF22', NULL, NULL, NULL, NULL, 'PLECTIN/S10 DOMAIN PROTEIN', 118930),
(175205, 'PTHR33098:SF15', NULL, NULL, NULL, NULL, 'DUF761 DOMAIN PROTEIN', 118931),
(175206, 'PTHR22811:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118932),
(175207, 'PTHR40903', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1-LIKE', 118933),
(175208, 'PTHR26452:SF367', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 118934),
(175209, 'PTHR31973:SF139', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 1-LIKE', 118935),
(175210, 'PTHR10314:SF90', NULL, NULL, NULL, NULL, 'S-SULFO-L-CYSTEINE SYNTHASE (O-ACETYL-L-SERINE-DEPENDENT), CHLOROPLASTIC', 118936),
(175211, 'PTHR12369:SF45', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 118937),
(175212, 'PTHR21230:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118938),
(175213, 'PTHR10075:SF78', NULL, NULL, NULL, NULL, 'PROTEIN BORDERLESS-RELATED', 118939),
(175214, 'PTHR34482:SF26', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE PROTEIN 1-LIKE', 118940),
(175215, 'PTHR10545:SF60', NULL, NULL, NULL, NULL, 'SPERMIDINE/SPERMINE N(1)-ACETYLTRANSFERASE-LIKE PROTEIN 1', 118941),
(175216, 'PTHR48058:SF13', NULL, NULL, NULL, NULL, 'REPEAT RECEPTOR PROTEIN KINASE EXS, PUTATIVE-RELATED', 118942),
(175217, 'PTHR38926:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118943),
(175218, 'PTHR32123:SF12', NULL, NULL, NULL, NULL, 'BICD FAMILY-LIKE CARGO ADAPTER 1', 118944),
(175219, 'PTHR47992:SF59', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1N-RELATED', 118945),
(175220, 'PTHR11839:SF27', NULL, NULL, NULL, NULL, 'BNACNNG74470D PROTEIN', 118946),
(175221, 'PTHR33021:SF330', NULL, NULL, NULL, NULL, 'PLASTOCYANIN-LIKE DOMAIN PROTEIN', 118947),
(175222, 'PTHR23316:SF62', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', 118948),
(175223, 'PTHR32278:SF51', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10', 118949),
(175224, 'PTHR11200:SF263', NULL, NULL, NULL, NULL, 'INOSITOL 5-PHOSPHATASE', 118950),
(175225, 'PTHR33077:SF76', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10A-LIKE', 118951),
(175226, 'PTHR45621:SF178', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 118952),
(175227, 'PTHR22642:SF22', NULL, NULL, NULL, NULL, 'EXOENZYMES REGULATORY PROTEIN AEPA', 118953),
(175228, 'PTHR30069:SF41', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR HI_1217-RELATED', 118954),
(175229, 'PTHR11736:SF50', NULL, NULL, NULL, NULL, 'MAGEA3-RELATED', 118955),
(175230, 'PTHR35302:SF1', NULL, NULL, NULL, NULL, 'PROTEIN COFACTOR ASSEMBLY OF COMPLEX C SUBUNIT B CCB1, CHLOROPLASTIC', 118956),
(175231, 'PTHR18911', NULL, NULL, NULL, NULL, 'CTCL TUMOR ANTIGEN HD-CL-01', 118957),
(175232, 'PTHR46498:SF1', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN 8', 118958);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(175233, 'PTHR19981:SF36', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN A', 118959),
(175234, 'PTHR34639:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FLATTOP', 118960),
(175235, 'PTHR33648', NULL, NULL, NULL, NULL, 'EMBRYO SAC 1', 118961),
(175236, 'PTHR31945:SF107', NULL, NULL, NULL, NULL, 'BNAA01G07020D PROTEIN', 118962),
(175237, 'PTHR12990:SF10', NULL, NULL, NULL, NULL, 'MESENCEPHALIC ASTROCYTE-DERIVED NEUROTROPHIC FACTOR', 118963),
(175238, 'PTHR33257:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118964),
(175239, 'PTHR33052:SF156', NULL, NULL, NULL, NULL, 'BNAA08G28790D PROTEIN', 118965),
(175240, 'PTHR31125:SF7', NULL, NULL, NULL, NULL, 'F20P5.24 PROTEIN-RELATED', 118966),
(175241, 'PTHR46641:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG17512', 118967),
(175242, 'PTHR33146:SF21', NULL, NULL, NULL, NULL, 'OS01G0128200 PROTEIN', 118968),
(175243, 'PTHR10791:SF37', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 118969),
(175244, 'PTHR23201:SF80', NULL, NULL, NULL, NULL, 'OS06G0729400 PROTEIN', 118970),
(175245, 'PTHR24055:SF508', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ULK1/ULK2-RELATED', 118971),
(175246, 'PTHR15744', NULL, NULL, NULL, NULL, 'BLOM7', 118972),
(175247, 'PTHR46905:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 118973),
(175248, 'PTHR10795:SF697', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', 118974),
(175249, 'PTHR34794:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118975),
(175250, 'PTHR18976:SF31', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN A-IV A', 118976),
(175251, 'PTHR32208:SF71', NULL, NULL, NULL, NULL, 'GLYOXAL OXIDASE-RELATED PROTEIN', 118977),
(175252, 'PTHR12176:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118978),
(175253, 'PTHR43522:SF10', NULL, NULL, NULL, NULL, 'TRANSKETOLASE', 118979),
(175254, 'PTHR31442:SF34', NULL, NULL, NULL, NULL, 'BNAA05G28150D PROTEIN', 118980),
(175255, 'PTHR46880:SF8', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE KIAA1586', 118981),
(175256, 'PTHR43840:SF30', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN, HYPOTHETICAL', 118982),
(175257, 'PTHR22931:SF39', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE 2', 118983),
(175258, 'PTHR31190:SF311', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 118984),
(175259, 'PTHR46230:SF5', NULL, NULL, NULL, NULL, 'BOLA PROTEIN, FE-S METABOLISM ASSOCIATED DOMAIN, SUFE-LIKE PROTEIN-RELATED', 118985),
(175260, 'PTHR35686', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN', 118986),
(175261, 'PTHR34223:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118987),
(175262, 'PTHR12801:SF57', NULL, NULL, NULL, NULL, 'APOPTOSIS-ENHANCING NUCLEASE', 118988),
(175263, 'PTHR10426:SF110', NULL, NULL, NULL, NULL, 'BNACNNG26110D PROTEIN', 118989),
(175264, 'PTHR11693:SF37', NULL, NULL, NULL, NULL, 'F0F1 ATP SYNTHASE SUBUNIT GAMMA', 118990),
(175265, 'PTHR45720:SF9', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 118991),
(175266, 'PTHR24418:SF92', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE BTK', 118992),
(175267, 'PTHR24082:SF316', NULL, NULL, NULL, NULL, 'OXYSTEROLS RECEPTOR LXR-BETA', 118993),
(175268, 'PTHR33109:SF57', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN', 118994),
(175269, 'PTHR22966:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 118995),
(175270, 'PTHR40457', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1', 118996),
(175271, 'PTHR31374:SF301', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32-LIKE', 118997),
(175272, 'PTHR24072:SF158', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOG', 118998),
(175273, 'PTHR10969:SF69', NULL, NULL, NULL, NULL, 'MAP1 LIGHT CHAIN 3-LIKE PROTEIN 2', 118999),
(175274, 'PTHR32285:SF263', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 23', 119000),
(175275, 'PTHR44051:SF9', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 1', 119001),
(175276, 'PTHR23176:SF118', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACEE', 119002),
(175277, 'PTHR38936:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119003);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(175278, 'PTHR10408:SF12', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 1-1', 119004),
(175279, 'PTHR24366:SF64', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND IMMUNOGLOBULIN LIKE DOMAINS 2', 119005),
(175280, 'PTHR11668:SF204', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1-GAMMA CATALYTIC SUBUNIT', 119006),
(175281, 'PTHR37412', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN 5', 119007),
(175282, 'PTHR23305:SF11', NULL, NULL, NULL, NULL, 'OBG-LIKE ATPASE 1', 119008),
(175283, 'PTHR45681', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 44-RELATED', 119009),
(175284, 'PTHR46261:SF23', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 2-LIKE', 119010),
(175285, 'PTHR31889:SF69', NULL, NULL, NULL, NULL, 'BNAA09G45850D PROTEIN', 119011),
(175286, 'PTHR48156:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 119012),
(175287, 'PTHR10015:SF355', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX DNA-BINDING DOMAIN, HEAT SHOCK TRANSCRIPTION FACTOR FAMILY-RELATED', 119013),
(175288, 'PTHR48041:SF71', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY G MEMBER 8', 119014),
(175289, 'PTHR47974:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 119015),
(175290, 'PTHR48053:SF66', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE ISOFORM X1', 119016),
(175291, 'PTHR47929:SF6', NULL, NULL, NULL, NULL, 'BNAA04G15120D PROTEIN', 119017),
(175292, 'PTHR31142:SF28', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION 1 HOMOLOG', 119018),
(175293, 'PTHR34660:SF10', NULL, NULL, NULL, NULL, 'BNAA09G09320D PROTEIN', 119019),
(175294, 'PTHR31378:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119020),
(175295, 'PTHR11510:SF18', NULL, NULL, NULL, NULL, 'INOSITOL-3-PHOSPHATE SYNTHASE ISOZYME 1', 119021),
(175296, 'PTHR12396:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119022),
(175297, 'PTHR11782:SF102', NULL, NULL, NULL, NULL, 'DIPHOSPHATASE, PUTATIVE-RELATED', 119023),
(175298, 'PTHR10775:SF115', NULL, NULL, NULL, NULL, 'OS08G0208400 PROTEIN', 119024),
(175299, 'PTHR11829:SF343', NULL, NULL, NULL, NULL, 'FORK HEAD DOMAIN-CONTAINING PROTEIN FD4-RELATED', 119025),
(175300, 'PTHR31989:SF353', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119026),
(175301, 'PTHR43327:SF46', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN-LIKE PROTEIN 1', 119027),
(175302, 'PTHR11776:SF24', NULL, NULL, NULL, NULL, 'BNAA09G27900D PROTEIN', 119028),
(175303, 'PTHR15048:SF0', NULL, NULL, NULL, NULL, 'STARCH-BINDING DOMAIN-CONTAINING PROTEIN 1', 119029),
(175304, 'PTHR10454:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119030),
(175305, 'PTHR43795:SF41', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE', 119031),
(175306, 'PTHR16483', NULL, NULL, NULL, NULL, 'GASTROKINE 1', 119032),
(175307, 'PTHR13267:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 277', 119033),
(175308, 'PTHR31948:SF99', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 1-LIKE', 119034),
(175309, 'PTHR33237:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119035),
(175310, 'PTHR31642:SF191', NULL, NULL, NULL, NULL, 'BENZYL ALCOHOL O-BENZOYLTRANSFERASE-LIKE', 119036),
(175311, 'PTHR18945:SF766', NULL, NULL, NULL, NULL, 'GLUTAMATE-GATED CHLORIDE CHANNEL', 119037),
(175312, 'PTHR24298:SF453', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 705A22', 119038),
(175313, 'PTHR46473:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 26', 119039),
(175314, 'PTHR19300:SF52', NULL, NULL, NULL, NULL, 'BETA4GALNACTA', 119040),
(175315, 'PTHR35326:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PSBN', 119041),
(175316, 'PTHR24055:SF365', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 119042),
(175317, 'PTHR12640:SF0', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 2', 119043),
(175318, 'PTHR37379', NULL, NULL, NULL, NULL, 'OS01G0220500 PROTEIN', 119044),
(175319, 'PTHR10681:SF153', NULL, NULL, NULL, NULL, '2-CYS PEROXIREDOXIN BAS1, CHLOROPLASTIC-LIKE', 119045),
(175320, 'PTHR23177:SF64', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 1', 119046);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(175321, 'PTHR11183:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G01730)', 119047),
(175322, 'PTHR33021:SF403', NULL, NULL, NULL, NULL, 'BNAA05G10790D PROTEIN', 119048),
(175323, 'PTHR46002', NULL, NULL, NULL, NULL, 'EG:114D9.1 PROTEIN-RELATED', 119049),
(175324, 'PTHR13232:SF12', NULL, NULL, NULL, NULL, 'YJEF N-TERMINAL DOMAIN-CONTAINING PROTEIN 3', 119050),
(175325, 'PTHR11599:SF148', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-4-B-RELATED', 119051),
(175326, 'PTHR46130:SF1', NULL, NULL, NULL, NULL, 'PAPPALYSIN-2', 119052),
(175327, 'PTHR12269', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E TRANSPORTER', 119053),
(175328, 'PTHR36381', NULL, NULL, NULL, NULL, 'ETHYLENE-REGULATED TRANSCRIPT 2 (ERT2)', 119054),
(175329, 'PTHR10796:SF108', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 119055),
(175330, 'PTHR31190:SF142', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-3', 119056),
(175331, 'PTHR10314:SF100', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE B', 119057),
(175332, 'PTHR47684', NULL, NULL, NULL, NULL, 'PROTEIN TONSOKU', 119058),
(175333, 'PTHR24020:SF4', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(VII) CHAIN-RELATED', 119059),
(175334, 'PTHR42692:SF2', NULL, NULL, NULL, NULL, 'IG HYPOTHETICAL 16995', 119060),
(175335, 'PTHR24376:SF40', NULL, NULL, NULL, NULL, 'SI:CH211-119O8.6', 119061),
(175336, 'PTHR10168:SF293', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE, PLANT II, THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', 119062),
(175337, 'PTHR47925:SF51', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 119063),
(175338, 'PTHR45633:SF8', NULL, NULL, NULL, NULL, 'CHAPERONIN 60 SUBUNIT BETA 2, CHLOROPLASTIC', 119064),
(175339, 'PTHR11079:SF180', NULL, NULL, NULL, NULL, 'GUANINE DEAMINASE-LIKE ISOFORM X1', 119065),
(175340, 'PTHR39200:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL EXPORTED PROTEIN', 119066),
(175341, 'PTHR32092:SF5', NULL, NULL, NULL, NULL, '6-PHOSPHO-BETA-GLUCOSIDASE', 119067),
(175342, 'PTHR13265:SF1', NULL, NULL, NULL, NULL, 'SI:DKEYP-97B10.3', 119068),
(175343, 'PTHR22595:SF114', NULL, NULL, NULL, NULL, 'ENDOCHITINASE A', 119069),
(175344, 'PTHR47295:SF5', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN 2', 119070),
(175345, 'PTHR11387:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B1', 119071),
(175346, 'PTHR12570:SF7', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA4', 119072),
(175347, 'PTHR24356:SF300', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SGK1', 119073),
(175348, 'PTHR42260:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119074),
(175349, 'PTHR12354', NULL, NULL, NULL, NULL, 'INTERFERON-RELATED DEVELOPMENTAL REGULATOR', 119075),
(175350, 'PTHR46962', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIST', 119076),
(175351, 'PTHR47565', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE 19-1', 119077),
(175352, 'PTHR45724:SF14', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN (MIP) FAMILY TRANSPORTER', 119078),
(175353, 'PTHR21451:SF14', NULL, NULL, NULL, NULL, 'GH15831P', 119079),
(175354, 'PTHR33167:SF38', NULL, NULL, NULL, NULL, 'BNAC07G15910D PROTEIN', 119080),
(175355, 'PTHR31126:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119081),
(175356, 'PTHR45969:SF37', NULL, NULL, NULL, NULL, 'OSJNBA0011J08.19 PROTEIN', 119082),
(175357, 'PTHR11703:SF2', NULL, NULL, NULL, NULL, 'DEOXYHYPUSINE SYNTHASE 1-RELATED', 119083),
(175358, 'PTHR22762:SF125', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE', 119084),
(175359, 'PTHR11814:SF245', NULL, NULL, NULL, NULL, 'SODIUM-INDEPENDENT SULFATE ANION TRANSPORTER-LIKE PROTEIN', 119085),
(175360, 'PTHR10484:SF163', NULL, NULL, NULL, NULL, 'HISTONE H4', 119086),
(175361, 'PTHR47710', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 119087),
(175362, 'PTHR24161:SF82', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 24', 119088),
(175363, 'PTHR34779:SF1', NULL, NULL, NULL, NULL, 'OS09G0542900 PROTEIN', 119089);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(175364, 'PTHR33228:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119090),
(175365, 'PTHR23315:SF279', NULL, NULL, NULL, NULL, 'OS07G0532700 PROTEIN', 119091),
(175366, 'PTHR45711:SF8', NULL, NULL, NULL, NULL, 'H(+)/CL(-) EXCHANGE TRANSPORTER 3', 119092),
(175367, 'PTHR31017', NULL, NULL, NULL, NULL, 'LATE SECRETORY PATHWAY PROTEIN AVL9-RELATED', 119093),
(175368, 'PTHR13343:SF24', NULL, NULL, NULL, NULL, 'OS07G0573800 PROTEIN', 119094),
(175369, 'PTHR47993:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119095),
(175370, 'PTHR11042:SF141', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0283065-RELATED', 119096),
(175371, 'PTHR10799:SF984', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATORY PROTEIN SNF2', 119097),
(175372, 'PTHR23353:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119098),
(175373, 'PTHR10593:SF136', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 12', 119099),
(175374, 'PTHR45688:SF10', NULL, NULL, NULL, NULL, 'ALANINE--GLYOXYLATE AMINOTRANSFERASE 2 HOMOLOG 3, MITOCHONDRIAL-LIKE', 119100),
(175375, 'PTHR15129:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119101),
(175376, 'PTHR12329:SF16', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 1', 119102),
(175377, 'PTHR47327:SF18', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 119103),
(175378, 'PTHR44375:SF6', NULL, NULL, NULL, NULL, 'F28J7.36 PROTEIN', 119104),
(175379, 'PTHR31707:SF145', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 119105),
(175380, 'PTHR35979', NULL, NULL, NULL, NULL, 'SINGLE-PASS MEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', 119106),
(175381, 'PTHR43349:SF63', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', 119107),
(175382, 'PTHR24287:SF17', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 119108),
(175383, 'PTHR23322:SF1', NULL, NULL, NULL, NULL, 'FAS-ASSOCIATED FACTOR 2', 119109),
(175384, 'PTHR43611', NULL, NULL, NULL, NULL, 'ALPHA-D-GLUCOSE 1-PHOSPHATE PHOSPHATASE', 119110),
(175385, 'PTHR23050:SF354', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 11', 119111),
(175386, 'PTHR24361:SF613', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK1', 119112),
(175387, 'PTHR43187:SF1', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE DUG3-RELATED', 119113),
(175388, 'PTHR19134:SF328', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE NON-RECEPTOR TYPE 9B', 119114),
(175389, 'PTHR31373:SF22', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 119115),
(175390, 'PTHR11255', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 119116),
(175391, 'PTHR48049:SF80', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 119117),
(175392, 'PTHR43039:SF3', NULL, NULL, NULL, NULL, 'ESTERASE KAI2-RELATED', 119118),
(175393, 'PTHR21497:SF28', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR2', 119119),
(175394, 'PTHR31992:SF184', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.4-LIKE', 119120),
(175395, 'PTHR24346:SF27', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MARK-C-RELATED', 119121),
(175396, 'PTHR12341:SF61', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE', 119122),
(175397, 'PTHR47208:SF3', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 14', 119123),
(175398, 'PTHR10466:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE-RELATED', 119124),
(175399, 'PTHR31549:SF177', NULL, NULL, NULL, NULL, 'BNACNNG05850D PROTEIN', 119125),
(175400, 'PTHR11208:SF100', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING PROTEIN', 119126),
(175401, 'PTHR12990:SF9', NULL, NULL, NULL, NULL, 'CEREBRAL DOPAMINE NEUROTROPHIC FACTOR', 119127),
(175402, 'PTHR40741:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119128),
(175403, 'PTHR35166:SF11', NULL, NULL, NULL, NULL, 'OS02G0546050 PROTEIN', 119129),
(175404, 'PTHR24409:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119130),
(175405, 'PTHR21342:SF2', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE ADENYLYLTRANSFERASE-RELATED', 119131),
(175406, 'PTHR15375:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CHIFFON', 119132);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(175407, 'PTHR27006:SF261', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', 119133),
(175408, 'PTHR24201:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119134),
(175409, 'PTHR22527', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 119135),
(175410, 'PTHR45837:SF9', NULL, NULL, NULL, NULL, 'BNAC05G09870D PROTEIN', 119136),
(175411, 'PTHR33103:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119137),
(175412, 'PTHR22897:SF21', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE 1', 119138),
(175413, 'PTHR19957:SF283', NULL, NULL, NULL, NULL, 'BNAA05G27280D PROTEIN', 119139),
(175414, 'PTHR33491:SF23', NULL, NULL, NULL, NULL, 'OS04G0651200 PROTEIN', 119140),
(175415, 'PTHR46080:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN J', 119141),
(175416, 'PTHR10736:SF54', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG-RELATED', 119142),
(175417, 'PTHR47488:SF10', NULL, NULL, NULL, NULL, 'BNAA08G05970D PROTEIN', 119143),
(175418, 'PTHR12850:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119144),
(175419, 'PTHR44068:SF10', NULL, NULL, NULL, NULL, 'ZGC:194242', 119145),
(175420, 'PTHR31589:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119146),
(175421, 'PTHR22937:SF106', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE BIG BROTHER-RELATED-LIKE', 119147),
(175422, 'PTHR24340:SF26', NULL, NULL, NULL, NULL, 'NK1 TRANSCRIPTION FACTOR-RELATED PROTEIN 1', 119148),
(175423, 'PTHR22751:SF286', NULL, NULL, NULL, NULL, 'PROTEIN CBG26668', 119149),
(175424, 'PTHR24356:SF221', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 38', 119150),
(175425, 'PTHR20849', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 119151),
(175426, 'PTHR33304:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119152),
(175427, 'PTHR47965:SF7', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN, PUTATIVE-RELATED', 119153),
(175428, 'PTHR35465:SF2', NULL, NULL, NULL, NULL, 'BNAC05G16190D PROTEIN', 119154),
(175429, 'PTHR20910:SF1', NULL, NULL, NULL, NULL, 'AGAP001623-PA', 119155),
(175430, 'PTHR36766:SF6', NULL, NULL, NULL, NULL, 'BNAA09G07720D PROTEIN', 119156),
(175431, 'PTHR32153:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119157),
(175432, 'PTHR23199', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 119158),
(175433, 'PTHR10286:SF59', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE 4', 119159),
(175434, 'PTHR26379:SF365', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119160),
(175435, 'PTHR46021:SF6', NULL, NULL, NULL, NULL, 'ARF-GAP WITH DUAL PH DOMAIN-CONTAINING PROTEIN 2', 119161),
(175436, 'PTHR34997', NULL, NULL, NULL, NULL, 'AM15', 119162),
(175437, 'PTHR42774:SF9', NULL, NULL, NULL, NULL, 'PFKB-LIKE CARBOHYDRATE KINASE FAMILY PROTEIN', 119163),
(175438, 'PTHR24291:SF64', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 119164),
(175439, 'PTHR45176', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN-RELATED', 119165),
(175440, 'PTHR38474:SF1', NULL, NULL, NULL, NULL, 'SLR0299 PROTEIN', 119166),
(175441, 'PTHR47997:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119167),
(175442, 'PTHR43625:SF55', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE/POTASSIUM CHANNEL SUBUNIT BETA-RELATED', 119168),
(175443, 'PTHR33698:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 119169),
(175444, 'PTHR45655', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE SOLUBLE SUBUNIT BETA-2', 119170),
(175445, 'PTHR10759:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', 119171),
(175446, 'PTHR18968:SF160', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE', 119172),
(175447, 'PTHR46849', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 119173),
(175448, 'PTHR48017:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119174),
(175449, 'PTHR22846:SF60', NULL, NULL, NULL, NULL, 'F-BOX-LIKE/WD REPEAT-CONTAINING PROTEIN TBL1X', 119175),
(175450, 'PTHR32263:SF33', NULL, NULL, NULL, NULL, 'BNAA05G08530D PROTEIN', 119176),
(175451, 'PTHR19229:SF207', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 11', 119177),
(175452, 'PTHR32370:SF155', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY3', 119178);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(175453, 'PTHR28025:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD1', 119179),
(175454, 'PTHR14732', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 119180),
(175455, 'PTHR16517:SF107', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 11', 119181),
(175456, 'PTHR13301:SF202', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE, NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', 119182),
(175457, 'PTHR10795:SF624', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119183),
(175458, 'PTHR46008:SF24', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.4 ISOFORM X1', 119184),
(175459, 'PTHR46268:SF5', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN', 119185),
(175460, 'PTHR21600:SF64', NULL, NULL, NULL, NULL, 'RIBOSOMAL LARGE SUBUNIT PSEUDOURIDINE SYNTHASE D', 119186),
(175461, 'PTHR45773', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE PROTEIN 4-RELATED', 119187),
(175462, 'PTHR24349:SF408', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 119188),
(175463, 'PTHR43442:SF1', NULL, NULL, NULL, NULL, 'THERMORESISTANT GLUCONOKINASE', 119189),
(175464, 'PTHR20961:SF65', NULL, NULL, NULL, NULL, 'F14P13.8 PROTEIN', 119190),
(175465, 'PTHR45647:SF100', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 33', 119191),
(175466, 'PTHR30600:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME C551 PEROXIDASE', 119192),
(175467, 'PTHR36405:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119193),
(175468, 'PTHR24399:SF19', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 20', 119194),
(175469, 'PTHR14047:SF33', NULL, NULL, NULL, NULL, 'P ANTIGEN FAMILY MEMBER 5', 119195),
(175470, 'PTHR47938:SF11', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 119196),
(175471, 'PTHR46709:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG19124', 119197),
(175472, 'PTHR11362:SF42', NULL, NULL, NULL, NULL, 'PROTEIN MOTHER OF FT AND TFL1 HOMOLOG 2', 119198),
(175473, 'PTHR31140:SF88', NULL, NULL, NULL, NULL, 'BNACNNG63450D PROTEIN', 119199),
(175474, 'PTHR35768:SF2', NULL, NULL, NULL, NULL, 'BNAA02G08030D PROTEIN', 119200),
(175475, 'PTHR35022:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119201),
(175476, 'PTHR35497', NULL, NULL, NULL, NULL, 'ACYL-UDP-N-ACETYLGLUCOSAMINE O-ACYLTRANSFERASE', 119202),
(175477, 'PTHR45619:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A', 119203),
(175478, 'PTHR47999:SF66', NULL, NULL, NULL, NULL, 'PROTEIN ODORANT1', 119204),
(175479, 'PTHR11764:SF65', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 119205),
(175480, 'PTHR25466:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119206),
(175481, 'PTHR33591:SF2', NULL, NULL, NULL, NULL, 'BETA-CAROTENE ISOMERASE D27', 119207),
(175482, 'PTHR42947', NULL, NULL, NULL, NULL, 'COB--COM HETERODISULFIDE REDUCTASE SUBUNIT B 1', 119208),
(175483, 'PTHR14939:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119209),
(175484, 'PTHR10046:SF64', NULL, NULL, NULL, NULL, 'LON PROTEASE 2', 119210),
(175485, 'PTHR45621:SF110', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 2B, CHLOROPLASTIC-LIKE', 119211),
(175486, 'PTHR43713:SF6', NULL, NULL, NULL, NULL, 'BNAA09G06670D PROTEIN', 119212),
(175487, 'PTHR20889:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE/PHOSPHOCHOLINE PHOSPHATASE', 119213),
(175488, 'PTHR42926', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 119214),
(175489, 'PTHR43566:SF2', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 119215),
(175490, 'PTHR22780:SF5', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA', 119216),
(175491, 'PTHR46025:SF2', NULL, NULL, NULL, NULL, 'XYLOSYLTRANSFERASE 1', 119217),
(175492, 'PTHR24128', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN WARIAI', 119218),
(175493, 'PTHR22142:SF2', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SPC24', 119219),
(175494, 'PTHR47925:SF96', NULL, NULL, NULL, NULL, 'BNAC04G18690D PROTEIN', 119220),
(175495, 'PTHR15157:SF19', NULL, NULL, NULL, NULL, 'HAD-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 119221),
(175496, 'PTHR11349:SF109', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', 119222);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(175497, 'PTHR31490:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 10 PROTEIN', 119223),
(175498, 'PTHR47178:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 119224),
(175499, 'PTHR42808:SF3', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE-LIKE PROTEIN 2', 119225),
(175500, 'PTHR48010:SF18', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE RLK902-RELATED', 119226),
(175501, 'PTHR31062:SF110', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 119227),
(175502, 'PTHR45658:SF72', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 9-LIKE', 119228),
(175503, 'PTHR30472:SF29', NULL, NULL, NULL, NULL, 'VITAMIN B12 IMPORT SYSTEM PERMEASE PROTEIN BTUC', 119229),
(175504, 'PTHR12039:SF7', NULL, NULL, NULL, NULL, 'NICOTINAMIDE/NICOTINIC ACID MONONUCLEOTIDE ADENYLYLTRANSFERASE 3', 119230),
(175505, 'PTHR26452:SF315', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AR1', 119231),
(175506, 'PTHR24177', NULL, NULL, NULL, NULL, 'CASKIN', 119232),
(175507, 'PTHR12262:SF9', NULL, NULL, NULL, NULL, 'CELL DIFFERENTIATION PROTEIN RCD1-LIKE ISOFORM X1', 119233),
(175508, 'PTHR32468:SF92', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', 119234),
(175509, 'PTHR33698:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119235),
(175510, 'PTHR24153:SF23', NULL, NULL, NULL, NULL, 'INTRACELLLAR PHOSPHOLIPASE A FAMILY', 119236),
(175511, 'PTHR11751:SF468', NULL, NULL, NULL, NULL, 'ALANINE AMINOTRANSFERASE 2-LIKE', 119237),
(175512, 'PTHR43991', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_8G05640)-RELATED', 119238),
(175513, 'PTHR13377', NULL, NULL, NULL, NULL, 'PLACENTAL PROTEIN 6', 119239),
(175514, 'PTHR15489', NULL, NULL, NULL, NULL, 'CASPASE 8 ASSOCIATED PROTEIN 2', 119240),
(175515, 'PTHR22753:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119241),
(175516, 'PTHR30337', NULL, NULL, NULL, NULL, 'COMPONENT OF ATP-DEPENDENT DSDNA EXONUCLEASE', 119242),
(175517, 'PTHR46036:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119243),
(175518, 'PTHR11413:SF115', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 119244),
(175519, 'PTHR18966:SF297', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 1', 119245),
(175520, 'PTHR11926:SF706', NULL, NULL, NULL, NULL, 'CYTOKININ-N-GLUCOSYLTRANSFERASE 1', 119246),
(175521, 'PTHR10281:SF95', NULL, NULL, NULL, NULL, 'BNAC01G22640D PROTEIN', 119247),
(175522, 'PTHR24215:SF31', NULL, NULL, NULL, NULL, 'ZGC:195282', 119248),
(175523, 'PTHR46128:SF141', NULL, NULL, NULL, NULL, 'BNAA03G56810D PROTEIN', 119249),
(175524, 'PTHR22704:SF2', NULL, NULL, NULL, NULL, 'ZGC:171844', 119250),
(175525, 'PTHR48022:SF81', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 119251),
(175526, 'PTHR26454:SF35', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 119252),
(175527, 'PTHR46055:SF2', NULL, NULL, NULL, NULL, 'CIRCADIAN LOCOMOTER OUTPUT CYCLES PROTEIN KAPUT', 119253),
(175528, 'PTHR47978:SF4', NULL, NULL, NULL, NULL, 'ZGC:101559', 119254),
(175529, 'PTHR10155:SF27', NULL, NULL, NULL, NULL, 'PIK3R3 UPSTREAM OPEN READING FRAME PROTEIN', 119255),
(175530, 'PTHR24329:SF551', NULL, NULL, NULL, NULL, 'FI01017P-RELATED', 119256),
(175531, 'PTHR13140:SF793', NULL, NULL, NULL, NULL, 'BNAA08G26800D PROTEIN', 119257),
(175532, 'PTHR46991:SF10', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONE-RELATED', 119258),
(175533, 'PTHR11005:SF88', NULL, NULL, NULL, NULL, 'LIPASE', 119259),
(175534, 'PTHR46734', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR 1 TERF1', 119260),
(175535, 'PTHR11596:SF55', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE', 119261),
(175536, 'PTHR37171', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE YRZF-RELATED', 119262),
(175537, 'PTHR31066:SF38', NULL, NULL, NULL, NULL, 'BNAA02G27840D PROTEIN', 119263),
(175538, 'PTHR31157', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 119264),
(175539, 'PTHR31636:SF173', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGA2-LIKE', 119265),
(175540, 'PTHR32488', NULL, NULL, NULL, NULL, 'UPF0746 PROTEIN DDB_G0280785-RELATED', 119266),
(175541, 'PTHR12549:SF11', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING HISTONE DEMETHYLASE 2, ISOFORM A', 119267);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(175542, 'PTHR24372:SF0', NULL, NULL, NULL, NULL, 'THYROTROPIN RECEPTOR', 119268),
(175543, 'PTHR31194:SF115', NULL, NULL, NULL, NULL, 'BNACNNG47540D PROTEIN', 119269),
(175544, 'PTHR14165', NULL, NULL, NULL, NULL, 'MAJOR VAULT PROTEIN', 119270),
(175545, 'PTHR31989:SF181', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 78-LIKE', 119271),
(175546, 'PTHR24243:SF3', NULL, NULL, NULL, NULL, 'MOTILIN RECEPTOR', 119272),
(175547, 'PTHR47501:SF4', NULL, NULL, NULL, NULL, 'TRANSPOSASE', 119273),
(175548, 'PTHR11620:SF78', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A-2', 119274),
(175549, 'PTHR24281:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119275),
(175550, 'PTHR36143:SF1', NULL, NULL, NULL, NULL, 'OSJNBB0034I13.2 PROTEIN', 119276),
(175551, 'PTHR26379:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119277),
(175552, 'PTHR11985:SF11', NULL, NULL, NULL, NULL, 'DEHYDROGENASE (FAD-DEPENDENT), PUTATIVE-RELATED', 119278),
(175553, 'PTHR24409:SF324', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 131', 119279),
(175554, 'PTHR32195', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 119280),
(175555, 'PTHR27009:SF211', NULL, NULL, NULL, NULL, 'PR5-LIKE RECEPTOR KINASE', 119281),
(175556, 'PTHR31963:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119282),
(175557, 'PTHR31190:SF140', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF109', 119283),
(175558, 'PTHR32267', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA TRANSLOCATION-ALTERED GENE PROTEIN', 119284),
(175559, 'PTHR47229', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 141', 119285),
(175560, 'PTHR24123:SF111', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', 119286),
(175561, 'PTHR46115:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN 1', 119287),
(175562, 'PTHR23063:SF47', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID/GLYCEROL ACYLTRANSFERASE FAMILY PROTEIN-RELATED', 119288),
(175563, 'PTHR38478:SF1', NULL, NULL, NULL, NULL, 'PEPTIDASE M1A AND M12B', 119289),
(175564, 'PTHR10037:SF289', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT N-TYPE CALCIUM CHANNEL SUBUNIT ALPHA', 119290),
(175565, 'PTHR24377:SF741', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 611', 119291),
(175566, 'PTHR43557:SF6', NULL, NULL, NULL, NULL, 'MONODEHYDROASCORBATE REDUCTASE, CHLOROPLASTIC/MITOCHONDRIAL', 119292),
(175567, 'PTHR13568:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 60', 119293),
(175568, 'PTHR34552', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER W PROTEIN, CHLOROPLASTIC', 119294),
(175569, 'PTHR10168:SF186', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S1-LIKE', 119295),
(175570, 'PTHR24026:SF49', NULL, NULL, NULL, NULL, 'PROTOCADHERIN FAT 3', 119296),
(175571, 'PTHR48040:SF13', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: ABC TRANSPORTER G FAMILY MEMBER 31-LIKE', 119297),
(175572, 'PTHR24064:SF251', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-11', 119298),
(175573, 'PTHR48193:SF2', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE ZMPB', 119299),
(175574, 'PTHR10291:SF19', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 119300),
(175575, 'PTHR43782:SF2', NULL, NULL, NULL, NULL, 'ARGINASE-1', 119301),
(175576, 'PTHR31321:SF73', NULL, NULL, NULL, NULL, 'PECTINESTERASE 14-RELATED', 119302),
(175577, 'PTHR11712:SF346', NULL, NULL, NULL, NULL, 'BNAA06G13360D PROTEIN', 119303),
(175578, 'PTHR24393:SF31', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 740', 119304),
(175579, 'PTHR14695:SF7', NULL, NULL, NULL, NULL, 'TESTICULAR SPINDLE-ASSOCIATED PROTEIN SHCBP1L', 119305),
(175580, 'PTHR34309:SF2', NULL, NULL, NULL, NULL, 'BLL3419 PROTEIN', 119306),
(175581, 'PTHR45277:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 119307),
(175582, 'PTHR12802:SF134', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 7-RELATED', 119308),
(175583, 'PTHR20855:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119309),
(175584, 'PTHR11588:SF367', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 119310),
(175585, 'PTHR10366:SF735', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL REDUCTASE', 119311),
(175586, 'PTHR43222', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 23', 119312);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(175587, 'PTHR35566:SF6', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 119313),
(175588, 'PTHR24347:SF113', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE 1B', 119314),
(175589, 'PTHR21183', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L47, MITOCHONDRIAL-RELATED', 119315),
(175590, 'PTHR31080:SF207', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 9', 119316),
(175591, 'PTHR31676:SF28', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 119317),
(175592, 'PTHR23189:SF79', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN L2', 119318),
(175593, 'PTHR43117:SF5', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE UPTAKE SYSTEM ATP-BINDING PROTEIN YEHX', 119319),
(175594, 'PTHR48015:SF29', NULL, NULL, NULL, NULL, 'TRAF2 AND NCK-INTERACTING PROTEIN KINASE', 119320),
(175595, 'PTHR43080:SF2', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX3, MITOCHONDRIAL', 119321),
(175596, 'PTHR10676:SF389', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN', 119322),
(175597, 'PTHR32295:SF178', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 31', 119323),
(175598, 'PTHR23508:SF9', NULL, NULL, NULL, NULL, 'CARBOXYLIC ACID TRANSPORT PROTEIN (AFU_ORTHOLOGUE AFUA_2G09450)', 119324),
(175599, 'PTHR23503:SF91', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2 MEMBER 3A', 119325),
(175600, 'PTHR30536', NULL, NULL, NULL, NULL, 'ALTRONATE/GALACTARATE DEHYDRATASE', 119326),
(175601, 'PTHR31828:SF38', NULL, NULL, NULL, NULL, 'BNAC03G62710D PROTEIN', 119327),
(175602, 'PTHR36174:SF1', NULL, NULL, NULL, NULL, 'LIPID II:GLYCINE GLYCYLTRANSFERASE', 119328),
(175603, 'PTHR32295:SF113', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 13', 119329),
(175604, 'PTHR15137', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID', 119330),
(175605, 'PTHR11830:SF35', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', 119331),
(175606, 'PTHR11926:SF1070', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 119332),
(175607, 'PTHR47041:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH11-LIKE', 119333),
(175608, 'PTHR46623:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119334),
(175609, 'PTHR45589:SF2', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 62', 119335),
(175610, 'PTHR31063:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08668', 119336),
(175611, 'PTHR42886:SF63', NULL, NULL, NULL, NULL, 'BLL5588 PROTEIN', 119337),
(175612, 'PTHR10755:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119338),
(175613, 'PTHR23430:SF288', NULL, NULL, NULL, NULL, 'HISTONE H2A', 119339),
(175614, 'PTHR45624:SF37', NULL, NULL, NULL, NULL, 'CARNITINE/ACYLCARNITINE CARRIER-LIKE PROTEIN', 119340),
(175615, 'PTHR43205:SF24', NULL, NULL, NULL, NULL, 'ALLYL ALCOHOL DEHYDROGENASE, NADP-DEPENDENT OXIDOREDUCTASE-LIKE PROTEIN-RELATED', 119341),
(175616, 'PTHR14237:SF72', NULL, NULL, NULL, NULL, 'BNAA09G17260D PROTEIN', 119342),
(175617, 'PTHR32096:SF110', NULL, NULL, NULL, NULL, 'BNAA03G19190D PROTEIN', 119343),
(175618, 'PTHR37865', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 23', 119344),
(175619, 'PTHR33649:SF13', NULL, NULL, NULL, NULL, 'PAR1 PROTEIN', 119345),
(175620, 'PTHR30486:SF5', NULL, NULL, NULL, NULL, 'TYPE IV SECRETION SYSTEM PROTEIN', 119346),
(175621, 'PTHR10903:SF65', NULL, NULL, NULL, NULL, 'OS01G0356800 PROTEIN', 119347),
(175622, 'PTHR46758:SF12', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, ZINC FINGER, MYND-TYPE, TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN PROTEIN-RELATED', 119348),
(175623, 'PTHR10381:SF65', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', 119349),
(175624, 'PTHR24034:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119350),
(175625, 'PTHR11017:SF324', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 119351),
(175626, 'PTHR16803:SF0', NULL, NULL, NULL, NULL, 'HIGH AFFINITY IMMUNOGLOBULIN EPSILON RECEPTOR SUBUNIT GAMMA', 119352),
(175627, 'PTHR11017:SF279', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE-LIKE PROTEIN DSC1', 119353),
(175628, 'PTHR32419:SF6', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE OMEGA-LIKE 1-RELATED', 119354);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(175629, 'PTHR32133:SF277', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119355),
(175630, 'PTHR21724:SF102', NULL, NULL, NULL, NULL, 'PROTEIN CBG23670', 119356),
(175631, 'PTHR28023:SF1', NULL, NULL, NULL, NULL, 'UPF0357 PROTEIN YCL012C', 119357),
(175632, 'PTHR22951:SF70', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN-RELATED', 119358),
(175633, 'PTHR12845:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119359),
(175634, 'PTHR43522:SF12', NULL, NULL, NULL, NULL, 'TRANSKETOLASE, CHLOROPLASTIC', 119360),
(175635, 'PTHR46089:SF3', NULL, NULL, NULL, NULL, 'ALSIN', 119361),
(175636, 'PTHR43272:SF58', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 4-LIKE', 119362),
(175637, 'PTHR28348', NULL, NULL, NULL, NULL, 'UPF0193 PROTEIN EVG1', 119363),
(175638, 'PTHR47323', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY-RELATED', 119364),
(175639, 'PTHR11066:SF58', NULL, NULL, NULL, NULL, 'PROTEIN CBG02443', 119365),
(175640, 'PTHR26450:SF384', NULL, NULL, NULL, NULL, 'OR56A5 ISOFORM 2', 119366),
(175641, 'PTHR46632:SF14', NULL, NULL, NULL, NULL, 'OS01G0123800 PROTEIN', 119367),
(175642, 'PTHR21495:SF182', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 4', 119368),
(175643, 'PTHR31967:SF17', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)', 119369),
(175644, 'PTHR31989:SF126', NULL, NULL, NULL, NULL, 'NAM PROTEIN', 119370),
(175645, 'PTHR32133:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119371),
(175646, 'PTHR16181:SF14', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 83 MEMBER FA', 119372),
(175647, 'PTHR10969:SF82', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', 119373),
(175648, 'PTHR13377:SF8', NULL, NULL, NULL, NULL, 'OS07G0655400 PROTEIN', 119374),
(175649, 'PTHR33166:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119375),
(175650, 'PTHR24104:SF25', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM71', 119376),
(175651, 'PTHR10795:SF701', NULL, NULL, NULL, NULL, 'SERINE PROTEINASE 1, PUTATIVE-RELATED', 119377),
(175652, 'PTHR23070:SF20', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE-LIKE', 119378),
(175653, 'PTHR34834', NULL, NULL, NULL, NULL, 'SPERMATID MATURATION PROTEIN 1', 119379),
(175654, 'PTHR38634', NULL, NULL, NULL, NULL, 'PROTEIN CBG16428', 119380),
(175655, 'PTHR24286:SF101', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 26A1', 119381),
(175656, 'PTHR47002:SF5', NULL, NULL, NULL, NULL, 'AQUAPORIN-LIKE', 119382),
(175657, 'PTHR32037', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 12A', 119383),
(175658, 'PTHR13994:SF32', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 10-LIKE', 119384),
(175659, 'PTHR35349:SF4', NULL, NULL, NULL, NULL, 'DYNACTIN-ASSOCIATED PROTEIN', 119385),
(175660, 'PTHR47018', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 119386),
(175661, 'PTHR35292', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 119387),
(175662, 'PTHR20961:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119388),
(175663, 'PTHR46461:SF1', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 3', 119389),
(175664, 'PTHR13465', NULL, NULL, NULL, NULL, 'UPF0183 PROTEIN', 119390),
(175665, 'PTHR10209:SF243', NULL, NULL, NULL, NULL, 'FERULOYL COA ORTHO-HYDROXYLASE 1', 119391),
(175666, 'PTHR21549:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 112', 119392),
(175667, 'PTHR16255:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119393),
(175668, 'PTHR48040:SF25', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 2-LIKE', 119394),
(175669, 'PTHR47209:SF1', NULL, NULL, NULL, NULL, 'OS06G0639500 PROTEIN', 119395),
(175670, 'PTHR11062:SF254', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY PROTEIN 64 C3', 119396),
(175671, 'PTHR10809:SF131', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN-ASSOCIATED PROTEIN A', 119397),
(175672, 'PTHR19411', NULL, NULL, NULL, NULL, 'PROTEIN BUD31-RELATED', 119398),
(175673, 'PTHR44191:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KUA1', 119399),
(175674, 'PTHR33207:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119400);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(175675, 'PTHR11783:SF53', NULL, NULL, NULL, NULL, 'ESTROGEN SULFOTRANSFERASE', 119401),
(175676, 'PTHR30218', NULL, NULL, NULL, NULL, 'POLYPHOSPHATE KINASE', 119402),
(175677, 'PTHR31450', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 19 LRRC19 FAMILY MEMBER', 119403),
(175678, 'PTHR11616:SF129', NULL, NULL, NULL, NULL, 'TRANSPORTER', 119404),
(175679, 'PTHR42678:SF28', NULL, NULL, NULL, NULL, 'AMIDASE C869.01-RELATED', 119405),
(175680, 'PTHR12741:SF13', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 7', 119406),
(175681, 'PTHR30118:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR LYSR FAMILY', 119407),
(175682, 'PTHR43139:SF31', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 119408),
(175683, 'PTHR34408', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 119409),
(175684, 'PTHR24353:SF137', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE CATALYTIC SUBUNIT GAMMA', 119410),
(175685, 'PTHR46371:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119411),
(175686, 'PTHR14947:SF9', NULL, NULL, NULL, NULL, 'RIKEN CDNA D130040H23 GENE-RELATED', 119412),
(175687, 'PTHR10336:SF102', NULL, NULL, NULL, NULL, 'INACTIVE PHOSPHOLIPASE C-LIKE PROTEIN 1', 119413),
(175688, 'PTHR12894:SF29', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR-BETA RECEPTOR-ASSOCIATED PROTEIN 1 HOMOLOG', 119414),
(175689, 'PTHR26450:SF48', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52A5', 119415),
(175690, 'PTHR13900', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID', 119416),
(175691, 'PTHR10841', NULL, NULL, NULL, NULL, 'SYNAPSIN', 119417),
(175692, 'PTHR10641:SF1077', NULL, NULL, NULL, NULL, 'MYB FACTOR', 119418),
(175693, 'PTHR11671:SF1', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT D', 119419),
(175694, 'PTHR47925:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119420),
(175695, 'PTHR12483:SF89', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 6-LIKE', 119421),
(175696, 'PTHR33108:SF65', NULL, NULL, NULL, NULL, 'BNAC03G42880D PROTEIN', 119422),
(175697, 'PTHR23022:SF122', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT TC3 TRANSPOSASE-LIKE PROTEIN', 119423),
(175698, 'PTHR11206:SF289', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 119424),
(175699, 'PTHR30031:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE [ATP]', 119425),
(175700, 'PTHR46994:SF2', NULL, NULL, NULL, NULL, '5''-METHYLTHIOADENOSINE/S-ADENOSYLHOMOCYSTEINE NUCLEOSIDASE 2', 119426),
(175701, 'PTHR43005:SF2', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEM, INNER MEMBRANE COMPONENT-RELATED', 119427),
(175702, 'PTHR11206:SF92', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 48', 119428),
(175703, 'PTHR48062:SF33', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 119429),
(175704, 'PTHR43160', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE B', 119430),
(175705, 'PTHR48052:SF40', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', 119431),
(175706, 'PTHR33156:SF26', NULL, NULL, NULL, NULL, 'OS12G0592200 PROTEIN', 119432),
(175707, 'PTHR15615:SF80', NULL, NULL, NULL, NULL, 'CYCLIN', 119433),
(175708, 'PTHR36570', NULL, NULL, NULL, NULL, 'DISULFIDE BOND FORMATION PROTEIN B', 119434),
(175709, 'PTHR47965:SF35', NULL, NULL, NULL, NULL, 'XYLANASE INHIBITOR', 119435),
(175710, 'PTHR27005:SF258', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 119436),
(175711, 'PTHR47979:SF38', NULL, NULL, NULL, NULL, 'RAB2A, MEMBER RAS ONCOGENE FAMILY', 119437),
(175712, 'PTHR24343:SF418', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2C', 119438),
(175713, 'PTHR26450:SF395', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119439),
(175714, 'PTHR23120:SF44', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT-CONTAINING PROTEIN FAMILY MEMBER 1', 119440),
(175715, 'PTHR12174:SF75', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 2', 119441),
(175716, 'PTHR33374:SF7', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 22', 119442),
(175717, 'PTHR30387', NULL, NULL, NULL, NULL, 'MANNONATE DEHYDRATASE', 119443);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(175718, 'PTHR22406:SF7', NULL, NULL, NULL, NULL, 'FLOCCULATION PROTEIN FLO11', 119444),
(175719, 'PTHR48019:SF83', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 23 ISOFORM X1', 119445),
(175720, 'PTHR13068:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119446),
(175721, 'PTHR13318:SF168', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 119447),
(175722, 'PTHR11362:SF78', NULL, NULL, NULL, NULL, 'PROTEASE INHIBITOR', 119448),
(175723, 'PTHR46354:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA2-LIKE', 119449),
(175724, 'PTHR48097', NULL, NULL, NULL, NULL, 'L-THREONINE ALDOLASE-RELATED', 119450),
(175725, 'PTHR43981:SF5', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 119451),
(175726, 'PTHR48047:SF65', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 119452),
(175727, 'PTHR46027', NULL, NULL, NULL, NULL, 'PEROXISOMAL TARGETING SIGNAL 2 RECEPTOR', 119453),
(175728, 'PTHR12704:SF3', NULL, NULL, NULL, NULL, 'GOLGI PHOSPHOPROTEIN 3', 119454),
(175729, 'PTHR33349', NULL, NULL, NULL, NULL, 'EMB|CAB62594.1', 119455),
(175730, 'PTHR47250:SF1', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', 119456),
(175731, 'PTHR24099:SF20', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 46', 119457),
(175732, 'PTHR43391:SF34', NULL, NULL, NULL, NULL, 'CHAIN OXIDOREDUCTASE/DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01770)-RELATED', 119458),
(175733, 'PTHR27006:SF401', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 119459),
(175734, 'PTHR21257:SF31', NULL, NULL, NULL, NULL, 'DELTA(24(24(1)))-STEROL REDUCTASE', 119460),
(175735, 'PTHR45811:SF39', NULL, NULL, NULL, NULL, 'METAL-ASSOCIATED DOMAIN PROTEIN, PUTATIVE-RELATED', 119461),
(175736, 'PTHR13344:SF1', NULL, NULL, NULL, NULL, 'COX19-LIKE CHCH FAMILY PROTEIN-RELATED', 119462),
(175737, 'PTHR47042:SF3', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 119463),
(175738, 'PTHR19965:SF64', NULL, NULL, NULL, NULL, 'YALI0F19624P', 119464),
(175739, 'PTHR43899:SF17', NULL, NULL, NULL, NULL, 'OS06G0299200 PROTEIN', 119465),
(175740, 'PTHR25462', NULL, NULL, NULL, NULL, 'BONUS, ISOFORM C-RELATED', 119466),
(175741, 'PTHR31506:SF4', NULL, NULL, NULL, NULL, 'PROTEIN BZR1 HOMOLOG 3-LIKE', 119467),
(175742, 'PTHR31917:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119468),
(175743, 'PTHR11247:SF44', NULL, NULL, NULL, NULL, 'PALMITOYL PROTEIN THIOESTERASE FAMILY PROTEIN', 119469),
(175744, 'PTHR47958:SF9', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 37', 119470),
(175745, 'PTHR21724:SF94', NULL, NULL, NULL, NULL, 'PROTEIN CBG06864', 119471),
(175746, 'PTHR31465:SF27', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01030)-RELATED', 119472),
(175747, 'PTHR31343:SF52', NULL, NULL, NULL, NULL, 'BNAA09G01560D PROTEIN', 119473),
(175748, 'PTHR24068:SF348', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATING ENZYME', 119474),
(175749, 'PTHR48043:SF4', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 119475),
(175750, 'PTHR11012:SF12', NULL, NULL, NULL, NULL, 'FI01822P-RELATED', 119476),
(175751, 'PTHR11214:SF105', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 119477),
(175752, 'PTHR24417:SF7', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN EAF1', 119478),
(175753, 'PTHR32448:SF118', NULL, NULL, NULL, NULL, 'PEPTIDE-METHIONINE (R)-S-OXIDE REDUCTASE', 119479),
(175754, 'PTHR48097:SF9', NULL, NULL, NULL, NULL, 'L-THREONINE ALDOLASE', 119480),
(175755, 'PTHR31707:SF201', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 119481),
(175756, 'PTHR17223', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE-RELATED', 119482),
(175757, 'PTHR31964:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119483),
(175758, 'PTHR34116', NULL, NULL, NULL, NULL, 'PLASMINOGEN ACTIVATOR INHIBITOR', 119484),
(175759, 'PTHR12603:SF14', NULL, NULL, NULL, NULL, 'RNA BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 119485),
(175760, 'PTHR33463:SF71', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN', 119486);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(175761, 'PTHR47212:SF8', NULL, NULL, NULL, NULL, 'BNAA04G26510D PROTEIN', 119487),
(175762, 'PTHR33057:SF6', NULL, NULL, NULL, NULL, 'OS04G0577700 PROTEIN', 119488),
(175763, 'PTHR31989:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119489),
(175764, 'PTHR42799:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119490),
(175765, 'PTHR31415:SF119', NULL, NULL, NULL, NULL, 'BNAANNG41110D PROTEIN', 119491),
(175766, 'PTHR12210:SF166', NULL, NULL, NULL, NULL, 'BNAA06G00110D PROTEIN', 119492),
(175767, 'PTHR10803:SF21', NULL, NULL, NULL, NULL, 'ATPASE LOC107826790', 119493),
(175768, 'PTHR15976:SF15', NULL, NULL, NULL, NULL, 'CONSTITUTIVE COACTIVATOR OF PPAR-GAMMA-LIKE PROTEIN 2', 119494),
(175769, 'PTHR28638:SF3', NULL, NULL, NULL, NULL, 'PRE-B-CELL LEUKEMIA HOMEOBOX-INTERACTING PROTEIN 1B', 119495),
(175770, 'PTHR11945:SF682', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119496),
(175771, 'PTHR31250:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119497),
(175772, 'PTHR42692:SF1', NULL, NULL, NULL, NULL, 'NUCLEOTIDE PYROPHOSPHOHYDROLASE', 119498),
(175773, 'PTHR11615:SF332', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 119499),
(175774, 'PTHR22978:SF44', NULL, NULL, NULL, NULL, 'PROTEIN BTG3-LIKE PROTEIN', 119500),
(175775, 'PTHR38464:SF1', NULL, NULL, NULL, NULL, 'L-ARABINOSE ISOMERASE', 119501),
(175776, 'PTHR47327:SF10', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 119502),
(175777, 'PTHR23180:SF406', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD10', 119503),
(175778, 'PTHR43848:SF5', NULL, NULL, NULL, NULL, 'SPERMIDINE/PUTRESCINE TRANSPORT SYSTEM PERMEASE PROTEIN POTC', 119504),
(175779, 'PTHR23148:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119505),
(175780, 'PTHR31561:SF81', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 119506),
(175781, 'PTHR34396:SF1', NULL, NULL, NULL, NULL, 'OS03G0264950 PROTEIN', 119507),
(175782, 'PTHR10334:SF493', NULL, NULL, NULL, NULL, 'BNAC03G12850D PROTEIN', 119508),
(175783, 'PTHR46327:SF8', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 119509),
(175784, 'PTHR24349:SF254', NULL, NULL, NULL, NULL, 'MAP KINASE-INTERACTING SERINE/THREONINE-PROTEIN KINASE 2', 119510),
(175785, 'PTHR23428:SF294', NULL, NULL, NULL, NULL, 'HISTONE H2B.1-RELATED', 119511),
(175786, 'PTHR11225:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP93A', 119512),
(175787, 'PTHR27007:SF231', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.1-RELATED', 119513),
(175788, 'PTHR23510:SF16', NULL, NULL, NULL, NULL, 'TRANSPORTER, MAJOR FACILITATOR FAMILY PROTEIN', 119514),
(175789, 'PTHR15336:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6', 119515),
(175790, 'PTHR31062:SF175', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 119516),
(175791, 'PTHR23147:SF201', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SC35-LIKE ISOFORM X1', 119517),
(175792, 'PTHR43027:SF2', NULL, NULL, NULL, NULL, 'TRANSPORT PERMEASE PROTEIN', 119518),
(175793, 'PTHR22950:SF644', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE', 119519),
(175794, 'PTHR12832:SF15', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 11-LIKE PROTEIN 1', 119520),
(175795, 'PTHR30572:SF9', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN-RELATED', 119521),
(175796, 'PTHR48020:SF14', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE-RELATED', 119522),
(175797, 'PTHR22921:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG20088', 119523),
(175798, 'PTHR12873:SF1', NULL, NULL, NULL, NULL, 'ACID-BINDING PROTEIN, PUTATIVE-RELATED', 119524),
(175799, 'PTHR43900:SF17', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 4', 119525),
(175800, 'PTHR33108:SF51', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN (DUF1677)', 119526),
(175801, 'PTHR31960:SF2', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A15', 119527),
(175802, 'PTHR33470:SF33', NULL, NULL, NULL, NULL, 'OS01G0726100 PROTEIN', 119528),
(175803, 'PTHR38102', NULL, NULL, NULL, NULL, 'PERIPLASMIC CHAPERONE SPY', 119529);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(175804, 'PTHR46560:SF2', NULL, NULL, NULL, NULL, 'DUSKY-LIKE, ISOFORM A', 119530),
(175805, 'PTHR12010', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S29', 119531),
(175806, 'PTHR33447:SF14', NULL, NULL, NULL, NULL, 'BNAC09G17830D PROTEIN', 119532),
(175807, 'PTHR31871', NULL, NULL, NULL, NULL, 'OS02G0137100 PROTEIN', 119533),
(175808, 'PTHR33184:SF32', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 119534),
(175809, 'PTHR22619:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 8', 119535),
(175810, 'PTHR43625:SF5', NULL, NULL, NULL, NULL, 'PYRIDOXAL REDUCTASE, CHLOROPLASTIC', 119536),
(175811, 'PTHR16296', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED HYPOTHALAMUS PROTEIN HT007', 119537),
(175812, 'PTHR47005:SF10', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', 119538),
(175813, 'PTHR33432:SF24', NULL, NULL, NULL, NULL, 'OS08G0328300 PROTEIN', 119539),
(175814, 'PTHR15592:SF14', NULL, NULL, NULL, NULL, 'POLYPYRIMIDINE TRACT-BINDING PROTEIN HOMOLOG 1', 119540),
(175815, 'PTHR33346:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119541),
(175816, 'PTHR19957:SF294', NULL, NULL, NULL, NULL, 'SYNTAXIN FAMILY PROTEIN', 119542),
(175817, 'PTHR12565:SF341', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBI1', 119543),
(175818, 'PTHR24282:SF43', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 734A4', 119544),
(175819, 'PTHR12302:SF23', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', 119545),
(175820, 'PTHR37187:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 119546),
(175821, 'PTHR10454:SF196', NULL, NULL, NULL, NULL, 'CASPASE DRONC', 119547),
(175822, 'PTHR46896:SF3', NULL, NULL, NULL, NULL, 'FI06413P-RELATED', 119548),
(175823, 'PTHR15111:SF1', NULL, NULL, NULL, NULL, 'BNAA08G27560D PROTEIN', 119549),
(175824, 'PTHR31238:SF3', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 3 MEMBER 4', 119550),
(175825, 'PTHR46281:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B-LIKE-RELATED', 119551),
(175826, 'PTHR46836:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYGLUCOSAMINLYTRANSFERASE SUBUNIT P-RELATED', 119552),
(175827, 'PTHR45657:SF51', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH13-LIKE ISOFORM X1', 119553),
(175828, 'PTHR46895:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG15722', 119554),
(175829, 'PTHR43489:SF3', NULL, NULL, NULL, NULL, 'XYLOSE ISOMERASE DOMAIN PROTEIN TIM BARREL', 119555),
(175830, 'PTHR47269:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 119556),
(175831, 'PTHR18945:SF80', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT BETA-2', 119557),
(175832, 'PTHR12934:SF13', NULL, NULL, NULL, NULL, 'BNAA06G33230D PROTEIN', 119558),
(175833, 'PTHR11079:SF172', NULL, NULL, NULL, NULL, 'PROTEIN CBG18226', 119559),
(175834, 'PTHR47499:SF3', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 14', 119560),
(175835, 'PTHR11596:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119561),
(175836, 'PTHR21230:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119562),
(175837, 'PTHR33651', NULL, NULL, NULL, NULL, 'PROTEIN CBG06246', 119563),
(175838, 'PTHR24210:SF11', NULL, NULL, NULL, NULL, 'LIM AND SENESCENT CELL ANTIGEN-LIKE-CONTAINING DOMAIN PROTEIN 1', 119564),
(175839, 'PTHR31602:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119565),
(175840, 'PTHR11363:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L3', 119566),
(175841, 'PTHR43120', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE 1, CHLOROPLASTIC', 119567),
(175842, 'PTHR31717:SF87', NULL, NULL, NULL, NULL, 'OS06G0298200 PROTEIN', 119568),
(175843, 'PTHR31238:SF195', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 119569),
(175844, 'PTHR11132:SF414', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR TRANSPORTER-KT 1', 119570),
(175845, 'PTHR11394:SF32', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 60', 119571),
(175846, 'PTHR31662:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 119572),
(175847, 'PTHR32099:SF73', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', 119573);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(175848, 'PTHR19446:SF436', NULL, NULL, NULL, NULL, 'OS06G0484800 PROTEIN', 119574),
(175849, 'PTHR35519:SF2', NULL, NULL, NULL, NULL, 'BLL7046 PROTEIN', 119575),
(175850, 'PTHR36440', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_8G07350)-RELATED', 119576),
(175851, 'PTHR11895:SF109', NULL, NULL, NULL, NULL, 'AMIDASE', 119577),
(175852, 'PTHR23155:SF901', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPM1', 119578),
(175853, 'PTHR11691:SF33', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-5', 119579),
(175854, 'PTHR33871:SF20', NULL, NULL, NULL, NULL, 'BNAC01G20710D PROTEIN', 119580),
(175855, 'PTHR32285:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 5', 119581),
(175856, 'PTHR43214:SF24', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE RESPONSE REGULATOR PROTEIN NARL', 119582),
(175857, 'PTHR27001:SF152', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', 119583),
(175858, 'PTHR11437:SF20', NULL, NULL, NULL, NULL, 'INACTIVE RIBONUCLEASE-LIKE PROTEIN 12-RELATED', 119584),
(175859, 'PTHR43092:SF6', NULL, NULL, NULL, NULL, 'BLR1280 PROTEIN', 119585),
(175860, 'PTHR43952:SF59', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', 119586),
(175861, 'PTHR12386:SF12', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT', 119587),
(175862, 'PTHR11022:SF40', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN RECOGNITION PROTEIN 4', 119588),
(175863, 'PTHR11913:SF80', NULL, NULL, NULL, NULL, 'ACTIN DEPOLYMERIZING FACTOR 6', 119589),
(175864, 'PTHR22943:SF78', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 119590),
(175865, 'PTHR48043:SF81', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 83A1-LIKE', 119591),
(175866, 'PTHR11885:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S13', 119592),
(175867, 'PTHR48052:SF9', NULL, NULL, NULL, NULL, 'BNAC05G03090D PROTEIN', 119593),
(175868, 'PTHR40069', NULL, NULL, NULL, NULL, 'YWBE PROTEIN', 119594),
(175869, 'PTHR24270:SF2', NULL, NULL, NULL, NULL, 'ATRIAL NATRIURETIC PEPTIDE-CONVERTING ENZYME', 119595),
(175870, 'PTHR47989:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119596),
(175871, 'PTHR23515:SF2', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 2.3', 119597),
(175872, 'PTHR23024:SF368', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE', 119598),
(175873, 'PTHR19378:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119599),
(175874, 'PTHR30618:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119600),
(175875, 'PTHR31852:SF238', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 119601),
(175876, 'PTHR31149:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119602),
(175877, 'PTHR46142:SF10', NULL, NULL, NULL, NULL, 'OS01G0173600 PROTEIN', 119603),
(175878, 'PTHR46575:SF1', NULL, NULL, NULL, NULL, 'AMYLOID PROTEIN-BINDING PROTEIN 2', 119604),
(175879, 'PTHR40240:SF1', NULL, NULL, NULL, NULL, 'PLEXUS, ISOFORM A', 119605),
(175880, 'PTHR35243:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119606),
(175881, 'PTHR12157', NULL, NULL, NULL, NULL, 'REGULATING SYNAPTIC MEMBRANE EXOCYTOSIS PROTEIN', 119607),
(175882, 'PTHR48014:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE OSR1-LIKE ISOFORM X1', 119608),
(175883, 'PTHR46863', NULL, NULL, NULL, NULL, 'OS09G0572100 PROTEIN', 119609),
(175884, 'PTHR27008:SF368', NULL, NULL, NULL, NULL, 'OS06G0186100 PROTEIN', 119610),
(175885, 'PTHR11973:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119611),
(175886, 'PTHR23335:SF33', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', 119612),
(175887, 'PTHR47985:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', 119613),
(175888, 'PTHR10795:SF645', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3.5', 119614),
(175889, 'PTHR13768:SF28', NULL, NULL, NULL, NULL, 'N-ETHYLMALEIMIDE SENSITIVE FACTOR (NSF) ATTACHMENT PROTEIN, PUTATIVE-RELATED', 119615),
(175890, 'PTHR33107:SF68', NULL, NULL, NULL, NULL, 'BNAC08G19550D PROTEIN', 119616),
(175891, 'PTHR27008:SF477', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119617);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(175892, 'PTHR45762:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER RNA-BINDING PROTEIN-LIKE', 119618),
(175893, 'PTHR12673:SF79', NULL, NULL, NULL, NULL, 'FYVE, RHOGEF AND PH DOMAIN-CONTAINING PROTEIN 1', 119619),
(175894, 'PTHR33133:SF14', NULL, NULL, NULL, NULL, 'OS06G0653700 PROTEIN', 119620),
(175895, 'PTHR47065:SF1', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 9', 119621),
(175896, 'PTHR22996:SF12', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LUL4-RELATED', 119622),
(175897, 'PTHR36449:SF2', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 119623),
(175898, 'PTHR24247:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119624),
(175899, 'PTHR10638:SF32', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 119625),
(175900, 'PTHR24372', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONE RECEPTOR', 119626),
(175901, 'PTHR22753:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119627),
(175902, 'PTHR22930:SF142', NULL, NULL, NULL, NULL, 'PROTEIN ANTAGONIST OF LIKE HETEROCHROMATIN PROTEIN 1', 119628),
(175903, 'PTHR47047:SF5', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE, PUTATIVE-RELATED', 119629),
(175904, 'PTHR10366:SF696', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL-4-REDUCTASE-LIKE PROTEIN', 119630),
(175905, 'PTHR47958:SF78', NULL, NULL, NULL, NULL, 'BNAC03G15540D PROTEIN', 119631),
(175906, 'PTHR36884', NULL, NULL, NULL, NULL, 'FIP1[III]-LIKE PROTEIN', 119632),
(175907, 'PTHR12820:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 53 HOMOLOG', 119633),
(175908, 'PTHR38008:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 119634),
(175909, 'PTHR31683:SF88', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 119635),
(175910, 'PTHR33710:SF40', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', 119636),
(175911, 'PTHR11759:SF34', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S11, MITOCHONDRIAL-RELATED', 119637),
(175912, 'PTHR43220:SF13', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN-RELATED', 119638),
(175913, 'PTHR45621:SF140', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 119639),
(175914, 'PTHR11017:SF398', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 119640),
(175915, 'PTHR24223:SF391', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN ABC TRANSPORTER FAMILY PROTEIN', 119641),
(175916, 'PTHR40088', NULL, NULL, NULL, NULL, 'PECTATE LYASE (EUROFUNG)', 119642),
(175917, 'PTHR31682:SF34', NULL, NULL, NULL, NULL, 'UDP-ARABINOPYRANOSE MUTASE 3', 119643),
(175918, 'PTHR23120:SF40', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT-CONTAINING PROTEIN FAMILY MEMBER 6', 119644),
(175919, 'PTHR10127:SF849', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-36', 119645),
(175920, 'PTHR43085:SF40', NULL, NULL, NULL, NULL, 'BNAA04G18320D PROTEIN', 119646),
(175921, 'PTHR26452:SF816', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 119647),
(175922, 'PTHR19353:SF67', NULL, NULL, NULL, NULL, 'DELTA(8)-FATTY-ACID DESATURASE 2', 119648),
(175923, 'PTHR24274:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE, PUTATIVE-RELATED', 119649),
(175924, 'PTHR33124:SF69', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH149', 119650),
(175925, 'PTHR23267:SF411', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-13-RELATED', 119651),
(175926, 'PTHR37550', NULL, NULL, NULL, NULL, 'ANTITOXIN VAPB1', 119652),
(175927, 'PTHR12767', NULL, NULL, NULL, NULL, 'BCL7 RELATED', 119653),
(175928, 'PTHR12320:SF62', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PHOSPHATASE FAMILY 2C', 119654),
(175929, 'PTHR22844:SF348', NULL, NULL, NULL, NULL, 'BNAA03G52780D PROTEIN', 119655),
(175930, 'PTHR47793:SF1', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT CTI6', 119656),
(175931, 'PTHR23281:SF13', NULL, NULL, NULL, NULL, 'EZRIN', 119657),
(175932, 'PTHR35832:SF7', NULL, NULL, NULL, NULL, 'OS06G0541600 PROTEIN', 119658),
(175933, 'PTHR43157:SF9', NULL, NULL, NULL, NULL, 'SI:DKEY-174N20.1', 119659),
(175934, 'PTHR21162', NULL, NULL, NULL, NULL, 'P53 AND DNA DAMAGE-REGULATED PROTEIN', 119660);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(175935, 'PTHR47988:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119661),
(175936, 'PTHR43381:SF4', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5B', 119662),
(175937, 'PTHR46117', NULL, NULL, NULL, NULL, 'FI24210P1', 119663),
(175938, 'PTHR44375:SF7', NULL, NULL, NULL, NULL, 'ENOYL-(ACYL CARRIER) REDUCTASE', 119664),
(175939, 'PTHR47568:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SP1-RELATED', 119665),
(175940, 'PTHR11514:SF116', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH28', 119666),
(175941, 'PTHR11685:SF374', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 119667),
(175942, 'PTHR19241', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER', 119668),
(175943, 'PTHR10884:SF14', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 3, MITOCHONDRIAL', 119669),
(175944, 'PTHR22893:SF44', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 1', 119670),
(175945, 'PTHR12011:SF453', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119671),
(175946, 'PTHR43481', NULL, NULL, NULL, NULL, 'FRUCTOSE-1-PHOSPHATE PHOSPHATASE', 119672),
(175947, 'PTHR31213:SF142', NULL, NULL, NULL, NULL, 'BNAC03G22610D PROTEIN', 119673),
(175948, 'PTHR33348:SF30', NULL, NULL, NULL, NULL, 'BNAA08G07800D PROTEIN', 119674),
(175949, 'PTHR32099:SF59', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 9-RELATED', 119675),
(175950, 'PTHR47926:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119676),
(175951, 'PTHR47988:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119677),
(175952, 'PTHR34191:SF26', NULL, NULL, NULL, NULL, 'BNAC09G21480D PROTEIN', 119678),
(175953, 'PTHR12526', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 119679),
(175954, 'PTHR13322', NULL, NULL, NULL, NULL, 'C1ORF73 PROTEIN', 119680),
(175955, 'PTHR14237:SF27', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL AMIDOXIME REDUCING COMPONENT 2', 119681),
(175956, 'PTHR28222:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD4', 119682),
(175957, 'PTHR22950:SF458', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER PROTEIN', 119683),
(175958, 'PTHR24177:SF195', NULL, NULL, NULL, NULL, 'OS11G0182900 PROTEIN', 119684),
(175959, 'PTHR31319:SF68', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN, EXPRESSED', 119685),
(175960, 'PTHR24412:SF461', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 24 ISOFORM X1', 119686),
(175961, 'PTHR11926:SF1361', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', 119687),
(175962, 'PTHR33415:SF16', NULL, NULL, NULL, NULL, 'BNAANNG24490D PROTEIN', 119688),
(175963, 'PTHR16099:SF6', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE DOMAIN-LIKE PROTEIN-RELATED', 119689),
(175964, 'PTHR46244', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE-PROTEIN PHOSPHOTRANSFERASE', 119690),
(175965, 'PTHR46085:SF10', NULL, NULL, NULL, NULL, 'NSP (NUCLEAR SHUTTLE PROTEIN)-INTERACTING GTPASE', 119691),
(175966, 'PTHR43796', NULL, NULL, NULL, NULL, 'CARBOXYNORSPERMIDINE SYNTHASE', 119692),
(175967, 'PTHR11017:SF212', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 119693),
(175968, 'PTHR38133', NULL, NULL, NULL, NULL, 'SLR1429 PROTEIN', 119694),
(175969, 'PTHR23021:SF78', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 119695),
(175970, 'PTHR10736:SF28', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 13', 119696),
(175971, 'PTHR11592:SF107', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 119697),
(175972, 'PTHR23273:SF73', NULL, NULL, NULL, NULL, 'BNAANNG17160D PROTEIN', 119698),
(175973, 'PTHR10760:SF4', NULL, NULL, NULL, NULL, 'TORSIN-2A', 119699),
(175974, 'PTHR31589:SF112', NULL, NULL, NULL, NULL, 'OS01G0834300 PROTEIN', 119700),
(175975, 'PTHR12358:SF96', NULL, NULL, NULL, NULL, 'LIPID KINASE SAOUHSC_00736-RELATED', 119701),
(175976, 'PTHR10791:SF161', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 119702),
(175977, 'PTHR10683:SF34', NULL, NULL, NULL, NULL, 'TRANSALDOLASE', 119703),
(175978, 'PTHR31384:SF75', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 119704);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(175979, 'PTHR40623:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119705),
(175980, 'PTHR45664:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119706),
(175981, 'PTHR33374:SF27', NULL, NULL, NULL, NULL, 'OS01G0591400 PROTEIN', 119707),
(175982, 'PTHR11538:SF67', NULL, NULL, NULL, NULL, 'DUF2431 DOMAIN PROTEIN', 119708),
(175983, 'PTHR46309:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119709),
(175984, 'PTHR22999:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119710),
(175985, 'PTHR13271:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119711),
(175986, 'PTHR38849:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119712),
(175987, 'PTHR23036:SF89', NULL, NULL, NULL, NULL, 'INTERLEUKIN-13 RECEPTOR SUBUNIT ALPHA-1', 119713),
(175988, 'PTHR12756:SF11', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE 1', 119714),
(175989, 'PTHR30443:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE TRANSFERASE EPTC', 119715),
(175990, 'PTHR24015:SF1943', NULL, NULL, NULL, NULL, 'OJ991214_12.4 PROTEIN', 119716),
(175991, 'PTHR22923:SF92', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 3', 119717),
(175992, 'PTHR31985:SF164', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF027', 119718),
(175993, 'PTHR13802', NULL, NULL, NULL, NULL, 'MUCIN 4-RELATED', 119719),
(175994, 'PTHR24128:SF63', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBOS32 ISOFORM X1-RELATED', 119720),
(175995, 'PTHR12687:SF4', NULL, NULL, NULL, NULL, 'NUCLEOLAR COMPLEX PROTEIN 2 HOMOLOG', 119721),
(175996, 'PTHR11106:SF27', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 119722),
(175997, 'PTHR11452:SF21', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', 119723),
(175998, 'PTHR11909:SF317', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE', 119724),
(175999, 'PTHR10353:SF290', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119725),
(176000, 'PTHR44083:SF27', NULL, NULL, NULL, NULL, 'BNAA09G56690D PROTEIN', 119726),
(176001, 'PTHR21631:SF3', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL GLYOXYLATE CYCLE PROTEIN', 119727),
(176002, 'PTHR11709:SF67', NULL, NULL, NULL, NULL, 'LACCASE-11-RELATED', 119728),
(176003, 'PTHR42831:SF3', NULL, NULL, NULL, NULL, '1,2-PHENYLACETYL-COA EPOXIDASE, SUBUNIT D-RELATED', 119729),
(176004, 'PTHR27008:SF213', NULL, NULL, NULL, NULL, 'OS06G0638500 PROTEIN', 119730),
(176005, 'PTHR47841:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119731),
(176006, 'PTHR46246:SF1', NULL, NULL, NULL, NULL, 'GUANOSINE-3'',5''-BIS(DIPHOSPHATE) 3''-PYROPHOSPHOHYDROLASE MESH1', 119732),
(176007, 'PTHR21660:SF11', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G04355)-RELATED', 119733),
(176008, 'PTHR47258:SF3', NULL, NULL, NULL, NULL, 'F21J9.24-RELATED', 119734),
(176009, 'PTHR45768:SF28', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL18-RELATED', 119735),
(176010, 'PTHR32487:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119736),
(176011, 'PTHR10383:SF50', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR 2', 119737),
(176012, 'PTHR31060:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 119738),
(176013, 'PTHR24115:SF833', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14T', 119739),
(176014, 'PTHR33164', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, MARR FAMILY', 119740),
(176015, 'PTHR15107:SF6', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-BINDING PROTEIN 8-LIKE', 119741),
(176016, 'PTHR13878:SF139', NULL, NULL, NULL, NULL, 'ALCOHOL OXIDASE, PUTATIVE-RELATED', 119742),
(176017, 'PTHR10686:SF18', NULL, NULL, NULL, NULL, 'THIAMINE TRANSPORTER 2', 119743),
(176018, 'PTHR23304', NULL, NULL, NULL, NULL, 'SPOT2-RELATED', 119744),
(176019, 'PTHR15241:SF352', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119745),
(176020, 'PTHR48049:SF95', NULL, NULL, NULL, NULL, 'SCOPOLETIN GLUCOSYLTRANSFERASE-LIKE', 119746),
(176021, 'PTHR24282:SF215', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-LIKE', 119747),
(176022, 'PTHR10209:SF690', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 2-LIKE', 119748),
(176023, 'PTHR10366:SF406', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1', 119749);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(176024, 'PTHR33576:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119750),
(176025, 'PTHR48052:SF8', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 119751),
(176026, 'PTHR24161', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 119752),
(176027, 'PTHR21654:SF14', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-2-LIKE', 119753),
(176028, 'PTHR31645:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119754),
(176029, 'PTHR43850:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT ATP-BINDING PROTEIN (CBIO-2) HOMOLOG, PUTATIVE-RELATED', 119755),
(176030, 'PTHR34361:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 119756),
(176031, 'PTHR35466:SF6', NULL, NULL, NULL, NULL, 'BNAA02G18430D PROTEIN', 119757),
(176032, 'PTHR31747', NULL, NULL, NULL, NULL, 'PROTEIN LSD1', 119758),
(176033, 'PTHR24326:SF574', NULL, NULL, NULL, NULL, 'BNAC05G48840D PROTEIN', 119759),
(176034, 'PTHR27006:SF111', NULL, NULL, NULL, NULL, 'OS02G0639100 PROTEIN', 119760),
(176035, 'PTHR13878:SF143', NULL, NULL, NULL, NULL, 'CYTOKININ OXIDASE 5-RELATED', 119761),
(176036, 'PTHR45959:SF32', NULL, NULL, NULL, NULL, 'BNAA09G42390D PROTEIN', 119762),
(176037, 'PTHR10292:SF22', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', 119763),
(176038, 'PTHR26452:SF800', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 119764),
(176039, 'PTHR19241:SF566', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 40', 119765),
(176040, 'PTHR32054', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE, EXPRESSED-RELATED-RELATED', 119766),
(176041, 'PTHR48001:SF23', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 119767),
(176042, 'PTHR19282:SF159', NULL, NULL, NULL, NULL, 'TETRASPANIN-15', 119768),
(176043, 'PTHR33322:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119769),
(176044, 'PTHR11711:SF372', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 3', 119770),
(176045, 'PTHR21645:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN C35A5.5', 119771),
(176046, 'PTHR12224:SF23', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 17-RELATED', 119772),
(176047, 'PTHR22844:SF362', NULL, NULL, NULL, NULL, 'COATOMER ALPHA SUBUNIT-RELATED', 119773),
(176048, 'PTHR11599:SF48', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-11', 119774),
(176049, 'PTHR10869:SF153', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 9-RELATED', 119775),
(176050, 'PTHR32370:SF130', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', 119776),
(176051, 'PTHR45631:SF96', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE PLANT-LIKE PROTEIN', 119777),
(176052, 'PTHR24373:SF272', NULL, NULL, NULL, NULL, 'RETICULON-4 RECEPTOR-LIKE 2', 119778),
(176053, 'PTHR12174:SF79', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 5', 119779),
(176054, 'PTHR14398:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 41-LIKE', 119780),
(176055, 'PTHR10110:SF59', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 1', 119781),
(176056, 'PTHR31589:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119782),
(176057, 'PTHR43150:SF10', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL BETA SUBUNIT 1-RELATED', 119783),
(176058, 'PTHR31839:SF2', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1D', 119784),
(176059, 'PTHR11474:SF102', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE, CHLOROPLASTIC-LIKE', 119785),
(176060, 'PTHR11195:SF21', NULL, NULL, NULL, NULL, 'RH48616P', 119786),
(176061, 'PTHR23095:SF47', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 12', 119787),
(176062, 'PTHR36079', NULL, NULL, NULL, NULL, 'PROTEIN LEAFY', 119788),
(176063, 'PTHR36941:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01621', 119789),
(176064, 'PTHR31882', NULL, NULL, NULL, NULL, 'TNFAIP3-INTERACTING PROTEIN COILED COIL FAMILY MEMBER', 119790),
(176065, 'PTHR48045:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 119791),
(176066, 'PTHR23147:SF158', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SC35-LIKE SPLICING FACTOR SCL33', 119792),
(176067, 'PTHR45993:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG18919', 119793);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(176068, 'PTHR31867:SF92', NULL, NULL, NULL, NULL, 'EXPANSIN', 119794),
(176069, 'PTHR27002:SF802', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE CES101', 119795),
(176070, 'PTHR31945:SF96', NULL, NULL, NULL, NULL, 'BNACNNG66200D PROTEIN', 119796),
(176071, 'PTHR30239:SF18', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE SMALL SUBUNIT 1, CHLOROPLASTIC', 119797),
(176072, 'PTHR33270:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 119798),
(176073, 'PTHR48228', NULL, NULL, NULL, NULL, 'SUCCINYL-COA--D-CITRAMALATE COA-TRANSFERASE', 119799),
(176074, 'PTHR11817:SF76', NULL, NULL, NULL, NULL, 'PLASTIDIAL PYRUVATE KINASE 4, CHLOROPLASTIC', 119800),
(176075, 'PTHR22884:SF492', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASHH4-RELATED', 119801),
(176076, 'PTHR11711:SF389', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 1-LIKE 2', 119802),
(176077, 'PTHR35893', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 119803),
(176078, 'PTHR32133:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119804),
(176079, 'PTHR13369:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE DOMAIN', 119805),
(176080, 'PTHR35099:SF11', NULL, NULL, NULL, NULL, 'OS06G0646700 PROTEIN', 119806),
(176081, 'PTHR23272:SF132', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 1-LIKE ISOFORM X1', 119807),
(176082, 'PTHR45672:SF10', NULL, NULL, NULL, NULL, 'BNAC04G51940D PROTEIN', 119808),
(176083, 'PTHR34372', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C-2-RELATED', 119809),
(176084, 'PTHR12374:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119810),
(176085, 'PTHR19384:SF109', NULL, NULL, NULL, NULL, 'SULFITE REDUCTASE [NADPH] FLAVOPROTEIN COMPONENT', 119811),
(176086, 'PTHR23430:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119812),
(176087, 'PTHR11931:SF23', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-DEPENDENT PHOSPHOGLYCERATE MUTASE-LIKE', 119813),
(176088, 'PTHR11165:SF116', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 20', 119814),
(176089, 'PTHR45675:SF12', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', 119815),
(176090, 'PTHR27000:SF736', NULL, NULL, NULL, NULL, 'OS01G0239700 PROTEIN', 119816),
(176091, 'PTHR43867:SF6', NULL, NULL, NULL, NULL, 'BETA-MONOGLUCOSYLDIACYLGLYCEROL SYNTHASE', 119817),
(176092, 'PTHR23315:SF311', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 119818),
(176093, 'PTHR32468:SF140', NULL, NULL, NULL, NULL, 'BNAA04G16700D PROTEIN', 119819),
(176094, 'PTHR13160', NULL, NULL, NULL, NULL, 'OLIGOSACCHARYLTRANSFERASE COMPLEX SUBUNIT OSTC', 119820),
(176095, 'PTHR11699:SF207', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE X, MITOCHONDRIAL', 119821),
(176096, 'PTHR42957:SF2', NULL, NULL, NULL, NULL, 'CONSERVED WITHIN P. AEROPHILUM', 119822),
(176097, 'PTHR22601:SF78', NULL, NULL, NULL, NULL, 'PEROXIDASE', 119823),
(176098, 'PTHR14224:SF77', NULL, NULL, NULL, NULL, 'D5ERTD577E PROTEIN-RELATED', 119824),
(176099, 'PTHR19143:SF395', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN 4', 119825),
(176100, 'PTHR10992:SF1027', NULL, NULL, NULL, NULL, 'METHYLESTERASE 1-RELATED', 119826),
(176101, 'PTHR31916:SF45', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE CINV2', 119827),
(176102, 'PTHR42751:SF3', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER FAMILY/TRKA DOMAIN PROTEIN', 119828),
(176103, 'PTHR19924:SF30', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 15 HOMOLOG', 119829),
(176104, 'PTHR31936:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG18744', 119830),
(176105, 'PTHR24056:SF428', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119831),
(176106, 'PTHR41693:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-76L23.4', 119832),
(176107, 'PTHR15288:SF5', NULL, NULL, NULL, NULL, 'SUPPRESSION OF TUMORIGENICITY 5 PROTEIN', 119833),
(176108, 'PTHR12566:SF15', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATION ELEMENT-BINDING PROTEIN 4-RELATED', 119834),
(176109, 'PTHR16007:SF42', NULL, NULL, NULL, NULL, '2310005G13RIK PROTEIN', 119835),
(176110, 'PTHR38633', NULL, NULL, NULL, NULL, 'PROTEIN CBG15573-RELATED', 119836);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(176111, 'PTHR37457:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO HUMAN CHROMOSOME 6 OPEN READING FRAME 52', 119837),
(176112, 'PTHR11802:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119838),
(176113, 'PTHR13780:SF124', NULL, NULL, NULL, NULL, 'OS01G0633400 PROTEIN', 119839),
(176114, 'PTHR13462:SF49', NULL, NULL, NULL, NULL, 'BNAA09G07780D PROTEIN', 119840),
(176115, 'PTHR14969:SF50', NULL, NULL, NULL, NULL, 'PHOSPHATIDIC ACID PHOSPHATASE TYPE 2/HALOPEROXIDASE-RELATED', 119841),
(176116, 'PTHR11669:SF50', NULL, NULL, NULL, NULL, 'OS01G0730900 PROTEIN', 119842),
(176117, 'PTHR48017:SF76', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', 119843),
(176118, 'PTHR31639:SF56', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FAMILY-LIKE', 119844),
(176119, 'PTHR31490:SF52', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE 5-RELATED', 119845),
(176120, 'PTHR46813:SF4', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 20', 119846),
(176121, 'PTHR43072:SF20', NULL, NULL, NULL, NULL, 'ACETYL TRANSFERASE', 119847),
(176122, 'PTHR10656:SF71', NULL, NULL, NULL, NULL, 'MAB-21 DOMAIN-CONTAINING 2', 119848),
(176123, 'PTHR23275:SF94', NULL, NULL, NULL, NULL, 'VARIANT-SPECIFIC SURFACE PROTEIN', 119849),
(176124, 'PTHR11017:SF238', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS CLASS)', 119850),
(176125, 'PTHR33524:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119851),
(176126, 'PTHR33138:SF57', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE CARBOXY-TERMINAL PROTEIN', 119852),
(176127, 'PTHR11908:SF134', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE', 119853),
(176128, 'PTHR28080:SF3', NULL, NULL, NULL, NULL, 'BNAANNG11100D PROTEIN', 119854),
(176129, 'PTHR46532:SF8', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN', 119855),
(176130, 'PTHR37340', NULL, NULL, NULL, NULL, 'GENE 7073-RELATED', 119856),
(176131, 'PTHR12620:SF3', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF 26 KDA SUBUNIT', 119857),
(176132, 'PTHR31080:SF122', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', 119858),
(176133, 'PTHR10535:SF16', NULL, NULL, NULL, NULL, 'OS01G0805800 PROTEIN', 119859),
(176134, 'PTHR45963:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119860),
(176135, 'PTHR47992:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60-RELATED', 119861),
(176136, 'PTHR13259:SF1', NULL, NULL, NULL, NULL, 'BLADDER CANCER-ASSOCIATED PROTEIN', 119862),
(176137, 'PTHR23023:SF62', NULL, NULL, NULL, NULL, 'FLAVIN-BINDING MONOOXYGENASE-LIKE PROTEIN (AFU_ORTHOLOGUE AFUA_6G14280)', 119863),
(176138, 'PTHR19855:SF24', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 119864),
(176139, 'PTHR45730:SF72', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 4-LIKE', 119865),
(176140, 'PTHR35005:SF1', NULL, NULL, NULL, NULL, '3-DEHYDRO-SCYLLO-INOSOSE HYDROLASE', 119866),
(176141, 'PTHR24015:SF811', NULL, NULL, NULL, NULL, 'OS01G0959600 PROTEIN', 119867),
(176142, 'PTHR31096:SF44', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN DS12, CHLOROPLASTIC-LIKE', 119868),
(176143, 'PTHR43719:SF3', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE F', 119869),
(176144, 'PTHR34299:SF1', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 119870),
(176145, 'PTHR47925:SF30', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 119871),
(176146, 'PTHR47928:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119872),
(176147, 'PTHR22923:SF88', NULL, NULL, NULL, NULL, 'C1Q AND TNF RELATED 2', 119873),
(176148, 'PTHR31545:SF2', NULL, NULL, NULL, NULL, 'SPEEDY PROTEIN C', 119874),
(176149, 'PTHR24221:SF528', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 15', 119875),
(176150, 'PTHR33265:SF38', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', 119876),
(176151, 'PTHR11441', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE', 119877),
(176152, 'PTHR30160:SF22', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE CORE BIOSYNTHESIS PROTEIN', 119878),
(176153, 'PTHR10292:SF19', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', 119879),
(176154, 'PTHR34121:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-11', 119880); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(176155, 'PTHR25952:SF245', NULL, NULL, NULL, NULL, 'LINE-1 RETROTRANSPOSABLE ELEMENT ORF2 PROTEIN', 119881),
(176156, 'PTHR47941:SF7', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 119882),
(176157, 'PTHR31079:SF35', NULL, NULL, NULL, NULL, 'BNAA03G49310D PROTEIN', 119883),
(176158, 'PTHR12015:SF161', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 7', 119884),
(176159, 'PTHR33127:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119885),
(176160, 'PTHR12173:SF1', NULL, NULL, NULL, NULL, 'GLIAL CELL LINE-DERIVED NEUROTROPHIC FACTOR', 119886),
(176161, 'PTHR11759:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119887),
(176162, 'PTHR43572:SF11', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPL', 119888),
(176163, 'PTHR12419:SF70', NULL, NULL, NULL, NULL, 'BNAANNG23310D PROTEIN', 119889),
(176164, 'PTHR22835:SF539', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119890),
(176165, 'PTHR35708:SF6', NULL, NULL, NULL, NULL, 'BNAUNNG03850D PROTEIN', 119891),
(176166, 'PTHR45637:SF42', NULL, NULL, NULL, NULL, 'PROTEIN KINASE G11A-LIKE', 119892),
(176167, 'PTHR38138', NULL, NULL, NULL, NULL, 'VNG6441H', 119893),
(176168, 'PTHR11654:SF363', NULL, NULL, NULL, NULL, 'OS10G0111300 PROTEIN', 119894),
(176169, 'PTHR42757:SF39', NULL, NULL, NULL, NULL, 'OBSCURIN, CYTOSKELETAL CALMODULIN AND TITIN-INTERACTING RHOGEF', 119895),
(176170, 'PTHR37019:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119896),
(176171, 'PTHR26379:SF383', NULL, NULL, NULL, NULL, 'BNAA05G31070D PROTEIN', 119897),
(176172, 'PTHR31210:SF73', NULL, NULL, NULL, NULL, 'OS06G0727800 PROTEIN', 119898),
(176173, 'PTHR23239:SF105', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 16', 119899),
(176174, 'PTHR10609:SF26', NULL, NULL, NULL, NULL, 'VANIN 1', 119900),
(176175, 'PTHR46276', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR5', 119901),
(176176, 'PTHR14226:SF74', NULL, NULL, NULL, NULL, 'BLR4684 PROTEIN', 119902),
(176177, 'PTHR19969', NULL, NULL, NULL, NULL, 'SH2-SH3 ADAPTOR PROTEIN-RELATED', 119903),
(176178, 'PTHR23310:SF117', NULL, NULL, NULL, NULL, 'BNAANNG25690D PROTEIN', 119904),
(176179, 'PTHR10137:SF5', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C 1', 119905),
(176180, 'PTHR31238:SF178', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 119906),
(176181, 'PTHR33670:SF18', NULL, NULL, NULL, NULL, 'BNAA09G41050D PROTEIN', 119907),
(176182, 'PTHR13585:SF20', NULL, NULL, NULL, NULL, 'PROTEIN AHC1', 119908),
(176183, 'PTHR31639:SF97', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 13-LIKE', 119909),
(176184, 'PTHR43108:SF14', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-O-SULFATASE', 119910),
(176185, 'PTHR11461:SF157', NULL, NULL, NULL, NULL, 'SERPIN A12', 119911),
(176186, 'PTHR45658:SF84', NULL, NULL, NULL, NULL, 'ZINC FINGER, NHR/GATA-TYPE-RELATED', 119912),
(176187, 'PTHR35703:SF2', NULL, NULL, NULL, NULL, 'HEME OXYGENASE 1, CHLOROPLASTIC-RELATED', 119913),
(176188, 'PTHR12383:SF33', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE SUBUNIT 1', 119914),
(176189, 'PTHR12763:SF7', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 15', 119915),
(176190, 'PTHR11909:SF358', NULL, NULL, NULL, NULL, 'PROTEIN CBG14958', 119916),
(176191, 'PTHR42861:SF98', NULL, NULL, NULL, NULL, 'P-TYPE ATPASE, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 119917),
(176192, 'PTHR13130:SF5', NULL, NULL, NULL, NULL, 'BNAC03G36240D PROTEIN', 119918),
(176193, 'PTHR33122:SF67', NULL, NULL, NULL, NULL, 'BNAC03G14240D PROTEIN', 119919),
(176194, 'PTHR45779:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP2', 119920),
(176195, 'PTHR45125:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119921),
(176196, 'PTHR24414:SF172', NULL, NULL, NULL, NULL, 'BNAANNG12840D PROTEIN', 119922),
(176197, 'PTHR14672', NULL, NULL, NULL, NULL, 'MUCIN-16', 119923),
(176198, 'PTHR33874:SF7', NULL, NULL, NULL, NULL, 'BNAA01G13970D PROTEIN', 119924),
(176199, 'PTHR33203:SF51', NULL, NULL, NULL, NULL, 'BNAA01G26680D PROTEIN', 119925),
(176200, 'PTHR22775:SF3', NULL, NULL, NULL, NULL, 'SORTING NEXIN-13', 119926);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(176201, 'PTHR10108:SF1068', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT11-RELATED', 119927),
(176202, 'PTHR11835', NULL, NULL, NULL, NULL, 'DECARBOXYLATING DEHYDROGENASES-ISOCITRATE, ISOPROPYLMALATE, TARTRATE', 119928),
(176203, 'PTHR44489', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 119929),
(176204, 'PTHR48010:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119930),
(176205, 'PTHR24078:SF561', NULL, NULL, NULL, NULL, 'BNAA03G49290D PROTEIN', 119931),
(176206, 'PTHR31948:SF121', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 14', 119932),
(176207, 'PTHR48084:SF5', NULL, NULL, NULL, NULL, 'BLR6744 PROTEIN', 119933),
(176208, 'PTHR28592:SF3', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 1', 119934),
(176209, 'PTHR30432', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MODE', 119935),
(176210, 'PTHR38681', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 119936),
(176211, 'PTHR43599:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119937),
(176212, 'PTHR23007:SF12', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CBL-C', 119938),
(176213, 'PTHR19241:SF179', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PERMEASE PDR10-RELATED', 119939),
(176214, 'PTHR13832:SF606', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 39-RELATED', 119940),
(176215, 'PTHR12889:SF3', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE SUBUNIT APH-1A', 119941),
(176216, 'PTHR12394:SF12', NULL, NULL, NULL, NULL, 'LD08195P', 119942),
(176217, 'PTHR10099', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE', 119943),
(176218, 'PTHR46834:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH91-LIKE', 119944),
(176219, 'PTHR28054:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN10', 119945),
(176220, 'PTHR13547:SF11', NULL, NULL, NULL, NULL, 'LEUCINE-RICH PPR MOTIF-CONTAINING PROTEIN, MITOCHONDRIAL-LIKE PROTEIN', 119946),
(176221, 'PTHR10639:SF1', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN A', 119947),
(176222, 'PTHR33116', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE ZINC-BINDING DOMAIN-CONTAINING PROTEIN-RELATED-RELATED', 119948),
(176223, 'PTHR17502:SF4', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 27', 119949),
(176224, 'PTHR19359:SF108', NULL, NULL, NULL, NULL, 'FLAVOHEMOPROTEIN B5+B5R', 119950),
(176225, 'PTHR31889:SF54', NULL, NULL, NULL, NULL, 'OS02G0763200 PROTEIN', 119951),
(176226, 'PTHR27005:SF165', NULL, NULL, NULL, NULL, 'OS03G0642600 PROTEIN', 119952),
(176227, 'PTHR23092:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119953),
(176228, 'PTHR32468:SF142', NULL, NULL, NULL, NULL, 'BNAA03G58740D PROTEIN', 119954),
(176229, 'PTHR33258:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSL FOR INSERTION SEQUENCE ELEMENT IS186A-RELATED', 119955),
(176230, 'PTHR37715:SF2', NULL, NULL, NULL, NULL, 'BNAA02G27170D PROTEIN', 119956),
(176231, 'PTHR44013:SF9', NULL, NULL, NULL, NULL, 'ZINC-BINDING DEHYDROGENASE FAMILY OXIDOREDUCTASE', 119957),
(176232, 'PTHR24356:SF143', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 32A', 119958),
(176233, 'PTHR11709:SF342', NULL, NULL, NULL, NULL, 'LACCASE-10', 119959),
(176234, 'PTHR13234:SF43', NULL, NULL, NULL, NULL, 'GAMMA-INTERFERON-INDUCIBLE LYSOSOMAL THIOL REDUCTASE', 119960),
(176235, 'PTHR44191:SF43', NULL, NULL, NULL, NULL, 'BNAC01G21010D PROTEIN', 119961),
(176236, 'PTHR47000:SF8', NULL, NULL, NULL, NULL, 'BNACNNG32930D PROTEIN', 119962),
(176237, 'PTHR45617:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 32', 119963),
(176238, 'PTHR47965:SF8', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 119964),
(176239, 'PTHR33541:SF13', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE B-RELATED', 119965),
(176240, 'PTHR33386:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119966),
(176241, 'PTHR13230:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IIIC, SUBUNIT 5', 119967),
(176242, 'PTHR24340:SF86', NULL, NULL, NULL, NULL, 'C. ELEGANS HOMEOBOX', 119968),
(176243, 'PTHR45926', NULL, NULL, NULL, NULL, 'OSJNBA0053K19.4 PROTEIN', 119969);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(176244, 'PTHR10994:SF148', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 119970),
(176245, 'PTHR11618:SF53', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC TFIIB-RELATED PROTEIN 2', 119971),
(176246, 'PTHR43422', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE', 119972),
(176247, 'PTHR23128:SF29', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-38', 119973),
(176248, 'PTHR43133:SF18', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGL', 119974),
(176249, 'PTHR14609:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 219', 119975),
(176250, 'PTHR47746:SF30', NULL, NULL, NULL, NULL, 'OS04G0659200 PROTEIN', 119976),
(176251, 'PTHR22642:SF19', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G01480)', 119977),
(176252, 'PTHR46224:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119978),
(176253, 'PTHR12021:SF17', NULL, NULL, NULL, NULL, 'THYMOSIN BETA', 119979),
(176254, 'PTHR46195:SF15', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN-RELATED', 119980),
(176255, 'PTHR32015:SF11', NULL, NULL, NULL, NULL, 'LIPASE RELATED', 119981),
(176256, 'PTHR13586:SF14', NULL, NULL, NULL, NULL, 'PROTEIN DECAPPING 5-LIKE', 119982),
(176257, 'PTHR14582', NULL, NULL, NULL, NULL, 'INNER KINETOCHORE SUBUNIT MAL2', 119983),
(176258, 'PTHR14958:SF22', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD2', 119984),
(176259, 'PTHR32361:SF12', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14340)-RELATED', 119985),
(176260, 'PTHR19256:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119986),
(176261, 'PTHR47988:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119987),
(176262, 'PTHR43470:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PSTA', 119988),
(176263, 'PTHR23004:SF11', NULL, NULL, NULL, NULL, 'PROTEIN RPI-1', 119989),
(176264, 'PTHR33198', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 119990),
(176265, 'PTHR45881:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119991),
(176266, 'PTHR31883:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FRG2-LIKE-2', 119992),
(176267, 'PTHR31897:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG04726', 119993),
(176268, 'PTHR26374:SF409', NULL, NULL, NULL, NULL, 'C2H2 TRANSCRIPTION FACTOR', 119994),
(176269, 'PTHR15954', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 119995),
(176270, 'PTHR13798:SF5', NULL, NULL, NULL, NULL, 'SPLICING REGULATOR RBM11', 119996),
(176271, 'PTHR31213:SF160', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN BET V 1-K-RELATED', 119997),
(176272, 'PTHR16317', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA REPEAT DOMAIN-CONTAINING', 119998),
(176273, 'PTHR11157:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 119999),
(176274, 'PTHR31375:SF177', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT2', 120000),
(176275, 'PTHR46108:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT AND FYVE DOMAIN-CONTAINING PROTEIN 3', 120001),
(176276, 'PTHR10686:SF19', NULL, NULL, NULL, NULL, 'THIAMINE TRANSPORTER 1', 120002),
(176277, 'PTHR45922', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 2', 120003),
(176278, 'PTHR35526:SF1', NULL, NULL, NULL, NULL, 'ANTI-SIGMA-F FACTOR RSBW', 120004),
(176279, 'PTHR31929:SF127', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', 120005),
(176280, 'PTHR10768:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37', 120006),
(176281, 'PTHR34107', NULL, NULL, NULL, NULL, 'SLL0198 PROTEIN-RELATED', 120007),
(176282, 'PTHR33841', NULL, NULL, NULL, NULL, 'DNA METHYLTRANSFERASE YEEA-RELATED', 120008),
(176283, 'PTHR46548:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120009),
(176284, 'PTHR47521:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG08671', 120010),
(176285, 'PTHR33322:SF17', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN-LIKE', 120011),
(176286, 'PTHR24543:SF283', NULL, NULL, NULL, NULL, 'EGF-LIKE REPEAT AND DISCOIDIN I-LIKE DOMAIN-CONTAINING PROTEIN 3', 120012),
(176287, 'PTHR24068:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120013);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(176288, 'PTHR11937:SF240', NULL, NULL, NULL, NULL, 'ACTIN, ALPHA SARCOMERIC/SKELETAL', 120014),
(176289, 'PTHR48017:SF80', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 2 ISOFORM X1', 120015),
(176290, 'PTHR46953:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR MTH-LIKE 5-RELATED', 120016),
(176291, 'PTHR43853:SF13', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE 1, PEROXISOMAL', 120017),
(176292, 'PTHR44027:SF7', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 5 HOMOLOG', 120018),
(176293, 'PTHR45966:SF15', NULL, NULL, NULL, NULL, 'LIPASE SIL1', 120019),
(176294, 'PTHR11588:SF372', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-2 CHAIN', 120020),
(176295, 'PTHR45089:SF17', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', 120021),
(176296, 'PTHR11260:SF556', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 120022),
(176297, 'PTHR33222:SF30', NULL, NULL, NULL, NULL, 'CYANOBACTERIAL AMINOACYL-TRNA SYNTHETASE, CAAD DOMAIN-CONTAINING PROTEIN-RELATED', 120023),
(176298, 'PTHR43342:SF1', NULL, NULL, NULL, NULL, 'NADH:UBIQUINONE OXIDOREDUCTASE, SUBUNIT E', 120024),
(176299, 'PTHR47762', NULL, NULL, NULL, NULL, 'OSJNBB0079B02.4 PROTEIN', 120025),
(176300, 'PTHR31642:SF169', NULL, NULL, NULL, NULL, '(Z)-3-HEXEN-1-OL ACETYLTRANSFERASE', 120026),
(176301, 'PTHR45868:SF38', NULL, NULL, NULL, NULL, 'HEAVY-METAL-ASSOCIATED DOMAIN PROTEIN', 120027),
(176302, 'PTHR31252:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120028),
(176303, 'PTHR45920:SF2', NULL, NULL, NULL, NULL, 'FH1/FH2 DOMAIN-CONTAINING PROTEIN 1', 120029),
(176304, 'PTHR22771:SF3', NULL, NULL, NULL, NULL, 'CULLIN-7', 120030),
(176305, 'PTHR34992', NULL, NULL, NULL, NULL, 'HYPHAL ANASTAMOSIS-7 PROTEIN', 120031),
(176306, 'PTHR48018:SF41', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8J3', 120032),
(176307, 'PTHR32212:SF307', NULL, NULL, NULL, NULL, 'BNAA03G58990D PROTEIN', 120033),
(176308, 'PTHR24231:SF15', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE RECEPTOR 1', 120034),
(176309, 'PTHR46169:SF15', NULL, NULL, NULL, NULL, 'DNA REPLICATION-RELATED ELEMENT FACTOR, ISOFORM A', 120035),
(176310, 'PTHR31080:SF218', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', 120036),
(176311, 'PTHR21471:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG00619', 120037),
(176312, 'PTHR11566:SF194', NULL, NULL, NULL, NULL, 'BNAA08G25850D PROTEIN', 120038),
(176313, 'PTHR15140', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE E', 120039),
(176314, 'PTHR37534:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120040),
(176315, 'PTHR33265:SF1', NULL, NULL, NULL, NULL, 'OS01G0198500 PROTEIN', 120041),
(176316, 'PTHR45654:SF21', NULL, NULL, NULL, NULL, 'HOMEOBOX LEUCINE ZIPPER PROTEIN', 120042),
(176317, 'PTHR34892', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE CATALYTIC SUBUNIT-RELATED / V-ATPASE-RELATED / VACUOLAR PROTON PUMP-LIKE PROTEIN', 120043),
(176318, 'PTHR43053', NULL, NULL, NULL, NULL, 'GLYCOSIDASE FAMILY 31', 120044),
(176319, 'PTHR31989:SF199', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 45', 120045),
(176320, 'PTHR12169:SF21', NULL, NULL, NULL, NULL, 'AFG1-LIKE ATPASE FAMILY PROTEIN', 120046),
(176321, 'PTHR30537:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 120047),
(176322, 'PTHR11923:SF47', NULL, NULL, NULL, NULL, 'PROTEIN CBR-SCAV-5', 120048),
(176323, 'PTHR11878:SF65', NULL, NULL, NULL, NULL, 'NA/CA-EXCHANGE PROTEIN, ISOFORM G', 120049),
(176324, 'PTHR21327:SF42', NULL, NULL, NULL, NULL, 'BNAA09G06790D PROTEIN', 120050),
(176325, 'PTHR21497:SF24', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR1', 120051),
(176326, 'PTHR42742:SF3', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE GMUF-RELATED', 120052),
(176327, 'PTHR13058', NULL, NULL, NULL, NULL, 'THREE PRIME REPAIR EXONUCLEASE 1, 2', 120053),
(176328, 'PTHR11654:SF198', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.4', 120054),
(176329, 'PTHR24028:SF95', NULL, NULL, NULL, NULL, 'MCG141300', 120055),
(176330, 'PTHR42833', NULL, NULL, NULL, NULL, 'URIDYLATE KINASE', 120056);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(176331, 'PTHR36455', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 120057),
(176332, 'PTHR10887:SF445', NULL, NULL, NULL, NULL, 'FINGER AND HELICASE DOMAIN PROTEIN, PUTATIVE-RELATED', 120058),
(176333, 'PTHR27002:SF810', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 33-RELATED', 120059),
(176334, 'PTHR12241:SF147', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL6', 120060),
(176335, 'PTHR24303', NULL, NULL, NULL, NULL, 'HEME-BINDING MONOOXYGENASE FAMILY', 120061),
(176336, 'PTHR10151:SF77', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE FAMILY MEMBER 1', 120062),
(176337, 'PTHR33069:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 120063),
(176338, 'PTHR12612:SF33', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2', 120064),
(176339, 'PTHR22741', NULL, NULL, NULL, NULL, 'P140CAP/SNIP-RELATED', 120065),
(176340, 'PTHR24253:SF38', NULL, NULL, NULL, NULL, 'SERINE PROTEASE HEPSIN', 120066),
(176341, 'PTHR34253:SF3', NULL, NULL, NULL, NULL, 'PROTEIN LLP HOMOLOG', 120067),
(176342, 'PTHR24211:SF2', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN 2', 120068),
(176343, 'PTHR10394:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', 120069),
(176344, 'PTHR11877:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120070),
(176345, 'PTHR33827:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120071),
(176346, 'PTHR31276:SF6', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', 120072),
(176347, 'PTHR24133:SF38', NULL, NULL, NULL, NULL, 'ANKYRIN-1', 120073),
(176348, 'PTHR24418:SF219', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE TEC', 120074),
(176349, 'PTHR10612:SF49', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN D-LIKE PROTEIN', 120075),
(176350, 'PTHR31374:SF299', NULL, NULL, NULL, NULL, 'BNAANNG09080D PROTEIN', 120076),
(176351, 'PTHR13859:SF27', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 120077),
(176352, 'PTHR43649:SF14', NULL, NULL, NULL, NULL, 'SOLUTE-BINDING PROTEIN', 120078),
(176353, 'PTHR12143:SF30', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 120079),
(176354, 'PTHR39613:SF1', NULL, NULL, NULL, NULL, 'ANCHORED CELL WALL PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G08960)-RELATED', 120080),
(176355, 'PTHR10527:SF72', NULL, NULL, NULL, NULL, 'IMPORTIN-5-LIKE', 120081),
(176356, 'PTHR34591:SF21', NULL, NULL, NULL, NULL, 'OS11G0634100 PROTEIN', 120082),
(176357, 'PTHR47754:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 120083),
(176358, 'PTHR33377:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120084),
(176359, 'PTHR23081:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120085),
(176360, 'PTHR12734:SF0', NULL, NULL, NULL, NULL, '18S RRNA (GUANINE-N(7))-METHYLTRANSFERASE-RELATED', 120086),
(176361, 'PTHR13417:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG05218', 120087),
(176362, 'PTHR26452:SF140', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 120088),
(176363, 'PTHR10851:SF3', NULL, NULL, NULL, NULL, 'PYRIDOXINE/PYRIDOXAMINE 5''-PHOSPHATE OXIDASE 2', 120089),
(176364, 'PTHR36008', NULL, NULL, NULL, NULL, 'OS09G0478400 PROTEIN', 120090),
(176365, 'PTHR11559:SF162', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 120091),
(176366, 'PTHR45671:SF22', NULL, NULL, NULL, NULL, 'OS06G0210500 PROTEIN', 120092),
(176367, 'PTHR23107:SF26', NULL, NULL, NULL, NULL, 'BNAA09G51550D PROTEIN', 120093),
(176368, 'PTHR13844:SF67', NULL, NULL, NULL, NULL, 'PROTEIN TRI1', 120094),
(176369, 'PTHR24096:SF383', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 2', 120095),
(176370, 'PTHR11581:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120096),
(176371, 'PTHR31391:SF2', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS11G0197600', 120097),
(176372, 'PTHR43186:SF3', NULL, NULL, NULL, NULL, 'BLR3900 PROTEIN', 120098),
(176373, 'PTHR21143:SF109', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR 10A-RELATED', 120099),
(176374, 'PTHR43840', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL METAL TRANSPORTER 1-RELATED', 120100),
(176375, 'PTHR48049:SF53', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYLTRANSFERASE 73B2', 120101);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(176376, 'PTHR34606:SF4', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', 120102),
(176377, 'PTHR27000:SF723', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE KINASE FAMILY PROTEIN', 120103),
(176378, 'PTHR32133:SF294', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120104),
(176379, 'PTHR42904', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE, NUDC SUBFAMILY', 120105),
(176380, 'PTHR48194', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 120106),
(176381, 'PTHR15486:SF57', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 3', 120107),
(176382, 'PTHR10634:SF38', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 1', 120108),
(176383, 'PTHR40467', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 120109),
(176384, 'PTHR37035:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120110),
(176385, 'PTHR23155:SF1062', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 120111),
(176386, 'PTHR31657:SF35', NULL, NULL, NULL, NULL, 'AP2/EREBP TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', 120112),
(176387, 'PTHR11043:SF28', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-1-LIKE', 120113),
(176388, 'PTHR31155:SF15', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE 6, CHLOROPLASTIC', 120114),
(176389, 'PTHR31089:SF41', NULL, NULL, NULL, NULL, 'DOF-TYPE ZINC FINGER DNA-BINDING FAMILY PROTEIN', 120115),
(176390, 'PTHR15627:SF8', NULL, NULL, NULL, NULL, 'DTW DOMAIN-CONTAINING PROTEIN 1', 120116),
(176391, 'PTHR10954:SF19', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', 120117),
(176392, 'PTHR26453:SF659', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 120118),
(176393, 'PTHR10663:SF338', NULL, NULL, NULL, NULL, 'PH AND SEC7 DOMAIN-CONTAINING PROTEIN 4', 120119),
(176394, 'PTHR47838:SF1', NULL, NULL, NULL, NULL, '21.7 KDA CLASS VI HEAT SHOCK PROTEIN', 120120),
(176395, 'PTHR33044:SF195', NULL, NULL, NULL, NULL, 'BNAC02G00930D PROTEIN', 120121),
(176396, 'PTHR31009:SF49', NULL, NULL, NULL, NULL, 'OS05G0102000 PROTEIN', 120122),
(176397, 'PTHR47985:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBS1', 120123),
(176398, 'PTHR33179:SF60', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', 120124),
(176399, 'PTHR34597:SF3', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE TRANSPORTER CDIB', 120125),
(176400, 'PTHR48011:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120126),
(176401, 'PTHR44899:SF2', NULL, NULL, NULL, NULL, 'NIMA RELATED KINASE 1', 120127),
(176402, 'PTHR46288:SF40', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 120128),
(176403, 'PTHR12652:SF47', NULL, NULL, NULL, NULL, 'BNAA08G03650D PROTEIN', 120129),
(176404, 'PTHR31422:SF39', NULL, NULL, NULL, NULL, 'BNAA02G08060D PROTEIN', 120130),
(176405, 'PTHR27003:SF362', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 120131),
(176406, 'PTHR34362:SF1', NULL, NULL, NULL, NULL, 'WPP DOMAIN-CONTAINING PROTEIN 1-RELATED', 120132),
(176407, 'PTHR45730:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120133),
(176408, 'PTHR45708:SF46', NULL, NULL, NULL, NULL, 'ACIDIC ENDOCHITINASE', 120134),
(176409, 'PTHR42256:SF1', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE', 120135),
(176410, 'PTHR48012:SF12', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 120136),
(176411, 'PTHR21114:SF0', NULL, NULL, NULL, NULL, 'INTERLEUKIN-33', 120137),
(176412, 'PTHR22298:SF122', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 4', 120138),
(176413, 'PTHR31621:SF66', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 120139),
(176414, 'PTHR12619:SF18', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RFX5', 120140),
(176415, 'PTHR31048:SF124', NULL, NULL, NULL, NULL, 'OS03G0663400 PROTEIN', 120141),
(176416, 'PTHR24410:SF37', NULL, NULL, NULL, NULL, 'BTB DOMAIN CONTAINING 9', 120142),
(176417, 'PTHR47342:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PTST, CHLOROPLASTIC', 120143),
(176418, 'PTHR45138:SF15', NULL, NULL, NULL, NULL, 'GGDEF DOMAIN PROTEIN', 120144),
(176419, 'PTHR47746', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 120145); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(176420, 'PTHR16083:SF30', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT KINASE 1', 120146),
(176421, 'PTHR46279:SF21', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL21C-RELATED', 120147),
(176422, 'PTHR24377:SF825', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 761', 120148),
(176423, 'PTHR10196:SF80', NULL, NULL, NULL, NULL, 'D-RIBULOSE KINASE', 120149),
(176424, 'PTHR30353:SF10', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YGHB', 120150),
(176425, 'PTHR47993:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120151),
(176426, 'PTHR43791:SF2', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00120)-RELATED', 120152),
(176427, 'PTHR24249:SF398', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120153),
(176428, 'PTHR31492', NULL, NULL, NULL, NULL, 'M CELL-TYPE AGGLUTINATION PROTEIN MAM3-RELATED', 120154),
(176429, 'PTHR45974:SF153', NULL, NULL, NULL, NULL, 'TYROSINE-SULFATED GLYCOPEPTIDE RECEPTOR 1', 120155),
(176430, 'PTHR13205:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120156),
(176431, 'PTHR24296:SF189', NULL, NULL, NULL, NULL, 'BNAA08G06820D PROTEIN', 120157),
(176432, 'PTHR14627', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 204', 120158),
(176433, 'PTHR48049:SF52', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN 3-O-GLUCOSIDE 2''''-O-GLUCOSYLTRANSFERASE-LIKE', 120159),
(176434, 'PTHR24210:SF12', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN', 120160),
(176435, 'PTHR12766', NULL, NULL, NULL, NULL, 'DEATH DOMAIN-ASSOCIATED PROTEIN 6 DAXX', 120161),
(176436, 'PTHR23226:SF255', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 883', 120162),
(176437, 'PTHR24414:SF119', NULL, NULL, NULL, NULL, 'BNAA03G49760D PROTEIN', 120163),
(176438, 'PTHR43739', NULL, NULL, NULL, NULL, 'XYLOGLUCANASE (EUROFUNG)', 120164),
(176439, 'PTHR23262:SF55', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 16-1', 120165),
(176440, 'PTHR46236:SF8', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE FAMILY C19-RELATED PROTEIN', 120166),
(176441, 'PTHR31232:SF113', NULL, NULL, NULL, NULL, 'F11M15.10 PROTEIN-RELATED', 120167),
(176442, 'PTHR22835:SF542', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120168),
(176443, 'PTHR13763:SF0', NULL, NULL, NULL, NULL, 'BREAST CANCER TYPE 1 SUSCEPTIBILITY PROTEIN', 120169),
(176444, 'PTHR10408:SF17', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE', 120170),
(176445, 'PTHR11877:SF85', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 3', 120171),
(176446, 'PTHR42884:SF18', NULL, NULL, NULL, NULL, 'ENDOPROTEASE BLI-4', 120172),
(176447, 'PTHR44170:SF26', NULL, NULL, NULL, NULL, 'MYOPALLADIN', 120173),
(176448, 'PTHR40849:SF2', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT MEMBRANE TARGETING', 120174),
(176449, 'PTHR42850:SF7', NULL, NULL, NULL, NULL, 'BIS(5''-NUCLEOSYL)-TETRAPHOSPHATASE PRPE [ASYMMETRICAL]', 120175),
(176450, 'PTHR47630:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-4', 120176),
(176451, 'PTHR14898:SF8', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB-LIKE PROTEIN', 120177),
(176452, 'PTHR46288', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 120178),
(176453, 'PTHR18966:SF518', NULL, NULL, NULL, NULL, 'BNAA09G02980D PROTEIN', 120179),
(176454, 'PTHR23272:SF124', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 4-LIKE', 120180),
(176455, 'PTHR47981:SF22', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-7B', 120181),
(176456, 'PTHR14389', NULL, NULL, NULL, NULL, 'SI:CH1073-475A24.1', 120182),
(176457, 'PTHR32063:SF68', NULL, NULL, NULL, NULL, 'PROBALE CATION EFFLUX SYSTEM PROTEIN', 120183),
(176458, 'PTHR47926:SF115', NULL, NULL, NULL, NULL, 'OS03G0271300 PROTEIN', 120184),
(176459, 'PTHR10322', NULL, NULL, NULL, NULL, 'DNA POLYMERASE CATALYTIC SUBUNIT', 120185),
(176460, 'PTHR19321:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120186),
(176461, 'PTHR35474', NULL, NULL, NULL, NULL, 'ATP PHOSPHORIBOSYLTRANSFERASE REGULATORY SUBUNIT', 120187),
(176462, 'PTHR10739:SF48', NULL, NULL, NULL, NULL, 'CHOLINE-PHOSPHATE CYTIDYLYLTRANSFERASE 2', 120188),
(176463, 'PTHR39951:SF1', NULL, NULL, NULL, NULL, 'FI22632P1', 120189);
INSERT INTO "PUBLIC"."MODEL" VALUES
(176464, 'PTHR24028:SF295', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-11 Y-LINKED', 120190),
(176465, 'PTHR24336:SF11', NULL, NULL, NULL, NULL, 'LADYBIRD HOMEOBOX 1A-RELATED', 120191),
(176466, 'PTHR12027:SF76', NULL, NULL, NULL, NULL, 'PROTEIN WNT-10B', 120192),
(176467, 'PTHR15191:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120193),
(176468, 'PTHR12461:SF80', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE FACTOR 1-ALPHA INHIBITOR', 120194),
(176469, 'PTHR32175:SF13', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 120195),
(176470, 'PTHR46891:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 120196),
(176471, 'PTHR46285:SF7', NULL, NULL, NULL, NULL, 'OS06G0238900 PROTEIN', 120197),
(176472, 'PTHR12174:SF38', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 2C', 120198),
(176473, 'PTHR34740:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120199),
(176474, 'PTHR31852:SF151', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 120200),
(176475, 'PTHR24326:SF563', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-20', 120201),
(176476, 'PTHR11588:SF391', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 120202),
(176477, 'PTHR31209:SF4', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-INDEPENDENT PHOSPHOGLYCERATE MUTASE', 120203),
(176478, 'PTHR10015:SF195', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-6A', 120204),
(176479, 'PTHR34046:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120205),
(176480, 'PTHR46506:SF39', NULL, NULL, NULL, NULL, 'JACALIN-LIKE LECTIN DOMAIN, TRANSPOSASE-ASSOCIATED DOMAIN PROTEIN-RELATED', 120206),
(176481, 'PTHR31499', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL11', 120207),
(176482, 'PTHR43243:SF48', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN-RELATED', 120208),
(176483, 'PTHR23128:SF139', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-1-RELATED', 120209),
(176484, 'PTHR11592:SF92', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID HYDROPEROXIDE GLUTATHIONE PEROXIDASE-RELATED', 120210),
(176485, 'PTHR33844', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 120211),
(176486, 'PTHR11709', NULL, NULL, NULL, NULL, 'MULTI-COPPER OXIDASE', 120212),
(176487, 'PTHR22761:SF5', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 6', 120213),
(176488, 'PTHR10285:SF186', NULL, NULL, NULL, NULL, 'URACIL PHOSPHORIBOSYLTRANSFERASE-LIKE', 120214),
(176489, 'PTHR10168:SF232', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S4', 120215),
(176490, 'PTHR45657:SF43', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH9', 120216),
(176491, 'PTHR31096:SF67', NULL, NULL, NULL, NULL, 'BNAA08G24740D PROTEIN', 120217),
(176492, 'PTHR23503:SF46', NULL, NULL, NULL, NULL, 'PROTEIN CBG02274', 120218),
(176493, 'PTHR33443:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120219),
(176494, 'PTHR33257:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120220),
(176495, 'PTHR12489:SF12', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 6 PROTEIN', 120221),
(176496, 'PTHR20899:SF8', NULL, NULL, NULL, NULL, 'UPF0691 PROTEIN C9ORF116', 120222),
(176497, 'PTHR31744:SF148', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 72-LIKE', 120223),
(176498, 'PTHR10168:SF257', NULL, NULL, NULL, NULL, 'BNAA03G52330D PROTEIN', 120224),
(176499, 'PTHR47518:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 120225),
(176500, 'PTHR11260:SF607', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GST 24', 120226),
(176501, 'PTHR10153:SF33', NULL, NULL, NULL, NULL, 'SMALL CONDUCTANCE CALCIUM-ACTIVATED POTASSIUM CHANNEL PROTEIN', 120227),
(176502, 'PTHR24204', NULL, NULL, NULL, NULL, 'INSULIN GENE ENHANCER PROTEIN', 120228),
(176503, 'PTHR46958:SF1', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR CD22', 120229),
(176504, 'PTHR31657:SF24', NULL, NULL, NULL, NULL, 'AP DOMAIN DRE BINDING FACTOR', 120230),
(176505, 'PTHR23235:SF77', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 7', 120231),
(176506, 'PTHR12601:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120232);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(176507, 'PTHR10846:SF44', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER NCKX30C', 120233),
(176508, 'PTHR10949:SF33', NULL, NULL, NULL, NULL, 'LIPOYL SYNTHASE, MITOCHONDRIAL', 120234),
(176509, 'PTHR11911:SF123', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE', 120235),
(176510, 'PTHR46044:SF12', NULL, NULL, NULL, NULL, 'HYDROLASE', 120236),
(176511, 'PTHR46430:SF3', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE REGULATORY FACTOR 3', 120237),
(176512, 'PTHR43400:SF9', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', 120238),
(176513, 'PTHR35161:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120239),
(176514, 'PTHR12506:SF59', NULL, NULL, NULL, NULL, 'BNAA04G19090D PROTEIN', 120240),
(176515, 'PTHR11893:SF17', NULL, NULL, NULL, NULL, 'INNEXIN', 120241),
(176516, 'PTHR35381:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120242),
(176517, 'PTHR31374:SF229', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120243),
(176518, 'PTHR22948:SF14', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 7', 120244),
(176519, 'PTHR12357:SF92', NULL, NULL, NULL, NULL, 'OS03G0317000 PROTEIN', 120245),
(176520, 'PTHR31642:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120246),
(176521, 'PTHR31677:SF140', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF106', 120247),
(176522, 'PTHR15591:SF13', NULL, NULL, NULL, NULL, 'UNC-14', 120248),
(176523, 'PTHR38482:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120249),
(176524, 'PTHR48001:SF126', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 120250),
(176525, 'PTHR11596:SF30', NULL, NULL, NULL, NULL, 'INTESTINAL-TYPE ALKALINE PHOSPHATASE', 120251),
(176526, 'PTHR33361:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120252),
(176527, 'PTHR45637:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AGC1-5', 120253),
(176528, 'PTHR43150:SF1', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED POTASSIUM CHANNEL SUBUNIT BETA-2', 120254),
(176529, 'PTHR33155:SF23', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 120255),
(176530, 'PTHR11486:SF71', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 17', 120256),
(176531, 'PTHR13593:SF108', NULL, NULL, NULL, NULL, 'SI:DKEY-66A8.7', 120257),
(176532, 'PTHR35867:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RSEC', 120258),
(176533, 'PTHR46711:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD2', 120259),
(176534, 'PTHR45752:SF44', NULL, NULL, NULL, NULL, 'P53-INDUCED DEATH DOMAIN-CONTAINING PROTEIN 1', 120260),
(176535, 'PTHR31953:SF40', NULL, NULL, NULL, NULL, 'FRUCTAN 1-EXOHYDROLASE W2', 120261),
(176536, 'PTHR13697:SF4', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 120262),
(176537, 'PTHR33168:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120263),
(176538, 'PTHR31374:SF243', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 120264),
(176539, 'PTHR23021:SF22', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 120265),
(176540, 'PTHR32044:SF44', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 12-RELATED', 120266),
(176541, 'PTHR47929:SF15', NULL, NULL, NULL, NULL, 'BNAC04G08260D PROTEIN', 120267),
(176542, 'PTHR24416:SF569', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120268),
(176543, 'PTHR47982:SF19', NULL, NULL, NULL, NULL, 'BNAA08G05500D PROTEIN', 120269),
(176544, 'PTHR11588:SF48', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-5 CHAIN', 120270),
(176545, 'PTHR24343:SF423', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 120271),
(176546, 'PTHR45084:SF1', NULL, NULL, NULL, NULL, 'ERAD-ASSOCIATED E3 UBIQUITIN-PROTEIN LIGASE COMPONENT HRD3A-RELATED', 120272),
(176547, 'PTHR20956:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120273),
(176548, 'PTHR18945:SF514', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT ALPHA-1', 120274),
(176549, 'PTHR45636:SF26', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-7', 120275),
(176550, 'PTHR47086', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 120276),
(176551, 'PTHR33168:SF51', NULL, NULL, NULL, NULL, 'OS06G0646100 PROTEIN', 120277);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(176552, 'PTHR31790:SF302', NULL, NULL, NULL, NULL, 'BNAA09G27460D PROTEIN', 120278),
(176553, 'PTHR21495:SF160', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 120279),
(176554, 'PTHR28242:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120280),
(176555, 'PTHR34779', NULL, NULL, NULL, NULL, 'OS09G0542900 PROTEIN', 120281),
(176556, 'PTHR23189:SF46', NULL, NULL, NULL, NULL, 'RIBONUCLEOPROTEIN PTB-BINDING 1', 120282),
(176557, 'PTHR38440', NULL, NULL, NULL, NULL, 'UPF0398 PROTEIN YPSA', 120283),
(176558, 'PTHR47520:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG08816', 120284),
(176559, 'PTHR38020', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III SYNTHASE', 120285),
(176560, 'PTHR43859:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120286),
(176561, 'PTHR11255:SF104', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 2', 120287),
(176562, 'PTHR46914', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 1', 120288),
(176563, 'PTHR34049:SF6', NULL, NULL, NULL, NULL, 'BNAC03G30070D PROTEIN', 120289),
(176564, 'PTHR12444:SF9', NULL, NULL, NULL, NULL, 'AGAP013133-PA', 120290),
(176565, 'PTHR48056:SF16', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HAIKU2', 120291),
(176566, 'PTHR19241:SF628', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 33', 120292),
(176567, 'PTHR23226:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 12', 120293),
(176568, 'PTHR47982:SF51', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK2-RELATED', 120294),
(176569, 'PTHR19241:SF536', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 17', 120295),
(176570, 'PTHR31841:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM72A-RELATED', 120296),
(176571, 'PTHR12169:SF2', NULL, NULL, NULL, NULL, 'AFG1P', 120297),
(176572, 'PTHR10826:SF30', NULL, NULL, NULL, NULL, 'ACIDIC PROTEIN MAM33, MITOCHONDRIAL, PUTATIVE-RELATED', 120298),
(176573, 'PTHR15151:SF2', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 13B', 120299),
(176574, 'PTHR22706:SF0', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 17', 120300),
(176575, 'PTHR32295:SF131', NULL, NULL, NULL, NULL, 'OS05G0521900 PROTEIN', 120301),
(176576, 'PTHR45947:SF2', NULL, NULL, NULL, NULL, 'OS01G0142300 PROTEIN', 120302),
(176577, 'PTHR34280:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120303),
(176578, 'PTHR11349:SF106', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', 120304),
(176579, 'PTHR42266', NULL, NULL, NULL, NULL, 'GIM5B PROTEIN', 120305),
(176580, 'PTHR31190:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120306),
(176581, 'PTHR38649', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 33', 120307),
(176582, 'PTHR33155:SF47', NULL, NULL, NULL, NULL, 'BNAA03G57340D PROTEIN', 120308),
(176583, 'PTHR39596:SF4', NULL, NULL, NULL, NULL, 'HET DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G03140)', 120309),
(176584, 'PTHR48002:SF120', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4N2', 120310),
(176585, 'PTHR43829:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120311),
(176586, 'PTHR36730:SF1', NULL, NULL, NULL, NULL, 'OS03G0210700 PROTEIN', 120312),
(176587, 'PTHR47926:SF170', NULL, NULL, NULL, NULL, 'BNAA09G56000D PROTEIN', 120313),
(176588, 'PTHR48048:SF34', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 88A1-LIKE', 120314),
(176589, 'PTHR31048:SF90', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN', 120315),
(176590, 'PTHR31871:SF2', NULL, NULL, NULL, NULL, 'ARGININOSUCCINATE LYASE', 120316),
(176591, 'PTHR31722:SF45', NULL, NULL, NULL, NULL, 'BNAA09G52580D PROTEIN', 120317),
(176592, 'PTHR14388:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120318),
(176593, 'PTHR37563:SF7', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE', 120319),
(176594, 'PTHR45786:SF32', NULL, NULL, NULL, NULL, 'BNACNNG06910D PROTEIN', 120320),
(176595, 'PTHR35566:SF1', NULL, NULL, NULL, NULL, 'BLR3599 PROTEIN', 120321),
(176596, 'PTHR31472:SF18', NULL, NULL, NULL, NULL, 'BNAA04G19860D PROTEIN', 120322),
(176597, 'PTHR23267:SF377', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-35', 120323);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(176598, 'PTHR45752:SF117', NULL, NULL, NULL, NULL, 'SI:ZFOS-323E3.4', 120324),
(176599, 'PTHR19308:SF47', NULL, NULL, NULL, NULL, 'BNAA01G19270D PROTEIN', 120325),
(176600, 'PTHR10194:SF125', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN-RELATED', 120326),
(176601, 'PTHR33346:SF2', NULL, NULL, NULL, NULL, 'DEHYDRIN ERD14', 120327),
(176602, 'PTHR28593', NULL, NULL, NULL, NULL, 'METEORIN-LIKE PROTEIN', 120328),
(176603, 'PTHR16524:SF2', NULL, NULL, NULL, NULL, 'CELL DEATH REGULATOR AVEN', 120329),
(176604, 'PTHR11945:SF428', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN JOINTLESS', 120330),
(176605, 'PTHR12321:SF39', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 1', 120331),
(176606, 'PTHR12210:SF152', NULL, NULL, NULL, NULL, 'NLI INTERACTING FACTOR-LIKE PHOSPHATASE FAMILY PROTEIN', 120332),
(176607, 'PTHR21642:SF4', NULL, NULL, NULL, NULL, 'CEREBRAL CAVERNOUS MALFORMATIONS 2 PROTEIN', 120333),
(176608, 'PTHR31514', NULL, NULL, NULL, NULL, 'MUSCULAR LMNA-INTERACTING PROTEIN MLIP', 120334),
(176609, 'PTHR30231:SF32', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT EPSILON', 120335),
(176610, 'PTHR15503', NULL, NULL, NULL, NULL, 'LDOC1 RELATED', 120336),
(176611, 'PTHR43671:SF67', NULL, NULL, NULL, NULL, 'POLARITY-DEFECTIVE 6', 120337),
(176612, 'PTHR22714:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09521', 120338),
(176613, 'PTHR33193:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120339),
(176614, 'PTHR12542:SF106', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO70H1', 120340),
(176615, 'PTHR24305:SF78', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 120341),
(176616, 'PTHR46477:SF21', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 120342),
(176617, 'PTHR15184:SF63', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA', 120343),
(176618, 'PTHR11669', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C / DNA POLYMERASE III GAMMA-TAU SUBUNIT', 120344),
(176619, 'PTHR44329:SF93', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE', 120345),
(176620, 'PTHR47295:SF4', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE, PUTATIVE-RELATED', 120346),
(176621, 'PTHR13906:SF19', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE 1', 120347),
(176622, 'PTHR45650:SF56', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 120348),
(176623, 'PTHR31790:SF166', NULL, NULL, NULL, NULL, 'F-BOX-LIKE PROTEIN', 120349),
(176624, 'PTHR24300:SF200', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2C19', 120350),
(176625, 'PTHR12363:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120351),
(176626, 'PTHR36921:SF3', NULL, NULL, NULL, NULL, 'BLL6035 PROTEIN', 120352),
(176627, 'PTHR23423:SF63', NULL, NULL, NULL, NULL, 'DUF300 FAMILY PROTEIN', 120353),
(176628, 'PTHR46128:SF219', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 120354),
(176629, 'PTHR22900:SF6', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE CHST-1', 120355),
(176630, 'PTHR48027:SF5', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 120356),
(176631, 'PTHR48247:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120357),
(176632, 'PTHR12250:SF0', NULL, NULL, NULL, NULL, 'GPI ETHANOLAMINE PHOSPHATE TRANSFERASE 1', 120358),
(176633, 'PTHR18921', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN - RELATED', 120359),
(176634, 'PTHR10129:SF46', NULL, NULL, NULL, NULL, 'MAF-S, ISOFORM B', 120360),
(176635, 'PTHR45945', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING LOCO', 120361),
(176636, 'PTHR48041:SF42', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 27', 120362),
(176637, 'PTHR24377:SF640', NULL, NULL, NULL, NULL, 'MCG23335-RELATED', 120363),
(176638, 'PTHR21470:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120364),
(176639, 'PTHR11844:SF22', NULL, NULL, NULL, NULL, 'METALLOPROTEINASE INHIBITOR 3', 120365),
(176640, 'PTHR24349:SF119', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 7', 120366),
(176641, 'PTHR34387:SF1', NULL, NULL, NULL, NULL, 'PERIPLASMIC IMMUNOGENIC PROTEIN-RELATED', 120367);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(176642, 'PTHR11206', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN', 120368),
(176643, 'PTHR21444:SF15', NULL, NULL, NULL, NULL, 'STIMULATED BY RETINOIC ACID GENE 6 PROTEIN-LIKE', 120369),
(176644, 'PTHR12305:SF88', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 3-PHOSPHATASE AND PROTEIN-TYROSINE-PHOSPHATASE PTEN2A-LIKE', 120370),
(176645, 'PTHR31845:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120371),
(176646, 'PTHR14503:SF9', NULL, NULL, NULL, NULL, 'BNAC06G17900D PROTEIN', 120372),
(176647, 'PTHR22426', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 120373),
(176648, 'PTHR24350:SF29', NULL, NULL, NULL, NULL, 'BNAC04G04240D PROTEIN', 120374),
(176649, 'PTHR32295:SF42', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 31', 120375),
(176650, 'PTHR34674:SF5', NULL, NULL, NULL, NULL, 'BNAA01G28480D PROTEIN', 120376),
(176651, 'PTHR31852:SF5', NULL, NULL, NULL, NULL, 'GB|AAF18257.1', 120377),
(176652, 'PTHR35768:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MULTIPOLAR SPINDLE 1', 120378),
(176653, 'PTHR23334:SF43', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY-RELATED', 120379),
(176654, 'PTHR11732:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120380),
(176655, 'PTHR46165:SF4', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN 4A', 120381),
(176656, 'PTHR31998:SF31', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGIZED MEMBRANE PROTON PUMP 2-RELATED', 120382),
(176657, 'PTHR14562', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT D', 120383),
(176658, 'PTHR34968:SF1', NULL, NULL, NULL, NULL, 'AUGMIN SUBUNIT 5', 120384),
(176659, 'PTHR23321:SF27', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S15, CHLOROPLASTIC', 120385),
(176660, 'PTHR31086:SF69', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER-RELATED', 120386),
(176661, 'PTHR23105:SF123', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', 120387),
(176662, 'PTHR23415:SF37', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT', 120388),
(176663, 'PTHR43808:SF10', NULL, NULL, NULL, NULL, 'BLL3749 PROTEIN', 120389),
(176664, 'PTHR31696:SF14', NULL, NULL, NULL, NULL, 'OS01G0642600 PROTEIN', 120390),
(176665, 'PTHR22765:SF251', NULL, NULL, NULL, NULL, 'EGF-LIKE CALCIUM-BINDING DOMAIN, PA DOMAIN-CONTAINING PROTEIN-RELATED', 120391),
(176666, 'PTHR10683:SF31', NULL, NULL, NULL, NULL, 'ALDOLASE-TYPE TIM BARREL FAMILY PROTEIN', 120392),
(176667, 'PTHR34591:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120393),
(176668, 'PTHR10390:SF44', NULL, NULL, NULL, NULL, 'GM13131P', 120394),
(176669, 'PTHR10891:SF908', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML25/26-RELATED', 120395),
(176670, 'PTHR31422:SF27', NULL, NULL, NULL, NULL, 'ZEIN-BINDING PROTEIN', 120396),
(176671, 'PTHR36321:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120397),
(176672, 'PTHR45930:SF3', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR A1', 120398),
(176673, 'PTHR44575:SF7', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE DDB_G0268948-RELATED', 120399),
(176674, 'PTHR11732:SF433', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1, MEMBER C19', 120400),
(176675, 'PTHR24296:SF98', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94A1-LIKE', 120401),
(176676, 'PTHR23155:SF1046', NULL, NULL, NULL, NULL, 'OS04G0219600 PROTEIN', 120402),
(176677, 'PTHR46801:SF2', NULL, NULL, NULL, NULL, 'OS06G0309200 PROTEIN', 120403),
(176678, 'PTHR21207:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120404),
(176679, 'PTHR31734:SF113', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN AUX28', 120405),
(176680, 'PTHR12459:SF16', NULL, NULL, NULL, NULL, 'AGAP013526-PA', 120406),
(176681, 'PTHR11880:SF8', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S19, MITOCHONDRIAL', 120407),
(176682, 'PTHR33727:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120408),
(176683, 'PTHR10168:SF267', NULL, NULL, NULL, NULL, 'BNAA01G25120D PROTEIN', 120409),
(176684, 'PTHR33172:SF63', NULL, NULL, NULL, NULL, 'OS04G0583200 PROTEIN', 120410),
(176685, 'PTHR33133:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 120411); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(176686, 'PTHR11394:SF33', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 124', 120412),
(176687, 'PTHR31072:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP4', 120413),
(176688, 'PTHR46630:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 29', 120414),
(176689, 'PTHR31078', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 300', 120415),
(176690, 'PTHR23500:SF570', NULL, NULL, NULL, NULL, 'BNAA03G53530D PROTEIN', 120416),
(176691, 'PTHR11206:SF385', NULL, NULL, NULL, NULL, 'MULTI ANTIMICROBIAL EXTRUSION PROTEIN-RELATED', 120417),
(176692, 'PTHR24567:SF70', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CMR', 120418),
(176693, 'PTHR31045:SF31', NULL, NULL, NULL, NULL, '(Z)-GAMMA-BISABOLENE SYNTHASE 1-RELATED', 120419),
(176694, 'PTHR26450:SF98', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52A1', 120420),
(176695, 'PTHR24322:SF730', NULL, NULL, NULL, NULL, 'FI02989P-RELATED', 120421),
(176696, 'PTHR11439:SF268', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 120422),
(176697, 'PTHR46339:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG00667', 120423),
(176698, 'PTHR42058', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 120424),
(176699, 'PTHR10264:SF49', NULL, NULL, NULL, NULL, 'STOMATIN-LIKE PROTEIN 3', 120425),
(176700, 'PTHR47411:SF1', NULL, NULL, NULL, NULL, 'B3GNT1, BETA-1,3-N-ACETYLGUCOSAMINYLTRANSFERASE 1, HOMOLOG', 120426),
(176701, 'PTHR38692', NULL, NULL, NULL, NULL, 'PROTEIN SMG', 120427),
(176702, 'PTHR24073:SF1133', NULL, NULL, NULL, NULL, 'RAB GTPASE-RELATED', 120428),
(176703, 'PTHR34194', NULL, NULL, NULL, NULL, 'F14J8.16 PROTEIN', 120429),
(176704, 'PTHR46291', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 120430),
(176705, 'PTHR11475:SF51', NULL, NULL, NULL, NULL, 'SHK DOMAIN AND PEROXIDASE DOMAIN CONTAINING PROTEIN', 120431),
(176706, 'PTHR14413:SF24', NULL, NULL, NULL, NULL, 'BNAANNG37960D PROTEIN', 120432),
(176707, 'PTHR24128:SF70', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', 120433),
(176708, 'PTHR43331', NULL, NULL, NULL, NULL, 'HOMOSERINE DEHYDROGENASE', 120434),
(176709, 'PTHR11614:SF169', NULL, NULL, NULL, NULL, 'MONOGLYCERIDE LIPASE', 120435),
(176710, 'PTHR31238:SF107', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 120436),
(176711, 'PTHR31722:SF60', NULL, NULL, NULL, NULL, 'BNAA07G24670D PROTEIN', 120437),
(176712, 'PTHR33203:SF1', NULL, NULL, NULL, NULL, 'OLEOSIN', 120438),
(176713, 'PTHR47979:SF13', NULL, NULL, NULL, NULL, 'RAB_C22 PROTEIN', 120439),
(176714, 'PTHR43009', NULL, NULL, NULL, NULL, 'HOMOGENTISATE SOLANESYLTRANSFERASE, CHLOROPLASTIC', 120440),
(176715, 'PTHR37227:SF2', NULL, NULL, NULL, NULL, 'OS01G0219000 PROTEIN', 120441),
(176716, 'PTHR20974:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE 26 B', 120442),
(176717, 'PTHR31734:SF107', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 120443),
(176718, 'PTHR35243:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120444),
(176719, 'PTHR13683:SF330', NULL, NULL, NULL, NULL, 'OS06G0118700 PROTEIN', 120445),
(176720, 'PTHR44167:SF16', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G07950)-RELATED', 120446),
(176721, 'PTHR32278:SF60', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10-LIKE', 120447),
(176722, 'PTHR12447:SF0', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 13C', 120448),
(176723, 'PTHR31867:SF159', NULL, NULL, NULL, NULL, 'EXPANSIN', 120449),
(176724, 'PTHR47975:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120450),
(176725, 'PTHR22780:SF37', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT ALPHA', 120451),
(176726, 'PTHR45719:SF27', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14-RELATED', 120452),
(176727, 'PTHR43349:SF65', NULL, NULL, NULL, NULL, 'PHENYLCOUMARAN BENZYLIC ETHER REDUCTASE TP7', 120453),
(176728, 'PTHR23349', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX TRANSCRIPTION FACTOR, TWIST', 120454),
(176729, 'PTHR10366:SF692', NULL, NULL, NULL, NULL, 'BNAA04G13980D PROTEIN', 120455),
(176730, 'PTHR47992:SF93', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 37', 120456);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(176731, 'PTHR15315:SF77', NULL, NULL, NULL, NULL, 'LON PEPTIDASE N-TERMINAL DOMAIN AND RING FINGER PROTEIN 1-LIKE ISOFORM X1', 120457),
(176732, 'PTHR30290:SF71', NULL, NULL, NULL, NULL, 'DIPEPTIDE-BINDING PROTEIN DPPE', 120458),
(176733, 'PTHR24403:SF67', NULL, NULL, NULL, NULL, 'LD13728P-RELATED', 120459),
(176734, 'PTHR33370:SF3', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-1, CHLOROPLASTIC', 120460),
(176735, 'PTHR24115:SF899', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7D, MITOCHONDRIAL', 120461),
(176736, 'PTHR20843:SF1', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 10', 120462),
(176737, 'PTHR15289:SF3', NULL, NULL, NULL, NULL, 'TASTIN', 120463),
(176738, 'PTHR21495:SF143', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 120464),
(176739, 'PTHR11802:SF383', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 120465),
(176740, 'PTHR21225:SF0', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE, TYROSINE-INHIBITED', 120466),
(176741, 'PTHR27003:SF268', NULL, NULL, NULL, NULL, 'INACTIVE LRR RECEPTOR-LIKE KINASE', 120467),
(176742, 'PTHR24286:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 87, SUBFAMILY A, POLYPEPTIDE 2', 120468),
(176743, 'PTHR15597:SF25', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN FOX-1 HOMOLOG 3', 120469),
(176744, 'PTHR42861:SF80', NULL, NULL, NULL, NULL, 'ATPASE 4 PLASMA MEMBRANE-TYPE', 120470),
(176745, 'PTHR10891:SF635', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML15-RELATED', 120471),
(176746, 'PTHR24068:SF292', NULL, NULL, NULL, NULL, 'OS09G0321900 PROTEIN', 120472),
(176747, 'PTHR31692:SF73', NULL, NULL, NULL, NULL, 'EXPANSIN-B4', 120473),
(176748, 'PTHR45650:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120474),
(176749, 'PTHR34682:SF9', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', 120475),
(176750, 'PTHR22811:SF127', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY PROTEIN', 120476),
(176751, 'PTHR12850:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120477),
(176752, 'PTHR47159:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG02523', 120478),
(176753, 'PTHR11741:SF0', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TS, MITOCHONDRIAL', 120479),
(176754, 'PTHR11132:SF393', NULL, NULL, NULL, NULL, 'BNAA03G01770D PROTEIN', 120480),
(176755, 'PTHR12110:SF38', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G00240)-RELATED', 120481),
(176756, 'PTHR48019:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120482),
(176757, 'PTHR13068:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120483),
(176758, 'PTHR21689:SF8', NULL, NULL, NULL, NULL, 'BNAC02G39780D PROTEIN', 120484),
(176759, 'PTHR22870:SF404', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN', 120485),
(176760, 'PTHR43091:SF3', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE III, CHLOROPLASTIC', 120486),
(176761, 'PTHR47925:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120487),
(176762, 'PTHR36763:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 120488),
(176763, 'PTHR47933:SF22', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 120489),
(176764, 'PTHR31061:SF32', NULL, NULL, NULL, NULL, 'HEPARAN-ALPHA-GLUCOSAMINIDE N-ACETYLTRANSFERASE-LIKE PROTEIN', 120490),
(176765, 'PTHR11709:SF278', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN', 120491),
(176766, 'PTHR10182:SF13', NULL, NULL, NULL, NULL, 'MO25-LIKE PROTEIN 2', 120492),
(176767, 'PTHR11875:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120493),
(176768, 'PTHR37817', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE EIS', 120494),
(176769, 'PTHR48002:SF37', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 120495),
(176770, 'PTHR24377:SF896', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 429', 120496),
(176771, 'PTHR43903:SF9', NULL, NULL, NULL, NULL, 'NEUROLIGIN 1, ISOFORM D', 120497),
(176772, 'PTHR47002:SF6', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN (MIP) FAMILY TRANSPORTER', 120498),
(176773, 'PTHR11848:SF144', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 3', 120499);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(176774, 'PTHR45631:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120500),
(176775, 'PTHR30451:SF20', NULL, NULL, NULL, NULL, 'FIMBRIAE USHER-RELATED', 120501),
(176776, 'PTHR33337:SF16', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G09754)', 120502),
(176777, 'PTHR10357:SF184', NULL, NULL, NULL, NULL, 'OLIGO-1,6-GLUCOSIDASE 1', 120503),
(176778, 'PTHR16675:SF199', NULL, NULL, NULL, NULL, 'UL16-BINDING PROTEIN 3', 120504),
(176779, 'PTHR46265:SF7', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATION PROTEIN (RHOGAP) WITH PH DOMAIN', 120505),
(176780, 'PTHR34198:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120506),
(176781, 'PTHR46184:SF3', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IXA', 120507),
(176782, 'PTHR31080:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120508),
(176783, 'PTHR11588:SF4', NULL, NULL, NULL, NULL, 'TUBULIN DELTA CHAIN', 120509),
(176784, 'PTHR47806', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L3 GLUTAMINE METHYLTRANSFERASE', 120510),
(176785, 'PTHR45863:SF34', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 120511),
(176786, 'PTHR10795:SF439', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.2', 120512),
(176787, 'PTHR10623:SF35', NULL, NULL, NULL, NULL, 'BNAANNG27250D PROTEIN', 120513),
(176788, 'PTHR31694:SF13', NULL, NULL, NULL, NULL, 'DESICCATION-LIKE PROTEIN', 120514),
(176789, 'PTHR33287:SF3', NULL, NULL, NULL, NULL, 'OS03G0453550 PROTEIN', 120515),
(176790, 'PTHR14167:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120516),
(176791, 'PTHR13429', NULL, NULL, NULL, NULL, 'FERM DOMAIN (PROTEIN4.1-EZRIN-RADIXIN-MOESIN) FAMILY', 120517),
(176792, 'PTHR14614:SF44', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE METHYLTRANSFERASE METTL21D', 120518),
(176793, 'PTHR42721:SF30', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE/BETA-D-XYLOSIDASE', 120519),
(176794, 'PTHR43719:SF34', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM PROTEIN B', 120520),
(176795, 'PTHR33449', NULL, NULL, NULL, NULL, 'NUCLEOID-ASSOCIATED PROTEIN YBAB', 120521),
(176796, 'PTHR47836', NULL, NULL, NULL, NULL, 'PROTEIN CBG09520-RELATED', 120522),
(176797, 'PTHR23424:SF24', NULL, NULL, NULL, NULL, 'SERUM AMYLOID A PROTEIN', 120523),
(176798, 'PTHR11931:SF27', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE/BISPHOSPHOGLYCERATE MUTASE', 120524),
(176799, 'PTHR10219:SF85', NULL, NULL, NULL, NULL, 'BNAC06G30250D PROTEIN', 120525),
(176800, 'PTHR37451:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120526),
(176801, 'PTHR47746:SF26', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE (REVERSE TRANSCRIPTASE)-RELATED FAMILY PROTEIN', 120527),
(176802, 'PTHR11831:SF37', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S4, MITOCHONDRIAL', 120528),
(176803, 'PTHR34455:SF7', NULL, NULL, NULL, NULL, 'BNAA08G29910D PROTEIN', 120529),
(176804, 'PTHR23180:SF402', NULL, NULL, NULL, NULL, 'ZGC:162872', 120530),
(176805, 'PTHR11527:SF276', NULL, NULL, NULL, NULL, '18.3 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', 120531),
(176806, 'PTHR46178:SF6', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 120532),
(176807, 'PTHR12496:SF6', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 25', 120533),
(176808, 'PTHR23266:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120534),
(176809, 'PTHR39219:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120535),
(176810, 'PTHR47170:SF2', NULL, NULL, NULL, NULL, 'MALONYL-COA ACP TRANSACYLASE, ACP-BINDING', 120536),
(176811, 'PTHR31218:SF342', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 120537),
(176812, 'PTHR28376:SF1', NULL, NULL, NULL, NULL, 'RGD1562914', 120538),
(176813, 'PTHR23257:SF866', NULL, NULL, NULL, NULL, 'BNAA09G56380D PROTEIN', 120539),
(176814, 'PTHR10774:SF62', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-3', 120540),
(176815, 'PTHR11383:SF3', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE-LINKED MOIETY X MOTIF 13', 120541),
(176816, 'PTHR13793:SF19', NULL, NULL, NULL, NULL, 'BROMODOMAIN AND PHD FINGER-CONTAINING PROTEIN 3', 120542),
(176817, 'PTHR18966:SF448', NULL, NULL, NULL, NULL, 'AGAP005527-PA', 120543);
INSERT INTO "PUBLIC"."MODEL" VALUES
(176818, 'PTHR11849:SF297', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120544),
(176819, 'PTHR31851:SF52', NULL, NULL, NULL, NULL, 'PROTEIN CCC1', 120545),
(176820, 'PTHR36792:SF7', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 120546),
(176821, 'PTHR31734:SF115', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN', 120547),
(176822, 'PTHR30097', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN CUSB', 120548),
(176823, 'PTHR28583', NULL, NULL, NULL, NULL, 'ACID AMIDASE', 120549),
(176824, 'PTHR31692:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120550),
(176825, 'PTHR13252:SF9', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 28', 120551),
(176826, 'PTHR33490:SF7', NULL, NULL, NULL, NULL, 'BLR2979 PROTEIN', 120552),
(176827, 'PTHR31490:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120553),
(176828, 'PTHR47114', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 120554),
(176829, 'PTHR31474:SF12', NULL, NULL, NULL, NULL, 'HR-LIKE LESION-INDUCING PROTEIN', 120555),
(176830, 'PTHR21631:SF13', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 2-METHYLISOCITRATE LYASE', 120556),
(176831, 'PTHR13068:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF15, MITOCHONDRIAL', 120557),
(176832, 'PTHR11339', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX GLYCOPROTEIN RELATED', 120558),
(176833, 'PTHR33098:SF72', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 120559),
(176834, 'PTHR27001:SF500', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', 120560),
(176835, 'PTHR31658', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 1', 120561),
(176836, 'PTHR34574:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN', 120562),
(176837, 'PTHR10602:SF4', NULL, NULL, NULL, NULL, 'BNAC04G04870D PROTEIN', 120563),
(176838, 'PTHR47002:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120564),
(176839, 'PTHR28612', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE SMALL SUBUNIT B', 120565),
(176840, 'PTHR15335', NULL, NULL, NULL, NULL, 'PROTEIN TFG', 120566),
(176841, 'PTHR47946', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A7-RELATED', 120567),
(176842, 'PTHR48095:SF4', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYLASE-LIKE PROTEIN', 120568),
(176843, 'PTHR28163:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PET117 HOMOLOG, MITOCHONDRIAL', 120569),
(176844, 'PTHR31719:SF96', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 71', 120570),
(176845, 'PTHR43811:SF37', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 120571),
(176846, 'PTHR11017:SF430', NULL, NULL, NULL, NULL, 'BNAA08G15560D PROTEIN', 120572),
(176847, 'PTHR22870:SF390', NULL, NULL, NULL, NULL, 'OS01G0777800 PROTEIN', 120573),
(176848, 'PTHR13018:SF125', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT CHANNEL, 7TM REGION, PUTATIVE PHOSPHATE-RELATED', 120574),
(176849, 'PTHR31048:SF148', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN PWIR2', 120575),
(176850, 'PTHR46038:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120576),
(176851, 'PTHR28110:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 120577),
(176852, 'PTHR14859:SF0', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN, EXPRESSED', 120578),
(176853, 'PTHR10662:SF26', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR 5', 120579),
(176854, 'PTHR45785:SF4', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR H-RELATED PROTEIN 3-RELATED', 120580),
(176855, 'PTHR10332:SF69', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRANSPORTER, PUTATIVE-RELATED', 120581),
(176856, 'PTHR46099:SF3', NULL, NULL, NULL, NULL, 'ENDOTHELIN RECEPTOR TYPE B', 120582),
(176857, 'PTHR31218:SF295', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 120583),
(176858, 'PTHR11675:SF3', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 16', 120584),
(176859, 'PTHR47990:SF33', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE-RELATED', 120585),
(176860, 'PTHR34284', NULL, NULL, NULL, NULL, 'FG-GAP REPEAT-CONTAINING PROTEIN', 120586);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(176861, 'PTHR11994:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120587),
(176862, 'PTHR11669:SF58', NULL, NULL, NULL, NULL, 'OS12G0209300 PROTEIN', 120588),
(176863, 'PTHR31549:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120589),
(176864, 'PTHR32227:SF376', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17-RELATED', 120590),
(176865, 'PTHR14499:SF110', NULL, NULL, NULL, NULL, 'PROTEIN CBG17532', 120591),
(176866, 'PTHR47730:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 29', 120592),
(176867, 'PTHR12232:SF8', NULL, NULL, NULL, NULL, 'ZGC:153284', 120593),
(176868, 'PTHR47826', NULL, NULL, NULL, NULL, 'OS03G0164700 PROTEIN', 120594),
(176869, 'PTHR43791:SF62', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 120595),
(176870, 'PTHR11240:SF61', NULL, NULL, NULL, NULL, 'EXTRACELLULAR RIBONUCLEASE LE-LIKE ISOFORM X1', 120596),
(176871, 'PTHR44927:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120597),
(176872, 'PTHR11570:SF24', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', 120598),
(176873, 'PTHR43174:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 2-EPIMERASE', 120599),
(176874, 'PTHR39218:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 14 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12110)-RELATED', 120600),
(176875, 'PTHR45886:SF9', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 120601),
(176876, 'PTHR11848:SF175', NULL, NULL, NULL, NULL, 'LEFT-RIGHT DETERMINATION FACTOR 2', 120602),
(176877, 'PTHR45959:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18-LIKE', 120603),
(176878, 'PTHR37486', NULL, NULL, NULL, NULL, 'STRINGENT STARVATION PROTEIN B', 120604),
(176879, 'PTHR22804:SF8', NULL, NULL, NULL, NULL, 'HYALURONAN AND PROTEOGLYCAN LINK PROTEIN 2', 120605),
(176880, 'PTHR31223:SF47', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOGL10-RELATED', 120606),
(176881, 'PTHR46302', NULL, NULL, NULL, NULL, 'DOUBLECORTIN DOMAIN-CONTAINING PROTEIN 1', 120607),
(176882, 'PTHR35788', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 120608),
(176883, 'PTHR45839:SF18', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', 120609),
(176884, 'PTHR24114:SF37', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 74B', 120610),
(176885, 'PTHR33646:SF12', NULL, NULL, NULL, NULL, 'F20H23.8 PROTEIN', 120611),
(176886, 'PTHR48082:SF2', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ALPHA, MITOCHONDRIAL', 120612),
(176887, 'PTHR43112:SF33', NULL, NULL, NULL, NULL, 'FERREDOXIN', 120613),
(176888, 'PTHR46898', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED CARBOXYLESTERASE 101', 120614),
(176889, 'PTHR11592:SF113', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 120615),
(176890, 'PTHR31731:SF119', NULL, NULL, NULL, NULL, 'CELL DELINEATING PROTEIN, PUTATIVE, EXPRESSED-RELATED', 120616),
(176891, 'PTHR31907:SF22', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', 120617),
(176892, 'PTHR43329:SF8', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN, EXPRESSED', 120618),
(176893, 'PTHR46581:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 120619),
(176894, 'PTHR43205:SF49', NULL, NULL, NULL, NULL, '2-ALKENAL REDUCTASE (NADP(+)-DEPENDENT)', 120620),
(176895, 'PTHR46480:SF2', NULL, NULL, NULL, NULL, 'F20B24.22', 120621),
(176896, 'PTHR31030', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE FUSION PROTEIN PRM1', 120622),
(176897, 'PTHR47179:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIS3-LIKE ISOFORM X1', 120623),
(176898, 'PTHR44207:SF1', NULL, NULL, NULL, NULL, 'SURFACE ANTIGEN BSPA-LIKE', 120624),
(176899, 'PTHR11214:SF285', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 120625),
(176900, 'PTHR19384:SF112', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', 120626),
(176901, 'PTHR11309:SF46', NULL, NULL, NULL, NULL, 'SECRETED FRIZZLED-RELATED PROTEIN 5', 120627),
(176902, 'PTHR37184:SF6', NULL, NULL, NULL, NULL, 'BNAA09G54550D PROTEIN', 120628),
(176903, 'PTHR42704:SF8', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE, LARGE SUBUNIT-RELATED', 120629);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(176904, 'PTHR13318:SF174', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 120630),
(176905, 'PTHR46525:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120631),
(176906, 'PTHR11926:SF1188', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN', 120632),
(176907, 'PTHR19368:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM9B', 120633),
(176908, 'PTHR47151:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', 120634),
(176909, 'PTHR23147:SF53', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 14', 120635),
(176910, 'PTHR15217:SF0', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING REGULATOR WTAP', 120636),
(176911, 'PTHR31662:SF43', NULL, NULL, NULL, NULL, 'DNA-BINDING STOREKEEPER PROTEIN TRANSCRIPTIONAL REGULATOR-LIKE PROTEIN-RELATED', 120637),
(176912, 'PTHR11636:SF81', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 2, TRANSCRIPTION FACTOR 3', 120638),
(176913, 'PTHR24156:SF6', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 34C', 120639),
(176914, 'PTHR22595:SF127', NULL, NULL, NULL, NULL, 'CLASS II CHITINASE', 120640),
(176915, 'PTHR11524:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120641),
(176916, 'PTHR11132:SF241', NULL, NULL, NULL, NULL, 'GDP-FUCOSE TRANSPORTER 1', 120642),
(176917, 'PTHR19384:SF118', NULL, NULL, NULL, NULL, 'P450 REDUCTASE, PUTATIVE-RELATED', 120643),
(176918, 'PTHR11539', NULL, NULL, NULL, NULL, 'VDJ RECOMBINATION ACTIVATING PROTEIN 1 RAG1', 120644),
(176919, 'PTHR31153:SF20', NULL, NULL, NULL, NULL, 'BNAC04G13840D PROTEIN', 120645),
(176920, 'PTHR14089:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 49-LIKE', 120646),
(176921, 'PTHR33673:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120647),
(176922, 'PTHR40780:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120648),
(176923, 'PTHR44329:SF124', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0271682-RELATED', 120649),
(176924, 'PTHR11014:SF122', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE AMHX', 120650),
(176925, 'PTHR23147:SF107', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS2Z32', 120651),
(176926, 'PTHR10165:SF158', NULL, NULL, NULL, NULL, 'PAP2 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G08970)', 120652),
(176927, 'PTHR21600:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120653),
(176928, 'PTHR16222:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120654),
(176929, 'PTHR23114:SF17', NULL, NULL, NULL, NULL, 'M7GPPPN-MRNA HYDROLASE', 120655),
(176930, 'PTHR45675:SF44', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 340-LIKE', 120656),
(176931, 'PTHR24055:SF466', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 10-RELATED', 120657),
(176932, 'PTHR33706:SF1', NULL, NULL, NULL, NULL, 'TPR REPEAT PROTEIN-RELATED', 120658),
(176933, 'PTHR31072:SF118', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP12', 120659),
(176934, 'PTHR31262', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN 1, CHLOROPLASTIC', 120660),
(176935, 'PTHR43112:SF2', NULL, NULL, NULL, NULL, 'FERREDOXIN', 120661),
(176936, 'PTHR45869:SF3', NULL, NULL, NULL, NULL, 'C-REACTIVE PROTEIN', 120662),
(176937, 'PTHR33143:SF6', NULL, NULL, NULL, NULL, 'F16F4.1 PROTEIN', 120663),
(176938, 'PTHR30294', NULL, NULL, NULL, NULL, 'MEMBRANE COMPONENT OF ABC TRANSPORTER YHHJ-RELATED', 120664),
(176939, 'PTHR15285', NULL, NULL, NULL, NULL, 'NEURONATIN', 120665),
(176940, 'PTHR24057:SF38', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE GSK4', 120666),
(176941, 'PTHR46168:SF5', NULL, NULL, NULL, NULL, 'OS08G0548500 PROTEIN', 120667),
(176942, 'PTHR11827:SF99', NULL, NULL, NULL, NULL, 'CATION-CHLORIDE COTRANSPORTER 1-LIKE ISOFORM X1', 120668),
(176943, 'PTHR10994:SF165', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 120669),
(176944, 'PTHR21600', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RNA PSEUDOURIDINE SYNTHASE', 120670),
(176945, 'PTHR14042', NULL, NULL, NULL, NULL, 'DOPEY-RELATED', 120671),
(176946, 'PTHR22854:SF17', NULL, NULL, NULL, NULL, 'INDOLE-3-GLYCEROL PHOSPHATE SYNTHASE, CHLOROPLASTIC', 120672);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(176947, 'PTHR12035:SF107', NULL, NULL, NULL, NULL, 'MYELOID CELL SURFACE ANTIGEN CD33', 120673),
(176948, 'PTHR15305', NULL, NULL, NULL, NULL, 'MELANOMA ANTIGEN RECOGNIZED BY T-CELLS 1', 120674),
(176949, 'PTHR23193:SF43', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE PORE MEMBRANE PROTEIN POM 121', 120675),
(176950, 'PTHR24305:SF157', NULL, NULL, NULL, NULL, 'N-ACETYLTRYPTOPHAN 6-HYDROXYLASE IVOC-RELATED', 120676),
(176951, 'PTHR45707:SF18', NULL, NULL, NULL, NULL, 'OS07G0483500 PROTEIN', 120677),
(176952, 'PTHR13476', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 120678),
(176953, 'PTHR33070:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120679),
(176954, 'PTHR10094', NULL, NULL, NULL, NULL, 'STEROL CARRIER PROTEIN 2  SCP-2  FAMILY PROTEIN', 120680),
(176955, 'PTHR13016:SF3', NULL, NULL, NULL, NULL, 'BNAA04G22140D PROTEIN', 120681),
(176956, 'PTHR47871:SF2', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 8', 120682),
(176957, 'PTHR43645:SF5', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 120683),
(176958, 'PTHR33228:SF30', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 1', 120684),
(176959, 'PTHR24343:SF383', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 4', 120685),
(176960, 'PTHR14776:SF1', NULL, NULL, NULL, NULL, 'CADHERIN-LIKE AND PC-ESTERASE DOMAIN-CONTAINING PROTEIN 1', 120686),
(176961, 'PTHR33565:SF25', NULL, NULL, NULL, NULL, 'BNAA05G09830D PROTEIN', 120687),
(176962, 'PTHR18849:SF4', NULL, NULL, NULL, NULL, 'GENE 29133-RELATED', 120688),
(176963, 'PTHR46782', NULL, NULL, NULL, NULL, 'OS01G0757700 PROTEIN', 120689),
(176964, 'PTHR11461:SF339', NULL, NULL, NULL, NULL, 'BNAC04G44460D PROTEIN', 120690),
(176965, 'PTHR24198:SF176', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 14', 120691),
(176966, 'PTHR37287', NULL, NULL, NULL, NULL, 'INO EIGHTY SUBUNIT 1', 120692),
(176967, 'PTHR31265:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120693),
(176968, 'PTHR13045:SF13', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE', 120694),
(176969, 'PTHR10334:SF359', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 18 MEMBER A-RELATED', 120695),
(176970, 'PTHR11453:SF110', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 3-RELATED', 120696),
(176971, 'PTHR22750:SF13', NULL, NULL, NULL, NULL, 'SPHINGOSINE 1-PHOSPHATE RECEPTOR 4', 120697),
(176972, 'PTHR10809:SF126', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 1-1-LIKE', 120698),
(176973, 'PTHR20961:SF137', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', 120699),
(176974, 'PTHR24373:SF278', NULL, NULL, NULL, NULL, 'PLATELET GLYCOPROTEIN IB ALPHA CHAIN', 120700),
(176975, 'PTHR34364:SF11', NULL, NULL, NULL, NULL, 'WAS/WASL-INTERACTING PROTEIN FAMILY MEMBER 3-LIKE', 120701),
(176976, 'PTHR10108:SF1131', NULL, NULL, NULL, NULL, 'BNAA02G34020D PROTEIN', 120702),
(176977, 'PTHR33784:SF35', NULL, NULL, NULL, NULL, 'BNACNNG21980D PROTEIN', 120703),
(176978, 'PTHR11802:SF399', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 120704),
(176979, 'PTHR35307:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120705),
(176980, 'PTHR14463:SF5', NULL, NULL, NULL, NULL, 'LIPASE MATURATION FACTOR 2', 120706),
(176981, 'PTHR22957:SF504', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120707),
(176982, 'PTHR45940:SF23', NULL, NULL, NULL, NULL, 'WUSCHEL, PUTATIVE-RELATED', 120708),
(176983, 'PTHR13301:SF195', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', 120709),
(176984, 'PTHR11360:SF86', NULL, NULL, NULL, NULL, 'GH22266P', 120710),
(176985, 'PTHR32468:SF96', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 26-RELATED', 120711),
(176986, 'PTHR15615:SF98', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 120712),
(176987, 'PTHR34849:SF3', NULL, NULL, NULL, NULL, 'SSL5025 PROTEIN', 120713),
(176988, 'PTHR45683', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL NICOTINAMIDE ADENINE DINUCLEOTIDE TRANSPORTER 1-RELATED-RELATED', 120714),
(176989, 'PTHR15615:SF101', NULL, NULL, NULL, NULL, 'CYCLIN', 120715),
(176990, 'PTHR12483:SF81', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 3', 120716),
(176991, 'PTHR13803:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC24C', 120717);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(176992, 'PTHR31669:SF238', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120718),
(176993, 'PTHR46697:SF1', NULL, NULL, NULL, NULL, 'FORMIN-BINDING PROTEIN 4', 120719),
(176994, 'PTHR34496', NULL, NULL, NULL, NULL, 'GLCNAC TRANSFERASE-RELATED', 120720),
(176995, 'PTHR22802:SF265', NULL, NULL, NULL, NULL, 'ASIALOGLYCOPROTEIN RECEPTOR 1', 120721),
(176996, 'PTHR13318:SF95', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', 120722),
(176997, 'PTHR48018:SF28', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8K3', 120723),
(176998, 'PTHR24064:SF250', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 120724),
(176999, 'PTHR10217:SF380', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 8', 120725),
(177000, 'PTHR18945:SF429', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT BETA-1', 120726),
(177001, 'PTHR45798:SF60', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 120727),
(177002, 'PTHR27006:SF236', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ISOFORM X1-RELATED', 120728),
(177003, 'PTHR45842:SF4', NULL, NULL, NULL, NULL, 'MATRIX-REMODELING-ASSOCIATED PROTEIN 5', 120729),
(177004, 'PTHR23132:SF22', NULL, NULL, NULL, NULL, 'BNAA01G23090D PROTEIN', 120730),
(177005, 'PTHR31586', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE PROTEIN 20', 120731),
(177006, 'PTHR39646:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE RPB4', 120732),
(177007, 'PTHR13000:SF0', NULL, NULL, NULL, NULL, 'NUCLEOPORIN P54', 120733),
(177008, 'PTHR31680', NULL, NULL, NULL, NULL, 'LONGIFOLIA PROTEIN', 120734),
(177009, 'PTHR14307', NULL, NULL, NULL, NULL, 'C6ORF47 FAMILY MEMBER', 120735),
(177010, 'PTHR47327:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG21204', 120736),
(177011, 'PTHR24384:SF112', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 676', 120737),
(177012, 'PTHR15749:SF6', NULL, NULL, NULL, NULL, 'FANCONI-ASSOCIATED NUCLEASE', 120738),
(177013, 'PTHR15683:SF6', NULL, NULL, NULL, NULL, 'SCAFFOLD ATTACHMENT FACTOR B1', 120739),
(177014, 'PTHR18945:SF76', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-5', 120740),
(177015, 'PTHR23024:SF547', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 120741),
(177016, 'PTHR31650:SF27', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE PROTEIN', 120742),
(177017, 'PTHR44115:SF6', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 120743),
(177018, 'PTHR12236:SF8', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 72EA-RELATED', 120744),
(177019, 'PTHR42861:SF87', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 120745),
(177020, 'PTHR11604:SF46', NULL, NULL, NULL, NULL, 'PROFILIN', 120746),
(177021, 'PTHR42912', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 120747),
(177022, 'PTHR11738:SF158', NULL, NULL, NULL, NULL, 'KILLER CELL IMMUNOGLOBULIN-LIKE RECEPTOR 2DL4', 120748),
(177023, 'PTHR22762:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120749),
(177024, 'PTHR41153:SF2', NULL, NULL, NULL, NULL, 'RE41427P', 120750),
(177025, 'PTHR24067:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120751),
(177026, 'PTHR31622', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 218', 120752),
(177027, 'PTHR47082', NULL, NULL, NULL, NULL, 'KERATIN-LIKE PROTEIN KRT222', 120753),
(177028, 'PTHR27002:SF510', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 120754),
(177029, 'PTHR26379:SF351', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 120755),
(177030, 'PTHR10036:SF14', NULL, NULL, NULL, NULL, 'SI:CH211-113D22.2', 120756),
(177031, 'PTHR33922:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120757),
(177032, 'PTHR43201:SF6', NULL, NULL, NULL, NULL, 'ACYL COA SYNTHETASE (EUROFUNG)', 120758),
(177033, 'PTHR27003:SF323', NULL, NULL, NULL, NULL, 'BNAC03G60370D PROTEIN', 120759),
(177034, 'PTHR31717:SF83', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', 120760),
(177035, 'PTHR31260:SF59', NULL, NULL, NULL, NULL, 'BNAA05G08490D PROTEIN', 120761),
(177036, 'PTHR35357:SF4', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN CONTAINING PROTEIN', 120762);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(177037, 'PTHR34708:SF5', NULL, NULL, NULL, NULL, 'OS07G0420900 PROTEIN', 120763),
(177038, 'PTHR35666', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 4921536K21', 120764),
(177039, 'PTHR10993:SF12', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P/MRP PROTEIN SUBUNIT POP5', 120765),
(177040, 'PTHR11165:SF50', NULL, NULL, NULL, NULL, 'SKR-19', 120766),
(177041, 'PTHR47159:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG07245', 120767),
(177042, 'PTHR24132:SF23', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED RING DOMAIN PROTEIN 1', 120768),
(177043, 'PTHR46595', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', 120769),
(177044, 'PTHR13803:SF30', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC24-LIKE CEF', 120770),
(177045, 'PTHR32063:SF34', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTC', 120771),
(177046, 'PTHR46554:SF3', NULL, NULL, NULL, NULL, 'OS07G0642600 PROTEIN', 120772),
(177047, 'PTHR22870:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120773),
(177048, 'PTHR24100:SF119', NULL, NULL, NULL, NULL, 'SELECTION AND UPKEEP OF INTRAEPITHELIAL T-CELLS PROTEIN 10-RELATED', 120774),
(177049, 'PTHR24113:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120775),
(177050, 'PTHR46084:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MALE DISCOVERER 2', 120776),
(177051, 'PTHR12473', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 120777),
(177052, 'PTHR31802:SF21', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT1-LIKE', 120778),
(177053, 'PTHR12450:SF22', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SERINE/THREONINE PROTEIN CG31145', 120779),
(177054, 'PTHR23055:SF85', NULL, NULL, NULL, NULL, 'SI:CH211-245J22.3', 120780),
(177055, 'PTHR23147:SF203', NULL, NULL, NULL, NULL, 'OS07G0673500 PROTEIN', 120781),
(177056, 'PTHR33147:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120782),
(177057, 'PTHR16471:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120783),
(177058, 'PTHR47942:SF65', NULL, NULL, NULL, NULL, 'OS04G0618050 PROTEIN', 120784),
(177059, 'PTHR34362', NULL, NULL, NULL, NULL, 'WPP DOMAIN-CONTAINING PROTEIN 1-RELATED', 120785),
(177060, 'PTHR44305:SF14', NULL, NULL, NULL, NULL, 'EG:8D8.5 PROTEIN', 120786),
(177061, 'PTHR48083:SF15', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE APDG', 120787),
(177062, 'PTHR35022:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120788),
(177063, 'PTHR31060:SF33', NULL, NULL, NULL, NULL, 'OS04G0278000 PROTEIN', 120789),
(177064, 'PTHR23330:SF9', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 11', 120790),
(177065, 'PTHR46017', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE 2C1', 120791),
(177066, 'PTHR19324', NULL, NULL, NULL, NULL, 'PERFORIN-LIKE PROTEIN 1', 120792),
(177067, 'PTHR11157:SF123', NULL, NULL, NULL, NULL, 'F25A4.4', 120793),
(177068, 'PTHR15315:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', 120794),
(177069, 'PTHR33021:SF323', NULL, NULL, NULL, NULL, 'BNAA08G12990D PROTEIN', 120795),
(177070, 'PTHR20879:SF1', NULL, NULL, NULL, NULL, 'INTERLEUKIN-27 SUBUNIT ALPHA', 120796),
(177071, 'PTHR42704:SF7', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE LARGE CHAIN', 120797),
(177072, 'PTHR31719:SF160', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29-LIKE', 120798),
(177073, 'PTHR47857:SF1', NULL, NULL, NULL, NULL, 'OS04G0559200 PROTEIN', 120799),
(177074, 'PTHR23147:SF164', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RSZ21A-LIKE ISOFORM X1', 120800),
(177075, 'PTHR22953:SF86', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 10', 120801),
(177076, 'PTHR11005:SF112', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 120802),
(177077, 'PTHR22814:SF301', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 22-LIKE', 120803),
(177078, 'PTHR46080:SF5', NULL, NULL, NULL, NULL, 'OS01G0329400 PROTEIN', 120804),
(177079, 'PTHR31080:SF245', NULL, NULL, NULL, NULL, 'INVERTASE INHIBITOR-RELATED', 120805),
(177080, 'PTHR12231:SF226', NULL, NULL, NULL, NULL, 'DPR-INTERACTING PROTEIN ALPHA, ISOFORM A', 120806),
(177081, 'PTHR24343:SF123', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 21-RELATED', 120807);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(177082, 'PTHR15032:SF33', NULL, NULL, NULL, NULL, 'HYDROLASES OF THE BETA-LACTAMASE FOLD, PUTATIVE-RELATED', 120808),
(177083, 'PTHR31201:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120809),
(177084, 'PTHR23050:SF371', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 4', 120810),
(177085, 'PTHR27004:SF325', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE KINASE FAMILY PROTEIN', 120811),
(177086, 'PTHR24204:SF5', NULL, NULL, NULL, NULL, 'LIM DOMAIN ONLY 4', 120812),
(177087, 'PTHR24412:SF455', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 12', 120813),
(177088, 'PTHR21659:SF77', NULL, NULL, NULL, NULL, 'BNAC04G36850D PROTEIN', 120814),
(177089, 'PTHR12000', NULL, NULL, NULL, NULL, 'HEMOGLOBINASE FAMILY MEMBER', 120815),
(177090, 'PTHR32429:SF19', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 120816),
(177091, 'PTHR33670:SF14', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, PROLINE- AND GLUTAMINE-RICH-LIKE', 120817),
(177092, 'PTHR31637:SF0', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-INDEPENDENT PHOSPHOGLYCERATE MUTASE', 120818),
(177093, 'PTHR11941:SF154', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 1, PEROXISOMAL', 120819),
(177094, 'PTHR16223:SF256', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH133', 120820),
(177095, 'PTHR10681:SF121', NULL, NULL, NULL, NULL, 'ALKYL HYDROPEROXIDE REDUCTASE C', 120821),
(177096, 'PTHR48130', NULL, NULL, NULL, NULL, 'OS12G0467600 PROTEIN', 120822),
(177097, 'PTHR10366:SF575', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-RELATED', 120823),
(177098, 'PTHR11668:SF438', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 120824),
(177099, 'PTHR23105:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120825),
(177100, 'PTHR31064:SF5', NULL, NULL, NULL, NULL, 'POTASSIUM ION TRANSPORTER (EUROFUNG)', 120826),
(177101, 'PTHR43197:SF1', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', 120827),
(177102, 'PTHR43139:SF5', NULL, NULL, NULL, NULL, 'SI:DKEY-122A22.2', 120828),
(177103, 'PTHR47975:SF33', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 120829),
(177104, 'PTHR15241:SF349', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120830),
(177105, 'PTHR33102:SF8', NULL, NULL, NULL, NULL, 'DVL FAMILY PROTEIN', 120831),
(177106, 'PTHR10965:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120832),
(177107, 'PTHR31470:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120833),
(177108, 'PTHR16207', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 120834),
(177109, 'PTHR11334:SF36', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER B4-RELATED', 120835),
(177110, 'PTHR10551:SF32', NULL, NULL, NULL, NULL, 'FASCIN', 120836),
(177111, 'PTHR10252:SF102', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT GAMMA-LIKE ISOFORM X1', 120837),
(177112, 'PTHR33021:SF311', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120838),
(177113, 'PTHR24064:SF71', NULL, NULL, NULL, NULL, 'RH23644P', 120839),
(177114, 'PTHR11802:SF338', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 11-RELATED', 120840),
(177115, 'PTHR39964:SF2', NULL, NULL, NULL, NULL, 'UPF0292 PROTEIN TK1411', 120841),
(177116, 'PTHR11474:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120842),
(177117, 'PTHR46163:SF5', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 120843),
(177118, 'PTHR24271:SF43', NULL, NULL, NULL, NULL, 'GRANZYME C', 120844),
(177119, 'PTHR44981:SF1', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 9', 120845),
(177120, 'PTHR14025:SF30', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE HOMOLOG RECG, CHLOROPLASTIC', 120846),
(177121, 'PTHR48203:SF1', NULL, NULL, NULL, NULL, 'BNAC01G40110D PROTEIN', 120847),
(177122, 'PTHR24067:SF292', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME FAMILY PROTEIN', 120848),
(177123, 'PTHR27006:SF222', NULL, NULL, NULL, NULL, 'REPEAT TRANSMEMBRANE PROTEIN KINASE, PUTATIVE-RELATED', 120849),
(177124, 'PTHR45635:SF30', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1, MITOCHONDRIAL-LIKE', 120850);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(177125, 'PTHR44520', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR RCP1-RELATED', 120851),
(177126, 'PTHR12002:SF56', NULL, NULL, NULL, NULL, 'CLAUDIN-16', 120852),
(177127, 'PTHR12348', NULL, NULL, NULL, NULL, 'TSC22', 120853),
(177128, 'PTHR24068:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120854),
(177129, 'PTHR31676:SF16', NULL, NULL, NULL, NULL, 'OS01G0565800 PROTEIN', 120855),
(177130, 'PTHR31187:SF7', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN', 120856),
(177131, 'PTHR31153:SF19', NULL, NULL, NULL, NULL, 'P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', 120857),
(177132, 'PTHR43968:SF10', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE OMEGA-1', 120858),
(177133, 'PTHR11877:SF49', NULL, NULL, NULL, NULL, 'OS04G0304600 PROTEIN', 120859),
(177134, 'PTHR35357:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120860),
(177135, 'PTHR10353:SF191', NULL, NULL, NULL, NULL, 'INACTIVE BETA-GLUCOSIDASE 14-RELATED', 120861),
(177136, 'PTHR30050:SF10', NULL, NULL, NULL, NULL, 'PHAGE-LIKE ELEMENT PBSX PROTEIN XKDC', 120862),
(177137, 'PTHR13459', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 120863),
(177138, 'PTHR31681:SF72', NULL, NULL, NULL, NULL, 'T25N20.19', 120864),
(177139, 'PTHR34581', NULL, NULL, NULL, NULL, 'PTS SYSTEM N,N''-DIACETYLCHITOBIOSE-SPECIFIC EIIB COMPONENT', 120865),
(177140, 'PTHR45715:SF6', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E-LIKE', 120866),
(177141, 'PTHR13546', NULL, NULL, NULL, NULL, 'RE60986P', 120867),
(177142, 'PTHR24221:SF503', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY B MEMBER 6, MITOCHONDRIAL', 120868),
(177143, 'PTHR35838', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', 120869),
(177144, 'PTHR12905:SF26', NULL, NULL, NULL, NULL, 'BLL0856 PROTEIN', 120870),
(177145, 'PTHR23414:SF3', NULL, NULL, NULL, NULL, 'ADM', 120871),
(177146, 'PTHR31346:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120872),
(177147, 'PTHR23326:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120873),
(177148, 'PTHR24366:SF48', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND FIBRONECTIN TYPE III DOMAIN CONTAINING 2', 120874),
(177149, 'PTHR34153', NULL, NULL, NULL, NULL, 'SI:CH211-262H13.3-RELATED-RELATED', 120875),
(177150, 'PTHR23003:SF30', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 3', 120876),
(177151, 'PTHR11792:SF16', NULL, NULL, NULL, NULL, 'PHOSRESTIN-2', 120877),
(177152, 'PTHR46666:SF6', NULL, NULL, NULL, NULL, 'BNAC08G12080D PROTEIN', 120878),
(177153, 'PTHR31062:SF186', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 120879),
(177154, 'PTHR43278:SF2', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN, PUTATIVE-RELATED', 120880),
(177155, 'PTHR22811:SF72', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA7', 120881),
(177156, 'PTHR23237:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120882),
(177157, 'PTHR34107:SF5', NULL, NULL, NULL, NULL, 'SLL1355 PROTEIN', 120883),
(177158, 'PTHR15451:SF20', NULL, NULL, NULL, NULL, 'ERGOSTEROL BIOSYNTHETIC PROTEIN 28', 120884),
(177159, 'PTHR10856:SF40', NULL, NULL, NULL, NULL, 'CORONIN', 120885),
(177160, 'PTHR31985:SF195', NULL, NULL, NULL, NULL, 'BNACNNG48950D PROTEIN', 120886),
(177161, 'PTHR33108:SF47', NULL, NULL, NULL, NULL, 'OS03G0665700 PROTEIN', 120887),
(177162, 'PTHR46015:SF8', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE S-METHYLTRANSFERASE 2-LIKE ISOFORM X1', 120888),
(177163, 'PTHR11049:SF1', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 11', 120889),
(177164, 'PTHR33168:SF65', NULL, NULL, NULL, NULL, 'OS02G0209400 PROTEIN', 120890),
(177165, 'PTHR11135:SF2', NULL, NULL, NULL, NULL, 'ACETHYLTRANSFERASE, PUTATIVE-RELATED', 120891),
(177166, 'PTHR31651:SF34', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 7 ISOFORM X1', 120892),
(177167, 'PTHR31220:SF10', NULL, NULL, NULL, NULL, 'HYCCIN', 120893),
(177168, 'PTHR10658', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN', 120894),
(177169, 'PTHR10648:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120895),
(177170, 'PTHR26379:SF364', NULL, NULL, NULL, NULL, 'MAB1', 120896);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(177171, 'PTHR33320:SF26', NULL, NULL, NULL, NULL, 'OSJNBA0035M09.6 PROTEIN', 120897),
(177172, 'PTHR19321:SF39', NULL, NULL, NULL, NULL, 'BNAA02G26090D PROTEIN', 120898),
(177173, 'PTHR34821', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YDCZ', 120899),
(177174, 'PTHR48018:SF139', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1442', 120900),
(177175, 'PTHR31077:SF1', NULL, NULL, NULL, NULL, 'U4/U6.U5 SMALL NUCLEAR RIBONUCLEOPROTEIN 27 KDA PROTEIN', 120901),
(177176, 'PTHR24093:SF425', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 120902),
(177177, 'PTHR45707:SF14', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', 120903),
(177178, 'PTHR24256:SF488', NULL, NULL, NULL, NULL, 'TRYPTASE', 120904),
(177179, 'PTHR31916:SF40', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE B-RELATED', 120905),
(177180, 'PTHR12357:SF102', NULL, NULL, NULL, NULL, 'BNAC03G12510D PROTEIN', 120906),
(177181, 'PTHR47911', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', 120907),
(177182, 'PTHR10151:SF111', NULL, NULL, NULL, NULL, 'PROTEIN CBG02074', 120908),
(177183, 'PTHR11259:SF5', NULL, NULL, NULL, NULL, 'RAS-RELATED GTP-BINDING PROTEIN D', 120909),
(177184, 'PTHR43151', NULL, NULL, NULL, NULL, 'FEOA FAMILY PROTEIN', 120910),
(177185, 'PTHR43028:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120911),
(177186, 'PTHR10809:SF129', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN (MSP) DOMAIN, VESICLE-ASSOCIATED MEMBRANE-PROTEIN-ASSOCIATED PROTEIN-RELATED', 120912),
(177187, 'PTHR12542:SF104', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 120913),
(177188, 'PTHR31136:SF3', NULL, NULL, NULL, NULL, 'BNAA07G09270D PROTEIN', 120914),
(177189, 'PTHR38394:SF1', NULL, NULL, NULL, NULL, 'NEUROFILAMENT LIGHT PROTEIN', 120915),
(177190, 'PTHR24031:SF694', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 39-LIKE ISOFORM X1', 120916),
(177191, 'PTHR31662:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120917),
(177192, 'PTHR46008:SF27', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED KINASE-LIKE PROTEIN', 120918),
(177193, 'PTHR36480:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120919),
(177194, 'PTHR12838:SF0', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 11-RELATED', 120920),
(177195, 'PTHR38527:SF4', NULL, NULL, NULL, NULL, 'OS01G0838200 PROTEIN', 120921),
(177196, 'PTHR23322:SF63', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 9', 120922),
(177197, 'PTHR22975:SF28', NULL, NULL, NULL, NULL, 'INACTIVE UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 53-LIKE', 120923),
(177198, 'PTHR12433:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120924),
(177199, 'PTHR11690:SF264', NULL, NULL, NULL, NULL, 'ACID-SENSING ION CHANNEL 1B', 120925),
(177200, 'PTHR31194:SF90', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-11', 120926),
(177201, 'PTHR32133:SF256', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 120927),
(177202, 'PTHR12450', NULL, NULL, NULL, NULL, 'DENTIN MATRIX PROTEIN 4  PROTEIN FAM20', 120928),
(177203, 'PTHR31828:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA', 120929),
(177204, 'PTHR45680:SF10', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 120930),
(177205, 'PTHR40072:SF1', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN-GUANINE DINUCLEOTIDE BIOSYNTHESIS ADAPTER PROTEIN-RELATED', 120931),
(177206, 'PTHR16525', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 120932),
(177207, 'PTHR36726', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 45', 120933),
(177208, 'PTHR31616:SF0', NULL, NULL, NULL, NULL, 'TREHALASE', 120934),
(177209, 'PTHR11200:SF272', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 13', 120935),
(177210, 'PTHR14430', NULL, NULL, NULL, NULL, 'RABIN3-RELATED', 120936),
(177211, 'PTHR43779:SF2', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT XANTHINE DIOXYGENASE XAN1', 120937),
(177212, 'PTHR11003:SF293', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER-RELATED', 120938);
INSERT INTO "PUBLIC"."MODEL" VALUES
(177213, 'PTHR11471:SF13', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA ISOFORM X1', 120939),
(177214, 'PTHR13817:SF55', NULL, NULL, NULL, NULL, 'PROTEIN SIDEKICK-1', 120940),
(177215, 'PTHR46128:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120941),
(177216, 'PTHR24303:SF19', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 513F1-RELATED', 120942),
(177217, 'PTHR31413:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120943),
(177218, 'PTHR23246:SF18', NULL, NULL, NULL, NULL, 'GEO09102P1', 120944),
(177219, 'PTHR31974', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 3', 120945),
(177220, 'PTHR48002:SF49', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4D5', 120946),
(177221, 'PTHR30555', NULL, NULL, NULL, NULL, 'HYDROPEROXIDASE I, BIFUNCTIONAL CATALASE-PEROXIDASE', 120947),
(177222, 'PTHR13817:SF44', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN CONTAINING 3B', 120948),
(177223, 'PTHR24256:SF514', NULL, NULL, NULL, NULL, 'TRYPTASE ALPHA/BETA-1-RELATED', 120949),
(177224, 'PTHR36393:SF1', NULL, NULL, NULL, NULL, 'SULFATE ADENYLYLTRANSFERASE SUBUNIT', 120950),
(177225, 'PTHR31639:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120951),
(177226, 'PTHR13451:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120952),
(177227, 'PTHR13936:SF14', NULL, NULL, NULL, NULL, 'PROFILIN-1', 120953),
(177228, 'PTHR47473:SF1', NULL, NULL, NULL, NULL, 'BTA1P', 120954),
(177229, 'PTHR24418:SF385', NULL, NULL, NULL, NULL, 'TYROSINE KINASE, NON-RECEPTOR, 1', 120955),
(177230, 'PTHR12570:SF14', NULL, NULL, NULL, NULL, 'NIPA-LIKE PROTEIN 3', 120956),
(177231, 'PTHR10984:SF29', NULL, NULL, NULL, NULL, 'SDBCAG84-RELATED PROTEIN-RELATED', 120957),
(177232, 'PTHR14155:SF520', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3-LIKE', 120958),
(177233, 'PTHR11685:SF312', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 120959),
(177234, 'PTHR31734:SF178', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 120960),
(177235, 'PTHR24123:SF75', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY ANKYRIN REPEAT SUBUNIT A', 120961),
(177236, 'PTHR47958:SF60', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE HEL64, PUTATIVE-RELATED', 120962),
(177237, 'PTHR35788:SF1', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 120963),
(177238, 'PTHR31238:SF122', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 8', 120964),
(177239, 'PTHR21077:SF11', NULL, NULL, NULL, NULL, 'BNAA04G12480D PROTEIN', 120965),
(177240, 'PTHR43349:SF1', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE HOMOLOG IRL', 120966),
(177241, 'PTHR36372:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 120967),
(177242, 'PTHR31917:SF58', NULL, NULL, NULL, NULL, 'AGENET AND BROMO-ADJACENT HOMOLOGY (BAH) DOMAIN-CONTAINING PROTEIN', 120968),
(177243, 'PTHR22903:SF4', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY H MEMBER 1', 120969),
(177244, 'PTHR31826', NULL, NULL, NULL, NULL, 'NICALIN', 120970),
(177245, 'PTHR47128:SF2', NULL, NULL, NULL, NULL, 'OS08G0553800 PROTEIN', 120971),
(177246, 'PTHR47966:SF17', NULL, NULL, NULL, NULL, 'ZGC:63831', 120972),
(177247, 'PTHR24343:SF435', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 17', 120973),
(177248, 'PTHR23339:SF109', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 120974),
(177249, 'PTHR31207:SF27', NULL, NULL, NULL, NULL, 'BNAA05G27070D PROTEIN', 120975),
(177250, 'PTHR22738:SF15', NULL, NULL, NULL, NULL, 'LD40758P', 120976),
(177251, 'PTHR33065:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120977),
(177252, 'PTHR13778:SF62', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 120978),
(177253, 'PTHR43874:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120979),
(177254, 'PTHR11926:SF1409', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 120980),
(177255, 'PTHR21136:SF187', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 726 ISOFORM X1-RELATED', 120981),
(177256, 'PTHR46851:SF11', NULL, NULL, NULL, NULL, 'OS01G0884500 PROTEIN', 120982),
(177257, 'PTHR11472:SF63', NULL, NULL, NULL, NULL, 'HELICASE C2', 120983);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(177258, 'PTHR14791:SF44', NULL, NULL, NULL, NULL, 'BNACNNG56470D PROTEIN', 120984),
(177259, 'PTHR14379:SF35', NULL, NULL, NULL, NULL, 'BNAA03G46680D PROTEIN', 120985),
(177260, 'PTHR47116:SF14', NULL, NULL, NULL, NULL, 'OS02G0278600 PROTEIN', 120986),
(177261, 'PTHR34237:SF1', NULL, NULL, NULL, NULL, 'PAREP8', 120987),
(177262, 'PTHR31851:SF64', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN FAMILY', 120988),
(177263, 'PTHR16083:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120989),
(177264, 'PTHR46501:SF2', NULL, NULL, NULL, NULL, 'MYOMEGALIN', 120990),
(177265, 'PTHR47912', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 4, CHLOROPLASTIC', 120991),
(177266, 'PTHR34193:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120992),
(177267, 'PTHR27007:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120993),
(177268, 'PTHR11351:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 120994),
(177269, 'PTHR24543:SF291', NULL, NULL, NULL, NULL, 'LACTADHERIN', 120995),
(177270, 'PTHR35011:SF2', NULL, NULL, NULL, NULL, '2,3-DIKETO-L-GULONATE TRAP TRANSPORTER SMALL PERMEASE PROTEIN YIAM', 120996),
(177271, 'PTHR45623:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CHROMATIN REMODELING 4-LIKE', 120997),
(177272, 'PTHR10218:SF217', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT ALPHA-15', 120998),
(177273, 'PTHR11461:SF203', NULL, NULL, NULL, NULL, 'SERPIN-Z12-RELATED', 120999),
(177274, 'PTHR31080:SF212', NULL, NULL, NULL, NULL, 'KDA PROTEIN, PUTATIVE-RELATED', 121000),
(177275, 'PTHR11711:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121001),
(177276, 'PTHR33696', NULL, NULL, NULL, NULL, 'T22J18.15-RELATED', 121002),
(177277, 'PTHR31374:SF113', NULL, NULL, NULL, NULL, 'SMALL AUXIN UP RNA1', 121003),
(177278, 'PTHR45834:SF3', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 3, ISOFORM L', 121004),
(177279, 'PTHR33401:SF20', NULL, NULL, NULL, NULL, 'NUCLEAR POLYADENYLATED RNA-BINDING PROTEIN', 121005),
(177280, 'PTHR33490', NULL, NULL, NULL, NULL, 'BLR5614 PROTEIN-RELATED', 121006),
(177281, 'PTHR21964:SF20', NULL, NULL, NULL, NULL, 'BRMS1-LIKE TRANSCRIPTIONAL REPRESSOR B-RELATED', 121007),
(177282, 'PTHR46741:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121008),
(177283, 'PTHR26379:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121009),
(177284, 'PTHR33285:SF1', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 3', 121010),
(177285, 'PTHR38926:SF13', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 121011),
(177286, 'PTHR45680:SF9', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 121012),
(177287, 'PTHR23503:SF50', NULL, NULL, NULL, NULL, 'PROTEIN CBG08372', 121013),
(177288, 'PTHR46026:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121014),
(177289, 'PTHR31662:SF75', NULL, NULL, NULL, NULL, 'STOREKEEPER PROTEIN-LIKE', 121015),
(177290, 'PTHR23257:SF755', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE', 121016),
(177291, 'PTHR33044:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121017),
(177292, 'PTHR33872:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121018),
(177293, 'PTHR12015:SF82', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 3', 121019),
(177294, 'PTHR31109', NULL, NULL, NULL, NULL, 'PROTEIN FAM207A', 121020),
(177295, 'PTHR23201:SF58', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 7', 121021),
(177296, 'PTHR46792:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 80', 121022),
(177297, 'PTHR33057:SF130', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP15', 121023),
(177298, 'PTHR37760:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE', 121024),
(177299, 'PTHR31963:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121025),
(177300, 'PTHR11616:SF67', NULL, NULL, NULL, NULL, 'TRANSPORTER', 121026),
(177301, 'PTHR46824:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML48-RELATED', 121027),
(177302, 'PTHR24418:SF181', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE BLK', 121028),
(177303, 'PTHR35275:SF2', NULL, NULL, NULL, NULL, 'OS07G0585900 PROTEIN', 121029);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(177304, 'PTHR21229:SF56', NULL, NULL, NULL, NULL, 'LUNG SEVEN TRANSMEMBRANE RECEPTOR FAMILY PROTEIN', 121030),
(177305, 'PTHR23327', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 127', 121031),
(177306, 'PTHR46910:SF17', NULL, NULL, NULL, NULL, 'FUNGAL SPECIFIC TRANSCRIPTION FACTOR', 121032),
(177307, 'PTHR27005:SF377', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121033),
(177308, 'PTHR33453:SF8', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 121034),
(177309, 'PTHR37069:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121035),
(177310, 'PTHR11566:SF188', NULL, NULL, NULL, NULL, 'DYNAMIN CENTRAL DOMAIN-CONTAINING PROTEIN-RELATED', 121036),
(177311, 'PTHR22835:SF549', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 121037),
(177312, 'PTHR12092:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121038),
(177313, 'PTHR11824:SF7', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT BETA-4', 121039),
(177314, 'PTHR23262:SF71', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-5', 121040),
(177315, 'PTHR24339:SF25', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN EMX2', 121041),
(177316, 'PTHR43439:SF2', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (JCVI)-RELATED', 121042),
(177317, 'PTHR22930:SF206', NULL, NULL, NULL, NULL, 'SI:DKEY-197C15.6-RELATED', 121043),
(177318, 'PTHR47941:SF3', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 121044),
(177319, 'PTHR33052:SF119', NULL, NULL, NULL, NULL, 'OS05G0165200 PROTEIN', 121045),
(177320, 'PTHR11346:SF104', NULL, NULL, NULL, NULL, 'GALECTIN-2', 121046),
(177321, 'PTHR21879:SF7', NULL, NULL, NULL, NULL, 'OSIRIS 11', 121047),
(177322, 'PTHR44337:SF14', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 5', 121048),
(177323, 'PTHR22811:SF178', NULL, NULL, NULL, NULL, 'BNAC05G29650D PROTEIN', 121049),
(177324, 'PTHR23056:SF118', NULL, NULL, NULL, NULL, 'BNAC07G34450D PROTEIN', 121050),
(177325, 'PTHR39608:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G08640)', 121051),
(177326, 'PTHR42861:SF85', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 3', 121052),
(177327, 'PTHR31346:SF4', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 8, CHLOROPLASTIC/MITOCHONDRIAL', 121053),
(177328, 'PTHR45959:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18', 121054),
(177329, 'PTHR31044:SF107', NULL, NULL, NULL, NULL, 'BNAA09G05600D PROTEIN', 121055),
(177330, 'PTHR13234:SF45', NULL, NULL, NULL, NULL, 'SI:DKEY-197I20.6', 121056),
(177331, 'PTHR12357:SF106', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 45', 121057),
(177332, 'PTHR24015:SF1856', NULL, NULL, NULL, NULL, 'OS05G0455900 PROTEIN', 121058),
(177333, 'PTHR45647:SF77', NULL, NULL, NULL, NULL, 'BNAC04G12140D PROTEIN', 121059),
(177334, 'PTHR11157:SF26', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 121060),
(177335, 'PTHR11267:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121061),
(177336, 'PTHR38886', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 121062),
(177337, 'PTHR47999:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB113-RELATED', 121063),
(177338, 'PTHR47369', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 121064),
(177339, 'PTHR36326:SF7', NULL, NULL, NULL, NULL, 'PROTEIN POLLENLESS 3-LIKE 2', 121065),
(177340, 'PTHR31676:SF73', NULL, NULL, NULL, NULL, 'SIMILARITY TO UNKNOWN PROTEIN', 121066),
(177341, 'PTHR27002:SF595', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-6-RELATED', 121067),
(177342, 'PTHR10168:SF275', NULL, NULL, NULL, NULL, 'BNAA10G27940D PROTEIN', 121068),
(177343, 'PTHR11588:SF339', NULL, NULL, NULL, NULL, 'TUBULIN BETA-7 CHAIN', 121069),
(177344, 'PTHR23334:SF52', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 23-LIKE', 121070),
(177345, 'PTHR18953:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121071),
(177346, 'PTHR19328:SF54', NULL, NULL, NULL, NULL, 'HHIP-LIKE PROTEIN 2', 121072),
(177347, 'PTHR45616:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121073);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(177348, 'PTHR30482:SF4', NULL, NULL, NULL, NULL, 'SLR1201 PROTEIN', 121074),
(177349, 'PTHR37994:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121075),
(177350, 'PTHR11003:SF93', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBUNIT N2P16', 121076),
(177351, 'PTHR22937:SF135', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR2-LIKE', 121077),
(177352, 'PTHR13280:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOFURIN ACIDIC CLUSTER SORTING PROTEIN 2', 121078),
(177353, 'PTHR37482:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN ASSEMBLY FACTOR BAME', 121079),
(177354, 'PTHR33207:SF28', NULL, NULL, NULL, NULL, 'OS02G0199600 PROTEIN', 121080),
(177355, 'PTHR37816:SF2', NULL, NULL, NULL, NULL, 'YALI0E33011P', 121081),
(177356, 'PTHR24099:SF25', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 46B', 121082),
(177357, 'PTHR44137:SF44', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', 121083),
(177358, 'PTHR26451:SF887', NULL, NULL, NULL, NULL, 'SI:DKEYP-3F10.17', 121084),
(177359, 'PTHR10822:SF33', NULL, NULL, NULL, NULL, 'LONG', 121085),
(177360, 'PTHR31707:SF280', NULL, NULL, NULL, NULL, 'PECTINESTERASE 3-LIKE', 121086),
(177361, 'PTHR31022:SF6', NULL, NULL, NULL, NULL, 'CENTRIOLE, CILIA AND SPINDLE-ASSOCIATED PROTEIN A', 121087),
(177362, 'PTHR46010', NULL, NULL, NULL, NULL, 'PROTEIN IWS1 HOMOLOG', 121088),
(177363, 'PTHR12365:SF9', NULL, NULL, NULL, NULL, 'PROTEIN SPROUTY HOMOLOG 3', 121089),
(177364, 'PTHR45974:SF97', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 121090),
(177365, 'PTHR31769:SF6', NULL, NULL, NULL, NULL, 'PROTEIN MODIFYING WALL LIGNIN-1', 121091),
(177366, 'PTHR13690:SF133', NULL, NULL, NULL, NULL, 'BNAA08G28440D PROTEIN', 121092),
(177367, 'PTHR31048:SF142', NULL, NULL, NULL, NULL, 'OSMOTIN-LIKE PROTEIN OSML81', 121093),
(177368, 'PTHR31790:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121094),
(177369, 'PTHR42893:SF21', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 121095),
(177370, 'PTHR12411:SF701', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE XCP1', 121096),
(177371, 'PTHR22781:SF12', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT DELTA-1', 121097),
(177372, 'PTHR35202:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121098),
(177373, 'PTHR31422:SF28', NULL, NULL, NULL, NULL, 'F26K24.14 PROTEIN', 121099),
(177374, 'PTHR10544:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28-1-LIKE', 121100),
(177375, 'PTHR19375:SF464', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 2-LIKE', 121101),
(177376, 'PTHR14076:SF3', NULL, NULL, NULL, NULL, 'RECEPTOR ACTIVITY-MODIFYING PROTEIN 1', 121102),
(177377, 'PTHR46084:SF22', NULL, NULL, NULL, NULL, 'OS05G0560300 PROTEIN', 121103),
(177378, 'PTHR31293:SF18', NULL, NULL, NULL, NULL, 'RNI-LIKE SUPERFAMILY PROTEIN', 121104),
(177379, 'PTHR10795:SF719', NULL, NULL, NULL, NULL, 'PEPTIDASE S8, SUBTILISIN-RELATED PROTEIN-RELATED', 121105),
(177380, 'PTHR35746:SF3', NULL, NULL, NULL, NULL, 'BNAC03G76040D PROTEIN', 121106),
(177381, 'PTHR18945:SF831', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-3', 121107),
(177382, 'PTHR48012:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0283821-RELATED', 121108),
(177383, 'PTHR33122:SF50', NULL, NULL, NULL, NULL, 'PVR3-LIKE PROTEIN', 121109),
(177384, 'PTHR11576:SF18', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA GLYCOPROTEIN 3C-RELATED', 121110),
(177385, 'PTHR36884:SF4', NULL, NULL, NULL, NULL, 'FIP1[III]-LIKE PROTEIN', 121111),
(177386, 'PTHR47007:SF1', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 4', 121112),
(177387, 'PTHR11937:SF13', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 8', 121113),
(177388, 'PTHR31139:SF5', NULL, NULL, NULL, NULL, 'PROTEIN LIMB EXPRESSION 1 HOMOLOG', 121114),
(177389, 'PTHR11005:SF15', NULL, NULL, NULL, NULL, 'GASTRIC TRIACYLGLYCEROL LIPASE', 121115),
(177390, 'PTHR45770:SF21', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 121116),
(177391, 'PTHR11157:SF119', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 121117);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(177392, 'PTHR43447:SF36', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE ISOZYME 3D', 121118),
(177393, 'PTHR31966:SF13', NULL, NULL, NULL, NULL, 'OS03G0375000 PROTEIN', 121119),
(177394, 'PTHR11802:SF132', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 40', 121120),
(177395, 'PTHR12560:SF52', NULL, NULL, NULL, NULL, 'ASC1-LIKE PROTEIN ISOFORM X1', 121121),
(177396, 'PTHR10024:SF351', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121122),
(177397, 'PTHR11017:SF280', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 121123),
(177398, 'PTHR20858', NULL, NULL, NULL, NULL, 'PHOSPHOMETHYLPYRIMIDINE KINASE', 121124),
(177399, 'PTHR23510:SF65', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING MEMBRANE PROTEIN OS04G0573000', 121125),
(177400, 'PTHR10606:SF39', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE/FRUCTOSE-2,6-BISPHOSPHATASE YLR345W-RELATED', 121126),
(177401, 'PTHR31790:SF312', NULL, NULL, NULL, NULL, 'F-BOX AND ASSOCIATED INTERACTION DOMAINS-CONTAINING PROTEIN-RELATED', 121127),
(177402, 'PTHR11636:SF83', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 3, TRANSCRIPTION FACTOR 4', 121128),
(177403, 'PTHR24092', NULL, NULL, NULL, NULL, 'PROBABLE PHOSPHOLIPID-TRANSPORTING ATPASE', 121129),
(177404, 'PTHR31677:SF137', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 5-LIKE', 121130),
(177405, 'PTHR12002:SF76', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED MULTIPASS TRANSMEMBRANE PROTEIN 3', 121131),
(177406, 'PTHR33976:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121132),
(177407, 'PTHR34277:SF18', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 25', 121133),
(177408, 'PTHR31923:SF10', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', 121134),
(177409, 'PTHR48175', NULL, NULL, NULL, NULL, 'OS04G0581700 PROTEIN', 121135),
(177410, 'PTHR32212:SF313', NULL, NULL, NULL, NULL, 'BNAC02G12140D PROTEIN', 121136),
(177411, 'PTHR46301:SF44', NULL, NULL, NULL, NULL, 'BNAC06G02950D PROTEIN', 121137),
(177412, 'PTHR42031:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121138),
(177413, 'PTHR33872:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121139),
(177414, 'PTHR10159:SF519', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY PROTEIN PHOSPHATASE SDP1-RELATED', 121140),
(177415, 'PTHR10430:SF16', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-5, MITOCHONDRIAL', 121141),
(177416, 'PTHR47094:SF14', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE/ZINC ION BINDING PROTEIN', 121142),
(177417, 'PTHR47990:SF10', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE', 121143),
(177418, 'PTHR35117:SF4', NULL, NULL, NULL, NULL, 'MYOSIN-M HEAVY PROTEIN', 121144),
(177419, 'PTHR31739:SF22', NULL, NULL, NULL, NULL, 'SYN-PIMARA-7,15-DIENE SYNTHASE', 121145),
(177420, 'PTHR11926:SF1404', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 121146),
(177421, 'PTHR10571:SF1', NULL, NULL, NULL, NULL, 'BNAC04G24510D PROTEIN', 121147),
(177422, 'PTHR23147:SF17', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 2', 121148),
(177423, 'PTHR11260:SF570', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121149),
(177424, 'PTHR22765:SF282', NULL, NULL, NULL, NULL, 'FI17865P1', 121150),
(177425, 'PTHR44329:SF65', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY8-LIKE', 121151),
(177426, 'PTHR34564', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE G', 121152),
(177427, 'PTHR12900:SF6', NULL, NULL, NULL, NULL, 'PROTEIN LTO1 HOMOLOG', 121153),
(177428, 'PTHR10642:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121154),
(177429, 'PTHR11616:SF102', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT NEUTRAL AMINO ACID TRANSPORTER SLC6A17', 121155),
(177430, 'PTHR10177:SF425', NULL, NULL, NULL, NULL, 'CYCLIN-J18', 121156),
(177431, 'PTHR10682:SF10', NULL, NULL, NULL, NULL, 'HIIRAGI, ISOFORM D', 121157),
(177432, 'PTHR31851:SF61', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER-LIKE PROTEIN 3', 121158),
(177433, 'PTHR43202', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE PYROPHOSPHORYLASE', 121159),
(177434, 'PTHR11746:SF220', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE 1-LIKE', 121160);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(177435, 'PTHR43572:SF49', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 8', 121161),
(177436, 'PTHR11206:SF311', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 52', 121162),
(177437, 'PTHR24115:SF361', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF1A', 121163),
(177438, 'PTHR10454:SF224', NULL, NULL, NULL, NULL, 'PYD AND CARD DOMAIN CONTAINING', 121164),
(177439, 'PTHR33052:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121165),
(177440, 'PTHR46058', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 1', 121166),
(177441, 'PTHR12276:SF103', NULL, NULL, NULL, NULL, 'ZGC:194578', 121167),
(177442, 'PTHR31867:SF171', NULL, NULL, NULL, NULL, 'EXPANSIN', 121168),
(177443, 'PTHR48047:SF60', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 121169),
(177444, 'PTHR24567:SF65', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN CYSR HOMOLOG', 121170),
(177445, 'PTHR13935:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121171),
(177446, 'PTHR24062:SF38', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 121172),
(177447, 'PTHR23239:SF32', NULL, NULL, NULL, NULL, 'PHAKININ', 121173),
(177448, 'PTHR31669:SF234', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 4-LIKE', 121174),
(177449, 'PTHR24300:SF147', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 121175),
(177450, 'PTHR12039:SF4', NULL, NULL, NULL, NULL, 'NICOTINAMIDE-NUCLEOTIDE ADENYLYLTRANSFERASE', 121176),
(177451, 'PTHR24068:SF33', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2Q FAMILY MEMBER 1-RELATED', 121177),
(177452, 'PTHR15592:SF11', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 20', 121178),
(177453, 'PTHR24208:SF170', NULL, NULL, NULL, NULL, 'MECHANOSENSORY PROTEIN 3', 121179),
(177454, 'PTHR11002:SF68', NULL, NULL, NULL, NULL, 'BETA CARBONIC ANHYDRASE 6, MITOCHONDRIAL', 121180),
(177455, 'PTHR24343:SF378', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 121181),
(177456, 'PTHR12271:SF40', NULL, NULL, NULL, NULL, 'SPECKLE TARGETED PIP5K1A-REGULATED POLY(A) POLYMERASE', 121182),
(177457, 'PTHR46929:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121183),
(177458, 'PTHR24376:SF88', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 267', 121184),
(177459, 'PTHR24150', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND MYND DOMAIN-CONTAINING PROTEIN 2', 121185),
(177460, 'PTHR31375:SF245', NULL, NULL, NULL, NULL, 'OS01G0172900 PROTEIN', 121186),
(177461, 'PTHR11640:SF119', NULL, NULL, NULL, NULL, 'IRREGULAR CHIASM C-ROUGHEST PROTEIN-RELATED', 121187),
(177462, 'PTHR16926:SF1', NULL, NULL, NULL, NULL, 'INTERLEUKIN-9', 121188),
(177463, 'PTHR31793:SF24', NULL, NULL, NULL, NULL, 'NOVEL THIOESTERASE SUPERFAMILY DOMAIN AND SAPOSIN A-TYPE DOMAIN CONTAINING PROTEIN (0610012H03RIK)', 121189),
(177464, 'PTHR10288', NULL, NULL, NULL, NULL, 'KH DOMAIN CONTAINING RNA BINDING PROTEIN', 121190),
(177465, 'PTHR24089:SF715', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121191),
(177466, 'PTHR48177', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 189', 121192),
(177467, 'PTHR31776:SF0', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE 1', 121193),
(177468, 'PTHR46221:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE KINASE 2AA', 121194),
(177469, 'PTHR36496:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121195),
(177470, 'PTHR31089:SF29', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 3', 121196),
(177471, 'PTHR43791:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121197),
(177472, 'PTHR23280:SF36', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING 5', 121198),
(177473, 'PTHR21077', NULL, NULL, NULL, NULL, 'EME1 PROTEIN', 121199),
(177474, 'PTHR26453:SF128', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 121200),
(177475, 'PTHR11771:SF100', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE B', 121201),
(177476, 'PTHR15204', NULL, NULL, NULL, NULL, 'LARGE PROLINE-RICH PROTEIN BAG6', 121202),
(177477, 'PTHR19957:SF267', NULL, NULL, NULL, NULL, 'SYNTAXIN-22-LIKE', 121203),
(177478, 'PTHR21391:SF0', NULL, NULL, NULL, NULL, 'AT04489P-RELATED', 121204),
(177479, 'PTHR15952:SF11', NULL, NULL, NULL, NULL, 'EXPORTIN-T', 121205);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(177480, 'PTHR31213:SF118', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL9-LIKE PROTEIN', 121206),
(177481, 'PTHR11969:SF57', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH70', 121207),
(177482, 'PTHR12682:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121208),
(177483, 'PTHR23515:SF4', NULL, NULL, NULL, NULL, 'NITRATE TRANSPORTER', 121209),
(177484, 'PTHR47747:SF2', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P38-LIKE PROTEIN', 121210),
(177485, 'PTHR33659:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121211),
(177486, 'PTHR11709:SF326', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121212),
(177487, 'PTHR46887', NULL, NULL, NULL, NULL, 'TANDEM C2 DOMAINS NUCLEAR PROTEIN', 121213),
(177488, 'PTHR22443:SF16', NULL, NULL, NULL, NULL, 'KAT8 REGULATORY NSL COMPLEX SUBUNIT 1-LIKE PROTEIN', 121214),
(177489, 'PTHR30181', NULL, NULL, NULL, NULL, 'MANNITOL PERMEASE IIC COMPONENT', 121215),
(177490, 'PTHR33782:SF22', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 121216),
(177491, 'PTHR45746:SF3', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 11', 121217),
(177492, 'PTHR31625:SF36', NULL, NULL, NULL, NULL, 'AGMATINE COUMAROYLTRANSFERASE-RELATED', 121218),
(177493, 'PTHR43696', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 157', 121219),
(177494, 'PTHR14132:SF14', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR 5', 121220),
(177495, 'PTHR22943:SF67', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 121221),
(177496, 'PTHR12550:SF18', NULL, NULL, NULL, NULL, 'HEPATOMA-DERIVED GROWTH FACTOR-RELATED PROTEIN 2', 121222),
(177497, 'PTHR31339:SF5', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', 121223),
(177498, 'PTHR31981', NULL, NULL, NULL, NULL, 'GLYCOSYLATED LYSOSOMAL MEMBRANE PROTEIN', 121224),
(177499, 'PTHR28076', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 71', 121225),
(177500, 'PTHR35558', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 121226),
(177501, 'PTHR46631:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE PROTEIN', 121227),
(177502, 'PTHR36739', NULL, NULL, NULL, NULL, 'D-TAGATOSE-1,6-BISPHOSPHATE ALDOLASE SUBUNIT', 121228),
(177503, 'PTHR32191:SF63', NULL, NULL, NULL, NULL, 'TETRASPANIN/PERIPHERIN-RELATED', 121229),
(177504, 'PTHR33494:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121230),
(177505, 'PTHR11527:SF319', NULL, NULL, NULL, NULL, '17.8 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', 121231),
(177506, 'PTHR37880', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 54', 121232),
(177507, 'PTHR19960:SF27', NULL, NULL, NULL, NULL, 'TEKTIN-1', 121233),
(177508, 'PTHR43633:SF1', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE YQHD', 121234),
(177509, 'PTHR33779:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121235),
(177510, 'PTHR46387:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121236),
(177511, 'PTHR11588:SF62', NULL, NULL, NULL, NULL, 'TUBULIN GAMMA-1 CHAIN', 121237),
(177512, 'PTHR45669:SF25', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN (GRX) FAMILY PROTEIN', 121238),
(177513, 'PTHR35110:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 121239),
(177514, 'PTHR13546:SF12', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 85B', 121240),
(177515, 'PTHR11620:SF52', NULL, NULL, NULL, NULL, 'GENE 6096-RELATED', 121241),
(177516, 'PTHR24028:SF264', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 1 GAMMA 32', 121242),
(177517, 'PTHR11064:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121243),
(177518, 'PTHR23272:SF123', NULL, NULL, NULL, NULL, 'AC9 TRANSPOSASE-RELATED', 121244),
(177519, 'PTHR31282:SF19', NULL, NULL, NULL, NULL, 'OS07G0680400 PROTEIN', 121245),
(177520, 'PTHR31549:SF120', NULL, NULL, NULL, NULL, 'UPF0481 PROTEIN-RELATED', 121246),
(177521, 'PTHR47988:SF38', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE 4-RELATED', 121247),
(177522, 'PTHR10742:SF235', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 121248),
(177523, 'PTHR31221:SF139', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 50-RELATED', 121249),
(177524, 'PTHR10381:SF60', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', 121250);
INSERT INTO "PUBLIC"."MODEL" VALUES
(177525, 'PTHR33279:SF15', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN YRKF-RELATED', 121251),
(177526, 'PTHR30371:SF7', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATC, CHLOROPLASTIC-LIKE', 121252),
(177527, 'PTHR48044:SF33', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 121253),
(177528, 'PTHR31233:SF7', NULL, NULL, NULL, NULL, 'PROTEIN BICAUDAL D HOMOLOG 2', 121254),
(177529, 'PTHR48010:SF29', NULL, NULL, NULL, NULL, 'BNACNNG22430D PROTEIN', 121255),
(177530, 'PTHR23050:SF403', NULL, NULL, NULL, NULL, 'CALMODULIN-2', 121256),
(177531, 'PTHR33480:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-51D8.9', 121257),
(177532, 'PTHR40626:SF26', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 121258),
(177533, 'PTHR12442:SF40', NULL, NULL, NULL, NULL, 'INTERMEDIATE CHAIN, PUTATIVE-RELATED', 121259),
(177534, 'PTHR35687:SF4', NULL, NULL, NULL, NULL, 'BNAC03G29990D PROTEIN', 121260),
(177535, 'PTHR31279:SF65', NULL, NULL, NULL, NULL, 'OS08G0485000 PROTEIN', 121261),
(177536, 'PTHR23500:SF550', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 2', 121262),
(177537, 'PTHR45863:SF9', NULL, NULL, NULL, NULL, 'OS03G0825300 PROTEIN', 121263),
(177538, 'PTHR19282:SF368', NULL, NULL, NULL, NULL, 'TETRASPANIN FAMILY', 121264),
(177539, 'PTHR32285:SF71', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 39', 121265),
(177540, 'PTHR36128:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 117', 121266),
(177541, 'PTHR32191:SF58', NULL, NULL, NULL, NULL, 'TETRASPANIN-8-LIKE', 121267),
(177542, 'PTHR38815', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED, DUF373 FAMILY', 121268),
(177543, 'PTHR46400:SF11', NULL, NULL, NULL, NULL, 'OS04G0571200 PROTEIN', 121269),
(177544, 'PTHR43079', NULL, NULL, NULL, NULL, 'PROBABLE CADMIUM/ZINC-TRANSPORTING ATPASE HMA1', 121270),
(177545, 'PTHR35512:SF1', NULL, NULL, NULL, NULL, 'OS11G0550900 PROTEIN', 121271),
(177546, 'PTHR23403', NULL, NULL, NULL, NULL, 'TREHALASE', 121272),
(177547, 'PTHR48077:SF8', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE BETA CHAIN 1, CHLOROPLASTIC-RELATED', 121273),
(177548, 'PTHR21562:SF44', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 121274),
(177549, 'PTHR38522:SF5', NULL, NULL, NULL, NULL, 'DREPP FAMILY-RELATED', 121275),
(177550, 'PTHR10417', NULL, NULL, NULL, NULL, 'GLUCOCORTICOID MODULATORY ELEMENT-BINDING PROTEIN', 121276),
(177551, 'PTHR45647:SF98', NULL, NULL, NULL, NULL, 'BNAA09G05690D PROTEIN', 121277),
(177552, 'PTHR47957:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121278),
(177553, 'PTHR18966:SF456', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 121279),
(177554, 'PTHR15887', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 69', 121280),
(177555, 'PTHR31471:SF72', NULL, NULL, NULL, NULL, 'BNAA03G53760D PROTEIN', 121281),
(177556, 'PTHR47076:SF9', NULL, NULL, NULL, NULL, 'BNAA06G16930D PROTEIN', 121282),
(177557, 'PTHR31080:SF112', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', 121283),
(177558, 'PTHR45821:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121284),
(177559, 'PTHR31089:SF39', NULL, NULL, NULL, NULL, 'BNAA07G02590D PROTEIN', 121285),
(177560, 'PTHR23111:SF28', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 13D', 121286),
(177561, 'PTHR10168:SF238', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S1', 121287),
(177562, 'PTHR11566:SF199', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED GTP-BINDING PROTEIN MXC-RELATED', 121288),
(177563, 'PTHR24255:SF24', NULL, NULL, NULL, NULL, 'DISCOIDIN, CUB AND LCCL DOMAIN-CONTAINING PROTEIN 1', 121289),
(177564, 'PTHR35697:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 3', 121290),
(177565, 'PTHR23226', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING', 121291),
(177566, 'PTHR46740:SF4', NULL, NULL, NULL, NULL, 'OS12G0623300 PROTEIN', 121292),
(177567, 'PTHR48004:SF34', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 121293),
(177568, 'PTHR46145:SF4', NULL, NULL, NULL, NULL, 'HEPARANASE-LIKE PROTEIN', 121294);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(177569, 'PTHR45857:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121295),
(177570, 'PTHR12942:SF4', NULL, NULL, NULL, NULL, 'BNAA01G23920D PROTEIN', 121296),
(177571, 'PTHR31594:SF15', NULL, NULL, NULL, NULL, 'SI:DKEY-79I2.4', 121297),
(177572, 'PTHR24347:SF373', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE 2, SKELETAL/CARDIAC MUSCLE', 121298),
(177573, 'PTHR45820', NULL, NULL, NULL, NULL, 'FI23527P1', 121299),
(177574, 'PTHR12366', NULL, NULL, NULL, NULL, 'ASPARTYL/ASPARAGINYL BETA-HYDROXYLASE', 121300),
(177575, 'PTHR11743:SF13', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL PROTEIN 1', 121301),
(177576, 'PTHR45637:SF50', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL2-LIKE', 121302),
(177577, 'PTHR31677:SF106', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR 4', 121303),
(177578, 'PTHR11011:SF86', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 121304),
(177579, 'PTHR46336:SF23', NULL, NULL, NULL, NULL, 'OS06G0507400 PROTEIN', 121305),
(177580, 'PTHR43019:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121306),
(177581, 'PTHR31696:SF57', NULL, NULL, NULL, NULL, 'OS05G0577100 PROTEIN', 121307),
(177582, 'PTHR11009:SF27', NULL, NULL, NULL, NULL, 'DERLIN', 121308),
(177583, 'PTHR44170:SF11', NULL, NULL, NULL, NULL, 'ROUNDABOUT HOMOLOG 4', 121309),
(177584, 'PTHR33697:SF3', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', 121310),
(177585, 'PTHR33168:SF62', NULL, NULL, NULL, NULL, 'OS02G0665250 PROTEIN', 121311),
(177586, 'PTHR46060:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121312),
(177587, 'PTHR31734:SF195', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 121313),
(177588, 'PTHR12363:SF47', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD', 121314),
(177589, 'PTHR10102:SF7', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', 121315),
(177590, 'PTHR47972:SF8', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14C', 121316),
(177591, 'PTHR45751:SF22', NULL, NULL, NULL, NULL, 'BNACNNG23610D PROTEIN', 121317),
(177592, 'PTHR33184:SF55', NULL, NULL, NULL, NULL, 'BNAA02G24080D PROTEIN', 121318),
(177593, 'PTHR35826', NULL, NULL, NULL, NULL, 'PROTEIN ATP6V1FNB-LIKE', 121319),
(177594, 'PTHR43050', NULL, NULL, NULL, NULL, 'SERINE / THREONINE RACEMASE FAMILY MEMBER', 121320),
(177595, 'PTHR37886', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 121321),
(177596, 'PTHR31541:SF43', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 121322),
(177597, 'PTHR31246:SF18', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-1-LIKE', 121323),
(177598, 'PTHR46600:SF4', NULL, NULL, NULL, NULL, 'ZGC:163143', 121324),
(177599, 'PTHR24366:SF57', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT, IG-LIKE AND TRANSMEMBRANE DOMAINS 3', 121325),
(177600, 'PTHR11576:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121326),
(177601, 'PTHR23056:SF44', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 1', 121327),
(177602, 'PTHR46132', NULL, NULL, NULL, NULL, 'DIGALACTOSYLDIACYLGLYCEROL SYNTHASE 2, CHLOROPLASTIC', 121328),
(177603, 'PTHR11802:SF323', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 121329),
(177604, 'PTHR47158:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121330),
(177605, 'PTHR11571', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 121331),
(177606, 'PTHR24413:SF213', NULL, NULL, NULL, NULL, 'FI01029P-RELATED', 121332),
(177607, 'PTHR32358:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL AND IMMUNE RESPONSE REGULATOR', 121333),
(177608, 'PTHR32002:SF44', NULL, NULL, NULL, NULL, 'PROTEIN NLP4', 121334),
(177609, 'PTHR10027:SF39', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, SUBFAMILY T, MEMBER 1', 121335),
(177610, 'PTHR31851:SF47', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN OF ER BODY-LIKE PROTEIN', 121336),
(177611, 'PTHR32116:SF20', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-RELATED', 121337),
(177612, 'PTHR43019:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121338),
(177613, 'PTHR23266:SF276', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-72', 121339);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(177614, 'PTHR23257:SF826', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0276181-RELATED', 121340),
(177615, 'PTHR32077:SF42', NULL, NULL, NULL, NULL, 'OS02G0308800 PROTEIN', 121341),
(177616, 'PTHR11986:SF119', NULL, NULL, NULL, NULL, 'BNAA02G36300D PROTEIN', 121342),
(177617, 'PTHR11802:SF276', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 121343),
(177618, 'PTHR22814:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121344),
(177619, 'PTHR22802:SF402', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER E', 121345),
(177620, 'PTHR31517:SF14', NULL, NULL, NULL, NULL, 'PEROXIDASE', 121346),
(177621, 'PTHR46556:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY M MEMBER 2', 121347),
(177622, 'PTHR43084:SF1', NULL, NULL, NULL, NULL, 'PERSULFIDE DIOXYGENASE ETHE1, MITOCHONDRIAL', 121348),
(177623, 'PTHR36135', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH CABYR-BINDING PROTEIN', 121349),
(177624, 'PTHR35098:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121350),
(177625, 'PTHR16833:SF0', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE TRANSCRIPT 3 PROTEIN', 121351),
(177626, 'PTHR12992:SF30', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 11-LIKE', 121352),
(177627, 'PTHR10108:SF1129', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 121353),
(177628, 'PTHR22935:SF98', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE FAMILY PROTEIN', 121354),
(177629, 'PTHR34950:SF4', NULL, NULL, NULL, NULL, 'BNAA09G42820D PROTEIN', 121355),
(177630, 'PTHR15893:SF10', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L27', 121356),
(177631, 'PTHR35527:SF2', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', 121357),
(177632, 'PTHR24291:SF27', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4F12', 121358),
(177633, 'PTHR11017:SF341', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN-CONTAINING DISEASE RESISTANCE PROTEIN', 121359),
(177634, 'PTHR11311:SF23', NULL, NULL, NULL, NULL, 'FAT-SPONDIN', 121360),
(177635, 'PTHR22765:SF229', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', 121361),
(177636, 'PTHR38441', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 121362),
(177637, 'PTHR11829:SF348', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN D1', 121363),
(177638, 'PTHR33303:SF1', NULL, NULL, NULL, NULL, 'ACETATE-COA LIGASE (ADP-FORMING), SUBUNIT BETA', 121364),
(177639, 'PTHR10015:SF296', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-6A', 121365),
(177640, 'PTHR11306:SF43', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN E-SET-RELATED', 121366),
(177641, 'PTHR24223:SF357', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 4', 121367),
(177642, 'PTHR10422:SF38', NULL, NULL, NULL, NULL, 'CYTOCHROME B SUBUNIT OF NITRIC OXIDE REDUCTASE', 121368),
(177643, 'PTHR15241:SF325', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN ARP1 ISOFORM X1-RELATED', 121369),
(177644, 'PTHR22811:SF138', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA9-LIKE', 121370),
(177645, 'PTHR15933:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 40', 121371),
(177646, 'PTHR45844:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH106-RELATED', 121372),
(177647, 'PTHR46922', NULL, NULL, NULL, NULL, 'DHHA1 DOMAIN PROTEIN', 121373),
(177648, 'PTHR22811:SF40', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 1', 121374),
(177649, 'PTHR35696', NULL, NULL, NULL, NULL, 'ELECTRON CARRIER/IRON ION-BINDING PROTEIN', 121375),
(177650, 'PTHR10634:SF70', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 8-RELATED', 121376),
(177651, 'PTHR24015:SF1703', NULL, NULL, NULL, NULL, 'OS12G0289800 PROTEIN', 121377),
(177652, 'PTHR33257:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 121378),
(177653, 'PTHR31832:SF59', NULL, NULL, NULL, NULL, 'BNAC08G44590D PROTEIN', 121379),
(177654, 'PTHR47482', NULL, NULL, NULL, NULL, 'OS11G0632001 PROTEIN', 121380),
(177655, 'PTHR39463:SF1', NULL, NULL, NULL, NULL, 'MEDUSA', 121381),
(177656, 'PTHR31251:SF141', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 6', 121382);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(177657, 'PTHR33227:SF24', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 1', 121383),
(177658, 'PTHR33057:SF16', NULL, NULL, NULL, NULL, 'OFP TRANSCRIPTION FACTOR', 121384),
(177659, 'PTHR45863:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK3-RELATED', 121385),
(177660, 'PTHR24543:SF309', NULL, NULL, NULL, NULL, 'MFGE8L PROTEIN', 121386),
(177661, 'PTHR36264:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121387),
(177662, 'PTHR10672:SF38', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', 121388),
(177663, 'PTHR30126:SF68', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR BAUR', 121389),
(177664, 'PTHR10127:SF844', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 121390),
(177665, 'PTHR16295:SF25', NULL, NULL, NULL, NULL, 'XIAP-ASSOCIATED FACTOR 1-LIKE', 121391),
(177666, 'PTHR36439', NULL, NULL, NULL, NULL, 'BLL4334 PROTEIN', 121392),
(177667, 'PTHR33673:SF5', NULL, NULL, NULL, NULL, 'OS05G0196700 PROTEIN', 121393),
(177668, 'PTHR23505:SF55', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 121394),
(177669, 'PTHR31806:SF7', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04690)-RELATED', 121395),
(177670, 'PTHR46065:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH3', 121396),
(177671, 'PTHR48011:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121397),
(177672, 'PTHR31561:SF70', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 121398),
(177673, 'PTHR27005:SF337', NULL, NULL, NULL, NULL, 'BNACNNG40590D PROTEIN', 121399),
(177674, 'PTHR31317:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 121400),
(177675, 'PTHR13547:SF12', NULL, NULL, NULL, NULL, 'ANTIPORTER/ DRUG TRANSPORTER-RELATED', 121401),
(177676, 'PTHR43085:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121402),
(177677, 'PTHR15907:SF105', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 13', 121403),
(177678, 'PTHR11802:SF78', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 121404),
(177679, 'PTHR15343', NULL, NULL, NULL, NULL, 'CD7', 121405),
(177680, 'PTHR13220:SF12', NULL, NULL, NULL, NULL, 'TIMELESS-INTERACTING PROTEIN', 121406),
(177681, 'PTHR31568:SF21', NULL, NULL, NULL, NULL, 'RCG49325, ISOFORM CRA_A', 121407),
(177682, 'PTHR45626:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0089N06.14 PROTEIN', 121408),
(177683, 'PTHR10969:SF55', NULL, NULL, NULL, NULL, 'GABA(A) RECEPTOR ASSOCIATED PROTEIN', 121409),
(177684, 'PTHR45763:SF39', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 121410),
(177685, 'PTHR11792:SF20', NULL, NULL, NULL, NULL, 'BETA-ARRESTIN-2', 121411),
(177686, 'PTHR10795:SF631', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9 ISOFORM X2', 121412),
(177687, 'PTHR11588:SF133', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1A CHAIN', 121413),
(177688, 'PTHR31636:SF189', NULL, NULL, NULL, NULL, 'OS11G0141550 PROTEIN', 121414),
(177689, 'PTHR10901:SF12', NULL, NULL, NULL, NULL, 'LEIOMODIN-2', 121415),
(177690, 'PTHR23002:SF108', NULL, NULL, NULL, NULL, 'MINICIRCLE SEQUENCE BINDING PROTEIN (UMSBP), PUTATIVE-RELATED', 121416),
(177691, 'PTHR11523:SF50', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA', 121417),
(177692, 'PTHR31459:SF15', NULL, NULL, NULL, NULL, 'DESICCATION PROTECTANT PROTEIN LEA14', 121418),
(177693, 'PTHR18887:SF2', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY B MEMBER 1', 121419),
(177694, 'PTHR11783:SF259', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 121420),
(177695, 'PTHR14454:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121421),
(177696, 'PTHR46915:SF11', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 1C', 121422),
(177697, 'PTHR24298:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121423),
(177698, 'PTHR33048:SF113', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11560)-RELATED', 121424),
(177699, 'PTHR23430:SF291', NULL, NULL, NULL, NULL, 'HISTONE H2A', 121425),
(177700, 'PTHR13693:SF95', NULL, NULL, NULL, NULL, 'LONG CHAIN BASE BIOSYNTHESIS PROTEIN 2A', 121426),
(177701, 'PTHR43478:SF1', NULL, NULL, NULL, NULL, 'NA+/H+ ANTIPORTER-RELATED', 121427);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(177702, 'PTHR10641:SF1275', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB30-LIKE', 121428),
(177703, 'PTHR21499:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121429),
(177704, 'PTHR34476', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT OMEGA', 121430),
(177705, 'PTHR11920:SF274', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', 121431),
(177706, 'PTHR38116:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121432),
(177707, 'PTHR33915:SF13', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF/POINTED DOMAIN-CONTAINING PROTEIN-RELATED', 121433),
(177708, 'PTHR10845:SF255', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN SIGNALING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G06860)', 121434),
(177709, 'PTHR11863:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121435),
(177710, 'PTHR12107:SF26', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-7 SUBUNIT', 121436),
(177711, 'PTHR11709:SF298', NULL, NULL, NULL, NULL, 'MULTICOPPER OXIDASE LPR1', 121437),
(177712, 'PTHR23359:SF212', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE', 121438),
(177713, 'PTHR31171:SF0', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 6', 121439),
(177714, 'PTHR10579:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121440),
(177715, 'PTHR10783:SF102', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1-1', 121441),
(177716, 'PTHR12441:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121442),
(177717, 'PTHR31314:SF103', NULL, NULL, NULL, NULL, 'PROTEIN PHR1-LIKE 1-LIKE ISOFORM X1', 121443),
(177718, 'PTHR31790:SF130', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN-RELATED', 121444),
(177719, 'PTHR35981:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG17645', 121445),
(177720, 'PTHR34347:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR-SCAFFOLDING PROTEIN', 121446),
(177721, 'PTHR12002:SF123', NULL, NULL, NULL, NULL, '4930428D18RIK PROTEIN', 121447),
(177722, 'PTHR46328:SF17', NULL, NULL, NULL, NULL, 'FAR-RED IMPAIRED RESPONSIVE (FAR1) FAMILY PROTEIN', 121448),
(177723, 'PTHR23070:SF163', NULL, NULL, NULL, NULL, 'BNAANNG17080D PROTEIN', 121449),
(177724, 'PTHR31993', NULL, NULL, NULL, NULL, 'UBA-LIKE DOMAIN-CONTAINING PROTEIN 2', 121450),
(177725, 'PTHR18929:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121451),
(177726, 'PTHR48044:SF44', NULL, NULL, NULL, NULL, 'ZEATIN O-GLUCOSYLTRANSFERASE-LIKE', 121452),
(177727, 'PTHR46684:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPEECHLESS', 121453),
(177728, 'PTHR44200:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', 121454),
(177729, 'PTHR18945:SF840', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 121455),
(177730, 'PTHR11157:SF118', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 7', 121456),
(177731, 'PTHR48044:SF48', NULL, NULL, NULL, NULL, 'ZEATIN O-XYLOSYLTRANSFERASE-LIKE', 121457),
(177732, 'PTHR14559:SF4', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 11', 121458),
(177733, 'PTHR48041', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 28', 121459),
(177734, 'PTHR11802:SF350', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 48-RELATED', 121460),
(177735, 'PTHR31343:SF37', NULL, NULL, NULL, NULL, 'OSJNBA0038O10.24-LIKE PROTEIN', 121461),
(177736, 'PTHR38886:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121462),
(177737, 'PTHR14950:SF65', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3-LIKE PROTEIN 1', 121463),
(177738, 'PTHR36923:SF3', NULL, NULL, NULL, NULL, 'FERREDOXIN', 121464),
(177739, 'PTHR45719:SF6', NULL, NULL, NULL, NULL, 'BETA-1-3-GALACTOSYL-O-GLYCOSYL-GLYCOPROTEIN, PUTATIVE, EXPRESSED-RELATED', 121465),
(177740, 'PTHR45654:SF64', NULL, NULL, NULL, NULL, 'BNAC08G44100D PROTEIN', 121466),
(177741, 'PTHR47502', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 7', 121467),
(177742, 'PTHR23115:SF125', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR GTP-BINDING SUBUNIT ERF3A', 121468),
(177743, 'PTHR31321:SF19', NULL, NULL, NULL, NULL, 'PECTINESTERASE 68-RELATED', 121469);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(177744, 'PTHR32227:SF238', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 17 PROTEIN, EXPRESSED', 121470),
(177745, 'PTHR31009:SF117', NULL, NULL, NULL, NULL, 'BNAA05G27560D PROTEIN', 121471),
(177746, 'PTHR14928:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 7A', 121472),
(177747, 'PTHR35584:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121473),
(177748, 'PTHR12755:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121474),
(177749, 'PTHR11893:SF40', NULL, NULL, NULL, NULL, 'INNEXIN SHAKING-B', 121475),
(177750, 'PTHR48017:SF29', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 1', 121476),
(177751, 'PTHR13068:SF179', NULL, NULL, NULL, NULL, 'BNAA09G10490D PROTEIN', 121477),
(177752, 'PTHR36156:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121478),
(177753, 'PTHR26379:SF234', NULL, NULL, NULL, NULL, 'OS11G0630700 PROTEIN', 121479),
(177754, 'PTHR10257:SF59', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 57 KDA REGULATORY SUBUNIT B'' KAPPA ISOFORM', 121480),
(177755, 'PTHR11005:SF132', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FAMILY PROTEIN', 121481),
(177756, 'PTHR11851:SF164', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE CORE PROTEIN 2A', 121482),
(177757, 'PTHR45668:SF10', NULL, NULL, NULL, NULL, 'BNAA02G14530D PROTEIN', 121483),
(177758, 'PTHR23101:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121484),
(177759, 'PTHR35977', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 71', 121485),
(177760, 'PTHR33052:SF134', NULL, NULL, NULL, NULL, 'BNAC03G16710D PROTEIN', 121486),
(177761, 'PTHR22227:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM122B', 121487),
(177762, 'PTHR10840:SF2', NULL, NULL, NULL, NULL, 'PDCD5 ISOFORM 2', 121488),
(177763, 'PTHR38594', NULL, NULL, NULL, NULL, 'PEP-DEPENDENT DIHYDROXYACETONE KINASE, PHOSPHORYL DONOR SUBUNIT DHAM', 121489),
(177764, 'PTHR48048:SF48', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN 3-O-GLUCOSYLTRANSFERASE', 121490),
(177765, 'PTHR45702:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121491),
(177766, 'PTHR36040:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121492),
(177767, 'PTHR13227', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2A', 121493),
(177768, 'PTHR21274:SF1', NULL, NULL, NULL, NULL, 'MECKELIN', 121494),
(177769, 'PTHR37151:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 61', 121495),
(177770, 'PTHR23116:SF37', NULL, NULL, NULL, NULL, 'WHIRLIN', 121496),
(177771, 'PTHR24559:SF352', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 121497),
(177772, 'PTHR47968:SF10', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN NACK1', 121498),
(177773, 'PTHR12509', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED 4-RELATED', 121499),
(177774, 'PTHR37251', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM5 HOMOLOG', 121500),
(177775, 'PTHR10795:SF514', NULL, NULL, NULL, NULL, 'OS01G0868800 PROTEIN', 121501),
(177776, 'PTHR10264:SF32', NULL, NULL, NULL, NULL, 'STOMATIN', 121502),
(177777, 'PTHR34305', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 121503),
(177778, 'PTHR11474:SF50', NULL, NULL, NULL, NULL, 'TYROSINASE', 121504),
(177779, 'PTHR10015:SF373', NULL, NULL, NULL, NULL, 'BNAUNNG01080D PROTEIN', 121505),
(177780, 'PTHR13439:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG22316', 121506),
(177781, 'PTHR16133:SF5', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP9', 121507),
(177782, 'PTHR31218:SF227', NULL, NULL, NULL, NULL, 'OS10G0197700 PROTEIN', 121508),
(177783, 'PTHR42861:SF4', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 1, ENDOPLASMIC RETICULUM-TYPE-RELATED', 121509),
(177784, 'PTHR19143', NULL, NULL, NULL, NULL, 'FIBRINOGEN/TENASCIN/ANGIOPOEITIN', 121510),
(177785, 'PTHR37543', NULL, NULL, NULL, NULL, 'CCCH ZINC FINGER DNA BINDING PROTEIN (AFU_ORTHOLOGUE AFUA_5G12760)', 121511),
(177786, 'PTHR13140:SF369', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-VIIA', 121512),
(177787, 'PTHR45699:SF13', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0-LIKE', 121513),
(177788, 'PTHR30540:SF124', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 121514);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(177789, 'PTHR26454:SF9', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C4', 121515),
(177790, 'PTHR43349:SF23', NULL, NULL, NULL, NULL, 'BLL0593 PROTEIN', 121516),
(177791, 'PTHR23226:SF141', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 23', 121517),
(177792, 'PTHR46255', NULL, NULL, NULL, NULL, 'SHORT STATURE HOMEOBOX', 121518),
(177793, 'PTHR48004:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121519),
(177794, 'PTHR11206:SF273', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 26-RELATED', 121520),
(177795, 'PTHR12782', NULL, NULL, NULL, NULL, 'MICROSOMAL PROSTAGLANDIN E SYNTHASE-2', 121521),
(177796, 'PTHR11566:SF184', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 3A-LIKE', 121522),
(177797, 'PTHR22951:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121523),
(177798, 'PTHR23301:SF77', NULL, NULL, NULL, NULL, 'PROTEIN CBG05204', 121524),
(177799, 'PTHR10183:SF407', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 121525),
(177800, 'PTHR11461:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121526),
(177801, 'PTHR12489:SF18', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 5 PROTEIN', 121527),
(177802, 'PTHR10666:SF377', NULL, NULL, NULL, NULL, 'UBIQUITIN-60S RIBOSOMAL PROTEIN L40-1', 121528),
(177803, 'PTHR47287:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121529),
(177804, 'PTHR24034:SF83', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C1Q RECEPTOR', 121530),
(177805, 'PTHR46325:SF24', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC10-LIKE', 121531),
(177806, 'PTHR37176', NULL, NULL, NULL, NULL, 'F10K1.23', 121532),
(177807, 'PTHR30603:SF57', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGB', 121533),
(177808, 'PTHR12701:SF38', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED-LIKE PROTEIN', 121534),
(177809, 'PTHR24064:SF186', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 16', 121535),
(177810, 'PTHR33148:SF33', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', 121536),
(177811, 'PTHR43771:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE', 121537),
(177812, 'PTHR31736', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 121538),
(177813, 'PTHR24136:SF37', NULL, NULL, NULL, NULL, 'OS01G0942900 PROTEIN', 121539),
(177814, 'PTHR26453:SF60', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 121540),
(177815, 'PTHR19855:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR STERILE APETALA', 121541),
(177816, 'PTHR32263:SF12', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE SRO4-RELATED', 121542),
(177817, 'PTHR43840:SF40', NULL, NULL, NULL, NULL, 'CATION EFFLUX PROTEIN-RELATED', 121543),
(177818, 'PTHR33110:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121544),
(177819, 'PTHR47698:SF3', NULL, NULL, NULL, NULL, 'CHALCONE ISOMERASE', 121545),
(177820, 'PTHR33137:SF16', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15C-RELATED', 121546),
(177821, 'PTHR45661:SF3', NULL, NULL, NULL, NULL, 'ANTIGEN BSP, PUTATIVE-RELATED', 121547),
(177822, 'PTHR47172:SF15', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 16-LIKE', 121548),
(177823, 'PTHR24347:SF408', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE DDB_G0292624-RELATED', 121549),
(177824, 'PTHR37332', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 121550),
(177825, 'PTHR34774:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121551),
(177826, 'PTHR23095:SF20', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN MA6E-RELATED', 121552),
(177827, 'PTHR31282:SF139', NULL, NULL, NULL, NULL, 'OSJNBB0015N08.8 PROTEIN', 121553),
(177828, 'PTHR25465:SF25', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 80', 121554),
(177829, 'PTHR10509:SF82', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA 3-O-METHYLTRANSFERASE', 121555),
(177830, 'PTHR26453:SF263', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 121556),
(177831, 'PTHR12029:SF47', NULL, NULL, NULL, NULL, 'TRNA/RRNA METHYLTRANSFERASE SPOU FAMILY PROTEIN', 121557),
(177832, 'PTHR25465:SF19', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM8', 121558),
(177833, 'PTHR43876:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06950)-RELATED', 121559);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(177834, 'PTHR23032:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121560),
(177835, 'PTHR47926:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121561),
(177836, 'PTHR31213:SF106', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL4-LIKE', 121562),
(177837, 'PTHR48063:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121563),
(177838, 'PTHR15923:SF0', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING RECEPTOR 2', 121564),
(177839, 'PTHR36760:SF1', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY B PROTEIN', 121565),
(177840, 'PTHR10849:SF29', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 8-B, MITOCHONDRIAL', 121566),
(177841, 'PTHR24112:SF61', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 37', 121567),
(177842, 'PTHR32077:SF61', NULL, NULL, NULL, NULL, 'BNAC02G03320D PROTEIN', 121568),
(177843, 'PTHR24327:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121569),
(177844, 'PTHR23503:SF34', NULL, NULL, NULL, NULL, 'PROTEIN CBG14183', 121570),
(177845, 'PTHR24221:SF466', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121571),
(177846, 'PTHR37829:SF4', NULL, NULL, NULL, NULL, 'MU-LIKE PROPHAGE FLUMU PROTEIN GP46', 121572),
(177847, 'PTHR31639:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121573),
(177848, 'PTHR43284:SF1', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING] 1', 121574),
(177849, 'PTHR11835:SF34', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT ALPHA, MITOCHONDRIAL', 121575),
(177850, 'PTHR33659:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 121576),
(177851, 'PTHR20863:SF66', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 121577),
(177852, 'PTHR34817:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121578),
(177853, 'PTHR34932', NULL, NULL, NULL, NULL, 'TRPL TRANSLOCATION DEFECT PROTEIN 14', 121579),
(177854, 'PTHR25462:SF229', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE', 121580),
(177855, 'PTHR35277:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121581),
(177856, 'PTHR22870:SF411', NULL, NULL, NULL, NULL, 'BNAA02G27780D PROTEIN', 121582),
(177857, 'PTHR45965:SF1', NULL, NULL, NULL, NULL, 'INACTIVE RHOMBOID PROTEIN 1', 121583),
(177858, 'PTHR46096:SF5', NULL, NULL, NULL, NULL, 'PERFORIN 1.2-RELATED', 121584),
(177859, 'PTHR48062:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121585),
(177860, 'PTHR19957:SF239', NULL, NULL, NULL, NULL, 'OS02G0119400 PROTEIN', 121586),
(177861, 'PTHR11751:SF478', NULL, NULL, NULL, NULL, 'BNAA09G31220D PROTEIN', 121587),
(177862, 'PTHR11609:SF5', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINOIMIDAZOLE CARBOXYLASE', 121588),
(177863, 'PTHR12383', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY S26 MITOCHONDRIAL INNER MEMBRANE PROTEASE-RELATED', 121589),
(177864, 'PTHR11599:SF156', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 121590),
(177865, 'PTHR10909:SF348', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 121591),
(177866, 'PTHR47997:SF10', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 121592),
(177867, 'PTHR16156:SF10', NULL, NULL, NULL, NULL, 'AFTIPHILIN A-RELATED', 121593),
(177868, 'PTHR10125:SF9', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR 1', 121594),
(177869, 'PTHR48022:SF72', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G06720)-RELATED', 121595),
(177870, 'PTHR11581:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', 121596),
(177871, 'PTHR16188:SF14', NULL, NULL, NULL, NULL, 'GEO07393P1', 121597),
(177872, 'PTHR24055:SF417', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 3', 121598),
(177873, 'PTHR22811:SF183', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 10', 121599),
(177874, 'PTHR14568:SF12', NULL, NULL, NULL, NULL, 'ZGC:85843', 121600),
(177875, 'PTHR47991:SF45', NULL, NULL, NULL, NULL, 'SYNTHASE/FLAVANONE 3-HYDROXYLASE, PUTATIVE-RELATED', 121601),
(177876, 'PTHR12277:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG20828', 121602),
(177877, 'PTHR45751:SF31', NULL, NULL, NULL, NULL, 'COPINE (CALCIUM-DEPENDENT PHOSPHOLIPID-BINDING PROTEIN) FAMILY-RELATED', 121603);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(177878, 'PTHR22237:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-244C8.4', 121604),
(177879, 'PTHR45696:SF22', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1-1-RELATED', 121605),
(177880, 'PTHR31625:SF68', NULL, NULL, NULL, NULL, 'BNAA04G11630D PROTEIN', 121606),
(177881, 'PTHR23421:SF138', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 16-LIKE', 121607),
(177882, 'PTHR21562:SF83', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 4', 121608),
(177883, 'PTHR47980:SF3', NULL, NULL, NULL, NULL, 'BNAC03G27830D PROTEIN', 121609),
(177884, 'PTHR19241:SF167', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 5-RELATED', 121610),
(177885, 'PTHR18945:SF434', NULL, NULL, NULL, NULL, 'PROTON-GATED ION CHANNEL SUBUNIT PBO-6', 121611),
(177886, 'PTHR43377:SF10', NULL, NULL, NULL, NULL, 'BILIVERDIN REDUCTASE', 121612),
(177887, 'PTHR16840:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121613),
(177888, 'PTHR33305:SF25', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE PROTEIN', 121614),
(177889, 'PTHR46033:SF35', NULL, NULL, NULL, NULL, 'PROTEIN MAIN-LIKE 1', 121615),
(177890, 'PTHR46342', NULL, NULL, NULL, NULL, 'ALPHA-CATULIN', 121616),
(177891, 'PTHR43264', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 121617),
(177892, 'PTHR48001:SF143', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 121618),
(177893, 'PTHR32455', NULL, NULL, NULL, NULL, 'SPERM ACROSOME-ASSOCIATED PROTEIN 9', 121619),
(177894, 'PTHR13048:SF2', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 3', 121620),
(177895, 'PTHR10641:SF1215', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 121621),
(177896, 'PTHR10210:SF102', NULL, NULL, NULL, NULL, 'SYNTHETASE, PUTATIVE-RELATED', 121622),
(177897, 'PTHR34987', NULL, NULL, NULL, NULL, 'C, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02880)-RELATED', 121623),
(177898, 'PTHR12692:SF7', NULL, NULL, NULL, NULL, 'BNAA08G25260D PROTEIN', 121624),
(177899, 'PTHR10725:SF37', NULL, NULL, NULL, NULL, 'THAP DOMAINCONTAINING PROTEIN', 121625),
(177900, 'PTHR10209:SF720', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121626),
(177901, 'PTHR34805:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MODIFIER OF SNC1 1', 121627),
(177902, 'PTHR26450:SF40', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 56A3', 121628),
(177903, 'PTHR33207:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121629),
(177904, 'PTHR33994:SF10', NULL, NULL, NULL, NULL, 'OS02G0619300 PROTEIN', 121630),
(177905, 'PTHR33750:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02727', 121631),
(177906, 'PTHR11730:SF43', NULL, NULL, NULL, NULL, 'BLOOD GROUP RH(CE) POLYPEPTIDE-RELATED', 121632),
(177907, 'PTHR47926:SF65', NULL, NULL, NULL, NULL, 'BNAANNG25350D PROTEIN', 121633),
(177908, 'PTHR11588:SF290', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 121634),
(177909, 'PTHR33429:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 121635),
(177910, 'PTHR46204:SF14', NULL, NULL, NULL, NULL, 'CHITIN ELICITOR RECEPTOR KINASE 1-LIKE', 121636),
(177911, 'PTHR32468:SF101', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 2', 121637),
(177912, 'PTHR47949', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 703A2-RELATED-RELATED', 121638),
(177913, 'PTHR22753', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 68', 121639),
(177914, 'PTHR31235:SF19', NULL, NULL, NULL, NULL, 'PEROXIDASE', 121640),
(177915, 'PTHR11062:SF278', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', 121641),
(177916, 'PTHR46910:SF8', NULL, NULL, NULL, NULL, 'SCFA-RELATED', 121642),
(177917, 'PTHR24637:SF234', NULL, NULL, NULL, NULL, 'COLLAGEN', 121643),
(177918, 'PTHR10366:SF378', NULL, NULL, NULL, NULL, '3 BETA-HYDROXYSTEROID DEHYDROGENASE/DELTA 5--4-ISOMERASE TYPE 1', 121644),
(177919, 'PTHR45743:SF31', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KAT3-LIKE ISOFORM X1', 121645),
(177920, 'PTHR24399:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING 38', 121646),
(177921, 'PTHR47980:SF7', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN ARA-3-RELATED', 121647),
(177922, 'PTHR32212:SF340', NULL, NULL, NULL, NULL, 'BNAC04G51540D PROTEIN', 121648),
(177923, 'PTHR22883:SF353', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 121649);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(177924, 'PTHR14388', NULL, NULL, NULL, NULL, 'T CELL-SPECIFIC ADAPTER PROTEIN TSAD', 121650),
(177925, 'PTHR33880:SF12', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUPS, PUTATIVE-RELATED', 121651),
(177926, 'PTHR27007:SF201', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE, ERK3/4-RELATED', 121652),
(177927, 'PTHR42721:SF36', NULL, NULL, NULL, NULL, 'BNAA02G30740D PROTEIN', 121653),
(177928, 'PTHR27002:SF871', NULL, NULL, NULL, NULL, 'SERINE-THREONINE PROTEIN KINASE, PLANT-TYPE', 121654),
(177929, 'PTHR11629:SF101', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 121655),
(177930, 'PTHR32227:SF367', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 17 PROTEIN, EXPRESSED', 121656),
(177931, 'PTHR46193:SF16', NULL, NULL, NULL, NULL, 'BNAA04G22170D PROTEIN', 121657),
(177932, 'PTHR19944:SF66', NULL, NULL, NULL, NULL, 'HISTOCOMPATIBILITY 2, CLASS II ANTIGEN E BETA2', 121658),
(177933, 'PTHR24049:SF22', NULL, NULL, NULL, NULL, 'DROSOPHILA CRUMBS HOMOLOG', 121659),
(177934, 'PTHR46373:SF19', NULL, NULL, NULL, NULL, 'BNAC02G06390D PROTEIN', 121660),
(177935, 'PTHR31050:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121661),
(177936, 'PTHR11373:SF25', NULL, NULL, NULL, NULL, 'DEOXYGUANOSINETRIPHOSPHATE TRIPHOSPHOHYDROLASE-LIKE PROTEIN', 121662),
(177937, 'PTHR47868:SF2', NULL, NULL, NULL, NULL, 'OS05G0457700 PROTEIN', 121663),
(177938, 'PTHR35731:SF5', NULL, NULL, NULL, NULL, 'BNAC01G39220D PROTEIN', 121664),
(177939, 'PTHR36910', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 121665),
(177940, 'PTHR16134:SF66', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT INHIBITOR RESPONSE 1', 121666),
(177941, 'PTHR11088:SF54', NULL, NULL, NULL, NULL, 'TRNA DIMETHYLALLYLTRANSFERASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 121667),
(177942, 'PTHR24072:SF305', NULL, NULL, NULL, NULL, 'RAS-LIKE GTP-BINDING PROTEIN RHOL', 121668),
(177943, 'PTHR23235:SF109', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 2', 121669),
(177944, 'PTHR13773:SF25', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', 121670),
(177945, 'PTHR13605', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 121671),
(177946, 'PTHR26450:SF11', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52K2', 121672),
(177947, 'PTHR21576:SF137', NULL, NULL, NULL, NULL, 'BNAC03G16790D PROTEIN', 121673),
(177948, 'PTHR33193:SF36', NULL, NULL, NULL, NULL, 'FAMILY ABC TRANSPORTER, PUTATIVE (DUF3511)-RELATED', 121674),
(177949, 'PTHR11926:SF1393', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 121675),
(177950, 'PTHR24351:SF171', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE BETA-2', 121676),
(177951, 'PTHR10169:SF50', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2', 121677),
(177952, 'PTHR13023:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG14198', 121678),
(177953, 'PTHR16166:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121679),
(177954, 'PTHR10751:SF29', NULL, NULL, NULL, NULL, 'ATLASTIN', 121680),
(177955, 'PTHR47984:SF17', NULL, NULL, NULL, NULL, 'BNAA02G35130D PROTEIN', 121681),
(177956, 'PTHR31889:SF6', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', 121682),
(177957, 'PTHR23226:SF81', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN CONTAINING 10', 121683),
(177958, 'PTHR46056:SF10', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE FAO3', 121684),
(177959, 'PTHR12298:SF4', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 2', 121685),
(177960, 'PTHR11746:SF226', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121686),
(177961, 'PTHR47293:SF34', NULL, NULL, NULL, NULL, 'BNAA08G29580D PROTEIN', 121687),
(177962, 'PTHR47993:SF137', NULL, NULL, NULL, NULL, 'BNAA01G27260D PROTEIN', 121688),
(177963, 'PTHR31263:SF51', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 5 PROTEIN', 121689),
(177964, 'PTHR12183:SF32', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL E3 UBIQUITIN PROTEIN LIGASE 1', 121690),
(177965, 'PTHR10336:SF105', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C 1', 121691),
(177966, 'PTHR42204', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 121692);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(177967, 'PTHR35021:SF8', NULL, NULL, NULL, NULL, 'FIBER PROTEIN FB17', 121693),
(177968, 'PTHR43330:SF6', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE-LIKE', 121694),
(177969, 'PTHR10826:SF27', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCOPROTEIN-LIKE', 121695),
(177970, 'PTHR27009:SF126', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', 121696),
(177971, 'PTHR31852:SF211', NULL, NULL, NULL, NULL, 'OS06G0121300 PROTEIN', 121697),
(177972, 'PTHR33102:SF24', NULL, NULL, NULL, NULL, 'OS01G0525800 PROTEIN', 121698),
(177973, 'PTHR11937:SF452', NULL, NULL, NULL, NULL, 'BNACNNG31150D PROTEIN', 121699),
(177974, 'PTHR15176:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121700),
(177975, 'PTHR34483:SF2', NULL, NULL, NULL, NULL, 'OS09G0130700 PROTEIN', 121701),
(177976, 'PTHR47946:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A9', 121702),
(177977, 'PTHR10807:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121703),
(177978, 'PTHR45613:SF149', NULL, NULL, NULL, NULL, 'OS07G0101200 PROTEIN', 121704),
(177979, 'PTHR33709:SF20', NULL, NULL, NULL, NULL, 'OS04G0541900 PROTEIN', 121705),
(177980, 'PTHR31852:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121706),
(177981, 'PTHR10758:SF10', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 3-RELATED', 121707),
(177982, 'PTHR38649:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 33', 121708),
(177983, 'PTHR12357:SF64', NULL, NULL, NULL, NULL, 'OS08G0224200 PROTEIN', 121709),
(177984, 'PTHR23316:SF73', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', 121710),
(177985, 'PTHR47475:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME TRANSMISSION FIDELITY PROTEIN 8', 121711),
(177986, 'PTHR46506:SF23', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 121712),
(177987, 'PTHR47206:SF1', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 121713),
(177988, 'PTHR30146:SF50', NULL, NULL, NULL, NULL, 'NTD BIOSYNTHESIS OPERON REGULATOR NTDR', 121714),
(177989, 'PTHR31102:SF1', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 9 MEMBER B2', 121715),
(177990, 'PTHR48001:SF94', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7A5', 121716),
(177991, 'PTHR43772:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04480)-RELATED', 121717),
(177992, 'PTHR15907:SF161', NULL, NULL, NULL, NULL, 'DUF614 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G13250)', 121718),
(177993, 'PTHR48047:SF110', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 86A2', 121719),
(177994, 'PTHR10048:SF64', NULL, NULL, NULL, NULL, 'LD28067P', 121720),
(177995, 'PTHR33065:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121721),
(177996, 'PTHR31086:SF20', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 4-RELATED', 121722),
(177997, 'PTHR11426:SF231', NULL, NULL, NULL, NULL, 'HISTONE H3.3', 121723),
(177998, 'PTHR37576', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 121724),
(177999, 'PTHR21461:SF71', NULL, NULL, NULL, NULL, 'OS06G0328800 PROTEIN', 121725),
(178000, 'PTHR34035', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 47', 121726),
(178001, 'PTHR43423:SF10', NULL, NULL, NULL, NULL, 'PHOSPHATE IMPORT ATP-BINDING PROTEIN PSTB 2', 121727),
(178002, 'PTHR48018:SF168', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 121728),
(178003, 'PTHR11260:SF668', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121729),
(178004, 'PTHR46433:SF3', NULL, NULL, NULL, NULL, 'RAB GTPASE DOMAIN-CONTAINING PROTEIN', 121730),
(178005, 'PTHR13318:SF106', NULL, NULL, NULL, NULL, 'NODULIN-LIKE PROTEIN', 121731),
(178006, 'PTHR34207', NULL, NULL, NULL, NULL, 'PROTEIN BIC1', 121732),
(178007, 'PTHR20275:SF11', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G12870)-RELATED', 121733),
(178008, 'PTHR24300:SF319', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2K6-RELATED', 121734),
(178009, 'PTHR32552:SF83', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR-RELATED', 121735),
(178010, 'PTHR10585:SF61', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR 1', 121736),
(178011, 'PTHR11902:SF10', NULL, NULL, NULL, NULL, 'GAMMA-ENOLASE', 121737);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(178012, 'PTHR11654:SF449', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.5-LIKE', 121738),
(178013, 'PTHR47293:SF47', NULL, NULL, NULL, NULL, 'BNAC04G49270D PROTEIN', 121739),
(178014, 'PTHR24055:SF488', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 121740),
(178015, 'PTHR34649:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 99', 121741),
(178016, 'PTHR27005:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121742),
(178017, 'PTHR46965:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 19', 121743),
(178018, 'PTHR14679', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 7', 121744),
(178019, 'PTHR33167:SF44', NULL, NULL, NULL, NULL, 'BNAA09G07390D PROTEIN', 121745),
(178020, 'PTHR14568:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 6 SUPERFAMILY MEMBER 1-LIKE', 121746),
(178021, 'PTHR43592:SF15', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', 121747),
(178022, 'PTHR10801:SF11', NULL, NULL, NULL, NULL, 'STEROL SIDE CHAIN REDUCTASE', 121748),
(178023, 'PTHR47024:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 121749),
(178024, 'PTHR38926:SF40', NULL, NULL, NULL, NULL, 'BNAA09G01760D PROTEIN', 121750),
(178025, 'PTHR42791:SF12', NULL, NULL, NULL, NULL, 'FAMILY ACETYLTRANSFERASE, PUTATIVE-RELATED', 121751),
(178026, 'PTHR10362:SF58', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', 121752),
(178027, 'PTHR47746:SF43', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE (REVERSE TRANSCRIPTASE)-RELATED FAMILY PROTEIN', 121753),
(178028, 'PTHR11932:SF123', NULL, NULL, NULL, NULL, 'CULLIN 4, ISOFORM A', 121754),
(178029, 'PTHR21328:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP8', 121755),
(178030, 'PTHR43948:SF4', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 7', 121756),
(178031, 'PTHR12381:SF41', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN U-LIKE PROTEIN 1', 121757),
(178032, 'PTHR24271', NULL, NULL, NULL, NULL, 'KALLIKREIN-RELATED', 121758),
(178033, 'PTHR23428:SF271', NULL, NULL, NULL, NULL, 'HISTONE H2B', 121759),
(178034, 'PTHR33333:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121760),
(178035, 'PTHR30354:SF6', NULL, NULL, NULL, NULL, 'D-SERINE TRANSPORTER DSDX', 121761),
(178036, 'PTHR12599', NULL, NULL, NULL, NULL, 'PTERIN-4-ALPHA-CARBINOLAMINE DEHYDRATASE', 121762),
(178037, 'PTHR14485', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 23', 121763),
(178038, 'PTHR47240:SF4', NULL, NULL, NULL, NULL, 'BNAANNG15950D PROTEIN', 121764),
(178039, 'PTHR43701:SF9', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN YTNM-RELATED', 121765),
(178040, 'PTHR45824:SF12', NULL, NULL, NULL, NULL, 'CRAL/TRIO, N-TERMINAL DOMAIN', 121766),
(178041, 'PTHR10534:SF12', NULL, NULL, NULL, NULL, 'PYRIDOXAL KINASE BUD17-RELATED', 121767),
(178042, 'PTHR46565:SF15', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING PROTEIN 3', 121768),
(178043, 'PTHR27007:SF155', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.2-LIKE', 121769),
(178044, 'PTHR24067:SF296', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', 121770),
(178045, 'PTHR31676:SF7', NULL, NULL, NULL, NULL, 'OS01G0210600 PROTEIN', 121771),
(178046, 'PTHR45762:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121772),
(178047, 'PTHR43273:SF2', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN CONTAINING PROTEIN', 121773),
(178048, 'PTHR39611', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 121774),
(178049, 'PTHR27006:SF442', NULL, NULL, NULL, NULL, 'OS04G0616500 PROTEIN', 121775),
(178050, 'PTHR13718:SF99', NULL, NULL, NULL, NULL, 'GENE 8225-RELATED', 121776),
(178051, 'PTHR13680:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121777),
(178052, 'PTHR27002:SF150', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', 121778),
(178053, 'PTHR32123:SF9', NULL, NULL, NULL, NULL, 'PROTEIN SPINDLY', 121779),
(178054, 'PTHR11062:SF296', NULL, NULL, NULL, NULL, 'XYLOGLUCAN-SPECIFIC GALACTURONOSYLTRANSFERASE 1', 121780);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(178055, 'PTHR15458:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID METHYLTRANSFERASE', 121781),
(178056, 'PTHR47326:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT TC3 TRANSPOSASE-LIKE PROTEIN', 121782),
(178057, 'PTHR36770:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY FACTOR PSA3, CHLOROPLASTIC', 121783),
(178058, 'PTHR44743:SF4', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 121784),
(178059, 'PTHR35936:SF23', NULL, NULL, NULL, NULL, 'LYSINE/ARGININE/ORNITHINE-BINDING PERIPLASMIC PROTEIN', 121785),
(178060, 'PTHR11661:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121786),
(178061, 'PTHR21580:SF3', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 3-LIKE PROTEIN 1', 121787),
(178062, 'PTHR20854:SF26', NULL, NULL, NULL, NULL, 'INOSITOL MONOPHOSPHATASE 1', 121788),
(178063, 'PTHR10286:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121789),
(178064, 'PTHR12619', NULL, NULL, NULL, NULL, 'RFX TRANSCRIPTION FACTOR FAMILY', 121790),
(178065, 'PTHR14159:SF2', NULL, NULL, NULL, NULL, 'ATAXIN-3-LIKE PROTEIN', 121791),
(178066, 'PTHR18964:SF162', NULL, NULL, NULL, NULL, 'N-ACETYL-D-GLUCOSAMINE KINASE', 121792),
(178067, 'PTHR27007:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121793),
(178068, 'PTHR22948:SF29', NULL, NULL, NULL, NULL, 'TAPAS, ISOFORM B', 121794),
(178069, 'PTHR45027:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121795),
(178070, 'PTHR44156:SF7', NULL, NULL, NULL, NULL, 'PROTEASOMAL ATPASE-ASSOCIATED FACTOR 1', 121796),
(178071, 'PTHR22597:SF18', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN FERTILIZATION-INDEPENDENT SEED 2', 121797),
(178072, 'PTHR33057:SF111', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP6', 121798),
(178073, 'PTHR10894:SF30', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 58', 121799),
(178074, 'PTHR43123:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121800),
(178075, 'PTHR46421:SF1', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 2-LIKE', 121801),
(178076, 'PTHR11785:SF240', NULL, NULL, NULL, NULL, 'GH08870P', 121802),
(178077, 'PTHR24118:SF45', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930430A15', 121803),
(178078, 'PTHR33562:SF15', NULL, NULL, NULL, NULL, 'IP04187P', 121804),
(178079, 'PTHR11709:SF353', NULL, NULL, NULL, NULL, 'LACCASE', 121805),
(178080, 'PTHR10543:SF24', NULL, NULL, NULL, NULL, 'BETA,BETA-CAROTENE 15,15''-DIOXYGENASE', 121806),
(178081, 'PTHR24221:SF477', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 20', 121807),
(178082, 'PTHR36946', NULL, NULL, NULL, NULL, 'PROTEIN CBG13897-RELATED', 121808),
(178083, 'PTHR34479', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 30', 121809),
(178084, 'PTHR34524:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 121810),
(178085, 'PTHR31232:SF96', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 24-RELATED', 121811),
(178086, 'PTHR24543', NULL, NULL, NULL, NULL, 'MULTICOPPER OXIDASE-RELATED', 121812),
(178087, 'PTHR13710:SF121', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 121813),
(178088, 'PTHR47588:SF1', NULL, NULL, NULL, NULL, 'CHALCONE--FLAVONONE ISOMERASE 3-RELATED', 121814),
(178089, 'PTHR10826:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121815),
(178090, 'PTHR45724:SF30', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', 121816),
(178091, 'PTHR23304:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121817),
(178092, 'PTHR11486:SF21', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 10', 121818),
(178093, 'PTHR23115:SF265', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR GTP-BINDING SUBUNIT ERF3A-LIKE ISOFORM X1', 121819),
(178094, 'PTHR31507:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG15923', 121820),
(178095, 'PTHR33101:SF30', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 2', 121821),
(178096, 'PTHR31752:SF18', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 1B-RELATED', 121822),
(178097, 'PTHR13048:SF1', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 3-LIKE PROTEIN', 121823);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(178098, 'PTHR19134', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE', 121824),
(178099, 'PTHR19964', NULL, NULL, NULL, NULL, 'MULTIPLE PDZ DOMAIN PROTEIN', 121825),
(178100, 'PTHR33729:SF8', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 11-LIKE', 121826),
(178101, 'PTHR24064:SF171', NULL, NULL, NULL, NULL, 'EG:BACR7A4.13 PROTEIN-RELATED', 121827),
(178102, 'PTHR33021:SF266', NULL, NULL, NULL, NULL, 'MAVICYANIN-LIKE', 121828),
(178103, 'PTHR48000:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121829),
(178104, 'PTHR35546:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121830),
(178105, 'PTHR11510:SF17', NULL, NULL, NULL, NULL, 'INOSITOL 3-PHOSPHATE SYNTHASE ISOZYME 3-RELATED', 121831),
(178106, 'PTHR30046', NULL, NULL, NULL, NULL, 'FLAGELLAR M-RING PROTEIN', 121832),
(178107, 'PTHR24363:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0277989-RELATED', 121833),
(178108, 'PTHR44472', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 4-RELATED', 121834),
(178109, 'PTHR10182:SF31', NULL, NULL, NULL, NULL, 'BNAA02G25530D PROTEIN', 121835),
(178110, 'PTHR33057:SF154', NULL, NULL, NULL, NULL, 'OS05G0324600 PROTEIN', 121836),
(178111, 'PTHR46057:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121837),
(178112, 'PTHR47993:SF116', NULL, NULL, NULL, NULL, 'BNAA01G24660D PROTEIN', 121838),
(178113, 'PTHR10792:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24', 121839),
(178114, 'PTHR20917', NULL, NULL, NULL, NULL, 'PNAS-RELATED', 121840),
(178115, 'PTHR33115', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 121841),
(178116, 'PTHR46496:SF6', NULL, NULL, NULL, NULL, 'ZEAXANTHIN EPOXIDASE, CHLOROPLASTIC-LIKE ISOFORM X1', 121842),
(178117, 'PTHR45621:SF142', NULL, NULL, NULL, NULL, 'KINASE APK1B, CHLOROPLAST, PUTATIVE-RELATED', 121843),
(178118, 'PTHR47976:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121844),
(178119, 'PTHR21145:SF8', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', 121845),
(178120, 'PTHR27006:SF315', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE-RELATED', 121846),
(178121, 'PTHR10165:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121847),
(178122, 'PTHR34188:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 121848),
(178123, 'PTHR12702', NULL, NULL, NULL, NULL, 'SEC15', 121849),
(178124, 'PTHR10902:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35A-1-RELATED', 121850),
(178125, 'PTHR36427:SF2', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L1, MITOCHONDRIAL', 121851),
(178126, 'PTHR31881:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121852),
(178127, 'PTHR31474:SF9', NULL, NULL, NULL, NULL, 'HR-LIKE LESION-INDUCING PROTEIN', 121853),
(178128, 'PTHR15704:SF7', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 37', 121854),
(178129, 'PTHR33147:SF55', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', 121855),
(178130, 'PTHR30561', NULL, NULL, NULL, NULL, 'SMR FAMILY PROTON-DEPENDENT DRUG EFFLUX TRANSPORTER SUGE', 121856),
(178131, 'PTHR12802:SF61', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX SUBUNIT SWI3C', 121857),
(178132, 'PTHR11850:SF203', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 9', 121858),
(178133, 'PTHR10966:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', 121859),
(178134, 'PTHR31775:SF18', NULL, NULL, NULL, NULL, 'OS10G0503800 PROTEIN', 121860),
(178135, 'PTHR24253:SF115', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 12', 121861),
(178136, 'PTHR10797:SF42', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 11-RELATED', 121862),
(178137, 'PTHR11514:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121863),
(178138, 'PTHR31541:SF30', NULL, NULL, NULL, NULL, 'BNACNNG54020D PROTEIN', 121864),
(178139, 'PTHR44420', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE DHAR2-RELATED', 121865),
(178140, 'PTHR21515', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 121866),
(178141, 'PTHR24314:SF21', NULL, NULL, NULL, NULL, 'CHLOROPHYLL(IDE) B REDUCTASE NYC1, CHLOROPLASTIC-RELATED', 121867);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(178142, 'PTHR24338:SF0', NULL, NULL, NULL, NULL, 'MUSCLE SEGMENTATION HOMEOBOX', 121868),
(178143, 'PTHR46541', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN AEBP2', 121869),
(178144, 'PTHR13526:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121870),
(178145, 'PTHR32096:SF99', NULL, NULL, NULL, NULL, 'WRKY FAMILY TRANSCRIPTION FACTOR-RELATED', 121871),
(178146, 'PTHR22838:SF18', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 26-LIKE ISOFORM X1', 121872),
(178147, 'PTHR14709', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 121873),
(178148, 'PTHR47924:SF39', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 121874),
(178149, 'PTHR15857', NULL, NULL, NULL, NULL, 'COMM DOMAIN CONTAINING PROTEIN 2', 121875),
(178150, 'PTHR11709:SF209', NULL, NULL, NULL, NULL, 'MULTICOPPER OXIDASE MMCO', 121876),
(178151, 'PTHR24343:SF341', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', 121877),
(178152, 'PTHR36707:SF4', NULL, NULL, NULL, NULL, 'BNAC04G13120D PROTEIN', 121878),
(178153, 'PTHR10091:SF27', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 121879),
(178154, 'PTHR31044:SF36', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', 121880),
(178155, 'PTHR24012:SF773', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 5', 121881),
(178156, 'PTHR43019:SF30', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 121882),
(178157, 'PTHR23101:SF97', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10890)-RELATED', 121883),
(178158, 'PTHR31282:SF114', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', 121884),
(178159, 'PTHR42861:SF108', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 121885),
(178160, 'PTHR31589:SF2', NULL, NULL, NULL, NULL, 'ASLB (DUF239)-RELATED', 121886),
(178161, 'PTHR20968:SF0', NULL, NULL, NULL, NULL, 'RELAXIN-3', 121887),
(178162, 'PTHR11588:SF312', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-2 CHAIN', 121888),
(178163, 'PTHR37492:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-171H4.7-RELATED', 121889),
(178164, 'PTHR19241:SF328', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 2', 121890),
(178165, 'PTHR43689:SF14', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE BODYGUARD 4-RELATED', 121891),
(178166, 'PTHR21277:SF22', NULL, NULL, NULL, NULL, 'OS04G0284500 PROTEIN', 121892),
(178167, 'PTHR24376:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121893),
(178168, 'PTHR13962:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121894),
(178169, 'PTHR45798:SF55', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', 121895),
(178170, 'PTHR24296:SF199', NULL, NULL, NULL, NULL, 'CYTOCHROMEC1', 121896),
(178171, 'PTHR15348:SF4', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-LIKE', 121897),
(178172, 'PTHR10795:SF552', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.4', 121898),
(178173, 'PTHR10891:SF796', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML30-RELATED', 121899),
(178174, 'PTHR11260:SF637', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9-LIKE', 121900),
(178175, 'PTHR46442:SF6', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 5', 121901),
(178176, 'PTHR13683:SF797', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2-LIKE', 121902),
(178177, 'PTHR43620:SF19', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASE FAMILY PROTEIN-RELATED', 121903),
(178178, 'PTHR45977:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121904),
(178179, 'PTHR11040:SF176', NULL, NULL, NULL, NULL, 'BNAA09G13960D PROTEIN', 121905),
(178180, 'PTHR10766:SF126', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 121906),
(178181, 'PTHR41686:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MYOMIXER', 121907),
(178182, 'PTHR28158:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S35, MITOCHONDRIAL', 121908),
(178183, 'PTHR44376:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR LEUNIG_HOMOLOG', 121909),
(178184, 'PTHR45979', NULL, NULL, NULL, NULL, 'PAP/OAS1 SUBSTRATE-BINDING DOMAIN SUPERFAMILY', 121910),
(178185, 'PTHR46175:SF1', NULL, NULL, NULL, NULL, 'ADAGIO-LIKE PROTEIN 2-RELATED', 121911);
INSERT INTO "PUBLIC"."MODEL" VALUES
(178186, 'PTHR31064:SF29', NULL, NULL, NULL, NULL, 'CATION TRANSPORTER HKT8', 121912),
(178187, 'PTHR27003:SF384', NULL, NULL, NULL, NULL, 'ZINC FINGER, CHY-TYPE-RELATED', 121913),
(178188, 'PTHR47315:SF3', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH INTERACTING PROTEIN 2', 121914),
(178189, 'PTHR27007:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121915),
(178190, 'PTHR18804:SF17', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', 121916),
(178191, 'PTHR48001:SF125', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1B1', 121917),
(178192, 'PTHR48007:SF22', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 3 ISOFORM X1', 121918),
(178193, 'PTHR31947:SF34', NULL, NULL, NULL, NULL, 'BNAC05G09730D PROTEIN', 121919),
(178194, 'PTHR31104:SF15', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA-GLUCOSAMINYL)ASPARAGINE AMIDASE A', 121920),
(178195, 'PTHR33021:SF346', NULL, NULL, NULL, NULL, 'OS03G0791300 PROTEIN', 121921),
(178196, 'PTHR24414:SF104', NULL, NULL, NULL, NULL, 'BNACNNG53720D PROTEIN', 121922),
(178197, 'PTHR32133:SF261', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 121923),
(178198, 'PTHR31288:SF5', NULL, NULL, NULL, NULL, 'PROTEIN MANNAN SYNTHESIS-RELATED 1', 121924),
(178199, 'PTHR10366:SF589', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE-LIKE SNL6', 121925),
(178200, 'PTHR37781:SF1', NULL, NULL, NULL, NULL, 'TFIIH COMPLEX SUBUNIT', 121926),
(178201, 'PTHR24317', NULL, NULL, NULL, NULL, 'PEROXISOMAL TRANS-2-ENOYL-COA REDUCTASE', 121927),
(178202, 'PTHR15938', NULL, NULL, NULL, NULL, 'TBP-1 INTERACTING PROTEIN', 121928),
(178203, 'PTHR27008:SF455', NULL, NULL, NULL, NULL, 'OS02G0215900 PROTEIN', 121929),
(178204, 'PTHR15204:SF6', NULL, NULL, NULL, NULL, 'UBIQUITIN-RELATED', 121930),
(178205, 'PTHR10510:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A1', 121931),
(178206, 'PTHR34269:SF17', NULL, NULL, NULL, NULL, 'BNACNNG54430D PROTEIN', 121932),
(178207, 'PTHR16301:SF20', NULL, NULL, NULL, NULL, 'IMPACT FAMILY MEMBER YIGZ', 121933),
(178208, 'PTHR46213:SF8', NULL, NULL, NULL, NULL, 'DEMETER-LIKE PROTEIN 2-RELATED', 121934),
(178209, 'PTHR10285:SF173', NULL, NULL, NULL, NULL, 'URIDINE KINASE', 121935),
(178210, 'PTHR38460', NULL, NULL, NULL, NULL, 'TAUTOMERASE YOLI-RELATED', 121936),
(178211, 'PTHR11945:SF435', NULL, NULL, NULL, NULL, 'TRUNCATED TRANSCRIPTION FACTOR CAULIFLOWER A-LIKE ISOFORM X1', 121937),
(178212, 'PTHR22792:SF66', NULL, NULL, NULL, NULL, 'ACHILLES, ISOFORM A', 121938),
(178213, 'PTHR11654:SF540', NULL, NULL, NULL, NULL, 'BNAA09G47380D PROTEIN', 121939),
(178214, 'PTHR43464:SF25', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS O-METHYLTRANSFERASE, MITOCHONDRIAL', 121940),
(178215, 'PTHR31232:SF31', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY-RELATED', 121941),
(178216, 'PTHR15672:SF13', NULL, NULL, NULL, NULL, 'R3H DOMAIN-CONTAINING PROTEIN 2', 121942),
(178217, 'PTHR27004:SF353', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRI1', 121943),
(178218, 'PTHR33090:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121944),
(178219, 'PTHR46128:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121945),
(178220, 'PTHR30532:SF1', NULL, NULL, NULL, NULL, 'IRON(3+)-HYDROXAMATE-BINDING PROTEIN FHUD', 121946),
(178221, 'PTHR44830', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1 ALPHA', 121947),
(178222, 'PTHR11893:SF42', NULL, NULL, NULL, NULL, 'INNEXIN-5', 121948),
(178223, 'PTHR23266:SF326', NULL, NULL, NULL, NULL, 'RCG64228', 121949),
(178224, 'PTHR10168:SF271', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE, PLANT II, THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', 121950),
(178225, 'PTHR46136:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121951),
(178226, 'PTHR24414:SF26', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 8B', 121952),
(178227, 'PTHR43806:SF13', NULL, NULL, NULL, NULL, 'SUBTILASE-TYPE PROTEINASE RRT12', 121953),
(178228, 'PTHR48178:SF1', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS FACTOR 2', 121954),
(178229, 'PTHR12147:SF17', NULL, NULL, NULL, NULL, 'PEPTIDE HYDROLASE', 121955);
INSERT INTO "PUBLIC"."MODEL" VALUES
(178230, 'PTHR38812', NULL, NULL, NULL, NULL, 'MU-LIKE PROPHAGE FLUMU PROTEIN GP42', 121956),
(178231, 'PTHR15511', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 13B', 121957),
(178232, 'PTHR11969:SF46', NULL, NULL, NULL, NULL, 'OS05G0586300 PROTEIN', 121958),
(178233, 'PTHR34946:SF10', NULL, NULL, NULL, NULL, 'PROTEIN SHOOT GRAVITROPISM 5', 121959),
(178234, 'PTHR22893:SF62', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE-LIKE PROTEIN', 121960),
(178235, 'PTHR12236:SF7', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 57A, ISOFORM A', 121961),
(178236, 'PTHR10994:SF160', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 121962),
(178237, 'PTHR33059:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121963),
(178238, 'PTHR48056:SF17', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1', 121964),
(178239, 'PTHR22870:SF398', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HERC2', 121965),
(178240, 'PTHR32295:SF10', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', 121966),
(178241, 'PTHR43271', NULL, NULL, NULL, NULL, 'BLL2771 PROTEIN', 121967),
(178242, 'PTHR45625:SF5', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE DOMAIN AND WD REPEAT-CONTAINING PROTEIN 1', 121968),
(178243, 'PTHR31321:SF88', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 121969),
(178244, 'PTHR36919', NULL, NULL, NULL, NULL, 'BLR1215 PROTEIN', 121970),
(178245, 'PTHR13068:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTEF1, CHLOROPLASTIC', 121971),
(178246, 'PTHR43880:SF4', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE CLASS-3', 121972),
(178247, 'PTHR10285:SF170', NULL, NULL, NULL, NULL, 'MIBP PROTEIN', 121973),
(178248, 'PTHR24209:SF23', NULL, NULL, NULL, NULL, 'PROTEIN DA1-RELATED 2', 121974),
(178249, 'PTHR45622:SF43', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECTD2-RELATED', 121975),
(178250, 'PTHR32015:SF27', NULL, NULL, NULL, NULL, 'FASTING INDUCED LIPASE', 121976),
(178251, 'PTHR23310:SF53', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 4', 121977),
(178252, 'PTHR43709:SF3', NULL, NULL, NULL, NULL, 'ISOMERASE YBHH-RELATED', 121978),
(178253, 'PTHR18895:SF74', NULL, NULL, NULL, NULL, 'MTRF1L RELEASE FACTOR GLUTAMINE METHYLTRANSFERASE', 121979),
(178254, 'PTHR45816:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121980),
(178255, 'PTHR13450', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 39S RIBOSOMAL PROTEIN L42', 121981),
(178256, 'PTHR31375:SF158', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', 121982),
(178257, 'PTHR31342:SF48', NULL, NULL, NULL, NULL, 'CHUP1-LIKE PROTEIN', 121983),
(178258, 'PTHR10192', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN BIOSYNTHESIS PROTEIN', 121984),
(178259, 'PTHR48044:SF22', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 121985),
(178260, 'PTHR16483:SF3', NULL, NULL, NULL, NULL, 'GASTROKINE-2', 121986),
(178261, 'PTHR22802:SF406', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 19 MEMBER A', 121987),
(178262, 'PTHR31989:SF379', NULL, NULL, NULL, NULL, 'BNAA04G10830D PROTEIN', 121988),
(178263, 'PTHR10071:SF149', NULL, NULL, NULL, NULL, 'ENDOTHELIAL TRANSCRIPTION FACTOR GATA-2', 121989),
(178264, 'PTHR43626', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE', 121990),
(178265, 'PTHR22762:SF120', NULL, NULL, NULL, NULL, 'HETEROGLYCAN GLUCOSIDASE 1', 121991),
(178266, 'PTHR46497', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 11', 121992),
(178267, 'PTHR33055:SF10', NULL, NULL, NULL, NULL, 'PUTATIVE TRANSPOSASE FOR IS117-RELATED', 121993),
(178268, 'PTHR13683:SF827', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 121994),
(178269, 'PTHR11848:SF143', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 2', 121995),
(178270, 'PTHR45418', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN 55', 121996),
(178271, 'PTHR12378:SF49', NULL, NULL, NULL, NULL, 'DESI-LIKE PROTEIN', 121997),
(178272, 'PTHR32096:SF104', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', 121998),
(178273, 'PTHR19282:SF395', NULL, NULL, NULL, NULL, 'TETRASPANIN', 121999);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(178274, 'PTHR24118:SF75', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 7', 122000),
(178275, 'PTHR10707:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 4I1', 122001),
(178276, 'PTHR31656:SF16', NULL, NULL, NULL, NULL, 'OS01G0968300 PROTEIN', 122002),
(178277, 'PTHR47244:SF3', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE IBR5', 122003),
(178278, 'PTHR31929:SF92', NULL, NULL, NULL, NULL, 'BNAC09G39840D PROTEIN', 122004),
(178279, 'PTHR11527:SF290', NULL, NULL, NULL, NULL, '16.9 KDA CLASS I HEAT SHOCK PROTEIN 1-LIKE', 122005),
(178280, 'PTHR42951:SF10', NULL, NULL, NULL, NULL, '2-AMINOBENZOYLACETYL-COA THIOESTERASE', 122006),
(178281, 'PTHR12921:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN-FOLD MODIFIER-CONJUGATING ENZYME 1', 122007),
(178282, 'PTHR46775', NULL, NULL, NULL, NULL, 'FLOCCULATION PROTEIN (DUF1296)', 122008),
(178283, 'PTHR43791:SF70', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 122009),
(178284, 'PTHR40744', NULL, NULL, NULL, NULL, 'SODIUM STIBOGLUCONATE RESISTANCE PROTEIN-RELATED', 122010),
(178285, 'PTHR11709:SF336', NULL, NULL, NULL, NULL, 'LACCASE', 122011),
(178286, 'PTHR31190:SF150', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 2-LIKE', 122012),
(178287, 'PTHR11685:SF259', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 122013),
(178288, 'PTHR19965:SF65', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4A', 122014),
(178289, 'PTHR31889:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122015),
(178290, 'PTHR24177:SF279', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 122016),
(178291, 'PTHR36360:SF1', NULL, NULL, NULL, NULL, 'ACTIN T1-LIKE PROTEIN', 122017),
(178292, 'PTHR11247:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122018),
(178293, 'PTHR48008:SF9', NULL, NULL, NULL, NULL, 'MERISTEMATIC RECEPTOR-LIKE KINASE', 122019),
(178294, 'PTHR38111:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122020),
(178295, 'PTHR11075', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR', 122021),
(178296, 'PTHR43503:SF4', NULL, NULL, NULL, NULL, 'MCG48959-RELATED', 122022),
(178297, 'PTHR22761:SF10', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 4C', 122023),
(178298, 'PTHR45660:SF30', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH4', 122024),
(178299, 'PTHR45675:SF47', NULL, NULL, NULL, NULL, 'BNAA01G32800D PROTEIN', 122025),
(178300, 'PTHR42993', NULL, NULL, NULL, NULL, 'MAOC-LIKE DEHYDRATASE DOMAIN-CONTAINING PROTEIN', 122026),
(178301, 'PTHR43130:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122027),
(178302, 'PTHR23120:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122028),
(178303, 'PTHR46754:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122029),
(178304, 'PTHR46387:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122030),
(178305, 'PTHR32370:SF153', NULL, NULL, NULL, NULL, 'BNAA09G06800D PROTEIN', 122031),
(178306, 'PTHR31415:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122032),
(178307, 'PTHR34702', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT F1', 122033),
(178308, 'PTHR11937:SF192', NULL, NULL, NULL, NULL, 'ACTIN, CYTOPLASMIC 1', 122034),
(178309, 'PTHR46330:SF8', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 10C', 122035),
(178310, 'PTHR45940:SF11', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 3-LIKE', 122036),
(178311, 'PTHR42829:SF10', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE SUBUNIT 5', 122037),
(178312, 'PTHR12768:SF6', NULL, NULL, NULL, NULL, 'BECLIN-1', 122038),
(178313, 'PTHR42684:SF15', NULL, NULL, NULL, NULL, 'BNAC06G05970D PROTEIN', 122039),
(178314, 'PTHR43808:SF1', NULL, NULL, NULL, NULL, 'ACETYLORNITHINE DEACETYLASE', 122040),
(178315, 'PTHR46073:SF4', NULL, NULL, NULL, NULL, 'CHITINASE', 122041),
(178316, 'PTHR19282:SF357', NULL, NULL, NULL, NULL, 'TETRASPANIN FAMILY', 122042),
(178317, 'PTHR33873:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR VOZ2', 122043),
(178318, 'PTHR10896:SF21', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE 1', 122044);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(178319, 'PTHR31945:SF78', NULL, NULL, NULL, NULL, 'OS05G0337200 PROTEIN', 122045),
(178320, 'PTHR21654:SF65', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-2', 122046),
(178321, 'PTHR37916:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122047),
(178322, 'PTHR13124', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L46, MITOCHONDRIAL PRECURSOR-RELATED', 122048),
(178323, 'PTHR32345:SF3', NULL, NULL, NULL, NULL, 'MYB-RELATED TRANSCRIPTION FACTOR, PARTNER OF PROFILIN', 122049),
(178324, 'PTHR24247:SF238', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR 1', 122050),
(178325, 'PTHR30294:SF40', NULL, NULL, NULL, NULL, 'ESX SECRETION SYSTEM PROTEIN YUEB', 122051),
(178326, 'PTHR37385:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LOW PSII ACCUMULATION 2, CHLOROPLASTIC', 122052),
(178327, 'PTHR47984:SF20', NULL, NULL, NULL, NULL, 'OS01G0631700 PROTEIN', 122053),
(178328, 'PTHR10353:SF261', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 17', 122054),
(178329, 'PTHR13072', NULL, NULL, NULL, NULL, 'DYNACTIN 6', 122055),
(178330, 'PTHR45652:SF10', NULL, NULL, NULL, NULL, 'SI:DKEY-27M7.4', 122056),
(178331, 'PTHR22849:SF132', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PUB23', 122057),
(178332, 'PTHR45631:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122058),
(178333, 'PTHR15146', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR137', 122059),
(178334, 'PTHR23155:SF935', NULL, NULL, NULL, NULL, 'OS08G0246300 PROTEIN', 122060),
(178335, 'PTHR19288:SF75', NULL, NULL, NULL, NULL, 'FI11325P-RELATED', 122061),
(178336, 'PTHR43082', NULL, NULL, NULL, NULL, 'FERREDOXIN-LIKE', 122062),
(178337, 'PTHR46262:SF2', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN BINIOU', 122063),
(178338, 'PTHR24377:SF667', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 184', 122064),
(178339, 'PTHR37038:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR', 122065),
(178340, 'PTHR31048:SF43', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1B', 122066),
(178341, 'PTHR17597', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN MLC1', 122067),
(178342, 'PTHR13872:SF43', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT STT3A', 122068),
(178343, 'PTHR22916:SF68', NULL, NULL, NULL, NULL, 'UDP-GLCNAC:BETAGAL BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE-LIKE PROTEIN 1', 122069),
(178344, 'PTHR13902', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK  WITH NO LYSINE -RELATED', 122070),
(178345, 'PTHR14221:SF47', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', 122071),
(178346, 'PTHR23226:SF289', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 818-RELATED', 122072),
(178347, 'PTHR24115:SF936', NULL, NULL, NULL, NULL, 'SI:CH73-375G18.1', 122073),
(178348, 'PTHR46414:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR-ASSOCIATED SORTING PROTEIN 2', 122074),
(178349, 'PTHR22916:SF62', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS GLYCOSYL TRANSFERASE WCAE-RELATED', 122075),
(178350, 'PTHR10231:SF77', NULL, NULL, NULL, NULL, 'UDP-SUGAR TRANSPORTER PROTEIN SLC35A4-RELATED', 122076),
(178351, 'PTHR23166:SF3', NULL, NULL, NULL, NULL, 'FILAMIN-A-INTERACTING PROTEIN 1', 122077),
(178352, 'PTHR47997:SF2', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', 122078),
(178353, 'PTHR12611:SF6', NULL, NULL, NULL, NULL, 'PURINE-RICH ELEMENT-BINDING PROTEIN BA', 122079),
(178354, 'PTHR31552:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-33', 122080),
(178355, 'PTHR10333:SF101', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ING2', 122081),
(178356, 'PTHR23239:SF360', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122082),
(178357, 'PTHR14224:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122083),
(178358, 'PTHR47917:SF2', NULL, NULL, NULL, NULL, 'F420-DEPENDENT OXIDOREDUCTASE', 122084),
(178359, 'PTHR42800', NULL, NULL, NULL, NULL, 'EXOINULINASE INUD (AFU_ORTHOLOGUE AFUA_5G00480)', 122085),
(178360, 'PTHR11654:SF90', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 7.3', 122086),
(178361, 'PTHR11831:SF30', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S4-RELATED', 122087);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(178362, 'PTHR11203:SF11', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 3', 122088),
(178363, 'PTHR46837:SF6', NULL, NULL, NULL, NULL, 'CASC3/BARENTSZ EIF4AIII BINDING PROTEIN', 122089),
(178364, 'PTHR24361:SF711', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122090),
(178365, 'PTHR19384:SF117', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', 122091),
(178366, 'PTHR10353:SF249', NULL, NULL, NULL, NULL, 'BNAC08G10080D PROTEIN', 122092),
(178367, 'PTHR24115:SF590', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-UC', 122093),
(178368, 'PTHR23155:SF1134', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN-RELATED', 122094),
(178369, 'PTHR24381:SF351', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 20', 122095),
(178370, 'PTHR31656:SF0', NULL, NULL, NULL, NULL, 'ROOT CAP DOMAIN-CONTAINING PROTEIN', 122096),
(178371, 'PTHR23199:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SPAETZLE 4', 122097),
(178372, 'PTHR46162:SF42', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN-RELATED', 122098),
(178373, 'PTHR42861:SF25', NULL, NULL, NULL, NULL, 'ATPASE 8, PLASMA MEMBRANE-TYPE', 122099),
(178374, 'PTHR31707:SF193', NULL, NULL, NULL, NULL, 'PECTINESTERASE 2', 122100),
(178375, 'PTHR11504:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6A1-RELATED', 122101),
(178376, 'PTHR33730:SF4', NULL, NULL, NULL, NULL, 'OS05G0542732 PROTEIN', 122102),
(178377, 'PTHR48041:SF10', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 6', 122103),
(178378, 'PTHR23334:SF57', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN GAMMA', 122104),
(178379, 'PTHR31509:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122105),
(178380, 'PTHR11106:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122106),
(178381, 'PTHR38758', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 122107),
(178382, 'PTHR21530:SF9', NULL, NULL, NULL, NULL, 'BNAC08G44160D PROTEIN', 122108),
(178383, 'PTHR33538:SF2', NULL, NULL, NULL, NULL, 'PROTEIN GAMETE EXPRESSED 1', 122109),
(178384, 'PTHR42760:SF78', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER PROTEIN] REDUCTASE FABG4 (3-KETOACYL-ACYL CARRIER PROTEIN REDUCTASE)-RELATED', 122110),
(178385, 'PTHR11802:SF394', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 122111),
(178386, 'PTHR26374:SF377', NULL, NULL, NULL, NULL, 'C2H2 ZINC FINGER PROTEIN', 122112),
(178387, 'PTHR31374:SF28', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 122113),
(178388, 'PTHR45660:SF13', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETMAR', 122114),
(178389, 'PTHR21349:SF4', NULL, NULL, NULL, NULL, 'BNAA01G06210D PROTEIN', 122115),
(178390, 'PTHR43201:SF21', NULL, NULL, NULL, NULL, 'AMP DEPENDENT COA LIGASE', 122116),
(178391, 'PTHR23503:SF22', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 11', 122117),
(178392, 'PTHR42779', NULL, NULL, NULL, NULL, 'PROTEIN YNJB', 122118),
(178393, 'PTHR16062:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122119),
(178394, 'PTHR43871', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE YWHC-RELATED', 122120),
(178395, 'PTHR11935:SF143', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE', 122121),
(178396, 'PTHR23428:SF276', NULL, NULL, NULL, NULL, 'HISTONE H2B', 122122),
(178397, 'PTHR23225', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 122123),
(178398, 'PTHR12654:SF25', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', 122124),
(178399, 'PTHR12349:SF7', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 122125),
(178400, 'PTHR11036:SF15', NULL, NULL, NULL, NULL, 'SEMAPHORIN-4A', 122126),
(178401, 'PTHR15136:SF5', NULL, NULL, NULL, NULL, 'STROMAL INTERACTION MOLECULE HOMOLOG', 122127),
(178402, 'PTHR24349:SF391', NULL, NULL, NULL, NULL, 'BNAC09G38250D PROTEIN', 122128),
(178403, 'PTHR40704', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT4', 122129),
(178404, 'PTHR34709:SF11', NULL, NULL, NULL, NULL, 'OS07G0113600 PROTEIN', 122130),
(178405, 'PTHR48107:SF5', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER PROTEIN] REDUCTASE', 122131);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(178406, 'PTHR43580:SF5', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G13320)', 122132),
(178407, 'PTHR18937', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES SMC FAMILY MEMBER', 122133),
(178408, 'PTHR24056:SF159', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 15', 122134),
(178409, 'PTHR48017:SF89', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 2', 122135),
(178410, 'PTHR11937:SF370', NULL, NULL, NULL, NULL, 'ALPHA-CENTRACTIN', 122136),
(178411, 'PTHR19877:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT I', 122137),
(178412, 'PTHR10438:SF384', NULL, NULL, NULL, NULL, 'MONODEHYDROASCORBATE REDUCTASE (NADH)-RELATED', 122138),
(178413, 'PTHR10585:SF76', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN RETAINING RECEPTOR-LIKE PROTEIN', 122139),
(178414, 'PTHR31080:SF94', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE PROTEIN', 122140),
(178415, 'PTHR12406:SF4', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PHOSPHOLIPASE DOMAIN-CONTAINING PROTEIN 5', 122141),
(178416, 'PTHR45894', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 8A', 122142),
(178417, 'PTHR45619:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 CATALYTIC SUBUNIT', 122143),
(178418, 'PTHR10131:SF21', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 2', 122144),
(178419, 'PTHR10271:SF31', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 9', 122145),
(178420, 'PTHR34986:SF4', NULL, NULL, NULL, NULL, 'TOXIN-ANTITOXIN BIOFILM PROTEIN TABA', 122146),
(178421, 'PTHR27002:SF859', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122147),
(178422, 'PTHR46033:SF45', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM HOMOLOG', 122148),
(178423, 'PTHR31307:SF53', NULL, NULL, NULL, NULL, 'BNAA05G14030D PROTEIN', 122149),
(178424, 'PTHR11668:SF449', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 122150),
(178425, 'PTHR10177:SF225', NULL, NULL, NULL, NULL, 'CYCLIN-D5-2', 122151),
(178426, 'PTHR24023:SF896', NULL, NULL, NULL, NULL, 'COLLAGEN', 122152),
(178427, 'PTHR22957:SF521', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', 122153),
(178428, 'PTHR47179:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 122154),
(178429, 'PTHR22298:SF113', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 122155),
(178430, 'PTHR24418:SF367', NULL, NULL, NULL, NULL, 'INACTIVE TYROSINE-PROTEIN KINASE KIN-32', 122156),
(178431, 'PTHR32093:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122157),
(178432, 'PTHR24203', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 122158),
(178433, 'PTHR32057:SF16', NULL, NULL, NULL, NULL, 'UPF0061 PROTEIN-RELATED', 122159),
(178434, 'PTHR33936:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG22545', 122160),
(178435, 'PTHR12131:SF21', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE MER3-LIKE PROTEIN', 122161),
(178436, 'PTHR48005:SF11', NULL, NULL, NULL, NULL, 'BNAC09G50960D PROTEIN', 122162),
(178437, 'PTHR11017:SF359', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN PROTEIN', 122163),
(178438, 'PTHR24376:SF190', NULL, NULL, NULL, NULL, 'SI:DKEY-89B17.4', 122164),
(178439, 'PTHR46632:SF23', NULL, NULL, NULL, NULL, 'BNAA04G28030D PROTEIN', 122165),
(178440, 'PTHR46330:SF4', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 10D', 122166),
(178441, 'PTHR33985:SF17', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 122167),
(178442, 'PTHR27009:SF74', NULL, NULL, NULL, NULL, 'OS01G0117200 PROTEIN', 122168),
(178443, 'PTHR23268:SF99', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 5-8', 122169),
(178444, 'PTHR10334:SF478', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED LEAF PROTEIN 6', 122170),
(178445, 'PTHR20208:SF10', NULL, NULL, NULL, NULL, 'STRUCTURE-SPECIFIC ENDONUCLEASE SUBUNIT SLX1', 122171),
(178446, 'PTHR35889:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122172),
(178447, 'PTHR23107:SF0', NULL, NULL, NULL, NULL, 'GRF1-INTERACTING FACTOR 2-RELATED', 122173);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(178448, 'PTHR38614:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG04040', 122174),
(178449, 'PTHR46671:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG24931', 122175),
(178450, 'PTHR31989:SF104', NULL, NULL, NULL, NULL, 'NAC DOMAIN TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', 122176),
(178451, 'PTHR10994:SF85', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B9', 122177),
(178452, 'PTHR35703:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122178),
(178453, 'PTHR48019:SF89', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL16', 122179),
(178454, 'PTHR46067', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 122180),
(178455, 'PTHR47440:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA A430078G23 GENE', 122181),
(178456, 'PTHR33511', NULL, NULL, NULL, NULL, 'OS06G0632400 PROTEIN', 122182),
(178457, 'PTHR13593:SF89', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASES SUPERFAMILY PROTEIN', 122183),
(178458, 'PTHR18934:SF225', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN CONTAINING 9', 122184),
(178459, 'PTHR33346:SF33', NULL, NULL, NULL, NULL, 'DEHYDRIN RAB15', 122185),
(178460, 'PTHR37264:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L31', 122186),
(178461, 'PTHR37189', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', 122187),
(178462, 'PTHR11945:SF603', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122188),
(178463, 'PTHR11890', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR FAMILY MEMBER', 122189),
(178464, 'PTHR30570', NULL, NULL, NULL, NULL, 'PERIPLASMIC PHOSPHATE BINDING COMPONENT OF PHOSPHATE ABC TRANSPORTER', 122190),
(178465, 'PTHR35119:SF5', NULL, NULL, NULL, NULL, 'PROTEIN GIGAS CELL1', 122191),
(178466, 'PTHR11850', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN TRANSCRIPTION FACTORS', 122192),
(178467, 'PTHR31673:SF30', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 6', 122193),
(178468, 'PTHR31889:SF62', NULL, NULL, NULL, NULL, 'OS06G0211700 PROTEIN', 122194),
(178469, 'PTHR23192:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CBG11927', 122195),
(178470, 'PTHR48025:SF9', NULL, NULL, NULL, NULL, 'OS02G0815200 PROTEIN', 122196),
(178471, 'PTHR11669:SF63', NULL, NULL, NULL, NULL, 'PROTEIN STICHEL-LIKE 1', 122197),
(178472, 'PTHR15288:SF2', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 2D', 122198),
(178473, 'PTHR15360:SF1', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR RECEPTOR-LIKE PROTEIN', 122199),
(178474, 'PTHR47809:SF2', NULL, NULL, NULL, NULL, 'DNA-BINDING BROMODOMAIN-CONTAINING PROTEIN', 122200),
(178475, 'PTHR31218:SF188', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 122201),
(178476, 'PTHR13878:SF125', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE 3', 122202),
(178477, 'PTHR47775:SF1', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 14', 122203),
(178478, 'PTHR21495:SF148', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 122204),
(178479, 'PTHR31360:SF14', NULL, NULL, NULL, NULL, 'OIL BODY-ASSOCIATED PROTEIN 2B', 122205),
(178480, 'PTHR43675:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122206),
(178481, 'PTHR16146:SF21', NULL, NULL, NULL, NULL, 'INTELECTIN-2', 122207),
(178482, 'PTHR45824:SF10', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', 122208),
(178483, 'PTHR35511', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR-LIKE PROTEIN', 122209),
(178484, 'PTHR10270:SF199', NULL, NULL, NULL, NULL, 'SEX-DETERMINING REGION Y PROTEIN', 122210),
(178485, 'PTHR30032:SF5', NULL, NULL, NULL, NULL, 'GERMINATION-SPECIFIC N-ACETYLMURAMOYL-L-ALANINE AMIDASE', 122211),
(178486, 'PTHR13061:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122212),
(178487, 'PTHR35284:SF6', NULL, NULL, NULL, NULL, 'HOP-INTERACTING PROTEIN THI045', 122213),
(178488, 'PTHR13114', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 17', 122214),
(178489, 'PTHR45660:SF55', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, SUVH PROTEIN', 122215),
(178490, 'PTHR30199', NULL, NULL, NULL, NULL, 'MFS FAMILY TRANSPORTER, PREDICTED SUBSTRATE BENZOATE', 122216);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(178491, 'PTHR47997:SF45', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB83', 122217),
(178492, 'PTHR11206:SF429', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 122218),
(178493, 'PTHR46111', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE I', 122219),
(178494, 'PTHR27005:SF250', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 1-RELATED', 122220),
(178495, 'PTHR48040:SF8', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE SUBFAMILY PROTEIN', 122221),
(178496, 'PTHR24326:SF577', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-40-LIKE', 122222),
(178497, 'PTHR10792:SF39', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24-LIKE', 122223),
(178498, 'PTHR47087:SF1', NULL, NULL, NULL, NULL, 'METHIONINE S-METHYLTRANSFERASE', 122224),
(178499, 'PTHR43859:SF4', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 1, PEROXISOMAL-RELATED', 122225),
(178500, 'PTHR45680:SF25', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 122226),
(178501, 'PTHR22747', NULL, NULL, NULL, NULL, 'NUCLEOPLASMIN', 122227),
(178502, 'PTHR33526:SF27', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 122228),
(178503, 'PTHR24062:SF49', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 122229),
(178504, 'PTHR14237:SF57', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE (PLP)-DEPENDENT TRANSFERASES SUPERFAMILY PROTEIN', 122230),
(178505, 'PTHR31080:SF244', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 122231),
(178506, 'PTHR11814:SF216', NULL, NULL, NULL, NULL, 'HIGH AFFINITY SULFATE TRANSPORTER TYPE 1', 122232),
(178507, 'PTHR10108:SF1121', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN-RELATED', 122233),
(178508, 'PTHR12553:SF70', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE-LIKE', 122234),
(178509, 'PTHR30151:SF20', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN HI_0355-RELATED', 122235),
(178510, 'PTHR31876:SF15', NULL, NULL, NULL, NULL, 'COV-LIKE PROTEIN 1', 122236),
(178511, 'PTHR48150:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE-ASSEMBLY FACTOR COX23, MITOCHONDRIAL', 122237),
(178512, 'PTHR43349:SF70', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE-RELATED', 122238),
(178513, 'PTHR10562:SF92', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', 122239),
(178514, 'PTHR21659:SF91', NULL, NULL, NULL, NULL, 'LOW TEMPERATURE AND SALT RESPONSIVE PROTEIN FAMILY-RELATED', 122240),
(178515, 'PTHR34045:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122241),
(178516, 'PTHR10117:SF8', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 3', 122242),
(178517, 'PTHR31005:SF4', NULL, NULL, NULL, NULL, 'C.ELEGANS ORTHOLOGUE OF YEAST OLIGOSACCHARYLTRANSFERASE OST4P-RELATED', 122243),
(178518, 'PTHR47031:SF3', NULL, NULL, NULL, NULL, 'SAP DNA-BINDING DOMAIN-CONTAINING PROTEIN', 122244),
(178519, 'PTHR32153:SF13', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', 122245),
(178520, 'PTHR33990:SF2', NULL, NULL, NULL, NULL, 'BLL6663 PROTEIN', 122246),
(178521, 'PTHR45763:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN, EXPRESSED', 122247),
(178522, 'PTHR33472:SF20', NULL, NULL, NULL, NULL, 'BNAA04G27120D PROTEIN', 122248),
(178523, 'PTHR12901:SF9', NULL, NULL, NULL, NULL, 'COENZYME Q-BINDING PROTEIN COQ10 HOMOLOG B, MITOCHONDRIAL', 122249),
(178524, 'PTHR43828:SF6', NULL, NULL, NULL, NULL, 'C.ELEGANS CHROMODOMAIN PROTEIN', 122250),
(178525, 'PTHR44191:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DIVARICATA', 122251),
(178526, 'PTHR37231', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 122252),
(178527, 'PTHR14167:SF65', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN 2-LIKE ISOFORM X1', 122253),
(178528, 'PTHR24015:SF1903', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 122254),
(178529, 'PTHR27001:SF881', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 2-LIKE ISOFORM X1', 122255),
(178530, 'PTHR11963:SF41', NULL, NULL, NULL, NULL, 'LEUCINE AMINOPEPTIDASE 2, CHLOROPLASTIC-RELATED', 122256);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(178531, 'PTHR46224:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122257),
(178532, 'PTHR11071:SF502', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP18-4', 122258),
(178533, 'PTHR43795:SF20', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-RELATED PROTEIN 3', 122259),
(178534, 'PTHR10229:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122260),
(178535, 'PTHR45642:SF83', NULL, NULL, NULL, NULL, 'BNAA09G15550D PROTEIN', 122261),
(178536, 'PTHR10418', NULL, NULL, NULL, NULL, 'SECURIN-3', 122262),
(178537, 'PTHR46991:SF20', NULL, NULL, NULL, NULL, 'BNAA02G24820D PROTEIN', 122263),
(178538, 'PTHR43853:SF19', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE A, PEROXISOMAL', 122264),
(178539, 'PTHR43574:SF47', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 3'',5''-EPIMERASE', 122265),
(178540, 'PTHR33091:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122266),
(178541, 'PTHR31096:SF69', NULL, NULL, NULL, NULL, 'BNAC06G29950D PROTEIN', 122267),
(178542, 'PTHR46441:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EPIDIDYMAL PROTEIN 1', 122268),
(178543, 'PTHR10985:SF12', NULL, NULL, NULL, NULL, 'ENHANCER OF SPLIT M3 PROTEIN-RELATED', 122269),
(178544, 'PTHR21531:SF1', NULL, NULL, NULL, NULL, 'OS07G0634300 PROTEIN', 122270),
(178545, 'PTHR11538:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122271),
(178546, 'PTHR19433:SF76', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 5', 122272),
(178547, 'PTHR24180:SF3', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE TANKYRASE-1', 122273),
(178548, 'PTHR47979:SF60', NULL, NULL, NULL, NULL, 'RAS-RELATED SMALL GTP-BINDING FAMILY PROTEIN', 122274),
(178549, 'PTHR11486:SF140', NULL, NULL, NULL, NULL, 'EGL-17', 122275),
(178550, 'PTHR45658:SF38', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 3', 122276),
(178551, 'PTHR14754:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 3-RELATED', 122277),
(178552, 'PTHR21026:SF4', NULL, NULL, NULL, NULL, 'OS03G0168900 PROTEIN', 122278),
(178553, 'PTHR10887:SF442', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 122279),
(178554, 'PTHR35101:SF17', NULL, NULL, NULL, NULL, 'BNAA03G58560D PROTEIN', 122280),
(178555, 'PTHR26312:SF161', NULL, NULL, NULL, NULL, 'OSJNBA0067K08.11 PROTEIN', 122281),
(178556, 'PTHR43078:SF7', NULL, NULL, NULL, NULL, 'UDP-D-GLUCURONATE CARBOXY-LYASE-LIKE PROTEIN-RELATED', 122282),
(178557, 'PTHR22765:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122283),
(178558, 'PTHR48041:SF74', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 6-LIKE', 122284),
(178559, 'PTHR31190:SF303', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', 122285),
(178560, 'PTHR18945:SF450', NULL, NULL, NULL, NULL, 'GABA/GLYCINE RECEPTOR FAMILY (SEE GBR)', 122286),
(178561, 'PTHR24064:SF568', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122287),
(178562, 'PTHR10509:SF64', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE 1-RELATED', 122288),
(178563, 'PTHR44259:SF38', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 122289),
(178564, 'PTHR31674:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122290),
(178565, 'PTHR24015:SF1780', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 122291),
(178566, 'PTHR27001:SF864', NULL, NULL, NULL, NULL, 'LRR RECEPTOR KINASE SERL2', 122292),
(178567, 'PTHR31657:SF33', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF055', 122293),
(178568, 'PTHR35668:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SHORTAGE IN CHIASMATA 1 ORTHOLOG', 122294),
(178569, 'PTHR30540:SF130', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 122295),
(178570, 'PTHR11417:SF31', NULL, NULL, NULL, NULL, 'GROWTH HORMONE D5-RELATED', 122296),
(178571, 'PTHR46905:SF17', NULL, NULL, NULL, NULL, 'BNAC06G02470D PROTEIN', 122297),
(178572, 'PTHR11629:SF106', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 122298),
(178573, 'PTHR22844:SF338', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN SEL-10-LIKE', 122299),
(178574, 'PTHR32219', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN YLMH-RELATED', 122300);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(178575, 'PTHR43785:SF3', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE-RELATED', 122301),
(178576, 'PTHR47590:SF4', NULL, NULL, NULL, NULL, 'KAR-UP F-BOX 1-RELATED', 122302),
(178577, 'PTHR18937:SF12', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN', 122303),
(178578, 'PTHR31626:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM171A2', 122304),
(178579, 'PTHR19303:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122305),
(178580, 'PTHR18959:SF98', NULL, NULL, NULL, NULL, 'MUSCLE-SPECIFIC PROTEIN 20', 122306),
(178581, 'PTHR11814:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122307),
(178582, 'PTHR45648:SF102', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE LTL1-LIKE', 122308),
(178583, 'PTHR31642:SF174', NULL, NULL, NULL, NULL, 'BENZYL ALCOHOL O-BENZOYLTRANSFERASE-LIKE', 122309),
(178584, 'PTHR46086:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122310),
(178585, 'PTHR46215:SF9', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 25', 122311),
(178586, 'PTHR31061:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122312),
(178587, 'PTHR24132:SF17', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 6', 122313),
(178588, 'PTHR31526:SF3', NULL, NULL, NULL, NULL, 'INTS3 AND NABP INTERACTING PROTEIN', 122314),
(178589, 'PTHR37721', NULL, NULL, NULL, NULL, 'OS05G0464200 PROTEIN', 122315),
(178590, 'PTHR21112:SF0', NULL, NULL, NULL, NULL, 'CHEMOSENSORY PROTEIN A 29A-RELATED', 122316),
(178591, 'PTHR46084:SF15', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 122317),
(178592, 'PTHR11736:SF84', NULL, NULL, NULL, NULL, '4933402E13RIK PROTEIN', 122318),
(178593, 'PTHR24416:SF520', NULL, NULL, NULL, NULL, 'DISCOIDIN DOMAIN RECEPTOR TYROSINE KINASE 2B', 122319),
(178594, 'PTHR12910:SF12', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT', 122320),
(178595, 'PTHR31373:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122321),
(178596, 'PTHR22574:SF14', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 122322),
(178597, 'PTHR20986', NULL, NULL, NULL, NULL, 'FMRFAMIDE-RELATED PEPTIDES', 122323),
(178598, 'PTHR31789:SF12', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT PROTEIN', 122324),
(178599, 'PTHR10545:SF52', NULL, NULL, NULL, NULL, 'SPERMIDINE/SPERMINE N1-ACETYLTRANSFERASE FAMILY MEMBER 2B', 122325),
(178600, 'PTHR14024:SF9', NULL, NULL, NULL, NULL, 'PERILIPIN-5', 122326),
(178601, 'PTHR39190', NULL, NULL, NULL, NULL, 'FLAGELLAR ASSEMBLY FACTOR FLIW', 122327),
(178602, 'PTHR35679:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4933402J07 GENE', 122328),
(178603, 'PTHR16356', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 6 TMCO6', 122329),
(178604, 'PTHR23213:SF374', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 122330),
(178605, 'PTHR43795:SF32', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE GLII-RELATED', 122331),
(178606, 'PTHR24115:SF829', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12F', 122332),
(178607, 'PTHR31333', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING DNA REPAIR FACTOR 3 FAMILY MEMBER', 122333),
(178608, 'PTHR10579:SF57', NULL, NULL, NULL, NULL, 'OS11G0687100 PROTEIN', 122334),
(178609, 'PTHR11005:SF109', NULL, NULL, NULL, NULL, 'LIPASE', 122335),
(178610, 'PTHR31839:SF53', NULL, NULL, NULL, NULL, 'AP2/ERF DOMAIN-CONTAINING TRANSCRIPTION FACTOR', 122336),
(178611, 'PTHR12242:SF29', NULL, NULL, NULL, NULL, 'PLANT/MGF10-16 PROTEIN', 122337),
(178612, 'PTHR23032:SF12', NULL, NULL, NULL, NULL, 'TARGETING BRO1-LIKE DOMAIN-CONTAINING PROTEIN, PUTATIVE ISOFORM 1-RELATED', 122338),
(178613, 'PTHR33625:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 122339),
(178614, 'PTHR12741:SF78', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 9', 122340),
(178615, 'PTHR31375:SF166', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 122341),
(178616, 'PTHR33976:SF14', NULL, NULL, NULL, NULL, 'BNAC03G34510D PROTEIN', 122342),
(178617, 'PTHR10161:SF46', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 122343),
(178618, 'PTHR14237:SF19', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE', 122344);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(178619, 'PTHR31865:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122345),
(178620, 'PTHR40626:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR (AMDA), PUTATIVE-RELATED', 122346),
(178621, 'PTHR36406:SF3', NULL, NULL, NULL, NULL, 'BNAA09G06600D PROTEIN', 122347),
(178622, 'PTHR32278:SF70', NULL, NULL, NULL, NULL, 'BNAC02G47870D PROTEIN', 122348),
(178623, 'PTHR27002:SF442', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 122349),
(178624, 'PTHR12598', NULL, NULL, NULL, NULL, 'COPPER HOMEOSTASIS PROTEIN CUTC', 122350),
(178625, 'PTHR48046:SF1', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 72E1', 122351),
(178626, 'PTHR34798:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TIME FOR COFFEE', 122352),
(178627, 'PTHR23138:SF157', NULL, NULL, NULL, NULL, 'RAN-SPECIFIC GTPASE-ACTIVATING PROTEIN 1', 122353),
(178628, 'PTHR22958:SF29', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD2', 122354),
(178629, 'PTHR33836:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122355),
(178630, 'PTHR18953:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122356),
(178631, 'PTHR24186:SF15', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PLANT PROTEIN', 122357),
(178632, 'PTHR11875:SF108', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED-LIKE PROTEIN 3-RELATED', 122358),
(178633, 'PTHR32332:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122359),
(178634, 'PTHR44329:SF156', NULL, NULL, NULL, NULL, 'RECEPTOR (TNFRSF)-INTERACTING SERINE-THREONINE KINASE 1,-LIKE', 122360),
(178635, 'PTHR11660:SF57', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 PROTEIN', 122361),
(178636, 'PTHR10165:SF170', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE HOMOLOG', 122362),
(178637, 'PTHR11122:SF19', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 122363),
(178638, 'PTHR12191:SF14', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP10', 122364),
(178639, 'PTHR10201:SF224', NULL, NULL, NULL, NULL, 'MATRIX METALLOPEPTIDASE 17B', 122365),
(178640, 'PTHR12765', NULL, NULL, NULL, NULL, 'RED PROTEIN  IK FACTOR   CYTOKINE IK', 122366),
(178641, 'PTHR47926:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122367),
(178642, 'PTHR22600:SF45', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE', 122368),
(178643, 'PTHR12411:SF57', NULL, NULL, NULL, NULL, 'CATHEPSIN L1', 122369),
(178644, 'PTHR10926:SF30', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT', 122370),
(178645, 'PTHR27007:SF350', NULL, NULL, NULL, NULL, 'BNAC09G35950D PROTEIN', 122371),
(178646, 'PTHR31374:SF289', NULL, NULL, NULL, NULL, 'BNAA02G17300D PROTEIN', 122372),
(178647, 'PTHR10891:SF901', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', 122373),
(178648, 'PTHR46166:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D8', 122374),
(178649, 'PTHR32285:SF208', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 2', 122375),
(178650, 'PTHR21700:SF18', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 122376),
(178651, 'PTHR31903:SF4', NULL, NULL, NULL, NULL, 'OS02G0507600 PROTEIN', 122377),
(178652, 'PTHR43719:SF11', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE G7-RELATED', 122378),
(178653, 'PTHR36857:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 25', 122379),
(178654, 'PTHR31342:SF4', NULL, NULL, NULL, NULL, 'ACTIN BINDING PROTEIN FAMILY', 122380),
(178655, 'PTHR47758:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS M', 122381),
(178656, 'PTHR33122:SF59', NULL, NULL, NULL, NULL, 'BNAC03G35270D PROTEIN', 122382),
(178657, 'PTHR47459:SF3', NULL, NULL, NULL, NULL, 'OS03G0149400 PROTEIN', 122383),
(178658, 'PTHR12388:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM16', 122384),
(178659, 'PTHR10037:SF209', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT T-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1I', 122385),
(178660, 'PTHR32096:SF36', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 30-RELATED', 122386),
(178661, 'PTHR13800:SF40', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CHANNEL', 122387),
(178662, 'PTHR10509:SF77', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE-RELATED', 122388);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(178663, 'PTHR24384:SF195', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 543', 122389),
(178664, 'PTHR10579:SF128', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE EDA40-RELATED', 122390),
(178665, 'PTHR12582:SF6', NULL, NULL, NULL, NULL, 'NETRIN RECEPTOR UNC5B', 122391),
(178666, 'PTHR23037:SF36', NULL, NULL, NULL, NULL, 'MPL PROTO-ONCOGENE, THROMBOPOIETIN RECEPTOR', 122392),
(178667, 'PTHR43088', NULL, NULL, NULL, NULL, 'SUBUNIT OF PYRUVATE:FLAVODOXIN OXIDOREDUCTASE-RELATED', 122393),
(178668, 'PTHR24270:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122394),
(178669, 'PTHR23213:SF177', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 11', 122395),
(178670, 'PTHR24349:SF314', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 11-LIKE', 122396),
(178671, 'PTHR10527:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122397),
(178672, 'PTHR19860:SF24', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING PROTEIN DDB_G0287407', 122398),
(178673, 'PTHR42813:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, ZINC-CONTAINING, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02810)-RELATED', 122399),
(178674, 'PTHR12378:SF17', NULL, NULL, NULL, NULL, 'OS02G0788133 PROTEIN', 122400),
(178675, 'PTHR11645:SF6', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE 1, MITOCHONDRIAL', 122401),
(178676, 'PTHR23267:SF325', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 5-39', 122402),
(178677, 'PTHR12696:SF0', NULL, NULL, NULL, NULL, 'CULLIN-ASSOCIATED NEDD8-DISSOCIATED PROTEIN 1', 122403),
(178678, 'PTHR35021:SF7', NULL, NULL, NULL, NULL, 'PROTEIN FB17, PUTATIVE-RELATED', 122404),
(178679, 'PTHR48004:SF14', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', 122405),
(178680, 'PTHR31448:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122406),
(178681, 'PTHR24174:SF11', NULL, NULL, NULL, NULL, 'CASK-INTERACTING PROTEIN 1', 122407),
(178682, 'PTHR11481:SF93', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE PROTEIN 3', 122408),
(178683, 'PTHR31717:SF77', NULL, NULL, NULL, NULL, 'OS09G0509700 PROTEIN', 122409),
(178684, 'PTHR33057:SF70', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP6', 122410),
(178685, 'PTHR36116', NULL, NULL, NULL, NULL, 'UPF0060 MEMBRANE PROTEIN YNFA', 122411),
(178686, 'PTHR46423:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 122412),
(178687, 'PTHR19969:SF14', NULL, NULL, NULL, NULL, 'DREADLOCKS, ISOFORM B', 122413),
(178688, 'PTHR31707:SF249', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR', 122414),
(178689, 'PTHR11675:SF122', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE', 122415),
(178690, 'PTHR31325:SF92', NULL, NULL, NULL, NULL, 'OS05G0324300 PROTEIN', 122416),
(178691, 'PTHR21017', NULL, NULL, NULL, NULL, 'NIPSNAP-RELATED', 122417),
(178692, 'PTHR46932:SF14', NULL, NULL, NULL, NULL, 'ATFP4', 122418),
(178693, 'PTHR12937:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 28 HOMOLOG', 122419),
(178694, 'PTHR33693:SF3', NULL, NULL, NULL, NULL, 'TYPE-5 URACIL-DNA GLYCOSYLASE', 122420),
(178695, 'PTHR13467:SF3', NULL, NULL, NULL, NULL, 'CUE DOMAIN-CONTAINING PROTEIN 1', 122421),
(178696, 'PTHR10218:SF236', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-2 SUBUNIT', 122422),
(178697, 'PTHR12315:SF0', NULL, NULL, NULL, NULL, '7SK SNRNA METHYLPHOSPHATE CAPPING ENZYME', 122423),
(178698, 'PTHR22870:SF230', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACGG', 122424),
(178699, 'PTHR15732:SF4', NULL, NULL, NULL, NULL, 'PROTEIN MOONRAKER', 122425),
(178700, 'PTHR37184:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122426),
(178701, 'PTHR42919:SF26', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', 122427),
(178702, 'PTHR10130:SF2', NULL, NULL, NULL, NULL, 'PEROXISOMAL TARGETING SIGNAL 1 RECEPTOR', 122428),
(178703, 'PTHR33146:SF25', NULL, NULL, NULL, NULL, 'BNAC03G77000D PROTEIN', 122429),
(178704, 'PTHR33312:SF30', NULL, NULL, NULL, NULL, 'BNAA10G12350D PROTEIN', 122430),
(178705, 'PTHR10529:SF361', NULL, NULL, NULL, NULL, 'BNAC08G11670D PROTEIN', 122431),
(178706, 'PTHR22847:SF711', NULL, NULL, NULL, NULL, 'OS08G0557500 PROTEIN', 122432);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(178707, 'PTHR10994', NULL, NULL, NULL, NULL, 'RETICULON', 122433),
(178708, 'PTHR47925:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122434),
(178709, 'PTHR36940:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG23643', 122435),
(178710, 'PTHR43176:SF5', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 4, MITOCHONDRIAL', 122436),
(178711, 'PTHR10724:SF11', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S1, CHLOROPLASTIC', 122437),
(178712, 'PTHR11214:SF241', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT4', 122438),
(178713, 'PTHR45817:SF5', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE HOMOLOG 4', 122439),
(178714, 'PTHR46643:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GOOSECOID-2', 122440),
(178715, 'PTHR43272:SF42', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 3', 122441),
(178716, 'PTHR46128:SF5', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 122442),
(178717, 'PTHR46224:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122443),
(178718, 'PTHR31677:SF123', NULL, NULL, NULL, NULL, 'ERF DOMAIN PROTEIN 12-RELATED', 122444),
(178719, 'PTHR34038', NULL, NULL, NULL, NULL, 'ATP SYNTHASE MEMBRANE SUBUNIT DAPIT, MITOCHONDRIAL', 122445),
(178720, 'PTHR38103', NULL, NULL, NULL, NULL, 'RECOMBINATION-ASSOCIATED PROTEIN RDGC', 122446),
(178721, 'PTHR21749', NULL, NULL, NULL, NULL, 'PRION-LIKE- Q/N-RICH -DOMAIN-BEARING PROTEIN PROTEIN 24', 122447),
(178722, 'PTHR24377:SF870', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 302', 122448),
(178723, 'PTHR32191:SF42', NULL, NULL, NULL, NULL, 'TETRASPANIN-9', 122449),
(178724, 'PTHR11465:SF39', NULL, NULL, NULL, NULL, 'CATALASE-1', 122450),
(178725, 'PTHR31238:SF220', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 122451),
(178726, 'PTHR31225:SF4', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE23', 122452),
(178727, 'PTHR24326:SF595', NULL, NULL, NULL, NULL, 'BNAA02G34710D PROTEIN', 122453),
(178728, 'PTHR12035:SF103', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 5', 122454),
(178729, 'PTHR45720:SF10', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN 2', 122455),
(178730, 'PTHR10579:SF55', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE WAV3', 122456),
(178731, 'PTHR31558:SF26', NULL, NULL, NULL, NULL, 'BNAA09G45930D PROTEIN', 122457),
(178732, 'PTHR31342:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122458),
(178733, 'PTHR38218:SF11', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 122459),
(178734, 'PTHR36109:SF1', NULL, NULL, NULL, NULL, 'SLR0613 PROTEIN', 122460),
(178735, 'PTHR33288', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 122461),
(178736, 'PTHR48149', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37A-2', 122462),
(178737, 'PTHR13581', NULL, NULL, NULL, NULL, 'MRG-BINDING PROTEIN', 122463),
(178738, 'PTHR33377:SF60', NULL, NULL, NULL, NULL, 'OS01G0720900 PROTEIN', 122464),
(178739, 'PTHR21503:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG03576', 122465),
(178740, 'PTHR13693:SF58', NULL, NULL, NULL, NULL, '5-AMINOLEVULINATE SYNTHASE, ERYTHROID-SPECIFIC, MITOCHONDRIAL', 122466),
(178741, 'PTHR31972:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122467),
(178742, 'PTHR38572', NULL, NULL, NULL, NULL, 'BCDNA.GH07269-RELATED', 122468),
(178743, 'PTHR31062:SF214', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 122469),
(178744, 'PTHR48020:SF19', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 2-RELATED', 122470),
(178745, 'PTHR10992:SF1020', NULL, NULL, NULL, NULL, 'METHYLESTERASE 19-RELATED', 122471),
(178746, 'PTHR10574:SF402', NULL, NULL, NULL, NULL, 'LAMININ, ALPHA 4', 122472),
(178747, 'PTHR11728:SF1', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)] 2, CHLOROPLASTIC', 122473),
(178748, 'PTHR45684:SF30', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1A', 122474),
(178749, 'PTHR13466:SF12', NULL, NULL, NULL, NULL, 'BNAC05G13780D PROTEIN', 122475),
(178750, 'PTHR10139:SF7', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR PROTEIN', 122476),
(178751, 'PTHR12547:SF63', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 37', 122477);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(178752, 'PTHR15617', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 122478),
(178753, 'PTHR47529:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE D', 122479),
(178754, 'PTHR15002:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL BIOGENESIS PROTEIN LAS1L', 122480),
(178755, 'PTHR11254:SF67', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HUWE1', 122481),
(178756, 'PTHR33543:SF19', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN TYPE 2', 122482),
(178757, 'PTHR48077:SF4', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE', 122483),
(178758, 'PTHR43019:SF38', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 1, CHLOROPLASTIC', 122484),
(178759, 'PTHR10159:SF503', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 1B', 122485),
(178760, 'PTHR24061:SF415', NULL, NULL, NULL, NULL, 'SI:CH211-203B20.7', 122486),
(178761, 'PTHR31213:SF113', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL6', 122487),
(178762, 'PTHR39964', NULL, NULL, NULL, NULL, 'UPF0292 PROTEIN TK1411', 122488),
(178763, 'PTHR11660:SF68', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 MEMBER 1', 122489),
(178764, 'PTHR33021:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122490),
(178765, 'PTHR10775', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 122491),
(178766, 'PTHR37360', NULL, NULL, NULL, NULL, 'FRAGILE X MENTAL RETARDATION 1 NEIGHBOR PROTEIN', 122492),
(178767, 'PTHR12184', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE COMPLEX ASSEMBLY FACTOR 1 FAMILY MEMBER', 122493),
(178768, 'PTHR23024:SF365', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122494),
(178769, 'PTHR31044:SF56', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E 10', 122495),
(178770, 'PTHR43019:SF22', NULL, NULL, NULL, NULL, 'OS08G0146001 PROTEIN', 122496),
(178771, 'PTHR31235:SF36', NULL, NULL, NULL, NULL, 'PEROXIDASE', 122497),
(178772, 'PTHR14255:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122498),
(178773, 'PTHR31929:SF54', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 122499),
(178774, 'PTHR24082:SF496', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-2', 122500),
(178775, 'PTHR12654', NULL, NULL, NULL, NULL, 'BILE ACID BETA-GLUCOSIDASE-RELATED', 122501),
(178776, 'PTHR35392:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 122502),
(178777, 'PTHR10026:SF130', NULL, NULL, NULL, NULL, 'CYCLIN-T1-LIKE PROTEIN', 122503),
(178778, 'PTHR20884:SF19', NULL, NULL, NULL, NULL, 'ASCORBATE BIOSYNTHESIS-RELATED PROTEIN', 122504),
(178779, 'PTHR11599:SF62', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-3', 122505),
(178780, 'PTHR47928:SF160', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 122506),
(178781, 'PTHR23338:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG02959', 122507),
(178782, 'PTHR48022:SF18', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', 122508),
(178783, 'PTHR44042:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DIVARICATA', 122509),
(178784, 'PTHR10551:SF33', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 122510),
(178785, 'PTHR24240:SF17', NULL, NULL, NULL, NULL, 'LONG-WAVE-SENSITIVE OPSIN 1-RELATED', 122511),
(178786, 'PTHR22367:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 14', 122512),
(178787, 'PTHR22952:SF419', NULL, NULL, NULL, NULL, 'BNAC04G56840D PROTEIN', 122513),
(178788, 'PTHR42948:SF1', NULL, NULL, NULL, NULL, 'TRANSPORTER', 122514),
(178789, 'PTHR10652:SF18', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', 122515),
(178790, 'PTHR33384:SF18', NULL, NULL, NULL, NULL, 'BNAA07G24630D PROTEIN', 122516),
(178791, 'PTHR22834:SF9', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 37', 122517),
(178792, 'PTHR32285:SF193', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 32-RELATED', 122518),
(178793, 'PTHR31155:SF28', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE', 122519),
(178794, 'PTHR32439:SF6', NULL, NULL, NULL, NULL, 'FERREDOXIN--NITRITE REDUCTASE, CHLOROPLASTIC', 122520);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(178795, 'PTHR12110:SF46', NULL, NULL, NULL, NULL, '3-DEHYDROSHIKIMATE DEHYDRATASE', 122521),
(178796, 'PTHR10136:SF6', NULL, NULL, NULL, NULL, 'UTEROGLOBIN', 122522),
(178797, 'PTHR21663:SF0', NULL, NULL, NULL, NULL, 'SORTING OF APICAL PROTEINS', 122523),
(178798, 'PTHR20338', NULL, NULL, NULL, NULL, 'NUCLEAR RESPIRATORY FACTOR 1', 122524),
(178799, 'PTHR11727:SF7', NULL, NULL, NULL, NULL, 'DIMETHYLADENOSINE TRANSFERASE-RELATED', 122525),
(178800, 'PTHR31447', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN-RELATED', 122526),
(178801, 'PTHR43300:SF4', NULL, NULL, NULL, NULL, '2,3,4,5-TETRAHYDROPYRIDINE-2,6-DICARBOXYLATE N-ACETYLTRANSFERASE', 122527),
(178802, 'PTHR31265:SF38', NULL, NULL, NULL, NULL, 'GALACTOSE-BINDING DOMAIN-LIKE PROTEIN-RELATED', 122528),
(178803, 'PTHR43721:SF26', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU, MITOCHONDRIAL', 122529),
(178804, 'PTHR12784:SF6', NULL, NULL, NULL, NULL, 'NEURON NAVIGATOR 2', 122530),
(178805, 'PTHR12081:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F1', 122531),
(178806, 'PTHR47666:SF1', NULL, NULL, NULL, NULL, 'PROTEIN VASCULAR ASSOCIATED DEATH 1, CHLOROPLASTIC', 122532),
(178807, 'PTHR12862', NULL, NULL, NULL, NULL, 'BADF TYPE ATPASE DOMAIN-CONTAINING PROTEIN', 122533),
(178808, 'PTHR22979:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 512B', 122534),
(178809, 'PTHR11654:SF164', NULL, NULL, NULL, NULL, 'OS01G0872300 PROTEIN', 122535),
(178810, 'PTHR21527', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP35', 122536),
(178811, 'PTHR24366:SF27', NULL, NULL, NULL, NULL, 'NYCTALOPIN', 122537),
(178812, 'PTHR22889:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 89', 122538),
(178813, 'PTHR10277:SF57', NULL, NULL, NULL, NULL, 'ISOPROPYLMALATE/HOMOCITRATE/CITRAMALATE SYNTHASE', 122539),
(178814, 'PTHR23176:SF116', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN AT 19D, ISOFORM D', 122540),
(178815, 'PTHR22957:SF263', NULL, NULL, NULL, NULL, 'MITOTIC CHECK POINT PROTEIN BUB2', 122541),
(178816, 'PTHR16675:SF130', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD1B', 122542),
(178817, 'PTHR32141:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122543),
(178818, 'PTHR11871:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B BETA ISOFORM', 122544),
(178819, 'PTHR23077:SF9', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY FACTOR 2', 122545),
(178820, 'PTHR47888:SF1', NULL, NULL, NULL, NULL, 'UPF0730 PROTEIN ENCODED BY LINC00643-RELATED', 122546),
(178821, 'PTHR33136:SF64', NULL, NULL, NULL, NULL, 'BNAANNG39730D PROTEIN', 122547),
(178822, 'PTHR45831:SF2', NULL, NULL, NULL, NULL, 'LD24721P', 122548),
(178823, 'PTHR39683', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN TB16.3', 122549),
(178824, 'PTHR35794:SF1', NULL, NULL, NULL, NULL, 'CELL CYCLE PROTEIN GPSB', 122550),
(178825, 'PTHR31361:SF1', NULL, NULL, NULL, NULL, 'BETA-GLUCAN SYNTHESIS-ASSOCIATED PROTEIN KRE6-RELATED', 122551),
(178826, 'PTHR23189:SF89', NULL, NULL, NULL, NULL, 'AML1', 122552),
(178827, 'PTHR22765:SF160', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 38', 122553),
(178828, 'PTHR11206:SF264', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EXTRUSION PROTEIN', 122554),
(178829, 'PTHR31827:SF47', NULL, NULL, NULL, NULL, 'BNAA09G06880D PROTEIN', 122555),
(178830, 'PTHR31818:SF25', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', 122556),
(178831, 'PTHR16214', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 260', 122557),
(178832, 'PTHR44252:SF3', NULL, NULL, NULL, NULL, 'D-ERYTHRULOSE REDUCTASE', 122558),
(178833, 'PTHR47956:SF41', NULL, NULL, NULL, NULL, 'OS01G0227500 PROTEIN', 122559),
(178834, 'PTHR33052:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122560),
(178835, 'PTHR15718', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 122561),
(178836, 'PTHR24247', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR', 122562),
(178837, 'PTHR22776:SF10', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 8', 122563),
(178838, 'PTHR16950:SF16', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP13', 122564);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(178839, 'PTHR15503:SF6', NULL, NULL, NULL, NULL, 'PROTEIN LDOC1-RELATED', 122565),
(178840, 'PTHR22870:SF349', NULL, NULL, NULL, NULL, 'GTPASE BINDING PROTEIN, PUTATIVE-RELATED', 122566),
(178841, 'PTHR47924:SF4', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', 122567),
(178842, 'PTHR39313:SF1', NULL, NULL, NULL, NULL, 'IM:7138239', 122568),
(178843, 'PTHR30451:SF21', NULL, NULL, NULL, NULL, 'FIMBRIAL USHER DOMAIN-CONTAINING PROTEIN YDET-RELATED', 122569),
(178844, 'PTHR13068:SF170', NULL, NULL, NULL, NULL, 'BNAC04G19840D PROTEIN', 122570),
(178845, 'PTHR34277:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122571),
(178846, 'PTHR12304:SF52', NULL, NULL, NULL, NULL, 'INOSINE-URIDINE PREFERRING NUCLEOSIDE HYDROLASE', 122572),
(178847, 'PTHR33270:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122573),
(178848, 'PTHR11206:SF292', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 23', 122574),
(178849, 'PTHR23308:SF59', NULL, NULL, NULL, NULL, 'BNAA01G33000D PROTEIN', 122575),
(178850, 'PTHR45617:SF105', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR TOLLO', 122576),
(178851, 'PTHR12153:SF15', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE SELO, MITOCHONDRIAL', 122577),
(178852, 'PTHR48060:SF4', NULL, NULL, NULL, NULL, 'BNACNNG62760D PROTEIN', 122578),
(178853, 'PTHR33048:SF63', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00620)-RELATED', 122579),
(178854, 'PTHR34273:SF2', NULL, NULL, NULL, NULL, 'METHYLTHIORIBOSE KINASE', 122580),
(178855, 'PTHR43227:SF3', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEMS INNER MEMBRANE COMPONENT', 122581),
(178856, 'PTHR10177:SF455', NULL, NULL, NULL, NULL, 'BNACNNG16030D PROTEIN', 122582),
(178857, 'PTHR10258:SF4', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED POTASSIUM CHANNEL SUBUNIT BETA-3', 122583),
(178858, 'PTHR43381:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122584),
(178859, 'PTHR31238:SF97', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 2-1-RELATED', 122585),
(178860, 'PTHR13723:SF27', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 6', 122586),
(178861, 'PTHR31375:SF142', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE PLANT-LIKE PROTEIN', 122587),
(178862, 'PTHR30035:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122588),
(178863, 'PTHR10956:SF38', NULL, NULL, NULL, NULL, 'OS06G0319700 PROTEIN', 122589),
(178864, 'PTHR21576:SF136', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', 122590),
(178865, 'PTHR45752:SF124', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN-RELATED', 122591),
(178866, 'PTHR42655:SF1', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE', 122592),
(178867, 'PTHR46026', NULL, NULL, NULL, NULL, 'RHO-TYPE GUANINE NUCLEOTIDE EXCHANGE FACTOR, ISOFORM F', 122593),
(178868, 'PTHR11388:SF148', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER-RELATED', 122594),
(178869, 'PTHR27000:SF146', NULL, NULL, NULL, NULL, 'OSJNBB0022F23.6 PROTEIN', 122595),
(178870, 'PTHR11699:SF281', NULL, NULL, NULL, NULL, 'CYTOSOLIC ALDEHYDE DEHYDROGENASE', 122596),
(178871, 'PTHR19359:SF107', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 ISOFORM B', 122597),
(178872, 'PTHR11681:SF13', NULL, NULL, NULL, NULL, 'ISOTOCIN', 122598),
(178873, 'PTHR23421:SF52', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 14', 122599),
(178874, 'PTHR26452:SF227', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 122600),
(178875, 'PTHR11353:SF26', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT DELTA', 122601),
(178876, 'PTHR12147:SF48', NULL, NULL, NULL, NULL, 'BNAA07G25020D PROTEIN', 122602),
(178877, 'PTHR45856', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 122603),
(178878, 'PTHR31438:SF6', NULL, NULL, NULL, NULL, 'BIOSYNTHESIS ACETYLASE ACEI, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03400)-RELATED', 122604),
(178879, 'PTHR45743', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT1', 122605),
(178880, 'PTHR12589', NULL, NULL, NULL, NULL, 'PYRUVOYL TETRAHYDROBIOPTERIN SYNTHASE', 122606);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(178881, 'PTHR24334:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GBX-1', 122607),
(178882, 'PTHR33272:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG22877', 122608),
(178883, 'PTHR46301:SF5', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 6', 122609),
(178884, 'PTHR45647:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122610),
(178885, 'PTHR30546:SF43', NULL, NULL, NULL, NULL, 'OS01G0784800 PROTEIN', 122611),
(178886, 'PTHR14791:SF48', NULL, NULL, NULL, NULL, 'BNAC03G58250D PROTEIN', 122612),
(178887, 'PTHR47991:SF62', NULL, NULL, NULL, NULL, 'SYNTHASE/FLAVANONE 3-HYDROXYLASE, PUTATIVE-RELATED', 122613),
(178888, 'PTHR13809:SF50', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA', 122614),
(178889, 'PTHR11506:SF37', NULL, NULL, NULL, NULL, 'LAMP (LYSOSOME-ASSOCIATED MEMBRANE PROTEIN) HOMOLOG', 122615),
(178890, 'PTHR11216:SF136', NULL, NULL, NULL, NULL, 'DYNAMIN ASSOCIATED PROTEIN 160, ISOFORM D', 122616),
(178891, 'PTHR19321:SF30', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 1', 122617),
(178892, 'PTHR31713:SF40', NULL, NULL, NULL, NULL, 'OS02G0562300 PROTEIN', 122618),
(178893, 'PTHR13794:SF58', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ENOLASE SUPERFAMILY MEMBER 1', 122619),
(178894, 'PTHR47959:SF11', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DEAD BOX FAMILY', 122620),
(178895, 'PTHR19854:SF19', NULL, NULL, NULL, NULL, 'BNAC02G06840D PROTEIN', 122621),
(178896, 'PTHR11921:SF42', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] IRON-SULFUR SUBUNIT, MITOCHONDRIAL', 122622),
(178897, 'PTHR31415:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122623),
(178898, 'PTHR22952:SF412', NULL, NULL, NULL, NULL, 'ABA RESPONSIVE ELEMENT BINDING FACTOR 3', 122624),
(178899, 'PTHR43038:SF5', NULL, NULL, NULL, NULL, 'RE14039P', 122625),
(178900, 'PTHR10725:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122626),
(178901, 'PTHR46085:SF9', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD6-RELATED', 122627),
(178902, 'PTHR36725:SF2', NULL, NULL, NULL, NULL, 'BNACNNG33590D PROTEIN', 122628),
(178903, 'PTHR22588:SF6', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-4(VI) CHAIN', 122629),
(178904, 'PTHR38494', NULL, NULL, NULL, NULL, 'STEROID RECEPTOR-ASSOCIATED AND REGULATED PROTEIN', 122630),
(178905, 'PTHR45678:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 2-OXODICARBOXYLATE CARRIER 1-RELATED', 122631),
(178906, 'PTHR31989:SF247', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 94 ISOFORM X1-RELATED', 122632),
(178907, 'PTHR31391:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122633),
(178908, 'PTHR27007:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122634),
(178909, 'PTHR33103:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122635),
(178910, 'PTHR31642:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122636),
(178911, 'PTHR46775:SF3', NULL, NULL, NULL, NULL, 'GBF-INTERACTING PROTEIN 1-LIKE ISOFORM X1', 122637),
(178912, 'PTHR14106:SF0', NULL, NULL, NULL, NULL, 'TRIADIN', 122638),
(178913, 'PTHR43281:SF12', NULL, NULL, NULL, NULL, 'HETERODIMERIC GERANYLGERANYL PYROPHOSPHATE SYNTHASE LARGE SUBUNIT 1, CHLOROPLASTIC', 122639),
(178914, 'PTHR31221:SF240', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 10-RELATED', 122640),
(178915, 'PTHR13703:SF54', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG', 122641),
(178916, 'PTHR11413', NULL, NULL, NULL, NULL, 'CYSTATIN FAMILY MEMBER', 122642),
(178917, 'PTHR45933:SF15', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT ARF-TYPE GTPASE ACTIVATING FAMILY PROTEIN', 122643),
(178918, 'PTHR11017:SF366', NULL, NULL, NULL, NULL, 'BNAC03G63700D PROTEIN', 122644),
(178919, 'PTHR27002:SF848', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE ISOFORM 1-RELATED', 122645),
(178920, 'PTHR34406:SF2', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', 122646),
(178921, 'PTHR31241:SF2', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2F', 122647),
(178922, 'PTHR45860:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT ALPHA', 122648);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(178923, 'PTHR47992:SF98', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 6-RELATED', 122649),
(178924, 'PTHR46496', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 122650),
(178925, 'PTHR31232:SF114', NULL, NULL, NULL, NULL, 'BNAC06G06100D PROTEIN', 122651),
(178926, 'PTHR36056:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122652),
(178927, 'PTHR24026:SF92', NULL, NULL, NULL, NULL, 'GENE 281-RELATED', 122653),
(178928, 'PTHR46313', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 122654),
(178929, 'PTHR22950:SF185', NULL, NULL, NULL, NULL, 'PROTON-COUPLED AMINO ACID TRANSPORTER 2', 122655),
(178930, 'PTHR11863:SF167', NULL, NULL, NULL, NULL, 'BNAC03G12730D PROTEIN', 122656),
(178931, 'PTHR11315:SF12', NULL, NULL, NULL, NULL, 'FOLATE GAMMA-GLUTAMYL HYDROLASE', 122657),
(178932, 'PTHR33074:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122658),
(178933, 'PTHR14905', NULL, NULL, NULL, NULL, 'NG37', 122659),
(178934, 'PTHR46930:SF1', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 2', 122660),
(178935, 'PTHR43670:SF61', NULL, NULL, NULL, NULL, 'ALPHA-CRYSTALLIN DOMAIN 32.1', 122661),
(178936, 'PTHR16052:SF2', NULL, NULL, NULL, NULL, 'BNAC04G02540D PROTEIN', 122662),
(178937, 'PTHR45898', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN', 122663),
(178938, 'PTHR35792', NULL, NULL, NULL, NULL, 'GENERAL STRESS PROTEIN', 122664),
(178939, 'PTHR31301:SF7', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 4', 122665),
(178940, 'PTHR45844:SF6', NULL, NULL, NULL, NULL, 'BHLH PROTEIN FAMILY-LIKE', 122666),
(178941, 'PTHR11534', NULL, NULL, NULL, NULL, 'MYOGENIC FACTOR', 122667),
(178942, 'PTHR14194:SF103', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 122668),
(178943, 'PTHR24377:SF655', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 417-RELATED', 122669),
(178944, 'PTHR15710:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122670),
(178945, 'PTHR34459:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 122671),
(178946, 'PTHR31314:SF108', NULL, NULL, NULL, NULL, 'OS06G0703900 PROTEIN', 122672),
(178947, 'PTHR31099:SF25', NULL, NULL, NULL, NULL, 'BNAA08G06280D PROTEIN', 122673),
(178948, 'PTHR33098:SF52', NULL, NULL, NULL, NULL, 'T28P6.11 PROTEIN-RELATED', 122674),
(178949, 'PTHR43000:SF32', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL UDP-GLUCOSE 4,6-DEHYDRATASE/UDP-4-KETO-6-DEOXY-D-GLUCOSE 3,5-EPIMERASE/UDP-4-KETO-L-RHAMNOSE-REDUCTASE RHM1-LIKE', 122675),
(178950, 'PTHR15561', NULL, NULL, NULL, NULL, 'CALCITONIN GENE-RELATED PEPTIDE-RECEPTOR COMPONENT PROTEIN', 122676),
(178951, 'PTHR24068:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122677),
(178952, 'PTHR32099:SF50', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 28', 122678),
(178953, 'PTHR11216:SF29', NULL, NULL, NULL, NULL, 'INTERSECTIN-2', 122679),
(178954, 'PTHR24368:SF210', NULL, NULL, NULL, NULL, 'ANTIGEN BSP, PUTATIVE-RELATED', 122680),
(178955, 'PTHR47926:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122681),
(178956, 'PTHR47879:SF2', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B22', 122682),
(178957, 'PTHR11206:SF194', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 122683),
(178958, 'PTHR23291:SF100', NULL, NULL, NULL, NULL, 'BAX INHIBITOR 1-LIKE', 122684),
(178959, 'PTHR23113:SF203', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR H', 122685),
(178960, 'PTHR23273:SF79', NULL, NULL, NULL, NULL, 'OS11G0697050 PROTEIN', 122686),
(178961, 'PTHR31618:SF18', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 7', 122687),
(178962, 'PTHR11527:SF313', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONE-RELATED', 122688),
(178963, 'PTHR47956:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122689),
(178964, 'PTHR45635:SF28', NULL, NULL, NULL, NULL, 'BNACNNG32940D PROTEIN', 122690),
(178965, 'PTHR24067:SF246', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 B', 122691),
(178966, 'PTHR27000:SF740', NULL, NULL, NULL, NULL, 'OS01G0878300 PROTEIN', 122692),
(178967, 'PTHR47535:SF5', NULL, NULL, NULL, NULL, 'CALMIN', 122693);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(178968, 'PTHR28579:SF1', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT CDC26', 122694),
(178969, 'PTHR34397:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122695),
(178970, 'PTHR31949:SF30', NULL, NULL, NULL, NULL, 'BNAA05G29320D PROTEIN', 122696),
(178971, 'PTHR10454:SF199', NULL, NULL, NULL, NULL, 'CASPASE-17/A', 122697),
(178972, 'PTHR13068:SF98', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF2, CHLOROPLASTIC', 122698),
(178973, 'PTHR11923:SF56', NULL, NULL, NULL, NULL, 'LYSOSOME MEMBRANE PROTEIN II', 122699),
(178974, 'PTHR47990:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122700),
(178975, 'PTHR37820', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DIVIB', 122701),
(178976, 'PTHR10430:SF32', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN', 122702),
(178977, 'PTHR12021:SF23', NULL, NULL, NULL, NULL, 'THYMOSIN BETA', 122703),
(178978, 'PTHR47332:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122704),
(178979, 'PTHR33672:SF17', NULL, NULL, NULL, NULL, 'BNAANNG10210D PROTEIN', 122705),
(178980, 'PTHR48195:SF1', NULL, NULL, NULL, NULL, 'FRIEND VIRUS SUSCEPTIBILITY PROTEIN 1', 122706),
(178981, 'PTHR24073:SF1140', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RIC2', 122707),
(178982, 'PTHR47662:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XERICO-RELATED', 122708),
(178983, 'PTHR21022', NULL, NULL, NULL, NULL, 'PREPHENATE DEHYDRATASE  P PROTEIN', 122709),
(178984, 'PTHR14534:SF3', NULL, NULL, NULL, NULL, 'VACUOLAR IMPORT AND DEGRADATION PROTEIN 24', 122710),
(178985, 'PTHR47542', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 122711),
(178986, 'PTHR19241:SF629', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 34', 122712),
(178987, 'PTHR37350', NULL, NULL, NULL, NULL, 'PROTEIN GAPT', 122713),
(178988, 'PTHR11571:SF141', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE P', 122714),
(178989, 'PTHR45815', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE A6', 122715),
(178990, 'PTHR39605', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 122716),
(178991, 'PTHR13313:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7C, MITOCHONDRIAL', 122717),
(178992, 'PTHR34266', NULL, NULL, NULL, NULL, 'THIAZOLE SYNTHASE', 122718),
(178993, 'PTHR19134:SF339', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE RECEPTOR TYPE UA', 122719),
(178994, 'PTHR23263:SF132', NULL, NULL, NULL, NULL, 'LATE CORNIFIED ENVELOPE PROTEIN 2A', 122720),
(178995, 'PTHR37910', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 122721),
(178996, 'PTHR45743:SF3', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SKOR', 122722),
(178997, 'PTHR10906:SF22', NULL, NULL, NULL, NULL, 'OS12G0625900 PROTEIN', 122723),
(178998, 'PTHR47005:SF12', NULL, NULL, NULL, NULL, 'OS04G0400700 PROTEIN', 122724),
(178999, 'PTHR47980:SF10', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABE1A', 122725),
(179000, 'PTHR12848:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122726),
(179001, 'PTHR33143:SF43', NULL, NULL, NULL, NULL, 'OS04G0665900 PROTEIN', 122727),
(179002, 'PTHR43939:SF74', NULL, NULL, NULL, NULL, 'TAPE-MEASURE [BACTERIOPHAGE A118]-RELATED', 122728),
(179003, 'PTHR39381', NULL, NULL, NULL, NULL, 'PROTEIN CBG14825-RELATED', 122729),
(179004, 'PTHR33021:SF353', NULL, NULL, NULL, NULL, 'BNAA06G34960D PROTEIN', 122730),
(179005, 'PTHR42851:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122731),
(179006, 'PTHR32212:SF294', NULL, NULL, NULL, NULL, 'BNAC03G77960D PROTEIN', 122732),
(179007, 'PTHR46128:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122733),
(179008, 'PTHR46045:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 122734),
(179009, 'PTHR13683:SF852', NULL, NULL, NULL, NULL, 'OS09G0482200 PROTEIN', 122735),
(179010, 'PTHR30006:SF21', NULL, NULL, NULL, NULL, 'SLL0237 PROTEIN', 122736),
(179011, 'PTHR31752:SF2', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 5', 122737),
(179012, 'PTHR45985:SF6', NULL, NULL, NULL, NULL, 'FI03450P', 122738),
(179013, 'PTHR11452:SF81', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE 8-RELATED', 122739);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(179014, 'PTHR32141:SF89', NULL, NULL, NULL, NULL, 'OSJNBA0035O13.10 PROTEIN', 122740),
(179015, 'PTHR45688:SF3', NULL, NULL, NULL, NULL, 'ALANINE--GLYOXYLATE AMINOTRANSFERASE 2, MITOCHONDRIAL', 122741),
(179016, 'PTHR11851:SF160', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE CORE PROTEIN 2B', 122742),
(179017, 'PTHR24221:SF203', NULL, NULL, NULL, NULL, 'ATP-BINDING/PERMEASE FUSION ABC TRANSPORTER-RELATED', 122743),
(179018, 'PTHR10900', NULL, NULL, NULL, NULL, 'PERIOSTIN-RELATED', 122744),
(179019, 'PTHR46419:SF3', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD15-RELATED', 122745),
(179020, 'PTHR12447:SF19', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 122746),
(179021, 'PTHR11362:SF77', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 122747),
(179022, 'PTHR45635:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG17210', 122748),
(179023, 'PTHR24012:SF823', NULL, NULL, NULL, NULL, 'PROTEIN HSH49', 122749),
(179024, 'PTHR31790:SF261', NULL, NULL, NULL, NULL, 'OS08G0518300 PROTEIN', 122750),
(179025, 'PTHR43895:SF56', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 122751),
(179026, 'PTHR33077:SF101', NULL, NULL, NULL, NULL, 'BNAC05G13540D PROTEIN', 122752),
(179027, 'PTHR45999:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122753),
(179028, 'PTHR19991', NULL, NULL, NULL, NULL, 'L 2 01289', 122754),
(179029, 'PTHR18860:SF69', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 LAMBDA', 122755),
(179030, 'PTHR46008:SF19', NULL, NULL, NULL, NULL, 'BNAA09G28500D PROTEIN', 122756),
(179031, 'PTHR33199:SF7', NULL, NULL, NULL, NULL, 'OS06G0251100 PROTEIN', 122757),
(179032, 'PTHR10177:SF420', NULL, NULL, NULL, NULL, 'CYCLIN1', 122758),
(179033, 'PTHR15079', NULL, NULL, NULL, NULL, 'MYD88', 122759),
(179034, 'PTHR45811:SF59', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 58-LIKE', 122760),
(179035, 'PTHR32246:SF110', NULL, NULL, NULL, NULL, 'BON1-ASSOCIATED PROTEIN 2-LIKE', 122761),
(179036, 'PTHR33130:SF64', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE, PUTATIVE (DUF1639)-RELATED', 122762),
(179037, 'PTHR24085', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR', 122763),
(179038, 'PTHR10438:SF18', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 122764),
(179039, 'PTHR48002:SF26', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 122765),
(179040, 'PTHR23319:SF4', NULL, NULL, NULL, NULL, 'AT22714P', 122766),
(179041, 'PTHR31429:SF41', NULL, NULL, NULL, NULL, 'OS05G0137500 PROTEIN', 122767),
(179042, 'PTHR24349:SF243', NULL, NULL, NULL, NULL, 'MAP KINASE-ACTIVATED PROTEIN KINASE 2', 122768),
(179043, 'PTHR23359:SF165', NULL, NULL, NULL, NULL, 'GTP:AMP PHOSPHOTRANSFERASE AK3, MITOCHONDRIAL', 122769),
(179044, 'PTHR23149:SF23', NULL, NULL, NULL, NULL, 'BNAA09G11800D PROTEIN', 122770),
(179045, 'PTHR42091', NULL, NULL, NULL, NULL, 'CONSERVED GLYCINE-RICH PROTEIN (AFU_ORTHOLOGUE AFUA_7G02440)', 122771),
(179046, 'PTHR31242:SF2', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE SMALL SUBUNIT, MITOCHONDRIAL', 122772),
(179047, 'PTHR32054:SF32', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT-LIKE 2', 122773),
(179048, 'PTHR11475:SF86', NULL, NULL, NULL, NULL, 'PEROXIDASE', 122774),
(179049, 'PTHR12309:SF25', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT GAMMA', 122775),
(179050, 'PTHR47985:SF39', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL23-RELATED', 122776),
(179051, 'PTHR24390:SF88', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 239', 122777),
(179052, 'PTHR47990:SF90', NULL, NULL, NULL, NULL, 'PLANT GIBBERELLIN 2-OXIDASE', 122778),
(179053, 'PTHR30314:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DIVISION PROTEIN FSZB', 122779),
(179054, 'PTHR24055:SF494', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 122780),
(179055, 'PTHR13780:SF102', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT GAMMA-LIKE PV42B', 122781),
(179056, 'PTHR30566:SF5', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 1, MITOCHONDRIAL-RELATED', 122782),
(179057, 'PTHR30294:SF29', NULL, NULL, NULL, NULL, 'MULTIDRUG ABC TRANSPORTER PERMEASE YBHS-RELATED', 122783); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(179058, 'PTHR24006:SF780', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 122784),
(179059, 'PTHR13738:SF34', NULL, NULL, NULL, NULL, 'TROPONIN I 3', 122785),
(179060, 'PTHR15598:SF7', NULL, NULL, NULL, NULL, 'ENHANCER OF MRNA-DECAPPING-LIKE PROTEIN', 122786),
(179061, 'PTHR31744:SF134', NULL, NULL, NULL, NULL, 'BNAC04G48620D PROTEIN', 122787),
(179062, 'PTHR20870:SF0', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 1 PROTEIN', 122788),
(179063, 'PTHR12191:SF4', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP12', 122789),
(179064, 'PTHR31048:SF125', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', 122790),
(179065, 'PTHR37318', NULL, NULL, NULL, NULL, 'BSL7504 PROTEIN', 122791),
(179066, 'PTHR11570:SF28', NULL, NULL, NULL, NULL, 'BNAC09G42020D PROTEIN', 122792),
(179067, 'PTHR11139:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122793),
(179068, 'PTHR33325:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', 122794),
(179069, 'PTHR12064:SF57', NULL, NULL, NULL, NULL, 'AND COBALT EFFLUX PROTEIN CORC, PUTATIVE-RELATED', 122795),
(179070, 'PTHR26453:SF43', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 122796),
(179071, 'PTHR24298:SF832', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A2-LIKE', 122797),
(179072, 'PTHR12681', NULL, NULL, NULL, NULL, 'ZINC FINGER-CONTAINING PROTEIN P48ZNF', 122798),
(179073, 'PTHR23399:SF2', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOTIDYLTRANSFERASE TERMINAL-INTERACTING PROTEIN 1', 122799),
(179074, 'PTHR46105:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 7A', 122800),
(179075, 'PTHR12411:SF795', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG12', 122801),
(179076, 'PTHR12414:SF7', NULL, NULL, NULL, NULL, 'CHORION-SPECIFIC TRANSCRIPTION FACTOR GCMB', 122802),
(179077, 'PTHR41139', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 122803),
(179078, 'PTHR11505:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122804),
(179079, 'PTHR21700:SF1', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-LIKE PROTEIN 5', 122805),
(179080, 'PTHR31867:SF2', NULL, NULL, NULL, NULL, 'EXPANSIN-A7', 122806),
(179081, 'PTHR10426:SF93', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 5-LIKE', 122807),
(179082, 'PTHR31096:SF59', NULL, NULL, NULL, NULL, '[PROTEIN-PII] URIDYLYLTRANSFERASE-RELATED', 122808),
(179083, 'PTHR13487', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR', 122809),
(179084, 'PTHR24377:SF214', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS 5', 122810),
(179085, 'PTHR23501:SF47', NULL, NULL, NULL, NULL, 'VACUOLAR BASIC AMINO ACID TRANSPORTER 1', 122811),
(179086, 'PTHR47991:SF68', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', 122812),
(179087, 'PTHR36310:SF1', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR11', 122813),
(179088, 'PTHR23051', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35, MEMBER F5', 122814),
(179089, 'PTHR11817:SF14', NULL, NULL, NULL, NULL, 'PLASTIDIAL PYRUVATE KINASE 1, CHLOROPLASTIC', 122815),
(179090, 'PTHR33645:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122816),
(179091, 'PTHR11214:SF307', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 122817),
(179092, 'PTHR45684:SF12', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1A-LIKE', 122818),
(179093, 'PTHR24291:SF134', NULL, NULL, NULL, NULL, 'CAROTENE EPSILON-MONOOXYGENASE, CHLOROPLASTIC', 122819),
(179094, 'PTHR11654:SF538', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122820),
(179095, 'PTHR10501:SF68', NULL, NULL, NULL, NULL, 'BNAA06G15070D PROTEIN', 122821),
(179096, 'PTHR30468', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT SULFONATE DIOXYGENASE', 122822),
(179097, 'PTHR33450:SF27', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', 122823),
(179098, 'PTHR45621:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122824),
(179099, 'PTHR42815:SF2', NULL, NULL, NULL, NULL, 'FAD-BINDING, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G07600)-RELATED', 122825),
(179100, 'PTHR31403:SF8', NULL, NULL, NULL, NULL, 'TRIGLYCERIDE LIPASE-RELATED', 122826);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(179101, 'PTHR35992:SF5', NULL, NULL, NULL, NULL, 'BNAA08G31190D PROTEIN', 122827),
(179102, 'PTHR43067:SF3', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE/DIPEPTIDE ABC TRANSPORTER, ATPASE SUBUNIT', 122828),
(179103, 'PTHR28020', NULL, NULL, NULL, NULL, 'YAP1-BINDING PROTEIN 1-RELATED', 122829),
(179104, 'PTHR39405:SF1', NULL, NULL, NULL, NULL, 'DSC E3 UBIQUITIN LIGASE COMPLEX SUBUNIT 4', 122830),
(179105, 'PTHR12887:SF12', NULL, NULL, NULL, NULL, 'NANOS HOMOLOG 3', 122831),
(179106, 'PTHR19359:SF114', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 ISOFORM E', 122832),
(179107, 'PTHR24166:SF53', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 122833),
(179108, 'PTHR48014:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122834),
(179109, 'PTHR24223:SF273', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN A', 122835),
(179110, 'PTHR24238', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', 122836),
(179111, 'PTHR23510:SF68', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING MEMBRANE PROTEIN', 122837),
(179112, 'PTHR47195', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 4', 122838),
(179113, 'PTHR12122', NULL, NULL, NULL, NULL, 'RETINAL CONE RHODOPSIN-SENSITIVE CGMP 3'',5''-CYCLIC PHOSPHODIESTERASE GAMMA-SUBUNIT-RELATED', 122839),
(179114, 'PTHR10161:SF28', NULL, NULL, NULL, NULL, 'TARTRATE-RESISTANT ACID PHOSPHATASE TYPE 5', 122840),
(179115, 'PTHR11947:SF15', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE (ACETYL-TRANSFERRING)] KINASE ISOZYME 2, MITOCHONDRIAL', 122841),
(179116, 'PTHR12588:SF11', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE 4', 122842),
(179117, 'PTHR46982:SF1', NULL, NULL, NULL, NULL, 'CITRATE/OXOGLUTARATE CARRIER PROTEIN', 122843),
(179118, 'PTHR15741:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-4', 122844),
(179119, 'PTHR23050:SF233', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 6-RELATED', 122845),
(179120, 'PTHR26453:SF600', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 122846),
(179121, 'PTHR11835:SF42', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT BETA, MITOCHONDRIAL', 122847),
(179122, 'PTHR48021:SF33', NULL, NULL, NULL, NULL, 'AT22075P-RELATED', 122848),
(179123, 'PTHR46080:SF14', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 44-LIKE', 122849),
(179124, 'PTHR45752:SF47', NULL, NULL, NULL, NULL, 'ERBIN', 122850),
(179125, 'PTHR39158:SF1', NULL, NULL, NULL, NULL, 'OS08G0560600 PROTEIN', 122851),
(179126, 'PTHR43539:SF33', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 122852),
(179127, 'PTHR36195:SF6', NULL, NULL, NULL, NULL, 'SECRETED THAUMATIN-LIKE PROTEIN CALA', 122853),
(179128, 'PTHR42760:SF60', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 122854),
(179129, 'PTHR10593:SF157', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 16-LIKE', 122855),
(179130, 'PTHR12245:SF3', NULL, NULL, NULL, NULL, 'SPRY DOMAIN-CONTAINING SOCS BOX PROTEIN 4', 122856),
(179131, 'PTHR11439:SF350', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122857),
(179132, 'PTHR10194:SF4', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN 4-RELATED', 122858),
(179133, 'PTHR47998:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122859),
(179134, 'PTHR12358:SF87', NULL, NULL, NULL, NULL, 'SPHINGOID LONG CHAIN BASE KINASE 4-RELATED', 122860),
(179135, 'PTHR11685:SF247', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARI5-RELATED', 122861),
(179136, 'PTHR10658:SF11', NULL, NULL, NULL, NULL, 'PITP-LESS RDGB-LIKE PROTEIN-RELATED', 122862),
(179137, 'PTHR31500:SF55', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 2', 122863),
(179138, 'PTHR31852:SF204', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY-RELATED', 122864),
(179139, 'PTHR37250', NULL, NULL, NULL, NULL, 'OS05G0496000 PROTEIN', 122865),
(179140, 'PTHR13523:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN-CONTAINING PROTEIN 10, MITOCHONDRIAL', 122866),
(179141, 'PTHR46011:SF17', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 122867);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(179142, 'PTHR43917:SF8', NULL, NULL, NULL, NULL, 'GH16740P-RELATED', 122868),
(179143, 'PTHR46982', NULL, NULL, NULL, NULL, 'CITRATE/OXOGLUTARATE CARRIER PROTEIN', 122869),
(179144, 'PTHR10165:SF91', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 4-RELATED', 122870),
(179145, 'PTHR31604:SF44', NULL, NULL, NULL, NULL, 'BNAC04G26320D PROTEIN', 122871),
(179146, 'PTHR31945:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ABORTED MICROSPORES', 122872),
(179147, 'PTHR31867:SF91', NULL, NULL, NULL, NULL, 'EXPANSIN-A21', 122873),
(179148, 'PTHR43223', NULL, NULL, NULL, NULL, 'ALKYL/ARYL-SULFATASE', 122874),
(179149, 'PTHR10706:SF152', NULL, NULL, NULL, NULL, 'BNAC06G42890D PROTEIN', 122875),
(179150, 'PTHR23262:SF148', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 12-3', 122876),
(179151, 'PTHR24044:SF458', NULL, NULL, NULL, NULL, 'PROTEIN CBG10218', 122877),
(179152, 'PTHR43078:SF13', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE DECARBOXYLASE-RELATED', 122878),
(179153, 'PTHR10694:SF34', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 4E', 122879),
(179154, 'PTHR11514:SF124', NULL, NULL, NULL, NULL, 'OS04G0300600 PROTEIN', 122880),
(179155, 'PTHR11017:SF438', NULL, NULL, NULL, NULL, 'RCT1-LIKE RESISTANCE PROTEIN, PUTATIVE-RELATED', 122881),
(179156, 'PTHR24305:SF180', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 122882),
(179157, 'PTHR24339:SF57', NULL, NULL, NULL, NULL, 'GNOT1 HOMEODOMAIN PROTEIN', 122883),
(179158, 'PTHR13061:SF14', NULL, NULL, NULL, NULL, 'CARNITINE OPERON PROTEIN CAIE-RELATED', 122884),
(179159, 'PTHR27004:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122885),
(179160, 'PTHR24326:SF579', NULL, NULL, NULL, NULL, 'BNAA06G39210D PROTEIN', 122886),
(179161, 'PTHR20934:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', 122887),
(179162, 'PTHR42715:SF5', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE M-RELATED', 122888),
(179163, 'PTHR24127:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND EF-HAND DOMAIN-CONTAINING PROTEIN 1', 122889),
(179164, 'PTHR30309:SF0', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE-RELATED', 122890),
(179165, 'PTHR48086:SF2', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', 122891),
(179166, 'PTHR46118:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ABHD11', 122892),
(179167, 'PTHR33203:SF42', NULL, NULL, NULL, NULL, 'BNAC02G01560D PROTEIN', 122893),
(179168, 'PTHR43939:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122894),
(179169, 'PTHR31929:SF63', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR22-LIKE', 122895),
(179170, 'PTHR21717:SF65', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 1', 122896),
(179171, 'PTHR31589:SF105', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', 122897),
(179172, 'PTHR48017:SF37', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1B', 122898),
(179173, 'PTHR24299:SF32', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82A4-LIKE', 122899),
(179174, 'PTHR43768:SF35', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE 5-RELATED', 122900),
(179175, 'PTHR37302', NULL, NULL, NULL, NULL, 'SLR1116 PROTEIN', 122901),
(179176, 'PTHR46336:SF10', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 122902),
(179177, 'PTHR46286', NULL, NULL, NULL, NULL, 'VIN3-LIKE PROTEIN 2-RELATED', 122903),
(179178, 'PTHR14614:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122904),
(179179, 'PTHR36848:SF2', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN (PUTATIVE SECRETED PROTEIN)-RELATED', 122905),
(179180, 'PTHR10844:SF29', NULL, NULL, NULL, NULL, 'CAVEOLIN', 122906),
(179181, 'PTHR32468:SF137', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 28', 122907),
(179182, 'PTHR11223:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122908),
(179183, 'PTHR38685:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN ZIPA', 122909),
(179184, 'PTHR47171:SF4', NULL, NULL, NULL, NULL, 'ACETAMIDASE REGULATORY PROTEIN', 122910),
(179185, 'PTHR46301:SF2', NULL, NULL, NULL, NULL, 'PROTEIN UNUSUAL FLORAL ORGANS', 122911),
(179186, 'PTHR31962:SF6', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', 122912);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(179187, 'PTHR46209:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122913),
(179188, 'PTHR31723:SF5', NULL, NULL, NULL, NULL, 'OS01G0248500 PROTEIN', 122914),
(179189, 'PTHR36488:SF8', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1U1', 122915),
(179190, 'PTHR21139:SF19', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE B', 122916),
(179191, 'PTHR11183:SF60', NULL, NULL, NULL, NULL, 'GLYCOGENIN GLUCOSYLTRANSFERASE', 122917),
(179192, 'PTHR47206:SF5', NULL, NULL, NULL, NULL, 'BNAA09G14920D PROTEIN', 122918),
(179193, 'PTHR48001:SF17', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 122919),
(179194, 'PTHR10551:SF24', NULL, NULL, NULL, NULL, 'FASCIN-2', 122920),
(179195, 'PTHR15491:SF12', NULL, NULL, NULL, NULL, 'CDKN1A-INTERACTING ZINC FINGER PROTEIN 1B', 122921),
(179196, 'PTHR28289:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT HSK3', 122922),
(179197, 'PTHR10182:SF20', NULL, NULL, NULL, NULL, 'BNAC09G21490D PROTEIN', 122923),
(179198, 'PTHR23349:SF48', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 24', 122924),
(179199, 'PTHR11972:SF54', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN J-RELATED', 122925),
(179200, 'PTHR24377:SF876', NULL, NULL, NULL, NULL, 'MCG61508', 122926),
(179201, 'PTHR13112:SF2', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS 3A', 122927),
(179202, 'PTHR32295:SF222', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 30-RELATED', 122928),
(179203, 'PTHR48011:SF28', NULL, NULL, NULL, NULL, 'BNAA09G17230D PROTEIN', 122929),
(179204, 'PTHR22692:SF28', NULL, NULL, NULL, NULL, 'MYOSIN VIIBB', 122930),
(179205, 'PTHR47322', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG-RELATED', 122931),
(179206, 'PTHR12626:SF8', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 4-LIKE', 122932),
(179207, 'PTHR15001:SF3', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 123', 122933),
(179208, 'PTHR24353:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122934),
(179209, 'PTHR12412', NULL, NULL, NULL, NULL, 'CAP BINDING PROTEIN', 122935),
(179210, 'PTHR42898:SF12', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN LINE-1', 122936),
(179211, 'PTHR31719:SF174', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 2-LIKE', 122937),
(179212, 'PTHR46128:SF161', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 122938),
(179213, 'PTHR24118:SF37', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR EPSILON', 122939),
(179214, 'PTHR11474:SF92', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE F, CHLOROPLASTIC', 122940),
(179215, 'PTHR14905:SF19', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 7', 122941),
(179216, 'PTHR20275', NULL, NULL, NULL, NULL, 'NAD KINASE', 122942),
(179217, 'PTHR10666:SF375', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-LIKE', 122943),
(179218, 'PTHR43613', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 122944),
(179219, 'PTHR22948:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122945),
(179220, 'PTHR48099:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122946),
(179221, 'PTHR20992:SF9', NULL, NULL, NULL, NULL, 'AT15442P-RELATED', 122947),
(179222, 'PTHR13318:SF124', NULL, NULL, NULL, NULL, 'F-BOX-LIKE PROTEIN', 122948),
(179223, 'PTHR10088:SF4', NULL, NULL, NULL, NULL, 'GLUCOKINASE REGULATORY PROTEIN', 122949),
(179224, 'PTHR45717:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122950),
(179225, 'PTHR10755:SF0', NULL, NULL, NULL, NULL, 'OXYGEN-DEPENDENT COPROPORPHYRINOGEN-III OXIDASE, MITOCHONDRIAL', 122951),
(179226, 'PTHR22959', NULL, NULL, NULL, NULL, 'PYM PROTEIN', 122952),
(179227, 'PTHR30085:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE/ASPARTATE IMPORT SOLUTE-BINDING PROTEIN', 122953),
(179228, 'PTHR12289:SF40', NULL, NULL, NULL, NULL, 'CADMIUM-INDUCIBLE LYSOSOMAL PROTEIN CDR-5', 122954),
(179229, 'PTHR45633:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122955),
(179230, 'PTHR48012:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122956),
(179231, 'PTHR13871:SF95', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN 1-2-RELATED', 122957),
(179232, 'PTHR11604:SF29', NULL, NULL, NULL, NULL, 'PROFILIN', 122958);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(179233, 'PTHR35460:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122959),
(179234, 'PTHR47981:SF3', NULL, NULL, NULL, NULL, 'RAB7B, MEMBER RAS ONCOGENE FAMILY-RELATED', 122960),
(179235, 'PTHR10782:SF79', NULL, NULL, NULL, NULL, 'BNAA04G11220D PROTEIN', 122961),
(179236, 'PTHR45716:SF4', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-LIKE PROTEIN 4', 122962),
(179237, 'PTHR10352:SF30', NULL, NULL, NULL, NULL, 'OS12G0606800 PROTEIN', 122963),
(179238, 'PTHR31509:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122964),
(179239, 'PTHR43108:SF13', NULL, NULL, NULL, NULL, 'SD21168P', 122965),
(179240, 'PTHR33331', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 162', 122966),
(179241, 'PTHR45631:SF72', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT-LIKE PROTEIN, PUTATIVE-RELATED', 122967),
(179242, 'PTHR24068:SF365', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATING ENZYME', 122968),
(179243, 'PTHR47982:SF33', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK15', 122969),
(179244, 'PTHR47926:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122970),
(179245, 'PTHR33052:SF149', NULL, NULL, NULL, NULL, 'BNAA03G55990D PROTEIN', 122971),
(179246, 'PTHR34059:SF3', NULL, NULL, NULL, NULL, 'OS02G0656100 PROTEIN', 122972),
(179247, 'PTHR35585', NULL, NULL, NULL, NULL, 'HHE DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G00730)', 122973),
(179248, 'PTHR31123:SF1', NULL, NULL, NULL, NULL, 'ACCUMULATION OF DYADS PROTEIN 2-RELATED', 122974),
(179249, 'PTHR31827:SF1', NULL, NULL, NULL, NULL, 'EMB|CAB89363.1', 122975),
(179250, 'PTHR23255:SF51', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN SERINE/THREONINE KINASE', 122976),
(179251, 'PTHR10410:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG16582', 122977),
(179252, 'PTHR43133:SF35', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGZ', 122978),
(179253, 'PTHR18849', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT PROTEIN', 122979),
(179254, 'PTHR23086:SF106', NULL, NULL, NULL, NULL, '4-PHOSPHATE 5-KINASE ALPHA, PUTATIVE-RELATED', 122980),
(179255, 'PTHR21622', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN CONTAINING 4', 122981),
(179256, 'PTHR13890:SF40', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-10', 122982),
(179257, 'PTHR24039:SF45', NULL, NULL, NULL, NULL, 'FBN-1A.1', 122983),
(179258, 'PTHR33178:SF12', NULL, NULL, NULL, NULL, 'STRESS-RESPONSE A/B BARREL DOMAIN-CONTAINING PROTEIN DABB1', 122984),
(179259, 'PTHR47270', NULL, NULL, NULL, NULL, 'PROTEIN MLP1-LIKE', 122985),
(179260, 'PTHR23179:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122986),
(179261, 'PTHR23098:SF4', NULL, NULL, NULL, NULL, 'AGAP001331-PA', 122987),
(179262, 'PTHR32060:SF7', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL-PROCESSING PEPTIDASE 2, CHLOROPLASTIC', 122988),
(179263, 'PTHR22907:SF7', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 122989),
(179264, 'PTHR22881:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122990),
(179265, 'PTHR27009:SF156', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE', 122991),
(179266, 'PTHR33420:SF12', NULL, NULL, NULL, NULL, 'TYPE-1 FIMBRIAL PROTEIN, A CHAIN', 122992),
(179267, 'PTHR11556:SF32', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, CYTOSOLIC', 122993),
(179268, 'PTHR35133', NULL, NULL, NULL, NULL, 'PROTEIN EFFECTOR OF TRANSCRIPTION 2-RELATED', 122994),
(179269, 'PTHR46220:SF13', NULL, NULL, NULL, NULL, 'BNAA03G58510D PROTEIN', 122995),
(179270, 'PTHR37168:SF2', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED EXONUCLEASE CAS4', 122996),
(179271, 'PTHR45290:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 122997),
(179272, 'PTHR31717:SF102', NULL, NULL, NULL, NULL, 'BNAC05G44310D PROTEIN', 122998),
(179273, 'PTHR33389:SF15', NULL, NULL, NULL, NULL, 'OS01G0677900 PROTEIN', 122999),
(179274, 'PTHR23502:SF2', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 123000),
(179275, 'PTHR31867:SF86', NULL, NULL, NULL, NULL, 'EXPANSIN', 123001),
(179276, 'PTHR33743', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 123002),
(179277, 'PTHR33033:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123003);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(179278, 'PTHR24322:SF736', NULL, NULL, NULL, NULL, 'PKSB', 123004),
(179279, 'PTHR10891:SF746', NULL, NULL, NULL, NULL, 'OS05G0147300 PROTEIN', 123005),
(179280, 'PTHR24067:SF252', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 U', 123006),
(179281, 'PTHR11206:SF79', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 123007),
(179282, 'PTHR24223:SF396', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 10', 123008),
(179283, 'PTHR16172:SF27', NULL, NULL, NULL, NULL, 'FI19426P1', 123009),
(179284, 'PTHR31223:SF66', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 123010),
(179285, 'PTHR24298:SF554', NULL, NULL, NULL, NULL, 'INDOLIN-2-ONE MONOOXYGENASE', 123011),
(179286, 'PTHR23024:SF178', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', 123012),
(179287, 'PTHR35772', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN I', 123013),
(179288, 'PTHR45863:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK6', 123014),
(179289, 'PTHR46294:SF3', NULL, NULL, NULL, NULL, 'SEGMENTATION PROTEIN EVEN-SKIPPED', 123015),
(179290, 'PTHR10165:SF87', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE 5', 123016),
(179291, 'PTHR33986', NULL, NULL, NULL, NULL, 'OS02G0535700 PROTEIN', 123017),
(179292, 'PTHR27000:SF215', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', 123018),
(179293, 'PTHR13048', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 3', 123019),
(179294, 'PTHR33786:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 123020),
(179295, 'PTHR47173:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DR1 HOMOLOG', 123021),
(179296, 'PTHR10091:SF33', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 123022),
(179297, 'PTHR33704:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123023),
(179298, 'PTHR47975:SF31', NULL, NULL, NULL, NULL, 'OS11G0274700 PROTEIN', 123024),
(179299, 'PTHR15469:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123025),
(179300, 'PTHR47431', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 123026),
(179301, 'PTHR32467:SF91', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TOE3 ISOFORM X1', 123027),
(179302, 'PTHR43795:SF82', NULL, NULL, NULL, NULL, 'BNAA06G15630D PROTEIN', 123028),
(179303, 'PTHR24355:SF27', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE 5', 123029),
(179304, 'PTHR10168:SF274', NULL, NULL, NULL, NULL, 'BNAA09G27230D PROTEIN', 123030),
(179305, 'PTHR24381:SF336', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 669', 123031),
(179306, 'PTHR11567:SF137', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', 123032),
(179307, 'PTHR46128:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123033),
(179308, 'PTHR30047:SF12', NULL, NULL, NULL, NULL, 'BCCT-FAMILY TRANSPORTER-RELATED', 123034),
(179309, 'PTHR31024:SF5', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 123035),
(179310, 'PTHR31263:SF48', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN', 123036),
(179311, 'PTHR31989:SF191', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 103', 123037),
(179312, 'PTHR47430', NULL, NULL, NULL, NULL, 'GB|AAC33480.1', 123038),
(179313, 'PTHR45917', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 1-RELATED', 123039),
(179314, 'PTHR46702', NULL, NULL, NULL, NULL, 'DNA LIGASE (DUF1666)-RELATED', 123040),
(179315, 'PTHR36867', NULL, NULL, NULL, NULL, 'MCG131172, ISOFORM CRA_A', 123041),
(179316, 'PTHR24221:SF564', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER TAP-LIKE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 123042),
(179317, 'PTHR47637:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE SURA', 123043),
(179318, 'PTHR33078:SF55', NULL, NULL, NULL, NULL, 'PROTEIN YCF2', 123044),
(179319, 'PTHR36063:SF1', NULL, NULL, NULL, NULL, 'ARABIDOPSIS THALIANA GENOMIC DNA, CHROMOSOME 5, P1 CLONE:MOK16', 123045),
(179320, 'PTHR12332:SF1', NULL, NULL, NULL, NULL, 'KEREN-RELATED', 123046),
(179321, 'PTHR22997:SF0', NULL, NULL, NULL, NULL, 'PIH1 DOMAIN-CONTAINING PROTEIN 1', 123047);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(179322, 'PTHR39341:SF1', NULL, NULL, NULL, NULL, 'BSL7085 PROTEIN', 123048),
(179323, 'PTHR21261:SF8', NULL, NULL, NULL, NULL, 'BEATEN PATH IA, ISOFORM B-RELATED', 123049),
(179324, 'PTHR33228:SF60', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 123050),
(179325, 'PTHR43675:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123051),
(179326, 'PTHR42757', NULL, NULL, NULL, NULL, 'IGLON FAMILY OF IMMUNOGLOBULIN SUPERFAMILY-RELATED', 123052),
(179327, 'PTHR43139:SF46', NULL, NULL, NULL, NULL, 'BNAC03G76680D PROTEIN', 123053),
(179328, 'PTHR34135:SF2', NULL, NULL, NULL, NULL, 'LYSOZYME', 123054),
(179329, 'PTHR34198:SF1', NULL, NULL, NULL, NULL, 'OS01G0175100 PROTEIN', 123055),
(179330, 'PTHR12745:SF10', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TUMORIGENICITY 7 PROTEIN', 123056),
(179331, 'PTHR45743:SF13', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT6', 123057),
(179332, 'PTHR15282:SF8', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY E MEMBER 2', 123058),
(179333, 'PTHR46560:SF4', NULL, NULL, NULL, NULL, 'DUSKY', 123059),
(179334, 'PTHR33178:SF10', NULL, NULL, NULL, NULL, 'STRESS-RESPONSE A/B BARREL DOMAIN-CONTAINING PROTEIN HS1', 123060),
(179335, 'PTHR23539', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER', 123061),
(179336, 'PTHR13366:SF0', NULL, NULL, NULL, NULL, 'HEAT REPEAT-CONTAINING PROTEIN 6', 123062),
(179337, 'PTHR24072:SF324', NULL, NULL, NULL, NULL, 'GTPASE, PUTATIVE-RELATED', 123063),
(179338, 'PTHR22883:SF342', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 123064),
(179339, 'PTHR36936:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG25168', 123065),
(179340, 'PTHR12741:SF77', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUPS, PUTATIVE-RELATED', 123066),
(179341, 'PTHR31636:SF14', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR CONTAINING PROTEIN, EXPRESSED', 123067),
(179342, 'PTHR31845:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SEF1-RELATED', 123068),
(179343, 'PTHR43599:SF3', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL PROTEIN ADE2', 123069),
(179344, 'PTHR48229', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 123070),
(179345, 'PTHR19375:SF434', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 3', 123071),
(179346, 'PTHR23025:SF2', NULL, NULL, NULL, NULL, 'LIPASE, HORMONE-SENSITIVE A', 123072),
(179347, 'PTHR43447:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123073),
(179348, 'PTHR43670:SF41', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', 123074),
(179349, 'PTHR12771:SF45', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN A', 123075),
(179350, 'PTHR47956:SF66', NULL, NULL, NULL, NULL, 'P450 71E1, PUTATIVE-RELATED', 123076),
(179351, 'PTHR43286:SF2', NULL, NULL, NULL, NULL, 'ENDONUCLEASE III HOMOLOG', 123077),
(179352, 'PTHR31496:SF26', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 123078),
(179353, 'PTHR23203:SF9', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 4', 123079),
(179354, 'PTHR48019:SF72', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 6', 123080),
(179355, 'PTHR14237:SF63', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE (PLP)-DEPENDENT TRANSFERASES SUPERFAMILY PROTEIN', 123081),
(179356, 'PTHR43295:SF5', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE', 123082),
(179357, 'PTHR20958:SF6', NULL, NULL, NULL, NULL, 'GH05617P-RELATED', 123083),
(179358, 'PTHR23045', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 37A', 123084),
(179359, 'PTHR11909:SF166', NULL, NULL, NULL, NULL, 'PROTEIN CBG01655', 123085),
(179360, 'PTHR24281:SF35', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', 123086),
(179361, 'PTHR47966:SF12', NULL, NULL, NULL, NULL, 'ASPARTIC-TYPE ENDOPEPTIDASE', 123087),
(179362, 'PTHR45968:SF17', NULL, NULL, NULL, NULL, 'PROTEIN HOTHEAD-LIKE ISOFORM X1', 123088),
(179363, 'PTHR43496:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LPLB', 123089),
(179364, 'PTHR34985', NULL, NULL, NULL, NULL, 'SLR0554 PROTEIN', 123090),
(179365, 'PTHR33377:SF67', NULL, NULL, NULL, NULL, 'OSJNBB0004G23.8-LIKE PROTEIN', 123091),
(179366, 'PTHR33697:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123092);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(179367, 'PTHR11034:SF48', NULL, NULL, NULL, NULL, 'OS02G0224800 PROTEIN', 123093),
(179368, 'PTHR11908:SF86', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE', 123094),
(179369, 'PTHR19422:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123095),
(179370, 'PTHR28216', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DUO1', 123096),
(179371, 'PTHR13182:SF22', NULL, NULL, NULL, NULL, 'BNAA09G41330D PROTEIN', 123097),
(179372, 'PTHR10745', NULL, NULL, NULL, NULL, 'GLYCYL-TRNA SYNTHETASE/DNA POLYMERASE SUBUNIT GAMMA-2', 123098),
(179373, 'PTHR11972:SF149', NULL, NULL, NULL, NULL, 'FERRIC REDUCTION OXIDASE 4-LIKE', 123099),
(179374, 'PTHR38390:SF2', NULL, NULL, NULL, NULL, 'OS01G0103900 PROTEIN', 123100),
(179375, 'PTHR10857:SF106', NULL, NULL, NULL, NULL, 'COPINE-8', 123101),
(179376, 'PTHR37484', NULL, NULL, NULL, NULL, 'ROD SHAPE-DETERMINING PROTEIN MRED', 123102),
(179377, 'PTHR26454:SF158', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 123103),
(179378, 'PTHR33199:SF13', NULL, NULL, NULL, NULL, 'MAC/PERFORIN DOMAIN-CONTAINING PROTEIN', 123104),
(179379, 'PTHR43952:SF55', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 2', 123105),
(179380, 'PTHR11256:SF42', NULL, NULL, NULL, NULL, 'APOPTOSIS REGULATOR BAX', 123106),
(179381, 'PTHR32154:SF14', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE SYNTHASE SUBUNIT KORA', 123107),
(179382, 'PTHR42647', NULL, NULL, NULL, NULL, 'SBP (S-RIBONUCLEASE BINDING PROTEIN) FAMILY PROTEIN', 123108),
(179383, 'PTHR10173:SF56', NULL, NULL, NULL, NULL, 'METHIONINE-R-SULFOXIDE REDUCTASE B3', 123109),
(179384, 'PTHR22166:SF30', NULL, NULL, NULL, NULL, 'LUNAPARK DOMAIN-CONTAINING PROTEIN-RELATED', 123110),
(179385, 'PTHR31651:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123111),
(179386, 'PTHR13800:SF15', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 6', 123112),
(179387, 'PTHR32178:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FAM187B', 123113),
(179388, 'PTHR12242:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123114),
(179389, 'PTHR10546:SF8', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL, VOLTAGE-GATED, TYPE I, BETA B', 123115),
(179390, 'PTHR11845:SF18', NULL, NULL, NULL, NULL, 'BNAANNG28140D PROTEIN', 123116),
(179391, 'PTHR16294:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123117),
(179392, 'PTHR12151:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SCO2 HOMOLOG, MITOCHONDRIAL', 123118),
(179393, 'PTHR45650:SF35', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 123119),
(179394, 'PTHR14662:SF2', NULL, NULL, NULL, NULL, 'PARTNER AND LOCALIZER OF BRCA2', 123120),
(179395, 'PTHR13999:SF23', NULL, NULL, NULL, NULL, 'DISPANIN SUBFAMILY A MEMBER 2D-RELATED', 123121),
(179396, 'PTHR48004:SF29', NULL, NULL, NULL, NULL, 'DNA-DAMAGE-REPAIR/TOLERATION PROTEIN DRT100-LIKE', 123122),
(179397, 'PTHR11430', NULL, NULL, NULL, NULL, 'LIPOCALIN', 123123),
(179398, 'PTHR11085:SF38', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE', 123124),
(179399, 'PTHR48002:SF151', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 123125),
(179400, 'PTHR33703:SF18', NULL, NULL, NULL, NULL, 'WOUND-INDUCED PROTEIN 1-LIKE', 123126),
(179401, 'PTHR14269:SF35', NULL, NULL, NULL, NULL, 'PHOSPHATIDYL SYNTHASE (AFU_ORTHOLOGUE AFUA_3G12330)', 123127),
(179402, 'PTHR11801:SF19', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION 4', 123128),
(179403, 'PTHR19871:SF11', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 41-RELATED', 123129),
(179404, 'PTHR14791:SF45', NULL, NULL, NULL, NULL, 'BNACNNG51740D PROTEIN', 123130),
(179405, 'PTHR14047:SF35', NULL, NULL, NULL, NULL, 'X ANTIGEN FAMILY MEMBER 2', 123131),
(179406, 'PTHR42813', NULL, NULL, NULL, NULL, 'ZINC-TYPE ALCOHOL DEHYDROGENASE-LIKE', 123132),
(179407, 'PTHR14340:SF2', NULL, NULL, NULL, NULL, 'MICROFIBRILLAR-ASSOCIATED PROTEIN 3-LIKE', 123133),
(179408, 'PTHR27002:SF472', NULL, NULL, NULL, NULL, 'OS07G0534700 PROTEIN', 123134),
(179409, 'PTHR31301:SF148', NULL, NULL, NULL, NULL, 'BNAA09G07740D PROTEIN', 123135),
(179410, 'PTHR23278:SF28', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE 1-LIKE PROTEIN', 123136);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(179411, 'PTHR31194:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123137),
(179412, 'PTHR31867:SF3', NULL, NULL, NULL, NULL, 'EXPANSIN-A13', 123138),
(179413, 'PTHR19957:SF78', NULL, NULL, NULL, NULL, 'SYNTAXIN-7B-RELATED', 123139),
(179414, 'PTHR26453:SF145', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 123140),
(179415, 'PTHR11814:SF223', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_4G12440)', 123141),
(179416, 'PTHR31165:SF90', NULL, NULL, NULL, NULL, 'ALOG DOMAIN-CONTAINING PROTEIN-RELATED', 123142),
(179417, 'PTHR47942:SF14', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 123143),
(179418, 'PTHR31152:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123144),
(179419, 'PTHR31518', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH PROTEIN PNISR', 123145),
(179420, 'PTHR45947:SF10', NULL, NULL, NULL, NULL, 'GDP-MANNOSE-DEPENDENT ALPHA-MANNOSYLTRANSFERASE-RELATED', 123146),
(179421, 'PTHR21255:SF55', NULL, NULL, NULL, NULL, 'TCTEX1 DOMAIN-CONTAINING PROTEIN 4', 123147),
(179422, 'PTHR23073:SF27', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT HOMOLOG MJ1494-RELATED', 123148),
(179423, 'PTHR46128:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123149),
(179424, 'PTHR31065:SF62', NULL, NULL, NULL, NULL, 'BNAA08G06760D PROTEIN', 123150),
(179425, 'PTHR31878:SF0', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE PROTEIN TAFA-5', 123151),
(179426, 'PTHR31692:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123152),
(179427, 'PTHR24249:SF399', NULL, NULL, NULL, NULL, 'SI:DKEY-246E3.4-RELATED', 123153),
(179428, 'PTHR24015:SF1832', NULL, NULL, NULL, NULL, 'OS03G0241800 PROTEIN', 123154),
(179429, 'PTHR24073:SF269', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 27', 123155),
(179430, 'PTHR34595', NULL, NULL, NULL, NULL, 'BLR5612 PROTEIN', 123156),
(179431, 'PTHR15528', NULL, NULL, NULL, NULL, 'PEROXISOME PROLIFERATOR ACTIVATED RECEPTOR GAMMA COACTIVATOR 1  PGC-1 -RELATED', 123157),
(179432, 'PTHR31468:SF11', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE', 123158),
(179433, 'PTHR12606:SF11', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 2', 123159),
(179434, 'PTHR48044:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 123160),
(179435, 'PTHR46554:SF10', NULL, NULL, NULL, NULL, 'BNAA03G55180D PROTEIN', 123161),
(179436, 'PTHR24186:SF26', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PLANT PROTEIN', 123162),
(179437, 'PTHR43035', NULL, NULL, NULL, NULL, 'FATTY ACID REPRESSION MUTANT PROTEIN 2-RELATED', 123163),
(179438, 'PTHR22948:SF15', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 6', 123164),
(179439, 'PTHR33148:SF32', NULL, NULL, NULL, NULL, 'OS09G0403000 PROTEIN', 123165),
(179440, 'PTHR14084', NULL, NULL, NULL, NULL, 'KYNURENINASE', 123166),
(179441, 'PTHR11661:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123167),
(179442, 'PTHR46063', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN', 123168),
(179443, 'PTHR10579:SF59', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE WAVH2-RELATED', 123169),
(179444, 'PTHR46925:SF1', NULL, NULL, NULL, NULL, 'NEUROMEDIN-K RECEPTOR', 123170),
(179445, 'PTHR10795:SF604', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE II-RELATED', 123171),
(179446, 'PTHR11932:SF81', NULL, NULL, NULL, NULL, 'CULLIN-1', 123172),
(179447, 'PTHR13388:SF26', NULL, NULL, NULL, NULL, 'SI:DKEY-1D7.3', 123173),
(179448, 'PTHR12904:SF21', NULL, NULL, NULL, NULL, 'PROTEIN ZYG-11 HOMOLOG B', 123174),
(179449, 'PTHR10380:SF2', NULL, NULL, NULL, NULL, 'AGAP003037-PA', 123175),
(179450, 'PTHR11846:SF11', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE', 123176),
(179451, 'PTHR27002:SF865', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123177),
(179452, 'PTHR23023:SF228', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 123178),
(179453, 'PTHR24322:SF741', NULL, NULL, NULL, NULL, 'ADR270CP', 123179),
(179454, 'PTHR13878:SF120', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 1-LIKE ISOFORM X1', 123180),
(179455, 'PTHR31235:SF261', NULL, NULL, NULL, NULL, 'PEROXIDASE', 123181);
INSERT INTO "PUBLIC"."MODEL" VALUES
(179456, 'PTHR45958:SF8', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 44-LIKE', 123182),
(179457, 'PTHR27006:SF374', NULL, NULL, NULL, NULL, 'OS06G0689600 PROTEIN', 123183),
(179458, 'PTHR34778:SF2', NULL, NULL, NULL, NULL, 'OS02G0580700 PROTEIN', 123184),
(179459, 'PTHR10953:SF143', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME 7', 123185),
(179460, 'PTHR32332:SF33', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE-RELATED', 123186),
(179461, 'PTHR46726:SF1', NULL, NULL, NULL, NULL, 'TWO PORE CHANNEL 3', 123187),
(179462, 'PTHR10589:SF44', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 123188),
(179463, 'PTHR48104:SF6', NULL, NULL, NULL, NULL, 'METACASPASE-2', 123189),
(179464, 'PTHR22933:SF31', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN ANALOGOUS TO PERITROPHINS 1-H', 123190),
(179465, 'PTHR25952:SF199', NULL, NULL, NULL, NULL, 'GENE, 17555-RELATED', 123191),
(179466, 'PTHR13338:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123192),
(179467, 'PTHR37367:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 4 OPEN READING FRAME 3', 123193),
(179468, 'PTHR34576:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123194),
(179469, 'PTHR15710:SF117', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE', 123195),
(179470, 'PTHR44329:SF64', NULL, NULL, NULL, NULL, 'OS02G0120100 PROTEIN', 123196),
(179471, 'PTHR37822', NULL, NULL, NULL, NULL, 'SPORE PHOTOPRODUCT LYASE-RELATED', 123197),
(179472, 'PTHR31376:SF48', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.23 PROTEIN', 123198),
(179473, 'PTHR45973:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 42', 123199),
(179474, 'PTHR10362:SF53', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', 123200),
(179475, 'PTHR38013', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN/POLYSACCHARIDE METABOLISM', 123201),
(179476, 'PTHR30050:SF8', NULL, NULL, NULL, NULL, 'PRIMOSOMAL PROTEIN DNAI', 123202),
(179477, 'PTHR46513:SF13', NULL, NULL, NULL, NULL, 'VITELLOGENIN RECEPTOR-LIKE PROTEIN-RELATED', 123203),
(179478, 'PTHR19877', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT I', 123204),
(179479, 'PTHR12895', NULL, NULL, NULL, NULL, 'DYMECLIN', 123205),
(179480, 'PTHR30146:SF123', NULL, NULL, NULL, NULL, 'LACI-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 123206),
(179481, 'PTHR31210:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123207),
(179482, 'PTHR28607:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN FAM174A', 123208),
(179483, 'PTHR31225:SF120', NULL, NULL, NULL, NULL, 'GERMACRENE A SYNTHASE 3', 123209),
(179484, 'PTHR35112:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123210),
(179485, 'PTHR23299:SF47', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN', 123211),
(179486, 'PTHR26312:SF138', NULL, NULL, NULL, NULL, 'PROTEIN SLOW GREEN 1, CHLOROPLASTIC', 123212),
(179487, 'PTHR22777:SF4', NULL, NULL, NULL, NULL, 'UPF0053 PROTEIN SLL1254', 123213),
(179488, 'PTHR47941:SF11', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 123214),
(179489, 'PTHR10983:SF57', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 5-RELATED', 123215),
(179490, 'PTHR31734:SF194', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN', 123216),
(179491, 'PTHR46736:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123217),
(179492, 'PTHR24320:SF217', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER ON CHROMOSOME X', 123218),
(179493, 'PTHR35763:SF1', NULL, NULL, NULL, NULL, 'COMPLEX 1 LYR-LIKE PROTEIN', 123219),
(179494, 'PTHR31213:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123220),
(179495, 'PTHR34124:SF16', NULL, NULL, NULL, NULL, 'OSJNBA0067K08.8 PROTEIN', 123221),
(179496, 'PTHR12446:SF54', NULL, NULL, NULL, NULL, 'BNAA08G30730D PROTEIN', 123222),
(179497, 'PTHR42985:SF13', NULL, NULL, NULL, NULL, 'GH19970P-RELATED', 123223),
(179498, 'PTHR46506:SF34', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 123224),
(179499, 'PTHR10381:SF48', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', 123225),
(179500, 'PTHR40621:SF8', NULL, NULL, NULL, NULL, 'AP-1-LIKE TRANSCRIPTION FACTOR YAP3-RELATED', 123226);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(179501, 'PTHR12114', NULL, NULL, NULL, NULL, 'PARVIN', 123227),
(179502, 'PTHR43349:SF39', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 2-RELATED', 123228),
(179503, 'PTHR14240:SF3', NULL, NULL, NULL, NULL, 'X-LINKED RETINITIS PIGMENTOSA GTPASE REGULATOR-INTERACTING PROTEIN 1', 123229),
(179504, 'PTHR37317:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123230),
(179505, 'PTHR48044:SF62', NULL, NULL, NULL, NULL, 'BETA-D-GLUCOSYL CROCETIN BETA-1,6-GLUCOSYLTRANSFERASE-LIKE', 123231),
(179506, 'PTHR33184:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123232),
(179507, 'PTHR43142', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 123233),
(179508, 'PTHR11889:SF39', NULL, NULL, NULL, NULL, 'INDIAN HEDGEHOG PROTEIN', 123234),
(179509, 'PTHR31190:SF174', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', 123235),
(179510, 'PTHR24123:SF73', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 123236),
(179511, 'PTHR31903', NULL, NULL, NULL, NULL, 'F12F1.11-RELATED', 123237),
(179512, 'PTHR21215', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 123238),
(179513, 'PTHR16021:SF7', NULL, NULL, NULL, NULL, 'MANSC DOMAIN-CONTAINING PROTEIN 1', 123239),
(179514, 'PTHR10394:SF24', NULL, NULL, NULL, NULL, 'CMV 1A INTERACTING PROTEIN 1', 123240),
(179515, 'PTHR18063:SF8', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE MINDY-2', 123241),
(179516, 'PTHR32343:SF64', NULL, NULL, NULL, NULL, 'BNAA09G04860D PROTEIN', 123242),
(179517, 'PTHR47992:SF132', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 51-RELATED', 123243),
(179518, 'PTHR12884:SF28', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', 123244),
(179519, 'PTHR47997:SF14', NULL, NULL, NULL, NULL, 'OSJNBB0039L24.8 PROTEIN', 123245),
(179520, 'PTHR31218:SF194', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 123246),
(179521, 'PTHR15350:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123247),
(179522, 'PTHR21495:SF154', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 123248),
(179523, 'PTHR31942:SF63', NULL, NULL, NULL, NULL, 'OS02G0562600 PROTEIN', 123249),
(179524, 'PTHR15838:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN OF 40 KDA', 123250),
(179525, 'PTHR31549:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123251),
(179526, 'PTHR12353:SF1', NULL, NULL, NULL, NULL, 'DISKS LARGE-ASSOCIATED PROTEIN 5', 123252),
(179527, 'PTHR46428:SF1', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 10', 123253),
(179528, 'PTHR12668:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FATTY ACID EXPORT 5-RELATED', 123254),
(179529, 'PTHR46346', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT P', 123255),
(179530, 'PTHR31602:SF40', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 7', 123256),
(179531, 'PTHR33044:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123257),
(179532, 'PTHR13016:SF4', NULL, NULL, NULL, NULL, 'AMMECR1 DOMAIN-CONTAINING PROTEIN-RELATED', 123258),
(179533, 'PTHR47992:SF56', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 20-RELATED', 123259),
(179534, 'PTHR22973:SF12', NULL, NULL, NULL, NULL, 'LD35087P', 123260),
(179535, 'PTHR24092:SF70', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 123261),
(179536, 'PTHR33700:SF25', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 123262),
(179537, 'PTHR35022:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123263),
(179538, 'PTHR38643', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PERMEASE C285.05-RELATED', 123264),
(179539, 'PTHR37432:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG21304', 123265),
(179540, 'PTHR15001:SF8', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 121', 123266),
(179541, 'PTHR36106:SF3', NULL, NULL, NULL, NULL, 'ANAEROBIC C4-DICARBOXYLATE TRANSPORTER DCUB', 123267),
(179542, 'PTHR24015:SF1725', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 123268),
(179543, 'PTHR10064:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-RELATED', 123269),
(179544, 'PTHR12821', NULL, NULL, NULL, NULL, 'BYSTIN', 123270),
(179545, 'PTHR43618:SF13', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17650)-RELATED', 123271);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(179546, 'PTHR45954:SF1', NULL, NULL, NULL, NULL, 'LD33695P', 123272),
(179547, 'PTHR46512:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP8', 123273),
(179548, 'PTHR46233:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', 123274),
(179549, 'PTHR40705', NULL, NULL, NULL, NULL, 'TRNA(ILE2) 2-AGMATINYLCYTIDINE SYNTHETASE TIAS', 123275),
(179550, 'PTHR14927:SF1', NULL, NULL, NULL, NULL, 'BNAC06G42660D PROTEIN', 123276),
(179551, 'PTHR31232:SF76', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 2', 123277),
(179552, 'PTHR31044:SF62', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 123278),
(179553, 'PTHR21290:SF59', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL:CERAMIDE INOSITOLPHOSPHOTRANSFERASE 1-LIKE ISOFORM X1', 123279),
(179554, 'PTHR23267:SF328', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-9', 123280),
(179555, 'PTHR13049:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 25', 123281),
(179556, 'PTHR11618:SF56', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB 2', 123282),
(179557, 'PTHR18952:SF104', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE-RELATED PROTEIN', 123283),
(179558, 'PTHR24057:SF63', NULL, NULL, NULL, NULL, 'OS05G0134000 PROTEIN', 123284),
(179559, 'PTHR11141:SF7', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23A', 123285),
(179560, 'PTHR26452:SF99', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 123286),
(179561, 'PTHR38790:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123287),
(179562, 'PTHR12714:SF9', NULL, NULL, NULL, NULL, 'PROTEIN-S-ISOPRENYLCYSTEINE O-METHYLTRANSFERASE', 123288),
(179563, 'PTHR48001:SF12', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 123289),
(179564, 'PTHR19851:SF7', NULL, NULL, NULL, NULL, 'OS02G0203500 PROTEIN', 123290),
(179565, 'PTHR30199:SF0', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YDCO', 123291),
(179566, 'PTHR12741:SF84', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 9', 123292),
(179567, 'PTHR45956:SF6', NULL, NULL, NULL, NULL, 'RUN AND FYVE DOMAIN-CONTAINING PROTEIN 2-LIKE PROTEIN', 123293),
(179568, 'PTHR43046:SF2', NULL, NULL, NULL, NULL, 'GDP-MANNOSE MANNOSYL HYDROLASE', 123294),
(179569, 'PTHR35298:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN S1FA2', 123295),
(179570, 'PTHR11732:SF286', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE A-RELATED', 123296),
(179571, 'PTHR19961:SF30', NULL, NULL, NULL, NULL, 'LIVER STAGE ANTIGEN 1', 123297),
(179572, 'PTHR45770:SF10', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 123298),
(179573, 'PTHR21461:SF45', NULL, NULL, NULL, NULL, 'SI:DKEY-56I24.1-RELATED', 123299),
(179574, 'PTHR31790:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123300),
(179575, 'PTHR30531:SF13', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLHB', 123301),
(179576, 'PTHR48049:SF75', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE:RHAMNOSYLTRANSFERASE 1-RELATED', 123302),
(179577, 'PTHR43525:SF2', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-LYASE-RELATED', 123303),
(179578, 'PTHR24637:SF302', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', 123304),
(179579, 'PTHR13844:SF5', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY D MEMBER 3', 123305),
(179580, 'PTHR31779:SF3', NULL, NULL, NULL, NULL, 'PROTEIN RDR1', 123306),
(179581, 'PTHR24345:SF89', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK4', 123307),
(179582, 'PTHR35607:SF10', NULL, NULL, NULL, NULL, 'GPI ANCHORED CFEM DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G10580)', 123308),
(179583, 'PTHR22765:SF97', NULL, NULL, NULL, NULL, 'OS01G0633300 PROTEIN', 123309),
(179584, 'PTHR13690:SF141', NULL, NULL, NULL, NULL, 'BNAA09G43300D PROTEIN', 123310),
(179585, 'PTHR12787', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 123311),
(179586, 'PTHR15729:SF13', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 32', 123312),
(179587, 'PTHR33563:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123313),
(179588, 'PTHR47293', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 3', 123314),
(179589, 'PTHR27003:SF328', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 123315);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(179590, 'PTHR11945:SF599', NULL, NULL, NULL, NULL, 'BNAA09G30550D PROTEIN', 123316),
(179591, 'PTHR24349:SF444', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 8', 123317),
(179592, 'PTHR12080:SF55', NULL, NULL, NULL, NULL, 'SLAM FAMILY MEMBER 5', 123318),
(179593, 'PTHR23202:SF81', NULL, NULL, NULL, NULL, 'LD40663P', 123319),
(179594, 'PTHR43807:SF20', NULL, NULL, NULL, NULL, 'FI04487P', 123320),
(179595, 'PTHR17630:SF88', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE FAMILY PROTEIN', 123321),
(179596, 'PTHR33091:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123322),
(179597, 'PTHR24223:SF423', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MRP-5', 123323),
(179598, 'PTHR21700:SF24', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 123324),
(179599, 'PTHR45613:SF360', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 123325),
(179600, 'PTHR45995:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE NIMA-INTERACTING 4', 123326),
(179601, 'PTHR15854:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG23515', 123327),
(179602, 'PTHR10593:SF190', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 2-LIKE', 123328),
(179603, 'PTHR24637:SF239', NULL, NULL, NULL, NULL, 'COLLAGEN', 123329),
(179604, 'PTHR11711:SF383', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR A1B', 123330),
(179605, 'PTHR24416:SF551', NULL, NULL, NULL, NULL, 'COLONY-STIMULATING FACTOR 1 RECEPTOR, B', 123331),
(179606, 'PTHR47227:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT K', 123332),
(179607, 'PTHR48047:SF48', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 123333),
(179608, 'PTHR23183:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 14', 123334),
(179609, 'PTHR12117:SF0', NULL, NULL, NULL, NULL, 'PROLYL 3-HYDROXYLASE OGFOD1', 123335),
(179610, 'PTHR32063:SF4', NULL, NULL, NULL, NULL, 'SLR6043 PROTEIN', 123336),
(179611, 'PTHR10168:SF222', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C9', 123337),
(179612, 'PTHR40836', NULL, NULL, NULL, NULL, 'RB1-INDUCIBLE COILED-COIL PROTEIN', 123338),
(179613, 'PTHR10578:SF121', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE', 123339),
(179614, 'PTHR11132:SF396', NULL, NULL, NULL, NULL, 'BNAC05G09350D PROTEIN', 123340),
(179615, 'PTHR10992:SF1011', NULL, NULL, NULL, NULL, 'METHYLESTERASE 12, CHLOROPLASTIC-RELATED', 123341),
(179616, 'PTHR10664:SF36', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS BC (CLASS B-LIKE)', 123342),
(179617, 'PTHR32002:SF64', NULL, NULL, NULL, NULL, 'BNAC04G02980D PROTEIN', 123343),
(179618, 'PTHR31050', NULL, NULL, NULL, NULL, 'OS08G0413200 PROTEIN', 123344),
(179619, 'PTHR21454:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123345),
(179620, 'PTHR11886:SF88', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 123346),
(179621, 'PTHR13620:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123347),
(179622, 'PTHR48054:SF17', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 5', 123348),
(179623, 'PTHR31992:SF137', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.7', 123349),
(179624, 'PTHR31905:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 58', 123350),
(179625, 'PTHR47992:SF153', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 5-RELATED', 123351),
(179626, 'PTHR46408:SF18', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 123352),
(179627, 'PTHR43418', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL TRYPTOPHAN BIOSYNTHESIS PROTEIN-RELATED', 123353),
(179628, 'PTHR32089:SF55', NULL, NULL, NULL, NULL, 'METHYL ACCEPTING SENSORY TRANSDUCER WITH CACHE_2 SMALL MOLECULE BINDING DOMAIN', 123354),
(179629, 'PTHR23077:SF138', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 48 HOMOLOG A', 123355),
(179630, 'PTHR11113:SF6', NULL, NULL, NULL, NULL, 'ADENINE DEAMINASE YERA-RELATED', 123356),
(179631, 'PTHR31623:SF51', NULL, NULL, NULL, NULL, 'N-BENZOYLTRANSFERASE, PUTATIVE-RELATED', 123357),
(179632, 'PTHR43135', NULL, NULL, NULL, NULL, 'ALPHA-D-RIBOSE 1-METHYLPHOSPHONATE 5-TRIPHOSPHATE DIPHOSPHATASE', 123358),
(179633, 'PTHR45659:SF15', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN ULTRABITHORAX', 123359);
INSERT INTO "PUBLIC"."MODEL" VALUES
(179634, 'PTHR34455:SF8', NULL, NULL, NULL, NULL, 'BNAA08G29920D PROTEIN', 123360),
(179635, 'PTHR10554:SF12', NULL, NULL, NULL, NULL, 'IP02644P', 123361),
(179636, 'PTHR43198', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL TH2 PROTEIN', 123362),
(179637, 'PTHR11571:SF242', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE P', 123363),
(179638, 'PTHR31707:SF324', NULL, NULL, NULL, NULL, 'BNAC09G46910D PROTEIN', 123364),
(179639, 'PTHR24559:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123365),
(179640, 'PTHR33398:SF5', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S20, CHLOROPLASTIC', 123366),
(179641, 'PTHR47631:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 123367),
(179642, 'PTHR47435:SF7', NULL, NULL, NULL, NULL, 'BNAC06G10450D PROTEIN', 123368),
(179643, 'PTHR11132:SF320', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN', 123369),
(179644, 'PTHR11961:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123370),
(179645, 'PTHR47215', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 123371),
(179646, 'PTHR46612', NULL, NULL, NULL, NULL, 'XYLOSIDE XYLOSYLTRANSFERASE 1', 123372),
(179647, 'PTHR45752:SF66', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN', 123373),
(179648, 'PTHR24115:SF937', NULL, NULL, NULL, NULL, 'KINESIN HEAVY CHAIN ISOFORM 5A', 123374),
(179649, 'PTHR47947:SF25', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82G1', 123375),
(179650, 'PTHR10462:SF23', NULL, NULL, NULL, NULL, 'MCG21268', 123376),
(179651, 'PTHR46224', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 123377),
(179652, 'PTHR10161:SF52', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 123378),
(179653, 'PTHR23430:SF23', NULL, NULL, NULL, NULL, 'HISTONE H2A-BBD TYPE 1-RELATED', 123379),
(179654, 'PTHR11938:SF137', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE [NADPH] LARGE CHAIN-RELATED', 123380),
(179655, 'PTHR21470:SF3', NULL, NULL, NULL, NULL, 'RAB6-INTERACTING GOLGIN (DUF662)', 123381),
(179656, 'PTHR35708:SF7', NULL, NULL, NULL, NULL, 'BNAA09G16700D PROTEIN', 123382),
(179657, 'PTHR24282:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123383),
(179658, 'PTHR24423:SF615', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR 1', 123384),
(179659, 'PTHR23426:SF34', NULL, NULL, NULL, NULL, 'FERREDOXIN-2, MITOCHONDRIAL', 123385),
(179660, 'PTHR43327:SF40', NULL, NULL, NULL, NULL, 'BNAC02G13810D PROTEIN', 123386),
(179661, 'PTHR13743:SF123', NULL, NULL, NULL, NULL, 'PROTEIN FAN', 123387),
(179662, 'PTHR34235:SF3', NULL, NULL, NULL, NULL, 'SLR1203 PROTEIN', 123388),
(179663, 'PTHR10264:SF72', NULL, NULL, NULL, NULL, 'PROTEIN UNC-1', 123389),
(179664, 'PTHR43811:SF48', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 123390),
(179665, 'PTHR10286:SF18', NULL, NULL, NULL, NULL, 'PYROPHOSPHATASE (INORGANIC) 1A', 123391),
(179666, 'PTHR12064:SF69', NULL, NULL, NULL, NULL, 'BNAC05G01850D PROTEIN', 123392),
(179667, 'PTHR35107:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 123393),
(179668, 'PTHR47983:SF5', NULL, NULL, NULL, NULL, 'BNAA04G17810D PROTEIN', 123394),
(179669, 'PTHR43511', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 123395),
(179670, 'PTHR30097:SF14', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN', 123396),
(179671, 'PTHR43845:SF1', NULL, NULL, NULL, NULL, 'BLR5969 PROTEIN', 123397),
(179672, 'PTHR47877:SF2', NULL, NULL, NULL, NULL, 'SEED BIOTIN-CONTAINING PROTEIN SBP65-LIKE ISOFORM X1', 123398),
(179673, 'PTHR11561:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOENOLYPYRUVATE CARBOXYKINASE', 123399),
(179674, 'PTHR20900:SF2', NULL, NULL, NULL, NULL, 'BNAC09G20920D PROTEIN', 123400),
(179675, 'PTHR11783:SF172', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 123401),
(179676, 'PTHR47991:SF36', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 123402),
(179677, 'PTHR12147:SF23', NULL, NULL, NULL, NULL, 'PEPTIDE HYDROLASE', 123403),
(179678, 'PTHR40388:SF2', NULL, NULL, NULL, NULL, 'ACTINOPORIN-LIKE PROTEIN', 123404),
(179679, 'PTHR11662:SF72', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', 123405);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(179680, 'PTHR31595:SF44', NULL, NULL, NULL, NULL, 'ACYL-COA STEROL ACYL TRANSFERASE 1-RELATED', 123406),
(179681, 'PTHR12387:SF5', NULL, NULL, NULL, NULL, 'BNACNNG39010D PROTEIN', 123407),
(179682, 'PTHR10615:SF187', NULL, NULL, NULL, NULL, 'BNAC07G32690D PROTEIN', 123408),
(179683, 'PTHR31181:SF65', NULL, NULL, NULL, NULL, 'BNAA02G30020D PROTEIN', 123409),
(179684, 'PTHR35819:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123410),
(179685, 'PTHR10378:SF33', NULL, NULL, NULL, NULL, 'BNAA10G08930D PROTEIN', 123411),
(179686, 'PTHR33076:SF120', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 123412),
(179687, 'PTHR45868:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123413),
(179688, 'PTHR15020:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123414),
(179689, 'PTHR12444:SF1', NULL, NULL, NULL, NULL, 'PROTEIN EFR3 HOMOLOG A', 123415),
(179690, 'PTHR33021:SF184', NULL, NULL, NULL, NULL, 'PLASTOCYANIN-LIKE DOMAIN PROTEIN', 123416),
(179691, 'PTHR34371:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123417),
(179692, 'PTHR11132:SF344', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN ISOFORM 1', 123418),
(179693, 'PTHR46329', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR 2', 123419),
(179694, 'PTHR40094:SF1', NULL, NULL, NULL, NULL, 'ALPHA-2-MACROGLOBULIN HOMOLOG', 123420),
(179695, 'PTHR13301:SF197', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D3', 123421),
(179696, 'PTHR10209:SF579', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 6', 123422),
(179697, 'PTHR47593:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 4-LIKE', 123423),
(179698, 'PTHR31852:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123424),
(179699, 'PTHR46309:SF1', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 12', 123425),
(179700, 'PTHR32556:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123426),
(179701, 'PTHR48011:SF9', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN-RELATED', 123427),
(179702, 'PTHR33738:SF20', NULL, NULL, NULL, NULL, 'BNACNNG03760D PROTEIN', 123428),
(179703, 'PTHR11206:SF435', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 123429),
(179704, 'PTHR22763:SF21', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 24', 123430),
(179705, 'PTHR43539:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123431),
(179706, 'PTHR31922:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 215', 123432),
(179707, 'PTHR18847', NULL, NULL, NULL, NULL, '20 KD NUCLEAR CAP BINDING PROTEIN', 123433),
(179708, 'PTHR45900:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DNA REPAIR PROTEIN RECA HOMOLOG', 123434),
(179709, 'PTHR14143:SF2', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY, Q2', 123435),
(179710, 'PTHR31319:SF69', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE', 123436),
(179711, 'PTHR45763:SF51', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 123437),
(179712, 'PTHR15593', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE REGULATORY SUBUNIT', 123438),
(179713, 'PTHR46328:SF20', NULL, NULL, NULL, NULL, 'FAR1 DNA BINDING DOMAIN, FHY3/FAR1 FAMILY-RELATED', 123439),
(179714, 'PTHR48048:SF57', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 123440),
(179715, 'PTHR11829:SF354', NULL, NULL, NULL, NULL, 'FORKHEAD TRANSCRIPTION FACTOR FAMILY', 123441),
(179716, 'PTHR33491:SF28', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE, GALACTURONAN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 123442),
(179717, 'PTHR13142:SF1', NULL, NULL, NULL, NULL, 'INNER CENTROMERE PROTEIN', 123443),
(179718, 'PTHR34491:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123444),
(179719, 'PTHR45940:SF30', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 123445),
(179720, 'PTHR11548:SF13', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DIHYDROFOLATE REDUCTASE-THYMIDYLATE SYNTHASE-RELATED', 123446),
(179721, 'PTHR31301:SF78', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 13', 123447),
(179722, 'PTHR13343:SF29', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE 5''-PHOSPHATE OXIDASE FAMILY PROTEIN', 123448);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(179723, 'PTHR11743:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123449),
(179724, 'PTHR45772:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING/PERMEASE PROTEIN', 123450),
(179725, 'PTHR27008:SF425', NULL, NULL, NULL, NULL, 'BNAA09G15420D PROTEIN', 123451),
(179726, 'PTHR43673', NULL, NULL, NULL, NULL, 'NAD(P)H NITROREDUCTASE YDGI-RELATED', 123452),
(179727, 'PTHR27005:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123453),
(179728, 'PTHR39083:SF1', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP-BINDING PROTEIN', 123454),
(179729, 'PTHR31984', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (DUF179)-RELATED', 123455),
(179730, 'PTHR46031:SF7', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 2-LIKE', 123456),
(179731, 'PTHR13861:SF10', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT F', 123457),
(179732, 'PTHR10527:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123458),
(179733, 'PTHR37705:SF2', NULL, NULL, NULL, NULL, 'BNAANNG40180D PROTEIN', 123459),
(179734, 'PTHR33064:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123460),
(179735, 'PTHR11360:SF164', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE-RELATED', 123461),
(179736, 'PTHR22951:SF30', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN-LIKE', 123462),
(179737, 'PTHR24067:SF314', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 7', 123463),
(179738, 'PTHR47588', NULL, NULL, NULL, NULL, 'CHALCONE--FLAVONONE ISOMERASE 3-RELATED', 123464),
(179739, 'PTHR46083', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 123465),
(179740, 'PTHR33596:SF4', NULL, NULL, NULL, NULL, 'COLD-REGULATED 413 PLASMA MEMBRANE PROTEIN 4-LIKE', 123466),
(179741, 'PTHR30537:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 123467),
(179742, 'PTHR43205:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123468),
(179743, 'PTHR11566:SF146', NULL, NULL, NULL, NULL, 'FAMILY GTPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14300)-RELATED', 123469),
(179744, 'PTHR44329:SF89', NULL, NULL, NULL, NULL, 'OS02G0608500 PROTEIN', 123470),
(179745, 'PTHR13078:SF56', NULL, NULL, NULL, NULL, 'PEROXISOMAL MULTIFUNCTIONAL ENZYME TYPE 2', 123471),
(179746, 'PTHR33108:SF71', NULL, NULL, NULL, NULL, 'BNAA03G56060D PROTEIN', 123472),
(179747, 'PTHR26374:SF407', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE PROTEIN-RELATED', 123473),
(179748, 'PTHR36733', NULL, NULL, NULL, NULL, 'CELL WALL PROTEIN-RELATED', 123474),
(179749, 'PTHR46224:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123475),
(179750, 'PTHR11362', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN', 123476),
(179751, 'PTHR13198', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 25', 123477),
(179752, 'PTHR15588', NULL, NULL, NULL, NULL, 'LSM1', 123478),
(179753, 'PTHR31970:SF0', NULL, NULL, NULL, NULL, 'MOLYBDATE TRANSPORTER 1', 123479),
(179754, 'PTHR33021:SF405', NULL, NULL, NULL, NULL, 'CUPREDOXIN, BLUE (TYPE 1) COPPER PROTEIN, BINDING SITE-RELATED', 123480),
(179755, 'PTHR35632:SF4', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E 6-LIKE', 123481),
(179756, 'PTHR11702', NULL, NULL, NULL, NULL, 'DEVELOPMENTALLY REGULATED GTP-BINDING PROTEIN-RELATED', 123482),
(179757, 'PTHR23291:SF93', NULL, NULL, NULL, NULL, 'BAX INHIBITOR 1-LIKE', 123483),
(179758, 'PTHR12126:SF12', NULL, NULL, NULL, NULL, 'BNAANNG24990D PROTEIN', 123484),
(179759, 'PTHR46159', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 2', 123485),
(179760, 'PTHR43025:SF1', NULL, NULL, NULL, NULL, 'MONOGALACTOSYLDIACYLGLYCEROL SYNTHASE 2, CHLOROPLASTIC', 123486),
(179761, 'PTHR35303', NULL, NULL, NULL, NULL, 'OS02G0197800 PROTEIN', 123487),
(179762, 'PTHR22792:SF130', NULL, NULL, NULL, NULL, 'BNAANNG08280D PROTEIN', 123488),
(179763, 'PTHR13078:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123489),
(179764, 'PTHR22751:SF33', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 123490),
(179765, 'PTHR11685:SF301', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 123491),
(179766, 'PTHR24270:SF23', NULL, NULL, NULL, NULL, 'PROLOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 1', 123492);
INSERT INTO "PUBLIC"."MODEL" VALUES
(179767, 'PTHR45676:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 123493),
(179768, 'PTHR47991:SF58', NULL, NULL, NULL, NULL, 'CODEINE O-DEMETHYLASE-LIKE ISOFORM X1', 123494),
(179769, 'PTHR31140:SF113', NULL, NULL, NULL, NULL, 'BNAA04G26820D PROTEIN', 123495),
(179770, 'PTHR32556:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 123496),
(179771, 'PTHR31062:SF208', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 123497),
(179772, 'PTHR33788:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123498),
(179773, 'PTHR46219:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG17919', 123499),
(179774, 'PTHR14312:SF4', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER TRANSCRIPTION FACTOR A', 123500),
(179775, 'PTHR13052:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR KAPPA-B-BINDING PROTEIN', 123501),
(179776, 'PTHR11986:SF18', NULL, NULL, NULL, NULL, 'ORNITHINE AMINOTRANSFERASE, MITOCHONDRIAL', 123502),
(179777, 'PTHR11618:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123503),
(179778, 'PTHR43448:SF2', NULL, NULL, NULL, NULL, 'PROTOHEME IX FARNESYLTRANSFERASE, MITOCHONDRIAL', 123504),
(179779, 'PTHR31657:SF47', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 123505),
(179780, 'PTHR46722', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM7 HOMOLOG', 123506),
(179781, 'PTHR21228:SF1', NULL, NULL, NULL, NULL, 'FAST KINASE DOMAIN-CONTAINING PROTEIN 2, MITOCHONDRIAL', 123507),
(179782, 'PTHR10157:SF23', NULL, NULL, NULL, NULL, 'MOXD1 HOMOLOG 1', 123508),
(179783, 'PTHR12560:SF6', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 4', 123509),
(179784, 'PTHR34849:SF2', NULL, NULL, NULL, NULL, 'SSR2962 PROTEIN', 123510),
(179785, 'PTHR15710:SF83', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHC1A-RELATED', 123511),
(179786, 'PTHR22814:SF336', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 23', 123512),
(179787, 'PTHR12850:SF31', NULL, NULL, NULL, NULL, 'BNAA04G12260D PROTEIN', 123513),
(179788, 'PTHR11481:SF102', NULL, NULL, NULL, NULL, 'SI:CABZ01036022.1-RELATED', 123514),
(179789, 'PTHR31267:SF7', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', 123515),
(179790, 'PTHR47376', NULL, NULL, NULL, NULL, 'OS02G0597700 PROTEIN', 123516),
(179791, 'PTHR35481:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT ALPHA', 123517),
(179792, 'PTHR27005:SF332', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-LIKE', 123518),
(179793, 'PTHR10621:SF29', NULL, NULL, NULL, NULL, 'UV EXCISION REPAIR PROTEIN RAD23 HOMOLOG A', 123519),
(179794, 'PTHR33878:SF5', NULL, NULL, NULL, NULL, 'OS08G0558900 PROTEIN', 123520),
(179795, 'PTHR33076:SF114', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 123521),
(179796, 'PTHR43301:SF4', NULL, NULL, NULL, NULL, 'ARABINAN ENDO-1,5-ALPHA-L-ARABINOSIDASE B', 123522),
(179797, 'PTHR31988:SF10', NULL, NULL, NULL, NULL, 'CARBOHYDRATE ESTERASE-RELATED', 123523),
(179798, 'PTHR23244:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123524),
(179799, 'PTHR11712:SF226', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE I, CHLOROPLASTIC', 123525),
(179800, 'PTHR31610:SF0', NULL, NULL, NULL, NULL, 'SLR0360 PROTEIN', 123526),
(179801, 'PTHR31126:SF62', NULL, NULL, NULL, NULL, 'BNACNNG05950D PROTEIN', 123527),
(179802, 'PTHR33392:SF3', NULL, NULL, NULL, NULL, 'POLYISOPRENYL-TEICHOIC ACID--PEPTIDOGLYCAN TEICHOIC ACID TRANSFERASE TAGT', 123528),
(179803, 'PTHR31009:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123529),
(179804, 'PTHR23320:SF95', NULL, NULL, NULL, NULL, 'SI:CH1073-291C23.2', 123530),
(179805, 'PTHR21506:SF0', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 6', 123531),
(179806, 'PTHR47322:SF2', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 123532),
(179807, 'PTHR47632', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY-RELATED', 123533),
(179808, 'PTHR27003:SF65', NULL, NULL, NULL, NULL, 'OS03G0281500 PROTEIN', 123534),
(179809, 'PTHR43751:SF1', NULL, NULL, NULL, NULL, 'SULFATASE ATSG-RELATED', 123535);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(179810, 'PTHR12538:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', 123536),
(179811, 'PTHR31642:SF56', NULL, NULL, NULL, NULL, 'PUTRESCINE HYDROXYCINNAMOYLTRANSFERASE 2', 123537),
(179812, 'PTHR13032:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123538),
(179813, 'PTHR22930:SF167', NULL, NULL, NULL, NULL, 'PROTEIN CBG22589', 123539),
(179814, 'PTHR14363', NULL, NULL, NULL, NULL, 'HEPARANASE-RELATED', 123540),
(179815, 'PTHR10108:SF1123', NULL, NULL, NULL, NULL, 'PMT16, PUTATIVE-RELATED', 123541),
(179816, 'PTHR42861:SF93', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 123542),
(179817, 'PTHR12411:SF414', NULL, NULL, NULL, NULL, 'OS05G0508300 PROTEIN', 123543),
(179818, 'PTHR11100:SF12', NULL, NULL, NULL, NULL, 'PROTEIN VEIN', 123544),
(179819, 'PTHR11607:SF60', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE', 123545),
(179820, 'PTHR11740:SF27', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', 123546),
(179821, 'PTHR21137:SF3', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 30A-RELATED', 123547),
(179822, 'PTHR22844:SF356', NULL, NULL, NULL, NULL, 'BNAC07G31740D PROTEIN', 123548),
(179823, 'PTHR12514:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION AND MRNA EXPORT FACTOR ENY2', 123549),
(179824, 'PTHR47382:SF4', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', 123550),
(179825, 'PTHR38928:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123551),
(179826, 'PTHR34465:SF4', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL HYDROLASE-LIKE PROTEIN, PUTATIVE (DUF627 AND DUF629)-RELATED', 123552),
(179827, 'PTHR23033:SF12', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1', 123553),
(179828, 'PTHR12606:SF9', NULL, NULL, NULL, NULL, 'MCG1048453-RELATED', 123554),
(179829, 'PTHR24282:SF95', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714B1', 123555),
(179830, 'PTHR10108:SF1059', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT15-RELATED', 123556),
(179831, 'PTHR38491', NULL, NULL, NULL, NULL, 'REGULATOR OF HEMOGLOBINIZATION AND ERYTHROID CELL EXPANSION PROTEIN', 123557),
(179832, 'PTHR11574:SF0', NULL, NULL, NULL, NULL, 'KIT LIGAND', 123558),
(179833, 'PTHR45642:SF116', NULL, NULL, NULL, NULL, 'BNAA03G01070D PROTEIN', 123559),
(179834, 'PTHR34179:SF1', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P53-INDUCIBLE PROTEIN 13', 123560),
(179835, 'PTHR45634:SF20', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 123561),
(179836, 'PTHR46162:SF38', NULL, NULL, NULL, NULL, 'BNAC03G28110D PROTEIN', 123562),
(179837, 'PTHR46758:SF8', NULL, NULL, NULL, NULL, 'OJ1485_B09.11 PROTEIN', 123563),
(179838, 'PTHR45614:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR MYB', 123564),
(179839, 'PTHR47925:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123565),
(179840, 'PTHR12752:SF9', NULL, NULL, NULL, NULL, 'PH DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G12150)', 123566),
(179841, 'PTHR32488:SF77', NULL, NULL, NULL, NULL, 'UPF0746 PROTEIN DDB_G0280785-RELATED', 123567),
(179842, 'PTHR43804:SF7', NULL, NULL, NULL, NULL, 'LD18447P', 123568),
(179843, 'PTHR10543:SF101', NULL, NULL, NULL, NULL, '9-CIS-EPOXYCAROTENOID DIOXYGENASE NCED6, CHLOROPLASTIC', 123569),
(179844, 'PTHR31223', NULL, NULL, NULL, NULL, 'LOG FAMILY PROTEIN YJL055W', 123570),
(179845, 'PTHR22942:SF47', NULL, NULL, NULL, NULL, 'DNA REPAIR AND RECOMBINATION PROTEIN RADB', 123571),
(179846, 'PTHR33602', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN RECX FAMILY PROTEIN', 123572),
(179847, 'PTHR33156:SF58', NULL, NULL, NULL, NULL, 'BNAA09G43690D PROTEIN', 123573),
(179848, 'PTHR47924:SF10', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 123574),
(179849, 'PTHR32227:SF393', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17-RELATED', 123575),
(179850, 'PTHR13902:SF12', NULL, NULL, NULL, NULL, 'WNK KINASE, ISOFORM M', 123576),
(179851, 'PTHR33988:SF1', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE MAZF7-RELATED', 123577),
(179852, 'PTHR11324:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123578),
(179853, 'PTHR47938:SF12', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 5, MITOCHONDRIAL', 123579);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(179854, 'PTHR31273', NULL, NULL, NULL, NULL, 'PHOSPHOKETOLASE-RELATED', 123580),
(179855, 'PTHR43083:SF4', NULL, NULL, NULL, NULL, 'N-GLYCOSYL-TRANSFERASE (AFU_ORTHOLOGUE AFUA_4G06870)', 123581),
(179856, 'PTHR43019:SF29', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 123582),
(179857, 'PTHR45738:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC2', 123583),
(179858, 'PTHR10921', NULL, NULL, NULL, NULL, 'NUCLEAR DISTRIBUTION PROTEIN NUDE HOMOLOG 1', 123584),
(179859, 'PTHR43859:SF53', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 4-RELATED', 123585),
(179860, 'PTHR43509', NULL, NULL, NULL, NULL, 'PTHR43509', 123586),
(179861, 'PTHR21576:SF22', NULL, NULL, NULL, NULL, 'F25A4.25 PROTEIN', 123587),
(179862, 'PTHR47977:SF11', NULL, NULL, NULL, NULL, 'SI:DKEY-16L2.16', 123588),
(179863, 'PTHR12863:SF13', NULL, NULL, NULL, NULL, 'DIHYDROCERAMIDE FATTY ACYL 2-HYDROXYLASE FAH2', 123589),
(179864, 'PTHR31972:SF6', NULL, NULL, NULL, NULL, 'SULFATE/THIOSULFATE IMPORT ATP-BINDING PROTEIN CYSA', 123590),
(179865, 'PTHR22923', NULL, NULL, NULL, NULL, 'CEREBELLIN-RELATED', 123591),
(179866, 'PTHR12665:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123592),
(179867, 'PTHR48112:SF4', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN B1-LIKE 1-RELATED', 123593),
(179868, 'PTHR33793', NULL, NULL, NULL, NULL, 'ALPHA-AGGLUTININ', 123594),
(179869, 'PTHR31238:SF113', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 123595),
(179870, 'PTHR33347:SF44', NULL, NULL, NULL, NULL, 'BNAUNNG01670D PROTEIN', 123596),
(179871, 'PTHR22937:SF146', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR2-LIKE', 123597),
(179872, 'PTHR13022:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT K', 123598),
(179873, 'PTHR24182:SF17', NULL, NULL, NULL, NULL, 'LD18443P', 123599),
(179874, 'PTHR33669:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123600),
(179875, 'PTHR22775:SF43', NULL, NULL, NULL, NULL, 'SORTING NEXIN 29', 123601),
(179876, 'PTHR21523:SF2', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', 123602),
(179877, 'PTHR31072:SF31', NULL, NULL, NULL, NULL, 'OS02G0635800 PROTEIN', 123603),
(179878, 'PTHR37445', NULL, NULL, NULL, NULL, 'PROTEIN CBG24663', 123604),
(179879, 'PTHR43127:SF6', NULL, NULL, NULL, NULL, 'BNAA06G11750D PROTEIN', 123605),
(179880, 'PTHR18896', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 123606),
(179881, 'PTHR10224:SF12', NULL, NULL, NULL, NULL, 'GLYOXALASE ELBB', 123607),
(179882, 'PTHR24035:SF125', NULL, NULL, NULL, NULL, 'ZGC:158328', 123608),
(179883, 'PTHR10177:SF462', NULL, NULL, NULL, NULL, 'CYCLIN-D4-1-RELATED', 123609),
(179884, 'PTHR21654:SF81', NULL, NULL, NULL, NULL, 'BNAC02G02980D PROTEIN', 123610),
(179885, 'PTHR43744:SF2', NULL, NULL, NULL, NULL, 'L-ARABINOSE TRANSPORT SYSTEM PERMEASE PROTEIN ARAQ', 123611),
(179886, 'PTHR24418:SF297', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 123612),
(179887, 'PTHR24230:SF10', NULL, NULL, NULL, NULL, 'CYSTEINYL LEUKOTRIENE RECEPTOR 2', 123613),
(179888, 'PTHR47446', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 123614),
(179889, 'PTHR11269:SF9', NULL, NULL, NULL, NULL, 'PERIOD CIRCADIAN PROTEIN HOMOLOG 2', 123615),
(179890, 'PTHR31928:SF22', NULL, NULL, NULL, NULL, 'BNACNNG67110D PROTEIN', 123616),
(179891, 'PTHR45657:SF48', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH5', 123617),
(179892, 'PTHR34986:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YIAL', 123618),
(179893, 'PTHR12346:SF34', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX PROTEIN SIN3-LIKE 1', 123619),
(179894, 'PTHR36794', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 123620),
(179895, 'PTHR33927:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 123621),
(179896, 'PTHR31790:SF367', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123622),
(179897, 'PTHR33413:SF6', NULL, NULL, NULL, NULL, 'OS06G0236300 PROTEIN', 123623),
(179898, 'PTHR31422:SF35', NULL, NULL, NULL, NULL, 'BNAC01G44940D PROTEIN', 123624),
(179899, 'PTHR33743:SF23', NULL, NULL, NULL, NULL, 'OS02G0799200 PROTEIN', 123625);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(179900, 'PTHR12478:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123626),
(179901, 'PTHR10286:SF69', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE PPA1', 123627),
(179902, 'PTHR48001:SF132', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 123628),
(179903, 'PTHR32123:SF13', NULL, NULL, NULL, NULL, 'BICAUDAL D-RELATED PROTEIN HOMOLOG', 123629),
(179904, 'PTHR24184:SF15', NULL, NULL, NULL, NULL, 'PROTEASOME 26S SUBUNIT, NON-ATPASE 10', 123630),
(179905, 'PTHR45765:SF9', NULL, NULL, NULL, NULL, 'SYNTHETASE, PUTATIVE, EXPRESSED-RELATED', 123631),
(179906, 'PTHR40048:SF1', NULL, NULL, NULL, NULL, 'RHAMNOSYL O-METHYLTRANSFERASE', 123632),
(179907, 'PTHR10634:SF25', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 6', 123633),
(179908, 'PTHR35317:SF12', NULL, NULL, NULL, NULL, 'OS04G0629600 PROTEIN', 123634),
(179909, 'PTHR44240:SF10', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN (PROKARYOTIC HEAT SHOCK PROTEIN)-RELATED', 123635),
(179910, 'PTHR11669:SF46', NULL, NULL, NULL, NULL, 'PROTEIN STICHEL-LIKE 3', 123636),
(179911, 'PTHR38224:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123637),
(179912, 'PTHR22937:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123638),
(179913, 'PTHR10388:SF4', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR EIF1', 123639),
(179914, 'PTHR31080:SF101', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', 123640),
(179915, 'PTHR12289:SF72', NULL, NULL, NULL, NULL, 'PROTEIN CBG20931', 123641),
(179916, 'PTHR34569:SF17', NULL, NULL, NULL, NULL, 'BNACNNG72770D PROTEIN', 123642),
(179917, 'PTHR21616:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123643),
(179918, 'PTHR22118:SF14', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 3, AXONEMAL', 123644),
(179919, 'PTHR32191:SF76', NULL, NULL, NULL, NULL, 'BNAA09G09890D PROTEIN', 123645),
(179920, 'PTHR33453:SF9', NULL, NULL, NULL, NULL, 'ALBUMIN B-32', 123646),
(179921, 'PTHR11384:SF54', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER D FAMILY MEMBER 1', 123647),
(179922, 'PTHR45617:SF2', NULL, NULL, NULL, NULL, 'INSULIN LIKE GROWTH FACTOR BINDING PROTEIN ACID LABILE SUBUNIT', 123648),
(179923, 'PTHR10634:SF124', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 8-RELATED', 123649),
(179924, 'PTHR24023:SF848', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE V, ALPHA 3B', 123650),
(179925, 'PTHR13483:SF14', NULL, NULL, NULL, NULL, 'BNAC06G02250D PROTEIN', 123651),
(179926, 'PTHR21736', NULL, NULL, NULL, NULL, 'VERNALIZATION-INSENSITIVE PROTEIN 3', 123652),
(179927, 'PTHR22576:SF40', NULL, NULL, NULL, NULL, 'MUCOSA-ASSOCIATED LYMPHOID TISSUE LYMPHOMA TRANSLOCATION PROTEIN 1', 123653),
(179928, 'PTHR11353:SF207', NULL, NULL, NULL, NULL, 'THERMOSOME SUBUNIT ALPHA', 123654),
(179929, 'PTHR23070:SF34', NULL, NULL, NULL, NULL, 'OS01G0641800 PROTEIN', 123655),
(179930, 'PTHR23122:SF73', NULL, NULL, NULL, NULL, 'MAGUK P55 SUBFAMILY MEMBER 5-A', 123656),
(179931, 'PTHR15160:SF10', NULL, NULL, NULL, NULL, 'VON HIPPEL-LINDAU TUMOR SUPPRESSOR', 123657),
(179932, 'PTHR47958:SF82', NULL, NULL, NULL, NULL, 'BNAA08G07020D PROTEIN', 123658),
(179933, 'PTHR13544:SF7', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE-LIKE SELENOPROTEIN T1A-RELATED', 123659),
(179934, 'PTHR45801:SF43', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', 123660),
(179935, 'PTHR10438:SF436', NULL, NULL, NULL, NULL, 'THIOREDOXIN-1-RELATED', 123661),
(179936, 'PTHR11709:SF123', NULL, NULL, NULL, NULL, 'MONOCOPPER OXIDASE-LIKE PROTEIN SKU5', 123662),
(179937, 'PTHR11588:SF88', NULL, NULL, NULL, NULL, 'TUBULIN BETA-6 CHAIN', 123663),
(179938, 'PTHR45878:SF34', NULL, NULL, NULL, NULL, 'OS02G0196100 PROTEIN', 123664),
(179939, 'PTHR38899:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123665),
(179940, 'PTHR41282', NULL, NULL, NULL, NULL, 'CONSERVED TRANSMEMBRANE PROTEIN-RELATED', 123666),
(179941, 'PTHR12894:SF40', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR-BETA RECEPTOR-ASSOCIATED PROTEIN 1', 123667),
(179942, 'PTHR48011:SF70', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 123668);
INSERT INTO "PUBLIC"."MODEL" VALUES
(179943, 'PTHR48018:SF157', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 123669),
(179944, 'PTHR46361:SF3', NULL, NULL, NULL, NULL, 'ELECTRON CARRIER/ PROTEIN DISULFIDE OXIDOREDUCTASE', 123670),
(179945, 'PTHR14224:SF26', NULL, NULL, NULL, NULL, 'PRAMEL6', 123671),
(179946, 'PTHR37544:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123672),
(179947, 'PTHR21731:SF0', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX CENTRAL ELEMENT PROTEIN 1', 123673),
(179948, 'PTHR23050:SF214', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML13-RELATED', 123674),
(179949, 'PTHR47991:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123675),
(179950, 'PTHR46199:SF3', NULL, NULL, NULL, NULL, 'FI24033P1-RELATED', 123676),
(179951, 'PTHR34779:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123677),
(179952, 'PTHR22902:SF37', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY J MEMBER 1-LIKE PROTEIN', 123678),
(179953, 'PTHR33270:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123679),
(179954, 'PTHR46121:SF4', NULL, NULL, NULL, NULL, 'STEROIDOGENIC ACUTE REGULATORY PROTEIN-LIKE', 123680),
(179955, 'PTHR43139:SF4', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN, EXPRESSED', 123681),
(179956, 'PTHR10572:SF38', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE 3', 123682),
(179957, 'PTHR45800:SF28', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-/4-KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 123683),
(179958, 'PTHR23257:SF749', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF RAS (KSR), PUTATIVE-RELATED', 123684),
(179959, 'PTHR10681:SF157', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-4', 123685),
(179960, 'PTHR26452:SF345', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 123686),
(179961, 'PTHR12385:SF83', NULL, NULL, NULL, NULL, 'PLASMA-MEMBRANE CHOLINE TRANSPORTER FAMILY PROTEIN', 123687),
(179962, 'PTHR24033:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123688),
(179963, 'PTHR24264:SF20', NULL, NULL, NULL, NULL, 'ZMP:0000001088', 123689),
(179964, 'PTHR48230', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 123690),
(179965, 'PTHR24072:SF311', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE 2', 123691),
(179966, 'PTHR46506:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123692),
(179967, 'PTHR47990:SF70', NULL, NULL, NULL, NULL, 'PROTEIN DOWNY MILDEW RESISTANCE 6', 123693),
(179968, 'PTHR46012', NULL, NULL, NULL, NULL, 'IP22168P', 123694),
(179969, 'PTHR14217:SF18', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', 123695),
(179970, 'PTHR33918:SF5', NULL, NULL, NULL, NULL, 'BNAA09G38610D PROTEIN', 123696),
(179971, 'PTHR23514:SF6', NULL, NULL, NULL, NULL, 'MFS EFFLUX TRANSPORTER', 123697),
(179972, 'PTHR33109:SF65', NULL, NULL, NULL, NULL, 'BNAC03G61250D PROTEIN', 123698),
(179973, 'PTHR34131', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 123699),
(179974, 'PTHR24216:SF15', NULL, NULL, NULL, NULL, 'PAXILLIN-LIKE PROTEIN 1', 123700),
(179975, 'PTHR12185:SF1', NULL, NULL, NULL, NULL, 'SYSTEMIC RNA INTERFERENCE DEFECTIVE PROTEIN 1', 123701),
(179976, 'PTHR33356:SF23', NULL, NULL, NULL, NULL, 'BNAC06G15000D PROTEIN', 123702),
(179977, 'PTHR42972:SF1', NULL, NULL, NULL, NULL, 'FERULOYL ESTERASE B', 123703),
(179978, 'PTHR31168:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123704),
(179979, 'PTHR24054:SF0', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA', 123705),
(179980, 'PTHR23114:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123706),
(179981, 'PTHR31851:SF11', NULL, NULL, NULL, NULL, 'FE(2+)/MN(2+) TRANSPORTER PCL1', 123707),
(179982, 'PTHR19256:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123708),
(179983, 'PTHR47976:SF63', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', 123709),
(179984, 'PTHR24381:SF298', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', 123710),
(179985, 'PTHR28242:SF42', NULL, NULL, NULL, NULL, 'PSEUDO HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 5', 123711),
(179986, 'PTHR23237:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123712);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(179987, 'PTHR12763:SF50', NULL, NULL, NULL, NULL, 'BNAC02G03420D PROTEIN', 123713),
(179988, 'PTHR32429:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123714),
(179989, 'PTHR24221:SF465', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 9', 123715),
(179990, 'PTHR13789:SF187', NULL, NULL, NULL, NULL, 'MONOOXYGENASE', 123716),
(179991, 'PTHR31072:SF89', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PCF3', 123717),
(179992, 'PTHR45715:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123718),
(179993, 'PTHR12247:SF130', NULL, NULL, NULL, NULL, 'L3MBTL HISTONE METHYL-LYSINE-BINDING PROTEIN 1B', 123719),
(179994, 'PTHR19317:SF50', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 123720),
(179995, 'PTHR11566:SF193', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 4C-LIKE', 123721),
(179996, 'PTHR46262:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN F1', 123722),
(179997, 'PTHR23213:SF273', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 123723),
(179998, 'PTHR23278:SF19', NULL, NULL, NULL, NULL, 'HEMICENTIN 1', 123724),
(179999, 'PTHR10701', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN-ASSOCIATED PROTEIN B AND N', 123725),
(180000, 'PTHR10454:SF8', NULL, NULL, NULL, NULL, 'CASP8 AND FADD-LIKE APOPTOSIS REGULATOR', 123726),
(180001, 'PTHR41523', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM SENSOR PROTEIN', 123727),
(180002, 'PTHR12121:SF93', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE, MYND-LIKE ZINC FINGER, MRNA-BINDING PROTEIN-RELATED', 123728),
(180003, 'PTHR31133:SF14', NULL, NULL, NULL, NULL, 'BNAC06G13090D PROTEIN', 123729),
(180004, 'PTHR22597:SF5', NULL, NULL, NULL, NULL, 'LOCALIZATION PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G10600)-RELATED', 123730),
(180005, 'PTHR11003:SF86', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 123731),
(180006, 'PTHR45929:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123732),
(180007, 'PTHR46005', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 190', 123733),
(180008, 'PTHR13563:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG09110', 123734),
(180009, 'PTHR24115:SF407', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF26A', 123735),
(180010, 'PTHR31845', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE-RELATED', 123736),
(180011, 'PTHR27000:SF679', NULL, NULL, NULL, NULL, 'OS01G0170300 PROTEIN', 123737),
(180012, 'PTHR46741:SF2', NULL, NULL, NULL, NULL, 'OS09G0413600 PROTEIN', 123738),
(180013, 'PTHR23428:SF282', NULL, NULL, NULL, NULL, 'HISTONE H2B', 123739),
(180014, 'PTHR31248:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 123740),
(180015, 'PTHR47600:SF2', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE NUCLEOTIDYLTRANSFERASE-RELATED', 123741),
(180016, 'PTHR10828:SF17', NULL, NULL, NULL, NULL, 'CDC25-LIKE PROTEIN PHOSPHATASE TWINE-RELATED', 123742),
(180017, 'PTHR31852:SF156', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 123743),
(180018, 'PTHR24353:SF118', NULL, NULL, NULL, NULL, 'SI:DKEY-121J17.5', 123744),
(180019, 'PTHR19375:SF201', NULL, NULL, NULL, NULL, 'OS06G0212900 PROTEIN', 123745),
(180020, 'PTHR31235:SF255', NULL, NULL, NULL, NULL, 'PEROXIDASE', 123746),
(180021, 'PTHR46794:SF2', NULL, NULL, NULL, NULL, 'AMELOGENIN, Y ISOFORM', 123747),
(180022, 'PTHR31945:SF111', NULL, NULL, NULL, NULL, 'BNAA04G21020D PROTEIN', 123748),
(180023, 'PTHR24347:SF370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123749),
(180024, 'PTHR13087:SF0', NULL, NULL, NULL, NULL, 'FLJ22626-LIKE', 123750),
(180025, 'PTHR33786:SF4', NULL, NULL, NULL, NULL, 'CRP7-CYSTEINE-RICH FAMILY PROTEIN EXPRESSED', 123751),
(180026, 'PTHR11011:SF69', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 7-RELATED', 123752),
(180027, 'PTHR23267:SF344', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 3-11-RELATED', 123753),
(180028, 'PTHR34590:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.18 PROTEIN', 123754),
(180029, 'PTHR33159:SF47', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4-LIKE', 123755),
(180030, 'PTHR33057', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP7-RELATED', 123756);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(180031, 'PTHR37285:SF3', NULL, NULL, NULL, NULL, 'ISOCYANIDE SYNTHASE A', 123757),
(180032, 'PTHR34709:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123758),
(180033, 'PTHR31828:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIDELTA', 123759),
(180034, 'PTHR11831:SF1', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RIBONUCLEOPROTEIN PROTEIN IMP3', 123760),
(180035, 'PTHR33681:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123761),
(180036, 'PTHR35161:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123762),
(180037, 'PTHR33971', NULL, NULL, NULL, NULL, 'OS06G0232000 PROTEIN', 123763),
(180038, 'PTHR48020:SF26', NULL, NULL, NULL, NULL, 'MYO-INOSITOL TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G01560)-RELATED', 123764),
(180039, 'PTHR45940:SF29', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 3', 123765),
(180040, 'PTHR47926:SF232', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123766),
(180041, 'PTHR36682:SF1', NULL, NULL, NULL, NULL, 'RAB15 EFFECTOR PROTEIN', 123767),
(180042, 'PTHR37187:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123768),
(180043, 'PTHR13935:SF123', NULL, NULL, NULL, NULL, 'BNAC04G24680D PROTEIN', 123769),
(180044, 'PTHR19853', NULL, NULL, NULL, NULL, 'WD REPEAT CONTAINING PROTEIN 3  WDR3', 123770),
(180045, 'PTHR33781:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PHYTOCHROME KINASE SUBSTRATE 2', 123771),
(180046, 'PTHR23404:SF3', NULL, NULL, NULL, NULL, 'MAP3K12-BINDING INHIBITORY PROTEIN 1', 123772),
(180047, 'PTHR47573:SF1', NULL, NULL, NULL, NULL, 'PROTEIN AF-9 HOMOLOG', 123773),
(180048, 'PTHR10740:SF16', NULL, NULL, NULL, NULL, 'AMPHIREGULIN', 123774),
(180049, 'PTHR11214:SF291', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 123775),
(180050, 'PTHR24286:SF208', NULL, NULL, NULL, NULL, 'ABSCISIC ACID 8''-HYDROXYLASE 3', 123776),
(180051, 'PTHR21324', NULL, NULL, NULL, NULL, 'FASTING-INDUCIBLE INTEGRAL MEMBRANE PROTEIN TM6P1-RELATED', 123777),
(180052, 'PTHR19957:SF278', NULL, NULL, NULL, NULL, 'SYNTAXIN-22-LIKE', 123778),
(180053, 'PTHR13734', NULL, NULL, NULL, NULL, 'TRNA-NUCLEOTIDYLTRANSFERASE', 123779),
(180054, 'PTHR23349:SF63', NULL, NULL, NULL, NULL, 'FER3-LIKE PROTEIN', 123780),
(180055, 'PTHR47797', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05805)-RELATED', 123781),
(180056, 'PTHR43762', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE', 123782),
(180057, 'PTHR13833', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 123783),
(180058, 'PTHR15821:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR MN1', 123784),
(180059, 'PTHR12234', NULL, NULL, NULL, NULL, 'FORMIMINOTRANSFERASE-CYCLODEAMINASE', 123785),
(180060, 'PTHR47947:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP81N4', 123786),
(180061, 'PTHR13234:SF15', NULL, NULL, NULL, NULL, 'GILT-LIKE PROTEIN F37H8.5', 123787),
(180062, 'PTHR12447:SF25', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 123788),
(180063, 'PTHR24012:SF833', NULL, NULL, NULL, NULL, 'PROTEIN MEI2 HOMOLOGUE, PUTATIVE-RELATED', 123789),
(180064, 'PTHR35107:SF7', NULL, NULL, NULL, NULL, 'BNAC02G45580D PROTEIN', 123790),
(180065, 'PTHR19338:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8 A', 123791),
(180066, 'PTHR17972:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 6', 123792),
(180067, 'PTHR24422:SF21', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN METHYLTRANSFERASE', 123793),
(180068, 'PTHR11711:SF390', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR A1E', 123794),
(180069, 'PTHR14387:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123795),
(180070, 'PTHR24223:SF176', NULL, NULL, NULL, NULL, 'CANALICULAR MULTISPECIFIC ORGANIC ANION TRANSPORTER 1', 123796),
(180071, 'PTHR48044:SF13', NULL, NULL, NULL, NULL, 'OSJNBB0012E24.10 PROTEIN', 123797),
(180072, 'PTHR22811:SF174', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24BETA2-LIKE', 123798),
(180073, 'PTHR47993:SF117', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF NIM1 1', 123799),
(180074, 'PTHR24408:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER Y-CHROMOSOMAL PROTEIN', 123800);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(180075, 'PTHR24230:SF136', NULL, NULL, NULL, NULL, 'GONADOTROPIN-RELEASING HORMONE RECEPTOR (GNRHR) RELATED', 123801),
(180076, 'PTHR10671:SF6', NULL, NULL, NULL, NULL, 'EPITHELIAL MEMBRANE PROTEIN 1', 123802),
(180077, 'PTHR35751:SF1', NULL, NULL, NULL, NULL, 'BNAA02G37040D PROTEIN', 123803),
(180078, 'PTHR11334:SF34', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER X3', 123804),
(180079, 'PTHR31747:SF5', NULL, NULL, NULL, NULL, 'PROTEIN LOL4', 123805),
(180080, 'PTHR11012:SF48', NULL, NULL, NULL, NULL, 'IP12580P1-RELATED', 123806),
(180081, 'PTHR12804:SF9', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 3-RELATED', 123807),
(180082, 'PTHR22017:SF1', NULL, NULL, NULL, NULL, 'SI:CH1073-155H21.2', 123808),
(180083, 'PTHR33435:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG02124', 123809),
(180084, 'PTHR30420:SF1', NULL, NULL, NULL, NULL, 'ARGININE N-SUCCINYLTRANSFERASE', 123810),
(180085, 'PTHR31989:SF101', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 6', 123811),
(180086, 'PTHR16223:SF109', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH66-LIKE ISOFORM X1', 123812),
(180087, 'PTHR19134:SF41', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 7', 123813),
(180088, 'PTHR11359:SF6', NULL, NULL, NULL, NULL, 'DEAMINASE, PUTATIVE-RELATED', 123814),
(180089, 'PTHR24291:SF156', NULL, NULL, NULL, NULL, 'OS02G0186300 PROTEIN', 123815),
(180090, 'PTHR13168:SF2', NULL, NULL, NULL, NULL, 'C-MYC-BINDING PROTEIN', 123816),
(180091, 'PTHR43099:SF2', NULL, NULL, NULL, NULL, 'UPF0053 PROTEIN YRKA', 123817),
(180092, 'PTHR11792:SF23', NULL, NULL, NULL, NULL, 'PHOSRESTIN-1', 123818),
(180093, 'PTHR31541:SF42', NULL, NULL, NULL, NULL, 'BNAC03G22430D PROTEIN', 123819),
(180094, 'PTHR24414:SF144', NULL, NULL, NULL, NULL, 'BNAA01G06720D PROTEIN', 123820),
(180095, 'PTHR12776', NULL, NULL, NULL, NULL, 'KAZRIN-RELATED', 123821),
(180096, 'PTHR47715', NULL, NULL, NULL, NULL, 'TRYPTOPHAN/TYROSINE PERMEASE', 123822),
(180097, 'PTHR13593:SF111', NULL, NULL, NULL, NULL, 'C, PUTATIVE-RELATED', 123823),
(180098, 'PTHR30620:SF75', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE-LIKE PROTEIN', 123824),
(180099, 'PTHR35007:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 123825),
(180100, 'PTHR24240:SF165', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 88-RELATED', 123826),
(180101, 'PTHR36945', NULL, NULL, NULL, NULL, 'HIGH INCIDENCE OF MALES (INCREASED X CHROMOSOME LOSS)-RELATED-RELATED', 123827),
(180102, 'PTHR34045:SF3', NULL, NULL, NULL, NULL, 'OS03G0406300 PROTEIN', 123828),
(180103, 'PTHR35167:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123829),
(180104, 'PTHR43685:SF4', NULL, NULL, NULL, NULL, 'O ANTIGEN BIOSYNTHESIS RHAMNOSYLTRANSFERASE RFBN', 123830),
(180105, 'PTHR10358:SF28', NULL, NULL, NULL, NULL, 'BNAA06G23280D PROTEIN', 123831),
(180106, 'PTHR31375:SF17', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE', 123832),
(180107, 'PTHR15724', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 123833),
(180108, 'PTHR31963:SF10', NULL, NULL, NULL, NULL, 'OS04G0448000 PROTEIN', 123834),
(180109, 'PTHR11362:SF82', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE BINDING PROTEIN', 123835),
(180110, 'PTHR12610:SF12', NULL, NULL, NULL, NULL, 'SEQUENCE-SPECIFIC SINGLE-STRANDED DNA-BINDING PROTEIN, ISOFORM D', 123836),
(180111, 'PTHR46705:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG04322', 123837),
(180112, 'PTHR24028:SF262', NULL, NULL, NULL, NULL, 'CADHERIN-RELATED FAMILY MEMBER 3', 123838),
(180113, 'PTHR47489', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 123839),
(180114, 'PTHR32429:SF26', NULL, NULL, NULL, NULL, 'CHLOROPLAST RIBULOSE BISPHOSPHATE CARBOXYLASE/OXYGENASE ACTIVASE', 123840),
(180115, 'PTHR16127:SF10', NULL, NULL, NULL, NULL, 'BETA-TAXILIN', 123841),
(180116, 'PTHR24026:SF38', NULL, NULL, NULL, NULL, 'CADHERIN EGF LAG SEVEN-PASS G-TYPE RECEPTOR 3', 123842),
(180117, 'PTHR47926:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123843),
(180118, 'PTHR11801:SF66', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION', 123844);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(180119, 'PTHR12242:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123845),
(180120, 'PTHR33345:SF6', NULL, NULL, NULL, NULL, 'ADAPTER PROTEIN, PUTATIVE-RELATED', 123846),
(180121, 'PTHR11017:SF311', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 19 ISOFORM X1-RELATED', 123847),
(180122, 'PTHR24298:SF219', NULL, NULL, NULL, NULL, 'OS06G0325900 PROTEIN', 123848),
(180123, 'PTHR11492:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR I, ISOFORM B', 123849),
(180124, 'PTHR40068:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR NIAR-RELATED', 123850),
(180125, 'PTHR48001:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123851),
(180126, 'PTHR37209:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123852),
(180127, 'PTHR22939:SF125', NULL, NULL, NULL, NULL, 'SERINE PROTEASE HTRA2, MITOCHONDRIAL', 123853),
(180128, 'PTHR24652', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR CLASS A DOMAIN-CONTAINING PROTEIN 2', 123854),
(180129, 'PTHR14728:SF2', NULL, NULL, NULL, NULL, 'PROTEIN AURORA BOREALIS', 123855),
(180130, 'PTHR14199:SF35', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA BREAKPOINT FAMILY MEMBER 1-RELATED', 123856),
(180131, 'PTHR46762', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN-LIKE PROTEIN 2', 123857),
(180132, 'PTHR19842:SF3', NULL, NULL, NULL, NULL, 'BNAA09G42880D PROTEIN', 123858),
(180133, 'PTHR31446:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123859),
(180134, 'PTHR34355:SF4', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1-RELATED', 123860),
(180135, 'PTHR43943:SF6', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE MEMBER 2', 123861),
(180136, 'PTHR12210:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123862),
(180137, 'PTHR24356:SF364', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE IRE-RELATED', 123863),
(180138, 'PTHR33730:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123864),
(180139, 'PTHR11850:SF304', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN, PUTATIVE-RELATED', 123865),
(180140, 'PTHR12663:SF36', NULL, NULL, NULL, NULL, 'BNAA05G13160D PROTEIN', 123866),
(180141, 'PTHR12320:SF40', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE PTC7 HOMOLOG', 123867),
(180142, 'PTHR10797:SF2', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 7', 123868),
(180143, 'PTHR47467', NULL, NULL, NULL, NULL, 'OS01G0867200 PROTEIN', 123869),
(180144, 'PTHR46128:SF104', NULL, NULL, NULL, NULL, 'BNACNNG18110D PROTEIN', 123870),
(180145, 'PTHR31606:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG14242', 123871),
(180146, 'PTHR13832:SF735', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123872),
(180147, 'PTHR34672:SF7', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 1', 123873),
(180148, 'PTHR32411:SF61', NULL, NULL, NULL, NULL, '33-KDA SECRETORY PROTEIN', 123874),
(180149, 'PTHR24073:SF1144', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-28', 123875),
(180150, 'PTHR46214:SF14', NULL, NULL, NULL, NULL, 'BNAA06G22890D PROTEIN', 123876),
(180151, 'PTHR36528:SF1', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM SINGLE-STRAND-SPECIFIC DEOXYRIBONUCLEASE CAS10/CSM1 (SUBTYPE III-A)', 123877),
(180152, 'PTHR40065:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN YHBY', 123878),
(180153, 'PTHR35311:SF1', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN KNL-2 HOMOLOG', 123879),
(180154, 'PTHR45640:SF1', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP-16.1/HSP-16.11-RELATED', 123880),
(180155, 'PTHR24092:SF145', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 123881),
(180156, 'PTHR31953:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123882),
(180157, 'PTHR13878:SF118', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE 2', 123883),
(180158, 'PTHR31802:SF27', NULL, NULL, NULL, NULL, 'DEACETYLASE 2A, PUTATIVE-RELATED', 123884),
(180159, 'PTHR15852:SF13', NULL, NULL, NULL, NULL, 'DNAJ/HSP40 CYSTEINE-RICH DOMAIN SUPERFAMILY PROTEIN', 123885),
(180160, 'PTHR45651:SF4', NULL, NULL, NULL, NULL, 'OS12G0468500 PROTEIN', 123886),
(180161, 'PTHR48057:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123887),
(180162, 'PTHR23086:SF90', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', 123888);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(180163, 'PTHR10527:SF5', NULL, NULL, NULL, NULL, 'KARYOPHERIN (IMPORTIN) BETA 3', 123889),
(180164, 'PTHR35345:SF1', NULL, NULL, NULL, NULL, 'TELOMERE REPEATS-BINDING BOUQUET FORMATION PROTEIN 2', 123890),
(180165, 'PTHR10768:SF33', NULL, NULL, NULL, NULL, 'BNAA02G30880D PROTEIN', 123891),
(180166, 'PTHR31300:SF5', NULL, NULL, NULL, NULL, 'LIPASE-LIKE PROTEIN', 123892),
(180167, 'PTHR35936:SF25', NULL, NULL, NULL, NULL, 'ABC-TYPE TRANSPORT SYSTEM SUBSTRATE-BINDING COMPONENT', 123893),
(180168, 'PTHR11615:SF242', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 123894),
(180169, 'PTHR27006:SF218', NULL, NULL, NULL, NULL, 'OS05G0256100 PROTEIN', 123895),
(180170, 'PTHR10529:SF362', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT MU-1-I', 123896),
(180171, 'PTHR48043:SF16', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE, EXPRESSED-RELATED', 123897),
(180172, 'PTHR45667:SF9', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE MITOCHONDRIAL CARRIER PROTEIN', 123898),
(180173, 'PTHR31734:SF138', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA8', 123899),
(180174, 'PTHR24123:SF82', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY ANKYRIN REPEAT SUBUNIT B', 123900),
(180175, 'PTHR10019:SF5', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY B MEMBER 1', 123901),
(180176, 'PTHR45950:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-15', 123902),
(180177, 'PTHR11482:SF63', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE', 123903),
(180178, 'PTHR24068:SF332', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-23 KDA-LIKE', 123904),
(180179, 'PTHR24418:SF191', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 123905),
(180180, 'PTHR13697:SF13', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE, MUSCLE TYPE', 123906),
(180181, 'PTHR10209:SF535', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE-LIKE ISOFORM X1', 123907),
(180182, 'PTHR45663:SF15', NULL, NULL, NULL, NULL, 'THIOREDOXIN Y1, CHLOROPLASTIC', 123908),
(180183, 'PTHR43065:SF37', NULL, NULL, NULL, NULL, 'SENSORY BOX HISTIDINE KINASE', 123909),
(180184, 'PTHR44137:SF3', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', 123910),
(180185, 'PTHR10894:SF25', NULL, NULL, NULL, NULL, 'BNAANNG11410D PROTEIN', 123911),
(180186, 'PTHR31207:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123912),
(180187, 'PTHR46212:SF3', NULL, NULL, NULL, NULL, 'PEFLIN', 123913),
(180188, 'PTHR31180', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 123914),
(180189, 'PTHR31875:SF9', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 6', 123915),
(180190, 'PTHR42968:SF32', NULL, NULL, NULL, NULL, 'P21-ACTIVATED PROTEIN KINASE-INTERACTING PROTEIN 1', 123916),
(180191, 'PTHR10417:SF11', NULL, NULL, NULL, NULL, 'GMEB (GLUCOCORTICOID MODULATORY ELEMENT BINDING PROTEIN) TRANSCRIPTIONAL REGULATOR HOMOLOG', 123917),
(180192, 'PTHR31283:SF7', NULL, NULL, NULL, NULL, 'GENE 6890-RELATED', 123918),
(180193, 'PTHR23501:SF92', NULL, NULL, NULL, NULL, 'GLUTATHIONE EXCHANGER 1-RELATED', 123919),
(180194, 'PTHR48043:SF68', NULL, NULL, NULL, NULL, 'PROTEIN CBG10769', 123920),
(180195, 'PTHR45998:SF1', NULL, NULL, NULL, NULL, 'OS09G0237600 PROTEIN', 123921),
(180196, 'PTHR26379:SF249', NULL, NULL, NULL, NULL, 'TRAF TRANSCRIPTION FACTOR', 123922),
(180197, 'PTHR43880:SF32', NULL, NULL, NULL, NULL, 'ZGC:63568-RELATED', 123923),
(180198, 'PTHR45810:SF12', NULL, NULL, NULL, NULL, 'HISTONE H3', 123924),
(180199, 'PTHR47546:SF3', NULL, NULL, NULL, NULL, 'S15/NS1, RNA-BINDING PROTEIN', 123925),
(180200, 'PTHR11176:SF10', NULL, NULL, NULL, NULL, 'PROTEIN BOULE-LIKE', 123926),
(180201, 'PTHR26450:SF124', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 123927),
(180202, 'PTHR13780:SF116', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSCBSPB3', 123928),
(180203, 'PTHR35339:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123929),
(180204, 'PTHR37079:SF6', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE-RELATED', 123930);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(180205, 'PTHR47954', NULL, NULL, NULL, NULL, 'OS09G0275400 PROTEIN-RELATED', 123931),
(180206, 'PTHR31625:SF69', NULL, NULL, NULL, NULL, 'BNAC06G31630D PROTEIN', 123932),
(180207, 'PTHR34778', NULL, NULL, NULL, NULL, 'OS02G0580700 PROTEIN', 123933),
(180208, 'PTHR45617:SF48', NULL, NULL, NULL, NULL, 'CHAOPTIN-LIKE PROTEIN', 123934),
(180209, 'PTHR11827:SF73', NULL, NULL, NULL, NULL, 'KAZACHOC, ISOFORM G', 123935),
(180210, 'PTHR14005:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT A', 123936),
(180211, 'PTHR31388:SF171', NULL, NULL, NULL, NULL, 'PEROXIDASE', 123937),
(180212, 'PTHR46423:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-ASSOCIATED PROTEIN 3', 123938),
(180213, 'PTHR32254:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123939),
(180214, 'PTHR13316', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC DOMAIN CONTAINING 8', 123940),
(180215, 'PTHR38031', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN SLR0821-RELATED', 123941),
(180216, 'PTHR24346:SF67', NULL, NULL, NULL, NULL, 'MAP/MICROTUBULE AFFINITY-REGULATING KINASE 4', 123942),
(180217, 'PTHR24096:SF347', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13110)-RELATED', 123943),
(180218, 'PTHR24096:SF370', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 2-RELATED', 123944),
(180219, 'PTHR31656:SF52', NULL, NULL, NULL, NULL, 'ROOT CAP PERIPHERY GENE2', 123945),
(180220, 'PTHR45830', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 123946),
(180221, 'PTHR22891:SF143', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 2C, PUTATIVE-RELATED', 123947),
(180222, 'PTHR15691:SF6', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 5', 123948),
(180223, 'PTHR48061:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123949),
(180224, 'PTHR33929:SF6', NULL, NULL, NULL, NULL, 'OS01G0623900 PROTEIN', 123950),
(180225, 'PTHR48010:SF49', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE-RELATED', 123951),
(180226, 'PTHR11721:SF24', NULL, NULL, NULL, NULL, 'BNAC06G24660D PROTEIN', 123952),
(180227, 'PTHR40855:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123953),
(180228, 'PTHR24414:SF146', NULL, NULL, NULL, NULL, 'BNAC01G00450D PROTEIN', 123954),
(180229, 'PTHR48107:SF12', NULL, NULL, NULL, NULL, 'SHORT-CHAIN TYPE DEHYDROGENASE/REDUCTASE', 123955),
(180230, 'PTHR11439:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123956),
(180231, 'PTHR24253:SF21', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE SERINE PROTEASE 5', 123957),
(180232, 'PTHR46709:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG24086', 123958),
(180233, 'PTHR24418:SF430', NULL, NULL, NULL, NULL, 'TYROSINE PROTEIN-KINASE SRC-1', 123959),
(180234, 'PTHR22957:SF580', NULL, NULL, NULL, NULL, 'SMALL G PROTEIN SIGNALING MODULATOR 2-LIKE ISOFORM X1', 123960),
(180235, 'PTHR33059:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123961),
(180236, 'PTHR31525:SF2', NULL, NULL, NULL, NULL, 'HEME TRANSPORTER HRG-6', 123962),
(180237, 'PTHR31489', NULL, NULL, NULL, NULL, 'LIN52 FAMILY MEMBER', 123963),
(180238, 'PTHR31232:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123964),
(180239, 'PTHR24416:SF323', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR UFO', 123965),
(180240, 'PTHR31872:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 179', 123966),
(180241, 'PTHR34524:SF6', NULL, NULL, NULL, NULL, 'CALCYPHOSINE-LIKE A', 123967),
(180242, 'PTHR34537:SF1', NULL, NULL, NULL, NULL, 'OS08G0459300 PROTEIN', 123968),
(180243, 'PTHR13250', NULL, NULL, NULL, NULL, 'TF-1 CELL APOPTOSIS RELATED PROTEIN-15', 123969),
(180244, 'PTHR35732', NULL, NULL, NULL, NULL, 'OS10G0545100 PROTEIN', 123970),
(180245, 'PTHR12801:SF141', NULL, NULL, NULL, NULL, 'EXONUCLEASE FAMILY PROTEIN', 123971),
(180246, 'PTHR13976:SF36', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN H3', 123972),
(180247, 'PTHR11439:SF324', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN, GAG-PRE-INTEGRASE DOMAIN, GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', 123973),
(180248, 'PTHR27002:SF709', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 123974);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(180249, 'PTHR45510:SF1', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 10', 123975),
(180250, 'PTHR46072:SF11', NULL, NULL, NULL, NULL, 'AMIDASE-RELATED', 123976),
(180251, 'PTHR21535', NULL, NULL, NULL, NULL, 'MAGNESIUM AND COBALT TRANSPORT PROTEIN/MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8', 123977),
(180252, 'PTHR26453:SF252', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 123978),
(180253, 'PTHR12377:SF9', NULL, NULL, NULL, NULL, 'BNAANNG13090D PROTEIN', 123979),
(180254, 'PTHR33057:SF129', NULL, NULL, NULL, NULL, 'OVATE PROTEIN FAMILY-RELATED', 123980),
(180255, 'PTHR12751', NULL, NULL, NULL, NULL, 'PHOSPHATASE AND ACTIN REGULATOR  PHACTR', 123981),
(180256, 'PTHR31639:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123982),
(180257, 'PTHR32010:SF18', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II STABILITY/ASSEMBLY FACTOR HCF136, CHLOROPLASTIC', 123983),
(180258, 'PTHR43191:SF2', NULL, NULL, NULL, NULL, 'RRNA METHYLTRANSFERASE 3, MITOCHONDRIAL', 123984),
(180259, 'PTHR45717:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123985),
(180260, 'PTHR33052:SF70', NULL, NULL, NULL, NULL, 'OS07G0659300 PROTEIN', 123986),
(180261, 'PTHR34411:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123987),
(180262, 'PTHR11073:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 123988),
(180263, 'PTHR13439:SF60', NULL, NULL, NULL, NULL, 'TRAM, LAG1 AND CLN8 (TLC) LIPID-SENSING DOMAIN PROTEIN', 123989),
(180264, 'PTHR33384:SF38', NULL, NULL, NULL, NULL, 'BNAA05G33450D PROTEIN', 123990),
(180265, 'PTHR13703:SF60', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG', 123991),
(180266, 'PTHR21029:SF18', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN-SIGNALING 9-BINDING PROTEIN', 123992),
(180267, 'PTHR32278:SF84', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE', 123993),
(180268, 'PTHR33593:SF23', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 123994),
(180269, 'PTHR10457:SF12', NULL, NULL, NULL, NULL, 'GHMP KINASE-LIKE', 123995),
(180270, 'PTHR16181:SF18', NULL, NULL, NULL, NULL, 'PROTEIN FAM83A-RELATED', 123996),
(180271, 'PTHR42978:SF6', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY PROTEIN', 123997),
(180272, 'PTHR21152:SF35', NULL, NULL, NULL, NULL, 'SERINE-PYRUVATE AMINOTRANSFERASE (AGXT)', 123998),
(180273, 'PTHR26452:SF783', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 123999),
(180274, 'PTHR11559:SF403', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 124000),
(180275, 'PTHR33101:SF38', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', 124001),
(180276, 'PTHR46913:SF7', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL16-LIKE', 124002),
(180277, 'PTHR48104:SF5', NULL, NULL, NULL, NULL, 'METACASPASE-1-LIKE', 124003),
(180278, 'PTHR11767:SF61', NULL, NULL, NULL, NULL, 'INWARD RECTIFYING K (POTASSIUM) CHANNEL FAMILY', 124004),
(180279, 'PTHR40250', NULL, NULL, NULL, NULL, 'CHROMOSOME 11 OPEN READING FRAME 96', 124005),
(180280, 'PTHR15000:SF1', NULL, NULL, NULL, NULL, 'ERYTHROID DIFFERENTIATION-RELATED FACTOR 1', 124006),
(180281, 'PTHR45619:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 124007),
(180282, 'PTHR48043:SF110', NULL, NULL, NULL, NULL, 'OS03G0757500 PROTEIN', 124008),
(180283, 'PTHR13609:SF29', NULL, NULL, NULL, NULL, 'BNAA06G00950D PROTEIN', 124009),
(180284, 'PTHR43194:SF2', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 124010),
(180285, 'PTHR11206:SF356', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 19-LIKE', 124011),
(180286, 'PTHR11814:SF219', NULL, NULL, NULL, NULL, 'SLC26A/SULP TRANSPORTER-RELATED', 124012),
(180287, 'PTHR34138:SF1', NULL, NULL, NULL, NULL, 'CELL SHAPE-DETERMINING PROTEIN MREC', 124013),
(180288, 'PTHR31832:SF65', NULL, NULL, NULL, NULL, 'OS06G0713000 PROTEIN', 124014),
(180289, 'PTHR43004:SF6', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', 124015),
(180290, 'PTHR46061:SF3', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE RECEPTOR', 124016);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(180291, 'PTHR31066:SF33', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P', 124017),
(180292, 'PTHR11011:SF64', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 124018),
(180293, 'PTHR48043:SF98', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE-RELATED', 124019),
(180294, 'PTHR46277:SF20', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 124020),
(180295, 'PTHR31852:SF222', NULL, NULL, NULL, NULL, 'OS01G0655600 PROTEIN', 124021),
(180296, 'PTHR35317:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 124022),
(180297, 'PTHR47967:SF71', NULL, NULL, NULL, NULL, 'OS07G0533500 PROTEIN', 124023),
(180298, 'PTHR43580:SF6', NULL, NULL, NULL, NULL, 'GLYOXYLATE/SUCCINIC SEMIALDEHYDE REDUCTASE 2, CHLOROPLASTIC', 124024),
(180299, 'PTHR47640:SF39', NULL, NULL, NULL, NULL, 'OS07G0615400 PROTEIN', 124025),
(180300, 'PTHR21145:SF11', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE 3, CHLOROPLASTIC', 124026),
(180301, 'PTHR43210:SF2', NULL, NULL, NULL, NULL, 'DETHIOBIOTIN SYNTHETASE', 124027),
(180302, 'PTHR43124:SF8', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YDHP', 124028),
(180303, 'PTHR10815', NULL, NULL, NULL, NULL, 'METHYLATED-DNA--PROTEIN-CYSTEINE METHYLTRANSFERASE', 124029),
(180304, 'PTHR47495:SF3', NULL, NULL, NULL, NULL, 'BLR6219 PROTEIN', 124030),
(180305, 'PTHR45695:SF10', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE CCHAMIDE-2 RECEPTOR', 124031),
(180306, 'PTHR31790:SF379', NULL, NULL, NULL, NULL, 'BNAA04G18720D PROTEIN', 124032),
(180307, 'PTHR31356:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C PEROXIDASE, MITOCHONDRIAL', 124033),
(180308, 'PTHR26312:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124034),
(180309, 'PTHR39332:SF7', NULL, NULL, NULL, NULL, 'BLL4707 PROTEIN', 124035),
(180310, 'PTHR31909:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2410004P03 GENE', 124036),
(180311, 'PTHR10224:SF9', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE-LIKE CLASS 1 DOMAIN-CONTAINING PROTEIN 3A, MITOCHONDRIAL-RELATED', 124037),
(180312, 'PTHR11502:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6-LIKE', 124038),
(180313, 'PTHR27001:SF660', NULL, NULL, NULL, NULL, 'SALT TOLERANCE RECEPTOR-LIKE CYTOPLASMIC KINASE 1', 124039),
(180314, 'PTHR31836:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124040),
(180315, 'PTHR45613:SF386', NULL, NULL, NULL, NULL, 'LEAF PROTEIN-LIKE', 124041),
(180316, 'PTHR42908:SF31', NULL, NULL, NULL, NULL, 'BNAC09G43450D PROTEIN', 124042),
(180317, 'PTHR23095:SF17', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN MA1', 124043),
(180318, 'PTHR45738:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC5', 124044),
(180319, 'PTHR32370:SF145', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', 124045),
(180320, 'PTHR15710:SF61', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHC2A-RELATED', 124046),
(180321, 'PTHR10165:SF35', NULL, NULL, NULL, NULL, 'RE23632P', 124047),
(180322, 'PTHR10083', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR-RELATED', 124048),
(180323, 'PTHR19134:SF209', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE KAPPA', 124049),
(180324, 'PTHR24015:SF1799', NULL, NULL, NULL, NULL, 'OS05G0581300 PROTEIN', 124050),
(180325, 'PTHR46091:SF3', NULL, NULL, NULL, NULL, 'BLR7054 PROTEIN', 124051),
(180326, 'PTHR47097', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-3', 124052),
(180327, 'PTHR24281:SF175', NULL, NULL, NULL, NULL, '3,9-DIHYDROXYPTEROCARPAN 6A-MONOOXYGENASE', 124053),
(180328, 'PTHR11165:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124054),
(180329, 'PTHR34474', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION PROTEIN TRAP', 124055),
(180330, 'PTHR11851:SF103', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT BETA', 124056),
(180331, 'PTHR45988:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT10', 124057),
(180332, 'PTHR23285:SF7', NULL, NULL, NULL, NULL, 'LD09246P1', 124058),
(180333, 'PTHR34683:SF5', NULL, NULL, NULL, NULL, 'BNAA08G13800D PROTEIN', 124059),
(180334, 'PTHR42770:SF15', NULL, NULL, NULL, NULL, 'GLUTAMATE/GAMMA-AMINOBUTYRATE ANTIPORTER-RELATED', 124060);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(180335, 'PTHR11266:SF36', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, MPV17/PMP22 FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03910)-RELATED', 124061),
(180336, 'PTHR43176:SF1', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE, MITOCHONDRIAL', 124062),
(180337, 'PTHR22754:SF38', NULL, NULL, NULL, NULL, 'DISCO-INTERACTING PROTEIN 2 HOMOLOG B', 124063),
(180338, 'PTHR11557', NULL, NULL, NULL, NULL, 'PORPHOBILINOGEN DEAMINASE', 124064),
(180339, 'PTHR10108:SF1120', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT1-RELATED', 124065),
(180340, 'PTHR43097:SF5', NULL, NULL, NULL, NULL, 'GLUTAMATE--TRNA LIGASE, CYTOPLASMIC', 124066),
(180341, 'PTHR24347:SF404', NULL, NULL, NULL, NULL, 'KALIRIN-LIKE PROTEIN', 124067),
(180342, 'PTHR34448:SF1', NULL, NULL, NULL, NULL, 'BLL6088 PROTEIN', 124068),
(180343, 'PTHR35190:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DCD1B', 124069),
(180344, 'PTHR36367:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 124070),
(180345, 'PTHR33508:SF1', NULL, NULL, NULL, NULL, 'UPF0056 MEMBRANE PROTEIN YHCE', 124071),
(180346, 'PTHR14324:SF4', NULL, NULL, NULL, NULL, 'BNAC01G35150D PROTEIN', 124072),
(180347, 'PTHR24089:SF702', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124073),
(180348, 'PTHR34207:SF11', NULL, NULL, NULL, NULL, 'OS02G0532800 PROTEIN', 124074),
(180349, 'PTHR11352:SF8', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN', 124075),
(180350, 'PTHR21676:SF3', NULL, NULL, NULL, NULL, 'PROTEIN STUM', 124076),
(180351, 'PTHR23277:SF69', NULL, NULL, NULL, NULL, 'NECTIN-1', 124077),
(180352, 'PTHR43341:SF20', NULL, NULL, NULL, NULL, 'AAT FAMILY AMINO ACID TRANSPORTER', 124078),
(180353, 'PTHR10201:SF25', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-15', 124079),
(180354, 'PTHR10219:SF87', NULL, NULL, NULL, NULL, 'BNAA06G15100D PROTEIN', 124080),
(180355, 'PTHR35201:SF3', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE', 124081),
(180356, 'PTHR44329:SF171', NULL, NULL, NULL, NULL, 'KINASE AND PP2C-LIKE DOMAIN PROTEIN', 124082),
(180357, 'PTHR11877', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA SYNTHASE', 124083),
(180358, 'PTHR43150:SF9', NULL, NULL, NULL, NULL, 'BNAA08G28020D PROTEIN', 124084),
(180359, 'PTHR18956', NULL, NULL, NULL, NULL, 'HYALURONAN MEDIATED MOTILITY RECEPTOR', 124085),
(180360, 'PTHR45621:SF99', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 124086),
(180361, 'PTHR33070:SF64', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', 124087),
(180362, 'PTHR19957:SF279', NULL, NULL, NULL, NULL, 'SYNTAXIN-52-LIKE', 124088),
(180363, 'PTHR19354:SF4', NULL, NULL, NULL, NULL, 'ZIPPER PUTATIVE TUMOR SUPPRESSOR 2-RELATED', 124089),
(180364, 'PTHR15948:SF0', NULL, NULL, NULL, NULL, 'GOLGI PH REGULATOR A-RELATED', 124090),
(180365, 'PTHR31789:SF1', NULL, NULL, NULL, NULL, 'OS05G0482600 PROTEIN', 124091),
(180366, 'PTHR46695:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 20', 124092),
(180367, 'PTHR24349:SF426', NULL, NULL, NULL, NULL, 'BNAA09G05220D PROTEIN', 124093),
(180368, 'PTHR14739', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 9', 124094),
(180369, 'PTHR35850', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 124095),
(180370, 'PTHR43567', NULL, NULL, NULL, NULL, 'FLAVOREDOXIN-RELATED-RELATED', 124096),
(180371, 'PTHR20952:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124097),
(180372, 'PTHR45844:SF11', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-LIKE', 124098),
(180373, 'PTHR22814:SF145', NULL, NULL, NULL, NULL, 'COPPER ION BINDING PROTEIN', 124099),
(180374, 'PTHR10795:SF687', NULL, NULL, NULL, NULL, 'PA-DOMAIN CONTAINING SUBTILASE FAMILY PROTEIN-RELATED', 124100),
(180375, 'PTHR10887:SF461', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 124101),
(180376, 'PTHR33214', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 124102),
(180377, 'PTHR39671:SF1', NULL, NULL, NULL, NULL, 'RNA EDITING COMPLEX PROTEIN MP67', 124103),
(180378, 'PTHR47659', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 124104);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(180379, 'PTHR31707:SF227', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 124105),
(180380, 'PTHR31205:SF11', NULL, NULL, NULL, NULL, 'OS05G0115500 PROTEIN', 124106),
(180381, 'PTHR48062:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124107),
(180382, 'PTHR33453:SF10', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 124108),
(180383, 'PTHR23322:SF28', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 10', 124109),
(180384, 'PTHR45799:SF5', NULL, NULL, NULL, NULL, 'RETICULON-1', 124110),
(180385, 'PTHR45687:SF39', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-4-RELATED', 124111),
(180386, 'PTHR46298', NULL, NULL, NULL, NULL, 'ANDROGLOBIN', 124112),
(180387, 'PTHR24078:SF549', NULL, NULL, NULL, NULL, 'PROTEIN SIS1', 124113),
(180388, 'PTHR17630:SF93', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 124114),
(180389, 'PTHR23036:SF96', NULL, NULL, NULL, NULL, 'INTERLEUKIN-31 RECEPTOR SUBUNIT ALPHA', 124115),
(180390, 'PTHR43445:SF1', NULL, NULL, NULL, NULL, 'PGA SYNTHASE CAPB', 124116),
(180391, 'PTHR47924:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124117),
(180392, 'PTHR11709:SF312', NULL, NULL, NULL, NULL, 'LACCASE', 124118),
(180393, 'PTHR11017:SF385', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)-RELATED', 124119),
(180394, 'PTHR34451:SF13', NULL, NULL, NULL, NULL, 'BNAANNG25860D PROTEIN', 124120),
(180395, 'PTHR33138:SF27', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE GALACTURONAN-BINDING PROTEIN', 124121),
(180396, 'PTHR15950:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION COFACTOR VESTIGIAL-LIKE PROTEIN 3', 124122),
(180397, 'PTHR10372:SF6', NULL, NULL, NULL, NULL, 'CATENIN DELTA-1', 124123),
(180398, 'PTHR34207:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124124),
(180399, 'PTHR48018:SF61', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8B2-RELATED', 124125),
(180400, 'PTHR28092:SF1', NULL, NULL, NULL, NULL, 'FACTOR-INDUCED GENE 1 PROTEIN', 124126),
(180401, 'PTHR11036:SF136', NULL, NULL, NULL, NULL, 'SEMA DOMAIN, TRANSMEMBRANE DOMAIN (TM), AND CYTOPLASMIC DOMAIN, (SEMAPHORIN) 6D', 124127),
(180402, 'PTHR12280:SF38', NULL, NULL, NULL, NULL, 'BNAC03G47610D PROTEIN', 124128),
(180403, 'PTHR43063', NULL, NULL, NULL, NULL, '4FE-4S CLUSTER CONTAINING PARA FAMILY ATPASE PROTEIN', 124129),
(180404, 'PTHR45614:SF176', NULL, NULL, NULL, NULL, 'OS08G0435700 PROTEIN', 124130),
(180405, 'PTHR38097:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN H-NS', 124131),
(180406, 'PTHR27009:SF245', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK1', 124132),
(180407, 'PTHR24099:SF9', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 3A', 124133),
(180408, 'PTHR10640:SF9', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL METHYLTHIORIBULOSE-1-PHOSPHATE DEHYDRATASE/ENOLASE-PHOSPHATASE E1 2-RELATED', 124134),
(180409, 'PTHR45958:SF17', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 124135),
(180410, 'PTHR36478:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124136),
(180411, 'PTHR43948:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124137),
(180412, 'PTHR24412:SF433', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 8', 124138),
(180413, 'PTHR11009:SF25', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 15', 124139),
(180414, 'PTHR45982', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 124140),
(180415, 'PTHR12505:SF21', NULL, NULL, NULL, NULL, 'TRINUCLEOTIDE REPEAT-CONTAINING GENE 18 PROTEIN', 124141),
(180416, 'PTHR46350:SF1', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN FAMILY MEMBER 10B', 124142),
(180417, 'PTHR35485:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 124143),
(180418, 'PTHR31639:SF113', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', 124144),
(180419, 'PTHR44176', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 25', 124145),
(180420, 'PTHR48043:SF106', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 124146),
(180421, 'PTHR24377:SF829', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 542-RELATED', 124147),
(180422, 'PTHR33210:SF19', NULL, NULL, NULL, NULL, 'BNAA09G08790D PROTEIN', 124148);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(180423, 'PTHR33375:SF7', NULL, NULL, NULL, NULL, 'CHROMOSOME 2-PARTITIONING PROTEIN PARB-RELATED', 124149),
(180424, 'PTHR46150', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 100F', 124150),
(180425, 'PTHR31642:SF180', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 124151),
(180426, 'PTHR32227:SF320', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', 124152),
(180427, 'PTHR48155', NULL, NULL, NULL, NULL, 'OS09G0497600 PROTEIN', 124153),
(180428, 'PTHR10582:SF11', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY V MEMBER 5', 124154),
(180429, 'PTHR31752:SF60', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 3', 124155),
(180430, 'PTHR23336:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124156),
(180431, 'PTHR31595:SF55', NULL, NULL, NULL, NULL, 'ACYL-COA--STEROL O-ACYLTRANSFERASE 1-LIKE', 124157),
(180432, 'PTHR11592:SF94', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 124158),
(180433, 'PTHR31100:SF54', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 28-LIKE', 124159),
(180434, 'PTHR13308:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124160),
(180435, 'PTHR16134:SF28', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 6', 124161),
(180436, 'PTHR11654:SF533', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', 124162),
(180437, 'PTHR47925', NULL, NULL, NULL, NULL, 'OS01G0913400 PROTEIN-RELATED', 124163),
(180438, 'PTHR45730:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 7', 124164),
(180439, 'PTHR31301:SF79', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 6-LIKE', 124165),
(180440, 'PTHR34369', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 10 KDA POLYPEPTIDE, CHLOROPLASTIC', 124166),
(180441, 'PTHR11731', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY S9B,C DIPEPTIDYL-PEPTIDASE IV-RELATED', 124167),
(180442, 'PTHR48139:SF2', NULL, NULL, NULL, NULL, 'YALI0D13266P', 124168),
(180443, 'PTHR33463:SF96', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 124169),
(180444, 'PTHR43191:SF10', NULL, NULL, NULL, NULL, 'BNAA01G18460D PROTEIN', 124170),
(180445, 'PTHR42898:SF62', NULL, NULL, NULL, NULL, 'BNAA04G17090D PROTEIN', 124171),
(180446, 'PTHR31338:SF22', NULL, NULL, NULL, NULL, 'MAJOR LATEX HOMOLOGUE TYPE2', 124172),
(180447, 'PTHR15859:SF2', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD3', 124173),
(180448, 'PTHR47200', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 15 KDA PROTEIN 1, CHLOROPLASTIC', 124174),
(180449, 'PTHR31913:SF6', NULL, NULL, NULL, NULL, 'BNACNNG66970D PROTEIN', 124175),
(180450, 'PTHR14456:SF8', NULL, NULL, NULL, NULL, 'INOSITOL-PENTAKISPHOSPHATE 2-KINASE', 124176),
(180451, 'PTHR34224:SF13', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 5', 124177),
(180452, 'PTHR11236:SF39', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE ALPHA SUBUNIT 1, CHLOROPLASTIC-LIKE', 124178),
(180453, 'PTHR23500:SF574', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 1', 124179),
(180454, 'PTHR32191:SF59', NULL, NULL, NULL, NULL, 'PROTEIN TORNADO 2-LIKE', 124180),
(180455, 'PTHR21229:SF68', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 87A-LIKE', 124181),
(180456, 'PTHR19229:SF139', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY A (ABC1), MEMBER 14', 124182),
(180457, 'PTHR45830:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 124183),
(180458, 'PTHR10869:SF176', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE SUBUNIT ALPHA-2', 124184),
(180459, 'PTHR24393:SF36', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 683', 124185),
(180460, 'PTHR10878:SF8', NULL, NULL, NULL, NULL, 'SEGMENT POLARITY PROTEIN DISHEVELLED HOMOLOG DVL-2', 124186),
(180461, 'PTHR11820:SF108', NULL, NULL, NULL, NULL, 'ACYLPYRUVASE FAHD2, MITOCHONDRIAL-RELATED', 124187),
(180462, 'PTHR24349:SF411', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE KINASE 1-LIKE', 124188),
(180463, 'PTHR10357:SF207', NULL, NULL, NULL, NULL, 'LP11544P-RELATED', 124189),
(180464, 'PTHR26454:SF33', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 124190);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(180465, 'PTHR24126:SF40', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 124191),
(180466, 'PTHR35997:SF10', NULL, NULL, NULL, NULL, 'BNAA07G07450D PROTEIN', 124192),
(180467, 'PTHR11880:SF36', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19, MITOCHONDRIAL', 124193),
(180468, 'PTHR43976:SF16', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE', 124194),
(180469, 'PTHR43097:SF11', NULL, NULL, NULL, NULL, 'OS05G0182800 PROTEIN', 124195),
(180470, 'PTHR15556:SF5', NULL, NULL, NULL, NULL, 'EP300-INTERACTING INHIBITOR OF DIFFERENTIATION 1', 124196),
(180471, 'PTHR45668:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 INACTIVE HOMOLOG', 124197),
(180472, 'PTHR32295:SF93', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 9', 124198),
(180473, 'PTHR43431:SF6', NULL, NULL, NULL, NULL, 'BNACNNG45710D PROTEIN', 124199),
(180474, 'PTHR24009', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS)', 124200),
(180475, 'PTHR12701', NULL, NULL, NULL, NULL, 'BCR-ASSOCIATED PROTEIN, BAP', 124201),
(180476, 'PTHR11571:SF230', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, ALPHA TANDEM DUPLICATE 1-RELATED', 124202),
(180477, 'PTHR31846:SF21', NULL, NULL, NULL, NULL, 'BNAA01G26770D PROTEIN', 124203),
(180478, 'PTHR23500:SF446', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124204),
(180479, 'PTHR10317:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT E', 124205),
(180480, 'PTHR33065:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124206),
(180481, 'PTHR23428:SF214', NULL, NULL, NULL, NULL, 'HISTONE H2B.3', 124207),
(180482, 'PTHR14628', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 5', 124208),
(180483, 'PTHR14379:SF56', NULL, NULL, NULL, NULL, 'BNAA03G58440D PROTEIN', 124209),
(180484, 'PTHR31992:SF12', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.4', 124210),
(180485, 'PTHR27006:SF313', NULL, NULL, NULL, NULL, 'BNAC05G08670D PROTEIN', 124211),
(180486, 'PTHR31731:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124212),
(180487, 'PTHR10257', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A  PP2A  REGULATORY SUBUNIT B', 124213),
(180488, 'PTHR31636:SF241', NULL, NULL, NULL, NULL, 'OS05G0377900 PROTEIN', 124214),
(180489, 'PTHR31973:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124215),
(180490, 'PTHR10641:SF1297', NULL, NULL, NULL, NULL, 'OS06G0112700 PROTEIN', 124216),
(180491, 'PTHR19364:SF2', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY Q PROTEIN', 124217),
(180492, 'PTHR47977:SF10', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-36', 124218),
(180493, 'PTHR16305', NULL, NULL, NULL, NULL, 'TESTICULAR SOLUBLE ADENYLYL CYCLASE', 124219),
(180494, 'PTHR37247', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 124220),
(180495, 'PTHR46233:SF4', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', 124221),
(180496, 'PTHR11145', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING ADAPTER FOR CUL3-MEDIATED RHOA DEGRADATION PROTEIN FAMILY MEMBER', 124222),
(180497, 'PTHR10270:SF287', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-21', 124223),
(180498, 'PTHR12411:SF328', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RELATED', 124224),
(180499, 'PTHR47265:SF2', NULL, NULL, NULL, NULL, 'HESB-LIKE DOMAIN-CONTAINING PROTEIN-LIKE', 124225),
(180500, 'PTHR46468:SF1', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 8', 124226),
(180501, 'PTHR24252:SF5', NULL, NULL, NULL, NULL, 'ACROSIN', 124227),
(180502, 'PTHR12011:SF458', NULL, NULL, NULL, NULL, 'METHUSELAH (DROSOPHILA AGING-ASSOCIATED GPCR) HOMOLOG', 124228),
(180503, 'PTHR13773:SF19', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 1', 124229),
(180504, 'PTHR36788:SF6', NULL, NULL, NULL, NULL, 'BNACNNG68100D PROTEIN', 124230),
(180505, 'PTHR33021:SF332', NULL, NULL, NULL, NULL, 'BNAC03G17230D PROTEIN', 124231),
(180506, 'PTHR42647:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124232),
(180507, 'PTHR10780:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER HOMOLOG 1', 124233),
(180508, 'PTHR11817:SF61', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 124234);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(180509, 'PTHR31218:SF197', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 124235),
(180510, 'PTHR11818:SF15', NULL, NULL, NULL, NULL, 'CRYSTALLIN BETA GAMMA X', 124236),
(180511, 'PTHR23189:SF87', NULL, NULL, NULL, NULL, 'INTERAPTIN', 124237),
(180512, 'PTHR22896:SF0', NULL, NULL, NULL, NULL, 'CYCLIN DOMAIN-CONTAINING PROTEIN', 124238),
(180513, 'PTHR47958:SF71', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX5-RELATED', 124239),
(180514, 'PTHR10454:SF138', NULL, NULL, NULL, NULL, 'CASPASE 16, APOPTOSIS-RELATED CYSTEINE PEPTIDASE', 124240),
(180515, 'PTHR30069:SF10', NULL, NULL, NULL, NULL, 'COLICIN I RECEPTOR-RELATED', 124241),
(180516, 'PTHR15627:SF14', NULL, NULL, NULL, NULL, 'PROTEIN YIPF3', 124242),
(180517, 'PTHR34890:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124243),
(180518, 'PTHR12395:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG03179', 124244),
(180519, 'PTHR10405:SF29', NULL, NULL, NULL, NULL, 'ZMP:0000000521', 124245),
(180520, 'PTHR33203:SF50', NULL, NULL, NULL, NULL, 'OLEOSIN', 124246),
(180521, 'PTHR48063:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124247),
(180522, 'PTHR11945:SF459', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN AGL72', 124248),
(180523, 'PTHR31419:SF8', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 2-LIKE', 124249),
(180524, 'PTHR33398:SF1', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S20', 124250),
(180525, 'PTHR42781:SF4', NULL, NULL, NULL, NULL, 'SPERMIDINE/PUTRESCINE IMPORT ATP-BINDING PROTEIN POTA', 124251),
(180526, 'PTHR36508', NULL, NULL, NULL, NULL, 'PROTEIN SLYX', 124252),
(180527, 'PTHR46161:SF1', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE HOMOLOG 5', 124253),
(180528, 'PTHR32448:SF96', NULL, NULL, NULL, NULL, 'BERBERINE/BERBERINE-LIKE, ALDEHYDE OXIDASE, FAD-BINDING, TYPE 2-RELATED', 124254),
(180529, 'PTHR13140:SF313', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-VC', 124255),
(180530, 'PTHR33826:SF1', NULL, NULL, NULL, NULL, 'OS02G0768000 PROTEIN', 124256),
(180531, 'PTHR11987:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124257),
(180532, 'PTHR11731:SF109', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE 9', 124258),
(180533, 'PTHR37865:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 23', 124259),
(180534, 'PTHR47148:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 1 HOMOLOG', 124260),
(180535, 'PTHR47952:SF1', NULL, NULL, NULL, NULL, 'TRYPTAMINE 5-HYDROXYLASE', 124261),
(180536, 'PTHR12824:SF2', NULL, NULL, NULL, NULL, 'GROUP XIIB SECRETORY PHOSPHOLIPASE A2-LIKE PROTEIN', 124262),
(180537, 'PTHR44259:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124263),
(180538, 'PTHR23324:SF83', NULL, NULL, NULL, NULL, 'SEC14-LIKE LIPID-BINDING 7-RELATED', 124264),
(180539, 'PTHR31042:SF94', NULL, NULL, NULL, NULL, 'BNAC08G41640D PROTEIN', 124265),
(180540, 'PTHR21281', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 124266),
(180541, 'PTHR34998:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 124267),
(180542, 'PTHR31190:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124268),
(180543, 'PTHR24276:SF88', NULL, NULL, NULL, NULL, 'INTREPID', 124269),
(180544, 'PTHR43364:SF5', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 124270),
(180545, 'PTHR24006:SF756', NULL, NULL, NULL, NULL, 'OS02G0573400 PROTEIN', 124271),
(180546, 'PTHR46821:SF8', NULL, NULL, NULL, NULL, 'OS03G0251700 PROTEIN', 124272),
(180547, 'PTHR10257:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 124273),
(180548, 'PTHR10231:SF3', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE TRANSPORTER ROCK1', 124274),
(180549, 'PTHR35703:SF4', NULL, NULL, NULL, NULL, 'HEME OXYGENASE 4, CHLOROPLASTIC', 124275),
(180550, 'PTHR31072:SF143', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 124276),
(180551, 'PTHR45668:SF12', NULL, NULL, NULL, NULL, 'BNAC09G39960D PROTEIN', 124277),
(180552, 'PTHR12064:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124278),
(180553, 'PTHR24366', NULL, NULL, NULL, NULL, 'IG(IMMUNOGLOBULIN) AND LRR(LEUCINE RICH REPEAT) DOMAINS', 124279);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(180554, 'PTHR15933', NULL, NULL, NULL, NULL, 'PROTEIN CBG16327', 124280),
(180555, 'PTHR19441:SF22', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 13', 124281),
(180556, 'PTHR34117:SF1', NULL, NULL, NULL, NULL, 'STYLE CELL-CYCLE INHIBITOR 1', 124282),
(180557, 'PTHR38097', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 124283),
(180558, 'PTHR23079:SF44', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 124284),
(180559, 'PTHR23020:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG15070', 124285),
(180560, 'PTHR48206:SF1', NULL, NULL, NULL, NULL, 'CHLOROPLAST SENSOR KINASE, CHLOROPLASTIC', 124286),
(180561, 'PTHR46083:SF7', NULL, NULL, NULL, NULL, 'OS04G0624600 PROTEIN', 124287),
(180562, 'PTHR46128:SF204', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 124288),
(180563, 'PTHR30545:SF3', NULL, NULL, NULL, NULL, 'SUGAR FERMENTATION STIMULATION PROTEIN', 124289),
(180564, 'PTHR48047:SF118', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 89C1', 124290),
(180565, 'PTHR46133:SF21', NULL, NULL, NULL, NULL, 'BNAC03G14420D PROTEIN', 124291),
(180566, 'PTHR24177:SF226', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124292),
(180567, 'PTHR24089:SF707', NULL, NULL, NULL, NULL, 'BNAA09G40900D PROTEIN', 124293),
(180568, 'PTHR11216:SF57', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 4', 124294),
(180569, 'PTHR39673:SF5', NULL, NULL, NULL, NULL, 'TUNGSTEN FORMYLMETHANOFURAN DEHYDROGENASE, SUBUNIT C (FWDC)', 124295),
(180570, 'PTHR21716:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124296),
(180571, 'PTHR11062:SF60', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 124297),
(180572, 'PTHR32099:SF61', NULL, NULL, NULL, NULL, 'OS04G0316200 PROTEIN', 124298),
(180573, 'PTHR30239:SF19', NULL, NULL, NULL, NULL, 'BNAC04G12850D PROTEIN', 124299),
(180574, 'PTHR43828:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR XBP1 (EUROFUNG)-RELATED', 124300),
(180575, 'PTHR28204', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 12', 124301),
(180576, 'PTHR10660:SF5', NULL, NULL, NULL, NULL, 'PROTEASOME ACTIVATOR COMPLEX SUBUNIT 1', 124302),
(180577, 'PTHR34272', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 124303),
(180578, 'PTHR11831:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9-2', 124304),
(180579, 'PTHR43620:SF29', NULL, NULL, NULL, NULL, 'BNAC02G47600D PROTEIN', 124305),
(180580, 'PTHR43415:SF3', NULL, NULL, NULL, NULL, 'SPERMIDINE N(1)-ACETYLTRANSFERASE', 124306),
(180581, 'PTHR45678:SF9', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN ARALAR1', 124307),
(180582, 'PTHR10678:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124308),
(180583, 'PTHR11893:SF14', NULL, NULL, NULL, NULL, 'INNEXIN-10', 124309),
(180584, 'PTHR19375:SF439', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN HSCC', 124310),
(180585, 'PTHR44920:SF1', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 14, CHLOROPLASTIC', 124311),
(180586, 'PTHR24055:SF506', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 6', 124312),
(180587, 'PTHR31210:SF38', NULL, NULL, NULL, NULL, 'STORAGE PROTEIN', 124313),
(180588, 'PTHR24115:SF9', NULL, NULL, NULL, NULL, 'KINESIN HEAVY CHAIN', 124314),
(180589, 'PTHR13107', NULL, NULL, NULL, NULL, 'N6-ADENOSINE-METHYLTRANSFERASE NON-CATALYTIC SUBUNIT', 124315),
(180590, 'PTHR11486:SF143', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 8B', 124316),
(180591, 'PTHR21694:SF35', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 114', 124317),
(180592, 'PTHR33639:SF2', NULL, NULL, NULL, NULL, 'THIOL-DISULFIDE OXIDOREDUCTASE DCC', 124318),
(180593, 'PTHR24281:SF23', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D7', 124319),
(180594, 'PTHR17469:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ITPRID2', 124320),
(180595, 'PTHR31790:SF119', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, KELCH-TYPE BETA PROPELLER-RELATED', 124321),
(180596, 'PTHR47942:SF10', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN ATP4 HOMOLOG, CHLOROPLASTIC', 124322),
(180597, 'PTHR24068:SF144', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 C', 124323);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(180598, 'PTHR12669:SF15', NULL, NULL, NULL, NULL, 'GRANULITO', 124324),
(180599, 'PTHR18806:SF4', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 25', 124325),
(180600, 'PTHR43900:SF84', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 3', 124326),
(180601, 'PTHR14224', NULL, NULL, NULL, NULL, 'SIMILAR TO PREFERENTIALLY EXPRESSED ANTIGEN IN MELANOMA-LIKE 3', 124327),
(180602, 'PTHR33384:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 124328),
(180603, 'PTHR14002:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124329),
(180604, 'PTHR11079:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124330),
(180605, 'PTHR32285:SF36', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 38', 124331),
(180606, 'PTHR31645:SF14', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL18-RELATED', 124332),
(180607, 'PTHR31376', NULL, NULL, NULL, NULL, 'OS09G0467300 PROTEIN-RELATED', 124333),
(180608, 'PTHR10983:SF55', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 3', 124334),
(180609, 'PTHR21208', NULL, NULL, NULL, NULL, 'ADP-DEPENDENT GLUCOKINASE', 124335),
(180610, 'PTHR10926:SF56', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT', 124336),
(180611, 'PTHR15756:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 176B', 124337),
(180612, 'PTHR13341:SF9', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', 124338),
(180613, 'PTHR31621:SF3', NULL, NULL, NULL, NULL, 'OS06G0352200 PROTEIN', 124339),
(180614, 'PTHR47970:SF17', NULL, NULL, NULL, NULL, 'KINESIN MOTOR DOMAIN-CONTAINING PROTEIN-RELATED', 124340),
(180615, 'PTHR21087:SF24', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE 2, CHLOROPLASTIC', 124341),
(180616, 'PTHR46932', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 47', 124342),
(180617, 'PTHR31989:SF193', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 49', 124343),
(180618, 'PTHR12223:SF32', NULL, NULL, NULL, NULL, 'PROTEIN ERGIC-53', 124344),
(180619, 'PTHR23428:SF190', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-L', 124345),
(180620, 'PTHR32343', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR', 124346),
(180621, 'PTHR24559:SF384', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124347),
(180622, 'PTHR22765:SF192', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 124348),
(180623, 'PTHR31325:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124349),
(180624, 'PTHR11440:SF50', NULL, NULL, NULL, NULL, 'LECITHIN:CHOLESTEROL ACYLTRANSFERASE FAMILY PROTEIN, EXPRESSED', 124350),
(180625, 'PTHR12450:SF14', NULL, NULL, NULL, NULL, 'GLYCOSAMINOGLYCAN XYLOSYLKINASE', 124351),
(180626, 'PTHR23024:SF223', NULL, NULL, NULL, NULL, 'ARYLACETAMIDE DEACETYLASE-LIKE 2', 124352),
(180627, 'PTHR11506:SF2', NULL, NULL, NULL, NULL, 'MACROSIALIN', 124353),
(180628, 'PTHR34107:SF7', NULL, NULL, NULL, NULL, 'SLR2092 PROTEIN', 124354),
(180629, 'PTHR30478:SF0', NULL, NULL, NULL, NULL, 'BETA SLIDING CLAMP', 124355),
(180630, 'PTHR11002:SF51', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 124356),
(180631, 'PTHR11467:SF121', NULL, NULL, NULL, NULL, 'HISTONE H1.2', 124357),
(180632, 'PTHR33165:SF57', NULL, NULL, NULL, NULL, 'OS04G0280100 PROTEIN', 124358),
(180633, 'PTHR46576:SF1', NULL, NULL, NULL, NULL, 'BROMO ADJACENT HOMOLOGY DOMAIN-CONTAINING 1 PROTEIN', 124359),
(180634, 'PTHR18945:SF857', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 124360),
(180635, 'PTHR34311:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG21704', 124361),
(180636, 'PTHR24006:SF792', NULL, NULL, NULL, NULL, 'OS08G0527800 PROTEIN', 124362),
(180637, 'PTHR46704:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124363),
(180638, 'PTHR14237:SF28', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE', 124364),
(180639, 'PTHR10201:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124365),
(180640, 'PTHR11266:SF108', NULL, NULL, NULL, NULL, 'BNACNNG22360D PROTEIN', 124366),
(180641, 'PTHR35546:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124367),
(180642, 'PTHR27007:SF224', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1', 124368);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(180643, 'PTHR24305:SF112', NULL, NULL, NULL, NULL, 'L-ORNITHINE-N5-MONOOXYGENASE (EUROFUNG)-RELATED', 124369),
(180644, 'PTHR23354:SF74', NULL, NULL, NULL, NULL, 'TLD-DOMAIN CONTAINING NUCLEOLAR PROTEIN', 124370),
(180645, 'PTHR31378:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124371),
(180646, 'PTHR15241:SF283', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124372),
(180647, 'PTHR11246:SF24', NULL, NULL, NULL, NULL, 'BNACNNG15970D PROTEIN', 124373),
(180648, 'PTHR47070:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 124374),
(180649, 'PTHR11132:SF279', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSPORTER 1', 124375),
(180650, 'PTHR11038:SF21', NULL, NULL, NULL, NULL, 'OS07G0243100 PROTEIN', 124376),
(180651, 'PTHR13215:SF9', NULL, NULL, NULL, NULL, 'BNAC09G47220D PROTEIN', 124377),
(180652, 'PTHR11260:SF638', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', 124378),
(180653, 'PTHR46413:SF10', NULL, NULL, NULL, NULL, 'OS03G0829466 PROTEIN', 124379),
(180654, 'PTHR23176:SF96', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN BEM2/IPL2', 124380),
(180655, 'PTHR40086:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE YTMP-RELATED', 124381),
(180656, 'PTHR42846:SF1', NULL, NULL, NULL, NULL, 'NI-SIROHYDROCHLORIN A,C-DIAMIDE REDUCTIVE CYCLASE COMPLEX, COMPONENT CFBD', 124382),
(180657, 'PTHR23503:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124383),
(180658, 'PTHR31126:SF48', NULL, NULL, NULL, NULL, 'OS09G0135700 PROTEIN', 124384),
(180659, 'PTHR24103:SF561', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIML2-RELATED', 124385),
(180660, 'PTHR12646:SF0', NULL, NULL, NULL, NULL, 'DOL-P-MAN:MAN(5)GLCNAC(2)-PP-DOL ALPHA-1,3-MANNOSYLTRANSFERASE', 124386),
(180661, 'PTHR42200', NULL, NULL, NULL, NULL, 'ARCHAEAL FLAGELLA-RELATED PROTEIN F-RELATED', 124387),
(180662, 'PTHR14140:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER, PHD-TYPE, SRA-YDG, ZINC FINGER, RING/FYVE/PHD-TYPE, PUA-LIKE DOMAIN PROTEIN-RELATED', 124388),
(180663, 'PTHR15672:SF25', NULL, NULL, NULL, NULL, 'RNA-BINDING SUPPRESSOR OF PAS KINASE PROTEIN 1', 124389),
(180664, 'PTHR24177:SF105', NULL, NULL, NULL, NULL, 'OS09G0329266 PROTEIN', 124390),
(180665, 'PTHR24221:SF169', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 28', 124391),
(180666, 'PTHR13312:SF3', NULL, NULL, NULL, NULL, 'OTU-LIKE CYSTEINE PROTEASE FAMILY PROTEIN, EXPRESSED', 124392),
(180667, 'PTHR46242:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 9', 124393),
(180668, 'PTHR23138:SF156', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 1 HOMOLOG C-LIKE', 124394),
(180669, 'PTHR23402', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY C15 PYROGLUTAMYL-PEPTIDASE I-RELATED', 124395),
(180670, 'PTHR45936', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(20) SYNTHASE [NAD(P)+]-LIKE', 124396),
(180671, 'PTHR46236:SF9', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE FAMILY C19-RELATED PROTEIN', 124397),
(180672, 'PTHR24338:SF10', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MSX-2', 124398),
(180673, 'PTHR48040:SF24', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 1', 124399),
(180674, 'PTHR12916:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6C', 124400),
(180675, 'PTHR11239:SF16', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', 124401),
(180676, 'PTHR12111:SF1', NULL, NULL, NULL, NULL, 'SPLICING FACTOR YJU2', 124402),
(180677, 'PTHR31683:SF129', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 124403),
(180678, 'PTHR31096:SF55', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR6', 124404),
(180679, 'PTHR35351:SF2', NULL, NULL, NULL, NULL, 'GERMINAL CENTER-ASSOCIATED SIGNALING AND MOTILITY PROTEIN', 124405),
(180680, 'PTHR31422:SF42', NULL, NULL, NULL, NULL, 'ZEIN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 124406),
(180681, 'PTHR33074:SF108', NULL, NULL, NULL, NULL, 'OS11G0174700 PROTEIN', 124407),
(180682, 'PTHR11267:SF107', NULL, NULL, NULL, NULL, 'OPTOMOTOR-BLIND PROTEIN', 124408),
(180683, 'PTHR45967:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124409),
(180684, 'PTHR19446:SF437', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124410);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(180685, 'PTHR24418:SF194', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE SRC64B', 124411),
(180686, 'PTHR32246:SF138', NULL, NULL, NULL, NULL, 'BNAC05G02650D PROTEIN', 124412),
(180687, 'PTHR47990:SF55', NULL, NULL, NULL, NULL, 'OS05G0560900 PROTEIN', 124413),
(180688, 'PTHR32309:SF13', NULL, NULL, NULL, NULL, 'CHAIN LENGTH DETERMINANT PROTEIN', 124414),
(180689, 'PTHR22937:SF113', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR1-LIKE', 124415),
(180690, 'PTHR11467:SF127', NULL, NULL, NULL, NULL, 'HISTONE H5-RELATED', 124416),
(180691, 'PTHR24349:SF292', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 8-LIKE', 124417),
(180692, 'PTHR44442:SF1', NULL, NULL, NULL, NULL, '3-KETO-STEROID REDUCTASE', 124418),
(180693, 'PTHR43876:SF20', NULL, NULL, NULL, NULL, 'LYCOPENE BETA CYCLASE, CHLOROPLASTIC', 124419),
(180694, 'PTHR33132:SF53', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN-LIKE PROTEIN', 124420),
(180695, 'PTHR43142:SF1', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 124421),
(180696, 'PTHR48245:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124422),
(180697, 'PTHR46128:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124423),
(180698, 'PTHR42698:SF2', NULL, NULL, NULL, NULL, 'GTPASE ERA-LIKE, CHLOROPLASTIC', 124424),
(180699, 'PTHR18905:SF11', NULL, NULL, NULL, NULL, 'NINEIN', 124425),
(180700, 'PTHR22166:SF26', NULL, NULL, NULL, NULL, 'OS02G0830500 PROTEIN', 124426),
(180701, 'PTHR43052:SF1', NULL, NULL, NULL, NULL, 'TRNA (5-METHYLAMINOMETHYL-2-THIOURIDYLATE)-METHYLTRANSFERASE', 124427),
(180702, 'PTHR45862:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124428),
(180703, 'PTHR45642:SF106', NULL, NULL, NULL, NULL, 'BNAA01G29160D PROTEIN', 124429),
(180704, 'PTHR11576:SF15', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA GLYCOPROTEIN 3D TANDEM DUPLICATE 1', 124430),
(180705, 'PTHR10155:SF24', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 5-RELATED', 124431),
(180706, 'PTHR31683:SF101', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 124432),
(180707, 'PTHR24291:SF20', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 124433),
(180708, 'PTHR36923', NULL, NULL, NULL, NULL, 'FERREDOXIN', 124434),
(180709, 'PTHR46019:SF5', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B MEMBER 3', 124435),
(180710, 'PTHR12446:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124436),
(180711, 'PTHR36114', NULL, NULL, NULL, NULL, '16.7 KDA PROTEIN IN WHIE LOCUS', 124437),
(180712, 'PTHR22950:SF646', NULL, NULL, NULL, NULL, 'VACUOLAR AMINO ACID TRANSPORTER 5-RELATED', 124438),
(180713, 'PTHR43900:SF79', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 124439),
(180714, 'PTHR31374:SF222', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN-RELATED', 124440),
(180715, 'PTHR23287:SF18', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 5 PROTEIN', 124441),
(180716, 'PTHR47672:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SNT2', 124442),
(180717, 'PTHR24379:SF102', NULL, NULL, NULL, NULL, 'EG636741 PROTEIN-RELATED', 124443),
(180718, 'PTHR13232', NULL, NULL, NULL, NULL, 'NAD(P)H-HYDRATE EPIMERASE', 124444),
(180719, 'PTHR47926:SF224', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 124445),
(180720, 'PTHR24012:SF698', NULL, NULL, NULL, NULL, 'FLOWERING TIME CONTROL FCA-LIKE PROTEIN', 124446),
(180721, 'PTHR31321:SF81', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 124447),
(180722, 'PTHR11550:SF29', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', 124448),
(180723, 'PTHR33214:SF60', NULL, NULL, NULL, NULL, 'BNAA07G39070D PROTEIN', 124449),
(180724, 'PTHR26312:SF178', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY PROTEIN YCF3', 124450),
(180725, 'PTHR34289:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124451),
(180726, 'PTHR12771:SF49', NULL, NULL, NULL, NULL, 'ELMO/CED-12 FAMILY PROTEIN', 124452),
(180727, 'PTHR43420:SF36', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 124453),
(180728, 'PTHR31722:SF58', NULL, NULL, NULL, NULL, 'OS02G0762600 PROTEIN', 124454),
(180729, 'PTHR26379:SF298', NULL, NULL, NULL, NULL, 'SPECKLE-TYPE POZ PROTEIN-LIKE PROTEIN', 124455);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(180730, 'PTHR31251:SF142', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER BINDING PROTEIN NTABSPL6-1', 124456),
(180731, 'PTHR47789:SF1', NULL, NULL, NULL, NULL, 'LAS SEVENTEEN-BINDING PROTEIN 5', 124457),
(180732, 'PTHR24346:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124458),
(180733, 'PTHR37349', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 12', 124459),
(180734, 'PTHR11860', NULL, NULL, NULL, NULL, 'POLYMERIC-IMMUNOGLOBULIN RECEPTOR', 124460),
(180735, 'PTHR23137:SF34', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', 124461),
(180736, 'PTHR33541:SF16', NULL, NULL, NULL, NULL, 'BNAA02G14570D PROTEIN', 124462),
(180737, 'PTHR45837:SF3', NULL, NULL, NULL, NULL, 'VESICLE-TRAFFICKING PROTEIN SEC22B', 124463),
(180738, 'PTHR45613:SF248', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 124464),
(180739, 'PTHR43583', NULL, NULL, NULL, NULL, '2-IMINOACETATE SYNTHASE', 124465),
(180740, 'PTHR10621:SF48', NULL, NULL, NULL, NULL, 'BNAC09G41750D PROTEIN', 124466),
(180741, 'PTHR45927:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124467),
(180742, 'PTHR13064:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 9B', 124468),
(180743, 'PTHR15615:SF27', NULL, NULL, NULL, NULL, 'PHO85 CYCLIN CLG1', 124469),
(180744, 'PTHR28664', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION-ASSOCIATED PROTEIN 1', 124470),
(180745, 'PTHR31210:SF8', NULL, NULL, NULL, NULL, 'BNAA04G07220D PROTEIN', 124471),
(180746, 'PTHR43671:SF61', NULL, NULL, NULL, NULL, 'BNAANNG10650D PROTEIN', 124472),
(180747, 'PTHR26450:SF94', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 124473),
(180748, 'PTHR31282:SF170', NULL, NULL, NULL, NULL, 'BNAA08G12420D PROTEIN', 124474),
(180749, 'PTHR43771', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE', 124475),
(180750, 'PTHR46664', NULL, NULL, NULL, NULL, 'ATM INTERACTOR', 124476),
(180751, 'PTHR37477', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-5A HYDROLASE', 124477),
(180752, 'PTHR10553:SF30', NULL, NULL, NULL, NULL, 'BNAA06G33630D PROTEIN', 124478),
(180753, 'PTHR38016:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 124479),
(180754, 'PTHR48011:SF47', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 124480),
(180755, 'PTHR46105:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 7C', 124481),
(180756, 'PTHR45783:SF7', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN 1', 124482),
(180757, 'PTHR31110:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 124483),
(180758, 'PTHR28113:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAM1', 124484),
(180759, 'PTHR24070:SF419', NULL, NULL, NULL, NULL, 'RAP2A, MEMBER OF RAS ONCOGENE FAMILY A', 124485),
(180760, 'PTHR12770:SF29', NULL, NULL, NULL, NULL, 'PROTEIN ROOT UVB SENSITIVE 4', 124486),
(180761, 'PTHR48019:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124487),
(180762, 'PTHR39400', NULL, NULL, NULL, NULL, 'YALI0E29227P', 124488),
(180763, 'PTHR31985:SF184', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TINY-LIKE', 124489),
(180764, 'PTHR45738:SF19', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC2-LIKE ISOFORM X1', 124490),
(180765, 'PTHR24383:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 579', 124491),
(180766, 'PTHR48053:SF63', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 124492),
(180767, 'PTHR44889', NULL, NULL, NULL, NULL, 'INACTIVE HYDROXYSTEROID DEHYDROGENASE-LIKE PROTEIN 1', 124493),
(180768, 'PTHR11431:SF94', NULL, NULL, NULL, NULL, 'FERRITIN', 124494),
(180769, 'PTHR45934:SF23', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE, CHLOROPLASTIC', 124495),
(180770, 'PTHR33108:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124496),
(180771, 'PTHR34663:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124497),
(180772, 'PTHR42673:SF9', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE, EXPRESSED-RELATED', 124498),
(180773, 'PTHR24381:SF311', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 440', 124499),
(180774, 'PTHR12375:SF30', NULL, NULL, NULL, NULL, 'LD04387P', 124500),
(180775, 'PTHR45682:SF5', NULL, NULL, NULL, NULL, 'AGAP008228-PA', 124501);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(180776, 'PTHR11103:SF14', NULL, NULL, NULL, NULL, 'SLR1189 PROTEIN', 124502),
(180777, 'PTHR10505:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124503),
(180778, 'PTHR34564:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE G', 124504),
(180779, 'PTHR36484:SF1', NULL, NULL, NULL, NULL, 'OS05G0542001 PROTEIN', 124505),
(180780, 'PTHR37768:SF3', NULL, NULL, NULL, NULL, 'BNAC09G32860D PROTEIN', 124506),
(180781, 'PTHR11709:SF284', NULL, NULL, NULL, NULL, 'LACCASE', 124507),
(180782, 'PTHR24103:SF653', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 30B-RELATED', 124508),
(180783, 'PTHR23500:SF566', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER', 124509),
(180784, 'PTHR45825:SF3', NULL, NULL, NULL, NULL, 'GRANULE-BOUND STARCH SYNTHASE 1, CHLOROPLASTIC/AMYLOPLASTIC', 124510),
(180785, 'PTHR31650:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124511),
(180786, 'PTHR24286', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 26', 124512),
(180787, 'PTHR43128:SF5', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE C CHAIN', 124513),
(180788, 'PTHR33083:SF71', NULL, NULL, NULL, NULL, 'OS05G0531000 PROTEIN', 124514),
(180789, 'PTHR24216:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124515),
(180790, 'PTHR11771:SF131', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 124516),
(180791, 'PTHR47365:SF2', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 23', 124517),
(180792, 'PTHR24258', NULL, NULL, NULL, NULL, 'SERINE PROTEASE-RELATED', 124518),
(180793, 'PTHR47932:SF17', NULL, NULL, NULL, NULL, 'OS06G0172000 PROTEIN', 124519),
(180794, 'PTHR38120:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 124520),
(180795, 'PTHR37238:SF1', NULL, NULL, NULL, NULL, 'OS05G0532500 PROTEIN', 124521),
(180796, 'PTHR45636:SF29', NULL, NULL, NULL, NULL, 'GH14454P', 124522),
(180797, 'PTHR46044:SF5', NULL, NULL, NULL, NULL, 'NITRILASE (AFU_ORTHOLOGUE AFUA_6G13450)', 124523),
(180798, 'PTHR36488:SF9', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 124524),
(180799, 'PTHR11926:SF1161', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 124525),
(180800, 'PTHR11527:SF284', NULL, NULL, NULL, NULL, '18.1 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', 124526),
(180801, 'PTHR46373:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124527),
(180802, 'PTHR31144:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124528),
(180803, 'PTHR30371:SF6', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PERIPLASMIC PROTEIN TRANSLOCASE TATC-RELATED', 124529),
(180804, 'PTHR46663', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCT-RELATED', 124530),
(180805, 'PTHR32227:SF379', NULL, NULL, NULL, NULL, 'BNAA02G07850D PROTEIN', 124531),
(180806, 'PTHR30346', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL DUAL REGULATOR HCAR-RELATED', 124532),
(180807, 'PTHR13817:SF66', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-LIKE AND FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 1', 124533),
(180808, 'PTHR23226:SF295', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 22', 124534),
(180809, 'PTHR46162:SF43', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', 124535),
(180810, 'PTHR16768', NULL, NULL, NULL, NULL, 'DOWN REGULATED IN RENAL CARCINOMA 1/TU3A', 124536),
(180811, 'PTHR23155:SF1138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124537),
(180812, 'PTHR33228:SF56', NULL, NULL, NULL, NULL, 'GLUTAMINE DUMPER 1-RELATED', 124538),
(180813, 'PTHR11909:SF364', NULL, NULL, NULL, NULL, 'PROTEIN CBG04011', 124539),
(180814, 'PTHR47946:SF11', NULL, NULL, NULL, NULL, 'BNAA09G51270D PROTEIN', 124540),
(180815, 'PTHR12701:SF51', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED PROTEIN 29/31-RELATED', 124541),
(180816, 'PTHR45925:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 536', 124542),
(180817, 'PTHR32039:SF18', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLI-1, CHLOROPLASTIC', 124543),
(180818, 'PTHR13808:SF43', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE HAC2', 124544),
(180819, 'PTHR48005:SF7', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 3', 124545),
(180820, 'PTHR24074:SF35', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DNAJ FAMILY PROTEIN', 124546);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(180821, 'PTHR14652:SF2', NULL, NULL, NULL, NULL, 'TYPE 2 DNA TOPOISOMERASE 6 SUBUNIT B-LIKE', 124547),
(180822, 'PTHR14464:SF5', NULL, NULL, NULL, NULL, 'DEFECTS IN MORPHOLOGY PROTEIN 1', 124548),
(180823, 'PTHR10797:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124549),
(180824, 'PTHR42723', NULL, NULL, NULL, NULL, 'CHLOROPHYLL SYNTHASE', 124550),
(180825, 'PTHR22835:SF559', NULL, NULL, NULL, NULL, 'OS01G0215500 PROTEIN', 124551),
(180826, 'PTHR33202:SF7', NULL, NULL, NULL, NULL, 'FERRIC UPTAKE REGULATION PROTEIN', 124552),
(180827, 'PTHR35577:SF1', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN FAMILY PROTEIN', 124553),
(180828, 'PTHR11721:SF11', NULL, NULL, NULL, NULL, 'OS07G0613200 PROTEIN', 124554),
(180829, 'PTHR42749:SF1', NULL, NULL, NULL, NULL, 'CELL SHAPE-DETERMINING PROTEIN MREB', 124555),
(180830, 'PTHR31257:SF7', NULL, NULL, NULL, NULL, 'RICIN B-LIKE LECTIN R40G2', 124556),
(180831, 'PTHR31315', NULL, NULL, NULL, NULL, 'PROTEIN SIP5', 124557),
(180832, 'PTHR34716:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124558),
(180833, 'PTHR11012:SF51', NULL, NULL, NULL, NULL, 'IP11764P', 124559),
(180834, 'PTHR12756', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE', 124560),
(180835, 'PTHR10177:SF71', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN-E1', 124561),
(180836, 'PTHR46801', NULL, NULL, NULL, NULL, 'OS06G0309200 PROTEIN', 124562),
(180837, 'PTHR11929:SF216', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE FUT-5-RELATED', 124563),
(180838, 'PTHR19970', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L39E', 124564),
(180839, 'PTHR43382:SF1', NULL, NULL, NULL, NULL, 'GLUTAMYL(E) AMINO-ACYL TRNA SYNTHETASE', 124565),
(180840, 'PTHR31807:SF40', NULL, NULL, NULL, NULL, 'QWRF MOTIF-CONTAINING PROTEIN 2-LIKE ISOFORM X1', 124566),
(180841, 'PTHR24377:SF828', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 37A', 124567),
(180842, 'PTHR10367:SF9', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY PHOSPHATASE 11 (RNA/RNP COMPLEX 1-INTERACTING)', 124568),
(180843, 'PTHR16311', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN TYPE I DOMAIN-CONTAINING 1', 124569),
(180844, 'PTHR18966:SF350', NULL, NULL, NULL, NULL, 'CLUMSY, ISOFORM B-RELATED', 124570),
(180845, 'PTHR11255:SF36', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE GAMMA', 124571),
(180846, 'PTHR15932', NULL, NULL, NULL, NULL, 'UBIQUITIN INTERACTION MOTIF-CONTAINING PROTEIN 1', 124572),
(180847, 'PTHR48017:SF86', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', 124573),
(180848, 'PTHR27008:SF461', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124574),
(180849, 'PTHR34740:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124575),
(180850, 'PTHR33607', NULL, NULL, NULL, NULL, 'ENDONUCLEASE-1', 124576),
(180851, 'PTHR14359:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124577),
(180852, 'PTHR14898:SF4', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB HOMOLOG 2', 124578),
(180853, 'PTHR23430:SF305', NULL, NULL, NULL, NULL, 'HISTONE H2A', 124579),
(180854, 'PTHR43463', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE--DIMETHYLBENZIMIDAZOLE PHOSPHORIBOSYLTRANSFERASE', 124580),
(180855, 'PTHR24305:SF196', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 124581),
(180856, 'PTHR11353:SF22', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ETA', 124582),
(180857, 'PTHR14699:SF2', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 21A', 124583),
(180858, 'PTHR10640:SF8', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL METHYLTHIORIBULOSE-1-PHOSPHATE DEHYDRATASE/ENOLASE-PHOSPHATASE E1-RELATED', 124584),
(180859, 'PTHR35708:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124585),
(180860, 'PTHR36328:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124586),
(180861, 'PTHR32419:SF27', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE C-TERMINAL DOMAIN-CONTAINING PROTEIN-LIKE', 124587),
(180862, 'PTHR31268', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 124588),
(180863, 'PTHR43000:SF4', NULL, NULL, NULL, NULL, 'STEROL-4-ALPHA-CARBOXYLATE 3-DEHYDROGENASE, DECARBOXYLATING', 124589),
(180864, 'PTHR24100:SF64', NULL, NULL, NULL, NULL, 'BUTYROPHILIN, SUBFAMILY 3, MEMBER A3-RELATED', 124590);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(180865, 'PTHR21621:SF5', NULL, NULL, NULL, NULL, 'BETA-CITRYLGLUTAMATE SYNTHASE B', 124591),
(180866, 'PTHR32054:SF63', NULL, NULL, NULL, NULL, 'BNAA04G21980D PROTEIN', 124592),
(180867, 'PTHR31194:SF133', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-11', 124593),
(180868, 'PTHR23069:SF0', NULL, NULL, NULL, NULL, 'TAT-BINDING HOMOLOG 7', 124594),
(180869, 'PTHR39425', NULL, NULL, NULL, NULL, 'LIPOPROTEIN CYTOCHROME C', 124595),
(180870, 'PTHR34472:SF1', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN THIS', 124596),
(180871, 'PTHR10334:SF355', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN 3', 124597),
(180872, 'PTHR22744:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG00185', 124598),
(180873, 'PTHR33124:SF72', NULL, NULL, NULL, NULL, 'BNACNNG30130D PROTEIN', 124599),
(180874, 'PTHR24206:SF87', NULL, NULL, NULL, NULL, 'MICAL LIKE 1', 124600),
(180875, 'PTHR11699:SF223', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 124601),
(180876, 'PTHR14256:SF1', NULL, NULL, NULL, NULL, 'GEO09626P1', 124602),
(180877, 'PTHR30042:SF2', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE KDPC SUBUNIT', 124603),
(180878, 'PTHR46055', NULL, NULL, NULL, NULL, 'CIRCADIAN LOCOMOTER OUTPUT CYCLES PROTEIN KAPUT', 124604),
(180879, 'PTHR24006:SF805', NULL, NULL, NULL, NULL, 'RE52890P', 124605),
(180880, 'PTHR11339:SF385', NULL, NULL, NULL, NULL, 'ZONADHESIN (GENE/PSEUDOGENE)', 124606),
(180881, 'PTHR11654:SF525', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124607),
(180882, 'PTHR48012:SF17', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE KINASE 3', 124608),
(180883, 'PTHR12146:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124609),
(180884, 'PTHR46128:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124610),
(180885, 'PTHR36131:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124611),
(180886, 'PTHR18966:SF465', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 124612),
(180887, 'PTHR12400:SF85', NULL, NULL, NULL, NULL, 'KINASE', 124613),
(180888, 'PTHR21146:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124614),
(180889, 'PTHR22814:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124615),
(180890, 'PTHR43900:SF51', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 124616),
(180891, 'PTHR48107:SF14', NULL, NULL, NULL, NULL, 'OS07G0170000 PROTEIN', 124617),
(180892, 'PTHR31790:SF377', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 124618),
(180893, 'PTHR23257:SF812', NULL, NULL, NULL, NULL, 'ATP BINDING PROTEIN', 124619),
(180894, 'PTHR15336:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6', 124620),
(180895, 'PTHR31260:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124621),
(180896, 'PTHR11228:SF27', NULL, NULL, NULL, NULL, 'GLYCYL-RADICAL ENZYME ACTIVATING ENZYME MJ1227-RELATED', 124622),
(180897, 'PTHR10117:SF51', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL PROTEIN', 124623),
(180898, 'PTHR32258:SF31', NULL, NULL, NULL, NULL, 'BNACNNG72560D PROTEIN', 124624),
(180899, 'PTHR13251', NULL, NULL, NULL, NULL, 'EPILEPSY HOLOPROSENCEPHALY CANDIDATE 1/TMEM1', 124625),
(180900, 'PTHR46270', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD-RELATED', 124626),
(180901, 'PTHR11348:SF7', NULL, NULL, NULL, NULL, 'CONNECTIVE TISSUE GROWTH FACTOR', 124627),
(180902, 'PTHR23417:SF14', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(7)-)-METHYLTRANSFERASE', 124628),
(180903, 'PTHR47932:SF46', NULL, NULL, NULL, NULL, 'FERTILITY RESTORER HOMOLOGUE-LIKE', 124629),
(180904, 'PTHR31194:SF105', NULL, NULL, NULL, NULL, 'AP2/ERF TRANSCRIPTION FACTOR ERF/PTI6-RELATED', 124630),
(180905, 'PTHR31264:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124631),
(180906, 'PTHR42907', NULL, NULL, NULL, NULL, 'FMN-LINKED OXIDOREDUCTASES SUPERFAMILY PROTEIN', 124632),
(180907, 'PTHR10627:SF68', NULL, NULL, NULL, NULL, 'F26K24.15 PROTEIN-RELATED', 124633),
(180908, 'PTHR47967:SF82', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 124634),
(180909, 'PTHR45621:SF42', NULL, NULL, NULL, NULL, 'OS02G0670100 PROTEIN', 124635);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(180910, 'PTHR24025:SF21', NULL, NULL, NULL, NULL, 'FAT ATYPICAL CADHERIN 3', 124636),
(180911, 'PTHR48051:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND CALPONIN HOMOLOGY DOMAIN-CONTAINING PROTEIN 1-LIKE PROTEIN', 124637),
(180912, 'PTHR24250:SF35', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-C', 124638),
(180913, 'PTHR46632:SF9', NULL, NULL, NULL, NULL, 'OS05G0152900 PROTEIN', 124639),
(180914, 'PTHR34591:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124640),
(180915, 'PTHR31881:SF14', NULL, NULL, NULL, NULL, 'PLANT/F12B17-70 PROTEIN', 124641),
(180916, 'PTHR46366:SF5', NULL, NULL, NULL, NULL, 'BNAA05G32590D PROTEIN', 124642),
(180917, 'PTHR11969:SF66', NULL, NULL, NULL, NULL, 'MAD-LIKE', 124643),
(180918, 'PTHR10353:SF145', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 13-LIKE ISOFORM X2', 124644),
(180919, 'PTHR37616', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 60-LIKE', 124645),
(180920, 'PTHR13167:SF42', NULL, NULL, NULL, NULL, 'BNACNNG28330D PROTEIN', 124646),
(180921, 'PTHR34322', NULL, NULL, NULL, NULL, 'TRANSPOSASE, Y1_TNP DOMAIN-CONTAINING', 124647),
(180922, 'PTHR47942:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124648),
(180923, 'PTHR46796:SF1', NULL, NULL, NULL, NULL, 'ARAC-FAMILY TRANSCRIPTIONAL REGULATORY PROTEIN-RELATED', 124649),
(180924, 'PTHR10093:SF15', NULL, NULL, NULL, NULL, 'ISCU ISOFORM 5', 124650),
(180925, 'PTHR11614:SF149', NULL, NULL, NULL, NULL, 'OS01G0315600 PROTEIN', 124651),
(180926, 'PTHR22870:SF406', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION 1/BETA-LACTAMASE-INHIBITOR PROTEIN II-RELATED', 124652),
(180927, 'PTHR24092:SF165', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 8-RELATED', 124653),
(180928, 'PTHR45974:SF49', NULL, NULL, NULL, NULL, 'BNAA07G03560D PROTEIN', 124654),
(180929, 'PTHR33432:SF22', NULL, NULL, NULL, NULL, 'OS10G0436850 PROTEIN', 124655),
(180930, 'PTHR34268:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 124656),
(180931, 'PTHR24015:SF1687', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 124657),
(180932, 'PTHR21700:SF111', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 124658),
(180933, 'PTHR33239:SF4', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING DOMAIN-CONTAINING PROTEIN', 124659),
(180934, 'PTHR22957:SF212', NULL, NULL, NULL, NULL, 'ECOTROPIC VIRAL INTEGRATION SITE 5 ORTHOLOG', 124660),
(180935, 'PTHR13586:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LSM14 HOMOLOG B', 124661),
(180936, 'PTHR44240:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124662),
(180937, 'PTHR42898:SF57', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE 2', 124663),
(180938, 'PTHR36787:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 124664),
(180939, 'PTHR11937:SF479', NULL, NULL, NULL, NULL, 'BNAC02G00690D PROTEIN', 124665),
(180940, 'PTHR10858:SF24', NULL, NULL, NULL, NULL, 'CELL DEATH-RELATED NUCLEASE 6', 124666),
(180941, 'PTHR43744:SF1', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEMS INNER MEMBRANE COMPONENT', 124667),
(180942, 'PTHR33155:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAF-LIKE, CHLOROPLASTIC', 124668),
(180943, 'PTHR10024:SF46', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-10', 124669),
(180944, 'PTHR36055:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124670),
(180945, 'PTHR48005:SF30', NULL, NULL, NULL, NULL, 'OS02G0468900 PROTEIN', 124671),
(180946, 'PTHR31683:SF164', NULL, NULL, NULL, NULL, 'PECTATE LYASE 5-RELATED', 124672),
(180947, 'PTHR13780:SF95', NULL, NULL, NULL, NULL, 'AMP-ACTIVATED PROTEIN KINASE GAMMA SUBUNIT', 124673),
(180948, 'PTHR12173:SF3', NULL, NULL, NULL, NULL, 'NEURTURIN', 124674),
(180949, 'PTHR24056:SF471', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 124675),
(180950, 'PTHR11334:SF17', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER X1', 124676),
(180951, 'PTHR42760:SF89', NULL, NULL, NULL, NULL, 'BLR8120 PROTEIN', 124677),
(180952, 'PTHR24068:SF372', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2', 124678),
(180953, 'PTHR30203:SF18', NULL, NULL, NULL, NULL, 'SLR1270 PROTEIN', 124679);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(180954, 'PTHR32409:SF9', NULL, NULL, NULL, NULL, 'BNAA07G08810D PROTEIN', 124680),
(180955, 'PTHR23110:SF89', NULL, NULL, NULL, NULL, 'BROAD-COMPLEX CORE PROTEIN ISOFORM 6', 124681),
(180956, 'PTHR15835:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 124682),
(180957, 'PTHR32176:SF43', NULL, NULL, NULL, NULL, 'PATATIN', 124683),
(180958, 'PTHR11129:SF6', NULL, NULL, NULL, NULL, 'BNAA09G17110D PROTEIN', 124684),
(180959, 'PTHR22780:SF42', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA', 124685),
(180960, 'PTHR35163', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 124686),
(180961, 'PTHR31496:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RL9-RELATED', 124687),
(180962, 'PTHR18919:SF83', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G06380)-RELATED', 124688),
(180963, 'PTHR34924', NULL, NULL, NULL, NULL, 'UPF0573 PROTEIN C2ORF70', 124689),
(180964, 'PTHR28124:SF1', NULL, NULL, NULL, NULL, 'DNA REPLICATION REGULATOR SLD2', 124690),
(180965, 'PTHR10316:SF10', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED GUANYLATE KINASE, WW AND PDZ DOMAIN-CONTAINING PROTEIN 3', 124691),
(180966, 'PTHR31992:SF123', NULL, NULL, NULL, NULL, 'DOF30 TRANSCRIPTION FACTOR', 124692),
(180967, 'PTHR48041:SF52', NULL, NULL, NULL, NULL, 'WHITE (DROSOPHILA) RELATED ABC TRANSPORTER', 124693),
(180968, 'PTHR11525:SF11', NULL, NULL, NULL, NULL, 'FARNESYL PYROPHOSPHATE SYNTHASE', 124694),
(180969, 'PTHR13268:SF9', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18F-LIKE', 124695),
(180970, 'PTHR33801:SF11', NULL, NULL, NULL, NULL, 'OS02G0543000 PROTEIN', 124696),
(180971, 'PTHR10696:SF38', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE-RELATED', 124697),
(180972, 'PTHR33597:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR Y SUBUNIT C-4, PUTATIVE-RELATED', 124698),
(180973, 'PTHR23336:SF50', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 1-RELATED', 124699),
(180974, 'PTHR48100:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN 1 ISOFORM X1', 124700),
(180975, 'PTHR38011', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G06820)', 124701),
(180976, 'PTHR21614:SF0', NULL, NULL, NULL, NULL, 'GEO08385P1', 124702),
(180977, 'PTHR11706:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124703),
(180978, 'PTHR33239:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124704),
(180979, 'PTHR45977:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SDIR1', 124705),
(180980, 'PTHR42954:SF1', NULL, NULL, NULL, NULL, 'FERROUS IRON TRANSPORT PROTEIN A', 124706),
(180981, 'PTHR33085:SF43', NULL, NULL, NULL, NULL, 'OS03G0781800 PROTEIN', 124707),
(180982, 'PTHR46368:SF9', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', 124708),
(180983, 'PTHR21513:SF20', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 124709),
(180984, 'PTHR10732:SF16', NULL, NULL, NULL, NULL, 'BNAA04G26860D PROTEIN', 124710),
(180985, 'PTHR10165:SF177', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 3, CHLOROPLASTIC-RELATED', 124711),
(180986, 'PTHR11709:SF258', NULL, NULL, NULL, NULL, 'LACCASE-9-RELATED', 124712),
(180987, 'PTHR13068', NULL, NULL, NULL, NULL, 'CGI-12 PROTEIN-RELATED', 124713),
(180988, 'PTHR11005:SF11', NULL, NULL, NULL, NULL, 'LIPASE MEMBER J', 124714),
(180989, 'PTHR34308:SF1', NULL, NULL, NULL, NULL, 'COBALAMIN BIOSYNTHESIS PROTEIN CBIB', 124715),
(180990, 'PTHR22814:SF313', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 124716),
(180991, 'PTHR31604:SF29', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 5', 124717),
(180992, 'PTHR47447:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124718),
(180993, 'PTHR45648:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124719),
(180994, 'PTHR12850:SF25', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S25', 124720),
(180995, 'PTHR18945:SF855', NULL, NULL, NULL, NULL, 'NICOTINIC ACETYLCHOLINE RECEPTOR SUBUNIT', 124721),
(180996, 'PTHR47047:SF8', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE, PUTATIVE-RELATED', 124722),
(180997, 'PTHR24242:SF218', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 124723);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(180998, 'PTHR11455:SF17', NULL, NULL, NULL, NULL, 'CRYPTOCHROME-1', 124724),
(180999, 'PTHR48018:SF115', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 124725),
(181000, 'PTHR36715:SF1', NULL, NULL, NULL, NULL, 'BNAANNG41370D PROTEIN', 124726),
(181001, 'PTHR10003:SF37', NULL, NULL, NULL, NULL, 'CU/ZN SUPEROXIDE DISMUTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G11640)-RELATED', 124727),
(181002, 'PTHR22829:SF29', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE-DEPENDENT RAC EXCHANGER 1 PROTEIN', 124728),
(181003, 'PTHR33147:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124729),
(181004, 'PTHR24282:SF30', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 721, SUBFAMILY A, POLYPEPTIDE 1', 124730),
(181005, 'PTHR37978:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG22381', 124731),
(181006, 'PTHR48111:SF19', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR SAER', 124732),
(181007, 'PTHR31190:SF172', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', 124733),
(181008, 'PTHR10984:SF57', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM VESICLE TRANSPORTER PROTEIN', 124734),
(181009, 'PTHR43081:SF15', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE, TERMINAL-DIFFERENTIATION SPECIFIC', 124735),
(181010, 'PTHR47982:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124736),
(181011, 'PTHR34721:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG09734', 124737),
(181012, 'PTHR13516:SF18', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 2-LIKE ISOFORM X1', 124738),
(181013, 'PTHR31132:SF22', NULL, NULL, NULL, NULL, 'BNAA03G54450D PROTEIN', 124739),
(181014, 'PTHR23202:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124740),
(181015, 'PTHR23294:SF55', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17480)-RELATED', 124741),
(181016, 'PTHR33159:SF39', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', 124742),
(181017, 'PTHR31509:SF80', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF793)-RELATED', 124743),
(181018, 'PTHR10791:SF111', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET2', 124744),
(181019, 'PTHR10846:SF65', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 24 MEMBER 2', 124745),
(181020, 'PTHR36798', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN 6, CHLOROPLASTIC', 124746),
(181021, 'PTHR23023:SF271', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 124747),
(181022, 'PTHR10615:SF193', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE OF THE MYST FAMILY 2', 124748),
(181023, 'PTHR11461:SF306', NULL, NULL, NULL, NULL, 'SERPIN-Z1', 124749),
(181024, 'PTHR48005:SF6', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 8', 124750),
(181025, 'PTHR11937', NULL, NULL, NULL, NULL, 'ACTIN', 124751),
(181026, 'PTHR12396:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124752),
(181027, 'PTHR48001:SF144', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 124753),
(181028, 'PTHR36143:SF4', NULL, NULL, NULL, NULL, 'OS08G0177500 PROTEIN', 124754),
(181029, 'PTHR11690:SF187', NULL, NULL, NULL, NULL, 'DEGENERIN MEC-10', 124755),
(181030, 'PTHR23074:SF151', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF K(+) TRANSPORT GROWTH DEFECT 1-LIKE ISOFORM X1', 124756),
(181031, 'PTHR43202:SF1', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE PYROPHOSPHORYLASE', 124757),
(181032, 'PTHR24399:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E4F1', 124758),
(181033, 'PTHR47414:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP20-2, CHLOROPLASTIC', 124759),
(181034, 'PTHR10891:SF798', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', 124760),
(181035, 'PTHR22750:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124761),
(181036, 'PTHR24248:SF177', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR D1A', 124762),
(181037, 'PTHR46043:SF18', NULL, NULL, NULL, NULL, 'BNAC04G04430D PROTEIN', 124763),
(181038, 'PTHR47985:SF13', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE LIP2', 124764),
(181039, 'PTHR31128:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG02793', 124765),
(181040, 'PTHR44186:SF1', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 4 PROTEIN', 124766);
INSERT INTO "PUBLIC"."MODEL" VALUES
(181041, 'PTHR31744:SF96', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 21/22', 124767),
(181042, 'PTHR43591:SF68', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 27', 124768),
(181043, 'PTHR13710:SF138', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 124769),
(181044, 'PTHR42755:SF1', NULL, NULL, NULL, NULL, '3-DEOXY-D-MANNO-OCTULOSONIC ACID TRANSFERASE, MITOCHONDRIAL-RELATED', 124770),
(181045, 'PTHR47008', NULL, NULL, NULL, NULL, 'PROTEIN CORDON-BLEU', 124771),
(181046, 'PTHR43441:SF6', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 124772),
(181047, 'PTHR27006:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124773),
(181048, 'PTHR45868:SF14', NULL, NULL, NULL, NULL, 'OS08G0205500 PROTEIN', 124774),
(181049, 'PTHR24372:SF77', NULL, NULL, NULL, NULL, 'FI21465P1', 124775),
(181050, 'PTHR31057', NULL, NULL, NULL, NULL, 'E3 UFM1-PROTEIN LIGASE 1', 124776),
(181051, 'PTHR33447', NULL, NULL, NULL, NULL, 'GLUTATHIONE GAMMA-GLUTAMYLCYSTEINYLTRANSFERASE', 124777),
(181052, 'PTHR31985:SF179', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 124778),
(181053, 'PTHR43649:SF15', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER-BINDING PROTEIN DR_1438-RELATED', 124779),
(181054, 'PTHR47097:SF1', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-3', 124780),
(181055, 'PTHR46548:SF2', NULL, NULL, NULL, NULL, 'BAH DOMAIN-CONTAINING PROTEIN', 124781),
(181056, 'PTHR43895:SF104', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 3', 124782),
(181057, 'PTHR13382:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124783),
(181058, 'PTHR14516:SF6', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE DEHYDROGENASE, MITOCHONDRIAL-LIKE PROTEIN', 124784),
(181059, 'PTHR21119:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG14248', 124785),
(181060, 'PTHR11477:SF18', NULL, NULL, NULL, NULL, 'SPOC DOMAIN-CONTAINING PROTEIN 1', 124786),
(181061, 'PTHR12859:SF4', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN A2', 124787),
(181062, 'PTHR27002:SF214', NULL, NULL, NULL, NULL, 'KINASE 3, PUTATIVE-RELATED', 124788),
(181063, 'PTHR35903:SF1', NULL, NULL, NULL, NULL, 'FLAGELLIN B1', 124789),
(181064, 'PTHR31920:SF61', NULL, NULL, NULL, NULL, 'BNAA03G53170D PROTEIN', 124790),
(181065, 'PTHR31582', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS A (ALPHA)-RELATED-RELATED', 124791),
(181066, 'PTHR43706:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124792),
(181067, 'PTHR11003:SF11', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 12', 124793),
(181068, 'PTHR38505', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC100362176', 124794),
(181069, 'PTHR22897:SF19', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE', 124795),
(181070, 'PTHR46833', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR 2 TERF2', 124796),
(181071, 'PTHR34197:SF3', NULL, NULL, NULL, NULL, 'BNACNNG49610D PROTEIN', 124797),
(181072, 'PTHR10353:SF28', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 44', 124798),
(181073, 'PTHR33191:SF45', NULL, NULL, NULL, NULL, 'KIWELLIN', 124799),
(181074, 'PTHR15364', NULL, NULL, NULL, NULL, '2''-DEOXYNUCLEOSIDE 5''-PHOSPHATE N-HYDROLASE 1', 124800),
(181075, 'PTHR12565:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124801),
(181076, 'PTHR37519:SF1', NULL, NULL, NULL, NULL, 'DIHYDROXYBIPHENYL DIOXYGENASE DOMAIN-CONTAINING PROTEIN', 124802),
(181077, 'PTHR11706:SF2', NULL, NULL, NULL, NULL, 'TRANSPORTER PROTEIN', 124803),
(181078, 'PTHR33128:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124804),
(181079, 'PTHR10641:SF1294', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39-LIKE', 124805),
(181080, 'PTHR24281:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124806),
(181081, 'PTHR45624:SF23', NULL, NULL, NULL, NULL, 'SI:DKEY-150I13.2', 124807),
(181082, 'PTHR28075', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 124808),
(181083, 'PTHR23130:SF154', NULL, NULL, NULL, NULL, 'OS01G0895200 PROTEIN', 124809),
(181084, 'PTHR11440:SF45', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', 124810);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(181085, 'PTHR34821:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 124811),
(181086, 'PTHR31721:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124812),
(181087, 'PTHR33101', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 1', 124813),
(181088, 'PTHR13878:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124814),
(181089, 'PTHR11647:SF65', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINASE 1', 124815),
(181090, 'PTHR31375:SF221', NULL, NULL, NULL, NULL, 'OS01G0891100 PROTEIN', 124816),
(181091, 'PTHR43452:SF25', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 1', 124817),
(181092, 'PTHR31769:SF53', NULL, NULL, NULL, NULL, 'OS02G0608000 PROTEIN', 124818),
(181093, 'PTHR46773:SF5', NULL, NULL, NULL, NULL, 'OJ991113_30.6 PROTEIN', 124819),
(181094, 'PTHR13140:SF289', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-XIX', 124820),
(181095, 'PTHR36726:SF5', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER MTCLE11', 124821),
(181096, 'PTHR34835:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124822),
(181097, 'PTHR34945', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 124823),
(181098, 'PTHR22939:SF14', NULL, NULL, NULL, NULL, 'SERINE PROTEASE HTRA3', 124824),
(181099, 'PTHR11890:SF23', NULL, NULL, NULL, NULL, 'INTERLEUKIN-18 RECEPTOR ACCESSORY PROTEIN', 124825),
(181100, 'PTHR10686:SF34', NULL, NULL, NULL, NULL, 'CELL-SURFACE THIAMINE TRANSPORTER 2', 124826),
(181101, 'PTHR31300:SF33', NULL, NULL, NULL, NULL, 'LIPASE', 124827),
(181102, 'PTHR31062:SF235', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 27-RELATED', 124828),
(181103, 'PTHR10177:SF430', NULL, NULL, NULL, NULL, 'CYCLIN A2, CHORDATE-RELATED', 124829),
(181104, 'PTHR48019:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124830),
(181105, 'PTHR48017:SF172', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 1-LIKE', 124831),
(181106, 'PTHR43895:SF79', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 124832),
(181107, 'PTHR30546:SF41', NULL, NULL, NULL, NULL, 'BNAA09G29420D PROTEIN', 124833),
(181108, 'PTHR10290:SF14', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE I', 124834),
(181109, 'PTHR48017:SF93', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 2', 124835),
(181110, 'PTHR39614', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 124836),
(181111, 'PTHR13609:SF26', NULL, NULL, NULL, NULL, 'UBIQUITIN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 124837),
(181112, 'PTHR11814:SF240', NULL, NULL, NULL, NULL, 'BNAA03G46110D PROTEIN', 124838),
(181113, 'PTHR43725:SF15', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL UDP-GLUCOSE 4-EPIMERASE AND UDP-XYLOSE 4-EPIMERASE 1', 124839),
(181114, 'PTHR10015:SF337', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-3', 124840),
(181115, 'PTHR32295:SF116', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', 124841),
(181116, 'PTHR48010:SF53', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE-RELATED', 124842),
(181117, 'PTHR33745:SF8', NULL, NULL, NULL, NULL, 'BLUE-LIGHT PHOTORECEPTOR', 124843),
(181118, 'PTHR11206:SF410', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 124844),
(181119, 'PTHR27009:SF220', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE-RELATED', 124845),
(181120, 'PTHR24260:SF132', NULL, NULL, NULL, NULL, 'IP10340P', 124846),
(181121, 'PTHR47973:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 124847),
(181122, 'PTHR14950:SF31', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE DICER HOMOLOG 3B', 124848),
(181123, 'PTHR43108:SF1', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SULFATASE SULF-1', 124849),
(181124, 'PTHR48047:SF28', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 89A2', 124850),
(181125, 'PTHR16514:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TMEPAI', 124851),
(181126, 'PTHR31719:SF105', NULL, NULL, NULL, NULL, 'NAC DOMAIN TRANSCRIPTIONAL REGULATOR', 124852),
(181127, 'PTHR31896:SF46', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 124853),
(181128, 'PTHR10715', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', 124854);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(181129, 'PTHR12027:SF73', NULL, NULL, NULL, NULL, 'PROTEIN WNT-7B', 124855),
(181130, 'PTHR33939', NULL, NULL, NULL, NULL, 'PROTEIN CBG22215', 124856),
(181131, 'PTHR45625:SF10', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 124857),
(181132, 'PTHR38580', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 192', 124858),
(181133, 'PTHR45650:SF26', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 124859),
(181134, 'PTHR27006:SF412', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 124860),
(181135, 'PTHR47019', NULL, NULL, NULL, NULL, 'LIPID II FLIPPASE MURJ', 124861),
(181136, 'PTHR21649:SF105', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 21, CHLOROPLASTIC', 124862),
(181137, 'PTHR48044:SF26', NULL, NULL, NULL, NULL, 'ZEATIN O-XYLOSYLTRANSFERASE-LIKE', 124863),
(181138, 'PTHR11413:SF104', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 2', 124864),
(181139, 'PTHR30036:SF7', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERIPLASMIC-BINDING PROTEIN YPHF', 124865),
(181140, 'PTHR32285:SF63', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE RELATED PROTEIN-LIKE', 124866),
(181141, 'PTHR10168:SF294', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124867),
(181142, 'PTHR28077', NULL, NULL, NULL, NULL, 'INOSITOL PHOSPHORYLCERAMIDE SYNTHASE REGULATORY SUBUNIT KEI1', 124868),
(181143, 'PTHR31707:SF304', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 124869),
(181144, 'PTHR15302', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF103', 124870),
(181145, 'PTHR24062:SF5', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 52-RELATED', 124871),
(181146, 'PTHR11588:SF304', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 124872),
(181147, 'PTHR24055:SF387', NULL, NULL, NULL, NULL, 'KINASE FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 124873),
(181148, 'PTHR33699:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 124874),
(181149, 'PTHR22765:SF264', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', 124875),
(181150, 'PTHR35546:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124876),
(181151, 'PTHR12482:SF47', NULL, NULL, NULL, NULL, 'ESTERASE FAMILY PROTEIN, PUTATIVE-RELATED', 124877),
(181152, 'PTHR10715:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', 124878),
(181153, 'PTHR33389:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124879),
(181154, 'PTHR31604:SF30', NULL, NULL, NULL, NULL, 'PROTEIN LATERAL ROOT PRIMORDIUM 1', 124880),
(181155, 'PTHR31024:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG06646', 124881),
(181156, 'PTHR47584:SF2', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN-LIKE', 124882),
(181157, 'PTHR48136', NULL, NULL, NULL, NULL, 'RUBREDOXIN-LIKE SUPERFAMILY PROTEIN', 124883),
(181158, 'PTHR46405:SF2', NULL, NULL, NULL, NULL, 'OS05G0141500 PROTEIN', 124884),
(181159, 'PTHR46619:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 124885),
(181160, 'PTHR11802:SF3', NULL, NULL, NULL, NULL, 'RETINOID-INDUCIBLE SERINE CARBOXYPEPTIDASE', 124886),
(181161, 'PTHR23118:SF16', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE', 124887),
(181162, 'PTHR20855:SF120', NULL, NULL, NULL, NULL, 'BNAA02G04790D PROTEIN', 124888),
(181163, 'PTHR45856:SF14', NULL, NULL, NULL, NULL, 'BNAANNG08480D PROTEIN', 124889),
(181164, 'PTHR12644', NULL, NULL, NULL, NULL, 'ARP2/3 COMPLEX 16 KD SUBUNIT  P16-ARC', 124890),
(181165, 'PTHR31969:SF3', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 5', 124891),
(181166, 'PTHR34196:SF2', NULL, NULL, NULL, NULL, 'OS02G0697700 PROTEIN', 124892),
(181167, 'PTHR36071', NULL, NULL, NULL, NULL, 'DNA DOUBLE-STRAND BREAK REPAIR PROTEIN', 124893),
(181168, 'PTHR31321:SF96', NULL, NULL, NULL, NULL, 'PECTINESTERASE QRT1-LIKE', 124894),
(181169, 'PTHR34672', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC ARABINOGALACTA PROTEIN BAN102', 124895),
(181170, 'PTHR12190:SF1', NULL, NULL, NULL, NULL, 'DBIRD COMPLEX SUBUNIT ZNF326', 124896),
(181171, 'PTHR31235:SF231', NULL, NULL, NULL, NULL, 'PEROXIDASE', 124897),
(181172, 'PTHR47985:SF20', NULL, NULL, NULL, NULL, 'RECEPTOR SERINE/THREONINE KINASE', 124898);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(181173, 'PTHR21736:SF38', NULL, NULL, NULL, NULL, 'PROTEIN OBERON 3', 124899),
(181174, 'PTHR31662:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124900),
(181175, 'PTHR23007:SF13', NULL, NULL, NULL, NULL, 'CBL PROTO-ONCOGENE C, E3 UBIQUITIN PROTEIN LIGASE', 124901),
(181176, 'PTHR11848:SF166', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 11', 124902),
(181177, 'PTHR46662:SF27', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1-LIKE', 124903),
(181178, 'PTHR23500:SF560', NULL, NULL, NULL, NULL, 'OS07G0582850 PROTEIN', 124904),
(181179, 'PTHR24034:SF97', NULL, NULL, NULL, NULL, 'FIBULIN-1', 124905),
(181180, 'PTHR11266:SF103', NULL, NULL, NULL, NULL, 'PXMP2/4 FAMILY PROTEIN 1', 124906),
(181181, 'PTHR24241:SF137', NULL, NULL, NULL, NULL, 'PROKINETICIN RECEPTOR 1', 124907),
(181182, 'PTHR31500:SF98', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 124908),
(181183, 'PTHR11654:SF490', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.6-LIKE', 124909),
(181184, 'PTHR21258:SF45', NULL, NULL, NULL, NULL, 'DOCKING PROTEIN 5', 124910),
(181185, 'PTHR31671:SF2', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P53-INDUCIBLE NUCLEAR PROTEIN 2', 124911),
(181186, 'PTHR33021:SF304', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 12', 124912),
(181187, 'PTHR33337:SF36', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G15290)', 124913),
(181188, 'PTHR43180:SF66', NULL, NULL, NULL, NULL, '3-OXOACYL-(ACYL-CARRIER-PROTEIN) REDUCTASE (AFU_ORTHOLOGUE AFUA_6G11210)', 124914),
(181189, 'PTHR46215:SF21', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 124915),
(181190, 'PTHR12236:SF29', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 64AC', 124916),
(181191, 'PTHR19964:SF20', NULL, NULL, NULL, NULL, 'PATJ HOMOLOG-LIKE PROTEIN', 124917),
(181192, 'PTHR13018:SF108', NULL, NULL, NULL, NULL, 'PROTEIN OSCA1', 124918),
(181193, 'PTHR47841:SF2', NULL, NULL, NULL, NULL, 'OS07G0609800 PROTEIN', 124919),
(181194, 'PTHR24111:SF0', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 34', 124920),
(181195, 'PTHR11260:SF635', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 124921),
(181196, 'PTHR45778:SF16', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE 1-RELATED', 124922),
(181197, 'PTHR15371:SF2', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 16-1, CHLOROPLASTIC', 124923),
(181198, 'PTHR11588:SF352', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 124924),
(181199, 'PTHR47756', NULL, NULL, NULL, NULL, 'BLL6612 PROTEIN-RELATED', 124925),
(181200, 'PTHR19139:SF268', NULL, NULL, NULL, NULL, 'NEUROGENIC PROTEIN BIG BRAIN', 124926),
(181201, 'PTHR45987:SF10', NULL, NULL, NULL, NULL, 'OS07G0626100 PROTEIN', 124927),
(181202, 'PTHR24299:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 1A2', 124928),
(181203, 'PTHR31927', NULL, NULL, NULL, NULL, 'FI07246P-RELATED-RELATED', 124929),
(181204, 'PTHR18871:SF2', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 112 KDA', 124930),
(181205, 'PTHR26452:SF142', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1358', 124931),
(181206, 'PTHR46779:SF1', NULL, NULL, NULL, NULL, 'BETA-1,6-GALACTOSYLTRANSFERASE GALT29A', 124932),
(181207, 'PTHR43272:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124933),
(181208, 'PTHR35475:SF2', NULL, NULL, NULL, NULL, 'OS11G0167400 PROTEIN', 124934),
(181209, 'PTHR31692:SF95', NULL, NULL, NULL, NULL, 'EXPANSIN-B2-RELATED', 124935),
(181210, 'PTHR46162:SF9', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 124936),
(181211, 'PTHR34370', NULL, NULL, NULL, NULL, 'OS04G0600100 PROTEIN', 124937),
(181212, 'PTHR27003:SF373', NULL, NULL, NULL, NULL, 'BNAANNG27910D PROTEIN', 124938),
(181213, 'PTHR10366:SF659', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 124939),
(181214, 'PTHR23105:SF159', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A', 124940),
(181215, 'PTHR45645:SF22', NULL, NULL, NULL, NULL, 'NEUROPILIN AND TOLLOID-LIKE PROTEIN 2', 124941),
(181216, 'PTHR12550:SF71', NULL, NULL, NULL, NULL, 'ENHANCER OF AG-4 PROTEIN 2', 124942);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(181217, 'PTHR45690:SF12', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 4B', 124943),
(181218, 'PTHR13159:SF1', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD PROTEIN 6 HOMOLOG A', 124944),
(181219, 'PTHR31992:SF200', NULL, NULL, NULL, NULL, 'DOF-TYPE ZINC FINGER DNA-BINDING FAMILY PROTEIN-RELATED', 124945),
(181220, 'PTHR45348:SF1', NULL, NULL, NULL, NULL, 'BINDING ENOYL REDUCTASE, PUTATIVE-RELATED', 124946),
(181221, 'PTHR10704:SF40', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 4', 124947),
(181222, 'PTHR46236:SF20', NULL, NULL, NULL, NULL, 'BNAC05G01990D PROTEIN', 124948),
(181223, 'PTHR33879', NULL, NULL, NULL, NULL, '17.6 KDA CLASS II HEAT SHOCK PROTEIN-RELATED', 124949),
(181224, 'PTHR11387', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B', 124950),
(181225, 'PTHR10963:SF64', NULL, NULL, NULL, NULL, 'GLYCOSIDASE', 124951),
(181226, 'PTHR44846', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 124952),
(181227, 'PTHR30251', NULL, NULL, NULL, NULL, 'PILUS ASSEMBLY CHAPERONE', 124953),
(181228, 'PTHR24414:SF102', NULL, NULL, NULL, NULL, 'BNAA04G11840D PROTEIN', 124954),
(181229, 'PTHR31218:SF50', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 124955),
(181230, 'PTHR45798:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124956),
(181231, 'PTHR38079:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124957),
(181232, 'PTHR37192:SF4', NULL, NULL, NULL, NULL, 'BNAA05G15690D PROTEIN', 124958),
(181233, 'PTHR33735:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124959),
(181234, 'PTHR24413:SF97', NULL, NULL, NULL, NULL, 'SPECKLE-TYPE POZ PROTEIN', 124960),
(181235, 'PTHR23023:SF78', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING] 5', 124961),
(181236, 'PTHR13976:SF28', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 12B', 124962),
(181237, 'PTHR31190:SF245', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', 124963),
(181238, 'PTHR11266:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124964),
(181239, 'PTHR23268:SF80', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 10-1', 124965),
(181240, 'PTHR36762:SF3', NULL, NULL, NULL, NULL, 'LIGHT-REGULATED PROTEIN', 124966),
(181241, 'PTHR45974:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 55', 124967),
(181242, 'PTHR31529:SF40', NULL, NULL, NULL, NULL, 'BNAA04G18380D PROTEIN', 124968),
(181243, 'PTHR38226:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124969),
(181244, 'PTHR23023:SF224', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE', 124970),
(181245, 'PTHR31066:SF60', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', 124971),
(181246, 'PTHR10638:SF33', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 124972),
(181247, 'PTHR43289:SF17', NULL, NULL, NULL, NULL, 'AGC FAMILY PROTEIN KINASE', 124973),
(181248, 'PTHR47926:SF167', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 124974),
(181249, 'PTHR45621:SF185', NULL, NULL, NULL, NULL, 'BNAA08G14950D PROTEIN', 124975),
(181250, 'PTHR24286:SF216', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 87 SUBFAMILY A POLYPEPTIDE 2', 124976),
(181251, 'PTHR45029:SF3', NULL, NULL, NULL, NULL, 'ESTERASE CM06B1', 124977),
(181252, 'PTHR24365:SF537', NULL, NULL, NULL, NULL, 'PROTEIN TOLL-RELATED', 124978),
(181253, 'PTHR33155:SF19', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 2', 124979),
(181254, 'PTHR23065:SF16', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C AND CASEIN KINASE SUBSTRATE IN NEURONS PROTEIN 1', 124980),
(181255, 'PTHR14304:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124981),
(181256, 'PTHR33527:SF18', NULL, NULL, NULL, NULL, 'F13O11.17 PROTEIN', 124982),
(181257, 'PTHR46513:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124983),
(181258, 'PTHR22902:SF41', NULL, NULL, NULL, NULL, 'PH DOMAIN CONTAINING ENDOCYTIC TRAFFICKING ADAPTOR 2', 124984),
(181259, 'PTHR23505:SF84', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', 124985),
(181260, 'PTHR31589:SF171', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', 124986);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(181261, 'PTHR23213:SF235', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 10', 124987),
(181262, 'PTHR10199:SF112', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-4-B', 124988),
(181263, 'PTHR12848', NULL, NULL, NULL, NULL, 'REGULATORY-ASSOCIATED PROTEIN OF MTOR', 124989),
(181264, 'PTHR48002:SF23', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4D6', 124990),
(181265, 'PTHR10177:SF424', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN CYCLIN', 124991),
(181266, 'PTHR28094:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124992),
(181267, 'PTHR22663:SF26', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN VILYA', 124993),
(181268, 'PTHR33021:SF384', NULL, NULL, NULL, NULL, 'BASIC BLUE PROTEIN', 124994),
(181269, 'PTHR31375:SF132', NULL, NULL, NULL, NULL, 'OS06G0509600 PROTEIN', 124995),
(181270, 'PTHR38496', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 2', 124996),
(181271, 'PTHR11926:SF1382', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 124997),
(181272, 'PTHR24326:SF569', NULL, NULL, NULL, NULL, 'HOMEOBOX LEUCINE ZIPPER ATHB-LIKE PROTEIN', 124998),
(181273, 'PTHR22778:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 124999),
(181274, 'PTHR34115', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 125000),
(181275, 'PTHR24198:SF180', NULL, NULL, NULL, NULL, 'ANKYRIN-3', 125001),
(181276, 'PTHR24068:SF345', NULL, NULL, NULL, NULL, 'OS01G0819400 PROTEIN', 125002),
(181277, 'PTHR10024:SF361', NULL, NULL, NULL, NULL, 'MIP05618P', 125003),
(181278, 'PTHR21629:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG01909', 125004),
(181279, 'PTHR23430:SF267', NULL, NULL, NULL, NULL, 'HISTONE H2A.5-RELATED', 125005),
(181280, 'PTHR46142:SF15', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE-LIKE', 125006),
(181281, 'PTHR34093:SF1', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL CLIC-LIKE PROTEIN 1', 125007),
(181282, 'PTHR47990:SF160', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 125008),
(181283, 'PTHR13778:SF51', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 125009),
(181284, 'PTHR43349:SF77', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-DIPHOSPHATE-SUGAR EPIMERASE', 125010),
(181285, 'PTHR46675:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125011),
(181286, 'PTHR34057:SF13', NULL, NULL, NULL, NULL, 'OS05G0365200 PROTEIN', 125012),
(181287, 'PTHR24296:SF220', NULL, NULL, NULL, NULL, 'BNAANNG34510D PROTEIN', 125013),
(181288, 'PTHR32054:SF42', NULL, NULL, NULL, NULL, 'PREFOLDIN', 125014),
(181289, 'PTHR31371:SF20', NULL, NULL, NULL, NULL, 'BNAC09G50660D PROTEIN', 125015),
(181290, 'PTHR23115:SF254', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', 125016),
(181291, 'PTHR28658:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 180', 125017),
(181292, 'PTHR24349:SF381', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE-LIKE', 125018),
(181293, 'PTHR10209:SF518', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125019),
(181294, 'PTHR47275:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT I, CHLOROPLASTIC', 125020),
(181295, 'PTHR12027:SF94', NULL, NULL, NULL, NULL, 'PROTEIN WNT-8B', 125021),
(181296, 'PTHR31072:SF108', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP23-LIKE', 125022),
(181297, 'PTHR40631:SF1', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE AXHA-2-RELATED', 125023),
(181298, 'PTHR11559', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE', 125024),
(181299, 'PTHR33728:SF7', NULL, NULL, NULL, NULL, 'OS05G0426800 PROTEIN', 125025),
(181300, 'PTHR12550:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125026),
(181301, 'PTHR26450:SF392', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 125027),
(181302, 'PTHR23516:SF22', NULL, NULL, NULL, NULL, 'BNAANNG13850D PROTEIN', 125028),
(181303, 'PTHR31238:SF173', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 2 MEMBER 2', 125029),
(181304, 'PTHR46508:SF12', NULL, NULL, NULL, NULL, 'DDT DOMAIN-CONTAINING PROTEIN PTM-LIKE ISOFORM X1', 125030),
(181305, 'PTHR35602:SF2', NULL, NULL, NULL, NULL, 'UPF0227 PROTEIN YCFP', 125031),
(181306, 'PTHR35749:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125032);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(181307, 'PTHR21634', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 125033),
(181308, 'PTHR24373:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125034),
(181309, 'PTHR21682', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 125035),
(181310, 'PTHR13832:SF774', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G13740)-RELATED', 125036),
(181311, 'PTHR23017:SF19', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 125037),
(181312, 'PTHR10943:SF18', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 1 HOMOLOG', 125038),
(181313, 'PTHR47052', NULL, NULL, NULL, NULL, 'CONSERVED SERINE PROLINE-RICH PROTEIN (AFU_ORTHOLOGUE AFUA_2G01790)', 125039),
(181314, 'PTHR13773:SF17', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', 125040),
(181315, 'PTHR24224:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG16999', 125041),
(181316, 'PTHR19241:SF530', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', 125042),
(181317, 'PTHR46224:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125043),
(181318, 'PTHR11909:SF75', NULL, NULL, NULL, NULL, 'PROTEIN CBG03054', 125044),
(181319, 'PTHR34272:SF3', NULL, NULL, NULL, NULL, 'OS01G0693100 PROTEIN', 125045),
(181320, 'PTHR11746:SF150', NULL, NULL, NULL, NULL, 'ACETYLSEROTONIN O-METHYLTRANSFERASE 2', 125046),
(181321, 'PTHR48078:SF10', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE 2 BIOSYNTHETIC, CHLOROPLASTIC', 125047),
(181322, 'PTHR35706:SF1', NULL, NULL, NULL, NULL, 'F14O23.11 PROTEIN', 125048),
(181323, 'PTHR34291', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 125049),
(181324, 'PTHR46341:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM84B', 125050),
(181325, 'PTHR48022:SF21', NULL, NULL, NULL, NULL, 'QUINATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06960)-RELATED', 125051),
(181326, 'PTHR11206:SF261', NULL, NULL, NULL, NULL, 'OS03G0571700 PROTEIN', 125052),
(181327, 'PTHR42861:SF104', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 125053),
(181328, 'PTHR10264:SF118', NULL, NULL, NULL, NULL, 'PODOCIN', 125054),
(181329, 'PTHR10060:SF44', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE TATDN1-RELATED', 125055),
(181330, 'PTHR14520:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN 63, MITOCHONDRIAL', 125056),
(181331, 'PTHR23315:SF312', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 125057),
(181332, 'PTHR10992:SF1042', NULL, NULL, NULL, NULL, 'BNAC08G47900D PROTEIN', 125058),
(181333, 'PTHR13555:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER C2HC DOMAIN-CONTAINING PROTEIN 1B', 125059),
(181334, 'PTHR25466:SF11', NULL, NULL, NULL, NULL, 'GALECTIN 17-RELATED', 125060),
(181335, 'PTHR14226:SF69', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN WITH A CONSERVED PATATIN-LIKE PHOSPHOLIPASE DOMAIN', 125061),
(181336, 'PTHR43941:SF1', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 2', 125062),
(181337, 'PTHR13440', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 125063),
(181338, 'PTHR47990:SF164', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 8-LIKE', 125064),
(181339, 'PTHR13743:SF141', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN C2', 125065),
(181340, 'PTHR26374:SF401', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 125066),
(181341, 'PTHR15026:SF0', NULL, NULL, NULL, NULL, 'CALCIUM SIGNAL-MODULATING CYCLOPHILIN LIGAND', 125067),
(181342, 'PTHR19305:SF33', NULL, NULL, NULL, NULL, 'BNAANNG06850D PROTEIN', 125068),
(181343, 'PTHR31194:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125069),
(181344, 'PTHR36395', NULL, NULL, NULL, NULL, 'RING-H2 ZINC FINGER PROTEIN', 125070),
(181345, 'PTHR12136:SF100', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2-LIKE', 125071),
(181346, 'PTHR43539:SF76', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 125072),
(181347, 'PTHR45626:SF36', NULL, NULL, NULL, NULL, 'PROTEIN CBG13225', 125073),
(181348, 'PTHR42803:SF2', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', 125074),
(181349, 'PTHR10545:SF59', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE NATA1-LIKE-RELATED', 125075);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(181350, 'PTHR13107:SF3', NULL, NULL, NULL, NULL, 'MT-A70 FAMILY PROTEIN, EXPRESSED', 125076),
(181351, 'PTHR46325:SF29', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC5-LIKE', 125077),
(181352, 'PTHR11377:SF20', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE', 125078),
(181353, 'PTHR12305:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125079),
(181354, 'PTHR47413', NULL, NULL, NULL, NULL, 'LIPASE-LIKE PAD4', 125080),
(181355, 'PTHR10774:SF182', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-5-LIKE ISOFORM X1', 125081),
(181356, 'PTHR11157:SF21', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 125082),
(181357, 'PTHR24223:SF263', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 10-LIKE', 125083),
(181358, 'PTHR21451', NULL, NULL, NULL, NULL, 'HISTONE H3 METHYLTRANSFERASE', 125084),
(181359, 'PTHR24072:SF339', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE', 125085),
(181360, 'PTHR32002:SF49', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', 125086),
(181361, 'PTHR46296:SF6', NULL, NULL, NULL, NULL, 'C2 AND GRAM DOMAIN PLANT-LIKE PROTEIN', 125087),
(181362, 'PTHR11685:SF330', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 125088),
(181363, 'PTHR22298:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125089),
(181364, 'PTHR13344', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE', 125090),
(181365, 'PTHR33236:SF1', NULL, NULL, NULL, NULL, 'AGAP006913-PA', 125091),
(181366, 'PTHR26379:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125092),
(181367, 'PTHR47965:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125093),
(181368, 'PTHR23112:SF45', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR GPR1', 125094),
(181369, 'PTHR19317:SF51', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 125095),
(181370, 'PTHR43065:SF33', NULL, NULL, NULL, NULL, 'SPORULATION KINASE D', 125096),
(181371, 'PTHR12613:SF1', NULL, NULL, NULL, NULL, 'ERO1-LIKE PROTEIN ALPHA', 125097),
(181372, 'PTHR10460:SF42', NULL, NULL, NULL, NULL, 'BNACNNG65090D PROTEIN', 125098),
(181373, 'PTHR21343:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125099),
(181374, 'PTHR47848', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 125100),
(181375, 'PTHR28039:SF13', NULL, NULL, NULL, NULL, 'CHALCONE-FLAVONONE ISOMERASE FAMILY PROTEIN', 125101),
(181376, 'PTHR31406', NULL, NULL, NULL, NULL, 'PROTEIN CBG06702-RELATED', 125102),
(181377, 'PTHR21740:SF8', NULL, NULL, NULL, NULL, 'AGAP005230-PA', 125103),
(181378, 'PTHR31762:SF10', NULL, NULL, NULL, NULL, 'FAS-BINDING FACTOR-LIKE PROTEIN', 125104),
(181379, 'PTHR43591:SF61', NULL, NULL, NULL, NULL, '2-METHOXY-6-POLYPRENYL-1,4-BENZOQUINOL METHYLASE, MITOCHONDRIAL', 125105),
(181380, 'PTHR33788:SF1', NULL, NULL, NULL, NULL, 'OS07G0114300 PROTEIN', 125106),
(181381, 'PTHR43091:SF5', NULL, NULL, NULL, NULL, '3-OXOACYL-(ACYL CARRIER) SYNTHASE III', 125107),
(181382, 'PTHR23501:SF5', NULL, NULL, NULL, NULL, 'TETRACYCLINE RESISTANCE PROTEIN', 125108),
(181383, 'PTHR10638:SF81', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 125109),
(181384, 'PTHR46091:SF1', NULL, NULL, NULL, NULL, 'ALL-TRANS-RETINOL 13,14-REDUCTASE', 125110),
(181385, 'PTHR26453:SF106', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 125111),
(181386, 'PTHR46258:SF2', NULL, NULL, NULL, NULL, 'VESICLE-TRAFFICKING PROTEIN SEC22C', 125112),
(181387, 'PTHR33541:SF17', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE', 125113),
(181388, 'PTHR19229:SF36', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY A (ABC1), MEMBER 3B', 125114),
(181389, 'PTHR11945:SF584', NULL, NULL, NULL, NULL, 'BNAA05G20520D PROTEIN', 125115),
(181390, 'PTHR33130:SF62', NULL, NULL, NULL, NULL, 'BNAC01G27380D PROTEIN', 125116),
(181391, 'PTHR21091:SF169', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN DECARBOXYLASE', 125117),
(181392, 'PTHR19944:SF63', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DR ALPHA CHAIN', 125118),
(181393, 'PTHR47837:SF1', NULL, NULL, NULL, NULL, 'GTP PYROPHOSPHOKINASE YJBM', 125119);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(181394, 'PTHR10736:SF20', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 22', 125120),
(181395, 'PTHR34576:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125121),
(181396, 'PTHR24377:SF603', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 136', 125122),
(181397, 'PTHR24128:SF18', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBOS36-RELATED', 125123),
(181398, 'PTHR31578:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08965', 125124),
(181399, 'PTHR15646:SF5', NULL, NULL, NULL, NULL, 'LINKER FOR ACTIVATION OF T-CELLS FAMILY MEMBER 2', 125125),
(181400, 'PTHR40063:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 125126),
(181401, 'PTHR45827:SF3', NULL, NULL, NULL, NULL, 'SORTING NEXIN-33', 125127),
(181402, 'PTHR10688:SF6', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING PROTEIN-RELATED', 125128),
(181403, 'PTHR46371:SF9', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN CONTAINING PROTEIN', 125129),
(181404, 'PTHR23309:SF16', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE', 125130),
(181405, 'PTHR31612', NULL, NULL, NULL, NULL, 'MULTIVESICULAR BODY SUBUNIT 12A', 125131),
(181406, 'PTHR23322:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125132),
(181407, 'PTHR45687:SF36', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-6', 125133),
(181408, 'PTHR24115:SF458', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF13A', 125134),
(181409, 'PTHR46377:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 19', 125135),
(181410, 'PTHR38020:SF1', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III SYNTHASE', 125136),
(181411, 'PTHR48016:SF16', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 125137),
(181412, 'PTHR32134:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125138),
(181413, 'PTHR45650:SF13', NULL, NULL, NULL, NULL, 'OS05G0518300 PROTEIN', 125139),
(181414, 'PTHR11533:SF253', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 125140),
(181415, 'PTHR31509:SF56', NULL, NULL, NULL, NULL, 'OS11G0241000 PROTEIN', 125141),
(181416, 'PTHR22793:SF5', NULL, NULL, NULL, NULL, 'MYOCARDIN-RELATED TRANSCRIPTION FACTOR B', 125142),
(181417, 'PTHR15704', NULL, NULL, NULL, NULL, 'SUPERKILLER 3 PROTEIN-RELATED', 125143),
(181418, 'PTHR11088:SF67', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 125144),
(181419, 'PTHR47400:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH TRANSMEMBRANE PROTEIN 3', 125145),
(181420, 'PTHR19957:SF284', NULL, NULL, NULL, NULL, 'T-SNARE-RELATED', 125146),
(181421, 'PTHR46128:SF176', NULL, NULL, NULL, NULL, 'BNAC07G48150D PROTEIN', 125147),
(181422, 'PTHR38709', NULL, NULL, NULL, NULL, 'SI:CH73-193C12.2-RELATED', 125148),
(181423, 'PTHR26453:SF89', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 125149),
(181424, 'PTHR45651:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125150),
(181425, 'PTHR44329:SF203', NULL, NULL, NULL, NULL, 'PAS DOMAIN-CONTAINING PROTEIN TYROSINE KINASE FAMILY PROTEIN', 125151),
(181426, 'PTHR33509:SF26', NULL, NULL, NULL, NULL, 'PROTEIN SENESCENCE-ASSOCIATED GENE 21, MITOCHONDRIAL', 125152),
(181427, 'PTHR11913:SF93', NULL, NULL, NULL, NULL, 'COFILIN/ACTIN-DEPOLYMERIZING FACTOR-LIKE PROTEIN', 125153),
(181428, 'PTHR46220:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD11-RELATED', 125154),
(181429, 'PTHR33675:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125155),
(181430, 'PTHR37831', NULL, NULL, NULL, NULL, 'D-RIBOSE PYRANASE', 125156),
(181431, 'PTHR19278:SF43', NULL, NULL, NULL, NULL, 'BNAC04G26270D PROTEIN', 125157),
(181432, 'PTHR23086:SF65', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE FAMILY PROTEIN', 125158),
(181433, 'PTHR31989:SF297', NULL, NULL, NULL, NULL, 'BNAANNG39480D PROTEIN', 125159),
(181434, 'PTHR34456:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125160),
(181435, 'PTHR45680:SF23', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 125161),
(181436, 'PTHR46338:SF12', NULL, NULL, NULL, NULL, 'BROMODOMAIN ASSOCIATED DOMAIN, HISTONE-FOLD PROTEIN-RELATED', 125162),
(181437, 'PTHR27006:SF242', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE RECEPTOR 2-LIKE', 125163);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(181438, 'PTHR35166:SF12', NULL, NULL, NULL, NULL, 'PROTEIN-RELATED', 125164),
(181439, 'PTHR33057:SF72', NULL, NULL, NULL, NULL, 'OS01G0592800 PROTEIN', 125165),
(181440, 'PTHR10159:SF111', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 4', 125166),
(181441, 'PTHR11046:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125167),
(181442, 'PTHR12691:SF11', NULL, NULL, NULL, NULL, 'BNAA09G30010D PROTEIN', 125168),
(181443, 'PTHR38687', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DEDD-RELATED', 125169),
(181444, 'PTHR38036:SF1', NULL, NULL, NULL, NULL, 'UPF0250 PROTEIN YBED', 125170),
(181445, 'PTHR32102:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125171),
(181446, 'PTHR35508:SF2', NULL, NULL, NULL, NULL, 'OS09G0395000 PROTEIN', 125172),
(181447, 'PTHR42834:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G09210)', 125173),
(181448, 'PTHR12956:SF55', NULL, NULL, NULL, NULL, 'OS05G0531500 PROTEIN', 125174),
(181449, 'PTHR45616:SF5', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 74', 125175),
(181450, 'PTHR14926:SF1', NULL, NULL, NULL, NULL, 'M-PHASE PHOSPHOPROTEIN 9', 125176),
(181451, 'PTHR47990:SF163', NULL, NULL, NULL, NULL, 'BNAA07G39210D PROTEIN', 125177),
(181452, 'PTHR22990:SF15', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 10', 125178),
(181453, 'PTHR43775:SF27', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE (JCVI)-RELATED', 125179),
(181454, 'PTHR11814:SF242', NULL, NULL, NULL, NULL, 'BNAA02G18690D PROTEIN', 125180),
(181455, 'PTHR24092:SF191', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 125181),
(181456, 'PTHR47967:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125182),
(181457, 'PTHR45914:SF33', NULL, NULL, NULL, NULL, 'BHLH PROTEIN FAMILY-LIKE', 125183),
(181458, 'PTHR13622', NULL, NULL, NULL, NULL, 'THIAMIN PYROPHOSPHOKINASE', 125184),
(181459, 'PTHR10802:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM40 HOMOLOG 1-RELATED', 125185),
(181460, 'PTHR46486:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125186),
(181461, 'PTHR31339:SF67', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', 125187),
(181462, 'PTHR43717', NULL, NULL, NULL, NULL, 'ANAEROBIC NITRIC OXIDE REDUCTASE FLAVORUBREDOXIN', 125188),
(181463, 'PTHR43669:SF9', NULL, NULL, NULL, NULL, '5-KETO-D-GLUCONATE 5-REDUCTASE', 125189),
(181464, 'PTHR24381:SF122', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 157', 125190),
(181465, 'PTHR23502:SF5', NULL, NULL, NULL, NULL, 'QUINIDINE RESISTANCE PROTEIN 3', 125191),
(181466, 'PTHR33358:SF5', NULL, NULL, NULL, NULL, 'PLANT-LIKE PROTEIN, PUTATIVE-RELATED', 125192),
(181467, 'PTHR31777', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 169', 125193),
(181468, 'PTHR34477:SF5', NULL, NULL, NULL, NULL, 'BSL5627 PROTEIN', 125194),
(181469, 'PTHR11266:SF88', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE 22 KDA (MPV17/PMP22) FAMILY PROTEIN', 125195),
(181470, 'PTHR43322:SF4', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE-5-PHOSPHATE SYNTHASE 2, CHLOROPLASTIC-RELATED', 125196),
(181471, 'PTHR31469:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 125197),
(181472, 'PTHR32468:SF130', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE ALPHA 1', 125198),
(181473, 'PTHR13609:SF21', NULL, NULL, NULL, NULL, 'OS09G0345000 PROTEIN', 125199),
(181474, 'PTHR31245:SF26', NULL, NULL, NULL, NULL, 'OS09G0119100 PROTEIN', 125200),
(181475, 'PTHR22802:SF238', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER F', 125201),
(181476, 'PTHR31183:SF2', NULL, NULL, NULL, NULL, 'TRICHOPLEIN KERATIN FILAMENT-BINDING PROTEIN', 125202),
(181477, 'PTHR32361:SF23', NULL, NULL, NULL, NULL, 'FERRIC-CHELATE REDUCTASE-RELATED', 125203),
(181478, 'PTHR45614:SF129', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 125204),
(181479, 'PTHR23428:SF208', NULL, NULL, NULL, NULL, 'HISTONE H2B.1', 125205),
(181480, 'PTHR34290:SF2', NULL, NULL, NULL, NULL, 'SI:CH73-390P7.2', 125206),
(181481, 'PTHR31664', NULL, NULL, NULL, NULL, 'PROTEIN CBG16427', 125207),
(181482, 'PTHR45644:SF45', NULL, NULL, NULL, NULL, 'BNAC03G14970D PROTEIN', 125208);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(181483, 'PTHR15880', NULL, NULL, NULL, NULL, 'ASPARTATE-RICH PROTEIN 1', 125209),
(181484, 'PTHR47910', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE LARGE CHAIN, CATALYTIC DOMAIN-CONTAINING PROTEIN', 125210),
(181485, 'PTHR27009:SF232', NULL, NULL, NULL, NULL, 'BNAA02G12700D PROTEIN', 125211),
(181486, 'PTHR34656:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125212),
(181487, 'PTHR31500:SF62', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 10-LIKE', 125213),
(181488, 'PTHR11630:SF44', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM2', 125214),
(181489, 'PTHR31248:SF2', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G04290)-RELATED', 125215),
(181490, 'PTHR10984:SF69', NULL, NULL, NULL, NULL, 'BNAA05G17300D PROTEIN', 125216),
(181491, 'PTHR23110:SF90', NULL, NULL, NULL, NULL, 'LD19131P', 125217),
(181492, 'PTHR10332:SF8', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER 2', 125218),
(181493, 'PTHR27008:SF442', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 125219),
(181494, 'PTHR45649:SF21', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 125220),
(181495, 'PTHR22777:SF16', NULL, NULL, NULL, NULL, 'UPF0053 INNER MEMBRANE PROTEIN YTFL', 125221),
(181496, 'PTHR33647:SF15', NULL, NULL, NULL, NULL, 'OS07G0516400 PROTEIN', 125222),
(181497, 'PTHR45631:SF100', NULL, NULL, NULL, NULL, 'BNAANNG20660D PROTEIN', 125223),
(181498, 'PTHR10291:SF23', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 125224),
(181499, 'PTHR47982:SF21', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK12', 125225),
(181500, 'PTHR23120', NULL, NULL, NULL, NULL, 'MAESTRO-RELATED HEAT DOMAIN-CONTAINING', 125226),
(181501, 'PTHR14154:SF15', NULL, NULL, NULL, NULL, 'FKBP-TYPE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 125227),
(181502, 'PTHR21717:SF79', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 6', 125228),
(181503, 'PTHR24296:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125229),
(181504, 'PTHR38049', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 125230),
(181505, 'PTHR10766:SF141', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 125231),
(181506, 'PTHR13291:SF0', NULL, NULL, NULL, NULL, 'JOSEPHIN-LIKE PROTEIN', 125232),
(181507, 'PTHR37400', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 125233),
(181508, 'PTHR10543:SF94', NULL, NULL, NULL, NULL, 'CAROTENOID CLEAVAGE DIOXYGENASE 8 HOMOLOG A, CHLOROPLASTIC', 125234),
(181509, 'PTHR32133:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125235),
(181510, 'PTHR22166', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM JUNCTION FORMATION PROTEIN LUNAPARK', 125236),
(181511, 'PTHR31694:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125237),
(181512, 'PTHR47926:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125238),
(181513, 'PTHR27001:SF884', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE RECEPTOR', 125239),
(181514, 'PTHR27004:SF373', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125240),
(181515, 'PTHR10849:SF24', NULL, NULL, NULL, NULL, 'FORMATE HYDROGENLYASE SUBUNIT 6-RELATED', 125241),
(181516, 'PTHR21649:SF115', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 125242),
(181517, 'PTHR23267:SF430', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 5-37', 125243),
(181518, 'PTHR13999:SF9', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 10', 125244),
(181519, 'PTHR35472:SF4', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 14', 125245),
(181520, 'PTHR11769:SF9', NULL, NULL, NULL, NULL, 'HYALURONIDASE', 125246),
(181521, 'PTHR37455:SF1', NULL, NULL, NULL, NULL, 'GENE, 27021-RELATED', 125247),
(181522, 'PTHR33179:SF35', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', 125248),
(181523, 'PTHR32212:SF297', NULL, NULL, NULL, NULL, 'F-BOX/FBD/LRR PROTEIN', 125249),
(181524, 'PTHR12231:SF219', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 1', 125250),
(181525, 'PTHR36874:SF1', NULL, NULL, NULL, NULL, 'EQUATORIN', 125251);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(181526, 'PTHR31929:SF39', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 125252),
(181527, 'PTHR22772:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER ZZ-TYPE AND EF-HAND DOMAIN-CONTAINING PROTEIN 1', 125253),
(181528, 'PTHR20961:SF117', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 125254),
(181529, 'PTHR11232:SF34', NULL, NULL, NULL, NULL, 'PROTEIN FAM43B', 125255),
(181530, 'PTHR31374:SF239', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 125256),
(181531, 'PTHR43792:SF9', NULL, NULL, NULL, NULL, 'RIBOSOMAL-PROTEIN-ALANINE ACETYLTRANSFERASE', 125257),
(181532, 'PTHR34564:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 125258),
(181533, 'PTHR33494:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125259),
(181534, 'PTHR31636:SF231', NULL, NULL, NULL, NULL, 'BNAA04G16850D PROTEIN', 125260),
(181535, 'PTHR31218:SF273', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 125261),
(181536, 'PTHR21236:SF7', NULL, NULL, NULL, NULL, 'PROTEIN YIPF4', 125262),
(181537, 'PTHR43726', NULL, NULL, NULL, NULL, '3-METHYLORNITHINE SYNTHASE', 125263),
(181538, 'PTHR11306:SF39', NULL, NULL, NULL, NULL, 'MD-2-RELATED LIPID RECOGNITION DOMAIN-CONTAINING PROTEIN / ML DOMAIN-CONTAINING PROTEIN', 125264),
(181539, 'PTHR43883:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125265),
(181540, 'PTHR27002:SF868', NULL, NULL, NULL, NULL, 'RLK (RECEPTOR-LIKE PROTEIN KINASE) 14, PUTATIVE ISOFORM 2-RELATED', 125266),
(181541, 'PTHR24184:SF20', NULL, NULL, NULL, NULL, 'ANKYRIN-3-LIKE', 125267),
(181542, 'PTHR48041:SF94', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 22', 125268),
(181543, 'PTHR23054:SF70', NULL, NULL, NULL, NULL, 'OS06G0692800 PROTEIN', 125269),
(181544, 'PTHR47928:SF159', NULL, NULL, NULL, NULL, 'OS05G0572900 PROTEIN', 125270),
(181545, 'PTHR33528', NULL, NULL, NULL, NULL, 'OS07G0239500 PROTEIN', 125271),
(181546, 'PTHR27002:SF527', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE', 125272),
(181547, 'PTHR24068:SF342', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125273),
(181548, 'PTHR31072:SF168', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP5', 125274),
(181549, 'PTHR10956:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125275),
(181550, 'PTHR10050:SF50', NULL, NULL, NULL, NULL, 'DOLICHYL-PHOSPHATE-MANNOSE--PROTEIN MANNOSYLTRANSFERASE 1-RELATED', 125276),
(181551, 'PTHR30128:SF66', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I PSAA/PSAB-RELATED', 125277),
(181552, 'PTHR13068:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF5, CHLOROPLASTIC', 125278),
(181553, 'PTHR15071:SF0', NULL, NULL, NULL, NULL, 'AUTOPHAGY-LIKE PROTEIN', 125279),
(181554, 'PTHR30540:SF116', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 125280),
(181555, 'PTHR19877:SF4', NULL, NULL, NULL, NULL, 'SERINE-THREONINE KINASE RECEPTOR-ASSOCIATED PROTEIN', 125281),
(181556, 'PTHR31418:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG06286', 125282),
(181557, 'PTHR33353:SF19', NULL, NULL, NULL, NULL, 'GLYCOSYLHYDROLASE FAMILY 61-8 PROTEIN', 125283),
(181558, 'PTHR10807:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125284),
(181559, 'PTHR10381:SF49', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', 125285),
(181560, 'PTHR24329:SF354', NULL, NULL, NULL, NULL, 'SI:DKEY-43P13.5', 125286),
(181561, 'PTHR35089:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN SKP', 125287),
(181562, 'PTHR33059:SF78', NULL, NULL, NULL, NULL, 'OS02G0751300 PROTEIN', 125288),
(181563, 'PTHR12329:SF34', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 3', 125289),
(181564, 'PTHR22765:SF262', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', 125290),
(181565, 'PTHR45917:SF6', NULL, NULL, NULL, NULL, 'CALCIUM BINDING PROTEIN 2', 125291),
(181566, 'PTHR47963:SF6', NULL, NULL, NULL, NULL, 'DNA REPAIR HELICASE-RELATED', 125292),
(181567, 'PTHR31351:SF28', NULL, NULL, NULL, NULL, 'AUXIN CANALIZATION PROTEIN', 125293),
(181568, 'PTHR31300:SF34', NULL, NULL, NULL, NULL, 'PLANT/T8K14-16 PROTEIN', 125294);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(181569, 'PTHR22718:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 125295),
(181570, 'PTHR30011:SF4', NULL, NULL, NULL, NULL, 'COENZYME F420-DEPENDENT OXIDOREDUCTASE RV3520C-RELATED', 125296),
(181571, 'PTHR10264:SF125', NULL, NULL, NULL, NULL, 'STOMATIN-LIKE PROTEIN 1', 125297),
(181572, 'PTHR19321:SF34', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN, MAP65/ASE1/PRC1-RELATED', 125298),
(181573, 'PTHR11571:SF248', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE P', 125299),
(181574, 'PTHR23155:SF1101', NULL, NULL, NULL, NULL, 'OS06G0524900 PROTEIN', 125300),
(181575, 'PTHR30096', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 125301),
(181576, 'PTHR13237', NULL, NULL, NULL, NULL, 'SOMETHING ABOUT SILENCING PROTEIN 10-RELATED', 125302),
(181577, 'PTHR40057:SF1', NULL, NULL, NULL, NULL, 'SLR1162 PROTEIN', 125303),
(181578, 'PTHR10783:SF116', NULL, NULL, NULL, NULL, 'BNAA09G45890D PROTEIN', 125304),
(181579, 'PTHR18945:SF471', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT BETA-TYPE UNC-29', 125305),
(181580, 'PTHR46826:SF1', NULL, NULL, NULL, NULL, 'TVP38/TMEM64 FAMILY MEMBRANE PROTEIN YDJX', 125306),
(181581, 'PTHR24073:SF1050', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125307),
(181582, 'PTHR43795:SF92', NULL, NULL, NULL, NULL, 'BNAA07G38380D PROTEIN', 125308),
(181583, 'PTHR30086', NULL, NULL, NULL, NULL, 'ARGININE EXPORTER PROTEIN ARGO', 125309),
(181584, 'PTHR23070:SF107', NULL, NULL, NULL, NULL, 'BNAC06G41240D PROTEIN', 125310),
(181585, 'PTHR11559:SF254', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 4A', 125311),
(181586, 'PTHR38697', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN SIMILAR TO S. CEREVISIAE NUP2 (EUROFUNG)', 125312),
(181587, 'PTHR23282:SF133', NULL, NULL, NULL, NULL, 'MAM DOMAIN-CONTAINING 2B', 125313),
(181588, 'PTHR48021:SF60', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN LINE-1', 125314),
(181589, 'PTHR24246:SF51', NULL, NULL, NULL, NULL, 'GPCR THERMAL RECEPTOR', 125315),
(181590, 'PTHR12835:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125316),
(181591, 'PTHR46326', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT1-RELATED', 125317),
(181592, 'PTHR31839:SF21', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1E', 125318),
(181593, 'PTHR24241:SF4', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE FF RECEPTOR 1', 125319),
(181594, 'PTHR11486:SF26', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 3', 125320),
(181595, 'PTHR14167:SF52', NULL, NULL, NULL, NULL, 'ENDOPHILIN-B1', 125321),
(181596, 'PTHR35699:SF2', NULL, NULL, NULL, NULL, 'BNAC06G03050D PROTEIN', 125322),
(181597, 'PTHR12411:SF369', NULL, NULL, NULL, NULL, 'CATHEPSIN B-LIKE CYSTEINE PROTEINASE 4', 125323),
(181598, 'PTHR12321:SF130', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 1-LIKE', 125324),
(181599, 'PTHR23326:SF16', NULL, NULL, NULL, NULL, 'GENERAL NEGATIVE REGULATOR OF TRANSCRIPTION SUBUNIT 3', 125325),
(181600, 'PTHR11224:SF43', NULL, NULL, NULL, NULL, 'MAKORIN RING-ZINC-FINGER PROTEIN', 125326),
(181601, 'PTHR22913', NULL, NULL, NULL, NULL, 'HYALURONAN SYNTHASE', 125327),
(181602, 'PTHR45752:SF40', NULL, NULL, NULL, NULL, 'VOLUME-REGULATED ANION CHANNEL SUBUNIT LRRC8B', 125328),
(181603, 'PTHR11452', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE/ALPHA-N-ACETYLGALACTOSAMINIDASE', 125329),
(181604, 'PTHR33077:SF77', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10A-LIKE', 125330),
(181605, 'PTHR40457:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1', 125331),
(181606, 'PTHR24123', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING', 125332),
(181607, 'PTHR46506:SF11', NULL, NULL, NULL, NULL, 'OS11G0524601 PROTEIN', 125333),
(181608, 'PTHR10066', NULL, NULL, NULL, NULL, 'BETA-GLUCURONIDASE', 125334),
(181609, 'PTHR47123', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23', 125335),
(181610, 'PTHR11232:SF40', NULL, NULL, NULL, NULL, 'DISABLED HOMOLOG 1', 125336),
(181611, 'PTHR12241:SF145', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL4', 125337),
(181612, 'PTHR45656:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBR-CLEC-78', 125338);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(181613, 'PTHR31072:SF105', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP8', 125339),
(181614, 'PTHR30183', NULL, NULL, NULL, NULL, 'MOLYBDENUM TRANSPORT SYSTEM PERMEASE PROTEIN MODB', 125340),
(181615, 'PTHR15710:SF138', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 125341),
(181616, 'PTHR34943', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 125342),
(181617, 'PTHR10788:SF77', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 9-RELATED', 125343),
(181618, 'PTHR46128:SF164', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 125344),
(181619, 'PTHR36812:SF2', NULL, NULL, NULL, NULL, 'NEUROFILAMENT TRIPLET M PROTEIN-LIKE PROTEIN', 125345),
(181620, 'PTHR47425:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 125346),
(181621, 'PTHR10836:SF76', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE-RELATED', 125347),
(181622, 'PTHR42757:SF9', NULL, NULL, NULL, NULL, 'NEUROTRIMIN', 125348),
(181623, 'PTHR10742:SF260', NULL, NULL, NULL, NULL, 'PROTEIN FLOWERING LOCUS D', 125349),
(181624, 'PTHR10856:SF2', NULL, NULL, NULL, NULL, 'CORONIN-2A', 125350),
(181625, 'PTHR11604:SF50', NULL, NULL, NULL, NULL, 'PROFILIN', 125351),
(181626, 'PTHR32054:SF62', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE', 125352),
(181627, 'PTHR18966:SF361', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, NMDA 2C', 125353),
(181628, 'PTHR33734:SF9', NULL, NULL, NULL, NULL, 'OS09G0548200 PROTEIN', 125354),
(181629, 'PTHR47934:SF9', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 125355),
(181630, 'PTHR39490:SF6', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN D', 125356),
(181631, 'PTHR45976:SF6', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN WRM-1', 125357),
(181632, 'PTHR31503:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125358),
(181633, 'PTHR36365:SF1', NULL, NULL, NULL, NULL, 'OS05G0500400 PROTEIN', 125359),
(181634, 'PTHR10778:SF13', NULL, NULL, NULL, NULL, 'ADENOSINE 3''-PHOSPHO 5''-PHOSPHOSULFATE TRANSPORTER 1', 125360),
(181635, 'PTHR45708:SF33', NULL, NULL, NULL, NULL, 'CHITINASE', 125361),
(181636, 'PTHR47410:SF3', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 9', 125362),
(181637, 'PTHR22835:SF538', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 125363),
(181638, 'PTHR11864', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING PROTEIN PRP40', 125364),
(181639, 'PTHR45090:SF8', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ DOMAIN PROTEIN', 125365),
(181640, 'PTHR12027:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MOM-2', 125366),
(181641, 'PTHR10747:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125367),
(181642, 'PTHR48063:SF52', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 125368),
(181643, 'PTHR42180:SF4', NULL, NULL, NULL, NULL, 'HOMOLOGY DOMAIN-CONTAINING PROTEIN,PUTATIVE-RELATED', 125369),
(181644, 'PTHR48171:SF1', NULL, NULL, NULL, NULL, 'DUF946 FAMILY PROTEIN', 125370),
(181645, 'PTHR37394', NULL, NULL, NULL, NULL, 'PROTEIN PARTING DANCERS', 125371),
(181646, 'PTHR16092:SF29', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 125372),
(181647, 'PTHR33912:SF5', NULL, NULL, NULL, NULL, 'F22G5.17', 125373),
(181648, 'PTHR21437:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND FIBRONECTIN TYPE III DOMAIN CONTAINING 1', 125374),
(181649, 'PTHR45842:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 5', 125375),
(181650, 'PTHR32285:SF267', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 16', 125376),
(181651, 'PTHR47640:SF34', NULL, NULL, NULL, NULL, 'OLIGOURIDYLATE-BINDING PROTEIN 1B-LIKE ISOFORM X1', 125377),
(181652, 'PTHR45647:SF56', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 50-RELATED', 125378),
(181653, 'PTHR12015:SF157', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 23', 125379),
(181654, 'PTHR10578:SF113', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO5', 125380),
(181655, 'PTHR24028:SF106', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-B1-RELATED', 125381);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(181656, 'PTHR27002:SF850', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 125382),
(181657, 'PTHR21662:SF15', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', 125383),
(181658, 'PTHR10795', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE SUBTILISIN/KEXIN', 125384),
(181659, 'PTHR12429:SF14', NULL, NULL, NULL, NULL, 'NEURALIZED-LIKE PROTEIN 4', 125385),
(181660, 'PTHR45752:SF105', NULL, NULL, NULL, NULL, 'NB-ARC-RELATED', 125386),
(181661, 'PTHR46407', NULL, NULL, NULL, NULL, 'OS02G0208700 PROTEIN', 125387),
(181662, 'PTHR10075:SF49', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 141', 125388),
(181663, 'PTHR42866:SF9', NULL, NULL, NULL, NULL, 'BNAA05G35640D PROTEIN', 125389),
(181664, 'PTHR16675:SF169', NULL, NULL, NULL, NULL, 'HLA CLASS I HISTOCOMPATIBILITY ANTIGEN, ALPHA CHAIN G', 125390),
(181665, 'PTHR11743:SF34', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 2', 125391),
(181666, 'PTHR10082:SF42', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-4', 125392),
(181667, 'PTHR11362:SF10', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN 1', 125393),
(181668, 'PTHR42029:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125394),
(181669, 'PTHR16223:SF120', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH69', 125395),
(181670, 'PTHR23001:SF30', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5-1-RELATED', 125396),
(181671, 'PTHR24377:SF430', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 155', 125397),
(181672, 'PTHR45857', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 125398),
(181673, 'PTHR23266:SF285', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-45', 125399),
(181674, 'PTHR33180:SF7', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP43 REACTION CENTER PROTEIN', 125400),
(181675, 'PTHR40131', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 125401),
(181676, 'PTHR11808:SF61', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE', 125402),
(181677, 'PTHR47925:SF55', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 125403),
(181678, 'PTHR10126:SF37', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-LIKE PROTEIN 2', 125404),
(181679, 'PTHR37751:SF6', NULL, NULL, NULL, NULL, 'BNAA09G05910D PROTEIN', 125405),
(181680, 'PTHR31689', NULL, NULL, NULL, NULL, 'DIAMINOPIMELATE EPIMERASE, CHLOROPLASTIC', 125406),
(181681, 'PTHR43148:SF10', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 125407),
(181682, 'PTHR47958:SF32', NULL, NULL, NULL, NULL, 'DEAD-BOX HELICASE 3,X-LINKED', 125408),
(181683, 'PTHR24390:SF152', NULL, NULL, NULL, NULL, 'SI:DKEYP-69B9.6-RELATED', 125409),
(181684, 'PTHR11063:SF24', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', 125410),
(181685, 'PTHR33021:SF356', NULL, NULL, NULL, NULL, 'OS07G0570600 PROTEIN', 125411),
(181686, 'PTHR43117:SF3', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE/CARNITINE/CHOLINE TRANSPORT ATP-BINDING PROTEIN OPUCA', 125412),
(181687, 'PTHR20963:SF23', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11330)-RELATED', 125413),
(181688, 'PTHR19836:SF19', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S14, MITOCHONDRIAL', 125414),
(181689, 'PTHR48111:SF9', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR RECEIVER PROTEIN', 125415),
(181690, 'PTHR12709:SF5', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA43', 125416),
(181691, 'PTHR11766:SF1', NULL, NULL, NULL, NULL, 'TYROSINE--TRNA LIGASE', 125417),
(181692, 'PTHR47167:SF1', NULL, NULL, NULL, NULL, 'TAO KINASE 1', 125418),
(181693, 'PTHR11017:SF396', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 125419),
(181694, 'PTHR14115', NULL, NULL, NULL, NULL, 'AMELOBLASTIN', 125420),
(181695, 'PTHR47348:SF3', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 190 PROTEIN', 125421),
(181696, 'PTHR47992:SF40', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 24-RELATED', 125422),
(181697, 'PTHR13027:SF16', NULL, NULL, NULL, NULL, 'BNAC04G15860D PROTEIN', 125423),
(181698, 'PTHR12447', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED WITH ANKYRIN REPEAT DOMAIN', 125424);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(181699, 'PTHR23192:SF47', NULL, NULL, NULL, NULL, 'FI21454P1', 125425),
(181700, 'PTHR12570:SF9', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA8-RELATED', 125426),
(181701, 'PTHR31956:SF27', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE-RELATED', 125427),
(181702, 'PTHR27003:SF386', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE THESEUS 1', 125428),
(181703, 'PTHR24637:SF299', NULL, NULL, NULL, NULL, 'COLLAGEN', 125429),
(181704, 'PTHR11334:SF3', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER F', 125430),
(181705, 'PTHR45776', NULL, NULL, NULL, NULL, 'MIP04163P', 125431),
(181706, 'PTHR11153:SF3', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-4', 125432),
(181707, 'PTHR35039', NULL, NULL, NULL, NULL, '3-KETO-L-GULONATE-6-PHOSPHATE DECARBOXYLASE SGBH-RELATED', 125433),
(181708, 'PTHR45752:SF38', NULL, NULL, NULL, NULL, 'LOC100145243 PROTEIN', 125434),
(181709, 'PTHR43572:SF44', NULL, NULL, NULL, NULL, 'OS02G0464900 PROTEIN', 125435),
(181710, 'PTHR31632', NULL, NULL, NULL, NULL, 'IRON TRANSPORTER FTH1', 125436),
(181711, 'PTHR31225:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125437),
(181712, 'PTHR45944:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 40', 125438),
(181713, 'PTHR10829:SF9', NULL, NULL, NULL, NULL, 'SI:DKEY-40C11.2', 125439),
(181714, 'PTHR10641:SF1238', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 15-RELATED', 125440),
(181715, 'PTHR40640:SF2', NULL, NULL, NULL, NULL, 'ANCHORED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00450)-RELATED', 125441),
(181716, 'PTHR34039', NULL, NULL, NULL, NULL, 'UPF0102 PROTEIN YRAN', 125442),
(181717, 'PTHR30540:SF111', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 125443),
(181718, 'PTHR31852:SF2', NULL, NULL, NULL, NULL, 'GRPE-LIKE PROTEIN', 125444),
(181719, 'PTHR23341:SF8', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP AT-HOOK 1', 125445),
(181720, 'PTHR31194:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125446),
(181721, 'PTHR13847:SF213', NULL, NULL, NULL, NULL, 'DEPENDENT OXIDOREDUCTASE, PUTATIVE-RELATED', 125447),
(181722, 'PTHR36220', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 125448),
(181723, 'PTHR32499:SF14', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN-RELATED', 125449),
(181724, 'PTHR24028:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125450),
(181725, 'PTHR24221:SF544', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-LIKE ATP-BINDING PROTEIN MDLB', 125451),
(181726, 'PTHR43303:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125452),
(181727, 'PTHR33509:SF15', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 125453),
(181728, 'PTHR10353:SF156', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 125454),
(181729, 'PTHR31260:SF55', NULL, NULL, NULL, NULL, 'BNAA10G11000D PROTEIN', 125455),
(181730, 'PTHR38659', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PHOSPHOHYDROLASE', 125456),
(181731, 'PTHR21327:SF34', NULL, NULL, NULL, NULL, '3,4-DIHYDROXY-2-BUTANONE 4-PHOSPHATE SYNTHASE', 125457),
(181732, 'PTHR21576:SF82', NULL, NULL, NULL, NULL, 'F4P13.17 PROTEIN', 125458),
(181733, 'PTHR34780:SF2', NULL, NULL, NULL, NULL, 'BNAA07G38580D PROTEIN', 125459),
(181734, 'PTHR23011:SF32', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-BINDING DOMAIN-CONTAINING PROTEIN 1', 125460),
(181735, 'PTHR10270:SF216', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-17', 125461),
(181736, 'PTHR43811:SF46', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 125462),
(181737, 'PTHR12461:SF84', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN B', 125463),
(181738, 'PTHR36516', NULL, NULL, NULL, NULL, 'PROTEIN CBG04168-RELATED', 125464),
(181739, 'PTHR23288:SF8', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II ELONGATION FACTOR ELL2', 125465),
(181740, 'PTHR24035:SF132', NULL, NULL, NULL, NULL, 'MULTIPLE EGF-LIKE-DOMAINS 11', 125466),
(181741, 'PTHR31218:SF309', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 125467),
(181742, 'PTHR21148:SF25', NULL, NULL, NULL, NULL, 'PHOSDUCIN-LIKE PROTEIN 1', 125468),
(181743, 'PTHR47551', NULL, NULL, NULL, NULL, 'TUBULIN--TYROSINE LIGASE PBY1-RELATED', 125469);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(181744, 'PTHR48070:SF8', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 125470),
(181745, 'PTHR43337', NULL, NULL, NULL, NULL, 'XANTHINE/URACIL PERMEASE C887.17-RELATED', 125471),
(181746, 'PTHR16290:SF17', NULL, NULL, NULL, NULL, 'OS07G0249600 PROTEIN', 125472),
(181747, 'PTHR12521', NULL, NULL, NULL, NULL, 'PROTEIN C6ORF130', 125473),
(181748, 'PTHR21497:SF27', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR1', 125474),
(181749, 'PTHR13878:SF102', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 5', 125475),
(181750, 'PTHR11675:SF120', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE', 125476),
(181751, 'PTHR33936:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG23509', 125477),
(181752, 'PTHR32295:SF147', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', 125478),
(181753, 'PTHR15885', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 125479),
(181754, 'PTHR19850:SF39', NULL, NULL, NULL, NULL, 'BNAC03G66080D PROTEIN', 125480),
(181755, 'PTHR34857', NULL, NULL, NULL, NULL, 'SLL0384 PROTEIN', 125481),
(181756, 'PTHR34481:SF14', NULL, NULL, NULL, NULL, 'GLUTENIN, HIGH MOLECULAR WEIGHT SUBUNIT DY10', 125482),
(181757, 'PTHR28674:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO DNA SEGMENT, CHR 10, WAYNE STATE UNIVERSITY 102,-EXPRESSED', 125483),
(181758, 'PTHR45648:SF65', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 125484),
(181759, 'PTHR13593:SF110', NULL, NULL, NULL, NULL, 'BNAA08G02520D PROTEIN', 125485),
(181760, 'PTHR48002:SF10', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 125486),
(181761, 'PTHR43366', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE SUBUNIT PORC', 125487),
(181762, 'PTHR45619:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 125488),
(181763, 'PTHR33459:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125489),
(181764, 'PTHR10887:SF322', NULL, NULL, NULL, NULL, 'HELICASE MOV-10', 125490),
(181765, 'PTHR24073:SF1089', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-6A-RELATED', 125491),
(181766, 'PTHR31142:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125492),
(181767, 'PTHR15664:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 230', 125493),
(181768, 'PTHR39741:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125494),
(181769, 'PTHR11871:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125495),
(181770, 'PTHR11913:SF50', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 4', 125496),
(181771, 'PTHR11629:SF104', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 125497),
(181772, 'PTHR24637:SF294', NULL, NULL, NULL, NULL, 'COLLAGEN', 125498),
(181773, 'PTHR43349:SF83', NULL, NULL, NULL, NULL, 'BNAA02G35970D PROTEIN', 125499),
(181774, 'PTHR33729:SF2', NULL, NULL, NULL, NULL, 'METHYL-CPG BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 125500),
(181775, 'PTHR46116:SF13', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME FAMILY PROTEIN', 125501),
(181776, 'PTHR20971:SF4', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM5', 125502),
(181777, 'PTHR31375:SF10', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 28 PROTEIN-RELATED', 125503),
(181778, 'PTHR16294:SF8', NULL, NULL, NULL, NULL, 'DYSBINDIN-A', 125504),
(181779, 'PTHR24399:SF29', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA 6 PROTEIN', 125505),
(181780, 'PTHR30137:SF16', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, MMYO-RELATED', 125506),
(181781, 'PTHR23024:SF478', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 125507),
(181782, 'PTHR13068:SF153', NULL, NULL, NULL, NULL, 'MITOCHODRIAL TRANSCRIPTION TERMINATION FACTOR-RELATED', 125508),
(181783, 'PTHR24026:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125509),
(181784, 'PTHR46021:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125510),
(181785, 'PTHR13848:SF58', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE 5', 125511),
(181786, 'PTHR45650:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125512),
(181787, 'PTHR12395:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG23851', 125513),
(181788, 'PTHR12419:SF26', NULL, NULL, NULL, NULL, 'OTU-LIKE CYSTEINE PROTEASE', 125514);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(181789, 'PTHR32009:SF81', NULL, NULL, NULL, NULL, 'BNAC06G01310D PROTEIN', 125515),
(181790, 'PTHR45875:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE N6AMT1', 125516),
(181791, 'PTHR31282:SF167', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 69-RELATED', 125517),
(181792, 'PTHR11043:SF26', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-3', 125518),
(181793, 'PTHR32227:SF391', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', 125519),
(181794, 'PTHR31677:SF102', NULL, NULL, NULL, NULL, 'BNAC08G40750D PROTEIN', 125520),
(181795, 'PTHR14270:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SMG9', 125521),
(181796, 'PTHR42951:SF16', NULL, NULL, NULL, NULL, 'BETA LACTAMASE', 125522),
(181797, 'PTHR43351', NULL, NULL, NULL, NULL, 'L(+)-TARTRATE DEHYDRATASE SUBUNIT BETA', 125523),
(181798, 'PTHR23015:SF11', NULL, NULL, NULL, NULL, 'F-BOX A PROTEIN', 125524),
(181799, 'PTHR34067:SF9', NULL, NULL, NULL, NULL, 'OS04G0266400 PROTEIN', 125525),
(181800, 'PTHR11467:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125526),
(181801, 'PTHR43884:SF19', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', 125527),
(181802, 'PTHR24423:SF619', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125528),
(181803, 'PTHR12287:SF21', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR KINASE SUBSTRATE 8', 125529),
(181804, 'PTHR43025', NULL, NULL, NULL, NULL, 'MONOGALACTOSYLDIACYLGLYCEROL SYNTHASE', 125530),
(181805, 'PTHR31966:SF23', NULL, NULL, NULL, NULL, 'OS05G0501700 PROTEIN', 125531),
(181806, 'PTHR34726:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125532),
(181807, 'PTHR42877:SF7', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03020)-RELATED', 125533),
(181808, 'PTHR27000:SF732', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125534),
(181809, 'PTHR46581:SF7', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 125535),
(181810, 'PTHR43511:SF4', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', 125536),
(181811, 'PTHR43433:SF5', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN', 125537),
(181812, 'PTHR24071:SF18', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN-3', 125538),
(181813, 'PTHR33354:SF9', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G01540)', 125539),
(181814, 'PTHR31859', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 39 FAMILY MEMBER', 125540),
(181815, 'PTHR10666:SF373', NULL, NULL, NULL, NULL, 'OS09G0452700 PROTEIN', 125541),
(181816, 'PTHR33033:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125542),
(181817, 'PTHR12403:SF28', NULL, NULL, NULL, NULL, 'BNAC06G40500D PROTEIN', 125543),
(181818, 'PTHR34926:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125544),
(181819, 'PTHR31429:SF81', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 6-LIKE', 125545),
(181820, 'PTHR33597:SF19', NULL, NULL, NULL, NULL, 'OS02G0760400 PROTEIN', 125546),
(181821, 'PTHR31319:SF61', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 5', 125547),
(181822, 'PTHR35104', NULL, NULL, NULL, NULL, 'OS03G0807000 PROTEIN', 125548),
(181823, 'PTHR32411:SF53', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 18-RELATED', 125549),
(181824, 'PTHR21319:SF49', NULL, NULL, NULL, NULL, 'BNAC09G36140D PROTEIN', 125550),
(181825, 'PTHR39211', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 125551),
(181826, 'PTHR31948:SF93', NULL, NULL, NULL, NULL, 'BNACNNG08060D PROTEIN', 125552),
(181827, 'PTHR14255:SF49', NULL, NULL, NULL, NULL, 'BNAA04G15090D PROTEIN', 125553),
(181828, 'PTHR12542:SF155', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 125554),
(181829, 'PTHR18884:SF115', NULL, NULL, NULL, NULL, 'SEPTIN 15', 125555),
(181830, 'PTHR45715:SF17', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E3', 125556),
(181831, 'PTHR48004:SF31', NULL, NULL, NULL, NULL, 'OS11G0568800 PROTEIN', 125557),
(181832, 'PTHR24106:SF275', NULL, NULL, NULL, NULL, 'NLR FAMILY CARD DOMAIN-CONTAINING PROTEIN 3', 125558);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(181833, 'PTHR20838', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 86', 125559),
(181834, 'PTHR15422:SF35', NULL, NULL, NULL, NULL, 'IP07844P-RELATED', 125560),
(181835, 'PTHR43381:SF15', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5B-LIKE', 125561),
(181836, 'PTHR46023:SF6', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3 FAMILY PROTEIN', 125562),
(181837, 'PTHR11474:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125563),
(181838, 'PTHR31099:SF20', NULL, NULL, NULL, NULL, 'OS02G0307900 PROTEIN', 125564),
(181839, 'PTHR31033:SF24', NULL, NULL, NULL, NULL, 'BNAA09G17680D PROTEIN', 125565),
(181840, 'PTHR16134:SF70', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP17', 125566),
(181841, 'PTHR35157:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM209B', 125567),
(181842, 'PTHR23044:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125568),
(181843, 'PTHR10811:SF85', NULL, NULL, NULL, NULL, 'BNACNNG24830D PROTEIN', 125569),
(181844, 'PTHR11140', NULL, NULL, NULL, NULL, 'PRE-MRNA SPLICING FACTOR PRP8', 125570),
(181845, 'PTHR23226:SF282', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 566', 125571),
(181846, 'PTHR42146:SF1', NULL, NULL, NULL, NULL, '3'',5''-CYCLIC-NUCLEOTIDE PHOSPHODIESTERASE', 125572),
(181847, 'PTHR31250:SF10', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM3', 125573),
(181848, 'PTHR31339:SF62', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', 125574),
(181849, 'PTHR13140', NULL, NULL, NULL, NULL, 'MYOSIN', 125575),
(181850, 'PTHR30619:SF8', NULL, NULL, NULL, NULL, 'COME OPERON PROTEIN 3', 125576),
(181851, 'PTHR11654:SF464', NULL, NULL, NULL, NULL, 'BNACNNG48110D PROTEIN', 125577),
(181852, 'PTHR34672:SF9', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC ARABINOGALACTA PROTEIN BAN102', 125578),
(181853, 'PTHR47983:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125579),
(181854, 'PTHR16108:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 40', 125580),
(181855, 'PTHR12040:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125581),
(181856, 'PTHR45800:SF19', NULL, NULL, NULL, NULL, 'OSJNBA0043A12.14 PROTEIN', 125582),
(181857, 'PTHR37353:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4921517D22 GENE', 125583),
(181858, 'PTHR31998:SF30', NULL, NULL, NULL, NULL, 'OS02G0802500 PROTEIN', 125584),
(181859, 'PTHR34223:SF40', NULL, NULL, NULL, NULL, 'OS08G0197900 PROTEIN', 125585),
(181860, 'PTHR48021:SF11', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 12', 125586),
(181861, 'PTHR21470:SF10', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT 30A-LIKE PROTEIN (DUF662)', 125587),
(181862, 'PTHR11848:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125588),
(181863, 'PTHR10168:SF240', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S1-LIKE', 125589),
(181864, 'PTHR24086:SF46', NULL, NULL, NULL, NULL, 'FF1D-RELATED', 125590),
(181865, 'PTHR12015:SF169', NULL, NULL, NULL, NULL, 'CHEMOKINE', 125591),
(181866, 'PTHR42749', NULL, NULL, NULL, NULL, 'CELL SHAPE-DETERMINING PROTEIN MREB', 125592),
(181867, 'PTHR45855:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH109', 125593),
(181868, 'PTHR24015:SF1998', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125594),
(181869, 'PTHR24637:SF327', NULL, NULL, NULL, NULL, 'COLLAGEN', 125595),
(181870, 'PTHR20883:SF39', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE', 125596),
(181871, 'PTHR23255:SF62', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN RECEPTOR TYPE-1B', 125597),
(181872, 'PTHR33065:SF96', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 125598),
(181873, 'PTHR47991:SF46', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE', 125599),
(181874, 'PTHR12341:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125600),
(181875, 'PTHR12844:SF21', NULL, NULL, NULL, NULL, 'CONNECTOR ENHANCER OF KINASE SUPPRESSOR OF RAS 2', 125601),
(181876, 'PTHR38218', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED-RELATED', 125602),
(181877, 'PTHR33976:SF9', NULL, NULL, NULL, NULL, 'BNAANNG08770D PROTEIN', 125603),
(181878, 'PTHR31082:SF10', NULL, NULL, NULL, NULL, 'DUF1212 DOMAIN MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_3G01440)', 125604);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(181879, 'PTHR48060', NULL, NULL, NULL, NULL, 'DNA DAMAGE-REPAIR/TOLERATION PROTEIN DRT100', 125605),
(181880, 'PTHR48021:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125606),
(181881, 'PTHR33078:SF22', NULL, NULL, NULL, NULL, 'PROTEIN YCF2', 125607),
(181882, 'PTHR47625:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125608),
(181883, 'PTHR21603:SF17', NULL, NULL, NULL, NULL, 'PROLIFERATION MARKER PROTEIN KI-67', 125609),
(181884, 'PTHR48001:SF121', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 125610),
(181885, 'PTHR45832:SF9', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 125611),
(181886, 'PTHR48057:SF2', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN-LIKE', 125612),
(181887, 'PTHR43700', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINOIMIDAZOLE-SUCCINOCARBOXAMIDE SYNTHASE', 125613),
(181888, 'PTHR26450:SF157', NULL, NULL, NULL, NULL, 'MCG1046646-RELATED', 125614),
(181889, 'PTHR19338:SF13', NULL, NULL, NULL, NULL, 'BNAA01G14370D PROTEIN', 125615),
(181890, 'PTHR13871:SF7', NULL, NULL, NULL, NULL, 'THIOREDOXIN [SEE ALSO XTR]', 125616),
(181891, 'PTHR48007:SF50', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', 125617),
(181892, 'PTHR46053', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH4-LIKE', 125618),
(181893, 'PTHR31213:SF19', NULL, NULL, NULL, NULL, 'OS04G0593500 PROTEIN', 125619),
(181894, 'PTHR28259', NULL, NULL, NULL, NULL, 'FLUORIDE EXPORT PROTEIN 1-RELATED', 125620),
(181895, 'PTHR32278:SF52', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B13-LIKE', 125621),
(181896, 'PTHR24006:SF819', NULL, NULL, NULL, NULL, 'T23K8.6-RELATED', 125622),
(181897, 'PTHR26452:SF418', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5J2', 125623),
(181898, 'PTHR31089:SF48', NULL, NULL, NULL, NULL, 'BNAANNG41280D PROTEIN', 125624),
(181899, 'PTHR23024:SF484', NULL, NULL, NULL, NULL, 'TRANSPORT OF MEMBRANE TO CELL SURFACE', 125625),
(181900, 'PTHR41752', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 125626),
(181901, 'PTHR33577:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125627),
(181902, 'PTHR21495:SF152', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 125628),
(181903, 'PTHR42913:SF4', NULL, NULL, NULL, NULL, 'ALTERNATIVE NAD(P)H-UBIQUINONE OXIDOREDUCTASE C1, CHLOROPLASTIC/MITOCHONDRIAL', 125629),
(181904, 'PTHR30632:SF16', NULL, NULL, NULL, NULL, 'MOLYBDATE/TUNGSTATE-BINDING PROTEIN WTPA', 125630),
(181905, 'PTHR35308:SF12', NULL, NULL, NULL, NULL, 'COX VIIA-LIKE PROTEIN', 125631),
(181906, 'PTHR45640:SF2', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-6', 125632),
(181907, 'PTHR48043:SF104', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 125633),
(181908, 'PTHR44170:SF19', NULL, NULL, NULL, NULL, 'PROTEIN TURTLE HOMOLOG A', 125634),
(181909, 'PTHR33430:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125635),
(181910, 'PTHR45730:SF67', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', 125636),
(181911, 'PTHR11267:SF182', NULL, NULL, NULL, NULL, 'T-BOX PROTEIN 7-RELATED', 125637),
(181912, 'PTHR31901:SF56', NULL, NULL, NULL, NULL, 'JASMONOYL--L-AMINO ACID SYNTHETASE GH3.3', 125638),
(181913, 'PTHR33191:SF60', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 2-RELATED', 125639),
(181914, 'PTHR34680:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125640),
(181915, 'PTHR10796:SF60', NULL, NULL, NULL, NULL, 'PATCHED DOMAIN-CONTAINING PROTEIN 3', 125641),
(181916, 'PTHR22770:SF35', NULL, NULL, NULL, NULL, 'RANBP-TYPE AND C3HC4-TYPE ZINC FINGER-CONTAINING PROTEIN 1', 125642),
(181917, 'PTHR34078:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN DDB_G0267530-RELATED', 125643),
(181918, 'PTHR24068:SF299', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 8', 125644),
(181919, 'PTHR14379:SF53', NULL, NULL, NULL, NULL, 'BNAANNG24850D PROTEIN', 125645),
(181920, 'PTHR19303:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125646),
(181921, 'PTHR43416:SF26', NULL, NULL, NULL, NULL, 'BNAA02G09300D PROTEIN', 125647),
(181922, 'PTHR43900:SF64', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F11', 125648);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(181923, 'PTHR24356:SF378', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 125649),
(181924, 'PTHR12131:SF16', NULL, NULL, NULL, NULL, 'ACTIVATING SIGNAL COINTEGRATOR 1 COMPLEX SUBUNIT 3', 125650),
(181925, 'PTHR21236:SF23', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', 125651),
(181926, 'PTHR46496:SF9', NULL, NULL, NULL, NULL, 'BNAC08G48380D PROTEIN', 125652),
(181927, 'PTHR16470', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN UBFD1', 125653),
(181928, 'PTHR19302:SF13', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT 2', 125654),
(181929, 'PTHR13723:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125655),
(181930, 'PTHR24070:SF263', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAP1', 125656),
(181931, 'PTHR47993:SF129', NULL, NULL, NULL, NULL, 'BNAA01G23720D PROTEIN', 125657),
(181932, 'PTHR12875', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 125658),
(181933, 'PTHR34678:SF2', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN 5 ALPHA, CHLOROPLASTIC-LIKE', 125659),
(181934, 'PTHR24373:SF156', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING NOGO RECEPTOR-INTERACTING PROTEIN 4', 125660),
(181935, 'PTHR19328:SF69', NULL, NULL, NULL, NULL, 'SIX-BLADED BETA-PROPELLER, TOLB-LIKE PROTEIN-RELATED', 125661),
(181936, 'PTHR39380:SF2', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED', 125662),
(181937, 'PTHR14255:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125663),
(181938, 'PTHR45968:SF21', NULL, NULL, NULL, NULL, 'PROTEIN HOTHEAD-LIKE ISOFORM X1', 125664),
(181939, 'PTHR31388:SF177', NULL, NULL, NULL, NULL, 'PEROXIDASE', 125665),
(181940, 'PTHR14398:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 27', 125666),
(181941, 'PTHR15502', NULL, NULL, NULL, NULL, 'CALCINEURIN-BINDING PROTEIN CABIN 1-RELATED', 125667),
(181942, 'PTHR21029:SF20', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 7-BINDING PROTEIN B', 125668),
(181943, 'PTHR23114:SF25', NULL, NULL, NULL, NULL, 'BNAC04G32430D PROTEIN', 125669),
(181944, 'PTHR33021:SF389', NULL, NULL, NULL, NULL, 'NODULIN 55-2, PUTATIVE-RELATED', 125670),
(181945, 'PTHR11934:SF0', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE', 125671),
(181946, 'PTHR22941:SF27', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 125672),
(181947, 'PTHR34999:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125673),
(181948, 'PTHR13817:SF141', NULL, NULL, NULL, NULL, 'NEURONAL IGCAM', 125674),
(181949, 'PTHR38795:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125675),
(181950, 'PTHR13814:SF3', NULL, NULL, NULL, NULL, 'HISTIDINE-RICH GLYCOPROTEIN', 125676),
(181951, 'PTHR31719:SF83', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 2', 125677),
(181952, 'PTHR33404:SF1', NULL, NULL, NULL, NULL, 'SLL0497 PROTEIN', 125678),
(181953, 'PTHR44757:SF4', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCE-RELATED', 125679),
(181954, 'PTHR31080:SF187', NULL, NULL, NULL, NULL, 'C/VIF2', 125680),
(181955, 'PTHR43323:SF13', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', 125681),
(181956, 'PTHR46369:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CELLULOSE SYNTHASE INTERACTIVE 3', 125682),
(181957, 'PTHR46511:SF1', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 3', 125683),
(181958, 'PTHR37542:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125684),
(181959, 'PTHR24412:SF146', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 41', 125685),
(181960, 'PTHR31235:SF340', NULL, NULL, NULL, NULL, 'PEROXIDASE', 125686),
(181961, 'PTHR18860:SF104', NULL, NULL, NULL, NULL, 'BNAA07G10500D PROTEIN', 125687),
(181962, 'PTHR46890:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125688),
(181963, 'PTHR17537:SF5', NULL, NULL, NULL, NULL, 'TOB, ISOFORM A', 125689),
(181964, 'PTHR43173:SF21', NULL, NULL, NULL, NULL, 'ALPHA 1,3 GLUCANASE GH71 (EUROFUNG)-RELATED', 125690),
(181965, 'PTHR11652:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125691),
(181966, 'PTHR33147:SF12', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 2', 125692);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(181967, 'PTHR35290', NULL, NULL, NULL, NULL, 'PROTEIN CASPARIAN STRIP INTEGRITY FACTOR 1-RELATED', 125693),
(181968, 'PTHR10292:SF11', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN LINKER DOMAIN-CONTAINING PROTEIN 1', 125694),
(181969, 'PTHR10177:SF253', NULL, NULL, NULL, NULL, 'CYCLIN-B1-4', 125695),
(181970, 'PTHR43119', NULL, NULL, NULL, NULL, 'ABC TRANSPORT PROTEIN ATP-BINDING COMPONENT-RELATED', 125696),
(181971, 'PTHR38689', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE HYDROPHOBIC MEMBRANE ANCHOR SUBUNIT', 125697),
(181972, 'PTHR33156:SF30', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 6, CHLOROPLASTIC/MITOCHONDRIAL-LIKE ISOFORM X1', 125698),
(181973, 'PTHR43280:SF13', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR RHAR', 125699),
(181974, 'PTHR11830:SF33', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', 125700),
(181975, 'PTHR18934:SF111', NULL, NULL, NULL, NULL, 'RNA HELICASE, PUTATIVE-RELATED', 125701),
(181976, 'PTHR48017:SF108', NULL, NULL, NULL, NULL, 'BNACNNG74340D PROTEIN', 125702),
(181977, 'PTHR31376:SF38', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 11-RELATED', 125703),
(181978, 'PTHR24089:SF718', NULL, NULL, NULL, NULL, 'BNAA02G34490D PROTEIN', 125704),
(181979, 'PTHR28590', NULL, NULL, NULL, NULL, 'SPEXIN', 125705),
(181980, 'PTHR23130:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125706),
(181981, 'PTHR33127:SF61', NULL, NULL, NULL, NULL, 'BNAC07G15790D PROTEIN', 125707),
(181982, 'PTHR46821:SF7', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 125708),
(181983, 'PTHR46330:SF5', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 22-RELATED', 125709),
(181984, 'PTHR32246:SF125', NULL, NULL, NULL, NULL, 'BNAA08G05770D PROTEIN', 125710),
(181985, 'PTHR38444', NULL, NULL, NULL, NULL, 'ENTEROBACTIN BIOSYNTHESIS PROTEIN YBDZ', 125711),
(181986, 'PTHR33214:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125712),
(181987, 'PTHR23419:SF8', NULL, NULL, NULL, NULL, 'FI09726P', 125713),
(181988, 'PTHR47992:SF89', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 75 ISOFORM X1-RELATED', 125714),
(181989, 'PTHR47925:SF100', NULL, NULL, NULL, NULL, 'BNAC09G13830D PROTEIN', 125715),
(181990, 'PTHR47537:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125716),
(181991, 'PTHR23159:SF42', NULL, NULL, NULL, NULL, 'LIN-5 (FIVE) INTERACTING PROTEIN', 125717),
(181992, 'PTHR31052:SF12', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 7', 125718),
(181993, 'PTHR11227:SF53', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18A-LIKE', 125719),
(181994, 'PTHR43816', NULL, NULL, NULL, NULL, 'NICOTINAMIDE PHOSPHORIBOSYLTRANSFERASE', 125720),
(181995, 'PTHR11188:SF137', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN 5', 125721),
(181996, 'PTHR48100', NULL, NULL, NULL, NULL, 'BROAD-SPECIFICITY PHOSPHATASE YOR283W-RELATED', 125722),
(181997, 'PTHR11477:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125723),
(181998, 'PTHR31062:SF125', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 125724),
(181999, 'PTHR32468:SF98', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', 125725),
(182000, 'PTHR42788:SF17', NULL, NULL, NULL, NULL, 'ALIPHATIC SULFONATES IMPORT ATP-BINDING PROTEIN SSUB', 125726),
(182001, 'PTHR43883:SF1', NULL, NULL, NULL, NULL, 'SLR0207 PROTEIN', 125727),
(182002, 'PTHR19282:SF51', NULL, NULL, NULL, NULL, 'TETRASPANIN', 125728),
(182003, 'PTHR12606:SF114', NULL, NULL, NULL, NULL, 'OS01G0113000 PROTEIN', 125729),
(182004, 'PTHR31435', NULL, NULL, NULL, NULL, 'PROTEIN NATD1', 125730),
(182005, 'PTHR31636:SF186', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', 125731),
(182006, 'PTHR31221:SF247', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 125732),
(182007, 'PTHR10239:SF30', NULL, NULL, NULL, NULL, 'ISTHMIN-1', 125733),
(182008, 'PTHR45725:SF3', NULL, NULL, NULL, NULL, 'DELPHILIN', 125734),
(182009, 'PTHR43920:SF3', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 3', 125735),
(182010, 'PTHR33546', NULL, NULL, NULL, NULL, 'LARGE, MULTIFUNCTIONAL SECRETED PROTEIN-RELATED', 125736);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(182011, 'PTHR47928:SF94', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 125737),
(182012, 'PTHR33914:SF3', NULL, NULL, NULL, NULL, 'PROTEIN BREAKING OF ASYMMETRY IN THE STOMATAL LINEAGE', 125738),
(182013, 'PTHR26451:SF312', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 125739),
(182014, 'PTHR21143:SF112', NULL, NULL, NULL, NULL, 'HIGH-ENERGY LIGHT UNRESPONSIVE PROTEIN 1', 125740),
(182015, 'PTHR46737:SF2', NULL, NULL, NULL, NULL, 'OS02G0827600 PROTEIN', 125741),
(182016, 'PTHR10891:SF797', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125742),
(182017, 'PTHR22943:SF112', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 125743),
(182018, 'PTHR15010', NULL, NULL, NULL, NULL, 'ACYLOXYACYL HYDROLASE', 125744),
(182019, 'PTHR28034:SF1', NULL, NULL, NULL, NULL, 'SET1 COMPLEX COMPONENT SHG1', 125745),
(182020, 'PTHR45664:SF13', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A3', 125746),
(182021, 'PTHR11165:SF125', NULL, NULL, NULL, NULL, 'OS12G0595600 PROTEIN', 125747),
(182022, 'PTHR15665', NULL, NULL, NULL, NULL, 'ASTEROID PROTEIN', 125748),
(182023, 'PTHR48002:SF135', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 125749),
(182024, 'PTHR22874', NULL, NULL, NULL, NULL, 'ACTIVATING MOLECULE IN BECN1-REGULATED AUTOPHAGY PROTEIN 1', 125750),
(182025, 'PTHR45798:SF42', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL8-LIKE', 125751),
(182026, 'PTHR33450:SF26', NULL, NULL, NULL, NULL, 'BNACNNG71050D PROTEIN', 125752),
(182027, 'PTHR10492:SF75', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 125753),
(182028, 'PTHR11685:SF358', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 125754),
(182029, 'PTHR11360:SF93', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 7-LIKE PROTEIN', 125755),
(182030, 'PTHR48160:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37A', 125756),
(182031, 'PTHR15692:SF8', NULL, NULL, NULL, NULL, 'MASTERMIND-LIKE PROTEIN 3', 125757),
(182032, 'PTHR37249:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125758),
(182033, 'PTHR34723:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125759),
(182034, 'PTHR40618:SF1', NULL, NULL, NULL, NULL, 'B-ZIP TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 125760),
(182035, 'PTHR10012', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B', 125761),
(182036, 'PTHR43391:SF5', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN', 125762),
(182037, 'PTHR33164:SF44', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 125763),
(182038, 'PTHR14317:SF0', NULL, NULL, NULL, NULL, 'PROTAMINE-3', 125764),
(182039, 'PTHR33879:SF8', NULL, NULL, NULL, NULL, 'OS07G0173100 PROTEIN', 125765),
(182040, 'PTHR24329:SF531', NULL, NULL, NULL, NULL, 'PROTEIN CBR-UNC-42', 125766),
(182041, 'PTHR43880:SF35', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1-LIKE', 125767),
(182042, 'PTHR46196:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LHW', 125768),
(182043, 'PTHR21143:SF118', NULL, NULL, NULL, NULL, 'GUSTATORY AND PHEROMONE RECEPTOR 33A-RELATED', 125769),
(182044, 'PTHR11799:SF1', NULL, NULL, NULL, NULL, 'PON (PARAOXONASE) AND MEC-6 LIKE', 125770),
(182045, 'PTHR35832:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 125771),
(182046, 'PTHR10562:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125772),
(182047, 'PTHR19375:SF449', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70 FAMILY-RELATED', 125773),
(182048, 'PTHR12839:SF7', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS 2', 125774),
(182049, 'PTHR36788:SF5', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 172', 125775),
(182050, 'PTHR21453:SF28', NULL, NULL, NULL, NULL, 'UPF0376 PROTEIN C03G6.5-RELATED', 125776),
(182051, 'PTHR30614', NULL, NULL, NULL, NULL, 'MEMBRANE COMPONENT OF AMINO ACID ABC TRANSPORTER', 125777),
(182052, 'PTHR46673:SF1', NULL, NULL, NULL, NULL, '4F2 CELL-SURFACE ANTIGEN HEAVY CHAIN', 125778),
(182053, 'PTHR42790:SF1', NULL, NULL, NULL, NULL, 'AROMATIC AMINO ACID AMINOTRANSFERASE, HYPOTHETICAL (EUROFUNG)', 125779),
(182054, 'PTHR34236:SF1', NULL, NULL, NULL, NULL, 'DIMETHYL SULFOXIDE REDUCTASE TRANSCRIPTIONAL ACTIVATOR', 125780);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(182055, 'PTHR45331', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, IRON-SULPHUR BINDING SUBUNIT-RELATED-RELATED', 125781),
(182056, 'PTHR15375:SF24', NULL, NULL, NULL, NULL, 'PROTEIN DBF4 HOMOLOG B', 125782),
(182057, 'PTHR32234:SF0', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBD', 125783),
(182058, 'PTHR10159:SF343', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 16', 125784),
(182059, 'PTHR34630:SF21', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (NBS-LRR CLASS) FAMILY PROTEIN', 125785),
(182060, 'PTHR24276:SF91', NULL, NULL, NULL, NULL, 'FI18310P1', 125786),
(182061, 'PTHR34118', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR-LIKE PROTEIN-RELATED', 125787),
(182062, 'PTHR46581:SF3', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE RRA3', 125788),
(182063, 'PTHR38702:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125789),
(182064, 'PTHR31089:SF43', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 2', 125790),
(182065, 'PTHR48057:SF1', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO2', 125791),
(182066, 'PTHR10285:SF66', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE 1', 125792),
(182067, 'PTHR26453:SF38', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13J1', 125793),
(182068, 'PTHR24044:SF461', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', 125794),
(182069, 'PTHR31238:SF226', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 125795),
(182070, 'PTHR48138:SF1', NULL, NULL, NULL, NULL, 'HISTIDINE-RICH PROTEIN II', 125796),
(182071, 'PTHR44329:SF189', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 125797),
(182072, 'PTHR11394:SF43', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 50', 125798),
(182073, 'PTHR43539:SF57', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE', 125799),
(182074, 'PTHR11949', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR', 125800),
(182075, 'PTHR12106:SF27', NULL, NULL, NULL, NULL, 'VPS10 HOMOLOG 1-RELATED', 125801),
(182076, 'PTHR34719', NULL, NULL, NULL, NULL, 'NICKEL-RESPONSIVE REGULATOR', 125802),
(182077, 'PTHR15953:SF0', NULL, NULL, NULL, NULL, 'APELIN', 125803),
(182078, 'PTHR36050:SF1', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 30', 125804),
(182079, 'PTHR31814:SF5', NULL, NULL, NULL, NULL, 'PHOSPHOMEVALONATE KINASE, ERG8-RELATED', 125805),
(182080, 'PTHR24414:SF135', NULL, NULL, NULL, NULL, 'BNAC03G16610D PROTEIN', 125806),
(182081, 'PTHR24068:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125807),
(182082, 'PTHR36452:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 12, WHOLE GENOME SHOTGUN SEQUENCE', 125808),
(182083, 'PTHR45944', NULL, NULL, NULL, NULL, 'SCHNURRI, ISOFORM F', 125809),
(182084, 'PTHR24073:SF1092', NULL, NULL, NULL, NULL, 'OS01G0667600 PROTEIN', 125810),
(182085, 'PTHR24093:SF468', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 125811),
(182086, 'PTHR11599:SF59', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-1', 125812),
(182087, 'PTHR31500:SF7', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 1', 125813),
(182088, 'PTHR33147:SF46', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 18-RELATED', 125814),
(182089, 'PTHR23068:SF9', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE 3B', 125815),
(182090, 'PTHR43205:SF12', NULL, NULL, NULL, NULL, 'OS06G0602900 PROTEIN', 125816),
(182091, 'PTHR22792:SF48', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 4', 125817),
(182092, 'PTHR10285:SF75', NULL, NULL, NULL, NULL, 'URIDINE KINASE-LIKE PROTEIN 5', 125818),
(182093, 'PTHR43138', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, GNAT FAMILY', 125819),
(182094, 'PTHR31118:SF16', NULL, NULL, NULL, NULL, 'CYCLASE-LIKE PROTEIN 1-RELATED', 125820),
(182095, 'PTHR10551:SF14', NULL, NULL, NULL, NULL, 'CELLULASE CONTAINING PROTEIN, EXPRESSED', 125821),
(182096, 'PTHR42061', NULL, NULL, NULL, NULL, 'ENDO-CHITOSANASE', 125822),
(182097, 'PTHR11206:SF141', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 125823),
(182098, 'PTHR42345', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 125824);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(182099, 'PTHR31325:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125825),
(182100, 'PTHR47426:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 125826),
(182101, 'PTHR42990:SF1', NULL, NULL, NULL, NULL, 'ATPASE', 125827),
(182102, 'PTHR21208:SF0', NULL, NULL, NULL, NULL, 'ADP-DEPENDENT GLUCOKINASE', 125828),
(182103, 'PTHR12001:SF71', NULL, NULL, NULL, NULL, '(2E,6E)-FARNESYL DIPHOSPHATE SYNTHASE', 125829),
(182104, 'PTHR31815:SF1', NULL, NULL, NULL, NULL, 'AGAP005329-PA', 125830),
(182105, 'PTHR23318:SF20', NULL, NULL, NULL, NULL, 'BINDING', 125831),
(182106, 'PTHR45693:SF51', NULL, NULL, NULL, NULL, '80A08_2', 125832),
(182107, 'PTHR31719:SF43', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 56', 125833),
(182108, 'PTHR10414:SF36', NULL, NULL, NULL, NULL, 'GH11618P', 125834),
(182109, 'PTHR47475', NULL, NULL, NULL, NULL, 'CHROMOSOME TRANSMISSION FIDELITY PROTEIN 8', 125835),
(182110, 'PTHR47951:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 - LIKE PROTEIN-RELATED', 125836),
(182111, 'PTHR47689:SF2', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 125837),
(182112, 'PTHR12277:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125838),
(182113, 'PTHR31260:SF31', NULL, NULL, NULL, NULL, 'BNAC02G16770D PROTEIN', 125839),
(182114, 'PTHR33983:SF12', NULL, NULL, NULL, NULL, 'BNAANNG30110D PROTEIN', 125840),
(182115, 'PTHR15566:SF4', NULL, NULL, NULL, NULL, 'POM121-LIKE PROTEIN 1-RELATED', 125841),
(182116, 'PTHR31087:SF66', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 8', 125842),
(182117, 'PTHR37898', NULL, NULL, NULL, NULL, 'OS05G0540200 PROTEIN', 125843),
(182118, 'PTHR47958:SF83', NULL, NULL, NULL, NULL, 'MEL-46', 125844),
(182119, 'PTHR35735:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125845),
(182120, 'PTHR15427:SF21', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q AND TUMOR NECROSIS FACTOR-RELATED PROTEIN 9A-RELATED', 125846),
(182121, 'PTHR23069:SF4', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 2', 125847),
(182122, 'PTHR32467:SF104', NULL, NULL, NULL, NULL, 'AP2/EREBP TRANSCRIPTION FACTOR-LIKE PROTEIN', 125848),
(182123, 'PTHR33021:SF58', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN', 125849),
(182124, 'PTHR45642:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125850),
(182125, 'PTHR42683:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125851),
(182126, 'PTHR10127:SF785', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-8', 125852),
(182127, 'PTHR31311:SF22', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 4-RELATED', 125853),
(182128, 'PTHR45620:SF18', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE 1 RECEPTOR B', 125854),
(182129, 'PTHR24390:SF162', NULL, NULL, NULL, NULL, 'FEZ FAMILY ZINC FINGER PROTEIN 2', 125855),
(182130, 'PTHR16223:SF233', NULL, NULL, NULL, NULL, 'OS09G0487900 PROTEIN', 125856),
(182131, 'PTHR12730', NULL, NULL, NULL, NULL, 'HSDA/SDA1-RELATED', 125857),
(182132, 'PTHR46441:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125858),
(182133, 'PTHR47968:SF20', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 125859),
(182134, 'PTHR34045', NULL, NULL, NULL, NULL, 'OS03G0406300 PROTEIN', 125860),
(182135, 'PTHR21445:SF0', NULL, NULL, NULL, NULL, 'SI:CH211-141O9.10', 125861),
(182136, 'PTHR30289:SF1', NULL, NULL, NULL, NULL, 'PEBP (PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN) FAMILY PROTEIN', 125862),
(182137, 'PTHR28005', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 17', 125863),
(182138, 'PTHR24377:SF819', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 607', 125864),
(182139, 'PTHR31375:SF43', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE/GLYCOSIDE HYDROLASE FAMILY PROTEIN', 125865),
(182140, 'PTHR11945:SF608', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 26-LIKE', 125866),
(182141, 'PTHR20961:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', 125867),
(182142, 'PTHR11596:SF74', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE, TISSUE-NONSPECIFIC ISOZYME', 125868),
(182143, 'PTHR14255:SF32', NULL, NULL, NULL, NULL, 'SULFITE EXPORTER TAUE/SAFE FAMILY PROTEIN', 125869);
INSERT INTO "PUBLIC"."MODEL" VALUES
(182144, 'PTHR31962:SF1', NULL, NULL, NULL, NULL, 'SPHINGOLIPID LONG CHAIN BASE-RESPONSIVE PROTEIN PIL1', 125870),
(182145, 'PTHR10426:SF90', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 9', 125871),
(182146, 'PTHR35356:SF1', NULL, NULL, NULL, NULL, 'OS01G0157500 PROTEIN', 125872),
(182147, 'PTHR43243:SF51', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 1-LIKE', 125873),
(182148, 'PTHR11783:SF180', NULL, NULL, NULL, NULL, 'GH11818P-RELATED', 125874),
(182149, 'PTHR10822:SF31', NULL, NULL, NULL, NULL, 'GLYPICAN-6', 125875),
(182150, 'PTHR11003:SF285', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR, POTASSIUM CHANNEL DOMAIN PROTEIN-RELATED', 125876),
(182151, 'PTHR33346:SF34', NULL, NULL, NULL, NULL, 'BNAC07G15380D PROTEIN', 125877),
(182152, 'PTHR10288:SF134', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN RCF3', 125878),
(182153, 'PTHR32322:SF13', NULL, NULL, NULL, NULL, 'TRANSPORTER, DRUG/METABOLITE EXPORTER FAMILY', 125879),
(182154, 'PTHR15478:SF8', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN FAMILY A MEMBER 2', 125880),
(182155, 'PTHR27000:SF637', NULL, NULL, NULL, NULL, 'OS02G0228300 PROTEIN', 125881),
(182156, 'PTHR37702:SF12', NULL, NULL, NULL, NULL, 'BNAA02G30680D PROTEIN', 125882),
(182157, 'PTHR36447:SF1', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE GANA', 125883),
(182158, 'PTHR11909:SF291', NULL, NULL, NULL, NULL, 'PROTEIN CBG12889', 125884),
(182159, 'PTHR31009:SF54', NULL, NULL, NULL, NULL, 'OS02G0719600 PROTEIN', 125885),
(182160, 'PTHR31896:SF9', NULL, NULL, NULL, NULL, 'OS08G0111500 PROTEIN', 125886),
(182161, 'PTHR32158:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125887),
(182162, 'PTHR47990:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125888),
(182163, 'PTHR33909:SF1', NULL, NULL, NULL, NULL, 'SEC TRANSLOCON ACCESSORY COMPLEX SUBUNIT YAJC', 125889),
(182164, 'PTHR28436', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM5 HOMOLOG', 125890),
(182165, 'PTHR11440:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125891),
(182166, 'PTHR31301:SF69', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN 12, PUTATIVE, EXPRESSED-RELATED', 125892),
(182167, 'PTHR11913:SF88', NULL, NULL, NULL, NULL, 'ACTIN DEPOLYMERIZING FACTOR 3-RELATED', 125893),
(182168, 'PTHR46013', NULL, NULL, NULL, NULL, 'VASCULAR CELL ADHESION MOLECULE 1', 125894),
(182169, 'PTHR23024:SF521', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 125895),
(182170, 'PTHR12156:SF5', NULL, NULL, NULL, NULL, 'FI18040P1', 125896),
(182171, 'PTHR30523:SF32', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE', 125897),
(182172, 'PTHR33472:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125898),
(182173, 'PTHR15315:SF72', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 125899),
(182174, 'PTHR46132:SF6', NULL, NULL, NULL, NULL, 'DIGALACTOSYLDIACYLGLYCEROL SYNTHASE 1, CHLOROPLASTIC', 125900),
(182175, 'PTHR10966:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', 125901),
(182176, 'PTHR32002:SF53', NULL, NULL, NULL, NULL, 'BNAC07G15260D PROTEIN', 125902),
(182177, 'PTHR46548:SF8', NULL, NULL, NULL, NULL, 'BAH DOMAIN', 125903),
(182178, 'PTHR11183:SF100', NULL, NULL, NULL, NULL, 'GLYCOGENIN-2', 125904),
(182179, 'PTHR43404', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE CHOLINEPHOSPHOTRANSFERASE LICD', 125905),
(182180, 'PTHR31100:SF70', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 125906),
(182181, 'PTHR43811:SF23', NULL, NULL, NULL, NULL, 'FKBP-TYPE 22 KDA PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 125907),
(182182, 'PTHR43280:SF6', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR RHAS', 125908),
(182183, 'PTHR34994:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM25E', 125909),
(182184, 'PTHR31676:SF3', NULL, NULL, NULL, NULL, 'OS05G0362300 PROTEIN', 125910),
(182185, 'PTHR31677:SF125', NULL, NULL, NULL, NULL, 'OSJNBA0043A12.18 PROTEIN', 125911),
(182186, 'PTHR22765:SF247', NULL, NULL, NULL, NULL, 'RECEPTOR HOMOLOGY REGION, TRANSMEMBRANE DOMAIN- AND RING DOMAIN-CONTAINING PROTEIN 2-RELATED', 125912);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(182187, 'PTHR16509', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 125913),
(182188, 'PTHR23226:SF227', NULL, NULL, NULL, NULL, 'MCG112779-RELATED', 125914),
(182189, 'PTHR45824:SF22', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', 125915),
(182190, 'PTHR11817:SF89', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 125916),
(182191, 'PTHR31503:SF65', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', 125917),
(182192, 'PTHR12271:SF124', NULL, NULL, NULL, NULL, 'GH05885P', 125918),
(182193, 'PTHR11952:SF14', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE 3, CHLOROPLASTIC', 125919),
(182194, 'PTHR10562:SF58', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', 125920),
(182195, 'PTHR47947', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82C3-RELATED', 125921),
(182196, 'PTHR33021:SF297', NULL, NULL, NULL, NULL, 'BNAA05G20350D PROTEIN', 125922),
(182197, 'PTHR13723:SF197', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 19', 125923),
(182198, 'PTHR39411', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 113', 125924),
(182199, 'PTHR14261:SF0', NULL, NULL, NULL, NULL, 'ONCOSTATIN-M', 125925),
(182200, 'PTHR43880:SF52', NULL, NULL, NULL, NULL, 'S-(HYDROXYMETHYL)GLUTATHIONE DEHYDROGENASE', 125926),
(182201, 'PTHR11955:SF61', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN, HEART', 125927),
(182202, 'PTHR43570:SF12', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 3 MEMBER B2-RELATED', 125928),
(182203, 'PTHR45768:SF49', NULL, NULL, NULL, NULL, 'OS02G0743100 PROTEIN', 125929),
(182204, 'PTHR10827:SF81', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN', 125930),
(182205, 'PTHR48018:SF83', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5M8', 125931),
(182206, 'PTHR37177:SF5', NULL, NULL, NULL, NULL, 'ALTERNATIVE NAD(P)H DEHYDROGENASE', 125932),
(182207, 'PTHR31352:SF36', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', 125933),
(182208, 'PTHR30371:SF9', NULL, NULL, NULL, NULL, 'BNAA06G35150D PROTEIN', 125934),
(182209, 'PTHR31639:SF143', NULL, NULL, NULL, NULL, 'BNAA03G50920D PROTEIN', 125935),
(182210, 'PTHR31388:SF34', NULL, NULL, NULL, NULL, 'PEROXIDASE 10', 125936),
(182211, 'PTHR10903:SF146', NULL, NULL, NULL, NULL, 'IMMUNE-ASSOCIATED NUCLEOTIDE-BINDING PROTEIN 1-RELATED', 125937),
(182212, 'PTHR19876:SF46', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA', 125938),
(182213, 'PTHR31449:SF3', NULL, NULL, NULL, NULL, 'UPF0598 PROTEIN C8ORF82', 125939),
(182214, 'PTHR47970:SF3', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 125940),
(182215, 'PTHR35490:SF7', NULL, NULL, NULL, NULL, 'BNAC01G42400D PROTEIN', 125941),
(182216, 'PTHR46566:SF1', NULL, NULL, NULL, NULL, '1-PHOSPHOFRUCTOKINASE', 125942),
(182217, 'PTHR43851:SF3', NULL, NULL, NULL, NULL, 'LD23884P', 125943),
(182218, 'PTHR26379:SF384', NULL, NULL, NULL, NULL, 'BNAC09G38850D PROTEIN', 125944),
(182219, 'PTHR12682:SF12', NULL, NULL, NULL, NULL, 'PROTEIN ARCHEASE', 125945),
(182220, 'PTHR10693:SF52', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING BINDING-LIKE PROTEIN', 125946),
(182221, 'PTHR13068:SF84', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR-LIKE', 125947),
(182222, 'PTHR11764:SF72', NULL, NULL, NULL, NULL, 'BNAC04G13210D PROTEIN', 125948),
(182223, 'PTHR11814:SF243', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 1,3-RELATED', 125949),
(182224, 'PTHR10807:SF51', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 11', 125950),
(182225, 'PTHR18966:SF157', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 1', 125951),
(182226, 'PTHR23023:SF243', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 125952),
(182227, 'PTHR14037', NULL, NULL, NULL, NULL, 'MAMMAGLOBIN-RELATED', 125953),
(182228, 'PTHR19923:SF1', NULL, NULL, NULL, NULL, 'BNAA01G27690D PROTEIN', 125954),
(182229, 'PTHR46038:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125955),
(182230, 'PTHR10114', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', 125956),
(182231, 'PTHR45849:SF3', NULL, NULL, NULL, NULL, 'HISTONE CHAPERONE RTT106', 125957);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(182232, 'PTHR12398:SF20', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1, REGULATORY (INHIBITOR) SUBUNIT 2', 125958),
(182233, 'PTHR44516:SF8', NULL, NULL, NULL, NULL, '2-METHYL-6-PHYTYL-1,4-HYDROQUINONE METHYLTRANSFERASE 1, CHLOROPLASTIC', 125959),
(182234, 'PTHR24031:SF700', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125960),
(182235, 'PTHR33110:SF64', NULL, NULL, NULL, NULL, 'RESPONSIVE TO DEHYDRATION 22', 125961),
(182236, 'PTHR48032', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MUSASHI HOMOLOG RBP6', 125962),
(182237, 'PTHR11351:SF20', NULL, NULL, NULL, NULL, 'ACYL-COA DESATURASE 4', 125963),
(182238, 'PTHR23245:SF35', NULL, NULL, NULL, NULL, 'TRNA (GUANINE(37)-N1)-METHYLTRANSFERASE 2', 125964),
(182239, 'PTHR24221:SF438', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', 125965),
(182240, 'PTHR15641', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 5', 125966),
(182241, 'PTHR31190:SF270', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF071', 125967),
(182242, 'PTHR24226:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 146-RELATED', 125968),
(182243, 'PTHR18868:SF43', NULL, NULL, NULL, NULL, 'OS01G0776500 PROTEIN', 125969),
(182244, 'PTHR31346', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 2, CHLOROPLASTIC-RELATED-RELATED', 125970),
(182245, 'PTHR23024:SF96', NULL, NULL, NULL, NULL, 'ARYLFORMAMIDASE', 125971),
(182246, 'PTHR47993:SF170', NULL, NULL, NULL, NULL, 'BNAA03G01620D PROTEIN', 125972),
(182247, 'PTHR24298:SF47', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 77A4', 125973),
(182248, 'PTHR46387:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125974),
(182249, 'PTHR47336:SF3', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN TYE7', 125975),
(182250, 'PTHR46854:SF4', NULL, NULL, NULL, NULL, 'BNAA05G18330D PROTEIN', 125976),
(182251, 'PTHR34196', NULL, NULL, NULL, NULL, 'OS02G0697700 PROTEIN', 125977),
(182252, 'PTHR12632:SF41', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-10', 125978),
(182253, 'PTHR31221:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125979),
(182254, 'PTHR14002:SF36', NULL, NULL, NULL, NULL, 'CUB AND ZONA PELLUCIDA-LIKE DOMAINS 1, TANDEM DUPLICATE 2', 125980),
(182255, 'PTHR23515:SF27', NULL, NULL, NULL, NULL, 'BNAC08G43370D PROTEIN', 125981),
(182256, 'PTHR23067:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125982),
(182257, 'PTHR31683:SF86', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 125983),
(182258, 'PTHR23240:SF26', NULL, NULL, NULL, NULL, '5'' EXONUCLEASE APOLLO', 125984),
(182259, 'PTHR11254', NULL, NULL, NULL, NULL, 'HECT DOMAIN UBIQUITIN-PROTEIN LIGASE', 125985),
(182260, 'PTHR27000:SF603', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 125986),
(182261, 'PTHR47995:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125987),
(182262, 'PTHR37996', NULL, NULL, NULL, NULL, 'B- AND T-LYMPHOCYTE ATTENUATOR', 125988),
(182263, 'PTHR31325:SF185', NULL, NULL, NULL, NULL, 'OS10G0482200 PROTEIN', 125989),
(182264, 'PTHR35862:SF2', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', 125990),
(182265, 'PTHR31973:SF142', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', 125991),
(182266, 'PTHR46634:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125992),
(182267, 'PTHR22748:SF4', NULL, NULL, NULL, NULL, 'DNA-(APURINIC OR APYRIMIDINIC SITE) LYASE 2', 125993),
(182268, 'PTHR10894:SF19', NULL, NULL, NULL, NULL, 'PROTEIN NOP56, PUTATIVE, EXPRESSED-RELATED', 125994),
(182269, 'PTHR47849:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125995),
(182270, 'PTHR32382:SF34', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 3', 125996),
(182271, 'PTHR37342', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689959', 125997),
(182272, 'PTHR33696:SF5', NULL, NULL, NULL, NULL, 'OS02G0551600 PROTEIN', 125998),
(182273, 'PTHR21660:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 125999),
(182274, 'PTHR33337:SF30', NULL, NULL, NULL, NULL, 'GLUTATHIONE-DEPENDENT FORMALDEHYDE-ACTIVATING ENZYME', 126000),
(182275, 'PTHR24292:SF96', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 126001);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(182276, 'PTHR24034:SF130', NULL, NULL, NULL, NULL, 'LATENT TRANSFORMING GROWTH FACTOR BETA BINDING PROTEIN 3', 126002),
(182277, 'PTHR14491:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126003),
(182278, 'PTHR15599', NULL, NULL, NULL, NULL, 'RTDR1', 126004),
(182279, 'PTHR45708:SF28', NULL, NULL, NULL, NULL, 'A, PUTATIVE-RELATED', 126005),
(182280, 'PTHR14647:SF61', NULL, NULL, NULL, NULL, 'SYNDECAN', 126006),
(182281, 'PTHR10869:SF158', NULL, NULL, NULL, NULL, 'PROLINE HYDROXYLASE', 126007),
(182282, 'PTHR10666:SF327', NULL, NULL, NULL, NULL, 'UBIQUITIN-40S RIBOSOMAL PROTEIN S27A-1', 126008),
(182283, 'PTHR34780:SF9', NULL, NULL, NULL, NULL, 'OS02G0733900 PROTEIN', 126009),
(182284, 'PTHR47640:SF46', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', 126010),
(182285, 'PTHR11654:SF393', NULL, NULL, NULL, NULL, 'OS06G0632100 PROTEIN', 126011),
(182286, 'PTHR24567:SF13', NULL, NULL, NULL, NULL, 'ANAEROBIC REGULATORY PROTEIN', 126012),
(182287, 'PTHR18953:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126013),
(182288, 'PTHR28222', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD4', 126014),
(182289, 'PTHR31790:SF387', NULL, NULL, NULL, NULL, 'BNAA04G18280D PROTEIN', 126015),
(182290, 'PTHR11388:SF150', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', 126016),
(182291, 'PTHR24381:SF333', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2810021J22 GENE', 126017),
(182292, 'PTHR13126:SF1', NULL, NULL, NULL, NULL, 'BNAA04G19940D PROTEIN', 126018),
(182293, 'PTHR43647:SF5', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE-RELATED', 126019),
(182294, 'PTHR18945:SF776', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE-GATED CHLORIDE CHANNEL SUBUNIT ACC-1', 126020),
(182295, 'PTHR24292', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 126021),
(182296, 'PTHR23291:SF31', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 4', 126022),
(182297, 'PTHR24361:SF830', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 126023),
(182298, 'PTHR45705:SF9', NULL, NULL, NULL, NULL, 'PROTEIN GTS1', 126024),
(182299, 'PTHR23501:SF175', NULL, NULL, NULL, NULL, 'SIDEROPHORE IRON TRANSPORTER MIRC-RELATED', 126025),
(182300, 'PTHR12411:SF16', NULL, NULL, NULL, NULL, 'TUBULOINTERSTITIAL NEPHRITIS ANTIGEN-LIKE 1', 126026),
(182301, 'PTHR32102', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 126027),
(182302, 'PTHR12566:SF8', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATION ELEMENT-BINDING PROTEIN 2', 126028),
(182303, 'PTHR23073:SF103', NULL, NULL, NULL, NULL, 'BNAA05G31700D PROTEIN', 126029),
(182304, 'PTHR15606:SF4', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 8', 126030),
(182305, 'PTHR33021:SF364', NULL, NULL, NULL, NULL, 'CUPREDOXIN-RELATED', 126031),
(182306, 'PTHR43040:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE D', 126032),
(182307, 'PTHR45649:SF6', NULL, NULL, NULL, NULL, 'GABA-SPECIFIC PERMEASE', 126033),
(182308, 'PTHR10782:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126034),
(182309, 'PTHR12002:SF27', NULL, NULL, NULL, NULL, 'CLAUDIN-19', 126035),
(182310, 'PTHR15964', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN B48 RECEPTOR', 126036),
(182311, 'PTHR11807:SF27', NULL, NULL, NULL, NULL, 'TRNA-5-METHYLURIDINE(54) 2-SULFURTRANSFERASE', 126037),
(182312, 'PTHR47968:SF5', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 126038),
(182313, 'PTHR24271:SF69', NULL, NULL, NULL, NULL, 'GRANZYME A', 126039),
(182314, 'PTHR31086:SF54', NULL, NULL, NULL, NULL, 'ALUMINUM ACTIVATED MALATE TRANSPORTER FAMILY PROTEIN', 126040),
(182315, 'PTHR10366:SF404', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1', 126041),
(182316, 'PTHR21700:SF13', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 126042),
(182317, 'PTHR33600:SF3', NULL, NULL, NULL, NULL, 'PLASTID DIVISION PROTEIN PDV2', 126043),
(182318, 'PTHR33110:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126044),
(182319, 'PTHR43706:SF21', NULL, NULL, NULL, NULL, 'INTERNAL ALTERNATIVE NAD(P)H-UBIQUINONE OXIDOREDUCTASE A1, MITOCHONDRIAL', 126045),
(182320, 'PTHR11926:SF1354', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 126046);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(182321, 'PTHR48063:SF11', NULL, NULL, NULL, NULL, 'HCRVF1 PROTEIN-LIKE', 126047),
(182322, 'PTHR11176:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126048),
(182323, 'PTHR19443:SF1', NULL, NULL, NULL, NULL, 'HEXOKINASE-3', 126049),
(182324, 'PTHR24206:SF59', NULL, NULL, NULL, NULL, '[F-ACTIN]-MONOOXYGENASE MICAL1', 126050),
(182325, 'PTHR43768:SF27', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE A', 126051),
(182326, 'PTHR45717:SF15', NULL, NULL, NULL, NULL, 'OS01G0280400 PROTEIN', 126052),
(182327, 'PTHR45850:SF4', NULL, NULL, NULL, NULL, 'SORTING NEXIN-6', 126053),
(182328, 'PTHR11132:SF270', NULL, NULL, NULL, NULL, 'GDP-MANNOSE TRANSPORTER GONST3', 126054),
(182329, 'PTHR13825', NULL, NULL, NULL, NULL, 'SCHNURRI', 126055),
(182330, 'PTHR12815:SF44', NULL, NULL, NULL, NULL, 'SORTING AND ASSEMBLY MACHINERY COMPONENT 50 HOMOLOG A', 126056),
(182331, 'PTHR33070:SF62', NULL, NULL, NULL, NULL, 'BNAA09G54690D PROTEIN', 126057),
(182332, 'PTHR31579:SF8', NULL, NULL, NULL, NULL, 'OS10G0417800 PROTEIN', 126058),
(182333, 'PTHR48079:SF5', NULL, NULL, NULL, NULL, 'DEPENDENT EPIMERASE/DEHYDRATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00180)-RELATED', 126059),
(182334, 'PTHR33309:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126060),
(182335, 'PTHR45974:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126061),
(182336, 'PTHR21621:SF0', NULL, NULL, NULL, NULL, 'BETA-CITRYLGLUTAMATE SYNTHASE B', 126062),
(182337, 'PTHR14445:SF38', NULL, NULL, NULL, NULL, 'GRB10-INTERACTING GYF PROTEIN 2', 126063),
(182338, 'PTHR23408:SF3', NULL, NULL, NULL, NULL, 'METHYLMALONIC ACIDURIA TYPE A PROTEIN, MITOCHONDRIAL', 126064),
(182339, 'PTHR42535:SF2', NULL, NULL, NULL, NULL, 'OOKINETE PROTEIN, PUTATIVE-RELATED', 126065),
(182340, 'PTHR10458', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE', 126066),
(182341, 'PTHR43795:SF86', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 7-LIKE', 126067),
(182342, 'PTHR24123:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126068),
(182343, 'PTHR45779', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 126069),
(182344, 'PTHR13890:SF26', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-1', 126070),
(182345, 'PTHR35495:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126071),
(182346, 'PTHR40641', NULL, NULL, NULL, NULL, 'INVOLUCRIN REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_2G08060)', 126072),
(182347, 'PTHR22753:SF14', NULL, NULL, NULL, NULL, 'ESTERASE/LIPASE/THIOESTERASE-LIKE PROTEIN', 126073),
(182348, 'PTHR31376:SF49', NULL, NULL, NULL, NULL, 'OS09G0548600 PROTEIN', 126074),
(182349, 'PTHR46077:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126075),
(182350, 'PTHR46110:SF5', NULL, NULL, NULL, NULL, 'H6 FAMILY HOMEOBOX 4', 126076),
(182351, 'PTHR24226:SF0', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 182', 126077),
(182352, 'PTHR16517:SF124', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 126078),
(182353, 'PTHR31321:SF100', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 126079),
(182354, 'PTHR37613:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126080),
(182355, 'PTHR22572:SF104', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLTRANSFERASE ALPHA', 126081),
(182356, 'PTHR16489:SF11', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 15B', 126082),
(182357, 'PTHR16655:SF4', NULL, NULL, NULL, NULL, 'COCAINE-AND AMPHETAMINE-REGULATED TRANSCRIPT CH22', 126083),
(182358, 'PTHR32071:SF38', NULL, NULL, NULL, NULL, 'PSP OPERON TRANSCRIPTIONAL ACTIVATOR', 126084),
(182359, 'PTHR11431:SF91', NULL, NULL, NULL, NULL, 'FERRITIN-2, CHLOROPLASTIC-RELATED', 126085),
(182360, 'PTHR13140:SF804', NULL, NULL, NULL, NULL, 'MYOSIN IC HEAVY CHAIN', 126086),
(182361, 'PTHR12411:SF782', NULL, NULL, NULL, NULL, 'CATHEPSIN B', 126087),
(182362, 'PTHR48013:SF10', NULL, NULL, NULL, NULL, 'STE20-RELATED KINASE ADAPTER PROTEIN STRD-1', 126088),
(182363, 'PTHR19134:SF498', NULL, NULL, NULL, NULL, 'LD27988P', 126089),
(182364, 'PTHR22765:SF180', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', 126090);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(182365, 'PTHR14211:SF8', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NOP53', 126091),
(182366, 'PTHR14554:SF1', NULL, NULL, NULL, NULL, 'GENE, 49416-RELATED', 126092),
(182367, 'PTHR35532:SF5', NULL, NULL, NULL, NULL, 'SIMILAR TO POLYHYDROXYALKANOATE DEPOLYMERASE', 126093),
(182368, 'PTHR46941:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 126', 126094),
(182369, 'PTHR23503', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 126095),
(182370, 'PTHR46128:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126096),
(182371, 'PTHR10485:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM17-B', 126097),
(182372, 'PTHR32285:SF177', NULL, NULL, NULL, NULL, 'OS01G0217000 PROTEIN', 126098),
(182373, 'PTHR31352:SF40', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 6', 126099),
(182374, 'PTHR47993:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126100),
(182375, 'PTHR31929:SF34', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR19-RELATED', 126101),
(182376, 'PTHR37959:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01966', 126102),
(182377, 'PTHR45811:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126103),
(182378, 'PTHR13844:SF57', NULL, NULL, NULL, NULL, 'LD45195P', 126104),
(182379, 'PTHR12143:SF41', NULL, NULL, NULL, NULL, 'PUTATIVE SUBFAMILY (AFU_ORTHOLOGUE AFUA_6G13760)-RELATED', 126105),
(182380, 'PTHR31325:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 126106),
(182381, 'PTHR12526:SF592', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 126107),
(182382, 'PTHR32018:SF40', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-RELATED', 126108),
(182383, 'PTHR31350:SF19', NULL, NULL, NULL, NULL, 'TRANSGLUTAMINASE FAMILY PROTEIN', 126109),
(182384, 'PTHR33164:SF56', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MHQR', 126110),
(182385, 'PTHR22802:SF325', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 10 MEMBER A', 126111),
(182386, 'PTHR31945:SF117', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 126112),
(182387, 'PTHR11010:SF38', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE 2', 126113),
(182388, 'PTHR24012:SF827', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 126114),
(182389, 'PTHR13817:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126115),
(182390, 'PTHR14233:SF20', NULL, NULL, NULL, NULL, 'OS09G0513200 PROTEIN', 126116),
(182391, 'PTHR26450:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126117),
(182392, 'PTHR13271:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126118),
(182393, 'PTHR10194:SF53', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN 3', 126119),
(182394, 'PTHR24089:SF710', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL3-RELATED', 126120),
(182395, 'PTHR15362:SF28', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--SERINE O-PHOSPHATIDYLTRANSFERASE 1', 126121),
(182396, 'PTHR31852:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126122),
(182397, 'PTHR47958:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-11', 126123),
(182398, 'PTHR24231:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126124),
(182399, 'PTHR31113:SF29', NULL, NULL, NULL, NULL, 'UPF0496 PROTEIN 1', 126125),
(182400, 'PTHR31096:SF16', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR11', 126126),
(182401, 'PTHR10676:SF242', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 3, AXONEMAL', 126127),
(182402, 'PTHR24015:SF1875', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 126128),
(182403, 'PTHR16592:SF2', NULL, NULL, NULL, NULL, 'ASTROTACTIN-2', 126129),
(182404, 'PTHR31415:SF64', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 3', 126130),
(182405, 'PTHR31989:SF230', NULL, NULL, NULL, NULL, 'OS02G0252200 PROTEIN', 126131),
(182406, 'PTHR37900:SF5', NULL, NULL, NULL, NULL, 'OS06G0686900 PROTEIN', 126132),
(182407, 'PTHR34512:SF30', NULL, NULL, NULL, NULL, 'CELL SURFACE PROTEIN', 126133),
(182408, 'PTHR34191:SF23', NULL, NULL, NULL, NULL, 'STRESS-INDUCED PROTEIN KIN1-RELATED', 126134);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(182409, 'PTHR26452:SF115', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 126135),
(182410, 'PTHR45648:SF4', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', 126136),
(182411, 'PTHR11528:SF117', NULL, NULL, NULL, NULL, 'BNAA06G33590D PROTEIN', 126137),
(182412, 'PTHR11528:SF99', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90', 126138),
(182413, 'PTHR10666:SF325', NULL, NULL, NULL, NULL, 'BNAA08G07930D PROTEIN', 126139),
(182414, 'PTHR23063:SF43', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID:OLEOYL-COA ACYLTRANSFERASE 1', 126140),
(182415, 'PTHR23428:SF280', NULL, NULL, NULL, NULL, 'HISTONE H2B', 126141),
(182416, 'PTHR46836:SF11', NULL, NULL, NULL, NULL, 'BNAA07G37650D PROTEIN', 126142),
(182417, 'PTHR11071:SF431', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP26-1', 126143),
(182418, 'PTHR11767:SF106', NULL, NULL, NULL, NULL, 'ZGC:162160', 126144),
(182419, 'PTHR31929:SF42', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN X10A-RELATED', 126145),
(182420, 'PTHR26453:SF667', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-LIKE PROTEIN OLF3', 126146),
(182421, 'PTHR19423:SF11', NULL, NULL, NULL, NULL, 'SH3-DOMAIN-BINDING PROTEIN 5B (BTK-ASSOCIATED)', 126147),
(182422, 'PTHR33696:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126148),
(182423, 'PTHR26453:SF607', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 701', 126149),
(182424, 'PTHR33895:SF15', NULL, NULL, NULL, NULL, 'HUMANIN-RELATED', 126150),
(182425, 'PTHR14093:SF17', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN GAMMA CHAIN', 126151),
(182426, 'PTHR27005:SF379', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL PSEUDOKINASE ZED1-LIKE', 126152),
(182427, 'PTHR45844:SF21', NULL, NULL, NULL, NULL, 'BNAA03G18960D PROTEIN', 126153),
(182428, 'PTHR11736:SF24', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B16', 126154),
(182429, 'PTHR13871:SF27', NULL, NULL, NULL, NULL, 'THIOREDOXIN [SEE ALSO XTR]', 126155),
(182430, 'PTHR12335:SF7', NULL, NULL, NULL, NULL, 'RT03134P', 126156),
(182431, 'PTHR11850:SF277', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126157),
(182432, 'PTHR23056:SF114', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN', 126158),
(182433, 'PTHR12176:SF68', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 126159),
(182434, 'PTHR14002:SF41', NULL, NULL, NULL, NULL, 'ENDOGLIN', 126160),
(182435, 'PTHR48044:SF20', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 126161),
(182436, 'PTHR23142:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126162),
(182437, 'PTHR11849:SF170', NULL, NULL, NULL, NULL, 'ETS-RELATED TRANSCRIPTION FACTOR ELF-4', 126163),
(182438, 'PTHR44329:SF71', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CTR1-LIKE ISOFORM X1', 126164),
(182439, 'PTHR33132:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126165),
(182440, 'PTHR45940:SF28', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 2', 126166),
(182441, 'PTHR45782:SF5', NULL, NULL, NULL, NULL, 'DAR GTPASE 3, CHLOROPLASTIC', 126167),
(182442, 'PTHR46662:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126168),
(182443, 'PTHR47990:SF56', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 126169),
(182444, 'PTHR33862:SF3', NULL, NULL, NULL, NULL, 'OROFACIAL CLEFT 1 CANDIDATE GENE 1 PROTEIN', 126170),
(182445, 'PTHR48077:SF5', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE', 126171),
(182446, 'PTHR34787:SF4', NULL, NULL, NULL, NULL, 'BNAA06G01680D PROTEIN', 126172),
(182447, 'PTHR45752:SF80', NULL, NULL, NULL, NULL, 'LEUCINE-RICH-REPEATS AND CALPONIN HOMOLOGY DOMAIN PROTEIN, ISOFORM B', 126173),
(182448, 'PTHR34403:SF8', NULL, NULL, NULL, NULL, 'CEREBELLAR DEGENERATION-RELATED ANTIGEN 1', 126174),
(182449, 'PTHR30603:SF51', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-K FACTOR', 126175),
(182450, 'PTHR11010:SF34', NULL, NULL, NULL, NULL, 'PROTEIN CBG01710', 126176),
(182451, 'PTHR45832:SF1', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 126177),
(182452, 'PTHR24286:SF222', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 90B2-LIKE', 126178);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(182453, 'PTHR23344', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHORYL DIESTER PHOSPHODIESTERASE', 126179),
(182454, 'PTHR43108:SF6', NULL, NULL, NULL, NULL, 'N-SULPHOGLUCOSAMINE SULPHOHYDROLASE', 126180),
(182455, 'PTHR10996:SF248', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3', 126181),
(182456, 'PTHR14898:SF7', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB-LIKE TRANSCRIPTION FACTOR PROTEIN', 126182),
(182457, 'PTHR10774:SF188', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-2', 126183),
(182458, 'PTHR10585:SF81', NULL, NULL, NULL, NULL, 'OS08G0548200 PROTEIN', 126184),
(182459, 'PTHR31917:SF95', NULL, NULL, NULL, NULL, 'OS02G0204500 PROTEIN', 126185),
(182460, 'PTHR43689:SF8', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN CONTAINING HOMOLOG', 126186),
(182461, 'PTHR47956:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126187),
(182462, 'PTHR31822:SF1', NULL, NULL, NULL, NULL, 'SERINE-RICH SINGLE-PASS MEMBRANE PROTEIN 1', 126188),
(182463, 'PTHR31232:SF43', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 18-RELATED', 126189),
(182464, 'PTHR46290:SF1', NULL, NULL, NULL, NULL, 'DI-N-ACETYLCHITOBIASE', 126190),
(182465, 'PTHR34052:SF5', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN', 126191),
(182466, 'PTHR11743:SF70', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 1', 126192),
(182467, 'PTHR24055:SF162', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 10', 126193),
(182468, 'PTHR31375:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126194),
(182469, 'PTHR11017:SF300', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 126195),
(182470, 'PTHR10015:SF324', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-1E', 126196),
(182471, 'PTHR22984:SF22', NULL, NULL, NULL, NULL, 'PIM (MAMMALIAN ONCOGENE) RELATED KINASE', 126197),
(182472, 'PTHR15678:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ABERRANT POLLEN TRANSMISSION 1', 126198),
(182473, 'PTHR22595:SF155', NULL, NULL, NULL, NULL, 'BNAC09G51720D PROTEIN', 126199),
(182474, 'PTHR31284:SF34', NULL, NULL, NULL, NULL, 'HAD SUPERFAMILY, SUBFAMILY IIIB ACID PHOSPHATASE', 126200),
(182475, 'PTHR43650:SF7', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', 126201),
(182476, 'PTHR36475:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH SINGLE-PASS MEMBRANE PROTEIN 1', 126202),
(182477, 'PTHR33491', NULL, NULL, NULL, NULL, 'OSJNBA0016N04.9 PROTEIN', 126203),
(182478, 'PTHR34397:SF26', NULL, NULL, NULL, NULL, 'OS05G0567000 PROTEIN', 126204),
(182479, 'PTHR37610:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126205),
(182480, 'PTHR21381:SF3', NULL, NULL, NULL, NULL, 'ZGC:162297', 126206),
(182481, 'PTHR12320:SF66', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 126207),
(182482, 'PTHR33021:SF402', NULL, NULL, NULL, NULL, 'BNAC09G41380D PROTEIN', 126208),
(182483, 'PTHR10891:SF896', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126209),
(182484, 'PTHR27002:SF716', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE B120', 126210),
(182485, 'PTHR10457:SF24', NULL, NULL, NULL, NULL, 'MEVALONATE/GALACTOKINASE FAMILY PROTEIN', 126211),
(182486, 'PTHR13647:SF4', NULL, NULL, NULL, NULL, 'INSULIN-LIKE PEPTIDE 2-RELATED', 126212),
(182487, 'PTHR46610:SF18', NULL, NULL, NULL, NULL, 'OS01G0183850 PROTEIN', 126213),
(182488, 'PTHR27006:SF303', NULL, NULL, NULL, NULL, 'BNAC05G14750D PROTEIN', 126214),
(182489, 'PTHR15666:SF1', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 5', 126215),
(182490, 'PTHR15241:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126216),
(182491, 'PTHR34797:SF5', NULL, NULL, NULL, NULL, 'ATG8-INTERACTING PROTEIN 1', 126217),
(182492, 'PTHR11070:SF7', NULL, NULL, NULL, NULL, 'DNA HELICASE II', 126218),
(182493, 'PTHR33402:SF16', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 13-RELATED', 126219),
(182494, 'PTHR10338:SF115', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN H3', 126220),
(182495, 'PTHR31190:SF144', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', 126221);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(182496, 'PTHR47391:SF1', NULL, NULL, NULL, NULL, 'BIORIENTATION OF CHROMOSOMES IN CELL DIVISION 1 LIKE 1', 126222),
(182497, 'PTHR15422:SF21', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 DOMAIN-CONTAINING PROTEIN 2', 126223),
(182498, 'PTHR30333:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE PROTEIN TORY', 126224),
(182499, 'PTHR13890:SF47', NULL, NULL, NULL, NULL, 'BNAA06G23540D PROTEIN', 126225),
(182500, 'PTHR47990:SF9', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20-OXIDASE-LIKE PROTEIN', 126226),
(182501, 'PTHR10067:SF15', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE DECARBOXYLASE PROENZYME 2', 126227),
(182502, 'PTHR10612:SF15', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN DB', 126228),
(182503, 'PTHR13803:SF41', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR, TYPE A-RELATED', 126229),
(182504, 'PTHR32285:SF252', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 19', 126230),
(182505, 'PTHR47990:SF117', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 126231),
(182506, 'PTHR46450:SF14', NULL, NULL, NULL, NULL, 'INACTIVE HISTONE-LYSINE N-METHYLTRANSFERASE SUVR2 ISOFORM X1-RELATED', 126232),
(182507, 'PTHR38039', NULL, NULL, NULL, NULL, 'TOXIN YOEB', 126233),
(182508, 'PTHR11905:SF231', NULL, NULL, NULL, NULL, 'ADAM METALLOPEPTIDASE DOMAIN 21', 126234),
(182509, 'PTHR24072:SF322', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 126235),
(182510, 'PTHR31929:SF44', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR22-LIKE', 126236),
(182511, 'PTHR38398', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 126237),
(182512, 'PTHR11414:SF21', NULL, NULL, NULL, NULL, 'CYSTATIN 14A, TANDEM DUPLICATE 1-RELATED', 126238),
(182513, 'PTHR11926:SF1377', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 126239),
(182514, 'PTHR24115:SF817', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12A-RELATED', 126240),
(182515, 'PTHR19303:SF20', NULL, NULL, NULL, NULL, 'TIGGER TRANSPOSABLE ELEMENT-DERIVED PROTEIN 6', 126241),
(182516, 'PTHR47992:SF135', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C', 126242),
(182517, 'PTHR31159', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 3', 126243),
(182518, 'PTHR37014:SF9', NULL, NULL, NULL, NULL, 'CONSERVED HISTIDINE-RICH PROTEIN (AFU_ORTHOLOGUE AFUA_1G11910)', 126244),
(182519, 'PTHR10270:SF210', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-7', 126245),
(182520, 'PTHR46057:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126246),
(182521, 'PTHR11418', NULL, NULL, NULL, NULL, 'GLUCAGON', 126247),
(182522, 'PTHR47966:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126248),
(182523, 'PTHR30390:SF6', NULL, NULL, NULL, NULL, 'DNAA INITIATOR-ASSOCIATING PROTEIN DIAA', 126249),
(182524, 'PTHR31001:SF47', NULL, NULL, NULL, NULL, 'FUNGAL SPECIFIC TRANSCRIPTION FACTOR DOMAIN-CONTAINING PROTEIN', 126250),
(182525, 'PTHR33270:SF5', NULL, NULL, NULL, NULL, 'GB|AAC00605.1', 126251),
(182526, 'PTHR15706:SF2', NULL, NULL, NULL, NULL, 'BUD EMERGENCE PROTEIN 1', 126252),
(182527, 'PTHR36142:SF2', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE/OXIDOREDUCTASE SUPERFAMILY PROTEIN', 126253),
(182528, 'PTHR48017:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126254),
(182529, 'PTHR46200:SF1', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN WDR24', 126255),
(182530, 'PTHR23421:SF74', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 1', 126256),
(182531, 'PTHR15852:SF63', NULL, NULL, NULL, NULL, 'BNAA02G17140D PROTEIN', 126257),
(182532, 'PTHR15725', NULL, NULL, NULL, NULL, 'ZN-FINGER, C-X8-C-X5-C-X3-H TYPE-CONTAINING', 126258),
(182533, 'PTHR33270:SF18', NULL, NULL, NULL, NULL, 'BNAC05G50380D PROTEIN', 126259),
(182534, 'PTHR10638:SF73', NULL, NULL, NULL, NULL, 'AMINE OXIDASE-RELATED', 126260),
(182535, 'PTHR13544:SF0', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE-LIKE SELENOPROTEIN T', 126261),
(182536, 'PTHR42861:SF65', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 126262),
(182537, 'PTHR38685', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN ZIPA', 126263);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(182538, 'PTHR23320:SF10', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 14', 126264),
(182539, 'PTHR43507:SF12', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE CHAIN 4, CHLOROPLASTIC', 126265),
(182540, 'PTHR40448:SF1', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SENSOR HISTIDINE KINASE', 126266),
(182541, 'PTHR33495:SF13', NULL, NULL, NULL, NULL, 'ANTI-SIGMA-F FACTOR ANTAGONIST RSFB', 126267),
(182542, 'PTHR44119', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLH, CHLOROPLASTIC', 126268),
(182543, 'PTHR22745:SF13', NULL, NULL, NULL, NULL, 'PROTHYMOSIN ALPHA-B', 126269),
(182544, 'PTHR46506:SF18', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 126270),
(182545, 'PTHR10551:SF26', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 5 PROTEIN', 126271),
(182546, 'PTHR31236:SF50', NULL, NULL, NULL, NULL, 'BNAC06G02550D PROTEIN', 126272),
(182547, 'PTHR23111:SF23', NULL, NULL, NULL, NULL, 'RAN BP2/NZF ZINC FINGER-LIKE SUPERFAMILY PROTEIN', 126273),
(182548, 'PTHR27004:SF351', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', 126274),
(182549, 'PTHR27002:SF820', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE B120', 126275),
(182550, 'PTHR31790:SF189', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 126276),
(182551, 'PTHR37079', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATM', 126277),
(182552, 'PTHR46721:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N1', 126278),
(182553, 'PTHR24356:SF214', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C IOTA TYPE', 126279),
(182554, 'PTHR11374:SF50', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', 126280),
(182555, 'PTHR34808', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 126281),
(182556, 'PTHR45614:SF161', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', 126282),
(182557, 'PTHR43670:SF73', NULL, NULL, NULL, NULL, 'OS03G0656000 PROTEIN', 126283),
(182558, 'PTHR23266:SF331', NULL, NULL, NULL, NULL, 'IG GAMMA-1 CHAIN C REGION, MEMBRANE-BOUND FORM', 126284),
(182559, 'PTHR12560:SF53', NULL, NULL, NULL, NULL, 'BNAA01G26210D PROTEIN', 126285),
(182560, 'PTHR32285:SF11', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 34', 126286),
(182561, 'PTHR11040:SF156', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 9', 126287),
(182562, 'PTHR12317:SF67', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 2D-LIKE', 126288),
(182563, 'PTHR31339:SF72', NULL, NULL, NULL, NULL, 'BNAA02G30650D PROTEIN', 126289),
(182564, 'PTHR14332', NULL, NULL, NULL, NULL, 'DISRUPTED IN SCHIZOPHRENIA 1 PROTEIN', 126290),
(182565, 'PTHR31391:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126291),
(182566, 'PTHR10985:SF135', NULL, NULL, NULL, NULL, 'HAIRY AND ENHANCER OF SPLIT-RELATED-7', 126292),
(182567, 'PTHR48017:SF38', NULL, NULL, NULL, NULL, 'GABA TRANSPORTER 1-LIKE', 126293),
(182568, 'PTHR35698:SF2', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RHL1', 126294),
(182569, 'PTHR33388:SF18', NULL, NULL, NULL, NULL, 'PROTEIN SPEAR1', 126295),
(182570, 'PTHR47989:SF13', NULL, NULL, NULL, NULL, 'BNAA02G08470D PROTEIN', 126296),
(182571, 'PTHR46756', NULL, NULL, NULL, NULL, 'TRANSGELIN', 126297),
(182572, 'PTHR45637:SF40', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIPK1', 126298),
(182573, 'PTHR46164:SF4', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER TRANSCRIPTION FACTOR C-RELATED', 126299),
(182574, 'PTHR12411:SF734', NULL, NULL, NULL, NULL, 'CATHEPSIN S, ORTHOLOG 1', 126300),
(182575, 'PTHR10209:SF765', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN-RELATED', 126301),
(182576, 'PTHR11785:SF519', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126302),
(182577, 'PTHR22923:SF52', NULL, NULL, NULL, NULL, 'CEREBELLIN 12', 126303),
(182578, 'PTHR13326:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126304),
(182579, 'PTHR34224', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 2, CHLOROPLASTIC-RELATED', 126305),
(182580, 'PTHR10241:SF22', NULL, NULL, NULL, NULL, 'SYNTAXIN-BINDING PROTEIN 5', 126306);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(182581, 'PTHR21337:SF4', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', 126307),
(182582, 'PTHR31722:SF43', NULL, NULL, NULL, NULL, 'BNAA05G26250D PROTEIN', 126308),
(182583, 'PTHR33348:SF12', NULL, NULL, NULL, NULL, 'ENCODED PEPTIDE-RELATED', 126309),
(182584, 'PTHR45804:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B13', 126310),
(182585, 'PTHR24054:SF44', NULL, NULL, NULL, NULL, 'BNAA04G13490D PROTEIN', 126311),
(182586, 'PTHR22893:SF104', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 2', 126312),
(182587, 'PTHR11908:SF125', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 126313),
(182588, 'PTHR43350:SF11', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE', 126314),
(182589, 'PTHR31341:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126315),
(182590, 'PTHR46128:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126316),
(182591, 'PTHR24390:SF90', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 652', 126317),
(182592, 'PTHR22803:SF109', NULL, NULL, NULL, NULL, 'COLLECTIN-12', 126318),
(182593, 'PTHR23101:SF100', NULL, NULL, NULL, NULL, 'PROTEIN MUK1', 126319),
(182594, 'PTHR22692:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG27527', 126320),
(182595, 'PTHR13848:SF82', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 126321),
(182596, 'PTHR43539:SF68', NULL, NULL, NULL, NULL, 'FLAVIN-BINDING MONOOXYGENASE-LIKE PROTEIN (AFU_ORTHOLOGUE AFUA_4G09220)', 126322),
(182597, 'PTHR24006:SF644', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 40', 126323),
(182598, 'PTHR48005:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126324),
(182599, 'PTHR21576:SF123', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', 126325),
(182600, 'PTHR24056:SF404', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126326),
(182601, 'PTHR33074:SF51', NULL, NULL, NULL, NULL, 'OS06G0489900 PROTEIN', 126327),
(182602, 'PTHR12302', NULL, NULL, NULL, NULL, 'EBNA2 BINDING PROTEIN P100', 126328),
(182603, 'PTHR31614:SF7', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC PROTEIN-LIKE', 126329),
(182604, 'PTHR30305:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YJDM', 126330),
(182605, 'PTHR32285:SF278', NULL, NULL, NULL, NULL, 'BNAA03G56050D PROTEIN', 126331),
(182606, 'PTHR23011:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126332),
(182607, 'PTHR32134:SF23', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN CMBB', 126333),
(182608, 'PTHR11437:SF26', NULL, NULL, NULL, NULL, 'EOSINOPHIL CATIONIC PROTEIN', 126334),
(182609, 'PTHR36161:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG06377', 126335),
(182610, 'PTHR28546:SF1', NULL, NULL, NULL, NULL, 'NEURON-SPECIFIC VESICULAR PROTEIN CALCYON', 126336),
(182611, 'PTHR47817', NULL, NULL, NULL, NULL, 'OS04G0686300 PROTEIN', 126337),
(182612, 'PTHR14413:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126338),
(182613, 'PTHR33044:SF158', NULL, NULL, NULL, NULL, 'BNAA06G12430D PROTEIN', 126339),
(182614, 'PTHR27007:SF291', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', 126340),
(182615, 'PTHR31062:SF209', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 126341),
(182616, 'PTHR19282:SF457', NULL, NULL, NULL, NULL, 'TETRASPANIN', 126342),
(182617, 'PTHR31719:SF150', NULL, NULL, NULL, NULL, 'BNAC08G43050D PROTEIN', 126343),
(182618, 'PTHR33592:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 126344),
(182619, 'PTHR12327', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 126345),
(182620, 'PTHR10127:SF831', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-16-RELATED', 126346),
(182621, 'PTHR12354:SF13', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL REGULATOR FAMILY PROTEIN / IFRD FAMILY PROTEIN, PUTATIVE-RELATED', 126347),
(182622, 'PTHR28641:SF1', NULL, NULL, NULL, NULL, 'MALONYL-COA DECARBOXYLASE, MITOCHONDRIAL', 126348),
(182623, 'PTHR11223', NULL, NULL, NULL, NULL, 'EXPORTIN 1/5', 126349),
(182624, 'PTHR31235:SF41', NULL, NULL, NULL, NULL, 'OS01G0327000 PROTEIN', 126350),
(182625, 'PTHR31048:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126351),
(182626, 'PTHR24248:SF125', NULL, NULL, NULL, NULL, 'DOPAMINE D2-LIKE RECEPTOR', 126352);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(182627, 'PTHR10621:SF49', NULL, NULL, NULL, NULL, 'BNACNNG32650D PROTEIN', 126353),
(182628, 'PTHR46484:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-171H4.5-RELATED', 126354),
(182629, 'PTHR34941', NULL, NULL, NULL, NULL, 'DEHYDRIN HIRD11', 126355),
(182630, 'PTHR34835:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126356),
(182631, 'PTHR15629:SF33', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD-TYPE ZINC FINGER FAMILY PROTEIN', 126357),
(182632, 'PTHR23213:SF357', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 126358),
(182633, 'PTHR31852:SF1', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 6', 126359),
(182634, 'PTHR13318:SF87', NULL, NULL, NULL, NULL, 'OS08G0499900 PROTEIN', 126360),
(182635, 'PTHR14754', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A', 126361),
(182636, 'PTHR11267:SF88', NULL, NULL, NULL, NULL, 'T-BOX BRAIN PROTEIN 1', 126362),
(182637, 'PTHR10992:SF1038', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126363),
(182638, 'PTHR15196', NULL, NULL, NULL, NULL, 'CILIARY NEUROTROPHIC FACTOR', 126364),
(182639, 'PTHR13683:SF680', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 126365),
(182640, 'PTHR23421:SF128', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 13', 126366),
(182641, 'PTHR31422:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126367),
(182642, 'PTHR46905:SF11', NULL, NULL, NULL, NULL, 'BNAA01G26510D PROTEIN', 126368),
(182643, 'PTHR47447:SF4', NULL, NULL, NULL, NULL, 'BNAA07G31720D PROTEIN', 126369),
(182644, 'PTHR46895:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG13561', 126370),
(182645, 'PTHR11595:SF74', NULL, NULL, NULL, NULL, 'BNAC09G38180D PROTEIN', 126371),
(182646, 'PTHR24056:SF384', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 126372),
(182647, 'PTHR21540:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZSWIM2', 126373),
(182648, 'PTHR23070:SF165', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE-RELATED', 126374),
(182649, 'PTHR12411:SF773', NULL, NULL, NULL, NULL, 'OS02G0469600 PROTEIN', 126375),
(182650, 'PTHR11802:SF236', NULL, NULL, NULL, NULL, 'OS02G0463500 PROTEIN', 126376),
(182651, 'PTHR10177:SF391', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126377),
(182652, 'PTHR45714:SF7', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX2', 126378),
(182653, 'PTHR23024:SF464', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', 126379),
(182654, 'PTHR46617:SF3', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN G1', 126380),
(182655, 'PTHR48063:SF29', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE-RELATED', 126381),
(182656, 'PTHR45854:SF2', NULL, NULL, NULL, NULL, 'ARF-GAP WITH SH3 DOMAIN, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 1', 126382),
(182657, 'PTHR12573:SF4', NULL, NULL, NULL, NULL, 'AT09986P-RELATED', 126383),
(182658, 'PTHR10210:SF36', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 5', 126384),
(182659, 'PTHR11351:SF94', NULL, NULL, NULL, NULL, 'BNAC05G37460D PROTEIN', 126385),
(182660, 'PTHR11877:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126386),
(182661, 'PTHR31639:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126387),
(182662, 'PTHR22298:SF147', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 126388),
(182663, 'PTHR15710:SF101', NULL, NULL, NULL, NULL, 'RING-H2 FINGER C2A-RELATED', 126389),
(182664, 'PTHR27005:SF195', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 126390),
(182665, 'PTHR31376:SF36', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.22 PROTEIN', 126391),
(182666, 'PTHR12565:SF403', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH49', 126392),
(182667, 'PTHR24281:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126393),
(182668, 'PTHR12167:SF5', NULL, NULL, NULL, NULL, 'SIMILAR TO C-TYPE NATRIURETIC PEPTIDE 3', 126394),
(182669, 'PTHR24028:SF104', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-6', 126395),
(182670, 'PTHR11769:SF36', NULL, NULL, NULL, NULL, 'HYALURONIDASE', 126396),
(182671, 'PTHR12750', NULL, NULL, NULL, NULL, 'DIPHOSPHOINOSITOL PENTAKISPHOSPHATE KINASE', 126397),
(182672, 'PTHR24089:SF685', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN-RELATED', 126398); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(182673, 'PTHR46851:SF5', NULL, NULL, NULL, NULL, 'ZINC ION BINDING / DNA BINDING PROTEIN', 126399),
(182674, 'PTHR35848:SF7', NULL, NULL, NULL, NULL, 'BLL1134 PROTEIN', 126400),
(182675, 'PTHR11102:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126401),
(182676, 'PTHR46371:SF7', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 46', 126402),
(182677, 'PTHR11193:SF10', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', 126403),
(182678, 'PTHR33265:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126404),
(182679, 'PTHR24082:SF115', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR ALPHA', 126405),
(182680, 'PTHR31218:SF169', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 126406),
(182681, 'PTHR46372:SF18', NULL, NULL, NULL, NULL, 'BNAC03G33810D PROTEIN', 126407),
(182682, 'PTHR10209:SF755', NULL, NULL, NULL, NULL, 'BNAA09G50540D PROTEIN', 126408),
(182683, 'PTHR12625:SF0', NULL, NULL, NULL, NULL, 'PROTEIN LILIPOD', 126409),
(182684, 'PTHR12296:SF18', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 4B', 126410),
(182685, 'PTHR33124:SF60', NULL, NULL, NULL, NULL, 'BNAC04G00300D PROTEIN', 126411),
(182686, 'PTHR24182', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 4', 126412),
(182687, 'PTHR31282:SF78', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 15-RELATED', 126413),
(182688, 'PTHR31676:SF102', NULL, NULL, NULL, NULL, 'DUF538 FAMILY PROTEIN', 126414),
(182689, 'PTHR11716:SF96', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(2)', 126415),
(182690, 'PTHR13003', NULL, NULL, NULL, NULL, 'NUP107-RELATED', 126416),
(182691, 'PTHR16967', NULL, NULL, NULL, NULL, 'LEYDIG CELL TUMOR 10 KDA PROTEIN HOMOLOG', 126417),
(182692, 'PTHR23189:SF14', NULL, NULL, NULL, NULL, 'PARASPECKLE COMPONENT 1', 126418),
(182693, 'PTHR11567:SF110', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID PHOSPHATASE TYPE 6', 126419),
(182694, 'PTHR34124:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126420),
(182695, 'PTHR31989:SF148', NULL, NULL, NULL, NULL, 'OS09G0552900 PROTEIN', 126421),
(182696, 'PTHR46028', NULL, NULL, NULL, NULL, 'KYNURENINE 3-MONOOXYGENASE', 126422),
(182697, 'PTHR31620:SF21', NULL, NULL, NULL, NULL, 'OS05G0474600 PROTEIN', 126423),
(182698, 'PTHR31391:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126424),
(182699, 'PTHR11783:SF237', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 126425),
(182700, 'PTHR19957:SF256', NULL, NULL, NULL, NULL, 'SYNTAXIN-22-LIKE', 126426),
(182701, 'PTHR31064:SF25', NULL, NULL, NULL, NULL, 'CATION TRANSPORTER HKT1', 126427),
(182702, 'PTHR47977:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG00431', 126428),
(182703, 'PTHR31683:SF157', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 126429),
(182704, 'PTHR47926:SF2', NULL, NULL, NULL, NULL, 'BNAC03G66750D PROTEIN', 126430),
(182705, 'PTHR12000:SF23', NULL, NULL, NULL, NULL, 'LEGUMAIN', 126431),
(182706, 'PTHR46772:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH95', 126432),
(182707, 'PTHR11700:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S20', 126433),
(182708, 'PTHR10797:SF61', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN-RELATED', 126434),
(182709, 'PTHR10853', NULL, NULL, NULL, NULL, 'PELOTA', 126435),
(182710, 'PTHR21645:SF12', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 126436),
(182711, 'PTHR47978:SF18', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RGP1-LIKE', 126437),
(182712, 'PTHR18945:SF455', NULL, NULL, NULL, NULL, 'GLYCINE RECEPTOR SUBUNIT ALPHA-3', 126438),
(182713, 'PTHR43411:SF1', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE LYASE', 126439),
(182714, 'PTHR31920:SF41', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS12G0592300', 126440),
(182715, 'PTHR14005:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT A', 126441),
(182716, 'PTHR32055:SF1', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-1-BINDING PROTEIN 1', 126442),
(182717, 'PTHR13832:SF535', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1E', 126443),
(182718, 'PTHR21481:SF3', NULL, NULL, NULL, NULL, 'BNAANNG34790D PROTEIN', 126444);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(182719, 'PTHR23430:SF300', NULL, NULL, NULL, NULL, 'HISTONE H2A', 126445),
(182720, 'PTHR47926:SF278', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126446),
(182721, 'PTHR47926:SF4', NULL, NULL, NULL, NULL, 'BNAC05G02860D PROTEIN', 126447),
(182722, 'PTHR11802:SF59', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 126448),
(182723, 'PTHR47389:SF2', NULL, NULL, NULL, NULL, 'OS01G0278600 PROTEIN', 126449),
(182724, 'PTHR48017:SF31', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 2', 126450),
(182725, 'PTHR13492:SF2', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 37', 126451),
(182726, 'PTHR46433:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN', 126452),
(182727, 'PTHR18860:SF108', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN-RELATED', 126453),
(182728, 'PTHR44329:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126454),
(182729, 'PTHR47984:SF19', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', 126455),
(182730, 'PTHR31692:SF110', NULL, NULL, NULL, NULL, 'BETA-EXPANSIN 1A', 126456),
(182731, 'PTHR15710:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF115', 126457),
(182732, 'PTHR37235:SF2', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE AUREOLYSIN', 126458),
(182733, 'PTHR34061:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 126459),
(182734, 'PTHR33184:SF53', NULL, NULL, NULL, NULL, 'TPD1 PROTEIN HOMOLOG 1A', 126460),
(182735, 'PTHR31415:SF123', NULL, NULL, NULL, NULL, 'BNAA03G60690D PROTEIN', 126461),
(182736, 'PTHR31080:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126462),
(182737, 'PTHR11877:SF58', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE', 126463),
(182738, 'PTHR11670:SF64', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE', 126464),
(182739, 'PTHR10891:SF883', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', 126465),
(182740, 'PTHR33347:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126466),
(182741, 'PTHR12663:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126467),
(182742, 'PTHR10788:SF95', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE (UDP-FORMING), TREHALOSE-PHOSPHATASE-RELATED', 126468),
(182743, 'PTHR31325:SF13', NULL, NULL, NULL, NULL, 'OS12G0184400 PROTEIN', 126469),
(182744, 'PTHR24072:SF309', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC4', 126470),
(182745, 'PTHR22883:SF257', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC18', 126471),
(182746, 'PTHR12002:SF6', NULL, NULL, NULL, NULL, 'CLAUDIN-11', 126472),
(182747, 'PTHR47990:SF105', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE', 126473),
(182748, 'PTHR18966:SF497', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, N-METHYL D-ASPARTATE 1B', 126474),
(182749, 'PTHR39414', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 5-RELATED', 126475),
(182750, 'PTHR33349:SF23', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 126476),
(182751, 'PTHR31631:SF9', NULL, NULL, NULL, NULL, 'KINASE-INTERACTING PROTEIN 1-LIKE', 126477),
(182752, 'PTHR34270:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126478),
(182753, 'PTHR12191:SF22', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP6', 126479),
(182754, 'PTHR48071:SF6', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS A MEMBER 5', 126480),
(182755, 'PTHR47960', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 50', 126481),
(182756, 'PTHR12161:SF49', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', 126482),
(182757, 'PTHR35995:SF3', NULL, NULL, NULL, NULL, 'BNAA06G15550D PROTEIN', 126483),
(182758, 'PTHR37423:SF2', NULL, NULL, NULL, NULL, 'SOLUBLE LYTIC MUREIN TRANSGLYCOSYLASE', 126484),
(182759, 'PTHR45828:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME B561/FERRIC REDUCTASE TRANSMEMBRANE', 126485),
(182760, 'PTHR43124:SF5', NULL, NULL, NULL, NULL, 'PURINE RIBONUCLEOSIDE EFFLUX PUMP NEPI', 126486),
(182761, 'PTHR45181:SF9', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN, TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN PROTEIN-RELATED', 126487),
(182762, 'PTHR11731:SF118', NULL, NULL, NULL, NULL, 'BLR1971 PROTEIN', 126488);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(182763, 'PTHR11540:SF18', NULL, NULL, NULL, NULL, 'GLYCOSOMAL MALATE DEHYDROGENASE', 126489),
(182764, 'PTHR31247', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 198 FAMILY MEMBER', 126490),
(182765, 'PTHR24166:SF27', NULL, NULL, NULL, NULL, 'CORTACTIN-BINDING PROTEIN 2', 126491),
(182766, 'PTHR30250:SF15', NULL, NULL, NULL, NULL, 'PSMA PROTEIN', 126492),
(182767, 'PTHR12756:SF12', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE-LIKE PROTEIN 5', 126493),
(182768, 'PTHR31142:SF36', NULL, NULL, NULL, NULL, 'BNACNNG61220D PROTEIN', 126494),
(182769, 'PTHR24416:SF53', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR RECEPTOR BETA', 126495),
(182770, 'PTHR23024:SF498', NULL, NULL, NULL, NULL, 'CARBOXYESTERASE 17-RELATED', 126496),
(182771, 'PTHR13140:SF803', NULL, NULL, NULL, NULL, 'MYOSIN X', 126497),
(182772, 'PTHR33264:SF44', NULL, NULL, NULL, NULL, 'BNACNNG34780D PROTEIN', 126498),
(182773, 'PTHR31225:SF154', NULL, NULL, NULL, NULL, '(-)-GERMACRENE D SYNTHASE-LIKE', 126499),
(182774, 'PTHR24637:SF246', NULL, NULL, NULL, NULL, 'COLLAGEN', 126500),
(182775, 'PTHR23235:SF104', NULL, NULL, NULL, NULL, 'KRUPPEL-LIKE FACTOR 4', 126501),
(182776, 'PTHR11132:SF375', NULL, NULL, NULL, NULL, 'UDP-XYLOSE TRANSPORTER 2', 126502),
(182777, 'PTHR47925:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126503),
(182778, 'PTHR42076', NULL, NULL, NULL, NULL, 'CYANOVIRIN-N HOMOLOG', 126504),
(182779, 'PTHR42699:SF1', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE-RELATED', 126505),
(182780, 'PTHR45836:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G-PROTEIN COUPLED RECEPTOR 4', 126506),
(182781, 'PTHR12316:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126507),
(182782, 'PTHR21584:SF1', NULL, NULL, NULL, NULL, 'PROLINE/SERINE-RICH COILED-COIL PROTEIN 1', 126508),
(182783, 'PTHR32191:SF49', NULL, NULL, NULL, NULL, 'TETRASPANIN/PERIPHERIN-RELATED', 126509),
(182784, 'PTHR45678:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLUTAMATE CARRIER 1', 126510),
(182785, 'PTHR24384:SF204', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 726', 126511),
(182786, 'PTHR10334:SF346', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN LCCL DOMAIN-CONTAINING 1A', 126512),
(182787, 'PTHR32444:SF58', NULL, NULL, NULL, NULL, 'CURCULIN-LIKE (MANNOSE-BINDING) LECTIN FAMILY PROTEIN-RELATED', 126513),
(182788, 'PTHR33872:SF2', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON CATALYTIC SUBUNIT A', 126514),
(182789, 'PTHR10891:SF780', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML24-RELATED', 126515),
(182790, 'PTHR31374:SF250', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 126516),
(182791, 'PTHR21765', NULL, NULL, NULL, NULL, 'SIMILAR TO CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 1 (CHD-1)', 126517),
(182792, 'PTHR13690:SF128', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR POSF21-RELATED', 126518),
(182793, 'PTHR33563:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126519),
(182794, 'PTHR11567:SF189', NULL, NULL, NULL, NULL, 'INTESTINAL ACID PHOSPHATASE', 126520),
(182795, 'PTHR10075:SF52', NULL, NULL, NULL, NULL, 'NEXILIN', 126521),
(182796, 'PTHR28022', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 2 SUBUNIT PGA1', 126522),
(182797, 'PTHR39160', NULL, NULL, NULL, NULL, 'CELL WALL-BINDING PROTEIN YOCH', 126523),
(182798, 'PTHR24404:SF65', NULL, NULL, NULL, NULL, 'FINGER PUTATIVE TRANSCRIPTION FACTOR FAMILY-RELATED', 126524),
(182799, 'PTHR12136:SF102', NULL, NULL, NULL, NULL, 'BNAA04G27680D PROTEIN', 126525),
(182800, 'PTHR31376:SF51', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 2', 126526),
(182801, 'PTHR22765:SF47', NULL, NULL, NULL, NULL, 'OS03G0335300 PROTEIN', 126527),
(182802, 'PTHR11394:SF28', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 13', 126528),
(182803, 'PTHR10943:SF12', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2 HOMOLOG', 126529),
(182804, 'PTHR16161', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 126530),
(182805, 'PTHR12714:SF11', NULL, NULL, NULL, NULL, 'PROTEIN C-TERMINAL S-ISOPRENYLCYSTEINE CARBOXYL O-METHYLTRANSFERASE', 126531);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(182806, 'PTHR31742', NULL, NULL, NULL, NULL, 'RPA-INTERACTING PROTEIN RPAIN', 126532),
(182807, 'PTHR23500:SF474', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126533),
(182808, 'PTHR35824:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED JUNCTION PROTEIN', 126534),
(182809, 'PTHR21654:SF77', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR PTL-LIKE', 126535),
(182810, 'PTHR46606:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-280E21.3', 126536),
(182811, 'PTHR14049:SF1', NULL, NULL, NULL, NULL, 'PROLYL 3-HYDROXYLASE 2', 126537),
(182812, 'PTHR22989', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED DUF13  C.ELEGANS', 126538),
(182813, 'PTHR11738:SF98', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY A MEMBER 4', 126539),
(182814, 'PTHR12629:SF40', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 16 MITOCHONDRIAL', 126540),
(182815, 'PTHR10332:SF59', NULL, NULL, NULL, NULL, 'OS07G0557200 PROTEIN', 126541),
(182816, 'PTHR45689:SF12', NULL, NULL, NULL, NULL, 'HYPERPOLARIZATION-ACTIVATED CYCLIC NUCLEOTIDE-GATED POTASSIUM CHANNEL 3', 126542),
(182817, 'PTHR27006:SF422', NULL, NULL, NULL, NULL, 'BNAA08G00070D PROTEIN', 126543),
(182818, 'PTHR45822:SF6', NULL, NULL, NULL, NULL, 'FREE FATTY ACID RECEPTOR 3-RELATED', 126544),
(182819, 'PTHR14155:SF563', NULL, NULL, NULL, NULL, 'BNAC02G39700D PROTEIN', 126545),
(182820, 'PTHR23050:SF425', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126546),
(182821, 'PTHR44006:SF2', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN HOMOLOG', 126547),
(182822, 'PTHR10954:SF7', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H2 SUBUNIT A', 126548),
(182823, 'PTHR42684:SF9', NULL, NULL, NULL, NULL, 'GAMMA AMINOBUTYRATE TRANSAMINASE 1, MITOCHONDRIAL', 126549),
(182824, 'PTHR30085:SF6', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER GLUTAMINE-BINDING PROTEIN GLNH', 126550),
(182825, 'PTHR31942:SF84', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 12', 126551),
(182826, 'PTHR31606', NULL, NULL, NULL, NULL, 'WW DOMAIN BINDING PROTEIN 2, ISOFORM E', 126552),
(182827, 'PTHR16148:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126553),
(182828, 'PTHR15371:SF21', NULL, NULL, NULL, NULL, 'OSJNBA0005N02.5 PROTEIN', 126554),
(182829, 'PTHR47434', NULL, NULL, NULL, NULL, 'PROTEIN PTST HOMOLOG 3, CHLOROPLASTIC', 126555),
(182830, 'PTHR11783:SF48', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 1 FAMILY MEMBER D1', 126556),
(182831, 'PTHR21250:SF4', NULL, NULL, NULL, NULL, 'PRE-RRNA-PROCESSING PROTEIN TSR2, MOTIF PROTEIN', 126557),
(182832, 'PTHR46642:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCAN PHOSPHATASE DSP4, CHLOROPLASTIC', 126558),
(182833, 'PTHR23510:SF58', NULL, NULL, NULL, NULL, 'SI:CH211-38M6.6', 126559),
(182834, 'PTHR31636:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126560),
(182835, 'PTHR24177:SF330', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS TRANSMEMBRANE PROTEIN-LIKE', 126561),
(182836, 'PTHR10694:SF30', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 4B', 126562),
(182837, 'PTHR24376:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126563),
(182838, 'PTHR31562:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG18974', 126564),
(182839, 'PTHR21646:SF63', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE USP2', 126565),
(182840, 'PTHR24027:SF428', NULL, NULL, NULL, NULL, 'CADHERIN 6', 126566),
(182841, 'PTHR48042:SF19', NULL, NULL, NULL, NULL, 'OS09G0472100 PROTEIN', 126567),
(182842, 'PTHR33670:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126568),
(182843, 'PTHR12111:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126569),
(182844, 'PTHR43377:SF6', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE DOMAIN PROTEIN', 126570),
(182845, 'PTHR28145:SF4', NULL, NULL, NULL, NULL, 'CHAPERONE/HEAT SHOCK PROTEIN', 126571),
(182846, 'PTHR43670:SF23', NULL, NULL, NULL, NULL, 'HEAT-SHOCK PROTEIN (EUROFUNG)', 126572),
(182847, 'PTHR42760:SF40', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE', 126573),
(182848, 'PTHR32410:SF197', NULL, NULL, NULL, NULL, 'BNAA05G28670D PROTEIN', 126574),
(182849, 'PTHR44998', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 126575);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(182850, 'PTHR47509', NULL, NULL, NULL, NULL, 'MCG1612', 126576),
(182851, 'PTHR33830:SF4', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 122-RELATED', 126577),
(182852, 'PTHR47000', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 126578),
(182853, 'PTHR11804:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INTERMEDIATE PEPTIDASE', 126579),
(182854, 'PTHR10553:SF27', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', 126580),
(182855, 'PTHR24232:SF82', NULL, NULL, NULL, NULL, 'P2Y RECEPTOR FAMILY MEMBER 8', 126581),
(182856, 'PTHR22741:SF10', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN CG32809', 126582),
(182857, 'PTHR23300:SF3', NULL, NULL, NULL, NULL, 'SELENIUM-BINDING PROTEIN-RELATED', 126583),
(182858, 'PTHR43539:SF20', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 126584),
(182859, 'PTHR48012:SF18', NULL, NULL, NULL, NULL, 'HAPPYHOUR, ISOFORM A', 126585),
(182860, 'PTHR12039', NULL, NULL, NULL, NULL, 'NICOTINAMIDE MONONUCLEOTIDE ADENYLYLTRANSFERASE', 126586),
(182861, 'PTHR24070:SF418', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN RASD', 126587),
(182862, 'PTHR47611', NULL, NULL, NULL, NULL, 'HAT DIMERISATION DOMAIN, C-TERMINAL', 126588),
(182863, 'PTHR11736:SF65', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 8', 126589),
(182864, 'PTHR11505:SF203', NULL, NULL, NULL, NULL, 'LINE-1 TYPE TRANSPOSASE DOMAIN-CONTAINING PROTEIN 1', 126590),
(182865, 'PTHR28670', NULL, NULL, NULL, NULL, 'UV-STIMULATED SCAFFOLD PROTEIN A', 126591),
(182866, 'PTHR37996:SF1', NULL, NULL, NULL, NULL, 'B- AND T-LYMPHOCYTE ATTENUATOR', 126592),
(182867, 'PTHR14351', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE KINASE SUBSTRATE', 126593),
(182868, 'PTHR26379:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126594),
(182869, 'PTHR31241:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126595),
(182870, 'PTHR24258:SF135', NULL, NULL, NULL, NULL, 'GH06673P-RELATED', 126596),
(182871, 'PTHR21678:SF10', NULL, NULL, NULL, NULL, 'R3H DOMAIN AND COILED-COIL-CONTAINING 1', 126597),
(182872, 'PTHR31677:SF50', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF104', 126598),
(182873, 'PTHR47755', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSX', 126599),
(182874, 'PTHR19842:SF2', NULL, NULL, NULL, NULL, 'DEFECTIVE IN DNA METHYLATION-9 PROTEIN', 126600),
(182875, 'PTHR46116:SF31', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 6', 126601),
(182876, 'PTHR24377:SF610', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 772', 126602),
(182877, 'PTHR16284', NULL, NULL, NULL, NULL, 'PROTEIN CDV3 HOMOLOG', 126603),
(182878, 'PTHR24230:SF78', NULL, NULL, NULL, NULL, 'KISS-1 RECEPTOR', 126604),
(182879, 'PTHR31676:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126605),
(182880, 'PTHR32241:SF24', NULL, NULL, NULL, NULL, 'PATATIN', 126606),
(182881, 'PTHR33832:SF18', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR TYPE-2 CEVI57', 126607),
(182882, 'PTHR47099', NULL, NULL, NULL, NULL, 'METHYLCOBAMIDE:COM METHYLTRANSFERASE MTBA', 126608),
(182883, 'PTHR34109', NULL, NULL, NULL, NULL, 'BNAUNNG04460D PROTEIN-RELATED', 126609),
(182884, 'PTHR47942:SF28', NULL, NULL, NULL, NULL, 'OSJNBA0019D11.15 PROTEIN', 126610),
(182885, 'PTHR47926:SF107', NULL, NULL, NULL, NULL, 'BNACNNG53370D PROTEIN', 126611),
(182886, 'PTHR11615:SF6', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE 75 KDA SUBUNIT, MITOCHONDRIAL', 126612),
(182887, 'PTHR16048:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MSL2', 126613),
(182888, 'PTHR11736:SF79', NULL, NULL, NULL, NULL, 'ASSOCIATED PROTEIN CAP20, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06350)-RELATED', 126614),
(182889, 'PTHR47975:SF20', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 4', 126615),
(182890, 'PTHR46128:SF122', NULL, NULL, NULL, NULL, 'BNAC09G32390D PROTEIN', 126616),
(182891, 'PTHR31181:SF52', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED PROTEIN 1.4-LIKE', 126617),
(182892, 'PTHR38613:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11062', 126618),
(182893, 'PTHR46029:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126619);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(182894, 'PTHR33377:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126620),
(182895, 'PTHR47235', NULL, NULL, NULL, NULL, 'BLR6548 PROTEIN', 126621),
(182896, 'PTHR45714:SF20', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT1', 126622),
(182897, 'PTHR27004:SF327', NULL, NULL, NULL, NULL, 'BNAA05G10510D PROTEIN', 126623),
(182898, 'PTHR23255:SF97', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN SERINE/THREONINE KINASE', 126624),
(182899, 'PTHR10113:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126625),
(182900, 'PTHR12243:SF17', NULL, NULL, NULL, NULL, 'LD22971P-RELATED', 126626),
(182901, 'PTHR31150', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 126627),
(182902, 'PTHR23274:SF19', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE PIF1', 126628),
(182903, 'PTHR13869:SF14', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL SUBUNIT BETA-4', 126629),
(182904, 'PTHR15739:SF5', NULL, NULL, NULL, NULL, 'LD23158P', 126630),
(182905, 'PTHR43349:SF43', NULL, NULL, NULL, NULL, 'ISOEUGENOL SYNTHASE 1-LIKE', 126631),
(182906, 'PTHR10891:SF744', NULL, NULL, NULL, NULL, 'CALCYPHOSINE LIKE', 126632),
(182907, 'PTHR13148:SF11', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', 126633),
(182908, 'PTHR33065:SF81', NULL, NULL, NULL, NULL, 'OS03G0703700 PROTEIN', 126634),
(182909, 'PTHR46344:SF16', NULL, NULL, NULL, NULL, 'OS02G0202900 PROTEIN', 126635),
(182910, 'PTHR37977:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG25408', 126636),
(182911, 'PTHR24068:SF298', NULL, NULL, NULL, NULL, 'BNAA10G28230D PROTEIN', 126637),
(182912, 'PTHR24356:SF384', NULL, NULL, NULL, NULL, 'BNAA05G28300D PROTEIN', 126638),
(182913, 'PTHR12771:SF62', NULL, NULL, NULL, NULL, 'ELMO/CED-12 FAMILY PROTEIN-RELATED', 126639),
(182914, 'PTHR23070:SF110', NULL, NULL, NULL, NULL, 'BNACNNG58650D PROTEIN', 126640),
(182915, 'PTHR45996:SF4', NULL, NULL, NULL, NULL, 'CYCLIC AMP-RESPONSIVE ELEMENT-BINDING PROTEIN 3', 126641),
(182916, 'PTHR23081:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13622', 126642),
(182917, 'PTHR47926:SF145', NULL, NULL, NULL, NULL, 'BNAA07G12570D PROTEIN', 126643),
(182918, 'PTHR31472:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126644),
(182919, 'PTHR10811:SF77', NULL, NULL, NULL, NULL, 'OS08G0165501 PROTEIN', 126645),
(182920, 'PTHR10983:SF66', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDYL ACYLTRANSFERASE 5-RELATED', 126646),
(182921, 'PTHR24070:SF414', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126647),
(182922, 'PTHR24028:SF227', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A12', 126648),
(182923, 'PTHR22951:SF83', NULL, NULL, NULL, NULL, 'BNAANNG04860D PROTEIN', 126649),
(182924, 'PTHR11005:SF126', NULL, NULL, NULL, NULL, 'BNAA08G31330D PROTEIN', 126650),
(182925, 'PTHR46201:SF10', NULL, NULL, NULL, NULL, 'BNAC02G47750D PROTEIN', 126651),
(182926, 'PTHR24055:SF187', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 8', 126652),
(182927, 'PTHR32011:SF4', NULL, NULL, NULL, NULL, 'OS09G0456700 PROTEIN', 126653),
(182928, 'PTHR33184:SF63', NULL, NULL, NULL, NULL, 'BNAA01G34870D PROTEIN', 126654),
(182929, 'PTHR30094:SF4', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL GLUTATHIONYLSPERMIDINE SYNTHETASE/AMIDASE', 126655),
(182930, 'PTHR33172:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126656),
(182931, 'PTHR22988:SF70', NULL, NULL, NULL, NULL, 'SLOW MYOSIN HEAVY CHAIN 1', 126657),
(182932, 'PTHR39933', NULL, NULL, NULL, NULL, 'CENTAURIN-GAMMA-1A-LIKE PROTEIN', 126658),
(182933, 'PTHR34224:SF14', NULL, NULL, NULL, NULL, 'BNAA10G13040D PROTEIN', 126659),
(182934, 'PTHR45080:SF16', NULL, NULL, NULL, NULL, 'TWITCHIN-LIKE PROTEIN', 126660),
(182935, 'PTHR11178:SF46', NULL, NULL, NULL, NULL, 'NFU1 IRON-SULFUR CLUSTER SCAFFOLD HOMOLOG (S. CEREVISIAE)', 126661),
(182936, 'PTHR22599:SF62', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 1 HOMOLOG B', 126662),
(182937, 'PTHR10457:SF28', NULL, NULL, NULL, NULL, 'BNAA01G32760D PROTEIN', 126663),
(182938, 'PTHR10126:SF54', NULL, NULL, NULL, NULL, 'TATA-BOX-BINDING PROTEIN 2', 126664),
(182939, 'PTHR13068:SF126', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', 126665);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(182940, 'PTHR17070:SF0', NULL, NULL, NULL, NULL, 'DEXAMETHASONE-INDUCED PROTEIN', 126666),
(182941, 'PTHR47845:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR SPECKLE SPLICING REGULATORY PROTEIN 1 HOMOLOG', 126667),
(182942, 'PTHR31623:SF52', NULL, NULL, NULL, NULL, 'AT1', 126668),
(182943, 'PTHR11709:SF119', NULL, NULL, NULL, NULL, 'LACCASE-7', 126669),
(182944, 'PTHR31046:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126670),
(182945, 'PTHR31642:SF216', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 126671),
(182946, 'PTHR46874', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 6', 126672),
(182947, 'PTHR33159:SF68', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN-RELATED', 126673),
(182948, 'PTHR11206:SF354', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 126674),
(182949, 'PTHR24023:SF892', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXV) CHAIN', 126675),
(182950, 'PTHR12663', NULL, NULL, NULL, NULL, 'ANDROGEN INDUCED INHIBITOR OF PROLIFERATION  AS3  / PDS5-RELATED', 126676),
(182951, 'PTHR10459', NULL, NULL, NULL, NULL, 'DNA LIGASE', 126677),
(182952, 'PTHR24023:SF965', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE XVIII ALPHA 1 CHAIN B', 126678),
(182953, 'PTHR42901:SF1', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE', 126679),
(182954, 'PTHR11592:SF114', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE, SWEET SUGAR TRANSPORTER, THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', 126680),
(182955, 'PTHR45774:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 1', 126681),
(182956, 'PTHR31218:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126682),
(182957, 'PTHR14155:SF550', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL40', 126683),
(182958, 'PTHR46994', NULL, NULL, NULL, NULL, '5''-METHYLTHIOADENOSINE/S-ADENOSYLHOMOCYSTEINE NUCLEOSIDASE 1', 126684),
(182959, 'PTHR31194:SF93', NULL, NULL, NULL, NULL, 'OS06G0181700 PROTEIN', 126685),
(182960, 'PTHR34222:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126686),
(182961, 'PTHR16201:SF37', NULL, NULL, NULL, NULL, 'PQ LOOP REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_5G08410)', 126687),
(182962, 'PTHR33207:SF72', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 126688),
(182963, 'PTHR46588:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/TYROSINE-INTERACTING PROTEIN', 126689),
(182964, 'PTHR48100:SF36', NULL, NULL, NULL, NULL, 'ADENOSYLCOBALAMIN/ALPHA-RIBAZOLE PHOSPHATASE', 126690),
(182965, 'PTHR23024:SF561', NULL, NULL, NULL, NULL, 'RECEPTOR GID1, PUTATIVE-RELATED', 126691),
(182966, 'PTHR24390:SF70', NULL, NULL, NULL, NULL, 'FEZ FAMILY ZINC FINGER PROTEIN 1', 126692),
(182967, 'PTHR35035:SF3', NULL, NULL, NULL, NULL, 'DISCOIDIN-INDUCING COMPLEX SUBUNIT B', 126693),
(182968, 'PTHR12080:SF94', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 5-RELATED', 126694),
(182969, 'PTHR43428', NULL, NULL, NULL, NULL, 'ARSENATE REDUCTASE', 126695),
(182970, 'PTHR45884:SF3', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE ESCO2', 126696),
(182971, 'PTHR22175:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126697),
(182972, 'PTHR45687:SF48', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-1', 126698),
(182973, 'PTHR12002:SF183', NULL, NULL, NULL, NULL, 'CLAUDIN-16-LIKE ISOFORM X1', 126699),
(182974, 'PTHR26450:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126700),
(182975, 'PTHR10574:SF375', NULL, NULL, NULL, NULL, 'AGRIN', 126701),
(182976, 'PTHR37960:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG20683', 126702),
(182977, 'PTHR24074:SF33', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G06020)', 126703),
(182978, 'PTHR10791:SF58', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET3A', 126704),
(182979, 'PTHR23272:SF130', NULL, NULL, NULL, NULL, 'OS01G0698300 PROTEIN', 126705),
(182980, 'PTHR31907:SF26', NULL, NULL, NULL, NULL, 'BNAC07G13250D PROTEIN', 126706),
(182981, 'PTHR33142:SF39', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR8', 126707),
(182982, 'PTHR24406:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 276', 126708);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(182983, 'PTHR11673:SF27', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', 126709),
(182984, 'PTHR43108:SF5', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-SULFATASE', 126710),
(182985, 'PTHR16517:SF129', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 126711),
(182986, 'PTHR47756:SF1', NULL, NULL, NULL, NULL, 'BLL0085 PROTEIN', 126712),
(182987, 'PTHR12953:SF4', NULL, NULL, NULL, NULL, 'GALACTOSE-BINDING DOMAIN-LIKE, SUN DOMAIN PROTEIN-RELATED', 126713),
(182988, 'PTHR31218:SF199', NULL, NULL, NULL, NULL, 'MTN21/EAMA-LIKE TRANSPORTER FAMILY PROTEIN, PUTATIVE-RELATED', 126714),
(182989, 'PTHR11223:SF14', NULL, NULL, NULL, NULL, 'EXPORTIN 1A-RELATED', 126715),
(182990, 'PTHR24169:SF9', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR NF-KAPPA-B P105 SUBUNIT', 126716),
(182991, 'PTHR23130:SF185', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 126717),
(182992, 'PTHR46225:SF3', NULL, NULL, NULL, NULL, 'OS09G0323100 PROTEIN', 126718),
(182993, 'PTHR12305:SF89', NULL, NULL, NULL, NULL, 'LIM-DOMAIN CONTAINING PHOSPHATASE', 126719),
(182994, 'PTHR24015:SF1854', NULL, NULL, NULL, NULL, 'OS07G0578800 PROTEIN', 126720),
(182995, 'PTHR23232:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126721),
(182996, 'PTHR24286:SF272', NULL, NULL, NULL, NULL, 'PULCHERRIMINIC ACID SYNTHASE', 126722),
(182997, 'PTHR18945:SF817', NULL, NULL, NULL, NULL, 'CHOLINERGIC RECEPTOR, NICOTINIC, ALPHA 10A', 126723),
(182998, 'PTHR30465:SF55', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERMEASE PROTEIN', 126724),
(182999, 'PTHR45617:SF7', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA ACTIVATOR LRRC33', 126725),
(183000, 'PTHR43302', NULL, NULL, NULL, NULL, 'TRANSPORTER ARSB-RELATED', 126726),
(183001, 'PTHR13009:SF28', NULL, NULL, NULL, NULL, 'AHA1, ACTIVATOR OF HEAT SHOCK PROTEIN ATPASE HOMOLOG 1A', 126727),
(183002, 'PTHR11021:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126728),
(183003, 'PTHR24296:SF169', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 126729),
(183004, 'PTHR10129:SF45', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PROTEIN', 126730),
(183005, 'PTHR24369:SF189', NULL, NULL, NULL, NULL, 'SLIT HOMOLOG 1B (DROSOPHILA)', 126731),
(183006, 'PTHR34230', NULL, NULL, NULL, NULL, 'ASSEMBLY ABNORMAL PROTEIN 6, PUTATIVE-RELATED', 126732),
(183007, 'PTHR34679', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 126733),
(183008, 'PTHR11850:SF213', NULL, NULL, NULL, NULL, 'PBX4 HOMEODOMAIN PROTEIN', 126734),
(183009, 'PTHR27007:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126735),
(183010, 'PTHR12322:SF49', NULL, NULL, NULL, NULL, 'DM (DOUBLESEX/MAB-3) DOMAIN FAMILY', 126736),
(183011, 'PTHR10267', NULL, NULL, NULL, NULL, 'DNA POLYMERASE SUBUNIT GAMMA-1', 126737),
(183012, 'PTHR21145:SF9', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', 126738),
(183013, 'PTHR34291:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 126739),
(183014, 'PTHR43625:SF60', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN-RELATED', 126740),
(183015, 'PTHR31421:SF0', NULL, NULL, NULL, NULL, 'PROTEIN BASIC PENTACYSTEINE1-RELATED', 126741),
(183016, 'PTHR25465:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126742),
(183017, 'PTHR26450:SF362', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 56 SUBFAMILY A MEMBER 1', 126743),
(183018, 'PTHR19847:SF22', NULL, NULL, NULL, NULL, 'BNAA03G57240D PROTEIN', 126744),
(183019, 'PTHR45815:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE A6', 126745),
(183020, 'PTHR23530:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN-RELATED', 126746),
(183021, 'PTHR21562:SF87', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 126747),
(183022, 'PTHR15904:SF16', NULL, NULL, NULL, NULL, 'PROTEIN FAM13B', 126748),
(183023, 'PTHR24298:SF812', NULL, NULL, NULL, NULL, 'OS09G0447300 PROTEIN', 126749),
(183024, 'PTHR31636:SF271', NULL, NULL, NULL, NULL, 'DELLA PROTEIN GAI-RELATED', 126750),
(183025, 'PTHR31506:SF31', NULL, NULL, NULL, NULL, 'BES1/BZR1 PLANT TRANSCRIPTION FACTOR-RELATED', 126751);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(183026, 'PTHR38932:SF1', NULL, NULL, NULL, NULL, 'BNAC03G64660D PROTEIN', 126752),
(183027, 'PTHR14380', NULL, NULL, NULL, NULL, 'PLACENTA-SPECIFIC PROTEIN 1', 126753),
(183028, 'PTHR47000:SF9', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE SUPERFAMILY PROTEIN', 126754),
(183029, 'PTHR18919:SF138', NULL, NULL, NULL, NULL, 'ACETYL-COA C-ACETYLTRANSFERASE', 126755),
(183030, 'PTHR10277:SF71', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE 2, CHLOROPLASTIC', 126756),
(183031, 'PTHR17130', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN 25', 126757),
(183032, 'PTHR32227:SF227', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 7', 126758),
(183033, 'PTHR11101:SF61', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 126759),
(183034, 'PTHR12546:SF57', NULL, NULL, NULL, NULL, 'OTOFERLIN B', 126760),
(183035, 'PTHR31769:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126761),
(183036, 'PTHR47991:SF120', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 5-LIKE', 126762),
(183037, 'PTHR11961', NULL, NULL, NULL, NULL, 'CYTOCHROME C', 126763),
(183038, 'PTHR36348:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 126764),
(183039, 'PTHR39966:SF1', NULL, NULL, NULL, NULL, 'BLL2471 PROTEIN', 126765),
(183040, 'PTHR11073:SF31', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 126766),
(183041, 'PTHR10000', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE', 126767),
(183042, 'PTHR35546:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126768),
(183043, 'PTHR12321:SF119', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 1', 126769),
(183044, 'PTHR24023:SF871', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XIII) CHAIN', 126770),
(183045, 'PTHR32295:SF129', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', 126771),
(183046, 'PTHR24393:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126772),
(183047, 'PTHR13045:SF12', NULL, NULL, NULL, NULL, 'CYTOSOLIC 5''-NUCLEOTIDASE 3A', 126773),
(183048, 'PTHR31905:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 58', 126774),
(183049, 'PTHR16290:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126775),
(183050, 'PTHR31080:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126776),
(183051, 'PTHR36577', NULL, NULL, NULL, NULL, 'DUF521 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G00490)', 126777),
(183052, 'PTHR26454', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 126778),
(183053, 'PTHR24326:SF592', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT5-LIKE', 126779),
(183054, 'PTHR31648:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126780),
(183055, 'PTHR48049:SF18', NULL, NULL, NULL, NULL, 'SOYASAPOGENOL B GLUCURONIDE GALACTOSYLTRANSFERASE-RELATED', 126781),
(183056, 'PTHR42731:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126782),
(183057, 'PTHR33696:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126783),
(183058, 'PTHR16238', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 8', 126784),
(183059, 'PTHR13780:SF31', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE SUBUNIT GAMMA-3', 126785),
(183060, 'PTHR14167:SF60', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SH3RF2', 126786),
(183061, 'PTHR31744:SF124', NULL, NULL, NULL, NULL, 'NAC (NO APICAL MERISTEM) DOMAIN TRANSCRIPTIONAL REGULATOR SUPERFAMILY PROTEIN', 126787),
(183062, 'PTHR11132:SF298', NULL, NULL, NULL, NULL, 'UDP-SUGAR TRANSPORTER-LIKE PROTEIN', 126788),
(183063, 'PTHR33930', NULL, NULL, NULL, NULL, 'ALKYL HYDROPEROXIDE REDUCTASE AHPD', 126789),
(183064, 'PTHR10201:SF252', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 5-MMP', 126790),
(183065, 'PTHR23291:SF82', NULL, NULL, NULL, NULL, 'BI1-LIKE PROTEIN', 126791),
(183066, 'PTHR18966:SF484', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, N-METHYL D-ASPARTATE 2D, A', 126792),
(183067, 'PTHR33916:SF7', NULL, NULL, NULL, NULL, 'OS05G0272800 PROTEIN', 126793),
(183068, 'PTHR10655:SF67', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE/CARBOXYLESTERASE SUPERFAMILY (AFU_ORTHOLOGUE AFUA_5G09340)', 126794);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(183069, 'PTHR34452', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED PROTEIN', 126795),
(183070, 'PTHR33985:SF26', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN', 126796),
(183071, 'PTHR15574:SF21', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 8-RELATED', 126797),
(183072, 'PTHR32285:SF294', NULL, NULL, NULL, NULL, 'BNAANNG39690D PROTEIN', 126798),
(183073, 'PTHR23406:SF70', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME 2', 126799),
(183074, 'PTHR24343:SF449', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE, VARIANT', 126800),
(183075, 'PTHR13763', NULL, NULL, NULL, NULL, 'BREAST CANCER TYPE 1 SUSCEPTIBILITY PROTEIN BRCA1', 126801),
(183076, 'PTHR11439:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126802),
(183077, 'PTHR31992:SF166', NULL, NULL, NULL, NULL, 'BNAANNG04950D PROTEIN', 126803),
(183078, 'PTHR24089:SF678', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN COAC1', 126804),
(183079, 'PTHR31734:SF136', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA10', 126805),
(183080, 'PTHR30537:SF70', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR AMPR', 126806),
(183081, 'PTHR26453:SF230', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 126807),
(183082, 'PTHR22945:SF48', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 126808),
(183083, 'PTHR18968', NULL, NULL, NULL, NULL, 'THIAMINE PYROPHOSPHATE ENZYMES', 126809),
(183084, 'PTHR33136:SF44', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 33', 126810),
(183085, 'PTHR16631', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE', 126811),
(183086, 'PTHR28556:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 106C', 126812),
(183087, 'PTHR11383', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE-LINKED MOIETY X MOTIF 13', 126813),
(183088, 'PTHR12350:SF20', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 126814),
(183089, 'PTHR23033:SF9', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1-B', 126815),
(183090, 'PTHR21649:SF123', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 1C, CHLOROPLASTIC', 126816),
(183091, 'PTHR12903:SF10', NULL, NULL, NULL, NULL, 'BNAA03G11790D PROTEIN', 126817),
(183092, 'PTHR14281:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126818),
(183093, 'PTHR13354', NULL, NULL, NULL, NULL, 'ROUND SPERMATID BASIC PROTEIN 1', 126819),
(183094, 'PTHR10589:SF28', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE BAP1', 126820),
(183095, 'PTHR46224:SF20', NULL, NULL, NULL, NULL, 'OS12G0153600 PROTEIN', 126821),
(183096, 'PTHR27007:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126822),
(183097, 'PTHR46777:SF6', NULL, NULL, NULL, NULL, 'BNAA08G14960D PROTEIN', 126823),
(183098, 'PTHR43731:SF14', NULL, NULL, NULL, NULL, 'PRESENILINS-ASSOCIATED RHOMBOID-LIKE PROTEIN, MITOCHONDRIAL', 126824),
(183099, 'PTHR33285:SF42', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 4-RELATED', 126825),
(183100, 'PTHR13822:SF20', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT DELTA'', MITOCHONDRIAL', 126826),
(183101, 'PTHR24027:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126827),
(183102, 'PTHR48032:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 126828),
(183103, 'PTHR21450:SF50', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: NITRATE REGULATORY GENE2 PROTEIN', 126829),
(183104, 'PTHR46558:SF7', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', 126830),
(183105, 'PTHR35161:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126831),
(183106, 'PTHR11654:SF474', NULL, NULL, NULL, NULL, 'BNACNNG33950D PROTEIN', 126832),
(183107, 'PTHR19918:SF52', NULL, NULL, NULL, NULL, 'PROTEIN CORTEX', 126833),
(183108, 'PTHR18945:SF516', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE-GATED ION CHANNEL ACC-4', 126834),
(183109, 'PTHR34283:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RESPONSE TO LOW SULFUR 1', 126835),
(183110, 'PTHR12450:SF11', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SERINE/THREONINE PROTEIN KINASE FAM20C', 126836),
(183111, 'PTHR46178:SF4', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 126837);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(183112, 'PTHR24064:SF528', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-4-LIKE', 126838),
(183113, 'PTHR10342:SF270', NULL, NULL, NULL, NULL, 'N-ACETYL-GALACTOSAMINE-6-SULFATASE (GALNS)', 126839),
(183114, 'PTHR36313:SF4', NULL, NULL, NULL, NULL, 'ROOT MERISTEM GROWTH FACTOR 1-RELATED', 126840),
(183115, 'PTHR31286:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126841),
(183116, 'PTHR46107:SF3', NULL, NULL, NULL, NULL, 'DUMPY: SHORTER THAN WILD-TYPE', 126842),
(183117, 'PTHR24177:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126843),
(183118, 'PTHR23320:SF125', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 176L.1-RELATED', 126844),
(183119, 'PTHR19343:SF18', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 12-1', 126845),
(183120, 'PTHR37811:SF2', NULL, NULL, NULL, NULL, 'BLL5343 PROTEIN', 126846),
(183121, 'PTHR46781:SF7', NULL, NULL, NULL, NULL, 'ALPHA 1,4-GLYCOSYLTRANSFERASE FAMILY PROTEIN', 126847),
(183122, 'PTHR37839:SF1', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT A', 126848),
(183123, 'PTHR21403', NULL, NULL, NULL, NULL, 'ATP PHOSPHORIBOSYLTRANSFERASE  ATP-PRTASE', 126849),
(183124, 'PTHR31472:SF5', NULL, NULL, NULL, NULL, 'OS05G0244600 PROTEIN', 126850),
(183125, 'PTHR33361:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126851),
(183126, 'PTHR34933:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR L-RING PROTEIN', 126852),
(183127, 'PTHR11132:SF423', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126853),
(183128, 'PTHR23139:SF9', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF 65 KDA SUBUNIT', 126854),
(183129, 'PTHR48042:SF18', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 15', 126855),
(183130, 'PTHR48057:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT SERINE/THREONINE-PROTEIN KINASE 1', 126856),
(183131, 'PTHR34204:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING ASCH DOMAIN PROTEIN', 126857),
(183132, 'PTHR33065:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126858),
(183133, 'PTHR21528:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126859),
(183134, 'PTHR33479:SF13', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE TRYPSIN INHIBITOR', 126860),
(183135, 'PTHR24023:SF938', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XIX) CHAIN', 126861),
(183136, 'PTHR15750:SF5', NULL, NULL, NULL, NULL, 'TUBULINYL-TYR CARBOXYPEPTIDASE 1', 126862),
(183137, 'PTHR11827:SF93', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 1', 126863),
(183138, 'PTHR32212:SF276', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 126864),
(183139, 'PTHR22601:SF47', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 3', 126865),
(183140, 'PTHR11849:SF203', NULL, NULL, NULL, NULL, 'PROTEIN FEV', 126866),
(183141, 'PTHR46508:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126867),
(183142, 'PTHR43112:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 DOMAIN-CONTAINING PROTEIN RLF', 126868),
(183143, 'PTHR11771:SF139', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 126869),
(183144, 'PTHR11783:SF217', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 126870),
(183145, 'PTHR31639:SF171', NULL, NULL, NULL, NULL, 'OS06G0716467 PROTEIN', 126871),
(183146, 'PTHR46496:SF1', NULL, NULL, NULL, NULL, 'ZEAXANTHIN EPOXIDASE, CHLOROPLASTIC', 126872),
(183147, 'PTHR46511', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 3', 126873),
(183148, 'PTHR35533', NULL, NULL, NULL, NULL, 'CONSERVED REPEAT DOMAIN PROTEIN', 126874),
(183149, 'PTHR10649', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR', 126875),
(183150, 'PTHR10516:SF430', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 126876),
(183151, 'PTHR28544:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM45A-RELATED', 126877),
(183152, 'PTHR47820', NULL, NULL, NULL, NULL, 'BNAC05G24000D PROTEIN', 126878),
(183153, 'PTHR24240:SF151', NULL, NULL, NULL, NULL, 'NOVOPSIN-4', 126879),
(183154, 'PTHR22726:SF4', NULL, NULL, NULL, NULL, 'METALLOPROTEASE LOIP', 126880),
(183155, 'PTHR47520:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126881),
(183156, 'PTHR27006:SF323', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', 126882);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(183157, 'PTHR45693:SF37', NULL, NULL, NULL, NULL, 'TGACG-SEQUENCE-SPECIFIC DNA-BINDING PROTEIN TGA-1A-LIKE', 126883),
(183158, 'PTHR34825:SF1', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN, WITH A WEAK D-GALACTARATE DEHYDRATASE/ALTRONATE HYDROLASE DOMAIN', 126884),
(183159, 'PTHR35728', NULL, NULL, NULL, NULL, 'MICROTUBULE-BINDING PROTEIN TANGLED-RELATED', 126885),
(183160, 'PTHR10291:SF36', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN CRTB/UPPS', 126886),
(183161, 'PTHR23389:SF9', NULL, NULL, NULL, NULL, 'BRCT DOMAIN-CONTAINING PROTEIN', 126887),
(183162, 'PTHR47569:SF2', NULL, NULL, NULL, NULL, 'NO-ASSOCIATED PROTEIN 1, CHLOROPLASTIC/MITOCHONDRIAL', 126888),
(183163, 'PTHR33138', NULL, NULL, NULL, NULL, 'OS01G0690200 PROTEIN', 126889),
(183164, 'PTHR10336:SF178', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 126890),
(183165, 'PTHR14025', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP M FANCM FAMILY MEMBER', 126891),
(183166, 'PTHR31722:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126892),
(183167, 'PTHR10083:SF217', NULL, NULL, NULL, NULL, 'IP20435P', 126893),
(183168, 'PTHR11932:SF133', NULL, NULL, NULL, NULL, 'CULLIN 3B', 126894),
(183169, 'PTHR24282:SF184', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 126895),
(183170, 'PTHR32523:SF14', NULL, NULL, NULL, NULL, 'PHYTOL KINASE 2 PROTEIN-RELATED', 126896),
(183171, 'PTHR19308:SF13', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', 126897),
(183172, 'PTHR11905:SF161', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPEPTIDASE DOMAIN 26B-RELATED', 126898),
(183173, 'PTHR23107:SF24', NULL, NULL, NULL, NULL, 'BNAA09G03450D PROTEIN', 126899),
(183174, 'PTHR10366:SF737', NULL, NULL, NULL, NULL, 'TETRAKETIDE ALPHA-PYRONE REDUCTASE 1-LIKE', 126900),
(183175, 'PTHR31636:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126901),
(183176, 'PTHR47490', NULL, NULL, NULL, NULL, 'PROTEIN BLISTER', 126902),
(183177, 'PTHR15934:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126903),
(183178, 'PTHR38588:SF1', NULL, NULL, NULL, NULL, 'BLL0334 PROTEIN', 126904),
(183179, 'PTHR11017:SF370', NULL, NULL, NULL, NULL, 'BNAA02G24500D PROTEIN', 126905),
(183180, 'PTHR19433:SF84', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 34', 126906),
(183181, 'PTHR12147:SF22', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM METALLOPEPTIDASE 1', 126907),
(183182, 'PTHR23236:SF21', NULL, NULL, NULL, NULL, 'PABPN1 PROTEIN-RELATED', 126908),
(183183, 'PTHR11581:SF32', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', 126909),
(183184, 'PTHR11206:SF361', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 51', 126910),
(183185, 'PTHR43787:SF3', NULL, NULL, NULL, NULL, 'FEMO COFACTOR BIOSYNTHESIS PROTEIN NIFB', 126911),
(183186, 'PTHR43895:SF110', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE SAMKD-RELATED', 126912),
(183187, 'PTHR11276:SF28', NULL, NULL, NULL, NULL, 'DNA POLYMERASE LAMBDA', 126913),
(183188, 'PTHR31568:SF105', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', 126914),
(183189, 'PTHR45798:SF29', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 11 RING-H2 FINGER PROTEIN', 126915),
(183190, 'PTHR22966:SF37', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 5', 126916),
(183191, 'PTHR24055:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126917),
(183192, 'PTHR12606:SF118', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 1A', 126918),
(183193, 'PTHR46017:SF1', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE 2C1', 126919),
(183194, 'PTHR33459:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126920),
(183195, 'PTHR24177:SF316', NULL, NULL, NULL, NULL, 'OS11G0435100 PROTEIN', 126921),
(183196, 'PTHR45968:SF10', NULL, NULL, NULL, NULL, 'OS03G0118700 PROTEIN', 126922),
(183197, 'PTHR27006:SF311', NULL, NULL, NULL, NULL, 'INACTIVE LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BIR2', 126923),
(183198, 'PTHR35185:SF2', NULL, NULL, NULL, NULL, 'EXTRACELLULAR PROLINE-SERINE RICH PROTEIN (AFU_ORTHOLOGUE AFUA_8G07090)', 126924);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(183199, 'PTHR13363', NULL, NULL, NULL, NULL, 'RING FINGER AND SRY DOMAIN-CONTAINING', 126925),
(183200, 'PTHR11654:SF413', NULL, NULL, NULL, NULL, 'OS05G0411100 PROTEIN', 126926),
(183201, 'PTHR31680:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126927),
(183202, 'PTHR23037:SF28', NULL, NULL, NULL, NULL, 'ERYTHROPOIETIN RECEPTOR', 126928),
(183203, 'PTHR13479', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S18', 126929),
(183204, 'PTHR34846', NULL, NULL, NULL, NULL, '4-CARBOXYMUCONOLACTONE DECARBOXYLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G11590)', 126930),
(183205, 'PTHR31718:SF38', NULL, NULL, NULL, NULL, 'BNAA04G12650D PROTEIN', 126931),
(183206, 'PTHR27009:SF146', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 126932),
(183207, 'PTHR45768:SF15', NULL, NULL, NULL, NULL, 'OS05G0352750 PROTEIN', 126933),
(183208, 'PTHR18945:SF794', NULL, NULL, NULL, NULL, 'CHOLINERGIC RECEPTOR, NICOTINIC, BETA 1 (MUSCLE)', 126934),
(183209, 'PTHR31321:SF95', NULL, NULL, NULL, NULL, 'BNAA02G08960D PROTEIN', 126935),
(183210, 'PTHR32448:SF128', NULL, NULL, NULL, NULL, 'RETICULINE OXIDASE-LIKE PROTEIN', 126936),
(183211, 'PTHR32444:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126937),
(183212, 'PTHR37981', NULL, NULL, NULL, NULL, 'LIPASE 2', 126938),
(183213, 'PTHR12489:SF21', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 5B', 126939),
(183214, 'PTHR11945:SF414', NULL, NULL, NULL, NULL, 'BOX PROTEIN, PUTATIVE-RELATED', 126940),
(183215, 'PTHR46413:SF7', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', 126941),
(183216, 'PTHR31474:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126942),
(183217, 'PTHR11801:SF18', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION 1-ALPHA/BETA', 126943),
(183218, 'PTHR13460:SF0', NULL, NULL, NULL, NULL, 'MALECTIN', 126944),
(183219, 'PTHR10003:SF81', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN]', 126945),
(183220, 'PTHR46186:SF3', NULL, NULL, NULL, NULL, 'CYSTATIN-S-RELATED', 126946),
(183221, 'PTHR42197', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE(56)-2''-O)-METHYLTRANSFERASE', 126947),
(183222, 'PTHR14677:SF35', NULL, NULL, NULL, NULL, 'ZINC FINGER AN1 AND C2H2 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 16-RELATED', 126948),
(183223, 'PTHR48056:SF30', NULL, NULL, NULL, NULL, 'BNAC01G23060D PROTEIN', 126949),
(183224, 'PTHR36157:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG01818', 126950),
(183225, 'PTHR33305:SF40', NULL, NULL, NULL, NULL, 'BNAC06G23450D PROTEIN', 126951),
(183226, 'PTHR43440:SF1', NULL, NULL, NULL, NULL, 'UREASE', 126952),
(183227, 'PTHR47074:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126953),
(183228, 'PTHR46071:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND BTB/POZ DOMAIN-CONTAINING PROTEIN 2-LIKE PROTEIN', 126954),
(183229, 'PTHR46101:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126955),
(183230, 'PTHR34115:SF8', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 126956),
(183231, 'PTHR13479:SF60', NULL, NULL, NULL, NULL, 'BNAC08G45180D PROTEIN', 126957),
(183232, 'PTHR42811:SF10', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE 3, MITOCHONDRIAL', 126958),
(183233, 'PTHR31301:SF74', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 24-LIKE', 126959),
(183234, 'PTHR48011:SF1', NULL, NULL, NULL, NULL, 'NPK1-RELATED PROTEIN KINASE-LIKE PROTEIN', 126960),
(183235, 'PTHR31852:SF7', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 126961),
(183236, 'PTHR24064:SF577', NULL, NULL, NULL, NULL, 'ORGANIC CATION TRANSPORTER', 126962),
(183237, 'PTHR15678:SF12', NULL, NULL, NULL, NULL, 'PROTEIN SABRE', 126963),
(183238, 'PTHR13596:SF2', NULL, NULL, NULL, NULL, 'SMALL EDRK-RICH FACTOR 2', 126964),
(183239, 'PTHR24343:SF439', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2E', 126965),
(183240, 'PTHR32295:SF218', NULL, NULL, NULL, NULL, 'OS10G0420200 PROTEIN', 126966),
(183241, 'PTHR31734:SF120', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA25', 126967);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(183242, 'PTHR33136:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 126968),
(183243, 'PTHR10314:SF180', NULL, NULL, NULL, NULL, 'OS06G0564400 PROTEIN', 126969),
(183244, 'PTHR42951:SF2', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE FAMILY PROTEIN', 126970),
(183245, 'PTHR24300:SF177', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2J2', 126971),
(183246, 'PTHR13228:SF3', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 5', 126972),
(183247, 'PTHR13718:SF61', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S5, MITOCHONDRIAL', 126973),
(183248, 'PTHR37012:SF2', NULL, NULL, NULL, NULL, 'B-ZIP TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 126974),
(183249, 'PTHR46928', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 126975),
(183250, 'PTHR46277:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN CSR1', 126976),
(183251, 'PTHR31321:SF86', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 126977),
(183252, 'PTHR45952:SF21', NULL, NULL, NULL, NULL, 'BNAANNG08700D PROTEIN', 126978),
(183253, 'PTHR23359:SF202', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', 126979),
(183254, 'PTHR37761', NULL, NULL, NULL, NULL, 'OS09G0108400 PROTEIN', 126980),
(183255, 'PTHR16485:SF6', NULL, NULL, NULL, NULL, 'MICROFIBRILLAR-ASSOCIATED PROTEIN 5', 126981),
(183256, 'PTHR46627', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE O', 126982),
(183257, 'PTHR43381:SF16', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', 126983),
(183258, 'PTHR45872:SF4', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 1', 126984),
(183259, 'PTHR35186', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 126985),
(183260, 'PTHR23282:SF132', NULL, NULL, NULL, NULL, 'MAM DOMAIN-CONTAINING PROTEIN 2', 126986),
(183261, 'PTHR19282:SF431', NULL, NULL, NULL, NULL, 'IP01824P-RELATED', 126987),
(183262, 'PTHR34294:SF11', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEOSIDE REGULATOR', 126988),
(183263, 'PTHR27007:SF4', NULL, NULL, NULL, NULL, 'OS07G0131500 PROTEIN', 126989),
(183264, 'PTHR43176:SF9', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE, MITOCHONDRIAL', 126990),
(183265, 'PTHR15444:SF4', NULL, NULL, NULL, NULL, 'SECRETED PHOSPHOPROTEIN 24', 126991),
(183266, 'PTHR15241:SF334', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 4, MITOCHONDRIAL', 126992),
(183267, 'PTHR43670:SF32', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 2-LIKE', 126993),
(183268, 'PTHR10572:SF44', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', 126994),
(183269, 'PTHR32266:SF26', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE, S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 126995),
(183270, 'PTHR19370:SF200', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', 126996),
(183271, 'PTHR31100:SF78', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 126997),
(183272, 'PTHR11588:SF379', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 126998),
(183273, 'PTHR37534:SF31', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 126999),
(183274, 'PTHR47942:SF39', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 127000),
(183275, 'PTHR13018:SF83', NULL, NULL, NULL, NULL, 'HYPOTHETICAL TRANSMEMBRANE PROTEIN', 127001),
(183276, 'PTHR27001:SF764', NULL, NULL, NULL, NULL, 'OS05G0387600 PROTEIN', 127002),
(183277, 'PTHR15319', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT C', 127003),
(183278, 'PTHR43176:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127004),
(183279, 'PTHR31260:SF53', NULL, NULL, NULL, NULL, 'BNAA10G29010D PROTEIN', 127005),
(183280, 'PTHR43520', NULL, NULL, NULL, NULL, 'ATP7, ISOFORM B', 127006),
(183281, 'PTHR15337', NULL, NULL, NULL, NULL, 'ANTERIOR GRADIENT PROTEIN-RELATED', 127007),
(183282, 'PTHR24064:SF546', NULL, NULL, NULL, NULL, 'BNAC05G12500D PROTEIN', 127008),
(183283, 'PTHR45714:SF44', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER, HOMEOBOX-ASSOCIATED, HOMEODOMAIN-LIKE PROTEIN-RELATED', 127009),
(183284, 'PTHR43056:SF11', NULL, NULL, NULL, NULL, 'OS06G0215400 PROTEIN', 127010);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(183285, 'PTHR14596:SF72', NULL, NULL, NULL, NULL, 'DEFECTIVE CHORION-1 PROTEIN, FC177 ISOFORM', 127011),
(183286, 'PTHR43375', NULL, NULL, NULL, NULL, 'OROTIDINE 5''-PHOSPHATE DECARBOXYLASE', 127012),
(183287, 'PTHR31972:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127013),
(183288, 'PTHR44027', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 5 HOMOLOG', 127014),
(183289, 'PTHR45666:SF40', NULL, NULL, NULL, NULL, 'DNASE I-LIKE SUPERFAMILY PROTEIN-RELATED', 127015),
(183290, 'PTHR24072:SF179', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC1', 127016),
(183291, 'PTHR37492', NULL, NULL, NULL, NULL, 'SI:CH211-171H4.7-RELATED', 127017),
(183292, 'PTHR23028:SF3', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 127018),
(183293, 'PTHR48048:SF42', NULL, NULL, NULL, NULL, 'OS07G0502900 PROTEIN', 127019),
(183294, 'PTHR48050:SF9', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE UGT80A2-LIKE', 127020),
(183295, 'PTHR11767:SF53', NULL, NULL, NULL, NULL, 'INWARD RECTIFIER POTASSIUM CHANNEL 4', 127021),
(183296, 'PTHR31645:SF63', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL4-RELATED', 127022),
(183297, 'PTHR14593:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 11', 127023),
(183298, 'PTHR43159:SF9', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE [NADH], CHLOROPLASTIC-LIKE', 127024),
(183299, 'PTHR34995', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 127025),
(183300, 'PTHR18945:SF859', NULL, NULL, NULL, NULL, 'GLYCINE RECEPTOR SUBUNIT ALPHAZ1', 127026),
(183301, 'PTHR33801:SF10', NULL, NULL, NULL, NULL, 'ABSCISIC ACID STRESS RIPENING5', 127027),
(183302, 'PTHR13847:SF200', NULL, NULL, NULL, NULL, 'SARCOSINE DEHYDROGENASE, MITOCHONDRIAL', 127028),
(183303, 'PTHR12265:SF13', NULL, NULL, NULL, NULL, 'OS06G0213400 PROTEIN', 127029),
(183304, 'PTHR16631:SF17', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE', 127030),
(183305, 'PTHR10969:SF67', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8A', 127031),
(183306, 'PTHR33573:SF3', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 127032),
(183307, 'PTHR13292:SF1', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 101-LIKE ISOFORM X1', 127033),
(183308, 'PTHR22957:SF485', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 26', 127034),
(183309, 'PTHR31947:SF18', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', 127035),
(183310, 'PTHR31544:SF13', NULL, NULL, NULL, NULL, 'BNAC06G12680D PROTEIN', 127036),
(183311, 'PTHR31468:SF4', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE GAS4', 127037),
(183312, 'PTHR19268:SF7', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 85-RELATED', 127038),
(183313, 'PTHR47263', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE ACTIVATION PROTEIN GIT1', 127039),
(183314, 'PTHR33320:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127040),
(183315, 'PTHR13202:SF4', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 1-RELATED', 127041),
(183316, 'PTHR11761:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127042),
(183317, 'PTHR47968:SF28', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7C', 127043),
(183318, 'PTHR31790:SF341', NULL, NULL, NULL, NULL, 'BNAA01G18940D PROTEIN', 127044),
(183319, 'PTHR13832:SF534', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE DDB_G0279461-RELATED', 127045),
(183320, 'PTHR45086:SF3', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 4 HOMOLOG', 127046),
(183321, 'PTHR17098:SF3', NULL, NULL, NULL, NULL, 'BNAC05G43940D PROTEIN', 127047),
(183322, 'PTHR47976:SF43', NULL, NULL, NULL, NULL, 'OS06G0575400 PROTEIN', 127048),
(183323, 'PTHR23128:SF71', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)-RELATED', 127049),
(183324, 'PTHR33784:SF12', NULL, NULL, NULL, NULL, 'BNAA01G27070D PROTEIN', 127050),
(183325, 'PTHR13568:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 185-LIKE', 127051),
(183326, 'PTHR21314', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 127052),
(183327, 'PTHR42692', NULL, NULL, NULL, NULL, 'NUCLEOTIDE PYROPHOSPHOHYDROLASE', 127053);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(183328, 'PTHR10749:SF7', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE B KINASE REGULATORY SUBUNIT ALPHA-RELATED', 127054),
(183329, 'PTHR21576:SF118', NULL, NULL, NULL, NULL, 'BNAA06G13140D PROTEIN', 127055),
(183330, 'PTHR10366:SF697', NULL, NULL, NULL, NULL, 'OS09G0491820 PROTEIN', 127056),
(183331, 'PTHR45855:SF37', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPATULA-LIKE', 127057),
(183332, 'PTHR10218:SF326', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127058),
(183333, 'PTHR16040:SF7', NULL, NULL, NULL, NULL, 'AUSTRALIN, ISOFORM A-RELATED', 127059),
(183334, 'PTHR33768:SF6', NULL, NULL, NULL, NULL, 'SI:CH211-284K5.2', 127060),
(183335, 'PTHR42693:SF31', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED METAL-DEPENDENT HYDROLASE-RELATED', 127061),
(183336, 'PTHR36586:SF16', NULL, NULL, NULL, NULL, 'EXTENSIN-2-RELATED', 127062),
(183337, 'PTHR33193:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127063),
(183338, 'PTHR46816:SF3', NULL, NULL, NULL, NULL, 'T14P4.7 PROTEIN', 127064),
(183339, 'PTHR14554', NULL, NULL, NULL, NULL, 'GENE, 49416-RELATED', 127065),
(183340, 'PTHR24410:SF8', NULL, NULL, NULL, NULL, 'ECTODERMAL-NEURAL CORTEX 3', 127066),
(183341, 'PTHR12151:SF8', NULL, NULL, NULL, NULL, 'SCO1/SENC/PRRC FAMILY PROTEIN', 127067),
(183342, 'PTHR46148:SF11', NULL, NULL, NULL, NULL, 'CCHC-TYPE INTEGRASE', 127068),
(183343, 'PTHR19229:SF148', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 8', 127069),
(183344, 'PTHR31744:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127070),
(183345, 'PTHR47209:SF7', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE KEG-LIKE', 127071),
(183346, 'PTHR24012:SF620', NULL, NULL, NULL, NULL, 'POLY(A) BINDING PROTEIN-RELATED', 127072),
(183347, 'PTHR12688:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 1 LIGHT INTERMEDIATE CHAIN 2', 127073),
(183348, 'PTHR12420:SF40', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 7', 127074),
(183349, 'PTHR11359:SF1', NULL, NULL, NULL, NULL, 'AMP DEAMINASE 1', 127075),
(183350, 'PTHR26452:SF727', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 127076),
(183351, 'PTHR24118:SF83', NULL, NULL, NULL, NULL, 'NFKB INHIBITOR BETA', 127077),
(183352, 'PTHR46288:SF48', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN-RELATED', 127078),
(183353, 'PTHR10772:SF24', NULL, NULL, NULL, NULL, '10 KDA CHAPERONIN', 127079),
(183354, 'PTHR43785:SF10', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE GLNA3 (GLUTAMINE SYNTHASE) (GS-I)-RELATED', 127080),
(183355, 'PTHR12011:SF305', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR G7', 127081),
(183356, 'PTHR37383:SF1', NULL, NULL, NULL, NULL, 'OS01G0694200 PROTEIN', 127082),
(183357, 'PTHR45689:SF4', NULL, NULL, NULL, NULL, 'POTASSIUM/SODIUM HYPERPOLARIZATION-ACTIVATED CYCLIC NUCLEOTIDE-GATED CHANNEL 4', 127083),
(183358, 'PTHR11886:SF69', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 127084),
(183359, 'PTHR24379:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 625', 127085),
(183360, 'PTHR43827:SF5', NULL, NULL, NULL, NULL, 'ZGC:101765-RELATED', 127086),
(183361, 'PTHR23266:SF309', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA CONSTANT 1', 127087),
(183362, 'PTHR46325:SF7', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC10', 127088),
(183363, 'PTHR32080:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127089),
(183364, 'PTHR35185:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-RICH PROTEIN ADG2-RELATED', 127090),
(183365, 'PTHR24100:SF126', NULL, NULL, NULL, NULL, 'BUTYROPHILIN SUBFAMILY 3 MEMBER A3', 127091),
(183366, 'PTHR10261', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA', 127092),
(183367, 'PTHR37256:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127093),
(183368, 'PTHR10165:SF178', NULL, NULL, NULL, NULL, 'BNAA05G33490D PROTEIN', 127094),
(183369, 'PTHR11183:SF140', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 127095),
(183370, 'PTHR20855:SF115', NULL, NULL, NULL, NULL, 'HEPTAHELICAL TRANSMEMBRANE PROTEIN 1', 127096),
(183371, 'PTHR11119:SF21', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 23 MEMBER 1', 127097);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(183372, 'PTHR13341:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG15841', 127098),
(183373, 'PTHR12577:SF6', NULL, NULL, NULL, NULL, 'DACHSHUND, ISOFORM B', 127099),
(183374, 'PTHR24270:SF16', NULL, NULL, NULL, NULL, 'VERY LOW-DENSITY LIPOPROTEIN RECEPTOR', 127100),
(183375, 'PTHR36024', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN SKIP35', 127101),
(183376, 'PTHR16199', NULL, NULL, NULL, NULL, 'CONDENSIN-2 COMPLEX SUBUNIT G2', 127102),
(183377, 'PTHR11562:SF92', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 1-LIKE', 127103),
(183378, 'PTHR33147:SF101', NULL, NULL, NULL, NULL, 'BNAC02G23400D PROTEIN', 127104),
(183379, 'PTHR11909:SF380', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM EPSILON', 127105),
(183380, 'PTHR11843:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 127106),
(183381, 'PTHR14149:SF16', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING-LIKE PROTEIN GAPA', 127107),
(183382, 'PTHR18896:SF158', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 127108),
(183383, 'PTHR18929:SF195', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', 127109),
(183384, 'PTHR26453:SF634', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 127110),
(183385, 'PTHR24027:SF99', NULL, NULL, NULL, NULL, 'CADHERIN-9', 127111),
(183386, 'PTHR42091:SF1', NULL, NULL, NULL, NULL, 'CONSERVED GLYCINE-RICH PROTEIN (AFU_ORTHOLOGUE AFUA_7G02440)', 127112),
(183387, 'PTHR19956:SF5', NULL, NULL, NULL, NULL, 'LAMIN TAIL DOMAIN-CONTAINING PROTEIN 2', 127113),
(183388, 'PTHR22768:SF0', NULL, NULL, NULL, NULL, 'DNA REPLICATION COMPLEX GINS PROTEIN PSF3', 127114),
(183389, 'PTHR24153:SF14', NULL, NULL, NULL, NULL, 'ESPIN', 127115),
(183390, 'PTHR32448:SF89', NULL, NULL, NULL, NULL, 'CANNABIDIOLIC ACID SYNTHASE-LIKE 1', 127116),
(183391, 'PTHR18902:SF25', NULL, NULL, NULL, NULL, 'GRIP AND COILED-COIL DOMAIN-CONTAINING PROTEIN 2', 127117),
(183392, 'PTHR11937:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127118),
(183393, 'PTHR11439:SF357', NULL, NULL, NULL, NULL, 'ORF490 PROTEIN', 127119),
(183394, 'PTHR46235:SF12', NULL, NULL, NULL, NULL, 'ENHANCED DOWNY MILDEW PROTEIN', 127120),
(183395, 'PTHR33411:SF11', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN NST1-LIKE', 127121),
(183396, 'PTHR48111:SF26', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 127122),
(183397, 'PTHR14081:SF1', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 11A-RELATED', 127123),
(183398, 'PTHR10160', NULL, NULL, NULL, NULL, 'NAD(P) TRANSHYDROGENASE', 127124),
(183399, 'PTHR10625:SF187', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 127125),
(183400, 'PTHR12606:SF123', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE ESD4', 127126),
(183401, 'PTHR46181:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCINE TRANSPORTER', 127127),
(183402, 'PTHR31545', NULL, NULL, NULL, NULL, 'SEEDY PROTEIN A/C FAMILY MEMBER', 127128),
(183403, 'PTHR31621:SF28', NULL, NULL, NULL, NULL, 'DUF679 DOMAIN MEMBRANE PROTEIN 7', 127129),
(183404, 'PTHR28272', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP3', 127130),
(183405, 'PTHR45723:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RIO3', 127131),
(183406, 'PTHR46175:SF6', NULL, NULL, NULL, NULL, 'ADAGIO PROTEIN 2', 127132),
(183407, 'PTHR19290:SF153', NULL, NULL, NULL, NULL, 'ATONAL BHLH TRANSCRIPTION FACTOR 1A', 127133),
(183408, 'PTHR31561:SF132', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 127134),
(183409, 'PTHR33170:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127135),
(183410, 'PTHR24114:SF31', NULL, NULL, NULL, NULL, 'NLR FAMILY MEMBER X1', 127136),
(183411, 'PTHR47481:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127137),
(183412, 'PTHR31707:SF303', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 12', 127138),
(183413, 'PTHR11618:SF60', NULL, NULL, NULL, NULL, 'BNAA06G15840D PROTEIN', 127139),
(183414, 'PTHR22050:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 131 HOMOLOG', 127140),
(183415, 'PTHR46801:SF7', NULL, NULL, NULL, NULL, 'LIPID-BINDING SERUM GLYCOPROTEIN FAMILY PROTEIN-RELATED', 127141),
(183416, 'PTHR12161:SF72', NULL, NULL, NULL, NULL, 'BNAA05G14960D PROTEIN', 127142);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(183417, 'PTHR42985:SF23', NULL, NULL, NULL, NULL, 'GH20226P', 127143),
(183418, 'PTHR21087', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE', 127144),
(183419, 'PTHR12632:SF59', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-9', 127145),
(183420, 'PTHR24384:SF108', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 492-RELATED', 127146),
(183421, 'PTHR33881:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127147),
(183422, 'PTHR46000:SF9', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 127148),
(183423, 'PTHR37944:SF1', NULL, NULL, NULL, NULL, 'PORIN B', 127149),
(183424, 'PTHR46137:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127150),
(183425, 'PTHR47425', NULL, NULL, NULL, NULL, 'FARB-RELATED', 127151),
(183426, 'PTHR31707:SF318', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 60-RELATED', 127152),
(183427, 'PTHR12542:SF87', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 127153),
(183428, 'PTHR27006:SF226', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 127154),
(183429, 'PTHR12015:SF87', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 6', 127155),
(183430, 'PTHR14383:SF2', NULL, NULL, NULL, NULL, 'DIFFERENTIALLY EXPRESSED IN FDCP 6 HOMOLOG', 127156),
(183431, 'PTHR33149:SF32', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', 127157),
(183432, 'PTHR12692:SF2', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER PROTEIN 1', 127158),
(183433, 'PTHR31521:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127159),
(183434, 'PTHR13578:SF20', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN ASX', 127160),
(183435, 'PTHR10157:SF29', NULL, NULL, NULL, NULL, 'DOPAMINE BETA-HYDROXYLASE', 127161),
(183436, 'PTHR47997:SF39', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LAF1', 127162),
(183437, 'PTHR10422', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 1', 127163),
(183438, 'PTHR32096:SF102', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 46-RELATED', 127164),
(183439, 'PTHR37014:SF1', NULL, NULL, NULL, NULL, 'EXPRESSION LETHALITY PROTEIN HEL10, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06580)-RELATED', 127165),
(183440, 'PTHR26374:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127166),
(183441, 'PTHR24291:SF140', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4C3-RELATED', 127167),
(183442, 'PTHR12346:SF8', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX SIN3-LIKE PROTEIN-RELATED', 127168),
(183443, 'PTHR24320:SF229', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 127169),
(183444, 'PTHR45729:SF7', NULL, NULL, NULL, NULL, 'DOUBLE C2-LIKE DOMAIN-CONTAINING PROTEIN GAMMA', 127170),
(183445, 'PTHR24349:SF386', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 21-LIKE', 127171),
(183446, 'PTHR10574:SF197', NULL, NULL, NULL, NULL, 'LAMININ, BETA 2-LIKE', 127172),
(183447, 'PTHR38444:SF1', NULL, NULL, NULL, NULL, 'ENTEROBACTIN BIOSYNTHESIS PROTEIN YBDZ', 127173),
(183448, 'PTHR23024:SF180', NULL, NULL, NULL, NULL, 'OS02G0567800 PROTEIN', 127174),
(183449, 'PTHR23430:SF292', NULL, NULL, NULL, NULL, 'HISTONE H2A', 127175),
(183450, 'PTHR46011:SF25', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 127176),
(183451, 'PTHR14759:SF9', NULL, NULL, NULL, NULL, 'MAP6 DOMAIN-CONTAINING PROTEIN 1', 127177),
(183452, 'PTHR10701:SF3', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN-ASSOCIATED PROTEIN N', 127178),
(183453, 'PTHR33077:SF74', NULL, NULL, NULL, NULL, 'PROTEIN JAZ7', 127179),
(183454, 'PTHR23266:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127180),
(183455, 'PTHR11873', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN 4', 127181),
(183456, 'PTHR21137:SF40', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 56A', 127182),
(183457, 'PTHR22923:SF84', NULL, NULL, NULL, NULL, 'SI:DKEYP-74B6.2', 127183),
(183458, 'PTHR31549:SF162', NULL, NULL, NULL, NULL, 'PPPDE THIOL PEPTIDASE FAMILY PROTEIN-RELATED', 127184),
(183459, 'PTHR47518:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG06692', 127185),
(183460, 'PTHR12390', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN III SYNTHASE', 127186); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(183461, 'PTHR31175:SF51', NULL, NULL, NULL, NULL, 'OS08G0550700 PROTEIN', 127187),
(183462, 'PTHR37713', NULL, NULL, NULL, NULL, 'OS05G0176600 PROTEIN', 127188),
(183463, 'PTHR24299:SF13', NULL, NULL, NULL, NULL, 'OS08G0226300 PROTEIN', 127189),
(183464, 'PTHR46808', NULL, NULL, NULL, NULL, 'H2.0-LIKE HOMEOBOX PROTEIN', 127190),
(183465, 'PTHR22929:SF2', NULL, NULL, NULL, NULL, 'MOBILITY GROUP PROTEIN B3, PUTATIVE-RELATED', 127191),
(183466, 'PTHR35468', NULL, NULL, NULL, NULL, 'MYOSIN-LIKE PROTEIN', 127192),
(183467, 'PTHR10891:SF877', NULL, NULL, NULL, NULL, 'ION BINDING PROTEIN, PUTATIVE-RELATED', 127193),
(183468, 'PTHR47934:SF15', NULL, NULL, NULL, NULL, 'OS02G0644600 PROTEIN', 127194),
(183469, 'PTHR11958:SF93', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER 2', 127195),
(183470, 'PTHR11515:SF25', NULL, NULL, NULL, NULL, 'CHORIOGONADOTROPIN SUBUNIT BETA 7', 127196),
(183471, 'PTHR23143', NULL, NULL, NULL, NULL, 'TRICHOHYALIN-RELATED', 127197),
(183472, 'PTHR34371:SF14', NULL, NULL, NULL, NULL, 'BNAC09G29070D PROTEIN', 127198),
(183473, 'PTHR31953:SF87', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', 127199),
(183474, 'PTHR24377:SF809', NULL, NULL, NULL, NULL, 'IP01015P-RELATED', 127200),
(183475, 'PTHR10108', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE', 127201),
(183476, 'PTHR24177:SF103', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', 127202),
(183477, 'PTHR12354:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127203),
(183478, 'PTHR24072:SF347', NULL, NULL, NULL, NULL, 'BNAA09G03750D PROTEIN', 127204),
(183479, 'PTHR46823:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700008P20', 127205),
(183480, 'PTHR32227:SF321', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASE FAMILY 17 PROTEIN', 127206),
(183481, 'PTHR11864:SF1', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 40 HOMOLOG B', 127207),
(183482, 'PTHR12771:SF8', NULL, NULL, NULL, NULL, 'ENGULFMENT AND CELL MOTILITY PROTEIN 2', 127208),
(183483, 'PTHR12015:SF102', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 22', 127209),
(183484, 'PTHR31435:SF8', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 127210),
(183485, 'PTHR33431:SF8', NULL, NULL, NULL, NULL, 'DUF1635 FAMILY PROTEIN', 127211),
(183486, 'PTHR11604:SF3', NULL, NULL, NULL, NULL, 'PROFILIN-2', 127212),
(183487, 'PTHR33657:SF8', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00600)-RELATED', 127213),
(183488, 'PTHR30383:SF24', NULL, NULL, NULL, NULL, 'THIOESTERASE 1/PROTEASE 1/LYSOPHOSPHOLIPASE L1', 127214),
(183489, 'PTHR11573:SF26', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE', 127215),
(183490, 'PTHR32021:SF30', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5C1', 127216),
(183491, 'PTHR28018:SF2', NULL, NULL, NULL, NULL, 'F18C1.18 PROTEIN-RELATED', 127217),
(183492, 'PTHR33044:SF16', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN (WITH ALTERNATIVE SPLICING)', 127218),
(183493, 'PTHR31743', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CHANNEL 4-ASSOCIATED PROTEIN TCPC4AP', 127219),
(183494, 'PTHR12668:SF49', NULL, NULL, NULL, NULL, 'BNAC06G41000D PROTEIN', 127220),
(183495, 'PTHR10126:SF49', NULL, NULL, NULL, NULL, 'BNAA03G55430D PROTEIN', 127221),
(183496, 'PTHR10751:SF92', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 7', 127222),
(183497, 'PTHR22765:SF260', NULL, NULL, NULL, NULL, 'GB|AAD18119.1-RELATED', 127223),
(183498, 'PTHR46128:SF48', NULL, NULL, NULL, NULL, 'BNAA06G28500D PROTEIN', 127224),
(183499, 'PTHR11132:SF328', NULL, NULL, NULL, NULL, 'TRIOSE-PHOSPHATE TRANSPORTER FAMILY PROTEIN', 127225),
(183500, 'PTHR11731:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127226),
(183501, 'PTHR22589:SF69', NULL, NULL, NULL, NULL, 'CARNITINE O-PALMITOYLTRANSFERASE 1, MUSCLE ISOFORM', 127227),
(183502, 'PTHR24083:SF155', NULL, NULL, NULL, NULL, 'HORMONE RECEPTOR 83', 127228),
(183503, 'PTHR24221:SF467', NULL, NULL, NULL, NULL, 'OS01G0695700 PROTEIN', 127229),
(183504, 'PTHR36773', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 127230);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(183505, 'PTHR47219', NULL, NULL, NULL, NULL, 'RAB GTPASE-ACTIVATING PROTEIN 1-LIKE', 127231),
(183506, 'PTHR42968:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127232),
(183507, 'PTHR31343:SF5', NULL, NULL, NULL, NULL, 'DUF789 FAMILY PROTEIN', 127233),
(183508, 'PTHR47131', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN 3', 127234),
(183509, 'PTHR48011:SF22', NULL, NULL, NULL, NULL, 'BNACNNG25820D PROTEIN', 127235),
(183510, 'PTHR43900:SF52', NULL, NULL, NULL, NULL, 'OS01G0371400 PROTEIN', 127236),
(183511, 'PTHR31279:SF54', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-RELATED', 127237),
(183512, 'PTHR11188:SF135', NULL, NULL, NULL, NULL, 'SI:CH211-130M23.2-RELATED', 127238),
(183513, 'PTHR28593:SF1', NULL, NULL, NULL, NULL, 'METEORIN-LIKE PROTEIN', 127239),
(183514, 'PTHR31190:SF211', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 127240),
(183515, 'PTHR43047:SF2', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE M7', 127241),
(183516, 'PTHR24260:SF90', NULL, NULL, NULL, NULL, 'AT07769P-RELATED', 127242),
(183517, 'PTHR30363:SF8', NULL, NULL, NULL, NULL, 'DEOXYRIBOSE OPERON REPRESSOR', 127243),
(183518, 'PTHR47086:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127244),
(183519, 'PTHR37753', NULL, NULL, NULL, NULL, 'OS01G0940600 PROTEIN', 127245),
(183520, 'PTHR43874:SF73', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR4-RELATED', 127246),
(183521, 'PTHR33565:SF26', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN HOMOLOG 4', 127247),
(183522, 'PTHR33143:SF35', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 18', 127248),
(183523, 'PTHR24054:SF35', NULL, NULL, NULL, NULL, 'KINASE II, ALPHA CHAIN, PUTATIVE, EXPRESSED-RELATED', 127249),
(183524, 'PTHR33588', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 299', 127250),
(183525, 'PTHR14879:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127251),
(183526, 'PTHR15876', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN ADIPOCYTE-ASSOCIATED 1', 127252),
(183527, 'PTHR22527:SF2', NULL, NULL, NULL, NULL, 'PLACENTA-EXPRESSED TRANSCRIPT 1 PROTEIN', 127253),
(183528, 'PTHR32212:SF295', NULL, NULL, NULL, NULL, 'BNAA08G26460D PROTEIN', 127254),
(183529, 'PTHR23048:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127255),
(183530, 'PTHR45694:SF17', NULL, NULL, NULL, NULL, 'BNAA04G11830D PROTEIN', 127256),
(183531, 'PTHR46347:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127257),
(183532, 'PTHR46044:SF9', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NITRILASE/NITRILE HYDRATASE NIT4B-RELATED', 127258),
(183533, 'PTHR38048:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127259),
(183534, 'PTHR46791:SF2', NULL, NULL, NULL, NULL, 'ZMP:0000000984', 127260),
(183535, 'PTHR48008:SF3', NULL, NULL, NULL, NULL, 'BNAC06G15740D PROTEIN', 127261),
(183536, 'PTHR11362:SF23', NULL, NULL, NULL, NULL, 'OJ991113_30.17 PROTEIN', 127262),
(183537, 'PTHR24404:SF28', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN EOS', 127263),
(183538, 'PTHR12473:SF13', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE MINDY-4-RELATED', 127264),
(183539, 'PTHR13068:SF194', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 3, MITOCHONDRIAL', 127265),
(183540, 'PTHR12356:SF19', NULL, NULL, NULL, NULL, 'NUDC DOMAIN-CONTAINING PROTEIN 3', 127266),
(183541, 'PTHR11532:SF89', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE D FAMILY', 127267),
(183542, 'PTHR11062:SF75', NULL, NULL, NULL, NULL, 'OS01G0640600 PROTEIN', 127268),
(183543, 'PTHR31636:SF25', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 26', 127269),
(183544, 'PTHR21530', NULL, NULL, NULL, NULL, 'PHEROMONE SHUTDOWN PROTEIN', 127270),
(183545, 'PTHR10725:SF33', NULL, NULL, NULL, NULL, 'THAP DOMAIN CONTAINING 2', 127271),
(183546, 'PTHR21053:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR, MITOCHONDRIAL', 127272),
(183547, 'PTHR10165:SF79', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE 3', 127273),
(183548, 'PTHR10788:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127274),
(183549, 'PTHR31495:SF5', NULL, NULL, NULL, NULL, 'PEROXYGENASE', 127275);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(183550, 'PTHR47990:SF66', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE', 127276),
(183551, 'PTHR43795:SF39', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 7', 127277),
(183552, 'PTHR12170:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127278),
(183553, 'PTHR45639:SF3', NULL, NULL, NULL, NULL, 'HYPOXIA UP-REGULATED PROTEIN 1', 127279),
(183554, 'PTHR45645:SF15', NULL, NULL, NULL, NULL, 'TOLLOID-LIKE PROTEIN 2', 127280),
(183555, 'PTHR31038', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 127281),
(183556, 'PTHR21345:SF9', NULL, NULL, NULL, NULL, 'SPIRE-TYPE ACTIN NUCLEATION FACTOR 1', 127282),
(183557, 'PTHR48062:SF20', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 45-RELATED', 127283),
(183558, 'PTHR15241:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127284),
(183559, 'PTHR22739:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG12421', 127285),
(183560, 'PTHR11700', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S10 FAMILY MEMBER', 127286),
(183561, 'PTHR11571:SF160', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 6-RELATED', 127287),
(183562, 'PTHR46192:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE/BISPHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', 127288),
(183563, 'PTHR46371:SF1', NULL, NULL, NULL, NULL, 'OS04G0464100 PROTEIN', 127289),
(183564, 'PTHR45636:SF13', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-9', 127290),
(183565, 'PTHR34197:SF6', NULL, NULL, NULL, NULL, 'DUF740 FAMILY PROTEIN', 127291),
(183566, 'PTHR23136:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127292),
(183567, 'PTHR45969:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0064M23.12 PROTEIN', 127293),
(183568, 'PTHR19860:SF8', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 12-LIKE PROTEIN 2', 127294),
(183569, 'PTHR45648:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127295),
(183570, 'PTHR31741:SF8', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 35', 127296),
(183571, 'PTHR33513:SF24', NULL, NULL, NULL, NULL, 'CYTOPLASMIC TRNA 2-THIOLATION PROTEIN-RELATED', 127297),
(183572, 'PTHR31325:SF222', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF594)-RELATED', 127298),
(183573, 'PTHR45800:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 2', 127299),
(183574, 'PTHR35361:SF1', NULL, NULL, NULL, NULL, 'OS08G0443700 PROTEIN', 127300),
(183575, 'PTHR43794:SF11', NULL, NULL, NULL, NULL, 'AMINOHYDROLASE SSNA-RELATED', 127301),
(183576, 'PTHR47436', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATXR2', 127302),
(183577, 'PTHR45707:SF33', NULL, NULL, NULL, NULL, 'PROTEIN QUIRKY-LIKE', 127303),
(183578, 'PTHR35022:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127304),
(183579, 'PTHR43259', NULL, NULL, NULL, NULL, 'SPT10P', 127305),
(183580, 'PTHR31165:SF57', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 6-LIKE', 127306),
(183581, 'PTHR47878:SF2', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE FAD/NAD(P)-BINDING DOMAIN PROTEIN', 127307),
(183582, 'PTHR31683:SF121', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 127308),
(183583, 'PTHR31977:SF1', NULL, NULL, NULL, NULL, 'UPF0696 PROTEIN C11ORF68', 127309),
(183584, 'PTHR24372:SF67', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G-PROTEIN COUPLED RECEPTOR 4', 127310),
(183585, 'PTHR33527:SF28', NULL, NULL, NULL, NULL, 'GB|AAD43168.1', 127311),
(183586, 'PTHR13628', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 127312),
(183587, 'PTHR19290:SF7', NULL, NULL, NULL, NULL, 'OLIGODENDROCYTE TRANSCRIPTION FACTOR 1', 127313),
(183588, 'PTHR46198:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE R', 127314),
(183589, 'PTHR31929:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127315),
(183590, 'PTHR46193:SF9', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE DOMAIN-CONTAINING PROTEIN SGPP', 127316),
(183591, 'PTHR31677:SF153', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 5', 127317),
(183592, 'PTHR28360', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 3', 127318),
(183593, 'PTHR12064:SF4', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER CNNM-4', 127319);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(183594, 'PTHR18937:SF147', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 1B', 127320),
(183595, 'PTHR31677:SF116', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 12-LIKE', 127321),
(183596, 'PTHR31301:SF91', NULL, NULL, NULL, NULL, 'PROTEIN LATERAL ORGAN BOUNDARIES', 127322),
(183597, 'PTHR11913:SF99', NULL, NULL, NULL, NULL, 'ACTIN DEPOLYMERIZING FACTOR 10-RELATED', 127323),
(183598, 'PTHR32263:SF14', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE SRO2-RELATED', 127324),
(183599, 'PTHR43840:SF29', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 3', 127325),
(183600, 'PTHR14870', NULL, NULL, NULL, NULL, 'TUBULIN EPSILON AND DELTA COMPLEX PROTEIN 2', 127326),
(183601, 'PTHR10013:SF6', NULL, NULL, NULL, NULL, 'BNACNNG51860D PROTEIN', 127327),
(183602, 'PTHR32285:SF282', NULL, NULL, NULL, NULL, 'PMR5 DOMAIN, PC-ESTERASE, PROTEIN TRICHOME BIREFRINGENCE-LIKE 32/46-RELATED', 127328),
(183603, 'PTHR10882:SF0', NULL, NULL, NULL, NULL, 'DIPHTHINE METHYL ESTER SYNTHASE', 127329),
(183604, 'PTHR11178:SF15', NULL, NULL, NULL, NULL, 'NIFU-LIKE PROTEIN 1, CHLOROPLASTIC', 127330),
(183605, 'PTHR31992:SF193', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.4', 127331),
(183606, 'PTHR24220:SF583', NULL, NULL, NULL, NULL, 'ATPASE COMPONENT OF TUNGSTATE ABC TRANSPORTER', 127332),
(183607, 'PTHR13690:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127333),
(183608, 'PTHR24384:SF128', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 737', 127334),
(183609, 'PTHR18945:SF841', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID (GABA) A RECEPTOR, PI', 127335),
(183610, 'PTHR33920:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127336),
(183611, 'PTHR45618:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127337),
(183612, 'PTHR31713:SF45', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 A-LIKE ISOFORM X1', 127338),
(183613, 'PTHR10544:SF23', NULL, NULL, NULL, NULL, 'BNAA02G23560D PROTEIN', 127339),
(183614, 'PTHR46484:SF2', NULL, NULL, NULL, NULL, 'SI:CH73-380L3.3-RELATED', 127340),
(183615, 'PTHR33083:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127341),
(183616, 'PTHR47671', NULL, NULL, NULL, NULL, 'PLECKSTRIN DOMAIN-CONTAINING FAMILY G MEMBER 6', 127342),
(183617, 'PTHR35129', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 1', 127343),
(183618, 'PTHR13832:SF766', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', 127344),
(183619, 'PTHR34970:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127345),
(183620, 'PTHR44329:SF115', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE-LIKE PROTEIN', 127346),
(183621, 'PTHR31204:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127347),
(183622, 'PTHR22850:SF209', NULL, NULL, NULL, NULL, 'BNAA10G29210D PROTEIN', 127348),
(183623, 'PTHR46813:SF12', NULL, NULL, NULL, NULL, 'BNAC07G16680D PROTEIN', 127349),
(183624, 'PTHR45644:SF47', NULL, NULL, NULL, NULL, 'BNAC09G28950D PROTEIN', 127350),
(183625, 'PTHR35985', NULL, NULL, NULL, NULL, 'OS07G0675200 PROTEIN', 127351),
(183626, 'PTHR45660:SF23', NULL, NULL, NULL, NULL, 'BNAC02G33250D PROTEIN', 127352),
(183627, 'PTHR11012:SF14', NULL, NULL, NULL, NULL, 'AT04491P', 127353),
(183628, 'PTHR10768:SF25', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', 127354),
(183629, 'PTHR43214:SF3', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR UVRY', 127355),
(183630, 'PTHR36809:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 127356),
(183631, 'PTHR37536:SF2', NULL, NULL, NULL, NULL, 'ASPERGILLOPEPSIN, PUTAITVE (AFU_ORTHOLOGUE AFUA_7G01200)', 127357),
(183632, 'PTHR10388:SF59', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLATION FACTOR SUI1-LIKE PROTEIN', 127358),
(183633, 'PTHR30146:SF95', NULL, NULL, NULL, NULL, 'RIBOSE OPERON REPRESSOR', 127359),
(183634, 'PTHR30050:SF9', NULL, NULL, NULL, NULL, 'DNA REPLICATION PROTEIN DNAC', 127360),
(183635, 'PTHR22983', NULL, NULL, NULL, NULL, 'PROTEIN KINASE RELATED', 127361),
(183636, 'PTHR12377:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127362);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(183637, 'PTHR31929:SF38', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 127363),
(183638, 'PTHR22791:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG11962', 127364),
(183639, 'PTHR46000:SF4', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 127365),
(183640, 'PTHR23064:SF60', NULL, NULL, NULL, NULL, 'POLCALCIN NIC T 1', 127366),
(183641, 'PTHR46775:SF8', NULL, NULL, NULL, NULL, 'UBA-LIKE, GBF-INTERACTING PROTEIN 1-RELATED', 127367),
(183642, 'PTHR31529:SF4', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 18', 127368),
(183643, 'PTHR10159:SF108', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 8', 127369),
(183644, 'PTHR21022:SF31', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', 127370),
(183645, 'PTHR25465:SF26', NULL, NULL, NULL, NULL, 'FINTRIM FAMILY, MEMBER 99', 127371),
(183646, 'PTHR31165:SF43', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE3', 127372),
(183647, 'PTHR10816:SF11', NULL, NULL, NULL, NULL, 'MYELIN TRANSCRIPTION FACTOR 1-LIKE PROTEIN', 127373),
(183648, 'PTHR31717:SF89', NULL, NULL, NULL, NULL, 'B-BOX-TYPE ZINC FINGER-RELATED', 127374),
(183649, 'PTHR47979:SF74', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA2C', 127375),
(183650, 'PTHR36474:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LIAT1', 127376),
(183651, 'PTHR47967:SF31', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE PCS1-LIKE', 127377),
(183652, 'PTHR30183:SF9', NULL, NULL, NULL, NULL, 'THIAMINE TRANSPORT SYSTEM PERMEASE PROTEIN THIP', 127378),
(183653, 'PTHR10496:SF10', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', 127379),
(183654, 'PTHR22536:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127380),
(183655, 'PTHR46692:SF5', NULL, NULL, NULL, NULL, 'OS05G0406100 PROTEIN', 127381),
(183656, 'PTHR24028:SF40', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-19', 127382),
(183657, 'PTHR36607:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127383),
(183658, 'PTHR32467:SF155', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR AIL6', 127384),
(183659, 'PTHR22945:SF91', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-50', 127385),
(183660, 'PTHR11654:SF482', NULL, NULL, NULL, NULL, 'BNACNNG65650D PROTEIN', 127386),
(183661, 'PTHR24256:SF516', NULL, NULL, NULL, NULL, 'FI20229P1-RELATED', 127387),
(183662, 'PTHR24329:SF322', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ARISTALESS-LIKE 4', 127388),
(183663, 'PTHR43332:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT PERMEASE PROTEIN', 127389),
(183664, 'PTHR24082:SF197', NULL, NULL, NULL, NULL, 'PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR ALPHA', 127390),
(183665, 'PTHR11863:SF122', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 1-LIKE', 127391),
(183666, 'PTHR31660', NULL, NULL, NULL, NULL, 'GAG-POL POLYPROTEIN-LIKE PROTEIN-RELATED', 127392),
(183667, 'PTHR37610:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127393),
(183668, 'PTHR48017:SF184', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 127394),
(183669, 'PTHR30153', NULL, NULL, NULL, NULL, 'REPLICATIVE DNA HELICASE DNAB', 127395),
(183670, 'PTHR24404:SF58', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 845', 127396),
(183671, 'PTHR46770:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ORTHOPEDIA', 127397),
(183672, 'PTHR22924:SF94', NULL, NULL, NULL, NULL, 'HEMOGLOBIN 1, GLB1,NSHB1,ATGLB1,HB1', 127398),
(183673, 'PTHR26452:SF219', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 127399),
(183674, 'PTHR24083:SF81', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 127400),
(183675, 'PTHR44067:SF3', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', 127401),
(183676, 'PTHR11668:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 127402),
(183677, 'PTHR13923:SF31', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC31 HOMOLOG A', 127403),
(183678, 'PTHR47590:SF2', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP25-LIKE', 127404),
(183679, 'PTHR19375:SF211', NULL, NULL, NULL, NULL, '70 KDA HEAT SHOCK PROTEIN', 127405),
(183680, 'PTHR43735:SF22', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR HOMOLOG B-LIKE', 127406); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(183681, 'PTHR33076:SF125', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN LAC S 1', 127407),
(183682, 'PTHR31998:SF27', NULL, NULL, NULL, NULL, 'BNAC06G40530D PROTEIN', 127408),
(183683, 'PTHR46020:SF26', NULL, NULL, NULL, NULL, 'OS09G0567800 PROTEIN', 127409),
(183684, 'PTHR14221:SF42', NULL, NULL, NULL, NULL, 'OS02G0539900 PROTEIN', 127410),
(183685, 'PTHR35094:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 127411),
(183686, 'PTHR43895:SF99', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 127412),
(183687, 'PTHR10695:SF45', NULL, NULL, NULL, NULL, 'PHOSPHOPANTETHEINE ADENYLYLTRANSFERASE-LIKE ISOFORM X1', 127413),
(183688, 'PTHR10174:SF218', NULL, NULL, NULL, NULL, 'SD01558P', 127414),
(183689, 'PTHR24102:SF6', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 21A', 127415),
(183690, 'PTHR44240:SF22', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 11, CHLOROPLASTIC-LIKE', 127416),
(183691, 'PTHR13690:SF112', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RF2A-LIKE', 127417),
(183692, 'PTHR31325:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127418),
(183693, 'PTHR24068:SF208', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 11', 127419),
(183694, 'PTHR10724:SF10', NULL, NULL, NULL, NULL, 'S1 RNA-BINDING DOMAIN-CONTAINING PROTEIN 1', 127420),
(183695, 'PTHR23344:SF6', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE DOMAIN-CONTAINING PROTEIN 5', 127421),
(183696, 'PTHR10593:SF176', NULL, NULL, NULL, NULL, 'OS03G0237250 PROTEIN', 127422),
(183697, 'PTHR23322:SF80', NULL, NULL, NULL, NULL, 'OS09G0525600 PROTEIN', 127423),
(183698, 'PTHR31731:SF70', NULL, NULL, NULL, NULL, '14 KDA PROLINE-RICH PROTEIN', 127424),
(183699, 'PTHR23502:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127425),
(183700, 'PTHR31518:SF3', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH PROTEIN PNISR', 127426),
(183701, 'PTHR31917:SF93', NULL, NULL, NULL, NULL, 'BNAA01G33820D PROTEIN', 127427),
(183702, 'PTHR34278:SF5', NULL, NULL, NULL, NULL, 'SITE, PUTATIVE-RELATED', 127428),
(183703, 'PTHR48018:SF38', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8U1', 127429),
(183704, 'PTHR32060:SF27', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL PROCESSING PROTEASE CTPB', 127430),
(183705, 'PTHR37929', NULL, NULL, NULL, NULL, 'GRIP AND COILED-COIL DOMAIN-CONTAINING PROTEIN PFC0235W', 127431),
(183706, 'PTHR10795:SF562', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.5-RELATED', 127432),
(183707, 'PTHR31707:SF331', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 127433),
(183708, 'PTHR11475:SF22', NULL, NULL, NULL, NULL, 'PEROXIDASE SKPO-1', 127434),
(183709, 'PTHR21698:SF1', NULL, NULL, NULL, NULL, 'IP17715P', 127435),
(183710, 'PTHR33463:SF49', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN', 127436),
(183711, 'PTHR12354:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127437),
(183712, 'PTHR23277', NULL, NULL, NULL, NULL, 'NECTIN-RELATED', 127438),
(183713, 'PTHR46042', NULL, NULL, NULL, NULL, 'DIPHTHINE METHYLTRANSFERASE', 127439),
(183714, 'PTHR31189:SF30', NULL, NULL, NULL, NULL, '12S SEED STORAGE PROTEIN CRA1', 127440),
(183715, 'PTHR11849:SF190', NULL, NULL, NULL, NULL, 'PROTEIN CBG25628', 127441),
(183716, 'PTHR22961:SF13', NULL, NULL, NULL, NULL, 'TRIBBLES', 127442),
(183717, 'PTHR14167:SF83', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN-RELATED', 127443),
(183718, 'PTHR14215:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION REGULATOR 1', 127444),
(183719, 'PTHR45748:SF8', NULL, NULL, NULL, NULL, 'OS09G0278300 PROTEIN', 127445),
(183720, 'PTHR30557:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOMETHYLPYRIMIDINE SYNTHASE, CHLOROPLASTIC', 127446),
(183721, 'PTHR32227:SF338', NULL, NULL, NULL, NULL, 'BETA 1,3-GLUCANASE-LIKE', 127447),
(183722, 'PTHR44103:SF1', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE P', 127448),
(183723, 'PTHR11941:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127449),
(183724, 'PTHR46368:SF4', NULL, NULL, NULL, NULL, 'OS10G0403700 PROTEIN', 127450),
(183725, 'PTHR31989:SF29', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 50-RELATED', 127451);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(183726, 'PTHR21689', NULL, NULL, NULL, NULL, 'LIN-9', 127452),
(183727, 'PTHR15583:SF5', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR E', 127453),
(183728, 'PTHR12081:SF75', NULL, NULL, NULL, NULL, 'OS06G0245900 PROTEIN', 127454),
(183729, 'PTHR11005:SF122', NULL, NULL, NULL, NULL, 'STEROL ESTERASE 1-RELATED', 127455),
(183730, 'PTHR11452:SF77', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE D', 127456),
(183731, 'PTHR28441:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127457),
(183732, 'PTHR11685:SF335', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 127458),
(183733, 'PTHR21450:SF47', NULL, NULL, NULL, NULL, 'OS01G0500500 PROTEIN', 127459),
(183734, 'PTHR39936', NULL, NULL, NULL, NULL, 'SI:CH211-253P2.2-RELATED', 127460),
(183735, 'PTHR11802:SF381', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 127461),
(183736, 'PTHR24281:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127462),
(183737, 'PTHR21007', NULL, NULL, NULL, NULL, 'LIVER EXPRESSED ANTIMICROBIAL PEPTIDE 2', 127463),
(183738, 'PTHR10293:SF58', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S1, MITOCHONDRIAL', 127464),
(183739, 'PTHR12622:SF21', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DTX2-RELATED', 127465),
(183740, 'PTHR34378:SF4', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE', 127466),
(183741, 'PTHR15710:SF110', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE', 127467),
(183742, 'PTHR10828:SF43', NULL, NULL, NULL, NULL, 'M-PHASE INDUCER PHOSPHATASE CDC-25.1', 127468),
(183743, 'PTHR43756', NULL, NULL, NULL, NULL, 'CHOLINE MONOOXYGENASE, CHLOROPLASTIC', 127469),
(183744, 'PTHR48022:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127470),
(183745, 'PTHR23120:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127471),
(183746, 'PTHR16171', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN COMPLEMENTING XP-G CELLS-RELATED', 127472),
(183747, 'PTHR31205', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN (DUF569)', 127473),
(183748, 'PTHR31099:SF16', NULL, NULL, NULL, NULL, 'BNAA05G16400D PROTEIN', 127474),
(183749, 'PTHR39420:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127475),
(183750, 'PTHR11414', NULL, NULL, NULL, NULL, 'CYSTATIN FAMILY MEMBER', 127476),
(183751, 'PTHR31421:SF14', NULL, NULL, NULL, NULL, 'BNAA01G05230D PROTEIN', 127477),
(183752, 'PTHR10527:SF66', NULL, NULL, NULL, NULL, 'OS03G0701000 PROTEIN', 127478),
(183753, 'PTHR46325:SF18', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC10', 127479),
(183754, 'PTHR21104:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127480),
(183755, 'PTHR39227:SF1', NULL, NULL, NULL, NULL, 'ADIPOGENESIS REGULATORY FACTOR', 127481),
(183756, 'PTHR10502:SF186', NULL, NULL, NULL, NULL, 'ANNEXIN', 127482),
(183757, 'PTHR13009:SF8', NULL, NULL, NULL, NULL, 'LD43819P', 127483),
(183758, 'PTHR24082:SF491', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR ISOFORM X1', 127484),
(183759, 'PTHR43000:SF10', NULL, NULL, NULL, NULL, 'UDP-SULFOQUINOVOSE SYNTHASE, CHLOROPLASTIC', 127485),
(183760, 'PTHR32071:SF77', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 127486),
(183761, 'PTHR35735', NULL, NULL, NULL, NULL, 'PROTEIN NIM1-INTERACTING 2', 127487),
(183762, 'PTHR47926:SF129', NULL, NULL, NULL, NULL, 'BNACNNG05390D PROTEIN', 127488),
(183763, 'PTHR31989:SF344', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 53-RELATED', 127489),
(183764, 'PTHR43527:SF1', NULL, NULL, NULL, NULL, 'L-THREONINE KINASE', 127490),
(183765, 'PTHR12433:SF3', NULL, NULL, NULL, NULL, 'PROSTATE TUMOR-OVEREXPRESSED GENE 1 PROTEIN', 127491),
(183766, 'PTHR26379:SF353', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 2', 127492),
(183767, 'PTHR31388:SF109', NULL, NULL, NULL, NULL, 'PEROXIDASE', 127493),
(183768, 'PTHR36481', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 127494),
(183769, 'PTHR13856:SF31', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 2', 127495),
(183770, 'PTHR33021:SF317', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127496),
(183771, 'PTHR11388:SF86', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 3A1', 127497);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(183772, 'PTHR11412:SF161', NULL, NULL, NULL, NULL, 'ALPHA-2-MACROGLOBULIN-RELATED', 127498),
(183773, 'PTHR21567:SF56', NULL, NULL, NULL, NULL, 'PROTEIN CLASP-1', 127499),
(183774, 'PTHR45884:SF6', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE ESCO2', 127500),
(183775, 'PTHR10314:SF135', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE/CYSTATHIONINE BETA-SYNTHASE-RELATED', 127501),
(183776, 'PTHR13308:SF5', NULL, NULL, NULL, NULL, 'NEDD4-BINDING PROTEIN 2-LIKE 1', 127502),
(183777, 'PTHR47712', NULL, NULL, NULL, NULL, 'OS09G0555300 PROTEIN', 127503),
(183778, 'PTHR11709:SF307', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE PECTINESTERASE-LIKE PROTEIN POLLEN-SPECIFIC PROTEIN-LIKE', 127504),
(183779, 'PTHR24559:SF290', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN-CONTAINING PROTEIN-RELATED', 127505),
(183780, 'PTHR33971:SF13', NULL, NULL, NULL, NULL, 'BNAA09G02540D PROTEIN', 127506),
(183781, 'PTHR33170:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127507),
(183782, 'PTHR19441:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127508),
(183783, 'PTHR35321', NULL, NULL, NULL, NULL, 'OS02G0753200 PROTEIN', 127509),
(183784, 'PTHR31235:SF26', NULL, NULL, NULL, NULL, 'PEROXIDASE 2', 127510),
(183785, 'PTHR46744', NULL, NULL, NULL, NULL, 'PROTEIN UNC-93 HOMOLOG B1', 127511),
(183786, 'PTHR33526:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127512),
(183787, 'PTHR11040:SF127', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP11', 127513),
(183788, 'PTHR15549:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127514),
(183789, 'PTHR12429:SF30', NULL, NULL, NULL, NULL, 'CI-NEURALIZED-B PROTEIN', 127515),
(183790, 'PTHR24361:SF816', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 6', 127516),
(183791, 'PTHR43719:SF28', NULL, NULL, NULL, NULL, 'LP18708P', 127517),
(183792, 'PTHR11527:SF329', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', 127518),
(183793, 'PTHR47491', NULL, NULL, NULL, NULL, 'CAP-GLY DOMAIN LINKER', 127519),
(183794, 'PTHR47990:SF69', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', 127520),
(183795, 'PTHR33085:SF2', NULL, NULL, NULL, NULL, 'OS03G0817600 PROTEIN', 127521),
(183796, 'PTHR18896:SF152', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D GAMMA 1-RELATED', 127522),
(183797, 'PTHR47992:SF61', NULL, NULL, NULL, NULL, 'BNAA03G50740D PROTEIN', 127523),
(183798, 'PTHR27003:SF334', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', 127524),
(183799, 'PTHR12736:SF14', NULL, NULL, NULL, NULL, 'LANC-LIKE PROTEIN GCL1', 127525),
(183800, 'PTHR27004:SF307', NULL, NULL, NULL, NULL, 'OS01G0160200 PROTEIN', 127526),
(183801, 'PTHR11165:SF121', NULL, NULL, NULL, NULL, 'BNACNNG41550D PROTEIN', 127527),
(183802, 'PTHR23257:SF772', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 127528),
(183803, 'PTHR31342:SF32', NULL, NULL, NULL, NULL, 'BNAC09G22360D PROTEIN', 127529),
(183804, 'PTHR45651:SF74', NULL, NULL, NULL, NULL, 'BNAA10G07330D PROTEIN', 127530),
(183805, 'PTHR13112:SF0', NULL, NULL, NULL, NULL, 'FI21285P1', 127531),
(183806, 'PTHR47193', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN 1', 127532),
(183807, 'PTHR11959', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE', 127533),
(183808, 'PTHR35742', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 16.5 KDA PROTEIN, CHLOROPLASTIC', 127534),
(183809, 'PTHR12233:SF19', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING 26A-RELATED', 127535),
(183810, 'PTHR45706:SF1', NULL, NULL, NULL, NULL, 'PEZ, ISOFORM A', 127536),
(183811, 'PTHR38223:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127537),
(183812, 'PTHR36460', NULL, NULL, NULL, NULL, 'UPF0132 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G10255)', 127538),
(183813, 'PTHR31902:SF14', NULL, NULL, NULL, NULL, 'SUCRASE-LIKE PROTEIN', 127539),
(183814, 'PTHR12191:SF30', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER FOI', 127540),
(183815, 'PTHR12001:SF70', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE SYNTHETASE ATMG, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02400)-RELATED', 127541);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(183816, 'PTHR46475:SF9', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR3-LIKE ISOFORM X1', 127542),
(183817, 'PTHR11040:SF67', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 5', 127543),
(183818, 'PTHR42973:SF39', NULL, NULL, NULL, NULL, 'BINDING OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17690)-RELATED', 127544),
(183819, 'PTHR47628:SF1', NULL, NULL, NULL, NULL, 'ALIPHATIC AMIDASE EXPRESSION-REGULATING PROTEIN', 127545),
(183820, 'PTHR10783:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127546),
(183821, 'PTHR33191', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 2-RELATED', 127547),
(183822, 'PTHR32002:SF48', NULL, NULL, NULL, NULL, 'OS09G0549450 PROTEIN', 127548),
(183823, 'PTHR13659:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127549),
(183824, 'PTHR45996', NULL, NULL, NULL, NULL, 'AGAP001464-PB', 127550),
(183825, 'PTHR48019:SF96', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN DEFICIENS ISOFORM X1', 127551),
(183826, 'PTHR11060:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MEMO1', 127552),
(183827, 'PTHR26453:SF102', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2L13', 127553),
(183828, 'PTHR33971:SF3', NULL, NULL, NULL, NULL, 'OS02G0743600 PROTEIN', 127554),
(183829, 'PTHR24242:SF365', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 127555),
(183830, 'PTHR35489:SF2', NULL, NULL, NULL, NULL, 'TITAN9', 127556),
(183831, 'PTHR31828:SF41', NULL, NULL, NULL, NULL, 'BNAA05G11620D PROTEIN', 127557),
(183832, 'PTHR40472:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127558),
(183833, 'PTHR16676', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER CD24', 127559),
(183834, 'PTHR14577', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 12', 127560),
(183835, 'PTHR47413:SF3', NULL, NULL, NULL, NULL, 'BNAA04G05420D PROTEIN', 127561),
(183836, 'PTHR11627:SF60', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 127562),
(183837, 'PTHR48065:SF23', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', 127563),
(183838, 'PTHR48094:SF16', NULL, NULL, NULL, NULL, 'PROTEIN/NUCLEIC ACID DEGLYCASE DJ-1', 127564),
(183839, 'PTHR24036:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG07437', 127565),
(183840, 'PTHR12952', NULL, NULL, NULL, NULL, 'SYS1', 127566),
(183841, 'PTHR10496:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', 127567),
(183842, 'PTHR46297:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH-TYPE WITH G PATCH DOMAIN-CONTAINING PROTEIN', 127568),
(183843, 'PTHR42861:SF78', NULL, NULL, NULL, NULL, 'BNACNNG37700D PROTEIN', 127569),
(183844, 'PTHR20884', NULL, NULL, NULL, NULL, 'GDP-D-GLUCOSE PHOSPHORYLASE 1', 127570),
(183845, 'PTHR32091:SF23', NULL, NULL, NULL, NULL, 'BNAA08G24470D PROTEIN', 127571),
(183846, 'PTHR47992:SF26', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 50-RELATED', 127572),
(183847, 'PTHR12656:SF12', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 1A', 127573),
(183848, 'PTHR11334:SF30', NULL, NULL, NULL, NULL, 'MAS-RELATED 7-TRANSMEMBRANE PROTEIN', 127574),
(183849, 'PTHR32212:SF320', NULL, NULL, NULL, NULL, 'BNAA09G31230D PROTEIN', 127575),
(183850, 'PTHR11360:SF276', NULL, NULL, NULL, NULL, 'GON-2 EXTRAGENIC MODIFIER', 127576),
(183851, 'PTHR43205:SF59', NULL, NULL, NULL, NULL, '2-ALKENAL REDUCTASE (NADP(+)-DEPENDENT)-LIKE', 127577),
(183852, 'PTHR31214', NULL, NULL, NULL, NULL, 'PROTEIN FAM221A-RELATED', 127578),
(183853, 'PTHR31707:SF336', NULL, NULL, NULL, NULL, 'BNAA05G13610D PROTEIN', 127579),
(183854, 'PTHR47544', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 4', 127580),
(183855, 'PTHR24073:SF1151', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1C', 127581),
(183856, 'PTHR31673:SF51', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 127582),
(183857, 'PTHR38110:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127583),
(183858, 'PTHR43725:SF26', NULL, NULL, NULL, NULL, 'BNAA06G38100D PROTEIN', 127584),
(183859, 'PTHR23113:SF187', NULL, NULL, NULL, NULL, 'RAS-SPECIFIC GUANINE NUCLEOTIDE-RELEASING FACTOR 2', 127585),
(183860, 'PTHR12369:SF5', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 127586);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(183861, 'PTHR11431:SF92', NULL, NULL, NULL, NULL, 'FERRITIN-2, CHLOROPLASTIC', 127587),
(183862, 'PTHR24106:SF267', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', 127588),
(183863, 'PTHR27007:SF161', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.1', 127589),
(183864, 'PTHR15109', NULL, NULL, NULL, NULL, 'AGAP004327-PA', 127590),
(183865, 'PTHR24055:SF341', NULL, NULL, NULL, NULL, 'STRESS-ACTIVATED PROTEIN KINASE JNK', 127591),
(183866, 'PTHR24056:SF410', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE B2-1', 127592),
(183867, 'PTHR13200:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127593),
(183868, 'PTHR34270:SF7', NULL, NULL, NULL, NULL, 'BNAC05G47090D PROTEIN', 127594),
(183869, 'PTHR45708:SF18', NULL, NULL, NULL, NULL, 'XYLANASE INHIBITOR PROTEIN 1', 127595),
(183870, 'PTHR23253:SF69', NULL, NULL, NULL, NULL, 'BNAANNG29900D PROTEIN', 127596),
(183871, 'PTHR23320:SF72', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 12', 127597),
(183872, 'PTHR21328', NULL, NULL, NULL, NULL, 'POLY  ADP-RIBOSE  POLYMERASE FAMILY, MEMBER  PARP', 127598),
(183873, 'PTHR45881:SF2', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J1.2', 127599),
(183874, 'PTHR33784:SF22', NULL, NULL, NULL, NULL, 'BNACNNG17550D PROTEIN', 127600),
(183875, 'PTHR10655:SF62', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE SOBER1', 127601),
(183876, 'PTHR42890', NULL, NULL, NULL, NULL, '15-HYDROXYPROSTAGLANDIN DEHYDROGENASE (NAD)', 127602),
(183877, 'PTHR24232:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127603),
(183878, 'PTHR47038:SF2', NULL, NULL, NULL, NULL, 'BAG-ASSOCIATED GRAM PROTEIN 1', 127604),
(183879, 'PTHR35132:SF2', NULL, NULL, NULL, NULL, 'OS01G0922100 PROTEIN', 127605),
(183880, 'PTHR33203:SF58', NULL, NULL, NULL, NULL, 'OLEOSIN', 127606),
(183881, 'PTHR21649:SF110', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 127607),
(183882, 'PTHR48048:SF30', NULL, NULL, NULL, NULL, 'OS07G0510400 PROTEIN', 127608),
(183883, 'PTHR30560:SF4', NULL, NULL, NULL, NULL, 'OS01G0894700 PROTEIN', 127609),
(183884, 'PTHR18966:SF99', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2', 127610),
(183885, 'PTHR21353:SF2', NULL, NULL, NULL, NULL, 'CARDIOTROPHIN-1', 127611),
(183886, 'PTHR16509:SF6', NULL, NULL, NULL, NULL, 'MANGANESE-DEPENDENT ADP-RIBOSE/CDP-ALCOHOL DIPHOSPHATASE', 127612),
(183887, 'PTHR13318:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127613),
(183888, 'PTHR11206:SF306', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 127614),
(183889, 'PTHR31062:SF201', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 127615),
(183890, 'PTHR10885:SF2', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE 2', 127616),
(183891, 'PTHR34227:SF11', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN TORD', 127617),
(183892, 'PTHR31356:SF44', NULL, NULL, NULL, NULL, 'CYTOSOLIC ASCORBATE PEROXIDASE 1', 127618),
(183893, 'PTHR24028:SF60', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-2', 127619),
(183894, 'PTHR11893:SF38', NULL, NULL, NULL, NULL, 'INNEXIN INX7', 127620),
(183895, 'PTHR34396:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127621),
(183896, 'PTHR30468:SF10', NULL, NULL, NULL, NULL, 'TAURINE DIOXYGENASE', 127622),
(183897, 'PTHR11098:SF1', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE', 127623),
(183898, 'PTHR33228:SF24', NULL, NULL, NULL, NULL, 'OS06G0654400 PROTEIN', 127624),
(183899, 'PTHR48017:SF153', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 2', 127625),
(183900, 'PTHR31317:SF14', NULL, NULL, NULL, NULL, 'DUF1005 FAMILY PROTEIN (DUF1005)', 127626),
(183901, 'PTHR33935:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127627),
(183902, 'PTHR34481:SF15', NULL, NULL, NULL, NULL, 'TRYPSIN/ALPHA-AMYLASE INHIBITOR CMX2', 127628),
(183903, 'PTHR37764', NULL, NULL, NULL, NULL, 'KETOSE/ALDOSE ISOMERASE, PUTATIVE (MOG1/PSBP/DUF1795-LIKE PHOTOSYSTEM II REACTION CENTER PSBP FAMILY PROTEIN)-RELATED', 127629),
(183904, 'PTHR33083:SF64', NULL, NULL, NULL, NULL, 'OS01G0727700 PROTEIN', 127630);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(183905, 'PTHR15180', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 1', 127631),
(183906, 'PTHR11439:SF327', NULL, NULL, NULL, NULL, 'FLOCCULATION PROTEIN FLO11-LIKE', 127632),
(183907, 'PTHR16208:SF1', NULL, NULL, NULL, NULL, 'SYNTAPHILIN', 127633),
(183908, 'PTHR11945:SF646', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127634),
(183909, 'PTHR38454:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 127635),
(183910, 'PTHR10489:SF936', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127636),
(183911, 'PTHR42683:SF74', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE-RELATED', 127637),
(183912, 'PTHR14017:SF1', NULL, NULL, NULL, NULL, 'LD02225P', 127638),
(183913, 'PTHR30053:SF14', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR P (EF-P) FAMILY PROTEIN', 127639),
(183914, 'PTHR33057:SF132', NULL, NULL, NULL, NULL, 'OVATE TRANSCRIPTIONAL REPRESSOR', 127640),
(183915, 'PTHR24351:SF219', NULL, NULL, NULL, NULL, 'AGC FAMILY PROTEIN KINASE', 127641),
(183916, 'PTHR31251:SF74', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 2', 127642),
(183917, 'PTHR24078:SF524', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK FAMILY PROTEIN', 127643),
(183918, 'PTHR23425:SF8', NULL, NULL, NULL, NULL, 'NUCLEOPORIN AMO1-LIKE', 127644),
(183919, 'PTHR45764:SF24', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', 127645),
(183920, 'PTHR12700:SF17', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', 127646),
(183921, 'PTHR15398:SF11', NULL, NULL, NULL, NULL, 'BROMODOMAIN PROTEIN', 127647),
(183922, 'PTHR46057:SF36', NULL, NULL, NULL, NULL, 'BNAC01G10250D PROTEIN', 127648),
(183923, 'PTHR12565:SF393', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX 7', 127649),
(183924, 'PTHR23316:SF71', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-7', 127650),
(183925, 'PTHR23315:SF63', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 16', 127651),
(183926, 'PTHR44920', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 14, CHLOROPLASTIC-RELATED', 127652),
(183927, 'PTHR46876', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 11', 127653),
(183928, 'PTHR33304:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127654),
(183929, 'PTHR19957:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127655),
(183930, 'PTHR24381:SF282', NULL, NULL, NULL, NULL, 'ZNF721 ISOFORM 1', 127656),
(183931, 'PTHR33115:SF50', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 127657),
(183932, 'PTHR12013:SF5', NULL, NULL, NULL, NULL, 'BNAC03G24370D PROTEIN', 127658),
(183933, 'PTHR13865:SF11', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION PROTEIN ZO-3', 127659),
(183934, 'PTHR23420:SF26', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', 127660),
(183935, 'PTHR45623:SF37', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 3 HOMOLOG', 127661),
(183936, 'PTHR42792:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK-ASSOCIATED PROTEIN 3', 127662),
(183937, 'PTHR12271:SF66', NULL, NULL, NULL, NULL, 'MUTATOR', 127663),
(183938, 'PTHR31656:SF44', NULL, NULL, NULL, NULL, 'BNAA08G14110D PROTEIN', 127664),
(183939, 'PTHR24381:SF304', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 551', 127665),
(183940, 'PTHR24064:SF539', NULL, NULL, NULL, NULL, 'HIGH AFFINITY INORGANIC PHOSPHATE TRANSPORTER', 127666),
(183941, 'PTHR10795:SF656', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE GLYMA18G48580', 127667),
(183942, 'PTHR12132', NULL, NULL, NULL, NULL, 'DNA REPAIR AND RECOMBINATION PROTEIN RAD52, RAD59', 127668),
(183943, 'PTHR13068:SF123', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', 127669),
(183944, 'PTHR41317:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127670),
(183945, 'PTHR33076:SF62', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 8', 127671),
(183946, 'PTHR46038:SF23', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN', 127672),
(183947, 'PTHR13526:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127673),
(183948, 'PTHR31236:SF10', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 13', 127674);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(183949, 'PTHR22590', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 127675),
(183950, 'PTHR33735', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 127676),
(183951, 'PTHR13196:SF22', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 1A', 127677),
(183952, 'PTHR11011:SF84', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 127678),
(183953, 'PTHR43321:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 127679),
(183954, 'PTHR23222:SF26', NULL, NULL, NULL, NULL, 'PROHIBITIN-3, MITOCHONDRIAL-LIKE', 127680),
(183955, 'PTHR12581', NULL, NULL, NULL, NULL, 'HIV-1 REV BINDING PROTEIN 2, 3', 127681),
(183956, 'PTHR13463:SF3', NULL, NULL, NULL, NULL, 'PROTEIN C10', 127682),
(183957, 'PTHR31734:SF25', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA12', 127683),
(183958, 'PTHR36690:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM237A', 127684),
(183959, 'PTHR33222:SF31', NULL, NULL, NULL, NULL, 'MEMBRANE PHOSPHOPROTEIN 14 KDA, CHLOROPLAST, PUTATIVE-RELATED', 127685),
(183960, 'PTHR45777', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2', 127686),
(183961, 'PTHR15726:SF7', NULL, NULL, NULL, NULL, 'NUCLEAR FALLOUT, ISOFORM J', 127687),
(183962, 'PTHR10783:SF114', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1-LIKE PROTEIN', 127688),
(183963, 'PTHR32241:SF13', NULL, NULL, NULL, NULL, 'INACTIVE PATATIN-LIKE PROTEIN 9-RELATED', 127689),
(183964, 'PTHR43563:SF9', NULL, NULL, NULL, NULL, 'AMINE OXIDASEDEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11670)-RELATED', 127690),
(183965, 'PTHR18034', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN CWF22-RELATED', 127691),
(183966, 'PTHR10476:SF55', NULL, NULL, NULL, NULL, 'ESCRT-RELATED PROTEIN CHMP1-LIKE', 127692),
(183967, 'PTHR21668:SF7', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A', 127693),
(183968, 'PTHR22437:SF2', NULL, NULL, NULL, NULL, 'STORKHEAD-BOX PROTEIN 2', 127694),
(183969, 'PTHR31561:SF88', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 18', 127695),
(183970, 'PTHR23421:SF161', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 127696),
(183971, 'PTHR31181:SF75', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED-LIKE PROTEIN (DUF1278)', 127697),
(183972, 'PTHR21588:SF19', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT', 127698),
(183973, 'PTHR37001:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127699),
(183974, 'PTHR24062:SF173', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 127700),
(183975, 'PTHR31630:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127701),
(183976, 'PTHR11058', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 3', 127702),
(183977, 'PTHR31500:SF82', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 6', 127703),
(183978, 'PTHR33353', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12560)-RELATED', 127704),
(183979, 'PTHR10509:SF34', NULL, NULL, NULL, NULL, 'TAPETUM-SPECIFIC METHYLTRANSFERASE 1', 127705),
(183980, 'PTHR46004:SF3', NULL, NULL, NULL, NULL, 'CYCLIC AMP RESPONSE ELEMENT-BINDING PROTEIN A', 127706),
(183981, 'PTHR11588:SF385', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1 CHAIN', 127707),
(183982, 'PTHR46045:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS U-26', 127708),
(183983, 'PTHR10366:SF688', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127709),
(183984, 'PTHR22835:SF220', NULL, NULL, NULL, NULL, 'OS06G0156600 PROTEIN', 127710),
(183985, 'PTHR11771:SF112', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE 5', 127711),
(183986, 'PTHR38459:SF5', NULL, NULL, NULL, NULL, 'CELL WALL TEICHOIC ACID GLYCOSYLATION PROTEIN GTCA', 127712),
(183987, 'PTHR10996:SF207', NULL, NULL, NULL, NULL, 'GLYOXYLATE REDUCTASE', 127713),
(183988, 'PTHR10353:SF224', NULL, NULL, NULL, NULL, 'BNAA08G03680D PROTEIN', 127714),
(183989, 'PTHR23115:SF222', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA 1-RELATED', 127715),
(183990, 'PTHR23504:SF89', NULL, NULL, NULL, NULL, 'TETRACYCLINE RESISTANCE PROTEIN, CLASS A-LIKE', 127716),
(183991, 'PTHR45946:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ROUGH-RELATED', 127717),
(183992, 'PTHR43793:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN HLDE', 127718);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(183993, 'PTHR47658:SF5', NULL, NULL, NULL, NULL, 'BNAC02G41640D PROTEIN', 127719),
(183994, 'PTHR14768', NULL, NULL, NULL, NULL, 'UPF0338 PROTEIN', 127720),
(183995, 'PTHR13468:SF11', NULL, NULL, NULL, NULL, 'DNA LIGASE 1-LIKE ISOFORM X1', 127721),
(183996, 'PTHR45613:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127722),
(183997, 'PTHR23213:SF372', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 127723),
(183998, 'PTHR45858:SF5', NULL, NULL, NULL, NULL, 'CHONDROCYTE-DERIVED EZRIN-LIKE DOMAIN CONTAINING PROTEIN, ISOFORM G', 127724),
(183999, 'PTHR44102:SF5', NULL, NULL, NULL, NULL, 'PROTEIN NPG1', 127725),
(184000, 'PTHR21444:SF14', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 180', 127726),
(184001, 'PTHR10315:SF98', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 127727),
(184002, 'PTHR22811:SF117', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 7', 127728),
(184003, 'PTHR11863:SF66', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE CER3', 127729),
(184004, 'PTHR31228', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', 127730),
(184005, 'PTHR13596:SF0', NULL, NULL, NULL, NULL, 'SI:CH211-39K3.2-RELATED', 127731),
(184006, 'PTHR10593:SF177', NULL, NULL, NULL, NULL, 'BNAA06G09400D PROTEIN', 127732),
(184007, 'PTHR43595:SF2', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S26, MITOCHONDRIAL', 127733),
(184008, 'PTHR33985:SF23', NULL, NULL, NULL, NULL, 'BNAA02G27190D PROTEIN', 127734),
(184009, 'PTHR23160:SF6', NULL, NULL, NULL, NULL, 'OSJNBA0009P12.17 PROTEIN', 127735),
(184010, 'PTHR11165:SF133', NULL, NULL, NULL, NULL, 'BNAC06G02270D PROTEIN', 127736),
(184011, 'PTHR43106', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', 127737),
(184012, 'PTHR25462:SF276', NULL, NULL, NULL, NULL, 'MEIOTIC P26, ISOFORM C', 127738),
(184013, 'PTHR19241:SF631', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3-LIKE ISOFORM X1', 127739),
(184014, 'PTHR12333:SF0', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 10', 127740),
(184015, 'PTHR36884:SF2', NULL, NULL, NULL, NULL, 'FIP1[III]-LIKE PROTEIN', 127741),
(184016, 'PTHR45817:SF6', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE 6-OXIDASE', 127742),
(184017, 'PTHR31953:SF72', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV5', 127743),
(184018, 'PTHR11017:SF404', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 127744),
(184019, 'PTHR11994:SF25', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11-1', 127745),
(184020, 'PTHR10826:SF26', NULL, NULL, NULL, NULL, 'OS08G0439900 PROTEIN', 127746),
(184021, 'PTHR23257:SF876', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN', 127747),
(184022, 'PTHR24320:SF220', NULL, NULL, NULL, NULL, 'BNAC03G71290D PROTEIN', 127748),
(184023, 'PTHR13301:SF179', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN', 127749),
(184024, 'PTHR33376:SF7', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLATE-BINDING PROTEIN DCTB', 127750),
(184025, 'PTHR31100:SF75', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 127751),
(184026, 'PTHR45724:SF11', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP5-1-RELATED', 127752),
(184027, 'PTHR45655:SF1', NULL, NULL, NULL, NULL, 'SOLUBLE GUANYLATE CYCLASE GCY-37', 127753),
(184028, 'PTHR42757:SF32', NULL, NULL, NULL, NULL, 'PROTEIN AMALGAM', 127754),
(184029, 'PTHR31989:SF146', NULL, NULL, NULL, NULL, 'OS06G0104200 PROTEIN', 127755),
(184030, 'PTHR13526:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127756),
(184031, 'PTHR24015:SF2000', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 127757),
(184032, 'PTHR34821:SF8', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 127758),
(184033, 'PTHR31707:SF275', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 127759),
(184034, 'PTHR39290:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127760),
(184035, 'PTHR24414:SF163', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP30-LIKE ISOFORM X1', 127761),
(184036, 'PTHR11842', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE ASSEMBLY CHECKPOINT PROTEIN MAD2', 127762);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(184037, 'PTHR31326:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CLT1, CHLOROPLASTIC', 127763),
(184038, 'PTHR10676:SF318', NULL, NULL, NULL, NULL, 'MALE FERTILITY FACTOR KL3', 127764),
(184039, 'PTHR24305', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 127765),
(184040, 'PTHR34491:SF19', NULL, NULL, NULL, NULL, 'GAG-PRO-LIKE PROTEIN', 127766),
(184041, 'PTHR46032:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127767),
(184042, 'PTHR31262:SF18', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN', 127768),
(184043, 'PTHR46847', NULL, NULL, NULL, NULL, 'D-ALLOSE-BINDING PERIPLASMIC PROTEIN-RELATED', 127769),
(184044, 'PTHR12478', NULL, NULL, NULL, NULL, 'DNA-DAMAGE-INDUCIBLE TRANSCRIPT 4 PROTEIN DDIT4', 127770),
(184045, 'PTHR13287:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-74F19.2', 127771),
(184046, 'PTHR11540:SF61', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', 127772),
(184047, 'PTHR24347:SF421', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127773),
(184048, 'PTHR43391:SF51', NULL, NULL, NULL, NULL, 'GENE 4756-RELATED', 127774),
(184049, 'PTHR47925:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127775),
(184050, 'PTHR31669:SF166', NULL, NULL, NULL, NULL, 'OS01G0852650 PROTEIN', 127776),
(184051, 'PTHR46431:SF8', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN FAMILY', 127777),
(184052, 'PTHR45669:SF32', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN (GRX) FAMILY PROTEIN', 127778),
(184053, 'PTHR15486:SF76', NULL, NULL, NULL, NULL, 'OS03G0166600 PROTEIN', 127779),
(184054, 'PTHR31279', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 5', 127780),
(184055, 'PTHR43141:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME BD2 SUBUNIT II', 127781),
(184056, 'PTHR48011:SF57', NULL, NULL, NULL, NULL, 'BNAANNG03700D PROTEIN', 127782),
(184057, 'PTHR46224:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 127783),
(184058, 'PTHR30441', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 127784),
(184059, 'PTHR11945:SF481', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127785),
(184060, 'PTHR10811:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127786),
(184061, 'PTHR31131:SF6', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 127787),
(184062, 'PTHR11802:SF386', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 127788),
(184063, 'PTHR10579:SF47', NULL, NULL, NULL, NULL, 'OS09G0298500 PROTEIN', 127789),
(184064, 'PTHR31549:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127790),
(184065, 'PTHR22605:SF18', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF213-ALPHA', 127791),
(184066, 'PTHR22536:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127792),
(184067, 'PTHR33915:SF3', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN PROTEIN', 127793),
(184068, 'PTHR43908:SF6', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN DDB_G0295729', 127794),
(184069, 'PTHR33052:SF19', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', 127795),
(184070, 'PTHR10736:SF0', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 24', 127796),
(184071, 'PTHR14154:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127797),
(184072, 'PTHR11771:SF148', NULL, NULL, NULL, NULL, 'LIPOXYGENASE 4, CHLOROPLASTIC', 127798),
(184073, 'PTHR12550:SF45', NULL, NULL, NULL, NULL, 'HEPATOMA-DERIVED GROWTH FACTOR-LIKE PROTEIN 1', 127799),
(184074, 'PTHR40572', NULL, NULL, NULL, NULL, 'PROTEIN BAX', 127800),
(184075, 'PTHR35277:SF7', NULL, NULL, NULL, NULL, 'BNAC03G13190D PROTEIN', 127801),
(184076, 'PTHR28535', NULL, NULL, NULL, NULL, 'ZINC FINGER GRF-TYPE CONTAINING 1', 127802),
(184077, 'PTHR12002:SF182', NULL, NULL, NULL, NULL, 'SI:DKEY-221L4.11', 127803),
(184078, 'PTHR10165:SF172', NULL, NULL, NULL, NULL, 'BNAA09G18500D PROTEIN', 127804),
(184079, 'PTHR45614:SF78', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB44-LIKE', 127805),
(184080, 'PTHR24082:SF39', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP I MEMBER 2', 127806),
(184081, 'PTHR10075:SF31', NULL, NULL, NULL, NULL, 'CONTACTIN RIG-6-RELATED', 127807),
(184082, 'PTHR10166:SF61', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL SUBUNIT ALPHA-2/DELTA-3-LIKE PROTEIN', 127808);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(184083, 'PTHR14517:SF11', NULL, NULL, NULL, NULL, 'RIB43A-LIKE WITH COILED-COILS PROTEIN 1', 127809),
(184084, 'PTHR10480:SF1', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG A', 127810),
(184085, 'PTHR31948:SF123', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 4', 127811),
(184086, 'PTHR34834:SF1', NULL, NULL, NULL, NULL, 'SPERMATID MATURATION PROTEIN 1', 127812),
(184087, 'PTHR40082', NULL, NULL, NULL, NULL, 'BLR5956 PROTEIN', 127813),
(184088, 'PTHR32102:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127814),
(184089, 'PTHR45908:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG12141', 127815),
(184090, 'PTHR10974:SF33', NULL, NULL, NULL, NULL, 'PROTEIN CBG11140', 127816),
(184091, 'PTHR35744', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 127817),
(184092, 'PTHR22844:SF213', NULL, NULL, NULL, NULL, 'OS01G0232200 PROTEIN', 127818),
(184093, 'PTHR10641:SF1261', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 127819),
(184094, 'PTHR23054:SF64', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 127820),
(184095, 'PTHR32263:SF23', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE SRO4', 127821),
(184096, 'PTHR31079:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127822),
(184097, 'PTHR10517:SF19', NULL, NULL, NULL, NULL, 'RETBINDIN', 127823),
(184098, 'PTHR20961:SF94', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 127824),
(184099, 'PTHR10218:SF245', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-2 SUBUNIT-RELATED', 127825),
(184100, 'PTHR43181:SF2', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 2,4-CYCLODIPHOSPHATE SYNTHASE', 127826),
(184101, 'PTHR11960:SF30', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 4E, PUTATIVE-RELATED', 127827),
(184102, 'PTHR30272:SF11', NULL, NULL, NULL, NULL, 'OS08G0225000 PROTEIN', 127828),
(184103, 'PTHR31415:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127829),
(184104, 'PTHR12910:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 12', 127830),
(184105, 'PTHR35890:SF3', NULL, NULL, NULL, NULL, 'ECOTIN', 127831),
(184106, 'PTHR31375:SF155', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 127832),
(184107, 'PTHR23315:SF236', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SPL11', 127833),
(184108, 'PTHR27003:SF298', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE-RELATED', 127834),
(184109, 'PTHR22761:SF4', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 4B', 127835),
(184110, 'PTHR47958:SF63', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 22', 127836),
(184111, 'PTHR23430:SF249', NULL, NULL, NULL, NULL, 'HISTONE H2A', 127837),
(184112, 'PTHR11351:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127838),
(184113, 'PTHR15680', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', 127839),
(184114, 'PTHR33403:SF30', NULL, NULL, NULL, NULL, 'BNAA01G13110D PROTEIN', 127840),
(184115, 'PTHR31988:SF5', NULL, NULL, NULL, NULL, 'OS04G0110400 PROTEIN', 127841),
(184116, 'PTHR39192', NULL, NULL, NULL, NULL, 'IRON UPTAKE SYSTEM COMPONENT EFEO', 127842),
(184117, 'PTHR33377:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127843),
(184118, 'PTHR33781:SF2', NULL, NULL, NULL, NULL, 'OS05G0220500 PROTEIN', 127844),
(184119, 'PTHR24062:SF42', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 127845),
(184120, 'PTHR45637:SF65', NULL, NULL, NULL, NULL, 'TELOKIN/MYOSIN LIGHT CHAIN KINASE-RELATED', 127846),
(184121, 'PTHR46506:SF54', NULL, NULL, NULL, NULL, 'JACALIN-LIKE LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', 127847),
(184122, 'PTHR48053:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127848),
(184123, 'PTHR48022:SF70', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14540)-RELATED', 127849),
(184124, 'PTHR22849:SF140', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 127850),
(184125, 'PTHR32096:SF109', NULL, NULL, NULL, NULL, 'BNAC03G65200D PROTEIN', 127851),
(184126, 'PTHR46482', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE 3, CHLOROPLASTIC', 127852);
INSERT INTO "PUBLIC"."MODEL" VALUES
(184127, 'PTHR24361:SF769', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE C01C4.3-RELATED', 127853),
(184128, 'PTHR24082:SF493', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-7', 127854),
(184129, 'PTHR45834:SF5', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 13', 127855),
(184130, 'PTHR45589', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 62, ISOFORM G', 127856),
(184131, 'PTHR11566:SF186', NULL, NULL, NULL, NULL, 'DYNAMIN RELATED PROTEIN 4C-RELATED', 127857),
(184132, 'PTHR30195:SF15', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME HINDVIIP R PROTEIN-RELATED', 127858),
(184133, 'PTHR13902:SF127', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK11-RELATED', 127859),
(184134, 'PTHR12294:SF10', NULL, NULL, NULL, NULL, 'CALCIUM UPTAKE PROTEIN 3, MITOCHONDRIAL', 127860),
(184135, 'PTHR47993:SF181', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 127861),
(184136, 'PTHR11439:SF299', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', 127862),
(184137, 'PTHR11878:SF69', NULL, NULL, NULL, NULL, 'SODIUM CALCIUM EXCHANGER 1H', 127863),
(184138, 'PTHR37711:SF3', NULL, NULL, NULL, NULL, 'BNAA07G38640D PROTEIN', 127864),
(184139, 'PTHR31238:SF111', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 17', 127865),
(184140, 'PTHR10891:SF906', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127866),
(184141, 'PTHR32429:SF11', NULL, NULL, NULL, NULL, 'OSJNBA0011F23.7 PROTEIN', 127867),
(184142, 'PTHR24173:SF75', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 33BB', 127868),
(184143, 'PTHR23059', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH PROTEIN 1', 127869),
(184144, 'PTHR48036:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 23-RELATED', 127870),
(184145, 'PTHR23320', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A  MS4A -RELATED', 127871),
(184146, 'PTHR41368', NULL, NULL, NULL, NULL, 'PROTEIN YGHO', 127872),
(184147, 'PTHR43542:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 127873),
(184148, 'PTHR31137:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127874),
(184149, 'PTHR24393:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127875),
(184150, 'PTHR31403:SF48', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1', 127876),
(184151, 'PTHR47058:SF1', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD-LIKE PROTEIN', 127877),
(184152, 'PTHR15141:SF75', NULL, NULL, NULL, NULL, 'ELONGIN-A', 127878),
(184153, 'PTHR47057:SF2', NULL, NULL, NULL, NULL, 'AFADIN/ALPHA-ACTININ-BINDING PROTEIN', 127879),
(184154, 'PTHR11200:SF176', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE 5-PHOSPHATASE OCRL-1', 127880),
(184155, 'PTHR15346', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT', 127881),
(184156, 'PTHR45938:SF7', NULL, NULL, NULL, NULL, 'WAP, KAZAL, IMMUNOGLOBULIN, KUNITZ AND NTR DOMAIN-CONTAINING PROTEIN 2', 127882),
(184157, 'PTHR11017:SF369', NULL, NULL, NULL, NULL, 'BNAA02G24540D PROTEIN', 127883),
(184158, 'PTHR13286:SF17', NULL, NULL, NULL, NULL, 'BNACNNG08160D PROTEIN', 127884),
(184159, 'PTHR43670:SF77', NULL, NULL, NULL, NULL, 'BNAC09G36900D PROTEIN', 127885),
(184160, 'PTHR12286:SF9', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SACCHAROPINE DEHYDROGENASE-LIKE OXIDOREDUCTASE-RELATED', 127886),
(184161, 'PTHR22870:SF407', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127887),
(184162, 'PTHR23430:SF286', NULL, NULL, NULL, NULL, 'HISTONE H2A.6', 127888),
(184163, 'PTHR48041:SF70', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY G MEMBER 3', 127889),
(184164, 'PTHR43874:SF18', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR7', 127890),
(184165, 'PTHR11673:SF49', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-1', 127891),
(184166, 'PTHR47967:SF84', NULL, NULL, NULL, NULL, 'OS05G0596000 PROTEIN', 127892),
(184167, 'PTHR22883:SF385', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 127893),
(184168, 'PTHR15720:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127894),
(184169, 'PTHR23086:SF131', NULL, NULL, NULL, NULL, 'BNAC08G42290D PROTEIN', 127895);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(184170, 'PTHR24221:SF241', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE TRANSLOCATOR ABCB4', 127896),
(184171, 'PTHR14000:SF31', NULL, NULL, NULL, NULL, 'BNAC08G42330D PROTEIN', 127897),
(184172, 'PTHR10378:SF42', NULL, NULL, NULL, NULL, 'BNAC08G47250D PROTEIN', 127898),
(184173, 'PTHR11652:SF43', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S23', 127899),
(184174, 'PTHR22937:SF171', NULL, NULL, NULL, NULL, 'BNAC02G00210D PROTEIN', 127900),
(184175, 'PTHR31992:SF144', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.8', 127901),
(184176, 'PTHR11851:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127902),
(184177, 'PTHR30535:SF35', NULL, NULL, NULL, NULL, 'PERIPLASMIC BINDING PROTEIN', 127903),
(184178, 'PTHR13780:SF120', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSCBSPB1-LIKE', 127904),
(184179, 'PTHR31260:SF48', NULL, NULL, NULL, NULL, 'BNAC02G24000D PROTEIN', 127905),
(184180, 'PTHR35024', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 127906),
(184181, 'PTHR35365', NULL, NULL, NULL, NULL, 'LP04239P', 127907),
(184182, 'PTHR28641', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 127908),
(184183, 'PTHR13865:SF25', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION PROTEIN ZO-1', 127909),
(184184, 'PTHR37490', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 127910),
(184185, 'PTHR23044:SF61', NULL, NULL, NULL, NULL, '3''-5'' EXORIBONUCLEASE 1', 127911),
(184186, 'PTHR31469:SF14', NULL, NULL, NULL, NULL, 'N-(5''-PHOSPHORIBOSYL)ANTHRANILATE ISOMERASE 1, CHLOROPLASTIC', 127912),
(184187, 'PTHR45915', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INTERMEDIARY FACTOR', 127913),
(184188, 'PTHR45620:SF13', NULL, NULL, NULL, NULL, 'SECRETIN RECEPTOR', 127914),
(184189, 'PTHR46120:SF1', NULL, NULL, NULL, NULL, 'BETAINE--HOMOCYSTEINE S-METHYLTRANSFERASE 1', 127915),
(184190, 'PTHR31889:SF46', NULL, NULL, NULL, NULL, 'OS08G0334900 PROTEIN', 127916),
(184191, 'PTHR31391:SF88', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', 127917),
(184192, 'PTHR10424:SF8', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP V MEMBER 2 ENV POLYPROTEIN', 127918),
(184193, 'PTHR10835:SF8', NULL, NULL, NULL, NULL, 'SQUALENE MONOOXYGENASE-LIKE ISOFORM X2', 127919),
(184194, 'PTHR23076:SF112', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 9, CHLOROPLASTIC', 127920),
(184195, 'PTHR33133:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127921),
(184196, 'PTHR11014:SF161', NULL, NULL, NULL, NULL, 'LMO2819 PROTEIN', 127922),
(184197, 'PTHR47851:SF1', NULL, NULL, NULL, NULL, 'OS06G0588700 PROTEIN', 127923),
(184198, 'PTHR47949:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 703A2-RELATED', 127924),
(184199, 'PTHR11860:SF62', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 9', 127925),
(184200, 'PTHR16079', NULL, NULL, NULL, NULL, 'UBIQUITIN LIGASE PROTEIN CHFR', 127926),
(184201, 'PTHR32457:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127927),
(184202, 'PTHR42770:SF13', NULL, NULL, NULL, NULL, 'L-METHIONINE/BRANCHED-CHAIN AMINO ACID EXPORTER YJEH', 127928),
(184203, 'PTHR34220:SF10', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE BTSS', 127929),
(184204, 'PTHR30468:SF18', NULL, NULL, NULL, NULL, 'TAURINE DIOXYGENASE', 127930),
(184205, 'PTHR11260:SF549', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U24', 127931),
(184206, 'PTHR24361:SF256', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MKCB-RELATED', 127932),
(184207, 'PTHR23353:SF16', NULL, NULL, NULL, NULL, 'COUNTIN-LIKE PROTEIN-RELATED', 127933),
(184208, 'PTHR10836:SF116', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 127934),
(184209, 'PTHR24242:SF158', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9G1-RELATED', 127935),
(184210, 'PTHR45089:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127936),
(184211, 'PTHR11599:SF163', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 127937),
(184212, 'PTHR34114:SF16', NULL, NULL, NULL, NULL, 'BNAA05G13800D PROTEIN', 127938),
(184213, 'PTHR37544:SF3', NULL, NULL, NULL, NULL, 'SPRAY', 127939),
(184214, 'PTHR12992', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE', 127940);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(184215, 'PTHR31750:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG17929', 127941),
(184216, 'PTHR11640:SF135', NULL, NULL, NULL, NULL, 'PROTEIN TURTLE-LIKE PROTEIN', 127942),
(184217, 'PTHR47965:SF19', NULL, NULL, NULL, NULL, '7S GLOBULIN 2 SMALL SUBUNIT, PUTATIVE-RELATED', 127943),
(184218, 'PTHR11439:SF355', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', 127944),
(184219, 'PTHR43490:SF101', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', 127945),
(184220, 'PTHR23077:SF158', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 48 HOMOLOG', 127946),
(184221, 'PTHR46813:SF10', NULL, NULL, NULL, NULL, 'BNAC07G31920D PROTEIN', 127947),
(184222, 'PTHR23504:SF86', NULL, NULL, NULL, NULL, 'HIPPOCAMPUS ABUNDANT TRANSCRIPT-LIKE PROTEIN 1 ISOFORM X1', 127948),
(184223, 'PTHR31621:SF65', NULL, NULL, NULL, NULL, 'BNAC03G76810D PROTEIN', 127949),
(184224, 'PTHR10426:SF96', NULL, NULL, NULL, NULL, 'BNAC01G23420D PROTEIN', 127950),
(184225, 'PTHR33168:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127951),
(184226, 'PTHR35318:SF12', NULL, NULL, NULL, NULL, 'OS08G0138900 PROTEIN', 127952),
(184227, 'PTHR13992:SF39', NULL, NULL, NULL, NULL, 'SMRTER, ISOFORM G', 127953),
(184228, 'PTHR13282:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAM32A', 127954),
(184229, 'PTHR15825', NULL, NULL, NULL, NULL, 'UBIQUITIN-FOLD MODIFIER 1', 127955),
(184230, 'PTHR32468:SF127', NULL, NULL, NULL, NULL, 'BNAC04G53650D PROTEIN', 127956),
(184231, 'PTHR16675:SF243', NULL, NULL, NULL, NULL, 'HISTOCOMPATIBILITY 2, M REGION LOCUS 5', 127957),
(184232, 'PTHR27000:SF730', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 127958),
(184233, 'PTHR46662:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127959),
(184234, 'PTHR11559:SF181', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 1F-RELATED', 127960),
(184235, 'PTHR16469:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG20630', 127961),
(184236, 'PTHR35980:SF1', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE CCHAMIDE-1-RELATED', 127962),
(184237, 'PTHR42733:SF8', NULL, NULL, NULL, NULL, 'DJ-1 PROTEIN HOMOLOG F', 127963),
(184238, 'PTHR31985:SF159', NULL, NULL, NULL, NULL, 'ERF FAMILY PROTEIN', 127964),
(184239, 'PTHR47968:SF33', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7C, MITOCHONDRIAL', 127965),
(184240, 'PTHR24208', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX', 127966),
(184241, 'PTHR45830:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 127967),
(184242, 'PTHR19282:SF168', NULL, NULL, NULL, NULL, 'TETRASPANIN', 127968),
(184243, 'PTHR34213:SF3', NULL, NULL, NULL, NULL, 'BNAA03G01470D PROTEIN', 127969),
(184244, 'PTHR15679:SF8', NULL, NULL, NULL, NULL, 'PCNA-ASSOCIATED FACTOR', 127970),
(184245, 'PTHR10366:SF598', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 127971),
(184246, 'PTHR33402:SF29', NULL, NULL, NULL, NULL, 'VQ-RELATED', 127972),
(184247, 'PTHR31150:SF19', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 127973),
(184248, 'PTHR31375:SF230', NULL, NULL, NULL, NULL, 'PECTIN LYASE SUPERFAMILY PROTEIN', 127974),
(184249, 'PTHR12039:SF13', NULL, NULL, NULL, NULL, 'NICOTINAMIDE-NUCLEOTIDE ADENYLYLTRANSFERASE', 127975),
(184250, 'PTHR13832:SF620', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 13-RELATED', 127976),
(184251, 'PTHR24543:SF293', NULL, NULL, NULL, NULL, 'NEUROPILIN', 127977),
(184252, 'PTHR45617:SF100', NULL, NULL, NULL, NULL, 'AGAP004016-PA', 127978),
(184253, 'PTHR43228:SF17', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE RESPONSE REGULATOR AND TRANSCRIPTION FACTOR RR-A-TYPE FAMILY-RELATED', 127979),
(184254, 'PTHR22847:SF689', NULL, NULL, NULL, NULL, 'WD REPEAT, STERILE ALPHA MOTIF AND U-BOX DOMAIN CONTAINING 1', 127980),
(184255, 'PTHR42727:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN', 127981),
(184256, 'PTHR19300:SF5', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 1', 127982),
(184257, 'PTHR13683:SF331', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE ASP1', 127983),
(184258, 'PTHR36963:SF2', NULL, NULL, NULL, NULL, 'HELICASE', 127984); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(184259, 'PTHR31568:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 127985),
(184260, 'PTHR12329:SF43', NULL, NULL, NULL, NULL, 'MOLECULAR CHAPERONE REGULATOR BAG-1, UBIQUITIN-RELATED DOMAIN PROTEIN-RELATED', 127986),
(184261, 'PTHR31087:SF123', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 14-LIKE', 127987),
(184262, 'PTHR16736:SF3', NULL, NULL, NULL, NULL, 'CORTEXIN-1', 127988),
(184263, 'PTHR11802:SF347', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 18 ISOFORM X1', 127989),
(184264, 'PTHR46031:SF23', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 1-LIKE ISOFORM X1', 127990),
(184265, 'PTHR23150:SF19', NULL, NULL, NULL, NULL, 'FORMYLGLYCINE-GENERATING ENZYME', 127991),
(184266, 'PTHR20855:SF110', NULL, NULL, NULL, NULL, 'HEMOLYSIN-III-LIKE PROTEIN', 127992),
(184267, 'PTHR11183:SF148', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 127993),
(184268, 'PTHR36574:SF1', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE-RELATED', 127994),
(184269, 'PTHR14564:SF4', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT', 127995),
(184270, 'PTHR11945:SF675', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 31', 127996),
(184271, 'PTHR43298:SF2', NULL, NULL, NULL, NULL, 'FMN/FAD EXPORTER YEEO-RELATED', 127997),
(184272, 'PTHR16716:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7B2, MITOCHONDRIAL', 127998),
(184273, 'PTHR31376:SF89', NULL, NULL, NULL, NULL, 'PURINE PERMEASE, PLANT-RELATED', 127999),
(184274, 'PTHR11206:SF357', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 128000),
(184275, 'PTHR33207:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128001),
(184276, 'PTHR10383:SF49', NULL, NULL, NULL, NULL, 'SERINC-DOMAIN CONTAINING SERINE AND SPHINGOLIPID BIOSYNTHESIS PROTEIN-RELATED', 128002),
(184277, 'PTHR15967:SF0', NULL, NULL, NULL, NULL, 'E2F-ASSOCIATED PHOSPHOPROTEIN', 128003),
(184278, 'PTHR24115:SF820', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 128004),
(184279, 'PTHR44329:SF83', NULL, NULL, NULL, NULL, 'OS05G0519200 PROTEIN', 128005),
(184280, 'PTHR37900', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 128006),
(184281, 'PTHR38459', NULL, NULL, NULL, NULL, 'PROPHAGE BACTOPRENOL-LINKED GLUCOSE TRANSLOCASE HOMOLOG', 128007),
(184282, 'PTHR18966:SF500', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128008),
(184283, 'PTHR24230:SF8', NULL, NULL, NULL, NULL, 'LEUKOTRIENE B4 RECEPTOR 2', 128009),
(184284, 'PTHR10332', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER', 128010),
(184285, 'PTHR10534:SF2', NULL, NULL, NULL, NULL, 'PYRIDOXAL KINASE', 128011),
(184286, 'PTHR46178:SF1', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 128012),
(184287, 'PTHR38119:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128013),
(184288, 'PTHR24031:SF25', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX46-RELATED', 128014),
(184289, 'PTHR34270:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 16-RELATED', 128015),
(184290, 'PTHR39532:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128016),
(184291, 'PTHR10218:SF208', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-14 SUBUNIT', 128017),
(184292, 'PTHR31803:SF8', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE 1B, MITOCHONDRIAL', 128018),
(184293, 'PTHR33207:SF43', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 2', 128019),
(184294, 'PTHR31140:SF14', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS08G0157700-RELATED', 128020),
(184295, 'PTHR45974:SF163', NULL, NULL, NULL, NULL, 'BNAA09G13340D PROTEIN', 128021),
(184296, 'PTHR48011:SF81', NULL, NULL, NULL, NULL, 'BNAC04G13360D PROTEIN', 128022),
(184297, 'PTHR19241:SF584', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128023),
(184298, 'PTHR15710:SF84', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', 128024),
(184299, 'PTHR48014', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FRAY2', 128025),
(184300, 'PTHR10887:SF325', NULL, NULL, NULL, NULL, 'PROTEIN ZGRF1', 128026),
(184301, 'PTHR13817:SF86', NULL, NULL, NULL, NULL, 'NEOGENIN 1', 128027),
(184302, 'PTHR33703:SF9', NULL, NULL, NULL, NULL, 'SENESCENCE ASSOCIATED GENE 20', 128028);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(184303, 'PTHR43976:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128029),
(184304, 'PTHR21974', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 128030),
(184305, 'PTHR15140:SF24', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE COFACTOR E-LIKE PROTEIN', 128031),
(184306, 'PTHR23257:SF795', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128032),
(184307, 'PTHR33675:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128033),
(184308, 'PTHR10300', NULL, NULL, NULL, NULL, 'CALCIPRESSIN', 128034),
(184309, 'PTHR19353:SF28', NULL, NULL, NULL, NULL, 'DELTA(8)-FATTY-ACID DESATURASE 2', 128035),
(184310, 'PTHR43167', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G01830)-RELATED', 128036),
(184311, 'PTHR31182:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128037),
(184312, 'PTHR45969:SF17', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHA2A-LIKE', 128038),
(184313, 'PTHR22761:SF18', NULL, NULL, NULL, NULL, 'SORTING PROTEIN SNF7 FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G16692)-RELATED', 128039),
(184314, 'PTHR11036:SF65', NULL, NULL, NULL, NULL, 'SEMAPHORIN-6D', 128040),
(184315, 'PTHR31451:SF49', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 5 PROTEIN', 128041),
(184316, 'PTHR33239:SF11', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 128042),
(184317, 'PTHR31218:SF278', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 128043),
(184318, 'PTHR34042:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP17-LIKE', 128044),
(184319, 'PTHR10037:SF280', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 1 SUBUNIT ALPHA', 128045),
(184320, 'PTHR31230:SF1', NULL, NULL, NULL, NULL, 'MYELOID-DERIVED GROWTH FACTOR', 128046),
(184321, 'PTHR23289', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX15', 128047),
(184322, 'PTHR34660:SF13', NULL, NULL, NULL, NULL, 'BNAA07G03010D PROTEIN', 128048),
(184323, 'PTHR14494:SF0', NULL, NULL, NULL, NULL, 'ALADIN', 128049),
(184324, 'PTHR11946:SF57', NULL, NULL, NULL, NULL, 'VALINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', 128050),
(184325, 'PTHR45647:SF68', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN KINASE FAMILY PROTEIN', 128051),
(184326, 'PTHR46162:SF5', NULL, NULL, NULL, NULL, 'TRAF FAMILY PROTEIN-RELATED', 128052),
(184327, 'PTHR24190', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 128053),
(184328, 'PTHR48127:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128054),
(184329, 'PTHR33059:SF89', NULL, NULL, NULL, NULL, 'BNAA09G30830D PROTEIN', 128055),
(184330, 'PTHR35748', NULL, NULL, NULL, NULL, 'OS05G0358400 PROTEIN', 128056),
(184331, 'PTHR21678:SF6', NULL, NULL, NULL, NULL, 'R3H AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', 128057),
(184332, 'PTHR36310', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR11', 128058),
(184333, 'PTHR44137:SF23', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 128059),
(184334, 'PTHR31657:SF45', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF060-LIKE', 128060),
(184335, 'PTHR10410:SF28', NULL, NULL, NULL, NULL, 'OS06G0703600 PROTEIN', 128061),
(184336, 'PTHR32343:SF49', NULL, NULL, NULL, NULL, 'BNAA06G00790D PROTEIN', 128062),
(184337, 'PTHR31378:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128063),
(184338, 'PTHR45125:SF19', NULL, NULL, NULL, NULL, 'NAM-LIKE PROTEIN', 128064),
(184339, 'PTHR13170:SF16', NULL, NULL, NULL, NULL, 'PROTEIN O-GLCNACASE', 128065),
(184340, 'PTHR12741:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128066),
(184341, 'PTHR33454:SF6', NULL, NULL, NULL, NULL, 'GLUTENIN, LOW MOLECULAR WEIGHT SUBUNIT', 128067),
(184342, 'PTHR27007:SF261', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.9', 128068),
(184343, 'PTHR46193:SF1', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE DOMAIN-CONTAINING PROTEIN SGPP', 128069),
(184344, 'PTHR42742:SF8', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR', 128070),
(184345, 'PTHR10788:SF24', NULL, NULL, NULL, NULL, 'OS08G0445700 PROTEIN', 128071);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(184346, 'PTHR31639:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128072),
(184347, 'PTHR10233:SF16', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT DELTA-LIKE ISOFORM X1', 128073),
(184348, 'PTHR10516:SF438', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 128074),
(184349, 'PTHR33782:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128075),
(184350, 'PTHR31084:SF3', NULL, NULL, NULL, NULL, 'ALPHA-FUCOSIDASE A', 128076),
(184351, 'PTHR47306', NULL, NULL, NULL, NULL, 'SI:CH211-178J18.4-RELATED', 128077),
(184352, 'PTHR46128:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128078),
(184353, 'PTHR23415:SF38', NULL, NULL, NULL, NULL, '60S RIBOSOME SUBUNIT BIOGENESIS PROTEIN NIP7 HOMOLOG', 128079),
(184354, 'PTHR22953:SF111', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 128080),
(184355, 'PTHR46153:SF17', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 128081),
(184356, 'PTHR24092:SF181', NULL, NULL, NULL, NULL, 'OS10G0412050 PROTEIN', 128082),
(184357, 'PTHR15398:SF6', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 8', 128083),
(184358, 'PTHR30625:SF14', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBB', 128084),
(184359, 'PTHR31734:SF169', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA13', 128085),
(184360, 'PTHR10953:SF204', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 2', 128086),
(184361, 'PTHR10722:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128087),
(184362, 'PTHR35537:SF1', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCED APOPTOSIS SUPPRESSOR PROTEIN', 128088),
(184363, 'PTHR31390:SF13', NULL, NULL, NULL, NULL, 'DUF3527 DOMAIN PROTEIN', 128089),
(184364, 'PTHR23050:SF446', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 128090),
(184365, 'PTHR24064:SF494', NULL, NULL, NULL, NULL, 'BETA-ALANINE TRANSPORTER', 128091),
(184366, 'PTHR31137:SF29', NULL, NULL, NULL, NULL, 'PROTEIN PSIA-RELATED', 128092),
(184367, 'PTHR33127:SF42', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN', 128093),
(184368, 'PTHR46617:SF6', NULL, NULL, NULL, NULL, 'FORKHEAD BOX G1C', 128094),
(184369, 'PTHR22599', NULL, NULL, NULL, NULL, 'MPS ONE BINDER KINASE ACTIVATOR-LIKE  MOB', 128095),
(184370, 'PTHR21237:SF33', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG 1, MITOCHONDRIAL', 128096),
(184371, 'PTHR43895:SF115', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 128097),
(184372, 'PTHR24305:SF178', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE ATNE', 128098),
(184373, 'PTHR21530:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128099),
(184374, 'PTHR34788:SF10', NULL, NULL, NULL, NULL, 'OS02G0779400 PROTEIN', 128100),
(184375, 'PTHR11431:SF110', NULL, NULL, NULL, NULL, 'FERRITIN', 128101),
(184376, 'PTHR47630:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 128102),
(184377, 'PTHR31260:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128103),
(184378, 'PTHR43948:SF5', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK PROTEIN FAMILY (HSP40) MEMBER B2', 128104),
(184379, 'PTHR31761', NULL, NULL, NULL, NULL, 'GROWTH ARREST AND DNA DAMAGE-INDUCIBLE PROTEINS-INTERACTING PROTEIN 1 GADD45GIP1', 128105),
(184380, 'PTHR13423:SF2', NULL, NULL, NULL, NULL, 'OUT AT FIRST PROTEIN HOMOLOG', 128106),
(184381, 'PTHR11875:SF127', NULL, NULL, NULL, NULL, 'NAP1-RELATED PROTEIN 2', 128107),
(184382, 'PTHR33305:SF45', NULL, NULL, NULL, NULL, 'BNAA02G05250D PROTEIN', 128108),
(184383, 'PTHR46781:SF2', NULL, NULL, NULL, NULL, 'ALPHA 1,4-GLYCOSYLTRANSFERASE FAMILY PROTEIN', 128109),
(184384, 'PTHR21040:SF2', NULL, NULL, NULL, NULL, 'HEXOSAMINIDASE', 128110),
(184385, 'PTHR45617:SF92', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN EGG-6', 128111),
(184386, 'PTHR37358:SF1', NULL, NULL, NULL, NULL, 'MUCIN-20', 128112),
(184387, 'PTHR19854', NULL, NULL, NULL, NULL, 'TRANSDUCIN BETA-LIKE 3', 128113),
(184388, 'PTHR35011:SF4', NULL, NULL, NULL, NULL, 'BLL3751 PROTEIN', 128114),
(184389, 'PTHR19282:SF154', NULL, NULL, NULL, NULL, 'TETRASPANIN-33', 128115),
(184390, 'PTHR19290:SF148', NULL, NULL, NULL, NULL, 'PROTEIN ATONAL', 128116);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(184391, 'PTHR32322:SF9', NULL, NULL, NULL, NULL, 'AMINO-ACID METABOLITE EFFLUX PUMP-RELATED', 128117),
(184392, 'PTHR10578:SF125', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO4-LIKE ISOFORM X1', 128118),
(184393, 'PTHR11362:SF113', NULL, NULL, NULL, NULL, 'OS01G0218500 PROTEIN', 128119),
(184394, 'PTHR45806:SF9', NULL, NULL, NULL, NULL, 'BNAA02G07910D PROTEIN', 128120),
(184395, 'PTHR46128:SF72', NULL, NULL, NULL, NULL, 'BNAC05G49370D PROTEIN', 128121),
(184396, 'PTHR14614:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128122),
(184397, 'PTHR26454:SF53', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6J1', 128123),
(184398, 'PTHR43601:SF10', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 2-2, CHLOROPLASTIC', 128124),
(184399, 'PTHR22870:SF414', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY WITH FYVE ZINC FINGER DOMAIN ISOFORM 1', 128125),
(184400, 'PTHR11863:SF148', NULL, NULL, NULL, NULL, 'C-4 METHYLSTEROL OXIDASE', 128126),
(184401, 'PTHR10314:SF102', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE-RELATED', 128127),
(184402, 'PTHR31755:SF3', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR-LIKE', 128128),
(184403, 'PTHR31907:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128129),
(184404, 'PTHR47974:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 128130),
(184405, 'PTHR31642:SF256', NULL, NULL, NULL, NULL, 'BNACNNG59260D PROTEIN', 128131),
(184406, 'PTHR24384:SF191', NULL, NULL, NULL, NULL, 'GDNF-INDUCIBLE ZINC FINGER PROTEIN 1', 128132),
(184407, 'PTHR46855:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128133),
(184408, 'PTHR12789:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 22-LIKE ISOFORM X1', 128134),
(184409, 'PTHR14740:SF3', NULL, NULL, NULL, NULL, 'CASPASE ACTIVITY AND APOPTOSIS INHIBITOR 1', 128135),
(184410, 'PTHR47928:SF84', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN ELI1, CHLOROPLASTIC', 128136),
(184411, 'PTHR44329:SF182', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE 1-RELATED', 128137),
(184412, 'PTHR31578:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128138),
(184413, 'PTHR44321', NULL, NULL, NULL, NULL, 'TRANSDUCIN BETA-LIKE PROTEIN 2', 128139),
(184414, 'PTHR34696:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE SUBUNIT PURS', 128140),
(184415, 'PTHR21066:SF17', NULL, NULL, NULL, NULL, 'AGAP011368-PA', 128141),
(184416, 'PTHR42886:SF53', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 128142),
(184417, 'PTHR37464:SF1', NULL, NULL, NULL, NULL, 'BLL2463 PROTEIN', 128143),
(184418, 'PTHR27007:SF187', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.5-RELATED', 128144),
(184419, 'PTHR35295:SF2', NULL, NULL, NULL, NULL, 'OS07G0256300 PROTEIN', 128145),
(184420, 'PTHR23414:SF7', NULL, NULL, NULL, NULL, 'ADRENOMEDULLIN-5-LIKE PROTEIN-RELATED', 128146),
(184421, 'PTHR11260:SF528', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128147),
(184422, 'PTHR14255:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128148),
(184423, 'PTHR11946', NULL, NULL, NULL, NULL, 'VALYL-TRNA SYNTHETASES', 128149),
(184424, 'PTHR31790:SF410', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128150),
(184425, 'PTHR24023:SF1015', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128151),
(184426, 'PTHR31668:SF20', NULL, NULL, NULL, NULL, 'MALTOSE FERMENTATION REGULATORY PROTEIN MAL13-RELATED', 128152),
(184427, 'PTHR32022', NULL, NULL, NULL, NULL, 'D-GLUTAMATE CYCLASE, MITOCHONDRIAL', 128153),
(184428, 'PTHR18966:SF445', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 128154),
(184429, 'PTHR45765:SF8', NULL, NULL, NULL, NULL, 'METHIONINE--TRNA LIGASE, CYTOPLASMIC-LIKE', 128155),
(184430, 'PTHR31278', NULL, NULL, NULL, NULL, 'CHCHD1', 128156),
(184431, 'PTHR12673:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128157),
(184432, 'PTHR41259:SF1', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR RAD50 ATPASE, PUTATIVE-RELATED', 128158),
(184433, 'PTHR40042', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', 128159);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(184434, 'PTHR11654:SF423', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 1.1', 128160),
(184435, 'PTHR32227:SF129', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN', 128161),
(184436, 'PTHR39671:SF3', NULL, NULL, NULL, NULL, 'RNA EDITING COMPLEX PROTEIN MP61', 128162),
(184437, 'PTHR13639', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 4 HOMOLOG, MITOCHONDRIAL', 128163),
(184438, 'PTHR35868:SF4', NULL, NULL, NULL, NULL, 'YALI0F05654P', 128164),
(184439, 'PTHR42861:SF88', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 128165),
(184440, 'PTHR14226:SF23', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PHOSPHOLIPASE DOMAIN-CONTAINING PROTEIN 7', 128166),
(184441, 'PTHR23259:SF63', NULL, NULL, NULL, NULL, 'PROTEIN CBG03721', 128167),
(184442, 'PTHR43752:SF4', NULL, NULL, NULL, NULL, 'ALPHA-RHAMNOSIDASE-LIKE PROTEIN', 128168),
(184443, 'PTHR33303:SF2', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 128169),
(184444, 'PTHR11243', NULL, NULL, NULL, NULL, 'GROWTH FACTOR RECEPTOR-BOUND PROTEIN', 128170),
(184445, 'PTHR22811:SF136', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA9-LIKE', 128171),
(184446, 'PTHR45658:SF66', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 2', 128172),
(184447, 'PTHR14097:SF7', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE HTATIP2', 128173),
(184448, 'PTHR11759', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14/30S RIBOSOMAL PROTEIN S11', 128174),
(184449, 'PTHR31205:SF54', NULL, NULL, NULL, NULL, 'OS07G0171500 PROTEIN', 128175),
(184450, 'PTHR23343', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA SPERM-BINDING PROTEIN', 128176),
(184451, 'PTHR13305', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NOP10', 128177),
(184452, 'PTHR11679:SF3', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 45', 128178),
(184453, 'PTHR48137:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128179),
(184454, 'PTHR33573:SF15', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4A4', 128180),
(184455, 'PTHR22945', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D  DELTA', 128181),
(184456, 'PTHR12352:SF13', NULL, NULL, NULL, NULL, 'SPARC-RELATED MODULAR CALCIUM-BINDING PROTEIN 1', 128182),
(184457, 'PTHR12542:SF127', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 128183),
(184458, 'PTHR12290:SF34', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENATE-CYSTEINE LIGASE-LIKE PROTEIN', 128184),
(184459, 'PTHR31992:SF163', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.6', 128185),
(184460, 'PTHR46661', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZNRF1-LIKE PROTEIN', 128186),
(184461, 'PTHR43670:SF62', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONE-RELATED', 128187),
(184462, 'PTHR10579:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128188),
(184463, 'PTHR31048:SF117', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', 128189),
(184464, 'PTHR31589:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128190),
(184465, 'PTHR43032:SF3', NULL, NULL, NULL, NULL, 'PROTEIN-METHIONINE-SULFOXIDE REDUCTASE CATALYTIC SUBUNIT MSRP', 128191),
(184466, 'PTHR34280', NULL, NULL, NULL, NULL, 'OS01G0920100 PROTEIN', 128192),
(184467, 'PTHR30283', NULL, NULL, NULL, NULL, 'PEROXIDE STRESS RESPONSE PROTEIN YAAA', 128193),
(184468, 'PTHR31422:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FLOURY 1-LIKE', 128194),
(184469, 'PTHR11260:SF683', NULL, NULL, NULL, NULL, 'OS05G0412800 PROTEIN', 128195),
(184470, 'PTHR13068:SF173', NULL, NULL, NULL, NULL, 'EMB|CAB62602.1', 128196),
(184471, 'PTHR43159:SF7', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE [NADH] 2, CHLOROPLASTIC', 128197),
(184472, 'PTHR11728:SF39', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)]', 128198),
(184473, 'PTHR11003:SF250', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 128199),
(184474, 'PTHR14456:SF5', NULL, NULL, NULL, NULL, 'INOSITOL-PENTAKISPHOSPHATE 2-KINASE-RELATED', 128200),
(184475, 'PTHR11127:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128201);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(184476, 'PTHR11375:SF5', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY MEMBER E', 128202),
(184477, 'PTHR46162:SF30', NULL, NULL, NULL, NULL, 'BNAA09G04280D PROTEIN', 128203),
(184478, 'PTHR24356:SF347', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C DELTA TYPE HOMOLOG-RELATED', 128204),
(184479, 'PTHR23401:SF3', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 5 ACTIVATOR 2', 128205),
(184480, 'PTHR37442', NULL, NULL, NULL, NULL, 'F18A1.7 PROTEIN-RELATED', 128206),
(184481, 'PTHR31375:SF235', NULL, NULL, NULL, NULL, 'BNAA09G51170D PROTEIN', 128207),
(184482, 'PTHR11738:SF14', NULL, NULL, NULL, NULL, 'NATURAL CYTOTOXICITY TRIGGERING RECEPTOR 1', 128208),
(184483, 'PTHR35162:SF9', NULL, NULL, NULL, NULL, 'OS02G0176600 PROTEIN', 128209),
(184484, 'PTHR33929:SF9', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 2-RELATED', 128210),
(184485, 'PTHR13634:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128211),
(184486, 'PTHR45763:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128212),
(184487, 'PTHR37000', NULL, NULL, NULL, NULL, 'MUCIN-22', 128213),
(184488, 'PTHR27002:SF856', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 128214),
(184489, 'PTHR19375:SF163', NULL, NULL, NULL, NULL, 'PROTEIN CBG07033', 128215),
(184490, 'PTHR31029:SF9', NULL, NULL, NULL, NULL, 'BNACNNG56180D PROTEIN', 128216),
(184491, 'PTHR11802:SF330', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 128217),
(184492, 'PTHR16515:SF21', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 13', 128218),
(184493, 'PTHR23086:SF113', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 6', 128219),
(184494, 'PTHR48055:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1', 128220),
(184495, 'PTHR33021:SF284', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 15', 128221),
(184496, 'PTHR10245', NULL, NULL, NULL, NULL, 'ENDOTHELIAL DIFFERENTIATION-RELATED FACTOR 1  MULTIPROTEIN BRIDGING FACTOR 1', 128222),
(184497, 'PTHR31901:SF83', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6-LIKE', 128223),
(184498, 'PTHR12373:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128224),
(184499, 'PTHR31718:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128225),
(184500, 'PTHR35094', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 2', 128226),
(184501, 'PTHR27006:SF436', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128227),
(184502, 'PTHR31985:SF218', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', 128228),
(184503, 'PTHR43785:SF2', NULL, NULL, NULL, NULL, 'TYPE-1 GLUTAMINE SYNTHETASE 1-RELATED', 128229),
(184504, 'PTHR10027:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128230),
(184505, 'PTHR12886', NULL, NULL, NULL, NULL, 'PIG-M MANNOSYLTRANSFERASE', 128231),
(184506, 'PTHR24255:SF10', NULL, NULL, NULL, NULL, 'MANNAN-BINDING LECTIN SERINE PROTEASE 2', 128232),
(184507, 'PTHR46475:SF14', NULL, NULL, NULL, NULL, 'BNAA08G14460D PROTEIN', 128233),
(184508, 'PTHR10394:SF3', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', 128234),
(184509, 'PTHR31126:SF18', NULL, NULL, NULL, NULL, 'PROTEIN OCA4', 128235),
(184510, 'PTHR12215:SF21', NULL, NULL, NULL, NULL, '4''-PHOSPHOPANTETHEINYL TRANSFERASE SUPERFAMILY', 128236),
(184511, 'PTHR35715:SF8', NULL, NULL, NULL, NULL, 'OS09G0491692 PROTEIN', 128237),
(184512, 'PTHR24377:SF826', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 30', 128238),
(184513, 'PTHR46643:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GOOSECOID', 128239),
(184514, 'PTHR45752:SF24', NULL, NULL, NULL, NULL, 'VOLUME-REGULATED ANION CHANNEL SUBUNIT LRRC8C', 128240),
(184515, 'PTHR11485:SF29', NULL, NULL, NULL, NULL, 'LD22449P', 128241),
(184516, 'PTHR46116:SF28', NULL, NULL, NULL, NULL, 'BNAC06G41980D PROTEIN', 128242),
(184517, 'PTHR13952:SF5', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN 70 KDA', 128243),
(184518, 'PTHR14614:SF117', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE EEF2KMT', 128244),
(184519, 'PTHR42687:SF4', NULL, NULL, NULL, NULL, 'L-THREONINE DEHYDROGENASE', 128245);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(184520, 'PTHR43112:SF36', NULL, NULL, NULL, NULL, 'FERREDOXIN', 128246),
(184521, 'PTHR24049:SF23', NULL, NULL, NULL, NULL, 'NOTCH RECEPTOR 1B', 128247),
(184522, 'PTHR21377:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128248),
(184523, 'PTHR47206', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 128249),
(184524, 'PTHR15917:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128250),
(184525, 'PTHR42336:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128251),
(184526, 'PTHR24403:SF73', NULL, NULL, NULL, NULL, 'CCCTC-BINDING FACTOR', 128252),
(184527, 'PTHR11453:SF99', NULL, NULL, NULL, NULL, 'BICARBONATE TRANSPORTER, EUKARYOTIC-RELATED', 128253),
(184528, 'PTHR21716:SF51', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YDIK-RELATED', 128254),
(184529, 'PTHR38777', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', 128255),
(184530, 'PTHR26453:SF570', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 128256),
(184531, 'PTHR31509:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128257),
(184532, 'PTHR36815', NULL, NULL, NULL, NULL, 'BNAC03G48760D PROTEIN', 128258),
(184533, 'PTHR23226:SF170', NULL, NULL, NULL, NULL, 'MYONEURIN', 128259),
(184534, 'PTHR31001:SF41', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 128260),
(184535, 'PTHR33074:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128261),
(184536, 'PTHR34921', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN REC114', 128262),
(184537, 'PTHR14791:SF47', NULL, NULL, NULL, NULL, 'BNAA07G10590D PROTEIN', 128263),
(184538, 'PTHR19855:SF11', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN WDR12', 128264),
(184539, 'PTHR10218:SF332', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-2 SUBUNIT', 128265),
(184540, 'PTHR45632:SF9', NULL, NULL, NULL, NULL, 'SI:RP71-68N21.9', 128266),
(184541, 'PTHR10877', NULL, NULL, NULL, NULL, 'POLYCYSTIN FAMILY MEMBER', 128267),
(184542, 'PTHR33021:SF326', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 128268),
(184543, 'PTHR19338:SF14', NULL, NULL, NULL, NULL, 'OSJNBA0064M23.16 PROTEIN', 128269),
(184544, 'PTHR11214:SF133', NULL, NULL, NULL, NULL, 'OS02G0577300 PROTEIN', 128270),
(184545, 'PTHR47967:SF13', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE UND-RELATED', 128271),
(184546, 'PTHR10795:SF572', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE PROTEASE', 128272),
(184547, 'PTHR11521', NULL, NULL, NULL, NULL, 'TROPONIN T', 128273),
(184548, 'PTHR14196:SF0', NULL, NULL, NULL, NULL, 'PROTEIN BOWEL-RELATED', 128274),
(184549, 'PTHR12741:SF75', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 48-RELATED', 128275),
(184550, 'PTHR47934:SF3', NULL, NULL, NULL, NULL, 'CHROMATIN-REMODELING COMPLEX ATPASE', 128276),
(184551, 'PTHR22762:SF67', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCOSIDASE (EUROFUNG)-RELATED', 128277),
(184552, 'PTHR45614:SF74', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 118', 128278),
(184553, 'PTHR26450:SF355', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52J3', 128279),
(184554, 'PTHR22951:SF80', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-BINDING CLATHRIN ASSEMBLY PROTEIN B', 128280),
(184555, 'PTHR33021:SF197', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 1', 128281),
(184556, 'PTHR48009:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 128282),
(184557, 'PTHR11537:SF252', NULL, NULL, NULL, NULL, 'SHAW-LIKE, ISOFORM C', 128283),
(184558, 'PTHR10869:SF165', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 2', 128284),
(184559, 'PTHR40280:SF1', NULL, NULL, NULL, NULL, 'BLR6907 PROTEIN', 128285),
(184560, 'PTHR33147:SF91', NULL, NULL, NULL, NULL, 'BNAC09G20670D PROTEIN', 128286),
(184561, 'PTHR23502:SF167', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G08910)-RELATED', 128287),
(184562, 'PTHR48048:SF35', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 128288),
(184563, 'PTHR46276:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR5', 128289),
(184564, 'PTHR32141:SF97', NULL, NULL, NULL, NULL, 'OSJNBA0028M15.13 PROTEIN', 128290),
(184565, 'PTHR11584:SF369', NULL, NULL, NULL, NULL, 'APOPTOTIC SIGNAL-REGULATING KINASE 1, ISOFORM C', 128291);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(184566, 'PTHR10293:SF68', NULL, NULL, NULL, NULL, 'BNAC03G30060D PROTEIN', 128292),
(184567, 'PTHR31100:SF46', NULL, NULL, NULL, NULL, 'OS06G0136900 PROTEIN', 128293),
(184568, 'PTHR33193:SF49', NULL, NULL, NULL, NULL, 'BNAC01G37350D PROTEIN', 128294),
(184569, 'PTHR24347:SF359', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE DDB_G0282429-RELATED', 128295),
(184570, 'PTHR24257:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128296),
(184571, 'PTHR30304:SF0', NULL, NULL, NULL, NULL, 'D-TAGATOSE-1,6-BISPHOSPHATE ALDOLASE SUBUNIT GATY-RELATED', 128297),
(184572, 'PTHR11614:SF150', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 128298),
(184573, 'PTHR47171:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 128299),
(184574, 'PTHR11846:SF15', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE, CHLOROPLASTIC', 128300),
(184575, 'PTHR12276:SF97', NULL, NULL, NULL, NULL, 'ENTH DOMAIN-CONTAINING PROTEIN C794.11C-LIKE', 128301),
(184576, 'PTHR30540:SF93', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 12-RELATED', 128302),
(184577, 'PTHR22168:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128303),
(184578, 'PTHR10732:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17', 128304),
(184579, 'PTHR10378:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR SEUSS-LIKE ISOFORM X1', 128305),
(184580, 'PTHR42783:SF3', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE [NADPH] SMALL CHAIN', 128306),
(184581, 'PTHR15375:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128307),
(184582, 'PTHR10108:SF1134', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT18-RELATED', 128308),
(184583, 'PTHR14155:SF516', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL9', 128309),
(184584, 'PTHR43194:SF3', NULL, NULL, NULL, NULL, 'SIGMA FACTOR SIGB REGULATION PROTEIN RSBQ', 128310),
(184585, 'PTHR12429:SF6', NULL, NULL, NULL, NULL, 'PROTEIN NEURALIZED', 128311),
(184586, 'PTHR21859:SF53', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4931408C20 GENE-RELATED', 128312),
(184587, 'PTHR14002:SF10', NULL, NULL, NULL, NULL, 'SI:CH73-261I21.5-RELATED', 128313),
(184588, 'PTHR33356:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128314),
(184589, 'PTHR35283:SF3', NULL, NULL, NULL, NULL, 'T12C22.21 PROTEIN', 128315),
(184590, 'PTHR33210:SF18', NULL, NULL, NULL, NULL, 'PROTODERMAL FACTOR 1', 128316),
(184591, 'PTHR48018:SF16', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5L2', 128317),
(184592, 'PTHR11207:SF27', NULL, NULL, NULL, NULL, 'BNAC08G13800D PROTEIN', 128318),
(184593, 'PTHR47928:SF162', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 128319),
(184594, 'PTHR44942:SF6', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN', 128320),
(184595, 'PTHR42790', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', 128321),
(184596, 'PTHR33204:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 128322),
(184597, 'PTHR22883:SF337', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 128323),
(184598, 'PTHR11240:SF65', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2 FAMILY PROTEIN', 128324),
(184599, 'PTHR10980:SF3', NULL, NULL, NULL, NULL, 'LD16419P', 128325),
(184600, 'PTHR11723:SF17', NULL, NULL, NULL, NULL, 'PROTEIN EXTRA-MACROCHAETAE', 128326),
(184601, 'PTHR15451:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128327),
(184602, 'PTHR46517', NULL, NULL, NULL, NULL, 'FRUCTOSE-2,6-BISPHOSPHATASE TIGAR', 128328),
(184603, 'PTHR10285:SF162', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT KINASE TDA10-RELATED', 128329),
(184604, 'PTHR47979:SF57', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN GTP1', 128330),
(184605, 'PTHR23505:SF64', NULL, NULL, NULL, NULL, 'PROTEIN SPINSTER-LIKE ISOFORM X1', 128331),
(184606, 'PTHR40389:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128332),
(184607, 'PTHR43055', NULL, NULL, NULL, NULL, 'FORMATE-DEPENDENT PHOSPHORIBOSYLGLYCINAMIDE FORMYLTRANSFERASE', 128333),
(184608, 'PTHR13878:SF140', NULL, NULL, NULL, NULL, 'BNAA07G35940D PROTEIN', 128334),
(184609, 'PTHR47980:SF17', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-3D', 128335),
(184610, 'PTHR21545:SF13', NULL, NULL, NULL, NULL, 'ECDYSONE-INDUCED PROTEIN 93F, ISOFORM C', 128336);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(184611, 'PTHR26453:SF7', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10G8', 128337),
(184612, 'PTHR47730', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 29', 128338),
(184613, 'PTHR11884', NULL, NULL, NULL, NULL, 'SELECTIN LIGAND RELATED', 128339),
(184614, 'PTHR30231:SF23', NULL, NULL, NULL, NULL, 'PROTEIN NEN2', 128340),
(184615, 'PTHR21022:SF21', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE 5, CHLOROPLASTIC', 128341),
(184616, 'PTHR24409:SF331', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 17', 128342),
(184617, 'PTHR11633:SF14', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR BETA POLYPEPTIDE B', 128343),
(184618, 'PTHR11467:SF20', NULL, NULL, NULL, NULL, 'HISTONE H1.1-RELATED', 128344),
(184619, 'PTHR48010:SF23', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HAIKU2', 128345),
(184620, 'PTHR24062:SF90', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 128346),
(184621, 'PTHR22988', NULL, NULL, NULL, NULL, 'MYOTONIC DYSTROPHY S/T KINASE-RELATED', 128347),
(184622, 'PTHR10554:SF11', NULL, NULL, NULL, NULL, 'BETA-1-SYNTROPHIN', 128348),
(184623, 'PTHR38160', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 40', 128349),
(184624, 'PTHR14167:SF80', NULL, NULL, NULL, NULL, 'BNAC03G60300D PROTEIN', 128350),
(184625, 'PTHR46732:SF5', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE LA (LON) DOMAIN PROTEIN', 128351),
(184626, 'PTHR47982:SF40', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 128352),
(184627, 'PTHR31499:SF64', NULL, NULL, NULL, NULL, 'BNAC05G40460D PROTEIN', 128353),
(184628, 'PTHR32295:SF208', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', 128354),
(184629, 'PTHR26379:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128355),
(184630, 'PTHR48063:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128356),
(184631, 'PTHR22945:SF40', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 128357),
(184632, 'PTHR47104:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128358),
(184633, 'PTHR19300:SF33', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 3', 128359),
(184634, 'PTHR46128:SF166', NULL, NULL, NULL, NULL, 'BNAA05G15090D PROTEIN', 128360),
(184635, 'PTHR47720:SF5', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', 128361),
(184636, 'PTHR31111:SF30', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 128362),
(184637, 'PTHR24343:SF130', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRSK1', 128363),
(184638, 'PTHR45642:SF46', NULL, NULL, NULL, NULL, 'ANTER-SPECIFIC PROLINE-RICH PROTEIN APG-LIKE', 128364),
(184639, 'PTHR24394:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 5', 128365),
(184640, 'PTHR43264:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO NUCLEOSIDE HYDROLASE', 128366),
(184641, 'PTHR30268', NULL, NULL, NULL, NULL, 'L-RHAMNOSE ISOMERASE', 128367),
(184642, 'PTHR19961:SF24', NULL, NULL, NULL, NULL, 'FIMBRIN', 128368),
(184643, 'PTHR30137:SF6', NULL, NULL, NULL, NULL, 'LUCIFERASE-LIKE MONOOXYGENASE', 128369),
(184644, 'PTHR10533:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128370),
(184645, 'PTHR13939:SF6', NULL, NULL, NULL, NULL, 'NMN AMIDOHYDROLASE-LIKE PROTEIN YFAY', 128371),
(184646, 'PTHR16515', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN', 128372),
(184647, 'PTHR12620:SF38', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN AUXILIARY FACTOR 35 KDA SUBUNIT-RELATED PROTEIN 2', 128373),
(184648, 'PTHR31802:SF11', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT1', 128374),
(184649, 'PTHR11608:SF0', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN PYRR', 128375),
(184650, 'PTHR34709:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128376),
(184651, 'PTHR42776:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128377),
(184652, 'PTHR14991', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 32', 128378),
(184653, 'PTHR11442:SF8', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT MU', 128379),
(184654, 'PTHR34820', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YEBZ', 128380);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(184655, 'PTHR47225:SF1', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 12', 128381),
(184656, 'PTHR34859', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 128382),
(184657, 'PTHR31591:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128383),
(184658, 'PTHR30546:SF36', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 2-RELATED', 128384),
(184659, 'PTHR45714:SF50', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX11-LIKE', 128385),
(184660, 'PTHR10730:SF5', NULL, NULL, NULL, NULL, 'PROCOLLAGEN-LYSINE,2-OXOGLUTARATE 5-DIOXYGENASE 1', 128386),
(184661, 'PTHR33033:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128387),
(184662, 'PTHR16001:SF6', NULL, NULL, NULL, NULL, 'ECTO-NOX DISULFIDE-THIOL EXCHANGER 1', 128388),
(184663, 'PTHR33699:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128389),
(184664, 'PTHR12547:SF138', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 9-RELATED', 128390),
(184665, 'PTHR12042', NULL, NULL, NULL, NULL, 'LACTOSYLCERAMIDE 4-ALPHA-GALACTOSYLTRANSFERASE  ALPHA- 1,4-GALACTOSYLTRANSFERASE', 128391),
(184666, 'PTHR46616:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 128392),
(184667, 'PTHR33132:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128393),
(184668, 'PTHR12258:SF10', NULL, NULL, NULL, NULL, '14 KDA PHOSPHOHISTIDINE PHOSPHATASE', 128394),
(184669, 'PTHR31492:SF14', NULL, NULL, NULL, NULL, 'M CELL-TYPE AGGLUTINATION PROTEIN MAM3-RELATED', 128395),
(184670, 'PTHR11255:SF30', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE DELTA', 128396),
(184671, 'PTHR45800:SF27', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-AND 4-KINASE', 128397),
(184672, 'PTHR23004:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG11112', 128398),
(184673, 'PTHR31659:SF20', NULL, NULL, NULL, NULL, 'PROTEIN OCTOPUS-LIKE', 128399),
(184674, 'PTHR26453:SF86', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 128400),
(184675, 'PTHR35755:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 128401),
(184676, 'PTHR31190:SF241', NULL, NULL, NULL, NULL, 'BNAA04G25900D PROTEIN', 128402),
(184677, 'PTHR42703:SF3', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE SUBUNIT 4', 128403),
(184678, 'PTHR11485:SF49', NULL, NULL, NULL, NULL, 'OTOLITH MATRIX PROTEIN 1', 128404),
(184679, 'PTHR26452:SF285', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1009', 128405),
(184680, 'PTHR33179:SF62', NULL, NULL, NULL, NULL, 'BNAA01G05730D PROTEIN', 128406),
(184681, 'PTHR24247:SF20', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 1A', 128407),
(184682, 'PTHR33124:SF57', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UPBEAT-LIKE PROTEIN', 128408),
(184683, 'PTHR47461:SF1', NULL, NULL, NULL, NULL, 'PHYTOLONGIN PHYL1.2', 128409),
(184684, 'PTHR15238', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L39, MITOCHONDRIAL', 128410),
(184685, 'PTHR21495:SF170', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 20', 128411),
(184686, 'PTHR23155:SF955', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128412),
(184687, 'PTHR24298:SF818', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 9', 128413),
(184688, 'PTHR23201:SF101', NULL, NULL, NULL, NULL, 'GIBBERELLIN REGULATED PROTEIN-RELATED', 128414),
(184689, 'PTHR23502:SF34', NULL, NULL, NULL, NULL, 'PROTEIN HOL1', 128415),
(184690, 'PTHR22625:SF33', NULL, NULL, NULL, NULL, 'PLEXIN-B3', 128416),
(184691, 'PTHR47965:SF70', NULL, NULL, NULL, NULL, 'BASIC 7S GLOBULIN-LIKE', 128417),
(184692, 'PTHR46301:SF4', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PLANT PROTEIN', 128418),
(184693, 'PTHR30487:SF0', NULL, NULL, NULL, NULL, 'PREPILIN PEPTIDASE PPPA-RELATED', 128419),
(184694, 'PTHR18934:SF148', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX34-RELATED', 128420),
(184695, 'PTHR31251:SF126', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 13A-RELATED', 128421),
(184696, 'PTHR30546:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128422),
(184697, 'PTHR21290', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN SYNTHETASE', 128423),
(184698, 'PTHR32294:SF0', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT ALPHA', 128424);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(184699, 'PTHR11945:SF523', NULL, NULL, NULL, NULL, 'MADS TRANSCRIPTION FACTOR', 128425),
(184700, 'PTHR11709:SF280', NULL, NULL, NULL, NULL, 'MULTI-COPPER OXIDASE-LIKE PROTEIN', 128426),
(184701, 'PTHR31282:SF143', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 70-RELATED', 128427),
(184702, 'PTHR27001:SF487', NULL, NULL, NULL, NULL, 'PROTEIN WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN, PUTATIVE-RELATED', 128428),
(184703, 'PTHR47261:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 128429),
(184704, 'PTHR30509:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', 128430),
(184705, 'PTHR24338:SF8', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MSX-1', 128431),
(184706, 'PTHR38631:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG12791', 128432),
(184707, 'PTHR21471:SF48', NULL, NULL, NULL, NULL, 'PROTEIN CBG19612', 128433),
(184708, 'PTHR31989:SF285', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 86', 128434),
(184709, 'PTHR37560:SF1', NULL, NULL, NULL, NULL, 'UPF0210 PROTEIN MJ1665', 128435),
(184710, 'PTHR38690:SF1', NULL, NULL, NULL, NULL, 'PROTEASE-RELATED', 128436),
(184711, 'PTHR45621:SF109', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 2B, CHLOROPLASTIC', 128437),
(184712, 'PTHR24412:SF75', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 1', 128438),
(184713, 'PTHR47158:SF3', NULL, NULL, NULL, NULL, 'COMPLEX 1 LYR PROTEIN-RELATED', 128439),
(184714, 'PTHR31681:SF76', NULL, NULL, NULL, NULL, 'BNAA10G10050D PROTEIN', 128440),
(184715, 'PTHR28035', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 10', 128441),
(184716, 'PTHR10027:SF14', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY T MEMBER 1', 128442),
(184717, 'PTHR47590:SF5', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP25-LIKE', 128443),
(184718, 'PTHR11863:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128444),
(184719, 'PTHR24205:SF3', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS PROTEIN 2', 128445),
(184720, 'PTHR44598:SF2', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE C', 128446),
(184721, 'PTHR46920', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 128447),
(184722, 'PTHR11260:SF523', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE GST 23-LIKE', 128448),
(184723, 'PTHR33271:SF17', NULL, NULL, NULL, NULL, 'RMLC-LIKE CUPINS SUPERFAMILY PROTEIN', 128449),
(184724, 'PTHR10057', NULL, NULL, NULL, NULL, 'PERIPHERAL-TYPE BENZODIAZEPINE RECEPTOR', 128450),
(184725, 'PTHR47990:SF141', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', 128451),
(184726, 'PTHR44419:SF7', NULL, NULL, NULL, NULL, 'PROTOCHLOROPHYLLIDE REDUCTASE B, CHLOROPLASTIC', 128452),
(184727, 'PTHR23002:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128453),
(184728, 'PTHR41307:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 128454),
(184729, 'PTHR40622:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128455),
(184730, 'PTHR22792:SF140', NULL, NULL, NULL, NULL, 'LUPUS LA PROTEIN HOMOLOG', 128456),
(184731, 'PTHR38624:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07579', 128457),
(184732, 'PTHR10240', NULL, NULL, NULL, NULL, 'ALPHA-S1-CASEIN', 128458),
(184733, 'PTHR43757:SF2', NULL, NULL, NULL, NULL, 'AMINOMETHYLTRANSFERASE, MITOCHONDRIAL', 128459),
(184734, 'PTHR21310:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128460),
(184735, 'PTHR34201:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128461),
(184736, 'PTHR12581:SF0', NULL, NULL, NULL, NULL, 'KRR1 SMALL SUBUNIT PROCESSOME COMPONENT HOMOLOG', 128462),
(184737, 'PTHR10264:SF116', NULL, NULL, NULL, NULL, 'STOMATIN-3', 128463),
(184738, 'PTHR45810:SF10', NULL, NULL, NULL, NULL, 'HISTONE H3', 128464),
(184739, 'PTHR12632:SF51', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-1-LIKE', 128465),
(184740, 'PTHR21109:SF13', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S21, MITOCHONDRIAL', 128466),
(184741, 'PTHR36053', NULL, NULL, NULL, NULL, 'OSJNBB0017I01.18 PROTEIN', 128467),
(184742, 'PTHR45933', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 4', 128468); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(184743, 'PTHR22952:SF385', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 128469),
(184744, 'PTHR21580:SF55', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 128470),
(184745, 'PTHR23023:SF248', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 128471),
(184746, 'PTHR47472', NULL, NULL, NULL, NULL, 'PROPIONYL-COA CARBOXYLASE', 128472),
(184747, 'PTHR46407:SF15', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT PROTEIN', 128473),
(184748, 'PTHR11214:SF235', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 128474),
(184749, 'PTHR27006:SF270', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 128475),
(184750, 'PTHR22996:SF19', NULL, NULL, NULL, NULL, 'BNACNNG03010D PROTEIN', 128476),
(184751, 'PTHR47932:SF6', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 128477),
(184752, 'PTHR48002:SF18', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 128478),
(184753, 'PTHR21668:SF12', NULL, NULL, NULL, NULL, 'BNAC03G44260D PROTEIN', 128479),
(184754, 'PTHR30540:SF119', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 128480),
(184755, 'PTHR42943', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE KAPPA', 128481),
(184756, 'PTHR18887:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-220F16.2', 128482),
(184757, 'PTHR11709:SF101', NULL, NULL, NULL, NULL, 'LACCASE', 128483),
(184758, 'PTHR12665:SF22', NULL, NULL, NULL, NULL, 'BNACNNG08600D PROTEIN', 128484),
(184759, 'PTHR46610:SF5', NULL, NULL, NULL, NULL, 'OS06G0580100 PROTEIN', 128485),
(184760, 'PTHR11808:SF80', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA LYASE', 128486),
(184761, 'PTHR10102:SF12', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE 1, MITOCHONDRIAL', 128487),
(184762, 'PTHR31677:SF117', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 11', 128488),
(184763, 'PTHR31048:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128489),
(184764, 'PTHR40288:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG00647', 128490),
(184765, 'PTHR11945:SF537', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', 128491),
(184766, 'PTHR31650:SF40', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE', 128492),
(184767, 'PTHR31238:SF145', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 128493),
(184768, 'PTHR24023:SF1005', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(IV) CHAIN', 128494),
(184769, 'PTHR31083:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128495),
(184770, 'PTHR45724:SF21', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN', 128496),
(184771, 'PTHR36780:SF1', NULL, NULL, NULL, NULL, 'OS05G0241400 PROTEIN', 128497),
(184772, 'PTHR22796:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SEY1 HOMOLOG 1', 128498),
(184773, 'PTHR46268:SF6', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN NHAX', 128499),
(184774, 'PTHR19241:SF627', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 128500),
(184775, 'PTHR14239:SF3', NULL, NULL, NULL, NULL, 'METALLOREDUCTASE STEAP1', 128501),
(184776, 'PTHR15090:SF0', NULL, NULL, NULL, NULL, 'SEQUESTOSOME-1', 128502),
(184777, 'PTHR43189', NULL, NULL, NULL, NULL, 'ZINC-TYPE ALCOHOL DEHYDROGENASE-LIKE PROTEIN C1198.01-RELATED', 128503),
(184778, 'PTHR27005', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 21', 128504),
(184779, 'PTHR31681:SF62', NULL, NULL, NULL, NULL, 'BNAA07G02210D PROTEIN', 128505),
(184780, 'PTHR11552:SF188', NULL, NULL, NULL, NULL, 'NEITHER INACTIVATION NOR AFTERPOTENTIAL PROTEIN G', 128506),
(184781, 'PTHR10903:SF132', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST 120, CHLOROPLASTIC-RELATED', 128507),
(184782, 'PTHR42087:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128508),
(184783, 'PTHR24327:SF25', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CEH-23', 128509),
(184784, 'PTHR11260:SF525', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, N-TERMINAL DOMAIN CONTAINING PROTEIN, EXPRESSED', 128510),
(184785, 'PTHR10953:SF214', NULL, NULL, NULL, NULL, 'ENZYME E1, PUTATIVE-RELATED', 128511),
(184786, 'PTHR33052:SF161', NULL, NULL, NULL, NULL, 'OS06G0259800 PROTEIN', 128512),
(184787, 'PTHR12751:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATASE AND ACTIN REGULATOR 3', 128513);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(184788, 'PTHR19443:SF63', NULL, NULL, NULL, NULL, 'HEXOKINASE-LIKE 1 PROTEIN-RELATED', 128514),
(184789, 'PTHR45624:SF35', NULL, NULL, NULL, NULL, 'OS10G0573800 PROTEIN', 128515),
(184790, 'PTHR48042:SF16', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 11-LIKE', 128516),
(184791, 'PTHR47974:SF2', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR SERINE/THREONINE-PROTEIN KINASE', 128517),
(184792, 'PTHR47487:SF12', NULL, NULL, NULL, NULL, 'GLUTENIN, HIGH MOLECULAR WEIGHT SUBUNIT DX5-LIKE', 128518),
(184793, 'PTHR32134:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128519),
(184794, 'PTHR30050:SF5', NULL, NULL, NULL, NULL, 'DNAA REGULATORY INACTIVATOR HDA', 128520),
(184795, 'PTHR26379:SF352', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128521),
(184796, 'PTHR31549:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128522),
(184797, 'PTHR45638:SF9', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CHANNEL ROD PHOTORECEPTOR SUBUNIT ALPHA', 128523),
(184798, 'PTHR18952:SF91', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE-RELATED PROTEIN 10', 128524),
(184799, 'PTHR13078', NULL, NULL, NULL, NULL, 'PEROXISOMAL MULTIFUNCTIONAL ENZYME TYPE 2-RELATED', 128525),
(184800, 'PTHR45845:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN D630003M21', 128526),
(184801, 'PTHR22835:SF593', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE LIP-4', 128527),
(184802, 'PTHR46000:SF1', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 128528),
(184803, 'PTHR11700:SF30', NULL, NULL, NULL, NULL, 'BNAC03G42750D PROTEIN', 128529),
(184804, 'PTHR47998:SF32', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 308-LIKE', 128530),
(184805, 'PTHR34119:SF8', NULL, NULL, NULL, NULL, 'OS09G0509300 PROTEIN', 128531),
(184806, 'PTHR16320:SF9', NULL, NULL, NULL, NULL, 'MCG22096', 128532),
(184807, 'PTHR13186:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 31', 128533),
(184808, 'PTHR11746:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128534),
(184809, 'PTHR35902:SF3', NULL, NULL, NULL, NULL, 'S-LAYER DOMAIN-LIKE PROTEIN', 128535),
(184810, 'PTHR42848', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 128536),
(184811, 'PTHR35182:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG20876', 128537),
(184812, 'PTHR48018:SF137', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8D4', 128538),
(184813, 'PTHR31354:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN PROTEIN', 128539),
(184814, 'PTHR33053:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128540),
(184815, 'PTHR43484', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 128541),
(184816, 'PTHR21237:SF27', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG', 128542),
(184817, 'PTHR15337:SF11', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN CONTAINING PROTEIN HOMOLOG', 128543),
(184818, 'PTHR21290:SF27', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:CERAMIDE CHOLINEPHOSPHOTRANSFERASE 1', 128544),
(184819, 'PTHR22420:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FAM81B', 128545),
(184820, 'PTHR19338:SF3', NULL, NULL, NULL, NULL, 'OS11G0131700 PROTEIN', 128546),
(184821, 'PTHR15454:SF33', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN 1, AXONEMAL', 128547),
(184822, 'PTHR23333:SF14', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 2B', 128548),
(184823, 'PTHR33463:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128549),
(184824, 'PTHR12305', NULL, NULL, NULL, NULL, 'PHOSPHATASE WITH HOMOLOGY TO TENSIN', 128550),
(184825, 'PTHR31113:SF26', NULL, NULL, NULL, NULL, 'BNAC09G51110D PROTEIN', 128551),
(184826, 'PTHR31656:SF24', NULL, NULL, NULL, NULL, 'ROOT-CAP PERIPHERY1', 128552),
(184827, 'PTHR43859:SF24', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 1, PEROXISOMAL-RELATED', 128553),
(184828, 'PTHR33095:SF84', NULL, NULL, NULL, NULL, 'DUF1645 FAMILY PROTEIN', 128554),
(184829, 'PTHR32502:SF27', NULL, NULL, NULL, NULL, 'PTS SYSTEM, MANNOSE-SPECIFIC IID COMPONENT', 128555),
(184830, 'PTHR32215', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 57', 128556),
(184831, 'PTHR15706:SF22', NULL, NULL, NULL, NULL, 'SH3 AND PX DOMAIN-CONTAINING PROTEIN 2A', 128557);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(184832, 'PTHR22850:SF90', NULL, NULL, NULL, NULL, 'HISTONE-BINDING PROTEIN RBBP4', 128558),
(184833, 'PTHR46931:SF5', NULL, NULL, NULL, NULL, 'OS11G0472600 PROTEIN', 128559),
(184834, 'PTHR46553:SF12', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', 128560),
(184835, 'PTHR34992:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128561),
(184836, 'PTHR10792:SF26', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN RLP24-RELATED', 128562),
(184837, 'PTHR11748:SF114', NULL, NULL, NULL, NULL, 'ARYL-ALCOHOL OXIDASE VANILLYL-ALCOHOL OXIDASE (AFU_ORTHOLOGUE AFUA_3G09500)', 128563),
(184838, 'PTHR11567:SF140', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1-RELATED', 128564),
(184839, 'PTHR34944:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM7', 128565),
(184840, 'PTHR14699:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 21B', 128566),
(184841, 'PTHR10127:SF842', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 128567),
(184842, 'PTHR19317:SF61', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN F3-RELATED', 128568),
(184843, 'PTHR46593', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 64', 128569),
(184844, 'PTHR11486:SF141', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 3/7/10/22', 128570),
(184845, 'PTHR21000', NULL, NULL, NULL, NULL, 'DIHYDROXY-ACID DEHYDRATASE  DAD', 128571),
(184846, 'PTHR31025:SF18', NULL, NULL, NULL, NULL, 'SI:DKEY-286J15.1', 128572),
(184847, 'PTHR31375:SF122', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', 128573),
(184848, 'PTHR24203:SF49', NULL, NULL, NULL, NULL, 'TGB12K INTERACTING PROTEIN 2', 128574),
(184849, 'PTHR36955:SF1', NULL, NULL, NULL, NULL, 'SECRETED NEMATODE CLADE V PROTEIN GENE FAMILY', 128575),
(184850, 'PTHR31992:SF155', NULL, NULL, NULL, NULL, 'BNAA09G07670D PROTEIN', 128576),
(184851, 'PTHR46719:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 128577),
(184852, 'PTHR21068:SF39', NULL, NULL, NULL, NULL, 'SENESCENCE/DEHYDRATION-ASSOCIATED-LIKE PROTEIN', 128578),
(184853, 'PTHR31192:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128579),
(184854, 'PTHR33454:SF12', NULL, NULL, NULL, NULL, 'AVENIN-LIKE A4', 128580),
(184855, 'PTHR14386', NULL, NULL, NULL, NULL, 'PROTEIN FAM204A', 128581),
(184856, 'PTHR22988:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128582),
(184857, 'PTHR10366:SF685', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128583),
(184858, 'PTHR20914:SF9', NULL, NULL, NULL, NULL, 'COILED, ISOFORM A', 128584),
(184859, 'PTHR24291:SF163', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D7', 128585),
(184860, 'PTHR22891:SF156', NULL, NULL, NULL, NULL, 'AGO4A', 128586),
(184861, 'PTHR21053', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 128587),
(184862, 'PTHR31282:SF34', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 128588),
(184863, 'PTHR26451:SF228', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 128589),
(184864, 'PTHR28630:SF25', NULL, NULL, NULL, NULL, 'AHPC/TSA ANTIOXIDANT ENZYME', 128590),
(184865, 'PTHR12112:SF12', NULL, NULL, NULL, NULL, 'BCL2/ADENOVIRUS E1B 19 KDA PROTEIN-INTERACTING PROTEIN 2', 128591),
(184866, 'PTHR36383:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128592),
(184867, 'PTHR33156:SF2', NULL, NULL, NULL, NULL, 'OS01G0738000 PROTEIN', 128593),
(184868, 'PTHR10219:SF91', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN (GLTP) FAMILY PROTEIN', 128594),
(184869, 'PTHR30385:SF8', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-E FACTOR', 128595),
(184870, 'PTHR46513', NULL, NULL, NULL, NULL, 'VITELLOGENIN RECEPTOR-LIKE PROTEIN-RELATED-RELATED', 128596),
(184871, 'PTHR46351:SF16', NULL, NULL, NULL, NULL, 'BNAC03G33880D PROTEIN', 128597),
(184872, 'PTHR23167:SF37', NULL, NULL, NULL, NULL, 'SMOOTHELIN-LIKE PROTEIN 2', 128598),
(184873, 'PTHR10015:SF333', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-2A', 128599),
(184874, 'PTHR35485:SF4', NULL, NULL, NULL, NULL, 'OS01G0888900 PROTEIN', 128600),
(184875, 'PTHR47336', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HMS1-RELATED', 128601),
(184876, 'PTHR31379', NULL, NULL, NULL, NULL, 'F-BOX C PROTEIN-RELATED-RELATED', 128602);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(184877, 'PTHR11347:SF34', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT 3'',5''-CYCLIC NUCLEOTIDE PHOSPHODIESTERASE 1A', 128603),
(184878, 'PTHR23033:SF38', NULL, NULL, NULL, NULL, 'C1GALT1-SPECIFIC CHAPERONE 1-LIKE PROTEIN', 128604),
(184879, 'PTHR27002:SF423', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', 128605),
(184880, 'PTHR33048:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128606),
(184881, 'PTHR11533:SF40', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE-DEGRADING ECTOENZYME', 128607),
(184882, 'PTHR37229:SF2', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE', 128608),
(184883, 'PTHR15240:SF1', NULL, NULL, NULL, NULL, 'CAVEOLAE-ASSOCIATED PROTEIN 2', 128609),
(184884, 'PTHR24200:SF14', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED TUMOR SUPPRESSOR CANDIDATE 2', 128610),
(184885, 'PTHR46872:SF4', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 128611),
(184886, 'PTHR33177:SF42', NULL, NULL, NULL, NULL, 'BNAA02G29440D PROTEIN', 128612),
(184887, 'PTHR24106:SF16', NULL, NULL, NULL, NULL, 'PROTEIN NLRC5', 128613),
(184888, 'PTHR11685:SF210', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARIH2', 128614),
(184889, 'PTHR30586', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT COMPLEX PROTEIN RNFE', 128615),
(184890, 'PTHR45757:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG01018', 128616),
(184891, 'PTHR45984:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM34', 128617),
(184892, 'PTHR45933:SF35', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATING PROTEIN 1-RELATED', 128618),
(184893, 'PTHR22849:SF117', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 128619),
(184894, 'PTHR47988:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 128620),
(184895, 'PTHR12419:SF79', NULL, NULL, NULL, NULL, 'OS02G0168600 PROTEIN', 128621),
(184896, 'PTHR28567:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128622),
(184897, 'PTHR37811', NULL, NULL, NULL, NULL, 'BLL5343 PROTEIN', 128623),
(184898, 'PTHR13683:SF784', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 128624),
(184899, 'PTHR20855:SF22', NULL, NULL, NULL, NULL, 'MEMBRANE PROGESTIN RECEPTOR BETA', 128625),
(184900, 'PTHR11830:SF30', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', 128626),
(184901, 'PTHR27006:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128627),
(184902, 'PTHR13505:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 208', 128628),
(184903, 'PTHR31376:SF35', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 11-RELATED', 128629),
(184904, 'PTHR48007:SF32', NULL, NULL, NULL, NULL, 'KINASE-LIKE PROTEIN TMKL1-RELATED', 128630),
(184905, 'PTHR33870:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128631),
(184906, 'PTHR15116', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN SATB FAMILY MEMBER', 128632),
(184907, 'PTHR44427:SF10', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 16', 128633),
(184908, 'PTHR14150:SF17', NULL, NULL, NULL, NULL, 'BNAA09G00760D PROTEIN', 128634),
(184909, 'PTHR34762', NULL, NULL, NULL, NULL, 'SMALL VASOHIBIN-BINDING PROTEIN', 128635),
(184910, 'PTHR24072:SF320', NULL, NULL, NULL, NULL, 'BNACNNG35340D PROTEIN', 128636),
(184911, 'PTHR22894:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF170-LIKE', 128637),
(184912, 'PTHR31901:SF55', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.3', 128638),
(184913, 'PTHR24296:SF85', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 128639),
(184914, 'PTHR13168', NULL, NULL, NULL, NULL, 'ASSOCIATE OF C-MYC  AMY-1', 128640),
(184915, 'PTHR46739:SF3', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP1-1', 128641),
(184916, 'PTHR22930:SF131', NULL, NULL, NULL, NULL, 'ELONGIN B', 128642),
(184917, 'PTHR12802:SF119', NULL, NULL, NULL, NULL, 'BNAA03G00640D PROTEIN', 128643),
(184918, 'PTHR33332:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128644),
(184919, 'PTHR24223:SF353', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN/PERMEASE VMR1-RELATED', 128645);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(184920, 'PTHR44147:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG19152', 128646),
(184921, 'PTHR45676:SF110', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 128647),
(184922, 'PTHR13563:SF13', NULL, NULL, NULL, NULL, 'TRNA METHYLTRANSFERASE 10 HOMOLOG A', 128648),
(184923, 'PTHR33177:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128649),
(184924, 'PTHR13140:SF713', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN ID', 128650),
(184925, 'PTHR47972:SF21', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 128651),
(184926, 'PTHR48107:SF4', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALDEHYDE REDUCTASE-LIKE PROTEIN, CHLOROPLASTIC', 128652),
(184927, 'PTHR21496:SF23', NULL, NULL, NULL, NULL, 'ASSIMILATORY NITRITE REDUCTASE [NAD(P)H] SMALL SUBUNIT', 128653),
(184928, 'PTHR36879:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 4', 128654),
(184929, 'PTHR45732:SF13', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8B', 128655),
(184930, 'PTHR32096:SF91', NULL, NULL, NULL, NULL, 'BNAC04G21660D PROTEIN', 128656),
(184931, 'PTHR46133:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH34', 128657),
(184932, 'PTHR34593:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128658),
(184933, 'PTHR11760:SF47', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3-3', 128659),
(184934, 'PTHR24068:SF294', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-21 KDA 1', 128660),
(184935, 'PTHR43246:SF11', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE B', 128661),
(184936, 'PTHR28664:SF4', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION-ASSOCIATED PROTEIN 1', 128662),
(184937, 'PTHR31190:SF312', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', 128663),
(184938, 'PTHR28333:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-214J24.10', 128664),
(184939, 'PTHR10614:SF8', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR SUBSTRATE 3', 128665),
(184940, 'PTHR31194:SF100', NULL, NULL, NULL, NULL, 'BNAA09G04650D PROTEIN', 128666),
(184941, 'PTHR36100:SF1', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 4', 128667),
(184942, 'PTHR35347:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 175', 128668),
(184943, 'PTHR36362:SF2', NULL, NULL, NULL, NULL, 'BNAC05G37190D PROTEIN', 128669),
(184944, 'PTHR13703:SF23', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 1', 128670),
(184945, 'PTHR12300:SF99', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN F', 128671),
(184946, 'PTHR34962:SF3', NULL, NULL, NULL, NULL, 'ABC SUBFAMILY C PROTEIN', 128672),
(184947, 'PTHR33172:SF42', NULL, NULL, NULL, NULL, 'OXIDATIVE STRESS 3', 128673),
(184948, 'PTHR13947:SF11', NULL, NULL, NULL, NULL, 'N-ACETYLASPARTATE SYNTHETASE', 128674),
(184949, 'PTHR11465:SF43', NULL, NULL, NULL, NULL, 'CATALASE-3', 128675),
(184950, 'PTHR31490:SF74', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 10 DOMAIN-CONTAINING PROTEIN-RELATED', 128676),
(184951, 'PTHR31391:SF99', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS06G0194400', 128677),
(184952, 'PTHR34066:SF1', NULL, NULL, NULL, NULL, 'GROWTH FACTOR 2', 128678),
(184953, 'PTHR45801:SF37', NULL, NULL, NULL, NULL, 'RAMOSA 1', 128679),
(184954, 'PTHR31194:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128680),
(184955, 'PTHR45740:SF4', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP11', 128681),
(184956, 'PTHR42838', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT II', 128682),
(184957, 'PTHR27002:SF776', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', 128683),
(184958, 'PTHR16301:SF17', NULL, NULL, NULL, NULL, 'IMPACT FAMILY MEMBER YDL177C', 128684),
(184959, 'PTHR10983:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128685),
(184960, 'PTHR47172:SF13', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 15-LIKE', 128686),
(184961, 'PTHR47926:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128687),
(184962, 'PTHR21522:SF35', NULL, NULL, NULL, NULL, 'PROTON CHANNEL OTOP2', 128688),
(184963, 'PTHR24412:SF435', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 7', 128689);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(184964, 'PTHR10426:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128690),
(184965, 'PTHR21277:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128691),
(184966, 'PTHR11783:SF166', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 18', 128692),
(184967, 'PTHR31739:SF21', NULL, NULL, NULL, NULL, 'CIS-ABIENOL SYNTHASE, CHLOROPLASTIC-LIKE', 128693),
(184968, 'PTHR11359:SF5', NULL, NULL, NULL, NULL, 'MONOPHOSPHATE DEAMINASE, PUTATIVE-RELATED', 128694),
(184969, 'PTHR21229:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128695),
(184970, 'PTHR10438:SF389', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 128696),
(184971, 'PTHR33227:SF22', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 3', 128697),
(184972, 'PTHR22726:SF1', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE OMA1, MITOCHONDRIAL', 128698),
(184973, 'PTHR31582:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-28-RELATED', 128699),
(184974, 'PTHR14379:SF14', NULL, NULL, NULL, NULL, 'EMB|CAB71865.1-RELATED', 128700),
(184975, 'PTHR21047:SF3', NULL, NULL, NULL, NULL, 'DTDP-6-DEOXY-L-MANNOSE-DEHYDROGENASE', 128701),
(184976, 'PTHR31774:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-6', 128702),
(184977, 'PTHR15508', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE', 128703),
(184978, 'PTHR42770:SF1', NULL, NULL, NULL, NULL, 'LOW-AFFINITY PUTRESCINE IMPORTER PLAP', 128704),
(184979, 'PTHR10956:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128705),
(184980, 'PTHR31408', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689986', 128706),
(184981, 'PTHR31213:SF18', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORTER', 128707),
(184982, 'PTHR10099:SF12', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE CHLOROPLASTIC/MITOCHONDRIAL-RELATED', 128708),
(184983, 'PTHR26374:SF342', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT11', 128709),
(184984, 'PTHR31302:SF19', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE', 128710),
(184985, 'PTHR45614:SF61', NULL, NULL, NULL, NULL, 'OS05G0459000 PROTEIN', 128711),
(184986, 'PTHR22957:SF590', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128712),
(184987, 'PTHR30481', NULL, NULL, NULL, NULL, 'DNA ADENINE METHYLASE', 128713),
(184988, 'PTHR10110:SF181', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 6', 128714),
(184989, 'PTHR31189:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128715),
(184990, 'PTHR48216', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 128716),
(184991, 'PTHR35106:SF1', NULL, NULL, NULL, NULL, 'BNAA07G25190D PROTEIN', 128717),
(184992, 'PTHR13182', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 622', 128718),
(184993, 'PTHR11157:SF61', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 4', 128719),
(184994, 'PTHR11064:SF147', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-4-LIKE', 128720),
(184995, 'PTHR23226:SF270', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 684', 128721),
(184996, 'PTHR46120:SF4', NULL, NULL, NULL, NULL, 'BETAINE--HOMOCYSTEINE S-METHYLTRANSFERASE 1-LIKE', 128722),
(184997, 'PTHR42881:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128723),
(184998, 'PTHR47969:SF15', NULL, NULL, NULL, NULL, 'CHROMOSOME-ASSOCIATED KINESIN KIF4A-RELATED', 128724),
(184999, 'PTHR31307:SF7', NULL, NULL, NULL, NULL, 'SEQUENCE-SPECIFIC DNA BINDING TRANSCRIPTION FACTOR', 128725),
(185000, 'PTHR10217:SF466', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 7', 128726),
(185001, 'PTHR23086:SF94', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 5', 128727),
(185002, 'PTHR46182:SF2', NULL, NULL, NULL, NULL, 'FI19480P1', 128728),
(185003, 'PTHR43379:SF1', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE 1, CHLOROPLASTIC', 128729),
(185004, 'PTHR31844:SF2', NULL, NULL, NULL, NULL, 'MYELIN-ASSOCIATED NEURITE-OUTGROWTH INHIBITOR', 128730),
(185005, 'PTHR45650:SF30', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 128731),
(185006, 'PTHR42709', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE LIKE PROTEIN', 128732);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(185007, 'PTHR11165:SF110', NULL, NULL, NULL, NULL, 'SCF UBIQUITIN LIGASE, SKP1 COMPONENT', 128733),
(185008, 'PTHR31175:SF65', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR67-LIKE', 128734),
(185009, 'PTHR45739:SF4', NULL, NULL, NULL, NULL, 'FRAS1-RELATED EXTRACELLULAR MATRIX PROTEIN 2', 128735),
(185010, 'PTHR13140:SF790', NULL, NULL, NULL, NULL, 'MYOSIN IIIA', 128736),
(185011, 'PTHR43144', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', 128737),
(185012, 'PTHR13138', NULL, NULL, NULL, NULL, 'PROTEIN LIN1', 128738),
(185013, 'PTHR12386', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT', 128739),
(185014, 'PTHR11767:SF99', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY J MEMBER 19A-RELATED', 128740),
(185015, 'PTHR11709:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128741),
(185016, 'PTHR43791:SF72', NULL, NULL, NULL, NULL, 'ALLANTOATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14700)-RELATED', 128742),
(185017, 'PTHR47980:SF8', NULL, NULL, NULL, NULL, 'SMALL MONOMERIC GTPASE-RELATED', 128743),
(185018, 'PTHR10909:SF376', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACYL-COENZYME A OXIDASE 1.2-RELATED', 128744),
(185019, 'PTHR19321:SF32', NULL, NULL, NULL, NULL, 'BNAA02G09170D PROTEIN', 128745),
(185020, 'PTHR32046', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 128746),
(185021, 'PTHR32468:SF66', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 2', 128747),
(185022, 'PTHR12411:SF570', NULL, NULL, NULL, NULL, 'CATHEPSIN L 1', 128748),
(185023, 'PTHR48047:SF95', NULL, NULL, NULL, NULL, 'CYANOHYDRIN BETA-GLUCOSYLTRANSFERASE-RELATED', 128749),
(185024, 'PTHR46539:SF12', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL42-LIKE', 128750),
(185025, 'PTHR15076:SF12', NULL, NULL, NULL, NULL, 'CD99 ANTIGEN-LIKE PROTEIN 2', 128751),
(185026, 'PTHR12858:SF4', NULL, NULL, NULL, NULL, 'BNAC08G44910D PROTEIN', 128752),
(185027, 'PTHR31147:SF50', NULL, NULL, NULL, NULL, 'BNAA08G13330D PROTEIN', 128753),
(185028, 'PTHR21646:SF66', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', 128754),
(185029, 'PTHR23105:SF162', NULL, NULL, NULL, NULL, 'NHP2-LIKE PROTEIN 1 ISOFORM X1', 128755),
(185030, 'PTHR47372:SF22', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN GROUP 3 PROTEIN', 128756),
(185031, 'PTHR21213:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128757),
(185032, 'PTHR47455:SF1', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE BETA', 128758),
(185033, 'PTHR22958:SF1', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHOCHOLINE PHOSPHODIESTERASE GPCPD1', 128759),
(185034, 'PTHR12080:SF58', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 7', 128760),
(185035, 'PTHR31241:SF45', NULL, NULL, NULL, NULL, 'BNAANNG13220D PROTEIN', 128761),
(185036, 'PTHR22814:SF333', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 23-LIKE', 128762),
(185037, 'PTHR46454', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 7-RELATED', 128763),
(185038, 'PTHR31945:SF91', NULL, NULL, NULL, NULL, 'BNAA09G47740D PROTEIN', 128764),
(185039, 'PTHR35021:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128765),
(185040, 'PTHR24296:SF97', NULL, NULL, NULL, NULL, 'OS01G0951500 PROTEIN', 128766),
(185041, 'PTHR36869:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 46', 128767),
(185042, 'PTHR13946:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128768),
(185043, 'PTHR19957:SF106', NULL, NULL, NULL, NULL, 'SYNTAXIN-10', 128769),
(185044, 'PTHR39338:SF5', NULL, NULL, NULL, NULL, 'BLR6139 PROTEIN', 128770),
(185045, 'PTHR27009:SF234', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', 128771),
(185046, 'PTHR24298:SF547', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 79, SUBFAMILY C, POLYPEPTIDE 1', 128772),
(185047, 'PTHR12011:SF285', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR G3', 128773),
(185048, 'PTHR24115:SF534', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF20B', 128774),
(185049, 'PTHR15921:SF11', NULL, NULL, NULL, NULL, 'POLYADENYLATION AND CLEAVAGE FACTOR HOMOLOG 1-RELATED', 128775);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(185050, 'PTHR46019:SF4', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B MEMBER 4', 128776),
(185051, 'PTHR19325', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT-RELATED SUSHI DOMAIN-CONTAINING', 128777),
(185052, 'PTHR46033:SF33', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-LIKE, PLANT MOBILE DOMAIN FAMILY PROTEIN', 128778),
(185053, 'PTHR10281:SF86', NULL, NULL, NULL, NULL, 'DAMAGE RESPONSE PROTEIN (DAP1), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10490)-RELATED', 128779),
(185054, 'PTHR31813', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 23B', 128780),
(185055, 'PTHR43537:SF32', NULL, NULL, NULL, NULL, 'GNTR-FAMILY TRANSCRIPTIONAL REGULATOR', 128781),
(185056, 'PTHR10373:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 7', 128782),
(185057, 'PTHR12687', NULL, NULL, NULL, NULL, 'NUCLEOLAR COMPLEX 2 AND RAD4-RELATED', 128783),
(185058, 'PTHR12216:SF4', NULL, NULL, NULL, NULL, 'UROCANATE HYDRATASE', 128784),
(185059, 'PTHR12396:SF26', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 1', 128785),
(185060, 'PTHR11502:SF25', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', 128786),
(185061, 'PTHR31348:SF2', NULL, NULL, NULL, NULL, 'EID1-LIKE F-BOX PROTEIN 2', 128787),
(185062, 'PTHR19143:SF232', NULL, NULL, NULL, NULL, 'FIBRINOGEN ALPHA CHAIN', 128788),
(185063, 'PTHR31402', NULL, NULL, NULL, NULL, 'UPF0711 PROTEIN C18ORF21', 128789),
(185064, 'PTHR19376:SF58', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA''''', 128790),
(185065, 'PTHR31282:SF36', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 38-RELATED', 128791),
(185066, 'PTHR14437', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 168', 128792),
(185067, 'PTHR11206:SF298', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 128793),
(185068, 'PTHR33178:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 128794),
(185069, 'PTHR31410', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 246', 128795),
(185070, 'PTHR10015:SF278', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR PROTEIN 5', 128796),
(185071, 'PTHR31607:SF22', NULL, NULL, NULL, NULL, 'BNAA02G29430D PROTEIN', 128797),
(185072, 'PTHR10696:SF23', NULL, NULL, NULL, NULL, 'TAURINE CATABOLISM DIOXYGENASE TAUD', 128798),
(185073, 'PTHR47990:SF124', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', 128799),
(185074, 'PTHR13820:SF4', NULL, NULL, NULL, NULL, 'BETA-SYNUCLEIN', 128800),
(185075, 'PTHR11926:SF1328', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', 128801),
(185076, 'PTHR10015:SF370', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX DNA-BINDING DOMAIN, HEAT SHOCK TRANSCRIPTION FACTOR FAMILY-RELATED', 128802),
(185077, 'PTHR31009:SF69', NULL, NULL, NULL, NULL, '7-METHYLXANTHOSINE SYNTHASE-RELATED', 128803),
(185078, 'PTHR44042:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DIVARICATA', 128804),
(185079, 'PTHR47052:SF8', NULL, NULL, NULL, NULL, 'BNAC03G77080D PROTEIN', 128805),
(185080, 'PTHR22834:SF17', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 38', 128806),
(185081, 'PTHR24062:SF95', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 128807),
(185082, 'PTHR33172:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128808),
(185083, 'PTHR45707:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128809),
(185084, 'PTHR24559:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128810),
(185085, 'PTHR10041:SF3', NULL, NULL, NULL, NULL, 'COLIPASE-LIKE PROTEIN 2', 128811),
(185086, 'PTHR22808:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128812),
(185087, 'PTHR33214:SF36', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 128813),
(185088, 'PTHR21596:SF21', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 1', 128814),
(185089, 'PTHR37408', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 128815),
(185090, 'PTHR12011:SF39', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR B1', 128816),
(185091, 'PTHR48225', NULL, NULL, NULL, NULL, 'HORMA DOMAIN-CONTAINING PROTEIN 1', 128817),
(185092, 'PTHR10766:SF118', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 128818);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(185093, 'PTHR48052:SF26', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE BRI1-LIKE 3', 128819),
(185094, 'PTHR46288:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128820),
(185095, 'PTHR14363:SF21', NULL, NULL, NULL, NULL, 'HEPARANASE-LIKE PROTEIN 1', 128821),
(185096, 'PTHR43205:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128822),
(185097, 'PTHR32176:SF26', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 2', 128823),
(185098, 'PTHR47989:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128824),
(185099, 'PTHR18806', NULL, NULL, NULL, NULL, 'RBM25 PROTEIN', 128825),
(185100, 'PTHR11850:SF297', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128826),
(185101, 'PTHR46157:SF7', NULL, NULL, NULL, NULL, 'BNAC05G00280D PROTEIN', 128827),
(185102, 'PTHR45651:SF83', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, VOLTAGE-DEPENDENT, EAG/ELK/ERG-RELATED', 128828),
(185103, 'PTHR43670:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128829),
(185104, 'PTHR46905:SF7', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL78', 128830),
(185105, 'PTHR12921:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128831),
(185106, 'PTHR24390', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 128832),
(185107, 'PTHR16263:SF8', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 128833),
(185108, 'PTHR38925:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 128834),
(185109, 'PTHR40637', NULL, NULL, NULL, NULL, 'ESSS SUBUNIT OF NADH:UBIQUINONE OXIDOREDUCTASE (COMPLEX I) PROTEIN', 128835),
(185110, 'PTHR31973:SF118', NULL, NULL, NULL, NULL, 'MUDR FAMILY TRANSPOSASE', 128836),
(185111, 'PTHR33179:SF9', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 25', 128837),
(185112, 'PTHR43184:SF9', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE EXCHANGER SLC37A2', 128838),
(185113, 'PTHR47956:SF87', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 HYDROXYLASE', 128839),
(185114, 'PTHR11431:SF43', NULL, NULL, NULL, NULL, 'FERRITIN', 128840),
(185115, 'PTHR22914:SF16', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 3', 128841),
(185116, 'PTHR12103:SF33', NULL, NULL, NULL, NULL, 'CYTOSOLIC PURINE 5-NUCLEOTIDASE', 128842),
(185117, 'PTHR22590:SF4', NULL, NULL, NULL, NULL, 'ABNORMAL SPINDLE-LIKE MICROCEPHALY-ASSOCIATED PROTEIN', 128843),
(185118, 'PTHR14221:SF38', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 44-LIKE', 128844),
(185119, 'PTHR24412:SF179', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 3', 128845),
(185120, 'PTHR43795:SF93', NULL, NULL, NULL, NULL, 'BNAA02G19790D PROTEIN', 128846),
(185121, 'PTHR13482', NULL, NULL, NULL, NULL, 'MICRORNA PROCESSOR COMPLEX SUBUNIT DGCR8', 128847),
(185122, 'PTHR11946:SF113', NULL, NULL, NULL, NULL, 'BNAA08G31530D PROTEIN', 128848),
(185123, 'PTHR31496:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAN2-RELATED', 128849),
(185124, 'PTHR11999:SF76', NULL, NULL, NULL, NULL, 'FI02861P', 128850),
(185125, 'PTHR31190:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128851),
(185126, 'PTHR45625:SF11', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE B', 128852),
(185127, 'PTHR10032', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS', 128853),
(185128, 'PTHR35510:SF1', NULL, NULL, NULL, NULL, 'DBH-LIKE MONOOXYGENASE', 128854),
(185129, 'PTHR11260:SF644', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', 128855),
(185130, 'PTHR46279:SF9', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL21A-RELATED', 128856),
(185131, 'PTHR13055:SF10', NULL, NULL, NULL, NULL, 'PLEXIN DOMAIN-CONTAINING PROTEIN 1', 128857),
(185132, 'PTHR31671:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-260E23.9', 128858),
(185133, 'PTHR45847:SF6', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE', 128859),
(185134, 'PTHR21450:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128860),
(185135, 'PTHR13871:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128861),
(185136, 'PTHR12205:SF0', NULL, NULL, NULL, NULL, 'CENTROMERE/KINETOCHORE PROTEIN ZW10 HOMOLOG', 128862),
(185137, 'PTHR33120:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128863);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(185138, 'PTHR18763:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ROOT INITIATION DEFECTIVE 3-LIKE', 128864),
(185139, 'PTHR38377', NULL, NULL, NULL, NULL, 'THREONINE-TRNA LIGASE 2', 128865),
(185140, 'PTHR10353:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128866),
(185141, 'PTHR31683:SF152', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 128867),
(185142, 'PTHR32086:SF0', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP D2 PROTEIN', 128868),
(185143, 'PTHR47987:SF22', NULL, NULL, NULL, NULL, 'BNAA08G07090D PROTEIN', 128869),
(185144, 'PTHR13620:SF51', NULL, NULL, NULL, NULL, '3-5 EXONUCLEASE/ NUCLEIC ACID BINDING PROTEIN', 128870),
(185145, 'PTHR22844:SF368', NULL, NULL, NULL, NULL, 'BNAA09G28200D PROTEIN', 128871),
(185146, 'PTHR11777:SF9', NULL, NULL, NULL, NULL, 'ALANINE--TRNA LIGASE, MITOCHONDRIAL', 128872),
(185147, 'PTHR48017:SF137', NULL, NULL, NULL, NULL, 'OS02G0695500 PROTEIN', 128873),
(185148, 'PTHR31602:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128874),
(185149, 'PTHR31433', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN 1', 128875),
(185150, 'PTHR45871:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYL-PHOSPHATIDYLINOSITOL BIOSYNTHETIC PROTEIN', 128876),
(185151, 'PTHR43791:SF20', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14670)-RELATED', 128877),
(185152, 'PTHR34859:SF2', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 128878),
(185153, 'PTHR33110:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128879),
(185154, 'PTHR23419:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CUTA CHLOROPLASTIC', 128880),
(185155, 'PTHR46955:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG01349', 128881),
(185156, 'PTHR24329', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ARISTALESS', 128882),
(185157, 'PTHR24161:SF41', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 128883),
(185158, 'PTHR19143:SF189', NULL, NULL, NULL, NULL, 'FIBROLEUKIN', 128884),
(185159, 'PTHR44167:SF7', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE KINASE CATALYTIC SUBUNIT GAMMA 1', 128885),
(185160, 'PTHR35274:SF6', NULL, NULL, NULL, NULL, 'F3M18.16', 128886),
(185161, 'PTHR24033:SF192', NULL, NULL, NULL, NULL, 'LOCUS NOTCH, PUTATIVE-RELATED', 128887),
(185162, 'PTHR10242:SF2', NULL, NULL, NULL, NULL, 'N-GLYCOSYLASE/DNA LYASE', 128888),
(185163, 'PTHR18929:SF229', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 1-2', 128889),
(185164, 'PTHR24072:SF281', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAC1-RELATED', 128890),
(185165, 'PTHR23523', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 128891),
(185166, 'PTHR31949:SF3', NULL, NULL, NULL, NULL, 'RUN/FYVE DOMAIN PROTEIN', 128892),
(185167, 'PTHR10701:SF17', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 38, NATC AUXILIARY SUBUNIT', 128893),
(185168, 'PTHR24177:SF294', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128894),
(185169, 'PTHR23282:SF116', NULL, NULL, NULL, NULL, 'MAM DOMAIN-CONTAINING GLYCOSYLPHOSPHATIDYLINOSITOL ANCHOR PROTEIN 2', 128895),
(185170, 'PTHR11721:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128896),
(185171, 'PTHR33832:SF16', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR PSI-1.2-LIKE', 128897),
(185172, 'PTHR31225:SF0', NULL, NULL, NULL, NULL, 'S-(+)-LINALOOL SYNTHASE, CHLOROPLASTIC', 128898),
(185173, 'PTHR23113:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128899),
(185174, 'PTHR47928:SF67', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 128900),
(185175, 'PTHR11465:SF49', NULL, NULL, NULL, NULL, 'CATALASE', 128901),
(185176, 'PTHR44927', NULL, NULL, NULL, NULL, 'FK506-BINDING PROTEIN 15', 128902),
(185177, 'PTHR45935:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FAM200A', 128903),
(185178, 'PTHR24134:SF9', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN DDB_G0279043', 128904),
(185179, 'PTHR43383', NULL, NULL, NULL, NULL, 'NODULIN 6', 128905),
(185180, 'PTHR12366:SF31', NULL, NULL, NULL, NULL, 'UN-NAMED HU7910', 128906),
(185181, 'PTHR10070', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN J CHAIN', 128907),
(185182, 'PTHR31867:SF197', NULL, NULL, NULL, NULL, 'EXPANSIN', 128908);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(185183, 'PTHR12608:SF13', NULL, NULL, NULL, NULL, 'GDT1 FAMILY PROTEIN', 128909),
(185184, 'PTHR28607:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN FAM174B', 128910),
(185185, 'PTHR33543:SF7', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 1', 128911),
(185186, 'PTHR45633:SF23', NULL, NULL, NULL, NULL, 'CHAPERONIN 60 SUBUNIT BETA 3, CHLOROPLASTIC', 128912),
(185187, 'PTHR14499:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128913),
(185188, 'PTHR47975:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128914),
(185189, 'PTHR33703:SF1', NULL, NULL, NULL, NULL, 'OS07G0691300 PROTEIN', 128915),
(185190, 'PTHR42687:SF1', NULL, NULL, NULL, NULL, 'INACTIVE L-THREONINE 3-DEHYDROGENASE, MITOCHONDRIAL', 128916),
(185191, 'PTHR10110:SF91', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 11', 128917),
(185192, 'PTHR14057:SF34', NULL, NULL, NULL, NULL, 'ONE CUT DOMAIN FAMILY MEMBER 3', 128918),
(185193, 'PTHR31314:SF79', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL13', 128919),
(185194, 'PTHR33648:SF29', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-BINDING LYSM DOMAIN PROTEIN', 128920),
(185195, 'PTHR14555:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 128921),
(185196, 'PTHR27006:SF260', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', 128922),
(185197, 'PTHR12299:SF64', NULL, NULL, NULL, NULL, 'PLASMINOGEN ACTIVATOR INHIBITOR 1 RNA-BINDING PROTEIN-LIKE', 128923),
(185198, 'PTHR32141:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128924),
(185199, 'PTHR11599:SF140', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 128925),
(185200, 'PTHR13132:SF31', NULL, NULL, NULL, NULL, 'N-ACETYL-BETA-D-GLUCOSAMINIDE ALPHA-1,6-FUCOSYLTRANSFERASE-RELATED', 128926),
(185201, 'PTHR11843:SF25', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 128927),
(185202, 'PTHR11615:SF327', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN BLE3', 128928),
(185203, 'PTHR11035:SF39', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE', 128929),
(185204, 'PTHR15692:SF9', NULL, NULL, NULL, NULL, 'MASTERMIND-LIKE PROTEIN 2', 128930),
(185205, 'PTHR31009:SF56', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 128931),
(185206, 'PTHR32080:SF52', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 128932),
(185207, 'PTHR48045:SF5', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 72B2-RELATED', 128933),
(185208, 'PTHR38421:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN USGS', 128934),
(185209, 'PTHR33022:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128935),
(185210, 'PTHR19143:SF45', NULL, NULL, NULL, NULL, 'FIBRINOGEN C DOMAIN-CONTAINING PROTEIN 1', 128936),
(185211, 'PTHR22936:SF89', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', 128937),
(185212, 'PTHR47194:SF2', NULL, NULL, NULL, NULL, 'SORTING NEXIN-29-RELATED', 128938),
(185213, 'PTHR33295:SF19', NULL, NULL, NULL, NULL, 'ARCHAEAL ATPASE', 128939),
(185214, 'PTHR43592', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE', 128940),
(185215, 'PTHR26450:SF43', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 128941),
(185216, 'PTHR33915:SF5', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN-CONTAINING PROTEIN', 128942),
(185217, 'PTHR24064:SF338', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER', 128943),
(185218, 'PTHR45798:SF48', NULL, NULL, NULL, NULL, 'BNAC08G19480D PROTEIN', 128944),
(185219, 'PTHR31406:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG09423', 128945),
(185220, 'PTHR33286:SF23', NULL, NULL, NULL, NULL, 'BNAANNG41090D PROTEIN', 128946),
(185221, 'PTHR32552:SF81', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT OUTER MEMBRANE RECEPTOR-RELATED', 128947),
(185222, 'PTHR43765:SF2', NULL, NULL, NULL, NULL, '2-DEHYDROPANTOATE 2-REDUCTASE-RELATED', 128948),
(185223, 'PTHR43689:SF38', NULL, NULL, NULL, NULL, 'POSSIBLE EPOXIDE HYDROLASE EPHE (EPOXIDE HYDRATASE) (ARENE-OXIDE HYDRATASE)', 128949),
(185224, 'PTHR47116:SF10', NULL, NULL, NULL, NULL, 'CYSTATIN', 128950),
(185225, 'PTHR23502:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128951);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(185226, 'PTHR45974:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128952),
(185227, 'PTHR11442:SF7', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT EPSILON', 128953),
(185228, 'PTHR24242:SF264', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10X1', 128954),
(185229, 'PTHR46287:SF9', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 5', 128955),
(185230, 'PTHR24281:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128956),
(185231, 'PTHR33075:SF5', NULL, NULL, NULL, NULL, 'OS02G0499800 PROTEIN', 128957),
(185232, 'PTHR21356', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT CONTAINING 2', 128958),
(185233, 'PTHR21552:SF2', NULL, NULL, NULL, NULL, 'CREB3 REGULATORY FACTOR', 128959),
(185234, 'PTHR43939:SF30', NULL, NULL, NULL, NULL, 'GOLGIN IMH1', 128960),
(185235, 'PTHR21646:SF24', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 128961),
(185236, 'PTHR11516:SF2', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE ALPHA SUBUNIT-RELATED', 128962),
(185237, 'PTHR35551', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 128963),
(185238, 'PTHR43899:SF7', NULL, NULL, NULL, NULL, 'TESTOSTERONE 17-BETA-DEHYDROGENASE 3', 128964),
(185239, 'PTHR32020:SF3', NULL, NULL, NULL, NULL, 'LIN-8 DOMAIN CONTAINING', 128965),
(185240, 'PTHR24300:SF110', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 508D1-RELATED', 128966),
(185241, 'PTHR40399', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCITOL/SORBITOL-SPECIFIC EIIC COMPONENT', 128967),
(185242, 'PTHR13119', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEI', 128968),
(185243, 'PTHR40255:SF1', NULL, NULL, NULL, NULL, 'UPF0093 MEMBRANE PROTEIN SLR1790', 128969),
(185244, 'PTHR47965:SF73', NULL, NULL, NULL, NULL, 'XYLANASE INHIBITOR 725OS', 128970),
(185245, 'PTHR30282:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE EFFLUX PROTEIN-RELATED', 128971),
(185246, 'PTHR43875', NULL, NULL, NULL, NULL, 'MALTODEXTRIN IMPORT ATP-BINDING PROTEIN MSMX', 128972),
(185247, 'PTHR23064:SF23', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML21-RELATED', 128973),
(185248, 'PTHR31415:SF113', NULL, NULL, NULL, NULL, 'BNACNNG62320D PROTEIN', 128974),
(185249, 'PTHR43489', NULL, NULL, NULL, NULL, 'ISOMERASE', 128975),
(185250, 'PTHR34740:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128976),
(185251, 'PTHR14237:SF60', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE-LIKE', 128977),
(185252, 'PTHR31596', NULL, NULL, NULL, NULL, 'T-CELL ACTIVATION INHIBITOR, MITOCHONDRIAL', 128978),
(185253, 'PTHR10177:SF203', NULL, NULL, NULL, NULL, 'CYCLIN D, ISOFORM D', 128979),
(185254, 'PTHR35155', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 24', 128980),
(185255, 'PTHR24041:SF30', NULL, NULL, NULL, NULL, 'MUCIN-13', 128981),
(185256, 'PTHR11654:SF336', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.2', 128982),
(185257, 'PTHR24377:SF636', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 132', 128983),
(185258, 'PTHR33434:SF3', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN TM_1468', 128984),
(185259, 'PTHR46210', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 128985),
(185260, 'PTHR31770:SF2', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE PROTEIN TAFA-1', 128986),
(185261, 'PTHR11932:SF155', NULL, NULL, NULL, NULL, 'CULLIN-LIKE PROTEIN', 128987),
(185262, 'PTHR24112:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128988),
(185263, 'PTHR46427:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND LEM DOMAIN-CONTAINING PROTEIN 1', 128989),
(185264, 'PTHR19290:SF147', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX PROTEIN DELILAH', 128990),
(185265, 'PTHR43065:SF27', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE', 128991),
(185266, 'PTHR24020:SF20', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXI) CHAIN-RELATED', 128992),
(185267, 'PTHR31989:SF287', NULL, NULL, NULL, NULL, 'BNAC05G00940D PROTEIN', 128993),
(185268, 'PTHR10791:SF133', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET11', 128994),
(185269, 'PTHR47889:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENIC LEUCINE ZIPPER PROTEIN 1', 128995),
(185270, 'PTHR24403', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 128996);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(185271, 'PTHR47605', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ELONGATION REGULATOR MINIYO', 128997),
(185272, 'PTHR44086', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE RDL2, MITOCHONDRIAL-RELATED', 128998),
(185273, 'PTHR31447:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 128999),
(185274, 'PTHR23347:SF7', NULL, NULL, NULL, NULL, 'MCC REGULATOR OF WNT-SIGNALING PATHWAY', 129000),
(185275, 'PTHR22847:SF668', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 129001),
(185276, 'PTHR15357:SF1', NULL, NULL, NULL, NULL, 'OLFACTORY MARKER PROTEIN A', 129002),
(185277, 'PTHR10438:SF412', NULL, NULL, NULL, NULL, 'THIOREDOXIN F1, CHLOROPLASTIC', 129003),
(185278, 'PTHR14309:SF7', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY B MEMBER 1', 129004),
(185279, 'PTHR37323:SF1', NULL, NULL, NULL, NULL, 'GCN5-RELATED N-ACETYLTRANSFERASE', 129005),
(185280, 'PTHR24093:SF465', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 129006),
(185281, 'PTHR23325', NULL, NULL, NULL, NULL, 'SERUM RESPONSE FACTOR-BINDING', 129007),
(185282, 'PTHR24349:SF438', NULL, NULL, NULL, NULL, 'PARVALBUMIN, PROTEIN KINASE-LIKE DOMAIN PROTEIN-RELATED', 129008),
(185283, 'PTHR15710:SF130', NULL, NULL, NULL, NULL, 'BNAC05G10460D PROTEIN', 129009),
(185284, 'PTHR31235:SF211', NULL, NULL, NULL, NULL, 'PEROXIDASE', 129010),
(185285, 'PTHR10209:SF747', NULL, NULL, NULL, NULL, 'BNAA04G17890D PROTEIN', 129011),
(185286, 'PTHR46051:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 5-PHOSPHATASE 2', 129012),
(185287, 'PTHR43105', NULL, NULL, NULL, NULL, 'RESPIRATORY NITRATE REDUCTASE', 129013),
(185288, 'PTHR31721:SF6', NULL, NULL, NULL, NULL, 'BNAC09G42950D PROTEIN', 129014),
(185289, 'PTHR43019:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129015),
(185290, 'PTHR11913:SF72', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 9', 129016),
(185291, 'PTHR24377:SF412', NULL, NULL, NULL, NULL, 'REGULATOR OF SEX LIMITED PROTEIN 1-RELATED', 129017),
(185292, 'PTHR34068:SF1', NULL, NULL, NULL, NULL, 'UPF0145 PROTEIN YBJQ', 129018),
(185293, 'PTHR48001:SF139', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 3A2', 129019),
(185294, 'PTHR22603:SF81', NULL, NULL, NULL, NULL, 'CHOLINE KINASE 2-RELATED', 129020),
(185295, 'PTHR45752:SF8', NULL, NULL, NULL, NULL, 'VOLUME-REGULATED ANION CHANNEL SUBUNIT LRRC8E', 129021),
(185296, 'PTHR35450', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 129022),
(185297, 'PTHR41271:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129023),
(185298, 'PTHR36405:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129024),
(185299, 'PTHR37955:SF1', NULL, NULL, NULL, NULL, 'TELLURITE RESISTANCE PROTEIN TEHA', 129025),
(185300, 'PTHR46548', NULL, NULL, NULL, NULL, 'BAH AND TFIIS DOMAIN-CONTAINING PROTEIN-RELATED', 129026),
(185301, 'PTHR48017:SF82', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 2', 129027),
(185302, 'PTHR23320:SF143', NULL, NULL, NULL, NULL, 'SI:CH211-212K18.8-RELATED', 129028),
(185303, 'PTHR35391', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 129029),
(185304, 'PTHR39332', NULL, NULL, NULL, NULL, 'BLL4707 PROTEIN', 129030),
(185305, 'PTHR24068:SF322', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 28-LIKE', 129031),
(185306, 'PTHR47993:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129032),
(185307, 'PTHR19241:SF598', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 1-LIKE', 129033),
(185308, 'PTHR47603:SF1', NULL, NULL, NULL, NULL, 'PPR CONTAINING-LIKE PROTEIN', 129034),
(185309, 'PTHR43625:SF30', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN PCNT115-LIKE', 129035),
(185310, 'PTHR23272:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129036),
(185311, 'PTHR10516:SF326', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 129037),
(185312, 'PTHR23189:SF90', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF 2, NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', 129038),
(185313, 'PTHR46090:SF3', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 13B', 129039);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(185314, 'PTHR12346:SF41', NULL, NULL, NULL, NULL, 'BNACNNG44190D PROTEIN', 129040),
(185315, 'PTHR45138:SF7', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCN', 129041),
(185316, 'PTHR16024:SF24', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', 129042),
(185317, 'PTHR13208:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 4', 129043),
(185318, 'PTHR45744:SF13', NULL, NULL, NULL, NULL, 'OS02G0302200 PROTEIN', 129044),
(185319, 'PTHR13318:SF141', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 17', 129045),
(185320, 'PTHR24118:SF89', NULL, NULL, NULL, NULL, 'PROTEIN CBG04367', 129046),
(185321, 'PTHR46758:SF15', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, ZINC FINGER, MYND-TYPE, TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN PROTEIN-RELATED', 129047),
(185322, 'PTHR15615:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129048),
(185323, 'PTHR31087:SF69', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 8', 129049),
(185324, 'PTHR12299:SF54', NULL, NULL, NULL, NULL, 'BNAANNG07070D PROTEIN', 129050),
(185325, 'PTHR35852:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG16246', 129051),
(185326, 'PTHR14491:SF8', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN SOWAHD', 129052),
(185327, 'PTHR11654:SF368', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.13', 129053),
(185328, 'PTHR27004:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129054),
(185329, 'PTHR11017:SF415', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', 129055),
(185330, 'PTHR31642:SF171', NULL, NULL, NULL, NULL, 'BENZYL ALCOHOL O-BENZOYLTRANSFERASE', 129056),
(185331, 'PTHR31750', NULL, NULL, NULL, NULL, 'PROTEIN STAY-GREEN 1, CHLOROPLASTIC-RELATED', 129057),
(185332, 'PTHR11005:SF102', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 129058),
(185333, 'PTHR11685:SF251', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 129059),
(185334, 'PTHR23349:SF67', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 21', 129060),
(185335, 'PTHR10545:SF54', NULL, NULL, NULL, NULL, 'TYRAMINE N-FERULOYLTRANSFERASE 4/11', 129061),
(185336, 'PTHR31549:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129062),
(185337, 'PTHR45979:SF18', NULL, NULL, NULL, NULL, 'BNAC06G17980D PROTEIN', 129063),
(185338, 'PTHR43553:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN MODF', 129064),
(185339, 'PTHR42073', NULL, NULL, NULL, NULL, 'MEIOTIC EXPRESSION UP-REGULATED PROTEIN 6', 129065),
(185340, 'PTHR33428:SF13', NULL, NULL, NULL, NULL, 'CHLOROPHYLLASE-2, CHLOROPLASTIC', 129066),
(185341, 'PTHR36899', NULL, NULL, NULL, NULL, 'OS04G0395700 PROTEIN', 129067),
(185342, 'PTHR33077:SF66', NULL, NULL, NULL, NULL, 'TIFY DOMAIN, CO/COL/TOC1, CONSERVED SITE-RELATED', 129068),
(185343, 'PTHR10889', NULL, NULL, NULL, NULL, 'DEOXYRIBOSE-PHOSPHATE ALDOLASE', 129069),
(185344, 'PTHR43797', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE/CYSTEINE SYNTHASE', 129070),
(185345, 'PTHR38644:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 129071),
(185346, 'PTHR21180:SF9', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', 129072),
(185347, 'PTHR21470:SF7', NULL, NULL, NULL, NULL, 'BNACNNG02670D PROTEIN', 129073),
(185348, 'PTHR47307:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE-REGULATED POTASSIUM-EFFLUX SYSTEM ANCILLARY PROTEIN KEFF', 129074),
(185349, 'PTHR11346:SF21', NULL, NULL, NULL, NULL, 'GRIFIN', 129075),
(185350, 'PTHR33347:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129076),
(185351, 'PTHR31218:SF337', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 129077),
(185352, 'PTHR48049:SF86', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 129078),
(185353, 'PTHR33088:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129079),
(185354, 'PTHR36010:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C BIOGENESIS CCMF C-TERMINAL-LIKE MITOCHONDRIAL PROTEIN-RELATED', 129080),
(185355, 'PTHR22804:SF42', NULL, NULL, NULL, NULL, 'AGGRECAN CORE PROTEIN', 129081),
(185356, 'PTHR31388:SF197', NULL, NULL, NULL, NULL, 'PEROXIDASE', 129082),
(185357, 'PTHR30069:SF42', NULL, NULL, NULL, NULL, 'FERRIC AEROBACTIN RECEPTOR', 129083);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(185358, 'PTHR14030', NULL, NULL, NULL, NULL, 'MITOTIC CHECKPOINT SERINE/THREONINE-PROTEIN KINASE BUB1', 129084),
(185359, 'PTHR23410:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L5-LIKE', 129085),
(185360, 'PTHR43768:SF28', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', 129086),
(185361, 'PTHR31246:SF11', NULL, NULL, NULL, NULL, 'MYOSIN II HEAVY CHAIN FAMILY PROTEIN', 129087),
(185362, 'PTHR11567:SF180', NULL, NULL, NULL, NULL, 'LYSOSOMAL ACID PHOSPHATASE', 129088),
(185363, 'PTHR31618:SF22', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', 129089),
(185364, 'PTHR45675:SF54', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB21-RELATED', 129090),
(185365, 'PTHR24281:SF123', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE-LIKE', 129091),
(185366, 'PTHR19134:SF503', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE 99A', 129092),
(185367, 'PTHR10827:SF46', NULL, NULL, NULL, NULL, 'GH15296P', 129093),
(185368, 'PTHR46195:SF10', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN CONTAINING PROTEIN, EXPRESSED', 129094),
(185369, 'PTHR10742:SF380', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129095),
(185370, 'PTHR10209:SF762', NULL, NULL, NULL, NULL, 'PROTEIN DOWNY MILDEW RESISTANCE 6', 129096),
(185371, 'PTHR46975:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SWEETIE', 129097),
(185372, 'PTHR43884:SF17', NULL, NULL, NULL, NULL, 'ACYL COA DEHYDROGENASE', 129098),
(185373, 'PTHR11926:SF1402', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 129099),
(185374, 'PTHR43302:SF7', NULL, NULL, NULL, NULL, 'OS03G0147400 PROTEIN', 129100),
(185375, 'PTHR22894:SF10', NULL, NULL, NULL, NULL, 'BNAC07G13660D PROTEIN', 129101),
(185376, 'PTHR47971:SF2', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 129102),
(185377, 'PTHR26312:SF175', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 129103),
(185378, 'PTHR31973:SF140', NULL, NULL, NULL, NULL, 'OS06G0704400 PROTEIN', 129104),
(185379, 'PTHR46903:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129105),
(185380, 'PTHR24377:SF823', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 624', 129106),
(185381, 'PTHR11109:SF10', NULL, NULL, NULL, NULL, 'BNAC05G44750D PROTEIN', 129107),
(185382, 'PTHR42968:SF20', NULL, NULL, NULL, NULL, 'PROTEASOMAL ATPASE-ASSOCIATED FACTOR 1', 129108),
(185383, 'PTHR31517:SF48', NULL, NULL, NULL, NULL, 'PEROXIDASE 16-RELATED', 129109),
(185384, 'PTHR10687:SF69', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 129110),
(185385, 'PTHR20857:SF22', NULL, NULL, NULL, NULL, 'THIAZOLE TAUTOMERASE', 129111),
(185386, 'PTHR31221', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR PROTEIN 1-RELATED', 129112),
(185387, 'PTHR28249', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN SPO7', 129113),
(185388, 'PTHR24015:SF1603', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 129114),
(185389, 'PTHR34121:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129115),
(185390, 'PTHR32468:SF90', NULL, NULL, NULL, NULL, 'OS05G0473400 PROTEIN', 129116),
(185391, 'PTHR12169:SF24', NULL, NULL, NULL, NULL, 'AFG1-LIKE ATPASE FAMILY PROTEIN-RELATED', 129117),
(185392, 'PTHR12688:SF2', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 1 LIGHT INTERMEDIATE CHAIN 1', 129118),
(185393, 'PTHR31631:SF8', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 2C', 129119),
(185394, 'PTHR10887:SF459', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 129120),
(185395, 'PTHR12506:SF62', NULL, NULL, NULL, NULL, 'ZINC FINGER C-X8-C-X5-C-X3-H TYPE FAMILY PROTEIN-RELATED', 129121),
(185396, 'PTHR23338:SF54', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D3', 129122),
(185397, 'PTHR34349', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 32', 129123),
(185398, 'PTHR12107:SF4', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-5 SUBUNIT', 129124),
(185399, 'PTHR43429:SF1', NULL, NULL, NULL, NULL, 'COENZYME A DISULFIDE REDUCTASE', 129125),
(185400, 'PTHR43991:SF21', NULL, NULL, NULL, NULL, 'GAMYB-BINDING PROTEIN', 129126);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(185401, 'PTHR35245:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129127),
(185402, 'PTHR24177:SF76', NULL, NULL, NULL, NULL, 'SI:CH211-119C20.2', 129128),
(185403, 'PTHR19443:SF64', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', 129129),
(185404, 'PTHR31218:SF293', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 129130),
(185405, 'PTHR11795', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT SYSTEM PERMEASE PROTEIN LIVH', 129131),
(185406, 'PTHR47967:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129132),
(185407, 'PTHR48009:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 129133),
(185408, 'PTHR22741:SF11', NULL, NULL, NULL, NULL, 'SICKLE TAIL PROTEIN HOMOLOG', 129134),
(185409, 'PTHR42748', NULL, NULL, NULL, NULL, 'NITROGEN METABOLITE REPRESSION PROTEIN NMRA FAMILY MEMBER', 129135),
(185410, 'PTHR39112', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 27-RELATED', 129136),
(185411, 'PTHR15715:SF42', NULL, NULL, NULL, NULL, 'TO VACUOLE TARGETING VPS64, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02420)-RELATED', 129137),
(185412, 'PTHR47841:SF12', NULL, NULL, NULL, NULL, 'C1-LIKE PROTEIN-RELATED', 129138),
(185413, 'PTHR34123', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 129139),
(185414, 'PTHR31316:SF0', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE-LIKE PROTEIN NCA3, MITOCHONDRIAL-RELATED', 129140),
(185415, 'PTHR33136:SF40', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 4', 129141),
(185416, 'PTHR34709:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129142),
(185417, 'PTHR31549:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129143),
(185418, 'PTHR10502:SF99', NULL, NULL, NULL, NULL, 'ANNEXIN D3', 129144),
(185419, 'PTHR31358:SF30', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 4', 129145),
(185420, 'PTHR24418:SF205', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 129146),
(185421, 'PTHR22752:SF11', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 61-LIKE-RELATED', 129147),
(185422, 'PTHR15622', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', 129148),
(185423, 'PTHR12565:SF387', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH63-RELATED', 129149),
(185424, 'PTHR44094:SF9', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', 129150),
(185425, 'PTHR24343:SF120', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE/THREONINE-PROTEIN KINASE 2', 129151),
(185426, 'PTHR33257:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129152),
(185427, 'PTHR15907:SF184', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 129153),
(185428, 'PTHR12544:SF29', NULL, NULL, NULL, NULL, 'GLUTAMINASE, ISOFORM H', 129154),
(185429, 'PTHR22792:SF50', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 1B', 129155),
(185430, 'PTHR33512:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129156),
(185431, 'PTHR31111:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129157),
(185432, 'PTHR12743', NULL, NULL, NULL, NULL, 'CYTOCHROME C1 HEME LYASE', 129158),
(185433, 'PTHR33916:SF8', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE ISOFORM 1-RELATED', 129159),
(185434, 'PTHR31558:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129160),
(185435, 'PTHR11746:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129161),
(185436, 'PTHR45645:SF3', NULL, NULL, NULL, NULL, 'NEUROPILIN AND TOLLOID-LIKE PROTEIN 1', 129162),
(185437, 'PTHR11062:SF294', NULL, NULL, NULL, NULL, 'GALACTOSYLTRANSFERASE-LIKE PROTEIN', 129163),
(185438, 'PTHR21646:SF43', NULL, NULL, NULL, NULL, 'FI20021P1', 129164),
(185439, 'PTHR14241:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129165),
(185440, 'PTHR11771:SF113', NULL, NULL, NULL, NULL, 'LIPOXYGENASE 6-RELATED', 129166),
(185441, 'PTHR22698:SF1', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 9', 129167),
(185442, 'PTHR34150:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG09626', 129168),
(185443, 'PTHR22902:SF27', NULL, NULL, NULL, NULL, 'SI:CH73-111K22.3', 129169),
(185444, 'PTHR23347:SF8', NULL, NULL, NULL, NULL, 'USHER SYNDROME 1C-BINDING PROTEIN 1', 129170),
(185445, 'PTHR45915:SF2', NULL, NULL, NULL, NULL, 'TOUTATIS, ISOFORM E', 129171);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(185446, 'PTHR48100:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE PMU1-RELATED', 129172),
(185447, 'PTHR48048:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 129173),
(185448, 'PTHR24064:SF294', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 6', 129174),
(185449, 'PTHR48111:SF38', NULL, NULL, NULL, NULL, 'TWO COMPONENT SYSTEM RESPONSE REGULATOR-RELATED', 129175),
(185450, 'PTHR47191', NULL, NULL, NULL, NULL, 'OS05G0170800 PROTEIN', 129176),
(185451, 'PTHR24298:SF821', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A9', 129177),
(185452, 'PTHR15478:SF4', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN FAMILY A MEMBER 1', 129178),
(185453, 'PTHR31791:SF38', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 129179),
(185454, 'PTHR42886:SF59', NULL, NULL, NULL, NULL, 'BNAA01G13630D PROTEIN', 129180),
(185455, 'PTHR12371:SF9', NULL, NULL, NULL, NULL, 'TRANSLOCATING CHAIN-ASSOCIATED MEMBRANE PROTEIN 1-LIKE 1', 129181),
(185456, 'PTHR28671:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129182),
(185457, 'PTHR31929:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129183),
(185458, 'PTHR28495', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC100359752', 129184),
(185459, 'PTHR48044:SF60', NULL, NULL, NULL, NULL, 'BETA-D-GLUCOSYL CROCETIN BETA-1,6-GLUCOSYLTRANSFERASE-LIKE', 129185),
(185460, 'PTHR43806:SF37', NULL, NULL, NULL, NULL, 'SUBTILASE-TYPE SERINE PROTEASE DR_A0283-RELATED', 129186),
(185461, 'PTHR43523:SF24', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE', 129187),
(185462, 'PTHR10974:SF9', NULL, NULL, NULL, NULL, 'FI02830P-RELATED', 129188),
(185463, 'PTHR32009:SF68', NULL, NULL, NULL, NULL, 'BNAA09G17530D PROTEIN', 129189),
(185464, 'PTHR11685:SF203', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 129190),
(185465, 'PTHR31490:SF68', NULL, NULL, NULL, NULL, '1,4-BETA-XYLANASE-RELATED', 129191),
(185466, 'PTHR31832:SF64', NULL, NULL, NULL, NULL, 'BNAA04G18330D PROTEIN', 129192),
(185467, 'PTHR27001:SF779', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129193),
(185468, 'PTHR43531', NULL, NULL, NULL, NULL, 'PROTEIN ICFG', 129194),
(185469, 'PTHR10177:SF457', NULL, NULL, NULL, NULL, 'CYCLIN-D4-2', 129195),
(185470, 'PTHR11017:SF226', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 129196),
(185471, 'PTHR48104:SF3', NULL, NULL, NULL, NULL, 'METACASPASE TYPE II', 129197),
(185472, 'PTHR20939', NULL, NULL, NULL, NULL, 'SORTING NEXIN 20, 21', 129198),
(185473, 'PTHR33420:SF31', NULL, NULL, NULL, NULL, 'TYPE 1 FIMBRIN D-MANNOSE SPECIFIC ADHESIN', 129199),
(185474, 'PTHR10983:SF59', NULL, NULL, NULL, NULL, 'LYSOCARDIOLIPIN ACYLTRANSFERASE 1', 129200),
(185475, 'PTHR12474:SF2', NULL, NULL, NULL, NULL, 'SESTRIN-2', 129201),
(185476, 'PTHR24147:SF57', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 26-RELATED', 129202),
(185477, 'PTHR11977:SF51', NULL, NULL, NULL, NULL, 'VILLIN-4', 129203),
(185478, 'PTHR10687:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129204),
(185479, 'PTHR24390:SF159', NULL, NULL, NULL, NULL, 'GH23506P-RELATED', 129205),
(185480, 'PTHR30426:SF0', NULL, NULL, NULL, NULL, '4-HYDROXY-3-METHYLBUT-2-ENYL DIPHOSPHATE REDUCTASE', 129206),
(185481, 'PTHR12444:SF8', NULL, NULL, NULL, NULL, 'PROTEIN EFR3 HOMOLOG CMP44E', 129207),
(185482, 'PTHR44167:SF1', NULL, NULL, NULL, NULL, 'OVARIAN-SPECIFIC SERINE/THREONINE-PROTEIN KINASE LOK', 129208),
(185483, 'PTHR24281:SF142', NULL, NULL, NULL, NULL, '(S)-N-METHYLCOCLAURINE 3''-HYDROXYLASE ISOZYME 2', 129209),
(185484, 'PTHR24356:SF318', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE N3', 129210),
(185485, 'PTHR46611', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X-RELATED', 129211),
(185486, 'PTHR14221:SF29', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 129212),
(185487, 'PTHR31170:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129213),
(185488, 'PTHR12011:SF59', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L4', 129214),
(185489, 'PTHR22802:SF407', NULL, NULL, NULL, NULL, 'CD209 ANTIGEN-LIKE PROTEIN A', 129215);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(185490, 'PTHR43620:SF33', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL3', 129216),
(185491, 'PTHR31866:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 8030474K03 GENE', 129217),
(185492, 'PTHR34203:SF12', NULL, NULL, NULL, NULL, 'SLR0909 PROTEIN', 129218),
(185493, 'PTHR12411:SF749', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE', 129219),
(185494, 'PTHR31415:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129220),
(185495, 'PTHR10527:SF32', NULL, NULL, NULL, NULL, 'IMPORTIN BETA 3 FAMILY PROTEIN', 129221),
(185496, 'PTHR45868:SF32', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE, PUTATIVE-RELATED', 129222),
(185497, 'PTHR33452', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE CATD-RELATED', 129223),
(185498, 'PTHR28604:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 29', 129224),
(185499, 'PTHR31165', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE2', 129225),
(185500, 'PTHR31680:SF19', NULL, NULL, NULL, NULL, 'DUF3741-ASSOCIATED SEQUENCE MOTIF PROTEIN-RELATED', 129226),
(185501, 'PTHR31142:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129227),
(185502, 'PTHR11439:SF336', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129228),
(185503, 'PTHR22958:SF37', NULL, NULL, NULL, NULL, 'BNACNNG46190D PROTEIN', 129229),
(185504, 'PTHR33287:SF11', NULL, NULL, NULL, NULL, 'OS03G0778400 PROTEIN', 129230),
(185505, 'PTHR47319:SF8', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1-LIKE', 129231),
(185506, 'PTHR16797', NULL, NULL, NULL, NULL, 'FACTOR VIII-ASSOCIATED GENE 1', 129232),
(185507, 'PTHR31707:SF247', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 129233),
(185508, 'PTHR10641:SF1262', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB13', 129234),
(185509, 'PTHR46067:SF18', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 129235),
(185510, 'PTHR31282:SF156', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 11-RELATED', 129236),
(185511, 'PTHR41386', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 129237),
(185512, 'PTHR48017:SF46', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 1', 129238),
(185513, 'PTHR31499:SF42', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL12', 129239),
(185514, 'PTHR39142', NULL, NULL, NULL, NULL, 'MID1P', 129240),
(185515, 'PTHR16004:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF31', 129241),
(185516, 'PTHR31189:SF59', NULL, NULL, NULL, NULL, '11S GLOBULIN SUBUNIT BETA-LIKE', 129242),
(185517, 'PTHR48157', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 129243),
(185518, 'PTHR22870:SF194', NULL, NULL, NULL, NULL, 'OSJNBA0070M12.5 PROTEIN', 129244),
(185519, 'PTHR30575:SF8', NULL, NULL, NULL, NULL, 'PEPTIDASE M20 DOMAIN-CONTAINING PROTEIN 2', 129245),
(185520, 'PTHR46339:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG15281', 129246),
(185521, 'PTHR37726:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 129247),
(185522, 'PTHR24128:SF59', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE, ANKYRIN REPEAT-CONTAINING DOMAIN PROTEIN-RELATED', 129248),
(185523, 'PTHR20932:SF42', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING PROTEIN-RELATED', 129249),
(185524, 'PTHR48057:SF8', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 129250),
(185525, 'PTHR24028:SF107', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A6', 129251),
(185526, 'PTHR31234:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 129252),
(185527, 'PTHR47953:SF3', NULL, NULL, NULL, NULL, 'PREMNASPIRODIENE OXYGENASE', 129253),
(185528, 'PTHR15710:SF140', NULL, NULL, NULL, NULL, 'BNAC02G09910D PROTEIN', 129254),
(185529, 'PTHR24300:SF114', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 129255),
(185530, 'PTHR23116', NULL, NULL, NULL, NULL, 'PDZ DOMAIN CONTAINING WHIRLIN AND HARMONIN-RELATED', 129256),
(185531, 'PTHR48024:SF29', NULL, NULL, NULL, NULL, 'GEO13361P1', 129257),
(185532, 'PTHR12761', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME PROTEIN 1', 129258),
(185533, 'PTHR46604:SF6', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN-RELATED', 129259),
(185534, 'PTHR13872:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129260);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(185535, 'PTHR31286:SF87', NULL, NULL, NULL, NULL, 'BNAA09G29260D PROTEIN', 129261),
(185536, 'PTHR15599:SF1', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD 14 HOMOLOG', 129262),
(185537, 'PTHR23192:SF37', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-LIKE PROTEIN 2B', 129263),
(185538, 'PTHR46262', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN BINIOU', 129264),
(185539, 'PTHR10059', NULL, NULL, NULL, NULL, 'GRANULOCYTE-MACROPHAGE COLONY-STIMULATING FACTOR  GM-CSF', 129265),
(185540, 'PTHR33642:SF6', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN-CONTAINING PROTEIN-RELATED', 129266),
(185541, 'PTHR16223:SF14', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS- AND OOGENESIS-SPECIFIC BASIC HELIX-LOOP-HELIX-CONTAINING PROTEIN 1', 129267),
(185542, 'PTHR31414', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN DDB_G0292058', 129268),
(185543, 'PTHR47993:SF125', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN LINE-1', 129269),
(185544, 'PTHR24559:SF387', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129270),
(185545, 'PTHR10641:SF1230', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 129271),
(185546, 'PTHR15551:SF3', NULL, NULL, NULL, NULL, 'LIM AND CALPONIN HOMOLOGY DOMAINS-CONTAINING PROTEIN 1', 129272),
(185547, 'PTHR42914', NULL, NULL, NULL, NULL, '7-CYANO-7-DEAZAGUANINE SYNTHASE', 129273),
(185548, 'PTHR12313:SF57', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA2', 129274),
(185549, 'PTHR47928:SF43', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN CHLOROPLASTIC', 129275),
(185550, 'PTHR47967:SF14', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 129276),
(185551, 'PTHR10334:SF447', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN, PUTATIVE-RELATED', 129277),
(185552, 'PTHR24390:SF161', NULL, NULL, NULL, NULL, 'KRUEPPEL HOMOLOG 1', 129278),
(185553, 'PTHR48062:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129279),
(185554, 'PTHR33527:SF29', NULL, NULL, NULL, NULL, 'F13F21.27 PROTEIN', 129280),
(185555, 'PTHR45678:SF6', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', 129281),
(185556, 'PTHR39179:SF3', NULL, NULL, NULL, NULL, 'COTS-RELATED PROTEIN', 129282),
(185557, 'PTHR20544', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 129283),
(185558, 'PTHR48022:SF79', NULL, NULL, NULL, NULL, 'LACTOSE PERMEASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G01860)-RELATED', 129284),
(185559, 'PTHR47523', NULL, NULL, NULL, NULL, 'F21O3.11 PROTEIN', 129285),
(185560, 'PTHR31677:SF49', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF086', 129286),
(185561, 'PTHR42792:SF2', NULL, NULL, NULL, NULL, 'FLAGELLIN', 129287),
(185562, 'PTHR31669:SF37', NULL, NULL, NULL, NULL, 'OS06G0597800 PROTEIN', 129288),
(185563, 'PTHR23068:SF43', NULL, NULL, NULL, NULL, 'BNAA09G43190D PROTEIN', 129289),
(185564, 'PTHR34722:SF8', NULL, NULL, NULL, NULL, 'HOMOLOG OF ODR-2 (TWO)', 129290),
(185565, 'PTHR24067:SF243', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 A', 129291),
(185566, 'PTHR31086:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129292),
(185567, 'PTHR15545:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PDZRN3', 129293),
(185568, 'PTHR38828:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129294),
(185569, 'PTHR11599:SF144', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA-TYPE 8', 129295),
(185570, 'PTHR23310:SF94', NULL, NULL, NULL, NULL, 'GEO10176P1', 129296),
(185571, 'PTHR33033:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129297),
(185572, 'PTHR24044:SF418', NULL, NULL, NULL, NULL, 'C901', 129298),
(185573, 'PTHR30451:SF3', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE USHER PROTEIN HTRE-RELATED', 129299),
(185574, 'PTHR28573:SF1', NULL, NULL, NULL, NULL, 'SPINDLE AND KINETOCHORE-ASSOCIATED PROTEIN 1', 129300),
(185575, 'PTHR34663:SF13', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP16', 129301),
(185576, 'PTHR27007:SF175', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.5-RELATED', 129302),
(185577, 'PTHR11926:SF928', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 85A4', 129303);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(185578, 'PTHR12305:SF92', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 3-PHOSPHATASE AND PROTEIN-TYROSINE-PHOSPHATASE PTEN2A', 129304),
(185579, 'PTHR11654:SF484', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.6', 129305),
(185580, 'PTHR33511:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129306),
(185581, 'PTHR14614:SF39', NULL, NULL, NULL, NULL, 'HISTIDINE PROTEIN METHYLTRANSFERASE 1 HOMOLOG-RELATED', 129307),
(185582, 'PTHR34722:SF3', NULL, NULL, NULL, NULL, 'LY-6-RELATED PROTEIN ODR-2 ISOFORM 2B', 129308),
(185583, 'PTHR21257:SF38', NULL, NULL, NULL, NULL, '7-DEHYDROCHOLESTEROL REDUCTASE', 129309),
(185584, 'PTHR23335:SF22', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR', 129310),
(185585, 'PTHR33971:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129311),
(185586, 'PTHR30146:SF45', NULL, NULL, NULL, NULL, 'CATABOLITE REPRESSOR/ACTIVATOR', 129312),
(185587, 'PTHR21419:SF25', NULL, NULL, NULL, NULL, 'PROTEIN FAM234B', 129313),
(185588, 'PTHR10283:SF84', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT HIGH-AFFINITY DICARBOXYLATE TRANSPORTER 2', 129314),
(185589, 'PTHR16260:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129315),
(185590, 'PTHR11054:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129316),
(185591, 'PTHR46193:SF10', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE PHOSPHATASE', 129317),
(185592, 'PTHR19139', NULL, NULL, NULL, NULL, 'AQUAPORIN TRANSPORTER', 129318),
(185593, 'PTHR22952:SF406', NULL, NULL, NULL, NULL, 'OS06G0720900 PROTEIN', 129319),
(185594, 'PTHR22849:SF148', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 129320),
(185595, 'PTHR13568:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 185B', 129321),
(185596, 'PTHR43719:SF17', NULL, NULL, NULL, NULL, 'PHYTOCHROME E', 129322),
(185597, 'PTHR33309:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129323),
(185598, 'PTHR31592:SF4', NULL, NULL, NULL, NULL, 'TMEM192 FAMILY PROTEIN', 129324),
(185599, 'PTHR31111:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129325),
(185600, 'PTHR23043:SF34', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE FACTOR 1 SUBUNIT ALPHA,-LIKE', 129326),
(185601, 'PTHR31444', NULL, NULL, NULL, NULL, 'OS11G0490100 PROTEIN', 129327),
(185602, 'PTHR31989:SF153', NULL, NULL, NULL, NULL, 'F11O4.3-RELATED', 129328),
(185603, 'PTHR47932:SF42', NULL, NULL, NULL, NULL, 'OSJNBA0060P14.6 PROTEIN', 129329),
(185604, 'PTHR11903:SF30', NULL, NULL, NULL, NULL, 'BNAA07G38980D PROTEIN', 129330),
(185605, 'PTHR24271:SF48', NULL, NULL, NULL, NULL, 'KALLIKREIN-14', 129331),
(185606, 'PTHR31239:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129332),
(185607, 'PTHR12286:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129333),
(185608, 'PTHR10891:SF530', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML44-RELATED', 129334),
(185609, 'PTHR23087:SF12', NULL, NULL, NULL, NULL, 'NON-HISTONE CHROMOSOMAL PROTEIN HMG-14', 129335),
(185610, 'PTHR11802:SF261', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 45', 129336),
(185611, 'PTHR30441:SF6', NULL, NULL, NULL, NULL, 'BLL6536 PROTEIN', 129337),
(185612, 'PTHR31896:SF40', NULL, NULL, NULL, NULL, 'ANTHRANILATE N-HYDROXYCINNAMOYL/BENZOYLTRANSFERASE-LIKE PROTEIN-RELATED', 129338),
(185613, 'PTHR43020', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 1', 129339),
(185614, 'PTHR48043:SF21', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYLTRANSFERASE FAMILY PROTEIN', 129340),
(185615, 'PTHR47942:SF16', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 129341),
(185616, 'PTHR21556:SF2', NULL, NULL, NULL, NULL, 'TRESLIN', 129342),
(185617, 'PTHR38698', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 129343),
(185618, 'PTHR10219:SF19', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN DOMAIN-CONTAINING PROTEIN 2', 129344),
(185619, 'PTHR31317:SF16', NULL, NULL, NULL, NULL, 'BNAC05G33040D PROTEIN', 129345),
(185620, 'PTHR10210:SF94', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 2, CHLOROPLASTIC', 129346),
(185621, 'PTHR13108:SF11', NULL, NULL, NULL, NULL, 'CONDENSIN COMPLEX SUBUNIT 2', 129347);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(185622, 'PTHR42002:SF2', NULL, NULL, NULL, NULL, 'ANAEROBIC C4-DICARBOXYLATE TRANSPORTER DCUC-RELATED', 129348),
(185623, 'PTHR11451:SF16', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE 2, CYTOPLASMIC-RELATED', 129349),
(185624, 'PTHR46836:SF8', NULL, NULL, NULL, NULL, 'AFADIN', 129350),
(185625, 'PTHR34145:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129351),
(185626, 'PTHR30429:SF1', NULL, NULL, NULL, NULL, 'D-METHIONINE-BINDING LIPOPROTEIN METQ-RELATED', 129352),
(185627, 'PTHR27002:SF870', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 129353),
(185628, 'PTHR16517:SF121', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 129354),
(185629, 'PTHR13018:SF123', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT CHANNEL, 7TM REGION, PUTATIVE PHOSPHATE-RELATED', 129355),
(185630, 'PTHR46134:SF1', NULL, NULL, NULL, NULL, 'ARF-GAP DOMAIN AND FG REPEAT-CONTAINING PROTEIN 1', 129356),
(185631, 'PTHR31286:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129357),
(185632, 'PTHR12538:SF11', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', 129358),
(185633, 'PTHR47746:SF27', NULL, NULL, NULL, NULL, 'OS05G0107801 PROTEIN', 129359),
(185634, 'PTHR10288:SF291', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS K HOMOLOGY DOMAIN', 129360),
(185635, 'PTHR11214:SF283', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 129361),
(185636, 'PTHR10671:SF97', NULL, NULL, NULL, NULL, 'PROTEIN CBG24230', 129362),
(185637, 'PTHR47928:SF106', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 129363),
(185638, 'PTHR45830:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 129364),
(185639, 'PTHR23155:SF1079', NULL, NULL, NULL, NULL, 'OS07G0117900 PROTEIN', 129365),
(185640, 'PTHR48002:SF35', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 129366),
(185641, 'PTHR12663:SF1', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PROTEIN PDS5 HOMOLOG B', 129367),
(185642, 'PTHR35828:SF3', NULL, NULL, NULL, NULL, 'OS11G0201480 PROTEIN', 129368),
(185643, 'PTHR10992:SF1021', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD HYDROLASE', 129369),
(185644, 'PTHR37038:SF13', NULL, NULL, NULL, NULL, 'LMO2447 PROTEIN', 129370),
(185645, 'PTHR12709:SF6', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT 7-LIKE PROTEIN', 129371),
(185646, 'PTHR33103:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129372),
(185647, 'PTHR23282', NULL, NULL, NULL, NULL, 'APICAL ENDOSOMAL GLYCOPROTEIN PRECURSOR.', 129373),
(185648, 'PTHR11070:SF50', NULL, NULL, NULL, NULL, 'DNA HELICASE', 129374),
(185649, 'PTHR31865:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129375),
(185650, 'PTHR36329:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 129376),
(185651, 'PTHR43719:SF36', NULL, NULL, NULL, NULL, 'PROTEIN EIN4', 129377),
(185652, 'PTHR44835', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--PEPTIDE N-ACETYLGLUCOSAMINYLTRANSFERASE SPINDLY-RELATED', 129378),
(185653, 'PTHR42077:SF1', NULL, NULL, NULL, NULL, 'YALI0F30239P', 129379),
(185654, 'PTHR15337:SF20', NULL, NULL, NULL, NULL, 'AG1', 129380),
(185655, 'PTHR21327:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129381),
(185656, 'PTHR31485:SF22', NULL, NULL, NULL, NULL, 'OS01G0272600 PROTEIN', 129382),
(185657, 'PTHR30461:SF4', NULL, NULL, NULL, NULL, 'RESOLVASE-RELATED', 129383),
(185658, 'PTHR48040:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129384),
(185659, 'PTHR31852:SF199', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA-14-RELATED', 129385),
(185660, 'PTHR11257:SF8', NULL, NULL, NULL, NULL, 'GEO08457P1', 129386),
(185661, 'PTHR45747:SF17', NULL, NULL, NULL, NULL, 'BNAC08G46050D PROTEIN', 129387),
(185662, 'PTHR40633:SF5', NULL, NULL, NULL, NULL, 'ANCHORED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04370)-RELATED', 129388),
(185663, 'PTHR37774:SF2', NULL, NULL, NULL, NULL, 'ATPASE SUBUNIT 4', 129389),
(185664, 'PTHR33052:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129390),
(185665, 'PTHR15710:SF103', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CIP8-LIKE', 129391),
(185666, 'PTHR31889:SF77', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 3', 129392); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(185667, 'PTHR47331', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 129393),
(185668, 'PTHR31561:SF98', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 129394),
(185669, 'PTHR31236:SF3', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 15', 129395),
(185670, 'PTHR47112', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 129396),
(185671, 'PTHR31300:SF6', NULL, NULL, NULL, NULL, 'OS05G0252100 PROTEIN', 129397),
(185672, 'PTHR35729:SF2', NULL, NULL, NULL, NULL, 'OS08G0528800 PROTEIN', 129398),
(185673, 'PTHR10556:SF55', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE-RELATED', 129399),
(185674, 'PTHR12538:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26-RELATED', 129400),
(185675, 'PTHR10161:SF49', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 8', 129401),
(185676, 'PTHR28637:SF9', NULL, NULL, NULL, NULL, 'CDT1-LIKE PROTEIN A, CHLOROPLASTIC', 129402),
(185677, 'PTHR47833:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF LUMENAL LOCATION 4, CHLOROPLASTIC', 129403),
(185678, 'PTHR23212:SF0', NULL, NULL, NULL, NULL, 'BRAIN ACID SOLUBLE PROTEIN 1', 129404),
(185679, 'PTHR46065:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH2', 129405),
(185680, 'PTHR33929:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 5-RELATED', 129406),
(185681, 'PTHR47640:SF6', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP45A-RELATED', 129407),
(185682, 'PTHR46913:SF11', NULL, NULL, NULL, NULL, 'BNAANNG39970D PROTEIN', 129408),
(185683, 'PTHR11260:SF676', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U8', 129409),
(185684, 'PTHR47477:SF10', NULL, NULL, NULL, NULL, 'MATH DOMAIN-CONTAINING PROTEIN', 129410),
(185685, 'PTHR10511', NULL, NULL, NULL, NULL, 'GRANULOCYTE COLONY-STIMULATING FACTOR', 129411),
(185686, 'PTHR33057:SF104', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP7-LIKE', 129412),
(185687, 'PTHR33086:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129413),
(185688, 'PTHR19384:SF107', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', 129414),
(185689, 'PTHR33083:SF82', NULL, NULL, NULL, NULL, 'CYTOSKELETON-REGULATORY COMPLEX PROTEIN END3, PUTATIVE ISOFORM 9-RELATED', 129415),
(185690, 'PTHR47277:SF1', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 7', 129416),
(185691, 'PTHR13040', NULL, NULL, NULL, NULL, 'AUTOPHAGY PROTEIN 5', 129417),
(185692, 'PTHR23226:SF285', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 58', 129418),
(185693, 'PTHR12725:SF81', NULL, NULL, NULL, NULL, 'HYDROLASE, SUBFAMILY IA, VARIANT 3, PUTATIVE-RELATED', 129419),
(185694, 'PTHR24206:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129420),
(185695, 'PTHR32285:SF279', NULL, NULL, NULL, NULL, 'TRICHOME BIREFRINGENCE-LIKE 26-RELATED', 129421),
(185696, 'PTHR23075:SF2', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 3B', 129422),
(185697, 'PTHR23105:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129423),
(185698, 'PTHR47074:SF37', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 129424),
(185699, 'PTHR33077:SF90', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 7', 129425),
(185700, 'PTHR46008:SF32', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 129426),
(185701, 'PTHR31152:SF14', NULL, NULL, NULL, NULL, 'BASIC SALIVARY PROLINE-RICH PROTEIN 2-LIKE', 129427),
(185702, 'PTHR43888:SF24', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN HOMOLOG 2-LIKE', 129428),
(185703, 'PTHR13523:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129429),
(185704, 'PTHR31948:SF91', NULL, NULL, NULL, NULL, 'BNAC03G49000D PROTEIN', 129430),
(185705, 'PTHR23186:SF4', NULL, NULL, NULL, NULL, 'GH22790P', 129431),
(185706, 'PTHR36940:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG20338', 129432),
(185707, 'PTHR11442:SF15', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT THETA-1', 129433),
(185708, 'PTHR46700:SF2', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 129434),
(185709, 'PTHR45615:SF23', NULL, NULL, NULL, NULL, 'MYOSIN-11', 129435),
(185710, 'PTHR31210:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129436),
(185711, 'PTHR31251:SF116', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 16', 129437);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(185712, 'PTHR32285:SF287', NULL, NULL, NULL, NULL, 'BNAANNG26300D PROTEIN', 129438),
(185713, 'PTHR11206:SF268', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EXTRUSION PROTEIN-RELATED', 129439),
(185714, 'PTHR47851', NULL, NULL, NULL, NULL, 'OS06G0588700 PROTEIN-RELATED', 129440),
(185715, 'PTHR39297', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 129441),
(185716, 'PTHR31541:SF52', NULL, NULL, NULL, NULL, 'BNAC04G05670D PROTEIN', 129442),
(185717, 'PTHR15829:SF2', NULL, NULL, NULL, NULL, 'RHO FAMILY-INTERACTING CELL POLARIZATION REGULATOR 2', 129443),
(185718, 'PTHR32094', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP E PROTEIN', 129444),
(185719, 'PTHR45708:SF44', NULL, NULL, NULL, NULL, 'ACIDIC ENDOCHITINASE-LIKE ISOFORM X1', 129445),
(185720, 'PTHR11352:SF5', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN', 129446),
(185721, 'PTHR48100:SF39', NULL, NULL, NULL, NULL, 'HISTIDINE PHOSPHATASE SUPERFAMILY, CLADE-1', 129447),
(185722, 'PTHR10783:SF98', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 7-RELATED', 129448),
(185723, 'PTHR44542:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129449),
(185724, 'PTHR11014:SF154', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 129450),
(185725, 'PTHR48016:SF2', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', 129451),
(185726, 'PTHR12301:SF8', NULL, NULL, NULL, NULL, 'SHAL K[+] CHANNEL INTERACTING PROTEIN, ISOFORM I', 129452),
(185727, 'PTHR23273:SF62', NULL, NULL, NULL, NULL, 'RPA1 DOMAIN PROTEIN, PUTATIVE-RELATED', 129453),
(185728, 'PTHR15224:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 5', 129454),
(185729, 'PTHR23050:SF356', NULL, NULL, NULL, NULL, 'CALCIUM BINDING', 129455),
(185730, 'PTHR35399', NULL, NULL, NULL, NULL, 'SLR8030 PROTEIN', 129456),
(185731, 'PTHR45896', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 30', 129457),
(185732, 'PTHR43684:SF6', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC CHROMODOMAIN PROTEIN Y 1-RELATED', 129458),
(185733, 'PTHR23504:SF95', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 129459),
(185734, 'PTHR33505:SF4', NULL, NULL, NULL, NULL, 'ZGC:162634', 129460),
(185735, 'PTHR31016:SF13', NULL, NULL, NULL, NULL, 'BNAC03G17000D PROTEIN', 129461),
(185736, 'PTHR16501:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG27852', 129462),
(185737, 'PTHR12411:SF692', NULL, NULL, NULL, NULL, 'OS09G0564900 PROTEIN', 129463),
(185738, 'PTHR20899:SF4', NULL, NULL, NULL, NULL, 'CELL CYCLE PROGRESSION 1, OPPOSITE STRAND', 129464),
(185739, 'PTHR13271:SF76', NULL, NULL, NULL, NULL, 'CYTOCHROME C LYSINE N-METHYLTRANSFERASE 1', 129465),
(185740, 'PTHR11394:SF132', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 105', 129466),
(185741, 'PTHR31044:SF75', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 5-LIKE', 129467),
(185742, 'PTHR24282:SF135', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 709B2', 129468),
(185743, 'PTHR23063:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129469),
(185744, 'PTHR30419:SF14', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 129470),
(185745, 'PTHR12300:SF137', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 129471),
(185746, 'PTHR11351:SF75', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE, TYPE 1, CORE-RELATED', 129472),
(185747, 'PTHR48043:SF54', NULL, NULL, NULL, NULL, '2-HYDROXYACYLSPHINGOSINE 1-BETA-GALACTOSYLTRANSFERASE', 129473),
(185748, 'PTHR34223:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129474),
(185749, 'PTHR11904:SF26', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PHOSPHORYLASE', 129475),
(185750, 'PTHR21715', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 129476),
(185751, 'PTHR13817:SF20', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN C, CARDIAC-TYPE', 129477),
(185752, 'PTHR26454:SF148', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 129478),
(185753, 'PTHR21600:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129479),
(185754, 'PTHR12411:SF731', NULL, NULL, NULL, NULL, 'PROTEASE, PUTATIVE-RELATED', 129480),
(185755, 'PTHR11909:SF97', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 3-RELATED', 129481);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(185756, 'PTHR11758:SF11', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15A-5', 129482),
(185757, 'PTHR11739:SF28', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', 129483),
(185758, 'PTHR45653:SF4', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 3', 129484),
(185759, 'PTHR22933:SF32', NULL, NULL, NULL, NULL, 'MIND THE GAP, ISOFORM E', 129485),
(185760, 'PTHR47991:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129486),
(185761, 'PTHR10334:SF421', NULL, NULL, NULL, NULL, 'OSJNBB0096E05.10 PROTEIN', 129487),
(185762, 'PTHR23315:SF112', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 8', 129488),
(185763, 'PTHR31719:SF157', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 47', 129489),
(185764, 'PTHR46988:SF2', NULL, NULL, NULL, NULL, 'TWO PORE CALCIUM CHANNEL PROTEIN 1', 129490),
(185765, 'PTHR18896:SF73', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 129491),
(185766, 'PTHR31225:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129492),
(185767, 'PTHR34207:SF13', NULL, NULL, NULL, NULL, 'BNAA04G05270D PROTEIN', 129493),
(185768, 'PTHR34156:SF10', NULL, NULL, NULL, NULL, 'MULTIPLE STRESS RESISTANCE PROTEIN BHSA', 129494),
(185769, 'PTHR31989:SF215', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 1', 129495),
(185770, 'PTHR20961:SF23', NULL, NULL, NULL, NULL, 'OS06G0475400 PROTEIN', 129496),
(185771, 'PTHR37342:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689959', 129497),
(185772, 'PTHR12694:SF16', NULL, NULL, NULL, NULL, 'BNAC08G45360D PROTEIN', 129498),
(185773, 'PTHR18966:SF434', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 1.2-RELATED', 129499),
(185774, 'PTHR11133:SF21', NULL, NULL, NULL, NULL, 'ALPHA-AMINOADIPIC SEMIALDEHYDE SYNTHASE, MITOCHONDRIAL', 129500),
(185775, 'PTHR22298:SF150', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 9', 129501),
(185776, 'PTHR10544:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28', 129502),
(185777, 'PTHR33057:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP11', 129503),
(185778, 'PTHR48111:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN TCTD', 129504),
(185779, 'PTHR34478', NULL, NULL, NULL, NULL, 'PROTEIN LEMA', 129505),
(185780, 'PTHR30532:SF21', NULL, NULL, NULL, NULL, 'SIDEROPHORE-BINDING LIPOPROTEIN YFIY-RELATED', 129506),
(185781, 'PTHR19375:SF223', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 1A-RELATED', 129507),
(185782, 'PTHR12566', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATION ELEMENT BINDING PROTEIN  CPEB', 129508),
(185783, 'PTHR14037:SF6', NULL, NULL, NULL, NULL, 'MAMMAGLOBIN-B', 129509),
(185784, 'PTHR45768:SF62', NULL, NULL, NULL, NULL, 'BNAANNG18870D PROTEIN', 129510),
(185785, 'PTHR33512:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1191)-RELATED', 129511),
(185786, 'PTHR19957:SF276', NULL, NULL, NULL, NULL, 'SYNTAXIN PROTEIN', 129512),
(185787, 'PTHR10129:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAF', 129513),
(185788, 'PTHR35484', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 37, CHLOROPLASTIC', 129514),
(185789, 'PTHR24377:SF669', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 41', 129515),
(185790, 'PTHR33346:SF18', NULL, NULL, NULL, NULL, 'ABSCISIC ACID AND ENVIRONMENTAL STRESS-INDUCIBLE PROTEIN TAS14-LIKE', 129516),
(185791, 'PTHR35243:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129517),
(185792, 'PTHR43669:SF11', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/OXIDOREDUCTASE', 129518),
(185793, 'PTHR23414:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ADM2', 129519),
(185794, 'PTHR42711:SF6', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 129520),
(185795, 'PTHR47171:SF3', NULL, NULL, NULL, NULL, 'FARA-RELATED', 129521),
(185796, 'PTHR24083:SF90', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR RXR-BETA', 129522),
(185797, 'PTHR47768:SF2', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', 129523),
(185798, 'PTHR11439:SF328', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON RE1-RELATED', 129524),
(185799, 'PTHR13168:SF0', NULL, NULL, NULL, NULL, 'C-MYC-BINDING PROTEIN', 129525);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(185800, 'PTHR15825:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN-FOLD MODIFIER 1', 129526),
(185801, 'PTHR10188:SF30', NULL, NULL, NULL, NULL, 'ISOASPARTYL PEPTIDASE/L-ASPARAGINASE', 129527),
(185802, 'PTHR22896:SF3', NULL, NULL, NULL, NULL, 'CDK5 AND ABL1 ENZYME SUBSTRATE 2', 129528),
(185803, 'PTHR32212:SF327', NULL, NULL, NULL, NULL, 'BNAA09G52230D PROTEIN', 129529),
(185804, 'PTHR37175:SF1', NULL, NULL, NULL, NULL, 'BNAA08G28800D PROTEIN', 129530),
(185805, 'PTHR21477:SF29', NULL, NULL, NULL, NULL, 'BNACNNG24930D PROTEIN', 129531),
(185806, 'PTHR30040', NULL, NULL, NULL, NULL, 'THIAMINE BIOSYNTHESIS LIPOPROTEIN APBE', 129532),
(185807, 'PTHR42985:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG02091', 129533),
(185808, 'PTHR18945:SF784', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT BETA-LIKE 1', 129534),
(185809, 'PTHR10050:SF51', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSYL-TRANSFERASE 1-RELATED', 129535),
(185810, 'PTHR23160:SF21', NULL, NULL, NULL, NULL, 'CINGULIN-LIKE', 129536),
(185811, 'PTHR48049:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129537),
(185812, 'PTHR11359:SF10', NULL, NULL, NULL, NULL, 'AMP DEAMINASE-RELATED', 129538),
(185813, 'PTHR11347:SF207', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', 129539),
(185814, 'PTHR10605:SF66', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 129540),
(185815, 'PTHR27009:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129541),
(185816, 'PTHR10639:SF7', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', 129542),
(185817, 'PTHR46920:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MSS51 HOMOLOG, MITOCHONDRIAL-RELATED', 129543),
(185818, 'PTHR31956:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129544),
(185819, 'PTHR18934:SF85', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX8', 129545),
(185820, 'PTHR24326:SF570', NULL, NULL, NULL, NULL, 'BNAA07G24100D PROTEIN', 129546),
(185821, 'PTHR14409:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MANBAL', 129547),
(185822, 'PTHR31790:SF304', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 129548),
(185823, 'PTHR10285:SF177', NULL, NULL, NULL, NULL, 'BNAA09G54930D PROTEIN', 129549),
(185824, 'PTHR24559:SF364', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129550),
(185825, 'PTHR10501:SF54', NULL, NULL, NULL, NULL, 'SMOOTH, ISOFORM T', 129551),
(185826, 'PTHR10039:SF9', NULL, NULL, NULL, NULL, 'NACHT DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G01760)', 129552),
(185827, 'PTHR12214:SF0', NULL, NULL, NULL, NULL, 'LD29489P', 129553),
(185828, 'PTHR12219:SF23', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 4, MITOCHONDRIAL-LIKE', 129554),
(185829, 'PTHR47965:SF57', NULL, NULL, NULL, NULL, 'OS09G0423500 PROTEIN', 129555),
(185830, 'PTHR31998:SF43', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGIZED VACUOLAR MEMBRANE PROTON PUMP', 129556),
(185831, 'PTHR23505:SF82', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', 129557),
(185832, 'PTHR34188:SF8', NULL, NULL, NULL, NULL, 'T6A9.7 PROTEIN', 129558),
(185833, 'PTHR23428:SF238', NULL, NULL, NULL, NULL, 'HISTONE H2B.2', 129559),
(185834, 'PTHR45654:SF57', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG2-LIKE ISOFORM X1', 129560),
(185835, 'PTHR48001:SF169', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 129561),
(185836, 'PTHR23349:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 15', 129562),
(185837, 'PTHR36030:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129563),
(185838, 'PTHR33184:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129564),
(185839, 'PTHR16797:SF4', NULL, NULL, NULL, NULL, 'FACTOR VIII INTRON 22 PROTEIN', 129565),
(185840, 'PTHR11550:SF21', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', 129566),
(185841, 'PTHR14256:SF5', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 4-LIKE 2', 129567),
(185842, 'PTHR24419:SF35', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE 4', 129568),
(185843, 'PTHR11814:SF210', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 1.1', 129569),
(185844, 'PTHR31375:SF147', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE-LIKE', 129570);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(185845, 'PTHR11783:SF155', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 4A1', 129571),
(185846, 'PTHR33067:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129572),
(185847, 'PTHR32141:SF102', NULL, NULL, NULL, NULL, 'OS07G0286400 PROTEIN', 129573),
(185848, 'PTHR48019:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129574),
(185849, 'PTHR46277:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129575),
(185850, 'PTHR21248:SF7', NULL, NULL, NULL, NULL, 'MINOR CARDIOLIPIN SYNTHASE CLSB', 129576),
(185851, 'PTHR13817:SF67', NULL, NULL, NULL, NULL, 'MYOPALLADIN', 129577),
(185852, 'PTHR31194:SF117', NULL, NULL, NULL, NULL, 'BNAA02G10340D PROTEIN', 129578),
(185853, 'PTHR15715:SF37', NULL, NULL, NULL, NULL, 'LD47843P', 129579),
(185854, 'PTHR12271:SF120', NULL, NULL, NULL, NULL, 'TERMINAL URIDYLYLTRANSFERASE 4 ISOFORM X1', 129580),
(185855, 'PTHR31132:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 129581),
(185856, 'PTHR10263:SF59', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C''''1', 129582),
(185857, 'PTHR31319:SF78', NULL, NULL, NULL, NULL, 'BNAC09G32640D PROTEIN', 129583),
(185858, 'PTHR47216:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE, CATALYTIC DOMAIN CONTAINING PROTEIN, EXPRESSED', 129584),
(185859, 'PTHR24068:SF289', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 16-RELATED', 129585),
(185860, 'PTHR45811:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129586),
(185861, 'PTHR22883:SF236', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 129587),
(185862, 'PTHR34964:SF6', NULL, NULL, NULL, NULL, 'BNAC03G67890D PROTEIN', 129588),
(185863, 'PTHR14379:SF59', NULL, NULL, NULL, NULL, 'BNAC02G02800D PROTEIN', 129589),
(185864, 'PTHR24123:SF109', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', 129590),
(185865, 'PTHR48054', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21', 129591),
(185866, 'PTHR11010:SF96', NULL, NULL, NULL, NULL, 'PROLYLCARBOXYPEPTIDASE-LIKE PROTEIN-RELATED', 129592),
(185867, 'PTHR21593:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG17730', 129593),
(185868, 'PTHR45867:SF2', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 129594),
(185869, 'PTHR15852:SF59', NULL, NULL, NULL, NULL, 'BNAA02G17390D PROTEIN', 129595),
(185870, 'PTHR20963:SF37', NULL, NULL, NULL, NULL, 'MULTIPLE INOSITOL-POLYPHOSPHATE PHOSPHATASE 1B', 129596),
(185871, 'PTHR48018:SF162', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8U8', 129597),
(185872, 'PTHR10742:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129598),
(185873, 'PTHR33453:SF13', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 129599),
(185874, 'PTHR10157:SF41', NULL, NULL, NULL, NULL, 'DBH-LIKE MONOOXYGENASE PROTEIN 2 HOMOLOG', 129600),
(185875, 'PTHR35162:SF10', NULL, NULL, NULL, NULL, 'OS06G0659800 PROTEIN', 129601),
(185876, 'PTHR16487:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 2', 129602),
(185877, 'PTHR10614:SF11', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR SUBSTRATE 1', 129603),
(185878, 'PTHR46224:SF10', NULL, NULL, NULL, NULL, 'ANKYRIN-LIKE PROTEIN-LIKE', 129604),
(185879, 'PTHR12995:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 39A', 129605),
(185880, 'PTHR11017:SF403', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 129606),
(185881, 'PTHR45676:SF99', NULL, NULL, NULL, NULL, 'CHROMATIN REGULATOR PHD FAMILY-RELATED', 129607),
(185882, 'PTHR11863:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129608),
(185883, 'PTHR24230:SF12', NULL, NULL, NULL, NULL, 'CYSTEINYL LEUKOTRIENE RECEPTOR 1', 129609),
(185884, 'PTHR34473', NULL, NULL, NULL, NULL, 'UPF0699 TRANSMEMBRANE PROTEIN YDBS', 129610),
(185885, 'PTHR10634:SF85', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 7', 129611),
(185886, 'PTHR11771:SF118', NULL, NULL, NULL, NULL, 'SEED LINOLEATE 9S-LIPOXYGENASE-3', 129612),
(185887, 'PTHR43620:SF27', NULL, NULL, NULL, NULL, 'BNAC03G14220D PROTEIN', 129613),
(185888, 'PTHR16528:SF2', NULL, NULL, NULL, NULL, 'GOLGI-ASSOCIATED PDZ AND COILED-COIL MOTIF-CONTAINING PROTEIN', 129614);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(185889, 'PTHR30528', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 129615),
(185890, 'PTHR10909:SF380', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 129616),
(185891, 'PTHR31790:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129617),
(185892, 'PTHR11895:SF167', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT A-RELATED', 129618),
(185893, 'PTHR10177:SF456', NULL, NULL, NULL, NULL, 'CYCLIN-F2-2', 129619),
(185894, 'PTHR10992:SF1057', NULL, NULL, NULL, NULL, 'BNAA04G13770D PROTEIN', 129620),
(185895, 'PTHR15657', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 129621),
(185896, 'PTHR38436', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE SNOAL-LIKE DOMAIN', 129622),
(185897, 'PTHR30540:SF20', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 6', 129623),
(185898, 'PTHR11771:SF169', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE 5-RELATED', 129624),
(185899, 'PTHR43304:SF1', NULL, NULL, NULL, NULL, 'PHYTOCHROME-LIKE PROTEIN CPH1', 129625),
(185900, 'PTHR31561:SF157', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 129626),
(185901, 'PTHR43624:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FIXC', 129627),
(185902, 'PTHR24061:SF441', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR, TYPE 1, MEMBER 2, TANDEM DUPLICATE 2', 129628),
(185903, 'PTHR31165:SF96', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 5', 129629),
(185904, 'PTHR24056:SF475', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 2 HOMOLOG A-LIKE', 129630),
(185905, 'PTHR21646:SF70', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 129631),
(185906, 'PTHR42886:SF60', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', 129632),
(185907, 'PTHR11453:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129633),
(185908, 'PTHR24296:SF207', NULL, NULL, NULL, NULL, 'BNAC02G24410D PROTEIN', 129634),
(185909, 'PTHR36987', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 2-LIKE', 129635),
(185910, 'PTHR24228:SF59', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 129636),
(185911, 'PTHR33184:SF36', NULL, NULL, NULL, NULL, 'BNAA08G31750D PROTEIN', 129637),
(185912, 'PTHR31790:SF412', NULL, NULL, NULL, NULL, 'BNACNNG39260D PROTEIN', 129638),
(185913, 'PTHR43520:SF6', NULL, NULL, NULL, NULL, 'COPPER-EXPORTING P-TYPE ATPASE', 129639),
(185914, 'PTHR23359:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129640),
(185915, 'PTHR46022', NULL, NULL, NULL, NULL, 'PROTEIN PATCHED', 129641),
(185916, 'PTHR45998:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129642),
(185917, 'PTHR24305:SF164', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 129643),
(185918, 'PTHR22084:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG15707', 129644),
(185919, 'PTHR33021:SF254', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 2', 129645),
(185920, 'PTHR32429:SF28', NULL, NULL, NULL, NULL, 'BNAA03G57530D PROTEIN', 129646),
(185921, 'PTHR11871:SF35', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B ALPHA ISOFORM', 129647),
(185922, 'PTHR31079:SF31', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 75', 129648),
(185923, 'PTHR10615:SF176', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD-TYPE ZINC FINGER FAMILY PROTEIN', 129649),
(185924, 'PTHR12565:SF327', NULL, NULL, NULL, NULL, 'BHLH-TRANSCRIPTION FACTOR', 129650),
(185925, 'PTHR36049:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 129651),
(185926, 'PTHR23349:SF66', NULL, NULL, NULL, NULL, 'TWIST3', 129652),
(185927, 'PTHR34145:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129653),
(185928, 'PTHR31175:SF73', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR65', 129654),
(185929, 'PTHR12509:SF9', NULL, NULL, NULL, NULL, 'ZGC:66426', 129655),
(185930, 'PTHR12447:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 13D', 129656),
(185931, 'PTHR47997:SF15', NULL, NULL, NULL, NULL, 'BNACNNG41840D PROTEIN', 129657),
(185932, 'PTHR22924', NULL, NULL, NULL, NULL, 'LEGHEMOGLOBIN-RELATED', 129658),
(185933, 'PTHR19431:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L4', 129659);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(185934, 'PTHR23159:SF39', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', 129660),
(185935, 'PTHR46373:SF2', NULL, NULL, NULL, NULL, 'PROTEIN RKD4', 129661),
(185936, 'PTHR12790:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN3 FAMILY PROTEIN', 129662),
(185937, 'PTHR10751:SF42', NULL, NULL, NULL, NULL, 'ATLASTIN-2', 129663),
(185938, 'PTHR34523:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 138', 129664),
(185939, 'PTHR30543:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129665),
(185940, 'PTHR10871:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129666),
(185941, 'PTHR47959:SF6', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE RECG', 129667),
(185942, 'PTHR22767:SF10', NULL, NULL, NULL, NULL, 'BNAA02G19750D PROTEIN', 129668),
(185943, 'PTHR32116:SF72', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 129669),
(185944, 'PTHR33433:SF22', NULL, NULL, NULL, NULL, 'BNAA01G05860D PROTEIN', 129670),
(185945, 'PTHR10912:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129671),
(185946, 'PTHR46119', NULL, NULL, NULL, NULL, 'OS08G0405700 PROTEIN', 129672),
(185947, 'PTHR42909', NULL, NULL, NULL, NULL, 'ZGC:136858', 129673),
(185948, 'PTHR11405:SF50', NULL, NULL, NULL, NULL, 'CPSASE', 129674),
(185949, 'PTHR43888:SF12', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN HOMOLOG XDJ1', 129675),
(185950, 'PTHR10684:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 3', 129676),
(185951, 'PTHR33678', NULL, NULL, NULL, NULL, 'BLL1576 PROTEIN', 129677),
(185952, 'PTHR19422:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129678),
(185953, 'PTHR23074:SF154', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF K(+) TRANSPORT GROWTH DEFECT 1', 129679),
(185954, 'PTHR31238:SF193', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 129680),
(185955, 'PTHR35334:SF4', NULL, NULL, NULL, NULL, 'SERINE TRANSPORTER-RELATED', 129681),
(185956, 'PTHR31948:SF87', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 12', 129682),
(185957, 'PTHR30111', NULL, NULL, NULL, NULL, '33 KDA CHAPERONIN', 129683),
(185958, 'PTHR11559:SF376', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 129684),
(185959, 'PTHR11157:SF69', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 129685),
(185960, 'PTHR33086:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129686),
(185961, 'PTHR33286:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129687),
(185962, 'PTHR47321:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 129688),
(185963, 'PTHR46326:SF9', NULL, NULL, NULL, NULL, 'CYS2/HIS2 ZINC-FINGER TRANSCRIPTION FACTOR', 129689),
(185964, 'PTHR42794:SF1', NULL, NULL, NULL, NULL, 'HEMIN IMPORT ATP-BINDING PROTEIN HMUV', 129690),
(185965, 'PTHR46116:SF21', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 23-RELATED', 129691),
(185966, 'PTHR33070:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129692),
(185967, 'PTHR15446:SF15', NULL, NULL, NULL, NULL, 'UROPLAKIN-3B', 129693),
(185968, 'PTHR15231:SF3', NULL, NULL, NULL, NULL, 'OS01G0166300 PROTEIN', 129694),
(185969, 'PTHR12320:SF63', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 129695),
(185970, 'PTHR34777:SF16', NULL, NULL, NULL, NULL, 'BNAA07G39230D PROTEIN', 129696),
(185971, 'PTHR11132:SF394', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', 129697),
(185972, 'PTHR34156:SF6', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED', 129698),
(185973, 'PTHR24414:SF164', NULL, NULL, NULL, NULL, 'BNAA05G09230D PROTEIN', 129699),
(185974, 'PTHR10836:SF111', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 129700),
(185975, 'PTHR47950:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 129701),
(185976, 'PTHR43112:SF16', NULL, NULL, NULL, NULL, 'FERREDOXIN', 129702),
(185977, 'PTHR31235:SF239', NULL, NULL, NULL, NULL, 'PEROXIDASE', 129703),
(185978, 'PTHR24178:SF16', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN-LIKE', 129704),
(185979, 'PTHR21163:SF0', NULL, NULL, NULL, NULL, 'GH08205P-RELATED', 129705);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(185980, 'PTHR10353:SF161', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 43', 129706),
(185981, 'PTHR22930:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129707),
(185982, 'PTHR22930:SF211', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1-RELATED', 129708),
(185983, 'PTHR23403:SF6', NULL, NULL, NULL, NULL, 'NEUTRAL TREHALASE-RELATED', 129709),
(185984, 'PTHR10131:SF134', NULL, NULL, NULL, NULL, 'OS12G0181300 PROTEIN', 129710),
(185985, 'PTHR39069:SF4', NULL, NULL, NULL, NULL, 'LD24340P', 129711),
(185986, 'PTHR24418:SF222', NULL, NULL, NULL, NULL, 'SPERMATOCYTE PROTEIN SPE-8', 129712),
(185987, 'PTHR42053:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129713),
(185988, 'PTHR23361', NULL, NULL, NULL, NULL, 'MUCIN', 129714),
(185989, 'PTHR10704:SF4', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 6', 129715),
(185990, 'PTHR36410:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 129716),
(185991, 'PTHR33077:SF88', NULL, NULL, NULL, NULL, 'BNAC09G36990D PROTEIN', 129717),
(185992, 'PTHR23003:SF36', NULL, NULL, NULL, NULL, 'SERINE AND ARGININE-RICH-SPLICING FACTOR 5A-RELATED', 129718),
(185993, 'PTHR47497:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 8', 129719),
(185994, 'PTHR42264', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 129720),
(185995, 'PTHR47116:SF13', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 129721),
(185996, 'PTHR31325:SF174', NULL, NULL, NULL, NULL, 'OS11G0650250 PROTEIN', 129722),
(185997, 'PTHR24410:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129723),
(185998, 'PTHR43550:SF6', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G08050)', 129724),
(185999, 'PTHR31286:SF47', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE CX2CX4HX4C-RELATED', 129725),
(186000, 'PTHR23119', NULL, NULL, NULL, NULL, 'DISCS LARGE', 129726),
(186001, 'PTHR39200', NULL, NULL, NULL, NULL, 'HYPOTHETICAL EXPORTED PROTEIN', 129727),
(186002, 'PTHR47074:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129728),
(186003, 'PTHR27008:SF453', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 129729),
(186004, 'PTHR22907:SF53', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 129730),
(186005, 'PTHR23356:SF3', NULL, NULL, NULL, NULL, 'DPY30 DOMAIN-CONTAINING PROTEIN 2', 129731),
(186006, 'PTHR24376:SF138', NULL, NULL, NULL, NULL, 'OOCYTE ZINC FINGER PROTEIN XLCOF6-LIKE', 129732),
(186007, 'PTHR11461:SF300', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129733),
(186008, 'PTHR12386:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129734),
(186009, 'PTHR47673', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 129735),
(186010, 'PTHR12628:SF13', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HAT3.1', 129736),
(186011, 'PTHR12741:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129737),
(186012, 'PTHR11751:SF311', NULL, NULL, NULL, NULL, 'ALANINE AMINOTRANSFERASE 2', 129738),
(186013, 'PTHR47926:SF72', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 129739),
(186014, 'PTHR34630:SF22', NULL, NULL, NULL, NULL, 'NBS-LRR RESISTANCE PROTEIN', 129740),
(186015, 'PTHR18957', NULL, NULL, NULL, NULL, 'CENTLEIN', 129741),
(186016, 'PTHR11200:SF185', NULL, NULL, NULL, NULL, 'EG:86E4.5 PROTEIN', 129742),
(186017, 'PTHR23213:SF377', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 129743),
(186018, 'PTHR33443:SF21', NULL, NULL, NULL, NULL, 'BNAA03G12000D PROTEIN', 129744),
(186019, 'PTHR34931:SF4', NULL, NULL, NULL, NULL, 'GEO12049P1-RELATED', 129745),
(186020, 'PTHR47967:SF17', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN, EXPRESSED', 129746),
(186021, 'PTHR12320:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129747),
(186022, 'PTHR33431:SF12', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP BOX PROTEIN, PUTATIVE (DUF1635)-RELATED', 129748),
(186023, 'PTHR10614:SF9', NULL, NULL, NULL, NULL, 'SI:CH73-335L21.1', 129749),
(186024, 'PTHR15034:SF5', NULL, NULL, NULL, NULL, 'DEATH DOMAIN-CONTAINING PROTEIN CRADD', 129750);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(186025, 'PTHR45807:SF2', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 129751),
(186026, 'PTHR14819:SF3', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED VERY LARGE GTPASE 1', 129752),
(186027, 'PTHR10707:SF9', NULL, NULL, NULL, NULL, 'MAINTENANCE OF TELOMERE CAPPING PROTEIN 3, MITOCHONDRIAL', 129753),
(186028, 'PTHR46425', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR RHO', 129754),
(186029, 'PTHR31871:SF1', NULL, NULL, NULL, NULL, 'OS02G0137100 PROTEIN', 129755),
(186030, 'PTHR22943:SF76', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 129756),
(186031, 'PTHR32093:SF135', NULL, NULL, NULL, NULL, 'BNAA01G26320D PROTEIN', 129757),
(186032, 'PTHR11751:SF474', NULL, NULL, NULL, NULL, 'BNAA08G20540D PROTEIN', 129758),
(186033, 'PTHR33076:SF107', NULL, NULL, NULL, NULL, 'LIPID-TRANSFER PROTEIN 3, PUTATIVE-RELATED', 129759),
(186034, 'PTHR46325:SF27', NULL, NULL, NULL, NULL, 'BNAA09G43770D PROTEIN', 129760),
(186035, 'PTHR10281:SF92', NULL, NULL, NULL, NULL, 'NEUDESIN', 129761),
(186036, 'PTHR24300:SF99', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 516A1-RELATED', 129762),
(186037, 'PTHR34223:SF23', NULL, NULL, NULL, NULL, 'OS06G0493266 PROTEIN', 129763),
(186038, 'PTHR22776:SF52', NULL, NULL, NULL, NULL, 'PROTEIN CBG19314', 129764),
(186039, 'PTHR15711:SF54', NULL, NULL, NULL, NULL, 'SIPA (VERTEBRATE SIGNAL-INDUCED PROLIFERATION-ASSOCIATED) HOMOLOG', 129765),
(186040, 'PTHR23358:SF6', NULL, NULL, NULL, NULL, 'DNA N6-METHYL ADENINE DEMETHYLASE', 129766),
(186041, 'PTHR10270:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-14', 129767),
(186042, 'PTHR22814:SF341', NULL, NULL, NULL, NULL, 'BNAC04G24790D PROTEIN', 129768),
(186043, 'PTHR33348:SF27', NULL, NULL, NULL, NULL, 'BNAA02G34620D PROTEIN', 129769),
(186044, 'PTHR19871:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129770),
(186045, 'PTHR10890:SF27', NULL, NULL, NULL, NULL, 'CYSTEINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', 129771),
(186046, 'PTHR15371:SF23', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM23-3', 129772),
(186047, 'PTHR23257:SF774', NULL, NULL, NULL, NULL, 'KINASE SUPERFAMILY WITH OCTICOSAPEPTIDE/PHOX/BEM1P DOMAIN-CONTAINING PROTEIN', 129773),
(186048, 'PTHR10540:SF12', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 7', 129774),
(186049, 'PTHR43574:SF28', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 6', 129775),
(186050, 'PTHR45755:SF4', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 7', 129776),
(186051, 'PTHR45671:SF17', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PHOSPHATE TRANSPORTER', 129777),
(186052, 'PTHR13088', NULL, NULL, NULL, NULL, 'FAS APOPTOTIC INHIBITORY MOLECULE FAIM', 129778),
(186053, 'PTHR30055:SF160', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY ASNC-FAMILY)-RELATED', 129779),
(186054, 'PTHR36131:SF1', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 8-1', 129780),
(186055, 'PTHR10460:SF0', NULL, NULL, NULL, NULL, 'ABELSON INTERACTING PROTEIN, ISOFORM D', 129781),
(186056, 'PTHR47694:SF1', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 2', 129782),
(186057, 'PTHR11588:SF43', NULL, NULL, NULL, NULL, 'TUBULIN BETA-3 CHAIN', 129783),
(186058, 'PTHR23222:SF21', NULL, NULL, NULL, NULL, 'PROHIBITIN-3, MITOCHONDRIAL-LIKE', 129784),
(186059, 'PTHR34693', NULL, NULL, NULL, NULL, 'PROTEIN PAR32', 129785),
(186060, 'PTHR23320:SF139', NULL, NULL, NULL, NULL, 'MCG12892', 129786),
(186061, 'PTHR11685:SF274', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 129787),
(186062, 'PTHR31286:SF80', NULL, NULL, NULL, NULL, 'BNAA09G38560D PROTEIN', 129788),
(186063, 'PTHR46033:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 129789),
(186064, 'PTHR31325:SF212', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129790),
(186065, 'PTHR35828:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129791),
(186066, 'PTHR48016:SF9', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 14', 129792),
(186067, 'PTHR22792:SF108', NULL, NULL, NULL, NULL, 'LA DOMAIN CONTAINING PROTEIN, EXPRESSED', 129793);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(186068, 'PTHR33221:SF4', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR NSRR', 129794),
(186069, 'PTHR11571:SF101', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE A4', 129795),
(186070, 'PTHR33740:SF1', NULL, NULL, NULL, NULL, 'SLH DOMAIN PROTEIN', 129796),
(186071, 'PTHR10974:SF66', NULL, NULL, NULL, NULL, 'PROTEIN CBG09726', 129797),
(186072, 'PTHR30352:SF13', NULL, NULL, NULL, NULL, 'GLYCYL-RADICAL ENZYME ACTIVATING ENZYME YJJW-RELATED', 129798),
(186073, 'PTHR10339:SF19', NULL, NULL, NULL, NULL, 'GPI-LINKED NAD(P)(+)--ARGININE ADP-RIBOSYLTRANSFERASE 1', 129799),
(186074, 'PTHR11177:SF370', NULL, NULL, NULL, NULL, 'CLASS V CHITINASE CHIB1 (AFU_ORTHOLOGUE AFUA_8G01410)', 129800),
(186075, 'PTHR48012:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 24', 129801),
(186076, 'PTHR12137:SF15', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE', 129802),
(186077, 'PTHR46301:SF9', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 13', 129803),
(186078, 'PTHR10963:SF32', NULL, NULL, NULL, NULL, 'TRANSGLYCOSIDASE, GH16 FAMILY (EUROFUNG)-RELATED', 129804),
(186079, 'PTHR48002:SF66', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 129805),
(186080, 'PTHR48015:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129806),
(186081, 'PTHR11588:SF404', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 129807),
(186082, 'PTHR24062:SF22', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 129808),
(186083, 'PTHR43327:SF41', NULL, NULL, NULL, NULL, 'BAND 7 DOMAIN-CONTAINING PROTEIN-RELATED', 129809),
(186084, 'PTHR47584', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 129810),
(186085, 'PTHR46240:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ULK4', 129811),
(186086, 'PTHR14974:SF3', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 1700025G04 GENE', 129812),
(186087, 'PTHR34862', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 129813),
(186088, 'PTHR38122', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 129814),
(186089, 'PTHR11640:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129815),
(186090, 'PTHR23302:SF43', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 7', 129816),
(186091, 'PTHR14949:SF21', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR-LIKE PROTEIN 7', 129817),
(186092, 'PTHR43148', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE 2', 129818),
(186093, 'PTHR31233:SF3', NULL, NULL, NULL, NULL, 'PROTEIN BICAUDAL D HOMOLOG 1', 129819),
(186094, 'PTHR13620:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129820),
(186095, 'PTHR46994:SF1', NULL, NULL, NULL, NULL, '5''-METHYLTHIOADENOSINE/S-ADENOSYLHOMOCYSTEINE NUCLEOSIDASE 1', 129821),
(186096, 'PTHR13146:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 129822),
(186097, 'PTHR22762:SF127', NULL, NULL, NULL, NULL, 'ALPHA-XYLOSIDASE 1-RELATED', 129823),
(186098, 'PTHR16231:SF11', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 4', 129824),
(186099, 'PTHR24383:SF13', NULL, NULL, NULL, NULL, 'FLT3-INTERACTING ZINC FINGER PROTEIN 1', 129825),
(186100, 'PTHR45654:SF25', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG7', 129826),
(186101, 'PTHR31656:SF45', NULL, NULL, NULL, NULL, 'BNAA01G26120D PROTEIN', 129827),
(186102, 'PTHR23267:SF438', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 18', 129828),
(186103, 'PTHR43859:SF28', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 10-RELATED', 129829),
(186104, 'PTHR38973', NULL, NULL, NULL, NULL, 'PLASMID PARTITIONING CONTROL PROTEIN-RELATED', 129830),
(186105, 'PTHR11746:SF161', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE ZRP4', 129831),
(186106, 'PTHR20855:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129832),
(186107, 'PTHR47003:SF3', NULL, NULL, NULL, NULL, 'BNAC09G41880D PROTEIN', 129833),
(186108, 'PTHR10174:SF73', NULL, NULL, NULL, NULL, 'CLAVESIN-2', 129834),
(186109, 'PTHR33162:SF7', NULL, NULL, NULL, NULL, 'BNAA03G12600D PROTEIN', 129835),
(186110, 'PTHR19229:SF237', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 10', 129836),
(186111, 'PTHR34404:SF1', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, FMDB FAMILY', 129837);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(186112, 'PTHR12062:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129838),
(186113, 'PTHR13058:SF24', NULL, NULL, NULL, NULL, 'THREE PRIME REPAIR EXONUCLEASE 2', 129839),
(186114, 'PTHR31325:SF35', NULL, NULL, NULL, NULL, 'OS06G0703300 PROTEIN', 129840),
(186115, 'PTHR31376:SF60', NULL, NULL, NULL, NULL, 'OS09G0467400 PROTEIN', 129841),
(186116, 'PTHR46168:SF20', NULL, NULL, NULL, NULL, 'BNAA04G26900D PROTEIN', 129842),
(186117, 'PTHR24355:SF22', NULL, NULL, NULL, NULL, 'BETA-ADRENERGIC RECEPTOR KINASE 1', 129843),
(186118, 'PTHR47784:SF7', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 129844),
(186119, 'PTHR43205:SF40', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE SUPERFAMILY PROTEIN-RELATED', 129845),
(186120, 'PTHR31718:SF44', NULL, NULL, NULL, NULL, 'BNAC04G47710D PROTEIN', 129846),
(186121, 'PTHR24177:SF299', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 129847),
(186122, 'PTHR21654:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129848),
(186123, 'PTHR32263:SF30', NULL, NULL, NULL, NULL, 'BNAA09G30950D PROTEIN', 129849),
(186124, 'PTHR43039:SF12', NULL, NULL, NULL, NULL, 'ESTERASE D14L-RELATED', 129850),
(186125, 'PTHR11214:SF93', NULL, NULL, NULL, NULL, 'UDP-GLCNAC:BETAGAL BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE 7', 129851),
(186126, 'PTHR11911:SF122', NULL, NULL, NULL, NULL, 'GMP REDUCTASE', 129852),
(186127, 'PTHR34271:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129853),
(186128, 'PTHR43645', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE-RELATED', 129854),
(186129, 'PTHR48105:SF12', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE', 129855),
(186130, 'PTHR11339:SF371', NULL, NULL, NULL, NULL, 'MUCIN-5AC', 129856),
(186131, 'PTHR33326:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129857),
(186132, 'PTHR10788:SF55', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE (UDP-FORMING)-RELATED', 129858),
(186133, 'PTHR33446:SF11', NULL, NULL, NULL, NULL, 'TONB PROTEIN', 129859),
(186134, 'PTHR33509:SF21', NULL, NULL, NULL, NULL, 'OS02G0564600 PROTEIN', 129860),
(186135, 'PTHR46762:SF1', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN-LIKE PROTEIN 2', 129861),
(186136, 'PTHR19959', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN', 129862),
(186137, 'PTHR19282:SF442', NULL, NULL, NULL, NULL, 'CD151 ANTIGEN', 129863),
(186138, 'PTHR15241:SF346', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1 ISOFORM X1', 129864),
(186139, 'PTHR31124:SF8', NULL, NULL, NULL, NULL, 'BNAA09G19790D PROTEIN', 129865),
(186140, 'PTHR32175:SF20', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 129866),
(186141, 'PTHR24073:SF1136', NULL, NULL, NULL, NULL, 'RAB38B, MEMBER OF RAS ONCOGENE FAMILY', 129867),
(186142, 'PTHR31045:SF24', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', 129868),
(186143, 'PTHR26453:SF15', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 129869),
(186144, 'PTHR11012:SF56', NULL, NULL, NULL, NULL, 'EG:34F3.5 PROTEIN-RELATED', 129870),
(186145, 'PTHR30258:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN HOFB HOMOLOG', 129871),
(186146, 'PTHR39193:SF1', NULL, NULL, NULL, NULL, '5-DEOXY-GLUCURONATE ISOMERASE', 129872),
(186147, 'PTHR10224:SF16', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE-LIKE CLASS 1 DOMAIN-CONTAINING PROTEIN 3A, MITOCHONDRIAL', 129873),
(186148, 'PTHR24637:SF243', NULL, NULL, NULL, NULL, 'COLLAGEN', 129874),
(186149, 'PTHR43394', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PERMEASE MDL1, MITOCHONDRIAL', 129875),
(186150, 'PTHR23001:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129876),
(186151, 'PTHR19282:SF28', NULL, NULL, NULL, NULL, 'TETRASPANIN', 129877),
(186152, 'PTHR46621', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 4', 129878),
(186153, 'PTHR22751:SF285', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 129879),
(186154, 'PTHR10795:SF682', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129880),
(186155, 'PTHR43439:SF1', NULL, NULL, NULL, NULL, 'PHENYLACETATE-COENZYME A LIGASE', 129881),
(186156, 'PTHR28236', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L44, MITOCHONDRIAL', 129882);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(186157, 'PTHR33091:SF62', NULL, NULL, NULL, NULL, 'PROTEASE INHIBITOR PROTEIN', 129883),
(186158, 'PTHR24637:SF350', NULL, NULL, NULL, NULL, 'COLLAGEN', 129884),
(186159, 'PTHR12448:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT EPSILON, MITOCHONDRIAL', 129885),
(186160, 'PTHR47928:SF110', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 129886),
(186161, 'PTHR12815:SF43', NULL, NULL, NULL, NULL, 'SORTING AND ASSEMBLY MACHINERY COMPONENT 50 HOMOLOG B', 129887),
(186162, 'PTHR43859:SF42', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 8-RELATED', 129888),
(186163, 'PTHR30582:SF13', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE ERFK/SRFK-RELATED', 129889),
(186164, 'PTHR31221:SF146', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 68', 129890),
(186165, 'PTHR43859:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129891),
(186166, 'PTHR12474:SF4', NULL, NULL, NULL, NULL, 'SESTRIN-3', 129892),
(186167, 'PTHR33021:SF361', NULL, NULL, NULL, NULL, 'NTEPC', 129893),
(186168, 'PTHR24006:SF814', NULL, NULL, NULL, NULL, 'BNAA03G46800D PROTEIN', 129894),
(186169, 'PTHR31062:SF194', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 3', 129895),
(186170, 'PTHR45614:SF119', NULL, NULL, NULL, NULL, 'BNAA04G10300D PROTEIN', 129896),
(186171, 'PTHR30189', NULL, NULL, NULL, NULL, 'LPS-ASSEMBLY PROTEIN', 129897),
(186172, 'PTHR31604:SF28', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 6', 129898),
(186173, 'PTHR12300:SF139', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN E', 129899),
(186174, 'PTHR45883:SF2', NULL, NULL, NULL, NULL, 'HSC70-INTERACTING PROTEIN', 129900),
(186175, 'PTHR11927:SF10', NULL, NULL, NULL, NULL, 'L-FUCOSYLTRANSFERASE', 129901),
(186176, 'PTHR48002:SF75', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C45', 129902),
(186177, 'PTHR16320:SF1', NULL, NULL, NULL, NULL, 'SPHINGOMYELINASE DDB_G0288017', 129903),
(186178, 'PTHR24056:SF171', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 20', 129904),
(186179, 'PTHR37425', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 129905),
(186180, 'PTHR11746:SF243', NULL, NULL, NULL, NULL, 'BNAC07G48680D PROTEIN', 129906),
(186181, 'PTHR38613:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG03047', 129907),
(186182, 'PTHR11360:SF229', NULL, NULL, NULL, NULL, 'AGAP007601-PA', 129908),
(186183, 'PTHR14519:SF0', NULL, NULL, NULL, NULL, 'VITAMIN K EPOXIDE REDUCTASE COMPLEX SUBUNIT 1', 129909),
(186184, 'PTHR10003:SF85', NULL, NULL, NULL, NULL, 'BNAA08G24700D PROTEIN', 129910),
(186185, 'PTHR46283:SF2', NULL, NULL, NULL, NULL, 'AT07234P-RELATED', 129911),
(186186, 'PTHR10969:SF33', NULL, NULL, NULL, NULL, 'GABA(A) RECEPTOR-ASSOCIATED PROTEIN B', 129912),
(186187, 'PTHR31659:SF32', NULL, NULL, NULL, NULL, 'BNAC01G39210D PROTEIN', 129913),
(186188, 'PTHR23147:SF63', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SR34A', 129914),
(186189, 'PTHR12304:SF53', NULL, NULL, NULL, NULL, 'URIDINE NUCLEOSIDASE 2-RELATED', 129915),
(186190, 'PTHR31481', NULL, NULL, NULL, NULL, 'RELT-LIKE PROTEIN 2 RELL2', 129916),
(186191, 'PTHR28088:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRISEA, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13190)-RELATED', 129917),
(186192, 'PTHR11772:SF42', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING]', 129918),
(186193, 'PTHR10366:SF689', NULL, NULL, NULL, NULL, 'PROTEIN BRI1-5 ENHANCED 1', 129919),
(186194, 'PTHR24006:SF795', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 129920),
(186195, 'PTHR21576:SF86', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', 129921),
(186196, 'PTHR31087:SF80', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 2', 129922),
(186197, 'PTHR38614:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG03529', 129923),
(186198, 'PTHR43236:SF1', NULL, NULL, NULL, NULL, 'ANTITOXIN HIGA1', 129924),
(186199, 'PTHR45871', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYL-PHOSPHATIDYLINOSITOL BIOSYNTHETIC PROTEIN', 129925),
(186200, 'PTHR32295:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129926),
(186201, 'PTHR31650:SF44', NULL, NULL, NULL, NULL, 'EMB|CAB66399.1-RELATED', 129927);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(186202, 'PTHR13814:SF15', NULL, NULL, NULL, NULL, 'SI:CH211-262H13.5', 129928),
(186203, 'PTHR47967:SF25', NULL, NULL, NULL, NULL, 'OS06G0209100 PROTEIN', 129929),
(186204, 'PTHR42281', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 129930),
(186205, 'PTHR22802:SF194', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 129931),
(186206, 'PTHR43874:SF135', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 129932),
(186207, 'PTHR13697:SF54', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 129933),
(186208, 'PTHR24070:SF429', NULL, NULL, NULL, NULL, 'PROTEIN CBG01632', 129934),
(186209, 'PTHR30146:SF119', NULL, NULL, NULL, NULL, 'LACI FAMILY REGULATOR-RELATED', 129935),
(186210, 'PTHR15223:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 2, MITOCHONDRIAL', 129936),
(186211, 'PTHR47058:SF4', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 14 KDA SUBUNIT A', 129937),
(186212, 'PTHR22974:SF20', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TOUSLED-LIKE 2', 129938),
(186213, 'PTHR11070:SF30', NULL, NULL, NULL, NULL, 'F-BOX DNA HELICASE 1', 129939),
(186214, 'PTHR47791', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 191 PROTEIN', 129940),
(186215, 'PTHR33214:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129941),
(186216, 'PTHR35819:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129942),
(186217, 'PTHR10906', NULL, NULL, NULL, NULL, 'SECY/SEC61-ALPHA FAMILY MEMBER', 129943),
(186218, 'PTHR20937:SF17', NULL, NULL, NULL, NULL, 'MESODERM POSTERIOR PROTEIN 2', 129944),
(186219, 'PTHR47995', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB33-RELATED', 129945),
(186220, 'PTHR37192:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129946),
(186221, 'PTHR46991:SF8', NULL, NULL, NULL, NULL, 'HEAT SHOCK 22 KDA PROTEIN, MITOCHONDRIAL-LIKE', 129947),
(186222, 'PTHR33179', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', 129948),
(186223, 'PTHR13415', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR-RELATED', 129949),
(186224, 'PTHR31197:SF23', NULL, NULL, NULL, NULL, 'OSJNBA0064H22.8 PROTEIN', 129950),
(186225, 'PTHR45621:SF111', NULL, NULL, NULL, NULL, 'OS07G0686800 PROTEIN', 129951),
(186226, 'PTHR24377:SF436', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 940', 129952),
(186227, 'PTHR33600:SF4', NULL, NULL, NULL, NULL, 'PLASTID DIVISION PROTEIN PDV1', 129953),
(186228, 'PTHR46397:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 129954),
(186229, 'PTHR24089:SF59', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL THIAMINE PYROPHOSPHATE CARRIER', 129955),
(186230, 'PTHR12801:SF138', NULL, NULL, NULL, NULL, 'FI18136P1-RELATED', 129956),
(186231, 'PTHR45764', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 44', 129957),
(186232, 'PTHR11461:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129958),
(186233, 'PTHR31998:SF48', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGIZED VACUOLAR MEMBRANE PROTON PUMP', 129959),
(186234, 'PTHR31147:SF12', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 8', 129960),
(186235, 'PTHR38438:SF1', NULL, NULL, NULL, NULL, 'RIBOFLAVIN TRANSPORTER RIBU', 129961),
(186236, 'PTHR31871:SF28', NULL, NULL, NULL, NULL, 'BNAC04G01240D PROTEIN', 129962),
(186237, 'PTHR22574:SF13', NULL, NULL, NULL, NULL, 'PROTEIN FAM71F1', 129963),
(186238, 'PTHR13026', NULL, NULL, NULL, NULL, 'NNP-1 PROTEIN  NOVEL NUCLEAR PROTEIN 1   NOP52', 129964),
(186239, 'PTHR31579:SF38', NULL, NULL, NULL, NULL, 'OS07G0181500 PROTEIN', 129965),
(186240, 'PTHR47979:SF7', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 27 HOMOLOG', 129966),
(186241, 'PTHR33132:SF61', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN-RELATED', 129967),
(186242, 'PTHR23500:SF452', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 1-RELATED', 129968),
(186243, 'PTHR15298:SF4', NULL, NULL, NULL, NULL, 'GLYCINE N-ACYLTRANSFERASE-LIKE PROTEIN 2', 129969),
(186244, 'PTHR36495', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 129970),
(186245, 'PTHR33248:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129971),
(186246, 'PTHR40065', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN YHBY', 129972);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(186247, 'PTHR10110:SF99', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 129973),
(186248, 'PTHR31599:SF2', NULL, NULL, NULL, NULL, 'CALCIUM UP-REGULATED PROTEIN A-RELATED', 129974),
(186249, 'PTHR47985:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDG1', 129975),
(186250, 'PTHR16784:SF2', NULL, NULL, NULL, NULL, 'ENAMELIN', 129976),
(186251, 'PTHR12537:SF117', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN, PUTATIVE-RELATED', 129977),
(186252, 'PTHR30093:SF33', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN G', 129978),
(186253, 'PTHR43243:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE AU018091', 129979),
(186254, 'PTHR23032:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 129980),
(186255, 'PTHR11984:SF6', NULL, NULL, NULL, NULL, 'GAP JUNCTION GAMMA-1 PROTEIN', 129981),
(186256, 'PTHR13018:SF109', NULL, NULL, NULL, NULL, 'CSC1-LIKE PROTEIN HYP1', 129982),
(186257, 'PTHR12317:SF70', NULL, NULL, NULL, NULL, '2-ACYLGLYCEROL O-ACYLTRANSFERASE 1-RELATED', 129983),
(186258, 'PTHR43976', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE', 129984),
(186259, 'PTHR31602:SF42', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 2', 129985),
(186260, 'PTHR11743:SF64', NULL, NULL, NULL, NULL, 'BNAA05G37480D PROTEIN', 129986),
(186261, 'PTHR34450:SF3', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 242-RELATED', 129987),
(186262, 'PTHR48048:SF7', NULL, NULL, NULL, NULL, 'OS05G0527700 PROTEIN', 129988),
(186263, 'PTHR45707:SF61', NULL, NULL, NULL, NULL, 'PROTEIN QUIRKY-LIKE', 129989),
(186264, 'PTHR34129', NULL, NULL, NULL, NULL, 'BLR1139 PROTEIN', 129990),
(186265, 'PTHR31683:SF120', NULL, NULL, NULL, NULL, 'OS04G0137100 PROTEIN', 129991),
(186266, 'PTHR31669:SF208', NULL, NULL, NULL, NULL, 'OS06G0517100 PROTEIN', 129992),
(186267, 'PTHR43243:SF61', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 6 CHLOROPLASTIC', 129993),
(186268, 'PTHR22951:SF96', NULL, NULL, NULL, NULL, 'BNAA02G25770D PROTEIN', 129994),
(186269, 'PTHR47992:SF67', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C', 129995),
(186270, 'PTHR19965:SF75', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', 129996),
(186271, 'PTHR22802:SF342', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN WITH A LECTIN C-TYPE DOMAIN', 129997),
(186272, 'PTHR43670:SF63', NULL, NULL, NULL, NULL, 'HEAT-SHOCK PROTEIN, PUTATIVE-RELATED', 129998),
(186273, 'PTHR45771:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A4', 129999),
(186274, 'PTHR24056:SF484', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 130000),
(186275, 'PTHR33128:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130001),
(186276, 'PTHR28043', NULL, NULL, NULL, NULL, 'INCREASED RECOMBINATION CENTERS PROTEIN 6', 130002),
(186277, 'PTHR45770:SF34', NULL, NULL, NULL, NULL, 'BNAANNG40390D PROTEIN', 130003),
(186278, 'PTHR24222:SF50', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 9-LIKE ISOFORM X2', 130004),
(186279, 'PTHR23070:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130005),
(186280, 'PTHR33149:SF12', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', 130006),
(186281, 'PTHR10204:SF33', NULL, NULL, NULL, NULL, 'RIBOSYLDIHYDRONICOTINAMIDE DEHYDROGENASE [QUINONE]', 130007),
(186282, 'PTHR34098:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02863', 130008),
(186283, 'PTHR47883:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130009),
(186284, 'PTHR23092:SF48', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE FAMILY PROTEIN', 130010),
(186285, 'PTHR11426:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130011),
(186286, 'PTHR37002:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130012),
(186287, 'PTHR31008:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130013),
(186288, 'PTHR23277:SF107', NULL, NULL, NULL, NULL, 'HEMICENTIN-1', 130014),
(186289, 'PTHR45764:SF14', NULL, NULL, NULL, NULL, 'OS09G0474000 PROTEIN', 130015),
(186290, 'PTHR24349:SF312', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 26-LIKE', 130016);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(186291, 'PTHR43514:SF4', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 10', 130017),
(186292, 'PTHR21446', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 130018),
(186293, 'PTHR23073:SF24', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 4', 130019),
(186294, 'PTHR33416:SF17', NULL, NULL, NULL, NULL, 'PROTEIN KAKU4', 130020),
(186295, 'PTHR21343', NULL, NULL, NULL, NULL, 'DETHIOBIOTIN SYNTHETASE', 130021),
(186296, 'PTHR31307:SF49', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE TRANSCRIPTION FACTOR MYB/SANT-LIKE FAMILY PROTEIN', 130022),
(186297, 'PTHR31942:SF83', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 130023),
(186298, 'PTHR25465:SF11', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF CONTAINING 14', 130024),
(186299, 'PTHR47504:SF6', NULL, NULL, NULL, NULL, 'ARAC-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 130025),
(186300, 'PTHR33143:SF3', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 17-RELATED', 130026),
(186301, 'PTHR33734:SF21', NULL, NULL, NULL, NULL, 'TRANSGLYCOSYLASE SLT DOMAIN PROTEIN', 130027),
(186302, 'PTHR34377:SF3', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 130028),
(186303, 'PTHR35882', NULL, NULL, NULL, NULL, 'PELA', 130029),
(186304, 'PTHR10328', NULL, NULL, NULL, NULL, 'PROTEIN MAX  MYC-ASSOCIATED FACTOR X', 130030),
(186305, 'PTHR11452:SF78', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', 130031),
(186306, 'PTHR14113:SF11', NULL, NULL, NULL, NULL, 'PICCOLO PRESYNAPTIC CYTOMATRIX PROTEIN A', 130032),
(186307, 'PTHR31356:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130033),
(186308, 'PTHR19232:SF10', NULL, NULL, NULL, NULL, 'CEREBELLAR DEGENERATION-RELATED PROTEIN 2-LIKE', 130034),
(186309, 'PTHR33257:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130035),
(186310, 'PTHR14493:SF87', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 66', 130036),
(186311, 'PTHR11002:SF54', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 130037),
(186312, 'PTHR10201:SF275', NULL, NULL, NULL, NULL, 'BNAC06G31300D PROTEIN', 130038),
(186313, 'PTHR11886', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 130039),
(186314, 'PTHR43364:SF13', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT OXIDOREDUCTASE DOMAIN', 130040),
(186315, 'PTHR46923:SF1', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN 2', 130041),
(186316, 'PTHR22943:SF59', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 130042),
(186317, 'PTHR10795:SF664', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9', 130043),
(186318, 'PTHR22298:SF52', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 16', 130044),
(186319, 'PTHR33377:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130045),
(186320, 'PTHR15892:SF2', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L30, MITOCHONDRIAL', 130046),
(186321, 'PTHR43547:SF14', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE C', 130047),
(186322, 'PTHR24062:SF47', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 130048),
(186323, 'PTHR46084:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130049),
(186324, 'PTHR43152:SF3', NULL, NULL, NULL, NULL, 'UVRABC SYSTEM PROTEIN A', 130050),
(186325, 'PTHR43574:SF38', NULL, NULL, NULL, NULL, 'OS01G0367400 PROTEIN', 130051),
(186326, 'PTHR48056:SF21', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IRK-RELATED', 130052),
(186327, 'PTHR12161:SF46', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN IST1-RELATED', 130053),
(186328, 'PTHR21717:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130054),
(186329, 'PTHR10361:SF61', NULL, NULL, NULL, NULL, 'SODIUM/METABOLITE COTRANSPORTER BASS5, CHLOROPLASTIC-RELATED', 130055),
(186330, 'PTHR24416:SF125', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-1 RECEPTOR', 130056),
(186331, 'PTHR47972:SF3', NULL, NULL, NULL, NULL, 'KINESIN-4-LIKE', 130057),
(186332, 'PTHR12398:SF8', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2810408A11 GENE', 130058),
(186333, 'PTHR24240:SF59', NULL, NULL, NULL, NULL, 'OPSIN 4XB', 130059),
(186334, 'PTHR47933:SF29', NULL, NULL, NULL, NULL, 'OS03G0208600 PROTEIN', 130060);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(186335, 'PTHR11932', NULL, NULL, NULL, NULL, 'CULLIN', 130061),
(186336, 'PTHR45933:SF29', NULL, NULL, NULL, NULL, 'BNAC07G48820D PROTEIN', 130062),
(186337, 'PTHR11886:SF86', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 130063),
(186338, 'PTHR30065:SF7', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS PROTEIN SSAT', 130064),
(186339, 'PTHR31238:SF102', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 8-7', 130065),
(186340, 'PTHR19932:SF10', NULL, NULL, NULL, NULL, 'WD REPEAT AND HMG-BOX DNA-BINDING PROTEIN 1', 130066),
(186341, 'PTHR12570:SF75', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 130067),
(186342, 'PTHR10372:SF8', NULL, NULL, NULL, NULL, 'PLAKOPHILIN-4', 130068),
(186343, 'PTHR23226:SF229', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 234', 130069),
(186344, 'PTHR48041:SF66', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 22-LIKE ISOFORM X1', 130070),
(186345, 'PTHR11863:SF51', NULL, NULL, NULL, NULL, 'OS03G0108500 PROTEIN', 130071),
(186346, 'PTHR23333:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130072),
(186347, 'PTHR24349:SF370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130073),
(186348, 'PTHR42873:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 130074),
(186349, 'PTHR13096:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL OXYGENASE 1', 130075),
(186350, 'PTHR11537:SF263', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, KQT-LIKE SUBFAMILY, MEMBER 2A', 130076),
(186351, 'PTHR13809:SF53', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA', 130077),
(186352, 'PTHR48032:SF6', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MUSASHI HOMOLOG RBP6', 130078),
(186353, 'PTHR27008:SF337', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130079),
(186354, 'PTHR24015:SF1795', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 130080),
(186355, 'PTHR12565:SF354', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BEE 3-LIKE ISOFORM X1', 130081),
(186356, 'PTHR13675:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE ASSEMBLY FACTOR 1, MITOCHONDRIAL', 130082),
(186357, 'PTHR24326:SF593', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 130083),
(186358, 'PTHR47955:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A22-LIKE', 130084),
(186359, 'PTHR21576:SF78', NULL, NULL, NULL, NULL, 'OS09G0536700 PROTEIN', 130085),
(186360, 'PTHR13117:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RFT1 HOMOLOG', 130086),
(186361, 'PTHR31221:SF213', NULL, NULL, NULL, NULL, 'OS05G0565900 PROTEIN', 130087),
(186362, 'PTHR31218:SF320', NULL, NULL, NULL, NULL, 'OS05G0409500 PROTEIN', 130088),
(186363, 'PTHR24207:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130089),
(186364, 'PTHR24055:SF483', NULL, NULL, NULL, NULL, 'BNAC04G04740D PROTEIN', 130090),
(186365, 'PTHR21277:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COACTIVATOR HFI1/TRANSCRIPTIONAL ADAPTER 1-RELATED', 130091),
(186366, 'PTHR10877:SF188', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY DISEASE 1A-RELATED', 130092),
(186367, 'PTHR33671:SF8', NULL, NULL, NULL, NULL, 'OS05G0514400 PROTEIN', 130093),
(186368, 'PTHR11746:SF194', NULL, NULL, NULL, NULL, 'INDOLE GLUCOSINOLATE O-METHYLTRANSFERASE 5', 130094),
(186369, 'PTHR43207:SF9', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDROGENASE 2, CHLOROPLASTIC-LIKE', 130095),
(186370, 'PTHR11655:SF14', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C SUBUNIT 1', 130096),
(186371, 'PTHR12726:SF1', NULL, NULL, NULL, NULL, 'CERAMIDE GLUCOSYLTRANSFERASE 1-RELATED', 130097),
(186372, 'PTHR10182:SF17', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 130098),
(186373, 'PTHR15140:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130099),
(186374, 'PTHR23421:SF166', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 130100),
(186375, 'PTHR47990:SF44', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP1-RELATED', 130101),
(186376, 'PTHR21600:SF66', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 130102),
(186377, 'PTHR11353:SF21', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ZETA', 130103);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(186378, 'PTHR24015:SF297', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 130104),
(186379, 'PTHR47991:SF90', NULL, NULL, NULL, NULL, 'BNAA03G47270D PROTEIN', 130105),
(186380, 'PTHR36138:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 130106),
(186381, 'PTHR23288:SF34', NULL, NULL, NULL, NULL, 'OCCLUDIN B', 130107),
(186382, 'PTHR39401', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 130108),
(186383, 'PTHR11774:SF11', NULL, NULL, NULL, NULL, 'GERANYLGERANYL TRANSFERASE TYPE-2 SUBUNIT BETA', 130109),
(186384, 'PTHR10257:SF51', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 130110),
(186385, 'PTHR15110:SF2', NULL, NULL, NULL, NULL, 'REGULATORY FACTOR X-ASSOCIATED PROTEIN', 130111),
(186386, 'PTHR27006:SF249', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 130112),
(186387, 'PTHR24286:SF253', NULL, NULL, NULL, NULL, '9-DIVINYL ETHER SYNTHASE', 130113),
(186388, 'PTHR45669:SF41', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', 130114),
(186389, 'PTHR38603', NULL, NULL, NULL, NULL, 'CHAPERONE NAPD', 130115),
(186390, 'PTHR47565:SF5', NULL, NULL, NULL, NULL, 'BNAA07G24120D PROTEIN', 130116),
(186391, 'PTHR10106:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME B REDUCTASE 1', 130117),
(186392, 'PTHR12706:SF31', NULL, NULL, NULL, NULL, 'OS08G0223700 PROTEIN', 130118),
(186393, 'PTHR32227:SF369', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASE FAMILY 17 PROTEIN', 130119),
(186394, 'PTHR31917:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130120),
(186395, 'PTHR34914:SF1', NULL, NULL, NULL, NULL, 'LYMPHOCYTE EXPANSION MOLECULE', 130121),
(186396, 'PTHR31215:SF19', NULL, NULL, NULL, NULL, 'BNAA09G26370D PROTEIN', 130122),
(186397, 'PTHR20515:SF0', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 103', 130123),
(186398, 'PTHR11527:SF135', NULL, NULL, NULL, NULL, '21.9 KDA HEAT SHOCK PROTEIN', 130124),
(186399, 'PTHR31218:SF192', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 130125),
(186400, 'PTHR11183:SF102', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 5-RELATED', 130126),
(186401, 'PTHR10039:SF11', NULL, NULL, NULL, NULL, 'NACHT DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G01490)', 130127),
(186402, 'PTHR31517:SF71', NULL, NULL, NULL, NULL, 'PEROXIDASE', 130128),
(186403, 'PTHR19964:SF44', NULL, NULL, NULL, NULL, 'PATJ HOMOLOG', 130129),
(186404, 'PTHR14233:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130130),
(186405, 'PTHR33334:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130131),
(186406, 'PTHR33204:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, MARR FAMILY', 130132),
(186407, 'PTHR45977:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 130133),
(186408, 'PTHR22989:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG11330', 130134),
(186409, 'PTHR44329:SF168', NULL, NULL, NULL, NULL, 'BNAC03G17200D PROTEIN', 130135),
(186410, 'PTHR15922', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA-AMPLIFIED SEQUENCE', 130136),
(186411, 'PTHR31580:SF24', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 6', 130137),
(186412, 'PTHR45627:SF21', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', 130138),
(186413, 'PTHR12174:SF35', NULL, NULL, NULL, NULL, 'INTRAMEMBRANE PROTEASE (IMPAS) FAMILY', 130139),
(186414, 'PTHR11157:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130140),
(186415, 'PTHR10314:SF213', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE, CHLOROPLASTIC', 130141),
(186416, 'PTHR22621:SF3', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 4A', 130142),
(186417, 'PTHR47533', NULL, NULL, NULL, NULL, 'PROTEIN CBG21859', 130143),
(186418, 'PTHR45666:SF35', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 6', 130144),
(186419, 'PTHR31642:SF259', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 2', 130145),
(186420, 'PTHR37813', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', 130146),
(186421, 'PTHR23056:SF117', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 5-RELATED', 130147),
(186422, 'PTHR22826:SF146', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE DBL', 130148);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(186423, 'PTHR12143', NULL, NULL, NULL, NULL, 'PEPTIDE N-GLYCANASE  PNGASE -RELATED', 130149),
(186424, 'PTHR10129:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAFB', 130150),
(186425, 'PTHR38218:SF14', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 130151),
(186426, 'PTHR15026', NULL, NULL, NULL, NULL, 'CALCIUM-SIGNAL MODULATING CYCLOPHILIN LIGAND  CAML', 130152),
(186427, 'PTHR42757:SF34', NULL, NULL, NULL, NULL, 'MAM DOMAIN CONTAINING GLYCOSYLPHOSPHATIDYLINOSITOL ANCHOR 2', 130153),
(186428, 'PTHR12663:SF43', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PROTEIN PDS5 HOMOLOG A-LIKE', 130154),
(186429, 'PTHR47364:SF18', NULL, NULL, NULL, NULL, 'BNAC07G33740D PROTEIN', 130155),
(186430, 'PTHR31669:SF206', NULL, NULL, NULL, NULL, 'OS12G0160900 PROTEIN', 130156),
(186431, 'PTHR34291:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130157),
(186432, 'PTHR13247:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION 1 PROTEIN', 130158),
(186433, 'PTHR24055:SF453', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 1A-RELATED', 130159),
(186434, 'PTHR36578', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', 130160),
(186435, 'PTHR13495:SF0', NULL, NULL, NULL, NULL, 'PSME3-INTERACTING PROTEIN', 130161),
(186436, 'PTHR31834:SF10', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02040)-RELATED', 130162),
(186437, 'PTHR11849', NULL, NULL, NULL, NULL, 'ETS', 130163),
(186438, 'PTHR31673:SF44', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 2', 130164),
(186439, 'PTHR33710:SF29', NULL, NULL, NULL, NULL, 'BNACNNG47630D PROTEIN', 130165),
(186440, 'PTHR37451:SF1', NULL, NULL, NULL, NULL, 'MRV2P', 130166),
(186441, 'PTHR11486', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', 130167),
(186442, 'PTHR46038:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 130168),
(186443, 'PTHR32467:SF152', NULL, NULL, NULL, NULL, 'SISTER OF INDETERMINATE SPIKELET1', 130169),
(186444, 'PTHR48204:SF1', NULL, NULL, NULL, NULL, 'OS07G0265100 PROTEIN', 130170),
(186445, 'PTHR33526:SF13', NULL, NULL, NULL, NULL, 'BNAC09G15340D PROTEIN', 130171),
(186446, 'PTHR12131:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE SUPV3L1, MITOCHONDRIAL', 130172),
(186447, 'PTHR31595:SF33', NULL, NULL, NULL, NULL, 'OS02G0468100 PROTEIN', 130173),
(186448, 'PTHR46382', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', 130174),
(186449, 'PTHR28268', NULL, NULL, NULL, NULL, 'MICOS SUBUNIT MIC26', 130175),
(186450, 'PTHR31948:SF120', NULL, NULL, NULL, NULL, 'BNAA09G52500D PROTEIN', 130176),
(186451, 'PTHR24343:SF455', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE UNC-51-RELATED', 130177),
(186452, 'PTHR22957:SF573', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130178),
(186453, 'PTHR33065:SF117', NULL, NULL, NULL, NULL, 'OS01G0590200 PROTEIN', 130179),
(186454, 'PTHR48048:SF55', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 130180),
(186455, 'PTHR45940:SF18', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 2-RELATED', 130181),
(186456, 'PTHR13271:SF54', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 14', 130182),
(186457, 'PTHR48020:SF1', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 4-LIKE', 130183),
(186458, 'PTHR12309:SF28', NULL, NULL, NULL, NULL, 'OS06G0653900 PROTEIN', 130184),
(186459, 'PTHR31194:SF56', NULL, NULL, NULL, NULL, 'AP2 DOMAIN TRANSCRIPTION FACTOR-LIKE PROTEIN', 130185),
(186460, 'PTHR48000:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX3-LIKE', 130186),
(186461, 'PTHR12245:SF5', NULL, NULL, NULL, NULL, 'SPRY DOMAIN-CONTAINING SOCS BOX PROTEIN 3', 130187),
(186462, 'PTHR13710:SF124', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE Q5', 130188),
(186463, 'PTHR34960:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130189),
(186464, 'PTHR28613', NULL, NULL, NULL, NULL, 'SI:CH211-232M10.4-RELATED', 130190),
(186465, 'PTHR44843:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130191),
(186466, 'PTHR33372:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CHAPERONE-LIKE PROTEIN OF POR1 CHLOROPLASTIC', 130192);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(186467, 'PTHR31662:SF41', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GEBP FAMILY-RELATED', 130193),
(186468, 'PTHR12622:SF39', NULL, NULL, NULL, NULL, 'ZGC:66440', 130194),
(186469, 'PTHR31985:SF45', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF020', 130195),
(186470, 'PTHR47053:SF1', NULL, NULL, NULL, NULL, 'MUREIN DD-ENDOPEPTIDASE MEPH-RELATED', 130196),
(186471, 'PTHR31339:SF73', NULL, NULL, NULL, NULL, 'BNAA01G13460D PROTEIN', 130197),
(186472, 'PTHR45786:SF24', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN-LIKE', 130198),
(186473, 'PTHR37345', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 107', 130199),
(186474, 'PTHR38166:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130200),
(186475, 'PTHR31744:SF144', NULL, NULL, NULL, NULL, 'BNAA01G28990D PROTEIN', 130201),
(186476, 'PTHR13832:SF673', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 27-RELATED', 130202),
(186477, 'PTHR11908:SF130', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE', 130203),
(186478, 'PTHR21596:SF52', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 3', 130204),
(186479, 'PTHR47068:SF1', NULL, NULL, NULL, NULL, 'OS02G0659100 PROTEIN', 130205),
(186480, 'PTHR31221:SF189', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR', 130206),
(186481, 'PTHR47248:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG08650', 130207),
(186482, 'PTHR24096:SF368', NULL, NULL, NULL, NULL, 'BNAC03G74270D PROTEIN', 130208),
(186483, 'PTHR47977:SF28', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-44', 130209),
(186484, 'PTHR24089:SF714', NULL, NULL, NULL, NULL, 'BNAA09G39370D PROTEIN', 130210),
(186485, 'PTHR10394:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', 130211),
(186486, 'PTHR13848', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE CG15309-RELATED', 130212),
(186487, 'PTHR22844:SF359', NULL, NULL, NULL, NULL, 'BNACNNG62130D PROTEIN', 130213),
(186488, 'PTHR43170:SF3', NULL, NULL, NULL, NULL, 'GMP REDUCTASE 1', 130214),
(186489, 'PTHR24282:SF94', NULL, NULL, NULL, NULL, 'BNAC01G36690D PROTEIN', 130215),
(186490, 'PTHR14074:SF35', NULL, NULL, NULL, NULL, 'BOX HELICASE, PUTATIVE-RELATED', 130216),
(186491, 'PTHR24343:SF421', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2H', 130217),
(186492, 'PTHR38222:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130218),
(186493, 'PTHR10516:SF433', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 130219),
(186494, 'PTHR30558:SF9', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBD', 130220),
(186495, 'PTHR30509:SF31', NULL, NULL, NULL, NULL, 'BNAA04G16670D PROTEIN', 130221),
(186496, 'PTHR35936:SF17', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ARGININE-BINDING PROTEIN ARTJ-RELATED', 130222),
(186497, 'PTHR47195:SF1', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 4', 130223),
(186498, 'PTHR46672:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130224),
(186499, 'PTHR10288:SF280', NULL, NULL, NULL, NULL, 'BNAC02G02730D PROTEIN', 130225),
(186500, 'PTHR33672:SF2', NULL, NULL, NULL, NULL, 'OS07G0499850 PROTEIN', 130226),
(186501, 'PTHR11566:SF57', NULL, NULL, NULL, NULL, 'OS02G0738900 PROTEIN', 130227),
(186502, 'PTHR43406:SF6', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE ALPHA CHAIN', 130228),
(186503, 'PTHR39646', NULL, NULL, NULL, NULL, 'RNA POLYMERASE RPB4', 130229),
(186504, 'PTHR42973:SF14', NULL, NULL, NULL, NULL, 'FAD-LINKED OXIDOREDUCTASE DDB_G0289697', 130230),
(186505, 'PTHR14047:SF31', NULL, NULL, NULL, NULL, 'X ANTIGEN FAMILY MEMBER 1', 130231),
(186506, 'PTHR11654:SF445', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.12', 130232),
(186507, 'PTHR34707', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 130233),
(186508, 'PTHR23004:SF7', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL', 130234),
(186509, 'PTHR12692', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE-RELATED', 130235),
(186510, 'PTHR48047:SF15', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 130236),
(186511, 'PTHR11011:SF89', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 130237);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(186512, 'PTHR11977:SF45', NULL, NULL, NULL, NULL, 'SUPERVILLIN', 130238),
(186513, 'PTHR43002:SF1', NULL, NULL, NULL, NULL, 'ISOAMYLASE 1, CHLOROPLASTIC', 130239),
(186514, 'PTHR31985:SF130', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF043', 130240),
(186515, 'PTHR48015:SF11', NULL, NULL, NULL, NULL, 'MISSHAPEN-LIKE KINASE 1', 130241),
(186516, 'PTHR10728:SF39', NULL, NULL, NULL, NULL, 'CYTOSOLIC PHOSPHOLIPASE A2 GAMMA', 130242),
(186517, 'PTHR13131:SF11', NULL, NULL, NULL, NULL, 'LYSOSOMAL CYSTINE TRANSPORTER FAMILY PROTEIN', 130243),
(186518, 'PTHR48010:SF7', NULL, NULL, NULL, NULL, 'OS09G0400500 PROTEIN', 130244),
(186519, 'PTHR21495:SF216', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 130245),
(186520, 'PTHR13890:SF29', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-F', 130246),
(186521, 'PTHR12642:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130247),
(186522, 'PTHR15673', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF CONTAINING PROTEIN 1', 130248),
(186523, 'PTHR13793:SF142', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 130249),
(186524, 'PTHR12566:SF9', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATION ELEMENT-BINDING PROTEIN 1', 130250),
(186525, 'PTHR28139:SF1', NULL, NULL, NULL, NULL, 'UPF0768 PROTEIN YBL029C-A', 130251),
(186526, 'PTHR46085:SF13', NULL, NULL, NULL, NULL, 'OS03G0323500 PROTEIN', 130252),
(186527, 'PTHR34223:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130253),
(186528, 'PTHR33057:SF68', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP7-LIKE', 130254),
(186529, 'PTHR31636:SF267', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', 130255),
(186530, 'PTHR48200', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 130256),
(186531, 'PTHR46030', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB HOMOLOG 6', 130257),
(186532, 'PTHR13068:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130258),
(186533, 'PTHR46179:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER X-LINKED PROTEIN ZXDB', 130259),
(186534, 'PTHR11334:SF56', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER B1-RELATED', 130260),
(186535, 'PTHR10263:SF62', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 16 KDA PROTEOLIPID SUBUNIT 2-RELATED', 130261),
(186536, 'PTHR48011:SF20', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 130262),
(186537, 'PTHR33065:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130263),
(186538, 'PTHR13068:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130264),
(186539, 'PTHR10106:SF15', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE ASCORBATE FERRIREDUCTASE 3-RELATED', 130265),
(186540, 'PTHR31186:SF1', NULL, NULL, NULL, NULL, 'MODULATOR OF SMOOTHENED PROTEIN', 130266),
(186541, 'PTHR16469:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG23349', 130267),
(186542, 'PTHR19368:SF16', NULL, NULL, NULL, NULL, 'PROTEIN FAM9A', 130268),
(186543, 'PTHR24089:SF681', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL1-RELATED', 130269),
(186544, 'PTHR38092:SF5', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL GENE 1062 PROTEIN', 130270),
(186545, 'PTHR33830:SF24', NULL, NULL, NULL, NULL, 'BNACNNG45740D PROTEIN', 130271),
(186546, 'PTHR30620:SF91', NULL, NULL, NULL, NULL, 'BETA-D-GLUCOSIDE GLUCOHYDROLASE', 130272),
(186547, 'PTHR31989:SF138', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 12', 130273),
(186548, 'PTHR44444:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130274),
(186549, 'PTHR48021:SF79', NULL, NULL, NULL, NULL, 'OS11G0643800 PROTEIN', 130275),
(186550, 'PTHR23338:SF48', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', 130276),
(186551, 'PTHR44102:SF15', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 7A-LIKE ISOFORM X1', 130277),
(186552, 'PTHR12459', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 130278),
(186553, 'PTHR11017:SF293', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPP2B', 130279),
(186554, 'PTHR45798:SF23', NULL, NULL, NULL, NULL, 'OS09G0554200 PROTEIN', 130280);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(186555, 'PTHR21274:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130281),
(186556, 'PTHR18919:SF107', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE, MITOCHONDRIAL', 130282),
(186557, 'PTHR33445', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B'', CHLOROPLASTIC', 130283),
(186558, 'PTHR46539', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL42', 130284),
(186559, 'PTHR47364:SF20', NULL, NULL, NULL, NULL, 'BNAA01G17290D PROTEIN', 130285),
(186560, 'PTHR13421', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 3', 130286),
(186561, 'PTHR11709:SF281', NULL, NULL, NULL, NULL, 'LACCASE', 130287),
(186562, 'PTHR37708:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130288),
(186563, 'PTHR31325:SF115', NULL, NULL, NULL, NULL, 'OS07G0116300 PROTEIN', 130289),
(186564, 'PTHR33228:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130290),
(186565, 'PTHR35572', NULL, NULL, NULL, NULL, 'PROTEIN CBG04538-RELATED', 130291),
(186566, 'PTHR32258', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 4A', 130292),
(186567, 'PTHR10811:SF95', NULL, NULL, NULL, NULL, 'BNAA10G29920D PROTEIN', 130293),
(186568, 'PTHR47525', NULL, NULL, NULL, NULL, 'OS07G0295200 PROTEIN', 130294),
(186569, 'PTHR48002:SF122', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4F6', 130295),
(186570, 'PTHR45614:SF135', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB88', 130296),
(186571, 'PTHR22772', NULL, NULL, NULL, NULL, 'NOVEL ZZ TYPE ZINC FINGER DOMAIN CONTAINING PROTEIN', 130297),
(186572, 'PTHR45613:SF4', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 130298),
(186573, 'PTHR10334:SF373', NULL, NULL, NULL, NULL, 'OS12G0633400 PROTEIN', 130299),
(186574, 'PTHR45631:SF97', NULL, NULL, NULL, NULL, 'BNAC04G15240D PROTEIN', 130300),
(186575, 'PTHR23257:SF760', NULL, NULL, NULL, NULL, 'KINASE SUPPRESSOR OF RAS B', 130301),
(186576, 'PTHR31384:SF3', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 25', 130302),
(186577, 'PTHR13025:SF8', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN FAMILY, MEMBER D1', 130303),
(186578, 'PTHR24056:SF493', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BUR1', 130304),
(186579, 'PTHR33052:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130305),
(186580, 'PTHR27007:SF170', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.7', 130306),
(186581, 'PTHR43881:SF4', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLTRANSPEPTIDASE-RELATED', 130307),
(186582, 'PTHR45927:SF13', NULL, NULL, NULL, NULL, 'PROTEIN LYK2', 130308),
(186583, 'PTHR23506:SF34', NULL, NULL, NULL, NULL, 'AMINE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G10790)-RELATED', 130309),
(186584, 'PTHR26379:SF277', NULL, NULL, NULL, NULL, 'OS10G0435100 PROTEIN', 130310),
(186585, 'PTHR22792:SF133', NULL, NULL, NULL, NULL, 'LA RIBONUCLEOPROTEIN, PUTATIVE-RELATED', 130311),
(186586, 'PTHR33700', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN X', 130312),
(186587, 'PTHR47365:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130313),
(186588, 'PTHR47629:SF11', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 130314),
(186589, 'PTHR16236:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 160', 130315),
(186590, 'PTHR32468:SF124', NULL, NULL, NULL, NULL, 'BNAA02G07610D PROTEIN', 130316),
(186591, 'PTHR11746:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130317),
(186592, 'PTHR22881:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130318),
(186593, 'PTHR14421', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 1', 130319),
(186594, 'PTHR40743', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 130320),
(186595, 'PTHR13093', NULL, NULL, NULL, NULL, 'ZINC FINGER HIT DOMAIN CONTAINING PROTEIN 1', 130321),
(186596, 'PTHR31734:SF170', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 130322),
(186597, 'PTHR11328:SF33', NULL, NULL, NULL, NULL, 'ZGC:171489', 130323),
(186598, 'PTHR12400:SF88', NULL, NULL, NULL, NULL, 'KINASE', 130324),
(186599, 'PTHR46204:SF12', NULL, NULL, NULL, NULL, 'LYSM RECEPTOR KINASE 1B', 130325),
(186600, 'PTHR10544:SF21', NULL, NULL, NULL, NULL, 'OS01G0706500 PROTEIN', 130326);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(186601, 'PTHR45999', NULL, NULL, NULL, NULL, 'UNC-13-4A, ISOFORM B', 130327),
(186602, 'PTHR43969:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE S TRANSFERASE D11, ISOFORM B', 130328),
(186603, 'PTHR11516:SF52', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA, SOMATIC FORM, MITOCHONDRIAL', 130329),
(186604, 'PTHR33207:SF69', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 130330),
(186605, 'PTHR37253', NULL, NULL, NULL, NULL, 'PROTEIN GAMETE EXPRESSED 3', 130331),
(186606, 'PTHR34835:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130332),
(186607, 'PTHR24012:SF721', NULL, NULL, NULL, NULL, 'CUGBP ELAV-LIKE FAMILY MEMBER 4', 130333),
(186608, 'PTHR11771:SF111', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 130334),
(186609, 'PTHR46133:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILR3', 130335),
(186610, 'PTHR11819:SF110', NULL, NULL, NULL, NULL, 'GENE 5134-RELATED', 130336),
(186611, 'PTHR24366:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130337),
(186612, 'PTHR15337:SF5', NULL, NULL, NULL, NULL, 'ANTERIOR GRADIENT PROTEIN 3', 130338),
(186613, 'PTHR46671', NULL, NULL, NULL, NULL, 'PROTEIN CBG11221', 130339),
(186614, 'PTHR36108', NULL, NULL, NULL, NULL, 'COLOSSIN-B-RELATED', 130340),
(186615, 'PTHR21148', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 9', 130341),
(186616, 'PTHR11071:SF474', NULL, NULL, NULL, NULL, 'RAN BINDING PROTEIN 2', 130342),
(186617, 'PTHR24028:SF114', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 1 GAMMA 1-RELATED', 130343),
(186618, 'PTHR24362', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK', 130344),
(186619, 'PTHR43822:SF13', NULL, NULL, NULL, NULL, 'DEHYDRATASE, PUTATIVE-RELATED', 130345),
(186620, 'PTHR23510:SF19', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING MEMBRANE PROTEIN OS06G0129400', 130346),
(186621, 'PTHR45878:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP2-LIKE', 130347),
(186622, 'PTHR47992:SF161', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 65-RELATED', 130348),
(186623, 'PTHR22893:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130349),
(186624, 'PTHR26453:SF250', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 130350),
(186625, 'PTHR31554:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 184', 130351),
(186626, 'PTHR11746:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130352),
(186627, 'PTHR13992:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COREPRESSOR 1-RELATED', 130353),
(186628, 'PTHR47180:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-BINDING PROTEIN GGA1-RELATED', 130354),
(186629, 'PTHR11877:SF74', NULL, NULL, NULL, NULL, 'OS11G0529100 PROTEIN', 130355),
(186630, 'PTHR10177:SF470', NULL, NULL, NULL, NULL, 'BNAA09G52480D PROTEIN', 130356),
(186631, 'PTHR43795:SF70', NULL, NULL, NULL, NULL, 'ACC SYNTHASE 10-RELATED', 130357),
(186632, 'PTHR11685:SF234', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 130358),
(186633, 'PTHR11871:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', 130359),
(186634, 'PTHR11538:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130360),
(186635, 'PTHR12978:SF0', NULL, NULL, NULL, NULL, 'M7GPPPX DIPHOSPHATASE', 130361),
(186636, 'PTHR46271:SF1', NULL, NULL, NULL, NULL, 'RETINAL HOMEOBOX PROTEIN RX1', 130362),
(186637, 'PTHR48043:SF93', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 130363),
(186638, 'PTHR31276:SF13', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1-LIKE', 130364),
(186639, 'PTHR47926:SF116', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 130365),
(186640, 'PTHR13205:SF19', NULL, NULL, NULL, NULL, 'BNAC04G12540D PROTEIN', 130366),
(186641, 'PTHR33285', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 3', 130367),
(186642, 'PTHR11654:SF493', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.6-LIKE', 130368),
(186643, 'PTHR11711:SF394', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 6', 130369),
(186644, 'PTHR31896:SF47', NULL, NULL, NULL, NULL, 'ACYL-TRANSFERASE FAMILY PROTEIN, PUTATIVE-RELATED', 130370);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(186645, 'PTHR47958:SF72', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX3Y', 130371),
(186646, 'PTHR34493:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG13422', 130372),
(186647, 'PTHR11467:SF107', NULL, NULL, NULL, NULL, 'BNAC06G02160D PROTEIN', 130373),
(186648, 'PTHR23113:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130374),
(186649, 'PTHR19332:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX13', 130375),
(186650, 'PTHR34545', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 22', 130376),
(186651, 'PTHR14167:SF30', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN 1', 130377),
(186652, 'PTHR47785:SF6', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 130378),
(186653, 'PTHR23235:SF92', NULL, NULL, NULL, NULL, 'SI:CH211-117K10.3', 130379),
(186654, 'PTHR33873:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR VOZ1', 130380),
(186655, 'PTHR22601:SF73', NULL, NULL, NULL, NULL, 'BNAA03G12220D PROTEIN', 130381),
(186656, 'PTHR11374', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE DEHYDROGENASE/UDP-MANNAC DEHYDROGENASE', 130382),
(186657, 'PTHR26453:SF117', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2C3', 130383),
(186658, 'PTHR48082:SF5', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ALPHA, CHLOROPLASTIC', 130384),
(186659, 'PTHR43748:SF7', NULL, NULL, NULL, NULL, 'BNAA06G35020D PROTEIN', 130385),
(186660, 'PTHR33057:SF89', NULL, NULL, NULL, NULL, 'OS08G0102400 PROTEIN', 130386),
(186661, 'PTHR44102:SF6', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN', 130387),
(186662, 'PTHR10443:SF40', NULL, NULL, NULL, NULL, 'DIPEPTIDASE', 130388),
(186663, 'PTHR24025:SF12', NULL, NULL, NULL, NULL, 'DESMOCOLLIN-3', 130389),
(186664, 'PTHR47760:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR B0563.6-RELATED', 130390),
(186665, 'PTHR24637:SF291', NULL, NULL, NULL, NULL, 'COLLAGEN', 130391),
(186666, 'PTHR27006:SF271', NULL, NULL, NULL, NULL, 'BNAA09G26680D PROTEIN', 130392),
(186667, 'PTHR16188', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 INHIBITOR POTENTIATED BY PROTEIN KINASE C', 130393),
(186668, 'PTHR31992:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130394),
(186669, 'PTHR12369:SF20', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE N-ACETYLGALACTOSAMINYLTRANSFERASE 2', 130395),
(186670, 'PTHR24281:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130396),
(186671, 'PTHR34268', NULL, NULL, NULL, NULL, 'OS01G0321850 PROTEIN', 130397),
(186672, 'PTHR48034:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130398),
(186673, 'PTHR10286:SF52', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE-LIKE', 130399),
(186674, 'PTHR24027:SF96', NULL, NULL, NULL, NULL, 'CADHERIN-12', 130400),
(186675, 'PTHR10953:SF201', NULL, NULL, NULL, NULL, 'SUMO-ACTIVATING ENZYME SUBUNIT 1', 130401),
(186676, 'PTHR18945:SF529', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR (51.1 KD) (ACR-22)-RELATED', 130402),
(186677, 'PTHR11835:SF61', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] CATALYTIC SUBUNIT 6, MITOCHONDRIAL', 130403),
(186678, 'PTHR31407:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130404),
(186679, 'PTHR20908', NULL, NULL, NULL, NULL, 'LD15586P', 130405),
(186680, 'PTHR24320:SF205', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', 130406),
(186681, 'PTHR23023:SF38', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', 130407),
(186682, 'PTHR45867', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 130408),
(186683, 'PTHR13989:SF42', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 32 KDA SUBUNIT A-LIKE', 130409),
(186684, 'PTHR23299:SF51', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1B', 130410),
(186685, 'PTHR27003:SF363', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 8-RELATED', 130411),
(186686, 'PTHR33399:SF5', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF LUMENAL LOCATION 2, CHLOROPLASTIC', 130412),
(186687, 'PTHR13935:SF135', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX PROTEIN 4', 130413),
(186688, 'PTHR46927:SF2', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 8', 130414); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(186689, 'PTHR34755', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 130415),
(186690, 'PTHR11685:SF329', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', 130416),
(186691, 'PTHR28625:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 35', 130417),
(186692, 'PTHR11258:SF7', NULL, NULL, NULL, NULL, '2''-5''-OLIGOADENYLATE SYNTHASE-LIKE PROTEIN 2', 130418),
(186693, 'PTHR30472:SF58', NULL, NULL, NULL, NULL, 'IRON(3+)-HYDROXAMATE IMPORT SYSTEM PERMEASE PROTEIN FHUB', 130419),
(186694, 'PTHR11468:SF29', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE, BRAIN FORM', 130420),
(186695, 'PTHR31642:SF139', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', 130421),
(186696, 'PTHR23266:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130422),
(186697, 'PTHR20961:SF74', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 130423),
(186698, 'PTHR45795:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130424),
(186699, 'PTHR43277', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE', 130425),
(186700, 'PTHR46479:SF1', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 2', 130426),
(186701, 'PTHR27006:SF343', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 25', 130427),
(186702, 'PTHR10903:SF154', NULL, NULL, NULL, NULL, 'SI:CH211-280C16.1-RELATED', 130428),
(186703, 'PTHR12411:SF619', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE', 130429),
(186704, 'PTHR40524', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 130430),
(186705, 'PTHR22930:SF213', NULL, NULL, NULL, NULL, 'NUCLEASE', 130431),
(186706, 'PTHR36159:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG23766', 130432),
(186707, 'PTHR12203:SF18', NULL, NULL, NULL, NULL, 'PROTEIN O-GLUCOSYLTRANSFERASE 3', 130433),
(186708, 'PTHR38620:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07292', 130434),
(186709, 'PTHR47947:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130435),
(186710, 'PTHR46038:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130436),
(186711, 'PTHR46733:SF7', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN, EXPRESSED', 130437),
(186712, 'PTHR27000:SF162', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IRK-RELATED', 130438),
(186713, 'PTHR31374:SF175', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 130439),
(186714, 'PTHR33591:SF4', NULL, NULL, NULL, NULL, 'OS08G0114100 PROTEIN', 130440),
(186715, 'PTHR24281:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130441),
(186716, 'PTHR45798:SF34', NULL, NULL, NULL, NULL, 'OS12G0148000 PROTEIN', 130442),
(186717, 'PTHR45974:SF197', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE', 130443),
(186718, 'PTHR45868:SF54', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION PROTEIN', 130444),
(186719, 'PTHR12448:SF6', NULL, NULL, NULL, NULL, 'BNAC01G32170D PROTEIN', 130445),
(186720, 'PTHR47064:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_1G08990)-RELATED', 130446),
(186721, 'PTHR11785:SF382', NULL, NULL, NULL, NULL, 'LOW-AFFINITY METHIONINE PERMEASE', 130447),
(186722, 'PTHR47561:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL POLYSACCHARIDE DEACETYLASE (EUROFUNG)-RELATED', 130448),
(186723, 'PTHR21277:SF34', NULL, NULL, NULL, NULL, 'BNAA03G51500D PROTEIN', 130449),
(186724, 'PTHR33337:SF11', NULL, NULL, NULL, NULL, 'BLR7301 PROTEIN', 130450),
(186725, 'PTHR11814:SF93', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.3-RELATED', 130451),
(186726, 'PTHR21450:SF16', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 130452),
(186727, 'PTHR11711:SF336', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR', 130453),
(186728, 'PTHR31595:SF53', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE SIRH', 130454),
(186729, 'PTHR11926:SF732', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYLTRANSFERASE UGT13248', 130455),
(186730, 'PTHR27005:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130456),
(186731, 'PTHR45660:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130457),
(186732, 'PTHR34226:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130458);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(186733, 'PTHR43572:SF37', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPC2, CHLOROPLASTIC', 130459),
(186734, 'PTHR31062:SF206', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 130460),
(186735, 'PTHR47925:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130461),
(186736, 'PTHR31315:SF10', NULL, NULL, NULL, NULL, 'OS06G0154900 PROTEIN', 130462),
(186737, 'PTHR15315:SF80', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS FACTOR 10-LIKE', 130463),
(186738, 'PTHR22912:SF210', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE 2, CHLOROPLASTIC', 130464),
(186739, 'PTHR47993:SF55', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 130465),
(186740, 'PTHR31719:SF130', NULL, NULL, NULL, NULL, 'NO APICAL MERISTEM PROTEIN, EXPRESSED', 130466),
(186741, 'PTHR16105:SF0', NULL, NULL, NULL, NULL, 'RNA-BINDING REGION-CONTAINING PROTEIN 3', 130467),
(186742, 'PTHR33890', NULL, NULL, NULL, NULL, 'OS10G0571000 PROTEIN', 130468),
(186743, 'PTHR31228:SF25', NULL, NULL, NULL, NULL, 'CYSTATIN-LIKE PROTEIN-RELATED', 130469),
(186744, 'PTHR22774:SF17', NULL, NULL, NULL, NULL, 'UHRF1-BINDING PROTEIN 1-LIKE', 130470),
(186745, 'PTHR31018:SF3', NULL, NULL, NULL, NULL, 'CELL WALL MANNOPROTEIN PST1-RELATED', 130471),
(186746, 'PTHR19443:SF17', NULL, NULL, NULL, NULL, 'HEXOKINASE-8', 130472),
(186747, 'PTHR33147:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130473),
(186748, 'PTHR31311:SF18', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE-RELATED', 130474),
(186749, 'PTHR48065:SF21', NULL, NULL, NULL, NULL, 'ELICITOR-INDUCIBLE LRR RECEPTOR-LIKE PROTEIN EILP', 130475),
(186750, 'PTHR13035:SF0', NULL, NULL, NULL, NULL, 'PROTEIN N-TERMINAL GLUTAMINE AMIDOHYDROLASE', 130476),
(186751, 'PTHR45844:SF24', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 130477),
(186752, 'PTHR10671', NULL, NULL, NULL, NULL, 'EPITHELIAL MEMBRANE PROTEIN-RELATED', 130478),
(186753, 'PTHR45644:SF4', NULL, NULL, NULL, NULL, 'OS05G0584600 PROTEIN', 130479),
(186754, 'PTHR16866:SF3', NULL, NULL, NULL, NULL, 'NEUROMEDIN-B', 130480),
(186755, 'PTHR31956:SF1', NULL, NULL, NULL, NULL, 'NON-SPECIFIC PHOSPHOLIPASE C1', 130481),
(186756, 'PTHR31865:SF52', NULL, NULL, NULL, NULL, 'BNAA04G18200D PROTEIN', 130482),
(186757, 'PTHR15718:SF5', NULL, NULL, NULL, NULL, 'G PROTEIN-REGULATED INDUCER OF NEURITE OUTGROWTH 2', 130483),
(186758, 'PTHR11604:SF0', NULL, NULL, NULL, NULL, 'PROFILIN', 130484),
(186759, 'PTHR12565:SF390', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BPE', 130485),
(186760, 'PTHR47926:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130486),
(186761, 'PTHR48061:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130487),
(186762, 'PTHR24418:SF87', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE ABL2', 130488),
(186763, 'PTHR46546:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE, PUTATIVE-RELATED', 130489),
(186764, 'PTHR47074:SF28', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', 130490),
(186765, 'PTHR12411:SF636', NULL, NULL, NULL, NULL, 'PROTEIN CBG02822', 130491),
(186766, 'PTHR22973:SF14', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A-BINDING DOMAIN-CONTAINING 3-RELATED', 130492),
(186767, 'PTHR12398:SF28', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE INHIBITOR 2-LIKE ISOFORM X1', 130493),
(186768, 'PTHR31044:SF55', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 4', 130494),
(186769, 'PTHR33165:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130495),
(186770, 'PTHR24377:SF875', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 468', 130496),
(186771, 'PTHR44942', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 130497),
(186772, 'PTHR11955:SF56', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN 1', 130498),
(186773, 'PTHR11845:SF17', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PHOSPHOHYDROLASE', 130499),
(186774, 'PTHR22911', NULL, NULL, NULL, NULL, 'ACYL-MALONYL CONDENSING ENZYME-RELATED', 130500),
(186775, 'PTHR13748:SF40', NULL, NULL, NULL, NULL, 'OSJNBA0083N12.6 PROTEIN', 130501),
(186776, 'PTHR33985:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130502);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(186777, 'PTHR31972:SF12', NULL, NULL, NULL, NULL, 'OS01G0909400 PROTEIN', 130503),
(186778, 'PTHR13417:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG22173', 130504),
(186779, 'PTHR11945:SF460', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', 130505),
(186780, 'PTHR12570:SF6', NULL, NULL, NULL, NULL, 'DUF803 DOMAIN MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G07070)', 130506),
(186781, 'PTHR23268:SF38', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 14', 130507),
(186782, 'PTHR33210:SF24', NULL, NULL, NULL, NULL, 'OS05G0346700 PROTEIN', 130508),
(186783, 'PTHR46139:SF2', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE 1', 130509),
(186784, 'PTHR46468:SF2', NULL, NULL, NULL, NULL, 'PROTEASE, SENP8, PUTATIVE-RELATED', 130510),
(186785, 'PTHR21596:SF69', NULL, NULL, NULL, NULL, 'XS DOMAIN-CONTAINING PROTEIN-RELATED', 130511),
(186786, 'PTHR13832:SF287', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1H', 130512),
(186787, 'PTHR31279:SF59', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 2', 130513),
(186788, 'PTHR11767:SF40', NULL, NULL, NULL, NULL, 'ATP-SENSITIVE INWARD RECTIFIER POTASSIUM CHANNEL 14', 130514),
(186789, 'PTHR33334:SF8', NULL, NULL, NULL, NULL, 'PROTEIN LNK1', 130515),
(186790, 'PTHR35601:SF2', NULL, NULL, NULL, NULL, 'MRNA INTERFERASE TOXIN RELE', 130516),
(186791, 'PTHR15298:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07665', 130517),
(186792, 'PTHR46128:SF148', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 130518),
(186793, 'PTHR12604:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130519),
(186794, 'PTHR11157:SF139', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN', 130520),
(186795, 'PTHR44068:SF9', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 130521),
(186796, 'PTHR47975:SF36', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 1-1', 130522),
(186797, 'PTHR12859', NULL, NULL, NULL, NULL, 'PRA1 PROTEIN', 130523),
(186798, 'PTHR32071:SF101', NULL, NULL, NULL, NULL, 'ACETOIN DEHYDROGENASE OPERON TRANSCRIPTIONAL ACTIVATOR ACOR', 130524),
(186799, 'PTHR11101:SF81', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORTER 1-A', 130525),
(186800, 'PTHR11413:SF113', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 130526),
(186801, 'PTHR28189:SF1', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA', 130527),
(186802, 'PTHR32432:SF4', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSA', 130528),
(186803, 'PTHR11482:SF61', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE-LIKE', 130529),
(186804, 'PTHR33064:SF27', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP K MEMBER 25 POL', 130530),
(186805, 'PTHR24103:SF637', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 49-RELATED', 130531),
(186806, 'PTHR21726:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130532),
(186807, 'PTHR19300:SF46', NULL, NULL, NULL, NULL, 'N-ACETYLLACTOSAMINE SYNTHASE', 130533),
(186808, 'PTHR30565:SF9', NULL, NULL, NULL, NULL, 'PROTEIN YCIF', 130534),
(186809, 'PTHR36480:SF3', NULL, NULL, NULL, NULL, 'OS06G0118900 PROTEIN', 130535),
(186810, 'PTHR13773:SF16', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 1', 130536),
(186811, 'PTHR41709', NULL, NULL, NULL, NULL, 'KAIB-LIKE PROTEIN 1', 130537),
(186812, 'PTHR11632:SF72', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN SUBUNIT 2, MITOCHONDRIAL', 130538),
(186813, 'PTHR10209:SF752', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 12', 130539),
(186814, 'PTHR11214:SF151', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 130540),
(186815, 'PTHR24023:SF905', NULL, NULL, NULL, NULL, 'COLLAGEN', 130541),
(186816, 'PTHR37888:SF13', NULL, NULL, NULL, NULL, 'BNAA09G55480D PROTEIN', 130542),
(186817, 'PTHR47841:SF11', NULL, NULL, NULL, NULL, 'BNAUNNG00260D PROTEIN', 130543),
(186818, 'PTHR31683:SF130', NULL, NULL, NULL, NULL, 'PECTATE LYASE 1-RELATED', 130544),
(186819, 'PTHR24210:SF7', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN PIN-2', 130545),
(186820, 'PTHR31024:SF3', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 130546);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(186821, 'PTHR10796:SF103', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 130547),
(186822, 'PTHR35442:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 249', 130548),
(186823, 'PTHR14130:SF13', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 44', 130549),
(186824, 'PTHR27003:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130550),
(186825, 'PTHR47030:SF3', NULL, NULL, NULL, NULL, 'OS04G0489100 PROTEIN', 130551),
(186826, 'PTHR24067:SF274', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 2', 130552),
(186827, 'PTHR33133:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130553),
(186828, 'PTHR12506:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 58', 130554),
(186829, 'PTHR14297:SF9', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 3', 130555),
(186830, 'PTHR10799:SF989', NULL, NULL, NULL, NULL, 'BNAA05G30940D PROTEIN', 130556),
(186831, 'PTHR24056:SF495', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE E-1', 130557),
(186832, 'PTHR32467:SF156', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR AIL1', 130558),
(186833, 'PTHR31636:SF131', NULL, NULL, NULL, NULL, 'OS01G0842200 PROTEIN', 130559),
(186834, 'PTHR46033:SF16', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM-LIKE PROTEIN', 130560),
(186835, 'PTHR31867:SF126', NULL, NULL, NULL, NULL, 'EXPANSIN', 130561),
(186836, 'PTHR13159', NULL, NULL, NULL, NULL, 'RADIAL SPOKEHEAD-RELATED', 130562),
(186837, 'PTHR46452', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 3', 130563),
(186838, 'PTHR24067:SF280', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME UBC9', 130564),
(186839, 'PTHR46937:SF3', NULL, NULL, NULL, NULL, 'FERREDOXIN/THIOREDOXIN REDUCTASE SUBUNIT A (VARIABLE SUBUNIT) 2', 130565),
(186840, 'PTHR35997:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130566),
(186841, 'PTHR31388:SF121', NULL, NULL, NULL, NULL, 'PEROXIDASE', 130567),
(186842, 'PTHR10201:SF76', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-26', 130568),
(186843, 'PTHR24343:SF452', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 130569),
(186844, 'PTHR45631:SF39', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 130570),
(186845, 'PTHR46284:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KINESIN LIGHT CHAIN-RELATED 1', 130571),
(186846, 'PTHR33558:SF3', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN', 130572),
(186847, 'PTHR45708:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130573),
(186848, 'PTHR42811:SF8', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE 2-RELATED', 130574),
(186849, 'PTHR33214:SF42', NULL, NULL, NULL, NULL, 'BNAA09G13990D PROTEIN', 130575),
(186850, 'PTHR18934:SF135', NULL, NULL, NULL, NULL, 'DNA HELICASE B', 130576),
(186851, 'PTHR27005:SF306', NULL, NULL, NULL, NULL, 'WALL ASSOCIATED KINASE-LIKE PROTEIN', 130577),
(186852, 'PTHR12081:SF51', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2FC', 130578),
(186853, 'PTHR22684', NULL, NULL, NULL, NULL, 'NULP1-RELATED', 130579),
(186854, 'PTHR12506:SF48', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 67-LIKE', 130580),
(186855, 'PTHR13146:SF0', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER F6', 130581),
(186856, 'PTHR11732:SF465', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN', 130582),
(186857, 'PTHR22731:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130583),
(186858, 'PTHR28650:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-GLYCAN BIOSYNTHESIS CLASS X PROTEIN', 130584),
(186859, 'PTHR14057:SF10', NULL, NULL, NULL, NULL, 'ONE CUT DOMAIN FAMILY MEMBER 2', 130585),
(186860, 'PTHR12876:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG20097', 130586),
(186861, 'PTHR23423:SF64', NULL, NULL, NULL, NULL, 'OSJNBB0078D11.6 PROTEIN', 130587),
(186862, 'PTHR21700:SF119', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 130588),
(186863, 'PTHR21035:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S26, MITOCHONDRIAL', 130589),
(186864, 'PTHR24232:SF49', NULL, NULL, NULL, NULL, 'PSYCHOSINE RECEPTOR', 130590);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(186865, 'PTHR48054:SF14', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 2', 130591),
(186866, 'PTHR47992:SF128', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60-RELATED', 130592),
(186867, 'PTHR46076:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1', 130593),
(186868, 'PTHR43728', NULL, NULL, NULL, NULL, 'SLR0304 PROTEIN', 130594),
(186869, 'PTHR21462', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN OX2 RECEPTOR PRECURSOR', 130595),
(186870, 'PTHR27002:SF835', NULL, NULL, NULL, NULL, 'OS04G0632500 PROTEIN', 130596),
(186871, 'PTHR31080:SF113', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 1-LIKE', 130597),
(186872, 'PTHR13800:SF7', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 3', 130598),
(186873, 'PTHR45772:SF7', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN LIVG', 130599),
(186874, 'PTHR11097:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130600),
(186875, 'PTHR22595:SF101', NULL, NULL, NULL, NULL, 'OS05G0138200 PROTEIN', 130601),
(186876, 'PTHR46453:SF1', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C-BINDING PROTEIN 1,-LIKE', 130602),
(186877, 'PTHR36437:SF2', NULL, NULL, NULL, NULL, 'GLYOXALASE/BLEOMYCIN RESISTANCE PROTEIN/DIOXYGENASE', 130603),
(186878, 'PTHR24124', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY A', 130604),
(186879, 'PTHR11640:SF83', NULL, NULL, NULL, NULL, 'AGAP011094-PA', 130605),
(186880, 'PTHR47232:SF3', NULL, NULL, NULL, NULL, 'BNAC09G37710D PROTEIN', 130606),
(186881, 'PTHR32044:SF79', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 2-RELATED', 130607),
(186882, 'PTHR34494', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 130608),
(186883, 'PTHR31194:SF95', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF118', 130609),
(186884, 'PTHR28491:SF1', NULL, NULL, NULL, NULL, 'UPF0688 PROTEIN C1ORF174', 130610),
(186885, 'PTHR37540:SF10', NULL, NULL, NULL, NULL, 'SIGMA-70 REGION 2 FAMILY PROTEIN', 130611),
(186886, 'PTHR33601:SF4', NULL, NULL, NULL, NULL, 'PROTEIN LITTLE ZIPPER 4-LIKE', 130612),
(186887, 'PTHR21660:SF4', NULL, NULL, NULL, NULL, 'THIOESTERASE', 130613),
(186888, 'PTHR13878:SF141', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE-RELATED', 130614),
(186889, 'PTHR31867:SF202', NULL, NULL, NULL, NULL, 'EXPANSIN', 130615),
(186890, 'PTHR24372:SF73', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G-PROTEIN COUPLED RECEPTOR 6', 130616),
(186891, 'PTHR46413:SF17', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', 130617),
(186892, 'PTHR42100:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 178 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04320)-RELATED', 130618),
(186893, 'PTHR24406:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 711', 130619),
(186894, 'PTHR16308:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED PROTEIN 2', 130620),
(186895, 'PTHR21724:SF105', NULL, NULL, NULL, NULL, 'PROTEIN CBG03259', 130621),
(186896, 'PTHR21237:SF23', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG, MITOCHONDRIAL', 130622),
(186897, 'PTHR27006:SF228', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130623),
(186898, 'PTHR21717:SF80', NULL, NULL, NULL, NULL, 'BNAA05G26590D PROTEIN', 130624),
(186899, 'PTHR21399:SF3', NULL, NULL, NULL, NULL, 'METHYLOSOME SUBUNIT PICLN', 130625),
(186900, 'PTHR24064:SF33', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 7', 130626),
(186901, 'PTHR34206', NULL, NULL, NULL, NULL, 'OS06G0193300 PROTEIN', 130627),
(186902, 'PTHR22957:SF553', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', 130628),
(186903, 'PTHR14499:SF122', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD7', 130629),
(186904, 'PTHR30055:SF178', NULL, NULL, NULL, NULL, 'TETR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 130630),
(186905, 'PTHR36287', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 130631),
(186906, 'PTHR33127:SF63', NULL, NULL, NULL, NULL, 'BNAA02G10430D PROTEIN', 130632),
(186907, 'PTHR46249:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130633);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(186908, 'PTHR35345', NULL, NULL, NULL, NULL, 'TELOMERE REPEATS-BINDING BOUQUET FORMATION PROTEIN 2', 130634),
(186909, 'PTHR31096:SF58', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR10-LIKE', 130635),
(186910, 'PTHR33091:SF51', NULL, NULL, NULL, NULL, 'SUBTILISIN-CHYMOTRYPSIN INHIBITOR CI-1C', 130636),
(186911, 'PTHR10814:SF2', NULL, NULL, NULL, NULL, 'TRANSDUCIN-LIKE ENHANCER PROTEIN 6', 130637),
(186912, 'PTHR46836', NULL, NULL, NULL, NULL, 'AFADIN', 130638),
(186913, 'PTHR31024:SF8', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 130639),
(186914, 'PTHR23502:SF157', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G11780)-RELATED', 130640),
(186915, 'PTHR24128:SF67', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT31-RELATED', 130641),
(186916, 'PTHR43620:SF21', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL3 ISOFORM X1', 130642),
(186917, 'PTHR46796:SF2', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR RHAS', 130643),
(186918, 'PTHR44666', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 53', 130644),
(186919, 'PTHR42688', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 130645),
(186920, 'PTHR11540:SF52', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE 2, PEROXISOMAL', 130646),
(186921, 'PTHR47074:SF32', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 130647),
(186922, 'PTHR45921', NULL, NULL, NULL, NULL, 'IP01054P', 130648),
(186923, 'PTHR46391:SF20', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 2', 130649),
(186924, 'PTHR24115:SF355', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF17', 130650),
(186925, 'PTHR31175:SF43', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR61-RELATED', 130651),
(186926, 'PTHR10824:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG12559', 130652),
(186927, 'PTHR11645:SF60', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE 2', 130653),
(186928, 'PTHR36488', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1U1', 130654),
(186929, 'PTHR10110', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 130655),
(186930, 'PTHR11863:SF169', NULL, NULL, NULL, NULL, 'BNAA05G33480D PROTEIN', 130656),
(186931, 'PTHR14221:SF49', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 44-LIKE ISOFORM X1', 130657),
(186932, 'PTHR31032:SF13', NULL, NULL, NULL, NULL, 'PGR5-LIKE PROTEIN 1A, CHLOROPLASTIC', 130658),
(186933, 'PTHR17601', NULL, NULL, NULL, NULL, 'RAFTLIN-RELATED', 130659),
(186934, 'PTHR31111:SF15', NULL, NULL, NULL, NULL, 'BNAA03G19310D PROTEIN', 130660),
(186935, 'PTHR32332:SF34', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE FAMILY, PUTATIVE-RELATED', 130661),
(186936, 'PTHR45880', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, X-LINKED 2', 130662),
(186937, 'PTHR32134:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130663),
(186938, 'PTHR45894:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 8A', 130664),
(186939, 'PTHR32093:SF150', NULL, NULL, NULL, NULL, 'BNAA09G55960D PROTEIN', 130665),
(186940, 'PTHR47997:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130666),
(186941, 'PTHR10209:SF693', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130667),
(186942, 'PTHR19965:SF80', NULL, NULL, NULL, NULL, 'CHROMATIN TARGET OF PRMT1 PROTEIN', 130668),
(186943, 'PTHR42884:SF17', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE 2 HOMOLOG', 130669),
(186944, 'PTHR31371:SF14', NULL, NULL, NULL, NULL, 'SIMILARITY TO UNKNOWN PROTEIN', 130670),
(186945, 'PTHR45691:SF6', NULL, NULL, NULL, NULL, 'PROTEIN DIAPHANOUS', 130671),
(186946, 'PTHR11064:SF136', NULL, NULL, NULL, NULL, 'BNAA01G28350D PROTEIN', 130672),
(186947, 'PTHR10666:SF336', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-LIKE', 130673),
(186948, 'PTHR24220:SF670', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER H FAMILY MEMBER 2', 130674),
(186949, 'PTHR28155:SF1', NULL, NULL, NULL, NULL, 'ACR243WP', 130675),
(186950, 'PTHR11216:SF141', NULL, NULL, NULL, NULL, 'ACTIN CYTOSKELETON-REGULATORY COMPLEX PROTEIN PAN1-LIKE', 130676),
(186951, 'PTHR34208:SF15', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 130677),
(186952, 'PTHR43690', NULL, NULL, NULL, NULL, 'NARDILYSIN', 130678);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(186953, 'PTHR35714:SF2', NULL, NULL, NULL, NULL, 'OS08G0511400 PROTEIN', 130679),
(186954, 'PTHR32133:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130680),
(186955, 'PTHR31721:SF4', NULL, NULL, NULL, NULL, 'OS06G0710300 PROTEIN', 130681),
(186956, 'PTHR43537:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR PHNF-RELATED', 130682),
(186957, 'PTHR42721:SF17', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN-RELATED', 130683),
(186958, 'PTHR15441', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P14', 130684),
(186959, 'PTHR30502', NULL, NULL, NULL, NULL, '2-KETO-3-DEOXY-L-RHAMNONATE ALDOLASE', 130685),
(186960, 'PTHR15653:SF3', NULL, NULL, NULL, NULL, 'STRIATIN-3', 130686),
(186961, 'PTHR14379:SF27', NULL, NULL, NULL, NULL, 'BNAA01G07770D PROTEIN', 130687),
(186962, 'PTHR12459:SF18', NULL, NULL, NULL, NULL, 'BNAANNG02190D PROTEIN', 130688),
(186963, 'PTHR24233:SF6', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR RECEPTOR', 130689),
(186964, 'PTHR34135', NULL, NULL, NULL, NULL, 'LYSOZYME', 130690),
(186965, 'PTHR46201:SF7', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 130691),
(186966, 'PTHR45993:SF3', NULL, NULL, NULL, NULL, 'BAF CHROMATIN-REMODELING COMPLEX SUBUNIT BCL11A B', 130692),
(186967, 'PTHR12478:SF17', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE TRANSCRIPT 4-LIKE PROTEIN', 130693),
(186968, 'PTHR47330:SF3', NULL, NULL, NULL, NULL, 'POLY(U) BINDING SPLICING FACTOR 60', 130694),
(186969, 'PTHR11877:SF83', NULL, NULL, NULL, NULL, 'BNAA09G41780D PROTEIN', 130695),
(186970, 'PTHR46939:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 2', 130696),
(186971, 'PTHR46623:SF6', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 130697),
(186972, 'PTHR45726', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 130698),
(186973, 'PTHR12725:SF113', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE', 130699),
(186974, 'PTHR16134:SF17', NULL, NULL, NULL, NULL, 'OS08G0195900 PROTEIN', 130700),
(186975, 'PTHR12112:SF11', NULL, NULL, NULL, NULL, 'PROTEIN PRUNE HOMOLOG 2', 130701),
(186976, 'PTHR47976:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130702),
(186977, 'PTHR11866:SF37', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E RECEPTOR 4 (SUBTYPE EP4) B', 130703),
(186978, 'PTHR11850:SF96', NULL, NULL, NULL, NULL, 'ASSOCIATED WITH HOX FAMILY PROTEIN, EXPRESSED', 130704),
(186979, 'PTHR31150:SF37', NULL, NULL, NULL, NULL, 'BNAA06G40780D PROTEIN', 130705),
(186980, 'PTHR48002', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 130706),
(186981, 'PTHR12103:SF35', NULL, NULL, NULL, NULL, 'BNAA07G31970D PROTEIN', 130707),
(186982, 'PTHR42861:SF31', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE-RELATED', 130708),
(186983, 'PTHR47515:SF2', NULL, NULL, NULL, NULL, 'LOW CALCIUM RESPONSE LOCUS PROTEIN T', 130709),
(186984, 'PTHR37378:SF6', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE WOUND-INDUCED PROTEINASE INHIBITOR WIP1', 130710),
(186985, 'PTHR10652:SF16', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', 130711),
(186986, 'PTHR16134:SF43', NULL, NULL, NULL, NULL, 'CORONATINE-INSENSITIVE PROTEIN 1', 130712),
(186987, 'PTHR24026:SF100', NULL, NULL, NULL, NULL, 'DACHSOUS CADHERIN-RELATED 1A', 130713),
(186988, 'PTHR27008:SF405', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 130714),
(186989, 'PTHR10687:SF5', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 5', 130715),
(186990, 'PTHR31549:SF144', NULL, NULL, NULL, NULL, 'EMB|CAB72473.1-RELATED', 130716),
(186991, 'PTHR33286:SF4', NULL, NULL, NULL, NULL, 'OS01G0800600 PROTEIN', 130717),
(186992, 'PTHR27007:SF227', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.5-RELATED', 130718),
(186993, 'PTHR12601:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130719),
(186994, 'PTHR31642:SF238', NULL, NULL, NULL, NULL, 'BNAC03G58010D PROTEIN', 130720),
(186995, 'PTHR11206:SF433', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 130721);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(186996, 'PTHR23024:SF492', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1C', 130722),
(186997, 'PTHR47951:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 706 SUBFAMILY A POLYPEPTIDE 5', 130723),
(186998, 'PTHR10969:SF54', NULL, NULL, NULL, NULL, 'ZGC:92606', 130724),
(186999, 'PTHR35577:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130725),
(187000, 'PTHR31319:SF76', NULL, NULL, NULL, NULL, 'CCT MOTIF PROTEIN', 130726),
(187001, 'PTHR47993', NULL, NULL, NULL, NULL, 'OS09G0372900 PROTEIN-RELATED', 130727),
(187002, 'PTHR31140:SF1', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING TRANSCRIPTION REPRESSOR TEM1', 130728),
(187003, 'PTHR13871:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG00891', 130729),
(187004, 'PTHR11527:SF283', NULL, NULL, NULL, NULL, '17.1 KDA CLASS II HEAT SHOCK PROTEIN-LIKE', 130730),
(187005, 'PTHR31734:SF114', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA34', 130731),
(187006, 'PTHR33147:SF47', NULL, NULL, NULL, NULL, 'DEFENSIN', 130732),
(187007, 'PTHR45675:SF65', NULL, NULL, NULL, NULL, 'BNAA02G30960D PROTEIN', 130733),
(187008, 'PTHR24123:SF116', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL, SUBFAMILY A, MEMBER 1B', 130734),
(187009, 'PTHR11256:SF41', NULL, NULL, NULL, NULL, 'BCL-2 HOMOLOGOUS ANTAGONIST/KILLER', 130735),
(187010, 'PTHR23131:SF2', NULL, NULL, NULL, NULL, 'LACTAMASE-LIKE PROTEIN APTB', 130736),
(187011, 'PTHR11668:SF453', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 130737),
(187012, 'PTHR23086:SF119', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', 130738),
(187013, 'PTHR46773:SF7', NULL, NULL, NULL, NULL, 'BNAC03G41890D PROTEIN', 130739),
(187014, 'PTHR22899:SF0', NULL, NULL, NULL, NULL, 'F-BOX B PROTEIN-RELATED', 130740),
(187015, 'PTHR14949:SF42', NULL, NULL, NULL, NULL, 'SCHWANN CELL-SPECIFIC EGF-LIKE REPEAT AUTOCRINE FACTOR', 130741),
(187016, 'PTHR11073:SF35', NULL, NULL, NULL, NULL, 'BNAANNG07030D PROTEIN', 130742),
(187017, 'PTHR21668:SF18', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A-LIKE', 130743),
(187018, 'PTHR23232:SF85', NULL, NULL, NULL, NULL, 'ZNF91 ISOFORM 3', 130744),
(187019, 'PTHR12128:SF38', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE SYNTHETASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G00110)', 130745),
(187020, 'PTHR24305:SF70', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 130746),
(187021, 'PTHR23520:SF5', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G04000)-RELATED', 130747),
(187022, 'PTHR23079:SF5', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE 2', 130748),
(187023, 'PTHR10272:SF12', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE', 130749),
(187024, 'PTHR43339', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN-RELATED', 130750),
(187025, 'PTHR11566:SF50', NULL, NULL, NULL, NULL, 'SI:DKEY-32E23.4', 130751),
(187026, 'PTHR23421:SF50', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE-1-LIKE PROTEIN', 130752),
(187027, 'PTHR12751:SF19', NULL, NULL, NULL, NULL, 'PHOSPHATASE AND ACTIN REGULATOR', 130753),
(187028, 'PTHR45631:SF77', NULL, NULL, NULL, NULL, 'BNAC07G41790D PROTEIN', 130754),
(187029, 'PTHR30535:SF28', NULL, NULL, NULL, NULL, 'IRON ABC TRANSPORTER, SUBSTRATE-BINDING PROTEIN-RELATED', 130755),
(187030, 'PTHR12146:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10-2', 130756),
(187031, 'PTHR16716:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130757),
(187032, 'PTHR10980:SF37', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 1-LIKE', 130758),
(187033, 'PTHR23189', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF-CONTAINING', 130759),
(187034, 'PTHR34732:SF3', NULL, NULL, NULL, NULL, 'ROD PROTEIN, PUTATIVE-RELATED', 130760),
(187035, 'PTHR21213:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG14140', 130761),
(187036, 'PTHR28596:SF1', NULL, NULL, NULL, NULL, 'BBSOME-INTERACTING PROTEIN 1', 130762),
(187037, 'PTHR42795:SF1', NULL, NULL, NULL, NULL, 'ALANINE DEHYDROGENASE', 130763),
(187038, 'PTHR31517:SF54', NULL, NULL, NULL, NULL, 'PEROXIDASE', 130764);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(187039, 'PTHR21596:SF57', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 1-LIKE', 130765),
(187040, 'PTHR45644:SF18', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 130766),
(187041, 'PTHR15746:SF20', NULL, NULL, NULL, NULL, 'RAB11 FAMILY-INTERACTING PROTEIN 2', 130767),
(187042, 'PTHR45714:SF49', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX19', 130768),
(187043, 'PTHR46354:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA1-LIKE', 130769),
(187044, 'PTHR37982:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130770),
(187045, 'PTHR23017:SF25', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS X 45', 130771),
(187046, 'PTHR24286:SF312', NULL, NULL, NULL, NULL, 'ABSCISIC ACID 8''-HYDROXYLASE 4-LIKE', 130772),
(187047, 'PTHR48047:SF56', NULL, NULL, NULL, NULL, 'OS08G0488800 PROTEIN', 130773),
(187048, 'PTHR22943:SF28', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 130774),
(187049, 'PTHR31734:SF198', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 130775),
(187050, 'PTHR11502:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', 130776),
(187051, 'PTHR31341:SF4', NULL, NULL, NULL, NULL, 'IPT/TIG DOMAIN-CONTAINING PROTEIN-RELATED', 130777),
(187052, 'PTHR45621:SF32', NULL, NULL, NULL, NULL, 'OS10G0431900 PROTEIN', 130778),
(187053, 'PTHR30231:SF34', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III, EPSILON CHAIN', 130779),
(187054, 'PTHR34929:SF5', NULL, NULL, NULL, NULL, 'INAF-D', 130780),
(187055, 'PTHR11430:SF10', NULL, NULL, NULL, NULL, 'EPIDIDYMAL-SPECIFIC LIPOCALIN-6', 130781),
(187056, 'PTHR11527:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130782),
(187057, 'PTHR23524:SF1', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04850)-RELATED', 130783),
(187058, 'PTHR45927:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE RECEPTOR-LIKE KINASE NFP', 130784),
(187059, 'PTHR45621:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL15-RELATED', 130785),
(187060, 'PTHR10183:SF268', NULL, NULL, NULL, NULL, 'CALPAIN-2 CATALYTIC SUBUNIT', 130786),
(187061, 'PTHR35896:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130787),
(187062, 'PTHR31288:SF8', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 10-RELATED', 130788),
(187063, 'PTHR11889:SF56', NULL, NULL, NULL, NULL, 'DESERT HEDGEHOG PROTEIN', 130789),
(187064, 'PTHR43051:SF6', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE ADENYLYLTRANSFERASE-RELATED', 130790),
(187065, 'PTHR14326:SF40', NULL, NULL, NULL, NULL, 'PROTEIN TPX2-LIKE', 130791),
(187066, 'PTHR35292:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 130792),
(187067, 'PTHR14224:SF92', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE AV320801-RELATED', 130793),
(187068, 'PTHR33721:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 255B', 130794),
(187069, 'PTHR11886:SF49', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 130795),
(187070, 'PTHR10015:SF356', NULL, NULL, NULL, NULL, 'BNAC09G41040D PROTEIN', 130796),
(187071, 'PTHR31343:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 130797),
(187072, 'PTHR42684:SF3', NULL, NULL, NULL, NULL, 'ADENOSYLMETHIONINE-8-AMINO-7-OXONONANOATE AMINOTRANSFERASE', 130798),
(187073, 'PTHR16223:SF221', NULL, NULL, NULL, NULL, 'BNAA05G18250D PROTEIN', 130799),
(187074, 'PTHR21576:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130800),
(187075, 'PTHR19847:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130801),
(187076, 'PTHR21106', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 130802),
(187077, 'PTHR35489', NULL, NULL, NULL, NULL, 'TITAN9', 130803),
(187078, 'PTHR19860:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130804),
(187079, 'PTHR24093:SF488', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 130805),
(187080, 'PTHR14592:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG13870', 130806),
(187081, 'PTHR12750:SF20', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE', 130807),
(187082, 'PTHR11673:SF30', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', 130808);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(187083, 'PTHR28436:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM5 HOMOLOG', 130809),
(187084, 'PTHR45701:SF17', NULL, NULL, NULL, NULL, 'VAMP/SYNAPTOBREVIN-RELATED', 130810),
(187085, 'PTHR14790', NULL, NULL, NULL, NULL, 'RECQ-MEDIATED GENOME INSTABILITY PROTEIN 1 RMI1', 130811),
(187086, 'PTHR48094', NULL, NULL, NULL, NULL, 'PROTEIN/NUCLEIC ACID DEGLYCASE DJ-1-RELATED', 130812),
(187087, 'PTHR38742:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GP17', 130813),
(187088, 'PTHR43390:SF2', NULL, NULL, NULL, NULL, 'THYLAKOIDAL PROCESSING PEPTIDASE 2, CHLOROPLASTIC-RELATED', 130814),
(187089, 'PTHR45768:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130815),
(187090, 'PTHR12219:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130816),
(187091, 'PTHR18934:SF236', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX37-RELATED', 130817),
(187092, 'PTHR11062:SF267', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 130818),
(187093, 'PTHR45803:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-9', 130819),
(187094, 'PTHR24390:SF124', NULL, NULL, NULL, NULL, 'TISSUE-RESIDENT T-CELL TRANSCRIPTION REGULATOR PROTEIN ZNF683', 130820),
(187095, 'PTHR31238:SF34', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 1-2', 130821),
(187096, 'PTHR22961:SF16', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 40', 130822),
(187097, 'PTHR47819:SF1', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN', 130823),
(187098, 'PTHR31781', NULL, NULL, NULL, NULL, 'UNC80', 130824),
(187099, 'PTHR46163:SF8', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 130825),
(187100, 'PTHR39225:SF1', NULL, NULL, NULL, NULL, 'GENE 28434-RELATED', 130826),
(187101, 'PTHR35545:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130827),
(187102, 'PTHR46899:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1, REGULATORY SUBUNIT 27B', 130828),
(187103, 'PTHR24324:SF10', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN PHO2', 130829),
(187104, 'PTHR10615:SF185', NULL, NULL, NULL, NULL, 'D4, ZINC AND DOUBLE PHD FINGERS FAMILY 2,-LIKE', 130830),
(187105, 'PTHR10134:SF30', NULL, NULL, NULL, NULL, 'RIESKE-I IRON SULFUR PROTEIN', 130831),
(187106, 'PTHR31311:SF20', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 6', 130832),
(187107, 'PTHR11699:SF291', NULL, NULL, NULL, NULL, 'NADP/NAD-DEPENDENT ALDEHYDE DEHYDROGENASE PUUC', 130833),
(187108, 'PTHR24320:SF158', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00440)-RELATED', 130834),
(187109, 'PTHR46571', NULL, NULL, NULL, NULL, 'SORTING NEXIN-8', 130835),
(187110, 'PTHR31375:SF29', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 130836),
(187111, 'PTHR42678:SF18', NULL, NULL, NULL, NULL, 'OS10G0155400 PROTEIN', 130837),
(187112, 'PTHR31681:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130838),
(187113, 'PTHR24377:SF107', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 568', 130839),
(187114, 'PTHR24320:SF225', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR', 130840),
(187115, 'PTHR10809:SF127', NULL, NULL, NULL, NULL, 'OS08G0156700 PROTEIN', 130841),
(187116, 'PTHR11260:SF593', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U25', 130842),
(187117, 'PTHR37429:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG19148', 130843),
(187118, 'PTHR22970:SF14', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 2', 130844),
(187119, 'PTHR10501:SF43', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN-RELATED', 130845),
(187120, 'PTHR47658:SF1', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 12-RELATED', 130846),
(187121, 'PTHR22573', NULL, NULL, NULL, NULL, 'PHOSPHOHEXOMUTASE FAMILY MEMBER', 130847),
(187122, 'PTHR31314:SF74', NULL, NULL, NULL, NULL, 'PROTEIN PHR1-LIKE 1', 130848),
(187123, 'PTHR11003:SF299', NULL, NULL, NULL, NULL, 'TWO PORE DOMAIN POTASSIUM CHANNEL-RELATED', 130849),
(187124, 'PTHR22950:SF224', NULL, NULL, NULL, NULL, 'VACUOLAR AMINO ACID TRANSPORTER 7', 130850),
(187125, 'PTHR14633:SF3', NULL, NULL, NULL, NULL, 'LITTLE ELONGATION COMPLEX SUBUNIT 2', 130851);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(187126, 'PTHR21454:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130852),
(187127, 'PTHR24064:SF487', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 2', 130853),
(187128, 'PTHR33147:SF30', NULL, NULL, NULL, NULL, 'LOW-MOLECULAR-WEIGHT CYSTEINE-RICH PROTEIN LCR70', 130854),
(187129, 'PTHR31225:SF109', NULL, NULL, NULL, NULL, 'ALPHA-HUMULENE/(-)-(E)-BETA-CARYOPHYLLENE SYNTHASE', 130855),
(187130, 'PTHR30474:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE CELL-CYCLE PROTEIN-RELATED', 130856),
(187131, 'PTHR31907:SF68', NULL, NULL, NULL, NULL, 'BNAC05G19070D PROTEIN', 130857),
(187132, 'PTHR10519:SF67', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID TYPE B RECEPTOR SUBUNIT 2', 130858),
(187133, 'PTHR31218:SF332', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 130859),
(187134, 'PTHR37089:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 130860),
(187135, 'PTHR35710:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130861),
(187136, 'PTHR42968:SF10', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN WDR-5.2-RELATED', 130862),
(187137, 'PTHR11571:SF120', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 130863),
(187138, 'PTHR31251:SF109', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 7', 130864),
(187139, 'PTHR12299:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130865),
(187140, 'PTHR22765:SF209', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PLR-1-RELATED', 130866),
(187141, 'PTHR48002:SF30', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 130867),
(187142, 'PTHR10795:SF647', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.1', 130868),
(187143, 'PTHR19353:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130869),
(187144, 'PTHR10971:SF33', NULL, NULL, NULL, NULL, 'BNAA02G19480D PROTEIN', 130870),
(187145, 'PTHR46128:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130871),
(187146, 'PTHR12320:SF39', NULL, NULL, NULL, NULL, 'PTC7 PROTEIN PHOSPHATASE HOMOLOG B', 130872),
(187147, 'PTHR47391', NULL, NULL, NULL, NULL, 'BIORIENTATION OF CHROMOSOMES IN CELL DIVISION 1 LIKE 1', 130873),
(187148, 'PTHR43323:SF16', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', 130874),
(187149, 'PTHR31945:SF119', NULL, NULL, NULL, NULL, 'BNAC05G19400D PROTEIN', 130875),
(187150, 'PTHR23110:SF99', NULL, NULL, NULL, NULL, 'PRE-MOD(MDG4)-T-RELATED', 130876),
(187151, 'PTHR24073:SF1157', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN YPT11', 130877),
(187152, 'PTHR36489', NULL, NULL, NULL, NULL, 'PROTEIN-COUPLED RECEPTOR GPR1, PUTATIVE-RELATED', 130878),
(187153, 'PTHR33452:SF10', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE MHQP-RELATED', 130879),
(187154, 'PTHR48070:SF2', NULL, NULL, NULL, NULL, 'UPF0483 PROTEIN C25G4.2-LIKE', 130880),
(187155, 'PTHR23204:SF12', NULL, NULL, NULL, NULL, 'BNAA02G08930D PROTEIN', 130881),
(187156, 'PTHR20889:SF14', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE 1-LIKE', 130882),
(187157, 'PTHR33052', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN-RELATED', 130883),
(187158, 'PTHR11893:SF27', NULL, NULL, NULL, NULL, 'INNEXIN-17', 130884),
(187159, 'PTHR12629:SF56', NULL, NULL, NULL, NULL, 'BNAA02G25850D PROTEIN', 130885),
(187160, 'PTHR11088:SF70', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE 3, CHLOROPLASTIC', 130886),
(187161, 'PTHR44102:SF4', NULL, NULL, NULL, NULL, 'PROTEIN NPGR1', 130887),
(187162, 'PTHR10037:SF223', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 4 SUBUNIT ALPHA', 130888),
(187163, 'PTHR24225:SF28', NULL, NULL, NULL, NULL, 'C3A ANAPHYLATOXIN CHEMOTACTIC RECEPTOR', 130889),
(187164, 'PTHR13388:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 132C', 130890),
(187165, 'PTHR33133:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130891),
(187166, 'PTHR45707:SF46', NULL, NULL, NULL, NULL, 'OS11G0608700 PROTEIN', 130892),
(187167, 'PTHR33021:SF319', NULL, NULL, NULL, NULL, 'CUPREDOXIN-RELATED', 130893),
(187168, 'PTHR48077:SF2', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE', 130894),
(187169, 'PTHR13944:SF23', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 18', 130895);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(187170, 'PTHR33228:SF46', NULL, NULL, NULL, NULL, 'BNAA06G39670D PROTEIN', 130896),
(187171, 'PTHR24414:SF34', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP20', 130897),
(187172, 'PTHR47491:SF5', NULL, NULL, NULL, NULL, 'CAP-GLY DOMAIN LINKER', 130898),
(187173, 'PTHR12027', NULL, NULL, NULL, NULL, 'WNT RELATED', 130899),
(187174, 'PTHR31929:SF112', NULL, NULL, NULL, NULL, 'BNAC09G39410D PROTEIN', 130900),
(187175, 'PTHR26453:SF213', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 130901),
(187176, 'PTHR37989:SF39', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 9', 130902),
(187177, 'PTHR10801:SF14', NULL, NULL, NULL, NULL, 'BNAC06G03470D PROTEIN', 130903),
(187178, 'PTHR16451:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DYNAMICS PROTEIN MID49', 130904),
(187179, 'PTHR10693', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN-BINDING PROTEIN', 130905),
(187180, 'PTHR15588:SF13', NULL, NULL, NULL, NULL, 'SM-LIKE PROTEIN LSM1A', 130906),
(187181, 'PTHR14255:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130907),
(187182, 'PTHR45089:SF10', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', 130908),
(187183, 'PTHR30013', NULL, NULL, NULL, NULL, 'NIFE / NIFESE HYDROGENASE SMALL SUBUNIT FAMILY MEMBER', 130909),
(187184, 'PTHR10663:SF316', NULL, NULL, NULL, NULL, 'GOLGI-SPECIFIC BREFELDIN A-RESISTANCE GUANINE NUCLEOTIDE EXCHANGE FACTOR 1', 130910),
(187185, 'PTHR32134:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130911),
(187186, 'PTHR45621:SF33', NULL, NULL, NULL, NULL, 'OS03G0821900 PROTEIN', 130912),
(187187, 'PTHR43792:SF8', NULL, NULL, NULL, NULL, '[RIBOSOMAL PROTEIN S5]-ALANINE N-ACETYLTRANSFERASE', 130913),
(187188, 'PTHR46366', NULL, NULL, NULL, NULL, 'PRO-APOPTOTIC SERINE PROTEASE NMA111', 130914),
(187189, 'PTHR31235:SF317', NULL, NULL, NULL, NULL, 'PEROXIDASE', 130915),
(187190, 'PTHR11599:SF179', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-3-B', 130916),
(187191, 'PTHR10972:SF169', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 5', 130917),
(187192, 'PTHR11055:SF17', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3''-PHOSPHOADENOSINE 5''-PHOSPHOSULFATE SYNTHASE 1', 130918),
(187193, 'PTHR11848:SF160', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 7', 130919),
(187194, 'PTHR11471:SF52', NULL, NULL, NULL, NULL, 'TNF SUPERFAMILY MEMBER 11', 130920),
(187195, 'PTHR10980:SF50', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 1', 130921),
(187196, 'PTHR31356:SF8', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 6-RELATED', 130922),
(187197, 'PTHR10806:SF22', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX CATALYTIC SUBUNIT SEC11A-LIKE', 130923),
(187198, 'PTHR13301:SF160', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN G1-RELATED', 130924),
(187199, 'PTHR33136:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130925),
(187200, 'PTHR34630:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130926),
(187201, 'PTHR11817:SF84', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 130927),
(187202, 'PTHR42647:SF60', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BOI-RELATED', 130928),
(187203, 'PTHR10795:SF665', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.1', 130929),
(187204, 'PTHR18860:SF80', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN', 130930),
(187205, 'PTHR11304:SF71', NULL, NULL, NULL, NULL, 'EPHRIN A-L1', 130931),
(187206, 'PTHR33709:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130932),
(187207, 'PTHR31942:SF66', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 130933),
(187208, 'PTHR40077:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 130934),
(187209, 'PTHR31228:SF3', NULL, NULL, NULL, NULL, 'CYSTATIN-LIKE PROTEIN', 130935),
(187210, 'PTHR43335:SF9', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER RELATED', 130936),
(187211, 'PTHR45977:SF37', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 130937),
(187212, 'PTHR43490:SF73', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE ISOFORM X1', 130938),
(187213, 'PTHR47273:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130939); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(187214, 'PTHR43350:SF14', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE (ZN CONTAINING) (ADH-8)', 130940),
(187215, 'PTHR46609:SF4', NULL, NULL, NULL, NULL, 'RESTRICTION ENDONUCLEASE, TYPE II-LIKE SUPERFAMILY PROTEIN', 130941),
(187216, 'PTHR13902:SF150', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK7-RELATED', 130942),
(187217, 'PTHR31374:SF137', NULL, NULL, NULL, NULL, 'OSJNBA0060N03.10 PROTEIN', 130943),
(187218, 'PTHR41302:SF2', NULL, NULL, NULL, NULL, 'PRESPORE SPECIFIC TRANSCRIPTIONAL ACTIVATOR RSFA', 130944),
(187219, 'PTHR32285:SF272', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE PROTEIN-LIKE', 130945),
(187220, 'PTHR10336:SF84', NULL, NULL, NULL, NULL, 'INACTIVE PHOSPHOLIPASE C-LIKE PROTEIN 2', 130946),
(187221, 'PTHR34415:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130947),
(187222, 'PTHR48010:SF35', NULL, NULL, NULL, NULL, 'OS05G0595800 PROTEIN', 130948),
(187223, 'PTHR34481:SF4', NULL, NULL, NULL, NULL, '17KDA ALPHA-AMYLASE/TRYPSIN INHIBITOR 2', 130949),
(187224, 'PTHR31009:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130950),
(187225, 'PTHR12982:SF0', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT C', 130951),
(187226, 'PTHR46852:SF6', NULL, NULL, NULL, NULL, 'CERAMIDASE-RELATED', 130952),
(187227, 'PTHR11722:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', 130953),
(187228, 'PTHR33164:SF69', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 130954),
(187229, 'PTHR24281:SF55', NULL, NULL, NULL, NULL, 'CYTOCHROME 98A1', 130955),
(187230, 'PTHR33443:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130956),
(187231, 'PTHR45647:SF36', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE DOMAIN KINASE', 130957),
(187232, 'PTHR11564:SF31', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN', 130958),
(187233, 'PTHR35936:SF20', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ARGININE-BINDING PROTEIN 2-RELATED', 130959),
(187234, 'PTHR38831:SF1', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN K-RELATED', 130960),
(187235, 'PTHR18945:SF221', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT BETA-2', 130961),
(187236, 'PTHR21327:SF37', NULL, NULL, NULL, NULL, '3,4-DIHYDROXY-2-BUTANONE 4-PHOSPHATE SYNTHASE', 130962),
(187237, 'PTHR47983:SF6', NULL, NULL, NULL, NULL, 'BNAA05G11820D PROTEIN', 130963),
(187238, 'PTHR46792', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 80', 130964),
(187239, 'PTHR46163:SF19', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 130965),
(187240, 'PTHR31466:SF1', NULL, NULL, NULL, NULL, 'GENE 5591-RELATED', 130966),
(187241, 'PTHR19303:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130967),
(187242, 'PTHR13047:SF2', NULL, NULL, NULL, NULL, 'PRE-MRNA CLEAVAGE FACTOR IM 25 KDA SUBUNIT 2-LIKE', 130968),
(187243, 'PTHR17130:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX16 HOMOLOG, MITOCHONDRIAL', 130969),
(187244, 'PTHR33222:SF29', NULL, NULL, NULL, NULL, 'BNAC04G00600D PROTEIN', 130970),
(187245, 'PTHR43053:SF10', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GALACTOSIDASE (EUROFUNG)', 130971),
(187246, 'PTHR33021:SF348', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 130972),
(187247, 'PTHR12345:SF3', NULL, NULL, NULL, NULL, 'SYNTENIN-1-LIKE PROTEIN', 130973),
(187248, 'PTHR21576:SF91', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4', 130974),
(187249, 'PTHR21600:SF61', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE', 130975),
(187250, 'PTHR48084:SF1', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE SYNTHASE SUBUNIT KORB', 130976),
(187251, 'PTHR11426:SF212', NULL, NULL, NULL, NULL, 'HISTONE H3', 130977),
(187252, 'PTHR27005:SF348', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 130978),
(187253, 'PTHR47783', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 130979),
(187254, 'PTHR11808:SF50', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-LYASE', 130980),
(187255, 'PTHR26450:SF76', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51B5', 130981),
(187256, 'PTHR47938:SF1', NULL, NULL, NULL, NULL, 'OS02G0304800 PROTEIN', 130982);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(187257, 'PTHR21284:SF11', NULL, NULL, NULL, NULL, 'KUNE-KUNE', 130983),
(187258, 'PTHR31618:SF11', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', 130984),
(187259, 'PTHR13042:SF13', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5', 130985),
(187260, 'PTHR15151:SF20', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 12', 130986),
(187261, 'PTHR45623:SF22', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 4', 130987),
(187262, 'PTHR45641:SF10', NULL, NULL, NULL, NULL, 'NEPHROCYSTIN-3', 130988),
(187263, 'PTHR23220:SF118', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-X', 130989),
(187264, 'PTHR39463', NULL, NULL, NULL, NULL, 'MEDUSA', 130990),
(187265, 'PTHR12411:SF527', NULL, NULL, NULL, NULL, 'OS01G0330200 PROTEIN', 130991),
(187266, 'PTHR10336:SF158', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 130992),
(187267, 'PTHR38607', NULL, NULL, NULL, NULL, 'PROTEIN CBG00180-RELATED', 130993),
(187268, 'PTHR31683:SF159', NULL, NULL, NULL, NULL, 'PECTIN LYASE FOLD/VIRULENCE FACTOR, AMBALLERGEN-RELATED', 130994),
(187269, 'PTHR43321:SF26', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 130995),
(187270, 'PTHR12345:SF11', NULL, NULL, NULL, NULL, 'FI13065P', 130996),
(187271, 'PTHR48054:SF10', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RPK2', 130997),
(187272, 'PTHR34114:SF11', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 1', 130998),
(187273, 'PTHR47993:SF45', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN', 130999),
(187274, 'PTHR37014:SF8', NULL, NULL, NULL, NULL, 'RICH PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04870)-RELATED', 131000),
(187275, 'PTHR11709:SF368', NULL, NULL, NULL, NULL, 'LACCASE', 131001),
(187276, 'PTHR45637:SF18', NULL, NULL, NULL, NULL, 'OS05G0237400 PROTEIN', 131002),
(187277, 'PTHR23291:SF97', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 1', 131003),
(187278, 'PTHR12930:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF113A', 131004),
(187279, 'PTHR47848:SF1', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 131005),
(187280, 'PTHR10209:SF618', NULL, NULL, NULL, NULL, 'OS08G0480200 PROTEIN', 131006),
(187281, 'PTHR11353:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131007),
(187282, 'PTHR11062:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131008),
(187283, 'PTHR33623:SF19', NULL, NULL, NULL, NULL, 'BNAANNG07330D PROTEIN', 131009),
(187284, 'PTHR43139:SF28', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 131010),
(187285, 'PTHR21738', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 131011),
(187286, 'PTHR11260:SF576', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9-LIKE', 131012),
(187287, 'PTHR22595:SF171', NULL, NULL, NULL, NULL, 'CHITINASE (CLASS IB) / HEVEIN', 131013),
(187288, 'PTHR33401:SF1', NULL, NULL, NULL, NULL, 'LIGHT-HARVESTING COMPLEX-LIKE PROTEIN OHP2, CHLOROPLASTIC', 131014),
(187289, 'PTHR17125', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 1', 131015),
(187290, 'PTHR15907:SF155', NULL, NULL, NULL, NULL, 'BNAA06G09660D PROTEIN', 131016),
(187291, 'PTHR11527:SF335', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 131017),
(187292, 'PTHR12192', NULL, NULL, NULL, NULL, 'CATION TRANSPORT PROTEIN CHAC-RELATED', 131018),
(187293, 'PTHR18945:SF845', NULL, NULL, NULL, NULL, 'CHOLINERGIC RECEPTOR, NICOTINIC, ALPHA 7 (NEURONAL)', 131019),
(187294, 'PTHR34223:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131020),
(187295, 'PTHR24064:SF576', NULL, NULL, NULL, NULL, 'CARCININE TRANSPORTER', 131021),
(187296, 'PTHR24351:SF206', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 131022),
(187297, 'PTHR45676:SF115', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 131023),
(187298, 'PTHR12901:SF10', NULL, NULL, NULL, NULL, 'COENZYME Q-BINDING PROTEIN COQ10, MITOCHONDRIAL', 131024),
(187299, 'PTHR23510:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG18912', 131025),
(187300, 'PTHR13608', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 131026);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(187301, 'PTHR44191:SF18', NULL, NULL, NULL, NULL, 'OS04G0341900 PROTEIN', 131027),
(187302, 'PTHR10405:SF13', NULL, NULL, NULL, NULL, 'SPINDLIN-2A-RELATED', 131028),
(187303, 'PTHR19957:SF304', NULL, NULL, NULL, NULL, 'SYNTAXIN-22-LIKE', 131029),
(187304, 'PTHR13009:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131030),
(187305, 'PTHR10996:SF254', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 131031),
(187306, 'PTHR43544:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG23231', 131032),
(187307, 'PTHR31048:SF18', NULL, NULL, NULL, NULL, 'OS11G0703000 PROTEIN', 131033),
(187308, 'PTHR33179:SF56', NULL, NULL, NULL, NULL, 'BNAANNG04670D PROTEIN', 131034),
(187309, 'PTHR31210:SF11', NULL, NULL, NULL, NULL, 'KETOGLUTARATE REDUCTASE TRANS-SPLICING-LIKE PROTEIN, PUTATIVE (DUF707)-RELATED', 131035),
(187310, 'PTHR45934:SF4', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 131036),
(187311, 'PTHR46952:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 131037),
(187312, 'PTHR16189:SF14', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', 131038),
(187313, 'PTHR31374:SF260', NULL, NULL, NULL, NULL, 'BNAANNG07560D PROTEIN', 131039),
(187314, 'PTHR11850:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131040),
(187315, 'PTHR31500:SF85', NULL, NULL, NULL, NULL, 'PPC DOMAIN, AT HOOK-LIKE PROTEIN-RELATED', 131041),
(187316, 'PTHR31656:SF41', NULL, NULL, NULL, NULL, 'OS05G0552600 PROTEIN', 131042),
(187317, 'PTHR12603:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131043),
(187318, 'PTHR32044:SF70', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 8-RELATED', 131044),
(187319, 'PTHR37473', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 131045),
(187320, 'PTHR33147:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131046),
(187321, 'PTHR47346:SF2', NULL, NULL, NULL, NULL, 'BNACNNG16160D PROTEIN', 131047),
(187322, 'PTHR31221:SF96', NULL, NULL, NULL, NULL, 'OS05G0343400 PROTEIN', 131048),
(187323, 'PTHR21586:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131049),
(187324, 'PTHR47983:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 131050),
(187325, 'PTHR28242:SF43', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 4', 131051),
(187326, 'PTHR44042:SF39', NULL, NULL, NULL, NULL, 'MYB DOMAIN, PLANT, HOMEODOMAIN-LIKE PROTEIN-RELATED', 131052),
(187327, 'PTHR11430:SF126', NULL, NULL, NULL, NULL, 'BETA-LACTOGLOBULIN-1', 131053),
(187328, 'PTHR13872:SF1', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT STT3B', 131054),
(187329, 'PTHR16223:SF185', NULL, NULL, NULL, NULL, 'OSJNBB0015D13.17 PROTEIN', 131055),
(187330, 'PTHR22914:SF41', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 8', 131056),
(187331, 'PTHR14186:SF19', NULL, NULL, NULL, NULL, 'KAZAL-TYPE SERINE PROTEASE INHIBITOR DOMAIN CONTAINING PROTEIN', 131057),
(187332, 'PTHR24347:SF255', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE H2', 131058),
(187333, 'PTHR47820:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131059),
(187334, 'PTHR31066:SF10', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P FAMILY PROTEIN', 131060),
(187335, 'PTHR22941:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 131061),
(187336, 'PTHR23036:SF94', NULL, NULL, NULL, NULL, 'GRANULOCYTE-MACROPHAGE COLONY-STIMULATING FACTOR RECEPTOR SUBUNIT ALPHA', 131062),
(187337, 'PTHR43120:SF11', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', 131063),
(187338, 'PTHR12299:SF60', NULL, NULL, NULL, NULL, 'OS01G0603000 PROTEIN', 131064),
(187339, 'PTHR24031:SF713', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', 131065),
(187340, 'PTHR11309:SF35', NULL, NULL, NULL, NULL, 'SMOOTHENED HOMOLOG', 131066),
(187341, 'PTHR43546', NULL, NULL, NULL, NULL, 'UPF0173 METAL-DEPENDENT HYDROLASE MJ1163-RELATED', 131067),
(187342, 'PTHR22950:SF655', NULL, NULL, NULL, NULL, 'OS02G0191300 PROTEIN', 131068),
(187343, 'PTHR31346:SF21', NULL, NULL, NULL, NULL, 'BNAC01G36450D PROTEIN', 131069);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(187344, 'PTHR31907:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131070),
(187345, 'PTHR10285:SF169', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE', 131071),
(187346, 'PTHR45927:SF14', NULL, NULL, NULL, NULL, 'OS06G0625300 PROTEIN', 131072),
(187347, 'PTHR11699:SF263', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G02830)-RELATED', 131073),
(187348, 'PTHR10270:SF111', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-3', 131074),
(187349, 'PTHR23235:SF105', NULL, NULL, NULL, NULL, 'SP (SPECIFICITY PROTEIN) TRANSCRIPTION FACTOR', 131075),
(187350, 'PTHR11205:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131076),
(187351, 'PTHR12289:SF71', NULL, NULL, NULL, NULL, 'FAILED AXON CONNECTIONS', 131077),
(187352, 'PTHR23354:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131078),
(187353, 'PTHR10934:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18-2-LIKE', 131079),
(187354, 'PTHR45768:SF36', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL46-LIKE ISOFORM X1', 131080),
(187355, 'PTHR10937:SF0', NULL, NULL, NULL, NULL, 'GH12731P-RELATED', 131081),
(187356, 'PTHR22957:SF289', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 30', 131082),
(187357, 'PTHR34663:SF10', NULL, NULL, NULL, NULL, 'PAMP-INDUCED SECRETED PEPTIDE 2', 131083),
(187358, 'PTHR47540', NULL, NULL, NULL, NULL, 'THIAMINE REPRESSIBLE GENES REGULATORY PROTEIN THI5', 131084),
(187359, 'PTHR11690', NULL, NULL, NULL, NULL, 'AMILORIDE-SENSITIVE SODIUM CHANNEL-RELATED', 131085),
(187360, 'PTHR31717:SF45', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 14-RELATED', 131086),
(187361, 'PTHR40620:SF1', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN CRD2, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G04318)-RELATED', 131087),
(187362, 'PTHR46492', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 4, AXONEMAL', 131088),
(187363, 'PTHR14557:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND UBIQUITIN-LIKE DOMAIN-CONTAINING PROTEIN 1', 131089),
(187364, 'PTHR26374:SF334', NULL, NULL, NULL, NULL, 'OS09G0122000 PROTEIN', 131090),
(187365, 'PTHR18953:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131091),
(187366, 'PTHR12374:SF68', NULL, NULL, NULL, NULL, 'BNAA02G17000D PROTEIN', 131092),
(187367, 'PTHR27001:SF825', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RKF3-RELATED', 131093),
(187368, 'PTHR33470:SF22', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', 131094),
(187369, 'PTHR47697:SF1', NULL, NULL, NULL, NULL, 'OS03G0340700 PROTEIN', 131095),
(187370, 'PTHR23023:SF274', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 131096),
(187371, 'PTHR10671:SF40', NULL, NULL, NULL, NULL, 'GERM CELL-SPECIFIC GENE 1-LIKE PROTEIN 2', 131097),
(187372, 'PTHR11417:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131098),
(187373, 'PTHR43860:SF7', NULL, NULL, NULL, NULL, 'BETAINE ALDEHYDE DEHYDROGENASE 1', 131099),
(187374, 'PTHR23292:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06368', 131100),
(187375, 'PTHR45801:SF45', NULL, NULL, NULL, NULL, 'BNACNNG19660D PROTEIN', 131101),
(187376, 'PTHR43669', NULL, NULL, NULL, NULL, '5-KETO-D-GLUCONATE 5-REDUCTASE', 131102),
(187377, 'PTHR47272', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 131103),
(187378, 'PTHR12566:SF14', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATION ELEMENT-BINDING PROTEIN 2', 131104),
(187379, 'PTHR24349:SF437', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR, DEATH-ASSOCIATED PROTEIN KINASE 1-RELATED', 131105),
(187380, 'PTHR11668:SF416', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 131106),
(187381, 'PTHR33493:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131107),
(187382, 'PTHR12855:SF10', NULL, NULL, NULL, NULL, 'DNA METHYLTRANSFERASE 1-ASSOCIATED PROTEIN 1', 131108),
(187383, 'PTHR46162:SF26', NULL, NULL, NULL, NULL, 'BNAA07G24190D PROTEIN', 131109),
(187384, 'PTHR47998:SF24', NULL, NULL, NULL, NULL, 'BNAA04G29720D PROTEIN', 131110),
(187385, 'PTHR24015:SF1774', NULL, NULL, NULL, NULL, 'OS01G0355000 PROTEIN', 131111),
(187386, 'PTHR47947:SF12', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 131112);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(187387, 'PTHR45634', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 131113),
(187388, 'PTHR35176', NULL, NULL, NULL, NULL, 'HEME OXYGENASE HI_0854-RELATED', 131114),
(187389, 'PTHR48006:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131115),
(187390, 'PTHR47956:SF13', NULL, NULL, NULL, NULL, 'ENT-ISOKAURENE C2/C3-HYDROXYLASE', 131116),
(187391, 'PTHR47932:SF44', NULL, NULL, NULL, NULL, 'ATPASE EXPRESSION PROTEIN 3', 131117),
(187392, 'PTHR10210:SF103', NULL, NULL, NULL, NULL, 'BNACNNG35810D PROTEIN', 131118),
(187393, 'PTHR44375:SF18', NULL, NULL, NULL, NULL, 'BNAA06G25540D PROTEIN', 131119),
(187394, 'PTHR12983:SF9', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 10', 131120),
(187395, 'PTHR30451:SF6', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE USHER PROTEIN SFMD', 131121),
(187396, 'PTHR11048:SF41', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOATE POLYPRENYLTRANSFERASE, MITOCHONDRIAL', 131122),
(187397, 'PTHR45642:SF35', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE APG', 131123),
(187398, 'PTHR21277:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131124),
(187399, 'PTHR33065:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131125),
(187400, 'PTHR11504:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6A1, MITOCHONDRIAL', 131126),
(187401, 'PTHR31140:SF67', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN TRANSCRIPTION FACTOR', 131127),
(187402, 'PTHR33881:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131128),
(187403, 'PTHR31096:SF40', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR4-LIKE', 131129),
(187404, 'PTHR11802:SF354', NULL, NULL, NULL, NULL, 'BNAA04G13410D PROTEIN', 131130),
(187405, 'PTHR10362:SF51', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', 131131),
(187406, 'PTHR24305:SF195', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 131132),
(187407, 'PTHR46504', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 131133),
(187408, 'PTHR31790:SF27', NULL, NULL, NULL, NULL, 'OS02G0199500 PROTEIN', 131134),
(187409, 'PTHR24223:SF277', NULL, NULL, NULL, NULL, 'ABC PROTEIN, SUBFAMILY ABCC', 131135),
(187410, 'PTHR31235:SF287', NULL, NULL, NULL, NULL, 'PEROXIDASE', 131136),
(187411, 'PTHR32018:SF33', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN-RELATED', 131137),
(187412, 'PTHR21089:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3-DEHYDROQUINATE DEHYDRATASE/SHIKIMATE DEHYDROGENASE, CHLOROPLASTIC', 131138),
(187413, 'PTHR46078:SF4', NULL, NULL, NULL, NULL, 'FORKHEAD BOX J2', 131139),
(187414, 'PTHR47995:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131140),
(187415, 'PTHR23315:SF283', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 39', 131141),
(187416, 'PTHR11240', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2', 131142),
(187417, 'PTHR10015:SF384', NULL, NULL, NULL, NULL, 'BNAA01G35560D PROTEIN', 131143),
(187418, 'PTHR32258:SF3', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 4A', 131144),
(187419, 'PTHR31116:SF25', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE SUPERFAMILY PROTEIN', 131145),
(187420, 'PTHR33088:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131146),
(187421, 'PTHR12101:SF1', NULL, NULL, NULL, NULL, 'BVES', 131147),
(187422, 'PTHR23299:SF49', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1A', 131148),
(187423, 'PTHR33927:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 131149),
(187424, 'PTHR34928', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 217', 131150),
(187425, 'PTHR15207', NULL, NULL, NULL, NULL, 'NONSYNDROMIC HEARING IMPAIRMENT PROTEIN', 131151),
(187426, 'PTHR40636', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 131152),
(187427, 'PTHR26379:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131153),
(187428, 'PTHR23503:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG09397', 131154),
(187429, 'PTHR31439:SF3', NULL, NULL, NULL, NULL, 'OS07G0231800 PROTEIN', 131155),
(187430, 'PTHR47990:SF61', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP1-RELATED', 131156),
(187431, 'PTHR34555:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131157),
(187432, 'PTHR12277:SF148', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 131158);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(187433, 'PTHR11533:SF172', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE N', 131159),
(187434, 'PTHR30065', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLIR', 131160),
(187435, 'PTHR10891:SF882', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN', 131161),
(187436, 'PTHR45642:SF84', NULL, NULL, NULL, NULL, 'BNAC03G75690D PROTEIN', 131162),
(187437, 'PTHR45978:SF9', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 5', 131163),
(187438, 'PTHR23107:SF23', NULL, NULL, NULL, NULL, 'BNAA02G31040D PROTEIN', 131164),
(187439, 'PTHR11746:SF251', NULL, NULL, NULL, NULL, 'BNAA03G48770D PROTEIN', 131165),
(187440, 'PTHR10210:SF99', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE DIPHOSPHOKINASE-RELATED', 131166),
(187441, 'PTHR47926:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131167),
(187442, 'PTHR43580', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE GLYR1-RELATED', 131168),
(187443, 'PTHR31016:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131169),
(187444, 'PTHR10015:SF385', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-1D', 131170),
(187445, 'PTHR11540:SF50', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE, GLYOXYSOMAL', 131171),
(187446, 'PTHR47990:SF162', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 4', 131172),
(187447, 'PTHR31137:SF5', NULL, NULL, NULL, NULL, 'PA14 DOMAIN-CONTAINING PROTEIN-RELATED', 131173),
(187448, 'PTHR24258:SF134', NULL, NULL, NULL, NULL, 'AGAP011908-PA', 131174),
(187449, 'PTHR44586:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131175),
(187450, 'PTHR10858:SF2', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE-2-BETA', 131176),
(187451, 'PTHR24044:SF460', NULL, NULL, NULL, NULL, 'NOTCH HOMOLOG 2 N-TERMINAL-LIKE PROTEIN A', 131177),
(187452, 'PTHR21355:SF11', NULL, NULL, NULL, NULL, 'LMBR1 DOMAIN-CONTAINING PROTEIN 2 HOMOLOG B', 131178),
(187453, 'PTHR33449:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131179),
(187454, 'PTHR35509', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF1995)-RELATED', 131180),
(187455, 'PTHR11685:SF318', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF19B', 131181),
(187456, 'PTHR31374:SF254', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR41', 131182),
(187457, 'PTHR36586:SF21', NULL, NULL, NULL, NULL, 'PROLINE-RICH EXTENSIN-LIKE FAMILY PROTEIN', 131183),
(187458, 'PTHR10974:SF48', NULL, NULL, NULL, NULL, 'PROTEIN CBG23355', 131184),
(187459, 'PTHR14155:SF86', NULL, NULL, NULL, NULL, 'OS06G0534500 PROTEIN', 131185),
(187460, 'PTHR34131:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131186),
(187461, 'PTHR24067:SF294', NULL, NULL, NULL, NULL, 'PROTEIN CROSSBRONX-RELATED', 131187),
(187462, 'PTHR43051:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131188),
(187463, 'PTHR31066:SF37', NULL, NULL, NULL, NULL, 'PB1 DOMAIN PROTEIN', 131189),
(187464, 'PTHR15995', NULL, NULL, NULL, NULL, 'PROTEIN ZWILCH HOMOLOG', 131190),
(187465, 'PTHR45734', NULL, NULL, NULL, NULL, 'TENSIN', 131191),
(187466, 'PTHR48013:SF5', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 1', 131192),
(187467, 'PTHR22767:SF9', NULL, NULL, NULL, NULL, 'BNAC02G23120D PROTEIN', 131193),
(187468, 'PTHR45675:SF77', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 131194),
(187469, 'PTHR23073:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131195),
(187470, 'PTHR31639:SF164', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 131196),
(187471, 'PTHR10943', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT', 131197),
(187472, 'PTHR34144:SF2', NULL, NULL, NULL, NULL, 'CAPSULAR ASSOCIATED PROTEIN', 131198),
(187473, 'PTHR43791:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131199),
(187474, 'PTHR45714:SF48', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN FAMILY-RELATED', 131200),
(187475, 'PTHR45974:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131201),
(187476, 'PTHR10859:SF105', NULL, NULL, NULL, NULL, 'DOLICHYL-PHOSPHATE BETA-D-MANNOSYLTRANSFERASE', 131202),
(187477, 'PTHR41404', NULL, NULL, NULL, NULL, 'SHIELDIN COMPLEX SUBUNIT 3', 131203);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(187478, 'PTHR47992:SF86', NULL, NULL, NULL, NULL, 'BNAA02G13380D PROTEIN', 131204),
(187479, 'PTHR28027', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MIT1', 131205),
(187480, 'PTHR31322:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TM129', 131206),
(187481, 'PTHR47543', NULL, NULL, NULL, NULL, 'OS08G0169600 PROTEIN', 131207),
(187482, 'PTHR15288:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131208),
(187483, 'PTHR24177:SF307', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS TRANSMEMBRANE PROTEIN-LIKE', 131209),
(187484, 'PTHR11961:SF39', NULL, NULL, NULL, NULL, 'CYTOCHROME C HOMOLOG', 131210),
(187485, 'PTHR22936:SF84', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', 131211),
(187486, 'PTHR13367:SF30', NULL, NULL, NULL, NULL, 'OTU DEUBIQUITINASE 7B', 131212),
(187487, 'PTHR46158:SF2', NULL, NULL, NULL, NULL, 'OS02G0165000 PROTEIN', 131213),
(187488, 'PTHR20884:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131214),
(187489, 'PTHR31375:SF139', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', 131215),
(187490, 'PTHR36264:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131216),
(187491, 'PTHR48041:SF57', NULL, NULL, NULL, NULL, 'FI02074P', 131217),
(187492, 'PTHR35687:SF1', NULL, NULL, NULL, NULL, 'OS07G0516700 PROTEIN', 131218),
(187493, 'PTHR43180:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131219),
(187494, 'PTHR36868', NULL, NULL, NULL, NULL, 'NUTRITIONALLY-REGULATED ADIPOSE AND CARDIAC ENRICHED PROTEIN HOMOLOG', 131220),
(187495, 'PTHR12670:SF15', NULL, NULL, NULL, NULL, 'NEUTRAL CERAMIDASE', 131221),
(187496, 'PTHR43719:SF41', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', 131222),
(187497, 'PTHR12416:SF8', NULL, NULL, NULL, NULL, 'RRNA-PROCESSING PROTEIN FCF1 HOMOLOG', 131223),
(187498, 'PTHR23033:SF15', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1', 131224),
(187499, 'PTHR16500', NULL, NULL, NULL, NULL, 'BRCA2-INTERACTING TRANSCRIPTIONAL REPRESSOR EMSY', 131225),
(187500, 'PTHR24242:SF216', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9A4', 131226),
(187501, 'PTHR24055:SF155', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE PMK-3', 131227),
(187502, 'PTHR45830:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 131228),
(187503, 'PTHR22947:SF20', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 131229),
(187504, 'PTHR23004:SF10', NULL, NULL, NULL, NULL, 'DOUBLECORTIN DOMAIN-CONTAINING PROTEIN 2B', 131230),
(187505, 'PTHR23226:SF288', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131231),
(187506, 'PTHR43391:SF42', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE-LIKE 2-RELATED', 131232),
(187507, 'PTHR24120:SF5', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX-CONTAINING 12B', 131233),
(187508, 'PTHR10340:SF29', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE', 131234),
(187509, 'PTHR31238', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 3 MEMBER 3', 131235),
(187510, 'PTHR15189', NULL, NULL, NULL, NULL, 'BRISC AND BRCA1-A COMPLEX MEMBER 2', 131236),
(187511, 'PTHR46040:SF1', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN 20A', 131237),
(187512, 'PTHR46651', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 7', 131238),
(187513, 'PTHR24300:SF317', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2C8', 131239),
(187514, 'PTHR48057', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT SERINE/THREONINE-PROTEIN KINASE 1', 131240),
(187515, 'PTHR45676:SF130', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL60-LIKE', 131241),
(187516, 'PTHR31804', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 131242),
(187517, 'PTHR42683:SF66', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 6-RELATED', 131243),
(187518, 'PTHR24289:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 84A1-LIKE', 131244),
(187519, 'PTHR47571', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 3-3', 131245),
(187520, 'PTHR10953:SF202', NULL, NULL, NULL, NULL, 'SUMO-ACTIVATING ENZYME SUBUNIT 1B-1-LIKE', 131246),
(187521, 'PTHR40106', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN RCLC', 131247);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(187522, 'PTHR23316:SF63', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', 131248),
(187523, 'PTHR45734:SF8', NULL, NULL, NULL, NULL, 'BLISTERY, ISOFORM A', 131249),
(187524, 'PTHR11685:SF310', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 131250),
(187525, 'PTHR23014:SF1', NULL, NULL, NULL, NULL, 'F-BOX A PROTEIN', 131251),
(187526, 'PTHR43140', NULL, NULL, NULL, NULL, 'TYPE-1 RESTRICTION ENZYME ECOKI SPECIFICITY PROTEIN', 131252),
(187527, 'PTHR48020:SF7', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12580)-RELATED', 131253),
(187528, 'PTHR37180:SF2', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP14', 131254),
(187529, 'PTHR46195:SF26', NULL, NULL, NULL, NULL, 'BNAC02G42560D PROTEIN', 131255),
(187530, 'PTHR10972:SF176', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 8', 131256),
(187531, 'PTHR33676:SF17', NULL, NULL, NULL, NULL, 'REGULATED GENE 27, PUTATIVE ISOFORM 2-RELATED', 131257),
(187532, 'PTHR11817:SF101', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE PKM', 131258),
(187533, 'PTHR11545:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13A-4', 131259),
(187534, 'PTHR23201:SF86', NULL, NULL, NULL, NULL, 'SNAKIN-2-LIKE ISOFORM X1', 131260),
(187535, 'PTHR32116:SF77', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 131261),
(187536, 'PTHR36705:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131262),
(187537, 'PTHR11153:SF22', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-1.1-RELATED', 131263),
(187538, 'PTHR27007:SF149', NULL, NULL, NULL, NULL, 'OS07G0575700 PROTEIN', 131264),
(187539, 'PTHR33021:SF303', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 5', 131265),
(187540, 'PTHR31080:SF192', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 11', 131266),
(187541, 'PTHR32077:SF45', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN PROTEIN', 131267),
(187542, 'PTHR32243:SF24', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN AMYC-RELATED', 131268),
(187543, 'PTHR10277:SF63', NULL, NULL, NULL, NULL, 'HOMOCITRATE SYNTHASE-RELATED', 131269),
(187544, 'PTHR32444:SF86', NULL, NULL, NULL, NULL, 'OS06G0619200 PROTEIN', 131270),
(187545, 'PTHR10641:SF1257', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 306-LIKE', 131271),
(187546, 'PTHR14773:SF2', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR-RELATED WD40PROTEIN', 131272),
(187547, 'PTHR34721:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG09158', 131273),
(187548, 'PTHR31246:SF21', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-1', 131274),
(187549, 'PTHR14155:SF504', NULL, NULL, NULL, NULL, 'OS05G0426066 PROTEIN', 131275),
(187550, 'PTHR13449:SF2', NULL, NULL, NULL, NULL, 'PROTEIN WNTLESS HOMOLOG', 131276),
(187551, 'PTHR46128:SF187', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 131277),
(187552, 'PTHR47557:SF4', NULL, NULL, NULL, NULL, 'BNAA09G01990D PROTEIN', 131278),
(187553, 'PTHR11017:SF314', NULL, NULL, NULL, NULL, 'BNACNNG16130D PROTEIN', 131279),
(187554, 'PTHR40260', NULL, NULL, NULL, NULL, 'BLR8190 PROTEIN', 131280),
(187555, 'PTHR48105:SF17', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE', 131281),
(187556, 'PTHR33286:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131282),
(187557, 'PTHR19308:SF35', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 7, MITOCHONDRIAL-LIKE ISOFORM X1', 131283),
(187558, 'PTHR31002:SF34', NULL, NULL, NULL, NULL, 'CELL WALL PROTEIN CWP1-RELATED', 131284),
(187559, 'PTHR31351:SF36', NULL, NULL, NULL, NULL, 'BNAA02G22400D PROTEIN', 131285),
(187560, 'PTHR33493:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131286),
(187561, 'PTHR31451:SF39', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 1', 131287),
(187562, 'PTHR26450:SF142', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 56B4', 131288),
(187563, 'PTHR36064', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 2735', 131289),
(187564, 'PTHR43840:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG00606', 131290),
(187565, 'PTHR22550:SF17', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN B1', 131291),
(187566, 'PTHR27000:SF718', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', 131292);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(187567, 'PTHR35457', NULL, NULL, NULL, NULL, 'HEME A SYNTHASE', 131293),
(187568, 'PTHR41283', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE PHOSPHOTRANSFERASE', 131294),
(187569, 'PTHR31790:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131295),
(187570, 'PTHR48111:SF49', NULL, NULL, NULL, NULL, 'HEME RESPONSE REGULATOR HSSR', 131296),
(187571, 'PTHR31414:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131297),
(187572, 'PTHR11387:SF32', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT', 131298),
(187573, 'PTHR23147:SF96', NULL, NULL, NULL, NULL, 'OS02G0252100 PROTEIN', 131299),
(187574, 'PTHR46798:SF3', NULL, NULL, NULL, NULL, 'RING FINGER FAMILY PROTEIN', 131300),
(187575, 'PTHR31223:SF41', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOGL2-RELATED', 131301),
(187576, 'PTHR45730:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131302),
(187577, 'PTHR39662', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 131303),
(187578, 'PTHR13605:SF4', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 7', 131304),
(187579, 'PTHR47987:SF12', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN', 131305),
(187580, 'PTHR10334:SF253', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', 131306),
(187581, 'PTHR23124:SF130', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 131307),
(187582, 'PTHR33450:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131308),
(187583, 'PTHR23504:SF1', NULL, NULL, NULL, NULL, 'GH21943P', 131309),
(187584, 'PTHR14947', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 131310),
(187585, 'PTHR23520', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G04000)-RELATED', 131311),
(187586, 'PTHR24238:SF26', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 131312),
(187587, 'PTHR32212:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131313),
(187588, 'PTHR32518', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 131314),
(187589, 'PTHR31284:SF21', NULL, NULL, NULL, NULL, 'PLANT ACID PHOSPHATASE', 131315),
(187590, 'PTHR21559', NULL, NULL, NULL, NULL, 'DYSTROGLYCAN-RELATED', 131316),
(187591, 'PTHR47071:SF3', NULL, NULL, NULL, NULL, 'DUF4378 DOMAIN PROTEIN', 131317),
(187592, 'PTHR24229:SF18', NULL, NULL, NULL, NULL, 'NEUROPEPTIDES B/W RECEPTOR TYPE 2', 131318),
(187593, 'PTHR47926:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131319),
(187594, 'PTHR30480:SF8', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04060)-RELATED', 131320),
(187595, 'PTHR31471:SF16', NULL, NULL, NULL, NULL, 'OS02G0602000 PROTEIN', 131321),
(187596, 'PTHR12854:SF12', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN INTERACTING PROTEIN', 131322),
(187597, 'PTHR42693:SF30', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCEROL TRANSFERASE I', 131323),
(187598, 'PTHR43866:SF10', NULL, NULL, NULL, NULL, 'METHYLMALONATE-SEMIALDEHYDE DEHYDROGENASE, ALDEHYDE/HISTIDINOL DEHYDROGENASE-RELATED', 131324),
(187599, 'PTHR44329:SF137', NULL, NULL, NULL, NULL, 'OS02G0527600 PROTEIN', 131325),
(187600, 'PTHR22911:SF123', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 131326),
(187601, 'PTHR31839:SF31', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1H', 131327),
(187602, 'PTHR11003:SF87', NULL, NULL, NULL, NULL, 'AGAP000079-PA', 131328),
(187603, 'PTHR47991:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131329),
(187604, 'PTHR36157', NULL, NULL, NULL, NULL, 'PROTEIN CBG12671-RELATED', 131330),
(187605, 'PTHR11394:SF60', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 102', 131331),
(187606, 'PTHR12565:SF359', NULL, NULL, NULL, NULL, 'BASIC HELIX LOOP HELIX PROTEIN BHLH8', 131332),
(187607, 'PTHR43017', NULL, NULL, NULL, NULL, 'GALACTOSIDE O-ACETYLTRANSFERASE', 131333),
(187608, 'PTHR32141:SF105', NULL, NULL, NULL, NULL, 'OS01G0578500 PROTEIN', 131334),
(187609, 'PTHR24377:SF120', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 605', 131335),
(187610, 'PTHR32468:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131336),
(187611, 'PTHR11544:SF124', NULL, NULL, NULL, NULL, 'COLD SHOCK-LIKE PROTEIN B CSPB-RELATED', 131337);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(187612, 'PTHR34983:SF1', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN ENDO-BETA-1,4-GALACTANASE A', 131338),
(187613, 'PTHR15241:SF288', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131339),
(187614, 'PTHR12893', NULL, NULL, NULL, NULL, 'GOLGI REASSEMBLY STACKING PROTEIN  GRASP', 131340),
(187615, 'PTHR33662:SF3', NULL, NULL, NULL, NULL, 'OTU DEUBIQUITINASE WITH LINEAR LINKAGE-SPECIFICITY A-RELATED', 131341),
(187616, 'PTHR24029:SF0', NULL, NULL, NULL, NULL, 'UVRABC SYSTEM PROTEIN B', 131342),
(187617, 'PTHR13318:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131343),
(187618, 'PTHR24128:SF61', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', 131344),
(187619, 'PTHR11689:SF154', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 131345),
(187620, 'PTHR45717:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131346),
(187621, 'PTHR10336:SF82', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 131347),
(187622, 'PTHR24015:SF424', NULL, NULL, NULL, NULL, 'OS09G0327200 PROTEIN', 131348),
(187623, 'PTHR13354:SF11', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 9', 131349),
(187624, 'PTHR11746:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131350),
(187625, 'PTHR11003:SF90', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 131351),
(187626, 'PTHR24028:SF282', NULL, NULL, NULL, NULL, 'STARRY NIGHT', 131352),
(187627, 'PTHR24067:SF260', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 A,-LIKE', 131353),
(187628, 'PTHR30290:SF28', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERIPLASMIC-BINDING PROTEIN SAPA-RELATED', 131354),
(187629, 'PTHR27000:SF681', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 131355),
(187630, 'PTHR10926:SF59', NULL, NULL, NULL, NULL, 'CDC50/LEM3 FAMILY-RELATED', 131356),
(187631, 'PTHR46974:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GTP/GDP CARRIER PROTEIN 1', 131357),
(187632, 'PTHR39653', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 20-2', 131358),
(187633, 'PTHR46386:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR AUTOANTIGEN SP-100', 131359),
(187634, 'PTHR12111', NULL, NULL, NULL, NULL, 'SPLICING FACTOR YJU2', 131360),
(187635, 'PTHR43111:SF1', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE B-RELATED', 131361),
(187636, 'PTHR10458:SF8', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE', 131362),
(187637, 'PTHR12277:SF155', NULL, NULL, NULL, NULL, 'PROTEIN ABHD17C-LIKE', 131363),
(187638, 'PTHR11353:SF94', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT EPSILON', 131364),
(187639, 'PTHR37616:SF1', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 131365),
(187640, 'PTHR34656:SF1', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE', 131366),
(187641, 'PTHR33122:SF63', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 131367),
(187642, 'PTHR43671:SF35', NULL, NULL, NULL, NULL, 'KINASE A, PUTATIVE-RELATED', 131368),
(187643, 'PTHR48015:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAK 2', 131369),
(187644, 'PTHR48001:SF63', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 131370),
(187645, 'PTHR14155:SF481', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131371),
(187646, 'PTHR11818:SF118', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN E-RELATED', 131372),
(187647, 'PTHR48001:SF15', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 131373),
(187648, 'PTHR43065:SF20', NULL, NULL, NULL, NULL, 'SPORULATION KINASE E', 131374),
(187649, 'PTHR32093', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 3-RELATED', 131375),
(187650, 'PTHR19871:SF29', NULL, NULL, NULL, NULL, 'NACHT AND WD REPEAT DOMAIN-CONTAINING PROTEIN 2-LIKE', 131376),
(187651, 'PTHR31152:SF15', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', 131377),
(187652, 'PTHR33645:SF10', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 131378),
(187653, 'PTHR46878:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN M1', 131379),
(187654, 'PTHR15468:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131380),
(187655, 'PTHR46444:SF15', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN-LIKE PROTEIN ISOFORM 1', 131381);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(187656, 'PTHR31448:SF36', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 3-LIKE ISOFORM X1', 131382),
(187657, 'PTHR24235:SF27', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 131383),
(187658, 'PTHR15601:SF14', NULL, NULL, NULL, NULL, 'STRESS-ASSOCIATED ENDOPLASMIC RETICULUM PROTEIN 1', 131384),
(187659, 'PTHR32370:SF152', NULL, NULL, NULL, NULL, 'BNAA03G54110D PROTEIN', 131385),
(187660, 'PTHR13713:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131386),
(187661, 'PTHR10165:SF184', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE HOMOLOG 1.2 HOMOLOG', 131387),
(187662, 'PTHR11132:SF424', NULL, NULL, NULL, NULL, 'BNAA01G29430D PROTEIN', 131388),
(187663, 'PTHR11785:SF340', NULL, NULL, NULL, NULL, 'AROMATIC-PREFERRING AMINO ACID TRANSPORTER', 131389),
(187664, 'PTHR13109:SF7', NULL, NULL, NULL, NULL, 'NEUROCHONDRIN', 131390),
(187665, 'PTHR22883:SF380', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 131391),
(187666, 'PTHR13620:SF85', NULL, NULL, NULL, NULL, 'WERNER SYNDROME-LIKE EXONUCLEASE', 131392),
(187667, 'PTHR11521:SF23', NULL, NULL, NULL, NULL, 'SLOW TROPONIN T', 131393),
(187668, 'PTHR31650:SF65', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE', 131394),
(187669, 'PTHR26453:SF592', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13', 131395),
(187670, 'PTHR38572:SF1', NULL, NULL, NULL, NULL, 'BCDNA.GH07269-RELATED', 131396),
(187671, 'PTHR31232:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131397),
(187672, 'PTHR46865', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 131398),
(187673, 'PTHR33021:SF179', NULL, NULL, NULL, NULL, 'BLUE COPPER BINDING PROTEIN-LIKE', 131399),
(187674, 'PTHR11005:SF10', NULL, NULL, NULL, NULL, 'LIPASE', 131400),
(187675, 'PTHR36346:SF3', NULL, NULL, NULL, NULL, 'BNACNNG66800D PROTEIN', 131401),
(187676, 'PTHR21562:SF54', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 1', 131402),
(187677, 'PTHR23257:SF843', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131403),
(187678, 'PTHR12203:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131404),
(187679, 'PTHR32370:SF119', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 131405),
(187680, 'PTHR11590:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131406),
(187681, 'PTHR32227:SF243', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE', 131407),
(187682, 'PTHR15046:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131408),
(187683, 'PTHR27005:SF342', NULL, NULL, NULL, NULL, 'OS02G0632800 PROTEIN', 131409),
(187684, 'PTHR45863:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131410),
(187685, 'PTHR45527:SF1', NULL, NULL, NULL, NULL, 'NONRIBOSOMAL PEPTIDE SYNTHETASE', 131411),
(187686, 'PTHR31917:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131412),
(187687, 'PTHR35729:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131413),
(187688, 'PTHR36683', NULL, NULL, NULL, NULL, 'CELL CYCLE EXIT AND NEURONAL DIFFERENTIATION PROTEIN 1', 131414),
(187689, 'PTHR11588:SF405', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 131415),
(187690, 'PTHR20968', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 131416),
(187691, 'PTHR43214:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN UHPA', 131417),
(187692, 'PTHR27007:SF68', NULL, NULL, NULL, NULL, 'OS01G0779300 PROTEIN', 131418),
(187693, 'PTHR32401:SF13', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN FAMILY PROTEIN', 131419),
(187694, 'PTHR14611:SF0', NULL, NULL, NULL, NULL, 'TECTONIC', 131420),
(187695, 'PTHR24032:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131421),
(187696, 'PTHR24281:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131422),
(187697, 'PTHR33352', NULL, NULL, NULL, NULL, 'SLR1095 PROTEIN', 131423),
(187698, 'PTHR23138:SF145', NULL, NULL, NULL, NULL, 'BNAA08G28880D PROTEIN', 131424),
(187699, 'PTHR37013:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_1G05950)', 131425),
(187700, 'PTHR24068:SF317', NULL, NULL, NULL, NULL, 'OS01G0673600 PROTEIN', 131426),
(187701, 'PTHR11731:SF160', NULL, NULL, NULL, NULL, 'DIPEPTIDYL AMINOPEPTIDASE A', 131427);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(187702, 'PTHR14898:SF10', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB-LIKE PROTEIN', 131428),
(187703, 'PTHR12654:SF23', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', 131429),
(187704, 'PTHR35702:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 131430),
(187705, 'PTHR45683:SF11', NULL, NULL, NULL, NULL, 'BNAC06G30010D PROTEIN', 131431),
(187706, 'PTHR48036:SF5', NULL, NULL, NULL, NULL, 'CC1-LIKE SPLICING FACTOR', 131432),
(187707, 'PTHR10514:SF41', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME-LIKE PROTEIN ACE3', 131433),
(187708, 'PTHR46325:SF20', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC11', 131434),
(187709, 'PTHR15710:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131435),
(187710, 'PTHR33095:SF14', NULL, NULL, NULL, NULL, 'AR781', 131436),
(187711, 'PTHR11255:SF107', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 131437),
(187712, 'PTHR20993:SF0', NULL, NULL, NULL, NULL, 'GH07914P', 131438),
(187713, 'PTHR43859', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME', 131439),
(187714, 'PTHR30239:SF0', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE ISOZYME 3 SMALL SUBUNIT', 131440),
(187715, 'PTHR24056:SF241', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE 2', 131441),
(187716, 'PTHR31048:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131442),
(187717, 'PTHR23055:SF164', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE ACTIVATOR 1A', 131443),
(187718, 'PTHR33167:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131444),
(187719, 'PTHR21660:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131445),
(187720, 'PTHR34396:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 4-LIKE', 131446),
(187721, 'PTHR43464:SF57', NULL, NULL, NULL, NULL, 'UBIE/COQ5 METHYLTRANSFERASE', 131447),
(187722, 'PTHR34786:SF2', NULL, NULL, NULL, NULL, 'BNAA05G15570D PROTEIN', 131448),
(187723, 'PTHR10701:SF5', NULL, NULL, NULL, NULL, 'FI06540P', 131449),
(187724, 'PTHR24249:SF220', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 10A-RELATED', 131450),
(187725, 'PTHR31713:SF69', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN60-RELATED', 131451),
(187726, 'PTHR13964:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131452),
(187727, 'PTHR28232:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RXT2', 131453),
(187728, 'PTHR15897', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND MYND DOMAIN PROTEIN 1', 131454),
(187729, 'PTHR23227:SF67', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN LINE-1', 131455),
(187730, 'PTHR10693:SF65', NULL, NULL, NULL, NULL, 'BNAC07G30950D PROTEIN', 131456),
(187731, 'PTHR11474:SF83', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE', 131457),
(187732, 'PTHR45676:SF57', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 131458),
(187733, 'PTHR30427', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN LYSR', 131459),
(187734, 'PTHR46779:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE FAMILY 29-RELATED', 131460),
(187735, 'PTHR10822:SF25', NULL, NULL, NULL, NULL, 'GLYPICAN-4', 131461),
(187736, 'PTHR14559:SF1', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 14', 131462),
(187737, 'PTHR45978:SF12', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN-RELATED', 131463),
(187738, 'PTHR47978:SF17', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 131464),
(187739, 'PTHR43033', NULL, NULL, NULL, NULL, 'TRNA(ILE)-LYSIDINE SYNTHASE-RELATED', 131465),
(187740, 'PTHR31673:SF31', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 131466),
(187741, 'PTHR45842:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131467),
(187742, 'PTHR27006:SF340', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 131468),
(187743, 'PTHR13080', NULL, NULL, NULL, NULL, 'ATP SYNTHASE F CHAIN, MITOCHONDRIAL-RELATED', 131469),
(187744, 'PTHR43173:SF19', NULL, NULL, NULL, NULL, 'OS03G0698350 PROTEIN', 131470),
(187745, 'PTHR43561:SF3', NULL, NULL, NULL, NULL, 'HYDROXYACYL-COENZYME A DEHYDROGENASE, MITOCHONDRIAL', 131471);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(187746, 'PTHR20994:SF1', NULL, NULL, NULL, NULL, 'OS01G0683600 PROTEIN', 131472),
(187747, 'PTHR42861:SF48', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 131473),
(187748, 'PTHR47999:SF78', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB6-LIKE', 131474),
(187749, 'PTHR20859:SF22', NULL, NULL, NULL, NULL, 'TISSUE FACTOR', 131475),
(187750, 'PTHR31429', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 36-RELATED', 131476),
(187751, 'PTHR19143:SF393', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131477),
(187752, 'PTHR46236:SF30', NULL, NULL, NULL, NULL, 'BNAC09G38390D PROTEIN', 131478),
(187753, 'PTHR31225:SF105', NULL, NULL, NULL, NULL, 'ISOPRENOID SYNTHASE DOMAIN-CONTAINING PROTEIN-RELATED', 131479),
(187754, 'PTHR46245:SF9', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: B3 DOMAIN-CONTAINING TRANSCRIPTION REPRESSOR VAL1-LIKE', 131480),
(187755, 'PTHR44083:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131481),
(187756, 'PTHR13112:SF10', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE-MEDIATED DECAY, UPF3-RELATED', 131482),
(187757, 'PTHR19981:SF7', NULL, NULL, NULL, NULL, 'TALIN-1', 131483),
(187758, 'PTHR21713:SF32', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA-LIKE PROTEIN 5', 131484),
(187759, 'PTHR31802:SF25', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT3', 131485),
(187760, 'PTHR33697:SF7', NULL, NULL, NULL, NULL, 'BNAC04G49890D PROTEIN', 131486),
(187761, 'PTHR17630:SF97', NULL, NULL, NULL, NULL, 'ENDO-1,3-1,4-BETA-D-GLUCANASE-LIKE PROTEIN', 131487),
(187762, 'PTHR21495:SF190', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 7', 131488),
(187763, 'PTHR11552:SF138', NULL, NULL, NULL, NULL, 'DEHYDROGENASE PKFF-RELATED', 131489),
(187764, 'PTHR45648:SF61', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 131490),
(187765, 'PTHR47942:SF23', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN CRP1 HOMOLOG, CHLOROPLASTIC', 131491),
(187766, 'PTHR10556:SF43', NULL, NULL, NULL, NULL, 'STEROID 5-ALPHA-REDUCTASE DET2', 131492),
(187767, 'PTHR36368', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CASEINOLYTIC PROTEASE/CROTONASE FAMILY PROTEIN', 131493),
(187768, 'PTHR10024:SF114', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-4', 131494),
(187769, 'PTHR33443:SF20', NULL, NULL, NULL, NULL, 'BNAA09G10200D PROTEIN', 131495),
(187770, 'PTHR10578:SF101', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 131496),
(187771, 'PTHR26379:SF322', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 2-LIKE', 131497),
(187772, 'PTHR44420:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131498),
(187773, 'PTHR18934:SF109', NULL, NULL, NULL, NULL, 'DEAH-BOX HELICASE 15, ISOFORM A', 131499),
(187774, 'PTHR22706:SF1', NULL, NULL, NULL, NULL, 'ABNORMAL SPINDLE MICROTUBULE ASSEMBLY', 131500),
(187775, 'PTHR23429:SF13', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE 1, CHLOROPLASTIC', 131501),
(187776, 'PTHR21567:SF67', NULL, NULL, NULL, NULL, 'CLIP-ASSOCIATED PROTEIN', 131502),
(187777, 'PTHR16435:SF6', NULL, NULL, NULL, NULL, 'IP09370P', 131503),
(187778, 'PTHR12677:SF24', NULL, NULL, NULL, NULL, 'TVP38/TMEM64 FAMILY INNER MEMBRANE PROTEIN YDJZ', 131504),
(187779, 'PTHR11525:SF16', NULL, NULL, NULL, NULL, 'BNAA06G35250D PROTEIN', 131505),
(187780, 'PTHR13683:SF398', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1-LIKE', 131506),
(187781, 'PTHR47958:SF69', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-10', 131507),
(187782, 'PTHR13986:SF8', NULL, NULL, NULL, NULL, 'PROLYL 3-HYDROXYLASE 1-LIKE PROTEIN', 131508),
(187783, 'PTHR47369:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 131509),
(187784, 'PTHR27002:SF518', NULL, NULL, NULL, NULL, 'PROTEIN KINASE DOMAIN', 131510),
(187785, 'PTHR45908:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG11730', 131511),
(187786, 'PTHR14255:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CEREBLON', 131512),
(187787, 'PTHR47966:SF36', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE ORYZASIN-1-LIKE', 131513),
(187788, 'PTHR24249:SF400', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 21-LIKE PROTEIN-RELATED', 131514);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(187789, 'PTHR27006:SF383', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 35-RELATED', 131515),
(187790, 'PTHR33067:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131516),
(187791, 'PTHR11260:SF689', NULL, NULL, NULL, NULL, 'BNAA02G35760D PROTEIN', 131517),
(187792, 'PTHR14379:SF58', NULL, NULL, NULL, NULL, 'BNAC05G51950D PROTEIN', 131518),
(187793, 'PTHR11937:SF456', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 8', 131519),
(187794, 'PTHR10693:SF51', NULL, NULL, NULL, NULL, 'G3BP-LIKE PROTEIN ISOFORM X2-RELATED', 131520),
(187795, 'PTHR36114:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131521),
(187796, 'PTHR36032', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENATE--CYSTEINE LIGASE 2', 131522),
(187797, 'PTHR12461:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131523),
(187798, 'PTHR24031:SF125', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX42', 131524),
(187799, 'PTHR11267:SF100', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX6', 131525),
(187800, 'PTHR42857:SF1', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE-RELATED', 131526),
(187801, 'PTHR22835:SF233', NULL, NULL, NULL, NULL, 'OS06G0531600 PROTEIN', 131527),
(187802, 'PTHR10682:SF9', NULL, NULL, NULL, NULL, 'POLY(A) POLYMERASE ALPHA', 131528),
(187803, 'PTHR10562:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131529),
(187804, 'PTHR12224', NULL, NULL, NULL, NULL, 'BETA-1,4-MANNOSYL-GLYCOPROTEIN BETA-1,4-N-ACETYLGLUCOSAMINYL-TRANSFERASE', 131530),
(187805, 'PTHR23155:SF1080', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN', 131531),
(187806, 'PTHR11850:SF222', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G07090)-RELATED', 131532),
(187807, 'PTHR15241:SF342', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131533),
(187808, 'PTHR11132:SF307', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE/PHOSPHATE TRANSLOCATOR 2, CHLOROPLASTIC', 131534),
(187809, 'PTHR11360:SF248', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER FAMILY', 131535),
(187810, 'PTHR12791:SF36', NULL, NULL, NULL, NULL, 'BET1-LIKE SNARE 1-2', 131536),
(187811, 'PTHR47443:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 131537),
(187812, 'PTHR13337:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] CYTOCHROME B SMALL SUBUNIT, MITOCHONDRIAL', 131538),
(187813, 'PTHR45691:SF2', NULL, NULL, NULL, NULL, 'FH2 DOMAIN-CONTAINING 4', 131539),
(187814, 'PTHR14963', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN 18,19-RELATED', 131540),
(187815, 'PTHR11157:SF9', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 131541),
(187816, 'PTHR35704:SF8', NULL, NULL, NULL, NULL, 'BNAA01G13490D PROTEIN', 131542),
(187817, 'PTHR36129:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-245N4.2', 131543),
(187818, 'PTHR13271:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131544),
(187819, 'PTHR16897:SF16', NULL, NULL, NULL, NULL, 'BNAA03G19680D PROTEIN', 131545),
(187820, 'PTHR15146:SF6', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 137BB', 131546),
(187821, 'PTHR32134:SF114', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN DDB_G0274063/DDB_G0272642-RELATED', 131547),
(187822, 'PTHR21235:SF2', NULL, NULL, NULL, NULL, 'IMIDAZOLE GLYCEROL PHOSPHATE SYNTHASE HISHF', 131548),
(187823, 'PTHR42055:SF1', NULL, NULL, NULL, NULL, 'YALI0E03476P', 131549),
(187824, 'PTHR35115', NULL, NULL, NULL, NULL, 'CYCLIN DELTA-3', 131550),
(187825, 'PTHR33499:SF17', NULL, NULL, NULL, NULL, 'OS12G0231700 PROTEIN', 131551),
(187826, 'PTHR46964:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 131552),
(187827, 'PTHR30183:SF8', NULL, NULL, NULL, NULL, 'MOLYBDENUM TRANSPORT SYSTEM PERMEASE', 131553),
(187828, 'PTHR33964', NULL, NULL, NULL, NULL, 'RE45066P-RELATED', 131554),
(187829, 'PTHR11165:SF102', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 21', 131555),
(187830, 'PTHR31895:SF12', NULL, NULL, NULL, NULL, 'ACTIVATED IN BLOCKED UNFOLDED PROTEIN RESPONSE', 131556),
(187831, 'PTHR47924:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131557);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(187832, 'PTHR32303:SF8', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN ASSEMBLY FACTOR BAMB', 131558),
(187833, 'PTHR31044:SF81', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY PROTEIN 17-LIKE', 131559),
(187834, 'PTHR31948:SF116', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 2', 131560),
(187835, 'PTHR46716:SF1', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 7', 131561),
(187836, 'PTHR31156:SF11', NULL, NULL, NULL, NULL, 'SPEEDY PROTEIN E4', 131562),
(187837, 'PTHR34366:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131563),
(187838, 'PTHR14388:SF7', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 4B', 131564),
(187839, 'PTHR33512:SF10', NULL, NULL, NULL, NULL, 'PLANT/F17O14-7 PROTEIN', 131565),
(187840, 'PTHR31563', NULL, NULL, NULL, NULL, 'ION CHANNEL POLLUX-RELATED', 131566),
(187841, 'PTHR11017:SF297', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 131567),
(187842, 'PTHR46039:SF4', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE 3-RELATED', 131568),
(187843, 'PTHR45295:SF3', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 131569),
(187844, 'PTHR48034:SF16', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, X CHROMOSOME', 131570),
(187845, 'PTHR11547:SF27', NULL, NULL, NULL, NULL, 'CREATINE KINASE M-TYPE', 131571),
(187846, 'PTHR46234:SF6', NULL, NULL, NULL, NULL, 'ACYL THIOESTERASE-LIKE PROTEIN', 131572),
(187847, 'PTHR32246:SF74', NULL, NULL, NULL, NULL, 'BON1-ASSOCIATED-LIKE PROTEIN', 131573),
(187848, 'PTHR33640:SF19', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 131574),
(187849, 'PTHR30540:SF4', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 12-RELATED', 131575),
(187850, 'PTHR31374:SF45', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 131576),
(187851, 'PTHR47090:SF5', NULL, NULL, NULL, NULL, 'ENHANCED DISEASE SUSCEPTIBILITY PROTEIN', 131577),
(187852, 'PTHR31190:SF296', NULL, NULL, NULL, NULL, 'BNAC08G43940D PROTEIN', 131578),
(187853, 'PTHR23337:SF5', NULL, NULL, NULL, NULL, 'ATPASE MORC2B', 131579),
(187854, 'PTHR12290:SF20', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENATE--CYSTEINE LIGASE 2', 131580),
(187855, 'PTHR12002:SF198', NULL, NULL, NULL, NULL, 'CLAUDIN', 131581),
(187856, 'PTHR15468:SF7', NULL, NULL, NULL, NULL, 'SCIELLIN', 131582),
(187857, 'PTHR35490:SF2', NULL, NULL, NULL, NULL, 'BACTERIOPHAGE N4 ADSORPTION B PROTEIN', 131583),
(187858, 'PTHR23344:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131584),
(187859, 'PTHR19944:SF68', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DQ BETA 2 CHAIN', 131585),
(187860, 'PTHR11098:SF22', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE 2-LIKE', 131586),
(187861, 'PTHR38813', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 131587),
(187862, 'PTHR24020:SF8', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE VII ALPHA 1-LIKE', 131588),
(187863, 'PTHR31625:SF33', NULL, NULL, NULL, NULL, 'COUMAROYL-COA:ANTHOCYANIDIN 3-O-GLUCOSIDE-6''''-O-COUMAROYLTRANSFERASE 1-LIKE', 131589),
(187864, 'PTHR21398:SF1', NULL, NULL, NULL, NULL, 'FI03705P', 131590),
(187865, 'PTHR11972:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131591),
(187866, 'PTHR12411:SF597', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE', 131592),
(187867, 'PTHR37009:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-REGULATED ACTIN-BUNDLING PROTEIN', 131593),
(187868, 'PTHR43381:SF6', NULL, NULL, NULL, NULL, 'INITIATION FACTOR IF-2, PUTATIVE-RELATED', 131594),
(187869, 'PTHR33347:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131595),
(187870, 'PTHR43160:SF3', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE, MITOCHONDRIAL', 131596),
(187871, 'PTHR14155:SF541', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL34', 131597),
(187872, 'PTHR31071:SF34', NULL, NULL, NULL, NULL, 'ACTIN CYTOSKELETON-REGULATORY COMPLEX PAN-LIKE PROTEIN', 131598),
(187873, 'PTHR45920', NULL, NULL, NULL, NULL, 'FORMIN HOMOLOGY 2 DOMAIN CONTAINING, ISOFORM I', 131599),
(187874, 'PTHR24423:SF628', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', 131600);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(187875, 'PTHR46041:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE SUBUNIT 2', 131601),
(187876, 'PTHR31766:SF9', NULL, NULL, NULL, NULL, 'TRAM/LAG1/CLN8-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 131602),
(187877, 'PTHR11969:SF74', NULL, NULL, NULL, NULL, 'BNAC04G00610D PROTEIN', 131603),
(187878, 'PTHR31218:SF202', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 131604),
(187879, 'PTHR47364:SF17', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 131605),
(187880, 'PTHR27003:SF377', NULL, NULL, NULL, NULL, 'BNAA03G11880D PROTEIN', 131606),
(187881, 'PTHR47981:SF14', NULL, NULL, NULL, NULL, 'BNAA05G14990D PROTEIN', 131607),
(187882, 'PTHR31960:SF21', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 131608),
(187883, 'PTHR31792:SF3', NULL, NULL, NULL, NULL, 'VACUOLAR ATPASE ASSEMBLY INTEGRAL MEMBRANE PROTEIN VMA21', 131609),
(187884, 'PTHR10194:SF60', NULL, NULL, NULL, NULL, 'NEUROFIBROMIN', 131610),
(187885, 'PTHR44305:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STE7 HOMOLOG', 131611),
(187886, 'PTHR33371:SF17', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 131612),
(187887, 'PTHR11673:SF47', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', 131613),
(187888, 'PTHR19282:SF136', NULL, NULL, NULL, NULL, 'TETRASPANIN TSPA-RELATED', 131614),
(187889, 'PTHR35757:SF1', NULL, NULL, NULL, NULL, 'THERMOSOME SUBUNIT GAMMA', 131615),
(187890, 'PTHR10877:SF187', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY DISEASE 2-LIKE 1 PROTEIN', 131616),
(187891, 'PTHR34384', NULL, NULL, NULL, NULL, 'L-2,3-DIAMINOPROPANOATE--CITRATE LIGASE', 131617),
(187892, 'PTHR33021:SF300', NULL, NULL, NULL, NULL, 'BNAUNNG03630D PROTEIN', 131618),
(187893, 'PTHR33085:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131619),
(187894, 'PTHR26454:SF61', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 131620),
(187895, 'PTHR34265:SF1', NULL, NULL, NULL, NULL, 'TYPE III PANTOTHENATE KINASE', 131621),
(187896, 'PTHR46049:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131622),
(187897, 'PTHR31297:SF37', NULL, NULL, NULL, NULL, 'EXO-1,3-BETA-GLUCANASE-RELATED', 131623),
(187898, 'PTHR39226:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700013G24 GENE', 131624),
(187899, 'PTHR32227:SF375', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE', 131625),
(187900, 'PTHR42923:SF28', NULL, NULL, NULL, NULL, 'ZETA-CAROTENE DESATURASE, CHLOROPLASTIC/CHROMOPLASTIC', 131626),
(187901, 'PTHR21277:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF RNA POLII, SAGA, SUBUNIT', 131627),
(187902, 'PTHR32134:SF91', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN DDB_G0277323', 131628),
(187903, 'PTHR18945:SF453', NULL, NULL, NULL, NULL, 'NTR, ISOFORM A', 131629),
(187904, 'PTHR10824:SF1', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A AMINO ACID N-ACYLTRANSFERASE 1-RELATED', 131630),
(187905, 'PTHR24418:SF419', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE FRK', 131631),
(187906, 'PTHR24281:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131632),
(187907, 'PTHR11388:SF146', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 4A1', 131633),
(187908, 'PTHR11243:SF23', NULL, NULL, NULL, NULL, 'LD06925P', 131634),
(187909, 'PTHR47971:SF13', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF24', 131635),
(187910, 'PTHR31476:SF10', NULL, NULL, NULL, NULL, 'OS04G0546100 PROTEIN', 131636),
(187911, 'PTHR46774', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN EAF1 A-RELATED', 131637),
(187912, 'PTHR19307:SF12', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN D52', 131638),
(187913, 'PTHR31465:SF15', NULL, NULL, NULL, NULL, 'LIPID TRANSPORTER ATNI-RELATED', 131639),
(187914, 'PTHR44366:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--PEPTIDE N-ACETYLGLUCOSAMINYLTRANSFERASE 110 KDA SUBUNIT', 131640),
(187915, 'PTHR12035:SF118', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN H', 131641),
(187916, 'PTHR31104:SF5', NULL, NULL, NULL, NULL, 'OS05G0395000 PROTEIN', 131642),
(187917, 'PTHR45615:SF34', NULL, NULL, NULL, NULL, 'NON-MUSCLE MYOSIN', 131643);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(187918, 'PTHR13884', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 131644),
(187919, 'PTHR31920:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131645),
(187920, 'PTHR10199', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN', 131646),
(187921, 'PTHR47232:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131647),
(187922, 'PTHR33452:SF4', NULL, NULL, NULL, NULL, 'BLL4328 PROTEIN', 131648),
(187923, 'PTHR24023:SF1020', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXVII) CHAIN B', 131649),
(187924, 'PTHR33572:SF15', NULL, NULL, NULL, NULL, 'CHROMOSOME 12, WHOLE GENOME SHOTGUN SEQUENCE', 131650),
(187925, 'PTHR12980', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE COMPLEX, SUBUNIT X', 131651),
(187926, 'PTHR30133', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER, MEMBRANE COMPONENT', 131652),
(187927, 'PTHR11905:SF234', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN UNC-71', 131653),
(187928, 'PTHR47160', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 131654),
(187929, 'PTHR31351:SF30', NULL, NULL, NULL, NULL, 'OS10G0568300 PROTEIN', 131655),
(187930, 'PTHR13832:SF750', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131656),
(187931, 'PTHR38928', NULL, NULL, NULL, NULL, 'ARGOS7', 131657),
(187932, 'PTHR12499:SF11', NULL, NULL, NULL, NULL, 'OPA3-LIKE PROTEIN', 131658),
(187933, 'PTHR11740:SF31', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', 131659),
(187934, 'PTHR47376:SF2', NULL, NULL, NULL, NULL, 'OS02G0597700 PROTEIN', 131660),
(187935, 'PTHR48019:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131661),
(187936, 'PTHR13723:SF20', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 13', 131662),
(187937, 'PTHR35129:SF6', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 2', 131663),
(187938, 'PTHR33326:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131664),
(187939, 'PTHR34938:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FERTILITY RESTORER RF2, MITOCHONDRIAL', 131665),
(187940, 'PTHR12446:SF56', NULL, NULL, NULL, NULL, 'BNAA07G00040D PROTEIN', 131666),
(187941, 'PTHR13723:SF169', NULL, NULL, NULL, NULL, 'ADAMTS-LIKE PROTEIN 3', 131667),
(187942, 'PTHR34795', NULL, NULL, NULL, NULL, 'NEMATODE RESISTANCE PROTEIN-LIKE HSPRO1', 131668),
(187943, 'PTHR43150:SF2', NULL, NULL, NULL, NULL, 'HYPERKINETIC, ISOFORM M', 131669),
(187944, 'PTHR45615:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131670),
(187945, 'PTHR16517:SF109', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 131671),
(187946, 'PTHR46067:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131672),
(187947, 'PTHR11732:SF420', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131673),
(187948, 'PTHR31692:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131674),
(187949, 'PTHR24026:SF89', NULL, NULL, NULL, NULL, 'CADHERIN-89D', 131675),
(187950, 'PTHR11260:SF234', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE19', 131676),
(187951, 'PTHR36019:SF2', NULL, NULL, NULL, NULL, 'BNAA02G24660D PROTEIN', 131677),
(187952, 'PTHR11736:SF148', NULL, NULL, NULL, NULL, 'MELANOMA ANTIGEN, FAMILY B, 5-RELATED', 131678),
(187953, 'PTHR33021:SF208', NULL, NULL, NULL, NULL, 'OS06G0266400 PROTEIN', 131679),
(187954, 'PTHR24367:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131680),
(187955, 'PTHR23382:SF27', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE 1, CYTOPLASMIC', 131681),
(187956, 'PTHR30347:SF1', NULL, NULL, NULL, NULL, 'MINICONDUCTANCE MECHANOSENSITIVE CHANNEL MSCM', 131682),
(187957, 'PTHR40470:SF1', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G15850)', 131683),
(187958, 'PTHR48063:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131684),
(187959, 'PTHR11783:SF240', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 131685),
(187960, 'PTHR45884', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE ECO', 131686),
(187961, 'PTHR33178:SF3', NULL, NULL, NULL, NULL, 'STRESS-RESPONSE A/B BARREL DOMAIN-CONTAINING PROTEIN UP3', 131687),
(187962, 'PTHR11615:SF315', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 131688);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(187963, 'PTHR10498:SF23', NULL, NULL, NULL, NULL, 'PARALEMMIN 2', 131689),
(187964, 'PTHR33248:SF28', NULL, NULL, NULL, NULL, 'BNAA06G37630D PROTEIN', 131690),
(187965, 'PTHR23001:SF32', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5-2-RELATED', 131691),
(187966, 'PTHR23003:SF37', NULL, NULL, NULL, NULL, 'OLIGOURIDYLATE-BINDING PROTEIN 1C', 131692),
(187967, 'PTHR46460', NULL, NULL, NULL, NULL, 'METHYLATED-DNA--PROTEIN-CYSTEINE METHYLTRANSFERASE', 131693),
(187968, 'PTHR31339:SF20', NULL, NULL, NULL, NULL, 'OS07G0245200 PROTEIN', 131694),
(187969, 'PTHR15710:SF86', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHC1A-RELATED', 131695),
(187970, 'PTHR10791:SF188', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET12', 131696),
(187971, 'PTHR46927', NULL, NULL, NULL, NULL, 'AGAP005574-PA', 131697),
(187972, 'PTHR31307', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASIL2', 131698),
(187973, 'PTHR11654:SF192', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER FAMILY 1', 131699),
(187974, 'PTHR45704:SF2', NULL, NULL, NULL, NULL, 'RERG/RAS-LIKE B', 131700),
(187975, 'PTHR24083:SF82', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-64', 131701),
(187976, 'PTHR12483:SF104', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 6-LIKE', 131702),
(187977, 'PTHR28037', NULL, NULL, NULL, NULL, 'ALCOHOL O-ACETYLTRANSFERASE 1-RELATED', 131703),
(187978, 'PTHR11567:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131704),
(187979, 'PTHR32258:SF17', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1A-LIKE', 131705),
(187980, 'PTHR14470', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN', 131706),
(187981, 'PTHR33385:SF4', NULL, NULL, NULL, NULL, 'PROTEIN XRI1', 131707),
(187982, 'PTHR46559', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 11', 131708),
(187983, 'PTHR23309:SF9', NULL, NULL, NULL, NULL, 'PEROXISOMAL BIFUNCTIONAL ENZYME', 131709),
(187984, 'PTHR10782:SF66', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE SIZ1-LIKE ISOFORM X1', 131710),
(187985, 'PTHR11961:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME C', 131711),
(187986, 'PTHR11528:SF111', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90-1', 131712),
(187987, 'PTHR22603:SF76', NULL, NULL, NULL, NULL, 'ETHANOLAMINE KINASE 2', 131713),
(187988, 'PTHR24282:SF163', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP749A22-LIKE', 131714),
(187989, 'PTHR13817:SF136', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE L1-LIKE PROTEIN', 131715),
(187990, 'PTHR10361:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131716),
(187991, 'PTHR40516:SF1', NULL, NULL, NULL, NULL, 'ANTITOXIN CHPS-RELATED', 131717),
(187992, 'PTHR45629:SF8', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL HELICASE AND THYMINE DIOXYGENASE JBP2', 131718),
(187993, 'PTHR31374:SF160', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN-LIKE', 131719),
(187994, 'PTHR45668:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 131720),
(187995, 'PTHR10722:SF26', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', 131721),
(187996, 'PTHR46174:SF5', NULL, NULL, NULL, NULL, 'CXXC FINGER PROTEIN 1A', 131722),
(187997, 'PTHR12265:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG03927', 131723),
(187998, 'PTHR48180', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 131724),
(187999, 'PTHR11986:SF120', NULL, NULL, NULL, NULL, 'BNAA02G19550D PROTEIN', 131725),
(188000, 'PTHR31549:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131726),
(188001, 'PTHR31707:SF123', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 131727),
(188002, 'PTHR10621:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131728),
(188003, 'PTHR47842', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 131729),
(188004, 'PTHR11374:SF35', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', 131730),
(188005, 'PTHR10791:SF153', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 131731),
(188006, 'PTHR46204:SF11', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 131732),
(188007, 'PTHR11514:SF102', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC4-LIKE', 131733);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(188008, 'PTHR45614', NULL, NULL, NULL, NULL, 'MYB PROTEIN-RELATED', 131734),
(188009, 'PTHR42781:SF5', NULL, NULL, NULL, NULL, 'PUTRESCINE TRANSPORT ATP-BINDING PROTEIN POTG', 131735),
(188010, 'PTHR45940:SF27', NULL, NULL, NULL, NULL, 'BNAANNG11050D PROTEIN', 131736),
(188011, 'PTHR31529:SF44', NULL, NULL, NULL, NULL, 'BNACNNG65080D PROTEIN', 131737),
(188012, 'PTHR14221:SF51', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', 131738),
(188013, 'PTHR21593:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG21288', 131739),
(188014, 'PTHR32080:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131740),
(188015, 'PTHR11954:SF22', NULL, NULL, NULL, NULL, 'D-DOPACHROME DECARBOXYLASE', 131741),
(188016, 'PTHR21228:SF59', NULL, NULL, NULL, NULL, 'FAST KINASE DOMAIN-CONTAINING PROTEIN 4', 131742),
(188017, 'PTHR11629:SF21', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 116 KDA SUBUNIT A ISOFORM 3', 131743),
(188018, 'PTHR10612:SF42', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN DA, DUPLICATE 2', 131744),
(188019, 'PTHR31351:SF33', NULL, NULL, NULL, NULL, 'BNAA08G29430D PROTEIN', 131745),
(188020, 'PTHR11524:SF40', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L7, PUTATIVE-RELATED', 131746),
(188021, 'PTHR35461:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131747),
(188022, 'PTHR22922:SF3', NULL, NULL, NULL, NULL, 'CAPRIN-1', 131748),
(188023, 'PTHR15315:SF93', NULL, NULL, NULL, NULL, 'EARLY GIRL, ISOFORM A-RELATED', 131749),
(188024, 'PTHR11040:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131750),
(188025, 'PTHR46444:SF7', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', 131751),
(188026, 'PTHR44549:SF1', NULL, NULL, NULL, NULL, 'ENDOTHELIAL CELL-SELECTIVE ADHESION MOLECULE', 131752),
(188027, 'PTHR31009:SF73', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE:SALICYLIC ACID CARBOXYL METHYLTRANSFERASE, 41514-39166-RELATED', 131753),
(188028, 'PTHR22792:SF135', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 131754),
(188029, 'PTHR16484:SF10', NULL, NULL, NULL, NULL, 'PARTITIONING DEFECTIVE 3 HOMOLOG', 131755),
(188030, 'PTHR28288', NULL, NULL, NULL, NULL, 'PROTEASE B INHIBITOR 2', 131756),
(188031, 'PTHR43880:SF38', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-RELATED', 131757),
(188032, 'PTHR21213:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 706', 131758),
(188033, 'PTHR11360:SF25', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 2', 131759),
(188034, 'PTHR12406:SF42', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE/ACYL HYDROLASE/LYSOPHOSPHOLIPASE', 131760),
(188035, 'PTHR23257:SF712', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0281745-RELATED', 131761),
(188036, 'PTHR46045:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 131762),
(188037, 'PTHR14043:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CUT-LIKE 2', 131763),
(188038, 'PTHR31636:SF166', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 34', 131764),
(188039, 'PTHR33184:SF66', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUPS, PUTATIVE-RELATED', 131765),
(188040, 'PTHR26452:SF803', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 131766),
(188041, 'PTHR13683:SF832', NULL, NULL, NULL, NULL, 'PROTEIN ASPARTIC PROTEASE IN GUARD CELL 1-LIKE', 131767),
(188042, 'PTHR35280:SF2', NULL, NULL, NULL, NULL, 'BNAA07G08930D PROTEIN', 131768),
(188043, 'PTHR22595:SF150', NULL, NULL, NULL, NULL, 'CHITINASE', 131769),
(188044, 'PTHR46112:SF1', NULL, NULL, NULL, NULL, 'XAA-PRO DIPEPTIDASE (COBALT-DEPENDENT)', 131770),
(188045, 'PTHR24028:SF91', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-12', 131771),
(188046, 'PTHR12537:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131772),
(188047, 'PTHR24377:SF670', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 324B', 131773),
(188048, 'PTHR31867:SF149', NULL, NULL, NULL, NULL, 'EXPANSIN', 131774),
(188049, 'PTHR47066', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 9', 131775),
(188050, 'PTHR45656', NULL, NULL, NULL, NULL, 'PROTEIN CBR-CLEC-78', 131776);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(188051, 'PTHR11176:SF42', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 131777),
(188052, 'PTHR43103:SF4', NULL, NULL, NULL, NULL, 'EPIMERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12770)-RELATED', 131778),
(188053, 'PTHR31568:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131779),
(188054, 'PTHR44590:SF1', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 131780),
(188055, 'PTHR15635', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN CONTAINING PROTEIN 9', 131781),
(188056, 'PTHR23309:SF34', NULL, NULL, NULL, NULL, 'PEROXISOMAL FATTY ACID BETA-OXIDATION MULTIFUNCTIONAL PROTEIN AIM1-LIKE', 131782),
(188057, 'PTHR31375:SF229', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', 131783),
(188058, 'PTHR42188:SF1', NULL, NULL, NULL, NULL, '23S RRNA-SPECIFIC ENDONUCLEASE VAPC20', 131784),
(188059, 'PTHR24353:SF127', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C AND CYCLIC NUCLEOTIDE-BINDING/KINASE DOMAIN-CONTAINING PROTEIN', 131785),
(188060, 'PTHR32387:SF3', NULL, NULL, NULL, NULL, 'ATP/DNA BINDING PROTEIN-RELATED', 131786),
(188061, 'PTHR33033:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131787),
(188062, 'PTHR47683:SF2', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE FAMILY PROTEIN-RELATED', 131788),
(188063, 'PTHR31009:SF87', NULL, NULL, NULL, NULL, 'PROTEINKINASE ATPP-LIKE PROTEIN', 131789),
(188064, 'PTHR23201:SF104', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 1', 131790),
(188065, 'PTHR12015:SF77', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 15', 131791),
(188066, 'PTHR47928:SF139', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 131792),
(188067, 'PTHR12419:SF49', NULL, NULL, NULL, NULL, 'OTU-LIKE CYSTEINE PROTEASE-LIKE', 131793),
(188068, 'PTHR27009:SF198', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', 131794),
(188069, 'PTHR22298:SF105', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 15', 131795),
(188070, 'PTHR32141:SF27', NULL, NULL, NULL, NULL, 'OS07G0277500 PROTEIN', 131796),
(188071, 'PTHR11913:SF87', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 2-LIKE', 131797),
(188072, 'PTHR24118:SF56', NULL, NULL, NULL, NULL, 'POTE ANKYRIN DOMAIN FAMILY MEMBER E-RELATED', 131798),
(188073, 'PTHR30252:SF2', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER CSTA', 131799),
(188074, 'PTHR31314:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131800),
(188075, 'PTHR31621:SF38', NULL, NULL, NULL, NULL, 'PROTEIN DMP4', 131801),
(188076, 'PTHR33673:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131802),
(188077, 'PTHR43238', NULL, NULL, NULL, NULL, 'GDP-L-FUCOSE SYNTHASE', 131803),
(188078, 'PTHR33564:SF18', NULL, NULL, NULL, NULL, 'BNAC01G35820D PROTEIN', 131804),
(188079, 'PTHR10994:SF163', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 131805),
(188080, 'PTHR43407', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', 131806),
(188081, 'PTHR45698:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131807),
(188082, 'PTHR33102:SF54', NULL, NULL, NULL, NULL, 'DVL FAMILY PROTEIN', 131808),
(188083, 'PTHR24376:SF136', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 131809),
(188084, 'PTHR24177:SF292', NULL, NULL, NULL, NULL, 'PROTEIN ACCELERATED CELL DEATH 6', 131810),
(188085, 'PTHR43667', NULL, NULL, NULL, NULL, 'CYCLOPROPANE-FATTY-ACYL-PHOSPHOLIPID SYNTHASE', 131811),
(188086, 'PTHR31032', NULL, NULL, NULL, NULL, 'PGR5-LIKE PROTEIN 1B, CHLOROPLASTIC', 131812),
(188087, 'PTHR11119:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG01749', 131813),
(188088, 'PTHR11877:SF10', NULL, NULL, NULL, NULL, 'TYPE III POLYKETIDE SYNTHASE B', 131814),
(188089, 'PTHR45814:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD1B', 131815),
(188090, 'PTHR42757:SF6', NULL, NULL, NULL, NULL, 'NEURONAL GROWTH REGULATOR 1', 131816),
(188091, 'PTHR46641:SF7', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', 131817),
(188092, 'PTHR47307:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE-REGULATED POTASSIUM-EFFLUX SYSTEM ANCILLARY PROTEIN KEFG', 131818),
(188093, 'PTHR32467:SF159', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WRI1-LIKE', 131819); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(188094, 'PTHR14113', NULL, NULL, NULL, NULL, 'PICCOLO/BASSOON', 131820),
(188095, 'PTHR31264:SF11', NULL, NULL, NULL, NULL, 'OS07G0555100 PROTEIN', 131821),
(188096, 'PTHR35116', NULL, NULL, NULL, NULL, 'HELICASE PROTEIN MOM1', 131822),
(188097, 'PTHR12353:SF3', NULL, NULL, NULL, NULL, 'DISKS LARGE-ASSOCIATED PROTEIN 2', 131823),
(188098, 'PTHR28643', NULL, NULL, NULL, NULL, 'SWI5-DEPENDENT RECOMBINATION DNA REPAIR PROTEIN 1 HOMOLOG', 131824),
(188099, 'PTHR47888', NULL, NULL, NULL, NULL, 'UPF0730 PROTEIN ENCODED BY LINC00643-RELATED', 131825),
(188100, 'PTHR10795:SF598', NULL, NULL, NULL, NULL, 'CO(2)-RESPONSE SECRETED PROTEASE', 131826),
(188101, 'PTHR11132:SF395', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131827),
(188102, 'PTHR13390:SF2', NULL, NULL, NULL, NULL, 'BNAA05G27450D PROTEIN', 131828),
(188103, 'PTHR15241:SF309', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 131829),
(188104, 'PTHR45719:SF34', NULL, NULL, NULL, NULL, 'BNACNNG43180D PROTEIN', 131830),
(188105, 'PTHR34464:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131831),
(188106, 'PTHR19443:SF69', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', 131832),
(188107, 'PTHR10795:SF558', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131833),
(188108, 'PTHR46757:SF1', NULL, NULL, NULL, NULL, 'OS05G0474500 PROTEIN', 131834),
(188109, 'PTHR39947', NULL, NULL, NULL, NULL, 'IP19862P', 131835),
(188110, 'PTHR24353:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131836),
(188111, 'PTHR12236', NULL, NULL, NULL, NULL, 'STRUCTURAL CONTITUENT OF CUTICLE', 131837),
(188112, 'PTHR37164', NULL, NULL, NULL, NULL, 'BACTERIOHEMERYTHRIN', 131838),
(188113, 'PTHR12750:SF14', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE', 131839),
(188114, 'PTHR22718:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 131840),
(188115, 'PTHR45764:SF49', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', 131841),
(188116, 'PTHR46317:SF3', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE TATDN3-RELATED', 131842),
(188117, 'PTHR10811:SF13', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 131843),
(188118, 'PTHR36035', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE SCO2', 131844),
(188119, 'PTHR47967:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131845),
(188120, 'PTHR38439:SF3', NULL, NULL, NULL, NULL, 'AURACYANIN-B', 131846),
(188121, 'PTHR33124', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IBH1-LIKE 1', 131847),
(188122, 'PTHR12681:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCCH-TYPE, ZC3H15/TMA46 FAMILY-RELATED', 131848),
(188123, 'PTHR11802:SF372', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE, PUTATIVE-RELATED', 131849),
(188124, 'PTHR22844:SF357', NULL, NULL, NULL, NULL, 'BNAA08G19140D PROTEIN', 131850),
(188125, 'PTHR31730:SF30', NULL, NULL, NULL, NULL, 'BNAC09G47350D PROTEIN', 131851),
(188126, 'PTHR36003', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT HEME RECEPTOR A', 131852),
(188127, 'PTHR10015:SF258', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-2C', 131853),
(188128, 'PTHR18968:SF120', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE LARGE SUBUNIT', 131854),
(188129, 'PTHR23292:SF32', NULL, NULL, NULL, NULL, 'GENE 5767-RELATED', 131855),
(188130, 'PTHR16181', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 131856),
(188131, 'PTHR31218:SF326', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 131857),
(188132, 'PTHR46800:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 131858),
(188133, 'PTHR14167:SF45', NULL, NULL, NULL, NULL, 'ENDOPHILIN-A3', 131859),
(188134, 'PTHR24173:SF59', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX-CONTAINING PROTEIN-LIKE PROTEIN 13', 131860),
(188135, 'PTHR40841:SF2', NULL, NULL, NULL, NULL, 'SIDEROPHORE TRIACETYLFUSARININE C ESTERASE', 131861),
(188136, 'PTHR24221:SF571', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131862),
(188137, 'PTHR47640:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131863),
(188138, 'PTHR12473:SF15', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE MINDY-3', 131864);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(188139, 'PTHR10285:SF176', NULL, NULL, NULL, NULL, 'URIDINE KINASE', 131865),
(188140, 'PTHR11571:SF98', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 7-RELATED', 131866),
(188141, 'PTHR26453:SF261', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 131867),
(188142, 'PTHR46777:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131868),
(188143, 'PTHR44444:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-24P1.6', 131869),
(188144, 'PTHR31246:SF29', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEINS 70-2-RELATED', 131870),
(188145, 'PTHR11002:SF59', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 131871),
(188146, 'PTHR11909:SF126', NULL, NULL, NULL, NULL, 'PROTEIN CBG06004', 131872),
(188147, 'PTHR43173:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131873),
(188148, 'PTHR31671:SF0', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P53-INDUCIBLE NUCLEAR PROTEIN 1', 131874),
(188149, 'PTHR11654:SF80', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 15 MEMBER 4', 131875),
(188150, 'PTHR37885', NULL, NULL, NULL, NULL, 'CMT1A DUPLICATED REGION TRANSCRIPT 4 PROTEIN', 131876),
(188151, 'PTHR48041:SF14', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 25', 131877),
(188152, 'PTHR46544', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN 2-RELATED', 131878),
(188153, 'PTHR10516:SF298', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 131879),
(188154, 'PTHR31087:SF113', NULL, NULL, NULL, NULL, 'BNAA03G17960D PROTEIN', 131880),
(188155, 'PTHR23201:SF20', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 9', 131881),
(188156, 'PTHR11706:SF54', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP6', 131882),
(188157, 'PTHR11632:SF53', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE FLAVOPROTEIN SUBUNIT', 131883),
(188158, 'PTHR47982:SF35', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK1', 131884),
(188159, 'PTHR21230:SF72', NULL, NULL, NULL, NULL, 'BNAA08G03440D PROTEIN', 131885),
(188160, 'PTHR11266:SF105', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE 22 KDA (MPV17/PMP22) FAMILY PROTEIN-RELATED', 131886),
(188161, 'PTHR47960:SF1', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 50', 131887),
(188162, 'PTHR44404', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE 1M', 131888),
(188163, 'PTHR12124:SF69', NULL, NULL, NULL, NULL, 'PROTEIN RRP6-LIKE 1', 131889),
(188164, 'PTHR10891:SF857', NULL, NULL, NULL, NULL, 'POLCALCIN NIC T 1-RELATED', 131890),
(188165, 'PTHR24332:SF15', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CDX-4', 131891),
(188166, 'PTHR36844:SF1', NULL, NULL, NULL, NULL, 'PROTEASE PRSW', 131892),
(188167, 'PTHR31373:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131893),
(188168, 'PTHR12411:SF577', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE 3', 131894),
(188169, 'PTHR40849', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT MEMBRANE TARGETING', 131895),
(188170, 'PTHR18929:SF225', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', 131896),
(188171, 'PTHR22835:SF580', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131897),
(188172, 'PTHR11829:SF363', NULL, NULL, NULL, NULL, 'FORKHEAD TRANSCRIPTION FACTOR FAMILY', 131898),
(188173, 'PTHR10836', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE 3-PHOSPHATE DEHYDROGENASE', 131899),
(188174, 'PTHR13947:SF2', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE FAMILY 8 MEMBER 3-RELATED', 131900),
(188175, 'PTHR10903:SF141', NULL, NULL, NULL, NULL, 'PROTEIN AIG1-LIKE', 131901),
(188176, 'PTHR31300:SF2', NULL, NULL, NULL, NULL, 'LIPASE', 131902),
(188177, 'PTHR22625:SF7', NULL, NULL, NULL, NULL, 'PLEXIN-D1', 131903),
(188178, 'PTHR14155:SF574', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL28', 131904),
(188179, 'PTHR11615:SF251', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 131905),
(188180, 'PTHR26453:SF154', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 131906),
(188181, 'PTHR23055:SF166', NULL, NULL, NULL, NULL, 'RECOVERIN-RELATED', 131907),
(188182, 'PTHR24960:SF71', NULL, NULL, NULL, NULL, 'BSR3197 PROTEIN', 131908),
(188183, 'PTHR10894:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 58', 131909);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(188184, 'PTHR34271:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131910),
(188185, 'PTHR11636:SF47', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 2, TRANSCRIPTION FACTOR 1', 131911),
(188186, 'PTHR46865:SF7', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G07040)-RELATED', 131912),
(188187, 'PTHR48017:SF114', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER ANT1-LIKE', 131913),
(188188, 'PTHR21562:SF50', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 6', 131914),
(188189, 'PTHR23226:SF271', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 34', 131915),
(188190, 'PTHR11653', NULL, NULL, NULL, NULL, 'PARVALBUMIN ALPHA', 131916),
(188191, 'PTHR45757:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG01833', 131917),
(188192, 'PTHR12300:SF154', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 131918),
(188193, 'PTHR11802:SF279', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 46', 131919),
(188194, 'PTHR43570:SF22', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 131920),
(188195, 'PTHR32212:SF296', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 131921),
(188196, 'PTHR16017', NULL, NULL, NULL, NULL, 'GASTRULATION DEFECTIVE PROTEIN 1-RELATED', 131922),
(188197, 'PTHR45727:SF6', NULL, NULL, NULL, NULL, 'NPC INTRACELLULAR CHOLESTEROL TRANSPORTER 1 HOMOLOG 1B', 131923),
(188198, 'PTHR14009:SF35', NULL, NULL, NULL, NULL, 'LETM1-LIKE PROTEIN', 131924),
(188199, 'PTHR13234', NULL, NULL, NULL, NULL, 'GAMMA-INTERFERON INDUCIBLE LYSOSOMAL THIOL REDUCTASE  GILT', 131925),
(188200, 'PTHR12436:SF31', NULL, NULL, NULL, NULL, 'SAC3 DOMAIN-CONTAINING PROTEIN 1', 131926),
(188201, 'PTHR45642:SF110', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL3', 131927),
(188202, 'PTHR45651:SF88', NULL, NULL, NULL, NULL, 'BNAC01G42610D PROTEIN', 131928),
(188203, 'PTHR19353:SF35', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT STEAROYL-COA 9-DESATURASE', 131929),
(188204, 'PTHR14110:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM22', 131930),
(188205, 'PTHR33076:SF98', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 13-LIKE', 131931),
(188206, 'PTHR12629:SF48', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 18, MITOCHONDRIAL-LIKE', 131932),
(188207, 'PTHR33086:SF70', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 4', 131933),
(188208, 'PTHR38218:SF5', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 131934),
(188209, 'PTHR42826:SF3', NULL, NULL, NULL, NULL, 'DICARBOXYLATE TRANSPORTER 1, CHLOROPLASTIC', 131935),
(188210, 'PTHR23203:SF14', NULL, NULL, NULL, NULL, 'BASIC SALIVARY PROLINE-RICH PROTEIN 1-RELATED', 131936),
(188211, 'PTHR33401:SF2', NULL, NULL, NULL, NULL, 'OS03G0138400 PROTEIN', 131937),
(188212, 'PTHR48017:SF2', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 8-LIKE', 131938),
(188213, 'PTHR10992:SF1018', NULL, NULL, NULL, NULL, 'ESTERASE PIR7B', 131939),
(188214, 'PTHR12570:SF70', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 131940),
(188215, 'PTHR23024:SF557', NULL, NULL, NULL, NULL, 'AB HYDROLASE SUPERFAMILY PROTEIN C1039.03', 131941),
(188216, 'PTHR11783:SF257', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 131942),
(188217, 'PTHR31730:SF26', NULL, NULL, NULL, NULL, 'DUF668 FAMILY PROTEIN', 131943),
(188218, 'PTHR23290', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 131944),
(188219, 'PTHR24326:SF575', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT5-LIKE', 131945),
(188220, 'PTHR48016:SF8', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 3', 131946),
(188221, 'PTHR34311:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG15354', 131947),
(188222, 'PTHR31415:SF88', NULL, NULL, NULL, NULL, 'OS11G0587400 PROTEIN', 131948),
(188223, 'PTHR26312:SF158', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY PROTEIN YCF3', 131949),
(188224, 'PTHR36619:SF2', NULL, NULL, NULL, NULL, 'OS04G0208900 PROTEIN', 131950),
(188225, 'PTHR12181:SF63', NULL, NULL, NULL, NULL, 'BNAA09G15750D PROTEIN', 131951),
(188226, 'PTHR46045:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 131952); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(188227, 'PTHR12345:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131953),
(188228, 'PTHR31194', NULL, NULL, NULL, NULL, 'SHN  SHINE , DNA BINDING / TRANSCRIPTION FACTOR', 131954),
(188229, 'PTHR24419:SF1', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE 1', 131955),
(188230, 'PTHR31311:SF14', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 6', 131956),
(188231, 'PTHR48092:SF17', NULL, NULL, NULL, NULL, 'KNIRPS-RELATED PROTEIN-RELATED', 131957),
(188232, 'PTHR31221:SF1', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR PROTEIN 1-RELATED', 131958),
(188233, 'PTHR34958:SF1', NULL, NULL, NULL, NULL, 'CONDITIONAL LOSS-OF-GROWTH 1', 131959),
(188234, 'PTHR47067:SF5', NULL, NULL, NULL, NULL, 'OS02G0558600 PROTEIN', 131960),
(188235, 'PTHR37886:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 131961),
(188236, 'PTHR11062:SF8', NULL, NULL, NULL, NULL, 'EXOSTOSIN-LIKE 1', 131962),
(188237, 'PTHR48047:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 131963),
(188238, 'PTHR14379:SF63', NULL, NULL, NULL, NULL, 'ENDONUCLEASE OR GLYCOSYL HYDROLASE-RELATED', 131964),
(188239, 'PTHR46672', NULL, NULL, NULL, NULL, 'OS08G0495500 PROTEIN-RELATED', 131965),
(188240, 'PTHR24410:SF16', NULL, NULL, NULL, NULL, 'GALECTIN-3-BINDING PROTEIN', 131966),
(188241, 'PTHR19317:SF76', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 131967),
(188242, 'PTHR11732:SF449', NULL, NULL, NULL, NULL, 'GLD1', 131968),
(188243, 'PTHR24351:SF175', NULL, NULL, NULL, NULL, 'CHROMOSOMAL SERINE/THREONINE-PROTEIN KINASE JIL-1', 131969),
(188244, 'PTHR24020:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131970),
(188245, 'PTHR32154:SF0', NULL, NULL, NULL, NULL, 'PYRUVATE-FLAVODOXIN OXIDOREDUCTASE-RELATED', 131971),
(188246, 'PTHR24038:SF8', NULL, NULL, NULL, NULL, 'STABILIN-1', 131972),
(188247, 'PTHR22870:SF380', NULL, NULL, NULL, NULL, 'CHROMOSOME CONDENSATION REGULATOR RCC1 REPEAT PROTEIN', 131973),
(188248, 'PTHR35792:SF3', NULL, NULL, NULL, NULL, 'IG HYPOTHETICAL 17707', 131974),
(188249, 'PTHR31451:SF21', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE C', 131975),
(188250, 'PTHR23267:SF323', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 4-60', 131976),
(188251, 'PTHR47958:SF105', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 37', 131977),
(188252, 'PTHR23518:SF2', NULL, NULL, NULL, NULL, 'C-METHYLTRANSFERASE', 131978),
(188253, 'PTHR35401:SF1', NULL, NULL, NULL, NULL, 'COPG FAMILY HELIX-TURN-HELIX PROTEIN-RELATED', 131979),
(188254, 'PTHR31192', NULL, NULL, NULL, NULL, 'SPERM-SPECIFIC FAMILY, CLASS Q', 131980),
(188255, 'PTHR48043:SF71', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 131981),
(188256, 'PTHR31952:SF3', NULL, NULL, NULL, NULL, 'CANNABINOID RECEPTOR-INTERACTING PROTEIN 1B', 131982),
(188257, 'PTHR14484', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 71', 131983),
(188258, 'PTHR46128:SF128', NULL, NULL, NULL, NULL, 'BNAA09G26250D PROTEIN', 131984),
(188259, 'PTHR24193:SF76', NULL, NULL, NULL, NULL, 'GA-BINDING PROTEIN SUBUNIT BETA-1', 131985),
(188260, 'PTHR46563:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131986),
(188261, 'PTHR11829:SF338', NULL, NULL, NULL, NULL, 'PES-1 PROTEIN', 131987),
(188262, 'PTHR15487:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 131988),
(188263, 'PTHR16223:SF151', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH128', 131989),
(188264, 'PTHR33202:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR FURA', 131990),
(188265, 'PTHR30096:SF14', NULL, NULL, NULL, NULL, 'AROMATIC RING-OPENING DIOXYGENASE, CATALYTIC PROTEIN', 131991),
(188266, 'PTHR14155:SF485', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL41', 131992),
(188267, 'PTHR10788:SF108', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 7-RELATED', 131993),
(188268, 'PTHR11017:SF345', NULL, NULL, NULL, NULL, 'BNAC03G34840D PROTEIN', 131994),
(188269, 'PTHR11462:SF53', NULL, NULL, NULL, NULL, 'B-ZIP TRANSCRIPTION FACTOR (EUROFUNG)', 131995);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(188270, 'PTHR21319:SF53', NULL, NULL, NULL, NULL, 'CHY-TYPE/CTCHY-TYPE/RING-TYPE ZINC FINGER PROTEIN', 131996),
(188271, 'PTHR43389:SF5', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT B, BRAIN ISOFORM', 131997),
(188272, 'PTHR24377:SF759', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 418', 131998),
(188273, 'PTHR14154:SF18', NULL, NULL, NULL, NULL, 'STRESS ENHANCED PROTEIN 1, CHLOROPLASTIC', 131999),
(188274, 'PTHR34947:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132000),
(188275, 'PTHR24081:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 0 GROUP B MEMBER 2', 132001),
(188276, 'PTHR46719:SF5', NULL, NULL, NULL, NULL, 'C3HC4-TYPE RING ZINC FINGER PROTEIN-LIKE', 132002),
(188277, 'PTHR10996:SF137', NULL, NULL, NULL, NULL, 'GLYOXYLATE REDUCTASE/HYDROXYPYRUVATE REDUCTASE', 132003),
(188278, 'PTHR31342:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132004),
(188279, 'PTHR24055:SF396', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 132005),
(188280, 'PTHR31391:SF116', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN', 132006),
(188281, 'PTHR43176:SF23', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE 1', 132007),
(188282, 'PTHR44575:SF6', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 132008),
(188283, 'PTHR43689:SF37', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 132009),
(188284, 'PTHR45709', NULL, NULL, NULL, NULL, 'LARGE SUBUNIT GTPASE 1 HOMOLOG-RELATED', 132010),
(188285, 'PTHR43188:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132011),
(188286, 'PTHR22789:SF0', NULL, NULL, NULL, NULL, '3-OXO-TETRONATE 4-PHOSPHATE DECARBOXYLASE-RELATED', 132012),
(188287, 'PTHR33133:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132013),
(188288, 'PTHR34315:SF9', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14630)-RELATED', 132014),
(188289, 'PTHR23315:SF263', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 2', 132015),
(188290, 'PTHR11003:SF106', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 132016),
(188291, 'PTHR24347:SF383', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE II ALPHA CHAIN-LIKE PROTEIN', 132017),
(188292, 'PTHR26454:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132018),
(188293, 'PTHR31945:SF79', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH93-LIKE', 132019),
(188294, 'PTHR12654:SF28', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', 132020),
(188295, 'PTHR12247:SF72', NULL, NULL, NULL, NULL, 'LETHAL(3)MALIGNANT BRAIN TUMOR-LIKE PROTEIN 3', 132021),
(188296, 'PTHR18879:SF20', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 290 KDA', 132022),
(188297, 'PTHR31707:SF146', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR', 132023),
(188298, 'PTHR48034:SF15', NULL, NULL, NULL, NULL, 'OS06G0724600 PROTEIN', 132024),
(188299, 'PTHR22814:SF332', NULL, NULL, NULL, NULL, 'FARNESYLATED PROTEIN 2-LIKE', 132025),
(188300, 'PTHR11732:SF5', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE YHDN', 132026),
(188301, 'PTHR43727:SF2', NULL, NULL, NULL, NULL, 'DIAMINOPIMELATE DECARBOXYLASE 1, CHLOROPLASTIC-RELATED', 132027),
(188302, 'PTHR35035:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132028),
(188303, 'PTHR13356:SF5', NULL, NULL, NULL, NULL, 'SOSS COMPLEX SUBUNIT B2', 132029),
(188304, 'PTHR31719:SF172', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 55', 132030),
(188305, 'PTHR42929:SF5', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', 132031),
(188306, 'PTHR35323:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 62-LIKE', 132032),
(188307, 'PTHR46159:SF7', NULL, NULL, NULL, NULL, 'OS12G0605500 PROTEIN', 132033),
(188308, 'PTHR30081:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLOCASE SUBUNIT SECD', 132034),
(188309, 'PTHR11214:SF246', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 132035),
(188310, 'PTHR10666:SF346', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 11', 132036),
(188311, 'PTHR31898:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132037);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(188312, 'PTHR23238:SF30', NULL, NULL, NULL, NULL, 'TAF15 RNA POLYMERASE II, TATA BOX-BINDING PROTEIN (TBP)-ASSOCIATED FACTOR', 132038),
(188313, 'PTHR11639:SF67', NULL, NULL, NULL, NULL, 'PROTEIN S100-A7A', 132039),
(188314, 'PTHR36527:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132040),
(188315, 'PTHR12002:SF92', NULL, NULL, NULL, NULL, 'CLAUDIN-1', 132041),
(188316, 'PTHR30509:SF33', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 132042),
(188317, 'PTHR22835:SF526', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132043),
(188318, 'PTHR45703:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132044),
(188319, 'PTHR31513:SF11', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 132045),
(188320, 'PTHR23050:SF441', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML19-RELATED', 132046),
(188321, 'PTHR24282:SF155', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 734A1-LIKE', 132047),
(188322, 'PTHR47947:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', 132048),
(188323, 'PTHR43205', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN REDUCTASE', 132049),
(188324, 'PTHR31235:SF323', NULL, NULL, NULL, NULL, 'PEROXIDASE', 132050),
(188325, 'PTHR37077', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 132051),
(188326, 'PTHR24128:SF40', NULL, NULL, NULL, NULL, 'ALPHA-LATROINSECTOTOXIN-LT1A-LIKE', 132052),
(188327, 'PTHR24177:SF223', NULL, NULL, NULL, NULL, 'OS06G0297300 PROTEIN', 132053),
(188328, 'PTHR14709:SF3', NULL, NULL, NULL, NULL, 'PROLINE-RICH 12A', 132054),
(188329, 'PTHR37201', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN', 132055),
(188330, 'PTHR12419:SF53', NULL, NULL, NULL, NULL, 'OS01G0900900 PROTEIN', 132056),
(188331, 'PTHR11767:SF100', NULL, NULL, NULL, NULL, 'SI:CH211-113J13.2', 132057),
(188332, 'PTHR47761:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 132058),
(188333, 'PTHR31293:SF20', NULL, NULL, NULL, NULL, 'BNAA08G03590D PROTEIN', 132059),
(188334, 'PTHR31190:SF249', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1', 132060),
(188335, 'PTHR35615', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 132061),
(188336, 'PTHR32116:SF4', NULL, NULL, NULL, NULL, 'POLYGALACTURONATE 4-ALPHA-GALACTURONOSYLTRANSFERASE', 132062),
(188337, 'PTHR43039:SF10', NULL, NULL, NULL, NULL, 'FACTOR SIGB REGULATION PROTEIN RSBQ, PUTATIVE-RELATED', 132063),
(188338, 'PTHR31066:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132064),
(188339, 'PTHR21659:SF98', NULL, NULL, NULL, NULL, 'LOW TEMPERATURE AND SALT RESPONSIVE PROTEIN-LIKE', 132065),
(188340, 'PTHR31319:SF71', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', 132066),
(188341, 'PTHR40695:SF1', NULL, NULL, NULL, NULL, '4-PHOSPHOPANTOATE--BETA-ALANINE LIGASE', 132067),
(188342, 'PTHR46489:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132068),
(188343, 'PTHR11573:SF6', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE LARGE SUBUNIT', 132069),
(188344, 'PTHR10795:SF565', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.11', 132070),
(188345, 'PTHR32258:SF22', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 3A-LIKE', 132071),
(188346, 'PTHR44375:SF11', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', 132072),
(188347, 'PTHR46372:SF17', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 3', 132073),
(188348, 'PTHR31552:SF23', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 132074),
(188349, 'PTHR12161:SF69', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', 132075),
(188350, 'PTHR45892:SF4', NULL, NULL, NULL, NULL, 'BNAA06G40880D PROTEIN', 132076),
(188351, 'PTHR14879:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CBLA', 132077),
(188352, 'PTHR13950:SF12', NULL, NULL, NULL, NULL, 'DMX-LIKE PROTEIN 1', 132078),
(188353, 'PTHR15360:SF2', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR RECEPTOR-LIKE, GENE 2', 132079),
(188354, 'PTHR13582:SF0', NULL, NULL, NULL, NULL, 'M-PHASE PHOSPHOPROTEIN 6', 132080),
(188355, 'PTHR42698:SF1', NULL, NULL, NULL, NULL, 'GTPASE ERA, MITOCHONDRIAL', 132081),
(188356, 'PTHR11073:SF25', NULL, NULL, NULL, NULL, 'CALRETICULIN-2', 132082);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(188357, 'PTHR43625:SF56', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', 132083),
(188358, 'PTHR11206:SF379', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 132084),
(188359, 'PTHR32261:SF3', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN 2', 132085),
(188360, 'PTHR24091', NULL, NULL, NULL, NULL, 'LYMPHOCYTE TRANSMEMBRANE ADAPTER 1', 132086),
(188361, 'PTHR10024:SF363', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN VIIA', 132087),
(188362, 'PTHR32116:SF7', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 4-RELATED', 132088),
(188363, 'PTHR40627:SF3', NULL, NULL, NULL, NULL, 'INDOLE PRENYLTRANSFERASE TDIB-RELATED', 132089),
(188364, 'PTHR23335:SF27', NULL, NULL, NULL, NULL, 'BNAC06G26850D PROTEIN', 132090),
(188365, 'PTHR10903:SF120', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST 159, CHLOROPLASTIC', 132091),
(188366, 'PTHR45628:SF15', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT T-TYPE CALCIUM CHANNEL SUBUNIT ALPHA', 132092),
(188367, 'PTHR16120:SF0', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT SIGMA-1', 132093),
(188368, 'PTHR37187:SF10', NULL, NULL, NULL, NULL, 'BNAA07G07940D PROTEIN', 132094),
(188369, 'PTHR24349:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132095),
(188370, 'PTHR42737', NULL, NULL, NULL, NULL, 'GLUTATHIONE REDUCTASE', 132096),
(188371, 'PTHR12385:SF85', NULL, NULL, NULL, NULL, 'GB|AAF63775.1', 132097),
(188372, 'PTHR35975', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 11A', 132098),
(188373, 'PTHR23257:SF797', NULL, NULL, NULL, NULL, 'KINASE SUPERFAMILY WITH OCTICOSAPEPTIDE/PHOX/BEM1P DOMAIN-CONTAINING PROTEIN', 132099),
(188374, 'PTHR46336:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132100),
(188375, 'PTHR42704', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE', 132101),
(188376, 'PTHR27006:SF178', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 132102),
(188377, 'PTHR43142:SF4', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 132103),
(188378, 'PTHR44329:SF179', NULL, NULL, NULL, NULL, 'ATMRK1', 132104),
(188379, 'PTHR36076', NULL, NULL, NULL, NULL, 'THIOREDOXIN SUPERFAMILY PROTEIN', 132105),
(188380, 'PTHR27006:SF209', NULL, NULL, NULL, NULL, 'BNACNNG35830D PROTEIN', 132106),
(188381, 'PTHR31802:SF7', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT1', 132107),
(188382, 'PTHR18911:SF5', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 186', 132108),
(188383, 'PTHR46719:SF2', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL70-LIKE', 132109),
(188384, 'PTHR13258:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN-RELATED', 132110),
(188385, 'PTHR15917:SF3', NULL, NULL, NULL, NULL, 'INHIBITORY SYNAPTIC FACTOR 1', 132111),
(188386, 'PTHR24072:SF327', NULL, NULL, NULL, NULL, 'BNAA01G19510D PROTEIN', 132112),
(188387, 'PTHR31044:SF50', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 3-LIKE', 132113),
(188388, 'PTHR11070:SF45', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE UVRD2', 132114),
(188389, 'PTHR47925:SF54', NULL, NULL, NULL, NULL, 'BNAA06G16120D PROTEIN', 132115),
(188390, 'PTHR40891:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132116),
(188391, 'PTHR14255:SF37', NULL, NULL, NULL, NULL, 'SULFITE EXPORTER TAUE/SAFE FAMILY PROTEIN', 132117),
(188392, 'PTHR33164:SF75', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 132118),
(188393, 'PTHR12623:SF10', NULL, NULL, NULL, NULL, 'NGFI-A-BINDING PROTEIN HOMOLOG', 132119),
(188394, 'PTHR43952:SF52', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', 132120),
(188395, 'PTHR37303:SF2', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 132121),
(188396, 'PTHR43633', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE YQHD', 132122),
(188397, 'PTHR24104:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132123),
(188398, 'PTHR11206:SF331', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 33-LIKE', 132124),
(188399, 'PTHR31388:SF126', NULL, NULL, NULL, NULL, 'PEROXIDASE', 132125),
(188400, 'PTHR32294:SF4', NULL, NULL, NULL, NULL, 'ERROR-PRONE DNA POLYMERASE', 132126);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(188401, 'PTHR47933:SF8', NULL, NULL, NULL, NULL, 'OS02G0601600 PROTEIN', 132127),
(188402, 'PTHR11362:SF134', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L35, MITOCHONDRIAL', 132128),
(188403, 'PTHR47633:SF1', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE, SMOOTH MUSCLE', 132129),
(188404, 'PTHR48010:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132130),
(188405, 'PTHR43943:SF14', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE 3', 132131),
(188406, 'PTHR11066:SF34', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 8', 132132),
(188407, 'PTHR34270:SF6', NULL, NULL, NULL, NULL, 'BNACNNG22730D PROTEIN', 132133),
(188408, 'PTHR47068:SF6', NULL, NULL, NULL, NULL, 'BNACNNG09030D PROTEIN', 132134),
(188409, 'PTHR11782:SF106', NULL, NULL, NULL, NULL, 'BNAA06G09030D PROTEIN', 132135),
(188410, 'PTHR46144:SF2', NULL, NULL, NULL, NULL, 'ZGC:171482', 132136),
(188411, 'PTHR19321:SF21', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 2', 132137),
(188412, 'PTHR47984:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 132138),
(188413, 'PTHR31263:SF52', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN', 132139),
(188414, 'PTHR12313:SF72', NULL, NULL, NULL, NULL, 'BNAA03G19710D PROTEIN', 132140),
(188415, 'PTHR47155', NULL, NULL, NULL, NULL, 'DOWNSTREAM OF DAF-16 (REGULATED BY DAF-16)-RELATED', 132141),
(188416, 'PTHR24056:SF480', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132142),
(188417, 'PTHR35546:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132143),
(188418, 'PTHR35828:SF28', NULL, NULL, NULL, NULL, 'OS03G0776500 PROTEIN', 132144),
(188419, 'PTHR45708:SF21', NULL, NULL, NULL, NULL, 'ACIDIC ENDOCHITINASE', 132145),
(188420, 'PTHR21652:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132146),
(188421, 'PTHR28250:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B PRE-MRNA-PROCESSING PROTEIN 6', 132147),
(188422, 'PTHR12027:SF101', NULL, NULL, NULL, NULL, 'PROTEIN WNT-4', 132148),
(188423, 'PTHR31374:SF286', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132149),
(188424, 'PTHR10791:SF206', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 132150),
(188425, 'PTHR31875:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132151),
(188426, 'PTHR20996:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE PHOSPHATASE-REGULATORY SUBUNIT 1', 132152),
(188427, 'PTHR12387:SF0', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 8', 132153),
(188428, 'PTHR15948:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG23048', 132154),
(188429, 'PTHR24073:SF1124', NULL, NULL, NULL, NULL, 'RAB18S', 132155),
(188430, 'PTHR11005:SF124', NULL, NULL, NULL, NULL, 'LIPASE', 132156),
(188431, 'PTHR46043:SF17', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', 132157),
(188432, 'PTHR31681:SF30', NULL, NULL, NULL, NULL, 'SULFATED SURFACE-LIKE GLYCOPROTEIN', 132158),
(188433, 'PTHR10366:SF668', NULL, NULL, NULL, NULL, 'VESTITONE REDUCTASE-LIKE', 132159),
(188434, 'PTHR35288', NULL, NULL, NULL, NULL, 'TAIL FIBER', 132160),
(188435, 'PTHR12603:SF27', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 132161),
(188436, 'PTHR44586:SF10', NULL, NULL, NULL, NULL, 'OS08G0426100 PROTEIN', 132162),
(188437, 'PTHR45667:SF5', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G09980)-RELATED', 132163),
(188438, 'PTHR46129:SF2', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN 14, ISOFORM D', 132164),
(188439, 'PTHR24089:SF721', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FUSION AND TRANSPORT PROTEIN UGO1', 132165),
(188440, 'PTHR31284:SF35', NULL, NULL, NULL, NULL, 'BNAC03G77680D PROTEIN', 132166),
(188441, 'PTHR43646', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 132167),
(188442, 'PTHR11910:SF16', NULL, NULL, NULL, NULL, 'ATP SYNTHASE F1, DELTA SUBUNIT FAMILY PROTEIN, EXPRESSED', 132168),
(188443, 'PTHR34512', NULL, NULL, NULL, NULL, 'CELL SURFACE PROTEIN', 132169),
(188444, 'PTHR46351:SF15', NULL, NULL, NULL, NULL, 'WHEATWIN-1-LIKE PROTEIN', 132170),
(188445, 'PTHR18952:SF229', NULL, NULL, NULL, NULL, 'BNACNNG30610D PROTEIN', 132171);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(188446, 'PTHR24020:SF52', NULL, NULL, NULL, NULL, 'MULTIPLEXIN, ISOFORM R', 132172),
(188447, 'PTHR18945:SF61', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT DELTA', 132173),
(188448, 'PTHR24300:SF201', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 515B1-RELATED', 132174),
(188449, 'PTHR48001:SF44', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1D2', 132175),
(188450, 'PTHR33070:SF50', NULL, NULL, NULL, NULL, 'OS08G0553750 PROTEIN', 132176),
(188451, 'PTHR32439', NULL, NULL, NULL, NULL, 'FERREDOXIN--NITRITE REDUCTASE, CHLOROPLASTIC', 132177),
(188452, 'PTHR43747:SF5', NULL, NULL, NULL, NULL, 'HALOGENASE-RELATED', 132178),
(188453, 'PTHR33077:SF50', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10C', 132179),
(188454, 'PTHR45090', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 20 CHLOROPLASTIC', 132180),
(188455, 'PTHR43475:SF1', NULL, NULL, NULL, NULL, 'METHYLTHIORIBOSE-1-PHOSPHATE ISOMERASE', 132181),
(188456, 'PTHR42985:SF20', NULL, NULL, NULL, NULL, 'FI02016P', 132182),
(188457, 'PTHR11562:SF94', NULL, NULL, NULL, NULL, 'BNAC04G00620D PROTEIN', 132183),
(188458, 'PTHR30294:SF31', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PERMEASE YHHJ', 132184),
(188459, 'PTHR27003:SF325', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 132185),
(188460, 'PTHR48018:SF144', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9Q2', 132186),
(188461, 'PTHR36836:SF1', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS PROTEIN WCAK', 132187),
(188462, 'PTHR23428:SF237', NULL, NULL, NULL, NULL, 'HISTONE H2B', 132188),
(188463, 'PTHR13140:SF519', NULL, NULL, NULL, NULL, 'MYOSIN IF HEAVY CHAIN', 132189),
(188464, 'PTHR11538:SF81', NULL, NULL, NULL, NULL, 'BNAA02G35450D PROTEIN', 132190),
(188465, 'PTHR10380:SF221', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 47EF, ISOFORM C-RELATED', 132191),
(188466, 'PTHR45921:SF4', NULL, NULL, NULL, NULL, 'IP01054P', 132192),
(188467, 'PTHR10732:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132193),
(188468, 'PTHR33107:SF15', NULL, NULL, NULL, NULL, 'MIRACULIN-LIKE', 132194),
(188469, 'PTHR22953:SF136', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 132195),
(188470, 'PTHR11476:SF11', NULL, NULL, NULL, NULL, 'HARS ISOFORM 1', 132196),
(188471, 'PTHR31895', NULL, NULL, NULL, NULL, 'PROTEIN CBG03177-RELATED', 132197),
(188472, 'PTHR23169:SF23', NULL, NULL, NULL, NULL, 'SHORT STOP, ISOFORM H', 132198),
(188473, 'PTHR14969:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132199),
(188474, 'PTHR24347:SF417', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE (CAM KINASE) II GAMMA 1', 132200),
(188475, 'PTHR24092:SF144', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 10', 132201),
(188476, 'PTHR33086:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132202),
(188477, 'PTHR13715:SF15', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 1', 132203),
(188478, 'PTHR28112:SF1', NULL, NULL, NULL, NULL, 'SRP-INDEPENDENT TARGETING PROTEIN 3', 132204),
(188479, 'PTHR13301:SF222', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 2 [UDP-FORMING]-LIKE', 132205),
(188480, 'PTHR31776:SF22', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE C-TERMINUS FAMILY PROTEIN, EXPRESSED', 132206),
(188481, 'PTHR11206:SF321', NULL, NULL, NULL, NULL, 'OS05G0554000 PROTEIN', 132207),
(188482, 'PTHR21765:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 1 (CHD-1)', 132208),
(188483, 'PTHR11848:SF245', NULL, NULL, NULL, NULL, 'MAVERICK', 132209),
(188484, 'PTHR48018:SF31', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 132210),
(188485, 'PTHR32278:SF34', NULL, NULL, NULL, NULL, 'PHLOEM PROTEIN 2-A10', 132211),
(188486, 'PTHR13068:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132212),
(188487, 'PTHR33416:SF20', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP1', 132213),
(188488, 'PTHR46419:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD5-RELATED', 132214),
(188489, 'PTHR11211:SF17', NULL, NULL, NULL, NULL, 'IROQUOIS-CLASS HOMEODOMAIN PROTEIN IRX-5', 132215); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(188490, 'PTHR43178:SF2', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX', 132216),
(188491, 'PTHR38848:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132217),
(188492, 'PTHR30047:SF7', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY CHOLINE TRANSPORT PROTEIN', 132218),
(188493, 'PTHR21649:SF97', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 2, CHLOROPLASTIC', 132219),
(188494, 'PTHR45686:SF17', NULL, NULL, NULL, NULL, 'FACTOR GTPASE ACTIVATING PROTEIN 1, PUTATIVE-RELATED', 132220),
(188495, 'PTHR13832:SF740', NULL, NULL, NULL, NULL, 'BNAC03G16540D PROTEIN', 132221),
(188496, 'PTHR37612:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132222),
(188497, 'PTHR11654:SF499', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.3', 132223),
(188498, 'PTHR33138:SF59', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.2', 132224),
(188499, 'PTHR33177:SF30', NULL, NULL, NULL, NULL, 'BNAA02G05520D PROTEIN', 132225),
(188500, 'PTHR11732:SF383', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER C15', 132226),
(188501, 'PTHR31741:SF61', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 24-LIKE', 132227),
(188502, 'PTHR13874:SF9', NULL, NULL, NULL, NULL, 'ENDOTHELIN-2', 132228),
(188503, 'PTHR28574', NULL, NULL, NULL, NULL, 'RIKEN CDNA 6820408C15', 132229),
(188504, 'PTHR24343:SF382', NULL, NULL, NULL, NULL, 'PROTEIN CBG25248', 132230),
(188505, 'PTHR31562:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG18973', 132231),
(188506, 'PTHR21477:SF30', NULL, NULL, NULL, NULL, 'BNAC08G42360D PROTEIN', 132232),
(188507, 'PTHR31371:SF22', NULL, NULL, NULL, NULL, 'PLANT/T32M21-140 PROTEIN', 132233),
(188508, 'PTHR45898:SF1', NULL, NULL, NULL, NULL, 'OS02G0273700 PROTEIN', 132234),
(188509, 'PTHR11034:SF42', NULL, NULL, NULL, NULL, 'OS06G0563000 PROTEIN', 132235),
(188510, 'PTHR37754:SF2', NULL, NULL, NULL, NULL, 'ION-BINDING PROTEIN, PUTATIVE-RELATED', 132236),
(188511, 'PTHR11595:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132237),
(188512, 'PTHR23142:SF7', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR 38A', 132238),
(188513, 'PTHR12346:SF40', NULL, NULL, NULL, NULL, 'BNAA05G13180D PROTEIN', 132239),
(188514, 'PTHR47456:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132240),
(188515, 'PTHR31734:SF161', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN', 132241),
(188516, 'PTHR43917:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE THETA-1', 132242),
(188517, 'PTHR15184', NULL, NULL, NULL, NULL, 'ATP SYNTHASE', 132243),
(188518, 'PTHR43799:SF1', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE, PUTATIVE-RELATED', 132244),
(188519, 'PTHR31861:SF20', NULL, NULL, NULL, NULL, 'BNAC04G56010D PROTEIN', 132245),
(188520, 'PTHR24209:SF12', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', 132246),
(188521, 'PTHR26453:SF651', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 132247),
(188522, 'PTHR46858:SF10', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED INHIBITOR OF APOPTOSIS 1-LIKE', 132248),
(188523, 'PTHR24356:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132249),
(188524, 'PTHR24023:SF914', NULL, NULL, NULL, NULL, 'OTOLIN-1', 132250),
(188525, 'PTHR12533:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR OF ACTIVATED T-CELLS, CYTOPLASMIC 2', 132251),
(188526, 'PTHR45684:SF33', NULL, NULL, NULL, NULL, 'BNAA09G15410D PROTEIN', 132252),
(188527, 'PTHR47720:SF3', NULL, NULL, NULL, NULL, 'BNAC03G54990D PROTEIN', 132253),
(188528, 'PTHR22943:SF71', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 132254),
(188529, 'PTHR16290:SF0', NULL, NULL, NULL, NULL, 'DECAPPING PROTEIN 1, ISOFORM A', 132255),
(188530, 'PTHR11709:SF338', NULL, NULL, NULL, NULL, 'SKU5 SIMILAR 1-RELATED', 132256),
(188531, 'PTHR10057:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132257),
(188532, 'PTHR14217:SF27', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', 132258),
(188533, 'PTHR13162:SF8', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 1', 132259);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(188534, 'PTHR10546:SF1', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL SUBUNIT BETA-3', 132260),
(188535, 'PTHR46015:SF5', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE S-METHYLTRANSFERASE 2', 132261),
(188536, 'PTHR31190:SF297', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', 132262),
(188537, 'PTHR10943:SF13', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 1 HOMOLOG', 132263),
(188538, 'PTHR32341:SF10', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9930111J21 GENE 1-RELATED', 132264),
(188539, 'PTHR43876:SF19', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS MONOOXYGENASE COQ6, MITOCHONDRIAL', 132265),
(188540, 'PTHR23023:SF74', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING] 4', 132266),
(188541, 'PTHR23120:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132267),
(188542, 'PTHR31094:SF6', NULL, NULL, NULL, NULL, 'BNAC03G72730D PROTEIN', 132268),
(188543, 'PTHR23111:SF72', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 13C-RELATED', 132269),
(188544, 'PTHR10641:SF1239', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB102', 132270),
(188545, 'PTHR47276:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 22', 132271),
(188546, 'PTHR13370', NULL, NULL, NULL, NULL, 'RNA METHYLASE-RELATED', 132272),
(188547, 'PTHR32096:SF111', NULL, NULL, NULL, NULL, 'BNAC02G47400D PROTEIN', 132273),
(188548, 'PTHR19134:SF501', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE', 132274),
(188549, 'PTHR12542:SF150', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 132275),
(188550, 'PTHR15377:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION REGULATOR 1-LIKE PROTEIN', 132276),
(188551, 'PTHR36135:SF1', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH CABYR-BINDING PROTEIN', 132277),
(188552, 'PTHR33102:SF49', NULL, NULL, NULL, NULL, 'OS12G0573600 PROTEIN', 132278),
(188553, 'PTHR24286:SF243', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 702, SUBFAMILY A, POLYPEPTIDE 3', 132279),
(188554, 'PTHR24056:SF462', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 3', 132280),
(188555, 'PTHR18952:SF239', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL MONODEHYDROASCORBATE REDUCTASE AND CARBONIC ANHYDRASE NECTARIN-3', 132281),
(188556, 'PTHR11863:SF121', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 1-1-LIKE', 132282),
(188557, 'PTHR31798', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', 132283),
(188558, 'PTHR16223:SF255', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH69', 132284),
(188559, 'PTHR33413:SF25', NULL, NULL, NULL, NULL, 'OS02G0741700 PROTEIN', 132285),
(188560, 'PTHR11709:SF322', NULL, NULL, NULL, NULL, 'OS06G0567900 PROTEIN', 132286),
(188561, 'PTHR22884:SF495', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE MES-4-RELATED', 132287),
(188562, 'PTHR33645:SF2', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF3754)-RELATED', 132288),
(188563, 'PTHR28652', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 59-LIKE PROTEIN', 132289),
(188564, 'PTHR22776:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132290),
(188565, 'PTHR13800:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CED-11', 132291),
(188566, 'PTHR10658:SF58', NULL, NULL, NULL, NULL, 'VIBRATOR, ISOFORM B', 132292),
(188567, 'PTHR43637:SF3', NULL, NULL, NULL, NULL, 'FLAGELLA-RELATED PROTEIN H-RELATED', 132293),
(188568, 'PTHR43477', NULL, NULL, NULL, NULL, 'DIHYDROANTICAPSIN 7-DEHYDROGENASE', 132294),
(188569, 'PTHR31350:SF11', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 21', 132295),
(188570, 'PTHR31029', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE PROTEIN', 132296),
(188571, 'PTHR48019:SF90', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2C', 132297),
(188572, 'PTHR10739:SF51', NULL, NULL, NULL, NULL, 'CHOLINE-PHOSPHATE CYTIDYLYLTRANSFERASE 2-LIKE ISOFORM X1', 132298),
(188573, 'PTHR11685:SF257', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 132299),
(188574, 'PTHR46945:SF4', NULL, NULL, NULL, NULL, 'CYSTATIN-9', 132300),
(188575, 'PTHR36561:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132301); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(188576, 'PTHR11003:SF277', NULL, NULL, NULL, NULL, 'TWO-PORE POTASSIUM CHANNEL 1-LIKE', 132302),
(188577, 'PTHR35102:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 132303),
(188578, 'PTHR47197:SF3', NULL, NULL, NULL, NULL, 'PROTEIN NIRF', 132304),
(188579, 'PTHR23359:SF194', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE ISOENZYME 5-LIKE PROTEIN', 132305),
(188580, 'PTHR10694:SF111', NULL, NULL, NULL, NULL, 'BNAA04G20920D PROTEIN', 132306),
(188581, 'PTHR43482', NULL, NULL, NULL, NULL, 'PROTEIN AST1-RELATED', 132307),
(188582, 'PTHR16100:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132308),
(188583, 'PTHR24068:SF72', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2Q-LIKE PROTEIN 1', 132309),
(188584, 'PTHR27008:SF473', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 132310),
(188585, 'PTHR12378:SF68', NULL, NULL, NULL, NULL, 'PPPDE PUTATIVE THIOL PEPTIDASE FAMILY PROTEIN-RELATED', 132311),
(188586, 'PTHR12550', NULL, NULL, NULL, NULL, 'HEPATOMA-DERIVED GROWTH FACTOR-RELATED', 132312),
(188587, 'PTHR23023:SF44', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING] 3', 132313),
(188588, 'PTHR48019:SF30', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', 132314),
(188589, 'PTHR31232:SF98', NULL, NULL, NULL, NULL, 'BNAC08G41870D PROTEIN', 132315),
(188590, 'PTHR11937:SF451', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN ARP9', 132316),
(188591, 'PTHR11079:SF170', NULL, NULL, NULL, NULL, 'CYTIDINE/DEOXYCYTIDYLATE DEAMINASE FAMILY PROTEIN', 132317),
(188592, 'PTHR31286:SF81', NULL, NULL, NULL, NULL, 'ZINC ION BINDING / NUCLEIC ACID BINDING PROTEIN-RELATED', 132318),
(188593, 'PTHR46551:SF1', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING RIBONUCLEOPROTEIN', 132319),
(188594, 'PTHR24381:SF145', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 557', 132320),
(188595, 'PTHR33270:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132321),
(188596, 'PTHR11830', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', 132322),
(188597, 'PTHR10942:SF44', NULL, NULL, NULL, NULL, 'PROTEIN CBG03424', 132323),
(188598, 'PTHR11875:SF105', NULL, NULL, NULL, NULL, 'PROTEIN SETSIP', 132324),
(188599, 'PTHR48018:SF84', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 132325),
(188600, 'PTHR23316:SF67', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-1', 132326),
(188601, 'PTHR47488:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132327),
(188602, 'PTHR23253:SF58', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR ISOFORM 4G-1', 132328),
(188603, 'PTHR31549', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED-RELATED', 132329),
(188604, 'PTHR24305:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132330),
(188605, 'PTHR10121:SF5', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 132331),
(188606, 'PTHR39468:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 132332),
(188607, 'PTHR24112:SF50', NULL, NULL, NULL, NULL, 'SI:CH211-127B6.2-RELATED', 132333),
(188608, 'PTHR11746:SF235', NULL, NULL, NULL, NULL, '(R,S)-RETICULINE 7-O-METHYLTRANSFERASE-LIKE ISOFORM X1', 132334),
(188609, 'PTHR26452:SF48', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 482-RELATED', 132335),
(188610, 'PTHR43176:SF22', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CASEINOLYTIC (CLP) PROTEASE/CROTONASE FAMILY PROTEIN-RELATED', 132336),
(188611, 'PTHR23023:SF220', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 132337),
(188612, 'PTHR22227', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 132338),
(188613, 'PTHR33539:SF1', NULL, NULL, NULL, NULL, 'UPF0764 PROTEIN C16ORF89', 132339),
(188614, 'PTHR31917:SF94', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE WITH RING/FYVE/PHD-TYPE ZINC FINGER DOMAIN-CONTAINING PROTEIN', 132340),
(188615, 'PTHR48054:SF11', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 132341),
(188616, 'PTHR32212:SF249', NULL, NULL, NULL, NULL, 'BNAC02G09730D PROTEIN', 132342),
(188617, 'PTHR14224:SF84', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 12', 132343);
INSERT INTO "PUBLIC"."MODEL" VALUES
(188618, 'PTHR22849:SF109', NULL, NULL, NULL, NULL, 'OS01G0787300 PROTEIN', 132344),
(188619, 'PTHR11802:SF275', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 32', 132345),
(188620, 'PTHR14741:SF37', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', 132346),
(188621, 'PTHR24373:SF301', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 17', 132347),
(188622, 'PTHR43860:SF9', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT ALDEHYDE DEHYDROGENASE FAMILY PROTEIN', 132348),
(188623, 'PTHR12126:SF11', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 9, MITOCHONDRIAL', 132349),
(188624, 'PTHR46087:SF15', NULL, NULL, NULL, NULL, 'BNAC04G02200D PROTEIN', 132350),
(188625, 'PTHR11938:SF134', NULL, NULL, NULL, NULL, 'FERREDOXIN-DEPENDENT GLUTAMATE SYNTHASE 2, CHLOROPLASTIC', 132351),
(188626, 'PTHR12542:SF102', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 132352),
(188627, 'PTHR32044:SF87', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN A1', 132353),
(188628, 'PTHR10795:SF331', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.4', 132354),
(188629, 'PTHR18959:SF96', NULL, NULL, NULL, NULL, 'GH21596P', 132355),
(188630, 'PTHR10942:SF42', NULL, NULL, NULL, NULL, 'HIGH CYSTEINE MEMBRANE PROTEIN GROUP 2', 132356),
(188631, 'PTHR11177:SF334', NULL, NULL, NULL, NULL, 'CHITINASE 6, ISOFORM C', 132357),
(188632, 'PTHR38614:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG09954', 132358),
(188633, 'PTHR24078:SF519', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 13', 132359),
(188634, 'PTHR31639:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132360),
(188635, 'PTHR47123:SF9', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', 132361),
(188636, 'PTHR22930:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132362),
(188637, 'PTHR36509:SF3', NULL, NULL, NULL, NULL, 'LMO1241 PROTEIN', 132363),
(188638, 'PTHR47010:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-8', 132364),
(188639, 'PTHR46245:SF3', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION REPRESSOR VAL1', 132365),
(188640, 'PTHR31403:SF58', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1 EG1, CHLOROPLASTIC/MITOCHONDRIAL', 132366),
(188641, 'PTHR48223', NULL, NULL, NULL, NULL, 'DEFECTIVE 2759, PUTATIVE ISOFORM 1-RELATED', 132367),
(188642, 'PTHR10516:SF268', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE PASTICCINO1', 132368),
(188643, 'PTHR11945:SF455', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', 132369),
(188644, 'PTHR48021:SF72', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE-SENSING PROTEIN 1', 132370),
(188645, 'PTHR11929:SF10', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE 9', 132371),
(188646, 'PTHR23361:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132372),
(188647, 'PTHR31933:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PECTIC ARABINOGALACTAN SYNTHESIS-RELATED', 132373),
(188648, 'PTHR31928:SF21', NULL, NULL, NULL, NULL, 'BNAANNG29710D PROTEIN', 132374),
(188649, 'PTHR31579:SF2', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC DOMAIN TIGR01615 FAMILY PROTEIN EXPRESSED', 132375),
(188650, 'PTHR35281:SF3', NULL, NULL, NULL, NULL, 'BNAA07G07520D PROTEIN', 132376),
(188651, 'PTHR22750:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132377),
(188652, 'PTHR11352:SF0', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN', 132378),
(188653, 'PTHR10663:SF365', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132379),
(188654, 'PTHR36041', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 7A, MITOCHONDRIAL-RELATED', 132380),
(188655, 'PTHR48044:SF42', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE:2-HYDROXYFLAVANONE C-GLUCOSYLTRANSFERASE', 132381),
(188656, 'PTHR32134:SF148', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN', 132382),
(188657, 'PTHR13947:SF43', NULL, NULL, NULL, NULL, 'SI:CH211-81N22.1', 132383),
(188658, 'PTHR45879', NULL, NULL, NULL, NULL, 'CYCLIC AMP RESPONSE ELEMENT-BINDING PROTEIN B', 132384),
(188659, 'PTHR10168:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132385);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(188660, 'PTHR24388:SF52', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 423', 132386),
(188661, 'PTHR10159:SF314', NULL, NULL, NULL, NULL, 'SI:DKEY-175M17.7', 132387),
(188662, 'PTHR19863', NULL, NULL, NULL, NULL, 'NEMITIN (NEURONAL ENRICHED MAP INTERACTING PROTEIN) HOMOLOG', 132388),
(188663, 'PTHR43562:SF1', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER YJBQ-RELATED', 132389),
(188664, 'PTHR20961:SF129', NULL, NULL, NULL, NULL, 'BETA-1,2-XYLOSYLTRANSFERASE XYXT1', 132390),
(188665, 'PTHR11782:SF87', NULL, NULL, NULL, NULL, 'APYRASE', 132391),
(188666, 'PTHR36402', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 132392),
(188667, 'PTHR24349:SF338', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE IV', 132393),
(188668, 'PTHR33207:SF22', NULL, NULL, NULL, NULL, 'OSJNBA0054D14.5 PROTEIN', 132394),
(188669, 'PTHR46038:SF19', NULL, NULL, NULL, NULL, 'BNAC07G18240D PROTEIN', 132395),
(188670, 'PTHR11945:SF469', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL15', 132396),
(188671, 'PTHR16875', NULL, NULL, NULL, NULL, 'SELENOPROTEIN K', 132397),
(188672, 'PTHR13817:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132398),
(188673, 'PTHR24220:SF614', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN SCO2324-RELATED', 132399),
(188674, 'PTHR31175:SF57', NULL, NULL, NULL, NULL, 'BNAA09G26800D PROTEIN', 132400),
(188675, 'PTHR12993:SF16', NULL, NULL, NULL, NULL, 'MYCOTHIOL S-CONJUGATE AMIDASE', 132401),
(188676, 'PTHR22966', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 132402),
(188677, 'PTHR32141:SF58', NULL, NULL, NULL, NULL, 'OS08G0328600 PROTEIN', 132403),
(188678, 'PTHR19265:SF0', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC NUCLEAR STRUCTURAL PROTEIN 1', 132404),
(188679, 'PTHR22849:SF142', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 30', 132405),
(188680, 'PTHR37184', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 27', 132406),
(188681, 'PTHR45046:SF1', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 2', 132407),
(188682, 'PTHR31985:SF197', NULL, NULL, NULL, NULL, 'INTEGRASE-TYPE DNA-BINDING SUPERFAMILY PROTEIN-RELATED', 132408),
(188683, 'PTHR24278:SF33', NULL, NULL, NULL, NULL, 'PROTEIN Z, VITAMIN K-DEPENDENT PLASMA GLYCOPROTEIN A', 132409),
(188684, 'PTHR14950:SF58', NULL, NULL, NULL, NULL, 'BNAC01G31400D PROTEIN', 132410),
(188685, 'PTHR10358:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132411),
(188686, 'PTHR21576:SF44', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 132412),
(188687, 'PTHR33070:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132413),
(188688, 'PTHR24305:SF147', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 132414),
(188689, 'PTHR10264:SF19', NULL, NULL, NULL, NULL, 'AT06885P-RELATED', 132415),
(188690, 'PTHR10579:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132416),
(188691, 'PTHR46757:SF9', NULL, NULL, NULL, NULL, 'SORTING NEXIN 2B-LIKE ISOFORM X1', 132417),
(188692, 'PTHR10658:SF41', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 2', 132418),
(188693, 'PTHR12375:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132419),
(188694, 'PTHR48062:SF19', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 13', 132420),
(188695, 'PTHR43468:SF1', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE', 132421),
(188696, 'PTHR15710:SF139', NULL, NULL, NULL, NULL, 'ABI3-INTERACTING PROTEIN 2-1', 132422),
(188697, 'PTHR31025:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132423),
(188698, 'PTHR43775:SF18', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (JCVI)-RELATED', 132424),
(188699, 'PTHR23266:SF263', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132425),
(188700, 'PTHR31901:SF70', NULL, NULL, NULL, NULL, 'BNAC03G14570D PROTEIN', 132426),
(188701, 'PTHR11802:SF295', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 14-RELATED', 132427),
(188702, 'PTHR45898:SF14', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 4', 132428),
(188703, 'PTHR32444:SF116', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN, PAN/APPLE DOMAIN PROTEIN-RELATED', 132429);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(188704, 'PTHR33726:SF18', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 132430),
(188705, 'PTHR28575:SF1', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC PROTEIN MEI4', 132431),
(188706, 'PTHR16471:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132432),
(188707, 'PTHR32089:SF92', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN MCPB', 132433),
(188708, 'PTHR37946', NULL, NULL, NULL, NULL, 'SLL1969 PROTEIN', 132434),
(188709, 'PTHR11599:SF5', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-4', 132435),
(188710, 'PTHR31692:SF21', NULL, NULL, NULL, NULL, 'EXPANSIN-B1', 132436),
(188711, 'PTHR24223:SF424', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 5', 132437),
(188712, 'PTHR23155:SF1052', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132438),
(188713, 'PTHR18945:SF409', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132439),
(188714, 'PTHR23197:SF10', NULL, NULL, NULL, NULL, 'TARGET OF NESH-SH3', 132440),
(188715, 'PTHR46128:SF215', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', 132441),
(188716, 'PTHR10509:SF79', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 132442),
(188717, 'PTHR31388:SF132', NULL, NULL, NULL, NULL, 'PEROXIDASE', 132443),
(188718, 'PTHR10814:SF19', NULL, NULL, NULL, NULL, 'TRANSDUCIN-LIKE ENHANCER PROTEIN 7', 132444),
(188719, 'PTHR48052:SF34', NULL, NULL, NULL, NULL, 'OS06G0186300 PROTEIN', 132445),
(188720, 'PTHR31951:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132446),
(188721, 'PTHR22890:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 11', 132447),
(188722, 'PTHR24064:SF572', NULL, NULL, NULL, NULL, 'BNAANNG20110D PROTEIN', 132448),
(188723, 'PTHR12450:SF12', NULL, NULL, NULL, NULL, 'PSEUDOKINASE FAM20A', 132449),
(188724, 'PTHR48053:SF42', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 132450),
(188725, 'PTHR34946:SF14', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN-RELATED', 132451),
(188726, 'PTHR43358:SF8', NULL, NULL, NULL, NULL, 'ALPHA/BETA SUPERFAMILY HYDROLASE', 132452),
(188727, 'PTHR31235:SF8', NULL, NULL, NULL, NULL, 'PEROXIDASE 7', 132453),
(188728, 'PTHR15241:SF336', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MUSASHI-1', 132454),
(188729, 'PTHR11639:SF137', NULL, NULL, NULL, NULL, 'UPF0607 PROTEIN ENSP00000383144-RELATED', 132455),
(188730, 'PTHR48052:SF17', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21', 132456),
(188731, 'PTHR31676:SF109', NULL, NULL, NULL, NULL, 'OS05G0346400 PROTEIN', 132457),
(188732, 'PTHR12239:SF44', NULL, NULL, NULL, NULL, 'TOLA PROTEIN', 132458),
(188733, 'PTHR43578:SF2', NULL, NULL, NULL, NULL, 'FE-HYDROGENASE, SUBUNIT BETA', 132459),
(188734, 'PTHR23160:SF1', NULL, NULL, NULL, NULL, 'CROSSOVER SUPPRESSOR ON 3 OF GOWEN', 132460),
(188735, 'PTHR32219:SF13', NULL, NULL, NULL, NULL, 'CALPONIN-LIKE DOMAIN PROTEIN', 132461),
(188736, 'PTHR42918:SF13', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE', 132462),
(188737, 'PTHR43900:SF27', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-LIKE', 132463),
(188738, 'PTHR22028:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SFI1 HOMOLOG', 132464),
(188739, 'PTHR43236', NULL, NULL, NULL, NULL, 'ANTITOXIN HIGA1', 132465),
(188740, 'PTHR35736', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 132466),
(188741, 'PTHR10891:SF872', NULL, NULL, NULL, NULL, 'BNAC05G13970D PROTEIN', 132467),
(188742, 'PTHR35828:SF22', NULL, NULL, NULL, NULL, 'OS10G0103633 PROTEIN', 132468),
(188743, 'PTHR31752:SF56', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 6', 132469),
(188744, 'PTHR28208:SF1', NULL, NULL, NULL, NULL, 'FILAMENT ORGANIZATION PROTEIN APP1-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06650)-RELATED', 132470),
(188745, 'PTHR45224:SF3', NULL, NULL, NULL, NULL, 'OS11G0506300 PROTEIN', 132471),
(188746, 'PTHR12459:SF17', NULL, NULL, NULL, NULL, 'BNAC03G16050D PROTEIN', 132472),
(188747, 'PTHR46352:SF15', NULL, NULL, NULL, NULL, 'BNAA02G06040D PROTEIN', 132473),
(188748, 'PTHR27008:SF440', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HAIKU2', 132474);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(188749, 'PTHR47261:SF3', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN-RELATED', 132475),
(188750, 'PTHR19256:SF45', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR GAMMA VARIABLE 3-RELATED', 132476),
(188751, 'PTHR24115:SF747', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 132477),
(188752, 'PTHR10380:SF206', NULL, NULL, NULL, NULL, 'GH27759P', 132478),
(188753, 'PTHR22975:SF26', NULL, NULL, NULL, NULL, 'F6D8.33-RELATED', 132479),
(188754, 'PTHR42967:SF1', NULL, NULL, NULL, NULL, 'METAL DEPENDENT HYDROLASE', 132480),
(188755, 'PTHR24322', NULL, NULL, NULL, NULL, 'PKSB', 132481),
(188756, 'PTHR19433:SF72', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA CONSTANT', 132482),
(188757, 'PTHR24340:SF35', NULL, NULL, NULL, NULL, 'GTX/NKX6B-LIKE HOMEODOMAIN PROTEIN', 132483),
(188758, 'PTHR23105:SF165', NULL, NULL, NULL, NULL, 'BNAC06G18630D PROTEIN', 132484),
(188759, 'PTHR21642:SF2', NULL, NULL, NULL, NULL, 'CEREBRAL CAVERNOUS MALFORMATIONS 2 PROTEIN-LIKE', 132485),
(188760, 'PTHR11690:SF124', NULL, NULL, NULL, NULL, 'AMILORIDE-SENSITIVE SODIUM CHANNEL SUBUNIT ALPHA', 132486),
(188761, 'PTHR11616:SF278', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT ACETYLCHOLINE TRANSPORTER', 132487),
(188762, 'PTHR23073', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT', 132488),
(188763, 'PTHR33052:SF91', NULL, NULL, NULL, NULL, 'F3H9.15 PROTEIN', 132489),
(188764, 'PTHR10707:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 4 ISOFORM 1, MITOCHONDRIAL', 132490),
(188765, 'PTHR37840:SF1', NULL, NULL, NULL, NULL, 'L-FUCOSE ISOMERASE', 132491),
(188766, 'PTHR45614:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB44-LIKE', 132492),
(188767, 'PTHR12081:SF89', NULL, NULL, NULL, NULL, 'OS04G0112200 PROTEIN', 132493),
(188768, 'PTHR24072:SF317', NULL, NULL, NULL, NULL, 'PROTEIN RACG, PUTATIVE-RELATED', 132494),
(188769, 'PTHR33136:SF13', NULL, NULL, NULL, NULL, 'OS01G0257100 PROTEIN', 132495),
(188770, 'PTHR10641:SF1149', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', 132496),
(188771, 'PTHR14618:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX-CONTAINING 1A', 132497),
(188772, 'PTHR21447:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09351', 132498),
(188773, 'PTHR46314:SF1', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 44B', 132499),
(188774, 'PTHR46036:SF14', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE', 132500),
(188775, 'PTHR10067:SF14', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE DECARBOXYLASE PROENZYME 3', 132501),
(188776, 'PTHR14060:SF2', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA/LYMPHOMA PROTEIN 1B', 132502),
(188777, 'PTHR23315:SF298', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 10', 132503),
(188778, 'PTHR31100:SF3', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 20', 132504),
(188779, 'PTHR11206:SF438', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 132505),
(188780, 'PTHR21717:SF70', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 2-RELATED', 132506),
(188781, 'PTHR39447:SF2', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE B', 132507),
(188782, 'PTHR24123:SF71', NULL, NULL, NULL, NULL, 'ANKYRIN 1, ERYTHROCYTIC A', 132508),
(188783, 'PTHR48017:SF61', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', 132509),
(188784, 'PTHR19919:SF0', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 7', 132510),
(188785, 'PTHR24020:SF12', NULL, NULL, NULL, NULL, 'MATRILIN-3', 132511),
(188786, 'PTHR42790:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 132512),
(188787, 'PTHR18934:SF231', NULL, NULL, NULL, NULL, 'BNAA08G19730D PROTEIN', 132513),
(188788, 'PTHR37516', NULL, NULL, NULL, NULL, 'SCA1 COMPLEX SCAFFOLD PROTEIN SCAA', 132514),
(188789, 'PTHR33076:SF123', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 132515),
(188790, 'PTHR43464:SF51', NULL, NULL, NULL, NULL, 'SLL0487 PROTEIN', 132516),
(188791, 'PTHR12613:SF6', NULL, NULL, NULL, NULL, 'ERO1-LIKE PROTEIN BETA-RELATED', 132517),
(188792, 'PTHR48018:SF36', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 132518);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(188793, 'PTHR40942:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME-RELATED', 132519),
(188794, 'PTHR34464:SF9', NULL, NULL, NULL, NULL, 'BNAC03G48890D PROTEIN', 132520),
(188795, 'PTHR47857', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 132521),
(188796, 'PTHR12299:SF59', NULL, NULL, NULL, NULL, 'BNAC07G34390D PROTEIN', 132522),
(188797, 'PTHR30443:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE TRANSFERASE EPTA', 132523),
(188798, 'PTHR33103:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132524),
(188799, 'PTHR23252:SF29', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR180', 132525),
(188800, 'PTHR24056:SF107', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 10', 132526),
(188801, 'PTHR33021:SF379', NULL, NULL, NULL, NULL, 'BLUE PROTEIN, PUTATIVE-RELATED', 132527),
(188802, 'PTHR11670:SF32', NULL, NULL, NULL, NULL, 'CYTOPLASMIC ACONITATE HYDRATASE', 132528),
(188803, 'PTHR33076:SF53', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN B-LIKE', 132529),
(188804, 'PTHR31707:SF300', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 132530),
(188805, 'PTHR45649:SF41', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 132531),
(188806, 'PTHR10094:SF28', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 132532),
(188807, 'PTHR23236:SF9', NULL, NULL, NULL, NULL, 'FI01540P', 132533),
(188808, 'PTHR27007:SF238', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.9', 132534),
(188809, 'PTHR43952:SF67', NULL, NULL, NULL, NULL, 'BNAA01G34510D PROTEIN', 132535),
(188810, 'PTHR11945:SF666', NULL, NULL, NULL, NULL, 'BNAA05G34910D PROTEIN', 132536),
(188811, 'PTHR31213:SF60', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL3-LIKE', 132537),
(188812, 'PTHR33122:SF68', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 132538),
(188813, 'PTHR11932:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132539),
(188814, 'PTHR43782:SF3', NULL, NULL, NULL, NULL, 'ARGINASE', 132540),
(188815, 'PTHR43840:SF16', NULL, NULL, NULL, NULL, 'CATION DIFFUSION FACILITATOR FAMILY TRANSPORTER', 132541),
(188816, 'PTHR24096:SF380', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE/LIGASE, AMP-BINDING ENZYME C-TERMINAL DOMAIN PROTEIN-RELATED', 132542),
(188817, 'PTHR11021:SF9', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN F', 132543),
(188818, 'PTHR31356:SF46', NULL, NULL, NULL, NULL, 'HEME PEROXIDASE-RELATED', 132544),
(188819, 'PTHR34482:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132545),
(188820, 'PTHR26450:SF181', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 132546),
(188821, 'PTHR44329:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132547),
(188822, 'PTHR32071:SF15', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL REGULATOR NTRC', 132548),
(188823, 'PTHR23196:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF DNA DAMAGE CHECKPOINT PROTEIN 1', 132549),
(188824, 'PTHR34732', NULL, NULL, NULL, NULL, '69 KDA PARAFLAGELLAR ROD PROTEIN-RELATED', 132550),
(188825, 'PTHR46945:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-9-LIKE', 132551),
(188826, 'PTHR32212:SF242', NULL, NULL, NULL, NULL, 'FBD PROTEIN', 132552),
(188827, 'PTHR33415:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132553),
(188828, 'PTHR45712:SF22', NULL, NULL, NULL, NULL, 'AGAP008170-PA', 132554),
(188829, 'PTHR35572:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04538', 132555),
(188830, 'PTHR24173:SF23', NULL, NULL, NULL, NULL, 'UVEAL AUTOANTIGEN WITH COILED-COIL DOMAINS AND ANKYRIN REPEATS', 132556),
(188831, 'PTHR32499:SF5', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 17', 132557),
(188832, 'PTHR31731:SF123', NULL, NULL, NULL, NULL, 'LIPID-BINDING PROTEIN AIR1-RELATED', 132558),
(188833, 'PTHR15348:SF21', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTION DOMAIN 3C', 132559),
(188834, 'PTHR35491', NULL, NULL, NULL, NULL, 'OS12G0638500-LIKE PROTEIN', 132560),
(188835, 'PTHR14241:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132561),
(188836, 'PTHR11863:SF179', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 1', 132562);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(188837, 'PTHR23017:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG14836', 132563),
(188838, 'PTHR33348:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132564),
(188839, 'PTHR24034:SF43', NULL, NULL, NULL, NULL, 'LATENT-TRANSFORMING GROWTH FACTOR BETA-BINDING PROTEIN 4', 132565),
(188840, 'PTHR24390:SF119', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 383', 132566),
(188841, 'PTHR34876:SF2', NULL, NULL, NULL, NULL, 'GLUCANASE', 132567),
(188842, 'PTHR21327:SF13', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE-2', 132568),
(188843, 'PTHR31080:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132569),
(188844, 'PTHR10535', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC1', 132570),
(188845, 'PTHR13608:SF3', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL DOMAIN-CONTAINING PROTEIN 3', 132571),
(188846, 'PTHR24296:SF194', NULL, NULL, NULL, NULL, 'BNAC03G60620D PROTEIN', 132572),
(188847, 'PTHR48007:SF51', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 3-LIKE', 132573),
(188848, 'PTHR48063:SF12', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', 132574),
(188849, 'PTHR45224', NULL, NULL, NULL, NULL, 'OS01G0527900 PROTEIN-RELATED', 132575),
(188850, 'PTHR24390:SF65', NULL, NULL, NULL, NULL, 'GH09339P-RELATED', 132576),
(188851, 'PTHR13217:SF11', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 5', 132577),
(188852, 'PTHR46513:SF12', NULL, NULL, NULL, NULL, 'RECEPTOR MEDIATED ENDOCYTOSIS', 132578),
(188853, 'PTHR47372:SF16', NULL, NULL, NULL, NULL, 'BNAA01G28600D PROTEIN', 132579),
(188854, 'PTHR47294', NULL, NULL, NULL, NULL, 'OS08G0431150 PROTEIN', 132580),
(188855, 'PTHR47967:SF7', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE CDR1-LIKE', 132581),
(188856, 'PTHR11824:SF17', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT BETA-1', 132582),
(188857, 'PTHR47244', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE IBR5', 132583),
(188858, 'PTHR33672:SF14', NULL, NULL, NULL, NULL, 'BNAC03G63750D PROTEIN', 132584),
(188859, 'PTHR40708:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700113H08 GENE', 132585),
(188860, 'PTHR11361:SF35', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MSH2', 132586),
(188861, 'PTHR32133:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132587),
(188862, 'PTHR27009:SF242', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 132588),
(188863, 'PTHR12403:SF11', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 2-LIKE PROTEIN', 132589),
(188864, 'PTHR15451:SF23', NULL, NULL, NULL, NULL, 'BNAA08G26030D PROTEIN', 132590),
(188865, 'PTHR10362:SF56', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', 132591),
(188866, 'PTHR46352:SF7', NULL, NULL, NULL, NULL, 'OS02G0572900 PROTEIN', 132592),
(188867, 'PTHR47632:SF3', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', 132593),
(188868, 'PTHR24356:SF160', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 38-LIKE', 132594),
(188869, 'PTHR24056:SF494', NULL, NULL, NULL, NULL, 'BNAA07G38990D PROTEIN', 132595),
(188870, 'PTHR11709:SF11', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE HOMOLOG', 132596),
(188871, 'PTHR38504', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 7-1', 132597),
(188872, 'PTHR22883:SF304', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE SPE-10', 132598),
(188873, 'PTHR10804:SF130', NULL, NULL, NULL, NULL, 'PROLIFERATION-ASSOCIATED PROTEIN 2G4', 132599),
(188874, 'PTHR24286:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132600),
(188875, 'PTHR33711:SF7', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02910)-RELATED', 132601),
(188876, 'PTHR34267:SF11', NULL, NULL, NULL, NULL, 'AT0ZI1 PROTEIN', 132602),
(188877, 'PTHR46301:SF16', NULL, NULL, NULL, NULL, 'OSJNBA0043A12.13 PROTEIN', 132603),
(188878, 'PTHR40051', NULL, NULL, NULL, NULL, 'IG HYPOTHETICAL 15966', 132604),
(188879, 'PTHR47976:SF54', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE SD2-5', 132605),
(188880, 'PTHR34768:SF3', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR CANDIDATE GENE 1 PROTEIN', 132606);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(188881, 'PTHR14000:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 132607),
(188882, 'PTHR31048:SF119', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1B', 132608),
(188883, 'PTHR10896:SF26', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX9-RELATED', 132609),
(188884, 'PTHR35300', NULL, NULL, NULL, NULL, 'COACTIVATOR CBP, KIX DOMAIN-CONTAINING PROTEIN-RELATED', 132610),
(188885, 'PTHR31945:SF106', NULL, NULL, NULL, NULL, 'BNAA06G00330D PROTEIN', 132611),
(188886, 'PTHR24346:SF59', NULL, NULL, NULL, NULL, 'BNAA02G06210D PROTEIN', 132612),
(188887, 'PTHR11260:SF655', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, C-TERMINAL DOMAIN CONTAINING PROTEIN, EXPRESSED', 132613),
(188888, 'PTHR12570:SF64', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 132614),
(188889, 'PTHR23503:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG23814', 132615),
(188890, 'PTHR10271:SF3', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 3', 132616),
(188891, 'PTHR11802:SF355', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 132617),
(188892, 'PTHR24292:SF90', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 317A1-RELATED', 132618),
(188893, 'PTHR31071:SF9', NULL, NULL, NULL, NULL, 'INTRACELLULAR PROTEIN TRANSPORTER USO1-LIKE PROTEIN', 132619),
(188894, 'PTHR17602:SF4', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS REGULATORY PROTEIN HOMOLOG', 132620),
(188895, 'PTHR24388:SF80', NULL, NULL, NULL, NULL, 'SCRATCH FAMILY ZINC FINGER 1A-RELATED', 132621),
(188896, 'PTHR32044:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132622),
(188897, 'PTHR37419:SF7', NULL, NULL, NULL, NULL, 'TOXIN YJJJ', 132623),
(188898, 'PTHR31265:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132624),
(188899, 'PTHR34202:SF4', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR EL2', 132625),
(188900, 'PTHR47926:SF131', NULL, NULL, NULL, NULL, 'OS02G0529900 PROTEIN', 132626),
(188901, 'PTHR31793', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOYL-COA THIOESTERASE FAMILY MEMBER', 132627),
(188902, 'PTHR44688:SF9', NULL, NULL, NULL, NULL, 'CSGBAC OPERON TRANSCRIPTIONAL REGULATORY PROTEIN', 132628),
(188903, 'PTHR48050:SF11', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE', 132629),
(188904, 'PTHR23505:SF80', NULL, NULL, NULL, NULL, 'SPHINGOLIPID TRANSPORTER SPINSTER HOMOLOG 1-RELATED', 132630),
(188905, 'PTHR43034', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT C', 132631),
(188906, 'PTHR45798:SF21', NULL, NULL, NULL, NULL, 'OS02G0832150 PROTEIN', 132632),
(188907, 'PTHR13651', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 132633),
(188908, 'PTHR11818:SF6', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN S', 132634),
(188909, 'PTHR11850:SF289', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN', 132635),
(188910, 'PTHR48043:SF23', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 132636),
(188911, 'PTHR13289', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1-BINDING PROTEIN BIFOCAL', 132637),
(188912, 'PTHR10353:SF254', NULL, NULL, NULL, NULL, 'BNAA07G08740D PROTEIN', 132638),
(188913, 'PTHR30126:SF2', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YJIE', 132639),
(188914, 'PTHR24320:SF167', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 132640),
(188915, 'PTHR48109:SF1', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE (FUMARATE)', 132641),
(188916, 'PTHR11711:SF392', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 1', 132642),
(188917, 'PTHR33120:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132643),
(188918, 'PTHR40079:SF4', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE E-RELATED', 132644),
(188919, 'PTHR10410:SF2', NULL, NULL, NULL, NULL, 'LYS-63-SPECIFIC DEUBIQUITINASE BRCC36-RELATED', 132645),
(188920, 'PTHR10992:SF1041', NULL, NULL, NULL, NULL, 'METHYLESTERASE 10-LIKE', 132646),
(188921, 'PTHR24281:SF204', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D7', 132647),
(188922, 'PTHR23024:SF490', NULL, NULL, NULL, NULL, 'OS07G0643400 PROTEIN', 132648),
(188923, 'PTHR34829:SF2', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 3A MEMBER 2', 132649);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(188924, 'PTHR40067:SF1', NULL, NULL, NULL, NULL, 'UPF0297 PROTEIN YRZL', 132650),
(188925, 'PTHR33021:SF186', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 9', 132651),
(188926, 'PTHR47976:SF64', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 132652),
(188927, 'PTHR33606:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YCII', 132653),
(188928, 'PTHR12378', NULL, NULL, NULL, NULL, 'DESUMOYLATING ISOPEPTIDASE', 132654),
(188929, 'PTHR33044:SF157', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 132655),
(188930, 'PTHR40535', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 132656),
(188931, 'PTHR36974', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 132657),
(188932, 'PTHR45764:SF51', NULL, NULL, NULL, NULL, 'BNACNNG21630D PROTEIN', 132658),
(188933, 'PTHR34379', NULL, NULL, NULL, NULL, 'OS07G0553800 PROTEIN', 132659),
(188934, 'PTHR12338', NULL, NULL, NULL, NULL, 'AUTOTRANSPORTER', 132660),
(188935, 'PTHR23322:SF55', NULL, NULL, NULL, NULL, 'ARA4-INTERACTING PROTEIN', 132661),
(188936, 'PTHR11453:SF40', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 4-RELATED', 132662),
(188937, 'PTHR39193', NULL, NULL, NULL, NULL, '5-DEOXY-GLUCURONATE ISOMERASE', 132663),
(188938, 'PTHR43866:SF1', NULL, NULL, NULL, NULL, 'METHYLMALONATE-SEMIALDEHYDE DEHYDROGENASE [ACYLATING], MITOCHONDRIAL-LIKE', 132664),
(188939, 'PTHR10768:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37-1-RELATED', 132665),
(188940, 'PTHR47926:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132666),
(188941, 'PTHR46739:SF8', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP1-1', 132667),
(188942, 'PTHR30367:SF6', NULL, NULL, NULL, NULL, 'SECRETION PROTEIN-RELATED', 132668),
(188943, 'PTHR17384', NULL, NULL, NULL, NULL, 'P-SELECTIN GLYCOPROTEIN LIGAND-1', 132669),
(188944, 'PTHR32263:SF16', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE SRO3-RELATED', 132670),
(188945, 'PTHR31549:SF9', NULL, NULL, NULL, NULL, 'OS08G0167400 PROTEIN', 132671),
(188946, 'PTHR31165:SF50', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 6', 132672),
(188947, 'PTHR46133:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILR3-LIKE', 132673),
(188948, 'PTHR31280:SF16', NULL, NULL, NULL, NULL, 'GLS PROTEIN (DUF810)', 132674),
(188949, 'PTHR23024:SF507', NULL, NULL, NULL, NULL, 'BNAA08G02460D PROTEIN', 132675),
(188950, 'PTHR10209:SF745', NULL, NULL, NULL, NULL, 'DEACETOXYVINDOLINE 4-HYDROXYLASE-RELATED', 132676),
(188951, 'PTHR48018:SF118', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 132677),
(188952, 'PTHR38736:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132678),
(188953, 'PTHR34222:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132679),
(188954, 'PTHR12411:SF627', NULL, NULL, NULL, NULL, 'THIOL PROTEASE', 132680),
(188955, 'PTHR27000:SF707', NULL, NULL, NULL, NULL, 'OS02G0155400 PROTEIN', 132681),
(188956, 'PTHR34491:SF39', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', 132682),
(188957, 'PTHR14709:SF2', NULL, NULL, NULL, NULL, 'GLUTAMINE AND SERINE-RICH PROTEIN 1', 132683),
(188958, 'PTHR34777:SF9', NULL, NULL, NULL, NULL, 'OS01G0653300 PROTEIN', 132684),
(188959, 'PTHR30620:SF80', NULL, NULL, NULL, NULL, 'BETA-D-GLUCOSIDE GLUCOHYDROLASE', 132685),
(188960, 'PTHR23115:SF257', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', 132686),
(188961, 'PTHR11101:SF89', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 132687),
(188962, 'PTHR24223:SF395', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 10-LIKE', 132688),
(188963, 'PTHR19857:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DIVISION PROTEIN 1-RELATED', 132689),
(188964, 'PTHR18966:SF411', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 25A', 132690),
(188965, 'PTHR46043:SF2', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 132691),
(188966, 'PTHR13165:SF0', NULL, NULL, NULL, NULL, 'SERRATE RNA EFFECTOR MOLECULE HOMOLOG', 132692),
(188967, 'PTHR32295:SF175', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', 132693),
(188968, 'PTHR10337', NULL, NULL, NULL, NULL, 'SHC TRANSFORMING PROTEIN', 132694);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(188969, 'PTHR24055:SF461', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132695),
(188970, 'PTHR38436:SF1', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE SNOAL-LIKE DOMAIN', 132696),
(188971, 'PTHR33077:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132697),
(188972, 'PTHR35798:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN SEPF', 132698),
(188973, 'PTHR13774:SF32', NULL, NULL, NULL, NULL, 'ANTISENSE-ENHANCING SEQUENCE 1', 132699),
(188974, 'PTHR19303:SF26', NULL, NULL, NULL, NULL, 'TIGGER TRANSPOSABLE ELEMENT-DERIVED PROTEIN 1', 132700),
(188975, 'PTHR24200', NULL, NULL, NULL, NULL, 'TOUCAN, ISOFORM A', 132701),
(188976, 'PTHR45436:SF10', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM SENSOR PROTEIN', 132702),
(188977, 'PTHR13145:SF7', NULL, NULL, NULL, NULL, 'BNAA05G27630D PROTEIN', 132703),
(188978, 'PTHR32329:SF7', NULL, NULL, NULL, NULL, 'ACTIVATOR OF 2-HYDROXYACYL-COA-HYDRATASE-RELATED', 132704),
(188979, 'PTHR30204:SF76', NULL, NULL, NULL, NULL, 'MULTIDRUG-EFFLUX TRANSPORTER 1 REGULATOR', 132705),
(188980, 'PTHR22923:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132706),
(188981, 'PTHR34462', NULL, NULL, NULL, NULL, 'OS05G0587400 PROTEIN', 132707),
(188982, 'PTHR48049:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 132708),
(188983, 'PTHR10666:SF321', NULL, NULL, NULL, NULL, 'UBIQUITIN FUSION PROTEIN', 132709),
(188984, 'PTHR33426', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 132710),
(188985, 'PTHR24198:SF165', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 132711),
(188986, 'PTHR13800:SF9', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 8', 132712),
(188987, 'PTHR13439:SF5', NULL, NULL, NULL, NULL, 'TLC DOMAIN-CONTAINING PROTEIN 1', 132713),
(188988, 'PTHR47362:SF1', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE THEM5', 132714),
(188989, 'PTHR12207:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132715),
(188990, 'PTHR35894:SF1', NULL, NULL, NULL, NULL, 'GENERAL SECRETION PATHWAY PROTEIN A-RELATED', 132716),
(188991, 'PTHR20963:SF50', NULL, NULL, NULL, NULL, '3-PHYTASE A', 132717),
(188992, 'PTHR12266:SF25', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER 6-RELATED', 132718),
(188993, 'PTHR48001:SF141', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 132719),
(188994, 'PTHR11685:SF221', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF14', 132720),
(188995, 'PTHR23341:SF2', NULL, NULL, NULL, NULL, 'HMG', 132721),
(188996, 'PTHR31561:SF103', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 11', 132722),
(188997, 'PTHR42743:SF16', NULL, NULL, NULL, NULL, 'BNACNNG24680D PROTEIN', 132723),
(188998, 'PTHR42718:SF36', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13820)-RELATED', 132724),
(188999, 'PTHR21230:SF41', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT THROUGH INTERACTION WITH T-SNARES HOMOLOG 1A', 132725),
(189000, 'PTHR31311:SF29', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 34-RELATED', 132726),
(189001, 'PTHR34287:SF4', NULL, NULL, NULL, NULL, 'OSJNBB0116K07.5 PROTEIN', 132727),
(189002, 'PTHR43008:SF8', NULL, NULL, NULL, NULL, 'BENZIL REDUCTASE ((S)-BENZOIN FORMING) IRC24', 132728),
(189003, 'PTHR13774:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132729),
(189004, 'PTHR13318:SF32', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 29', 132730),
(189005, 'PTHR46240', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN KINASE ULK4', 132731),
(189006, 'PTHR11638:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132732),
(189007, 'PTHR34046:SF11', NULL, NULL, NULL, NULL, 'BNAA09G30640D PROTEIN', 132733),
(189008, 'PTHR23504:SF94', NULL, NULL, NULL, NULL, 'OS12G0133100 PROTEIN', 132734),
(189009, 'PTHR23024:SF543', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 132735),
(189010, 'PTHR39470:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 132736),
(189011, 'PTHR24301:SF8', NULL, NULL, NULL, NULL, 'OS02G0221900 PROTEIN', 132737),
(189012, 'PTHR31989:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132738);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(189013, 'PTHR35441:SF1', NULL, NULL, NULL, NULL, 'CIRCADIAN-ASSOCIATED TRANSCRIPTIONAL REPRESSOR', 132739),
(189014, 'PTHR46408:SF7', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN OPAQUE-2', 132740),
(189015, 'PTHR13231', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN S31', 132741),
(189016, 'PTHR15859:SF1', NULL, NULL, NULL, NULL, 'LD44003P', 132742),
(189017, 'PTHR30528:SF0', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 132743),
(189018, 'PTHR10489:SF913', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 2', 132744),
(189019, 'PTHR16134:SF112', NULL, NULL, NULL, NULL, 'BNAA08G24570D PROTEIN', 132745),
(189020, 'PTHR24208:SF117', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX8', 132746),
(189021, 'PTHR10108:SF1116', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT21-RELATED', 132747),
(189022, 'PTHR10353:SF274', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 29', 132748),
(189023, 'PTHR10253:SF10', NULL, NULL, NULL, NULL, 'BNAA05G20180D PROTEIN', 132749),
(189024, 'PTHR11017:SF395', NULL, NULL, NULL, NULL, 'BNAC09G39550D PROTEIN', 132750),
(189025, 'PTHR12280:SF39', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE 2', 132751),
(189026, 'PTHR10678:SF4', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 11B', 132752),
(189027, 'PTHR34197:SF2', NULL, NULL, NULL, NULL, 'OS04G0591300 PROTEIN', 132753),
(189028, 'PTHR10219:SF86', NULL, NULL, NULL, NULL, 'BNAA05G10120D PROTEIN', 132754),
(189029, 'PTHR12725:SF111', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 132755),
(189030, 'PTHR12149:SF9', NULL, NULL, NULL, NULL, 'FRUCTOSAMINE-3-KINASE', 132756),
(189031, 'PTHR46565:SF14', NULL, NULL, NULL, NULL, 'BNAA09G43450D PROTEIN', 132757),
(189032, 'PTHR11232:SF69', NULL, NULL, NULL, NULL, 'SI:DKEY-34E4.1', 132758),
(189033, 'PTHR10791:SF57', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET2A', 132759),
(189034, 'PTHR10509:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132760),
(189035, 'PTHR13976:SF33', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN H2', 132761),
(189036, 'PTHR13318:SF183', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKP2B-LIKE ISOFORM X1', 132762),
(189037, 'PTHR30154:SF17', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL ACTIVATOR DECR', 132763),
(189038, 'PTHR33293', NULL, NULL, NULL, NULL, 'INSERTION ELEMENT IS1 1 PROTEIN INSB-RELATED', 132764),
(189039, 'PTHR21562:SF59', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 132765),
(189040, 'PTHR11009:SF4', NULL, NULL, NULL, NULL, 'DERLIN-3', 132766),
(189041, 'PTHR36757:SF1', NULL, NULL, NULL, NULL, 'BNAANNG22500D PROTEIN', 132767),
(189042, 'PTHR33861', NULL, NULL, NULL, NULL, 'PROTEIN CBG18333', 132768),
(189043, 'PTHR31279:SF18', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 7', 132769),
(189044, 'PTHR31235:SF216', NULL, NULL, NULL, NULL, 'PEROXIDASE', 132770),
(189045, 'PTHR30390', NULL, NULL, NULL, NULL, 'SEDOHEPTULOSE 7-PHOSPHATE ISOMERASE / DNAA INITIATOR-ASSOCIATING FACTOR FOR REPLICATION INITIATION', 132771),
(189046, 'PTHR24369:SF154', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 4.1', 132772),
(189047, 'PTHR23088', NULL, NULL, NULL, NULL, 'NITRILASE-RELATED', 132773),
(189048, 'PTHR11804:SF71', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INTERMEDIATE PEPTIDASE', 132774),
(189049, 'PTHR11537:SF255', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, SHAKER-RELATED, SUBFAMILY, MEMBER 6 A', 132775),
(189050, 'PTHR11487:SF0', NULL, NULL, NULL, NULL, 'S-ACYL FATTY ACID SYNTHASE THIOESTERASE, MEDIUM CHAIN', 132776),
(189051, 'PTHR31339:SF12', NULL, NULL, NULL, NULL, 'ENDO-POLYGALACTURONASE-LIKE PROTEIN', 132777),
(189052, 'PTHR31232:SF40', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY-RELATED', 132778),
(189053, 'PTHR21576:SF98', NULL, NULL, NULL, NULL, 'BNAANNG22870D PROTEIN', 132779),
(189054, 'PTHR43899:SF27', NULL, NULL, NULL, NULL, 'B-KETO ACYL REDUCTASE-RELATED', 132780),
(189055, 'PTHR13603', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 132781),
(189056, 'PTHR32219:SF7', NULL, NULL, NULL, NULL, 'PUMP INTERACTOR, PUTATIVE-RELATED', 132782);
INSERT INTO "PUBLIC"."MODEL" VALUES
(189057, 'PTHR24073:SF572', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-28', 132783),
(189058, 'PTHR46674', NULL, NULL, NULL, NULL, 'INACTIVE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP6', 132784),
(189059, 'PTHR36925', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-6A REDUCTASE', 132785),
(189060, 'PTHR31060:SF30', NULL, NULL, NULL, NULL, 'OS07G0668800 PROTEIN', 132786),
(189061, 'PTHR23426:SF62', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 132787),
(189062, 'PTHR28181', NULL, NULL, NULL, NULL, 'UPF0655 PROTEIN YCR015C', 132788),
(189063, 'PTHR36069', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 132789),
(189064, 'PTHR48021:SF75', NULL, NULL, NULL, NULL, 'BNAC02G48280D PROTEIN', 132790),
(189065, 'PTHR12411:SF638', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132791),
(189066, 'PTHR21301:SF3', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN', 132792),
(189067, 'PTHR31676:SF135', NULL, NULL, NULL, NULL, 'PLANT/F25P12-18 PROTEIN', 132793),
(189068, 'PTHR10562:SF74', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 2', 132794),
(189069, 'PTHR27006:SF299', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132795),
(189070, 'PTHR34478:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LEMA', 132796),
(189071, 'PTHR26379:SF295', NULL, NULL, NULL, NULL, 'OS10G0429300 PROTEIN', 132797),
(189072, 'PTHR48023:SF5', NULL, NULL, NULL, NULL, 'BNACNNG18320D PROTEIN', 132798),
(189073, 'PTHR34558:SF14', NULL, NULL, NULL, NULL, 'OS07G0549100 PROTEIN', 132799),
(189074, 'PTHR10157:SF42', NULL, NULL, NULL, NULL, 'DBH-LIKE MONOOXYGENASE PROTEIN 1 HOMOLOG', 132800),
(189075, 'PTHR21461:SF62', NULL, NULL, NULL, NULL, 'OS06G0624700 PROTEIN', 132801),
(189076, 'PTHR38602', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 132802),
(189077, 'PTHR10663:SF318', NULL, NULL, NULL, NULL, 'IQ MOTIF AND SEC7 DOMAIN-CONTAINING PROTEIN 3', 132803),
(189078, 'PTHR43539:SF23', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 2', 132804),
(189079, 'PTHR33076:SF81', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', 132805),
(189080, 'PTHR43853:SF14', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE-LIKE PROTEIN', 132806),
(189081, 'PTHR47942:SF58', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN PPR5 HOMOLOG, CHLOROPLASTIC', 132807),
(189082, 'PTHR45636:SF28', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-2A', 132808),
(189083, 'PTHR10366:SF470', NULL, NULL, NULL, NULL, 'OS01G0283600 PROTEIN', 132809),
(189084, 'PTHR14969:SF28', NULL, NULL, NULL, NULL, 'DIHYDROSPHINGOSINE 1-PHOSPHATE PHOSPHATASE LCB3-RELATED', 132810),
(189085, 'PTHR24343:SF462', NULL, NULL, NULL, NULL, 'AGC FAMILY PROTEIN KINASE', 132811),
(189086, 'PTHR24039:SF32', NULL, NULL, NULL, NULL, 'FIBULIN-2', 132812),
(189087, 'PTHR15241:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132813),
(189088, 'PTHR38506', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930544D05 GENE', 132814),
(189089, 'PTHR22870:SF352', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY WITH FYVE ZINC FINGER DOMAIN-CONTAINING PROTEIN', 132815),
(189090, 'PTHR39654:SF3', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 75A', 132816),
(189091, 'PTHR16206:SF10', NULL, NULL, NULL, NULL, 'DEP DOMAIN-CONTAINING PROTEIN 4', 132817),
(189092, 'PTHR23086:SF89', NULL, NULL, NULL, NULL, 'OS03G0262000 PROTEIN', 132818),
(189093, 'PTHR10257:SF79', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 59 KDA REGULATORY SUBUNIT B'' ZETA ISOFORM', 132819),
(189094, 'PTHR11461:SF162', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR 77BA', 132820),
(189095, 'PTHR35243:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132821),
(189096, 'PTHR24028:SF92', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-1', 132822),
(189097, 'PTHR37875:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC685964', 132823),
(189098, 'PTHR13234:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG18077', 132824),
(189099, 'PTHR47094:SF1', NULL, NULL, NULL, NULL, 'RING ZINC FINGER-RELATED', 132825);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(189100, 'PTHR31009:SF5', NULL, NULL, NULL, NULL, 'GIBBERELLIC ACID METHYLTRANSFERASE 2', 132826),
(189101, 'PTHR23050:SF401', NULL, NULL, NULL, NULL, 'CALMODULIN', 132827),
(189102, 'PTHR34709:SF25', NULL, NULL, NULL, NULL, 'OS07G0550300 PROTEIN', 132828),
(189103, 'PTHR33491:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0016N04.9 PROTEIN', 132829),
(189104, 'PTHR21879:SF5', NULL, NULL, NULL, NULL, 'OSIRIS 15', 132830),
(189105, 'PTHR31992:SF194', NULL, NULL, NULL, NULL, 'BNAA09G34950D PROTEIN', 132831),
(189106, 'PTHR11206:SF81', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EXTRUSION PROTEIN 2', 132832),
(189107, 'PTHR33110:SF39', NULL, NULL, NULL, NULL, 'OS04G0514700 PROTEIN', 132833),
(189108, 'PTHR43895:SF42', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 10', 132834),
(189109, 'PTHR24403:SF63', NULL, NULL, NULL, NULL, 'SI:DKEY-154P10.3', 132835),
(189110, 'PTHR10468:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLATION RELATED', 132836),
(189111, 'PTHR47132:SF1', NULL, NULL, NULL, NULL, 'MYOGLOBIN', 132837),
(189112, 'PTHR11902:SF5', NULL, NULL, NULL, NULL, 'BETA-ENOLASE', 132838),
(189113, 'PTHR27003:SF388', NULL, NULL, NULL, NULL, 'GPCR KINASE, MITOGEN-ACTIVATED PROTEIN (MAP) KINASE KINASE KINASE 7-RELATED', 132839),
(189114, 'PTHR33402:SF21', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 19', 132840),
(189115, 'PTHR12606:SF112', NULL, NULL, NULL, NULL, 'OS02G0479700 PROTEIN', 132841),
(189116, 'PTHR31009:SF50', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT CARBOXYL METHYLTRANSFERASE', 132842),
(189117, 'PTHR38096', NULL, NULL, NULL, NULL, 'ENTEROBACTIN SYNTHASE COMPONENT D', 132843),
(189118, 'PTHR13140:SF799', NULL, NULL, NULL, NULL, 'MYOSIN-7', 132844),
(189119, 'PTHR30514:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR HEXR-RELATED', 132845),
(189120, 'PTHR15615:SF102', NULL, NULL, NULL, NULL, 'CYCLIN', 132846),
(189121, 'PTHR31561:SF121', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 132847),
(189122, 'PTHR31194:SF78', NULL, NULL, NULL, NULL, 'AP2/ERF DOMAIN TRANSCRIPTION FACTOR', 132848),
(189123, 'PTHR23257:SF775', NULL, NULL, NULL, NULL, 'KINASE SUPPRESSOR OF RAS 2', 132849),
(189124, 'PTHR10634:SF125', NULL, NULL, NULL, NULL, 'RE70963P', 132850),
(189125, 'PTHR24296:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132851),
(189126, 'PTHR24166:SF21', NULL, NULL, NULL, NULL, 'PROTEIN TANC2', 132852),
(189127, 'PTHR47965:SF18', NULL, NULL, NULL, NULL, '7S GLOBULIN, PUTATIVE-RELATED', 132853),
(189128, 'PTHR11757:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132854),
(189129, 'PTHR15016', NULL, NULL, NULL, NULL, 'BREAST CARCINOMA-AMPLIFIED SEQUENCE 1', 132855),
(189130, 'PTHR16166', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN  VPS13', 132856),
(189131, 'PTHR31175:SF55', NULL, NULL, NULL, NULL, 'SAUR55-AUXIN-RESPONSIVE SAUR FAMILY MEMBER', 132857),
(189132, 'PTHR46664:SF1', NULL, NULL, NULL, NULL, 'ATM INTERACTOR', 132858),
(189133, 'PTHR46159:SF14', NULL, NULL, NULL, NULL, 'BNAA05G16940D PROTEIN', 132859),
(189134, 'PTHR23245:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132860),
(189135, 'PTHR24106:SF152', NULL, NULL, NULL, NULL, 'NLR FAMILY MEMBER X1', 132861),
(189136, 'PTHR31984:SF1', NULL, NULL, NULL, NULL, 'OS10G0330400 PROTEIN', 132862),
(189137, 'PTHR34386', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN', 132863),
(189138, 'PTHR13103:SF2', NULL, NULL, NULL, NULL, 'IQCJ-SCHIP1 READTHROUGH TRANSCRIPT PROTEIN-RELATED', 132864),
(189139, 'PTHR13593:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132865),
(189140, 'PTHR24361:SF829', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132866),
(189141, 'PTHR13768:SF27', NULL, NULL, NULL, NULL, 'ALPHA-SOLUBLE NSF ATTACHMENT PROTEIN', 132867),
(189142, 'PTHR47992:SF65', NULL, NULL, NULL, NULL, 'PHYTOCHROME-ASSOCIATED PROTEIN PHOSPHATASE TYPE 2C', 132868),
(189143, 'PTHR11915:SF226', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN, NON-ERYTHROCYTIC 1', 132869),
(189144, 'PTHR11945:SF601', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', 132870);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(189145, 'PTHR18929:SF58', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE-LIKE PROTEIN OF THE TESTIS', 132871),
(189146, 'PTHR45616:SF2', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 72', 132872),
(189147, 'PTHR36173:SF2', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC16', 132873),
(189148, 'PTHR40072', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN-GUANINE DINUCLEOTIDE BIOSYNTHESIS ADAPTER PROTEIN-RELATED', 132874),
(189149, 'PTHR31175:SF58', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR61', 132875),
(189150, 'PTHR31989:SF273', NULL, NULL, NULL, NULL, 'BNAC03G71470D PROTEIN', 132876),
(189151, 'PTHR21356:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 2', 132877),
(189152, 'PTHR48022:SF33', NULL, NULL, NULL, NULL, 'SUGAR PERMEASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G12040)-RELATED', 132878),
(189153, 'PTHR43651:SF9', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN-BRANCHING ENZYME 2-1, CHLOROPLASTIC/AMYLOPLASTIC', 132879),
(189154, 'PTHR23236:SF81', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING, ALPHA-BETA PLAIT', 132880),
(189155, 'PTHR48011:SF59', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE NPK1', 132881),
(189156, 'PTHR45675:SF70', NULL, NULL, NULL, NULL, 'ATMYB2', 132882),
(189157, 'PTHR31460:SF0', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PHOSPHOTRIESTERASE SUPERFAMILY PROTEIN-RELATED', 132883),
(189158, 'PTHR10539:SF6', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 13 HOMOLOG B-LIKE', 132884),
(189159, 'PTHR34997:SF1', NULL, NULL, NULL, NULL, 'AM15', 132885),
(189160, 'PTHR37739:SF12', NULL, NULL, NULL, NULL, 'KINESIN FAMILY MEMBER 1A', 132886),
(189161, 'PTHR47933:SF30', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 132887),
(189162, 'PTHR43995:SF1', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 19', 132888),
(189163, 'PTHR42726', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE FAMILY MEMBER 6', 132889),
(189164, 'PTHR10578:SF82', NULL, NULL, NULL, NULL, 'CYTOCHROME B2, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G07200)-RELATED', 132890),
(189165, 'PTHR23410:SF24', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L5', 132891),
(189166, 'PTHR22599:SF12', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR 3C', 132892),
(189167, 'PTHR12035:SF120', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 10', 132893),
(189168, 'PTHR10625:SF206', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 2-RELATED', 132894),
(189169, 'PTHR35165:SF3', NULL, NULL, NULL, NULL, 'OS04G0577375 PROTEIN', 132895),
(189170, 'PTHR48001:SF41', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 132896),
(189171, 'PTHR23507:SF2', NULL, NULL, NULL, NULL, 'PROTON-COUPLED FOLATE TRANSPORTER', 132897),
(189172, 'PTHR24366:SF60', NULL, NULL, NULL, NULL, 'WNT-ACTIVATED INHIBITORY FACTOR 2', 132898),
(189173, 'PTHR11802:SF248', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132899),
(189174, 'PTHR33098:SF75', NULL, NULL, NULL, NULL, 'OS07G0563400 PROTEIN', 132900),
(189175, 'PTHR10168:SF277', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132901),
(189176, 'PTHR12253:SF37', NULL, NULL, NULL, NULL, 'PROTEIN-INTERACTING WITH CYCLIN A1', 132902),
(189177, 'PTHR10742:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132903),
(189178, 'PTHR10083:SF359', NULL, NULL, NULL, NULL, 'SERINE PEPTIDASE INHIBITOR, KUNITZ TYPE, 3', 132904),
(189179, 'PTHR43880:SF21', NULL, NULL, NULL, NULL, 'S-(HYDROXYMETHYL)GLUTATHIONE DEHYDROGENASE', 132905),
(189180, 'PTHR18966:SF525', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132906),
(189181, 'PTHR22692:SF21', NULL, NULL, NULL, NULL, 'MYOSIN XVA', 132907),
(189182, 'PTHR15025:SF6', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-6 SUBUNIT', 132908),
(189183, 'PTHR24180:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132909),
(189184, 'PTHR38218:SF2', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 132910),
(189185, 'PTHR31676:SF123', NULL, NULL, NULL, NULL, 'BNAA04G21950D PROTEIN', 132911),
(189186, 'PTHR12442:SF22', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 1 INTERMEDIATE CHAIN-RELATED', 132912);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(189187, 'PTHR43243:SF11', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 132913),
(189188, 'PTHR27006:SF134', NULL, NULL, NULL, NULL, 'OS11G0669200 PROTEIN', 132914),
(189189, 'PTHR12378:SF45', NULL, NULL, NULL, NULL, 'THIOL PEPTIDASE FAMILY PROTEIN, PUTATIVE-RELATED', 132915),
(189190, 'PTHR31989:SF378', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 94-RELATED', 132916),
(189191, 'PTHR22918', NULL, NULL, NULL, NULL, 'SEMINAL PLASMA PROTEIN', 132917),
(189192, 'PTHR12085:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132918),
(189193, 'PTHR21325:SF44', NULL, NULL, NULL, NULL, 'PROTEIN CBG16394', 132919),
(189194, 'PTHR31552:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 132920),
(189195, 'PTHR11157:SF149', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN A-LIKE', 132921),
(189196, 'PTHR31299:SF0', NULL, NULL, NULL, NULL, 'ESTERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G05850)-RELATED', 132922),
(189197, 'PTHR31052:SF21', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 10', 132923),
(189198, 'PTHR45967', NULL, NULL, NULL, NULL, 'G-BOX-BINDING FACTOR 3-RELATED', 132924),
(189199, 'PTHR11373:SF26', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PHOSPHOHYDROLASE', 132925),
(189200, 'PTHR33694:SF1', NULL, NULL, NULL, NULL, 'UDP-3-O-ACYL-N-ACETYLGLUCOSAMINE DEACETYLASE 1, MITOCHONDRIAL-RELATED', 132926),
(189201, 'PTHR22951:SF28', NULL, NULL, NULL, NULL, 'SI:CH211-214J24.9', 132927),
(189202, 'PTHR13475', NULL, NULL, NULL, NULL, 'NEUGRIN', 132928),
(189203, 'PTHR37842:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', 132929),
(189204, 'PTHR24414:SF157', NULL, NULL, NULL, NULL, 'BNAA06G39880D PROTEIN', 132930),
(189205, 'PTHR12650:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S30', 132931),
(189206, 'PTHR37209:SF1', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 9', 132932),
(189207, 'PTHR45080:SF5', NULL, NULL, NULL, NULL, 'FI23916P1', 132933),
(189208, 'PTHR40055:SF2', NULL, NULL, NULL, NULL, 'DNA GYRASE INHIBITOR', 132934),
(189209, 'PTHR31232:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132935),
(189210, 'PTHR45707:SF35', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN-RELATED', 132936),
(189211, 'PTHR25465:SF13', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 42', 132937),
(189212, 'PTHR10795:SF546', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', 132938),
(189213, 'PTHR43725:SF18', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE', 132939),
(189214, 'PTHR48094:SF9', NULL, NULL, NULL, NULL, 'THIJ/PFPI FAMILY PROTEIN', 132940),
(189215, 'PTHR14482:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CUSTOS', 132941),
(189216, 'PTHR30615:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132942),
(189217, 'PTHR46915:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 1D', 132943),
(189218, 'PTHR11412:SF162', NULL, NULL, NULL, NULL, 'CD109 ANTIGEN', 132944),
(189219, 'PTHR23500:SF554', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 8-LIKE', 132945),
(189220, 'PTHR24221:SF476', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY PROTEIN', 132946),
(189221, 'PTHR31739:SF30', NULL, NULL, NULL, NULL, 'COPAL-8-OL DIPHOSPHATE HYDRATASE, CHLOROPLASTIC', 132947),
(189222, 'PTHR11787:SF11', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', 132948),
(189223, 'PTHR30620:SF107', NULL, NULL, NULL, NULL, 'OS01G0771900 PROTEIN', 132949),
(189224, 'PTHR12175', NULL, NULL, NULL, NULL, 'AD039  HT014   THIOREDOXIN FAMILY TRP26', 132950),
(189225, 'PTHR34268:SF8', NULL, NULL, NULL, NULL, 'OS01G0321850 PROTEIN', 132951),
(189226, 'PTHR34151', NULL, NULL, NULL, NULL, 'PROTEIN CBG24195', 132952),
(189227, 'PTHR15398', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 8', 132953),
(189228, 'PTHR23180:SF407', NULL, NULL, NULL, NULL, 'ARF-GAP WITH COILED-COIL, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 3', 132954),
(189229, 'PTHR46344:SF3', NULL, NULL, NULL, NULL, 'KELCH MOTIF FAMILY PROTEIN, EXPRESSED', 132955),
(189230, 'PTHR45690:SF8', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 8', 132956);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(189231, 'PTHR23074:SF72', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 4B', 132957),
(189232, 'PTHR22912:SF212', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', 132958),
(189233, 'PTHR11615:SF243', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 3A2', 132959),
(189234, 'PTHR27003:SF344', NULL, NULL, NULL, NULL, 'BNAC03G45050D PROTEIN', 132960),
(189235, 'PTHR24300:SF281', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 1A2-LIKE', 132961),
(189236, 'PTHR45638:SF20', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CHANNEL ALPHA 1A', 132962),
(189237, 'PTHR18945:SF526', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-TYPE ACR-5', 132963),
(189238, 'PTHR13371:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132964),
(189239, 'PTHR45894:SF4', NULL, NULL, NULL, NULL, 'BNAC06G04600D PROTEIN', 132965),
(189240, 'PTHR13690:SF120', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER (BZIP) TRANSCRIPTION FACTOR FAMILY PROTEIN', 132966),
(189241, 'PTHR31549:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132967),
(189242, 'PTHR14596:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN MSN2-RELATED', 132968),
(189243, 'PTHR45657:SF50', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH11', 132969),
(189244, 'PTHR40697:SF2', NULL, NULL, NULL, NULL, 'ATP-NAD KINASE-RELATED', 132970),
(189245, 'PTHR21592:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG03732', 132971),
(189246, 'PTHR42970', NULL, NULL, NULL, NULL, 'PECTATE LYASE C-RELATED', 132972),
(189247, 'PTHR47415:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM47B', 132973),
(189248, 'PTHR19860', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 12-RELATED', 132974),
(189249, 'PTHR46128:SF193', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 132975),
(189250, 'PTHR10903:SF124', NULL, NULL, NULL, NULL, '50S RIBOSOME-BINDING GTPASE', 132976),
(189251, 'PTHR47926:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132977),
(189252, 'PTHR22814:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132978),
(189253, 'PTHR31568:SF89', NULL, NULL, NULL, NULL, 'BNACNNG26620D PROTEIN', 132979),
(189254, 'PTHR31375:SF192', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 132980),
(189255, 'PTHR12899:SF13', NULL, NULL, NULL, NULL, '50S RIBOSOMAL L18-LIKE PROTEIN', 132981),
(189256, 'PTHR43539:SF59', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 132982),
(189257, 'PTHR21450:SF7', NULL, NULL, NULL, NULL, 'DNA LIGASE (DUF630 AND DUF632)', 132983),
(189258, 'PTHR11178:SF48', NULL, NULL, NULL, NULL, 'NIFU-LIKE PROTEIN 2, CHLOROPLASTIC', 132984),
(189259, 'PTHR45988:SF47', NULL, NULL, NULL, NULL, 'OSJNBA0089K21.8-LIKE PROTEIN', 132985),
(189260, 'PTHR33121:SF40', NULL, NULL, NULL, NULL, 'ANTI-FLHC(2)FLHD(4) FACTOR YDIV-RELATED', 132986),
(189261, 'PTHR24410:SF12', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 17', 132987),
(189262, 'PTHR11260:SF677', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132988),
(189263, 'PTHR46715', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 3-PHOSPHATE 5-KINASE', 132989),
(189264, 'PTHR12461:SF52', NULL, NULL, NULL, NULL, 'MYC-INDUCED NUCLEAR ANTIGEN WITH A MOLECULAR MASS OF 53 KDA-LIKE 1 ISOFORM X2', 132990),
(189265, 'PTHR31239', NULL, NULL, NULL, NULL, 'NICOLIN 1', 132991),
(189266, 'PTHR24220:SF364', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE ABC TRANSPORTER,ATP-BINDING PROTEIN-RELATED', 132992),
(189267, 'PTHR16171:SF7', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN COMPLEMENTING XP-G CELLS', 132993),
(189268, 'PTHR32208:SF57', NULL, NULL, NULL, NULL, 'F14L17.20 PROTEIN', 132994),
(189269, 'PTHR19343:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 132995),
(189270, 'PTHR45933:SF28', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', 132996),
(189271, 'PTHR45706', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 132997),
(189272, 'PTHR47364:SF22', NULL, NULL, NULL, NULL, 'BNAA01G17260D PROTEIN', 132998),
(189273, 'PTHR11764:SF66', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 132999);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(189274, 'PTHR24412:SF168', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN DIABLO', 133000),
(189275, 'PTHR32212:SF366', NULL, NULL, NULL, NULL, 'BNAC02G44930D PROTEIN', 133001),
(189276, 'PTHR46736:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133002),
(189277, 'PTHR12289', NULL, NULL, NULL, NULL, 'METAXIN RELATED', 133003),
(189278, 'PTHR48040:SF21', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 2-LIKE ISOFORM X1', 133004),
(189279, 'PTHR24414:SF123', NULL, NULL, NULL, NULL, 'BNAC04G53970D PROTEIN', 133005),
(189280, 'PTHR23342:SF15', NULL, NULL, NULL, NULL, '[LYSW]-AMINOADIPATE KINASE', 133006),
(189281, 'PTHR43840:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG16727', 133007),
(189282, 'PTHR35786', NULL, NULL, NULL, NULL, 'REDOX-SENSING TRANSCRIPTIONAL REPRESSOR REX', 133008),
(189283, 'PTHR31269:SF52', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, VOLTAGE-DEPENDENT ANION CHANNEL-RELATED', 133009),
(189284, 'PTHR43806:SF34', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.4', 133010),
(189285, 'PTHR10286:SF58', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE 5', 133011),
(189286, 'PTHR31459:SF22', NULL, NULL, NULL, NULL, 'DESICCATION PROTECTANT PROTEIN LEA14 HOMOLOG', 133012),
(189287, 'PTHR24406:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 133013),
(189288, 'PTHR23242', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 133014),
(189289, 'PTHR11351:SF83', NULL, NULL, NULL, NULL, 'BNAC08G44600D PROTEIN', 133015),
(189290, 'PTHR36214:SF5', NULL, NULL, NULL, NULL, 'ACETYL-COA DECARBONYLASE/SYNTHASE COMPLEX SUBUNIT DELTA', 133016),
(189291, 'PTHR37285', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 133017),
(189292, 'PTHR33577:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133018),
(189293, 'PTHR44086:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-34L15.1', 133019),
(189294, 'PTHR33800:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133020),
(189295, 'PTHR10361:SF3', NULL, NULL, NULL, NULL, 'P3 PROTEIN', 133021),
(189296, 'PTHR43725:SF28', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE GALE, NUCLEOTIDE SUGAR EPIMERASE-RELATED', 133022),
(189297, 'PTHR47574:SF3', NULL, NULL, NULL, NULL, 'CANCER-RELATED REGULATOR OF ACTIN DYNAMICS', 133023),
(189298, 'PTHR23273:SF54', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT A-LIKE ISOFORM X1', 133024),
(189299, 'PTHR45743:SF28', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KAT2', 133025),
(189300, 'PTHR36344:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133026),
(189301, 'PTHR31062:SF142', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 133027),
(189302, 'PTHR23117:SF17', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 133028),
(189303, 'PTHR37742', NULL, NULL, NULL, NULL, 'OS01G0810200 PROTEIN', 133029),
(189304, 'PTHR11709:SF385', NULL, NULL, NULL, NULL, 'BNAC03G70650D PROTEIN', 133030),
(189305, 'PTHR38646:SF1', NULL, NULL, NULL, NULL, 'YALI0F00814P', 133031),
(189306, 'PTHR33021:SF256', NULL, NULL, NULL, NULL, 'OS09G0541100 PROTEIN', 133032),
(189307, 'PTHR36028:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133033),
(189308, 'PTHR42925:SF1', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EFFLUX PROTEIN MATE FAMILY', 133034),
(189309, 'PTHR12542:SF124', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 133035),
(189310, 'PTHR10791:SF183', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET16', 133036),
(189311, 'PTHR47258:SF5', NULL, NULL, NULL, NULL, 'BNAA03G57680D PROTEIN', 133037),
(189312, 'PTHR48002:SF2', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4B1', 133038),
(189313, 'PTHR33377:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133039),
(189314, 'PTHR43559:SF3', NULL, NULL, NULL, NULL, 'HYDROLASE YCAC-RELATED', 133040),
(189315, 'PTHR48017:SF169', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1H', 133041),
(189316, 'PTHR47572:SF4', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', 133042),
(189317, 'PTHR38503', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 1', 133043),
(189318, 'PTHR31151:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133044);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(189319, 'PTHR33090:SF53', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', 133045),
(189320, 'PTHR31731:SF8', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 133046),
(189321, 'PTHR46120:SF3', NULL, NULL, NULL, NULL, 'S-METHYLMETHIONINE--HOMOCYSTEINE S-METHYLTRANSFERASE BHMT2', 133047),
(189322, 'PTHR11787:SF25', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', 133048),
(189323, 'PTHR31340:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GENOME MAINTENANCE EXONUCLEASE 1', 133049),
(189324, 'PTHR24115:SF746', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF13B', 133050),
(189325, 'PTHR32191:SF55', NULL, NULL, NULL, NULL, 'TETRASPANIN-8', 133051),
(189326, 'PTHR31969:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0038O10.18 PROTEIN', 133052),
(189327, 'PTHR31627:SF35', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 133053),
(189328, 'PTHR27009:SF106', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.1', 133054),
(189329, 'PTHR31707:SF230', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 133055),
(189330, 'PTHR23107:SF8', NULL, NULL, NULL, NULL, 'OS11G0615200 PROTEIN', 133056),
(189331, 'PTHR11480:SF67', NULL, NULL, NULL, NULL, 'SAPOSIN-RELATED', 133057),
(189332, 'PTHR43157:SF34', NULL, NULL, NULL, NULL, 'WW DOMAIN-CONTAINING OXIDOREDUCTASE-LIKE PROTEIN', 133058),
(189333, 'PTHR45961:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG00285', 133059),
(189334, 'PTHR24056:SF474', NULL, NULL, NULL, NULL, 'BNACNNG19830D PROTEIN', 133060),
(189335, 'PTHR24223:SF425', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 3-RELATED', 133061),
(189336, 'PTHR33181:SF17', NULL, NULL, NULL, NULL, 'OS01G0778500 PROTEIN', 133062),
(189337, 'PTHR45645:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133063),
(189338, 'PTHR43981:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133064),
(189339, 'PTHR33531:SF7', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN SUBFAMILY', 133065),
(189340, 'PTHR12027:SF84', NULL, NULL, NULL, NULL, 'PROTEIN WNT-9B', 133066),
(189341, 'PTHR24068:SF263', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 36-LIKE ISOFORM X1', 133067),
(189342, 'PTHR24068:SF359', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-17 KDA', 133068),
(189343, 'PTHR19237', NULL, NULL, NULL, NULL, 'NUCLEOBINDIN', 133069),
(189344, 'PTHR46891:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 133070),
(189345, 'PTHR45666:SF31', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 3 ISOFORM X1', 133071),
(189346, 'PTHR11802:SF303', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE 1', 133072),
(189347, 'PTHR31246:SF24', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-5-LIKE ISOFORM X1', 133073),
(189348, 'PTHR46139:SF1', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE 2', 133074),
(189349, 'PTHR30543:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133075),
(189350, 'PTHR33745:SF7', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN-RELATED', 133076),
(189351, 'PTHR47377', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 4, CHLOROPLASTIC', 133077),
(189352, 'PTHR23337:SF7', NULL, NULL, NULL, NULL, 'ATPASE MORC2', 133078),
(189353, 'PTHR45654:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ANTHOCYANINLESS 2', 133079),
(189354, 'PTHR48047:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133080),
(189355, 'PTHR31915:SF4', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING AND COILED-COIL DOMAIN-CONTAINING PROTEIN 2', 133081),
(189356, 'PTHR14155:SF547', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL35-RELATED', 133082),
(189357, 'PTHR28592:SF4', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 1', 133083),
(189358, 'PTHR21093:SF8', NULL, NULL, NULL, NULL, 'DIVERGENT PROTEIN KINASE DOMAIN 1A', 133084),
(189359, 'PTHR43166:SF14', NULL, NULL, NULL, NULL, 'GLUTAMINE TRANSPORT ATP-BINDING PROTEIN GLNQ', 133085),
(189360, 'PTHR19375:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133086);
INSERT INTO "PUBLIC"."MODEL" VALUES
(189361, 'PTHR21683:SF7', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 38', 133087),
(189362, 'PTHR43420:SF3', NULL, NULL, NULL, NULL, 'BLR4025 PROTEIN', 133088),
(189363, 'PTHR21388', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN-RELATED', 133089),
(189364, 'PTHR31384:SF127', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 133090),
(189365, 'PTHR45648:SF121', NULL, NULL, NULL, NULL, 'BNAA03G11610D PROTEIN', 133091),
(189366, 'PTHR10271:SF29', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS-RELATED', 133092),
(189367, 'PTHR13595:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133093),
(189368, 'PTHR46480:SF1', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED HYDROGEN CHANNEL 1', 133094),
(189369, 'PTHR19446:SF438', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE FROM TRANSPOSON X-ELEMENT-LIKE PROTEIN-RELATED', 133095),
(189370, 'PTHR12435:SF4', NULL, NULL, NULL, NULL, 'BNAC08G40070D PROTEIN', 133096),
(189371, 'PTHR12599:SF0', NULL, NULL, NULL, NULL, 'PTERIN-4-ALPHA-CARBINOLAMINE DEHYDRATASE', 133097),
(189372, 'PTHR27005:SF370', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 16-RELATED', 133098),
(189373, 'PTHR46158:SF10', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', 133099),
(189374, 'PTHR11830:SF16', NULL, NULL, NULL, NULL, 'CYLINDROMATOSIS (TURBAN TUMOR SYNDROME),-LIKE', 133100),
(189375, 'PTHR24072:SF169', NULL, NULL, NULL, NULL, 'RAS-RELATED C3 BOTULINUM TOXIN SUBSTRATE 2', 133101),
(189376, 'PTHR23539:SF1', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER', 133102),
(189377, 'PTHR12313:SF49', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF185-LIKE', 133103),
(189378, 'PTHR11452:SF63', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE-RELATED', 133104),
(189379, 'PTHR36755:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133105),
(189380, 'PTHR12161:SF17', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 133106),
(189381, 'PTHR46473:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 38', 133107),
(189382, 'PTHR10744:SF9', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11', 133108),
(189383, 'PTHR44170:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133109),
(189384, 'PTHR37402', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN 4', 133110),
(189385, 'PTHR19375:SF157', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM CHAPERONE BIP HOMOLOG', 133111),
(189386, 'PTHR31140:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133112),
(189387, 'PTHR16932:SF15', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-INDUCIBLE PROTEIN 27, MITOCHONDRIAL', 133113),
(189388, 'PTHR10064:SF29', NULL, NULL, NULL, NULL, 'BNAA09G51140D PROTEIN', 133114),
(189389, 'PTHR46293:SF12', NULL, NULL, NULL, NULL, 'BNAA04G17680D PROTEIN', 133115),
(189390, 'PTHR45580:SF7', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 133116),
(189391, 'PTHR32093:SF153', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', 133117),
(189392, 'PTHR31003:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HRS1', 133118),
(189393, 'PTHR11668:SF458', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 133119),
(189394, 'PTHR22923:SF101', NULL, NULL, NULL, NULL, 'ALPHA-METHYLACYL-COA RACEMASE', 133120),
(189395, 'PTHR23345:SF12', NULL, NULL, NULL, NULL, 'VITELLOGENIN-1-RELATED', 133121),
(189396, 'PTHR31003:SF32', NULL, NULL, NULL, NULL, 'BNAA06G39930D PROTEIN', 133122),
(189397, 'PTHR44419', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 133123),
(189398, 'PTHR11558:SF47', NULL, NULL, NULL, NULL, 'SPERMIDINE/SPERMINE SYNTHASE-RELATED', 133124),
(189399, 'PTHR13343:SF23', NULL, NULL, NULL, NULL, 'OS08G0517500 PROTEIN', 133125),
(189400, 'PTHR31790:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133126),
(189401, 'PTHR11599:SF174', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 133127),
(189402, 'PTHR35543', NULL, NULL, NULL, NULL, 'PROTEIN C11ORF74', 133128),
(189403, 'PTHR22957:SF569', NULL, NULL, NULL, NULL, 'RAB-GTPASE-TBC DOMAIN-CONTAINING PROTEIN-RELATED', 133129);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(189404, 'PTHR12565:SF363', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 133130),
(189405, 'PTHR31190:SF242', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133131),
(189406, 'PTHR43825:SF4', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT', 133132),
(189407, 'PTHR23503:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133133),
(189408, 'PTHR33304:SF9', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 133134),
(189409, 'PTHR32448:SF95', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 23', 133135),
(189410, 'PTHR11003:SF75', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 9', 133136),
(189411, 'PTHR32176:SF60', NULL, NULL, NULL, NULL, 'PATATIN', 133137),
(189412, 'PTHR34775:SF5', NULL, NULL, NULL, NULL, 'BNAC05G12700D PROTEIN', 133138),
(189413, 'PTHR31232:SF54', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY-RELATED', 133139),
(189414, 'PTHR30193:SF38', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', 133140),
(189415, 'PTHR24384:SF206', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 727-RELATED', 133141),
(189416, 'PTHR37940:SF1', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE', 133142),
(189417, 'PTHR11003:SF98', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 133143),
(189418, 'PTHR24376:SF185', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 786', 133144),
(189419, 'PTHR15271:SF4', NULL, NULL, NULL, NULL, 'CHROMATIN ASSEMBLY FACTOR 1 SUBUNIT B', 133145),
(189420, 'PTHR12169', NULL, NULL, NULL, NULL, 'ATPASE N2B', 133146),
(189421, 'PTHR31625:SF54', NULL, NULL, NULL, NULL, 'PHENOLIC GLUCOSIDE MALONYLTRANSFERASE 1', 133147),
(189422, 'PTHR12146:SF8', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10-LIKE-RELATED', 133148),
(189423, 'PTHR32142', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 133149),
(189424, 'PTHR25462:SF265', NULL, NULL, NULL, NULL, 'THIOREDOXIN-RELATED TRANSMEMBRANE PROTEIN 2 HOMOLOG-LIKE PROTEIN', 133150),
(189425, 'PTHR22166:SF12', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM JUNCTION FORMATION PROTEIN LUNAPARK', 133151),
(189426, 'PTHR20765:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133152),
(189427, 'PTHR33994:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133153),
(189428, 'PTHR47950:SF2', NULL, NULL, NULL, NULL, 'OS06G0294600 PROTEIN', 133154),
(189429, 'PTHR22792:SF71', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 6', 133155),
(189430, 'PTHR46272:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 142-RELATED', 133156),
(189431, 'PTHR31052:SF14', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 11', 133157),
(189432, 'PTHR34997:SF13', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING PROTEIN-RELATED', 133158),
(189433, 'PTHR13598:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE INTEGRAL MEMBRANE PROTEIN 1', 133159),
(189434, 'PTHR45647:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133160),
(189435, 'PTHR31065:SF57', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', 133161),
(189436, 'PTHR14379:SF36', NULL, NULL, NULL, NULL, 'BNAA01G25030D PROTEIN', 133162),
(189437, 'PTHR24559:SF323', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN, ZINC FINGER, CCHC-TYPE, ASPARTIC PEPTIDASE DOMAIN PROTEIN-RELATED', 133163),
(189438, 'PTHR11017:SF229', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 133164),
(189439, 'PTHR27007:SF139', NULL, NULL, NULL, NULL, 'OS04G0145901 PROTEIN', 133165),
(189440, 'PTHR10807:SF34', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 6', 133166),
(189441, 'PTHR47582', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 133167),
(189442, 'PTHR31992:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133168),
(189443, 'PTHR34591:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133169),
(189444, 'PTHR45757:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG18995', 133170),
(189445, 'PTHR43539:SF45', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 133171),
(189446, 'PTHR11746:SF237', NULL, NULL, NULL, NULL, 'BNAA02G19270D PROTEIN', 133172),
(189447, 'PTHR33624:SF20', NULL, NULL, NULL, NULL, 'OS05G0491700 PROTEIN', 133173);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(189448, 'PTHR31315:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133174),
(189449, 'PTHR13878:SF136', NULL, NULL, NULL, NULL, 'BNAC03G23380D PROTEIN', 133175),
(189450, 'PTHR10527', NULL, NULL, NULL, NULL, 'IMPORTIN BETA', 133176),
(189451, 'PTHR12903', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN L24', 133177),
(189452, 'PTHR47872:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SILENCING DEFECTIVE PROTEIN', 133178),
(189453, 'PTHR31636:SF252', NULL, NULL, NULL, NULL, 'PROTEIN RGL2, PUTATIVE-RELATED', 133179),
(189454, 'PTHR33413:SF32', NULL, NULL, NULL, NULL, 'BNAANNG05050D PROTEIN', 133180),
(189455, 'PTHR22847:SF705', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133181),
(189456, 'PTHR48001:SF161', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 133182),
(189457, 'PTHR46213:SF15', NULL, NULL, NULL, NULL, 'PROTEIN ROS1-LIKE', 133183),
(189458, 'PTHR11429:SF0', NULL, NULL, NULL, NULL, 'MYELIN BASIC PROTEIN', 133184),
(189459, 'PTHR31561:SF135', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 133185),
(189460, 'PTHR21447:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG11490', 133186),
(189461, 'PTHR44191:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SRM1', 133187),
(189462, 'PTHR46332:SF3', NULL, NULL, NULL, NULL, 'ASPARTATE BETA-HYDROXYLASE DOMAIN-CONTAINING PROTEIN 2', 133188),
(189463, 'PTHR23055:SF171', NULL, NULL, NULL, NULL, 'NEURONAL CALCIUM SENSOR FAMILY', 133189),
(189464, 'PTHR30389:SF14', NULL, NULL, NULL, NULL, 'FUMARATE HYDRATASE CLASS I, AEROBIC', 133190),
(189465, 'PTHR35373', NULL, NULL, NULL, NULL, 'PROTEIN CBG16894', 133191),
(189466, 'PTHR30314:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133192),
(189467, 'PTHR14209:SF10', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 133193),
(189468, 'PTHR45863:SF35', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 133194),
(189469, 'PTHR18959:SF40', NULL, NULL, NULL, NULL, 'TRANSGELIN', 133195),
(189470, 'PTHR24343:SF357', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN DEPENDENT PROTEIN KINASE KINASE 1', 133196),
(189471, 'PTHR32285:SF195', NULL, NULL, NULL, NULL, 'DUF231 DOMAIN CONTAINING FAMILY PROTEIN-RELATED', 133197),
(189472, 'PTHR22765:SF287', NULL, NULL, NULL, NULL, 'OS11G0142600 PROTEIN', 133198),
(189473, 'PTHR24208:SF168', NULL, NULL, NULL, NULL, 'PROTEIN APTEROUS', 133199),
(189474, 'PTHR31692:SF107', NULL, NULL, NULL, NULL, 'EXPANSIN-B14-RELATED', 133200),
(189475, 'PTHR19432:SF80', NULL, NULL, NULL, NULL, 'BNAA03G01930D PROTEIN', 133201),
(189476, 'PTHR22765:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133202),
(189477, 'PTHR22811:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 11', 133203),
(189478, 'PTHR46288:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133204),
(189479, 'PTHR36487:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133205),
(189480, 'PTHR11161:SF62', NULL, NULL, NULL, NULL, 'NOSE RESISTANT TO FLUOXETINE PROTEIN 6', 133206),
(189481, 'PTHR24377:SF804', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133207),
(189482, 'PTHR26450:SF77', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 133208),
(189483, 'PTHR28626:SF4', NULL, NULL, NULL, NULL, 'OS04G0588900 PROTEIN', 133209),
(189484, 'PTHR47514', NULL, NULL, NULL, NULL, 'TRANSKETOLASE N-TERMINAL SECTION-RELATED', 133210),
(189485, 'PTHR47500:SF2', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 3', 133211),
(189486, 'PTHR11972:SF69', NULL, NULL, NULL, NULL, 'NADPH OXIDASE 4', 133212),
(189487, 'PTHR32212:SF319', NULL, NULL, NULL, NULL, 'BNAC01G22540D PROTEIN', 133213),
(189488, 'PTHR11260:SF531', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133214),
(189489, 'PTHR24336:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LBX1', 133215),
(189490, 'PTHR34693:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PAR32', 133216),
(189491, 'PTHR24023:SF999', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133217),
(189492, 'PTHR13068:SF163', NULL, NULL, NULL, NULL, 'BNAC09G13890D PROTEIN', 133218),
(189493, 'PTHR15321:SF3', NULL, NULL, NULL, NULL, 'TP53-BINDING PROTEIN 1', 133219);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(189494, 'PTHR22917', NULL, NULL, NULL, NULL, 'HEMOPEXIN DOMAIN-CONTAINING PROTEIN', 133220),
(189495, 'PTHR38370:SF3', NULL, NULL, NULL, NULL, 'BNAA01G26000D PROTEIN', 133221),
(189496, 'PTHR13284', NULL, NULL, NULL, NULL, 'GH01354P', 133222),
(189497, 'PTHR27007:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133223),
(189498, 'PTHR33142:SF78', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SIM', 133224),
(189499, 'PTHR33237:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133225),
(189500, 'PTHR18919:SF134', NULL, NULL, NULL, NULL, 'BETA-KETOACYL COA THIOLASE FADA3-RELATED', 133226),
(189501, 'PTHR43004:SF13', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00140)-RELATED', 133227),
(189502, 'PTHR23155:SF1023', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133228),
(189503, 'PTHR45621:SF186', NULL, NULL, NULL, NULL, 'BNAANNG25790D PROTEIN', 133229),
(189504, 'PTHR18841', NULL, NULL, NULL, NULL, 'VITELLINE MEMBRANE OUTER LAYER PROTEIN I-RELATED', 133230),
(189505, 'PTHR31528:SF3', NULL, NULL, NULL, NULL, 'THIAMINE BIOSYNTHESIS PROTEIN HI_0357-RELATED', 133231),
(189506, 'PTHR30492', NULL, NULL, NULL, NULL, 'METHYLGLYOXAL SYNTHASE', 133232),
(189507, 'PTHR11524:SF26', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN RLP7', 133233),
(189508, 'PTHR46734:SF4', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR', 133234),
(189509, 'PTHR10185:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D4', 133235),
(189510, 'PTHR12304', NULL, NULL, NULL, NULL, 'INOSINE-URIDINE PREFERRING NUCLEOSIDE HYDROLASE', 133236),
(189511, 'PTHR24064:SF477', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-4-RELATED', 133237),
(189512, 'PTHR37259:SF3', NULL, NULL, NULL, NULL, 'BNAC09G38370D PROTEIN', 133238),
(189513, 'PTHR45618:SF20', NULL, NULL, NULL, NULL, 'BRAIN MITOCHONDRIAL CARRIER PROTEIN 1', 133239),
(189514, 'PTHR42923:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133240),
(189515, 'PTHR33070:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 133241),
(189516, 'PTHR10183:SF385', NULL, NULL, NULL, NULL, 'CALPAIN-9', 133242),
(189517, 'PTHR11394:SF75', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 103', 133243),
(189518, 'PTHR24349:SF404', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 20-LIKE ISOFORM X1', 133244),
(189519, 'PTHR33130:SF58', NULL, NULL, NULL, NULL, 'DUF1639 FAMILY PROTEIN', 133245),
(189520, 'PTHR11394:SF76', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2', 133246),
(189521, 'PTHR34952:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133247),
(189522, 'PTHR11589:SF10', NULL, NULL, NULL, NULL, 'BETA-NERVE GROWTH FACTOR', 133248),
(189523, 'PTHR46748:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133249),
(189524, 'PTHR12173:SF8', NULL, NULL, NULL, NULL, 'PERSEPHIN', 133250),
(189525, 'PTHR11783:SF263', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 133251),
(189526, 'PTHR16223:SF257', NULL, NULL, NULL, NULL, 'OSJNBA0017B10.16 PROTEIN', 133252),
(189527, 'PTHR10388:SF64', NULL, NULL, NULL, NULL, 'BNAA09G12640D PROTEIN', 133253),
(189528, 'PTHR45717:SF9', NULL, NULL, NULL, NULL, 'OS01G0301700 PROTEIN', 133254),
(189529, 'PTHR36346', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 133255),
(189530, 'PTHR30149', NULL, NULL, NULL, NULL, 'HYDROGENASE PROTEIN ASSEMBLY PROTEIN HYPD', 133256),
(189531, 'PTHR31116:SF5', NULL, NULL, NULL, NULL, 'OS04G0501200 PROTEIN', 133257),
(189532, 'PTHR33148:SF54', NULL, NULL, NULL, NULL, 'BNAA09G18570D PROTEIN', 133258),
(189533, 'PTHR11017:SF351', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 133259),
(189534, 'PTHR22422:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 5A', 133260),
(189535, 'PTHR18860:SF105', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN D', 133261),
(189536, 'PTHR11165:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133262),
(189537, 'PTHR10026:SF61', NULL, NULL, NULL, NULL, 'CYCLIN-T1.2', 133263),
(189538, 'PTHR33021:SF9', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 133264);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(189539, 'PTHR34064:SF6', NULL, NULL, NULL, NULL, 'OS07G0530700 PROTEIN', 133265),
(189540, 'PTHR46954', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 133266),
(189541, 'PTHR31451:SF42', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 3-RELATED', 133267),
(189542, 'PTHR13027', NULL, NULL, NULL, NULL, 'SAND PROTEIN-RELATED', 133268),
(189543, 'PTHR47834:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CITRX, CHLOROPLASTIC', 133269),
(189544, 'PTHR45671:SF14', NULL, NULL, NULL, NULL, 'PHOSPHATE CARRIER PROTEIN', 133270),
(189545, 'PTHR47271:SF2', NULL, NULL, NULL, NULL, 'ARGININE DEIMINASE', 133271),
(189546, 'PTHR31839:SF32', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1A', 133272),
(189547, 'PTHR45914:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133273),
(189548, 'PTHR42647:SF18', NULL, NULL, NULL, NULL, 'SBP (S-RIBONUCLEASE BINDING PROTEIN) FAMILY PROTEIN', 133274),
(189549, 'PTHR21477:SF12', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A10', 133275),
(189550, 'PTHR36851:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 133276),
(189551, 'PTHR24221:SF531', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133277),
(189552, 'PTHR46261:SF10', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 3-LIKE', 133278),
(189553, 'PTHR46316:SF11', NULL, NULL, NULL, NULL, 'BNAA02G05310D PROTEIN', 133279),
(189554, 'PTHR24393:SF62', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 732', 133280),
(189555, 'PTHR36075:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 133281),
(189556, 'PTHR24343:SF342', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 133282),
(189557, 'PTHR32285:SF297', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 33 ISOFORM X1', 133283),
(189558, 'PTHR31474:SF10', NULL, NULL, NULL, NULL, 'HR-LIKE LESION-INDUCING PROTEIN-LIKE PROTEIN', 133284),
(189559, 'PTHR23078:SF4', NULL, NULL, NULL, NULL, 'BNAA01G17650D PROTEIN', 133285),
(189560, 'PTHR15505:SF1', NULL, NULL, NULL, NULL, 'BMP AND ACTIVIN MEMBRANE-BOUND INHIBITOR HOMOLOG', 133286),
(189561, 'PTHR11728:SF33', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)]', 133287),
(189562, 'PTHR11062:SF43', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 133288),
(189563, 'PTHR13305:SF3', NULL, NULL, NULL, NULL, 'BNAA09G10290D PROTEIN', 133289),
(189564, 'PTHR33676:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133290),
(189565, 'PTHR23147:SF170', NULL, NULL, NULL, NULL, 'BNAA07G08020D PROTEIN', 133291),
(189566, 'PTHR23079:SF27', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 133292),
(189567, 'PTHR23264:SF33', NULL, NULL, NULL, NULL, 'CYTOSOLIC FE-S CLUSTER ASSEMBLY FACTOR NBP35', 133293),
(189568, 'PTHR12937:SF3', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 28 HOMOLOG 1', 133294),
(189569, 'PTHR45654:SF29', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG2-LIKE', 133295),
(189570, 'PTHR46321:SF1', NULL, NULL, NULL, NULL, 'KIF1-BINDING PROTEIN', 133296),
(189571, 'PTHR24322:SF734', NULL, NULL, NULL, NULL, 'SI:DKEY-221H15.4', 133297),
(189572, 'PTHR40518:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133298),
(189573, 'PTHR34524:SF2', NULL, NULL, NULL, NULL, 'CALCYPHOSIN', 133299),
(189574, 'PTHR10257:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 133300),
(189575, 'PTHR31731:SF83', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 133301),
(189576, 'PTHR18945:SF850', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID (GABA) A RECEPTOR, RHO 3A', 133302),
(189577, 'PTHR10683:SF16', NULL, NULL, NULL, NULL, 'TRANSALDOLASE A', 133303),
(189578, 'PTHR32295:SF23', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF FAMILY PROTEIN, EXPRESSED', 133304),
(189579, 'PTHR11909:SF324', NULL, NULL, NULL, NULL, 'CK1 FAMILY PROTEIN KINASE', 133305),
(189580, 'PTHR31042:SF113', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING ENZYME', 133306),
(189581, 'PTHR45696:SF10', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1', 133307);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(189582, 'PTHR14113:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133308),
(189583, 'PTHR31589:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133309),
(189584, 'PTHR13778', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 8 DOMAIN-CONTAINING PROTEIN', 133310),
(189585, 'PTHR23503:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG01151', 133311),
(189586, 'PTHR31594:SF11', NULL, NULL, NULL, NULL, 'SI:CH1073-464P5.5-RELATED', 133312),
(189587, 'PTHR12138:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133313),
(189588, 'PTHR22930:SF219', NULL, NULL, NULL, NULL, 'OS09G0292300 PROTEIN', 133314),
(189589, 'PTHR22751:SF102', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 133315),
(189590, 'PTHR24078:SF555', NULL, NULL, NULL, NULL, 'FAMILY B PROTEIN, PUTATIVE-RELATED', 133316),
(189591, 'PTHR34537:SF2', NULL, NULL, NULL, NULL, 'FERREDOXIN-LIKE PROTEIN', 133317),
(189592, 'PTHR23524', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04850)-RELATED', 133318),
(189593, 'PTHR28154', NULL, NULL, NULL, NULL, 'CELL WALL SYNTHESIS PROTEIN KNH1-RELATED', 133319),
(189594, 'PTHR24351:SF189', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C', 133320),
(189595, 'PTHR48056:SF10', NULL, NULL, NULL, NULL, 'BNAC07G16060D PROTEIN', 133321),
(189596, 'PTHR37459', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 133322),
(189597, 'PTHR31194:SF79', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-11-LIKE', 133323),
(189598, 'PTHR24416:SF489', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', 133324),
(189599, 'PTHR45081:SF2', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 133325),
(189600, 'PTHR10891:SF815', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML35-RELATED', 133326),
(189601, 'PTHR43047:SF47', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE/RESPONSE REGULATOR, PUTATIVE-RELATED', 133327),
(189602, 'PTHR10917', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC3', 133328),
(189603, 'PTHR12725:SF119', NULL, NULL, NULL, NULL, 'OS07G0634400 PROTEIN', 133329),
(189604, 'PTHR47008:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CORDON-BLEU', 133330),
(189605, 'PTHR48002:SF55', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 133331),
(189606, 'PTHR10000:SF53', NULL, NULL, NULL, NULL, '5-AMINO-6-(5-PHOSPHO-D-RIBITYLAMINO)URACIL PHOSPHATASE YBJI-RELATED', 133332),
(189607, 'PTHR13808:SF30', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE HAC4-RELATED', 133333),
(189608, 'PTHR24320:SF199', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G15915)', 133334),
(189609, 'PTHR47970:SF2', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-5D', 133335),
(189610, 'PTHR33186:SF18', NULL, NULL, NULL, NULL, 'OS10G0136150 PROTEIN', 133336),
(189611, 'PTHR10339:SF24', NULL, NULL, NULL, NULL, 'T-CELL ECTO-ADP-RIBOSYLTRANSFERASE 1-RELATED', 133337),
(189612, 'PTHR24384:SF116', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 682', 133338),
(189613, 'PTHR47923:SF1', NULL, NULL, NULL, NULL, 'INSERTION ELEMENT IS1 1 PROTEIN INSA-RELATED', 133339),
(189614, 'PTHR31674:SF28', NULL, NULL, NULL, NULL, 'AMINOACYLASE', 133340),
(189615, 'PTHR47993:SF26', NULL, NULL, NULL, NULL, 'BNAA01G26420D PROTEIN', 133341),
(189616, 'PTHR17068:SF11', NULL, NULL, NULL, NULL, 'MYELOID-ASSOCIATED DIFFERENTIATION MARKER-LIKE PROTEIN 2 ISOFORM X1', 133342),
(189617, 'PTHR10783:SF107', NULL, NULL, NULL, NULL, 'BNAC08G39940D PROTEIN', 133343),
(189618, 'PTHR30238:SF6', NULL, NULL, NULL, NULL, 'TERC-LIKE PROTEIN', 133344),
(189619, 'PTHR46373:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133345),
(189620, 'PTHR27001:SF561', NULL, NULL, NULL, NULL, 'OS02G0821400 PROTEIN', 133346),
(189621, 'PTHR10291:SF2', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE COMPLEX SUBUNIT SRT1', 133347),
(189622, 'PTHR47527:SF4', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN ISOFORM 1-RELATED', 133348),
(189623, 'PTHR21139:SF23', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE', 133349),
(189624, 'PTHR43671:SF65', NULL, NULL, NULL, NULL, 'NIMA-RELATED KINASE 1-RELATED', 133350);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(189625, 'PTHR22884:SF499', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 133351),
(189626, 'PTHR47202:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133352),
(189627, 'PTHR11960:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E CLASS II 2B', 133353),
(189628, 'PTHR31282:SF73', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 30-RELATED', 133354),
(189629, 'PTHR23085', NULL, NULL, NULL, NULL, 'GH28348P', 133355),
(189630, 'PTHR43738:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133356),
(189631, 'PTHR10127:SF843', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-13', 133357),
(189632, 'PTHR47284:SF3', NULL, NULL, NULL, NULL, 'FATTY-ACID-BINDING PROTEIN 2', 133358),
(189633, 'PTHR14873', NULL, NULL, NULL, NULL, 'OS06G0694100 PROTEIN', 133359),
(189634, 'PTHR10539:SF0', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 13', 133360),
(189635, 'PTHR32183:SF6', NULL, NULL, NULL, NULL, 'CYANOBACTERIA-SPECIFIC PROTEIN-LIKE', 133361),
(189636, 'PTHR14206:SF3', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC ANGIOGENESIS INHIBITOR 1-ASSOCIATED PROTEIN 2', 133362),
(189637, 'PTHR13468:SF15', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER F FAMILY MEMBER 4-LIKE ISOFORM X1', 133363),
(189638, 'PTHR23065:SF7', NULL, NULL, NULL, NULL, 'CYTOKINESIS PROTEIN 2', 133364),
(189639, 'PTHR24399:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 2', 133365),
(189640, 'PTHR24012:SF831', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN 28', 133366),
(189641, 'PTHR11949:SF24', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 10', 133367),
(189642, 'PTHR43205:SF52', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT ALKENAL DOUBLE BOND REDUCTASE', 133368),
(189643, 'PTHR31766:SF8', NULL, NULL, NULL, NULL, 'TRAM, LAG1 AND CLN8 (TLC) LIPID-SENSING DOMAIN CONTAINING PROTEIN', 133369),
(189644, 'PTHR47293:SF11', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 13-RELATED', 133370),
(189645, 'PTHR40351:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG19321', 133371),
(189646, 'PTHR22621:SF6', NULL, NULL, NULL, NULL, 'RAS AND EF-HAND DOMAIN-CONTAINING PROTEIN', 133372),
(189647, 'PTHR10048:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133373),
(189648, 'PTHR42861:SF79', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE 1', 133374),
(189649, 'PTHR33696:SF1', NULL, NULL, NULL, NULL, 'T22J18.15', 133375),
(189650, 'PTHR19304:SF40', NULL, NULL, NULL, NULL, 'ATF/CREB ACTIVATOR 1', 133376),
(189651, 'PTHR47340:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133377),
(189652, 'PTHR31803:SF27', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE', 133378),
(189653, 'PTHR31496:SF39', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR KAN1', 133379),
(189654, 'PTHR24349:SF412', NULL, NULL, NULL, NULL, 'BNAA09G09050D PROTEIN', 133380),
(189655, 'PTHR24006:SF665', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', 133381),
(189656, 'PTHR24228:SF55', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 75-RELATED', 133382),
(189657, 'PTHR12887:SF13', NULL, NULL, NULL, NULL, 'NANOS HOMOLOG 1', 133383),
(189658, 'PTHR46179:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER X-LINKED PROTEIN ZXDA', 133384),
(189659, 'PTHR10283:SF82', NULL, NULL, NULL, NULL, 'PROTEIN I''M NOT DEAD YET-RELATED', 133385),
(189660, 'PTHR12131:SF19', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH15 CHLOROPLASTIC', 133386),
(189661, 'PTHR31901:SF52', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE GH3 FAMILY PROTEIN', 133387),
(189662, 'PTHR43245:SF18', NULL, NULL, NULL, NULL, 'BLR2818 PROTEIN', 133388),
(189663, 'PTHR10707:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 4I1,-LIKE', 133389),
(189664, 'PTHR13140:SF291', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IA', 133390),
(189665, 'PTHR45125:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133391),
(189666, 'PTHR10485:SF21', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSLOCASE COMPLEX, SUBUNIT TIM17-RELATED', 133392),
(189667, 'PTHR12632:SF57', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR Y SUBUNIT A-1, PUTATIVE-RELATED', 133393);
INSERT INTO "PUBLIC"."MODEL" VALUES
(189668, 'PTHR10953:SF162', NULL, NULL, NULL, NULL, 'SUMO-ACTIVATING ENZYME SUBUNIT 1', 133394),
(189669, 'PTHR39456:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133395),
(189670, 'PTHR45635', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1-RELATED-RELATED', 133396),
(189671, 'PTHR11014:SF153', NULL, NULL, NULL, NULL, 'PEPTIDASE M20, DIMERIZATION DOMAIN-CONTAINING PROTEIN-RELATED', 133397),
(189672, 'PTHR47972:SF40', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14J', 133398),
(189673, 'PTHR31901:SF80', NULL, NULL, NULL, NULL, 'BNAA04G16140D PROTEIN', 133399),
(189674, 'PTHR22846:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133400),
(189675, 'PTHR21230:SF66', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE 12', 133401),
(189676, 'PTHR46082:SF8', NULL, NULL, NULL, NULL, 'PFS, NB-ARC AND TPR DOMAIN PROTEIN (JCVI)', 133402),
(189677, 'PTHR24247:SF221', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 1', 133403),
(189678, 'PTHR38048:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 133404),
(189679, 'PTHR11685:SF299', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 133405),
(189680, 'PTHR15478:SF11', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY LIKE DOMAIN FAMILY A MEMBER 3', 133406),
(189681, 'PTHR46776:SF15', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 7-LIKE', 133407),
(189682, 'PTHR31139:SF6', NULL, NULL, NULL, NULL, 'PROTEIN LIMB EXPRESSION 1 HOMOLOG', 133408),
(189683, 'PTHR48081:SF13', NULL, NULL, NULL, NULL, 'BLR7622 PROTEIN', 133409),
(189684, 'PTHR10127:SF823', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-33', 133410),
(189685, 'PTHR11269:SF13', NULL, NULL, NULL, NULL, 'PERIOD CIRCADIAN PROTEIN HOMOLOG 3', 133411),
(189686, 'PTHR24203:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133412),
(189687, 'PTHR46249:SF33', NULL, NULL, NULL, NULL, 'VIRAL MOVEMENT PROTEIN-RELATED', 133413),
(189688, 'PTHR44191:SF4', NULL, NULL, NULL, NULL, 'OS01G0187900 PROTEIN', 133414),
(189689, 'PTHR21174', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 133415),
(189690, 'PTHR23315:SF7', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 4', 133416),
(189691, 'PTHR31744:SF12', NULL, NULL, NULL, NULL, 'OS02G0579000 PROTEIN', 133417),
(189692, 'PTHR48043:SF40', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 133418),
(189693, 'PTHR32370', NULL, NULL, NULL, NULL, 'OS12G0117600 PROTEIN', 133419),
(189694, 'PTHR46206:SF8', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 133420),
(189695, 'PTHR45935:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133421),
(189696, 'PTHR11767:SF51', NULL, NULL, NULL, NULL, 'INWARD RECTIFIER POTASSIUM CHANNEL IRK-1', 133422),
(189697, 'PTHR32370:SF102', NULL, NULL, NULL, NULL, 'ROOT PHOTOTROPISM PROTEIN 3', 133423),
(189698, 'PTHR10758:SF11', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 3-RELATED', 133424),
(189699, 'PTHR26453:SF657', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 10 SUBFAMILY H MEMBER 1', 133425),
(189700, 'PTHR45627:SF15', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', 133426),
(189701, 'PTHR11021:SF8', NULL, NULL, NULL, NULL, 'SM-LIKE PROTEIN LSM36B-RELATED', 133427),
(189702, 'PTHR13720:SF40', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 54', 133428),
(189703, 'PTHR38007:SF1', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMS PROTEIN CSM5', 133429),
(189704, 'PTHR19422:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133430),
(189705, 'PTHR24067:SF307', NULL, NULL, NULL, NULL, 'BNAC09G21080D PROTEIN', 133431),
(189706, 'PTHR31579:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133432),
(189707, 'PTHR47967:SF23', NULL, NULL, NULL, NULL, 'OS08G0469000 PROTEIN', 133433),
(189708, 'PTHR19338:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133434),
(189709, 'PTHR33835', NULL, NULL, NULL, NULL, 'YALI0C07656P', 133435),
(189710, 'PTHR37010:SF1', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE TUSE', 133436),
(189711, 'PTHR23426:SF54', NULL, NULL, NULL, NULL, 'ADRENODOXIN-LIKE PROTEIN 1, MITOCHONDRIAL-RELATED', 133437),
(189712, 'PTHR12001:SF75', NULL, NULL, NULL, NULL, 'SOLANESYL DIPHOSPHATE SYNTHASE 2 CHLOROPLASTIC', 133438);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(189713, 'PTHR12112:SF22', NULL, NULL, NULL, NULL, 'MANGANESE-DEPENDENT INORGANIC PYROPHOSPHATASE-RELATED', 133439),
(189714, 'PTHR31731:SF107', NULL, NULL, NULL, NULL, 'BNAANNG07290D PROTEIN', 133440),
(189715, 'PTHR34310:SF8', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 133441),
(189716, 'PTHR15735:SF13', NULL, NULL, NULL, NULL, 'FORMIN-BINDING PROTEIN 1', 133442),
(189717, 'PTHR43670:SF76', NULL, NULL, NULL, NULL, 'BNAANNG33010D PROTEIN', 133443),
(189718, 'PTHR30024:SF36', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', 133444),
(189719, 'PTHR31901:SF91', NULL, NULL, NULL, NULL, 'BNAA03G52600D PROTEIN', 133445),
(189720, 'PTHR24006:SF771', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 13', 133446),
(189721, 'PTHR21083:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PIH1D3', 133447),
(189722, 'PTHR11654:SF375', NULL, NULL, NULL, NULL, 'OS03G0286700 PROTEIN', 133448),
(189723, 'PTHR24155:SF10', NULL, NULL, NULL, NULL, 'OSTEOCLAST-STIMULATING FACTOR 1', 133449),
(189724, 'PTHR21576:SF95', NULL, NULL, NULL, NULL, 'NODULIN-LIKE/MFS TRANSPORTER', 133450),
(189725, 'PTHR24104:SF21', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 3', 133451),
(189726, 'PTHR48017:SF87', NULL, NULL, NULL, NULL, 'PROLINE TRANSPORTER 2', 133452),
(189727, 'PTHR12120:SF8', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 27', 133453),
(189728, 'PTHR12411:SF14', NULL, NULL, NULL, NULL, 'CATHEPSIN Z', 133454),
(189729, 'PTHR42724:SF1', NULL, NULL, NULL, NULL, 'TETRAACYLDISACCHARIDE 4''-KINASE, MITOCHONDRIAL-RELATED', 133455),
(189730, 'PTHR11165:SF135', NULL, NULL, NULL, NULL, 'BNAANNG29490D PROTEIN', 133456),
(189731, 'PTHR10476:SF23', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 2A HOMOLOG 2', 133457),
(189732, 'PTHR23421:SF172', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 133458),
(189733, 'PTHR10912:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYL CYCLASE/CYCLIC ADP-RIBOSE HYDROLASE 2', 133459),
(189734, 'PTHR45967:SF17', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 133460),
(189735, 'PTHR12801:SF143', NULL, NULL, NULL, NULL, 'BNAA09G02180D PROTEIN', 133461),
(189736, 'PTHR30329', NULL, NULL, NULL, NULL, 'STATOR ELEMENT OF FLAGELLAR MOTOR COMPLEX', 133462),
(189737, 'PTHR32120', NULL, NULL, NULL, NULL, 'SMALL RIBOSOMAL SUBUNIT BIOGENESIS GTPASE RSGA', 133463),
(189738, 'PTHR34631:SF3', NULL, NULL, NULL, NULL, 'ISSOD12 TRANSPOSASE TNPA_ISSOD12', 133464),
(189739, 'PTHR24369:SF156', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND IG DOMAIN CONTAINING 2', 133465),
(189740, 'PTHR30354:SF24', NULL, NULL, NULL, NULL, 'GLUCONATE PERMEASE', 133466),
(189741, 'PTHR37577', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 133467),
(189742, 'PTHR12867:SF8', NULL, NULL, NULL, NULL, 'ALG13 UDP-N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT', 133468),
(189743, 'PTHR33349:SF21', NULL, NULL, NULL, NULL, 'OS02G0462200 PROTEIN', 133469),
(189744, 'PTHR21495:SF85', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 133470),
(189745, 'PTHR21136:SF209', NULL, NULL, NULL, NULL, 'BNAC04G43180D PROTEIN', 133471),
(189746, 'PTHR28626:SF5', NULL, NULL, NULL, NULL, 'BNAA10G12530D PROTEIN', 133472),
(189747, 'PTHR10641:SF1276', NULL, NULL, NULL, NULL, 'MYB-RELATED TRANSCRIPTION FACTOR LBM1', 133473),
(189748, 'PTHR48050:SF13', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE UGT80A2', 133474),
(189749, 'PTHR13169:SF11', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN', 133475),
(189750, 'PTHR35081:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 105', 133476),
(189751, 'PTHR43977:SF4', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN', 133477),
(189752, 'PTHR43918:SF3', NULL, NULL, NULL, NULL, 'ACETYLCHOLINESTERASE', 133478),
(189753, 'PTHR48018:SF3', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5D16', 133479),
(189754, 'PTHR11537:SF167', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY G MEMBER 4', 133480),
(189755, 'PTHR23017:SF22', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 133481);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(189756, 'PTHR13833:SF73', NULL, NULL, NULL, NULL, 'NHL DOMAIN-CONTAINING PROTEIN', 133482),
(189757, 'PTHR19845:SF14', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1 HOMOLOG', 133483),
(189758, 'PTHR47224', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 25', 133484),
(189759, 'PTHR31642:SF196', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-LIKE ISOFORM X1', 133485),
(189760, 'PTHR37745:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 133486),
(189761, 'PTHR33136:SF4', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 32', 133487),
(189762, 'PTHR21213:SF19', NULL, NULL, NULL, NULL, 'PROTEIN METHYLENE BLUE SENSITIVITY 1', 133488),
(189763, 'PTHR46128:SF170', NULL, NULL, NULL, NULL, 'BNAC04G31760D PROTEIN', 133489),
(189764, 'PTHR23500:SF463', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 5', 133490),
(189765, 'PTHR34198:SF18', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 133491),
(189766, 'PTHR48151', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN', 133492),
(189767, 'PTHR31871:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133493),
(189768, 'PTHR10980:SF54', NULL, NULL, NULL, NULL, 'BNAC08G15330D PROTEIN', 133494),
(189769, 'PTHR42760:SF96', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE FABG', 133495),
(189770, 'PTHR33994:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133496),
(189771, 'PTHR11706:SF95', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 2', 133497),
(189772, 'PTHR43795:SF44', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 11', 133498),
(189773, 'PTHR47746:SF19', NULL, NULL, NULL, NULL, 'H PROTEIN, PUTATIVE-RELATED', 133499),
(189774, 'PTHR33191:SF35', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 1-RELATED', 133500),
(189775, 'PTHR10648:SF29', NULL, NULL, NULL, NULL, 'BNAA07G37150D PROTEIN', 133501),
(189776, 'PTHR33133:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133502),
(189777, 'PTHR23272:SF143', NULL, NULL, NULL, NULL, 'HAT FAMILY DIMERISATION DOMAIN CONTAINING PROTEIN, EXPRESSED', 133503),
(189778, 'PTHR22599:SF52', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 1 HOMOLOG C', 133504),
(189779, 'PTHR46473:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 52', 133505),
(189780, 'PTHR43243:SF67', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, PUTATIVE-RELATED', 133506),
(189781, 'PTHR12313:SF70', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 133507),
(189782, 'PTHR30474:SF2', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN GLYCOSYLTRANSFERASE FTSW-RELATED', 133508),
(189783, 'PTHR47324:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG04432', 133509),
(189784, 'PTHR24070:SF252', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN FAMILY MEMBER 12', 133510),
(189785, 'PTHR46502:SF20', NULL, NULL, NULL, NULL, 'BNACNNG14820D PROTEIN', 133511),
(189786, 'PTHR45632:SF18', NULL, NULL, NULL, NULL, 'KELCH-LIKE FAMILY MEMBER 43', 133512),
(189787, 'PTHR30478', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT BETA', 133513),
(189788, 'PTHR10915:SF6', NULL, NULL, NULL, NULL, 'SYNDECAN-2', 133514),
(189789, 'PTHR12035:SF122', NULL, NULL, NULL, NULL, 'SI:DKEY-238D18.7-RELATED', 133515),
(189790, 'PTHR16254:SF18', NULL, NULL, NULL, NULL, 'K(+) EFFLUX ANTIPORTER 4-LIKE', 133516),
(189791, 'PTHR31562:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133517),
(189792, 'PTHR11848:SF117', NULL, NULL, NULL, NULL, 'INHIBIN ALPHA CHAIN', 133518),
(189793, 'PTHR24286:SF217', NULL, NULL, NULL, NULL, 'DAMMARENEDIOL 12-HYDROXYLASE-LIKE', 133519),
(189794, 'PTHR45863:SF33', NULL, NULL, NULL, NULL, 'BNAA02G07320D PROTEIN', 133520),
(189795, 'PTHR21660:SF7', NULL, NULL, NULL, NULL, 'ESTERASE PA0474-RELATED', 133521),
(189796, 'PTHR32071:SF88', NULL, NULL, NULL, NULL, 'SIGMA L-DEPENDENT TRANSCRIPTIONAL REGULATOR YQIR-RELATED', 133522),
(189797, 'PTHR13793:SF133', NULL, NULL, NULL, NULL, 'BROMODOMAIN AND PHD FINGER-CONTAINING, 3A', 133523),
(189798, 'PTHR11849:SF275', NULL, NULL, NULL, NULL, 'FLI-1 PROTO-ONCOGENE, ETS TRANSCRIPTION FACTOR B', 133524),
(189799, 'PTHR11412:SF81', NULL, NULL, NULL, NULL, 'COMPLEMENT C3', 133525);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(189800, 'PTHR13140:SF747', NULL, NULL, NULL, NULL, 'MYOSIN IEB', 133526),
(189801, 'PTHR24064:SF205', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 12', 133527),
(189802, 'PTHR10369:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L44-LIKE', 133528),
(189803, 'PTHR46662:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133529),
(189804, 'PTHR11850:SF142', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 11', 133530),
(189805, 'PTHR31444:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133531),
(189806, 'PTHR33740:SF7', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE/TRANSITION METAL ION-BINDING PROTEIN', 133532),
(189807, 'PTHR39235:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT Y', 133533),
(189808, 'PTHR31258:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 54A-RELATED', 133534),
(189809, 'PTHR47858:SF2', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', 133535),
(189810, 'PTHR31232:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133536),
(189811, 'PTHR48017:SF36', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1F-RELATED', 133537),
(189812, 'PTHR33373:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133538),
(189813, 'PTHR46050:SF17', NULL, NULL, NULL, NULL, 'BNAC01G31360D PROTEIN', 133539),
(189814, 'PTHR33221:SF10', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ISCR', 133540),
(189815, 'PTHR34563:SF5', NULL, NULL, NULL, NULL, 'OS09G0380100 PROTEIN', 133541),
(189816, 'PTHR31579:SF39', NULL, NULL, NULL, NULL, 'OS01G0973600 PROTEIN', 133542),
(189817, 'PTHR24559:SF348', NULL, NULL, NULL, NULL, 'PROTEIN NYNRIN-LIKE', 133543),
(189818, 'PTHR31072:SF132', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP17-LIKE', 133544),
(189819, 'PTHR27008:SF444', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133545),
(189820, 'PTHR10722:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L19', 133546),
(189821, 'PTHR45684:SF35', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1A-LIKE', 133547),
(189822, 'PTHR32077:SF73', NULL, NULL, NULL, NULL, 'OS09G0482780 PROTEIN', 133548),
(189823, 'PTHR47255', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 22-RELATED', 133549),
(189824, 'PTHR43173:SF27', NULL, NULL, NULL, NULL, 'AARF DOMAIN-CONTAINING KINASE 5', 133550),
(189825, 'PTHR12957:SF22', NULL, NULL, NULL, NULL, 'SAGE1-LIKE PROTEIN-RELATED', 133551),
(189826, 'PTHR33265:SF42', NULL, NULL, NULL, NULL, 'BNAC05G37030D PROTEIN', 133552),
(189827, 'PTHR36048:SF2', NULL, NULL, NULL, NULL, 'BNAA01G13530D PROTEIN', 133553),
(189828, 'PTHR15241:SF344', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 44', 133554),
(189829, 'PTHR11732:SF418', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL NADPH-DEPENDENT CODEINONE REDUCTASE 2-LIKE', 133555),
(189830, 'PTHR11926:SF508', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 133556),
(189831, 'PTHR24123:SF74', NULL, NULL, NULL, NULL, 'ANKYRIN 3', 133557),
(189832, 'PTHR24096:SF169', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 3', 133558),
(189833, 'PTHR15221', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 3', 133559),
(189834, 'PTHR10209:SF768', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', 133560),
(189835, 'PTHR43323:SF2', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', 133561),
(189836, 'PTHR27004:SF324', NULL, NULL, NULL, NULL, 'BNAC05G19280D PROTEIN', 133562),
(189837, 'PTHR46758:SF14', NULL, NULL, NULL, NULL, 'BNAC06G26790D PROTEIN', 133563),
(189838, 'PTHR11945:SF535', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL29', 133564),
(189839, 'PTHR33172:SF40', NULL, NULL, NULL, NULL, 'MAJOR CENTROMERE AUTOANTIGEN B-LIKE PROTEIN', 133565),
(189840, 'PTHR27002:SF860', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8 ISOFORM X1', 133566),
(189841, 'PTHR14955:SF4', NULL, NULL, NULL, NULL, 'AGAP005259-PA', 133567),
(189842, 'PTHR47148', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 1 HOMOLOG', 133568);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(189843, 'PTHR33021:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133569),
(189844, 'PTHR43128:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133570),
(189845, 'PTHR11993:SF36', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT C/D', 133571),
(189846, 'PTHR23003:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133572),
(189847, 'PTHR13645:SF0', NULL, NULL, NULL, NULL, 'DEFENSIN', 133573),
(189848, 'PTHR10807:SF122', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN-RELATED', 133574),
(189849, 'PTHR26453:SF269', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 133575),
(189850, 'PTHR23043:SF19', NULL, NULL, NULL, NULL, 'SINGLE-MINDED HOMOLOG 2', 133576),
(189851, 'PTHR15454:SF51', NULL, NULL, NULL, NULL, 'OUTER ARM DYNEIN LIGHT CHAIN 1 PROTEIN', 133577),
(189852, 'PTHR31096:SF66', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN-RELATED', 133578),
(189853, 'PTHR23429:SF15', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE', 133579),
(189854, 'PTHR48015:SF21', NULL, NULL, NULL, NULL, 'MISSHAPEN, ISOFORM A', 133580),
(189855, 'PTHR12406:SF29', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PHOSPHOLIPASE DOMAIN-CONTAINING PROTEIN 2', 133581),
(189856, 'PTHR12172:SF4', NULL, NULL, NULL, NULL, 'CHECKPOINT PROTEIN RAD17/RAD24-RELATED', 133582),
(189857, 'PTHR43447:SF6', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE ISOZYME 3A', 133583),
(189858, 'PTHR21660:SF46', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 133584),
(189859, 'PTHR38926:SF31', NULL, NULL, NULL, NULL, 'BNAA09G01730D PROTEIN', 133585),
(189860, 'PTHR42718:SF17', NULL, NULL, NULL, NULL, 'TETRACENOMYCIN C EFFLUX PROTEIN', 133586),
(189861, 'PTHR30502:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE FAMILY PROTEIN', 133587),
(189862, 'PTHR38357:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 133588),
(189863, 'PTHR24637:SF353', NULL, NULL, NULL, NULL, 'COLLAGEN', 133589),
(189864, 'PTHR43323', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', 133590),
(189865, 'PTHR46699', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STN8, CHLOROPLASTIC-RELATED', 133591),
(189866, 'PTHR31867:SF82', NULL, NULL, NULL, NULL, 'EXPANSIN-A26', 133592),
(189867, 'PTHR41309', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 133593),
(189868, 'PTHR43141', NULL, NULL, NULL, NULL, 'CYTOCHROME BD2 SUBUNIT II', 133594),
(189869, 'PTHR10380:SF196', NULL, NULL, NULL, NULL, 'AGAP006497-PA', 133595),
(189870, 'PTHR38033:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 133596),
(189871, 'PTHR23012:SF191', NULL, NULL, NULL, NULL, 'BNAA02G27020D PROTEIN', 133597),
(189872, 'PTHR46760:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 1', 133598),
(189873, 'PTHR47966:SF8', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE-RELATED', 133599),
(189874, 'PTHR23018:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', 133600),
(189875, 'PTHR18860:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133601),
(189876, 'PTHR10331', NULL, NULL, NULL, NULL, 'T COMPLEX PROTEIN 10', 133602),
(189877, 'PTHR22993:SF9', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 8-LIKE 1', 133603),
(189878, 'PTHR11014:SF140', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 3', 133604),
(189879, 'PTHR45521', NULL, NULL, NULL, NULL, 'TSET COMPLEX MEMBER TSTF', 133605),
(189880, 'PTHR48002:SF4', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 133606),
(189881, 'PTHR34468:SF3', NULL, NULL, NULL, NULL, 'MEDIATOR OF DNA DAMAGE CHECKPOINT PROTEIN 1-LIKE', 133607),
(189882, 'PTHR47842:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133608),
(189883, 'PTHR15592:SF18', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN L', 133609),
(189884, 'PTHR35272:SF5', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN', 133610),
(189885, 'PTHR43762:SF5', NULL, NULL, NULL, NULL, 'FAD LINKED OXIDASE, N-TERMINAL', 133611),
(189886, 'PTHR30627', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN D,D-TRANSPEPTIDASE', 133612),
(189887, 'PTHR31620:SF24', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 6, CHLOROPLASTIC', 133613);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(189888, 'PTHR47058:SF3', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 14 KDA SUBUNIT A-RELATED', 133614),
(189889, 'PTHR24057:SF55', NULL, NULL, NULL, NULL, 'BNAA08G26100D PROTEIN', 133615),
(189890, 'PTHR31418:SF3', NULL, NULL, NULL, NULL, 'FATTY ACID/RETINOL BINDING PROTEIN', 133616),
(189891, 'PTHR43853:SF10', NULL, NULL, NULL, NULL, 'KETOTHIOLASE (KAT1), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12650)-RELATED', 133617),
(189892, 'PTHR47928:SF50', NULL, NULL, NULL, NULL, 'OS01G0390600 PROTEIN', 133618),
(189893, 'PTHR47999:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB11-RELATED', 133619),
(189894, 'PTHR47965:SF47', NULL, NULL, NULL, NULL, 'OS01G0937600 PROTEIN', 133620),
(189895, 'PTHR10438:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133621),
(189896, 'PTHR31251:SF59', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 17', 133622),
(189897, 'PTHR37329', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SOS7', 133623),
(189898, 'PTHR46905:SF14', NULL, NULL, NULL, NULL, 'BNAA06G03250D PROTEIN', 133624),
(189899, 'PTHR47025:SF2', NULL, NULL, NULL, NULL, 'AUTOIMMUNE REGULATOR', 133625),
(189900, 'PTHR12820:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE TRAFFICKING VPS53 FAMILY PROTEIN-RELATED', 133626),
(189901, 'PTHR12674:SF8', NULL, NULL, NULL, NULL, 'BNAA09G05390D PROTEIN', 133627),
(189902, 'PTHR21964:SF17', NULL, NULL, NULL, NULL, 'BRMS1 TRANSCRIPTIONAL REPRESSOR AND ANOIKIS REGULATOR', 133628),
(189903, 'PTHR31374:SF228', NULL, NULL, NULL, NULL, 'OS02G0769100 PROTEIN', 133629),
(189904, 'PTHR11607:SF61', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE', 133630),
(189905, 'PTHR23273:SF78', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', 133631),
(189906, 'PTHR24073:SF839', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-38', 133632),
(189907, 'PTHR37487:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 133633),
(189908, 'PTHR24296:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133634),
(189909, 'PTHR22811:SF46', NULL, NULL, NULL, NULL, 'PROTEIN ERP3', 133635),
(189910, 'PTHR12750:SF10', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE 2', 133636),
(189911, 'PTHR48012', NULL, NULL, NULL, NULL, 'STERILE20-LIKE KINASE, ISOFORM B-RELATED', 133637),
(189912, 'PTHR22950:SF498', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', 133638),
(189913, 'PTHR10362:SF59', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', 133639),
(189914, 'PTHR37305:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 133640),
(189915, 'PTHR22670:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG17941', 133641),
(189916, 'PTHR32444:SF74', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 133642),
(189917, 'PTHR33203:SF21', NULL, NULL, NULL, NULL, 'OLEOSIN 1-LIKE', 133643),
(189918, 'PTHR12829:SF4', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 4', 133644),
(189919, 'PTHR44329:SF186', NULL, NULL, NULL, NULL, 'BNAA05G30750D PROTEIN', 133645),
(189920, 'PTHR47657:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133646),
(189921, 'PTHR10290:SF16', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 1 ALPHA', 133647),
(189922, 'PTHR12313:SF54', NULL, NULL, NULL, NULL, 'BNAC04G52420D PROTEIN', 133648),
(189923, 'PTHR10811:SF27', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 133649),
(189924, 'PTHR17498', NULL, NULL, NULL, NULL, 'SEMINAL VESICLE SECRETORY PROTEIN 6-RELATED', 133650),
(189925, 'PTHR31081:SF16', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 5', 133651),
(189926, 'PTHR34359:SF15', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN FON2 SPARE1', 133652),
(189927, 'PTHR40626:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN YGR067C', 133653),
(189928, 'PTHR16922', NULL, NULL, NULL, NULL, 'INTERLEUKIN 11', 133654),
(189929, 'PTHR10706:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133655),
(189930, 'PTHR10799:SF541', NULL, NULL, NULL, NULL, 'GLOBAL TRANSCRIPTION ACTIVATOR SNF2L2-RELATED', 133656),
(189931, 'PTHR26374:SF393', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN', 133657);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(189932, 'PTHR11964:SF40', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', 133658),
(189933, 'PTHR40380:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133659),
(189934, 'PTHR25462:SF264', NULL, NULL, NULL, NULL, 'BRAIN TUMOR PROTEIN', 133660),
(189935, 'PTHR14577:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 12', 133661),
(189936, 'PTHR34040:SF6', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLIQ', 133662),
(189937, 'PTHR24221:SF572', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN 16-RELATED', 133663),
(189938, 'PTHR34358:SF3', NULL, NULL, NULL, NULL, 'OS07G0607500 PROTEIN', 133664),
(189939, 'PTHR24326:SF543', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-7-LIKE', 133665),
(189940, 'PTHR48018:SF44', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8J1', 133666),
(189941, 'PTHR10688:SF3', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', 133667),
(189942, 'PTHR24055:SF109', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 11', 133668),
(189943, 'PTHR11851:SF196', NULL, NULL, NULL, NULL, 'OS01G0711100 PROTEIN', 133669),
(189944, 'PTHR34224:SF2', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 4', 133670),
(189945, 'PTHR24351:SF102', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 133671),
(189946, 'PTHR14338:SF8', NULL, NULL, NULL, NULL, 'ACTIN FILAMENT-ASSOCIATED PROTEIN 1', 133672),
(189947, 'PTHR32254:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133673),
(189948, 'PTHR16073:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133674),
(189949, 'PTHR31683:SF132', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 133675),
(189950, 'PTHR31140:SF64', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR NGA4', 133676),
(189951, 'PTHR44874', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 34', 133677),
(189952, 'PTHR43728:SF1', NULL, NULL, NULL, NULL, 'SLR0304 PROTEIN', 133678),
(189953, 'PTHR11802:SF223', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 133679),
(189954, 'PTHR31988:SF15', NULL, NULL, NULL, NULL, 'ESTERASE, PUTATIVE (DUF303)-RELATED', 133680),
(189955, 'PTHR12460:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133681),
(189956, 'PTHR32285:SF205', NULL, NULL, NULL, NULL, 'PROTEIN ESKIMO 1-LIKE ISOFORM X1', 133682),
(189957, 'PTHR43982:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 14', 133683),
(189958, 'PTHR46519:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 133684),
(189959, 'PTHR10574:SF268', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT BETA-3', 133685),
(189960, 'PTHR31218:SF256', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 133686),
(189961, 'PTHR15633:SF3', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 11', 133687),
(189962, 'PTHR48032:SF1', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1-LIKE', 133688),
(189963, 'PTHR24298:SF461', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81F3', 133689),
(189964, 'PTHR45773:SF8', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE FAMILY, MEMBER 5B', 133690),
(189965, 'PTHR15157:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133691),
(189966, 'PTHR26374:SF410', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT5-LIKE', 133692),
(189967, 'PTHR46279:SF10', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 133693),
(189968, 'PTHR23138:SF141', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP50', 133694),
(189969, 'PTHR43540:SF9', NULL, NULL, NULL, NULL, 'FAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G08700)-RELATED', 133695),
(189970, 'PTHR43161:SF11', NULL, NULL, NULL, NULL, 'STARVATION-SENSING PROTEIN RSPB', 133696),
(189971, 'PTHR12670', NULL, NULL, NULL, NULL, 'CERAMIDASE', 133697),
(189972, 'PTHR10822:SF30', NULL, NULL, NULL, NULL, 'DALLY-LIKE, ISOFORM A', 133698),
(189973, 'PTHR18945:SF839', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133699),
(189974, 'PTHR47928:SF77', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 133700),
(189975, 'PTHR48092:SF11', NULL, NULL, NULL, NULL, 'ESR2A PROTEIN', 133701),
(189976, 'PTHR35545:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133702);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(189977, 'PTHR10795:SF732', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133703),
(189978, 'PTHR47657:SF8', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 133704),
(189979, 'PTHR36043', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-INDEPENDENT PHOSPHOGLYCERATE MUTASE', 133705),
(189980, 'PTHR10663:SF324', NULL, NULL, NULL, NULL, 'ARF GUANINE-NUCLEOTIDE EXCHANGE FACTOR GNOM', 133706),
(189981, 'PTHR11363:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L3-1', 133707),
(189982, 'PTHR34794:SF7', NULL, NULL, NULL, NULL, 'OS12G0635400 PROTEIN', 133708),
(189983, 'PTHR10552:SF6', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN A''', 133709),
(189984, 'PTHR31282:SF160', NULL, NULL, NULL, NULL, 'BNAA09G35840D PROTEIN', 133710),
(189985, 'PTHR15487:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 2-BINDING PROTEIN', 133711),
(189986, 'PTHR21471:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG02528', 133712),
(189987, 'PTHR10736:SF33', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG', 133713),
(189988, 'PTHR34948:SF2', NULL, NULL, NULL, NULL, 'OS08G0299200 PROTEIN', 133714),
(189989, 'PTHR24296:SF210', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 133715),
(189990, 'PTHR43779', NULL, NULL, NULL, NULL, 'DIOXYGENASE RV0097-RELATED', 133716),
(189991, 'PTHR21337:SF23', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', 133717),
(189992, 'PTHR47055:SF1', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED 1', 133718),
(189993, 'PTHR31279:SF62', NULL, NULL, NULL, NULL, 'PHOSPHATE-RESPONSIVE 1 FAMILY PROTEIN', 133719),
(189994, 'PTHR22624:SF55', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE', 133720),
(189995, 'PTHR33400:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN LUMINIDEPENDENS', 133721),
(189996, 'PTHR35678', NULL, NULL, NULL, NULL, 'PROTEIN STPG4', 133722),
(189997, 'PTHR16223:SF263', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH112-LIKE ISOFORM X1', 133723),
(189998, 'PTHR47021:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD6-RELATED', 133724),
(189999, 'PTHR10629', NULL, NULL, NULL, NULL, 'CYTOSINE-SPECIFIC METHYLTRANSFERASE', 133725),
(190000, 'PTHR26453:SF148', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10A5', 133726),
(190001, 'PTHR14882:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07050', 133727),
(190002, 'PTHR48052:SF15', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM1', 133728),
(190003, 'PTHR31236:SF30', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 14-LIKE ISOFORM X1', 133729),
(190004, 'PTHR11232:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133730),
(190005, 'PTHR11259:SF7', NULL, NULL, NULL, NULL, 'RAS-RELATED GTP-BINDING PROTEIN A', 133731),
(190006, 'PTHR13866:SF21', NULL, NULL, NULL, NULL, 'TESTICAN-3', 133732),
(190007, 'PTHR11017:SF326', NULL, NULL, NULL, NULL, 'BNAA02G24510D PROTEIN', 133733),
(190008, 'PTHR23155:SF1094', NULL, NULL, NULL, NULL, 'OS11G0686400 PROTEIN', 133734),
(190009, 'PTHR33121:SF32', NULL, NULL, NULL, NULL, 'RNASE E SPECIFICITY FACTOR CSRD', 133735),
(190010, 'PTHR33622:SF7', NULL, NULL, NULL, NULL, 'MARKER FOR OXIDATIVE STRESS RESPONSE PROTEIN', 133736),
(190011, 'PTHR48022:SF34', NULL, NULL, NULL, NULL, 'QUINATE PERMEASE', 133737),
(190012, 'PTHR30011:SF32', NULL, NULL, NULL, NULL, 'HYPOTHETICAL OXIDOREDUCTASE', 133738),
(190013, 'PTHR24161:SF86', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND STERILE ALPHA MOTIF DOMAIN-CONTAINING 4B', 133739),
(190014, 'PTHR13378', NULL, NULL, NULL, NULL, 'REGULATOR COMPLEX PROTEIN LAMTOR3', 133740),
(190015, 'PTHR35472', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 133741),
(190016, 'PTHR31662:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133742),
(190017, 'PTHR43066:SF5', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 11, CHLOROPLASTIC-RELATED', 133743),
(190018, 'PTHR31719:SF169', NULL, NULL, NULL, NULL, 'BNAA06G22900D PROTEIN', 133744),
(190019, 'PTHR31876:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133745);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(190020, 'PTHR23502:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133746),
(190021, 'PTHR47589', NULL, NULL, NULL, NULL, 'FATTY-ACID-BINDING PROTEIN 1', 133747),
(190022, 'PTHR10694:SF123', NULL, NULL, NULL, NULL, 'BNAC03G72230D PROTEIN', 133748),
(190023, 'PTHR11043:SF0', NULL, NULL, NULL, NULL, 'COAT PROTEIN (COATOMER) ZETA, ISOFORM A', 133749),
(190024, 'PTHR10786', NULL, NULL, NULL, NULL, 'CHOLECYSTOKININ', 133750),
(190025, 'PTHR10192:SF25', NULL, NULL, NULL, NULL, 'GEPHYRIN B', 133751),
(190026, 'PTHR31001:SF64', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 133752),
(190027, 'PTHR11188:SF81', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', 133753),
(190028, 'PTHR23338:SF17', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D3', 133754),
(190029, 'PTHR11417:SF34', NULL, NULL, NULL, NULL, 'PROLACTIN-3C1', 133755),
(190030, 'PTHR45939:SF1', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03440)-RELATED', 133756),
(190031, 'PTHR31238:SF119', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 6-RELATED', 133757),
(190032, 'PTHR12052:SF12', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN YLS8', 133758),
(190033, 'PTHR47926:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133759),
(190034, 'PTHR13388:SF12', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 132B', 133760),
(190035, 'PTHR11017:SF221', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133761),
(190036, 'PTHR11544:SF117', NULL, NULL, NULL, NULL, 'COLD SHOCK-LIKE PROTEIN CSPF-RELATED', 133762),
(190037, 'PTHR45181:SF7', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 133763),
(190038, 'PTHR42905:SF3', NULL, NULL, NULL, NULL, 'OXALOACETATE DECARBOXYLASE', 133764),
(190039, 'PTHR12439:SF11', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE U-SPECIFIC-RELATED', 133765),
(190040, 'PTHR16742:SF2', NULL, NULL, NULL, NULL, 'CYLICIN-2', 133766),
(190041, 'PTHR39068', NULL, NULL, NULL, NULL, 'LARVAL/PUPAL CUTICLE PROTEIN H1C-LIKE PROTEIN-RELATED', 133767),
(190042, 'PTHR33147:SF73', NULL, NULL, NULL, NULL, 'DEFENSIN', 133768),
(190043, 'PTHR48011:SF64', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 17A-LIKE', 133769),
(190044, 'PTHR33620:SF2', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN UREE', 133770),
(190045, 'PTHR45969:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133771),
(190046, 'PTHR31734:SF14', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA14', 133772),
(190047, 'PTHR46051:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 5-PHOSPHATASE 1', 133773),
(190048, 'PTHR32295:SF224', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 133774),
(190049, 'PTHR10593:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133775),
(190050, 'PTHR31048:SF152', NULL, NULL, NULL, NULL, 'BNAA06G13430D PROTEIN', 133776),
(190051, 'PTHR12411:SF689', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133777),
(190052, 'PTHR43471:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN NATB', 133778),
(190053, 'PTHR31128', NULL, NULL, NULL, NULL, 'PROTEIN CBR-CLEC-135-RELATED', 133779),
(190054, 'PTHR31992:SF126', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.4', 133780),
(190055, 'PTHR31213:SF4', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL8', 133781),
(190056, 'PTHR34663:SF11', NULL, NULL, NULL, NULL, 'DERMOKINE-LIKE', 133782),
(190057, 'PTHR33228:SF36', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 3', 133783),
(190058, 'PTHR47376:SF5', NULL, NULL, NULL, NULL, 'OS01G0907200 PROTEIN', 133784),
(190059, 'PTHR24062:SF179', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 133785),
(190060, 'PTHR31238:SF196', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 133786),
(190061, 'PTHR24559:SF353', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133787),
(190062, 'PTHR14319:SF8', NULL, NULL, NULL, NULL, 'BNAC04G50700D PROTEIN', 133788),
(190063, 'PTHR14453:SF87', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 133789),
(190064, 'PTHR18864:SF1', NULL, NULL, NULL, NULL, 'KINECTIN', 133790);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(190065, 'PTHR31734:SF87', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA6', 133791),
(190066, 'PTHR20852:SF89', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', 133792),
(190067, 'PTHR32444:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133793),
(190068, 'PTHR31852:SF213', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 133794),
(190069, 'PTHR11036:SF141', NULL, NULL, NULL, NULL, 'SEMAPHORIN 7A', 133795),
(190070, 'PTHR22906:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133796),
(190071, 'PTHR32278:SF63', NULL, NULL, NULL, NULL, 'PHLOEM-SPECIFIC LECTIN', 133797),
(190072, 'PTHR11654:SF487', NULL, NULL, NULL, NULL, 'BNAA09G06190D PROTEIN', 133798),
(190073, 'PTHR10783:SF113', NULL, NULL, NULL, NULL, 'BNAA09G29180D PROTEIN', 133799),
(190074, 'PTHR15162:SF9', NULL, NULL, NULL, NULL, 'ASPARTOACYLASE', 133800),
(190075, 'PTHR33710:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133801),
(190076, 'PTHR23179', NULL, NULL, NULL, NULL, 'T-CELL ACTIVATION RHO GTPASE ACTIVATING PROTEIN-RELATED', 133802),
(190077, 'PTHR45671:SF21', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN-RELATED', 133803),
(190078, 'PTHR45621:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133804),
(190079, 'PTHR34549:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT IV A, CHLOROPLASTIC-RELATED', 133805),
(190080, 'PTHR11654:SF468', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.6', 133806),
(190081, 'PTHR18966:SF494', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 84A', 133807),
(190082, 'PTHR31221:SF185', NULL, NULL, NULL, NULL, 'BNACNNG39610D PROTEIN', 133808),
(190083, 'PTHR10562:SF70', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 1', 133809),
(190084, 'PTHR31989:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133810),
(190085, 'PTHR23504:SF37', NULL, NULL, NULL, NULL, 'TRANSPORTER-RELATED', 133811),
(190086, 'PTHR24177:SF257', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133812),
(190087, 'PTHR31580:SF34', NULL, NULL, NULL, NULL, 'BNACNNG56680D PROTEIN', 133813),
(190088, 'PTHR33021:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133814),
(190089, 'PTHR33086:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133815),
(190090, 'PTHR13738:SF1', NULL, NULL, NULL, NULL, 'TROPONIN I', 133816),
(190091, 'PTHR43004:SF10', NULL, NULL, NULL, NULL, '2-MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13660)-RELATED', 133817),
(190092, 'PTHR31867:SF177', NULL, NULL, NULL, NULL, 'EXPANSIN', 133818),
(190093, 'PTHR24326:SF552', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-7-LIKE ISOFORM X1', 133819),
(190094, 'PTHR31190:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133820),
(190095, 'PTHR42770:SF8', NULL, NULL, NULL, NULL, 'PUTRESCINE IMPORTER PUUP', 133821),
(190096, 'PTHR32153:SF10', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 25', 133822),
(190097, 'PTHR13817:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133823),
(190098, 'PTHR15151:SF13', NULL, NULL, NULL, NULL, 'ECTODYSPLASIN-A', 133824),
(190099, 'PTHR24058:SF108', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 133825),
(190100, 'PTHR28549', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN INTEGRAL MEMBRANE PROTEIN 1', 133826),
(190101, 'PTHR11654:SF516', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', 133827),
(190102, 'PTHR24228:SF26', NULL, NULL, NULL, NULL, 'APELIN RECEPTOR B', 133828),
(190103, 'PTHR27009:SF252', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD3-1', 133829),
(190104, 'PTHR23336:SF66', NULL, NULL, NULL, NULL, 'BNAA03G47040D PROTEIN', 133830),
(190105, 'PTHR45798:SF13', NULL, NULL, NULL, NULL, 'OS01G0866000 PROTEIN', 133831),
(190106, 'PTHR31839:SF41', NULL, NULL, NULL, NULL, 'CBF14', 133832),
(190107, 'PTHR19431:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L4', 133833),
(190108, 'PTHR48018:SF169', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 133834),
(190109, 'PTHR31867:SF203', NULL, NULL, NULL, NULL, 'EXPANSIN-A6', 133835),
(190110, 'PTHR43809', NULL, NULL, NULL, NULL, 'NITRITE REDUCTASE (NADH) LARGE SUBUNIT', 133836); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(190111, 'PTHR48083:SF18', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A DEHYDROGENASE', 133837),
(190112, 'PTHR45085:SF4', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', 133838),
(190113, 'PTHR31948:SF110', NULL, NULL, NULL, NULL, 'ZF-HD HOMEOBOX PROTEIN, CYS/HIS-RICH DIMERIZATION DOMAIN-CONTAINING PROTEIN-RELATED', 133839),
(190114, 'PTHR32141:SF83', NULL, NULL, NULL, NULL, 'OS01G0596700 PROTEIN', 133840),
(190115, 'PTHR43180:SF41', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE 2A', 133841),
(190116, 'PTHR42647:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133842),
(190117, 'PTHR47958:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133843),
(190118, 'PTHR31282:SF128', NULL, NULL, NULL, NULL, 'BNAC03G17030D PROTEIN', 133844),
(190119, 'PTHR13509:SF17', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', 133845),
(190120, 'PTHR42647:SF38', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 2-RELATED', 133846),
(190121, 'PTHR31707:SF338', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 17-RELATED', 133847),
(190122, 'PTHR45637:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WAG1', 133848),
(190123, 'PTHR31282:SF121', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 133849),
(190124, 'PTHR22762:SF144', NULL, NULL, NULL, NULL, 'ALPHA-XYLOSIDASE', 133850),
(190125, 'PTHR22943:SF242', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 133851),
(190126, 'PTHR13448:SF12', NULL, NULL, NULL, NULL, 'BNAA09G30070D PROTEIN', 133852),
(190127, 'PTHR12713:SF26', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G2', 133853),
(190128, 'PTHR22765:SF188', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 215', 133854),
(190129, 'PTHR45980:SF2', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 9', 133855),
(190130, 'PTHR42795', NULL, NULL, NULL, NULL, 'ALANINE DEHYDROGENASE', 133856),
(190131, 'PTHR22298:SF136', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 133857),
(190132, 'PTHR47991:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133858),
(190133, 'PTHR19346:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER F4', 133859),
(190134, 'PTHR47958:SF84', NULL, NULL, NULL, NULL, 'DEAD-BOX HELICASE 19A', 133860),
(190135, 'PTHR24567', NULL, NULL, NULL, NULL, 'CRP FAMILY TRANSCRIPTIONAL REGULATORY PROTEIN', 133861),
(190136, 'PTHR47516:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 133862),
(190137, 'PTHR33270:SF38', NULL, NULL, NULL, NULL, 'BNAA01G12460D PROTEIN', 133863),
(190138, 'PTHR24092:SF160', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 133864),
(190139, 'PTHR11803:SF13', NULL, NULL, NULL, NULL, '2-IMINOBUTANOATE/2-IMINOPROPANOATE DEAMINASE-RELATED', 133865),
(190140, 'PTHR48016:SF20', NULL, NULL, NULL, NULL, 'BNAC03G30920D PROTEIN', 133866),
(190141, 'PTHR31061:SF5', NULL, NULL, NULL, NULL, 'HEPARAN-ALPHA-GLUCOSAMINIDE N-ACETYLTRANSFERASE-LIKE PROTEIN', 133867),
(190142, 'PTHR32468:SF133', NULL, NULL, NULL, NULL, 'BNAA09G08340D PROTEIN', 133868),
(190143, 'PTHR28596', NULL, NULL, NULL, NULL, 'BBSOME-INTERACTING PROTEIN 1', 133869),
(190144, 'PTHR11062:SF216', NULL, NULL, NULL, NULL, 'BNAA05G32810D PROTEIN', 133870),
(190145, 'PTHR33358:SF12', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN WITH A DOMAIN PROTEIN', 133871),
(190146, 'PTHR10678', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 11/COP9 SIGNALOSOME COMPLEX SUBUNIT 2', 133872),
(190147, 'PTHR47250', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 133873),
(190148, 'PTHR23068:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133874),
(190149, 'PTHR37858:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689589', 133875),
(190150, 'PTHR33513:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133876),
(190151, 'PTHR31009:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133877),
(190152, 'PTHR48010:SF25', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 133878),
(190153, 'PTHR24197:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133879);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(190154, 'PTHR47431:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 133880),
(190155, 'PTHR10811:SF74', NULL, NULL, NULL, NULL, 'BNAANNG13620D PROTEIN', 133881),
(190156, 'PTHR43811:SF11', NULL, NULL, NULL, NULL, 'FK506-BINDING PROTEIN 6', 133882),
(190157, 'PTHR24058:SF124', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 133883),
(190158, 'PTHR23235:SF21', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 13', 133884),
(190159, 'PTHR33670', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, PROLINE- AND GLUTAMINE-RICH-LIKE', 133885),
(190160, 'PTHR21435:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM29', 133886),
(190161, 'PTHR24018:SF5', NULL, NULL, NULL, NULL, 'ELASTIN', 133887),
(190162, 'PTHR24282:SF195', NULL, NULL, NULL, NULL, 'CYTOKININ HYDROXYLASE', 133888),
(190163, 'PTHR21576:SF87', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 133889),
(190164, 'PTHR21346:SF0', NULL, NULL, NULL, NULL, 'RE45833P', 133890),
(190165, 'PTHR45613:SF442', NULL, NULL, NULL, NULL, 'PPR DOMAIN PROTEIN', 133891),
(190166, 'PTHR10192:SF22', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN MOLYBDENUMTRANSFERASE', 133892),
(190167, 'PTHR23428:SF215', NULL, NULL, NULL, NULL, 'HISTONE H2B', 133893),
(190168, 'PTHR24220:SF661', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 133894),
(190169, 'PTHR12907:SF5', NULL, NULL, NULL, NULL, 'EGL NINE HOMOLOG 3', 133895),
(190170, 'PTHR31100:SF53', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 133896),
(190171, 'PTHR36191:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133897),
(190172, 'PTHR44200:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 7', 133898),
(190173, 'PTHR32419', NULL, NULL, NULL, NULL, 'GLUTATHIONYL-HYDROQUINONE REDUCTASE', 133899),
(190174, 'PTHR31542:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L50, MITOCHONDRIAL', 133900),
(190175, 'PTHR31509:SF69', NULL, NULL, NULL, NULL, 'BPS1-LIKE PROTEIN', 133901),
(190176, 'PTHR31561:SF106', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 19', 133902),
(190177, 'PTHR13989:SF34', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 32 KDA SUBUNIT A', 133903),
(190178, 'PTHR31429:SF63', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', 133904),
(190179, 'PTHR19282:SF252', NULL, NULL, NULL, NULL, 'TETRASPANIN', 133905),
(190180, 'PTHR42919:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133906),
(190181, 'PTHR31790:SF364', NULL, NULL, NULL, NULL, 'BNAC06G04010D PROTEIN', 133907),
(190182, 'PTHR31614:SF23', NULL, NULL, NULL, NULL, 'ANTHER-SPECIFIC PROTEIN LAT52-LIKE', 133908),
(190183, 'PTHR46491', NULL, NULL, NULL, NULL, 'CDGSH IRON SULFUR DOMAIN PROTEIN HOMOLOG', 133909),
(190184, 'PTHR11941:SF44', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE DOMAIN-CONTAINING PROTEIN 2, MITOCHONDRIAL', 133910),
(190185, 'PTHR48102:SF8', NULL, NULL, NULL, NULL, 'CLP PROTEASE REGULATORY SUBUNIT CLPX1 MITOCHONDRIAL', 133911),
(190186, 'PTHR11388:SF133', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', 133912),
(190187, 'PTHR31218:SF171', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 133913),
(190188, 'PTHR30352:SF23', NULL, NULL, NULL, NULL, 'FLAVODOXIN FAMILY PROTEIN', 133914),
(190189, 'PTHR45676:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133915),
(190190, 'PTHR22883:SF343', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 133916),
(190191, 'PTHR12850:SF27', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S25-RELATED', 133917),
(190192, 'PTHR13178:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 5, MITOCHONDRIAL', 133918),
(190193, 'PTHR35832:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133919),
(190194, 'PTHR18945:SF60', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT GAMMA', 133920),
(190195, 'PTHR43078:SF32', NULL, NULL, NULL, NULL, 'BNAC04G27170D PROTEIN', 133921),
(190196, 'PTHR47072:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133922),
(190197, 'PTHR23291:SF98', NULL, NULL, NULL, NULL, 'BNAC08G10200D PROTEIN', 133923);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(190198, 'PTHR22950:SF54', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 11-RELATED', 133924),
(190199, 'PTHR12482', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 133925),
(190200, 'PTHR45637:SF78', NULL, NULL, NULL, NULL, 'BNAA05G26500D PROTEIN', 133926),
(190201, 'PTHR10985:SF79', NULL, NULL, NULL, NULL, 'HAIRY/ENHANCER-OF-SPLIT RELATED WITH YRPW MOTIF-LIKE PROTEIN', 133927),
(190202, 'PTHR31190:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133928),
(190203, 'PTHR10666:SF370', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 3', 133929),
(190204, 'PTHR27004:SF370', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12 ISOFORM X1', 133930),
(190205, 'PTHR33159:SF40', NULL, NULL, NULL, NULL, 'DEFENSE PROTEIN-LIKE PROTEIN', 133931),
(190206, 'PTHR16035', NULL, NULL, NULL, NULL, 'PROTEIN FAM90A1', 133932),
(190207, 'PTHR43107:SF5', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', 133933),
(190208, 'PTHR31874:SF1', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN, EXPRESSED', 133934),
(190209, 'PTHR30482:SF1', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT PERMEASE PROTEIN LIVM-RELATED', 133935),
(190210, 'PTHR47982:SF13', NULL, NULL, NULL, NULL, 'PTO-INTERACTING PROTEIN 1-LIKE ISOFORM X1', 133936),
(190211, 'PTHR33271:SF23', NULL, NULL, NULL, NULL, 'RMLC-LIKE CUPINS SUPERFAMILY PROTEIN', 133937),
(190212, 'PTHR11014:SF163', NULL, NULL, NULL, NULL, 'BNAC09G33210D PROTEIN', 133938),
(190213, 'PTHR47549:SF2', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP38', 133939),
(190214, 'PTHR31549:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133940),
(190215, 'PTHR18929:SF230', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 133941),
(190216, 'PTHR23235:SF60', NULL, NULL, NULL, NULL, 'STRIPE, ISOFORM D', 133942),
(190217, 'PTHR23034', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 133943),
(190218, 'PTHR36795:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133944),
(190219, 'PTHR21495:SF177', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 133945),
(190220, 'PTHR22893', NULL, NULL, NULL, NULL, 'NADH OXIDOREDUCTASE-RELATED', 133946),
(190221, 'PTHR45727:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133947),
(190222, 'PTHR32083:SF0', NULL, NULL, NULL, NULL, 'CILIA AND FLAGELLA-ASSOCIATED PROTEIN 58', 133948),
(190223, 'PTHR11224:SF50', NULL, NULL, NULL, NULL, 'BNAC01G39490D PROTEIN', 133949),
(190224, 'PTHR44943:SF6', NULL, NULL, NULL, NULL, 'SLL0314 PROTEIN', 133950),
(190225, 'PTHR21581:SF21', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE-RELATED', 133951),
(190226, 'PTHR13408:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133952),
(190227, 'PTHR45821:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133953),
(190228, 'PTHR38482', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 133954),
(190229, 'PTHR43184:SF19', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE TRANSPORTER 3-RELATED', 133955),
(190230, 'PTHR15088:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-INTERACTING PROTEIN 1', 133956),
(190231, 'PTHR24366:SF11', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY-CONTAINING LEUCINE-RICH REPEAT 2', 133957),
(190232, 'PTHR31980:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM220A', 133958),
(190233, 'PTHR48097:SF3', NULL, NULL, NULL, NULL, 'L-ALLO-THREONINE ALDOLASE', 133959),
(190234, 'PTHR11266:SF102', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE 22 KDA (MPV17/PMP22) FAMILY PROTEIN', 133960),
(190235, 'PTHR31989:SF243', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 101', 133961),
(190236, 'PTHR31190:SF288', NULL, NULL, NULL, NULL, 'OS05G0316800 PROTEIN', 133962),
(190237, 'PTHR15698', NULL, NULL, NULL, NULL, 'PROTEIN CBG15099', 133963),
(190238, 'PTHR46554:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26A-RELATED', 133964),
(190239, 'PTHR33076:SF54', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN-LIKE', 133965),
(190240, 'PTHR46033:SF44', NULL, NULL, NULL, NULL, 'BNAC06G04630D PROTEIN', 133966),
(190241, 'PTHR30620:SF86', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY PROTEIN', 133967);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(190242, 'PTHR10217:SF533', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 5', 133968),
(190243, 'PTHR23424:SF25', NULL, NULL, NULL, NULL, 'SERUM AMYLOID A PROTEIN', 133969),
(190244, 'PTHR45839:SF22', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', 133970),
(190245, 'PTHR40940', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 133971),
(190246, 'PTHR11733:SF210', NULL, NULL, NULL, NULL, 'FRA MAURO, ISOFORM F', 133972),
(190247, 'PTHR11972:SF71', NULL, NULL, NULL, NULL, 'NADPH OXIDASE 1', 133973),
(190248, 'PTHR24349:SF377', NULL, NULL, NULL, NULL, 'BNAA02G32820D PROTEIN', 133974),
(190249, 'PTHR47081:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133975),
(190250, 'PTHR24115:SF753', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF28P', 133976),
(190251, 'PTHR11306:SF47', NULL, NULL, NULL, NULL, 'LP08842P', 133977),
(190252, 'PTHR10168:SF283', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S2 PROTEIN', 133978),
(190253, 'PTHR38597', NULL, NULL, NULL, NULL, 'BLL3834 PROTEIN', 133979),
(190254, 'PTHR23186:SF3', NULL, NULL, NULL, NULL, 'RETINOIC ACID-INDUCED PROTEIN 2', 133980),
(190255, 'PTHR24178:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG13198', 133981),
(190256, 'PTHR11964:SF54', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', 133982),
(190257, 'PTHR14324:SF3', NULL, NULL, NULL, NULL, 'CONDENSIN-2 COMPLEX SUBUNIT H2', 133983),
(190258, 'PTHR36290', NULL, NULL, NULL, NULL, 'RIKEN CDNA D630039A03 GENE', 133984),
(190259, 'PTHR14950:SF52', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE DICER HOMOLOG 3B-LIKE', 133985),
(190260, 'PTHR48107:SF16', NULL, NULL, NULL, NULL, 'RE15974P', 133986),
(190261, 'PTHR12483:SF73', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN CTR3', 133987),
(190262, 'PTHR22881:SF24', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 9-LIKE', 133988),
(190263, 'PTHR11945:SF529', NULL, NULL, NULL, NULL, 'BOX PROTEIN, PUTATIVE-RELATED', 133989),
(190264, 'PTHR19134:SF482', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 133990),
(190265, 'PTHR44427:SF4', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC GLYCOPROTEIN 18-RELATED', 133991),
(190266, 'PTHR43785', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLPUTRESCINE SYNTHETASE', 133992),
(190267, 'PTHR31920:SF49', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR VRN1-LIKE', 133993),
(190268, 'PTHR32191:SF64', NULL, NULL, NULL, NULL, 'BNAA09G44080D PROTEIN', 133994),
(190269, 'PTHR45786:SF11', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 133995),
(190270, 'PTHR33787:SF3', NULL, NULL, NULL, NULL, 'YCF20-LIKE PROTEIN', 133996),
(190271, 'PTHR46967', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR BINDING PROTEIN,N-TERMINAL', 133997),
(190272, 'PTHR11475:SF43', NULL, NULL, NULL, NULL, 'PROTEIN CBG06977', 133998),
(190273, 'PTHR11958:SF97', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER 3', 133999),
(190274, 'PTHR46798:SF12', NULL, NULL, NULL, NULL, 'BNAANNG02850D PROTEIN', 134000),
(190275, 'PTHR14030:SF20', NULL, NULL, NULL, NULL, 'BUB1 MITOTIC CHECKPOINT SERINE/THREONINE KINASE BA', 134001),
(190276, 'PTHR31992:SF218', NULL, NULL, NULL, NULL, 'BNAANNG38460D PROTEIN', 134002),
(190277, 'PTHR32285:SF190', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 33', 134003),
(190278, 'PTHR45634:SF13', NULL, NULL, NULL, NULL, 'POLYAMINE DEACETYLASE HDAC10', 134004),
(190279, 'PTHR14487', NULL, NULL, NULL, NULL, 'ADRENOCORTICAL DYSPLASIA PROTEIN ACD', 134005),
(190280, 'PTHR24015:SF116', NULL, NULL, NULL, NULL, 'OSJNBA0041A02.15 PROTEIN', 134006),
(190281, 'PTHR13718:SF102', NULL, NULL, NULL, NULL, 'BNAA03G19630D PROTEIN', 134007),
(190282, 'PTHR24089:SF701', NULL, NULL, NULL, NULL, 'BNAA03G17470D PROTEIN', 134008),
(190283, 'PTHR21499:SF3', NULL, NULL, NULL, NULL, 'ASPARTOKINASE', 134009),
(190284, 'PTHR24559:SF324', NULL, NULL, NULL, NULL, 'TRANSPOSON TY3-I GAG-POL POLYPROTEIN-LIKE PROTEIN', 134010),
(190285, 'PTHR16566:SF0', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-II', 134011),
(190286, 'PTHR24126:SF56', NULL, NULL, NULL, NULL, 'PHYTOCHROME-INTERACTING ANKYRIN-REPEAT PROTEIN 1-RELATED', 134012);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(190287, 'PTHR47977:SF8', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-34', 134013),
(190288, 'PTHR43191', NULL, NULL, NULL, NULL, 'RRNA METHYLTRANSFERASE 3,', 134014),
(190289, 'PTHR46475', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR3', 134015),
(190290, 'PTHR31499:SF48', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', 134016),
(190291, 'PTHR24056:SF492', NULL, NULL, NULL, NULL, 'BNAC05G46740D PROTEIN', 134017),
(190292, 'PTHR10075:SF7', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2-LIKE PROTEIN', 134018),
(190293, 'PTHR43370', NULL, NULL, NULL, NULL, 'SUGAR ABC TRANSPORTER INTEGRAL MEMBRANE PROTEIN-RELATED', 134019),
(190294, 'PTHR22943:SF25', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 134020),
(190295, 'PTHR24339', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN EMX-RELATED', 134021),
(190296, 'PTHR31167', NULL, NULL, NULL, NULL, 'SPINDLE AND CENTRIOLE ASSOCIATED PROTEIN 1 SPICE1', 134022),
(190297, 'PTHR23257:SF817', NULL, NULL, NULL, NULL, 'BNAA01G06020D PROTEIN', 134023),
(190298, 'PTHR15036:SF51', NULL, NULL, NULL, NULL, 'NEUREXIN-1', 134024),
(190299, 'PTHR31376:SF80', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 19-RELATED', 134025),
(190300, 'PTHR27000:SF492', NULL, NULL, NULL, NULL, '3, PUTATIVE-RELATED', 134026),
(190301, 'PTHR33779:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134027),
(190302, 'PTHR15462:SF9', NULL, NULL, NULL, NULL, 'SERINE PROTEASE', 134028),
(190303, 'PTHR12505:SF24', NULL, NULL, NULL, NULL, 'PROTEIN WINGED EYE', 134029),
(190304, 'PTHR24559', NULL, NULL, NULL, NULL, 'TRANSPOSON TY3-I GAG-POL POLYPROTEIN', 134030),
(190305, 'PTHR11034:SF43', NULL, NULL, NULL, NULL, 'OS05G0196200 PROTEIN', 134031),
(190306, 'PTHR14309:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 134032),
(190307, 'PTHR46235:SF5', NULL, NULL, NULL, NULL, 'OS03G0266600 PROTEIN', 134033),
(190308, 'PTHR22133:SF2', NULL, NULL, NULL, NULL, 'AT01821P-RELATED', 134034),
(190309, 'PTHR31111:SF23', NULL, NULL, NULL, NULL, 'BNAC03G15520D PROTEIN', 134035),
(190310, 'PTHR43098:SF4', NULL, NULL, NULL, NULL, 'BLR3857 PROTEIN', 134036),
(190311, 'PTHR46730', NULL, NULL, NULL, NULL, 'POLYCYSTIN-1', 134037),
(190312, 'PTHR11863:SF190', NULL, NULL, NULL, NULL, 'BNACNNG58690D PROTEIN', 134038),
(190313, 'PTHR11863:SF123', NULL, NULL, NULL, NULL, 'LATHOSTEROL OXIDASE', 134039),
(190314, 'PTHR48044:SF3', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE:RHAMNOSYLTRANSFERASE 1-RELATED', 134040),
(190315, 'PTHR36835', NULL, NULL, NULL, NULL, 'CYTOCHROME BO(3) UBIQUINOL OXIDASE SUBUNIT 4', 134041),
(190316, 'PTHR22812:SF150', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 1', 134042),
(190317, 'PTHR47879', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B22', 134043),
(190318, 'PTHR24064:SF496', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 3-LIKE', 134044),
(190319, 'PTHR33052:SF117', NULL, NULL, NULL, NULL, 'BNAA02G34750D PROTEIN', 134045),
(190320, 'PTHR46146:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE CCR4-LIKE PROTEIN', 134046),
(190321, 'PTHR23524:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134047),
(190322, 'PTHR10334:SF412', NULL, NULL, NULL, NULL, 'OS07G0128700 PROTEIN', 134048),
(190323, 'PTHR32133:SF334', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 134049),
(190324, 'PTHR12360:SF1', NULL, NULL, NULL, NULL, 'NF-X1-TYPE ZINC FINGER PROTEIN NFXL1', 134050),
(190325, 'PTHR21592:SF4', NULL, NULL, NULL, NULL, 'MATH (MEPRIN-ASSOCIATED TRAF HOMOLOGY) DOMAIN CONTAINING', 134051),
(190326, 'PTHR31515:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 134052),
(190327, 'PTHR14890', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA CORE COMPLEX-ASSOCIATED PROTEIN 100', 134053),
(190328, 'PTHR10744:SF30', NULL, NULL, NULL, NULL, 'BNAC09G20520D PROTEIN', 134054),
(190329, 'PTHR48019:SF50', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR MADS-RIN', 134055),
(190330, 'PTHR31190', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN', 134056),
(190331, 'PTHR21654:SF75', NULL, NULL, NULL, NULL, 'SANT/MYB DOMAIN-CONTAINING PROTEIN-RELATED', 134057);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(190332, 'PTHR30213:SF0', NULL, NULL, NULL, NULL, 'UPF0761 MEMBRANE PROTEIN YIHY', 134058),
(190333, 'PTHR15241:SF330', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 4', 134059),
(190334, 'PTHR23266:SF116', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR DELTA CONSTANT', 134060),
(190335, 'PTHR30006:SF23', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE TRANSPORT REGULATORY PROTEIN PGTC', 134061),
(190336, 'PTHR12277:SF54', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE LIPASE ABHD16A', 134062),
(190337, 'PTHR13318:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134063),
(190338, 'PTHR21859:SF50', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 31D3-RELATED', 134064),
(190339, 'PTHR24044:SF411', NULL, NULL, NULL, NULL, 'SUSHI, NIDOGEN AND EGF-LIKE DOMAIN-CONTAINING PROTEIN 1', 134065),
(190340, 'PTHR38767:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT CHI', 134066),
(190341, 'PTHR22872:SF5', NULL, NULL, NULL, NULL, 'INHIBITOR OF BRUTON TYROSINE KINASE', 134067),
(190342, 'PTHR10438:SF414', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 134068),
(190343, 'PTHR21442:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 206', 134069),
(190344, 'PTHR15668:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 22', 134070),
(190345, 'PTHR33021:SF410', NULL, NULL, NULL, NULL, 'UMECYANIN-LIKE', 134071),
(190346, 'PTHR33217:SF7', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS1081', 134072),
(190347, 'PTHR13690:SF109', NULL, NULL, NULL, NULL, 'OS08G0543900 PROTEIN', 134073),
(190348, 'PTHR47958:SF44', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', 134074),
(190349, 'PTHR18966:SF482', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 134075),
(190350, 'PTHR11207:SF0', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3', 134076),
(190351, 'PTHR31707:SF174', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR', 134077),
(190352, 'PTHR45631:SF44', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING PROTEIN OF THE ER PROTEIN', 134078),
(190353, 'PTHR24366:SF31', NULL, NULL, NULL, NULL, 'SI:CH211-237I5.4', 134079),
(190354, 'PTHR24055:SF454', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE HOMOLOG NTF4', 134080),
(190355, 'PTHR31314:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134081),
(190356, 'PTHR37182:SF3', NULL, NULL, NULL, NULL, 'BNAANNG40570D PROTEIN', 134082),
(190357, 'PTHR22924:SF91', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: NON-SYMBIOTIC HEMOGLOBIN 1-LIKE', 134083),
(190358, 'PTHR20875:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134084),
(190359, 'PTHR47374:SF7', NULL, NULL, NULL, NULL, 'HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 134085),
(190360, 'PTHR10665:SF3', NULL, NULL, NULL, NULL, 'RECOMBINING BINDING PROTEIN SUPPRESSOR OF HAIRLESS', 134086),
(190361, 'PTHR28661', NULL, NULL, NULL, NULL, 'SJOEGREN SYNDROME NUCLEAR AUTOANTIGEN 1', 134087),
(190362, 'PTHR23147:SF152', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS2Z33', 134088),
(190363, 'PTHR11709:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134089),
(190364, 'PTHR23074:SF157', NULL, NULL, NULL, NULL, 'BNAC04G50250D PROTEIN', 134090),
(190365, 'PTHR47017:SF1', NULL, NULL, NULL, NULL, 'ACYL-COA', 134091),
(190366, 'PTHR24056:SF447', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CSK1', 134092),
(190367, 'PTHR31907:SF36', NULL, NULL, NULL, NULL, 'BET V I/MAJOR LATEX PROTEIN, START-LIKE DOMAIN PROTEIN-RELATED', 134093),
(190368, 'PTHR31195:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134094),
(190369, 'PTHR45845', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR-RELATED', 134095),
(190370, 'PTHR10788:SF15', NULL, NULL, NULL, NULL, 'TREHALOSE SYNTHASE COMPLEX REGULATORY SUBUNIT TPS3-RELATED', 134096),
(190371, 'PTHR23399', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOTIDYLTRANSFERASE TERMINAL-INTERACTING PROTEIN 1', 134097),
(190372, 'PTHR45792:SF6', NULL, NULL, NULL, NULL, 'LIPASE FAMILY PROTEIN', 134098),
(190373, 'PTHR12901:SF8', NULL, NULL, NULL, NULL, 'COENZYME Q-BINDING PROTEIN COQ10 HOMOLOG A, MITOCHONDRIAL', 134099);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(190374, 'PTHR11040:SF167', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 5', 134100),
(190375, 'PTHR47958:SF64', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 52B', 134101),
(190376, 'PTHR12276:SF96', NULL, NULL, NULL, NULL, 'CLATHRIN INTERACTOR EPSIN 1', 134102),
(190377, 'PTHR47556', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', 134103),
(190378, 'PTHR47958:SF18', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX3Y', 134104),
(190379, 'PTHR45635:SF32', NULL, NULL, NULL, NULL, 'ADP/ATP TRANSLOCASE 1', 134105),
(190380, 'PTHR24055:SF449', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 134106),
(190381, 'PTHR30524:SF0', NULL, NULL, NULL, NULL, 'ALTRONATE OXIDOREDUCTASE-RELATED', 134107),
(190382, 'PTHR47217', NULL, NULL, NULL, NULL, 'GLOBIN-LIKE PROTEIN', 134108),
(190383, 'PTHR15175:SF3', NULL, NULL, NULL, NULL, 'NEUTROPHIL CYTOSOL FACTOR 2', 134109),
(190384, 'PTHR31140:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134110),
(190385, 'PTHR48044:SF51', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 134111),
(190386, 'PTHR24343:SF426', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 134112),
(190387, 'PTHR11422:SF5', NULL, NULL, NULL, NULL, 'DIVERSE IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 1.1-RELATED', 134113),
(190388, 'PTHR48002:SF152', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 134114),
(190389, 'PTHR40388:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134115),
(190390, 'PTHR14221:SF40', NULL, NULL, NULL, NULL, 'SIMILARITY TO UNKNOWN PROTEIN', 134116),
(190391, 'PTHR11909:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134117),
(190392, 'PTHR48098:SF2', NULL, NULL, NULL, NULL, 'POSSIBLE CONSERVED MEMBRANE PROTEIN', 134118),
(190393, 'PTHR31123:SF3', NULL, NULL, NULL, NULL, 'AMMONIA TRANSPORT OUTWARD PROTEIN 3', 134119),
(190394, 'PTHR46629:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 134120),
(190395, 'PTHR46437:SF1', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 5', 134121),
(190396, 'PTHR46313:SF5', NULL, NULL, NULL, NULL, 'CAROTENE ISOMERASE', 134122),
(190397, 'PTHR11566:SF198', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 5A-LIKE', 134123),
(190398, 'PTHR23336:SF11', NULL, NULL, NULL, NULL, 'OS06G0622000 PROTEIN', 134124),
(190399, 'PTHR31375:SF141', NULL, NULL, NULL, NULL, 'ENDO-POLYGALACTURONASE', 134125),
(190400, 'PTHR12253:SF33', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2 GROUP III, ISOFORM B', 134126),
(190401, 'PTHR10641', NULL, NULL, NULL, NULL, ' MYB FAMILY TRANSCRIPTION FACTOR', 134127),
(190402, 'PTHR15117', NULL, NULL, NULL, NULL, 'ATAXIN 7 RELATED', 134128),
(190403, 'PTHR46248:SF6', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 134129),
(190404, 'PTHR47623', NULL, NULL, NULL, NULL, 'OS09G0287300 PROTEIN', 134130),
(190405, 'PTHR24123:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134131),
(190406, 'PTHR37827:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134132),
(190407, 'PTHR11929:SF215', NULL, NULL, NULL, NULL, 'LOC100127585 PROTEIN', 134133),
(190408, 'PTHR10082:SF41', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-PS', 134134),
(190409, 'PTHR31175:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134135),
(190410, 'PTHR38630:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG12780', 134136),
(190411, 'PTHR11337:SF14', NULL, NULL, NULL, NULL, 'PORIMIN', 134137),
(190412, 'PTHR19325:SF531', NULL, NULL, NULL, NULL, 'HIG-ANCHORING SCAFFOLD PROTEIN, ISOFORM G', 134138),
(190413, 'PTHR20852:SF97', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE-RELATED', 134139),
(190414, 'PTHR24298:SF800', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A2-RELATED', 134140),
(190415, 'PTHR13439:SF0', NULL, NULL, NULL, NULL, 'BCDNA.GH12326', 134141),
(190416, 'PTHR45614:SF179', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR MYB-LIKE', 134142),
(190417, 'PTHR10502:SF135', NULL, NULL, NULL, NULL, 'ANNEXIN', 134143),
(190418, 'PTHR34937:SF2', NULL, NULL, NULL, NULL, 'OS08G0559800 PROTEIN', 134144),
(190419, 'PTHR33107:SF16', NULL, NULL, NULL, NULL, '21 KDA SEED PROTEIN-LIKE', 134145);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(190420, 'PTHR19229:SF190', NULL, NULL, NULL, NULL, 'RETINAL-SPECIFIC ATP-BINDING CASSETTE TRANSPORTER', 134146),
(190421, 'PTHR21513:SF2', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 134147),
(190422, 'PTHR11164:SF0', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE CATALYTIC SUBUNIT', 134148),
(190423, 'PTHR23281:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134149),
(190424, 'PTHR31191:SF4', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 126 KDA', 134150),
(190425, 'PTHR48047:SF94', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 134151),
(190426, 'PTHR13136:SF11', NULL, NULL, NULL, NULL, 'KAT8 REGULATORY NSL COMPLEX SUBUNIT 3', 134152),
(190427, 'PTHR11913:SF83', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR-LIKE', 134153),
(190428, 'PTHR19918:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134154),
(190429, 'PTHR10138', NULL, NULL, NULL, NULL, 'TRYPTOPHAN 2,3-DIOXYGENASE', 134155),
(190430, 'PTHR11404:SF6', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [MN], MITOCHONDRIAL', 134156),
(190431, 'PTHR45726:SF3', NULL, NULL, NULL, NULL, 'LEUKOTRIENE A-4 HYDROLASE', 134157),
(190432, 'PTHR34000:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134158),
(190433, 'PTHR31642:SF146', NULL, NULL, NULL, NULL, 'TRANSFERASE', 134159),
(190434, 'PTHR13620:SF5', NULL, NULL, NULL, NULL, 'WERNER SYNDROME ATP-DEPENDENT HELICASE-LIKE', 134160),
(190435, 'PTHR33924:SF5', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', 134161),
(190436, 'PTHR10194:SF96', NULL, NULL, NULL, NULL, 'RAS PROTEIN ACTIVATOR LIKE-3', 134162),
(190437, 'PTHR43571:SF1', NULL, NULL, NULL, NULL, 'NADP-SPECIFIC GLUTAMATE DEHYDROGENASE 1-RELATED', 134163),
(190438, 'PTHR31050:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134164),
(190439, 'PTHR12585:SF54', NULL, NULL, NULL, NULL, 'RAD21 COHESIN COMPLEX COMPONENT-LIKE 1', 134165),
(190440, 'PTHR43825', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT', 134166),
(190441, 'PTHR24012:SF789', NULL, NULL, NULL, NULL, 'BRUNO 3, ISOFORM A', 134167),
(190442, 'PTHR24298:SF428', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY FLAVONE SYNTHASE', 134168),
(190443, 'PTHR24247:SF194', NULL, NULL, NULL, NULL, 'HISTAMINE H3 RECEPTOR', 134169),
(190444, 'PTHR36751:SF3', NULL, NULL, NULL, NULL, 'BNAC03G34890D PROTEIN', 134170),
(190445, 'PTHR13468:SF17', NULL, NULL, NULL, NULL, 'BNAC03G74680D PROTEIN', 134171),
(190446, 'PTHR43139:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134172),
(190447, 'PTHR22807:SF67', NULL, NULL, NULL, NULL, 'NOL1/NOP2/SUN DOMAIN FAMILY MEMBER 5B-RELATED', 134173),
(190448, 'PTHR37035', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 134174),
(190449, 'PTHR47675', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN BINDING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G11210)', 134175),
(190450, 'PTHR14140:SF41', NULL, NULL, NULL, NULL, 'BNAC08G49130D PROTEIN', 134176),
(190451, 'PTHR39342', NULL, NULL, NULL, NULL, 'UPF0283 MEMBRANE PROTEIN YCJF', 134177),
(190452, 'PTHR30540:SF13', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 17-RELATED', 134178),
(190453, 'PTHR16154:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134179),
(190454, 'PTHR23068:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134180),
(190455, 'PTHR47965:SF22', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 134181),
(190456, 'PTHR24377:SF316', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 189', 134182),
(190457, 'PTHR31161:SF25', NULL, NULL, NULL, NULL, 'GOLGIN CANDIDATE 5-LIKE', 134183),
(190458, 'PTHR31009:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134184),
(190459, 'PTHR13513:SF11', NULL, NULL, NULL, NULL, 'UBIQUITIN PROTEIN LIGASE E3 COMPONENT N-RECOGNIN 7', 134185),
(190460, 'PTHR21236:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', 134186),
(190461, 'PTHR36715', NULL, NULL, NULL, NULL, 'BNAANNG41370D PROTEIN', 134187),
(190462, 'PTHR34997:SF9', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03980)-RELATED', 134188),
(190463, 'PTHR41693:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134189);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(190464, 'PTHR24229:SF6', NULL, NULL, NULL, NULL, 'SOMATOSTATIN RECEPTOR TYPE 2', 134190),
(190465, 'PTHR18875:SF7', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 63 KDA', 134191),
(190466, 'PTHR11502:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', 134192),
(190467, 'PTHR30053', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR P', 134193),
(190468, 'PTHR22648', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR NUSA', 134194),
(190469, 'PTHR10024', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN', 134195),
(190470, 'PTHR46443:SF6', NULL, NULL, NULL, NULL, 'OS07G0175300 PROTEIN', 134196),
(190471, 'PTHR13238:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134197),
(190472, 'PTHR33681:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134198),
(190473, 'PTHR33144:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134199),
(190474, 'PTHR45813:SF1', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR F4', 134200),
(190475, 'PTHR31912:SF16', NULL, NULL, NULL, NULL, 'IP13529P', 134201),
(190476, 'PTHR31614:SF38', NULL, NULL, NULL, NULL, 'BNAA03G58200D PROTEIN', 134202),
(190477, 'PTHR32251', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE', 134203),
(190478, 'PTHR13108:SF9', NULL, NULL, NULL, NULL, 'CONDENSIN COMPLEX SUBUNIT 2', 134204),
(190479, 'PTHR45676:SF74', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 134205),
(190480, 'PTHR11434:SF17', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 4L', 134206),
(190481, 'PTHR32212:SF353', NULL, NULL, NULL, NULL, 'RNI-LIKE SUPERFAMILY PROTEIN', 134207),
(190482, 'PTHR31235:SF172', NULL, NULL, NULL, NULL, 'PEROXIDASE', 134208),
(190483, 'PTHR33332:SF25', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TYPE-1 RETROTRANSPOSABLE ELEMENT R1-LIKE PROTEIN', 134209),
(190484, 'PTHR10179:SF69', NULL, NULL, NULL, NULL, 'GROWTH-REGULATED ALPHA PROTEIN', 134210),
(190485, 'PTHR12126:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134211),
(190486, 'PTHR31327:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG09116', 134212),
(190487, 'PTHR42104:SF2', NULL, NULL, NULL, NULL, 'GUANYL-SPECIFIC RIBONUCLEASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G01200)-RELATED', 134213),
(190488, 'PTHR11062:SF219', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE XLT2-LIKE', 134214),
(190489, 'PTHR23354:SF113', NULL, NULL, NULL, NULL, 'TLD DOMAIN CONTAINING PROTEIN', 134215),
(190490, 'PTHR48034:SF8', NULL, NULL, NULL, NULL, 'OS08G0385900 PROTEIN', 134216),
(190491, 'PTHR10502:SF225', NULL, NULL, NULL, NULL, 'ANNEXIN', 134217),
(190492, 'PTHR35771:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 134218),
(190493, 'PTHR21136:SF92', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 721-LIKE', 134219),
(190494, 'PTHR31509:SF3', NULL, NULL, NULL, NULL, 'BPS1-LIKE PROTEIN', 134220),
(190495, 'PTHR45979:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134221),
(190496, 'PTHR31147:SF11', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 10', 134222),
(190497, 'PTHR42708:SF1', NULL, NULL, NULL, NULL, 'ATP/GTP-BINDING PROTEIN-RELATED', 134223),
(190498, 'PTHR36782:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134224),
(190499, 'PTHR22923:SF68', NULL, NULL, NULL, NULL, 'CEREBELLIN 10-RELATED', 134225),
(190500, 'PTHR23239:SF358', NULL, NULL, NULL, NULL, 'ZGC:92380', 134226),
(190501, 'PTHR46665', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH041-RELATED-RELATED', 134227),
(190502, 'PTHR31696:SF61', NULL, NULL, NULL, NULL, 'OS01G0268700 PROTEIN', 134228),
(190503, 'PTHR11945:SF593', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL61', 134229),
(190504, 'PTHR48085:SF9', NULL, NULL, NULL, NULL, 'BNAA07G36130D PROTEIN', 134230),
(190505, 'PTHR13715:SF53', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR TYPE 2', 134231),
(190506, 'PTHR43828', NULL, NULL, NULL, NULL, 'ASPARAGINASE', 134232),
(190507, 'PTHR47975:SF27', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 19', 134233),
(190508, 'PTHR28089', NULL, NULL, NULL, NULL, 'PROTEIN ZDS1-RELATED', 134234);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(190509, 'PTHR10108:SF1088', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT15-RELATED', 134235),
(190510, 'PTHR18945:SF571', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT BETA-3', 134236),
(190511, 'PTHR15020', NULL, NULL, NULL, NULL, 'FLAVIN REDUCTASE-RELATED', 134237),
(190512, 'PTHR13585:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 13', 134238),
(190513, 'PTHR31213:SF126', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL1', 134239),
(190514, 'PTHR35516:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 5', 134240),
(190515, 'PTHR16517:SF115', NULL, NULL, NULL, NULL, 'TUBBY-LIKE PROTEIN 4B', 134241),
(190516, 'PTHR38426', NULL, NULL, NULL, NULL, 'MAINTENANCE OF TELOMERE CAPPING PROTEIN 4', 134242),
(190517, 'PTHR16223:SF155', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 134243),
(190518, 'PTHR32052', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 134244),
(190519, 'PTHR47248:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08652', 134245),
(190520, 'PTHR27002:SF747', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RKS1', 134246),
(190521, 'PTHR11670', NULL, NULL, NULL, NULL, 'ACONITASE/IRON-RESPONSIVE ELEMENT FAMILY MEMBER', 134247),
(190522, 'PTHR12544:SF48', NULL, NULL, NULL, NULL, 'GLUTAMINASE 1', 134248),
(190523, 'PTHR31623:SF58', NULL, NULL, NULL, NULL, 'SALUTARIDINOL 7-O-ACETYLTRANSFERASE-LIKE', 134249),
(190524, 'PTHR10838', NULL, NULL, NULL, NULL, 'SYNAPTOGYRIN', 134250),
(190525, 'PTHR31719:SF151', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 68-LIKE', 134251),
(190526, 'PTHR15348:SF1', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 3A', 134252),
(190527, 'PTHR11743:SF71', NULL, NULL, NULL, NULL, 'BNACNNG52100D PROTEIN', 134253),
(190528, 'PTHR39615', NULL, NULL, NULL, NULL, 'YALI0E17897P', 134254),
(190529, 'PTHR11064:SF106', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-5', 134255),
(190530, 'PTHR10285:SF136', NULL, NULL, NULL, NULL, 'URACIL PHOSPHORIBOSYLTRANSFERASE', 134256),
(190531, 'PTHR10965:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134257),
(190532, 'PTHR31832:SF39', NULL, NULL, NULL, NULL, 'ORPHAN TRANSCRIPTION FACTOR', 134258),
(190533, 'PTHR13318:SF178', NULL, NULL, NULL, NULL, 'GRR1', 134259),
(190534, 'PTHR42663', NULL, NULL, NULL, NULL, 'HYDROLASE C777.06C-RELATED-RELATED', 134260),
(190535, 'PTHR11351:SF65', NULL, NULL, NULL, NULL, 'DELTA-9 ACYL-LIPID DESATURASE 1', 134261),
(190536, 'PTHR45706:SF4', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 134262),
(190537, 'PTHR31744:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134263),
(190538, 'PTHR11224:SF10', NULL, NULL, NULL, NULL, 'IP09428P-RELATED', 134264),
(190539, 'PTHR12199', NULL, NULL, NULL, NULL, 'INTERPHOTORECEPTOR MATRIX PROTEOGLYCAN', 134265),
(190540, 'PTHR15838', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN OF 40 KDA', 134266),
(190541, 'PTHR31259:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134267),
(190542, 'PTHR44516:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134268),
(190543, 'PTHR13803:SF42', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC24B', 134269),
(190544, 'PTHR46055:SF3', NULL, NULL, NULL, NULL, 'CIRCADIAN LOCOMOTER OUTPUT CYCLES PROTEIN KAPUT', 134270),
(190545, 'PTHR48007:SF26', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 1', 134271),
(190546, 'PTHR48002:SF157', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 134272),
(190547, 'PTHR48021:SF74', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', 134273),
(190548, 'PTHR44191:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134274),
(190549, 'PTHR19422:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134275),
(190550, 'PTHR11183:SF152', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE:XYLAN ALPHA-GLUCURONOSYLTRANSFERASE 1', 134276),
(190551, 'PTHR12398:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134277),
(190552, 'PTHR15860:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNFT1', 134278);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(190553, 'PTHR23335:SF34', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 1', 134279),
(190554, 'PTHR31113', NULL, NULL, NULL, NULL, 'UPF0496 PROTEIN 3-RELATED', 134280),
(190555, 'PTHR10782:SF10', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE PIAS3', 134281),
(190556, 'PTHR21136:SF114', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 7A', 134282),
(190557, 'PTHR11654:SF142', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE, EXPRESSED-RELATED', 134283),
(190558, 'PTHR19229:SF232', NULL, NULL, NULL, NULL, 'BNAC07G07140D PROTEIN', 134284),
(190559, 'PTHR22765:SF145', NULL, NULL, NULL, NULL, 'SI:DKEYP-86F7.4', 134285),
(190560, 'PTHR31218:SF152', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 134286),
(190561, 'PTHR24216', NULL, NULL, NULL, NULL, 'PAXILLIN-RELATED', 134287),
(190562, 'PTHR45651:SF44', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 4-LIKE', 134288),
(190563, 'PTHR11122:SF15', NULL, NULL, NULL, NULL, 'PROTEIN NDH-DEPENDENT CYCLIC ELECTRON FLOW 5', 134289),
(190564, 'PTHR10574:SF403', NULL, NULL, NULL, NULL, 'SP2353, ISOFORM A', 134290),
(190565, 'PTHR34145:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134291),
(190566, 'PTHR43161', NULL, NULL, NULL, NULL, 'SORBITOL DEHYDROGENASE', 134292),
(190567, 'PTHR11265:SF0', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 15-RELATED', 134293),
(190568, 'PTHR32123', NULL, NULL, NULL, NULL, 'BICD FAMILY-LIKE CARGO ADAPTER', 134294),
(190569, 'PTHR24032:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134295),
(190570, 'PTHR10972:SF182', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 9', 134296),
(190571, 'PTHR10414:SF72', NULL, NULL, NULL, NULL, 'AMINOALCOHOLPHOSPHOTRANSFERASE 1-RELATED', 134297),
(190572, 'PTHR42760:SF85', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE', 134298),
(190573, 'PTHR11461:SF286', NULL, NULL, NULL, NULL, 'NON-INHIBITORY SERPIN-Z11-RELATED', 134299),
(190574, 'PTHR30055:SF181', NULL, NULL, NULL, NULL, 'BLR6905 PROTEIN', 134300),
(190575, 'PTHR31050:SF7', NULL, NULL, NULL, NULL, 'DUF1262 FAMILY PROTEIN', 134301),
(190576, 'PTHR27008:SF252', NULL, NULL, NULL, NULL, 'CLV1 RECEPTOR KINASE-LIKE PROTEIN', 134302),
(190577, 'PTHR47941:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED SALT-INDUCIBLE PROTEIN-LIKE', 134303),
(190578, 'PTHR46114', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 134304),
(190579, 'PTHR35539', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC048562', 134305),
(190580, 'PTHR45913:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134306),
(190581, 'PTHR45528', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE CPXA', 134307),
(190582, 'PTHR11533:SF278', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 134308),
(190583, 'PTHR11022:SF68', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-RECOGNITION PROTEIN LF', 134309),
(190584, 'PTHR24296:SF165', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94B3-LIKE', 134310),
(190585, 'PTHR23023:SF268', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 134311),
(190586, 'PTHR31549:SF103', NULL, NULL, NULL, NULL, 'UPF0481 PROTEIN', 134312),
(190587, 'PTHR45952:SF12', NULL, NULL, NULL, NULL, 'STEM-SPECIFIC PROTEIN TSJT1-LIKE', 134313),
(190588, 'PTHR32285:SF43', NULL, NULL, NULL, NULL, 'OS02G0729100 PROTEIN', 134314),
(190589, 'PTHR23266:SF68', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY CONSTANT ALPHA 1-RELATED', 134315),
(190590, 'PTHR22753:SF41', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID/GLYCEROL ACYLTRANSFERASE-RELATED', 134316),
(190591, 'PTHR36744:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME OXIDASE ASSEMBLY PROTEIN', 134317),
(190592, 'PTHR48056:SF44', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE CLAVATA1', 134318),
(190593, 'PTHR47977:SF18', NULL, NULL, NULL, NULL, 'RABX5', 134319),
(190594, 'PTHR33469:SF17', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 3-LIKE', 134320),
(190595, 'PTHR37994:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134321),
(190596, 'PTHR37364:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 182', 134322),
(190597, 'PTHR11706:SF30', NULL, NULL, NULL, NULL, 'TRANSPORTER SMF1/ESP1', 134323);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(190598, 'PTHR22939:SF105', NULL, NULL, NULL, NULL, 'SERINE PROTEASE HTRA4', 134324),
(190599, 'PTHR34458:SF16', NULL, NULL, NULL, NULL, 'BNAC03G75730D PROTEIN', 134325),
(190600, 'PTHR46102:SF1', NULL, NULL, NULL, NULL, 'AXIN-2', 134326),
(190601, 'PTHR32026:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG18752', 134327),
(190602, 'PTHR31707:SF301', NULL, NULL, NULL, NULL, 'OS04G0587200 PROTEIN', 134328),
(190603, 'PTHR24349:SF441', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE (CDPK) FAMILY PROTEIN-RELATED', 134329),
(190604, 'PTHR48022:SF63', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 134330),
(190605, 'PTHR11926:SF1323', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 134331),
(190606, 'PTHR32432:SF11', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN-RELATED', 134332),
(190607, 'PTHR30505:SF28', NULL, NULL, NULL, NULL, 'PTS SYSTEM 2-O-ALPHA-MANNOSYL-D-GLYCERATE-SPECIFIC EIIABC COMPONENT-RELATED', 134333),
(190608, 'PTHR11635:SF129', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE TYPE I-ALPHA REGULATORY SUBUNIT', 134334),
(190609, 'PTHR11132:SF240', NULL, NULL, NULL, NULL, 'UDP-SUGAR TRANSPORTER UST74C', 134335),
(190610, 'PTHR43321:SF23', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 134336),
(190611, 'PTHR46430', NULL, NULL, NULL, NULL, 'PROTEIN SKT5-RELATED', 134337),
(190612, 'PTHR31744:SF4', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR', 134338),
(190613, 'PTHR33649:SF4', NULL, NULL, NULL, NULL, 'PAR1 PROTEIN', 134339),
(190614, 'PTHR12629:SF5', NULL, NULL, NULL, NULL, 'DIPHOSPHOINOSITOL POLYPHOSPHATE PHOSPHOHYDROLASE 1', 134340),
(190615, 'PTHR31650:SF25', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE (WSD1-LIKE) FAMILY PROTEIN', 134341),
(190616, 'PTHR34946:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN SHOOT GRAVITROPISM 5', 134342),
(190617, 'PTHR47260:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134343),
(190618, 'PTHR34361:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134344),
(190619, 'PTHR35392:SF2', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 134345),
(190620, 'PTHR15503:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134346),
(190621, 'PTHR47926:SF48', NULL, NULL, NULL, NULL, 'BNAC03G61110D PROTEIN', 134347),
(190622, 'PTHR11860:SF87', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 7', 134348),
(190623, 'PTHR10426:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134349),
(190624, 'PTHR10183:SF379', NULL, NULL, NULL, NULL, 'CALPAIN-5', 134350),
(190625, 'PTHR31989:SF301', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 71', 134351),
(190626, 'PTHR13384', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 1', 134352),
(190627, 'PTHR42799:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PEPTIDE METHIONINE SULFOXIDE REDUCTASE', 134353),
(190628, 'PTHR19865:SF8', NULL, NULL, NULL, NULL, 'BNAC06G26660D PROTEIN', 134354),
(190629, 'PTHR43624:SF2', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN-QUINONE OXIDOREDUCTASE YDIS-RELATED', 134355),
(190630, 'PTHR43180:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134356),
(190631, 'PTHR35509:SF1', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF1995)-RELATED', 134357),
(190632, 'PTHR36223:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134358),
(190633, 'PTHR48001:SF110', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 50', 134359),
(190634, 'PTHR46732:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE LA DOMAIN CONTAINING PROTEIN, EXPRESSED', 134360),
(190635, 'PTHR47979:SF49', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-11A', 134361),
(190636, 'PTHR36063:SF5', NULL, NULL, NULL, NULL, 'BNAA02G24330D PROTEIN', 134362),
(190637, 'PTHR23182:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-33C9.6', 134363),
(190638, 'PTHR24115:SF323', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 9', 134364),
(190639, 'PTHR10176:SF2', NULL, NULL, NULL, NULL, 'GLYCOGEN [STARCH] SYNTHASE, MUSCLE', 134365),
(190640, 'PTHR46971:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134366),
(190641, 'PTHR24353:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134367);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(190642, 'PTHR11043:SF4', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-2', 134368),
(190643, 'PTHR22761:SF53', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 32 HOMOLOG 2-LIKE', 134369),
(190644, 'PTHR23008:SF0', NULL, NULL, NULL, NULL, 'CHROMOSOME 28 C10ORF62 HOMOLOG', 134370),
(190645, 'PTHR45614:SF9', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN A', 134371),
(190646, 'PTHR11038:SF16', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM10', 134372),
(190647, 'PTHR24372:SF5', NULL, NULL, NULL, NULL, 'FOLLICLE-STIMULATING HORMONE RECEPTOR', 134373),
(190648, 'PTHR15104:SF0', NULL, NULL, NULL, NULL, 'DIHYDROPTERIDINE REDUCTASE', 134374),
(190649, 'PTHR27001:SF873', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-REGULATED RECEPTOR-LIKE KINASE 1', 134375),
(190650, 'PTHR13587', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 3', 134376),
(190651, 'PTHR23299:SF50', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1M', 134377),
(190652, 'PTHR33270:SF6', NULL, NULL, NULL, NULL, 'BNAA02G21500D PROTEIN', 134378),
(190653, 'PTHR36358:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134379),
(190654, 'PTHR45886:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG16589', 134380),
(190655, 'PTHR26391', NULL, NULL, NULL, NULL, 'INACTIVE TYROSINE-PROTEIN KINASE 7', 134381),
(190656, 'PTHR45913:SF5', NULL, NULL, NULL, NULL, 'EPM2A-INTERACTING PROTEIN 1', 134382),
(190657, 'PTHR33987:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134383),
(190658, 'PTHR31992:SF169', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.6', 134384),
(190659, 'PTHR12786:SF6', NULL, NULL, NULL, NULL, 'BNAA03G01920D PROTEIN', 134385),
(190660, 'PTHR46413:SF11', NULL, NULL, NULL, NULL, 'BNAC02G03130D PROTEIN', 134386),
(190661, 'PTHR31639:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134387),
(190662, 'PTHR10168:SF292', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S2 PROTEIN', 134388),
(190663, 'PTHR44337:SF18', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN RELATED CELL ADHESION MOLECULE 20', 134389),
(190664, 'PTHR12081:SF84', NULL, NULL, NULL, NULL, 'E2F TRANSCRIPTION FACTOR-LIKE E2FF', 134390),
(190665, 'PTHR11475:SF74', NULL, NULL, NULL, NULL, 'PEROXIDASIN HOMOLOG', 134391),
(190666, 'PTHR36062', NULL, NULL, NULL, NULL, 'OS01G0687300 PROTEIN', 134392),
(190667, 'PTHR31713:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 134393),
(190668, 'PTHR11926:SF1413', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 134394),
(190669, 'PTHR12937', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING 28, ISOFORM 2  VPS28', 134395),
(190670, 'PTHR47065', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 9', 134396),
(190671, 'PTHR10352:SF44', NULL, NULL, NULL, NULL, 'TRIVET, ISOFORM I', 134397),
(190672, 'PTHR45633:SF40', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60-2, MITOCHONDRIAL-LIKE', 134398),
(190673, 'PTHR24286:SF281', NULL, NULL, NULL, NULL, 'BNAA05G09340D PROTEIN', 134399),
(190674, 'PTHR43791:SF82', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 134400),
(190675, 'PTHR38924', NULL, NULL, NULL, NULL, 'ASPARAGINE AND ASPARTATE RICH PROTEIN 1', 134401),
(190676, 'PTHR47946:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A5', 134402),
(190677, 'PTHR19876:SF25', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''-3', 134403),
(190678, 'PTHR22762:SF89', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 31 PROTEIN', 134404),
(190679, 'PTHR46144:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 346', 134405),
(190680, 'PTHR26454:SF5', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 134406),
(190681, 'PTHR30509:SF9', NULL, NULL, NULL, NULL, 'P-HYDROXYBENZOIC ACID EFFLUX PUMP SUBUNIT', 134407),
(190682, 'PTHR47372:SF28', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS ABUNDANT PROTEIN, PUTATIVE-RELATED', 134408),
(190683, 'PTHR24396:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 644', 134409),
(190684, 'PTHR43019:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134410),
(190685, 'PTHR24015:SF1793', NULL, NULL, NULL, NULL, 'OS11G0109800 PROTEIN', 134411);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(190686, 'PTHR34118:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134412),
(190687, 'PTHR33168:SF6', NULL, NULL, NULL, NULL, 'OS05G0516100 PROTEIN', 134413),
(190688, 'PTHR12272:SF11', NULL, NULL, NULL, NULL, 'PAN2-PAN3 DEADENYLATION COMPLEX SUBUNIT PAN3', 134414),
(190689, 'PTHR10476:SF53', NULL, NULL, NULL, NULL, 'BNAA09G45880D PROTEIN', 134415),
(190690, 'PTHR14155:SF553', NULL, NULL, NULL, NULL, 'EL5-LIKE', 134416),
(190691, 'PTHR43019:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134417),
(190692, 'PTHR10366:SF695', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL 4-REDUCTASE', 134418),
(190693, 'PTHR35470:SF8', NULL, NULL, NULL, NULL, 'OS06G0143100 PROTEIN', 134419),
(190694, 'PTHR11161:SF60', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 134420),
(190695, 'PTHR24349:SF440', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR, SERINE/THREONINE PROTEIN KINASE, STRIATED MUSCLE-SPECIFIC-RELATED', 134421),
(190696, 'PTHR27007:SF301', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.9-LIKE', 134422),
(190697, 'PTHR14493:SF118', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 30', 134423),
(190698, 'PTHR24379', NULL, NULL, NULL, NULL, 'KRAB AND ZINC FINGER DOMAIN-CONTAINING', 134424),
(190699, 'PTHR26379:SF380', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134425),
(190700, 'PTHR24399:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 14', 134426),
(190701, 'PTHR10317', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT E', 134427),
(190702, 'PTHR11453:SF89', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 2-RELATED', 134428),
(190703, 'PTHR31647:SF13', NULL, NULL, NULL, NULL, '2-CELL-STAGE, VARIABLE GROUP, MEMBER 1-RELATED', 134429),
(190704, 'PTHR43859:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134430),
(190705, 'PTHR31213:SF86', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORTER', 134431),
(190706, 'PTHR23110:SF77', NULL, NULL, NULL, NULL, 'FI07618P-RELATED', 134432),
(190707, 'PTHR31378:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134433),
(190708, 'PTHR12931:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134434),
(190709, 'PTHR31378:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134435),
(190710, 'PTHR13800:SF6', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 4', 134436),
(190711, 'PTHR11556:SF39', NULL, NULL, NULL, NULL, 'BNAC04G26530D PROTEIN', 134437),
(190712, 'PTHR42760:SF91', NULL, NULL, NULL, NULL, 'CHLOROPLAST, PUTATIVE, EXPRESSED-RELATED', 134438),
(190713, 'PTHR36730', NULL, NULL, NULL, NULL, 'OS03G0210700 PROTEIN', 134439),
(190714, 'PTHR12128:SF52', NULL, NULL, NULL, NULL, '4-HYDROXY-2-OXOGLUTARATE ALDOLASE, MITOCHONDRIAL-RELATED', 134440),
(190715, 'PTHR48024:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134441),
(190716, 'PTHR31985:SF225', NULL, NULL, NULL, NULL, 'BNAC04G03870D PROTEIN', 134442),
(190717, 'PTHR45614:SF68', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 3R-1-LIKE', 134443),
(190718, 'PTHR43303:SF4', NULL, NULL, NULL, NULL, 'NADPH DEHYDROGENASE C23G7.10C-RELATED', 134444),
(190719, 'PTHR33136:SF69', NULL, NULL, NULL, NULL, 'BNAA09G07580D PROTEIN', 134445),
(190720, 'PTHR33078:SF68', NULL, NULL, NULL, NULL, 'YCF2-LIKE PROTEIN', 134446),
(190721, 'PTHR11153:SF17', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-5', 134447),
(190722, 'PTHR48068:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134448),
(190723, 'PTHR12040:SF26', NULL, NULL, NULL, NULL, 'BNAC06G27710D PROTEIN', 134449),
(190724, 'PTHR33102:SF60', NULL, NULL, NULL, NULL, 'OS05G0458200 PROTEIN', 134450),
(190725, 'PTHR13192:SF3', NULL, NULL, NULL, NULL, 'METHYLMALONIC ACIDURIA AND HOMOCYSTINURIA TYPE D PROTEIN, MITOCHONDRIAL', 134451),
(190726, 'PTHR10502:SF122', NULL, NULL, NULL, NULL, 'ANNEXIN A9', 134452),
(190727, 'PTHR15398:SF7', NULL, NULL, NULL, NULL, 'MCG121508', 134453),
(190728, 'PTHR34491:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134454),
(190729, 'PTHR31218:SF242', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 134455);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(190730, 'PTHR22740', NULL, NULL, NULL, NULL, 'PROTEIN KRBA1', 134456),
(190731, 'PTHR34502', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 134457),
(190732, 'PTHR11662:SF79', NULL, NULL, NULL, NULL, 'NA[+]-DEPENDENT INORGANIC PHOSPHATE COTRANSPORTER, ISOFORM A', 134458),
(190733, 'PTHR24138:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134459),
(190734, 'PTHR31494:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134460),
(190735, 'PTHR10901:SF8', NULL, NULL, NULL, NULL, 'TROPOMODULIN-1', 134461),
(190736, 'PTHR32227:SF385', NULL, NULL, NULL, NULL, 'BNAC04G24330D PROTEIN', 134462),
(190737, 'PTHR31676:SF89', NULL, NULL, NULL, NULL, 'OS07G0120500 PROTEIN', 134463),
(190738, 'PTHR34107:SF4', NULL, NULL, NULL, NULL, 'SLL1222 PROTEIN', 134464),
(190739, 'PTHR12542:SF138', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 134465),
(190740, 'PTHR10728', NULL, NULL, NULL, NULL, 'CYTOSOLIC PHOSPHOLIPASE A2', 134466),
(190741, 'PTHR15708:SF4', NULL, NULL, NULL, NULL, 'GH21160P-RELATED', 134467),
(190742, 'PTHR42862', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE DEHYDROGENASE 1, ISOFORM A-RELATED', 134468),
(190743, 'PTHR33021:SF245', NULL, NULL, NULL, NULL, 'BLUE COPPER BINDING PROTEIN', 134469),
(190744, 'PTHR31321:SF91', NULL, NULL, NULL, NULL, 'OS11G0659600 PROTEIN', 134470),
(190745, 'PTHR15593:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE 3-KINASE REGULATORY SUBUNIT 5', 134471),
(190746, 'PTHR12905:SF25', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN PHOSPHATASE', 134472),
(190747, 'PTHR39960', NULL, NULL, NULL, NULL, 'LD34147P', 134473),
(190748, 'PTHR21477:SF24', NULL, NULL, NULL, NULL, 'OS07G0124000 PROTEIN', 134474),
(190749, 'PTHR22603:SF78', NULL, NULL, NULL, NULL, 'CHOLINE KINASE A', 134475),
(190750, 'PTHR21736:SF36', NULL, NULL, NULL, NULL, 'PROTEIN OBERON 1-LIKE', 134476),
(190751, 'PTHR16469:SF43', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', 134477),
(190752, 'PTHR32031:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134478),
(190753, 'PTHR10168:SF295', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C13-LIKE', 134479),
(190754, 'PTHR27002:SF616', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', 134480),
(190755, 'PTHR15275:SF0', NULL, NULL, NULL, NULL, 'MASTERMIND-LIKE DOMAIN-CONTAINING PROTEIN 1', 134481),
(190756, 'PTHR11691:SF64', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-1/13', 134482),
(190757, 'PTHR34969', NULL, NULL, NULL, NULL, 'OS01G0621700 PROTEIN', 134483),
(190758, 'PTHR32507:SF0', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER 1', 134484),
(190759, 'PTHR43908:SF5', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 49', 134485),
(190760, 'PTHR10902:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35A', 134486),
(190761, 'PTHR11208:SF118', NULL, NULL, NULL, NULL, 'PROTEIN QUAKING-B', 134487),
(190762, 'PTHR31105:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134488),
(190763, 'PTHR31896:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134489),
(190764, 'PTHR11538', NULL, NULL, NULL, NULL, 'PHENYLALANYL-TRNA SYNTHETASE', 134490),
(190765, 'PTHR45959:SF3', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 134491),
(190766, 'PTHR11010:SF99', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 134492),
(190767, 'PTHR11926:SF995', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 134493),
(190768, 'PTHR12231:SF239', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE 1', 134494),
(190769, 'PTHR31906:SF14', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 4, CHLOROPLASTIC-RELATED', 134495),
(190770, 'PTHR23359:SF103', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE 1', 134496),
(190771, 'PTHR10742:SF344', NULL, NULL, NULL, NULL, 'PROTEIN CBR-HPO-15', 134497),
(190772, 'PTHR11802:SF15', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 30-RELATED', 134498),
(190773, 'PTHR14493:SF86', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 29', 134499),
(190774, 'PTHR12812:SF0', NULL, NULL, NULL, NULL, 'HEPARAN-SULFATE 6-O-SULFOTRANSFERASE', 134500);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(190775, 'PTHR47983:SF30', NULL, NULL, NULL, NULL, 'PTI1-LIKE TYROSINE-PROTEIN KINASE 3 ISOFORM X2', 134501),
(190776, 'PTHR31731:SF103', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 134502),
(190777, 'PTHR32074:SF2', NULL, NULL, NULL, NULL, 'RNA DEMETHYLASE ALKBH5', 134503),
(190778, 'PTHR34280:SF11', NULL, NULL, NULL, NULL, 'BNAA04G10670D PROTEIN', 134504),
(190779, 'PTHR10555:SF31', NULL, NULL, NULL, NULL, 'SORTING NEXIN-2', 134505),
(190780, 'PTHR12411:SF770', NULL, NULL, NULL, NULL, 'OS12G0273900 PROTEIN', 134506),
(190781, 'PTHR48049:SF89', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 134507),
(190782, 'PTHR21759:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG02240', 134508),
(190783, 'PTHR11113:SF15', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-PHOSPHATE DEACETYLASE-LIKE PROTEIN', 134509),
(190784, 'PTHR44873:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 30, MITOCHONDRIAL', 134510),
(190785, 'PTHR19300:SF32', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 2', 134511),
(190786, 'PTHR27005:SF292', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE PROTEIN', 134512),
(190787, 'PTHR14950:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134513),
(190788, 'PTHR11909', NULL, NULL, NULL, NULL, 'CASEIN KINASE-RELATED', 134514),
(190789, 'PTHR31607:SF20', NULL, NULL, NULL, NULL, 'OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT-LIKE PROTEIN, PUTATIVE (DUF1216)-RELATED', 134515),
(190790, 'PTHR45589:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134516),
(190791, 'PTHR21363', NULL, NULL, NULL, NULL, 'PREPHENATE DEHYDROGENASE', 134517),
(190792, 'PTHR10666:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134518),
(190793, 'PTHR45974:SF64', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE MSP1', 134519),
(190794, 'PTHR11835:SF63', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] REGULATORY SUBUNIT 3, MITOCHONDRIAL', 134520),
(190795, 'PTHR20982:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134521),
(190796, 'PTHR45845:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 4B', 134522),
(190797, 'PTHR34311:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG15143', 134523),
(190798, 'PTHR24388:SF37', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN SNAI1', 134524),
(190799, 'PTHR31544:SF5', NULL, NULL, NULL, NULL, 'PROTEIN AIG2 C', 134525),
(190800, 'PTHR14237:SF34', NULL, NULL, NULL, NULL, 'MOSC DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G07820)', 134526),
(190801, 'PTHR11802:SF341', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 134527),
(190802, 'PTHR13817:SF80', NULL, NULL, NULL, NULL, 'CONTACTIN 5', 134528),
(190803, 'PTHR46910', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PDR1', 134529),
(190804, 'PTHR31140:SF2', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR NGA2', 134530),
(190805, 'PTHR33791:SF15', NULL, NULL, NULL, NULL, 'BNAC09G37840D PROTEIN', 134531),
(190806, 'PTHR14167:SF23', NULL, NULL, NULL, NULL, 'CD2-ASSOCIATED PROTEIN', 134532),
(190807, 'PTHR10458:SF18', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE', 134533),
(190808, 'PTHR34926', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 134534),
(190809, 'PTHR45657:SF35', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH12-LIKE ISOFORM X1', 134535),
(190810, 'PTHR24300:SF343', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2A6', 134536),
(190811, 'PTHR21016', NULL, NULL, NULL, NULL, 'BETA-AMYLOID BINDING PROTEIN-RELATED', 134537),
(190812, 'PTHR11532:SF62', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE E', 134538),
(190813, 'PTHR11588:SF335', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 134539),
(190814, 'PTHR11636:SF76', NULL, NULL, NULL, NULL, 'POU DOMAIN PROTEIN 2, ISOFORM B-RELATED', 134540),
(190815, 'PTHR35270', NULL, NULL, NULL, NULL, 'FUSELESS, ISOFORM A', 134541),
(190816, 'PTHR31389:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CBG06353', 134542),
(190817, 'PTHR23268:SF24', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 16', 134543);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(190818, 'PTHR15742:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SOGA1', 134544),
(190819, 'PTHR23268:SF83', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 10-3', 134545),
(190820, 'PTHR10108:SF1080', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT15-RELATED', 134546),
(190821, 'PTHR31618:SF25', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', 134547),
(190822, 'PTHR46110:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HMX1', 134548),
(190823, 'PTHR11945:SF564', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 134549),
(190824, 'PTHR10795:SF657', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.6', 134550),
(190825, 'PTHR43183:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL DIHYDROXYACID DEHYDRATASE (EUROFUNG)', 134551),
(190826, 'PTHR28620:SF4', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN V', 134552),
(190827, 'PTHR36756', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 134553),
(190828, 'PTHR12393:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134554),
(190829, 'PTHR43790:SF1', NULL, NULL, NULL, NULL, 'XYLOSE IMPORT ATP-BINDING PROTEIN XYLG', 134555),
(190830, 'PTHR22084:SF1', NULL, NULL, NULL, NULL, 'GEX INTERACTING PROTEIN', 134556),
(190831, 'PTHR42928:SF3', NULL, NULL, NULL, NULL, 'UPF0065 PROTEIN YFLP', 134557),
(190832, 'PTHR24220:SF608', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM ATP-BINDING PROTEIN LOLD 2', 134558),
(190833, 'PTHR31929:SF123', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR20', 134559),
(190834, 'PTHR46502:SF1', NULL, NULL, NULL, NULL, 'OS02G0640000 PROTEIN', 134560),
(190835, 'PTHR33227:SF29', NULL, NULL, NULL, NULL, 'PROTEIN STIG1', 134561),
(190836, 'PTHR11514:SF127', NULL, NULL, NULL, NULL, 'OS09G0519100 PROTEIN', 134562),
(190837, 'PTHR34491:SF38', NULL, NULL, NULL, NULL, 'M PROTEIN REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_6G08660)', 134563),
(190838, 'PTHR33077:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 9', 134564),
(190839, 'PTHR24089:SF708', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 23B', 134565),
(190840, 'PTHR47992:SF48', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 34-RELATED', 134566),
(190841, 'PTHR24369:SF157', NULL, NULL, NULL, NULL, 'PLATELET GLYCOPROTEIN IB ALPHA CHAIN', 134567),
(190842, 'PTHR45662:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC6-LIKE', 134568),
(190843, 'PTHR43436:SF2', NULL, NULL, NULL, NULL, 'ARAC/XYLS FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 134569),
(190844, 'PTHR45691:SF1', NULL, NULL, NULL, NULL, 'FH2 DOMAIN-CONTAINING PROTEIN 1', 134570),
(190845, 'PTHR31388:SF194', NULL, NULL, NULL, NULL, 'PEROXIDASE', 134571),
(190846, 'PTHR32009:SF80', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE COP1-LIKE', 134572),
(190847, 'PTHR23354:SF105', NULL, NULL, NULL, NULL, 'RESTRICTION OF TELOMERE CAPPING PROTEIN 5', 134573),
(190848, 'PTHR31618:SF16', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', 134574),
(190849, 'PTHR13723:SF158', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 3', 134575),
(190850, 'PTHR36931:SF1', NULL, NULL, NULL, NULL, 'UPF0153 PROTEIN YEIW', 134576),
(190851, 'PTHR42152', NULL, NULL, NULL, NULL, 'PROTEIN GDF5OS, MITOCHONDRIAL', 134577),
(190852, 'PTHR33543:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134578),
(190853, 'PTHR22811:SF168', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA5', 134579),
(190854, 'PTHR42793:SF1', NULL, NULL, NULL, NULL, 'COA BINDING DOMAIN CONTAINING PROTEIN', 134580),
(190855, 'PTHR46008:SF25', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 134581),
(190856, 'PTHR31791:SF30', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 134582),
(190857, 'PTHR46506:SF41', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 134583),
(190858, 'PTHR24637:SF293', NULL, NULL, NULL, NULL, 'BLISTERED CUTICLE', 134584),
(190859, 'PTHR11480:SF84', NULL, NULL, NULL, NULL, 'BCDNA.GH08312', 134585),
(190860, 'PTHR22925:SF56', NULL, NULL, NULL, NULL, 'ARABINANASE/LEVANSUCRASE/INVERTASE', 134586);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(190861, 'PTHR24381:SF337', NULL, NULL, NULL, NULL, 'ZFP790 PROTEIN', 134587),
(190862, 'PTHR45648:SF107', NULL, NULL, NULL, NULL, 'ESTER HYDROLASE, PUTATIVE-RELATED', 134588),
(190863, 'PTHR12369:SF17', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 134589),
(190864, 'PTHR11475:SF4', NULL, NULL, NULL, NULL, 'LD42267P', 134590),
(190865, 'PTHR48081:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134591),
(190866, 'PTHR11880:SF45', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S19, CHLOROPLASTIC', 134592),
(190867, 'PTHR23273:SF72', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT A-LIKE', 134593),
(190868, 'PTHR13422:SF12', NULL, NULL, NULL, NULL, 'SIN3-HDAC COMPLEX-ASSOCIATED FACTOR', 134594),
(190869, 'PTHR10037:SF14', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 7 SUBUNIT ALPHA', 134595),
(190870, 'PTHR31270:SF1', NULL, NULL, NULL, NULL, 'GLUTAMINYL-PEPTIDE CYCLOTRANSFERASE', 134596),
(190871, 'PTHR46482:SF10', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE 1, CHLOROPLASTIC', 134597),
(190872, 'PTHR11654:SF512', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.3', 134598),
(190873, 'PTHR33669:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134599),
(190874, 'PTHR26379:SF253', NULL, NULL, NULL, NULL, 'SPECKLE-TYPE POZ PROTEIN-LIKE PROTEIN', 134600),
(190875, 'PTHR45670:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134601),
(190876, 'PTHR35849:SF1', NULL, NULL, NULL, NULL, 'INTERMEMBRANE PHOSPHOLIPID TRANSPORT SYSTEM BINDING PROTEIN MLAB', 134602),
(190877, 'PTHR33057:SF142', NULL, NULL, NULL, NULL, 'OVATE PROTEIN FAMILY, DNA-BINDING DOMAIN, OVATE FAMILY-LIKE PROTEIN-RELATED', 134603),
(190878, 'PTHR43207:SF7', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDROGENASE', 134604),
(190879, 'PTHR42860:SF1', NULL, NULL, NULL, NULL, 'VITAMIN B12-BINDING PROTEIN', 134605),
(190880, 'PTHR10201:SF266', NULL, NULL, NULL, NULL, 'MATRIXIN FAMILY PROTEIN-RELATED', 134606),
(190881, 'PTHR22744:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG05686', 134607),
(190882, 'PTHR31374:SF265', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 134608),
(190883, 'PTHR34116:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134609),
(190884, 'PTHR36791:SF2', NULL, NULL, NULL, NULL, 'OS03G0363400 PROTEIN', 134610),
(190885, 'PTHR46558:SF10', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', 134611),
(190886, 'PTHR10484:SF186', NULL, NULL, NULL, NULL, 'HISTONE H4', 134612),
(190887, 'PTHR12482:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134613),
(190888, 'PTHR12345', NULL, NULL, NULL, NULL, 'SYNTENIN RELATED', 134614),
(190889, 'PTHR45669', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN DOMAIN-CONTAINING CYSTEINE-RICH PROTEIN CG12206-RELATED', 134615),
(190890, 'PTHR22870:SF416', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', 134616),
(190891, 'PTHR10358:SF29', NULL, NULL, NULL, NULL, 'OS01G0249300 PROTEIN', 134617),
(190892, 'PTHR23220:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134618),
(190893, 'PTHR11003:SF287', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBUNIT N2P17M2-2-RELATED', 134619),
(190894, 'PTHR13681:SF26', NULL, NULL, NULL, NULL, 'SURVIVAL OF MOTOR NEURON-RELATED-SPLICING FACTOR 30', 134620),
(190895, 'PTHR26379:SF345', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 5-RELATED', 134621),
(190896, 'PTHR15312', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE RECEPTOR TYPE C-ASSOCIATED PROTEIN', 134622),
(190897, 'PTHR12107:SF2', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-8 SUBUNIT', 134623),
(190898, 'PTHR16134:SF104', NULL, NULL, NULL, NULL, 'TRANSPORT INHIBITOR RESPONSE 1-LIKE PROTEIN', 134624),
(190899, 'PTHR24073:SF862', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-32', 134625),
(190900, 'PTHR46018:SF5', NULL, NULL, NULL, NULL, 'RIBONUCLEASE Z', 134626),
(190901, 'PTHR19241:SF510', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 39-LIKE', 134627),
(190902, 'PTHR23515:SF9', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE TRANSPORTER NARK', 134628); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(190903, 'PTHR24246:SF48', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 88', 134629),
(190904, 'PTHR31602:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134630),
(190905, 'PTHR33709:SF24', NULL, NULL, NULL, NULL, 'BNAC05G12870D PROTEIN', 134631),
(190906, 'PTHR33739:SF10', NULL, NULL, NULL, NULL, 'OS05G0312000 PROTEIN', 134632),
(190907, 'PTHR13723:SF275', NULL, NULL, NULL, NULL, 'STALL, ISOFORM C', 134633),
(190908, 'PTHR44099', NULL, NULL, NULL, NULL, 'RABCONNECTIN-3B, ISOFORM A', 134634),
(190909, 'PTHR13318:SF187', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 134635),
(190910, 'PTHR47330', NULL, NULL, NULL, NULL, 'POLY(U)-BINDING-SPLICING FACTOR PUF60-B-RELATED', 134636),
(190911, 'PTHR11595:SF68', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA 2', 134637),
(190912, 'PTHR43310:SF1', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER YBAR-RELATED', 134638),
(190913, 'PTHR10992:SF1061', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134639),
(190914, 'PTHR48056:SF35', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE HSL2', 134640),
(190915, 'PTHR28540:SF1', NULL, NULL, NULL, NULL, 'BCL2-ASSOCIATED AGONIST OF CELL DEATH', 134641),
(190916, 'PTHR24257:SF15', NULL, NULL, NULL, NULL, 'MYELOBLASTIN', 134642),
(190917, 'PTHR47015:SF1', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A MEMBER 1', 134643),
(190918, 'PTHR47926:SF104', NULL, NULL, NULL, NULL, 'BNAC06G18640D PROTEIN', 134644),
(190919, 'PTHR33408', NULL, NULL, NULL, NULL, 'TRANSPOSASE', 134645),
(190920, 'PTHR27003:SF329', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING PROTEIN OF THE ER PROTEIN', 134646),
(190921, 'PTHR11715:SF32', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', 134647),
(190922, 'PTHR22835:SF612', NULL, NULL, NULL, NULL, 'OS02G0604000 PROTEIN', 134648),
(190923, 'PTHR24303:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134649),
(190924, 'PTHR31235:SF262', NULL, NULL, NULL, NULL, 'PEROXIDASE', 134650),
(190925, 'PTHR10209:SF172', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', 134651),
(190926, 'PTHR21838:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 137', 134652),
(190927, 'PTHR31879:SF8', NULL, NULL, NULL, NULL, 'DET1- AND DDB1-ASSOCIATED PROTEIN 1', 134653),
(190928, 'PTHR12198', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN PROSPERO/PROX-1/CEH-26', 134654),
(190929, 'PTHR33269:SF15', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT J', 134655),
(190930, 'PTHR24258:SF114', NULL, NULL, NULL, NULL, 'LP04014P-RELATED', 134656),
(190931, 'PTHR11783:SF173', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 3', 134657),
(190932, 'PTHR14136:SF22', NULL, NULL, NULL, NULL, 'OS10G0438000 PROTEIN', 134658),
(190933, 'PTHR36480:SF9', NULL, NULL, NULL, NULL, 'OS06G0121700 PROTEIN', 134659),
(190934, 'PTHR24073:SF1044', NULL, NULL, NULL, NULL, 'OS08G0525000 PROTEIN', 134660),
(190935, 'PTHR45974:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134661),
(190936, 'PTHR11705:SF87', NULL, NULL, NULL, NULL, 'AGAP006206-PA', 134662),
(190937, 'PTHR10835:SF18', NULL, NULL, NULL, NULL, 'BNAC04G28910D PROTEIN', 134663),
(190938, 'PTHR33388:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SPOROCYTELESS', 134664),
(190939, 'PTHR45620:SF5', NULL, NULL, NULL, NULL, 'GASTRIC INHIBITORY POLYPEPTIDE RECEPTOR', 134665),
(190940, 'PTHR31235:SF205', NULL, NULL, NULL, NULL, 'PEROXIDASE', 134666),
(190941, 'PTHR24240:SF152', NULL, NULL, NULL, NULL, 'PINOPSIN', 134667),
(190942, 'PTHR12035:SF116', NULL, NULL, NULL, NULL, 'BRANCHED CHAIN KETO ACID DEHYDROGENASE E1, BETA POLYPEPTIDE,-LIKE-RELATED', 134668),
(190943, 'PTHR31226:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 117', 134669),
(190944, 'PTHR21666:SF271', NULL, NULL, NULL, NULL, 'CELL WALL ENDOPEPTIDASE, FAMILY M23/M37', 134670),
(190945, 'PTHR45832:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134671),
(190946, 'PTHR34948', NULL, NULL, NULL, NULL, 'OS08G0299200 PROTEIN', 134672),
(190947, 'PTHR19845:SF19', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1 HOMOLOG', 134673);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(190948, 'PTHR14516:SF3', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE DEHYDROGENASE, MITOCHONDRIAL', 134674),
(190949, 'PTHR13683:SF779', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 2', 134675),
(190950, 'PTHR34360:SF8', NULL, NULL, NULL, NULL, 'TROPOMYOSIN-LIKE', 134676),
(190951, 'PTHR23359:SF79', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE ISOENZYME 5', 134677),
(190952, 'PTHR20961:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134678),
(190953, 'PTHR10417:SF2', NULL, NULL, NULL, NULL, 'GLUCOCORTICOID MODULATORY ELEMENT-BINDING PROTEIN 2', 134679),
(190954, 'PTHR24015:SF1726', NULL, NULL, NULL, NULL, 'OS03G0861900 PROTEIN', 134680),
(190955, 'PTHR43330:SF5', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', 134681),
(190956, 'PTHR11850:SF281', NULL, NULL, NULL, NULL, 'BNACNNG21740D PROTEIN', 134682),
(190957, 'PTHR23130:SF188', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 134683),
(190958, 'PTHR24414:SF68', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN', 134684),
(190959, 'PTHR12789:SF0', NULL, NULL, NULL, NULL, 'DENSITY-REGULATED PROTEIN', 134685),
(190960, 'PTHR42535', NULL, NULL, NULL, NULL, 'OOKINETE PROTEIN, PUTATIVE-RELATED', 134686),
(190961, 'PTHR33184:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134687),
(190962, 'PTHR31656:SF25', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN-RELATED / LEA PROTEIN-RELATED', 134688),
(190963, 'PTHR13848:SF56', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 134689),
(190964, 'PTHR43180:SF60', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE 3A-LIKE', 134690),
(190965, 'PTHR46736:SF20', NULL, NULL, NULL, NULL, 'NON-LTR RETROELEMENT REVERSE TRANSCRIPTASE-RELATED', 134691),
(190966, 'PTHR11614:SF174', NULL, NULL, NULL, NULL, 'BLL2902 PROTEIN', 134692),
(190967, 'PTHR23528', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 134693),
(190968, 'PTHR21736:SF20', NULL, NULL, NULL, NULL, 'PROTEIN OBERON 4', 134694),
(190969, 'PTHR35392:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134695),
(190970, 'PTHR21669:SF2', NULL, NULL, NULL, NULL, 'CAPZ-INTERACTING PROTEIN', 134696),
(190971, 'PTHR13195:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL MRNA PSEUDOURIDINE SYNTHASE TRUB2', 134697),
(190972, 'PTHR14499:SF74', NULL, NULL, NULL, NULL, 'PROTEIN CBG04376', 134698),
(190973, 'PTHR31589:SF152', NULL, NULL, NULL, NULL, 'BNAC01G14960D PROTEIN', 134699),
(190974, 'PTHR24044', NULL, NULL, NULL, NULL, 'NOTCH LIGAND FAMILY MEMBER', 134700),
(190975, 'PTHR13962:SF26', NULL, NULL, NULL, NULL, 'SI:CH211-145O7.3', 134701),
(190976, 'PTHR31676:SF139', NULL, NULL, NULL, NULL, 'BNAA05G30170D PROTEIN', 134702),
(190977, 'PTHR28388:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 237', 134703),
(190978, 'PTHR22780', NULL, NULL, NULL, NULL, 'ADAPTIN, ALPHA/GAMMA/EPSILON', 134704),
(190979, 'PTHR11945:SF472', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 105-RELATED', 134705),
(190980, 'PTHR45649:SF46', NULL, NULL, NULL, NULL, 'BNAA02G27130D PROTEIN', 134706),
(190981, 'PTHR23076:SF49', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 7, CHLOROPLASTIC', 134707),
(190982, 'PTHR22946:SF8', NULL, NULL, NULL, NULL, 'BLR5359 PROTEIN', 134708),
(190983, 'PTHR24250:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134709),
(190984, 'PTHR18952:SF198', NULL, NULL, NULL, NULL, 'EUKARYOTIC-TYPE CARBONIC ANHYDRASE', 134710),
(190985, 'PTHR46706:SF5', NULL, NULL, NULL, NULL, 'PROTEIN QUA-1', 134711),
(190986, 'PTHR15071:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134712),
(190987, 'PTHR11738:SF86', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY A MEMBER 2', 134713),
(190988, 'PTHR12232:SF0', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING GLUTAMIC ACID-RICH PROTEIN HOMOLOG', 134714),
(190989, 'PTHR42800:SF2', NULL, NULL, NULL, NULL, 'INVERTASE 2', 134715),
(190990, 'PTHR31674:SF39', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 2', 134716),
(190991, 'PTHR21371:SF1', NULL, NULL, NULL, NULL, 'KETOL-ACID REDUCTOISOMERASE, MITOCHONDRIAL', 134717);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(190992, 'PTHR31325:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134718),
(190993, 'PTHR24384:SF99', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 805', 134719),
(190994, 'PTHR22950:SF292', NULL, NULL, NULL, NULL, 'OS06G0633800 PROTEIN', 134720),
(190995, 'PTHR34936:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 134721),
(190996, 'PTHR24177:SF232', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 134722),
(190997, 'PTHR11566:SF148', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED GTP-BINDING PROTEIN MXA-RELATED', 134723),
(190998, 'PTHR10835:SF15', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE 2, MITOCHONDRIAL', 134724),
(190999, 'PTHR10015:SF369', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-1-RELATED', 134725),
(191000, 'PTHR47970:SF14', NULL, NULL, NULL, NULL, '125 KDA KINESIN-RELATED PROTEIN-LIKE ISOFORM X1', 134726),
(191001, 'PTHR45714:SF16', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT4', 134727),
(191002, 'PTHR37935:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134728),
(191003, 'PTHR46324:SF22', NULL, NULL, NULL, NULL, 'BNAC02G38190D PROTEIN', 134729),
(191004, 'PTHR46008:SF37', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.2 ISOFORM X1', 134730),
(191005, 'PTHR11599:SF183', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-7-B', 134731),
(191006, 'PTHR45666:SF34', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 7', 134732),
(191007, 'PTHR11088:SF71', NULL, NULL, NULL, NULL, 'ISOPENTENYLTRANSFERASE 4-RELATED', 134733),
(191008, 'PTHR43173:SF33', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-ALPHA-GLUCOSIDASE AGN1-RELATED', 134734),
(191009, 'PTHR33448:SF10', NULL, NULL, NULL, NULL, 'PROTAMINE P1 FAMILY PROTEIN', 134735),
(191010, 'PTHR31279:SF52', NULL, NULL, NULL, NULL, 'PHOSPHATE-INDUCED PROTEIN 1-RELATED', 134736),
(191011, 'PTHR24222:SF30', NULL, NULL, NULL, NULL, 'ATP-BINDING/PERMEASE PROTEIN CYDC', 134737),
(191012, 'PTHR33540', NULL, NULL, NULL, NULL, 'TRNA THREONYLCARBAMOYLADENOSINE BIOSYNTHESIS PROTEIN TSAE', 134738),
(191013, 'PTHR14495:SF2', NULL, NULL, NULL, NULL, 'SHIELDIN COMPLEX SUBUNIT 2', 134739),
(191014, 'PTHR36058:SF1', NULL, NULL, NULL, NULL, 'NUCLEOPHOSMIN', 134740),
(191015, 'PTHR33414:SF8', NULL, NULL, NULL, NULL, 'OS09G0559200 PROTEIN', 134741),
(191016, 'PTHR11991:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134742),
(191017, 'PTHR31750:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134743),
(191018, 'PTHR24299:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134744),
(191019, 'PTHR11070:SF46', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE HMI1, MITOCHONDRIAL', 134745),
(191020, 'PTHR46067:SF24', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 134746),
(191021, 'PTHR31719:SF143', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 18', 134747),
(191022, 'PTHR11908:SF135', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE', 134748),
(191023, 'PTHR35104:SF10', NULL, NULL, NULL, NULL, 'OS07G0573200 PROTEIN', 134749),
(191024, 'PTHR48080:SF4', NULL, NULL, NULL, NULL, 'GLUCARATE DEHYDRATASE', 134750),
(191025, 'PTHR37311', NULL, NULL, NULL, NULL, '2-PHOSPHOSULFOLACTATE PHOSPHATASE-RELATED', 134751),
(191026, 'PTHR11236:SF22', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE COMPONENT 1', 134752),
(191027, 'PTHR46033:SF40', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 134753),
(191028, 'PTHR10574:SF270', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT GAMMA-1', 134754),
(191029, 'PTHR12322:SF70', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR 1', 134755),
(191030, 'PTHR35311:SF6', NULL, NULL, NULL, NULL, 'OSJNBA0020I02.11 PROTEIN', 134756),
(191031, 'PTHR31221:SF225', NULL, NULL, NULL, NULL, 'BNAA07G24310D PROTEIN', 134757),
(191032, 'PTHR10336:SF161', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 134758),
(191033, 'PTHR31415:SF133', NULL, NULL, NULL, NULL, 'BNAA02G10130D PROTEIN', 134759),
(191034, 'PTHR35213:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134760);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(191035, 'PTHR11385:SF12', NULL, NULL, NULL, NULL, 'RIKEN CDNA 5830473C10 GENE', 134761),
(191036, 'PTHR47926:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134762),
(191037, 'PTHR11062:SF287', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN-RELATED', 134763),
(191038, 'PTHR33172:SF73', NULL, NULL, NULL, NULL, 'BNAC04G36320D PROTEIN', 134764),
(191039, 'PTHR11783:SF234', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 134765),
(191040, 'PTHR12864:SF49', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN M HOMOLOG', 134766),
(191041, 'PTHR48015:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAK 6', 134767),
(191042, 'PTHR24373:SF292', NULL, NULL, NULL, NULL, 'TSUKUSHIN', 134768),
(191043, 'PTHR18966:SF491', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 134769),
(191044, 'PTHR23208:SF14', NULL, NULL, NULL, NULL, 'LYSOZYME-RELATED', 134770),
(191045, 'PTHR23226:SF214', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 32', 134771),
(191046, 'PTHR34297:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 134772),
(191047, 'PTHR48019:SF7', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL104 ISOFORM X1', 134773),
(191048, 'PTHR11309:SF75', NULL, NULL, NULL, NULL, 'FRIZZLED-6', 134774),
(191049, 'PTHR43330', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', 134775),
(191050, 'PTHR15239', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 134776),
(191051, 'PTHR47614:SF2', NULL, NULL, NULL, NULL, 'GLYCOPHORIN-C', 134777),
(191052, 'PTHR45704:SF1', NULL, NULL, NULL, NULL, 'RAS-LIKE FAMILY 11 MEMBER A', 134778),
(191053, 'PTHR12859:SF1', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN 2', 134779),
(191054, 'PTHR16201:SF34', NULL, NULL, NULL, NULL, 'LYSOSOMAL AMINO ACID TRANSPORTER 1', 134780),
(191055, 'PTHR32212:SF358', NULL, NULL, NULL, NULL, 'BNAC09G08850D PROTEIN', 134781),
(191056, 'PTHR35910', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 134782),
(191057, 'PTHR12517', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13B', 134783),
(191058, 'PTHR21004:SF0', NULL, NULL, NULL, NULL, 'PEROXISOMAL LEADER PEPTIDE-PROCESSING PROTEASE', 134784),
(191059, 'PTHR11955:SF143', NULL, NULL, NULL, NULL, 'CELLULAR RETINOIC ACID-BINDING PROTEIN 2', 134785),
(191060, 'PTHR23055:SF65', NULL, NULL, NULL, NULL, 'KV CHANNEL-INTERACTING PROTEIN 2', 134786),
(191061, 'PTHR31155:SF14', NULL, NULL, NULL, NULL, 'STEAROYL-ACYL-CARRIER-PROTEIN DESATURASE7', 134787),
(191062, 'PTHR32448:SF129', NULL, NULL, NULL, NULL, 'TETRAHYDROCANNABINOLIC ACID SYNTHASE-LIKE', 134788),
(191063, 'PTHR43139:SF47', NULL, NULL, NULL, NULL, 'MESODERM-SPECIFIC TRANSCRIPT PROTEIN', 134789),
(191064, 'PTHR33193:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134790),
(191065, 'PTHR11469:SF12', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE ISOMERASE', 134791),
(191066, 'PTHR47184:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-AND 4-KINASE FAMILY PROTEIN-RELATED', 134792),
(191067, 'PTHR43900:SF59', NULL, NULL, NULL, NULL, 'OS05G0148900 PROTEIN', 134793),
(191068, 'PTHR47749', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 134794),
(191069, 'PTHR47495:SF2', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 134795),
(191070, 'PTHR39234:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 210', 134796),
(191071, 'PTHR42093', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 134797),
(191072, 'PTHR31941:SF12', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE-BINDING PROTEIN SLM1-RELATED', 134798),
(191073, 'PTHR48103:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134799),
(191074, 'PTHR45969:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134800),
(191075, 'PTHR15564:SF8', NULL, NULL, NULL, NULL, 'BMP/RETINOIC ACID-INDUCIBLE NEURAL-SPECIFIC PROTEIN 2', 134801),
(191076, 'PTHR31827:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134802),
(191077, 'PTHR10676:SF380', NULL, NULL, NULL, NULL, 'DYNEIN, AXONEMAL, HEAVY POLYPEPTIDE 9-LIKE', 134803),
(191078, 'PTHR37260:SF2', NULL, NULL, NULL, NULL, 'PHOSPHORELAY PROTEIN', 134804),
(191079, 'PTHR43423', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 17', 134805); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(191080, 'PTHR36023:SF12', NULL, NULL, NULL, NULL, 'ARGOS8', 134806),
(191081, 'PTHR23360', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 134807),
(191082, 'PTHR43000:SF18', NULL, NULL, NULL, NULL, 'RHM1', 134808),
(191083, 'PTHR10177:SF464', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE PROTEIN-RELATED', 134809),
(191084, 'PTHR19282:SF467', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 2A-LIKE', 134810),
(191085, 'PTHR23033:SF41', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1', 134811),
(191086, 'PTHR46213:SF14', NULL, NULL, NULL, NULL, 'ROS1, PUTATIVE-RELATED', 134812),
(191087, 'PTHR10795:SF532', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', 134813),
(191088, 'PTHR22900:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG16438', 134814),
(191089, 'PTHR32227:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134815),
(191090, 'PTHR32059:SF0', NULL, NULL, NULL, NULL, 'RAB11-BINDING PROTEIN RELCH', 134816),
(191091, 'PTHR43880:SF11', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1B', 134817),
(191092, 'PTHR48041:SF16', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORTER', 134818),
(191093, 'PTHR17463', NULL, NULL, NULL, NULL, 'SCRAPIE-RESPONSIVE PROTEIN 1 SCRG1', 134819),
(191094, 'PTHR48020:SF21', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 4-LIKE', 134820),
(191095, 'PTHR44542', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE 18', 134821),
(191096, 'PTHR43178', NULL, NULL, NULL, NULL, 'DIHYDROLIPOAMIDE ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX', 134822),
(191097, 'PTHR31895:SF21', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', 134823),
(191098, 'PTHR34987:SF2', NULL, NULL, NULL, NULL, 'B, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05040)-RELATED', 134824),
(191099, 'PTHR28147:SF1', NULL, NULL, NULL, NULL, 'N-GLYCOSYLATION PROTEIN EOS1', 134825),
(191100, 'PTHR35038:SF8', NULL, NULL, NULL, NULL, 'DISSIMILATORY SULFITE REDUCTASE SIRA', 134826),
(191101, 'PTHR20932:SF39', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-BINDING LYSM DOMAIN-CONTAINING PROTEIN', 134827),
(191102, 'PTHR13375:SF3', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 5 HOMOLOG', 134828),
(191103, 'PTHR31790:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134829),
(191104, 'PTHR43326:SF6', NULL, NULL, NULL, NULL, 'BNAA09G34980D PROTEIN', 134830),
(191105, 'PTHR10693:SF70', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN, NTF2-LIKE DOMAIN PROTEIN-RELATED', 134831),
(191106, 'PTHR11863:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134832),
(191107, 'PTHR43867:SF2', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE CATALYTIC SUBUNIT A [UDP-FORMING]', 134833),
(191108, 'PTHR36407', NULL, NULL, NULL, NULL, 'MEDIATOR-ASSOCIATED PROTEIN 2', 134834),
(191109, 'PTHR12129:SF14', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE 2-O-SULFOTRANSFERASE 1', 134835),
(191110, 'PTHR14549:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 223-LIKE', 134836),
(191111, 'PTHR47992:SF63', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 54-RELATED', 134837),
(191112, 'PTHR23324:SF66', NULL, NULL, NULL, NULL, 'PROTEIN REAL-TIME', 134838),
(191113, 'PTHR23426:SF53', NULL, NULL, NULL, NULL, 'FERREDOXIN 1', 134839),
(191114, 'PTHR27002:SF666', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134840),
(191115, 'PTHR23176:SF99', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACP', 134841),
(191116, 'PTHR13265:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134842),
(191117, 'PTHR45850:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN 6, ISOFORM B', 134843),
(191118, 'PTHR11064:SF38', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-1', 134844),
(191119, 'PTHR21515:SF2', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 134845),
(191120, 'PTHR21593:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG26933', 134846),
(191121, 'PTHR24390:SF74', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 410', 134847),
(191122, 'PTHR32153:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134848),
(191123, 'PTHR24416:SF90', NULL, NULL, NULL, NULL, 'RECEPTOR TYROSINE-PROTEIN KINASE ERBB-4', 134849);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(191124, 'PTHR11831:SF26', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9-1', 134850),
(191125, 'PTHR47486', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE-LIKE PROTEIN 1', 134851),
(191126, 'PTHR24223:SF165', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 15-RELATED', 134852),
(191127, 'PTHR31945:SF120', NULL, NULL, NULL, NULL, 'BNAC02G34640D PROTEIN', 134853),
(191128, 'PTHR13483:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER HIT DOMAIN-CONTAINING PROTEIN 3', 134854),
(191129, 'PTHR31042:SF125', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 134855),
(191130, 'PTHR12044:SF9', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 11', 134856),
(191131, 'PTHR31374:SF187', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32-LIKE', 134857),
(191132, 'PTHR32285:SF12', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 13', 134858),
(191133, 'PTHR24068:SF364', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134859),
(191134, 'PTHR10219:SF80', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN 2', 134860),
(191135, 'PTHR23293:SF12', NULL, NULL, NULL, NULL, 'FAD SYNTHASE-LIKE', 134861),
(191136, 'PTHR11005:SF101', NULL, NULL, NULL, NULL, 'LIPASE', 134862),
(191137, 'PTHR11972:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134863),
(191138, 'PTHR11913:SF94', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 7', 134864),
(191139, 'PTHR34562:SF8', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING PROTEIN 2', 134865),
(191140, 'PTHR43214:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN COMA', 134866),
(191141, 'PTHR33365:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134867),
(191142, 'PTHR31388:SF155', NULL, NULL, NULL, NULL, 'PEROXIDASE', 134868),
(191143, 'PTHR13986:SF3', NULL, NULL, NULL, NULL, 'CARTILAGE-ASSOCIATED PROTEIN', 134869),
(191144, 'PTHR10221:SF18', NULL, NULL, NULL, NULL, 'TATA BOX ASSOCIATED FACTOR II 59-RELATED', 134870),
(191145, 'PTHR31205:SF56', NULL, NULL, NULL, NULL, 'BNAA08G20090D PROTEIN', 134871),
(191146, 'PTHR32014:SF2', NULL, NULL, NULL, NULL, 'BCL-2-MODIFYING FACTOR', 134872),
(191147, 'PTHR23172:SF69', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 134873),
(191148, 'PTHR24353:SF91', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, CGMP-DEPENDENT', 134874),
(191149, 'PTHR11709:SF287', NULL, NULL, NULL, NULL, 'OS03G0297900 PROTEIN', 134875),
(191150, 'PTHR12972', NULL, NULL, NULL, NULL, 'DOWNSTREAM NEIGHBOR OF SON', 134876),
(191151, 'PTHR33021:SF324', NULL, NULL, NULL, NULL, 'BNAC05G48580D PROTEIN', 134877),
(191152, 'PTHR13254:SF2', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 7B', 134878),
(191153, 'PTHR24637:SF268', NULL, NULL, NULL, NULL, 'COLLAGEN', 134879),
(191154, 'PTHR46809:SF2', NULL, NULL, NULL, NULL, 'STROMAL CELL-DERIVED FACTOR 2-LIKE PROTEIN', 134880),
(191155, 'PTHR11852:SF0', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE IB SUBUNIT BETA HOMOLOG', 134881),
(191156, 'PTHR24015:SF1758', NULL, NULL, NULL, NULL, 'OS02G0290000 PROTEIN', 134882),
(191157, 'PTHR33727:SF18', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF3317)-RELATED', 134883),
(191158, 'PTHR33672:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134884),
(191159, 'PTHR40280', NULL, NULL, NULL, NULL, 'BLR6907 PROTEIN', 134885),
(191160, 'PTHR24409:SF351', NULL, NULL, NULL, NULL, 'PLAG1 LIKE ZINC FINGER 2', 134886),
(191161, 'PTHR10314', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-SYNTHASE', 134887),
(191162, 'PTHR34554', NULL, NULL, NULL, NULL, 'RGS1-HXK1-INTERACTING PROTEIN 1', 134888),
(191163, 'PTHR31325:SF7', NULL, NULL, NULL, NULL, 'OS06G0124300 PROTEIN', 134889),
(191164, 'PTHR31599', NULL, NULL, NULL, NULL, 'CALCIUM UP-REGULATED PROTEIN A-RELATED', 134890),
(191165, 'PTHR42040', NULL, NULL, NULL, NULL, 'INNER KINETOCHORE SUBUNIT FTA4', 134891),
(191166, 'PTHR22835:SF292', NULL, NULL, NULL, NULL, 'ESTERASE-LIKE ISOFORM X1', 134892),
(191167, 'PTHR44140:SF2', NULL, NULL, NULL, NULL, 'LD25575P', 134893),
(191168, 'PTHR11783:SF187', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 134894);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(191169, 'PTHR11937:SF487', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN 6A', 134895),
(191170, 'PTHR35901:SF2', NULL, NULL, NULL, NULL, 'EXONUCLEASE VAPC9', 134896),
(191171, 'PTHR36326:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134897),
(191172, 'PTHR47928:SF17', NULL, NULL, NULL, NULL, 'OS03G0441400 PROTEIN', 134898),
(191173, 'PTHR23155:SF704', NULL, NULL, NULL, NULL, 'OS12G0511600 PROTEIN', 134899),
(191174, 'PTHR41800', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 134900),
(191175, 'PTHR24567:SF68', NULL, NULL, NULL, NULL, 'CAMP-ACTIVATED GLOBAL TRANSCRIPTIONAL REGULATOR CRP', 134901),
(191176, 'PTHR14843', NULL, NULL, NULL, NULL, 'DEUBIQUITINATING PROTEIN VCIP135', 134902),
(191177, 'PTHR24373:SF306', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEATS AND IMMUNOGLOBULIN-LIKE DOMAINS PROTEIN 2', 134903),
(191178, 'PTHR33844:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134904),
(191179, 'PTHR13780:SF108', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX5-LIKE', 134905),
(191180, 'PTHR10353:SF229', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 18-LIKE ISOFORM X1', 134906),
(191181, 'PTHR31081:SF11', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 1-LIKE', 134907),
(191182, 'PTHR34115:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134908),
(191183, 'PTHR31389:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG11316', 134909),
(191184, 'PTHR10869:SF151', NULL, NULL, NULL, NULL, 'FI16820P1-RELATED', 134910),
(191185, 'PTHR31552:SF26', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-31', 134911),
(191186, 'PTHR26374:SF391', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN, PUTATIVE-RELATED', 134912),
(191187, 'PTHR31388:SF202', NULL, NULL, NULL, NULL, 'PEROXIDASE', 134913),
(191188, 'PTHR24399:SF49', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 41 ISOFORM A', 134914),
(191189, 'PTHR45966:SF13', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 134915),
(191190, 'PTHR26450:SF177', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52I1-RELATED', 134916),
(191191, 'PTHR33059:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134917),
(191192, 'PTHR46046:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP9', 134918),
(191193, 'PTHR47992:SF106', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', 134919),
(191194, 'PTHR31642:SF250', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134920),
(191195, 'PTHR43674:SF2', NULL, NULL, NULL, NULL, 'BETA-UREIDOPROPIONASE', 134921),
(191196, 'PTHR27007:SF206', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.1-LIKE', 134922),
(191197, 'PTHR31832:SF57', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 18', 134923),
(191198, 'PTHR42826:SF8', NULL, NULL, NULL, NULL, 'GLUTAMATE/MALATE TRANSLOCATOR', 134924),
(191199, 'PTHR32502:SF2', NULL, NULL, NULL, NULL, 'D-TAGATOSE-1,6-BISPHOSPHATE ALDOLASE SUBUNIT KBAZ', 134925),
(191200, 'PTHR33346:SF36', NULL, NULL, NULL, NULL, 'BNAA09G07980D PROTEIN', 134926),
(191201, 'PTHR19134:SF475', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 134927),
(191202, 'PTHR47967:SF56', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 134928),
(191203, 'PTHR37536:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02970)-RELATED', 134929),
(191204, 'PTHR11017:SF230', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY-RELATED', 134930),
(191205, 'PTHR14132:SF16', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR-RELATED', 134931),
(191206, 'PTHR33132:SF55', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN', 134932),
(191207, 'PTHR28029', NULL, NULL, NULL, NULL, 'PROTEIN ILM1', 134933),
(191208, 'PTHR31726:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ICE2', 134934),
(191209, 'PTHR48001:SF32', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 134935),
(191210, 'PTHR31642:SF210', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 134936),
(191211, 'PTHR24421:SF48', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE COMP', 134937),
(191212, 'PTHR27006:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134938);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(191213, 'PTHR12403:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134939),
(191214, 'PTHR34932:SF1', NULL, NULL, NULL, NULL, 'TRPL TRANSLOCATION DEFECT PROTEIN 14', 134940),
(191215, 'PTHR12537:SF164', NULL, NULL, NULL, NULL, 'PUF (PUMILIO/FBF) DOMAIN-CONTAINING', 134941),
(191216, 'PTHR31080:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134942),
(191217, 'PTHR33346:SF37', NULL, NULL, NULL, NULL, 'RAB PROTEIN', 134943),
(191218, 'PTHR24068:SF311', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 12-RELATED', 134944),
(191219, 'PTHR30086:SF21', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN-RELATED', 134945),
(191220, 'PTHR23112:SF44', NULL, NULL, NULL, NULL, 'CYCLIC AMP RECEPTOR-LIKE PROTEIN G', 134946),
(191221, 'PTHR34772:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN HFQ', 134947),
(191222, 'PTHR31250:SF14', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM2', 134948),
(191223, 'PTHR13069', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 134949),
(191224, 'PTHR45912:SF3', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 47', 134950),
(191225, 'PTHR11132:SF359', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSPORTER 2', 134951),
(191226, 'PTHR34936:SF9', NULL, NULL, NULL, NULL, 'BNACNNG19990D PROTEIN', 134952),
(191227, 'PTHR43415', NULL, NULL, NULL, NULL, 'SPERMIDINE N(1)-ACETYLTRANSFERASE', 134953),
(191228, 'PTHR10677:SF49', NULL, NULL, NULL, NULL, 'UBIQUITIN FAMILY PROTEIN', 134954),
(191229, 'PTHR34197:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134955),
(191230, 'PTHR11236:SF9', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE COMPONENT 1', 134956),
(191231, 'PTHR11062:SF220', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE XLT2-LIKE', 134957),
(191232, 'PTHR48002:SF41', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 134958),
(191233, 'PTHR48040:SF23', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3-LIKE', 134959),
(191234, 'PTHR35471:SF1', NULL, NULL, NULL, NULL, 'OS07G0223700 PROTEIN', 134960),
(191235, 'PTHR33641:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134961),
(191236, 'PTHR18966:SF524', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 134962),
(191237, 'PTHR39223', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700029H14 GENE', 134963),
(191238, 'PTHR31790:SF411', NULL, NULL, NULL, NULL, 'BNACNNG32450D PROTEIN', 134964),
(191239, 'PTHR34462:SF5', NULL, NULL, NULL, NULL, 'OS02G0582200 PROTEIN', 134965),
(191240, 'PTHR11596:SF75', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE-RELATED', 134966),
(191241, 'PTHR13806:SF38', NULL, NULL, NULL, NULL, 'FLOTILLIN-LIKE PROTEIN 3', 134967),
(191242, 'PTHR22778:SF52', NULL, NULL, NULL, NULL, 'ESTERASE AGAP003155', 134968),
(191243, 'PTHR15238:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134969),
(191244, 'PTHR46270:SF2', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD', 134970),
(191245, 'PTHR14326:SF36', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) PROTEIN FAMILY', 134971),
(191246, 'PTHR24103:SF416', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 12C-RELATED', 134972),
(191247, 'PTHR47991:SF75', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', 134973),
(191248, 'PTHR47852', NULL, NULL, NULL, NULL, 'OS06G0298400 PROTEIN', 134974),
(191249, 'PTHR31120:SF10', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TIKI1', 134975),
(191250, 'PTHR22891:SF3', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE-3', 134976),
(191251, 'PTHR12864:SF60', NULL, NULL, NULL, NULL, 'BNAA03G60080D PROTEIN', 134977),
(191252, 'PTHR44019:SF11', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 8', 134978),
(191253, 'PTHR33147:SF27', NULL, NULL, NULL, NULL, 'DEFENSIN PROTEIN', 134979),
(191254, 'PTHR32219:SF12', NULL, NULL, NULL, NULL, 'PROTON PUMP-INTERACTOR 4', 134980),
(191255, 'PTHR34561:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX ASSEMBLY FACTOR 8', 134981),
(191256, 'PTHR31560:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 134982),
(191257, 'PTHR31282:SF75', NULL, NULL, NULL, NULL, 'OS02G0462800 PROTEIN', 134983);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(191258, 'PTHR44427:SF1', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 1', 134984),
(191259, 'PTHR10791:SF184', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 134985),
(191260, 'PTHR11709:SF302', NULL, NULL, NULL, NULL, 'ASCORBATE OXIDASE-LIKE PROTEIN', 134986),
(191261, 'PTHR33184:SF59', NULL, NULL, NULL, NULL, 'BNAA01G34760D PROTEIN', 134987),
(191262, 'PTHR31042:SF25', NULL, NULL, NULL, NULL, 'OSJNBB0056F09.13 PROTEIN', 134988),
(191263, 'PTHR43096:SF48', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ', 134989),
(191264, 'PTHR31263:SF0', NULL, NULL, NULL, NULL, 'CELLULASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G14560)', 134990),
(191265, 'PTHR36309:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 134991),
(191266, 'PTHR13018:SF103', NULL, NULL, NULL, NULL, 'BNAA01G18580D PROTEIN', 134992),
(191267, 'PTHR43134:SF7', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSY HOMOLOG, CHLOROPLASTIC', 134993),
(191268, 'PTHR45974:SF196', NULL, NULL, NULL, NULL, 'BNAA06G40690D PROTEIN', 134994),
(191269, 'PTHR44329:SF101', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY8', 134995),
(191270, 'PTHR17102:SF4', NULL, NULL, NULL, NULL, 'NEURONAL REGENERATION-RELATED PROTEIN', 134996),
(191271, 'PTHR39381:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14824', 134997),
(191272, 'PTHR11006:SF60', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 9', 134998),
(191273, 'PTHR31179:SF5', NULL, NULL, NULL, NULL, 'RAB GTPASE-BINDING EFFECTOR PROTEIN 1', 134999),
(191274, 'PTHR34130:SF3', NULL, NULL, NULL, NULL, 'OS08G0243800 PROTEIN', 135000),
(191275, 'PTHR48051', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 135001),
(191276, 'PTHR31435:SF10', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', 135002),
(191277, 'PTHR13817:SF100', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-LIKE AND FIBRONECTIN TYPE III DOMAIN-CONTAINING 1, TANDEM DUPLICATE 2-RELATED', 135003),
(191278, 'PTHR22789:SF8', NULL, NULL, NULL, NULL, 'L-RIBULOSE-5-PHOSPHATE 4-EPIMERASE SGBE', 135004),
(191279, 'PTHR12526:SF595', NULL, NULL, NULL, NULL, 'BLL5217 PROTEIN', 135005),
(191280, 'PTHR13798:SF11', NULL, NULL, NULL, NULL, 'OS01G0876500 PROTEIN', 135006),
(191281, 'PTHR13723:SF189', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 12', 135007),
(191282, 'PTHR48001:SF166', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 135008),
(191283, 'PTHR31503:SF40', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', 135009),
(191284, 'PTHR33641:SF2', NULL, NULL, NULL, NULL, 'BNAA08G06880D PROTEIN', 135010),
(191285, 'PTHR41542:SF1', NULL, NULL, NULL, NULL, 'BLL5807 PROTEIN', 135011),
(191286, 'PTHR30136:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 135012),
(191287, 'PTHR33107:SF26', NULL, NULL, NULL, NULL, 'MIRACULIN-LIKE', 135013),
(191288, 'PTHR31549:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135014),
(191289, 'PTHR10562:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135015),
(191290, 'PTHR45136:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135016),
(191291, 'PTHR44500:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 12', 135017),
(191292, 'PTHR35149:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135018),
(191293, 'PTHR33065:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135019),
(191294, 'PTHR35306:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135020),
(191295, 'PTHR15597:SF26', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN FOX-1 HOMOLOG 1', 135021),
(191296, 'PTHR31852:SF228', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135022),
(191297, 'PTHR13527', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 135023),
(191298, 'PTHR24177:SF271', NULL, NULL, NULL, NULL, 'PEROXIDASE', 135024),
(191299, 'PTHR33599:SF9', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 135025),
(191300, 'PTHR34538:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 135026),
(191301, 'PTHR32227:SF340', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN-RELATED', 135027);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(191302, 'PTHR34369:SF6', NULL, NULL, NULL, NULL, 'OS07G0147500 PROTEIN', 135028),
(191303, 'PTHR15264:SF2', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 1', 135029),
(191304, 'PTHR31966:SF15', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN MT2085-LIKE', 135030),
(191305, 'PTHR24253:SF54', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TUMORIGENICITY 14 PROTEIN HOMOLOG', 135031),
(191306, 'PTHR16504:SF6', NULL, NULL, NULL, NULL, '5''(3'')-DEOXYRIBONUCLEOTIDASE, MITOCHONDRIAL', 135032),
(191307, 'PTHR42738:SF13', NULL, NULL, NULL, NULL, 'LYASE, MITOCHONDRIAL, PUTATIVE, EXPRESSED-RELATED', 135033),
(191308, 'PTHR10768:SF19', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', 135034),
(191309, 'PTHR46436:SF2', NULL, NULL, NULL, NULL, 'DOUBLE C2-LIKE DOMAIN-CONTAINING PROTEIN', 135035),
(191310, 'PTHR33681:SF18', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', 135036),
(191311, 'PTHR36056:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135037),
(191312, 'PTHR43341:SF15', NULL, NULL, NULL, NULL, 'GENERAL AMINO ACID PERMEASE AGP2', 135038),
(191313, 'PTHR42991', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 135039),
(191314, 'PTHR28023', NULL, NULL, NULL, NULL, 'UPF0357 PROTEIN YCL012C', 135040),
(191315, 'PTHR35702', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 135041),
(191316, 'PTHR12084', NULL, NULL, NULL, NULL, 'NUCLEAR PORE GLYCOPROTEIN P62-RELATED', 135042),
(191317, 'PTHR34451:SF10', NULL, NULL, NULL, NULL, 'BNAA08G26340D PROTEIN', 135043),
(191318, 'PTHR31866', NULL, NULL, NULL, NULL, 'GENE 4779-RELATED', 135044),
(191319, 'PTHR16502:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135045),
(191320, 'PTHR22956:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG01487', 135046),
(191321, 'PTHR32266:SF16', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE 4-RELATED', 135047),
(191322, 'PTHR46538', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 135048),
(191323, 'PTHR46133:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH115-LIKE', 135049),
(191324, 'PTHR32387:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135050),
(191325, 'PTHR24293', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 46 SUBFAMILY A', 135051),
(191326, 'PTHR33386:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135052),
(191327, 'PTHR27003:SF343', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE, PROTEIN KINASE-LIKE DOMAIN PROTEIN-RELATED', 135053),
(191328, 'PTHR13318:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135054),
(191329, 'PTHR31384:SF122', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 135055),
(191330, 'PTHR33745', NULL, NULL, NULL, NULL, 'RSBT ANTAGONIST PROTEIN RSBS-RELATED', 135056),
(191331, 'PTHR48022:SF32', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER, PUTATIVE-RELATED', 135057),
(191332, 'PTHR47990:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135058),
(191333, 'PTHR11875:SF48', NULL, NULL, NULL, NULL, 'ASSEMBLY PROTEIN, PUTATIVE-RELATED', 135059),
(191334, 'PTHR14379:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135060),
(191335, 'PTHR19845', NULL, NULL, NULL, NULL, 'KATANIN P80 SUBUNIT', 135061),
(191336, 'PTHR24230:SF60', NULL, NULL, NULL, NULL, 'UROTENSIN-2 RECEPTOR', 135062),
(191337, 'PTHR45833:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL HOMOCYSTEINE S-METHYLTRANSFERASE/5,10-METHYLENETETRAHYDROFOLATE REDUCTASE', 135063),
(191338, 'PTHR46288:SF23', NULL, NULL, NULL, NULL, 'BNAC04G03640D PROTEIN', 135064),
(191339, 'PTHR46073:SF5', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE', 135065),
(191340, 'PTHR24305:SF107', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 135066),
(191341, 'PTHR24327:SF21', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DLX-4', 135067),
(191342, 'PTHR21143:SF104', NULL, NULL, NULL, NULL, 'GUSTATORY AND PHEROMONE RECEPTOR 32A-RELATED', 135068),
(191343, 'PTHR42781', NULL, NULL, NULL, NULL, 'SPERMIDINE/PUTRESCINE IMPORT ATP-BINDING PROTEIN POTA', 135069),
(191344, 'PTHR25952:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135070),
(191345, 'PTHR21041:SF2', NULL, NULL, NULL, NULL, 'DENDRITIC CELL-SPECIFIC TRANSMEMBRANE PROTEIN', 135071);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(191346, 'PTHR23040', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 135072),
(191347, 'PTHR45798:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135073),
(191348, 'PTHR10983:SF51', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 2', 135074),
(191349, 'PTHR32370:SF140', NULL, NULL, NULL, NULL, 'SKP1/BTB/POZ DOMAIN, NPH3 DOMAIN PROTEIN-RELATED', 135075),
(191350, 'PTHR31789:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 135076),
(191351, 'PTHR46248:SF12', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1, LEUCINE-ZIPPER-RELATED', 135077),
(191352, 'PTHR43313:SF18', NULL, NULL, NULL, NULL, 'DIETARY RESTRICTION DOWN REGULATED', 135078),
(191353, 'PTHR24028:SF117', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-B4', 135079),
(191354, 'PTHR10072:SF57', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER BIOSYNTHESIS FAMILY PROTEIN', 135080),
(191355, 'PTHR31911', NULL, NULL, NULL, NULL, 'PROTEIN FAM133', 135081),
(191356, 'PTHR31972:SF16', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF868)-RELATED', 135082),
(191357, 'PTHR11709:SF253', NULL, NULL, NULL, NULL, 'LACCASE FAMILY PROTEIN-RELATED', 135083),
(191358, 'PTHR14359:SF17', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENOYLCYSTEINE DECARBOXYLASE SUBUNIT SIS2-RELATED', 135084),
(191359, 'PTHR24408:SF50', NULL, NULL, NULL, NULL, 'PARAQUAT (METHYLVIOLOGEN) RESPONSIVE', 135085),
(191360, 'PTHR13935:SF120', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 135086),
(191361, 'PTHR11909:SF395', NULL, NULL, NULL, NULL, 'OS01G0198200 PROTEIN', 135087),
(191362, 'PTHR37909', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 135088),
(191363, 'PTHR30483:SF6', NULL, NULL, NULL, NULL, 'OS09G0428600 PROTEIN', 135089),
(191364, 'PTHR10037:SF137', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT T-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1G', 135090),
(191365, 'PTHR31929:SF88', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', 135091),
(191366, 'PTHR37418:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135092),
(191367, 'PTHR13902:SF151', NULL, NULL, NULL, NULL, 'BNAA05G17210D PROTEIN', 135093),
(191368, 'PTHR24073:SF1134', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 135094),
(191369, 'PTHR23411:SF18', NULL, NULL, NULL, NULL, 'TAPASIN-RELATED PROTEIN', 135095),
(191370, 'PTHR35731', NULL, NULL, NULL, NULL, '8-AMINO-7-OXONONANOATE SYNTHASE', 135096),
(191371, 'PTHR11101', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 135097),
(191372, 'PTHR11920:SF477', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', 135098),
(191373, 'PTHR24559:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135099),
(191374, 'PTHR24222:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135100),
(191375, 'PTHR31357:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-12', 135101),
(191376, 'PTHR38761', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE', 135102),
(191377, 'PTHR14326:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135103),
(191378, 'PTHR31388:SF222', NULL, NULL, NULL, NULL, 'PEROXIDASE', 135104),
(191379, 'PTHR31048:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135105),
(191380, 'PTHR12011:SF328', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR E2', 135106),
(191381, 'PTHR38926:SF27', NULL, NULL, NULL, NULL, 'BNAANNG30020D PROTEIN', 135107),
(191382, 'PTHR47996:SF1', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 135108),
(191383, 'PTHR45970:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B9', 135109),
(191384, 'PTHR15146:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR137C', 135110),
(191385, 'PTHR11255:SF99', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 135111),
(191386, 'PTHR11442:SF41', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT ZETA', 135112),
(191387, 'PTHR43581:SF4', NULL, NULL, NULL, NULL, 'BLL4632 PROTEIN', 135113),
(191388, 'PTHR39535:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135114),
(191389, 'PTHR38764:SF1', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN PHOSPHODIESTERASE', 135115);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(191390, 'PTHR37234', NULL, NULL, NULL, NULL, 'OS03G0319200 PROTEIN', 135116),
(191391, 'PTHR38092:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135117),
(191392, 'PTHR47076:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135118),
(191393, 'PTHR11260:SF632', NULL, NULL, NULL, NULL, 'BNAA09G29540D PROTEIN', 135119),
(191394, 'PTHR33463:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135120),
(191395, 'PTHR31803:SF18', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE 1B, MITOCHONDRIAL-RELATED', 135121),
(191396, 'PTHR10367:SF13', NULL, NULL, NULL, NULL, 'OS12G0193200 PROTEIN', 135122),
(191397, 'PTHR47255:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135123),
(191398, 'PTHR11787:SF20', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', 135124),
(191399, 'PTHR24399:SF15', NULL, NULL, NULL, NULL, 'POZ-, AT HOOK-, AND ZINC FINGER-CONTAINING PROTEIN 1', 135125),
(191400, 'PTHR47992:SF90', NULL, NULL, NULL, NULL, 'BNAA03G00600D PROTEIN', 135126),
(191401, 'PTHR47926:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135127),
(191402, 'PTHR11849:SF206', NULL, NULL, NULL, NULL, 'ETS TRANSLOCATION VARIANT 2', 135128),
(191403, 'PTHR31375:SF233', NULL, NULL, NULL, NULL, 'BNAC04G03170D PROTEIN', 135129),
(191404, 'PTHR30570:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATE-BINDING PROTEIN PSTS', 135130),
(191405, 'PTHR31325:SF147', NULL, NULL, NULL, NULL, 'OS01G0798800 PROTEIN', 135131),
(191406, 'PTHR11571:SF203', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 135132),
(191407, 'PTHR32166:SF63', NULL, NULL, NULL, NULL, 'HAT TRANSPOSON SUPERFAMILY PROTEIN', 135133),
(191408, 'PTHR43969:SF7', NULL, NULL, NULL, NULL, 'GST-CONTAINING FLYWCH ZINC-FINGER PROTEIN', 135134),
(191409, 'PTHR11685:SF341', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 135135),
(191410, 'PTHR45826:SF13', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER-RELATED', 135136),
(191411, 'PTHR24055:SF441', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 135137),
(191412, 'PTHR45090:SF6', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 20 CHLOROPLASTIC', 135138),
(191413, 'PTHR10696:SF44', NULL, NULL, NULL, NULL, 'TAUD/TFDA-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 135139),
(191414, 'PTHR31639:SF192', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, FBD DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 135140),
(191415, 'PTHR24115:SF938', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 135141),
(191416, 'PTHR13802:SF43', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 2', 135142),
(191417, 'PTHR24356:SF361', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 135143),
(191418, 'PTHR32089:SF97', NULL, NULL, NULL, NULL, 'METHYL ACCEPTING SENSORY TRANSDUCER WITH CACHE_1 SMALL MOLECULE BINDING DOMAIN', 135144),
(191419, 'PTHR14338:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135145),
(191420, 'PTHR13664', NULL, NULL, NULL, NULL, 'BECLIN 1-ASSOCIATED AUTOPHAGY-RELATED KEY REGULATOR', 135146),
(191421, 'PTHR34858:SF1', NULL, NULL, NULL, NULL, 'CYSO-CYSTEINE PEPTIDASE', 135147),
(191422, 'PTHR14154:SF97', NULL, NULL, NULL, NULL, 'BNAC09G20020D PROTEIN', 135148),
(191423, 'PTHR10841:SF6', NULL, NULL, NULL, NULL, 'SYNAPSIN-3', 135149),
(191424, 'PTHR19241:SF324', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', 135150),
(191425, 'PTHR22663:SF19', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 212B', 135151),
(191426, 'PTHR31390:SF11', NULL, NULL, NULL, NULL, 'OS10G0550750 PROTEIN', 135152),
(191427, 'PTHR31300:SF25', NULL, NULL, NULL, NULL, 'DUF620 FAMILY PROTEIN (DUF620)', 135153),
(191428, 'PTHR42762', NULL, NULL, NULL, NULL, 'BIOTIN SYNTHASE-RELATED PROTEIN, RADICAL SAM SUPERFAMILY', 135154),
(191429, 'PTHR32285:SF273', NULL, NULL, NULL, NULL, 'PROTEIN PMR5-LIKE', 135155),
(191430, 'PTHR31218:SF270', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 135156),
(191431, 'PTHR34809:SF1', NULL, NULL, NULL, NULL, 'MALTOSE EXCESS PROTEIN 1, CHLOROPLASTIC-RELATED', 135157),
(191432, 'PTHR11010:SF31', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 135158);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(191433, 'PTHR33108:SF52', NULL, NULL, NULL, NULL, 'BNAA06G01330D PROTEIN', 135159),
(191434, 'PTHR32444:SF131', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 135160),
(191435, 'PTHR24096:SF345', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 2', 135161),
(191436, 'PTHR11638:SF152', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPB1', 135162),
(191437, 'PTHR15032:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135163),
(191438, 'PTHR30305:SF1', NULL, NULL, NULL, NULL, 'HPR KINASE/PHOSPHORYLASE', 135164),
(191439, 'PTHR31839:SF11', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1D', 135165),
(191440, 'PTHR23164', NULL, NULL, NULL, NULL, 'EARLY ENDOSOME ANTIGEN 1', 135166),
(191441, 'PTHR31639:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135167),
(191442, 'PTHR11594:SF5', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', 135168),
(191443, 'PTHR11206:SF374', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 49', 135169),
(191444, 'PTHR12560:SF7', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 2', 135170),
(191445, 'PTHR24118', NULL, NULL, NULL, NULL, 'POTE ANKYRIN DOMAIN', 135171),
(191446, 'PTHR21236:SF20', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', 135172),
(191447, 'PTHR43702:SF3', NULL, NULL, NULL, NULL, 'L-FUCOSE-PROTON SYMPORTER', 135173),
(191448, 'PTHR23515:SF30', NULL, NULL, NULL, NULL, 'NITRATE TRANSPORTER 2.3-RELATED', 135174),
(191449, 'PTHR11652', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S12 FAMILY MEMBER', 135175),
(191450, 'PTHR11960:SF35', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-1A', 135176),
(191451, 'PTHR12537:SF148', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', 135177),
(191452, 'PTHR21355:SF14', NULL, NULL, NULL, NULL, 'LMBR1 INTEGRAL MEMBRANE-LIKE PROTEIN', 135178),
(191453, 'PTHR12673:SF98', NULL, NULL, NULL, NULL, 'FYVE, RHOGEF AND PH DOMAIN-CONTAINING PROTEIN 4', 135179),
(191454, 'PTHR15698:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG15099', 135180),
(191455, 'PTHR44307:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE N-METHYLTRANSFERASE-RELATED', 135181),
(191456, 'PTHR46372:SF4', NULL, NULL, NULL, NULL, 'OS11G0592600 PROTEIN', 135182),
(191457, 'PTHR15907:SF91', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 8', 135183),
(191458, 'PTHR10658:SF27', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN BETA ISOFORM', 135184),
(191459, 'PTHR10426:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135185),
(191460, 'PTHR24392:SF42', NULL, NULL, NULL, NULL, 'CCCTC-BINDING FACTOR LIKE', 135186),
(191461, 'PTHR46128:SF58', NULL, NULL, NULL, NULL, 'BNACNNG21610D PROTEIN', 135187),
(191462, 'PTHR31790:SF365', NULL, NULL, NULL, NULL, 'BNAA09G27650D PROTEIN', 135188),
(191463, 'PTHR45923:SF6', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', 135189),
(191464, 'PTHR13690:SF103', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 18', 135190),
(191465, 'PTHR10199:SF88', NULL, NULL, NULL, NULL, 'CARTILAGE OLIGOMERIC MATRIX PROTEIN', 135191),
(191466, 'PTHR13948:SF4', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 10', 135192),
(191467, 'PTHR31072:SF136', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP10', 135193),
(191468, 'PTHR20961:SF27', NULL, NULL, NULL, NULL, 'BETA-1,2-XYLOSYLTRANSFEREASE XAX1', 135194),
(191469, 'PTHR32057:SF14', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE SELO, MITOCHONDRIAL', 135195),
(191470, 'PTHR32071:SF13', NULL, NULL, NULL, NULL, 'METAL DEPENDENT PHOPHOHYDROLASE', 135196),
(191471, 'PTHR24381:SF119', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 133', 135197),
(191472, 'PTHR10454:SF13', NULL, NULL, NULL, NULL, 'CASPASE-5', 135198),
(191473, 'PTHR10997:SF28', NULL, NULL, NULL, NULL, 'IMPORTIN BETA SMX1', 135199),
(191474, 'PTHR20884:SF9', NULL, NULL, NULL, NULL, 'OS12G0612100 PROTEIN', 135200),
(191475, 'PTHR33642:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR INTRON MATURASE 3, MITOCHONDRIAL', 135201),
(191476, 'PTHR12411:SF778', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE EP-B 1', 135202);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(191477, 'PTHR32343:SF32', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 11', 135203),
(191478, 'PTHR46265:SF10', NULL, NULL, NULL, NULL, 'BNAA01G13960D PROTEIN', 135204),
(191479, 'PTHR31235:SF290', NULL, NULL, NULL, NULL, 'PEROXIDASE', 135205),
(191480, 'PTHR43064:SF1', NULL, NULL, NULL, NULL, 'SLL1489 PROTEIN', 135206),
(191481, 'PTHR37799', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S25, MITOCHONDRIAL', 135207),
(191482, 'PTHR43240', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-2-NAPHTHOYL-COA THIOESTERASE 1', 135208),
(191483, 'PTHR35144', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC TRANSCRIPTION FACTOR NDT80', 135209),
(191484, 'PTHR31062:SF198', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 135210),
(191485, 'PTHR33322:SF4', NULL, NULL, NULL, NULL, 'BAG DOMAIN CONTAINING PROTEIN, EXPRESSED', 135211),
(191486, 'PTHR22595:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135212),
(191487, 'PTHR18875:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135213),
(191488, 'PTHR21596:SF55', NULL, NULL, NULL, NULL, 'OS12G0572500 PROTEIN', 135214),
(191489, 'PTHR24377:SF614', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 775', 135215),
(191490, 'PTHR31307:SF4', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASIL2', 135216),
(191491, 'PTHR11017:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135217),
(191492, 'PTHR13408:SF4', NULL, NULL, NULL, NULL, 'OS01G0889200 PROTEIN', 135218),
(191493, 'PTHR31140:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135219),
(191494, 'PTHR30043:SF8', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, PERMEASE PROTEIN CC0363, PUTATIVE-RELATED', 135220),
(191495, 'PTHR43341:SF6', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', 135221),
(191496, 'PTHR33306:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 135222),
(191497, 'PTHR45969:SF22', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHA1B-LIKE', 135223),
(191498, 'PTHR21569:SF34', NULL, NULL, NULL, NULL, 'BNAA05G33140D PROTEIN', 135224),
(191499, 'PTHR13593:SF104', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASES SUPERFAMILY PROTEIN-RELATED', 135225),
(191500, 'PTHR12565:SF391', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 135226),
(191501, 'PTHR31748:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 135227),
(191502, 'PTHR10846:SF36', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER 1', 135228),
(191503, 'PTHR46224:SF22', NULL, NULL, NULL, NULL, 'OS02G0493300 PROTEIN', 135229),
(191504, 'PTHR23513:SF11', NULL, NULL, NULL, NULL, 'STAPHYLOFERRIN A TRANSPORTER', 135230),
(191505, 'PTHR22811:SF74', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING', 135231),
(191506, 'PTHR10359:SF18', NULL, NULL, NULL, NULL, 'ENDONUCLEASE III', 135232),
(191507, 'PTHR46122:SF6', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN', 135233),
(191508, 'PTHR32410:SF163', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 135234),
(191509, 'PTHR11733:SF185', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', 135235),
(191510, 'PTHR10822:SF8', NULL, NULL, NULL, NULL, 'GLYPICAN-1', 135236),
(191511, 'PTHR45972:SF3', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 11', 135237),
(191512, 'PTHR16212', NULL, NULL, NULL, NULL, 'FOCADHESIN FAMILY MEMBER', 135238),
(191513, 'PTHR24256', NULL, NULL, NULL, NULL, 'TRYPTASE-RELATED', 135239),
(191514, 'PTHR11984:SF26', NULL, NULL, NULL, NULL, 'GAP JUNCTION BETA-7 PROTEIN', 135240),
(191515, 'PTHR21649:SF88', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 3, CHLOROPLASTIC', 135241),
(191516, 'PTHR46732:SF8', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE LA (LON) DOMAIN PROTEIN', 135242),
(191517, 'PTHR22461:SF1', NULL, NULL, NULL, NULL, 'SERINE-RICH COILED-COIL DOMAIN-CONTAINING PROTEIN 1', 135243),
(191518, 'PTHR34931:SF3', NULL, NULL, NULL, NULL, 'FI02976P-RELATED', 135244),
(191519, 'PTHR45987:SF11', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L7/L12', 135245),
(191520, 'PTHR31048:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135246);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(191521, 'PTHR31208', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 135247),
(191522, 'PTHR32444:SF80', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 135248),
(191523, 'PTHR33287:SF10', NULL, NULL, NULL, NULL, 'BNAA01G30280D PROTEIN', 135249),
(191524, 'PTHR45988:SF37', NULL, NULL, NULL, NULL, 'BNAC02G16730D PROTEIN', 135250),
(191525, 'PTHR47956:SF55', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 135251),
(191526, 'PTHR46607', NULL, NULL, NULL, NULL, 'SEC14 DOMAIN AND SPECTRIN REPEAT-CONTAINING PROTEIN 1', 135252),
(191527, 'PTHR10358:SF33', NULL, NULL, NULL, NULL, 'BNAA09G06720D PROTEIN', 135253),
(191528, 'PTHR31541:SF36', NULL, NULL, NULL, NULL, 'BNAA04G17800D PROTEIN', 135254),
(191529, 'PTHR23500:SF544', NULL, NULL, NULL, NULL, 'POLYOL/MONOSACCHARIDE TRANSPORTER 1', 135255),
(191530, 'PTHR23155:SF934', NULL, NULL, NULL, NULL, 'OS11G0604900 PROTEIN', 135256),
(191531, 'PTHR21645:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG06584', 135257),
(191532, 'PTHR31989:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135258),
(191533, 'PTHR10540:SF10', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT F', 135259),
(191534, 'PTHR13903:SF11', NULL, NULL, NULL, NULL, 'OS08G0364900 PROTEIN', 135260),
(191535, 'PTHR46205:SF2', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCIBLE DOUBLE-STRANDED RNA-DEPENDENT PROTEIN KINASE ACTIVATOR A', 135261),
(191536, 'PTHR11017:SF380', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS CLASS)', 135262),
(191537, 'PTHR35317:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', 135263),
(191538, 'PTHR28676:SF2', NULL, NULL, NULL, NULL, 'ALK AND LTK LIGAND 2', 135264),
(191539, 'PTHR10745:SF20', NULL, NULL, NULL, NULL, 'GLYCINE--TRNA LIGASE 1, MITOCHONDRIAL', 135265),
(191540, 'PTHR20855:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135266),
(191541, 'PTHR47926:SF62', NULL, NULL, NULL, NULL, 'BNAANNG26310D PROTEIN', 135267),
(191542, 'PTHR11811:SF60', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING', 135268),
(191543, 'PTHR10388:SF42', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLATION FACTOR SUI1 HOMOLOG ISOFORM X1', 135269),
(191544, 'PTHR24025:SF8', NULL, NULL, NULL, NULL, 'DESMOCOLLIN-1', 135270),
(191545, 'PTHR21312:SF35', NULL, NULL, NULL, NULL, 'ACROSIN INHIBITOR 1', 135271),
(191546, 'PTHR24349:SF392', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 20-LIKE', 135272),
(191547, 'PTHR23111:SF64', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 13A', 135273),
(191548, 'PTHR14453:SF53', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP10', 135274),
(191549, 'PTHR43642:SF2', NULL, NULL, NULL, NULL, 'GUANYLYL CYCLASE', 135275),
(191550, 'PTHR10381:SF46', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT-RELATED PROTEIN 2, CHLOROPLASTIC', 135276),
(191551, 'PTHR45689:SF9', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL SUBUNIT A-LIKE PROTEIN', 135277),
(191552, 'PTHR31667', NULL, NULL, NULL, NULL, 'SPERM EQUATORIAL SEGMENT PROTEIN 1', 135278),
(191553, 'PTHR32044:SF53', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 12-RELATED', 135279),
(191554, 'PTHR43963', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE 1-RELATED', 135280),
(191555, 'PTHR31741:SF78', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', 135281),
(191556, 'PTHR24404:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GFI-1', 135282),
(191557, 'PTHR32191:SF68', NULL, NULL, NULL, NULL, 'BNAA09G44070D PROTEIN', 135283),
(191558, 'PTHR21461:SF7', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 135284),
(191559, 'PTHR23430:SF42', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 2-A', 135285),
(191560, 'PTHR24410', NULL, NULL, NULL, NULL, 'HL07962P-RELATED', 135286),
(191561, 'PTHR11926:SF1326', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C1', 135287),
(191562, 'PTHR11394:SF25', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 109', 135288),
(191563, 'PTHR30146:SF109', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MALR', 135289);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(191564, 'PTHR33385:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135290),
(191565, 'PTHR10229:SF6', NULL, NULL, NULL, NULL, 'OS03G0727900 PROTEIN', 135291),
(191566, 'PTHR11247:SF8', NULL, NULL, NULL, NULL, 'PALMITOYL-PROTEIN THIOESTERASE 1', 135292),
(191567, 'PTHR31497:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135293),
(191568, 'PTHR32468:SF117', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 16', 135294),
(191569, 'PTHR10953:SF154', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 2', 135295),
(191570, 'PTHR46517:SF1', NULL, NULL, NULL, NULL, 'FRUCTOSE-2,6-BISPHOSPHATASE TIGAR', 135296),
(191571, 'PTHR43316:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATASE RV3376', 135297),
(191572, 'PTHR33605', NULL, NULL, NULL, NULL, 'EARLY NODULIN-93', 135298),
(191573, 'PTHR18968:SF163', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE', 135299),
(191574, 'PTHR43807:SF14', NULL, NULL, NULL, NULL, 'KYNURENINE--OXOGLUTARATE TRANSAMINASE 1', 135300),
(191575, 'PTHR21576:SF31', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 135301),
(191576, 'PTHR15962:SF0', NULL, NULL, NULL, NULL, 'ACTIVITY-REGULATED CYTOSKELETON-ASSOCIATED PROTEIN', 135302),
(191577, 'PTHR43899', NULL, NULL, NULL, NULL, 'RH59310P', 135303),
(191578, 'PTHR32212:SF321', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 135304),
(191579, 'PTHR37563:SF6', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 135305),
(191580, 'PTHR10593:SF180', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 2-LIKE', 135306),
(191581, 'PTHR45855:SF38', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UNE10-LIKE', 135307),
(191582, 'PTHR31637:SF8', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-INDEPENDENT PHOSPHOGLYCERATE MUTASE 1', 135308),
(191583, 'PTHR19876:SF55', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''', 135309),
(191584, 'PTHR24186:SF23', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 135310),
(191585, 'PTHR24200:SF7', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED TUMOR SUPPRESSOR 1', 135311),
(191586, 'PTHR12673:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135312),
(191587, 'PTHR10202:SF14', NULL, NULL, NULL, NULL, 'PRESENILIN HOP-1', 135313),
(191588, 'PTHR45907:SF15', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', 135314),
(191589, 'PTHR45695:SF13', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 15-LIKE', 135315),
(191590, 'PTHR28597', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL BETA SUBUNIT-ASSOCIATED REGULATORY PROTEIN', 135316),
(191591, 'PTHR23220:SF127', NULL, NULL, NULL, NULL, 'ZMP:0000001082', 135317),
(191592, 'PTHR11010:SF100', NULL, NULL, NULL, NULL, 'HYPOTHETICAL SERINE CARBOXYPEPTIDASE (EUROFUNG)', 135318),
(191593, 'PTHR45694:SF12', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S12, CHLOROPLASTIC', 135319),
(191594, 'PTHR31324:SF1', NULL, NULL, NULL, NULL, 'MORF4 FAMILY-ASSOCIATED PROTEIN 1', 135320),
(191595, 'PTHR31288:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135321),
(191596, 'PTHR38850', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 135322),
(191597, 'PTHR15854:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MALE ABNORMAL 7', 135323),
(191598, 'PTHR31953:SF18', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 2', 135324),
(191599, 'PTHR47470:SF1', NULL, NULL, NULL, NULL, 'CHOLESTEROL OXIDASE', 135325),
(191600, 'PTHR34223:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135326),
(191601, 'PTHR21700:SF19', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 135327),
(191602, 'PTHR24064:SF192', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 23', 135328),
(191603, 'PTHR48018:SF53', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 135329),
(191604, 'PTHR31238:SF215', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 135330),
(191605, 'PTHR24025:SF26', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 135331),
(191606, 'PTHR11540:SF64', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', 135332),
(191607, 'PTHR22594', NULL, NULL, NULL, NULL, 'ASPARTYL/LYSYL-TRNA SYNTHETASE', 135333),
(191608, 'PTHR13172:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM9', 135334);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(191609, 'PTHR31602:SF14', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 11', 135335),
(191610, 'PTHR45780:SF10', NULL, NULL, NULL, NULL, 'BNAC07G27560D PROTEIN', 135336),
(191611, 'PTHR10468', NULL, NULL, NULL, NULL, 'PROTEIN O-LINKED-MANNOSE BETA-1,2-N-ACETYLGLUCOSAMINYLTRANSFERASE 1/ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 2-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE', 135337),
(191612, 'PTHR33782:SF3', NULL, NULL, NULL, NULL, 'OS05G0516700 PROTEIN', 135338),
(191613, 'PTHR31517:SF40', NULL, NULL, NULL, NULL, 'PEROXIDASE', 135339),
(191614, 'PTHR24034:SF39', NULL, NULL, NULL, NULL, 'PAWN, ISOFORM B', 135340),
(191615, 'PTHR24119:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135341),
(191616, 'PTHR10924:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG23388', 135342),
(191617, 'PTHR47053', NULL, NULL, NULL, NULL, 'MUREIN DD-ENDOPEPTIDASE MEPH-RELATED', 135343),
(191618, 'PTHR12619:SF21', NULL, NULL, NULL, NULL, 'AGAP013226-PA', 135344),
(191619, 'PTHR15710:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135345),
(191620, 'PTHR20916:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135346),
(191621, 'PTHR46813:SF9', NULL, NULL, NULL, NULL, 'BNAA08G15310D PROTEIN', 135347),
(191622, 'PTHR31816:SF3', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC13', 135348),
(191623, 'PTHR23069:SF5', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 2B', 135349),
(191624, 'PTHR24271:SF72', NULL, NULL, NULL, NULL, 'GRANZYME A', 135350),
(191625, 'PTHR38447:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR YDEB-RELATED', 135351),
(191626, 'PTHR33978:SF16', NULL, NULL, NULL, NULL, 'OS06G0525200 PROTEIN', 135352),
(191627, 'PTHR47003:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135353),
(191628, 'PTHR37185:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN', 135354),
(191629, 'PTHR11955:SF64', NULL, NULL, NULL, NULL, 'MYELIN P2 PROTEIN', 135355),
(191630, 'PTHR21008:SF1', NULL, NULL, NULL, NULL, '25S RRNA (ADENINE(2142)-N(1))-METHYLTRANSFERASE', 135356),
(191631, 'PTHR12483:SF107', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 135357),
(191632, 'PTHR11690:SF265', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-324', 135358),
(191633, 'PTHR19353:SF64', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE, TYPE 1', 135359),
(191634, 'PTHR34719:SF2', NULL, NULL, NULL, NULL, 'NICKEL-RESPONSIVE REGULATOR', 135360),
(191635, 'PTHR13902:SF152', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK1-RELATED', 135361),
(191636, 'PTHR47992:SF53', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 46-RELATED', 135362),
(191637, 'PTHR48005:SF19', NULL, NULL, NULL, NULL, 'OS06G0692500 PROTEIN', 135363),
(191638, 'PTHR30239:SF20', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE SMALL SUBUNIT 1 CHLOROPLASTIC', 135364),
(191639, 'PTHR18966:SF504', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 135365),
(191640, 'PTHR43139:SF33', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD HYDROLASE', 135366),
(191641, 'PTHR11442:SF52', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT GAMMA-1', 135367),
(191642, 'PTHR22012:SF2', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH-INTERACTING PROTEIN 1', 135368),
(191643, 'PTHR47929:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135369),
(191644, 'PTHR23500:SF160', NULL, NULL, NULL, NULL, 'OS09G0297300 PROTEIN', 135370),
(191645, 'PTHR22957:SF494', NULL, NULL, NULL, NULL, 'SI:CH211-266K8.4', 135371),
(191646, 'PTHR37016:SF3', NULL, NULL, NULL, NULL, 'NEUTRAL PROTEASE 2 HOMOLOG AN3393-RELATED', 135372),
(191647, 'PTHR24394:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 40', 135373),
(191648, 'PTHR23021:SF31', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 135374),
(191649, 'PTHR30336:SF1', NULL, NULL, NULL, NULL, 'ENVELOPE BIOGENESIS FACTOR ELYC', 135375),
(191650, 'PTHR23063:SF7', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE LPCAT4', 135376),
(191651, 'PTHR10795:SF681', NULL, NULL, NULL, NULL, 'BNAA09G07440D PROTEIN', 135377),
(191652, 'PTHR48024:SF15', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN', 135378);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(191653, 'PTHR21649:SF104', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 135379),
(191654, 'PTHR31301:SF84', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 12-LIKE', 135380),
(191655, 'PTHR45636', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-6-RELATED-RELATED', 135381),
(191656, 'PTHR23291:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135382),
(191657, 'PTHR48043:SF48', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 135383),
(191658, 'PTHR21060:SF19', NULL, NULL, NULL, NULL, 'ACETATE KINASE', 135384),
(191659, 'PTHR14859:SF7', NULL, NULL, NULL, NULL, 'DNASE I-LIKE SUPERFAMILY PROTEIN', 135385),
(191660, 'PTHR47926:SF18', NULL, NULL, NULL, NULL, 'BNAC04G04720D PROTEIN', 135386),
(191661, 'PTHR11454:SF9', NULL, NULL, NULL, NULL, 'INSULIN', 135387),
(191662, 'PTHR12106:SF10', NULL, NULL, NULL, NULL, 'VPS10 DOMAIN-CONTAINING RECEPTOR SORCS3', 135388),
(191663, 'PTHR12896', NULL, NULL, NULL, NULL, 'PAX6 NEIGHBOR PROTEIN  PAXNEB', 135389),
(191664, 'PTHR46680:SF1', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR ALPHA', 135390),
(191665, 'PTHR10315:SF106', NULL, NULL, NULL, NULL, 'OS01G0234900 PROTEIN', 135391),
(191666, 'PTHR31717:SF80', NULL, NULL, NULL, NULL, 'BNAC01G39760D PROTEIN', 135392),
(191667, 'PTHR11211:SF40', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ARAUCAN-RELATED', 135393),
(191668, 'PTHR22811:SF41', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 5', 135394),
(191669, 'PTHR23070:SF176', NULL, NULL, NULL, NULL, 'BNAC04G00800D PROTEIN', 135395),
(191670, 'PTHR22943:SF82', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 135396),
(191671, 'PTHR33647:SF12', NULL, NULL, NULL, NULL, 'OS05G0498666 PROTEIN', 135397),
(191672, 'PTHR24414:SF162', NULL, NULL, NULL, NULL, 'BNAA09G55950D PROTEIN', 135398),
(191673, 'PTHR46631:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135399),
(191674, 'PTHR12271:SF114', NULL, NULL, NULL, NULL, 'OS09G0570600 PROTEIN', 135400),
(191675, 'PTHR36028:SF2', NULL, NULL, NULL, NULL, 'OSJNBB0050O03.8 PROTEIN', 135401),
(191676, 'PTHR31656:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135402),
(191677, 'PTHR47804:SF4', NULL, NULL, NULL, NULL, 'AFR661WP', 135403),
(191678, 'PTHR36586:SF27', NULL, NULL, NULL, NULL, 'EXTENSIN-3', 135404),
(191679, 'PTHR43333:SF1', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE,NAD-BINDING', 135405),
(191680, 'PTHR31205:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135406),
(191681, 'PTHR14167:SF87', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING 19', 135407),
(191682, 'PTHR35737:SF2', NULL, NULL, NULL, NULL, 'BNAA09G02070D PROTEIN', 135408),
(191683, 'PTHR13217:SF10', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING, FAMILY G (WITH RHOGEF DOMAIN) MEMBER 6', 135409),
(191684, 'PTHR48010:SF47', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 135410),
(191685, 'PTHR45974:SF190', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 135411),
(191686, 'PTHR47994:SF5', NULL, NULL, NULL, NULL, 'F14D16.11-RELATED', 135412),
(191687, 'PTHR27007:SF11', NULL, NULL, NULL, NULL, 'OS04G0146167 PROTEIN', 135413),
(191688, 'PTHR43343', NULL, NULL, NULL, NULL, 'PEPTIDASE S12', 135414),
(191689, 'PTHR47998:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB51-LIKE ISOFORM X1', 135415),
(191690, 'PTHR14024:SF11', NULL, NULL, NULL, NULL, 'PERILIPIN-3', 135416),
(191691, 'PTHR10695:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135417),
(191692, 'PTHR46285:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135418),
(191693, 'PTHR33021:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135419),
(191694, 'PTHR31677:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135420),
(191695, 'PTHR43859:SF50', NULL, NULL, NULL, NULL, 'LONG-CHAIN ACYL-COA SYNTHETASE', 135421),
(191696, 'PTHR12770:SF26', NULL, NULL, NULL, NULL, 'OS01G0886900 PROTEIN', 135422),
(191697, 'PTHR14964:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135423),
(191698, 'PTHR12336:SF0', NULL, NULL, NULL, NULL, 'ADULT CUTICLE PROTEIN 1-RELATED', 135424);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(191699, 'PTHR10969:SF16', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR-ASSOCIATED PROTEIN-LIKE 3', 135425),
(191700, 'PTHR31739:SF39', NULL, NULL, NULL, NULL, 'OS02G0568700 PROTEIN', 135426),
(191701, 'PTHR21022:SF17', NULL, NULL, NULL, NULL, 'OS10G0523700 PROTEIN', 135427),
(191702, 'PTHR22945:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)-RELATED', 135428),
(191703, 'PTHR16795:SF14', NULL, NULL, NULL, NULL, 'LIMBIN', 135429),
(191704, 'PTHR46328:SF18', NULL, NULL, NULL, NULL, 'FAR1 FAMILY PROTEIN', 135430),
(191705, 'PTHR11132:SF266', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER E2A-RELATED', 135431),
(191706, 'PTHR44665', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 14', 135432),
(191707, 'PTHR13593:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135433),
(191708, 'PTHR32176:SF46', NULL, NULL, NULL, NULL, 'PATATIN', 135434),
(191709, 'PTHR31790:SF366', NULL, NULL, NULL, NULL, 'BNAA05G10970D PROTEIN', 135435),
(191710, 'PTHR47963:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DBPA', 135436),
(191711, 'PTHR35275:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135437),
(191712, 'PTHR24281:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135438),
(191713, 'PTHR10279:SF6', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE ANTIZYME 2', 135439),
(191714, 'PTHR47979:SF12', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-2A', 135440),
(191715, 'PTHR19328:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135441),
(191716, 'PTHR13511:SF0', NULL, NULL, NULL, NULL, 'KXDL MOTIF-CONTAINING PROTEIN 1', 135442),
(191717, 'PTHR10589:SF45', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 135443),
(191718, 'PTHR31890:SF16', NULL, NULL, NULL, NULL, 'BNAA02G35810D PROTEIN', 135444),
(191719, 'PTHR42734', NULL, NULL, NULL, NULL, 'METAL TRANSPORT SYSTEM ATP-BINDING PROTEIN TM_0124-RELATED', 135445),
(191720, 'PTHR12100:SF4', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 5', 135446),
(191721, 'PTHR18881:SF2', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1-BINDING PROTEIN 1', 135447),
(191722, 'PTHR23017:SF24', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X-RELATED', 135448),
(191723, 'PTHR11267:SF114', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX19', 135449),
(191724, 'PTHR11132:SF269', NULL, NULL, NULL, NULL, 'TRIOSE PHOSPHATE/PHOSPHATE TRANSLOCATOR TPT, CHLOROPLASTIC', 135450),
(191725, 'PTHR42693:SF16', NULL, NULL, NULL, NULL, 'ARYLSULFATASE H', 135451),
(191726, 'PTHR48021:SF61', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 17-RELATED', 135452),
(191727, 'PTHR16528', NULL, NULL, NULL, NULL, 'GOLGI-ASSOCIATED PDZ AND COILED-COIL MOTIF-CONTAINING', 135453),
(191728, 'PTHR13251:SF3', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 10', 135454),
(191729, 'PTHR31235:SF71', NULL, NULL, NULL, NULL, 'PEROXIDASE', 135455),
(191730, 'PTHR44218:SF10', NULL, NULL, NULL, NULL, 'LIGASE COP1, PUTATIVE-RELATED', 135456),
(191731, 'PTHR27006:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135457),
(191732, 'PTHR45952:SF11', NULL, NULL, NULL, NULL, 'ALUMINUM INDUCED PROTEIN WITH YGL AND LRDR MOTIFS', 135458),
(191733, 'PTHR13222:SF2', NULL, NULL, NULL, NULL, 'BNAA01G06340D PROTEIN', 135459),
(191734, 'PTHR45708:SF11', NULL, NULL, NULL, NULL, 'XYLANASE INHIBITOR PROTEIN XIP', 135460),
(191735, 'PTHR10102:SF11', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', 135461),
(191736, 'PTHR14155:SF582', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135462),
(191737, 'PTHR24281:SF58', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A9-LIKE', 135463),
(191738, 'PTHR27009:SF143', NULL, NULL, NULL, NULL, 'OS04G0655400 PROTEIN', 135464),
(191739, 'PTHR16134:SF1', NULL, NULL, NULL, NULL, 'F-BOX AND LEUCINE-RICH PROTEIN 22', 135465),
(191740, 'PTHR10809:SF116', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 4-3', 135466),
(191741, 'PTHR24061:SF409', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 76', 135467),
(191742, 'PTHR16048', NULL, NULL, NULL, NULL, 'MSL2-RELATED', 135468);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(191743, 'PTHR15952:SF12', NULL, NULL, NULL, NULL, 'EXPORTIN-T', 135469),
(191744, 'PTHR34914', NULL, NULL, NULL, NULL, 'LYMPHOCYTE EXPANSION MOLECULE', 135470),
(191745, 'PTHR36944:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG10961', 135471),
(191746, 'PTHR23037:SF39', NULL, NULL, NULL, NULL, 'INTERLEUKIN 21 RECEPTOR, TANDEM DUPLICATE 1', 135472),
(191747, 'PTHR47970:SF8', NULL, NULL, NULL, NULL, '125 KDA KINESIN-RELATED PROTEIN-LIKE', 135473),
(191748, 'PTHR36245', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN DOT1-LIKE', 135474),
(191749, 'PTHR47408:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG23825', 135475),
(191750, 'PTHR10316:SF65', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED GUANYLATE KINASE, WW AND PDZ DOMAIN-CONTAINING 3B', 135476),
(191751, 'PTHR45676:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135477),
(191752, 'PTHR31676:SF85', NULL, NULL, NULL, NULL, 'DUF538 FAMILY PROTEIN', 135478),
(191753, 'PTHR22954', NULL, NULL, NULL, NULL, 'RETROVIRAL PROTEASE-RELATED', 135479),
(191754, 'PTHR31263:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135480),
(191755, 'PTHR47179:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 135481),
(191756, 'PTHR24067:SF135', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 R1', 135482),
(191757, 'PTHR28474', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 72', 135483),
(191758, 'PTHR12780:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC6', 135484),
(191759, 'PTHR15751', NULL, NULL, NULL, NULL, 'TRAFFICKING KINESIN-BINDING PROTEIN', 135485),
(191760, 'PTHR48041:SF34', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 16', 135486),
(191761, 'PTHR15672', NULL, NULL, NULL, NULL, 'CAMP-REGULATED PHOSPHOPROTEIN 21 RELATED R3H DOMAIN CONTAINING PROTEIN', 135487),
(191762, 'PTHR10333:SF100', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN YNG2', 135488),
(191763, 'PTHR10792:SF41', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: 60S RIBOSOMAL PROTEIN L24-LIKE', 135489),
(191764, 'PTHR33677:SF4', NULL, NULL, NULL, NULL, 'COPPER-SENSING TRANSCRIPTIONAL REPRESSOR CSOR', 135490),
(191765, 'PTHR31037', NULL, NULL, NULL, NULL, 'RELT-LIKE PROTEIN 1-RELATED', 135491),
(191766, 'PTHR12812', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE 6-O-SULFOTRANSFERASE 3', 135492),
(191767, 'PTHR23155:SF1028', NULL, NULL, NULL, NULL, 'OS08G0174800 PROTEIN', 135493),
(191768, 'PTHR35476:SF4', NULL, NULL, NULL, NULL, 'BNAA02G33330D PROTEIN', 135494),
(191769, 'PTHR11157:SF134', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 135495),
(191770, 'PTHR45799:SF1', NULL, NULL, NULL, NULL, 'RETICULON-4', 135496),
(191771, 'PTHR11532:SF48', NULL, NULL, NULL, NULL, 'ADIPOCYTE ENHANCER-BINDING PROTEIN 1', 135497),
(191772, 'PTHR47145', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A MEMBER 2', 135498),
(191773, 'PTHR23050:SF351', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML15-RELATED', 135499),
(191774, 'PTHR47841:SF3', NULL, NULL, NULL, NULL, 'OS09G0492800 PROTEIN', 135500),
(191775, 'PTHR33825:SF4', NULL, NULL, NULL, NULL, 'OS05G0137600 PROTEIN', 135501),
(191776, 'PTHR33044:SF164', NULL, NULL, NULL, NULL, 'OS06G0341500 PROTEIN', 135502),
(191777, 'PTHR15028:SF6', NULL, NULL, NULL, NULL, 'B-CELL DIFFERENTIATION ANTIGEN CD72', 135503),
(191778, 'PTHR11206:SF303', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 135504),
(191779, 'PTHR45879:SF4', NULL, NULL, NULL, NULL, 'CAMP-RESPONSIVE ELEMENT MODULATOR', 135505),
(191780, 'PTHR27006:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135506),
(191781, 'PTHR13952:SF21', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 135507),
(191782, 'PTHR47938:SF5', NULL, NULL, NULL, NULL, 'OS07G0213300 PROTEIN', 135508),
(191783, 'PTHR22166:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135509),
(191784, 'PTHR10277:SF74', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE-RELATED', 135510),
(191785, 'PTHR12027:SF82', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE WNT-3', 135511),
(191786, 'PTHR31415:SF105', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 135512);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(191787, 'PTHR45874:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A10', 135513),
(191788, 'PTHR35279:SF1', NULL, NULL, NULL, NULL, 'ARABINANASE/LEVANSUCRASE/INVERTASE', 135514),
(191789, 'PTHR31225:SF150', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 12-RELATED', 135515),
(191790, 'PTHR48001:SF46', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 135516),
(191791, 'PTHR24281:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135517),
(191792, 'PTHR21713:SF4', NULL, NULL, NULL, NULL, 'GH09281P-RELATED', 135518),
(191793, 'PTHR12253:SF35', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2-LIKE PROTEIN', 135519),
(191794, 'PTHR31798:SF2', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 135520),
(191795, 'PTHR11551:SF14', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 6', 135521),
(191796, 'PTHR32487:SF20', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE-LIKE', 135522),
(191797, 'PTHR10697:SF5', NULL, NULL, NULL, NULL, 'EPENDYMIN-RELATED', 135523),
(191798, 'PTHR15189:SF7', NULL, NULL, NULL, NULL, 'BRISC AND BRCA1-A COMPLEX MEMBER 2', 135524),
(191799, 'PTHR47991:SF118', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', 135525),
(191800, 'PTHR13914:SF23', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE 1, MITOCHONDRIAL', 135526),
(191801, 'PTHR10663:SF322', NULL, NULL, NULL, NULL, 'ARF GUANINE-NUCLEOTIDE EXCHANGE FACTOR GNL2', 135527),
(191802, 'PTHR21495:SF78', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 19', 135528),
(191803, 'PTHR10027:SF23', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY U MEMBER 1', 135529),
(191804, 'PTHR31898', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 136', 135530),
(191805, 'PTHR40516', NULL, NULL, NULL, NULL, 'ANTITOXIN CHPS-RELATED', 135531),
(191806, 'PTHR13159:SF2', NULL, NULL, NULL, NULL, 'RADIAL SPOKE COMPONENT, PUTATIVE-RELATED', 135532),
(191807, 'PTHR43655:SF7', NULL, NULL, NULL, NULL, 'AFG3-LIKE PROTEIN 1', 135533),
(191808, 'PTHR11469:SF5', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE ISOMERASE', 135534),
(191809, 'PTHR31001:SF67', NULL, NULL, NULL, NULL, 'FUNGAL SPECIFIC TRANSCRIPTION FACTOR', 135535),
(191810, 'PTHR27001:SF872', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135536),
(191811, 'PTHR35563:SF2', NULL, NULL, NULL, NULL, 'BARREL METAL-DEPENDENT HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G16240)-RELATED', 135537),
(191812, 'PTHR10918:SF5', NULL, NULL, NULL, NULL, 'HOMER, ISOFORM E', 135538),
(191813, 'PTHR47472:SF1', NULL, NULL, NULL, NULL, 'PROPIONYL-COA CARBOXYLASE', 135539),
(191814, 'PTHR23226:SF134', NULL, NULL, NULL, NULL, 'MYC-ASSOCIATED ZINC FINGER PROTEIN', 135540),
(191815, 'PTHR31087:SF97', NULL, NULL, NULL, NULL, 'TUBBY C-TERMINAL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 135541),
(191816, 'PTHR42715:SF14', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE D-RELATED', 135542),
(191817, 'PTHR13430:SF14', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 13A', 135543),
(191818, 'PTHR23028:SF116', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE FAMILY PROTEIN', 135544),
(191819, 'PTHR31182:SF18', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', 135545),
(191820, 'PTHR22883:SF382', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 135546),
(191821, 'PTHR31384:SF81', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 18', 135547),
(191822, 'PTHR12591', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATASE', 135548),
(191823, 'PTHR14513:SF2', NULL, NULL, NULL, NULL, 'PROTECTION OF TELOMERES PROTEIN 1', 135549),
(191824, 'PTHR34474:SF4', NULL, NULL, NULL, NULL, 'HEME OXYGENASE (STAPHYLOBILIN-PRODUCING) 1', 135550),
(191825, 'PTHR22911:SF32', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER G3-RELATED', 135551),
(191826, 'PTHR17972', NULL, NULL, NULL, NULL, 'NUCLEOLAR RNA-ASSOCIATED PROTEIN', 135552),
(191827, 'PTHR11528:SF107', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 83-LIKE', 135553),
(191828, 'PTHR24248:SF145', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR D4-RELATED SEQUENCE', 135554),
(191829, 'PTHR31060:SF9', NULL, NULL, NULL, NULL, 'OS12G0188500 PROTEIN', 135555);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(191830, 'PTHR47926:SF261', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135556),
(191831, 'PTHR31707:SF252', NULL, NULL, NULL, NULL, 'BNAC07G13130D PROTEIN', 135557),
(191832, 'PTHR37534:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 135558),
(191833, 'PTHR31512:SF2', NULL, NULL, NULL, NULL, 'GENE 12569-RELATED', 135559),
(191834, 'PTHR23155:SF1058', NULL, NULL, NULL, NULL, 'OS11G0668100 PROTEIN', 135560),
(191835, 'PTHR11426:SF232', NULL, NULL, NULL, NULL, 'HISTONE H3.1', 135561),
(191836, 'PTHR12802:SF128', NULL, NULL, NULL, NULL, 'BNACNNG45160D PROTEIN', 135562),
(191837, 'PTHR41805', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 135563),
(191838, 'PTHR31415:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135564),
(191839, 'PTHR45898:SF7', NULL, NULL, NULL, NULL, 'OS01G0229200 PROTEIN', 135565),
(191840, 'PTHR31004:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135566),
(191841, 'PTHR18860:SF115', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN', 135567),
(191842, 'PTHR46768:SF1', NULL, NULL, NULL, NULL, 'TWO PORE CALCIUM CHANNEL PROTEIN 2', 135568),
(191843, 'PTHR37220', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 23', 135569),
(191844, 'PTHR34682', NULL, NULL, NULL, NULL, 'AT HOOK MOTIF-CONTAINING PROTEIN', 135570),
(191845, 'PTHR33044:SF177', NULL, NULL, NULL, NULL, 'BNAA10G03620D PROTEIN', 135571),
(191846, 'PTHR20961:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135572),
(191847, 'PTHR10337:SF11', NULL, NULL, NULL, NULL, 'DSHC PROTEIN', 135573),
(191848, 'PTHR24067:SF297', NULL, NULL, NULL, NULL, 'BNAA06G09230D PROTEIN', 135574),
(191849, 'PTHR31314:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135575),
(191850, 'PTHR14969:SF49', NULL, NULL, NULL, NULL, 'PHOSPHATASE-RELATED', 135576),
(191851, 'PTHR12966', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE  UBIQUINONE  1 ALPHA SUBCOMPLEX SUBUNIT 13', 135577),
(191852, 'PTHR31218:SF236', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 135578),
(191853, 'PTHR21237:SF4', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG', 135579),
(191854, 'PTHR10906:SF35', NULL, NULL, NULL, NULL, 'OS09G0512600 PROTEIN', 135580),
(191855, 'PTHR12629:SF57', NULL, NULL, NULL, NULL, 'BNAC09G43550D PROTEIN', 135581),
(191856, 'PTHR43572:SF27', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 2', 135582),
(191857, 'PTHR47094:SF8', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN-RELATED', 135583),
(191858, 'PTHR24414:SF75', NULL, NULL, NULL, NULL, 'BNAA04G14970D PROTEIN', 135584),
(191859, 'PTHR33065:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135585),
(191860, 'PTHR31992:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135586),
(191861, 'PTHR36028:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135587),
(191862, 'PTHR32166:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135588),
(191863, 'PTHR31917:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135589),
(191864, 'PTHR33741:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN DDB_G0269096-RELATED', 135590),
(191865, 'PTHR43712:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL O-METHYLTRANSFERASE (EUROFUNG)-RELATED', 135591),
(191866, 'PTHR46277:SF15', NULL, NULL, NULL, NULL, 'BNAA09G45450D PROTEIN', 135592),
(191867, 'PTHR31889:SF39', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE-LIKE PROTEIN', 135593),
(191868, 'PTHR43689:SF45', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE-RELATED', 135594),
(191869, 'PTHR45626:SF39', NULL, NULL, NULL, NULL, 'HELICASE-LIKE TRANSCRIPTION FACTOR', 135595),
(191870, 'PTHR45790', NULL, NULL, NULL, NULL, 'SIROHEME SYNTHASE-RELATED', 135596),
(191871, 'PTHR43452:SF18', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 3-RELATED', 135597),
(191872, 'PTHR26379:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135598),
(191873, 'PTHR33285:SF23', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 2', 135599),
(191874, 'PTHR32158:SF22', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN DDB_G0287209', 135600),
(191875, 'PTHR30508:SF8', NULL, NULL, NULL, NULL, 'UPF0051 PROTEIN ABCI8, CHLOROPLASTIC-LIKE', 135601);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(191876, 'PTHR13817:SF38', NULL, NULL, NULL, NULL, 'OBSCURIN-LIKE 1A', 135602),
(191877, 'PTHR22777:SF31', NULL, NULL, NULL, NULL, 'FAD-BINDING, TYPE 2, GLIDING MOTILITY-ASSOCIATED PROTEIN GLDE-RELATED', 135603),
(191878, 'PTHR12802:SF136', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 3', 135604),
(191879, 'PTHR13610:SF8', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT C LYSINE N-METHYLTRANSFERASE', 135605),
(191880, 'PTHR10078:SF29', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 FAMILY MEMBER 10', 135606),
(191881, 'PTHR38050:SF3', NULL, NULL, NULL, NULL, 'FERULOYL ESTERASE D', 135607),
(191882, 'PTHR11183:SF90', NULL, NULL, NULL, NULL, 'IME2-DEPENDENT-SIGNALING PROTEIN', 135608),
(191883, 'PTHR24320:SF237', NULL, NULL, NULL, NULL, 'BNAC04G02820D PROTEIN', 135609),
(191884, 'PTHR33417:SF6', NULL, NULL, NULL, NULL, 'G-BOX BINDING PROTEIN', 135610),
(191885, 'PTHR33543:SF1', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 2A', 135611),
(191886, 'PTHR45649:SF10', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', 135612),
(191887, 'PTHR31105:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135613),
(191888, 'PTHR23415:SF41', NULL, NULL, NULL, NULL, '60S RIBOSOME SUBUNIT BIOGENESIS PROTEIN NIP7 HOMOLOG', 135614),
(191889, 'PTHR45653:SF10', NULL, NULL, NULL, NULL, 'MYOBLAST CITY, ISOFORM B', 135615),
(191890, 'PTHR47999:SF69', NULL, NULL, NULL, NULL, 'PROTEIN ODORANT1-LIKE', 135616),
(191891, 'PTHR31236:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135617),
(191892, 'PTHR23354:SF68', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 7', 135618),
(191893, 'PTHR23428:SF277', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-P', 135619),
(191894, 'PTHR46925:SF3', NULL, NULL, NULL, NULL, 'SUBSTANCE-K RECEPTOR', 135620),
(191895, 'PTHR11715:SF26', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', 135621),
(191896, 'PTHR19271:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME B', 135622),
(191897, 'PTHR12015:SF117', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 2', 135623),
(191898, 'PTHR10827:SF80', NULL, NULL, NULL, NULL, 'RETICULOCALBIN 3, EF-HAND CALCIUM-BINDING DOMAIN', 135624),
(191899, 'PTHR46756:SF9', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC PROTEIN 2', 135625),
(191900, 'PTHR24356:SF240', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C', 135626),
(191901, 'PTHR44259:SF73', NULL, NULL, NULL, NULL, 'BNAC02G41320D PROTEIN', 135627),
(191902, 'PTHR13723:SF167', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 18', 135628),
(191903, 'PTHR20961:SF112', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', 135629),
(191904, 'PTHR34925:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135630),
(191905, 'PTHR33021:SF247', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 3', 135631),
(191906, 'PTHR31304:SF25', NULL, NULL, NULL, NULL, 'LOB DOMAIN PROTEIN', 135632),
(191907, 'PTHR43113:SF1', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-2-NAPHTHOYL-COA SYNTHASE, PEROXISOMAL', 135633),
(191908, 'PTHR13832:SF754', NULL, NULL, NULL, NULL, 'BNAC04G37510D PROTEIN', 135634),
(191909, 'PTHR48017:SF66', NULL, NULL, NULL, NULL, 'PROTEIN CBG19965', 135635),
(191910, 'PTHR24282:SF97', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP13A10-RELATED', 135636),
(191911, 'PTHR12663:SF32', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PDS5-LIKE PROTEIN', 135637),
(191912, 'PTHR10082:SF11', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-6', 135638),
(191913, 'PTHR22778', NULL, NULL, NULL, NULL, 'OVARIAN CANCER GENE-2 PROTEIN-RELATED', 135639),
(191914, 'PTHR48043:SF30', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 91C1-LIKE', 135640),
(191915, 'PTHR23262:SF215', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 1-4', 135641),
(191916, 'PTHR11615:SF246', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2A2', 135642),
(191917, 'PTHR32077:SF72', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 9', 135643),
(191918, 'PTHR45932:SF15', NULL, NULL, NULL, NULL, 'PATELLIN-4-LIKE', 135644),
(191919, 'PTHR44218:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF PHYA-105 1', 135645);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(191920, 'PTHR43537:SF7', NULL, NULL, NULL, NULL, 'EXU REGULON TRANSCRIPTIONAL REGULATOR', 135646),
(191921, 'PTHR31080:SF198', NULL, NULL, NULL, NULL, 'BNAA01G27340D PROTEIN', 135647),
(191922, 'PTHR31865:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0071G03.3 PROTEIN', 135648),
(191923, 'PTHR11132:SF420', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135649),
(191924, 'PTHR46234:SF15', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 135650),
(191925, 'PTHR11895:SF163', NULL, NULL, NULL, NULL, 'BNAA02G27590D PROTEIN', 135651),
(191926, 'PTHR43670:SF47', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN', 135652),
(191927, 'PTHR45878:SF31', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP2-LIKE', 135653),
(191928, 'PTHR31739:SF27', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE FAMILY, METAL-BINDING DOMAIN PROTEIN', 135654),
(191929, 'PTHR23147:SF147', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, Y CHROMOSOME, FAMILY 1 MEMBER A1-RELATED', 135655),
(191930, 'PTHR31236:SF32', NULL, NULL, NULL, NULL, 'BURP DOMAIN PROTEIN USPL1', 135656),
(191931, 'PTHR31235:SF256', NULL, NULL, NULL, NULL, 'PEROXIDASE', 135657),
(191932, 'PTHR31087:SF77', NULL, NULL, NULL, NULL, 'OS05G0311500 PROTEIN', 135658),
(191933, 'PTHR12353:SF7', NULL, NULL, NULL, NULL, 'DISKS LARGE-ASSOCIATED PROTEIN 1', 135659),
(191934, 'PTHR19353:SF30', NULL, NULL, NULL, NULL, 'ACID DESATURASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02130)-RELATED', 135660),
(191935, 'PTHR40438', NULL, NULL, NULL, NULL, 'PYRUVOYL-DEPENDENT ARGININE DECARBOXYLASE', 135661),
(191936, 'PTHR31674', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM-LIKE 3-RELATED', 135662),
(191937, 'PTHR11655:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L9-RELATED', 135663),
(191938, 'PTHR36342', NULL, NULL, NULL, NULL, 'PTB DOMAIN ENGULFMENT ADAPTER', 135664),
(191939, 'PTHR47877:SF8', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 17', 135665),
(191940, 'PTHR46262:SF3', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN F2', 135666),
(191941, 'PTHR33237:SF5', NULL, NULL, NULL, NULL, 'OS02G0711400 PROTEIN', 135667),
(191942, 'PTHR31258', NULL, NULL, NULL, NULL, 'KERATINOCYTE-ASSOCIATED PROTEIN 3', 135668),
(191943, 'PTHR10974:SF71', NULL, NULL, NULL, NULL, 'FI08016P-RELATED', 135669),
(191944, 'PTHR48105:SF15', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE 2', 135670),
(191945, 'PTHR27006:SF292', NULL, NULL, NULL, NULL, 'OS10G0200000 PROTEIN', 135671),
(191946, 'PTHR27008:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135672),
(191947, 'PTHR31852:SF157', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 135673),
(191948, 'PTHR23080:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135674),
(191949, 'PTHR11849:SF161', NULL, NULL, NULL, NULL, 'FRIEND LEUKEMIA INTEGRATION 1 TRANSCRIPTION FACTOR', 135675),
(191950, 'PTHR45637:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE UCN', 135676),
(191951, 'PTHR24296:SF92', NULL, NULL, NULL, NULL, 'BNAC05G09030D PROTEIN', 135677),
(191952, 'PTHR11070:SF3', NULL, NULL, NULL, NULL, 'DNA HELICASE', 135678),
(191953, 'PTHR15728', NULL, NULL, NULL, NULL, 'DEADENYLATION COMPLEX CATALYTIC SUBUNIT PAN2', 135679),
(191954, 'PTHR31642:SF111', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', 135680),
(191955, 'PTHR34291:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135681),
(191956, 'PTHR46470:SF2', NULL, NULL, NULL, NULL, 'N-ACYLNEURAMINATE-9-PHOSPHATASE', 135682),
(191957, 'PTHR18953:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135683),
(191958, 'PTHR46087:SF4', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE PROTEIN', 135684),
(191959, 'PTHR31190:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135685),
(191960, 'PTHR31639:SF198', NULL, NULL, NULL, NULL, 'CORONATINE-INSENSITIVE PROTEIN 1', 135686),
(191961, 'PTHR12620:SF42', NULL, NULL, NULL, NULL, 'U2AF SPLICING FACTOR', 135687),
(191962, 'PTHR21600:SF56', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE C', 135688),
(191963, 'PTHR31717:SF81', NULL, NULL, NULL, NULL, 'B-BOX DOMAIN PROTEIN 30-RELATED', 135689);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(191964, 'PTHR12197:SF193', NULL, NULL, NULL, NULL, 'N-LYSINE METHYLTRANSFERASE SMYD2', 135690),
(191965, 'PTHR45658:SF73', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 135691),
(191966, 'PTHR24180:SF25', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 66', 135692),
(191967, 'PTHR36203:SF4', NULL, NULL, NULL, NULL, 'MANNITOL-SPECIFIC CRYPTIC PHOSPHOTRANSFERASE ENZYME IIA COMPONENT', 135693),
(191968, 'PTHR12609:SF0', NULL, NULL, NULL, NULL, 'CYTOSKELETON-ASSOCIATED PROTEIN 5', 135694),
(191969, 'PTHR26451:SF476', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10K1', 135695),
(191970, 'PTHR11969:SF54', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH71', 135696),
(191971, 'PTHR12731:SF1', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN SUBUNIT DELTA', 135697),
(191972, 'PTHR12411:SF316', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE 1', 135698),
(191973, 'PTHR45716:SF6', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-LIKE PROTEIN 5', 135699),
(191974, 'PTHR37701:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE, DNA-BINDING DOMAIN PROTEIN-RELATED', 135700),
(191975, 'PTHR24042:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-37E10.2', 135701),
(191976, 'PTHR31623:SF23', NULL, NULL, NULL, NULL, 'ACETYL-COA-BENZYLALCOHOL ACETYLTRANSFERASE-LIKE', 135702),
(191977, 'PTHR45658:SF19', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 13-RELATED', 135703),
(191978, 'PTHR13559', NULL, NULL, NULL, NULL, 'INTRACELLULAR TRAFFIC PROTEIN-RELATED', 135704),
(191979, 'PTHR10315:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135705),
(191980, 'PTHR20889:SF12', NULL, NULL, NULL, NULL, 'LP01149P', 135706),
(191981, 'PTHR33904', NULL, NULL, NULL, NULL, 'ESSENTIAL MCU REGULATOR, MITOCHONDRIAL', 135707),
(191982, 'PTHR42047', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03560)-RELATED', 135708),
(191983, 'PTHR31117:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG16337', 135709),
(191984, 'PTHR47521:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)-RELATED', 135710),
(191985, 'PTHR12837:SF12', NULL, NULL, NULL, NULL, 'BNAA05G11130D PROTEIN', 135711),
(191986, 'PTHR23281', NULL, NULL, NULL, NULL, 'MERLIN/MOESIN/EZRIN/RADIXIN', 135712),
(191987, 'PTHR10091:SF28', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 135713),
(191988, 'PTHR46884:SF1', NULL, NULL, NULL, NULL, 'COLLECTRIN', 135714),
(191989, 'PTHR24366:SF133', NULL, NULL, NULL, NULL, 'PODOCAN LIKE 1', 135715),
(191990, 'PTHR31301:SF67', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 22', 135716),
(191991, 'PTHR31216:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-16-RELATED', 135717),
(191992, 'PTHR23074:SF86', NULL, NULL, NULL, NULL, 'SPASTIN', 135718),
(191993, 'PTHR24006:SF789', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 135719),
(191994, 'PTHR43789:SF2', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', 135720),
(191995, 'PTHR30109', NULL, NULL, NULL, NULL, 'HYDROXYLAMINE REDUCTASE', 135721),
(191996, 'PTHR13421:SF22', NULL, NULL, NULL, NULL, 'SNAPC (SMALL NUCLEAR RNA ACTIVATING COMPLEX) HOMOLOG', 135722),
(191997, 'PTHR36038:SF3', NULL, NULL, NULL, NULL, 'OS06G0102750 PROTEIN', 135723),
(191998, 'PTHR45642:SF88', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN-RELATED', 135724),
(191999, 'PTHR11913:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135725),
(192000, 'PTHR45676:SF113', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 135726),
(192001, 'PTHR15204:SF0', NULL, NULL, NULL, NULL, 'LARGE PROLINE-RICH PROTEIN BAG6', 135727),
(192002, 'PTHR46739:SF6', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN (MIP) FAMILY TRANSPORTER', 135728),
(192003, 'PTHR24559:SF297', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135729),
(192004, 'PTHR33110:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135730),
(192005, 'PTHR24271:SF23', NULL, NULL, NULL, NULL, 'CHYMASE 2, MAST CELL-RELATED', 135731),
(192006, 'PTHR46214', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING-CH-TYPE', 135732),
(192007, 'PTHR23502:SF10', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTM', 135733);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(192008, 'PTHR27004:SF338', NULL, NULL, NULL, NULL, 'BNAANNG12430D PROTEIN', 135734),
(192009, 'PTHR31722:SF52', NULL, NULL, NULL, NULL, 'BNAANNG11160D PROTEIN', 135735),
(192010, 'PTHR35085', NULL, NULL, NULL, NULL, 'KERATINOCYTE DIFFERENTIATION FACTOR 1', 135736),
(192011, 'PTHR21085:SF0', NULL, NULL, NULL, NULL, 'CHORISMATE SYNTHASE', 135737),
(192012, 'PTHR11654:SF439', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.10', 135738),
(192013, 'PTHR19876:SF2', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''', 135739),
(192014, 'PTHR10795:SF728', NULL, NULL, NULL, NULL, 'BNAA01G06940D PROTEIN', 135740),
(192015, 'PTHR40593', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN ACTIVATOR LPOB', 135741),
(192016, 'PTHR10807:SF120', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 5', 135742),
(192017, 'PTHR26451:SF470', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 135743),
(192018, 'PTHR33115:SF37', NULL, NULL, NULL, NULL, 'OS01G0618300 PROTEIN', 135744),
(192019, 'PTHR18919:SF151', NULL, NULL, NULL, NULL, 'BLR2427 PROTEIN', 135745),
(192020, 'PTHR12307:SF20', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3E', 135746),
(192021, 'PTHR39289:SF1', NULL, NULL, NULL, NULL, 'L-ECTOINE SYNTHASE', 135747),
(192022, 'PTHR45806:SF2', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN HOMOLOG YKT6-RELATED', 135748),
(192023, 'PTHR31704:SF41', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 135749),
(192024, 'PTHR43874:SF139', NULL, NULL, NULL, NULL, 'BNAC03G23280D PROTEIN', 135750),
(192025, 'PTHR11686:SF63', NULL, NULL, NULL, NULL, 'BNAA09G02940D PROTEIN', 135751),
(192026, 'PTHR22977:SF1', NULL, NULL, NULL, NULL, 'COX ASSEMBLY MITOCHONDRIAL PROTEIN 2 HOMOLOG', 135752),
(192027, 'PTHR11866:SF7', NULL, NULL, NULL, NULL, 'PROSTACYCLIN RECEPTOR', 135753),
(192028, 'PTHR43795:SF85', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE ACS10-RELATED', 135754),
(192029, 'PTHR11019:SF159', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 135755),
(192030, 'PTHR11261', NULL, NULL, NULL, NULL, 'INTERPHOTORECEPTOR RETINOID-BINDING PROTEIN', 135756),
(192031, 'PTHR47818:SF2', NULL, NULL, NULL, NULL, 'RNI-LIKE SUPERFAMILY PROTEIN', 135757),
(192032, 'PTHR30354:SF11', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', 135758),
(192033, 'PTHR48083:SF2', NULL, NULL, NULL, NULL, 'MEDIUM-CHAIN SPECIFIC ACYL-COA DEHYDROGENASE, MITOCHONDRIAL', 135759),
(192034, 'PTHR24339:SF47', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NOTOCHORD', 135760),
(192035, 'PTHR11010:SF97', NULL, NULL, NULL, NULL, 'LYSOSOMAL PRO-X CARBOXYPEPTIDASE', 135761),
(192036, 'PTHR30613:SF1', NULL, NULL, NULL, NULL, 'DUF1479 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G09280)', 135762),
(192037, 'PTHR18860:SF22', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN GAMMA', 135763),
(192038, 'PTHR31048:SF120', NULL, NULL, NULL, NULL, 'OS03G0244200 PROTEIN', 135764),
(192039, 'PTHR45642:SF61', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 135765),
(192040, 'PTHR26452:SF29', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 135766),
(192041, 'PTHR46128:SF83', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN PNM1, MITOCHONDRIAL', 135767),
(192042, 'PTHR30283:SF4', NULL, NULL, NULL, NULL, 'PEROXIDE STRESS RESISTANCE PROTEIN YAAA', 135768),
(192043, 'PTHR43389:SF4', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT B', 135769),
(192044, 'PTHR34222:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135770),
(192045, 'PTHR46268:SF12', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN UP12', 135771),
(192046, 'PTHR27006:SF433', NULL, NULL, NULL, NULL, 'BNAC03G71060D PROTEIN', 135772),
(192047, 'PTHR11188:SF150', NULL, NULL, NULL, NULL, 'PROTEIN LDB19', 135773),
(192048, 'PTHR22761:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135774),
(192049, 'PTHR35986:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 135775),
(192050, 'PTHR11458:SF1', NULL, NULL, NULL, NULL, 'DELTA-AMINOLEVULINIC ACID DEHYDRATASE', 135776),
(192051, 'PTHR43523:SF12', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE LARGE SUBUNIT 1, CHLOROPLASTIC-RELATED', 135777);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(192052, 'PTHR14130:SF15', NULL, NULL, NULL, NULL, 'SI:CH211-114M9.1', 135778),
(192053, 'PTHR47293:SF59', NULL, NULL, NULL, NULL, 'BNAANNG35670D PROTEIN', 135779),
(192054, 'PTHR45735:SF4', NULL, NULL, NULL, NULL, 'OS06G0248200 PROTEIN', 135780),
(192055, 'PTHR11134:SF11', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT BETA-2', 135781),
(192056, 'PTHR11835:SF69', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] REGULATORY SUBUNIT 2, MITOCHONDRIAL', 135782),
(192057, 'PTHR33974:SF10', NULL, NULL, NULL, NULL, 'OS04G0627300 PROTEIN', 135783),
(192058, 'PTHR22923:SF89', NULL, NULL, NULL, NULL, 'CEREBELLIN 18', 135784),
(192059, 'PTHR36892:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135785),
(192060, 'PTHR26450:SF26', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 56B2-RELATED', 135786),
(192061, 'PTHR32295:SF99', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF FAMILY PROTEIN, EXPRESSED', 135787),
(192062, 'PTHR15481:SF7', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN WITH SERINE RICH DOMAIN 1', 135788),
(192063, 'PTHR45621:SF6', NULL, NULL, NULL, NULL, 'OS06G0703000 PROTEIN', 135789),
(192064, 'PTHR14211', NULL, NULL, NULL, NULL, 'GLIOMA SUPPRESSOR CANDIDATE REGION GENE 2', 135790),
(192065, 'PTHR34536:SF6', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', 135791),
(192066, 'PTHR48104:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135792),
(192067, 'PTHR48047:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135793),
(192068, 'PTHR33448:SF2', NULL, NULL, NULL, NULL, 'OS02G0753400 PROTEIN', 135794),
(192069, 'PTHR12673:SF254', NULL, NULL, NULL, NULL, 'RHOGEF DOMAIN-CONTAINING PROTEIN GXCH', 135795),
(192070, 'PTHR43863', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03140)-RELATED', 135796),
(192071, 'PTHR24282:SF217', NULL, NULL, NULL, NULL, 'SECOLOGANIN SYNTHASE', 135797),
(192072, 'PTHR45867:SF7', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 135798),
(192073, 'PTHR34541', NULL, NULL, NULL, NULL, 'OS01G0729900 PROTEIN', 135799),
(192074, 'PTHR45811:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135800),
(192075, 'PTHR44542:SF7', NULL, NULL, NULL, NULL, 'OS02G0157600 PROTEIN', 135801),
(192076, 'PTHR31194:SF138', NULL, NULL, NULL, NULL, 'BNAC02G09020D PROTEIN', 135802),
(192077, 'PTHR22663', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 135803),
(192078, 'PTHR34191:SF4', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', 135804),
(192079, 'PTHR24115:SF934', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN SUBITO', 135805),
(192080, 'PTHR31403:SF39', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IGAMMA1 CHLOROPLASTIC', 135806),
(192081, 'PTHR16206:SF4', NULL, NULL, NULL, NULL, 'TARGET OF ERK KINASE MPK-1', 135807),
(192082, 'PTHR10795:SF642', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135808),
(192083, 'PTHR12092:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135809),
(192084, 'PTHR10743:SF0', NULL, NULL, NULL, NULL, 'PROTEIN RER1', 135810),
(192085, 'PTHR31036', NULL, NULL, NULL, NULL, 'FANCD2 OPPOSITE STRAND PROTEIN', 135811),
(192086, 'PTHR38469:SF1', NULL, NULL, NULL, NULL, 'PERIPLASMIC PEPTIDASE SUBFAMILY S1B', 135812),
(192087, 'PTHR24161:SF83', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 135813),
(192088, 'PTHR23257:SF768', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE DDB_G0290471-RELATED', 135814),
(192089, 'PTHR37880:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 54', 135815),
(192090, 'PTHR10666:SF173', NULL, NULL, NULL, NULL, 'NEDD8', 135816),
(192091, 'PTHR11527:SF273', NULL, NULL, NULL, NULL, '18.8 KDA CLASS II HEAT SHOCK PROTEIN-LIKE', 135817),
(192092, 'PTHR10293:SF64', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN', 135818),
(192093, 'PTHR48063:SF34', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', 135819),
(192094, 'PTHR24055', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 135820),
(192095, 'PTHR21596:SF66', NULL, NULL, NULL, NULL, 'BNAA06G16380D PROTEIN', 135821),
(192096, 'PTHR11972:SF61', NULL, NULL, NULL, NULL, 'OS12G0541300 PROTEIN', 135822);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(192097, 'PTHR43618', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 135823),
(192098, 'PTHR11624:SF102', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA', 135824),
(192099, 'PTHR11405:SF52', NULL, NULL, NULL, NULL, 'ASPARTATE CARBAMOYLTRANSFERASE, CATALYTIC CHAIN', 135825),
(192100, 'PTHR23322:SF22', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 2', 135826),
(192101, 'PTHR10869:SF140', NULL, NULL, NULL, NULL, 'OS03G0803500 PROTEIN', 135827),
(192102, 'PTHR23226:SF196', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 73', 135828),
(192103, 'PTHR24040', NULL, NULL, NULL, NULL, 'LAMININ G-LIKE DOMAIN-CONTAINING PROTEIN', 135829),
(192104, 'PTHR23155:SF1119', NULL, NULL, NULL, NULL, 'OS08G0246100 PROTEIN', 135830),
(192105, 'PTHR12174:SF92', NULL, NULL, NULL, NULL, 'PA DOMAIN, PRESENILIN/SIGNAL PEPTIDE PEPTIDASE-RELATED', 135831),
(192106, 'PTHR46524:SF9', NULL, NULL, NULL, NULL, 'CW-TYPE ZINC FINGER', 135832),
(192107, 'PTHR11594:SF10', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', 135833),
(192108, 'PTHR31757:SF0', NULL, NULL, NULL, NULL, 'SLL0781 PROTEIN', 135834),
(192109, 'PTHR10501:SF67', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 2', 135835),
(192110, 'PTHR42069:SF1', NULL, NULL, NULL, NULL, 'HYPHAL ANASTAMOSIS-8 PROTEIN', 135836),
(192111, 'PTHR30602:SF13', NULL, NULL, NULL, NULL, 'AMINO-ACID ACETYLTRANSFERASE NAGS2, CHLOROPLASTIC-RELATED', 135837),
(192112, 'PTHR13507', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 135838),
(192113, 'PTHR23068:SF10', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE 3A', 135839),
(192114, 'PTHR18884:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135840),
(192115, 'PTHR36312:SF9', NULL, NULL, NULL, NULL, 'BNACNNG31570D PROTEIN', 135841),
(192116, 'PTHR31965:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 42', 135842),
(192117, 'PTHR31675:SF30', NULL, NULL, NULL, NULL, 'AXIAL REGULATOR YABBY 2-RELATED', 135843),
(192118, 'PTHR31245:SF23', NULL, NULL, NULL, NULL, 'UBA-LIKE PROTEIN-RELATED', 135844),
(192119, 'PTHR33321:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135845),
(192120, 'PTHR16073:SF10', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PLURIPOTENCY-ASSOCIATED PROTEIN 2', 135846),
(192121, 'PTHR42893:SF8', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 135847),
(192122, 'PTHR31104', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA-GLUCOSAMINYL)ASPARAGINE AMIDASE A PROTEIN', 135848),
(192123, 'PTHR15384:SF0', NULL, NULL, NULL, NULL, 'PROTEIN EVI2B', 135849),
(192124, 'PTHR43461', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 256', 135850),
(192125, 'PTHR39383', NULL, NULL, NULL, NULL, 'PROTEIN CBG16996', 135851),
(192126, 'PTHR15001:SF11', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN', 135852),
(192127, 'PTHR12654:SF30', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE-LIKE', 135853),
(192128, 'PTHR24092:SF182', NULL, NULL, NULL, NULL, 'P-TYPE ATPASE, SUBFAMILY IV, HAD-LIKE DOMAIN PROTEIN-RELATED', 135854),
(192129, 'PTHR33124:SF67', NULL, NULL, NULL, NULL, 'BNAC04G52670D PROTEIN', 135855),
(192130, 'PTHR11685:SF361', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARI8-RELATED', 135856),
(192131, 'PTHR22912:SF217', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', 135857),
(192132, 'PTHR19304:SF5', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR-2', 135858),
(192133, 'PTHR11715:SF28', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN, MITOCHONDRIAL', 135859),
(192134, 'PTHR31741:SF54', NULL, NULL, NULL, NULL, 'PROTEIN FRIABLE 1', 135860),
(192135, 'PTHR33136:SF72', NULL, NULL, NULL, NULL, 'BNAA09G03850D PROTEIN', 135861),
(192136, 'PTHR10934:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18', 135862),
(192137, 'PTHR10641:SF961', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', 135863),
(192138, 'PTHR11599:SF53', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-8', 135864),
(192139, 'PTHR12537:SF150', NULL, NULL, NULL, NULL, 'BNAC05G17480D PROTEIN', 135865),
(192140, 'PTHR23409:SF36', NULL, NULL, NULL, NULL, 'R2-LIKE LIGAND BINDING OXIDASE', 135866);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(192141, 'PTHR33130:SF43', NULL, NULL, NULL, NULL, 'OS01G0688600 PROTEIN', 135867),
(192142, 'PTHR45856:SF15', NULL, NULL, NULL, NULL, 'TRIGLYCERIDE LIPASE, PF01764-RELATED', 135868),
(192143, 'PTHR13050:SF7', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN USE1', 135869),
(192144, 'PTHR21493:SF250', NULL, NULL, NULL, NULL, 'GOLGI TRANSPORT 1BA', 135870),
(192145, 'PTHR28251', NULL, NULL, NULL, NULL, 'V-TYPE ATPASE ASSEMBLY FACTOR PKR1', 135871),
(192146, 'PTHR12628:SF17', NULL, NULL, NULL, NULL, 'BNAA01G07010D PROTEIN', 135872),
(192147, 'PTHR31072:SF170', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP23', 135873),
(192148, 'PTHR48092:SF23', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP I MEMBER 3', 135874),
(192149, 'PTHR45956', NULL, NULL, NULL, NULL, 'RUN AND FYVE DOMAIN-CONTAINING PROTEIN 2-LIKE PROTEIN', 135875),
(192150, 'PTHR48141:SF1', NULL, NULL, NULL, NULL, 'KINASE C, PUTATIVE-RELATED', 135876),
(192151, 'PTHR48017:SF51', NULL, NULL, NULL, NULL, 'OSJNBA0072F16.7 PROTEIN', 135877),
(192152, 'PTHR12789:SF3', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 22', 135878),
(192153, 'PTHR24409:SF379', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIIA', 135879),
(192154, 'PTHR21727', NULL, NULL, NULL, NULL, 'PHOSPHORYLATED CTD INTERACTING FACTOR 1', 135880),
(192155, 'PTHR31803:SF7', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE 3, MITOCHONDRIAL', 135881),
(192156, 'PTHR42647:SF10', NULL, NULL, NULL, NULL, 'F2G19.2', 135882),
(192157, 'PTHR42939:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN ALBC-RELATED', 135883),
(192158, 'PTHR43469:SF1', NULL, NULL, NULL, NULL, 'DISULFIDE FORMATION PROTEIN-RELATED', 135884),
(192159, 'PTHR43991:SF31', NULL, NULL, NULL, NULL, 'BNAA10G10410D PROTEIN', 135885),
(192160, 'PTHR23110:SF84', NULL, NULL, NULL, NULL, 'AGAP003685-PA', 135886),
(192161, 'PTHR37197:SF2', NULL, NULL, NULL, NULL, 'F19K23.17 PROTEIN', 135887),
(192162, 'PTHR12542:SF133', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 135888),
(192163, 'PTHR24028:SF128', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-9', 135889),
(192164, 'PTHR11654:SF448', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.4', 135890),
(192165, 'PTHR46116:SF26', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 Z', 135891),
(192166, 'PTHR34011:SF5', NULL, NULL, NULL, NULL, 'PHYCOBILISOME 32.1 KDA LINKER POLYPEPTIDE, PHYCOCYANIN-ASSOCIATED, ROD 2', 135892),
(192167, 'PTHR24320:SF181', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR', 135893),
(192168, 'PTHR47678:SF2', NULL, NULL, NULL, NULL, 'ZGC:123010', 135894),
(192169, 'PTHR45967:SF7', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 16', 135895),
(192170, 'PTHR46886', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR II', 135896),
(192171, 'PTHR19432:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135897),
(192172, 'PTHR19422', NULL, NULL, NULL, NULL, 'GAG RETROVIRAL POLYPROTEIN', 135898),
(192173, 'PTHR30325', NULL, NULL, NULL, NULL, 'MEMBRANE COMPONENT OF ABC TRANSPORTER', 135899),
(192174, 'PTHR21495:SF211', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 135900),
(192175, 'PTHR21633:SF24', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN F5', 135901),
(192176, 'PTHR11040:SF165', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 5-LIKE', 135902),
(192177, 'PTHR47419:SF1', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', 135903),
(192178, 'PTHR13462:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135904),
(192179, 'PTHR22883:SF313', NULL, NULL, NULL, NULL, 'ZDHHC-TYPE PALMITOYLTRANSFERASE 4-RELATED', 135905),
(192180, 'PTHR24414:SF148', NULL, NULL, NULL, NULL, 'BNAC08G11820D PROTEIN', 135906),
(192181, 'PTHR23239:SF355', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135907),
(192182, 'PTHR25465:SF17', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN/ISG15 LIGASE TRIM25', 135908),
(192183, 'PTHR37534:SF27', NULL, NULL, NULL, NULL, 'SFGA', 135909),
(192184, 'PTHR33913:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135910),
(192185, 'PTHR30503', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 135911);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(192186, 'PTHR34231', NULL, NULL, NULL, NULL, 'EXS-RELATED PROTEIN', 135912),
(192187, 'PTHR24027:SF319', NULL, NULL, NULL, NULL, 'CADHERIN-1', 135913),
(192188, 'PTHR47547', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 135914),
(192189, 'PTHR12673:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135915),
(192190, 'PTHR47926:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135916),
(192191, 'PTHR30290:SF34', NULL, NULL, NULL, NULL, 'ABC-TYPE DIPEPTIDE TRANSPORT SYSTEM PERIPLASMIC COMPONENT', 135917),
(192192, 'PTHR11716:SF51', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(2)', 135918),
(192193, 'PTHR33459:SF7', NULL, NULL, NULL, NULL, 'DD-GDCA PROTEIN', 135919),
(192194, 'PTHR33177:SF47', NULL, NULL, NULL, NULL, 'BNAC02G02040D PROTEIN', 135920),
(192195, 'PTHR24221:SF523', NULL, NULL, NULL, NULL, 'OS05G0137200 PROTEIN', 135921),
(192196, 'PTHR47006:SF1', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 4', 135922),
(192197, 'PTHR23054', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 135923),
(192198, 'PTHR24379:SF101', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 791', 135924),
(192199, 'PTHR46404:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE IOTA', 135925),
(192200, 'PTHR12879:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135926),
(192201, 'PTHR43391:SF53', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE 1B-LIKE ISOFORM X1', 135927),
(192202, 'PTHR22989:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG04469', 135928),
(192203, 'PTHR11761:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23', 135929),
(192204, 'PTHR11709:SF232', NULL, NULL, NULL, NULL, 'LACCASE 2, ISOFORM G', 135930),
(192205, 'PTHR47354:SF2', NULL, NULL, NULL, NULL, 'PHENOXYBENZOATE DIOXYGENASE BETA SUBUNIT', 135931),
(192206, 'PTHR18896:SF161', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 135932),
(192207, 'PTHR22596:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG13641', 135933),
(192208, 'PTHR33337:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135934),
(192209, 'PTHR11017:SF207', NULL, NULL, NULL, NULL, 'SIMILAR TO PART OF DISEASE RESISTANCE PROTEIN', 135935),
(192210, 'PTHR11240:SF59', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2 FAMILY PROTEIN', 135936),
(192211, 'PTHR21043:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ASSEMBLY OF RIBOSOMAL LARGE SUBUNIT PROTEIN 1', 135937),
(192212, 'PTHR45768:SF7', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL65', 135938),
(192213, 'PTHR23024:SF442', NULL, NULL, NULL, NULL, 'OS07G0162400 PROTEIN', 135939),
(192214, 'PTHR46445:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF1296)-RELATED', 135940),
(192215, 'PTHR33800:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135941),
(192216, 'PTHR32285:SF166', NULL, NULL, NULL, NULL, 'PROTEIN ESKIMO 1-LIKE', 135942),
(192217, 'PTHR31149:SF11', NULL, NULL, NULL, NULL, '187-KDA MICROTUBULE-ASSOCIATED PROTEIN AIR9', 135943),
(192218, 'PTHR10989:SF16', NULL, NULL, NULL, NULL, 'AT02829P-RELATED', 135944),
(192219, 'PTHR24281:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135945),
(192220, 'PTHR43875:SF12', NULL, NULL, NULL, NULL, 'SN-GLYCEROL-3-PHOSPHATE IMPORT ATP-BINDING PROTEIN UGPC', 135946),
(192221, 'PTHR26452:SF0', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 135947),
(192222, 'PTHR10125:SF18', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR 4', 135948),
(192223, 'PTHR11394:SF31', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 8', 135949),
(192224, 'PTHR32361:SF9', NULL, NULL, NULL, NULL, 'FERRIC REDUCTASE TRANSMEMBRANE COMPONENT 3-RELATED', 135950),
(192225, 'PTHR23034:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 3', 135951),
(192226, 'PTHR45436:SF9', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN', 135952),
(192227, 'PTHR31300:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135953),
(192228, 'PTHR31235:SF177', NULL, NULL, NULL, NULL, 'PEROXIDASE', 135954),
(192229, 'PTHR43072:SF42', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE HLS1-LIKE-RELATED', 135955),
(192230, 'PTHR11699:SF276', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ALDEHYDE DEHYDROGENASE ALDH2A', 135956),
(192231, 'PTHR16943', NULL, NULL, NULL, NULL, '2-METHYLCITRATE DEHYDRATASE-RELATED', 135957);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(192232, 'PTHR31175:SF59', NULL, NULL, NULL, NULL, 'BNAC03G59190D PROTEIN', 135958),
(192233, 'PTHR23420:SF21', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', 135959),
(192234, 'PTHR23086:SF34', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE TYPE-1 BETA', 135960),
(192235, 'PTHR24056:SF438', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CAK1', 135961),
(192236, 'PTHR31315:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SIP5', 135962),
(192237, 'PTHR48018:SF67', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 135963),
(192238, 'PTHR47294:SF5', NULL, NULL, NULL, NULL, 'OS09G0408550 PROTEIN', 135964),
(192239, 'PTHR31444:SF44', NULL, NULL, NULL, NULL, 'BNAA07G25070D PROTEIN', 135965),
(192240, 'PTHR47941:SF5', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 3, MITOCHONDRIAL', 135966),
(192241, 'PTHR31314:SF94', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', 135967),
(192242, 'PTHR31115:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 135968),
(192243, 'PTHR11711:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135969),
(192244, 'PTHR31234:SF10', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN 1 CONTAINING PROTEIN, EXPRESSED', 135970),
(192245, 'PTHR46080:SF10', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN-RELATED', 135971),
(192246, 'PTHR46979:SF2', NULL, NULL, NULL, NULL, 'SORTING NEXIN-41', 135972),
(192247, 'PTHR31636:SF221', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 8', 135973),
(192248, 'PTHR47520:SF7', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 135974),
(192249, 'PTHR11214:SF262', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE-LIKE PROTEIN', 135975),
(192250, 'PTHR31045:SF16', NULL, NULL, NULL, NULL, 'OS12G0109633 PROTEIN', 135976),
(192251, 'PTHR10681', NULL, NULL, NULL, NULL, 'THIOREDOXIN PEROXIDASE', 135977),
(192252, 'PTHR45666:SF41', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE-RELATED', 135978),
(192253, 'PTHR48100:SF24', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE', 135979),
(192254, 'PTHR45932:SF9', NULL, NULL, NULL, NULL, 'PATELLIN-1', 135980),
(192255, 'PTHR24320:SF160', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 135981),
(192256, 'PTHR35510:SF3', NULL, NULL, NULL, NULL, 'OS09G0494500 PROTEIN', 135982),
(192257, 'PTHR10121:SF6', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT DELTA', 135983),
(192258, 'PTHR35365:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135984),
(192259, 'PTHR18866:SF33', NULL, NULL, NULL, NULL, 'METHYLCROTONOYL-COA CARBOXYLASE SUBUNIT ALPHA, MITOCHONDRIAL-RELATED', 135985),
(192260, 'PTHR24056:SF496', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 11A-RELATED', 135986),
(192261, 'PTHR44656:SF5', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE (SDR FAMILY) MEMBER 12', 135987),
(192262, 'PTHR12317:SF37', NULL, NULL, NULL, NULL, 'ACYL-COA:DIACYLGLYCEROL ACYLTRANSFERASE', 135988),
(192263, 'PTHR10745:SF18', NULL, NULL, NULL, NULL, 'ORNITHINE CARBAMOYLTRANSFERASE CHLOROPLASTIC', 135989),
(192264, 'PTHR11060:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135990),
(192265, 'PTHR24247:SF134', NULL, NULL, NULL, NULL, 'OCTOPAMINE RECEPTOR OAMB', 135991),
(192266, 'PTHR11699:SF102', NULL, NULL, NULL, NULL, 'RETINAL DEHYDROGENASE 2', 135992),
(192267, 'PTHR38455', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 135993),
(192268, 'PTHR21707:SF42', NULL, NULL, NULL, NULL, 'FLAGELLUM-ASSOCIATED COILED-COIL DOMAIN-CONTAINING PROTEIN 1', 135994),
(192269, 'PTHR32227:SF287', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 12', 135995),
(192270, 'PTHR46789:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN R1', 135996),
(192271, 'PTHR23086:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135997),
(192272, 'PTHR46288:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 135998),
(192273, 'PTHR21234:SF41', NULL, NULL, NULL, NULL, 'OS01G0229800 PROTEIN', 135999),
(192274, 'PTHR24103:SF578', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136000),
(192275, 'PTHR47932:SF9', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 136001);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(192276, 'PTHR23177:SF73', NULL, NULL, NULL, NULL, 'PAK-BOX/P21-RHO-BINDING DOMAIN RHO GTPASE ACTIVATING PROTEIN', 136002),
(192277, 'PTHR44140', NULL, NULL, NULL, NULL, 'LD25575P', 136003),
(192278, 'PTHR48053:SF21', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 136004),
(192279, 'PTHR46214:SF17', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH-RELATED', 136005),
(192280, 'PTHR19432', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER', 136006),
(192281, 'PTHR15503:SF27', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON-DERIVED PROTEIN PEG10', 136007),
(192282, 'PTHR15224:SF5', NULL, NULL, NULL, NULL, 'BNAC04G00180D PROTEIN', 136008),
(192283, 'PTHR10758:SF8', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 3-RELATED', 136009),
(192284, 'PTHR22952:SF424', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 136010),
(192285, 'PTHR23428:SF285', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-C/E/F/G/I', 136011),
(192286, 'PTHR12021:SF11', NULL, NULL, NULL, NULL, 'THYMOSIN BETA-15A-RELATED', 136012),
(192287, 'PTHR21029', NULL, NULL, NULL, NULL, 'R-SEVEN BINDING PROTEIN (R7BP) HOMOLOG', 136013),
(192288, 'PTHR23405:SF8', NULL, NULL, NULL, NULL, 'BNAA01G25050D PROTEIN', 136014),
(192289, 'PTHR24320:SF207', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE TIC 32 CHLOROPLASTIC', 136015),
(192290, 'PTHR36414:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SUR7', 136016),
(192291, 'PTHR34411:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136017),
(192292, 'PTHR31080:SF201', NULL, NULL, NULL, NULL, 'BNAA06G35700D PROTEIN', 136018),
(192293, 'PTHR31896:SF35', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 136019),
(192294, 'PTHR30221:SF18', NULL, NULL, NULL, NULL, 'SLL0590 PROTEIN', 136020),
(192295, 'PTHR31623:SF34', NULL, NULL, NULL, NULL, 'ACETYL-COA-BENZYLALCOHOL ACETYLTRANSFERASE-LIKE', 136021),
(192296, 'PTHR31006:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CBG06921', 136022),
(192297, 'PTHR27004:SF348', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', 136023),
(192298, 'PTHR37487', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 136024),
(192299, 'PTHR10784:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 6', 136025),
(192300, 'PTHR11566:SF163', NULL, NULL, NULL, NULL, 'DYNAMIN FAMILY PROTEIN', 136026),
(192301, 'PTHR11524:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136027),
(192302, 'PTHR31623:SF40', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', 136028),
(192303, 'PTHR11540:SF46', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE, CHLOROPLASTIC-RELATED', 136029),
(192304, 'PTHR48021:SF39', NULL, NULL, NULL, NULL, 'AGAP001236-PA', 136030),
(192305, 'PTHR11662:SF26', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORT PROTEIN 1', 136031),
(192306, 'PTHR22891:SF42', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 2C, PUTATIVE-RELATED', 136032),
(192307, 'PTHR10741:SF5', NULL, NULL, NULL, NULL, 'TRANSLIN-ASSOCIATED PROTEIN X', 136033),
(192308, 'PTHR22792:SF126', NULL, NULL, NULL, NULL, 'ATP SYNTHASE, A SUBUNIT', 136034),
(192309, 'PTHR11581:SF29', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', 136035),
(192310, 'PTHR31042:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE BC10', 136036),
(192311, 'PTHR23042:SF52', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR NUCLEAR TRANSLOCATOR-LIKE PROTEIN 1', 136037),
(192312, 'PTHR47932:SF12', NULL, NULL, NULL, NULL, 'OS01G0153250 PROTEIN', 136038),
(192313, 'PTHR24298:SF573', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 87 SUBFAMILY A POLYPEPTIDE 6', 136039),
(192314, 'PTHR46185', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-1', 136040),
(192315, 'PTHR43859:SF10', NULL, NULL, NULL, NULL, 'AMP-BINDING ENZYME FAMILY PROTEIN, EXPRESSED', 136041),
(192316, 'PTHR45730:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136042),
(192317, 'PTHR47488:SF14', NULL, NULL, NULL, NULL, 'BNAC07G33620D PROTEIN', 136043),
(192318, 'PTHR15934:SF2', NULL, NULL, NULL, NULL, 'RNA 2'',3''-CYCLIC PHOSPHODIESTERASE', 136044),
(192319, 'PTHR13683:SF795', NULL, NULL, NULL, NULL, 'BNAC03G48030D PROTEIN', 136045);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(192320, 'PTHR24073:SF868', NULL, NULL, NULL, NULL, 'PROTEIN CBG04185', 136046),
(192321, 'PTHR43572:SF48', NULL, NULL, NULL, NULL, 'BNAA02G35350D PROTEIN', 136047),
(192322, 'PTHR34680:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 136048),
(192323, 'PTHR31645:SF4', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL3', 136049),
(192324, 'PTHR43650:SF20', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', 136050),
(192325, 'PTHR12356:SF25', NULL, NULL, NULL, NULL, 'PROTEIN BOBBER 2', 136051),
(192326, 'PTHR33191:SF52', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN GRIP22', 136052),
(192327, 'PTHR43131', NULL, NULL, NULL, NULL, 'DEHYDROGENASE', 136053),
(192328, 'PTHR33052:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136054),
(192329, 'PTHR31465:SF32', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', 136055),
(192330, 'PTHR33065:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136056),
(192331, 'PTHR10634:SF112', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 4', 136057),
(192332, 'PTHR23266:SF286', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 7-4-1', 136058),
(192333, 'PTHR10795:SF714', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.4', 136059),
(192334, 'PTHR34841', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN V', 136060),
(192335, 'PTHR22930:SF201', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1-LIKE PROTEIN', 136061),
(192336, 'PTHR24096:SF366', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 1', 136062),
(192337, 'PTHR26374:SF361', NULL, NULL, NULL, NULL, 'OS03G0698300 PROTEIN', 136063),
(192338, 'PTHR44259:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136064),
(192339, 'PTHR11926:SF1427', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 136065),
(192340, 'PTHR31907:SF13', NULL, NULL, NULL, NULL, 'MAJOR LATEX-LIKE PROTEIN-RELATED', 136066),
(192341, 'PTHR35440:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 36', 136067),
(192342, 'PTHR10744:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11', 136068),
(192343, 'PTHR43804:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR 1, MITOCHONDRIAL', 136069),
(192344, 'PTHR43791:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136070),
(192345, 'PTHR20889:SF1', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE PHOSPHATASE PHOSPHO2', 136071),
(192346, 'PTHR14005:SF4', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT A', 136072),
(192347, 'PTHR12601:SF46', NULL, NULL, NULL, NULL, 'BNAA08G13880D PROTEIN', 136073),
(192348, 'PTHR24376:SF173', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 544', 136074),
(192349, 'PTHR34190:SF12', NULL, NULL, NULL, NULL, 'BNAA02G24680D PROTEIN', 136075),
(192350, 'PTHR11730:SF58', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 136076),
(192351, 'PTHR43775:SF21', NULL, NULL, NULL, NULL, 'NON-REDUCING POLYKETIDE SYNTHASE AUSA-RELATED', 136077),
(192352, 'PTHR44170:SF1', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE-RELATED/DOWN-REGULATED BY ONCOGENES', 136078),
(192353, 'PTHR10768:SF20', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', 136079),
(192354, 'PTHR33044:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136080),
(192355, 'PTHR24377:SF890', NULL, NULL, NULL, NULL, 'SI:DKEY-111K8.2-RELATED', 136081),
(192356, 'PTHR33147:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136082),
(192357, 'PTHR11662:SF424', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER 4, CHLOROPLASTIC-RELATED', 136083),
(192358, 'PTHR43386:SF8', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERMEASE PROTEIN', 136084),
(192359, 'PTHR14113:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PICCOLO', 136085),
(192360, 'PTHR10281:SF74', NULL, NULL, NULL, NULL, 'MEMBRANE STEROID-BINDING PROTEIN 1', 136086),
(192361, 'PTHR11960:SF55', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-1', 136087),
(192362, 'PTHR36336:SF1', NULL, NULL, NULL, NULL, 'OS09G0560400 PROTEIN', 136088),
(192363, 'PTHR32278:SF95', NULL, NULL, NULL, NULL, 'PHLOEM PROTEIN 2-B1', 136089);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(192364, 'PTHR46224:SF6', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 136090),
(192365, 'PTHR27001:SF20', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 136091),
(192366, 'PTHR10352:SF35', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2A', 136092),
(192367, 'PTHR48002:SF101', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4P4', 136093),
(192368, 'PTHR31989:SF338', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', 136094),
(192369, 'PTHR47977:SF6', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABD2A-LIKE', 136095),
(192370, 'PTHR45621:SF187', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 136096),
(192371, 'PTHR32428:SF4', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 5', 136097),
(192372, 'PTHR43107:SF6', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE FAMILY PROTEIN (CEFD1), PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03630)-RELATED', 136098),
(192373, 'PTHR43557:SF14', NULL, NULL, NULL, NULL, 'BNAA02G29070D PROTEIN', 136099),
(192374, 'PTHR31260:SF44', NULL, NULL, NULL, NULL, 'BNAA01G07080D PROTEIN', 136100),
(192375, 'PTHR11260:SF520', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 136101),
(192376, 'PTHR11207:SF5', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L44, MITOCHONDRIAL', 136102),
(192377, 'PTHR45735:SF11', NULL, NULL, NULL, NULL, 'PROTEIN PTI1', 136103),
(192378, 'PTHR33332:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136104),
(192379, 'PTHR31741', NULL, NULL, NULL, NULL, 'OS02G0726500 PROTEIN-RELATED', 136105),
(192380, 'PTHR43888:SF28', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 2-RELATED', 136106),
(192381, 'PTHR12794:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SINE1', 136107),
(192382, 'PTHR31466:SF7', NULL, NULL, NULL, NULL, 'MCG1026354, ISOFORM CRA_A-RELATED', 136108),
(192383, 'PTHR33065', NULL, NULL, NULL, NULL, 'OS07G0486400 PROTEIN', 136109),
(192384, 'PTHR24305:SF113', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 136110),
(192385, 'PTHR22599:SF57', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 2A', 136111),
(192386, 'PTHR12912:SF10', NULL, NULL, NULL, NULL, 'BARRIER-TO-AUTOINTEGRATION FACTOR', 136112),
(192387, 'PTHR39413:SF1', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 136', 136113),
(192388, 'PTHR36503:SF2', NULL, NULL, NULL, NULL, 'BLR2408 PROTEIN', 136114),
(192389, 'PTHR11864:SF25', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING PROTEIN 40B', 136115),
(192390, 'PTHR31388:SF216', NULL, NULL, NULL, NULL, 'PEROXIDASE', 136116),
(192391, 'PTHR43047', NULL, NULL, NULL, NULL, 'TWO-COMPONENT HISTIDINE PROTEIN KINASE', 136117),
(192392, 'PTHR20932:SF13', NULL, NULL, NULL, NULL, 'LYSM DOMAIN (PEPTIDOGLYCAN BINDING) PROTEIN', 136118),
(192393, 'PTHR24223:SF415', NULL, NULL, NULL, NULL, 'MULTIDRUG-RESISTANCE LIKE PROTEIN 1, ISOFORM I', 136119),
(192394, 'PTHR12974:SF48', NULL, NULL, NULL, NULL, 'SI:DKEY-181O6.1', 136120),
(192395, 'PTHR33172:SF75', NULL, NULL, NULL, NULL, 'BNAC02G12160D PROTEIN', 136121),
(192396, 'PTHR21228:SF9', NULL, NULL, NULL, NULL, 'FAST KINASE DOMAIN-CONTAINING PROTEIN 3, MITOCHONDRIAL', 136122),
(192397, 'PTHR30363:SF4', NULL, NULL, NULL, NULL, 'HEAT-INDUCIBLE TRANSCRIPTION REPRESSOR HRCA', 136123),
(192398, 'PTHR31168:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136124),
(192399, 'PTHR16932:SF25', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-INDUCIBLE PROTEIN 6', 136125),
(192400, 'PTHR22943:SF247', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 136126),
(192401, 'PTHR27003:SF284', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 136127),
(192402, 'PTHR45707:SF54', NULL, NULL, NULL, NULL, 'FT-INTERACTING PROTEIN 3-RELATED', 136128),
(192403, 'PTHR47985:SF53', NULL, NULL, NULL, NULL, 'BNACNNG03250D PROTEIN', 136129),
(192404, 'PTHR46806:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136130),
(192405, 'PTHR22894:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF170-LIKE PROTEIN (DUF 1232)', 136131),
(192406, 'PTHR11252:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136132);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(192407, 'PTHR33177:SF44', NULL, NULL, NULL, NULL, 'F3O9.30', 136133),
(192408, 'PTHR45614:SF164', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 136134),
(192409, 'PTHR11388:SF107', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 1B7-RELATED', 136135),
(192410, 'PTHR24296:SF202', NULL, NULL, NULL, NULL, 'BNAA09G15100D PROTEIN', 136136),
(192411, 'PTHR22792:SF134', NULL, NULL, NULL, NULL, 'BNACNNG57490D PROTEIN', 136137),
(192412, 'PTHR32444:SF77', NULL, NULL, NULL, NULL, 'OS11G0208700 PROTEIN', 136138),
(192413, 'PTHR46195:SF2', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 7', 136139),
(192414, 'PTHR43353:SF9', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE-RELATED', 136140),
(192415, 'PTHR15107', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA BINDING PROTEIN 8', 136141),
(192416, 'PTHR10744:SF37', NULL, NULL, NULL, NULL, 'BNAA06G38660D PROTEIN', 136142),
(192417, 'PTHR43895:SF57', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 136143),
(192418, 'PTHR22847:SF700', NULL, NULL, NULL, NULL, 'COMPASS-LIKE H3K4 HISTONE METHYLASE COMPONENT WDR5A', 136144),
(192419, 'PTHR14136:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136145),
(192420, 'PTHR19290:SF104', NULL, NULL, NULL, NULL, 'GH17679P', 136146),
(192421, 'PTHR46740:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DYAD', 136147),
(192422, 'PTHR45768:SF61', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF13-LIKE', 136148),
(192423, 'PTHR30128:SF53', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A2', 136149),
(192424, 'PTHR11908:SF140', NULL, NULL, NULL, NULL, 'ABSCISIC-ALDEHYDE OXIDASE-RELATED', 136150),
(192425, 'PTHR42920:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136151),
(192426, 'PTHR43159:SF6', NULL, NULL, NULL, NULL, 'ENOYL-ACYL-CARRIER REDUCTASE', 136152),
(192427, 'PTHR30480:SF14', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13770)-RELATED', 136153),
(192428, 'PTHR23151:SF87', NULL, NULL, NULL, NULL, 'DIHYDROLIPOAMIDE ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX', 136154),
(192429, 'PTHR10113:SF10', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1', 136155),
(192430, 'PTHR10426:SF86', NULL, NULL, NULL, NULL, 'OS09G0374900 PROTEIN', 136156),
(192431, 'PTHR30309', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YGIH', 136157),
(192432, 'PTHR13935:SF121', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', 136158),
(192433, 'PTHR43830:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136159),
(192434, 'PTHR45876:SF11', NULL, NULL, NULL, NULL, 'MENTAL RETARDATION GTPASE ACTIVATING PROTEIN HOMOLOG 3-RELATED', 136160),
(192435, 'PTHR12878:SF5', NULL, NULL, NULL, NULL, 'BNAANNG07980D PROTEIN', 136161),
(192436, 'PTHR12224:SF17', NULL, NULL, NULL, NULL, 'BETA-1,4-MANNOSYL-GLYCOPROTEIN BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE, FAMILY GT17', 136162),
(192437, 'PTHR46777:SF8', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 136163),
(192438, 'PTHR24106:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136164),
(192439, 'PTHR33085:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136165),
(192440, 'PTHR46587:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 136166),
(192441, 'PTHR46477:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136167),
(192442, 'PTHR34340:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136168),
(192443, 'PTHR30409:SF3', NULL, NULL, NULL, NULL, 'CARBAMATE KINASE', 136169),
(192444, 'PTHR12864:SF57', NULL, NULL, NULL, NULL, 'SPLA/RYANODINE RECEPTOR (SPRY) DOMAIN PROTEIN', 136170),
(192445, 'PTHR10366:SF603', NULL, NULL, NULL, NULL, 'OS05G0578500 PROTEIN', 136171),
(192446, 'PTHR32556:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136172),
(192447, 'PTHR23117:SF20', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION PROTEIN ZO-3-RELATED', 136173),
(192448, 'PTHR23155:SF931', NULL, NULL, NULL, NULL, 'OS01G0547000 PROTEIN', 136174);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(192449, 'PTHR27002:SF780', NULL, NULL, NULL, NULL, 'OS01G0783800 PROTEIN', 136175),
(192450, 'PTHR24559:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136176),
(192451, 'PTHR11831:SF4', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN NAM9, MITOCHONDRIAL', 136177),
(192452, 'PTHR46031:SF17', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN, PUTATIVE-RELATED', 136178),
(192453, 'PTHR27007:SF244', NULL, NULL, NULL, NULL, 'OS10G0533800 PROTEIN', 136179),
(192454, 'PTHR46602:SF8', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P-RELATED', 136180),
(192455, 'PTHR34367:SF5', NULL, NULL, NULL, NULL, 'BNAC03G70300D PROTEIN', 136181),
(192456, 'PTHR31580:SF33', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 7 ISOFORM X1', 136182),
(192457, 'PTHR20905:SF17', NULL, NULL, NULL, NULL, 'AANAT (ARYLALKYLAMINE N-ACETYLTRANSFERASE) HOMOLOG', 136183),
(192458, 'PTHR18945:SF524', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', 136184),
(192459, 'PTHR39085:SF1', NULL, NULL, NULL, NULL, 'SLL0924 PROTEIN', 136185),
(192460, 'PTHR23267:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136186),
(192461, 'PTHR32251:SF21', NULL, NULL, NULL, NULL, 'DUF1295 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G02670)', 136187),
(192462, 'PTHR14095:SF18', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', 136188),
(192463, 'PTHR43085:SF39', NULL, NULL, NULL, NULL, 'FRUCTOKINASE', 136189),
(192464, 'PTHR34671:SF21', NULL, NULL, NULL, NULL, 'SMALL HYDROPHILIC PLANT SEED PROTEIN', 136190),
(192465, 'PTHR17408:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136191),
(192466, 'PTHR11451:SF38', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE 2, CYTOPLASMIC', 136192),
(192467, 'PTHR32370:SF142', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', 136193),
(192468, 'PTHR40389', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 136194),
(192469, 'PTHR11839:SF15', NULL, NULL, NULL, NULL, 'URIDINE DIPHOSPHATE GLUCOSE PYROPHOSPHATASE', 136195),
(192470, 'PTHR47992:SF88', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C ABI2-LIKE PROTEIN', 136196),
(192471, 'PTHR45909:SF2', NULL, NULL, NULL, NULL, 'OS07G0620400 PROTEIN', 136197),
(192472, 'PTHR24118:SF51', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA 3 PROTEIN', 136198),
(192473, 'PTHR45666:SF11', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE-5-PHOSPHATASE-LIKE', 136199),
(192474, 'PTHR45618:SF40', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DICARBOXYLATE/TRICARBOXYLATE TRANSPORTER DTC-LIKE', 136200),
(192475, 'PTHR42825:SF12', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 136201),
(192476, 'PTHR20371', NULL, NULL, NULL, NULL, 'ENOLASE-PHOSPHATASE E1', 136202),
(192477, 'PTHR28494:SF1', NULL, NULL, NULL, NULL, 'UPF0600 PROTEIN C5ORF51', 136203),
(192478, 'PTHR30450:SF8', NULL, NULL, NULL, NULL, 'D-METHIONINE TRANSPORT SYSTEM PERMEASE PROTEIN METI', 136204),
(192479, 'PTHR46779:SF3', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE-LIKE PROTEIN 3', 136205),
(192480, 'PTHR22844:SF361', NULL, NULL, NULL, NULL, 'VEGETATIVE INCOMPATIBILITY PROTEIN HET-E-1-LIKE ISOFORM X1', 136206),
(192481, 'PTHR31365:SF12', NULL, NULL, NULL, NULL, 'OS01G0179300 PROTEIN', 136207),
(192482, 'PTHR40114:SF1', NULL, NULL, NULL, NULL, 'SLR0698 PROTEIN', 136208),
(192483, 'PTHR34193:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136209),
(192484, 'PTHR28638:SF2', NULL, NULL, NULL, NULL, 'CELL CYCLE PROGRESSION PROTEIN 1', 136210),
(192485, 'PTHR12411:SF714', NULL, NULL, NULL, NULL, 'CATHEPSIN B', 136211),
(192486, 'PTHR42859:SF3', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT B', 136212),
(192487, 'PTHR32021:SF35', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 136213),
(192488, 'PTHR46376:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-ZIPPER-LIKE TRANSCRIPTIONAL REGULATOR 1', 136214),
(192489, 'PTHR31300:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136215),
(192490, 'PTHR10809:SF130', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 1-2-LIKE', 136216),
(192491, 'PTHR30469:SF33', NULL, NULL, NULL, NULL, 'EFFLUX PROTEIN', 136217);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(192492, 'PTHR47979:SF4', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN YPT3', 136218),
(192493, 'PTHR33735:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136219),
(192494, 'PTHR21502:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN DZIP1', 136220),
(192495, 'PTHR30504:SF3', NULL, NULL, NULL, NULL, 'GLUCANS BIOSYNTHESIS PROTEIN D', 136221),
(192496, 'PTHR12507', NULL, NULL, NULL, NULL, 'REDUCED GROWTH PHENOTYPE 1  RGP1, YEAST -RELATED', 136222),
(192497, 'PTHR21227:SF2', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN2-1-LIKE', 136223),
(192498, 'PTHR45644:SF2', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 1', 136224),
(192499, 'PTHR23502:SF21', NULL, NULL, NULL, NULL, 'DITYROSINE TRANSPORTER 1', 136225),
(192500, 'PTHR21737:SF19', NULL, NULL, NULL, NULL, 'BNAC05G02180D PROTEIN', 136226),
(192501, 'PTHR16134:SF93', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 136227),
(192502, 'PTHR18966:SF496', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 136228),
(192503, 'PTHR31429:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136229),
(192504, 'PTHR18968:SF133', NULL, NULL, NULL, NULL, 'BENZOYLFORMATE DECARBOXYLASE', 136230),
(192505, 'PTHR31986', NULL, NULL, NULL, NULL, 'REGULATOR OF DRUG SENSITIVITY 2', 136231),
(192506, 'PTHR27007:SF193', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VII.1', 136232),
(192507, 'PTHR46446:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE2', 136233),
(192508, 'PTHR28242', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 136234),
(192509, 'PTHR11615:SF124', NULL, NULL, NULL, NULL, 'NUCLEAR PRELAMIN A RECOGNITION FACTOR', 136235),
(192510, 'PTHR30135:SF3', NULL, NULL, NULL, NULL, 'GLUCONEOGENESIS FACTOR-RELATED', 136236),
(192511, 'PTHR32278:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136237),
(192512, 'PTHR11920:SF483', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', 136238),
(192513, 'PTHR10316:SF41', NULL, NULL, NULL, NULL, 'MAGI FAMILY MEMBER, X-LINKED A', 136239),
(192514, 'PTHR19303:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136240),
(192515, 'PTHR10829:SF12', NULL, NULL, NULL, NULL, 'DREBRIN-LIKE PROTEIN', 136241),
(192516, 'PTHR47992:SF101', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', 136242),
(192517, 'PTHR27008:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136243),
(192518, 'PTHR24377:SF878', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 866', 136244),
(192519, 'PTHR31155:SF21', NULL, NULL, NULL, NULL, 'STEAROYL-ACYL-CARRIER-PROTEIN DESATURASE8', 136245),
(192520, 'PTHR45752:SF48', NULL, NULL, NULL, NULL, 'MALIGNANT FIBROUS HISTIOCYTOMA-AMPLIFIED SEQUENCE 1', 136246),
(192521, 'PTHR10127:SF828', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 136247),
(192522, 'PTHR16296:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 126A', 136248),
(192523, 'PTHR23240', NULL, NULL, NULL, NULL, 'DNA CROSS-LINK REPAIR PROTEIN PSO2/SNM1-RELATED', 136249),
(192524, 'PTHR12889:SF6', NULL, NULL, NULL, NULL, 'BNAANNG37220D PROTEIN', 136250),
(192525, 'PTHR33573:SF17', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4D1', 136251),
(192526, 'PTHR10829:SF1', NULL, NULL, NULL, NULL, 'DREBRIN', 136252),
(192527, 'PTHR31675:SF6', NULL, NULL, NULL, NULL, 'AXIAL REGULATOR YABBY 5', 136253),
(192528, 'PTHR21690:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG10596', 136254),
(192529, 'PTHR22996:SF0', NULL, NULL, NULL, NULL, 'LP12254P-RELATED', 136255),
(192530, 'PTHR23429:SF7', NULL, NULL, NULL, NULL, 'GDH/6PGL ENDOPLASMIC BIFUNCTIONAL PROTEIN', 136256),
(192531, 'PTHR45754:SF5', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE', 136257),
(192532, 'PTHR22812:SF146', NULL, NULL, NULL, NULL, 'CHROMO DOMAIN-CONTAINING PROTEIN CEC-3', 136258),
(192533, 'PTHR45647:SF84', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 52-LIKE ISOFORM X1', 136259),
(192534, 'PTHR27002:SF840', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136260),
(192535, 'PTHR23222:SF27', NULL, NULL, NULL, NULL, 'BNAC05G02140D PROTEIN', 136261),
(192536, 'PTHR24055:SF172', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 9', 136262);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(192537, 'PTHR12725:SF115', NULL, NULL, NULL, NULL, 'BNAA10G12490D PROTEIN', 136263),
(192538, 'PTHR45900', NULL, NULL, NULL, NULL, 'RECA', 136264),
(192539, 'PTHR33874:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN', 136265),
(192540, 'PTHR28616', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 125', 136266),
(192541, 'PTHR10166:SF59', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL SUBUNIT ALPHA-2/DELTA-4', 136267),
(192542, 'PTHR36033:SF1', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING PROTEINS SUPERFAMILY', 136268),
(192543, 'PTHR47991:SF100', NULL, NULL, NULL, NULL, 'THEBAINE 6-O-DEMETHYLASE-LIKE', 136269),
(192544, 'PTHR32134:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136270),
(192545, 'PTHR11685:SF223', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 136271),
(192546, 'PTHR11309:SF79', NULL, NULL, NULL, NULL, 'FRIZZLED-9', 136272),
(192547, 'PTHR23514', NULL, NULL, NULL, NULL, 'BYPASS OF STOP CODON PROTEIN 6', 136273),
(192548, 'PTHR24327:SF76', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NANOG', 136274),
(192549, 'PTHR32305:SF11', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING TOXIN VGRG1', 136275),
(192550, 'PTHR12652:SF42', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11 HOMOLOG', 136276),
(192551, 'PTHR31627:SF41', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 136277),
(192552, 'PTHR42979:SF4', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDROGENASE', 136278),
(192553, 'PTHR15284', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR INTERLEUKIN-3-REGULATED PROTEIN', 136279),
(192554, 'PTHR11609:SF13', NULL, NULL, NULL, NULL, 'BNAA03G17360D PROTEIN', 136280),
(192555, 'PTHR23105:SF164', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10A-3', 136281),
(192556, 'PTHR11073:SF41', NULL, NULL, NULL, NULL, 'CALRETICULIN', 136282),
(192557, 'PTHR48010:SF56', NULL, NULL, NULL, NULL, 'OS02G0157000 PROTEIN', 136283),
(192558, 'PTHR24281:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136284),
(192559, 'PTHR26452:SF264', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 136285),
(192560, 'PTHR31234:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136286),
(192561, 'PTHR14068:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT B', 136287),
(192562, 'PTHR31342:SF49', NULL, NULL, NULL, NULL, 'BNAA03G58190D PROTEIN', 136288),
(192563, 'PTHR37015:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136289),
(192564, 'PTHR47332:SF4', NULL, NULL, NULL, NULL, 'SET DOMAIN-CONTAINING PROTEIN 5', 136290),
(192565, 'PTHR12791:SF31', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 136291),
(192566, 'PTHR31722:SF55', NULL, NULL, NULL, NULL, 'BNAC05G34970D PROTEIN', 136292),
(192567, 'PTHR46024:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETDB1', 136293),
(192568, 'PTHR10527:SF80', NULL, NULL, NULL, NULL, 'YALI0D06820P', 136294),
(192569, 'PTHR46610:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136295),
(192570, 'PTHR42884:SF13', NULL, NULL, NULL, NULL, 'NEUROENDOCRINE CONVERTASE 2', 136296),
(192571, 'PTHR23192:SF80', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN 2B', 136297),
(192572, 'PTHR10562:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136298),
(192573, 'PTHR46339:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG06944', 136299),
(192574, 'PTHR45757:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG20085', 136300),
(192575, 'PTHR24403:SF52', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE ZNF451', 136301),
(192576, 'PTHR24414:SF98', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP4', 136302),
(192577, 'PTHR45886:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG16587', 136303),
(192578, 'PTHR27004:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136304),
(192579, 'PTHR48048:SF32', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 136305),
(192580, 'PTHR37187:SF9', NULL, NULL, NULL, NULL, 'BNAA03G48470D PROTEIN', 136306),
(192581, 'PTHR43790:SF6', NULL, NULL, NULL, NULL, 'ARABINOSE IMPORT ATP-BINDING PROTEIN ARAG', 136307),
(192582, 'PTHR12002:SF42', NULL, NULL, NULL, NULL, 'CLAUDIN-9', 136308);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(192583, 'PTHR33198:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136309),
(192584, 'PTHR34269:SF14', NULL, NULL, NULL, NULL, 'BNACNNG67860D PROTEIN', 136310),
(192585, 'PTHR18966:SF109', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, DELTA-2', 136311),
(192586, 'PTHR24403:SF81', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 518A', 136312),
(192587, 'PTHR31601', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S36, MITOCHONDRIAL', 136313),
(192588, 'PTHR47180', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-BINDING PROTEIN GGA1-RELATED', 136314),
(192589, 'PTHR23319:SF13', NULL, NULL, NULL, NULL, 'AGAP002732-PA', 136315),
(192590, 'PTHR33830:SF10', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 118-RELATED', 136316),
(192591, 'PTHR10621:SF38', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN 7SL RNA1-RELATED', 136317),
(192592, 'PTHR43271:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YNFM', 136318),
(192593, 'PTHR11705:SF65', NULL, NULL, NULL, NULL, 'MAST CELL CARBOXYPEPTIDASE A', 136319),
(192594, 'PTHR10288:SF154', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 52', 136320),
(192595, 'PTHR11746:SF229', NULL, NULL, NULL, NULL, 'ISOFLAVONE-7-O-METHYLTRANSFERASE', 136321),
(192596, 'PTHR24031:SF221', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-I', 136322),
(192597, 'PTHR10658:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CBG22145', 136323),
(192598, 'PTHR32141:SF50', NULL, NULL, NULL, NULL, 'OS01G0596300 PROTEIN', 136324),
(192599, 'PTHR40620', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN CRD2, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G04318)-RELATED', 136325),
(192600, 'PTHR32282:SF15', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 1C', 136326),
(192601, 'PTHR24072:SF247', NULL, NULL, NULL, NULL, 'RIF PROTEIN', 136327),
(192602, 'PTHR10791:SF178', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 136328),
(192603, 'PTHR31790:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136329),
(192604, 'PTHR13710:SF128', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE Q-LIKE 4A', 136330),
(192605, 'PTHR44329:SF75', NULL, NULL, NULL, NULL, 'KINASE LIKE PROTEIN', 136331),
(192606, 'PTHR19297:SF7', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYL-O-GLYCOSYL-GLYCOPROTEIN BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE 4', 136332),
(192607, 'PTHR35632:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136333),
(192608, 'PTHR31225:SF114', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 10-LIKE', 136334),
(192609, 'PTHR31509:SF105', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED IMPAIRED RESPONSE 1-LIKE', 136335),
(192610, 'PTHR11017:SF373', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136336),
(192611, 'PTHR33428', NULL, NULL, NULL, NULL, 'CHLOROPHYLLASE-2, CHLOROPLASTIC', 136337),
(192612, 'PTHR22930:SF199', NULL, NULL, NULL, NULL, 'NUCLEASE', 136338),
(192613, 'PTHR11430:SF120', NULL, NULL, NULL, NULL, 'GENE 13539-RELATED', 136339),
(192614, 'PTHR31190:SF260', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF094', 136340),
(192615, 'PTHR31210:SF63', NULL, NULL, NULL, NULL, 'LYSINE KETOGLUTARATE REDUCTASE TRANS-SPLICING RELATED 1-LIKE', 136341),
(192616, 'PTHR31675:SF22', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 1', 136342),
(192617, 'PTHR10528:SF15', NULL, NULL, NULL, NULL, 'AF4/FMR2 FAMILY MEMBER 4', 136343),
(192618, 'PTHR11654:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136344),
(192619, 'PTHR23033', NULL, NULL, NULL, NULL, 'BETA1,3-GALACTOSYLTRANSFERASE', 136345),
(192620, 'PTHR12646:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136346),
(192621, 'PTHR14042:SF23', NULL, NULL, NULL, NULL, 'PROTEIN DOPEY-2', 136347),
(192622, 'PTHR30505:SF0', NULL, NULL, NULL, NULL, 'FRUCTOSE-LIKE PERMEASE IIC COMPONENT 1-RELATED', 136348),
(192623, 'PTHR31265:SF40', NULL, NULL, NULL, NULL, 'BNAC02G48660D PROTEIN', 136349),
(192624, 'PTHR31985:SF198', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF017-LIKE', 136350),
(192625, 'PTHR43601:SF21', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 2, CHLOROPLASTIC', 136351);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(192626, 'PTHR48021:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136352),
(192627, 'PTHR12352:SF3', NULL, NULL, NULL, NULL, 'NIDOGEN-2', 136353),
(192628, 'PTHR12121:SF36', NULL, NULL, NULL, NULL, 'DNASE I-LIKE SUPERFAMILY PROTEIN', 136354),
(192629, 'PTHR46137:SF10', NULL, NULL, NULL, NULL, 'NC DOMAIN-CONTAINING-RELATED-LIKE PROTEIN', 136355),
(192630, 'PTHR10869:SF182', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE', 136356),
(192631, 'PTHR35871', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 136357),
(192632, 'PTHR33021:SF218', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN', 136358),
(192633, 'PTHR40412', NULL, NULL, NULL, NULL, 'SF-ASSEMBLIN', 136359),
(192634, 'PTHR33022:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136360),
(192635, 'PTHR23155:SF1076', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN-RELATED', 136361),
(192636, 'PTHR23024:SF385', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136362),
(192637, 'PTHR32014', NULL, NULL, NULL, NULL, 'BCL-2-MODIFYING FACTOR', 136363),
(192638, 'PTHR11706:SF3', NULL, NULL, NULL, NULL, 'METAL ION TRANSPORT PROTEIN-RELATED', 136364),
(192639, 'PTHR31509:SF110', NULL, NULL, NULL, NULL, 'BNAA09G00030D PROTEIN', 136365),
(192640, 'PTHR18919:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136366),
(192641, 'PTHR24221:SF562', NULL, NULL, NULL, NULL, 'BNAC09G18000D PROTEIN', 136367),
(192642, 'PTHR24055:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136368),
(192643, 'PTHR33670:SF17', NULL, NULL, NULL, NULL, 'BNAA03G51870D PROTEIN', 136369),
(192644, 'PTHR44115:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG09704', 136370),
(192645, 'PTHR45989', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT GAMMA', 136371),
(192646, 'PTHR13351:SF1', NULL, NULL, NULL, NULL, 'RENIN RECEPTOR', 136372),
(192647, 'PTHR45636:SF5', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-6-RELATED', 136373),
(192648, 'PTHR46830', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE-RELATED', 136374),
(192649, 'PTHR31500:SF76', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 13-LIKE ISOFORM X1', 136375),
(192650, 'PTHR48013:SF6', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE MKK1/SSP32-RELATED', 136376),
(192651, 'PTHR12306:SF15', NULL, NULL, NULL, NULL, 'DNAATION FACTOR-RELATED PROTEIN 1, ISOFORM B-RELATED', 136377),
(192652, 'PTHR13068:SF117', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF5, CHLOROPLASTIC-LIKE', 136378),
(192653, 'PTHR15344:SF8', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC691418', 136379),
(192654, 'PTHR45676:SF29', NULL, NULL, NULL, NULL, 'OS05G0360400 PROTEIN', 136380),
(192655, 'PTHR44688:SF19', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR RV0890C-RELATED', 136381),
(192656, 'PTHR43120:SF7', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', 136382),
(192657, 'PTHR33790:SF2', NULL, NULL, NULL, NULL, '17.7 KDA LOW TEMPERATURE INDUCED PROTEIN', 136383),
(192658, 'PTHR12919:SF30', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S16-LIKE', 136384),
(192659, 'PTHR40619', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 136385),
(192660, 'PTHR11649:SF13', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN ENGB-RELATED', 136386),
(192661, 'PTHR47928:SF65', NULL, NULL, NULL, NULL, 'TRANSCRIPT PROCESSING PROTEIN, PUTATIVE-RELATED', 136387),
(192662, 'PTHR33057:SF12', NULL, NULL, NULL, NULL, 'OS01G0625900 PROTEIN', 136388),
(192663, 'PTHR45926:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE5, CHLOROPLASTIC', 136389),
(192664, 'PTHR33830:SF16', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 127-RELATED', 136390),
(192665, 'PTHR31368:SF6', NULL, NULL, NULL, NULL, 'KH HOMOLOGY DOMAIN-CONTAINING PROTEIN 1', 136391),
(192666, 'PTHR13162', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX', 136392),
(192667, 'PTHR10795:SF586', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136393),
(192668, 'PTHR11785:SF437', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 7 MEMBER 13', 136394),
(192669, 'PTHR31080:SF15', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 4', 136395);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(192670, 'PTHR47978:SF32', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-33B', 136396),
(192671, 'PTHR24414:SF152', NULL, NULL, NULL, NULL, 'BNAA08G05200D PROTEIN', 136397),
(192672, 'PTHR23274:SF16', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 136398),
(192673, 'PTHR21028:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-156B7.4', 136399),
(192674, 'PTHR47205', NULL, NULL, NULL, NULL, 'OS07G0599000 PROTEIN', 136400),
(192675, 'PTHR31669:SF190', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5-LIKE ISOFORM X1', 136401),
(192676, 'PTHR10131:SF141', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR FAMILY PROTEIN DDB_G0273433/DDB_G0273509', 136402),
(192677, 'PTHR45989:SF2', NULL, NULL, NULL, NULL, 'BNAC09G38210D PROTEIN', 136403),
(192678, 'PTHR10209:SF780', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 12', 136404),
(192679, 'PTHR21245:SF9', NULL, NULL, NULL, NULL, 'OSJNBB0038F03.1 PROTEIN', 136405),
(192680, 'PTHR11006:SF47', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 8', 136406),
(192681, 'PTHR31062:SF136', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 136407),
(192682, 'PTHR45715:SF16', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E2 ISOFORM X1', 136408),
(192683, 'PTHR35306', NULL, NULL, NULL, NULL, 'BNAA03G57290D PROTEIN', 136409),
(192684, 'PTHR47924:SF2', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 136410),
(192685, 'PTHR24057:SF56', NULL, NULL, NULL, NULL, 'SHAGGY-LIKE PROTEIN KINASE 32-RELATED', 136411),
(192686, 'PTHR11003:SF300', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 136412),
(192687, 'PTHR12802:SF123', NULL, NULL, NULL, NULL, 'MPN DOMAIN-CONTAINING PROTEIN CG4751', 136413),
(192688, 'PTHR46128:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136414),
(192689, 'PTHR10603:SF4', NULL, NULL, NULL, NULL, 'SYNAPTIC FUNCTIONAL REGULATOR FMR1', 136415),
(192690, 'PTHR23216:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR AND COILED-BODY PHOSPHOPROTEIN 1', 136416),
(192691, 'PTHR22835:SF618', NULL, NULL, NULL, NULL, '2, PUTATIVE-RELATED', 136417),
(192692, 'PTHR21026:SF5', NULL, NULL, NULL, NULL, 'BNACNNG33200D PROTEIN', 136418),
(192693, 'PTHR30137:SF18', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 136419),
(192694, 'PTHR38788', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 136420),
(192695, 'PTHR21266:SF24', NULL, NULL, NULL, NULL, 'PHEOPHORBIDE A OXYGENASE, CHLOROPLASTIC', 136421),
(192696, 'PTHR24416:SF88', NULL, NULL, NULL, NULL, 'RECEPTOR TYROSINE-PROTEIN KINASE ERBB-3', 136422),
(192697, 'PTHR10631:SF12', NULL, NULL, NULL, NULL, 'TRNA (GUANINE(26)-N(2))-DIMETHYLTRANSFERASE 1-RELATED', 136423),
(192698, 'PTHR31235:SF65', NULL, NULL, NULL, NULL, 'PEROXIDASE', 136424),
(192699, 'PTHR45665:SF34', NULL, NULL, NULL, NULL, 'BNACNNG50290D PROTEIN', 136425),
(192700, 'PTHR31238:SF5', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 1', 136426),
(192701, 'PTHR47944:SF5', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE-LIKE', 136427),
(192702, 'PTHR33021:SF14', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 2', 136428),
(192703, 'PTHR43243:SF22', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 5', 136429),
(192704, 'PTHR23195:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CBG19797', 136430),
(192705, 'PTHR35561:SF1', NULL, NULL, NULL, NULL, 'RNA 2'',3''-CYCLIC PHOSPHODIESTERASE', 136431),
(192706, 'PTHR24006:SF781', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 1', 136432),
(192707, 'PTHR22595:SF145', NULL, NULL, NULL, NULL, 'BNACNNG39650D PROTEIN', 136433),
(192708, 'PTHR22847:SF677', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136434),
(192709, 'PTHR24056:SF457', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136435),
(192710, 'PTHR48017:SF92', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 1-LIKE', 136436),
(192711, 'PTHR48002:SF61', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 136437),
(192712, 'PTHR33102:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136438),
(192713, 'PTHR31375:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136439);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(192714, 'PTHR43133:SF28', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR HI_1459-RELATED', 136440),
(192715, 'PTHR36034', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 136441),
(192716, 'PTHR41401', NULL, NULL, NULL, NULL, 'RGD1559909', 136442),
(192717, 'PTHR43900:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136443),
(192718, 'PTHR23428:SF296', NULL, NULL, NULL, NULL, 'HISTONE H2B.11-RELATED', 136444),
(192719, 'PTHR28076:SF1', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 71', 136445),
(192720, 'PTHR43380:SF10', NULL, NULL, NULL, NULL, 'BNAUNNG01000D PROTEIN', 136446),
(192721, 'PTHR48086:SF6', NULL, NULL, NULL, NULL, 'CATION/ACETATE SYMPORTER ACTP', 136447),
(192722, 'PTHR12247:SF69', NULL, NULL, NULL, NULL, 'LETHAL(3)MALIGNANT BRAIN TUMOR-LIKE PROTEIN 1', 136448),
(192723, 'PTHR19375:SF416', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAK', 136449),
(192724, 'PTHR32020:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG05025', 136450),
(192725, 'PTHR34222:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136451),
(192726, 'PTHR33336:SF3', NULL, NULL, NULL, NULL, 'QUINOL MONOOXYGENASE YGIN-RELATED', 136452),
(192727, 'PTHR11669:SF9', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C SUBUNIT 5', 136453),
(192728, 'PTHR46971:SF5', NULL, NULL, NULL, NULL, 'BNAA05G09640D PROTEIN', 136454),
(192729, 'PTHR31596:SF1', NULL, NULL, NULL, NULL, 'T-CELL ACTIVATION INHIBITOR, MITOCHONDRIAL', 136455),
(192730, 'PTHR31717:SF84', NULL, NULL, NULL, NULL, 'BNAA08G27930D PROTEIN', 136456),
(192731, 'PTHR10190:SF16', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PROTEIN EYES ABSENT', 136457),
(192732, 'PTHR32440', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 136458),
(192733, 'PTHR24296:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136459),
(192734, 'PTHR46352', NULL, NULL, NULL, NULL, 'PROTEIN SENSITIVE TO PROTON RHIZOTOXICITY 1', 136460),
(192735, 'PTHR35669:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 9', 136461),
(192736, 'PTHR15536', NULL, NULL, NULL, NULL, 'TACHYKININ-3', 136462),
(192737, 'PTHR35868', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 136463),
(192738, 'PTHR11551:SF5', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 2', 136464),
(192739, 'PTHR23136:SF11', NULL, NULL, NULL, NULL, 'ST6 N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE 5', 136465),
(192740, 'PTHR12482:SF51', NULL, NULL, NULL, NULL, 'LIPASE YDL109C-RELATED', 136466),
(192741, 'PTHR32021:SF44', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 136467),
(192742, 'PTHR10438:SF107', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 2', 136468),
(192743, 'PTHR47979:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136469),
(192744, 'PTHR34292:SF2', NULL, NULL, NULL, NULL, 'OUTER SPORE WALL PROTEIN LDS1', 136470),
(192745, 'PTHR33021:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136471),
(192746, 'PTHR43827:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136472),
(192747, 'PTHR18953:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136473),
(192748, 'PTHR13793', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEINS', 136474),
(192749, 'PTHR34569:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136475),
(192750, 'PTHR23176:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136476),
(192751, 'PTHR47206:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136477),
(192752, 'PTHR22589:SF103', NULL, NULL, NULL, NULL, 'CARNITINE O-ACETYL-TRANSFERASE, ISOFORM A', 136478),
(192753, 'PTHR31390:SF15', NULL, NULL, NULL, NULL, 'BNAA04G21690D PROTEIN', 136479),
(192754, 'PTHR31069:SF23', NULL, NULL, NULL, NULL, 'ARGININE METABOLISM REGULATION PROTEIN II-RELATED', 136480),
(192755, 'PTHR11461:SF334', NULL, NULL, NULL, NULL, 'BNAA09G11830D PROTEIN', 136481),
(192756, 'PTHR10201:SF236', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASES PROTEIN 4', 136482),
(192757, 'PTHR22988:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136483),
(192758, 'PTHR24230:SF7', NULL, NULL, NULL, NULL, 'MELANIN-CONCENTRATING HORMONE RECEPTOR 2', 136484),
(192759, 'PTHR11671', NULL, NULL, NULL, NULL, 'V-TYPE ATP SYNTHASE SUBUNIT D', 136485);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(192760, 'PTHR21137:SF26', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 10A-RELATED', 136486),
(192761, 'PTHR22847:SF675', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN A', 136487),
(192762, 'PTHR33697:SF8', NULL, NULL, NULL, NULL, 'BNAA05G15350D PROTEIN', 136488),
(192763, 'PTHR10015:SF357', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-9-LIKE', 136489),
(192764, 'PTHR15706:SF20', NULL, NULL, NULL, NULL, 'NEUTROPHIL CYTOSOL FACTOR 4', 136490),
(192765, 'PTHR24222:SF47', NULL, NULL, NULL, NULL, 'LIPID A EXPORT ATP-BINDING/PERMEASE PROTEIN MSBA', 136491),
(192766, 'PTHR22811:SF162', NULL, NULL, NULL, NULL, 'EMP24 DOMAIN-CONTAINING PROTEIN,PUTATIVE-RELATED', 136492),
(192767, 'PTHR46458', NULL, NULL, NULL, NULL, 'BLR2807 PROTEIN', 136493),
(192768, 'PTHR11893:SF32', NULL, NULL, NULL, NULL, 'INNEXIN', 136494),
(192769, 'PTHR10353:SF148', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 41-RELATED', 136495),
(192770, 'PTHR40079', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE E-RELATED', 136496),
(192771, 'PTHR39209:SF2', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 136497),
(192772, 'PTHR45974:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136498),
(192773, 'PTHR43874:SF72', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR5', 136499),
(192774, 'PTHR12321:SF142', NULL, NULL, NULL, NULL, 'BNAANNG34840D PROTEIN', 136500),
(192775, 'PTHR24379:SF95', NULL, NULL, NULL, NULL, 'RIKEN CDNA 6030490I01-RELATED', 136501),
(192776, 'PTHR33868:SF10', NULL, NULL, NULL, NULL, 'OS08G0483100 PROTEIN', 136502),
(192777, 'PTHR31006', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 136503),
(192778, 'PTHR23058:SF11', NULL, NULL, NULL, NULL, 'OS05G0578000 PROTEIN', 136504),
(192779, 'PTHR32227:SF356', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE 28', 136505),
(192780, 'PTHR33207:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136506),
(192781, 'PTHR35111:SF7', NULL, NULL, NULL, NULL, 'OSJNBB0050O03.2 PROTEIN', 136507),
(192782, 'PTHR31707:SF279', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 136508),
(192783, 'PTHR24401:SF29', NULL, NULL, NULL, NULL, 'SI:CH211-243P7.3-RELATED', 136509),
(192784, 'PTHR45969:SF41', NULL, NULL, NULL, NULL, 'BNAA09G39200D PROTEIN', 136510),
(192785, 'PTHR40087', NULL, NULL, NULL, NULL, 'PHENOLIC ACID DECARBOXYLASE PADC', 136511),
(192786, 'PTHR11850:SF327', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 1', 136512),
(192787, 'PTHR24356:SF380', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE GREATWALL', 136513),
(192788, 'PTHR16852', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE 1 FEEDBACK REGULATORY PROTEIN', 136514),
(192789, 'PTHR42734:SF6', NULL, NULL, NULL, NULL, 'IRON CHELATIN TRANSPORT ATP-BINDING PROTEIN HP_0888-RELATED', 136515),
(192790, 'PTHR11819:SF128', NULL, NULL, NULL, NULL, 'SODIUM/GLUCOSE COTRANSPORTER 5', 136516),
(192791, 'PTHR46138', NULL, NULL, NULL, NULL, 'PROTEIN DR1', 136517),
(192792, 'PTHR30385:SF4', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-F FACTOR', 136518),
(192793, 'PTHR34978:SF3', NULL, NULL, NULL, NULL, 'POSSIBLE SENSOR-TRANSDUCER PROTEIN BLAR', 136519),
(192794, 'PTHR45923:SF7', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG 2', 136520),
(192795, 'PTHR21493:SF9', NULL, NULL, NULL, NULL, 'GOLGI TRANSPORT PROTEIN 1-RELATED', 136521),
(192796, 'PTHR46708:SF3', NULL, NULL, NULL, NULL, 'TENASCIN-X-RELATED', 136522),
(192797, 'PTHR42979:SF9', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDROGENASE', 136523),
(192798, 'PTHR24377:SF787', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 473', 136524),
(192799, 'PTHR22900:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG01579', 136525),
(192800, 'PTHR13798:SF9', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 136526),
(192801, 'PTHR23024:SF508', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136527),
(192802, 'PTHR43329:SF73', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', 136528),
(192803, 'PTHR11895:SF164', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE', 136529);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(192804, 'PTHR32227:SF283', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-13-BETA-GLUCOSIDASE BG4-RELATED', 136530),
(192805, 'PTHR11945:SF401', NULL, NULL, NULL, NULL, 'SRF-TYPE TRANSCRIPTION FACTOR FAMILY PROTEIN', 136531),
(192806, 'PTHR42737:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE REDUCTASE', 136532),
(192807, 'PTHR13124:SF13', NULL, NULL, NULL, NULL, 'BNAC04G00860D PROTEIN', 136533),
(192808, 'PTHR37431:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG24284', 136534),
(192809, 'PTHR45730:SF35', NULL, NULL, NULL, NULL, 'PROSTRATE GROWTH 1', 136535),
(192810, 'PTHR23266:SF207', NULL, NULL, NULL, NULL, 'IG GAMMA-2C CHAIN C REGION', 136536),
(192811, 'PTHR10108:SF1135', NULL, NULL, NULL, NULL, 'BNAA09G26820D PROTEIN', 136537),
(192812, 'PTHR42760:SF93', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE CHLOROPLASTIC', 136538),
(192813, 'PTHR47998:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TT2', 136539),
(192814, 'PTHR11645:SF0', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE 2', 136540),
(192815, 'PTHR23175', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 136541),
(192816, 'PTHR18966:SF510', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 136542),
(192817, 'PTHR35128:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136543),
(192818, 'PTHR12234:SF1', NULL, NULL, NULL, NULL, 'FORMIMINOTRANSFERASE N-TERMINAL SUBDOMAIN-CONTAINING PROTEIN', 136544),
(192819, 'PTHR37198:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLIN', 136545),
(192820, 'PTHR12354:SF11', NULL, NULL, NULL, NULL, 'OS02G0219050 PROTEIN', 136546),
(192821, 'PTHR33102:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136547),
(192822, 'PTHR10725:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136548),
(192823, 'PTHR14047:SF34', NULL, NULL, NULL, NULL, 'G ANTIGEN FAMILY E MEMBER 3-RELATED', 136549),
(192824, 'PTHR43038:SF2', NULL, NULL, NULL, NULL, 'RH61964P', 136550),
(192825, 'PTHR11267:SF183', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX-9', 136551),
(192826, 'PTHR24136:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136552),
(192827, 'PTHR34185', NULL, NULL, NULL, NULL, 'DIADENYLATE CYCLASE', 136553),
(192828, 'PTHR31907:SF41', NULL, NULL, NULL, NULL, 'BNAA08G20650D PROTEIN', 136554),
(192829, 'PTHR20913:SF10', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 20', 136555),
(192830, 'PTHR31348:SF12', NULL, NULL, NULL, NULL, 'OS05G0494600 PROTEIN', 136556),
(192831, 'PTHR19305:SF10', NULL, NULL, NULL, NULL, 'T-SNARE PROTEIN AEX-4', 136557),
(192832, 'PTHR15440:SF0', NULL, NULL, NULL, NULL, 'PROTEIN XRP2', 136558),
(192833, 'PTHR42685:SF16', NULL, NULL, NULL, NULL, 'HYDROGENASE, PUTATIVE-RELATED', 136559),
(192834, 'PTHR10791:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136560),
(192835, 'PTHR11851:SF204', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT BETA', 136561),
(192836, 'PTHR32191:SF71', NULL, NULL, NULL, NULL, 'TETRASPANIN6-RELATED', 136562),
(192837, 'PTHR10984:SF25', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM-GOLGI INTERMEDIATE COMPARTMENT PROTEIN 3', 136563),
(192838, 'PTHR11014:SF147', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 2', 136564),
(192839, 'PTHR48098:SF4', NULL, NULL, NULL, NULL, 'ACETYL ESTERASE', 136565),
(192840, 'PTHR11801:SF65', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION A-RELATED', 136566),
(192841, 'PTHR24018', NULL, NULL, NULL, NULL, 'ELASTIN', 136567),
(192842, 'PTHR21319:SF31', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', 136568),
(192843, 'PTHR27005:SF367', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136569),
(192844, 'PTHR43163:SF3', NULL, NULL, NULL, NULL, 'METAL TRANSPORT INTEGRAL MEMBRANE PROTEIN-RELATED', 136570),
(192845, 'PTHR43833:SF5', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED POTASSIUM CHANNEL KCH', 136571),
(192846, 'PTHR46589:SF1', NULL, NULL, NULL, NULL, 'APOPTOTIC CHROMATIN CONDENSATION INDUCER IN THE NUCLEUS', 136572),
(192847, 'PTHR43807:SF6', NULL, NULL, NULL, NULL, 'KYNURENINE--OXOGLUTARATE TRANSAMINASE 3', 136573),
(192848, 'PTHR34212', NULL, NULL, NULL, NULL, 'OS02G0104200 PROTEIN', 136574);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(192849, 'PTHR45676:SF127', NULL, NULL, NULL, NULL, 'OS01G0311400 PROTEIN', 136575),
(192850, 'PTHR22852:SF1', NULL, NULL, NULL, NULL, 'BNAA06G31940D PROTEIN', 136576),
(192851, 'PTHR47747', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P38-LIKE PROTEIN', 136577),
(192852, 'PTHR11009:SF34', NULL, NULL, NULL, NULL, 'DERLIN', 136578),
(192853, 'PTHR11746:SF201', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE 1-RELATED', 136579),
(192854, 'PTHR24078:SF554', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', 136580),
(192855, 'PTHR38123:SF4', NULL, NULL, NULL, NULL, 'CELL WALL GALACTOMANNOPROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00870)-RELATED', 136581),
(192856, 'PTHR11991:SF11', NULL, NULL, NULL, NULL, 'TRANSLATIONALLY-CONTROLLED TUMOR PROTEIN HOMOLOG', 136582),
(192857, 'PTHR31187:SF1', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1, CHLOROPLASTIC', 136583),
(192858, 'PTHR32285:SF217', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 31', 136584),
(192859, 'PTHR45666:SF50', NULL, NULL, NULL, NULL, 'BNAANNG12830D PROTEIN', 136585),
(192860, 'PTHR31717:SF95', NULL, NULL, NULL, NULL, 'B-BOX TYPE ZINC FINGER PROTEIN', 136586),
(192861, 'PTHR33878', NULL, NULL, NULL, NULL, 'OS08G0559000 PROTEIN', 136587),
(192862, 'PTHR47800:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136588),
(192863, 'PTHR31286:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136589),
(192864, 'PTHR45614:SF123', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB3R-4', 136590),
(192865, 'PTHR48001:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136591),
(192866, 'PTHR20905:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11057', 136592),
(192867, 'PTHR33048:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136593),
(192868, 'PTHR43095:SF2', NULL, NULL, NULL, NULL, 'GLUCONOKINASE', 136594),
(192869, 'PTHR45085:SF2', NULL, NULL, NULL, NULL, 'F21J9.14', 136595),
(192870, 'PTHR13989:SF39', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A HOMOLOG', 136596),
(192871, 'PTHR36789', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 136597),
(192872, 'PTHR44102:SF13', NULL, NULL, NULL, NULL, 'BNAA08G13640D PROTEIN', 136598),
(192873, 'PTHR11850:SF287', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 6', 136599),
(192874, 'PTHR46308', NULL, NULL, NULL, NULL, 'MATH (MEPRIN-ASSOCIATED TRAF HOMOLOGY) DOMAIN CONTAINING', 136600),
(192875, 'PTHR34809', NULL, NULL, NULL, NULL, 'MALTOSE EXCESS PROTEIN 1, CHLOROPLASTIC-RELATED', 136601),
(192876, 'PTHR12548:SF21', NULL, NULL, NULL, NULL, 'DP PROTEIN', 136602),
(192877, 'PTHR30136', NULL, NULL, NULL, NULL, 'HELIX-TURN-HELIX TRANSCRIPTIONAL REGULATOR, ICLR FAMILY', 136603),
(192878, 'PTHR35516:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 5', 136604),
(192879, 'PTHR33288:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME F', 136605),
(192880, 'PTHR34410:SF2', NULL, NULL, NULL, NULL, 'INTRON-ENCODED HOMING ENDONUCLEASE, PUTATIVE-RELATED', 136606),
(192881, 'PTHR31307:SF3', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 136607),
(192882, 'PTHR47297:SF1', NULL, NULL, NULL, NULL, 'NICOTINAMIDASE 1', 136608),
(192883, 'PTHR13546:SF14', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 85C', 136609),
(192884, 'PTHR11017:SF400', NULL, NULL, NULL, NULL, 'BNAC09G11700D PROTEIN', 136610),
(192885, 'PTHR42806', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM P-PROTEIN', 136611),
(192886, 'PTHR24271:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136612),
(192887, 'PTHR33057:SF23', NULL, NULL, NULL, NULL, 'OS03G0336900 PROTEIN', 136613),
(192888, 'PTHR43343:SF2', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 1 CHLOROPLASTIC', 136614),
(192889, 'PTHR24136', NULL, NULL, NULL, NULL, 'SOWAH (DROSOPHILA) HOMOLOG', 136615),
(192890, 'PTHR24296:SF37', NULL, NULL, NULL, NULL, 'OS03G0140200 PROTEIN', 136616),
(192891, 'PTHR40706:SF1', NULL, NULL, NULL, NULL, 'RIBOFLAVIN KINASE', 136617),
(192892, 'PTHR48099:SF5', NULL, NULL, NULL, NULL, 'C-1-TETRAHYDROFOLATE SYNTHASE, CYTOPLASMIC', 136618),
(192893, 'PTHR31468:SF9', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE', 136619); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(192894, 'PTHR45641', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_6G03870)', 136620),
(192895, 'PTHR34582:SF7', NULL, NULL, NULL, NULL, 'UPF0702 TRANSMEMBRANE PROTEIN YDFS', 136621),
(192896, 'PTHR15907:SF164', NULL, NULL, NULL, NULL, 'BNAA09G45360D PROTEIN', 136622),
(192897, 'PTHR10543:SF122', NULL, NULL, NULL, NULL, 'BETA,BETA-CAROTENE 9'',10''-OXYGENASE', 136623),
(192898, 'PTHR34591:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136624),
(192899, 'PTHR11818:SF2', NULL, NULL, NULL, NULL, 'BETA/GAMMA CRYSTALLIN DOMAIN-CONTAINING PROTEIN 1', 136625),
(192900, 'PTHR28015:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE ASSEMBLY FACTOR FMC1, MITOCHONDRIAL', 136626),
(192901, 'PTHR16223:SF214', NULL, NULL, NULL, NULL, 'BNAC03G57760D PROTEIN', 136627),
(192902, 'PTHR31241:SF44', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2A', 136628),
(192903, 'PTHR42886:SF57', NULL, NULL, NULL, NULL, 'ESTERASE/LIPASE/THIOESTERASE DOMAIN-CONTAINING PROTEIN', 136629),
(192904, 'PTHR31731:SF131', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN', 136630),
(192905, 'PTHR10693:SF45', NULL, NULL, NULL, NULL, 'BNAA02G14660D PROTEIN', 136631),
(192906, 'PTHR32295:SF108', NULL, NULL, NULL, NULL, 'OS04G0561100 PROTEIN', 136632),
(192907, 'PTHR27009:SF116', NULL, NULL, NULL, NULL, 'PR5-LIKE RECEPTOR KINASE', 136633),
(192908, 'PTHR12081:SF78', NULL, NULL, NULL, NULL, 'E2F TRANSCRIPTION FACTOR-LIKE E2FD', 136634),
(192909, 'PTHR47655:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 136635),
(192910, 'PTHR35697:SF7', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE, TESTIS-SPECIFIC-LIKE', 136636),
(192911, 'PTHR13237:SF7', NULL, NULL, NULL, NULL, 'NEUROGUIDIN', 136637),
(192912, 'PTHR43467:SF2', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-2 C(20)-METHYLTRANSFERASE', 136638),
(192913, 'PTHR34681', NULL, NULL, NULL, NULL, 'UVEAL AUTOANTIGEN WITH COILED-COIL/ANKYRIN', 136639),
(192914, 'PTHR31415:SF111', NULL, NULL, NULL, NULL, 'BNAC03G41690D PROTEIN', 136640),
(192915, 'PTHR37154:SF1', NULL, NULL, NULL, NULL, 'MITOREGULIN', 136641),
(192916, 'PTHR40788', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 136642),
(192917, 'PTHR43109:SF1', NULL, NULL, NULL, NULL, 'DIPHOSPHATE KINASE, PUTATIVE-RELATED', 136643),
(192918, 'PTHR37408:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136644),
(192919, 'PTHR19876:SF50', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''', 136645),
(192920, 'PTHR33076:SF103', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 6', 136646),
(192921, 'PTHR11260:SF530', NULL, NULL, NULL, NULL, 'GLUTATHIONE-S-TRANSFERASE 28E45', 136647),
(192922, 'PTHR47327:SF20', NULL, NULL, NULL, NULL, 'PROTEIN DYF-7', 136648),
(192923, 'PTHR11751:SF469', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136649),
(192924, 'PTHR11470:SF2', NULL, NULL, NULL, NULL, 'KAPPA-CASEIN', 136650),
(192925, 'PTHR27005:SF372', NULL, NULL, NULL, NULL, 'BNAC04G24080D PROTEIN', 136651),
(192926, 'PTHR24112:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136652),
(192927, 'PTHR10226:SF9', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 3', 136653),
(192928, 'PTHR47383:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136654),
(192929, 'PTHR47840:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 136655),
(192930, 'PTHR10579:SF49', NULL, NULL, NULL, NULL, 'OSJNBA0043L24.22 PROTEIN', 136656),
(192931, 'PTHR32467:SF81', NULL, NULL, NULL, NULL, 'AP2/EREBP TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', 136657),
(192932, 'PTHR11880:SF50', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: 40S RIBOSOMAL PROTEIN S15', 136658),
(192933, 'PTHR31852:SF134', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 136659),
(192934, 'PTHR31080:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136660),
(192935, 'PTHR23122:SF71', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PALMITOYLATED 5B (MAGUK P55 SUBFAMILY MEMBER 5)', 136661),
(192936, 'PTHR34196:SF7', NULL, NULL, NULL, NULL, 'BNAA06G34420D PROTEIN', 136662);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(192937, 'PTHR43668:SF2', NULL, NULL, NULL, NULL, 'ZGC:103559', 136663),
(192938, 'PTHR42914:SF1', NULL, NULL, NULL, NULL, '7-CYANO-7-DEAZAGUANINE SYNTHASE', 136664),
(192939, 'PTHR12299:SF50', NULL, NULL, NULL, NULL, 'RGG REPEATS NUCLEAR RNA BINDING PROTEIN B', 136665),
(192940, 'PTHR11697:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136666),
(192941, 'PTHR42934:SF2', NULL, NULL, NULL, NULL, 'GLYCOLATE OXIDASE SUBUNIT GLCD', 136667),
(192942, 'PTHR27002:SF123', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 136668),
(192943, 'PTHR24107:SF22', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN', 136669),
(192944, 'PTHR31719:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136670),
(192945, 'PTHR24073:SF963', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-1A', 136671),
(192946, 'PTHR44819:SF1', NULL, NULL, NULL, NULL, 'V-TYPE IMMUNOGLOBULIN DOMAIN-CONTAINING SUPPRESSOR OF T-CELL ACTIVATION', 136672),
(192947, 'PTHR48049:SF8', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 91A1-LIKE', 136673),
(192948, 'PTHR46525:SF4', NULL, NULL, NULL, NULL, 'DUF584 DOMAIN-CONTAINING PROTEIN', 136674),
(192949, 'PTHR46273:SF9', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', 136675),
(192950, 'PTHR10501:SF25', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN WITH MULTIPLE SPLICING', 136676),
(192951, 'PTHR22975:SF6', NULL, NULL, NULL, NULL, 'INACTIVE UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 53', 136677),
(192952, 'PTHR11767:SF3', NULL, NULL, NULL, NULL, 'INWARD RECTIFIER POTASSIUM CHANNEL 13', 136678),
(192953, 'PTHR46020:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136679),
(192954, 'PTHR44411', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 6 HOMOLOG', 136680),
(192955, 'PTHR34838:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136681),
(192956, 'PTHR31656:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136682),
(192957, 'PTHR11040:SF33', NULL, NULL, NULL, NULL, 'METAL HOMEOSTASIS FACTOR ATX2', 136683),
(192958, 'PTHR48044:SF17', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 136684),
(192959, 'PTHR43641:SF2', NULL, NULL, NULL, NULL, 'FORMATE ACETYLTRANSFERASE 3-RELATED', 136685),
(192960, 'PTHR46133:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH104', 136686),
(192961, 'PTHR11017:SF381', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 136687),
(192962, 'PTHR40128', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 136688),
(192963, 'PTHR32080:SF55', NULL, NULL, NULL, NULL, 'BNAC02G41280D PROTEIN', 136689),
(192964, 'PTHR21221:SF1', NULL, NULL, NULL, NULL, 'UREIDOGLYCOLATE LYASE', 136690),
(192965, 'PTHR35610:SF1', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE', 136691),
(192966, 'PTHR32227:SF324', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASE FAMILY 17 PROTEIN', 136692),
(192967, 'PTHR10788:SF48', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 6', 136693),
(192968, 'PTHR28165:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136694),
(192969, 'PTHR31175:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136695),
(192970, 'PTHR13408:SF5', NULL, NULL, NULL, NULL, 'POLYMERASE (RNA) III (DNA DIRECTED) POLYPEPTIDE D', 136696),
(192971, 'PTHR10593:SF184', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER PROTEIN', 136697),
(192972, 'PTHR27001:SF668', NULL, NULL, NULL, NULL, 'KINASE IN IN FLOWERS 3, PUTATIVE-RELATED', 136698),
(192973, 'PTHR11524:SF46', NULL, NULL, NULL, NULL, 'BNAA09G18530D PROTEIN', 136699),
(192974, 'PTHR23048:SF3', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN 1/3, SKELETAL MUSCLE ISOFORM', 136700),
(192975, 'PTHR11746:SF247', NULL, NULL, NULL, NULL, 'BNAA06G14950D PROTEIN', 136701),
(192976, 'PTHR13859:SF19', NULL, NULL, NULL, NULL, 'ARGININE-GLUTAMIC ACID DIPEPTIDE REPEAT PROTEIN', 136702),
(192977, 'PTHR32370:SF154', NULL, NULL, NULL, NULL, 'SKP1/BTB/POZ DOMAIN, NPH3 DOMAIN PROTEIN-RELATED', 136703),
(192978, 'PTHR13774:SF35', NULL, NULL, NULL, NULL, 'BNAA04G21450D PROTEIN', 136704),
(192979, 'PTHR23280:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MYLIP', 136705);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(192980, 'PTHR31083:SF29', NULL, NULL, NULL, NULL, 'DUF966 DOMAIN PROTEIN', 136706),
(192981, 'PTHR45720:SF1', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 136707),
(192982, 'PTHR36933', NULL, NULL, NULL, NULL, 'SLL0788 PROTEIN', 136708),
(192983, 'PTHR32444:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136709),
(192984, 'PTHR42851:SF20', NULL, NULL, NULL, NULL, 'SLR1342 PROTEIN', 136710),
(192985, 'PTHR46547:SF13', NULL, NULL, NULL, NULL, 'OS03G0216000 PROTEIN', 136711),
(192986, 'PTHR37223', NULL, NULL, NULL, NULL, 'OS08G0528601 PROTEIN', 136712),
(192987, 'PTHR35358:SF13', NULL, NULL, NULL, NULL, 'BNAC03G27350D PROTEIN', 136713),
(192988, 'PTHR27008:SF438', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136714),
(192989, 'PTHR33499:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136715),
(192990, 'PTHR45621:SF96', NULL, NULL, NULL, NULL, 'AUXIN-REGULATED DUAL SPECIFICITY CYTOSOLIC KINASE', 136716),
(192991, 'PTHR21461:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 136717),
(192992, 'PTHR34285', NULL, NULL, NULL, NULL, 'OS08G0510800 PROTEIN', 136718),
(192993, 'PTHR10811:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136719),
(192994, 'PTHR21472:SF16', NULL, NULL, NULL, NULL, 'SI:DKEY-85K7.11', 136720),
(192995, 'PTHR47979:SF62', NULL, NULL, NULL, NULL, 'BNAA08G30220D PROTEIN', 136721),
(192996, 'PTHR46891:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 136722),
(192997, 'PTHR31008:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136723),
(192998, 'PTHR43572:SF64', NULL, NULL, NULL, NULL, 'CLP ATPASE', 136724),
(192999, 'PTHR47254:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136725),
(193000, 'PTHR27009:SF109', NULL, NULL, NULL, NULL, 'RECEPTOR SERINE/THREONINE KINASE-LIKE PROTEIN', 136726),
(193001, 'PTHR10994:SF166', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B7', 136727),
(193002, 'PTHR22726:SF20', NULL, NULL, NULL, NULL, 'M48 PEPTIDASE FAMILY PROTEIN', 136728),
(193003, 'PTHR45623:SF5', NULL, NULL, NULL, NULL, 'CHD GENE FAMILY PROTEIN CONTAINING CHROMODOMAIN, HELICASE DOMAIN, AND DNA-BINDING DOMAIN', 136729),
(193004, 'PTHR33623:SF13', NULL, NULL, NULL, NULL, 'NUCLEOLIN-LIKE PROTEIN', 136730),
(193005, 'PTHR45811:SF35', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 39', 136731),
(193006, 'PTHR26452:SF778', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 136732),
(193007, 'PTHR23226:SF281', NULL, NULL, NULL, NULL, 'NEUROTROPHIN RECEPTOR-INTERACTING FACTOR 1-RELATED', 136733),
(193008, 'PTHR24543:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136734),
(193009, 'PTHR45085:SF6', NULL, NULL, NULL, NULL, 'BNAA01G14170D PROTEIN', 136735),
(193010, 'PTHR27001:SF877', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136736),
(193011, 'PTHR24115:SF434', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF19', 136737),
(193012, 'PTHR12542:SF93', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 136738),
(193013, 'PTHR13884:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG13449', 136739),
(193014, 'PTHR48078:SF5', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE', 136740),
(193015, 'PTHR34804:SF5', NULL, NULL, NULL, NULL, 'CAMP-REGULATED PHOSPHOPROTEIN 19-RELATED PROTEIN', 136741),
(193016, 'PTHR31357:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS A (ALPHA)', 136742),
(193017, 'PTHR31543', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 4', 136743),
(193018, 'PTHR23281:SF14', NULL, NULL, NULL, NULL, 'RADIXIN', 136744),
(193019, 'PTHR21113:SF6', NULL, NULL, NULL, NULL, 'AGAP000266-PA', 136745),
(193020, 'PTHR37254:SF1', NULL, NULL, NULL, NULL, 'OS01G0100500 PROTEIN', 136746),
(193021, 'PTHR36799:SF3', NULL, NULL, NULL, NULL, 'BNAA02G05150D PROTEIN', 136747),
(193022, 'PTHR34188:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136748),
(193023, 'PTHR31311:SF19', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 1', 136749),
(193024, 'PTHR45798:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136750),
(193025, 'PTHR34148:SF1', NULL, NULL, NULL, NULL, 'ADENOSYLCOBINAMIDE-GDP RIBAZOLETRANSFERASE', 136751);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(193026, 'PTHR23163:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BRE1-LIKE 1', 136752),
(193027, 'PTHR33090:SF26', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE PROTEIN-LIKE PROTEIN', 136753),
(193028, 'PTHR24006:SF702', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 47', 136754),
(193029, 'PTHR23201', NULL, NULL, NULL, NULL, 'EXTENSIN, PROLINE-RICH PROTEIN', 136755),
(193030, 'PTHR35997:SF11', NULL, NULL, NULL, NULL, 'BNAA05G09190D PROTEIN', 136756),
(193031, 'PTHR24028:SF281', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-2', 136757),
(193032, 'PTHR43349:SF51', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 3-RELATED', 136758),
(193033, 'PTHR24089', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25', 136759),
(193034, 'PTHR31549:SF195', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136760),
(193035, 'PTHR11055:SF16', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3''-PHOSPHOADENOSINE 5''-PHOSPHOSULFATE SYNTHASE 2', 136761),
(193036, 'PTHR16026:SF4', NULL, NULL, NULL, NULL, 'CARTILAGE ACIDIC PROTEIN 1B', 136762),
(193037, 'PTHR15261:SF6', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-TYPE LAMININ G DOMAIN AND EAR REPEATS A', 136763),
(193038, 'PTHR12299:SF58', NULL, NULL, NULL, NULL, 'OS03G0845300 PROTEIN', 136764),
(193039, 'PTHR34204:SF4', NULL, NULL, NULL, NULL, 'BNAA05G32560D PROTEIN', 136765),
(193040, 'PTHR31068:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 31', 136766),
(193041, 'PTHR10593:SF170', NULL, NULL, NULL, NULL, 'BNACNNG28590D PROTEIN', 136767),
(193042, 'PTHR43435', NULL, NULL, NULL, NULL, 'RIBULOKINASE', 136768),
(193043, 'PTHR15601:SF21', NULL, NULL, NULL, NULL, 'STRESS-ASSOCIATED ENDOPLASMIC RETICULUM PROTEIN-RELATED', 136769),
(193044, 'PTHR23189:SF45', NULL, NULL, NULL, NULL, 'FLOWERING TIME CONTROL PROTEIN FPA', 136770),
(193045, 'PTHR47507:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136771),
(193046, 'PTHR33908:SF3', NULL, NULL, NULL, NULL, 'UNDECAPRENYL PHOSPHATE-ALPHA-4-AMINO-4-DEOXY-L-ARABINOSE ARABINOSYL TRANSFERASE', 136772),
(193047, 'PTHR22545', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 136773),
(193048, 'PTHR33570', NULL, NULL, NULL, NULL, '4-CARBOXYMUCONOLACTONE DECARBOXYLASE FAMILY PROTEIN', 136774),
(193049, 'PTHR24416:SF276', NULL, NULL, NULL, NULL, 'ALK TYROSINE KINASE RECEPTOR', 136775),
(193050, 'PTHR12673:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136776),
(193051, 'PTHR47992:SF29', NULL, NULL, NULL, NULL, 'ABI1-LIKE PROTEIN-RELATED', 136777),
(193052, 'PTHR16237', NULL, NULL, NULL, NULL, 'ODONTOGENIC AMELOBLAST-ASSOCIATED PROTEIN', 136778),
(193053, 'PTHR34590:SF6', NULL, NULL, NULL, NULL, 'OS03G0124300 PROTEIN', 136779),
(193054, 'PTHR33057:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136780),
(193055, 'PTHR32191:SF69', NULL, NULL, NULL, NULL, 'TETRASPANIN-8', 136781),
(193056, 'PTHR22870:SF417', NULL, NULL, NULL, NULL, 'BNAA01G28890D PROTEIN', 136782),
(193057, 'PTHR34995:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 136783),
(193058, 'PTHR43381:SF19', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-2, CHLOROPLASTIC', 136784),
(193059, 'PTHR31375:SF241', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 28-RELATED', 136785),
(193060, 'PTHR10791:SF170', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 136786),
(193061, 'PTHR45811:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136787),
(193062, 'PTHR12398:SF21', NULL, NULL, NULL, NULL, 'PPP1R2C FAMILY MEMBER C', 136788),
(193063, 'PTHR10209:SF450', NULL, NULL, NULL, NULL, 'AMINOCYCLOPROPANECARBOXYLATE OXIDASE', 136789),
(193064, 'PTHR45642:SF85', NULL, NULL, NULL, NULL, 'BNAA09G14610D PROTEIN', 136790),
(193065, 'PTHR11119:SF97', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 4-LIKE', 136791),
(193066, 'PTHR11203:SF49', NULL, NULL, NULL, NULL, 'BLL1145 PROTEIN', 136792),
(193067, 'PTHR24394:SF12', NULL, NULL, NULL, NULL, 'CENTROSOME-ASSOCIATED ZINC FINGER PROTEIN CP190', 136793),
(193068, 'PTHR23334:SF27', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN EPSILON', 136794);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(193069, 'PTHR24015:SF1886', NULL, NULL, NULL, NULL, 'OS03G0781100 PROTEIN', 136795),
(193070, 'PTHR33983:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136796),
(193071, 'PTHR47925:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136797),
(193072, 'PTHR30420', NULL, NULL, NULL, NULL, 'N-SUCCINYLARGININE DIHYDROLASE', 136798),
(193073, 'PTHR11157:SF132', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN 3-LIKE', 136799),
(193074, 'PTHR47167:SF5', NULL, NULL, NULL, NULL, 'TAO KINASE 2', 136800),
(193075, 'PTHR45984:SF1', NULL, NULL, NULL, NULL, 'RNA (RNA) POLYMERASE II ASSOCIATED PROTEIN HOMOLOG', 136801),
(193076, 'PTHR10137:SF8', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C', 136802),
(193077, 'PTHR40730', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR PROTEIN-LIKE PROTEIN', 136803),
(193078, 'PTHR31692:SF98', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE A1', 136804),
(193079, 'PTHR31867:SF172', NULL, NULL, NULL, NULL, 'EXPANSIN', 136805),
(193080, 'PTHR45458:SF1', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR', 136806),
(193081, 'PTHR47928:SF2', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', 136807),
(193082, 'PTHR13864:SF15', NULL, NULL, NULL, NULL, 'T-CELL ACUTE LYMPHOCYTIC LEUKEMIA 2-RELATED', 136808),
(193083, 'PTHR43757', NULL, NULL, NULL, NULL, 'AMINOMETHYLTRANSFERASE', 136809),
(193084, 'PTHR24298:SF650', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 136810),
(193085, 'PTHR11913:SF100', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 6', 136811),
(193086, 'PTHR10185:SF17', NULL, NULL, NULL, NULL, 'GM01519P-RELATED', 136812),
(193087, 'PTHR36586:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136813),
(193088, 'PTHR24296:SF83', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 86, SUBFAMILY C, POLYPEPTIDE 4', 136814),
(193089, 'PTHR33203:SF2', NULL, NULL, NULL, NULL, 'OS01G0643900 PROTEIN', 136815),
(193090, 'PTHR10869:SF192', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 3-RELATED', 136816),
(193091, 'PTHR31304:SF38', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 39-LIKE', 136817),
(193092, 'PTHR36776', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 136818),
(193093, 'PTHR23155:SF866', NULL, NULL, NULL, NULL, 'OS09G0365000 PROTEIN', 136819),
(193094, 'PTHR24321:SF9', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER PROTEIN] REDUCTASE', 136820),
(193095, 'PTHR45621:SF191', NULL, NULL, NULL, NULL, 'BNAA06G34000D PROTEIN', 136821),
(193096, 'PTHR11440:SF84', NULL, NULL, NULL, NULL, 'OS01G0946300 PROTEIN', 136822),
(193097, 'PTHR39741', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 136823),
(193098, 'PTHR11945:SF397', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', 136824),
(193099, 'PTHR31707:SF173', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 33-RELATED', 136825),
(193100, 'PTHR13707:SF49', NULL, NULL, NULL, NULL, 'ACETATE COA-TRANSFERASE SUBUNIT ALPHA', 136826),
(193101, 'PTHR44305:SF15', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE C03B1.5-RELATED', 136827),
(193102, 'PTHR47978:SF1', NULL, NULL, NULL, NULL, 'SEPTUM-PROMOTING GTP-BINDING PROTEIN 1-LIKE', 136828),
(193103, 'PTHR30346:SF26', NULL, NULL, NULL, NULL, 'HYDROGEN PEROXIDE-INDUCIBLE GENES ACTIVATOR', 136829),
(193104, 'PTHR31321:SF30', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 136830),
(193105, 'PTHR11645:SF58', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 1', 136831),
(193106, 'PTHR38627:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11106', 136832),
(193107, 'PTHR47999:SF25', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN ZM38', 136833),
(193108, 'PTHR46029:SF1', NULL, NULL, NULL, NULL, 'C-TERMINAL-BINDING PROTEIN 1', 136834),
(193109, 'PTHR22576:SF27', NULL, NULL, NULL, NULL, 'MALT PARACASPASE 2', 136835),
(193110, 'PTHR35484:SF2', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 37, CHLOROPLASTIC', 136836),
(193111, 'PTHR45027', NULL, NULL, NULL, NULL, 'PUTATIVE GLUTATHIONE HYDROLASE LIGHT CHAIN', 136837),
(193112, 'PTHR11709:SF405', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE HOMOLOG', 136838);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(193113, 'PTHR23050:SF399', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN, EXPRESSED', 136839),
(193114, 'PTHR23043:SF26', NULL, NULL, NULL, NULL, 'PROTEIN TRACHEALESS', 136840),
(193115, 'PTHR35007', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 136841),
(193116, 'PTHR32002:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136842),
(193117, 'PTHR27006:SF274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136843),
(193118, 'PTHR19422:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136844),
(193119, 'PTHR47156:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG20842', 136845),
(193120, 'PTHR12365:SF6', NULL, NULL, NULL, NULL, 'PROTEIN SPROUTY HOMOLOG 4', 136846),
(193121, 'PTHR43832', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 136847),
(193122, 'PTHR11118:SF1', NULL, NULL, NULL, NULL, 'TRNA-SPLICING LIGASE RTCB HOMOLOG', 136848),
(193123, 'PTHR47990:SF19', NULL, NULL, NULL, NULL, '20-OXIDASE, PUTATIVE-RELATED', 136849),
(193124, 'PTHR32295:SF221', NULL, NULL, NULL, NULL, 'BNAA02G26560D PROTEIN', 136850),
(193125, 'PTHR34397:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136851),
(193126, 'PTHR21700:SF50', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 136852),
(193127, 'PTHR27003:SF380', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ULK1/ULK2-RELATED', 136853),
(193128, 'PTHR46256', NULL, NULL, NULL, NULL, 'AGAP011099-PA', 136854),
(193129, 'PTHR14581:SF5', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 15-LIKE PROTEIN', 136855),
(193130, 'PTHR31300', NULL, NULL, NULL, NULL, 'LIPASE', 136856),
(193131, 'PTHR21495:SF149', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 136857),
(193132, 'PTHR31589:SF145', NULL, NULL, NULL, NULL, 'BNAC04G03430D PROTEIN', 136858),
(193133, 'PTHR22989:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG23470', 136859),
(193134, 'PTHR30121:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136860),
(193135, 'PTHR47681:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT P-RELATED', 136861),
(193136, 'PTHR33191:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136862),
(193137, 'PTHR43420:SF9', NULL, NULL, NULL, NULL, 'PHOSPHINOTHRICIN N-ACETYLTRANSFERASE', 136863),
(193138, 'PTHR31897:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG04463', 136864),
(193139, 'PTHR11475:SF82', NULL, NULL, NULL, NULL, 'CARDINAL', 136865),
(193140, 'PTHR43982:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 136866),
(193141, 'PTHR34947:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 136867),
(193142, 'PTHR14237:SF74', NULL, NULL, NULL, NULL, 'BNAA09G17270D PROTEIN', 136868),
(193143, 'PTHR47746:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136869),
(193144, 'PTHR22979', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', 136870),
(193145, 'PTHR33281:SF14', NULL, NULL, NULL, NULL, 'BNAC04G50530D PROTEIN', 136871),
(193146, 'PTHR43888', NULL, NULL, NULL, NULL, 'DNAJ-LIKE-2, ISOFORM A-RELATED', 136872),
(193147, 'PTHR32410:SF162', NULL, NULL, NULL, NULL, 'CHP-RICH ZINC FINGER PROTEIN-LIKE-RELATED', 136873),
(193148, 'PTHR31639:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136874),
(193149, 'PTHR32285:SF289', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 136875),
(193150, 'PTHR43098:SF2', NULL, NULL, NULL, NULL, 'FAD-BINDING MONOOXYGENASE AUSB-RELATED', 136876),
(193151, 'PTHR31636:SF235', NULL, NULL, NULL, NULL, 'BNAA09G02850D PROTEIN', 136877),
(193152, 'PTHR10891:SF900', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML28-RELATED', 136878),
(193153, 'PTHR13491:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 10', 136879),
(193154, 'PTHR10257:SF69', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2A REGULATORY B SUBUNIT FAMILY PROTEIN', 136880),
(193155, 'PTHR31490:SF49', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-LIKE', 136881),
(193156, 'PTHR12280:SF30', NULL, NULL, NULL, NULL, 'FUMBLE', 136882),
(193157, 'PTHR13832:SF753', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 25-RELATED', 136883);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(193158, 'PTHR46352:SF13', NULL, NULL, NULL, NULL, 'BNAC09G36170D PROTEIN', 136884),
(193159, 'PTHR42729:SF2', NULL, NULL, NULL, NULL, 'OLIGO/DIPEPTIDE TRANSPORT, PERMEASE PROTEIN (DPPC-2)', 136885),
(193160, 'PTHR36684', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX14', 136886),
(193161, 'PTHR12174:SF86', NULL, NULL, NULL, NULL, 'PA DOMAIN, PRESENILIN/SIGNAL PEPTIDE PEPTIDASE-RELATED', 136887),
(193162, 'PTHR18063:SF17', NULL, NULL, NULL, NULL, 'ALANINE--TRNA LIGASE', 136888),
(193163, 'PTHR23266:SF246', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION H8-RELATED', 136889),
(193164, 'PTHR11451:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136890),
(193165, 'PTHR10882:SF5', NULL, NULL, NULL, NULL, 'DIPHTHINE SYNTHASE', 136891),
(193166, 'PTHR10766:SF110', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 8-RELATED', 136892),
(193167, 'PTHR22947:SF6', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 136893),
(193168, 'PTHR44191:SF24', NULL, NULL, NULL, NULL, 'BNAA03G55780D PROTEIN', 136894),
(193169, 'PTHR12547:SF132', NULL, NULL, NULL, NULL, 'PHARYNX AND INTESTINE IN EXCESS PROTEIN 1', 136895),
(193170, 'PTHR48007:SF28', NULL, NULL, NULL, NULL, 'BNAA02G05030D PROTEIN', 136896),
(193171, 'PTHR31827:SF35', NULL, NULL, NULL, NULL, 'LORICRIN-RELATED', 136897),
(193172, 'PTHR23244:SF425', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136898),
(193173, 'PTHR38099:SF1', NULL, NULL, NULL, NULL, 'LARGE RIBOSOMAL RNA SUBUNIT ACCUMULATION PROTEIN YCED', 136899),
(193174, 'PTHR22761:SF67', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 32 HOMOLOG 2-LIKE', 136900),
(193175, 'PTHR23055:SF69', NULL, NULL, NULL, NULL, 'NEURONAL CALCIUM SENSOR 2', 136901),
(193176, 'PTHR14958:SF29', NULL, NULL, NULL, NULL, 'INSOMNIAC, ISOFORM B', 136902),
(193177, 'PTHR23155:SF1136', NULL, NULL, NULL, NULL, 'OS09G0313600 PROTEIN', 136903),
(193178, 'PTHR46969:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN HLDE', 136904),
(193179, 'PTHR24073:SF185', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-14', 136905),
(193180, 'PTHR44755:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136906),
(193181, 'PTHR43519', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE HRPB', 136907),
(193182, 'PTHR35145', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 136908),
(193183, 'PTHR23226:SF189', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 239', 136909),
(193184, 'PTHR11802:SF217', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 136910),
(193185, 'PTHR31620:SF20', NULL, NULL, NULL, NULL, 'BNAA05G29600D PROTEIN', 136911),
(193186, 'PTHR32468:SF144', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 17', 136912),
(193187, 'PTHR32212:SF303', NULL, NULL, NULL, NULL, 'BNAA09G08620D PROTEIN', 136913),
(193188, 'PTHR45637:SF30', NULL, NULL, NULL, NULL, 'OS02G0603000 PROTEIN', 136914),
(193189, 'PTHR19321:SF35', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 6', 136915),
(193190, 'PTHR24228:SF49', NULL, NULL, NULL, NULL, 'MELATONIN RECEPTOR TYPE 1A-LIKE', 136916),
(193191, 'PTHR33573:SF12', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 136917),
(193192, 'PTHR34851:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG16728', 136918),
(193193, 'PTHR12411:SF764', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE RD21A-LIKE', 136919),
(193194, 'PTHR36531', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED EXONUCLEASE CAS4', 136920),
(193195, 'PTHR45736:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER MYM-TYPE PROTEIN 3', 136921),
(193196, 'PTHR46128:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136922),
(193197, 'PTHR31662:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136923),
(193198, 'PTHR48059:SF11', NULL, NULL, NULL, NULL, 'BNAA03G55610D PROTEIN', 136924),
(193199, 'PTHR46413:SF8', NULL, NULL, NULL, NULL, 'OS02G0818900 PROTEIN', 136925),
(193200, 'PTHR23070:SF105', NULL, NULL, NULL, NULL, 'BNAA01G06770D PROTEIN', 136926),
(193201, 'PTHR30151:SF23', NULL, NULL, NULL, NULL, 'OSMOPROTECTANT IMPORT PERMEASE PROTEIN OSMY', 136927),
(193202, 'PTHR10529:SF339', NULL, NULL, NULL, NULL, 'STONIN-1', 136928);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(193203, 'PTHR11434:SF14', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE SUBUNIT 4L', 136929),
(193204, 'PTHR12537:SF26', NULL, NULL, NULL, NULL, 'PUMILIO DOMAIN-CONTAINING PROTEIN 6-RELATED', 136930),
(193205, 'PTHR23404', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN SYNTHASE RELATED', 136931),
(193206, 'PTHR31286:SF77', NULL, NULL, NULL, NULL, 'BNAC03G74910D PROTEIN', 136932),
(193207, 'PTHR24025:SF3', NULL, NULL, NULL, NULL, 'DESMOGLEIN-3', 136933),
(193208, 'PTHR11945:SF644', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 18', 136934),
(193209, 'PTHR32093:SF106', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 136935),
(193210, 'PTHR18860:SF100', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN D', 136936),
(193211, 'PTHR12587:SF15', NULL, NULL, NULL, NULL, 'LIPRIN-ALPHA-1', 136937),
(193212, 'PTHR12619:SF23', NULL, NULL, NULL, NULL, 'MHC CLASS II REGULATORY FACTOR RFX1', 136938),
(193213, 'PTHR10183:SF409', NULL, NULL, NULL, NULL, 'CALPAIN 8', 136939),
(193214, 'PTHR16502:SF0', NULL, NULL, NULL, NULL, 'KERATINOCYTE-ASSOCIATED TRANSMEMBRANE PROTEIN 2', 136940),
(193215, 'PTHR47971:SF7', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 136941),
(193216, 'PTHR10351:SF65', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3', 136942),
(193217, 'PTHR46736:SF31', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 136943),
(193218, 'PTHR46011:SF8', NULL, NULL, NULL, NULL, 'HIGH ZINC ACTIVATED NUCLEAR RECEPTOR PROTEIN', 136944),
(193219, 'PTHR42052:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136945),
(193220, 'PTHR11758:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136946),
(193221, 'PTHR34573', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 136947),
(193222, 'PTHR10826:SF23', NULL, NULL, NULL, NULL, 'BNAC04G55580D PROTEIN', 136948),
(193223, 'PTHR15241:SF351', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SR45A-LIKE ISOFORM X1', 136949),
(193224, 'PTHR45693:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA4', 136950),
(193225, 'PTHR45933:SF30', NULL, NULL, NULL, NULL, 'BNAA02G25740D PROTEIN', 136951),
(193226, 'PTHR36326:SF18', NULL, NULL, NULL, NULL, 'BNAANNG39320D PROTEIN', 136952),
(193227, 'PTHR22807:SF65', NULL, NULL, NULL, NULL, 'BNACNNG49010D PROTEIN', 136953),
(193228, 'PTHR16056:SF4', NULL, NULL, NULL, NULL, 'REGULATOR OF MICROTUBULE DYNAMICS PROTEIN 1', 136954),
(193229, 'PTHR31300:SF40', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF620)-RELATED', 136955),
(193230, 'PTHR11875:SF30', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED-LIKE PROTEIN 5', 136956),
(193231, 'PTHR10176:SF3', NULL, NULL, NULL, NULL, 'GLYCOGEN [STARCH] SYNTHASE', 136957),
(193232, 'PTHR44259:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136958),
(193233, 'PTHR10351:SF56', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3', 136959),
(193234, 'PTHR12369:SF22', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE SYNTHASE 2', 136960),
(193235, 'PTHR47928:SF64', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 136961),
(193236, 'PTHR31072:SF154', NULL, NULL, NULL, NULL, 'TCP FAMILY TRANSCRIPTION FACTOR', 136962),
(193237, 'PTHR11439:SF323', NULL, NULL, NULL, NULL, 'BNAC04G13640D PROTEIN', 136963),
(193238, 'PTHR13355:SF19', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE 1', 136964),
(193239, 'PTHR13456:SF0', NULL, NULL, NULL, NULL, 'UPF0729 PROTEIN C18ORF32', 136965),
(193240, 'PTHR46736:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136966),
(193241, 'PTHR11183:SF56', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE:XYLAN ALPHA-GLUCURONOSYLTRANSFERASE 3-RELATED', 136967),
(193242, 'PTHR48002:SF127', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4Q2', 136968),
(193243, 'PTHR45725:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136969),
(193244, 'PTHR24221:SF125', NULL, NULL, NULL, NULL, 'HALF TRANSPORTER (PGP RELATED)', 136970),
(193245, 'PTHR31374:SF268', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 136971),
(193246, 'PTHR10992:SF780', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN, EXPRESSED', 136972);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(193247, 'PTHR46868:SF3', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 11', 136973),
(193248, 'PTHR21736:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136974),
(193249, 'PTHR15614', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 81 HOMOLOG', 136975),
(193250, 'PTHR33333:SF17', NULL, NULL, NULL, NULL, 'BNAC03G22350D PROTEIN', 136976),
(193251, 'PTHR10887:SF388', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS 1', 136977),
(193252, 'PTHR47999:SF14', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', 136978),
(193253, 'PTHR23115:SF271', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', 136979),
(193254, 'PTHR43546:SF3', NULL, NULL, NULL, NULL, 'UPF0173 METAL-DEPENDENT HYDROLASE MJ1163', 136980),
(193255, 'PTHR47990:SF39', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00800)-RELATED', 136981),
(193256, 'PTHR43088:SF1', NULL, NULL, NULL, NULL, 'SUBUNIT OF PYRUVATE:FLAVODOXIN OXIDOREDUCTASE-RELATED', 136982),
(193257, 'PTHR43345:SF2', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE SMALL SUBUNIT 2-RELATED', 136983),
(193258, 'PTHR46742:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER MATRIN-TYPE PROTEIN 1', 136984),
(193259, 'PTHR21717', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT BINDING PROTEIN', 136985),
(193260, 'PTHR42683:SF71', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE-RELATED', 136986),
(193261, 'PTHR31054:SF3', NULL, NULL, NULL, NULL, 'ZYGOTE ARREST PROTEIN 1-LIKE ISOFORM X1', 136987),
(193262, 'PTHR34222:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136988),
(193263, 'PTHR33400:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 6', 136989),
(193264, 'PTHR37427:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG20963', 136990),
(193265, 'PTHR21319:SF48', NULL, NULL, NULL, NULL, 'BNAA01G26820D PROTEIN', 136991),
(193266, 'PTHR11361:SF130', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MSH1, MITOCHONDRIAL', 136992),
(193267, 'PTHR12542:SF36', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 136993),
(193268, 'PTHR11214:SF3', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 136994),
(193269, 'PTHR24083:SF172', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-69', 136995),
(193270, 'PTHR15725:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700017N19 GENE', 136996),
(193271, 'PTHR11610:SF111', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1 MEMBER A', 136997),
(193272, 'PTHR31374:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136998),
(193273, 'PTHR23500:SF530', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 136999),
(193274, 'PTHR47990:SF172', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-RELATED', 137000),
(193275, 'PTHR46038:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137001),
(193276, 'PTHR10334:SF454', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1', 137002),
(193277, 'PTHR13891:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 7', 137003),
(193278, 'PTHR22881:SF26', NULL, NULL, NULL, NULL, 'BROMODOMAIN CONTAINING PROTEIN, EXPRESSED', 137004),
(193279, 'PTHR31050:SF5', NULL, NULL, NULL, NULL, 'BNAC08G40280D PROTEIN', 137005),
(193280, 'PTHR12357:SF30', NULL, NULL, NULL, NULL, 'OS03G0158500 PROTEIN', 137006),
(193281, 'PTHR22607:SF4', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 2-ASSOCIATED PROTEIN 2', 137007),
(193282, 'PTHR46442:SF8', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 6', 137008),
(193283, 'PTHR12957:SF2', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 6', 137009),
(193284, 'PTHR34124:SF12', NULL, NULL, NULL, NULL, 'GB|AAF32471.1', 137010),
(193285, 'PTHR14614:SF134', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN-RELATED', 137011),
(193286, 'PTHR46369:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137012),
(193287, 'PTHR47978:SF20', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA2A', 137013),
(193288, 'PTHR31170:SF10', NULL, NULL, NULL, NULL, 'BNAANNG36000D PROTEIN', 137014),
(193289, 'PTHR22838:SF19', NULL, NULL, NULL, NULL, 'DYNEIN REGULATOR LIS1-RELATED', 137015);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(193290, 'PTHR15254', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP G PROTEIN FAMILY MEMBER', 137016),
(193291, 'PTHR10938:SF3', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF3-2, CHLOROPLASTIC', 137017),
(193292, 'PTHR46000:SF10', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 137018),
(193293, 'PTHR30620:SF83', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 3 N TERMINAL DOMAIN CONTAINING PROTEIN, EXPRESSED', 137019),
(193294, 'PTHR22893:SF122', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 1', 137020),
(193295, 'PTHR23070:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137021),
(193296, 'PTHR43003:SF9', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE 1-LIKE', 137022),
(193297, 'PTHR33050', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 137023),
(193298, 'PTHR37212', NULL, NULL, NULL, NULL, 'ACTIN PROTEIN 2/3 COMPLEX SUBUNIT-LIKE PROTEIN', 137024),
(193299, 'PTHR12277:SF172', NULL, NULL, NULL, NULL, 'BNAA05G16340D PROTEIN', 137025),
(193300, 'PTHR33413:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137026),
(193301, 'PTHR24637:SF347', NULL, NULL, NULL, NULL, 'COLLAGEN', 137027),
(193302, 'PTHR43840:SF35', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 10', 137028),
(193303, 'PTHR17453:SF1', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 19 KDA PROTEIN', 137029),
(193304, 'PTHR46407:SF13', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN-RELATED', 137030),
(193305, 'PTHR14143:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07708', 137031),
(193306, 'PTHR22633:SF1', NULL, NULL, NULL, NULL, 'NEURONAL TYROSINE-PHOSPHORYLATED PHOSPHOINOSITIDE-3-KINASE ADAPTER 2', 137032),
(193307, 'PTHR23292:SF14', NULL, NULL, NULL, NULL, 'FI16615P1-RELATED', 137033),
(193308, 'PTHR36434:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEASE YUGP-RELATED', 137034),
(193309, 'PTHR31901:SF68', NULL, NULL, NULL, NULL, 'BNAA09G48110D PROTEIN', 137035),
(193310, 'PTHR47650', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 22', 137036),
(193311, 'PTHR10353:SF231', NULL, NULL, NULL, NULL, 'BNAC02G40090D PROTEIN', 137037),
(193312, 'PTHR24068:SF340', NULL, NULL, NULL, NULL, 'BNAA09G12050D PROTEIN', 137038),
(193313, 'PTHR33107:SF43', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR 1', 137039),
(193314, 'PTHR10502:SF8', NULL, NULL, NULL, NULL, 'ANNEXIN', 137040),
(193315, 'PTHR43649:SF17', NULL, NULL, NULL, NULL, 'LIPOPROTEIN LIPO', 137041),
(193316, 'PTHR31194:SF61', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF003-LIKE ISOFORM X1', 137042),
(193317, 'PTHR23177:SF58', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACK', 137043),
(193318, 'PTHR31579:SF46', NULL, NULL, NULL, NULL, 'OS05G0519300 PROTEIN', 137044),
(193319, 'PTHR22761:SF7', NULL, NULL, NULL, NULL, 'SNF7 FAMILY PROTEIN', 137045),
(193320, 'PTHR43761', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G13630)', 137046),
(193321, 'PTHR13382:SF21', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN (LRRP), PUTATIVE-RELATED', 137047),
(193322, 'PTHR11759:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137048),
(193323, 'PTHR47965:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137049),
(193324, 'PTHR32158:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137050),
(193325, 'PTHR22597:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137051),
(193326, 'PTHR12420:SF15', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 6', 137052),
(193327, 'PTHR10992:SF1064', NULL, NULL, NULL, NULL, 'METHYLKETONE SYNTHASE IB', 137053),
(193328, 'PTHR31929:SF83', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 137054),
(193329, 'PTHR12015:SF98', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 2', 137055),
(193330, 'PTHR32419:SF28', NULL, NULL, NULL, NULL, 'BNAC02G31320D PROTEIN', 137056),
(193331, 'PTHR47967:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137057),
(193332, 'PTHR31871:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137058),
(193333, 'PTHR46252:SF1', NULL, NULL, NULL, NULL, 'ZGC:113531', 137059);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(193334, 'PTHR46922:SF3', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', 137060),
(193335, 'PTHR33098:SF48', NULL, NULL, NULL, NULL, 'BNACNNG65750D PROTEIN', 137061),
(193336, 'PTHR24299:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP736A12-LIKE', 137062),
(193337, 'PTHR45758:SF4', NULL, NULL, NULL, NULL, 'MITOFERRIN-1', 137063),
(193338, 'PTHR31447:SF10', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', 137064),
(193339, 'PTHR20961:SF125', NULL, NULL, NULL, NULL, 'OS01G0119100 PROTEIN', 137065),
(193340, 'PTHR22891:SF150', NULL, NULL, NULL, NULL, 'BNAC09G36780D PROTEIN', 137066),
(193341, 'PTHR23172:SF73', NULL, NULL, NULL, NULL, 'OS06G0678100 PROTEIN', 137067),
(193342, 'PTHR33515', NULL, NULL, NULL, NULL, 'RIBOSOME-BINDING FACTOR A, CHLOROPLASTIC-RELATED', 137068),
(193343, 'PTHR43895:SF96', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 137069),
(193344, 'PTHR31748:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 137070),
(193345, 'PTHR35104:SF13', NULL, NULL, NULL, NULL, 'BNAA05G37210D PROTEIN', 137071),
(193346, 'PTHR45670:SF4', NULL, NULL, NULL, NULL, 'HECT E3 UBIQUITIN LIGASE-RELATED', 137072),
(193347, 'PTHR21495:SF205', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 137073),
(193348, 'PTHR10766', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY PROTEIN', 137074),
(193349, 'PTHR24390:SF122', NULL, NULL, NULL, NULL, 'MYC-ASSOCIATED ZINC FINGER PROTEIN', 137075),
(193350, 'PTHR31354:SF11', NULL, NULL, NULL, NULL, 'BNAC09G31390D PROTEIN', 137076),
(193351, 'PTHR45926:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE3, CHLOROPLASTIC', 137077),
(193352, 'PTHR13318:SF190', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKP2A-RELATED', 137078),
(193353, 'PTHR33101:SF64', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 8-LIKE', 137079),
(193354, 'PTHR11260:SF627', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', 137080),
(193355, 'PTHR47335:SF1', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-XVI', 137081),
(193356, 'PTHR24015:SF388', NULL, NULL, NULL, NULL, 'OS02G0680500 PROTEIN', 137082),
(193357, 'PTHR14155:SF511', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137083),
(193358, 'PTHR10485:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM17-A', 137084),
(193359, 'PTHR47593:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137085),
(193360, 'PTHR37180:SF8', NULL, NULL, NULL, NULL, 'BNAA06G11430D PROTEIN', 137086),
(193361, 'PTHR16255:SF19', NULL, NULL, NULL, NULL, 'BNAC02G19150D PROTEIN', 137087),
(193362, 'PTHR46041', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE SUBUNIT 2', 137088),
(193363, 'PTHR36519:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG14900', 137089),
(193364, 'PTHR48044:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 137090),
(193365, 'PTHR31945:SF93', NULL, NULL, NULL, NULL, 'BNAC08G49840D PROTEIN', 137091),
(193366, 'PTHR33167:SF40', NULL, NULL, NULL, NULL, 'BNAA09G29050D PROTEIN', 137092),
(193367, 'PTHR22761:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137093),
(193368, 'PTHR15907:SF112', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', 137094),
(193369, 'PTHR34149:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG26349', 137095),
(193370, 'PTHR31132:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137096),
(193371, 'PTHR21258:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137097),
(193372, 'PTHR45637:SF38', NULL, NULL, NULL, NULL, 'PROTEIN KINASE G11A', 137098),
(193373, 'PTHR42841:SF4', NULL, NULL, NULL, NULL, 'AMP-BINDING ENZYME', 137099),
(193374, 'PTHR11545', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L13', 137100),
(193375, 'PTHR45800:SF30', NULL, NULL, NULL, NULL, 'BNAA01G13180D PROTEIN', 137101),
(193376, 'PTHR21645:SF14', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN ZK381.2', 137102),
(193377, 'PTHR46774:SF4', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN EAF1 B-LIKE ISOFORM X1', 137103),
(193378, 'PTHR24296:SF107', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 86, SUBFAMILY C, POLYPEPTIDE 1', 137104); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(193379, 'PTHR23343:SF41', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA SPERM-BINDING PROTEIN 1', 137105),
(193380, 'PTHR46115:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE', 137106),
(193381, 'PTHR10887:SF364', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS 1 HOMOLOG', 137107),
(193382, 'PTHR31268:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137108),
(193383, 'PTHR31087:SF89', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 5-LIKE', 137109),
(193384, 'PTHR43069:SF5', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETASE', 137110),
(193385, 'PTHR42979:SF1', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDROGENASE', 137111),
(193386, 'PTHR11139:SF69', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATR', 137112),
(193387, 'PTHR44085', NULL, NULL, NULL, NULL, 'SEPIAPTERIN REDUCTASE', 137113),
(193388, 'PTHR13598:SF1', NULL, NULL, NULL, NULL, 'AT07567P-RELATED', 137114),
(193389, 'PTHR10333:SF99', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN 3', 137115),
(193390, 'PTHR24089:SF720', NULL, NULL, NULL, NULL, 'BNAA05G18840D PROTEIN', 137116),
(193391, 'PTHR38052', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 137117),
(193392, 'PTHR23030:SF32', NULL, NULL, NULL, NULL, 'BRO1 DOMAIN-CONTAINING PROTEIN BROX', 137118),
(193393, 'PTHR31676:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137119),
(193394, 'PTHR36947:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04400', 137120),
(193395, 'PTHR24068:SF170', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 L5', 137121),
(193396, 'PTHR13068:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137122),
(193397, 'PTHR33780', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 137123),
(193398, 'PTHR19441:SF17', NULL, NULL, NULL, NULL, 'PROTEIN WFDC10B', 137124),
(193399, 'PTHR36049:SF4', NULL, NULL, NULL, NULL, 'BNAA01G17430D PROTEIN', 137125),
(193400, 'PTHR26453:SF171', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 137126),
(193401, 'PTHR23023:SF254', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 137127),
(193402, 'PTHR12035:SF96', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 16', 137128),
(193403, 'PTHR14471', NULL, NULL, NULL, NULL, 'MARCH7/10 E3 UBIQUITIN PROTEIN LIGASE FAMILY MEMBER', 137129),
(193404, 'PTHR30561:SF21', NULL, NULL, NULL, NULL, 'MOLECULAR CHAPERONE-RELATED', 137130),
(193405, 'PTHR48001:SF127', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 137131),
(193406, 'PTHR15811:SF5', NULL, NULL, NULL, NULL, 'MTH938 DOMAIN-CONTAINING PROTEIN', 137132),
(193407, 'PTHR36849:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 137133),
(193408, 'PTHR42663:SF7', NULL, NULL, NULL, NULL, 'COENZYME PQQ SYNTHESIS PROTEIN B', 137134),
(193409, 'PTHR31949:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137135),
(193410, 'PTHR13817:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137136),
(193411, 'PTHR48049:SF63', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 72C1', 137137),
(193412, 'PTHR45682:SF12', NULL, NULL, NULL, NULL, 'ZGC:153981', 137138),
(193413, 'PTHR24071:SF24', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN-1-RELATED', 137139),
(193414, 'PTHR45811:SF52', NULL, NULL, NULL, NULL, 'FK506-BINDING PROTEIN 4-LIKE', 137140),
(193415, 'PTHR34861:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137141),
(193416, 'PTHR48111:SF28', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN TCRX-RELATED', 137142),
(193417, 'PTHR33147:SF61', NULL, NULL, NULL, NULL, 'EMBRYO SAC2', 137143),
(193418, 'PTHR31232:SF26', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY-RELATED', 137144),
(193419, 'PTHR14826:SF3', NULL, NULL, NULL, NULL, 'ANGIOMOTIN-LIKE PROTEIN 2', 137145),
(193420, 'PTHR20854', NULL, NULL, NULL, NULL, 'INOSITOL MONOPHOSPHATASE', 137146),
(193421, 'PTHR48061:SF19', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', 137147),
(193422, 'PTHR47238:SF2', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE HEMIPTEROUS', 137148),
(193423, 'PTHR15427:SF19', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXVI) CHAIN', 137149);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(193424, 'PTHR11709:SF136', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE', 137150),
(193425, 'PTHR10926:SF57', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN', 137151),
(193426, 'PTHR31509:SF62', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', 137152),
(193427, 'PTHR33832:SF20', NULL, NULL, NULL, NULL, 'WOUND-INDUCED PROTEINASE INHIBITOR 2', 137153),
(193428, 'PTHR23359:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137154),
(193429, 'PTHR45742:SF5', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C8 BETA CHAIN', 137155),
(193430, 'PTHR15124:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137156),
(193431, 'PTHR24282:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP13A6-RELATED', 137157),
(193432, 'PTHR31282', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 21-RELATED', 137158),
(193433, 'PTHR23262:SF195', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 1-5', 137159),
(193434, 'PTHR14445:SF37', NULL, NULL, NULL, NULL, 'GRB10-INTERACTING GYF PROTEIN 1', 137160),
(193435, 'PTHR31048:SF8', NULL, NULL, NULL, NULL, 'OS10G0412700 PROTEIN', 137161),
(193436, 'PTHR40627', NULL, NULL, NULL, NULL, 'INDOLE PRENYLTRANSFERASE TDIB-RELATED', 137162),
(193437, 'PTHR33257:SF4', NULL, NULL, NULL, NULL, 'OS05G0165500 PROTEIN', 137163),
(193438, 'PTHR47668', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G01940)', 137164),
(193439, 'PTHR31549:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137165),
(193440, 'PTHR10438:SF390', NULL, NULL, NULL, NULL, 'THIOREDOXIN H4-1', 137166),
(193441, 'PTHR11054:SF16', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE 5-RELATED', 137167),
(193442, 'PTHR23226:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137168),
(193443, 'PTHR37711:SF1', NULL, NULL, NULL, NULL, 'OS01G0908400 PROTEIN', 137169),
(193444, 'PTHR48011:SF18', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 20', 137170),
(193445, 'PTHR24093:SF448', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 137171),
(193446, 'PTHR10663:SF356', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 4', 137172),
(193447, 'PTHR10838:SF8', NULL, NULL, NULL, NULL, 'SYNAPTOGYRIN-3', 137173),
(193448, 'PTHR43214:SF35', NULL, NULL, NULL, NULL, 'TWO COMPONENT RESPONSE REGULATOR-RELATED', 137174),
(193449, 'PTHR22883:SF363', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 137175),
(193450, 'PTHR45696', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1', 137176),
(193451, 'PTHR12011:SF58', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR D2', 137177),
(193452, 'PTHR48043:SF46', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-60-RELATED', 137178),
(193453, 'PTHR12169:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137179),
(193454, 'PTHR24353:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137180),
(193455, 'PTHR10797:SF48', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 11-RELATED', 137181),
(193456, 'PTHR43364', NULL, NULL, NULL, NULL, 'NADH-SPECIFIC METHYLGLYOXAL REDUCTASE-RELATED', 137182),
(193457, 'PTHR10314:SF206', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', 137183),
(193458, 'PTHR26451:SF928', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 148-RELATED', 137184),
(193459, 'PTHR12669:SF12', NULL, NULL, NULL, NULL, '4E-BINDING PROTEIN THOR', 137185),
(193460, 'PTHR31992:SF211', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.4-LIKE', 137186),
(193461, 'PTHR23267:SF426', NULL, NULL, NULL, NULL, 'SI:CH211-137I24.12', 137187),
(193462, 'PTHR31384:SF36', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 22', 137188),
(193463, 'PTHR31636:SF256', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137189),
(193464, 'PTHR45845:SF4', NULL, NULL, NULL, NULL, 'PURATROPHIN-1', 137190),
(193465, 'PTHR33132:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137191),
(193466, 'PTHR30034', NULL, NULL, NULL, NULL, 'FLAGELLAR MOTOR SWITCH PROTEIN FLIM', 137192),
(193467, 'PTHR33876:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 137193),
(193468, 'PTHR46999:SF4', NULL, NULL, NULL, NULL, 'ALPHA-GLUCAN WATER DIKINASE 2', 137194);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(193469, 'PTHR47966:SF3', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE', 137195),
(193470, 'PTHR22811:SF128', NULL, NULL, NULL, NULL, 'OS08G0469400 PROTEIN', 137196),
(193471, 'PTHR12532', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 137197),
(193472, 'PTHR47968:SF26', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN NACK2', 137198),
(193473, 'PTHR32191:SF65', NULL, NULL, NULL, NULL, 'TETRASPANIN-8-LIKE', 137199),
(193474, 'PTHR24282:SF214', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 72 SUBFAMILY A POLYPEPTIDE 8', 137200),
(193475, 'PTHR48043:SF49', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 2A1', 137201),
(193476, 'PTHR11106:SF101', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 137202),
(193477, 'PTHR26453:SF108', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2G3', 137203),
(193478, 'PTHR12746', NULL, NULL, NULL, NULL, 'NONSENSE-MEDIATED MRNA DECAY PROTEIN 3', 137204),
(193479, 'PTHR31636:SF236', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', 137205),
(193480, 'PTHR10314:SF162', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', 137206),
(193481, 'PTHR44259:SF21', NULL, NULL, NULL, NULL, 'OS07G0183000 PROTEIN', 137207),
(193482, 'PTHR36148', NULL, NULL, NULL, NULL, '50 KDA SPICULE MATRIX PROTEIN-RELATED', 137208),
(193483, 'PTHR10676:SF390', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN HEAVY CHAIN 1', 137209),
(193484, 'PTHR43791:SF64', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 137210),
(193485, 'PTHR24303:SF31', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 307A1-RELATED', 137211),
(193486, 'PTHR45660:SF1', NULL, NULL, NULL, NULL, 'OS11G0131600 PROTEIN', 137212),
(193487, 'PTHR31376:SF73', NULL, NULL, NULL, NULL, 'OS09G0467300 PROTEIN', 137213),
(193488, 'PTHR22957:SF325', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137214),
(193489, 'PTHR13303:SF0', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 2', 137215),
(193490, 'PTHR23070:SF43', NULL, NULL, NULL, NULL, 'OS09G0445700 PROTEIN', 137216),
(193491, 'PTHR10380:SF215', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 11A-RELATED', 137217),
(193492, 'PTHR14390:SF2', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 3', 137218),
(193493, 'PTHR10395:SF13', NULL, NULL, NULL, NULL, '5-HYDROXYISOURATE HYDROLASE', 137219),
(193494, 'PTHR13102', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 9', 137220),
(193495, 'PTHR11482:SF6', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE 1-RELATED', 137221),
(193496, 'PTHR23159:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137222),
(193497, 'PTHR33130:SF51', NULL, NULL, NULL, NULL, 'BNAC06G02220D PROTEIN', 137223),
(193498, 'PTHR24028:SF55', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-4', 137224),
(193499, 'PTHR15108', NULL, NULL, NULL, NULL, 'N-ACYLGLUCOSAMINE-2-EPIMERASE', 137225),
(193500, 'PTHR43795:SF49', NULL, NULL, NULL, NULL, 'ALLIIN LYASE', 137226),
(193501, 'PTHR24377:SF869', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137227),
(193502, 'PTHR42743:SF12', NULL, NULL, NULL, NULL, 'OS05G0244700 PROTEIN', 137228),
(193503, 'PTHR24177:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137229),
(193504, 'PTHR21528:SF3', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE COMPLEX SUBUNIT NUS1', 137230),
(193505, 'PTHR13948:SF38', NULL, NULL, NULL, NULL, 'D111/G-PATCH DOMAIN-CONTAINING PROTEIN', 137231),
(193506, 'PTHR31727:SF12', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', 137232),
(193507, 'PTHR10668:SF103', NULL, NULL, NULL, NULL, 'PYRIDINE NUCLEOTIDE-DISULFIDE OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 2', 137233),
(193508, 'PTHR23267:SF294', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V REGION S211', 137234),
(193509, 'PTHR44115:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG06354', 137235),
(193510, 'PTHR10585:SF74', NULL, NULL, NULL, NULL, 'BNAANNG32910D PROTEIN', 137236),
(193511, 'PTHR22953:SF133', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 137237),
(193512, 'PTHR10165:SF163', NULL, NULL, NULL, NULL, 'OS05G0549900 PROTEIN', 137238),
(193513, 'PTHR12734:SF1', NULL, NULL, NULL, NULL, 'BNAA02G08260D PROTEIN', 137239),
(193514, 'PTHR43795:SF12', NULL, NULL, NULL, NULL, 'AROMATIC AMINOTRANSFERASE ISS1', 137240);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(193515, 'PTHR37944', NULL, NULL, NULL, NULL, 'PORIN B', 137241),
(193516, 'PTHR34793:SF1', NULL, NULL, NULL, NULL, 'PROTEIN THYLAKOID FORMATION 1, CHLOROPLASTIC', 137242),
(193517, 'PTHR46565:SF7', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN 1-LIKE', 137243),
(193518, 'PTHR42849', NULL, NULL, NULL, NULL, 'N-ACETYLNEURAMINATE LYASE', 137244),
(193519, 'PTHR24068:SF341', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 18-RELATED', 137245),
(193520, 'PTHR42695:SF14', NULL, NULL, NULL, NULL, 'BNAA03G50240D PROTEIN', 137246),
(193521, 'PTHR46029', NULL, NULL, NULL, NULL, 'C-TERMINAL-BINDING PROTEIN', 137247),
(193522, 'PTHR36917', NULL, NULL, NULL, NULL, 'INTRACELLULAR SEPTATION PROTEIN A-RELATED', 137248),
(193523, 'PTHR45714:SF18', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX28', 137249),
(193524, 'PTHR24291:SF105', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4P1-RELATED', 137250),
(193525, 'PTHR10366:SF741', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 137251),
(193526, 'PTHR22847:SF634', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DIVISION PROTEIN 1', 137252),
(193527, 'PTHR37702:SF13', NULL, NULL, NULL, NULL, 'BNAA09G03280D PROTEIN', 137253),
(193528, 'PTHR45687:SF53', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE INTRINSIC PROTEIN', 137254),
(193529, 'PTHR21704', NULL, NULL, NULL, NULL, 'NIPPED-B-LIKE PROTEIN  DELANGIN  SCC2-RELATED', 137255),
(193530, 'PTHR10623:SF20', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN RP/EB FAMILY MEMBER 1', 137256),
(193531, 'PTHR45138:SF6', NULL, NULL, NULL, NULL, 'SIGNALING PROTEIN-RELATED', 137257),
(193532, 'PTHR24261:SF7', NULL, NULL, NULL, NULL, 'KRINGLE, CONSERVED SITE', 137258),
(193533, 'PTHR12756:SF23', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE 3', 137259),
(193534, 'PTHR46988:SF3', NULL, NULL, NULL, NULL, 'BNACNNG16060D PROTEIN', 137260),
(193535, 'PTHR23282:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137261),
(193536, 'PTHR42683:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137262),
(193537, 'PTHR47990:SF22', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 2', 137263),
(193538, 'PTHR24217:SF9', NULL, NULL, NULL, NULL, 'SYNAPTOPODIN-2', 137264),
(193539, 'PTHR24177:SF215', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 137265),
(193540, 'PTHR23505:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137266),
(193541, 'PTHR34674', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:DIACYLGLYCEROL CHOLINEPHOSPHOTRANSFERASE 1-RELATED', 137267),
(193542, 'PTHR45445', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 137268),
(193543, 'PTHR11036:SF16', NULL, NULL, NULL, NULL, 'SEMAPHORIN-4C', 137269),
(193544, 'PTHR19836:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137270),
(193545, 'PTHR43168:SF6', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L33', 137271),
(193546, 'PTHR43660', NULL, NULL, NULL, NULL, 'DIPEPTIDYL CARBOXYPEPTIDASE', 137272),
(193547, 'PTHR32487:SF19', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE', 137273),
(193548, 'PTHR28633', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 3 PROTEIN', 137274),
(193549, 'PTHR14186:SF21', NULL, NULL, NULL, NULL, 'KAZAL-TYPE SERINE PROTEASE INHIBITOR DOMAIN-CONTAINING PROTEIN 1', 137275),
(193550, 'PTHR26379:SF215', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN CONTAINING PROTEIN, EXPRESSED', 137276),
(193551, 'PTHR45866:SF2', NULL, NULL, NULL, NULL, 'DNA GYRASE SUBUNIT B', 137277),
(193552, 'PTHR31265:SF3', NULL, NULL, NULL, NULL, 'OS02G0527500 PROTEIN', 137278),
(193553, 'PTHR13343:SF18', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', 137279),
(193554, 'PTHR47956:SF20', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', 137280),
(193555, 'PTHR11945:SF598', NULL, NULL, NULL, NULL, 'TYPE I MADS-BOX PROTEIN', 137281),
(193556, 'PTHR35577:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH, ACIDIC INTEGRAL MEMBRANE PROTEIN', 137282),
(193557, 'PTHR30365:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME BD-I UBIQUINOL OXIDASE SUBUNIT 1', 137283),
(193558, 'PTHR33797:SF2', NULL, NULL, NULL, NULL, 'ORGANIC HYDROPEROXIDE RESISTANCE PROTEIN-LIKE', 137284);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(193559, 'PTHR22504:SF4', NULL, NULL, NULL, NULL, 'REPRESSOR OF RNA POLYMERASE III TRANSCRIPTION MAF1', 137285),
(193560, 'PTHR23257:SF865', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137286),
(193561, 'PTHR10736:SF7', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG', 137287),
(193562, 'PTHR34597:SF1', NULL, NULL, NULL, NULL, 'HEME/HEMOPEXIN TRANSPORTER PROTEIN HUXB', 137288),
(193563, 'PTHR21716:SF35', NULL, NULL, NULL, NULL, 'PERMEASE PERM-RELATED', 137289),
(193564, 'PTHR28599:SF2', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 12', 137290),
(193565, 'PTHR33021:SF377', NULL, NULL, NULL, NULL, 'OS02G0731400 PROTEIN', 137291),
(193566, 'PTHR10165:SF171', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE-LIKE PROTEIN', 137292),
(193567, 'PTHR36930:SF1', NULL, NULL, NULL, NULL, 'METAL-SULFUR CLUSTER BIOSYNTHESIS PROTEINS YUAD-RELATED', 137293),
(193568, 'PTHR43691', NULL, NULL, NULL, NULL, 'URIDINE PHOSPHORYLASE', 137294),
(193569, 'PTHR13968', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN', 137295),
(193570, 'PTHR11850:SF282', NULL, NULL, NULL, NULL, 'BNAA09G12980D PROTEIN', 137296),
(193571, 'PTHR14200:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5A, MITOCHONDRIAL', 137297),
(193572, 'PTHR14199:SF16', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA BREAKPOINT FAMILY MEMBER 6-LIKE PROTEIN', 137298),
(193573, 'PTHR33640:SF17', NULL, NULL, NULL, NULL, 'BNAA09G43070D PROTEIN', 137299),
(193574, 'PTHR14002:SF30', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR, BETA RECEPTOR III', 137300),
(193575, 'PTHR36313:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137301),
(193576, 'PTHR17630:SF76', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_4G08790)', 137302),
(193577, 'PTHR11348', NULL, NULL, NULL, NULL, 'CONNECTIVE TISSUE GROWTH FACTOR-RELATED', 137303),
(193578, 'PTHR13780:SF136', NULL, NULL, NULL, NULL, 'BNAANNG38820D PROTEIN', 137304),
(193579, 'PTHR10285:SF189', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE/URIDINE KINASE-LIKE PROTEIN', 137305),
(193580, 'PTHR42861:SF14', NULL, NULL, NULL, NULL, 'SODIUM TRANSPORT ATPASE 1-RELATED', 137306),
(193581, 'PTHR31471:SF49', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', 137307),
(193582, 'PTHR31517:SF70', NULL, NULL, NULL, NULL, 'PEROXIDASE 6', 137308),
(193583, 'PTHR31707:SF281', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 137309),
(193584, 'PTHR24356:SF237', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 137310),
(193585, 'PTHR33177:SF27', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 6 HOMOLOG', 137311),
(193586, 'PTHR31218:SF146', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 137312),
(193587, 'PTHR31657:SF48', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 137313),
(193588, 'PTHR45744:SF18', NULL, NULL, NULL, NULL, 'NICOTIANAMINE AMINOTRANSFERASE HOMOLOG', 137314),
(193589, 'PTHR33767:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137315),
(193590, 'PTHR24304:SF4', NULL, NULL, NULL, NULL, '25-HYDROXYCHOLESTEROL 7-ALPHA-HYDROXYLASE-LIKE ISOFORM X1', 137316),
(193591, 'PTHR43572:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 3', 137317),
(193592, 'PTHR30069:SF37', NULL, NULL, NULL, NULL, 'VIBRIOBACTIN RECEPTOR', 137318),
(193593, 'PTHR27008:SF250', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137319),
(193594, 'PTHR45676:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137320),
(193595, 'PTHR31707:SF325', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 137321),
(193596, 'PTHR24223:SF172', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 1-RELATED', 137322),
(193597, 'PTHR16223:SF194', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH110-LIKE', 137323),
(193598, 'PTHR24393:SF86', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 398', 137324),
(193599, 'PTHR34119:SF15', NULL, NULL, NULL, NULL, 'BNAC04G43930D PROTEIN', 137325),
(193600, 'PTHR32285:SF210', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 8', 137326),
(193601, 'PTHR11260:SF582', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137327);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(193602, 'PTHR31391:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137328),
(193603, 'PTHR11481:SF71', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE A', 137329),
(193604, 'PTHR31769:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137330),
(193605, 'PTHR11829:SF367', NULL, NULL, NULL, NULL, 'PROTEIN FORK HEAD', 137331),
(193606, 'PTHR32227:SF240', NULL, NULL, NULL, NULL, 'ENDO-1,3-BETA-GLUCOSIDASE 5, PUTATIVE, EXPRESSED-RELATED', 137332),
(193607, 'PTHR10607:SF1', NULL, NULL, NULL, NULL, 'OSTEOPONTIN', 137333),
(193608, 'PTHR43671:SF41', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 137334),
(193609, 'PTHR15696', NULL, NULL, NULL, NULL, 'SMG-7  SUPPRESSOR WITH MORPHOLOGICAL EFFECT ON GENITALIA PROTEIN 7', 137335),
(193610, 'PTHR14122', NULL, NULL, NULL, NULL, 'GHRELIN PRECURSOR', 137336),
(193611, 'PTHR31444:SF30', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE BIOSYNTHESIS PROTEIN', 137337),
(193612, 'PTHR12480:SF13', NULL, NULL, NULL, NULL, 'LD14533P', 137338),
(193613, 'PTHR46592:SF9', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL68', 137339),
(193614, 'PTHR12101', NULL, NULL, NULL, NULL, 'POPEYE DOMAIN CONTAINING PROTEIN', 137340),
(193615, 'PTHR12474:SF1', NULL, NULL, NULL, NULL, 'SI:ZFOS-80G12.1', 137341),
(193616, 'PTHR39963', NULL, NULL, NULL, NULL, 'SLL0983 PROTEIN', 137342),
(193617, 'PTHR31150:SF26', NULL, NULL, NULL, NULL, 'BNAA09G43140D PROTEIN', 137343),
(193618, 'PTHR23411:SF21', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN C REGION, B ALLELE', 137344),
(193619, 'PTHR12804:SF10', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 3', 137345),
(193620, 'PTHR37404', NULL, NULL, NULL, NULL, 'HCG1796489', 137346),
(193621, 'PTHR43476:SF5', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE', 137347),
(193622, 'PTHR12011:SF290', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR G6', 137348),
(193623, 'PTHR11709:SF404', NULL, NULL, NULL, NULL, 'OS10G0508000 PROTEIN', 137349),
(193624, 'PTHR13141', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 242', 137350),
(193625, 'PTHR31190:SF115', NULL, NULL, NULL, NULL, 'OS01G0313300 PROTEIN', 137351),
(193626, 'PTHR32343:SF28', NULL, NULL, NULL, NULL, 'OSJNBA0053K19.20 PROTEIN', 137352),
(193627, 'PTHR42870:SF6', NULL, NULL, NULL, NULL, 'ACETYL-COA C-ACETYLTRANSFERASE (ACETOACETYL-COA THIOLASE) (ACAB-1)', 137353),
(193628, 'PTHR45669:SF12', NULL, NULL, NULL, NULL, 'EMB|CAB85507.1', 137354),
(193629, 'PTHR23267:SF422', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 10-95', 137355),
(193630, 'PTHR33214:SF53', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 137356),
(193631, 'PTHR21212:SF4', NULL, NULL, NULL, NULL, 'PROTEIN (SEIPIN), PUTATIVE-RELATED', 137357),
(193632, 'PTHR31314:SF8', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL6', 137358),
(193633, 'PTHR22811:SF170', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA11', 137359),
(193634, 'PTHR47925:SF80', NULL, NULL, NULL, NULL, 'BNACNNG57440D PROTEIN', 137360),
(193635, 'PTHR15417:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 1C', 137361),
(193636, 'PTHR33476:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137362),
(193637, 'PTHR34145:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137363),
(193638, 'PTHR11705:SF17', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE B2', 137364),
(193639, 'PTHR24414:SF72', NULL, NULL, NULL, NULL, 'BNAC08G48620D PROTEIN', 137365),
(193640, 'PTHR33199:SF21', NULL, NULL, NULL, NULL, 'BNAA09G45460D PROTEIN', 137366),
(193641, 'PTHR31973:SF117', NULL, NULL, NULL, NULL, 'F10A16.15 PROTEIN', 137367),
(193642, 'PTHR11347:SF29', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', 137368),
(193643, 'PTHR47932:SF33', NULL, NULL, NULL, NULL, 'OS02G0793200 PROTEIN', 137369),
(193644, 'PTHR31228:SF24', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', 137370),
(193645, 'PTHR16223:SF198', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE, EXPRESSED-RELATED', 137371),
(193646, 'PTHR11746:SF223', NULL, NULL, NULL, NULL, 'CAFFEIC ACID O-METHYLTRANSFERASE', 137372);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(193647, 'PTHR35805', NULL, NULL, NULL, NULL, 'ASPARTATE CARBAMOYLTRANSFERASE REGULATORY CHAIN', 137373),
(193648, 'PTHR13299:SF2', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX16', 137374),
(193649, 'PTHR13780:SF130', NULL, NULL, NULL, NULL, 'CBS / OCTICOSAPEPTIDE/PHOX/BEMP1 (PB1) DOMAINS-CONTAINING PROTEIN-RELATED', 137375),
(193650, 'PTHR26452:SF270', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 137376),
(193651, 'PTHR24347:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137377),
(193652, 'PTHR22765:SF320', NULL, NULL, NULL, NULL, 'BNAC06G07630D PROTEIN', 137378),
(193653, 'PTHR10055:SF8', NULL, NULL, NULL, NULL, 'SYNTHETASE, PUTATIVE-RELATED', 137379),
(193654, 'PTHR12802:SF127', NULL, NULL, NULL, NULL, 'BNAC09G28680D PROTEIN', 137380),
(193655, 'PTHR11886:SF80', NULL, NULL, NULL, NULL, 'INTRASTRAND CROSS-LINK RECOGNITION PROTEIN-LIKE', 137381),
(193656, 'PTHR24326:SF551', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-54', 137382),
(193657, 'PTHR46700', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 137383),
(193658, 'PTHR48056:SF37', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 2-LIKE', 137384),
(193659, 'PTHR45715:SF14', NULL, NULL, NULL, NULL, 'BNACNNG57990D PROTEIN', 137385),
(193660, 'PTHR31907:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137386),
(193661, 'PTHR14095:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B'''' SUBUNIT ALPHA', 137387),
(193662, 'PTHR31044:SF103', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E 10-LIKE', 137388),
(193663, 'PTHR32191:SF75', NULL, NULL, NULL, NULL, 'TETRASPANIN/PERIPHERIN-RELATED', 137389),
(193664, 'PTHR48044:SF45', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 137390),
(193665, 'PTHR43288', NULL, NULL, NULL, NULL, 'BIOTIN SYNTHASE-RELATED PROTEIN, RADICAL SAM SUPERFAMILY', 137391),
(193666, 'PTHR24326:SF497', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT5', 137392),
(193667, 'PTHR33127:SF57', NULL, NULL, NULL, NULL, 'BNAC03G73060D PROTEIN', 137393),
(193668, 'PTHR33544:SF15', NULL, NULL, NULL, NULL, 'BNAANNG11020D PROTEIN', 137394),
(193669, 'PTHR12606:SF30', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 1', 137395),
(193670, 'PTHR31642:SF173', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', 137396),
(193671, 'PTHR15208:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-BINDING CANCER ANTIGEN EXPRESSED ON SISO CELLS', 137397),
(193672, 'PTHR18952:SF242', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE-RELATED', 137398),
(193673, 'PTHR22826:SF106', NULL, NULL, NULL, NULL, 'TRIO, ISOFORM A', 137399),
(193674, 'PTHR47185:SF1', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN YPR097W', 137400),
(193675, 'PTHR23299:SF48', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1L-RELATED', 137401),
(193676, 'PTHR45728:SF4', NULL, NULL, NULL, NULL, 'ACETYL-COA CARBOXYLASE 2', 137402),
(193677, 'PTHR31718:SF41', NULL, NULL, NULL, NULL, 'BNAC02G43550D PROTEIN', 137403),
(193678, 'PTHR45672:SF9', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 2-1', 137404),
(193679, 'PTHR43711:SF1', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE 1', 137405),
(193680, 'PTHR11931:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE 4-RELATED', 137406),
(193681, 'PTHR24416:SF485', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE TYROSINE-PROTEIN KINASE RECEPTOR RET', 137407),
(193682, 'PTHR32175:SF9', NULL, NULL, NULL, NULL, 'OS01G0784600 PROTEIN', 137408),
(193683, 'PTHR10438:SF420', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 137409),
(193684, 'PTHR42861:SF67', NULL, NULL, NULL, NULL, 'ATPASE 3, PLASMA MEMBRANE-TYPE-RELATED', 137410),
(193685, 'PTHR10796:SF91', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 137411),
(193686, 'PTHR31719:SF103', NULL, NULL, NULL, NULL, 'OS09G0509100 PROTEIN', 137412),
(193687, 'PTHR23084:SF176', NULL, NULL, NULL, NULL, 'HISTONE H3 K4-SPECIFIC METHYLTRANSFERASE SET7/9 FAMILY PROTEIN', 137413),
(193688, 'PTHR13832:SF744', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60 ISOFORM X1-RELATED', 137414),
(193689, 'PTHR40468', NULL, NULL, NULL, NULL, 'YALI0A15257P', 137415);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(193690, 'PTHR45933:SF34', NULL, NULL, NULL, NULL, 'BNAUNNG00040D PROTEIN', 137416),
(193691, 'PTHR31713:SF41', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 A-LIKE', 137417),
(193692, 'PTHR12271:SF98', NULL, NULL, NULL, NULL, 'RNA EDITING 3'' TERMINAL URIDYLYL TRANSFERASE 1', 137418),
(193693, 'PTHR31639:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137419),
(193694, 'PTHR35046:SF6', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', 137420),
(193695, 'PTHR31636:SF208', NULL, NULL, NULL, NULL, 'GRAS TRANSCRIPTION FACTOR', 137421),
(193696, 'PTHR23506', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 137422),
(193697, 'PTHR37042', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN RV1973', 137423),
(193698, 'PTHR46043:SF5', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 137424),
(193699, 'PTHR21503:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG03708', 137425),
(193700, 'PTHR33431:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', 137426),
(193701, 'PTHR21493:SF246', NULL, NULL, NULL, NULL, 'GOT1/SFT2-LIKE VESCICLE TRANSPORT PROTEIN FAMILY', 137427),
(193702, 'PTHR11863:SF133', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE GL1-9', 137428),
(193703, 'PTHR43423:SF12', NULL, NULL, NULL, NULL, 'IRON EXPORT ATP-BINDING PROTEIN FETA-RELATED', 137429),
(193704, 'PTHR11588:SF389', NULL, NULL, NULL, NULL, 'TUBULIN BETA-8 CHAIN', 137430),
(193705, 'PTHR47243:SF1', NULL, NULL, NULL, NULL, 'SIALOADHESIN', 137431),
(193706, 'PTHR21450:SF45', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SUBUNIT BETA, PUTATIVE (DUF630 AND DUF632)-RELATED', 137432),
(193707, 'PTHR10233:SF17', NULL, NULL, NULL, NULL, 'INITIATION FACTOR 2 SUBUNIT FAMILY PROTEIN, EXPRESSED', 137433),
(193708, 'PTHR43019:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137434),
(193709, 'PTHR43920:SF4', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 2', 137435),
(193710, 'PTHR24078:SF542', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137436),
(193711, 'PTHR11746:SF217', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE ZRP4', 137437),
(193712, 'PTHR47928:SF37', NULL, NULL, NULL, NULL, 'OS06G0216400 PROTEIN', 137438),
(193713, 'PTHR45634:SF21', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 137439),
(193714, 'PTHR11260:SF674', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 137440),
(193715, 'PTHR47044:SF3', NULL, NULL, NULL, NULL, 'OS02G0276200 PROTEIN', 137441),
(193716, 'PTHR31006:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG22139', 137442),
(193717, 'PTHR11627:SF63', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 137443),
(193718, 'PTHR13832:SF354', NULL, NULL, NULL, NULL, 'GM14138P', 137444),
(193719, 'PTHR23115:SF240', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR EF-1 SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04630)-RELATED', 137445),
(193720, 'PTHR31893:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 151A', 137446),
(193721, 'PTHR38780:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TUSC', 137447),
(193722, 'PTHR46128:SF232', NULL, NULL, NULL, NULL, 'BNAA07G04930D PROTEIN', 137448),
(193723, 'PTHR31929:SF128', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 137449),
(193724, 'PTHR35552:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 8', 137450),
(193725, 'PTHR19331', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR DOMAIN-CONTAINING', 137451),
(193726, 'PTHR31062:SF237', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 137452),
(193727, 'PTHR21610', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 8', 137453),
(193728, 'PTHR10361:SF24', NULL, NULL, NULL, NULL, 'P3 PROTEIN', 137454),
(193729, 'PTHR23138:SF94', NULL, NULL, NULL, NULL, 'RAN-SPECIFIC GTPASE-ACTIVATING PROTEIN', 137455),
(193730, 'PTHR10666:SF351', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN', 137456),
(193731, 'PTHR10585:SF83', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR 2', 137457),
(193732, 'PTHR21937:SF5', NULL, NULL, NULL, NULL, 'GENE 973-RELATED', 137458),
(193733, 'PTHR35895:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137459);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(193734, 'PTHR23044:SF62', NULL, NULL, NULL, NULL, 'ERI1 EXORIBONUCLEASE 3', 137460),
(193735, 'PTHR46763:SF1', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 8', 137461),
(193736, 'PTHR48017:SF109', NULL, NULL, NULL, NULL, 'OS06G0228500 PROTEIN', 137462),
(193737, 'PTHR36378', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', 137463),
(193738, 'PTHR24298:SF833', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', 137464),
(193739, 'PTHR12626:SF10', NULL, NULL, NULL, NULL, 'BNAA10G03760D PROTEIN', 137465),
(193740, 'PTHR10666:SF360', NULL, NULL, NULL, NULL, 'UBIQUITIN-40S RIBOSOMAL PROTEIN S27A-2', 137466),
(193741, 'PTHR14482', NULL, NULL, NULL, NULL, 'CHROMOSOME 12 ORF 43 HOMOLOG', 137467),
(193742, 'PTHR31378:SF29', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 137468),
(193743, 'PTHR33499:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137469),
(193744, 'PTHR14315:SF21', NULL, NULL, NULL, NULL, 'MID1-INTERACTING PROTEIN 1-LIKE', 137470),
(193745, 'PTHR11932:SF134', NULL, NULL, NULL, NULL, 'CULLIN-1', 137471),
(193746, 'PTHR15710:SF121', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL79-LIKE', 137472),
(193747, 'PTHR31236:SF46', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN-RELATED', 137473),
(193748, 'PTHR11937:SF14', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 10', 137474),
(193749, 'PTHR46815', NULL, NULL, NULL, NULL, 'PROTEIN KISH-B', 137475),
(193750, 'PTHR24230:SF61', NULL, NULL, NULL, NULL, 'GALANIN RECEPTOR 1B', 137476),
(193751, 'PTHR31625:SF40', NULL, NULL, NULL, NULL, 'OS06G0145200 PROTEIN', 137477),
(193752, 'PTHR34656', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE', 137478),
(193753, 'PTHR10795:SF610', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.4', 137479),
(193754, 'PTHR10795:SF633', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.10-RELATED', 137480),
(193755, 'PTHR31384:SF144', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 2A', 137481),
(193756, 'PTHR15711:SF60', NULL, NULL, NULL, NULL, 'AGAP002116-PA', 137482),
(193757, 'PTHR31516', NULL, NULL, NULL, NULL, 'STABILIZER OF AXONEMAL MICROTUBULES 2', 137483),
(193758, 'PTHR23198:SF19', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP98A-LIKE', 137484),
(193759, 'PTHR47934:SF8', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 137485),
(193760, 'PTHR11654:SF479', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN-RELATED', 137486),
(193761, 'PTHR19961:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137487),
(193762, 'PTHR43900:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137488),
(193763, 'PTHR33572:SF13', NULL, NULL, NULL, NULL, 'SEXUAL DEVELOPMENT REGULATOR VELC', 137489),
(193764, 'PTHR33115:SF44', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 137490),
(193765, 'PTHR11686:SF55', NULL, NULL, NULL, NULL, 'PROTEIN CBG08854', 137491),
(193766, 'PTHR46216', NULL, NULL, NULL, NULL, 'PROSAPOSIN RECEPTOR GPR37 FAMILY MEMBER', 137492),
(193767, 'PTHR45618:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 2', 137493),
(193768, 'PTHR20855:SF100', NULL, NULL, NULL, NULL, 'HEPTAHELICAL TRANSMEMBRANE PROTEIN 2', 137494),
(193769, 'PTHR35667:SF1', NULL, NULL, NULL, NULL, 'LEUKEMIA NUP98 FUSION PARTNER 1', 137495),
(193770, 'PTHR31623:SF55', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', 137496),
(193771, 'PTHR26452:SF247', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5K3', 137497),
(193772, 'PTHR31865:SF26', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF1685)-RELATED', 137498),
(193773, 'PTHR31656:SF19', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN-RELATED / LEA PROTEIN-RELATED', 137499),
(193774, 'PTHR45714:SF13', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-X', 137500),
(193775, 'PTHR14009:SF11', NULL, NULL, NULL, NULL, 'LETM1 DOMAIN-CONTAINING PROTEIN YLH47, MITOCHONDRIAL', 137501),
(193776, 'PTHR45648:SF64', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 137502),
(193777, 'PTHR14164:SF12', NULL, NULL, NULL, NULL, 'PERICENTRIOLAR MATERIAL 1 PROTEIN', 137503);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(193778, 'PTHR46336:SF16', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 137504),
(193779, 'PTHR24115:SF910', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 137505),
(193780, 'PTHR26453:SF616', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13C2', 137506),
(193781, 'PTHR11257:SF12', NULL, NULL, NULL, NULL, 'EJACULATORY BULB-SPECIFIC PROTEIN 3', 137507),
(193782, 'PTHR18978', NULL, NULL, NULL, NULL, 'GRIP-1 ASSOCIATED PROTEIN 1', 137508),
(193783, 'PTHR35502:SF1', NULL, NULL, NULL, NULL, 'OS09G0476000 PROTEIN', 137509),
(193784, 'PTHR46590:SF2', NULL, NULL, NULL, NULL, 'CRAL/TRIO DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G13930)-RELATED', 137510),
(193785, 'PTHR10288:SF289', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN NOVA-1', 137511),
(193786, 'PTHR23078', NULL, NULL, NULL, NULL, 'VESICULAR-FUSION PROTEIN NSF', 137512),
(193787, 'PTHR45708', NULL, NULL, NULL, NULL, 'ENDOCHITINASE', 137513),
(193788, 'PTHR18860:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137514),
(193789, 'PTHR27002:SF832', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', 137515),
(193790, 'PTHR10334:SF479', NULL, NULL, NULL, NULL, 'BASIC FORM OF PATHOGENESIS-RELATED PROTEIN 1', 137516),
(193791, 'PTHR15603', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN', 137517),
(193792, 'PTHR23222:SF13', NULL, NULL, NULL, NULL, 'PROHIBITIN-1, MITOCHONDRIAL-LIKE', 137518),
(193793, 'PTHR11668:SF407', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 137519),
(193794, 'PTHR45801:SF67', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR TAC1-LIKE', 137520),
(193795, 'PTHR33347:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137521),
(193796, 'PTHR47149', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN RMF', 137522),
(193797, 'PTHR19212:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137523),
(193798, 'PTHR13283', NULL, NULL, NULL, NULL, 'KREV INTERACTION TRAPPED 1-RELATED', 137524),
(193799, 'PTHR23130:SF167', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 137525),
(193800, 'PTHR48000:SF30', NULL, NULL, NULL, NULL, 'BNAA09G07190D PROTEIN', 137526),
(193801, 'PTHR24107:SF4', NULL, NULL, NULL, NULL, 'NUCLEOTIDE BINDING OLIGOMERIZATION DOMAIN CONTAINING 1', 137527),
(193802, 'PTHR12086:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137528),
(193803, 'PTHR45619:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 137529),
(193804, 'PTHR31917:SF87', NULL, NULL, NULL, NULL, 'AGENET-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 137530),
(193805, 'PTHR45757:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG19966', 137531),
(193806, 'PTHR31852:SF145', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 137532),
(193807, 'PTHR21495:SF155', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 137533),
(193808, 'PTHR27006:SF351', NULL, NULL, NULL, NULL, 'BNAC05G08760D PROTEIN', 137534),
(193809, 'PTHR46506:SF46', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 137535),
(193810, 'PTHR32410:SF186', NULL, NULL, NULL, NULL, 'BNAA05G36950D PROTEIN', 137536),
(193811, 'PTHR19878:SF7', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 16-2', 137537),
(193812, 'PTHR12642', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NSA2 HOMOLOG', 137538),
(193813, 'PTHR34314', NULL, NULL, NULL, NULL, 'CRENARCHAEAL PROTEIN, PUTATIVE-RELATED', 137539),
(193814, 'PTHR21879:SF3', NULL, NULL, NULL, NULL, 'FI03378P', 137540),
(193815, 'PTHR45621:SF160', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN, EPHRIN RECEPTOR TYPE-A /TYPE-B-RELATED', 137541),
(193816, 'PTHR31602:SF56', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 4', 137542),
(193817, 'PTHR32382:SF45', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE PROTEIN FLA31', 137543),
(193818, 'PTHR47448', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE DSOR1-LIKE PROTEIN', 137544),
(193819, 'PTHR28644:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 15', 137545),
(193820, 'PTHR14167:SF51', NULL, NULL, NULL, NULL, 'LD45365P', 137546);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(193821, 'PTHR46233:SF3', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE GLOC', 137547),
(193822, 'PTHR45616:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137548),
(193823, 'PTHR27004:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137549),
(193824, 'PTHR11071:SF472', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 137550),
(193825, 'PTHR43096:SF36', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 1, MITOCHONDRIAL', 137551),
(193826, 'PTHR36149:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137552),
(193827, 'PTHR31388:SF183', NULL, NULL, NULL, NULL, 'PEROXIDASE', 137553),
(193828, 'PTHR43592:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137554),
(193829, 'PTHR10871:SF36', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S18', 137555),
(193830, 'PTHR23202:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137556),
(193831, 'PTHR31752:SF46', NULL, NULL, NULL, NULL, 'TRANPORTER PROTEIN-RELATED', 137557),
(193832, 'PTHR13871:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG00406', 137558),
(193833, 'PTHR47820:SF2', NULL, NULL, NULL, NULL, 'GOLGIN FAMILY A PROTEIN', 137559),
(193834, 'PTHR43349:SF79', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE-RELATED', 137560),
(193835, 'PTHR10177:SF467', NULL, NULL, NULL, NULL, 'BNAC08G04650D PROTEIN', 137561),
(193836, 'PTHR24388:SF38', NULL, NULL, NULL, NULL, 'SCRATCH FAMILY TRANSCRIPTIONAL REPRESSOR 1-RELATED', 137562),
(193837, 'PTHR11801:SF39', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION 5B', 137563),
(193838, 'PTHR45675:SF30', NULL, NULL, NULL, NULL, 'OS01G0128000 PROTEIN', 137564),
(193839, 'PTHR12612:SF36', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2B', 137565),
(193840, 'PTHR20961:SF38', NULL, NULL, NULL, NULL, 'BETA-1,2-XYLOSYLTRANSFERASE', 137566),
(193841, 'PTHR27006:SF208', NULL, NULL, NULL, NULL, 'BNAC07G17020D PROTEIN', 137567),
(193842, 'PTHR31331', NULL, NULL, NULL, NULL, 'LCCL DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G08630)', 137568),
(193843, 'PTHR10218:SF335', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN (G PROTEIN), ALPHA-ACTIVATING ACTIVITY POLYPEPTIDE O, A', 137569),
(193844, 'PTHR16216', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 5, AXONEMAL', 137570),
(193845, 'PTHR47979:SF8', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-25', 137571),
(193846, 'PTHR31235:SF330', NULL, NULL, NULL, NULL, 'OS04G0105800 PROTEIN', 137572),
(193847, 'PTHR48044:SF28', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 137573),
(193848, 'PTHR43685:SF9', NULL, NULL, NULL, NULL, 'SLL1004 PROTEIN', 137574),
(193849, 'PTHR47300:SF1', NULL, NULL, NULL, NULL, 'PROTEIN KASH5', 137575),
(193850, 'PTHR34427:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137576),
(193851, 'PTHR24221:SF525', NULL, NULL, NULL, NULL, 'TRANSPORTER-ASSOCIATED WITH ANTIGEN-PROCESSING, SUBUNIT TYPE T, TELEOST-SPECIFIC', 137577),
(193852, 'PTHR19308:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137578),
(193853, 'PTHR11814:SF237', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 1.2-LIKE', 137579),
(193854, 'PTHR31692:SF20', NULL, NULL, NULL, NULL, 'EXPANSIN-B8', 137580),
(193855, 'PTHR24320:SF182', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 137581),
(193856, 'PTHR46349:SF2', NULL, NULL, NULL, NULL, 'CINGULIN-LIKE PROTEIN 1', 137582),
(193857, 'PTHR10527:SF67', NULL, NULL, NULL, NULL, 'IMPORTIN-5-LIKE', 137583),
(193858, 'PTHR12549:SF37', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ25-LIKE', 137584),
(193859, 'PTHR44329:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137585),
(193860, 'PTHR34355:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137586),
(193861, 'PTHR13793:SF139', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 137587),
(193862, 'PTHR23155:SF882', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 137588),
(193863, 'PTHR45744:SF24', NULL, NULL, NULL, NULL, 'BNAA03G46090D PROTEIN', 137589),
(193864, 'PTHR22443:SF14', NULL, NULL, NULL, NULL, 'KAT8 REGULATORY NSL COMPLEX SUBUNIT 1', 137590);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(193865, 'PTHR36115:SF7', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 137591),
(193866, 'PTHR31444:SF20', NULL, NULL, NULL, NULL, 'BNAC02G20650D PROTEIN', 137592),
(193867, 'PTHR32021:SF38', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 137593),
(193868, 'PTHR27008:SF483', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXL1', 137594),
(193869, 'PTHR21312:SF28', NULL, NULL, NULL, NULL, 'OVOMUCOID-RELATED', 137595),
(193870, 'PTHR31669:SF145', NULL, NULL, NULL, NULL, 'OS07G0563600 PROTEIN', 137596),
(193871, 'PTHR33228:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137597),
(193872, 'PTHR23347', NULL, NULL, NULL, NULL, 'COLORECTAL MUTANT CANCER PROTEIN  MCC PROTEIN -RELATED', 137598),
(193873, 'PTHR27006:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137599),
(193874, 'PTHR24092:SF180', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 137600),
(193875, 'PTHR11706:SF8', NULL, NULL, NULL, NULL, 'PROTEIN MALVOLIO', 137601),
(193876, 'PTHR31791:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137602),
(193877, 'PTHR45844:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH107-RELATED', 137603),
(193878, 'PTHR10224:SF11', NULL, NULL, NULL, NULL, 'SI:CH211-153B23.5', 137604),
(193879, 'PTHR24349:SF424', NULL, NULL, NULL, NULL, 'BNAA03G46140D PROTEIN', 137605),
(193880, 'PTHR22974:SF28', NULL, NULL, NULL, NULL, 'BNAC09G36930D PROTEIN', 137606),
(193881, 'PTHR11615', NULL, NULL, NULL, NULL, 'NITRATE, FORMATE, IRON DEHYDROGENASE', 137607),
(193882, 'PTHR47929:SF13', NULL, NULL, NULL, NULL, 'BNACNNG04730D PROTEIN', 137608),
(193883, 'PTHR10071:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GATA-6', 137609),
(193884, 'PTHR28040', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE 5''-PHOSPHATE OXIDASE YLR456W HOMOLOG-RELATED', 137610),
(193885, 'PTHR34268:SF7', NULL, NULL, NULL, NULL, 'OS06G0207200 PROTEIN', 137611),
(193886, 'PTHR45657:SF56', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 137612),
(193887, 'PTHR24064:SF557', NULL, NULL, NULL, NULL, 'BNAA01G30100D PROTEIN', 137613),
(193888, 'PTHR42807:SF1', NULL, NULL, NULL, NULL, 'GLUTARYL-COA DEHYDROGENASE, MITOCHONDRIAL', 137614),
(193889, 'PTHR35718:SF4', NULL, NULL, NULL, NULL, 'BNAA04G28410D PROTEIN', 137615),
(193890, 'PTHR24072:SF318', NULL, NULL, NULL, NULL, 'BNAC09G09590D PROTEIN', 137616),
(193891, 'PTHR48022:SF5', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDES PERMEASE MPH2-RELATED', 137617),
(193892, 'PTHR10695:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137618),
(193893, 'PTHR10353:SF232', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 137619),
(193894, 'PTHR24229:SF85', NULL, NULL, NULL, NULL, 'MELANIN-CONCENTRATING HORMONE RECEPTOR 2', 137620),
(193895, 'PTHR43381:SF12', NULL, NULL, NULL, NULL, 'OS01G0583700 PROTEIN', 137621),
(193896, 'PTHR31235:SF62', NULL, NULL, NULL, NULL, 'PEROXIDASE', 137622),
(193897, 'PTHR27006:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137623),
(193898, 'PTHR23196:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137624),
(193899, 'PTHR48022:SF31', NULL, NULL, NULL, NULL, 'HEXOSE TRANSPORTER', 137625),
(193900, 'PTHR27001:SF677', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 137626),
(193901, 'PTHR47926:SF55', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 137627),
(193902, 'PTHR31262:SF9', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN', 137628),
(193903, 'PTHR46179:SF16', NULL, NULL, NULL, NULL, 'C2H2 FINGER DOMAIN TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 137629),
(193904, 'PTHR42920:SF9', NULL, NULL, NULL, NULL, 'BLR8172 PROTEIN', 137630),
(193905, 'PTHR15217:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137631),
(193906, 'PTHR21253:SF0', NULL, NULL, NULL, NULL, 'FI17420P1', 137632),
(193907, 'PTHR31907:SF47', NULL, NULL, NULL, NULL, 'BNAA04G13380D PROTEIN', 137633),
(193908, 'PTHR21245:SF20', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN R-LIKE ISOFORM X1', 137634),
(193909, 'PTHR35503:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137635);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(193910, 'PTHR47993:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137636),
(193911, 'PTHR35995', NULL, NULL, NULL, NULL, 'OS04G0690500 PROTEIN', 137637),
(193912, 'PTHR12878:SF3', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 2-LIKE', 137638),
(193913, 'PTHR33076:SF60', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN-LIKE', 137639),
(193914, 'PTHR23267:SF331', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 3-15-RELATED', 137640),
(193915, 'PTHR12668:SF34', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14DP', 137641),
(193916, 'PTHR47990:SF169', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE', 137642),
(193917, 'PTHR24373:SF284', NULL, NULL, NULL, NULL, 'CHONDROADHERIN-LIKE PROTEIN', 137643),
(193918, 'PTHR31158:SF2', NULL, NULL, NULL, NULL, 'DUAL OXIDASE MATURATION FACTOR 2', 137644),
(193919, 'PTHR11746:SF250', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE', 137645),
(193920, 'PTHR10127:SF839', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 137646),
(193921, 'PTHR11334:SF29', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MRG-RELATED', 137647),
(193922, 'PTHR13683:SF622', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2', 137648),
(193923, 'PTHR39175', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G15060)-RELATED', 137649),
(193924, 'PTHR11783:SF212', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 137650),
(193925, 'PTHR13954:SF6', NULL, NULL, NULL, NULL, 'INOSITOL-REQUIRING ENZYME-1', 137651),
(193926, 'PTHR32096:SF62', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 41-RELATED', 137652),
(193927, 'PTHR46373:SF9', NULL, NULL, NULL, NULL, 'OS01G0246500 PROTEIN', 137653),
(193928, 'PTHR31707:SF308', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 137654),
(193929, 'PTHR46670:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137655),
(193930, 'PTHR43900:SF42', NULL, NULL, NULL, NULL, 'OS01G0371500 PROTEIN', 137656),
(193931, 'PTHR43200:SF18', NULL, NULL, NULL, NULL, 'BNAA09G06680D PROTEIN', 137657),
(193932, 'PTHR35544:SF5', NULL, NULL, NULL, NULL, 'RIBOSOMAL BIOGENESIS FACTOR', 137658),
(193933, 'PTHR15593:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE 3-KINASE REGULATORY SUBUNIT 6', 137659),
(193934, 'PTHR16719:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE-RELATED', 137660),
(193935, 'PTHR45828:SF18', NULL, NULL, NULL, NULL, 'FERRIC-CHELATE REDUCTASE 1-RELATED', 137661),
(193936, 'PTHR12682', NULL, NULL, NULL, NULL, 'ARCHEASE', 137662),
(193937, 'PTHR21262:SF33', NULL, NULL, NULL, NULL, 'GTP DIPHOSPHOKINASE RSH2, CHLOROPLASTIC-RELATED', 137663),
(193938, 'PTHR21240:SF24', NULL, NULL, NULL, NULL, 'ISO-OROTATE DECARBOXYLASE (EUROFUNG)', 137664),
(193939, 'PTHR42896:SF1', NULL, NULL, NULL, NULL, 'HAD HYDROLASE, SUBFAMILY IA', 137665),
(193940, 'PTHR26453:SF322', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 149', 137666),
(193941, 'PTHR24039:SF34', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CELL ADHESION RECEPTOR MUA-3', 137667),
(193942, 'PTHR42647:SF15', NULL, NULL, NULL, NULL, 'OS02G0687500 PROTEIN', 137668),
(193943, 'PTHR47929:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137669),
(193944, 'PTHR22891:SF121', NULL, NULL, NULL, NULL, 'BNAC09G36860D PROTEIN', 137670),
(193945, 'PTHR24223:SF364', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 6', 137671),
(193946, 'PTHR48004:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137672),
(193947, 'PTHR46400:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BIG BROTHER', 137673),
(193948, 'PTHR24224:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 137674),
(193949, 'PTHR11783:SF178', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 11', 137675),
(193950, 'PTHR12000:SF44', NULL, NULL, NULL, NULL, 'PEPTIDASE C13, LEGUMAIN-RELATED', 137676),
(193951, 'PTHR10629:SF47', NULL, NULL, NULL, NULL, 'CYTOSINE-SPECIFIC METHYLTRANSFERASE', 137677),
(193952, 'PTHR38794', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 137678),
(193953, 'PTHR36517', NULL, NULL, NULL, NULL, 'PROTEIN CBG25732', 137679);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(193954, 'PTHR42957:SF4', NULL, NULL, NULL, NULL, 'HELICASE MJECL08-RELATED', 137680),
(193955, 'PTHR12832:SF18', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G08920)', 137681),
(193956, 'PTHR32278:SF42', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A2', 137682),
(193957, 'PTHR35015:SF3', NULL, NULL, NULL, NULL, 'DELTA AND OSM-11-LIKE', 137683),
(193958, 'PTHR11829:SF369', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137684),
(193959, 'PTHR23172:SF70', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', 137685),
(193960, 'PTHR24282:SF36', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714A1-RELATED', 137686),
(193961, 'PTHR47977:SF49', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY-RELATED', 137687),
(193962, 'PTHR22814:SF330', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 21-LIKE', 137688),
(193963, 'PTHR24343', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE', 137689),
(193964, 'PTHR11309:SF128', NULL, NULL, NULL, NULL, 'SECRETED FRIZZLED-RELATED PROTEIN 2-LIKE', 137690),
(193965, 'PTHR21678:SF8', NULL, NULL, NULL, NULL, 'GROWTH INHIBITION AND DIFFERENTIATION-RELATED PROTEIN 88', 137691),
(193966, 'PTHR12411:SF742', NULL, NULL, NULL, NULL, 'CATHEPSIN L2', 137692),
(193967, 'PTHR43719:SF4', NULL, NULL, NULL, NULL, 'PHYTOCHROME C', 137693),
(193968, 'PTHR24107:SF21', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', 137694),
(193969, 'PTHR27009:SF216', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 137695),
(193970, 'PTHR35137:SF1', NULL, NULL, NULL, NULL, 'CHROMOPHORE LYASE CRL, CHLOROPLASTIC', 137696),
(193971, 'PTHR46903', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 137697),
(193972, 'PTHR26453:SF132', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2G2', 137698),
(193973, 'PTHR23274:SF33', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 137699),
(193974, 'PTHR31680:SF7', NULL, NULL, NULL, NULL, 'PROTEIN LONGIFOLIA 2', 137700),
(193975, 'PTHR48102:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG04167', 137701),
(193976, 'PTHR18444:SF9', NULL, NULL, NULL, NULL, 'UPF0538 PROTEIN C2ORF76', 137702),
(193977, 'PTHR33407:SF9', NULL, NULL, NULL, NULL, 'PECTATE LYASE F-RELATED', 137703),
(193978, 'PTHR12547:SF108', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 1', 137704),
(193979, 'PTHR14549:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 223', 137705),
(193980, 'PTHR12565:SF388', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH74', 137706),
(193981, 'PTHR31790:SF322', NULL, NULL, NULL, NULL, 'BNAA05G11310D PROTEIN', 137707),
(193982, 'PTHR45621:SF180', NULL, NULL, NULL, NULL, 'OS02G0777800 PROTEIN', 137708),
(193983, 'PTHR31375:SF124', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 137709),
(193984, 'PTHR43557:SF1', NULL, NULL, NULL, NULL, 'MONODEHYDROASCORBATE REDUCTASE 1, PEROXISOMAL', 137710),
(193985, 'PTHR11260:SF335', NULL, NULL, NULL, NULL, 'OS01G0949800 PROTEIN', 137711),
(193986, 'PTHR44858:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137712),
(193987, 'PTHR47718', NULL, NULL, NULL, NULL, 'OS01G0519700 PROTEIN', 137713),
(193988, 'PTHR19282:SF202', NULL, NULL, NULL, NULL, 'PERIPHERIN-2', 137714),
(193989, 'PTHR15950:SF23', NULL, NULL, NULL, NULL, 'SI:CH73-52F15.5-RELATED', 137715),
(193990, 'PTHR11567:SF182', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE F26C11.1-RELATED', 137716),
(193991, 'PTHR11477:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137717),
(193992, 'PTHR24404:SF33', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN HELIOS', 137718),
(193993, 'PTHR34269:SF8', NULL, NULL, NULL, NULL, 'BNAA09G20800D PROTEIN', 137719),
(193994, 'PTHR46128:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137720),
(193995, 'PTHR47373:SF5', NULL, NULL, NULL, NULL, 'BNAA05G11010D PROTEIN', 137721),
(193996, 'PTHR37203', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 137722),
(193997, 'PTHR13140:SF772', NULL, NULL, NULL, NULL, 'MYOSIN-17', 137723),
(193998, 'PTHR27000:SF310', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE HSL2', 137724);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(193999, 'PTHR11559:SF404', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 137725),
(194000, 'PTHR37169:SF1', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM ENDORIBONUCLEASE CSX1', 137726),
(194001, 'PTHR11122:SF48', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 137727),
(194002, 'PTHR12632:SF46', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-2', 137728),
(194003, 'PTHR47956:SF56', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 137729),
(194004, 'PTHR31080:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137730),
(194005, 'PTHR31042:SF21', NULL, NULL, NULL, NULL, 'OS01G0875800 PROTEIN', 137731),
(194006, 'PTHR24412:SF172', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 10', 137732),
(194007, 'PTHR31062:SF119', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 137733),
(194008, 'PTHR14527:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MIS12 HOMOLOG', 137734),
(194009, 'PTHR27006:SF130', NULL, NULL, NULL, NULL, 'OS06G0167500 PROTEIN', 137735),
(194010, 'PTHR31916:SF5', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 137736),
(194011, 'PTHR24366:SF130', NULL, NULL, NULL, NULL, 'LEUCINE-RICH HEV GLYCOPROTEIN', 137737),
(194012, 'PTHR13878:SF97', NULL, NULL, NULL, NULL, 'ISOAMYL ALCOHOL OXIDASE', 137738),
(194013, 'PTHR10545:SF29', NULL, NULL, NULL, NULL, 'GH14572P', 137739),
(194014, 'PTHR10380:SF186', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 97EA, ISOFORM A', 137740),
(194015, 'PTHR12277:SF79', NULL, NULL, NULL, NULL, 'BLL6275 PROTEIN', 137741),
(194016, 'PTHR11610:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137742),
(194017, 'PTHR31901', NULL, NULL, NULL, NULL, 'GH3 DOMAIN-CONTAINING PROTEIN', 137743),
(194018, 'PTHR23291:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137744),
(194019, 'PTHR12262:SF4', NULL, NULL, NULL, NULL, 'CELL DIFFERENTIATION, RCD1-LIKE PROTEIN', 137745),
(194020, 'PTHR10334:SF465', NULL, NULL, NULL, NULL, 'BNAC06G03240D PROTEIN', 137746),
(194021, 'PTHR14336:SF4', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 1', 137747),
(194022, 'PTHR31749:SF3', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN NSL1 HOMOLOG', 137748),
(194023, 'PTHR35750', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID HYDROPEROXIDE GLUTATHIONE PEROXIDASE', 137749),
(194024, 'PTHR33337:SF32', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_7G04120)', 137750),
(194025, 'PTHR45724:SF28', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP-TYPE-RELATED', 137751),
(194026, 'PTHR23253:SF27', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITATION FACTOR 4 GAMMA-RELATED', 137752),
(194027, 'PTHR15288:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137753),
(194028, 'PTHR45793:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN OTX2', 137754),
(194029, 'PTHR31251:SF129', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 9', 137755),
(194030, 'PTHR11909:SF157', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM GAMMA-2', 137756),
(194031, 'PTHR33146', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 4', 137757),
(194032, 'PTHR12753:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137758),
(194033, 'PTHR35481:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137759),
(194034, 'PTHR37739:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137760),
(194035, 'PTHR23422:SF9', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 3', 137761),
(194036, 'PTHR10082:SF26', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-5', 137762),
(194037, 'PTHR12487:SF6', NULL, NULL, NULL, NULL, 'TEASHIRT HOMOLOG 1', 137763),
(194038, 'PTHR31614:SF31', NULL, NULL, NULL, NULL, 'PROTEIN DOWNSTREAM OF FLC-LIKE', 137764),
(194039, 'PTHR11639', NULL, NULL, NULL, NULL, 'S100 CALCIUM-BINDING PROTEIN', 137765),
(194040, 'PTHR10903:SF7', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 2', 137766),
(194041, 'PTHR30506:SF3', NULL, NULL, NULL, NULL, 'UPF0126 INNER MEMBRANE PROTEIN YADS', 137767),
(194042, 'PTHR31304:SF9', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 40', 137768),
(194043, 'PTHR39319', NULL, NULL, NULL, NULL, 'SI:DKEY-256H2.1', 137769);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(194044, 'PTHR48023', NULL, NULL, NULL, NULL, 'D-XYLOSE-PROTON SYMPORTER-LIKE 2', 137770),
(194045, 'PTHR22958:SF38', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD1, CHLOROPLASTIC', 137771),
(194046, 'PTHR37367', NULL, NULL, NULL, NULL, 'CHROMOSOME 4 OPEN READING FRAME 3', 137772),
(194047, 'PTHR24061:SF0', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 120-RELATED', 137773),
(194048, 'PTHR23011:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137774),
(194049, 'PTHR34741:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137775),
(194050, 'PTHR33729:SF14', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 11-LIKE', 137776),
(194051, 'PTHR31251:SF98', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 15', 137777),
(194052, 'PTHR47140', NULL, NULL, NULL, NULL, 'MAP3K7 C-TERMINAL-LIKE PROTEIN', 137778),
(194053, 'PTHR10460:SF10', NULL, NULL, NULL, NULL, 'PROTEIN ABIL3', 137779),
(194054, 'PTHR37305:SF2', NULL, NULL, NULL, NULL, 'BACITRACIN TRANSPORT PERMEASE PROTEIN BCRB', 137780),
(194055, 'PTHR34365:SF2', NULL, NULL, NULL, NULL, 'ENOLASE (DUF1399)', 137781),
(194056, 'PTHR23055:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137782),
(194057, 'PTHR47956:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 83A1', 137783),
(194058, 'PTHR31614:SF22', NULL, NULL, NULL, NULL, 'OLEE1-LIKE PROTEIN', 137784),
(194059, 'PTHR46185:SF1', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-1', 137785),
(194060, 'PTHR24281:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137786),
(194061, 'PTHR22800:SF248', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY E MEMBER 1', 137787),
(194062, 'PTHR43684:SF5', NULL, NULL, NULL, NULL, 'CHROMODOMAIN Y-LIKE PROTEIN', 137788),
(194063, 'PTHR32523:SF15', NULL, NULL, NULL, NULL, 'BNAC09G50600D PROTEIN', 137789),
(194064, 'PTHR46315:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137790),
(194065, 'PTHR12277:SF139', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 137791),
(194066, 'PTHR23073:SF88', NULL, NULL, NULL, NULL, '26S PROTEASE REGULATORY SUBUNIT S10B HOMOLOG B', 137792),
(194067, 'PTHR48129', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37A', 137793),
(194068, 'PTHR33227:SF36', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 3', 137794),
(194069, 'PTHR48004:SF16', NULL, NULL, NULL, NULL, 'OS09G0491612 PROTEIN', 137795),
(194070, 'PTHR10358:SF30', NULL, NULL, NULL, NULL, 'BNAC02G42940D PROTEIN', 137796),
(194071, 'PTHR46446:SF28', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR', 137797),
(194072, 'PTHR47956:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137798),
(194073, 'PTHR47640:SF3', NULL, NULL, NULL, NULL, 'OLIGOURIDYLATE-BINDING PROTEIN 1B', 137799),
(194074, 'PTHR33713:SF7', NULL, NULL, NULL, NULL, 'ANTITOXIN', 137800),
(194075, 'PTHR31042:SF119', NULL, NULL, NULL, NULL, 'BNAC06G41260D PROTEIN', 137801),
(194076, 'PTHR11256', NULL, NULL, NULL, NULL, 'BCL-2 RELATED', 137802),
(194077, 'PTHR34075:SF4', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN ASSOCIATED WITH ACETYL-COA C-ACYLTRANSFERASE', 137803),
(194078, 'PTHR13019:SF9', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23 HOMOLOG B-RELATED', 137804),
(194079, 'PTHR43313:SF3', NULL, NULL, NULL, NULL, 'ESTRADIOL 17-BETA-DEHYDROGENASE 2', 137805),
(194080, 'PTHR21666:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137806),
(194081, 'PTHR47244:SF4', NULL, NULL, NULL, NULL, 'BNAA07G04540D PROTEIN', 137807),
(194082, 'PTHR10913:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137808),
(194083, 'PTHR11432:SF17', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE PROTEIN', 137809),
(194084, 'PTHR46626', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B17', 137810),
(194085, 'PTHR34941:SF3', NULL, NULL, NULL, NULL, 'COLD-ACCLIMATION SPECIFIC PROTEIN 15', 137811),
(194086, 'PTHR16134:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137812),
(194087, 'PTHR14826:SF14', NULL, NULL, NULL, NULL, 'AGAP007535-PA', 137813),
(194088, 'PTHR14449:SF2', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP F PROTEIN', 137814);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(194089, 'PTHR45697:SF5', NULL, NULL, NULL, NULL, 'OS02G0327100 PROTEIN', 137815),
(194090, 'PTHR24222:SF56', NULL, NULL, NULL, NULL, 'ATP-BINDING ABC TRANSPORTER', 137816),
(194091, 'PTHR46574:SF1', NULL, NULL, NULL, NULL, '43 KDA RECEPTOR-ASSOCIATED PROTEIN OF THE SYNAPSE', 137817),
(194092, 'PTHR45985:SF3', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE-LIKE 4', 137818),
(194093, 'PTHR31181', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 137819),
(194094, 'PTHR15446:SF2', NULL, NULL, NULL, NULL, 'UROPLAKIN-3B-LIKE PROTEIN 1-RELATED', 137820),
(194095, 'PTHR24223:SF379', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 1', 137821),
(194096, 'PTHR14195:SF3', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 2-LIKE', 137822),
(194097, 'PTHR22950:SF656', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 10-RELATED', 137823),
(194098, 'PTHR33391:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME B559 SUBUNIT ALPHA', 137824),
(194099, 'PTHR48100:SF8', NULL, NULL, NULL, NULL, 'BNAC08G42490D PROTEIN', 137825),
(194100, 'PTHR11878:SF67', NULL, NULL, NULL, NULL, 'NA/CA EXCHANGERS', 137826),
(194101, 'PTHR33493:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137827),
(194102, 'PTHR16206:SF15', NULL, NULL, NULL, NULL, 'DOWNSTREAM OF DAF-16 (REGULATED BY DAF-16)-RELATED', 137828),
(194103, 'PTHR28620:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN V', 137829),
(194104, 'PTHR10835:SF16', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE-RELATED', 137830),
(194105, 'PTHR12460', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR-RELATED PROTEIN', 137831),
(194106, 'PTHR42037:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137832),
(194107, 'PTHR10500', NULL, NULL, NULL, NULL, 'BETA-MICROSEMINOPROTEIN', 137833),
(194108, 'PTHR11439:SF290', NULL, NULL, NULL, NULL, 'TRANSPOSON TY1-BL GAG-POL POLYPROTEIN-RELATED', 137834),
(194109, 'PTHR31042:SF116', NULL, NULL, NULL, NULL, 'OS06G0700500 PROTEIN', 137835),
(194110, 'PTHR13609:SF11', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN 1', 137836),
(194111, 'PTHR24281:SF191', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 77A2-LIKE', 137837),
(194112, 'PTHR33711:SF5', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03030)-RELATED', 137838),
(194113, 'PTHR24543:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137839),
(194114, 'PTHR13140:SF737', NULL, NULL, NULL, NULL, 'MYOSIN FAMILY PROTEIN WITH DIL DOMAIN', 137840),
(194115, 'PTHR47991:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137841),
(194116, 'PTHR47938:SF20', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 137842),
(194117, 'PTHR24286:SF103', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY ABA 8''-HYDROXYLASE', 137843),
(194118, 'PTHR10106:SF42', NULL, NULL, NULL, NULL, 'OS10G0118350 PROTEIN', 137844),
(194119, 'PTHR33524:SF2', NULL, NULL, NULL, NULL, 'SET DOMAIN-CONTAINING PROTEIN 9', 137845),
(194120, 'PTHR12608:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PAM71-HOMOLOG, CHLOROPLASTIC', 137846),
(194121, 'PTHR33138:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137847),
(194122, 'PTHR19306:SF8', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES 6', 137848),
(194123, 'PTHR15407:SF37', NULL, NULL, NULL, NULL, 'PROTEIN CBG24613', 137849),
(194124, 'PTHR10795:SF592', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: SUBTILISIN-LIKE PROTEASE SBT5.3', 137850),
(194125, 'PTHR17573:SF0', NULL, NULL, NULL, NULL, 'UROPLAKIN-2', 137851),
(194126, 'PTHR27001:SF707', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 137852),
(194127, 'PTHR47947:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 81 SUBFAMILY D POLYPEPTIDE 8', 137853),
(194128, 'PTHR40088:SF1', NULL, NULL, NULL, NULL, 'PECTATE LYASE (EUROFUNG)', 137854),
(194129, 'PTHR40079:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137855),
(194130, 'PTHR10165:SF99', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE ACP2', 137856),
(194131, 'PTHR38940', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 137857),
(194132, 'PTHR33365:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137858);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(194133, 'PTHR42648:SF5', NULL, NULL, NULL, NULL, 'PROTEIN YLBG-RELATED', 137859),
(194134, 'PTHR11362:SF124', NULL, NULL, NULL, NULL, 'OS01G0202700 PROTEIN', 137860),
(194135, 'PTHR31113:SF21', NULL, NULL, NULL, NULL, 'UPF0496 PROTEIN 5-RELATED', 137861),
(194136, 'PTHR47874:SF3', NULL, NULL, NULL, NULL, 'BNAA01G05620D PROTEIN', 137862),
(194137, 'PTHR12928:SF0', NULL, NULL, NULL, NULL, 'FSHD REGION GENE 1', 137863),
(194138, 'PTHR47348:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 137864),
(194139, 'PTHR22765:SF330', NULL, NULL, NULL, NULL, 'RECEPTOR HOMOLOGY REGION, TRANSMEMBRANE DOMAIN- AND RING DOMAIN-CONTAINING PROTEIN 3', 137865),
(194140, 'PTHR46085:SF6', NULL, NULL, NULL, NULL, 'ARF GTPASE ACTIVATOR', 137866),
(194141, 'PTHR47832', NULL, NULL, NULL, NULL, 'DNA PHOTOLYASE', 137867),
(194142, 'PTHR31867:SF109', NULL, NULL, NULL, NULL, 'EXPANSIN', 137868),
(194143, 'PTHR47154', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR MTH-RELATED', 137869),
(194144, 'PTHR34612:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137870),
(194145, 'PTHR15185:SF5', NULL, NULL, NULL, NULL, 'B-CELL CLL/LYMPHOMA 9 PROTEIN', 137871),
(194146, 'PTHR10099:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137872),
(194147, 'PTHR31376:SF7', NULL, NULL, NULL, NULL, 'OS05G0556800 PROTEIN', 137873),
(194148, 'PTHR47966:SF43', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-RELATED', 137874),
(194149, 'PTHR24068:SF198', NULL, NULL, NULL, NULL, 'OS03G0681400 PROTEIN', 137875),
(194150, 'PTHR12022:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', 137876),
(194151, 'PTHR46592:SF5', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 11 RING-H2 FINGER PROTEIN', 137877),
(194152, 'PTHR11640:SF115', NULL, NULL, NULL, NULL, 'MIP08606P-RELATED', 137878),
(194153, 'PTHR13140:SF807', NULL, NULL, NULL, NULL, 'MYOSIN-11', 137879),
(194154, 'PTHR11654:SF469', NULL, NULL, NULL, NULL, 'BNAC02G47290D PROTEIN', 137880),
(194155, 'PTHR43874:SF134', NULL, NULL, NULL, NULL, 'BNAA08G25770D PROTEIN', 137881),
(194156, 'PTHR11132:SF381', NULL, NULL, NULL, NULL, 'BNAA08G30680D PROTEIN', 137882),
(194157, 'PTHR11486:SF131', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', 137883),
(194158, 'PTHR12856:SF0', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIH SUBUNIT 1', 137884),
(194159, 'PTHR13809:SF26', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(T) SUBUNIT GAMMA-T1', 137885),
(194160, 'PTHR31065:SF56', NULL, NULL, NULL, NULL, 'OS08G0560300 PROTEIN', 137886),
(194161, 'PTHR31623:SF59', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 137887),
(194162, 'PTHR37745:SF2', NULL, NULL, NULL, NULL, 'BNACNNG65030D PROTEIN', 137888),
(194163, 'PTHR44129:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_1G12380)', 137889),
(194164, 'PTHR45634:SF18', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 6', 137890),
(194165, 'PTHR24068:SF41', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-24 KDA', 137891),
(194166, 'PTHR24377:SF164', NULL, NULL, NULL, NULL, 'KRAB-CONTAINING ZINC-FINGER PROTEIN KRAZ1-RELATED', 137892),
(194167, 'PTHR21495:SF202', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 137893),
(194168, 'PTHR23236:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137894),
(194169, 'PTHR31907:SF15', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN BET V I FAMILY PROTEIN', 137895),
(194170, 'PTHR36885:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 137896),
(194171, 'PTHR33730:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137897),
(194172, 'PTHR43671:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE NEK4', 137898),
(194173, 'PTHR31636:SF7', NULL, NULL, NULL, NULL, 'OS05G0574900 PROTEIN', 137899),
(194174, 'PTHR35103:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137900),
(194175, 'PTHR31787:SF8', NULL, NULL, NULL, NULL, 'FRIZZLED/SMOOTHENED-LIKE SANS CRD PROTEIN B-RELATED', 137901),
(194176, 'PTHR47926:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137902),
(194177, 'PTHR42754', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 137903);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(194178, 'PTHR24072:SF328', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE', 137904),
(194179, 'PTHR47224:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 25', 137905),
(194180, 'PTHR31602:SF63', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 3', 137906),
(194181, 'PTHR24093:SF458', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137907),
(194182, 'PTHR31677:SF159', NULL, NULL, NULL, NULL, 'BRANCHED SILKLESS 1-LIKE', 137908),
(194183, 'PTHR33077:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137909),
(194184, 'PTHR47817:SF2', NULL, NULL, NULL, NULL, 'OS04G0686300 PROTEIN', 137910),
(194185, 'PTHR23056:SF106', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 2', 137911),
(194186, 'PTHR34710:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137912),
(194187, 'PTHR31132:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137913),
(194188, 'PTHR13234:SF24', NULL, NULL, NULL, NULL, 'GILT-LIKE PROTEIN ZK669.3', 137914),
(194189, 'PTHR16770:SF4', NULL, NULL, NULL, NULL, 'PROTEIN RIPPLY3', 137915),
(194190, 'PTHR47451', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 137916),
(194191, 'PTHR11406:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE', 137917),
(194192, 'PTHR33562:SF20', NULL, NULL, NULL, NULL, 'PROTEIN QUIVER', 137918),
(194193, 'PTHR45648:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137919),
(194194, 'PTHR42824:SF1', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE YAFJ-RELATED', 137920),
(194195, 'PTHR22943:SF20', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 137921),
(194196, 'PTHR13042:SF10', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5', 137922),
(194197, 'PTHR31989:SF226', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', 137923),
(194198, 'PTHR18945:SF52', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 3A', 137924),
(194199, 'PTHR46095:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 593', 137925),
(194200, 'PTHR45743:SF34', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, VOLTAGE-DEPENDENT, EAG/ELK/ERG, ANKYRIN REPEAT-CONTAINING DOMAIN PROTEIN-RELATED', 137926),
(194201, 'PTHR31677:SF165', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 137927),
(194202, 'PTHR13902:SF140', NULL, NULL, NULL, NULL, 'BNAA02G07690D PROTEIN', 137928),
(194203, 'PTHR22851', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA  U3 SNORNA  ASSOCIATED PROTEIN', 137929),
(194204, 'PTHR47750', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SNE', 137930),
(194205, 'PTHR37888:SF12', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN FAMILY-LIKE', 137931),
(194206, 'PTHR45968:SF26', NULL, NULL, NULL, NULL, 'BNAA03G12930D PROTEIN', 137932),
(194207, 'PTHR46625:SF1', NULL, NULL, NULL, NULL, '72 KDA INOSITOL POLYPHOSPHATE 5-PHOSPHATASE', 137933),
(194208, 'PTHR11119:SF57', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 23 MEMBER 3', 137934),
(194209, 'PTHR24221:SF535', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 3', 137935),
(194210, 'PTHR46888:SF1', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE DOMAINCONTAINING PROTEIN', 137936),
(194211, 'PTHR11588:SF386', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 137937),
(194212, 'PTHR43323:SF1', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA SYNTHASE, MITOCHONDRIAL', 137938),
(194213, 'PTHR31388:SF38', NULL, NULL, NULL, NULL, 'PEROXIDASE', 137939),
(194214, 'PTHR12570:SF65', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA9-RELATED', 137940),
(194215, 'PTHR16146:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137941),
(194216, 'PTHR44083:SF19', NULL, NULL, NULL, NULL, 'LIS1 HOMOLOGY MOTIF PROTEIN-RELATED', 137942),
(194217, 'PTHR31238:SF114', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 137943),
(194218, 'PTHR43487:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137944),
(194219, 'PTHR43939:SF71', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN (IMH1), PUTATIVE (AFU_ORTHOLOGUE AFUA_4G02990)-RELATED', 137945),
(194220, 'PTHR46448', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 137946),
(194221, 'PTHR23428:SF283', NULL, NULL, NULL, NULL, 'HISTONE H2B', 137947),
(194222, 'PTHR22940', NULL, NULL, NULL, NULL, 'TIMEOUT/TIMELESS-2', 137948);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(194223, 'PTHR43586:SF15', NULL, NULL, NULL, NULL, 'BLR3095 PROTEIN', 137949),
(194224, 'PTHR32183:SF11', NULL, NULL, NULL, NULL, 'THIOL METHYLTRANSFERASE 2-RELATED', 137950),
(194225, 'PTHR31989:SF360', NULL, NULL, NULL, NULL, 'BNACNNG72050D PROTEIN', 137951),
(194226, 'PTHR46452:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 3', 137952),
(194227, 'PTHR47995:SF3', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN PROTEIN', 137953),
(194228, 'PTHR11040:SF60', NULL, NULL, NULL, NULL, 'FAMILY ZINC TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04010)-RELATED', 137954),
(194229, 'PTHR10706:SF145', NULL, NULL, NULL, NULL, 'OS05G0177400 PROTEIN', 137955),
(194230, 'PTHR31674:SF46', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', 137956),
(194231, 'PTHR30273', NULL, NULL, NULL, NULL, 'PERIPLASMIC SIGNAL SENSOR AND SIGMA FACTOR ACTIVATOR FECR-RELATED', 137957),
(194232, 'PTHR11134:SF31', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT BETA-1', 137958),
(194233, 'PTHR10237', NULL, NULL, NULL, NULL, 'DEFORMED EPIDERMAL AUTOREGULATORY FACTOR 1 HOMOLOG  SUPPRESSIN', 137959),
(194234, 'PTHR11439:SF284', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN, GAG-PRE-INTEGRASE DOMAIN PROTEIN-RELATED', 137960),
(194235, 'PTHR31642:SF160', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 137961),
(194236, 'PTHR16830:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137962),
(194237, 'PTHR33376:SF15', NULL, NULL, NULL, NULL, 'BLL6794 PROTEIN', 137963),
(194238, 'PTHR31718:SF48', NULL, NULL, NULL, NULL, 'PLAT-PLANT-STRESS PROTEIN', 137964),
(194239, 'PTHR23139:SF101', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 39', 137965),
(194240, 'PTHR10996:SF252', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', 137966),
(194241, 'PTHR23048:SF0', NULL, NULL, NULL, NULL, 'FI08416P-RELATED', 137967),
(194242, 'PTHR11101:SF49', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 137968),
(194243, 'PTHR23268:SF54', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 24-1', 137969),
(194244, 'PTHR33138:SF51', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 137970),
(194245, 'PTHR42851:SF16', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', 137971),
(194246, 'PTHR13468:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DEK', 137972),
(194247, 'PTHR26453:SF174', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 137973),
(194248, 'PTHR46547:SF4', NULL, NULL, NULL, NULL, 'OS02G0775600 PROTEIN', 137974),
(194249, 'PTHR35801', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE RSBX', 137975),
(194250, 'PTHR23131:SF4', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY POTEIN', 137976),
(194251, 'PTHR13683:SF845', NULL, NULL, NULL, NULL, 'BNAA08G07080D PROTEIN', 137977),
(194252, 'PTHR12815:SF15', NULL, NULL, NULL, NULL, 'OS11G0106200 PROTEIN', 137978),
(194253, 'PTHR24422:SF19', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN METHYLTRANSFERASE', 137979),
(194254, 'PTHR12649:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137980),
(194255, 'PTHR42861:SF94', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 137981),
(194256, 'PTHR24115:SF912', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137982),
(194257, 'PTHR43340', NULL, NULL, NULL, NULL, 'HYPOXANTHINE-GUANINE PHOSPHORIBOSYLTRANSFERASE', 137983),
(194258, 'PTHR11669:SF57', NULL, NULL, NULL, NULL, 'PROTEIN STICHEL-LIKE 4', 137984),
(194259, 'PTHR47425:SF1', NULL, NULL, NULL, NULL, 'MISCELLANEOUS ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)', 137985),
(194260, 'PTHR31852:SF233', NULL, NULL, NULL, NULL, 'OS04G0430600 PROTEIN', 137986),
(194261, 'PTHR42703:SF1', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT D', 137987),
(194262, 'PTHR42678:SF5', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT A', 137988),
(194263, 'PTHR10634:SF95', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 8', 137989),
(194264, 'PTHR27001:SF542', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-REGULATED RECEPTOR-LIKE KINASE 1', 137990);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(194265, 'PTHR27009:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137991),
(194266, 'PTHR31997', NULL, NULL, NULL, NULL, 'AGAP003710-PA', 137992),
(194267, 'PTHR30620:SF77', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE BOGH3B-LIKE', 137993),
(194268, 'PTHR26312:SF162', NULL, NULL, NULL, NULL, 'BNAA03G17190D PROTEIN', 137994),
(194269, 'PTHR33191:SF24', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 1-RELATED', 137995),
(194270, 'PTHR31307:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 137996),
(194271, 'PTHR36318', NULL, NULL, NULL, NULL, 'OS06G0581300 PROTEIN', 137997),
(194272, 'PTHR14978', NULL, NULL, NULL, NULL, 'BETA-CATENIN-LIKE PROTEIN 1  NUCLEAR ASSOCIATED PROTEIN', 137998),
(194273, 'PTHR34781:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 137999),
(194274, 'PTHR33312:SF18', NULL, NULL, NULL, NULL, 'OS05G0462200 PROTEIN', 138000),
(194275, 'PTHR33601:SF31', NULL, NULL, NULL, NULL, 'BNAC04G04210D PROTEIN', 138001),
(194276, 'PTHR33829:SF4', NULL, NULL, NULL, NULL, 'BNAA09G05090D PROTEIN', 138002),
(194277, 'PTHR46477:SF16', NULL, NULL, NULL, NULL, 'OS08G0404500 PROTEIN', 138003),
(194278, 'PTHR10252:SF54', NULL, NULL, NULL, NULL, 'CHROMATIN ACCESSIBILITY COMPLEX PROTEIN 1', 138004),
(194279, 'PTHR24373:SF336', NULL, NULL, NULL, NULL, 'TOLL (DROSOPHILA) FAMILY', 138005),
(194280, 'PTHR22948:SF31', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE TDRD12-RELATED', 138006),
(194281, 'PTHR21559:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138007),
(194282, 'PTHR10657:SF4', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-RELATED', 138008),
(194283, 'PTHR10366:SF637', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE, PUTATIVE-RELATED', 138009),
(194284, 'PTHR10639:SF34', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', 138010),
(194285, 'PTHR46741:SF1', NULL, NULL, NULL, NULL, 'DUF1666 FAMILY PROTEIN', 138011),
(194286, 'PTHR11255:SF38', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE ALPHA', 138012),
(194287, 'PTHR48033:SF6', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 138013),
(194288, 'PTHR11711:SF395', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 1', 138014),
(194289, 'PTHR12092:SF2', NULL, NULL, NULL, NULL, 'PLECKSTRIN-2', 138015),
(194290, 'PTHR31421:SF16', NULL, NULL, NULL, NULL, 'BASIC PENTACYSTEINE 2-RELATED', 138016),
(194291, 'PTHR12710', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN LOCALIZATION 4', 138017),
(194292, 'PTHR12565:SF407', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 138018),
(194293, 'PTHR34185:SF1', NULL, NULL, NULL, NULL, 'DIADENYLATE CYCLASE', 138019),
(194294, 'PTHR10552:SF8', NULL, NULL, NULL, NULL, 'BNAC08G13840D PROTEIN', 138020),
(194295, 'PTHR22981:SF80', NULL, NULL, NULL, NULL, 'BLR4309 PROTEIN', 138021),
(194296, 'PTHR28567:SF5', NULL, NULL, NULL, NULL, 'LOC100002393 PROTEIN', 138022),
(194297, 'PTHR10288:SF284', NULL, NULL, NULL, NULL, 'BNAA10G06430D PROTEIN', 138023),
(194298, 'PTHR22808:SF8', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(34)-C(5))-METHYLTRANSFERASE, MITOCHONDRIAL', 138024),
(194299, 'PTHR11329:SF0', NULL, NULL, NULL, NULL, 'LEUKOCYTE CELL-DERIVED CHEMOTAXIN-2', 138025),
(194300, 'PTHR31929:SF113', NULL, NULL, NULL, NULL, 'SAUR FAMILY PROTEIN', 138026),
(194301, 'PTHR10969:SF83', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', 138027),
(194302, 'PTHR43173:SF12', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 138028),
(194303, 'PTHR46311:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 7', 138029),
(194304, 'PTHR24373:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138030),
(194305, 'PTHR46676:SF1', NULL, NULL, NULL, NULL, 'PROTEIN AMBP', 138031),
(194306, 'PTHR44154', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE', 138032),
(194307, 'PTHR15852:SF60', NULL, NULL, NULL, NULL, 'BNAC01G42740D PROTEIN', 138033),
(194308, 'PTHR34709:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138034),
(194309, 'PTHR31353:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FAM98A', 138035);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(194310, 'PTHR31374:SF170', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 138036),
(194311, 'PTHR43241:SF1', NULL, NULL, NULL, NULL, 'FLAVIN REDUCTASE DOMAIN PROTEIN', 138037),
(194312, 'PTHR32125', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 4-PHOSPHATE CYTIDYLYLTRANSFERASE, CHLOROPLASTIC', 138038),
(194313, 'PTHR48027:SF10', NULL, NULL, NULL, NULL, 'YALI0A02981P', 138039),
(194314, 'PTHR34596:SF2', NULL, NULL, NULL, NULL, 'CHITOPORIN', 138040),
(194315, 'PTHR46084:SF29', NULL, NULL, NULL, NULL, 'OS05G0353500 PROTEIN', 138041),
(194316, 'PTHR48090', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-PHOSPHATE 4-DEOXY-4-FORMAMIDO-L-ARABINOSE TRANSFERASE-RELATED', 138042),
(194317, 'PTHR24033:SF164', NULL, NULL, NULL, NULL, 'PROTEIN CBG12999', 138043),
(194318, 'PTHR24208:SF127', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN AWH', 138044),
(194319, 'PTHR11848:SF139', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 5', 138045),
(194320, 'PTHR12565:SF367', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH75', 138046),
(194321, 'PTHR35546:SF52', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE-LIKE', 138047),
(194322, 'PTHR11661:SF19', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L11, MITOCHONDRIAL', 138048),
(194323, 'PTHR11485:SF31', NULL, NULL, NULL, NULL, 'SEROTRANSFERRIN', 138049),
(194324, 'PTHR45824:SF16', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', 138050),
(194325, 'PTHR47256:SF6', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 138051),
(194326, 'PTHR15898:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL APOPTOSIS REGULATOR', 138052),
(194327, 'PTHR11594:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', 138053),
(194328, 'PTHR32125:SF4', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 4-PHOSPHATE CYTIDYLYLTRANSFERASE, CHLOROPLASTIC', 138054),
(194329, 'PTHR21580:SF9', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 3-B', 138055),
(194330, 'PTHR15944:SF2', NULL, NULL, NULL, NULL, 'PRENYLCYSTEINE OXIDASE-LIKE', 138056),
(194331, 'PTHR10459:SF80', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE 1', 138057),
(194332, 'PTHR24073:SF1149', NULL, NULL, NULL, NULL, 'OS10G0456600 PROTEIN', 138058),
(194333, 'PTHR42902', NULL, NULL, NULL, NULL, 'MALATE SYNTHASE', 138059),
(194334, 'PTHR33172:SF72', NULL, NULL, NULL, NULL, 'BNAANNG33350D PROTEIN', 138060),
(194335, 'PTHR24026:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138061),
(194336, 'PTHR44525', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 27', 138062),
(194337, 'PTHR31105:SF38', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 4', 138063),
(194338, 'PTHR15822:SF4', NULL, NULL, NULL, NULL, 'TYROSYL-DNA PHOSPHODIESTERASE 2', 138064),
(194339, 'PTHR37610:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138065),
(194340, 'PTHR47838', NULL, NULL, NULL, NULL, '21.7 KDA CLASS VI HEAT SHOCK PROTEIN', 138066),
(194341, 'PTHR24230:SF137', NULL, NULL, NULL, NULL, 'PROTEIN CBG07563', 138067),
(194342, 'PTHR23073:SF115', NULL, NULL, NULL, NULL, 'OS09G0560200 PROTEIN', 138068),
(194343, 'PTHR31190:SF284', NULL, NULL, NULL, NULL, 'BNAC04G44080D PROTEIN', 138069),
(194344, 'PTHR48097:SF2', NULL, NULL, NULL, NULL, 'LOW-SPECIFICITY L-THREONINE ALDOLASE 1-RELATED', 138070),
(194345, 'PTHR31421:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BASIC PENTACYSTEINE6', 138071),
(194346, 'PTHR46174:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138072),
(194347, 'PTHR12265:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 53', 138073),
(194348, 'PTHR48015:SF24', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 3', 138074),
(194349, 'PTHR32227:SF383', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE A', 138075),
(194350, 'PTHR24376:SF128', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 836-RELATED', 138076),
(194351, 'PTHR12389:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LISTERIN', 138077),
(194352, 'PTHR31948:SF101', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 3', 138078),
(194353, 'PTHR47500:SF4', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700023F06 GENE', 138079);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(194354, 'PTHR24221:SF415', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 13-RELATED', 138080),
(194355, 'PTHR33110:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138081),
(194356, 'PTHR46267:SF15', NULL, NULL, NULL, NULL, 'SINGLE MYB HISTONE 4', 138082),
(194357, 'PTHR47461:SF5', NULL, NULL, NULL, NULL, 'PHYTOLONGIN PHYL1.1', 138083),
(194358, 'PTHR47429:SF5', NULL, NULL, NULL, NULL, 'VIVID PAS PROTEIN VVD', 138084),
(194359, 'PTHR12665:SF23', NULL, NULL, NULL, NULL, 'ORM1-LIKE PROTEIN 2', 138085),
(194360, 'PTHR10257:SF82', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 138086),
(194361, 'PTHR10183:SF381', NULL, NULL, NULL, NULL, 'CALPAIN-6', 138087),
(194362, 'PTHR22835:SF554', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138088),
(194363, 'PTHR14089', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR RBM22', 138089),
(194364, 'PTHR31234:SF38', NULL, NULL, NULL, NULL, 'BNAA09G11920D PROTEIN', 138090),
(194365, 'PTHR23147:SF189', NULL, NULL, NULL, NULL, 'RNA-BINDING DOMAIN-CONTAINING PROTEIN 1, PUTATIVE-RELATED', 138091),
(194366, 'PTHR46085:SF11', NULL, NULL, NULL, NULL, 'ARFGAP/RECO-LIKE ZINC FINGER DOMAIN-CONTAINING PROTEIN', 138092),
(194367, 'PTHR18919', NULL, NULL, NULL, NULL, 'ACETYL-COA C-ACYLTRANSFERASE', 138093),
(194368, 'PTHR24343:SF191', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE', 138094),
(194369, 'PTHR46590:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN CSR1', 138095),
(194370, 'PTHR31333:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138096),
(194371, 'PTHR23024:SF162', NULL, NULL, NULL, NULL, 'OS07G0162700 PROTEIN', 138097),
(194372, 'PTHR47633:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138098),
(194373, 'PTHR22814:SF315', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE HOMOLOG CCH', 138099),
(194374, 'PTHR11130:SF4', NULL, NULL, NULL, NULL, 'GLUTATHIONE SYNTHETASE', 138100),
(194375, 'PTHR31305', NULL, NULL, NULL, NULL, 'SNARE-ASSOCIATED PROTEIN SNAPIN', 138101),
(194376, 'PTHR23274:SF18', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE PIF4', 138102),
(194377, 'PTHR31048:SF159', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', 138103),
(194378, 'PTHR24300:SF153', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2B6', 138104),
(194379, 'PTHR10845:SF253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138105),
(194380, 'PTHR10168:SF216', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C8', 138106),
(194381, 'PTHR32258:SF14', NULL, NULL, NULL, NULL, 'TROPOMYOSIN', 138107),
(194382, 'PTHR10129:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAFK', 138108),
(194383, 'PTHR45656:SF9', NULL, NULL, NULL, NULL, 'C4B-BINDING PROTEIN BETA CHAIN-RELATED', 138109),
(194384, 'PTHR10578:SF105', NULL, NULL, NULL, NULL, 'DEPENDENT DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G00500)-RELATED', 138110),
(194385, 'PTHR19918', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 20  CDC20   FIZZY -RELATED', 138111),
(194386, 'PTHR32343:SF53', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', 138112),
(194387, 'PTHR47979:SF70', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RAB7, PUTATIVE-RELATED', 138113),
(194388, 'PTHR11363:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L3-2', 138114),
(194389, 'PTHR36313', NULL, NULL, NULL, NULL, 'ROOT MERISTEM GROWTH FACTOR 2', 138115),
(194390, 'PTHR23351:SF47', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR 3', 138116),
(194391, 'PTHR46325:SF21', NULL, NULL, NULL, NULL, 'BNAA08G27910D PROTEIN', 138117),
(194392, 'PTHR46267:SF7', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING FACTOR 3', 138118),
(194393, 'PTHR11711:SF355', NULL, NULL, NULL, NULL, 'ARF/SAR FAMILY PROTEIN', 138119),
(194394, 'PTHR15486:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138120),
(194395, 'PTHR24416:SF326', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-B RECEPTOR 6', 138121),
(194396, 'PTHR24281:SF117', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A2-LIKE ISOFORM X1', 138122),
(194397, 'PTHR24637:SF274', NULL, NULL, NULL, NULL, 'COLLAGEN', 138123);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(194398, 'PTHR46412:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BIM1', 138124),
(194399, 'PTHR35861:SF1', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', 138125),
(194400, 'PTHR45811:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138126),
(194401, 'PTHR43085:SF15', NULL, NULL, NULL, NULL, '2-DEHYDRO-3-DEOXYGLUCONOKINASE', 138127),
(194402, 'PTHR35697:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138128),
(194403, 'PTHR23261:SF14', NULL, NULL, NULL, NULL, 'GROUND-LIKE (GRD RELATED)', 138129),
(194404, 'PTHR33390:SF4', NULL, NULL, NULL, NULL, 'STRESS UP-REGULATED NOD 19-RELATED', 138130),
(194405, 'PTHR10676:SF374', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN AT 93AB, ISOFORM C', 138131),
(194406, 'PTHR43349:SF81', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE HOMOLOG A622-LIKE', 138132),
(194407, 'PTHR31003:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HHO1', 138133),
(194408, 'PTHR36140:SF1', NULL, NULL, NULL, NULL, 'OS11G0152150 PROTEIN', 138134),
(194409, 'PTHR14499:SF115', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL-RELATED', 138135),
(194410, 'PTHR24343:SF460', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK2', 138136),
(194411, 'PTHR46259', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC-TYPE AND RNA-BINDING MOTIF-CONTAINING PROTEIN 1', 138137),
(194412, 'PTHR48000:SF28', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX2', 138138),
(194413, 'PTHR37077:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138139),
(194414, 'PTHR24409:SF376', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR CTCF', 138140),
(194415, 'PTHR31657:SF53', NULL, NULL, NULL, NULL, 'BNAC07G50590D PROTEIN', 138141),
(194416, 'PTHR45618:SF39', NULL, NULL, NULL, NULL, 'PLANT UNCOUPLING PROTEIN-RELATED', 138142),
(194417, 'PTHR24282:SF178', NULL, NULL, NULL, NULL, 'BNAA01G29240D PROTEIN', 138143),
(194418, 'PTHR10507:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138144),
(194419, 'PTHR10792:SF40', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24', 138145),
(194420, 'PTHR13817:SF54', NULL, NULL, NULL, NULL, 'DOWN SYNDROME CELL ADHESION MOLECULE-LIKE PROTEIN 1 HOMOLOG', 138146),
(194421, 'PTHR10502:SF209', NULL, NULL, NULL, NULL, 'ANNEXIN D4-LIKE', 138147),
(194422, 'PTHR11537:SF155', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 7', 138148),
(194423, 'PTHR27006:SF235', NULL, NULL, NULL, NULL, 'BNAC03G71050D PROTEIN', 138149),
(194424, 'PTHR11654:SF352', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER PLANT', 138150),
(194425, 'PTHR43488:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE-PYRUVATE AMINOTRANSFERASE ALAA', 138151),
(194426, 'PTHR33122:SF60', NULL, NULL, NULL, NULL, 'LIPID-TRANSFER PROTEIN DIR1-RELATED', 138152),
(194427, 'PTHR48043:SF26', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 138153),
(194428, 'PTHR18945:SF430', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-LIKE 2', 138154),
(194429, 'PTHR13167:SF40', NULL, NULL, NULL, NULL, 'PIEZO-TYPE MECHANOSENSITIVE ION CHANNEL COMPONENT 1', 138155),
(194430, 'PTHR10788:SF80', NULL, NULL, NULL, NULL, 'ALPHAALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 5', 138156),
(194431, 'PTHR11686:SF54', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE 7', 138157),
(194432, 'PTHR43875:SF6', NULL, NULL, NULL, NULL, 'SUGAR ABC TRANSPORTER ATP-BINDING PROTEIN', 138158),
(194433, 'PTHR45739:SF8', NULL, NULL, NULL, NULL, 'MATRIX PROTEIN, PUTATIVE-RELATED', 138159),
(194434, 'PTHR37861', NULL, NULL, NULL, NULL, 'PROLINE-RICH ACIDIC PROTEIN 1', 138160),
(194435, 'PTHR22442:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM169B', 138161),
(194436, 'PTHR42101:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 138162),
(194437, 'PTHR24055:SF198', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC MITOGEN-ACTIVATED PROTEIN KINASE SMK1', 138163),
(194438, 'PTHR24023:SF1022', NULL, NULL, NULL, NULL, 'COLLAGEN', 138164),
(194439, 'PTHR34949:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 138165),
(194440, 'PTHR39609', NULL, NULL, NULL, NULL, 'RFEG-RELATED', 138166);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(194441, 'PTHR11802:SF309', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 18', 138167),
(194442, 'PTHR23505:SF65', NULL, NULL, NULL, NULL, 'OS08G0410500 PROTEIN', 138168),
(194443, 'PTHR13966:SF5', NULL, NULL, NULL, NULL, 'ENDONUCLEASE G, MITOCHONDRIAL', 138169),
(194444, 'PTHR24086:SF42', NULL, NULL, NULL, NULL, 'NR5A5 PROTEIN', 138170),
(194445, 'PTHR12837:SF7', NULL, NULL, NULL, NULL, 'POLY(ADP-RIBOSE) GLYCOHYDROLASE 2-RELATED', 138171),
(194446, 'PTHR43800', NULL, NULL, NULL, NULL, 'PEPTIDYL-LYSINE N-ACETYLTRANSFERASE YJAB', 138172),
(194447, 'PTHR31618:SF19', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', 138173),
(194448, 'PTHR24089:SF262', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN SCAMC-1', 138174),
(194449, 'PTHR10795:SF397', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.15', 138175),
(194450, 'PTHR35007:SF4', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 138176),
(194451, 'PTHR11884:SF1', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS PROTEIN 1', 138177),
(194452, 'PTHR42090', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 138178),
(194453, 'PTHR22765:SF310', NULL, NULL, NULL, NULL, 'BNAA05G17090D PROTEIN', 138179),
(194454, 'PTHR12482:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138180),
(194455, 'PTHR10288:SF274', NULL, NULL, NULL, NULL, 'PROTEIN BTR1-LIKE', 138181),
(194456, 'PTHR47429:SF6', NULL, NULL, NULL, NULL, 'PHOTOTROPIN-1-LIKE', 138182),
(194457, 'PTHR30603:SF14', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGA', 138183),
(194458, 'PTHR21576:SF109', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 138184),
(194459, 'PTHR47372:SF5', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN D-29', 138185),
(194460, 'PTHR35546:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138186),
(194461, 'PTHR33622:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 138187),
(194462, 'PTHR31282:SF154', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 7-RELATED', 138188),
(194463, 'PTHR10806:SF25', NULL, NULL, NULL, NULL, 'PHOSPHOPROTEIN PHOSPHATASE INHIBITORS', 138189),
(194464, 'PTHR12370:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE PROTEIN F', 138190),
(194465, 'PTHR48018:SF104', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 138191),
(194466, 'PTHR23430:SF325', NULL, NULL, NULL, NULL, 'HISTONE H2A', 138192),
(194467, 'PTHR34838:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138193),
(194468, 'PTHR24055:SF446', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 138194),
(194469, 'PTHR34661:SF1', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 3', 138195),
(194470, 'PTHR31707:SF180', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 138196),
(194471, 'PTHR30523:SF35', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE', 138197),
(194472, 'PTHR33076:SF126', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 138198),
(194473, 'PTHR36181', NULL, NULL, NULL, NULL, 'INTRON-ENCODED ENDONUCLEASE AI3-RELATED', 138199),
(194474, 'PTHR27006:SF349', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', 138200),
(194475, 'PTHR35129:SF4', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 2-LIKE', 138201),
(194476, 'PTHR24346:SF37', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SIK2-LIKE PROTEIN', 138202),
(194477, 'PTHR10997:SF65', NULL, NULL, NULL, NULL, 'BNAC04G12980D PROTEIN', 138203),
(194478, 'PTHR16056:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CBG15695', 138204),
(194479, 'PTHR31642:SF194', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-LIKE', 138205),
(194480, 'PTHR21294:SF19', NULL, NULL, NULL, NULL, 'PROTEIN FIXA', 138206),
(194481, 'PTHR11639:SF77', NULL, NULL, NULL, NULL, 'PROTEIN S100-A12', 138207),
(194482, 'PTHR31972:SF67', NULL, NULL, NULL, NULL, 'PLANT/T24G3-80 PROTEIN', 138208),
(194483, 'PTHR32063:SF12', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN', 138209),
(194484, 'PTHR33983:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138210),
(194485, 'PTHR34709:SF43', NULL, NULL, NULL, NULL, 'OS12G0527100 PROTEIN', 138211);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(194486, 'PTHR43840:SF36', NULL, NULL, NULL, NULL, 'EFFLUX PROTEIN/ ZINC TRANSPORTER, PUTATIVE-RELATED', 138212),
(194487, 'PTHR13774', NULL, NULL, NULL, NULL, 'PHENAZINE BIOSYNTHESIS PROTEIN', 138213),
(194488, 'PTHR43836:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE O-METHYLTRANSFERASE', 138214),
(194489, 'PTHR21207', NULL, NULL, NULL, NULL, 'PARKIN COREGULATED GENE PROTEIN  PARK2 COREGULATED', 138215),
(194490, 'PTHR13318:SF44', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 2', 138216),
(194491, 'PTHR10772:SF43', NULL, NULL, NULL, NULL, '20 KDA CHAPERONIN, CHLOROPLASTIC-LIKE', 138217),
(194492, 'PTHR10570:SF9', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD3 EPSILON CHAIN', 138218),
(194493, 'PTHR47159:SF1', NULL, NULL, NULL, NULL, 'CRAL-TRIO DOMAIN-CONTAINING PROTEIN F28H7.8', 138219),
(194494, 'PTHR37210:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 138220),
(194495, 'PTHR43095:SF1', NULL, NULL, NULL, NULL, 'AUTOINDUCER-2 KINASE', 138221),
(194496, 'PTHR24092:SF146', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 138222),
(194497, 'PTHR35393', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 138223),
(194498, 'PTHR24104:SF20', NULL, NULL, NULL, NULL, 'AGAP007095-PA', 138224),
(194499, 'PTHR21712:SF39', NULL, NULL, NULL, NULL, 'BNAA09G03090D PROTEIN', 138225),
(194500, 'PTHR48247', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 138226),
(194501, 'PTHR48000:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX1', 138227),
(194502, 'PTHR22572:SF146', NULL, NULL, NULL, NULL, 'ADP-GLUCOSE PYROPHOSPHORYLASE FAMILY PROTEIN', 138228),
(194503, 'PTHR47980:SF27', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE SMALL GTP-BINDING PROTEIN', 138229),
(194504, 'PTHR43133:SF25', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGR', 138230),
(194505, 'PTHR45637:SF66', NULL, NULL, NULL, NULL, 'BNAA02G08840D PROTEIN', 138231),
(194506, 'PTHR15923', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN', 138232),
(194507, 'PTHR46288:SF6', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 138233),
(194508, 'PTHR22911:SF113', NULL, NULL, NULL, NULL, 'HYPOTHETICAL TRANSPORT PROTEIN', 138234),
(194509, 'PTHR10791:SF139', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 138235),
(194510, 'PTHR24324:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG21063', 138236),
(194511, 'PTHR18966:SF485', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 138237),
(194512, 'PTHR22380:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 15', 138238),
(194513, 'PTHR10695:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138239),
(194514, 'PTHR31731:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138240),
(194515, 'PTHR23090:SF15', NULL, NULL, NULL, NULL, 'GLUTAMINE-DEPENDENT NAD(+) SYNTHETASE', 138241),
(194516, 'PTHR43201:SF15', NULL, NULL, NULL, NULL, 'AMP BINDING ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11340)-RELATED', 138242),
(194517, 'PTHR12231:SF229', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 141', 138243),
(194518, 'PTHR43319:SF2', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN CONTAINING', 138244),
(194519, 'PTHR23233:SF84', NULL, NULL, NULL, NULL, 'FI23031P1-RELATED', 138245),
(194520, 'PTHR42884:SF28', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE SUBTILISIN/KEXIN TYPE 7', 138246),
(194521, 'PTHR12941', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX', 138247),
(194522, 'PTHR15215:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138248),
(194523, 'PTHR10334:SF404', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', 138249),
(194524, 'PTHR48016:SF22', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', 138250),
(194525, 'PTHR43349:SF76', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE HOMOLOG P3-RELATED', 138251),
(194526, 'PTHR22933:SF36', NULL, NULL, NULL, NULL, 'LP10131P-RELATED', 138252),
(194527, 'PTHR13832:SF533', NULL, NULL, NULL, NULL, 'TGF-BETA-ACTIVATED KINASE 1 AND MAP3K7-BINDING PROTEIN 1', 138253),
(194528, 'PTHR24030', NULL, NULL, NULL, NULL, 'PROTEIN CMSS1', 138254); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(194529, 'PTHR33696:SF16', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 138255),
(194530, 'PTHR40033:SF1', NULL, NULL, NULL, NULL, 'NA(+)-MALATE SYMPORTER', 138256),
(194531, 'PTHR12700:SF12', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', 138257),
(194532, 'PTHR10314:SF217', NULL, NULL, NULL, NULL, 'BNAA08G13300D PROTEIN', 138258),
(194533, 'PTHR38107:SF2', NULL, NULL, NULL, NULL, 'LYSOZYME RRRD-RELATED', 138259),
(194534, 'PTHR26452:SF253', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10Q1', 138260),
(194535, 'PTHR33083:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138261),
(194536, 'PTHR18952:SF124', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 7', 138262),
(194537, 'PTHR45779:SF6', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 138263),
(194538, 'PTHR43281:SF21', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE, CHLOROPLASTIC-LIKE', 138264),
(194539, 'PTHR48101:SF5', NULL, NULL, NULL, NULL, 'ISOBUTYRYL-COA MUTASE A', 138265),
(194540, 'PTHR14897:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138266),
(194541, 'PTHR24173', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 138267),
(194542, 'PTHR24381:SF248', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 597', 138268),
(194543, 'PTHR45763:SF41', NULL, NULL, NULL, NULL, 'OSJNBA0073L04.5 PROTEIN', 138269),
(194544, 'PTHR45868:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138270),
(194545, 'PTHR26450:SF194', NULL, NULL, NULL, NULL, 'MCG114437-RELATED', 138271),
(194546, 'PTHR43226', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE 3', 138272),
(194547, 'PTHR31065:SF46', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', 138273),
(194548, 'PTHR33921:SF15', NULL, NULL, NULL, NULL, 'CALVIN CYCLE PROTEIN CP12-2, CHLOROPLASTIC', 138274),
(194549, 'PTHR11036:SF23', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3A', 138275),
(194550, 'PTHR23155:SF1131', NULL, NULL, NULL, NULL, 'OS11G0682501 PROTEIN', 138276),
(194551, 'PTHR13242', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3', 138277),
(194552, 'PTHR34411:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138278),
(194553, 'PTHR27009:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138279),
(194554, 'PTHR33414:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 1-RELATED 1-LIKE', 138280),
(194555, 'PTHR10552', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN A', 138281),
(194556, 'PTHR33067:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138282),
(194557, 'PTHR48025:SF5', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', 138283),
(194558, 'PTHR45980:SF10', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 3, MITOCHONDRIAL-RELATED', 138284),
(194559, 'PTHR46778:SF1', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1', 138285),
(194560, 'PTHR27009:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138286),
(194561, 'PTHR37318:SF1', NULL, NULL, NULL, NULL, 'BSL7504 PROTEIN', 138287),
(194562, 'PTHR43179:SF7', NULL, NULL, NULL, NULL, 'RHAMNOSYLTRANSFERASE WBBL', 138288),
(194563, 'PTHR33103:SF27', NULL, NULL, NULL, NULL, 'OS04G0594500 PROTEIN', 138289),
(194564, 'PTHR21089:SF9', NULL, NULL, NULL, NULL, 'SHIKIMATE DEHYDROGENASE-LIKE PROTEIN HI_0607', 138290),
(194565, 'PTHR24384:SF131', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 430', 138291),
(194566, 'PTHR31382:SF1', NULL, NULL, NULL, NULL, 'SODIUM ION/PROTON EXCHANGER (EUROFUNG)', 138292),
(194567, 'PTHR48036:SF6', NULL, NULL, NULL, NULL, 'SPLICING FACTOR (PAD-1), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G15810)-RELATED', 138293),
(194568, 'PTHR43749', NULL, NULL, NULL, NULL, 'RNA-SPLICING LIGASE RTCB', 138294),
(194569, 'PTHR43053:SF4', NULL, NULL, NULL, NULL, 'MYOGENESIS-REGULATING GLYCOSIDASE', 138295),
(194570, 'PTHR11670:SF58', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE', 138296),
(194571, 'PTHR12668:SF51', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14 A', 138297),
(194572, 'PTHR48111:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN CSSR', 138298),
(194573, 'PTHR24393:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 691', 138299);
INSERT INTO "PUBLIC"."MODEL" VALUES
(194574, 'PTHR24223:SF19', NULL, NULL, NULL, NULL, 'CYSTIC FIBROSIS TRANSMEMBRANE CONDUCTANCE REGULATOR', 138300),
(194575, 'PTHR23098:SF6', NULL, NULL, NULL, NULL, 'TUMORHEAD', 138301),
(194576, 'PTHR27002:SF471', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 138302),
(194577, 'PTHR43625:SF61', NULL, NULL, NULL, NULL, 'OS01G0618100 PROTEIN', 138303),
(194578, 'PTHR11950:SF46', NULL, NULL, NULL, NULL, 'PROTEIN LOZENGE', 138304),
(194579, 'PTHR10759:SF9', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', 138305),
(194580, 'PTHR33237:SF4', NULL, NULL, NULL, NULL, 'F14O23.12', 138306),
(194581, 'PTHR11278:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', 138307),
(194582, 'PTHR10358:SF21', NULL, NULL, NULL, NULL, 'ALPHA-ENDOSULFINE', 138308),
(194583, 'PTHR46641:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG00409', 138309),
(194584, 'PTHR28284', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP60', 138310),
(194585, 'PTHR47288', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 9', 138311),
(194586, 'PTHR22750:SF53', NULL, NULL, NULL, NULL, 'CANNABINOID RECEPTOR 2', 138312),
(194587, 'PTHR33077:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138313),
(194588, 'PTHR32523', NULL, NULL, NULL, NULL, 'PHYTOL KINASE 1, CHLOROPLASTIC', 138314),
(194589, 'PTHR11596:SF83', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE 4', 138315),
(194590, 'PTHR13902:SF124', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK2', 138316),
(194591, 'PTHR45828:SF5', NULL, NULL, NULL, NULL, 'FERRIC-CHELATE REDUCTASE 1 HOMOLOG-RELATED', 138317),
(194592, 'PTHR10795:SF721', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138318),
(194593, 'PTHR34493:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG09625', 138319),
(194594, 'PTHR10091:SF39', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 138320),
(194595, 'PTHR32161:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138321),
(194596, 'PTHR46367:SF1', NULL, NULL, NULL, NULL, 'ATAXIN-7-LIKE PROTEIN 3', 138322),
(194597, 'PTHR13301:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138323),
(194598, 'PTHR33207:SF49', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 138324),
(194599, 'PTHR24281:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138325),
(194600, 'PTHR33070:SF87', NULL, NULL, NULL, NULL, 'BNAA09G54670D PROTEIN', 138326),
(194601, 'PTHR11360:SF269', NULL, NULL, NULL, NULL, 'EG:103B4.3 PROTEIN', 138327),
(194602, 'PTHR12430:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM20 HOMOLOG', 138328),
(194603, 'PTHR10108:SF1091', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT12-RELATED', 138329),
(194604, 'PTHR43456', NULL, NULL, NULL, NULL, 'RIESKE (2FE-2S) DOMAIN-CONTAINING PROTEIN', 138330),
(194605, 'PTHR22900:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG00813', 138331),
(194606, 'PTHR31003:SF40', NULL, NULL, NULL, NULL, 'BNAA09G45640D PROTEIN', 138332),
(194607, 'PTHR38537:SF5', NULL, NULL, NULL, NULL, 'FILAMIN-A', 138333),
(194608, 'PTHR24015:SF1672', NULL, NULL, NULL, NULL, 'OS06G0506100 PROTEIN', 138334),
(194609, 'PTHR46475:SF1', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR2', 138335),
(194610, 'PTHR23273:SF64', NULL, NULL, NULL, NULL, 'BNAC07G49340D PROTEIN', 138336),
(194611, 'PTHR24093:SF128', NULL, NULL, NULL, NULL, 'MAGNESIUM-TRANSPORTING ATPASE, P-TYPE 1', 138337),
(194612, 'PTHR47923', NULL, NULL, NULL, NULL, 'INSERTION ELEMENT IS1 1 PROTEIN INSA-RELATED', 138338),
(194613, 'PTHR27004:SF365', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 36-RELATED', 138339),
(194614, 'PTHR24334:SF0', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN UNPLUGGED', 138340),
(194615, 'PTHR16155', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 138341),
(194616, 'PTHR22961', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN KINASE-TRB', 138342),
(194617, 'PTHR30486', NULL, NULL, NULL, NULL, 'TWITCHING MOTILITY PROTEIN PILT', 138343),
(194618, 'PTHR22750:SF24', NULL, NULL, NULL, NULL, 'SPHINGOSINE 1-PHOSPHATE RECEPTOR 3', 138344),
(194619, 'PTHR34226:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138345),
(194620, 'PTHR31639:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138346);
INSERT INTO "PUBLIC"."MODEL" VALUES
(194621, 'PTHR13375:SF5', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 5A', 138347),
(194622, 'PTHR23249', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT', 138348),
(194623, 'PTHR22761:SF12', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 5', 138349),
(194624, 'PTHR25462:SF253', NULL, NULL, NULL, NULL, 'CONSERVED ZINC-FINGER PROTEIN', 138350),
(194625, 'PTHR10035', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD3 ZETA CHAIN', 138351),
(194626, 'PTHR19321:SF31', NULL, NULL, NULL, NULL, 'BNAC03G14320D PROTEIN', 138352),
(194627, 'PTHR16469:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12398', 138353),
(194628, 'PTHR35284:SF7', NULL, NULL, NULL, NULL, 'BNAA06G36970D PROTEIN', 138354),
(194629, 'PTHR47420:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASHR2', 138355),
(194630, 'PTHR31083:SF27', NULL, NULL, NULL, NULL, 'BNAA10G03790D PROTEIN', 138356),
(194631, 'PTHR34966', NULL, NULL, NULL, NULL, 'OSJNBA0043L24.15 PROTEIN', 138357),
(194632, 'PTHR16308:SF13', NULL, NULL, NULL, NULL, 'PROTEIN LINGERER', 138358),
(194633, 'PTHR32100:SF41', NULL, NULL, NULL, NULL, 'SN-2 ACYL-LIPID OMEGA-3 DESATURASE (FERREDOXIN), CHLOROPLASTIC', 138359),
(194634, 'PTHR11697:SF217', NULL, NULL, NULL, NULL, 'ZINC FINGER, MYM DOMAIN CONTAINING 1, ISOFORM CRA_B', 138360),
(194635, 'PTHR33047:SF22', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN', 138361),
(194636, 'PTHR24381:SF246', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 138362),
(194637, 'PTHR11599:SF55', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 138363),
(194638, 'PTHR22893:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138364),
(194639, 'PTHR11003:SF241', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 5', 138365),
(194640, 'PTHR31509:SF64', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN (DUF793)', 138366),
(194641, 'PTHR33593:SF18', NULL, NULL, NULL, NULL, 'BNACNNG65240D PROTEIN', 138367),
(194642, 'PTHR36607:SF20', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE 4', 138368),
(194643, 'PTHR34071:SF3', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 138369),
(194644, 'PTHR24299:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 138370),
(194645, 'PTHR11945:SF671', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN FLOWERING LOCUS C', 138371),
(194646, 'PTHR11407:SF9', NULL, NULL, NULL, NULL, 'LYSOZYME-LIKE PROTEIN 6', 138372),
(194647, 'PTHR31945:SF80', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN-RELATED', 138373),
(194648, 'PTHR44858:SF9', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT', 138374),
(194649, 'PTHR33124:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH148', 138375),
(194650, 'PTHR22851:SF0', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 13', 138376),
(194651, 'PTHR10652:SF19', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', 138377),
(194652, 'PTHR45527:SF8', NULL, NULL, NULL, NULL, 'NONRIBOSOMAL PEPTIDE SYNTHETASE ASQK-RELATED', 138378),
(194653, 'PTHR12277:SF167', NULL, NULL, NULL, NULL, 'IP15857P', 138379),
(194654, 'PTHR30365:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME BD MENAQUINOL OXIDASE SUBUNIT I-RELATED', 138380),
(194655, 'PTHR34188:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138381),
(194656, 'PTHR23020:SF20', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 138382),
(194657, 'PTHR11732:SF291', NULL, NULL, NULL, NULL, 'PROTEIN CBG24579', 138383),
(194658, 'PTHR46665:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138384),
(194659, 'PTHR27001:SF703', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138385),
(194660, 'PTHR47804:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BRE4', 138386),
(194661, 'PTHR33802:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-29D8.3', 138387),
(194662, 'PTHR47108', NULL, NULL, NULL, NULL, '5-AMINO-6-(5-PHOSPHO-D-RIBITYLAMINO)URACIL PHOSPHATASE, CHLOROPLASTIC', 138388),
(194663, 'PTHR11214:SF292', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 138389),
(194664, 'PTHR12609:SF1', NULL, NULL, NULL, NULL, 'ZYGOTE DEFECTIVE PROTEIN 9', 138390);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(194665, 'PTHR24241:SF82', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE FF RECEPTOR 1 LIKE 2-RELATED', 138391),
(194666, 'PTHR13341:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CANOPY HOMOLOG 1', 138392),
(194667, 'PTHR11139:SF108', NULL, NULL, NULL, NULL, 'AGAP000368-PA', 138393),
(194668, 'PTHR31650:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138394),
(194669, 'PTHR32278:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138395),
(194670, 'PTHR31352', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 138396),
(194671, 'PTHR19359:SF101', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE HEME/STEROID BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 138397),
(194672, 'PTHR33750:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG00704', 138398),
(194673, 'PTHR43065:SF39', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN ATOS', 138399),
(194674, 'PTHR33191:SF62', NULL, NULL, NULL, NULL, 'RIPENING RELATED PROTEIN FAMILY', 138400),
(194675, 'PTHR23305:SF7', NULL, NULL, NULL, NULL, 'OBG-LIKE ATPASE 1', 138401),
(194676, 'PTHR10334:SF487', NULL, NULL, NULL, NULL, 'OS02G0787000 PROTEIN', 138402),
(194677, 'PTHR24221', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY B', 138403),
(194678, 'PTHR34376:SF11', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, KAZAL-TYPE FAMILY PROTEIN', 138404),
(194679, 'PTHR30128:SF47', NULL, NULL, NULL, NULL, 'LIPOPROTEIN YFIB-RELATED', 138405),
(194680, 'PTHR36157:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG12671', 138406),
(194681, 'PTHR21654:SF59', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 138407),
(194682, 'PTHR24346:SF45', NULL, NULL, NULL, NULL, 'SNF RELATED KINASE', 138408),
(194683, 'PTHR36709', NULL, NULL, NULL, NULL, 'OS02G0604100 PROTEIN', 138409),
(194684, 'PTHR43539:SF49', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA3-RELATED', 138410),
(194685, 'PTHR15574', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN-CONTAINING FAMILY', 138411),
(194686, 'PTHR11926', NULL, NULL, NULL, NULL, 'GLUCOSYL/GLUCURONOSYL TRANSFERASES', 138412),
(194687, 'PTHR14155:SF524', NULL, NULL, NULL, NULL, 'OS01G0213100 PROTEIN', 138413),
(194688, 'PTHR31692:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138414),
(194689, 'PTHR22941:SF161', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 138415),
(194690, 'PTHR28657:SF10', NULL, NULL, NULL, NULL, 'INDOLEAMINE 2,3-DIOXYGENASE', 138416),
(194691, 'PTHR10438:SF411', NULL, NULL, NULL, NULL, 'THIOREDOXIN H8', 138417),
(194692, 'PTHR15371:SF26', NULL, NULL, NULL, NULL, 'BNAA06G11810D PROTEIN', 138418),
(194693, 'PTHR24135:SF17', NULL, NULL, NULL, NULL, 'SH3 AND MULTIPLE ANKYRIN REPEAT DOMAINS PROTEIN 2', 138419),
(194694, 'PTHR10332:SF30', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 2', 138420),
(194695, 'PTHR24243:SF9', NULL, NULL, NULL, NULL, 'NEUROTENSIN RECEPTOR TYPE 1', 138421),
(194696, 'PTHR44102', NULL, NULL, NULL, NULL, 'PROTEIN NPG1', 138422),
(194697, 'PTHR46427', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND LEM DOMAIN-CONTAINING PROTEIN 1', 138423),
(194698, 'PTHR11514:SF122', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC4', 138424),
(194699, 'PTHR12300:SF140', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 138425),
(194700, 'PTHR27006:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138426),
(194701, 'PTHR12822:SF4', NULL, NULL, NULL, NULL, 'PROTEIN YIPF1', 138427),
(194702, 'PTHR47999:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB4', 138428),
(194703, 'PTHR34461:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 138429),
(194704, 'PTHR46587:SF7', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-19', 138430),
(194705, 'PTHR22765:SF257', NULL, NULL, NULL, NULL, 'OS09G0446500 PROTEIN', 138431),
(194706, 'PTHR11353:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138432),
(194707, 'PTHR42769:SF4', NULL, NULL, NULL, NULL, 'DISMUTASE, PUTATIVE-RELATED', 138433),
(194708, 'PTHR16015', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 51', 138434),
(194709, 'PTHR34134:SF1', NULL, NULL, NULL, NULL, 'COPAB ATPASES METAL-FIST TYPE REPRESSOR', 138435);
INSERT INTO "PUBLIC"."MODEL" VALUES
(194710, 'PTHR18952:SF223', NULL, NULL, NULL, NULL, 'EUKARYOTIC-TYPE CARBONIC ANHYDRASE', 138436),
(194711, 'PTHR47324:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG02899', 138437),
(194712, 'PTHR46606', NULL, NULL, NULL, NULL, 'SHOOTIN-1', 138438),
(194713, 'PTHR31321:SF68', NULL, NULL, NULL, NULL, 'PECTINESTERASE 50-RELATED', 138439),
(194714, 'PTHR31549:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138440),
(194715, 'PTHR28650', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-GLYCAN BIOSYNTHESIS CLASS X PROTEIN', 138441),
(194716, 'PTHR47695:SF2', NULL, NULL, NULL, NULL, 'DAB1, REELIN ADAPTOR PROTEIN', 138442),
(194717, 'PTHR45836:SF2', NULL, NULL, NULL, NULL, 'SLIT HOMOLOG 2 PROTEIN', 138443),
(194718, 'PTHR31062:SF219', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE-RELATED', 138444),
(194719, 'PTHR11629:SF94', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 138445),
(194720, 'PTHR36870', NULL, NULL, NULL, NULL, 'C17ORF78 ISOFORM 2', 138446),
(194721, 'PTHR46910:SF14', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 138447),
(194722, 'PTHR12161:SF63', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN IST1-RELATED', 138448),
(194723, 'PTHR45645:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138449),
(194724, 'PTHR33143', NULL, NULL, NULL, NULL, 'F16F4.1 PROTEIN-RELATED', 138450),
(194725, 'PTHR45647:SF83', NULL, NULL, NULL, NULL, 'SERINE THREONINE KINASE', 138451),
(194726, 'PTHR31654', NULL, NULL, NULL, NULL, 'SECRETED BETA-GLUCOSIDASE ADG3-RELATED', 138452),
(194727, 'PTHR23292:SF37', NULL, NULL, NULL, NULL, 'BNAC09G43880D PROTEIN', 138453),
(194728, 'PTHR31284:SF31', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE', 138454),
(194729, 'PTHR28128:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138455),
(194730, 'PTHR47094:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138456),
(194731, 'PTHR23254:SF17', NULL, NULL, NULL, NULL, 'MIF4G DOMAIN-CONTAINING PROTEIN', 138457),
(194732, 'PTHR23169:SF20', NULL, NULL, NULL, NULL, 'PLECTIN', 138458),
(194733, 'PTHR23334:SF19', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY', 138459),
(194734, 'PTHR12628:SF6', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 19', 138460),
(194735, 'PTHR31879:SF5', NULL, NULL, NULL, NULL, 'OS11G0483600 PROTEIN', 138461),
(194736, 'PTHR46301:SF18', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR FAMILY PROTEIN', 138462),
(194737, 'PTHR33791:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138463),
(194738, 'PTHR11909:SF81', NULL, NULL, NULL, NULL, 'TAU TUBULIN KINASE', 138464),
(194739, 'PTHR24056:SF192', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE 1', 138465),
(194740, 'PTHR31100:SF48', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 16', 138466),
(194741, 'PTHR11165:SF147', NULL, NULL, NULL, NULL, 'BNAA08G02970D PROTEIN', 138467),
(194742, 'PTHR32414:SF2', NULL, NULL, NULL, NULL, 'NEUROMEDIN-S', 138468),
(194743, 'PTHR42647:SF32', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 3-RELATED', 138469),
(194744, 'PTHR23169:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138470),
(194745, 'PTHR10353:SF263', NULL, NULL, NULL, NULL, 'BNAA09G40110D PROTEIN', 138471),
(194746, 'PTHR24049:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138472),
(194747, 'PTHR12802:SF126', NULL, NULL, NULL, NULL, 'HISTONE H2A DEUBIQUITINASE MYSM1', 138473),
(194748, 'PTHR43982', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 138474),
(194749, 'PTHR34883:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138475),
(194750, 'PTHR42648:SF3', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSK FOR INSERTION SEQUENCE ELEMENT IS150-RELATED', 138476),
(194751, 'PTHR38434:SF1', NULL, NULL, NULL, NULL, 'BLL2549 PROTEIN', 138477),
(194752, 'PTHR24061:SF405', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 118', 138478),
(194753, 'PTHR43501:SF1', NULL, NULL, NULL, NULL, 'CYTOSOL NON-SPECIFIC DIPEPTIDASE', 138479),
(194754, 'PTHR22916:SF3', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL GLYCOSYLTRANSFERASE PGTA', 138480);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(194755, 'PTHR24025:SF19', NULL, NULL, NULL, NULL, 'FAT ATYPICAL CADHERIN 4', 138481),
(194756, 'PTHR10696:SF25', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE AIM17-RELATED', 138482),
(194757, 'PTHR19212:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT FLIGHTLESS-INTERACTING PROTEIN 2', 138483),
(194758, 'PTHR24341:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ENGRAILED-2', 138484),
(194759, 'PTHR31205:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138485),
(194760, 'PTHR46257:SF4', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 6', 138486),
(194761, 'PTHR23504:SF83', NULL, NULL, NULL, NULL, 'TRANSPORTER OF MUGINEIC ACID3', 138487),
(194762, 'PTHR23111:SF26', NULL, NULL, NULL, NULL, 'RAN BP2/NZF ZINC FINGER-LIKE SUPERFAMILY PROTEIN', 138488),
(194763, 'PTHR11017:SF336', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPP2A', 138489),
(194764, 'PTHR43049:SF6', NULL, NULL, NULL, NULL, 'BNAANNG16240D PROTEIN', 138490),
(194765, 'PTHR24326:SF554', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-12-LIKE', 138491),
(194766, 'PTHR47328', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 138492),
(194767, 'PTHR33866:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', 138493),
(194768, 'PTHR11161', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE', 138494),
(194769, 'PTHR16201', NULL, NULL, NULL, NULL, 'SEVEN TRANSMEMBRANE PROTEIN 1-RELATED', 138495),
(194770, 'PTHR48001:SF35', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 138496),
(194771, 'PTHR11873:SF1', NULL, NULL, NULL, NULL, 'PURPURIN', 138497),
(194772, 'PTHR32552:SF68', NULL, NULL, NULL, NULL, 'CATECHOLATE SIDEROPHORE RECEPTOR FIU', 138498),
(194773, 'PTHR32054:SF39', NULL, NULL, NULL, NULL, 'OS05G0476100 PROTEIN', 138499),
(194774, 'PTHR11132:SF429', NULL, NULL, NULL, NULL, 'BNAC03G71800D PROTEIN', 138500),
(194775, 'PTHR33128:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138501),
(194776, 'PTHR15256', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN DGCR2/IDD', 138502),
(194777, 'PTHR31719:SF170', NULL, NULL, NULL, NULL, 'BNACNNG30350D PROTEIN', 138503),
(194778, 'PTHR12958', NULL, NULL, NULL, NULL, 'FRIEND OF GATA2-RELATED', 138504),
(194779, 'PTHR24249:SF372', NULL, NULL, NULL, NULL, 'LP14436P', 138505),
(194780, 'PTHR31009:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138506),
(194781, 'PTHR46336:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138507),
(194782, 'PTHR26450:SF120', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51A7', 138508),
(194783, 'PTHR31371:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138509),
(194784, 'PTHR24177:SF277', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 138510),
(194785, 'PTHR31642:SF44', NULL, NULL, NULL, NULL, 'AGMATINE HYDROXYCINNAMOYLTRANSFERASE 1', 138511),
(194786, 'PTHR11011:SF61', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 138512),
(194787, 'PTHR33514:SF15', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 138513),
(194788, 'PTHR46908', NULL, NULL, NULL, NULL, 'CUBILIN-LIKE PROTEIN', 138514),
(194789, 'PTHR11412:SF116', NULL, NULL, NULL, NULL, 'PREGNANCY ZONE PROTEIN', 138515),
(194790, 'PTHR46806:SF2', NULL, NULL, NULL, NULL, 'NEUROPILIN-2', 138516),
(194791, 'PTHR31391:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138517),
(194792, 'PTHR10811:SF66', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', 138518),
(194793, 'PTHR31752:SF64', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', 138519),
(194794, 'PTHR22600:SF26', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE 2', 138520),
(194795, 'PTHR23354:SF62', NULL, NULL, NULL, NULL, 'MTOR-ASSOCIATED PROTEIN MEAK7', 138521),
(194796, 'PTHR10334:SF371', NULL, NULL, NULL, NULL, 'OS10G0191300 PROTEIN', 138522),
(194797, 'PTHR19957:SF323', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138523),
(194798, 'PTHR33476:SF16', NULL, NULL, NULL, NULL, 'OS06G0648500 PROTEIN', 138524),
(194799, 'PTHR23067:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 385A', 138525),
(194800, 'PTHR47925:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138526);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(194801, 'PTHR43341:SF17', NULL, NULL, NULL, NULL, 'GENERAL AMINO ACID PERMEASE AGP1-RELATED', 138527),
(194802, 'PTHR36195', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01990)-RELATED-RELATED', 138528),
(194803, 'PTHR23017:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 138529),
(194804, 'PTHR45675:SF55', NULL, NULL, NULL, NULL, 'MYB PROTEIN-RELATED', 138530),
(194805, 'PTHR47338:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 138531),
(194806, 'PTHR44590', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE-RELATED', 138532),
(194807, 'PTHR10423:SF3', NULL, NULL, NULL, NULL, 'INSULIN-LIKE 3', 138533),
(194808, 'PTHR45614:SF116', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB44-LIKE', 138534),
(194809, 'PTHR12015:SF146', NULL, NULL, NULL, NULL, 'EOTAXIN', 138535),
(194810, 'PTHR31533:SF26', NULL, NULL, NULL, NULL, 'BNAA09G05290D PROTEIN', 138536),
(194811, 'PTHR43734', NULL, NULL, NULL, NULL, 'PHYTOENE DESATURASE', 138537),
(194812, 'PTHR33102:SF53', NULL, NULL, NULL, NULL, 'OS01G0525350 PROTEIN', 138538),
(194813, 'PTHR43133:SF37', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGM', 138539),
(194814, 'PTHR12837:SF0', NULL, NULL, NULL, NULL, 'POLY(ADP-RIBOSE) GLYCOHYDROLASE', 138540),
(194815, 'PTHR34463:SF13', NULL, NULL, NULL, NULL, 'ACANTHOSCURRIN-2-LIKE', 138541),
(194816, 'PTHR47993:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138542),
(194817, 'PTHR46067:SF9', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE (GNAT) DOMAIN PROTEIN', 138543),
(194818, 'PTHR45621:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL10-RELATED', 138544),
(194819, 'PTHR19331:SF389', NULL, NULL, NULL, NULL, 'T-CELL DIFFERENTIATION ANTIGEN CD6', 138545),
(194820, 'PTHR40139', NULL, NULL, NULL, NULL, 'PROTEIN TNT', 138546),
(194821, 'PTHR31933:SF6', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE FAMILY PROTEIN', 138547),
(194822, 'PTHR45642:SF64', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL3', 138548),
(194823, 'PTHR48048:SF15', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 138549),
(194824, 'PTHR16223:SF223', NULL, NULL, NULL, NULL, 'BNAC03G41710D PROTEIN', 138550),
(194825, 'PTHR12905:SF18', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE C-RELATED', 138551),
(194826, 'PTHR31676:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138552),
(194827, 'PTHR26450:SF379', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138553),
(194828, 'PTHR34959:SF8', NULL, NULL, NULL, NULL, 'BNAA02G28530D PROTEIN', 138554),
(194829, 'PTHR33057:SF153', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP13', 138555),
(194830, 'PTHR22166:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138556),
(194831, 'PTHR24300:SF105', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 138557),
(194832, 'PTHR37464', NULL, NULL, NULL, NULL, 'BLL2463 PROTEIN', 138558),
(194833, 'PTHR21847', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 10', 138559),
(194834, 'PTHR12128:SF55', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE SYNTHASE 2, CHLOROPLASTIC', 138560),
(194835, 'PTHR33870:SF8', NULL, NULL, NULL, NULL, 'OS07G0472300 PROTEIN', 138561),
(194836, 'PTHR42683:SF39', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT ALCOHOL DEHYDROGENASE 6-RELATED', 138562),
(194837, 'PTHR22747:SF18', NULL, NULL, NULL, NULL, 'GEO09167P1-RELATED', 138563),
(194838, 'PTHR11024:SF5', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN SEC13, PUTATIVE-RELATED', 138564),
(194839, 'PTHR31734:SF153', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 138565),
(194840, 'PTHR24028:SF290', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 2 ALPHA A 15', 138566),
(194841, 'PTHR13155:SF1', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 10, MITOCHONDRIAL', 138567),
(194842, 'PTHR36902:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138568),
(194843, 'PTHR43874:SF1', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR1', 138569),
(194844, 'PTHR31741:SF69', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONAN I RHAMNOSYLTRANSFERASE 1', 138570);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(194845, 'PTHR23201:SF108', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 4', 138571),
(194846, 'PTHR31627:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-11-RELATED', 138572),
(194847, 'PTHR31901:SF73', NULL, NULL, NULL, NULL, 'BNACNNG49810D PROTEIN', 138573),
(194848, 'PTHR36138:SF12', NULL, NULL, NULL, NULL, 'OSJNBA0041A02.28 PROTEIN', 138574),
(194849, 'PTHR11739:SF31', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', 138575),
(194850, 'PTHR35842:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-67E16.11', 138576),
(194851, 'PTHR10516:SF402', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 138577),
(194852, 'PTHR31544:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138578),
(194853, 'PTHR28511:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138579),
(194854, 'PTHR15127:SF32', NULL, NULL, NULL, NULL, 'HEAVYWEIGHT, ISOFORM A', 138580),
(194855, 'PTHR26379:SF268', NULL, NULL, NULL, NULL, 'OS08G0406500 PROTEIN', 138581),
(194856, 'PTHR43681:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GTPASE FZO-LIKE, CHLOROPLASTIC-RELATED', 138582),
(194857, 'PTHR10165:SF108', NULL, NULL, NULL, NULL, 'PA-PHOSPHATASE RELATED-FAMILY PROTEIN DDB_G0271516-RELATED', 138583),
(194858, 'PTHR46449', NULL, NULL, NULL, NULL, 'ZGC:158260', 138584),
(194859, 'PTHR42898:SF56', NULL, NULL, NULL, NULL, 'BNAA04G17100D PROTEIN', 138585),
(194860, 'PTHR11306:SF36', NULL, NULL, NULL, NULL, 'NIEMANN-PICK TYPE C-2C-RELATED', 138586),
(194861, 'PTHR47357:SF3', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE', 138587),
(194862, 'PTHR12035:SF110', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 13', 138588),
(194863, 'PTHR46299', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 5B2-RELATED', 138589),
(194864, 'PTHR10362:SF11', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', 138590),
(194865, 'PTHR34461:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138591),
(194866, 'PTHR21199:SF1', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 1', 138592),
(194867, 'PTHR23167:SF60', NULL, NULL, NULL, NULL, 'ACTININ ALPHA 2', 138593),
(194868, 'PTHR45816:SF3', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR TYPE 2', 138594),
(194869, 'PTHR26451:SF381', NULL, NULL, NULL, NULL, 'MCG67161-RELATED', 138595),
(194870, 'PTHR33826:SF8', NULL, NULL, NULL, NULL, 'BNAA01G31410D PROTEIN', 138596),
(194871, 'PTHR46282:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138597),
(194872, 'PTHR46837:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138598),
(194873, 'PTHR12207:SF26', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING 4B', 138599),
(194874, 'PTHR13902:SF149', NULL, NULL, NULL, NULL, 'BNAA10G11970D PROTEIN', 138600),
(194875, 'PTHR11439:SF288', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', 138601),
(194876, 'PTHR10822:SF19', NULL, NULL, NULL, NULL, 'GLYPICAN 5B-RELATED', 138602),
(194877, 'PTHR35984', NULL, NULL, NULL, NULL, 'PERIPLASMIC SERINE PROTEASE', 138603),
(194878, 'PTHR21068:SF40', NULL, NULL, NULL, NULL, 'SENESCENCE/DEHYDRATION-ASSOCIATED PROTEIN-LIKE PROTEIN', 138604),
(194879, 'PTHR46553:SF7', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', 138605),
(194880, 'PTHR34357:SF7', NULL, NULL, NULL, NULL, 'BNAA09G38300D PROTEIN', 138606),
(194881, 'PTHR48075:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G10070)-RELATED', 138607),
(194882, 'PTHR10573', NULL, NULL, NULL, NULL, 'INTERLEUKIN-2 RECEPTOR ALPHA CHAIN', 138608),
(194883, 'PTHR22883:SF365', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 138609),
(194884, 'PTHR24054:SF27', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA''', 138610),
(194885, 'PTHR32468:SF118', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 3', 138611),
(194886, 'PTHR34132:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN', 138612),
(194887, 'PTHR23070:SF166', NULL, NULL, NULL, NULL, 'ATP BINDING PROTEIN', 138613),
(194888, 'PTHR43008:SF4', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE (EUROFUNG)', 138614);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(194889, 'PTHR45649:SF9', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE 2', 138615),
(194890, 'PTHR36423:SF2', NULL, NULL, NULL, NULL, 'AFR070WP', 138616),
(194891, 'PTHR27001:SF688', NULL, NULL, NULL, NULL, 'OS08G0117700 PROTEIN', 138617),
(194892, 'PTHR46463:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 138618),
(194893, 'PTHR13018:SF21', NULL, NULL, NULL, NULL, 'CALCIUM PERMEABLE STRESS-GATED CATION CHANNEL 1', 138619),
(194894, 'PTHR36122', NULL, NULL, NULL, NULL, 'NICOTINAMIDE RIBOSIDE TRANSPORTER PNUC', 138620),
(194895, 'PTHR47488:SF17', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN CONTAINING PROTEIN, EXPRESSED', 138621),
(194896, 'PTHR42748:SF5', NULL, NULL, NULL, NULL, 'NITROGEN METABOLITE REPRESSION PROTEIN NMRA', 138622),
(194897, 'PTHR24241:SF160', NULL, NULL, NULL, NULL, 'AGAP004783-PA', 138623),
(194898, 'PTHR10032:SF271', NULL, NULL, NULL, NULL, 'OVO-LIKE ZINC FINGER 1A-RELATED', 138624),
(194899, 'PTHR48026:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138625),
(194900, 'PTHR43769', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-RELATED', 138626),
(194901, 'PTHR43294:SF18', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA', 138627),
(194902, 'PTHR26450:SF63', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52Z1', 138628),
(194903, 'PTHR45923:SF3', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG 1', 138629),
(194904, 'PTHR36358:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 4, MITOCHONDRIAL', 138630),
(194905, 'PTHR13403:SF6', NULL, NULL, NULL, NULL, 'SNURPORTIN-1', 138631),
(194906, 'PTHR11188:SF145', NULL, NULL, NULL, NULL, 'FI02822P-RELATED', 138632),
(194907, 'PTHR45982:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION', 138633),
(194908, 'PTHR19303:SF30', NULL, NULL, NULL, NULL, 'AGAP001462-PA', 138634),
(194909, 'PTHR11639:SF44', NULL, NULL, NULL, NULL, 'PROTEIN S100-A7-LIKE 2', 138635),
(194910, 'PTHR11533:SF282', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE M1-A', 138636),
(194911, 'PTHR11453:SF84', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN', 138637),
(194912, 'PTHR19433:SF109', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 27', 138638),
(194913, 'PTHR43320', NULL, NULL, NULL, NULL, 'SUGAR KINASE', 138639),
(194914, 'PTHR33663:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 185', 138640),
(194915, 'PTHR45647:SF54', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 53-RELATED', 138641),
(194916, 'PTHR12565:SF357', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 138642),
(194917, 'PTHR12542:SF130', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 138643),
(194918, 'PTHR48016:SF36', NULL, NULL, NULL, NULL, 'OS02G0769800 PROTEIN', 138644),
(194919, 'PTHR43205:SF31', NULL, NULL, NULL, NULL, '2-ALKENAL REDUCTASE (NADP(+)-DEPENDENT)-LIKE', 138645),
(194920, 'PTHR24006:SF791', NULL, NULL, NULL, NULL, 'BNAC03G73540D PROTEIN', 138646),
(194921, 'PTHR43514:SF8', NULL, NULL, NULL, NULL, 'MOLYBDENUM IMPORT ATP-BINDING PROTEIN MODC', 138647),
(194922, 'PTHR33044:SF143', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 138648),
(194923, 'PTHR24216:SF59', NULL, NULL, NULL, NULL, 'PROTEIN CBG11874', 138649),
(194924, 'PTHR24012:SF717', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE ADENYLYLTRANSFERASE DOMAIN/RNA RECOGNITION MOTIF PROTEIN-RELATED', 138650),
(194925, 'PTHR47700', NULL, NULL, NULL, NULL, 'V CHITINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13720)-RELATED', 138651),
(194926, 'PTHR43313:SF2', NULL, NULL, NULL, NULL, 'CORTICOSTEROID 11-BETA-DEHYDROGENASE ISOZYME 2', 138652),
(194927, 'PTHR31301:SF76', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 6-LIKE', 138653),
(194928, 'PTHR10887:SF444', NULL, NULL, NULL, NULL, 'RNA HELICASE SDE3-RELATED', 138654),
(194929, 'PTHR11814:SF60', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.1', 138655),
(194930, 'PTHR42883', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE THYMIDYLTRANSFERASE', 138656),
(194931, 'PTHR43875:SF1', NULL, NULL, NULL, NULL, 'MALTODEXTRIN IMPORT ATP-BINDING PROTEIN MSMX', 138657);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(194932, 'PTHR10113:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138658),
(194933, 'PTHR19944:SF56', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DQ BETA 1 CHAIN', 138659),
(194934, 'PTHR10585:SF30', NULL, NULL, NULL, NULL, 'RETENTION RECEPTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02980)-RELATED', 138660),
(194935, 'PTHR33385:SF17', NULL, NULL, NULL, NULL, 'OS08G0466800 PROTEIN', 138661),
(194936, 'PTHR31190:SF160', NULL, NULL, NULL, NULL, 'AP2/EREBP TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', 138662),
(194937, 'PTHR10048:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138663),
(194938, 'PTHR12176:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138664),
(194939, 'PTHR11615:SF248', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 138665),
(194940, 'PTHR31104:SF3', NULL, NULL, NULL, NULL, 'OS01G0208400 PROTEIN', 138666),
(194941, 'PTHR34359:SF20', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 13', 138667),
(194942, 'PTHR24381:SF329', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 819', 138668),
(194943, 'PTHR46093:SF2', NULL, NULL, NULL, NULL, 'KELCH MOTIF FAMILY PROTEIN, EXPRESSED', 138669),
(194944, 'PTHR13363:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138670),
(194945, 'PTHR48007:SF55', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 138671),
(194946, 'PTHR21022:SF19', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE/PREPHENATE DEHYDRATASE 6, CHLOROPLASTIC', 138672),
(194947, 'PTHR48070:SF10', NULL, NULL, NULL, NULL, 'OS07G0687100 PROTEIN', 138673),
(194948, 'PTHR24189', NULL, NULL, NULL, NULL, 'MYOTROPHIN', 138674),
(194949, 'PTHR46038:SF33', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 138675),
(194950, 'PTHR45615:SF26', NULL, NULL, NULL, NULL, 'MYOSIN-15', 138676),
(194951, 'PTHR42938:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138677),
(194952, 'PTHR36886:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138678),
(194953, 'PTHR27006:SF192', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RECEPTOR', 138679),
(194954, 'PTHR36607', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE 4', 138680),
(194955, 'PTHR32227:SF354', NULL, NULL, NULL, NULL, 'BNAC04G29090D PROTEIN', 138681),
(194956, 'PTHR35809', NULL, NULL, NULL, NULL, 'ARCHAETIDYLSERINE DECARBOXYLASE PROENZYME-RELATED', 138682),
(194957, 'PTHR36558', NULL, NULL, NULL, NULL, 'GLR1098 PROTEIN', 138683),
(194958, 'PTHR33210:SF13', NULL, NULL, NULL, NULL, 'PROTODERMAL FACTOR 1', 138684),
(194959, 'PTHR12601:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138685),
(194960, 'PTHR43416:SF17', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYL CARRIER PROTEIN OF ACETYL-COA CARBOXYLASE', 138686),
(194961, 'PTHR35579:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138687),
(194962, 'PTHR12775:SF1', NULL, NULL, NULL, NULL, 'BNACNNG39770D PROTEIN', 138688),
(194963, 'PTHR26379:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138689),
(194964, 'PTHR11347:SF96', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CAMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 7A', 138690),
(194965, 'PTHR45846:SF1', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(47) SYNTHASE [NAD(P)(+)]-LIKE', 138691),
(194966, 'PTHR23257:SF611', NULL, NULL, NULL, NULL, 'PROTEIN KINASE ATN1-LIKE PROTEIN-RELATED', 138692),
(194967, 'PTHR33344:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 138693),
(194968, 'PTHR33601:SF21', NULL, NULL, NULL, NULL, 'OS09G0520500 PROTEIN', 138694),
(194969, 'PTHR22747:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138695),
(194970, 'PTHR47989:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138696),
(194971, 'PTHR44991:SF1', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 5', 138697),
(194972, 'PTHR45958:SF14', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 138698),
(194973, 'PTHR31717:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138699),
(194974, 'PTHR32448:SF52', NULL, NULL, NULL, NULL, 'OS08G0158200 PROTEIN', 138700),
(194975, 'PTHR43289:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D', 138701);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(194976, 'PTHR11929:SF194', NULL, NULL, NULL, NULL, 'ALPHA-(1,4)-FUCOSYLTRANSFERASE', 138702),
(194977, 'PTHR28082:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 138703),
(194978, 'PTHR22881:SF4', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 9', 138704),
(194979, 'PTHR12345:SF9', NULL, NULL, NULL, NULL, 'AMYLOID-BETA A4 PRECURSOR PROTEIN-BINDING FAMILY A MEMBER 3', 138705),
(194980, 'PTHR31561:SF129', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 138706),
(194981, 'PTHR48075:SF1', NULL, NULL, NULL, NULL, 'LAMBDA-CRYSTALLIN HOMOLOG', 138707),
(194982, 'PTHR10928', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF FUSED', 138708),
(194983, 'PTHR33739', NULL, NULL, NULL, NULL, 'OS07G0681500 PROTEIN', 138709),
(194984, 'PTHR13052:SF3', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-LIKE', 138710),
(194985, 'PTHR24247:SF113', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 479', 138711),
(194986, 'PTHR48053:SF24', NULL, NULL, NULL, NULL, 'REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 138712),
(194987, 'PTHR36710:SF5', NULL, NULL, NULL, NULL, 'BNAA06G37840D PROTEIN', 138713),
(194988, 'PTHR33386:SF26', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', 138714),
(194989, 'PTHR32153:SF38', NULL, NULL, NULL, NULL, 'F-BOX/LRR PROTEIN', 138715),
(194990, 'PTHR33493:SF19', NULL, NULL, NULL, NULL, '18 KDA SEED MATURATION PROTEIN-RELATED', 138716),
(194991, 'PTHR11667:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138717),
(194992, 'PTHR31969:SF57', NULL, NULL, NULL, NULL, 'BNAC02G41660D PROTEIN', 138718),
(194993, 'PTHR13318:SF85', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN', 138719),
(194994, 'PTHR43139:SF32', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE-RELATED', 138720),
(194995, 'PTHR10194:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138721),
(194996, 'PTHR35477:SF1', NULL, NULL, NULL, NULL, 'OS06G0728500 PROTEIN', 138722),
(194997, 'PTHR45771:SF11', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN SEX COMBS REDUCED', 138723),
(194998, 'PTHR46931:SF6', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC4', 138724),
(194999, 'PTHR48049:SF30', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 138725),
(195000, 'PTHR46019:SF1', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B MEMBER 2', 138726),
(195001, 'PTHR10641:SF1281', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB114-LIKE', 138727),
(195002, 'PTHR37533', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK-LENGTH CONTROL PROTEIN', 138728),
(195003, 'PTHR36320:SF1', NULL, NULL, NULL, NULL, 'OS04G0611300 PROTEIN', 138729),
(195004, 'PTHR31189:SF7', NULL, NULL, NULL, NULL, 'PREPROMP73', 138730),
(195005, 'PTHR23503:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138731),
(195006, 'PTHR23430:SF207', NULL, NULL, NULL, NULL, 'HISTONE H2A', 138732),
(195007, 'PTHR31865:SF37', NULL, NULL, NULL, NULL, 'BNAC03G24120D PROTEIN', 138733),
(195008, 'PTHR45674:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13063', 138734),
(195009, 'PTHR31953:SF70', NULL, NULL, NULL, NULL, 'VACUOLAR INVERTASE', 138735),
(195010, 'PTHR15146:SF0', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR137B', 138736),
(195011, 'PTHR31604:SF43', NULL, NULL, NULL, NULL, 'BNAC06G43960D PROTEIN', 138737),
(195012, 'PTHR10795:SF688', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.4', 138738),
(195013, 'PTHR11802:SF116', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 138739),
(195014, 'PTHR46116:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138740),
(195015, 'PTHR22977:SF5', NULL, NULL, NULL, NULL, 'COX ASSEMBLY MITOCHONDRIAL PROTEIN HOMOLOG', 138741),
(195016, 'PTHR11267:SF175', NULL, NULL, NULL, NULL, 'PROTEIN CBG09017', 138742),
(195017, 'PTHR44742:SF6', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 138743),
(195018, 'PTHR33142:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138744),
(195019, 'PTHR22883:SF373', NULL, NULL, NULL, NULL, 'BNAA05G15890D PROTEIN', 138745),
(195020, 'PTHR37758', NULL, NULL, NULL, NULL, 'OS03G0334300 PROTEIN', 138746),
(195021, 'PTHR11915:SF424', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN CONTAINING 141', 138747);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(195022, 'PTHR11746:SF199', NULL, NULL, NULL, NULL, 'FLAVONE 3''-O-METHYLTRANSFERASE 1', 138748),
(195023, 'PTHR31506:SF30', NULL, NULL, NULL, NULL, 'PROTEIN BZR1 HOMOLOG 2', 138749),
(195024, 'PTHR23235:SF103', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 13', 138750),
(195025, 'PTHR38755:SF1', NULL, NULL, NULL, NULL, '5,10-METHYLENETETRAHYDROFOLATE REDUCTASE', 138751),
(195026, 'PTHR45647:SF19', NULL, NULL, NULL, NULL, 'OS02G0218600 PROTEIN', 138752),
(195027, 'PTHR35243:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138753),
(195028, 'PTHR45641:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138754),
(195029, 'PTHR16019:SF15', NULL, NULL, NULL, NULL, 'OS01G0273300 PROTEIN', 138755),
(195030, 'PTHR11758:SF4', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S8, MITOCHONDRIAL', 138756),
(195031, 'PTHR13018:SF48', NULL, NULL, NULL, NULL, 'OS05G0594700 PROTEIN', 138757),
(195032, 'PTHR31888:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 19', 138758),
(195033, 'PTHR14682', NULL, NULL, NULL, NULL, 'KATNB1-LIKE PROTEIN 1', 138759),
(195034, 'PTHR33228:SF8', NULL, NULL, NULL, NULL, 'OS08G0249200 PROTEIN', 138760),
(195035, 'PTHR42852:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138761),
(195036, 'PTHR15138:SF14', NULL, NULL, NULL, NULL, 'IP01149P-RELATED', 138762),
(195037, 'PTHR18952:SF208', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 2', 138763),
(195038, 'PTHR43356:SF1', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTD', 138764),
(195039, 'PTHR23050:SF381', NULL, NULL, NULL, NULL, 'CALMODULIN-3', 138765),
(195040, 'PTHR45623:SF7', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 1', 138766),
(195041, 'PTHR11960:SF45', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-1-RELATED', 138767),
(195042, 'PTHR47488:SF3', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 138768),
(195043, 'PTHR31374:SF271', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 138769),
(195044, 'PTHR23195', NULL, NULL, NULL, NULL, 'YEATS DOMAIN', 138770),
(195045, 'PTHR31223:SF67', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 138771),
(195046, 'PTHR22937:SF152', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 138772),
(195047, 'PTHR21136:SF199', NULL, NULL, NULL, NULL, 'BNAC06G15130D PROTEIN', 138773),
(195048, 'PTHR45839:SF9', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 2', 138774),
(195049, 'PTHR31150:SF25', NULL, NULL, NULL, NULL, 'C3HC4-TYPE RING ZINC FINGER PROTEIN', 138775),
(195050, 'PTHR33108:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138776),
(195051, 'PTHR22809:SF11', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN', 138777),
(195052, 'PTHR33510:SF13', NULL, NULL, NULL, NULL, 'BNAA02G08890D PROTEIN', 138778),
(195053, 'PTHR15240:SF4', NULL, NULL, NULL, NULL, 'CAVEOLAE-ASSOCIATED PROTEIN 4', 138779),
(195054, 'PTHR36565:SF5', NULL, NULL, NULL, NULL, 'UPF0332 PROTEIN MJ0605', 138780),
(195055, 'PTHR24281:SF113', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D8-LIKE', 138781),
(195056, 'PTHR31313:SF4', NULL, NULL, NULL, NULL, 'CONIDIAL DEVELOPMENT PROTEIN FLUFFY', 138782),
(195057, 'PTHR42840:SF3', NULL, NULL, NULL, NULL, 'BINDING ROSSMANN FOLD OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10240)-RELATED', 138783),
(195058, 'PTHR31602:SF45', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 8', 138784),
(195059, 'PTHR24282:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138785),
(195060, 'PTHR10772:SF32', NULL, NULL, NULL, NULL, '20 KDA CHAPERONIN, CHLOROPLASTIC', 138786),
(195061, 'PTHR28675:SF2', NULL, NULL, NULL, NULL, 'MELANOCORTIN-2 RECEPTOR ACCESSORY PROTEIN', 138787),
(195062, 'PTHR10585:SF78', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN RETAINING RECEPTOR FAMILY PROTEIN', 138788),
(195063, 'PTHR11413:SF62', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 3', 138789),
(195064, 'PTHR11485:SF33', NULL, NULL, NULL, NULL, 'LACTOTRANSFERRIN', 138790),
(195065, 'PTHR10579:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138791);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(195066, 'PTHR10006', NULL, NULL, NULL, NULL, 'MUCIN-1-RELATED', 138792),
(195067, 'PTHR11214:SF297', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 138793),
(195068, 'PTHR35041', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 1', 138794),
(195069, 'PTHR10855:SF9', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 12 HOMOLOG A-LIKE', 138795),
(195070, 'PTHR31248:SF14', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN A3-LIKE', 138796),
(195071, 'PTHR31165:SF83', NULL, NULL, NULL, NULL, 'BNACNNG65050D PROTEIN', 138797),
(195072, 'PTHR48022:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138798),
(195073, 'PTHR31790:SF401', NULL, NULL, NULL, NULL, 'BNAA07G04990D PROTEIN', 138799),
(195074, 'PTHR47991:SF15', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20-OXIDASE', 138800),
(195075, 'PTHR10783:SF66', NULL, NULL, NULL, NULL, 'XENOTROPIC AND POLYTROPIC RETROVIRUS RECEPTOR 1 HOMOLOG', 138801),
(195076, 'PTHR46086:SF24', NULL, NULL, NULL, NULL, 'BNAA08G04230D PROTEIN', 138802),
(195077, 'PTHR24006:SF825', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 138803),
(195078, 'PTHR28562:SF3', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 9', 138804),
(195079, 'PTHR31352:SF33', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', 138805),
(195080, 'PTHR36059:SF3', NULL, NULL, NULL, NULL, 'BNAA03G49900D PROTEIN', 138806),
(195081, 'PTHR47965:SF36', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE PCS1-LIKE', 138807),
(195082, 'PTHR34319:SF7', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 138808),
(195083, 'PTHR10903:SF107', NULL, NULL, NULL, NULL, 'ZGC:113442-RELATED', 138809),
(195084, 'PTHR43613:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 138810),
(195085, 'PTHR16515:SF20', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 12', 138811),
(195086, 'PTHR33193:SF35', NULL, NULL, NULL, NULL, 'BNAA09G39990D PROTEIN', 138812),
(195087, 'PTHR46061:SF5', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE RECEPTOR 2', 138813),
(195088, 'PTHR11017:SF429', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 138814),
(195089, 'PTHR34060:SF2', NULL, NULL, NULL, NULL, 'OS03G0837900 PROTEIN', 138815),
(195090, 'PTHR10896:SF25', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS03G0287800-RELATED', 138816),
(195091, 'PTHR36483:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138817),
(195092, 'PTHR31989:SF331', NULL, NULL, NULL, NULL, 'BNAA09G51460D PROTEIN', 138818),
(195093, 'PTHR47926:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138819),
(195094, 'PTHR12370:SF22', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE PROTEIN D', 138820),
(195095, 'PTHR32071:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RTCR', 138821),
(195096, 'PTHR44329:SF63', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 11-LIKE', 138822),
(195097, 'PTHR10332:SF70', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 3-LIKE ISOFORM X1', 138823),
(195098, 'PTHR34045:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138824),
(195099, 'PTHR43823', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN YKVU', 138825),
(195100, 'PTHR35687:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138826),
(195101, 'PTHR16133:SF0', NULL, NULL, NULL, NULL, 'ZINC/IRON REGULATED TRANSPORTER-RELATED PROTEIN 102B, ISOFORM E', 138827),
(195102, 'PTHR46141:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBR-NCA-1', 138828),
(195103, 'PTHR42944', NULL, NULL, NULL, NULL, 'ADENINE DNA GLYCOSYLASE', 138829),
(195104, 'PTHR10648:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 1', 138830),
(195105, 'PTHR21223:SF5', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 92 MEMBER A', 138831),
(195106, 'PTHR46140', NULL, NULL, NULL, NULL, 'VACUOLAR TRANSPORTER CHAPERONE 1-RELATED', 138832),
(195107, 'PTHR11902:SF42', NULL, NULL, NULL, NULL, 'ENOLASE 1, CHLOROPLASTIC', 138833),
(195108, 'PTHR34971:SF5', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN Z', 138834);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(195109, 'PTHR35981:SF2', NULL, NULL, NULL, NULL, 'ION TRANSPORT PEPTIDE, ISOFORM C', 138835),
(195110, 'PTHR23076:SF119', NULL, NULL, NULL, NULL, 'BNAA04G15330D PROTEIN', 138836),
(195111, 'PTHR31314:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138837),
(195112, 'PTHR22950:SF617', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 138838),
(195113, 'PTHR42886', NULL, NULL, NULL, NULL, 'RE40534P-RELATED', 138839),
(195114, 'PTHR47986:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0070M12.3 PROTEIN', 138840),
(195115, 'PTHR24390:SF132', NULL, NULL, NULL, NULL, 'LD18191P', 138841),
(195116, 'PTHR39651', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RESOLVASE HJC', 138842),
(195117, 'PTHR46855:SF3', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 26', 138843),
(195118, 'PTHR47928:SF167', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 138844),
(195119, 'PTHR45838', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE-N-METHYLTRANSFERASE 2 KMT2 FAMILY MEMBER', 138845),
(195120, 'PTHR45743:SF27', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KAT3', 138846),
(195121, 'PTHR23257:SF858', NULL, NULL, NULL, NULL, 'KINASE SUPERFAMILY WITH OCTICOSAPEPTIDE/PHOX/BEM1P DOMAIN-CONTAINING PROTEIN', 138847),
(195122, 'PTHR32089:SF88', NULL, NULL, NULL, NULL, 'CHEMOTACTIC TRANSDUCER FOR TRICHLOROETHYLENE [POSITIVE CHEMOTAXIS], CTTP', 138848),
(195123, 'PTHR34353:SF2', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDONUCLEASE CAS1 1', 138849),
(195124, 'PTHR11475:SF129', NULL, NULL, NULL, NULL, 'DUAL OXIDASE-LIKE PROTEIN', 138850),
(195125, 'PTHR34459:SF4', NULL, NULL, NULL, NULL, 'BNAC09G54200D PROTEIN', 138851),
(195126, 'PTHR23421:SF127', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 138852),
(195127, 'PTHR22942:SF39', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG 1', 138853),
(195128, 'PTHR27004:SF388', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 138854),
(195129, 'PTHR12329:SF12', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 3', 138855),
(195130, 'PTHR30602', NULL, NULL, NULL, NULL, 'AMINO-ACID ACETYLTRANSFERASE', 138856),
(195131, 'PTHR10286:SF47', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE', 138857),
(195132, 'PTHR46060:SF1', NULL, NULL, NULL, NULL, 'MARINER MOS1 TRANSPOSASE-LIKE PROTEIN', 138858),
(195133, 'PTHR18966:SF468', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 138859),
(195134, 'PTHR11730:SF48', NULL, NULL, NULL, NULL, 'RH50-LIKE PROTEIN', 138860),
(195135, 'PTHR13904:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138861),
(195136, 'PTHR43044:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138862),
(195137, 'PTHR33163:SF13', NULL, NULL, NULL, NULL, 'PROTEIN TIC 214-RELATED', 138863),
(195138, 'PTHR11062:SF238', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138864),
(195139, 'PTHR11792', NULL, NULL, NULL, NULL, 'ARRESTIN', 138865),
(195140, 'PTHR34675:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TRIGALACTOSYLDIACYLGLYCEROL 2, CHLOROPLASTIC', 138866),
(195141, 'PTHR47990:SF34', NULL, NULL, NULL, NULL, 'IRON/ASCORBATE OXIDOREDUCTASE DDB_G0283291-RELATED', 138867),
(195142, 'PTHR13720:SF52', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE 6', 138868),
(195143, 'PTHR13301:SF148', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE H1-LIKE PROTEIN', 138869),
(195144, 'PTHR43037:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 138870),
(195145, 'PTHR13690:SF130', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', 138871),
(195146, 'PTHR24034:SF140', NULL, NULL, NULL, NULL, 'LATENT-TRANSFORMING GROWTH FACTOR BETA-BINDING PROTEIN 1', 138872),
(195147, 'PTHR47009', NULL, NULL, NULL, NULL, 'HEPATITIS A VIRUS CELLULAR RECEPTOR 1 HOMOLOG', 138873),
(195148, 'PTHR43406:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138874),
(195149, 'PTHR31137:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PSIC', 138875),
(195150, 'PTHR12606:SF16', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 3', 138876),
(195151, 'PTHR47374:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138877);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(195152, 'PTHR34779:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138878),
(195153, 'PTHR46089:SF2', NULL, NULL, NULL, NULL, 'ALSIN HOMOLOG', 138879),
(195154, 'PTHR11920:SF488', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', 138880),
(195155, 'PTHR45805:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR ROR-ALPHA', 138881),
(195156, 'PTHR38597:SF1', NULL, NULL, NULL, NULL, 'BLL3834 PROTEIN', 138882),
(195157, 'PTHR45963', NULL, NULL, NULL, NULL, 'RE52028P', 138883),
(195158, 'PTHR22951:SF97', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN', 138884),
(195159, 'PTHR31696:SF68', NULL, NULL, NULL, NULL, 'BNAC03G76390D PROTEIN', 138885),
(195160, 'PTHR13809:SF6', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-10', 138886),
(195161, 'PTHR33133:SF38', NULL, NULL, NULL, NULL, 'BNAANNG31730D PROTEIN', 138887),
(195162, 'PTHR35311', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN KNL-2 HOMOLOG', 138888),
(195163, 'PTHR35115:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138889),
(195164, 'PTHR38435:SF1', NULL, NULL, NULL, NULL, 'OUTER SURFACE PROTEIN', 138890),
(195165, 'PTHR11803:SF34', NULL, NULL, NULL, NULL, 'BLL5130 PROTEIN', 138891),
(195166, 'PTHR24062:SF7', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 138892),
(195167, 'PTHR11548:SF11', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DIHYDROFOLATE REDUCTASE-THYMIDYLATE SYNTHASE 2', 138893),
(195168, 'PTHR31731:SF87', NULL, NULL, NULL, NULL, 'BNAA08G24920D PROTEIN', 138894),
(195169, 'PTHR45675:SF62', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JAMYB', 138895),
(195170, 'PTHR31985:SF121', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF024', 138896),
(195171, 'PTHR42861:SF99', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 138897),
(195172, 'PTHR24381:SF62', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 25', 138898),
(195173, 'PTHR32295:SF122', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 15', 138899),
(195174, 'PTHR24223:SF386', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 14-LIKE', 138900),
(195175, 'PTHR11654:SF181', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.8', 138901),
(195176, 'PTHR24390:SF116', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL ZINC FINGER 1A-RELATED', 138902),
(195177, 'PTHR33295:SF7', NULL, NULL, NULL, NULL, 'ATPASE', 138903),
(195178, 'PTHR27008:SF441', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138904),
(195179, 'PTHR31156:SF14', NULL, NULL, NULL, NULL, 'SPEEDY/RINGO CELL CYCLE REGULATOR FAMILY, MEMBER E4C', 138905),
(195180, 'PTHR31726', NULL, NULL, NULL, NULL, 'PROTEIN ICE2', 138906),
(195181, 'PTHR27009:SF12', NULL, NULL, NULL, NULL, 'OS06G0241100 PROTEIN', 138907),
(195182, 'PTHR31403:SF43', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IGAMMA1, CHLOROPLASTIC', 138908),
(195183, 'PTHR11691:SF36', NULL, NULL, NULL, NULL, 'INTERFERON-ALPHAOMEGA', 138909),
(195184, 'PTHR23280:SF18', NULL, NULL, NULL, NULL, 'BAND 4.1-LIKE PROTEIN 4B', 138910),
(195185, 'PTHR24221:SF478', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138911),
(195186, 'PTHR47824:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138912),
(195187, 'PTHR18966:SF515', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 138913),
(195188, 'PTHR35275:SF8', NULL, NULL, NULL, NULL, 'BNAC04G18610D PROTEIN', 138914),
(195189, 'PTHR46083:SF5', NULL, NULL, NULL, NULL, 'STARCH SYNTHASE 3, CHLOROPLASTIC/AMYLOPLASTIC', 138915),
(195190, 'PTHR13832:SF351', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 46-RELATED', 138916),
(195191, 'PTHR31649:SF1', NULL, NULL, NULL, NULL, 'AGAP009604-PA', 138917),
(195192, 'PTHR36326:SF10', NULL, NULL, NULL, NULL, 'PROTEIN POLLENLESS 3', 138918),
(195193, 'PTHR42887', NULL, NULL, NULL, NULL, 'OS12G0638800 PROTEIN', 138919),
(195194, 'PTHR48041:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138920),
(195195, 'PTHR34558', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 138921),
(195196, 'PTHR47928:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138922),
(195197, 'PTHR18853:SF10', NULL, NULL, NULL, NULL, 'FHA DOMAIN-CONTAINING PROTEIN', 138923);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(195198, 'PTHR31009:SF105', NULL, NULL, NULL, NULL, 'BNAA09G04020D PROTEIN', 138924),
(195199, 'PTHR31790:SF331', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138925),
(195200, 'PTHR34709:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138926),
(195201, 'PTHR32116:SF66', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 5-RELATED', 138927),
(195202, 'PTHR33164:SF45', NULL, NULL, NULL, NULL, 'POSSIBLE MARR-TRANSCRIPTIONAL REGULATOR', 138928),
(195203, 'PTHR14145', NULL, NULL, NULL, NULL, '26S PROTESOME SUBUNIT 6', 138929),
(195204, 'PTHR45856:SF11', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 138930),
(195205, 'PTHR22891:SF137', NULL, NULL, NULL, NULL, 'ARGONAUTE18B', 138931),
(195206, 'PTHR33872:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138932),
(195207, 'PTHR11011:SF98', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 138933),
(195208, 'PTHR24072:SF13', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOQ', 138934),
(195209, 'PTHR48053:SF28', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 138935),
(195210, 'PTHR13123:SF6', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 32', 138936),
(195211, 'PTHR34192:SF10', NULL, NULL, NULL, NULL, 'PLASTOCYANIN MAJOR ISOFORM, CHLOROPLASTIC-RELATED', 138937),
(195212, 'PTHR10342', NULL, NULL, NULL, NULL, 'ARYLSULFATASE', 138938),
(195213, 'PTHR43806:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138939),
(195214, 'PTHR12233', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING 26 RELATED', 138940),
(195215, 'PTHR24064:SF316', NULL, NULL, NULL, NULL, 'ORGANIC CATION TRANSPORTER PROTEIN-LIKE PROTEIN', 138941),
(195216, 'PTHR46368:SF14', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE FAMILY, NAD-BINDING ROSSMANN FOLD PROTEIN', 138942),
(195217, 'PTHR47431:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 138943),
(195218, 'PTHR12200:SF25', NULL, NULL, NULL, NULL, 'MYELOID CELL NUCLEAR DIFFERENTIATION ANTIGEN', 138944),
(195219, 'PTHR46252:SF2', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR C DOMAIN-CONTAINING PROTEIN 2-LIKE', 138945),
(195220, 'PTHR31088:SF12', NULL, NULL, NULL, NULL, 'PHAGE SHOCK PROTEIN A, PSPA', 138946),
(195221, 'PTHR46483:SF6', NULL, NULL, NULL, NULL, 'BNAA08G27200D PROTEIN', 138947),
(195222, 'PTHR43570:SF29', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE TYPE III, ISOFORM Q', 138948),
(195223, 'PTHR12638:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MAGO NASHI HOMOLOG 2', 138949),
(195224, 'PTHR10098', NULL, NULL, NULL, NULL, 'RAPSYN-RELATED', 138950),
(195225, 'PTHR28577', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN P', 138951),
(195226, 'PTHR32153:SF61', NULL, NULL, NULL, NULL, 'BNAA07G39150D PROTEIN', 138952),
(195227, 'PTHR31165:SF41', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 4', 138953),
(195228, 'PTHR24089:SF690', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER ADNT1', 138954),
(195229, 'PTHR11256:SF48', NULL, NULL, NULL, NULL, 'BCL-2-RELATED OVARIAN KILLER PROTEIN', 138955),
(195230, 'PTHR31279:SF11', NULL, NULL, NULL, NULL, 'OS02G0756600 PROTEIN', 138956),
(195231, 'PTHR11771:SF91', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 138957),
(195232, 'PTHR30446:SF0', NULL, NULL, NULL, NULL, 'RECOMBINATION PROTEIN RECR', 138958),
(195233, 'PTHR19957:SF212', NULL, NULL, NULL, NULL, 'T-SNARE DOMAIN-CONTAINING PROTEIN 1', 138959),
(195234, 'PTHR30193:SF39', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT PROTEIN-RELATED', 138960),
(195235, 'PTHR32217:SF3', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX, LOCUS G2-RELATED', 138961),
(195236, 'PTHR27007:SF141', NULL, NULL, NULL, NULL, 'OS03G0823000 PROTEIN', 138962),
(195237, 'PTHR34366:SF2', NULL, NULL, NULL, NULL, 'OS07G0289901 PROTEIN', 138963),
(195238, 'PTHR23411:SF23', NULL, NULL, NULL, NULL, 'IG ALPHA CHAIN C REGION', 138964),
(195239, 'PTHR44169:SF12', NULL, NULL, NULL, NULL, 'BNAC02G00550D PROTEIN', 138965),
(195240, 'PTHR47436:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATXR2', 138966);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(195241, 'PTHR10896:SF17', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX14H-RELATED', 138967),
(195242, 'PTHR15240:SF5', NULL, NULL, NULL, NULL, 'CAVEOLAE-ASSOCIATED PROTEIN 2A', 138968),
(195243, 'PTHR32247:SF4', NULL, NULL, NULL, NULL, 'DIABLO, IAP-BINDING MITOCHONDRIAL PROTEIN A-RELATED', 138969),
(195244, 'PTHR23147:SF146', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS31-RELATED', 138970),
(195245, 'PTHR48013:SF11', NULL, NULL, NULL, NULL, 'LICORNE', 138971),
(195246, 'PTHR22804:SF10', NULL, NULL, NULL, NULL, 'HYALURONAN AND PROTEOGLYCAN LINK PROTEIN 1', 138972),
(195247, 'PTHR10994:SF177', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 138973),
(195248, 'PTHR45733:SF17', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 12-RELATED', 138974),
(195249, 'PTHR24073:SF382', NULL, NULL, NULL, NULL, 'RABX6, ISOFORM B', 138975),
(195250, 'PTHR24269:SF17', NULL, NULL, NULL, NULL, 'WSC DOMAIN CONTAINING 2', 138976),
(195251, 'PTHR19944', NULL, NULL, NULL, NULL, 'MHC CLASS II-RELATED', 138977),
(195252, 'PTHR23050:SF394', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 11', 138978),
(195253, 'PTHR10094:SF27', NULL, NULL, NULL, NULL, 'OS02G0765800 PROTEIN', 138979),
(195254, 'PTHR10678:SF2', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 11', 138980),
(195255, 'PTHR44668:SF4', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7C-A', 138981),
(195256, 'PTHR22793:SF6', NULL, NULL, NULL, NULL, 'MYOCARDIN-RELATED TRANSCRIPTION FACTOR A', 138982),
(195257, 'PTHR31150:SF23', NULL, NULL, NULL, NULL, 'MANDELONITRILE LYASE-RELATED', 138983),
(195258, 'PTHR10593:SF163', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN-RELATED', 138984),
(195259, 'PTHR11588:SF293', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN-RELATED', 138985),
(195260, 'PTHR44329:SF8', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE SHKA', 138986),
(195261, 'PTHR46163:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG17743', 138987),
(195262, 'PTHR11566:SF204', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE PROTEIN B', 138988),
(195263, 'PTHR12096:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138989),
(195264, 'PTHR19229:SF204', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 5', 138990),
(195265, 'PTHR26451:SF886', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', 138991),
(195266, 'PTHR33065:SF10', NULL, NULL, NULL, NULL, 'OS08G0134900 PROTEIN', 138992),
(195267, 'PTHR19431:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L4', 138993),
(195268, 'PTHR13513', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR7', 138994),
(195269, 'PTHR46458:SF5', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', 138995),
(195270, 'PTHR35730:SF4', NULL, NULL, NULL, NULL, 'BNAA02G23760D PROTEIN', 138996),
(195271, 'PTHR23502:SF23', NULL, NULL, NULL, NULL, 'FLUCONAZOLE RESISTANCE PROTEIN 1', 138997),
(195272, 'PTHR43601:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 138998),
(195273, 'PTHR30603:SF45', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGF, CHLOROPLASTIC', 138999),
(195274, 'PTHR30558:SF7', NULL, NULL, NULL, NULL, 'TOL-PAL SYSTEM PROTEIN TOLR', 139000),
(195275, 'PTHR19845:SF20', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1 HOMOLOG', 139001),
(195276, 'PTHR44592:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139002),
(195277, 'PTHR14187:SF5', NULL, NULL, NULL, NULL, 'HSP70 FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_4G14040)', 139003),
(195278, 'PTHR33222:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CURVATURE THYLAKOID 1D, CHLOROPLASTIC', 139004),
(195279, 'PTHR10024:SF249', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-8', 139005),
(195280, 'PTHR23115:SF260', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', 139006),
(195281, 'PTHR31901:SF82', NULL, NULL, NULL, NULL, 'BNAA09G15010D PROTEIN', 139007),
(195282, 'PTHR26453:SF120', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 700', 139008),
(195283, 'PTHR23084:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139009),
(195284, 'PTHR23023:SF265', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 139010);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(195285, 'PTHR23095', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN', 139011),
(195286, 'PTHR10569', NULL, NULL, NULL, NULL, 'GLYCOGEN DEBRANCHING ENZYME', 139012),
(195287, 'PTHR35501:SF5', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', 139013),
(195288, 'PTHR31596:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139014),
(195289, 'PTHR23339:SF100', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE TYPE IVA 3', 139015),
(195290, 'PTHR30483:SF40', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE', 139016),
(195291, 'PTHR23050:SF227', NULL, NULL, NULL, NULL, 'PARALYSED ARREST AT TWO-FOLD', 139017),
(195292, 'PTHR12241:SF91', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL13P', 139018),
(195293, 'PTHR24100:SF127', NULL, NULL, NULL, NULL, 'GENE, 36028-RELATED', 139019),
(195294, 'PTHR45631:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139020),
(195295, 'PTHR31080:SF162', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', 139021),
(195296, 'PTHR33975:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139022),
(195297, 'PTHR24418:SF427', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 139023),
(195298, 'PTHR10266:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME C1-1, HEME PROTEIN, MITOCHONDRIAL', 139024),
(195299, 'PTHR33648:SF31', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 139025),
(195300, 'PTHR10803:SF0', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 139026),
(195301, 'PTHR47274:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139027),
(195302, 'PTHR14379:SF44', NULL, NULL, NULL, NULL, 'BNAA02G26530D PROTEIN', 139028),
(195303, 'PTHR13723:SF284', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139029),
(195304, 'PTHR23024:SF211', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 11-RELATED', 139030),
(195305, 'PTHR12620:SF44', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF SMALL SUBUNIT B', 139031),
(195306, 'PTHR10357:SF177', NULL, NULL, NULL, NULL, 'FI17312P1-RELATED', 139032),
(195307, 'PTHR13526:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139033),
(195308, 'PTHR43240:SF15', NULL, NULL, NULL, NULL, 'OS03G0691400 PROTEIN', 139034),
(195309, 'PTHR31549:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139035),
(195310, 'PTHR15489:SF2', NULL, NULL, NULL, NULL, 'CASP8-ASSOCIATED PROTEIN 2', 139036),
(195311, 'PTHR31213:SF119', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL4', 139037),
(195312, 'PTHR21386', NULL, NULL, NULL, NULL, 'INSCUTEABLE', 139038),
(195313, 'PTHR10972:SF146', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN', 139039),
(195314, 'PTHR34940:SF6', NULL, NULL, NULL, NULL, 'BNAANNG17550D PROTEIN', 139040),
(195315, 'PTHR32325:SF4', NULL, NULL, NULL, NULL, 'BETA-ELIMINATING LYASE-LIKE PROTEIN-RELATED', 139041),
(195316, 'PTHR24348:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139042),
(195317, 'PTHR31541:SF51', NULL, NULL, NULL, NULL, 'BNAA10G03610D PROTEIN', 139043),
(195318, 'PTHR31790:SF292', NULL, NULL, NULL, NULL, 'BNAA09G28070D PROTEIN', 139044),
(195319, 'PTHR35993:SF1', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 21B, CHLOROPLASTIC', 139045),
(195320, 'PTHR13008:SF7', NULL, NULL, NULL, NULL, 'MAP KINASE-ACTIVATING DEATH DOMAIN PROTEIN', 139046),
(195321, 'PTHR14066', NULL, NULL, NULL, NULL, 'ATRIAL NATRIURETIC FACTOR PRECURSOR', 139047),
(195322, 'PTHR47434:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PTST HOMOLOG 3, CHLOROPLASTIC', 139048),
(195323, 'PTHR45615:SF27', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN, MUSCLE', 139049),
(195324, 'PTHR11260:SF529', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE32', 139050),
(195325, 'PTHR13037:SF16', NULL, NULL, NULL, NULL, 'FORMIN-2', 139051),
(195326, 'PTHR24103:SF647', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 34B-RELATED', 139052),
(195327, 'PTHR35764:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139053),
(195328, 'PTHR43795:SF55', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASES SUPERFAMILY PROTEIN ISOFORM 1', 139054);
INSERT INTO "PUBLIC"."MODEL" VALUES
(195329, 'PTHR43539:SF77', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA10-RELATED', 139055),
(195330, 'PTHR23220:SF78', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-4', 139056),
(195331, 'PTHR11566:SF189', NULL, NULL, NULL, NULL, 'DYNAMIN 1E-LIKE PROTEIN', 139057),
(195332, 'PTHR16983:SF24', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX, LOCUS G6G', 139058),
(195333, 'PTHR24235:SF25', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR TYPE 4-RELATED', 139059),
(195334, 'PTHR13580:SF10', NULL, NULL, NULL, NULL, 'CYSTEINE/SERINE-RICH NUCLEAR PROTEIN 1', 139060),
(195335, 'PTHR11802', NULL, NULL, NULL, NULL, 'SERINE PROTEASE FAMILY S10 SERINE CARBOXYPEPTIDASE', 139061),
(195336, 'PTHR31218:SF164', NULL, NULL, NULL, NULL, 'OS01G0768300 PROTEIN', 139062),
(195337, 'PTHR16208:SF4', NULL, NULL, NULL, NULL, 'SYNTABULIN', 139063),
(195338, 'PTHR10766:SF149', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 139064),
(195339, 'PTHR34458:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139065),
(195340, 'PTHR45839:SF24', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 6', 139066),
(195341, 'PTHR11654:SF545', NULL, NULL, NULL, NULL, 'BNAANNG11510D PROTEIN', 139067),
(195342, 'PTHR33517:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM170B', 139068),
(195343, 'PTHR13140:SF356', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-VB', 139069),
(195344, 'PTHR10666:SF343', NULL, NULL, NULL, NULL, 'UBIQUITIN-60S RIBOSOMAL PROTEIN L40', 139070),
(195345, 'PTHR31896:SF50', NULL, NULL, NULL, NULL, 'ANTHOCYANIN 5-AROMATIC ACYLTRANSFERASE', 139071),
(195346, 'PTHR31752:SF58', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', 139072),
(195347, 'PTHR31471:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139073),
(195348, 'PTHR33156:SF52', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 6, CHLOROPLASTIC/MITOCHONDRIAL-LIKE', 139074),
(195349, 'PTHR15344:SF3', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN 3', 139075),
(195350, 'PTHR24302:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 3A25-RELATED', 139076),
(195351, 'PTHR45721:SF12', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFA-1', 139077),
(195352, 'PTHR47992:SF44', NULL, NULL, NULL, NULL, 'TGF-BETA-ACTIVATED KINASE 1 AND MAP3K7-BINDING PROTEIN 1', 139078),
(195353, 'PTHR42776:SF19', NULL, NULL, NULL, NULL, 'GLUTAMYL ENDOPEPTIDASE, CHLOROPLASTIC-RELATED', 139079),
(195354, 'PTHR10334:SF396', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN 2', 139080),
(195355, 'PTHR12377:SF8', NULL, NULL, NULL, NULL, 'PROTEIN AE7-LIKE', 139081),
(195356, 'PTHR12549:SF6', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING HISTONE DEMETHYLATION PROTEIN 2C-RELATED', 139082),
(195357, 'PTHR38503:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 1', 139083),
(195358, 'PTHR23119:SF46', NULL, NULL, NULL, NULL, 'ERBB2-INTERACTING PROTEIN', 139084),
(195359, 'PTHR38593:SF1', NULL, NULL, NULL, NULL, 'BLR2558 PROTEIN', 139085),
(195360, 'PTHR44329:SF176', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE ISOFORM X1', 139086),
(195361, 'PTHR24282:SF133', NULL, NULL, NULL, NULL, 'CYTOCHROME', 139087),
(195362, 'PTHR16024:SF10', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', 139088),
(195363, 'PTHR23351:SF11', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER TRANSCRIPTIONAL FACTOR ATF-LIKE 2', 139089),
(195364, 'PTHR11599:SF162', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 139090),
(195365, 'PTHR24064:SF237', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-13-RELATED', 139091),
(195366, 'PTHR11615:SF224', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1D1', 139092),
(195367, 'PTHR33830:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139093),
(195368, 'PTHR18929:SF215', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 5-2-LIKE', 139094),
(195369, 'PTHR33063', NULL, NULL, NULL, NULL, 'OS02G0583500 PROTEIN', 139095),
(195370, 'PTHR31375:SF109', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07520)-RELATED', 139096),
(195371, 'PTHR43329:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139097);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(195372, 'PTHR36381:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 139098),
(195373, 'PTHR46079', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 4', 139099),
(195374, 'PTHR48027:SF14', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 5, MITOCHONDRIAL', 139100),
(195375, 'PTHR33627', NULL, NULL, NULL, NULL, 'TRANSPOSASE', 139101),
(195376, 'PTHR12111:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 130', 139102),
(195377, 'PTHR10073:SF12', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MLH1', 139103),
(195378, 'PTHR46983:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH DOMAIN-CONTAINING PROTEIN 1', 139104),
(195379, 'PTHR46487:SF2', NULL, NULL, NULL, NULL, 'BNAC03G12950D PROTEIN', 139105),
(195380, 'PTHR10026:SF131', NULL, NULL, NULL, NULL, 'CYCLIN-T', 139106),
(195381, 'PTHR13865:SF28', NULL, NULL, NULL, NULL, 'POLYCHAETOID, ISOFORM O', 139107),
(195382, 'PTHR22937:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139108),
(195383, 'PTHR10704:SF66', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 139109),
(195384, 'PTHR10266:SF11', NULL, NULL, NULL, NULL, 'OS05G0301700 PROTEIN', 139110),
(195385, 'PTHR31175:SF56', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR65', 139111),
(195386, 'PTHR11467:SF130', NULL, NULL, NULL, NULL, 'HISTONE H1', 139112),
(195387, 'PTHR11566:SF67', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE 120 KDA PROTEIN, MITOCHONDRIAL', 139113),
(195388, 'PTHR33504', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE (UBIQUINONE) 1 BETA SUBCOMPLEX, 4', 139114),
(195389, 'PTHR31702:SF2', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 33', 139115),
(195390, 'PTHR47958:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139116),
(195391, 'PTHR22893:SF118', NULL, NULL, NULL, NULL, 'BNAC09G41020D PROTEIN', 139117),
(195392, 'PTHR32093:SF107', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE', 139118),
(195393, 'PTHR46179:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IIIA', 139119),
(195394, 'PTHR16134:SF90', NULL, NULL, NULL, NULL, 'OS08G0194350 PROTEIN', 139120),
(195395, 'PTHR47926:SF133', NULL, NULL, NULL, NULL, 'BNAC04G52830D PROTEIN', 139121),
(195396, 'PTHR31236:SF26', NULL, NULL, NULL, NULL, 'BURP DOMAIN PROTEIN RD22-LIKE', 139122),
(195397, 'PTHR45701:SF12', NULL, NULL, NULL, NULL, 'SI:CH73-234B20.5', 139123),
(195398, 'PTHR22878:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139124),
(195399, 'PTHR46235:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139125),
(195400, 'PTHR33399:SF9', NULL, NULL, NULL, NULL, 'OS02G0631100 PROTEIN', 139126),
(195401, 'PTHR32278:SF29', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A1', 139127),
(195402, 'PTHR24408:SF45', NULL, NULL, NULL, NULL, 'ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN 30', 139128),
(195403, 'PTHR26379', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 1', 139129),
(195404, 'PTHR12801', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE REXO1 / RECO3 FAMILY MEMBER-RELATED', 139130),
(195405, 'PTHR34023:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139131),
(195406, 'PTHR31683:SF126', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 139132),
(195407, 'PTHR22950:SF571', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', 139133),
(195408, 'PTHR31375:SF225', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 139134),
(195409, 'PTHR31116:SF22', NULL, NULL, NULL, NULL, 'BNAA09G56480D PROTEIN', 139135),
(195410, 'PTHR11977:SF103', NULL, NULL, NULL, NULL, 'VILLIN-5', 139136),
(195411, 'PTHR31989:SF278', NULL, NULL, NULL, NULL, 'BNAC03G60970D PROTEIN', 139137),
(195412, 'PTHR47375:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK (WITH NO LYSINE)-RELATED PROTEIN-RELATED', 139138),
(195413, 'PTHR10663:SF351', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139139),
(195414, 'PTHR31105:SF24', NULL, NULL, NULL, NULL, 'OS07G0680600 PROTEIN', 139140),
(195415, 'PTHR11260:SF686', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 139141),
(195416, 'PTHR12947:SF15', NULL, NULL, NULL, NULL, 'BNAA08G03020D PROTEIN', 139142);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(195417, 'PTHR31378:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139143),
(195418, 'PTHR24031:SF736', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-1', 139144),
(195419, 'PTHR22953:SF15', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 13', 139145),
(195420, 'PTHR32444:SF118', NULL, NULL, NULL, NULL, 'OS01G0783900 PROTEIN', 139146),
(195421, 'PTHR31210:SF58', NULL, NULL, NULL, NULL, 'BNAC05G08550D PROTEIN', 139147),
(195422, 'PTHR36373:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139148),
(195423, 'PTHR23318:SF24', NULL, NULL, NULL, NULL, 'BINDING PROTEIN-RELATED', 139149),
(195424, 'PTHR16119:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG12710', 139150),
(195425, 'PTHR47723', NULL, NULL, NULL, NULL, 'OS05G0353850 PROTEIN', 139151),
(195426, 'PTHR23257:SF846', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', 139152),
(195427, 'PTHR23266:SF228', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-4-RELATED', 139153),
(195428, 'PTHR24379:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 799', 139154),
(195429, 'PTHR22898:SF2', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', 139155),
(195430, 'PTHR11178:SF40', NULL, NULL, NULL, NULL, 'NIFU-LIKE PROTEIN 2, CHLOROPLASTIC', 139156),
(195431, 'PTHR33974:SF6', NULL, NULL, NULL, NULL, 'VASCULAR-RELATED UNKNOWN PROTEIN 2', 139157),
(195432, 'PTHR33147:SF103', NULL, NULL, NULL, NULL, 'GAMMA-THIONINS FAMILY PROTEIN', 139158),
(195433, 'PTHR31490:SF72', NULL, NULL, NULL, NULL, 'BNAA08G11430D PROTEIN', 139159),
(195434, 'PTHR31221:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139160),
(195435, 'PTHR24248:SF169', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 4', 139161),
(195436, 'PTHR31388:SF211', NULL, NULL, NULL, NULL, 'PEROXIDASE', 139162),
(195437, 'PTHR18966:SF422', NULL, NULL, NULL, NULL, 'EYE-ENRICHED KAINATE RECEPTOR, ISOFORM B-RELATED', 139163),
(195438, 'PTHR31282:SF115', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 139164),
(195439, 'PTHR11465:SF48', NULL, NULL, NULL, NULL, 'CATALASE ISOZYME C', 139165),
(195440, 'PTHR48002:SF112', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4Q3', 139166),
(195441, 'PTHR12121:SF88', NULL, NULL, NULL, NULL, 'BNAC08G09040D PROTEIN', 139167),
(195442, 'PTHR11214:SF23', NULL, NULL, NULL, NULL, 'N-ACETYLLACTOSAMINIDE BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE 3', 139168),
(195443, 'PTHR46128:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139169),
(195444, 'PTHR35704:SF6', NULL, NULL, NULL, NULL, 'OS06G0529900 PROTEIN', 139170),
(195445, 'PTHR23195:SF7', NULL, NULL, NULL, NULL, 'YEATS DOMAIN-CONTAINING PROTEIN 2', 139171),
(195446, 'PTHR31194:SF154', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF003-LIKE', 139172),
(195447, 'PTHR30477:SF3', NULL, NULL, NULL, NULL, 'METAL TRANSPORT SYSTEM MEMBRANE PROTEIN CT_069-RELATED', 139173),
(195448, 'PTHR24559:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139174),
(195449, 'PTHR31942:SF57', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 139175),
(195450, 'PTHR23155:SF1029', NULL, NULL, NULL, NULL, 'OS05G0492600 PROTEIN', 139176),
(195451, 'PTHR33246:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139177),
(195452, 'PTHR31429:SF68', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 42', 139178),
(195453, 'PTHR24248:SF62', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 56A1', 139179),
(195454, 'PTHR22571:SF24', NULL, NULL, NULL, NULL, 'FILAGGRIN-2', 139180),
(195455, 'PTHR31325:SF221', NULL, NULL, NULL, NULL, 'DUF594 FAMILY PROTEIN', 139181),
(195456, 'PTHR44663', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE B', 139182),
(195457, 'PTHR11461:SF315', NULL, NULL, NULL, NULL, 'SERPIN-Z2B-LIKE', 139183),
(195458, 'PTHR11442:SF91', NULL, NULL, NULL, NULL, 'EMBRYONIC ALPHA GLOBIN E1-RELATED', 139184),
(195459, 'PTHR10218:SF331', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN (G PROTEIN), ALPHA-ACTIVATING ACTIVITY POLYPEPTIDE O, B', 139185),
(195460, 'PTHR38612:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DCT-5', 139186);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(195461, 'PTHR31750:SF18', NULL, NULL, NULL, NULL, 'PROTEIN STAY-GREEN LIKE, CHLOROPLASTIC', 139187),
(195462, 'PTHR30151:SF25', NULL, NULL, NULL, NULL, 'TAURINE TRANSPORT SYSTEM PERMEASE PROTEIN TAUC', 139188),
(195463, 'PTHR46636', NULL, NULL, NULL, NULL, 'CDK2-ASSOCIATED AND CULLIN DOMAIN-CONTAINING PROTEIN 1', 139189),
(195464, 'PTHR43525:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MALY', 139190),
(195465, 'PTHR24377:SF604', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 285', 139191),
(195466, 'PTHR43052:SF3', NULL, NULL, NULL, NULL, 'BNAA08G29550D PROTEIN', 139192),
(195467, 'PTHR27004:SF371', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 28', 139193),
(195468, 'PTHR11570:SF0', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', 139194),
(195469, 'PTHR35614:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139195),
(195470, 'PTHR47967:SF41', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN', 139196),
(195471, 'PTHR45864', NULL, NULL, NULL, NULL, 'SLINGSHOT PROTEIN PHOSPHATASE HOMOLOG', 139197),
(195472, 'PTHR11592:SF15', NULL, NULL, NULL, NULL, 'GPX6 PROTEIN-RELATED', 139198),
(195473, 'PTHR31790:SF89', NULL, NULL, NULL, NULL, 'BNAC03G69240D PROTEIN', 139199),
(195474, 'PTHR11306:SF7', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 139200),
(195475, 'PTHR24028:SF260', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-20', 139201),
(195476, 'PTHR33670:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139202),
(195477, 'PTHR19297', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 14 FAMILY MEMBER', 139203),
(195478, 'PTHR30502:SF9', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 139204),
(195479, 'PTHR11477:SF11', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G09000)-RELATED', 139205),
(195480, 'PTHR12048', NULL, NULL, NULL, NULL, 'CCAAT-BINDING FACTOR-RELATED', 139206),
(195481, 'PTHR14399:SF4', NULL, NULL, NULL, NULL, 'P53 APOPTOSIS EFFECTOR RELATED TO PMP-22', 139207),
(195482, 'PTHR31741:SF62', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', 139208),
(195483, 'PTHR45752:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139209),
(195484, 'PTHR45688:SF8', NULL, NULL, NULL, NULL, 'ALANINE--GLYOXYLATE AMINOTRANSFERASE 2 HOMOLOG 3, MITOCHONDRIAL-LIKE ISOFORM X1', 139210),
(195485, 'PTHR38102:SF1', NULL, NULL, NULL, NULL, 'PERIPLASMIC CHAPERONE SPY', 139211),
(195486, 'PTHR31867:SF183', NULL, NULL, NULL, NULL, 'EXPANSIN', 139212),
(195487, 'PTHR11907:SF21', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE 2, CHLOROPLASTIC', 139213),
(195488, 'PTHR24377:SF872', NULL, NULL, NULL, NULL, 'GROWTH FACTOR INDEPENDENT 1 TRANSCRIPTIONAL REPRESSOR', 139214),
(195489, 'PTHR34940:SF4', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 5 KDA PROTEIN, CHLOROPLASTIC', 139215),
(195490, 'PTHR24410:SF17', NULL, NULL, NULL, NULL, 'GH09976P', 139216),
(195491, 'PTHR43841:SF3', NULL, NULL, NULL, NULL, '(3R)-HYDROXYACYL-ACP DEHYDRATASE SUBUNIT HADB', 139217),
(195492, 'PTHR31194:SF108', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED GENES TRANSCRIPTIONAL ACTIVATOR PTI6-LIKE', 139218),
(195493, 'PTHR23280:SF8', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 3', 139219),
(195494, 'PTHR23050:SF398', NULL, NULL, NULL, NULL, 'CALTRACTIN-LIKE', 139220),
(195495, 'PTHR26453:SF110', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2G6', 139221),
(195496, 'PTHR31260:SF28', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', 139222),
(195497, 'PTHR28164:SF1', NULL, NULL, NULL, NULL, 'PROTEIN STB3', 139223),
(195498, 'PTHR11629:SF59', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A, GOLGI ISOFORM', 139224),
(195499, 'PTHR31262:SF0', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN 1, CHLOROPLASTIC', 139225),
(195500, 'PTHR10796:SF92', NULL, NULL, NULL, NULL, 'PATCHED-RELATED, ISOFORM A', 139226),
(195501, 'PTHR10106:SF45', NULL, NULL, NULL, NULL, 'CYTOCHROME B ASCORBATE-DEPENDENT PROTEIN 3', 139227),
(195502, 'PTHR31147:SF3', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 7', 139228);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(195503, 'PTHR11005:SF13', NULL, NULL, NULL, NULL, 'LIPASE', 139229),
(195504, 'PTHR48002:SF59', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4L1', 139230),
(195505, 'PTHR31190:SF310', NULL, NULL, NULL, NULL, 'BNACNNG27470D PROTEIN', 139231),
(195506, 'PTHR42803:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 139232),
(195507, 'PTHR33102:SF26', NULL, NULL, NULL, NULL, 'DVL FAMILY PROTEIN', 139233),
(195508, 'PTHR43192', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 139234),
(195509, 'PTHR30055:SF163', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, TETR FAMILY-RELATED', 139235),
(195510, 'PTHR31414:SF28', NULL, NULL, NULL, NULL, 'BNAA09G08220D PROTEIN', 139236),
(195511, 'PTHR47975:SF24', NULL, NULL, NULL, NULL, 'OSJNBA0028I23.12 PROTEIN', 139237),
(195512, 'PTHR23257:SF734', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0267514-RELATED', 139238),
(195513, 'PTHR42961', NULL, NULL, NULL, NULL, 'IRON-SULFUR PROTEIN NUBPL', 139239),
(195514, 'PTHR12354:SF20', NULL, NULL, NULL, NULL, 'BNAC03G58130D PROTEIN', 139240),
(195515, 'PTHR13690:SF129', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', 139241),
(195516, 'PTHR24023:SF988', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139242),
(195517, 'PTHR13780:SF56', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX5', 139243),
(195518, 'PTHR21705:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAM160A1', 139244),
(195519, 'PTHR43243:SF75', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE FAMILY PROTEIN, EXPRESSED', 139245),
(195520, 'PTHR23360:SF36', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 139246),
(195521, 'PTHR48001:SF18', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 139247),
(195522, 'PTHR23430:SF243', NULL, NULL, NULL, NULL, 'HISTONE H2A.3-RELATED', 139248),
(195523, 'PTHR45996:SF3', NULL, NULL, NULL, NULL, 'AGAP001464-PB', 139249),
(195524, 'PTHR45743:SF6', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KAT1', 139250),
(195525, 'PTHR31544:SF7', NULL, NULL, NULL, NULL, 'BNAA02G29540D PROTEIN', 139251),
(195526, 'PTHR14903:SF7', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN SIMILAR TO VERTEBRATE SCLEROSTIN DOMAIN CONTAINING 1 (SOSTDC1)', 139252),
(195527, 'PTHR13301:SF156', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D6-RELATED', 139253),
(195528, 'PTHR43490:SF62', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE', 139254),
(195529, 'PTHR43859:SF21', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 2-RELATED', 139255),
(195530, 'PTHR24394:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 7A', 139256),
(195531, 'PTHR42968:SF31', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE-BINDING PROTEIN 1 ISOFORM X1', 139257),
(195532, 'PTHR43591', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 139258),
(195533, 'PTHR45729', NULL, NULL, NULL, NULL, 'RABPHILIN, ISOFORM A', 139259),
(195534, 'PTHR31571:SF2', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE RTT109', 139260),
(195535, 'PTHR38618:SF1', NULL, NULL, NULL, NULL, 'MEIOSIS-TO-MITOSIS TRANSITION ASSOCIATED', 139261),
(195536, 'PTHR21470:SF17', NULL, NULL, NULL, NULL, 'BNAANNG07340D PROTEIN', 139262),
(195537, 'PTHR32099:SF65', NULL, NULL, NULL, NULL, 'OS03G0284650 PROTEIN', 139263),
(195538, 'PTHR12663:SF37', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PDS5-LIKE PROTEIN', 139264),
(195539, 'PTHR48189', NULL, NULL, NULL, NULL, 'BNAA10G07240D PROTEIN', 139265),
(195540, 'PTHR22298:SF142', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 139266),
(195541, 'PTHR47080', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 96', 139267),
(195542, 'PTHR32246:SF68', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-LIKE', 139268),
(195543, 'PTHR24204:SF6', NULL, NULL, NULL, NULL, 'LIM DOMAIN ONLY 2', 139269),
(195544, 'PTHR24036:SF13', NULL, NULL, NULL, NULL, 'PROTEIN SKELETOR, ISOFORMS D/E', 139270),
(195545, 'PTHR10513:SF20', NULL, NULL, NULL, NULL, 'DEOXYADENOSINE KINASE', 139271),
(195546, 'PTHR11132:SF292', NULL, NULL, NULL, NULL, 'OS05G0121900 PROTEIN', 139272),
(195547, 'PTHR31568:SF49', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', 139273);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(195548, 'PTHR10732:SF19', NULL, NULL, NULL, NULL, 'BNAA03G01450D PROTEIN', 139274),
(195549, 'PTHR37433', NULL, NULL, NULL, NULL, 'PROTEIN CBG25136-RELATED', 139275),
(195550, 'PTHR43900', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE RHO', 139276),
(195551, 'PTHR46949', NULL, NULL, NULL, NULL, 'LEUCINE REPEAT ADAPTER PROTEIN 25', 139277),
(195552, 'PTHR31388:SF115', NULL, NULL, NULL, NULL, 'PEROXIDASE 4-RELATED', 139278),
(195553, 'PTHR47640:SF23', NULL, NULL, NULL, NULL, 'OS04G0625800 PROTEIN', 139279),
(195554, 'PTHR14000', NULL, NULL, NULL, NULL, 'FINGER CCCH DOMAIN PROTEIN, PUTATIVE (DUF3755)-RELATED', 139280),
(195555, 'PTHR21576:SF89', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 139281),
(195556, 'PTHR32227:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139282),
(195557, 'PTHR47990:SF156', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 2', 139283),
(195558, 'PTHR22624:SF49', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE', 139284),
(195559, 'PTHR11241:SF0', NULL, NULL, NULL, NULL, 'DEOXYURIDINE TRIPHOSPHATASE', 139285),
(195560, 'PTHR11614:SF163', NULL, NULL, NULL, NULL, 'CAFFEOYLSHIKIMATE ESTERASE', 139286),
(195561, 'PTHR22599:SF22', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR 3B', 139287),
(195562, 'PTHR23101:SF98', NULL, NULL, NULL, NULL, 'VPS9 DOMAIN-CONTAINING PROTEIN 1', 139288),
(195563, 'PTHR48053:SF68', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', 139289),
(195564, 'PTHR31768:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139290),
(195565, 'PTHR12902:SF35', NULL, NULL, NULL, NULL, 'WH2 DOMAIN, SCAR/WAVE FAMILY PROTEIN-RELATED', 139291),
(195566, 'PTHR22950:SF193', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', 139292),
(195567, 'PTHR11206:SF283', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTK', 139293),
(195568, 'PTHR33065:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139294),
(195569, 'PTHR38116:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 139295),
(195570, 'PTHR24414:SF155', NULL, NULL, NULL, NULL, 'BNAA02G16540D PROTEIN', 139296),
(195571, 'PTHR31384:SF25', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 139297),
(195572, 'PTHR33625:SF7', NULL, NULL, NULL, NULL, 'OS02G0657700 PROTEIN', 139298),
(195573, 'PTHR10290:SF18', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE TYPE IB SMALL SUBUNIT', 139299),
(195574, 'PTHR31282:SF162', NULL, NULL, NULL, NULL, 'BNAA02G31030D PROTEIN', 139300),
(195575, 'PTHR13789:SF242', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139301),
(195576, 'PTHR31213:SF114', NULL, NULL, NULL, NULL, 'ALLERGEN PRU AV, PUTATIVE-RELATED', 139302),
(195577, 'PTHR31301:SF83', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 26-RELATED', 139303),
(195578, 'PTHR33184:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139304),
(195579, 'PTHR33477:SF11', NULL, NULL, NULL, NULL, 'BNAA10G13560D PROTEIN', 139305),
(195580, 'PTHR46038:SF38', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', 139306),
(195581, 'PTHR11193:SF3', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', 139307),
(195582, 'PTHR20859:SF20', NULL, NULL, NULL, NULL, 'INTERLEUKIN-22 RECEPTOR SUBUNIT ALPHA-1', 139308),
(195583, 'PTHR24356:SF149', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE LATS2', 139309),
(195584, 'PTHR16088:SF3', NULL, NULL, NULL, NULL, 'GON-4-LIKE PROTEIN', 139310),
(195585, 'PTHR10885:SF10', NULL, NULL, NULL, NULL, 'BNAC05G17500D PROTEIN', 139311),
(195586, 'PTHR32153:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139312),
(195587, 'PTHR11588:SF407', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 139313),
(195588, 'PTHR12603:SF19', NULL, NULL, NULL, NULL, 'BNAC06G30190D PROTEIN', 139314),
(195589, 'PTHR12499', NULL, NULL, NULL, NULL, 'OPTIC ATROPHY 3 PROTEIN  OPA3', 139315),
(195590, 'PTHR42893:SF33', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 139316),
(195591, 'PTHR10037:SF283', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN', 139317),
(195592, 'PTHR35773', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 139318);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(195593, 'PTHR34052:SF10', NULL, NULL, NULL, NULL, 'BNAA08G11630D PROTEIN', 139319),
(195594, 'PTHR10891:SF891', NULL, NULL, NULL, NULL, 'BNAA09G02460D PROTEIN', 139320),
(195595, 'PTHR33700:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139321),
(195596, 'PTHR11062:SF270', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 139322),
(195597, 'PTHR28164', NULL, NULL, NULL, NULL, 'PROTEIN STB3', 139323),
(195598, 'PTHR35088', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 178', 139324),
(195599, 'PTHR21145:SF10', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', 139325),
(195600, 'PTHR10562:SF64', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 1', 139326),
(195601, 'PTHR45855', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF1-RELATED', 139327),
(195602, 'PTHR46328:SF7', NULL, NULL, NULL, NULL, 'FAR-RED IMPAIRED RESPONSIVE (FAR1) FAMILY PROTEIN', 139328),
(195603, 'PTHR32133:SF308', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', 139329),
(195604, 'PTHR46549:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139330),
(195605, 'PTHR31549:SF160', NULL, NULL, NULL, NULL, 'OS02G0253502 PROTEIN', 139331),
(195606, 'PTHR33782:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139332),
(195607, 'PTHR31589:SF107', NULL, NULL, NULL, NULL, 'OS11G0132800 PROTEIN', 139333),
(195608, 'PTHR33348:SF22', NULL, NULL, NULL, NULL, 'BNAA04G20590D PROTEIN', 139334),
(195609, 'PTHR34294:SF5', NULL, NULL, NULL, NULL, 'CENTRAL GLYCOLYTIC GENES REGULATOR', 139335),
(195610, 'PTHR30346:SF0', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR XAPR', 139336),
(195611, 'PTHR11474:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139337),
(195612, 'PTHR33132:SF73', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN-LIKE PROTEIN', 139338),
(195613, 'PTHR30537:SF17', NULL, NULL, NULL, NULL, 'LYSR-FAMILY REGULATORY PROTEIN', 139339),
(195614, 'PTHR21676', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 139340),
(195615, 'PTHR43775:SF15', NULL, NULL, NULL, NULL, 'SI:DKEY-61P9.11', 139341),
(195616, 'PTHR32410:SF174', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 139342),
(195617, 'PTHR23101:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139343),
(195618, 'PTHR11857:SF47', NULL, NULL, NULL, NULL, 'GEO08423P1', 139344),
(195619, 'PTHR33459:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139345),
(195620, 'PTHR37919', NULL, NULL, NULL, NULL, 'PROTEIN CBG05606', 139346),
(195621, 'PTHR45724:SF27', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP2-1-RELATED', 139347),
(195622, 'PTHR35317:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', 139348),
(195623, 'PTHR48219:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 62-RELATED', 139349),
(195624, 'PTHR41155', NULL, NULL, NULL, NULL, 'FI19525P1', 139350),
(195625, 'PTHR45814:SF5', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 139351),
(195626, 'PTHR13355:SF20', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE', 139352),
(195627, 'PTHR46206:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE AUSG-RELATED', 139353),
(195628, 'PTHR31636:SF35', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 23', 139354),
(195629, 'PTHR33476:SF4', NULL, NULL, NULL, NULL, 'POLAR LOCALIZATION DURING ASYMMETRIC DIVISION AND PROTEIN', 139355),
(195630, 'PTHR23308', NULL, NULL, NULL, NULL, 'NUCLEAR INHIBITOR OF PROTEIN PHOSPHATASE-1', 139356),
(195631, 'PTHR35272', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBC-RELATED', 139357),
(195632, 'PTHR12121:SF78', NULL, NULL, NULL, NULL, 'CARBON CATABOLITE REPRESSOR PROTEIN 4 HOMOLOG 2', 139358),
(195633, 'PTHR46514:SF1', NULL, NULL, NULL, NULL, 'BRIDGING INTEGRATOR 2', 139359),
(195634, 'PTHR11844:SF28', NULL, NULL, NULL, NULL, 'INHIBITOR OF METALLOPROTEINASE, PUTATIVE-RELATED', 139360),
(195635, 'PTHR11652:SF51', NULL, NULL, NULL, NULL, 'S12-LIKE, 30S RIBOSOMAL PROTEIN S12 SUBFAMILY PROTEIN', 139361),
(195636, 'PTHR37348', NULL, NULL, NULL, NULL, 'LLLL AND CFNLAS MOTIF-CONTAINING PROTEIN 1', 139362);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(195637, 'PTHR31388:SF27', NULL, NULL, NULL, NULL, 'PEROXIDASE', 139363),
(195638, 'PTHR19241:SF641', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 29-LIKE', 139364),
(195639, 'PTHR45678:SF12', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN ARALAR2', 139365),
(195640, 'PTHR10762:SF2', NULL, NULL, NULL, NULL, '2-(3-AMINO-3-CARBOXYPROPYL)HISTIDINE SYNTHASE SUBUNIT 2', 139366),
(195641, 'PTHR43453:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139367),
(195642, 'PTHR47395:SF1', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B MEMBER 1', 139368),
(195643, 'PTHR32254:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 139369),
(195644, 'PTHR38791:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 139370),
(195645, 'PTHR47723:SF1', NULL, NULL, NULL, NULL, 'OS05G0353850 PROTEIN', 139371),
(195646, 'PTHR31207', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS FAMILY PROTEIN (DUF784)-RELATED-RELATED', 139372),
(195647, 'PTHR35714', NULL, NULL, NULL, NULL, 'OS02G0715300 PROTEIN', 139373),
(195648, 'PTHR43391:SF64', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE 1A', 139374),
(195649, 'PTHR24637:SF358', NULL, NULL, NULL, NULL, 'COLLAGEN', 139375),
(195650, 'PTHR24369:SF171', NULL, NULL, NULL, NULL, 'EXTRACELLULAR LEUCINE-RICH REPEAT AND FIBRONECTIN TYPE III DOMAIN CONTAINING 2A', 139376),
(195651, 'PTHR46128:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139377),
(195652, 'PTHR12411:SF712', NULL, NULL, NULL, NULL, 'BNAA06G40240D PROTEIN', 139378),
(195653, 'PTHR11675:SF7', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 4', 139379),
(195654, 'PTHR11850:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139380),
(195655, 'PTHR47022:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG05867', 139381),
(195656, 'PTHR16039:SF2', NULL, NULL, NULL, NULL, 'AUGMIN SUBUNIT 2-LIKE', 139382),
(195657, 'PTHR16717:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 8B', 139383),
(195658, 'PTHR10352:SF12', NULL, NULL, NULL, NULL, 'ELAV-LIKE PROTEIN 2', 139384),
(195659, 'PTHR14353:SF9', NULL, NULL, NULL, NULL, 'MYRISTOYLATED ALANINE-RICH C-KINASE SUBSTRATE', 139385),
(195660, 'PTHR14596', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 139386),
(195661, 'PTHR31357:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-1-RELATED', 139387),
(195662, 'PTHR24377:SF905', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 420', 139388),
(195663, 'PTHR11142', NULL, NULL, NULL, NULL, 'PSEUDOURIDYLATE SYNTHASE', 139389),
(195664, 'PTHR31707:SF327', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN-RELATED', 139390),
(195665, 'PTHR24134:SF10', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', 139391),
(195666, 'PTHR33044:SF181', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 139392),
(195667, 'PTHR10122:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5B', 139393),
(195668, 'PTHR31568:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139394),
(195669, 'PTHR12526:SF570', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 139395),
(195670, 'PTHR38340', NULL, NULL, NULL, NULL, 'S-LAYER PROTEIN', 139396),
(195671, 'PTHR10779:SF3', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN ROADBLOCK-RELATED', 139397),
(195672, 'PTHR33433:SF4', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 4', 139398),
(195673, 'PTHR31623:SF76', NULL, NULL, NULL, NULL, 'BNAA04G13350D PROTEIN', 139399),
(195674, 'PTHR10641:SF1011', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB51', 139400),
(195675, 'PTHR34274', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 139401),
(195676, 'PTHR33494:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139402),
(195677, 'PTHR45631:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139403),
(195678, 'PTHR12845:SF2', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 5', 139404),
(195679, 'PTHR43544:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG11493', 139405);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(195680, 'PTHR45622:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HERC4-RELATED', 139406),
(195681, 'PTHR15439:SF6', NULL, NULL, NULL, NULL, 'OS03G0659400 PROTEIN', 139407),
(195682, 'PTHR10978:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139408),
(195683, 'PTHR28190:SF2', NULL, NULL, NULL, NULL, 'MIGRATION PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G07730)-RELATED', 139409),
(195684, 'PTHR23152:SF25', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE, MITOCHONDRIAL-LIKE', 139410),
(195685, 'PTHR12837:SF11', NULL, NULL, NULL, NULL, 'BNAC04G42220D PROTEIN', 139411),
(195686, 'PTHR11972:SF64', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN B', 139412),
(195687, 'PTHR45621:SF93', NULL, NULL, NULL, NULL, 'TRANSFERASE, PROTEIN KINASE RLK-PELLE-RLCK-VIIA-2 FAMILY-RELATED', 139413),
(195688, 'PTHR13690:SF127', NULL, NULL, NULL, NULL, 'VIRE2-INTERACTING PROTEIN 1-RELATED', 139414),
(195689, 'PTHR12357:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139415),
(195690, 'PTHR33785:SF3', NULL, NULL, NULL, NULL, 'OS06G0550800 PROTEIN', 139416),
(195691, 'PTHR31948:SF76', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 2-LIKE', 139417),
(195692, 'PTHR22806:SF0', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP37', 139418),
(195693, 'PTHR36016:SF11', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER', 139419),
(195694, 'PTHR42663:SF11', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 139420),
(195695, 'PTHR10161:SF29', NULL, NULL, NULL, NULL, 'TARTRATE-RESISTANT ACID PHOSPHATASE TYPE 5', 139421),
(195696, 'PTHR31867:SF104', NULL, NULL, NULL, NULL, 'EXPANSIN', 139422),
(195697, 'PTHR19317:SF73', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 139423),
(195698, 'PTHR48065:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139424),
(195699, 'PTHR10117:SF9', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 7', 139425),
(195700, 'PTHR11158:SF34', NULL, NULL, NULL, NULL, 'PRELI DOMAIN CONTAINING PROTEIN 3A-LIKE ISOFORM X1', 139426),
(195701, 'PTHR24224:SF17', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 139427),
(195702, 'PTHR33077', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 4A-RELATED-RELATED', 139428),
(195703, 'PTHR11177:SF333', NULL, NULL, NULL, NULL, 'CHITINASE', 139429),
(195704, 'PTHR12245', NULL, NULL, NULL, NULL, 'SPRY DOMAIN CONTAINING SOCS BOX PROTEIN', 139430),
(195705, 'PTHR26453:SF264', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 139431),
(195706, 'PTHR48040:SF2', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 2-LIKE', 139432),
(195707, 'PTHR10286:SF53', NULL, NULL, NULL, NULL, 'OS10G0406100 PROTEIN', 139433),
(195708, 'PTHR34223:SF26', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 2', 139434),
(195709, 'PTHR13935:SF111', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH125', 139435),
(195710, 'PTHR21471:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG02542', 139436),
(195711, 'PTHR10155:SF4', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 1', 139437),
(195712, 'PTHR31048:SF164', NULL, NULL, NULL, NULL, 'BNAC04G15370D PROTEIN', 139438),
(195713, 'PTHR10410:SF22', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 14 HOMOLOG', 139439),
(195714, 'PTHR47926:SF141', NULL, NULL, NULL, NULL, 'BNAC04G55710D PROTEIN', 139440),
(195715, 'PTHR22835:SF585', NULL, NULL, NULL, NULL, 'ACETYLAJMALAN ESTERASE-LIKE', 139441),
(195716, 'PTHR11808:SF79', NULL, NULL, NULL, NULL, 'O-SUCCINYLHOMOSERINE SULFHYDRYLASE', 139442),
(195717, 'PTHR13340:SF2', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 1', 139443),
(195718, 'PTHR22778:SF51', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE', 139444),
(195719, 'PTHR46196:SF16', NULL, NULL, NULL, NULL, 'BNAC04G13380D PROTEIN', 139445),
(195720, 'PTHR23343:SF31', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA SPERM-BINDING PROTEIN 4', 139446),
(195721, 'PTHR43378', NULL, NULL, NULL, NULL, 'UDP-3-O-ACYLGLUCOSAMINE N-ACYLTRANSFERASE', 139447),
(195722, 'PTHR23172:SF75', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', 139448);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(195723, 'PTHR43152:SF2', NULL, NULL, NULL, NULL, 'ANTIBIOTIC/DRUG RESISTANCE ABC TRANSPORTER-RELATED', 139449),
(195724, 'PTHR14241', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN 44', 139450),
(195725, 'PTHR27008:SF198', NULL, NULL, NULL, NULL, 'OS04G0226800 PROTEIN', 139451),
(195726, 'PTHR23341:SF1', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN HMG-I/HMG-Y', 139452),
(195727, 'PTHR31963:SF19', NULL, NULL, NULL, NULL, 'BNAC06G26640D PROTEIN', 139453),
(195728, 'PTHR44191:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139454),
(195729, 'PTHR11538:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139455),
(195730, 'PTHR10799:SF973', NULL, NULL, NULL, NULL, 'CHROMATIN STRUCTURE-REMODELING COMPLEX PROTEIN SYD', 139456),
(195731, 'PTHR22744:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG13396', 139457),
(195732, 'PTHR24221:SF446', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PERMEASE MDL1, MITOCHONDRIAL', 139458),
(195733, 'PTHR46419:SF9', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD5-RELATED', 139459),
(195734, 'PTHR10352:SF50', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', 139460),
(195735, 'PTHR31142:SF22', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 1-LIKE ISOFORM X1', 139461),
(195736, 'PTHR14110:SF20', NULL, NULL, NULL, NULL, 'BNAA06G39900D PROTEIN', 139462),
(195737, 'PTHR48018:SF109', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5R1', 139463),
(195738, 'PTHR43092:SF8', NULL, NULL, NULL, NULL, 'ISOPENICILLIN N EPIMERASE-LIKE PROTEIN', 139464),
(195739, 'PTHR33067:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139465),
(195740, 'PTHR24100:SF71', NULL, NULL, NULL, NULL, 'MYELIN-OLIGODENDROCYTE GLYCOPROTEIN', 139466),
(195741, 'PTHR24260:SF111', NULL, NULL, NULL, NULL, 'TRYPSIN-LIKE PROTEASE', 139467),
(195742, 'PTHR23500:SF491', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139468),
(195743, 'PTHR31907:SF49', NULL, NULL, NULL, NULL, 'BNAC05G50830D PROTEIN', 139469),
(195744, 'PTHR11926:SF870', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 75D1', 139470),
(195745, 'PTHR10795:SF655', NULL, NULL, NULL, NULL, 'BNAA02G07430D PROTEIN', 139471),
(195746, 'PTHR11064:SF128', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-3', 139472),
(195747, 'PTHR19136:SF84', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL IPC TRANSFERASE AND DIPP SYNTHASE', 139473),
(195748, 'PTHR26452:SF806', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 139474),
(195749, 'PTHR19282:SF199', NULL, NULL, NULL, NULL, 'TETRASPANIN', 139475),
(195750, 'PTHR46223:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUV39H2', 139476),
(195751, 'PTHR13857:SF45', NULL, NULL, NULL, NULL, 'DNA DC-DU-EDITING ENZYME APOBEC-3F', 139477),
(195752, 'PTHR31171', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 6', 139478),
(195753, 'PTHR22835:SF476', NULL, NULL, NULL, NULL, 'OS06G0160200 PROTEIN', 139479),
(195754, 'PTHR15566', NULL, NULL, NULL, NULL, 'POM121-LIKE', 139480),
(195755, 'PTHR10333', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN', 139481),
(195756, 'PTHR28532:SF1', NULL, NULL, NULL, NULL, 'GEO13458P1', 139482),
(195757, 'PTHR35516:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139483),
(195758, 'PTHR35152', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 139484),
(195759, 'PTHR32523:SF9', NULL, NULL, NULL, NULL, 'OS12G0105500 PROTEIN', 139485),
(195760, 'PTHR11732:SF408', NULL, NULL, NULL, NULL, 'ALDOSE REDUCTASE A', 139486),
(195761, 'PTHR11514:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139487),
(195762, 'PTHR43790:SF8', NULL, NULL, NULL, NULL, 'ABC-TRANSPORT SYSTEM ATP BINDING PROTEIN-RELATED', 139488),
(195763, 'PTHR23155:SF894', NULL, NULL, NULL, NULL, 'OS11G0474500 PROTEIN', 139489),
(195764, 'PTHR38664', NULL, NULL, NULL, NULL, 'SLR0058 PROTEIN', 139490),
(195765, 'PTHR19297:SF81', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYL-O-GLYCOSYL-GLYCOPROTEIN BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE 3', 139491),
(195766, 'PTHR34452:SF6', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED PROTEIN', 139492);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(195767, 'PTHR33142:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139493),
(195768, 'PTHR11736:SF150', NULL, NULL, NULL, NULL, 'MCG65130-RELATED', 139494),
(195769, 'PTHR21179:SF1', NULL, NULL, NULL, NULL, 'KAZ1-TYPE SERINE PROTEASE INHIBITOR-LIKE PROTEIN TYPE EPSILON', 139495),
(195770, 'PTHR12911:SF8', NULL, NULL, NULL, NULL, 'KLAROID, ISOFORM A-RELATED', 139496),
(195771, 'PTHR28165', NULL, NULL, NULL, NULL, 'NON-CLASSICAL EXPORT PROTEIN 2-RELATED', 139497),
(195772, 'PTHR35500:SF1', NULL, NULL, NULL, NULL, 'OS03G0108700 PROTEIN', 139498),
(195773, 'PTHR31677:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139499),
(195774, 'PTHR10094:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139500),
(195775, 'PTHR15852:SF66', NULL, NULL, NULL, NULL, 'OS09G0423700 PROTEIN', 139501),
(195776, 'PTHR46128:SF32', NULL, NULL, NULL, NULL, 'BNAA01G29990D PROTEIN', 139502),
(195777, 'PTHR47442', NULL, NULL, NULL, NULL, 'MYND-TYPE ZINC FINGER PROTEIN MUB1', 139503),
(195778, 'PTHR37389:SF25', NULL, NULL, NULL, NULL, 'PRISILKIN-39-LIKE ISOFORM X1', 139504),
(195779, 'PTHR24349:SF429', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE UNC-51-RELATED', 139505),
(195780, 'PTHR15096:SF8', NULL, NULL, NULL, NULL, 'COLON SVA-LIKE PROTEIN-RELATED', 139506),
(195781, 'PTHR13844:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139507),
(195782, 'PTHR34194:SF17', NULL, NULL, NULL, NULL, 'F17A17.7 PROTEIN', 139508),
(195783, 'PTHR47977:SF38', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1B', 139509),
(195784, 'PTHR34303:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139510),
(195785, 'PTHR48022:SF25', NULL, NULL, NULL, NULL, 'QUINATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G12950)-RELATED', 139511),
(195786, 'PTHR23222:SF3', NULL, NULL, NULL, NULL, 'OS02G0580500 PROTEIN', 139512),
(195787, 'PTHR23505:SF74', NULL, NULL, NULL, NULL, 'OS08G0409900 PROTEIN', 139513),
(195788, 'PTHR11461:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139514),
(195789, 'PTHR36150', NULL, NULL, NULL, NULL, 'DNA GYRASE INHIBITOR YACG', 139515),
(195790, 'PTHR44575:SF8', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE, PUTATIVE-RELATED', 139516),
(195791, 'PTHR31072:SF131', NULL, NULL, NULL, NULL, 'BNAA09G01860D PROTEIN', 139517),
(195792, 'PTHR43247:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139518),
(195793, 'PTHR31639:SF181', NULL, NULL, NULL, NULL, 'OS08G0461800 PROTEIN', 139519),
(195794, 'PTHR12420:SF41', NULL, NULL, NULL, NULL, 'SI:CH211-57F7.7', 139520),
(195795, 'PTHR32278:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139521),
(195796, 'PTHR23301:SF66', NULL, NULL, NULL, NULL, 'RE09177P', 139522),
(195797, 'PTHR47998:SF2', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 308-LIKE', 139523),
(195798, 'PTHR23504:SF102', NULL, NULL, NULL, NULL, 'PROTEIN ZINC INDUCED FACILITATOR 1', 139524),
(195799, 'PTHR10621:SF0', NULL, NULL, NULL, NULL, 'AT15685P-RELATED', 139525),
(195800, 'PTHR33448:SF12', NULL, NULL, NULL, NULL, 'BNAA02G18760D PROTEIN', 139526),
(195801, 'PTHR11675:SF112', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 9-RELATED', 139527),
(195802, 'PTHR43316', NULL, NULL, NULL, NULL, 'HYDROLASE, HALOACID DELAHOGENASE-RELATED', 139528),
(195803, 'PTHR35132:SF1', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX-LIKE PROTEIN', 139529),
(195804, 'PTHR12333', NULL, NULL, NULL, NULL, 'COMM DOMAIN CONTAINING PROTEIN 10', 139530),
(195805, 'PTHR24390:SF91', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 49', 139531),
(195806, 'PTHR31429:SF45', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY76-LIKE', 139532),
(195807, 'PTHR43711:SF20', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE RCSC', 139533),
(195808, 'PTHR33332:SF16', NULL, NULL, NULL, NULL, '115 KDA PROTEIN IN TYPE-1 RETROTRANSPOSABLE ELEMENT R1DM-LIKE PROTEIN-RELATED', 139534),
(195809, 'PTHR31493:SF1', NULL, NULL, NULL, NULL, 'PROTEIN C19ORF12', 139535),
(195810, 'PTHR45836:SF6', NULL, NULL, NULL, NULL, 'RETICULON-4 RECEPTOR', 139536),
(195811, 'PTHR11079:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139537);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(195812, 'PTHR31194:SF137', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF4-LIKE', 139538),
(195813, 'PTHR11353:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139539),
(195814, 'PTHR43096:SF49', NULL, NULL, NULL, NULL, 'BNAC02G38330D PROTEIN', 139540),
(195815, 'PTHR43329:SF39', NULL, NULL, NULL, NULL, 'BLR1197 PROTEIN', 139541),
(195816, 'PTHR31175:SF82', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR66-LIKE', 139542),
(195817, 'PTHR24343:SF473', NULL, NULL, NULL, NULL, 'RHO-ASSOCIATED PROTEIN KINASE 1/2-RELATED', 139543),
(195818, 'PTHR31896:SF43', NULL, NULL, NULL, NULL, 'ANTHRANILATE N-HYDROXYCINNAMOYL/BENZOYLTRANSFERASE-LIKE PROTEIN', 139544),
(195819, 'PTHR31096', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR4-RELATED', 139545),
(195820, 'PTHR43822:SF2', NULL, NULL, NULL, NULL, 'HOMOACONITASE, MITOCHONDRIAL', 139546),
(195821, 'PTHR33264:SF41', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 139547),
(195822, 'PTHR47643:SF2', NULL, NULL, NULL, NULL, 'TPR DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G12710)', 139548),
(195823, 'PTHR37813:SF1', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', 139549),
(195824, 'PTHR13780:SF112', NULL, NULL, NULL, NULL, 'CBS DOMAIN, IMMUNOGLOBULIN E-SET-RELATED', 139550),
(195825, 'PTHR18934:SF235', NULL, NULL, NULL, NULL, 'DEAH-BOX RNA HELICASE, PUTATIVE-RELATED', 139551),
(195826, 'PTHR43289', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 20-RELATED', 139552),
(195827, 'PTHR10075:SF23', NULL, NULL, NULL, NULL, 'MYOTILIN', 139553),
(195828, 'PTHR10766:SF144', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 139554),
(195829, 'PTHR10353:SF226', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 26, PEROXISOMAL', 139555),
(195830, 'PTHR46785:SF1', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 3B', 139556),
(195831, 'PTHR12395', NULL, NULL, NULL, NULL, 'DOM-3 RELATED', 139557),
(195832, 'PTHR48065:SF12', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', 139558),
(195833, 'PTHR46993:SF2', NULL, NULL, NULL, NULL, 'MYB-LIKE HTH TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN', 139559),
(195834, 'PTHR31080:SF243', NULL, NULL, NULL, NULL, 'BNAA06G35680D PROTEIN', 139560),
(195835, 'PTHR34558:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139561),
(195836, 'PTHR31414:SF29', NULL, NULL, NULL, NULL, 'BNAC02G16790D PROTEIN', 139562),
(195837, 'PTHR24637:SF263', NULL, NULL, NULL, NULL, 'COLLAGEN', 139563),
(195838, 'PTHR45778', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE-RELATED', 139564),
(195839, 'PTHR35503:SF3', NULL, NULL, NULL, NULL, 'OS07G0624150 PROTEIN', 139565),
(195840, 'PTHR10388:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139566),
(195841, 'PTHR13018:SF100', NULL, NULL, NULL, NULL, 'CSC1-LIKE PROTEIN ERD4', 139567),
(195842, 'PTHR34783', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 144-RELATED', 139568),
(195843, 'PTHR47963:SF4', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE CSHE', 139569),
(195844, 'PTHR31479:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139570),
(195845, 'PTHR35298:SF6', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN S1FA1', 139571),
(195846, 'PTHR47926:SF221', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 139572),
(195847, 'PTHR31238:SF136', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 139573),
(195848, 'PTHR43200:SF6', NULL, NULL, NULL, NULL, '3''(2''),5''-BISPHOSPHATE NUCLEOTIDASE', 139574),
(195849, 'PTHR23023:SF242', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE FMO GS-OX-LIKE 8', 139575),
(195850, 'PTHR33413:SF31', NULL, NULL, NULL, NULL, 'BNAC09G14830D PROTEIN', 139576),
(195851, 'PTHR45819:SF1', NULL, NULL, NULL, NULL, 'ARF-GAP WITH GTPASE, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 1', 139577),
(195852, 'PTHR22647:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139578),
(195853, 'PTHR10706:SF149', NULL, NULL, NULL, NULL, 'EXPANSIN', 139579),
(195854, 'PTHR33109:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139580);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(195855, 'PTHR31471', NULL, NULL, NULL, NULL, 'OS02G0116800 PROTEIN', 139581),
(195856, 'PTHR35041:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139582),
(195857, 'PTHR46513:SF5', NULL, NULL, NULL, NULL, 'PRO-EPIDERMAL GROWTH FACTOR', 139583),
(195858, 'PTHR23155:SF957', NULL, NULL, NULL, NULL, 'OS11G0606800 PROTEIN', 139584),
(195859, 'PTHR10740:SF10', NULL, NULL, NULL, NULL, 'EPIGEN', 139585),
(195860, 'PTHR45950:SF20', NULL, NULL, NULL, NULL, 'BNAC03G66860D PROTEIN', 139586),
(195861, 'PTHR15822:SF18', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', 139587),
(195862, 'PTHR13620:SF43', NULL, NULL, NULL, NULL, 'WERNER SYNDROME ATP-DEPENDENT HELICASE', 139588),
(195863, 'PTHR10114:SF19', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', 139589),
(195864, 'PTHR10744:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S17, MITOCHONDRIAL', 139590),
(195865, 'PTHR10177:SF486', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139591),
(195866, 'PTHR24126', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT, PH AND SEC7 DOMAIN CONTAINING PROTEIN SECG-RELATED', 139592),
(195867, 'PTHR45719:SF2', NULL, NULL, NULL, NULL, 'OS05G0152400 PROTEIN', 139593),
(195868, 'PTHR19229:SF217', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 10-RELATED', 139594),
(195869, 'PTHR30435:SF12', NULL, NULL, NULL, NULL, 'FLAGELLAR BASAL BODY ROD PROTEIN FLGB', 139595),
(195870, 'PTHR45125:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139596),
(195871, 'PTHR13301:SF211', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 2 [UDP-FORMING]', 139597),
(195872, 'PTHR12400:SF74', NULL, NULL, NULL, NULL, 'KINASE', 139598),
(195873, 'PTHR11206:SF371', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 139599),
(195874, 'PTHR34955:SF2', NULL, NULL, NULL, NULL, 'IGR MOTIF PROTEIN', 139600),
(195875, 'PTHR48015:SF12', NULL, NULL, NULL, NULL, 'SI:ZFOS-2326C3.2', 139601),
(195876, 'PTHR10543:SF115', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G01500)-RELATED', 139602),
(195877, 'PTHR35994:SF2', NULL, NULL, NULL, NULL, 'BNAC08G19870D PROTEIN', 139603),
(195878, 'PTHR46162:SF33', NULL, NULL, NULL, NULL, 'BNAC01G32590D PROTEIN', 139604),
(195879, 'PTHR12080:SF98', NULL, NULL, NULL, NULL, 'SI:CH73-261I21.2-RELATED', 139605),
(195880, 'PTHR10201:SF245', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 4-MMP', 139606),
(195881, 'PTHR12902:SF7', NULL, NULL, NULL, NULL, 'WISKOTT-ALDRICH SYNDROME PROTEIN FAMILY MEMBER 3', 139607),
(195882, 'PTHR10572:SF30', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', 139608),
(195883, 'PTHR33726:SF15', NULL, NULL, NULL, NULL, 'OS01G0665900 PROTEIN', 139609),
(195884, 'PTHR12849:SF0', NULL, NULL, NULL, NULL, 'LARIAT DEBRANCHING ENZYME', 139610),
(195885, 'PTHR21576:SF112', NULL, NULL, NULL, NULL, 'NODULIN-LIKE / MAJOR FACILITATOR SUPERFAMILY PROTEIN', 139611),
(195886, 'PTHR11945', NULL, NULL, NULL, NULL, 'MADS BOX PROTEIN', 139612),
(195887, 'PTHR28580:SF2', NULL, NULL, NULL, NULL, 'REX1 DNA REPAIR FAMILY PROTEIN', 139613),
(195888, 'PTHR47993:SF178', NULL, NULL, NULL, NULL, 'BNACNNG70100D PROTEIN', 139614),
(195889, 'PTHR20932:SF8', NULL, NULL, NULL, NULL, 'LD22649P', 139615),
(195890, 'PTHR40446:SF2', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-1-PHOSPHODIESTER ALPHA-N-ACETYLGLUCOSAMINIDASE', 139616),
(195891, 'PTHR10715:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6-2-RELATED', 139617),
(195892, 'PTHR19446:SF432', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139618),
(195893, 'PTHR43293', NULL, NULL, NULL, NULL, 'ACETATE COA-TRANSFERASE YDIF', 139619),
(195894, 'PTHR30625:SF3', NULL, NULL, NULL, NULL, 'TOL-PAL SYSTEM PROTEIN TOLQ', 139620),
(195895, 'PTHR31044:SF74', NULL, NULL, NULL, NULL, 'BNAA06G39920D PROTEIN', 139621),
(195896, 'PTHR27007:SF153', NULL, NULL, NULL, NULL, 'OS10G0184871 PROTEIN', 139622),
(195897, 'PTHR45768:SF30', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL4', 139623),
(195898, 'PTHR30128:SF19', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN ASSOCIATED LIPOPROTEIN', 139624);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(195899, 'PTHR30468:SF30', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT TAURINE DIOXYGENASE (AFU_ORTHOLOGUE AFUA_7G06030)', 139625),
(195900, 'PTHR44094:SF2', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN FAMILY-LIKE', 139626),
(195901, 'PTHR10678:SF11', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 11-LIKE PROTEIN', 139627),
(195902, 'PTHR11227:SF24', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED 18B, ISOFORM A', 139628),
(195903, 'PTHR46136:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE12', 139629),
(195904, 'PTHR10997:SF59', NULL, NULL, NULL, NULL, 'BNAC03G36270D PROTEIN', 139630),
(195905, 'PTHR15052', NULL, NULL, NULL, NULL, 'RNA POLYMERASE III TRANSCRIPTION INITIATION FACTOR COMPLEX SUBUNIT', 139631),
(195906, 'PTHR31832:SF52', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 20', 139632),
(195907, 'PTHR47717:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP19, CHLOROPLASTIC', 139633),
(195908, 'PTHR43783', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 1-CARBOXYVINYLTRANSFERASE', 139634),
(195909, 'PTHR11017:SF339', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 139635),
(195910, 'PTHR33889', NULL, NULL, NULL, NULL, 'OS04G0681850 PROTEIN', 139636),
(195911, 'PTHR21058:SF1', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE', 139637),
(195912, 'PTHR37251:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139638),
(195913, 'PTHR48049:SF46', NULL, NULL, NULL, NULL, 'FLAVONOID GLUCOSYLTRANSFERASE', 139639),
(195914, 'PTHR45683:SF12', NULL, NULL, NULL, NULL, 'BNAA09G07970D PROTEIN', 139640),
(195915, 'PTHR11945:SF498', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 94', 139641),
(195916, 'PTHR21633:SF10', NULL, NULL, NULL, NULL, 'IQ MOTIF-CONTAINING F4', 139642),
(195917, 'PTHR46038:SF41', NULL, NULL, NULL, NULL, 'OS02G0686300 PROTEIN', 139643),
(195918, 'PTHR45033:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE (EUROFUNG)', 139644),
(195919, 'PTHR13452:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139645),
(195920, 'PTHR47999:SF64', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WER-LIKE', 139646),
(195921, 'PTHR34549:SF5', NULL, NULL, NULL, NULL, 'BNAA08G30780D PROTEIN', 139647),
(195922, 'PTHR45614:SF134', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB52', 139648),
(195923, 'PTHR33512:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139649),
(195924, 'PTHR24377:SF808', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 547', 139650),
(195925, 'PTHR11668:SF467', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 139651),
(195926, 'PTHR16200:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARKADIA', 139652),
(195927, 'PTHR24341:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ENGRAILED-1', 139653),
(195928, 'PTHR12592:SF0', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT (S)-NAD(P)H-HYDRATE DEHYDRATASE', 139654),
(195929, 'PTHR23502:SF3', NULL, NULL, NULL, NULL, 'MULTIDRUG EFFLUX PUMP OF PLASMA MEMBRANE (EUROFUNG)', 139655),
(195930, 'PTHR48011:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139656),
(195931, 'PTHR12022:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', 139657),
(195932, 'PTHR11063:SF18', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', 139658),
(195933, 'PTHR24047:SF29', NULL, NULL, NULL, NULL, 'FI01909P-RELATED', 139659),
(195934, 'PTHR47967:SF60', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN', 139660),
(195935, 'PTHR24279', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 139661),
(195936, 'PTHR44329:SF167', NULL, NULL, NULL, NULL, 'BNAA06G25660D PROTEIN', 139662),
(195937, 'PTHR43791:SF78', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01370)-RELATED', 139663),
(195938, 'PTHR46325:SF26', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC7-LIKE', 139664),
(195939, 'PTHR37999:SF1', NULL, NULL, NULL, NULL, 'MUCIN-17', 139665),
(195940, 'PTHR31809', NULL, NULL, NULL, NULL, 'BUD13 HOMOLOG', 139666),
(195941, 'PTHR10201:SF20', NULL, NULL, NULL, NULL, 'STROMELYSIN-3', 139667),
(195942, 'PTHR23251:SF1', NULL, NULL, NULL, NULL, 'MEF2-ACTIVATING MOTIF AND SAP DOMAIN-CONTAINING TRANSCRIPTIONAL REGULATOR', 139668);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(195943, 'PTHR24230:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139669),
(195944, 'PTHR24006:SF830', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 46', 139670),
(195945, 'PTHR23253:SF64', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-RELATED', 139671),
(195946, 'PTHR36062:SF1', NULL, NULL, NULL, NULL, 'OS01G0687300 PROTEIN', 139672),
(195947, 'PTHR24085:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 4 GROUP A MEMBER 2', 139673),
(195948, 'PTHR23147:SF180', NULL, NULL, NULL, NULL, 'OS01G0155600 PROTEIN', 139674),
(195949, 'PTHR46215:SF6', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 9', 139675),
(195950, 'PTHR36373:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 139676),
(195951, 'PTHR31973:SF134', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 139677),
(195952, 'PTHR40618', NULL, NULL, NULL, NULL, 'B-ZIP TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 139678),
(195953, 'PTHR43895:SF68', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 139679),
(195954, 'PTHR48043:SF28', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 708D1-LIKE', 139680),
(195955, 'PTHR13140:SF270', NULL, NULL, NULL, NULL, 'MYOSIN-12', 139681),
(195956, 'PTHR24343:SF327', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ELM1', 139682),
(195957, 'PTHR22590:SF2', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN N', 139683),
(195958, 'PTHR33021:SF366', NULL, NULL, NULL, NULL, 'BNAC03G67250D PROTEIN', 139684),
(195959, 'PTHR48001:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139685),
(195960, 'PTHR14678:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 35', 139686),
(195961, 'PTHR10755:SF3', NULL, NULL, NULL, NULL, 'COPROPORPHYRINOGEN III OXIDASE, AEROBIC', 139687),
(195962, 'PTHR10015:SF349', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR PROTEIN', 139688),
(195963, 'PTHR31072:SF146', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, TCP-RELATED', 139689),
(195964, 'PTHR27007:SF315', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139690),
(195965, 'PTHR23064:SF58', NULL, NULL, NULL, NULL, 'FAST SKELETAL MUSCLE TROPONIN C', 139691),
(195966, 'PTHR16515:SF25', NULL, NULL, NULL, NULL, 'PR DOMAIN-CONTAINING 1B, WITH ZNF DOMAIN', 139692),
(195967, 'PTHR15157:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139693),
(195968, 'PTHR31048:SF81', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', 139694),
(195969, 'PTHR48052:SF12', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 21-RELATED', 139695),
(195970, 'PTHR11588:SF396', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 139696),
(195971, 'PTHR19862', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 48', 139697),
(195972, 'PTHR43056:SF14', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 139698),
(195973, 'PTHR22835:SF588', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 3', 139699),
(195974, 'PTHR32285:SF221', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE PROTEIN-LIKE', 139700),
(195975, 'PTHR14166:SF15', NULL, NULL, NULL, NULL, 'SLIT-ROBO RHO GTPASE-ACTIVATING PROTEIN 1', 139701),
(195976, 'PTHR12062:SF11', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4933406M09', 139702),
(195977, 'PTHR36710', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', 139703),
(195978, 'PTHR10353:SF162', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 21-RELATED', 139704),
(195979, 'PTHR19375:SF385', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN SSA3-RELATED', 139705),
(195980, 'PTHR26452:SF63', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 139706),
(195981, 'PTHR13359:SF2', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L40, MITOCHONDRIAL', 139707),
(195982, 'PTHR11461:SF299', NULL, NULL, NULL, NULL, 'SERPIN', 139708),
(195983, 'PTHR48010:SF50', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE-LIKE PROTEIN ZAR1', 139709),
(195984, 'PTHR10824:SF6', NULL, NULL, NULL, NULL, 'PEROXISOMAL SUCCINYL-COENZYME A THIOESTERASE', 139710),
(195985, 'PTHR13690:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139711),
(195986, 'PTHR46757:SF8', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 17, VPS17-RELATED', 139712);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(195987, 'PTHR31280:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139713),
(195988, 'PTHR28532', NULL, NULL, NULL, NULL, 'GEO13458P1', 139714),
(195989, 'PTHR31852:SF225', NULL, NULL, NULL, NULL, 'BNAA09G42780D PROTEIN', 139715),
(195990, 'PTHR47991:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139716),
(195991, 'PTHR24298:SF444', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 139717),
(195992, 'PTHR11088:SF61', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE 5, CHLOROPLASTIC-LIKE', 139718),
(195993, 'PTHR24300:SF297', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2A7', 139719),
(195994, 'PTHR10362:SF55', NULL, NULL, NULL, NULL, 'AMMONIA-LYASE, PUTATIVE-RELATED', 139720),
(195995, 'PTHR19241:SF636', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', 139721),
(195996, 'PTHR30579', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', 139722),
(195997, 'PTHR47992:SF126', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 63-RELATED', 139723),
(195998, 'PTHR21879:SF9', NULL, NULL, NULL, NULL, 'OSIRIS 16', 139724),
(195999, 'PTHR13271:SF116', NULL, NULL, NULL, NULL, 'F21J9.27', 139725),
(196000, 'PTHR19232', NULL, NULL, NULL, NULL, 'CENTROCORTIN FAMILY MEMBER', 139726),
(196001, 'PTHR14942:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139727),
(196002, 'PTHR46011:SF29', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-57', 139728),
(196003, 'PTHR22639', NULL, NULL, NULL, NULL, 'GAG-RELATED PROTEIN', 139729),
(196004, 'PTHR47987:SF6', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-KINASE', 139730),
(196005, 'PTHR31190:SF231', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED GENES TRANSCRIPTIONAL ACTIVATOR PTI5-LIKE', 139731),
(196006, 'PTHR31657:SF50', NULL, NULL, NULL, NULL, 'OS04G0529100 PROTEIN', 139732),
(196007, 'PTHR23167:SF3', NULL, NULL, NULL, NULL, 'CYTOSPIN-B', 139733),
(196008, 'PTHR45626:SF20', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE RHP16-LIKE', 139734),
(196009, 'PTHR14254', NULL, NULL, NULL, NULL, 'GENE 33 POLYPEPTIDE', 139735),
(196010, 'PTHR23118:SF30', NULL, NULL, NULL, NULL, 'BNAA09G53260D PROTEIN', 139736),
(196011, 'PTHR22765:SF331', NULL, NULL, NULL, NULL, 'BNAA05G13700D PROTEIN', 139737),
(196012, 'PTHR12277:SF153', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASE SUPERFAMILY PROTEIN', 139738),
(196013, 'PTHR12478:SF7', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE TRANSCRIPT 4 PROTEIN', 139739),
(196014, 'PTHR48018:SF59', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 891', 139740),
(196015, 'PTHR12396:SF0', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 1A-RELATED', 139741),
(196016, 'PTHR46347:SF8', NULL, NULL, NULL, NULL, 'BNAA04G12620D PROTEIN', 139742),
(196017, 'PTHR31734:SF147', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 139743),
(196018, 'PTHR23257:SF847', NULL, NULL, NULL, NULL, 'KINASE SUPERFAMILY WITH OCTICOSAPEPTIDE/PHOX/BEM1P DOMAIN-CONTAINING PROTEIN', 139744),
(196019, 'PTHR24296:SF185', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 139745),
(196020, 'PTHR31625:SF26', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE-LIKE PROTEIN-RELATED', 139746),
(196021, 'PTHR48018:SF110', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 139747),
(196022, 'PTHR10502:SF219', NULL, NULL, NULL, NULL, 'ANNEXIN', 139748),
(196023, 'PTHR48061:SF24', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 139749),
(196024, 'PTHR31642:SF267', NULL, NULL, NULL, NULL, 'BNAC05G47750D PROTEIN', 139750),
(196025, 'PTHR11668:SF427', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 1', 139751),
(196026, 'PTHR31374:SF15', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', 139752),
(196027, 'PTHR45748:SF7', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 3-PHOSPHATE 5-KINASE-RELATED', 139753),
(196028, 'PTHR21077:SF7', NULL, NULL, NULL, NULL, 'CROSSOVER JUNCTION ENDONUCLEASE EME1', 139754),
(196029, 'PTHR23219:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG12625', 139755),
(196030, 'PTHR22991:SF40', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 139756);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(196031, 'PTHR38553:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG19621', 139757),
(196032, 'PTHR13507:SF0', NULL, NULL, NULL, NULL, 'PRKR-INTERACTING PROTEIN 1', 139758),
(196033, 'PTHR43537:SF23', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR NANR', 139759),
(196034, 'PTHR19317:SF56', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 139760),
(196035, 'PTHR33454:SF1', NULL, NULL, NULL, NULL, 'PROLAMIN PPROL 14P', 139761),
(196036, 'PTHR13505:SF8', NULL, NULL, NULL, NULL, 'BNAA01G06570D PROTEIN', 139762),
(196037, 'PTHR22455', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 139763),
(196038, 'PTHR32344', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 139764),
(196039, 'PTHR23017:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 139765),
(196040, 'PTHR47990:SF3', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', 139766),
(196041, 'PTHR10848:SF2', NULL, NULL, NULL, NULL, 'RECOMBINATION PROTEIN SPO11, PUTATIVE-RELATED', 139767),
(196042, 'PTHR10853:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC RELEASE FACTOR 1 (ERF1) FAMILY PROTEIN', 139768),
(196043, 'PTHR30065:SF1', NULL, NULL, NULL, NULL, 'SURFACE PRESENTATION OF ANTIGENS PROTEIN SPAR', 139769),
(196044, 'PTHR47966:SF4', NULL, NULL, NULL, NULL, 'OS01G0663400 PROTEIN', 139770),
(196045, 'PTHR22941:SF155', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 139771),
(196046, 'PTHR33921:SF17', NULL, NULL, NULL, NULL, 'BNAC04G51320D PROTEIN', 139772),
(196047, 'PTHR10108:SF692', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 139773),
(196048, 'PTHR24061:SF523', NULL, NULL, NULL, NULL, 'MCG130582, ISOFORM CRA_A-RELATED', 139774),
(196049, 'PTHR32099:SF35', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 38-LIKE', 139775),
(196050, 'PTHR12854:SF11', NULL, NULL, NULL, NULL, 'ATAXIN-2', 139776),
(196051, 'PTHR34491:SF23', NULL, NULL, NULL, NULL, 'UBIQUITINATION NETWORK SIGNALING PROTEIN ACRB', 139777),
(196052, 'PTHR31805:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139778),
(196053, 'PTHR12561:SF3', NULL, NULL, NULL, NULL, 'LIPOYLTRANSFERASE 1, MITOCHONDRIAL', 139779),
(196054, 'PTHR12378:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139780),
(196055, 'PTHR11743:SF65', NULL, NULL, NULL, NULL, 'BNAC03G48560D PROTEIN', 139781),
(196056, 'PTHR45642:SF38', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL3-LIKE', 139782),
(196057, 'PTHR14155:SF482', NULL, NULL, NULL, NULL, 'BNAC08G47630D PROTEIN', 139783),
(196058, 'PTHR45752:SF122', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 6', 139784),
(196059, 'PTHR23172:SF82', NULL, NULL, NULL, NULL, 'AUXILIN-LIKE PROTEIN 1', 139785),
(196060, 'PTHR27005:SF390', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139786),
(196061, 'PTHR31474:SF19', NULL, NULL, NULL, NULL, 'BNAA08G27830D PROTEIN', 139787),
(196062, 'PTHR48052:SF27', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE', 139788),
(196063, 'PTHR12346:SF33', NULL, NULL, NULL, NULL, 'OS02G0635950 PROTEIN', 139789),
(196064, 'PTHR46128:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139790),
(196065, 'PTHR33874:SF6', NULL, NULL, NULL, NULL, 'BNAA08G14680D PROTEIN', 139791),
(196066, 'PTHR22763:SF162', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE', 139792),
(196067, 'PTHR33470:SF35', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 30-RELATED', 139793),
(196068, 'PTHR45436:SF11', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE CUSS', 139794),
(196069, 'PTHR44102:SF12', NULL, NULL, NULL, NULL, 'PROTEIN NPGR2', 139795),
(196070, 'PTHR19422:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139796),
(196071, 'PTHR43991:SF28', NULL, NULL, NULL, NULL, 'WD40-REPEAT-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', 139797),
(196072, 'PTHR19282:SF460', NULL, NULL, NULL, NULL, 'TETRASPANIN', 139798),
(196073, 'PTHR24361:SF728', NULL, NULL, NULL, NULL, 'OS03G0225100 PROTEIN', 139799),
(196074, 'PTHR20843:SF2', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 12', 139800),
(196075, 'PTHR46743', NULL, NULL, NULL, NULL, 'TEICHOIC ACIDS EXPORT ATP-BINDING PROTEIN TAGH', 139801);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(196076, 'PTHR10309:SF12', NULL, NULL, NULL, NULL, 'BNAANNG24620D PROTEIN', 139802),
(196077, 'PTHR43177:SF4', NULL, NULL, NULL, NULL, 'THIOSULFATE REDUCTASE ELECTRON TRANSFER SUBUNIT PHSB', 139803),
(196078, 'PTHR10605:SF29', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL HEPARAN SULFATE N-DEACETYLASE/N-SULFOTRANSFERASE 3', 139804),
(196079, 'PTHR34709:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139805),
(196080, 'PTHR32258:SF18', NULL, NULL, NULL, NULL, 'BNAA10G12000D PROTEIN', 139806),
(196081, 'PTHR40734:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139807),
(196082, 'PTHR15241:SF282', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 6, MITOCHONDRIAL', 139808),
(196083, 'PTHR23089:SF33', NULL, NULL, NULL, NULL, 'HISTIDINE TRIAD NUCLEOTIDE-BINDING PROTEIN 1', 139809),
(196084, 'PTHR22957:SF586', NULL, NULL, NULL, NULL, 'SMALL G PROTEIN SIGNALING MODULATOR 2-LIKE ISOFORM X1', 139810),
(196085, 'PTHR45892:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 139811),
(196086, 'PTHR28645:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 119', 139812),
(196087, 'PTHR11071:SF481', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP21-2', 139813),
(196088, 'PTHR38406:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR OPI1', 139814),
(196089, 'PTHR27006:SF252', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', 139815),
(196090, 'PTHR14336:SF5', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 2', 139816),
(196091, 'PTHR10693:SF47', NULL, NULL, NULL, NULL, 'G3BP-LIKE PROTEIN-RELATED', 139817),
(196092, 'PTHR45801:SF8', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', 139818),
(196093, 'PTHR28665', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 3', 139819),
(196094, 'PTHR45768:SF18', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL46', 139820),
(196095, 'PTHR24148:SF72', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 139821),
(196096, 'PTHR33070:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139822),
(196097, 'PTHR11165:SF54', NULL, NULL, NULL, NULL, 'SKR-10-RELATED', 139823),
(196098, 'PTHR24068:SF137', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 26-RELATED', 139824),
(196099, 'PTHR24390:SF145', NULL, NULL, NULL, NULL, 'HIC ZBTB TRANSCRIPTIONAL REPRESSOR 1', 139825),
(196100, 'PTHR19957:SF230', NULL, NULL, NULL, NULL, 'OS03G0121450 PROTEIN', 139826),
(196101, 'PTHR47711:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 16, CHLOROPLASTIC', 139827),
(196102, 'PTHR10060:SF15', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE TATDN1-RELATED', 139828),
(196103, 'PTHR36766:SF16', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN ADR1, PUTATIVE-RELATED', 139829),
(196104, 'PTHR31790:SF310', NULL, NULL, NULL, NULL, 'BNAA09G24590D PROTEIN', 139830),
(196105, 'PTHR11909:SF376', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 139831),
(196106, 'PTHR22765:SF325', NULL, NULL, NULL, NULL, 'BNAA04G20440D PROTEIN', 139832),
(196107, 'PTHR10533:SF2', NULL, NULL, NULL, NULL, 'PANCREATIC PROHORMONE', 139833),
(196108, 'PTHR12322:SF105', NULL, NULL, NULL, NULL, 'DM (DOUBLESEX/MAB-3) DOMAIN FAMILY', 139834),
(196109, 'PTHR11588:SF408', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 139835),
(196110, 'PTHR33784:SF30', NULL, NULL, NULL, NULL, 'BNAC07G14780D PROTEIN', 139836),
(196111, 'PTHR40644', NULL, NULL, NULL, NULL, 'UPF0653 PROTEIN C607.02C', 139837),
(196112, 'PTHR33802', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 139838),
(196113, 'PTHR22595:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139839),
(196114, 'PTHR42770:SF5', NULL, NULL, NULL, NULL, 'CADAVERINE/LYSINE ANTIPORTER-RELATED', 139840),
(196115, 'PTHR11760', NULL, NULL, NULL, NULL, '30S/40S RIBOSOMAL PROTEIN S3', 139841),
(196116, 'PTHR22744:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG12300', 139842),
(196117, 'PTHR13526:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPT20 HOMOLOG-LIKE 1', 139843),
(196118, 'PTHR42770:SF7', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER-RELATED', 139844); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(196119, 'PTHR13723:SF285', NULL, NULL, NULL, NULL, 'LONELY HEART, ISOFORM A', 139845),
(196120, 'PTHR19211:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139846),
(196121, 'PTHR34613', NULL, NULL, NULL, NULL, 'SLL0800 PROTEIN', 139847),
(196122, 'PTHR13663:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 6430548M08', 139848),
(196123, 'PTHR20883:SF41', NULL, NULL, NULL, NULL, 'IRON/ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ASQJ', 139849),
(196124, 'PTHR45801:SF61', NULL, NULL, NULL, NULL, 'BNAA04G29160D PROTEIN', 139850),
(196125, 'PTHR45649:SF3', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER TPO5', 139851),
(196126, 'PTHR48083:SF14', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FADE10-RELATED', 139852),
(196127, 'PTHR22799:SF6', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 3, MEMBER BA', 139853),
(196128, 'PTHR27000:SF636', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', 139854),
(196129, 'PTHR11941:SF124', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE ECHA13-RELATED', 139855),
(196130, 'PTHR43147:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139856),
(196131, 'PTHR45618:SF35', NULL, NULL, NULL, NULL, 'BNAC09G37940D PROTEIN', 139857),
(196132, 'PTHR42920:SF13', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 139858),
(196133, 'PTHR35100', NULL, NULL, NULL, NULL, 'FOLD PROTEIN', 139859),
(196134, 'PTHR48105:SF14', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE (TRXB-2)', 139860),
(196135, 'PTHR30575:SF0', NULL, NULL, NULL, NULL, 'PEPTIDASE M20 DOMAIN-CONTAINING PROTEIN 2', 139861),
(196136, 'PTHR31549:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139862),
(196137, 'PTHR24055:SF428', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 10', 139863),
(196138, 'PTHR31956:SF34', NULL, NULL, NULL, NULL, 'BNAA06G16410D PROTEIN', 139864),
(196139, 'PTHR12357:SF65', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING FAMILY PROTEIN 1', 139865),
(196140, 'PTHR48049:SF24', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 139866),
(196141, 'PTHR31378:SF41', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 139867),
(196142, 'PTHR31790:SF230', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 139868),
(196143, 'PTHR43531:SF5', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN III', 139869),
(196144, 'PTHR12962:SF5', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING C2, RNA-BINDING A', 139870),
(196145, 'PTHR31717', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 10', 139871),
(196146, 'PTHR24026:SF81', NULL, NULL, NULL, NULL, 'CADHERIN FAMILY', 139872),
(196147, 'PTHR12824:SF7', NULL, NULL, NULL, NULL, 'GROUP XIIA SECRETORY PHOSPHOLIPASE A2', 139873),
(196148, 'PTHR11615:SF301', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 139874),
(196149, 'PTHR45801:SF62', NULL, NULL, NULL, NULL, 'BNAC01G39140D PROTEIN', 139875),
(196150, 'PTHR33165:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139876),
(196151, 'PTHR23273:SF55', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT A-LIKE', 139877),
(196152, 'PTHR47969:SF4', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN12B', 139878),
(196153, 'PTHR22883:SF359', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 139879),
(196154, 'PTHR11260:SF702', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9-LIKE', 139880),
(196155, 'PTHR31676:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139881),
(196156, 'PTHR31471:SF61', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', 139882),
(196157, 'PTHR23201:SF68', NULL, NULL, NULL, NULL, 'SNAKIN-2-LIKE', 139883),
(196158, 'PTHR12262:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139884),
(196159, 'PTHR32133:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139885),
(196160, 'PTHR31286:SF54', NULL, NULL, NULL, NULL, 'BNACNNG38980D PROTEIN', 139886),
(196161, 'PTHR31197:SF24', NULL, NULL, NULL, NULL, 'BNAA02G28450D PROTEIN', 139887),
(196162, 'PTHR43285:SF1', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE, CHLOROPLASTIC-LIKE ISOFORM X1', 139888);
INSERT INTO "PUBLIC"."MODEL" VALUES
(196163, 'PTHR45647:SF29', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', 139889),
(196164, 'PTHR46274:SF14', NULL, NULL, NULL, NULL, 'OS01G0739200 PROTEIN', 139890),
(196165, 'PTHR22902:SF17', NULL, NULL, NULL, NULL, 'SESQUIPEDALIAN-1', 139891),
(196166, 'PTHR33057:SF140', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP6', 139892),
(196167, 'PTHR21654:SF85', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB FAMILY-RELATED', 139893),
(196168, 'PTHR12565:SF369', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH49', 139894),
(196169, 'PTHR12784', NULL, NULL, NULL, NULL, 'STEERIN', 139895),
(196170, 'PTHR31580:SF35', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN-RELATED', 139896),
(196171, 'PTHR45687:SF23', NULL, NULL, NULL, NULL, 'AQUAPORIN', 139897),
(196172, 'PTHR10055', NULL, NULL, NULL, NULL, 'TRYPTOPHANYL-TRNA SYNTHETASE', 139898),
(196173, 'PTHR34126:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139899),
(196174, 'PTHR31707', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 139900),
(196175, 'PTHR45752:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139901),
(196176, 'PTHR11635:SF126', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE TYPE I-BETA REGULATORY SUBUNIT', 139902),
(196177, 'PTHR36183:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139903),
(196178, 'PTHR13738:SF13', NULL, NULL, NULL, NULL, 'TROPONIN I TYPE 2A (SKELETAL, FAST), TANDEM DUPLICATE 2', 139904),
(196179, 'PTHR11711:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139905),
(196180, 'PTHR19876:SF31', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''-3', 139906),
(196181, 'PTHR33044:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139907),
(196182, 'PTHR47723:SF3', NULL, NULL, NULL, NULL, 'OS06G0683500 PROTEIN', 139908),
(196183, 'PTHR19855:SF20', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN MEC-15', 139909),
(196184, 'PTHR27008:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139910),
(196185, 'PTHR10654:SF14', NULL, NULL, NULL, NULL, 'EMBRYONAL FYN-ASSOCIATED SUBSTRATE', 139911),
(196186, 'PTHR18966:SF521', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 139912),
(196187, 'PTHR16301', NULL, NULL, NULL, NULL, 'IMPACT-RELATED', 139913),
(196188, 'PTHR13301:SF223', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE D3-RELATED', 139914),
(196189, 'PTHR21499:SF64', NULL, NULL, NULL, NULL, 'ASPARTOKINASE', 139915),
(196190, 'PTHR48016:SF3', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE NPK1', 139916),
(196191, 'PTHR15683', NULL, NULL, NULL, NULL, 'SCAFFOLD ATTACHMENT FACTOR B-RELATED', 139917),
(196192, 'PTHR16134:SF18', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 17', 139918),
(196193, 'PTHR47967:SF40', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN, EXPRESSED', 139919),
(196194, 'PTHR47658:SF4', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 14', 139920),
(196195, 'PTHR43349:SF69', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE GALE-RELATED', 139921),
(196196, 'PTHR34788', NULL, NULL, NULL, NULL, 'F15I1.22', 139922),
(196197, 'PTHR33077:SF15', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 11E', 139923),
(196198, 'PTHR11618:SF66', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB', 139924),
(196199, 'PTHR24031:SF706', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX27-RELATED', 139925),
(196200, 'PTHR45729:SF9', NULL, NULL, NULL, NULL, 'DOUBLE C2-LIKE DOMAIN-CONTAINING PROTEIN BETA', 139926),
(196201, 'PTHR21668:SF20', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A', 139927),
(196202, 'PTHR23172:SF79', NULL, NULL, NULL, NULL, 'AUXILIN-LIKE PROTEIN', 139928),
(196203, 'PTHR40703', NULL, NULL, NULL, NULL, 'TRNA (PSEUDOURIDINE(54)-N(1))-METHYLTRANSFERASE', 139929),
(196204, 'PTHR48017:SF105', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 139930),
(196205, 'PTHR14516:SF2', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT FAMILY ORPHAN 1', 139931),
(196206, 'PTHR43386:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSPORT SYSTEM PERMEASE PROTEIN GSID', 139932);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(196207, 'PTHR23502:SF13', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G12550)-RELATED', 139933),
(196208, 'PTHR11685:SF307', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 139934),
(196209, 'PTHR31339:SF40', NULL, NULL, NULL, NULL, 'HYDROLASE FAMILY 28 PROTEIN, PUTATIVE, EXPRESSED-RELATED', 139935),
(196210, 'PTHR26452:SF430', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-LIKE PROTEIN OLF2', 139936),
(196211, 'PTHR24413:SF91', NULL, NULL, NULL, NULL, 'SPECKLE-TYPE POZ PROTEIN-LIKE', 139937),
(196212, 'PTHR45616:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139938),
(196213, 'PTHR24329:SF548', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ARX', 139939),
(196214, 'PTHR47932:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139940),
(196215, 'PTHR36021:SF3', NULL, NULL, NULL, NULL, 'BNAC04G03090D PROTEIN', 139941),
(196216, 'PTHR11746:SF240', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 139942),
(196217, 'PTHR18916:SF78', NULL, NULL, NULL, NULL, 'TUBULIN-FOLDING COFACTOR B', 139943),
(196218, 'PTHR46224:SF36', NULL, NULL, NULL, NULL, 'OS03G0680500 PROTEIN', 139944),
(196219, 'PTHR23336:SF48', NULL, NULL, NULL, NULL, 'OS01G0549200 PROTEIN', 139945),
(196220, 'PTHR11214:SF271', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT5', 139946),
(196221, 'PTHR33433:SF23', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1', 139947),
(196222, 'PTHR13964:SF27', NULL, NULL, NULL, NULL, 'HAT-TRICK, ISOFORM D', 139948),
(196223, 'PTHR31985:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139949),
(196224, 'PTHR32343:SF33', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 10', 139950),
(196225, 'PTHR38827', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 139951),
(196226, 'PTHR34390', NULL, NULL, NULL, NULL, 'UPF0442 PROTEIN YJJB-RELATED', 139952),
(196227, 'PTHR11829:SF311', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN E3', 139953),
(196228, 'PTHR23113:SF220', NULL, NULL, NULL, NULL, 'RAL GUANINE NUCLEOTIDE DISSOCIATION STIMULATOR-LIKE 3', 139954),
(196229, 'PTHR33420:SF25', NULL, NULL, NULL, NULL, 'FIMBRIN-LIKE PROTEIN FIMI-RELATED', 139955),
(196230, 'PTHR11267:SF184', NULL, NULL, NULL, NULL, 'T BOX FAMILY', 139956),
(196231, 'PTHR31985:SF150', NULL, NULL, NULL, NULL, 'BNAA01G18170D PROTEIN', 139957),
(196232, 'PTHR43128:SF18', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', 139958),
(196233, 'PTHR31190:SF247', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139959),
(196234, 'PTHR45648:SF25', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN', 139960),
(196235, 'PTHR32282:SF11', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 1B', 139961),
(196236, 'PTHR22599:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139962),
(196237, 'PTHR11984:SF54', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-4 PROTEIN', 139963),
(196238, 'PTHR12357:SF3', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING PROTEIN 1', 139964),
(196239, 'PTHR15458', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE N-METHYLTRANSFERASE', 139965),
(196240, 'PTHR34427:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139966),
(196241, 'PTHR42647:SF54', NULL, NULL, NULL, NULL, 'BNAC03G29950D PROTEIN', 139967),
(196242, 'PTHR43157:SF45', NULL, NULL, NULL, NULL, 'WW DOMAIN-CONTAINING OXIDOREDUCTASE-LIKE PROTEIN', 139968),
(196243, 'PTHR46584:SF1', NULL, NULL, NULL, NULL, 'HMG DOMAIN-CONTAINING PROTEIN 4', 139969),
(196244, 'PTHR23188:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-343', 139970),
(196245, 'PTHR23199:SF7', NULL, NULL, NULL, NULL, 'RE45222P', 139971),
(196246, 'PTHR10579:SF133', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', 139972),
(196247, 'PTHR46036:SF5', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE', 139973),
(196248, 'PTHR14273', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 1', 139974),
(196249, 'PTHR11685:SF296', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 139975),
(196250, 'PTHR31948:SF115', NULL, NULL, NULL, NULL, 'ZF-HD PROTEIN DIMERIZATION REGION PROTEIN', 139976);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(196251, 'PTHR21562:SF56', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 139977),
(196252, 'PTHR33085:SF93', NULL, NULL, NULL, NULL, 'OS05G0126000 PROTEIN', 139978),
(196253, 'PTHR47858', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', 139979),
(196254, 'PTHR12461:SF38', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PEPTIDASE AND ARGINYL-HYDROXYLASE JMJD5', 139980),
(196255, 'PTHR24044:SF464', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', 139981),
(196256, 'PTHR10504:SF17', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY C PROTEIN', 139982),
(196257, 'PTHR14095:SF0', NULL, NULL, NULL, NULL, 'MIP22305P', 139983),
(196258, 'PTHR48019:SF76', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN PISTILLATA', 139984),
(196259, 'PTHR10593:SF131', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 567-LIKE', 139985),
(196260, 'PTHR46934:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139986),
(196261, 'PTHR34876', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 139987),
(196262, 'PTHR16019:SF19', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', 139988),
(196263, 'PTHR45544', NULL, NULL, NULL, NULL, 'THIOSULFATE:GLUTATHIONE SULFURTRANSFERASE', 139989),
(196264, 'PTHR47956:SF57', NULL, NULL, NULL, NULL, 'OS02G0185500 PROTEIN', 139990),
(196265, 'PTHR31165:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139991),
(196266, 'PTHR46671:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG24500', 139992),
(196267, 'PTHR43243:SF62', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 8, VACUOLAR', 139993),
(196268, 'PTHR31062:SF232', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 139994),
(196269, 'PTHR31346:SF24', NULL, NULL, NULL, NULL, 'COBALT ION BINDING PROTEIN-RELATED', 139995),
(196270, 'PTHR23220:SF130', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-M', 139996),
(196271, 'PTHR23427:SF2', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 1', 139997),
(196272, 'PTHR23077:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 139998),
(196273, 'PTHR37321', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 139999),
(196274, 'PTHR33992:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN COMPONENT', 140000),
(196275, 'PTHR24418:SF263', NULL, NULL, NULL, NULL, 'NON-RECEPTOR TYROSINE-PROTEIN KINASE TNK1', 140001),
(196276, 'PTHR21141:SF58', NULL, NULL, NULL, NULL, 'ACIDIC RIBOSOMAL PROTEIN P2, PUTATIVE-RELATED', 140002),
(196277, 'PTHR45974:SF192', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 140003),
(196278, 'PTHR11712:SF339', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE', 140004),
(196279, 'PTHR24060:SF158', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR', 140005),
(196280, 'PTHR24221:SF228', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 8-RELATED', 140006),
(196281, 'PTHR31429:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140007),
(196282, 'PTHR10641:SF1140', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 140008),
(196283, 'PTHR31111:SF28', NULL, NULL, NULL, NULL, 'BNAA08G00320D PROTEIN', 140009),
(196284, 'PTHR11214:SF112', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE-RELATED', 140010),
(196285, 'PTHR12741:SF55', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 6-RELATED', 140011),
(196286, 'PTHR12515', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN CONTAINING PROTEIN 4-RELATED', 140012),
(196287, 'PTHR33168:SF31', NULL, NULL, NULL, NULL, 'STRESS INDUCED PROTEIN', 140013),
(196288, 'PTHR24282:SF151', NULL, NULL, NULL, NULL, 'OS07G0635700 PROTEIN', 140014),
(196289, 'PTHR21595:SF2', NULL, NULL, NULL, NULL, 'CALMODULIN-REGULATED SPECTRIN-ASSOCIATED PROTEIN 3', 140015),
(196290, 'PTHR42786:SF1', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE/URIDINE-2''-O-)-METHYLTRANSFERASE TRMJ', 140016),
(196291, 'PTHR33403:SF25', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1-LIKE 2', 140017),
(196292, 'PTHR31236:SF2', NULL, NULL, NULL, NULL, 'BURP DOMAIN PROTEIN RD22', 140018),
(196293, 'PTHR45623:SF11', NULL, NULL, NULL, NULL, 'KISMET, ISOFORM C', 140019),
(196294, 'PTHR43654:SF3', NULL, NULL, NULL, NULL, 'GLUTAMATE 5-KINASE', 140020);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(196295, 'PTHR31235:SF54', NULL, NULL, NULL, NULL, 'PEROXIDASE', 140021),
(196296, 'PTHR24377:SF725', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 776', 140022),
(196297, 'PTHR48018:SF76', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5I1', 140023),
(196298, 'PTHR24020:SF37', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 2', 140024),
(196299, 'PTHR12570:SF78', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 140025),
(196300, 'PTHR33021:SF413', NULL, NULL, NULL, NULL, 'STELLACYANIN-LIKE', 140026),
(196301, 'PTHR38468:SF1', NULL, NULL, NULL, NULL, 'SLL0939 PROTEIN', 140027),
(196302, 'PTHR22952:SF430', NULL, NULL, NULL, NULL, 'ABA RESPONSE ELEMENT-BINDING FACTOR', 140028),
(196303, 'PTHR11986:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140029),
(196304, 'PTHR11430:SF121', NULL, NULL, NULL, NULL, 'COMPLEMENT C8 GAMMA CHAIN', 140030),
(196305, 'PTHR45790:SF8', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III C-METHYLTRANSFERASE', 140031),
(196306, 'PTHR42032', NULL, NULL, NULL, NULL, 'YALI0E30679P', 140032),
(196307, 'PTHR31407:SF18', NULL, NULL, NULL, NULL, 'PSBP DOMAIN-CONTAINING PROTEIN 6, CHLOROPLASTIC', 140033),
(196308, 'PTHR10366:SF461', NULL, NULL, NULL, NULL, 'OS06G0623300 PROTEIN', 140034),
(196309, 'PTHR31802:SF20', NULL, NULL, NULL, NULL, 'BNAA02G05820D PROTEIN', 140035),
(196310, 'PTHR43335:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', 140036),
(196311, 'PTHR31503:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140037),
(196312, 'PTHR31683:SF143', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 140038),
(196313, 'PTHR24412:SF385', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 6', 140039),
(196314, 'PTHR12570:SF56', NULL, NULL, NULL, NULL, 'PROTEASOME ACTIVATOR SUBUNIT 3/P28 GAMMA', 140040),
(196315, 'PTHR33743:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140041),
(196316, 'PTHR23113:SF345', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR E', 140042),
(196317, 'PTHR36032:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENATE--CYSTEINE LIGASE 2', 140043),
(196318, 'PTHR12483:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140044),
(196319, 'PTHR37354', NULL, NULL, NULL, NULL, 'CHROMOSOME ALIGNMENT-MAINTAINING PHOSPHOPROTEIN 1', 140045),
(196320, 'PTHR39081', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 140046),
(196321, 'PTHR23353:SF5', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN SKYWALKER', 140047),
(196322, 'PTHR33144:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140048),
(196323, 'PTHR22574:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAM71D', 140049),
(196324, 'PTHR37758:SF1', NULL, NULL, NULL, NULL, 'OS03G0334300 PROTEIN', 140050),
(196325, 'PTHR43806:SF44', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND TRANSCRIPTION FACTOR SITE-1 PROTEASE', 140051),
(196326, 'PTHR12245:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140052),
(196327, 'PTHR16035:SF14', NULL, NULL, NULL, NULL, 'PROTEIN FAM90A10P-RELATED', 140053),
(196328, 'PTHR31680:SF9', NULL, NULL, NULL, NULL, 'LONGIFOLIA PROTEIN', 140054),
(196329, 'PTHR31953:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140055),
(196330, 'PTHR11079', NULL, NULL, NULL, NULL, 'CYTOSINE DEAMINASE FAMILY MEMBER', 140056),
(196331, 'PTHR31384:SF105', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 140057),
(196332, 'PTHR27005:SF11', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 20', 140058),
(196333, 'PTHR19918:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140059),
(196334, 'PTHR44329:SF140', NULL, NULL, NULL, NULL, 'INTEGRIN-LINKED KINASE FAMILY PROTEIN', 140060),
(196335, 'PTHR24073:SF128', NULL, NULL, NULL, NULL, 'RAB-LIKE PROTEIN 3', 140061),
(196336, 'PTHR34047:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR INTRON MATURASE 1, MITOCHONDRIAL', 140062),
(196337, 'PTHR26374:SF365', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT5-LIKE', 140063),
(196338, 'PTHR45645:SF23', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 140064),
(196339, 'PTHR10288:SF260', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140065),
(196340, 'PTHR46215:SF10', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 140066);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(196341, 'PTHR10695:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140067),
(196342, 'PTHR12702:SF2', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 6', 140068),
(196343, 'PTHR23266:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140069),
(196344, 'PTHR27000:SF588', NULL, NULL, NULL, NULL, 'OS07G0152200 PROTEIN', 140070),
(196345, 'PTHR15016:SF6', NULL, NULL, NULL, NULL, 'BREAST CARCINOMA-AMPLIFIED SEQUENCE 1', 140071),
(196346, 'PTHR10108:SF1058', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT18-RELATED', 140072),
(196347, 'PTHR24177:SF302', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140073),
(196348, 'PTHR33091:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140074),
(196349, 'PTHR43540:SF7', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE FAMILY PROTEIN YECD', 140075),
(196350, 'PTHR13301:SF56', NULL, NULL, NULL, NULL, 'MIXED-LINKED GLUCAN SYNTHASE 4', 140076),
(196351, 'PTHR24241:SF76', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR-RELATED', 140077),
(196352, 'PTHR33599:SF11', NULL, NULL, NULL, NULL, 'PROTEIN IDA-LIKE 5', 140078),
(196353, 'PTHR27000:SF544', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 140079),
(196354, 'PTHR40012:SF1', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 29', 140080),
(196355, 'PTHR11157:SF151', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 140081),
(196356, 'PTHR13479:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140082),
(196357, 'PTHR35131:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 140083),
(196358, 'PTHR13832:SF291', NULL, NULL, NULL, NULL, 'OS03G0809700 PROTEIN', 140084),
(196359, 'PTHR11699', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE-RELATED', 140085),
(196360, 'PTHR16189', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 140086),
(196361, 'PTHR24070:SF420', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN 1', 140087),
(196362, 'PTHR11260:SF610', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 140088),
(196363, 'PTHR12616', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING VPS41', 140089),
(196364, 'PTHR10099:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140090),
(196365, 'PTHR32440:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140091),
(196366, 'PTHR46279:SF6', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL20-LIKE', 140092),
(196367, 'PTHR13528', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L28, MITOCHONDRIAL', 140093),
(196368, 'PTHR11709:SF340', NULL, NULL, NULL, NULL, 'MULTICOPPER OXIDASE LPR1 HOMOLOG 1', 140094),
(196369, 'PTHR23505:SF9', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 140095),
(196370, 'PTHR31213:SF61', NULL, NULL, NULL, NULL, 'BNACNNG68710D PROTEIN', 140096),
(196371, 'PTHR11926:SF1407', NULL, NULL, NULL, NULL, '7-DEOXYLOGANETIN GLUCOSYLTRANSFERASE-LIKE', 140097),
(196372, 'PTHR31751:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140098),
(196373, 'PTHR33450:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140099),
(196374, 'PTHR11017:SF342', NULL, NULL, NULL, NULL, 'BNAC06G13540D PROTEIN', 140100),
(196375, 'PTHR11003:SF279', NULL, NULL, NULL, NULL, 'FI03418P', 140101),
(196376, 'PTHR35277:SF10', NULL, NULL, NULL, NULL, 'OS09G0363700 PROTEIN', 140102),
(196377, 'PTHR17537:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TOB2', 140103),
(196378, 'PTHR23074:SF153', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN', 140104),
(196379, 'PTHR22796:SF13', NULL, NULL, NULL, NULL, 'UP-REGULATOR OF CELL PROLIFERATION', 140105),
(196380, 'PTHR12573', NULL, NULL, NULL, NULL, 'AT09986P-RELATED', 140106),
(196381, 'PTHR44662:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 81', 140107),
(196382, 'PTHR26454:SF75', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 140108),
(196383, 'PTHR37610:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140109),
(196384, 'PTHR11639:SF73', NULL, NULL, NULL, NULL, 'PROTEIN S100-G', 140110),
(196385, 'PTHR24281:SF60', NULL, NULL, NULL, NULL, '5-EPIARISTOLOCHENE 1,3-DIHYDROXYLASE', 140111),
(196386, 'PTHR34049:SF7', NULL, NULL, NULL, NULL, 'BNACNNG04130D PROTEIN', 140112);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(196387, 'PTHR24174:SF7', NULL, NULL, NULL, NULL, 'CASK INTERACTING PROTEIN 2', 140113),
(196388, 'PTHR35705:SF2', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING TAIL-ANCHORED PROTEIN 2', 140114),
(196389, 'PTHR11732:SF468', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 4 MEMBER C9-LIKE', 140115),
(196390, 'PTHR31388:SF205', NULL, NULL, NULL, NULL, 'PEROXIDASE', 140116),
(196391, 'PTHR45580', NULL, NULL, NULL, NULL, 'PROTEIN CBG05369', 140117),
(196392, 'PTHR22803:SF124', NULL, NULL, NULL, NULL, 'ACCESSORY GLAND PROTEIN ACP29AB', 140118),
(196393, 'PTHR31707:SF267', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 6-RELATED', 140119),
(196394, 'PTHR31642:SF254', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', 140120),
(196395, 'PTHR13398:SF0', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE 2', 140121),
(196396, 'PTHR31717:SF92', NULL, NULL, NULL, NULL, 'B-BOX TYPE ZINC FINGER PROTEIN WITH CCT DOMAIN-CONTAINING PROTEIN-RELATED', 140122),
(196397, 'PTHR31190:SF202', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B-LIKE', 140123),
(196398, 'PTHR36002:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140124),
(196399, 'PTHR27009:SF217', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.4', 140125),
(196400, 'PTHR11216:SF61', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR PATHWAY SUBSTRATE CLONE 15, ISOFORM A', 140126),
(196401, 'PTHR48021:SF80', NULL, NULL, NULL, NULL, 'OS02G0229400 PROTEIN', 140127),
(196402, 'PTHR23301:SF68', NULL, NULL, NULL, NULL, 'LD20793P', 140128),
(196403, 'PTHR11560:SF8', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L10, MITOCHONDRIAL', 140129),
(196404, 'PTHR34376:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140130),
(196405, 'PTHR10906:SF1', NULL, NULL, NULL, NULL, 'DSEC61ALPHA', 140131),
(196406, 'PTHR26452:SF159', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 293-RELATED', 140132),
(196407, 'PTHR11802:SF382', NULL, NULL, NULL, NULL, 'PEPTIDASE S10, SERINE CARBOXYPEPTIDASE, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 140133),
(196408, 'PTHR33374:SF25', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 20', 140134),
(196409, 'PTHR43420:SF31', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 140135),
(196410, 'PTHR12411:SF750', NULL, NULL, NULL, NULL, 'BNAA08G00230D PROTEIN', 140136),
(196411, 'PTHR24033:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140137),
(196412, 'PTHR10114:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', 140138),
(196413, 'PTHR33057:SF109', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP8-LIKE', 140139),
(196414, 'PTHR45616:SF50', NULL, NULL, NULL, NULL, 'KERATIN 88-RELATED', 140140),
(196415, 'PTHR12396:SF12', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 3', 140141),
(196416, 'PTHR30314:SF10', NULL, NULL, NULL, NULL, 'TUBULIN-LIKE PROTEIN CETZ', 140142),
(196417, 'PTHR47926:SF213', NULL, NULL, NULL, NULL, 'BNAC06G13270D PROTEIN', 140143),
(196418, 'PTHR11937:SF38', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN T2', 140144),
(196419, 'PTHR47640:SF40', NULL, NULL, NULL, NULL, 'NUCLEOLYSIN TIAR-LIKE PROTEIN', 140145),
(196420, 'PTHR30128:SF60', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A1', 140146),
(196421, 'PTHR14224:SF6', NULL, NULL, NULL, NULL, 'PREFERENTIALLY EXPRESSED ANTIGEN IN MELANOMA-LIKE PROTEIN 1', 140147),
(196422, 'PTHR18896:SF138', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 140148),
(196423, 'PTHR43290:SF1', NULL, NULL, NULL, NULL, 'GLUCURONOKINASE 1-RELATED', 140149),
(196424, 'PTHR12565:SF377', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH74', 140150),
(196425, 'PTHR27003:SF267', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 140151),
(196426, 'PTHR43583:SF1', NULL, NULL, NULL, NULL, '2-IMINOACETATE SYNTHASE', 140152),
(196427, 'PTHR45642:SF112', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL3-LIKE ISOFORM X1', 140153),
(196428, 'PTHR20973', NULL, NULL, NULL, NULL, 'NON-SMC ELEMENT 1-RELATED', 140154);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(196429, 'PTHR47568:SF3', NULL, NULL, NULL, NULL, 'BNAA08G31440D PROTEIN', 140155),
(196430, 'PTHR12891:SF0', NULL, NULL, NULL, NULL, 'MMS19 NUCLEOTIDE EXCISION REPAIR PROTEIN HOMOLOG', 140156),
(196431, 'PTHR22896:SF4', NULL, NULL, NULL, NULL, 'CDK5 AND ABL ENZYME SUBSTRATE 2B', 140157),
(196432, 'PTHR13817:SF79', NULL, NULL, NULL, NULL, 'PROTOGENIN', 140158),
(196433, 'PTHR43520:SF8', NULL, NULL, NULL, NULL, 'ATP7, ISOFORM B', 140159),
(196434, 'PTHR31790:SF336', NULL, NULL, NULL, NULL, 'BNAA01G33470D PROTEIN', 140160),
(196435, 'PTHR24078:SF545', NULL, NULL, NULL, NULL, 'HSP40/DNAJ PEPTIDE-BINDING PROTEIN', 140161),
(196436, 'PTHR22934', NULL, NULL, NULL, NULL, 'PROTEIN ESC1/WETA-RELATED', 140162),
(196437, 'PTHR13343:SF30', NULL, NULL, NULL, NULL, 'BNAC03G41910D PROTEIN', 140163),
(196438, 'PTHR19317:SF34', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN-RELATED', 140164),
(196439, 'PTHR12141:SF3', NULL, NULL, NULL, NULL, 'ARFAPTIN-2', 140165),
(196440, 'PTHR24559:SF342', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140166),
(196441, 'PTHR24320:SF236', NULL, NULL, NULL, NULL, 'YALI0D09427P', 140167),
(196442, 'PTHR45959:SF28', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18-LIKE', 140168),
(196443, 'PTHR24193:SF86', NULL, NULL, NULL, NULL, 'GA-BINDING PROTEIN SUBUNIT BETA-2', 140169),
(196444, 'PTHR10934:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140170),
(196445, 'PTHR19134:SF472', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE S', 140171),
(196446, 'PTHR31579:SF58', NULL, NULL, NULL, NULL, 'DUF506 FAMILY PROTEIN', 140172),
(196447, 'PTHR31080:SF86', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 6', 140173),
(196448, 'PTHR35703:SF1', NULL, NULL, NULL, NULL, 'INACTIVE HEME OXYGENASE 2, CHLOROPLASTIC-RELATED', 140174),
(196449, 'PTHR47941', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 3, MITOCHONDRIAL', 140175),
(196450, 'PTHR24260:SF87', NULL, NULL, NULL, NULL, 'GH08193P-RELATED', 140176),
(196451, 'PTHR11361:SF139', NULL, NULL, NULL, NULL, 'REPAIR PROTEIN, PUTATIVE-RELATED', 140177),
(196452, 'PTHR13271:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140178),
(196453, 'PTHR21266:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140179),
(196454, 'PTHR11566:SF196', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN', 140180),
(196455, 'PTHR43139:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140181),
(196456, 'PTHR11616:SF286', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT NEUTRAL AND BASIC AMINO ACID TRANSPORTER B(0+)', 140182),
(196457, 'PTHR35896', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 140183),
(196458, 'PTHR45927:SF7', NULL, NULL, NULL, NULL, 'LYSM-DOMAIN RECEPTOR-LIKE KINASE', 140184),
(196459, 'PTHR10903:SF145', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST 34, CHLOROPLASTIC', 140185),
(196460, 'PTHR20843', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN CONTAINING PROTEIN 10', 140186),
(196461, 'PTHR43634:SF3', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 3, CHLOROPLASTIC', 140187),
(196462, 'PTHR43784', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00820)-RELATED', 140188),
(196463, 'PTHR27003:SF261', NULL, NULL, NULL, NULL, 'OS07G0147600 PROTEIN', 140189),
(196464, 'PTHR23504:SF91', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY-RELATED', 140190),
(196465, 'PTHR11660:SF69', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 PROTEIN', 140191),
(196466, 'PTHR23233:SF51', NULL, NULL, NULL, NULL, 'SAL-LIKE PROTEIN 1', 140192),
(196467, 'PTHR47980:SF24', NULL, NULL, NULL, NULL, 'LD44762P', 140193),
(196468, 'PTHR14359:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENOYLCYSTEINE DECARBOXYLASE', 140194),
(196469, 'PTHR27005:SF389', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140195),
(196470, 'PTHR11645:SF22', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE 3', 140196),
(196471, 'PTHR33644:SF4', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 63', 140197),
(196472, 'PTHR38117:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140198);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(196473, 'PTHR10497:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140199),
(196474, 'PTHR45834:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140200),
(196475, 'PTHR16983:SF16', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN CONTAINING 2', 140201),
(196476, 'PTHR23201:SF69', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED FAMILY PROTEIN', 140202),
(196477, 'PTHR43228:SF18', NULL, NULL, NULL, NULL, 'BNAA05G33130D PROTEIN', 140203),
(196478, 'PTHR48004:SF44', NULL, NULL, NULL, NULL, 'OS11G0173700 PROTEIN', 140204),
(196479, 'PTHR33179:SF48', NULL, NULL, NULL, NULL, 'VQ-RELATED', 140205),
(196480, 'PTHR34558:SF9', NULL, NULL, NULL, NULL, 'F3L24.15 PROTEIN', 140206),
(196481, 'PTHR10159:SF522', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND PHOSPHATASE DOMAIN CONTAINING PROTEIN', 140207),
(196482, 'PTHR31681:SF74', NULL, NULL, NULL, NULL, 'OS01G0785900 PROTEIN', 140208),
(196483, 'PTHR31529:SF25', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 30', 140209),
(196484, 'PTHR30615:SF8', NULL, NULL, NULL, NULL, 'UPF0047 PROTEIN C4A8.02C', 140210),
(196485, 'PTHR24147:SF34', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 18A', 140211),
(196486, 'PTHR32176:SF72', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 2', 140212),
(196487, 'PTHR43670:SF64', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', 140213),
(196488, 'PTHR43420:SF37', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, GNAT FAMILY PROTEIN', 140214),
(196489, 'PTHR11062:SF253', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 140215),
(196490, 'PTHR45721:SF9', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFA-2-RELATED', 140216),
(196491, 'PTHR43789:SF1', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 1-RELATED', 140217),
(196492, 'PTHR34287:SF2', NULL, NULL, NULL, NULL, 'OS06G0551500 PROTEIN', 140218),
(196493, 'PTHR31636:SF253', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', 140219),
(196494, 'PTHR23273:SF46', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT B-LIKE', 140220),
(196495, 'PTHR43652:SF2', NULL, NULL, NULL, NULL, 'BASIC AMINO ACID ANTIPORTER YFCC-RELATED', 140221),
(196496, 'PTHR10404:SF70', NULL, NULL, NULL, NULL, 'TRANSFERRIN RECEPTOR 1B', 140222),
(196497, 'PTHR16100', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE-INTERACTING PROTEIN FAMILY MEMBER', 140223),
(196498, 'PTHR11945:SF641', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', 140224),
(196499, 'PTHR31607:SF19', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1216)-RELATED', 140225),
(196500, 'PTHR31614:SF30', NULL, NULL, NULL, NULL, '80A08_10', 140226),
(196501, 'PTHR36172', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 140227),
(196502, 'PTHR10992:SF1004', NULL, NULL, NULL, NULL, 'ESTERASE PIR7B', 140228),
(196503, 'PTHR11654:SF102', NULL, NULL, NULL, NULL, 'DIPEPTIDE AND TRIPEPTIDE PERMEASE B', 140229),
(196504, 'PTHR31286:SF73', NULL, NULL, NULL, NULL, 'BNAANNG03470D PROTEIN', 140230),
(196505, 'PTHR45693:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140231),
(196506, 'PTHR16130', NULL, NULL, NULL, NULL, 'LYSOSOMAL COBALAMIN TRANSPORTER-RELATED', 140232),
(196507, 'PTHR22958:SF32', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD1, CHLOROPLASTIC-LIKE', 140233),
(196508, 'PTHR38616:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG03925', 140234),
(196509, 'PTHR14049:SF14', NULL, NULL, NULL, NULL, 'PROLYL 3-HYDROXYLASE 3', 140235),
(196510, 'PTHR24302:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 3A43', 140236),
(196511, 'PTHR24028:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140237),
(196512, 'PTHR44083:SF30', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 140238),
(196513, 'PTHR26451:SF146', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2A25-RELATED', 140239),
(196514, 'PTHR31218:SF247', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 140240),
(196515, 'PTHR46691:SF1', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 9', 140241),
(196516, 'PTHR33473:SF15', NULL, NULL, NULL, NULL, 'BNAA07G24510D PROTEIN', 140242);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(196517, 'PTHR21308:SF8', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G09620)', 140243),
(196518, 'PTHR31140:SF46', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR', 140244),
(196519, 'PTHR12784:SF28', NULL, NULL, NULL, NULL, 'PROTEIN SICKIE', 140245),
(196520, 'PTHR45676:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140246),
(196521, 'PTHR11548:SF14', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DIHYDROFOLATE REDUCTASE-THYMIDYLATE SYNTHASE', 140247),
(196522, 'PTHR10744:SF7', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S17, CHLOROPLASTIC', 140248),
(196523, 'PTHR10513:SF19', NULL, NULL, NULL, NULL, 'DEOXYCYTIDINE KINASE', 140249),
(196524, 'PTHR21428', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 7', 140250),
(196525, 'PTHR46836:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140251),
(196526, 'PTHR47119:SF4', NULL, NULL, NULL, NULL, 'C GLOBULAR STAGE ISOFORM 1', 140252),
(196527, 'PTHR21654:SF31', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GTL2', 140253),
(196528, 'PTHR30503:SF3', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YEDI', 140254),
(196529, 'PTHR31131:SF2', NULL, NULL, NULL, NULL, 'CYTOSOLIC ARGININE SENSOR FOR MTORC1 SUBUNIT 2-RELATED', 140255),
(196530, 'PTHR12370:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE 3-RELATED', 140256),
(196531, 'PTHR14592', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED FAM3', 140257),
(196532, 'PTHR45632', NULL, NULL, NULL, NULL, 'LD33804P', 140258),
(196533, 'PTHR16134:SF19', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 18', 140259),
(196534, 'PTHR19308:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140260),
(196535, 'PTHR35566', NULL, NULL, NULL, NULL, 'BLR3599 PROTEIN', 140261),
(196536, 'PTHR11926:SF1394', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 140262),
(196537, 'PTHR34033', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT BETA-1', 140263),
(196538, 'PTHR11709:SF370', NULL, NULL, NULL, NULL, 'LACCASE-22', 140264),
(196539, 'PTHR26453:SF318', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2J2', 140265),
(196540, 'PTHR32093:SF152', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', 140266),
(196541, 'PTHR12197:SF268', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140267),
(196542, 'PTHR24062:SF146', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 3', 140268),
(196543, 'PTHR22744:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG05970', 140269),
(196544, 'PTHR24296:SF181', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 140270),
(196545, 'PTHR33264:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140271),
(196546, 'PTHR14336:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140272),
(196547, 'PTHR11607:SF3', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE 2-RELATED', 140273),
(196548, 'PTHR37971', NULL, NULL, NULL, NULL, 'ANTIBACTERIAL FACTOR-RELATED PEPTIDE 1-RELATED', 140274),
(196549, 'PTHR22932:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140275),
(196550, 'PTHR46510:SF1', NULL, NULL, NULL, NULL, 'BROMODOMAIN ADJACENT TO ZINC FINGER DOMAIN PROTEIN 1A', 140276),
(196551, 'PTHR47933:SF7', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', 140277),
(196552, 'PTHR23334:SF5', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN ALPHA', 140278),
(196553, 'PTHR10424:SF71', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP PABLB MEMBER 1 ENV POLYPROTEIN', 140279),
(196554, 'PTHR23315:SF290', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 140280),
(196555, 'PTHR31923:SF27', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', 140281),
(196556, 'PTHR43721:SF23', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU', 140282),
(196557, 'PTHR11062:SF255', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT17-RELATED', 140283),
(196558, 'PTHR13604', NULL, NULL, NULL, NULL, 'DC12-RELATED', 140284),
(196559, 'PTHR34960', NULL, NULL, NULL, NULL, 'EMB|CAB68146.1-RELATED', 140285),
(196560, 'PTHR10994:SF145', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B13', 140286);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(196561, 'PTHR11984:SF111', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', 140287),
(196562, 'PTHR33163:SF27', NULL, NULL, NULL, NULL, 'PROTEIN TIC 214', 140288),
(196563, 'PTHR31385:SF2', NULL, NULL, NULL, NULL, 'F5O8.19 PROTEIN', 140289),
(196564, 'PTHR28208:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE APP1', 140290),
(196565, 'PTHR24221:SF496', NULL, NULL, NULL, NULL, 'TRANSPORTER ABC DOMAIN PROTEIN', 140291),
(196566, 'PTHR34271', NULL, NULL, NULL, NULL, 'NUCLEOLAR HISTONE METHYLTRANSFERASE-RELATED PROTEIN', 140292),
(196567, 'PTHR31625:SF65', NULL, NULL, NULL, NULL, '5-AROMATIC ACYLTRANSFERASE, PUTATIVE-RELATED', 140293),
(196568, 'PTHR11588:SF292', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1D CHAIN', 140294),
(196569, 'PTHR48099:SF11', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL METHYLENETETRAHYDROFOLATE DEHYDROGENASE/CYCLOHYDROLASE, MITOCHONDRIAL', 140295),
(196570, 'PTHR45658:SF20', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 14', 140296),
(196571, 'PTHR13068:SF159', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', 140297),
(196572, 'PTHR21234:SF19', NULL, NULL, NULL, NULL, 'BARK STORAGE-LIKE PROTEIN', 140298),
(196573, 'PTHR33076:SF49', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2B-LIKE', 140299),
(196574, 'PTHR13844:SF60', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 140300),
(196575, 'PTHR11926:SF1425', NULL, NULL, NULL, NULL, 'OS07G0241800 PROTEIN', 140301),
(196576, 'PTHR13780:SF145', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT GAMMA 1-RELATED', 140302),
(196577, 'PTHR21503:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG08432', 140303),
(196578, 'PTHR28047:SF5', NULL, NULL, NULL, NULL, 'PROTEIN DCG1', 140304),
(196579, 'PTHR24373:SF265', NULL, NULL, NULL, NULL, 'SI:CH211-180F4.1', 140305),
(196580, 'PTHR20961:SF101', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', 140306),
(196581, 'PTHR13417', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 140307),
(196582, 'PTHR11514:SF137', NULL, NULL, NULL, NULL, 'BNAA06G35910D PROTEIN', 140308),
(196583, 'PTHR42856', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE PAAI', 140309),
(196584, 'PTHR34464:SF10', NULL, NULL, NULL, NULL, 'BNAANNG04910D PROTEIN', 140310),
(196585, 'PTHR16435:SF8', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED 6-LIKE', 140311),
(196586, 'PTHR46020:SF25', NULL, NULL, NULL, NULL, 'BNAA09G15670D PROTEIN', 140312),
(196587, 'PTHR23248:SF32', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', 140313),
(196588, 'PTHR11709:SF354', NULL, NULL, NULL, NULL, 'LACCASE', 140314),
(196589, 'PTHR24351:SF210', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 3', 140315),
(196590, 'PTHR12062:SF0', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE A-LIKE', 140316),
(196591, 'PTHR21538', NULL, NULL, NULL, NULL, 'ANILLIN/RHOTEKIN  RTKN', 140317),
(196592, 'PTHR11055:SF46', NULL, NULL, NULL, NULL, 'ATP SULFURYLASE 1, CHLOROPLASTIC-RELATED', 140318),
(196593, 'PTHR15532:SF2', NULL, NULL, NULL, NULL, 'DERMATAN-SULFATE EPIMERASE-LIKE PROTEIN', 140319),
(196594, 'PTHR31744:SF104', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 100', 140320),
(196595, 'PTHR23203:SF8', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 2-RELATED', 140321),
(196596, 'PTHR46742', NULL, NULL, NULL, NULL, 'LYSINE-RICH COILED-COIL PROTEIN 1', 140322),
(196597, 'PTHR10353:SF176', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 29', 140323),
(196598, 'PTHR46100:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140324),
(196599, 'PTHR43903', NULL, NULL, NULL, NULL, 'NEUROLIGIN', 140325),
(196600, 'PTHR11945:SF516', NULL, NULL, NULL, NULL, 'OS02G0104100 PROTEIN', 140326),
(196601, 'PTHR23130:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140327),
(196602, 'PTHR37180:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140328),
(196603, 'PTHR10353:SF219', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 5', 140329),
(196604, 'PTHR21495:SF166', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 140330),
(196605, 'PTHR23359:SF166', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', 140331);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(196606, 'PTHR46149:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-27J5.5-RELATED', 140332),
(196607, 'PTHR16675:SF3', NULL, NULL, NULL, NULL, 'IGG RECEPTOR FCRN LARGE SUBUNIT P51', 140333),
(196608, 'PTHR42897:SF1', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE BETA CHAIN (PYRUVIC-FERREDOXIN OXIDOREDUCTASE BETA CHAIN) (PORB-2)', 140334),
(196609, 'PTHR10168:SF290', NULL, NULL, NULL, NULL, 'THIOREDOXIN SUPERFAMILY PROTEIN-RELATED', 140335),
(196610, 'PTHR30414:SF0', NULL, NULL, NULL, NULL, 'MINICONDUCTANCE MECHANOSENSITIVE CHANNEL YBDG', 140336),
(196611, 'PTHR24012:SF843', NULL, NULL, NULL, NULL, 'CUGBP ELAV-LIKE FAMILY MEMBER 3', 140337),
(196612, 'PTHR23279:SF5', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 8, ISOFORM A', 140338),
(196613, 'PTHR34360:SF14', NULL, NULL, NULL, NULL, 'BNAA09G41410D PROTEIN', 140339),
(196614, 'PTHR13164:SF5', NULL, NULL, NULL, NULL, 'CALCYCLIN-BINDING PROTEIN', 140340),
(196615, 'PTHR10314:SF201', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', 140341),
(196616, 'PTHR46128:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140342),
(196617, 'PTHR37702:SF11', NULL, NULL, NULL, NULL, 'BNAA05G30670D PROTEIN', 140343),
(196618, 'PTHR13710', NULL, NULL, NULL, NULL, 'DNA HELICASE RECQ FAMILY MEMBER', 140344),
(196619, 'PTHR13049:SF8', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 25', 140345),
(196620, 'PTHR18868:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140346),
(196621, 'PTHR11890:SF7', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-LIKE 1', 140347),
(196622, 'PTHR11699:SF228', NULL, NULL, NULL, NULL, '4-TRIMETHYLAMINOBUTYRALDEHYDE DEHYDROGENASE', 140348),
(196623, 'PTHR23288', NULL, NULL, NULL, NULL, 'OCCLUDIN AND RNA POLYMERASE II ELONGATION FACTOR ELL', 140349),
(196624, 'PTHR23336:SF44', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 6', 140350),
(196625, 'PTHR38788:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140351),
(196626, 'PTHR12386:SF34', NULL, NULL, NULL, NULL, 'ATPASE, F0 COMPLEX, SUBUNIT G-RELATED', 140352),
(196627, 'PTHR11064:SF120', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT BETA', 140353),
(196628, 'PTHR48056:SF11', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', 140354),
(196629, 'PTHR23158', NULL, NULL, NULL, NULL, 'MELANOMA INHIBITORY ACTIVITY-RELATED', 140355),
(196630, 'PTHR31985:SF142', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF036', 140356),
(196631, 'PTHR45636:SF9', NULL, NULL, NULL, NULL, 'SEGMENTATION PROTEIN PAIRED', 140357),
(196632, 'PTHR13027:SF15', NULL, NULL, NULL, NULL, 'VACUOLAR FUSION PROTEIN MON1-RELATED', 140358),
(196633, 'PTHR43085:SF13', NULL, NULL, NULL, NULL, 'INOSITOL 3-KINASE', 140359),
(196634, 'PTHR45979:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140360),
(196635, 'PTHR31376:SF55', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 1', 140361),
(196636, 'PTHR46218:SF2', NULL, NULL, NULL, NULL, 'LIM AND SH3 DOMAIN PROTEIN 1', 140362),
(196637, 'PTHR10381:SF66', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', 140363),
(196638, 'PTHR43349:SF74', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE-RELATED', 140364),
(196639, 'PTHR11644:SF24', NULL, NULL, NULL, NULL, 'CYTIDINE DEAMINASE', 140365),
(196640, 'PTHR13061:SF39', NULL, NULL, NULL, NULL, 'YRDA, PUTATIVE-RELATED', 140366),
(196641, 'PTHR15615:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140367),
(196642, 'PTHR23506:SF23', NULL, NULL, NULL, NULL, 'GH10249P', 140368),
(196643, 'PTHR47938:SF16', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 140369),
(196644, 'PTHR12313:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA3', 140370),
(196645, 'PTHR12411:SF697', NULL, NULL, NULL, NULL, 'BNAA01G05320D PROTEIN', 140371),
(196646, 'PTHR11461:SF164', NULL, NULL, NULL, NULL, 'UTEROFERRIN-ASSOCIATED PROTEIN', 140372),
(196647, 'PTHR31852:SF154', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 3-LIKE', 140373),
(196648, 'PTHR17630:SF52', NULL, NULL, NULL, NULL, 'ENDO-1,3-1,4-BETA-D-GLUCANASE-LIKE PROTEIN', 140374);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(196649, 'PTHR31752', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 1B-RELATED', 140375),
(196650, 'PTHR12998:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140376),
(196651, 'PTHR16771:SF0', NULL, NULL, NULL, NULL, '26S PROTEASOME COMPLEX SUBUNIT SEM1', 140377),
(196652, 'PTHR46756:SF18', NULL, NULL, NULL, NULL, 'PROTEIN OPAQUE10', 140378),
(196653, 'PTHR22849:SF114', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 140379),
(196654, 'PTHR47027:SF8', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE FROM TRANSPOSON BS-LIKE PROTEIN-RELATED', 140380),
(196655, 'PTHR35355', NULL, NULL, NULL, NULL, 'PROTEIN FAM229A', 140381),
(196656, 'PTHR43179:SF1', NULL, NULL, NULL, NULL, 'GALACTOFURANOSYLTRANSFERASE GLFT1', 140382),
(196657, 'PTHR34630:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140383),
(196658, 'PTHR47483:SF1', NULL, NULL, NULL, NULL, 'BETA-ARABINOFURANOSYLTRANSFERASE RAY1', 140384),
(196659, 'PTHR46869:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT9-LIKE', 140385),
(196660, 'PTHR34200:SF8', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE ISOFORM X1', 140386),
(196661, 'PTHR46326:SF10', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGER PROTEIN', 140387),
(196662, 'PTHR31273:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOKETOLASE-RELATED', 140388),
(196663, 'PTHR43597:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140389),
(196664, 'PTHR22603:SF66', NULL, NULL, NULL, NULL, 'ETHANOLAMINE KINASE 1', 140390),
(196665, 'PTHR15092:SF42', NULL, NULL, NULL, NULL, 'POLY(A)-SPECIFIC RIBONUCLEASE PARN-LIKE', 140391),
(196666, 'PTHR24296:SF143', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 96, SUBFAMILY A, POLYPEPTIDE 5', 140392),
(196667, 'PTHR12300:SF151', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 140393),
(196668, 'PTHR31366', NULL, NULL, NULL, NULL, 'UPF0739 PROTEIN C1ORF74', 140394),
(196669, 'PTHR31906:SF32', NULL, NULL, NULL, NULL, 'PLASTID LIPID-ASSOCIATED PROTEIN/FIBRILLIN CONSERVED DOMAIN', 140395),
(196670, 'PTHR35794', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DIVIVA', 140396),
(196671, 'PTHR12313:SF53', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 140397),
(196672, 'PTHR37534:SF20', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 140398),
(196673, 'PTHR46701:SF7', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE KOBITO 1', 140399),
(196674, 'PTHR23024:SF502', NULL, NULL, NULL, NULL, 'PEPPER ESTERASE', 140400),
(196675, 'PTHR46629:SF23', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 140401),
(196676, 'PTHR45874:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D10', 140402),
(196677, 'PTHR43379:SF6', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE 2-RELATED', 140403),
(196678, 'PTHR11949:SF6', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 4', 140404),
(196679, 'PTHR45892:SF1', NULL, NULL, NULL, NULL, 'AMINOACYLASE-1', 140405),
(196680, 'PTHR47158:SF1', NULL, NULL, NULL, NULL, 'OS08G0239000 PROTEIN', 140406),
(196681, 'PTHR11588:SF374', NULL, NULL, NULL, NULL, 'DELTA TUBULIN', 140407),
(196682, 'PTHR31549:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140408),
(196683, 'PTHR22921:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG25532', 140409),
(196684, 'PTHR23099', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', 140410),
(196685, 'PTHR21050', NULL, NULL, NULL, NULL, 'MIDKINE AND PLEIOTROPHIN 1, ISOFORM A-RELATED', 140411),
(196686, 'PTHR13817:SF75', NULL, NULL, NULL, NULL, 'HEMICENTIN 2', 140412),
(196687, 'PTHR24286:SF286', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 140413),
(196688, 'PTHR34126:SF6', NULL, NULL, NULL, NULL, 'BNACNNG43580D PROTEIN', 140414),
(196689, 'PTHR21708:SF41', NULL, NULL, NULL, NULL, 'BLL3147 PROTEIN', 140415),
(196690, 'PTHR39192:SF1', NULL, NULL, NULL, NULL, 'IRON UPTAKE SYSTEM COMPONENT EFEO', 140416),
(196691, 'PTHR47729', NULL, NULL, NULL, NULL, 'SERINE PEPTIDASE INHIBITOR, KAZAL TYPE 2, TANDEM DUPLICATE 1-RELATED', 140417),
(196692, 'PTHR11871', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE PP2A REGULATORY SUBUNIT B', 140418);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(196693, 'PTHR23322:SF88', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 10', 140419),
(196694, 'PTHR24223:SF397', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE ASSOCIATED PROTEIN MRP2', 140420),
(196695, 'PTHR21089', NULL, NULL, NULL, NULL, 'SHIKIMATE DEHYDROGENASE', 140421),
(196696, 'PTHR24055:SF200', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 19', 140422),
(196697, 'PTHR14217:SF1', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', 140423),
(196698, 'PTHR34394', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 2310022B05', 140424),
(196699, 'PTHR18945:SF862', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140425),
(196700, 'PTHR35549:SF4', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 140426),
(196701, 'PTHR11945:SF574', NULL, NULL, NULL, NULL, 'BNAC09G14350D PROTEIN', 140427),
(196702, 'PTHR47926:SF275', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 140428),
(196703, 'PTHR11260:SF679', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 140429),
(196704, 'PTHR43041', NULL, NULL, NULL, NULL, 'HYDROLASE, METALLO-BETA-LACTAMASE SUPERFAMILY', 140430),
(196705, 'PTHR11654:SF357', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.10', 140431),
(196706, 'PTHR24296:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140432),
(196707, 'PTHR17068:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140433),
(196708, 'PTHR44981', NULL, NULL, NULL, NULL, 'PERICENTRIN-LIKE PROTEIN, ISOFORM F', 140434),
(196709, 'PTHR11751:SF472', NULL, NULL, NULL, NULL, 'GLUTAMATE--GLYOXYLATE AMINOTRANSFERASE 1', 140435),
(196710, 'PTHR10332:SF67', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 4', 140436),
(196711, 'PTHR45753', NULL, NULL, NULL, NULL, 'ORNITHINE CARBAMOYLTRANSFERASE, MITOCHONDRIAL', 140437),
(196712, 'PTHR47204', NULL, NULL, NULL, NULL, 'OS02G0168900 PROTEIN', 140438),
(196713, 'PTHR45737:SF3', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 5A', 140439),
(196714, 'PTHR31270:SF2', NULL, NULL, NULL, NULL, 'GLUTAMINYL-PEPTIDE CYCLOTRANSFERASE-LIKE', 140440),
(196715, 'PTHR11662:SF207', NULL, NULL, NULL, NULL, 'VESICULAR GLUTAMATE TRANSPORTER 3', 140441),
(196716, 'PTHR24377:SF865', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 655', 140442),
(196717, 'PTHR24349:SF413', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 140443),
(196718, 'PTHR12210:SF124', NULL, NULL, NULL, NULL, 'OS05G0466800 PROTEIN', 140444),
(196719, 'PTHR43572:SF46', NULL, NULL, NULL, NULL, 'BNAANNG15800D PROTEIN', 140445),
(196720, 'PTHR10336:SF150', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 140446),
(196721, 'PTHR47334:SF2', NULL, NULL, NULL, NULL, 'SPLICING FACTOR PWI DOMAIN-CONTAINING PROTEIN / RNA RECOGNITION MOTIF (RRM)-CONTAINING PROTEIN', 140447),
(196722, 'PTHR47842:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 140448),
(196723, 'PTHR11453:SF38', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER (EUROFUNG)', 140449),
(196724, 'PTHR37398', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,4-MANNANASE', 140450),
(196725, 'PTHR10574:SF298', NULL, NULL, NULL, NULL, 'MULTIPLE EPIDERMAL GROWTH FACTOR-LIKE DOMAINS PROTEIN 9', 140451),
(196726, 'PTHR30026:SF4', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE EFFLUX PROTEIN-RELATED', 140452),
(196727, 'PTHR33159:SF6', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4', 140453),
(196728, 'PTHR26451:SF345', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6N2', 140454),
(196729, 'PTHR46347:SF3', NULL, NULL, NULL, NULL, 'OS01G0610700 PROTEIN', 140455),
(196730, 'PTHR21399:SF0', NULL, NULL, NULL, NULL, 'METHYLOSOME SUBUNIT PICLN', 140456),
(196731, 'PTHR19877:SF12', NULL, NULL, NULL, NULL, 'BNAC06G05570D PROTEIN', 140457),
(196732, 'PTHR27006:SF188', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 140458),
(196733, 'PTHR48011:SF44', NULL, NULL, NULL, NULL, 'BNAA05G35330D PROTEIN', 140459),
(196734, 'PTHR34710', NULL, NULL, NULL, NULL, 'OS03G0834100 PROTEIN', 140460),
(196735, 'PTHR45942', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPATASE 3 REGULATORY SUBUNIT B ALPHA ISOFORM TYPE 1', 140461);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(196736, 'PTHR10544:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28-2', 140462),
(196737, 'PTHR43727:SF3', NULL, NULL, NULL, NULL, 'DECARBOXYLASE-RELATED', 140463),
(196738, 'PTHR43853:SF12', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE (KAT1), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G11350)-RELATED', 140464),
(196739, 'PTHR33826:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140465),
(196740, 'PTHR46100:SF1', NULL, NULL, NULL, NULL, 'OS02G0773200 PROTEIN', 140466),
(196741, 'PTHR31509:SF72', NULL, NULL, NULL, NULL, 'BPS1-LIKE PROTEIN', 140467),
(196742, 'PTHR48011:SF6', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE', 140468),
(196743, 'PTHR48012:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 10', 140469),
(196744, 'PTHR35130:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 16', 140470),
(196745, 'PTHR22621:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140471),
(196746, 'PTHR46553:SF11', NULL, NULL, NULL, NULL, 'OS07G0673400 PROTEIN', 140472),
(196747, 'PTHR35353:SF1', NULL, NULL, NULL, NULL, 'OSTEOCRIN', 140473),
(196748, 'PTHR34460:SF6', NULL, NULL, NULL, NULL, 'OS02G0526700 PROTEIN', 140474),
(196749, 'PTHR31681:SF3', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', 140475),
(196750, 'PTHR15316:SF7', NULL, NULL, NULL, NULL, 'BNACNNG40980D PROTEIN', 140476),
(196751, 'PTHR11258:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140477),
(196752, 'PTHR48080:SF1', NULL, NULL, NULL, NULL, 'GLUCARATE DEHYDRATASE-RELATED PROTEIN', 140478),
(196753, 'PTHR27004:SF390', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 140479),
(196754, 'PTHR10985:SF13', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR-RELATED', 140480),
(196755, 'PTHR36476:SF1', NULL, NULL, NULL, NULL, 'OREXIGENIC NEUROPEPTIDE QRFP', 140481),
(196756, 'PTHR19444:SF11', NULL, NULL, NULL, NULL, 'AGAP001337-PA', 140482),
(196757, 'PTHR24070:SF266', NULL, NULL, NULL, NULL, 'RAS-LIKE WITHOUT CAAX 1', 140483),
(196758, 'PTHR37724:SF1', NULL, NULL, NULL, NULL, 'OS02G0564300 PROTEIN', 140484),
(196759, 'PTHR10414:SF47', NULL, NULL, NULL, NULL, 'ETHANOLAMINEPHOSPHOTRANSFERASE 1', 140485),
(196760, 'PTHR27004:SF367', NULL, NULL, NULL, NULL, 'OS12G0217500 PROTEIN', 140486),
(196761, 'PTHR47575:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 10', 140487),
(196762, 'PTHR14155:SF548', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140488),
(196763, 'PTHR37558:SF2', NULL, NULL, NULL, NULL, 'PROTEIN B, PUTATIVE-RELATED', 140489),
(196764, 'PTHR34223:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140490),
(196765, 'PTHR24002', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 18', 140491),
(196766, 'PTHR24282:SF149', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 72 PROTEIN', 140492),
(196767, 'PTHR46413:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140493),
(196768, 'PTHR23138:SF144', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN', 140494),
(196769, 'PTHR46253:SF3', NULL, NULL, NULL, NULL, 'TGF-BETA-ACTIVATED KINASE 1 AND MAP3K7-BINDING PROTEIN 3', 140495),
(196770, 'PTHR12703:SF6', NULL, NULL, NULL, NULL, 'PORE MEMBRANE PROTEIN OF 33 KDA', 140496),
(196771, 'PTHR43019:SF42', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 140497),
(196772, 'PTHR32444:SF51', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 140498),
(196773, 'PTHR37371:SF1', NULL, NULL, NULL, NULL, 'OS08G0180400 PROTEIN', 140499),
(196774, 'PTHR15739', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 140500),
(196775, 'PTHR11219:SF65', NULL, NULL, NULL, NULL, 'TENEURIN-3', 140501),
(196776, 'PTHR44137:SF15', NULL, NULL, NULL, NULL, 'MOLECULAR CHAPERONE HSP40/DNAJ FAMILY PROTEIN', 140502),
(196777, 'PTHR31087:SF87', NULL, NULL, NULL, NULL, 'PROTEIN LURP1', 140503),
(196778, 'PTHR31376:SF86', NULL, NULL, NULL, NULL, 'BNAA06G13950D PROTEIN', 140504),
(196779, 'PTHR12283:SF6', NULL, NULL, NULL, NULL, 'GH11174P-RELATED', 140505),
(196780, 'PTHR28290:SF1', NULL, NULL, NULL, NULL, 'ENHANCER OF TRANSLATION TERMINATION 1', 140506);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(196781, 'PTHR24320:SF213', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 12-LIKE', 140507),
(196782, 'PTHR26452:SF52', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 140508),
(196783, 'PTHR10412:SF11', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE GLUCOSIDASE', 140509),
(196784, 'PTHR11278:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', 140510),
(196785, 'PTHR31500:SF60', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 7-LIKE', 140511),
(196786, 'PTHR10782:SF84', NULL, NULL, NULL, NULL, 'E4 SUMO-PROTEIN LIGASE PIAL2-LIKE', 140512),
(196787, 'PTHR45975:SF2', NULL, NULL, NULL, NULL, 'NUCLEOSOME-REMODELING FACTOR SUBUNIT BPTF', 140513),
(196788, 'PTHR16134:SF45', NULL, NULL, NULL, NULL, 'PROTEIN AUXIN SIGNALING F-BOX 2', 140514),
(196789, 'PTHR43689:SF36', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE BODYGUARD 2-RELATED', 140515),
(196790, 'PTHR24377:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140516),
(196791, 'PTHR35335:SF1', NULL, NULL, NULL, NULL, 'UPF0716 PROTEIN FXSA', 140517),
(196792, 'PTHR34980:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 140518),
(196793, 'PTHR45863:SF8', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', 140519),
(196794, 'PTHR44858:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140520),
(196795, 'PTHR10064:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-3-LIKE', 140521),
(196796, 'PTHR34787:SF6', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT VI-1, CHLOROPLASTIC-LIKE', 140522),
(196797, 'PTHR31600:SF2', NULL, NULL, NULL, NULL, 'TINY MACROCYSTS PROTEIN B-RELATED', 140523),
(196798, 'PTHR37418:SF2', NULL, NULL, NULL, NULL, '3-KETO-5-AMINOHEXANOATE CLEAVAGE ENZYME', 140524),
(196799, 'PTHR12294:SF26', NULL, NULL, NULL, NULL, 'OS04G0502900 PROTEIN', 140525),
(196800, 'PTHR36708:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 6, MITOCHONDRIAL', 140526),
(196801, 'PTHR21700:SF42', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 140527),
(196802, 'PTHR11260:SF685', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U17-LIKE', 140528),
(196803, 'PTHR47534:SF3', NULL, NULL, NULL, NULL, 'YALI0E05731P', 140529),
(196804, 'PTHR44269:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7', 140530),
(196805, 'PTHR11003:SF281', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 140531),
(196806, 'PTHR31190:SF301', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 140532),
(196807, 'PTHR24064:SF196', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 31-RELATED', 140533),
(196808, 'PTHR45648:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140534),
(196809, 'PTHR47734', NULL, NULL, NULL, NULL, 'T-CELL IMMUNORECEPTOR WITH IG AND ITIM DOMAINS PROTEIN, TIGIT', 140535),
(196810, 'PTHR11260:SF568', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 140536),
(196811, 'PTHR28647', NULL, NULL, NULL, NULL, 'UNIQUE CARTILAGE MATRIX-ASSOCIATED PROTEIN', 140537),
(196812, 'PTHR11558:SF43', NULL, NULL, NULL, NULL, 'SPERMIDINE SYNTHASE', 140538),
(196813, 'PTHR10553:SF2', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', 140539),
(196814, 'PTHR31790:SF380', NULL, NULL, NULL, NULL, 'BNAC04G54070D PROTEIN', 140540),
(196815, 'PTHR46667:SF8', NULL, NULL, NULL, NULL, 'BNAC05G19740D PROTEIN', 140541),
(196816, 'PTHR30151', NULL, NULL, NULL, NULL, 'ALKANE SULFONATE ABC TRANSPORTER-RELATED, MEMBRANE SUBUNIT', 140542),
(196817, 'PTHR31639:SF95', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 140543),
(196818, 'PTHR34551:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH 3', 140544),
(196819, 'PTHR11604:SF47', NULL, NULL, NULL, NULL, 'PROFILIN', 140545),
(196820, 'PTHR10972:SF153', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 2', 140546),
(196821, 'PTHR43031:SF9', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE PROTEIN-RELATED', 140547),
(196822, 'PTHR31642:SF23', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', 140548),
(196823, 'PTHR12411:SF744', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG39', 140549);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(196824, 'PTHR24381:SF348', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 56-RELATED', 140550),
(196825, 'PTHR43180:SF3', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE MDPC-RELATED', 140551),
(196826, 'PTHR12984:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140552),
(196827, 'PTHR45872:SF2', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 2, ISOFORM D', 140553),
(196828, 'PTHR31832:SF41', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 24', 140554),
(196829, 'PTHR46086:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140555),
(196830, 'PTHR40370', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 140556),
(196831, 'PTHR46175:SF2', NULL, NULL, NULL, NULL, 'ADAGIO PROTEIN 3', 140557),
(196832, 'PTHR13068:SF38', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', 140558),
(196833, 'PTHR11795:SF442', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 140559),
(196834, 'PTHR23147:SF183', NULL, NULL, NULL, NULL, 'SERINE AND ARGININE-RICH-SPLICING FACTOR 10B', 140560),
(196835, 'PTHR12632:SF36', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-5', 140561),
(196836, 'PTHR22774:SF19', NULL, NULL, NULL, NULL, 'BNAA05G20220D PROTEIN', 140562),
(196837, 'PTHR10766:SF36', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 2', 140563),
(196838, 'PTHR10909:SF377', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 140564),
(196839, 'PTHR36180:SF2', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', 140565),
(196840, 'PTHR32467:SF32', NULL, NULL, NULL, NULL, 'OS03G0770700 PROTEIN', 140566),
(196841, 'PTHR31376:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140567),
(196842, 'PTHR22975:SF5', NULL, NULL, NULL, NULL, 'INACTIVE UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 54', 140568),
(196843, 'PTHR22883:SF265', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 22-RELATED', 140569),
(196844, 'PTHR44218:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140570),
(196845, 'PTHR11311:SF7', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN TYPE-1 DOMAIN-CONTAINING PROTEIN 7B', 140571),
(196846, 'PTHR10151:SF65', NULL, NULL, NULL, NULL, 'ZGC:153896', 140572),
(196847, 'PTHR10165:SF181', NULL, NULL, NULL, NULL, 'PHOSPHATIDIC ACID PHOSPHATASE TYPE 2/HALOPEROXIDASE, LIPID PHOSPHATE PHOSPHATASE, PLANT-RELATED', 140573),
(196848, 'PTHR45747:SF13', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EZA1', 140574),
(196849, 'PTHR27009:SF82', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE', 140575),
(196850, 'PTHR23226:SF210', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 446', 140576),
(196851, 'PTHR43752', NULL, NULL, NULL, NULL, 'BNR/ASP-BOX REPEAT FAMILY PROTEIN', 140577),
(196852, 'PTHR15690:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 6', 140578),
(196853, 'PTHR15304:SF0', NULL, NULL, NULL, NULL, 'MYOD FAMILY INHIBITOR DOMAIN-CONTAINING PROTEIN', 140579),
(196854, 'PTHR31953:SF93', NULL, NULL, NULL, NULL, 'ACID BETA-FRUCTOFURANOSIDASE 4, VACUOLAR', 140580),
(196855, 'PTHR35453', NULL, NULL, NULL, NULL, 'PROSTATE ANDROGEN-REGULATED MUCIN-LIKE PROTEIN 1', 140581),
(196856, 'PTHR23262:SF131', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-9', 140582),
(196857, 'PTHR23084:SF237', NULL, NULL, NULL, NULL, 'BNACNNG56290D PROTEIN', 140583),
(196858, 'PTHR26450:SF37', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51L1', 140584),
(196859, 'PTHR34831', NULL, NULL, NULL, NULL, 'MIGRATION AND INVASION-INHIBITORY PROTEIN', 140585),
(196860, 'PTHR13037', NULL, NULL, NULL, NULL, 'FORMIN', 140586),
(196861, 'PTHR12547:SF125', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 28', 140587),
(196862, 'PTHR24399:SF32', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 37', 140588),
(196863, 'PTHR19211:SF65', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 140589),
(196864, 'PTHR32008', NULL, NULL, NULL, NULL, 'MATURIN', 140590),
(196865, 'PTHR47319:SF20', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 140591),
(196866, 'PTHR38140:SF6', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 19-1', 140592);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(196867, 'PTHR24223:SF392', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 10-LIKE', 140593),
(196868, 'PTHR12378:SF38', NULL, NULL, NULL, NULL, 'OS03G0100900 PROTEIN', 140594),
(196869, 'PTHR46598:SF1', NULL, NULL, NULL, NULL, 'OS10G0422566 PROTEIN', 140595),
(196870, 'PTHR34228:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG17448', 140596),
(196871, 'PTHR23547', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', 140597),
(196872, 'PTHR40066', NULL, NULL, NULL, NULL, 'UPF0473 PROTEIN CBO2561/CLC_2432', 140598),
(196873, 'PTHR22611', NULL, NULL, NULL, NULL, 'PROTEIN NAKED CUTICLE', 140599),
(196874, 'PTHR12526:SF579', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140600),
(196875, 'PTHR32227:SF372', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE', 140601),
(196876, 'PTHR31657:SF49', NULL, NULL, NULL, NULL, 'BNAA03G54460D PROTEIN', 140602),
(196877, 'PTHR31639:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140603),
(196878, 'PTHR19282:SF451', NULL, NULL, NULL, NULL, 'PERIPHERIN 2, LIKE', 140604),
(196879, 'PTHR48201:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140605),
(196880, 'PTHR14215', NULL, NULL, NULL, NULL, 'PROTEIN OF UNKNOWN FUNCTION DUF729', 140606),
(196881, 'PTHR31696:SF85', NULL, NULL, NULL, NULL, 'BNAA06G33470D PROTEIN', 140607),
(196882, 'PTHR45743:SF38', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KAT3', 140608),
(196883, 'PTHR45675:SF51', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 79', 140609),
(196884, 'PTHR42918:SF7', NULL, NULL, NULL, NULL, 'LEUCYL-TRNA SYNTHETASE', 140610),
(196885, 'PTHR46274:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140611),
(196886, 'PTHR22891:SF24', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 5', 140612),
(196887, 'PTHR48017:SF148', NULL, NULL, NULL, NULL, 'PROLINE TRANSPORTER 1', 140613),
(196888, 'PTHR12537:SF59', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN 5, PUTATIVE-RELATED', 140614),
(196889, 'PTHR37471', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 140615),
(196890, 'PTHR24082:SF15', NULL, NULL, NULL, NULL, 'PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR DELTA', 140616),
(196891, 'PTHR45872:SF5', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY AND RHOGEF (RHOGEF) DOMAIN CONTAINING', 140617),
(196892, 'PTHR12736:SF23', NULL, NULL, NULL, NULL, 'LANC-LIKE PROTEIN GCR2', 140618),
(196893, 'PTHR43850:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN MA_4021-RELATED', 140619),
(196894, 'PTHR48021:SF7', NULL, NULL, NULL, NULL, 'RH09188P', 140620),
(196895, 'PTHR11006:SF92', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 2', 140621),
(196896, 'PTHR10913:SF6', NULL, NULL, NULL, NULL, 'FOLLISTATIN', 140622),
(196897, 'PTHR43232:SF2', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN B', 140623),
(196898, 'PTHR42898:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140624),
(196899, 'PTHR10003:SF83', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN] 2', 140625),
(196900, 'PTHR11751:SF29', NULL, NULL, NULL, NULL, 'AT04676P', 140626),
(196901, 'PTHR34630:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140627),
(196902, 'PTHR19325:SF525', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT 4-BINDING PROTEIN, ALPHA', 140628),
(196903, 'PTHR43391:SF55', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE-LIKE 4A', 140629),
(196904, 'PTHR15907:SF172', NULL, NULL, NULL, NULL, 'PLAC8 MOTIF-CONTAINING PROTEIN-RELATED', 140630),
(196905, 'PTHR19328:SF60', NULL, NULL, NULL, NULL, 'HIPL1 PROTEIN-LIKE', 140631),
(196906, 'PTHR48017:SF25', NULL, NULL, NULL, NULL, 'BNAC06G13220D PROTEIN', 140632),
(196907, 'PTHR21551:SF17', NULL, NULL, NULL, NULL, 'PROTEIN PAT1 HOMOLOG', 140633),
(196908, 'PTHR23421:SF175', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 35-RELATED', 140634),
(196909, 'PTHR36205:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140635),
(196910, 'PTHR21604:SF0', NULL, NULL, NULL, NULL, 'RETROELEMENT SILENCING FACTOR 1', 140636),
(196911, 'PTHR21261:SF17', NULL, NULL, NULL, NULL, 'BEAT VI', 140637),
(196912, 'PTHR31325:SF205', NULL, NULL, NULL, NULL, 'OS09G0443200 PROTEIN', 140638);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(196913, 'PTHR12668:SF50', NULL, NULL, NULL, NULL, 'PROTEIN FATTY ACID EXPORT 1, CHLOROPLASTIC-LIKE', 140639),
(196914, 'PTHR42039', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02940)-RELATED', 140640),
(196915, 'PTHR24349:SF431', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140641),
(196916, 'PTHR33801', NULL, NULL, NULL, NULL, 'ABSCISIC STRESS-RIPENING PROTEIN 5', 140642),
(196917, 'PTHR32285:SF58', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 41', 140643),
(196918, 'PTHR45621:SF150', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 2B, CHLOROPLASTIC-LIKE', 140644),
(196919, 'PTHR48042:SF25', NULL, NULL, NULL, NULL, 'OS04G0528300 PROTEIN', 140645),
(196920, 'PTHR45660:SF52', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH6-LIKE', 140646),
(196921, 'PTHR43028:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140647),
(196922, 'PTHR34451:SF7', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY PROTEIN', 140648),
(196923, 'PTHR47967:SF45', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN, EXPRESSED', 140649),
(196924, 'PTHR47800:SF5', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN', 140650),
(196925, 'PTHR43874:SF52', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR17-LIKE', 140651),
(196926, 'PTHR42663:SF3', NULL, NULL, NULL, NULL, 'OS09G0363800 PROTEIN', 140652),
(196927, 'PTHR31961:SF3', NULL, NULL, NULL, NULL, 'SENSITIVE TO HIGH EXPRESSION PROTEIN 9, MITOCHONDRIAL', 140653),
(196928, 'PTHR22803:SF74', NULL, NULL, NULL, NULL, 'SECRETORY PHOSPHOLIPASE A2 RECEPTOR', 140654),
(196929, 'PTHR34996:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140655),
(196930, 'PTHR35307:SF2', NULL, NULL, NULL, NULL, 'BNACNNG03260D PROTEIN', 140656),
(196931, 'PTHR43490:SF89', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-RELATED', 140657),
(196932, 'PTHR33477:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140658),
(196933, 'PTHR12210:SF159', NULL, NULL, NULL, NULL, 'CTD NUCLEAR ENVELOPE PHOSPHATASE 1 HOMOLOG ISOFORM X1', 140659),
(196934, 'PTHR11785:SF115', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 140660),
(196935, 'PTHR45933:SF17', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 7-LIKE', 140661),
(196936, 'PTHR34142:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140662),
(196937, 'PTHR43370:SF1', NULL, NULL, NULL, NULL, 'SUGAR ABC TRANSPORTER INTEGRAL MEMBRANE PROTEIN-RELATED', 140663),
(196938, 'PTHR11782:SF79', NULL, NULL, NULL, NULL, 'OS08G0436100 PROTEIN', 140664),
(196939, 'PTHR43329:SF36', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 3', 140665),
(196940, 'PTHR23251', NULL, NULL, NULL, NULL, 'LYSINE-RICH CEACAM1 CO-ISOLATED PROTEIN  LYRIC PROTEIN', 140666),
(196941, 'PTHR32285:SF49', NULL, NULL, NULL, NULL, 'PROTEIN ESKIMO 1', 140667),
(196942, 'PTHR13780:SF41', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, AMP-ACTIVATED, GAMMA 3A NON-CATALYTIC SUBUNIT', 140668),
(196943, 'PTHR31604:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140669),
(196944, 'PTHR15217:SF1', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING REGULATOR WTAP', 140670),
(196945, 'PTHR11922:SF2', NULL, NULL, NULL, NULL, 'GMP SYNTHASE [GLUTAMINE-HYDROLYZING]', 140671),
(196946, 'PTHR31479:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140672),
(196947, 'PTHR22849:SF61', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 21', 140673),
(196948, 'PTHR46455', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN CONTAINING, ARTHROPOD-SPECIFIC, MEMBER 4, ISOFORM A', 140674),
(196949, 'PTHR15710:SF77', NULL, NULL, NULL, NULL, 'OS07G0631200 PROTEIN', 140675),
(196950, 'PTHR18945:SF842', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', 140676),
(196951, 'PTHR48052:SF38', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO2', 140677),
(196952, 'PTHR31009:SF130', NULL, NULL, NULL, NULL, 'BNAC03G76600D PROTEIN', 140678),
(196953, 'PTHR36470:SF1', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 3', 140679),
(196954, 'PTHR31269:SF26', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH4-LIKE', 140680);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(196955, 'PTHR31307:SF51', NULL, NULL, NULL, NULL, 'MADF DOMAIN, MYB-LIKE DOMAIN PROTEIN-RELATED', 140681),
(196956, 'PTHR31213:SF127', NULL, NULL, NULL, NULL, 'MAJOR ALLERGEN PRU AR 1-LIKE', 140682),
(196957, 'PTHR11783:SF190', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 140683),
(196958, 'PTHR35502:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MICROTUBULE BINDING PROTEIN 2C', 140684),
(196959, 'PTHR45836:SF3', NULL, NULL, NULL, NULL, 'SLIT HOMOLOG 1 PROTEIN', 140685),
(196960, 'PTHR23176:SF117', NULL, NULL, NULL, NULL, 'ACTIVATING PROTEIN, PUTATIVE-RELATED', 140686),
(196961, 'PTHR43207', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDROGENASE-RELATED', 140687),
(196962, 'PTHR34389:SF2', NULL, NULL, NULL, NULL, 'L-RHAMNOSE MUTAROTASE', 140688),
(196963, 'PTHR11639:SF128', NULL, NULL, NULL, NULL, 'PROTEIN S100-A7', 140689),
(196964, 'PTHR35334:SF5', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YHJV', 140690),
(196965, 'PTHR31374:SF116', NULL, NULL, NULL, NULL, 'OS01G0155100 PROTEIN', 140691),
(196966, 'PTHR42693:SF33', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE-6-SULFATASE', 140692),
(196967, 'PTHR24203:SF50', NULL, NULL, NULL, NULL, 'OS08G0539600 PROTEIN', 140693),
(196968, 'PTHR31650:SF50', NULL, NULL, NULL, NULL, 'BNAC03G21770D PROTEIN', 140694),
(196969, 'PTHR12175:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140695),
(196970, 'PTHR34553', NULL, NULL, NULL, NULL, 'OS05G0597400 PROTEIN', 140696),
(196971, 'PTHR31147:SF8', NULL, NULL, NULL, NULL, 'OS05G0571501 PROTEIN', 140697),
(196972, 'PTHR31669:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 6', 140698),
(196973, 'PTHR33228:SF25', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 7', 140699),
(196974, 'PTHR30373:SF2', NULL, NULL, NULL, NULL, 'UPF0603 PROTEIN OS05G0401100, CHLOROPLASTIC', 140700),
(196975, 'PTHR12726:SF4', NULL, NULL, NULL, NULL, 'BNAA07G00870D PROTEIN', 140701),
(196976, 'PTHR33074:SF67', NULL, NULL, NULL, NULL, 'OS11G0569701 PROTEIN', 140702),
(196977, 'PTHR37417:SF3', NULL, NULL, NULL, NULL, 'MYOSIN-CROSSREACTIVE PROTEIN-RELATED', 140703),
(196978, 'PTHR43329:SF102', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE-RELATED', 140704),
(196979, 'PTHR48047:SF8', NULL, NULL, NULL, NULL, 'FLAVONOL 3-O-GLUCOSYLTRANSFERASE UGT89B1', 140705),
(196980, 'PTHR34120:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140706),
(196981, 'PTHR42059', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 140707),
(196982, 'PTHR14145:SF1', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 6', 140708),
(196983, 'PTHR31506:SF27', NULL, NULL, NULL, NULL, 'BNAANNG32010D PROTEIN', 140709),
(196984, 'PTHR13381:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 21', 140710),
(196985, 'PTHR33374:SF37', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE, AGP-RELATED', 140711),
(196986, 'PTHR34789:SF7', NULL, NULL, NULL, NULL, 'OS07G0123900 PROTEIN', 140712),
(196987, 'PTHR31867:SF194', NULL, NULL, NULL, NULL, 'EXPANSIN', 140713),
(196988, 'PTHR48021:SF35', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 9', 140714),
(196989, 'PTHR14110:SF21', NULL, NULL, NULL, NULL, 'BNAA03G11350D PROTEIN', 140715),
(196990, 'PTHR46110:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HMX', 140716),
(196991, 'PTHR11551:SF4', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 5', 140717),
(196992, 'PTHR37031', NULL, NULL, NULL, NULL, 'METALLOPHOSPHATASE BINDING DOMAIN PROTEIN', 140718),
(196993, 'PTHR38785', NULL, NULL, NULL, NULL, 'HOMOLOG OF VIRK', 140719),
(196994, 'PTHR32009:SF65', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 140720),
(196995, 'PTHR48049:SF13', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 140721),
(196996, 'PTHR15119', NULL, NULL, NULL, NULL, 'SECRETOGRANIN II', 140722),
(196997, 'PTHR33318:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140723),
(196998, 'PTHR11941:SF147', NULL, NULL, NULL, NULL, 'CARNITINE RACEMASE-LIKE', 140724),
(196999, 'PTHR10342:SF267', NULL, NULL, NULL, NULL, 'SI:DKEY-174I8.1', 140725),
(197000, 'PTHR12479:SF6', NULL, NULL, NULL, NULL, 'LYSOSOMAL-ASSOCIATED TRANSMEMBRANE PROTEIN 4B', 140726);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(197001, 'PTHR45663:SF21', NULL, NULL, NULL, NULL, 'THIOREDOXIN M3, CHLOROPLASTIC', 140727),
(197002, 'PTHR46056:SF11', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', 140728),
(197003, 'PTHR13287:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-151P13.8', 140729),
(197004, 'PTHR27008:SF399', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140730),
(197005, 'PTHR45626:SF21', NULL, NULL, NULL, NULL, 'HELE', 140731),
(197006, 'PTHR11036:SF79', NULL, NULL, NULL, NULL, 'SEMAPHORIN 5C, ISOFORM A', 140732),
(197007, 'PTHR43900:SF43', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F14', 140733),
(197008, 'PTHR31713:SF57', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 D-LIKE', 140734),
(197009, 'PTHR10003:SF80', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE FOR SUPEROXIDE DISMUTASE-RELATED', 140735),
(197010, 'PTHR19317:SF62', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 140736),
(197011, 'PTHR39624', NULL, NULL, NULL, NULL, 'PROTEIN INVOLVED IN RIMO-MEDIATED BETA-METHYLTHIOLATION OF RIBOSOMAL PROTEIN S12 YCAO', 140737),
(197012, 'PTHR16134:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140738),
(197013, 'PTHR34524:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140739),
(197014, 'PTHR32054:SF55', NULL, NULL, NULL, NULL, 'WEB FAMILY-RELATED', 140740),
(197015, 'PTHR31190:SF96', NULL, NULL, NULL, NULL, 'OS09G0309700 PROTEIN', 140741),
(197016, 'PTHR15999:SF2', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, PUTATIVE-RELATED', 140742),
(197017, 'PTHR24219:SF8', NULL, NULL, NULL, NULL, 'AJUBA LIM PROTEIN', 140743),
(197018, 'PTHR11430:SF127', NULL, NULL, NULL, NULL, 'LIPOCALIN 1-LIKE PROTEIN 1-RELATED', 140744),
(197019, 'PTHR23353:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140745),
(197020, 'PTHR32251:SF15', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE (DUF1295)', 140746),
(197021, 'PTHR31210:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140747),
(197022, 'PTHR11127:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L14-RELATED', 140748),
(197023, 'PTHR45926:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140749),
(197024, 'PTHR33623:SF17', NULL, NULL, NULL, NULL, 'DUF4378 DOMAIN PROTEIN', 140750),
(197025, 'PTHR33305:SF29', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 5 PROTEIN', 140751),
(197026, 'PTHR11863:SF34', NULL, NULL, NULL, NULL, 'CHOLESTEROL 25-HYDROXYLASE', 140752),
(197027, 'PTHR24412:SF420', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 11', 140753),
(197028, 'PTHR34294:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 140754),
(197029, 'PTHR44998:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140755),
(197030, 'PTHR33471', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 140756),
(197031, 'PTHR47396', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME ECOKI R PROTEIN', 140757),
(197032, 'PTHR22953:SF55', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PURPLE ACID PHOSPHATASE 26', 140758),
(197033, 'PTHR12247:SF84', NULL, NULL, NULL, NULL, 'SEX COMB ON MIDLEG-LIKE PROTEIN 2', 140759),
(197034, 'PTHR19241:SF632', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 32-LIKE ISOFORM X1', 140760),
(197035, 'PTHR43867:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140761),
(197036, 'PTHR46093:SF6', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 4', 140762),
(197037, 'PTHR23025', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE', 140763),
(197038, 'PTHR10277:SF60', NULL, NULL, NULL, NULL, 'METHYLTHIOALKYLMALATE SYNTHASE 1, CHLOROPLASTIC-RELATED', 140764),
(197039, 'PTHR24115:SF845', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 140765),
(197040, 'PTHR10663:SF369', NULL, NULL, NULL, NULL, 'SEC7 DOMAIN-CONTAINING PROTEIN-RELATED', 140766),
(197041, 'PTHR33782:SF19', NULL, NULL, NULL, NULL, 'BNAA09G18540D PROTEIN', 140767),
(197042, 'PTHR48068:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140768),
(197043, 'PTHR32305:SF15', NULL, NULL, NULL, NULL, 'PROTEIN RHSA-RELATED', 140769),
(197044, 'PTHR11771:SF108', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 140770),
(197045, 'PTHR15813', NULL, NULL, NULL, NULL, 'SORTING NEXIN-22 AND 24', 140771);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(197046, 'PTHR23166', NULL, NULL, NULL, NULL, 'FILAMIN/GPBP-INTERACTING PROTEIN', 140772),
(197047, 'PTHR10796:SF85', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 140773),
(197048, 'PTHR11477:SF19', NULL, NULL, NULL, NULL, 'MEDIATOR', 140774),
(197049, 'PTHR46602:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140775),
(197050, 'PTHR11960:SF16', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 4E, PUTATIVE-RELATED', 140776),
(197051, 'PTHR23500:SF421', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', 140777),
(197052, 'PTHR11783:SF206', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 140778),
(197053, 'PTHR45621:SF143', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', 140779),
(197054, 'PTHR39579:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YHCB', 140780),
(197055, 'PTHR12763:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM14', 140781),
(197056, 'PTHR28638', NULL, NULL, NULL, NULL, 'CELL CYCLE PROGRESSION PROTEIN 1', 140782),
(197057, 'PTHR27002:SF823', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140783),
(197058, 'PTHR44936:SF3', NULL, NULL, NULL, NULL, 'TWO COMPONENT SIGNAL TRANSDUCTION SYSTEM HISTIDINE KINASE', 140784),
(197059, 'PTHR33659:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140785),
(197060, 'PTHR15852:SF52', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL P17.1 PROTEIN', 140786),
(197061, 'PTHR15960:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED PROTEIN 1', 140787),
(197062, 'PTHR20855:SF38', NULL, NULL, NULL, NULL, 'MEMBRANE PROGESTIN RECEPTOR GAMMA', 140788),
(197063, 'PTHR12210:SF133', NULL, NULL, NULL, NULL, 'NLI INTERACTING FACTOR-LIKE PHOSPHATASE', 140789),
(197064, 'PTHR43392:SF2', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN / ANKYRIN REPEAT FAMILY PROTEIN', 140790),
(197065, 'PTHR31707:SF292', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 140791),
(197066, 'PTHR45834', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 9-RELATED', 140792),
(197067, 'PTHR10529:SF347', NULL, NULL, NULL, NULL, 'AP-4 COMPLEX SUBUNIT MU-LIKE', 140793),
(197068, 'PTHR45902:SF1', NULL, NULL, NULL, NULL, 'LATROPHILIN RECEPTOR-LIKE PROTEIN A', 140794),
(197069, 'PTHR13518', NULL, NULL, NULL, NULL, 'PUTATIVE TREBLE-CLEF ZINC-FINGER C2ORF42 FAMILY MEMBER', 140795),
(197070, 'PTHR33710:SF38', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', 140796),
(197071, 'PTHR34707:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140797),
(197072, 'PTHR10426:SF79', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 2', 140798),
(197073, 'PTHR11909:SF156', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM GAMMA-1', 140799),
(197074, 'PTHR20961:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140800),
(197075, 'PTHR42685', NULL, NULL, NULL, NULL, 'GERANYLGERANYL DIPHOSPHATE REDUCTASE', 140801),
(197076, 'PTHR10353:SF258', NULL, NULL, NULL, NULL, 'LACTASE-LIKE PROTEIN', 140802),
(197077, 'PTHR20930:SF9', NULL, NULL, NULL, NULL, 'BNAA08G14650D PROTEIN', 140803),
(197078, 'PTHR27004:SF343', NULL, NULL, NULL, NULL, 'BNAA09G35430D PROTEIN', 140804),
(197079, 'PTHR48043:SF117', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 140805),
(197080, 'PTHR10430:SF38', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN', 140806),
(197081, 'PTHR31451:SF43', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE-LIKE PROTEIN', 140807),
(197082, 'PTHR23194', NULL, NULL, NULL, NULL, 'PYGOPUS', 140808),
(197083, 'PTHR18934:SF212', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE DEAH2 ISOFORM X1-RELATED', 140809),
(197084, 'PTHR13292:SF0', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 101', 140810),
(197085, 'PTHR21717:SF66', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 3', 140811),
(197086, 'PTHR15040:SF2', NULL, NULL, NULL, NULL, 'DERMATOPONTIN', 140812),
(197087, 'PTHR23421:SF53', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE-1-LIKE PROTEIN 2', 140813),
(197088, 'PTHR10366:SF663', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140814);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(197089, 'PTHR46496:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140815),
(197090, 'PTHR46417', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(1)-)-METHYLTRANSFERASE', 140816),
(197091, 'PTHR24060:SF23', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 4', 140817),
(197092, 'PTHR12203:SF93', NULL, NULL, NULL, NULL, 'MOTIF-CONTAINING PROTEIN 1, PUTATIVE-RELATED', 140818),
(197093, 'PTHR10177:SF67', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN-D1', 140819),
(197094, 'PTHR43349:SF44', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G00280)', 140820),
(197095, 'PTHR33101:SF42', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 13', 140821),
(197096, 'PTHR21236', NULL, NULL, NULL, NULL, 'GOLGI MEMBRANE PROTEIN YIP1', 140822),
(197097, 'PTHR31589:SF128', NULL, NULL, NULL, NULL, 'BNACNNG55750D PROTEIN', 140823),
(197098, 'PTHR48022:SF9', NULL, NULL, NULL, NULL, 'HEXOSE TRANSPORTER, PUTATIVE-RELATED', 140824),
(197099, 'PTHR35720', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 12, CHLOROPLASTIC', 140825),
(197100, 'PTHR31080:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140826),
(197101, 'PTHR30615:SF15', NULL, NULL, NULL, NULL, 'BNAC08G19650D PROTEIN', 140827),
(197102, 'PTHR48108:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140828),
(197103, 'PTHR31301:SF77', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 1-LIKE', 140829),
(197104, 'PTHR10762:SF1', NULL, NULL, NULL, NULL, '2-(3-AMINO-3-CARBOXYPROPYL)HISTIDINE SYNTHASE SUBUNIT 1', 140830),
(197105, 'PTHR31293', NULL, NULL, NULL, NULL, 'RNI-LIKE SUPERFAMILY PROTEIN', 140831),
(197106, 'PTHR11193:SF8', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', 140832),
(197107, 'PTHR11588:SF306', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 140833),
(197108, 'PTHR15454', NULL, NULL, NULL, NULL, 'NISCHARIN RELATED', 140834),
(197109, 'PTHR43968:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE OMEGA-1', 140835),
(197110, 'PTHR11062:SF260', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT15-RELATED', 140836),
(197111, 'PTHR43895:SF74', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 140837),
(197112, 'PTHR46183:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CLMP1', 140838),
(197113, 'PTHR46549', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 140839),
(197114, 'PTHR31388:SF236', NULL, NULL, NULL, NULL, 'PEROXIDASE 68-LIKE ISOFORM X1', 140840),
(197115, 'PTHR10891:SF852', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 140841),
(197116, 'PTHR48105:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE REDUCTASE', 140842),
(197117, 'PTHR42978:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140843),
(197118, 'PTHR31674:SF54', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM17-LIKE', 140844),
(197119, 'PTHR45614:SF112', NULL, NULL, NULL, NULL, 'SUCROSE RESPONSIVE ELEMENT BINDING PROTEIN', 140845),
(197120, 'PTHR42647:SF42', NULL, NULL, NULL, NULL, 'BNAA03G53160D PROTEIN', 140846),
(197121, 'PTHR33402:SF17', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 33', 140847),
(197122, 'PTHR23305:SF1', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN (AFU_ORTHOLOGUE AFUA_1G13540)', 140848),
(197123, 'PTHR43712:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140849),
(197124, 'PTHR11003:SF291', NULL, NULL, NULL, NULL, 'ACID-SENSITIVE TWO PORE DOMAIN K+ CHANNEL DTASK-6', 140850),
(197125, 'PTHR31238:SF125', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 140851),
(197126, 'PTHR12606:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140852),
(197127, 'PTHR36352', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 140853),
(197128, 'PTHR19855:SF18', NULL, NULL, NULL, NULL, 'PROTEASOMAL ATPASE ASSOCIATED FACTOR 1', 140854),
(197129, 'PTHR33972:SF19', NULL, NULL, NULL, NULL, 'BNAA07G36090D PROTEIN', 140855),
(197130, 'PTHR31210:SF71', NULL, NULL, NULL, NULL, 'BNAA08G25430D PROTEIN', 140856),
(197131, 'PTHR47764:SF4', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 2B ISOFORM X1-RELATED', 140857),
(197132, 'PTHR31221:SF150', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 32-RELATED', 140858);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(197133, 'PTHR35705:SF9', NULL, NULL, NULL, NULL, 'BNAC06G29830D PROTEIN', 140859),
(197134, 'PTHR11461:SF320', NULL, NULL, NULL, NULL, 'SERPIN B3', 140860),
(197135, 'PTHR10642:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140861),
(197136, 'PTHR10314:SF78', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE', 140862),
(197137, 'PTHR45849:SF4', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SSRP1', 140863),
(197138, 'PTHR33077:SF103', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 6A-RELATED', 140864),
(197139, 'PTHR33101:SF5', NULL, NULL, NULL, NULL, 'OS07G0481100 PROTEIN', 140865),
(197140, 'PTHR22849', NULL, NULL, NULL, NULL, 'WDSAM1 PROTEIN', 140866),
(197141, 'PTHR10760:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140867),
(197142, 'PTHR48155:SF1', NULL, NULL, NULL, NULL, 'OS09G0497600 PROTEIN', 140868),
(197143, 'PTHR48069', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE', 140869),
(197144, 'PTHR24161:SF93', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN RF_0381-RELATED', 140870),
(197145, 'PTHR34892:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE CATALYTIC SUBUNIT-RELATED / V-ATPASE-RELATED / VACUOLAR PROTON PUMP-LIKE PROTEIN', 140871),
(197146, 'PTHR44947', NULL, NULL, NULL, NULL, 'OS05G0501001 PROTEIN', 140872),
(197147, 'PTHR46930', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 2', 140873),
(197148, 'PTHR13715:SF52', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR TYPE 1', 140874),
(197149, 'PTHR18968:SF13', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE-LIKE PROTEIN', 140875),
(197150, 'PTHR24055:SF141', NULL, NULL, NULL, NULL, 'GLYCOGEN SYNTHASE KINASE ALPHA SUBUNIT', 140876),
(197151, 'PTHR40057', NULL, NULL, NULL, NULL, 'SLR1162 PROTEIN', 140877),
(197152, 'PTHR33065:SF103', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 140878),
(197153, 'PTHR40690:SF1', NULL, NULL, NULL, NULL, 'GLL3100 PROTEIN', 140879),
(197154, 'PTHR33889:SF5', NULL, NULL, NULL, NULL, 'OS07G0251050 PROTEIN', 140880),
(197155, 'PTHR13169:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN', 140881),
(197156, 'PTHR27001:SF619', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT RECEPTOR KINASE', 140882),
(197157, 'PTHR36681', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 140883),
(197158, 'PTHR31479:SF4', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 140884),
(197159, 'PTHR17503:SF0', NULL, NULL, NULL, NULL, 'SYNCOLLIN', 140885),
(197160, 'PTHR31667:SF2', NULL, NULL, NULL, NULL, 'SPERM EQUATORIAL SEGMENT PROTEIN 1', 140886),
(197161, 'PTHR36322:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 140887),
(197162, 'PTHR48044:SF34', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 140888),
(197163, 'PTHR12758:SF23', NULL, NULL, NULL, NULL, 'APOPTOSIS INHIBITOR 5', 140889),
(197164, 'PTHR21198:SF9', NULL, NULL, NULL, NULL, 'ASPARTATE RACEMASE', 140890),
(197165, 'PTHR24416:SF349', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RYK', 140891),
(197166, 'PTHR11850:SF310', NULL, NULL, NULL, NULL, 'HOMEOBOX KNOTTED-LIKE PROTEIN', 140892),
(197167, 'PTHR31662:SF33', NULL, NULL, NULL, NULL, 'STOREKEEPER PROTEIN', 140893),
(197168, 'PTHR31376:SF37', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 9-RELATED', 140894),
(197169, 'PTHR10509:SF67', NULL, NULL, NULL, NULL, 'CATECHOL-O-METHYLTRANSFERASE FAMILY', 140895),
(197170, 'PTHR11070:SF59', NULL, NULL, NULL, NULL, 'POSSIBLE ATP-DEPENDENT DNA HELICASE', 140896),
(197171, 'PTHR10110:SF125', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 140897),
(197172, 'PTHR13234:SF54', NULL, NULL, NULL, NULL, 'OS01G0828200 PROTEIN', 140898),
(197173, 'PTHR33155:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140899),
(197174, 'PTHR38042:SF4', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III SYNTHASE PROTEIN-RELATED', 140900),
(197175, 'PTHR31221:SF197', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 23-RELATED', 140901),
(197176, 'PTHR43479:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140902),
(197177, 'PTHR10286:SF43', NULL, NULL, NULL, NULL, 'PYROPHOSPHATASE (INORGANIC) 1B', 140903),
(197178, 'PTHR13453:SF11', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN, KAT8 REGULATORY NSL COMPLEX SUBUNIT 2-RELATED', 140904);
INSERT INTO "PUBLIC"."MODEL" VALUES
(197179, 'PTHR11863:SF102', NULL, NULL, NULL, NULL, 'METHYL STEROL OXIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02440)-RELATED', 140905),
(197180, 'PTHR19241:SF642', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', 140906),
(197181, 'PTHR24390:SF158', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 691', 140907),
(197182, 'PTHR31205:SF37', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN (DUF569)', 140908),
(197183, 'PTHR11920:SF260', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-23', 140909),
(197184, 'PTHR31318:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140910),
(197185, 'PTHR12081:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F3', 140911),
(197186, 'PTHR32039', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLI', 140912),
(197187, 'PTHR22035', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 7', 140913),
(197188, 'PTHR11746:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140914),
(197189, 'PTHR11527:SF240', NULL, NULL, NULL, NULL, '17.9 KDA CLASS I HEAT SHOCK PROTEIN', 140915),
(197190, 'PTHR11655:SF40', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L9-LIKE', 140916),
(197191, 'PTHR24241:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140917),
(197192, 'PTHR37201:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN', 140918),
(197193, 'PTHR11177:SF337', NULL, NULL, NULL, NULL, 'V CHITINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07160)-RELATED', 140919),
(197194, 'PTHR31790:SF385', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140920),
(197195, 'PTHR46506:SF52', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 140921),
(197196, 'PTHR31419:SF12', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER FAMILY PROTEIN-RELATED', 140922),
(197197, 'PTHR28637:SF13', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 140923),
(197198, 'PTHR31246:SF27', NULL, NULL, NULL, NULL, 'BNAA08G19220D PROTEIN', 140924),
(197199, 'PTHR19422:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140925),
(197200, 'PTHR18966:SF382', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, NMDA 2B', 140926),
(197201, 'PTHR23201:SF76', NULL, NULL, NULL, NULL, 'PEAMACLEIN-LIKE', 140927),
(197202, 'PTHR48242:SF2', NULL, NULL, NULL, NULL, 'BNAA03G48750D PROTEIN', 140928),
(197203, 'PTHR45886:SF12', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 140929),
(197204, 'PTHR47953', NULL, NULL, NULL, NULL, 'OS08G0105600 PROTEIN', 140930),
(197205, 'PTHR10064:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140931),
(197206, 'PTHR47746:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140932),
(197207, 'PTHR36024:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN SKIP35', 140933),
(197208, 'PTHR11616:SF170', NULL, NULL, NULL, NULL, 'TRANSPORTER', 140934),
(197209, 'PTHR35111:SF5', NULL, NULL, NULL, NULL, 'F10A5.9', 140935),
(197210, 'PTHR27001:SF850', NULL, NULL, NULL, NULL, 'OS01G0267800 PROTEIN', 140936),
(197211, 'PTHR23112:SF22', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', 140937),
(197212, 'PTHR23255:SF60', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RECEPTOR', 140938),
(197213, 'PTHR10108:SF1143', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT8-RELATED', 140939),
(197214, 'PTHR32472:SF12', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 140940),
(197215, 'PTHR11132:SF439', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER 1', 140941),
(197216, 'PTHR12411:SF707', NULL, NULL, NULL, NULL, 'CATHEPSIN B-LIKE CYSTEINE PROTEINASE 5-RELATED', 140942),
(197217, 'PTHR45667:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140943),
(197218, 'PTHR10366:SF662', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE', 140944),
(197219, 'PTHR31190:SF233', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 140945),
(197220, 'PTHR33102:SF46', NULL, NULL, NULL, NULL, 'DVL17', 140946),
(197221, 'PTHR48247:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140947),
(197222, 'PTHR34539:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140948); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(197223, 'PTHR31752:SF47', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', 140949),
(197224, 'PTHR11879:SF14', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 140950),
(197225, 'PTHR43102', NULL, NULL, NULL, NULL, 'SLR1143 PROTEIN', 140951),
(197226, 'PTHR11011:SF44', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 140952),
(197227, 'PTHR10641:SF592', NULL, NULL, NULL, NULL, 'P-TYPE R2R3 MYB PROTEIN', 140953),
(197228, 'PTHR32241:SF25', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 8', 140954),
(197229, 'PTHR21600:SF49', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL MRNA PSEUDOURIDINE SYNTHASE RPUSD3', 140955),
(197230, 'PTHR11038:SF19', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM9', 140956),
(197231, 'PTHR15860:SF0', NULL, NULL, NULL, NULL, 'LP20373P', 140957),
(197232, 'PTHR34574:SF3', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND FAMILY PROTEIN', 140958),
(197233, 'PTHR22776:SF43', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', 140959),
(197234, 'PTHR11362:SF48', NULL, NULL, NULL, NULL, 'PROTEIN CENTRORADIALIS-LIKE', 140960),
(197235, 'PTHR45876:SF1', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 39', 140961),
(197236, 'PTHR24072:SF323', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN RHO1', 140962),
(197237, 'PTHR13087:SF2', NULL, NULL, NULL, NULL, 'NF-KAPPA-B-ACTIVATING PROTEIN', 140963),
(197238, 'PTHR32179', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE PYROPHOSPHORYLASE [CARBOXYLATING]', 140964),
(197239, 'PTHR22461', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 140965),
(197240, 'PTHR24128:SF39', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN-RELATED', 140966),
(197241, 'PTHR35218:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140967),
(197242, 'PTHR13848:SF51', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 140968),
(197243, 'PTHR24177:SF184', NULL, NULL, NULL, NULL, 'PROTEIN ACCELERATED CELL DEATH 6-LIKE', 140969),
(197244, 'PTHR11822:SF35', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', 140970),
(197245, 'PTHR13516:SF3', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', 140971),
(197246, 'PTHR40446', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-1-PHOSPHODIESTER ALPHA-N-ACETYLGLUCOSAMINIDASE', 140972),
(197247, 'PTHR22776:SF26', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 5', 140973),
(197248, 'PTHR46506:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140974),
(197249, 'PTHR43586:SF3', NULL, NULL, NULL, NULL, 'O-PHOSPHO-L-SERYL-TRNA:CYS-TRNA SYNTHASE', 140975),
(197250, 'PTHR23077:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140976),
(197251, 'PTHR23177', NULL, NULL, NULL, NULL, 'MKIAA1688 PROTEIN', 140977),
(197252, 'PTHR31301:SF130', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 27-LIKE', 140978),
(197253, 'PTHR24223:SF393', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140979),
(197254, 'PTHR33207:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 140980),
(197255, 'PTHR45660:SF60', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH6-LIKE ISOFORM X1', 140981),
(197256, 'PTHR24210:SF13', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN', 140982),
(197257, 'PTHR45631:SF56', NULL, NULL, NULL, NULL, 'TYROSINE KINASE DOMAIN PROTEIN', 140983),
(197258, 'PTHR27001:SF820', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 140984),
(197259, 'PTHR34709:SF28', NULL, NULL, NULL, NULL, 'OS08G0272950 PROTEIN', 140985),
(197260, 'PTHR33843:SF4', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 140986),
(197261, 'PTHR28556:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 106B', 140987),
(197262, 'PTHR13448:SF8', NULL, NULL, NULL, NULL, 'BNAA09G51360D PROTEIN', 140988),
(197263, 'PTHR38323:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HEATR9', 140989),
(197264, 'PTHR43712:SF15', NULL, NULL, NULL, NULL, 'MONODICTYPHENONE CLUSTER TRANSCRIPTIONAL COACTIVATOR MDPA', 140990),
(197265, 'PTHR47981:SF7', NULL, NULL, NULL, NULL, 'OS05G0536900 PROTEIN', 140991);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(197266, 'PTHR11373:SF4', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOSIDE TRIPHOSPHATE TRIPHOSPHOHYDROLASE SAMHD1', 140992),
(197267, 'PTHR14942:SF15', NULL, NULL, NULL, NULL, 'UBIQUITIN-RELATED DOMAIN-CONTAINING PROTEIN-RELATED', 140993),
(197268, 'PTHR47350', NULL, NULL, NULL, NULL, 'PROTEIN IWS1 HOMOLOG 1', 140994),
(197269, 'PTHR14972', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 140995),
(197270, 'PTHR32063:SF26', NULL, NULL, NULL, NULL, 'EFFLUX PUMP MEMBRANE TRANSPORTER', 140996),
(197271, 'PTHR47672', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SNT2', 140997),
(197272, 'PTHR47209:SF8', NULL, NULL, NULL, NULL, 'BNAC03G67170D PROTEIN', 140998),
(197273, 'PTHR35559', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 140999),
(197274, 'PTHR33432:SF16', NULL, NULL, NULL, NULL, 'PROTEIN EMSY-LIKE 3-LIKE ISOFORM X2', 141000),
(197275, 'PTHR23024:SF24', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 18-RELATED', 141001),
(197276, 'PTHR13683:SF822', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY, ASPARTIC PEPTIDASE DOMAIN PROTEIN-RELATED', 141002),
(197277, 'PTHR47991:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141003),
(197278, 'PTHR11556:SF18', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, CHLOROPLASTIC-LIKE', 141004),
(197279, 'PTHR33702:SF25', NULL, NULL, NULL, NULL, 'OS05G0575200 PROTEIN', 141005),
(197280, 'PTHR48058', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2-RELATED', 141006),
(197281, 'PTHR12547:SF140', NULL, NULL, NULL, NULL, 'PROTEIN TIS11', 141007),
(197282, 'PTHR15075', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDE BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE', 141008),
(197283, 'PTHR47983:SF20', NULL, NULL, NULL, NULL, 'OS03G0844100 PROTEIN', 141009),
(197284, 'PTHR10527:SF73', NULL, NULL, NULL, NULL, 'IMPORTIN-5-LIKE', 141010),
(197285, 'PTHR23070:SF124', NULL, NULL, NULL, NULL, 'ATPASE, AAA FAMILY PROTEIN, EXPRESSED', 141011),
(197286, 'PTHR10366:SF628', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 141012),
(197287, 'PTHR33099:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141013),
(197288, 'PTHR42743:SF2', NULL, NULL, NULL, NULL, 'AMINODEOXYCHORISMATE LYASE', 141014),
(197289, 'PTHR10264:SF115', NULL, NULL, NULL, NULL, 'ERYTHROCYTE BAND 7 INTEGRAL MEMBRANE PROTEIN', 141015),
(197290, 'PTHR45744:SF11', NULL, NULL, NULL, NULL, 'TYROSINE AMINOTRANSFERASE', 141016),
(197291, 'PTHR11347:SF194', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT 3'',5''-CYCLIC NUCLEOTIDE PHOSPHODIESTERASE 1B', 141017),
(197292, 'PTHR33609', NULL, NULL, NULL, NULL, 'LOW CALCIUM RESPONSE LOCUS PROTEIN S', 141018),
(197293, 'PTHR11540:SF47', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', 141019),
(197294, 'PTHR13516:SF14', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', 141020),
(197295, 'PTHR31306:SF4', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYLTRANSFERASE MNN11-RELATED', 141021),
(197296, 'PTHR16065:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN CONTAINING 198', 141022),
(197297, 'PTHR11364', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFERTANSFERASE', 141023),
(197298, 'PTHR15032:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141024),
(197299, 'PTHR11132:SF380', NULL, NULL, NULL, NULL, 'OS03G0702700 PROTEIN', 141025),
(197300, 'PTHR12847', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE  ABC  TRANSPORTER-RELATED', 141026),
(197301, 'PTHR47784:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14150)-RELATED', 141027),
(197302, 'PTHR24031:SF630', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 51', 141028),
(197303, 'PTHR22765:SF261', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIRP1', 141029),
(197304, 'PTHR43128:SF24', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', 141030),
(197305, 'PTHR38608:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG00664', 141031),
(197306, 'PTHR24225:SF29', NULL, NULL, NULL, NULL, 'C5A ANAPHYLATOXIN CHEMOTACTIC RECEPTOR 1', 141032),
(197307, 'PTHR45798:SF72', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 141033);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(197308, 'PTHR31673:SF28', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 141034),
(197309, 'PTHR32285:SF70', NULL, NULL, NULL, NULL, 'OS05G0470000 PROTEIN', 141035),
(197310, 'PTHR10806:SF27', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', 141036),
(197311, 'PTHR48166:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141037),
(197312, 'PTHR46206:SF5', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 141038),
(197313, 'PTHR12210:SF109', NULL, NULL, NULL, NULL, 'NUCLEAR LIM INTERACTOR-INTERACTING FACTOR-RELATED', 141039),
(197314, 'PTHR11618:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141040),
(197315, 'PTHR30158:SF19', NULL, NULL, NULL, NULL, 'MULTIDRUG EFFLUX PUMP SUBUNIT ACRA-RELATED', 141041),
(197316, 'PTHR18966:SF403', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 8A', 141042),
(197317, 'PTHR11850:SF223', NULL, NULL, NULL, NULL, 'OS06G0562300 PROTEIN', 141043),
(197318, 'PTHR10334:SF449', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN 1-RELATED', 141044),
(197319, 'PTHR10161:SF40', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 4', 141045),
(197320, 'PTHR11742:SF87', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 141046),
(197321, 'PTHR33830:SF3', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 184-RELATED', 141047),
(197322, 'PTHR47106:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN-CONTAINING PROTEIN 5', 141048),
(197323, 'PTHR33384:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141049),
(197324, 'PTHR31674:SF32', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM10-LIKE', 141050),
(197325, 'PTHR45616:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141051),
(197326, 'PTHR44974:SF1', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 1', 141052),
(197327, 'PTHR45858', NULL, NULL, NULL, NULL, 'FERM DOMAIN CONTAINING PROTEIN', 141053),
(197328, 'PTHR12729:SF9', NULL, NULL, NULL, NULL, 'BNAA02G35940D PROTEIN', 141054),
(197329, 'PTHR10870:SF0', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT PROTEIN RAD1', 141055),
(197330, 'PTHR30314:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141056),
(197331, 'PTHR47690:SF1', NULL, NULL, NULL, NULL, 'GLUCOKINASE', 141057),
(197332, 'PTHR20648:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141058),
(197333, 'PTHR19136:SF82', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN-GUANINE DINUCLEOTIDE BIOSYNTHESIS ADAPTER PROTEIN', 141059),
(197334, 'PTHR48048:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 141060),
(197335, 'PTHR12741:SF7', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCAN SYNTHASE COMPONENT FKS1-RELATED', 141061),
(197336, 'PTHR11019', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR NIMR', 141062),
(197337, 'PTHR24014:SF4', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE AND IRON-DEPENDENT OXYGENASE DOMAIN-CONTAINING PROTEIN 2', 141063),
(197338, 'PTHR24260:SF129', NULL, NULL, NULL, NULL, 'MODULAR SERINE PROTEASE', 141064),
(197339, 'PTHR47226:SF4', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT DOMAIN-CONTAINING 4A', 141065),
(197340, 'PTHR47972:SF28', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14F', 141066),
(197341, 'PTHR15382:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CANOPY HOMOLOG 3', 141067),
(197342, 'PTHR23167:SF25', NULL, NULL, NULL, NULL, 'ALPHA-ACTININ, SARCOMERIC-LIKE PROTEIN', 141068),
(197343, 'PTHR31618:SF8', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', 141069),
(197344, 'PTHR47372:SF18', NULL, NULL, NULL, NULL, 'GROUP 3 LEA PROTEIN', 141070),
(197345, 'PTHR10788', NULL, NULL, NULL, NULL, 'TREHALOSE-6-PHOSPHATE SYNTHASE', 141071),
(197346, 'PTHR31806', NULL, NULL, NULL, NULL, 'PURINE-CYTOSINE PERMEASE FCY2-RELATED', 141072),
(197347, 'PTHR10615:SF171', NULL, NULL, NULL, NULL, 'ZINC FINGER SUPERFAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', 141073),
(197348, 'PTHR22952:SF447', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', 141074),
(197349, 'PTHR31403:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IALPHA2, CHLOROPLASTIC', 141075),
(197350, 'PTHR13789:SF236', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE MDPD-RELATED', 141076); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(197351, 'PTHR31062:SF226', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 141077),
(197352, 'PTHR33801:SF2', NULL, NULL, NULL, NULL, 'ABSCISIC STRESS-RIPENING PROTEIN 1', 141078),
(197353, 'PTHR45716:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141079),
(197354, 'PTHR44489:SF11', NULL, NULL, NULL, NULL, 'FINGER (CCCH TYPE) PROTEIN, PUTATIVE-RELATED', 141080),
(197355, 'PTHR45760:SF1', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 39', 141081),
(197356, 'PTHR10676:SF353', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141082),
(197357, 'PTHR35902:SF4', NULL, NULL, NULL, NULL, 'CONSERVED WITHIN P. AEROPHILUM', 141083),
(197358, 'PTHR24301:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141084),
(197359, 'PTHR19965:SF78', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4D', 141085),
(197360, 'PTHR48017:SF65', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 2', 141086),
(197361, 'PTHR43194:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141087),
(197362, 'PTHR11879:SF20', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 141088),
(197363, 'PTHR46195:SF19', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 7-LIKE', 141089),
(197364, 'PTHR24347:SF369', NULL, NULL, NULL, NULL, 'SI:DKEY-240H12.4', 141090),
(197365, 'PTHR47546', NULL, NULL, NULL, NULL, 'S15/NS1, RNA-BINDING PROTEIN', 141091),
(197366, 'PTHR36943:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141092),
(197367, 'PTHR33320', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA SYNTHETASE', 141093),
(197368, 'PTHR22814:SF320', NULL, NULL, NULL, NULL, 'OJ1116_C07.8 PROTEIN', 141094),
(197369, 'PTHR47634:SF1', NULL, NULL, NULL, NULL, 'SER/ARG-RICH PROTEIN KINASE 4', 141095),
(197370, 'PTHR32005:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-150G13.3-RELATED', 141096),
(197371, 'PTHR36127', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 141097),
(197372, 'PTHR12411:SF717', NULL, NULL, NULL, NULL, 'OS12G0273800 PROTEIN', 141098),
(197373, 'PTHR47977:SF43', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABD2C', 141099),
(197374, 'PTHR40274:SF3', NULL, NULL, NULL, NULL, 'VIRGINIAMYCIN B LYASE', 141100),
(197375, 'PTHR32285:SF264', NULL, NULL, NULL, NULL, 'TRICHOME BIREFRINGENCE-LIKE 38-RELATED', 141101),
(197376, 'PTHR22655:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE BOYB-RELATED', 141102),
(197377, 'PTHR33755:SF7', NULL, NULL, NULL, NULL, 'TOXIN MODULE OF TOXIN-ANTITOXIN SYSTEM RELE/STBE FAMILY', 141103),
(197378, 'PTHR31731:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141104),
(197379, 'PTHR15953', NULL, NULL, NULL, NULL, 'APELIN', 141105),
(197380, 'PTHR10225:SF6', NULL, NULL, NULL, NULL, 'CD44 ANTIGEN', 141106),
(197381, 'PTHR18916:SF77', NULL, NULL, NULL, NULL, 'CAP-GLY DOMAIN-CONTAINING LINKER PROTEIN 3', 141107),
(197382, 'PTHR23147:SF198', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR SF2-LIKE PROTEIN', 141108),
(197383, 'PTHR32370:SF150', NULL, NULL, NULL, NULL, 'BNAA06G01470D PROTEIN', 141109),
(197384, 'PTHR47987:SF1', NULL, NULL, NULL, NULL, 'OS06G0693200 PROTEIN', 141110),
(197385, 'PTHR13003:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP107', 141111),
(197386, 'PTHR14299', NULL, NULL, NULL, NULL, 'PHORBOL-12-MYRISTATE-13-ACETATE-INDUCED PROTEIN 1', 141112),
(197387, 'PTHR36887:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141113),
(197388, 'PTHR35108:SF8', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 3, CHLOROPLASTIC-LIKE', 141114),
(197389, 'PTHR33450:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141115),
(197390, 'PTHR45976:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO SEGMENT POLARITY PROTEIN', 141116),
(197391, 'PTHR48135', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 141117),
(197392, 'PTHR21461:SF54', NULL, NULL, NULL, NULL, 'F21O3.9 PROTEIN-RELATED', 141118),
(197393, 'PTHR11587:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141119),
(197394, 'PTHR44586:SF6', NULL, NULL, NULL, NULL, 'OS12G0150901 PROTEIN', 141120),
(197395, 'PTHR11017:SF361', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN N, PUTATIVE-RELATED', 141121); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(197396, 'PTHR47554:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN MVP1', 141122),
(197397, 'PTHR33265:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141123),
(197398, 'PTHR20889', NULL, NULL, NULL, NULL, 'PHOSPHATASE, ORPHAN 1, 2', 141124),
(197399, 'PTHR22763:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141125),
(197400, 'PTHR12192:SF24', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLCYCLOTRANSFERASE', 141126),
(197401, 'PTHR42978:SF1', NULL, NULL, NULL, NULL, 'BLL0351 PROTEIN', 141127),
(197402, 'PTHR26453:SF159', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10AG1', 141128),
(197403, 'PTHR33705:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOCARRIER PROTEIN HPR', 141129),
(197404, 'PTHR40698:SF1', NULL, NULL, NULL, NULL, 'FLAGELLA-RELATED PROTEIN E-RELATED', 141130),
(197405, 'PTHR39112:SF4', NULL, NULL, NULL, NULL, 'BNACNNG55840D PROTEIN', 141131),
(197406, 'PTHR24282:SF144', NULL, NULL, NULL, NULL, 'CYTOCHROME', 141132),
(197407, 'PTHR31659:SF17', NULL, NULL, NULL, NULL, 'OS01G0852400 PROTEIN', 141133),
(197408, 'PTHR23155:SF983', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 141134),
(197409, 'PTHR24057:SF5', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE IOTA-RELATED', 141135),
(197410, 'PTHR15000', NULL, NULL, NULL, NULL, 'ERYTHROID DIFFERENTIATION-RELATED FACTOR 1', 141136),
(197411, 'PTHR24012:SF365', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 4', 141137),
(197412, 'PTHR35573:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG21098', 141138),
(197413, 'PTHR47928:SF48', NULL, NULL, NULL, NULL, 'TRANSCRIPT PROCESSING PROTEIN, PUTATIVE-RELATED', 141139),
(197414, 'PTHR31639:SF196', NULL, NULL, NULL, NULL, 'BNAA02G12460D PROTEIN', 141140),
(197415, 'PTHR31232:SF103', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY S1-RELATED', 141141),
(197416, 'PTHR31225:SF140', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 6-RELATED', 141142),
(197417, 'PTHR43649:SF5', NULL, NULL, NULL, NULL, 'SRRA', 141143),
(197418, 'PTHR48100:SF5', NULL, NULL, NULL, NULL, 'LMO1244 PROTEIN', 141144),
(197419, 'PTHR45696:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141145),
(197420, 'PTHR24349:SF420', NULL, NULL, NULL, NULL, 'BNAA09G44420D PROTEIN', 141146),
(197421, 'PTHR12300:SF38', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN', 141147),
(197422, 'PTHR33832:SF17', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR TYPE-2', 141148),
(197423, 'PTHR46358:SF1', NULL, NULL, NULL, NULL, 'TONSOKU-LIKE PROTEIN', 141149),
(197424, 'PTHR38008:SF2', NULL, NULL, NULL, NULL, 'HEMOLYSIN-RELATED', 141150),
(197425, 'PTHR48017:SF55', NULL, NULL, NULL, NULL, 'GABA TRANSPORTER 1-LIKE', 141151),
(197426, 'PTHR12952:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 244', 141152),
(197427, 'PTHR24361:SF828', NULL, NULL, NULL, NULL, 'BNAANNG19900D PROTEIN', 141153),
(197428, 'PTHR12321:SF128', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 8-LIKE', 141154),
(197429, 'PTHR31852:SF50', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 141155),
(197430, 'PTHR13878:SF40', NULL, NULL, NULL, NULL, 'ISOAMYL ALCOHOL OXIDASE (AFU_ORTHOLOGUE AFUA_3G07410)', 141156),
(197431, 'PTHR24296:SF117', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 86A2', 141157),
(197432, 'PTHR21659:SF100', NULL, NULL, NULL, NULL, 'OS05G0122700 PROTEIN', 141158),
(197433, 'PTHR37411', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 141159),
(197434, 'PTHR12419:SF65', NULL, NULL, NULL, NULL, 'AGAP004972-PA', 141160),
(197435, 'PTHR31916:SF37', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE F-RELATED', 141161),
(197436, 'PTHR34659:SF10', NULL, NULL, NULL, NULL, 'BNAA04G28730D PROTEIN', 141162),
(197437, 'PTHR24412:SF457', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141163),
(197438, 'PTHR31639:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141164),
(197439, 'PTHR42916', NULL, NULL, NULL, NULL, '2-SUCCINYL-5-ENOLPYRUVYL-6-HYDROXY-3-CYCLOHEXENE-1-CARBOXYLATE SYNTHASE', 141165),
(197440, 'PTHR31852:SF143', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED 1', 141166),
(197441, 'PTHR12924:SF3', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN SUBUNIT ALPHA-LIKE', 141167);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(197442, 'PTHR23515:SF26', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER 2.4-LIKE', 141168),
(197443, 'PTHR32343:SF9', NULL, NULL, NULL, NULL, 'RRM-CONTAINING PROTEIN-RELATED', 141169),
(197444, 'PTHR27006:SF372', NULL, NULL, NULL, NULL, 'OS12G0249300 PROTEIN', 141170),
(197445, 'PTHR11802:SF361', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 13', 141171),
(197446, 'PTHR10285:SF172', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE', 141172),
(197447, 'PTHR43685:SF10', NULL, NULL, NULL, NULL, 'LACTO-N-NEOTETRAOSE BIOSYNTHESIS GLYCOSYL TRANSFERASE LGTA', 141173),
(197448, 'PTHR11654:SF507', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.3', 141174),
(197449, 'PTHR22765:SF280', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING RECEPTOR 5', 141175),
(197450, 'PTHR33021:SF340', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141176),
(197451, 'PTHR48002:SF38', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 141177),
(197452, 'PTHR20515:SF3', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 109B-RELATED', 141178),
(197453, 'PTHR31403:SF37', NULL, NULL, NULL, NULL, 'GLYCEROLIPASE A1', 141179),
(197454, 'PTHR47036', NULL, NULL, NULL, NULL, 'COBALT-FACTOR III C(17)-METHYLTRANSFERASE-RELATED', 141180),
(197455, 'PTHR11437:SF3', NULL, NULL, NULL, NULL, 'EAR6 PROTEIN-RELATED', 141181),
(197456, 'PTHR45564:SF4', NULL, NULL, NULL, NULL, 'DEHYDROGENASE SUBUNIT B, PUTATIVE-RELATED', 141182),
(197457, 'PTHR12669:SF14', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-BINDING PROTEIN 1', 141183),
(197458, 'PTHR21495:SF172', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 141184),
(197459, 'PTHR11132:SF428', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE/PHOSPHATE TRANSLOCATOR-RELATED', 141185),
(197460, 'PTHR33252', NULL, NULL, NULL, NULL, 'THIRD ORF IN TRANSPOSON ISC1160', 141186),
(197461, 'PTHR31762:SF8', NULL, NULL, NULL, NULL, 'CALDESMON-LIKE PROTEIN', 141187),
(197462, 'PTHR11731:SF154', NULL, NULL, NULL, NULL, 'VENOM DIPEPTIDYL PEPTIDASE 4-LIKE PROTEIN', 141188),
(197463, 'PTHR10270', NULL, NULL, NULL, NULL, 'SOX TRANSCRIPTION FACTOR', 141189),
(197464, 'PTHR11176:SF31', NULL, NULL, NULL, NULL, 'BNAA07G10230D PROTEIN', 141190),
(197465, 'PTHR23257:SF818', NULL, NULL, NULL, NULL, 'OS01G0621600 PROTEIN', 141191),
(197466, 'PTHR46043:SF14', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', 141192),
(197467, 'PTHR43601:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 1-1, CHLOROPLASTIC', 141193),
(197468, 'PTHR45642:SF12', NULL, NULL, NULL, NULL, 'OS02G0189200 PROTEIN', 141194),
(197469, 'PTHR27005:SF384', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141195),
(197470, 'PTHR45614:SF180', NULL, NULL, NULL, NULL, 'BNAC03G62830D PROTEIN', 141196),
(197471, 'PTHR10177:SF446', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN CYCLIN', 141197),
(197472, 'PTHR33994:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141198),
(197473, 'PTHR10791:SF156', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 141199),
(197474, 'PTHR33057:SF86', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP2-LIKE', 141200),
(197475, 'PTHR24241:SF30', NULL, NULL, NULL, NULL, 'OREXIN RECEPTOR TYPE 1', 141201),
(197476, 'PTHR45904', NULL, NULL, NULL, NULL, 'TRNA (URACIL-5-)-METHYLTRANSFERASE', 141202),
(197477, 'PTHR22923:SF99', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT 1, Q SUBCOMPONENT-LIKE 4', 141203),
(197478, 'PTHR13601', NULL, NULL, NULL, NULL, 'GAMETOGENETIN-BINDING PROTEIN 2', 141204),
(197479, 'PTHR27004:SF342', NULL, NULL, NULL, NULL, 'BNAC05G13910D PROTEIN', 141205),
(197480, 'PTHR31032:SF9', NULL, NULL, NULL, NULL, 'PGR5-LIKE PROTEIN 1A, CHLOROPLASTIC', 141206),
(197481, 'PTHR43101', NULL, NULL, NULL, NULL, 'BETA-FRUCTOSIDASE', 141207),
(197482, 'PTHR48017:SF141', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 5', 141208),
(197483, 'PTHR47979:SF52', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA6B', 141209),
(197484, 'PTHR11937:SF473', NULL, NULL, NULL, NULL, 'ACTIN-5C-LIKE PROTEIN', 141210),
(197485, 'PTHR35910:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141211),
(197486, 'PTHR11482:SF57', NULL, NULL, NULL, NULL, 'GENE MODEL 853, (NCBI)', 141212);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(197487, 'PTHR24281:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141213),
(197488, 'PTHR45650:SF14', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 7-LIKE', 141214),
(197489, 'PTHR43657', NULL, NULL, NULL, NULL, 'TRYPTOPHAN RNA-BINDING ATTENUATOR PROTEIN-LIKE PROTEIN', 141215),
(197490, 'PTHR46915:SF9', NULL, NULL, NULL, NULL, 'PROTEASE, PUTATIVE-RELATED', 141216),
(197491, 'PTHR27004:SF340', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 141217),
(197492, 'PTHR47629:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG21684', 141218),
(197493, 'PTHR11556:SF11', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE 1', 141219),
(197494, 'PTHR32212:SF256', NULL, NULL, NULL, NULL, 'BNACNNG15460D PROTEIN', 141220),
(197495, 'PTHR30482:SF17', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 141221),
(197496, 'PTHR24193:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141222),
(197497, 'PTHR20861:SF6', NULL, NULL, NULL, NULL, 'BETA-RIBOFURANOSYLAMINOBENZENE 5''-PHOSPHATE SYNTHASE', 141223),
(197498, 'PTHR22835:SF219', NULL, NULL, NULL, NULL, 'BNAC09G43060D PROTEIN', 141224),
(197499, 'PTHR15605:SF2', NULL, NULL, NULL, NULL, 'KINESIN-ASSOCIATED PROTEIN 3', 141225),
(197500, 'PTHR24028:SF108', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A1', 141226),
(197501, 'PTHR34002:SF9', NULL, NULL, NULL, NULL, 'XYLOGLUCAN-SPECIFIC ENDO-BETA-1,4-GLUCANASE A', 141227),
(197502, 'PTHR43294:SF13', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA', 141228),
(197503, 'PTHR11374:SF44', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE 2', 141229),
(197504, 'PTHR22426:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141230),
(197505, 'PTHR11616:SF96', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT CREATINE TRANSPORTER 1', 141231),
(197506, 'PTHR30024:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE BINDING PROTEIN', 141232),
(197507, 'PTHR35490:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 141233),
(197508, 'PTHR24103:SF646', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 39', 141234),
(197509, 'PTHR10807:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141235),
(197510, 'PTHR48174:SF2', NULL, NULL, NULL, NULL, 'DUF946 FAMILY PROTEIN', 141236),
(197511, 'PTHR31194:SF48', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', 141237),
(197512, 'PTHR10877:SF183', NULL, NULL, NULL, NULL, 'AT14535P-RELATED', 141238),
(197513, 'PTHR23013:SF35', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 141239),
(197514, 'PTHR20883:SF15', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE DOMAIN-CONTAINING PROTEIN 1', 141240),
(197515, 'PTHR24064:SF75', NULL, NULL, NULL, NULL, 'PROTEIN CBG21498', 141241),
(197516, 'PTHR12081:SF86', NULL, NULL, NULL, NULL, 'BNAA06G16850D PROTEIN', 141242),
(197517, 'PTHR33958', NULL, NULL, NULL, NULL, 'PROTEIN C8ORF37', 141243),
(197518, 'PTHR13620:SF71', NULL, NULL, NULL, NULL, 'WERNER SYNDROME-LIKE EXONUCLEASE', 141244),
(197519, 'PTHR12428:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141245),
(197520, 'PTHR43991:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141246),
(197521, 'PTHR32009:SF52', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 141247),
(197522, 'PTHR28049', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN YOR223W', 141248),
(197523, 'PTHR19375:SF461', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70 FAMILY-RELATED', 141249),
(197524, 'PTHR47993:SF112', NULL, NULL, NULL, NULL, 'BNAC03G44370D PROTEIN', 141250),
(197525, 'PTHR19343:SF3', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 12-2', 141251),
(197526, 'PTHR11199:SF8', NULL, NULL, NULL, NULL, 'COHESIN SUBUNIT SA-3-RELATED', 141252),
(197527, 'PTHR31852:SF219', NULL, NULL, NULL, NULL, 'BNAA04G15600D PROTEIN', 141253),
(197528, 'PTHR23044:SF68', NULL, NULL, NULL, NULL, 'OS06G0353400 PROTEIN', 141254),
(197529, 'PTHR24115:SF524', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF2B', 141255),
(197530, 'PTHR31744:SF136', NULL, NULL, NULL, NULL, 'BNAA02G18100D PROTEIN', 141256),
(197531, 'PTHR20882:SF14', NULL, NULL, NULL, NULL, 'CYTOPLASMIC TRNA 2-THIOLATION PROTEIN 2', 141257);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(197532, 'PTHR38360', NULL, NULL, NULL, NULL, 'OS03G0120000 PROTEIN', 141258),
(197533, 'PTHR11703:SF0', NULL, NULL, NULL, NULL, 'DEOXYHYPUSINE SYNTHASE', 141259),
(197534, 'PTHR31110:SF8', NULL, NULL, NULL, NULL, 'MAMMALIAN UNCOORDINATED HOMOLOGY 13, DOMAIN 2-RELATED', 141260),
(197535, 'PTHR43948:SF9', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 8', 141261),
(197536, 'PTHR24299:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141262),
(197537, 'PTHR33565:SF27', NULL, NULL, NULL, NULL, 'BNAC05G52140D PROTEIN', 141263),
(197538, 'PTHR21665', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 141264),
(197539, 'PTHR10177:SF403', NULL, NULL, NULL, NULL, 'CYCLIN-D3-1-LIKE', 141265),
(197540, 'PTHR24177:SF333', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 141266),
(197541, 'PTHR47995:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141267),
(197542, 'PTHR14758:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM110B', 141268),
(197543, 'PTHR10797:SF41', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 7-RELATED', 141269),
(197544, 'PTHR20852:SF79', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE CYTOSOLIC ISOZYME 1-1', 141270),
(197545, 'PTHR11937:SF47', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 6', 141271),
(197546, 'PTHR12374:SF69', NULL, NULL, NULL, NULL, 'KIN2', 141272),
(197547, 'PTHR31221:SF175', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 20 ISOFORM X1-RELATED', 141273),
(197548, 'PTHR24178:SF21', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 3', 141274),
(197549, 'PTHR31374:SF212', NULL, NULL, NULL, NULL, 'AUXIN RESPONSIVE PROTEIN', 141275),
(197550, 'PTHR22988:SF68', NULL, NULL, NULL, NULL, 'DM1 PROTEIN KINASE', 141276),
(197551, 'PTHR12447:SF24', NULL, NULL, NULL, NULL, 'BNAA08G25170D PROTEIN', 141277),
(197552, 'PTHR32054:SF57', NULL, NULL, NULL, NULL, 'OS01G0692300 PROTEIN', 141278),
(197553, 'PTHR24373:SF291', NULL, NULL, NULL, NULL, 'HEMICENTIN-2', 141279),
(197554, 'PTHR19143:SF383', NULL, NULL, NULL, NULL, 'GH05177P-RELATED', 141280),
(197555, 'PTHR33257', NULL, NULL, NULL, NULL, 'OS05G0165500 PROTEIN', 141281),
(197556, 'PTHR42253:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141282),
(197557, 'PTHR24264:SF43', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR ACTIVATOR', 141283),
(197558, 'PTHR45619:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 141284),
(197559, 'PTHR14744:SF16', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE MCC1', 141285),
(197560, 'PTHR42919:SF25', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE (NAT) SUPERFAMILY PROTEIN', 141286),
(197561, 'PTHR24208:SF106', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX1', 141287),
(197562, 'PTHR11566:SF181', NULL, NULL, NULL, NULL, 'BNAC09G14660D PROTEIN', 141288),
(197563, 'PTHR11685:SF313', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 141289),
(197564, 'PTHR11977:SF35', NULL, NULL, NULL, NULL, 'VILLIN-1', 141290),
(197565, 'PTHR10791:SF203', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 141291),
(197566, 'PTHR31639:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141292),
(197567, 'PTHR46008:SF15', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.1 ISOFORM X1', 141293),
(197568, 'PTHR11165:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141294),
(197569, 'PTHR13620:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141295),
(197570, 'PTHR31083:SF25', NULL, NULL, NULL, NULL, 'PROTEIN UPSTREAM OF FLC-LIKE', 141296),
(197571, 'PTHR46713:SF6', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED (UBA)/TS-N DOMAIN PROTEIN', 141297),
(197572, 'PTHR43197:SF2', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', 141298),
(197573, 'PTHR26453:SF6', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10G4-RELATED', 141299),
(197574, 'PTHR21708:SF25', NULL, NULL, NULL, NULL, 'PROTEIN PAM1-RELATED', 141300),
(197575, 'PTHR23167:SF61', NULL, NULL, NULL, NULL, 'KARST, ISOFORM E', 141301),
(197576, 'PTHR32099:SF30', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 38-LIKE', 141302);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(197577, 'PTHR32278:SF72', NULL, NULL, NULL, NULL, 'BNAA06G34230D PROTEIN', 141303),
(197578, 'PTHR46879', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 3', 141304),
(197579, 'PTHR24177:SF289', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', 141305),
(197580, 'PTHR11060', NULL, NULL, NULL, NULL, 'PROTEIN MEMO1', 141306),
(197581, 'PTHR48111:SF12', NULL, NULL, NULL, NULL, 'OMPR SUBFAMILY', 141307),
(197582, 'PTHR35546:SF46', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE-LIKE', 141308),
(197583, 'PTHR11461:SF84', NULL, NULL, NULL, NULL, 'PIGMENT EPITHELIUM-DERIVED FACTOR', 141309),
(197584, 'PTHR43574:SF53', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 5-EPIMERASE', 141310),
(197585, 'PTHR24072:SF139', NULL, NULL, NULL, NULL, 'RHO-RELATED BTB DOMAIN-CONTAINING PROTEIN 3', 141311),
(197586, 'PTHR46083:SF2', NULL, NULL, NULL, NULL, 'STARCH SYNTHASE 4, CHLOROPLASTIC/AMYLOPLASTIC-RELATED', 141312),
(197587, 'PTHR33159:SF65', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4-LIKE', 141313),
(197588, 'PTHR30483', NULL, NULL, NULL, NULL, 'LEUCINE-SPECIFIC-BINDING PROTEIN', 141314),
(197589, 'PTHR47319:SF5', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1-LIKE', 141315),
(197590, 'PTHR31187:SF8', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN', 141316),
(197591, 'PTHR35166:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141317),
(197592, 'PTHR47990:SF108', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP1-RELATED', 141318),
(197593, 'PTHR21349:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L21, MITOCHONDRIAL', 141319),
(197594, 'PTHR22945:SF47', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-40', 141320),
(197595, 'PTHR31235:SF273', NULL, NULL, NULL, NULL, 'PEROXIDASE', 141321),
(197596, 'PTHR47490:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141322),
(197597, 'PTHR10343:SF89', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE SUBUNIT BETA-1', 141323),
(197598, 'PTHR44379:SF2', NULL, NULL, NULL, NULL, 'BLR6218 PROTEIN', 141324),
(197599, 'PTHR11062:SF291', NULL, NULL, NULL, NULL, 'XYLOGLUCAN-SPECIFIC GALACTURONOSYLTRANSFERASE 1-LIKE', 141325),
(197600, 'PTHR10024:SF360', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN', 141326),
(197601, 'PTHR34964', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', 141327),
(197602, 'PTHR35108:SF3', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 3-2, CHLOROPLASTIC', 141328),
(197603, 'PTHR12652:SF44', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11-1', 141329),
(197604, 'PTHR43952', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR-RELATED', 141330),
(197605, 'PTHR31717:SF78', NULL, NULL, NULL, NULL, 'BNAC03G73330D PROTEIN', 141331),
(197606, 'PTHR12035', NULL, NULL, NULL, NULL, 'SIALIC ACID BINDING IMMUNOGLOBULIN-LIKE LECTIN', 141332),
(197607, 'PTHR31847', NULL, NULL, NULL, NULL, 'PROTEIN CBG10327', 141333),
(197608, 'PTHR12701:SF56', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED 31-LIKE PROTEIN-RELATED', 141334),
(197609, 'PTHR43450:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141335),
(197610, 'PTHR17608', NULL, NULL, NULL, NULL, 'GENETIC SUPPRESSOR ELEMENT 1', 141336),
(197611, 'PTHR36023:SF3', NULL, NULL, NULL, NULL, 'ARGOS-LIKE PROTEIN', 141337),
(197612, 'PTHR27005:SF212', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141338),
(197613, 'PTHR19328:SF35', NULL, NULL, NULL, NULL, 'OS07G0193000 PROTEIN', 141339),
(197614, 'PTHR45791:SF6', NULL, NULL, NULL, NULL, 'CALCIUM AND INTEGRIN BINDING FAMILY MEMBER 2', 141340),
(197615, 'PTHR35275:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 141341),
(197616, 'PTHR46159:SF11', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 2', 141342),
(197617, 'PTHR43630:SF1', NULL, NULL, NULL, NULL, 'POLY-BETA-1,6-N-ACETYL-D-GLUCOSAMINE SYNTHASE', 141343),
(197618, 'PTHR43807:SF12', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE, CLASSES I AND II FAMILY PROTEIN, EXPRESSED', 141344),
(197619, 'PTHR47987:SF16', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 141345);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(197620, 'PTHR37550:SF3', NULL, NULL, NULL, NULL, 'ANTITOXIN VAPB1', 141346),
(197621, 'PTHR11959:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141347),
(197622, 'PTHR31374:SF328', NULL, NULL, NULL, NULL, 'BNAANNG08410D PROTEIN', 141348),
(197623, 'PTHR46337:SF1', NULL, NULL, NULL, NULL, 'RCC1-LIKE G EXCHANGING FACTOR-LIKE PROTEIN', 141349),
(197624, 'PTHR23291:SF37', NULL, NULL, NULL, NULL, 'MODULATOR OF FTSH PROTEASE YCCA', 141350),
(197625, 'PTHR10671:SF87', NULL, NULL, NULL, NULL, 'PERIPHERAL MYELIN PROTEIN 22', 141351),
(197626, 'PTHR35484:SF1', NULL, NULL, NULL, NULL, 'OS12G0225200 PROTEIN', 141352),
(197627, 'PTHR31282:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141353),
(197628, 'PTHR11654', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER-RELATED', 141354),
(197629, 'PTHR15710:SF107', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 141355),
(197630, 'PTHR47965:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141356),
(197631, 'PTHR11351:SF91', NULL, NULL, NULL, NULL, 'DESATURASE 1, ISOFORM A-RELATED', 141357),
(197632, 'PTHR36947:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04364', 141358),
(197633, 'PTHR47971:SF15', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-13B', 141359),
(197634, 'PTHR35695', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE, CHLOROPLASTIC', 141360),
(197635, 'PTHR13084', NULL, NULL, NULL, NULL, 'T-CELL LYMPHOMA BREAKPOINT-ASSOCIATED TARGET 1-RELATED', 141361),
(197636, 'PTHR24067:SF257', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATING ENZYME', 141362),
(197637, 'PTHR34359:SF18', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 12', 141363),
(197638, 'PTHR12822:SF9', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', 141364),
(197639, 'PTHR13683:SF618', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 2', 141365),
(197640, 'PTHR48017:SF121', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 2-LIKE', 141366),
(197641, 'PTHR11315', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY C26 GAMMA-GLUTAMYL HYDROLASE', 141367),
(197642, 'PTHR47669', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN SFH5', 141368),
(197643, 'PTHR11875:SF106', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN', 141369),
(197644, 'PTHR15361:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141370),
(197645, 'PTHR12619:SF5', NULL, NULL, NULL, NULL, 'RFX, ISOFORM H', 141371),
(197646, 'PTHR23267:SF189', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR DELTA VARIABLE 3', 141372),
(197647, 'PTHR47586:SF1', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 141373),
(197648, 'PTHR33021:SF170', NULL, NULL, NULL, NULL, 'OS06G0286228 PROTEIN', 141374),
(197649, 'PTHR48022:SF46', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G11830)-RELATED', 141375),
(197650, 'PTHR33709:SF17', NULL, NULL, NULL, NULL, 'OS06G0636300 PROTEIN', 141376),
(197651, 'PTHR43386:SF6', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORT SYSTEM INTEGRAL MEMBRANE PROTEIN-RELATED', 141377),
(197652, 'PTHR32468:SF87', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', 141378),
(197653, 'PTHR16458', NULL, NULL, NULL, NULL, 'GLYCINE N-METHYLTRANSFERASE', 141379),
(197654, 'PTHR23023:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141380),
(197655, 'PTHR27009:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141381),
(197656, 'PTHR31248:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141382),
(197657, 'PTHR30265', NULL, NULL, NULL, NULL, 'RHO-INTERACTING TRANSCRIPTION TERMINATION FACTOR NUSG', 141383),
(197658, 'PTHR34567:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141384),
(197659, 'PTHR24015', NULL, NULL, NULL, NULL, 'OS07G0578800 PROTEIN-RELATED', 141385),
(197660, 'PTHR43647:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE', 141386),
(197661, 'PTHR12213:SF2', NULL, NULL, NULL, NULL, 'CORRINOID ADENOSYLTRANSFERASE', 141387),
(197662, 'PTHR24247:SF234', NULL, NULL, NULL, NULL, 'AGAP000369-PA', 141388),
(197663, 'PTHR10969:SF37', NULL, NULL, NULL, NULL, 'PROTEIN LGG-2', 141389),
(197664, 'PTHR37853:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141390);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(197665, 'PTHR15696:SF25', NULL, NULL, NULL, NULL, 'OS08G0305300 PROTEIN', 141391),
(197666, 'PTHR10151:SF113', NULL, NULL, NULL, NULL, 'ALKALINE-PHOSPHATASE-LIKE FAMILY PROTEIN', 141392),
(197667, 'PTHR21237:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141393),
(197668, 'PTHR33728', NULL, NULL, NULL, NULL, 'CTTNBP 2 AMINO-TERMINAL-LIKE PROTEIN', 141394),
(197669, 'PTHR22916:SF60', NULL, NULL, NULL, NULL, 'SPBC2 PROPHAGE-DERIVED GLYCOSYLTRANSFERASE SUNS', 141395),
(197670, 'PTHR23255:SF68', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN SERINE/THREONINE KINASE', 141396),
(197671, 'PTHR27004:SF356', NULL, NULL, NULL, NULL, 'BNAA04G15190D PROTEIN', 141397),
(197672, 'PTHR10972:SF179', NULL, NULL, NULL, NULL, 'OS08G0154900 PROTEIN', 141398),
(197673, 'PTHR11926:SF1340', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 141399),
(197674, 'PTHR31009:SF114', NULL, NULL, NULL, NULL, 'BNAC03G76610D PROTEIN', 141400),
(197675, 'PTHR11588:SF295', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 141401),
(197676, 'PTHR31636:SF216', NULL, NULL, NULL, NULL, 'NODULATION-SIGNALING PATHWAY 2 PROTEIN-LIKE', 141402),
(197677, 'PTHR24637:SF276', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN LON-3', 141403),
(197678, 'PTHR13140:SF794', NULL, NULL, NULL, NULL, 'MYOSIN VIA', 141404),
(197679, 'PTHR33869:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141405),
(197680, 'PTHR34572:SF2', NULL, NULL, NULL, NULL, 'OS09G0284300 PROTEIN', 141406),
(197681, 'PTHR23050:SF343', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML37', 141407),
(197682, 'PTHR24361:SF393', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0270146-RELATED', 141408),
(197683, 'PTHR39472:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 141409),
(197684, 'PTHR47894:SF4', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GADX', 141410),
(197685, 'PTHR23357', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 141411),
(197686, 'PTHR45631:SF93', NULL, NULL, NULL, NULL, 'OS05G0525000 PROTEIN', 141412),
(197687, 'PTHR14154:SF96', NULL, NULL, NULL, NULL, 'EARLY LIGHT-INDUCED PROTEIN 2, CHLOROPLASTIC', 141413),
(197688, 'PTHR46190:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-201H21.5-RELATED', 141414),
(197689, 'PTHR43302:SF6', NULL, NULL, NULL, NULL, 'ARSENICAL PUMP MEMBRANE PROTEIN-RELATED', 141415),
(197690, 'PTHR42832:SF4', NULL, NULL, NULL, NULL, 'BLR3474 PROTEIN', 141416),
(197691, 'PTHR43834:SF2', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN', 141417),
(197692, 'PTHR22911:SF124', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 141418),
(197693, 'PTHR46561:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', 141419),
(197694, 'PTHR43853:SF2', NULL, NULL, NULL, NULL, '3-OXOADIPYL-COA/3-OXO-5,6-DEHYDROSUBERYL-COA THIOLASE', 141420),
(197695, 'PTHR14154:SF94', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', 141421),
(197696, 'PTHR28629:SF1', NULL, NULL, NULL, NULL, 'YALI0E20691P', 141422),
(197697, 'PTHR11638', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE', 141423),
(197698, 'PTHR45619:SF21', NULL, NULL, NULL, NULL, 'PHYTOCHROME-ASSOCIATED SERINE/THREONINE-PROTEIN PHOSPHATASE 1-RELATED', 141424),
(197699, 'PTHR11785:SF348', NULL, NULL, NULL, NULL, 'ASC-TYPE AMINO ACID TRANSPORTER 2', 141425),
(197700, 'PTHR10336:SF85', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 141426),
(197701, 'PTHR46557:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 10', 141427),
(197702, 'PTHR34062', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 21 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G04750)-RELATED', 141428),
(197703, 'PTHR14155:SF580', NULL, NULL, NULL, NULL, 'BNAA04G24440D PROTEIN', 141429),
(197704, 'PTHR48235:SF1', NULL, NULL, NULL, NULL, 'OS01G0916700 PROTEIN', 141430),
(197705, 'PTHR31351:SF23', NULL, NULL, NULL, NULL, 'VAN3-BINDING PROTEIN', 141431),
(197706, 'PTHR34359:SF16', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE104 PROTEIN', 141432),
(197707, 'PTHR11247:SF66', NULL, NULL, NULL, NULL, 'OS03G0101100 PROTEIN', 141433),
(197708, 'PTHR45976:SF5', NULL, NULL, NULL, NULL, 'BETA-CATENIN/ARMADILLO-RELATED PROTEIN 1', 141434);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(197709, 'PTHR11937:SF475', NULL, NULL, NULL, NULL, 'ACTIN-LIKE ATPASE SUPERFAMILY PROTEIN-RELATED', 141435),
(197710, 'PTHR16736:SF2', NULL, NULL, NULL, NULL, 'CORTEXIN-2', 141436),
(197711, 'PTHR34543:SF10', NULL, NULL, NULL, NULL, 'NEOXANTHIN SYNTHASE', 141437),
(197712, 'PTHR45036:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE LIKE 7B', 141438),
(197713, 'PTHR11610:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141439),
(197714, 'PTHR12506:SF71', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 32-LIKE', 141440),
(197715, 'PTHR45707:SF21', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', 141441),
(197716, 'PTHR11183:SF105', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 3', 141442),
(197717, 'PTHR33265:SF35', NULL, NULL, NULL, NULL, 'BNAA08G11990D PROTEIN', 141443),
(197718, 'PTHR41146', NULL, NULL, NULL, NULL, 'DIURETIC HORMONE CLASS 2', 141444),
(197719, 'PTHR11363', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L3-RELATED', 141445),
(197720, 'PTHR31509:SF119', NULL, NULL, NULL, NULL, 'BNAA06G12890D PROTEIN', 141446),
(197721, 'PTHR38546:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILI2', 141447),
(197722, 'PTHR47967:SF36', NULL, NULL, NULL, NULL, 'BNACNNG47670D PROTEIN', 141448),
(197723, 'PTHR21581:SF25', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE DACF', 141449),
(197724, 'PTHR15574:SF39', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 6', 141450),
(197725, 'PTHR12713:SF25', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G', 141451),
(197726, 'PTHR43243:SF28', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CATIONIC AMINO ACID TRANSPORTER 1', 141452),
(197727, 'PTHR22969:SF7', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE SUBUNIT BETA', 141453),
(197728, 'PTHR12902:SF11', NULL, NULL, NULL, NULL, 'GENE MODEL 732, (NCBI)', 141454),
(197729, 'PTHR11069', NULL, NULL, NULL, NULL, 'GLUCOSYLCERAMIDASE', 141455),
(197730, 'PTHR44259:SF32', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN', 141456),
(197731, 'PTHR43002:SF8', NULL, NULL, NULL, NULL, 'GLYCOGEN DEBRANCHING ENZYME', 141457),
(197732, 'PTHR24314:SF24', NULL, NULL, NULL, NULL, 'CHLOROPHYLL(IDE) B REDUCTASE NYC1 PROTEIN-RELATED', 141458),
(197733, 'PTHR35123:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141459),
(197734, 'PTHR38137:SF2', NULL, NULL, NULL, NULL, 'PRC-BARREL DOMAIN PROTEIN', 141460),
(197735, 'PTHR23315:SF306', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 141461),
(197736, 'PTHR48001:SF150', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 141462),
(197737, 'PTHR36141:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141463),
(197738, 'PTHR31388:SF5', NULL, NULL, NULL, NULL, 'PEROXIDASE', 141464),
(197739, 'PTHR43097:SF4', NULL, NULL, NULL, NULL, 'GLUTAMINE--TRNA LIGASE', 141465),
(197740, 'PTHR11932:SF76', NULL, NULL, NULL, NULL, 'CULLIN-5', 141466),
(197741, 'PTHR20208:SF13', NULL, NULL, NULL, NULL, 'EMB|CAB76036.1', 141467),
(197742, 'PTHR22945:SF51', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)-RELATED', 141468),
(197743, 'PTHR14339:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141469),
(197744, 'PTHR23235:SF59', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 14', 141470),
(197745, 'PTHR33246', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 141471),
(197746, 'PTHR31807:SF39', NULL, NULL, NULL, NULL, 'QWRF FAMILY-RELATED', 141472),
(197747, 'PTHR42637:SF1', NULL, NULL, NULL, NULL, 'TRNA-(MS[2]IO[6]A)-HYDROXYLASE', 141473),
(197748, 'PTHR45736:SF8', NULL, NULL, NULL, NULL, 'GLUTAMINE-RICH PROTEIN 1', 141474),
(197749, 'PTHR30435:SF29', NULL, NULL, NULL, NULL, 'FLAGELLAR BASAL-BODY ROD PROTEIN FLGC', 141475),
(197750, 'PTHR13343:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141476),
(197751, 'PTHR15506', NULL, NULL, NULL, NULL, 'DOPPEL PRION', 141477),
(197752, 'PTHR10367:SF11', NULL, NULL, NULL, NULL, 'MRNA-CAPPING ENZYME-LIKE', 141478),
(197753, 'PTHR33077:SF96', NULL, NULL, NULL, NULL, 'BNAC03G71460D PROTEIN', 141479),
(197754, 'PTHR31042:SF121', NULL, NULL, NULL, NULL, 'BNAA02G13780D PROTEIN', 141480);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(197755, 'PTHR13547:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBONUCLEASE P CATALYTIC SUBUNIT', 141481),
(197756, 'PTHR45658:SF63', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 1-LIKE', 141482),
(197757, 'PTHR28180:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', 141483),
(197758, 'PTHR36586:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141484),
(197759, 'PTHR36017', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 1381', 141485),
(197760, 'PTHR43541', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', 141486),
(197761, 'PTHR13923', NULL, NULL, NULL, NULL, 'SEC31-RELATED PROTEIN', 141487),
(197762, 'PTHR12400:SF80', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE MULTIKINASE', 141488),
(197763, 'PTHR39576', NULL, NULL, NULL, NULL, 'ATTACHING AND EFFACING PROTEIN HOMOLOG-RELATED-RELATED', 141489),
(197764, 'PTHR47944:SF8', NULL, NULL, NULL, NULL, 'OS02G0503100 PROTEIN', 141490),
(197765, 'PTHR44375:SF19', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', 141491),
(197766, 'PTHR23147:SF118', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 3', 141492),
(197767, 'PTHR47982:SF17', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 141493),
(197768, 'PTHR22835:SF571', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141494),
(197769, 'PTHR33332:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141495),
(197770, 'PTHR31114', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 141496),
(197771, 'PTHR10192:SF16', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN MOLYBDENUMTRANSFERASE', 141497),
(197772, 'PTHR33122:SF54', NULL, NULL, NULL, NULL, 'LIPID-TRANSFER PROTEIN DIR1-RELATED', 141498),
(197773, 'PTHR27003:SF342', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE, NON-RECEPTOR SYK/ZAP-70-RELATED', 141499),
(197774, 'PTHR46976:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141500),
(197775, 'PTHR46153:SF6', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 141501),
(197776, 'PTHR32410:SF173', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', 141502),
(197777, 'PTHR28629:SF13', NULL, NULL, NULL, NULL, 'DIHYDROXYACETONE KINASE', 141503),
(197778, 'PTHR33877:SF3', NULL, NULL, NULL, NULL, 'SLL2007 PROTEIN', 141504),
(197779, 'PTHR11947:SF14', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE (ACETYL-TRANSFERRING)] KINASE ISOZYME 1, MITOCHONDRIAL', 141505),
(197780, 'PTHR22883:SF360', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 141506),
(197781, 'PTHR16515:SF19', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 14', 141507),
(197782, 'PTHR15186:SF10', NULL, NULL, NULL, NULL, 'BCL2-INTERACTING PROTEIN 3-LIKE B', 141508),
(197783, 'PTHR32018:SF13', NULL, NULL, NULL, NULL, 'GALACTOSE-BINDING PROTEIN-RELATED', 141509),
(197784, 'PTHR10751:SF15', NULL, NULL, NULL, NULL, 'ATLASTIN-1', 141510),
(197785, 'PTHR45664:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A2', 141511),
(197786, 'PTHR45658:SF56', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 141512),
(197787, 'PTHR45798:SF47', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 141513),
(197788, 'PTHR39189', NULL, NULL, NULL, NULL, 'UPF0173 METAL-DEPENDENT HYDROLASE YTKL', 141514),
(197789, 'PTHR31388:SF213', NULL, NULL, NULL, NULL, 'SUBERIZATION-ASSOCIATED ANIONIC PEROXIDASE 2', 141515),
(197790, 'PTHR11489:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', 141516),
(197791, 'PTHR34299', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 141517),
(197792, 'PTHR31928:SF4', NULL, NULL, NULL, NULL, 'OS08G0541500 PROTEIN', 141518),
(197793, 'PTHR33172:SF74', NULL, NULL, NULL, NULL, 'BNAA08G12440D PROTEIN', 141519),
(197794, 'PTHR47864:SF9', NULL, NULL, NULL, NULL, 'BNACNNG58890D PROTEIN', 141520),
(197795, 'PTHR10516:SF413', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 141521),
(197796, 'PTHR18868:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141522),
(197797, 'PTHR23546', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN', 141523),
(197798, 'PTHR13507:SF5', NULL, NULL, NULL, NULL, 'PRKR-INTERACTING PROTEIN 1', 141524),
(197799, 'PTHR11208:SF131', NULL, NULL, NULL, NULL, 'PROTEIN QUAKING-A', 141525);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(197800, 'PTHR27008:SF418', NULL, NULL, NULL, NULL, 'OS11G0490200 PROTEIN', 141526),
(197801, 'PTHR11695:SF294', NULL, NULL, NULL, NULL, 'RETICULON-4-INTERACTING PROTEIN 1, MITOCHONDRIAL', 141527),
(197802, 'PTHR31731:SF72', NULL, NULL, NULL, NULL, 'CORTICAL CELL-DELINEATING PROTEIN', 141528),
(197803, 'PTHR39962', NULL, NULL, NULL, NULL, 'BLL4848 PROTEIN', 141529),
(197804, 'PTHR34281:SF16', NULL, NULL, NULL, NULL, 'BNAC03G42060D PROTEIN', 141530),
(197805, 'PTHR35711:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN HANGOVER', 141531),
(197806, 'PTHR31042:SF117', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14-RELATED', 141532),
(197807, 'PTHR32141:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141533),
(197808, 'PTHR45675:SF52', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', 141534),
(197809, 'PTHR45642:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141535),
(197810, 'PTHR22601:SF14', NULL, NULL, NULL, NULL, 'OS06G0127700 PROTEIN', 141536),
(197811, 'PTHR32208:SF77', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH, BETA-PROPELLER, GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', 141537),
(197812, 'PTHR12428', NULL, NULL, NULL, NULL, 'OXA1', 141538),
(197813, 'PTHR23315:SF245', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 10-LIKE', 141539),
(197814, 'PTHR21662:SF7', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', 141540),
(197815, 'PTHR24376:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 229-RELATED', 141541),
(197816, 'PTHR47211:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141542),
(197817, 'PTHR43625:SF32', NULL, NULL, NULL, NULL, 'PERAKINE REDUCTASE-LIKE', 141543),
(197818, 'PTHR47993:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141544),
(197819, 'PTHR43939:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141545),
(197820, 'PTHR10641:SF1247', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 141546),
(197821, 'PTHR16675:SF160', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD1A', 141547),
(197822, 'PTHR13900:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 1-LIKE', 141548),
(197823, 'PTHR32141:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141549),
(197824, 'PTHR12549:SF17', NULL, NULL, NULL, NULL, 'JMJC DOMAIN PROTEIN JMJ24', 141550),
(197825, 'PTHR30592:SF1', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN FDHD', 141551),
(197826, 'PTHR48051:SF3', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 8 VRAC SUBUNIT A', 141552),
(197827, 'PTHR34385:SF1', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN L-ALANYL-D-GLUTAMATE ENDOPEPTIDASE CWLK', 141553),
(197828, 'PTHR45654:SF24', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN GLABRA 2', 141554),
(197829, 'PTHR12001:SF79', NULL, NULL, NULL, NULL, 'SOLANESYL DIPHOSPHATE SYNTHASE 2, CHLOROPLASTIC', 141555),
(197830, 'PTHR21063:SF5', NULL, NULL, NULL, NULL, 'LYMPHOCYTE FUNCTION-ASSOCIATED ANTIGEN 3', 141556),
(197831, 'PTHR48011:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141557),
(197832, 'PTHR23176:SF12', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACT', 141558),
(197833, 'PTHR34656:SF4', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE', 141559),
(197834, 'PTHR11802:SF240', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 141560),
(197835, 'PTHR33098:SF45', NULL, NULL, NULL, NULL, 'OS05G0540900 PROTEIN', 141561),
(197836, 'PTHR10869:SF194', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 4-RELATED', 141562),
(197837, 'PTHR31358:SF35', NULL, NULL, NULL, NULL, 'BNAA03G52010D PROTEIN', 141563),
(197838, 'PTHR10969:SF77', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', 141564),
(197839, 'PTHR24249:SF401', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 7F', 141565),
(197840, 'PTHR34055', NULL, NULL, NULL, NULL, 'OS09G0491596 PROTEIN', 141566),
(197841, 'PTHR12859:SF2', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN 3', 141567),
(197842, 'PTHR11693:SF28', NULL, NULL, NULL, NULL, 'POLLEN-LIKE PROTEIN, PUTATIVE-RELATED', 141568),
(197843, 'PTHR31189:SF2', NULL, NULL, NULL, NULL, 'OS03G0336100 PROTEIN', 141569);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(197844, 'PTHR24056:SF178', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE B2-2', 141570),
(197845, 'PTHR12170:SF3', NULL, NULL, NULL, NULL, 'GH10162P', 141571),
(197846, 'PTHR12277:SF134', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 141572),
(197847, 'PTHR38460:SF1', NULL, NULL, NULL, NULL, 'TAUTOMERASE YOLI-RELATED', 141573),
(197848, 'PTHR36985:SF1', NULL, NULL, NULL, NULL, 'TRANSLOCATION AND ASSEMBLY MODULE SUBUNIT TAMB', 141574),
(197849, 'PTHR24299:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 1A2', 141575),
(197850, 'PTHR32285:SF308', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 34', 141576),
(197851, 'PTHR24349:SF430', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR, CALCIUM/CALMODULIN-DEPENDENT/CALCIUM-DEPENDENT PROTEIN KINASE-RELATED', 141577),
(197852, 'PTHR13832:SF755', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C, PUTATIVE-RELATED', 141578),
(197853, 'PTHR23196:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141579),
(197854, 'PTHR47190:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 141580),
(197855, 'PTHR18959:SF23', NULL, NULL, NULL, NULL, 'TRANSGELIN', 141581),
(197856, 'PTHR23509:SF38', NULL, NULL, NULL, NULL, 'OSJNBA0060P14.15 PROTEIN', 141582),
(197857, 'PTHR10110:SF89', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 2', 141583),
(197858, 'PTHR11431:SF80', NULL, NULL, NULL, NULL, 'FERRITIN', 141584),
(197859, 'PTHR19282:SF469', NULL, NULL, NULL, NULL, 'GH01773P', 141585),
(197860, 'PTHR47992:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141586),
(197861, 'PTHR33067:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141587),
(197862, 'PTHR11006:SF101', NULL, NULL, NULL, NULL, 'HISTONE-ARGININE METHYLTRANSFERASE 1.4-RELATED', 141588),
(197863, 'PTHR11630:SF102', NULL, NULL, NULL, NULL, 'DNA HELICASE', 141589),
(197864, 'PTHR11972:SF162', NULL, NULL, NULL, NULL, 'FERRIC REDUCTION OXIDASE 2-LIKE ISOFORM X1', 141590),
(197865, 'PTHR32546:SF25', NULL, NULL, NULL, NULL, 'MIP05539P', 141591),
(197866, 'PTHR42968:SF11', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 8 HOMOLOG', 141592),
(197867, 'PTHR34682:SF13', NULL, NULL, NULL, NULL, 'BNACNNG37080D PROTEIN', 141593),
(197868, 'PTHR27009:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141594),
(197869, 'PTHR11214:SF140', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 141595),
(197870, 'PTHR47975:SF41', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 6', 141596),
(197871, 'PTHR11932:SF126', NULL, NULL, NULL, NULL, 'CULLIN-3', 141597),
(197872, 'PTHR23146:SF0', NULL, NULL, NULL, NULL, 'RNA POLYMERASE-ASSOCIATED PROTEIN LEO1', 141598),
(197873, 'PTHR14580:SF0', NULL, NULL, NULL, NULL, 'MULTIPLE MYELOMA TUMOR-ASSOCIATED PROTEIN 2', 141599),
(197874, 'PTHR33994:SF31', NULL, NULL, NULL, NULL, 'OS02G0618801 PROTEIN', 141600),
(197875, 'PTHR45013:SF1', NULL, NULL, NULL, NULL, 'NACHT DOMAIN- AND WD REPEAT-CONTAINING PROTEIN 1', 141601),
(197876, 'PTHR34055:SF13', NULL, NULL, NULL, NULL, 'OS06G0320300 PROTEIN', 141602),
(197877, 'PTHR46620:SF3', NULL, NULL, NULL, NULL, 'BNACNNG47610D PROTEIN', 141603),
(197878, 'PTHR47979:SF10', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABB1C-LIKE', 141604),
(197879, 'PTHR10641:SF1266', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB16', 141605),
(197880, 'PTHR34501:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN C', 141606),
(197881, 'PTHR35136:SF1', NULL, NULL, NULL, NULL, 'CYCLOEUCALENOL CYCLOISOMERASE', 141607),
(197882, 'PTHR47868:SF3', NULL, NULL, NULL, NULL, 'BNACNNG03670D PROTEIN', 141608),
(197883, 'PTHR19375:SF370', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 37C-RELATED', 141609),
(197884, 'PTHR42893:SF41', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 141610),
(197885, 'PTHR31444:SF0', NULL, NULL, NULL, NULL, 'CDC2 PROTEIN KINASES-LIKE', 141611),
(197886, 'PTHR31115:SF5', NULL, NULL, NULL, NULL, 'OS01G0967100 PROTEIN', 141612),
(197887, 'PTHR11208:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141613),
(197888, 'PTHR31395:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-LIKE-2A', 141614);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(197889, 'PTHR35702:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141615),
(197890, 'PTHR13681:SF31', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 3', 141616),
(197891, 'PTHR46347:SF1', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 141617),
(197892, 'PTHR12143:SF19', NULL, NULL, NULL, NULL, 'PEPTIDE-N(4)-(N-ACETYL-BETA-GLUCOSAMINYL)ASPARAGINE AMIDASE', 141618),
(197893, 'PTHR11926:SF1368', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 141619),
(197894, 'PTHR14154:SF86', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', 141620),
(197895, 'PTHR18860:SF16', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN ETA', 141621),
(197896, 'PTHR11008:SF13', NULL, NULL, NULL, NULL, 'FI04421P', 141622),
(197897, 'PTHR11002:SF65', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 141623),
(197898, 'PTHR19957:SF309', NULL, NULL, NULL, NULL, 'SYNTAXIN-42', 141624),
(197899, 'PTHR12276:SF95', NULL, NULL, NULL, NULL, 'ENTH/VHS FAMILY PROTEIN', 141625),
(197900, 'PTHR42776:SF1', NULL, NULL, NULL, NULL, 'ZGC:136971', 141626),
(197901, 'PTHR37292', NULL, NULL, NULL, NULL, 'VNG6097C', 141627),
(197902, 'PTHR46122:SF18', NULL, NULL, NULL, NULL, 'BNAC03G76170D PROTEIN', 141628),
(197903, 'PTHR12100', NULL, NULL, NULL, NULL, 'SEC10', 141629),
(197904, 'PTHR48002:SF72', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 141630),
(197905, 'PTHR36016', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 7', 141631),
(197906, 'PTHR45650:SF10', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 7', 141632),
(197907, 'PTHR10055:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141633),
(197908, 'PTHR45866:SF1', NULL, NULL, NULL, NULL, 'DNA GYRASE SUBUNIT B, MITOCHONDRIAL', 141634),
(197909, 'PTHR22800:SF243', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141635),
(197910, 'PTHR46327:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141636),
(197911, 'PTHR34980', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED-RELATED', 141637),
(197912, 'PTHR12198:SF11', NULL, NULL, NULL, NULL, 'PROSPERO HOMEOBOX 1B', 141638),
(197913, 'PTHR18966:SF391', NULL, NULL, NULL, NULL, 'NMDA RECEPTOR 2, ISOFORM C', 141639),
(197914, 'PTHR36401:SF2', NULL, NULL, NULL, NULL, 'BNAC02G33360D PROTEIN', 141640),
(197915, 'PTHR15425:SF0', NULL, NULL, NULL, NULL, 'CD160 ANTIGEN', 141641),
(197916, 'PTHR21650:SF4', NULL, NULL, NULL, NULL, 'MEMBRALIN', 141642),
(197917, 'PTHR11599:SF69', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA', 141643),
(197918, 'PTHR11254:SF424', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL5', 141644),
(197919, 'PTHR46805:SF3', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J1-B', 141645),
(197920, 'PTHR31561:SF8', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 15', 141646),
(197921, 'PTHR33156', NULL, NULL, NULL, NULL, 'OS02G0230000 PROTEIN', 141647),
(197922, 'PTHR46546', NULL, NULL, NULL, NULL, 'SHEWANELLA-LIKE PROTEIN PHOSPHATASE 1', 141648),
(197923, 'PTHR11842:SF11', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE ASSEMBLY CHECKPOINT PROTEIN MAD2A', 141649),
(197924, 'PTHR10438:SF413', NULL, NULL, NULL, NULL, 'THIOREDOXIN H2', 141650),
(197925, 'PTHR31642:SF158', NULL, NULL, NULL, NULL, 'N-BENZOYLTRANSFERASE PROTEIN, PUTATIVE-RELATED', 141651),
(197926, 'PTHR30354:SF7', NULL, NULL, NULL, NULL, 'PROPIONATE PERMEASE', 141652),
(197927, 'PTHR33744:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141653),
(197928, 'PTHR31776:SF15', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE FAMILY PROTEIN-RELATED', 141654),
(197929, 'PTHR47346:SF1', NULL, NULL, NULL, NULL, 'HYDROLASES, ACTING ON ESTER BOND', 141655),
(197930, 'PTHR10338:SF14', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN H2', 141656),
(197931, 'PTHR39730', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 1', 141657),
(197932, 'PTHR23506:SF32', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY MFS_1', 141658),
(197933, 'PTHR14269:SF43', NULL, NULL, NULL, NULL, 'ZGC:77375', 141659),
(197934, 'PTHR12905:SF19', NULL, NULL, NULL, NULL, 'UPF0046 PROTEIN K07C11.7', 141660),
(197935, 'PTHR43888:SF8', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY A MEMBER 1', 141661);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(197936, 'PTHR45621:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL17-RELATED', 141662),
(197937, 'PTHR34269:SF3', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', 141663),
(197938, 'PTHR31639:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141664),
(197939, 'PTHR14096:SF59', NULL, NULL, NULL, NULL, 'SI:CABZ01007807.1', 141665),
(197940, 'PTHR10795:SF463', NULL, NULL, NULL, NULL, 'OS12G0427600 PROTEIN', 141666),
(197941, 'PTHR27000:SF479', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE-RELATED', 141667),
(197942, 'PTHR33228', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 4-RELATED', 141668),
(197943, 'PTHR12537:SF51', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN, PUTATIVE-RELATED', 141669),
(197944, 'PTHR12864:SF50', NULL, NULL, NULL, NULL, 'SPRY DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14910)-RELATED', 141670),
(197945, 'PTHR30055:SF199', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YTTP-RELATED', 141671),
(197946, 'PTHR10641:SF1007', NULL, NULL, NULL, NULL, 'PROTEIN ODORANT1-LIKE', 141672),
(197947, 'PTHR12892:SF11', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 2', 141673),
(197948, 'PTHR46807:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF3-LIKE', 141674),
(197949, 'PTHR31044:SF102', NULL, NULL, NULL, NULL, 'BNACNNG75660D PROTEIN', 141675),
(197950, 'PTHR44743:SF12', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 6-LIKE', 141676),
(197951, 'PTHR27009:SF165', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE, PUTATIVE-RELATED', 141677),
(197952, 'PTHR10091:SF36', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 141678),
(197953, 'PTHR47956:SF74', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A23', 141679),
(197954, 'PTHR12400:SF26', NULL, NULL, NULL, NULL, 'INOSITOL-TRISPHOSPHATE 3-KINASE C', 141680),
(197955, 'PTHR11564:SF29', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN 1', 141681),
(197956, 'PTHR31792:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR ATPASE ASSEMBLY INTEGRAL MEMBRANE PROTEIN VMA21 HOMOLOG', 141682),
(197957, 'PTHR12663:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141683),
(197958, 'PTHR11972:SF164', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE-RELATED', 141684),
(197959, 'PTHR43619:SF6', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 141685),
(197960, 'PTHR22951:SF101', NULL, NULL, NULL, NULL, 'BNAA09G51020D PROTEIN', 141686),
(197961, 'PTHR46133:SF19', NULL, NULL, NULL, NULL, 'BNAA02G09500D PROTEIN', 141687),
(197962, 'PTHR10353:SF163', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 19', 141688),
(197963, 'PTHR47212:SF3', NULL, NULL, NULL, NULL, '(, RELATED)', 141689),
(197964, 'PTHR27005:SF190', NULL, NULL, NULL, NULL, 'OS05G0318100 PROTEIN', 141690),
(197965, 'PTHR11909:SF403', NULL, NULL, NULL, NULL, 'BNAA01G08020D PROTEIN', 141691),
(197966, 'PTHR31066:SF74', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', 141692),
(197967, 'PTHR27009:SF164', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE, PUTATIVE-RELATED', 141693),
(197968, 'PTHR23310:SF113', NULL, NULL, NULL, NULL, 'FERM/ACYL-COA-BINDING PROTEIN, 3-HELICAL BUNDLE-RELATED', 141694),
(197969, 'PTHR16105:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 41', 141695),
(197970, 'PTHR23335:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141696),
(197971, 'PTHR27004:SF195', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 24-RELATED', 141697),
(197972, 'PTHR31722:SF42', NULL, NULL, NULL, NULL, 'BNAC09G38350D PROTEIN', 141698),
(197973, 'PTHR45801:SF57', NULL, NULL, NULL, NULL, 'BNAC04G48270D PROTEIN', 141699),
(197974, 'PTHR11926:SF1400', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141700),
(197975, 'PTHR31388:SF3', NULL, NULL, NULL, NULL, 'PEROXIDASE 72', 141701),
(197976, 'PTHR24072:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141702),
(197977, 'PTHR43391:SF37', NULL, NULL, NULL, NULL, 'OS02G0511100 PROTEIN', 141703),
(197978, 'PTHR11639:SF114', NULL, NULL, NULL, NULL, 'S100 CALCIUM-BINDING PROTEIN V1-RELATED', 141704);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(197979, 'PTHR31675:SF0', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 4', 141705),
(197980, 'PTHR47411:SF2', NULL, NULL, NULL, NULL, 'B3GNT1, BETA-1,3-N-ACETYLGUCOSAMINYLTRANSFERASE 1, HOMOLOG', 141706),
(197981, 'PTHR42898:SF24', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN 13', 141707),
(197982, 'PTHR31283:SF5', NULL, NULL, NULL, NULL, 'GEO08993P1', 141708),
(197983, 'PTHR31717:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141709),
(197984, 'PTHR11567:SF187', NULL, NULL, NULL, NULL, 'PROTEIN CBG06099', 141710),
(197985, 'PTHR47979:SF50', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-2B', 141711),
(197986, 'PTHR21700:SF27', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 141712),
(197987, 'PTHR11165:SF113', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 21', 141713),
(197988, 'PTHR15184:SF64', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA', 141714),
(197989, 'PTHR35107:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 141715),
(197990, 'PTHR14224:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141716),
(197991, 'PTHR12420:SF42', NULL, NULL, NULL, NULL, 'LD12022P-RELATED', 141717),
(197992, 'PTHR33403:SF16', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1', 141718),
(197993, 'PTHR43735:SF21', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE 3', 141719),
(197994, 'PTHR12965', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING 54', 141720),
(197995, 'PTHR45734:SF3', NULL, NULL, NULL, NULL, 'TENSIN-1', 141721),
(197996, 'PTHR14130:SF14', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 92B', 141722),
(197997, 'PTHR10621:SF7', NULL, NULL, NULL, NULL, 'OS08G0430200 PROTEIN', 141723),
(197998, 'PTHR43329:SF106', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE ISOFORM X1', 141724),
(197999, 'PTHR10896:SF31', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE GT43E-RELATED', 141725),
(198000, 'PTHR47926:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141726),
(198001, 'PTHR34000:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141727),
(198002, 'PTHR10772:SF46', NULL, NULL, NULL, NULL, 'CHAPERONIN', 141728),
(198003, 'PTHR23401', NULL, NULL, NULL, NULL, 'CYCLIN DEPENDANT KINASE-5 ACTIVATOR', 141729),
(198004, 'PTHR46443:SF14', NULL, NULL, NULL, NULL, 'ZF-FLZ DOMAIN-CONTAINING PROTEIN-RELATED', 141730),
(198005, 'PTHR11654:SF450', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141731),
(198006, 'PTHR12321:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141732),
(198007, 'PTHR19256:SF22', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR GAMMA VARIABLE 8', 141733),
(198008, 'PTHR30244:SF9', NULL, NULL, NULL, NULL, 'PROTEIN RV3402C', 141734),
(198009, 'PTHR33264:SF43', NULL, NULL, NULL, NULL, 'BNAA10G30350D PROTEIN', 141735),
(198010, 'PTHR34805:SF3', NULL, NULL, NULL, NULL, 'BNAA01G14040D PROTEIN', 141736),
(198011, 'PTHR42711:SF10', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 141737),
(198012, 'PTHR37732:SF2', NULL, NULL, NULL, NULL, 'OS08G0104400 PROTEIN', 141738),
(198013, 'PTHR31621:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141739),
(198014, 'PTHR31080:SF146', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN CONTAINING PROTEIN', 141740),
(198015, 'PTHR10558:SF1', NULL, NULL, NULL, NULL, 'SOMATOSTATIN II', 141741),
(198016, 'PTHR44019:SF2', NULL, NULL, NULL, NULL, 'POC1 CENTRIOLAR PROTEIN HOMOLOG A', 141742),
(198017, 'PTHR23421:SF155', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 141743),
(198018, 'PTHR10909:SF267', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 141744),
(198019, 'PTHR11062:SF310', NULL, NULL, NULL, NULL, 'IRX10L-LIKE PROTEIN, PUTATIVE-RELATED', 141745),
(198020, 'PTHR20961:SF122', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN-RELATED', 141746),
(198021, 'PTHR26451:SF175', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1404', 141747),
(198022, 'PTHR12191:SF5', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP14', 141748),
(198023, 'PTHR34071', NULL, NULL, NULL, NULL, '5-NITROIMIDAZOLE ANTIBIOTICS RESISTANCE PROTEIN, NIMA-FAMILY-RELATED PROTEIN-RELATED', 141749),
(198024, 'PTHR48016:SF6', NULL, NULL, NULL, NULL, 'OS02G0555900 PROTEIN', 141750);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(198025, 'PTHR12053:SF3', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE Q', 141751),
(198026, 'PTHR37829:SF1', NULL, NULL, NULL, NULL, 'PHAGE-LIKE ELEMENT PBSX PROTEIN XKDT', 141752),
(198027, 'PTHR43067:SF2', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, ATP-BINDING PROTEIN', 141753),
(198028, 'PTHR37306', NULL, NULL, NULL, NULL, 'COLICIN V PRODUCTION PROTEIN', 141754),
(198029, 'PTHR45710:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141755),
(198030, 'PTHR46859:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 141756),
(198031, 'PTHR11034', NULL, NULL, NULL, NULL, 'N-MYC DOWNSTREAM REGULATED', 141757),
(198032, 'PTHR37197', NULL, NULL, NULL, NULL, 'F19K23.17 PROTEIN', 141758),
(198033, 'PTHR33104:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-29D5.2', 141759),
(198034, 'PTHR36700:SF1', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMR SUBUNIT CMR4', 141760),
(198035, 'PTHR10694:SF107', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ706', 141761),
(198036, 'PTHR24148:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141762),
(198037, 'PTHR46757:SF7', NULL, NULL, NULL, NULL, 'SORTING NEXIN-5/6/32-RELATED', 141763),
(198038, 'PTHR11430:SF13', NULL, NULL, NULL, NULL, 'NEUTROPHIL GELATINASE-ASSOCIATED LIPOCALIN', 141764),
(198039, 'PTHR15664', NULL, NULL, NULL, NULL, 'C20ORF30 PROTEIN', 141765),
(198040, 'PTHR32502:SF8', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE PERMEASE IIC COMPONENT 1-RELATED', 141766),
(198041, 'PTHR33193:SF34', NULL, NULL, NULL, NULL, 'OS02G0223700 PROTEIN', 141767),
(198042, 'PTHR47802', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN, EXPRESSED', 141768),
(198043, 'PTHR24412:SF451', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 20', 141769),
(198044, 'PTHR31655', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 141770),
(198045, 'PTHR26379:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141771),
(198046, 'PTHR45829:SF5', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 33', 141772),
(198047, 'PTHR16897:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141773),
(198048, 'PTHR45973:SF19', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 1, AXONEMAL', 141774),
(198049, 'PTHR36357', NULL, NULL, NULL, NULL, 'OS03G0148300 PROTEIN', 141775),
(198050, 'PTHR31087:SF122', NULL, NULL, NULL, NULL, 'TUBBY C-TERMINAL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 141776),
(198051, 'PTHR11615:SF245', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 141777),
(198052, 'PTHR47968:SF35', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7D, MITOCHONDRIAL', 141778),
(198053, 'PTHR31998:SF33', NULL, NULL, NULL, NULL, 'INORGANIC DIPHOSPHATASE, H+-TRANSLOCATING, VACUOLAR MEMBRANE', 141779),
(198054, 'PTHR31790:SF369', NULL, NULL, NULL, NULL, 'BNACNNG66160D PROTEIN', 141780),
(198055, 'PTHR24056:SF448', NULL, NULL, NULL, NULL, 'BNAC05G26340D PROTEIN', 141781),
(198056, 'PTHR24073:SF1142', NULL, NULL, NULL, NULL, 'SMALL GTPASE LIP1', 141782),
(198057, 'PTHR33077:SF65', NULL, NULL, NULL, NULL, 'PROTEIN JAZ13', 141783),
(198058, 'PTHR10768:SF31', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', 141784),
(198059, 'PTHR45980:SF18', NULL, NULL, NULL, NULL, 'OS06G0234100 PROTEIN', 141785),
(198060, 'PTHR31375:SF237', NULL, NULL, NULL, NULL, 'BNAC04G02210D PROTEIN', 141786),
(198061, 'PTHR28256:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP7', 141787),
(198062, 'PTHR23086:SF128', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', 141788),
(198063, 'PTHR24349:SF317', NULL, NULL, NULL, NULL, 'LD17393P', 141789),
(198064, 'PTHR30182', NULL, NULL, NULL, NULL, 'L-SERINE DEHYDRATASE', 141790),
(198065, 'PTHR48007:SF45', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 2', 141791),
(198066, 'PTHR43579', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 141792),
(198067, 'PTHR31642:SF251', NULL, NULL, NULL, NULL, 'SHIKIMATE/QUINATE HYDROXYCINNAMOYLTRANSFERASE', 141793),
(198068, 'PTHR46843', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 16', 141794),
(198069, 'PTHR33147:SF56', NULL, NULL, NULL, NULL, 'DEFENSIN', 141795);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(198070, 'PTHR43422:SF12', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE, CHLOROPLASTIC', 141796),
(198071, 'PTHR11426:SF210', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE 1-RELATED', 141797),
(198072, 'PTHR31096:SF48', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR7', 141798),
(198073, 'PTHR31989:SF295', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 141799),
(198074, 'PTHR32166:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141800),
(198075, 'PTHR45798:SF10', NULL, NULL, NULL, NULL, 'OS02G0106600 PROTEIN', 141801),
(198076, 'PTHR46183:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOX4', 141802),
(198077, 'PTHR11346:SF80', NULL, NULL, NULL, NULL, 'GALECTIN-9', 141803),
(198078, 'PTHR31675:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141804),
(198079, 'PTHR27006:SF331', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', 141805),
(198080, 'PTHR47976:SF5', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 141806),
(198081, 'PTHR18945:SF835', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR ALPHA-LIKE', 141807),
(198082, 'PTHR46709:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG13583', 141808),
(198083, 'PTHR10353:SF151', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 33', 141809),
(198084, 'PTHR46128:SF60', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', 141810),
(198085, 'PTHR33974:SF14', NULL, NULL, NULL, NULL, 'BNACNNG72160D PROTEIN', 141811),
(198086, 'PTHR24031:SF692', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 53-LIKE', 141812),
(198087, 'PTHR31907:SF65', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 31', 141813),
(198088, 'PTHR11430:SF124', NULL, NULL, NULL, NULL, 'LIPOCALIN-1', 141814),
(198089, 'PTHR48049:SF49', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 141815),
(198090, 'PTHR31444:SF42', NULL, NULL, NULL, NULL, 'BNAC06G07780D PROTEIN', 141816),
(198091, 'PTHR15590', NULL, NULL, NULL, NULL, 'CX9C MOTIF-CONTAINING PROTEIN 4', 141817),
(198092, 'PTHR24559:SF370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141818),
(198093, 'PTHR47991:SF103', NULL, NULL, NULL, NULL, 'PROTEIN SRG1', 141819),
(198094, 'PTHR31311:SF21', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 5-RELATED', 141820),
(198095, 'PTHR10721', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM44', 141821),
(198096, 'PTHR11864:SF27', NULL, NULL, NULL, NULL, 'WW DOMAIN, FF DOMAIN PROTEIN-RELATED', 141822),
(198097, 'PTHR42208', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORTER-RELATED', 141823),
(198098, 'PTHR24260:SF91', NULL, NULL, NULL, NULL, 'FI18411P1-RELATED', 141824),
(198099, 'PTHR47676', NULL, NULL, NULL, NULL, 'OS01G0225100 PROTEIN', 141825),
(198100, 'PTHR10856:SF10', NULL, NULL, NULL, NULL, 'CORONIN-1C', 141826),
(198101, 'PTHR11653:SF16', NULL, NULL, NULL, NULL, 'ONCOMODULIN-1', 141827),
(198102, 'PTHR11384', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY D MEMBER', 141828),
(198103, 'PTHR33165:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141829),
(198104, 'PTHR12299:SF17', NULL, NULL, NULL, NULL, 'AT19571P-RELATED', 141830),
(198105, 'PTHR46554:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IIS-RELATED', 141831),
(198106, 'PTHR23023:SF143', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE 1-RELATED', 141832),
(198107, 'PTHR10984:SF36', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM-GOLGI INTERMEDIATE COMPARTMENT PROTEIN 1', 141833),
(198108, 'PTHR10423:SF6', NULL, NULL, NULL, NULL, 'INSULIN-LIKE 3', 141834),
(198109, 'PTHR26374:SF378', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT5', 141835),
(198110, 'PTHR14360:SF16', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 90B, MITOCHONDRIAL-LIKE ISOFORM X1', 141836),
(198111, 'PTHR43943:SF9', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE 3', 141837),
(198112, 'PTHR27007:SF327', NULL, NULL, NULL, NULL, 'BNAA10G13090D PROTEIN', 141838),
(198113, 'PTHR23117', NULL, NULL, NULL, NULL, 'GUANYLATE KINASE-RELATED', 141839),
(198114, 'PTHR24423:SF626', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE SENSOR 2', 141840);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(198115, 'PTHR32409:SF7', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM20-2', 141841),
(198116, 'PTHR33193:SF51', NULL, NULL, NULL, NULL, 'OS01G0306200 PROTEIN', 141842),
(198117, 'PTHR31190:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141843),
(198118, 'PTHR43295:SF1', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE 1-RELATED', 141844),
(198119, 'PTHR24228:SF28', NULL, NULL, NULL, NULL, 'B1 BRADYKININ RECEPTOR', 141845),
(198120, 'PTHR21212:SF5', NULL, NULL, NULL, NULL, 'SEIPIN-1', 141846),
(198121, 'PTHR12887:SF4', NULL, NULL, NULL, NULL, 'NANOS RELATED', 141847),
(198122, 'PTHR47147', NULL, NULL, NULL, NULL, 'SYNCOILIN', 141848),
(198123, 'PTHR31234:SF49', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 10', 141849),
(198124, 'PTHR48022:SF43', NULL, NULL, NULL, NULL, 'QUINATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G16230)-RELATED', 141850),
(198125, 'PTHR15712:SF8', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING X-LINKED PROTEIN 3', 141851),
(198126, 'PTHR10106:SF47', NULL, NULL, NULL, NULL, 'BNAA02G11010D PROTEIN', 141852),
(198127, 'PTHR22940:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TIMELESS', 141853),
(198128, 'PTHR24064:SF578', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 5', 141854),
(198129, 'PTHR46996:SF6', NULL, NULL, NULL, NULL, 'OS05G0488500 PROTEIN', 141855),
(198130, 'PTHR11817:SF75', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 141856),
(198131, 'PTHR35632:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141857),
(198132, 'PTHR23201:SF43', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 6-LIKE', 141858),
(198133, 'PTHR46043:SF13', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 141859),
(198134, 'PTHR47925:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141860),
(198135, 'PTHR12718:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141861),
(198136, 'PTHR22966:SF55', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 5-LIKE', 141862),
(198137, 'PTHR31480:SF9', NULL, NULL, NULL, NULL, 'PHYTOENE SYNTHASE, CHLOROPLASTIC', 141863),
(198138, 'PTHR47460:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 141864),
(198139, 'PTHR33986:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION PROTEIN ELM1', 141865),
(198140, 'PTHR12446:SF58', NULL, NULL, NULL, NULL, 'OS06G0332700 PROTEIN', 141866),
(198141, 'PTHR36368:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CASEINOLYTIC PROTEASE/CROTONASE FAMILY PROTEIN', 141867),
(198142, 'PTHR24412:SF163', NULL, NULL, NULL, NULL, 'CALICIN', 141868),
(198143, 'PTHR31873:SF6', NULL, NULL, NULL, NULL, 'L-ASPARTATE DEHYDROGENASE-RELATED', 141869),
(198144, 'PTHR10165:SF175', NULL, NULL, NULL, NULL, 'OS08G0359200 PROTEIN', 141870),
(198145, 'PTHR34630:SF35', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RGA2-LIKE', 141871),
(198146, 'PTHR15271:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141872),
(198147, 'PTHR13524:SF2', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 14', 141873),
(198148, 'PTHR47924:SF49', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', 141874),
(198149, 'PTHR47429:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TWIN LOV 1-LIKE', 141875),
(198150, 'PTHR19924:SF28', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 77', 141876),
(198151, 'PTHR12378:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141877),
(198152, 'PTHR31250:SF43', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM3-LIKE', 141878),
(198153, 'PTHR34370:SF1', NULL, NULL, NULL, NULL, 'OS04G0600100 PROTEIN', 141879),
(198154, 'PTHR24139:SF34', NULL, NULL, NULL, NULL, '85/88 KDA CALCIUM-INDEPENDENT PHOSPHOLIPASE A2', 141880),
(198155, 'PTHR45630:SF2', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE 13A2', 141881),
(198156, 'PTHR32166:SF84', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 141882),
(198157, 'PTHR11817:SF104', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 141883),
(198158, 'PTHR48048:SF21', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 141884),
(198159, 'PTHR45666:SF8', NULL, NULL, NULL, NULL, 'OS03G0793600 PROTEIN', 141885);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(198160, 'PTHR24300:SF196', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 141886),
(198161, 'PTHR24055:SF463', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 9-LIKE ISOFORM X1', 141887),
(198162, 'PTHR17204:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141888),
(198163, 'PTHR31642:SF247', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141889),
(198164, 'PTHR23284:SF0', NULL, NULL, NULL, NULL, 'PROLACTIN REGULATORY ELEMENT-BINDING PROTEIN', 141890),
(198165, 'PTHR45677:SF5', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE 1', 141891),
(198166, 'PTHR42996:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE-BINDING PROTEIN PSTS', 141892),
(198167, 'PTHR48056:SF19', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXC2', 141893),
(198168, 'PTHR35538:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141894),
(198169, 'PTHR31040', NULL, NULL, NULL, NULL, 'NURIM', 141895),
(198170, 'PTHR12210:SF146', NULL, NULL, NULL, NULL, 'SCP1-LIKE SMALL PHOSPHATASE 4-RELATED', 141896),
(198171, 'PTHR10803:SF22', NULL, NULL, NULL, NULL, 'BNAC01G38670D PROTEIN', 141897),
(198172, 'PTHR27002:SF522', NULL, NULL, NULL, NULL, 'OS12G0249900 PROTEIN', 141898),
(198173, 'PTHR31379:SF3', NULL, NULL, NULL, NULL, 'F-BOX C PROTEIN', 141899),
(198174, 'PTHR45675:SF25', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 112', 141900),
(198175, 'PTHR23315:SF64', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 141901),
(198176, 'PTHR46890:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 10 KDA PROTEINPSBR PROTEIN', 141902),
(198177, 'PTHR37702:SF4', NULL, NULL, NULL, NULL, 'BNAA09G30130D PROTEIN', 141903),
(198178, 'PTHR32246:SF17', NULL, NULL, NULL, NULL, 'INGRESSION PROTEIN FIC1', 141904),
(198179, 'PTHR28572', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 103', 141905),
(198180, 'PTHR24083:SF169', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-49', 141906),
(198181, 'PTHR47767:SF1', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR G7', 141907),
(198182, 'PTHR47933:SF13', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 141908),
(198183, 'PTHR31907:SF14', NULL, NULL, NULL, NULL, 'KIROLA-LIKE', 141909),
(198184, 'PTHR46641:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG04627', 141910),
(198185, 'PTHR47956:SF51', NULL, NULL, NULL, NULL, 'PREMNASPIRODIENE OXYGENASE-LIKE', 141911),
(198186, 'PTHR13817:SF89', NULL, NULL, NULL, NULL, 'MYOMESIN-3', 141912),
(198187, 'PTHR10742:SF395', NULL, NULL, NULL, NULL, 'BNAC03G23980D PROTEIN', 141913),
(198188, 'PTHR36000:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 141914),
(198189, 'PTHR10788:SF75', NULL, NULL, NULL, NULL, 'SYNTHASE SUBUNIT OF TREHALOSE-6-PHOSPHATE SYNTHASE/PHOSPHATASE COMPLEX (EUROFUNG)', 141915),
(198190, 'PTHR11003:SF290', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 18', 141916),
(198191, 'PTHR21450:SF26', NULL, NULL, NULL, NULL, 'OS11G0564600 PROTEIN', 141917),
(198192, 'PTHR23226:SF280', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 829', 141918),
(198193, 'PTHR31342:SF37', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 141919),
(198194, 'PTHR23065:SF47', NULL, NULL, NULL, NULL, 'FORMIN-BINDING PROTEIN 1-LIKE PROTEIN', 141920),
(198195, 'PTHR34252', NULL, NULL, NULL, NULL, 'UPF0705 PROTEIN C11ORF49', 141921),
(198196, 'PTHR15180:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141922),
(198197, 'PTHR45675:SF61', NULL, NULL, NULL, NULL, 'BNAC07G24710D PROTEIN', 141923),
(198198, 'PTHR31731:SF132', NULL, NULL, NULL, NULL, 'BNAA09G20900D PROTEIN', 141924),
(198199, 'PTHR43578:SF1', NULL, NULL, NULL, NULL, 'NADP-REDUCING HYDROGENASE, SUBUNIT C', 141925),
(198200, 'PTHR15241:SF331', NULL, NULL, NULL, NULL, 'OS03G0141300 PROTEIN', 141926),
(198201, 'PTHR12566:SF6', NULL, NULL, NULL, NULL, 'FOG-1 PROTEIN', 141927),
(198202, 'PTHR47987:SF21', NULL, NULL, NULL, NULL, 'BNAC02G00270D PROTEIN', 141928),
(198203, 'PTHR43876:SF18', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G09540)-RELATED', 141929);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(198204, 'PTHR47942:SF31', NULL, NULL, NULL, NULL, 'OS03G0165100 PROTEIN', 141930),
(198205, 'PTHR43625:SF12', NULL, NULL, NULL, NULL, 'AFLATOXIN B1 ALDEHYDE REDUCTASE MEMBER 2', 141931),
(198206, 'PTHR48007:SF37', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 141932),
(198207, 'PTHR24012:SF813', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 141933),
(198208, 'PTHR10676:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141934),
(198209, 'PTHR10398:SF2', NULL, NULL, NULL, NULL, 'AFADIN', 141935),
(198210, 'PTHR47968:SF34', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 141936),
(198211, 'PTHR10625:SF209', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 141937),
(198212, 'PTHR34465:SF3', NULL, NULL, NULL, NULL, 'OS09G0547900 PROTEIN', 141938),
(198213, 'PTHR31140:SF109', NULL, NULL, NULL, NULL, 'BNAA08G19490D PROTEIN', 141939),
(198214, 'PTHR33064', NULL, NULL, NULL, NULL, 'POL PROTEIN', 141940),
(198215, 'PTHR42810:SF2', NULL, NULL, NULL, NULL, 'PURINE PERMEASE C1399.01C-RELATED', 141941),
(198216, 'PTHR11588:SF124', NULL, NULL, NULL, NULL, 'TUBULIN BETA-7 CHAIN', 141942),
(198217, 'PTHR11481:SF67', NULL, NULL, NULL, NULL, 'PROTEIN IL-40', 141943),
(198218, 'PTHR33057:SF144', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP2-LIKE', 141944),
(198219, 'PTHR47323:SF3', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', 141945),
(198220, 'PTHR33834:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141946),
(198221, 'PTHR31260:SF51', NULL, NULL, NULL, NULL, 'BNACNNG59860D PROTEIN', 141947),
(198222, 'PTHR12236:SF19', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 62BB, ISOFORM A', 141948),
(198223, 'PTHR11474:SF3', NULL, NULL, NULL, NULL, '5,6-DIHYDROXYINDOLE-2-CARBOXYLIC ACID OXIDASE', 141949),
(198224, 'PTHR46162:SF23', NULL, NULL, NULL, NULL, 'BNAA09G00010D PROTEIN', 141950),
(198225, 'PTHR11783:SF252', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 17', 141951),
(198226, 'PTHR31318:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141952),
(198227, 'PTHR41775', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 141953),
(198228, 'PTHR10585:SF73', NULL, NULL, NULL, NULL, 'BNAC07G14900D PROTEIN', 141954),
(198229, 'PTHR47450:SF1', NULL, NULL, NULL, NULL, 'GLUCOKINASE', 141955),
(198230, 'PTHR42799', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PEPTIDE METHIONINE SULFOXIDE REDUCTASE', 141956),
(198231, 'PTHR45933:SF31', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', 141957),
(198232, 'PTHR13355:SF8', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE', 141958),
(198233, 'PTHR47477:SF14', NULL, NULL, NULL, NULL, 'MEPRIN AND TRAF (MATH)-LIKE DOMAIN PROTEIN', 141959),
(198234, 'PTHR19432:SF34', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED TRANSPORTER PROTEIN', 141960),
(198235, 'PTHR48001:SF158', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 141961),
(198236, 'PTHR20916:SF0', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PROTEIN 2-BINDING PROTEIN', 141962),
(198237, 'PTHR15508:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE DELTA-1-RELATED', 141963),
(198238, 'PTHR48034', NULL, NULL, NULL, NULL, 'TRANSFORMER-2 SEX-DETERMINING PROTEIN-RELATED', 141964),
(198239, 'PTHR11908', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE', 141965),
(198240, 'PTHR22930:SF181', NULL, NULL, NULL, NULL, 'OS06G0597250 PROTEIN', 141966),
(198241, 'PTHR15036:SF67', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA-LIKE PROTEIN', 141967),
(198242, 'PTHR27009:SF231', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK1', 141968),
(198243, 'PTHR43603:SF1', NULL, NULL, NULL, NULL, 'COBW DOMAIN-CONTAINING PROTEIN DDB_G0274527', 141969),
(198244, 'PTHR46547:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 8', 141970),
(198245, 'PTHR13935:SF106', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH120-RELATED', 141971),
(198246, 'PTHR10587:SF128', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE DEACETYLASE PDAB-RELATED', 141972),
(198247, 'PTHR10977:SF5', NULL, NULL, NULL, NULL, 'DIPHOSPHOMEVALONATE DECARBOXYLASE', 141973);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(198248, 'PTHR23360:SF64', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 141974),
(198249, 'PTHR16220:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN WRAP73', 141975),
(198250, 'PTHR47069:SF6', NULL, NULL, NULL, NULL, 'OS01G0545800 PROTEIN', 141976),
(198251, 'PTHR23226:SF83', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 75A ISOFORM 1', 141977),
(198252, 'PTHR34491:SF14', NULL, NULL, NULL, NULL, 'MYH7 ISOFORM 1', 141978),
(198253, 'PTHR23288:SF6', NULL, NULL, NULL, NULL, 'OCCLUDIN', 141979),
(198254, 'PTHR46386:SF8', NULL, NULL, NULL, NULL, 'RIKEN CDNA A530032D15RIK GENE-RELATED', 141980),
(198255, 'PTHR10177:SF427', NULL, NULL, NULL, NULL, 'CYCLIN D3.1 PROTEIN', 141981),
(198256, 'PTHR45648:SF88', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN APG, PUTATIVE-RELATED', 141982),
(198257, 'PTHR21228:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141983),
(198258, 'PTHR33463:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141984),
(198259, 'PTHR43329:SF90', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', 141985),
(198260, 'PTHR23505:SF60', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', 141986),
(198261, 'PTHR47932:SF3', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN-RELATED', 141987),
(198262, 'PTHR40626:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', 141988),
(198263, 'PTHR24384:SF180', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 506-RELATED', 141989),
(198264, 'PTHR11040:SF141', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 3', 141990),
(198265, 'PTHR48104', NULL, NULL, NULL, NULL, 'METACASPASE-4', 141991),
(198266, 'PTHR23235:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP2', 141992),
(198267, 'PTHR31341:SF9', NULL, NULL, NULL, NULL, 'CONTACT SITE A PROTEIN', 141993),
(198268, 'PTHR19305:SF31', NULL, NULL, NULL, NULL, 'SNAP25-LIKE PROTEINOUS PROTEIN SNAP33', 141994),
(198269, 'PTHR23105:SF145', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A', 141995),
(198270, 'PTHR45667:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141996),
(198271, 'PTHR31422:SF22', NULL, NULL, NULL, NULL, 'BNAC06G15380D PROTEIN', 141997),
(198272, 'PTHR31225:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 141998),
(198273, 'PTHR46798:SF7', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 141999),
(198274, 'PTHR24064:SF537', NULL, NULL, NULL, NULL, 'BNAC05G16120D PROTEIN', 142000),
(198275, 'PTHR31942:SF52', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 1', 142001),
(198276, 'PTHR19353:SF12', NULL, NULL, NULL, NULL, 'ACYL-COA 6-DESATURASE', 142002),
(198277, 'PTHR11985:SF31', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE 2', 142003),
(198278, 'PTHR41683:SF1', NULL, NULL, NULL, NULL, 'MUCIN-7', 142004),
(198279, 'PTHR37219:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PALE CRESS, CHLOROPLASTIC', 142005),
(198280, 'PTHR43539:SF62', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 142006),
(198281, 'PTHR23213:SF366', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 142007),
(198282, 'PTHR12801:SF115', NULL, NULL, NULL, NULL, 'LD29573P', 142008),
(198283, 'PTHR15315:SF79', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF8-LIKE', 142009),
(198284, 'PTHR24221:SF460', NULL, NULL, NULL, NULL, 'LP14331P', 142010),
(198285, 'PTHR23537:SF1', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER-RELATED', 142011),
(198286, 'PTHR33530:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142012),
(198287, 'PTHR11860:SF97', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 8', 142013),
(198288, 'PTHR47537:SF2', NULL, NULL, NULL, NULL, 'CUBILIN', 142014),
(198289, 'PTHR31155:SF37', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE', 142015),
(198290, 'PTHR43038:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP BINDING PROTEIN', 142016),
(198291, 'PTHR11070:SF49', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE/DEOXYRIBONUCLEASE SUBUNIT B', 142017),
(198292, 'PTHR31077:SF2', NULL, NULL, NULL, NULL, 'SNRNP27 ISOFORM 2', 142018);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(198293, 'PTHR34955:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142019),
(198294, 'PTHR33222:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CURVATURE THYLAKOID 1C, CHLOROPLASTIC', 142020),
(198295, 'PTHR43139:SF51', NULL, NULL, NULL, NULL, 'BNAA01G34530D PROTEIN', 142021),
(198296, 'PTHR23389:SF30', NULL, NULL, NULL, NULL, 'FACTOR C, SUBUNIT 1, PUTATIVE-RELATED', 142022),
(198297, 'PTHR24390:SF109', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 524', 142023),
(198298, 'PTHR43795:SF74', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 2', 142024),
(198299, 'PTHR48041:SF67', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, G1, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 142025),
(198300, 'PTHR31585:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142026),
(198301, 'PTHR11746:SF173', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE-LIKE', 142027),
(198302, 'PTHR11818:SF38', NULL, NULL, NULL, NULL, 'VERY LARGE A-KINASE ANCHOR PROTEIN', 142028),
(198303, 'PTHR15067', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF8', 142029),
(198304, 'PTHR48048:SF47', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 88A1', 142030),
(198305, 'PTHR46592:SF12', NULL, NULL, NULL, NULL, 'OS12G0135300 PROTEIN', 142031),
(198306, 'PTHR48048:SF49', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 142032),
(198307, 'PTHR15486:SF0', NULL, NULL, NULL, NULL, 'ANCIENT UBIQUITOUS PROTEIN 1', 142033),
(198308, 'PTHR11614:SF164', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 142034),
(198309, 'PTHR19308:SF46', NULL, NULL, NULL, NULL, 'START DOMAIN, START-LIKE DOMAIN PROTEIN-RELATED', 142035),
(198310, 'PTHR15570', NULL, NULL, NULL, NULL, 'G0/G1 SWITCH PROTEIN 2', 142036),
(198311, 'PTHR27000:SF594', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 142037),
(198312, 'PTHR23220:SF9', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-6', 142038),
(198313, 'PTHR48034:SF1', NULL, NULL, NULL, NULL, 'TRANSFORMER-2 PROTEIN HOMOLOG BETA', 142039),
(198314, 'PTHR48054:SF21', NULL, NULL, NULL, NULL, 'KINASE FAMILY WITH LEUCINE-RICH REPEAT DOMAIN-CONTAINING PROTEIN', 142040),
(198315, 'PTHR22907:SF14', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 142041),
(198316, 'PTHR33836:SF3', NULL, NULL, NULL, NULL, 'OS01G0144300 PROTEIN', 142042),
(198317, 'PTHR12266:SF20', NULL, NULL, NULL, NULL, 'CATION CALCIUM EXCHANGER', 142043),
(198318, 'PTHR33882:SF13', NULL, NULL, NULL, NULL, 'BNAA09G07030D PROTEIN', 142044),
(198319, 'PTHR30086:SF14', NULL, NULL, NULL, NULL, 'HOMOSERINE/HOMOSERINE LACTONE EFFLUX PROTEIN', 142045),
(198320, 'PTHR45631:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142046),
(198321, 'PTHR45931:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-59O9.10', 142047),
(198322, 'PTHR33044:SF11', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 142048),
(198323, 'PTHR12322:SF108', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR 1', 142049),
(198324, 'PTHR42683:SF68', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE-RELATED', 142050),
(198325, 'PTHR31790:SF352', NULL, NULL, NULL, NULL, 'BNAC03G58630D PROTEIN', 142051),
(198326, 'PTHR33360:SF2', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS200', 142052),
(198327, 'PTHR45496:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 142053),
(198328, 'PTHR45798:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142054),
(198329, 'PTHR43521:SF1', NULL, NULL, NULL, NULL, 'ALPHA-AMINOADIPIC SEMIALDEHYDE DEHYDROGENASE', 142055),
(198330, 'PTHR23070:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142056),
(198331, 'PTHR10554:SF2', NULL, NULL, NULL, NULL, 'GAMMA-1-SYNTROPHIN', 142057),
(198332, 'PTHR23202:SF77', NULL, NULL, NULL, NULL, 'PIP82', 142058),
(198333, 'PTHR47928:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142059),
(198334, 'PTHR33402:SF32', NULL, NULL, NULL, NULL, 'VQ MOTIF PROTEIN', 142060),
(198335, 'PTHR31344:SF7', NULL, NULL, NULL, NULL, 'OS08G0505200 PROTEIN', 142061);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(198336, 'PTHR48021:SF67', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 4', 142062),
(198337, 'PTHR10527:SF60', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 142063),
(198338, 'PTHR47104:SF1', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', 142064),
(198339, 'PTHR33345:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142065),
(198340, 'PTHR23322:SF81', NULL, NULL, NULL, NULL, 'BNAA05G10640D PROTEIN', 142066),
(198341, 'PTHR11604:SF28', NULL, NULL, NULL, NULL, 'PROFILIN-3', 142067),
(198342, 'PTHR33925', NULL, NULL, NULL, NULL, 'PLASTID DIVISION PROTEIN CDP1, CHLOROPLASTIC-RELATED', 142068),
(198343, 'PTHR30433', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN MOTA', 142069),
(198344, 'PTHR48017:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142070),
(198345, 'PTHR13793:SF106', NULL, NULL, NULL, NULL, 'ALHAMBRA, ISOFORM P', 142071),
(198346, 'PTHR11157:SF141', NULL, NULL, NULL, NULL, 'BNAA01G32820D PROTEIN', 142072),
(198347, 'PTHR48211', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 142073),
(198348, 'PTHR31362:SF0', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE STELLO1-RELATED', 142074),
(198349, 'PTHR11937:SF448', NULL, NULL, NULL, NULL, 'ACTIN-LIKE', 142075),
(198350, 'PTHR11760:SF46', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3-1-RELATED', 142076),
(198351, 'PTHR46128:SF206', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 142077),
(198352, 'PTHR24034:SF103', NULL, NULL, NULL, NULL, 'LDL RECEPTOR RELATED PROTEIN 4', 142078),
(198353, 'PTHR31989:SF277', NULL, NULL, NULL, NULL, 'BNAA09G51620D PROTEIN', 142079),
(198354, 'PTHR24289:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 17, SUBFAMILY A, POLYPEPTIDE 2', 142080),
(198355, 'PTHR12341:SF53', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE', 142081),
(198356, 'PTHR47094:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142082),
(198357, 'PTHR10485:SF25', NULL, NULL, NULL, NULL, 'BNAC08G19210D PROTEIN', 142083),
(198358, 'PTHR23065', NULL, NULL, NULL, NULL, 'PROLINE-SERINE-THREONINE PHOSPHATASE INTERACTING PROTEIN 1', 142084),
(198359, 'PTHR12448:SF7', NULL, NULL, NULL, NULL, 'BNAA08G01880D PROTEIN', 142085),
(198360, 'PTHR33399:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF LUMENAL LOCATION 3, CHLOROPLASTIC', 142086),
(198361, 'PTHR47968:SF27', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7J', 142087),
(198362, 'PTHR33548:SF12', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 2', 142088),
(198363, 'PTHR43849:SF2', NULL, NULL, NULL, NULL, 'BLL3936 PROTEIN', 142089),
(198364, 'PTHR47991:SF77', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 1-LIKE', 142090),
(198365, 'PTHR40699:SF1', NULL, NULL, NULL, NULL, 'UPF0179 PROTEIN MJ1627', 142091),
(198366, 'PTHR31140:SF90', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR LEC2', 142092),
(198367, 'PTHR42898:SF60', NULL, NULL, NULL, NULL, 'BNAC04G14070D PROTEIN', 142093),
(198368, 'PTHR11864:SF26', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING PROTEIN 40A-LIKE ISOFORM X1', 142094),
(198369, 'PTHR19961:SF74', NULL, NULL, NULL, NULL, 'BNACNNG38580D PROTEIN', 142095),
(198370, 'PTHR19431:SF10', NULL, NULL, NULL, NULL, 'BNAA05G28850D PROTEIN', 142096),
(198371, 'PTHR34409', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 142097),
(198372, 'PTHR31747:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LOL1', 142098),
(198373, 'PTHR37534', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN UGA3', 142099),
(198374, 'PTHR31989:SF365', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 78', 142100),
(198375, 'PTHR27000:SF645', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 142101),
(198376, 'PTHR11422:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142102),
(198377, 'PTHR45767', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN O', 142103),
(198378, 'PTHR10994:SF147', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B6', 142104),
(198379, 'PTHR33435:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG21870', 142105),
(198380, 'PTHR45569:SF1', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN KDPD', 142106);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(198381, 'PTHR45645:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142107),
(198382, 'PTHR32226:SF2', NULL, NULL, NULL, NULL, 'TELO2-INTERACTING PROTEIN 2', 142108),
(198383, 'PTHR19372', NULL, NULL, NULL, NULL, 'SULFITE REDUCTASE', 142109),
(198384, 'PTHR30221', NULL, NULL, NULL, NULL, 'SMALL-CONDUCTANCE MECHANOSENSITIVE CHANNEL', 142110),
(198385, 'PTHR38790:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142111),
(198386, 'PTHR10210:SF53', NULL, NULL, NULL, NULL, 'GH23275P', 142112),
(198387, 'PTHR23303', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE REGULATORY REGION-CONTAINING', 142113),
(198388, 'PTHR22881:SF27', NULL, NULL, NULL, NULL, 'DNA-BINDING BROMODOMAIN-CONTAINING PROTEIN', 142114),
(198389, 'PTHR34353:SF3', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDONUCLEASE CAS1', 142115),
(198390, 'PTHR27006:SF244', NULL, NULL, NULL, NULL, 'KINASE-RELATED', 142116),
(198391, 'PTHR10509:SF33', NULL, NULL, NULL, NULL, 'CATECHOL-O-METHYLTRANSFERASE FAMILY', 142117),
(198392, 'PTHR43254:SF3', NULL, NULL, NULL, NULL, 'C-TERMINAL BINDING PROTEIN AN', 142118),
(198393, 'PTHR43051:SF7', NULL, NULL, NULL, NULL, 'POLY A POLYMERASE, HEAD DOMAIN-CONTAINING PROTEIN-RELATED', 142119),
(198394, 'PTHR33656:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142120),
(198395, 'PTHR23155:SF898', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 142121),
(198396, 'PTHR22762:SF118', NULL, NULL, NULL, NULL, 'NEUTRAL ALPHA-GLUCOSIDASE AB', 142122),
(198397, 'PTHR32444:SF125', NULL, NULL, NULL, NULL, 'OS01G0958200 PROTEIN', 142123),
(198398, 'PTHR44329:SF73', NULL, NULL, NULL, NULL, 'OS01G0201200 PROTEIN', 142124),
(198399, 'PTHR31350:SF25', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 142125),
(198400, 'PTHR19317:SF65', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 142126),
(198401, 'PTHR11141:SF27', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', 142127),
(198402, 'PTHR43691:SF8', NULL, NULL, NULL, NULL, 'URIDINE PHOSPHORYLASE 2', 142128),
(198403, 'PTHR13817:SF73', NULL, NULL, NULL, NULL, 'BENT, ISOFORM F', 142129),
(198404, 'PTHR46470', NULL, NULL, NULL, NULL, 'N-ACYLNEURAMINATE-9-PHOSPHATASE', 142130),
(198405, 'PTHR10240:SF0', NULL, NULL, NULL, NULL, 'ALPHA-S1-CASEIN', 142131),
(198406, 'PTHR47273:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142132),
(198407, 'PTHR30602:SF9', NULL, NULL, NULL, NULL, 'AMINO-ACID ACETYLTRANSFERASE NAGS1 CHLOROPLASTIC-RELATED', 142133),
(198408, 'PTHR43104:SF2', NULL, NULL, NULL, NULL, 'L-2-HYDROXYGLUTARATE DEHYDROGENASE, MITOCHONDRIAL', 142134),
(198409, 'PTHR15371:SF25', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM23-2-LIKE', 142135),
(198410, 'PTHR48015:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAKB', 142136),
(198411, 'PTHR13723:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142137),
(198412, 'PTHR32448:SF71', NULL, NULL, NULL, NULL, 'BERBERINE FAMILY PROTEIN, PUTATIVE-RELATED', 142138),
(198413, 'PTHR43781', NULL, NULL, NULL, NULL, 'SACCHAROPINE DEHYDROGENASE', 142139),
(198414, 'PTHR22761:SF63', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 32 HOMOLOG 1', 142140),
(198415, 'PTHR22850:SF207', NULL, NULL, NULL, NULL, 'BNAC09G09140D PROTEIN', 142141),
(198416, 'PTHR23201:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142142),
(198417, 'PTHR47982:SF29', NULL, NULL, NULL, NULL, 'BNAA09G52250D PROTEIN', 142143),
(198418, 'PTHR30221:SF3', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL FAMILY PROTEIN', 142144),
(198419, 'PTHR34351', NULL, NULL, NULL, NULL, 'SLR1927 PROTEIN-RELATED', 142145),
(198420, 'PTHR43470:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PSTA', 142146),
(198421, 'PTHR24068:SF383', NULL, NULL, NULL, NULL, 'BNAA09G04490D PROTEIN', 142147),
(198422, 'PTHR21262:SF12', NULL, NULL, NULL, NULL, 'GTP DIPHOSPHOKINASE CRSH, CHLOROPLASTIC-RELATED', 142148),
(198423, 'PTHR43313:SF30', NULL, NULL, NULL, NULL, 'ZGC:113142', 142149),
(198424, 'PTHR22984:SF11', NULL, NULL, NULL, NULL, 'PIM PROTO-ONCOGENE, SERINE/THREONINE KINASE, RELATED 204-RELATED', 142150);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(198425, 'PTHR31374:SF206', NULL, NULL, NULL, NULL, 'F5M15.19', 142151),
(198426, 'PTHR44329:SF149', NULL, NULL, NULL, NULL, 'BNAA03G01030D PROTEIN', 142152),
(198427, 'PTHR40101:SF1', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 142153),
(198428, 'PTHR43553:SF15', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN SCO5958-RELATED', 142154),
(198429, 'PTHR48047:SF109', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 142155),
(198430, 'PTHR24419:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HASPIN', 142156),
(198431, 'PTHR48053:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142157),
(198432, 'PTHR33156:SF54', NULL, NULL, NULL, NULL, 'OS01G0238800 PROTEIN', 142158),
(198433, 'PTHR20981:SF29', NULL, NULL, NULL, NULL, 'BNAC08G42570D PROTEIN', 142159),
(198434, 'PTHR34563:SF6', NULL, NULL, NULL, NULL, 'BNACNNG33880D PROTEIN', 142160),
(198435, 'PTHR47038:SF4', NULL, NULL, NULL, NULL, 'BAG-ASSOCIATED GRAM PROTEIN 1-LIKE', 142161),
(198436, 'PTHR24346:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142162),
(198437, 'PTHR22642:SF20', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE', 142163),
(198438, 'PTHR16134:SF115', NULL, NULL, NULL, NULL, 'BNAA09G40340D PROTEIN', 142164),
(198439, 'PTHR24388:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN SNAI3', 142165),
(198440, 'PTHR43520:SF23', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE 1', 142166),
(198441, 'PTHR12553:SF49', NULL, NULL, NULL, NULL, 'ZINC PHOSPHODIESTERASE ELAC PROTEIN 2', 142167),
(198442, 'PTHR24086:SF18', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 5 GROUP A MEMBER 2', 142168),
(198443, 'PTHR13140:SF680', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, UNCONVENTIONAL MYOSIN', 142169),
(198444, 'PTHR31325:SF128', NULL, NULL, NULL, NULL, 'OSJNBA0061C06.7 PROTEIN', 142170),
(198445, 'PTHR10969:SF20', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR-ASSOCIATED PROTEIN', 142171),
(198446, 'PTHR24399:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 467', 142172),
(198447, 'PTHR26451:SF934', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 12D2', 142173),
(198448, 'PTHR12818', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 142174),
(198449, 'PTHR11706:SF50', NULL, NULL, NULL, NULL, 'MANGANESE TRANSPORTER SMF2', 142175),
(198450, 'PTHR43139:SF25', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD HYDROLASE', 142176),
(198451, 'PTHR32116:SF76', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 3-RELATED', 142177),
(198452, 'PTHR21229:SF61', NULL, NULL, NULL, NULL, 'BNAA06G01930D PROTEIN', 142178),
(198453, 'PTHR45098:SF1', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN CONTAINING PROTEIN, EXPRESSED', 142179),
(198454, 'PTHR47116:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142180),
(198455, 'PTHR33264:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142181),
(198456, 'PTHR14898:SF9', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB-LIKE PROTEIN', 142182),
(198457, 'PTHR43031:SF8', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE YTWF-RELATED', 142183),
(198458, 'PTHR10166:SF31', NULL, NULL, NULL, NULL, 'RE14947P', 142184),
(198459, 'PTHR22870:SF371', NULL, NULL, NULL, NULL, 'OS02G0554100 PROTEIN', 142185),
(198460, 'PTHR31677:SF64', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 6', 142186),
(198461, 'PTHR10725:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142187),
(198462, 'PTHR13992:SF21', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COREPRESSOR 2', 142188),
(198463, 'PTHR13817:SF47', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY DCC SUBCLASS MEMBER 3', 142189),
(198464, 'PTHR47924:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142190),
(198465, 'PTHR46833:SF1', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR 2', 142191),
(198466, 'PTHR12972:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142192),
(198467, 'PTHR13691:SF44', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L2, MITOCHONDRIAL-RELATED', 142193),
(198468, 'PTHR10381:SF11', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT, MITOCHONDRIAL', 142194),
(198469, 'PTHR46144', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 385B-LIKE', 142195);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(198470, 'PTHR47479', NULL, NULL, NULL, NULL, 'OS05G0393200 PROTEIN', 142196),
(198471, 'PTHR47942:SF33', NULL, NULL, NULL, NULL, 'OS02G0121900 PROTEIN', 142197),
(198472, 'PTHR30482:SF19', NULL, NULL, NULL, NULL, 'AMINO ACID ABC TRANSPORTER PERMEASE PROTEIN', 142198),
(198473, 'PTHR45941:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142199),
(198474, 'PTHR13723:SF165', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 20', 142200),
(198475, 'PTHR11452:SF33', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE 2', 142201),
(198476, 'PTHR13520:SF1', NULL, NULL, NULL, NULL, 'RINT1-LIKE PROTEIN MAG2', 142202),
(198477, 'PTHR47791:SF2', NULL, NULL, NULL, NULL, 'ENDO MANNANASE, GH76 FAMILY (EUROFUNG)-RELATED', 142203),
(198478, 'PTHR27000:SF662', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 142204),
(198479, 'PTHR35687:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142205),
(198480, 'PTHR13386:SF3', NULL, NULL, NULL, NULL, 'HISTONE PARYLATION FACTOR 1-LIKE-RELATED', 142206),
(198481, 'PTHR46835:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142207),
(198482, 'PTHR10795:SF361', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9', 142208),
(198483, 'PTHR33509:SF30', NULL, NULL, NULL, NULL, 'BNACNNG19220D PROTEIN', 142209),
(198484, 'PTHR33514:SF13', NULL, NULL, NULL, NULL, 'PROTEIN ABCI12, CHLOROPLASTIC', 142210),
(198485, 'PTHR33272:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG19068', 142211),
(198486, 'PTHR31623:SF28', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', 142212),
(198487, 'PTHR13318:SF91', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 3', 142213),
(198488, 'PTHR24072:SF289', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN 1', 142214),
(198489, 'PTHR13531', NULL, NULL, NULL, NULL, 'GEO07735P1-RELATED-RELATED', 142215),
(198490, 'PTHR24235:SF29', NULL, NULL, NULL, NULL, 'GH23382P', 142216),
(198491, 'PTHR46264:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142217),
(198492, 'PTHR47979:SF23', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1D', 142218),
(198493, 'PTHR33710:SF39', NULL, NULL, NULL, NULL, 'OS08G0365050 PROTEIN', 142219),
(198494, 'PTHR42957:SF1', NULL, NULL, NULL, NULL, 'HELICASE MJ1565-RELATED', 142220),
(198495, 'PTHR23123:SF21', NULL, NULL, NULL, NULL, 'JUMONJI (TRANSCRIPTION FACTOR) DOMAIN PROTEIN-RELATED', 142221),
(198496, 'PTHR43268:SF3', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE/RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 2', 142222),
(198497, 'PTHR21576:SF2', NULL, NULL, NULL, NULL, 'RRP12-LIKE PROTEIN', 142223),
(198498, 'PTHR30411:SF0', NULL, NULL, NULL, NULL, 'CYS-TRNA(PRO)/CYS-TRNA(CYS) DEACYLASE YBAK', 142224),
(198499, 'PTHR22765:SF311', NULL, NULL, NULL, NULL, 'BNAANNG27780D PROTEIN', 142225),
(198500, 'PTHR24347:SF246', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TDA1', 142226),
(198501, 'PTHR46754:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142227),
(198502, 'PTHR47074:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142228),
(198503, 'PTHR23349:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142229),
(198504, 'PTHR15615:SF92', NULL, NULL, NULL, NULL, 'CYCLIN', 142230),
(198505, 'PTHR44191:SF34', NULL, NULL, NULL, NULL, 'BNAC07G34310D PROTEIN', 142231),
(198506, 'PTHR30363:SF24', NULL, NULL, NULL, NULL, 'SGC REGION TRANSCRIPTIONAL REGULATOR-RELATED', 142232),
(198507, 'PTHR32009:SF45', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 142233),
(198508, 'PTHR24373:SF263', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 29', 142234),
(198509, 'PTHR33148:SF6', NULL, NULL, NULL, NULL, 'PLASTID MOVEMENT IMPAIRED PROTEIN', 142235),
(198510, 'PTHR24206:SF54', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', 142236),
(198511, 'PTHR23413:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32-1-LIKE', 142237),
(198512, 'PTHR46128:SF76', NULL, NULL, NULL, NULL, 'BNAC01G42390D PROTEIN', 142238),
(198513, 'PTHR35004', NULL, NULL, NULL, NULL, 'TRANSPOSASE RV3428C-RELATED', 142239);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(198514, 'PTHR24282:SF125', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 709B3', 142240),
(198515, 'PTHR37975:SF2', NULL, NULL, NULL, NULL, 'FLYWCH ZINC FINGER TRANSCRIPTION FACTOR HOMOLOG', 142241),
(198516, 'PTHR11482:SF59', NULL, NULL, NULL, NULL, 'DIAMINOPIMELATE DECARBOXYLASE 2 CHLOROPLASTIC', 142242),
(198517, 'PTHR33868:SF15', NULL, NULL, NULL, NULL, 'OS09G0363500 PROTEIN', 142243),
(198518, 'PTHR14336:SF8', NULL, NULL, NULL, NULL, 'DUAL ADAPTER FOR PHOSPHOTYROSINE AND 3-PHOSPHOTYROSINE AND 3-PHOSPHOINOSITIDE', 142244),
(198519, 'PTHR31911:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM133A', 142245),
(198520, 'PTHR11758:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142246),
(198521, 'PTHR11528:SF26', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN (HSP90-FAMILY)-RELATED', 142247),
(198522, 'PTHR28623:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM118B', 142248),
(198523, 'PTHR14239:SF5', NULL, NULL, NULL, NULL, 'METALLOREDUCTASE STEAP4', 142249),
(198524, 'PTHR33294:SF4', NULL, NULL, NULL, NULL, 'AWPM-19-LIKE FAMILY PROTEIN, EXPRESSED', 142250),
(198525, 'PTHR31509:SF102', NULL, NULL, NULL, NULL, 'BYPASS RELATED PROTEIN-RELATED', 142251),
(198526, 'PTHR22956:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG05417', 142252),
(198527, 'PTHR47193:SF1', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN 1', 142253),
(198528, 'PTHR11937:SF190', NULL, NULL, NULL, NULL, 'ZGC:101810', 142254),
(198529, 'PTHR13243:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 16', 142255),
(198530, 'PTHR23063:SF46', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDYLCHOLINE ACYLTRANSFERASE 1-RELATED', 142256),
(198531, 'PTHR31080:SF228', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', 142257),
(198532, 'PTHR15215:SF2', NULL, NULL, NULL, NULL, 'PROTEIN THEMIS2', 142258),
(198533, 'PTHR45458:SF3', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE (ATSC), PUTATIVE-RELATED', 142259),
(198534, 'PTHR10634:SF96', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 7', 142260),
(198535, 'PTHR47610:SF1', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 4', 142261),
(198536, 'PTHR42790:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 142262),
(198537, 'PTHR34556', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 142263),
(198538, 'PTHR47916:SF2', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE CLASS 1', 142264),
(198539, 'PTHR47640:SF48', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP45B', 142265),
(198540, 'PTHR10332:SF26', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER', 142266),
(198541, 'PTHR44548:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142267),
(198542, 'PTHR33453:SF24', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 142268),
(198543, 'PTHR14234:SF19', NULL, NULL, NULL, NULL, 'RIM-BINDING PROTEIN, ISOFORM F', 142269),
(198544, 'PTHR31829:SF0', NULL, NULL, NULL, NULL, 'PYRIDOXAL 5''-PHOSPHATE SYNTHASE SUBUNIT SNZ1-RELATED', 142270),
(198545, 'PTHR31218:SF64', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 142271),
(198546, 'PTHR46736:SF15', NULL, NULL, NULL, NULL, 'BNACNNG51280D PROTEIN', 142272),
(198547, 'PTHR46513:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142273),
(198548, 'PTHR35579:SF3', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMS ENDORIBONUCLEASE CSM3', 142274),
(198549, 'PTHR31639:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142275),
(198550, 'PTHR48047:SF21', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 142276),
(198551, 'PTHR31205:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142277),
(198552, 'PTHR33888:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4932415D10 GENE', 142278),
(198553, 'PTHR23248:SF28', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE 4', 142279),
(198554, 'PTHR11011:SF60', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 2', 142280),
(198555, 'PTHR33078:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142281),
(198556, 'PTHR24343:SF429', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK8', 142282),
(198557, 'PTHR47932:SF26', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 142283);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(198558, 'PTHR11616:SF118', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT BETAINE TRANSPORTER', 142284),
(198559, 'PTHR12665:SF21', NULL, NULL, NULL, NULL, 'ORM1-LIKE PROTEIN 2-RELATED', 142285),
(198560, 'PTHR31636:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142286),
(198561, 'PTHR21649:SF129', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 142287),
(198562, 'PTHR10108:SF1130', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT26-RELATED', 142288),
(198563, 'PTHR31867:SF180', NULL, NULL, NULL, NULL, 'EXPANSIN', 142289),
(198564, 'PTHR10972:SF188', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN', 142290),
(198565, 'PTHR11711:SF103', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE 5C', 142291),
(198566, 'PTHR24012:SF776', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 4-LIKE', 142292),
(198567, 'PTHR32266:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142293),
(198568, 'PTHR48083:SF6', NULL, NULL, NULL, NULL, 'ZGC:85777', 142294),
(198569, 'PTHR47956:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B16-RELATED', 142295),
(198570, 'PTHR10543:SF89', NULL, NULL, NULL, NULL, 'CAROTENOID 9,10(9'',10'')-CLEAVAGE DIOXYGENASE 1', 142296),
(198571, 'PTHR45780:SF9', NULL, NULL, NULL, NULL, 'BNAA04G22130D PROTEIN', 142297),
(198572, 'PTHR33149:SF23', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', 142298),
(198573, 'PTHR45647:SF3', NULL, NULL, NULL, NULL, 'OS10G0552400 PROTEIN', 142299),
(198574, 'PTHR47003:SF2', NULL, NULL, NULL, NULL, 'OS01G0970900 PROTEIN', 142300),
(198575, 'PTHR46710:SF6', NULL, NULL, NULL, NULL, 'ARM REPEAT PROTEIN INTERACTING WITH ABF2 PROTEIN', 142301),
(198576, 'PTHR47993:SF111', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 142302),
(198577, 'PTHR32133:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142303),
(198578, 'PTHR42776:SF16', NULL, NULL, NULL, NULL, 'ACYLAMINOACYL-PEPTIDE HYDROLASE', 142304),
(198579, 'PTHR42718:SF30', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN STP', 142305),
(198580, 'PTHR19877:SF10', NULL, NULL, NULL, NULL, 'BNAA09G56870D PROTEIN', 142306),
(198581, 'PTHR48026:SF2', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A1-RELATED', 142307),
(198582, 'PTHR33085:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142308),
(198583, 'PTHR46164', NULL, NULL, NULL, NULL, 'ATF6, ISOFORM C', 142309),
(198584, 'PTHR15576', NULL, NULL, NULL, NULL, 'RIBITOL-5-PHOSPHATE XYLOSYLTRANSFERASE 1', 142310),
(198585, 'PTHR24418:SF415', NULL, NULL, NULL, NULL, 'TXK TYROSINE KINASE', 142311),
(198586, 'PTHR33159:SF67', NULL, NULL, NULL, NULL, 'OSJNBA0058K23.20 PROTEIN', 142312),
(198587, 'PTHR10809:SF120', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE-PROTEIN-ASSOCIATED PROTEIN-RELATED', 142313),
(198588, 'PTHR47926:SF93', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 142314),
(198589, 'PTHR31042:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142315),
(198590, 'PTHR23428:SF199', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-K-RELATED', 142316),
(198591, 'PTHR23002:SF109', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', 142317),
(198592, 'PTHR33237:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142318),
(198593, 'PTHR24223:SF384', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142319),
(198594, 'PTHR26453:SF52', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 142320),
(198595, 'PTHR11614:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142321),
(198596, 'PTHR47236', NULL, NULL, NULL, NULL, 'GENE, 32742-RELATED-RELATED', 142322),
(198597, 'PTHR46393:SF2', NULL, NULL, NULL, NULL, 'COMPLEMENT C2', 142323),
(198598, 'PTHR24221:SF555', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN PGP-1', 142324),
(198599, 'PTHR10336:SF79', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE GAMMA', 142325),
(198600, 'PTHR20981:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142326),
(198601, 'PTHR46719:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 142327);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(198602, 'PTHR44083:SF42', NULL, NULL, NULL, NULL, 'LIS1 HOMOLOGY MOTIF PROTEIN-RELATED', 142328),
(198603, 'PTHR46222:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP14', 142329),
(198604, 'PTHR48001:SF72', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 142330),
(198605, 'PTHR42740', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC3', 142331),
(198606, 'PTHR24092:SF157', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 142332),
(198607, 'PTHR34188:SF5', NULL, NULL, NULL, NULL, 'OS01G0299500 PROTEIN', 142333),
(198608, 'PTHR31476:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAMILY PROTEIN', 142334),
(198609, 'PTHR14453:SF90', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 142335),
(198610, 'PTHR33148:SF51', NULL, NULL, NULL, NULL, 'BNAA06G35000D PROTEIN', 142336),
(198611, 'PTHR11760:SF42', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S3, CHLOROPLASTIC', 142337),
(198612, 'PTHR23353:SF6', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 24', 142338),
(198613, 'PTHR43329:SF87', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE YBAC-RELATED', 142339),
(198614, 'PTHR12356:SF29', NULL, NULL, NULL, NULL, 'BNAA03G48880D PROTEIN', 142340),
(198615, 'PTHR44051:SF4', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 142341),
(198616, 'PTHR45089:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142342),
(198617, 'PTHR30522:SF0', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRIPHOSPHATE PYROPHOSPHOHYDROLASE', 142343),
(198618, 'PTHR44042:SF23', NULL, NULL, NULL, NULL, 'OS01G0863300 PROTEIN', 142344),
(198619, 'PTHR12231:SF224', NULL, NULL, NULL, NULL, 'CONTACTIN-3', 142345),
(198620, 'PTHR13768:SF12', NULL, NULL, NULL, NULL, 'BETA-SOLUBLE NSF ATTACHMENT PROTEIN', 142346),
(198621, 'PTHR11132:SF411', NULL, NULL, NULL, NULL, 'OSJNBB0020J19.10 PROTEIN', 142347),
(198622, 'PTHR24346:SF42', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SIK3', 142348),
(198623, 'PTHR26450:SF32', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52B6', 142349),
(198624, 'PTHR33270:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142350),
(198625, 'PTHR43413:SF4', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LYSM', 142351),
(198626, 'PTHR23155:SF921', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142352),
(198627, 'PTHR10283:SF85', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT HIGH-AFFINITY DICARBOXYLATE TRANSPORTER 3', 142353),
(198628, 'PTHR45933:SF22', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 6-RELATED', 142354),
(198629, 'PTHR10744:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142355),
(198630, 'PTHR10965:SF9', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L38, PUTATIVE, EXPRESSED-RELATED', 142356),
(198631, 'PTHR21646:SF14', NULL, NULL, NULL, NULL, 'FI05488P', 142357),
(198632, 'PTHR15970:SF2', NULL, NULL, NULL, NULL, 'ELL-ASSOCIATED FACTOR EAF', 142358),
(198633, 'PTHR43795:SF45', NULL, NULL, NULL, NULL, 'OS05G0196600 PROTEIN', 142359),
(198634, 'PTHR11599:SF134', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 142360),
(198635, 'PTHR47168:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RLIM-LIKE', 142361),
(198636, 'PTHR47926:SF51', NULL, NULL, NULL, NULL, 'OS06G0625800 PROTEIN', 142362),
(198637, 'PTHR31948:SF95', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 5', 142363),
(198638, 'PTHR24348', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE UNC-51-RELATED', 142364),
(198639, 'PTHR11606:SF36', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE', 142365),
(198640, 'PTHR31650:SF41', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE ISOFORM X1', 142366),
(198641, 'PTHR27002:SF591', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-29', 142367),
(198642, 'PTHR48010:SF10', NULL, NULL, NULL, NULL, 'BNAC09G41330D PROTEIN', 142368),
(198643, 'PTHR12899:SF3', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L18, MITOCHONDRIAL', 142369),
(198644, 'PTHR48018:SF101', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 142370),
(198645, 'PTHR33928:SF8', NULL, NULL, NULL, NULL, 'PECTIN LYASE FOLD/VIRULENCE FACTOR, PECTATE LYASE SUPERFAMILY PROTEIN-RELATED', 142371);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(198646, 'PTHR31218:SF16', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 142372),
(198647, 'PTHR31066:SF2', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P', 142373),
(198648, 'PTHR10075:SF56', NULL, NULL, NULL, NULL, 'ROUNDABOUT HOMOLOG 4', 142374),
(198649, 'PTHR21320:SF7', NULL, NULL, NULL, NULL, 'BNAA08G27140D PROTEIN', 142375),
(198650, 'PTHR31391:SF102', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN', 142376),
(198651, 'PTHR14499:SF127', NULL, NULL, NULL, NULL, 'PROTEIN CBG14096', 142377),
(198652, 'PTHR13817:SF122', NULL, NULL, NULL, NULL, 'NEUROGLIAN', 142378),
(198653, 'PTHR11439:SF325', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142379),
(198654, 'PTHR24412:SF437', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142380),
(198655, 'PTHR13429:SF8', NULL, NULL, NULL, NULL, 'FERM DOMAIN CONTAINING 6', 142381),
(198656, 'PTHR45835', NULL, NULL, NULL, NULL, 'YALI0A06105P', 142382),
(198657, 'PTHR23155:SF1106', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 142383),
(198658, 'PTHR27007:SF311', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', 142384),
(198659, 'PTHR19856:SF5', NULL, NULL, NULL, NULL, 'ACTIN-INTERACTING PROTEIN 1-1', 142385),
(198660, 'PTHR14362', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 81', 142386),
(198661, 'PTHR31818:SF11', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 6', 142387),
(198662, 'PTHR24028:SF113', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-B7', 142388),
(198663, 'PTHR47926:SF45', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 142389),
(198664, 'PTHR12210:SF154', NULL, NULL, NULL, NULL, 'BNAA05G13510D PROTEIN', 142390),
(198665, 'PTHR43704:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142391),
(198666, 'PTHR45770:SF30', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 142392),
(198667, 'PTHR45697', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 2-RELATED', 142393),
(198668, 'PTHR10992:SF1049', NULL, NULL, NULL, NULL, 'METHYLESTERASE 14, CHLOROPLASTIC-RELATED', 142394),
(198669, 'PTHR34593', NULL, NULL, NULL, NULL, 'MATING RESPONSE PROTEIN POI2', 142395),
(198670, 'PTHR14735', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 142396),
(198671, 'PTHR35500:SF2', NULL, NULL, NULL, NULL, 'BNACNNG03100D PROTEIN', 142397),
(198672, 'PTHR34043', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 142398),
(198673, 'PTHR10545:SF53', NULL, NULL, NULL, NULL, 'TYRAMINE N-FERULOYLTRANSFERASE 4/11-LIKE', 142399),
(198674, 'PTHR23292:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142400),
(198675, 'PTHR42912:SF60', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE OMS1, MITOCHONDRIAL', 142401),
(198676, 'PTHR42796:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142402),
(198677, 'PTHR26454:SF159', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 142403),
(198678, 'PTHR11461:SF346', NULL, NULL, NULL, NULL, 'BNAC04G53710D PROTEIN', 142404),
(198679, 'PTHR43592:SF7', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', 142405),
(198680, 'PTHR10067:SF11', NULL, NULL, NULL, NULL, 'DECARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G16930)-RELATED', 142406),
(198681, 'PTHR22900:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG14245', 142407),
(198682, 'PTHR43842', NULL, NULL, NULL, NULL, 'PROPIONYL-COA CARBOXYLASE BETA CHAIN', 142408),
(198683, 'PTHR26312:SF186', NULL, NULL, NULL, NULL, 'BNAC05G11110D PROTEIN', 142409),
(198684, 'PTHR13357:SF1', NULL, NULL, NULL, NULL, 'NCK-INTERACTING PROTEIN WITH SH3 DOMAIN', 142410),
(198685, 'PTHR10340:SF51', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE 1', 142411),
(198686, 'PTHR47355', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SPL2', 142412),
(198687, 'PTHR31851:SF55', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN OF ER BODY 2', 142413),
(198688, 'PTHR14209:SF21', NULL, NULL, NULL, NULL, 'HYDROLYZING ESTERASE-LIKE PROTEIN, PUTATIVE-RELATED', 142414),
(198689, 'PTHR48010:SF32', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 142415),
(198690, 'PTHR46500', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 221', 142416);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(198691, 'PTHR24281:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142417),
(198692, 'PTHR24373:SF342', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEATS AND IMMUNOGLOBULIN-LIKE DOMAINS PROTEIN SMA-10', 142418),
(198693, 'PTHR34070:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD', 142419),
(198694, 'PTHR24296:SF197', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94A1-RELATED', 142420),
(198695, 'PTHR45931:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF12-B-LIKE', 142421),
(198696, 'PTHR45885:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142422),
(198697, 'PTHR12210:SF131', NULL, NULL, NULL, NULL, 'BNAA09G26660D PROTEIN', 142423),
(198698, 'PTHR11220:SF22', NULL, NULL, NULL, NULL, 'HEME-BINDING PROTEIN 1', 142424),
(198699, 'PTHR23024:SF534', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142425),
(198700, 'PTHR47932:SF13', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN PNM1, MITOCHONDRIAL', 142426),
(198701, 'PTHR46152:SF2', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR-INTERACTING RAS-LIKE PROTEIN 2', 142427),
(198702, 'PTHR31422:SF20', NULL, NULL, NULL, NULL, 'BNAA03G51070D PROTEIN', 142428),
(198703, 'PTHR42792', NULL, NULL, NULL, NULL, 'FLAGELLIN', 142429),
(198704, 'PTHR12526:SF593', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE 1,6-GALACTOSYLTRANSFERASE', 142430),
(198705, 'PTHR31079:SF42', NULL, NULL, NULL, NULL, 'OS05G0194500 PROTEIN', 142431),
(198706, 'PTHR43895:SF65', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 142432),
(198707, 'PTHR23112:SF9', NULL, NULL, NULL, NULL, 'CYCLIC AMP RECEPTOR-LIKE PROTEIN F', 142433),
(198708, 'PTHR10505:SF4', NULL, NULL, NULL, NULL, 'ISLET AMYLOID POLYPEPTIDE', 142434),
(198709, 'PTHR30620:SF102', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE BOGH3B-LIKE', 142435),
(198710, 'PTHR47073:SF7', NULL, NULL, NULL, NULL, 'BAH DOMAIN PROTEIN', 142436),
(198711, 'PTHR24023:SF1008', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE IV, ALPHA 2', 142437),
(198712, 'PTHR44259:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142438),
(198713, 'PTHR31947:SF29', NULL, NULL, NULL, NULL, 'BNAC03G33800D PROTEIN', 142439),
(198714, 'PTHR19847', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 11', 142440),
(198715, 'PTHR31636:SF273', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', 142441),
(198716, 'PTHR31048:SF16', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', 142442),
(198717, 'PTHR46585:SF1', NULL, NULL, NULL, NULL, 'INTEGRASE CORE DOMAIN CONTAINING PROTEIN', 142443),
(198718, 'PTHR27005:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142444),
(198719, 'PTHR28075:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 142445),
(198720, 'PTHR23280:SF21', NULL, NULL, NULL, NULL, 'PROTEIN 4.1 HOMOLOG', 142446),
(198721, 'PTHR31805:SF4', NULL, NULL, NULL, NULL, 'OS05G0561600 PROTEIN', 142447),
(198722, 'PTHR21261:SF14', NULL, NULL, NULL, NULL, 'BEAT-IV, ISOFORM B', 142448),
(198723, 'PTHR43328:SF1', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 142449),
(198724, 'PTHR45789', NULL, NULL, NULL, NULL, 'FI18025P1', 142450),
(198725, 'PTHR33076:SF137', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 142451),
(198726, 'PTHR24168:SF21', NULL, NULL, NULL, NULL, 'KANK, ISOFORM D', 142452),
(198727, 'PTHR33433:SF6', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 2', 142453),
(198728, 'PTHR34125:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 142454),
(198729, 'PTHR33703:SF15', NULL, NULL, NULL, NULL, 'SENESCENCE ASSOCIATED GENE 20', 142455),
(198730, 'PTHR47726:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT U, CHLOROPLASTIC', 142456),
(198731, 'PTHR40467:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142457),
(198732, 'PTHR18847:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR CAP-BINDING PROTEIN SUBUNIT 2', 142458),
(198733, 'PTHR16537', NULL, NULL, NULL, NULL, 'SJOEGREN SYNDROME/SCLERODERMA AUTOANTIGEN 1', 142459),
(198734, 'PTHR23264:SF35', NULL, NULL, NULL, NULL, 'CYTOSOLIC FE-S CLUSTER ASSEMBLY FACTOR NUBP1', 142460);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(198735, 'PTHR24201:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 42', 142461),
(198736, 'PTHR31415', NULL, NULL, NULL, NULL, 'OS05G0367900 PROTEIN', 142462),
(198737, 'PTHR24379:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 700', 142463),
(198738, 'PTHR23064:SF31', NULL, NULL, NULL, NULL, 'CALMODULIN LIKE 6', 142464),
(198739, 'PTHR10026:SF121', NULL, NULL, NULL, NULL, 'CYCLIN-T1-2', 142465),
(198740, 'PTHR43178:SF5', NULL, NULL, NULL, NULL, 'LIPOAMIDE ACYLTRANSFERASE COMPONENT OF BRANCHED-CHAIN ALPHA-KETO ACID DEHYDROGENASE COMPLEX, MITOCHONDRIAL', 142466),
(198741, 'PTHR33799:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM, MANNOSE-SPECIFIC EIIAB', 142467),
(198742, 'PTHR33928:SF5', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT3-LIKE PROTEIN', 142468),
(198743, 'PTHR10283:SF63', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 13 MEMBER 4', 142469),
(198744, 'PTHR43895:SF22', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 14', 142470),
(198745, 'PTHR12120', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 142471),
(198746, 'PTHR32227:SF29', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 11', 142472),
(198747, 'PTHR48079:SF4', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE FAMILY PROTEIN', 142473),
(198748, 'PTHR10742:SF381', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC HISTONE DEMETHYLASE 1 HOMOLOG 1', 142474),
(198749, 'PTHR46092:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C11', 142475),
(198750, 'PTHR24377:SF195', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 234', 142476),
(198751, 'PTHR22957:SF548', NULL, NULL, NULL, NULL, 'ECOTROPIC VIRAL INTEGRATION SITE 5 PROTEIN HOMOLOG', 142477),
(198752, 'PTHR31876:SF24', NULL, NULL, NULL, NULL, 'PROTEIN LIKE COV 3-LIKE', 142478),
(198753, 'PTHR31413:SF26', NULL, NULL, NULL, NULL, 'BNAC06G30430D PROTEIN', 142479),
(198754, 'PTHR45282:SF2', NULL, NULL, NULL, NULL, 'OS03G0858400 PROTEIN', 142480),
(198755, 'PTHR43658:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11484', 142481),
(198756, 'PTHR32176:SF57', NULL, NULL, NULL, NULL, 'PATATIN', 142482),
(198757, 'PTHR21529:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142483),
(198758, 'PTHR23192:SF71', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L1', 142484),
(198759, 'PTHR18884:SF84', NULL, NULL, NULL, NULL, 'SEVENTH HOMOLOG OF SEPTIN 1', 142485),
(198760, 'PTHR47998:SF31', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 4', 142486),
(198761, 'PTHR45898:SF16', NULL, NULL, NULL, NULL, 'BNAA02G33830D PROTEIN', 142487),
(198762, 'PTHR11746:SF218', NULL, NULL, NULL, NULL, 'OS07G0464200 PROTEIN', 142488),
(198763, 'PTHR11202:SF19', NULL, NULL, NULL, NULL, 'SPROUTY-RELATED, EVH1 DOMAIN-CONTAINING PROTEIN 3', 142489),
(198764, 'PTHR15437:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR, MITOCHONDRIAL', 142490),
(198765, 'PTHR31221:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142491),
(198766, 'PTHR12081:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F8', 142492),
(198767, 'PTHR44298:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 11', 142493),
(198768, 'PTHR36110:SF4', NULL, NULL, NULL, NULL, 'RING-CLEAVING DIOXYGENASE MHQA-RELATED', 142494),
(198769, 'PTHR16557:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142495),
(198770, 'PTHR32191', NULL, NULL, NULL, NULL, 'TETRASPANIN-8-RELATED', 142496),
(198771, 'PTHR13318:SF88', NULL, NULL, NULL, NULL, 'EIN3-BINDING F-BOX PROTEIN 1', 142497),
(198772, 'PTHR12446:SF22', NULL, NULL, NULL, NULL, 'TESMIN', 142498),
(198773, 'PTHR12411:SF644', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142499),
(198774, 'PTHR47989:SF20', NULL, NULL, NULL, NULL, 'PTI1-LIKE TYROSINE-PROTEIN KINASE', 142500),
(198775, 'PTHR10578:SF119', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO4-LIKE ISOFORM X1', 142501),
(198776, 'PTHR28235', NULL, NULL, NULL, NULL, 'PROTEIN FYV4, MITOCHONDRIAL', 142502),
(198777, 'PTHR45850:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-28N18.9', 142503),
(198778, 'PTHR47269:SF5', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 142504);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(198779, 'PTHR46353:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 8-LIKE', 142505),
(198780, 'PTHR13580', NULL, NULL, NULL, NULL, 'TGF-BETA INDUCED APOPTOSIS PROTEIN', 142506),
(198781, 'PTHR11955:SF81', NULL, NULL, NULL, NULL, 'NMNAT1-RBP7A READTHROUGH-RELATED', 142507),
(198782, 'PTHR23064:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142508),
(198783, 'PTHR45768:SF21', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL5', 142509),
(198784, 'PTHR11177:SF202', NULL, NULL, NULL, NULL, 'CHITINASE-3-LIKE PROTEIN 1', 142510),
(198785, 'PTHR12372:SF5', NULL, NULL, NULL, NULL, 'PECANEX-LIKE PROTEIN 2', 142511),
(198786, 'PTHR45624:SF36', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN', 142512),
(198787, 'PTHR48010:SF20', NULL, NULL, NULL, NULL, 'PROTEIN KINASE CLAVATA1, PUTATIVE-RELATED', 142513),
(198788, 'PTHR34987:SF4', NULL, NULL, NULL, NULL, 'C, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02880)-RELATED', 142514),
(198789, 'PTHR11003:SF24', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 17', 142515),
(198790, 'PTHR36520', NULL, NULL, NULL, NULL, 'PROTEIN CBG13000-RELATED', 142516),
(198791, 'PTHR23020:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG11656', 142517),
(198792, 'PTHR31314:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142518),
(198793, 'PTHR39610:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142519),
(198794, 'PTHR10177:SF418', NULL, NULL, NULL, NULL, 'CYCLIN-D5-3', 142520),
(198795, 'PTHR12548:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', 142521),
(198796, 'PTHR11351:SF78', NULL, NULL, NULL, NULL, 'BNAA10G04040D PROTEIN', 142522),
(198797, 'PTHR48049:SF93', NULL, NULL, NULL, NULL, 'FLAVONOL 3-O-GLUCOSYLTRANSFERASE UGT71C1-RELATED', 142523),
(198798, 'PTHR48041:SF53', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 10', 142524),
(198799, 'PTHR19857', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DIVISION PROTEIN 1-RELATED', 142525),
(198800, 'PTHR33731:SF9', NULL, NULL, NULL, NULL, 'ORGAN SPECIFIC PROTEIN-RELATED', 142526),
(198801, 'PTHR25465:SF6', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 65', 142527),
(198802, 'PTHR11783:SF197', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 10-RELATED', 142528),
(198803, 'PTHR34570:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142529),
(198804, 'PTHR31744:SF84', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', 142530),
(198805, 'PTHR24028:SF11', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-15', 142531),
(198806, 'PTHR23316:SF74', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', 142532),
(198807, 'PTHR12395:SF9', NULL, NULL, NULL, NULL, 'DECAPPING AND EXORIBONUCLEASE PROTEIN', 142533),
(198808, 'PTHR26452:SF817', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 142534),
(198809, 'PTHR31696:SF80', NULL, NULL, NULL, NULL, 'BNAC04G47790D PROTEIN', 142535),
(198810, 'PTHR13793:SF79', NULL, NULL, NULL, NULL, 'PROTEIN JADE-1', 142536),
(198811, 'PTHR11566:SF187', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 3A-LIKE', 142537),
(198812, 'PTHR45676:SF56', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL59-LIKE', 142538),
(198813, 'PTHR11835:SF71', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT, MITOCHONDRIAL', 142539),
(198814, 'PTHR22838:SF17', NULL, NULL, NULL, NULL, 'BNAA06G22810D PROTEIN', 142540),
(198815, 'PTHR43086:SF1', NULL, NULL, NULL, NULL, 'STEROID DEHYDROGENASE 1-RELATED', 142541),
(198816, 'PTHR23226:SF296', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 5B', 142542),
(198817, 'PTHR45651:SF23', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 8-RELATED', 142543),
(198818, 'PTHR43618:SF12', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_1G14540)-RELATED', 142544),
(198819, 'PTHR46195:SF23', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', 142545),
(198820, 'PTHR10779:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142546),
(198821, 'PTHR22870:SF396', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HERC2-LIKE PROTEIN', 142547);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(198822, 'PTHR16565:SF3', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-I, ACIDIC FORM', 142548),
(198823, 'PTHR12469:SF5', NULL, NULL, NULL, NULL, 'FLAVINATOR OF SUCCINATE DEHYDROGENASE', 142549),
(198824, 'PTHR47983:SF26', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 8 ISOFORM X1', 142550),
(198825, 'PTHR23086:SF46', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE-LIKE PROTEIN 1', 142551),
(198826, 'PTHR24068:SF356', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142552),
(198827, 'PTHR23180:SF197', NULL, NULL, NULL, NULL, 'ARF-GAP WITH COILED-COIL, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 1', 142553),
(198828, 'PTHR47575', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 10', 142554),
(198829, 'PTHR35548:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142555),
(198830, 'PTHR46633:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC/MYB-RELATED', 142556),
(198831, 'PTHR28606', NULL, NULL, NULL, NULL, 'INTERLEUKIN-34', 142557),
(198832, 'PTHR43243:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG19625', 142558),
(198833, 'PTHR31375:SF190', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', 142559),
(198834, 'PTHR16186:SF10', NULL, NULL, NULL, NULL, 'SIGNAL-TRANSDUCING ADAPTOR PROTEIN 1', 142560),
(198835, 'PTHR11132:SF325', NULL, NULL, NULL, NULL, 'OS05G0494500 PROTEIN', 142561),
(198836, 'PTHR43650:SF1', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT BETA 1', 142562),
(198837, 'PTHR18966:SF451', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 142563),
(198838, 'PTHR37701:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2, DNA-BINDING DOMAIN PROTEIN-RELATED', 142564),
(198839, 'PTHR32289:SF5', NULL, NULL, NULL, NULL, 'SI:CH211-153F2.7', 142565),
(198840, 'PTHR43867:SF5', NULL, NULL, NULL, NULL, 'GLUCANS BIOSYNTHESIS GLUCOSYLTRANSFERASE H', 142566),
(198841, 'PTHR48001:SF6', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 142567),
(198842, 'PTHR31933:SF14', NULL, NULL, NULL, NULL, 'BNAA09G54120D PROTEIN', 142568),
(198843, 'PTHR32382:SF64', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 2', 142569),
(198844, 'PTHR12198:SF9', NULL, NULL, NULL, NULL, 'PROSPERO HOMEOBOX 2', 142570),
(198845, 'PTHR10426:SF99', NULL, NULL, NULL, NULL, 'FI18644P1-RELATED', 142571),
(198846, 'PTHR31208:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 142572),
(198847, 'PTHR11486:SF25', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 6', 142573),
(198848, 'PTHR37461', NULL, NULL, NULL, NULL, 'ANTI-SIGMA-K FACTOR RSKA', 142574),
(198849, 'PTHR31937:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 163', 142575),
(198850, 'PTHR47461:SF4', NULL, NULL, NULL, NULL, 'PHYTOLONGIN PHYL2.1', 142576),
(198851, 'PTHR33416:SF18', NULL, NULL, NULL, NULL, 'NUCLEOPORIN-LIKE PROTEIN', 142577),
(198852, 'PTHR33491:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142578),
(198853, 'PTHR40040:SF1', NULL, NULL, NULL, NULL, 'SMALL HYDROPHOBIC PROTEIN-RELATED', 142579),
(198854, 'PTHR14552:SF2', NULL, NULL, NULL, NULL, 'DCTP PYROPHOSPHATASE 1', 142580),
(198855, 'PTHR46650:SF3', NULL, NULL, NULL, NULL, 'PEROXISOMAL ADENINE NUCLEOTIDE CARRIER 2', 142581),
(198856, 'PTHR45970:SF2', NULL, NULL, NULL, NULL, 'AGAP004664-PA', 142582),
(198857, 'PTHR11893:SF43', NULL, NULL, NULL, NULL, 'INNEXIN INX4-RELATED', 142583),
(198858, 'PTHR31791:SF31', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN 5', 142584),
(198859, 'PTHR47965:SF53', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 142585),
(198860, 'PTHR33143:SF1', NULL, NULL, NULL, NULL, 'VQ MOTIF FAMILY PROTEIN', 142586),
(198861, 'PTHR26374:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142587),
(198862, 'PTHR10687:SF52', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 6', 142588),
(198863, 'PTHR26453:SF163', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 142589),
(198864, 'PTHR31232:SF45', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', 142590),
(198865, 'PTHR34145:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142591);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(198866, 'PTHR46324:SF19', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', 142592),
(198867, 'PTHR31744:SF142', NULL, NULL, NULL, NULL, 'NAC (NO APICAL MERISTEM) DOMAIN TRANSCRIPTIONAL REGULATOR SUPERFAMILY PROTEIN-RELATED', 142593),
(198868, 'PTHR48025:SF1', NULL, NULL, NULL, NULL, '29 KDA RIBONUCLEOPROTEIN, CHLOROPLASTIC', 142594),
(198869, 'PTHR32285:SF269', NULL, NULL, NULL, NULL, 'PMR5 N-TERMINAL DOMAIN, PC-ESTERASE-RELATED', 142595),
(198870, 'PTHR47027:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142596),
(198871, 'PTHR47322:SF3', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 142597),
(198872, 'PTHR11699:SF283', NULL, NULL, NULL, NULL, 'CYTOSOLIC ALDEHYDE DEHYDROGENASE RF2C', 142598),
(198873, 'PTHR31707:SF119', NULL, NULL, NULL, NULL, 'INVERTASE-RELATED', 142599),
(198874, 'PTHR31906:SF23', NULL, NULL, NULL, NULL, 'PLASTID LIPID-ASSOCIATED PROTEIN/FIBRILLIN CONSERVED DOMAIN', 142600),
(198875, 'PTHR11661:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142601),
(198876, 'PTHR10504:SF143', NULL, NULL, NULL, NULL, 'PROTEIN CBG19877', 142602),
(198877, 'PTHR32099:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142603),
(198878, 'PTHR42932:SF2', NULL, NULL, NULL, NULL, 'DNA PROTECTION DURING STARVATION PROTEIN 1', 142604),
(198879, 'PTHR10253:SF9', NULL, NULL, NULL, NULL, 'BNAA05G20190D PROTEIN', 142605),
(198880, 'PTHR33271:SF1', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL PROTEIN-RELATED', 142606),
(198881, 'PTHR23115:SF170', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA 2', 142607),
(198882, 'PTHR11501:SF18', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN', 142608),
(198883, 'PTHR23139:SF112', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 39', 142609),
(198884, 'PTHR11785:SF73', NULL, NULL, NULL, NULL, 'ASC-TYPE AMINO ACID TRANSPORTER 1', 142610),
(198885, 'PTHR45974:SF195', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN ISOFORM 1', 142611),
(198886, 'PTHR31304:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142612),
(198887, 'PTHR24264:SF7', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 3', 142613),
(198888, 'PTHR47527', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 142614),
(198889, 'PTHR12320:SF24', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 142615),
(198890, 'PTHR37612', NULL, NULL, NULL, NULL, 'FIBROIN HEAVY CHAIN FIB-H LIKE PROTEIN', 142616),
(198891, 'PTHR16046:SF9', NULL, NULL, NULL, NULL, 'SMC5-SMC6 COMPLEX LOCALIZATION FACTOR 2', 142617),
(198892, 'PTHR43625:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142618),
(198893, 'PTHR20974:SF2', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE 26', 142619),
(198894, 'PTHR45642:SF74', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL2', 142620),
(198895, 'PTHR19443:SF10', NULL, NULL, NULL, NULL, 'HEXOKINASE-1', 142621),
(198896, 'PTHR35317:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142622),
(198897, 'PTHR10694:SF92', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ706-LIKE', 142623),
(198898, 'PTHR43092', NULL, NULL, NULL, NULL, 'L-CYSTEINE DESULFHYDRASE', 142624),
(198899, 'PTHR46287', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 3-RELATED', 142625),
(198900, 'PTHR13932:SF9', NULL, NULL, NULL, NULL, 'COPROPORPHYRINOGEN III OXIDASE-RELATED', 142626),
(198901, 'PTHR42854:SF11', NULL, NULL, NULL, NULL, 'BNAA08G27720D PROTEIN', 142627),
(198902, 'PTHR46339:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG19340', 142628),
(198903, 'PTHR23501:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142629),
(198904, 'PTHR47123:SF16', NULL, NULL, NULL, NULL, 'BNAA04G28250D PROTEIN', 142630),
(198905, 'PTHR34591:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142631),
(198906, 'PTHR30149:SF0', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYPD', 142632),
(198907, 'PTHR14360:SF14', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 90B, MITOCHONDRIAL', 142633),
(198908, 'PTHR44542:SF10', NULL, NULL, NULL, NULL, 'OS02G0102300 PROTEIN', 142634),
(198909, 'PTHR14212', NULL, NULL, NULL, NULL, 'U4/U6-ASSOCIATED RNA SPLICING FACTOR-RELATED', 142635);
INSERT INTO "PUBLIC"."MODEL" VALUES
(198910, 'PTHR34224:SF7', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS-LIKE PROTEIN', 142636),
(198911, 'PTHR43128:SF7', NULL, NULL, NULL, NULL, 'L-2-HYDROXYCARBOXYLATE DEHYDROGENASE (NAD(P)(+))', 142637),
(198912, 'PTHR31225:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142638),
(198913, 'PTHR43689:SF24', NULL, NULL, NULL, NULL, 'OS06G0132550 PROTEIN', 142639),
(198914, 'PTHR10003:SF89', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE 1 COPPER CHAPERONE', 142640),
(198915, 'PTHR12315', NULL, NULL, NULL, NULL, 'BICOID-INTERACTING PROTEIN RELATED', 142641),
(198916, 'PTHR31707:SF261', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 142642),
(198917, 'PTHR46326:SF8', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', 142643),
(198918, 'PTHR24247:SF237', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142644),
(198919, 'PTHR22753:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142645),
(198920, 'PTHR10855:SF1', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 12', 142646),
(198921, 'PTHR33021:SF210', NULL, NULL, NULL, NULL, 'LAMIN-LIKE PROTEIN', 142647),
(198922, 'PTHR11703', NULL, NULL, NULL, NULL, 'DEOXYHYPUSINE SYNTHASE', 142648),
(198923, 'PTHR45641:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142649),
(198924, 'PTHR11802:SF268', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 142650),
(198925, 'PTHR36733:SF1', NULL, NULL, NULL, NULL, 'CELL WALL PROTEIN-RELATED', 142651),
(198926, 'PTHR15427:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142652),
(198927, 'PTHR11537:SF173', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, KVQLT FAMILY', 142653),
(198928, 'PTHR32099:SF63', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 25', 142654),
(198929, 'PTHR11733:SF188', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', 142655),
(198930, 'PTHR40089', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTH', 142656),
(198931, 'PTHR23504:SF32', NULL, NULL, NULL, NULL, 'HIPPOCAMPUS ABUNDANT TRANSCRIPT-LIKE PROTEIN 1-RELATED', 142657),
(198932, 'PTHR36061:SF3', NULL, NULL, NULL, NULL, 'OS04G0692200 PROTEIN', 142658),
(198933, 'PTHR10775:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142659),
(198934, 'PTHR23526:SF2', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE TRANSPORT PROTEIN-RELATED', 142660),
(198935, 'PTHR21229:SF11', NULL, NULL, NULL, NULL, 'PROTEIN GPR108', 142661),
(198936, 'PTHR45652:SF5', NULL, NULL, NULL, NULL, 'VIMENTIN', 142662),
(198937, 'PTHR24103:SF595', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 14', 142663),
(198938, 'PTHR10806:SF33', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', 142664),
(198939, 'PTHR11461:SF195', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR A3A-RELATED', 142665),
(198940, 'PTHR38121:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14030)-RELATED', 142666),
(198941, 'PTHR31360:SF1', NULL, NULL, NULL, NULL, 'OIL BODY-ASSOCIATED PROTEIN 2A', 142667),
(198942, 'PTHR24055:SF438', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 13', 142668),
(198943, 'PTHR46418:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS BC (CLASS B-LIKE)', 142669),
(198944, 'PTHR33941:SF10', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTM', 142670),
(198945, 'PTHR44372', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-GAMMA 1-RELATED', 142671),
(198946, 'PTHR35507:SF1', NULL, NULL, NULL, NULL, 'OS09G0488600 PROTEIN', 142672),
(198947, 'PTHR38139', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 142673),
(198948, 'PTHR16134:SF116', NULL, NULL, NULL, NULL, 'AT02038P-RELATED', 142674),
(198949, 'PTHR31218:SF211', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 142675),
(198950, 'PTHR23147:SF5', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 10', 142676),
(198951, 'PTHR13832:SF699', NULL, NULL, NULL, NULL, 'INTEGRIN-LINKED KINASE-ASSOCIATED SERINE/THREONINE PHOSPHATASE 2C', 142677),
(198952, 'PTHR12297:SF3', NULL, NULL, NULL, NULL, 'HIG1 DOMAIN FAMILY MEMBER 2A', 142678),
(198953, 'PTHR32448:SF75', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 16', 142679);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(198954, 'PTHR15282:SF9', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY E MEMBER 4', 142680),
(198955, 'PTHR11429', NULL, NULL, NULL, NULL, 'MYELIN BASIC PROTEIN', 142681),
(198956, 'PTHR45977:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142682),
(198957, 'PTHR31561:SF166', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 142683),
(198958, 'PTHR47933:SF31', NULL, NULL, NULL, NULL, 'OS06G0199100 PROTEIN', 142684),
(198959, 'PTHR45757:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG06173', 142685),
(198960, 'PTHR24248:SF123', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR D6B', 142686),
(198961, 'PTHR21717:SF77', NULL, NULL, NULL, NULL, 'BNAANNG26340D PROTEIN', 142687),
(198962, 'PTHR32301:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142688),
(198963, 'PTHR13767', NULL, NULL, NULL, NULL, 'TRNA-PSEUDOURIDINE SYNTHASE', 142689),
(198964, 'PTHR19433:SF120', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 30', 142690),
(198965, 'PTHR11909:SF121', NULL, NULL, NULL, NULL, 'PROTEIN CBG08984', 142691),
(198966, 'PTHR33110:SF85', NULL, NULL, NULL, NULL, 'OS01G0520260 PROTEIN', 142692),
(198967, 'PTHR46799:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN UNC-4 HOMOLOG', 142693),
(198968, 'PTHR11877:SF42', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE-RELATED', 142694),
(198969, 'PTHR45743:SF42', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT1-LIKE ISOFORM X1', 142695),
(198970, 'PTHR45994:SF3', NULL, NULL, NULL, NULL, 'PROTEIN UNC-45 HOMOLOG A', 142696),
(198971, 'PTHR23164:SF18', NULL, NULL, NULL, NULL, 'FYVE AND COILED-COIL DOMAIN CONTAINING 1', 142697),
(198972, 'PTHR13589', NULL, NULL, NULL, NULL, 'CREB-REGULATED TRANSCRIPTION COACTIVATOR', 142698),
(198973, 'PTHR11247:SF59', NULL, NULL, NULL, NULL, 'BNAC07G34360D PROTEIN', 142699),
(198974, 'PTHR12385:SF81', NULL, NULL, NULL, NULL, 'PLASMA-MEMBRANE CHOLINE TRANSPORTER FAMILY PROTEIN', 142700),
(198975, 'PTHR43706:SF29', NULL, NULL, NULL, NULL, 'EXTERNAL ALTERNATIVE NAD(P)H-UBIQUINONE OXIDOREDUCTASE B1, MITOCHONDRIAL', 142701),
(198976, 'PTHR34481:SF1', NULL, NULL, NULL, NULL, 'SEED ALLERGENIC PROTEIN RAG1', 142702),
(198977, 'PTHR15907', NULL, NULL, NULL, NULL, 'DUF614 FAMILY PROTEIN-RELATED', 142703),
(198978, 'PTHR11945:SF576', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142704),
(198979, 'PTHR11603:SF157', NULL, NULL, NULL, NULL, 'PILT PROTEIN DOMAIN PROTEIN', 142705),
(198980, 'PTHR15035:SF11', NULL, NULL, NULL, NULL, 'UROCORTIN', 142706),
(198981, 'PTHR36901:SF4', NULL, NULL, NULL, NULL, 'OS05G0150100 PROTEIN', 142707),
(198982, 'PTHR47925:SF39', NULL, NULL, NULL, NULL, 'BNAA06G37920D PROTEIN', 142708),
(198983, 'PTHR12161:SF55', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', 142709),
(198984, 'PTHR42968:SF26', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_1G14670)', 142710),
(198985, 'PTHR31282:SF137', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 70-RELATED', 142711),
(198986, 'PTHR35993:SF2', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 21A, CHLOROPLASTIC', 142712),
(198987, 'PTHR31263:SF57', NULL, NULL, NULL, NULL, 'RICIN B, LECTIN DOMAIN, GLYCOSIDE HYDROLASE, FAMILY 5-RELATED', 142713),
(198988, 'PTHR43605', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE', 142714),
(198989, 'PTHR31544:SF14', NULL, NULL, NULL, NULL, 'BNAC04G55840D PROTEIN', 142715),
(198990, 'PTHR46515:SF1', NULL, NULL, NULL, NULL, 'TATA ELEMENT MODULATORY FACTOR', 142716),
(198991, 'PTHR31972:SF71', NULL, NULL, NULL, NULL, 'BNAA09G51660D PROTEIN', 142717),
(198992, 'PTHR47966:SF26', NULL, NULL, NULL, NULL, 'CATHEPSIN E', 142718),
(198993, 'PTHR10219:SF84', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN 1', 142719),
(198994, 'PTHR23291:SF51', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', 142720),
(198995, 'PTHR10887:SF493', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142721),
(198996, 'PTHR12228:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 7-LIKE', 142722),
(198997, 'PTHR42683:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G01980)-RELATED', 142723);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(198998, 'PTHR21522:SF30', NULL, NULL, NULL, NULL, 'GH01206P', 142724),
(198999, 'PTHR27009:SF250', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142725),
(199000, 'PTHR36566', NULL, NULL, NULL, NULL, 'NICKEL INSERTION PROTEIN-RELATED', 142726),
(199001, 'PTHR34460:SF2', NULL, NULL, NULL, NULL, 'VITELLOGENIN-LIKE PROTEIN', 142727),
(199002, 'PTHR46013:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142728),
(199003, 'PTHR46128:SF273', NULL, NULL, NULL, NULL, 'BNACNNG36080D PROTEIN', 142729),
(199004, 'PTHR21641', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR-RELATED', 142730),
(199005, 'PTHR45783:SF6', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN 4', 142731),
(199006, 'PTHR10701:SF0', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN-ASSOCIATED PROTEIN B''', 142732),
(199007, 'PTHR23276:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PRRC1', 142733),
(199008, 'PTHR12847:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142734),
(199009, 'PTHR47075:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH062-LIKE', 142735),
(199010, 'PTHR11205:SF39', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S7, CHLOROPLASTIC', 142736),
(199011, 'PTHR33572:SF3', NULL, NULL, NULL, NULL, 'SPORE DEVELOPMENT REGULATOR VOSA', 142737),
(199012, 'PTHR45619:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 142738),
(199013, 'PTHR31744:SF80', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 74', 142739),
(199014, 'PTHR23339:SF104', NULL, NULL, NULL, NULL, 'METAL ION-BINDING PROTEIN', 142740),
(199015, 'PTHR24028:SF61', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-13', 142741),
(199016, 'PTHR31133:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 142742),
(199017, 'PTHR45868:SF52', NULL, NULL, NULL, NULL, 'BNAA05G31940D PROTEIN', 142743),
(199018, 'PTHR24377:SF602', NULL, NULL, NULL, NULL, 'ZNF79 ISOFORM 2', 142744),
(199019, 'PTHR43826:SF9', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 142745),
(199020, 'PTHR36728:SF2', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT O, CHLOROPLASTIC', 142746),
(199021, 'PTHR45878:SF17', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPARENT TESTA 1', 142747),
(199022, 'PTHR45623:SF30', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 142748),
(199023, 'PTHR43327:SF17', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN-LIKE PROTEIN 2', 142749),
(199024, 'PTHR13084:SF6', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1-INTERACTING PROTEIN', 142750),
(199025, 'PTHR13148:SF9', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', 142751),
(199026, 'PTHR27003:SF332', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 142752),
(199027, 'PTHR33076:SF80', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 3-RELATED', 142753),
(199028, 'PTHR35603:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE LIPOPROTEIN SLYB', 142754),
(199029, 'PTHR32444:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142755),
(199030, 'PTHR31225:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142756),
(199031, 'PTHR46011:SF28', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-71', 142757),
(199032, 'PTHR33985:SF21', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 20-RELATED', 142758),
(199033, 'PTHR45774:SF3', NULL, NULL, NULL, NULL, 'BTB (POZ) DOMAIN-CONTAINING 2A-RELATED', 142759),
(199034, 'PTHR13343:SF31', NULL, NULL, NULL, NULL, 'FMN-BINDING SPLIT BARREL-RELATED', 142760),
(199035, 'PTHR33524:SF5', NULL, NULL, NULL, NULL, 'C5ORF35', 142761),
(199036, 'PTHR11732:SF474', NULL, NULL, NULL, NULL, 'ZGC:110366', 142762),
(199037, 'PTHR45970:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C9', 142763),
(199038, 'PTHR15192', NULL, NULL, NULL, NULL, 'PROTEIN CBG05349', 142764),
(199039, 'PTHR10078:SF31', NULL, NULL, NULL, NULL, 'INTERLEUKIN-37', 142765),
(199040, 'PTHR45744:SF32', NULL, NULL, NULL, NULL, 'BNAA01G13270D PROTEIN', 142766),
(199041, 'PTHR31607', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 142767);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(199042, 'PTHR22529', NULL, NULL, NULL, NULL, 'EPITHELIAL-STROMAL INTERACTION PROTEIN 1', 142768),
(199043, 'PTHR46463:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142769),
(199044, 'PTHR26452:SF789', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 142770),
(199045, 'PTHR31235:SF293', NULL, NULL, NULL, NULL, 'PEROXIDASE', 142771),
(199046, 'PTHR34544', NULL, NULL, NULL, NULL, 'OSJNBA0006B20.18 PROTEIN', 142772),
(199047, 'PTHR24414:SF140', NULL, NULL, NULL, NULL, 'BNAA09G43090D PROTEIN', 142773),
(199048, 'PTHR27007:SF66', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 142774),
(199049, 'PTHR34491:SF28', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', 142775),
(199050, 'PTHR33800:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142776),
(199051, 'PTHR33739:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142777),
(199052, 'PTHR23282:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142778),
(199053, 'PTHR47100', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE PHS1', 142779),
(199054, 'PTHR31158', NULL, NULL, NULL, NULL, 'DUAL OXIDASE 2', 142780),
(199055, 'PTHR11746:SF246', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: (S)-SCOULERINE 9-O-METHYLTRANSFERASE-LIKE', 142781),
(199056, 'PTHR31790:SF28', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 142782),
(199057, 'PTHR43675:SF10', NULL, NULL, NULL, NULL, 'CYCLOPROPANE FATTY ACID SYNTHASE', 142783),
(199058, 'PTHR13222:SF1', NULL, NULL, NULL, NULL, 'RB1-INDUCIBLE COILED-COIL PROTEIN 1', 142784),
(199059, 'PTHR45706:SF5', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 3', 142785),
(199060, 'PTHR47846:SF4', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR B', 142786),
(199061, 'PTHR31338:SF18', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 328-RELATED', 142787),
(199062, 'PTHR19269:SF40', NULL, NULL, NULL, NULL, 'TROPOMYOSIN ALPHA-4 CHAIN', 142788),
(199063, 'PTHR32295:SF206', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', 142789),
(199064, 'PTHR10535:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142790),
(199065, 'PTHR23359:SF198', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE/UMP-CMP KINASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 142791),
(199066, 'PTHR46250:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142792),
(199067, 'PTHR24060:SF148', NULL, NULL, NULL, NULL, 'PROTEIN BRIDE OF SEVENLESS', 142793),
(199068, 'PTHR10869:SF191', NULL, NULL, NULL, NULL, 'BNACNNG26730D PROTEIN', 142794),
(199069, 'PTHR31374:SF190', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 142795),
(199070, 'PTHR38108', NULL, NULL, NULL, NULL, 'UPF0319 PROTEIN YCCT', 142796),
(199071, 'PTHR23503:SF30', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 7', 142797),
(199072, 'PTHR12854:SF17', NULL, NULL, NULL, NULL, 'BNAA06G01270D PROTEIN', 142798),
(199073, 'PTHR24067:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142799),
(199074, 'PTHR35885', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 142800),
(199075, 'PTHR47447', NULL, NULL, NULL, NULL, 'OS03G0856100 PROTEIN', 142801),
(199076, 'PTHR45856:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142802),
(199077, 'PTHR42997:SF1', NULL, NULL, NULL, NULL, 'AP-4-A PHOSPHORYLASE', 142803),
(199078, 'PTHR48165:SF1', NULL, NULL, NULL, NULL, 'BNAC03G44900D PROTEIN', 142804),
(199079, 'PTHR43317:SF3', NULL, NULL, NULL, NULL, 'BLR2883 PROTEIN', 142805),
(199080, 'PTHR10209:SF716', NULL, NULL, NULL, NULL, 'BNAC05G04550D PROTEIN', 142806),
(199081, 'PTHR47615', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 158', 142807),
(199082, 'PTHR35831:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142808),
(199083, 'PTHR10127:SF811', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-29', 142809),
(199084, 'PTHR43939:SF23', NULL, NULL, NULL, NULL, 'INVOLUCRIN REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_4G11410)', 142810),
(199085, 'PTHR34832:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN W', 142811),
(199086, 'PTHR31867:SF174', NULL, NULL, NULL, NULL, 'EXPANSIN-A3', 142812);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(199087, 'PTHR10366:SF702', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142813),
(199088, 'PTHR31314:SF86', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR-RELATED', 142814),
(199089, 'PTHR23306:SF17', NULL, NULL, NULL, NULL, 'TUMOR SUSCEPTIBILITY GENE 101 PROTEIN', 142815),
(199090, 'PTHR28147', NULL, NULL, NULL, NULL, 'N-GLYCOSYLATION PROTEIN EOS1', 142816),
(199091, 'PTHR34360:SF6', NULL, NULL, NULL, NULL, 'OS02G0306550 PROTEIN', 142817),
(199092, 'PTHR27008:SF427', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142818),
(199093, 'PTHR35658:SF1', NULL, NULL, NULL, NULL, 'RCG58666, ISOFORM CRA_A', 142819),
(199094, 'PTHR30477:SF21', NULL, NULL, NULL, NULL, 'ABC-3 PROTEIN', 142820),
(199095, 'PTHR32556:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142821),
(199096, 'PTHR46043', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 142822),
(199097, 'PTHR45834:SF6', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 9', 142823),
(199098, 'PTHR21522:SF36', NULL, NULL, NULL, NULL, 'PROTON CHANNEL OTOP3', 142824),
(199099, 'PTHR45720:SF13', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 142825),
(199100, 'PTHR33526:SF22', NULL, NULL, NULL, NULL, 'BNAC02G16830D PROTEIN', 142826),
(199101, 'PTHR22883:SF8', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC1-RELATED', 142827),
(199102, 'PTHR14312:SF2', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER TRANSCRIPTION FACTOR D-RELATED', 142828),
(199103, 'PTHR11157:SF30', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 142829),
(199104, 'PTHR18867:SF12', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD50', 142830),
(199105, 'PTHR11108', NULL, NULL, NULL, NULL, 'FERROCHELATASE', 142831),
(199106, 'PTHR37325:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 21 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G05910)-RELATED', 142832),
(199107, 'PTHR24064:SF261', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-6', 142833),
(199108, 'PTHR33137:SF25', NULL, NULL, NULL, NULL, 'BNAC05G49890D PROTEIN', 142834),
(199109, 'PTHR24409:SF330', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 521', 142835),
(199110, 'PTHR31282:SF129', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 17-RELATED', 142836),
(199111, 'PTHR16209:SF3', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 7', 142837),
(199112, 'PTHR32448:SF142', NULL, NULL, NULL, NULL, 'CANNABIDIOLIC ACID SYNTHASE-LIKE', 142838),
(199113, 'PTHR31640:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN KIAA1109', 142839),
(199114, 'PTHR45665:SF16', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP1-2', 142840),
(199115, 'PTHR15615:SF91', NULL, NULL, NULL, NULL, 'CYCLIN-U4-1', 142841),
(199116, 'PTHR15422:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142842),
(199117, 'PTHR34993:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142843),
(199118, 'PTHR12370:SF21', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE PROTEIN E', 142844),
(199119, 'PTHR11945:SF579', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 7-LIKE', 142845),
(199120, 'PTHR48022:SF11', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER (HXT8), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G08120)-RELATED', 142846),
(199121, 'PTHR23001:SF7', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5', 142847),
(199122, 'PTHR12431:SF14', NULL, NULL, NULL, NULL, 'LD15323P', 142848),
(199123, 'PTHR10694:SF45', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE ELF6-RELATED', 142849),
(199124, 'PTHR43157:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142850),
(199125, 'PTHR39117', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 28', 142851),
(199126, 'PTHR31374:SF269', NULL, NULL, NULL, NULL, 'AUXIN RESPONSIVE SAUR PROTEIN', 142852),
(199127, 'PTHR30134', NULL, NULL, NULL, NULL, 'HYDROGENASE PROTEIN ASSEMBLY PROTEIN, NICKEL CHAPERONE', 142853),
(199128, 'PTHR48049:SF43', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71B1', 142854),
(199129, 'PTHR47926:SF17', NULL, NULL, NULL, NULL, 'BNAC01G36630D PROTEIN', 142855),
(199130, 'PTHR47268:SF6', NULL, NULL, NULL, NULL, 'ACYLPHOSPHATASE', 142856);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(199131, 'PTHR45138:SF16', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCQ-RELATED', 142857),
(199132, 'PTHR43157:SF32', NULL, NULL, NULL, NULL, 'SI:DKEY-23O4.6-RELATED', 142858),
(199133, 'PTHR11655:SF26', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L9', 142859),
(199134, 'PTHR46087', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 142860),
(199135, 'PTHR31125', NULL, NULL, NULL, NULL, 'F20P5.22 PROTEIN-RELATED', 142861),
(199136, 'PTHR10201:SF30', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-9', 142862),
(199137, 'PTHR16770:SF3', NULL, NULL, NULL, NULL, 'PROTEIN RIPPLY2', 142863),
(199138, 'PTHR23201:SF103', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED FAMILY PROTEIN-RELATED', 142864),
(199139, 'PTHR11232:SF18', NULL, NULL, NULL, NULL, 'JNK-INTERACTING PROTEIN 1', 142865),
(199140, 'PTHR24381:SF347', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 882', 142866),
(199141, 'PTHR32285:SF44', NULL, NULL, NULL, NULL, 'OS06G0531400 PROTEIN', 142867),
(199142, 'PTHR10061:SF1', NULL, NULL, NULL, NULL, 'S-FORMYLGLUTATHIONE HYDROLASE YEIG', 142868),
(199143, 'PTHR23012:SF174', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH-RELATED', 142869),
(199144, 'PTHR11165:SF148', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 3-RELATED', 142870),
(199145, 'PTHR22891:SF164', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN 1', 142871),
(199146, 'PTHR31251:SF152', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 9', 142872),
(199147, 'PTHR37330:SF1', NULL, NULL, NULL, NULL, 'CONSERVED TRANSMEMBRANE PROTEIN-RELATED', 142873),
(199148, 'PTHR11260:SF562', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142874),
(199149, 'PTHR47981:SF24', NULL, NULL, NULL, NULL, 'OS05G0516600 PROTEIN', 142875),
(199150, 'PTHR10954:SF12', NULL, NULL, NULL, NULL, 'RIBONUCLEASE HIII', 142876),
(199151, 'PTHR30624', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN TLDD AND PMBA', 142877),
(199152, 'PTHR43065:SF34', NULL, NULL, NULL, NULL, 'SPORULATION KINASE A', 142878),
(199153, 'PTHR35562:SF2', NULL, NULL, NULL, NULL, 'DNA ENDONUCLEASE SMRA-RELATED', 142879),
(199154, 'PTHR11405:SF4', NULL, NULL, NULL, NULL, 'CARBAMOYL-PHOSPHATE SYNTHASE ARGININE-SPECIFIC SMALL CHAIN', 142880),
(199155, 'PTHR38739:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142881),
(199156, 'PTHR15615', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 142882),
(199157, 'PTHR12386:SF29', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT G PROTEIN, PUTATIVE ISOFORM 1-RELATED', 142883),
(199158, 'PTHR31126:SF63', NULL, NULL, NULL, NULL, 'BNAA04G19120D PROTEIN', 142884),
(199159, 'PTHR27006:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142885),
(199160, 'PTHR10966:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SMALL CHAIN HOMOLOG', 142886),
(199161, 'PTHR44042:SF52', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR MYB51', 142887),
(199162, 'PTHR21101:SF5', NULL, NULL, NULL, NULL, 'RESISTIN-LIKE ALPHA', 142888),
(199163, 'PTHR31447:SF11', NULL, NULL, NULL, NULL, 'BNAC05G10890D PROTEIN', 142889),
(199164, 'PTHR47322:SF10', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 142890),
(199165, 'PTHR12322:SF107', NULL, NULL, NULL, NULL, 'PROTEIN MALE ABNORMAL 3', 142891),
(199166, 'PTHR22957:SF497', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATING PROTEIN AND CENTROSOME-ASSOCIATED, ISOFORM B', 142892),
(199167, 'PTHR11362:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142893),
(199168, 'PTHR31238:SF151', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 142894),
(199169, 'PTHR21574:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142895),
(199170, 'PTHR43711', NULL, NULL, NULL, NULL, 'TWO-COMPONENT HISTIDINE KINASE', 142896),
(199171, 'PTHR11616:SF282', NULL, NULL, NULL, NULL, 'TRANSPORTER', 142897),
(199172, 'PTHR19957:SF104', NULL, NULL, NULL, NULL, 'SYNTAXIN-6', 142898),
(199173, 'PTHR14309:SF8', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY B MEMBER 2', 142899),
(199174, 'PTHR31079', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 73', 142900),
(199175, 'PTHR12027:SF98', NULL, NULL, NULL, NULL, 'PROTEIN WNT', 142901);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(199176, 'PTHR35463:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 142902),
(199177, 'PTHR46310:SF9', NULL, NULL, NULL, NULL, 'AMIDASE 1-LIKE', 142903),
(199178, 'PTHR33874:SF5', NULL, NULL, NULL, NULL, 'OS09G0465500 PROTEIN', 142904),
(199179, 'PTHR20275:SF35', NULL, NULL, NULL, NULL, 'NAD KINASE 1-RELATED', 142905),
(199180, 'PTHR45613:SF401', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 142906),
(199181, 'PTHR21569:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142907),
(199182, 'PTHR34962:SF1', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 1703-RELATED', 142908),
(199183, 'PTHR48022:SF78', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02110)-RELATED', 142909),
(199184, 'PTHR22028:SF5', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 191', 142910),
(199185, 'PTHR11227:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142911),
(199186, 'PTHR28467', NULL, NULL, NULL, NULL, 'PAXIP1-ASSOCIATED GLUTAMATE-RICH PROTEIN 1', 142912),
(199187, 'PTHR11571:SF158', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 142913),
(199188, 'PTHR45780:SF2', NULL, NULL, NULL, NULL, 'ETHANOLAMINE-PHOSPHATE CYTIDYLYLTRANSFERASE', 142914),
(199189, 'PTHR23512:SF5', NULL, NULL, NULL, NULL, 'IM:7160594', 142915),
(199190, 'PTHR23070:SF164', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 142916),
(199191, 'PTHR14467:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ARV 2', 142917),
(199192, 'PTHR21659:SF93', NULL, NULL, NULL, NULL, 'BNAA03G50460D PROTEIN', 142918),
(199193, 'PTHR31286:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142919),
(199194, 'PTHR14087:SF7', NULL, NULL, NULL, NULL, 'THYMOCYTE NUCLEAR PROTEIN 1', 142920),
(199195, 'PTHR46163:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG17666', 142921),
(199196, 'PTHR31193:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 268', 142922),
(199197, 'PTHR11437:SF11', NULL, NULL, NULL, NULL, 'INACTIVE RIBONUCLEASE-LIKE PROTEIN 13-RELATED', 142923),
(199198, 'PTHR31044:SF106', NULL, NULL, NULL, NULL, 'X8 DOMAIN-CONTAINING PROTEIN-RELATED', 142924),
(199199, 'PTHR35165', NULL, NULL, NULL, NULL, 'OS08G0113900 PROTEIN', 142925),
(199200, 'PTHR31683:SF77', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 142926),
(199201, 'PTHR45923:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', 142927),
(199202, 'PTHR10380:SF212', NULL, NULL, NULL, NULL, 'AGAP013248-PA', 142928),
(199203, 'PTHR47701:SF4', NULL, NULL, NULL, NULL, 'BNACNNG28710D PROTEIN', 142929),
(199204, 'PTHR19836', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S14', 142930),
(199205, 'PTHR46771:SF5', NULL, NULL, NULL, NULL, 'DETERIN', 142931),
(199206, 'PTHR31062:SF227', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE 1-RELATED', 142932),
(199207, 'PTHR22989:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG04438', 142933),
(199208, 'PTHR15720', NULL, NULL, NULL, NULL, 'GREB1-RELATED', 142934),
(199209, 'PTHR44042:SF7', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 142935),
(199210, 'PTHR10671:SF78', NULL, NULL, NULL, NULL, 'SI:CH211-149K23.9', 142936),
(199211, 'PTHR11732:SF165', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER C3', 142937),
(199212, 'PTHR22937:SF165', NULL, NULL, NULL, NULL, 'OS01G0159300 PROTEIN', 142938),
(199213, 'PTHR19268:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142939),
(199214, 'PTHR27001:SF861', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 7', 142940),
(199215, 'PTHR24349:SF334', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 19', 142941),
(199216, 'PTHR43115:SF9', NULL, NULL, NULL, NULL, 'BLR4790 PROTEIN', 142942),
(199217, 'PTHR33513:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142943),
(199218, 'PTHR32191:SF77', NULL, NULL, NULL, NULL, 'TETRASPANIN-3-LIKE', 142944),
(199219, 'PTHR12587:SF14', NULL, NULL, NULL, NULL, 'AT31531P', 142945),
(199220, 'PTHR36508:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SLYX', 142946),
(199221, 'PTHR24224:SF35', NULL, NULL, NULL, NULL, 'NEMATOCIN RECEPTOR 1', 142947);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(199222, 'PTHR12771', NULL, NULL, NULL, NULL, 'ENGULFMENT AND CELL MOTILITY', 142948),
(199223, 'PTHR47764:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 2B-RELATED', 142949),
(199224, 'PTHR47976:SF61', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN, PAN/APPLE DOMAIN PROTEIN-RELATED', 142950),
(199225, 'PTHR18945:SF607', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 142951),
(199226, 'PTHR13462:SF37', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN 2, MITOCHONDRIAL-LIKE', 142952),
(199227, 'PTHR10612:SF44', NULL, NULL, NULL, NULL, 'TEMPERATURE-INDUCED LIPOCALIN-1-LIKE', 142953),
(199228, 'PTHR46058:SF15', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 4', 142954),
(199229, 'PTHR31189:SF49', NULL, NULL, NULL, NULL, 'BNAA02G22500D PROTEIN', 142955),
(199230, 'PTHR43576:SF3', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE C', 142956),
(199231, 'PTHR32166:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142957),
(199232, 'PTHR12565:SF360', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 142958),
(199233, 'PTHR48097:SF7', NULL, NULL, NULL, NULL, 'LOW-SPECIFICITY L-THREONINE ALDOLASE 1-RELATED', 142959),
(199234, 'PTHR27005:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142960),
(199235, 'PTHR45707:SF58', NULL, NULL, NULL, NULL, 'C2 DOMAIN, PHOSPHORIBOSYLTRANSFERASE-RELATED', 142961),
(199236, 'PTHR30417:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE BLYA', 142962),
(199237, 'PTHR33130:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142963),
(199238, 'PTHR13773:SF4', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 2', 142964),
(199239, 'PTHR31310:SF8', NULL, NULL, NULL, NULL, 'INOSITOLPHOSPHOTRANSFERASE 1', 142965),
(199240, 'PTHR13859:SF25', NULL, NULL, NULL, NULL, 'BNAA06G37810D PROTEIN', 142966),
(199241, 'PTHR32370:SF110', NULL, NULL, NULL, NULL, 'BNAANNG03900D PROTEIN', 142967),
(199242, 'PTHR35323', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING PROTEIN', 142968),
(199243, 'PTHR10108:SF1113', NULL, NULL, NULL, NULL, 'BNAA08G19950D PROTEIN', 142969),
(199244, 'PTHR31389:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG11318', 142970),
(199245, 'PTHR23315:SF308', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 19', 142971),
(199246, 'PTHR19143:SF397', NULL, NULL, NULL, NULL, 'PROTEIN SCABROUS', 142972),
(199247, 'PTHR47407', NULL, NULL, NULL, NULL, 'PROTEIN CBG15905-RELATED', 142973),
(199248, 'PTHR10026:SF43', NULL, NULL, NULL, NULL, 'CYCLIN-T2', 142974),
(199249, 'PTHR12292', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN', 142975),
(199250, 'PTHR30272:SF8', NULL, NULL, NULL, NULL, '3-HYDROXYDECANOYL-[ACYL-CARRIER-PROTEIN] DEHYDRATASE', 142976),
(199251, 'PTHR24221:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142977),
(199252, 'PTHR11449:SF26', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30-LIKE', 142978),
(199253, 'PTHR16968:SF2', NULL, NULL, NULL, NULL, 'LENS EPITHELIAL CELL PROTEIN LEP503', 142979),
(199254, 'PTHR24177:SF283', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142980),
(199255, 'PTHR33470:SF39', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', 142981),
(199256, 'PTHR11232:SF17', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PDZ LIGAND OF NEURONAL NITRIC OXIDE SYNTHASE PROTEIN', 142982),
(199257, 'PTHR16172:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142983),
(199258, 'PTHR31893:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 151B', 142984),
(199259, 'PTHR11654:SF163', NULL, NULL, NULL, NULL, 'OS02G0699000 PROTEIN', 142985),
(199260, 'PTHR47926:SF60', NULL, NULL, NULL, NULL, 'BNAA09G30350D PROTEIN', 142986),
(199261, 'PTHR45613:SF70', NULL, NULL, NULL, NULL, 'CRP1-LIKE PROTEIN', 142987),
(199262, 'PTHR42760:SF70', NULL, NULL, NULL, NULL, 'BLL4164 PROTEIN', 142988),
(199263, 'PTHR43888:SF31', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY A MEMBER 2', 142989),
(199264, 'PTHR46502', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING', 142990),
(199265, 'PTHR14248:SF18', NULL, NULL, NULL, NULL, 'CYCLIN Y, ISOFORM A', 142991);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(199266, 'PTHR33170:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 142992),
(199267, 'PTHR24281:SF137', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A6', 142993),
(199268, 'PTHR46668', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN AND ANKYRIN REPEAT-CONTAINING PROTEIN NH5.2', 142994),
(199269, 'PTHR24056:SF472', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 4, ISOFORM A-RELATED', 142995),
(199270, 'PTHR46741:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 142996),
(199271, 'PTHR46086:SF18', NULL, NULL, NULL, NULL, 'OSJNBA0071I13.19 PROTEIN', 142997),
(199272, 'PTHR31051', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 3', 142998),
(199273, 'PTHR46093:SF9', NULL, NULL, NULL, NULL, 'LATE TERMINATION', 142999),
(199274, 'PTHR31677:SF126', NULL, NULL, NULL, NULL, 'BNAA01G34910D PROTEIN', 143000),
(199275, 'PTHR46446:SF29', NULL, NULL, NULL, NULL, 'BNAA09G29410D PROTEIN', 143001),
(199276, 'PTHR31225:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143002),
(199277, 'PTHR24349:SF361', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 3', 143003),
(199278, 'PTHR28578:SF2', NULL, NULL, NULL, NULL, 'MITOTIC-SPINDLE ORGANIZING PROTEIN 2A-RELATED', 143004),
(199279, 'PTHR22883:SF267', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 143005),
(199280, 'PTHR24364', NULL, NULL, NULL, NULL, 'LP06937P', 143006),
(199281, 'PTHR45719:SF26', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14B', 143007),
(199282, 'PTHR15993:SF6', NULL, NULL, NULL, NULL, 'HEMOGEN', 143008),
(199283, 'PTHR44668:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7C-B', 143009),
(199284, 'PTHR46754:SF7', NULL, NULL, NULL, NULL, 'BNAC02G02640D PROTEIN', 143010),
(199285, 'PTHR46128:SF254', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 143011),
(199286, 'PTHR41287:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YMFN', 143012),
(199287, 'PTHR33321:SF12', NULL, NULL, NULL, NULL, 'PLANT BASIC SECRETORY PROTEIN (BSP) FAMILY PROTEIN', 143013),
(199288, 'PTHR20855:SF103', NULL, NULL, NULL, NULL, 'HEPTAHELICAL TRANSMEMBRANE PROTEIN 2', 143014),
(199289, 'PTHR12348:SF16', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 3', 143015),
(199290, 'PTHR43895:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STK11', 143016),
(199291, 'PTHR40781:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143017),
(199292, 'PTHR47925:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143018),
(199293, 'PTHR32481:SF6', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 143019),
(199294, 'PTHR46120', NULL, NULL, NULL, NULL, 'BETAINE--HOMOCYSTEINE S-METHYLTRANSFERASE 1', 143020),
(199295, 'PTHR10751:SF106', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 1, INTERFERON-INDUCIBLE', 143021),
(199296, 'PTHR10791:SF119', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 143022),
(199297, 'PTHR31239:SF2', NULL, NULL, NULL, NULL, 'NICOLIN-1', 143023),
(199298, 'PTHR11629:SF97', NULL, NULL, NULL, NULL, 'BNAA08G07830D PROTEIN', 143024),
(199299, 'PTHR31920:SF68', NULL, NULL, NULL, NULL, 'BNAA01G07630D PROTEIN', 143025),
(199300, 'PTHR32018:SF39', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-RELATED', 143026),
(199301, 'PTHR31865:SF54', NULL, NULL, NULL, NULL, 'BNAA08G11680D PROTEIN', 143027),
(199302, 'PTHR11461:SF130', NULL, NULL, NULL, NULL, 'SERPIN 85F', 143028),
(199303, 'PTHR23301:SF78', NULL, NULL, NULL, NULL, 'PROTEIN CBG16847', 143029),
(199304, 'PTHR45717:SF44', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 143030),
(199305, 'PTHR34493:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG18576', 143031),
(199306, 'PTHR31374:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143032),
(199307, 'PTHR31079:SF36', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 73', 143033),
(199308, 'PTHR48011:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143034),
(199309, 'PTHR11406:SF23', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE 1, CHLOROPLASTIC-RELATED', 143035),
(199310, 'PTHR15184:SF57', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA, MITOCHONDRIAL', 143036);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(199311, 'PTHR31829:SF2', NULL, NULL, NULL, NULL, 'PYRIDOXAL 5''-PHOSPHATE SYNTHASE-LIKE SUBUNIT PDX1.2', 143037),
(199312, 'PTHR15907:SF166', NULL, NULL, NULL, NULL, 'BNAA02G11260D PROTEIN', 143038),
(199313, 'PTHR30349:SF70', NULL, NULL, NULL, NULL, 'PROPHAGE INTEGRASE INTD', 143039),
(199314, 'PTHR44083:SF2', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 1-RELATED', 143040),
(199315, 'PTHR39352:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01542', 143041),
(199316, 'PTHR33279:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143042),
(199317, 'PTHR36706:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 143043),
(199318, 'PTHR10209:SF753', NULL, NULL, NULL, NULL, 'FERULOYL COA ORTHO-HYDROXYLASE 2-LIKE', 143044),
(199319, 'PTHR35665:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LKAAEAR1', 143045),
(199320, 'PTHR31884:SF12', NULL, NULL, NULL, NULL, 'ENDOPOLYGALACTURONASE AN8327', 143046),
(199321, 'PTHR32093:SF137', NULL, NULL, NULL, NULL, 'BNAC08G41590D PROTEIN', 143047),
(199322, 'PTHR46641:SF11', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR DAF-37', 143048),
(199323, 'PTHR46011:SF11', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 143049),
(199324, 'PTHR21712:SF36', NULL, NULL, NULL, NULL, 'FHA DOMAIN-CONTAINING PROTEIN FHA2', 143050),
(199325, 'PTHR23423:SF73', NULL, NULL, NULL, NULL, 'PROTEIN LAZ1-LIKE ISOFORM X1', 143051),
(199326, 'PTHR46175:SF4', NULL, NULL, NULL, NULL, 'BACTERIOOPSIN TRANSCRIPTIONAL ACTIVATOR', 143052),
(199327, 'PTHR46879:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-242E8.1-RELATED', 143053),
(199328, 'PTHR43201:SF10', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE/LIGASE', 143054),
(199329, 'PTHR11675:SF111', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE', 143055),
(199330, 'PTHR11710:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19-3', 143056),
(199331, 'PTHR10794:SF78', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN-CONTAINING 15A', 143057),
(199332, 'PTHR34591:SF29', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 143058),
(199333, 'PTHR46232:SF1', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY E MEMBER 1', 143059),
(199334, 'PTHR11844:SF20', NULL, NULL, NULL, NULL, 'METALLOPROTEINASE INHIBITOR 1', 143060),
(199335, 'PTHR23201:SF112', NULL, NULL, NULL, NULL, 'GIBBERELLIN REGULATED PROTEIN-RELATED', 143061),
(199336, 'PTHR24071:SF29', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN1', 143062),
(199337, 'PTHR42760:SF103', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR', 143063),
(199338, 'PTHR47764:SF6', NULL, NULL, NULL, NULL, 'ULP1 PROTEASE FAMILY, CARBOXY-TERMINAL DOMAIN PROTEIN', 143064),
(199339, 'PTHR10012:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A ACTIVATOR 1', 143065),
(199340, 'PTHR45979:SF5', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', 143066),
(199341, 'PTHR44259:SF14', NULL, NULL, NULL, NULL, 'BNAANNG26920D PROTEIN', 143067),
(199342, 'PTHR47982:SF9', NULL, NULL, NULL, NULL, 'PROTEIN KINASE APK1A, CHLOROPLASTIC-LIKE', 143068),
(199343, 'PTHR31722:SF34', NULL, NULL, NULL, NULL, 'F1O19.11 PROTEIN', 143069),
(199344, 'PTHR23354:SF115', NULL, NULL, NULL, NULL, 'MUSTARD, ISOFORM V', 143070),
(199345, 'PTHR35546:SF9', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN', 143071),
(199346, 'PTHR33377:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143072),
(199347, 'PTHR46310:SF5', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PROTEIN 64, CHLOROPLASTIC', 143073),
(199348, 'PTHR12920:SF4', NULL, NULL, NULL, NULL, 'GEO03726P1', 143074),
(199349, 'PTHR24370:SF11', NULL, NULL, NULL, NULL, 'OPTICIN', 143075),
(199350, 'PTHR31388:SF186', NULL, NULL, NULL, NULL, 'PEROXIDASE', 143076),
(199351, 'PTHR24296:SF88', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 704 SUBFAMILY A POLYPEPTIDE 2', 143077),
(199352, 'PTHR45707:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143078),
(199353, 'PTHR43272:SF83', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 9, CHLOROPLASTIC', 143079);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(199354, 'PTHR48106:SF15', NULL, NULL, NULL, NULL, 'BLL4791 PROTEIN', 143080),
(199355, 'PTHR11654:SF151', NULL, NULL, NULL, NULL, 'OS01G0871500 PROTEIN', 143081),
(199356, 'PTHR21535:SF90', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 143082),
(199357, 'PTHR32444:SF141', NULL, NULL, NULL, NULL, 'OS05G0163500 PROTEIN', 143083),
(199358, 'PTHR35735:SF6', NULL, NULL, NULL, NULL, 'NIMIN2C PROTEIN', 143084),
(199359, 'PTHR47965:SF37', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN-RELATED', 143085),
(199360, 'PTHR46889:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSF FOR INSERTION SEQUENCE IS3B', 143086),
(199361, 'PTHR43685:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE EPSE-RELATED', 143087),
(199362, 'PTHR21310:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143088),
(199363, 'PTHR48053:SF18', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', 143089),
(199364, 'PTHR11814:SF80', NULL, NULL, NULL, NULL, 'SULFATE PERMEASE 2', 143090),
(199365, 'PTHR33333:SF29', NULL, NULL, NULL, NULL, 'BNAA06G39790D PROTEIN', 143091),
(199366, 'PTHR26379:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143092),
(199367, 'PTHR13466:SF16', NULL, NULL, NULL, NULL, 'BNACNNG50280D PROTEIN', 143093),
(199368, 'PTHR23120:SF3', NULL, NULL, NULL, NULL, 'MCG2797', 143094),
(199369, 'PTHR12389', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 294', 143095),
(199370, 'PTHR14186:SF22', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 7', 143096),
(199371, 'PTHR39072:SF3', NULL, NULL, NULL, NULL, 'RE48511P', 143097),
(199372, 'PTHR23257:SF764', NULL, NULL, NULL, NULL, 'OS02G0174200 PROTEIN', 143098),
(199373, 'PTHR42709:SF8', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE LIKE PROTEIN', 143099),
(199374, 'PTHR13742:SF17', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-ASSOCIATED PROTEIN', 143100),
(199375, 'PTHR44156:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 55', 143101),
(199376, 'PTHR31769:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143102),
(199377, 'PTHR47991:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 2-LIKE', 143103),
(199378, 'PTHR45631:SF82', NULL, NULL, NULL, NULL, 'BNAA06G02050D PROTEIN', 143104),
(199379, 'PTHR46823', NULL, NULL, NULL, NULL, 'CALCINEURIN B HOMOLOGOUS PROTEIN 3', 143105),
(199380, 'PTHR23115:SF268', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', 143106),
(199381, 'PTHR11652:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143107),
(199382, 'PTHR24225:SF16', NULL, NULL, NULL, NULL, 'N-FORMYL PEPTIDE RECEPTOR 3', 143108),
(199383, 'PTHR44533:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX60-RELATED', 143109),
(199384, 'PTHR46236', NULL, NULL, NULL, NULL, 'TRAF-LIKE SUPERFAMILY PROTEIN', 143110),
(199385, 'PTHR31914', NULL, NULL, NULL, NULL, 'PROTEIN FAM163A', 143111),
(199386, 'PTHR11909:SF139', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM ALPHA-LIKE', 143112),
(199387, 'PTHR47932:SF15', NULL, NULL, NULL, NULL, 'OS02G0266200 PROTEIN', 143113),
(199388, 'PTHR43180:SF57', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE PROTEIN', 143114),
(199389, 'PTHR13220', NULL, NULL, NULL, NULL, 'TIMELESS INTERACTING-RELATED', 143115),
(199390, 'PTHR24269:SF15', NULL, NULL, NULL, NULL, 'KREMEN PROTEIN 2', 143116),
(199391, 'PTHR46929:SF19', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 143117),
(199392, 'PTHR47972:SF29', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14G', 143118),
(199393, 'PTHR47976:SF39', NULL, NULL, NULL, NULL, 'OS01G0223900 PROTEIN', 143119),
(199394, 'PTHR14002:SF40', NULL, NULL, NULL, NULL, 'UROMODULIN', 143120),
(199395, 'PTHR27001:SF638', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143121),
(199396, 'PTHR10585:SF63', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR C28H8.4-RELATED', 143122),
(199397, 'PTHR47285', NULL, NULL, NULL, NULL, 'PROTEIN TIC 62, CHLOROPLASTIC', 143123),
(199398, 'PTHR33673:SF19', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN Q', 143124),
(199399, 'PTHR10219:SF70', NULL, NULL, NULL, NULL, 'SI:CH73-269M23.5', 143125);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(199400, 'PTHR32285:SF29', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE RELATED PROTEIN-LIKE', 143126),
(199401, 'PTHR11759:SF50', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S11-RELATED', 143127),
(199402, 'PTHR11732:SF463', NULL, NULL, NULL, NULL, 'METHYLECGONONE REDUCTASE-LIKE', 143128),
(199403, 'PTHR46831', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 19', 143129),
(199404, 'PTHR42861:SF51', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 143130),
(199405, 'PTHR36886', NULL, NULL, NULL, NULL, 'PROTEIN FRIGIDA-ESSENTIAL 1', 143131),
(199406, 'PTHR11594:SF8', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', 143132),
(199407, 'PTHR10715:SF14', NULL, NULL, NULL, NULL, 'BNAA09G44520D PROTEIN', 143133),
(199408, 'PTHR11412:SF139', NULL, NULL, NULL, NULL, 'C3 AND PZP-LIKE ALPHA-2-MACROGLOBULIN DOMAIN-CONTAINING PROTEIN 8', 143134),
(199409, 'PTHR31663:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143135),
(199410, 'PTHR43188:SF8', NULL, NULL, NULL, NULL, 'OS01G0159400 PROTEIN', 143136),
(199411, 'PTHR13580:SF13', NULL, NULL, NULL, NULL, 'CYSTEINE/SERINE-RICH NUCLEAR PROTEIN 3', 143137),
(199412, 'PTHR12146:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10-1-RELATED', 143138),
(199413, 'PTHR12629:SF61', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 16, MITOCHONDRIAL', 143139),
(199414, 'PTHR11177:SF368', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN 4', 143140),
(199415, 'PTHR11562:SF30', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 3', 143141),
(199416, 'PTHR24408:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 21', 143142),
(199417, 'PTHR31549:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143143),
(199418, 'PTHR15730', NULL, NULL, NULL, NULL, 'EXPERIMENTAL AUTOIMMUNE PROSTATITIS ANTIGEN 2-RELATED', 143144),
(199419, 'PTHR12565:SF335', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BEE 2-LIKE ISOFORM X1', 143145),
(199420, 'PTHR34201:SF10', NULL, NULL, NULL, NULL, 'BNAA08G02590D PROTEIN', 143146),
(199421, 'PTHR12087', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 4', 143147),
(199422, 'PTHR15678:SF6', NULL, NULL, NULL, NULL, 'PROTEIN KIAA0100', 143148),
(199423, 'PTHR10108:SF1092', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT5-RELATED', 143149),
(199424, 'PTHR11274', NULL, NULL, NULL, NULL, 'RAD25/XP-B DNA REPAIR HELICASE', 143150),
(199425, 'PTHR11545:SF25', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 143151),
(199426, 'PTHR16228:SF25', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 41 MEMBER 2', 143152),
(199427, 'PTHR45786:SF33', NULL, NULL, NULL, NULL, 'BNAANNG24630D PROTEIN', 143153),
(199428, 'PTHR21588:SF2', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC19', 143154),
(199429, 'PTHR30303:SF0', NULL, NULL, NULL, NULL, 'CARBAMOYL DEHYDRATASE HYPE', 143155),
(199430, 'PTHR24356:SF176', NULL, NULL, NULL, NULL, 'RAC-BETA SERINE/THREONINE-PROTEIN KINASE', 143156),
(199431, 'PTHR33356:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143157),
(199432, 'PTHR11570:SF21', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME 1', 143158),
(199433, 'PTHR31528:SF1', NULL, NULL, NULL, NULL, '4-AMINO-5-HYDROXYMETHYL-2-METHYLPYRIMIDINE PHOSPHATE SYNTHASE THI11-RELATED', 143159),
(199434, 'PTHR38487', NULL, NULL, NULL, NULL, 'TESTIS EXPRESSED 11', 143160),
(199435, 'PTHR31734:SF187', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 143161),
(199436, 'PTHR11006:SF103', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 1.2-RELATED', 143162),
(199437, 'PTHR10517', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR', 143163),
(199438, 'PTHR42881', NULL, NULL, NULL, NULL, 'PROLYL ENDOPEPTIDASE', 143164),
(199439, 'PTHR31010', NULL, NULL, NULL, NULL, 'RAN-SPECIFIC GTPASE-ACTIVATING PROTEIN 30-RELATED', 143165),
(199440, 'PTHR45658:SF36', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 17-RELATED', 143166),
(199441, 'PTHR35547:SF5', NULL, NULL, NULL, NULL, 'OS06G0249100 PROTEIN', 143167),
(199442, 'PTHR13904:SF4', NULL, NULL, NULL, NULL, 'BNAC02G45720D PROTEIN', 143168),
(199443, 'PTHR31442:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143169);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(199444, 'PTHR12542:SF25', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 143170),
(199445, 'PTHR33147:SF75', NULL, NULL, NULL, NULL, 'KNOTTIN, SCORPION TOXIN-LIKE PROTEIN-RELATED', 143171),
(199446, 'PTHR46151:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143172),
(199447, 'PTHR28242:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143173),
(199448, 'PTHR33198:SF9', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 143174),
(199449, 'PTHR33167:SF45', NULL, NULL, NULL, NULL, 'BNAC02G16680D PROTEIN', 143175),
(199450, 'PTHR31374:SF209', NULL, NULL, NULL, NULL, 'AUXIN RESPONSIVE PROTEIN', 143176),
(199451, 'PTHR32227:SF270', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 17 PROTEIN, EXPRESSED', 143177),
(199452, 'PTHR45648:SF91', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 143178),
(199453, 'PTHR43245:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 143179),
(199454, 'PTHR10390:SF29', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX2', 143180),
(199455, 'PTHR43396:SF3', NULL, NULL, NULL, NULL, 'FLAVOHEMOPROTEIN', 143181),
(199456, 'PTHR12640', NULL, NULL, NULL, NULL, 'RIBOPHORIN II', 143182),
(199457, 'PTHR43005:SF1', NULL, NULL, NULL, NULL, 'BLR7065 PROTEIN', 143183),
(199458, 'PTHR11905:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143184),
(199459, 'PTHR46326:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0010H02.11 PROTEIN', 143185),
(199460, 'PTHR11139:SF68', NULL, NULL, NULL, NULL, 'DNA-DEPENDENT PROTEIN KINASE CATALYTIC SUBUNIT', 143186),
(199461, 'PTHR22956:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG15322', 143187),
(199462, 'PTHR10791:SF64', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 13-LIKE', 143188),
(199463, 'PTHR24291:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143189),
(199464, 'PTHR45693:SF40', NULL, NULL, NULL, NULL, 'FACTOR TGA7, PUTATIVE-RELATED', 143190),
(199465, 'PTHR19972:SF4', NULL, NULL, NULL, NULL, 'CALRETININ', 143191),
(199466, 'PTHR17068:SF2', NULL, NULL, NULL, NULL, 'ZGC:77748', 143192),
(199467, 'PTHR32432', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSA-RELATED', 143193),
(199468, 'PTHR11709:SF374', NULL, NULL, NULL, NULL, 'LACCASE', 143194),
(199469, 'PTHR33785:SF6', NULL, NULL, NULL, NULL, 'BNAC03G69450D PROTEIN', 143195),
(199470, 'PTHR11863:SF197', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 1-2', 143196),
(199471, 'PTHR23187:SF1', NULL, NULL, NULL, NULL, 'ELONGIN BC AND POLYCOMB REPRESSIVE COMPLEX 2-ASSOCIATED PROTEIN', 143197),
(199472, 'PTHR27009:SF142', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE, PUTATIVE, EXPRESSED-RELATED', 143198),
(199473, 'PTHR23326:SF24', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX, SUBUNIT 3A', 143199),
(199474, 'PTHR24056:SF478', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', 143200),
(199475, 'PTHR10627:SF59', NULL, NULL, NULL, NULL, 'BICAUDAL C HOMOLOG 2', 143201),
(199476, 'PTHR44170:SF6', NULL, NULL, NULL, NULL, 'PROTEIN SIDEKICK', 143202),
(199477, 'PTHR45768:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 143203),
(199478, 'PTHR10641:SF1241', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 143204),
(199479, 'PTHR10566', NULL, NULL, NULL, NULL, 'CHAPERONE-ACTIVITY OF BC1 COMPLEX  CABC1 -RELATED', 143205),
(199480, 'PTHR39069', NULL, NULL, NULL, NULL, 'ECDYSONE-INDUCIBLE GENE E1, ISOFORM A', 143206),
(199481, 'PTHR45228:SF4', NULL, NULL, NULL, NULL, '3''3''-CGAMP-SPECIFIC PHOSPHODIESTERASE 3', 143207),
(199482, 'PTHR47465:SF4', NULL, NULL, NULL, NULL, 'REPRODUCTIVE HOMEOBOX 3A-RELATED', 143208),
(199483, 'PTHR23320:SF51', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 15', 143209),
(199484, 'PTHR10783:SF87', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 3', 143210),
(199485, 'PTHR31465:SF33', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01310)-RELATED', 143211),
(199486, 'PTHR23147:SF194', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SR30', 143212),
(199487, 'PTHR39207:SF1', NULL, NULL, NULL, NULL, 'ALPHA-GLUCURONIDASE A', 143213);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(199488, 'PTHR13683:SF806', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 143214),
(199489, 'PTHR14152', NULL, NULL, NULL, NULL, 'SQUAMOUS CELL CARCINOMA ANTIGEN RECOGNISED BY CYTOTOXIC T LYMPHOCYTES', 143215),
(199490, 'PTHR27006:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143216),
(199491, 'PTHR48049:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 143217),
(199492, 'PTHR10801:SF12', NULL, NULL, NULL, NULL, 'NANA2-LIKE1', 143218),
(199493, 'PTHR10880:SF29', NULL, NULL, NULL, NULL, 'MORTALITY FACTOR 4-LIKE PROTEIN 1', 143219),
(199494, 'PTHR11566:SF60', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 1B', 143220),
(199495, 'PTHR16223:SF212', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH85', 143221),
(199496, 'PTHR22791:SF22', NULL, NULL, NULL, NULL, 'SI:CH73-335L21.2', 143222),
(199497, 'PTHR47993:SF57', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 143223),
(199498, 'PTHR10671:SF25', NULL, NULL, NULL, NULL, 'LENS INTRINSIC MEMBRANE PROTEIN 2.1-RELATED', 143224),
(199499, 'PTHR11537:SF40', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY V MEMBER 2', 143225),
(199500, 'PTHR42898:SF66', NULL, NULL, NULL, NULL, 'BNAC04G14050D PROTEIN', 143226),
(199501, 'PTHR36783:SF2', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 17.9 KDA PROTEIN, CHLOROPLASTIC', 143227),
(199502, 'PTHR10279:SF10', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE ANTIZYME', 143228),
(199503, 'PTHR12411:SF748', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143229),
(199504, 'PTHR31642:SF234', NULL, NULL, NULL, NULL, 'BAHD FAMILY ACYLTRANSFERASE', 143230),
(199505, 'PTHR11165:SF55', NULL, NULL, NULL, NULL, 'SKP1 RELATED (UBIQUITIN LIGASE COMPLEX COMPONENT)', 143231),
(199506, 'PTHR10585:SF68', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR', 143232),
(199507, 'PTHR21516', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 143233),
(199508, 'PTHR31561:SF31', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 143234),
(199509, 'PTHR14217:SF30', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', 143235),
(199510, 'PTHR31739:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143236),
(199511, 'PTHR42743:SF3', NULL, NULL, NULL, NULL, 'AMINODEOXYCHORISMATE LYASE-RELATED', 143237),
(199512, 'PTHR31157:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143238),
(199513, 'PTHR10845:SF257', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN-SIGNALING 1', 143239),
(199514, 'PTHR45615:SF7', NULL, NULL, NULL, NULL, 'MYOSIN-3', 143240),
(199515, 'PTHR23050:SF224', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 5', 143241),
(199516, 'PTHR13382:SF27', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP14-LIKE', 143242),
(199517, 'PTHR10131:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143243),
(199518, 'PTHR31062:SF116', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 143244),
(199519, 'PTHR47926:SF264', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143245),
(199520, 'PTHR12011:SF444', NULL, NULL, NULL, NULL, 'METHUSELAH (DROSOPHILA AGING-ASSOCIATED GPCR) HOMOLOG', 143246),
(199521, 'PTHR23004', NULL, NULL, NULL, NULL, 'DOUBLECORTIN DOMAIN CONTAINING 2', 143247),
(199522, 'PTHR24299:SF38', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN', 143248),
(199523, 'PTHR21032:SF2', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN ARS2, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14710)-RELATED', 143249),
(199524, 'PTHR27004:SF385', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 143250),
(199525, 'PTHR33095:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143251),
(199526, 'PTHR11632:SF73', NULL, NULL, NULL, NULL, 'BLR3196 PROTEIN', 143252),
(199527, 'PTHR16064', NULL, NULL, NULL, NULL, 'BTB  POZ  DOMAIN CONTAINING 7', 143253),
(199528, 'PTHR42923:SF10', NULL, NULL, NULL, NULL, 'FLAVIN CONTAINING AMINE OXIDOREDUCTASE-RELATED', 143254),
(199529, 'PTHR15160', NULL, NULL, NULL, NULL, 'VON HIPPEL-LINDAU PROTEIN', 143255),
(199530, 'PTHR46114:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143256);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(199531, 'PTHR33511:SF29', NULL, NULL, NULL, NULL, 'BNAUNNG01380D PROTEIN', 143257),
(199532, 'PTHR11909:SF394', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE 7-RELATED', 143258),
(199533, 'PTHR31718:SF49', NULL, NULL, NULL, NULL, 'BNAA04G12670D PROTEIN', 143259),
(199534, 'PTHR47430:SF4', NULL, NULL, NULL, NULL, 'GB|AAC33480.1', 143260),
(199535, 'PTHR31576', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT B', 143261),
(199536, 'PTHR30381', NULL, NULL, NULL, NULL, 'FLAGELLAR P-RING PERIPLASMIC PROTEIN FLGI', 143262),
(199537, 'PTHR10986:SF24', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L20', 143263),
(199538, 'PTHR24211:SF17', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', 143264),
(199539, 'PTHR24068:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143265),
(199540, 'PTHR19375:SF428', NULL, NULL, NULL, NULL, 'BNAA03G17100D PROTEIN', 143266),
(199541, 'PTHR18952:SF243', NULL, NULL, NULL, NULL, 'OS04G0412500 PROTEIN', 143267),
(199542, 'PTHR31117:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KREG-1', 143268),
(199543, 'PTHR24228:SF54', NULL, NULL, NULL, NULL, 'MELATONIN RECEPTOR TYPE 1B', 143269),
(199544, 'PTHR24329:SF537', NULL, NULL, NULL, NULL, 'Q50 PAIRED-LIKE HOMEODOMAIN TRANSCRIPTION FACTOR', 143270),
(199545, 'PTHR10795:SF666', NULL, NULL, NULL, NULL, 'BNAA06G34890D PROTEIN', 143271),
(199546, 'PTHR31429:SF79', NULL, NULL, NULL, NULL, 'BNACNNG05780D PROTEIN', 143272),
(199547, 'PTHR34260', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME-C REDUCTASE COMPLEX ASSEMBLY FACTOR 2', 143273),
(199548, 'PTHR28457:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO 4930578I06RIK PROTEIN', 143274),
(199549, 'PTHR48002:SF126', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 143275),
(199550, 'PTHR27006:SF369', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143276),
(199551, 'PTHR13396:SF3', NULL, NULL, NULL, NULL, 'NEDD4 FAMILY-INTERACTING PROTEIN 1', 143277),
(199552, 'PTHR32009:SF88', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 143278),
(199553, 'PTHR28199:SF1', NULL, NULL, NULL, NULL, 'PROCESSING OF GAS1 AND ALP PROTEIN 2', 143279),
(199554, 'PTHR10408:SF18', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE', 143280),
(199555, 'PTHR11802:SF344', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 143281),
(199556, 'PTHR33869:SF15', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 1', 143282),
(199557, 'PTHR10366:SF708', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE-LIKE PROTEIN', 143283),
(199558, 'PTHR45739:SF5', NULL, NULL, NULL, NULL, 'FRAS1-RELATED EXTRACELLULAR MATRIX PROTEIN 3', 143284),
(199559, 'PTHR45712:SF11', NULL, NULL, NULL, NULL, 'BIGLYCAN', 143285),
(199560, 'PTHR14221:SF45', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', 143286),
(199561, 'PTHR42971:SF1', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE(34)-2''-O)-METHYLTRANSFERASE', 143287),
(199562, 'PTHR31589:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143288),
(199563, 'PTHR43201:SF20', NULL, NULL, NULL, NULL, 'MALONATE--COA LIGASE-LIKE', 143289),
(199564, 'PTHR10131:SF83', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 5', 143290),
(199565, 'PTHR34185:SF3', NULL, NULL, NULL, NULL, 'DNA INTEGRITY SCANNING PROTEIN DISA', 143291),
(199566, 'PTHR43252:SF4', NULL, NULL, NULL, NULL, 'NEGATIVE TRANSCRIPTION REGULATOR PADR', 143292),
(199567, 'PTHR47293:SF38', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 1-LIKE ISOFORM X1', 143293),
(199568, 'PTHR31246:SF15', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-1', 143294),
(199569, 'PTHR31476:SF9', NULL, NULL, NULL, NULL, 'PROTEIN ROOT PRIMORDIUM DEFECTIVE 1', 143295),
(199570, 'PTHR43272:SF62', NULL, NULL, NULL, NULL, 'LONG-CHAIN FATTY ACYL COA LIGASE', 143296),
(199571, 'PTHR12947:SF8', NULL, NULL, NULL, NULL, 'STAM-BINDING PROTEIN', 143297),
(199572, 'PTHR43362:SF1', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE DSF1-RELATED', 143298),
(199573, 'PTHR12947:SF13', NULL, NULL, NULL, NULL, 'AMSH-LIKE UBIQUITIN THIOESTERASE 1', 143299);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(199574, 'PTHR33202:SF19', NULL, NULL, NULL, NULL, 'FERRIC UPTAKE REGULATION PROTEIN', 143300),
(199575, 'PTHR43574:SF31', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 2-RELATED', 143301),
(199576, 'PTHR13691:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143302),
(199577, 'PTHR47997:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB86', 143303),
(199578, 'PTHR31218:SF183', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 143304),
(199579, 'PTHR33172', NULL, NULL, NULL, NULL, 'OS08G0516900 PROTEIN', 143305),
(199580, 'PTHR12019:SF21', NULL, NULL, NULL, NULL, 'THYMOPOIETIN A', 143306),
(199581, 'PTHR11879:SF56', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 143307),
(199582, 'PTHR16165:SF25', NULL, NULL, NULL, NULL, 'NXPE FAMILY MEMBER 3-LIKE', 143308),
(199583, 'PTHR23405:SF10', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 7A-LIKE', 143309),
(199584, 'PTHR30157', NULL, NULL, NULL, NULL, 'FERRIC REDUCTASE, NADPH-DEPENDENT', 143310),
(199585, 'PTHR22848:SF2', NULL, NULL, NULL, NULL, 'WD40 REPEAT-CONTAINING PROTEIN SMU1', 143311),
(199586, 'PTHR11153:SF20', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-3', 143312),
(199587, 'PTHR33923:SF2', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN-RELATED', 143313),
(199588, 'PTHR36720:SF1', NULL, NULL, NULL, NULL, 'TAF RNA POLYMERASE I SUBUNIT A', 143314),
(199589, 'PTHR45988:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143315),
(199590, 'PTHR11817:SF98', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 143316),
(199591, 'PTHR24376:SF175', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 840-RELATED', 143317),
(199592, 'PTHR46087:SF7', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE PROTEIN', 143318),
(199593, 'PTHR43794:SF13', NULL, NULL, NULL, NULL, '5-METHYLTHIOADENOSINE/S-ADENOSYLHOMOCYSTEINE DEAMINASE', 143319),
(199594, 'PTHR46590', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN CSR1-RELATED', 143320),
(199595, 'PTHR19957:SF30', NULL, NULL, NULL, NULL, 'SYNTAXIN-11', 143321),
(199596, 'PTHR11258:SF19', NULL, NULL, NULL, NULL, 'INACTIVE 2''-5''-OLIGOADENYLATE SYNTHASE 1B', 143322),
(199597, 'PTHR28159:SF1', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX II-SPECIFIC SUBUNIT 65', 143323),
(199598, 'PTHR43320:SF2', NULL, NULL, NULL, NULL, '2-DEHYDRO-3-DEOXYGLUCONOKINASE', 143324),
(199599, 'PTHR48049:SF91', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN 3-O-GLUCOSIDE 2''''''-O-XYLOSYLTRANSFERASE-RELATED', 143325),
(199600, 'PTHR24092:SF193', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 4-RELATED', 143326),
(199601, 'PTHR23503:SF42', NULL, NULL, NULL, NULL, 'FACILITATED GLUCOSE TRANSPORTER HOMOLOG', 143327),
(199602, 'PTHR11615:SF321', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 143328),
(199603, 'PTHR33499:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143329),
(199604, 'PTHR24103:SF587', NULL, NULL, NULL, NULL, 'RET FINGER PROTEIN LIKE 2', 143330),
(199605, 'PTHR11711:SF146', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 5B', 143331),
(199606, 'PTHR12601:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143332),
(199607, 'PTHR16557:SF8', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB', 143333),
(199608, 'PTHR45632:SF7', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 13', 143334),
(199609, 'PTHR42723:SF3', NULL, NULL, NULL, NULL, 'LYCOPENE ELONGASE', 143335),
(199610, 'PTHR31607:SF14', NULL, NULL, NULL, NULL, 'DBJ|BAA95751.1', 143336),
(199611, 'PTHR43289:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE A', 143337),
(199612, 'PTHR11782:SF89', NULL, NULL, NULL, NULL, 'APYRASE 2', 143338),
(199613, 'PTHR33463', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 143339),
(199614, 'PTHR28242:SF51', NULL, NULL, NULL, NULL, 'PSEUDO HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 2-LIKE', 143340),
(199615, 'PTHR33147:SF100', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', 143341),
(199616, 'PTHR45757:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG12165', 143342),
(199617, 'PTHR10844', NULL, NULL, NULL, NULL, 'CAVEOLIN', 143343),
(199618, 'PTHR13734:SF6', NULL, NULL, NULL, NULL, 'BNAA08G02170D PROTEIN', 143344);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(199619, 'PTHR46616:SF5', NULL, NULL, NULL, NULL, 'BNACNNG61230D PROTEIN', 143345),
(199620, 'PTHR46036:SF9', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE CHLOROPLASTIC-RELATED', 143346),
(199621, 'PTHR23155:SF864', NULL, NULL, NULL, NULL, 'NBS-LRR TYPE DISEASE RESISTANCE PROTEIN RPG1-B-LIKE', 143347),
(199622, 'PTHR22849:SF16', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 143348),
(199623, 'PTHR10502:SF208', NULL, NULL, NULL, NULL, 'ANNEXIN', 143349),
(199624, 'PTHR42886:SF42', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 143350),
(199625, 'PTHR33739:SF5', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 33A', 143351),
(199626, 'PTHR15044:SF0', NULL, NULL, NULL, NULL, 'PRO-FMRFAMIDE-RELATED NEUROPEPTIDE FF', 143352),
(199627, 'PTHR16290:SF18', NULL, NULL, NULL, NULL, 'MRNA-DECAPPING ENZYME-LIKE PROTEIN ISOFORM X1', 143353),
(199628, 'PTHR10015:SF351', NULL, NULL, NULL, NULL, 'HEAT-RESPONSIVE TRANSCRIPTION FACTOR', 143354),
(199629, 'PTHR24064:SF445', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE 2-RELATED PROTEIN', 143355),
(199630, 'PTHR46642:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143356),
(199631, 'PTHR33021:SF306', NULL, NULL, NULL, NULL, 'STELLACYANIN-LIKE', 143357),
(199632, 'PTHR31509:SF91', NULL, NULL, NULL, NULL, 'BNAC03G65380D PROTEIN', 143358),
(199633, 'PTHR26453:SF272', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 143359),
(199634, 'PTHR47700:SF2', NULL, NULL, NULL, NULL, 'V CHITINASE, PUTATIVE-RELATED', 143360),
(199635, 'PTHR36053:SF1', NULL, NULL, NULL, NULL, 'OSJNBB0017I01.18 PROTEIN', 143361),
(199636, 'PTHR30523:SF22', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE 2', 143362),
(199637, 'PTHR33136:SF50', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 33', 143363),
(199638, 'PTHR31343:SF25', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 143364),
(199639, 'PTHR10314:SF194', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE 1', 143365),
(199640, 'PTHR31744:SF150', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUNGBRUNNEN 1-LIKE', 143366),
(199641, 'PTHR15481', NULL, NULL, NULL, NULL, 'RIBONUCLEIC ACID BINDING PROTEIN S1', 143367),
(199642, 'PTHR12137:SF6', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 9', 143368),
(199643, 'PTHR35593', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 143369),
(199644, 'PTHR31210:SF43', NULL, NULL, NULL, NULL, 'STORAGE PROTEIN-RELATED', 143370),
(199645, 'PTHR45621:SF48', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PCRK2', 143371),
(199646, 'PTHR12431:SF15', NULL, NULL, NULL, NULL, 'SORTING NEXIN-31', 143372),
(199647, 'PTHR24410:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143373),
(199648, 'PTHR33129:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143374),
(199649, 'PTHR42711:SF1', NULL, NULL, NULL, NULL, 'ABC-TRANSPORT PROTEIN, ATP-BINDING COMPONENT-RELATED', 143375),
(199650, 'PTHR16223:SF208', NULL, NULL, NULL, NULL, 'BNAA08G11400D PROTEIN', 143376),
(199651, 'PTHR22891:SF57', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 1D', 143377),
(199652, 'PTHR31379:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG11209', 143378),
(199653, 'PTHR11073:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143379),
(199654, 'PTHR10621:SF35', NULL, NULL, NULL, NULL, 'RAD23 UV EXCISION REPAIR FAMILY PROTEIN-RELATED', 143380),
(199655, 'PTHR31384:SF111', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 143381),
(199656, 'PTHR19241:SF604', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 45-LIKE', 143382),
(199657, 'PTHR35491:SF5', NULL, NULL, NULL, NULL, 'OS12G0638500-LIKE PROTEIN', 143383),
(199658, 'PTHR23197:SF8', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 1', 143384),
(199659, 'PTHR12234:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 143385),
(199660, 'PTHR11462:SF39', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR (EUROFUNG)', 143386),
(199661, 'PTHR10075:SF4', NULL, NULL, NULL, NULL, 'EMBIGIN', 143387),
(199662, 'PTHR31339:SF68', NULL, NULL, NULL, NULL, 'OS09G0439400 PROTEIN', 143388),
(199663, 'PTHR31604:SF41', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 3-LIKE', 143389);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(199664, 'PTHR16517:SF125', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 6', 143390),
(199665, 'PTHR31065:SF1', NULL, NULL, NULL, NULL, 'OS03G0225400 PROTEIN', 143391),
(199666, 'PTHR21603:SF16', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE-ASSOCIATED PROTEIN 2', 143392),
(199667, 'PTHR12203:SF98', NULL, NULL, NULL, NULL, 'BNAA09G39060D PROTEIN', 143393),
(199668, 'PTHR15907:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143394),
(199669, 'PTHR43775:SF37', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE', 143395),
(199670, 'PTHR11064:SF138', NULL, NULL, NULL, NULL, 'CCAAT-BOX BINDING FACTOR HAP3-LIKE PROTEIN', 143396),
(199671, 'PTHR35673:SF1', NULL, NULL, NULL, NULL, 'UPF0500 PROTEIN C1ORF216', 143397),
(199672, 'PTHR46128:SF103', NULL, NULL, NULL, NULL, 'BNAC03G36200D PROTEIN', 143398),
(199673, 'PTHR43227:SF7', NULL, NULL, NULL, NULL, 'L-ARABINOSE TRANSPORT SYSTEM PERMEASE PROTEIN ARAP', 143399),
(199674, 'PTHR12924:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143400),
(199675, 'PTHR12910:SF11', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 12', 143401),
(199676, 'PTHR10809:SF105', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE-PROTEIN-ASSOCIATED PROTEIN-RELATED', 143402),
(199677, 'PTHR23024:SF519', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143403),
(199678, 'PTHR35007:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 143404),
(199679, 'PTHR38700', NULL, NULL, NULL, NULL, 'YALI0E22418P', 143405),
(199680, 'PTHR33101:SF68', NULL, NULL, NULL, NULL, 'RHO GUANYL-NUCLEOTIDE EXCHANGE FACTOR 4-RELATED', 143406),
(199681, 'PTHR34823:SF4', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING PROTEIN-RELATED', 143407),
(199682, 'PTHR47988:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', 143408),
(199683, 'PTHR11829:SF335', NULL, NULL, NULL, NULL, 'FORKHEAD BOX D2', 143409),
(199684, 'PTHR24012:SF742', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF, SINGLE-STRANDED-INTERACTING PROTEIN 3', 143410),
(199685, 'PTHR13343:SF27', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE 5''-PHOSPHATE OXIDASE FAMILY PROTEIN', 143411),
(199686, 'PTHR48050:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143412),
(199687, 'PTHR48063:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143413),
(199688, 'PTHR31126:SF8', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE OCA1-RELATED', 143414),
(199689, 'PTHR13067', NULL, NULL, NULL, NULL, 'CASPASE-ACTIVATED DNASE', 143415),
(199690, 'PTHR10792:SF36', NULL, NULL, NULL, NULL, 'BNAA04G10330D PROTEIN', 143416),
(199691, 'PTHR24238:SF57', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 165', 143417),
(199692, 'PTHR45765:SF1', NULL, NULL, NULL, NULL, 'METHIONINE--TRNA LIGASE, CYTOPLASMIC', 143418),
(199693, 'PTHR12210:SF158', NULL, NULL, NULL, NULL, 'BNAC03G59460D PROTEIN', 143419),
(199694, 'PTHR46666:SF8', NULL, NULL, NULL, NULL, 'BNAA03G47810D PROTEIN', 143420),
(199695, 'PTHR35137:SF4', NULL, NULL, NULL, NULL, 'BNAA01G14430D PROTEIN', 143421),
(199696, 'PTHR13284:SF9', NULL, NULL, NULL, NULL, 'SELENOCYSTEINE INSERTION SEQUENCE-BINDING PROTEIN 2', 143422),
(199697, 'PTHR47579:SF4', NULL, NULL, NULL, NULL, 'BNAA01G27230D PROTEIN', 143423),
(199698, 'PTHR42681:SF1', NULL, NULL, NULL, NULL, 'MALONYL-COA-ACYL CARRIER PROTEIN TRANSACYLASE, MITOCHONDRIAL', 143424),
(199699, 'PTHR33321:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143425),
(199700, 'PTHR46463:SF37', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 11 RING-H2 FINGER PROTEIN', 143426),
(199701, 'PTHR48015:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAKG', 143427),
(199702, 'PTHR33356:SF17', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX NON-CORE SUBUNIT NAF1-LIKE', 143428),
(199703, 'PTHR15504', NULL, NULL, NULL, NULL, 'NASOPHARYNGEAL EPITHELIUM SPECIFIC PROTEIN 1', 143429),
(199704, 'PTHR47997:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143430),
(199705, 'PTHR37241', NULL, NULL, NULL, NULL, 'NEUROFILAMENT HEAVY PROTEIN', 143431),
(199706, 'PTHR24322:SF691', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 20', 143432);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(199707, 'PTHR24349:SF92', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 7', 143433),
(199708, 'PTHR46586:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143434),
(199709, 'PTHR10036:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143435),
(199710, 'PTHR11071:SF417', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP95', 143436),
(199711, 'PTHR24320', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE', 143437),
(199712, 'PTHR13903:SF17', NULL, NULL, NULL, NULL, 'PIRIN-LIKE PROTEIN', 143438),
(199713, 'PTHR46279:SF11', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL20-LIKE', 143439),
(199714, 'PTHR31221:SF167', NULL, NULL, NULL, NULL, 'OS07G0596900 PROTEIN', 143440),
(199715, 'PTHR46253:SF2', NULL, NULL, NULL, NULL, 'TGF-BETA-ACTIVATED KINASE 1 AND MAP3K7-BINDING PROTEIN 2', 143441),
(199716, 'PTHR31662:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143442),
(199717, 'PTHR42840:SF6', NULL, NULL, NULL, NULL, 'BINDING ROSSMANN FOLD OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11930)-RELATED', 143443),
(199718, 'PTHR44566', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 143444),
(199719, 'PTHR27003:SF368', NULL, NULL, NULL, NULL, 'BNAA03G18570D PROTEIN', 143445),
(199720, 'PTHR43755:SF1', NULL, NULL, NULL, NULL, 'POSSIBLE DEHYDROGENASE/REDUCTASE', 143446),
(199721, 'PTHR45625:SF9', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE 9', 143447),
(199722, 'PTHR42769:SF10', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [FE] 3, CHLOROPLASTIC', 143448),
(199723, 'PTHR12308:SF28', NULL, NULL, NULL, NULL, 'ANOCTAMIN-4', 143449),
(199724, 'PTHR31105:SF6', NULL, NULL, NULL, NULL, 'OS01G0621300 PROTEIN', 143450),
(199725, 'PTHR47743', NULL, NULL, NULL, NULL, 'KIAA1210 / KIAA1211 FAMILY MEMBER', 143451),
(199726, 'PTHR23158:SF54', NULL, NULL, NULL, NULL, 'TRANSPORT AND GOLGI ORGANIZATION PROTEIN 1 HOMOLOG', 143452),
(199727, 'PTHR34295', NULL, NULL, NULL, NULL, 'BIOTIN TRANSPORTER BIOY', 143453),
(199728, 'PTHR43432', NULL, NULL, NULL, NULL, 'SLR0285 PROTEIN', 143454),
(199729, 'PTHR31116:SF19', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE I', 143455),
(199730, 'PTHR46861', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 1A', 143456),
(199731, 'PTHR20981:SF27', NULL, NULL, NULL, NULL, 'TRANSLATION PROTEIN SH3-LIKE FAMILY PROTEIN-RELATED', 143457),
(199732, 'PTHR35793:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YJIG', 143458),
(199733, 'PTHR46101:SF2', NULL, NULL, NULL, NULL, 'SERINE DECARBOXYLASE', 143459),
(199734, 'PTHR19290:SF94', NULL, NULL, NULL, NULL, 'NEUROGENIN-3', 143460),
(199735, 'PTHR31251:SF7', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 4', 143461),
(199736, 'PTHR37741:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 143462),
(199737, 'PTHR22835:SF586', NULL, NULL, NULL, NULL, 'BNAA09G27150D PROTEIN', 143463),
(199738, 'PTHR13068:SF137', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 143464),
(199739, 'PTHR34229', NULL, NULL, NULL, NULL, 'METAL TRANSPORT PROTEIN HI_1621-RELATED', 143465),
(199740, 'PTHR43180:SF50', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE-LIKE', 143466),
(199741, 'PTHR22891:SF107', NULL, NULL, NULL, NULL, 'ARGONAUT-LIKE PROTEIN', 143467),
(199742, 'PTHR27001:SF687', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-KINASE NCRK PROTEIN', 143468),
(199743, 'PTHR12566:SF12', NULL, NULL, NULL, NULL, 'TRANSLATIONAL REGULATOR ORB2', 143469),
(199744, 'PTHR41687', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 9', 143470),
(199745, 'PTHR37375', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 143471),
(199746, 'PTHR31123', NULL, NULL, NULL, NULL, 'ACCUMULATION OF DYADS PROTEIN 2-RELATED', 143472),
(199747, 'PTHR31194:SF49', NULL, NULL, NULL, NULL, 'AP2-EREBP TRANSCRIPTION FACTOR', 143473),
(199748, 'PTHR11353:SF210', NULL, NULL, NULL, NULL, 'TCP-1/CPN60 CHAPERONIN FAMILY PROTEIN-RELATED', 143474),
(199749, 'PTHR14155:SF556', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143475),
(199750, 'PTHR43019', NULL, NULL, NULL, NULL, 'SERINE ENDOPROTEASE DEGS', 143476);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(199751, 'PTHR43386:SF5', NULL, NULL, NULL, NULL, 'PUTRESCINE EXPORT SYSTEM PERMEASE PROTEIN SAPC', 143477),
(199752, 'PTHR46136:SF17', NULL, NULL, NULL, NULL, 'GLOBAL TRANSCRIPTION FACTOR GROUP E8-RELATED', 143478),
(199753, 'PTHR19328:SF61', NULL, NULL, NULL, NULL, 'HIPL2 PROTEIN', 143479),
(199754, 'PTHR30620:SF46', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 3 N TERMINAL DOMAIN CONTAINING PROTEIN, EXPRESSED', 143480),
(199755, 'PTHR22943:SF121', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 143481),
(199756, 'PTHR48032:SF11', NULL, NULL, NULL, NULL, 'DAZ-ASSOCIATED PROTEIN 1-LIKE', 143482),
(199757, 'PTHR46444', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN-RELATED', 143483),
(199758, 'PTHR14949:SF25', NULL, NULL, NULL, NULL, 'CRYPTIC FAMILY PROTEIN 1B-RELATED', 143484),
(199759, 'PTHR45586', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING PROTEIN PA4667', 143485),
(199760, 'PTHR46128:SF183', NULL, NULL, NULL, NULL, 'BNAA09G30220D PROTEIN', 143486),
(199761, 'PTHR12446:SF36', NULL, NULL, NULL, NULL, 'PROTEIN LIN-54 HOMOLOG', 143487),
(199762, 'PTHR48090:SF7', NULL, NULL, NULL, NULL, 'RFBJ PROTEIN', 143488),
(199763, 'PTHR35298', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN S1FA2', 143489),
(199764, 'PTHR31086:SF52', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 8-LIKE', 143490),
(199765, 'PTHR10543:SF107', NULL, NULL, NULL, NULL, 'BETA-CAROTENE 15, 15-DIOXYGENASE 2,-LIKE', 143491),
(199766, 'PTHR23404:SF11', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN SYNTHASE CATALYTIC SUBUNIT', 143492),
(199767, 'PTHR22957:SF576', NULL, NULL, NULL, NULL, 'ECOTROPIC VIRAL INTEGRATION SITE 5 PROTEIN HOMOLOG', 143493),
(199768, 'PTHR33656', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 143494),
(199769, 'PTHR39639:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 143495),
(199770, 'PTHR22455:SF10', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 91', 143496),
(199771, 'PTHR13510:SF47', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17070)-RELATED', 143497),
(199772, 'PTHR27006:SF312', NULL, NULL, NULL, NULL, 'OS05G0263100 PROTEIN', 143498),
(199773, 'PTHR34501', NULL, NULL, NULL, NULL, 'PROTEIN YDDL-RELATED', 143499),
(199774, 'PTHR21600:SF44', NULL, NULL, NULL, NULL, 'RNA PSEUDOURIDINE SYNTHASE 5', 143500),
(199775, 'PTHR11843:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 143501),
(199776, 'PTHR24081', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 0 GROUP B', 143502),
(199777, 'PTHR46503:SF8', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR, TYPE A-RELATED', 143503),
(199778, 'PTHR31464:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG01266', 143504),
(199779, 'PTHR45650:SF1', NULL, NULL, NULL, NULL, 'OS08G0112900 PROTEIN', 143505),
(199780, 'PTHR31149:SF12', NULL, NULL, NULL, NULL, 'BNAA09G05280D PROTEIN', 143506),
(199781, 'PTHR43617:SF25', NULL, NULL, NULL, NULL, 'GCN5-RELATED N-ACETYLTRANSFERASE', 143507),
(199782, 'PTHR11681:SF9', NULL, NULL, NULL, NULL, 'VASOPRESSIN-NEUROPHYSIN 2-COPEPTIN', 143508),
(199783, 'PTHR45633:SF7', NULL, NULL, NULL, NULL, 'CHAPERONIN 60 SUBUNIT BETA 4, CHLOROPLASTIC', 143509),
(199784, 'PTHR47322:SF8', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 143510),
(199785, 'PTHR42683:SF72', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 6-RELATED', 143511),
(199786, 'PTHR10891:SF788', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML44-RELATED', 143512),
(199787, 'PTHR31901:SF38', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.2-RELATED', 143513),
(199788, 'PTHR47633:SF3', NULL, NULL, NULL, NULL, 'STRIATED MUSCLE PREFERENTIALLY EXPRESSED PROTEIN KINASE', 143514),
(199789, 'PTHR12480:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143515),
(199790, 'PTHR23261', NULL, NULL, NULL, NULL, 'GROUNDHOG-RELATED', 143516),
(199791, 'PTHR31692:SF106', NULL, NULL, NULL, NULL, 'BNAC04G04000D PROTEIN', 143517),
(199792, 'PTHR11662:SF317', NULL, NULL, NULL, NULL, 'PROTEIN CBG12249', 143518),
(199793, 'PTHR22550:SF5', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER PROTEIN 4', 143519);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(199794, 'PTHR11581:SF30', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4, X ISOFORM', 143520),
(199795, 'PTHR35546:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143521),
(199796, 'PTHR24060:SF26', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 8', 143522),
(199797, 'PTHR42354', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 143523),
(199798, 'PTHR36414', NULL, NULL, NULL, NULL, 'PROTEIN SUR7', 143524),
(199799, 'PTHR47543:SF2', NULL, NULL, NULL, NULL, 'OS08G0169600 PROTEIN', 143525),
(199800, 'PTHR28546', NULL, NULL, NULL, NULL, 'NEURONAL VESICLE TRAFFICKING-ASSOCIATED PROTEIN 2-RELATED', 143526),
(199801, 'PTHR31375:SF219', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 143527),
(199802, 'PTHR45644:SF52', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 143528),
(199803, 'PTHR11347:SF200', NULL, NULL, NULL, NULL, 'DUAL 3'',5''-CYCLIC-AMP AND -GMP PHOSPHODIESTERASE 11', 143529),
(199804, 'PTHR45632:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143530),
(199805, 'PTHR14604:SF4', NULL, NULL, NULL, NULL, 'BETA-TRANSDUCIN REPEAT-CONTAINING E3 UBIQUITIN PROTEIN LIGASE', 143531),
(199806, 'PTHR23159:SF1', NULL, NULL, NULL, NULL, 'CENTROSOME-ASSOCIATED PROTEIN CEP250', 143532),
(199807, 'PTHR33077:SF109', NULL, NULL, NULL, NULL, 'BNAC06G31830D PROTEIN', 143533),
(199808, 'PTHR48047:SF98', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 87A2-LIKE', 143534),
(199809, 'PTHR46535:SF1', NULL, NULL, NULL, NULL, 'NEDD4-BINDING PROTEIN 2', 143535),
(199810, 'PTHR24242:SF199', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 143536),
(199811, 'PTHR11224', NULL, NULL, NULL, NULL, 'MAKORIN-RELATED', 143537),
(199812, 'PTHR46699:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STN8, CHLOROPLASTIC', 143538),
(199813, 'PTHR11814:SF239', NULL, NULL, NULL, NULL, 'LOW AFFINITY SULFATE TRANSPORTER 3-LIKE', 143539),
(199814, 'PTHR31675:SF7', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 5', 143540),
(199815, 'PTHR17554', NULL, NULL, NULL, NULL, 'TYRO PROTEIN TYROSINE KINASE-BINDING PROTEIN', 143541),
(199816, 'PTHR48191', NULL, NULL, NULL, NULL, 'PROTEIN HHL1 CHLOROPLASTIC', 143542),
(199817, 'PTHR36046', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 143543),
(199818, 'PTHR19325:SF370', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA SPERM-BINDING PROTEIN 3 RECEPTOR', 143544),
(199819, 'PTHR43653:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C ASSEMBLY PROTEIN-RELATED', 143545),
(199820, 'PTHR13935:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143546),
(199821, 'PTHR21704:SF22', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 13', 143547),
(199822, 'PTHR31549:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143548),
(199823, 'PTHR31375:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143549),
(199824, 'PTHR23123', NULL, NULL, NULL, NULL, 'PHD/F-BOX CONTAINING PROTEIN', 143550),
(199825, 'PTHR31071:SF37', NULL, NULL, NULL, NULL, 'BNAC09G12330D PROTEIN', 143551),
(199826, 'PTHR11866:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143552),
(199827, 'PTHR11685:SF372', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 143553),
(199828, 'PTHR31642:SF188', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-LIKE ISOFORM X1', 143554),
(199829, 'PTHR48041:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143555),
(199830, 'PTHR45749:SF11', NULL, NULL, NULL, NULL, 'AC-LIKE TRANSPOSASE-RELATED', 143556),
(199831, 'PTHR23513', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE EFFLUX PROTEIN-RELATED', 143557),
(199832, 'PTHR31831', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689065', 143558),
(199833, 'PTHR11269:SF8', NULL, NULL, NULL, NULL, 'PERIOD CIRCADIAN PROTEIN HOMOLOG 1', 143559),
(199834, 'PTHR22844:SF352', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', 143560),
(199835, 'PTHR31113:SF19', NULL, NULL, NULL, NULL, 'BNAC04G25020D PROTEIN', 143561),
(199836, 'PTHR37945:SF1', NULL, NULL, NULL, NULL, 'EXTRACELLULAR TUNGSTATE BINDING PROTEIN', 143562); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(199837, 'PTHR11969:SF13', NULL, NULL, NULL, NULL, 'MAX-INTERACTING PROTEIN 1', 143563),
(199838, 'PTHR13994:SF43', NULL, NULL, NULL, NULL, 'MUTT/NUDIX FAMILY PROTEIN-RELATED', 143564),
(199839, 'PTHR47281:SF3', NULL, NULL, NULL, NULL, 'OS06G0649700 PROTEIN', 143565),
(199840, 'PTHR47029', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS PROTEIN 1', 143566),
(199841, 'PTHR11461:SF290', NULL, NULL, NULL, NULL, 'SERINE (OR CYSTEINE) PEPTIDASE INHIBITOR, CLADE H, MEMBER 2', 143567),
(199842, 'PTHR31585:SF8', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 143568),
(199843, 'PTHR31415:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143569),
(199844, 'PTHR11566:SF205', NULL, NULL, NULL, NULL, 'DYNAMIN CENTRAL DOMAIN-CONTAINING PROTEIN-RELATED', 143570),
(199845, 'PTHR24118:SF53', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930467E23 GENE-RELATED', 143571),
(199846, 'PTHR46267:SF19', NULL, NULL, NULL, NULL, 'BNAA08G29620D PROTEIN', 143572),
(199847, 'PTHR33207:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143573),
(199848, 'PTHR13327', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE ESSS SUBUNIT, MITOCHONDRIAL PRECURSOR', 143574),
(199849, 'PTHR43670:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143575),
(199850, 'PTHR10239:SF28', NULL, NULL, NULL, NULL, 'ISTHMIN-2', 143576),
(199851, 'PTHR10369:SF3', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L36A LIKE', 143577),
(199852, 'PTHR46187:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143578),
(199853, 'PTHR11351:SF69', NULL, NULL, NULL, NULL, 'ACYL-COA DESATURASE 1', 143579),
(199854, 'PTHR35711:SF4', NULL, NULL, NULL, NULL, 'ACTING ON PEPTIDE BONDS (PEPTIDASE)-RELATED', 143580),
(199855, 'PTHR40020', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 2', 143581),
(199856, 'PTHR43864:SF3', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE, FUSED TO N-TERMINAL DNA-BINDING DOMAIN', 143582),
(199857, 'PTHR31707:SF289', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 143583),
(199858, 'PTHR11362:SF123', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L35, MITOCHONDRIAL', 143584),
(199859, 'PTHR31342', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC', 143585),
(199860, 'PTHR42023:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143586),
(199861, 'PTHR13165', NULL, NULL, NULL, NULL, 'ARSENITE-RESISTANCE PROTEIN 2', 143587),
(199862, 'PTHR23516:SF21', NULL, NULL, NULL, NULL, 'BNAANNG13840D PROTEIN', 143588),
(199863, 'PTHR45966:SF20', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 5-LIKE', 143589),
(199864, 'PTHR12011:SF451', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143590),
(199865, 'PTHR34682:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143591),
(199866, 'PTHR10037:SF237', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 3 SUBUNIT ALPHA', 143592),
(199867, 'PTHR31181:SF61', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED-LIKE PROTEIN (DUF1278)', 143593),
(199868, 'PTHR33671:SF11', NULL, NULL, NULL, NULL, 'DUF688 FAMILY PROTEIN', 143594),
(199869, 'PTHR48017:SF24', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', 143595),
(199870, 'PTHR37538:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143596),
(199871, 'PTHR13980:SF19', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SPT16', 143597),
(199872, 'PTHR33605:SF4', NULL, NULL, NULL, NULL, 'EARLY NODULIN-RELATED', 143598),
(199873, 'PTHR14218:SF15', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE 1', 143599),
(199874, 'PTHR19918:SF5', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC APC/C ACTIVATOR PROTEIN AMA1', 143600),
(199875, 'PTHR30582:SF24', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE YBIS-RELATED', 143601),
(199876, 'PTHR24331:SF0', NULL, NULL, NULL, NULL, 'DBX', 143602),
(199877, 'PTHR27008:SF476', NULL, NULL, NULL, NULL, 'OS11G0569800 PROTEIN', 143603),
(199878, 'PTHR47992:SF80', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 58-RELATED', 143604),
(199879, 'PTHR30302:SF4', NULL, NULL, NULL, NULL, 'HYDROGENASE 3 MATURATION PROTEASE', 143605),
(199880, 'PTHR48002:SF100', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4A16', 143606);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(199881, 'PTHR11654:SF539', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143607),
(199882, 'PTHR45857:SF4', NULL, NULL, NULL, NULL, 'MULTIPLE WING HAIRS, ISOFORM C', 143608),
(199883, 'PTHR43715:SF1', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 4,6 DEHYDRATASE', 143609),
(199884, 'PTHR46608:SF2', NULL, NULL, NULL, NULL, 'T CELL IMMUNOGLOBULIN AND MUCIN DOMAIN-CONTAINING 4', 143610),
(199885, 'PTHR24286:SF169', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 85A1', 143611),
(199886, 'PTHR45476:SF3', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN', 143612),
(199887, 'PTHR30409:SF1', NULL, NULL, NULL, NULL, 'CARBAMATE KINASE-LIKE PROTEIN YAHI-RELATED', 143613),
(199888, 'PTHR14102:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143614),
(199889, 'PTHR33132:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143615),
(199890, 'PTHR11739:SF34', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', 143616),
(199891, 'PTHR47367:SF2', NULL, NULL, NULL, NULL, 'BNAANNG26590D PROTEIN', 143617),
(199892, 'PTHR33638', NULL, NULL, NULL, NULL, 'SELENOPROTEIN H', 143618),
(199893, 'PTHR33448:SF3', NULL, NULL, NULL, NULL, 'OS09G0370000 PROTEIN', 143619),
(199894, 'PTHR12300:SF143', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 143620),
(199895, 'PTHR33069', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE-RELATED', 143621),
(199896, 'PTHR11685:SF268', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 143622),
(199897, 'PTHR11349:SF107', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', 143623),
(199898, 'PTHR22911:SF65', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN DMT SUPERFAMILY', 143624),
(199899, 'PTHR33414:SF5', NULL, NULL, NULL, NULL, 'OS02G0817100 PROTEIN', 143625),
(199900, 'PTHR21098', NULL, NULL, NULL, NULL, 'RIBOFLAVIN SYNTHASE ALPHA CHAIN', 143626),
(199901, 'PTHR11208:SF103', NULL, NULL, NULL, NULL, 'PROTEIN CBG10565', 143627),
(199902, 'PTHR11206:SF287', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 143628),
(199903, 'PTHR24223:SF333', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MRP-8', 143629),
(199904, 'PTHR23086:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143630),
(199905, 'PTHR22765:SF217', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING RECEPTOR 1-LIKE', 143631),
(199906, 'PTHR11588:SF399', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1 CHAIN', 143632),
(199907, 'PTHR14879', NULL, NULL, NULL, NULL, 'CASPASE REGULATOR, RING FINGER DOMAIN-CONTAINING', 143633),
(199908, 'PTHR12811:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 16 HOMOLOG', 143634),
(199909, 'PTHR12147:SF11', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM METALLOPEPTIDASE 1-B-RELATED', 143635),
(199910, 'PTHR46306', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 9', 143636),
(199911, 'PTHR22028', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 143637),
(199912, 'PTHR16263:SF4', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 38', 143638),
(199913, 'PTHR32100:SF66', NULL, NULL, NULL, NULL, 'OMEGA-6 FATTY ACID DESATURASE, ENDOPLASMIC RETICULUM', 143639),
(199914, 'PTHR38850:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143640),
(199915, 'PTHR22765:SF323', NULL, NULL, NULL, NULL, 'OS09G0468300 PROTEIN', 143641),
(199916, 'PTHR11690:SF1', NULL, NULL, NULL, NULL, 'DEGENERIN LIKE', 143642),
(199917, 'PTHR43791:SF21', NULL, NULL, NULL, NULL, 'ALLANTOATE TRANSPORTER', 143643),
(199918, 'PTHR34078', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 143644),
(199919, 'PTHR23032:SF10', NULL, NULL, NULL, NULL, 'OS02G0828100 PROTEIN', 143645),
(199920, 'PTHR11374:SF45', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE 3', 143646),
(199921, 'PTHR15914:SF0', NULL, NULL, NULL, NULL, 'ALPHA-HEMOGLOBIN-STABILIZING PROTEIN', 143647),
(199922, 'PTHR37610:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143648),
(199923, 'PTHR22849:SF127', NULL, NULL, NULL, NULL, 'OS05G0439400 PROTEIN', 143649),
(199924, 'PTHR22750:SF38', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 2', 143650),
(199925, 'PTHR33214:SF43', NULL, NULL, NULL, NULL, 'OS06G0705400 PROTEIN', 143651);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(199926, 'PTHR10593:SF173', NULL, NULL, NULL, NULL, 'BNAA06G09410D PROTEIN', 143652),
(199927, 'PTHR14165:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143653),
(199928, 'PTHR11654:SF191', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 143654),
(199929, 'PTHR47991:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143655),
(199930, 'PTHR10179:SF77', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 6', 143656),
(199931, 'PTHR13439:SF55', NULL, NULL, NULL, NULL, 'TRAM/LAG1/CLN8 HOMOLOGY DOMAIN', 143657),
(199932, 'PTHR48018:SF177', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 143658),
(199933, 'PTHR11771:SF145', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 143659),
(199934, 'PTHR33985:SF29', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 20-RELATED', 143660),
(199935, 'PTHR46011:SF19', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 143661),
(199936, 'PTHR12777:SF1', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D2', 143662),
(199937, 'PTHR44191:SF47', NULL, NULL, NULL, NULL, 'BNAA08G29670D PROTEIN', 143663),
(199938, 'PTHR33709', NULL, NULL, NULL, NULL, 'OSJNBA0035M09.9 PROTEIN', 143664),
(199939, 'PTHR23140:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBR-NRD-1', 143665),
(199940, 'PTHR10655:SF22', NULL, NULL, NULL, NULL, 'ACYL-PROTEIN THIOESTERASE 1', 143666),
(199941, 'PTHR45658', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 143667),
(199942, 'PTHR27009:SF128', NULL, NULL, NULL, NULL, 'OS01G0690800 PROTEIN', 143668),
(199943, 'PTHR37397:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-183D21.1', 143669),
(199944, 'PTHR12098:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PELLINO', 143670),
(199945, 'PTHR35116:SF2', NULL, NULL, NULL, NULL, 'HELICASE PROTEIN MOM1', 143671),
(199946, 'PTHR37264', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L31', 143672),
(199947, 'PTHR47926:SF130', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 143673),
(199948, 'PTHR42716', NULL, NULL, NULL, NULL, 'L-ASPARTATE OXIDASE', 143674),
(199949, 'PTHR24343:SF443', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 143675),
(199950, 'PTHR19321:SF40', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN, MAP65/ASE1/PRC1-RELATED', 143676),
(199951, 'PTHR31257:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143677),
(199952, 'PTHR47035:SF4', NULL, NULL, NULL, NULL, 'OS02G0676500 PROTEIN', 143678),
(199953, 'PTHR46177:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143679),
(199954, 'PTHR24103:SF567', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 77', 143680),
(199955, 'PTHR12992:SF33', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 15, MITOCHONDRIAL-LIKE ISOFORM X1', 143681),
(199956, 'PTHR31208:SF17', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', 143682),
(199957, 'PTHR24249:SF381', NULL, NULL, NULL, NULL, 'SI:CH211-238P8.31-RELATED', 143683),
(199958, 'PTHR34944:SF7', NULL, NULL, NULL, NULL, 'OS05G0583400 PROTEIN', 143684),
(199959, 'PTHR10641:SF1240', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39', 143685),
(199960, 'PTHR45620:SF22', NULL, NULL, NULL, NULL, 'VASOACTIVE INTESTINAL POLYPEPTIDE RECEPTOR 2', 143686),
(199961, 'PTHR28575', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC PROTEIN MEI4', 143687),
(199962, 'PTHR32285:SF292', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 143688),
(199963, 'PTHR46290:SF2', NULL, NULL, NULL, NULL, 'DI-N-ACETYLCHITOBIASE 1-RELATED', 143689),
(199964, 'PTHR10865', NULL, NULL, NULL, NULL, 'METASTASIS-ASSOCIATED PROTEIN AND MESODERM INDUCTION EARLY RESPONSE PROTEIN', 143690),
(199965, 'PTHR24282:SF39', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714D1', 143691),
(199966, 'PTHR10168:SF115', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S10', 143692),
(199967, 'PTHR33935:SF14', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN', 143693),
(199968, 'PTHR31080:SF126', NULL, NULL, NULL, NULL, 'OS02G0688200 PROTEIN', 143694),
(199969, 'PTHR31429:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143695),
(199970, 'PTHR32093:SF120', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 3-RELATED', 143696);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(199971, 'PTHR46538:SF1', NULL, NULL, NULL, NULL, 'STE20 LIKE KINASE', 143697),
(199972, 'PTHR12691', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 23', 143698),
(199973, 'PTHR19433:SF105', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 1-1-RELATED', 143699),
(199974, 'PTHR33913:SF3', NULL, NULL, NULL, NULL, 'ALEURONE LAYER MORPHOGENESIS PROTEIN', 143700),
(199975, 'PTHR36765:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 143701),
(199976, 'PTHR10110:SF128', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 1', 143702),
(199977, 'PTHR16776:SF3', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN 1', 143703),
(199978, 'PTHR31046', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 143704),
(199979, 'PTHR31989:SF314', NULL, NULL, NULL, NULL, 'BNACNNG06310D PROTEIN', 143705),
(199980, 'PTHR10241:SF38', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', 143706),
(199981, 'PTHR22808:SF20', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(34)-C(5))-METHYLTRANSFERASE', 143707),
(199982, 'PTHR24377:SF866', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 670', 143708),
(199983, 'PTHR15132:SF1', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 2', 143709),
(199984, 'PTHR10269:SF18', NULL, NULL, NULL, NULL, 'GDNF FAMILY RECEPTOR ALPHA 4B', 143710),
(199985, 'PTHR31065:SF53', NULL, NULL, NULL, NULL, 'ION BINDING PROTEIN, PUTATIVE-RELATED', 143711),
(199986, 'PTHR11893:SF10', NULL, NULL, NULL, NULL, 'INNEXIN-6', 143712),
(199987, 'PTHR31639:SF212', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143713),
(199988, 'PTHR22972:SF3', NULL, NULL, NULL, NULL, 'INACTIVE TYROSINE-PROTEIN KINASE PRAG1', 143714),
(199989, 'PTHR18952:SF114', NULL, NULL, NULL, NULL, 'LD36568P', 143715),
(199990, 'PTHR45947:SF9', NULL, NULL, NULL, NULL, 'BNAC09G46470D PROTEIN', 143716),
(199991, 'PTHR19375:SF392', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70 HOMOLOG LHS1', 143717),
(199992, 'PTHR11977:SF120', NULL, NULL, NULL, NULL, 'ACTIN FILAMENT BUNDLING PROTEIN P-115-ABP', 143718),
(199993, 'PTHR46031:SF2', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 2', 143719),
(199994, 'PTHR12107:SF5', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-3 SUBUNIT', 143720),
(199995, 'PTHR24377:SF37', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 175', 143721),
(199996, 'PTHR12210:SF150', NULL, NULL, NULL, NULL, 'BNAC06G15690D PROTEIN', 143722),
(199997, 'PTHR24300:SF118', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 508C1-RELATED', 143723),
(199998, 'PTHR24373:SF335', NULL, NULL, NULL, NULL, 'NEPHROCAN', 143724),
(199999, 'PTHR45125:SF8', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', 143725),
(200000, 'PTHR45951:SF4', NULL, NULL, NULL, NULL, 'PROTEIN DISPATCHED HOMOLOG 1', 143726),
(200001, 'PTHR31463:SF6', NULL, NULL, NULL, NULL, 'PFPL PROTEIN', 143727),
(200002, 'PTHR47843:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143728),
(200003, 'PTHR40041', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', 143729),
(200004, 'PTHR47746:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143730),
(200005, 'PTHR11388:SF141', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', 143731),
(200006, 'PTHR11132:SF434', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 143732),
(200007, 'PTHR34150:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBR-HPO-26', 143733),
(200008, 'PTHR11889:SF31', NULL, NULL, NULL, NULL, 'PROTEIN HEDGEHOG', 143734),
(200009, 'PTHR24381:SF277', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 57 HOMOLOG', 143735),
(200010, 'PTHR45270:SF4', NULL, NULL, NULL, NULL, 'OS03G0832900 PROTEIN', 143736),
(200011, 'PTHR11220:SF66', NULL, NULL, NULL, NULL, 'BNAA07G39170D PROTEIN', 143737),
(200012, 'PTHR34665', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 143738),
(200013, 'PTHR24012:SF786', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF, SINGLE-STRANDED-INTERACTING PROTEIN 2', 143739),
(200014, 'PTHR12951:SF1', NULL, NULL, NULL, NULL, 'PROTEIN UNC-119 HOMOLOG', 143740),
(200015, 'PTHR34591:SF17', NULL, NULL, NULL, NULL, 'OS01G0824700 PROTEIN', 143741);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(200016, 'PTHR30606:SF4', NULL, NULL, NULL, NULL, 'LIPID A BIOSYNTHESIS MYRISTOYLTRANSFERASE', 143742),
(200017, 'PTHR10782:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143743),
(200018, 'PTHR36750:SF1', NULL, NULL, NULL, NULL, 'SEC-C MOTIF PROTEIN', 143744),
(200019, 'PTHR36503:SF1', NULL, NULL, NULL, NULL, 'BLR2520 PROTEIN', 143745),
(200020, 'PTHR12346:SF45', NULL, NULL, NULL, NULL, 'BNAUNNG04420D PROTEIN', 143746),
(200021, 'PTHR11161:SF15', NULL, NULL, NULL, NULL, 'GH19286P-RELATED', 143747),
(200022, 'PTHR38522:SF4', NULL, NULL, NULL, NULL, 'BNAC09G18360D PROTEIN', 143748),
(200023, 'PTHR31190:SF126', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF098-LIKE', 143749),
(200024, 'PTHR48045:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 143750),
(200025, 'PTHR24112:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143751),
(200026, 'PTHR23305:SF17', NULL, NULL, NULL, NULL, 'OBG-LIKE ATPASE 1', 143752),
(200027, 'PTHR46128:SF194', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', 143753),
(200028, 'PTHR13121', NULL, NULL, NULL, NULL, 'GPI TRANSAMIDASE COMPONENT PIG-U', 143754),
(200029, 'PTHR10293:SF66', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S15, MITOCHONDRIAL', 143755),
(200030, 'PTHR11654:SF459', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.6', 143756),
(200031, 'PTHR47634', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 143757),
(200032, 'PTHR19303:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143758),
(200033, 'PTHR46122:SF13', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP11-LIKE', 143759),
(200034, 'PTHR13833:SF80', NULL, NULL, NULL, NULL, 'BNAC05G19030D PROTEIN', 143760),
(200035, 'PTHR24361:SF821', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 143761),
(200036, 'PTHR45974:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143762),
(200037, 'PTHR31887:SF1', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP B', 143763),
(200038, 'PTHR31549:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143764),
(200039, 'PTHR15664:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143765),
(200040, 'PTHR35545', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 143766),
(200041, 'PTHR10291:SF17', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 143767),
(200042, 'PTHR31942:SF32', NULL, NULL, NULL, NULL, 'OS02G0197200 PROTEIN', 143768),
(200043, 'PTHR31852:SF236', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143769),
(200044, 'PTHR10619:SF0', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT BETA', 143770),
(200045, 'PTHR24054', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA', 143771),
(200046, 'PTHR31003:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143772),
(200047, 'PTHR31929:SF125', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A', 143773),
(200048, 'PTHR31828:SF31', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 143774),
(200049, 'PTHR24281:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143775),
(200050, 'PTHR23028:SF119', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 143776),
(200051, 'PTHR19957:SF90', NULL, NULL, NULL, NULL, 'SYNTAXIN-7', 143777),
(200052, 'PTHR33993:SF2', NULL, NULL, NULL, NULL, 'GLYOXALASE-RELATED', 143778),
(200053, 'PTHR32295:SF205', NULL, NULL, NULL, NULL, 'BNACNNG03110D PROTEIN', 143779),
(200054, 'PTHR10706', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN', 143780),
(200055, 'PTHR45730:SF4', NULL, NULL, NULL, NULL, 'C2H2 ZINC FINGER MALFORMED SPIKELET', 143781),
(200056, 'PTHR31933:SF13', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 31', 143782),
(200057, 'PTHR27009:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143783),
(200058, 'PTHR33115:SF51', NULL, NULL, NULL, NULL, 'ENDOSPERM TRANSFER CELL SPECIFIC PR60', 143784),
(200059, 'PTHR24240:SF15', NULL, NULL, NULL, NULL, 'RHODOPSIN', 143785),
(200060, 'PTHR31216:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-15-RELATED', 143786),
(200061, 'PTHR22669:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG13577', 143787),
(200062, 'PTHR43537:SF34', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE COMPLEX REPRESSOR', 143788); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(200063, 'PTHR28008', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 143789),
(200064, 'PTHR46642:SF6', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE PHOSPHATASE-RELATED', 143790),
(200065, 'PTHR47781:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L36 2', 143791),
(200066, 'PTHR45637:SF63', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE 1-RELATED', 143792),
(200067, 'PTHR23326:SF3', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 2', 143793),
(200068, 'PTHR11926:SF1424', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 143794),
(200069, 'PTHR22847:SF666', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143795),
(200070, 'PTHR11599:SF15', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-7-1-RELATED', 143796),
(200071, 'PTHR23500:SF511', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 2', 143797),
(200072, 'PTHR31636:SF277', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 22', 143798),
(200073, 'PTHR13923:SF11', NULL, NULL, NULL, NULL, 'SECRETORY 31, ISOFORM D', 143799),
(200074, 'PTHR31080:SF208', NULL, NULL, NULL, NULL, 'OSJNBA0027P08.11 PROTEIN', 143800),
(200075, 'PTHR48017:SF97', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 7-RELATED', 143801),
(200076, 'PTHR43522', NULL, NULL, NULL, NULL, 'TRANSKETOLASE', 143802),
(200077, 'PTHR10217:SF530', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 1', 143803),
(200078, 'PTHR45669:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143804),
(200079, 'PTHR32227:SF222', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 17 PROTEIN, EXPRESSED', 143805),
(200080, 'PTHR34053:SF3', NULL, NULL, NULL, NULL, 'PROTEIN ULTRAPETALA 2', 143806),
(200081, 'PTHR10957:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-191G9.5-RELATED', 143807),
(200082, 'PTHR42748:SF19', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY PROTEIN', 143808),
(200083, 'PTHR48027', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 87F-RELATED', 143809),
(200084, 'PTHR31190:SF259', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 15', 143810),
(200085, 'PTHR33116:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143811),
(200086, 'PTHR35729:SF1', NULL, NULL, NULL, NULL, 'T1B9.12 PROTEIN', 143812),
(200087, 'PTHR21668:SF21', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A-LIKE', 143813),
(200088, 'PTHR14738:SF32', NULL, NULL, NULL, NULL, 'RNA BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 143814),
(200089, 'PTHR12629:SF54', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 16, MITOCHONDRIAL-LIKE ISOFORM X1', 143815),
(200090, 'PTHR31621:SF9', NULL, NULL, NULL, NULL, 'OS12G0411500 PROTEIN', 143816),
(200091, 'PTHR31142:SF32', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 3', 143817),
(200092, 'PTHR31784', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 5', 143818),
(200093, 'PTHR10666:SF348', NULL, NULL, NULL, NULL, 'UBIQUITIN-60S RIBOSOMAL PROTEIN L40-2', 143819),
(200094, 'PTHR34536:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143820),
(200095, 'PTHR31657:SF28', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-13', 143821),
(200096, 'PTHR13167:SF24', NULL, NULL, NULL, NULL, 'PIEZO-TYPE MECHANOSENSITIVE ION CHANNEL COMPONENT 2', 143822),
(200097, 'PTHR10759:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', 143823),
(200098, 'PTHR45898:SF13', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 7', 143824),
(200099, 'PTHR12064:SF22', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER CNNM2', 143825),
(200100, 'PTHR34455:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143826),
(200101, 'PTHR24404:SF71', NULL, NULL, NULL, NULL, 'RCG53796', 143827),
(200102, 'PTHR44067:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143828),
(200103, 'PTHR10430:SF8', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN AHP1', 143829),
(200104, 'PTHR31153:SF13', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 143830),
(200105, 'PTHR47249:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN 8', 143831);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(200106, 'PTHR48084:SF4', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE OXIDOREDUCTASE SUBUNIT KORB', 143832),
(200107, 'PTHR18952:SF201', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 3', 143833),
(200108, 'PTHR47926:SF127', NULL, NULL, NULL, NULL, 'BNAC03G28070D PROTEIN', 143834),
(200109, 'PTHR48001:SF130', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1E1', 143835),
(200110, 'PTHR22835:SF490', NULL, NULL, NULL, NULL, 'OS06G0157000 PROTEIN', 143836),
(200111, 'PTHR15555', NULL, NULL, NULL, NULL, 'ZINC FINGER HIT DOMAIN CONTAINING PROTEIN 2  PROTEIN FON -RELATED', 143837),
(200112, 'PTHR24388:SF74', NULL, NULL, NULL, NULL, 'FEZ FAMILY ZINC FINGER PROTEIN 2', 143838),
(200113, 'PTHR31282:SF131', NULL, NULL, NULL, NULL, 'BNAANNG39080D PROTEIN', 143839),
(200114, 'PTHR10108:SF1136', NULL, NULL, NULL, NULL, 'BNAA02G36960D PROTEIN', 143840),
(200115, 'PTHR31790:SF409', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143841),
(200116, 'PTHR20859:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143842),
(200117, 'PTHR11604:SF44', NULL, NULL, NULL, NULL, 'PROFILIN-2', 143843),
(200118, 'PTHR45992:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC ELONGATION FACTOR 2 KINASE', 143844),
(200119, 'PTHR35347', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 175', 143845),
(200120, 'PTHR31907:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143846),
(200121, 'PTHR23287', NULL, NULL, NULL, NULL, 'RUBY-EYE2-LIKE PROTEIN', 143847),
(200122, 'PTHR46629:SF10', NULL, NULL, NULL, NULL, 'F2401.10', 143848),
(200123, 'PTHR43200:SF16', NULL, NULL, NULL, NULL, 'MYO-INOSITOL-1(OR 4)-MONOPHOSPHATASE (AFU_ORTHOLOGUE AFUA_4G04200)', 143849),
(200124, 'PTHR24012:SF841', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 143850),
(200125, 'PTHR46195:SF22', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', 143851),
(200126, 'PTHR34145:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143852),
(200127, 'PTHR31247:SF5', NULL, NULL, NULL, NULL, 'RE70461P', 143853),
(200128, 'PTHR31800:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 32', 143854),
(200129, 'PTHR24223:SF417', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143855),
(200130, 'PTHR15735:SF10', NULL, NULL, NULL, NULL, 'PROTEIN NERVOUS WRECK', 143856),
(200131, 'PTHR46506:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143857),
(200132, 'PTHR41155:SF1', NULL, NULL, NULL, NULL, 'FI19525P1', 143858),
(200133, 'PTHR11453:SF23', NULL, NULL, NULL, NULL, 'SODIUM BICARBONATE TRANSPORTER-LIKE PROTEIN 11', 143859),
(200134, 'PTHR36950:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG05660', 143860),
(200135, 'PTHR31896:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143861),
(200136, 'PTHR33530:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143862),
(200137, 'PTHR45639:SF18', NULL, NULL, NULL, NULL, 'BNAA06G00870D PROTEIN', 143863),
(200138, 'PTHR47052:SF9', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', 143864),
(200139, 'PTHR11040:SF137', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP1', 143865),
(200140, 'PTHR27008:SF451', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR ISOFORM X1', 143866),
(200141, 'PTHR47991:SF42', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN', 143867),
(200142, 'PTHR47265', NULL, NULL, NULL, NULL, 'IRON-SULFUR ASSEMBLY PROTEIN ISCA, CHLOROPLASTIC', 143868),
(200143, 'PTHR10263:SF58', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C4', 143869),
(200144, 'PTHR23267:SF409', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-27-RELATED', 143870),
(200145, 'PTHR35420', NULL, NULL, NULL, NULL, 'OS02G0198500 PROTEIN', 143871),
(200146, 'PTHR11633:SF2', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR SUBUNIT B', 143872),
(200147, 'PTHR15921:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2, ENTH/VHS-RELATED', 143873),
(200148, 'PTHR47975:SF5', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 4', 143874),
(200149, 'PTHR11455:SF2', NULL, NULL, NULL, NULL, 'BLUE-LIGHT PHOTORECEPTOR PHR2', 143875);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(200150, 'PTHR11328:SF43', NULL, NULL, NULL, NULL, 'SULFOQUINOVOSE IMPORTER-RELATED', 143876),
(200151, 'PTHR32467:SF133', NULL, NULL, NULL, NULL, 'BNAA08G15790D PROTEIN', 143877),
(200152, 'PTHR45632:SF12', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 15', 143878),
(200153, 'PTHR10155:SF9', NULL, NULL, NULL, NULL, 'CYTOKINE-INDUCIBLE SH2-CONTAINING PROTEIN', 143879),
(200154, 'PTHR45735:SF6', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR SUBUNIT 2', 143880),
(200155, 'PTHR13452:SF10', NULL, NULL, NULL, NULL, 'THUMP DOMAIN-CONTAINING PROTEIN 1', 143881),
(200156, 'PTHR15710:SF113', NULL, NULL, NULL, NULL, 'OS10G0487400 PROTEIN', 143882),
(200157, 'PTHR12741:SF68', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 11', 143883),
(200158, 'PTHR14063:SF5', NULL, NULL, NULL, NULL, 'PROTEIN LIN-7 HOMOLOG C', 143884),
(200159, 'PTHR31989:SF169', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 83-LIKE', 143885),
(200160, 'PTHR42820:SF4', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', 143886),
(200161, 'PTHR35114:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143887),
(200162, 'PTHR15040:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143888),
(200163, 'PTHR21258', NULL, NULL, NULL, NULL, 'DOCKING PROTEIN RELATED', 143889),
(200164, 'PTHR45621:SF35', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL3-RELATED', 143890),
(200165, 'PTHR42073:SF1', NULL, NULL, NULL, NULL, 'MEIOTIC EXPRESSION UP-REGULATED PROTEIN 6', 143891),
(200166, 'PTHR31989:SF362', NULL, NULL, NULL, NULL, 'BNACNNG20180D PROTEIN', 143892),
(200167, 'PTHR10314:SF200', NULL, NULL, NULL, NULL, 'PYRIDOXAL-PHOSPHATE DEPENDENT PROTEIN F13B12.4-RELATED', 143893),
(200168, 'PTHR46586:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143894),
(200169, 'PTHR23291:SF39', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 2', 143895),
(200170, 'PTHR46776:SF3', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 4', 143896),
(200171, 'PTHR19303:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143897),
(200172, 'PTHR33508:SF10', NULL, NULL, NULL, NULL, 'UPF0056 INNER MEMBRANE PROTEIN YHGN', 143898),
(200173, 'PTHR10388', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR SUI1', 143899),
(200174, 'PTHR31767', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-LIKE SUBUNIT', 143900),
(200175, 'PTHR27007:SF230', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', 143901),
(200176, 'PTHR23050:SF433', NULL, NULL, NULL, NULL, 'EF-HAND SUPERFAMILY CA2+-MODULATED PROTEIN (AFU_ORTHOLOGUE AFUA_5G13630)', 143902),
(200177, 'PTHR24249:SF391', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143903),
(200178, 'PTHR34457:SF3', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 2410', 143904),
(200179, 'PTHR34224:SF12', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 1-LIKE', 143905),
(200180, 'PTHR34112:SF13', NULL, NULL, NULL, NULL, 'C-JUN-AMINO-TERMINAL KINASE-INTERACTING PROTEIN', 143906),
(200181, 'PTHR20884:SF21', NULL, NULL, NULL, NULL, 'GDP-L-GALACTOSE PHOSPHORYLASE 1', 143907),
(200182, 'PTHR32227:SF20', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 6', 143908),
(200183, 'PTHR23079:SF35', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 143909),
(200184, 'PTHR43119:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORT PROTEIN ATP-BINDING COMPONENT-RELATED', 143910),
(200185, 'PTHR42705', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NON-HOMOLOGOUS END JOINING PROTEIN LIGD', 143911),
(200186, 'PTHR31676:SF126', NULL, NULL, NULL, NULL, 'BNAA03G59570D PROTEIN', 143912),
(200187, 'PTHR32468:SF123', NULL, NULL, NULL, NULL, 'BNAA04G18610D PROTEIN', 143913),
(200188, 'PTHR31870:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-183I3.9-RELATED', 143914),
(200189, 'PTHR11481:SF98', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE PROTEIN 6', 143915),
(200190, 'PTHR19447:SF15', NULL, NULL, NULL, NULL, 'KHDC3-LIKE PROTEIN', 143916),
(200191, 'PTHR35394:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143917),
(200192, 'PTHR45614:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143918),
(200193, 'PTHR43899:SF10', NULL, NULL, NULL, NULL, '20BETA-HYDROXYSTEROID DEHYDROGENASE TYPE 2', 143919);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(200194, 'PTHR11941:SF45', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 1, MITOCHONDRIAL', 143920),
(200195, 'PTHR10794:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143921),
(200196, 'PTHR11417:SF12', NULL, NULL, NULL, NULL, 'PROLACTIN-2A1', 143922),
(200197, 'PTHR31048:SF136', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1B', 143923),
(200198, 'PTHR27006:SF185', NULL, NULL, NULL, NULL, 'BNAA05G14440D PROTEIN', 143924),
(200199, 'PTHR35545:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143925),
(200200, 'PTHR31871:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143926),
(200201, 'PTHR14588', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 10', 143927),
(200202, 'PTHR34574:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143928),
(200203, 'PTHR10026:SF13', NULL, NULL, NULL, NULL, 'LD24704P', 143929),
(200204, 'PTHR32285:SF148', NULL, NULL, NULL, NULL, 'TRICHOME BIREFRINGENCE-LIKE 20', 143930),
(200205, 'PTHR31623:SF71', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', 143931),
(200206, 'PTHR33167:SF29', NULL, NULL, NULL, NULL, 'T28K15.14 PROTEIN', 143932),
(200207, 'PTHR10867:SF38', NULL, NULL, NULL, NULL, 'AMINE N-METHYLTRANSFERASE', 143933),
(200208, 'PTHR43625:SF59', NULL, NULL, NULL, NULL, 'PERAKINE REDUCTASE-RELATED', 143934),
(200209, 'PTHR43903:SF12', NULL, NULL, NULL, NULL, 'ESTERASE-6-LIKE PROTEIN', 143935),
(200210, 'PTHR35083:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-91P5.3-RELATED', 143936),
(200211, 'PTHR48024:SF2', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A0A-RELATED', 143937),
(200212, 'PTHR47265:SF3', NULL, NULL, NULL, NULL, 'BNAA08G25720D PROTEIN', 143938),
(200213, 'PTHR31731:SF76', NULL, NULL, NULL, NULL, 'AIR1A-LIKE PROTEIN', 143939),
(200214, 'PTHR46910:SF20', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 143940),
(200215, 'PTHR47074:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143941),
(200216, 'PTHR22571:SF25', NULL, NULL, NULL, NULL, 'HORNERIN', 143942),
(200217, 'PTHR45648:SF73', NULL, NULL, NULL, NULL, 'BNAA08G07360D PROTEIN', 143943),
(200218, 'PTHR24247:SF31', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 2B', 143944),
(200219, 'PTHR47969:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME-ASSOCIATED KINESIN KIF4A-LIKE PROTEIN', 143945),
(200220, 'PTHR24291:SF141', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4F8', 143946),
(200221, 'PTHR13274:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S25, MITOCHONDRIAL', 143947),
(200222, 'PTHR30445:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM REGULATOR, FUSED TO TRKA-C DOMAIN-RELATED', 143948),
(200223, 'PTHR24089:SF699', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN-RELATED', 143949),
(200224, 'PTHR11567:SF104', NULL, NULL, NULL, NULL, 'INTESTINAL ACID PHOSPHATASE', 143950),
(200225, 'PTHR10994:SF143', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B1', 143951),
(200226, 'PTHR31636:SF45', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 13', 143952),
(200227, 'PTHR16059:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143953),
(200228, 'PTHR31852:SF0', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 13', 143954),
(200229, 'PTHR46539:SF14', NULL, NULL, NULL, NULL, 'BNAA08G30720D PROTEIN', 143955),
(200230, 'PTHR45620:SF27', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE/PARATHYROID HORMONE-RELATED PEPTIDE RECEPTOR', 143956),
(200231, 'PTHR24028:SF259', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-B5', 143957),
(200232, 'PTHR11802:SF207', NULL, NULL, NULL, NULL, 'S1, PUTATIVE-RELATED', 143958),
(200233, 'PTHR23033:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143959),
(200234, 'PTHR23505:SF70', NULL, NULL, NULL, NULL, 'OLIGOSACCHARIDE TRANSFERASE1', 143960),
(200235, 'PTHR12839', NULL, NULL, NULL, NULL, 'NONSENSE-MEDIATED MRNA DECAY PROTEIN 2  UP-FRAMESHIFT SUPPRESSOR 2', 143961),
(200236, 'PTHR18901:SF44', NULL, NULL, NULL, NULL, 'OS01G0757900 PROTEIN', 143962),
(200237, 'PTHR11802:SF324', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 143963),
(200238, 'PTHR47947:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', 143964);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(200239, 'PTHR34672:SF6', NULL, NULL, NULL, NULL, 'BNAC04G02280D PROTEIN', 143965),
(200240, 'PTHR31086:SF65', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 9', 143966),
(200241, 'PTHR48014:SF13', NULL, NULL, NULL, NULL, 'STE20-RELATED KINASE ADAPTER PROTEIN BETA', 143967),
(200242, 'PTHR26450:SF17', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 143968),
(200243, 'PTHR31384:SF119', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 143969),
(200244, 'PTHR11579:SF18', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE', 143970),
(200245, 'PTHR31992:SF219', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.5', 143971),
(200246, 'PTHR10315:SF87', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 143972),
(200247, 'PTHR45749:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143973),
(200248, 'PTHR33644:SF5', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 62', 143974),
(200249, 'PTHR33065:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143975),
(200250, 'PTHR12290:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 4', 143976),
(200251, 'PTHR46288:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 143977),
(200252, 'PTHR22937:SF172', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 143978),
(200253, 'PTHR23060:SF1', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE TEX14', 143979),
(200254, 'PTHR12321:SF141', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 3-LIKE ISOFORM X1', 143980),
(200255, 'PTHR43663:SF2', NULL, NULL, NULL, NULL, 'CHROMATE TRANSPORT PROTEIN-RELATED', 143981),
(200256, 'PTHR11394:SF129', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 31', 143982),
(200257, 'PTHR23421:SF150', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 143983),
(200258, 'PTHR37978', NULL, NULL, NULL, NULL, 'PROTEIN CBG22381-RELATED', 143984),
(200259, 'PTHR24044:SF422', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN B', 143985),
(200260, 'PTHR46506:SF40', NULL, NULL, NULL, NULL, 'JACALIN-LIKE LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', 143986),
(200261, 'PTHR35258:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 22', 143987),
(200262, 'PTHR10190:SF7', NULL, NULL, NULL, NULL, 'EYES ABSENT HOMOLOG 2', 143988),
(200263, 'PTHR26453:SF587', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 143989),
(200264, 'PTHR34576:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 143990),
(200265, 'PTHR32282:SF25', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 1F', 143991),
(200266, 'PTHR12398:SF24', NULL, NULL, NULL, NULL, 'OS02G0602300 PROTEIN', 143992),
(200267, 'PTHR12067:SF5', NULL, NULL, NULL, NULL, 'PODOCALYXIN', 143993),
(200268, 'PTHR31365:SF17', NULL, NULL, NULL, NULL, 'COPPER ION BINDING PROTEIN-RELATED', 143994),
(200269, 'PTHR35271:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, SUBSTRATE-BINDING LIPOPROTEIN-RELATED', 143995),
(200270, 'PTHR34458:SF7', NULL, NULL, NULL, NULL, 'OS07G0674400 PROTEIN', 143996),
(200271, 'PTHR14107', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN', 143997),
(200272, 'PTHR13546:SF15', NULL, NULL, NULL, NULL, 'RE60986P', 143998),
(200273, 'PTHR31843:SF11', NULL, NULL, NULL, NULL, 'ALLENE OXIDE CYCLASE 4, CHLOROPLASTIC', 143999),
(200274, 'PTHR28375:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HINDERIN', 144000),
(200275, 'PTHR33447:SF8', NULL, NULL, NULL, NULL, 'GLUTATHIONE GAMMA-GLUTAMYLCYSTEINYLTRANSFERASE 2', 144001),
(200276, 'PTHR20905:SF28', NULL, NULL, NULL, NULL, 'GH28833P-RELATED', 144002),
(200277, 'PTHR48003', NULL, NULL, NULL, NULL, 'OS07G0626500 PROTEIN', 144003),
(200278, 'PTHR10903:SF151', NULL, NULL, NULL, NULL, 'SI:DKEYP-52C3.2', 144004),
(200279, 'PTHR23334:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144005),
(200280, 'PTHR14759:SF26', NULL, NULL, NULL, NULL, 'ERYTHROCYTE MEMBRANE-ASSOCIATED GIANT PROTEIN ANTIGEN 332 CONTAINING PROTEIN', 144006),
(200281, 'PTHR33065:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144007),
(200282, 'PTHR19384:SF93', NULL, NULL, NULL, NULL, 'PUTATIVE SULFITE REDUCTASE BETA SUBUNIT-HEMOPROTEIN,FERREDOXIN OXIDOREDUCTASE (EUROFUNG)-RELATED', 144008); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(200283, 'PTHR38934:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144009),
(200284, 'PTHR15615:SF90', NULL, NULL, NULL, NULL, 'CYCLIN 10', 144010),
(200285, 'PTHR11863:SF3', NULL, NULL, NULL, NULL, 'SPHINGOLIPID C4-HYDROXYLASE SUR2', 144011),
(200286, 'PTHR31651:SF25', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER-RELATED', 144012),
(200287, 'PTHR31235:SF301', NULL, NULL, NULL, NULL, 'PEROXIDASE', 144013),
(200288, 'PTHR24075:SF11', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN ERDJ2A-LIKE ISOFORM X1', 144014),
(200289, 'PTHR47322:SF18', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 144015),
(200290, 'PTHR11066:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144016),
(200291, 'PTHR46884', NULL, NULL, NULL, NULL, 'COLLECTRIN', 144017),
(200292, 'PTHR30204:SF63', NULL, NULL, NULL, NULL, 'MERR FAMILY REGULATORY PROTEIN', 144018),
(200293, 'PTHR15574:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144019),
(200294, 'PTHR31009:SF99', NULL, NULL, NULL, NULL, 'SAM DEPENDENT CARBOXYL METHYLTRANSFERASE-RELATED', 144020),
(200295, 'PTHR30523:SF28', NULL, NULL, NULL, NULL, 'OS08G0366000 PROTEIN', 144021),
(200296, 'PTHR32419:SF25', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE (EUROFUNG)', 144022),
(200297, 'PTHR44086:SF1', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE/RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 3', 144023),
(200298, 'PTHR31213:SF89', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN STH-2-LIKE', 144024),
(200299, 'PTHR11946:SF71', NULL, NULL, NULL, NULL, 'VARS2-RELATED', 144025),
(200300, 'PTHR23301:SF63', NULL, NULL, NULL, NULL, 'CHONDROITIN PROTEOGLYCAN 1', 144026),
(200301, 'PTHR33065:SF22', NULL, NULL, NULL, NULL, 'OS11G0104220 PROTEIN', 144027),
(200302, 'PTHR19306:SF6', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 6', 144028),
(200303, 'PTHR47999:SF41', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN P', 144029),
(200304, 'PTHR10795:SF384', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.6', 144030),
(200305, 'PTHR43558:SF2', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10540)-RELATED', 144031),
(200306, 'PTHR45650:SF5', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 144032),
(200307, 'PTHR23403:SF3', NULL, NULL, NULL, NULL, 'TREHALASE', 144033),
(200308, 'PTHR33326:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144034),
(200309, 'PTHR33784:SF37', NULL, NULL, NULL, NULL, 'BNAA03G53670D PROTEIN', 144035),
(200310, 'PTHR46559:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 11', 144036),
(200311, 'PTHR47992:SF109', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', 144037),
(200312, 'PTHR24177:SF238', NULL, NULL, NULL, NULL, 'OS06G0292100 PROTEIN', 144038),
(200313, 'PTHR23339:SF98', NULL, NULL, NULL, NULL, 'PRL-1 PHOSPHATASE, ISOFORM A', 144039),
(200314, 'PTHR11607:SF39', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE D-RELATED', 144040),
(200315, 'PTHR42869:SF1', NULL, NULL, NULL, NULL, 'SLL0572 PROTEIN', 144041),
(200316, 'PTHR13088:SF3', NULL, NULL, NULL, NULL, 'FAS APOPTOTIC INHIBITORY MOLECULE 1', 144042),
(200317, 'PTHR34341', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 107', 144043),
(200318, 'PTHR11472:SF34', NULL, NULL, NULL, NULL, 'REGULATOR OF TELOMERE ELONGATION HELICASE 1', 144044),
(200319, 'PTHR46225:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 144045),
(200320, 'PTHR23164:SF19', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE-TYPE CONTAINING 1', 144046),
(200321, 'PTHR39490:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN', 144047),
(200322, 'PTHR24177:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144048),
(200323, 'PTHR19818:SF69', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZIC 5', 144049),
(200324, 'PTHR10442', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', 144050),
(200325, 'PTHR37534:SF5', NULL, NULL, NULL, NULL, 'C6 ZINC FINGER DOMAIN-CONTAINING PROTEIN', 144051),
(200326, 'PTHR46296:SF8', NULL, NULL, NULL, NULL, 'BNAA05G37250D PROTEIN', 144052);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(200327, 'PTHR18945:SF757', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-2', 144053),
(200328, 'PTHR11474:SF112', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE D, CHLOROPLASTIC', 144054),
(200329, 'PTHR31579:SF60', NULL, NULL, NULL, NULL, 'BNAC03G21670D PROTEIN', 144055),
(200330, 'PTHR23055:SF91', NULL, NULL, NULL, NULL, 'NEUROCALCIN HOMOLOG', 144056),
(200331, 'PTHR18966:SF100', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 4', 144057),
(200332, 'PTHR14336:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144058),
(200333, 'PTHR11814:SF120', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER SULP-7D', 144059),
(200334, 'PTHR23278:SF26', NULL, NULL, NULL, NULL, 'AGAP003305-PA', 144060),
(200335, 'PTHR23055:SF81', NULL, NULL, NULL, NULL, 'RECOVERIN FAMILY PROTEIN DDB_G0272130', 144061),
(200336, 'PTHR17149:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN 2', 144062),
(200337, 'PTHR46293:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP1-LIKE', 144063),
(200338, 'PTHR31218:SF348', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 144064),
(200339, 'PTHR12341:SF64', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE 2', 144065),
(200340, 'PTHR33644:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 144066),
(200341, 'PTHR48019:SF101', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN SVP ISOFORM X1', 144067),
(200342, 'PTHR11627:SF54', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 144068),
(200343, 'PTHR12482:SF49', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 144069),
(200344, 'PTHR23128:SF138', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 144070),
(200345, 'PTHR11827', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12, CATION COTRANSPORTERS', 144071),
(200346, 'PTHR45934:SF8', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT URATE HYDROXYLASE-LIKE ISOFORM X1', 144072),
(200347, 'PTHR14947:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 781', 144073),
(200348, 'PTHR31692:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144074),
(200349, 'PTHR32093:SF146', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 3', 144075),
(200350, 'PTHR11467:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144076),
(200351, 'PTHR10429:SF0', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE', 144077),
(200352, 'PTHR47169', NULL, NULL, NULL, NULL, 'OS01G0541250 PROTEIN', 144078),
(200353, 'PTHR32093:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144079),
(200354, 'PTHR43313:SF33', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 1', 144080),
(200355, 'PTHR31929:SF103', NULL, NULL, NULL, NULL, 'BNAANNG24400D PROTEIN', 144081),
(200356, 'PTHR31741:SF80', NULL, NULL, NULL, NULL, 'BNAC02G03690D PROTEIN', 144082),
(200357, 'PTHR43625:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144083),
(200358, 'PTHR45621:SF72', NULL, NULL, NULL, NULL, 'BNAC02G17010D PROTEIN', 144084),
(200359, 'PTHR22975:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144085),
(200360, 'PTHR22538:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 74', 144086),
(200361, 'PTHR23222:SF30', NULL, NULL, NULL, NULL, 'PROHIBITIN COMPLEX PROTEIN', 144087),
(200362, 'PTHR12822:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YIPF2', 144088),
(200363, 'PTHR31639:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144089),
(200364, 'PTHR48045:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 144090),
(200365, 'PTHR34959:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144091),
(200366, 'PTHR13061:SF42', NULL, NULL, NULL, NULL, 'BNAA06G13770D PROTEIN', 144092),
(200367, 'PTHR30272', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-[ACYL-CARRIER-PROTEIN] DEHYDRATASE', 144093),
(200368, 'PTHR10681:SF111', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-1', 144094),
(200369, 'PTHR21427', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS PROTEIN COQ9, MITOCHONDRIAL', 144095),
(200370, 'PTHR34892:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE CATALYTIC SUBUNIT-RELATED / V-ATPASE-RELATED / VACUOLAR PROTON PUMP-RELATED', 144096);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(200371, 'PTHR38167', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 144097),
(200372, 'PTHR11668:SF470', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 144098),
(200373, 'PTHR12270:SF25', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE PROTEIN LARGE', 144099),
(200374, 'PTHR24103:SF641', NULL, NULL, NULL, NULL, 'SI:DKEY-18P12.4', 144100),
(200375, 'PTHR13318:SF128', NULL, NULL, NULL, NULL, 'F-BOX PLANT-LIKE PROTEIN', 144101),
(200376, 'PTHR20889:SF21', NULL, NULL, NULL, NULL, 'BNAANNG30500D PROTEIN', 144102),
(200377, 'PTHR11863:SF152', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 1', 144103),
(200378, 'PTHR10165:SF155', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 1', 144104),
(200379, 'PTHR12323:SF0', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS ENDOPLASMIC RETICULUM PROTEIN', 144105),
(200380, 'PTHR46359:SF2', NULL, NULL, NULL, NULL, 'GEO07743P1', 144106),
(200381, 'PTHR24240:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144107),
(200382, 'PTHR24281:SF95', NULL, NULL, NULL, NULL, 'TRANS-CINNAMATE 4-MONOOXYGENASE', 144108),
(200383, 'PTHR24043:SF0', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS F MEMBER 1', 144109),
(200384, 'PTHR43620:SF24', NULL, NULL, NULL, NULL, 'BNAA02G12730D PROTEIN', 144110),
(200385, 'PTHR14119:SF5', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE DOMAIN-CONTAINING PROTEIN 2B', 144111),
(200386, 'PTHR10272:SF6', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE 2, CYTOPLASMIC', 144112),
(200387, 'PTHR24373:SF343', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 3CA', 144113),
(200388, 'PTHR38025:SF1', NULL, NULL, NULL, NULL, 'TRP OPERON REPRESSOR', 144114),
(200389, 'PTHR24305:SF198', NULL, NULL, NULL, NULL, 'CYTOCHROME', 144115),
(200390, 'PTHR19849', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A-2-ACTIVATING PROTEIN', 144116),
(200391, 'PTHR40099:SF1', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE, SMALL SUBUNIT', 144117),
(200392, 'PTHR35243:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144118),
(200393, 'PTHR23294:SF13', NULL, NULL, NULL, NULL, 'PLUGGED EXCRETORY PORE', 144119),
(200394, 'PTHR24225:SF5', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 33-RELATED', 144120),
(200395, 'PTHR22977:SF6', NULL, NULL, NULL, NULL, 'COX ASSEMBLY MITOCHONDRIAL PROTEIN', 144121),
(200396, 'PTHR26374:SF331', NULL, NULL, NULL, NULL, 'OS05G0114400 PROTEIN', 144122),
(200397, 'PTHR48002:SF24', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K3', 144123),
(200398, 'PTHR23032:SF17', NULL, NULL, NULL, NULL, 'BNAC09G43170D PROTEIN', 144124),
(200399, 'PTHR33143:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144125),
(200400, 'PTHR27008:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144126),
(200401, 'PTHR12411:SF779', NULL, NULL, NULL, NULL, 'BNAA02G06390D PROTEIN', 144127),
(200402, 'PTHR31394:SF2', NULL, NULL, NULL, NULL, 'BNAA02G10570D PROTEIN', 144128),
(200403, 'PTHR11266:SF82', NULL, NULL, NULL, NULL, 'PXMP2/4 FAMILY PROTEIN 4', 144129),
(200404, 'PTHR47977:SF44', NULL, NULL, NULL, NULL, 'RAB7L1 PROTEIN', 144130),
(200405, 'PTHR43952:SF57', NULL, NULL, NULL, NULL, 'OS02G0706400 PROTEIN', 144131),
(200406, 'PTHR23024:SF414', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 13-RELATED', 144132),
(200407, 'PTHR33155:SF42', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 2-LIKE', 144133),
(200408, 'PTHR13439:SF20', NULL, NULL, NULL, NULL, 'PROTEIN FAM57A', 144134),
(200409, 'PTHR34659:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144135),
(200410, 'PTHR33374:SF34', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 22', 144136),
(200411, 'PTHR33021:SF365', NULL, NULL, NULL, NULL, 'LAMIN-LIKE PROTEIN', 144137),
(200412, 'PTHR11972:SF39', NULL, NULL, NULL, NULL, 'NADPH OXIDASE 1', 144138),
(200413, 'PTHR21716:SF21', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YHHT-RELATED', 144139),
(200414, 'PTHR12243:SF44', NULL, NULL, NULL, NULL, 'LD04047P', 144140),
(200415, 'PTHR28657:SF3', NULL, NULL, NULL, NULL, 'INDOLEAMINE 2,3-DIOXYGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_7G02010)', 144141),
(200416, 'PTHR23110:SF95', NULL, NULL, NULL, NULL, 'LONGITUDINALS LACKING PROTEIN-LIKE-RELATED', 144142);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(200417, 'PTHR16189:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144143),
(200418, 'PTHR11961:SF43', NULL, NULL, NULL, NULL, 'CYTOCHROME C', 144144),
(200419, 'PTHR10424', NULL, NULL, NULL, NULL, 'VIRAL ENVELOPE PROTEIN', 144145),
(200420, 'PTHR31549:SF138', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', 144146),
(200421, 'PTHR43836:SF2', NULL, NULL, NULL, NULL, 'CATECHOL O-METHYLTRANSFERASE 1-RELATED', 144147),
(200422, 'PTHR16040:SF6', NULL, NULL, NULL, NULL, 'BOREALIN', 144148),
(200423, 'PTHR27008:SF313', NULL, NULL, NULL, NULL, 'OS11G0173432 PROTEIN', 144149),
(200424, 'PTHR24356:SF228', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 144150),
(200425, 'PTHR23322:SF87', NULL, NULL, NULL, NULL, 'POLYPOSIS COLI PROTEIN, PUTATIVE-RELATED', 144151),
(200426, 'PTHR31561:SF146', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 144152),
(200427, 'PTHR35096:SF11', NULL, NULL, NULL, NULL, 'BNAC08G44720D PROTEIN', 144153),
(200428, 'PTHR11567:SF135', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATASE', 144154),
(200429, 'PTHR36884:SF5', NULL, NULL, NULL, NULL, 'BNAC09G33570D PROTEIN', 144155),
(200430, 'PTHR10574:SF27', NULL, NULL, NULL, NULL, 'NETRIN-G2', 144156),
(200431, 'PTHR31476:SF6', NULL, NULL, NULL, NULL, 'EMB|CAB68190.1', 144157),
(200432, 'PTHR11309:SF97', NULL, NULL, NULL, NULL, 'SECRETED FRIZZLED-RELATED PROTEIN 3', 144158),
(200433, 'PTHR38465:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MJ1563-RELATED', 144159),
(200434, 'PTHR31623:SF20', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', 144160),
(200435, 'PTHR31218:SF216', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 144161),
(200436, 'PTHR22640:SF2', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES FLEXIBLE HINGE DOMAIN-CONTAINING PROTEIN 1', 144162),
(200437, 'PTHR43353:SF7', NULL, NULL, NULL, NULL, 'SUCCINATE SEMIALDEHYDE DEHYDROGENASE (EUROFUNG)', 144163),
(200438, 'PTHR23024:SF531', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1L2', 144164),
(200439, 'PTHR43563:SF11', NULL, NULL, NULL, NULL, 'AMINE OXIDASE [FLAVIN-CONTAINING] A', 144165),
(200440, 'PTHR14499:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144166),
(200441, 'PTHR13832:SF547', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C, PUTATIVE-RELATED', 144167),
(200442, 'PTHR43679:SF2', NULL, NULL, NULL, NULL, 'OCTANOYLTRANSFERASE LIPM', 144168),
(200443, 'PTHR12549:SF4', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE HAIRLESS', 144169),
(200444, 'PTHR33285:SF49', NULL, NULL, NULL, NULL, 'GROWTH FACTOR', 144170),
(200445, 'PTHR10314:SF176', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE, CHLOROPLASTIC-LIKE ISOFORM X1', 144171),
(200446, 'PTHR43895:SF124', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 144172),
(200447, 'PTHR33021:SF375', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 2-RELATED', 144173),
(200448, 'PTHR12656', NULL, NULL, NULL, NULL, 'BRG-1 ASSOCIATED FACTOR 250  BAF250', 144174),
(200449, 'PTHR22870:SF212', NULL, NULL, NULL, NULL, 'OS05G0384800 PROTEIN', 144175),
(200450, 'PTHR47293:SF41', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 2-RELATED', 144176),
(200451, 'PTHR35660:SF2', NULL, NULL, NULL, NULL, 'SERINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING 2', 144177),
(200452, 'PTHR47958:SF57', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DBP3', 144178),
(200453, 'PTHR14516:SF1', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT FAMILY ORPHAN 2', 144179),
(200454, 'PTHR47688:SF1', NULL, NULL, NULL, NULL, 'NLR FAMILY CARD DOMAIN-CONTAINING PROTEIN 4', 144180),
(200455, 'PTHR12768:SF7', NULL, NULL, NULL, NULL, 'BECLIN-1-LIKE PROTEIN A', 144181),
(200456, 'PTHR31421:SF5', NULL, NULL, NULL, NULL, 'PROTEIN BARLEY B RECOMBINANT', 144182),
(200457, 'PTHR42695:SF12', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL PEPTIDASE 4', 144183),
(200458, 'PTHR15507:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 292', 144184),
(200459, 'PTHR23266:SF250', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 4-4', 144185),
(200460, 'PTHR36066:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH144', 144186);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(200461, 'PTHR33021:SF362', NULL, NULL, NULL, NULL, 'PEELING CUPREDOXIN, PUTATIVE-RELATED', 144187),
(200462, 'PTHR46448:SF3', NULL, NULL, NULL, NULL, 'EXTRACELLULAR TYROSINE-PROTEIN KINASE PKDCC', 144188),
(200463, 'PTHR47093', NULL, NULL, NULL, NULL, 'PROTEIN JSN1-RELATED', 144189),
(200464, 'PTHR21248', NULL, NULL, NULL, NULL, 'CARDIOLIPIN SYNTHASE', 144190),
(200465, 'PTHR47848:SF2', NULL, NULL, NULL, NULL, 'BNAC06G02390D PROTEIN', 144191),
(200466, 'PTHR45636:SF19', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-2', 144192),
(200467, 'PTHR31607:SF12', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II LARGEST SUBUNIT-RELATED PROTEIN', 144193),
(200468, 'PTHR13944', NULL, NULL, NULL, NULL, 'AGAP007712-PA', 144194),
(200469, 'PTHR43829:SF4', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', 144195),
(200470, 'PTHR24115:SF941', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 144196),
(200471, 'PTHR13047:SF3', NULL, NULL, NULL, NULL, 'PRE-MRNA CLEAVAGE FACTOR IM 25 KDA SUBUNIT 2', 144197),
(200472, 'PTHR12765:SF7', NULL, NULL, NULL, NULL, 'PROTEIN RED', 144198),
(200473, 'PTHR12956:SF61', NULL, NULL, NULL, NULL, 'DUF616 FAMILY PROTEIN', 144199),
(200474, 'PTHR11552:SF155', NULL, NULL, NULL, NULL, 'ECDYSONE OXIDASE-RELATED', 144200),
(200475, 'PTHR24281:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144201),
(200476, 'PTHR47997:SF32', NULL, NULL, NULL, NULL, 'BNACNNG68780D PROTEIN', 144202),
(200477, 'PTHR13718:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144203),
(200478, 'PTHR11654:SF405', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER PLANT', 144204),
(200479, 'PTHR33871:SF8', NULL, NULL, NULL, NULL, 'OS03G0582800 PROTEIN', 144205),
(200480, 'PTHR14918', NULL, NULL, NULL, NULL, 'KICSTOR COMPLEX PROTEIN SZT2', 144206),
(200481, 'PTHR35348:SF1', NULL, NULL, NULL, NULL, 'TESTIS, PROSTATE AND PLACENTA-EXPRESSED PROTEIN', 144207),
(200482, 'PTHR27001:SF540', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN-RELATED', 144208),
(200483, 'PTHR11802:SF392', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 144209),
(200484, 'PTHR31190:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144210),
(200485, 'PTHR24006:SF663', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 36', 144211),
(200486, 'PTHR15071:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144212),
(200487, 'PTHR43546:SF5', NULL, NULL, NULL, NULL, 'L-ASCORBATE-6-PHOSPHATE LACTONASE ULAG-RELATED', 144213),
(200488, 'PTHR21245:SF13', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF', 144214),
(200489, 'PTHR10252:SF98', NULL, NULL, NULL, NULL, 'HISTONE SUPERFAMILY PROTEIN', 144215),
(200490, 'PTHR34156:SF8', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', 144216),
(200491, 'PTHR31906:SF22', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 9, CHLOROPLASTIC-RELATED', 144217),
(200492, 'PTHR24381:SF19', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 705G-RELATED', 144218),
(200493, 'PTHR33545:SF3', NULL, NULL, NULL, NULL, 'UPF0750 MEMBRANE PROTEIN YQFU', 144219),
(200494, 'PTHR43918:SF4', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 144220),
(200495, 'PTHR13233:SF10', NULL, NULL, NULL, NULL, 'OS07G0190900 PROTEIN', 144221),
(200496, 'PTHR23320:SF96', NULL, NULL, NULL, NULL, 'CHANDRA PROTEIN-RELATED', 144222),
(200497, 'PTHR46931:SF8', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN-RELATED', 144223),
(200498, 'PTHR46002:SF6', NULL, NULL, NULL, NULL, 'CALCINEURIN B HOMOLOGOUS PROTEIN 2', 144224),
(200499, 'PTHR34459:SF3', NULL, NULL, NULL, NULL, 'OS01G0264500 PROTEIN', 144225),
(200500, 'PTHR23056:SF123', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 4', 144226),
(200501, 'PTHR30540:SF121', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 3-RELATED', 144227),
(200502, 'PTHR12411:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144228),
(200503, 'PTHR23509:SF22', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 3', 144229),
(200504, 'PTHR45838:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE 2A', 144230);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(200505, 'PTHR46560:SF6', NULL, NULL, NULL, NULL, 'ZYE', 144231),
(200506, 'PTHR31729:SF7', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF008', 144232),
(200507, 'PTHR46971:SF4', NULL, NULL, NULL, NULL, 'OS08G0442300 PROTEIN', 144233),
(200508, 'PTHR14987', NULL, NULL, NULL, NULL, 'PROTEIN LBH-RELATED', 144234),
(200509, 'PTHR14499:SF10', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD6', 144235),
(200510, 'PTHR23147', NULL, NULL, NULL, NULL, 'SERINE/ARGININE RICH SPLICING FACTOR', 144236),
(200511, 'PTHR33085:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144237),
(200512, 'PTHR36503', NULL, NULL, NULL, NULL, 'BLR2520 PROTEIN', 144238),
(200513, 'PTHR39757:SF5', NULL, NULL, NULL, NULL, 'LYCOPENE BETA CYCLASE CHLOROPLASTIC', 144239),
(200514, 'PTHR45794:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144240),
(200515, 'PTHR24221:SF482', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 10', 144241),
(200516, 'PTHR12696:SF1', NULL, NULL, NULL, NULL, 'CULLIN-ASSOCIATED NEDD8-DISSOCIATED PROTEIN 1', 144242),
(200517, 'PTHR43884:SF25', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', 144243),
(200518, 'PTHR10574:SF79', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT GAMMA-1', 144244),
(200519, 'PTHR47976:SF33', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 144245),
(200520, 'PTHR42973:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144246),
(200521, 'PTHR48047:SF97', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 144247),
(200522, 'PTHR24211:SF19', NULL, NULL, NULL, NULL, 'PRICKLE PLANAR CELL POLARITY PROTEIN 3', 144248),
(200523, 'PTHR14379:SF39', NULL, NULL, NULL, NULL, 'BNAC02G03350D PROTEIN', 144249),
(200524, 'PTHR10791:SF167', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 144250),
(200525, 'PTHR33309:SF5', NULL, NULL, NULL, NULL, 'MICROSOMAL DIPEPTIDASE FAMILY PROTEIN', 144251),
(200526, 'PTHR37888:SF8', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 144252),
(200527, 'PTHR47956:SF7', NULL, NULL, NULL, NULL, 'OS05G0515200 PROTEIN', 144253),
(200528, 'PTHR12646', NULL, NULL, NULL, NULL, 'NOT56 - RELATED', 144254),
(200529, 'PTHR10489:SF618', NULL, NULL, NULL, NULL, 'C-X-C CHEMOKINE RECEPTOR TYPE 5', 144255),
(200530, 'PTHR45963:SF2', NULL, NULL, NULL, NULL, 'RE52028P', 144256),
(200531, 'PTHR12802:SF111', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 5', 144257),
(200532, 'PTHR46937:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144258),
(200533, 'PTHR14275:SF0', NULL, NULL, NULL, NULL, 'PROMETHIN', 144259),
(200534, 'PTHR43875:SF13', NULL, NULL, NULL, NULL, 'TREHALOSE IMPORT ATP-BINDING PROTEIN SUGC', 144260),
(200535, 'PTHR47075:SF2', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 144261),
(200536, 'PTHR23077:SF69', NULL, NULL, NULL, NULL, 'TRANSITIONAL ENDOPLASMIC RETICULUM ATPASE', 144262),
(200537, 'PTHR24300:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144263),
(200538, 'PTHR47928:SF21', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN CHLOROPLASTIC', 144264),
(200539, 'PTHR46034:SF7', NULL, NULL, NULL, NULL, 'INFLUENZA VIRUS NS1A-BINDING PROTEIN', 144265),
(200540, 'PTHR11003:SF73', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 144266),
(200541, 'PTHR24253:SF86', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 3', 144267),
(200542, 'PTHR47966:SF40', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEASE 3', 144268),
(200543, 'PTHR24373:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144269),
(200544, 'PTHR10996:SF234', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3', 144270),
(200545, 'PTHR11857:SF46', NULL, NULL, NULL, NULL, 'GEO07291P1-RELATED', 144271),
(200546, 'PTHR43165', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE', 144272),
(200547, 'PTHR32444:SF69', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-13', 144273),
(200548, 'PTHR42884:SF3', NULL, NULL, NULL, NULL, 'FURIN-LIKE PROTEASE 1, ISOFORMS 1/1-X/2', 144274);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(200549, 'PTHR32018:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144275),
(200550, 'PTHR46266:SF7', NULL, NULL, NULL, NULL, 'BNAA09G51900D PROTEIN', 144276),
(200551, 'PTHR31969:SF37', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 6-RELATED', 144277),
(200552, 'PTHR34670:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 144278),
(200553, 'PTHR33098:SF3', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', 144279),
(200554, 'PTHR15036:SF46', NULL, NULL, NULL, NULL, 'CONTACTIN-ASSOCIATED PROTEIN-LIKE 5', 144280),
(200555, 'PTHR31232:SF107', NULL, NULL, NULL, NULL, 'BNAA02G28510D PROTEIN', 144281),
(200556, 'PTHR31669:SF211', NULL, NULL, NULL, NULL, 'OS02G0608300 PROTEIN', 144282),
(200557, 'PTHR24067:SF300', NULL, NULL, NULL, NULL, 'BNAA09G34960D PROTEIN', 144283),
(200558, 'PTHR23327:SF6', NULL, NULL, NULL, NULL, 'LON PEPTIDASE N-TERMINAL DOMAIN AND RING FINGER 1', 144284),
(200559, 'PTHR44329:SF151', NULL, NULL, NULL, NULL, 'ACT-LIKE TYROSINE KINASE FAMILY PROTEIN', 144285),
(200560, 'PTHR35097:SF2', NULL, NULL, NULL, NULL, 'OS10G0438300 PROTEIN', 144286),
(200561, 'PTHR43557:SF12', NULL, NULL, NULL, NULL, 'MONODEHYDROASCORBATE REDUCTASE 3, CYTOSOLIC', 144287),
(200562, 'PTHR23320:SF135', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 6A', 144288),
(200563, 'PTHR31065:SF49', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', 144289),
(200564, 'PTHR32370:SF136', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 144290),
(200565, 'PTHR44259:SF28', NULL, NULL, NULL, NULL, 'BNAA04G19220D PROTEIN', 144291),
(200566, 'PTHR31448:SF41', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 5-RELATED', 144292),
(200567, 'PTHR33605:SF9', NULL, NULL, NULL, NULL, 'EARLY NODULIN-RELATED', 144293),
(200568, 'PTHR33220', NULL, NULL, NULL, NULL, 'BNAA09G04420D PROTEIN', 144294),
(200569, 'PTHR10658:SF40', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 1', 144295),
(200570, 'PTHR34192:SF11', NULL, NULL, NULL, NULL, 'PLASTOCYANIN', 144296),
(200571, 'PTHR25466:SF9', NULL, NULL, NULL, NULL, 'VARIABLE REGION-CONTAINING CHITIN-BINDING PROTEIN 4', 144297),
(200572, 'PTHR31038:SF18', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 1, CHLOROPLASTIC', 144298),
(200573, 'PTHR26453:SF0', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13D1', 144299),
(200574, 'PTHR21229:SF21', NULL, NULL, NULL, NULL, 'OSJNBA0043L24.20 PROTEIN', 144300),
(200575, 'PTHR43716:SF1', NULL, NULL, NULL, NULL, 'D-2-HYDROXYGLUTARATE DEHYDROGENASE, MITOCHONDRIAL', 144301),
(200576, 'PTHR11579:SF0', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE(D-ASPARTATE) O-METHYLTRANSFERASE', 144302),
(200577, 'PTHR24421:SF50', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE DESK', 144303),
(200578, 'PTHR45619:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-1 CATALYTIC SUBUNIT-RELATED', 144304),
(200579, 'PTHR33377:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144305),
(200580, 'PTHR46611:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 144306),
(200581, 'PTHR36299:SF1', NULL, NULL, NULL, NULL, 'GH07892P-RELATED', 144307),
(200582, 'PTHR41523:SF7', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM SENSOR PROTEIN', 144308),
(200583, 'PTHR27002:SF809', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144309),
(200584, 'PTHR23026', NULL, NULL, NULL, NULL, 'NADPH NITROREDUCTASE', 144310),
(200585, 'PTHR31430:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG06031', 144311),
(200586, 'PTHR33207:SF64', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 144312),
(200587, 'PTHR24281:SF52', NULL, NULL, NULL, NULL, 'FLAVONOID 3'',5''-HYDROXYLASE 2-LIKE', 144313),
(200588, 'PTHR24096:SF367', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144314),
(200589, 'PTHR35736:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 144315),
(200590, 'PTHR18916:SF79', NULL, NULL, NULL, NULL, 'RESTIN HOMOLOG', 144316),
(200591, 'PTHR24034:SF133', NULL, NULL, NULL, NULL, 'MATRILIN 2', 144317),
(200592, 'PTHR12198:SF0', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN PROSPERO', 144318);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(200593, 'PTHR12673:SF253', NULL, NULL, NULL, NULL, 'RHOGEF DOMAIN CONTAINING PROTEIN', 144319),
(200594, 'PTHR45877:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIAH2', 144320),
(200595, 'PTHR35716:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144321),
(200596, 'PTHR36723:SF1', NULL, NULL, NULL, NULL, 'F22C12.19', 144322),
(200597, 'PTHR37756', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 144323),
(200598, 'PTHR12768:SF5', NULL, NULL, NULL, NULL, 'BECLIN-2', 144324),
(200599, 'PTHR43019:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144325),
(200600, 'PTHR47976:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144326),
(200601, 'PTHR14143', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCIBLE GTPASE FAMILY MEMBER', 144327),
(200602, 'PTHR48010:SF60', NULL, NULL, NULL, NULL, 'BNAC06G13580D PROTEIN', 144328),
(200603, 'PTHR24332:SF16', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CDX-1', 144329),
(200604, 'PTHR34397:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144330),
(200605, 'PTHR10209:SF608', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144331),
(200606, 'PTHR24281:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144332),
(200607, 'PTHR45993:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 296', 144333),
(200608, 'PTHR22950:SF530', NULL, NULL, NULL, NULL, 'VACUOLAR AMINO ACID TRANSPORTER 3', 144334),
(200609, 'PTHR12560:SF51', NULL, NULL, NULL, NULL, 'ASC1-LIKE PROTEIN 1', 144335),
(200610, 'PTHR12542:SF96', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO70B1', 144336),
(200611, 'PTHR40866:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144337),
(200612, 'PTHR23501:SF173', NULL, NULL, NULL, NULL, 'TRIACYLGLYCERIDE TRANSPORTER RV1410C-RELATED', 144338),
(200613, 'PTHR33741:SF3', NULL, NULL, NULL, NULL, 'BNAA06G16970D PROTEIN', 144339),
(200614, 'PTHR31096:SF5', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR3', 144340),
(200615, 'PTHR23257:SF742', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE QKGA-RELATED', 144341),
(200616, 'PTHR48049:SF41', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 144342),
(200617, 'PTHR33511:SF19', NULL, NULL, NULL, NULL, 'OS01G0288800 PROTEIN', 144343),
(200618, 'PTHR26379:SF356', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 1-LIKE', 144344),
(200619, 'PTHR23101:SF110', NULL, NULL, NULL, NULL, 'BNAC09G47180D PROTEIN', 144345),
(200620, 'PTHR23275:SF93', NULL, NULL, NULL, NULL, 'HYPOTHETICAL TRANSMEMBRANE PROTEIN', 144346),
(200621, 'PTHR27006:SF297', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE KINASE', 144347),
(200622, 'PTHR31301:SF133', NULL, NULL, NULL, NULL, 'BNAC02G36230D PROTEIN', 144348),
(200623, 'PTHR47942:SF32', NULL, NULL, NULL, NULL, 'OS05G0393900 PROTEIN', 144349),
(200624, 'PTHR31734:SF135', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN', 144350),
(200625, 'PTHR17103:SF14', NULL, NULL, NULL, NULL, 'NEUREXOPHILIN-3', 144351),
(200626, 'PTHR30118:SF10', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 144352),
(200627, 'PTHR32191:SF80', NULL, NULL, NULL, NULL, 'BNAC05G14210D PROTEIN', 144353),
(200628, 'PTHR31929:SF60', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A', 144354),
(200629, 'PTHR46709:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG01609', 144355),
(200630, 'PTHR31260:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144356),
(200631, 'PTHR22914:SF39', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 2 (EUROFUNG)', 144357),
(200632, 'PTHR30011:SF16', NULL, NULL, NULL, NULL, 'C2H2 FINGER DOMAIN TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 144358),
(200633, 'PTHR19411:SF7', NULL, NULL, NULL, NULL, 'PROTEIN BUD31 HOMOLOG 1', 144359),
(200634, 'PTHR21646:SF2', NULL, NULL, NULL, NULL, 'GGNBP1 PROTEIN', 144360),
(200635, 'PTHR42647:SF35', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BOI', 144361),
(200636, 'PTHR46148:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, RETROTRANSPOSON GAG DOMAIN PROTEIN-RELATED', 144362),
(200637, 'PTHR21439:SF0', NULL, NULL, NULL, NULL, 'PROTEIN OSCP1', 144363),
(200638, 'PTHR10877:SF114', NULL, NULL, NULL, NULL, 'POLYCYSTIN-2', 144364);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(200639, 'PTHR13780:SF144', NULL, NULL, NULL, NULL, 'BNAA08G26660D PROTEIN', 144365),
(200640, 'PTHR21228:SF55', NULL, NULL, NULL, NULL, 'AGAP002598-PA', 144366),
(200641, 'PTHR13060:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ECDYSONELESS HOMOLOG', 144367),
(200642, 'PTHR42966', NULL, NULL, NULL, NULL, 'N-ACETYLNEURAMINATE SYNTHASE', 144368),
(200643, 'PTHR23077:SF52', NULL, NULL, NULL, NULL, 'TRANSITIONAL ENDOPLASMIC RETICULUM ATPASE HOMOLOG 1', 144369),
(200644, 'PTHR13367:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144370),
(200645, 'PTHR11875:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SET HOMOLOG', 144371),
(200646, 'PTHR44329:SF146', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SIS8-RELATED', 144372),
(200647, 'PTHR42886:SF6', NULL, NULL, NULL, NULL, 'SERINE O-SUCCINYLTRANSFERASE', 144373),
(200648, 'PTHR46611:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 144374),
(200649, 'PTHR48051:SF13', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 30A', 144375),
(200650, 'PTHR12876:SF2', NULL, NULL, NULL, NULL, 'PROTEIN NYNRIN', 144376),
(200651, 'PTHR23500:SF505', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', 144377),
(200652, 'PTHR21397:SF2', NULL, NULL, NULL, NULL, 'CHROMATIN COMPLEXES SUBUNIT BAP18', 144378),
(200653, 'PTHR23055:SF64', NULL, NULL, NULL, NULL, 'NEUROCALCIN-DELTA B', 144379),
(200654, 'PTHR19338:SF16', NULL, NULL, NULL, NULL, 'OS12G0553600 PROTEIN', 144380),
(200655, 'PTHR31636:SF255', NULL, NULL, NULL, NULL, 'BNAC08G45390D PROTEIN', 144381),
(200656, 'PTHR23119:SF33', NULL, NULL, NULL, NULL, 'DISKS LARGE HOMOLOG 4', 144382),
(200657, 'PTHR23030:SF30', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH 6-INTERACTING PROTEIN', 144383),
(200658, 'PTHR30419:SF23', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 144384),
(200659, 'PTHR10653:SF2', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA-2', 144385),
(200660, 'PTHR30251:SF4', NULL, NULL, NULL, NULL, 'SLR1668 PROTEIN', 144386),
(200661, 'PTHR33128:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144387),
(200662, 'PTHR33825', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN', 144388),
(200663, 'PTHR45638:SF8', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL BETA-3', 144389),
(200664, 'PTHR42921:SF4', NULL, NULL, NULL, NULL, 'ACETOACETYL-COA SYNTHASE (AFU_ORTHOLOGUE AFUA_8G04770)', 144390),
(200665, 'PTHR19317:SF42', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 144391),
(200666, 'PTHR26450:SF92', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51E2', 144392),
(200667, 'PTHR10464', NULL, NULL, NULL, NULL, 'UREA TRANSPORTER', 144393),
(200668, 'PTHR23428:SF274', NULL, NULL, NULL, NULL, 'HISTONE H2B', 144394),
(200669, 'PTHR14112:SF26', NULL, NULL, NULL, NULL, 'PROTEIN SSX1', 144395),
(200670, 'PTHR43004:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144396),
(200671, 'PTHR13620', NULL, NULL, NULL, NULL, '3-5 EXONUCLEASE', 144397),
(200672, 'PTHR23294:SF51', NULL, NULL, NULL, NULL, 'PROTEIN CBG01364', 144398),
(200673, 'PTHR22870:SF401', NULL, NULL, NULL, NULL, 'OS09G0560450 PROTEIN', 144399),
(200674, 'PTHR43670:SF20', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN, EXPRESSED', 144400),
(200675, 'PTHR34835:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144401),
(200676, 'PTHR43952:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144402),
(200677, 'PTHR28399:SF1', NULL, NULL, NULL, NULL, 'BARTTIN', 144403),
(200678, 'PTHR46182:SF1', NULL, NULL, NULL, NULL, 'DYSLEXIA-ASSOCIATED PROTEIN KIAA0319', 144404),
(200679, 'PTHR11730:SF107', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1 MEMBER 1', 144405),
(200680, 'PTHR24031:SF379', NULL, NULL, NULL, NULL, 'RNA HELICASE', 144406),
(200681, 'PTHR34208:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144407),
(200682, 'PTHR23222:SF20', NULL, NULL, NULL, NULL, 'PROHIBITIN-2, MITOCHONDRIAL-RELATED', 144408),
(200683, 'PTHR43811:SF17', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP16-3, CHLOROPLASTIC', 144409);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(200684, 'PTHR47322:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144410),
(200685, 'PTHR35485:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144411),
(200686, 'PTHR46462', NULL, NULL, NULL, NULL, 'UPSET, ISOFORM A', 144412),
(200687, 'PTHR48063:SF37', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', 144413),
(200688, 'PTHR10666:SF331', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-A', 144414),
(200689, 'PTHR12868', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE B22 SUBUNIT', 144415),
(200690, 'PTHR48101', NULL, NULL, NULL, NULL, 'METHYLMALONYL-COA MUTASE, MITOCHONDRIAL-RELATED', 144416),
(200691, 'PTHR47925:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144417),
(200692, 'PTHR31642:SF13', NULL, NULL, NULL, NULL, 'OS03G0682900 PROTEIN', 144418),
(200693, 'PTHR44520:SF1', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM REGULATORY PROTEIN', 144419),
(200694, 'PTHR10460:SF44', NULL, NULL, NULL, NULL, 'ABI FAMILY, MEMBER 3A', 144420),
(200695, 'PTHR31719:SF163', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 32', 144421),
(200696, 'PTHR33337:SF39', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G11530)', 144422),
(200697, 'PTHR46033:SF32', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 144423),
(200698, 'PTHR31985:SF190', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', 144424),
(200699, 'PTHR30618', NULL, NULL, NULL, NULL, 'NCS1 FAMILY PURINE/PYRIMIDINE TRANSPORTER', 144425),
(200700, 'PTHR22811:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144426),
(200701, 'PTHR43874:SF95', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR5', 144427),
(200702, 'PTHR21576:SF117', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER', 144428),
(200703, 'PTHR12103:SF22', NULL, NULL, NULL, NULL, 'HAD-SUPERFAMILY HYDROLASE, SUBFAMILY IG, 5''-NUCLEOTIDASE', 144429),
(200704, 'PTHR31562', NULL, NULL, NULL, NULL, 'PROTEIN CBG18972', 144430),
(200705, 'PTHR22803', NULL, NULL, NULL, NULL, 'MANNOSE, PHOSPHOLIPASE, LECTIN RECEPTOR RELATED', 144431),
(200706, 'PTHR22807:SF54', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 144432),
(200707, 'PTHR12928:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144433),
(200708, 'PTHR30160:SF19', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE HEPTOSYLTRANSFERASE 1', 144434),
(200709, 'PTHR36562:SF5', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX 2', 144435),
(200710, 'PTHR24300:SF332', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2U1', 144436),
(200711, 'PTHR45932:SF10', NULL, NULL, NULL, NULL, 'PATELLIN-3 PROTEIN', 144437),
(200712, 'PTHR12353:SF4', NULL, NULL, NULL, NULL, 'DISKS LARGE-ASSOCIATED PROTEIN 3', 144438),
(200713, 'PTHR11679:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144439),
(200714, 'PTHR35535:SF1', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSLJ', 144440),
(200715, 'PTHR23202:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144441),
(200716, 'PTHR35322:SF4', NULL, NULL, NULL, NULL, 'BNACNNG07400D PROTEIN', 144442),
(200717, 'PTHR31062:SF18', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 32-RELATED', 144443),
(200718, 'PTHR47989:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144444),
(200719, 'PTHR42859:SF10', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, ELECTRON TRANSFER SUBUNIT-RELATED', 144445),
(200720, 'PTHR31251:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144446),
(200721, 'PTHR23104:SF11', NULL, NULL, NULL, NULL, 'CELL GROWTH REGULATOR WITH EF HAND DOMAIN PROTEIN 1', 144447),
(200722, 'PTHR31867:SF89', NULL, NULL, NULL, NULL, 'EXPANSIN-A3', 144448),
(200723, 'PTHR33495:SF2', NULL, NULL, NULL, NULL, 'ANTI-SIGMA FACTOR ANTAGONIST TM_1081-RELATED', 144449),
(200724, 'PTHR11562:SF51', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 2', 144450),
(200725, 'PTHR24207:SF0', NULL, NULL, NULL, NULL, 'LIPOMA-PREFERRED PARTNER', 144451),
(200726, 'PTHR10826:SF36', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCOPROTEIN FAMILY PROTEIN', 144452),
(200727, 'PTHR11753:SF38', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', 144453);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(200728, 'PTHR10366:SF725', NULL, NULL, NULL, NULL, '3BETA-HYDROXYSTEROID-DEHYDROGENASE/DECARBOXYLASE ISOFORM 1', 144454),
(200729, 'PTHR11315:SF14', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL HYDROLASE A', 144455),
(200730, 'PTHR12062:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144456),
(200731, 'PTHR24082:SF497', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR', 144457),
(200732, 'PTHR11462:SF57', NULL, NULL, NULL, NULL, 'AP-1-LIKE TRANSCRIPTION FACTOR NAPA', 144458),
(200733, 'PTHR31165:SF49', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 2', 144459),
(200734, 'PTHR11062:SF295', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN-RELATED', 144460),
(200735, 'PTHR21245:SF4', NULL, NULL, NULL, NULL, 'DEAD END PROTEIN HOMOLOG 1', 144461),
(200736, 'PTHR39405', NULL, NULL, NULL, NULL, 'DSC E3 UBIQUITIN LIGASE COMPLEX SUBUNIT 4', 144462),
(200737, 'PTHR27002:SF345', NULL, NULL, NULL, NULL, 'OS10G0136400 PROTEIN', 144463),
(200738, 'PTHR32444:SF98', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN, S-LOCUS GLYCOPROTEIN DOMAIN, PAN/APPLE DOMAIN PROTEIN-RELATED', 144464),
(200739, 'PTHR23222:SF17', NULL, NULL, NULL, NULL, 'PROHIBITIN-3, MITOCHONDRIAL-RELATED', 144465),
(200740, 'PTHR47989:SF6', NULL, NULL, NULL, NULL, 'BNAA09G43810D PROTEIN', 144466),
(200741, 'PTHR33130:SF31', NULL, NULL, NULL, NULL, 'BNAA02G13750D PROTEIN', 144467),
(200742, 'PTHR47965:SF11', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN, EXPRESSED', 144468),
(200743, 'PTHR28629', NULL, NULL, NULL, NULL, 'TRIOKINASE/FMN CYCLASE', 144469),
(200744, 'PTHR37701', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 8', 144470),
(200745, 'PTHR21027:SF1', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN54', 144471),
(200746, 'PTHR45757:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG23364', 144472),
(200747, 'PTHR37625:SF4', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE LIPOPROTEIN-RELATED', 144473),
(200748, 'PTHR35701', NULL, NULL, NULL, NULL, 'OS11G0148400 PROTEIN', 144474),
(200749, 'PTHR36926', NULL, NULL, NULL, NULL, 'COLICIN V PRODUCTION PROTEIN', 144475),
(200750, 'PTHR16008:SF4', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 4', 144476),
(200751, 'PTHR23273:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144477),
(200752, 'PTHR37377', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE LARGE CHAIN', 144478),
(200753, 'PTHR33033:SF69', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 144479),
(200754, 'PTHR45863:SF32', NULL, NULL, NULL, NULL, 'BNAA05G29160D PROTEIN', 144480),
(200755, 'PTHR31775:SF5', NULL, NULL, NULL, NULL, 'REMORIN 1.4', 144481),
(200756, 'PTHR45878:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP4', 144482),
(200757, 'PTHR24329:SF547', NULL, NULL, NULL, NULL, 'PROP PAIRED-LIKE HOMEOBOX 1', 144483),
(200758, 'PTHR34777:SF12', NULL, NULL, NULL, NULL, 'BNAANNG35340D PROTEIN', 144484),
(200759, 'PTHR27007:SF355', NULL, NULL, NULL, NULL, 'BNAC03G30950D PROTEIN', 144485),
(200760, 'PTHR12715', NULL, NULL, NULL, NULL, 'TRANSPORTER, DRUG/METABOLITE EXPORTER FAMILY', 144486),
(200761, 'PTHR12461:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144487),
(200762, 'PTHR12365:SF8', NULL, NULL, NULL, NULL, 'PROTEIN SPROUTY HOMOLOG 2', 144488),
(200763, 'PTHR33349:SF11', NULL, NULL, NULL, NULL, 'PLANT CALMODULIN-BINDING PROTEIN-LIKE PROTEIN', 144489),
(200764, 'PTHR47911:SF1', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', 144490),
(200765, 'PTHR15497:SF1', NULL, NULL, NULL, NULL, '3-HYDROXYANTHRANILATE 3,4-DIOXYGENASE', 144491),
(200766, 'PTHR48065:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 144492),
(200767, 'PTHR33194', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE DOMAINCONTAINING PROTEIN', 144493),
(200768, 'PTHR15135:SF5', NULL, NULL, NULL, NULL, 'SH3 AND CYSTEINE-RICH DOMAIN-CONTAINING PROTEIN 2', 144494),
(200769, 'PTHR45659:SF11', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B7', 144495),
(200770, 'PTHR10438:SF408', NULL, NULL, NULL, NULL, 'BNAC06G25130D PROTEIN', 144496),
(200771, 'PTHR21229:SF12', NULL, NULL, NULL, NULL, 'PROTEIN GPR107', 144497);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(200772, 'PTHR31374:SF264', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', 144498),
(200773, 'PTHR40626:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02070)-RELATED', 144499),
(200774, 'PTHR11814:SF197', NULL, NULL, NULL, NULL, 'SLC26A/SULP TRANSPORTER-RELATED', 144500),
(200775, 'PTHR33193:SF44', NULL, NULL, NULL, NULL, 'BNAA05G31540D PROTEIN', 144501),
(200776, 'PTHR20889:SF20', NULL, NULL, NULL, NULL, 'OS01G0600500 PROTEIN', 144502),
(200777, 'PTHR24068:SF250', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 29', 144503),
(200778, 'PTHR38487:SF1', NULL, NULL, NULL, NULL, 'TESTIS EXPRESSED 11', 144504),
(200779, 'PTHR43418:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN TRPGD', 144505),
(200780, 'PTHR21660:SF8', NULL, NULL, NULL, NULL, 'OS02G0521700 PROTEIN', 144506),
(200781, 'PTHR37317:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144507),
(200782, 'PTHR31300:SF37', NULL, NULL, NULL, NULL, 'BNAA01G26070D PROTEIN', 144508),
(200783, 'PTHR23115:SF224', NULL, NULL, NULL, NULL, 'TRANSLATION ELONGATION/INITIATION FACTOR/RIBOSOMAL, BETA-BARREL', 144509),
(200784, 'PTHR23002:SF106', NULL, NULL, NULL, NULL, 'CELLULAR NUCLEIC ACID-BINDING PROTEIN', 144510),
(200785, 'PTHR43303', NULL, NULL, NULL, NULL, 'NADPH DEHYDROGENASE C23G7.10C-RELATED', 144511),
(200786, 'PTHR24233:SF11', NULL, NULL, NULL, NULL, 'SI:CH73-309G22.1', 144512),
(200787, 'PTHR33165:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144513),
(200788, 'PTHR10887:SF317', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE ECM32-RELATED', 144514),
(200789, 'PTHR15160:SF15', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NUCLEASE 1-LIKE ISOFORM X1', 144515),
(200790, 'PTHR43617:SF18', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, GNAT FAMILY PROTEIN', 144516),
(200791, 'PTHR10130:SF1', NULL, NULL, NULL, NULL, 'PEX5-RELATED PROTEIN', 144517),
(200792, 'PTHR30290:SF64', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERIPLASMIC BINDING PROTEIN-RELATED', 144518),
(200793, 'PTHR10209:SF448', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144519),
(200794, 'PTHR13780:SF122', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE SUBUNIT GAMMA-2', 144520),
(200795, 'PTHR34358:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144521),
(200796, 'PTHR20836:SF0', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE REDUCTASE 1, CHLOROPLASTIC-RELATED', 144522),
(200797, 'PTHR24392:SF37', NULL, NULL, NULL, NULL, 'RE1-SILENCING TRANSCRIPTION FACTOR', 144523),
(200798, 'PTHR33673:SF22', NULL, NULL, NULL, NULL, 'SMOOTHELIN-LIKE PROTEIN 1', 144524),
(200799, 'PTHR13874', NULL, NULL, NULL, NULL, 'ENDOTHELIN', 144525),
(200800, 'PTHR46521:SF2', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 3-RELATED', 144526),
(200801, 'PTHR10380:SF217', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 49AE-RELATED', 144527),
(200802, 'PTHR11349:SF54', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE 3', 144528),
(200803, 'PTHR47246:SF1', NULL, NULL, NULL, NULL, 'MUCIN-19', 144529),
(200804, 'PTHR10766:SF107', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 144530),
(200805, 'PTHR12276:SF50', NULL, NULL, NULL, NULL, 'EPSIN-2', 144531),
(200806, 'PTHR31589:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144532),
(200807, 'PTHR21595:SF1', NULL, NULL, NULL, NULL, 'CALMODULIN-REGULATED SPECTRIN-ASSOCIATED PROTEIN 2', 144533),
(200808, 'PTHR48105:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144534),
(200809, 'PTHR24188:SF29', NULL, NULL, NULL, NULL, 'GH09064P', 144535),
(200810, 'PTHR32093:SF139', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 144536),
(200811, 'PTHR24281:SF180', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A5', 144537),
(200812, 'PTHR47990:SF125', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-OXIDASE', 144538),
(200813, 'PTHR22951:SF16', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-BINDING CLATHRIN ASSEMBLY PROTEIN', 144539),
(200814, 'PTHR11061:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144540),
(200815, 'PTHR33829:SF5', NULL, NULL, NULL, NULL, 'BNAC09G28400D PROTEIN', 144541);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(200816, 'PTHR45714:SF60', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT4-LIKE', 144542),
(200817, 'PTHR34788:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144543),
(200818, 'PTHR13793:SF84', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE JADE-2', 144544),
(200819, 'PTHR11470', NULL, NULL, NULL, NULL, 'KAPPA CASEIN', 144545),
(200820, 'PTHR12266:SF17', NULL, NULL, NULL, NULL, 'CATION/CALCIUM EXCHANGER 3-LIKE', 144546),
(200821, 'PTHR31992:SF185', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.2', 144547),
(200822, 'PTHR11850:SF275', NULL, NULL, NULL, NULL, 'OS11G0158832 PROTEIN', 144548),
(200823, 'PTHR46284:SF8', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 144549),
(200824, 'PTHR31929:SF110', NULL, NULL, NULL, NULL, 'BNAA02G03910D PROTEIN', 144550),
(200825, 'PTHR46129:SF1', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN XIVB', 144551),
(200826, 'PTHR21562:SF60', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 5', 144552),
(200827, 'PTHR22953:SF125', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 144553),
(200828, 'PTHR45621:SF11', NULL, NULL, NULL, NULL, 'OS01G0822200 PROTEIN', 144554),
(200829, 'PTHR31374:SF273', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 144555),
(200830, 'PTHR31072:SF87', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP1', 144556),
(200831, 'PTHR45724:SF34', NULL, NULL, NULL, NULL, 'BNAC05G29150D PROTEIN', 144557),
(200832, 'PTHR43322:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144558),
(200833, 'PTHR47274:SF3', NULL, NULL, NULL, NULL, 'BNAC03G22670D PROTEIN', 144559),
(200834, 'PTHR45887', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT EPSILON', 144560),
(200835, 'PTHR36181:SF4', NULL, NULL, NULL, NULL, 'LAGLIDADG ENDONUCLEASE', 144561),
(200836, 'PTHR42865', NULL, NULL, NULL, NULL, 'PROTON/GLUTAMATE-ASPARTATE SYMPORTER', 144562),
(200837, 'PTHR20883:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144563),
(200838, 'PTHR12129:SF19', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE 2-O-SULFOTRANSFERASE PIPE-LIKE PROTEIN', 144564),
(200839, 'PTHR11206:SF363', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EXTRUSION PROTEIN', 144565),
(200840, 'PTHR45617:SF109', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 15', 144566),
(200841, 'PTHR11727:SF12', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE, MITOCHONDRIAL', 144567),
(200842, 'PTHR31579:SF65', NULL, NULL, NULL, NULL, 'BNAA09G43630D PROTEIN', 144568),
(200843, 'PTHR11017:SF408', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE ISOFORM X1', 144569),
(200844, 'PTHR33414:SF13', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 1-RELATED 1-LIKE', 144570),
(200845, 'PTHR42341', NULL, NULL, NULL, NULL, 'HYDROPHOBIN', 144571),
(200846, 'PTHR10106:SF43', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 FAMILY PROTEIN, EXPRESSED', 144572),
(200847, 'PTHR15892', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN L30', 144573),
(200848, 'PTHR44196:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7B', 144574),
(200849, 'PTHR24067:SF311', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME UBC9-LIKE', 144575),
(200850, 'PTHR24228:SF8', NULL, NULL, NULL, NULL, 'TYPE-2 ANGIOTENSIN II RECEPTOR', 144576),
(200851, 'PTHR19376:SF32', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC1', 144577),
(200852, 'PTHR13935:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144578),
(200853, 'PTHR11732:SF430', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE FAMILY OXIDOREDUCTASE', 144579),
(200854, 'PTHR46631:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE PROTEIN', 144580),
(200855, 'PTHR11176:SF26', NULL, NULL, NULL, NULL, 'OS06G0622900 PROTEIN', 144581),
(200856, 'PTHR24256:SF140', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 45-RELATED', 144582),
(200857, 'PTHR14677:SF28', NULL, NULL, NULL, NULL, 'ZINC FINGER AN1 AND C2H2 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 16', 144583),
(200858, 'PTHR31973:SF141', NULL, NULL, NULL, NULL, 'FAMILY TRANSPOSASE, PUTATIVE ISOFORM 1-RELATED', 144584);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(200859, 'PTHR12419:SF4', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 5', 144585),
(200860, 'PTHR48022:SF71', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G02650)-RELATED', 144586),
(200861, 'PTHR21064', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 144587),
(200862, 'PTHR38448', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN YLBF-RELATED', 144588),
(200863, 'PTHR48047:SF67', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 87A1-LIKE', 144589),
(200864, 'PTHR23172:SF34', NULL, NULL, NULL, NULL, 'CYCLIN-G-ASSOCIATED KINASE', 144590),
(200865, 'PTHR31044:SF71', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', 144591),
(200866, 'PTHR36617:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144592),
(200867, 'PTHR46684:SF13', NULL, NULL, NULL, NULL, 'BNAA01G23440D PROTEIN', 144593),
(200868, 'PTHR12677:SF50', NULL, NULL, NULL, NULL, 'BNAA09G50950D PROTEIN', 144594),
(200869, 'PTHR24388:SF78', NULL, NULL, NULL, NULL, 'PROTEIN CBG08450', 144595),
(200870, 'PTHR45637:SF10', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 144596),
(200871, 'PTHR33413:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144597),
(200872, 'PTHR48047:SF29', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 144598),
(200873, 'PTHR48043:SF57', NULL, NULL, NULL, NULL, 'GLUCOSYL TRANSFERASE-RELATED', 144599),
(200874, 'PTHR47640:SF9', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP47B', 144600),
(200875, 'PTHR13832:SF784', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144601),
(200876, 'PTHR43791:SF60', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17160)-RELATED', 144602),
(200877, 'PTHR10395:SF12', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN', 144603),
(200878, 'PTHR36748', NULL, NULL, NULL, NULL, 'MENTAL RETARDATION GTPASE ACTIVATING PROTEIN', 144604),
(200879, 'PTHR22835:SF599', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144605),
(200880, 'PTHR18966:SF507', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 144606),
(200881, 'PTHR24223:SF405', NULL, NULL, NULL, NULL, 'CANALICULAR MULTISPECIFIC ORGANIC ANION TRANSPORTER 2', 144607),
(200882, 'PTHR42760:SF99', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE 4-LIKE', 144608),
(200883, 'PTHR33181', NULL, NULL, NULL, NULL, 'OS01G0778500 PROTEIN', 144609),
(200884, 'PTHR47577', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 6', 144610),
(200885, 'PTHR22945:SF34', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 144611),
(200886, 'PTHR24418:SF408', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144612),
(200887, 'PTHR33681:SF14', NULL, NULL, NULL, NULL, 'ALGINATE LYASE', 144613),
(200888, 'PTHR12280:SF21', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE 3', 144614),
(200889, 'PTHR12622:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DTX4', 144615),
(200890, 'PTHR34873', NULL, NULL, NULL, NULL, 'SSR1766 PROTEIN', 144616),
(200891, 'PTHR31585:SF47', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 8, CHLOROPLASTIC-RELATED', 144617),
(200892, 'PTHR22935', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN', 144618),
(200893, 'PTHR31790:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144619),
(200894, 'PTHR24056:SF366', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', 144620),
(200895, 'PTHR31042:SF13', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-16-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 144621),
(200896, 'PTHR46680', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR ALPHA', 144622),
(200897, 'PTHR21523:SF34', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', 144623),
(200898, 'PTHR35814', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 144624),
(200899, 'PTHR34539:SF19', NULL, NULL, NULL, NULL, 'T6J4.11 PROTEIN', 144625),
(200900, 'PTHR33119:SF1', NULL, NULL, NULL, NULL, 'IFI3P', 144626),
(200901, 'PTHR14379:SF7', NULL, NULL, NULL, NULL, 'ENDONUCLEASE OR GLYCOSYL HYDROLASE WITH C2H2-TYPE ZINC FINGER DOMAIN-CONTAINING PROTEIN-RELATED', 144627),
(200902, 'PTHR11834:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ENHANCER FACTOR TEF-4', 144628);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(200903, 'PTHR34149:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11905', 144629),
(200904, 'PTHR21579:SF17', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', 144630),
(200905, 'PTHR11932:SF144', NULL, NULL, NULL, NULL, '1, PUTATIVE-RELATED', 144631),
(200906, 'PTHR11215:SF3', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PROTEIN HYDROLASE', 144632),
(200907, 'PTHR47997:SF1', NULL, NULL, NULL, NULL, 'OS01G0702700 PROTEIN', 144633),
(200908, 'PTHR34313:SF2', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP K MEMBER 113 ENV POLYPROTEIN-RELATED', 144634),
(200909, 'PTHR43046:SF5', NULL, NULL, NULL, NULL, 'SLL1537 PROTEIN', 144635),
(200910, 'PTHR10884', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE  UBIQUINONE  IRON-SULFUR PROTEIN 3', 144636),
(200911, 'PTHR13151:SF2', NULL, NULL, NULL, NULL, 'COREPRESSOR INTERACTING WITH RBPJ 1', 144637),
(200912, 'PTHR48106:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144638),
(200913, 'PTHR23257:SF763', NULL, NULL, NULL, NULL, 'RAF PROTO-ONCOGENE SERINE/THREONINE-PROTEIN KINASE', 144639),
(200914, 'PTHR43651:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144640),
(200915, 'PTHR31983:SF16', NULL, NULL, NULL, NULL, 'ENDO-1,3(4)-BETA-GLUCANASE ARB_01444 ISOFORM X1-RELATED', 144641),
(200916, 'PTHR40139:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TNT', 144642),
(200917, 'PTHR11132:SF377', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', 144643),
(200918, 'PTHR36866', NULL, NULL, NULL, NULL, 'CHROMOSOME 4 OPEN READING FRAME 50', 144644),
(200919, 'PTHR24099:SF8', NULL, NULL, NULL, NULL, 'FSD1-LIKE PROTEIN', 144645),
(200920, 'PTHR35882:SF2', NULL, NULL, NULL, NULL, 'PELA', 144646),
(200921, 'PTHR12483:SF96', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 5', 144647),
(200922, 'PTHR11879:SF51', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 144648),
(200923, 'PTHR12268:SF20', NULL, NULL, NULL, NULL, 'DYSTROBREVIN, ISOFORM F', 144649),
(200924, 'PTHR15976:SF17', NULL, NULL, NULL, NULL, 'CONSTITUTIVE COACTIVATOR OF PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR GAMMA', 144650),
(200925, 'PTHR10835:SF9', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE 3', 144651),
(200926, 'PTHR27002:SF556', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 35-RELATED', 144652),
(200927, 'PTHR27007:SF185', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.5-RELATED', 144653),
(200928, 'PTHR23024:SF387', NULL, NULL, NULL, NULL, 'RECEPTOR GID1, PUTATIVE-RELATED', 144654),
(200929, 'PTHR32063:SF63', NULL, NULL, NULL, NULL, 'EFFLUX PUMP MEMBRANE TRANSPORTER', 144655),
(200930, 'PTHR11141:SF22', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', 144656),
(200931, 'PTHR44051:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144657),
(200932, 'PTHR23430:SF235', NULL, NULL, NULL, NULL, 'HISTONE H2A', 144658),
(200933, 'PTHR11260:SF318', NULL, NULL, NULL, NULL, 'OS01G0692100 PROTEIN', 144659),
(200934, 'PTHR24350:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AURORA-3', 144660),
(200935, 'PTHR43051:SF1', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE ADENYLYLTRANSFERASE FAMILY PROTEIN', 144661),
(200936, 'PTHR23342:SF16', NULL, NULL, NULL, NULL, 'BNAC04G55460D PROTEIN', 144662),
(200937, 'PTHR45616:SF36', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CUTICULAR HB1', 144663),
(200938, 'PTHR23360:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 144664),
(200939, 'PTHR23155:SF1013', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN PIK6-NP', 144665),
(200940, 'PTHR13054', NULL, NULL, NULL, NULL, 'DIGEORGE SYNDROME CRITICAL REGION 6 DGCR6 FAMILY MEMBER', 144666),
(200941, 'PTHR23346:SF19', NULL, NULL, NULL, NULL, 'PROTEASOME ADAPTER AND SCAFFOLD PROTEIN ECM29', 144667),
(200942, 'PTHR45973:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT SDS22', 144668),
(200943, 'PTHR11132:SF445', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE/PHOSPHATE TRANSLOCATOR 2, CHLOROPLASTIC', 144669),
(200944, 'PTHR12138:SF118', NULL, NULL, NULL, NULL, 'PROTEIN PPP5D1', 144670);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(200945, 'PTHR10288:SF92', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR 2 MRNA-BINDING PROTEIN 1', 144671),
(200946, 'PTHR37815', NULL, NULL, NULL, NULL, 'UPF0397 PROTEIN BC_2624-RELATED', 144672),
(200947, 'PTHR43335:SF6', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 144673),
(200948, 'PTHR24039:SF42', NULL, NULL, NULL, NULL, 'FIBULIN-1', 144674),
(200949, 'PTHR14237:SF25', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL AMIDOXIME-REDUCING COMPONENT 1', 144675),
(200950, 'PTHR35972:SF1', NULL, NULL, NULL, NULL, 'SINGLE-PASS MEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 3', 144676),
(200951, 'PTHR36312:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144677),
(200952, 'PTHR24044:SF320', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN 4', 144678),
(200953, 'PTHR13817:SF120', NULL, NULL, NULL, NULL, 'KETTIN (DROSOPHILA ACTIN-BINDING) HOMOLOG', 144679),
(200954, 'PTHR47847:SF2', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 17', 144680),
(200955, 'PTHR47340', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 144681),
(200956, 'PTHR38096:SF1', NULL, NULL, NULL, NULL, 'ENTEROBACTIN SYNTHASE COMPONENT D', 144682),
(200957, 'PTHR48109:SF5', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE (QUINONE), MITOCHONDRIAL', 144683),
(200958, 'PTHR11603:SF155', NULL, NULL, NULL, NULL, 'MOXR PROTEIN', 144684),
(200959, 'PTHR23124:SF144', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 144685),
(200960, 'PTHR36303:SF1', NULL, NULL, NULL, NULL, '2'',3''-CYCLIC-NUCLEOTIDE 2''-PHOSPHODIESTERASE', 144686),
(200961, 'PTHR13383:SF11', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H2 SUBUNIT B', 144687),
(200962, 'PTHR10196:SF90', NULL, NULL, NULL, NULL, 'BNAA02G19720D PROTEIN', 144688),
(200963, 'PTHR23012:SF186', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN-RELATED', 144689),
(200964, 'PTHR37440:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG17853', 144690),
(200965, 'PTHR10337:SF2', NULL, NULL, NULL, NULL, 'SHC-TRANSFORMING PROTEIN 1', 144691),
(200966, 'PTHR11256:SF56', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 1', 144692),
(200967, 'PTHR47454', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 224', 144693),
(200968, 'PTHR14064', NULL, NULL, NULL, NULL, 'CHONDROMODULIN-RELATED', 144694),
(200969, 'PTHR23406:SF32', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT MALIC ENZYME 1, MITOCHONDRIAL', 144695),
(200970, 'PTHR45669:SF46', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN (GRX) FAMILY PROTEIN', 144696),
(200971, 'PTHR32114:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ABCH.3', 144697),
(200972, 'PTHR48022:SF26', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G11050)-RELATED', 144698),
(200973, 'PTHR23024:SF407', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144699),
(200974, 'PTHR48010:SF44', NULL, NULL, NULL, NULL, 'F16P17.10 PROTEIN', 144700),
(200975, 'PTHR38128', NULL, NULL, NULL, NULL, 'GAMETOCYTOGENESIS-IMPLICATED PROTEIN', 144701),
(200976, 'PTHR12622:SF41', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DTX3L', 144702),
(200977, 'PTHR27005:SF215', NULL, NULL, NULL, NULL, 'OS09G0562600 PROTEIN', 144703),
(200978, 'PTHR36022:SF1', NULL, NULL, NULL, NULL, 'GPI-ANCHORED ADHESIN-LIKE PROTEIN', 144704),
(200979, 'PTHR39136', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 11', 144705),
(200980, 'PTHR46895:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG05705', 144706),
(200981, 'PTHR19961:SF70', NULL, NULL, NULL, NULL, 'FIMBRIN-4', 144707),
(200982, 'PTHR11220:SF36', NULL, NULL, NULL, NULL, 'SOUL HEME-BINDING PROTEIN-RELATED', 144708),
(200983, 'PTHR11227:SF18', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN PHOSPHOINOSITIDE-INTERACTING PROTEIN 3', 144709),
(200984, 'PTHR10196:SF64', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE-LIKE 1', 144710),
(200985, 'PTHR21716:SF39', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YUBA-RELATED', 144711),
(200986, 'PTHR40787', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN', 144712),
(200987, 'PTHR11461:SF321', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR (SERPIN) FAMILY PROTEIN-RELATED', 144713);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(200988, 'PTHR15315:SF88', NULL, NULL, NULL, NULL, 'OS07G0661600 PROTEIN', 144714),
(200989, 'PTHR11465:SF50', NULL, NULL, NULL, NULL, 'CATALASE', 144715),
(200990, 'PTHR11017:SF423', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 144716),
(200991, 'PTHR36328', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 144717),
(200992, 'PTHR34395:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144718),
(200993, 'PTHR21524:SF5', NULL, NULL, NULL, NULL, 'SPECTRIN REPEAT CONTAINING NUCLEAR ENVELOPE PROTEIN 2', 144719),
(200994, 'PTHR11668:SF432', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 8', 144720),
(200995, 'PTHR19854:SF20', NULL, NULL, NULL, NULL, 'TRANSDUCIN BETA-LIKE PROTEIN 3', 144721),
(200996, 'PTHR46325:SF30', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN-RELATED', 144722),
(200997, 'PTHR31707:SF157', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 144723),
(200998, 'PTHR11590', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE', 144724),
(200999, 'PTHR22952:SF437', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 27', 144725),
(201000, 'PTHR10994:SF174', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 144726),
(201001, 'PTHR31219', NULL, NULL, NULL, NULL, 'CHROMOSOME 28 C12ORF29 HOMOLOG', 144727),
(201002, 'PTHR19375:SF418', NULL, NULL, NULL, NULL, '70 KDA HEAT SHOCK PROTEIN', 144728),
(201003, 'PTHR34132:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 144729),
(201004, 'PTHR43572:SF17', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPD1, CHLOROPLASTIC', 144730),
(201005, 'PTHR15951', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR-ASSOCIATED TRANSMEMBRANE ADAPTER 1', 144731),
(201006, 'PTHR11394:SF81', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 136', 144732),
(201007, 'PTHR27004:SF344', NULL, NULL, NULL, NULL, 'OSJNBA0044K18.34 PROTEIN', 144733),
(201008, 'PTHR11581:SF24', NULL, NULL, NULL, NULL, 'BNAC08G48360D PROTEIN', 144734),
(201009, 'PTHR36387', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYL-L-ALANYL-D-GLUTAMATE-2, 6-DIAMINOPIMELATE LIGASE', 144735),
(201010, 'PTHR33136:SF87', NULL, NULL, NULL, NULL, 'OS01G0201400 PROTEIN', 144736),
(201011, 'PTHR43859:SF32', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 6-RELATED', 144737),
(201012, 'PTHR40518', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 144738),
(201013, 'PTHR31642:SF268', NULL, NULL, NULL, NULL, 'BNACNNG39330D PROTEIN', 144739),
(201014, 'PTHR21437:SF1', NULL, NULL, NULL, NULL, 'WIDE AWAKE', 144740),
(201015, 'PTHR15651', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 8', 144741),
(201016, 'PTHR45678:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLUTAMATE CARRIER 2', 144742),
(201017, 'PTHR10970:SF1', NULL, NULL, NULL, NULL, 'CLUSTERIN', 144743),
(201018, 'PTHR21077:SF6', NULL, NULL, NULL, NULL, 'CROSSOVER JUNCTION ENDONUCLEASE EME2-RELATED', 144744),
(201019, 'PTHR31942:SF97', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 144745),
(201020, 'PTHR23105:SF156', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A-2', 144746),
(201021, 'PTHR11471:SF23', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR', 144747),
(201022, 'PTHR47958:SF24', NULL, NULL, NULL, NULL, 'DEAD (ASP-GLU-ALA-ASP) BOX HELICASE 21', 144748),
(201023, 'PTHR32343:SF35', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 13', 144749),
(201024, 'PTHR45855:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIL1', 144750),
(201025, 'PTHR47772', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 200', 144751),
(201026, 'PTHR11124:SF24', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 29', 144752),
(201027, 'PTHR10779', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN ROADBLOCK', 144753),
(201028, 'PTHR13778:SF60', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 144754),
(201029, 'PTHR33048:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144755),
(201030, 'PTHR43408:SF2', NULL, NULL, NULL, NULL, 'FMN REDUCTASE (NADPH)', 144756),
(201031, 'PTHR24326:SF300', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX13', 144757);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(201032, 'PTHR34052:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144758),
(201033, 'PTHR10194:SF26', NULL, NULL, NULL, NULL, 'DISABLED HOMOLOG 2-INTERACTING PROTEIN', 144759),
(201034, 'PTHR36462', NULL, NULL, NULL, NULL, 'CHROMOSOME 12 OPEN READING FRAME 71', 144760),
(201035, 'PTHR10715:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144761),
(201036, 'PTHR15394', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 144762),
(201037, 'PTHR10388:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144763),
(201038, 'PTHR10026:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144764),
(201039, 'PTHR31874:SF45', NULL, NULL, NULL, NULL, 'BNAC08G46470D PROTEIN', 144765),
(201040, 'PTHR32227:SF11', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', 144766),
(201041, 'PTHR47706', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY PROTEIN', 144767),
(201042, 'PTHR32134:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144768),
(201043, 'PTHR24238:SF22', NULL, NULL, NULL, NULL, 'CHOLECYSTOKININ RECEPTOR HOMOLOG', 144769),
(201044, 'PTHR23334:SF62', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN (C/EBP) 1', 144770),
(201045, 'PTHR31384:SF116', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 144771),
(201046, 'PTHR47972:SF26', NULL, NULL, NULL, NULL, 'KINESIN-4-LIKE', 144772),
(201047, 'PTHR43180:SF16', NULL, NULL, NULL, NULL, 'BACILYSIN BIOSYNTHESIS OXIDOREDUCTASE BACC', 144773),
(201048, 'PTHR13372:SF2', NULL, NULL, NULL, NULL, 'GEMININ COILED-COIL DOMAIN-CONTAINING PROTEIN 1', 144774),
(201049, 'PTHR11864:SF23', NULL, NULL, NULL, NULL, 'FF DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G08980)', 144775),
(201050, 'PTHR27006:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144776),
(201051, 'PTHR11193', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', 144777),
(201052, 'PTHR11926:SF1360', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 144778),
(201053, 'PTHR33021:SF374', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN', 144779),
(201054, 'PTHR31352:SF47', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 2, CHLOROPLASTIC', 144780),
(201055, 'PTHR24023:SF891', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XVII) CHAIN', 144781),
(201056, 'PTHR27008:SF248', NULL, NULL, NULL, NULL, 'OS02G0615800 PROTEIN', 144782),
(201057, 'PTHR31704:SF38', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 144783),
(201058, 'PTHR10335:SF16', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 36B-RELATED', 144784),
(201059, 'PTHR22647', NULL, NULL, NULL, NULL, 'SH3 DOMAIN AND TETRATRICOPEPTIDE REPEATS CONTAINING PROTEIN', 144785),
(201060, 'PTHR31674:SF56', NULL, NULL, NULL, NULL, 'BNAA01G34830D PROTEIN', 144786),
(201061, 'PTHR43651:SF4', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN-BRANCHING ENZYME 3, CHLOROPLASTIC/AMYLOPLASTIC', 144787),
(201062, 'PTHR19143:SF382', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144788),
(201063, 'PTHR22937:SF161', NULL, NULL, NULL, NULL, 'OS08G0241400 PROTEIN', 144789),
(201064, 'PTHR38847', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 144790),
(201065, 'PTHR23505:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SPINSTER HOMOLOG 2', 144791),
(201066, 'PTHR31374:SF54', NULL, NULL, NULL, NULL, 'OS08G0118500 PROTEIN', 144792),
(201067, 'PTHR23420:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144793),
(201068, 'PTHR13408:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144794),
(201069, 'PTHR38483:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 144795),
(201070, 'PTHR43297:SF3', NULL, NULL, NULL, NULL, 'OLIGO/DIPEPTIDE TRANSPORT, ATP BINDING PROTEIN (DPPD-1)', 144796),
(201071, 'PTHR33059:SF76', NULL, NULL, NULL, NULL, 'PROTEIN INCREASED RESISTANCE TO MYZUS PERSICAE 1', 144797),
(201072, 'PTHR34003:SF2', NULL, NULL, NULL, NULL, 'BLL2395 PROTEIN', 144798),
(201073, 'PTHR10624', NULL, NULL, NULL, NULL, 'UROKINASE PLASMINOGEN ACTIVATOR SURFACE RECEPTOR-RELATED', 144799),
(201074, 'PTHR46476', NULL, NULL, NULL, NULL, 'CHITINASE 2-LIKE', 144800),
(201075, 'PTHR24396:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 236', 144801);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(201076, 'PTHR14130', NULL, NULL, NULL, NULL, '3BP-1 RELATED RHOGAP', 144802),
(201077, 'PTHR12000:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144803),
(201078, 'PTHR37469', NULL, NULL, NULL, NULL, 'CELLOBIONIC ACID PHOSPHORYLASE-RELATED', 144804),
(201079, 'PTHR11731:SF98', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE 8', 144805),
(201080, 'PTHR23415:SF35', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT', 144806),
(201081, 'PTHR21297', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II', 144807),
(201082, 'PTHR21012', NULL, NULL, NULL, NULL, 'ASPARTATE 1-DECARBOXYLASE', 144808),
(201083, 'PTHR23235:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP9', 144809),
(201084, 'PTHR38787:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144810),
(201085, 'PTHR32444:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144811),
(201086, 'PTHR11654:SF455', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144812),
(201087, 'PTHR10091:SF31', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 144813),
(201088, 'PTHR24366:SF56', NULL, NULL, NULL, NULL, 'SLIT AND NTRK LIKE FAMILY MEMBER 6', 144814),
(201089, 'PTHR11062:SF304', NULL, NULL, NULL, NULL, 'GLUCURONOXYLAN GLUCURONOSYLTRANSFERASE F8H-RELATED', 144815),
(201090, 'PTHR46539:SF10', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL12-RELATED', 144816),
(201091, 'PTHR19288:SF46', NULL, NULL, NULL, NULL, 'HAD SUPERFAMILY PROTEIN INVOLVED IN N-ACETYL-GLUCOSAMINE CATABOLISM-LIKE', 144817),
(201092, 'PTHR40622', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 144818),
(201093, 'PTHR34152:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG23098', 144819),
(201094, 'PTHR31062:SF131', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 144820),
(201095, 'PTHR23262:SF173', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-5', 144821),
(201096, 'PTHR10161:SF44', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 144822),
(201097, 'PTHR30024:SF34', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, SUBSTRATE-BINDING LIPOPROTEIN-RELATED', 144823),
(201098, 'PTHR11588:SF106', NULL, NULL, NULL, NULL, 'TUBULIN BETA-6 CHAIN', 144824),
(201099, 'PTHR31929:SF93', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 144825),
(201100, 'PTHR31388:SF163', NULL, NULL, NULL, NULL, 'PEROXIDASE', 144826),
(201101, 'PTHR12475:SF4', NULL, NULL, NULL, NULL, 'PROTEIN THEM6', 144827),
(201102, 'PTHR12299:SF57', NULL, NULL, NULL, NULL, 'PLASMINOGEN ACTIVATOR INHIBITOR 1 RNA-BINDING PROTEIN-LIKE ISOFORM X1', 144828),
(201103, 'PTHR22847:SF605', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN CONTAINING 8', 144829),
(201104, 'PTHR31744:SF118', NULL, NULL, NULL, NULL, 'BNAA02G26420D PROTEIN', 144830),
(201105, 'PTHR12327:SF0', NULL, NULL, NULL, NULL, 'ALPHA-TUBULIN N-ACETYLTRANSFERASE 1', 144831),
(201106, 'PTHR47990:SF5', NULL, NULL, NULL, NULL, 'LEUCOANTHOCYANIDIN DIOXYGENASE-LIKE PROTEIN', 144832),
(201107, 'PTHR10218:SF205', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT ALPHA HOMOLOG', 144833),
(201108, 'PTHR33237:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144834),
(201109, 'PTHR23314', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 6  ARMADILLO REPEAT-CONTAINING', 144835),
(201110, 'PTHR10795:SF709', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144836),
(201111, 'PTHR10545:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144837),
(201112, 'PTHR43047:SF40', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE 5-RELATED', 144838),
(201113, 'PTHR43617:SF17', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', 144839),
(201114, 'PTHR10803:SF25', NULL, NULL, NULL, NULL, 'ARSENICAL PUMP-DRIVING ATPASE-RELATED', 144840),
(201115, 'PTHR11042:SF152', NULL, NULL, NULL, NULL, 'OS02G0722250 PROTEIN', 144841),
(201116, 'PTHR31236:SF49', NULL, NULL, NULL, NULL, 'BNAA06G39340D PROTEIN', 144842),
(201117, 'PTHR30433:SF4', NULL, NULL, NULL, NULL, 'MOTILITY PROTEIN A', 144843),
(201118, 'PTHR23262:SF206', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-1-RELATED', 144844),
(201119, 'PTHR43711:SF22', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN PFES', 144845);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(201120, 'PTHR13619', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 144846),
(201121, 'PTHR11358:SF35', NULL, NULL, NULL, NULL, 'FORMIMIDOYLGLUTAMASE', 144847),
(201122, 'PTHR35113:SF1', NULL, NULL, NULL, NULL, 'FERREDOXIN-THIOREDOXIN REDUCTASE CATALYTIC CHAIN, CHLOROPLASTIC', 144848),
(201123, 'PTHR24031:SF84', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-II', 144849),
(201124, 'PTHR21256:SF13', NULL, NULL, NULL, NULL, 'HISTIDINOL DEHYDROGENASE, CHLOROPLASTIC', 144850),
(201125, 'PTHR11909:SF387', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 144851),
(201126, 'PTHR11481', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN FC RECEPTOR', 144852),
(201127, 'PTHR13502:SF8', NULL, NULL, NULL, NULL, 'CDC42 SMALL EFFECTOR PROTEIN 2', 144853),
(201128, 'PTHR38653:SF1', NULL, NULL, NULL, NULL, 'GENE 572-RELATED', 144854),
(201129, 'PTHR31744:SF101', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 21/22', 144855),
(201130, 'PTHR46175:SF10', NULL, NULL, NULL, NULL, 'BNAA07G01250D PROTEIN', 144856),
(201131, 'PTHR16124', NULL, NULL, NULL, NULL, 'MIS18-BINDING PROTEIN 1', 144857),
(201132, 'PTHR24221:SF237', NULL, NULL, NULL, NULL, 'ANTIGEN PEPTIDE TRANSPORTER 2', 144858),
(201133, 'PTHR13255:SF0', NULL, NULL, NULL, NULL, 'ATAXIN-10', 144859),
(201134, 'PTHR27006:SF177', NULL, NULL, NULL, NULL, 'OSJNBA0093O08.1 PROTEIN', 144860),
(201135, 'PTHR21716:SF44', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN C9ORF5 PROTEIN', 144861),
(201136, 'PTHR24248:SF72', NULL, NULL, NULL, NULL, 'SEROTONIN/OCTOPAMINE RECEPTOR FAMILY', 144862),
(201137, 'PTHR18945:SF503', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 144863),
(201138, 'PTHR15298', NULL, NULL, NULL, NULL, 'L-COA N-ACYLTRANSFERASE-RELATED', 144864),
(201139, 'PTHR24177:SF291', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 144865),
(201140, 'PTHR43390:SF10', NULL, NULL, NULL, NULL, 'CHLOROPLAST PROCESSING PEPTIDASE-LIKE', 144866),
(201141, 'PTHR47976:SF55', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', 144867),
(201142, 'PTHR31920:SF33', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS11G0197600-LIKE', 144868),
(201143, 'PTHR11132:SF262', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE/UDP-GLUCOSE/GDP-MANNOSE TRANSPORTER', 144869),
(201144, 'PTHR22850:SF202', NULL, NULL, NULL, NULL, 'WD-40 REPEAT-CONTAINING PROTEIN MSI4', 144870),
(201145, 'PTHR45138:SF8', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCJ-RELATED', 144871),
(201146, 'PTHR47990:SF101', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 3', 144872),
(201147, 'PTHR38437', NULL, NULL, NULL, NULL, 'ENDOSPORE COAT-ASSOCIATED PROTEIN YHED-RELATED', 144873),
(201148, 'PTHR46490:SF3', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR 8 ISOFORM X1', 144874),
(201149, 'PTHR21049:SF3', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 1', 144875),
(201150, 'PTHR13774:SF25', NULL, NULL, NULL, NULL, 'BNAC03G30560D PROTEIN', 144876),
(201151, 'PTHR25952:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144877),
(201152, 'PTHR43597:SF2', NULL, NULL, NULL, NULL, 'SULFUR ACCEPTOR PROTEIN CSDE', 144878),
(201153, 'PTHR43155', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 144879),
(201154, 'PTHR42846', NULL, NULL, NULL, NULL, 'NI-SIROHYDROCHLORIN A,C-DIAMIDE REDUCTIVE CYCLASE COMPLEX, COMPONENT CFBD', 144880),
(201155, 'PTHR31116:SF34', NULL, NULL, NULL, NULL, 'GMP SYNTHASE [GLUTAMINE-HYDROLYZING] ISOFORM X1-RELATED', 144881),
(201156, 'PTHR43285:SF2', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE', 144882),
(201157, 'PTHR10258:SF3', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED POTASSIUM CHANNEL SUBUNIT BETA-4', 144883),
(201158, 'PTHR32444:SF81', NULL, NULL, NULL, NULL, 'PAN-LIKE DOMAIN PROTEIN', 144884),
(201159, 'PTHR33142:SF52', NULL, NULL, NULL, NULL, 'BNAC09G50580D PROTEIN', 144885),
(201160, 'PTHR33977:SF2', NULL, NULL, NULL, NULL, 'OS09G0309100 PROTEIN', 144886),
(201161, 'PTHR23114:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144887);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(201162, 'PTHR11188:SF14', NULL, NULL, NULL, NULL, 'THIOREDOXIN-INTERACTING PROTEIN', 144888),
(201163, 'PTHR45796:SF3', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN P1', 144889),
(201164, 'PTHR21443:SF0', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 7', 144890),
(201165, 'PTHR24067:SF157', NULL, NULL, NULL, NULL, 'FI11905P', 144891),
(201166, 'PTHR22872:SF2', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 1', 144892),
(201167, 'PTHR23257:SF822', NULL, NULL, NULL, NULL, 'INTEGRIN-LINKED KINASE', 144893),
(201168, 'PTHR43329:SF3', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE, EXPRESSED-RELATED', 144894),
(201169, 'PTHR13817:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144895),
(201170, 'PTHR43078:SF12', NULL, NULL, NULL, NULL, 'OS01G0837300 PROTEIN', 144896),
(201171, 'PTHR23267:SF299', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 5-45', 144897),
(201172, 'PTHR33869:SF4', NULL, NULL, NULL, NULL, 'OS01G0754600 PROTEIN', 144898),
(201173, 'PTHR11566:SF179', NULL, NULL, NULL, NULL, 'BNAC06G13930D PROTEIN', 144899),
(201174, 'PTHR24051:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144900),
(201175, 'PTHR35727:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144901),
(201176, 'PTHR11465:SF51', NULL, NULL, NULL, NULL, 'PEROXISOMAL CATALASE A', 144902),
(201177, 'PTHR10219', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN-RELATED', 144903),
(201178, 'PTHR31683:SF84', NULL, NULL, NULL, NULL, 'PECTATE LYASE 8-RELATED', 144904),
(201179, 'PTHR35725:SF4', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 26', 144905),
(201180, 'PTHR14166:SF6', NULL, NULL, NULL, NULL, 'SLIT-ROBO RHO GTPASE-ACTIVATING PROTEIN 2-RELATED', 144906),
(201181, 'PTHR24092:SF46', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE ID', 144907),
(201182, 'PTHR15190:SF1', NULL, NULL, NULL, NULL, 'BONE MARROW STROMAL ANTIGEN 2', 144908),
(201183, 'PTHR48095:SF3', NULL, NULL, NULL, NULL, 'PYRUVATE CARBOXYLASE SUBUNIT A', 144909),
(201184, 'PTHR11264:SF0', NULL, NULL, NULL, NULL, 'URACIL-DNA GLYCOSYLASE', 144910),
(201185, 'PTHR12049', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 144911),
(201186, 'PTHR34038:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE MEMBRANE SUBUNIT DAPIT, MITOCHONDRIAL', 144912),
(201187, 'PTHR11417:SF11', NULL, NULL, NULL, NULL, 'PROLACTIN-4A1', 144913),
(201188, 'PTHR30265:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR NUSG DOMAIN PROTEIN', 144914),
(201189, 'PTHR46684:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MUTE', 144915),
(201190, 'PTHR34563:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144916),
(201191, 'PTHR31190:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144917),
(201192, 'PTHR10366:SF700', NULL, NULL, NULL, NULL, 'OS09G0262000 PROTEIN', 144918),
(201193, 'PTHR16056:SF15', NULL, NULL, NULL, NULL, 'REGULATOR OF MICROTUBULE DYNAMICS PROTEIN 2', 144919),
(201194, 'PTHR31001:SF58', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 144920),
(201195, 'PTHR10795:SF651', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.4-RELATED', 144921),
(201196, 'PTHR24296:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 704B1', 144922),
(201197, 'PTHR10264:SF113', NULL, NULL, NULL, NULL, 'STOMATIN-1', 144923),
(201198, 'PTHR11006:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 7', 144924),
(201199, 'PTHR33171', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 144925),
(201200, 'PTHR33730:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144926),
(201201, 'PTHR23033:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144927),
(201202, 'PTHR12197:SF269', NULL, NULL, NULL, NULL, 'PROTEIN LYSINE METHYLTRANSFERASE SET5-RELATED', 144928),
(201203, 'PTHR15427:SF34', NULL, NULL, NULL, NULL, 'PROTEIN HP-25 HOMOLOG 2', 144929),
(201204, 'PTHR48052:SF24', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE TDR', 144930),
(201205, 'PTHR33248', NULL, NULL, NULL, NULL, 'ZINC ION-BINDING PROTEIN', 144931),
(201206, 'PTHR23024:SF479', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE', 144932);
INSERT INTO "PUBLIC"."MODEL" VALUES
(201207, 'PTHR39217:SF1', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 144933),
(201208, 'PTHR22941:SF64', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 144934),
(201209, 'PTHR10108:SF1118', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE PROTEIN-LIKE', 144935),
(201210, 'PTHR11135', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE-RELATED', 144936),
(201211, 'PTHR24006:SF674', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 1', 144937),
(201212, 'PTHR11358', NULL, NULL, NULL, NULL, 'ARGINASE/AGMATINASE', 144938),
(201213, 'PTHR22597:SF20', NULL, NULL, NULL, NULL, 'BNAA01G18110D PROTEIN', 144939),
(201214, 'PTHR10088:SF5', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMIC ACID 6-PHOSPHATE ETHERASE', 144940),
(201215, 'PTHR11759:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144941),
(201216, 'PTHR36887:SF1', NULL, NULL, NULL, NULL, 'OS01G0532300 PROTEIN', 144942),
(201217, 'PTHR46304:SF3', NULL, NULL, NULL, NULL, 'GTF2I REPEAT DOMAIN CONTAINING 1', 144943),
(201218, 'PTHR31953:SF77', NULL, NULL, NULL, NULL, 'BNAA09G10570D PROTEIN', 144944),
(201219, 'PTHR23050:SF245', NULL, NULL, NULL, NULL, 'CALMODULIN-RELATED', 144945),
(201220, 'PTHR43189:SF1', NULL, NULL, NULL, NULL, 'ZINC-TYPE ALCOHOL DEHYDROGENASE-LIKE PROTEIN C1198.01', 144946),
(201221, 'PTHR11134:SF3', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT BETA', 144947),
(201222, 'PTHR11699:SF284', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT ALDEHYDE DEHYDROGENASE FAMILY PROTEIN', 144948),
(201223, 'PTHR13683:SF265', NULL, NULL, NULL, NULL, 'PROTEIN ASPARTIC PROTEASE IN GUARD CELL 2', 144949),
(201224, 'PTHR42865:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE TRANSPORTER SSTT', 144950),
(201225, 'PTHR31068', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 31', 144951),
(201226, 'PTHR19432:SF76', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 144952),
(201227, 'PTHR24115:SF913', NULL, NULL, NULL, NULL, 'KINESIN-RELATED PROTEIN 3', 144953),
(201228, 'PTHR48048:SF41', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 144954),
(201229, 'PTHR11627:SF74', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 144955),
(201230, 'PTHR43349:SF45', NULL, NULL, NULL, NULL, 'PINORESINOL-LARICIRESINOL REDUCTASE-LIKE PROTEIN', 144956),
(201231, 'PTHR43791:SF79', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 144957),
(201232, 'PTHR36520:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG21345', 144958),
(201233, 'PTHR13504:SF38', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE AQ_AA38-RELATED', 144959),
(201234, 'PTHR24340:SF37', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SLOU-RELATED', 144960),
(201235, 'PTHR32157:SF0', NULL, NULL, NULL, NULL, 'GENE 6268-RELATED', 144961),
(201236, 'PTHR23112:SF23', NULL, NULL, NULL, NULL, 'CYCLIC AMP RECEPTOR 1-RELATED', 144962),
(201237, 'PTHR10351:SF60', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', 144963),
(201238, 'PTHR31727:SF2', NULL, NULL, NULL, NULL, 'PALMITOYL-ACYL CARRIER PROTEIN THIOESTERASE, CHLOROPLASTIC', 144964),
(201239, 'PTHR31263:SF50', NULL, NULL, NULL, NULL, 'HYDROLYZING O-GLYCOSYL COMPOUNDS HYDROLASE', 144965),
(201240, 'PTHR10504:SF84', NULL, NULL, NULL, NULL, 'BACTERICIDAL PERMEABILITY-INCREASING PROTEIN', 144966),
(201241, 'PTHR47942:SF25', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 144967),
(201242, 'PTHR43048', NULL, NULL, NULL, NULL, 'METHYLMALONYL-COA EPIMERASE', 144968),
(201243, 'PTHR32410:SF190', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', 144969),
(201244, 'PTHR33057:SF135', NULL, NULL, NULL, NULL, 'BNAC05G11020D PROTEIN', 144970),
(201245, 'PTHR34104:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 254', 144971),
(201246, 'PTHR11782:SF105', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', 144972),
(201247, 'PTHR34537', NULL, NULL, NULL, NULL, 'OS08G0459300 PROTEIN', 144973),
(201248, 'PTHR31707:SF340', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 144974),
(201249, 'PTHR11246:SF19', NULL, NULL, NULL, NULL, 'OS06G0235800 PROTEIN', 144975);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(201250, 'PTHR11815:SF11', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [GDP-FORMING] SUBUNIT BETA, MITOCHONDRIAL', 144976),
(201251, 'PTHR33676:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144977),
(201252, 'PTHR27005:SF29', NULL, NULL, NULL, NULL, 'OS01G0310500 PROTEIN', 144978),
(201253, 'PTHR36035:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144979),
(201254, 'PTHR36048', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION FACTOR', 144980),
(201255, 'PTHR19134:SF502', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE RECEPTOR TYPE DB', 144981),
(201256, 'PTHR45740:SF2', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 144982),
(201257, 'PTHR23214:SF1', NULL, NULL, NULL, NULL, 'NEUROFILAMENT HEAVY POLYPEPTIDE', 144983),
(201258, 'PTHR11977:SF108', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 144984),
(201259, 'PTHR27005:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 144985),
(201260, 'PTHR12126:SF13', NULL, NULL, NULL, NULL, 'BNAA09G43790D PROTEIN', 144986),
(201261, 'PTHR36733:SF3', NULL, NULL, NULL, NULL, 'BNAC01G20690D PROTEIN', 144987),
(201262, 'PTHR39224', NULL, NULL, NULL, NULL, 'IGA-INDUCING PROTEIN HOMOLOG', 144988),
(201263, 'PTHR23232:SF48', NULL, NULL, NULL, NULL, 'PROTEIN ZNF720-RELATED', 144989),
(201264, 'PTHR24020:SF49', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE XI, ALPHA 1A', 144990),
(201265, 'PTHR37359', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 253', 144991),
(201266, 'PTHR22298:SF153', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 144992),
(201267, 'PTHR31521:SF4', NULL, NULL, NULL, NULL, 'PROTEIN NARROW LEAF 1', 144993),
(201268, 'PTHR10177:SF344', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN-E', 144994),
(201269, 'PTHR10629:SF42', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE CMT1-RELATED', 144995),
(201270, 'PTHR32194', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TLDD', 144996),
(201271, 'PTHR32247:SF3', NULL, NULL, NULL, NULL, 'DIABLO HOMOLOG, MITOCHONDRIAL', 144997),
(201272, 'PTHR32382:SF60', NULL, NULL, NULL, NULL, 'ENDOSPERM SPECIFIC PROTEIN-LIKE', 144998),
(201273, 'PTHR13018:SF110', NULL, NULL, NULL, NULL, 'BNAA08G25990D PROTEIN', 144999),
(201274, 'PTHR31729:SF8', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF010', 145000),
(201275, 'PTHR11695', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE RELATED', 145001),
(201276, 'PTHR13713', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE', 145002),
(201277, 'PTHR16223:SF146', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH66', 145003),
(201278, 'PTHR13900:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 1', 145004),
(201279, 'PTHR20849:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-BINDING PROTEIN MEXTLI', 145005),
(201280, 'PTHR31496:SF36', NULL, NULL, NULL, NULL, 'OS08G0426866 PROTEIN', 145006),
(201281, 'PTHR43643', NULL, NULL, NULL, NULL, 'HISTIDINOL-PHOSPHATE AMINOTRANSFERASE 2', 145007),
(201282, 'PTHR47966:SF9', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE', 145008),
(201283, 'PTHR23236', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B/4H', 145009),
(201284, 'PTHR46596:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN-4', 145010),
(201285, 'PTHR24346:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145011),
(201286, 'PTHR46701', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE KOBITO 1', 145012),
(201287, 'PTHR35495:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145013),
(201288, 'PTHR21678:SF9', NULL, NULL, NULL, NULL, 'R3H DOMAIN AND COILED-COIL-CONTAINING 1-LIKE', 145014),
(201289, 'PTHR31808:SF7', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE (DUF760)-RELATED', 145015),
(201290, 'PTHR32077:SF44', NULL, NULL, NULL, NULL, 'OS08G0490600 PROTEIN', 145016),
(201291, 'PTHR31310', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 145017),
(201292, 'PTHR46599:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-130M23.5', 145018),
(201293, 'PTHR35587', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 145019),
(201294, 'PTHR24282:SF225', NULL, NULL, NULL, NULL, 'CYTOCHROME', 145020),
(201295, 'PTHR11850:SF102', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 1', 145021);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(201296, 'PTHR46011:SF26', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-22', 145022),
(201297, 'PTHR35987:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID REDOX INSENSITIVE 2, CHLOROPLASTIC', 145023),
(201298, 'PTHR45125:SF3', NULL, NULL, NULL, NULL, 'F21J9.4-RELATED', 145024),
(201299, 'PTHR21771:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIA-EATING PROTEIN', 145025),
(201300, 'PTHR37423', NULL, NULL, NULL, NULL, 'SOLUBLE LYTIC MUREIN TRANSGLYCOSYLASE-RELATED', 145026),
(201301, 'PTHR39599:SF1', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN (EUROFUNG)-RELATED', 145027),
(201302, 'PTHR16675:SF229', NULL, NULL, NULL, NULL, 'HLA CLASS I HISTOCOMPATIBILITY ANTIGEN, A-68 ALPHA CHAIN', 145028),
(201303, 'PTHR42748:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145029),
(201304, 'PTHR13890:SF45', NULL, NULL, NULL, NULL, 'MG2+ TRANSPORTER PROTEIN, CORA-LIKE/ZINC TRANSPORT PROTEIN ZNTB-RELATED', 145030),
(201305, 'PTHR36847:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145031),
(201306, 'PTHR43177', NULL, NULL, NULL, NULL, 'PROTEIN NRFC', 145032),
(201307, 'PTHR11254:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145033),
(201308, 'PTHR28441', NULL, NULL, NULL, NULL, 'PROTEIN FAM91A1', 145034),
(201309, 'PTHR11780:SF10', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN 1, MITOCHONDRIAL', 145035),
(201310, 'PTHR36407:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145036),
(201311, 'PTHR23077:SF146', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 145037),
(201312, 'PTHR48086:SF1', NULL, NULL, NULL, NULL, 'OSMOREGULATED PROLINE TRANSPORTER OPUE', 145038),
(201313, 'PTHR18860:SF102', NULL, NULL, NULL, NULL, 'BNAA05G18320D PROTEIN', 145039),
(201314, 'PTHR33137:SF32', NULL, NULL, NULL, NULL, 'BNAA09G02690D PROTEIN', 145040),
(201315, 'PTHR31682:SF30', NULL, NULL, NULL, NULL, 'BNAA01G33130D PROTEIN', 145041),
(201316, 'PTHR16516:SF4', NULL, NULL, NULL, NULL, 'AGAP007109-PA', 145042),
(201317, 'PTHR11946:SF94', NULL, NULL, NULL, NULL, 'OS10G0506200 PROTEIN', 145043),
(201318, 'PTHR35156:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 52', 145044),
(201319, 'PTHR10545:SF36', NULL, NULL, NULL, NULL, 'DIAMINE ACETYLTRANSFERASE 1', 145045),
(201320, 'PTHR33573:SF30', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2B1', 145046),
(201321, 'PTHR46991:SF23', NULL, NULL, NULL, NULL, 'BNAA01G17190D PROTEIN', 145047),
(201322, 'PTHR11267:SF174', NULL, NULL, NULL, NULL, 'T-BOX PROTEIN 30/42-RELATED', 145048),
(201323, 'PTHR23266:SF299', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION-RELATED', 145049),
(201324, 'PTHR42968:SF9', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 87', 145050),
(201325, 'PTHR11214:SF229', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 145051),
(201326, 'PTHR30579:SF8', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR HDFR', 145052),
(201327, 'PTHR47926:SF253', NULL, NULL, NULL, NULL, 'BNAA09G12090D PROTEIN', 145053),
(201328, 'PTHR23315:SF270', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 145054),
(201329, 'PTHR11132:SF432', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 145055),
(201330, 'PTHR10177:SF444', NULL, NULL, NULL, NULL, 'CYCLIN-A2', 145056),
(201331, 'PTHR30460:SF0', NULL, NULL, NULL, NULL, 'MODERATE CONDUCTANCE MECHANOSENSITIVE CHANNEL YBIO', 145057),
(201332, 'PTHR31589:SF148', NULL, NULL, NULL, NULL, 'BNAC03G23900D PROTEIN', 145058),
(201333, 'PTHR39430:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEASE-RELATED', 145059),
(201334, 'PTHR31683:SF163', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 145060),
(201335, 'PTHR27007:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145061),
(201336, 'PTHR13696:SF94', NULL, NULL, NULL, NULL, 'PARA FAMILY PLASMID PARTITIONING PROTEIN', 145062),
(201337, 'PTHR35546:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145063),
(201338, 'PTHR11607:SF25', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE C', 145064),
(201339, 'PTHR11362:SF122', NULL, NULL, NULL, NULL, 'BNAA06G12320D PROTEIN', 145065),
(201340, 'PTHR23084:SF239', NULL, NULL, NULL, NULL, 'BNAANNG04110D PROTEIN', 145066);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(201341, 'PTHR22888', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE, SUBUNIT II', 145067),
(201342, 'PTHR28441:SF3', NULL, NULL, NULL, NULL, 'FAM91A1-LIKE PROTEIN', 145068),
(201343, 'PTHR24248:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145069),
(201344, 'PTHR43791:SF28', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 145070),
(201345, 'PTHR10663:SF326', NULL, NULL, NULL, NULL, 'IQ MOTIF AND SEC7 DOMAIN 2A', 145071),
(201346, 'PTHR14191:SF6', NULL, NULL, NULL, NULL, 'NA(+)/H(+) EXCHANGE REGULATORY COFACTOR NHE-RF3-RELATED', 145072),
(201347, 'PTHR25465:SF18', NULL, NULL, NULL, NULL, 'FINTRIM FAMILY, MEMBER 83', 145073),
(201348, 'PTHR24055:SF486', NULL, NULL, NULL, NULL, 'PROTEIN CBG09071', 145074),
(201349, 'PTHR33294:SF5', NULL, NULL, NULL, NULL, 'AWPM-19-LIKE FAMILY PROTEIN', 145075),
(201350, 'PTHR11808:SF75', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE', 145076),
(201351, 'PTHR31681:SF57', NULL, NULL, NULL, NULL, 'BNAA02G09720D PROTEIN', 145077),
(201352, 'PTHR27005:SF246', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145078),
(201353, 'PTHR23065:SF17', NULL, NULL, NULL, NULL, 'RHO-GTPASE-ACTIVATING PROTEIN RGD2', 145079),
(201354, 'PTHR11861:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 130', 145080),
(201355, 'PTHR35334:SF1', NULL, NULL, NULL, NULL, 'THREONINE/SERINE TRANSPORTER TDCC', 145081),
(201356, 'PTHR45933:SF5', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 4', 145082),
(201357, 'PTHR12411:SF693', NULL, NULL, NULL, NULL, 'BNAC05G16070D PROTEIN', 145083),
(201358, 'PTHR21522:SF33', NULL, NULL, NULL, NULL, 'OTOPETRIN-LIKE', 145084),
(201359, 'PTHR31677:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145085),
(201360, 'PTHR43948:SF11', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 145086),
(201361, 'PTHR23167:SF34', NULL, NULL, NULL, NULL, 'DYSTROPHIN', 145087),
(201362, 'PTHR34052:SF1', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN-LIKE', 145088),
(201363, 'PTHR24103:SF312', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 75-RELATED', 145089),
(201364, 'PTHR21057:SF2', NULL, NULL, NULL, NULL, '2-DEHYDRO-3-DEOXYPHOSPHOOCTONATE ALDOLASE 1-RELATED', 145090),
(201365, 'PTHR20855:SF30', NULL, NULL, NULL, NULL, 'PROGESTIN AND ADIPOQ RECEPTOR FAMILY MEMBER 4', 145091),
(201366, 'PTHR12560:SF8', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 5', 145092),
(201367, 'PTHR40087:SF1', NULL, NULL, NULL, NULL, 'PHENOLIC ACID DECARBOXYLASE PADC', 145093),
(201368, 'PTHR46819:SF1', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 7', 145094),
(201369, 'PTHR23127:SF3', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 4', 145095),
(201370, 'PTHR43952:SF13', NULL, NULL, NULL, NULL, 'OS05G0567600 PROTEIN', 145096),
(201371, 'PTHR31719:SF149', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR NAM-2', 145097),
(201372, 'PTHR20981:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L21', 145098),
(201373, 'PTHR45863:SF23', NULL, NULL, NULL, NULL, 'BNAC02G44820D PROTEIN', 145099),
(201374, 'PTHR22625:SF36', NULL, NULL, NULL, NULL, 'PLEXIN-B1', 145100),
(201375, 'PTHR33065:SF130', NULL, NULL, NULL, NULL, 'OS05G0554800 PROTEIN', 145101),
(201376, 'PTHR42735:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145102),
(201377, 'PTHR45704:SF10', NULL, NULL, NULL, NULL, 'RE30129P', 145103),
(201378, 'PTHR23349:SF5', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX TRANSCRIPTION FACTOR SCLERAXIS', 145104),
(201379, 'PTHR19305:SF5', NULL, NULL, NULL, NULL, 'SYNAPTOSOMAL-ASSOCIATED PROTEIN 25', 145105),
(201380, 'PTHR24377:SF716', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 551', 145106),
(201381, 'PTHR33153:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145107),
(201382, 'PTHR31734:SF111', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 145108),
(201383, 'PTHR34377', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 145109),
(201384, 'PTHR24388:SF81', NULL, NULL, NULL, NULL, 'SCRATCH FAMILY ZINC FINGER 2', 145110),
(201385, 'PTHR33159:SF61', NULL, NULL, NULL, NULL, 'BNAA09G09220D PROTEIN', 145111);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(201386, 'PTHR46336:SF17', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN POB1-LIKE', 145112),
(201387, 'PTHR22932:SF17', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E SYNTHASE 3-LIKE 1', 145113),
(201388, 'PTHR11955:SF90', NULL, NULL, NULL, NULL, 'ADIPOCYTE FATTY ACID-BINDING PROTEIN-RELATED', 145114),
(201389, 'PTHR22950:SF641', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER ANT1', 145115),
(201390, 'PTHR23048:SF33', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN ALKALI', 145116),
(201391, 'PTHR10414:SF73', NULL, NULL, NULL, NULL, 'BNAA06G33540D PROTEIN', 145117),
(201392, 'PTHR45813:SF10', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR F3A-RELATED', 145118),
(201393, 'PTHR10869:SF149', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 145119),
(201394, 'PTHR11011:SF100', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 145120),
(201395, 'PTHR33320:SF22', NULL, NULL, NULL, NULL, 'BNAA06G01810D PROTEIN', 145121),
(201396, 'PTHR12620:SF33', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN AUXILIARY FACTOR 35 KDA SUBUNIT-RELATED PROTEIN 1-RELATED', 145122),
(201397, 'PTHR37701:SF7', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 8', 145123),
(201398, 'PTHR19303:SF22', NULL, NULL, NULL, NULL, 'TIGGER TRANSPOSABLE ELEMENT-DERIVED PROTEIN 2', 145124),
(201399, 'PTHR21444:SF16', NULL, NULL, NULL, NULL, 'RECEPTOR FOR RETINOL UPTAKE STRA6', 145125),
(201400, 'PTHR23288:SF18', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II ELONGATION FACTOR ELL3', 145126),
(201401, 'PTHR13609:SF4', NULL, NULL, NULL, NULL, 'RE42193P', 145127),
(201402, 'PTHR46299:SF1', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 5B1', 145128),
(201403, 'PTHR31238:SF212', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 145129),
(201404, 'PTHR46554:SF7', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26B-RELATED', 145130),
(201405, 'PTHR46893:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145131),
(201406, 'PTHR12587:SF5', NULL, NULL, NULL, NULL, 'LIPRIN-ALPHA-4', 145132),
(201407, 'PTHR31673:SF42', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 145133),
(201408, 'PTHR43166:SF2', NULL, NULL, NULL, NULL, 'L-CYSTINE TRANSPORT SYSTEM ATP-BINDING PROTEIN YECC', 145134),
(201409, 'PTHR24393:SF40', NULL, NULL, NULL, NULL, 'AGAP001269-PB', 145135),
(201410, 'PTHR33101:SF47', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 2-RELATED', 145136),
(201411, 'PTHR48001:SF52', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 145137),
(201412, 'PTHR31692:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145138),
(201413, 'PTHR43772', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE', 145139),
(201414, 'PTHR33142:SF81', NULL, NULL, NULL, NULL, 'BNAANNG22280D PROTEIN', 145140),
(201415, 'PTHR12424:SF17', NULL, NULL, NULL, NULL, 'PROTEIN TWEETY HOMOLOG 2-LIKE', 145141),
(201416, 'PTHR10578:SF86', NULL, NULL, NULL, NULL, 'DEPENDENT DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G02720)-RELATED', 145142),
(201417, 'PTHR24177:SF339', NULL, NULL, NULL, NULL, 'BNAA05G26720D PROTEIN', 145143),
(201418, 'PTHR31985:SF152', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF039-LIKE', 145144),
(201419, 'PTHR47926:SF214', NULL, NULL, NULL, NULL, 'OS05G0271900 PROTEIN', 145145),
(201420, 'PTHR13318:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145146),
(201421, 'PTHR45710', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING PROTEIN 180', 145147),
(201422, 'PTHR45686', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE ACTIVATING PROTEIN 3, ISOFORM H-RELATED', 145148),
(201423, 'PTHR45624:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145149),
(201424, 'PTHR23510:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG00364', 145150),
(201425, 'PTHR10942:SF45', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE/ZINC ION-BINDING PROTEIN', 145151),
(201426, 'PTHR45756', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 145152),
(201427, 'PTHR38119', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 145153);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(201428, 'PTHR31996:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 115', 145154),
(201429, 'PTHR24256:SF446', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145155),
(201430, 'PTHR24393:SF87', NULL, NULL, NULL, NULL, 'FI17950P1', 145156),
(201431, 'PTHR30314:SF18', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSZ HOMOLOG 2-2, CHLOROPLASTIC-LIKE', 145157),
(201432, 'PTHR48053:SF6', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 145158),
(201433, 'PTHR48130:SF1', NULL, NULL, NULL, NULL, 'OS12G0467600 PROTEIN', 145159),
(201434, 'PTHR24093:SF284', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE CALCIUM-TRANSPORTING ATPASE 3', 145160),
(201435, 'PTHR24349:SF279', NULL, NULL, NULL, NULL, 'OS10G0510700 PROTEIN', 145161),
(201436, 'PTHR12741:SF48', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 3-RELATED', 145162),
(201437, 'PTHR24232:SF44', NULL, NULL, NULL, NULL, 'URACIL NUCLEOTIDE/CYSTEINYL LEUKOTRIENE RECEPTOR', 145163),
(201438, 'PTHR47975:SF30', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 145164),
(201439, 'PTHR22974:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145165),
(201440, 'PTHR11353:SF186', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT EPSILON', 145166),
(201441, 'PTHR43049:SF1', NULL, NULL, NULL, NULL, 'EARLY ENDOSOME ANTIGEN', 145167),
(201442, 'PTHR45645:SF8', NULL, NULL, NULL, NULL, 'DORSAL-VENTRAL PATTERNING PROTEIN TOLLOID-RELATED', 145168),
(201443, 'PTHR31126:SF14', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE OCA6-RELATED', 145169),
(201444, 'PTHR24242:SF356', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 145170),
(201445, 'PTHR37220:SF2', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE', 145171),
(201446, 'PTHR40048', NULL, NULL, NULL, NULL, 'RHAMNOSYL O-METHYLTRANSFERASE', 145172),
(201447, 'PTHR24058:SF111', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 145173),
(201448, 'PTHR46456:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG 2', 145174),
(201449, 'PTHR47958:SF51', NULL, NULL, NULL, NULL, 'BNAC04G43400D PROTEIN', 145175),
(201450, 'PTHR10209:SF735', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145176),
(201451, 'PTHR30454', NULL, NULL, NULL, NULL, '4-HYDROXY-3-METHYLBUT-2-EN-1-YL DIPHOSPHATE SYNTHASE', 145177),
(201452, 'PTHR10353:SF268', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1-RELATED', 145178),
(201453, 'PTHR32295:SF204', NULL, NULL, NULL, NULL, 'BNAC02G03410D PROTEIN', 145179),
(201454, 'PTHR46806:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-34D22.1', 145180),
(201455, 'PTHR15056', NULL, NULL, NULL, NULL, 'ACTIVATOR OF APOPTOSIS HARAKIRI', 145181),
(201456, 'PTHR14596:SF70', NULL, NULL, NULL, NULL, 'C2H2 TYPE MASTER REGULATOR OF CONIDIOPHORE DEVELOPMENT BRLA', 145182),
(201457, 'PTHR10146:SF15', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE HOMEOSTASIS PROTEIN', 145183),
(201458, 'PTHR11843:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 145184),
(201459, 'PTHR46776:SF21', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR-RELATED', 145185),
(201460, 'PTHR34306:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145186),
(201461, 'PTHR11477:SF38', NULL, NULL, NULL, NULL, 'OS04G0644675 PROTEIN', 145187),
(201462, 'PTHR12565:SF402', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH63', 145188),
(201463, 'PTHR12565:SF401', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH79', 145189),
(201464, 'PTHR48045:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 145190),
(201465, 'PTHR34954:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 145191),
(201466, 'PTHR47227', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT K', 145192),
(201467, 'PTHR47408:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01304', 145193),
(201468, 'PTHR31375:SF184', NULL, NULL, NULL, NULL, 'BNAC05G01250D PROTEIN', 145194),
(201469, 'PTHR44054', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE MEMBRANE PROTEIN VAT-1 HOMOLOG-LIKE', 145195),
(201470, 'PTHR21696', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 145196),
(201471, 'PTHR24228:SF29', NULL, NULL, NULL, NULL, 'BETA-4C ADRENERGIC RECEPTOR-LIKE', 145197);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(201472, 'PTHR28242:SF40', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 1-LIKE ISOFORM X1', 145198),
(201473, 'PTHR45647:SF79', NULL, NULL, NULL, NULL, 'BNAA09G56190D PROTEIN', 145199),
(201474, 'PTHR23266:SF294', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145200),
(201475, 'PTHR11945:SF680', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 47', 145201),
(201476, 'PTHR19424:SF9', NULL, NULL, NULL, NULL, 'BNAC07G33230D PROTEIN', 145202),
(201477, 'PTHR31677:SF118', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR LEP', 145203),
(201478, 'PTHR24399:SF31', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN PLAGL1', 145204),
(201479, 'PTHR48063:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145205),
(201480, 'PTHR13382:SF23', NULL, NULL, NULL, NULL, 'BNAA02G29160D PROTEIN', 145206),
(201481, 'PTHR11538:SF77', NULL, NULL, NULL, NULL, 'BNAC06G26310D PROTEIN', 145207),
(201482, 'PTHR32176:SF0', NULL, NULL, NULL, NULL, 'XYLOSE ISOMERASE', 145208),
(201483, 'PTHR31985:SF160', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 145209),
(201484, 'PTHR23113:SF160', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR C', 145210),
(201485, 'PTHR22911:SF52', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER G2', 145211),
(201486, 'PTHR44279:SF4', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID (11-BETA) DEHYDROGENASE 1-LIKE, GENE 2', 145212),
(201487, 'PTHR47956:SF49', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 83B1', 145213),
(201488, 'PTHR33932:SF4', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT B', 145214),
(201489, 'PTHR27005:SF340', NULL, NULL, NULL, NULL, 'WALL ASSOCIATED KINASE-LIKE PROTEIN', 145215),
(201490, 'PTHR36300', NULL, NULL, NULL, NULL, 'RAW, ISOFORM A', 145216),
(201491, 'PTHR47956:SF3', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE CYP75B4', 145217),
(201492, 'PTHR21643:SF7', NULL, NULL, NULL, NULL, 'AEX-2 RELATED NEUROPEPTIDE RECEPTOR', 145218),
(201493, 'PTHR10683:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145219),
(201494, 'PTHR31099:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145220),
(201495, 'PTHR31707:SF284', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 145221),
(201496, 'PTHR11571:SF126', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 1', 145222),
(201497, 'PTHR31234:SF46', NULL, NULL, NULL, NULL, 'BNAA02G36390D PROTEIN', 145223),
(201498, 'PTHR10209:SF542', NULL, NULL, NULL, NULL, 'FERULOYL COA ORTHO-HYDROXYLASE 2-LIKE', 145224),
(201499, 'PTHR31707:SF320', NULL, NULL, NULL, NULL, 'BNAA06G40340D PROTEIN', 145225),
(201500, 'PTHR31384:SF39', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 145226),
(201501, 'PTHR11017:SF262', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN', 145227),
(201502, 'PTHR43711:SF24', NULL, NULL, NULL, NULL, 'SENSORY TRANSDUCTION HISTIDINE KINASE', 145228),
(201503, 'PTHR11822:SF37', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP], MITOCHONDRIAL', 145229),
(201504, 'PTHR48008:SF2', NULL, NULL, NULL, NULL, 'PROBABLY INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE IMK2', 145230),
(201505, 'PTHR12939', NULL, NULL, NULL, NULL, 'SARCOGLYCAN', 145231),
(201506, 'PTHR10784:SF8', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 6', 145232),
(201507, 'PTHR39647:SF1', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA', 145233),
(201508, 'PTHR31992:SF97', NULL, NULL, NULL, NULL, 'OS06G0284500 PROTEIN', 145234),
(201509, 'PTHR37720:SF3', NULL, NULL, NULL, NULL, 'BNAC04G15780D PROTEIN', 145235),
(201510, 'PTHR22881:SF29', NULL, NULL, NULL, NULL, 'BNAC07G15240D PROTEIN', 145236),
(201511, 'PTHR42858:SF1', NULL, NULL, NULL, NULL, 'LD15494P', 145237),
(201512, 'PTHR45691:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145238),
(201513, 'PTHR47206:SF7', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 145239),
(201514, 'PTHR12363:SF49', NULL, NULL, NULL, NULL, 'TRANSPORTIN MOS14', 145240),
(201515, 'PTHR13059', NULL, NULL, NULL, NULL, 'HMG-BOX TRANSCRIPTION FACTOR BBX', 145241),
(201516, 'PTHR47967:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145242);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(201517, 'PTHR32227:SF390', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE, ACIDIC-LIKE', 145243),
(201518, 'PTHR13305:SF4', NULL, NULL, NULL, NULL, 'BNAA07G00340D PROTEIN', 145244),
(201519, 'PTHR23036:SF172', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR COMMON SUBUNIT GAMMA', 145245),
(201520, 'PTHR27001:SF85', NULL, NULL, NULL, NULL, 'OS01G0104000 PROTEIN', 145246),
(201521, 'PTHR31602', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 145247),
(201522, 'PTHR24177:SF252', NULL, NULL, NULL, NULL, 'PROTEIN ACCELERATED CELL DEATH 6-LIKE ISOFORM X1', 145248),
(201523, 'PTHR46128:SF70', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', 145249),
(201524, 'PTHR48002:SF149', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 145250),
(201525, 'PTHR12271:SF107', NULL, NULL, NULL, NULL, 'OS01G0846450 PROTEIN', 145251),
(201526, 'PTHR13989:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145252),
(201527, 'PTHR31374:SF276', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 145253),
(201528, 'PTHR34210:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145254),
(201529, 'PTHR38834', NULL, NULL, NULL, NULL, 'PERIPLASMIC SUBSTRATE BINDING PROTEIN FAMILY 3', 145255),
(201530, 'PTHR48143', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 145256),
(201531, 'PTHR27008:SF323', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145257),
(201532, 'PTHR47074:SF14', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', 145258),
(201533, 'PTHR34916', NULL, NULL, NULL, NULL, 'GI:13385330', 145259),
(201534, 'PTHR33164:SF27', NULL, NULL, NULL, NULL, 'MARR-FAMILY REGULATORY PROTEIN-RELATED', 145260),
(201535, 'PTHR13094', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE PDSW SUBUNIT', 145261),
(201536, 'PTHR28632:SF8', NULL, NULL, NULL, NULL, 'BNAA06G09940D PROTEIN', 145262),
(201537, 'PTHR32241:SF18', NULL, NULL, NULL, NULL, 'PATATIN', 145263),
(201538, 'PTHR11685:SF344', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 145264),
(201539, 'PTHR33976:SF2', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN MEMBRANE GPI-ANCHORED', 145265),
(201540, 'PTHR43406:SF7', NULL, NULL, NULL, NULL, 'INDOLE-3-GLYCEROL PHOSPHATE LYASE, CHLOROPLASTIC', 145266),
(201541, 'PTHR22911:SF116', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', 145267),
(201542, 'PTHR10891:SF793', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 7', 145268),
(201543, 'PTHR33386:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145269),
(201544, 'PTHR11776:SF25', NULL, NULL, NULL, NULL, 'BNACNNG33750D PROTEIN', 145270),
(201545, 'PTHR11337:SF8', NULL, NULL, NULL, NULL, 'VISGUN, ISOFORM E', 145271),
(201546, 'PTHR23120:SF5', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT-CONTAINING PROTEIN FAMILY MEMBER 9', 145272),
(201547, 'PTHR33149:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145273),
(201548, 'PTHR11926:SF1099', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 145274),
(201549, 'PTHR10316:SF40', NULL, NULL, NULL, NULL, 'LD27118P-RELATED', 145275),
(201550, 'PTHR11599:SF182', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 145276),
(201551, 'PTHR10438:SF372', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G10300)-RELATED', 145277),
(201552, 'PTHR10210:SF98', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 1', 145278),
(201553, 'PTHR10058:SF0', NULL, NULL, NULL, NULL, 'MACROPHAGE COLONY-STIMULATING FACTOR 1', 145279),
(201554, 'PTHR16040:SF9', NULL, NULL, NULL, NULL, 'BOREALIN', 145280),
(201555, 'PTHR24349:SF280', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 145281),
(201556, 'PTHR43761:SF1', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G13630)', 145282),
(201557, 'PTHR23160:SF16', NULL, NULL, NULL, NULL, 'BNAA05G33210D PROTEIN', 145283),
(201558, 'PTHR13780:SF133', NULL, NULL, NULL, NULL, 'BNAANNG21130D PROTEIN', 145284),
(201559, 'PTHR22777:SF17', NULL, NULL, NULL, NULL, 'UPF0053 INNER MEMBRANE PROTEIN YFJD', 145285),
(201560, 'PTHR42913', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 1', 145286);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(201561, 'PTHR37444:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG20614', 145287),
(201562, 'PTHR14217:SF28', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE 3', 145288),
(201563, 'PTHR11043:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145289),
(201564, 'PTHR28066:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN MRP10, MITOCHONDRIAL', 145290),
(201565, 'PTHR32001', NULL, NULL, NULL, NULL, 'KERATINOCYTE-ASSOCIATED PROTEIN 2', 145291),
(201566, 'PTHR47602', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP22', 145292),
(201567, 'PTHR31490:SF62', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 35-RELATED', 145293),
(201568, 'PTHR19282:SF446', NULL, NULL, NULL, NULL, 'TETRASPANIN', 145294),
(201569, 'PTHR21641:SF0', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN EIF1AD-RELATED', 145295),
(201570, 'PTHR31172:SF8', NULL, NULL, NULL, NULL, 'CYCLIN 4', 145296),
(201571, 'PTHR19229:SF154', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 7-RELATED', 145297),
(201572, 'PTHR33640:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145298),
(201573, 'PTHR11721', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27A', 145299),
(201574, 'PTHR34606:SF11', NULL, NULL, NULL, NULL, 'OSMOTICALLY-INDUCIBLE PROTEIN Y', 145300),
(201575, 'PTHR11742:SF40', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE 1,2-ALPHA-MANNOSIDASE IB', 145301),
(201576, 'PTHR31189:SF68', NULL, NULL, NULL, NULL, 'LEGUMIN B-LIKE', 145302),
(201577, 'PTHR45791:SF4', NULL, NULL, NULL, NULL, 'CALCIUM AND INTEGRIN-BINDING FAMILY MEMBER 4', 145303),
(201578, 'PTHR31290', NULL, NULL, NULL, NULL, 'UV-DAMAGE ENDONUCLEASE', 145304),
(201579, 'PTHR38608:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG07207', 145305),
(201580, 'PTHR46295', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM RESIDENT PROTEIN 44', 145306),
(201581, 'PTHR14154:SF17', NULL, NULL, NULL, NULL, 'OS04G0690800 PROTEIN', 145307),
(201582, 'PTHR10353:SF169', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 11-LIKE', 145308),
(201583, 'PTHR31734:SF174', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA3', 145309),
(201584, 'PTHR11964:SF42', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE 1', 145310),
(201585, 'PTHR13878:SF146', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE 6-RELATED', 145311),
(201586, 'PTHR11739:SF8', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE, MITOCHONDRIAL', 145312),
(201587, 'PTHR24255:SF28', NULL, NULL, NULL, NULL, 'SUPPRESSION OF TUMORIGENICITY 14B', 145313),
(201588, 'PTHR10343:SF87', NULL, NULL, NULL, NULL, 'SNF1 PROTEIN KINASE SUBUNIT BETA-1', 145314),
(201589, 'PTHR45855:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPATULA', 145315),
(201590, 'PTHR47947:SF22', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', 145316),
(201591, 'PTHR10537:SF5', NULL, NULL, NULL, NULL, 'DNA PRIMASE LARGE SUBUNIT', 145317),
(201592, 'PTHR22916:SF56', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', 145318),
(201593, 'PTHR19850:SF40', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-5A', 145319),
(201594, 'PTHR14009:SF9', NULL, NULL, NULL, NULL, 'LETM1-LIKE PROTEIN', 145320),
(201595, 'PTHR23360:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 145321),
(201596, 'PTHR11106:SF72', NULL, NULL, NULL, NULL, 'GANGLIOSIDE-INDUCED DIFFERENTIATION-ASSOCIATED PROTEIN 2', 145322),
(201597, 'PTHR24119:SF4', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 2', 145323),
(201598, 'PTHR24299:SF17', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE', 145324),
(201599, 'PTHR47529', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE D', 145325),
(201600, 'PTHR22989:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG22299', 145326),
(201601, 'PTHR46225:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 145327),
(201602, 'PTHR11893', NULL, NULL, NULL, NULL, 'INNEXIN', 145328),
(201603, 'PTHR15722', NULL, NULL, NULL, NULL, 'IFT140/172-RELATED', 145329),
(201604, 'PTHR33203:SF32', NULL, NULL, NULL, NULL, 'OLEOSIN 21.2 KDA', 145330),
(201605, 'PTHR34829', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 3A MEMBER 2', 145331);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(201606, 'PTHR18945:SF823', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 3D', 145332),
(201607, 'PTHR10742:SF382', NULL, NULL, NULL, NULL, 'L-AMINO-ACID OXIDASE', 145333),
(201608, 'PTHR16655:SF3', NULL, NULL, NULL, NULL, 'CART4', 145334),
(201609, 'PTHR11142:SF5', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE(38/39) SYNTHASE', 145335),
(201610, 'PTHR36876:SF1', NULL, NULL, NULL, NULL, 'UROTENSIN-2B', 145336),
(201611, 'PTHR10378:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145337),
(201612, 'PTHR14205', NULL, NULL, NULL, NULL, 'WD-REPEAT PROTEIN', 145338),
(201613, 'PTHR11581:SF8', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4, Y ISOFORM 1', 145339),
(201614, 'PTHR45658:SF53', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', 145340),
(201615, 'PTHR12300:SF123', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 145341),
(201616, 'PTHR21569:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145342),
(201617, 'PTHR21453:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG04773', 145343),
(201618, 'PTHR34591:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145344),
(201619, 'PTHR24062:SF33', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 145345),
(201620, 'PTHR48014:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE OSR1-LIKE', 145346),
(201621, 'PTHR14387:SF0', NULL, NULL, NULL, NULL, 'THYROID ADENOMA-ASSOCIATED PROTEIN HOMOLOG', 145347),
(201622, 'PTHR39222:SF1', NULL, NULL, NULL, NULL, 'MCG9903', 145348),
(201623, 'PTHR45813:SF3', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR F1', 145349),
(201624, 'PTHR24390:SF82', NULL, NULL, NULL, NULL, 'GROWTH FACTOR INDEPENDENT 1B TRANSCRIPTIONAL REPRESSOR', 145350),
(201625, 'PTHR12411:SF720', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145351),
(201626, 'PTHR22791:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145352),
(201627, 'PTHR36873', NULL, NULL, NULL, NULL, 'HYPOTHETICAL GENE SUPPORTED BY BC079057', 145353),
(201628, 'PTHR33377:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145354),
(201629, 'PTHR25462:SF242', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF CONTAINING 2', 145355),
(201630, 'PTHR33873:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR VOZ1-LIKE', 145356),
(201631, 'PTHR11783:SF223', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 145357),
(201632, 'PTHR21272:SF5', NULL, NULL, NULL, NULL, 'CATABOLIC 3-DEHYDROQUINASE', 145358),
(201633, 'PTHR42796:SF7', NULL, NULL, NULL, NULL, '2-DEHYDRO-3-DEOXY-D-ARABINONATE DEHYDRATASE', 145359),
(201634, 'PTHR45648:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145360),
(201635, 'PTHR35986', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 145361),
(201636, 'PTHR43261:SF7', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR G-LIKE PROTEIN', 145362),
(201637, 'PTHR23336:SF59', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE-, DNA GYRASE B-, AND HSP90-LIKE ATPASE FAMILY PROTEIN-RELATED', 145363),
(201638, 'PTHR24072:SF348', NULL, NULL, NULL, NULL, 'BNAC07G14810D PROTEIN', 145364),
(201639, 'PTHR10257:SF96', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 145365),
(201640, 'PTHR31734:SF167', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 145366),
(201641, 'PTHR33370', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-1, CHLOROPLASTIC', 145367),
(201642, 'PTHR31343', NULL, NULL, NULL, NULL, 'T15D22.8', 145368),
(201643, 'PTHR13890:SF36', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-H-RELATED', 145369),
(201644, 'PTHR15907:SF176', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 4-RELATED', 145370),
(201645, 'PTHR23122:SF68', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PALMITOYLATED 2A (MAGUK P55 SUBFAMILY MEMBER 2)', 145371),
(201646, 'PTHR31325:SF44', NULL, NULL, NULL, NULL, 'OS11G0681100 PROTEIN', 145372),
(201647, 'PTHR23232', NULL, NULL, NULL, NULL, 'KRAB DOMAIN C2H2 ZINC FINGER', 145373),
(201648, 'PTHR37172', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 145374),
(201649, 'PTHR46756:SF14', NULL, NULL, NULL, NULL, 'GAS2-LIKE PROTEIN 2', 145375);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(201650, 'PTHR11715:SF29', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', 145376),
(201651, 'PTHR33306:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 145377),
(201652, 'PTHR34341:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 107', 145378),
(201653, 'PTHR32212:SF325', NULL, NULL, NULL, NULL, 'BNAA04G28050D PROTEIN', 145379),
(201654, 'PTHR11101:SF55', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 145380),
(201655, 'PTHR12873:SF2', NULL, NULL, NULL, NULL, 'TOPRIM DOMAIN, TWINKLE-LIKE PROTEIN-RELATED', 145381),
(201656, 'PTHR21505:SF10', NULL, NULL, NULL, NULL, 'RE18252P', 145382),
(201657, 'PTHR14140:SF27', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ORTHRUS 1-RELATED', 145383),
(201658, 'PTHR46869:SF17', NULL, NULL, NULL, NULL, 'BNAC07G12290D PROTEIN', 145384),
(201659, 'PTHR33186:SF15', NULL, NULL, NULL, NULL, 'OS06G0249850 PROTEIN', 145385),
(201660, 'PTHR48049:SF44', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 145386),
(201661, 'PTHR48018:SF129', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9G4', 145387),
(201662, 'PTHR34483:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145388),
(201663, 'PTHR11216:SF134', NULL, NULL, NULL, NULL, 'ACTIN CYTOSKELETON-REGULATORY COMPLEX PROTEIN SLA1', 145389),
(201664, 'PTHR46209:SF4', NULL, NULL, NULL, NULL, 'SORTING NEXIN-10B', 145390),
(201665, 'PTHR11062:SF282', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT11-RELATED', 145391),
(201666, 'PTHR12468:SF4', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 2', 145392),
(201667, 'PTHR43918:SF9', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 145393),
(201668, 'PTHR38674', NULL, NULL, NULL, NULL, 'ALKANE 1-MONOOXYGENASE 1', 145394),
(201669, 'PTHR13271:SF11', NULL, NULL, NULL, NULL, 'OS01G0976450 PROTEIN', 145395),
(201670, 'PTHR24241:SF167', NULL, NULL, NULL, NULL, 'DIHYDROCAFFEIC ACID RECEPTOR', 145396),
(201671, 'PTHR21659:SF40', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE DECARBOXYLASE', 145397),
(201672, 'PTHR43294:SF4', NULL, NULL, NULL, NULL, 'CATION TRANSPORTING ATPASE', 145398),
(201673, 'PTHR17534:SF4', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 4', 145399),
(201674, 'PTHR22835:SF213', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 145400),
(201675, 'PTHR42084:SF1', NULL, NULL, NULL, NULL, 'YALI0E26631P', 145401),
(201676, 'PTHR12174:SF87', NULL, NULL, NULL, NULL, 'BNAA06G14870D PROTEIN', 145402),
(201677, 'PTHR37878:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689039', 145403),
(201678, 'PTHR47165:SF1', NULL, NULL, NULL, NULL, 'OS03G0429900 PROTEIN', 145404),
(201679, 'PTHR31279:SF45', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 2', 145405),
(201680, 'PTHR14303:SF0', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA SUBUNIT 4', 145406),
(201681, 'PTHR24373:SF277', NULL, NULL, NULL, NULL, 'CHONDROADHERIN', 145407),
(201682, 'PTHR44167:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RAD53', 145408),
(201683, 'PTHR21522', NULL, NULL, NULL, NULL, 'PROTON CHANNEL OTOP', 145409),
(201684, 'PTHR13624:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 161A', 145410),
(201685, 'PTHR36869', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 46', 145411),
(201686, 'PTHR31907:SF63', NULL, NULL, NULL, NULL, 'BNAA04G13370D PROTEIN', 145412),
(201687, 'PTHR46273:SF6', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', 145413),
(201688, 'PTHR11465:SF55', NULL, NULL, NULL, NULL, 'CATALASE', 145414),
(201689, 'PTHR11139:SF98', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE-LIKE PROTEIN', 145415),
(201690, 'PTHR43386:SF18', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN OPPC', 145416),
(201691, 'PTHR28081', NULL, NULL, NULL, NULL, 'DAMAGE-REGULATED IMPORT FACILITATOR 1-RELATED', 145417),
(201692, 'PTHR23089', NULL, NULL, NULL, NULL, 'HISTIDINE TRIAD  HIT  PROTEIN', 145418),
(201693, 'PTHR33090:SF69', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', 145419),
(201694, 'PTHR33052:SF138', NULL, NULL, NULL, NULL, 'BNAC08G45070D PROTEIN', 145420);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(201695, 'PTHR30221:SF1', NULL, NULL, NULL, NULL, 'SMALL-CONDUCTANCE MECHANOSENSITIVE CHANNEL', 145421),
(201696, 'PTHR46057:SF19', NULL, NULL, NULL, NULL, 'OS04G0585900 PROTEIN', 145422),
(201697, 'PTHR24074:SF43', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 145423),
(201698, 'PTHR47119:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 45B-LIKE PROTEIN', 145424),
(201699, 'PTHR45988:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 1', 145425),
(201700, 'PTHR31282:SF7', NULL, NULL, NULL, NULL, 'OS12G0116400 PROTEIN', 145426),
(201701, 'PTHR11783:SF271', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 145427),
(201702, 'PTHR11668:SF475', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 145428),
(201703, 'PTHR34120:SF3', NULL, NULL, NULL, NULL, 'OJ000126_13.2 PROTEIN', 145429),
(201704, 'PTHR31235:SF306', NULL, NULL, NULL, NULL, 'PEROXIDASE', 145430),
(201705, 'PTHR23167:SF64', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN', 145431),
(201706, 'PTHR47978:SF25', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB11A', 145432),
(201707, 'PTHR10060', NULL, NULL, NULL, NULL, 'TATD FAMILY DEOXYRIBONUCLEASE', 145433),
(201708, 'PTHR10742:SF396', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 145434),
(201709, 'PTHR13958:SF4', NULL, NULL, NULL, NULL, 'CENTROSOME-ASSOCIATED PROTEIN 350', 145435),
(201710, 'PTHR30086:SF20', NULL, NULL, NULL, NULL, 'CHEMOTACTIC TRANSDUCTION PROTEIN CHPE', 145436),
(201711, 'PTHR34356:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 145437),
(201712, 'PTHR10992:SF1056', NULL, NULL, NULL, NULL, 'BNAA04G13740D PROTEIN', 145438),
(201713, 'PTHR19343:SF21', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 1-2', 145439),
(201714, 'PTHR13809:SF28', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-T2', 145440),
(201715, 'PTHR43719:SF33', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION HISTIDINE-PROTEIN KINASE BARA', 145441),
(201716, 'PTHR43123:SF1', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE 1', 145442),
(201717, 'PTHR12015:SF147', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 13', 145443),
(201718, 'PTHR24270:SF33', NULL, NULL, NULL, NULL, 'LDL RECEPTOR REPEAT-CONTAINING PROTEIN EGG-1-RELATED', 145444),
(201719, 'PTHR31317:SF19', NULL, NULL, NULL, NULL, 'BNAA06G37990D PROTEIN', 145445),
(201720, 'PTHR11994:SF31', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11-1', 145446),
(201721, 'PTHR28122:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SUBSTRATE RECEPTOR MMS22', 145447),
(201722, 'PTHR45985:SF7', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE-LIKE 5, ISOFORM B', 145448),
(201723, 'PTHR24026:SF36', NULL, NULL, NULL, NULL, 'CADHERIN EGF LAG SEVEN-PASS G-TYPE RECEPTOR 1', 145449),
(201724, 'PTHR24006:SF666', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 25', 145450),
(201725, 'PTHR44749:SF1', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF RPS4-RLD 1', 145451),
(201726, 'PTHR19282:SF387', NULL, NULL, NULL, NULL, 'TETRASPANIN', 145452),
(201727, 'PTHR24260:SF130', NULL, NULL, NULL, NULL, 'GH18608P-RELATED', 145453),
(201728, 'PTHR31551', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR CWF18', 145454),
(201729, 'PTHR17604:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145455),
(201730, 'PTHR44758', NULL, NULL, NULL, NULL, 'NAD(P) TRANSHYDROGENASE SUBUNIT BETA', 145456),
(201731, 'PTHR10593:SF134', NULL, NULL, NULL, NULL, 'OS01G0572300 PROTEIN', 145457),
(201732, 'PTHR10041:SF7', NULL, NULL, NULL, NULL, 'COLIPASE-LIKE PROTEIN 1', 145458),
(201733, 'PTHR32370:SF108', NULL, NULL, NULL, NULL, 'ROOT PHOTOTROPISM PROTEIN 3-LIKE ISOFORM X1', 145459),
(201734, 'PTHR32166:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145460),
(201735, 'PTHR45675:SF45', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB108', 145461),
(201736, 'PTHR31953:SF51', NULL, NULL, NULL, NULL, 'CELL-WALL INVERTASE', 145462),
(201737, 'PTHR11051:SF13', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', 145463),
(201738, 'PTHR11937:SF389', NULL, NULL, NULL, NULL, 'ACTIN', 145464),
(201739, 'PTHR31279:SF63', NULL, NULL, NULL, NULL, 'PHOSPHATE-INDUCED PROTEIN 1-RELATED', 145465);
INSERT INTO "PUBLIC"."MODEL" VALUES
(201740, 'PTHR35561', NULL, NULL, NULL, NULL, 'RNA 2'',3''-CYCLIC PHOSPHODIESTERASE', 145466),
(201741, 'PTHR24281:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145467),
(201742, 'PTHR11926:SF1091', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 145468),
(201743, 'PTHR27006:SF387', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE PROTEIN-RELATED', 145469),
(201744, 'PTHR24135:SF3', NULL, NULL, NULL, NULL, 'SH3 AND MULTIPLE ANKYRIN REPEAT DOMAINS PROTEIN 1', 145470),
(201745, 'PTHR36938:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145471),
(201746, 'PTHR46062:SF1', NULL, NULL, NULL, NULL, 'LP12374P', 145472),
(201747, 'PTHR31923', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', 145473),
(201748, 'PTHR12537:SF1', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 1', 145474),
(201749, 'PTHR43133', NULL, NULL, NULL, NULL, 'RNA POLYMERASE ECF-TYPE SIGMA FACTO', 145475),
(201750, 'PTHR22953:SF102', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 145476),
(201751, 'PTHR25466:SF1', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH 1 LIGAND 2', 145477),
(201752, 'PTHR31218:SF287', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 145478),
(201753, 'PTHR31707:SF191', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 45-RELATED', 145479),
(201754, 'PTHR19845:SF0', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1', 145480),
(201755, 'PTHR34208:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145481),
(201756, 'PTHR23012:SF159', NULL, NULL, NULL, NULL, 'OS05G0355300 PROTEIN', 145482),
(201757, 'PTHR32153:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145483),
(201758, 'PTHR22941:SF293', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 145484),
(201759, 'PTHR10867:SF37', NULL, NULL, NULL, NULL, 'NICOTINAMIDE N-METHYLTRANSFERASE', 145485),
(201760, 'PTHR46463:SF42', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHB1A-RELATED', 145486),
(201761, 'PTHR23070:SF145', NULL, NULL, NULL, NULL, 'OS12G0470700 PROTEIN', 145487),
(201762, 'PTHR11260:SF640', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 145488),
(201763, 'PTHR48083:SF23', NULL, NULL, NULL, NULL, 'CROTONOBETAINYL-COA REDUCTASE', 145489),
(201764, 'PTHR48001:SF56', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1Q1', 145490),
(201765, 'PTHR33493', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 6-RELATED', 145491),
(201766, 'PTHR16002:SF6', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 3 RECEPTOR', 145492),
(201767, 'PTHR31221:SF198', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', 145493),
(201768, 'PTHR13866:SF6', NULL, NULL, NULL, NULL, 'SPARC', 145494),
(201769, 'PTHR46993', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 145495),
(201770, 'PTHR23070:SF133', NULL, NULL, NULL, NULL, 'OS07G0192800 PROTEIN', 145496),
(201771, 'PTHR24256:SF173', NULL, NULL, NULL, NULL, 'TESTISIN', 145497),
(201772, 'PTHR31730:SF28', NULL, NULL, NULL, NULL, 'OS05G0430300 PROTEIN', 145498),
(201773, 'PTHR31147:SF57', NULL, NULL, NULL, NULL, 'BNAA03G49730D PROTEIN', 145499),
(201774, 'PTHR31235:SF298', NULL, NULL, NULL, NULL, 'PEROXIDASE', 145500),
(201775, 'PTHR23272:SF139', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 2-LIKE', 145501),
(201776, 'PTHR38926:SF19', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP19', 145502),
(201777, 'PTHR24133', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 145503),
(201778, 'PTHR22966:SF31', NULL, NULL, NULL, NULL, 'OS09G0316000 PROTEIN', 145504),
(201779, 'PTHR45632:SF8', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 34', 145505),
(201780, 'PTHR24381:SF346', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 177', 145506),
(201781, 'PTHR33210:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145507),
(201782, 'PTHR32378:SF17', NULL, NULL, NULL, NULL, 'BNAA01G25080D PROTEIN', 145508),
(201783, 'PTHR14155:SF579', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145509),
(201784, 'PTHR30023:SF0', NULL, NULL, NULL, NULL, 'PENICILLIN-SENSITIVE CARBOXYPEPTIDASE A', 145510); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(201785, 'PTHR36814:SF2', NULL, NULL, NULL, NULL, 'BNAA06G23190D PROTEIN', 145511),
(201786, 'PTHR23354', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 7/ESTROGEN RECEPTOR COACTIVATOR-RELATED', 145512),
(201787, 'PTHR31594', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 145513),
(201788, 'PTHR24056:SF458', NULL, NULL, NULL, NULL, 'BNAA01G33270D PROTEIN', 145514),
(201789, 'PTHR10795:SF693', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145515),
(201790, 'PTHR27002:SF824', NULL, NULL, NULL, NULL, 'OS07G0535800 PROTEIN', 145516),
(201791, 'PTHR32525:SF2', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE', 145517),
(201792, 'PTHR24340:SF17', NULL, NULL, NULL, NULL, 'NK1 TRANSCRIPTION FACTOR-RELATED PROTEIN 2', 145518),
(201793, 'PTHR27007:SF307', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.1-LIKE', 145519),
(201794, 'PTHR35544:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145520),
(201795, 'PTHR11056:SF0', NULL, NULL, NULL, NULL, 'HOMOGENTISATE 1,2-DIOXYGENASE', 145521),
(201796, 'PTHR16768:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-160O17.6-RELATED', 145522),
(201797, 'PTHR31692:SF19', NULL, NULL, NULL, NULL, 'EXPANSIN-B2', 145523),
(201798, 'PTHR47849:SF8', NULL, NULL, NULL, NULL, 'CHITIN-BINDING LECTIN 1', 145524),
(201799, 'PTHR10566:SF117', NULL, NULL, NULL, NULL, 'PROTEIN KINASE-LIKE DOMAIN', 145525),
(201800, 'PTHR32467:SF97', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WRI1', 145526),
(201801, 'PTHR45645:SF45', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 12', 145527),
(201802, 'PTHR14499:SF3', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD14', 145528),
(201803, 'PTHR34463:SF14', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN LIKE', 145529),
(201804, 'PTHR44414:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NEDD1', 145530),
(201805, 'PTHR22883:SF328', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 145531),
(201806, 'PTHR43718:SF7', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG 2 PEROXISOMAL', 145532),
(201807, 'PTHR10954:SF22', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H2 SUBUNIT A', 145533),
(201808, 'PTHR22978:SF22', NULL, NULL, NULL, NULL, 'BTG FAMILY PROTEIN', 145534),
(201809, 'PTHR30154:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR, LRP/ASNC FAMILY', 145535),
(201810, 'PTHR34130:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145536),
(201811, 'PTHR32448:SF116', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN', 145537),
(201812, 'PTHR22624:SF52', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE', 145538),
(201813, 'PTHR42061:SF6', NULL, NULL, NULL, NULL, 'ENDO-CHITOSANASE', 145539),
(201814, 'PTHR15818:SF4', NULL, NULL, NULL, NULL, 'G-PATCH DOMAIN-CONTAINING PROTEIN-RELATED', 145540),
(201815, 'PTHR24019:SF11', NULL, NULL, NULL, NULL, 'ERYTHROFERRONE', 145541),
(201816, 'PTHR11550:SF35', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', 145542),
(201817, 'PTHR45709:SF4', NULL, NULL, NULL, NULL, 'GTPASE LSG1-1', 145543),
(201818, 'PTHR24559:SF350', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145544),
(201819, 'PTHR28605:SF1', NULL, NULL, NULL, NULL, 'CTF8, CHROMOSOME TRANSMISSION FIDELITY FACTOR 8 HOMOLOG (S. CEREVISIAE)', 145545),
(201820, 'PTHR10846:SF22', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER 3', 145546),
(201821, 'PTHR47993:SF13', NULL, NULL, NULL, NULL, 'BNAC06G41520D PROTEIN', 145547),
(201822, 'PTHR46841:SF4', NULL, NULL, NULL, NULL, 'SC:D189-RELATED', 145548),
(201823, 'PTHR27004:SF272', NULL, NULL, NULL, NULL, 'OS05G0212200 PROTEIN', 145549),
(201824, 'PTHR15736:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM131A', 145550),
(201825, 'PTHR31985:SF176', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF018', 145551),
(201826, 'PTHR23147:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145552),
(201827, 'PTHR46758:SF10', NULL, NULL, NULL, NULL, 'BNAA02G13080D PROTEIN', 145553),
(201828, 'PTHR10869:SF50', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE', 145554),
(201829, 'PTHR11851:SF116', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 1, MITOCHONDRIAL', 145555);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(201830, 'PTHR15437:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 2, MITOCHONDRIAL', 145556),
(201831, 'PTHR24253:SF100', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 36', 145557),
(201832, 'PTHR30462:SF1', NULL, NULL, NULL, NULL, 'INTERMEMBRANE TRANSPORT PROTEIN YEBS', 145558),
(201833, 'PTHR26453:SF63', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2F2', 145559),
(201834, 'PTHR31238:SF108', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 145560),
(201835, 'PTHR36069:SF3', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN FAMILY PROTEIN, PUTATIVE-RELATED', 145561),
(201836, 'PTHR12835:SF5', NULL, NULL, NULL, NULL, 'HOLOCARBOXYLASE SYNTHETASE (BIOTIN-(PROPRIONYL-COA-CARBOXYLASE (ATP-HYDROLYSING)) LIGASE)', 145562),
(201837, 'PTHR21576:SF106', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 145563),
(201838, 'PTHR42760:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145564),
(201839, 'PTHR14002:SF20', NULL, NULL, NULL, NULL, 'UROMODULIN', 145565),
(201840, 'PTHR47926:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145566),
(201841, 'PTHR46249', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 145567),
(201842, 'PTHR33128:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145568),
(201843, 'PTHR47570:SF1', NULL, NULL, NULL, NULL, 'ZINC ION BINDING PROTEIN', 145569),
(201844, 'PTHR11504:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6A, MITOCHONDRIAL', 145570),
(201845, 'PTHR35494:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE-LIKE COMPLEX, SUBUNIT S-RELATED', 145571),
(201846, 'PTHR15691', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 5', 145572),
(201847, 'PTHR48092:SF9', NULL, NULL, NULL, NULL, 'ECDYSONE RECEPTOR-LIKE PROTEIN', 145573),
(201848, 'PTHR46234:SF18', NULL, NULL, NULL, NULL, 'BNAC07G31910D PROTEIN', 145574),
(201849, 'PTHR31374:SF16', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE FAMILY PROTEIN', 145575),
(201850, 'PTHR22716', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 145576),
(201851, 'PTHR33326:SF11', NULL, NULL, NULL, NULL, 'OS10G0373300 PROTEIN', 145577),
(201852, 'PTHR13947:SF37', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 14', 145578),
(201853, 'PTHR48002:SF52', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 145579),
(201854, 'PTHR35162:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145580),
(201855, 'PTHR47110', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC EXPRESSED PROTEIN 55', 145581),
(201856, 'PTHR11764:SF58', NULL, NULL, NULL, NULL, 'LUPEOL SYNTHASE 1', 145582),
(201857, 'PTHR14221:SF50', NULL, NULL, NULL, NULL, 'OS11G0187100 PROTEIN', 145583),
(201858, 'PTHR11945:SF427', NULL, NULL, NULL, NULL, 'TRUNCATED TRANSCRIPTION FACTOR CAULIFLOWER D-LIKE ISOFORM X1', 145584),
(201859, 'PTHR24115:SF601', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 145585),
(201860, 'PTHR10366:SF671', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145586),
(201861, 'PTHR31722:SF32', NULL, NULL, NULL, NULL, 'BNAC06G02230D PROTEIN', 145587),
(201862, 'PTHR47985:SF4', NULL, NULL, NULL, NULL, 'OS07G0668900 PROTEIN', 145588),
(201863, 'PTHR31419:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 2', 145589),
(201864, 'PTHR31625:SF32', NULL, NULL, NULL, NULL, 'TRANSFERASE', 145590),
(201865, 'PTHR27004:SF212', NULL, NULL, NULL, NULL, 'OS01G0162800 PROTEIN', 145591),
(201866, 'PTHR10795:SF589', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145592),
(201867, 'PTHR11042', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2-ALPHA KINASE  EIF2-ALPHA KINASE -RELATED', 145593),
(201868, 'PTHR10209:SF770', NULL, NULL, NULL, NULL, 'FERULOYL COA ORTHO-HYDROXYLASE 1-LIKE', 145594),
(201869, 'PTHR35307:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145595),
(201870, 'PTHR47932:SF25', NULL, NULL, NULL, NULL, 'OS01G0833000 PROTEIN', 145596),
(201871, 'PTHR14054', NULL, NULL, NULL, NULL, 'REPETIN', 145597),
(201872, 'PTHR10682:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145598),
(201873, 'PTHR10985:SF130', NULL, NULL, NULL, NULL, 'HAIRY-RELATED 8A', 145599),
(201874, 'PTHR20904', NULL, NULL, NULL, NULL, 'INDUCIBLE T-CELL COSTIMULATOR ICOS', 145600);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(201875, 'PTHR12277:SF159', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 145601),
(201876, 'PTHR24412:SF215', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 24', 145602),
(201877, 'PTHR35992', NULL, NULL, NULL, NULL, 'CYTOMATRIX PROTEIN-LIKE PROTEIN', 145603),
(201878, 'PTHR48027:SF16', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN, PUTATIVE-RELATED', 145604),
(201879, 'PTHR46181', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCINE TRANSPORTER', 145605),
(201880, 'PTHR14000:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145606),
(201881, 'PTHR33107:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145607),
(201882, 'PTHR14964:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-BINDING FACTOR 2', 145608),
(201883, 'PTHR31072:SF157', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TB1', 145609),
(201884, 'PTHR27006:SF164', NULL, NULL, NULL, NULL, 'DUF26-DOMAIN RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 145610),
(201885, 'PTHR12461:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145611),
(201886, 'PTHR10837:SF21', NULL, NULL, NULL, NULL, 'PROTEIN-ARGININE DEIMINASE TYPE-3', 145612),
(201887, 'PTHR24107', NULL, NULL, NULL, NULL, 'YNEIN REGULATORY COMPLEX SUBUNIT 5', 145613),
(201888, 'PTHR24055:SF399', NULL, NULL, NULL, NULL, 'OS12G0427100 PROTEIN', 145614),
(201889, 'PTHR31431:SF1', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP188 HOMOLOG', 145615),
(201890, 'PTHR12460:SF27', NULL, NULL, NULL, NULL, 'ENTH/VHS FAMILY PROTEIN', 145616),
(201891, 'PTHR12112:SF21', NULL, NULL, NULL, NULL, 'BCL-2/ADENOVIRUS E1B 19 KDA-INTERACTING PROTEIN 2-LIKE PROTEIN', 145617),
(201892, 'PTHR22952:SF404', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 3', 145618),
(201893, 'PTHR37753:SF1', NULL, NULL, NULL, NULL, 'OS01G0940600 PROTEIN', 145619),
(201894, 'PTHR11588:SF100', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2A CHAIN', 145620),
(201895, 'PTHR39207', NULL, NULL, NULL, NULL, 'ALPHA-GLUCURONIDASE A', 145621),
(201896, 'PTHR12661:SF5', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF SWI4 1 HOMOLOG', 145622),
(201897, 'PTHR31374:SF249', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', 145623),
(201898, 'PTHR26453:SF103', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2B3-RELATED', 145624),
(201899, 'PTHR42748:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145625),
(201900, 'PTHR48106:SF2', NULL, NULL, NULL, NULL, 'TRANS-2-ENOYL-COA REDUCTASE, MITOCHONDRIAL', 145626),
(201901, 'PTHR43670:SF33', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', 145627),
(201902, 'PTHR42699', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 145628),
(201903, 'PTHR11654:SF519', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145629),
(201904, 'PTHR44329:SF145', NULL, NULL, NULL, NULL, 'OS08G0103200 PROTEIN', 145630),
(201905, 'PTHR33070:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 145631),
(201906, 'PTHR48099:SF13', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE DEHYDROGENASE', 145632),
(201907, 'PTHR45644:SF30', NULL, NULL, NULL, NULL, 'OS07G0672500 PROTEIN', 145633),
(201908, 'PTHR26379:SF368', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145634),
(201909, 'PTHR24073:SF898', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-11C', 145635),
(201910, 'PTHR47424:SF11', NULL, NULL, NULL, NULL, 'MISCELLANEOUS ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)', 145636),
(201911, 'PTHR11266:SF93', NULL, NULL, NULL, NULL, 'WORONIN SORTING COMPLEX PROTEIN', 145637),
(201912, 'PTHR11414:SF16', NULL, NULL, NULL, NULL, 'CYSTATIN A FAMILY MEMBER 3-RELATED', 145638),
(201913, 'PTHR44027:SF2', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 5G', 145639),
(201914, 'PTHR35318:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145640),
(201915, 'PTHR48070:SF5', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE', 145641),
(201916, 'PTHR27007:SF313', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', 145642),
(201917, 'PTHR31756:SF5', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE REGULATORY PROTEIN 2', 145643);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(201918, 'PTHR11767:SF44', NULL, NULL, NULL, NULL, 'ATP-SENSITIVE INWARD RECTIFIER POTASSIUM CHANNEL 11', 145644),
(201919, 'PTHR45631:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145645),
(201920, 'PTHR14614:SF128', NULL, NULL, NULL, NULL, 'PROTEIN N-METHYLTRANSFERASE FAM86B1-RELATED', 145646),
(201921, 'PTHR47889', NULL, NULL, NULL, NULL, 'SPERMATOGENIC LEUCINE ZIPPER PROTEIN 1', 145647),
(201922, 'PTHR22906:SF28', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR B1', 145648),
(201923, 'PTHR10603:SF3', NULL, NULL, NULL, NULL, 'FRAGILE X MENTAL RETARDATION SYNDROME-RELATED PROTEIN 2', 145649),
(201924, 'PTHR12883:SF1', NULL, NULL, NULL, NULL, 'BNAA03G46700D PROTEIN', 145650),
(201925, 'PTHR10641:SF1244', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB93', 145651),
(201926, 'PTHR33709:SF13', NULL, NULL, NULL, NULL, 'F9K20.7 PROTEIN', 145652),
(201927, 'PTHR21649:SF101', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 145653),
(201928, 'PTHR47869:SF2', NULL, NULL, NULL, NULL, 'OS03G0410700 PROTEIN', 145654),
(201929, 'PTHR19229:SF117', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 17', 145655),
(201930, 'PTHR12411:SF776', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145656),
(201931, 'PTHR46634:SF1', NULL, NULL, NULL, NULL, 'OS02G0816400 PROTEIN', 145657),
(201932, 'PTHR13301:SF214', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE, NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', 145658),
(201933, 'PTHR16515:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145659),
(201934, 'PTHR23130:SF199', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 145660),
(201935, 'PTHR11017:SF424', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE-LIKE PROTEIN CSA1', 145661),
(201936, 'PTHR24343:SF398', NULL, NULL, NULL, NULL, 'PROTEIN CBG02096', 145662),
(201937, 'PTHR24089:SF703', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL THIAMINE DIPHOSPHATE CARRIER 1', 145663),
(201938, 'PTHR11711:SF316', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 3', 145664),
(201939, 'PTHR44086:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145665),
(201940, 'PTHR43553:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 11, CHLOROPLASTIC', 145666),
(201941, 'PTHR24015:SF1993', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 145667),
(201942, 'PTHR24240:SF73', NULL, NULL, NULL, NULL, 'TELEOST MULTIPLE TISSUE OPSIN 2A', 145668),
(201943, 'PTHR46234:SF17', NULL, NULL, NULL, NULL, 'BNAC01G35920D PROTEIN', 145669),
(201944, 'PTHR40625', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 145670),
(201945, 'PTHR31907:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145671),
(201946, 'PTHR42898:SF63', NULL, NULL, NULL, NULL, 'BNAANNG26060D PROTEIN', 145672),
(201947, 'PTHR11915:SF435', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN', 145673),
(201948, 'PTHR13593:SF102', NULL, NULL, NULL, NULL, 'SI:DKEY-266F7.9', 145674),
(201949, 'PTHR32009:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145675),
(201950, 'PTHR43900:SF75', NULL, NULL, NULL, NULL, 'BNAC03G47760D PROTEIN', 145676),
(201951, 'PTHR43327:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145677),
(201952, 'PTHR30237', NULL, NULL, NULL, NULL, 'MURAMOYLTETRAPEPTIDE CARBOXYPEPTIDASE', 145678),
(201953, 'PTHR33057:SF37', NULL, NULL, NULL, NULL, 'OS01G0823500 PROTEIN', 145679),
(201954, 'PTHR45614:SF13', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 89', 145680),
(201955, 'PTHR23050:SF325', NULL, NULL, NULL, NULL, 'CENTRIN-3', 145681),
(201956, 'PTHR23164:SF15', NULL, NULL, NULL, NULL, 'LATERAL SIGNALING TARGET PROTEIN 2 HOMOLOG-LIKE PROTEIN', 145682),
(201957, 'PTHR45476:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145683),
(201958, 'PTHR24058:SF121', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TYROSINE-PHOSPHORYLATION-REGULATED KINASE 1A', 145684),
(201959, 'PTHR35746:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', 145685),
(201960, 'PTHR22893:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145686),
(201961, 'PTHR31181:SF67', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS FAMILY PROTEIN-RELATED', 145687);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(201962, 'PTHR12002:SF75', NULL, NULL, NULL, NULL, 'CLAUDIN-17', 145688),
(201963, 'PTHR24083:SF67', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-14', 145689),
(201964, 'PTHR33403:SF32', NULL, NULL, NULL, NULL, 'BNAA06G39830D PROTEIN', 145690),
(201965, 'PTHR46714:SF4', NULL, NULL, NULL, NULL, 'OS01G0174000 PROTEIN', 145691),
(201966, 'PTHR12601:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145692),
(201967, 'PTHR33649:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145693),
(201968, 'PTHR31331:SF1', NULL, NULL, NULL, NULL, 'LCCL DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G08630)', 145694),
(201969, 'PTHR12266:SF24', NULL, NULL, NULL, NULL, 'CATION/CALCIUM EXCHANGER 1', 145695),
(201970, 'PTHR47992:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 37-LIKE', 145696),
(201971, 'PTHR10155:SF0', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING AT 36E, ISOFORM D', 145697),
(201972, 'PTHR38011:SF5', NULL, NULL, NULL, NULL, '2,5-DIAMINO-6-RIBOSYLAMINO-4(3H)-PYRIMIDINONE 5''-PHOSPHATE REDUCTASE', 145698),
(201973, 'PTHR24068:SF321', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-23 KDA', 145699),
(201974, 'PTHR32153:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145700),
(201975, 'PTHR10125', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR', 145701),
(201976, 'PTHR10704:SF5', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 7', 145702),
(201977, 'PTHR11040:SF142', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORT PROTEIN 3, CHLOROPLASTIC', 145703),
(201978, 'PTHR12127:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145704),
(201979, 'PTHR31104:SF12', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA- GLUCOSAMINYL)ASPARAGINE AMIDASE A-LIKE', 145705),
(201980, 'PTHR21447:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG11496', 145706),
(201981, 'PTHR10894:SF23', NULL, NULL, NULL, NULL, 'PROTEIN NOP56, PUTATIVE-RELATED', 145707),
(201982, 'PTHR24286:SF185', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 87A3-LIKE', 145708),
(201983, 'PTHR12220', NULL, NULL, NULL, NULL, '50S/60S RIBOSOMAL PROTEIN L16', 145709),
(201984, 'PTHR39594:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YCHQ', 145710),
(201985, 'PTHR28304:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX28', 145711),
(201986, 'PTHR35190', NULL, NULL, NULL, NULL, 'PROTEIN DCD1B', 145712),
(201987, 'PTHR33147:SF26', NULL, NULL, NULL, NULL, 'OS04G0189800 PROTEIN', 145713),
(201988, 'PTHR45768:SF52', NULL, NULL, NULL, NULL, 'BNAA01G27610D PROTEIN', 145714),
(201989, 'PTHR47990:SF26', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20-OXIDASE', 145715),
(201990, 'PTHR30096:SF9', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE CATABOLISM PROTEIN', 145716),
(201991, 'PTHR18947:SF28', NULL, NULL, NULL, NULL, 'GIRDIN, ISOFORM A', 145717),
(201992, 'PTHR24408:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145718),
(201993, 'PTHR12002:SF97', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930524N10 GENE-RELATED', 145719),
(201994, 'PTHR20934:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', 145720),
(201995, 'PTHR39344:SF1', NULL, NULL, NULL, NULL, 'UPF0182 PROTEIN SLL1060', 145721),
(201996, 'PTHR35342:SF5', NULL, NULL, NULL, NULL, 'TRICARBOXYLIC TRANSPORT PROTEIN', 145722),
(201997, 'PTHR31375:SF15', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING PROTEIN', 145723),
(201998, 'PTHR23262:SF181', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-2-RELATED', 145724),
(201999, 'PTHR45666:SF47', NULL, NULL, NULL, NULL, 'BNAC09G20850D PROTEIN', 145725),
(202000, 'PTHR11028:SF4', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT', 145726),
(202001, 'PTHR22883:SF354', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 145727),
(202002, 'PTHR24012:SF751', NULL, NULL, NULL, NULL, 'MULTIPLE RNA-BINDING DOMAIN-CONTAINING PROTEIN 1', 145728),
(202003, 'PTHR47974:SF6', NULL, NULL, NULL, NULL, 'OS10G0101000 PROTEIN', 145729),
(202004, 'PTHR33193:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145730),
(202005, 'PTHR24289:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 17, SUBFAMILY A, POLYPEPTIDE 1', 145731);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(202006, 'PTHR24242:SF359', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 145732),
(202007, 'PTHR33621:SF2', NULL, NULL, NULL, NULL, 'ASPARTIC/GLUTAMIC ACID-RICH PROTEIN', 145733),
(202008, 'PTHR24006:SF801', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE 3-RELATED', 145734),
(202009, 'PTHR11040:SF175', NULL, NULL, NULL, NULL, 'BNAA05G29570D PROTEIN', 145735),
(202010, 'PTHR48065:SF11', NULL, NULL, NULL, NULL, 'BNAC08G45300D PROTEIN', 145736),
(202011, 'PTHR27002:SF841', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN S6, PUTATIVE-RELATED', 145737),
(202012, 'PTHR48022:SF56', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10910)-RELATED', 145738),
(202013, 'PTHR37850:SF1', NULL, NULL, NULL, NULL, 'STRU PROTEIN', 145739),
(202014, 'PTHR31985:SF191', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF024-LIKE', 145740),
(202015, 'PTHR11527:SF301', NULL, NULL, NULL, NULL, 'HSP17', 145741),
(202016, 'PTHR11671:SF3', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT D-RELATED', 145742),
(202017, 'PTHR24381:SF312', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 705E-RELATED', 145743),
(202018, 'PTHR36312:SF11', NULL, NULL, NULL, NULL, 'BNAC08G40990D PROTEIN', 145744),
(202019, 'PTHR31042:SF106', NULL, NULL, NULL, NULL, 'BNAA07G36120D PROTEIN', 145745),
(202020, 'PTHR35593:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145746),
(202021, 'PTHR24412:SF426', NULL, NULL, NULL, NULL, 'SI:CH211-256E16.3', 145747),
(202022, 'PTHR36324:SF1', NULL, NULL, NULL, NULL, 'OS09G0460100 PROTEIN', 145748),
(202023, 'PTHR12411:SF728', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145749),
(202024, 'PTHR11537:SF174', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY D MEMBER 1', 145750),
(202025, 'PTHR21649:SF33', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 2.1, CHLOROPLASTIC-RELATED', 145751),
(202026, 'PTHR10302:SF15', NULL, NULL, NULL, NULL, 'OS03G0633900 PROTEIN', 145752),
(202027, 'PTHR11157:SF19', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 1', 145753),
(202028, 'PTHR15730:SF3', NULL, NULL, NULL, NULL, 'TRPM8 CHANNEL-ASSOCIATED FACTOR 3', 145754),
(202029, 'PTHR43192:SF1', NULL, NULL, NULL, NULL, 'PHOSPHONOACETALDEHYDE HYDROLASE', 145755),
(202030, 'PTHR31496:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR KAN1-LIKE', 145756),
(202031, 'PTHR24258:SF138', NULL, NULL, NULL, NULL, 'BCDNA.GH08420-RELATED', 145757),
(202032, 'PTHR13273:SF17', NULL, NULL, NULL, NULL, 'ANAMORSIN', 145758),
(202033, 'PTHR35491:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145759),
(202034, 'PTHR31156:SF25', NULL, NULL, NULL, NULL, '4933411G11RIK PROTEIN', 145760),
(202035, 'PTHR48047:SF74', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 145761),
(202036, 'PTHR21037:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO NOVEL PROTEIN', 145762),
(202037, 'PTHR43794:SF5', NULL, NULL, NULL, NULL, 'N-ETHYLAMMELINE CHLOROHYDROLASE RELATED PROTEIN (TRZA-LIKE)', 145763),
(202038, 'PTHR47993:SF37', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 145764),
(202039, 'PTHR31232:SF70', NULL, NULL, NULL, NULL, 'BNAA06G12730D PROTEIN', 145765),
(202040, 'PTHR31042:SF88', NULL, NULL, NULL, NULL, 'BNAA09G52890D PROTEIN', 145766),
(202041, 'PTHR24006:SF816', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1-RELATED', 145767),
(202042, 'PTHR47547:SF1', NULL, NULL, NULL, NULL, 'AMINO ACID-PROTON SYMPORTER YBEC-RELATED', 145768),
(202043, 'PTHR23264:SF19', NULL, NULL, NULL, NULL, 'CYTOSOLIC FE-S CLUSTER ASSEMBLY FACTOR NUBP2', 145769),
(202044, 'PTHR31621:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145770),
(202045, 'PTHR12931:SF17', NULL, NULL, NULL, NULL, 'OS02G0517600 PROTEIN', 145771),
(202046, 'PTHR43591:SF30', NULL, NULL, NULL, NULL, 'SECONDARY METABOLISM REGULATOR LAEA', 145772),
(202047, 'PTHR43161:SF14', NULL, NULL, NULL, NULL, '(R,R)-BUTANEDIOL DEHYDROGENASE-RELATED', 145773),
(202048, 'PTHR19376:SF47', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA''''', 145774);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(202049, 'PTHR46961', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 1, AXONEMAL-LIKE PROTEIN', 145775),
(202050, 'PTHR13850:SF2', NULL, NULL, NULL, NULL, 'MIDKINE', 145776),
(202051, 'PTHR45730:SF8', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER PROTEIN', 145777),
(202052, 'PTHR23500:SF432', NULL, NULL, NULL, NULL, 'POLYOL/MONOSACCHARIDE TRANSPORTER 1', 145778),
(202053, 'PTHR30435', NULL, NULL, NULL, NULL, 'FLAGELLAR PROTEIN', 145779),
(202054, 'PTHR11224:SF17', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MAKORIN-2-RELATED', 145780),
(202055, 'PTHR27006:SF353', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', 145781),
(202056, 'PTHR45712:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145782),
(202057, 'PTHR26450:SF386', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 145783),
(202058, 'PTHR45899:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145784),
(202059, 'PTHR48109:SF2', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE (QUINONE), MITOCHONDRIAL', 145785),
(202060, 'PTHR19818:SF141', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZIC 1', 145786),
(202061, 'PTHR37760:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145787),
(202062, 'PTHR14167:SF92', NULL, NULL, NULL, NULL, 'CIN85 AND CD2AP RELATED, ISOFORM J', 145788),
(202063, 'PTHR33214:SF47', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 145789),
(202064, 'PTHR47992:SF20', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 28-RELATED', 145790),
(202065, 'PTHR33074:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145791),
(202066, 'PTHR31356', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 29 KDA PROTEIN, CHLOROPLASTIC-RELATED', 145792),
(202067, 'PTHR20941:SF1', NULL, NULL, NULL, NULL, 'FOLIC ACID SYNTHESIS PROTEIN FOL1', 145793),
(202068, 'PTHR31024:SF11', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 145794),
(202069, 'PTHR47926:SF277', NULL, NULL, NULL, NULL, 'BNAC06G30520D PROTEIN', 145795),
(202070, 'PTHR45717:SF22', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', 145796),
(202071, 'PTHR31235:SF354', NULL, NULL, NULL, NULL, 'PEROXIDASE', 145797),
(202072, 'PTHR10529:SF344', NULL, NULL, NULL, NULL, 'STONIN 2', 145798),
(202073, 'PTHR46521:SF9', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 2', 145799),
(202074, 'PTHR23315:SF266', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 17', 145800),
(202075, 'PTHR23058:SF12', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX14-LIKE', 145801),
(202076, 'PTHR32227:SF62', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', 145802),
(202077, 'PTHR10177:SF66', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN-D2', 145803),
(202078, 'PTHR32444:SF68', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 145804),
(202079, 'PTHR31001:SF50', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 145805),
(202080, 'PTHR48011:SF41', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 2-RELATED', 145806),
(202081, 'PTHR46442:SF14', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 145807),
(202082, 'PTHR34199', NULL, NULL, NULL, NULL, 'NUMOD3 MOTIF FAMILY PROTEIN, EXPRESSED', 145808),
(202083, 'PTHR45642:SF89', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN', 145809),
(202084, 'PTHR33048:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145810),
(202085, 'PTHR30221:SF19', NULL, NULL, NULL, NULL, 'SMALL-CONDUCTANCE MECHANOSENSITIVE CHANNEL', 145811),
(202086, 'PTHR13609:SF23', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN 1-LIKE', 145812),
(202087, 'PTHR23155:SF1044', NULL, NULL, NULL, NULL, 'OS12G0491200 PROTEIN', 145813),
(202088, 'PTHR43650:SF14', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', 145814),
(202089, 'PTHR21640', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 145815),
(202090, 'PTHR11352:SF3', NULL, NULL, NULL, NULL, 'YALI0E03124P', 145816),
(202091, 'PTHR43540', NULL, NULL, NULL, NULL, 'PEROXYUREIDOACRYLATE/UREIDOACRYLATE AMIDOHYDROLASE-RELATED', 145817);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(202092, 'PTHR31524:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG10426', 145818),
(202093, 'PTHR13952:SF11', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, X-LINKED-LIKE-2-RELATED', 145819),
(202094, 'PTHR45987:SF14', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L7/L12', 145820),
(202095, 'PTHR22883:SF379', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC24-RELATED', 145821),
(202096, 'PTHR24637:SF280', NULL, NULL, NULL, NULL, 'COLLAGEN', 145822),
(202097, 'PTHR23202:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145823),
(202098, 'PTHR33065:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145824),
(202099, 'PTHR43391:SF12', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE EPHD-RELATED', 145825),
(202100, 'PTHR11782:SF90', NULL, NULL, NULL, NULL, 'APYRASE FAMILY PROTEIN-RELATED', 145826),
(202101, 'PTHR32009:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145827),
(202102, 'PTHR23257:SF829', NULL, NULL, NULL, NULL, 'BNAA03G51320D PROTEIN', 145828),
(202103, 'PTHR24128:SF69', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBOS32', 145829),
(202104, 'PTHR31096:SF77', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR4-LIKE ISOFORM X1', 145830),
(202105, 'PTHR27004:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145831),
(202106, 'PTHR12863:SF12', NULL, NULL, NULL, NULL, 'DIHYDROCERAMIDE FATTY ACYL 2-HYDROXYLASE FAH1-LIKE', 145832),
(202107, 'PTHR31218:SF343', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 145833),
(202108, 'PTHR24068:SF177', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 2', 145834),
(202109, 'PTHR10068:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145835),
(202110, 'PTHR45621:SF67', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', 145836),
(202111, 'PTHR11410:SF0', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT A', 145837),
(202112, 'PTHR48065:SF18', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 145838),
(202113, 'PTHR32153:SF62', NULL, NULL, NULL, NULL, 'BNAA09G38750D PROTEIN', 145839),
(202114, 'PTHR43939:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145840),
(202115, 'PTHR48065:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145841),
(202116, 'PTHR33047:SF19', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN', 145842),
(202117, 'PTHR44203:SF10', NULL, NULL, NULL, NULL, 'OS07G0178100 PROTEIN', 145843),
(202118, 'PTHR18896:SF164', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 145844),
(202119, 'PTHR47841:SF5', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 145845),
(202120, 'PTHR46434', NULL, NULL, NULL, NULL, 'GENETIC INTERACTOR OF PROHIBITINS 3, MITOCHONDRIAL', 145846),
(202121, 'PTHR12844:SF42', NULL, NULL, NULL, NULL, 'CONNECTOR ENHANCER OF KSR PROTEIN CNK', 145847),
(202122, 'PTHR11863:SF173', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROXYLASE-RELATED', 145848),
(202123, 'PTHR43549:SF1', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN NORM-RELATED', 145849),
(202124, 'PTHR34940:SF3', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 5 KDA PROTEIN, CHLOROPLASTIC-LIKE', 145850),
(202125, 'PTHR21252', NULL, NULL, NULL, NULL, 'TB1 PROTEIN-RELATED', 145851),
(202126, 'PTHR45664:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D3', 145852),
(202127, 'PTHR43178:SF8', NULL, NULL, NULL, NULL, 'LIPOAMIDE ACYLTRANSFERASE COMPONENT OF BRANCHED-CHAIN ALPHA-KETO ACID DEHYDROGENASE COMPLEX', 145853),
(202128, 'PTHR24384:SF189', NULL, NULL, NULL, NULL, 'FINGER PUTATIVE TRANSCRIPTION FACTOR FAMILY-RELATED', 145854),
(202129, 'PTHR16046:SF10', NULL, NULL, NULL, NULL, 'SMC5-SMC6 COMPLEX LOCALIZATION FACTOR PROTEIN 2', 145855),
(202130, 'PTHR11620:SF76', NULL, NULL, NULL, NULL, 'BNAC04G06030D PROTEIN', 145856),
(202131, 'PTHR11216:SF123', NULL, NULL, NULL, NULL, 'SI:DKEY-98F17.5', 145857),
(202132, 'PTHR11256:SF57', NULL, NULL, NULL, NULL, 'ZGC:153993', 145858),
(202133, 'PTHR11969:SF67', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH67', 145859),
(202134, 'PTHR23070:SF179', NULL, NULL, NULL, NULL, 'BNAC03G12930D PROTEIN', 145860),
(202135, 'PTHR31269:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145861);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(202136, 'PTHR45973', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT SDS22-RELATED', 145862),
(202137, 'PTHR33307', NULL, NULL, NULL, NULL, 'ALPHA-RHAMNOSIDASE (EUROFUNG)', 145863),
(202138, 'PTHR11601', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURYLASE FAMILY MEMBER', 145864),
(202139, 'PTHR10695:SF47', NULL, NULL, NULL, NULL, 'DEPHOSPHO-COA KINASE', 145865),
(202140, 'PTHR47171:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 145866),
(202141, 'PTHR27006:SF416', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN-RELATED', 145867),
(202142, 'PTHR47991:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 2-LIKE', 145868),
(202143, 'PTHR43349:SF49', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE HOMOLOG A622', 145869),
(202144, 'PTHR42820:SF13', NULL, NULL, NULL, NULL, '(-)-ISOPIPERITENOL/(-)-CARVEOL DEHYDROGENASE, MITOCHONDRIAL-LIKE', 145870),
(202145, 'PTHR10766:SF104', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 145871),
(202146, 'PTHR30293', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN NAC-RELATED', 145872),
(202147, 'PTHR34196:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145873),
(202148, 'PTHR47991:SF19', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE ISOFORM X1', 145874),
(202149, 'PTHR10252:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145875),
(202150, 'PTHR45566', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YHJB-RELATED', 145876),
(202151, 'PTHR14493:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145877),
(202152, 'PTHR34252:SF1', NULL, NULL, NULL, NULL, 'UPF0705 PROTEIN C11ORF49', 145878),
(202153, 'PTHR11923:SF67', NULL, NULL, NULL, NULL, 'RE68569P', 145879),
(202154, 'PTHR31852:SF180', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 145880),
(202155, 'PTHR12763:SF29', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DNAJ HOMOLOG 2', 145881),
(202156, 'PTHR31730:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145882),
(202157, 'PTHR46932:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145883),
(202158, 'PTHR12959', NULL, NULL, NULL, NULL, 'GPI TRANSAMIDASE COMPONENT PIG-T-RELATED', 145884),
(202159, 'PTHR46234:SF14', NULL, NULL, NULL, NULL, 'BNAC03G78050D PROTEIN', 145885),
(202160, 'PTHR46305', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 145886),
(202161, 'PTHR45854:SF5', NULL, NULL, NULL, NULL, 'UN-NAMED SA1614', 145887),
(202162, 'PTHR31336', NULL, NULL, NULL, NULL, 'LIN37 HOMOLOG', 145888),
(202163, 'PTHR47116:SF18', NULL, NULL, NULL, NULL, 'OS10G0400400 PROTEIN', 145889),
(202164, 'PTHR44129:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN POP1', 145890),
(202165, 'PTHR14453:SF95', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 145891),
(202166, 'PTHR34709', NULL, NULL, NULL, NULL, 'OS10G0396666 PROTEIN', 145892),
(202167, 'PTHR24015:SF511', NULL, NULL, NULL, NULL, 'OS03G0185200 PROTEIN', 145893),
(202168, 'PTHR20766', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 145894),
(202169, 'PTHR30244:SF34', NULL, NULL, NULL, NULL, '3-OXO-GLUCOSE-6-PHOSPHATE:GLUTAMATE AMINOTRANSFERASE', 145895),
(202170, 'PTHR13832:SF636', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 27-RELATED', 145896),
(202171, 'PTHR24072:SF172', NULL, NULL, NULL, NULL, 'SMALL GTPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G13340)-RELATED', 145897),
(202172, 'PTHR11183:SF109', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 145898),
(202173, 'PTHR31681:SF83', NULL, NULL, NULL, NULL, 'BNAA10G03710D PROTEIN', 145899),
(202174, 'PTHR33345', NULL, NULL, NULL, NULL, 'ADAPTER PROTEIN, PUTATIVE-RELATED', 145900),
(202175, 'PTHR43605:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145901),
(202176, 'PTHR31194:SF103', NULL, NULL, NULL, NULL, 'INTEGRASE-TYPE DNA-BINDING SUPERFAMILY PROTEIN-RELATED', 145902),
(202177, 'PTHR22950:SF349', NULL, NULL, NULL, NULL, 'VACUOLAR AMINO ACID TRANSPORTER 4', 145903),
(202178, 'PTHR23505:SF45', NULL, NULL, NULL, NULL, 'SPINSTER (DROSOPHILA LYSOSOMAL PERMEASE) HOMOLOG', 145904),
(202179, 'PTHR46793:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930474N05 GENE', 145905);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(202180, 'PTHR22941:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 145906),
(202181, 'PTHR23430:SF136', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-E', 145907),
(202182, 'PTHR24296:SF28', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 96 SUBFAMILY A POLYPEPTIDE 1', 145908),
(202183, 'PTHR12992:SF9', NULL, NULL, NULL, NULL, 'OS05G0209400 PROTEIN', 145909),
(202184, 'PTHR45677', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE-RELATED', 145910),
(202185, 'PTHR12329:SF37', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 1', 145911),
(202186, 'PTHR45797:SF2', NULL, NULL, NULL, NULL, 'HELICASE ARIP4', 145912),
(202187, 'PTHR42861:SF24', NULL, NULL, NULL, NULL, 'SARCOPLASMIC/ENDOPLASMIC RETICULUM CALCIUM ATPASE 1', 145913),
(202188, 'PTHR13847:SF201', NULL, NULL, NULL, NULL, 'PUTATIBE OXIDOREDUCTASE', 145914),
(202189, 'PTHR19290:SF102', NULL, NULL, NULL, NULL, 'PROTEIN ATONAL HOMOLOG 8', 145915),
(202190, 'PTHR31418:SF6', NULL, NULL, NULL, NULL, 'FATTY ACID/RETINOL BINDING PROTEIN', 145916),
(202191, 'PTHR31513', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-B RECEPTOR', 145917),
(202192, 'PTHR11216:SF139', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND FAMILY PROTEIN', 145918),
(202193, 'PTHR23051:SF10', NULL, NULL, NULL, NULL, 'THIAMINE-REPRESSIBLE MITOCHONDRIAL TRANSPORT PROTEIN THI74-LIKE ISOFORM X1', 145919),
(202194, 'PTHR44200:SF2', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ, PUTATIVE-RELATED', 145920),
(202195, 'PTHR48047:SF26', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 145921),
(202196, 'PTHR37604:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT', 145922),
(202197, 'PTHR12174:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145923),
(202198, 'PTHR16740', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-RELATED PROTEIN-RELATED', 145924),
(202199, 'PTHR45752:SF41', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 8', 145925),
(202200, 'PTHR45888:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE 2D', 145926),
(202201, 'PTHR33090:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145927),
(202202, 'PTHR10206:SF0', NULL, NULL, NULL, NULL, 'NEUTROPHILIC GRANULE PROTEIN', 145928),
(202203, 'PTHR31197:SF7', NULL, NULL, NULL, NULL, 'OS07G0419800 PROTEIN', 145929),
(202204, 'PTHR31568:SF60', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH/TRANSMEMBRANE DOMAIN A-LIKE PROTEIN', 145930),
(202205, 'PTHR38111', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 145931),
(202206, 'PTHR11654:SF524', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', 145932),
(202207, 'PTHR31218:SF239', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 145933),
(202208, 'PTHR31818', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 16', 145934),
(202209, 'PTHR13301:SF75', NULL, NULL, NULL, NULL, 'MIXED-LINKED GLUCAN SYNTHASE 6-RELATED', 145935),
(202210, 'PTHR11909:SF386', NULL, NULL, NULL, NULL, 'BNAC05G02560D PROTEIN', 145936),
(202211, 'PTHR23245', NULL, NULL, NULL, NULL, 'TRNA METHYLTRANSFERASE', 145937),
(202212, 'PTHR42854:SF8', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 3B', 145938),
(202213, 'PTHR47942:SF51', NULL, NULL, NULL, NULL, 'OS02G0321000 PROTEIN', 145939),
(202214, 'PTHR45757:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG25180', 145940),
(202215, 'PTHR19297:SF178', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYL-O-GLYCOSYL-GLYCOPROTEIN BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE 7', 145941),
(202216, 'PTHR31616:SF9', NULL, NULL, NULL, NULL, 'GLUCOAMYLASE, INTRACELLULAR SPORULATION-SPECIFIC', 145942),
(202217, 'PTHR12955:SF1', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 13', 145943),
(202218, 'PTHR38567:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145944),
(202219, 'PTHR31009:SF112', NULL, NULL, NULL, NULL, 'BNAA08G13630D PROTEIN', 145945),
(202220, 'PTHR24248:SF148', NULL, NULL, NULL, NULL, 'HISTAMINE RECEPTOR H4', 145946),
(202221, 'PTHR47992:SF82', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 61-RELATED', 145947),
(202222, 'PTHR45764:SF41', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 145948); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(202223, 'PTHR46038:SF14', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE FAMILY PROTEIN', 145949),
(202224, 'PTHR33560:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM227A', 145950),
(202225, 'PTHR15286:SF12', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION (RALGDS/AF-6) DOMAIN FAMILY (N-TERMINAL) MEMBER 8A', 145951),
(202226, 'PTHR46251:SF2', NULL, NULL, NULL, NULL, 'RUN DOMAIN-CONTAINING 3AA', 145952),
(202227, 'PTHR22802:SF345', NULL, NULL, NULL, NULL, 'SI:CH211-160B11.4-RELATED', 145953),
(202228, 'PTHR11017:SF271', NULL, NULL, NULL, NULL, 'RCT1-LIKE RESISTANCE PROTEIN, PUTATIVE-RELATED', 145954),
(202229, 'PTHR32141:SF28', NULL, NULL, NULL, NULL, 'OS12G0595200 PROTEIN', 145955),
(202230, 'PTHR22997', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 145956),
(202231, 'PTHR35752:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', 145957),
(202232, 'PTHR23060', NULL, NULL, NULL, NULL, 'TESTIS EXPRESSED GENE 14', 145958),
(202233, 'PTHR15952', NULL, NULL, NULL, NULL, 'EXPORTIN-T/LOS1', 145959),
(202234, 'PTHR45687:SF25', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-1-RELATED', 145960),
(202235, 'PTHR24044:SF466', NULL, NULL, NULL, NULL, 'SI:CH73-281K2.5', 145961),
(202236, 'PTHR14165:SF13', NULL, NULL, NULL, NULL, 'VAULT PROTEIN, PUTATIVE-RELATED', 145962),
(202237, 'PTHR26452:SF55', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 145963),
(202238, 'PTHR33157:SF2', NULL, NULL, NULL, NULL, 'OS09G0314100 PROTEIN', 145964),
(202239, 'PTHR31352:SF2', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 7', 145965),
(202240, 'PTHR22762:SF97', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE', 145966),
(202241, 'PTHR21450:SF9', NULL, NULL, NULL, NULL, 'BZIP DOMAIN CLASS TRANSCRIPTION FACTOR (DUF630 AND DUF632)-RELATED', 145967),
(202242, 'PTHR11746:SF190', NULL, NULL, NULL, NULL, 'OS01G0753300 PROTEIN', 145968),
(202243, 'PTHR24064:SF479', NULL, NULL, NULL, NULL, 'BNAC04G44990D PROTEIN', 145969),
(202244, 'PTHR30579:SF0', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR ALLS', 145970),
(202245, 'PTHR12346:SF29', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX PROTEIN SIN3-LIKE 2 ISOFORM X1', 145971),
(202246, 'PTHR12064:SF23', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER CNNM-2', 145972),
(202247, 'PTHR11417:SF10', NULL, NULL, NULL, NULL, 'PROLACTIN-6A1', 145973),
(202248, 'PTHR33209', NULL, NULL, NULL, NULL, 'PROTEASE 4', 145974),
(202249, 'PTHR40314:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09102', 145975),
(202250, 'PTHR34066', NULL, NULL, NULL, NULL, 'GROWTH FACTOR 2', 145976),
(202251, 'PTHR13261:SF1', NULL, NULL, NULL, NULL, 'BRCA2 AND CDKN1A INTERACTING PROTEIN', 145977),
(202252, 'PTHR45616:SF9', NULL, NULL, NULL, NULL, 'SI:DKEY-222F2.1-RELATED', 145978),
(202253, 'PTHR11081:SF61', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE, PUTATIVE-RELATED', 145979),
(202254, 'PTHR11660:SF53', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 MEMBER 3, CHLOROPLASTIC', 145980),
(202255, 'PTHR13856:SF32', NULL, NULL, NULL, NULL, 'TARGET OF MYB PROTEIN 1', 145981),
(202256, 'PTHR13337:SF10', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] CYTOCHROME B SMALL SUBUNIT', 145982),
(202257, 'PTHR36331', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN', 145983),
(202258, 'PTHR21860:SF2', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 6', 145984),
(202259, 'PTHR34665:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 145985),
(202260, 'PTHR11711:SF381', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 1', 145986),
(202261, 'PTHR31692:SF71', NULL, NULL, NULL, NULL, 'EXPANSIN-B4', 145987),
(202262, 'PTHR12345:SF16', NULL, NULL, NULL, NULL, 'X11L, ISOFORM F-RELATED', 145988),
(202263, 'PTHR13305:SF2', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 3-LIKE PROTEIN', 145989),
(202264, 'PTHR24115:SF818', NULL, NULL, NULL, NULL, 'KINESIN-LIKE CALMODULIN-BINDING PROTEIN', 145990),
(202265, 'PTHR14155:SF506', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL15', 145991),
(202266, 'PTHR38664:SF1', NULL, NULL, NULL, NULL, 'SLR0058 PROTEIN', 145992),
(202267, 'PTHR26453:SF188', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 706', 145993);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(202268, 'PTHR31992:SF208', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.4-LIKE', 145994),
(202269, 'PTHR42852:SF6', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBE', 145995),
(202270, 'PTHR11132:SF161', NULL, NULL, NULL, NULL, 'DMT FAMILY ORGANIC ANION TRANSPORTER (EUROFUNG)', 145996),
(202271, 'PTHR11920:SF342', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-29', 145997),
(202272, 'PTHR24377:SF888', NULL, NULL, NULL, NULL, 'ZFP37 ZINC FINGER PROTEIN', 145998),
(202273, 'PTHR24096:SF386', NULL, NULL, NULL, NULL, 'FATTY-ACID--COA LIGASE FADD11-RELATED', 145999),
(202274, 'PTHR23430:SF250', NULL, NULL, NULL, NULL, 'PROTEIN H2A.6', 146000),
(202275, 'PTHR19370:SF202', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE [NADH] 2-LIKE', 146001),
(202276, 'PTHR21327:SF45', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL RIBOFLAVIN BIOSYNTHESIS PROTEIN RIBA 2, CHLOROPLASTIC-RELATED', 146002),
(202277, 'PTHR20275:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146003),
(202278, 'PTHR22855:SF44', NULL, NULL, NULL, NULL, 'BNAA03G50840D PROTEIN', 146004),
(202279, 'PTHR36322:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146005),
(202280, 'PTHR32157:SF8', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN 47A', 146006),
(202281, 'PTHR10366:SF613', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL 4-REDUCTASE', 146007),
(202282, 'PTHR24326:SF495', NULL, NULL, NULL, NULL, 'HOMEOBOX LEUCINE ZIPPER FAMILY PROTEIN', 146008),
(202283, 'PTHR31934:SF2', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA METHYLATION 4', 146009),
(202284, 'PTHR43669:SF7', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_1G01330)', 146010),
(202285, 'PTHR47999:SF30', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 308-LIKE', 146011),
(202286, 'PTHR35727:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146012),
(202287, 'PTHR45621:SF169', NULL, NULL, NULL, NULL, 'BNAA09G08980D PROTEIN', 146013),
(202288, 'PTHR14609', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 219', 146014),
(202289, 'PTHR15710:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PRAJA-1', 146015),
(202290, 'PTHR30385:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-H FACTOR', 146016),
(202291, 'PTHR47928:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146017),
(202292, 'PTHR10795:SF567', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.2', 146018),
(202293, 'PTHR43523', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE-RELATED', 146019),
(202294, 'PTHR46128:SF7', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 146020),
(202295, 'PTHR46229:SF2', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN 1', 146021),
(202296, 'PTHR42958:SF3', NULL, NULL, NULL, NULL, 'HYDROGENASE-1 LARGE CHAIN', 146022),
(202297, 'PTHR12506:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 66', 146023),
(202298, 'PTHR13491:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146024),
(202299, 'PTHR47480:SF8', NULL, NULL, NULL, NULL, 'RLPA-LIKE DOUBLE-PSI BETA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', 146025),
(202300, 'PTHR46847:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUGAR-BINDING PROTEIN', 146026),
(202301, 'PTHR11783:SF256', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 4-RELATED', 146027),
(202302, 'PTHR43874:SF118', NULL, NULL, NULL, NULL, 'CCT DOMAIN, CHEY-LIKE SUPERFAMILY-RELATED', 146028),
(202303, 'PTHR42757:SF29', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN CONTAINING 10 LIKE', 146029),
(202304, 'PTHR10582:SF5', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY V MEMBER 2', 146030),
(202305, 'PTHR46776:SF25', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR', 146031),
(202306, 'PTHR31405', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PDR8-RELATED', 146032),
(202307, 'PTHR12903:SF11', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L24, CHLOROPLASTIC', 146033),
(202308, 'PTHR45632:SF6', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 14', 146034),
(202309, 'PTHR21678', NULL, NULL, NULL, NULL, 'GROWTH INHIBITION AND DIFFERENTIATION RELATED PROTEIN 88', 146035);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(202310, 'PTHR23264:SF34', NULL, NULL, NULL, NULL, 'CYTOSOLIC FE-S CLUSTER ASSEMBLY FACTOR NUBP1 HOMOLOG', 146036),
(202311, 'PTHR11532:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146037),
(202312, 'PTHR21724:SF95', NULL, NULL, NULL, NULL, 'PROTEIN CBG15963', 146038),
(202313, 'PTHR19443:SF33', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', 146039),
(202314, 'PTHR22957', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER GTPASE-ACTIVATING PROTEIN', 146040),
(202315, 'PTHR32005:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 178A', 146041),
(202316, 'PTHR11132:SF401', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER, PUTATIVE-RELATED', 146042),
(202317, 'PTHR48018:SF123', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR K25-RELATED', 146043),
(202318, 'PTHR23036:SF101', NULL, NULL, NULL, NULL, 'INTERLEUKIN-13 RECEPTOR SUBUNIT ALPHA-2', 146044),
(202319, 'PTHR13140:SF655', NULL, NULL, NULL, NULL, 'MYOSIN IA HEAVY CHAIN', 146045),
(202320, 'PTHR46033:SF41', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-LIKE PLANT MOBILE DOMAIN FAMILY PROTEIN', 146046),
(202321, 'PTHR33130:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146047),
(202322, 'PTHR36704:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146048),
(202323, 'PTHR33830:SF11', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 163-RELATED', 146049),
(202324, 'PTHR12027:SF112', NULL, NULL, NULL, NULL, 'PROTEIN WNT-2', 146050),
(202325, 'PTHR11937:SF453', NULL, NULL, NULL, NULL, 'ACTIN-42A', 146051),
(202326, 'PTHR13944:SF21', NULL, NULL, NULL, NULL, 'AGAP007712-PA', 146052),
(202327, 'PTHR15316:SF8', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3A, PROTEIN', 146053),
(202328, 'PTHR48022:SF64', NULL, NULL, NULL, NULL, 'HEXOSE TRANSPORTER, PUTATIVE-RELATED', 146054),
(202329, 'PTHR11071:SF486', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 146055),
(202330, 'PTHR12549:SF40', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ25-LIKE', 146056),
(202331, 'PTHR23403:SF8', NULL, NULL, NULL, NULL, 'CYTOPLASMIC TREHALASE', 146057),
(202332, 'PTHR45668:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE WITH EF-HANDS 1', 146058),
(202333, 'PTHR10362:SF39', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', 146059),
(202334, 'PTHR47025:SF9', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 146060),
(202335, 'PTHR35740:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146061),
(202336, 'PTHR27008:SF478', NULL, NULL, NULL, NULL, 'BNAA08G15070D PROTEIN', 146062),
(202337, 'PTHR32133:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146063),
(202338, 'PTHR33110:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146064),
(202339, 'PTHR11127:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L14', 146065),
(202340, 'PTHR48125:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146066),
(202341, 'PTHR47882', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 2', 146067),
(202342, 'PTHR24281:SF135', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', 146068),
(202343, 'PTHR35496:SF13', NULL, NULL, NULL, NULL, 'BNAA03G48490D PROTEIN', 146069),
(202344, 'PTHR43091:SF1', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE III, CHLOROPLASTIC', 146070),
(202345, 'PTHR13533:SF33', NULL, NULL, NULL, NULL, 'PROTEIN REDUCED WALL ACETYLATION 2', 146071),
(202346, 'PTHR36157:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08610', 146072),
(202347, 'PTHR33074:SF104', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 146073),
(202348, 'PTHR28088', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR HAA1-RELATED', 146074),
(202349, 'PTHR26453:SF119', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR M34', 146075),
(202350, 'PTHR11064:SF137', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-3', 146076),
(202351, 'PTHR14527', NULL, NULL, NULL, NULL, 'PROTEIN MIS12 HOMOLOG', 146077),
(202352, 'PTHR43788:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146078),
(202353, 'PTHR31260', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', 146079),
(202354, 'PTHR31095', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9930021J03 GENE', 146080);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(202355, 'PTHR24223:SF345', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE-RELATED', 146081),
(202356, 'PTHR13976:SF22', NULL, NULL, NULL, NULL, 'AT27789P', 146082),
(202357, 'PTHR11709:SF410', NULL, NULL, NULL, NULL, 'LACCASE', 146083),
(202358, 'PTHR43861', NULL, NULL, NULL, NULL, 'TRANS-ACONITATE 2-METHYLTRANSFERASE-RELATED', 146084),
(202359, 'PTHR22765:SF296', NULL, NULL, NULL, NULL, 'OS06G0664300 PROTEIN', 146085),
(202360, 'PTHR33083:SF91', NULL, NULL, NULL, NULL, 'OJ000126_13.10 PROTEIN', 146086),
(202361, 'PTHR11783:SF198', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 146087),
(202362, 'PTHR12300:SF117', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN I', 146088),
(202363, 'PTHR47540:SF1', NULL, NULL, NULL, NULL, 'ACTIVATOR OF STRESS GENES 1-RELATED', 146089),
(202364, 'PTHR11430:SF86', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN-H2 D-ISOMERASE', 146090),
(202365, 'PTHR23064:SF21', NULL, NULL, NULL, NULL, 'TROPONIN C, SKELETAL MUSCLE', 146091),
(202366, 'PTHR31140', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR ABI3', 146092),
(202367, 'PTHR13045:SF0', NULL, NULL, NULL, NULL, 'CYTOSOLIC 5''-NUCLEOTIDASE 3A', 146093),
(202368, 'PTHR26453:SF160', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 146094),
(202369, 'PTHR40714', NULL, NULL, NULL, NULL, 'TMF-REGULATED NUCLEAR PROTEIN 1', 146095),
(202370, 'PTHR10334:SF455', NULL, NULL, NULL, NULL, 'BNAANNG26180D PROTEIN', 146096),
(202371, 'PTHR11439:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146097),
(202372, 'PTHR31676:SF111', NULL, NULL, NULL, NULL, 'DUF538 FAMILY PROTEIN', 146098),
(202373, 'PTHR11909:SF349', NULL, NULL, NULL, NULL, 'CASEIN KINASE-LIKE PROTEIN', 146099),
(202374, 'PTHR44240:SF19', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', 146100),
(202375, 'PTHR31250:SF39', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING FAMILY PROTEIN', 146101),
(202376, 'PTHR35809:SF1', NULL, NULL, NULL, NULL, 'ARCHAETIDYLSERINE DECARBOXYLASE PROENZYME-RELATED', 146102),
(202377, 'PTHR32401:SF28', NULL, NULL, NULL, NULL, 'OS10G0129200 PROTEIN', 146103),
(202378, 'PTHR12708', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON SUBUNIT B', 146104),
(202379, 'PTHR22765:SF337', NULL, NULL, NULL, NULL, 'BNAANNG29400D PROTEIN', 146105),
(202380, 'PTHR45650:SF2', NULL, NULL, NULL, NULL, 'OS06G0560700 PROTEIN', 146106),
(202381, 'PTHR31741:SF71', NULL, NULL, NULL, NULL, 'OS01G0168600 PROTEIN', 146107),
(202382, 'PTHR11260:SF672', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 146108),
(202383, 'PTHR44259:SF29', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN', 146109),
(202384, 'PTHR43655:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPEPTIDASE, PUTATIVE-RELATED', 146110),
(202385, 'PTHR22094', NULL, NULL, NULL, NULL, 'DIFFUSE PANBRONCHIOLITIS CRITICAL REGION GENE 1', 146111),
(202386, 'PTHR13036:SF4', NULL, NULL, NULL, NULL, 'BNAA09G56260D PROTEIN', 146112),
(202387, 'PTHR12629:SF10', NULL, NULL, NULL, NULL, 'MUTT/NUDIX-LIKE', 146113),
(202388, 'PTHR15549:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146114),
(202389, 'PTHR31533:SF14', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN LORELEI-LIKE', 146115),
(202390, 'PTHR33988', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE MAZF-RELATED', 146116),
(202391, 'PTHR33736:SF12', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-RELATED', 146117),
(202392, 'PTHR44427:SF5', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 10-LIKE', 146118),
(202393, 'PTHR27004:SF380', NULL, NULL, NULL, NULL, 'BNAA02G30080D PROTEIN', 146119),
(202394, 'PTHR23279:SF12', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 14, ISOFORM A-RELATED', 146120),
(202395, 'PTHR23301:SF82', NULL, NULL, NULL, NULL, 'IP16275P-RELATED', 146121),
(202396, 'PTHR47944', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A9', 146122),
(202397, 'PTHR33154:SF19', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR RV2034', 146123),
(202398, 'PTHR42825:SF1', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 146124),
(202399, 'PTHR10196:SF87', NULL, NULL, NULL, NULL, 'FGGY CARBOHYDRATE KINASE DOMAIN CONTAINING', 146125);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(202400, 'PTHR11851:SF213', NULL, NULL, NULL, NULL, 'PROCESSING PROTEASE', 146126),
(202401, 'PTHR43201:SF5', NULL, NULL, NULL, NULL, 'PEROXISOMAL-COENZYME A SYNTHETASE', 146127),
(202402, 'PTHR42912:SF53', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 146128),
(202403, 'PTHR37720:SF2', NULL, NULL, NULL, NULL, 'OS10G0481400 PROTEIN', 146129),
(202404, 'PTHR46591:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN 26', 146130),
(202405, 'PTHR37174:SF2', NULL, NULL, NULL, NULL, 'FORKHEAD-ASSOCIATED DOMAIN PROTEIN', 146131),
(202406, 'PTHR31506', NULL, NULL, NULL, NULL, 'BES1/BZR1 HOMOLOG PROTEIN 3-RELATED', 146132),
(202407, 'PTHR32337', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 7', 146133),
(202408, 'PTHR45764:SF48', NULL, NULL, NULL, NULL, 'BNAA03G54260D PROTEIN', 146134),
(202409, 'PTHR43341:SF12', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', 146135),
(202410, 'PTHR21495:SF161', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 1-RELATED', 146136),
(202411, 'PTHR46387:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146137),
(202412, 'PTHR36154', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL ACTIVATOR ALPA', 146138),
(202413, 'PTHR37726:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 146139),
(202414, 'PTHR43044:SF2', NULL, NULL, NULL, NULL, 'REDUCTASE, SUBUNIT C, PUTATIVE-RELATED', 146140),
(202415, 'PTHR24416:SF294', NULL, NULL, NULL, NULL, 'LEUKOCYTE TYROSINE KINASE RECEPTOR', 146141),
(202416, 'PTHR44042:SF15', NULL, NULL, NULL, NULL, 'SYRINGOLIDE-INDUCED PROTEIN 1-3-1B', 146142),
(202417, 'PTHR22999:SF23', NULL, NULL, NULL, NULL, 'SORTING NEXIN-16', 146143),
(202418, 'PTHR24372:SF74', NULL, NULL, NULL, NULL, 'LP13728P', 146144),
(202419, 'PTHR22115:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CBG13044', 146145),
(202420, 'PTHR39336:SF1', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE PHOSPHATE OXIDASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G11440)', 146146),
(202421, 'PTHR11905:SF108', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 2', 146147),
(202422, 'PTHR31917:SF103', NULL, NULL, NULL, NULL, 'DUF724 DOMAIN-CONTAINING PROTEIN 3', 146148),
(202423, 'PTHR10961:SF22', NULL, NULL, NULL, NULL, 'OS01G0316100 PROTEIN', 146149),
(202424, 'PTHR15438', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX INTERACTING PROTEIN', 146150),
(202425, 'PTHR31744:SF130', NULL, NULL, NULL, NULL, 'BNAANNG11180D PROTEIN', 146151),
(202426, 'PTHR11802:SF189', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 146152),
(202427, 'PTHR48049:SF1', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN', 146153),
(202428, 'PTHR48044:SF31', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 146154),
(202429, 'PTHR10766:SF135', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 146155),
(202430, 'PTHR15081:SF9', NULL, NULL, NULL, NULL, 'NASP (HUMAN NUCLEAR AUTOANTIGENIC SPERM PROTEIN) HOMOLOG', 146156),
(202431, 'PTHR45768:SF60', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 146157),
(202432, 'PTHR24036', NULL, NULL, NULL, NULL, 'SKELETOR-RELATED', 146158),
(202433, 'PTHR24408:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 146159),
(202434, 'PTHR32153:SF43', NULL, NULL, NULL, NULL, 'OS02G0793500 PROTEIN', 146160),
(202435, 'PTHR45658:SF47', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 146161),
(202436, 'PTHR11223:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146162),
(202437, 'PTHR23201:SF94', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 6-LIKE', 146163),
(202438, 'PTHR11593:SF32', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17-2', 146164),
(202439, 'PTHR37350:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GAPT', 146165),
(202440, 'PTHR31263:SF45', NULL, NULL, NULL, NULL, 'CELLULASE (GLYCOSYL HYDROLASE FAMILY 5) PROTEIN', 146166),
(202441, 'PTHR23064:SF45', NULL, NULL, NULL, NULL, 'PENTA-EF-HAND DOMAIN CONTAINING 1', 146167),
(202442, 'PTHR15034', NULL, NULL, NULL, NULL, 'DEATH DOMAIN-CONTAINING PROTEIN CRADD', 146168),
(202443, 'PTHR31304:SF43', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', 146169);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(202444, 'PTHR24246:SF18', NULL, NULL, NULL, NULL, 'ADENOSINE RECEPTOR A2B', 146170),
(202445, 'PTHR47928:SF103', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 146171),
(202446, 'PTHR21366:SF25', NULL, NULL, NULL, NULL, 'BNAC03G13130D PROTEIN', 146172),
(202447, 'PTHR33143:SF42', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 8, CHLOROPLASTIC', 146173),
(202448, 'PTHR11242:SF7', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', 146174),
(202449, 'PTHR19248:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146175),
(202450, 'PTHR34808:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 146176),
(202451, 'PTHR11533:SF18', NULL, NULL, NULL, NULL, 'FI02158P', 146177),
(202452, 'PTHR45647:SF39', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 35', 146178),
(202453, 'PTHR24220:SF636', NULL, NULL, NULL, NULL, 'NICKEL IMPORT SYSTEM ATP-BINDING PROTEIN NIKE', 146179),
(202454, 'PTHR28556:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 106B', 146180),
(202455, 'PTHR24111:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146181),
(202456, 'PTHR45564:SF8', NULL, NULL, NULL, NULL, 'NADH:QUINONE OXIDOREDUCTASE/MRP ANTIPORTER, MEMBRANE SUBUNIT-RELATED', 146182),
(202457, 'PTHR23138:SF87', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE RANBP2-RELATED', 146183),
(202458, 'PTHR36309:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146184),
(202459, 'PTHR21312:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146185),
(202460, 'PTHR23426:SF60', NULL, NULL, NULL, NULL, 'FERREDOXIN 2', 146186),
(202461, 'PTHR13964:SF37', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 5B', 146187),
(202462, 'PTHR42738:SF14', NULL, NULL, NULL, NULL, 'ALDOLASE-TYPE TIM BARREL-RELATED', 146188),
(202463, 'PTHR28342', NULL, NULL, NULL, NULL, 'MONOOXYGENASE P33MONOX-RELATED', 146189),
(202464, 'PTHR30404:SF5', NULL, NULL, NULL, NULL, 'AUTOLYSIN PH-RELATED', 146190),
(202465, 'PTHR18860:SF31', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 OMICRON', 146191),
(202466, 'PTHR42902:SF3', NULL, NULL, NULL, NULL, 'MALATE SYNTHASE', 146192),
(202467, 'PTHR19317:SF46', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN B2', 146193),
(202468, 'PTHR46084:SF27', NULL, NULL, NULL, NULL, 'OS01G0674800 PROTEIN', 146194),
(202469, 'PTHR30336:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SANA', 146195),
(202470, 'PTHR47640:SF38', NULL, NULL, NULL, NULL, 'BNAC09G31400D PROTEIN', 146196),
(202471, 'PTHR31874:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146197),
(202472, 'PTHR13793:SF132', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATX4', 146198),
(202473, 'PTHR34945:SF6', NULL, NULL, NULL, NULL, 'ISOPENICILLIN N SYNTHASE-LIKE PROTEIN-RELATED', 146199),
(202474, 'PTHR11040:SF180', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 8-RELATED', 146200),
(202475, 'PTHR32556:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146201),
(202476, 'PTHR33124:SF75', NULL, NULL, NULL, NULL, 'BNAC03G34370D PROTEIN', 146202),
(202477, 'PTHR31415:SF138', NULL, NULL, NULL, NULL, 'BNAA03G55320D PROTEIN', 146203),
(202478, 'PTHR22941:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 146204),
(202479, 'PTHR43329:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146205),
(202480, 'PTHR24014:SF10', NULL, NULL, NULL, NULL, 'BNAANNG11120D PROTEIN', 146206),
(202481, 'PTHR13215:SF7', NULL, NULL, NULL, NULL, 'MEDIATOR-ASSOCIATED PROTEIN 3', 146207),
(202482, 'PTHR35609', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 146208),
(202483, 'PTHR11751:SF477', NULL, NULL, NULL, NULL, 'BNAC05G13450D PROTEIN', 146209),
(202484, 'PTHR14882:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 92', 146210),
(202485, 'PTHR34523', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 138', 146211),
(202486, 'PTHR30345', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE B', 146212),
(202487, 'PTHR11439:SF265', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', 146213),
(202488, 'PTHR46086:SF17', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 146214);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(202489, 'PTHR31426:SF3', NULL, NULL, NULL, NULL, 'OS06G0304500 PROTEIN', 146215),
(202490, 'PTHR23111:SF69', NULL, NULL, NULL, NULL, 'OS07G0490600 PROTEIN', 146216),
(202491, 'PTHR21450:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146217),
(202492, 'PTHR42894:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146218),
(202493, 'PTHR12266:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SODIUM/CALCIUM EXCHANGER PROTEIN', 146219),
(202494, 'PTHR27009:SF63', NULL, NULL, NULL, NULL, 'OS07G0141100 PROTEIN', 146220),
(202495, 'PTHR37298:SF1', NULL, NULL, NULL, NULL, 'UPF0111 PROTEIN YKAA', 146221),
(202496, 'PTHR31126:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146222),
(202497, 'PTHR30307', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE:TRNA RIBOSYLTRANSFERASE-ISOMERASE', 146223),
(202498, 'PTHR48018:SF149', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 146224),
(202499, 'PTHR26451:SF923', NULL, NULL, NULL, NULL, 'COMPONENT OF SP100-RS-RELATED', 146225),
(202500, 'PTHR38519:SF3', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 146226),
(202501, 'PTHR10903:SF62', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 7', 146227),
(202502, 'PTHR45658:SF42', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 1', 146228),
(202503, 'PTHR32153:SF41', NULL, NULL, NULL, NULL, 'BNAA09G38760D PROTEIN', 146229),
(202504, 'PTHR46901:SF2', NULL, NULL, NULL, NULL, 'GH04942P', 146230),
(202505, 'PTHR28632:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146231),
(202506, 'PTHR36694:SF7', NULL, NULL, NULL, NULL, 'AGAP006415-PA', 146232),
(202507, 'PTHR48054:SF36', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 146233),
(202508, 'PTHR19343:SF2', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR BETA CHAIN V REGION E1', 146234),
(202509, 'PTHR31917:SF79', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 146235),
(202510, 'PTHR23273:SF4', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT', 146236),
(202511, 'PTHR24068:SF309', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATING ENZYME', 146237),
(202512, 'PTHR10410:SF30', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 14 HOMOLOG', 146238),
(202513, 'PTHR32285:SF191', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 43', 146239),
(202514, 'PTHR15505', NULL, NULL, NULL, NULL, 'RIIA DOMAIN-CONTAINING PROTEIN 1', 146240),
(202515, 'PTHR11654:SF433', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.1-LIKE', 146241),
(202516, 'PTHR18864', NULL, NULL, NULL, NULL, 'KINECTIN', 146242),
(202517, 'PTHR11802:SF220', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 146243),
(202518, 'PTHR47047', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED-RELATED', 146244),
(202519, 'PTHR48105:SF8', NULL, NULL, NULL, NULL, 'GLUTATHIONE REDUCTASE, CYTOSOLIC', 146245),
(202520, 'PTHR10643:SF2', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN NDC80 HOMOLOG', 146246),
(202521, 'PTHR30074:SF4', NULL, NULL, NULL, NULL, 'NI/FE-HYDROGENASE 2 B-TYPE CYTOCHROME SUBUNIT-RELATED', 146247),
(202522, 'PTHR31225:SF104', NULL, NULL, NULL, NULL, 'GERMACRENE C SYNTHASE', 146248),
(202523, 'PTHR24390:SF168', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 358-LIKE PROTEIN', 146249),
(202524, 'PTHR12418', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE THEM4', 146250),
(202525, 'PTHR19970:SF25', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39-LIKE 5-RELATED', 146251),
(202526, 'PTHR31187:SF5', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN', 146252),
(202527, 'PTHR24418:SF162', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE ABL1', 146253),
(202528, 'PTHR24960:SF55', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I IRON-SULFUR CENTER', 146254),
(202529, 'PTHR46086:SF4', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 146255),
(202530, 'PTHR10994:SF173', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B8', 146256),
(202531, 'PTHR34217:SF1', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE 1', 146257),
(202532, 'PTHR11953:SF1', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP46', 146258),
(202533, 'PTHR34311:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG27706', 146259);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(202534, 'PTHR16134:SF73', NULL, NULL, NULL, NULL, 'F-BOX SKIP17-LIKE PROTEIN', 146260),
(202535, 'PTHR12756:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146261),
(202536, 'PTHR10644:SF1', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 3', 146262),
(202537, 'PTHR11972:SF171', NULL, NULL, NULL, NULL, 'FERRIC REDUCTASE, NAD BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 146263),
(202538, 'PTHR10826:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 146264),
(202539, 'PTHR32096:SF19', NULL, NULL, NULL, NULL, 'OS01G0750100 PROTEIN', 146265),
(202540, 'PTHR31341:SF12', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN GP100', 146266),
(202541, 'PTHR33573:SF20', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 4', 146267),
(202542, 'PTHR31604:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 7', 146268),
(202543, 'PTHR43025:SF3', NULL, NULL, NULL, NULL, 'MONOGALACTOSYLDIACYLGLYCEROL SYNTHASE 1, CHLOROPLASTIC', 146269),
(202544, 'PTHR24064:SF473', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN, EXPRESSED', 146270),
(202545, 'PTHR11014:SF157', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 3', 146271),
(202546, 'PTHR48043:SF60', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 146272),
(202547, 'PTHR31561:SF84', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 146273),
(202548, 'PTHR34717:SF1', NULL, NULL, NULL, NULL, 'EG:BACR7A4.20 PROTEIN', 146274),
(202549, 'PTHR32278:SF77', NULL, NULL, NULL, NULL, 'PHLOEM PROTEIN 2-LIKE PROTEIN-RELATED', 146275),
(202550, 'PTHR11920:SF480', NULL, NULL, NULL, NULL, 'PROTEIN CBG07424', 146276),
(202551, 'PTHR21290:SF23', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:CERAMIDE CHOLINEPHOSPHOTRANSFERASE 2', 146277),
(202552, 'PTHR23155:SF969', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146278),
(202553, 'PTHR44051:SF14', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE FAMILY PROTEIN', 146279),
(202554, 'PTHR24366:SF118', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 66', 146280),
(202555, 'PTHR36060:SF2', NULL, NULL, NULL, NULL, 'BNAA03G52180D PROTEIN', 146281),
(202556, 'PTHR11089:SF35', NULL, NULL, NULL, NULL, 'GTP-BINDING FAMILY PROTEIN-RELATED', 146282),
(202557, 'PTHR24073:SF1060', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA6B', 146283),
(202558, 'PTHR21723', NULL, NULL, NULL, NULL, 'RESISTANCE TO INHIBITORS OF CHOLINESTERASE PROTEIN 3  RIC3', 146284),
(202559, 'PTHR31084:SF16', NULL, NULL, NULL, NULL, 'ALPHA-FUCOSIDASE A-RELATED', 146285),
(202560, 'PTHR43243:SF25', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER-RELATED', 146286),
(202561, 'PTHR13578:SF11', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN ASXL2-RELATED', 146287),
(202562, 'PTHR38564', NULL, NULL, NULL, NULL, 'SI:CH73-250A16.5-RELATED', 146288),
(202563, 'PTHR43675:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146289),
(202564, 'PTHR47975:SF19', NULL, NULL, NULL, NULL, 'OS01G0890200 PROTEIN', 146290),
(202565, 'PTHR11071:SF469', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 146291),
(202566, 'PTHR14030:SF2', NULL, NULL, NULL, NULL, 'OS11G0128700 PROTEIN', 146292),
(202567, 'PTHR43695:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17250)-RELATED', 146293),
(202568, 'PTHR23267:SF334', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-III REGION CBPC 101-RELATED', 146294),
(202569, 'PTHR33101:SF49', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 12-LIKE', 146295),
(202570, 'PTHR45979:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146296),
(202571, 'PTHR15285:SF0', NULL, NULL, NULL, NULL, 'NEURONATIN', 146297),
(202572, 'PTHR23255:SF49', NULL, NULL, NULL, NULL, 'ANTI-MUELLERIAN HORMONE TYPE-2 RECEPTOR', 146298),
(202573, 'PTHR31216', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-1-RELATED-RELATED', 146299),
(202574, 'PTHR19328:SF27', NULL, NULL, NULL, NULL, 'HEDGEHOG-INTERACTING PROTEIN', 146300),
(202575, 'PTHR46467:SF1', NULL, NULL, NULL, NULL, 'TETHER CONTAINING UBX DOMAIN FOR GLUT4', 146301),
(202576, 'PTHR10381:SF47', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT-RELATED PROTEIN 4, CHLOROPLASTIC', 146302); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(202577, 'PTHR11654:SF344', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.4', 146303),
(202578, 'PTHR42683:SF46', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 9 ISOFORM X1-RELATED', 146304),
(202579, 'PTHR31911:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM133B', 146305),
(202580, 'PTHR43591:SF67', NULL, NULL, NULL, NULL, 'BNAA02G20230D PROTEIN', 146306),
(202581, 'PTHR31553:SF2', NULL, NULL, NULL, NULL, 'OPTINEURIN', 146307),
(202582, 'PTHR38337:SF1', NULL, NULL, NULL, NULL, 'AGAP010540-PA', 146308),
(202583, 'PTHR14380:SF7', NULL, NULL, NULL, NULL, 'OOCYTE-SECRETED PROTEIN 2', 146309),
(202584, 'PTHR48020:SF27', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 4', 146310),
(202585, 'PTHR12596:SF1', NULL, NULL, NULL, NULL, 'EXPORTIN-4', 146311),
(202586, 'PTHR31707:SF282', NULL, NULL, NULL, NULL, 'BNAA06G35730D PROTEIN', 146312),
(202587, 'PTHR42776:SF4', NULL, NULL, NULL, NULL, 'ACYLAMINO-ACID-RELEASING ENZYME', 146313),
(202588, 'PTHR19446:SF435', NULL, NULL, NULL, NULL, 'LINE-1 RETROTRANSPOSABLE ELEMENT ORF2 PROTEIN', 146314),
(202589, 'PTHR31973:SF113', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 3-LIKE', 146315),
(202590, 'PTHR31195', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 146316),
(202591, 'PTHR33044:SF37', NULL, NULL, NULL, NULL, 'OS10G0191100 PROTEIN', 146317),
(202592, 'PTHR46301:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146318),
(202593, 'PTHR24392:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 510', 146319),
(202594, 'PTHR24377:SF695', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 689', 146320),
(202595, 'PTHR12174:SF84', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 4', 146321),
(202596, 'PTHR12413', NULL, NULL, NULL, NULL, 'DOLICHYL GLYCOSYLTRANSFERASE', 146322),
(202597, 'PTHR11941:SF144', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 3', 146323),
(202598, 'PTHR22844:SF336', NULL, NULL, NULL, NULL, 'PROTEIN JINGUBANG', 146324),
(202599, 'PTHR31681:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146325),
(202600, 'PTHR31881:SF18', NULL, NULL, NULL, NULL, 'BNAC02G00230D PROTEIN', 146326),
(202601, 'PTHR10388:SF55', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLATION FACTOR SUI1 HOMOLOG 1', 146327),
(202602, 'PTHR21562:SF96', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 146328),
(202603, 'PTHR31301:SF101', NULL, NULL, NULL, NULL, 'LOB DOMAIN PROTEIN', 146329),
(202604, 'PTHR35895', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 146330),
(202605, 'PTHR13707:SF53', NULL, NULL, NULL, NULL, 'SUCCINYL-COA:3-KETOACID-COENZYME A TRANSFERASE', 146331),
(202606, 'PTHR13872:SF45', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT STT3B', 146332),
(202607, 'PTHR33672:SF19', NULL, NULL, NULL, NULL, 'BNAA08G30090D PROTEIN', 146333),
(202608, 'PTHR10953:SF210', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 2', 146334),
(202609, 'PTHR10288:SF296', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 14', 146335),
(202610, 'PTHR31529:SF45', NULL, NULL, NULL, NULL, 'BNAC04G56960D PROTEIN', 146336),
(202611, 'PTHR45988:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146337),
(202612, 'PTHR13083:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 91', 146338),
(202613, 'PTHR31645:SF70', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER, OPT SUPERFAMILY-RELATED', 146339),
(202614, 'PTHR19944:SF50', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DM ALPHA CHAIN', 146340),
(202615, 'PTHR12663:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', 146341),
(202616, 'PTHR46419:SF7', NULL, NULL, NULL, NULL, 'ARF GTPASE ACTIVATOR', 146342),
(202617, 'PTHR23423:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146343),
(202618, 'PTHR30126:SF82', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 146344),
(202619, 'PTHR43176:SF29', NULL, NULL, NULL, NULL, 'BNAA04G17110D PROTEIN', 146345),
(202620, 'PTHR42684:SF13', NULL, NULL, NULL, NULL, 'BNAA01G24820D PROTEIN', 146346),
(202621, 'PTHR11937:SF471', NULL, NULL, NULL, NULL, 'ACTIN-4', 146347);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(202622, 'PTHR39757:SF3', NULL, NULL, NULL, NULL, 'LYCOPENE EPSILON CYCLASE, CHLOROPLASTIC ISOFORM X1', 146348),
(202623, 'PTHR23023:SF131', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', 146349),
(202624, 'PTHR12317:SF19', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 2-LIKE PROTEIN 6', 146350),
(202625, 'PTHR47373:SF4', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR B-LIKE', 146351),
(202626, 'PTHR45758:SF13', NULL, NULL, NULL, NULL, 'BNAA05G12200D PROTEIN', 146352),
(202627, 'PTHR28236:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L44, MITOCHONDRIAL', 146353),
(202628, 'PTHR39142:SF1', NULL, NULL, NULL, NULL, 'MID1P', 146354),
(202629, 'PTHR12422:SF5', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 49 MEMBER BA', 146355),
(202630, 'PTHR34053:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ULTRAPETALA 1', 146356),
(202631, 'PTHR24418:SF245', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE HCK', 146357),
(202632, 'PTHR31218:SF274', NULL, NULL, NULL, NULL, 'BNAC06G31330D PROTEIN', 146358),
(202633, 'PTHR24351:SF198', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C ETA TYPE', 146359),
(202634, 'PTHR34358:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146360),
(202635, 'PTHR47657:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 146361),
(202636, 'PTHR33128:SF73', NULL, NULL, NULL, NULL, 'BNAA06G16390D PROTEIN', 146362),
(202637, 'PTHR43704', NULL, NULL, NULL, NULL, 'BSR5907 PROTEIN', 146363),
(202638, 'PTHR45136', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 146364),
(202639, 'PTHR21662:SF26', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', 146365),
(202640, 'PTHR45768:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 146366),
(202641, 'PTHR31212:SF5', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE FAMILY PROTEIN FAMILY (AFU_ORTHOLOGUE AFUA_3G14500)', 146367),
(202642, 'PTHR42776:SF25', NULL, NULL, NULL, NULL, 'BNAA01G19230D PROTEIN', 146368),
(202643, 'PTHR23147:SF22', NULL, NULL, NULL, NULL, 'DXL6 PROTEIN', 146369),
(202644, 'PTHR31444:SF27', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE BIOSYNTHESIS PROTEIN', 146370),
(202645, 'PTHR46122:SF16', NULL, NULL, NULL, NULL, 'BNAA09G53710D PROTEIN', 146371),
(202646, 'PTHR39308', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 146372),
(202647, 'PTHR35294:SF4', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', 146373),
(202648, 'PTHR47991:SF114', NULL, NULL, NULL, NULL, 'HYOSCYAMINE 6-DIOXYGENASE-LIKE', 146374),
(202649, 'PTHR47980:SF21', NULL, NULL, NULL, NULL, 'RE54550P', 146375),
(202650, 'PTHR10743:SF14', NULL, NULL, NULL, NULL, 'PROTEIN RER1', 146376),
(202651, 'PTHR43690:SF21', NULL, NULL, NULL, NULL, 'PROCESSING PROTEASE', 146377),
(202652, 'PTHR31204:SF1', NULL, NULL, NULL, NULL, 'SIGMA INTRACELLULAR RECEPTOR 2', 146378),
(202653, 'PTHR31744:SF162', NULL, NULL, NULL, NULL, 'BNAC01G09890D PROTEIN', 146379),
(202654, 'PTHR31662:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146380),
(202655, 'PTHR23504:SF30', NULL, NULL, NULL, NULL, 'FACILITATOR SUPERFAMILY ANTIPORTER, PUTATIVE, EXPRESSED-RELATED', 146381),
(202656, 'PTHR45938:SF6', NULL, NULL, NULL, NULL, 'WAP, KAZAL, IMMUNOGLOBULIN, KUNITZ AND NTR DOMAIN-CONTAINING PROTEIN 1', 146382),
(202657, 'PTHR21470:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146383),
(202658, 'PTHR46646:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146384),
(202659, 'PTHR10869:SF169', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 3-RELATED', 146385),
(202660, 'PTHR24067:SF258', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2G 1A (UBC7 HOMOLOG, YEAST)', 146386),
(202661, 'PTHR23176:SF113', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN AT 16F, ISOFORM E-RELATED', 146387),
(202662, 'PTHR31636:SF168', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL3', 146388),
(202663, 'PTHR32347:SF19', NULL, NULL, NULL, NULL, 'MEMBRANE FUSION EFFLUX PROTEIN', 146389),
(202664, 'PTHR12011:SF318', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR G1', 146390),
(202665, 'PTHR22800', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN PROTEINS', 146391);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(202666, 'PTHR34283:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146392),
(202667, 'PTHR48011:SF40', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 3-LIKE', 146393),
(202668, 'PTHR33191:SF55', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 1-RELATED', 146394),
(202669, 'PTHR46393:SF1', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR B', 146395),
(202670, 'PTHR11480:SF70', NULL, NULL, NULL, NULL, 'PROSAPOSIN', 146396),
(202671, 'PTHR46267:SF14', NULL, NULL, NULL, NULL, 'BNAC07G31550D PROTEIN', 146397),
(202672, 'PTHR48077:SF6', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE BETA CHAIN', 146398),
(202673, 'PTHR36876', NULL, NULL, NULL, NULL, 'UROTENSIN-2B', 146399),
(202674, 'PTHR11615:SF148', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4D2', 146400),
(202675, 'PTHR47919', NULL, NULL, NULL, NULL, 'INFECTION RESPONSE PROTEIN-RELATED', 146401),
(202676, 'PTHR21621:SF4', NULL, NULL, NULL, NULL, 'GLUTATHIONE SYNTHETASE', 146402),
(202677, 'PTHR27008:SF384', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 146403),
(202678, 'PTHR37356:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 239', 146404),
(202679, 'PTHR46157:SF9', NULL, NULL, NULL, NULL, 'BNACNNG08900D PROTEIN', 146405),
(202680, 'PTHR11496', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE', 146406),
(202681, 'PTHR45826:SF8', NULL, NULL, NULL, NULL, 'BNAC05G39680D PROTEIN', 146407),
(202682, 'PTHR18945:SF599', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 146408),
(202683, 'PTHR10725:SF55', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 146409),
(202684, 'PTHR45696:SF21', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN', 146410),
(202685, 'PTHR43742:SF5', NULL, NULL, NULL, NULL, 'BIOTIN SULFOXIDE REDUCTASE', 146411),
(202686, 'PTHR21364:SF1', NULL, NULL, NULL, NULL, 'GENERAL ODORANT-BINDING PROTEIN LUSH', 146412),
(202687, 'PTHR31086:SF9', NULL, NULL, NULL, NULL, 'OS06G0331900 PROTEIN', 146413),
(202688, 'PTHR33830:SF20', NULL, NULL, NULL, NULL, 'BNAA01G07560D PROTEIN', 146414),
(202689, 'PTHR20856:SF22', NULL, NULL, NULL, NULL, 'OS08G0171600 PROTEIN', 146415),
(202690, 'PTHR47025:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146416),
(202691, 'PTHR24177:SF272', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', 146417),
(202692, 'PTHR17039:SF1', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RIBONUCLEOPROTEIN PROTEIN MPP10', 146418),
(202693, 'PTHR13393:SF0', NULL, NULL, NULL, NULL, 'RNA N6-ADENOSINE-METHYLTRANSFERASE METTL16', 146419),
(202694, 'PTHR13780:SF35', NULL, NULL, NULL, NULL, 'LD22662P', 146420),
(202695, 'PTHR22298:SF156', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 146421),
(202696, 'PTHR33836:SF1', NULL, NULL, NULL, NULL, 'LOW-TEMPERATURE-INDUCED 65 KDA PROTEIN-RELATED', 146422),
(202697, 'PTHR32246:SF122', NULL, NULL, NULL, NULL, 'BNAC01G41880D PROTEIN', 146423),
(202698, 'PTHR45811:SF33', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 2-RELATED', 146424),
(202699, 'PTHR36930', NULL, NULL, NULL, NULL, 'METAL-SULFUR CLUSTER BIOSYNTHESIS PROTEINS YUAD-RELATED', 146425),
(202700, 'PTHR31642:SF228', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', 146426),
(202701, 'PTHR42920:SF8', NULL, NULL, NULL, NULL, 'DRUG/METABOLITE TRANSPORTER', 146427),
(202702, 'PTHR32176:SF37', NULL, NULL, NULL, NULL, 'PATATIN', 146428),
(202703, 'PTHR24072:SF335', NULL, NULL, NULL, NULL, 'RHO, PUTATIVE-RELATED', 146429),
(202704, 'PTHR31096:SF10', NULL, NULL, NULL, NULL, 'DOMAIN CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', 146430),
(202705, 'PTHR34504:SF2', NULL, NULL, NULL, NULL, 'ANTITOXIN HICB', 146431),
(202706, 'PTHR37266', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 6', 146432),
(202707, 'PTHR33374:SF36', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 20', 146433),
(202708, 'PTHR10844:SF16', NULL, NULL, NULL, NULL, 'CAVEOLIN-3', 146434),
(202709, 'PTHR35310:SF1', NULL, NULL, NULL, NULL, 'CELL WALL INTEGRITY/STRESS RESPONSE COMPONENT-LIKE PROTEIN', 146435);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(202710, 'PTHR13874:SF11', NULL, NULL, NULL, NULL, 'ENDOTHELIN-3', 146436),
(202711, 'PTHR45648:SF90', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', 146437),
(202712, 'PTHR42758:SF3', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE D GDPD3', 146438),
(202713, 'PTHR31549:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146439),
(202714, 'PTHR31948:SF98', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 10', 146440),
(202715, 'PTHR24009:SF26', NULL, NULL, NULL, NULL, 'BNAC01G32250D PROTEIN', 146441),
(202716, 'PTHR46998:SF2', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 11', 146442),
(202717, 'PTHR31966:SF21', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-RELATED', 146443),
(202718, 'PTHR30636:SF3', NULL, NULL, NULL, NULL, 'UPF0701 PROTEIN YICC', 146444),
(202719, 'PTHR33127', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 146445),
(202720, 'PTHR12329:SF33', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 2', 146446),
(202721, 'PTHR45613:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146447),
(202722, 'PTHR46128:SF277', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 146448),
(202723, 'PTHR31384:SF120', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 12-RELATED', 146449),
(202724, 'PTHR33305:SF42', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 4 PROTEIN-RELATED', 146450),
(202725, 'PTHR33994:SF28', NULL, NULL, NULL, NULL, 'OS04G0515200 PROTEIN', 146451),
(202726, 'PTHR31089:SF5', NULL, NULL, NULL, NULL, 'OS01G0673700 PROTEIN', 146452),
(202727, 'PTHR23207', NULL, NULL, NULL, NULL, 'CORNEODESMOSIN', 146453),
(202728, 'PTHR11552:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146454),
(202729, 'PTHR33057:SF145', NULL, NULL, NULL, NULL, 'OVATE FAMILY PROTEIN 2-RELATED', 146455),
(202730, 'PTHR24249:SF396', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146456),
(202731, 'PTHR11200:SF276', NULL, NULL, NULL, NULL, 'BREVIS PLANT1', 146457),
(202732, 'PTHR34682:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146458),
(202733, 'PTHR31790:SF393', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146459),
(202734, 'PTHR45636:SF15', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-1', 146460),
(202735, 'PTHR43741:SF3', NULL, NULL, NULL, NULL, 'IRON-SULFUR FLAVOPROTEIN', 146461),
(202736, 'PTHR11437:SF2', NULL, NULL, NULL, NULL, 'INACTIVE RIBONUCLEASE-LIKE PROTEIN 10', 146462),
(202737, 'PTHR19424', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR BINDING PROTEIN 1', 146463),
(202738, 'PTHR13600', NULL, NULL, NULL, NULL, 'LEUCINE CARBOXYL METHYLTRANSFERASE', 146464),
(202739, 'PTHR22255:SF4', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN DECARBOXYLASE', 146465),
(202740, 'PTHR31719:SF152', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', 146466),
(202741, 'PTHR10992:SF1017', NULL, NULL, NULL, NULL, 'ESTERASE PIR7A', 146467),
(202742, 'PTHR35277:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146468),
(202743, 'PTHR12304:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146469),
(202744, 'PTHR11036:SF130', NULL, NULL, NULL, NULL, 'SEMA DOMAIN, TRANSMEMBRANE DOMAIN (TM), AND CYTOPLASMIC DOMAIN, (SEMAPHORIN) 6BA', 146470),
(202745, 'PTHR16270:SF5', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC287798', 146471),
(202746, 'PTHR46081', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 146472),
(202747, 'PTHR13359:SF3', NULL, NULL, NULL, NULL, 'COPPER ION-BINDING PROTEIN', 146473),
(202748, 'PTHR24103:SF259', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 15', 146474),
(202749, 'PTHR24092:SF51', NULL, NULL, NULL, NULL, 'ATPASE, PUTATIVE-RELATED', 146475),
(202750, 'PTHR16504', NULL, NULL, NULL, NULL, '5''(3'')-DEOXYRIBONUCLEOTIDASE', 146476),
(202751, 'PTHR28632:SF2', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 7', 146477),
(202752, 'PTHR12157:SF15', NULL, NULL, NULL, NULL, 'REGULATING SYNAPTIC MEMBRANE EXOCYTOSIS PROTEIN 2', 146478),
(202753, 'PTHR27006:SF411', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE RECEPTOR 2', 146479),
(202754, 'PTHR10796:SF88', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 146480);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(202755, 'PTHR11266:SF39', NULL, NULL, NULL, NULL, 'MPV17-LIKE PROTEIN', 146481),
(202756, 'PTHR47998:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB23-LIKE', 146482),
(202757, 'PTHR31402:SF2', NULL, NULL, NULL, NULL, 'UPF0711 PROTEIN C18ORF21', 146483),
(202758, 'PTHR47982:SF25', NULL, NULL, NULL, NULL, 'OS03G0269300 PROTEIN', 146484),
(202759, 'PTHR33044:SF104', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN GPI-ANCHORED 2', 146485),
(202760, 'PTHR21569:SF31', NULL, NULL, NULL, NULL, 'BNAC05G47390D PROTEIN', 146486),
(202761, 'PTHR18966:SF499', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 146487),
(202762, 'PTHR23272:SF104', NULL, NULL, NULL, NULL, 'OS08G0198100 PROTEIN', 146488),
(202763, 'PTHR47315:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146489),
(202764, 'PTHR21677:SF4', NULL, NULL, NULL, NULL, 'TSL-KINASE INTERACTING-LIKE PROTEIN', 146490),
(202765, 'PTHR12313:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146491),
(202766, 'PTHR33115:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146492),
(202767, 'PTHR11043:SF25', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-2', 146493),
(202768, 'PTHR31642:SF257', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE-RELATED', 146494),
(202769, 'PTHR21600:SF42', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE(31) SYNTHASE', 146495),
(202770, 'PTHR37011', NULL, NULL, NULL, NULL, 'POT FAMILY PEPTIDE TRANSPORT PROTEIN-RELATED', 146496),
(202771, 'PTHR33177:SF20', NULL, NULL, NULL, NULL, 'OSJNBA0088H09.9 PROTEIN', 146497),
(202772, 'PTHR31114:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 146498),
(202773, 'PTHR41148', NULL, NULL, NULL, NULL, 'LP09875P', 146499),
(202774, 'PTHR47160:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146500),
(202775, 'PTHR24115:SF781', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 146501),
(202776, 'PTHR47991:SF50', NULL, NULL, NULL, NULL, 'FLAVANONE 3-DIOXYGENASE 3', 146502),
(202777, 'PTHR11098:SF24', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE', 146503),
(202778, 'PTHR31265:SF42', NULL, NULL, NULL, NULL, 'OS01G0611000 PROTEIN', 146504),
(202779, 'PTHR46328:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5-LIKE', 146505),
(202780, 'PTHR11742:SF90', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 146506),
(202781, 'PTHR46548:SF5', NULL, NULL, NULL, NULL, 'BNAANNG26470D PROTEIN', 146507),
(202782, 'PTHR18945:SF195', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT GAMMA-3', 146508),
(202783, 'PTHR45751:SF34', NULL, NULL, NULL, NULL, 'COPINE III-LIKE', 146509),
(202784, 'PTHR31208:SF2', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', 146510),
(202785, 'PTHR18945:SF504', NULL, NULL, NULL, NULL, 'GLUTAMATE-GATED CHLORIDE CHANNEL SUBUNIT BETA', 146511),
(202786, 'PTHR48044:SF59', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 146512),
(202787, 'PTHR10795:SF654', NULL, NULL, NULL, NULL, 'BNACNNG17920D PROTEIN', 146513),
(202788, 'PTHR12027:SF100', NULL, NULL, NULL, NULL, 'PROTEIN WNT', 146514),
(202789, 'PTHR42743:SF5', NULL, NULL, NULL, NULL, 'AMINODEOXYCHORISMATE LYASE', 146515),
(202790, 'PTHR11783:SF170', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 146516),
(202791, 'PTHR43072:SF23', NULL, NULL, NULL, NULL, 'L-AMINO ACID N-ACYLTRANSFERASE MNAT', 146517),
(202792, 'PTHR22601:SF72', NULL, NULL, NULL, NULL, 'OPT FAMILY SMALL OLIGOPEPTIDE TRANSPORTER', 146518),
(202793, 'PTHR33463:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146519),
(202794, 'PTHR10009:SF8', NULL, NULL, NULL, NULL, 'IP19120P', 146520),
(202795, 'PTHR24404:SF53', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 148', 146521),
(202796, 'PTHR33737:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146522),
(202797, 'PTHR11208:SF29', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING, RNA-BINDING, SIGNAL TRANSDUCTION-ASSOCIATED PROTEIN 3', 146523),
(202798, 'PTHR36366:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RDM1', 146524),
(202799, 'PTHR46498', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN 8', 146525);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(202800, 'PTHR11783:SF226', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 146526),
(202801, 'PTHR48108:SF6', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX2, CHLOROPLASTIC', 146527),
(202802, 'PTHR11412:SF92', NULL, NULL, NULL, NULL, 'PREGNANCY ZONE PROTEIN', 146528),
(202803, 'PTHR43557', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 1', 146529),
(202804, 'PTHR31121:SF2', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE KTR5-RELATED', 146530),
(202805, 'PTHR10980:SF8', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 3', 146531),
(202806, 'PTHR24083', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR', 146532),
(202807, 'PTHR12542:SF144', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 146533),
(202808, 'PTHR15944', NULL, NULL, NULL, NULL, 'FARNESYLCYSTEINE LYASE', 146534),
(202809, 'PTHR21499:SF55', NULL, NULL, NULL, NULL, 'ASPARTOKINASE', 146535),
(202810, 'PTHR10894:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 146536),
(202811, 'PTHR11002', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 146537),
(202812, 'PTHR40257', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 146538),
(202813, 'PTHR45687:SF62', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-1', 146539),
(202814, 'PTHR13812:SF19', NULL, NULL, NULL, NULL, 'KETIMINE REDUCTASE MU-CRYSTALLIN', 146540),
(202815, 'PTHR48018:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 146541),
(202816, 'PTHR46153:SF23', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 146542),
(202817, 'PTHR13018:SF104', NULL, NULL, NULL, NULL, 'BNAC06G30620D PROTEIN', 146543),
(202818, 'PTHR33044:SF169', NULL, NULL, NULL, NULL, 'BNAC06G43950D PROTEIN', 146544),
(202819, 'PTHR23318:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 3B', 146545),
(202820, 'PTHR43295:SF2', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE 2', 146546),
(202821, 'PTHR42829', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 5', 146547),
(202822, 'PTHR47240', NULL, NULL, NULL, NULL, 'CHROMO DOMAIN-CONTAINING PROTEIN LHP1', 146548),
(202823, 'PTHR10961:SF42', NULL, NULL, NULL, NULL, 'AMINO ACID OXIDASESARCOSINE OXIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10130)-RELATED', 146549),
(202824, 'PTHR32071:SF90', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN LEVR', 146550),
(202825, 'PTHR22599:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146551),
(202826, 'PTHR26450:SF60', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 146552),
(202827, 'PTHR24118:SF67', NULL, NULL, NULL, NULL, 'ANKYRIN 1', 146553),
(202828, 'PTHR22902:SF26', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING PROTEIN 1', 146554),
(202829, 'PTHR21562:SF65', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 146555),
(202830, 'PTHR48000:SF4', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 146556),
(202831, 'PTHR48002:SF129', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 146557),
(202832, 'PTHR43607:SF1', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE CATALYTIC SUBUNIT A', 146558),
(202833, 'PTHR44137:SF17', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 146559),
(202834, 'PTHR14191:SF3', NULL, NULL, NULL, NULL, 'MIP11264P', 146560),
(202835, 'PTHR21398:SF11', NULL, NULL, NULL, NULL, 'HDC15381-RELATED', 146561),
(202836, 'PTHR33048:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146562),
(202837, 'PTHR31533:SF11', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN LLG2', 146563),
(202838, 'PTHR45949:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN-30', 146564),
(202839, 'PTHR30506:SF2', NULL, NULL, NULL, NULL, 'UPF0126 INNER MEMBRANE PROTEIN YICG', 146565),
(202840, 'PTHR23502:SF162', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YDHC', 146566),
(202841, 'PTHR43591:SF10', NULL, NULL, NULL, NULL, 'UMTA', 146567),
(202842, 'PTHR22888:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME BO(3) UBIQUINOL OXIDASE SUBUNIT 2', 146568),
(202843, 'PTHR46014', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 1', 146569),
(202844, 'PTHR22849:SF134', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 146570);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(202845, 'PTHR13244:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 10', 146571),
(202846, 'PTHR27007:SF156', NULL, NULL, NULL, NULL, 'OS07G0130200 PROTEIN', 146572),
(202847, 'PTHR23170', NULL, NULL, NULL, NULL, 'NY-REN-58 ANTIGEN', 146573),
(202848, 'PTHR14392:SF9', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 129 MEMBER BA', 146574),
(202849, 'PTHR34823:SF1', NULL, NULL, NULL, NULL, 'GLCNAC-BINDING PROTEIN A', 146575),
(202850, 'PTHR41400', NULL, NULL, NULL, NULL, 'MGC152344 PROTEIN', 146576),
(202851, 'PTHR31444:SF31', NULL, NULL, NULL, NULL, 'GLUCURONOXYLAN 4-O-METHYLTRANSFERASE 1', 146577),
(202852, 'PTHR43190:SF3', NULL, NULL, NULL, NULL, 'N-ACETYL-D-GLUCOSAMINE KINASE', 146578),
(202853, 'PTHR34218:SF3', NULL, NULL, NULL, NULL, 'ACYL-HOMOSERINE LACTONE ACYLASE PVDQ', 146579),
(202854, 'PTHR42721:SF33', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 5-RELATED', 146580),
(202855, 'PTHR23294:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG01365', 146581),
(202856, 'PTHR11817:SF95', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 146582),
(202857, 'PTHR14950:SF54', NULL, NULL, NULL, NULL, 'RNASE II-LIKE 1', 146583),
(202858, 'PTHR33095:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146584),
(202859, 'PTHR24240:SF177', NULL, NULL, NULL, NULL, 'PROTEIN CBG03949', 146585),
(202860, 'PTHR11017:SF446', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146586),
(202861, 'PTHR47956:SF84', NULL, NULL, NULL, NULL, 'OS06G0500700 PROTEIN', 146587),
(202862, 'PTHR33130:SF33', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF1639)-RELATED', 146588),
(202863, 'PTHR31352:SF42', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', 146589),
(202864, 'PTHR31238:SF176', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 146590),
(202865, 'PTHR13683:SF811', NULL, NULL, NULL, NULL, 'OS02G0314600 PROTEIN', 146591),
(202866, 'PTHR32448:SF106', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT OXIDOREDUCTASE FOX3-LIKE', 146592),
(202867, 'PTHR23031:SF5', NULL, NULL, NULL, NULL, 'RHOPHILIN-2-RELATED', 146593),
(202868, 'PTHR22844:SF371', NULL, NULL, NULL, NULL, 'OS12G0594000 PROTEIN', 146594),
(202869, 'PTHR47252:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 146595),
(202870, 'PTHR31458:SF17', NULL, NULL, NULL, NULL, 'NON-CATALYTIC SUBUNIT AROGP2, PUTATIVE-RELATED', 146596),
(202871, 'PTHR14485:SF4', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 23-LIKE', 146597),
(202872, 'PTHR36956:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG27982', 146598),
(202873, 'PTHR27006:SF398', NULL, NULL, NULL, NULL, 'OSJNBA0011F23.11 PROTEIN', 146599),
(202874, 'PTHR34676:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, RIBONUCLEASE H-LIKE DOMAIN, GAG-PRE-INTEGRASE DOMAIN PROTEIN-RELATED', 146600),
(202875, 'PTHR13266', NULL, NULL, NULL, NULL, 'PROTEASOME INHIBITOR', 146601),
(202876, 'PTHR31623:SF86', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', 146602),
(202877, 'PTHR47155:SF1', NULL, NULL, NULL, NULL, 'DAF-16/FOXO CONTROLLED, GERMLINE TUMOR AFFECTING-RELATED', 146603),
(202878, 'PTHR39203', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 146604),
(202879, 'PTHR45626:SF32', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 146605),
(202880, 'PTHR45496:SF2', NULL, NULL, NULL, NULL, 'OS10G0378450 PROTEIN', 146606),
(202881, 'PTHR31851:SF37', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER-LIKE PROTEIN', 146607),
(202882, 'PTHR34788:SF2', NULL, NULL, NULL, NULL, 'OS02G0779300 PROTEIN', 146608),
(202883, 'PTHR11926:SF953', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 75C1', 146609),
(202884, 'PTHR31442:SF33', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', 146610),
(202885, 'PTHR31218:SF340', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 146611),
(202886, 'PTHR13246:SF3', NULL, NULL, NULL, NULL, 'CYTOSOLIC ENDO-BETA-N-ACETYLGLUCOSAMINIDASE 2', 146612),
(202887, 'PTHR48055:SF9', NULL, NULL, NULL, NULL, 'OS11G0569100 PROTEIN', 146613),
(202888, 'PTHR15205:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146614);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(202889, 'PTHR13068:SF191', NULL, NULL, NULL, NULL, 'BNAC09G13900D PROTEIN', 146615),
(202890, 'PTHR43184', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY TRANSPORTER 16, ISOFORM B', 146616),
(202891, 'PTHR12211:SF1', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM RESIDENT PROTEIN 29', 146617),
(202892, 'PTHR33165:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146618),
(202893, 'PTHR12433:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146619),
(202894, 'PTHR35313', NULL, NULL, NULL, NULL, 'NO EXINE FORMATION 1', 146620),
(202895, 'PTHR31624:SF4', NULL, NULL, NULL, NULL, 'UPF0472 PROTEIN C16ORF72 HOMOLOG-RELATED', 146621),
(202896, 'PTHR30580', NULL, NULL, NULL, NULL, 'PRIMOSOMAL PROTEIN N', 146622),
(202897, 'PTHR31189:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146623),
(202898, 'PTHR45638:SF5', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE GATED CHANNEL', 146624),
(202899, 'PTHR31851:SF45', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER 1.2', 146625),
(202900, 'PTHR12243:SF51', NULL, NULL, NULL, NULL, 'FI03846P-RELATED', 146626),
(202901, 'PTHR11062:SF249', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY-LIKE PROTEIN', 146627),
(202902, 'PTHR18964:SF165', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDE KINASE', 146628),
(202903, 'PTHR23291:SF86', NULL, NULL, NULL, NULL, 'BAX INHIBITOR 1', 146629),
(202904, 'PTHR34386:SF2', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN', 146630),
(202905, 'PTHR36865:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700001O22 GENE', 146631),
(202906, 'PTHR31080:SF202', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', 146632),
(202907, 'PTHR32044:SF91', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 2-LIKE', 146633),
(202908, 'PTHR31499:SF23', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL11', 146634),
(202909, 'PTHR44094', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', 146635),
(202910, 'PTHR27003:SF312', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 146636),
(202911, 'PTHR10693:SF67', NULL, NULL, NULL, NULL, 'BNAA07G24340D PROTEIN', 146637),
(202912, 'PTHR36193:SF23', NULL, NULL, NULL, NULL, 'PHISTB DOMAIN-CONTAINING RESA-LIKE PROTEIN 1', 146638),
(202913, 'PTHR47728:SF1', NULL, NULL, NULL, NULL, 'RAB GTPASE-ACTIVATING PROTEIN 1-LIKE', 146639),
(202914, 'PTHR24073:SF967', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1A', 146640),
(202915, 'PTHR48044:SF14', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 146641),
(202916, 'PTHR42935', NULL, NULL, NULL, NULL, 'SLR0930 PROTEIN', 146642),
(202917, 'PTHR21084', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 146643),
(202918, 'PTHR45676:SF69', NULL, NULL, NULL, NULL, 'EL5-LIKE', 146644),
(202919, 'PTHR11214:SF303', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT6', 146645),
(202920, 'PTHR32018:SF41', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE-RELATED', 146646),
(202921, 'PTHR46832', NULL, NULL, NULL, NULL, '5''-METHYLTHIOADENOSINE/S-ADENOSYLHOMOCYSTEINE NUCLEOSIDASE', 146647),
(202922, 'PTHR20515:SF13', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 102', 146648),
(202923, 'PTHR31775:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146649),
(202924, 'PTHR46046:SF6', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 146650),
(202925, 'PTHR43670:SF25', NULL, NULL, NULL, NULL, 'SHOCK PROTEIN HSP20/HSP26, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G10270)-RELATED', 146651),
(202926, 'PTHR11675:SF43', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 1', 146652),
(202927, 'PTHR24296:SF177', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 86B1-LIKE', 146653),
(202928, 'PTHR45987:SF6', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L12/ ATP-DEPENDENT CLP PROTEASE ADAPTOR PROTEIN CLPS FAMILY PROTEIN', 146654),
(202929, 'PTHR24109:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 31', 146655),
(202930, 'PTHR23086:SF108', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', 146656),
(202931, 'PTHR45701:SF9', NULL, NULL, NULL, NULL, 'VAMP (VESICLE ASSOCIATED MEMBRANE PROTEIN) HOMOLOG', 146657);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(202932, 'PTHR31676:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146658),
(202933, 'PTHR35731:SF1', NULL, NULL, NULL, NULL, '8-AMINO-7-OXONONANOATE SYNTHASE', 146659),
(202934, 'PTHR36101:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN 8', 146660),
(202935, 'PTHR45726:SF2', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE RNPEPL1', 146661),
(202936, 'PTHR27002:SF814', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 146662),
(202937, 'PTHR17250', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR E', 146663),
(202938, 'PTHR36860:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 35', 146664),
(202939, 'PTHR46454:SF12', NULL, NULL, NULL, NULL, 'INNER ARM DYNEIN GROUP 3', 146665),
(202940, 'PTHR47461:SF3', NULL, NULL, NULL, NULL, 'PHYTOLONGIN PHYL2.2', 146666),
(202941, 'PTHR31499:SF65', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR APL', 146667),
(202942, 'PTHR34660:SF11', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 146668),
(202943, 'PTHR45619:SF39', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 146669),
(202944, 'PTHR23147:SF177', NULL, NULL, NULL, NULL, 'ACID BINDING PROTEIN, PUTATIVE-RELATED', 146670),
(202945, 'PTHR35163:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146671),
(202946, 'PTHR24060:SF156', NULL, NULL, NULL, NULL, 'LP07906P', 146672),
(202947, 'PTHR48011:SF38', NULL, NULL, NULL, NULL, 'BNACNNG64060D PROTEIN', 146673),
(202948, 'PTHR10695:SF50', NULL, NULL, NULL, NULL, 'PHOSPHOPANTETHEINE ADENYLYLTRANSFERASE', 146674),
(202949, 'PTHR11380', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID/SUPT3-RELATED', 146675),
(202950, 'PTHR45791', NULL, NULL, NULL, NULL, 'CALCIUM AND INTEGRIN BINDING FAMILY MEMBER 2', 146676),
(202951, 'PTHR23267:SF394', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146677),
(202952, 'PTHR10336:SF169', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 146678),
(202953, 'PTHR43514:SF1', NULL, NULL, NULL, NULL, 'SULFATE/THIOSULFATE IMPORT ATP-BINDING PROTEIN CYSA', 146679),
(202954, 'PTHR11351:SF33', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE', 146680),
(202955, 'PTHR24343:SF188', NULL, NULL, NULL, NULL, 'HORMONALLY UP-REGULATED NEU TUMOR-ASSOCIATED KINASE', 146681),
(202956, 'PTHR36134:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN C16ORF54', 146682),
(202957, 'PTHR32274', NULL, NULL, NULL, NULL, 'NEDD4-BINDING PROTEIN 3', 146683),
(202958, 'PTHR10992:SF1050', NULL, NULL, NULL, NULL, 'ESTERASE 1, PUTATIVE-RELATED', 146684),
(202959, 'PTHR12542:SF28', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 146685),
(202960, 'PTHR30537:SF5', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR TTDR-RELATED', 146686),
(202961, 'PTHR31876:SF3', NULL, NULL, NULL, NULL, 'OS05G0437200 PROTEIN', 146687),
(202962, 'PTHR24351:SF212', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 146688),
(202963, 'PTHR45532:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146689),
(202964, 'PTHR23050:SF373', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 3', 146690),
(202965, 'PTHR13367:SF27', NULL, NULL, NULL, NULL, 'OTUBAIN DEUBIQUITYLATING PROTEASE HOMOLOG', 146691),
(202966, 'PTHR31714', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN-RELATED', 146692),
(202967, 'PTHR31343:SF50', NULL, NULL, NULL, NULL, 'GB|AAD11584.1', 146693),
(202968, 'PTHR31201:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146694),
(202969, 'PTHR11165:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146695),
(202970, 'PTHR20948', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 146696),
(202971, 'PTHR45729:SF4', NULL, NULL, NULL, NULL, 'RAB EFFECTOR NOC2', 146697),
(202972, 'PTHR45940:SF2', NULL, NULL, NULL, NULL, 'PROTEIN WUSCHEL', 146698),
(202973, 'PTHR48047:SF57', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 146699),
(202974, 'PTHR11850:SF256', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE LET12 ISOFORM X1', 146700),
(202975, 'PTHR13372:SF4', NULL, NULL, NULL, NULL, 'GEMININ', 146701),
(202976, 'PTHR11851:SF214', NULL, NULL, NULL, NULL, 'METALLOENZYME, LUXS/M16 PEPTIDASE-LIKE PROTEIN-RELATED', 146702);
INSERT INTO "PUBLIC"."MODEL" VALUES
(202977, 'PTHR26450:SF12', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 146703),
(202978, 'PTHR12930:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 113B', 146704),
(202979, 'PTHR18945:SF847', NULL, NULL, NULL, NULL, 'NICOTINIC ACETYLCHOLINE RECEPTOR ALPHA3, ISOFORM B', 146705),
(202980, 'PTHR11017:SF327', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY PROTEIN, PUTATIVE-RELATED', 146706),
(202981, 'PTHR47847:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146707),
(202982, 'PTHR32285:SF295', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 146708),
(202983, 'PTHR48032:SF8', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 1-LIKE', 146709),
(202984, 'PTHR31929:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146710),
(202985, 'PTHR38631', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 146711),
(202986, 'PTHR47992:SF154', NULL, NULL, NULL, NULL, 'BNAC07G32210D PROTEIN', 146712),
(202987, 'PTHR38365', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', 146713),
(202988, 'PTHR33142:SF74', NULL, NULL, NULL, NULL, 'BNAA05G28330D PROTEIN', 146714),
(202989, 'PTHR31235:SF309', NULL, NULL, NULL, NULL, 'PEROXIDASE', 146715),
(202990, 'PTHR31852', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 146716),
(202991, 'PTHR24637:SF339', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 79-RELATED', 146717),
(202992, 'PTHR38636', NULL, NULL, NULL, NULL, 'PROTEIN CBG20488', 146718),
(202993, 'PTHR31852:SF216', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 146719),
(202994, 'PTHR12506:SF56', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C3H FAMILY-RELATED', 146720),
(202995, 'PTHR22883:SF213', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC22', 146721),
(202996, 'PTHR31048:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146722),
(202997, 'PTHR31042:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146723),
(202998, 'PTHR48044:SF15', NULL, NULL, NULL, NULL, 'ZEATIN O-XYLOSYLTRANSFERASE-LIKE', 146724),
(202999, 'PTHR26452:SF236', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 146725),
(203000, 'PTHR47944:SF9', NULL, NULL, NULL, NULL, 'FLAVONOID 3-MONOOXYGENASE', 146726),
(203001, 'PTHR43671:SF63', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK6', 146727),
(203002, 'PTHR32444:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146728),
(203003, 'PTHR33077:SF57', NULL, NULL, NULL, NULL, 'DIVERGENT CCT MOTIF PROTEIN', 146729),
(203004, 'PTHR45747:SF7', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE MEDEA', 146730),
(203005, 'PTHR10334:SF164', NULL, NULL, NULL, NULL, 'PROTEIN CBG17169', 146731),
(203006, 'PTHR45959:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18-LIKE', 146732),
(203007, 'PTHR45967:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR TAF-1-LIKE ISOFORM X1', 146733),
(203008, 'PTHR22397', NULL, NULL, NULL, NULL, 'JUNCTIONAL SARCOPLASMIC RETICULUM PROTEIN 1', 146734),
(203009, 'PTHR12138:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146735),
(203010, 'PTHR23201:SF52', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 13', 146736),
(203011, 'PTHR21646:SF69', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 146737),
(203012, 'PTHR45905:SF1', NULL, NULL, NULL, NULL, 'GOLGI-LOCALIZED, GAMMA-ADAPTIN EAR CONTAINING, ARF BINDING PROTEIN', 146738),
(203013, 'PTHR12832:SF17', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 11-LIKE PROTEIN 2', 146739),
(203014, 'PTHR46578', NULL, NULL, NULL, NULL, 'ARM-REPEAT/TETRATRICOPEPTIDE REPEAT (TPR)-LIKE PROTEIN', 146740),
(203015, 'PTHR33469:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 1', 146741),
(203016, 'PTHR33884:SF4', NULL, NULL, NULL, NULL, 'UPF0410 PROTEIN YEAQ', 146742),
(203017, 'PTHR47005:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146743),
(203018, 'PTHR43808', NULL, NULL, NULL, NULL, 'ACETYLORNITHINE DEACETYLASE', 146744),
(203019, 'PTHR48052:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 146745);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(203020, 'PTHR45660:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146746),
(203021, 'PTHR31218:SF132', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 146747),
(203022, 'PTHR16165:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146748),
(203023, 'PTHR21362:SF1', NULL, NULL, NULL, NULL, 'ACROSIN-BINDING PROTEIN', 146749),
(203024, 'PTHR43859:SF26', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE AND LIGASE FAMILY PROTEIN-RELATED', 146750),
(203025, 'PTHR11923:SF99', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR (CD36 FAMILY) RELATED', 146751),
(203026, 'PTHR21461:SF1', NULL, NULL, NULL, NULL, 'GH17442P', 146752),
(203027, 'PTHR10535:SF15', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT 5-LIKE PROTEIN 1', 146753),
(203028, 'PTHR22937:SF149', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 146754),
(203029, 'PTHR15729:SF10', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN CDGAPR', 146755),
(203030, 'PTHR38630', NULL, NULL, NULL, NULL, 'PROTEIN CBG12780', 146756),
(203031, 'PTHR35567', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_2G13800)', 146757),
(203032, 'PTHR31723:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146758),
(203033, 'PTHR39430', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEASE-RELATED', 146759),
(203034, 'PTHR12919', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S16', 146760),
(203035, 'PTHR31282:SF153', NULL, NULL, NULL, NULL, 'OS05G0233100 PROTEIN', 146761),
(203036, 'PTHR33137:SF18', NULL, NULL, NULL, NULL, 'OS08G0377100 PROTEIN', 146762),
(203037, 'PTHR12499:SF12', NULL, NULL, NULL, NULL, 'OS01G0753150 PROTEIN', 146763),
(203038, 'PTHR12784:SF3', NULL, NULL, NULL, NULL, 'NEURON NAVIGATOR 1', 146764),
(203039, 'PTHR10024:SF282', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-5', 146765),
(203040, 'PTHR33799:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM SUGAR-SPECIFIC EIIB COMPONENT', 146766),
(203041, 'PTHR13822:SF15', NULL, NULL, NULL, NULL, 'BNAANNG07210D PROTEIN', 146767),
(203042, 'PTHR45666:SF22', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 4', 146768),
(203043, 'PTHR20922:SF21', NULL, NULL, NULL, NULL, 'BNAC03G48360D PROTEIN', 146769),
(203044, 'PTHR42087', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 146770),
(203045, 'PTHR45618:SF45', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 5', 146771),
(203046, 'PTHR11736:SF86', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN C3', 146772),
(203047, 'PTHR11711:SF352', NULL, NULL, NULL, NULL, 'BNAA07G03830D PROTEIN', 146773),
(203048, 'PTHR32227:SF291', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE-LIKE PROTEIN', 146774),
(203049, 'PTHR47942:SF26', NULL, NULL, NULL, NULL, 'OS10G0363500 PROTEIN', 146775),
(203050, 'PTHR35892:SF2', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN PAGN', 146776),
(203051, 'PTHR11492:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR 1 C-TYPE', 146777),
(203052, 'PTHR36710:SF2', NULL, NULL, NULL, NULL, 'EMB|CAB66412.1-RELATED', 146778),
(203053, 'PTHR45622:SF44', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', 146779),
(203054, 'PTHR23428:SF297', NULL, NULL, NULL, NULL, 'HISTONE H2B', 146780),
(203055, 'PTHR43572:SF52', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPC4, CHLOROPLASTIC', 146781),
(203056, 'PTHR18919:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146782),
(203057, 'PTHR33065:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146783),
(203058, 'PTHR44240:SF12', NULL, NULL, NULL, NULL, 'OS06G0716100 PROTEIN', 146784),
(203059, 'PTHR24286:SF219', NULL, NULL, NULL, NULL, 'TAXADIENE 5-ALPHA HYDROXYLASE-LIKE', 146785),
(203060, 'PTHR12832:SF14', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 11 HOMOLOG', 146786),
(203061, 'PTHR31529:SF49', NULL, NULL, NULL, NULL, 'BNAC04G48290D PROTEIN', 146787),
(203062, 'PTHR10816:SF15', NULL, NULL, NULL, NULL, 'AGAP000874-PA', 146788),
(203063, 'PTHR46732:SF6', NULL, NULL, NULL, NULL, 'PEPTIDASE S16, LON N-TERMINAL', 146789),
(203064, 'PTHR31479:SF24', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3-RELATED PROTEIN-RELATED', 146790);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(203065, 'PTHR44846:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, GNTR FAMILY', 146791),
(203066, 'PTHR12022:SF1', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE BINDING PROTEIN', 146792),
(203067, 'PTHR48017:SF8', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 146793),
(203068, 'PTHR36944:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02791', 146794),
(203069, 'PTHR10983', NULL, NULL, NULL, NULL, '1-ACYLGLYCEROL-3-PHOSPHATE ACYLTRANSFERASE-RELATED', 146795),
(203070, 'PTHR24202:SF52', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MIB1', 146796),
(203071, 'PTHR46739', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP1-1', 146797),
(203072, 'PTHR34286:SF2', NULL, NULL, NULL, NULL, 'BNAA03G54340D PROTEIN', 146798),
(203073, 'PTHR22883:SF320', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 146799),
(203074, 'PTHR46524:SF10', NULL, NULL, NULL, NULL, 'CW-TYPE ZINC FINGER-RELATED', 146800),
(203075, 'PTHR24015:SF553', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL EDITING FACTOR 21', 146801),
(203076, 'PTHR11726:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146802),
(203077, 'PTHR11802:SF397', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 146803),
(203078, 'PTHR38746:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146804),
(203079, 'PTHR32098:SF3', NULL, NULL, NULL, NULL, 'SLL0147 PROTEIN', 146805),
(203080, 'PTHR46968:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700045I19', 146806),
(203081, 'PTHR33257:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146807),
(203082, 'PTHR11462:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-1', 146808),
(203083, 'PTHR47992:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146809),
(203084, 'PTHR31541:SF41', NULL, NULL, NULL, NULL, 'BNAC04G42190D PROTEIN', 146810),
(203085, 'PTHR35277:SF15', NULL, NULL, NULL, NULL, 'BNAC02G11930D PROTEIN', 146811),
(203086, 'PTHR21359', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 146812),
(203087, 'PTHR23342', NULL, NULL, NULL, NULL, 'N-ACETYLGLUTAMATE SYNTHASE', 146813),
(203088, 'PTHR15036:SF15', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC067074', 146814),
(203089, 'PTHR21963', NULL, NULL, NULL, NULL, 'PF6', 146815),
(203090, 'PTHR11937:SF274', NULL, NULL, NULL, NULL, 'BRAHMA ASSOCIATED PROTEIN 55KD', 146816),
(203091, 'PTHR33641', NULL, NULL, NULL, NULL, 'OS06G0133500 PROTEIN', 146817),
(203092, 'PTHR31964:SF131', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-RELATED', 146818),
(203093, 'PTHR31949:SF2', NULL, NULL, NULL, NULL, 'GASTRIC MUCIN-LIKE PROTEIN', 146819),
(203094, 'PTHR48070:SF4', NULL, NULL, NULL, NULL, 'ESTERASE ALNB', 146820),
(203095, 'PTHR10704:SF13', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 5', 146821),
(203096, 'PTHR27005:SF398', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146822),
(203097, 'PTHR37970:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08587', 146823),
(203098, 'PTHR23167:SF44', NULL, NULL, NULL, NULL, 'MICAL-LIKE PROTEIN 1', 146824),
(203099, 'PTHR10378:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR SEUSS-LIKE', 146825),
(203100, 'PTHR22943:SF129', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 146826),
(203101, 'PTHR23101', NULL, NULL, NULL, NULL, 'RAB GDP/GTP EXCHANGE FACTOR', 146827),
(203102, 'PTHR23101:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146828),
(203103, 'PTHR21456:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM102A', 146829),
(203104, 'PTHR31312:SF4', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR2', 146830),
(203105, 'PTHR31228:SF10', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', 146831),
(203106, 'PTHR46525:SF10', NULL, NULL, NULL, NULL, 'OS02G0629000 PROTEIN', 146832),
(203107, 'PTHR31802:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146833),
(203108, 'PTHR46195:SF18', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 19', 146834),
(203109, 'PTHR11003:SF57', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 13', 146835),
(203110, 'PTHR23130:SF196', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 146836);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(203111, 'PTHR12313:SF65', NULL, NULL, NULL, NULL, 'OS08G0162400 PROTEIN', 146837),
(203112, 'PTHR42742', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR MPRA', 146838),
(203113, 'PTHR33199:SF14', NULL, NULL, NULL, NULL, 'MAC/PERFORIN DOMAIN PROTEIN', 146839),
(203114, 'PTHR32370:SF90', NULL, NULL, NULL, NULL, 'BNAA06G32880D PROTEIN', 146840),
(203115, 'PTHR11206:SF305', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 24', 146841),
(203116, 'PTHR43385', NULL, NULL, NULL, NULL, 'RIBOFLAVIN TRANSPORTER RIBJ', 146842),
(203117, 'PTHR11654:SF399', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146843),
(203118, 'PTHR31325:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146844),
(203119, 'PTHR33101:SF53', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', 146845),
(203120, 'PTHR43725:SF22', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE 2', 146846),
(203121, 'PTHR33095:SF83', NULL, NULL, NULL, NULL, 'BNAA02G29090D PROTEIN', 146847),
(203122, 'PTHR42968:SF30', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE RECEPTOR ASSOCIATED PROTEIN', 146848),
(203123, 'PTHR46650:SF4', NULL, NULL, NULL, NULL, 'PEROXISOMAL ADENINE NUCLEOTIDE CARRIER 1', 146849),
(203124, 'PTHR47981:SF8', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 146850),
(203125, 'PTHR44936:SF2', NULL, NULL, NULL, NULL, 'OSMOLARITY SENSOR PROTEIN ENVZ', 146851),
(203126, 'PTHR11771:SF147', NULL, NULL, NULL, NULL, 'LINOLEATE 13S-LIPOXYGENASE 2-1, CHLOROPLASTIC-LIKE', 146852),
(203127, 'PTHR22955:SF63', NULL, NULL, NULL, NULL, 'PROTEIN CBG02243', 146853),
(203128, 'PTHR11802:SF349', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 146854),
(203129, 'PTHR45967:SF2', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 68', 146855),
(203130, 'PTHR33087:SF31', NULL, NULL, NULL, NULL, 'OS03G0782100 PROTEIN', 146856),
(203131, 'PTHR10309:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG19118', 146857),
(203132, 'PTHR12181:SF11', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE LPIN2', 146858),
(203133, 'PTHR23202:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146859),
(203134, 'PTHR46342:SF1', NULL, NULL, NULL, NULL, 'ALPHA-CATULIN', 146860),
(203135, 'PTHR31623:SF22', NULL, NULL, NULL, NULL, 'ACETYL-COA:BENZYLALCOHOL ACETYLTRANFERASE-LIKE PROTEIN-RELATED', 146861),
(203136, 'PTHR45778:SF23', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 146862),
(203137, 'PTHR42825:SF26', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 146863),
(203138, 'PTHR45969:SF43', NULL, NULL, NULL, NULL, 'BNAA09G18490D PROTEIN', 146864),
(203139, 'PTHR33681:SF17', NULL, NULL, NULL, NULL, 'CITRATE-BINDING PROTEIN-RELATED', 146865),
(203140, 'PTHR37424', NULL, NULL, NULL, NULL, 'BACTERIOFERRITIN-ASSOCIATED FERREDOXIN', 146866),
(203141, 'PTHR30411:SF4', NULL, NULL, NULL, NULL, 'YBAK/AMINOACYL-TRNA SYNTHETASE-ASSOCIATED DOMAIN-CONTAINING PROTEIN', 146867),
(203142, 'PTHR24015:SF1924', NULL, NULL, NULL, NULL, 'OS03G0317100 PROTEIN', 146868),
(203143, 'PTHR12015:SF170', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 5', 146869),
(203144, 'PTHR36369:SF6', NULL, NULL, NULL, NULL, 'BNAA02G05080D PROTEIN', 146870),
(203145, 'PTHR43539:SF42', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 146871),
(203146, 'PTHR10179:SF42', NULL, NULL, NULL, NULL, 'INTERLEUKIN-8', 146872),
(203147, 'PTHR46898:SF5', NULL, NULL, NULL, NULL, 'BNAC09G42600D PROTEIN', 146873),
(203148, 'PTHR45855:SF48', NULL, NULL, NULL, NULL, 'BNAA09G39670D PROTEIN', 146874),
(203149, 'PTHR11711:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146875),
(203150, 'PTHR11537:SF38', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY V MEMBER 1', 146876),
(203151, 'PTHR21646:SF10', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 146877),
(203152, 'PTHR21700:SF6', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 146878),
(203153, 'PTHR11260:SF505', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE6', 146879),
(203154, 'PTHR23257:SF857', NULL, NULL, NULL, NULL, 'STRESS-ACTIVATED PROTEIN KINASE ALPHA', 146880);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(203155, 'PTHR47926:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146881),
(203156, 'PTHR23355:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146882),
(203157, 'PTHR24040:SF5', NULL, NULL, NULL, NULL, 'FIBROPELLIN-1', 146883),
(203158, 'PTHR43416:SF8', NULL, NULL, NULL, NULL, 'LIPOAMIDE ACYLTRANSFERASE COMPONENT OF BRANCHED-CHAIN ALPHA-KETO ACID DEHYDROGENASE COMPLEX', 146884),
(203159, 'PTHR10739:SF20', NULL, NULL, NULL, NULL, 'CHOLINE-PHOSPHATE CYTIDYLYLTRANSFERASE B', 146885),
(203160, 'PTHR22935:SF95', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE-LIKE 1-RELATED', 146886),
(203161, 'PTHR33783:SF6', NULL, NULL, NULL, NULL, 'PROTEIN HAIKU1', 146887),
(203162, 'PTHR46189:SF2', NULL, NULL, NULL, NULL, 'WD REPEAT AND FYVE DOMAIN-CONTAINING PROTEIN 1', 146888),
(203163, 'PTHR48017:SF73', NULL, NULL, NULL, NULL, 'PROLINE TRANSPORTER 2-LIKE ISOFORM X1', 146889),
(203164, 'PTHR10048:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146890),
(203165, 'PTHR13045:SF11', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE', 146891),
(203166, 'PTHR35457:SF1', NULL, NULL, NULL, NULL, 'HEME A SYNTHASE', 146892),
(203167, 'PTHR24012:SF739', NULL, NULL, NULL, NULL, 'CUGBP ELAV-LIKE FAMILY MEMBER 3', 146893),
(203168, 'PTHR10906:SF32', NULL, NULL, NULL, NULL, 'SECY PROTEIN TRANSPORT FAMILY PROTEIN-RELATED', 146894),
(203169, 'PTHR24340:SF85', NULL, NULL, NULL, NULL, 'NK HOMEOBOX 4', 146895),
(203170, 'PTHR31989:SF332', NULL, NULL, NULL, NULL, 'BNAC05G01030D PROTEIN', 146896),
(203171, 'PTHR24103:SF634', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146897),
(203172, 'PTHR34376', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, KAZAL-TYPE FAMILY PROTEIN', 146898),
(203173, 'PTHR10137:SF0', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C', 146899),
(203174, 'PTHR24012:SF836', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146900),
(203175, 'PTHR45657:SF19', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH2', 146901),
(203176, 'PTHR37309', NULL, NULL, NULL, NULL, 'SLR0284 PROTEIN', 146902),
(203177, 'PTHR31496:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146903),
(203178, 'PTHR24169:SF21', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR NF-KAPPA-B P100 SUBUNIT', 146904),
(203179, 'PTHR47345:SF1', NULL, NULL, NULL, NULL, 'CUT9-INTERACTING PROTEIN SCN1', 146905),
(203180, 'PTHR45644:SF23', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 1-A-LIKE ISOFORM X2', 146906),
(203181, 'PTHR34598:SF3', NULL, NULL, NULL, NULL, 'BLL6449 PROTEIN', 146907),
(203182, 'PTHR24096:SF338', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 8-RELATED', 146908),
(203183, 'PTHR45237:SF2', NULL, NULL, NULL, NULL, 'POSSIBLE PARA-NITROBENZYL ESTERASE', 146909),
(203184, 'PTHR24221:SF547', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 27', 146910),
(203185, 'PTHR46859:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE FRAGILE-X-F-ASSOCIATED PROTEIN', 146911),
(203186, 'PTHR10788:SF87', NULL, NULL, NULL, NULL, 'OS05G0517200 PROTEIN', 146912),
(203187, 'PTHR23261:SF71', NULL, NULL, NULL, NULL, 'GROUND-LIKE (GRD RELATED)', 146913),
(203188, 'PTHR23421:SF158', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 146914),
(203189, 'PTHR24235:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR NPR-8-RELATED', 146915),
(203190, 'PTHR19282:SF40', NULL, NULL, NULL, NULL, 'TETRASPANIN-4', 146916),
(203191, 'PTHR34376:SF8', NULL, NULL, NULL, NULL, 'ENDOPEPTIDASE INHIBITOR, PUTATIVE-RELATED', 146917),
(203192, 'PTHR33512:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146918),
(203193, 'PTHR23326:SF19', NULL, NULL, NULL, NULL, 'NOT2/NOT3/NOT5-RELATED', 146919),
(203194, 'PTHR10015:SF377', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-5', 146920),
(203195, 'PTHR23411:SF10', NULL, NULL, NULL, NULL, 'IG GAMMA-2A CHAIN C REGION SECRETED FORM-RELATED', 146921),
(203196, 'PTHR11712', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE-RELATED', 146922),
(203197, 'PTHR47932:SF38', NULL, NULL, NULL, NULL, 'OS08G0290000 PROTEIN', 146923),
(203198, 'PTHR31342:SF10', NULL, NULL, NULL, NULL, 'CHUP1-LIKE PROTEIN', 146924);
INSERT INTO "PUBLIC"."MODEL" VALUES
(203199, 'PTHR31669:SF185', NULL, NULL, NULL, NULL, 'FAR1-RELATED SEQUENCE 10 ISOFORM 1', 146925),
(203200, 'PTHR33448:SF4', NULL, NULL, NULL, NULL, 'CHLOROPLAST PROTEIN HCF243', 146926),
(203201, 'PTHR45648:SF95', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 146927),
(203202, 'PTHR46011:SF16', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 146928),
(203203, 'PTHR10177:SF449', NULL, NULL, NULL, NULL, 'CYCLIN-A3-1-RELATED', 146929),
(203204, 'PTHR45714:SF38', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT2', 146930),
(203205, 'PTHR19964:SF79', NULL, NULL, NULL, NULL, 'INACTIVATION-NO-AFTER-POTENTIAL D PROTEIN', 146931),
(203206, 'PTHR15184:SF67', NULL, NULL, NULL, NULL, 'FLAGELLUM-SPECIFIC ATP SYNTHASE', 146932),
(203207, 'PTHR23430:SF130', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 2-C', 146933),
(203208, 'PTHR30094:SF12', NULL, NULL, NULL, NULL, 'SYNTHETASE, PUTATIVE-RELATED', 146934),
(203209, 'PTHR23420:SF12', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', 146935),
(203210, 'PTHR13286:SF6', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP30L', 146936),
(203211, 'PTHR10353:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146937),
(203212, 'PTHR10872', NULL, NULL, NULL, NULL, 'SH2B ADAPTER PROTEIN', 146938),
(203213, 'PTHR24056:SF485', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE G-2-LIKE ISOFORM X1', 146939),
(203214, 'PTHR43434', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE', 146940),
(203215, 'PTHR31180:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC691162', 146941),
(203216, 'PTHR42765', NULL, NULL, NULL, NULL, 'SOLEUCYL-TRNA SYNTHETASE', 146942),
(203217, 'PTHR24148:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146943),
(203218, 'PTHR21592:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG14943', 146944),
(203219, 'PTHR23241:SF104', NULL, NULL, NULL, NULL, 'XANTHOCILLIN BIOSYNTHESIS CLUSTER PROTEIN D', 146945),
(203220, 'PTHR32099:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146946),
(203221, 'PTHR45684:SF13', NULL, NULL, NULL, NULL, 'PROTEIN SAR1, PUTATIVE-RELATED', 146947),
(203222, 'PTHR48017:SF95', NULL, NULL, NULL, NULL, 'BNAA08G03720D PROTEIN', 146948),
(203223, 'PTHR27002:SF355', NULL, NULL, NULL, NULL, 'OS09G0551500 PROTEIN', 146949),
(203224, 'PTHR33127:SF53', NULL, NULL, NULL, NULL, 'OS06G0702200 PROTEIN', 146950),
(203225, 'PTHR13301:SF193', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', 146951),
(203226, 'PTHR11843:SF11', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 146952),
(203227, 'PTHR47967:SF52', NULL, NULL, NULL, NULL, 'BNAA01G23590D PROTEIN', 146953),
(203228, 'PTHR47528', NULL, NULL, NULL, NULL, 'PARALEMMIN-3', 146954),
(203229, 'PTHR10352:SF33', NULL, NULL, NULL, NULL, 'OS12G0606300 PROTEIN', 146955),
(203230, 'PTHR24251:SF13', NULL, NULL, NULL, NULL, 'AGAP010547-PA', 146956),
(203231, 'PTHR21426:SF17', NULL, NULL, NULL, NULL, 'OS07G0200000 PROTEIN', 146957),
(203232, 'PTHR11662:SF421', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', 146958),
(203233, 'PTHR10953:SF213', NULL, NULL, NULL, NULL, 'SUMO-ACTIVATING ENZYME SUBUNIT 1B-1-LIKE', 146959),
(203234, 'PTHR42877:SF10', NULL, NULL, NULL, NULL, 'MONOOXYGENASE', 146960),
(203235, 'PTHR43358', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASE', 146961),
(203236, 'PTHR31182:SF14', NULL, NULL, NULL, NULL, 'CHAPERONE-RELATED', 146962),
(203237, 'PTHR10272:SF13', NULL, NULL, NULL, NULL, 'SLR1506 PROTEIN', 146963),
(203238, 'PTHR31373:SF20', NULL, NULL, NULL, NULL, 'OS09G0499400 PROTEIN', 146964),
(203239, 'PTHR12386:SF38', NULL, NULL, NULL, NULL, 'ATP SYNTHASE G SUBUNIT FAMILY PROTEIN', 146965),
(203240, 'PTHR31985:SF180', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF039-LIKE', 146966),
(203241, 'PTHR12570:SF5', NULL, NULL, NULL, NULL, 'DUF803 DOMAIN MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_2G07880)', 146967),
(203242, 'PTHR40707', NULL, NULL, NULL, NULL, 'POSSIBLE NUCLEASE OF RNASE H FOLD, RUVC/YQGF FAMILY', 146968),
(203243, 'PTHR23036:SF167', NULL, NULL, NULL, NULL, 'INTERLEUKIN-27 SUBUNIT BETA', 146969);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(203244, 'PTHR38471', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 146970),
(203245, 'PTHR21576:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 146971),
(203246, 'PTHR47162:SF2', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 9', 146972),
(203247, 'PTHR31798:SF9', NULL, NULL, NULL, NULL, 'BNAA03G47560D PROTEIN', 146973),
(203248, 'PTHR11161:SF52', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 146974),
(203249, 'PTHR11064:SF115', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-9', 146975),
(203250, 'PTHR24373:SF274', NULL, NULL, NULL, NULL, 'RETICULON-4 RECEPTOR-LIKE 1', 146976),
(203251, 'PTHR33048:SF57', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_4G00600)', 146977),
(203252, 'PTHR10201:SF273', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-C', 146978),
(203253, 'PTHR47982:SF56', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 2B, CHLOROPLASTIC-LIKE', 146979),
(203254, 'PTHR12400:SF48', NULL, NULL, NULL, NULL, 'KINASE', 146980),
(203255, 'PTHR10543:SF121', NULL, NULL, NULL, NULL, 'CAROTENOID 9,10(9'',10'')-CLEAVAGE DIOXYGENASE 1-LIKE ISOFORM X1', 146981),
(203256, 'PTHR46626:SF8', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B18', 146982),
(203257, 'PTHR34567:SF10', NULL, NULL, NULL, NULL, 'OS11G0140900 PROTEIN', 146983),
(203258, 'PTHR45978:SF3', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 1', 146984),
(203259, 'PTHR45743:SF40', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, VOLTAGE-DEPENDENT, EAG/ELK/ERG-RELATED', 146985),
(203260, 'PTHR23201:SF62', NULL, NULL, NULL, NULL, 'PEAMACLEIN-LIKE', 146986),
(203261, 'PTHR36485', NULL, NULL, NULL, NULL, 'OS01G0939000 PROTEIN', 146987),
(203262, 'PTHR32370:SF12', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESOPONSIVE NPH3 FAMILY PROTEIN-RELATED', 146988),
(203263, 'PTHR15241:SF303', NULL, NULL, NULL, NULL, '33 KDA RIBONUCLEOPROTEIN, CHLOROPLASTIC', 146989),
(203264, 'PTHR43002:SF7', NULL, NULL, NULL, NULL, 'BNAA08G27420D PROTEIN', 146990),
(203265, 'PTHR18929:SF60', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', 146991),
(203266, 'PTHR21371:SF21', NULL, NULL, NULL, NULL, 'KETOL-ACID REDUCTOISOMERASE', 146992),
(203267, 'PTHR35717:SF1', NULL, NULL, NULL, NULL, 'OS05G0156200 PROTEIN', 146993),
(203268, 'PTHR12652:SF48', NULL, NULL, NULL, NULL, 'BNAA03G56960D PROTEIN', 146994),
(203269, 'PTHR42783', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE [NADPH] SMALL CHAIN', 146995),
(203270, 'PTHR16742:SF1', NULL, NULL, NULL, NULL, 'CYLICIN-1', 146996),
(203271, 'PTHR27007:SF369', NULL, NULL, NULL, NULL, 'BNAA09G00780D PROTEIN', 146997),
(203272, 'PTHR24250:SF54', NULL, NULL, NULL, NULL, 'ZGC:112160', 146998),
(203273, 'PTHR11132:SF340', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN', 146999),
(203274, 'PTHR47555:SF2', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYL TRANSFERASE COMPONENT FAMILY PROTEIN / GPI1 FAMILY PROTEIN', 147000),
(203275, 'PTHR10138:SF2', NULL, NULL, NULL, NULL, 'TRYPTOPHAN 2,3-DIOXYGENASE A', 147001),
(203276, 'PTHR12864:SF59', NULL, NULL, NULL, NULL, 'BNAA05G18240D PROTEIN', 147002),
(203277, 'PTHR12570:SF58', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 147003),
(203278, 'PTHR32448:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147004),
(203279, 'PTHR19136', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR GUANYLYLTRANSFERASE', 147005),
(203280, 'PTHR24096:SF378', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 7', 147006),
(203281, 'PTHR30204:SF73', NULL, NULL, NULL, NULL, 'HEAVY METAL-DEPENDENT TRANSCRIPTIONAL REGULATOR HI_0293-RELATED', 147007),
(203282, 'PTHR34658:SF5', NULL, NULL, NULL, NULL, 'BNACNNG38900D PROTEIN', 147008),
(203283, 'PTHR23351:SF13', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER TRANSCRIPTIONAL FACTOR ATF-LIKE 3', 147009),
(203284, 'PTHR31301:SF125', NULL, NULL, NULL, NULL, 'BNAA06G38340D PROTEIN', 147010),
(203285, 'PTHR31351:SF17', NULL, NULL, NULL, NULL, 'AUXIN CANALIZATION PROTEIN', 147011),
(203286, 'PTHR42893:SF18', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 147012);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(203287, 'PTHR11082', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE SYNTHASE', 147013),
(203288, 'PTHR24173:SF29', NULL, NULL, NULL, NULL, 'PHOTORECEPTOR ANKYRIN REPEAT PROTEIN', 147014),
(203289, 'PTHR11977:SF94', NULL, NULL, NULL, NULL, 'SEVERIN', 147015),
(203290, 'PTHR44379:SF8', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE IRON-SULFUR-BINDING SUBUNIT XDHC-RELATED', 147016),
(203291, 'PTHR10315:SF123', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINAT2-LIKE', 147017),
(203292, 'PTHR47980:SF25', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABE1C', 147018),
(203293, 'PTHR12570:SF16', NULL, NULL, NULL, NULL, 'NIPA-LIKE PROTEIN 2', 147019),
(203294, 'PTHR23086:SF105', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE, TYPE I, BETA', 147020),
(203295, 'PTHR22952:SF425', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 147021),
(203296, 'PTHR12863:SF10', NULL, NULL, NULL, NULL, 'OS12G0628400 PROTEIN', 147022),
(203297, 'PTHR21737:SF4', NULL, NULL, NULL, NULL, 'CACTIN', 147023),
(203298, 'PTHR34587:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147024),
(203299, 'PTHR18945:SF844', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID TYPE A RECEPTOR BETA1 SUBUNIT', 147025),
(203300, 'PTHR12507:SF4', NULL, NULL, NULL, NULL, 'BNAANNG31920D PROTEIN', 147026),
(203301, 'PTHR37155:SF2', NULL, NULL, NULL, NULL, 'MUCIN 26B', 147027),
(203302, 'PTHR33548:SF5', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1-RELATED', 147028),
(203303, 'PTHR10791:SF51', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 13', 147029),
(203304, 'PTHR33433:SF27', NULL, NULL, NULL, NULL, 'BNAA08G12520D PROTEIN', 147030),
(203305, 'PTHR31696:SF73', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 147031),
(203306, 'PTHR38382:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN', 147032),
(203307, 'PTHR31284:SF36', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1-RELATED', 147033),
(203308, 'PTHR35923:SF3', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 147034),
(203309, 'PTHR24099', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM36-RELATED', 147035),
(203310, 'PTHR13479:SF55', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN S18A, MITOCHONDRIAL', 147036),
(203311, 'PTHR10390:SF31', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX3', 147037),
(203312, 'PTHR10510:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A-RELATED PROTEIN, MITOCHONDRIAL', 147038),
(203313, 'PTHR11461:SF323', NULL, NULL, NULL, NULL, 'OVALBUMIN ISOFORM X1', 147039),
(203314, 'PTHR13345:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 10', 147040),
(203315, 'PTHR23340:SF2', NULL, NULL, NULL, NULL, 'SURP AND G-PATCH DOMAIN-CONTAINING PROTEIN 2', 147041),
(203316, 'PTHR33673:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147042),
(203317, 'PTHR47998:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB23', 147043),
(203318, 'PTHR44068:SF4', NULL, NULL, NULL, NULL, 'S-ADENOSYL-METHIONINE-STEROL-C-METHYLTRANSFERAS (AFU_ORTHOLOGUE AFUA_4G09190)', 147044),
(203319, 'PTHR44390:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 41 KDA', 147045),
(203320, 'PTHR12863', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROXYLASE', 147046),
(203321, 'PTHR11802:SF335', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE, PUTATIVE-RELATED', 147047),
(203322, 'PTHR24264:SF10', NULL, NULL, NULL, NULL, 'MCG124046-RELATED', 147048),
(203323, 'PTHR47991:SF41', NULL, NULL, NULL, NULL, 'CODEINE O-DEMETHYLASE-RELATED', 147049),
(203324, 'PTHR48021:SF8', NULL, NULL, NULL, NULL, 'BNACNNG06500D PROTEIN', 147050),
(203325, 'PTHR12634:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY SUBUNIT 1', 147051),
(203326, 'PTHR16201:SF11', NULL, NULL, NULL, NULL, 'PQ LOOP REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_3G10470)', 147052),
(203327, 'PTHR44252', NULL, NULL, NULL, NULL, 'D-ERYTHRULOSE REDUCTASE', 147053),
(203328, 'PTHR43545:SF5', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE, NITRATE-INDUCIBLE, IRON-SULFUR SUBUNIT', 147054),
(203329, 'PTHR31790:SF137', NULL, NULL, NULL, NULL, 'AND ASSOCIATED INTERACTION DOMAINS-CONTAINING PROTEIN, PUTATIVE-RELATED', 147055);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(203330, 'PTHR10183:SF408', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE, PUTATIVE-RELATED', 147056),
(203331, 'PTHR46419', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD5', 147057),
(203332, 'PTHR11703:SF3', NULL, NULL, NULL, NULL, 'DEOXYHYPUSINE SYNTHASE', 147058),
(203333, 'PTHR39603', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147059),
(203334, 'PTHR24412:SF417', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147060),
(203335, 'PTHR31623:SF54', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', 147061),
(203336, 'PTHR31852:SF186', NULL, NULL, NULL, NULL, 'DELTA-LATROINSECTOTOXIN-LT1A PROTEIN', 147062),
(203337, 'PTHR43345:SF7', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE SMALL SUBUNIT 1', 147063),
(203338, 'PTHR22765:SF153', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE RIN2', 147064),
(203339, 'PTHR20930:SF2', NULL, NULL, NULL, NULL, 'NEXT TO BRCA1 GENE 1 PROTEIN', 147065),
(203340, 'PTHR23309:SF31', NULL, NULL, NULL, NULL, 'GLYOXYSOMAL FATTY ACID BETA-OXIDATION MULTIFUNCTIONAL PROTEIN MFP-A-LIKE', 147066),
(203341, 'PTHR42933:SF1', NULL, NULL, NULL, NULL, 'TYPE I SITE-SPECIFIC DEOXYRIBONUCLEASE', 147067),
(203342, 'PTHR35726', NULL, NULL, NULL, NULL, 'GLUTAMIC ACID-RICH PROTEIN-LIKE', 147068),
(203343, 'PTHR19430:SF4', NULL, NULL, NULL, NULL, 'PROTEIN BEX1', 147069),
(203344, 'PTHR43321:SF15', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 147070),
(203345, 'PTHR45826:SF16', NULL, NULL, NULL, NULL, 'BNAA09G24860D PROTEIN', 147071),
(203346, 'PTHR47988:SF14', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE 2-LIKE', 147072),
(203347, 'PTHR43337:SF5', NULL, NULL, NULL, NULL, 'GUANINE/HYPOXANTHINE PERMEASE GHXP', 147073),
(203348, 'PTHR13691:SF55', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L2, CHLOROPLASTIC', 147074),
(203349, 'PTHR10676:SF361', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 8, AXONEMAL', 147075),
(203350, 'PTHR31674:SF55', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM14-RELATED', 147076),
(203351, 'PTHR15341:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147077),
(203352, 'PTHR35550:SF2', NULL, NULL, NULL, NULL, 'OS05G0401200 PROTEIN', 147078),
(203353, 'PTHR31657:SF18', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', 147079),
(203354, 'PTHR46284:SF6', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN', 147080),
(203355, 'PTHR11315:SF15', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL HYDROLASE 1', 147081),
(203356, 'PTHR45676:SF75', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL60-LIKE', 147082),
(203357, 'PTHR45665:SF11', NULL, NULL, NULL, NULL, 'AQUAPORIN 8A, TANDEM DUPLICATE 2-RELATED', 147083),
(203358, 'PTHR33463:SF68', NULL, NULL, NULL, NULL, 'RPP4C4', 147084),
(203359, 'PTHR18921:SF3', NULL, NULL, NULL, NULL, 'VESICLE TETHERING-LIKE PROTEIN, PUTATIVE-RELATED', 147085),
(203360, 'PTHR24072:SF351', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147086),
(203361, 'PTHR12305:SF93', NULL, NULL, NULL, NULL, 'BNAC03G16750D PROTEIN', 147087),
(203362, 'PTHR37456', NULL, NULL, NULL, NULL, 'SI:CH211-266K2.1', 147088),
(203363, 'PTHR18881', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147089),
(203364, 'PTHR15169', NULL, NULL, NULL, NULL, 'DAMAGE-SPECIFIC DNA BINDING PROTEIN 2', 147090),
(203365, 'PTHR20931:SF3', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 30A', 147091),
(203366, 'PTHR10687:SF47', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 3', 147092),
(203367, 'PTHR34481:SF12', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE/TRYPSIN INHIBITOR CM2', 147093),
(203368, 'PTHR33592', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147094),
(203369, 'PTHR13371:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG00537', 147095),
(203370, 'PTHR23079:SF38', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 147096),
(203371, 'PTHR14150:SF16', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 14 HOMOLOG C', 147097),
(203372, 'PTHR46059:SF2', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDE ALPHA-2,6-SIALYLTRANSFERASE 1', 147098),
(203373, 'PTHR23248:SF38', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE 1', 147099);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(203374, 'PTHR11654:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147100),
(203375, 'PTHR43670:SF81', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN', 147101),
(203376, 'PTHR12872:SF3', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGLUCOSAMINIDASE', 147102),
(203377, 'PTHR11818:SF21', NULL, NULL, NULL, NULL, 'CRYSTALLIN, BETA B1,-LIKE 3', 147103),
(203378, 'PTHR27004:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147104),
(203379, 'PTHR37938', NULL, NULL, NULL, NULL, 'BLL0215 PROTEIN', 147105),
(203380, 'PTHR10791:SF190', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 147106),
(203381, 'PTHR42266:SF1', NULL, NULL, NULL, NULL, 'GIM5B PROTEIN', 147107),
(203382, 'PTHR23024:SF239', NULL, NULL, NULL, NULL, 'MCG67716', 147108),
(203383, 'PTHR45878:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP6-LIKE', 147109),
(203384, 'PTHR10316', NULL, NULL, NULL, NULL, 'MEMBRANE ASSOCIATED GUANYLATE KINASE-RELATED', 147110),
(203385, 'PTHR12642:SF3', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NSA2 HOMOLOG', 147111),
(203386, 'PTHR31503:SF61', NULL, NULL, NULL, NULL, 'BNAC06G06210D PROTEIN', 147112),
(203387, 'PTHR11451:SF52', NULL, NULL, NULL, NULL, 'BNAA09G44770D PROTEIN', 147113),
(203388, 'PTHR21737', NULL, NULL, NULL, NULL, 'POLYGLUTAMINE BINDING PROTEIN 1/MARVEL  MEMBRANE-ASSOCIATING  DOMAIN CONTAINING 3', 147114),
(203389, 'PTHR14256:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147115),
(203390, 'PTHR21495:SF186', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 147116),
(203391, 'PTHR47021:SF3', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD7', 147117),
(203392, 'PTHR14948:SF21', NULL, NULL, NULL, NULL, 'PROLINE-RICH TRANSMEMBRANE PROTEIN 1', 147118),
(203393, 'PTHR32410:SF157', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 147119),
(203394, 'PTHR46333', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147120),
(203395, 'PTHR21713:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147121),
(203396, 'PTHR34156:SF4', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 147122),
(203397, 'PTHR33070:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147123),
(203398, 'PTHR23236:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147124),
(203399, 'PTHR45715:SF7', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E 2', 147125),
(203400, 'PTHR33640:SF12', NULL, NULL, NULL, NULL, 'OS01G0632000 PROTEIN', 147126),
(203401, 'PTHR45966:SF27', NULL, NULL, NULL, NULL, 'BNAA06G01420D PROTEIN', 147127),
(203402, 'PTHR11347:SF196', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', 147128),
(203403, 'PTHR46116:SF30', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME/RWD-LIKE PROTEIN-RELATED', 147129),
(203404, 'PTHR22847:SF669', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147130),
(203405, 'PTHR14363:SF39', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 79-RELATED', 147131),
(203406, 'PTHR11527:SF331', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN', 147132),
(203407, 'PTHR31707:SF177', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 147133),
(203408, 'PTHR40627:SF2', NULL, NULL, NULL, NULL, 'XANTHONE PRENYLTRANSFERASE A-RELATED', 147134),
(203409, 'PTHR47990:SF140', NULL, NULL, NULL, NULL, 'BNAC04G02480D PROTEIN', 147135),
(203410, 'PTHR47925:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147136),
(203411, 'PTHR12442:SF34', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 1 INTERMEDIATE CHAIN 1', 147137),
(203412, 'PTHR42825:SF19', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE 7-RELATED', 147138),
(203413, 'PTHR11132:SF314', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER 4', 147139),
(203414, 'PTHR43441:SF5', NULL, NULL, NULL, NULL, 'FAMILY ACETYLTRANSFERASE, PUTATIVE-RELATED', 147140),
(203415, 'PTHR22904:SF526', NULL, NULL, NULL, NULL, 'HSP70-HSP90 ORGANIZING PROTEIN 3', 147141),
(203416, 'PTHR35516:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147142),
(203417, 'PTHR37525:SF1', NULL, NULL, NULL, NULL, 'UPF0175 PROTEIN SSL1255', 147143);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(203418, 'PTHR45897:SF4', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY CHOLINE TRANSPORTER 1', 147144),
(203419, 'PTHR12817:SF6', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 6A-RELATED', 147145),
(203420, 'PTHR34122:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 147146),
(203421, 'PTHR16675:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147147),
(203422, 'PTHR30465:SF45', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEMS INNER MEMBRANE COMPONENT', 147148),
(203423, 'PTHR42678:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147149),
(203424, 'PTHR32227:SF377', NULL, NULL, NULL, NULL, 'BNAC03G74070D PROTEIN', 147150),
(203425, 'PTHR12128:SF24', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE SYNTHETASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G11920)', 147151),
(203426, 'PTHR23257:SF880', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147152),
(203427, 'PTHR43706:SF22', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE B2', 147153),
(203428, 'PTHR11012', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 147154),
(203429, 'PTHR12137:SF7', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 8', 147155),
(203430, 'PTHR11558:SF48', NULL, NULL, NULL, NULL, 'BNAA10G06470D PROTEIN', 147156),
(203431, 'PTHR24056:SF164', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 21', 147157),
(203432, 'PTHR12458:SF7', NULL, NULL, NULL, NULL, 'ZGC:162324', 147158),
(203433, 'PTHR31304:SF35', NULL, NULL, NULL, NULL, 'BNAA07G37360D PROTEIN', 147159),
(203434, 'PTHR24072:SF306', NULL, NULL, NULL, NULL, 'AT17867P', 147160),
(203435, 'PTHR46044:SF4', NULL, NULL, NULL, NULL, 'CYANIDE HYDRATASE', 147161),
(203436, 'PTHR47972:SF33', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14O', 147162),
(203437, 'PTHR19303:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147163),
(203438, 'PTHR45811:SF17', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN CONTAINING PROTEIN', 147164),
(203439, 'PTHR11089:SF36', NULL, NULL, NULL, NULL, 'BNACNNG52210D PROTEIN', 147165),
(203440, 'PTHR43200:SF4', NULL, NULL, NULL, NULL, 'PAP-SPECIFIC PHOSPHATASE, MITOCHONDRIAL-RELATED', 147166),
(203441, 'PTHR24238:SF54', NULL, NULL, NULL, NULL, 'TACHYKININ RECEPTOR 3', 147167),
(203442, 'PTHR10366:SF627', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE-LIKE PROTEIN', 147168),
(203443, 'PTHR46772:SF10', NULL, NULL, NULL, NULL, 'BNAA05G16020D PROTEIN', 147169),
(203444, 'PTHR22930:SF151', NULL, NULL, NULL, NULL, 'OS05G0593000 PROTEIN', 147170),
(203445, 'PTHR11772:SF16', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING] 1', 147171),
(203446, 'PTHR23500:SF551', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 8-LIKE', 147172),
(203447, 'PTHR47993:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147173),
(203448, 'PTHR31157:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147174),
(203449, 'PTHR12560:SF54', NULL, NULL, NULL, NULL, 'BNAA08G19630D PROTEIN', 147175),
(203450, 'PTHR34269:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR B3-DOMAIN FAMILY-RELATED', 147176),
(203451, 'PTHR10791:SF68', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET5', 147177),
(203452, 'PTHR28593:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147178),
(203453, 'PTHR34630:SF23', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE', 147179),
(203454, 'PTHR31375:SF214', NULL, NULL, NULL, NULL, 'BNAA07G02370D PROTEIN', 147180),
(203455, 'PTHR33444:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 272', 147181),
(203456, 'PTHR23320:SF129', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 176', 147182),
(203457, 'PTHR21576:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147183),
(203458, 'PTHR23426:SF26', NULL, NULL, NULL, NULL, 'ADRENODOXIN, MITOCHONDRIAL', 147184),
(203459, 'PTHR31426:SF4', NULL, NULL, NULL, NULL, 'RNA-BINDING CRS1 / YHBY (CRM) DOMAIN PROTEIN', 147185),
(203460, 'PTHR33065:SF153', NULL, NULL, NULL, NULL, 'OS08G0141000 PROTEIN', 147186),
(203461, 'PTHR48027:SF9', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 3, MITOCHONDRIAL', 147187); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(203462, 'PTHR30411:SF8', NULL, NULL, NULL, NULL, 'CYS-TRNA(PRO)/CYS-TRNA(CYS) DEACYLASE YBAK', 147188),
(203463, 'PTHR33044:SF167', NULL, NULL, NULL, NULL, 'PROTEIN YLS3-LIKE ISOFORM X1', 147189),
(203464, 'PTHR35202', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147190),
(203465, 'PTHR11278:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', 147191),
(203466, 'PTHR10177:SF441', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147192),
(203467, 'PTHR22596:SF17', NULL, NULL, NULL, NULL, 'TRYPSIN-LIKE PROTEASE', 147193),
(203468, 'PTHR11827:SF65', NULL, NULL, NULL, NULL, 'GH08340P', 147194),
(203469, 'PTHR23024:SF135', NULL, NULL, NULL, NULL, 'CELL DEATH ASSOCIATED PROTEIN', 147195),
(203470, 'PTHR23423:SF35', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER-LIKE', 147196),
(203471, 'PTHR11011:SF70', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 147197),
(203472, 'PTHR13817:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147198),
(203473, 'PTHR13132', NULL, NULL, NULL, NULL, 'ALPHA- 1,6 -FUCOSYLTRANSFERASE', 147199),
(203474, 'PTHR48047:SF66', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73C5-RELATED', 147200),
(203475, 'PTHR11157:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147201),
(203476, 'PTHR47992:SF157', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', 147202),
(203477, 'PTHR10334:SF477', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', 147203),
(203478, 'PTHR45654:SF65', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN-RELATED', 147204),
(203479, 'PTHR11010:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147205),
(203480, 'PTHR45683:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FOLATE TRANSPORTER/CARRIER', 147206),
(203481, 'PTHR24409:SF308', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 11', 147207),
(203482, 'PTHR10535:SF20', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC1-RELATED', 147208),
(203483, 'PTHR46224:SF37', NULL, NULL, NULL, NULL, 'OS12G0600100 PROTEIN', 147209),
(203484, 'PTHR48112:SF3', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN B2', 147210),
(203485, 'PTHR11844:SF24', NULL, NULL, NULL, NULL, 'METALLOPROTEINASE INHIBITOR 2', 147211),
(203486, 'PTHR42810:SF5', NULL, NULL, NULL, NULL, 'XANTHINE PERMEASE XANQ', 147212),
(203487, 'PTHR46221:SF6', NULL, NULL, NULL, NULL, 'FERM AND PDZ DOMAIN-CONTAINING 1B', 147213),
(203488, 'PTHR45570:SF1', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 147214),
(203489, 'PTHR22943:SF34', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 147215),
(203490, 'PTHR23410:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147216),
(203491, 'PTHR10774:SF189', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-4-LIKE', 147217),
(203492, 'PTHR30477', NULL, NULL, NULL, NULL, 'ABC-TRANSPORTER METAL-BINDING PROTEIN', 147218),
(203493, 'PTHR35093', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN NMB0088-RELATED', 147219),
(203494, 'PTHR15710:SF67', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SGR9, AMYLOPLASTIC', 147220),
(203495, 'PTHR47928:SF71', NULL, NULL, NULL, NULL, 'OS02G0552100 PROTEIN', 147221),
(203496, 'PTHR45676:SF40', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL52-LIKE ISOFORM X1', 147222),
(203497, 'PTHR27004:SF242', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 19-RELATED', 147223),
(203498, 'PTHR12143:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147224),
(203499, 'PTHR31140:SF119', NULL, NULL, NULL, NULL, 'BNAA06G02760D PROTEIN', 147225),
(203500, 'PTHR45688:SF13', NULL, NULL, NULL, NULL, 'ALANINE--GLYOXYLATE AMINOTRANSFERASE 2-LIKE', 147226),
(203501, 'PTHR23267:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147227),
(203502, 'PTHR14383', NULL, NULL, NULL, NULL, 'SWAP-70 RECOMBINASE', 147228),
(203503, 'PTHR46226', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147229),
(203504, 'PTHR16092:SF31', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC3A-LIKE', 147230),
(203505, 'PTHR43542:SF2', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE-RELATED', 147231);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(203506, 'PTHR43313:SF1', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-RELATED 31 KDA PROTEIN', 147232),
(203507, 'PTHR31790:SF317', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147233),
(203508, 'PTHR23430:SF223', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-A', 147234),
(203509, 'PTHR24282:SF142', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 709B1', 147235),
(203510, 'PTHR23128:SF60', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)-RELATED', 147236),
(203511, 'PTHR46616:SF7', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', 147237),
(203512, 'PTHR44378:SF3', NULL, NULL, NULL, NULL, 'ENZYME 17, PEROXISOMAL PROTEIN, PUTATIVE-RELATED', 147238),
(203513, 'PTHR37763:SF1', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX EXONUCLEASE', 147239),
(203514, 'PTHR33149:SF7', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II D2 PROTEIN', 147240),
(203515, 'PTHR33191:SF58', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 147241),
(203516, 'PTHR16134:SF50', NULL, NULL, NULL, NULL, 'GRR1-LIKE PROTEIN 1', 147242),
(203517, 'PTHR15588:SF8', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM1', 147243),
(203518, 'PTHR33090:SF50', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 147244),
(203519, 'PTHR15954:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 51 HOMOLOG', 147245),
(203520, 'PTHR15439:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RBBP6-LIKE ISOFORM X1', 147246),
(203521, 'PTHR43840:SF11', NULL, NULL, NULL, NULL, 'CATION DIFFUSION FACILITATOR 10', 147247),
(203522, 'PTHR10562:SF91', NULL, NULL, NULL, NULL, 'OS07G0574600 PROTEIN', 147248),
(203523, 'PTHR11071:SF441', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 147249),
(203524, 'PTHR33433:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147250),
(203525, 'PTHR10291:SF14', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 147251),
(203526, 'PTHR45651:SF9', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 14-RELATED', 147252),
(203527, 'PTHR45614:SF159', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB117', 147253),
(203528, 'PTHR31234:SF53', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 147254),
(203529, 'PTHR14209:SF24', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE CPRD49-LIKE', 147255),
(203530, 'PTHR11566:SF23', NULL, NULL, NULL, NULL, 'DYNAMIN-2', 147256),
(203531, 'PTHR46128:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147257),
(203532, 'PTHR11685:SF321', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 147258),
(203533, 'PTHR43884:SF1', NULL, NULL, NULL, NULL, 'SHORT/BRANCHED CHAIN SPECIFIC ACYL-COA DEHYDROGENASE, MITOCHONDRIAL', 147259),
(203534, 'PTHR24335', NULL, NULL, NULL, NULL, 'MOTOR NEURON AND PANCREAS HOMEOBOX PROTEIN', 147260),
(203535, 'PTHR24298:SF82', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 147261),
(203536, 'PTHR31881:SF11', NULL, NULL, NULL, NULL, 'BNAC07G16950D PROTEIN', 147262),
(203537, 'PTHR13547:SF7', NULL, NULL, NULL, NULL, 'OS02G0273800 PROTEIN', 147263),
(203538, 'PTHR47965:SF66', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE', 147264),
(203539, 'PTHR28682:SF1', NULL, NULL, NULL, NULL, 'INHIBITORY SYNAPTIC FACTOR 2A', 147265),
(203540, 'PTHR11633:SF5', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR C', 147266),
(203541, 'PTHR46772', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147267),
(203542, 'PTHR46401:SF5', NULL, NULL, NULL, NULL, 'SLL5048 PROTEIN', 147268),
(203543, 'PTHR44129:SF6', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE IB SUBUNIT ALPHA', 147269),
(203544, 'PTHR45822:SF3', NULL, NULL, NULL, NULL, 'LOC794123 PROTEIN-RELATED', 147270),
(203545, 'PTHR23266:SF208', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 5-16', 147271),
(203546, 'PTHR14379:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147272),
(203547, 'PTHR11945:SF683', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147273),
(203548, 'PTHR31257:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147274);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(203549, 'PTHR27005:SF366', NULL, NULL, NULL, NULL, 'BNAA01G06060D PROTEIN', 147275),
(203550, 'PTHR31662:SF81', NULL, NULL, NULL, NULL, 'DNA-BINDING STOREKEEPER PROTEIN-RELATED TRANSCRIPTIONAL REGULATOR-RELATED', 147276),
(203551, 'PTHR13509:SF12', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', 147277),
(203552, 'PTHR33994:SF11', NULL, NULL, NULL, NULL, 'OS01G0771600 PROTEIN', 147278),
(203553, 'PTHR37192', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 147279),
(203554, 'PTHR36293:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 213', 147280),
(203555, 'PTHR13693:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147281),
(203556, 'PTHR11661:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147282),
(203557, 'PTHR12093:SF10', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEIN HEM', 147283),
(203558, 'PTHR11699:SF233', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE, MITOCHONDRIAL', 147284),
(203559, 'PTHR11474:SF106', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE', 147285),
(203560, 'PTHR43735:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147286),
(203561, 'PTHR34221', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC691189', 147287),
(203562, 'PTHR31150:SF34', NULL, NULL, NULL, NULL, 'ZINC ION BINDING PROTEIN', 147288),
(203563, 'PTHR45837:SF7', NULL, NULL, NULL, NULL, 'SNARE-LIKE SUPERFAMILY PROTEIN', 147289),
(203564, 'PTHR33357', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 3', 147290),
(203565, 'PTHR43175', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 147291),
(203566, 'PTHR15975', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 147292),
(203567, 'PTHR46736:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147293),
(203568, 'PTHR31602:SF73', NULL, NULL, NULL, NULL, 'BNAA01G29750D PROTEIN', 147294),
(203569, 'PTHR11947:SF21', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE (ACETYL-TRANSFERRING)] KINASE ISOZYME 3, MITOCHONDRIAL', 147295),
(203570, 'PTHR24366:SF46', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT NEURONAL 1', 147296),
(203571, 'PTHR43000:SF1', NULL, NULL, NULL, NULL, 'REDUCTASE-RELATED', 147297),
(203572, 'PTHR31636:SF270', NULL, NULL, NULL, NULL, 'GIBBERELLIN-RESPONSIVE PROTEIN, PUTATIVE-RELATED', 147298),
(203573, 'PTHR31681:SF71', NULL, NULL, NULL, NULL, 'ZINC FINGER (C2H2 TYPE) FAMILY PROTEIN-RELATED', 147299),
(203574, 'PTHR11668:SF447', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 147300),
(203575, 'PTHR24376:SF39', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 658', 147301),
(203576, 'PTHR11220:SF68', NULL, NULL, NULL, NULL, 'HEME-BINDING PROTEIN SOUL5,-LIKE', 147302),
(203577, 'PTHR48092:SF5', NULL, NULL, NULL, NULL, 'GLUCOCORTICOID RECEPTOR', 147303),
(203578, 'PTHR26454:SF51', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6M1', 147304),
(203579, 'PTHR21477:SF32', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A10-LIKE', 147305),
(203580, 'PTHR10412:SF19', NULL, NULL, NULL, NULL, 'BNAANNG25530D PROTEIN', 147306),
(203581, 'PTHR31165:SF87', NULL, NULL, NULL, NULL, 'BNACNNG44770D PROTEIN', 147307),
(203582, 'PTHR43245:SF17', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE', 147308),
(203583, 'PTHR45979:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 147309),
(203584, 'PTHR35116:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE FAMILY PROTEIN', 147310),
(203585, 'PTHR11596:SF72', NULL, NULL, NULL, NULL, 'PHYTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14030)-RELATED', 147311),
(203586, 'PTHR47404', NULL, NULL, NULL, NULL, 'WRB (HUMAN W(TRYPTOPHAN)-RICH BASIC NUCLEAR PROTEIN) HOMOLOG', 147312),
(203587, 'PTHR34591:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147313),
(203588, 'PTHR31339:SF48', NULL, NULL, NULL, NULL, 'PECTIN LYASE SUPERFAMILY PROTEIN', 147314),
(203589, 'PTHR24286:SF314', NULL, NULL, NULL, NULL, 'BNAC01G31470D PROTEIN', 147315),
(203590, 'PTHR12842', NULL, NULL, NULL, NULL, 'FI01459P', 147316),
(203591, 'PTHR21562:SF48', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 147317),
(203592, 'PTHR24349:SF355', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 14', 147318);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(203593, 'PTHR11844:SF2', NULL, NULL, NULL, NULL, 'TISSUE INHIBITOR OF METALLOPROTEASE', 147319),
(203594, 'PTHR31851:SF67', NULL, NULL, NULL, NULL, 'BNAA06G14970D PROTEIN', 147320),
(203595, 'PTHR24070:SF199', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAL-B', 147321),
(203596, 'PTHR14221:SF44', NULL, NULL, NULL, NULL, 'BNAA10G06780D PROTEIN', 147322),
(203597, 'PTHR10177:SF252', NULL, NULL, NULL, NULL, 'CYCLIN-F', 147323),
(203598, 'PTHR27005:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147324),
(203599, 'PTHR42886:SF54', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE-RELATED', 147325),
(203600, 'PTHR19441:SF81', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN 2', 147326),
(203601, 'PTHR31673', NULL, NULL, NULL, NULL, 'PROTEIN COBRA', 147327),
(203602, 'PTHR43618:SF8', NULL, NULL, NULL, NULL, '7-ALPHA-HYDROXYSTEROID DEHYDROGENASE', 147328),
(203603, 'PTHR11385:SF7', NULL, NULL, NULL, NULL, 'ALPHA-FETOPROTEIN', 147329),
(203604, 'PTHR31942:SF105', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 147330),
(203605, 'PTHR43762:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147331),
(203606, 'PTHR22846:SF2', NULL, NULL, NULL, NULL, 'F-BOX-LIKE/WD REPEAT-CONTAINING PROTEIN EBI', 147332),
(203607, 'PTHR46050:SF10', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING THIOREDOXIN TTL4', 147333),
(203608, 'PTHR46422:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 147334),
(203609, 'PTHR13683:SF842', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147335),
(203610, 'PTHR24096:SF265', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14270)-RELATED', 147336),
(203611, 'PTHR47270:SF6', NULL, NULL, NULL, NULL, 'SARCOLEMMAL MEMBRANE-ASSOCIATED PROTEIN-LIKE ISOFORM X1', 147337),
(203612, 'PTHR12482:SF4', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 147338),
(203613, 'PTHR47209:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE KEG-LIKE ISOFORM X1', 147339),
(203614, 'PTHR23421:SF135', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 147340),
(203615, 'PTHR19422:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147341),
(203616, 'PTHR24074:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147342),
(203617, 'PTHR11062:SF290', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN-CONTAINING PROTEIN-RELATED', 147343),
(203618, 'PTHR12861:SF2', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN SUBUNIT BETA', 147344),
(203619, 'PTHR10795:SF680', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.6', 147345),
(203620, 'PTHR47914:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 147346),
(203621, 'PTHR33132:SF34', NULL, NULL, NULL, NULL, 'OS02G0799600 PROTEIN', 147347),
(203622, 'PTHR11850:SF267', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 4', 147348),
(203623, 'PTHR11954:SF25', NULL, NULL, NULL, NULL, 'LS1-LIKE PROTEIN', 147349),
(203624, 'PTHR14199', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 147350),
(203625, 'PTHR34235:SF6', NULL, NULL, NULL, NULL, 'SLR0291 PROTEIN', 147351),
(203626, 'PTHR30557:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147352),
(203627, 'PTHR40744:SF1', NULL, NULL, NULL, NULL, 'SODIUM STIBOGLUCONATE RESISTANCE PROTEIN-RELATED', 147353),
(203628, 'PTHR19919:SF10', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPARENT TESTA GLABRA 1', 147354),
(203629, 'PTHR37156:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147355),
(203630, 'PTHR18945:SF33', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT PI', 147356),
(203631, 'PTHR45775:SF4', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN GEM', 147357),
(203632, 'PTHR43308:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN ALPHA', 147358),
(203633, 'PTHR18953:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147359),
(203634, 'PTHR26453:SF28', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2M5', 147360),
(203635, 'PTHR31474:SF13', NULL, NULL, NULL, NULL, 'NICOTIANA TABACUM ORF', 147361),
(203636, 'PTHR45642:SF19', NULL, NULL, NULL, NULL, 'OS02G0110000 PROTEIN', 147362),
(203637, 'PTHR12268:SF15', NULL, NULL, NULL, NULL, 'DYSTROPHIN', 147363);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(203638, 'PTHR11743:SF28', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL PROTEIN 3', 147364),
(203639, 'PTHR46983', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH DOMAIN-CONTAINING PROTEIN 1', 147365),
(203640, 'PTHR13422:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147366),
(203641, 'PTHR16194:SF0', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 16', 147367),
(203642, 'PTHR24031:SF723', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-11', 147368),
(203643, 'PTHR43846', NULL, NULL, NULL, NULL, 'UPF0176 PROTEIN YCEA', 147369),
(203644, 'PTHR23055:SF57', NULL, NULL, NULL, NULL, 'NEURON-SPECIFIC CALCIUM-BINDING PROTEIN HIPPOCALCIN', 147370),
(203645, 'PTHR16742', NULL, NULL, NULL, NULL, 'CYCLICIN', 147371),
(203646, 'PTHR35547', NULL, NULL, NULL, NULL, 'OS06G0249350 PROTEIN-RELATED', 147372),
(203647, 'PTHR10253:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND WD REPEAT-CONTAINING PROTEIN 1', 147373),
(203648, 'PTHR31080:SF148', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', 147374),
(203649, 'PTHR10894:SF27', NULL, NULL, NULL, NULL, 'NOP56-LIKE PRE RNA PROCESSING RIBONUCLEOPROTEIN', 147375),
(203650, 'PTHR23315:SF293', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 147376),
(203651, 'PTHR21405:SF0', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 36', 147377),
(203652, 'PTHR27000:SF585', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 147378),
(203653, 'PTHR10749', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE B KINASE REGULATORY SUBUNIT', 147379),
(203654, 'PTHR46686:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 4 PROTEIN', 147380),
(203655, 'PTHR12994:SF17', NULL, NULL, NULL, NULL, 'LD30995P', 147381),
(203656, 'PTHR45657:SF37', NULL, NULL, NULL, NULL, 'OS05G0545000 PROTEIN', 147382),
(203657, 'PTHR14024:SF49', NULL, NULL, NULL, NULL, 'LIPID STORAGE DROPLETS SURFACE-BINDING PROTEIN 1', 147383),
(203658, 'PTHR24050:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147384),
(203659, 'PTHR11593:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147385),
(203660, 'PTHR31970', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147386),
(203661, 'PTHR27003:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147387),
(203662, 'PTHR33044:SF142', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 9-LIKE', 147388),
(203663, 'PTHR11496:SF102', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 4', 147389),
(203664, 'PTHR12774:SF5', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 19-1', 147390),
(203665, 'PTHR42809:SF2', NULL, NULL, NULL, NULL, 'FLAVODOXIN 1', 147391),
(203666, 'PTHR45580:SF4', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 147392),
(203667, 'PTHR15601', NULL, NULL, NULL, NULL, 'STRESS ASSOCIATED ENDOPLASMIC RETICULUM PROTEIN  SERP1/RAMP4', 147393),
(203668, 'PTHR13683:SF227', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 147394),
(203669, 'PTHR11668:SF422', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 147395),
(203670, 'PTHR11208:SF108', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN PROTEIN', 147396),
(203671, 'PTHR24207:SF2', NULL, NULL, NULL, NULL, 'ZYX102 PROTEIN', 147397),
(203672, 'PTHR30385:SF7', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR FLIA', 147398),
(203673, 'PTHR46973:SF1', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN 2A', 147399),
(203674, 'PTHR46033', NULL, NULL, NULL, NULL, 'PROTEIN MAIN-LIKE 2', 147400),
(203675, 'PTHR44783', NULL, NULL, NULL, NULL, 'CXADR-LIKE MEMBRANE PROTEIN', 147401),
(203676, 'PTHR11685:SF342', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARI7-RELATED', 147402),
(203677, 'PTHR43884:SF26', NULL, NULL, NULL, NULL, 'MEDIUM-CHAIN SPECIFIC ACYL-COA DEHYDROGENASE, MITOCHONDRIAL-LIKE PROTEIN-RELATED', 147403),
(203678, 'PTHR10257:SF3', NULL, NULL, NULL, NULL, 'WELL-ROUNDED, ISOFORM B', 147404),
(203679, 'PTHR23147:SF160', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SC35-LIKE SPLICING FACTOR SCL30', 147405),
(203680, 'PTHR21645', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 147406);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(203681, 'PTHR12447:SF6', NULL, NULL, NULL, NULL, 'LD31969P', 147407),
(203682, 'PTHR13338:SF6', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX ASSEMBLY FACTOR 4', 147408),
(203683, 'PTHR48048:SF24', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 147409),
(203684, 'PTHR11205:SF34', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S5', 147410),
(203685, 'PTHR15907:SF119', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR-LIKE PROTEIN', 147411),
(203686, 'PTHR31907:SF46', NULL, NULL, NULL, NULL, 'BNAC06G31980D PROTEIN', 147412),
(203687, 'PTHR47364:SF7', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 147413),
(203688, 'PTHR46151:SF6', NULL, NULL, NULL, NULL, 'OS06G0231600 PROTEIN', 147414),
(203689, 'PTHR31443:SF1', NULL, NULL, NULL, NULL, 'ZGC:101566', 147415),
(203690, 'PTHR47782:SF11', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 147416),
(203691, 'PTHR31851', NULL, NULL, NULL, NULL, 'FE(2+)/MN(2+) TRANSPORTER PCL1', 147417),
(203692, 'PTHR48022:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147418),
(203693, 'PTHR31713:SF9', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 G', 147419),
(203694, 'PTHR10422:SF39', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 1-RELATED', 147420),
(203695, 'PTHR39069:SF6', NULL, NULL, NULL, NULL, 'FI17111P1', 147421),
(203696, 'PTHR21230:SF74', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE PROTEIN', 147422),
(203697, 'PTHR31734:SF162', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 147423),
(203698, 'PTHR23238:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN EWS', 147424),
(203699, 'PTHR32002:SF59', NULL, NULL, NULL, NULL, 'BNAC07G38670D PROTEIN', 147425),
(203700, 'PTHR31003:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HHO6', 147426),
(203701, 'PTHR23359:SF189', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE 2', 147427),
(203702, 'PTHR23105:SF101', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10A', 147428),
(203703, 'PTHR36526', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 154', 147429),
(203704, 'PTHR32315', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE', 147430),
(203705, 'PTHR12050:SF0', NULL, NULL, NULL, NULL, 'RH04491P', 147431),
(203706, 'PTHR11647:SF50', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINASE', 147432),
(203707, 'PTHR32071:SF93', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN-RELATED', 147433),
(203708, 'PTHR31989:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147434),
(203709, 'PTHR10605:SF45', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL HEPARAN SULFATE N-DEACETYLASE/N-SULFOTRANSFERASE 4', 147435),
(203710, 'PTHR11528:SF41', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90-6, MITOCHONDRIAL', 147436),
(203711, 'PTHR27001:SF866', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147437),
(203712, 'PTHR33021:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147438),
(203713, 'PTHR12004:SF1', NULL, NULL, NULL, NULL, 'INSULIN-LIKE PEPTIDE INSL6', 147439),
(203714, 'PTHR24015:SF1771', NULL, NULL, NULL, NULL, 'OS08G0162200 PROTEIN', 147440),
(203715, 'PTHR33882:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147441),
(203716, 'PTHR34539:SF12', NULL, NULL, NULL, NULL, 'BNAC06G43580D PROTEIN', 147442),
(203717, 'PTHR46810:SF1', NULL, NULL, NULL, NULL, 'INACTIVE POLYGLYCYLASE TTLL10', 147443),
(203718, 'PTHR13780:SF139', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN', 147444),
(203719, 'PTHR11001:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION PROCESS PROTEIN 1', 147445),
(203720, 'PTHR46871:SF4', NULL, NULL, NULL, NULL, 'BNAA03G45750D PROTEIN', 147446),
(203721, 'PTHR31218:SF219', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 147447),
(203722, 'PTHR12064:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147448),
(203723, 'PTHR31463:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147449),
(203724, 'PTHR11908:SF136', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE SUBUNIT D-RELATED', 147450),
(203725, 'PTHR10209:SF628', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147451),
(203726, 'PTHR47972', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KLP-3', 147452);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(203727, 'PTHR36871', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 190', 147453),
(203728, 'PTHR22835:SF568', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147454),
(203729, 'PTHR11599:SF177', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 147455),
(203730, 'PTHR30126:SF40', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR NMOR', 147456),
(203731, 'PTHR35243:SF19', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1', 147457),
(203732, 'PTHR24238:SF58', NULL, NULL, NULL, NULL, 'FI22604P1', 147458),
(203733, 'PTHR14499:SF9', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD4', 147459),
(203734, 'PTHR45764:SF4', NULL, NULL, NULL, NULL, 'OS09G0306400 PROTEIN', 147460),
(203735, 'PTHR13462:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147461),
(203736, 'PTHR23360:SF67', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 147462),
(203737, 'PTHR28567:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM53C', 147463),
(203738, 'PTHR31552:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 147464),
(203739, 'PTHR23409', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE SMALL CHAIN', 147465),
(203740, 'PTHR22599:SF58', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 2A-RELATED', 147466),
(203741, 'PTHR31280', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG', 147467),
(203742, 'PTHR33922:SF2', NULL, NULL, NULL, NULL, 'OS01G0888066 PROTEIN', 147468),
(203743, 'PTHR33450:SF29', NULL, NULL, NULL, NULL, 'BNAC07G49270D PROTEIN', 147469),
(203744, 'PTHR31935:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 13', 147470),
(203745, 'PTHR11109:SF9', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE I 1', 147471),
(203746, 'PTHR24376:SF183', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 605', 147472),
(203747, 'PTHR19256:SF53', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR GAMMA, VARIABLE 3-RELATED', 147473),
(203748, 'PTHR33168:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147474),
(203749, 'PTHR28457:SF3', NULL, NULL, NULL, NULL, 'CILIARY-ASSOCIATED CALCIUM-BINDING COILED-COIL PROTEIN 1', 147475),
(203750, 'PTHR11937:SF468', NULL, NULL, NULL, NULL, 'ACTIN, CYTOSKELETAL 1B', 147476),
(203751, 'PTHR24186:SF17', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 147477),
(203752, 'PTHR15917:SF0', NULL, NULL, NULL, NULL, 'PROTEIN LARGEN', 147478),
(203753, 'PTHR43243:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147479),
(203754, 'PTHR23130:SF171', NULL, NULL, NULL, NULL, 'BNAC01G39800D PROTEIN', 147480),
(203755, 'PTHR11570:SF23', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME 2', 147481),
(203756, 'PTHR11058:SF9', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 3', 147482),
(203757, 'PTHR24343:SF324', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PRR1', 147483),
(203758, 'PTHR21016:SF5', NULL, NULL, NULL, NULL, 'TM2 DOMAIN-CONTAINING PROTEIN DDB_G0277895', 147484),
(203759, 'PTHR33070:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147485),
(203760, 'PTHR45620:SF31', NULL, NULL, NULL, NULL, 'HECTOR, ISOFORM A', 147486),
(203761, 'PTHR10994:SF146', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 147487),
(203762, 'PTHR31941:SF1', NULL, NULL, NULL, NULL, 'CYTOSKELETAL SIGNALING PROTEIN SLM1', 147488),
(203763, 'PTHR23097', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER', 147489),
(203764, 'PTHR11486:SF81', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 21', 147490),
(203765, 'PTHR14614:SF5', NULL, NULL, NULL, NULL, 'EEF1A LYSINE METHYLTRANSFERASE 3', 147491),
(203766, 'PTHR47928:SF161', NULL, NULL, NULL, NULL, 'OS06G0125600 PROTEIN', 147492),
(203767, 'PTHR46410:SF11', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 2-LIKE', 147493),
(203768, 'PTHR31221:SF239', NULL, NULL, NULL, NULL, 'BNAC06G11020D PROTEIN', 147494),
(203769, 'PTHR11255:SF96', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 147495),
(203770, 'PTHR24282:SF127', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 72 SUBFAMILY A POLYPEPTIDE 8', 147496);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(203771, 'PTHR19444:SF13', NULL, NULL, NULL, NULL, 'PROTEIN UNC-93 HOMOLOG A', 147497),
(203772, 'PTHR31560', NULL, NULL, NULL, NULL, 'UPF0652 PROTEIN C16A11.03C-RELATED', 147498),
(203773, 'PTHR12542:SF113', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 147499),
(203774, 'PTHR48039:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 28', 147500),
(203775, 'PTHR34491:SF20', NULL, NULL, NULL, NULL, 'ABL193CP', 147501),
(203776, 'PTHR35119:SF8', NULL, NULL, NULL, NULL, 'OSJNBB0022F23.8-LIKE PROTEIN', 147502),
(203777, 'PTHR34850', NULL, NULL, NULL, NULL, 'PROTEIN CBG21297', 147503),
(203778, 'PTHR22698', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 9', 147504),
(203779, 'PTHR33076:SF109', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN P5-LIKE', 147505),
(203780, 'PTHR23073:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147506),
(203781, 'PTHR11362:SF101', NULL, NULL, NULL, NULL, 'FTB2', 147507),
(203782, 'PTHR11315:SF13', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL HYDROLASE 3-RELATED', 147508),
(203783, 'PTHR24286:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147509),
(203784, 'PTHR23502:SF137', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY (MFS) TRANSPORTER-RELATED', 147510),
(203785, 'PTHR24281:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147511),
(203786, 'PTHR11778', NULL, NULL, NULL, NULL, 'SERYL-TRNA SYNTHETASE', 147512),
(203787, 'PTHR24304', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 7', 147513),
(203788, 'PTHR16134:SF2', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 21-RELATED', 147514),
(203789, 'PTHR23148', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REGULATED NUCLEAR MATRIX PROTEIN', 147515),
(203790, 'PTHR11599:SF131', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 147516),
(203791, 'PTHR22811:SF118', NULL, NULL, NULL, NULL, 'PROTEIN ERP1-RELATED', 147517),
(203792, 'PTHR37867:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 86', 147518),
(203793, 'PTHR33144:SF10', NULL, NULL, NULL, NULL, 'OS04G0609900 PROTEIN', 147519),
(203794, 'PTHR30047:SF11', NULL, NULL, NULL, NULL, 'L-CARNITINE/GAMMA-BUTYROBETAINE ANTIPORTER', 147520),
(203795, 'PTHR36478', NULL, NULL, NULL, NULL, 'OS04G0614237 PROTEIN-RELATED', 147521),
(203796, 'PTHR19957:SF263', NULL, NULL, NULL, NULL, 'SYNTAXIN-72', 147522),
(203797, 'PTHR11814:SF113', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 26 MEMBER 6', 147523),
(203798, 'PTHR11453:SF31', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER', 147524),
(203799, 'PTHR11686:SF56', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE 1 PROENZYME-RELATED', 147525),
(203800, 'PTHR33076:SF112', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 147526),
(203801, 'PTHR10938:SF4', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF3-1, MITOCHONDRIAL', 147527),
(203802, 'PTHR19051:SF15', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2310079G19 GENE', 147528),
(203803, 'PTHR31945:SF57', NULL, NULL, NULL, NULL, 'BNAANNG36760D PROTEIN', 147529),
(203804, 'PTHR47977:SF24', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RIC1', 147530),
(203805, 'PTHR34568:SF1', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', 147531),
(203806, 'PTHR31374:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147532),
(203807, 'PTHR11937:SF454', NULL, NULL, NULL, NULL, 'ACTIN-4', 147533),
(203808, 'PTHR11616:SF109', NULL, NULL, NULL, NULL, 'INACTIVE SODIUM-DEPENDENT NEUTRAL AMINO ACID TRANSPORTER B(0)AT3', 147534),
(203809, 'PTHR12931:SF29', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 8A', 147535),
(203810, 'PTHR19324:SF33', NULL, NULL, NULL, NULL, 'PERFORIN-LIKE PROTEIN 1', 147536),
(203811, 'PTHR16134:SF97', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 147537),
(203812, 'PTHR11746:SF244', NULL, NULL, NULL, NULL, 'ASMT1', 147538),
(203813, 'PTHR32322:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PAGO', 147539),
(203814, 'PTHR24377:SF751', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING 22', 147540),
(203815, 'PTHR24349:SF164', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 27', 147541);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(203816, 'PTHR46360', NULL, NULL, NULL, NULL, 'DISKS LARGE HOMOLOG 5', 147542),
(203817, 'PTHR13683:SF803', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-1-LIKE', 147543),
(203818, 'PTHR34976', NULL, NULL, NULL, NULL, 'RIBONUCLEASE YQCG-RELATED', 147544),
(203819, 'PTHR47994:SF4', NULL, NULL, NULL, NULL, 'BNACNNG32030D PROTEIN', 147545),
(203820, 'PTHR31376:SF87', NULL, NULL, NULL, NULL, 'BNAC08G11300D PROTEIN', 147546),
(203821, 'PTHR10502:SF200', NULL, NULL, NULL, NULL, 'ANNEXIN', 147547),
(203822, 'PTHR42739', NULL, NULL, NULL, NULL, 'MALATE SYNTHASE G', 147548),
(203823, 'PTHR11686:SF51', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL TRANSPEPTIDASE, ISOFORM A', 147549),
(203824, 'PTHR10807:SF112', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN DDB_G0290005', 147550),
(203825, 'PTHR11069:SF38', NULL, NULL, NULL, NULL, 'GLUCURONOXYLANASE XYNC', 147551),
(203826, 'PTHR32409:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM20', 147552),
(203827, 'PTHR13462:SF19', NULL, NULL, NULL, NULL, 'OS01G0817000 PROTEIN', 147553),
(203828, 'PTHR48053:SF49', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 147554),
(203829, 'PTHR31375:SF198', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', 147555),
(203830, 'PTHR23086:SF125', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', 147556),
(203831, 'PTHR12504:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147557),
(203832, 'PTHR47921', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147558),
(203833, 'PTHR23428:SF245', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 2-F', 147559),
(203834, 'PTHR28592:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 1', 147560),
(203835, 'PTHR11776:SF7', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE 3-RELATED', 147561),
(203836, 'PTHR31391:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147562),
(203837, 'PTHR22883:SF374', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 147563),
(203838, 'PTHR45803:SF5', NULL, NULL, NULL, NULL, 'SOX100B', 147564),
(203839, 'PTHR24423:SF617', NULL, NULL, NULL, NULL, 'PROTEIN EIN4', 147565),
(203840, 'PTHR12882:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT4 HOMOLOG 2', 147566),
(203841, 'PTHR31232:SF65', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', 147567),
(203842, 'PTHR31376:SF57', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 22-RELATED', 147568),
(203843, 'PTHR43434:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG18783', 147569),
(203844, 'PTHR32387:SF0', NULL, NULL, NULL, NULL, 'WU:FJ29H11', 147570),
(203845, 'PTHR46142:SF4', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE/GLYOXALASE I FAMILY PROTEIN', 147571),
(203846, 'PTHR23517:SF2', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTH', 147572),
(203847, 'PTHR11525:SF15', NULL, NULL, NULL, NULL, 'FARNESYL PYROPHOSPHATE SYNTHASE 3', 147573),
(203848, 'PTHR34418', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP214 ISOFORM X1', 147574),
(203849, 'PTHR11592:SF27', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 8-RELATED', 147575),
(203850, 'PTHR23202:SF32', NULL, NULL, NULL, NULL, 'WAS/WASL-INTERACTING PROTEIN FAMILY MEMBER 1', 147576),
(203851, 'PTHR11635:SF152', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE TYPE I REGULATORY SUBUNIT', 147577),
(203852, 'PTHR30580:SF1', NULL, NULL, NULL, NULL, 'COMF OPERON PROTEIN 1', 147578),
(203853, 'PTHR34480:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147579),
(203854, 'PTHR11214:SF288', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 147580),
(203855, 'PTHR11761:SF31', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L14, CHLOROPLASTIC', 147581),
(203856, 'PTHR12460:SF3', NULL, NULL, NULL, NULL, 'REGULATION OF NUCLEAR PRE-MRNA DOMAIN-CONTAINING PROTEIN 1B', 147582),
(203857, 'PTHR24223:SF426', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER TAP-LIKE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 147583),
(203858, 'PTHR45663:SF30', NULL, NULL, NULL, NULL, 'BNAA06G01250D PROTEIN', 147584),
(203859, 'PTHR32182:SF0', NULL, NULL, NULL, NULL, 'DNA REPLICATION AND REPAIR PROTEIN RECF', 147585);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(203860, 'PTHR37919:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG02558', 147586),
(203861, 'PTHR31375:SF176', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', 147587),
(203862, 'PTHR42718:SF27', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 147588),
(203863, 'PTHR12268:SF22', NULL, NULL, NULL, NULL, 'DYSTROBREVIN BETA', 147589),
(203864, 'PTHR10351:SF28', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3', 147590),
(203865, 'PTHR45972:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147591),
(203866, 'PTHR31861:SF22', NULL, NULL, NULL, NULL, 'BNAC03G70940D PROTEIN', 147592),
(203867, 'PTHR23070:SF185', NULL, NULL, NULL, NULL, 'BNAC09G09700D PROTEIN', 147593),
(203868, 'PTHR12262:SF12', NULL, NULL, NULL, NULL, 'BNAA05G20110D PROTEIN', 147594),
(203869, 'PTHR45786:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 147595),
(203870, 'PTHR11165:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147596),
(203871, 'PTHR48078:SF13', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE', 147597),
(203872, 'PTHR31806:SF5', NULL, NULL, NULL, NULL, 'PURINE-CYTOSINE PERMEASE FCY21', 147598),
(203873, 'PTHR23252:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147599),
(203874, 'PTHR24082:SF334', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-85', 147600),
(203875, 'PTHR30126:SF41', NULL, NULL, NULL, NULL, 'LYSR-FAMILY TRANSCRIPTIONAL REGULATOR', 147601),
(203876, 'PTHR45780:SF8', NULL, NULL, NULL, NULL, 'BNAC03G21530D PROTEIN', 147602),
(203877, 'PTHR46343:SF1', NULL, NULL, NULL, NULL, 'SUSHI REPEAT-CONTAINING PROTEIN SRPX', 147603),
(203878, 'PTHR28675:SF1', NULL, NULL, NULL, NULL, 'MELANOCORTIN-2 RECEPTOR ACCESSORY PROTEIN 2', 147604),
(203879, 'PTHR11260:SF693', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U13-RELATED', 147605),
(203880, 'PTHR24298:SF765', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147606),
(203881, 'PTHR10540:SF22', NULL, NULL, NULL, NULL, 'BNAC09G21110D PROTEIN', 147607),
(203882, 'PTHR43025:SF6', NULL, NULL, NULL, NULL, 'MONOGALACTOSYLDIACYLGLYCEROL SYNTHASE 3, CHLOROPLASTIC', 147608),
(203883, 'PTHR45843', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-LIKE 4', 147609),
(203884, 'PTHR21533:SF22', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 70', 147610),
(203885, 'PTHR24379:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 823', 147611),
(203886, 'PTHR22792:SF136', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN-RELATED', 147612),
(203887, 'PTHR11208:SF126', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN ASD-2', 147613),
(203888, 'PTHR11566:SF202', NULL, NULL, NULL, NULL, 'BNAC01G28600D PROTEIN', 147614),
(203889, 'PTHR31225:SF138', NULL, NULL, NULL, NULL, 'BNAA06G33340D PROTEIN', 147615),
(203890, 'PTHR34648:SF1', NULL, NULL, NULL, NULL, 'CLOCK-INTERACTING PACEMAKER', 147616),
(203891, 'PTHR24089:SF683', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', 147617),
(203892, 'PTHR11871:SF41', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', 147618),
(203893, 'PTHR45926:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE4-LIKE', 147619),
(203894, 'PTHR22779:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 170A', 147620),
(203895, 'PTHR31061:SF27', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 147621),
(203896, 'PTHR23430:SF311', NULL, NULL, NULL, NULL, 'HISTONE H2A', 147622),
(203897, 'PTHR47926:SF242', NULL, NULL, NULL, NULL, 'BNAA03G58140D PROTEIN', 147623),
(203898, 'PTHR11559:SF354', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G09230)-RELATED', 147624),
(203899, 'PTHR12736:SF21', NULL, NULL, NULL, NULL, 'LANC-LIKE PROTEIN 3 HOMOLOG', 147625),
(203900, 'PTHR11767:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147626),
(203901, 'PTHR43180:SF28', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 147627),
(203902, 'PTHR22550:SF14', NULL, NULL, NULL, NULL, 'TPR DOMAIN PROTEIN IN AEROTOLERANCE OPERON BATB', 147628),
(203903, 'PTHR46296:SF2', NULL, NULL, NULL, NULL, 'C2 AND GRAM DOMAIN-CONTAINING PROTEIN', 147629);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(203904, 'PTHR43991:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147630),
(203905, 'PTHR12472:SF0', NULL, NULL, NULL, NULL, 'RAB3 GTPASE-ACTIVATING PROTEIN NON-CATALYTIC SUBUNIT', 147631),
(203906, 'PTHR33605:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147632),
(203907, 'PTHR33044:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147633),
(203908, 'PTHR19278', NULL, NULL, NULL, NULL, 'OROTATE PHOSPHORIBOSYLTRANSFERASE', 147634),
(203909, 'PTHR24392:SF45', NULL, NULL, NULL, NULL, 'ZNF142 ISOFORM 2', 147635),
(203910, 'PTHR34156:SF3', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', 147636),
(203911, 'PTHR23300', NULL, NULL, NULL, NULL, 'METHANETHIOL OXIDASE', 147637),
(203912, 'PTHR33526:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 147638),
(203913, 'PTHR31065:SF7', NULL, NULL, NULL, NULL, 'OS01G0517800 PROTEIN', 147639),
(203914, 'PTHR12570:SF20', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA1-RELATED', 147640),
(203915, 'PTHR13720:SF22', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE 1', 147641),
(203916, 'PTHR24223:SF241', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 1', 147642),
(203917, 'PTHR20961:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147643),
(203918, 'PTHR21562:SF93', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 8', 147644),
(203919, 'PTHR12542:SF107', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO70A1-LIKE', 147645),
(203920, 'PTHR24015:SF1973', NULL, NULL, NULL, NULL, 'OS11G0213500 PROTEIN', 147646),
(203921, 'PTHR12560:SF45', NULL, NULL, NULL, NULL, 'LAG1 LONGEVITY ASSURANCE HOMOLOG 1', 147647),
(203922, 'PTHR45863:SF40', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK7-RELATED', 147648),
(203923, 'PTHR47009:SF1', NULL, NULL, NULL, NULL, 'HEPATITIS A VIRUS CELLULAR RECEPTOR 1 HOMOLOG', 147649),
(203924, 'PTHR24092:SF49', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IIA-RELATED', 147650),
(203925, 'PTHR43718:SF2', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG, MITOCHONDRIAL', 147651),
(203926, 'PTHR40696', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147652),
(203927, 'PTHR47993:SF171', NULL, NULL, NULL, NULL, 'BNAC03G42910D PROTEIN', 147653),
(203928, 'PTHR11949:SF9', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 6', 147654),
(203929, 'PTHR24068:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147655),
(203930, 'PTHR33147:SF48', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN', 147656),
(203931, 'PTHR48004:SF6', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 147657),
(203932, 'PTHR32089', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN MCPB', 147658),
(203933, 'PTHR33239', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 147659),
(203934, 'PTHR10015:SF368', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-4A-RELATED', 147660),
(203935, 'PTHR31975:SF1', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 7-RELATED', 147661),
(203936, 'PTHR36808:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ATRX-LIKE PROTEIN', 147662),
(203937, 'PTHR10992:SF1030', NULL, NULL, NULL, NULL, 'METHYLESTERASE 10-LIKE', 147663),
(203938, 'PTHR14202:SF0', NULL, NULL, NULL, NULL, '60 KDA SS-A/RO RIBONUCLEOPROTEIN', 147664),
(203939, 'PTHR30349:SF61', NULL, NULL, NULL, NULL, 'INTEGRASE/RECOMBINASE PROTEIN MJ0367-RELATED', 147665),
(203940, 'PTHR43715:SF4', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 4,6 DEHYDRATASE 1', 147666),
(203941, 'PTHR24377:SF848', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 806', 147667),
(203942, 'PTHR31100:SF85', NULL, NULL, NULL, NULL, 'PPC DOMAIN-CONTAINING PROTEIN-RELATED', 147668),
(203943, 'PTHR43939:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG21953', 147669),
(203944, 'PTHR47990:SF59', NULL, NULL, NULL, NULL, '20 OXIDASE, PUTATIVE-RELATED', 147670),
(203945, 'PTHR10177:SF439', NULL, NULL, NULL, NULL, 'CYCLIN D3,2-RELATED', 147671),
(203946, 'PTHR23155:SF1088', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147672),
(203947, 'PTHR47002:SF4', NULL, NULL, NULL, NULL, 'AQUAPORIN AQPAN.G-LIKE', 147673);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(203948, 'PTHR43592:SF4', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', 147674),
(203949, 'PTHR23257:SF869', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING SERINE/THREONINE-PROTEIN KINASE DDB_G0286997-RELATED', 147675),
(203950, 'PTHR47998:SF37', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 147676),
(203951, 'PTHR33786:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147677),
(203952, 'PTHR18896:SF141', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 147678),
(203953, 'PTHR16223:SF173', NULL, NULL, NULL, NULL, 'OS02G0564700 PROTEIN', 147679),
(203954, 'PTHR45714:SF53', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', 147680),
(203955, 'PTHR31392:SF1', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYLTRANSFERASE MNN1-RELATED', 147681),
(203956, 'PTHR11461:SF325', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147682),
(203957, 'PTHR11449:SF25', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30-1-RELATED', 147683),
(203958, 'PTHR31087:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147684),
(203959, 'PTHR48198:SF1', NULL, NULL, NULL, NULL, 'EC PROTEIN HOMOLOG', 147685),
(203960, 'PTHR12655:SF7', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 9, MITOCHONDRIAL-LIKE ISOFORM X1', 147686),
(203961, 'PTHR33538:SF3', NULL, NULL, NULL, NULL, 'BNAC03G14190D PROTEIN', 147687),
(203962, 'PTHR12209:SF0', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT TP53RK', 147688),
(203963, 'PTHR45968:SF15', NULL, NULL, NULL, NULL, 'PROTEIN HOTHEAD-LIKE ISOFORM X1', 147689),
(203964, 'PTHR31350:SF21', NULL, NULL, NULL, NULL, 'SI:DKEY-261L7.2', 147690),
(203965, 'PTHR10579:SF101', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL ACCESSORY 3B', 147691),
(203966, 'PTHR43114:SF2', NULL, NULL, NULL, NULL, 'ADENINE DEAMINASE', 147692),
(203967, 'PTHR43495:SF2', NULL, NULL, NULL, NULL, 'D-SERINE/D-ALANINE/GLYCINE TRANSPORTER', 147693),
(203968, 'PTHR46919:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) FAMILY PROTEIN', 147694),
(203969, 'PTHR24366:SF68', NULL, NULL, NULL, NULL, 'SLIT GUIDANCE LIGAND 3', 147695),
(203970, 'PTHR33389:SF23', NULL, NULL, NULL, NULL, 'DUF2921 FAMILY PROTEIN', 147696),
(203971, 'PTHR38778', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 147697),
(203972, 'PTHR47613', NULL, NULL, NULL, NULL, 'SPERM ACROSOME MEMBRANE-ASSOCIATED PROTEIN 4', 147698),
(203973, 'PTHR36115:SF6', NULL, NULL, NULL, NULL, 'PROLINE-RICH ANTIGEN HOMOLOG', 147699),
(203974, 'PTHR31182:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 147700),
(203975, 'PTHR24012:SF839', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 2', 147701),
(203976, 'PTHR44329:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147702),
(203977, 'PTHR15895:SF12', NULL, NULL, NULL, NULL, 'IMMEDIATE EARLY RESPONSE GENE 5 PROTEIN', 147703),
(203978, 'PTHR12348:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG00127', 147704),
(203979, 'PTHR39614:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147705),
(203980, 'PTHR11489:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', 147706),
(203981, 'PTHR47273:SF8', NULL, NULL, NULL, NULL, 'BNAC04G56700D PROTEIN', 147707),
(203982, 'PTHR31988:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147708),
(203983, 'PTHR35104:SF12', NULL, NULL, NULL, NULL, 'BNAC02G12190D PROTEIN', 147709),
(203984, 'PTHR19303:SF47', NULL, NULL, NULL, NULL, 'PROTEIN PDC2', 147710),
(203985, 'PTHR31639:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147711),
(203986, 'PTHR23070:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147712),
(203987, 'PTHR24381:SF353', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 705A', 147713),
(203988, 'PTHR11945:SF485', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 17', 147714),
(203989, 'PTHR46128:SF98', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', 147715),
(203990, 'PTHR47995:SF21', NULL, NULL, NULL, NULL, 'OS06G0679400 PROTEIN', 147716),
(203991, 'PTHR44305:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0293292-RELATED', 147717);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(203992, 'PTHR23113', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR', 147718),
(203993, 'PTHR15186:SF4', NULL, NULL, NULL, NULL, 'BCL2/ADENOVIRUS E1B 19 KDA PROTEIN-INTERACTING PROTEIN 3', 147719),
(203994, 'PTHR33469:SF25', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 3-LIKE', 147720),
(203995, 'PTHR45613', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 147721),
(203996, 'PTHR18934:SF238', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147722),
(203997, 'PTHR14119:SF3', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE DOMAIN-CONTAINING PROTEIN 2', 147723),
(203998, 'PTHR44203:SF3', NULL, NULL, NULL, NULL, 'ETO1-LIKE PROTEIN 2', 147724),
(203999, 'PTHR20856:SF26', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 147725),
(204000, 'PTHR47973:SF5', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 3', 147726),
(204001, 'PTHR10920', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA METHYLTRANSFERASE', 147727),
(204002, 'PTHR24015:SF755', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 147728),
(204003, 'PTHR34663:SF12', NULL, NULL, NULL, NULL, 'BNAA04G13530D PROTEIN', 147729),
(204004, 'PTHR21398:SF20', NULL, NULL, NULL, NULL, 'AGAP004007-PA', 147730),
(204005, 'PTHR10725:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147731),
(204006, 'PTHR13353:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PGR', 147732),
(204007, 'PTHR11566:SF158', NULL, NULL, NULL, NULL, 'DYNAMIN-2B', 147733),
(204008, 'PTHR19375', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70KDA', 147734),
(204009, 'PTHR42861:SF53', NULL, NULL, NULL, NULL, 'RETICULUM [ER]-TYPE CALCIUM ATPASE, PUTATIVE-RELATED', 147735),
(204010, 'PTHR45876:SF7', NULL, NULL, NULL, NULL, 'MENTAL RETARDATION GTPASE ACTIVATING PROTEIN HOMOLOG 2', 147736),
(204011, 'PTHR31257:SF15', NULL, NULL, NULL, NULL, 'RICIN B, LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', 147737),
(204012, 'PTHR15615:SF95', NULL, NULL, NULL, NULL, 'CYCLIN', 147738),
(204013, 'PTHR14690:SF8', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 11', 147739),
(204014, 'PTHR24064:SF328', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 3', 147740),
(204015, 'PTHR31589:SF108', NULL, NULL, NULL, NULL, 'NEP-INTERACTING PROTEIN 1', 147741),
(204016, 'PTHR35748:SF2', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL CYCLOTRANSFERASE-RELATED', 147742),
(204017, 'PTHR18945', NULL, NULL, NULL, NULL, 'NEUROTRANSMITTER GATED ION CHANNEL', 147743),
(204018, 'PTHR23077:SF154', NULL, NULL, NULL, NULL, 'DIVISION CYCLE PROTEIN, PUTATIVE-RELATED', 147744),
(204019, 'PTHR48002:SF15', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4D1', 147745),
(204020, 'PTHR31550:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147746),
(204021, 'PTHR13800:SF10', NULL, NULL, NULL, NULL, 'GTL-1', 147747),
(204022, 'PTHR39419:SF1', NULL, NULL, NULL, NULL, 'SLL0814 PROTEIN', 147748),
(204023, 'PTHR31235:SF253', NULL, NULL, NULL, NULL, 'PEROXIDASE', 147749),
(204024, 'PTHR11360:SF78', NULL, NULL, NULL, NULL, 'TRANSPORTER (MCH2), PUTATIVE (AFU_ORTHOLOGUE AFUA_4G12260)-RELATED', 147750),
(204025, 'PTHR31087:SF75', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 4-LIKE', 147751),
(204026, 'PTHR23428:SF70', NULL, NULL, NULL, NULL, 'HISTONE H2B-RELATED', 147752),
(204027, 'PTHR45820:SF3', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 10', 147753),
(204028, 'PTHR31975:SF2', NULL, NULL, NULL, NULL, 'CHITIN BIOSYNTHESIS PROTEIN CHS6-RELATED', 147754),
(204029, 'PTHR24260', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147755),
(204030, 'PTHR14605', NULL, NULL, NULL, NULL, 'CHST5 PROTEIN', 147756),
(204031, 'PTHR21717:SF75', NULL, NULL, NULL, NULL, 'HEME PEROXIDASE-RELATED', 147757),
(204032, 'PTHR35668', NULL, NULL, NULL, NULL, 'PROTEIN SHORTAGE IN CHIASMATA 1 ORTHOLOG', 147758),
(204033, 'PTHR31664:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG22340', 147759),
(204034, 'PTHR14224:SF17', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 17-RELATED', 147760),
(204035, 'PTHR27005:SF210', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL PSEUDOKINASE ZED1-LIKE ISOFORM X1', 147761),
(204036, 'PTHR41391', NULL, NULL, NULL, NULL, 'RESTRICTION OF TELOMERE CAPPING PROTEIN 4', 147762);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(204037, 'PTHR34114:SF4', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 21', 147763),
(204038, 'PTHR33474:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147764),
(204039, 'PTHR24381:SF154', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 550', 147765),
(204040, 'PTHR45642:SF111', NULL, NULL, NULL, NULL, 'BNAA09G15560D PROTEIN', 147766),
(204041, 'PTHR32141:SF61', NULL, NULL, NULL, NULL, 'OS01G0598400 PROTEIN', 147767),
(204042, 'PTHR19300:SF9', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 4', 147768),
(204043, 'PTHR12357:SF74', NULL, NULL, NULL, NULL, 'BNAC02G25740D PROTEIN', 147769),
(204044, 'PTHR45657:SF46', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN-RELATED', 147770),
(204045, 'PTHR11746:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147771),
(204046, 'PTHR35253', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 152', 147772),
(204047, 'PTHR43120:SF10', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE 2, CHLOROPLASTIC', 147773),
(204048, 'PTHR31225:SF146', NULL, NULL, NULL, NULL, 'VIRIDIFLORENE SYNTHASE', 147774),
(204049, 'PTHR31286:SF85', NULL, NULL, NULL, NULL, 'TA11-LIKE NON-LTR RETROELEMENT PROTEIN-RELATED', 147775),
(204050, 'PTHR32099:SF64', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 34-RELATED', 147776),
(204051, 'PTHR24019:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147777),
(204052, 'PTHR46391:SF2', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 6', 147778),
(204053, 'PTHR31802:SF18', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT4', 147779),
(204054, 'PTHR45934:SF1', NULL, NULL, NULL, NULL, 'OS04G0423100 PROTEIN', 147780),
(204055, 'PTHR36712:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 147781),
(204056, 'PTHR24092:SF19', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 147782),
(204057, 'PTHR43393', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 147783),
(204058, 'PTHR17630:SF95', NULL, NULL, NULL, NULL, 'BNAC01G30540D PROTEIN', 147784),
(204059, 'PTHR22504:SF0', NULL, NULL, NULL, NULL, 'REPRESSOR OF RNA POLYMERASE III TRANSCRIPTION MAF1 HOMOLOG', 147785),
(204060, 'PTHR10578:SF107', NULL, NULL, NULL, NULL, 'HYDROXYACID OXIDASE 2', 147786),
(204061, 'PTHR33977', NULL, NULL, NULL, NULL, 'ZINC ION BINDING PROTEIN', 147787),
(204062, 'PTHR24235:SF22', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y7 RECEPTOR', 147788),
(204063, 'PTHR22714:SF2', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', 147789),
(204064, 'PTHR15759', NULL, NULL, NULL, NULL, 'PANNEXIN', 147790),
(204065, 'PTHR30175:SF4', NULL, NULL, NULL, NULL, 'PTS SYSTEM TREHALOSE-SPECIFIC EIIBC COMPONENT', 147791),
(204066, 'PTHR45693:SF43', NULL, NULL, NULL, NULL, 'TGACG-SEQUENCE-SPECIFIC DNA-BINDING PROTEIN TGA-2.1', 147792),
(204067, 'PTHR31790:SF319', NULL, NULL, NULL, NULL, 'OS12G0493566 PROTEIN', 147793),
(204068, 'PTHR12692:SF3', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT OST6', 147794),
(204069, 'PTHR33836:SF11', NULL, NULL, NULL, NULL, 'BNAA02G10970D PROTEIN', 147795),
(204070, 'PTHR30620:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147796),
(204071, 'PTHR18966:SF479', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2.7-RELATED', 147797),
(204072, 'PTHR23257:SF705', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY46', 147798),
(204073, 'PTHR47981:SF21', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, RAN GTPASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 147799),
(204074, 'PTHR19957:SF72', NULL, NULL, NULL, NULL, 'GENE 379-RELATED', 147800),
(204075, 'PTHR31561:SF126', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 147801),
(204076, 'PTHR32285:SF192', NULL, NULL, NULL, NULL, 'DUF231 DOMAIN CONTAINING FAMILY PROTEIN-RELATED', 147802),
(204077, 'PTHR24281:SF36', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D8', 147803),
(204078, 'PTHR10231:SF39', NULL, NULL, NULL, NULL, 'F44C8.7-LIKE PROTEIN-RELATED', 147804),
(204079, 'PTHR14499:SF126', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL TETRAMERIZATION DOMAIN CONTAINING 21', 147805);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(204080, 'PTHR11206:SF343', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 147806),
(204081, 'PTHR31718:SF22', NULL, NULL, NULL, NULL, 'OSJNBA0006M15.18 PROTEIN', 147807),
(204082, 'PTHR31009:SF64', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASES SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 147808),
(204083, 'PTHR16254', NULL, NULL, NULL, NULL, 'POTASSIUM/PROTON ANTIPORTER-RELATED', 147809),
(204084, 'PTHR14309:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147810),
(204085, 'PTHR13462:SF39', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN 3, MITOCHONDRIAL', 147811),
(204086, 'PTHR10582:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147812),
(204087, 'PTHR24223:SF383', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 14', 147813),
(204088, 'PTHR24186:SF2', NULL, NULL, NULL, NULL, 'LD46604P', 147814),
(204089, 'PTHR31606:SF9', NULL, NULL, NULL, NULL, 'UPF0664 STRESS-INDUCED PROTEIN C29B12.11C-LIKE', 147815),
(204090, 'PTHR24092:SF177', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 147816),
(204091, 'PTHR21472:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147817),
(204092, 'PTHR11945:SF25', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2C', 147818),
(204093, 'PTHR12276:SF90', NULL, NULL, NULL, NULL, 'ENTH/VHS FAMILY PROTEIN', 147819),
(204094, 'PTHR44489:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCCH-TYPE, WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN PROTEIN-RELATED', 147820),
(204095, 'PTHR43472:SF4', NULL, NULL, NULL, NULL, 'OS12G0197100 PROTEIN', 147821),
(204096, 'PTHR11349:SF99', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE 1', 147822),
(204097, 'PTHR34145:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147823),
(204098, 'PTHR10024:SF358', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN 7', 147824),
(204099, 'PTHR45644:SF3', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY PARTICLE CHAIN RPT6-LIKE PROTEIN', 147825),
(204100, 'PTHR24345:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147826),
(204101, 'PTHR22298:SF133', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 147827),
(204102, 'PTHR33109:SF64', NULL, NULL, NULL, NULL, 'PROTEIN EPIDERMAL PATTERNING FACTOR 1', 147828),
(204103, 'PTHR31681:SF44', NULL, NULL, NULL, NULL, 'BNAC03G59100D PROTEIN', 147829),
(204104, 'PTHR23039', NULL, NULL, NULL, NULL, 'NANCE-HORAN SYNDROME PROTEIN', 147830),
(204105, 'PTHR47416:SF8', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 60', 147831),
(204106, 'PTHR47640:SF27', NULL, NULL, NULL, NULL, 'OLIGOURIDYLATE-BINDING PROTEIN 1-LIKE ISOFORM X1', 147832),
(204107, 'PTHR46146:SF10', NULL, NULL, NULL, NULL, 'OJ000114_01.11 PROTEIN', 147833),
(204108, 'PTHR15049:SF1', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6K', 147834),
(204109, 'PTHR10340:SF13', NULL, NULL, NULL, NULL, 'ENDOPOLYPHOSPHATASE', 147835),
(204110, 'PTHR33044:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147836),
(204111, 'PTHR45660:SF16', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH4-LIKE ISOFORM X1', 147837),
(204112, 'PTHR14159:SF0', NULL, NULL, NULL, NULL, 'ATAXIN-3', 147838),
(204113, 'PTHR19957:SF266', NULL, NULL, NULL, NULL, 'OS12G0192300 PROTEIN', 147839),
(204114, 'PTHR13301', NULL, NULL, NULL, NULL, 'X-BOX TRANSCRIPTION FACTOR-RELATED', 147840),
(204115, 'PTHR45680:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 147841),
(204116, 'PTHR31102', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147842),
(204117, 'PTHR13068:SF162', NULL, NULL, NULL, NULL, 'MITOCHODRIAL TRANSCRIPTION TERMINATION FACTOR-RELATED', 147843),
(204118, 'PTHR10064:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-1-RELATED', 147844),
(204119, 'PTHR24064:SF485', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 147845),
(204120, 'PTHR33095', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147846),
(204121, 'PTHR11746:SF215', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE FAMILY PROTEIN', 147847),
(204122, 'PTHR43036', NULL, NULL, NULL, NULL, 'OSJNBB0011N17.9 PROTEIN', 147848),
(204123, 'PTHR26374:SF171', NULL, NULL, NULL, NULL, 'OS11G0702400 PROTEIN', 147849);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(204124, 'PTHR10174:SF215', NULL, NULL, NULL, NULL, 'CELLULAR RETINALDEHYDE-BINDING PROTEIN B', 147850),
(204125, 'PTHR22934:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147851),
(204126, 'PTHR31896:SF36', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', 147852),
(204127, 'PTHR46839:SF3', NULL, NULL, NULL, NULL, 'ZGC:152863', 147853),
(204128, 'PTHR24376:SF177', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 780B', 147854),
(204129, 'PTHR24093:SF470', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 9, PLASMA MEMBRANE-TYPE-LIKE', 147855),
(204130, 'PTHR46999:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147856),
(204131, 'PTHR47753', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN-RELATED', 147857),
(204132, 'PTHR19857:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147858),
(204133, 'PTHR45676:SF114', NULL, NULL, NULL, NULL, 'BNAC04G49700D PROTEIN', 147859),
(204134, 'PTHR46662:SF28', NULL, NULL, NULL, NULL, 'PROTEOPHOSPHOGLYCAN PPG4', 147860),
(204135, 'PTHR10209:SF744', NULL, NULL, NULL, NULL, 'FLAVANONE 3-DIOXYGENASE-RELATED', 147861),
(204136, 'PTHR47185:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147862),
(204137, 'PTHR31699:SF6', NULL, NULL, NULL, NULL, 'TUDOR-INTERACTING REPAIR REGULATOR PROTEIN', 147863),
(204138, 'PTHR24023:SF998', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE X, ALPHA 1B', 147864),
(204139, 'PTHR46475:SF11', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR1', 147865),
(204140, 'PTHR23024:SF470', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 18-RELATED', 147866),
(204141, 'PTHR46354:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 147867),
(204142, 'PTHR23246', NULL, NULL, NULL, NULL, 'NEW-GLUE PROTEIN', 147868),
(204143, 'PTHR33516:SF11', NULL, NULL, NULL, NULL, 'LEXA REPRESSOR', 147869),
(204144, 'PTHR35704:SF9', NULL, NULL, NULL, NULL, 'BNAA08G15100D PROTEIN', 147870),
(204145, 'PTHR14326:SF32', NULL, NULL, NULL, NULL, 'CELL CYCLE REGULATED MICROTUBULE ASSOCIATED PROTEIN', 147871),
(204146, 'PTHR24264:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147872),
(204147, 'PTHR31490:SF63', NULL, NULL, NULL, NULL, 'BNAANNG29520D PROTEIN', 147873),
(204148, 'PTHR31683:SF135', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 147874),
(204149, 'PTHR31731:SF82', NULL, NULL, NULL, NULL, 'HYPRP2', 147875),
(204150, 'PTHR19871:SF33', NULL, NULL, NULL, NULL, 'SI:CH211-212K18.6', 147876),
(204151, 'PTHR45653', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS', 147877),
(204152, 'PTHR34439', NULL, NULL, NULL, NULL, 'CENTROBIN', 147878),
(204153, 'PTHR11817:SF15', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE PKM', 147879),
(204154, 'PTHR46060', NULL, NULL, NULL, NULL, 'MARINER MOS1 TRANSPOSASE-LIKE PROTEIN', 147880),
(204155, 'PTHR31953:SF41', NULL, NULL, NULL, NULL, 'ACID BETA-FRUCTOFURANOSIDASE 3, VACUOLAR', 147881),
(204156, 'PTHR11040:SF76', NULL, NULL, NULL, NULL, 'ZRT (ZRT), IRT-(IRT-) LIKE PROTEIN TRANSPORTER', 147882),
(204157, 'PTHR10806:SF30', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', 147883),
(204158, 'PTHR23202:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147884),
(204159, 'PTHR31790:SF368', NULL, NULL, NULL, NULL, 'BNAA05G14190D PROTEIN', 147885),
(204160, 'PTHR38075', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147886),
(204161, 'PTHR24296:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147887),
(204162, 'PTHR10992:SF1029', NULL, NULL, NULL, NULL, 'METHYLESTERASE 18', 147888),
(204163, 'PTHR11129:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147889),
(204164, 'PTHR23024:SF438', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147890),
(204165, 'PTHR47965:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147891),
(204166, 'PTHR11566:SF197', NULL, NULL, NULL, NULL, 'DYNAMIN CENTRAL DOMAIN-CONTAINING PROTEIN-RELATED', 147892),
(204167, 'PTHR10380:SF200', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 49AB-RELATED', 147893),
(204168, 'PTHR43327:SF47', NULL, NULL, NULL, NULL, 'BAND 7 PROTEIN', 147894),
(204169, 'PTHR48021:SF78', NULL, NULL, NULL, NULL, 'BNAC02G39660D PROTEIN', 147895);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(204170, 'PTHR32227:SF278', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', 147896),
(204171, 'PTHR24258:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147897),
(204172, 'PTHR22922', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN P137', 147898),
(204173, 'PTHR13141:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 242', 147899),
(204174, 'PTHR43350:SF2', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT ALCOHOL DEHYDROGENASE', 147900),
(204175, 'PTHR33510:SF12', NULL, NULL, NULL, NULL, 'PROTEIN TIC 20-IV, CHLOROPLASTIC', 147901),
(204176, 'PTHR31741:SF14', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 1', 147902),
(204177, 'PTHR16932:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147903),
(204178, 'PTHR45624:SF20', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ORNITHINE TRANSPORTER 2', 147904),
(204179, 'PTHR46034:SF25', NULL, NULL, NULL, NULL, 'BNAA05G27940D PROTEIN', 147905),
(204180, 'PTHR11610:SF103', NULL, NULL, NULL, NULL, 'LIPASE MEMBER I', 147906),
(204181, 'PTHR43329:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147907),
(204182, 'PTHR23147:SF104', NULL, NULL, NULL, NULL, 'OS02G0536400 PROTEIN', 147908),
(204183, 'PTHR40389:SF1', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP K MEMBER 24 GAG POLYPROTEIN-RELATED', 147909),
(204184, 'PTHR46038:SF7', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE FAMILY PROTEIN', 147910),
(204185, 'PTHR30469:SF20', NULL, NULL, NULL, NULL, 'RAGD PROTEIN', 147911),
(204186, 'PTHR47942:SF5', NULL, NULL, NULL, NULL, 'OS09G0417500 PROTEIN', 147912),
(204187, 'PTHR36390:SF1', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', 147913),
(204188, 'PTHR46764:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BAH1-LIKE-RELATED', 147914),
(204189, 'PTHR42731:SF7', NULL, NULL, NULL, NULL, 'SLL0424 PROTEIN', 147915),
(204190, 'PTHR11596:SF84', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE', 147916),
(204191, 'PTHR35791:SF2', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 147917),
(204192, 'PTHR21234:SF43', NULL, NULL, NULL, NULL, 'OS06G0112100 PROTEIN', 147918),
(204193, 'PTHR32285:SF185', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 41', 147919),
(204194, 'PTHR13806:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147920),
(204195, 'PTHR45647:SF12', NULL, NULL, NULL, NULL, 'OS03G0101200 PROTEIN', 147921),
(204196, 'PTHR31989:SF337', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 83-LIKE', 147922),
(204197, 'PTHR23050:SF251', NULL, NULL, NULL, NULL, 'PROTEIN CBG23534', 147923),
(204198, 'PTHR40434', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147924),
(204199, 'PTHR12297:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG00617', 147925),
(204200, 'PTHR22604', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASES', 147926),
(204201, 'PTHR11215', NULL, NULL, NULL, NULL, 'METAL DEPENDENT HYDROLASE - RELATED', 147927),
(204202, 'PTHR20855:SF121', NULL, NULL, NULL, NULL, 'ADIPOR/HEMOLYSIN-III-RELATED PROTEIN-RELATED', 147928),
(204203, 'PTHR11732:SF472', NULL, NULL, NULL, NULL, 'ASCORBATE BIOSYNTHESIS-RELATED PROTEIN', 147929),
(204204, 'PTHR26454:SF55', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 147930),
(204205, 'PTHR44329:SF197', NULL, NULL, NULL, NULL, 'OS01G0748600 PROTEIN', 147931),
(204206, 'PTHR39165:SF1', NULL, NULL, NULL, NULL, 'IG HYPOTHETICAL 17883', 147932),
(204207, 'PTHR11206:SF391', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 147933),
(204208, 'PTHR23426:SF61', NULL, NULL, NULL, NULL, 'OS09G0437900 PROTEIN', 147934),
(204209, 'PTHR43597:SF5', NULL, NULL, NULL, NULL, 'SUFE-LIKE PROTEIN 2, CHLOROPLASTIC', 147935),
(204210, 'PTHR48017:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147936),
(204211, 'PTHR10177:SF460', NULL, NULL, NULL, NULL, 'AMINO-TERMINAL DOMAIN CYCLIN', 147937),
(204212, 'PTHR34488:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-245H14.1-RELATED', 147938),
(204213, 'PTHR15871', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 147939),
(204214, 'PTHR43329:SF28', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE, EXPRESSED-RELATED', 147940),
(204215, 'PTHR22803:SF135', NULL, NULL, NULL, NULL, 'RH26557P', 147941);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(204216, 'PTHR34946:SF9', NULL, NULL, NULL, NULL, 'BNAC09G52310D PROTEIN', 147942),
(204217, 'PTHR26452:SF814', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 147943),
(204218, 'PTHR30472:SF41', NULL, NULL, NULL, NULL, 'TRANSPORT SYSTEM PERMEASE PROTEIN', 147944),
(204219, 'PTHR47467:SF1', NULL, NULL, NULL, NULL, 'OS01G0867200 PROTEIN', 147945),
(204220, 'PTHR11639:SF74', NULL, NULL, NULL, NULL, 'PROTEIN S100-A10', 147946),
(204221, 'PTHR11829:SF356', NULL, NULL, NULL, NULL, 'FORKHEAD BOX L2-RELATED', 147947),
(204222, 'PTHR12231:SF243', NULL, NULL, NULL, NULL, 'ROUNDABOUT HOMOLOG 1', 147948),
(204223, 'PTHR24078:SF288', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 4', 147949),
(204224, 'PTHR47039:SF1', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE 5-PHOSPHATASE E', 147950),
(204225, 'PTHR23021:SF19', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 147951),
(204226, 'PTHR47670:SF1', NULL, NULL, NULL, NULL, 'ADENYLYLSULFATASE HINT3', 147952),
(204227, 'PTHR35458:SF2', NULL, NULL, NULL, NULL, 'SLR0755 PROTEIN', 147953),
(204228, 'PTHR10634:SF99', NULL, NULL, NULL, NULL, 'ZINC FINGER AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 15', 147954),
(204229, 'PTHR24412:SF187', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 35', 147955),
(204230, 'PTHR24028:SF84', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A11', 147956),
(204231, 'PTHR23248:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', 147957),
(204232, 'PTHR23430:SF238', NULL, NULL, NULL, NULL, 'HISTONE H2A', 147958),
(204233, 'PTHR31846:SF20', NULL, NULL, NULL, NULL, 'CRM-DOMAIN CONTAINING FACTOR CFM2, CHLOROPLASTIC', 147959),
(204234, 'PTHR31238:SF188', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 13-RELATED', 147960),
(204235, 'PTHR48107:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147961),
(204236, 'PTHR11439:SF362', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON TNT 1-94-LIKE PROTEIN', 147962),
(204237, 'PTHR45906:SF4', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYL-NEURAMINYL-2,3-BETA-GALACTOSYL-1,3-N-ACETYL-GALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE', 147963),
(204238, 'PTHR48001:SF3', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 147964),
(204239, 'PTHR33377:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147965),
(204240, 'PTHR45642:SF22', NULL, NULL, NULL, NULL, 'OS05G0468500 PROTEIN', 147966),
(204241, 'PTHR45664:SF15', NULL, NULL, NULL, NULL, 'HOMEOBOX C3', 147967),
(204242, 'PTHR11977', NULL, NULL, NULL, NULL, 'VILLIN', 147968),
(204243, 'PTHR30083:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 147969),
(204244, 'PTHR28604:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2610028H24', 147970),
(204245, 'PTHR24281:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147971),
(204246, 'PTHR31828:SF33', NULL, NULL, NULL, NULL, 'BNAA08G28540D PROTEIN', 147972),
(204247, 'PTHR12299:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147973),
(204248, 'PTHR31871:SF34', NULL, NULL, NULL, NULL, 'OS02G0658350 PROTEIN', 147974),
(204249, 'PTHR12570:SF10', NULL, NULL, NULL, NULL, 'ZGC:101583', 147975),
(204250, 'PTHR47928:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147976),
(204251, 'PTHR11216:SF67', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 3', 147977),
(204252, 'PTHR23123:SF30', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 8, PSEUDOGENE', 147978),
(204253, 'PTHR42968:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147979),
(204254, 'PTHR12606:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147980),
(204255, 'PTHR11782:SF82', NULL, NULL, NULL, NULL, 'APYRASE 3-RELATED', 147981),
(204256, 'PTHR21726:SF61', NULL, NULL, NULL, NULL, 'DNAA INITIATOR-ASSOCIATING PROTEIN', 147982),
(204257, 'PTHR14740', NULL, NULL, NULL, NULL, 'CASPASE ACTIVITY AND APOPTOSIS INHIBITOR 1', 147983),
(204258, 'PTHR13110:SF0', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM3', 147984),
(204259, 'PTHR35161:SF6', NULL, NULL, NULL, NULL, 'HSP70-HSP90 ORGANIZING PROTEIN 2', 147985),
(204260, 'PTHR16517:SF39', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 3', 147986);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(204261, 'PTHR14320', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 181', 147987),
(204262, 'PTHR23236:SF40', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', 147988),
(204263, 'PTHR31630:SF6', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE-RELATED', 147989),
(204264, 'PTHR43313:SF21', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE (SDR FAMILY) MEMBER 9', 147990),
(204265, 'PTHR43168', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L33, CHLOROPLASTIC', 147991),
(204266, 'PTHR24356:SF393', NULL, NULL, NULL, NULL, 'AGC (CAMP-DEPENDENT, CGMP-DEPENDENT AND PROTEIN KINASE C) KINASE FAMILY PROTEIN-RELATED', 147992),
(204267, 'PTHR11689:SF148', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 147993),
(204268, 'PTHR14224:SF24', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 6-RELATED', 147994),
(204269, 'PTHR24349:SF417', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', 147995),
(204270, 'PTHR21495:SF169', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 147996),
(204271, 'PTHR22572:SF141', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLYLTRANSFERASE 3-RELATED', 147997),
(204272, 'PTHR16223:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147998),
(204273, 'PTHR11177:SF257', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 147999),
(204274, 'PTHR10209:SF763', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148000),
(204275, 'PTHR10009:SF18', NULL, NULL, NULL, NULL, 'PROTEIN YELLOW-LIKE PROTEIN', 148001),
(204276, 'PTHR22930:SF85', NULL, NULL, NULL, NULL, 'ZGC:162945', 148002),
(204277, 'PTHR10878:SF22', NULL, NULL, NULL, NULL, 'DIXIN', 148003),
(204278, 'PTHR14189', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE METHYLESTERASE-1 RELATED', 148004),
(204279, 'PTHR10501:SF61', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN B''''', 148005),
(204280, 'PTHR18966:SF400', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, N-METHYL D-ASPARTATE 1A', 148006),
(204281, 'PTHR11711:SF147', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 5A', 148007),
(204282, 'PTHR31375:SF208', NULL, NULL, NULL, NULL, 'BNAC03G58660D PROTEIN', 148008),
(204283, 'PTHR23226:SF290', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 197', 148009),
(204284, 'PTHR10177:SF466', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148010),
(204285, 'PTHR14000:SF18', NULL, NULL, NULL, NULL, 'HISTONE H2A DEUBIQUITINASE (DUF3755)', 148011),
(204286, 'PTHR12700', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', 148012),
(204287, 'PTHR31197:SF29', NULL, NULL, NULL, NULL, 'DUF1644 FAMILY PROTEIN', 148013),
(204288, 'PTHR24061:SF512', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR C FAMILY, J1-RELATED', 148014),
(204289, 'PTHR23274:SF36', NULL, NULL, NULL, NULL, 'HELICASE-LIKE PROTEIN, PUTATIVE-RELATED', 148015),
(204290, 'PTHR19282:SF238', NULL, NULL, NULL, NULL, 'TETRASPANIN', 148016),
(204291, 'PTHR31412:SF5', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE EGY2, CHLOROPLASTIC-RELATED', 148017),
(204292, 'PTHR31744:SF131', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 2-LIKE', 148018),
(204293, 'PTHR45642:SF98', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 148019),
(204294, 'PTHR10366:SF720', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL 4-REDUCTASE', 148020),
(204295, 'PTHR28032', NULL, NULL, NULL, NULL, 'FI02826P', 148021),
(204296, 'PTHR23282:SF101', NULL, NULL, NULL, NULL, 'RT07201P-RELATED', 148022),
(204297, 'PTHR48232:SF1', NULL, NULL, NULL, NULL, 'TOL-PAL SYSTEM PROTEIN TOLA', 148023),
(204298, 'PTHR31042:SF64', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-16-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 148024),
(204299, 'PTHR23257:SF769', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 13', 148025),
(204300, 'PTHR47760:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR B0563.6-LIKE PROTEIN-RELATED', 148026),
(204301, 'PTHR12384:SF2', NULL, NULL, NULL, NULL, 'MATERNAL PROTEIN EXUPERANTIA', 148027),
(204302, 'PTHR31683:SF112', NULL, NULL, NULL, NULL, 'PECTATE LYASE 10-RELATED', 148028);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(204303, 'PTHR34676:SF7', NULL, NULL, NULL, NULL, 'BNAANNG17590D PROTEIN', 148029),
(204304, 'PTHR22776:SF89', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 4', 148030),
(204305, 'PTHR31246:SF22', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-3-LIKE', 148031),
(204306, 'PTHR33186:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148032),
(204307, 'PTHR30126:SF85', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GLTR', 148033),
(204308, 'PTHR18959:SF92', NULL, NULL, NULL, NULL, 'PROTEIN CBG16761', 148034),
(204309, 'PTHR19375:SF447', NULL, NULL, NULL, NULL, 'SHOCK PROTEIN 70, PUTATIVE-RELATED', 148035),
(204310, 'PTHR24326:SF537', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-21', 148036),
(204311, 'PTHR11691:SF6', NULL, NULL, NULL, NULL, 'INTERFERON KAPPA', 148037),
(204312, 'PTHR10442:SF9', NULL, NULL, NULL, NULL, 'RPS21 ISOFORM 5', 148038),
(204313, 'PTHR30625:SF17', NULL, NULL, NULL, NULL, 'TONB2 ENERGY TRANSDUCTION SYSTEM INNER MEMBRANE COMPONENT EXBB', 148039),
(204314, 'PTHR28605', NULL, NULL, NULL, NULL, 'CTF8, CHROMOSOME TRANSMISSION FIDELITY FACTOR 8 HOMOLOG (S. CEREVISIAE)', 148040),
(204315, 'PTHR40278:SF1', NULL, NULL, NULL, NULL, 'DNA UTILIZATION PROTEIN HOFN', 148041),
(204316, 'PTHR43543', NULL, NULL, NULL, NULL, 'MALONIC SEMIALDEHYDE REDUCTASE RUTE-RELATED', 148042),
(204317, 'PTHR10502:SF18', NULL, NULL, NULL, NULL, 'ANNEXIN A2-RELATED', 148043),
(204318, 'PTHR46197:SF3', NULL, NULL, NULL, NULL, 'PROTEIN ABHD14B-LIKE', 148044),
(204319, 'PTHR47991:SF1', NULL, NULL, NULL, NULL, 'OS06G0178700 PROTEIN', 148045),
(204320, 'PTHR12741:SF69', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 11-LIKE', 148046),
(204321, 'PTHR12271:SF49', NULL, NULL, NULL, NULL, 'TERMINAL URIDYLYLTRANSFERASE 4', 148047),
(204322, 'PTHR10426:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148048),
(204323, 'PTHR44542:SF14', NULL, NULL, NULL, NULL, 'PROTEIN HIGH ARSENIC CONTENT 1, MITOCHONDRIAL-RELATED', 148049),
(204324, 'PTHR36182:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148050),
(204325, 'PTHR47260', NULL, NULL, NULL, NULL, 'UPF0644 PROTEIN PB2B4.06', 148051),
(204326, 'PTHR47993:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148052),
(204327, 'PTHR11216:SF68', NULL, NULL, NULL, NULL, 'INTERSECTIN-1', 148053),
(204328, 'PTHR11260:SF580', NULL, NULL, NULL, NULL, 'GST7 PROTEIN', 148054),
(204329, 'PTHR45650:SF33', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 148055),
(204330, 'PTHR36493:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148056),
(204331, 'PTHR10666:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148057),
(204332, 'PTHR10218:SF321', NULL, NULL, NULL, NULL, 'EXTRA-LARGE GUANINE NUCLEOTIDE-BINDING PROTEIN 2', 148058),
(204333, 'PTHR24083:SF163', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 148059),
(204334, 'PTHR46709:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG02551', 148060),
(204335, 'PTHR46473:SF8', NULL, NULL, NULL, NULL, 'ELRR (EXTRACELLULAR LEUCINE-RICH REPEAT) ONLY', 148061),
(204336, 'PTHR45856:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148062),
(204337, 'PTHR18952:SF222', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 7-LIKE', 148063),
(204338, 'PTHR10953:SF194', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN-SYNTHASE ADENYLYLTRANSFERASE', 148064),
(204339, 'PTHR47990:SF176', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE ANS-RELATED', 148065),
(204340, 'PTHR19241:SF617', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 7', 148066),
(204341, 'PTHR23080:SF126', NULL, NULL, NULL, NULL, 'SI:DKEY-56D12.4', 148067),
(204342, 'PTHR43054', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 148068),
(204343, 'PTHR26454:SF156', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 148069),
(204344, 'PTHR33240:SF8', NULL, NULL, NULL, NULL, 'H0502G05.11 PROTEIN', 148070),
(204345, 'PTHR42984:SF2', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACYLASE SIRTUIN-5, MITOCHONDRIAL', 148071),
(204346, 'PTHR45648:SF126', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 148072);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(204347, 'PTHR31769:SF14', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 148073),
(204348, 'PTHR38147:SF2', NULL, NULL, NULL, NULL, '5-FORMAMINOIMIDAZOLE-4-CARBOXAMIDE-1-(BETA)-D-RIBOFURANOSYL 5''-MONOPHOSPHATE SYNTHETASE', 148074),
(204349, 'PTHR42938:SF9', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE 1', 148075),
(204350, 'PTHR48044:SF54', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 148076),
(204351, 'PTHR24177:SF259', NULL, NULL, NULL, NULL, 'OS06G0285900 PROTEIN', 148077),
(204352, 'PTHR11743:SF52', NULL, NULL, NULL, NULL, 'PORIN/VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL PROTEIN', 148078),
(204353, 'PTHR11514:SF133', NULL, NULL, NULL, NULL, 'BNAA09G53560D PROTEIN', 148079),
(204354, 'PTHR24025:SF16', NULL, NULL, NULL, NULL, 'FAT ATYPICAL CADHERIN 2', 148080),
(204355, 'PTHR13878', NULL, NULL, NULL, NULL, 'GULONOLACTONE OXIDASE', 148081),
(204356, 'PTHR34658:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 148082),
(204357, 'PTHR12002:SF108', NULL, NULL, NULL, NULL, 'CLAUDIN', 148083),
(204358, 'PTHR23500:SF500', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 4', 148084),
(204359, 'PTHR45815:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 148085),
(204360, 'PTHR13297', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 148086),
(204361, 'PTHR32021:SF24', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 148087),
(204362, 'PTHR33779:SF11', NULL, NULL, NULL, NULL, 'OS02G0658200 PROTEIN', 148088),
(204363, 'PTHR36063:SF6', NULL, NULL, NULL, NULL, 'BNAC01G40880D PROTEIN', 148089),
(204364, 'PTHR11885:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S13', 148090),
(204365, 'PTHR23050:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148091),
(204366, 'PTHR30485:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME B', 148092),
(204367, 'PTHR32468:SF99', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 19', 148093),
(204368, 'PTHR23155:SF1092', NULL, NULL, NULL, NULL, 'OS01G0536501 PROTEIN', 148094),
(204369, 'PTHR24238:SF49', NULL, NULL, NULL, NULL, 'TACHYKININ RECEPTOR 2', 148095),
(204370, 'PTHR22850:SF213', NULL, NULL, NULL, NULL, 'BNAA07G01200D PROTEIN', 148096),
(204371, 'PTHR31972:SF9', NULL, NULL, NULL, NULL, 'OS05G0108400 PROTEIN', 148097),
(204372, 'PTHR22976', NULL, NULL, NULL, NULL, 'BIOTIN SYNTHASE', 148098),
(204373, 'PTHR11132:SF250', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER E3', 148099),
(204374, 'PTHR48018:SF25', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 148100),
(204375, 'PTHR31311:SF36', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 3-RELATED', 148101),
(204376, 'PTHR31920:SF78', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', 148102),
(204377, 'PTHR24072:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148103),
(204378, 'PTHR31935', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 13', 148104),
(204379, 'PTHR10744:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148105),
(204380, 'PTHR32099:SF20', NULL, NULL, NULL, NULL, 'OS07G0668500 PROTEIN', 148106),
(204381, 'PTHR46032:SF4', NULL, NULL, NULL, NULL, 'CMP-N-ACETYLNEURAMINATE-BETA-GALACTOSAMIDE-ALPHA-2,3-SIALYLTRANSFERASE 2', 148107),
(204382, 'PTHR15710:SF143', NULL, NULL, NULL, NULL, 'OS08G0464400 PROTEIN', 148108),
(204383, 'PTHR13743:SF146', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN A2-RELATED', 148109),
(204384, 'PTHR37806', NULL, NULL, NULL, NULL, 'LMO0724 PROTEIN', 148110),
(204385, 'PTHR44167:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RCK1', 148111),
(204386, 'PTHR23510:SF71', NULL, NULL, NULL, NULL, 'BNAC01G14580D PROTEIN', 148112),
(204387, 'PTHR23070:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148113),
(204388, 'PTHR31604:SF15', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 1', 148114),
(204389, 'PTHR33681:SF11', NULL, NULL, NULL, NULL, 'ALGINATE LYASE', 148115),
(204390, 'PTHR47958:SF108', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 56 ISOFORM X1', 148116),
(204391, 'PTHR11740:SF25', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', 148117); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(204392, 'PTHR27009:SF184', NULL, NULL, NULL, NULL, 'S-LOCUS RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 148118),
(204393, 'PTHR31739:SF35', NULL, NULL, NULL, NULL, 'COPAL-8-OL DIPHOSPHATE HYDRATASE, CHLOROPLASTIC', 148119),
(204394, 'PTHR13742:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148120),
(204395, 'PTHR24056:SF441', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 148121),
(204396, 'PTHR21245:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 46-RELATED', 148122),
(204397, 'PTHR23382:SF21', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 148123),
(204398, 'PTHR30450', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE', 148124),
(204399, 'PTHR47480:SF3', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', 148125),
(204400, 'PTHR10285:SF190', NULL, NULL, NULL, NULL, 'URIDINE KINASE DAS2-RELATED', 148126),
(204401, 'PTHR15574:SF43', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 5', 148127),
(204402, 'PTHR43722:SF1', NULL, NULL, NULL, NULL, 'PROLINE IMINOPEPTIDASE', 148128),
(204403, 'PTHR23086:SF103', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', 148129),
(204404, 'PTHR22850:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148130),
(204405, 'PTHR10161', NULL, NULL, NULL, NULL, 'TARTRATE-RESISTANT ACID PHOSPHATASE TYPE 5', 148131),
(204406, 'PTHR46315', NULL, NULL, NULL, NULL, 'SPERMINE SYNTHASE', 148132),
(204407, 'PTHR12452', NULL, NULL, NULL, NULL, '42-9-9 PROTEIN-RELATED', 148133),
(204408, 'PTHR31989:SF241', NULL, NULL, NULL, NULL, 'OS12G0177600 PROTEIN', 148134),
(204409, 'PTHR45968:SF29', NULL, NULL, NULL, NULL, 'BNAA02G11140D PROTEIN', 148135),
(204410, 'PTHR21824:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 177', 148136),
(204411, 'PTHR15615:SF36', NULL, NULL, NULL, NULL, 'PHO85 CYCLIN-5', 148137),
(204412, 'PTHR15241:SF289', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN RZ1A', 148138),
(204413, 'PTHR24128:SF72', NULL, NULL, NULL, NULL, 'BNAA10G08440D PROTEIN', 148139),
(204414, 'PTHR33710:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148140),
(204415, 'PTHR32444:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148141),
(204416, 'PTHR24009:SF14', NULL, NULL, NULL, NULL, 'RNA-BINDING ZINC FINGER FAMILY PROTEIN-RELATED', 148142),
(204417, 'PTHR35046', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', 148143),
(204418, 'PTHR24068:SF325', NULL, NULL, NULL, NULL, 'OS09G0297100 PROTEIN', 148144),
(204419, 'PTHR21662:SF54', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', 148145),
(204420, 'PTHR23155:SF1085', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPP8-LIKE PROTEIN 3-RELATED', 148146),
(204421, 'PTHR14002:SF31', NULL, NULL, NULL, NULL, 'GENE 7534-RELATED', 148147),
(204422, 'PTHR24253:SF81', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 9', 148148),
(204423, 'PTHR23192:SF81', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN 3B', 148149),
(204424, 'PTHR35342:SF1', NULL, NULL, NULL, NULL, 'BLR4373 PROTEIN', 148150),
(204425, 'PTHR43513', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE B (NAD(+)), ELECTRON TRANSFER SUBUNIT', 148151),
(204426, 'PTHR13950:SF13', NULL, NULL, NULL, NULL, 'DMX-LIKE PROTEIN 2', 148152),
(204427, 'PTHR36778:SF1', NULL, NULL, NULL, NULL, 'CADMIUM-INDUCED PROTEIN AS8', 148153),
(204428, 'PTHR38370:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148154),
(204429, 'PTHR21450:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 148155),
(204430, 'PTHR21357:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM172B-RELATED', 148156),
(204431, 'PTHR43289:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PRKC', 148157),
(204432, 'PTHR32153:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148158),
(204433, 'PTHR11783:SF63', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 1C4', 148159),
(204434, 'PTHR46128:SF44', NULL, NULL, NULL, NULL, 'BNAC09G20840D PROTEIN', 148160),
(204435, 'PTHR23056:SF94', NULL, NULL, NULL, NULL, 'B, PUTATIVE-RELATED', 148161),
(204436, 'PTHR46335', NULL, NULL, NULL, NULL, 'CUBILIN', 148162);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(204437, 'PTHR14677:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148163),
(204438, 'PTHR33834:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148164),
(204439, 'PTHR31915:SF8', NULL, NULL, NULL, NULL, 'TAX1-BINDING PROTEIN 1', 148165),
(204440, 'PTHR33207:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148166),
(204441, 'PTHR45974:SF194', NULL, NULL, NULL, NULL, 'CYANATE HYDRATASE', 148167),
(204442, 'PTHR35526:SF3', NULL, NULL, NULL, NULL, 'REGULATOR OF SIG15-RELATED', 148168),
(204443, 'PTHR12565', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN', 148169),
(204444, 'PTHR23021:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 148170),
(204445, 'PTHR32024', NULL, NULL, NULL, NULL, 'TRK SYSTEM POTASSIUM UPTAKE PROTEIN TRKG-RELATED', 148171),
(204446, 'PTHR46219', NULL, NULL, NULL, NULL, 'PROTEIN CBG11138', 148172),
(204447, 'PTHR33548:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148173),
(204448, 'PTHR11818:SF120', NULL, NULL, NULL, NULL, 'CRYSTALLIN, GAMMA MX,-LIKE 1', 148174),
(204449, 'PTHR40032', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 148175),
(204450, 'PTHR21649:SF121', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 148176),
(204451, 'PTHR22811:SF180', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE P24-TRAFFICKING PROTEIN 1B', 148177),
(204452, 'PTHR33102:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148178),
(204453, 'PTHR23267:SF380', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 2D-29', 148179),
(204454, 'PTHR31561:SF163', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 148180),
(204455, 'PTHR10909:SF374', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 148181),
(204456, 'PTHR12422:SF1', NULL, NULL, NULL, NULL, 'GH09096P', 148182),
(204457, 'PTHR10682:SF37', NULL, NULL, NULL, NULL, 'BNAC07G48830D PROTEIN', 148183),
(204458, 'PTHR18945:SF569', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE-GATED CHLORIDE CHANNEL SUBUNIT ACC-2', 148184),
(204459, 'PTHR11407:SF32', NULL, NULL, NULL, NULL, 'ALPHA-LACTALBUMIN', 148185),
(204460, 'PTHR19964:SF56', NULL, NULL, NULL, NULL, 'FERM AND PDZ DOMAIN-CONTAINING PROTEIN 2-RELATED', 148186),
(204461, 'PTHR15315:SF83', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 148187),
(204462, 'PTHR31210:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148188),
(204463, 'PTHR46476:SF13', NULL, NULL, NULL, NULL, 'CHITINASE 2', 148189),
(204464, 'PTHR10334:SF463', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN, ALLERGEN V5/TPX-1-RELATED PROTEIN-RELATED', 148190),
(204465, 'PTHR11430:SF28', NULL, NULL, NULL, NULL, 'EPIDIDYMAL-SPECIFIC LIPOCALIN-9', 148191),
(204466, 'PTHR31365:SF13', NULL, NULL, NULL, NULL, 'COPPER ION BINDING PROTEIN', 148192),
(204467, 'PTHR34149', NULL, NULL, NULL, NULL, 'PROTEIN CBG11905-RELATED', 148193),
(204468, 'PTHR31674:SF22', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM17', 148194),
(204469, 'PTHR31865:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148195),
(204470, 'PTHR46128:SF51', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 148196),
(204471, 'PTHR24228:SF65', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 148197),
(204472, 'PTHR47593:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 7-LIKE', 148198),
(204473, 'PTHR31752:SF44', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', 148199),
(204474, 'PTHR11206:SF368', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 148200),
(204475, 'PTHR10314:SF216', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL CYSTATHIONINE GAMMA-LYASE/CYSTEINE SYNTHASE', 148201),
(204476, 'PTHR15261:SF5', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-TYPE LAMININ G DOMAIN AND EAR REPEATS B', 148202),
(204477, 'PTHR48041:SF28', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 1', 148203),
(204478, 'PTHR43629', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 148204),
(204479, 'PTHR31321:SF67', NULL, NULL, NULL, NULL, 'PECTINESTERASE 29-RELATED', 148205),
(204480, 'PTHR10353:SF206', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE, PUTATIVE-RELATED', 148206);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(204481, 'PTHR31444:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148207),
(204482, 'PTHR45842:SF2', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 10', 148208),
(204483, 'PTHR10015:SF387', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR PROTEIN HSF8', 148209),
(204484, 'PTHR47290:SF3', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN', 148210),
(204485, 'PTHR11260:SF565', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 148211),
(204486, 'PTHR37708:SF5', NULL, NULL, NULL, NULL, 'BNAA02G12750D PROTEIN', 148212),
(204487, 'PTHR36892:SF7', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN F', 148213),
(204488, 'PTHR23431:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148214),
(204489, 'PTHR47416:SF4', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 28', 148215),
(204490, 'PTHR48054:SF34', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE', 148216),
(204491, 'PTHR48083:SF19', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT MONOOXYGENASE, OXYGENASE SUBUNIT HSAA', 148217),
(204492, 'PTHR23420:SF0', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', 148218),
(204493, 'PTHR11814:SF32', NULL, NULL, NULL, NULL, 'PRESTIN', 148219),
(204494, 'PTHR34794:SF6', NULL, NULL, NULL, NULL, 'BNAA03G54240D PROTEIN', 148220),
(204495, 'PTHR45974:SF28', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 148221),
(204496, 'PTHR42673:SF12', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 148222),
(204497, 'PTHR28559:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XRCC4', 148223),
(204498, 'PTHR12680', NULL, NULL, NULL, NULL, 'PUTATIVE HOMEODOMAIN TRANSCRIPTION FACTOR  PHTF', 148224),
(204499, 'PTHR22880:SF237', NULL, NULL, NULL, NULL, 'BET (TWO BROMODOMAINS) FAMILY PROTEIN', 148225),
(204500, 'PTHR46662:SF23', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 148226),
(204501, 'PTHR22950:SF647', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER ANTL2-LIKE', 148227),
(204502, 'PTHR24412:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148228),
(204503, 'PTHR22780:SF33', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT ALPHA-1', 148229),
(204504, 'PTHR15315:SF31', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE AIRP2', 148230),
(204505, 'PTHR13680:SF33', NULL, NULL, NULL, NULL, 'CDGSH IRON-SULFUR DOMAIN-CONTAINING PROTEIN 2', 148231),
(204506, 'PTHR10219:SF88', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN 3-LIKE', 148232),
(204507, 'PTHR31684', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 43', 148233),
(204508, 'PTHR31677:SF138', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 3', 148234),
(204509, 'PTHR22807:SF69', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(48)-C(5))-METHYLTRANSFERASE', 148235),
(204510, 'PTHR31897:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG04178', 148236),
(204511, 'PTHR14359:SF22', NULL, NULL, NULL, NULL, 'DNA/PANTOTHENATE METABOLISM FLAVOPROTEIN', 148237),
(204512, 'PTHR39651:SF1', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RESOLVASE HJC', 148238),
(204513, 'PTHR24376:SF103', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 229', 148239),
(204514, 'PTHR43555:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE SUBUNIT PURL', 148240),
(204515, 'PTHR43000:SF30', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL UDP-GLUCOSE 4,6-DEHYDRATASE/UDP-4-KETO-6-DEOXY-D-GLUCOSE 3,5-EPIMERASE/UDP-4-KETO-L-RHAMNOSE-REDUCTASE RHM3', 148241),
(204516, 'PTHR23077:SF121', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 5-LIKE PROTEIN 1', 148242),
(204517, 'PTHR33544', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 148243),
(204518, 'PTHR35806', NULL, NULL, NULL, NULL, 'OXALOACETATE DECARBOXYLASE BETA CHAIN 2', 148244),
(204519, 'PTHR11851:SF216', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 2, MITOCHONDRIAL', 148245),
(204520, 'PTHR31730:SF32', NULL, NULL, NULL, NULL, 'DUF668 FAMILY PROTEIN', 148246),
(204521, 'PTHR11987:SF50', NULL, NULL, NULL, NULL, 'ST8 ALPHA-N-ACETYL-NEURAMINIDE ALPHA-2,8-SIALYLTRANSFERASE 6', 148247),
(204522, 'PTHR33115:SF36', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 148248);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(204523, 'PTHR12547:SF145', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 15-LIKE', 148249),
(204524, 'PTHR31190:SF120', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ABR1-RELATED', 148250),
(204525, 'PTHR47517', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN-RELATED', 148251),
(204526, 'PTHR10585:SF26', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR A', 148252),
(204527, 'PTHR11538:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148253),
(204528, 'PTHR22803:SF138', NULL, NULL, NULL, NULL, 'CD302 MOLECULE', 148254),
(204529, 'PTHR31715:SF0', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN G', 148255),
(204530, 'PTHR45616:SF47', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 6B-RELATED', 148256),
(204531, 'PTHR23200', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 148257),
(204532, 'PTHR47770', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 11', 148258),
(204533, 'PTHR10168:SF268', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE, PLANT II, THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', 148259),
(204534, 'PTHR46413:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148260),
(204535, 'PTHR10177:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148261),
(204536, 'PTHR31727:SF5', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', 148262),
(204537, 'PTHR45987:SF13', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L12-1', 148263),
(204538, 'PTHR43243:SF41', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 7, CHLOROPLASTIC', 148264),
(204539, 'PTHR11504:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6A2, MITOCHONDRIAL', 148265),
(204540, 'PTHR10285:SF153', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE TTM2', 148266),
(204541, 'PTHR31901:SF44', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6-RELATED', 148267),
(204542, 'PTHR33568:SF2', NULL, NULL, NULL, NULL, 'DNA POLYMERASE', 148268),
(204543, 'PTHR11849:SF287', NULL, NULL, NULL, NULL, 'AXON STEERING DEFECT', 148269),
(204544, 'PTHR10046:SF66', NULL, NULL, NULL, NULL, 'ARCHAEAL LON PROTEASE', 148270),
(204545, 'PTHR31792:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148271),
(204546, 'PTHR43243', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORTER YGJI-RELATED', 148272),
(204547, 'PTHR31731:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148273),
(204548, 'PTHR34566:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148274),
(204549, 'PTHR43016:SF12', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C OXIDOREDUCTASE COMPLEX', 148275),
(204550, 'PTHR11850:SF53', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN PKNOX2', 148276),
(204551, 'PTHR35689:SF2', NULL, NULL, NULL, NULL, 'PLANT PROTEIN MATCH IS: (TAIR:PLANT.1) PROTEIN, PUTATIVE-RELATED', 148277),
(204552, 'PTHR47999:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB12', 148278),
(204553, 'PTHR24320:SF228', NULL, NULL, NULL, NULL, 'BNAANNG32000D PROTEIN', 148279),
(204554, 'PTHR21277:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF RNA POLII, SAGA, SUBUNIT', 148280),
(204555, 'PTHR43173:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148281),
(204556, 'PTHR10188:SF36', NULL, NULL, NULL, NULL, 'PEPTIDASE T2, ASPARAGINASE 2, NUCLEOPHILE AMINOHYDROLASE-RELATED', 148282),
(204557, 'PTHR37344:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 5', 148283),
(204558, 'PTHR40636:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148284),
(204559, 'PTHR31672', NULL, NULL, NULL, NULL, 'BNACNNG10540D PROTEIN', 148285),
(204560, 'PTHR19446:SF443', NULL, NULL, NULL, NULL, 'LRRGT00075', 148286),
(204561, 'PTHR47077:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148287),
(204562, 'PTHR33647', NULL, NULL, NULL, NULL, 'OS01G0793900 PROTEIN', 148288),
(204563, 'PTHR24209:SF31', NULL, NULL, NULL, NULL, 'PROTEIN DA1-LIKE ISOFORM X1', 148289),
(204564, 'PTHR33820:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 17', 148290),
(204565, 'PTHR43768:SF39', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', 148291);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(204566, 'PTHR45828:SF19', NULL, NULL, NULL, NULL, 'DEFENSE PROTEIN L(2)34FC', 148292),
(204567, 'PTHR31373:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148293),
(204568, 'PTHR32285:SF144', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE RELATED PROTEIN-LIKE PROTEIN', 148294),
(204569, 'PTHR23268:SF85', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 29-1', 148295),
(204570, 'PTHR24345:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK2', 148296),
(204571, 'PTHR11915:SF433', NULL, NULL, NULL, NULL, 'SPECTRIN BETA, NON-ERYTHROCYTIC 5', 148297),
(204572, 'PTHR46725', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 57', 148298),
(204573, 'PTHR11346:SF26', NULL, NULL, NULL, NULL, 'GALECTIN-3', 148299),
(204574, 'PTHR33232:SF19', NULL, NULL, NULL, NULL, 'SIEVE ELEMENT OCCLUSION-RELATED', 148300),
(204575, 'PTHR47805:SF1', NULL, NULL, NULL, NULL, 'SAGA-ASSOCIATED FACTOR 73', 148301),
(204576, 'PTHR10845:SF250', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148302),
(204577, 'PTHR31052:SF2', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 10', 148303),
(204578, 'PTHR48197', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 148304),
(204579, 'PTHR11587:SF9', NULL, NULL, NULL, NULL, 'BNAA03G46970D PROTEIN', 148305),
(204580, 'PTHR37514', NULL, NULL, NULL, NULL, 'N-TERMINAL DELTA ENDOTOXIN DOMAIN-CONTAINING PROTEIN-RELATED', 148306),
(204581, 'PTHR31741:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148307),
(204582, 'PTHR47152:SF1', NULL, NULL, NULL, NULL, 'SLL1186 PROTEIN', 148308),
(204583, 'PTHR31238:SF187', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 148309),
(204584, 'PTHR32468:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148310),
(204585, 'PTHR12832:SF32', NULL, NULL, NULL, NULL, 'T-COMPLEX 11 FAMILY, X-LINKED 2', 148311),
(204586, 'PTHR23115:SF274', NULL, NULL, NULL, NULL, 'BNAC08G43440D PROTEIN', 148312),
(204587, 'PTHR24414:SF109', NULL, NULL, NULL, NULL, 'BNAA04G28180D PROTEIN', 148313),
(204588, 'PTHR45647:SF32', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', 148314),
(204589, 'PTHR46529:SF1', NULL, NULL, NULL, NULL, 'TRNA WYBUTOSINE-SYNTHESIZING PROTEIN 4', 148315),
(204590, 'PTHR46067:SF23', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE (GNAT) DOMAIN PROTEIN', 148316),
(204591, 'PTHR48061:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148317),
(204592, 'PTHR48100:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE 2 PARALOG', 148318),
(204593, 'PTHR32295:SF95', NULL, NULL, NULL, NULL, 'OS01G0194200 PROTEIN', 148319),
(204594, 'PTHR46547', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GIS', 148320),
(204595, 'PTHR13723:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148321),
(204596, 'PTHR27002:SF396', NULL, NULL, NULL, NULL, 'OS06G0496800 PROTEIN', 148322),
(204597, 'PTHR31852:SF218', NULL, NULL, NULL, NULL, 'PROTEIN YLS9-LIKE', 148323),
(204598, 'PTHR47933:SF18', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 148324),
(204599, 'PTHR12804:SF6', NULL, NULL, NULL, NULL, 'ADIPOCYTE-RELATED X-CHROMOSOME EXPRESSED SEQUENCE 1-RELATED', 148325),
(204600, 'PTHR46162:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148326),
(204601, 'PTHR31048', NULL, NULL, NULL, NULL, 'OS03G0233200 PROTEIN', 148327),
(204602, 'PTHR24232:SF54', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 35', 148328),
(204603, 'PTHR34780', NULL, NULL, NULL, NULL, 'OS08G0427800 PROTEIN', 148329),
(204604, 'PTHR10528:SF16', NULL, NULL, NULL, NULL, 'AF4/FMR2 FAMILY MEMBER 3', 148330),
(204605, 'PTHR43625:SF16', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE FAMILY-LIKE PROTEIN', 148331),
(204606, 'PTHR45624:SF44', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE-RELATED', 148332),
(204607, 'PTHR48097:SF5', NULL, NULL, NULL, NULL, 'LOW SPECIFICITY L-THREONINE ALDOLASE', 148333),
(204608, 'PTHR39330', NULL, NULL, NULL, NULL, 'ETHANOLAMINE AMMONIA-LYASE LIGHT CHAIN', 148334),
(204609, 'PTHR24559:SF359', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE HOMOLOG', 148335),
(204610, 'PTHR33057:SF162', NULL, NULL, NULL, NULL, 'BNAA07G01700D PROTEIN', 148336);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(204611, 'PTHR13480:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HAKAI', 148337),
(204612, 'PTHR34281:SF2', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 3', 148338),
(204613, 'PTHR33832:SF21', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR TYPE-2 CEVI57-LIKE', 148339),
(204614, 'PTHR36078:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148340),
(204615, 'PTHR11384:SF57', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 148341),
(204616, 'PTHR33494:SF14', NULL, NULL, NULL, NULL, 'BNAC05G19210D PROTEIN', 148342),
(204617, 'PTHR31416:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 125', 148343),
(204618, 'PTHR42908:SF8', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TYPA-LIKE SVR3, CHLOROPLASTIC-RELATED', 148344),
(204619, 'PTHR11848:SF258', NULL, NULL, NULL, NULL, 'DAWDLE', 148345),
(204620, 'PTHR22035:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 7', 148346),
(204621, 'PTHR33070:SF72', NULL, NULL, NULL, NULL, 'OS08G0551300 PROTEIN', 148347),
(204622, 'PTHR14490:SF5', NULL, NULL, NULL, NULL, 'PROTEIN KRI1 HOMOLOG', 148348),
(204623, 'PTHR10641:SF1229', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39-LIKE', 148349),
(204624, 'PTHR31625:SF38', NULL, NULL, NULL, NULL, 'MALONYL-COA:ANTHOCYANIDIN 5-O-GLUCOSIDE-6''''-O-MALONYLTRANSFERASE-LIKE', 148350),
(204625, 'PTHR24031:SF89', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE CG8611-RELATED', 148351),
(204626, 'PTHR46390:SF1', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLYLTRANSFERASE', 148352),
(204627, 'PTHR46891:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG05001', 148353),
(204628, 'PTHR44743:SF7', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 148354),
(204629, 'PTHR33110:SF61', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 148355),
(204630, 'PTHR31620:SF15', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 2, CHLOROPLASTIC-RELATED', 148356),
(204631, 'PTHR16019:SF20', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN-RELATED', 148357),
(204632, 'PTHR16207:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TASOR', 148358),
(204633, 'PTHR46366:SF3', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 148359),
(204634, 'PTHR34483:SF4', NULL, NULL, NULL, NULL, 'OS08G0256000 PROTEIN', 148360),
(204635, 'PTHR26453:SF668', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 148361),
(204636, 'PTHR10381:SF63', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', 148362),
(204637, 'PTHR28632', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 7', 148363),
(204638, 'PTHR15723', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 15', 148364),
(204639, 'PTHR43362', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE DSF1-RELATED', 148365),
(204640, 'PTHR11726:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148366),
(204641, 'PTHR47070', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', 148367),
(204642, 'PTHR24133:SF42', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 16', 148368),
(204643, 'PTHR10663:SF375', NULL, NULL, NULL, NULL, 'LD29171P', 148369),
(204644, 'PTHR48233', NULL, NULL, NULL, NULL, 'MUCIN 4B, ISOFORM B-RELATED', 148370),
(204645, 'PTHR47926:SF270', NULL, NULL, NULL, NULL, 'BNAA10G08970D PROTEIN', 148371),
(204646, 'PTHR36745', NULL, NULL, NULL, NULL, 'OS02G0824400 PROTEIN', 148372),
(204647, 'PTHR45752:SF10', NULL, NULL, NULL, NULL, 'PH DOMAIN LEUCINE-RICH REPEAT-CONTAINING PROTEIN PHOSPHATASE 2', 148373),
(204648, 'PTHR21584:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148374),
(204649, 'PTHR43570:SF16', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 148375),
(204650, 'PTHR12937:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 28 HOMOLOG', 148376),
(204651, 'PTHR12565:SF302', NULL, NULL, NULL, NULL, 'OS09G0510500 PROTEIN', 148377),
(204652, 'PTHR24559:SF369', NULL, NULL, NULL, NULL, 'PRO-POL POLYPROTEIN-LIKE PROTEIN', 148378),
(204653, 'PTHR11360:SF8', NULL, NULL, NULL, NULL, 'BCDNA.LD28120-RELATED', 148379),
(204654, 'PTHR31228:SF35', NULL, NULL, NULL, NULL, 'BNAANNG03160D PROTEIN', 148380);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(204655, 'PTHR33147:SF65', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN', 148381),
(204656, 'PTHR11552:SF123', NULL, NULL, NULL, NULL, 'GMC OXIDOREDUCTASE (AFU_ORTHOLOGUE AFUA_2G01770)', 148382),
(204657, 'PTHR47075:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH47-LIKE', 148383),
(204658, 'PTHR13847', NULL, NULL, NULL, NULL, 'SARCOSINE DEHYDROGENASE-RELATED', 148384),
(204659, 'PTHR21243:SF18', NULL, NULL, NULL, NULL, 'TRANSDUCER, PUTATIVE (DUF3550/UPF0682)-RELATED', 148385),
(204660, 'PTHR26379:SF388', NULL, NULL, NULL, NULL, 'OSJNBA0053K19.29 PROTEIN', 148386),
(204661, 'PTHR45658:SF82', NULL, NULL, NULL, NULL, 'BNAANNG15440D PROTEIN', 148387),
(204662, 'PTHR23500:SF155', NULL, NULL, NULL, NULL, 'OS04G0679050 PROTEIN', 148388),
(204663, 'PTHR45721:SF6', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFB-1', 148389),
(204664, 'PTHR36519:SF2', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED-RELATED', 148390),
(204665, 'PTHR47518:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG06684', 148391),
(204666, 'PTHR22115', NULL, NULL, NULL, NULL, 'C3ORF6 PROTEIN-RELATED', 148392),
(204667, 'PTHR35498:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MET1, CHLOROPLASTIC', 148393),
(204668, 'PTHR33699:SF24', NULL, NULL, NULL, NULL, 'BNAA09G03070D PROTEIN', 148394),
(204669, 'PTHR12236:SF3', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 64AD', 148395),
(204670, 'PTHR37767', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 148396),
(204671, 'PTHR27006:SF286', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 148397),
(204672, 'PTHR47985:SF17', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', 148398),
(204673, 'PTHR46094:SF1', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 9', 148399),
(204674, 'PTHR11537:SF254', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL PROTEIN SHAB', 148400),
(204675, 'PTHR15344:SF14', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN 4', 148401),
(204676, 'PTHR23213:SF341', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 148402),
(204677, 'PTHR43507:SF13', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE PROTEIN', 148403),
(204678, 'PTHR15371', NULL, NULL, NULL, NULL, 'TIM23', 148404),
(204679, 'PTHR21208:SF1', NULL, NULL, NULL, NULL, 'ADP-DEPENDENT GLUCOKINASE 2', 148405),
(204680, 'PTHR23515:SF19', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER 2.3', 148406),
(204681, 'PTHR31683:SF68', NULL, NULL, NULL, NULL, 'PECTIN LYASE B-RELATED', 148407),
(204682, 'PTHR11089:SF37', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN-LIKE NSN1', 148408),
(204683, 'PTHR46039:SF8', NULL, NULL, NULL, NULL, 'BNAA02G04800D PROTEIN', 148409),
(204684, 'PTHR46033:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148410),
(204685, 'PTHR45613:SF415', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148411),
(204686, 'PTHR48044:SF37', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 148412),
(204687, 'PTHR31534:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148413),
(204688, 'PTHR14221:SF37', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER', 148414),
(204689, 'PTHR16266:SF32', NULL, NULL, NULL, NULL, 'PH-INTERACTING PROTEIN-LIKE ISOFORM X1', 148415),
(204690, 'PTHR23279:SF13', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 12, ISOFORM C-RELATED', 148416),
(204691, 'PTHR11551:SF6', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 1', 148417),
(204692, 'PTHR31044', NULL, NULL, NULL, NULL, 'BETA-1,3 GLUCANASE', 148418),
(204693, 'PTHR48043:SF5', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-58-RELATED', 148419),
(204694, 'PTHR11260:SF540', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U7-LIKE', 148420),
(204695, 'PTHR45621:SF132', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 2A, CHLOROPLASTIC-LIKE', 148421),
(204696, 'PTHR13691:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148422),
(204697, 'PTHR31048:SF3', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', 148423),
(204698, 'PTHR45977:SF14', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE RIE1', 148424);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(204699, 'PTHR10015:SF286', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148425),
(204700, 'PTHR27000:SF224', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN-TYROSINE KINASE CEPR1', 148426),
(204701, 'PTHR13722', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN 8', 148427),
(204702, 'PTHR48017:SF129', NULL, NULL, NULL, NULL, 'OS04G0490900 PROTEIN', 148428),
(204703, 'PTHR35166:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148429),
(204704, 'PTHR35037', NULL, NULL, NULL, NULL, 'C-TERMINAL REGION OF AIDA-LIKE PROTEIN', 148430),
(204705, 'PTHR35013:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG09921', 148431),
(204706, 'PTHR31818:SF23', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', 148432),
(204707, 'PTHR44259:SF1', NULL, NULL, NULL, NULL, 'OS06G0659700 PROTEIN', 148433),
(204708, 'PTHR43605:SF1', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE ACSM6, MITOCHONDRIAL', 148434),
(204709, 'PTHR14224:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148435),
(204710, 'PTHR43184:SF17', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE TRANSPORTER 2-RELATED', 148436),
(204711, 'PTHR14903:SF5', NULL, NULL, NULL, NULL, 'SCLEROSTIN DOMAIN-CONTAINING PROTEIN 1', 148437),
(204712, 'PTHR11700:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10, MITOCHONDRIAL', 148438),
(204713, 'PTHR31235:SF247', NULL, NULL, NULL, NULL, 'PEROXIDASE 66', 148439),
(204714, 'PTHR31344:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148440),
(204715, 'PTHR28216:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DUO1', 148441),
(204716, 'PTHR16222:SF12', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLGLYCOHYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G01570)', 148442),
(204717, 'PTHR45675:SF72', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', 148443),
(204718, 'PTHR39585:SF1', NULL, NULL, NULL, NULL, 'FAD ASSEMBLY FACTOR SDHE', 148444),
(204719, 'PTHR23359:SF22', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 2, MITOCHONDRIAL', 148445),
(204720, 'PTHR18966:SF513', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, AMPA 1B', 148446),
(204721, 'PTHR34674:SF3', NULL, NULL, NULL, NULL, 'BNAA03G57520D PROTEIN', 148447),
(204722, 'PTHR31707:SF188', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 148448),
(204723, 'PTHR24240:SF2', NULL, NULL, NULL, NULL, 'NOVOPSIN-1', 148449),
(204724, 'PTHR16228:SF7', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 41 MEMBER 1-LIKE PROTEIN', 148450),
(204725, 'PTHR24060:SF98', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 7', 148451),
(204726, 'PTHR34807:SF2', NULL, NULL, NULL, NULL, 'OS09G0421500 PROTEIN', 148452),
(204727, 'PTHR12585:SF29', NULL, NULL, NULL, NULL, 'FI11703P', 148453),
(204728, 'PTHR13385:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN ATG12', 148454),
(204729, 'PTHR22738:SF12', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 1', 148455),
(204730, 'PTHR31639:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148456),
(204731, 'PTHR11353:SF100', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT THETA-LIKE 1-RELATED', 148457),
(204732, 'PTHR48049:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148458),
(204733, 'PTHR48104:SF30', NULL, NULL, NULL, NULL, 'METACASPASE-1', 148459),
(204734, 'PTHR21859:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148460),
(204735, 'PTHR32295:SF153', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING FAMILY PROTEIN', 148461),
(204736, 'PTHR11431:SF90', NULL, NULL, NULL, NULL, 'FERRITIN-1, CHLOROPLASTIC', 148462),
(204737, 'PTHR33781:SF13', NULL, NULL, NULL, NULL, 'PHYTOCHROME KINASE SUBSTRATE 2-RELATED', 148463),
(204738, 'PTHR37375:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 148464),
(204739, 'PTHR33432:SF2', NULL, NULL, NULL, NULL, 'R-INTERACTING FACTOR 1', 148465),
(204740, 'PTHR11802:SF239', NULL, NULL, NULL, NULL, 'PEPTIDASE S10, SERINE CARBOXYPEPTIDASE, ALPHA/BETA HYDROLASE-RELATED', 148466),
(204741, 'PTHR36899:SF3', NULL, NULL, NULL, NULL, 'OS04G0395700 PROTEIN', 148467),
(204742, 'PTHR43337:SF1', NULL, NULL, NULL, NULL, 'XANTHINE/URACIL PERMEASE C887.17-RELATED', 148468);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(204743, 'PTHR28242:SF37', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 4-LIKE ISOFORM X1', 148469),
(204744, 'PTHR10694:SF100', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ16 ISOFORM X1-RELATED', 148470),
(204745, 'PTHR21596:SF63', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 1', 148471),
(204746, 'PTHR11306:SF44', NULL, NULL, NULL, NULL, 'MD-LIKE LIPID RECOGNITION DOMAIN PROTEIN/ML DOMAIN PROTEIN', 148472),
(204747, 'PTHR23056:SF111', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 7', 148473),
(204748, 'PTHR27006:SF405', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148474),
(204749, 'PTHR11926:SF1071', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 148475),
(204750, 'PTHR46226:SF5', NULL, NULL, NULL, NULL, 'OS09G0258000 PROTEIN', 148476),
(204751, 'PTHR47928:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148477),
(204752, 'PTHR32219:SF10', NULL, NULL, NULL, NULL, 'PROTON PUMP-INTERACTOR 1-LIKE', 148478),
(204753, 'PTHR43180:SF67', NULL, NULL, NULL, NULL, 'CHAIN ALCOHOL DEHYDROGENASE, PUTATIVE-RELATED', 148479),
(204754, 'PTHR24055:SF380', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NLK', 148480),
(204755, 'PTHR11486:SF3', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 8', 148481),
(204756, 'PTHR11705:SF131', NULL, NULL, NULL, NULL, 'PROTEIN CBG14938', 148482),
(204757, 'PTHR31584', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P53-INDUCIBLE PROTEIN 11', 148483),
(204758, 'PTHR30157:SF0', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT FERRIC-CHELATE REDUCTASE', 148484),
(204759, 'PTHR31444:SF26', NULL, NULL, NULL, NULL, 'GLUCURONOXYLAN 4-O-METHYLTRANSFERASE 2-RELATED', 148485),
(204760, 'PTHR45687:SF32', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-5-RELATED', 148486),
(204761, 'PTHR24343:SF415', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 148487),
(204762, 'PTHR12378:SF53', NULL, NULL, NULL, NULL, 'THIOL PEPTIDASE FAMILY PROTEIN, PUTATIVE-RELATED', 148488),
(204763, 'PTHR24056:SF465', NULL, NULL, NULL, NULL, 'GPCR KINASE-RELATED', 148489),
(204764, 'PTHR24062:SF53', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 148490),
(204765, 'PTHR46059:SF4', NULL, NULL, NULL, NULL, 'ST6 BETA-GALACTOSAMIDE ALPHA-2,6-SIALYLTRANFERASE 1', 148491),
(204766, 'PTHR46219:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG04629', 148492),
(204767, 'PTHR11638:SF93', NULL, NULL, NULL, NULL, 'CASEINOLYTIC PEPTIDASE B PROTEIN HOMOLOG', 148493),
(204768, 'PTHR11783:SF203', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 148494),
(204769, 'PTHR31901:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148495),
(204770, 'PTHR10015:SF325', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-8', 148496),
(204771, 'PTHR31679:SF3', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX32', 148497),
(204772, 'PTHR31393', NULL, NULL, NULL, NULL, 'C5ORF31', 148498),
(204773, 'PTHR14499:SF20', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD19', 148499),
(204774, 'PTHR15454:SF37', NULL, NULL, NULL, NULL, 'OUTER ARM DYNEIN LIGHT CHAIN 1 PROTEIN', 148500),
(204775, 'PTHR47979:SF54', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA2A', 148501),
(204776, 'PTHR32382:SF5', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 10', 148502),
(204777, 'PTHR22993', NULL, NULL, NULL, NULL, 'FORMAMIDOPYRIMIDINE-DNA GLYCOSYLASE', 148503),
(204778, 'PTHR11716:SF5', NULL, NULL, NULL, NULL, 'INACTIVE GROUP IIC SECRETORY PHOSPHOLIPASE A2-RELATED', 148504),
(204779, 'PTHR34947:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 148505),
(204780, 'PTHR35109:SF2', NULL, NULL, NULL, NULL, 'BNAA02G16300D PROTEIN', 148506),
(204781, 'PTHR44675', NULL, NULL, NULL, NULL, 'PAK1 INTERACTING PROTEIN 1', 148507),
(204782, 'PTHR24228:SF64', NULL, NULL, NULL, NULL, 'PROTEIN TRAPPED IN ENDODERM-1', 148508),
(204783, 'PTHR42826:SF2', NULL, NULL, NULL, NULL, 'CITRATE/SUCCINATE ANTIPORTER-RELATED', 148509),
(204784, 'PTHR35118:SF2', NULL, NULL, NULL, NULL, 'KINASE FAMILY PROTEIN', 148510),
(204785, 'PTHR14586:SF1', NULL, NULL, NULL, NULL, 'THIAMINE-TRIPHOSPHATASE', 148511);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(204786, 'PTHR44006', NULL, NULL, NULL, NULL, 'U5 SMALL NUCLEAR RIBONUCLEOPROTEIN 40 KDA PROTEIN', 148512),
(204787, 'PTHR24286:SF285', NULL, NULL, NULL, NULL, 'BNAC01G23810D PROTEIN', 148513),
(204788, 'PTHR11905:SF236', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148514),
(204789, 'PTHR46169:SF9', NULL, NULL, NULL, NULL, 'SI:CH211-152F22.4-RELATED', 148515),
(204790, 'PTHR10210', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE DIPHOSPHOKINASE FAMILY MEMBER', 148516),
(204791, 'PTHR31221:SF159', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 71', 148517),
(204792, 'PTHR33710:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148518),
(204793, 'PTHR10824:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG14567', 148519),
(204794, 'PTHR34133:SF9', NULL, NULL, NULL, NULL, 'BNAC04G31630D PROTEIN', 148520),
(204795, 'PTHR45935:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAM200B', 148521),
(204796, 'PTHR11200:SF163', NULL, NULL, NULL, NULL, 'TYPE II INOSITOL 1,4,5-TRISPHOSPHATE 5-PHOSPHATASE', 148522),
(204797, 'PTHR46100:SF2', NULL, NULL, NULL, NULL, 'OS05G0453700 PROTEIN', 148523),
(204798, 'PTHR32254:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 148524),
(204799, 'PTHR13120:SF6', NULL, NULL, NULL, NULL, 'PHD FINGER-LIKE DOMAIN-CONTAINING PROTEIN 5A', 148525),
(204800, 'PTHR32077', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN', 148526),
(204801, 'PTHR31142:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148527),
(204802, 'PTHR19961:SF72', NULL, NULL, NULL, NULL, 'FIMBRIN-4-LIKE', 148528),
(204803, 'PTHR47157:SF1', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 1-LIKE', 148529),
(204804, 'PTHR11066:SF56', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE FAMILY PROTEIN', 148530),
(204805, 'PTHR31213:SF147', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE, START-LIKE DOMAIN PROTEIN-RELATED', 148531),
(204806, 'PTHR22611:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NAKED CUTICLE HOMOLOG 2', 148532),
(204807, 'PTHR23155:SF985', NULL, NULL, NULL, NULL, 'OS11G0647800 PROTEIN', 148533),
(204808, 'PTHR45523:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-CONTAINING PROTEIN', 148534),
(204809, 'PTHR23068:SF33', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5-)-METHYLTRANSFERASE 3 BETA, DUPLICATE A-RELATED', 148535),
(204810, 'PTHR31097', NULL, NULL, NULL, NULL, 'SI:DKEY-276J7.1', 148536),
(204811, 'PTHR24296:SF104', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', 148537),
(204812, 'PTHR38730:SF1', NULL, NULL, NULL, NULL, 'SLL7028 PROTEIN', 148538),
(204813, 'PTHR23406:SF82', NULL, NULL, NULL, NULL, 'MALIC ENZYME', 148539),
(204814, 'PTHR13318:SF182', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 14', 148540),
(204815, 'PTHR22953:SF110', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 23', 148541),
(204816, 'PTHR47501', NULL, NULL, NULL, NULL, 'TRANSPOSASE-RELATED', 148542),
(204817, 'PTHR31375:SF133', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 148543),
(204818, 'PTHR24068:SF377', NULL, NULL, NULL, NULL, 'BNAA03G55110D PROTEIN', 148544),
(204819, 'PTHR47990:SF72', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE JRG21-RELATED', 148545),
(204820, 'PTHR27006:SF362', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 148546),
(204821, 'PTHR43490:SF105', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', 148547),
(204822, 'PTHR46755:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148548),
(204823, 'PTHR11309:SF47', NULL, NULL, NULL, NULL, 'FRIZZLED', 148549),
(204824, 'PTHR43029:SF24', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 148550),
(204825, 'PTHR33541:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148551),
(204826, 'PTHR31758:SF2', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN YLR108C', 148552),
(204827, 'PTHR32089:SF52', NULL, NULL, NULL, NULL, 'CHEMOTAXIS SIGNAL TRANSDUCTION SYSTEM METHYL ACCEPTING SENSORY TRANSDUCER WITH PAS SENSORY DOMAIN', 148553),
(204828, 'PTHR43399:SF1', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE, PUTATIVE-RELATED', 148554);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(204829, 'PTHR31311:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148555),
(204830, 'PTHR35108:SF7', NULL, NULL, NULL, NULL, 'BNAC06G30280D PROTEIN', 148556),
(204831, 'PTHR11414:SF20', NULL, NULL, NULL, NULL, 'CYSTATIN-A', 148557),
(204832, 'PTHR23226:SF197', NULL, NULL, NULL, NULL, 'GLI FAMILY ZINC FINGER 4', 148558),
(204833, 'PTHR11003:SF261', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 148559),
(204834, 'PTHR24083:SF70', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 148560),
(204835, 'PTHR31072:SF180', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PCF7', 148561),
(204836, 'PTHR21740', NULL, NULL, NULL, NULL, 'NCK-ASSOCIATED PROTEIN 5', 148562),
(204837, 'PTHR22957:SF343', NULL, NULL, NULL, NULL, 'RABGAP/TBC DOMAIN-CONTAINING PROTEIN', 148563),
(204838, 'PTHR35795', NULL, NULL, NULL, NULL, 'SLR1885 PROTEIN', 148564),
(204839, 'PTHR38767', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT CHI', 148565),
(204840, 'PTHR43081:SF10', NULL, NULL, NULL, NULL, 'BLL0556 PROTEIN', 148566),
(204841, 'PTHR48217:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148567),
(204842, 'PTHR36326:SF15', NULL, NULL, NULL, NULL, 'BNAC05G02780D PROTEIN', 148568),
(204843, 'PTHR48053:SF61', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE RECEPTOR 1', 148569),
(204844, 'PTHR11616:SF285', NULL, NULL, NULL, NULL, 'TRANSPORTER', 148570),
(204845, 'PTHR15336:SF15', NULL, NULL, NULL, NULL, 'F13K23.8 PROTEIN', 148571),
(204846, 'PTHR19229:SF13', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 6', 148572),
(204847, 'PTHR24286:SF195', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148573),
(204848, 'PTHR46724:SF1', NULL, NULL, NULL, NULL, 'ADP RIBOSYLATION FACTOR LIKE GTPASE 10', 148574),
(204849, 'PTHR47993:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148575),
(204850, 'PTHR24103:SF645', NULL, NULL, NULL, NULL, 'AGAP001544-PB', 148576),
(204851, 'PTHR12443:SF9', NULL, NULL, NULL, NULL, 'TRANSLOCATION PROTEIN SEC62', 148577),
(204852, 'PTHR31325:SF95', NULL, NULL, NULL, NULL, 'OS05G0236600 PROTEIN', 148578),
(204853, 'PTHR19868:SF7', NULL, NULL, NULL, NULL, 'RECEPTOR FOR ACTIVATED C KINASE 1C', 148579),
(204854, 'PTHR33871:SF7', NULL, NULL, NULL, NULL, 'OS01G0779800 PROTEIN', 148580),
(204855, 'PTHR23111:SF24', NULL, NULL, NULL, NULL, 'OS01G0203300 PROTEIN', 148581),
(204856, 'PTHR24206:SF76', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN WLIM1-LIKE', 148582),
(204857, 'PTHR31791:SF50', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 148583),
(204858, 'PTHR40076', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 148584),
(204859, 'PTHR43150:SF3', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED POTASSIUM CHANNEL SUBUNIT BETA-3', 148585),
(204860, 'PTHR30405:SF17', NULL, NULL, NULL, NULL, 'NEUTRAL PROTEASE', 148586),
(204861, 'PTHR33347:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148587),
(204862, 'PTHR23522:SF3', NULL, NULL, NULL, NULL, 'BLL5896 PROTEIN', 148588),
(204863, 'PTHR20996', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 148589),
(204864, 'PTHR45716:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-266G18.6', 148590),
(204865, 'PTHR48001:SF138', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7C1', 148591),
(204866, 'PTHR47993:SF85', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 148592),
(204867, 'PTHR46414:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR-ASSOCIATED SORTING PROTEIN 1', 148593),
(204868, 'PTHR46956:SF1', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE 6', 148594),
(204869, 'PTHR21646:SF64', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 148595),
(204870, 'PTHR45739:SF3', NULL, NULL, NULL, NULL, 'FRAS1-RELATED EXTRACELLULAR MATRIX 1B', 148596),
(204871, 'PTHR33110:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148597),
(204872, 'PTHR42470:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148598),
(204873, 'PTHR10803:SF8', NULL, NULL, NULL, NULL, 'ARSENICAL PUMP-DRIVING ATPASE', 148599),
(204874, 'PTHR24096:SF353', NULL, NULL, NULL, NULL, 'GH16244P-RELATED', 148600),
(204875, 'PTHR13809:SF9', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-12', 148601);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(204876, 'PTHR48006:SF17', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 148602),
(204877, 'PTHR10984:SF71', NULL, NULL, NULL, NULL, 'BNAA08G14160D PROTEIN', 148603),
(204878, 'PTHR24061:SF418', NULL, NULL, NULL, NULL, 'C-FAMILY ODORANT RECEPTOR OLFCQ19-RELATED', 148604),
(204879, 'PTHR11772:SF36', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING]', 148605),
(204880, 'PTHR12696:SF3', NULL, NULL, NULL, NULL, 'BNAA06G34100D PROTEIN', 148606),
(204881, 'PTHR32487:SF17', NULL, NULL, NULL, NULL, '3-OXO-DELTA(45)-STEROID 5-BETA-REDUCTASE', 148607),
(204882, 'PTHR13723:SF278', NULL, NULL, NULL, NULL, 'ADAM METALLOPEPTIDASE WITH THROMBOSPONDIN TYPE 1 MOTIF A, ISOFORM B', 148608),
(204883, 'PTHR33914:SF8', NULL, NULL, NULL, NULL, 'BNAC09G52460D PROTEIN', 148609),
(204884, 'PTHR23084:SF232', NULL, NULL, NULL, NULL, 'HISTONE H3 K4-SPECIFIC METHYLTRANSFERASE SET7/9 FAMILY PROTEIN', 148610),
(204885, 'PTHR10353:SF241', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 148611),
(204886, 'PTHR42718:SF37', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE EFFLUX PROTEIN-RELATED', 148612),
(204887, 'PTHR13462:SF43', NULL, NULL, NULL, NULL, 'BNAA04G13890D PROTEIN', 148613),
(204888, 'PTHR11274:SF0', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION AND DNA REPAIR FACTOR IIH HELICASE SUBUNIT XPB', 148614),
(204889, 'PTHR45650:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148615),
(204890, 'PTHR11802:SF296', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 148616),
(204891, 'PTHR45890:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ABKC-RELATED', 148617),
(204892, 'PTHR12313:SF78', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 148618),
(204893, 'PTHR11122:SF40', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 148619),
(204894, 'PTHR44137:SF31', NULL, NULL, NULL, NULL, 'BNAA10G28700D PROTEIN', 148620),
(204895, 'PTHR11556:SF33', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, CYTOSOLIC-LIKE PROTEIN', 148621),
(204896, 'PTHR34150:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG05036', 148622),
(204897, 'PTHR48004:SF1', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 148623),
(204898, 'PTHR15712:SF6', NULL, NULL, NULL, NULL, 'PROTEIN ARMCX6', 148624),
(204899, 'PTHR24384:SF119', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 695', 148625),
(204900, 'PTHR34460:SF9', NULL, NULL, NULL, NULL, 'BNAA02G30570D PROTEIN', 148626),
(204901, 'PTHR12941:SF12', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 9', 148627),
(204902, 'PTHR12665:SF24', NULL, NULL, NULL, NULL, 'BNAANNG20920D PROTEIN', 148628),
(204903, 'PTHR34549', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT IV A, CHLOROPLASTIC-RELATED', 148629),
(204904, 'PTHR24320:SF238', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', 148630),
(204905, 'PTHR46250:SF2', NULL, NULL, NULL, NULL, 'OS11G0205200 PROTEIN', 148631),
(204906, 'PTHR21402:SF9', NULL, NULL, NULL, NULL, 'GAMETOCYTE-SPECIFIC FACTOR 1', 148632),
(204907, 'PTHR42912:SF58', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 148633),
(204908, 'PTHR44169:SF13', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_2G14460)', 148634),
(204909, 'PTHR10569:SF2', NULL, NULL, NULL, NULL, 'GLYCOGEN DEBRANCHING ENZYME', 148635),
(204910, 'PTHR44329:SF134', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE EDR1-LIKE ISOFORM X1', 148636),
(204911, 'PTHR26374:SF389', NULL, NULL, NULL, NULL, 'OS01G0838600 PROTEIN', 148637),
(204912, 'PTHR37202:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', 148638),
(204913, 'PTHR23266:SF327', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148639),
(204914, 'PTHR23147:SF192', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, PUTATIVE-RELATED', 148640),
(204915, 'PTHR37691', NULL, NULL, NULL, NULL, 'BLR3518 PROTEIN', 148641),
(204916, 'PTHR32227:SF348', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17-RELATED', 148642),
(204917, 'PTHR31128:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG04039', 148643);
INSERT INTO "PUBLIC"."MODEL" VALUES
(204918, 'PTHR45752:SF98', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN-RELATED', 148644),
(204919, 'PTHR10517:SF8', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR BETA', 148645),
(204920, 'PTHR47958:SF98', NULL, NULL, NULL, NULL, 'DEAD-BOX HELICASE 3 X-LINKED A', 148646),
(204921, 'PTHR11733:SF213', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', 148647),
(204922, 'PTHR11474:SF76', NULL, NULL, NULL, NULL, 'TYROSINASE', 148648),
(204923, 'PTHR33057:SF3', NULL, NULL, NULL, NULL, 'OS01G0732300 PROTEIN', 148649),
(204924, 'PTHR31234:SF42', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 148650),
(204925, 'PTHR45826:SF21', NULL, NULL, NULL, NULL, 'BNAA05G20530D PROTEIN', 148651),
(204926, 'PTHR11730:SF92', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 2', 148652),
(204927, 'PTHR35309:SF2', NULL, NULL, NULL, NULL, 'TOCOPHEROL CYCLASE, CHLOROPLASTIC', 148653),
(204928, 'PTHR11571:SF92', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 148654),
(204929, 'PTHR34481:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148655),
(204930, 'PTHR43042:SF1', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE', 148656),
(204931, 'PTHR31529:SF34', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 14', 148657),
(204932, 'PTHR47998:SF41', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR ETC3 ISOFORM X1', 148658),
(204933, 'PTHR15315:SF71', NULL, NULL, NULL, NULL, 'BNAA09G46450D PROTEIN', 148659),
(204934, 'PTHR13151', NULL, NULL, NULL, NULL, 'CBF1 INTERACTING COREPRESSOR CIR', 148660),
(204935, 'PTHR45614:SF25', NULL, NULL, NULL, NULL, 'MYB PROTEIN', 148661),
(204936, 'PTHR33784:SF11', NULL, NULL, NULL, NULL, 'BNAA09G16370D PROTEIN', 148662),
(204937, 'PTHR31096:SF14', NULL, NULL, NULL, NULL, 'OS05G0113000 PROTEIN', 148663),
(204938, 'PTHR15829:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG22464', 148664),
(204939, 'PTHR31721:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 148665),
(204940, 'PTHR11595:SF54', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-DELTA', 148666),
(204941, 'PTHR35547:SF2', NULL, NULL, NULL, NULL, 'OS06G0249350 PROTEIN', 148667),
(204942, 'PTHR11732:SF419', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148668),
(204943, 'PTHR46846:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 148669),
(204944, 'PTHR14233:SF16', NULL, NULL, NULL, NULL, 'OS08G0540000 PROTEIN', 148670),
(204945, 'PTHR31312', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR GLK1', 148671),
(204946, 'PTHR48015:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FLR-4', 148672),
(204947, 'PTHR46424', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 4', 148673),
(204948, 'PTHR31901:SF61', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE GH3 FAMILY PROTEIN', 148674),
(204949, 'PTHR20437', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUBFAMILY MEMBER 13/17', 148675),
(204950, 'PTHR46553:SF9', NULL, NULL, NULL, NULL, 'OS10G0437500 PROTEIN', 148676),
(204951, 'PTHR34817:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 148677),
(204952, 'PTHR13394', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 6', 148678),
(204953, 'PTHR22600:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148679),
(204954, 'PTHR22595:SF117', NULL, NULL, NULL, NULL, 'BNAC03G24300D PROTEIN', 148680),
(204955, 'PTHR11654:SF441', NULL, NULL, NULL, NULL, 'OS07G0603800 PROTEIN', 148681),
(204956, 'PTHR43719', NULL, NULL, NULL, NULL, 'TWO-COMPONENT HISTIDINE KINASE', 148682),
(204957, 'PTHR45778:SF12', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 148683),
(204958, 'PTHR45882:SF4', NULL, NULL, NULL, NULL, 'PITUITARY HOMEOBOX 2', 148684),
(204959, 'PTHR32358', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL AND IMMUNE RESPONSE REGULATOR', 148685),
(204960, 'PTHR11062:SF300', NULL, NULL, NULL, NULL, 'OS07G0188700 PROTEIN', 148686),
(204961, 'PTHR13276', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR MSS4', 148687),
(204962, 'PTHR24353:SF116', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE CATALYTIC SUBUNIT BETA', 148688);
INSERT INTO "PUBLIC"."MODEL" VALUES
(204963, 'PTHR34198:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148689),
(204964, 'PTHR27002:SF697', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148690),
(204965, 'PTHR31676:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148691),
(204966, 'PTHR48094:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE-INDEPENDENT GLYOXALASE DJR-1.2', 148692),
(204967, 'PTHR38355:SF2', NULL, NULL, NULL, NULL, 'BNAA06G36690D PROTEIN', 148693),
(204968, 'PTHR10926:SF1', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN 50C', 148694),
(204969, 'PTHR11475:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148695),
(204970, 'PTHR45690:SF2', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 14', 148696),
(204971, 'PTHR46852:SF4', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE 3-LIKE ISOFORM X1', 148697),
(204972, 'PTHR11711:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148698),
(204973, 'PTHR47972:SF10', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 148699),
(204974, 'PTHR20914:SF2', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 8', 148700),
(204975, 'PTHR47956:SF43', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D9', 148701),
(204976, 'PTHR47857:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 148702),
(204977, 'PTHR10052:SF46', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', 148703),
(204978, 'PTHR47877:SF9', NULL, NULL, NULL, NULL, 'BNAC02G35130D PROTEIN', 148704),
(204979, 'PTHR36382', NULL, NULL, NULL, NULL, 'OSJNBA0043L09.26 PROTEIN', 148705),
(204980, 'PTHR33477:SF2', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 148706),
(204981, 'PTHR22798:SF8', NULL, NULL, NULL, NULL, 'MALIGNANT T-CELL-AMPLIFIED SEQUENCE', 148707),
(204982, 'PTHR43975:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG14933', 148708),
(204983, 'PTHR11274:SF14', NULL, NULL, NULL, NULL, 'DNA HELICASE ERCC3', 148709),
(204984, 'PTHR33887', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 148710),
(204985, 'PTHR23411:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148711),
(204986, 'PTHR31052:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148712),
(204987, 'PTHR24242:SF357', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 6 SUBFAMILY Q MEMBER 1 (GENE/PSEUDOGENE)', 148713),
(204988, 'PTHR45691:SF7', NULL, NULL, NULL, NULL, 'FH2 DOMAIN-CONTAINING 2', 148714),
(204989, 'PTHR13159:SF0', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD COMPONENT 4A', 148715),
(204990, 'PTHR45718', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR CUBITUS INTERRUPTUS', 148716),
(204991, 'PTHR31703:SF2', NULL, NULL, NULL, NULL, 'UPF0669 PROTEIN C6ORF120', 148717),
(204992, 'PTHR46128:SF69', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 148718),
(204993, 'PTHR35936:SF28', NULL, NULL, NULL, NULL, 'GLUTAMINE-BINDING PERIPLASMIC PROTEIN', 148719),
(204994, 'PTHR10502:SF205', NULL, NULL, NULL, NULL, 'ANNEXIN', 148720),
(204995, 'PTHR47517:SF3', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 148721),
(204996, 'PTHR46324:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148722),
(204997, 'PTHR47293:SF35', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 1-LIKE', 148723),
(204998, 'PTHR31375:SF199', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN-RELATED', 148724),
(204999, 'PTHR23092:SF24', NULL, NULL, NULL, NULL, 'TERMINAL NUCLEOTIDYLTRANSFERASE 4A', 148725),
(205000, 'PTHR24349:SF374', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 2', 148726),
(205001, 'PTHR31421:SF12', NULL, NULL, NULL, NULL, 'BNAA06G09500D PROTEIN', 148727),
(205002, 'PTHR11860:SF53', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 5', 148728),
(205003, 'PTHR45977:SF19', NULL, NULL, NULL, NULL, 'RING-FINGER UBIQUITIN LIGASE', 148729),
(205004, 'PTHR15381', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE PROTEOGLYCAN 5 -RELATED', 148730),
(205005, 'PTHR10179:SF80', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 2', 148731),
(205006, 'PTHR31351:SF19', NULL, NULL, NULL, NULL, 'AUXIN CANALIZATION PROTEIN (DUF828)', 148732),
(205007, 'PTHR12832:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148733);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(205008, 'PTHR16223:SF184', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH85', 148734),
(205009, 'PTHR43724:SF1', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE SUBUNIT PORD', 148735),
(205010, 'PTHR33124:SF89', NULL, NULL, NULL, NULL, 'BNACNNG19630D PROTEIN', 148736),
(205011, 'PTHR22814:SF287', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN ATX1', 148737),
(205012, 'PTHR43180', NULL, NULL, NULL, NULL, '3-OXOACYL-(ACYL-CARRIER-PROTEIN) REDUCTASE (AFU_ORTHOLOGUE AFUA_6G11210)', 148738),
(205013, 'PTHR32191:SF82', NULL, NULL, NULL, NULL, 'BNAA10G11690D PROTEIN', 148739),
(205014, 'PTHR11453:SF101', NULL, NULL, NULL, NULL, 'BNAA04G26910D PROTEIN', 148740),
(205015, 'PTHR11893:SF21', NULL, NULL, NULL, NULL, 'INNEXIN EAT-5', 148741),
(205016, 'PTHR46855:SF12', NULL, NULL, NULL, NULL, 'BNAC02G33240D PROTEIN', 148742),
(205017, 'PTHR27005:SF226', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148743),
(205018, 'PTHR35508', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT', 148744),
(205019, 'PTHR31652:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148745),
(205020, 'PTHR30027:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 148746),
(205021, 'PTHR35467:SF2', NULL, NULL, NULL, NULL, 'PROTEIN NEOXANTHIN-DEFICIENT 1', 148747),
(205022, 'PTHR22943:SF65', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 148748),
(205023, 'PTHR48056:SF25', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE TDR ISOFORM X3', 148749),
(205024, 'PTHR16056:SF16', NULL, NULL, NULL, NULL, 'REGULATOR OF MICROTUBULE DYNAMICS PROTEIN 1', 148750),
(205025, 'PTHR33650:SF1', NULL, NULL, NULL, NULL, 'CEMA-LIKE PROTON EXTRUSION PROTEIN-LIKE PROTEIN', 148751),
(205026, 'PTHR31325:SF45', NULL, NULL, NULL, NULL, 'OS11G0638700 PROTEIN', 148752),
(205027, 'PTHR15336', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE COMPLEX 7.8 KDA PROTEIN', 148753),
(205028, 'PTHR10334:SF457', NULL, NULL, NULL, NULL, 'AT27079P-RELATED', 148754),
(205029, 'PTHR33076:SF117', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 148755),
(205030, 'PTHR11346:SF22', NULL, NULL, NULL, NULL, 'GALECTIN-8', 148756),
(205031, 'PTHR18962:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 39', 148757),
(205032, 'PTHR10219:SF94', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN (GLTP) FAMILY PROTEIN-RELATED', 148758),
(205033, 'PTHR27003:SF266', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 148759),
(205034, 'PTHR48049:SF58', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71C3', 148760),
(205035, 'PTHR47979:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148761),
(205036, 'PTHR12121:SF34', NULL, NULL, NULL, NULL, 'LD39302P', 148762),
(205037, 'PTHR46754:SF5', NULL, NULL, NULL, NULL, 'MKI67 FHA DOMAIN-INTERACTING NUCLEOLAR PHOSPHOPROTEIN', 148763),
(205038, 'PTHR24340:SF81', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HMX3', 148764),
(205039, 'PTHR24089:SF292', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL3-RELATED', 148765),
(205040, 'PTHR13318:SF132', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 148766),
(205041, 'PTHR11743:SF35', NULL, NULL, NULL, NULL, 'PORIN/VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL PROTEIN', 148767),
(205042, 'PTHR45647:SF35', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 55-RELATED', 148768),
(205043, 'PTHR36162:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148769),
(205044, 'PTHR46600', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING', 148770),
(205045, 'PTHR43895:SF88', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 148771),
(205046, 'PTHR47626:SF1', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN-CONTAINING PROTEIN', 148772),
(205047, 'PTHR47487:SF4', NULL, NULL, NULL, NULL, 'OS08G0441900 PROTEIN', 148773),
(205048, 'PTHR47554', NULL, NULL, NULL, NULL, 'SORTING NEXIN MVP1', 148774),
(205049, 'PTHR33403:SF28', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1-LIKE 2', 148775),
(205050, 'PTHR37314:SF4', NULL, NULL, NULL, NULL, 'UPF0700 TRANSMEMBRANE PROTEIN YOAK', 148776);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(205051, 'PTHR34224:SF9', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 2, CHLOROPLASTIC-LIKE', 148777),
(205052, 'PTHR34122:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148778),
(205053, 'PTHR48011:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148779),
(205054, 'PTHR14221:SF41', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 148780),
(205055, 'PTHR31439:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 148781),
(205056, 'PTHR24256:SF214', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 47-RELATED', 148782),
(205057, 'PTHR44191:SF33', NULL, NULL, NULL, NULL, 'BNACNNG61080D PROTEIN', 148783),
(205058, 'PTHR11654:SF472', NULL, NULL, NULL, NULL, 'BNAA09G56930D PROTEIN', 148784),
(205059, 'PTHR31707:SF26', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 148785),
(205060, 'PTHR24559:SF355', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 148786),
(205061, 'PTHR35290:SF1', NULL, NULL, NULL, NULL, 'OS01G0260800 PROTEIN', 148787),
(205062, 'PTHR11732:SF398', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1, MEMBER B1 (ALDOSE REDUCTASE)', 148788),
(205063, 'PTHR12874:SF16', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 148789),
(205064, 'PTHR33065:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148790),
(205065, 'PTHR19304:SF41', NULL, NULL, NULL, NULL, 'CRE-BINDING BZIP PROTEIN SKO1', 148791),
(205066, 'PTHR31847:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG10327', 148792),
(205067, 'PTHR21343:SF8', NULL, NULL, NULL, NULL, 'DRTGG DOMAIN PROTEIN', 148793),
(205068, 'PTHR47993:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148794),
(205069, 'PTHR46502:SF19', NULL, NULL, NULL, NULL, 'ELICITOR-RESPONSIVE PROTEIN 3-LIKE', 148795),
(205070, 'PTHR43117:SF4', NULL, NULL, NULL, NULL, 'OSMOPROTECTANT IMPORT ATP-BINDING PROTEIN OSMV', 148796),
(205071, 'PTHR46296:SF1', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-LIKE', 148797),
(205072, 'PTHR10027:SF33', NULL, NULL, NULL, NULL, 'POTASSIUM LARGE CONDUCTANCE CALCIUM-ACTIVATED CHANNEL, SUBFAMILY M, ALPHA MEMBER 1A', 148798),
(205073, 'PTHR15427:SF18', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q SUBCOMPONENT SUBUNIT B', 148799),
(205074, 'PTHR42825:SF23', NULL, NULL, NULL, NULL, 'BNACNNG51620D PROTEIN', 148800),
(205075, 'PTHR24064:SF536', NULL, NULL, NULL, NULL, 'ORGANIC CATION TRANSPORTER 1', 148801),
(205076, 'PTHR48018:SF124', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 148802),
(205077, 'PTHR33738:SF4', NULL, NULL, NULL, NULL, 'OS01G0848900 PROTEIN', 148803),
(205078, 'PTHR47056:SF1', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 39', 148804),
(205079, 'PTHR45804:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C13', 148805),
(205080, 'PTHR39428', NULL, NULL, NULL, NULL, 'F420H(2)-DEPENDENT QUINONE REDUCTASE RV1261C', 148806),
(205081, 'PTHR31302:SF22', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE-RELATED', 148807),
(205082, 'PTHR36435:SF1', NULL, NULL, NULL, NULL, 'SLR1288 PROTEIN', 148808),
(205083, 'PTHR36057', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 148809),
(205084, 'PTHR31636:SF48', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', 148810),
(205085, 'PTHR24064:SF512', NULL, NULL, NULL, NULL, 'OS07G0571700 PROTEIN', 148811),
(205086, 'PTHR10836:SF88', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE/ERYTHROSE PHOSPHATE DEHYDROGENASE FAMILY-RELATED', 148812),
(205087, 'PTHR45748:SF4', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1D-RELATED', 148813),
(205088, 'PTHR36057:SF5', NULL, NULL, NULL, NULL, 'LIPOPROTEIN LIPID ATTACHMENT SITE-LIKE PROTEIN, PUTATIVE (DUF1223)-RELATED', 148814),
(205089, 'PTHR45868:SF37', NULL, NULL, NULL, NULL, 'BNAC05G26330D PROTEIN', 148815),
(205090, 'PTHR48017:SF102', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 148816),
(205091, 'PTHR24072:SF337', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 42-RELATED', 148817),
(205092, 'PTHR46512', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 148818),
(205093, 'PTHR24390:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148819); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(205094, 'PTHR31529:SF23', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 16', 148820),
(205095, 'PTHR19367:SF24', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 8-3', 148821),
(205096, 'PTHR33227:SF34', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1 FAMILY PROTEIN-RELATED', 148822),
(205097, 'PTHR33159:SF48', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', 148823),
(205098, 'PTHR24403:SF69', NULL, NULL, NULL, NULL, 'KIAA1586', 148824),
(205099, 'PTHR11771:SF142', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 148825),
(205100, 'PTHR22835:SF615', NULL, NULL, NULL, NULL, 'OS05G0133401 PROTEIN', 148826),
(205101, 'PTHR10048:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148827),
(205102, 'PTHR16223:SF210', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH130', 148828),
(205103, 'PTHR13793:SF93', NULL, NULL, NULL, NULL, 'PROTEIN AF-10', 148829),
(205104, 'PTHR10579:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148830),
(205105, 'PTHR11347:SF191', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', 148831),
(205106, 'PTHR47372:SF29', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', 148832),
(205107, 'PTHR23064:SF29', NULL, NULL, NULL, NULL, 'PARVALBUMIN-LIKE EF-HAND-CONTAINING PROTEIN', 148833),
(205108, 'PTHR45811:SF62', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', 148834),
(205109, 'PTHR23315:SF303', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 148835),
(205110, 'PTHR24242:SF227', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 148836),
(205111, 'PTHR48011:SF21', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE, ERK3/4-RELATED', 148837),
(205112, 'PTHR31311:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 5-RELATED', 148838),
(205113, 'PTHR10544:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28-1-LIKE', 148839),
(205114, 'PTHR21096:SF0', NULL, NULL, NULL, NULL, 'PROTEIN FAM136A', 148840),
(205115, 'PTHR47067:SF4', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 7 ISOFORM X1', 148841),
(205116, 'PTHR43561:SF1', NULL, NULL, NULL, NULL, 'HYDROXY-ACYL-COA DEHYDROGENASE', 148842),
(205117, 'PTHR39374', NULL, NULL, NULL, NULL, 'PROTEIN CBG12861', 148843),
(205118, 'PTHR45631:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 148844),
(205119, 'PTHR33165:SF56', NULL, NULL, NULL, NULL, 'OS07G0577750 PROTEIN', 148845),
(205120, 'PTHR10252:SF5', NULL, NULL, NULL, NULL, 'DR1-ASSOCIATED COREPRESSOR', 148846),
(205121, 'PTHR11616:SF263', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT GLYCINE TRANSPORTER 1', 148847),
(205122, 'PTHR11905:SF136', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 9', 148848),
(205123, 'PTHR33732:SF2', NULL, NULL, NULL, NULL, 'RUBBER ELONGATION FACTOR PROTEIN', 148849),
(205124, 'PTHR31852:SF167', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 148850),
(205125, 'PTHR46239:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG 3', 148851),
(205126, 'PTHR13429:SF7', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 1', 148852),
(205127, 'PTHR18966:SF432', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2.7', 148853),
(205128, 'PTHR36391', NULL, NULL, NULL, NULL, 'FURRY', 148854),
(205129, 'PTHR31676:SF71', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 148855),
(205130, 'PTHR33052:SF133', NULL, NULL, NULL, NULL, 'BNAC03G58330D PROTEIN', 148856),
(205131, 'PTHR30272:SF15', NULL, NULL, NULL, NULL, 'BNAA04G12710D PROTEIN', 148857),
(205132, 'PTHR35172', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 148858),
(205133, 'PTHR47466', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 148859),
(205134, 'PTHR34223:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148860),
(205135, 'PTHR19321:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148861),
(205136, 'PTHR11693:SF38', NULL, NULL, NULL, NULL, 'ATPASE, F1 COMPLEX, GAMMA SUBUNIT, ATPASE, F1 COMPLEX, GAMMA SUBUNIT DOMAIN PROTEIN-RELATED', 148862),
(205137, 'PTHR42820:SF21', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE 3B-LIKE', 148863);
INSERT INTO "PUBLIC"."MODEL" VALUES
(205138, 'PTHR11972:SF174', NULL, NULL, NULL, NULL, 'BNAA03G47130D PROTEIN', 148864),
(205139, 'PTHR10766:SF130', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 148865),
(205140, 'PTHR11822:SF26', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', 148866),
(205141, 'PTHR22958:SF27', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD2', 148867),
(205142, 'PTHR11913:SF17', NULL, NULL, NULL, NULL, 'COFILIN-1', 148868),
(205143, 'PTHR10209:SF736', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 1-LIKE', 148869),
(205144, 'PTHR15586:SF0', NULL, NULL, NULL, NULL, 'LINKER FOR ACTIVATION OF T-CELLS FAMILY MEMBER 1', 148870),
(205145, 'PTHR21040:SF8', NULL, NULL, NULL, NULL, 'BCDNA.GH04120', 148871),
(205146, 'PTHR19288:SF73', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE 1A, CHLOROPLASTIC', 148872),
(205147, 'PTHR23118', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE', 148873),
(205148, 'PTHR47218:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 7 MEMBER A', 148874),
(205149, 'PTHR21845', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE ANCHOR PROTEIN 1', 148875),
(205150, 'PTHR23503:SF96', NULL, NULL, NULL, NULL, 'PROTEIN CBG22452', 148876),
(205151, 'PTHR11544:SF113', NULL, NULL, NULL, NULL, 'COLD SHOCK-LIKE PROTEIN CSPD', 148877),
(205152, 'PTHR15362:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE SYNTHASE 2', 148878),
(205153, 'PTHR10742:SF368', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 1', 148879),
(205154, 'PTHR12203:SF80', NULL, NULL, NULL, NULL, 'O-GLUCOSYLTRANSFERASE RUMI-LIKE PROTEIN (DUF821)', 148880),
(205155, 'PTHR43139:SF22', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 4-LIKE', 148881),
(205156, 'PTHR40082:SF1', NULL, NULL, NULL, NULL, 'BLR5956 PROTEIN', 148882),
(205157, 'PTHR23423:SF65', NULL, NULL, NULL, NULL, 'SI:DKEY-16N15.6', 148883),
(205158, 'PTHR37439:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG25991', 148884),
(205159, 'PTHR46632:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 148885),
(205160, 'PTHR11782:SF113', NULL, NULL, NULL, NULL, 'BNAA01G33700D PROTEIN', 148886),
(205161, 'PTHR46890:SF1', NULL, NULL, NULL, NULL, 'NON-LTR RETROLELEMENT REVERSE TRANSCRIPTASE-LIKE PROTEIN', 148887),
(205162, 'PTHR21646:SF17', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 2', 148888),
(205163, 'PTHR15427:SF35', NULL, NULL, NULL, NULL, 'PROTEIN HP-25 HOMOLOG 1', 148889),
(205164, 'PTHR20854:SF22', NULL, NULL, NULL, NULL, 'INOSITOL-1-MONOPHOSPHATASE', 148890),
(205165, 'PTHR33265:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148891),
(205166, 'PTHR23086:SF120', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', 148892),
(205167, 'PTHR47746:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148893),
(205168, 'PTHR10943:SF11', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2', 148894),
(205169, 'PTHR37981:SF1', NULL, NULL, NULL, NULL, 'LIPASE 2', 148895),
(205170, 'PTHR23304:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148896),
(205171, 'PTHR46301:SF26', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 13', 148897),
(205172, 'PTHR22811:SF132', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY/GOLD FAMILY PROTEIN-RELATED', 148898),
(205173, 'PTHR48000:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB36', 148899),
(205174, 'PTHR46559:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148900),
(205175, 'PTHR42663:SF4', NULL, NULL, NULL, NULL, 'SLL1036 PROTEIN', 148901),
(205176, 'PTHR10902:SF13', NULL, NULL, NULL, NULL, 'OS05G0556900 PROTEIN', 148902),
(205177, 'PTHR31989:SF124', NULL, NULL, NULL, NULL, 'OS12G0135850 PROTEIN', 148903),
(205178, 'PTHR12231:SF255', NULL, NULL, NULL, NULL, 'CONTACTIN-3-LIKE PROTEIN', 148904),
(205179, 'PTHR13504:SF33', NULL, NULL, NULL, NULL, 'FIC FAMILY PROTEIN', 148905),
(205180, 'PTHR11691:SF62', NULL, NULL, NULL, NULL, 'INTERFERON PHI 2-RELATED', 148906),
(205181, 'PTHR19980:SF0', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR SUBUNIT 3', 148907),
(205182, 'PTHR33155:SF49', NULL, NULL, NULL, NULL, 'CELL SIZE REGULATOR PROTEIN', 148908);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(205183, 'PTHR22745:SF0', NULL, NULL, NULL, NULL, 'PROTHYMOSIN ALPHA', 148909),
(205184, 'PTHR13116:SF5', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 3', 148910),
(205185, 'PTHR34612', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 148911),
(205186, 'PTHR14096:SF29', NULL, NULL, NULL, NULL, 'APOL9A PROTEIN-RELATED', 148912),
(205187, 'PTHR24188:SF37', NULL, NULL, NULL, NULL, 'EUCHROMATIC HISTONE LYSINE METHYLTRANSFERASE 2', 148913),
(205188, 'PTHR31142:SF29', NULL, NULL, NULL, NULL, 'BNAC09G20700D PROTEIN', 148914),
(205189, 'PTHR10969:SF74', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', 148915),
(205190, 'PTHR10218:SF225', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-10 SUBUNIT', 148916),
(205191, 'PTHR43735:SF14', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', 148917),
(205192, 'PTHR23227', NULL, NULL, NULL, NULL, 'BUCENTAUR RELATED', 148918),
(205193, 'PTHR22950:SF289', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 148919),
(205194, 'PTHR13890:SF50', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-D-RELATED', 148920),
(205195, 'PTHR11802:SF243', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 148921),
(205196, 'PTHR32467:SF139', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TOE2', 148922),
(205197, 'PTHR33595:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148923),
(205198, 'PTHR42897:SF2', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE SUBUNIT PORB', 148924),
(205199, 'PTHR45090:SF4', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 20, CHLOROPLASTIC', 148925),
(205200, 'PTHR15241:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148926),
(205201, 'PTHR45771:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D4', 148927),
(205202, 'PTHR47782:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G12570)-RELATED', 148928),
(205203, 'PTHR22730:SF1', NULL, NULL, NULL, NULL, 'PROMININ-LIKE PROTEIN', 148929),
(205204, 'PTHR12058', NULL, NULL, NULL, NULL, 'ARP2/3 COMPLEX 34 KDA SUBUNIT', 148930),
(205205, 'PTHR31865:SF53', NULL, NULL, NULL, NULL, 'DUF1685 FAMILY PROTEIN', 148931),
(205206, 'PTHR35697:SF4', NULL, NULL, NULL, NULL, 'OS04G0438101 PROTEIN', 148932),
(205207, 'PTHR21576:SF92', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER', 148933),
(205208, 'PTHR36902', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 148934),
(205209, 'PTHR33070:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148935),
(205210, 'PTHR22978:SF40', NULL, NULL, NULL, NULL, 'SI:DKEY-42I9.4', 148936),
(205211, 'PTHR11903:SF33', NULL, NULL, NULL, NULL, 'CYCLOOXYGENASE-RELATED', 148937),
(205212, 'PTHR15157:SF23', NULL, NULL, NULL, NULL, 'OS07G0418000 PROTEIN', 148938),
(205213, 'PTHR12822:SF6', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', 148939),
(205214, 'PTHR32071:SF99', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 148940),
(205215, 'PTHR33264:SF48', NULL, NULL, NULL, NULL, 'BNAC03G72760D PROTEIN', 148941),
(205216, 'PTHR10926:SF62', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT', 148942),
(205217, 'PTHR31325:SF36', NULL, NULL, NULL, NULL, 'OS06G0120200 PROTEIN', 148943),
(205218, 'PTHR45699:SF1', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0-RELATED', 148944),
(205219, 'PTHR31145:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148945),
(205220, 'PTHR48011:SF3', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 20-RELATED', 148946),
(205221, 'PTHR10504:SF16', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID TRANSFER PROTEIN', 148947),
(205222, 'PTHR43689:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148948),
(205223, 'PTHR31659:SF34', NULL, NULL, NULL, NULL, 'OSJNBB0016D16.16 PROTEIN', 148949),
(205224, 'PTHR33021:SF320', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 1', 148950),
(205225, 'PTHR47629', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN-RELATED', 148951),
(205226, 'PTHR31617', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 171', 148952),
(205227, 'PTHR28682:SF2', NULL, NULL, NULL, NULL, 'PROTEIN INSYN2B', 148953);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(205228, 'PTHR31945:SF50', NULL, NULL, NULL, NULL, 'OS10G0104300 PROTEIN', 148954),
(205229, 'PTHR32099:SF54', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 148955),
(205230, 'PTHR12750:SF19', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE', 148956),
(205231, 'PTHR45617:SF79', NULL, NULL, NULL, NULL, 'ELRR (EXTRACELLULAR LEUCINE-RICH REPEAT) ONLY', 148957),
(205232, 'PTHR36509:SF2', NULL, NULL, NULL, NULL, 'BLL3101 PROTEIN', 148958),
(205233, 'PTHR34763', NULL, NULL, NULL, NULL, 'PROTEIN FAM104A', 148959),
(205234, 'PTHR13145:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH6', 148960),
(205235, 'PTHR12701:SF47', NULL, NULL, NULL, NULL, 'BNACNNG71290D PROTEIN', 148961),
(205236, 'PTHR22891:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE', 148962),
(205237, 'PTHR31297:SF34', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,6-BETA-GLUCOSIDASE B', 148963),
(205238, 'PTHR15390', NULL, NULL, NULL, NULL, 'NEUROMEDIN-U', 148964),
(205239, 'PTHR30353:SF11', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YQJA', 148965),
(205240, 'PTHR37541:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148966),
(205241, 'PTHR22599:SF8', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 1', 148967),
(205242, 'PTHR31942:SF72', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 148968),
(205243, 'PTHR11214:SF305', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 148969),
(205244, 'PTHR23022:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148970),
(205245, 'PTHR33146:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148971),
(205246, 'PTHR10342:SF69', NULL, NULL, NULL, NULL, 'ARYLSULFATASE J', 148972),
(205247, 'PTHR11304:SF69', NULL, NULL, NULL, NULL, 'EPHRIN-A2', 148973),
(205248, 'PTHR45718:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR GLI3', 148974),
(205249, 'PTHR39159', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 148975),
(205250, 'PTHR31307:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148976),
(205251, 'PTHR42886:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ABHD8', 148977),
(205252, 'PTHR24366:SF51', NULL, NULL, NULL, NULL, 'MATRIX-REMODELLING-ASSOCIATED 5A', 148978),
(205253, 'PTHR12128:SF56', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE SYNTHASE 1, CHLOROPLASTIC', 148979),
(205254, 'PTHR10209:SF662', NULL, NULL, NULL, NULL, 'OS01G0536400 PROTEIN', 148980),
(205255, 'PTHR23070:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148981),
(205256, 'PTHR24281:SF14', NULL, NULL, NULL, NULL, 'PREMNASPIRODIENE OXYGENASE', 148982),
(205257, 'PTHR31541:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148983),
(205258, 'PTHR11003:SF104', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 16', 148984),
(205259, 'PTHR42673:SF16', NULL, NULL, NULL, NULL, 'BNAA02G26370D PROTEIN', 148985),
(205260, 'PTHR28244:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148986),
(205261, 'PTHR31896:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148987),
(205262, 'PTHR33044:SF6', NULL, NULL, NULL, NULL, 'OS07G0625800 PROTEIN', 148988),
(205263, 'PTHR28271', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L31, MITOCHONDRIAL', 148989),
(205264, 'PTHR33480', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 148990),
(205265, 'PTHR11177:SF365', NULL, NULL, NULL, NULL, 'ENDOCHITINASE 1', 148991),
(205266, 'PTHR31665', NULL, NULL, NULL, NULL, 'FLYWCH FAMILY MEMBER 2-RELATED', 148992),
(205267, 'PTHR36402:SF2', NULL, NULL, NULL, NULL, 'BNACNNG70140D PROTEIN', 148993),
(205268, 'PTHR11771:SF49', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE 3-RELATED', 148994),
(205269, 'PTHR48247:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148995),
(205270, 'PTHR10159:SF45', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 6', 148996),
(205271, 'PTHR13220:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 148997),
(205272, 'PTHR31312:SF12', NULL, NULL, NULL, NULL, 'BNAA07G00410D PROTEIN', 148998),
(205273, 'PTHR21228:SF30', NULL, NULL, NULL, NULL, 'FAST KINASE DOMAIN-CONTAINING PROTEIN 5, MITOCHONDRIAL', 148999);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(205274, 'PTHR24377:SF704', NULL, NULL, NULL, NULL, 'MCG140700, ISOFORM CRA_C', 149000),
(205275, 'PTHR23023:SF237', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 149001),
(205276, 'PTHR42883:SF3', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN GLMU', 149002),
(205277, 'PTHR36886:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN PROTEIN-RELATED', 149003),
(205278, 'PTHR12346:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149004),
(205279, 'PTHR33107:SF36', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 149005),
(205280, 'PTHR19375:SF399', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149006),
(205281, 'PTHR31731:SF24', NULL, NULL, NULL, NULL, 'OS02G0662100 PROTEIN', 149007),
(205282, 'PTHR34191:SF27', NULL, NULL, NULL, NULL, 'BNAA02G10070D PROTEIN', 149008),
(205283, 'PTHR46214:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149009),
(205284, 'PTHR46282:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH MELANOCYTE DIFFERENTIATION-ASSOCIATED PROTEIN', 149010),
(205285, 'PTHR43294:SF1', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE ALPHA CHAIN 2', 149011),
(205286, 'PTHR31549:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149012),
(205287, 'PTHR11893:SF20', NULL, NULL, NULL, NULL, 'INNEXIN-3', 149013),
(205288, 'PTHR45773:SF4', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE PROTEIN 2', 149014),
(205289, 'PTHR23012:SF182', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 149015),
(205290, 'PTHR46463:SF27', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHF2A', 149016),
(205291, 'PTHR47990:SF53', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 1', 149017),
(205292, 'PTHR35476:SF3', NULL, NULL, NULL, NULL, 'GB|AAC32909.1', 149018),
(205293, 'PTHR45676', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL51-RELATED', 149019),
(205294, 'PTHR19226:SF3', NULL, NULL, NULL, NULL, 'SI:DKEYP-69C1.7', 149020),
(205295, 'PTHR22902:SF9', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY J MEMBER 1', 149021),
(205296, 'PTHR15896:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG16112', 149022),
(205297, 'PTHR11527:SF189', NULL, NULL, NULL, NULL, '18.9 KDA HEAT SHOCK PROTEIN', 149023),
(205298, 'PTHR45981:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH1', 149024),
(205299, 'PTHR39355', NULL, NULL, NULL, NULL, 'PROTEIN CBG20624', 149025),
(205300, 'PTHR11388:SF129', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY, MEMBER 6C1', 149026),
(205301, 'PTHR43817', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE', 149027),
(205302, 'PTHR31301:SF87', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 15', 149028),
(205303, 'PTHR48107:SF22', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', 149029),
(205304, 'PTHR10912:SF5', NULL, NULL, NULL, NULL, 'ADP-RIBOSYL CYCLASE/CYCLIC ADP-RIBOSE HYDROLASE 1', 149030),
(205305, 'PTHR33107:SF42', NULL, NULL, NULL, NULL, 'BNAA09G54410D PROTEIN', 149031),
(205306, 'PTHR44376:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR LEUNIG_HOMOLOG-LIKE ISOFORM X1', 149032),
(205307, 'PTHR32191:SF54', NULL, NULL, NULL, NULL, 'TETRASPANIN-12', 149033),
(205308, 'PTHR31827:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149034),
(205309, 'PTHR17204:SF21', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 39', 149035),
(205310, 'PTHR14360:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CALCIUM UNIPORTER REGULATOR 1', 149036),
(205311, 'PTHR47130', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.11-RELATED', 149037),
(205312, 'PTHR11783:SF193', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 149038),
(205313, 'PTHR31692:SF67', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE A3', 149039),
(205314, 'PTHR22883:SF270', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC15', 149040),
(205315, 'PTHR17613', NULL, NULL, NULL, NULL, 'CEREBRAL PROTEIN-11-RELATED', 149041),
(205316, 'PTHR47997:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB46', 149042),
(205317, 'PTHR33077:SF112', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10A-LIKE', 149043),
(205318, 'PTHR46086:SF21', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE-LIKE 1', 149044);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(205319, 'PTHR48108:SF1', NULL, NULL, NULL, NULL, 'CBS DOMAIN CONTAINING PROTEIN', 149045),
(205320, 'PTHR28623:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM118A', 149046),
(205321, 'PTHR13395:SF6', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PROTEIN DCC1', 149047),
(205322, 'PTHR24340:SF70', NULL, NULL, NULL, NULL, 'NK7.1, ISOFORM A', 149048),
(205323, 'PTHR43903:SF1', NULL, NULL, NULL, NULL, 'BILE SALT-ACTIVATED LIPASE', 149049),
(205324, 'PTHR10590:SF18', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 28 MEMBER 3', 149050),
(205325, 'PTHR31719:SF134', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 104', 149051),
(205326, 'PTHR24062:SF16', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 149052),
(205327, 'PTHR12970:SF1', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 2', 149053),
(205328, 'PTHR11017:SF344', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 149054),
(205329, 'PTHR36862', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 428', 149055),
(205330, 'PTHR31375:SF222', NULL, NULL, NULL, NULL, 'BNAA08G25630D PROTEIN', 149056),
(205331, 'PTHR32227:SF289', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', 149057),
(205332, 'PTHR10155:SF6', NULL, NULL, NULL, NULL, 'SRC-LIKE-ADAPTER 2', 149058),
(205333, 'PTHR33709:SF25', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE FAMILY C19-RELATED PROTEIN-RELATED', 149059),
(205334, 'PTHR22298:SF19', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 19-RELATED', 149060),
(205335, 'PTHR10188:SF16', NULL, NULL, NULL, NULL, 'ZGC:153169', 149061),
(205336, 'PTHR33677:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR FRMR', 149062),
(205337, 'PTHR19857:SF17', NULL, NULL, NULL, NULL, 'ANGIO-ASSOCIATED MIGRATORY CELL PROTEIN', 149063),
(205338, 'PTHR12687:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149064),
(205339, 'PTHR33155:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149065),
(205340, 'PTHR31744:SF138', NULL, NULL, NULL, NULL, 'NAC (NO APICAL MERISTEM) DOMAIN TRANSCRIPTIONAL REGULATOR SUPERFAMILY PROTEIN', 149066),
(205341, 'PTHR23430:SF316', NULL, NULL, NULL, NULL, 'HISTONE H2A', 149067),
(205342, 'PTHR32208:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149068),
(205343, 'PTHR14402:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149069),
(205344, 'PTHR22589:SF51', NULL, NULL, NULL, NULL, 'CARNITINE O-PALMITOYLTRANSFERASE 2, MITOCHONDRIAL', 149070),
(205345, 'PTHR12537:SF138', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 7, CHLOROPLASTIC-RELATED', 149071),
(205346, 'PTHR43634:SF5', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL-LIKE PROTEIN', 149072),
(205347, 'PTHR47694', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 2', 149073),
(205348, 'PTHR31589:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149074),
(205349, 'PTHR45621:SF87', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL18-RELATED', 149075),
(205350, 'PTHR14493:SF36', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN UNKEMPT HOMOLOG', 149076),
(205351, 'PTHR23267:SF108', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 6-57', 149077),
(205352, 'PTHR24107:SF24', NULL, NULL, NULL, NULL, 'GLC7-INTERACTING PROTEIN 3-RELATED', 149078),
(205353, 'PTHR10000:SF52', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE PHOSPHATASE YBHA', 149079),
(205354, 'PTHR21373:SF0', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 35, NATC AUXILIARY SUBUNIT', 149080),
(205355, 'PTHR18966:SF476', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 149081),
(205356, 'PTHR12081:SF7', NULL, NULL, NULL, NULL, 'E2F-LIKE (MAMMALIAN TRANSCRIPTION FACTOR)', 149082),
(205357, 'PTHR33076:SF73', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 149083),
(205358, 'PTHR43599:SF4', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN-RELATED', 149084),
(205359, 'PTHR12190', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN  AKAP  8', 149085),
(205360, 'PTHR42861:SF23', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE TYPE 2C MEMBER 2', 149086),
(205361, 'PTHR20986:SF14', NULL, NULL, NULL, NULL, 'FMRFAMIDE-LIKE NEUROPEPTIDES 6', 149087);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(205362, 'PTHR32329:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN [INCLUDES 2-HYDROXYACYL-COA DEHYDRATASE (N-TER) AND ITS ACTIVATOR DOMAIN (C_TERM)-RELATED', 149088),
(205363, 'PTHR33124:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149089),
(205364, 'PTHR33108:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149090),
(205365, 'PTHR23024:SF430', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', 149091),
(205366, 'PTHR34837:SF1', NULL, NULL, NULL, NULL, 'LOW PROTEIN: ZINC FINGER CCCH DOMAIN PROTEIN', 149092),
(205367, 'PTHR43245:SF13', NULL, NULL, NULL, NULL, 'UDP-D-APIOSE/UDP-D-XYLOSE SYNTHASE 2', 149093),
(205368, 'PTHR33544:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149094),
(205369, 'PTHR28089:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ZDS1-RELATED', 149095),
(205370, 'PTHR31636:SF250', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', 149096),
(205371, 'PTHR11685:SF375', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 149097),
(205372, 'PTHR45651:SF48', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 8-RELATED', 149098),
(205373, 'PTHR47958:SF73', NULL, NULL, NULL, NULL, 'LD32873P', 149099),
(205374, 'PTHR48028:SF1', NULL, NULL, NULL, NULL, 'OS03G0836200 PROTEIN', 149100),
(205375, 'PTHR45614:SF181', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB77', 149101),
(205376, 'PTHR46506:SF49', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 149102),
(205377, 'PTHR31969:SF54', NULL, NULL, NULL, NULL, 'GRAM DOMAIN PROTEIN/ABA-RESPONSIVE-LIKE PROTEIN', 149103),
(205378, 'PTHR47797:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05805)-RELATED', 149104),
(205379, 'PTHR33429:SF19', NULL, NULL, NULL, NULL, 'FISSION REGULATOR-LIKE PROTEIN', 149105),
(205380, 'PTHR46407:SF10', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING F-BOX-LIKE', 149106),
(205381, 'PTHR45666:SF33', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL-1,4,5-TRISPHOSPHATE 5-PHOSPHATASE', 149107),
(205382, 'PTHR11351:SF31', NULL, NULL, NULL, NULL, 'RE43130P', 149108),
(205383, 'PTHR33214:SF58', NULL, NULL, NULL, NULL, 'BNAC09G14300D PROTEIN', 149109),
(205384, 'PTHR11988:SF24', NULL, NULL, NULL, NULL, 'THYROTROPH EMBRYONIC FACTOR', 149110),
(205385, 'PTHR11675:SF40', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE-LIKE 6', 149111),
(205386, 'PTHR43684:SF4', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE/ISOMERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G01890)', 149112),
(205387, 'PTHR21580', NULL, NULL, NULL, NULL, 'SHIPPO-1-RELATED', 149113),
(205388, 'PTHR48002:SF17', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4N5', 149114),
(205389, 'PTHR48019:SF84', NULL, NULL, NULL, NULL, 'OS12G0407400 PROTEIN', 149115),
(205390, 'PTHR15528:SF5', NULL, NULL, NULL, NULL, 'PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR GAMMA COACTIVATOR-RELATED PROTEIN 1', 149116),
(205391, 'PTHR15241:SF353', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149117),
(205392, 'PTHR13009:SF24', NULL, NULL, NULL, NULL, 'AHA1, ACTIVATOR OF HEAT SHOCK PROTEIN ATPASE HOMOLOG 1B', 149118),
(205393, 'PTHR11363:SF9', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L3-LIKE', 149119),
(205394, 'PTHR11994:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149120),
(205395, 'PTHR18934:SF222', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE DEAH8-RELATED', 149121),
(205396, 'PTHR31662:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149122),
(205397, 'PTHR15350:SF10', NULL, NULL, NULL, NULL, 'COP9 CONSTITUTIVE PHOTOMORPHOGENIC HOMOLOG SUBUNIT 7A', 149123),
(205398, 'PTHR31189:SF27', NULL, NULL, NULL, NULL, 'CUPINCIN', 149124),
(205399, 'PTHR48201:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149125),
(205400, 'PTHR24089:SF704', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL3-RELATED', 149126),
(205401, 'PTHR23172:SF74', NULL, NULL, NULL, NULL, 'AUXILIN-RELATED PROTEIN 1-RELATED', 149127),
(205402, 'PTHR11353:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149128),
(205403, 'PTHR21654:SF63', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR PTL-LIKE', 149129);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(205404, 'PTHR31374:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149130),
(205405, 'PTHR11662:SF193', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORT PROTEIN 3', 149131),
(205406, 'PTHR31682:SF22', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN-PROTEIN SYNTHASE [UDP-FORMING] 1-LIKE', 149132),
(205407, 'PTHR23359:SF197', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', 149133),
(205408, 'PTHR34584', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT E1', 149134),
(205409, 'PTHR31223:SF39', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG3', 149135),
(205410, 'PTHR10545', NULL, NULL, NULL, NULL, 'DIAMINE N-ACETYLTRANSFERASE', 149136),
(205411, 'PTHR43490:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149137),
(205412, 'PTHR32444:SF145', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 149138),
(205413, 'PTHR31642:SF242', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149139),
(205414, 'PTHR13683:SF316', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE APCB1', 149140),
(205415, 'PTHR11339:SF361', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR', 149141),
(205416, 'PTHR36878:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 30', 149142),
(205417, 'PTHR21964:SF31', NULL, NULL, NULL, NULL, 'BRMS1', 149143),
(205418, 'PTHR46719', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 149144),
(205419, 'PTHR11640:SF104', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 10-LIKE 2', 149145),
(205420, 'PTHR22765:SF259', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING RECEPTOR 6', 149146),
(205421, 'PTHR27006:SF283', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT FAMILY PROTEIN /PROTEIN KINASE FAMILY PROTEIN-LIKE', 149147),
(205422, 'PTHR45628', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL TYPE A SUBUNIT ALPHA-1', 149148),
(205423, 'PTHR26379:SF394', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149149),
(205424, 'PTHR45868:SF17', NULL, NULL, NULL, NULL, 'OS05G0368600 PROTEIN', 149150),
(205425, 'PTHR42945:SF1', NULL, NULL, NULL, NULL, 'HISTIDINE BIOSYNTHESIS BIFUNCTIONAL PROTEIN HIS7', 149151),
(205426, 'PTHR33631:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149152),
(205427, 'PTHR32176:SF32', NULL, NULL, NULL, NULL, 'PATATIN', 149153),
(205428, 'PTHR32212:SF312', NULL, NULL, NULL, NULL, 'BNAA09G17410D PROTEIN', 149154),
(205429, 'PTHR13803', NULL, NULL, NULL, NULL, 'SEC24-RELATED PROTEIN', 149155),
(205430, 'PTHR23226:SF269', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN CONTAINING 2', 149156),
(205431, 'PTHR36922:SF1', NULL, NULL, NULL, NULL, 'BLL2446 PROTEIN', 149157),
(205432, 'PTHR10285:SF70', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE', 149158),
(205433, 'PTHR31374:SF35', NULL, NULL, NULL, NULL, 'OS06G0137400 PROTEIN', 149159),
(205434, 'PTHR16008:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-12E7.1', 149160),
(205435, 'PTHR31623:SF61', NULL, NULL, NULL, NULL, 'PELARGONIDIN 3-O-(6-CAFFEOYLGLUCOSIDE) 5-O-(6-O-MALONYLGLUCOSIDE) 4''''''-MALONYLTRANSFERASE-LIKE', 149161),
(205436, 'PTHR45752:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 59', 149162),
(205437, 'PTHR23430:SF95', NULL, NULL, NULL, NULL, 'HISTONE H2A.1-RELATED', 149163),
(205438, 'PTHR10797:SF64', NULL, NULL, NULL, NULL, 'BNAA09G24760D PROTEIN', 149164),
(205439, 'PTHR24409:SF295', NULL, NULL, NULL, NULL, 'AT31036P-RELATED', 149165),
(205440, 'PTHR31062:SF212', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 149166),
(205441, 'PTHR48043:SF17', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 149167),
(205442, 'PTHR30015:SF6', NULL, NULL, NULL, NULL, 'SLL1429 PROTEIN', 149168),
(205443, 'PTHR31284:SF45', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-LIKE PROTEIN', 149169),
(205444, 'PTHR43230:SF2', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, ATP-BINDING PROTEIN', 149170),
(205445, 'PTHR13468:SF16', NULL, NULL, NULL, NULL, 'BNAANNG31030D PROTEIN', 149171),
(205446, 'PTHR31943:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149172); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(205447, 'PTHR37856', NULL, NULL, NULL, NULL, 'MAST CELL-EXPRESSED MEMBRANE PROTEIN 1', 149173),
(205448, 'PTHR17271:SF1', NULL, NULL, NULL, NULL, 'PROTEIN OUTSPREAD', 149174),
(205449, 'PTHR46209', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 149175),
(205450, 'PTHR43231', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 149176),
(205451, 'PTHR19282:SF474', NULL, NULL, NULL, NULL, 'TETRASPANIN', 149177),
(205452, 'PTHR22802:SF388', NULL, NULL, NULL, NULL, 'LOW AFFINITY IMMUNOGLOBULIN EPSILON FC RECEPTOR', 149178),
(205453, 'PTHR12449:SF19', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 4-LIKE', 149179),
(205454, 'PTHR11771:SF4', NULL, NULL, NULL, NULL, 'ARACHIDONATE 12-LIPOXYGENASE, 12S-TYPE', 149180),
(205455, 'PTHR46128:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149181),
(205456, 'PTHR22883:SF43', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE APP', 149182),
(205457, 'PTHR43943:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 4-LIKE 1-RELATED', 149183),
(205458, 'PTHR22718:SF22', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 149184),
(205459, 'PTHR45647:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149185),
(205460, 'PTHR43744:SF8', NULL, NULL, NULL, NULL, 'SN-GLYCEROL-3-PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN UGPE', 149186),
(205461, 'PTHR31235:SF222', NULL, NULL, NULL, NULL, 'PEROXIDASE', 149187),
(205462, 'PTHR34107:SF6', NULL, NULL, NULL, NULL, 'SLR0981 PROTEIN', 149188),
(205463, 'PTHR48037:SF1', NULL, NULL, NULL, NULL, 'ATPASE E1', 149189),
(205464, 'PTHR10593:SF159', NULL, NULL, NULL, NULL, 'BNAA07G24790D PROTEIN', 149190),
(205465, 'PTHR33401:SF17', NULL, NULL, NULL, NULL, 'BNAC01G37610D PROTEIN', 149191),
(205466, 'PTHR46651:SF1', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 7', 149192),
(205467, 'PTHR12121:SF28', NULL, NULL, NULL, NULL, 'PROTEIN ANGEL HOMOLOG 1', 149193),
(205468, 'PTHR43689:SF19', NULL, NULL, NULL, NULL, 'AMINOACRYLATE HYDROLASE RUTD-RELATED', 149194),
(205469, 'PTHR31636:SF265', NULL, NULL, NULL, NULL, 'BNAC03G61310D PROTEIN', 149195),
(205470, 'PTHR23415', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT/60S RIBOSOME SUBUNIT BIOGENESIS PROTEIN NIP7', 149196),
(205471, 'PTHR35889:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE-RELATED', 149197),
(205472, 'PTHR10134:SF20', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE, MITOCHONDRIAL-RELATED', 149198),
(205473, 'PTHR24306:SF0', NULL, NULL, NULL, NULL, '7-ALPHA-HYDROXYCHOLEST-4-EN-3-ONE 12-ALPHA-HYDROXYLASE', 149199),
(205474, 'PTHR12483:SF99', NULL, NULL, NULL, NULL, 'BNAA02G05020D PROTEIN', 149200),
(205475, 'PTHR31356:SF33', NULL, NULL, NULL, NULL, 'HEME-BINDING PEROXIDASE-RELATED', 149201),
(205476, 'PTHR11266:SF87', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PMP22-LIKE', 149202),
(205477, 'PTHR15921:SF3', NULL, NULL, NULL, NULL, 'PRE-MRNA CLEAVAGE COMPLEX 2 PROTEIN PCF11', 149203),
(205478, 'PTHR31377:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149204),
(205479, 'PTHR41913:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149205),
(205480, 'PTHR10353:SF289', NULL, NULL, NULL, NULL, 'BNAA08G31350D PROTEIN', 149206),
(205481, 'PTHR24028:SF148', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA 7', 149207),
(205482, 'PTHR27003:SF104', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 149208),
(205483, 'PTHR47965:SF68', NULL, NULL, NULL, NULL, 'XYLOGLUCANASE-SPECIFIC ENDOGLUCANASE INHIBITOR PROTEIN', 149209),
(205484, 'PTHR11908:SF143', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE', 149210),
(205485, 'PTHR43876', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS MONOOXYGENASE COQ6, MITOCHONDRIAL', 149211),
(205486, 'PTHR24074:SF41', NULL, NULL, NULL, NULL, 'BNACNNG67780D PROTEIN', 149212),
(205487, 'PTHR10783:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149213),
(205488, 'PTHR38325', NULL, NULL, NULL, NULL, 'MCG55969', 149214),
(205489, 'PTHR23504:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149215),
(205490, 'PTHR33386:SF25', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 149216);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(205491, 'PTHR35496:SF15', NULL, NULL, NULL, NULL, 'SWEET PROTEIN MABINLIN-1 CHAIN A', 149217),
(205492, 'PTHR31234:SF36', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60-LIKE PROTEIN', 149218),
(205493, 'PTHR34364:SF1', NULL, NULL, NULL, NULL, 'WAS/WASL-INTERACTING FAMILY PROTEIN', 149219),
(205494, 'PTHR33994:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149220),
(205495, 'PTHR24012:SF690', NULL, NULL, NULL, NULL, 'BRUNO 1, ISOFORM B-RELATED', 149221),
(205496, 'PTHR11467:SF131', NULL, NULL, NULL, NULL, 'HISTONE H1.1', 149222),
(205497, 'PTHR15666', NULL, NULL, NULL, NULL, 'COMM DOMAIN CONTAINING PROTEIN 5', 149223),
(205498, 'PTHR33110:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149224),
(205499, 'PTHR13678:SF12', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 37D', 149225),
(205500, 'PTHR19143:SF185', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-RELATED PROTEIN 5', 149226),
(205501, 'PTHR32263:SF26', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 149227),
(205502, 'PTHR12411:SF621', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG12', 149228),
(205503, 'PTHR32133:SF314', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149229),
(205504, 'PTHR10334:SF437', NULL, NULL, NULL, NULL, 'BASIC FORM OF PATHOGENESIS-RELATED PROTEIN 1-LIKE', 149230),
(205505, 'PTHR10366:SF707', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149231),
(205506, 'PTHR43247:SF5', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE AMINOTRANSFERASE', 149232),
(205507, 'PTHR22227:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FAM122C', 149233),
(205508, 'PTHR11216', NULL, NULL, NULL, NULL, 'EH DOMAIN', 149234),
(205509, 'PTHR24412:SF155', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 2', 149235),
(205510, 'PTHR22227:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM122A', 149236),
(205511, 'PTHR23003:SF32', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN', 149237),
(205512, 'PTHR10686:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149238),
(205513, 'PTHR10353:SF248', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1-RELATED', 149239),
(205514, 'PTHR43522:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0072D08.7 PROTEIN', 149240),
(205515, 'PTHR24296:SF30', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', 149241),
(205516, 'PTHR23076:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149242),
(205517, 'PTHR47983:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149243),
(205518, 'PTHR44969', NULL, NULL, NULL, NULL, 'CELL SURFACE A33 ANTIGEN', 149244),
(205519, 'PTHR43836', NULL, NULL, NULL, NULL, 'CATECHOL O-METHYLTRANSFERASE 1-RELATED', 149245),
(205520, 'PTHR46519:SF2', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 149246),
(205521, 'PTHR31843:SF10', NULL, NULL, NULL, NULL, 'ALLENE OXIDE CYCLASE', 149247),
(205522, 'PTHR10602:SF5', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 ALPHA SUBUNIT FAMILY PROTEIN, EXPRESSED', 149248),
(205523, 'PTHR42991:SF2', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 149249),
(205524, 'PTHR28358', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 127', 149250),
(205525, 'PTHR47574:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149251),
(205526, 'PTHR33474:SF17', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 149252),
(205527, 'PTHR31602:SF49', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 6-RELATED', 149253),
(205528, 'PTHR47299', NULL, NULL, NULL, NULL, 'PROTEIN FAM166A', 149254),
(205529, 'PTHR28063:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II NUCLEAR LOCALIZATION PROTEIN IWR1', 149255),
(205530, 'PTHR35355:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM229B', 149256),
(205531, 'PTHR19232:SF7', NULL, NULL, NULL, NULL, 'CENTROCORTIN, ISOFORM A', 149257),
(205532, 'PTHR11005:SF129', NULL, NULL, NULL, NULL, 'LIPASE', 149258),
(205533, 'PTHR30560:SF3', NULL, NULL, NULL, NULL, 'TRIGGER FACTOR-LIKE PROTEIN TIG, CHLOROPLASTIC', 149259),
(205534, 'PTHR24320:SF226', NULL, NULL, NULL, NULL, 'RE17220P', 149260),
(205535, 'PTHR22780:SF41', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT ALPHA', 149261); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(205536, 'PTHR31602:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149262),
(205537, 'PTHR47997:SF16', NULL, NULL, NULL, NULL, 'BNAC05G40480D PROTEIN', 149263),
(205538, 'PTHR11183:SF126', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 149264),
(205539, 'PTHR34040:SF4', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS PROTEIN SSAS', 149265),
(205540, 'PTHR36168', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 149266),
(205541, 'PTHR33876', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 149267),
(205542, 'PTHR31645:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149268),
(205543, 'PTHR31499:SF34', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR APL', 149269),
(205544, 'PTHR42685:SF17', NULL, NULL, NULL, NULL, 'GERANYLGERANYL HYDROGENASE', 149270),
(205545, 'PTHR11945:SF612', NULL, NULL, NULL, NULL, 'OS05G0303400 PROTEIN', 149271),
(205546, 'PTHR46476:SF3', NULL, NULL, NULL, NULL, 'CHITINASE 2', 149272),
(205547, 'PTHR31509:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149273),
(205548, 'PTHR33479:SF8', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE TRYPSIN INHIBITOR', 149274),
(205549, 'PTHR21229:SF67', NULL, NULL, NULL, NULL, 'LUNG SEVEN TRANSMEMBRANE RECEPTOR-LIKE PROTEIN-RELATED', 149275),
(205550, 'PTHR12608', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN HTP-1 RELATED', 149276),
(205551, 'PTHR30269:SF33', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN-RELATED', 149277),
(205552, 'PTHR18843', NULL, NULL, NULL, NULL, 'TORSIN-1A-INTERACTING PROTEIN', 149278),
(205553, 'PTHR27002:SF679', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE KINASE', 149279),
(205554, 'PTHR28082:SF1', NULL, NULL, NULL, NULL, 'HELPER OF TIM PROTEIN 13', 149280),
(205555, 'PTHR12398:SF27', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE INHIBITOR 2 FAMILY MEMBER B', 149281),
(205556, 'PTHR10652:SF22', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', 149282),
(205557, 'PTHR12231:SF237', NULL, NULL, NULL, NULL, 'CONTACTIN-6', 149283),
(205558, 'PTHR47929:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149284),
(205559, 'PTHR35039:SF3', NULL, NULL, NULL, NULL, '3-KETO-L-GULONATE-6-PHOSPHATE DECARBOXYLASE SGBH-RELATED', 149285),
(205560, 'PTHR11848:SF141', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA-2 PROPROTEIN', 149286),
(205561, 'PTHR34379:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149287),
(205562, 'PTHR12302:SF10', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', 149288),
(205563, 'PTHR11732:SF391', NULL, NULL, NULL, NULL, '1,5-ANHYDRO-D-FRUCTOSE REDUCTASE', 149289),
(205564, 'PTHR12899:SF18', NULL, NULL, NULL, NULL, 'BNAC01G24050D PROTEIN', 149290),
(205565, 'PTHR31561:SF115', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 149291),
(205566, 'PTHR31301:SF151', NULL, NULL, NULL, NULL, 'OS05G0123000 PROTEIN', 149292),
(205567, 'PTHR31116:SF31', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE SPLA-LIKE', 149293),
(205568, 'PTHR34807', NULL, NULL, NULL, NULL, 'OS08G0270800 PROTEIN', 149294),
(205569, 'PTHR24416:SF570', NULL, NULL, NULL, NULL, 'DISCOIDIN DOMAIN-CONTAINING RECEPTOR TYROSINE KINASE B', 149295),
(205570, 'PTHR44259:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149296),
(205571, 'PTHR47591:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149297),
(205572, 'PTHR10891:SF747', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML38', 149298),
(205573, 'PTHR11742:SF92', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE 1,2-ALPHA-MANNOSIDASE MNS2', 149299),
(205574, 'PTHR11945:SF650', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', 149300),
(205575, 'PTHR33915:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149301),
(205576, 'PTHR46249:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149302),
(205577, 'PTHR43490:SF98', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-RELATED', 149303),
(205578, 'PTHR31458:SF14', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE NON-CATALYTIC SUBUNIT AROGP3', 149304),
(205579, 'PTHR10261:SF0', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA-2', 149305);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(205580, 'PTHR45934:SF6', NULL, NULL, NULL, NULL, 'OS03G0153100 PROTEIN', 149306),
(205581, 'PTHR44191:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149307),
(205582, 'PTHR34253:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LLP HOMOLOG', 149308),
(205583, 'PTHR31088:SF13', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED 30 KDA PROTEIN, CHLOROPLASTIC-LIKE', 149309),
(205584, 'PTHR14557:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND UBIQUITIN-LIKE DOMAIN-CONTAINING PROTEIN 2', 149310),
(205585, 'PTHR47950:SF23', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE-LIKE', 149311),
(205586, 'PTHR31374:SF304', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 149312),
(205587, 'PTHR46890:SF9', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN-CONTAINING PROTEIN-RELATED', 149313),
(205588, 'PTHR31621:SF57', NULL, NULL, NULL, NULL, 'BNAA06G36210D PROTEIN', 149314),
(205589, 'PTHR11732:SF372', NULL, NULL, NULL, NULL, 'OSJNBA0064H22.4 PROTEIN', 149315),
(205590, 'PTHR31064:SF26', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY POTASSIUM TRANSPORT PROTEIN-RELATED', 149316),
(205591, 'PTHR11746:SF164', NULL, NULL, NULL, NULL, 'BNAC03G65490D PROTEIN', 149317),
(205592, 'PTHR23111:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149318),
(205593, 'PTHR47991:SF54', NULL, NULL, NULL, NULL, 'OS03G0439500 PROTEIN', 149319),
(205594, 'PTHR42932:SF3', NULL, NULL, NULL, NULL, 'DNA PROTECTION DURING STARVATION PROTEIN', 149320),
(205595, 'PTHR31915:SF10', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING AND COILED-COIL DOMAIN 2', 149321),
(205596, 'PTHR47383:SF3', NULL, NULL, NULL, NULL, 'BNAC01G41860D PROTEIN', 149322),
(205597, 'PTHR36140:SF8', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 149323),
(205598, 'PTHR11439:SF353', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149324),
(205599, 'PTHR31197:SF32', NULL, NULL, NULL, NULL, 'BNAA06G10150D PROTEIN', 149325),
(205600, 'PTHR24072:SF163', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOH', 149326),
(205601, 'PTHR11723:SF5', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN INHIBITOR ID-2', 149327),
(205602, 'PTHR46838', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 14', 149328),
(205603, 'PTHR10853:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PELOTA HOMOLOG', 149329),
(205604, 'PTHR30455:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR NRDR', 149330),
(205605, 'PTHR43069', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETASE', 149331),
(205606, 'PTHR13382:SF10', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT S, MITOCHONDRIAL', 149332),
(205607, 'PTHR45768:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149333),
(205608, 'PTHR34698:SF2', NULL, NULL, NULL, NULL, '5-OXOPROLINASE SUBUNIT B', 149334),
(205609, 'PTHR11690:SF252', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149335),
(205610, 'PTHR33430:SF7', NULL, NULL, NULL, NULL, 'OS07G0240400 PROTEIN', 149336),
(205611, 'PTHR31739:SF25', NULL, NULL, NULL, NULL, '(E,E)-GERANYLLINALOOL SYNTHASE', 149337),
(205612, 'PTHR24361:SF820', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE-LIKE PROTEIN', 149338),
(205613, 'PTHR45444:SF3', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE-LIKE PROTEIN', 149339),
(205614, 'PTHR45637:SF33', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE OXI1-LIKE PROTEIN', 149340),
(205615, 'PTHR33543:SF23', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN TYPE 2', 149341),
(205616, 'PTHR27001:SF689', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149342),
(205617, 'PTHR23050:SF359', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 149343),
(205618, 'PTHR13598:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE INTEGRAL MEMBRANE PROTEIN 2', 149344),
(205619, 'PTHR37916', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 149345),
(205620, 'PTHR23500:SF477', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', 149346),
(205621, 'PTHR16675:SF264', NULL, NULL, NULL, NULL, 'HISTOCOMPATIBILITY 2, T REGION LOCUS 10-RELATED', 149347),
(205622, 'PTHR43317:SF1', NULL, NULL, NULL, NULL, 'THERMOSPERMINE SYNTHASE ACAULIS5', 149348);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(205623, 'PTHR34493:SF7', NULL, NULL, NULL, NULL, 'SPERMATOCYTE PROTEIN SPE-27', 149349),
(205624, 'PTHR45863:SF27', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', 149350),
(205625, 'PTHR47592', NULL, NULL, NULL, NULL, 'PBF68 PROTEIN', 149351),
(205626, 'PTHR45621:SF174', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL1-RELATED', 149352),
(205627, 'PTHR31681:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-RELATED', 149353),
(205628, 'PTHR34358:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149354),
(205629, 'PTHR14379:SF38', NULL, NULL, NULL, NULL, 'BNAC07G49870D PROTEIN', 149355),
(205630, 'PTHR21113', NULL, NULL, NULL, NULL, 'AGAP001705-PA', 149356),
(205631, 'PTHR47389:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149357),
(205632, 'PTHR11361:SF14', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MUTS, TYPE 2', 149358),
(205633, 'PTHR31985:SF209', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TINY', 149359),
(205634, 'PTHR42799:SF22', NULL, NULL, NULL, NULL, 'SI:CH1073-358C10.1', 149360),
(205635, 'PTHR33178:SF15', NULL, NULL, NULL, NULL, 'BNAA05G15190D PROTEIN', 149361),
(205636, 'PTHR46633:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK (WITH NO LYSINE)-LIKE PROTEIN', 149362),
(205637, 'PTHR10366:SF744', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 149363),
(205638, 'PTHR11639:SF12', NULL, NULL, NULL, NULL, 'PROTEIN S100-A3', 149364),
(205639, 'PTHR46682', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR V1', 149365),
(205640, 'PTHR24229:SF32', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 149-RELATED', 149366),
(205641, 'PTHR44259:SF65', NULL, NULL, NULL, NULL, 'BNAC03G14360D PROTEIN', 149367),
(205642, 'PTHR12806:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149368),
(205643, 'PTHR22811:SF171', NULL, NULL, NULL, NULL, 'BNAA08G26280D PROTEIN', 149369),
(205644, 'PTHR46261:SF22', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 2-RELATED', 149370),
(205645, 'PTHR36357:SF4', NULL, NULL, NULL, NULL, 'BNAC04G50660D PROTEIN', 149371),
(205646, 'PTHR10350', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP155', 149372),
(205647, 'PTHR24118:SF76', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 18', 149373),
(205648, 'PTHR19965:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG19980', 149374),
(205649, 'PTHR46503:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149375),
(205650, 'PTHR14209:SF29', NULL, NULL, NULL, NULL, 'BNAUNNG04690D PROTEIN', 149376),
(205651, 'PTHR46791:SF3', NULL, NULL, NULL, NULL, 'ZGC:174680', 149377),
(205652, 'PTHR16121', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 149378),
(205653, 'PTHR31066:SF71', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', 149379),
(205654, 'PTHR11746:SF208', NULL, NULL, NULL, NULL, 'CAFFEIC ACID O-METHYLTRANSFERASE', 149380),
(205655, 'PTHR45766:SF3', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY A-LIKE PROTEIN 1', 149381),
(205656, 'PTHR43028:SF7', NULL, NULL, NULL, NULL, '3''(2''),5''-BISPHOSPHATE NUCLEOTIDASE CYSQ', 149382),
(205657, 'PTHR47746:SF21', NULL, NULL, NULL, NULL, 'BNAA04G05510D PROTEIN', 149383),
(205658, 'PTHR23129', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 149384),
(205659, 'PTHR24062:SF178', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 2', 149385),
(205660, 'PTHR48015:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TAO2', 149386),
(205661, 'PTHR36571', NULL, NULL, NULL, NULL, 'PROTEIN YGIW', 149387),
(205662, 'PTHR32385:SF20', NULL, NULL, NULL, NULL, 'MANNOSYL PHOSPHORYLINOSITOL CERAMIDE SYNTHASE CSH1-RELATED', 149388),
(205663, 'PTHR11588', NULL, NULL, NULL, NULL, 'TUBULIN', 149389),
(205664, 'PTHR45631:SF19', NULL, NULL, NULL, NULL, 'OS07G0107800 PROTEIN', 149390),
(205665, 'PTHR32468:SF68', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE', 149391),
(205666, 'PTHR14368', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED BASIC PROTEIN 1', 149392),
(205667, 'PTHR43188:SF5', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE 4, PEROXISOMAL', 149393);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(205668, 'PTHR11003:SF167', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS PROTEIN 7', 149394),
(205669, 'PTHR11098:SF8', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE PNCB1', 149395),
(205670, 'PTHR34446', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 10', 149396),
(205671, 'PTHR36784:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 149397),
(205672, 'PTHR24173:SF74', NULL, NULL, NULL, NULL, 'PROTEIN FEM-1 HOMOLOG B', 149398),
(205673, 'PTHR32278:SF80', NULL, NULL, NULL, NULL, 'BNAC03G63410D PROTEIN', 149399),
(205674, 'PTHR11706:SF41', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP1', 149400),
(205675, 'PTHR32179:SF4', NULL, NULL, NULL, NULL, 'PYROPHOSPHORYLASE MODD-RELATED', 149401),
(205676, 'PTHR15315:SF91', NULL, NULL, NULL, NULL, 'BNACNNG76270D PROTEIN', 149402),
(205677, 'PTHR48047:SF63', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73D1', 149403),
(205678, 'PTHR10641:SF1050', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB34', 149404),
(205679, 'PTHR10795:SF722', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.5', 149405),
(205680, 'PTHR43539:SF65', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 149406),
(205681, 'PTHR21683:SF8', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 42', 149407),
(205682, 'PTHR11062:SF211', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', 149408),
(205683, 'PTHR46580', NULL, NULL, NULL, NULL, 'SENSOR KINASE-RELATED', 149409),
(205684, 'PTHR31225:SF81', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE', 149410),
(205685, 'PTHR11533:SF203', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE M1-C', 149411),
(205686, 'PTHR31009:SF63', NULL, NULL, NULL, NULL, 'BENZOATE CARBOXYL METHYLTRANSFERASE-LIKE', 149412),
(205687, 'PTHR43272:SF65', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE AND LIGASE FAMILY PROTEIN-RELATED', 149413),
(205688, 'PTHR35689', NULL, NULL, NULL, NULL, 'EARLY ENDOSOME ANTIGEN', 149414),
(205689, 'PTHR10664', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR-C.ELEGANS', 149415),
(205690, 'PTHR26453:SF4', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T3-RELATED', 149416),
(205691, 'PTHR13914:SF27', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE', 149417),
(205692, 'PTHR12035:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149418),
(205693, 'PTHR33360', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS200', 149419),
(205694, 'PTHR47531:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 149420),
(205695, 'PTHR14275', NULL, NULL, NULL, NULL, 'PROMETHIN', 149421),
(205696, 'PTHR11977:SF114', NULL, NULL, NULL, NULL, 'BNAA03G19590D PROTEIN', 149422),
(205697, 'PTHR10108:SF1096', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT16-RELATED', 149423),
(205698, 'PTHR32263:SF32', NULL, NULL, NULL, NULL, 'WWE PROTEIN-PROTEIN INTERACTION DOMAIN PROTEIN FAMILY-RELATED', 149424),
(205699, 'PTHR33164:SF72', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR', 149425),
(205700, 'PTHR30011', NULL, NULL, NULL, NULL, 'ALKANESULFONATE MONOOXYGENASE-RELATED', 149426),
(205701, 'PTHR27008:SF393', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', 149427),
(205702, 'PTHR42721:SF39', NULL, NULL, NULL, NULL, 'BNAA06G23560D PROTEIN', 149428),
(205703, 'PTHR43658:SF12', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-COA DEHYDROGENASE TYPE-2', 149429),
(205704, 'PTHR43986:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149430),
(205705, 'PTHR32166:SF90', NULL, NULL, NULL, NULL, 'OS02G0450000 PROTEIN', 149431),
(205706, 'PTHR34598:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149432),
(205707, 'PTHR31044:SF40', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 4', 149433),
(205708, 'PTHR45621:SF172', NULL, NULL, NULL, NULL, 'OS03G0274800 PROTEIN', 149434),
(205709, 'PTHR30314:SF21', NULL, NULL, NULL, NULL, 'CELL DIVISION FTSZ-LIKE PROTEIN', 149435),
(205710, 'PTHR33993', NULL, NULL, NULL, NULL, 'GLYOXALASE-RELATED', 149436),
(205711, 'PTHR43907', NULL, NULL, NULL, NULL, 'SLEI FAMILY PROTEIN', 149437);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(205712, 'PTHR12601:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149438),
(205713, 'PTHR48111:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 149439),
(205714, 'PTHR45736:SF1', NULL, NULL, NULL, NULL, 'WITHOUT CHILDREN, ISOFORM B', 149440),
(205715, 'PTHR27006:SF302', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', 149441),
(205716, 'PTHR28562:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149442),
(205717, 'PTHR13318:SF61', NULL, NULL, NULL, NULL, 'SI:CH1073-228B5.2', 149443),
(205718, 'PTHR33177:SF41', NULL, NULL, NULL, NULL, 'OS05G0442000 PROTEIN', 149444),
(205719, 'PTHR11240:SF49', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3', 149445),
(205720, 'PTHR26379:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149446),
(205721, 'PTHR23281:SF18', NULL, NULL, NULL, NULL, 'MOESIN/EZRIN/RADIXIN HOMOLOG 1', 149447),
(205722, 'PTHR48049:SF69', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 149448),
(205723, 'PTHR43506:SF3', NULL, NULL, NULL, NULL, 'BNAC04G31740D PROTEIN', 149449),
(205724, 'PTHR46128:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149450),
(205725, 'PTHR24177:SF43', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN20', 149451),
(205726, 'PTHR26454:SF78', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 149452),
(205727, 'PTHR31205:SF53', NULL, NULL, NULL, NULL, 'BNAC06G30970D PROTEIN', 149453),
(205728, 'PTHR11125:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT5', 149454),
(205729, 'PTHR43781:SF1', NULL, NULL, NULL, NULL, 'SACCHAROPINE DEHYDROGENASE', 149455),
(205730, 'PTHR10795:SF375', NULL, NULL, NULL, NULL, 'CUCUMISIN-LIKE', 149456),
(205731, 'PTHR33783:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HAIKU1', 149457),
(205732, 'PTHR15197:SF1', NULL, NULL, NULL, NULL, 'COILIN-LIKE ISOFORM X1', 149458),
(205733, 'PTHR46128:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149459),
(205734, 'PTHR27003:SF278', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA ISOFORM X1', 149460),
(205735, 'PTHR45620:SF19', NULL, NULL, NULL, NULL, 'CORTICOTROPIN-RELEASING FACTOR RECEPTOR 2', 149461),
(205736, 'PTHR10127:SF775', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149462),
(205737, 'PTHR13318:SF175', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 149463),
(205738, 'PTHR24088', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S17, MITOCHONDRIAL', 149464),
(205739, 'PTHR10641:SF1166', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB30-LIKE', 149465),
(205740, 'PTHR31899:SF9', NULL, NULL, NULL, NULL, 'BETA-CAROTENE 3-HYDROXYLASE 1, CHLOROPLASTIC', 149466),
(205741, 'PTHR46801:SF6', NULL, NULL, NULL, NULL, 'LBP/BPI/CETP FAMILY, CARBOXY-TERMINAL DOMAIN PROTEIN', 149467),
(205742, 'PTHR47989:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149468),
(205743, 'PTHR23430:SF322', NULL, NULL, NULL, NULL, 'HISTONE H2A', 149469),
(205744, 'PTHR31889:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149470),
(205745, 'PTHR27003:SF309', NULL, NULL, NULL, NULL, 'REPEAT TRANSMEMBRANE PROTEIN KINASE, PUTATIVE, EXPRESSED-RELATED', 149471),
(205746, 'PTHR46136:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149472),
(205747, 'PTHR23105:SF132', NULL, NULL, NULL, NULL, 'RIBOSOMAL L1 DOMAIN-CONTAINING PROTEIN 1-LIKE', 149473),
(205748, 'PTHR32444:SF122', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 149474),
(205749, 'PTHR34997:SF5', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING PROTEIN', 149475),
(205750, 'PTHR10182:SF23', NULL, NULL, NULL, NULL, 'OS07G0647100 PROTEIN', 149476),
(205751, 'PTHR10606:SF32', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE 1', 149477),
(205752, 'PTHR33493:SF22', NULL, NULL, NULL, NULL, 'BNAA08G30040D PROTEIN', 149478),
(205753, 'PTHR36435:SF4', NULL, NULL, NULL, NULL, 'ABORTIVE INFECTION PROTEIN', 149479),
(205754, 'PTHR10353:SF271', NULL, NULL, NULL, NULL, 'BNAA05G30850D PROTEIN', 149480),
(205755, 'PTHR24135:SF18', NULL, NULL, NULL, NULL, 'LD13733P', 149481),
(205756, 'PTHR31045:SF25', NULL, NULL, NULL, NULL, 'TERPENOID SYNTHASE 1-RELATED', 149482);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(205757, 'PTHR32096:SF80', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 27-RELATED', 149483),
(205758, 'PTHR31301:SF92', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 6', 149484),
(205759, 'PTHR13720:SF48', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE CG42247', 149485),
(205760, 'PTHR46326:SF14', NULL, NULL, NULL, NULL, 'BNAA08G30310D PROTEIN', 149486),
(205761, 'PTHR21224', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 149487),
(205762, 'PTHR11049:SF31', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOYL-COA THIOESTERASE FAMILY PROTEIN', 149488),
(205763, 'PTHR11941:SF130', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE ECHA12-RELATED', 149489),
(205764, 'PTHR13547:SF13', NULL, NULL, NULL, NULL, 'PROTEINACEOUS RNASE P 3', 149490),
(205765, 'PTHR19241:SF637', NULL, NULL, NULL, NULL, 'CASSETTE TRANSPORTER, PUTATIVE-RELATED', 149491),
(205766, 'PTHR30529', NULL, NULL, NULL, NULL, 'CYTOCHROME B561', 149492),
(205767, 'PTHR33052:SF160', NULL, NULL, NULL, NULL, 'BNAA09G07830D PROTEIN', 149493),
(205768, 'PTHR32134:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149494),
(205769, 'PTHR21141:SF5', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2', 149495),
(205770, 'PTHR11709:SF309', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE HOMOLOG', 149496),
(205771, 'PTHR31013:SF2', NULL, NULL, NULL, NULL, 'THAUMATIN FAMILY', 149497),
(205772, 'PTHR44303:SF1', NULL, NULL, NULL, NULL, 'DNAJ (HSP40) HOMOLOG, SUBFAMILY C, MEMBER 16-LIKE', 149498),
(205773, 'PTHR33388:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149499),
(205774, 'PTHR33420:SF29', NULL, NULL, NULL, NULL, 'FIMBRIAL SUBUNIT CUPB1-RELATED', 149500),
(205775, 'PTHR47281', NULL, NULL, NULL, NULL, 'OS09G0557700 PROTEIN', 149501),
(205776, 'PTHR26450:SF198', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 149502),
(205777, 'PTHR10881:SF58', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 2-RELATED', 149503),
(205778, 'PTHR43341', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE', 149504),
(205779, 'PTHR11943:SF1', NULL, NULL, NULL, NULL, 'GALACTOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', 149505),
(205780, 'PTHR46413:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149506),
(205781, 'PTHR31221:SF130', NULL, NULL, NULL, NULL, 'OS12G0507300 PROTEIN', 149507),
(205782, 'PTHR11994:SF23', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11', 149508),
(205783, 'PTHR31301:SF138', NULL, NULL, NULL, NULL, 'BNAA05G34200D PROTEIN', 149509),
(205784, 'PTHR31969', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 2', 149510),
(205785, 'PTHR42680:SF1', NULL, NULL, NULL, NULL, 'DEOXYURIDINE 5''-TRIPHOSPHATE NUCLEOTIDOHYDROLASE', 149511),
(205786, 'PTHR11909:SF356', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 5-RELATED', 149512),
(205787, 'PTHR33144:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149513),
(205788, 'PTHR11530:SF26', NULL, NULL, NULL, NULL, 'FAD DEPENDENT OXIDOREDUCTASE SUPERFAMILY (AFU_ORTHOLOGUE AFUA_5G13940)', 149514),
(205789, 'PTHR46916:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 205', 149515),
(205790, 'PTHR28570:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149516),
(205791, 'PTHR14894:SF2', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 3', 149517),
(205792, 'PTHR43514:SF9', NULL, NULL, NULL, NULL, 'MOLYBDENUM IMPORT ATP-BINDING PROTEIN MODC 2', 149518),
(205793, 'PTHR47926:SF7', NULL, NULL, NULL, NULL, 'BNAC09G28630D PROTEIN', 149519),
(205794, 'PTHR12802:SF109', NULL, NULL, NULL, NULL, 'PROTEIN LHY', 149520),
(205795, 'PTHR48013:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149521),
(205796, 'PTHR24221:SF430', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE ABC TRANSPORTER ATP-BINDING/PERMEASE PROTEIN YHEH-RELATED', 149522),
(205797, 'PTHR22727', NULL, NULL, NULL, NULL, 'PROTEIN CBG13728', 149523),
(205798, 'PTHR33127:SF60', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 149524),
(205799, 'PTHR11220:SF58', NULL, NULL, NULL, NULL, 'SOUL HEME-BINDING FAMILY PROTEIN', 149525),
(205800, 'PTHR47980:SF2', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-40C', 149526);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(205801, 'PTHR27005:SF281', NULL, NULL, NULL, NULL, 'OS01G0364100 PROTEIN', 149527),
(205802, 'PTHR24300:SF209', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 149528),
(205803, 'PTHR12701:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149529),
(205804, 'PTHR34281:SF10', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 3-LIKE', 149530),
(205805, 'PTHR31833:SF2', NULL, NULL, NULL, NULL, 'UPF0690 PROTEIN C1ORF52', 149531),
(205806, 'PTHR10579:SF138', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR, TYPE A-RELATED', 149532),
(205807, 'PTHR15880:SF0', NULL, NULL, NULL, NULL, 'ASPARTATE-RICH PROTEIN 1', 149533),
(205808, 'PTHR34365:SF6', NULL, NULL, NULL, NULL, 'GLYCINE-RICH DOMAIN-CONTAINING PROTEIN 2', 149534),
(205809, 'PTHR23232:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149535),
(205810, 'PTHR46164:SF3', NULL, NULL, NULL, NULL, 'ATF6, ISOFORM C', 149536),
(205811, 'PTHR48001:SF83', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1L8', 149537),
(205812, 'PTHR47366', NULL, NULL, NULL, NULL, 'TWO-ON-TWO HEMOGLOBIN-3', 149538),
(205813, 'PTHR45854', NULL, NULL, NULL, NULL, 'ASAP FAMILY MEMBER', 149539),
(205814, 'PTHR22762:SF94', NULL, NULL, NULL, NULL, 'ACID ALPHA GLUCOSIDASE RELATE', 149540),
(205815, 'PTHR10466:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE', 149541),
(205816, 'PTHR11972', NULL, NULL, NULL, NULL, 'NADPH OXIDASE', 149542),
(205817, 'PTHR21212:SF9', NULL, NULL, NULL, NULL, 'SEIPIN-3-LIKE', 149543),
(205818, 'PTHR24399:SF55', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 5', 149544),
(205819, 'PTHR15711:SF21', NULL, NULL, NULL, NULL, 'RAPA GUANOSINE TRIPHOSPHATASE-ACTIVATING PROTEIN B', 149545),
(205820, 'PTHR45667:SF22', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05390)-RELATED', 149546),
(205821, 'PTHR24050:SF21', NULL, NULL, NULL, NULL, 'EGF CONTAINING FIBULIN EXTRACELLULAR MATRIX PROTEIN 2', 149547),
(205822, 'PTHR32100:SF71', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DESATURASE/CONJUGASE-RELATED', 149548),
(205823, 'PTHR11514:SF114', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC2-LIKE', 149549),
(205824, 'PTHR11260:SF671', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 149550),
(205825, 'PTHR19375:SF419', NULL, NULL, NULL, NULL, 'BNAA03G55950D PROTEIN', 149551),
(205826, 'PTHR24057:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149552),
(205827, 'PTHR14154:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER 1', 149553),
(205828, 'PTHR11817:SF78', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 149554),
(205829, 'PTHR14155:SF478', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL81', 149555),
(205830, 'PTHR13452:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149556),
(205831, 'PTHR45919', NULL, NULL, NULL, NULL, 'GDP-MAN:MAN(3)GLCNAC(2)-PP-DOL ALPHA-1,2-MANNOSYLTRANSFERASE', 149557),
(205832, 'PTHR46266', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TT8', 149558),
(205833, 'PTHR31973:SF154', NULL, NULL, NULL, NULL, 'BNAA09G54300D PROTEIN', 149559),
(205834, 'PTHR43617:SF20', NULL, NULL, NULL, NULL, 'GCN5-RELATED N-ACETYLTRANSFERASE', 149560),
(205835, 'PTHR48111:SF7', NULL, NULL, NULL, NULL, 'OMPR SUBFAMILY', 149561),
(205836, 'PTHR24282:SF203', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 149562),
(205837, 'PTHR15323:SF6', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 123 HOMOLOG', 149563),
(205838, 'PTHR48092:SF12', NULL, NULL, NULL, NULL, 'ESTROGEN RECEPTOR BETA', 149564),
(205839, 'PTHR33784:SF28', NULL, NULL, NULL, NULL, 'BNAC05G51290D PROTEIN', 149565),
(205840, 'PTHR12770', NULL, NULL, NULL, NULL, 'RUS1 FAMILY PROTEIN C16ORF58', 149566),
(205841, 'PTHR31301:SF15', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 12', 149567),
(205842, 'PTHR47864', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 149568),
(205843, 'PTHR44916:SF3', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ DOMAIN PROTEIN', 149569),
(205844, 'PTHR23428:SF291', NULL, NULL, NULL, NULL, 'HISTONE H2B', 149570),
(205845, 'PTHR47087', NULL, NULL, NULL, NULL, 'METHIONINE S-METHYLTRANSFERASE', 149571);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(205846, 'PTHR46031:SF16', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 4', 149572),
(205847, 'PTHR30093:SF30', NULL, NULL, NULL, NULL, 'PILD PROCESSED PROTEIN', 149573),
(205848, 'PTHR13931:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149574),
(205849, 'PTHR11506:SF35', NULL, NULL, NULL, NULL, 'LYSOSOME-ASSOCIATED MEMBRANE GLYCOPROTEIN 5', 149575),
(205850, 'PTHR37488:SF7', NULL, NULL, NULL, NULL, 'DUF1275 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G13060)', 149576),
(205851, 'PTHR15710:SF123', NULL, NULL, NULL, NULL, 'OS12G0142850 PROTEIN', 149577),
(205852, 'PTHR35476:SF2', NULL, NULL, NULL, NULL, 'MUCIN-LIKE PROTEIN', 149578),
(205853, 'PTHR33831:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149579),
(205854, 'PTHR39607', NULL, NULL, NULL, NULL, 'XANTHOCILLIN BIOSYNTHESIS CLUSTER TRANSCRIPTION FACTOR XANC-RELATED', 149580),
(205855, 'PTHR31407:SF42', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 2-1, CHLOROPLASTIC', 149581),
(205856, 'PTHR11228:SF34', NULL, NULL, NULL, NULL, 'TUNGSTEN-CONTAINING ALDEHYDE FERREDOXIN OXIDOREDUCTASE COFACTOR MODIFYING PROTEIN', 149582),
(205857, 'PTHR34124:SF10', NULL, NULL, NULL, NULL, 'OS01G0896400 PROTEIN', 149583),
(205858, 'PTHR24960:SF45', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER-BINDING PROTEIN', 149584),
(205859, 'PTHR46445:SF8', NULL, NULL, NULL, NULL, 'OS05G0581800 PROTEIN', 149585),
(205860, 'PTHR24180:SF20', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND PROTEIN KINASE DOMAIN-CONTAINING PROTEIN 1-LIKE', 149586),
(205861, 'PTHR23500:SF547', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 12-LIKE', 149587),
(205862, 'PTHR21136:SF193', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN, LONGIN-LIKE DOMAIN PROTEIN-RELATED', 149588),
(205863, 'PTHR47732', NULL, NULL, NULL, NULL, 'RUN AND FYVE DOMAIN-CONTAINING PROTEIN 4', 149589),
(205864, 'PTHR11920:SF265', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-1-RELATED', 149590),
(205865, 'PTHR11877:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149591),
(205866, 'PTHR22950:SF494', NULL, NULL, NULL, NULL, 'GH04538P', 149592),
(205867, 'PTHR45866:SF11', NULL, NULL, NULL, NULL, 'DNA GYRASE SUBUNIT B', 149593),
(205868, 'PTHR37832:SF1', NULL, NULL, NULL, NULL, 'BLL2683 PROTEIN', 149594),
(205869, 'PTHR41773', NULL, NULL, NULL, NULL, 'GTP PYROPHOSPHATASE-RELATED', 149595),
(205870, 'PTHR48237:SF1', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT', 149596),
(205871, 'PTHR12461:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PEPTIDASE AND (3S)-LYSYL HYDROXYLASE JMJD7', 149597),
(205872, 'PTHR24388:SF61', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 77-LIKE PROTEIN', 149598),
(205873, 'PTHR10314:SF212', NULL, NULL, NULL, NULL, 'PROTEIN CBG06975', 149599),
(205874, 'PTHR16148:SF14', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZN-FINGER-CONTAINING PROTEIN-RELATED', 149600),
(205875, 'PTHR43095:SF6', NULL, NULL, NULL, NULL, 'XYLULOSE KINASE', 149601),
(205876, 'PTHR24006:SF817', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 149602),
(205877, 'PTHR24281:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149603),
(205878, 'PTHR46050:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149604),
(205879, 'PTHR47449:SF2', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD4', 149605),
(205880, 'PTHR22705:SF2', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN Y', 149606),
(205881, 'PTHR45857:SF3', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 3', 149607),
(205882, 'PTHR11407:SF63', NULL, NULL, NULL, NULL, 'LYSOZYME', 149608),
(205883, 'PTHR11792:SF22', NULL, NULL, NULL, NULL, 'BETA-ARRESTIN-1', 149609),
(205884, 'PTHR30540:SF100', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 13', 149610),
(205885, 'PTHR31348:SF4', NULL, NULL, NULL, NULL, 'PHYTOCHROME A-ASSOCIATED F-BOX PROTEIN', 149611),
(205886, 'PTHR13342', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR5', 149612),
(205887, 'PTHR48018:SF1', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 149613),
(205888, 'PTHR35357:SF1', NULL, NULL, NULL, NULL, 'OS05G0149000 PROTEIN', 149614);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(205889, 'PTHR43019:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149615),
(205890, 'PTHR22753:SF38', NULL, NULL, NULL, NULL, 'BNAA02G28330D PROTEIN', 149616),
(205891, 'PTHR45648:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149617),
(205892, 'PTHR10589', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 149618),
(205893, 'PTHR45714:SF22', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX27', 149619),
(205894, 'PTHR15036:SF64', NULL, NULL, NULL, NULL, 'AGRIN', 149620),
(205895, 'PTHR11034:SF53', NULL, NULL, NULL, NULL, 'NDRG, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 149621),
(205896, 'PTHR26452:SF704', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AS1', 149622),
(205897, 'PTHR45657:SF55', NULL, NULL, NULL, NULL, 'BNAA06G00190D PROTEIN', 149623),
(205898, 'PTHR12411:SF793', NULL, NULL, NULL, NULL, 'BNAANNG24210D PROTEIN', 149624),
(205899, 'PTHR27009:SF183', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 149625),
(205900, 'PTHR23421:SF125', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE C-RELATED', 149626),
(205901, 'PTHR31221:SF238', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 48-RELATED', 149627),
(205902, 'PTHR36308', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-RELATED', 149628),
(205903, 'PTHR31791:SF44', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 149629),
(205904, 'PTHR32191:SF18', NULL, NULL, NULL, NULL, 'OS08G0443800 PROTEIN', 149630),
(205905, 'PTHR17408:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149631),
(205906, 'PTHR31360:SF9', NULL, NULL, NULL, NULL, 'OIL BODY-ASSOCIATED PROTEIN 2A', 149632),
(205907, 'PTHR10585:SF80', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR', 149633),
(205908, 'PTHR47866:SF3', NULL, NULL, NULL, NULL, 'BNAANNG27950D PROTEIN', 149634),
(205909, 'PTHR43321:SF19', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE 2', 149635),
(205910, 'PTHR10272:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE-RELATED', 149636),
(205911, 'PTHR32325', NULL, NULL, NULL, NULL, 'BETA-ELIMINATING LYASE-LIKE PROTEIN-RELATED', 149637),
(205912, 'PTHR32208:SF59', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN ARB_07867-LIKE', 149638),
(205913, 'PTHR14987:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LBH', 149639),
(205914, 'PTHR38448:SF2', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN YLBF', 149640),
(205915, 'PTHR19134:SF470', NULL, NULL, NULL, NULL, 'PROTEIN CBG23275', 149641),
(205916, 'PTHR12526:SF585', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS GLYCOSYL TRANSFERASE WCAI-RELATED', 149642),
(205917, 'PTHR12391', NULL, NULL, NULL, NULL, 'ARP2/3 COMPLEX 21 KD SUBUNIT', 149643),
(205918, 'PTHR31221:SF169', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 26-RELATED', 149644),
(205919, 'PTHR11945:SF530', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 91', 149645),
(205920, 'PTHR48040:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149646),
(205921, 'PTHR45631:SF109', NULL, NULL, NULL, NULL, 'BNAA08G28390D PROTEIN', 149647),
(205922, 'PTHR47992:SF10', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C FAMILY PROTEIN', 149648),
(205923, 'PTHR13056:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR FUSION PROTEIN CCZ1 HOMOLOG B', 149649),
(205924, 'PTHR23012:SF188', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 149650),
(205925, 'PTHR10075:SF43', NULL, NULL, NULL, NULL, 'CHL1 ISOFORM 1', 149651),
(205926, 'PTHR47943:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 149652),
(205927, 'PTHR47965:SF2', NULL, NULL, NULL, NULL, 'BNAC03G26930D PROTEIN', 149653),
(205928, 'PTHR24206:SF83', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN PLIM2B', 149654),
(205929, 'PTHR24381:SF155', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 763-RELATED', 149655),
(205930, 'PTHR31319:SF72', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 2', 149656),
(205931, 'PTHR33830:SF12', NULL, NULL, NULL, NULL, 'BNAA04G15230D PROTEIN', 149657),
(205932, 'PTHR11792:SF18', NULL, NULL, NULL, NULL, 'FI20035P1', 149658),
(205933, 'PTHR13620:SF53', NULL, NULL, NULL, NULL, 'OS01G0660500 PROTEIN', 149659);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(205934, 'PTHR13313', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT VIIC', 149660),
(205935, 'PTHR12386:SF21', NULL, NULL, NULL, NULL, 'ATP SYNTHASE G SUBUNIT FAMILY PROTEIN', 149661),
(205936, 'PTHR24073:SF1118', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABF2A', 149662),
(205937, 'PTHR31016:SF11', NULL, NULL, NULL, NULL, 'BNAUNNG01860D PROTEIN', 149663),
(205938, 'PTHR47274:SF17', NULL, NULL, NULL, NULL, 'BNAA04G28710D PROTEIN', 149664),
(205939, 'PTHR33078:SF64', NULL, NULL, NULL, NULL, 'PROTEIN YCF2', 149665),
(205940, 'PTHR30244:SF35', NULL, NULL, NULL, NULL, 'DTDP-4-AMINO-4,6-DIDEOXYGALACTOSE TRANSAMINASE', 149666),
(205941, 'PTHR12203:SF30', NULL, NULL, NULL, NULL, 'OSJNBB0039L24.21 PROTEIN', 149667),
(205942, 'PTHR33484:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149668),
(205943, 'PTHR10572:SF10', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', 149669),
(205944, 'PTHR10285:SF175', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE', 149670),
(205945, 'PTHR23226:SF283', NULL, NULL, NULL, NULL, 'SI:DKEY-210J14.3', 149671),
(205946, 'PTHR30042', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE C CHAIN', 149672),
(205947, 'PTHR31717:SF69', NULL, NULL, NULL, NULL, 'BNACNNG51750D PROTEIN', 149673),
(205948, 'PTHR47997:SF4', NULL, NULL, NULL, NULL, 'BNACNNG06970D PROTEIN', 149674),
(205949, 'PTHR11890:SF6', NULL, NULL, NULL, NULL, 'INTERLEUKIN-18 RECEPTOR 1', 149675),
(205950, 'PTHR36708:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 6, MITOCHONDRIAL-LIKE', 149676),
(205951, 'PTHR10553:SF16', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', 149677),
(205952, 'PTHR44927:SF1', NULL, NULL, NULL, NULL, 'FK506-BINDING PROTEIN 15', 149678),
(205953, 'PTHR45897', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY CHOLINE TRANSPORTER 1', 149679),
(205954, 'PTHR31488:SF1', NULL, NULL, NULL, NULL, 'DPY-19-LIKE 1, LIKE (H. SAPIENS)', 149680),
(205955, 'PTHR11568', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 1', 149681),
(205956, 'PTHR11132:SF274', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE/PHOSPHATE TRANSLOCATOR 2 CHLOROPLASTIC', 149682),
(205957, 'PTHR34201:SF9', NULL, NULL, NULL, NULL, 'BNAA02G12570D PROTEIN', 149683),
(205958, 'PTHR14209', NULL, NULL, NULL, NULL, 'ISOAMYL ACETATE-HYDROLYZING ESTERASE 1', 149684),
(205959, 'PTHR24381:SF268', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 75A', 149685),
(205960, 'PTHR43084:SF3', NULL, NULL, NULL, NULL, 'GLYOXYLASE B2', 149686),
(205961, 'PTHR45621:SF156', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE PROTEIN-RELATED', 149687),
(205962, 'PTHR47310:SF5', NULL, NULL, NULL, NULL, 'OS01G0510600 PROTEIN', 149688),
(205963, 'PTHR35867', NULL, NULL, NULL, NULL, 'PROTEIN RSEC', 149689),
(205964, 'PTHR45936:SF1', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(20) SYNTHASE [NAD(P)+]-LIKE', 149690),
(205965, 'PTHR11726:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10', 149691),
(205966, 'PTHR33768:SF3', NULL, NULL, NULL, NULL, 'MIP11318P', 149692),
(205967, 'PTHR48053:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149693),
(205968, 'PTHR40629', NULL, NULL, NULL, NULL, 'PRO41 PROTEIN', 149694),
(205969, 'PTHR21561:SF20', NULL, NULL, NULL, NULL, 'OS12G0561200 PROTEIN', 149695),
(205970, 'PTHR20886', NULL, NULL, NULL, NULL, 'VANG-LIKE PROTEIN', 149696),
(205971, 'PTHR40086', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE YTMP-RELATED', 149697),
(205972, 'PTHR31804:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149698),
(205973, 'PTHR47999:SF73', NULL, NULL, NULL, NULL, 'BNAC03G60080D PROTEIN', 149699),
(205974, 'PTHR43072:SF11', NULL, NULL, NULL, NULL, 'UPF0039 PROTEIN C11D3.02C', 149700),
(205975, 'PTHR46214:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH11 ISOFORM X1', 149701),
(205976, 'PTHR34278:SF10', NULL, NULL, NULL, NULL, 'BNAC04G02080D PROTEIN', 149702),
(205977, 'PTHR16705:SF5', NULL, NULL, NULL, NULL, 'COMPLEXIN-3', 149703),
(205978, 'PTHR33086:SF52', NULL, NULL, NULL, NULL, 'OS09G0128900 PROTEIN', 149704),
(205979, 'PTHR31683:SF146', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 149705);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(205980, 'PTHR10680:SF14', NULL, NULL, NULL, NULL, 'PEPTIDYL-GLYCINE ALPHA-AMIDATING MONOOXYGENASE', 149706),
(205981, 'PTHR10352:SF41', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF', 149707),
(205982, 'PTHR37255:SF1', NULL, NULL, NULL, NULL, 'OS07G0669600 PROTEIN', 149708),
(205983, 'PTHR11514:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149709),
(205984, 'PTHR23130:SF115', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-LIKE', 149710),
(205985, 'PTHR47998:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB23-LIKE', 149711),
(205986, 'PTHR17502', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 27 FAMILY MEMBER', 149712),
(205987, 'PTHR31284:SF20', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1-LIKE', 149713),
(205988, 'PTHR33172:SF39', NULL, NULL, NULL, NULL, 'BNACNNG06290D PROTEIN', 149714),
(205989, 'PTHR24232:SF51', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 55A', 149715),
(205990, 'PTHR47967:SF19', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', 149716),
(205991, 'PTHR27002:SF704', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN S13, PUTATIVE-RELATED', 149717),
(205992, 'PTHR26452:SF129', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 149718),
(205993, 'PTHR48018:SF116', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5B2', 149719),
(205994, 'PTHR43952:SF63', NULL, NULL, NULL, NULL, 'BNAA04G12340D PROTEIN', 149720),
(205995, 'PTHR21230:SF75', NULL, NULL, NULL, NULL, 'BNAA07G09410D PROTEIN', 149721),
(205996, 'PTHR24068:SF242', NULL, NULL, NULL, NULL, 'UBIQUITIN CARRIER PROTEIN', 149722),
(205997, 'PTHR14021:SF17', NULL, NULL, NULL, NULL, 'BNAA03G55360D PROTEIN', 149723),
(205998, 'PTHR35146', NULL, NULL, NULL, NULL, 'UPF0178 PROTEIN YAII', 149724),
(205999, 'PTHR10797:SF63', NULL, NULL, NULL, NULL, 'BNAA02G19410D PROTEIN', 149725),
(206000, 'PTHR11132:SF329', NULL, NULL, NULL, NULL, 'OS12G0154000 PROTEIN', 149726),
(206001, 'PTHR24068:SF132', NULL, NULL, NULL, NULL, 'NEDD8-CONJUGATING ENZYME UBC12', 149727),
(206002, 'PTHR20932', NULL, NULL, NULL, NULL, 'LOC443603 PROTEIN-RELATED', 149728),
(206003, 'PTHR43948:SF6', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 6', 149729),
(206004, 'PTHR46289:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149730),
(206005, 'PTHR30469:SF15', NULL, NULL, NULL, NULL, 'ACRIFLAVIN RESISTANCE PROTEIN ACRE', 149731),
(206006, 'PTHR48034:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149732),
(206007, 'PTHR13844:SF15', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MDM2', 149733),
(206008, 'PTHR31439:SF4', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN PROTEIN', 149734),
(206009, 'PTHR31132:SF15', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 149735),
(206010, 'PTHR47906:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 149736),
(206011, 'PTHR24298:SF474', NULL, NULL, NULL, NULL, 'CYT-P450 MONOOXYGENASE', 149737),
(206012, 'PTHR47000:SF5', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 149738),
(206013, 'PTHR33059:SF90', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 6', 149739),
(206014, 'PTHR11394:SF70', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 42', 149740),
(206015, 'PTHR32285:SF163', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 10', 149741),
(206016, 'PTHR47947:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 149742),
(206017, 'PTHR24015:SF1991', NULL, NULL, NULL, NULL, 'OS01G0938000 PROTEIN', 149743),
(206018, 'PTHR22943:SF17', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 149744),
(206019, 'PTHR33588:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 299', 149745),
(206020, 'PTHR44129:SF4', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 11', 149746),
(206021, 'PTHR22426:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149747),
(206022, 'PTHR43258:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', 149748),
(206023, 'PTHR45651:SF41', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 3-RELATED', 149749),
(206024, 'PTHR47075:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH47', 149750);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(206025, 'PTHR47488', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 149751),
(206026, 'PTHR14239:SF0', NULL, NULL, NULL, NULL, 'F420-DEPENDENT NADP REDUCTASE', 149752),
(206027, 'PTHR15316:SF9', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3A SUBUNIT 1-RELATED', 149753),
(206028, 'PTHR42060:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149754),
(206029, 'PTHR44170:SF23', NULL, NULL, NULL, NULL, 'BROTHER OF IHOG, ISOFORM G-RELATED', 149755),
(206030, 'PTHR11571:SF161', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 149756),
(206031, 'PTHR46659', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/TYROSINE-INTERACTING-LIKE PROTEIN 1', 149757),
(206032, 'PTHR19241:SF457', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 10-RELATED', 149758),
(206033, 'PTHR12312:SF16', NULL, NULL, NULL, NULL, 'TWISTED GASTRULATION PROTEIN HOMOLOG 1-A-RELATED', 149759),
(206034, 'PTHR34710:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149760),
(206035, 'PTHR16023:SF4', NULL, NULL, NULL, NULL, 'BNAA06G34700D PROTEIN', 149761),
(206036, 'PTHR45818:SF4', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR VAV2', 149762),
(206037, 'PTHR30614:SF44', NULL, NULL, NULL, NULL, 'L-CYSTINE TRANSPORT SYSTEM PERMEASE PROTEIN TCYB', 149763),
(206038, 'PTHR34000', NULL, NULL, NULL, NULL, 'LRRGT00142-RELATED', 149764),
(206039, 'PTHR11552:SF147', NULL, NULL, NULL, NULL, 'CHOLINE DEHYDROGENASE, MITOCHONDRIAL', 149765),
(206040, 'PTHR45613:SF446', NULL, NULL, NULL, NULL, 'OS08G0300700 PROTEIN', 149766),
(206041, 'PTHR24413:SF228', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN-CONTAINING PROTEIN 40', 149767),
(206042, 'PTHR46326:SF16', NULL, NULL, NULL, NULL, 'BNAANNG06980D PROTEIN', 149768),
(206043, 'PTHR15009:SF4', NULL, NULL, NULL, NULL, 'MUELLERIAN-INHIBITING FACTOR', 149769),
(206044, 'PTHR33395:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149770),
(206045, 'PTHR47993:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149771),
(206046, 'PTHR43706:SF28', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE B2', 149772),
(206047, 'PTHR40252', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 149773),
(206048, 'PTHR45824:SF18', NULL, NULL, NULL, NULL, 'OS01G0264700 PROTEIN', 149774),
(206049, 'PTHR24112:SF32', NULL, NULL, NULL, NULL, 'CAPPING PROTEIN, ARP2/3 AND MYOSIN-I LINKER PROTEIN 2', 149775),
(206050, 'PTHR32343:SF19', NULL, NULL, NULL, NULL, 'OS11G0549537 PROTEIN', 149776),
(206051, 'PTHR47244:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE IBR5', 149777),
(206052, 'PTHR48105:SF7', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE 1, CYTOPLASMIC', 149778),
(206053, 'PTHR16127:SF13', NULL, NULL, NULL, NULL, 'GH01188P', 149779),
(206054, 'PTHR12964:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 6', 149780),
(206055, 'PTHR10812:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-2-ALPHA', 149781),
(206056, 'PTHR40080', NULL, NULL, NULL, NULL, 'LMO1763 PROTEIN', 149782),
(206057, 'PTHR10106:SF24', NULL, NULL, NULL, NULL, 'NO EXTENDED MEMORY, ISOFORM A', 149783),
(206058, 'PTHR45787:SF1', NULL, NULL, NULL, NULL, 'LD11652P', 149784),
(206059, 'PTHR28048:SF1', NULL, NULL, NULL, NULL, 'ACR195WP', 149785),
(206060, 'PTHR21879:SF2', NULL, NULL, NULL, NULL, 'OSIRIS 20', 149786),
(206061, 'PTHR13844:SF2', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY D MEMBER 2', 149787),
(206062, 'PTHR31238:SF204', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 5-1', 149788),
(206063, 'PTHR12093', NULL, NULL, NULL, NULL, 'NCK-ASSOCIATED PROTEIN 1', 149789),
(206064, 'PTHR15664:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE-LIKE PROTEIN', 149790),
(206065, 'PTHR11831:SF39', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S4/S9-RELATED', 149791),
(206066, 'PTHR20914:SF22', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2 INHIBITOR AND LY6/PLAUR DOMAIN-CONTAINING PROTEIN', 149792),
(206067, 'PTHR10795:SF678', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.3', 149793),
(206068, 'PTHR34453:SF3', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE (DEFL) FAMILY PROTEIN-RELATED', 149794);
INSERT INTO "PUBLIC"."MODEL" VALUES
(206069, 'PTHR10909:SF368', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 149795),
(206070, 'PTHR32208:SF83', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH, BETA-PROPELLER-RELATED', 149796),
(206071, 'PTHR21523:SF14', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', 149797),
(206072, 'PTHR46503:SF7', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN-LIKE PROTEIN', 149798),
(206073, 'PTHR31059:SF4', NULL, NULL, NULL, NULL, 'HSSA/B-LIKE PROTEIN 31', 149799),
(206074, 'PTHR47043:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149800),
(206075, 'PTHR46662:SF32', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IRK-RELATED', 149801),
(206076, 'PTHR11161:SF57', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 149802),
(206077, 'PTHR44272:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 16', 149803),
(206078, 'PTHR33136:SF74', NULL, NULL, NULL, NULL, 'BNAC03G58480D PROTEIN', 149804),
(206079, 'PTHR45801:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR TAC1-LIKE', 149805),
(206080, 'PTHR14513', NULL, NULL, NULL, NULL, 'PROTECTION OF TELOMERES 1', 149806),
(206081, 'PTHR14083:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YIF1A', 149807),
(206082, 'PTHR10566:SF118', NULL, NULL, NULL, NULL, 'IMPORTIN-BETA, N-TERMINAL DOMAIN', 149808),
(206083, 'PTHR13462:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149809),
(206084, 'PTHR31509:SF104', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 3 SUBUNIT A, PUTATIVE-RELATED', 149810),
(206085, 'PTHR46284:SF9', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN-LIKE PROTEIN', 149811),
(206086, 'PTHR43791:SF48', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G01000)-RELATED', 149812),
(206087, 'PTHR10127:SF820', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-31', 149813),
(206088, 'PTHR22536:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 149814),
(206089, 'PTHR44360', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 9', 149815),
(206090, 'PTHR43470:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PSTA', 149816),
(206091, 'PTHR23147:SF166', NULL, NULL, NULL, NULL, 'PROTEIN TERMINAL EAR1 HOMOLOG', 149817),
(206092, 'PTHR47965:SF30', NULL, NULL, NULL, NULL, 'BNAC08G45750D PROTEIN', 149818),
(206093, 'PTHR23336:SF60', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE-LIKE ATPASE, C-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', 149819),
(206094, 'PTHR22814:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149820),
(206095, 'PTHR11615:SF274', NULL, NULL, NULL, NULL, 'BLL5478 PROTEIN', 149821),
(206096, 'PTHR45722:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149822),
(206097, 'PTHR46183:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149823),
(206098, 'PTHR11257:SF13', NULL, NULL, NULL, NULL, 'GEO07322P1-RELATED', 149824),
(206099, 'PTHR21721', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 149825),
(206100, 'PTHR34670:SF15', NULL, NULL, NULL, NULL, 'BNAA03G54980D PROTEIN', 149826),
(206101, 'PTHR22870:SF350', NULL, NULL, NULL, NULL, 'F12P19.9 PROTEIN', 149827),
(206102, 'PTHR12299:SF62', NULL, NULL, NULL, NULL, 'ASPARTATE, GLYCINE, LYSINE AND SERINE-RICH PROTEIN-LIKE', 149828),
(206103, 'PTHR43452:SF6', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE ISOZYME 1-RELATED', 149829),
(206104, 'PTHR22692:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149830),
(206105, 'PTHR34682:SF3', NULL, NULL, NULL, NULL, 'HOOK MOTIF-CONTAINING PROTEIN, PUTATIVE ISOFORM 1-RELATED', 149831),
(206106, 'PTHR12847:SF3', NULL, NULL, NULL, NULL, 'NECAP-LIKE PROTEIN CG9132', 149832),
(206107, 'PTHR15635:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG06763', 149833),
(206108, 'PTHR10799:SF978', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE BRM', 149834),
(206109, 'PTHR43617:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149835),
(206110, 'PTHR24414:SF124', NULL, NULL, NULL, NULL, 'BNAC03G48510D PROTEIN', 149836),
(206111, 'PTHR27005:SF327', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149837),
(206112, 'PTHR31307:SF40', NULL, NULL, NULL, NULL, 'SEQUENCE-SPECIFIC DNA BINDING TRANSCRIPTION FACTOR', 149838);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(206113, 'PTHR43096:SF43', NULL, NULL, NULL, NULL, 'ASSOCIATED DNAJ CHAPERONE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G02090)-RELATED', 149839),
(206114, 'PTHR12385:SF82', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN 2', 149840),
(206115, 'PTHR11346:SF111', NULL, NULL, NULL, NULL, 'GALECTIN-12', 149841),
(206116, 'PTHR27008:SF284', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149842),
(206117, 'PTHR48017:SF167', NULL, NULL, NULL, NULL, 'OS02G0102200 PROTEIN', 149843),
(206118, 'PTHR47651', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT HISTONE DEACETYLASE HST4', 149844),
(206119, 'PTHR11732:SF205', NULL, NULL, NULL, NULL, '3-ALPHA-HYDROXYSTEROID DEHYDROGENASE TYPE 1', 149845),
(206120, 'PTHR45722:SF19', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-LIKE', 149846),
(206121, 'PTHR32077:SF51', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN PROTEIN', 149847),
(206122, 'PTHR22738:SF9', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 5', 149848),
(206123, 'PTHR33127:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149849),
(206124, 'PTHR13683:SF825', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149850),
(206125, 'PTHR23410:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149851),
(206126, 'PTHR30194', NULL, NULL, NULL, NULL, 'CROSSOVER JUNCTION ENDODEOXYRIBONUCLEASE RUVC', 149852),
(206127, 'PTHR21164:SF0', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE AROH', 149853),
(206128, 'PTHR24012:SF819', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A1', 149854),
(206129, 'PTHR10174:SF72', NULL, NULL, NULL, NULL, 'CLAVESIN-1', 149855),
(206130, 'PTHR24082:SF494', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-48', 149856),
(206131, 'PTHR22936:SF90', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', 149857),
(206132, 'PTHR15654:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 113', 149858),
(206133, 'PTHR24062:SF151', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 149859),
(206134, 'PTHR31246:SF19', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-2-LIKE', 149860),
(206135, 'PTHR33415:SF10', NULL, NULL, NULL, NULL, 'PROTEIN DCL, CHLOROPLASTIC-LIKE', 149861),
(206136, 'PTHR48247:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149862),
(206137, 'PTHR34446:SF3', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 10-LIKE PROTEIN 2A-RELATED', 149863),
(206138, 'PTHR46513:SF21', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 1', 149864),
(206139, 'PTHR43818:SF7', NULL, NULL, NULL, NULL, 'D-GALACTOSE 1-DEHYDROGENASE', 149865),
(206140, 'PTHR43537:SF15', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MCBR', 149866),
(206141, 'PTHR24282:SF100', NULL, NULL, NULL, NULL, 'OS06G0191700 PROTEIN', 149867),
(206142, 'PTHR23112:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 116', 149868),
(206143, 'PTHR47057', NULL, NULL, NULL, NULL, 'AFADIN/ALPHA-ACTININ-BINDING', 149869),
(206144, 'PTHR46265:SF6', NULL, NULL, NULL, NULL, 'OS07G0658300 PROTEIN', 149870),
(206145, 'PTHR31642:SF16', NULL, NULL, NULL, NULL, 'OS08G0205000 PROTEIN', 149871),
(206146, 'PTHR23068:SF6', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING PROTEIN 2B', 149872),
(206147, 'PTHR24381:SF136', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 124', 149873),
(206148, 'PTHR23500:SF522', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 1-RELATED', 149874),
(206149, 'PTHR32116:SF83', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 149875),
(206150, 'PTHR11850:SF47', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MEIS2', 149876),
(206151, 'PTHR32063:SF16', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM (ACRB/ACRD/ACRF FAMILY)', 149877),
(206152, 'PTHR35463', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 149878),
(206153, 'PTHR27002:SF816', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 149879),
(206154, 'PTHR21277', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER 1', 149880),
(206155, 'PTHR11654:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149881),
(206156, 'PTHR36183:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', 149882);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(206157, 'PTHR18966:SF423', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 149883),
(206158, 'PTHR45900:SF9', NULL, NULL, NULL, NULL, 'REPAIR PROTEIN RECA, PUTATIVE-RELATED', 149884),
(206159, 'PTHR12064:SF36', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', 149885),
(206160, 'PTHR16223:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH123', 149886),
(206161, 'PTHR22599:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149887),
(206162, 'PTHR31221:SF231', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 20 ISOFORM X1-RELATED', 149888),
(206163, 'PTHR44663:SF1', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE 2B', 149889),
(206164, 'PTHR46926:SF1', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN DOMAIN-CONTAINING CYSTEINE-RICH PROTEIN 2', 149890),
(206165, 'PTHR23210:SF26', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR 7 INTERACTING PROTEIN-RELATED', 149891),
(206166, 'PTHR11142:SF4', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE A', 149892),
(206167, 'PTHR11105:SF0', NULL, NULL, NULL, NULL, 'CITRAMALYL-COA LYASE, MITOCHONDRIAL', 149893),
(206168, 'PTHR14543', NULL, NULL, NULL, NULL, 'PROTRUDIN', 149894),
(206169, 'PTHR13110:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149895),
(206170, 'PTHR10405:SF9', NULL, NULL, NULL, NULL, 'SPINDLIN-4', 149896),
(206171, 'PTHR48188:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L43', 149897),
(206172, 'PTHR45838:SF5', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 149898),
(206173, 'PTHR34805:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149899),
(206174, 'PTHR24220:SF674', NULL, NULL, NULL, NULL, 'BACITRACIN EXPORT ATP-BINDING PROTEIN BCEA', 149900),
(206175, 'PTHR40698:SF2', NULL, NULL, NULL, NULL, 'FLAGELLA-RELATED PROTEIN C-RELATED', 149901),
(206176, 'PTHR33870:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 149902),
(206177, 'PTHR24093:SF471', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 149903),
(206178, 'PTHR39184:SF1', NULL, NULL, NULL, NULL, 'PBSX PHAGE TERMINASE LARGE SUBUNIT', 149904),
(206179, 'PTHR45969:SF28', NULL, NULL, NULL, NULL, 'EMB|CAB89405.1-RELATED', 149905),
(206180, 'PTHR11945:SF396', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 32', 149906),
(206181, 'PTHR43741', NULL, NULL, NULL, NULL, 'FMN-DEPENDENT NADH-AZOREDUCTASE 1', 149907),
(206182, 'PTHR11742:SF55', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM MANNOSYL-OLIGOSACCHARIDE 1,2-ALPHA-MANNOSIDASE', 149908),
(206183, 'PTHR12358:SF31', NULL, NULL, NULL, NULL, 'LD11247P-RELATED', 149909),
(206184, 'PTHR47414', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP20-2, CHLOROPLASTIC', 149910),
(206185, 'PTHR46911:SF2', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE-RELATED', 149911),
(206186, 'PTHR19848:SF5', NULL, NULL, NULL, NULL, 'NOTCHLESS PROTEIN HOMOLOG 1', 149912),
(206187, 'PTHR45794', NULL, NULL, NULL, NULL, 'LEUCYL-TRNA SYNTHETASE', 149913),
(206188, 'PTHR28613:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 238', 149914),
(206189, 'PTHR21831:SF2', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 10', 149915),
(206190, 'PTHR47182:SF1', NULL, NULL, NULL, NULL, 'ALPHA-1,3 GLUCAN SYNTHASE (EUROFUNG)', 149916),
(206191, 'PTHR32444:SF60', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 149917),
(206192, 'PTHR12701:SF5', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED PROTEIN 29', 149918),
(206193, 'PTHR23500:SF428', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 6-RELATED', 149919),
(206194, 'PTHR24240:SF150', NULL, NULL, NULL, NULL, 'AGAP005681-PA', 149920),
(206195, 'PTHR13683:SF610', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 2', 149921),
(206196, 'PTHR33353:SF13', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE II', 149922),
(206197, 'PTHR12628:SF11', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 1', 149923),
(206198, 'PTHR31719:SF145', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 102', 149924),
(206199, 'PTHR16517:SF108', NULL, NULL, NULL, NULL, 'TUBBY-LIKE PROTEIN 4A', 149925);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(206200, 'PTHR23155:SF1090', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN EXPRESSED', 149926),
(206201, 'PTHR16223:SF163', NULL, NULL, NULL, NULL, 'ELKS/RAB6-INTERACTING/CAST FAMILY PROTEIN', 149927),
(206202, 'PTHR24064:SF567', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 7B, TANDEM DUPLICATE 2-RELATED', 149928),
(206203, 'PTHR48014:SF24', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FRAY2', 149929),
(206204, 'PTHR33132:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149930),
(206205, 'PTHR23101:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149931),
(206206, 'PTHR48002:SF29', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 149932),
(206207, 'PTHR16523:SF6', NULL, NULL, NULL, NULL, 'PEST PROTEOLYTIC SIGNAL-CONTAINING NUCLEAR PROTEIN', 149933),
(206208, 'PTHR37366:SF1', NULL, NULL, NULL, NULL, 'SPERM ACROSOME MEMBRANE-ASSOCIATED PROTEIN 6', 149934),
(206209, 'PTHR10133:SF52', NULL, NULL, NULL, NULL, '5''-3'' EXONUCLEASE FAMILY PROTEIN', 149935),
(206210, 'PTHR11654:SF287', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER', 149936),
(206211, 'PTHR31741:SF68', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONAN I RHAMNOSYLTRANSFERASE 4', 149937),
(206212, 'PTHR45906:SF2', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE 3', 149938),
(206213, 'PTHR14907:SF3', NULL, NULL, NULL, NULL, 'SUPPRESSOR APC DOMAIN-CONTAINING PROTEIN 2', 149939),
(206214, 'PTHR36739:SF1', NULL, NULL, NULL, NULL, 'D-TAGATOSE-1,6-BISPHOSPHATE ALDOLASE SUBUNIT', 149940),
(206215, 'PTHR11875:SF36', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1-LIKE 2', 149941),
(206216, 'PTHR32035:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149942),
(206217, 'PTHR11178:SF1', NULL, NULL, NULL, NULL, 'NFU1 IRON-SULFUR CLUSTER SCAFFOLD HOMOLOG, MITOCHONDRIAL', 149943),
(206218, 'PTHR39670:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149944),
(206219, 'PTHR11945:SF619', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', 149945),
(206220, 'PTHR36343', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 149946),
(206221, 'PTHR34481:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149947),
(206222, 'PTHR33372:SF5', NULL, NULL, NULL, NULL, 'CHLOROPLAST J-LIKE DOMAIN 1', 149948),
(206223, 'PTHR34278:SF11', NULL, NULL, NULL, NULL, 'OS01G0510200 PROTEIN', 149949),
(206224, 'PTHR24327:SF31', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DLX-5', 149950),
(206225, 'PTHR34270:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 149951),
(206226, 'PTHR46179:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 423 HOMOLOG', 149952),
(206227, 'PTHR31284:SF39', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-LIKE PROTEIN', 149953),
(206228, 'PTHR15192:SF4', NULL, NULL, NULL, NULL, 'OXIDATIVE STRESS-INDUCED GROWTH INHIBITOR 2', 149954),
(206229, 'PTHR24376:SF80', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 780B-RELATED', 149955),
(206230, 'PTHR31388:SF182', NULL, NULL, NULL, NULL, 'PEROXIDASE 49', 149956),
(206231, 'PTHR33203:SF36', NULL, NULL, NULL, NULL, 'OLEOSIN', 149957),
(206232, 'PTHR11969:SF71', NULL, NULL, NULL, NULL, 'BNAA07G10440D PROTEIN', 149958),
(206233, 'PTHR11995', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', 149959),
(206234, 'PTHR47958:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149960),
(206235, 'PTHR46776:SF23', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1', 149961),
(206236, 'PTHR31852:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149962),
(206237, 'PTHR33643:SF1', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN D', 149963),
(206238, 'PTHR19375:SF394', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149964),
(206239, 'PTHR11440:SF78', NULL, NULL, NULL, NULL, 'LECITHIN-CHOLESTEROL ACYLTRANSFERASE-LIKE 1', 149965),
(206240, 'PTHR18959:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149966),
(206241, 'PTHR34441:SF1', NULL, NULL, NULL, NULL, 'MOTILE SPERM DOMAIN-CONTAINING PROTEIN 1', 149967),
(206242, 'PTHR11461:SF289', NULL, NULL, NULL, NULL, 'ALPHA-1-ANTITRYPSIN-RELATED PROTEIN-RELATED', 149968),
(206243, 'PTHR23282:SF123', NULL, NULL, NULL, NULL, 'MAM DOMAIN-CONTAINING GLYCOSYLPHOSPHATIDYLINOSITOL ANCHOR PROTEIN 1', 149969);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(206244, 'PTHR23015:SF22', NULL, NULL, NULL, NULL, 'F-BOX A PROTEIN', 149970),
(206245, 'PTHR12309:SF30', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 GAMMA SUBUNIT', 149971),
(206246, 'PTHR47545', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL CCA PROTEIN', 149972),
(206247, 'PTHR36871:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 190', 149973),
(206248, 'PTHR24361:SF492', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MKCF-RELATED', 149974),
(206249, 'PTHR31301:SF127', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 12-LIKE ISOFORM X1', 149975),
(206250, 'PTHR10996:SF251', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3', 149976),
(206251, 'PTHR12695', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIH SUBUNIT 2', 149977),
(206252, 'PTHR12560:SF38', NULL, NULL, NULL, NULL, 'PROTEIN ASC1', 149978),
(206253, 'PTHR11926:SF1391', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 149979),
(206254, 'PTHR43434:SF17', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE', 149980),
(206255, 'PTHR33675:SF5', NULL, NULL, NULL, NULL, 'OS09G0360400 PROTEIN', 149981),
(206256, 'PTHR48094:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149982),
(206257, 'PTHR22883:SF150', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC4-RELATED', 149983),
(206258, 'PTHR11969:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH94-LIKE', 149984),
(206259, 'PTHR31365:SF19', NULL, NULL, NULL, NULL, 'PROTEIN PXR1-LIKE', 149985),
(206260, 'PTHR21625:SF1', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 1', 149986),
(206261, 'PTHR21576:SF25', NULL, NULL, NULL, NULL, 'OS07G0187900 PROTEIN', 149987),
(206262, 'PTHR31852:SF21', NULL, NULL, NULL, NULL, 'OS07G0524200 PROTEIN', 149988),
(206263, 'PTHR43293:SF2', NULL, NULL, NULL, NULL, 'MALONATE DECARBOXYLASE ALPHA SUBUNIT', 149989),
(206264, 'PTHR21437', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 149990),
(206265, 'PTHR13131:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 149991),
(206266, 'PTHR31072:SF149', NULL, NULL, NULL, NULL, 'BNAANNG27820D PROTEIN', 149992),
(206267, 'PTHR10974:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG15597', 149993),
(206268, 'PTHR11863:SF140', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE GL1-4', 149994),
(206269, 'PTHR33648:SF23', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 149995),
(206270, 'PTHR46065:SF3', NULL, NULL, NULL, NULL, 'FI20425P1', 149996),
(206271, 'PTHR24223:SF419', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 149997),
(206272, 'PTHR48111:SF2', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 149998),
(206273, 'PTHR10783:SF101', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 5', 149999),
(206274, 'PTHR22802:SF237', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING PROTEIN 91', 150000),
(206275, 'PTHR16788:SF0', NULL, NULL, NULL, NULL, 'EPIDIDYMAL SECRETORY PROTEIN E3-BETA', 150001),
(206276, 'PTHR24326:SF215', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX5', 150002),
(206277, 'PTHR34825:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150003),
(206278, 'PTHR15895:SF4', NULL, NULL, NULL, NULL, 'IMMEDIATE EARLY RESPONSE GENE 2 PROTEIN', 150004),
(206279, 'PTHR28242:SF13', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 5', 150005),
(206280, 'PTHR47064', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_1G08990)-RELATED', 150006),
(206281, 'PTHR43862:SF1', NULL, NULL, NULL, NULL, 'MALTODEXTRIN GLUCOSIDASE', 150007),
(206282, 'PTHR16517:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 35', 150008),
(206283, 'PTHR31731:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150009),
(206284, 'PTHR12211:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150010),
(206285, 'PTHR47991:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150011),
(206286, 'PTHR24248:SF153', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR-RELATED', 150012),
(206287, 'PTHR22890:SF4', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 150013);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(206288, 'PTHR22950:SF461', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 150014),
(206289, 'PTHR13301:SF198', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', 150015),
(206290, 'PTHR48063:SF54', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 30-LIKE', 150016),
(206291, 'PTHR11662:SF426', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', 150017),
(206292, 'PTHR24115:SF888', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 150018),
(206293, 'PTHR47942:SF35', NULL, NULL, NULL, NULL, 'OS09G0110200 PROTEIN', 150019),
(206294, 'PTHR11945:SF645', NULL, NULL, NULL, NULL, 'BNAA04G09950D PROTEIN', 150020),
(206295, 'PTHR18945:SF555', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', 150021),
(206296, 'PTHR31882:SF9', NULL, NULL, NULL, NULL, 'SI:CH211-153B23.7', 150022),
(206297, 'PTHR24177:SF249', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 150023),
(206298, 'PTHR44329:SF131', NULL, NULL, NULL, NULL, 'BNACNNG11260D PROTEIN', 150024),
(206299, 'PTHR10356', NULL, NULL, NULL, NULL, 'ALLOGRAFT INFLAMMATORY FACTOR-1', 150025),
(206300, 'PTHR36986:SF1', NULL, NULL, NULL, NULL, 'UPF0643 PROTEIN PB2B2.08', 150026),
(206301, 'PTHR10366:SF562', NULL, NULL, NULL, NULL, 'ALDEHYDE REDUCTASE II (AFU_ORTHOLOGUE AFUA_1G11360)', 150027),
(206302, 'PTHR10108:SF1081', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT24-RELATED', 150028),
(206303, 'PTHR46020:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150029),
(206304, 'PTHR44917', NULL, NULL, NULL, NULL, 'PROTEIN HIGH CHLOROPHYLL FLUORESCENT 107', 150030),
(206305, 'PTHR11188:SF7', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', 150031),
(206306, 'PTHR42861:SF5', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 150032),
(206307, 'PTHR31175:SF68', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED SAUR-LIKE PROTEIN', 150033),
(206308, 'PTHR11102:SF152', NULL, NULL, NULL, NULL, 'ERAD-ASSOCIATED E3 UBIQUITIN-PROTEIN LIGASE COMPONENT-RELATED', 150034),
(206309, 'PTHR10217:SF630', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 4', 150035),
(206310, 'PTHR24019:SF14', NULL, NULL, NULL, NULL, 'ADIPOLIN', 150036),
(206311, 'PTHR33472', NULL, NULL, NULL, NULL, 'OS01G0106600 PROTEIN', 150037),
(206312, 'PTHR10383:SF15', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR 1', 150038),
(206313, 'PTHR48007:SF15', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN-RELATED', 150039),
(206314, 'PTHR31008:SF33', NULL, NULL, NULL, NULL, 'BNAA01G36090D PROTEIN', 150040),
(206315, 'PTHR31189:SF45', NULL, NULL, NULL, NULL, '11S GLOBULIN SEED STORAGE PROTEIN 2-LIKE', 150041),
(206316, 'PTHR33743:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150042),
(206317, 'PTHR11206:SF85', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 41', 150043),
(206318, 'PTHR24093:SF423', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 150044),
(206319, 'PTHR33538:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BRAMBLEBERRY', 150045),
(206320, 'PTHR37614', NULL, NULL, NULL, NULL, 'OS02G0121400 PROTEIN', 150046),
(206321, 'PTHR19370:SF179', NULL, NULL, NULL, NULL, 'B5 REDUCTASE, PUTATIVE-RELATED', 150047),
(206322, 'PTHR38433:SF1', NULL, NULL, NULL, NULL, 'LMO2585 PROTEIN', 150048),
(206323, 'PTHR24349:SF300', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 27-RELATED', 150049),
(206324, 'PTHR24408:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 438', 150050),
(206325, 'PTHR23359:SF163', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', 150051),
(206326, 'PTHR10835:SF23', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE 3', 150052),
(206327, 'PTHR18945:SF858', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-LIKE 1', 150053),
(206328, 'PTHR31867:SF20', NULL, NULL, NULL, NULL, 'EXPANSIN-A15', 150054),
(206329, 'PTHR47805', NULL, NULL, NULL, NULL, 'SAGA-ASSOCIATED FACTOR 73', 150055),
(206330, 'PTHR24346:SF28', NULL, NULL, NULL, NULL, 'MAP/MICROTUBULE AFFINITY-REGULATING KINASE 4', 150056),
(206331, 'PTHR13832:SF301', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 29', 150057);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(206332, 'PTHR31798:SF6', NULL, NULL, NULL, NULL, 'BNAC09G28410D PROTEIN', 150058),
(206333, 'PTHR48054:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150059),
(206334, 'PTHR34322:SF2', NULL, NULL, NULL, NULL, 'TRANSPOSASE, Y1_TNP DOMAIN-CONTAINING', 150060),
(206335, 'PTHR10133:SF26', NULL, NULL, NULL, NULL, 'DNA POLYMERASE I PROTEIN D, PUTATIVE-RELATED', 150061),
(206336, 'PTHR47985:SF60', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', 150062),
(206337, 'PTHR24381:SF125', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 674-RELATED', 150063),
(206338, 'PTHR46119:SF18', NULL, NULL, NULL, NULL, 'BNAA09G54720D PROTEIN', 150064),
(206339, 'PTHR34836:SF4', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 1.2-LIKE ISOFORM X1', 150065),
(206340, 'PTHR23267:SF405', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150066),
(206341, 'PTHR31181:SF69', NULL, NULL, NULL, NULL, 'BNAA02G10580D PROTEIN', 150067),
(206342, 'PTHR46328:SF19', NULL, NULL, NULL, NULL, 'BNAC04G48810D PROTEIN', 150068),
(206343, 'PTHR26452:SF413', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 150069),
(206344, 'PTHR46506:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150070),
(206345, 'PTHR11451:SF50', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE, MITOCHONDRIAL', 150071),
(206346, 'PTHR48001:SF21', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 150072),
(206347, 'PTHR21294:SF8', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN SUBUNIT BETA', 150073),
(206348, 'PTHR11822:SF32', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', 150074),
(206349, 'PTHR31515', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', 150075),
(206350, 'PTHR47836:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG09520', 150076),
(206351, 'PTHR31534:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150077),
(206352, 'PTHR47993:SF8', NULL, NULL, NULL, NULL, 'BNAC01G44260D PROTEIN', 150078),
(206353, 'PTHR14952:SF7', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN E', 150079),
(206354, 'PTHR10926:SF50', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT 5', 150080),
(206355, 'PTHR11932:SF143', NULL, NULL, NULL, NULL, 'CULLIN-1', 150081),
(206356, 'PTHR31126:SF55', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE SIW14', 150082),
(206357, 'PTHR47955:SF3', NULL, NULL, NULL, NULL, 'OS01G0543600 PROTEIN', 150083),
(206358, 'PTHR48065:SF28', NULL, NULL, NULL, NULL, 'KINASE BRI1, PUTATIVE-RELATED', 150084),
(206359, 'PTHR24271:SF59', NULL, NULL, NULL, NULL, 'KALLIKREIN-5', 150085),
(206360, 'PTHR38461', NULL, NULL, NULL, NULL, '4-DEOXY-L-THREO-5-HEXOSULOSE-URONATE KETOL-ISOMERASE', 150086),
(206361, 'PTHR24149:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 12', 150087),
(206362, 'PTHR47487:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 385D-LIKE', 150088),
(206363, 'PTHR19855:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150089),
(206364, 'PTHR46775:SF6', NULL, NULL, NULL, NULL, 'GBF-INTERACTING PROTEIN 1-LIKE ISOFORM X1', 150090),
(206365, 'PTHR11559:SF185', NULL, NULL, NULL, NULL, 'GH04232P', 150091),
(206366, 'PTHR43243:SF24', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORT INTEGRAL MEMBRANE PROTEIN ROCE-RELATED', 150092),
(206367, 'PTHR38731:SF1', NULL, NULL, NULL, NULL, 'LIPL45-RELATED LIPOPROTEIN', 150093),
(206368, 'PTHR13680:SF5', NULL, NULL, NULL, NULL, 'CDGSH IRON-SULFUR DOMAIN-CONTAINING PROTEIN 1', 150094),
(206369, 'PTHR10671:SF32', NULL, NULL, NULL, NULL, 'EPITHELIAL MEMBRANE PROTEIN 2', 150095),
(206370, 'PTHR33916:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150096),
(206371, 'PTHR31281:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM219B', 150097),
(206372, 'PTHR48017:SF183', NULL, NULL, NULL, NULL, 'PROTEIN CBG07992', 150098),
(206373, 'PTHR22762:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150099),
(206374, 'PTHR42913:SF6', NULL, NULL, NULL, NULL, 'SULFIDE-QUINONE REDUCTASE', 150100),
(206375, 'PTHR30146:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 150101),
(206376, 'PTHR11064:SF20', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-6', 150102);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(206377, 'PTHR34236', NULL, NULL, NULL, NULL, 'DIMETHYL SULFOXIDE REDUCTASE TRANSCRIPTIONAL ACTIVATOR', 150103),
(206378, 'PTHR11685:SF369', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 150104),
(206379, 'PTHR46056:SF6', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', 150105),
(206380, 'PTHR43012:SF1', NULL, NULL, NULL, NULL, 'ADH3P', 150106),
(206381, 'PTHR41373', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 150107),
(206382, 'PTHR34267:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150108),
(206383, 'PTHR43865', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN-RELATED', 150109),
(206384, 'PTHR10142', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN COMPLEMENTING XP-A CELLS', 150110),
(206385, 'PTHR10743:SF19', NULL, NULL, NULL, NULL, 'PROTEIN RER1', 150111),
(206386, 'PTHR45730:SF71', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 3-RELATED', 150112),
(206387, 'PTHR10562:SF95', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', 150113),
(206388, 'PTHR44154:SF1', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE', 150114),
(206389, 'PTHR36868:SF1', NULL, NULL, NULL, NULL, 'NUTRITIONALLY-REGULATED ADIPOSE AND CARDIAC ENRICHED PROTEIN HOMOLOG', 150115),
(206390, 'PTHR22957:SF559', NULL, NULL, NULL, NULL, 'OS06G0661700 PROTEIN', 150116),
(206391, 'PTHR23239:SF201', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 14', 150117),
(206392, 'PTHR47029:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150118),
(206393, 'PTHR34364:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150119),
(206394, 'PTHR43504', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', 150120),
(206395, 'PTHR10664:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG01292', 150121),
(206396, 'PTHR11636:SF5', NULL, NULL, NULL, NULL, 'POU DOMAIN MOTIF 3, ISOFORM F', 150122),
(206397, 'PTHR33264:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150123),
(206398, 'PTHR35567:SF1', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_2G13800)', 150124),
(206399, 'PTHR32208:SF21', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 150125),
(206400, 'PTHR10638:SF75', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 150126),
(206401, 'PTHR10638:SF27', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 150127),
(206402, 'PTHR11639:SF118', NULL, NULL, NULL, NULL, 'PROTEIN S100', 150128),
(206403, 'PTHR43895:SF3', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 20', 150129),
(206404, 'PTHR23213:SF354', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 4', 150130),
(206405, 'PTHR23502:SF150', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G11060)-RELATED', 150131),
(206406, 'PTHR23107:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SSXT FAMILY-RELATED', 150132),
(206407, 'PTHR47629:SF5', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 150133),
(206408, 'PTHR47926:SF97', NULL, NULL, NULL, NULL, 'BNAC06G08040D PROTEIN', 150134),
(206409, 'PTHR30096:SF17', NULL, NULL, NULL, NULL, 'BNAA08G05620D PROTEIN', 150135),
(206410, 'PTHR24411:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150136),
(206411, 'PTHR45666:SF46', NULL, NULL, NULL, NULL, 'BNAC02G20620D PROTEIN', 150137),
(206412, 'PTHR34219:SF4', NULL, NULL, NULL, NULL, 'SIDEROPHORE TRANSPORTER COMPONENT 2-RELATED', 150138),
(206413, 'PTHR22942:SF30', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN DMC1/LIM15 HOMOLOG', 150139),
(206414, 'PTHR11923:SF50', NULL, NULL, NULL, NULL, 'GH19047P', 150140),
(206415, 'PTHR37769:SF1', NULL, NULL, NULL, NULL, 'OS08G0243900 PROTEIN', 150141),
(206416, 'PTHR24300:SF64', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 150142),
(206417, 'PTHR26451:SF866', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', 150143),
(206418, 'PTHR33606', NULL, NULL, NULL, NULL, 'PROTEIN YCII', 150144),
(206419, 'PTHR26312', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 5', 150145),
(206420, 'PTHR45915:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INTERMEDIARY FACTOR 1-ALPHA', 150146),
(206421, 'PTHR10887:SF478', NULL, NULL, NULL, NULL, 'BNAC01G39160D PROTEIN', 150147),
(206422, 'PTHR31093:SF4', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN GP138-RELATED', 150148);
INSERT INTO "PUBLIC"."MODEL" VALUES
(206423, 'PTHR43248:SF14', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 150149),
(206424, 'PTHR10751:SF2', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING FAMILY PROTEIN', 150150),
(206425, 'PTHR22776:SF82', NULL, NULL, NULL, NULL, 'MAL, T CELL DIFFERENTIATION PROTEIN A-RELATED', 150151),
(206426, 'PTHR11188:SF66', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', 150152),
(206427, 'PTHR12197:SF281', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN DDB_G0288495', 150153),
(206428, 'PTHR20991', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE-RESPONSIVE B1 GENE', 150154),
(206429, 'PTHR33729:SF6', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 11-LIKE', 150155),
(206430, 'PTHR24381:SF44', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 560', 150156),
(206431, 'PTHR12654:SF2', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', 150157),
(206432, 'PTHR31234:SF6', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN', 150158),
(206433, 'PTHR24414:SF166', NULL, NULL, NULL, NULL, 'BNAA04G17270D PROTEIN', 150159),
(206434, 'PTHR12957', NULL, NULL, NULL, NULL, 'DEAD/H BOX POLYPEPTIDE 26/DICE1-RELATED', 150160),
(206435, 'PTHR11984:SF114', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', 150161),
(206436, 'PTHR10638:SF41', NULL, NULL, NULL, NULL, 'COPPER AMINE OXIDASE 1-RELATED', 150162),
(206437, 'PTHR23285:SF5', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MEX3B', 150163),
(206438, 'PTHR43637:SF1', NULL, NULL, NULL, NULL, 'UPF0273 PROTEIN TM_0370', 150164),
(206439, 'PTHR12673:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150165),
(206440, 'PTHR11017:SF387', NULL, NULL, NULL, NULL, 'BNAA09G29600D PROTEIN', 150166),
(206441, 'PTHR16231:SF2', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 7', 150167),
(206442, 'PTHR47260:SF1', NULL, NULL, NULL, NULL, 'UPF0644 PROTEIN PB2B4.06', 150168),
(206443, 'PTHR12011:SF41', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR B2', 150169),
(206444, 'PTHR33864', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 150170),
(206445, 'PTHR10624:SF9', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 5', 150171),
(206446, 'PTHR34278:SF9', NULL, NULL, NULL, NULL, 'BNAA09G13610D PROTEIN', 150172),
(206447, 'PTHR22601:SF79', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER OPT', 150173),
(206448, 'PTHR12091', NULL, NULL, NULL, NULL, 'MELANIN-CONCENTRATING HORMONE', 150174),
(206449, 'PTHR48105:SF21', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE 2, MITOCHONDRIAL', 150175),
(206450, 'PTHR33420:SF26', NULL, NULL, NULL, NULL, 'FIMBRIAL SUBUNIT-RELATED', 150176),
(206451, 'PTHR34048:SF7', NULL, NULL, NULL, NULL, 'THYLAKOID MEMBRANE PROTEIN SSL2009-LIKE', 150177),
(206452, 'PTHR31947:SF31', NULL, NULL, NULL, NULL, 'BNAA09G03470D PROTEIN', 150178),
(206453, 'PTHR11440:SF52', NULL, NULL, NULL, NULL, 'OS02G0590000 PROTEIN', 150179),
(206454, 'PTHR11260:SF666', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150180),
(206455, 'PTHR11805:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PDZ-BINDING PROTEIN', 150181),
(206456, 'PTHR45588:SF2', NULL, NULL, NULL, NULL, 'TPR DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G00240)', 150182),
(206457, 'PTHR24169:SF24', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR NF-KAPPA-B P110 SUBUNIT', 150183),
(206458, 'PTHR46582:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 18', 150184),
(206459, 'PTHR35718:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE KINASE', 150185),
(206460, 'PTHR31218:SF262', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 150186),
(206461, 'PTHR10352:SF31', NULL, NULL, NULL, NULL, 'OS09G0372200 PROTEIN', 150187),
(206462, 'PTHR48125', NULL, NULL, NULL, NULL, 'LP07818P1', 150188),
(206463, 'PTHR12210:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150189),
(206464, 'PTHR35274:SF8', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 150190),
(206465, 'PTHR22814:SF321', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', 150191),
(206466, 'PTHR45778:SF9', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 150192);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(206467, 'PTHR32440:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150193),
(206468, 'PTHR48094:SF2', NULL, NULL, NULL, NULL, 'BNAA04G05980D PROTEIN', 150194),
(206469, 'PTHR45727:SF3', NULL, NULL, NULL, NULL, 'NPC1-LIKE INTRACELLULAR CHOLESTEROL TRANSPORTER 1', 150195),
(206470, 'PTHR48106:SF4', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, ZINC-BINDING DEHYDROGENASE FAMILY SUPERFAMILY (AFU_ORTHOLOGUE AFUA_4G11710)', 150196),
(206471, 'PTHR33077:SF47', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 11D', 150197),
(206472, 'PTHR13544', NULL, NULL, NULL, NULL, 'SELENOPROTEIN T', 150198),
(206473, 'PTHR23107:SF18', NULL, NULL, NULL, NULL, 'GRF1-INTERACTING FACTOR 1', 150199),
(206474, 'PTHR27001:SF8', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 2', 150200),
(206475, 'PTHR13068:SF120', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF2, CHLOROPLASTIC-LIKE ISOFORM X1', 150201),
(206476, 'PTHR22619:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 4', 150202),
(206477, 'PTHR14074:SF29', NULL, NULL, NULL, NULL, 'DICER-RELATED HELICASE', 150203),
(206478, 'PTHR36842', NULL, NULL, NULL, NULL, 'PROTEIN TOLB HOMOLOG', 150204),
(206479, 'PTHR43650:SF11', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT BETA', 150205),
(206480, 'PTHR15301:SF10', NULL, NULL, NULL, NULL, 'INSULIN-INDUCED GENE 2 PROTEIN', 150206),
(206481, 'PTHR23070:SF21', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 150207),
(206482, 'PTHR11690:SF266', NULL, NULL, NULL, NULL, 'DEGENERIN-RELATED TOUCH-INVOLVED CHANNEL', 150208),
(206483, 'PTHR11709:SF351', NULL, NULL, NULL, NULL, 'LACCASE', 150209),
(206484, 'PTHR22897', NULL, NULL, NULL, NULL, 'QUIESCIN Q6-RELATED SULFHYDRYL OXIDASE', 150210),
(206485, 'PTHR31371:SF10', NULL, NULL, NULL, NULL, 'DUF3475 DOMAIN PROTEIN', 150211),
(206486, 'PTHR33165:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150212),
(206487, 'PTHR32444:SF139', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 150213),
(206488, 'PTHR14049:SF5', NULL, NULL, NULL, NULL, 'PROLYL 3-HYDROXYLASE 1', 150214),
(206489, 'PTHR48005:SF29', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RCH1', 150215),
(206490, 'PTHR24072:SF105', NULL, NULL, NULL, NULL, 'RAS-RELATED C3 BOTULINUM TOXIN SUBSTRATE 1', 150216),
(206491, 'PTHR31207:SF28', NULL, NULL, NULL, NULL, 'BNAA05G27010D PROTEIN', 150217),
(206492, 'PTHR33513:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150218),
(206493, 'PTHR10314:SF195', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL L-3-CYANOALANINE SYNTHASE/CYSTEINE SYNTHASE D1', 150219),
(206494, 'PTHR45527:SF2', NULL, NULL, NULL, NULL, 'FERRICROCIN SYNTHETASE (NONRIBOSOMAL PEPTIDE SIDEROPHORE SYNTHASE ) (EUROFUNG)', 150220),
(206495, 'PTHR31371:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150221),
(206496, 'PTHR12434:SF6', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 22', 150222),
(206497, 'PTHR44889:SF1', NULL, NULL, NULL, NULL, 'INACTIVE HYDROXYSTEROID DEHYDROGENASE-LIKE PROTEIN 1', 150223),
(206498, 'PTHR14430:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150224),
(206499, 'PTHR31719:SF181', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 104-LIKE', 150225),
(206500, 'PTHR47996:SF4', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', 150226),
(206501, 'PTHR42884:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150227),
(206502, 'PTHR43643:SF3', NULL, NULL, NULL, NULL, 'HISTIDINOL-PHOSPHATE AMINOTRANSFERASE 2', 150228),
(206503, 'PTHR43568:SF1', NULL, NULL, NULL, NULL, 'P PROTEIN', 150229),
(206504, 'PTHR48022:SF14', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G05190)-RELATED', 150230),
(206505, 'PTHR24092:SF154', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 150231),
(206506, 'PTHR11814:SF228', NULL, NULL, NULL, NULL, 'BNAC01G35550D PROTEIN', 150232),
(206507, 'PTHR43844:SF2', NULL, NULL, NULL, NULL, 'SYNTHASE, VITAMIN-B12 INDEPENDENT, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12060)-RELATED', 150233); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(206508, 'PTHR31645:SF6', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL13-RELATED', 150234),
(206509, 'PTHR42695:SF17', NULL, NULL, NULL, NULL, 'CLASS I GLUTAMINE AMIDOTRANSFERASE-LIKE PROTEIN-RELATED', 150235),
(206510, 'PTHR33730', NULL, NULL, NULL, NULL, 'OS05G0542732 PROTEIN-RELATED', 150236),
(206511, 'PTHR23186', NULL, NULL, NULL, NULL, 'RETINOIC ACID-INDUCED PROTEIN 2', 150237),
(206512, 'PTHR12138:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150238),
(206513, 'PTHR11485:SF30', NULL, NULL, NULL, NULL, 'TRANSFERRIN', 150239),
(206514, 'PTHR22791:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG12358', 150240),
(206515, 'PTHR10593:SF172', NULL, NULL, NULL, NULL, 'BNACNNG76910D PROTEIN', 150241),
(206516, 'PTHR47941:SF12', NULL, NULL, NULL, NULL, 'OS03G0363700 PROTEIN', 150242),
(206517, 'PTHR33237:SF26', NULL, NULL, NULL, NULL, 'OS06G0499100 PROTEIN', 150243),
(206518, 'PTHR18934:SF232', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150244),
(206519, 'PTHR45701:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150245),
(206520, 'PTHR18896:SF67', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 150246),
(206521, 'PTHR22792:SF127', NULL, NULL, NULL, NULL, 'LUPUS LA PROTEIN', 150247),
(206522, 'PTHR34958', NULL, NULL, NULL, NULL, 'CONDITIONAL LOSS-OF-GROWTH 1', 150248),
(206523, 'PTHR11246:SF1', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 6', 150249),
(206524, 'PTHR10766:SF44', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 12', 150250),
(206525, 'PTHR45663:SF11', NULL, NULL, NULL, NULL, 'GEO12009P1', 150251),
(206526, 'PTHR11214:SF284', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT6-LIKE', 150252),
(206527, 'PTHR23430:SF47', NULL, NULL, NULL, NULL, 'HISTONE H2A.Z', 150253),
(206528, 'PTHR12767:SF10', NULL, NULL, NULL, NULL, 'B-CELL CLL/LYMPHOMA 7 PROTEIN FAMILY MEMBER C', 150254),
(206529, 'PTHR13968:SF21', NULL, NULL, NULL, NULL, 'RALY RNA-BINDING PROTEIN-LIKE', 150255),
(206530, 'PTHR43359', NULL, NULL, NULL, NULL, 'FORMATE HYDROGENLYASE SUBUNIT 4', 150256),
(206531, 'PTHR33144:SF24', NULL, NULL, NULL, NULL, 'BROMODOMAIN, PUTATIVE TRANSPOSASE, PTTA/EN/SPM, PLANT-RELATED', 150257),
(206532, 'PTHR32285:SF304', NULL, NULL, NULL, NULL, 'DUF231 DOMAIN CONTAINING FAMILY PROTEIN-RELATED', 150258),
(206533, 'PTHR22743', NULL, NULL, NULL, NULL, 'MEPRIN/TRAF-LIKE MATH FAMILY-C.ELEGANS', 150259),
(206534, 'PTHR34047:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR INTRON MATURASE 2, MITOCHONDRIAL', 150260),
(206535, 'PTHR23309:SF40', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE/ISOMERASE FAMILY-RELATED', 150261),
(206536, 'PTHR31517:SF60', NULL, NULL, NULL, NULL, 'PEROXIDASE', 150262),
(206537, 'PTHR10903:SF138', NULL, NULL, NULL, NULL, 'SI:DKEY-120C6.5', 150263),
(206538, 'PTHR14155:SF202', NULL, NULL, NULL, NULL, 'OS02G0248240 PROTEIN', 150264),
(206539, 'PTHR34806:SF8', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER', 150265),
(206540, 'PTHR28518', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN15', 150266),
(206541, 'PTHR10462:SF29', NULL, NULL, NULL, NULL, 'GLOBOSIDE ALPHA-1,3-N-ACETYLGALACTOSAMINYLTRANSFERASE 1', 150267),
(206542, 'PTHR11364:SF32', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE', 150268),
(206543, 'PTHR15592', NULL, NULL, NULL, NULL, 'MATRIN 3/NUCLEAR PROTEIN 220-RELATED', 150269),
(206544, 'PTHR16262:SF2', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY PROTEIN 26', 150270),
(206545, 'PTHR24103:SF571', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF CONTAINING 25', 150271),
(206546, 'PTHR23198:SF16', NULL, NULL, NULL, NULL, 'F2K11.10', 150272),
(206547, 'PTHR24637:SF313', NULL, NULL, NULL, NULL, 'COLLAGEN', 150273),
(206548, 'PTHR13448:SF5', NULL, NULL, NULL, NULL, 'F26K24.17 PROTEIN', 150274),
(206549, 'PTHR11709:SF303', NULL, NULL, NULL, NULL, 'LACCASE', 150275),
(206550, 'PTHR11426:SF20', NULL, NULL, NULL, NULL, 'HISTONE H3-RELATED', 150276),
(206551, 'PTHR11360:SF271', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G12710)-RELATED', 150277),
(206552, 'PTHR47123:SF13', NULL, NULL, NULL, NULL, 'BNAC07G24720D PROTEIN', 150278);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(206553, 'PTHR30344:SF4', NULL, NULL, NULL, NULL, 'CYCLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11580)-RELATED', 150279),
(206554, 'PTHR31992:SF177', NULL, NULL, NULL, NULL, 'OSJNBA0064G10.24 PROTEIN', 150280),
(206555, 'PTHR35104:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150281),
(206556, 'PTHR31044:SF38', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E 10-LIKE', 150282),
(206557, 'PTHR23316:SF70', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN-RELATED', 150283),
(206558, 'PTHR31897:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG04464', 150284),
(206559, 'PTHR31314:SF91', NULL, NULL, NULL, NULL, 'BNAC03G23810D PROTEIN', 150285),
(206560, 'PTHR22854:SF14', NULL, NULL, NULL, NULL, 'OS09G0255400 PROTEIN', 150286),
(206561, 'PTHR45642', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL3', 150287),
(206562, 'PTHR32178:SF7', NULL, NULL, NULL, NULL, 'IG-LIKE V-TYPE DOMAIN-CONTAINING PROTEIN FAM187A', 150288),
(206563, 'PTHR46634:SF9', NULL, NULL, NULL, NULL, 'ADHESIN-LIKE PROTEIN, PUTATIVE (DUF3741)-RELATED', 150289),
(206564, 'PTHR45621:SF80', NULL, NULL, NULL, NULL, 'KINASE 1B', 150290),
(206565, 'PTHR32258:SF32', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1C', 150291),
(206566, 'PTHR33450:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150292),
(206567, 'PTHR30028:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ALUMINUM SENSITIVE 3', 150293),
(206568, 'PTHR11880:SF44', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15-1-RELATED', 150294),
(206569, 'PTHR48111:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF RPOS', 150295),
(206570, 'PTHR39535:SF2', NULL, NULL, NULL, NULL, 'SPORULATION-DELAYING PROTEIN SDPB', 150296),
(206571, 'PTHR22923:SF50', NULL, NULL, NULL, NULL, 'CEREBELLIN-2', 150297),
(206572, 'PTHR31579:SF55', NULL, NULL, NULL, NULL, 'DUF506 FAMILY PROTEIN', 150298),
(206573, 'PTHR45669:SF52', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', 150299),
(206574, 'PTHR13068:SF177', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR-LIKE', 150300),
(206575, 'PTHR23505:SF58', NULL, NULL, NULL, NULL, 'PROTEIN SPINSTER-LIKE', 150301),
(206576, 'PTHR24071:SF21', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN', 150302),
(206577, 'PTHR22891:SF9', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 7', 150303),
(206578, 'PTHR23266:SF278', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-46', 150304),
(206579, 'PTHR48017:SF44', NULL, NULL, NULL, NULL, 'BNAA03G18790D PROTEIN', 150305),
(206580, 'PTHR31607:SF21', NULL, NULL, NULL, NULL, 'BNAA09G02340D PROTEIN', 150306),
(206581, 'PTHR48018:SF163', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1G1', 150307),
(206582, 'PTHR30151:SF0', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE COMPONENTS OF OTHER BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEM', 150308),
(206583, 'PTHR43860:SF2', NULL, NULL, NULL, NULL, 'BETAINE ALDEHYDE DEHYDROGENASE-RELATED', 150309),
(206584, 'PTHR23317:SF26', NULL, NULL, NULL, NULL, 'ZIZIMIN, ISOFORM K', 150310),
(206585, 'PTHR48047:SF101', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 150311),
(206586, 'PTHR14110:SF5', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 16-4, CHLOROPLASTIC', 150312),
(206587, 'PTHR42982:SF1', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATA', 150313),
(206588, 'PTHR12889', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE SUBUNIT APH-1', 150314),
(206589, 'PTHR45966:SF6', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 4', 150315),
(206590, 'PTHR11260:SF618', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150316),
(206591, 'PTHR11214:SF124', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE HPGT3', 150317),
(206592, 'PTHR31272', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN HI_1454-RELATED', 150318),
(206593, 'PTHR15735:SF14', NULL, NULL, NULL, NULL, 'FORMIN-BINDING PROTEIN 1-LIKE', 150319),
(206594, 'PTHR43285', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE', 150320),
(206595, 'PTHR48019:SF47', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2A', 150321),
(206596, 'PTHR32071:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN TYRR', 150322);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(206597, 'PTHR22902:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150323),
(206598, 'PTHR23028:SF117', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_4G08520)-RELATED', 150324),
(206599, 'PTHR16134:SF80', NULL, NULL, NULL, NULL, 'BNAC03G77500D PROTEIN', 150325),
(206600, 'PTHR31100:SF84', NULL, NULL, NULL, NULL, 'OS09G0464300 PROTEIN', 150326),
(206601, 'PTHR33333:SF4', NULL, NULL, NULL, NULL, 'OS01G0341000 PROTEIN', 150327),
(206602, 'PTHR33144:SF22', NULL, NULL, NULL, NULL, 'PLANT TRANSPOSASE (PTTA/EN/SPM FAMILY)', 150328),
(206603, 'PTHR10969:SF30', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR-ASSOCIATED PROTEIN-LIKE 1', 150329),
(206604, 'PTHR19277:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-14O18.2', 150330),
(206605, 'PTHR13773:SF23', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', 150331),
(206606, 'PTHR13848:SF17', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE 4', 150332),
(206607, 'PTHR28664:SF2', NULL, NULL, NULL, NULL, 'BRAIN-ENRICHED GUANYLATE KINASE-ASSOCIATED PROTEIN', 150333),
(206608, 'PTHR10380:SF213', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 47EG-RELATED', 150334),
(206609, 'PTHR14154:SF98', NULL, NULL, NULL, NULL, 'BNAA10G08750D PROTEIN', 150335),
(206610, 'PTHR19143:SF389', NULL, NULL, NULL, NULL, 'AGAP001554-PA', 150336),
(206611, 'PTHR43243:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150337),
(206612, 'PTHR23413:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150338),
(206613, 'PTHR31989:SF291', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', 150339),
(206614, 'PTHR31901:SF7', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.2-RELATED', 150340),
(206615, 'PTHR13683:SF407', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 150341),
(206616, 'PTHR47574:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150342),
(206617, 'PTHR33512:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1191)-RELATED', 150343),
(206618, 'PTHR12161:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150344),
(206619, 'PTHR33191:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150345),
(206620, 'PTHR27009:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150346),
(206621, 'PTHR44688:SF12', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR-RELATED', 150347),
(206622, 'PTHR11183:SF132', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 150348),
(206623, 'PTHR14407', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 4 PROTEIN  LIGHT-EAR PROTEIN-RELATED', 150349),
(206624, 'PTHR42813:SF4', NULL, NULL, NULL, NULL, 'DEHYDROGENASE 1, PUTATIVE-RELATED', 150350),
(206625, 'PTHR33074:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150351),
(206626, 'PTHR28136:SF4', NULL, NULL, NULL, NULL, 'NUCLEUS EXPORT PROTEIN BRL1', 150352),
(206627, 'PTHR22716:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBR-GON-14', 150353),
(206628, 'PTHR12460:SF2', NULL, NULL, NULL, NULL, 'REGULATION OF NUCLEAR PRE-MRNA DOMAIN-CONTAINING PROTEIN 1A', 150354),
(206629, 'PTHR21049:SF0', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 1', 150355),
(206630, 'PTHR24248:SF33', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5T1', 150356),
(206631, 'PTHR47859:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 150357),
(206632, 'PTHR22893:SF116', NULL, NULL, NULL, NULL, 'ALDOLASE-TYPE TIM BARREL-RELATED', 150358),
(206633, 'PTHR12565:SF169', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR(GBOF-1)-LIKE', 150359),
(206634, 'PTHR45765:SF10', NULL, NULL, NULL, NULL, 'METHIONINE--TRNA LIGASE-RELATED', 150360),
(206635, 'PTHR45926:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE1-LIKE', 150361),
(206636, 'PTHR11566:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150362),
(206637, 'PTHR10543:SF120', NULL, NULL, NULL, NULL, '9-CIS-EPOXYCAROTENOID DIOXYGENASE NCED5, CHLOROPLASTIC', 150363),
(206638, 'PTHR47813:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE SUPERFAMILY PROTEIN', 150364),
(206639, 'PTHR30411:SF1', NULL, NULL, NULL, NULL, 'YBAK / PROLYL-TRNA SYNTHETASES ASSOCIATED DOMAIN CONTAINING PROTEIN', 150365);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(206640, 'PTHR48002:SF69', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 150366),
(206641, 'PTHR11999:SF93', NULL, NULL, NULL, NULL, 'TRYPTOPHAN DECARBOXYLASE 1', 150367),
(206642, 'PTHR24351:SF116', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 150368),
(206643, 'PTHR30472:SF19', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN HI_1471-RELATED', 150369),
(206644, 'PTHR48111:SF37', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 150370),
(206645, 'PTHR31601:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S36, MITOCHONDRIAL', 150371),
(206646, 'PTHR21304:SF0', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC10', 150372),
(206647, 'PTHR33768:SF5', NULL, NULL, NULL, NULL, 'CFAP97 DOMAIN-CONTAINING 1', 150373),
(206648, 'PTHR37702:SF1', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 150374),
(206649, 'PTHR45868:SF41', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', 150375),
(206650, 'PTHR10791:SF193', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 150376),
(206651, 'PTHR23139:SF111', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF LARGE SUBUNIT A-LIKE', 150377),
(206652, 'PTHR34662', NULL, NULL, NULL, NULL, 'OS04G0422700 PROTEIN', 150378),
(206653, 'PTHR43004:SF17', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 150379),
(206654, 'PTHR11017:SF255', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 150380),
(206655, 'PTHR22934:SF23', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL REGULATORY PROTEIN WETA', 150381),
(206656, 'PTHR46354:SF4', NULL, NULL, NULL, NULL, 'OS01G0159000 PROTEIN', 150382),
(206657, 'PTHR31311:SF33', NULL, NULL, NULL, NULL, 'BNACNNG19100D PROTEIN', 150383),
(206658, 'PTHR15858:SF0', NULL, NULL, NULL, NULL, 'IMMEDIATE EARLY RESPONSE 3-INTERACTING PROTEIN 1', 150384),
(206659, 'PTHR14139:SF5', NULL, NULL, NULL, NULL, 'CALSYNTENIN-3', 150385),
(206660, 'PTHR12483:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150386),
(206661, 'PTHR14911:SF13', NULL, NULL, NULL, NULL, 'THUMP DOMAIN-CONTAINING PROTEIN 3', 150387),
(206662, 'PTHR10204', NULL, NULL, NULL, NULL, 'NAD P H OXIDOREDUCTASE-RELATED', 150388),
(206663, 'PTHR31065:SF43', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', 150389),
(206664, 'PTHR24223:SF108', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 8', 150390),
(206665, 'PTHR12357:SF91', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CARBOXY-TERMINAL REGION PROTEIN', 150391),
(206666, 'PTHR12002:SF78', NULL, NULL, NULL, NULL, 'CLAUDIN-7', 150392),
(206667, 'PTHR26374:SF381', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 15-LIKE', 150393),
(206668, 'PTHR34644', NULL, NULL, NULL, NULL, 'SINGLE-PASS MEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 4', 150394),
(206669, 'PTHR14958:SF24', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD17', 150395),
(206670, 'PTHR34673:SF2', NULL, NULL, NULL, NULL, 'BNAA10G17250D PROTEIN', 150396),
(206671, 'PTHR47597:SF4', NULL, NULL, NULL, NULL, 'BNAC01G35870D PROTEIN', 150397),
(206672, 'PTHR20930', NULL, NULL, NULL, NULL, 'OVARIAN CARCINOMA ANTIGEN CA125-RELATED', 150398),
(206673, 'PTHR21685:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150399),
(206674, 'PTHR21237', NULL, NULL, NULL, NULL, 'GRPE PROTEIN', 150400),
(206675, 'PTHR30465:SF44', NULL, NULL, NULL, NULL, 'ABC-TYPE DIPEPTIDE/OLIGOPEPTIDE TRANSPORT SYSTEM, PERMEASE COMPONENT', 150401),
(206676, 'PTHR24006:SF651', NULL, NULL, NULL, NULL, 'INACTIVE UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 17-LIKE PROTEIN 4-RELATED', 150402),
(206677, 'PTHR12931:SF25', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE OTUBAIN-LIKE', 150403),
(206678, 'PTHR19920:SF1', NULL, NULL, NULL, NULL, 'CYTOSOLIC IRON-SULFUR PROTEIN ASSEMBLY PROTEIN CIAO1 HOMOLOG-RELATED', 150404),
(206679, 'PTHR31672:SF3', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 150405),
(206680, 'PTHR48041:SF30', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN PDR/CDR-RELATED', 150406);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(206681, 'PTHR11771:SF128', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 150407),
(206682, 'PTHR10543:SF113', NULL, NULL, NULL, NULL, 'OS09G0321200 PROTEIN', 150408),
(206683, 'PTHR48242:SF1', NULL, NULL, NULL, NULL, 'BNAA02G09820D PROTEIN', 150409),
(206684, 'PTHR10768:SF28', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', 150410),
(206685, 'PTHR42830:SF2', NULL, NULL, NULL, NULL, 'OSMC/OHR FAMILY PROTEIN', 150411),
(206686, 'PTHR47938:SF25', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 150412),
(206687, 'PTHR21433:SF6', NULL, NULL, NULL, NULL, 'TMPIT-LIKE PROTEIN-RELATED', 150413),
(206688, 'PTHR43638:SF3', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, ALDO/KETO REDUCTASE FAMILY PROTEIN', 150414),
(206689, 'PTHR36170', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 89 KDA', 150415),
(206690, 'PTHR13428:SF8', NULL, NULL, NULL, NULL, 'LEM DOMAIN-CONTAINING PROTEIN 2', 150416),
(206691, 'PTHR11913:SF98', NULL, NULL, NULL, NULL, 'ACTIN DEPOLYMERIZING FACTOR 5-RELATED', 150417),
(206692, 'PTHR36692:SF2', NULL, NULL, NULL, NULL, 'GEO12064P1', 150418),
(206693, 'PTHR14339:SF10', NULL, NULL, NULL, NULL, 'VASCULIN-LIKE PROTEIN 1', 150419),
(206694, 'PTHR43968:SF8', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00590)-RELATED', 150420),
(206695, 'PTHR12128:SF58', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE SYNTHASE', 150421),
(206696, 'PTHR36975', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 150422),
(206697, 'PTHR31589:SF133', NULL, NULL, NULL, NULL, 'OS08G0411100 PROTEIN', 150423),
(206698, 'PTHR12286:SF8', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 150424),
(206699, 'PTHR21713:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150425),
(206700, 'PTHR24222:SF54', NULL, NULL, NULL, NULL, 'BRACHYTIC2', 150426),
(206701, 'PTHR23354:SF111', NULL, NULL, NULL, NULL, 'TLD-DOMAIN NUCLEOLAR PROTEIN', 150427),
(206702, 'PTHR10774:SF187', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 150428),
(206703, 'PTHR46531', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 6', 150429),
(206704, 'PTHR10516:SF422', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 150430),
(206705, 'PTHR42801:SF17', NULL, NULL, NULL, NULL, 'AHPC/TSA FAMILY PROTEIN', 150431),
(206706, 'PTHR18868', NULL, NULL, NULL, NULL, 'OS07G0665300 PROTEIN-RELATED', 150432),
(206707, 'PTHR23308:SF55', NULL, NULL, NULL, NULL, 'FHA DOMAIN CONTAINING PROTEIN, EXPRESSED', 150433),
(206708, 'PTHR34061:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150434),
(206709, 'PTHR13318:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150435),
(206710, 'PTHR18945:SF611', NULL, NULL, NULL, NULL, 'IONOTROPIC GABA RECEPTOR SUBUNIT UNC-49B.3', 150436),
(206711, 'PTHR45669:SF28', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN FAMILY PROTEIN', 150437),
(206712, 'PTHR33065:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150438),
(206713, 'PTHR33681:SF20', NULL, NULL, NULL, NULL, 'CITRATE-BINDING PROTEIN-LIKE', 150439),
(206714, 'PTHR10822:SF12', NULL, NULL, NULL, NULL, 'GLYPICAN-5', 150440),
(206715, 'PTHR37958', NULL, NULL, NULL, NULL, 'SODIUM-POTASSIUM/PROTON ANTIPORTER CHAA', 150441),
(206716, 'PTHR11046:SF15', NULL, NULL, NULL, NULL, 'ZGC:109744', 150442),
(206717, 'PTHR11945:SF219', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 16', 150443),
(206718, 'PTHR22958:SF34', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD3', 150444),
(206719, 'PTHR37223:SF1', NULL, NULL, NULL, NULL, 'OS08G0528601 PROTEIN', 150445),
(206720, 'PTHR31650:SF33', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE PROTEIN', 150446),
(206721, 'PTHR34543:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ABA DEFICIENT 4, CHLOROPLASTIC', 150447),
(206722, 'PTHR48043:SF65', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 150448),
(206723, 'PTHR31096:SF56', NULL, NULL, NULL, NULL, 'FOUR ACT DOMAIN ACT DOMAIN PROTEIN WHICH PROTEIN', 150449),
(206724, 'PTHR19970:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150450),
(206725, 'PTHR22946', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 150451);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(206726, 'PTHR45748:SF5', NULL, NULL, NULL, NULL, 'OS08G0104700 PROTEIN', 150452),
(206727, 'PTHR47433', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 17', 150453),
(206728, 'PTHR45631:SF68', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 150454),
(206729, 'PTHR22943:SF42', NULL, NULL, NULL, NULL, 'PROTEIN CBG25139', 150455),
(206730, 'PTHR11913:SF103', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 2-LIKE', 150456),
(206731, 'PTHR10925:SF7', NULL, NULL, NULL, NULL, 'RNA CYTIDINE ACETYLTRANSFERASE 2', 150457),
(206732, 'PTHR45738:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC3-RELATED', 150458),
(206733, 'PTHR31989:SF40', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 89', 150459),
(206734, 'PTHR33270:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150460),
(206735, 'PTHR33595:SF3', NULL, NULL, NULL, NULL, 'OS07G0585700 PROTEIN', 150461),
(206736, 'PTHR46627:SF1', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE O', 150462),
(206737, 'PTHR45659:SF14', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A6', 150463),
(206738, 'PTHR21654:SF82', NULL, NULL, NULL, NULL, 'BNAC06G18740D PROTEIN', 150464),
(206739, 'PTHR34961:SF8', NULL, NULL, NULL, NULL, 'OS04G0554900 PROTEIN', 150465),
(206740, 'PTHR45969:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150466),
(206741, 'PTHR31107:SF2', NULL, NULL, NULL, NULL, 'APOPTOGENIC PROTEIN 1, MITOCHONDRIAL', 150467),
(206742, 'PTHR23428:SF293', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-B', 150468),
(206743, 'PTHR47095:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 222', 150469),
(206744, 'PTHR45771:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B4', 150470),
(206745, 'PTHR10201:SF282', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 3-MMP-LIKE', 150471),
(206746, 'PTHR27004:SF378', NULL, NULL, NULL, NULL, 'BNAA07G38650D PROTEIN', 150472),
(206747, 'PTHR24253:SF41', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11A', 150473),
(206748, 'PTHR22943:SF40', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 150474),
(206749, 'PTHR23235:SF79', NULL, NULL, NULL, NULL, 'KRUPPEL-LIKE FACTOR 18', 150475),
(206750, 'PTHR12271:SF41', NULL, NULL, NULL, NULL, 'POLYMERASE, PUTATIVE-RELATED', 150476),
(206751, 'PTHR47966:SF16', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEASE 6', 150477),
(206752, 'PTHR15974:SF0', NULL, NULL, NULL, NULL, 'CYTOKINE-LIKE PROTEIN 1', 150478),
(206753, 'PTHR10498:SF10', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 2', 150479),
(206754, 'PTHR31517:SF63', NULL, NULL, NULL, NULL, 'PEROXIDASE', 150480),
(206755, 'PTHR22745:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150481),
(206756, 'PTHR10441', NULL, NULL, NULL, NULL, 'CD8 ALPHA CHAIN', 150482),
(206757, 'PTHR35514', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 150483),
(206758, 'PTHR12629:SF35', NULL, NULL, NULL, NULL, 'DIPHOSPHOINOSITOL POLYPHOSPHATE PHOSPHOHYDROLASE 3-BETA', 150484),
(206759, 'PTHR15367:SF4', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC7-LIKE', 150485),
(206760, 'PTHR19422:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150486),
(206761, 'PTHR19857:SF19', NULL, NULL, NULL, NULL, 'THYROID HORMONE UP-REGULATED PROTEIN (GENE 16)', 150487),
(206762, 'PTHR27007:SF344', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', 150488),
(206763, 'PTHR10857:SF2', NULL, NULL, NULL, NULL, 'COPINE-1', 150489),
(206764, 'PTHR45648:SF129', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 150490),
(206765, 'PTHR31689:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150491),
(206766, 'PTHR11746:SF142', NULL, NULL, NULL, NULL, 'TRIBOA-GLUCOSIDE O-METHYLTRANSFERASE BX7', 150492),
(206767, 'PTHR33452:SF18', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YPHA-RELATED', 150493),
(206768, 'PTHR33109:SF10', NULL, NULL, NULL, NULL, 'OS04G0457700 PROTEIN', 150494),
(206769, 'PTHR11359:SF4', NULL, NULL, NULL, NULL, 'DEAMINASE, PUTATIVE-RELATED', 150495),
(206770, 'PTHR10666:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150496);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(206771, 'PTHR14212:SF0', NULL, NULL, NULL, NULL, 'U4/U6 SMALL NUCLEAR RIBONUCLEOPROTEIN PRP3', 150497),
(206772, 'PTHR48100:SF22', NULL, NULL, NULL, NULL, 'HISTIDINE PHOSPHATASE SUPERFAMILY, CLADE-1', 150498),
(206773, 'PTHR32295:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150499),
(206774, 'PTHR30519:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150500),
(206775, 'PTHR33377:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150501),
(206776, 'PTHR23062:SF9', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 150502),
(206777, 'PTHR11909:SF355', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 13', 150503),
(206778, 'PTHR11594:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27-1-RELATED', 150504),
(206779, 'PTHR31118:SF21', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE-LIKE ISOFORM X1', 150505),
(206780, 'PTHR33640:SF26', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 150506),
(206781, 'PTHR47925:SF102', NULL, NULL, NULL, NULL, 'BNAC07G31320D PROTEIN', 150507),
(206782, 'PTHR24049:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CRUMBS HOMOLOG 2', 150508),
(206783, 'PTHR31148', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN C', 150509),
(206784, 'PTHR17630:SF92', NULL, NULL, NULL, NULL, 'ENDO-1,31,4-BETA-D-GLUCANASE-LIKE ISOFORM X1', 150510),
(206785, 'PTHR34195:SF3', NULL, NULL, NULL, NULL, 'BNAA06G00210D PROTEIN', 150511),
(206786, 'PTHR11280', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-6-PHOSPHATE ISOMERASE', 150512),
(206787, 'PTHR34961:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150513),
(206788, 'PTHR42898:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150514),
(206789, 'PTHR11827:SF48', NULL, NULL, NULL, NULL, 'GH09711P', 150515),
(206790, 'PTHR45647:SF92', NULL, NULL, NULL, NULL, 'BNAA10G11060D PROTEIN', 150516),
(206791, 'PTHR22814:SF335', NULL, NULL, NULL, NULL, 'FARNESYLATED PROTEIN 6-RELATED', 150517),
(206792, 'PTHR31096:SF78', NULL, NULL, NULL, NULL, 'BNAA02G27260D PROTEIN', 150518),
(206793, 'PTHR46853:SF1', NULL, NULL, NULL, NULL, 'METHYLOSOME PROTEIN 50', 150519),
(206794, 'PTHR34462:SF3', NULL, NULL, NULL, NULL, 'INTRACELLULAR PROTEIN TRANSPORTER', 150520),
(206795, 'PTHR47388:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 18', 150521),
(206796, 'PTHR26453:SF255', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 150522),
(206797, 'PTHR11679:SF71', NULL, NULL, NULL, NULL, 'SEC1 FAMILY DOMAIN-CONTAINING PROTEIN MIP3', 150523),
(206798, 'PTHR10110:SF86', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 7', 150524),
(206799, 'PTHR31953:SF73', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 32-RELATED', 150525),
(206800, 'PTHR31718:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150526),
(206801, 'PTHR31718:SF27', NULL, NULL, NULL, NULL, 'OS05G0171200 PROTEIN', 150527),
(206802, 'PTHR46156:SF2', NULL, NULL, NULL, NULL, 'BNAA06G15300D PROTEIN', 150528),
(206803, 'PTHR19282:SF412', NULL, NULL, NULL, NULL, 'TETRASPANIN/PERIPHERIN-RELATED', 150529),
(206804, 'PTHR31636:SF224', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 13', 150530),
(206805, 'PTHR31480:SF0', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL LYCOPENE CYCLASE/PHYTOENE SYNTHASE', 150531),
(206806, 'PTHR46747:SF1', NULL, NULL, NULL, NULL, 'ALPHA-PROTEIN KINASE 1', 150532),
(206807, 'PTHR18952', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 150533),
(206808, 'PTHR21590', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 150534),
(206809, 'PTHR30514:SF19', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GLVR', 150535),
(206810, 'PTHR18884:SF54', NULL, NULL, NULL, NULL, 'SEPTIN-8', 150536),
(206811, 'PTHR22847:SF560', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 5', 150537),
(206812, 'PTHR13718:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S2', 150538),
(206813, 'PTHR12629:SF46', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 13, MITOCHONDRIAL-LIKE', 150539),
(206814, 'PTHR46606:SF3', NULL, NULL, NULL, NULL, 'SHOOTIN-1', 150540),
(206815, 'PTHR46128:SF75', NULL, NULL, NULL, NULL, 'BNAA06G40110D PROTEIN', 150541),
(206816, 'PTHR41967', NULL, NULL, NULL, NULL, 'FI19406P1-RELATED', 150542);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(206817, 'PTHR24223:SF10', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 9', 150543),
(206818, 'PTHR12069', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES III 80 KDA POLYPEPTIDE  RNA POLYMERASE III SUBUNIT 5', 150544),
(206819, 'PTHR37478:SF2', NULL, NULL, NULL, NULL, 'UPF0251 PROTEIN MJ1243', 150545),
(206820, 'PTHR13318:SF86', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 10', 150546),
(206821, 'PTHR15907:SF140', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 8-LIKE', 150547),
(206822, 'PTHR31623:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150548),
(206823, 'PTHR12547:SF100', NULL, NULL, NULL, NULL, 'MRNA DECAY ACTIVATOR PROTEIN ZFP36L2', 150549),
(206824, 'PTHR33044:SF29', NULL, NULL, NULL, NULL, 'LIPID TRANSFER-LIKE PROTEIN VAS', 150550),
(206825, 'PTHR43313:SF25', NULL, NULL, NULL, NULL, 'D-BETA-HYDROXYBUTYRATE DEHYDROGENASE, MITOCHONDRIAL', 150551),
(206826, 'PTHR11709:SF259', NULL, NULL, NULL, NULL, 'LACCASE-14', 150552),
(206827, 'PTHR45658:SF86', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR STALKY', 150553),
(206828, 'PTHR11349:SF69', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE A', 150554),
(206829, 'PTHR12260', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 150555),
(206830, 'PTHR11575:SF45', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE/APYRASE', 150556),
(206831, 'PTHR36649', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 150557),
(206832, 'PTHR15031:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150558),
(206833, 'PTHR31415:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150559),
(206834, 'PTHR11440:SF88', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID:DIACYLGLYCEROL ACYLTRANSFERASE 1', 150560),
(206835, 'PTHR21089:SF12', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3-DEHYDROQUINATE DEHYDRATASE/SHIKIMATE DEHYDROGENASE, CHLOROPLASTIC-LIKE', 150561),
(206836, 'PTHR31734:SF156', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 150562),
(206837, 'PTHR35182', NULL, NULL, NULL, NULL, 'PROTEIN CBG13762', 150563),
(206838, 'PTHR34953', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE RELATED PROTEIN', 150564),
(206839, 'PTHR42752', NULL, NULL, NULL, NULL, 'IMIDAZOLONEPROPIONASE', 150565),
(206840, 'PTHR33147:SF81', NULL, NULL, NULL, NULL, 'DEFENSIN SD2', 150566),
(206841, 'PTHR42854:SF10', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 3', 150567),
(206842, 'PTHR10353:SF237', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 16', 150568),
(206843, 'PTHR15184:SF62', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS ATP SYNTHASE SSAN-RELATED', 150569),
(206844, 'PTHR10593:SF175', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 6, CHLOROPLASTIC', 150570),
(206845, 'PTHR31839:SF45', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1F', 150571),
(206846, 'PTHR10503:SF7', NULL, NULL, NULL, NULL, 'C.ELEGANS CHROMODOMAIN PROTEIN', 150572),
(206847, 'PTHR31563:SF13', NULL, NULL, NULL, NULL, 'ION CHANNEL POLLUX-LIKE 1-RELATED', 150573),
(206848, 'PTHR31903:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150574),
(206849, 'PTHR31509:SF101', NULL, NULL, NULL, NULL, 'BNAC03G61000D PROTEIN', 150575),
(206850, 'PTHR10468:SF10', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 2-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE-RELATED', 150576),
(206851, 'PTHR47981:SF28', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB7', 150577),
(206852, 'PTHR10430:SF30', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN PRXA-RELATED', 150578),
(206853, 'PTHR16089:SF13', NULL, NULL, NULL, NULL, 'REST COREPRESSOR 3', 150579),
(206854, 'PTHR31279:SF37', NULL, NULL, NULL, NULL, 'OS06G0220300 PROTEIN', 150580),
(206855, 'PTHR31958:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 127', 150581),
(206856, 'PTHR18966:SF385', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, NMDA 2D', 150582),
(206857, 'PTHR33149', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', 150583),
(206858, 'PTHR26453:SF79', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2W5-RELATED', 150584),
(206859, 'PTHR46598:SF5', NULL, NULL, NULL, NULL, 'BNAC05G43320D PROTEIN', 150585);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(206860, 'PTHR48022:SF44', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14610)-RELATED', 150586),
(206861, 'PTHR11746:SF181', NULL, NULL, NULL, NULL, 'F16P17.4 PROTEIN-RELATED', 150587),
(206862, 'PTHR34871:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150588),
(206863, 'PTHR48048:SF18', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 150589),
(206864, 'PTHR46158:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 150590),
(206865, 'PTHR22765:SF266', NULL, NULL, NULL, NULL, 'RECEPTOR HOMOLOGY REGION, TRANSMEMBRANE DOMAIN- AND RING DOMAIN-CONTAINING PROTEIN 2-LIKE', 150591),
(206866, 'PTHR12663:SF2', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PROTEIN PDS5 HOMOLOG A', 150592),
(206867, 'PTHR26450:SF132', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 654', 150593),
(206868, 'PTHR10969:SF50', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEINS 1A/1B LIGHT CHAIN 3C', 150594),
(206869, 'PTHR13615:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE DOMAIN-CONTAINING PROTEIN 1', 150595),
(206870, 'PTHR23292:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04949', 150596),
(206871, 'PTHR35971:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-31G6.6', 150597),
(206872, 'PTHR35660', NULL, NULL, NULL, NULL, 'SERINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', 150598),
(206873, 'PTHR46347', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 150599),
(206874, 'PTHR43625:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150600),
(206875, 'PTHR37564:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150601),
(206876, 'PTHR12645:SF0', NULL, NULL, NULL, NULL, 'FAD-LINKED SULFHYDRYL OXIDASE ALR', 150602),
(206877, 'PTHR31662:SF61', NULL, NULL, NULL, NULL, 'GLABROUS1 ENHANCER-BINDING PROTEIN-LIKE 3', 150603),
(206878, 'PTHR22951:SF98', NULL, NULL, NULL, NULL, 'BNAA06G34790D PROTEIN', 150604),
(206879, 'PTHR33136:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150605),
(206880, 'PTHR31169:SF22', NULL, NULL, NULL, NULL, 'ZINC-FINGER DOMAIN OF MONOAMINE-OXIDASE A REPRESSOR R1 PROTEIN-RELATED', 150606),
(206881, 'PTHR31942:SF94', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 150607),
(206882, 'PTHR11003:SF171', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS PROTEIN 18', 150608),
(206883, 'PTHR45768:SF19', NULL, NULL, NULL, NULL, 'OS06G0167200 PROTEIN', 150609),
(206884, 'PTHR31321:SF108', NULL, NULL, NULL, NULL, 'PECTINESTERASE A', 150610),
(206885, 'PTHR33346:SF32', NULL, NULL, NULL, NULL, 'DEHYDRIN RAB16D', 150611),
(206886, 'PTHR20275:SF31', NULL, NULL, NULL, NULL, 'NAD KINASE 3-RELATED', 150612),
(206887, 'PTHR24416:SF173', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-B RECEPTOR 1', 150613),
(206888, 'PTHR35177:SF2', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYBG', 150614),
(206889, 'PTHR33490:SF12', NULL, NULL, NULL, NULL, 'BLL5557 PROTEIN', 150615),
(206890, 'PTHR19957:SF264', NULL, NULL, NULL, NULL, 'SYNTAXIN-73', 150616),
(206891, 'PTHR10209:SF712', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 6', 150617),
(206892, 'PTHR44329:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150618),
(206893, 'PTHR43353:SF11', NULL, NULL, NULL, NULL, 'SUCCINATE SEMIALDEHYDE DEHYDROGENASE (EUROFUNG)', 150619),
(206894, 'PTHR24356:SF322', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE N2', 150620),
(206895, 'PTHR47983:SF25', NULL, NULL, NULL, NULL, 'OS02G0565500 PROTEIN', 150621),
(206896, 'PTHR46128:SF228', NULL, NULL, NULL, NULL, 'BNAA05G30910D PROTEIN', 150622),
(206897, 'PTHR30314:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DIVISION PROTEIN FSZA', 150623),
(206898, 'PTHR42844:SF6', NULL, NULL, NULL, NULL, '7,8-DIHYDRONEOPTERIN ALDOLASE', 150624),
(206899, 'PTHR14649:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER C2HC DOMAIN-CONTAINING PROTEIN 1C', 150625),
(206900, 'PTHR45693:SF33', NULL, NULL, NULL, NULL, 'TGA7', 150626),
(206901, 'PTHR37898:SF1', NULL, NULL, NULL, NULL, 'OS05G0540200 PROTEIN', 150627),
(206902, 'PTHR21495:SF192', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 150628),
(206903, 'PTHR19375:SF430', NULL, NULL, NULL, NULL, 'OS01G0688900 PROTEIN', 150629);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(206904, 'PTHR28013', NULL, NULL, NULL, NULL, 'PROTEIN DCV1-RELATED', 150630),
(206905, 'PTHR31391:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150631),
(206906, 'PTHR12681:SF10', NULL, NULL, NULL, NULL, 'OS03G0385301 PROTEIN', 150632),
(206907, 'PTHR27000:SF584', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RPK2', 150633),
(206908, 'PTHR21479:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG00204', 150634),
(206909, 'PTHR31089:SF50', NULL, NULL, NULL, NULL, 'BNACNNG12240D PROTEIN', 150635),
(206910, 'PTHR31953:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150636),
(206911, 'PTHR13516:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 150637),
(206912, 'PTHR10353:SF214', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 44-LIKE', 150638),
(206913, 'PTHR13301:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150639),
(206914, 'PTHR22595:SF156', NULL, NULL, NULL, NULL, 'BNAC04G53040D PROTEIN', 150640),
(206915, 'PTHR23138:SF88', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 3-LIKE', 150641),
(206916, 'PTHR23500:SF502', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 10', 150642),
(206917, 'PTHR36409:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 150643),
(206918, 'PTHR45771:SF6', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN DEFORMED', 150644),
(206919, 'PTHR31225:SF115', NULL, NULL, NULL, NULL, '(E,E)-GERMACRENE B SYNTHASE', 150645),
(206920, 'PTHR31741:SF87', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', 150646),
(206921, 'PTHR43085:SF28', NULL, NULL, NULL, NULL, 'CARBOHYDRATE KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 150647),
(206922, 'PTHR23076', NULL, NULL, NULL, NULL, 'METALLOPROTEASE M41 FTSH', 150648),
(206923, 'PTHR37003:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150649),
(206924, 'PTHR11847:SF25', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L15', 150650),
(206925, 'PTHR39653:SF4', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 20-1', 150651),
(206926, 'PTHR11716:SF94', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2', 150652),
(206927, 'PTHR15885:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 174', 150653),
(206928, 'PTHR21066:SF3', NULL, NULL, NULL, NULL, 'GH25962P-RELATED', 150654),
(206929, 'PTHR24388:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 280B', 150655),
(206930, 'PTHR33373:SF18', NULL, NULL, NULL, NULL, 'OS01G0172300 PROTEIN', 150656),
(206931, 'PTHR16830:SF13', NULL, NULL, NULL, NULL, 'FYN-BINDING PROTEIN 1', 150657),
(206932, 'PTHR24211', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN', 150658),
(206933, 'PTHR11070:SF48', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE/NUCLEASE SUBUNIT A', 150659),
(206934, 'PTHR11926:SF1370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150660),
(206935, 'PTHR10638:SF78', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 150661),
(206936, 'PTHR23501:SF169', NULL, NULL, NULL, NULL, 'SLR0616 PROTEIN', 150662),
(206937, 'PTHR13780:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150663),
(206938, 'PTHR10288:SF146', NULL, NULL, NULL, NULL, 'OS07G0439100 PROTEIN', 150664),
(206939, 'PTHR43624', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN-QUINONE OXIDOREDUCTASE YDIS-RELATED', 150665),
(206940, 'PTHR13022:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT K', 150666),
(206941, 'PTHR45673:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 150667),
(206942, 'PTHR47990:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150668),
(206943, 'PTHR32141:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150669),
(206944, 'PTHR31929:SF49', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR15', 150670),
(206945, 'PTHR23201:SF88', NULL, NULL, NULL, NULL, 'SNAKIN-1', 150671),
(206946, 'PTHR11260:SF663', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150672),
(206947, 'PTHR46293:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN PROTEIN LIGASE DRIP2, PUTATIVE-RELATED', 150673),
(206948, 'PTHR32227:SF151', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE-RELATED', 150674),
(206949, 'PTHR46662:SF30', NULL, NULL, NULL, NULL, 'BNAA04G18480D PROTEIN', 150675);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(206950, 'PTHR46148:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150676),
(206951, 'PTHR22891:SF159', NULL, NULL, NULL, NULL, 'BNAA05G14760D PROTEIN', 150677),
(206952, 'PTHR23257:SF753', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0268876-RELATED', 150678),
(206953, 'PTHR10367:SF22', NULL, NULL, NULL, NULL, 'MRNA CAPPING ENZYME, BIFUNCTIONAL-RELATED', 150679),
(206954, 'PTHR12752:SF2', NULL, NULL, NULL, NULL, 'MCG20355', 150680),
(206955, 'PTHR11043:SF2', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-1', 150681),
(206956, 'PTHR20978:SF3', NULL, NULL, NULL, NULL, 'SPLICING FACTOR SUBUNIT', 150682),
(206957, 'PTHR33982:SF1', NULL, NULL, NULL, NULL, 'OS07G0154300 PROTEIN', 150683),
(206958, 'PTHR45720:SF3', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-KA', 150684),
(206959, 'PTHR45687:SF76', NULL, NULL, NULL, NULL, 'BNAA02G06180D PROTEIN', 150685),
(206960, 'PTHR33426:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150686),
(206961, 'PTHR20931:SF4', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 30B', 150687),
(206962, 'PTHR12980:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 9-LIKE', 150688),
(206963, 'PTHR10887:SF341', NULL, NULL, NULL, NULL, 'ZINC FINGER NFX1-TYPE CONTAINING HOMOLOG', 150689),
(206964, 'PTHR22776:SF45', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE FACTOR', 150690),
(206965, 'PTHR45667:SF20', NULL, NULL, NULL, NULL, 'BNAA04G20810D PROTEIN', 150691),
(206966, 'PTHR45618:SF41', NULL, NULL, NULL, NULL, 'BNAA02G07340D PROTEIN', 150692),
(206967, 'PTHR23281:SF23', NULL, NULL, NULL, NULL, 'MERLIN', 150693),
(206968, 'PTHR31087:SF103', NULL, NULL, NULL, NULL, 'BNAC04G55550D PROTEIN', 150694),
(206969, 'PTHR10390:SF40', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX5', 150695),
(206970, 'PTHR31636:SF232', NULL, NULL, NULL, NULL, 'BNAA06G02820D PROTEIN', 150696),
(206971, 'PTHR47311', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 150697),
(206972, 'PTHR11017:SF355', NULL, NULL, NULL, NULL, 'BNAA03G46200D PROTEIN', 150698),
(206973, 'PTHR32468:SF150', NULL, NULL, NULL, NULL, 'CATION:PROTON ANTIPORTER, PUTATIVE-RELATED', 150699),
(206974, 'PTHR44042:SF37', NULL, NULL, NULL, NULL, 'OS05G0442400 PROTEIN', 150700),
(206975, 'PTHR33090:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150701),
(206976, 'PTHR31769:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150702),
(206977, 'PTHR30509:SF8', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YCCS', 150703),
(206978, 'PTHR45764:SF18', NULL, NULL, NULL, NULL, 'OS07G0124300 PROTEIN', 150704),
(206979, 'PTHR46834:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR EAT1-LIKE', 150705),
(206980, 'PTHR11910:SF19', NULL, NULL, NULL, NULL, 'ATP SYNTHASE-RELATED', 150706),
(206981, 'PTHR11034:SF50', NULL, NULL, NULL, NULL, 'NDRG, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 150707),
(206982, 'PTHR31867:SF163', NULL, NULL, NULL, NULL, 'EXPANSIN', 150708),
(206983, 'PTHR12411:SF675', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150709),
(206984, 'PTHR12873:SF0', NULL, NULL, NULL, NULL, 'TWINKLE PROTEIN, MITOCHONDRIAL', 150710),
(206985, 'PTHR11647:SF55', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINASE-RELATED PROTEIN 4', 150711),
(206986, 'PTHR46855:SF15', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER PROTEIN', 150712),
(206987, 'PTHR30041', NULL, NULL, NULL, NULL, 'ARSENATE REDUCTASE', 150713),
(206988, 'PTHR32100:SF58', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE-RELATED', 150714),
(206989, 'PTHR32411:SF59', NULL, NULL, NULL, NULL, 'BNAC01G31750D PROTEIN', 150715),
(206990, 'PTHR20914:SF12', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING 9', 150716),
(206991, 'PTHR28037:SF2', NULL, NULL, NULL, NULL, 'ACR018CP', 150717),
(206992, 'PTHR11210:SF52', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RBX1', 150718),
(206993, 'PTHR48009:SF9', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', 150719),
(206994, 'PTHR23273:SF71', NULL, NULL, NULL, NULL, 'BNAA02G30330D PROTEIN', 150720),
(206995, 'PTHR11064:SF133', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-8', 150721);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(206996, 'PTHR12329:SF45', NULL, NULL, NULL, NULL, 'BNAC07G32520D PROTEIN', 150722),
(206997, 'PTHR10127:SF813', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE DPY-31', 150723),
(206998, 'PTHR33433:SF15', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 2', 150724),
(206999, 'PTHR11570:SF3', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', 150725),
(207000, 'PTHR46910:SF7', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 150726),
(207001, 'PTHR31929:SF115', NULL, NULL, NULL, NULL, 'BNAA10G16750D PROTEIN', 150727),
(207002, 'PTHR19282:SF461', NULL, NULL, NULL, NULL, 'TETRASPANIN-17', 150728),
(207003, 'PTHR35752', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', 150729),
(207004, 'PTHR48003:SF2', NULL, NULL, NULL, NULL, 'BNAC03G64510D PROTEIN', 150730),
(207005, 'PTHR28671:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 169', 150731),
(207006, 'PTHR11002:SF48', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 150732),
(207007, 'PTHR11280:SF6', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-6-PHOSPHATE ISOMERASE NAGB', 150733),
(207008, 'PTHR23026:SF120', NULL, NULL, NULL, NULL, 'NITROREDUCTASE FD-NR2', 150734),
(207009, 'PTHR10655:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150735),
(207010, 'PTHR37689:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FDHE', 150736),
(207011, 'PTHR11206:SF394', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 150737),
(207012, 'PTHR22911:SF103', NULL, NULL, NULL, NULL, 'BLR2811 PROTEIN', 150738),
(207013, 'PTHR23086:SF22', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 5-PHOSPHATE 4-KINASE TYPE-2 BETA', 150739),
(207014, 'PTHR47982:SF50', NULL, NULL, NULL, NULL, 'OS01G0750600 PROTEIN', 150740),
(207015, 'PTHR39573', NULL, NULL, NULL, NULL, 'STRESS RESPONSE KINASE A', 150741),
(207016, 'PTHR37751:SF1', NULL, NULL, NULL, NULL, 'LOW PROTEIN: M-PHASE INDUCER PHOSPHATASE-LIKE PROTEIN', 150742),
(207017, 'PTHR33273', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 150743),
(207018, 'PTHR24349:SF396', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 13', 150744),
(207019, 'PTHR48001:SF55', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 150745),
(207020, 'PTHR31232:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150746),
(207021, 'PTHR33429:SF32', NULL, NULL, NULL, NULL, 'BNAC04G24150D PROTEIN', 150747),
(207022, 'PTHR33116:SF33', NULL, NULL, NULL, NULL, 'OS01G0885550 PROTEIN', 150748),
(207023, 'PTHR13217', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 7', 150749),
(207024, 'PTHR12187:SF4', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL 3,4-BISPHOSPHATE 4-PHOSPHATASE', 150750),
(207025, 'PTHR47520:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG19197', 150751),
(207026, 'PTHR33514:SF14', NULL, NULL, NULL, NULL, 'ION TRANSPORTER, PUTATIVE-RELATED', 150752),
(207027, 'PTHR33791:SF12', NULL, NULL, NULL, NULL, 'CHAPERONIN-LIKE RBCX PROTEIN 1, CHLOROPLASTIC', 150753),
(207028, 'PTHR11599:SF165', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 150754),
(207029, 'PTHR13723:SF283', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS ADT-2', 150755),
(207030, 'PTHR42853:SF3', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A CARBOXYLASE CARBOXYL TRANSFERASE SUBUNIT ALPHA', 150756),
(207031, 'PTHR22883:SF368', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 150757),
(207032, 'PTHR13759:SF9', NULL, NULL, NULL, NULL, 'TWINFILIN-2', 150758),
(207033, 'PTHR10795:SF690', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150759),
(207034, 'PTHR24637:SF305', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', 150760),
(207035, 'PTHR31660:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150761),
(207036, 'PTHR15528:SF11', NULL, NULL, NULL, NULL, 'FI18188P1', 150762),
(207037, 'PTHR13555:SF36', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 474', 150763),
(207038, 'PTHR12135:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD4', 150764),
(207039, 'PTHR14191:SF20', NULL, NULL, NULL, NULL, 'NA(+)/H(+) EXCHANGE REGULATORY COFACTOR NHE-RF4', 150765);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(207040, 'PTHR24112:SF57', NULL, NULL, NULL, NULL, 'NLR FAMILY PYRIN DOMAIN CONTAINING 5', 150766),
(207041, 'PTHR12626:SF7', NULL, NULL, NULL, NULL, 'MA3 DOMAIN-CONTAINING PROTEIN', 150767),
(207042, 'PTHR46128:SF87', NULL, NULL, NULL, NULL, 'BNAC01G44210D PROTEIN', 150768),
(207043, 'PTHR23280:SF20', NULL, NULL, NULL, NULL, 'BAND 4.1-LIKE PROTEIN 3', 150769),
(207044, 'PTHR44083:SF12', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN/WD-40 REPEAT PROTEIN', 150770),
(207045, 'PTHR33401:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150771),
(207046, 'PTHR47930:SF1', NULL, NULL, NULL, NULL, 'YALI0C12947P', 150772),
(207047, 'PTHR10509:SF73', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE', 150773),
(207048, 'PTHR13370:SF23', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 150774),
(207049, 'PTHR43272:SF49', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 7, PEROXISOMAL-LIKE ISOFORM X1', 150775),
(207050, 'PTHR42861:SF57', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 150776),
(207051, 'PTHR38566', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 150777),
(207052, 'PTHR31444:SF45', NULL, NULL, NULL, NULL, 'BNAA09G08490D PROTEIN', 150778),
(207053, 'PTHR47958:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150779),
(207054, 'PTHR24418:SF202', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 150780),
(207055, 'PTHR48049:SF66', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 150781),
(207056, 'PTHR34491:SF32', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', 150782),
(207057, 'PTHR31734:SF103', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA16', 150783),
(207058, 'PTHR21614:SF1', NULL, NULL, NULL, NULL, 'SHORT COILED-COIL PROTEIN', 150784),
(207059, 'PTHR33138:SF35', NULL, NULL, NULL, NULL, 'KINASE-LIKE PROTEIN', 150785),
(207060, 'PTHR33886', NULL, NULL, NULL, NULL, 'UNSATURATED RHAMNOGALACTURONAN HYDROLASE (EUROFUNG)', 150786),
(207061, 'PTHR37440:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12938', 150787),
(207062, 'PTHR31616:SF6', NULL, NULL, NULL, NULL, 'GLUCOAMYLASE', 150788),
(207063, 'PTHR11236:SF17', NULL, NULL, NULL, NULL, 'SALICYLATE SYNTHASE', 150789),
(207064, 'PTHR34484:SF1', NULL, NULL, NULL, NULL, 'OS09G0553700 PROTEIN', 150790),
(207065, 'PTHR42812:SF5', NULL, NULL, NULL, NULL, 'ENDO-ARABINASE', 150791),
(207066, 'PTHR19277:SF125', NULL, NULL, NULL, NULL, 'B6', 150792),
(207067, 'PTHR33021:SF380', NULL, NULL, NULL, NULL, 'BNAA05G11660D PROTEIN', 150793),
(207068, 'PTHR10196:SF88', NULL, NULL, NULL, NULL, 'XYLULOSE KINASE-LIKE ISOFORM X1', 150794),
(207069, 'PTHR45824:SF24', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 150795),
(207070, 'PTHR24240:SF65', NULL, NULL, NULL, NULL, 'NOVEL OPSIN-RELATED', 150796),
(207071, 'PTHR33463:SF65', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPS2-LIKE', 150797),
(207072, 'PTHR12876:SF37', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE REGE-1', 150798),
(207073, 'PTHR13318:SF186', NULL, NULL, NULL, NULL, 'DISTAL MEMBRANE-ARM ASSEMBLY COMPLEX PROTEIN 2', 150799),
(207074, 'PTHR10687:SF66', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 150800),
(207075, 'PTHR42039:SF2', NULL, NULL, NULL, NULL, 'ALLERGEN ASP F4 (AFU_ORTHOLOGUE AFUA_2G03830)-RELATED', 150801),
(207076, 'PTHR48014:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150802),
(207077, 'PTHR10806:SF6', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX CATALYTIC SUBUNIT SEC11', 150803),
(207078, 'PTHR24960', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I IRON-SULFUR CENTER-RELATED', 150804),
(207079, 'PTHR45620:SF32', NULL, NULL, NULL, NULL, 'DIURETIC HORMONE 31 RECEPTOR, ISOFORM C', 150805),
(207080, 'PTHR40449:SF2', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTS', 150806),
(207081, 'PTHR46905', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL78', 150807),
(207082, 'PTHR11761:SF32', NULL, NULL, NULL, NULL, 'BNAA06G36160D PROTEIN', 150808),
(207083, 'PTHR31945:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150809),
(207084, 'PTHR27006:SF404', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 150810);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(207085, 'PTHR11685:SF271', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 150811),
(207086, 'PTHR13935:SF89', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ORG2-LIKE', 150812),
(207087, 'PTHR13817:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150813),
(207088, 'PTHR47982:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN KINASE FAMILY PROTEIN-RELATED', 150814),
(207089, 'PTHR46813:SF8', NULL, NULL, NULL, NULL, 'OS05G0567900 PROTEIN', 150815),
(207090, 'PTHR31218:SF47', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 150816),
(207091, 'PTHR22937:SF138', NULL, NULL, NULL, NULL, 'BNAC06G23440D PROTEIN', 150817),
(207092, 'PTHR30385', NULL, NULL, NULL, NULL, 'SIGMA FACTOR F  FLAGELLAR', 150818),
(207093, 'PTHR35447:SF1', NULL, NULL, NULL, NULL, 'BH3-INTERACTING DOMAIN DEATH AGONIST', 150819),
(207094, 'PTHR20837:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL AND C2 DOMAIN-CONTAINING PROTEIN 2A', 150820),
(207095, 'PTHR10108:SF1085', NULL, NULL, NULL, NULL, 'OS04G0692400 PROTEIN', 150821),
(207096, 'PTHR48018:SF4', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 150822),
(207097, 'PTHR10333:SF98', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN', 150823),
(207098, 'PTHR46764:SF5', NULL, NULL, NULL, NULL, 'SPX DOMAIN, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 150824),
(207099, 'PTHR11907:SF20', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE', 150825),
(207100, 'PTHR32258:SF26', NULL, NULL, NULL, NULL, 'KINASE-INTERACTING FAMILY PROTEIN', 150826),
(207101, 'PTHR10358:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150827),
(207102, 'PTHR24394:SF19', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 3', 150828),
(207103, 'PTHR46045:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 150829),
(207104, 'PTHR15970:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELOGNATION FACTOR EAF-RELATED', 150830),
(207105, 'PTHR10891:SF886', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 150831),
(207106, 'PTHR34606', NULL, NULL, NULL, NULL, 'BON DOMAIN-CONTAINING PROTEIN', 150832),
(207107, 'PTHR23405:SF9', NULL, NULL, NULL, NULL, 'PROTEIN MAK16 HOMOLOG', 150833),
(207108, 'PTHR44379', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE WITH IRON-SULFUR SUBUNIT', 150834),
(207109, 'PTHR24235:SF18', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 150835),
(207110, 'PTHR10795:SF614', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.3 ISOFORM X1', 150836),
(207111, 'PTHR24377:SF680', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 870', 150837),
(207112, 'PTHR10994:SF152', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 150838),
(207113, 'PTHR35087', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN FLJ40298', 150839),
(207114, 'PTHR12321:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150840),
(207115, 'PTHR43147:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TAS', 150841),
(207116, 'PTHR12705:SF0', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 5', 150842),
(207117, 'PTHR11654:SF508', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150843),
(207118, 'PTHR12668:SF20', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14B', 150844),
(207119, 'PTHR12231:SF222', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 10', 150845),
(207120, 'PTHR45785:SF11', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR H-RELATED PROTEIN 1-RELATED', 150846),
(207121, 'PTHR24096:SF388', NULL, NULL, NULL, NULL, '2-SUCCINYLBENZOATE--COA LIGASE', 150847),
(207122, 'PTHR10061:SF2', NULL, NULL, NULL, NULL, 'S-FORMYLGLUTATHIONE HYDROLASE', 150848),
(207123, 'PTHR24256:SF487', NULL, NULL, NULL, NULL, 'TRYPTASE GAMMA', 150849),
(207124, 'PTHR46288:SF17', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN PROTEIN', 150850),
(207125, 'PTHR23299:SF13', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1X', 150851),
(207126, 'PTHR28062:SF1', NULL, NULL, NULL, NULL, 'K+-H+ EXCHANGE-LIKE PROTEIN', 150852),
(207127, 'PTHR23239:SF14', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 19', 150853),
(207128, 'PTHR11558:SF29', NULL, NULL, NULL, NULL, 'AMINOPROPYL TRANSFERASE', 150854);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(207129, 'PTHR10799:SF981', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN EAF-1', 150855),
(207130, 'PTHR32061:SF4', NULL, NULL, NULL, NULL, 'NMDA RECEPTOR SYNAPTONUCLEAR SIGNALING AND NEURONAL MIGRATION FACTOR', 150856),
(207131, 'PTHR47926:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150857),
(207132, 'PTHR13696:SF69', NULL, NULL, NULL, NULL, 'PLASMID PARTITIONING PROTEIN-RELATED', 150858),
(207133, 'PTHR38386:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150859),
(207134, 'PTHR27008:SF357', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 150860),
(207135, 'PTHR13690:SF144', NULL, NULL, NULL, NULL, 'BNAC05G04130D PROTEIN', 150861),
(207136, 'PTHR11071:SF427', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE 8', 150862),
(207137, 'PTHR13110:SF8', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM3', 150863),
(207138, 'PTHR19971:SF9', NULL, NULL, NULL, NULL, 'SIGNAL-REGULATORY PROTEIN BETA-2', 150864),
(207139, 'PTHR35827', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 3', 150865),
(207140, 'PTHR35486:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 150866),
(207141, 'PTHR24061:SF413', NULL, NULL, NULL, NULL, 'MCG21341-RELATED', 150867),
(207142, 'PTHR19432:SF81', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUC1-RELATED', 150868),
(207143, 'PTHR34791:SF1', NULL, NULL, NULL, NULL, 'OS02G0272100 PROTEIN', 150869),
(207144, 'PTHR32295:SF196', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', 150870),
(207145, 'PTHR24559:SF367', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150871),
(207146, 'PTHR32440:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150872),
(207147, 'PTHR33052:SF92', NULL, NULL, NULL, NULL, 'OS01G0686000 PROTEIN', 150873),
(207148, 'PTHR23430:SF7', NULL, NULL, NULL, NULL, 'HISTONE H2A.V', 150874),
(207149, 'PTHR46256:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-IIIB', 150875),
(207150, 'PTHR31238:SF182', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 150876),
(207151, 'PTHR10367:SF17', NULL, NULL, NULL, NULL, 'MRNA-CAPPING ENZYME SUBUNIT ALPHA', 150877),
(207152, 'PTHR34806:SF10', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER', 150878),
(207153, 'PTHR23105:SF150', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A-2', 150879),
(207154, 'PTHR20990', NULL, NULL, NULL, NULL, 'PEROXISOMAL BIOGENESIS FACTOR 11', 150880),
(207155, 'PTHR31213:SF149', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN STH-2', 150881),
(207156, 'PTHR18953:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150882),
(207157, 'PTHR22446', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 150883),
(207158, 'PTHR43677:SF11', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT QUINONE REDUCTASE TDIC-RELATED', 150884),
(207159, 'PTHR34718', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 150885),
(207160, 'PTHR31669:SF181', NULL, NULL, NULL, NULL, 'OS06G0166100 PROTEIN', 150886),
(207161, 'PTHR20583:SF1', NULL, NULL, NULL, NULL, 'TRIPLE QXXK/R MOTIF-CONTAINING PROTEIN', 150887),
(207162, 'PTHR30069:SF29', NULL, NULL, NULL, NULL, 'HEMOGLOBIN AND HEMOGLOBIN-HAPTOGLOBIN-BINDING PROTEIN 1-RELATED', 150888),
(207163, 'PTHR33799', NULL, NULL, NULL, NULL, 'PTS PERMEASE-RELATED-RELATED', 150889),
(207164, 'PTHR34115:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 150890),
(207165, 'PTHR24023:SF1012', NULL, NULL, NULL, NULL, 'COLLAGEN WITH ENDOSTATIN DOMAIN', 150891),
(207166, 'PTHR10168:SF83', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C15', 150892),
(207167, 'PTHR23248:SF57', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', 150893),
(207168, 'PTHR31301:SF147', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 2-LIKE', 150894),
(207169, 'PTHR45723', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RIO1', 150895),
(207170, 'PTHR46109:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LIN-28 HOMOLOG', 150896),
(207171, 'PTHR18966:SF295', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR FAMILY (AMPA)', 150897),
(207172, 'PTHR22950:SF514', NULL, NULL, NULL, NULL, 'OS02G0727100 PROTEIN', 150898),
(207173, 'PTHR16223:SF201', NULL, NULL, NULL, NULL, 'OS10G0315400 PROTEIN', 150899);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(207174, 'PTHR32370:SF109', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY4', 150900),
(207175, 'PTHR33148:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150901),
(207176, 'PTHR36067:SF3', NULL, NULL, NULL, NULL, 'BNAA09G07110D PROTEIN', 150902),
(207177, 'PTHR46641:SF4', NULL, NULL, NULL, NULL, 'PROCTOLIN RECEPTOR, ISOFORM A', 150903),
(207178, 'PTHR11908:SF84', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE 2', 150904),
(207179, 'PTHR31225:SF148', NULL, NULL, NULL, NULL, '(3S,6E)-NEROLIDOL SYNTHASE 2, CHLOROPLASTIC/MITOCHONDRIAL-LIKE', 150905),
(207180, 'PTHR13802:SF53', NULL, NULL, NULL, NULL, 'MUCIN-4', 150906),
(207181, 'PTHR33285:SF36', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE PEPTIDE-RELATED', 150907),
(207182, 'PTHR45763:SF49', NULL, NULL, NULL, NULL, 'OS01G0859200 PROTEIN', 150908),
(207183, 'PTHR44170:SF7', NULL, NULL, NULL, NULL, 'PALLADIN, CYTOSKELETAL-ASSOCIATED PROTEIN', 150909),
(207184, 'PTHR43413:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, ASNC FAMILY', 150910),
(207185, 'PTHR33732:SF10', NULL, NULL, NULL, NULL, 'RUBBER ELONGATION FACTOR-RELATED', 150911),
(207186, 'PTHR47018:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150912),
(207187, 'PTHR11206:SF300', NULL, NULL, NULL, NULL, 'OS10G0344000 PROTEIN', 150913),
(207188, 'PTHR31003:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HHO2', 150914),
(207189, 'PTHR27006:SF435', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 150915),
(207190, 'PTHR12565:SF368', NULL, NULL, NULL, NULL, 'OS03G0231950 PROTEIN', 150916),
(207191, 'PTHR24361:SF825', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE MKH1', 150917),
(207192, 'PTHR30588:SF7', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID CARRIER PROTEIN SAOUHSC_01411-RELATED', 150918),
(207193, 'PTHR46408:SF13', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 150919),
(207194, 'PTHR45732:SF12', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8C', 150920),
(207195, 'PTHR31311:SF28', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 6', 150921),
(207196, 'PTHR32487:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150922),
(207197, 'PTHR22870:SF346', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HERC1-RELATED', 150923),
(207198, 'PTHR28200:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT ASK1', 150924),
(207199, 'PTHR45704:SF6', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN FAMILY MEMBER 11B', 150925),
(207200, 'PTHR47782:SF10', NULL, NULL, NULL, NULL, 'PROTEIN SIP4', 150926),
(207201, 'PTHR27005:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150927),
(207202, 'PTHR15907:SF152', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 3', 150928),
(207203, 'PTHR16675:SF145', NULL, NULL, NULL, NULL, 'HISTOCOMPATIBILITY 2, M REGION LOCUS 3', 150929),
(207204, 'PTHR31734:SF6', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA13', 150930),
(207205, 'PTHR34119:SF1', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', 150931),
(207206, 'PTHR24027:SF422', NULL, NULL, NULL, NULL, 'NEURAL-CADHERIN 2-RELATED', 150932),
(207207, 'PTHR14453:SF93', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP14', 150933),
(207208, 'PTHR31769:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150934),
(207209, 'PTHR33884:SF3', NULL, NULL, NULL, NULL, 'UPF0410 PROTEIN YMGE', 150935),
(207210, 'PTHR46599:SF5', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED 4-RELATED', 150936),
(207211, 'PTHR46977:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150937),
(207212, 'PTHR24373:SF261', NULL, NULL, NULL, NULL, 'VASORIN', 150938),
(207213, 'PTHR47314:SF1', NULL, NULL, NULL, NULL, 'MALTOSE/MALTODEXTRIN TRANSPORT SYSTEM PERMEASE PROTEIN MALF', 150939),
(207214, 'PTHR31190:SF256', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150940),
(207215, 'PTHR11193:SF0', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', 150941),
(207216, 'PTHR23238:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150942),
(207217, 'PTHR14409', NULL, NULL, NULL, NULL, 'MANNOSIDASE, BETA A, LYSOSOMAL-LIKE, MANBAL PROTEIN', 150943);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(207218, 'PTHR31707:SF240', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', 150944),
(207219, 'PTHR12693:SF3', NULL, NULL, NULL, NULL, 'MENIN', 150945),
(207220, 'PTHR36749:SF1', NULL, NULL, NULL, NULL, 'F7O18.3 PROTEIN', 150946),
(207221, 'PTHR24096:SF267', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE FAMILY MEMBER 3, MITOCHONDRIAL', 150947),
(207222, 'PTHR11654:SF378', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', 150948),
(207223, 'PTHR46345:SF1', NULL, NULL, NULL, NULL, 'INVERTED FORMIN-2', 150949),
(207224, 'PTHR11709:SF261', NULL, NULL, NULL, NULL, 'LACCASE-9-RELATED', 150950),
(207225, 'PTHR15672:SF15', NULL, NULL, NULL, NULL, 'OS05G0411600 PROTEIN', 150951),
(207226, 'PTHR11819:SF96', NULL, NULL, NULL, NULL, 'SODIUM/GLUCOSE COTRANSPORTER 4', 150952),
(207227, 'PTHR30282', NULL, NULL, NULL, NULL, 'P-AMINOBENZOYL GLUTAMATE TRANSPORTER', 150953),
(207228, 'PTHR47905', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 4B', 150954),
(207229, 'PTHR11709:SF414', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150955),
(207230, 'PTHR33085:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150956),
(207231, 'PTHR34997:SF12', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', 150957),
(207232, 'PTHR11062:SF239', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS04G0398600-RELATED', 150958),
(207233, 'PTHR26454:SF50', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 150959),
(207234, 'PTHR31175:SF31', NULL, NULL, NULL, NULL, 'OS09G0547100 PROTEIN', 150960),
(207235, 'PTHR27006:SF296', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RFK1-RELATED', 150961),
(207236, 'PTHR10629:SF52', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE 1', 150962),
(207237, 'PTHR46318:SF5', NULL, NULL, NULL, NULL, 'UPSTREAM-BINDING TRANSCRIPTION FACTOR,-LIKE', 150963),
(207238, 'PTHR24103:SF337', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 105', 150964),
(207239, 'PTHR46268:SF15', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN F', 150965),
(207240, 'PTHR45699:SF16', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0-2-RELATED', 150966),
(207241, 'PTHR11588:SF140', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-8 CHAIN', 150967),
(207242, 'PTHR44218:SF6', NULL, NULL, NULL, NULL, 'PROTEIN SPA1-RELATED 2', 150968),
(207243, 'PTHR32468:SF31', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 1', 150969),
(207244, 'PTHR12899:SF16', NULL, NULL, NULL, NULL, 'OS02G0689700 PROTEIN', 150970),
(207245, 'PTHR37217', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 150971),
(207246, 'PTHR33052:SF84', NULL, NULL, NULL, NULL, 'OS05G0552800 PROTEIN', 150972),
(207247, 'PTHR21740:SF3', NULL, NULL, NULL, NULL, 'NCK-ASSOCIATED PROTEIN 5-LIKE', 150973),
(207248, 'PTHR34954:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TRIGALACTOSYLDIACYLGLYCEROL 4, CHLOROPLASTIC', 150974),
(207249, 'PTHR46151:SF21', NULL, NULL, NULL, NULL, 'BNAC03G48010D PROTEIN', 150975),
(207250, 'PTHR43813:SF6', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--[ACYL-CARRIER-PROTEIN] LIGASE AEE15, CHLOROPLASTIC', 150976),
(207251, 'PTHR37784:SF7', NULL, NULL, NULL, NULL, 'HIGH-OSMOLARITY-INDUCED TRANSCRIPTION PROTEIN 1', 150977),
(207252, 'PTHR11037:SF16', NULL, NULL, NULL, NULL, 'GRAINYHEAD-LIKE PROTEIN 1 HOMOLOG', 150978),
(207253, 'PTHR10913:SF71', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 5-RELATED', 150979),
(207254, 'PTHR47976:SF60', NULL, NULL, NULL, NULL, 'S-LOCUS RECEPTOR KINASE (SRK)', 150980),
(207255, 'PTHR32227:SF120', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 1', 150981),
(207256, 'PTHR22145', NULL, NULL, NULL, NULL, 'SI:CH211-266K22.6', 150982),
(207257, 'PTHR33387', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL FOLD PROTEIN', 150983),
(207258, 'PTHR10353:SF144', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE', 150984),
(207259, 'PTHR10517:SF15', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR ALPHA', 150985),
(207260, 'PTHR30118:SF6', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LEUO', 150986),
(207261, 'PTHR13434', NULL, NULL, NULL, NULL, 'PROTEIN CASC3', 150987);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(207262, 'PTHR20856:SF29', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 150988),
(207263, 'PTHR23124:SF133', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 150989),
(207264, 'PTHR27009:SF195', NULL, NULL, NULL, NULL, 'OS01G0137250 PROTEIN', 150990),
(207265, 'PTHR24028:SF244', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 8', 150991),
(207266, 'PTHR36790:SF1', NULL, NULL, NULL, NULL, 'MYELIN TRANSCRIPTION FACTOR', 150992),
(207267, 'PTHR24248:SF66', NULL, NULL, NULL, NULL, 'OCTOPAMINE RECEPTOR BETA-2R', 150993),
(207268, 'PTHR30298:SF0', NULL, NULL, NULL, NULL, 'INACTIVE TRANSPOSASE YBFQ-RELATED', 150994),
(207269, 'PTHR37844', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN PHOSPHATASE SUPERFAMILY (AFU_ORTHOLOGUE AFUA_1G14840)', 150995),
(207270, 'PTHR31325:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 150996),
(207271, 'PTHR31495:SF35', NULL, NULL, NULL, NULL, 'BNAA04G19410D PROTEIN', 150997),
(207272, 'PTHR23067:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 385B', 150998),
(207273, 'PTHR24271:SF57', NULL, NULL, NULL, NULL, 'KALLIKREIN-9', 150999),
(207274, 'PTHR32015:SF3', NULL, NULL, NULL, NULL, 'LIPASE RELATED', 151000),
(207275, 'PTHR16223:SF260', NULL, NULL, NULL, NULL, 'BNACNNG67160D PROTEIN', 151001),
(207276, 'PTHR43773', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MGTE', 151002),
(207277, 'PTHR28597:SF1', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL BETA SUBUNIT-ASSOCIATED REGULATORY PROTEIN', 151003),
(207278, 'PTHR46057', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 1-RELATED', 151004),
(207279, 'PTHR21724:SF43', NULL, NULL, NULL, NULL, 'PROTEIN CBG10428', 151005),
(207280, 'PTHR16134:SF67', NULL, NULL, NULL, NULL, 'S-PHASE KINASE-ASSOCIATED PROTEIN 2', 151006),
(207281, 'PTHR22849:SF137', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 151007),
(207282, 'PTHR14955:SF6', NULL, NULL, NULL, NULL, 'RETINOIC ACID-INDUCED PROTEIN 1', 151008),
(207283, 'PTHR31477', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 44 KDA', 151009),
(207284, 'PTHR24414:SF93', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING 22A', 151010),
(207285, 'PTHR24298:SF491', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 93A2', 151011),
(207286, 'PTHR43677:SF3', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN REDUCTASE 3', 151012),
(207287, 'PTHR22849:SF11', NULL, NULL, NULL, NULL, 'OS11G0573500 PROTEIN', 151013),
(207288, 'PTHR33669:SF11', NULL, NULL, NULL, NULL, 'PROTEIN NIM1-INTERACTING 1', 151014),
(207289, 'PTHR11636:SF46', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 2, TRANSCRIPTION FACTOR 2', 151015),
(207290, 'PTHR14659:SF1', NULL, NULL, NULL, NULL, 'ALPHA- AND GAMMA-ADAPTIN-BINDING PROTEIN P34', 151016),
(207291, 'PTHR33377:SF59', NULL, NULL, NULL, NULL, 'OSJNBB0004G23.8-LIKE PROTEIN', 151017),
(207292, 'PTHR31579:SF37', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 151018),
(207293, 'PTHR24404:SF36', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN IKAROS', 151019),
(207294, 'PTHR11654:SF438', NULL, NULL, NULL, NULL, 'OS03G0235700 PROTEIN', 151020),
(207295, 'PTHR44307:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOMETHYLETHANOLAMINE N-METHYLTRANSFERASE', 151021),
(207296, 'PTHR26450:SF389', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 151022),
(207297, 'PTHR24298:SF495', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151023),
(207298, 'PTHR47073:SF5', NULL, NULL, NULL, NULL, 'NUCLEIC ACID BINDING PROTEIN', 151024),
(207299, 'PTHR12483:SF108', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 2-RELATED', 151025),
(207300, 'PTHR11584:SF332', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 5', 151026),
(207301, 'PTHR31147:SF25', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 151027),
(207302, 'PTHR11010:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151028),
(207303, 'PTHR24153:SF15', NULL, NULL, NULL, NULL, 'AGAP005649-PA', 151029),
(207304, 'PTHR21551:SF23', NULL, NULL, NULL, NULL, 'BNAA01G24760D PROTEIN', 151030),
(207305, 'PTHR31190:SF91', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 14', 151031);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(207306, 'PTHR15672:SF12', NULL, NULL, NULL, NULL, 'R3H DOMAIN-CONTAINING PROTEIN 1', 151032),
(207307, 'PTHR33306:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151033),
(207308, 'PTHR11011:SF95', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 151034),
(207309, 'PTHR11771:SF102', NULL, NULL, NULL, NULL, 'SEED LINOLEATE 13S-LIPOXYGENASE-1', 151035),
(207310, 'PTHR38847:SF1', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 151036),
(207311, 'PTHR24347:SF187', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE DDB_G0275057-RELATED', 151037),
(207312, 'PTHR10501:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151038),
(207313, 'PTHR13512', NULL, NULL, NULL, NULL, 'MEDIATOR COMPLEX SUBUNIT 28', 151039),
(207314, 'PTHR31375:SF248', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', 151040),
(207315, 'PTHR27007:SF292', NULL, NULL, NULL, NULL, 'OS08G0124900 PROTEIN', 151041),
(207316, 'PTHR33541:SF24', NULL, NULL, NULL, NULL, 'BNAC05G10000D PROTEIN', 151042),
(207317, 'PTHR12277:SF81', NULL, NULL, NULL, NULL, 'PROTEIN ABHD13', 151043),
(207318, 'PTHR32448:SF140', NULL, NULL, NULL, NULL, 'RETICULINE OXIDASE-LIKE PROTEIN', 151044),
(207319, 'PTHR12857:SF0', NULL, NULL, NULL, NULL, 'CXXC MOTIF CONTAINING ZINC BINDING PROTEIN', 151045),
(207320, 'PTHR42693:SF9', NULL, NULL, NULL, NULL, 'STERYL-SULFATASE', 151046),
(207321, 'PTHR13218:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 11B', 151047),
(207322, 'PTHR39080', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L28', 151048),
(207323, 'PTHR20383:SF11', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II SUBUNIT A C-TERMINAL DOMAIN PHOSPHATASE SSU72', 151049),
(207324, 'PTHR12962:SF4', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING PROTEIN C2', 151050),
(207325, 'PTHR35716:SF1', NULL, NULL, NULL, NULL, 'OS05G0574700 PROTEIN', 151051),
(207326, 'PTHR12396:SF45', NULL, NULL, NULL, NULL, 'OS06G0702100 PROTEIN', 151052),
(207327, 'PTHR43071:SF1', NULL, NULL, NULL, NULL, '2-AMINO-4-HYDROXY-6-HYDROXYMETHYLDIHYDROPTERIDINE PYROPHOSPHOKINASE', 151053),
(207328, 'PTHR30546:SF45', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1', 151054),
(207329, 'PTHR47701:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MODIFIER OF SNC1 11', 151055),
(207330, 'PTHR13677:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DENND6A', 151056),
(207331, 'PTHR11607:SF18', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE', 151057),
(207332, 'PTHR24070:SF423', NULL, NULL, NULL, NULL, 'GTPASE HRAS', 151058),
(207333, 'PTHR10114:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', 151059),
(207334, 'PTHR31860', NULL, NULL, NULL, NULL, 'HEAT-INDUCIBLE TRANSCRIPTION REPRESSOR (DUF639)-RELATED', 151060),
(207335, 'PTHR11926:SF1385', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 151061),
(207336, 'PTHR43880', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE', 151062),
(207337, 'PTHR12124:SF67', NULL, NULL, NULL, NULL, '3''-5'' EXONUCLEASE FAMILY PROTEIN, EXPRESSED', 151063),
(207338, 'PTHR34375:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151064),
(207339, 'PTHR11071:SF447', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP63', 151065),
(207340, 'PTHR24253:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151066),
(207341, 'PTHR31165:SF75', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 10-LIKE', 151067),
(207342, 'PTHR13683:SF851', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 151068),
(207343, 'PTHR47998:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB12-LIKE', 151069),
(207344, 'PTHR23235:SF56', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 12', 151070),
(207345, 'PTHR35610:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151071),
(207346, 'PTHR31197:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151072),
(207347, 'PTHR24300:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151073),
(207348, 'PTHR13999:SF7', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 2-RELATED', 151074),
(207349, 'PTHR32487:SF14', NULL, NULL, NULL, NULL, 'OS07G0601600 PROTEIN', 151075);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(207350, 'PTHR45743:SF2', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT1', 151076),
(207351, 'PTHR11199:SF10', NULL, NULL, NULL, NULL, 'STROMAL ANTIGEN 3', 151077),
(207352, 'PTHR31310:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151078),
(207353, 'PTHR34580:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PAFB', 151079),
(207354, 'PTHR31221:SF164', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 51 ISOFORM X1-RELATED', 151080),
(207355, 'PTHR13024', NULL, NULL, NULL, NULL, 'MICROSOMAL TRIGLYCERIDE TRANSFER PROTEIN, LARGE SUBUNIT', 151081),
(207356, 'PTHR33876:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151082),
(207357, 'PTHR41773:SF1', NULL, NULL, NULL, NULL, 'GTP PYROPHOSPHATASE-RELATED', 151083),
(207358, 'PTHR31375:SF223', NULL, NULL, NULL, NULL, 'BNAC03G75750D PROTEIN', 151084),
(207359, 'PTHR24300:SF334', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 18A1', 151085),
(207360, 'PTHR31657:SF51', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 151086),
(207361, 'PTHR24284', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 151087),
(207362, 'PTHR32285', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 9-RELATED', 151088),
(207363, 'PTHR23113:SF174', NULL, NULL, NULL, NULL, 'RAS GUANYL-RELEASING PROTEIN 1', 151089),
(207364, 'PTHR11711:SF227', NULL, NULL, NULL, NULL, 'FACTOR-LIKE PROTEIN, PUTATIVE-RELATED', 151090),
(207365, 'PTHR31666:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CXORF40A-RELATED', 151091),
(207366, 'PTHR31614:SF37', NULL, NULL, NULL, NULL, 'ANTHER-SPECIFIC PROTEIN LAT52-LIKE', 151092),
(207367, 'PTHR10519:SF46', NULL, NULL, NULL, NULL, 'METABOTROPIC GABA-B RECEPTOR SUBTYPE 3, ISOFORM A', 151093),
(207368, 'PTHR23340:SF3', NULL, NULL, NULL, NULL, 'SURP AND G-PATCH DOMAIN-CONTAINING PROTEIN 1', 151094),
(207369, 'PTHR24106:SF250', NULL, NULL, NULL, NULL, 'RNI-LIKE SUPERFAMILY PROTEIN', 151095),
(207370, 'PTHR31325:SF94', NULL, NULL, NULL, NULL, 'OS09G0562750 PROTEIN', 151096),
(207371, 'PTHR16469:SF46', NULL, NULL, NULL, NULL, 'BNAC04G55150D PROTEIN', 151097),
(207372, 'PTHR11771:SF162', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 151098),
(207373, 'PTHR20854:SF44', NULL, NULL, NULL, NULL, 'INOSITOL-1-MONOPHOSPHATASE', 151099),
(207374, 'PTHR27002:SF854', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151100),
(207375, 'PTHR31874:SF7', NULL, NULL, NULL, NULL, 'OS06G0699600 PROTEIN', 151101),
(207376, 'PTHR43605:SF3', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE ACSM2B, MITOCHONDRIAL', 151102),
(207377, 'PTHR11709:SF268', NULL, NULL, NULL, NULL, 'LACCASE-5', 151103),
(207378, 'PTHR23115:SF228', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA 2', 151104),
(207379, 'PTHR10334:SF403', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', 151105),
(207380, 'PTHR14593', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 11', 151106),
(207381, 'PTHR10811:SF99', NULL, NULL, NULL, NULL, 'BNAC05G03320D PROTEIN', 151107),
(207382, 'PTHR43822', NULL, NULL, NULL, NULL, 'HOMOACONITASE, MITOCHONDRIAL-RELATED', 151108),
(207383, 'PTHR13585:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151109),
(207384, 'PTHR11589', NULL, NULL, NULL, NULL, 'NERVE GROWTH FACTOR  NGF -RELATED', 151110),
(207385, 'PTHR11941:SF149', NULL, NULL, NULL, NULL, 'BNAA09G02820D PROTEIN', 151111),
(207386, 'PTHR15565', NULL, NULL, NULL, NULL, 'AATF PROTEIN  APOPTOSIS ANTAGONIZING TRANSCRIPTION FACTOR', 151112),
(207387, 'PTHR38140:SF8', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 19-6', 151113),
(207388, 'PTHR46215:SF18', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 151114),
(207389, 'PTHR45658:SF4', NULL, NULL, NULL, NULL, 'OS04G0539500 PROTEIN', 151115),
(207390, 'PTHR11232:SF47', NULL, NULL, NULL, NULL, 'PROTEIN DISABLED', 151116),
(207391, 'PTHR22762:SF150', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE-LIKE', 151117),
(207392, 'PTHR33297:SF6', NULL, NULL, NULL, NULL, 'AMASTIN-LIKE PROTEIN', 151118),
(207393, 'PTHR11566:SF21', NULL, NULL, NULL, NULL, 'DYNAMIN RELATED PROTEIN 1, ISOFORM A', 151119);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(207394, 'PTHR14519:SF8', NULL, NULL, NULL, NULL, 'VITAMIN-K EPOXIDE REDUCTASE', 151120),
(207395, 'PTHR35015:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG24198', 151121),
(207396, 'PTHR24377:SF843', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 869', 151122),
(207397, 'PTHR43874:SF65', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR30', 151123),
(207398, 'PTHR33110:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151124),
(207399, 'PTHR34454:SF2', NULL, NULL, NULL, NULL, 'TUNICAMYCIN INDUCED PROTEIN', 151125),
(207400, 'PTHR11746:SF192', NULL, NULL, NULL, NULL, 'CAFFEIC ACID O-METHYLTRANSFERASE', 151126),
(207401, 'PTHR23124', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 151127),
(207402, 'PTHR24213:SF0', NULL, NULL, NULL, NULL, 'ACTIN-BINDING LIM PROTEIN 3', 151128),
(207403, 'PTHR23055:SF75', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 1', 151129),
(207404, 'PTHR10201:SF166', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-19', 151130),
(207405, 'PTHR35476', NULL, NULL, NULL, NULL, 'MUCIN-LIKE PROTEIN', 151131),
(207406, 'PTHR45755:SF3', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN C2', 151132),
(207407, 'PTHR11679:SF79', NULL, NULL, NULL, NULL, 'SNARE-INTERACTING PROTEIN KEULE', 151133),
(207408, 'PTHR19944:SF91', NULL, NULL, NULL, NULL, 'IG EPSILON CHAIN C REGION', 151134),
(207409, 'PTHR10992:SF1046', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151135),
(207410, 'PTHR10913:SF64', NULL, NULL, NULL, NULL, 'FOLLISTATIN, ISOFORM A', 151136),
(207411, 'PTHR31719:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151137),
(207412, 'PTHR26374:SF339', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT8-LIKE', 151138),
(207413, 'PTHR33339:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151139),
(207414, 'PTHR23502:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151140),
(207415, 'PTHR12956', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE-RELATED', 151141),
(207416, 'PTHR35099:SF4', NULL, NULL, NULL, NULL, 'BNAA02G19540D PROTEIN', 151142),
(207417, 'PTHR47983:SF29', NULL, NULL, NULL, NULL, 'OS05G0135800 PROTEIN', 151143),
(207418, 'PTHR34835:SF28', NULL, NULL, NULL, NULL, 'OS09G0105200 PROTEIN', 151144),
(207419, 'PTHR45918', NULL, NULL, NULL, NULL, 'ALPHA-1,3/1,6-MANNOSYLTRANSFERASE ALG2', 151145),
(207420, 'PTHR46219:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG27015', 151146),
(207421, 'PTHR34804:SF2', NULL, NULL, NULL, NULL, 'OS01G0305200 PROTEIN', 151147),
(207422, 'PTHR48015', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TAO', 151148),
(207423, 'PTHR20889:SF19', NULL, NULL, NULL, NULL, 'THIAMINE PHOSPHATE PHOSPHATASE-LIKE PROTEIN', 151149),
(207424, 'PTHR24031:SF296', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 9', 151150),
(207425, 'PTHR10288:SF93', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR 2 MRNA-BINDING PROTEIN 2', 151151),
(207426, 'PTHR23012:SF176', NULL, NULL, NULL, NULL, 'OS01G0894600 PROTEIN', 151152),
(207427, 'PTHR31265:SF7', NULL, NULL, NULL, NULL, 'OS04G0494800 PROTEIN', 151153),
(207428, 'PTHR47989:SF42', NULL, NULL, NULL, NULL, 'BNAC08G19860D PROTEIN', 151154),
(207429, 'PTHR43920:SF6', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 5', 151155),
(207430, 'PTHR33704:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HEAT INTOLERANT 4-RELATED', 151156),
(207431, 'PTHR22952:SF446', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 5', 151157),
(207432, 'PTHR12276:SF5', NULL, NULL, NULL, NULL, 'EPSIN-5', 151158),
(207433, 'PTHR43900:SF81', NULL, NULL, NULL, NULL, 'BNAC08G45920D PROTEIN', 151159),
(207434, 'PTHR46029:SF7', NULL, NULL, NULL, NULL, 'C-TERMINAL-BINDING PROTEIN', 151160),
(207435, 'PTHR35565:SF3', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 151161),
(207436, 'PTHR13693:SF2', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE 1', 151162),
(207437, 'PTHR43869', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE/PROLINE BETAINE TRANSPORT SYSTEM ATP-BINDING PROTEIN PROV', 151163),
(207438, 'PTHR47362', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE THEM5', 151164);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(207439, 'PTHR10336:SF31', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE DELTA-4', 151165),
(207440, 'PTHR33098:SF36', NULL, NULL, NULL, NULL, 'OS01G0584100 PROTEIN', 151166),
(207441, 'PTHR43798:SF22', NULL, NULL, NULL, NULL, 'CIS-3-ALKYL-4-ALKYLOXETAN-2-ONE DECARBOXYLASE', 151167),
(207442, 'PTHR33237:SF39', NULL, NULL, NULL, NULL, 'F2P16.13 PROTEIN', 151168),
(207443, 'PTHR31115:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151169),
(207444, 'PTHR12080:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151170),
(207445, 'PTHR45753:SF3', NULL, NULL, NULL, NULL, 'ORNITHINE CARBAMOYLTRANSFERASE, MITOCHONDRIAL', 151171),
(207446, 'PTHR48005:SF39', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 6', 151172),
(207447, 'PTHR31148:SF3', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN C', 151173),
(207448, 'PTHR24394:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 18', 151174),
(207449, 'PTHR27007:SF213', NULL, NULL, NULL, NULL, 'OS02G0640500 PROTEIN', 151175),
(207450, 'PTHR46128:SF31', NULL, NULL, NULL, NULL, 'FERTILITY RESTORER', 151176),
(207451, 'PTHR14983', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 151177),
(207452, 'PTHR11616:SF133', NULL, NULL, NULL, NULL, 'TRANSPORTER', 151178),
(207453, 'PTHR46976:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ARABIDILLO 1', 151179),
(207454, 'PTHR12281:SF31', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', 151180),
(207455, 'PTHR11910:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT O, MITOCHONDRIAL', 151181),
(207456, 'PTHR43418:SF13', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE BETA SUBUNIT 1, CHLOROPLASTIC', 151182),
(207457, 'PTHR23410', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L5-RELATED', 151183),
(207458, 'PTHR46445:SF6', NULL, NULL, NULL, NULL, 'OS01G0663800 PROTEIN', 151184),
(207459, 'PTHR13902:SF131', NULL, NULL, NULL, NULL, 'WNK KINASE', 151185),
(207460, 'PTHR30330', NULL, NULL, NULL, NULL, 'AGSS FAMILY TRANSPORTER, SODIUM-ALANINE', 151186),
(207461, 'PTHR34953:SF3', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE RELATED PROTEIN', 151187),
(207462, 'PTHR13080:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151188),
(207463, 'PTHR27008:SF429', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21-LIKE PROTEIN', 151189),
(207464, 'PTHR24068:SF152', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 N', 151190),
(207465, 'PTHR22935:SF94', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE-LIKE PROTEIN 2', 151191),
(207466, 'PTHR18934:SF119', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE A', 151192),
(207467, 'PTHR47210:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26C-RELATED', 151193),
(207468, 'PTHR24414:SF171', NULL, NULL, NULL, NULL, 'BNAANNG03980D PROTEIN', 151194),
(207469, 'PTHR48217:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151195),
(207470, 'PTHR31988:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151196),
(207471, 'PTHR13902:SF147', NULL, NULL, NULL, NULL, 'BNAA02G08990D PROTEIN', 151197),
(207472, 'PTHR31897:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG25260', 151198),
(207473, 'PTHR12948', NULL, NULL, NULL, NULL, 'NEDD8 ULTIMATE BUSTER-1  BS4 PROTEIN', 151199),
(207474, 'PTHR46322', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 151200),
(207475, 'PTHR10742:SF376', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 4 ISOFORM X1-RELATED', 151201),
(207476, 'PTHR27008:SF458', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151202),
(207477, 'PTHR11937:SF445', NULL, NULL, NULL, NULL, 'ACTIN, GAMMA-ENTERIC SMOOTH MUSCLE', 151203),
(207478, 'PTHR10501:SF53', NULL, NULL, NULL, NULL, 'NUCLEAR SPECKLE RNA-BINDING PROTEIN A-RELATED', 151204),
(207479, 'PTHR31677:SF68', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR LEP', 151205),
(207480, 'PTHR11685:SF237', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 151206),
(207481, 'PTHR43747:SF4', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT TRYPTOPHAN HALOGENASE', 151207),
(207482, 'PTHR11040:SF166', NULL, NULL, NULL, NULL, 'METAL TRANSPORT PROTEIN', 151208);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(207483, 'PTHR27008:SF362', NULL, NULL, NULL, NULL, 'OS02G0211800 PROTEIN', 151209),
(207484, 'PTHR43149', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE', 151210),
(207485, 'PTHR24248:SF110', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 56A4-RELATED', 151211),
(207486, 'PTHR11699:SF274', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 151212),
(207487, 'PTHR23267:SF375', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-27', 151213),
(207488, 'PTHR23024:SF487', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 18-RELATED', 151214),
(207489, 'PTHR24103:SF655', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF PROTEIN 27', 151215),
(207490, 'PTHR15531', NULL, NULL, NULL, NULL, 'PROSAAS', 151216),
(207491, 'PTHR47309:SF1', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD5', 151217),
(207492, 'PTHR35828:SF32', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 151218),
(207493, 'PTHR47293:SF30', NULL, NULL, NULL, NULL, 'BNAA06G01980D PROTEIN', 151219),
(207494, 'PTHR24271:SF10', NULL, NULL, NULL, NULL, 'AZUROCIDIN', 151220),
(207495, 'PTHR33130:SF44', NULL, NULL, NULL, NULL, 'DUF1639 FAMILY PROTEIN', 151221),
(207496, 'PTHR14663:SF2', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE NSUN7-RELATED', 151222),
(207497, 'PTHR35108:SF4', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 3-1, CHLOROPLASTIC', 151223),
(207498, 'PTHR11545:SF3', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13A-RELATED', 151224),
(207499, 'PTHR10209:SF769', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP85', 151225),
(207500, 'PTHR21377:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151226),
(207501, 'PTHR13806:SF36', NULL, NULL, NULL, NULL, 'FLOTILLIN-LIKE PROTEIN 2', 151227),
(207502, 'PTHR12904:SF22', NULL, NULL, NULL, NULL, 'PROTEIN ZYG-11 HOMOLOG-RELATED', 151228),
(207503, 'PTHR11471:SF29', NULL, NULL, NULL, NULL, 'LYMPHOTOXIN-BETA', 151229),
(207504, 'PTHR24418:SF237', NULL, NULL, NULL, NULL, 'PROTEIN ROLLER-3', 151230),
(207505, 'PTHR22839:SF0', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 3', 151231),
(207506, 'PTHR48016:SF31', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 8', 151232),
(207507, 'PTHR46662:SF19', NULL, NULL, NULL, NULL, 'OS06G0656632 PROTEIN', 151233),
(207508, 'PTHR33098:SF1', NULL, NULL, NULL, NULL, 'COTTON FIBER (DUF761)', 151234),
(207509, 'PTHR10709:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151235),
(207510, 'PTHR22595:SF130', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN 1', 151236),
(207511, 'PTHR31744:SF89', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 79', 151237),
(207512, 'PTHR43877:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151238),
(207513, 'PTHR43857:SF1', NULL, NULL, NULL, NULL, 'BLR7761 PROTEIN', 151239),
(207514, 'PTHR43021:SF2', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER-RELATED', 151240),
(207515, 'PTHR11680:SF28', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE, MITOCHONDRIAL', 151241),
(207516, 'PTHR36807', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE', 151242),
(207517, 'PTHR15949:SF3', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 264', 151243),
(207518, 'PTHR37028:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151244),
(207519, 'PTHR43795:SF63', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00630)-RELATED', 151245),
(207520, 'PTHR46128:SF145', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 151246),
(207521, 'PTHR31907:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151247),
(207522, 'PTHR11011:SF81', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 151248),
(207523, 'PTHR32370:SF124', NULL, NULL, NULL, NULL, 'NPH3 DOMAIN-CONTAINING PROTEIN-RELATED', 151249),
(207524, 'PTHR31533:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151250),
(207525, 'PTHR11835:SF68', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT, MITOCHONDRIAL', 151251),
(207526, 'PTHR31677:SF122', NULL, NULL, NULL, NULL, 'BNAA09G05710D PROTEIN', 151252),
(207527, 'PTHR24393:SF37', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 888', 151253);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(207528, 'PTHR45687:SF67', NULL, NULL, NULL, NULL, 'BNAA03G17030D PROTEIN', 151254),
(207529, 'PTHR46765:SF1', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 151255),
(207530, 'PTHR48009:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN-RELATED', 151256),
(207531, 'PTHR15696:SF24', NULL, NULL, NULL, NULL, 'PROTEIN SMG7', 151257),
(207532, 'PTHR47144', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 12', 151258),
(207533, 'PTHR43447:SF5', NULL, NULL, NULL, NULL, 'PANCREATIC ALPHA-AMYLASE', 151259),
(207534, 'PTHR33548:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 151260),
(207535, 'PTHR23077:SF27', NULL, NULL, NULL, NULL, 'ATPASE FAMILY PROTEIN 2 HOMOLOG', 151261),
(207536, 'PTHR23086:SF54', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE TYPE-1 ALPHA', 151262),
(207537, 'PTHR13848:SF71', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 151263),
(207538, 'PTHR48002:SF143', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 151264),
(207539, 'PTHR11426:SF228', NULL, NULL, NULL, NULL, 'HISTONE H3.3-RELATED', 151265),
(207540, 'PTHR26453:SF121', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13C5', 151266),
(207541, 'PTHR33413:SF26', NULL, NULL, NULL, NULL, 'BNAC03G48670D PROTEIN', 151267),
(207542, 'PTHR43718:SF8', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG 1, MITOCHONDRIAL-RELATED', 151268),
(207543, 'PTHR23235:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP8', 151269),
(207544, 'PTHR31759:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 167', 151270),
(207545, 'PTHR10106:SF49', NULL, NULL, NULL, NULL, 'B561, PUTATIVE-RELATED', 151271),
(207546, 'PTHR10969:SF58', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8F', 151272),
(207547, 'PTHR14787', NULL, NULL, NULL, NULL, 'C10ORF188 FAMILY MEMBER', 151273),
(207548, 'PTHR45614:SF110', NULL, NULL, NULL, NULL, 'BNAANNG17310D PROTEIN', 151274),
(207549, 'PTHR24067:SF241', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-34 KDA', 151275),
(207550, 'PTHR21066:SF15', NULL, NULL, NULL, NULL, 'ODORANT-BINDING PROTEIN 46A-RELATED', 151276),
(207551, 'PTHR22765:SF270', NULL, NULL, NULL, NULL, 'BNAC05G02800D PROTEIN', 151277),
(207552, 'PTHR31656', NULL, NULL, NULL, NULL, 'ROOT CAP DOMAIN-CONTAINING PROTEIN', 151278),
(207553, 'PTHR15140:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151279),
(207554, 'PTHR11588:SF349', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 151280),
(207555, 'PTHR31218:SF166', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 151281),
(207556, 'PTHR33130:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 151282),
(207557, 'PTHR23023:SF233', NULL, NULL, NULL, NULL, 'FLAVIN-BINDING MONOOXYGENASE-LIKE PROTEIN (AFU_ORTHOLOGUE AFUA_6G01900)', 151283),
(207558, 'PTHR43070:SF6', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ASPARTOKINASE/HOMOSERINE DEHYDROGENASE 1, CHLOROPLASTIC', 151284),
(207559, 'PTHR31311:SF5', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 2', 151285),
(207560, 'PTHR11017:SF412', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 151286),
(207561, 'PTHR12993:SF18', NULL, NULL, NULL, NULL, 'LMBE FAMILY PROTEIN', 151287),
(207562, 'PTHR15725:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 11A', 151288),
(207563, 'PTHR42775', NULL, NULL, NULL, NULL, 'PERMEASE RV2963-RELATED', 151289),
(207564, 'PTHR12300:SF36', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN 4', 151290),
(207565, 'PTHR32246:SF76', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 151291),
(207566, 'PTHR23065:SF51', NULL, NULL, NULL, NULL, 'PROLINE-SERINE-THREONINE PHOSPHATASE-INTERACTING PROTEIN 1', 151292),
(207567, 'PTHR43205:SF23', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE P1, PUTATIVE, EXPRESSED-RELATED', 151293),
(207568, 'PTHR13844:SF20', NULL, NULL, NULL, NULL, 'PROTEIN MDM4', 151294),
(207569, 'PTHR10920:SF13', NULL, NULL, NULL, NULL, 'PRE-RRNA 2''-O-RIBOSE RNA METHYLTRANSFERASE FTSJ3', 151295);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(207570, 'PTHR15907:SF157', NULL, NULL, NULL, NULL, 'PLAC8 MOTIF-CONTAINING PROTEIN-RELATED', 151296),
(207571, 'PTHR47966:SF23', NULL, NULL, NULL, NULL, 'ASPARTIC ENDOPEPTIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15950)-RELATED', 151297),
(207572, 'PTHR43341:SF36', NULL, NULL, NULL, NULL, 'PROLINE-SPECIFIC PERMEASE', 151298),
(207573, 'PTHR30348', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YECE', 151299),
(207574, 'PTHR45633:SF39', NULL, NULL, NULL, NULL, 'BNAA04G16190D PROTEIN', 151300),
(207575, 'PTHR46275:SF1', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR-REGULATED TYROSINE KINASE SUBSTRATE', 151301),
(207576, 'PTHR12411:SF708', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE 1', 151302),
(207577, 'PTHR21646:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151303),
(207578, 'PTHR10984:SF60', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM VESICLE TRANSPORTER PROTEIN', 151304),
(207579, 'PTHR12210:SF162', NULL, NULL, NULL, NULL, 'FCP1-LIKE DOMAIN, HAD-LIKE DOMAIN PROTEIN-RELATED', 151305),
(207580, 'PTHR45878:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER C2H2-TYPE/INTEGRASE DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 151306),
(207581, 'PTHR31589:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151307),
(207582, 'PTHR19964:SF69', NULL, NULL, NULL, NULL, 'ARC, ISOFORM A', 151308),
(207583, 'PTHR24229:SF90', NULL, NULL, NULL, NULL, 'MELANIN-CONCENTRATING HORMONE RECEPTOR 1B', 151309),
(207584, 'PTHR34956:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151310),
(207585, 'PTHR24203:SF53', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN, CHLOROPLASTIC', 151311),
(207586, 'PTHR31048:SF158', NULL, NULL, NULL, NULL, 'BNAC05G14950D PROTEIN', 151312),
(207587, 'PTHR24423:SF627', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR 1-LIKE', 151313),
(207588, 'PTHR32444:SF144', NULL, NULL, NULL, NULL, 'BNACNNG40530D PROTEIN', 151314),
(207589, 'PTHR45829:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN RIM2', 151315),
(207590, 'PTHR11017:SF376', NULL, NULL, NULL, NULL, 'BNAC06G23930D PROTEIN', 151316),
(207591, 'PTHR13589:SF4', NULL, NULL, NULL, NULL, 'CREB-REGULATED TRANSCRIPTION COACTIVATOR 3', 151317),
(207592, 'PTHR22802:SF379', NULL, NULL, NULL, NULL, 'FI01427P-RELATED', 151318),
(207593, 'PTHR15551:SF10', NULL, NULL, NULL, NULL, 'LIM AND CALPONIN HOMOLOGY DOMAINS 1A', 151319),
(207594, 'PTHR45631:SF3', NULL, NULL, NULL, NULL, 'OS05G0393100 PROTEIN', 151320),
(207595, 'PTHR34964:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', 151321),
(207596, 'PTHR34949', NULL, NULL, NULL, NULL, 'OS05G0443700 PROTEIN', 151322),
(207597, 'PTHR47979:SF58', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN, PUTATIVE-RELATED', 151323),
(207598, 'PTHR11839:SF29', NULL, NULL, NULL, NULL, 'BNAC03G59140D PROTEIN', 151324),
(207599, 'PTHR45967:SF13', NULL, NULL, NULL, NULL, 'G-BOX-BINDING FACTOR 2', 151325),
(207600, 'PTHR10590:SF16', NULL, NULL, NULL, NULL, 'SODIUM/NUCLEOSIDE COTRANSPORTER 1', 151326),
(207601, 'PTHR33165:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151327),
(207602, 'PTHR11332:SF6', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 1D MEMBER 2', 151328),
(207603, 'PTHR10127:SF829', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-6', 151329),
(207604, 'PTHR11274:SF16', NULL, NULL, NULL, NULL, 'TFIIH BASAL TRANSCRIPTION FACTOR COMPLEX HELICASE XPB SUBUNIT', 151330),
(207605, 'PTHR13273:SF14', NULL, NULL, NULL, NULL, 'ANAMORSIN', 151331),
(207606, 'PTHR11909:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151332),
(207607, 'PTHR11880:SF43', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15-4', 151333),
(207608, 'PTHR10489:SF916', NULL, NULL, NULL, NULL, 'C-X-C CHEMOKINE RECEPTOR TYPE 1', 151334),
(207609, 'PTHR46159:SF2', NULL, NULL, NULL, NULL, 'OS05G0509400 PROTEIN', 151335),
(207610, 'PTHR11599:SF160', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 151336),
(207611, 'PTHR15467:SF7', NULL, NULL, NULL, NULL, 'HOMEOBOX AND LEUCINE ZIPPER PROTEIN HOMEZ', 151337),
(207612, 'PTHR24221:SF499', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING/PERMEASE PROTEIN', 151338);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(207613, 'PTHR15592:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151339),
(207614, 'PTHR31985:SF182', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 151340),
(207615, 'PTHR46057:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151341),
(207616, 'PTHR47864:SF7', NULL, NULL, NULL, NULL, 'BNAA01G14280D PROTEIN', 151342),
(207617, 'PTHR10974:SF69', NULL, NULL, NULL, NULL, 'PROTEIN CBG09637', 151343),
(207618, 'PTHR44376:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR LEUNIG_HOMOLOG-LIKE', 151344),
(207619, 'PTHR43872:SF1', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02570)-RELATED', 151345),
(207620, 'PTHR46334:SF1', NULL, NULL, NULL, NULL, 'COSTARS FAMILY PROTEIN ABRACL', 151346),
(207621, 'PTHR20934:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', 151347),
(207622, 'PTHR32044:SF90', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 9-LIKE', 151348),
(207623, 'PTHR43552:SF2', NULL, NULL, NULL, NULL, 'DIAMINOBUTYRATE--2-OXOGLUTARATE TRANSAMINASE', 151349),
(207624, 'PTHR10961:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151350),
(207625, 'PTHR24418:SF416', NULL, NULL, NULL, NULL, 'FER-RELATED KINASE 1', 151351),
(207626, 'PTHR46667:SF1', NULL, NULL, NULL, NULL, 'OS09G0482740 PROTEIN', 151352),
(207627, 'PTHR33227:SF6', NULL, NULL, NULL, NULL, 'PROTEIN GRIM REAPER', 151353),
(207628, 'PTHR21516:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG05496', 151354),
(207629, 'PTHR31080:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151355),
(207630, 'PTHR11452:SF58', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', 151356),
(207631, 'PTHR15018', NULL, NULL, NULL, NULL, 'BCL-2-INTERACTING KILLER', 151357),
(207632, 'PTHR12546:SF44', NULL, NULL, NULL, NULL, 'DYSFERLIN', 151358),
(207633, 'PTHR10788:SF85', NULL, NULL, NULL, NULL, 'TREHALOSE-6-PHOSPHATE SYNTHASE', 151359),
(207634, 'PTHR11132:SF361', NULL, NULL, NULL, NULL, 'OS05G0241200 PROTEIN', 151360),
(207635, 'PTHR33766:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM181B', 151361),
(207636, 'PTHR13058:SF22', NULL, NULL, NULL, NULL, 'SI:CH1073-296I8.2-RELATED', 151362),
(207637, 'PTHR13415:SF2', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 12', 151363),
(207638, 'PTHR11659', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA GLN  AMIDOTRANSFERASE SUBUNIT B  MITOCHONDRIAL AND PROKARYOTIC  PET112-RELATED', 151364),
(207639, 'PTHR22669:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG13578', 151365),
(207640, 'PTHR12358:SF26', NULL, NULL, NULL, NULL, 'CERAMIDE KINASE-LIKE PROTEIN', 151366),
(207641, 'PTHR28552:SF1', NULL, NULL, NULL, NULL, 'SHADOW OF PRION PROTEIN', 151367),
(207642, 'PTHR11467', NULL, NULL, NULL, NULL, 'HISTONE H1', 151368),
(207643, 'PTHR43791:SF36', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', 151369),
(207644, 'PTHR43952:SF26', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 3', 151370),
(207645, 'PTHR33346', NULL, NULL, NULL, NULL, 'DEHYDRIN XERO 2-RELATED', 151371),
(207646, 'PTHR46317:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE OF PHP SUPERFAMILY-RELATED PROTEIN', 151372),
(207647, 'PTHR14403:SF6', NULL, NULL, NULL, NULL, 'PRO-FMRFAMIDE-RELATED NEUROPEPTIDE VF', 151373),
(207648, 'PTHR13612:SF0', NULL, NULL, NULL, NULL, 'ENHANCER OF MRNA-DECAPPING PROTEIN 3', 151374),
(207649, 'PTHR48056:SF5', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 2', 151375),
(207650, 'PTHR47989:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151376),
(207651, 'PTHR46184:SF2', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IXB', 151377),
(207652, 'PTHR42977', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', 151378),
(207653, 'PTHR13634', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN BRIX', 151379),
(207654, 'PTHR11876', NULL, NULL, NULL, NULL, 'ALPHA-DEFENSIN 1', 151380),
(207655, 'PTHR11014:SF98', NULL, NULL, NULL, NULL, 'N-ACETYLDIAMINOPIMELATE DEACETYLASE', 151381),
(207656, 'PTHR24115:SF922', NULL, NULL, NULL, NULL, 'KINESIN-RELATED', 151382),
(207657, 'PTHR10029:SF3', NULL, NULL, NULL, NULL, 'ACYLPHOSPHATASE-1', 151383),
(207658, 'PTHR20383:SF12', NULL, NULL, NULL, NULL, 'SSU72 PSEUDOGENE 8', 151384);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(207659, 'PTHR13789:SF305', NULL, NULL, NULL, NULL, 'MONOOXYGENASE', 151385),
(207660, 'PTHR33353:SF10', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03870)-RELATED', 151386),
(207661, 'PTHR21621', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 MODIFICATION PROTEIN', 151387),
(207662, 'PTHR23155:SF1122', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 151388),
(207663, 'PTHR19290:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151389),
(207664, 'PTHR19384:SF91', NULL, NULL, NULL, NULL, 'P450 REDUCTASE, PUTATIVE-RELATED', 151390),
(207665, 'PTHR45669:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151391),
(207666, 'PTHR11706:SF79', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP3 PROTEIN', 151392),
(207667, 'PTHR23268:SF42', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 10-2', 151393),
(207668, 'PTHR10782:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER MIZ DOMAIN-CONTAINING PROTEIN 1', 151394),
(207669, 'PTHR34052:SF2', NULL, NULL, NULL, NULL, 'PLASTOCYANIN-LIKE DOMAIN PROTEIN', 151395),
(207670, 'PTHR16275:SF8', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 40', 151396),
(207671, 'PTHR37919:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG05606', 151397),
(207672, 'PTHR22951:SF61', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN AP180 SHORT FORM-LIKE', 151398),
(207673, 'PTHR31238:SF139', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 151399),
(207674, 'PTHR24256:SF508', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR', 151400),
(207675, 'PTHR15832:SF2', NULL, NULL, NULL, NULL, 'SHC (SRC HOMOLOGY DOMAIN C-TERMINAL) ADAPTOR HOMOLOG', 151401),
(207676, 'PTHR46213:SF4', NULL, NULL, NULL, NULL, 'OS02G0496500 PROTEIN', 151402),
(207677, 'PTHR46098:SF1', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(38)-C(5))-METHYLTRANSFERASE', 151403),
(207678, 'PTHR14154:SF56', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 151404),
(207679, 'PTHR24343:SF450', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2A-RELATED', 151405),
(207680, 'PTHR31033:SF18', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 151406),
(207681, 'PTHR43066', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED PROTEIN', 151407),
(207682, 'PTHR33356:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151408),
(207683, 'PTHR33917', NULL, NULL, NULL, NULL, 'PROTEIN EXECUTER 1, CHLOROPLASTIC', 151409),
(207684, 'PTHR27003:SF135', NULL, NULL, NULL, NULL, 'OSJNBA0058K23.13 PROTEIN', 151410),
(207685, 'PTHR31727:SF15', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', 151411),
(207686, 'PTHR31087:SF119', NULL, NULL, NULL, NULL, 'TUBBY C-TERMINAL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 151412),
(207687, 'PTHR13935:SF63', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', 151413),
(207688, 'PTHR31421:SF10', NULL, NULL, NULL, NULL, 'BNAA06G37280D PROTEIN', 151414),
(207689, 'PTHR33527:SF32', NULL, NULL, NULL, NULL, 'BNACNNG31160D PROTEIN', 151415),
(207690, 'PTHR18884:SF47', NULL, NULL, NULL, NULL, 'SEPTIN-9', 151416),
(207691, 'PTHR14083', NULL, NULL, NULL, NULL, 'YIP1 INTERACTING FACTOR HOMOLOG  YIF1 PROTEIN', 151417),
(207692, 'PTHR13224', NULL, NULL, NULL, NULL, 'THYROID HORMONE RECEPTOR-ASSOCIATED PROTEIN-RELATED', 151418),
(207693, 'PTHR23356:SF4', NULL, NULL, NULL, NULL, 'DPY30 DOMAIN-CONTAINING PROTEIN 1', 151419),
(207694, 'PTHR11003:SF257', NULL, NULL, NULL, NULL, 'AGAP003031-PA', 151420),
(207695, 'PTHR47986:SF7', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE TMK3', 151421),
(207696, 'PTHR42721:SF37', NULL, NULL, NULL, NULL, 'BNAC02G43200D PROTEIN', 151422),
(207697, 'PTHR31314:SF88', NULL, NULL, NULL, NULL, 'OS11G0106100 PROTEIN', 151423),
(207698, 'PTHR45725:SF8', NULL, NULL, NULL, NULL, 'FORMIN-B', 151424),
(207699, 'PTHR10494:SF5', NULL, NULL, NULL, NULL, 'NOGGIN', 151425),
(207700, 'PTHR26379:SF293', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 3', 151426),
(207701, 'PTHR33207:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151427),
(207702, 'PTHR11999:SF160', NULL, NULL, NULL, NULL, 'BNAA07G00240D PROTEIN', 151428); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(207703, 'PTHR47987:SF4', NULL, NULL, NULL, NULL, 'BNACNNG17590D PROTEIN', 151429),
(207704, 'PTHR24253:SF47', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11G', 151430),
(207705, 'PTHR11802:SF336', NULL, NULL, NULL, NULL, 'PEPTIDASE S10, SERINE CARBOXYPEPTIDASE, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 151431),
(207706, 'PTHR13620:SF58', NULL, NULL, NULL, NULL, 'PROTEIN CBG10060', 151432),
(207707, 'PTHR13304', NULL, NULL, NULL, NULL, 'GLYCOSYLPHOSPHATIDYLINOSITOL ANCHOR ATTACHMENT 1 PROTEIN', 151433),
(207708, 'PTHR16983:SF1', NULL, NULL, NULL, NULL, 'PROSTATE STEM CELL ANTIGEN', 151434),
(207709, 'PTHR21668:SF17', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A, Y-CHROMOSOMAL', 151435),
(207710, 'PTHR47976:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE, PLANT-TYPE PROTEIN', 151436),
(207711, 'PTHR31321:SF97', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 151437),
(207712, 'PTHR24366:SF39', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT, IG-LIKE AND TRANSMEMBRANE DOMAINS 2', 151438),
(207713, 'PTHR31526:SF2', NULL, NULL, NULL, NULL, 'SOSS COMPLEX SUBUNIT C', 151439),
(207714, 'PTHR46038:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 151440),
(207715, 'PTHR11358:SF41', NULL, NULL, NULL, NULL, 'ARGINASE-RELATED', 151441),
(207716, 'PTHR45621:SF136', NULL, NULL, NULL, NULL, 'OS03G0179400 PROTEIN', 151442),
(207717, 'PTHR45764:SF35', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 151443),
(207718, 'PTHR43791:SF30', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN RHMT', 151444),
(207719, 'PTHR46954:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151445),
(207720, 'PTHR15377', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION REGULATOR 1', 151446),
(207721, 'PTHR42973', NULL, NULL, NULL, NULL, 'BINDING OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17690)-RELATED', 151447),
(207722, 'PTHR45630:SF11', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', 151448),
(207723, 'PTHR13018:SF128', NULL, NULL, NULL, NULL, 'CALCIUM PERMEABLE STRESS-GATED CATION CHANNEL 1', 151449),
(207724, 'PTHR47925:SF15', NULL, NULL, NULL, NULL, 'BNAC07G31780D PROTEIN', 151450),
(207725, 'PTHR48058:SF11', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', 151451),
(207726, 'PTHR10963:SF42', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G02280)-RELATED', 151452),
(207727, 'PTHR48186:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151453),
(207728, 'PTHR12121:SF50', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', 151454),
(207729, 'PTHR33669:SF21', NULL, NULL, NULL, NULL, 'BNAA09G51300D PROTEIN', 151455),
(207730, 'PTHR34946:SF12', NULL, NULL, NULL, NULL, 'BNAUNNG03910D PROTEIN', 151456),
(207731, 'PTHR11994', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11-RELATED', 151457),
(207732, 'PTHR28254', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 10', 151458),
(207733, 'PTHR45781:SF2', NULL, NULL, NULL, NULL, 'TOX HIGH MOBILITY GROUP BOX FAMILY MEMBER 4', 151459),
(207734, 'PTHR10872:SF2', NULL, NULL, NULL, NULL, 'LNK, ISOFORM D', 151460),
(207735, 'PTHR44272:SF10', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', 151461),
(207736, 'PTHR36147:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151462),
(207737, 'PTHR34446:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151463),
(207738, 'PTHR13388:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 132E', 151464),
(207739, 'PTHR13878:SF99', NULL, NULL, NULL, NULL, 'FAD/FMN-CONTAINING ISOAMYL ALCOHOL OXIDASE MREA (AFU_ORTHOLOGUE AFUA_6G03620)-RELATED', 151465),
(207740, 'PTHR11760:SF51', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S3, PUTATIVE-RELATED', 151466),
(207741, 'PTHR37792:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE MRP PROTEIN SUBUNIT RMP1', 151467),
(207742, 'PTHR33565:SF18', NULL, NULL, NULL, NULL, 'OS09G0437500 PROTEIN', 151468),
(207743, 'PTHR11559:SF148', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 151469),
(207744, 'PTHR24012:SF812', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 45', 151470);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(207745, 'PTHR32133:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151471),
(207746, 'PTHR13466:SF4', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED 2,-LIKE', 151472),
(207747, 'PTHR43073:SF3', NULL, NULL, NULL, NULL, 'BNAA01G27800D PROTEIN', 151473),
(207748, 'PTHR31631:SF6', NULL, NULL, NULL, NULL, 'KINASE-INTERACTING PROTEIN 1-LIKE', 151474),
(207749, 'PTHR33110:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151475),
(207750, 'PTHR10072:SF60', NULL, NULL, NULL, NULL, 'IRON-SULFUR ASSEMBLY PROTEIN ISCA-LIKE 3, MITOCHONDRIAL', 151476),
(207751, 'PTHR19957:SF259', NULL, NULL, NULL, NULL, 'CLATHRIN-COAT ASSEMBLY PROTEIN-LIKE', 151477),
(207752, 'PTHR14974', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 1700025G04 GENE', 151478),
(207753, 'PTHR12000:SF41', NULL, NULL, NULL, NULL, 'PEPTIDASE C13, LEGUMAIN-RELATED', 151479),
(207754, 'PTHR31807:SF30', NULL, NULL, NULL, NULL, 'QWRF MOTIF-CONTAINING PROTEIN 4', 151480),
(207755, 'PTHR23070:SF115', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 151481),
(207756, 'PTHR34648:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-132B12.7', 151482),
(207757, 'PTHR24377:SF284', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 655', 151483),
(207758, 'PTHR11559:SF43', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 5A', 151484),
(207759, 'PTHR10336:SF189', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 151485),
(207760, 'PTHR11157:SF127', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN DDB_G0272012-RELATED', 151486),
(207761, 'PTHR33021:SF397', NULL, NULL, NULL, NULL, 'OS08G0137400 PROTEIN', 151487),
(207762, 'PTHR16119:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG21054', 151488),
(207763, 'PTHR24009:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', 151489),
(207764, 'PTHR23155:SF962', NULL, NULL, NULL, NULL, 'OS08G0539900 PROTEIN', 151490),
(207765, 'PTHR10334:SF417', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', 151491),
(207766, 'PTHR35283', NULL, NULL, NULL, NULL, 'T12C22.21 PROTEIN', 151492),
(207767, 'PTHR11850:SF80', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN PKNOX1', 151493),
(207768, 'PTHR21029:SF5', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 9-BINDING PROTEIN', 151494),
(207769, 'PTHR46446:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILI3', 151495),
(207770, 'PTHR33108:SF32', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN (DUF1677)', 151496),
(207771, 'PTHR11851:SF201', NULL, NULL, NULL, NULL, 'HYPOTHETICAL ZINC PROTEASE', 151497),
(207772, 'PTHR19848', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', 151498),
(207773, 'PTHR47983:SF10', NULL, NULL, NULL, NULL, 'BNACNNG44120D PROTEIN', 151499),
(207774, 'PTHR12832:SF21', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 11 X-LINKED PROTEIN 1-RELATED', 151500),
(207775, 'PTHR13334', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S10', 151501),
(207776, 'PTHR11945:SF600', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL104', 151502),
(207777, 'PTHR11615:SF299', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 151503),
(207778, 'PTHR47794', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 27', 151504),
(207779, 'PTHR33128:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151505),
(207780, 'PTHR10055:SF5', NULL, NULL, NULL, NULL, 'TRYPTOPHAN--TRNA LIGASE', 151506),
(207781, 'PTHR24223:SF324', NULL, NULL, NULL, NULL, 'LD17001P', 151507),
(207782, 'PTHR38761:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE', 151508),
(207783, 'PTHR45662:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC8', 151509),
(207784, 'PTHR31001', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED TRANSCRIPTIONAL REGULATORY PROTEIN', 151510),
(207785, 'PTHR33207:SF21', NULL, NULL, NULL, NULL, 'OS07G0517700 PROTEIN', 151511),
(207786, 'PTHR15110', NULL, NULL, NULL, NULL, 'REGULATORY FACTOR X-ASSOCIATED PROTEIN', 151512),
(207787, 'PTHR31232:SF121', NULL, NULL, NULL, NULL, 'BNACNNG36020D PROTEIN', 151513);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(207788, 'PTHR46280:SF3', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY F MEMBER 2-RELATED', 151514),
(207789, 'PTHR47338:SF10', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 151515),
(207790, 'PTHR31048:SF147', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN FAMILY PROTEIN', 151516),
(207791, 'PTHR10965:SF17', NULL, NULL, NULL, NULL, 'BNACNNG77070D PROTEIN', 151517),
(207792, 'PTHR12522:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 503', 151518),
(207793, 'PTHR46387:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151519),
(207794, 'PTHR31190:SF315', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF115', 151520),
(207795, 'PTHR11208:SF42', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING PROTEIN SPIN1', 151521),
(207796, 'PTHR11521:SF5', NULL, NULL, NULL, NULL, 'TROPONIN T, CARDIAC MUSCLE', 151522),
(207797, 'PTHR10362:SF36', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', 151523),
(207798, 'PTHR13291', NULL, NULL, NULL, NULL, 'JOSEPHIN 1, 2', 151524),
(207799, 'PTHR48194:SF1', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 151525),
(207800, 'PTHR15710:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF181', 151526),
(207801, 'PTHR31662:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151527),
(207802, 'PTHR22835:SF458', NULL, NULL, NULL, NULL, '2, PUTATIVE-RELATED', 151528),
(207803, 'PTHR33108:SF11', NULL, NULL, NULL, NULL, 'OS01G0199700 PROTEIN', 151529),
(207804, 'PTHR47424:SF7', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 151530),
(207805, 'PTHR17573', NULL, NULL, NULL, NULL, 'UROPLAKIN II', 151531),
(207806, 'PTHR26450:SF44', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51M1', 151532),
(207807, 'PTHR44068:SF2', NULL, NULL, NULL, NULL, 'OS11G0296900 PROTEIN', 151533),
(207808, 'PTHR38645', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', 151534),
(207809, 'PTHR11827:SF9', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 3', 151535),
(207810, 'PTHR31741:SF84', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE FAMILY PROTEIN-RELATED', 151536),
(207811, 'PTHR30625:SF11', NULL, NULL, NULL, NULL, 'TOLQ-TYPE TRANSPORT PROTEIN-RELATED', 151537),
(207812, 'PTHR21137:SF36', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 1A-RELATED', 151538),
(207813, 'PTHR33088:SF46', NULL, NULL, NULL, NULL, 'VEGETATIVE CELL WALL PROTEIN GP1-LIKE', 151539),
(207814, 'PTHR13683:SF823', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', 151540),
(207815, 'PTHR43670:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151541),
(207816, 'PTHR45888:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE 2C', 151542),
(207817, 'PTHR23500:SF33', NULL, NULL, NULL, NULL, 'OSJNBA0027G07.5 PROTEIN', 151543),
(207818, 'PTHR11668:SF236', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 151544),
(207819, 'PTHR11592:SF102', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 151545),
(207820, 'PTHR43093', NULL, NULL, NULL, NULL, '3-CARBOXY-CIS,CIS-MUCONATE CYCLOISOMERASE', 151546),
(207821, 'PTHR24215:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE AND GLYCINE-RICH PROTEIN 2', 151547),
(207822, 'PTHR14374:SF0', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 11', 151548),
(207823, 'PTHR32227:SF373', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 17, X8', 151549),
(207824, 'PTHR23428:SF263', NULL, NULL, NULL, NULL, 'HISTONE H2B', 151550),
(207825, 'PTHR46133:SF22', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 151551),
(207826, 'PTHR47322:SF20', NULL, NULL, NULL, NULL, 'TONB DEPENDENT OUTER MEMBRANE PROTEIN-RELATED', 151552),
(207827, 'PTHR42643:SF16', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 11A-RELATED', 151553),
(207828, 'PTHR34046:SF17', NULL, NULL, NULL, NULL, 'BNAANNG27010D PROTEIN', 151554),
(207829, 'PTHR27005:SF364', NULL, NULL, NULL, NULL, 'BNAC04G02300D PROTEIN', 151555),
(207830, 'PTHR31865:SF42', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR-RELATED', 151556);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(207831, 'PTHR38034', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YPJD', 151557),
(207832, 'PTHR22870:SF24', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', 151558),
(207833, 'PTHR21727:SF0', NULL, NULL, NULL, NULL, 'MRNA (2''-O-METHYLADENOSINE-N(6)-)-METHYLTRANSFERASE', 151559),
(207834, 'PTHR33788:SF16', NULL, NULL, NULL, NULL, 'BNAA09G42210D PROTEIN', 151560),
(207835, 'PTHR37534:SF23', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 151561),
(207836, 'PTHR31066:SF72', NULL, NULL, NULL, NULL, 'BNAA01G29090D PROTEIN', 151562),
(207837, 'PTHR47919:SF1', NULL, NULL, NULL, NULL, 'DOWNSTREAM OF DAF-16 (REGULATED BY DAF-16)', 151563),
(207838, 'PTHR39466:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151564),
(207839, 'PTHR45888:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151565),
(207840, 'PTHR10500:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151566),
(207841, 'PTHR45699:SF17', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', 151567),
(207842, 'PTHR24026:SF102', NULL, NULL, NULL, NULL, 'CADHERIN FAMILY-RELATED', 151568),
(207843, 'PTHR33998:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151569),
(207844, 'PTHR33413:SF4', NULL, NULL, NULL, NULL, 'D-RIBOSE-BINDING PERIPLASMIC PROTEIN', 151570),
(207845, 'PTHR11502:SF21', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6-2', 151571),
(207846, 'PTHR47992:SF108', NULL, NULL, NULL, NULL, 'OS07G0690400 PROTEIN', 151572),
(207847, 'PTHR12514:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION AND MRNA EXPORT FACTOR ENY2', 151573),
(207848, 'PTHR24220:SF611', NULL, NULL, NULL, NULL, 'ATP-BINDING COMPONENT OF ABC TRANSPORTER-RELATED', 151574),
(207849, 'PTHR19282:SF422', NULL, NULL, NULL, NULL, 'TETRASPANIN-19-LIKE', 151575),
(207850, 'PTHR14944:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151576),
(207851, 'PTHR47288:SF2', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 12', 151577),
(207852, 'PTHR43112:SF25', NULL, NULL, NULL, NULL, 'FERREDOXIN', 151578),
(207853, 'PTHR24128:SF43', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 43 KDA PROTEIN, CHLOROPLASTIC', 151579),
(207854, 'PTHR12774', NULL, NULL, NULL, NULL, 'PEROXISOMAL BIOGENESIS FACTOR 19', 151580),
(207855, 'PTHR10380:SF208', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 73D, ISOFORM B', 151581),
(207856, 'PTHR13318:SF80', NULL, NULL, NULL, NULL, 'RNI-LIKE SUPERFAMILY PROTEIN-RELATED', 151582),
(207857, 'PTHR14491:SF4', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN SOWAHC', 151583),
(207858, 'PTHR24014:SF8', NULL, NULL, NULL, NULL, 'BNAA09G30240D PROTEIN', 151584),
(207859, 'PTHR19375:SF210', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 1-LIKE', 151585),
(207860, 'PTHR14167:SF44', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SH3RF1', 151586),
(207861, 'PTHR31717:SF46', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN-RELATED', 151587),
(207862, 'PTHR13124:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151588),
(207863, 'PTHR45617:SF107', NULL, NULL, NULL, NULL, 'PROTEIN ARTICHOKE', 151589),
(207864, 'PTHR11315:SF16', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLHYDROLASE 3', 151590),
(207865, 'PTHR24381:SF340', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 331', 151591),
(207866, 'PTHR46133:SF6', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 151592),
(207867, 'PTHR19872', NULL, NULL, NULL, NULL, 'UBIQUITIN LIGASE SPECIFICITY FACTOR/HREP PROTEIN', 151593),
(207868, 'PTHR15907:SF163', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 2-LIKE', 151594),
(207869, 'PTHR47945:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY MONOOXYGENASE', 151595),
(207870, 'PTHR11699:SF25', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE-LIKE PROTEIN YHR039C-RELATED', 151596),
(207871, 'PTHR21679', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 151597),
(207872, 'PTHR16140:SF20', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', 151598),
(207873, 'PTHR35336:SF5', NULL, NULL, NULL, NULL, 'ADENOSYLCOBINAMIDE AMIDOHYDROLASE', 151599);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(207874, 'PTHR30465:SF95', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERMEASE PROTEIN', 151600),
(207875, 'PTHR22950:SF222', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 4', 151601),
(207876, 'PTHR24056:SF337', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE', 151602),
(207877, 'PTHR24232:SF47', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 10-RELATED', 151603),
(207878, 'PTHR23505:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151604),
(207879, 'PTHR13301:SF178', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D3', 151605),
(207880, 'PTHR42945:SF5', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYL-ATP PYROPHOSPHATASE', 151606),
(207881, 'PTHR24006:SF755', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', 151607),
(207882, 'PTHR31673:SF45', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 1', 151608),
(207883, 'PTHR10938:SF0', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-3, MITOCHONDRIAL', 151609),
(207884, 'PTHR23255:SF61', NULL, NULL, NULL, NULL, 'TGF-BETA RECEPTOR TYPE-1', 151610),
(207885, 'PTHR10796:SF185', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 151611),
(207886, 'PTHR10527:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151612),
(207887, 'PTHR22932:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151613),
(207888, 'PTHR10336:SF149', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE CLASSES I AND II', 151614),
(207889, 'PTHR35510', NULL, NULL, NULL, NULL, 'DBH-LIKE MONOOXYGENASE', 151615),
(207890, 'PTHR18034:SF4', NULL, NULL, NULL, NULL, 'NUCLEOLAR MIF4G DOMAIN-CONTAINING PROTEIN 1', 151616),
(207891, 'PTHR23133', NULL, NULL, NULL, NULL, 'IMIDAZOLEGLYCEROL-PHOSPHATE DEHYDRATASE HIS7', 151617),
(207892, 'PTHR47200:SF2', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 15 KDA PROTEIN 1, CHLOROPLASTIC', 151618),
(207893, 'PTHR11731:SF197', NULL, NULL, NULL, NULL, 'PEPTIDASE S9 FAMILY', 151619),
(207894, 'PTHR22807:SF63', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE B', 151620),
(207895, 'PTHR42912:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151621),
(207896, 'PTHR13347', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 151622),
(207897, 'PTHR33233:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151623),
(207898, 'PTHR10937:SF15', NULL, NULL, NULL, NULL, 'FRUCTOSELYSINE 6-PHOSPHATE DEGLYCASE', 151624),
(207899, 'PTHR31948:SF112', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 11', 151625),
(207900, 'PTHR27002:SF618', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151626),
(207901, 'PTHR11210:SF45', NULL, NULL, NULL, NULL, 'OS01G0106800 PROTEIN', 151627),
(207902, 'PTHR34011:SF3', NULL, NULL, NULL, NULL, 'ALLOPHYCOCYANIN BETA CHAIN', 151628),
(207903, 'PTHR44420:SF3', NULL, NULL, NULL, NULL, 'DEHYDROASCORBATE REDUCTASE', 151629),
(207904, 'PTHR11042:SF144', NULL, NULL, NULL, NULL, 'WEE1-LIKE PROTEIN KINASE', 151630),
(207905, 'PTHR30304:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR OF PROTEASES PRTT', 151631),
(207906, 'PTHR11807', NULL, NULL, NULL, NULL, 'ATPASES OF THE PP SUPERFAMILY-RELATED', 151632),
(207907, 'PTHR10210:SF101', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE A', 151633),
(207908, 'PTHR12612:SF32', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2-LIKE', 151634),
(207909, 'PTHR23226:SF59', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 22', 151635),
(207910, 'PTHR27002:SF480', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 151636),
(207911, 'PTHR43438', NULL, NULL, NULL, NULL, 'UPF0145 PROTEIN SCO3412', 151637),
(207912, 'PTHR10869:SF159', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 13-RELATED', 151638),
(207913, 'PTHR11579:SF2', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE DOMAIN-CONTAINING PROTEIN 2', 151639),
(207914, 'PTHR22409:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 19 OPEN READING FRAME 44', 151640),
(207915, 'PTHR43201:SF8', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', 151641),
(207916, 'PTHR45974:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151642); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(207917, 'PTHR43200:SF20', NULL, NULL, NULL, NULL, 'PHOSPHATASE HAL2-LIKE PROTEIN, PUTATIVE-RELATED', 151643),
(207918, 'PTHR11096:SF2', NULL, NULL, NULL, NULL, 'BNAC08G04140D PROTEIN', 151644),
(207919, 'PTHR22552:SF14', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED', 151645),
(207920, 'PTHR12830:SF11', NULL, NULL, NULL, NULL, 'BNAC08G44850D PROTEIN', 151646),
(207921, 'PTHR34587', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 151647),
(207922, 'PTHR23054:SF15', NULL, NULL, NULL, NULL, 'OS08G0515700 PROTEIN', 151648),
(207923, 'PTHR12454', NULL, NULL, NULL, NULL, 'TRIMERIC INTRACELLULAR CATION CHANNEL', 151649),
(207924, 'PTHR11136:SF10', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE', 151650),
(207925, 'PTHR11709:SF399', NULL, NULL, NULL, NULL, 'LACCASE', 151651),
(207926, 'PTHR34264:SF8', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B, CHLOROPLASTIC', 151652),
(207927, 'PTHR13817:SF121', NULL, NULL, NULL, NULL, 'PROTEIN SIDEKICK-LIKE PROTEIN', 151653),
(207928, 'PTHR23208:SF32', NULL, NULL, NULL, NULL, 'GH FAMILY 25 LYSOZYME 5-RELATED', 151654),
(207929, 'PTHR43132:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR NMTR', 151655),
(207930, 'PTHR23155:SF941', NULL, NULL, NULL, NULL, 'OS06G0268500 PROTEIN', 151656),
(207931, 'PTHR45973:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151657),
(207932, 'PTHR31100:SF72', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 20-LIKE', 151658),
(207933, 'PTHR36304:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151659),
(207934, 'PTHR27003:SF301', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING PROTEIN OF THE ER PROTEIN', 151660),
(207935, 'PTHR10686:SF32', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 19 MEMBER 3B', 151661),
(207936, 'PTHR31734:SF131', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA12', 151662),
(207937, 'PTHR23175:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151663),
(207938, 'PTHR23021:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 151664),
(207939, 'PTHR44542:SF5', NULL, NULL, NULL, NULL, 'OS12G0428000 PROTEIN', 151665),
(207940, 'PTHR34397:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151666),
(207941, 'PTHR32295:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151667),
(207942, 'PTHR33120:SF45', NULL, NULL, NULL, NULL, 'OS05G0571400 PROTEIN', 151668),
(207943, 'PTHR24282:SF223', NULL, NULL, NULL, NULL, 'BNACNNG69060D PROTEIN', 151669),
(207944, 'PTHR45798:SF35', NULL, NULL, NULL, NULL, 'OS11G0149500 PROTEIN', 151670),
(207945, 'PTHR22572:SF154', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE FAMILY PROTEIN-RELATED', 151671),
(207946, 'PTHR47302:SF1', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 3', 151672),
(207947, 'PTHR21646:SF40', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 22', 151673),
(207948, 'PTHR42647:SF48', NULL, NULL, NULL, NULL, 'BNAANNG11660D PROTEIN', 151674),
(207949, 'PTHR24298:SF844', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 76 SUBFAMILY C POLYPEPTIDE 7', 151675),
(207950, 'PTHR46128:SF27', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 151676),
(207951, 'PTHR31867:SF132', NULL, NULL, NULL, NULL, 'EXPANSIN-A21-RELATED', 151677),
(207952, 'PTHR13484:SF0', NULL, NULL, NULL, NULL, 'PRE-MRNA 3''-END-PROCESSING FACTOR FIP1', 151678),
(207953, 'PTHR47991:SF40', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 151679),
(207954, 'PTHR46128:SF249', NULL, NULL, NULL, NULL, 'BNAA08G27150D PROTEIN', 151680),
(207955, 'PTHR26374:SF383', NULL, NULL, NULL, NULL, 'BNAC03G71210D PROTEIN', 151681),
(207956, 'PTHR27003:SF351', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151682),
(207957, 'PTHR10003:SF78', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SUPEROXIDE DISMUTASE [CU-ZN]', 151683),
(207958, 'PTHR47993:SF71', NULL, NULL, NULL, NULL, 'OS04G0384500 PROTEIN', 151684),
(207959, 'PTHR45967:SF20', NULL, NULL, NULL, NULL, 'G-BOX-BINDING FACTOR 1', 151685),
(207960, 'PTHR45642:SF87', NULL, NULL, NULL, NULL, 'BNAANNG30030D PROTEIN', 151686);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(207961, 'PTHR32343:SF57', NULL, NULL, NULL, NULL, 'BNAC09G41010D PROTEIN', 151687),
(207962, 'PTHR23163:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BRE1B', 151688),
(207963, 'PTHR45778:SF17', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 151689),
(207964, 'PTHR33443:SF10', NULL, NULL, NULL, NULL, 'INTERACTING PROTEIN 13, PUTATIVE ISOFORM 1-RELATED', 151690),
(207965, 'PTHR11685:SF327', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 151691),
(207966, 'PTHR10902:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151692),
(207967, 'PTHR21649:SF83', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN CP29.3, CHLOROPLASTIC', 151693),
(207968, 'PTHR47925:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151694),
(207969, 'PTHR34809:SF4', NULL, NULL, NULL, NULL, 'MALTOSE EXCESS PROTEIN 1-LIKE, CHLOROPLASTIC', 151695),
(207970, 'PTHR12103:SF17', NULL, NULL, NULL, NULL, 'CYTOSOLIC PURINE 5''-NUCLEOTIDASE', 151696),
(207971, 'PTHR15428', NULL, NULL, NULL, NULL, 'ENDOTHELIAL CELL-SPECIFIC MOLECULE 1  ESM-1', 151697),
(207972, 'PTHR48018:SF146', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 151698),
(207973, 'PTHR11537:SF61', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY S MEMBER 1', 151699),
(207974, 'PTHR31170:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151700),
(207975, 'PTHR13902:SF68', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK5-RELATED', 151701),
(207976, 'PTHR24031:SF726', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 9, MITOCHONDRIAL', 151702),
(207977, 'PTHR45614:SF92', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN B', 151703),
(207978, 'PTHR11119:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151704),
(207979, 'PTHR13361:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151705),
(207980, 'PTHR20938:SF0', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 4', 151706),
(207981, 'PTHR45665:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151707),
(207982, 'PTHR33491:SF18', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 22', 151708),
(207983, 'PTHR11690:SF157', NULL, NULL, NULL, NULL, 'PICKPOCKET 15', 151709),
(207984, 'PTHR28524:SF3', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE ASSEMBLY FACTOR 4, MITOCHONDRIAL', 151710),
(207985, 'PTHR34557', NULL, NULL, NULL, NULL, 'PHYTOCHROMOBILIN:FERREDOXIN OXIDOREDUCTASE, CHLOROPLASTIC', 151711),
(207986, 'PTHR12298', NULL, NULL, NULL, NULL, 'PCDC2  PROGRAMMED CELL DEATH PROTEIN 2 -RELATED', 151712),
(207987, 'PTHR13044:SF14', NULL, NULL, NULL, NULL, 'CRYPTOCEPHAL, ISOFORM A', 151713),
(207988, 'PTHR34630:SF29', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RGA3-RELATED', 151714),
(207989, 'PTHR11802:SF51', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE YBR139W-RELATED', 151715),
(207990, 'PTHR19282:SF462', NULL, NULL, NULL, NULL, 'TETRASPANIN-12', 151716),
(207991, 'PTHR13366', NULL, NULL, NULL, NULL, 'MALARIA ANTIGEN-RELATED', 151717),
(207992, 'PTHR11822:SF30', NULL, NULL, NULL, NULL, 'PEROXISOMAL ISOCITRATE DEHYDROGENASE [NADP]', 151718),
(207993, 'PTHR35738:SF3', NULL, NULL, NULL, NULL, 'OS05G0577800 PROTEIN', 151719),
(207994, 'PTHR24115:SF600', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF23', 151720),
(207995, 'PTHR42904:SF7', NULL, NULL, NULL, NULL, 'NADH PYROPHOSPHATASE-LIKE, NUDIX HYDROLASE DOMAIN-LIKE PROTEIN-RELATED', 151721),
(207996, 'PTHR12308:SF81', NULL, NULL, NULL, NULL, 'BNAC06G23840D PROTEIN', 151722),
(207997, 'PTHR43570:SF30', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 151723),
(207998, 'PTHR46821:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-KINASE PLANT', 151724),
(207999, 'PTHR43731:SF9', NULL, NULL, NULL, NULL, 'SLR1461 PROTEIN', 151725),
(208000, 'PTHR45895', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 151726),
(208001, 'PTHR20863:SF63', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 2, MITOCHONDRIAL', 151727),
(208002, 'PTHR22891:SF23', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN', 151728),
(208003, 'PTHR33355:SF3', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE GALACTURONAN-BINDING PROTEIN', 151729); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(208004, 'PTHR12812:SF3', NULL, NULL, NULL, NULL, 'HEPARAN-SULFATE 6-O-SULFOTRANSFERASE 3', 151730),
(208005, 'PTHR22748:SF6', NULL, NULL, NULL, NULL, 'DNA-(APURINIC OR APYRIMIDINIC SITE) LYASE', 151731),
(208006, 'PTHR22883:SF98', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 151732),
(208007, 'PTHR43066:SF14', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED PROTEIN 4', 151733),
(208008, 'PTHR35282', NULL, NULL, NULL, NULL, 'F5D14.24 PROTEIN', 151734),
(208009, 'PTHR10628:SF21', NULL, NULL, NULL, NULL, 'SIALIDASE-1', 151735),
(208010, 'PTHR33108:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 151736),
(208011, 'PTHR31384:SF142', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 151737),
(208012, 'PTHR34659:SF6', NULL, NULL, NULL, NULL, 'MUCIN-RELATED', 151738),
(208013, 'PTHR23402:SF23', NULL, NULL, NULL, NULL, 'BNAA09G31040D PROTEIN', 151739),
(208014, 'PTHR21581', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE', 151740),
(208015, 'PTHR11183:SF103', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 151741),
(208016, 'PTHR11260:SF518', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTU6', 151742),
(208017, 'PTHR43096:SF38', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ A6, CHLOROPLASTIC-LIKE', 151743),
(208018, 'PTHR46554:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26B-RELATED', 151744),
(208019, 'PTHR11802:SF365', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 45', 151745),
(208020, 'PTHR47518', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-13-RELATED', 151746),
(208021, 'PTHR31375:SF188', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 28, PECTIN LYASE FOLD/VIRULENCE FACTOR-RELATED', 151747),
(208022, 'PTHR31080:SF93', NULL, NULL, NULL, NULL, 'RIPENING PROTEIN', 151748),
(208023, 'PTHR24031:SF96', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX56-RELATED', 151749),
(208024, 'PTHR24100:SF110', NULL, NULL, NULL, NULL, 'BUTYROPHILIN SUBFAMILY 2 MEMBER A3-RELATED', 151750),
(208025, 'PTHR33191:SF56', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 7-RELATED', 151751),
(208026, 'PTHR34049:SF8', NULL, NULL, NULL, NULL, 'BNAC09G22320D PROTEIN', 151752),
(208027, 'PTHR45863:SF31', NULL, NULL, NULL, NULL, 'BR-SIGNALING KINASE 3-RELATED', 151753),
(208028, 'PTHR48019:SF29', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL9 HOMOLOG', 151754),
(208029, 'PTHR24062:SF165', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 151755),
(208030, 'PTHR24351:SF98', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE ALPHA-6', 151756),
(208031, 'PTHR10177:SF453', NULL, NULL, NULL, NULL, 'CYCLIN-D3-1-RELATED', 151757),
(208032, 'PTHR47992:SF12', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-LIKE PROTEIN', 151758),
(208033, 'PTHR45862:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SGT1 HOMOLOG B', 151759),
(208034, 'PTHR23003:SF35', NULL, NULL, NULL, NULL, 'OS08G0483200 PROTEIN', 151760),
(208035, 'PTHR12768:SF4', NULL, NULL, NULL, NULL, 'BECLIN-1', 151761),
(208036, 'PTHR12713:SF11', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G', 151762),
(208037, 'PTHR42854:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 3', 151763),
(208038, 'PTHR36703', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE-LIKE PROTEIN', 151764),
(208039, 'PTHR11706:SF26', NULL, NULL, NULL, NULL, 'NRAMP-LIKE TRANSPORTER SMF-2', 151765),
(208040, 'PTHR21490:SF2', NULL, NULL, NULL, NULL, 'ENKURIN DOMAIN-CONTAINING PROTEIN 1', 151766),
(208041, 'PTHR47972:SF37', NULL, NULL, NULL, NULL, 'BNAA09G11080D PROTEIN', 151767),
(208042, 'PTHR10314:SF173', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL L-3-CYANOALANINE SYNTHASE/CYSTEINE SYNTHASE 2, MITOCHONDRIAL', 151768),
(208043, 'PTHR34680', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 151769),
(208044, 'PTHR45778:SF26', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 151770),
(208045, 'PTHR30509:SF34', NULL, NULL, NULL, NULL, 'F3L24.34 PROTEIN', 151771),
(208046, 'PTHR31928:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 151772),
(208047, 'PTHR43675:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151773);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(208048, 'PTHR30035', NULL, NULL, NULL, NULL, 'LIPOPROTEIN VACJ-RELATED', 151774),
(208049, 'PTHR35547:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151775),
(208050, 'PTHR42647:SF36', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 151776),
(208051, 'PTHR11224:SF48', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MAKORIN-1', 151777),
(208052, 'PTHR10263:SF56', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 21 KDA PROTEOLIPID SUBUNIT', 151778),
(208053, 'PTHR47932:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151779),
(208054, 'PTHR45616', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 151780),
(208055, 'PTHR11566:SF176', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE GTPASE MGM1, MITOCHONDRIAL', 151781),
(208056, 'PTHR14516', NULL, NULL, NULL, NULL, '1-PYRROLINE-5-CARBOXYLATE DEHYDROGENASE FAMILY MEMBER', 151782),
(208057, 'PTHR14221:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 151783),
(208058, 'PTHR46050:SF7', NULL, NULL, NULL, NULL, 'OS01G0616333 PROTEIN', 151784),
(208059, 'PTHR45800:SF26', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-/4-KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 151785),
(208060, 'PTHR15031:SF3', NULL, NULL, NULL, NULL, 'CARTILAGE INTERMEDIATE LAYER PROTEIN 1', 151786),
(208061, 'PTHR45648:SF19', NULL, NULL, NULL, NULL, 'OS02G0617400 PROTEIN', 151787),
(208062, 'PTHR10177:SF270', NULL, NULL, NULL, NULL, 'CYCLIN-A3-1-RELATED', 151788),
(208063, 'PTHR10516:SF432', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP62', 151789),
(208064, 'PTHR31719:SF123', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 48-LIKE', 151790),
(208065, 'PTHR11260:SF478', NULL, NULL, NULL, NULL, 'OS10G0527601 PROTEIN', 151791),
(208066, 'PTHR32254', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 151792),
(208067, 'PTHR46869:SF6', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER PROTEIN', 151793),
(208068, 'PTHR43701:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN MJ0441-RELATED', 151794),
(208069, 'PTHR33527:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151795),
(208070, 'PTHR11767', NULL, NULL, NULL, NULL, 'INWARD RECTIFIER POTASSIUM CHANNEL', 151796),
(208071, 'PTHR31086:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151797),
(208072, 'PTHR37859', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 3', 151798),
(208073, 'PTHR45763:SF36', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD HYDROLASE', 151799),
(208074, 'PTHR48001:SF104', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 151800),
(208075, 'PTHR24020:SF36', NULL, NULL, NULL, NULL, 'COCHLIN', 151801),
(208076, 'PTHR31140:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151802),
(208077, 'PTHR31718:SF46', NULL, NULL, NULL, NULL, 'EMBRYO-SPECIFIC PROTEIN ATS3A', 151803),
(208078, 'PTHR22947:SF37', NULL, NULL, NULL, NULL, 'SPERM SPECIFIC FAMILY, CLASS P-RELATED', 151804),
(208079, 'PTHR43053:SF6', NULL, NULL, NULL, NULL, 'SI:CH211-236L14.4', 151805),
(208080, 'PTHR15549:SF1', NULL, NULL, NULL, NULL, 'PAIRED IMMUNOGLOBULIN-LIKE TYPE 2 RECEPTOR ALPHA', 151806),
(208081, 'PTHR33191:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151807),
(208082, 'PTHR34372:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C-4-RELATED', 151808),
(208083, 'PTHR22814:SF168', NULL, NULL, NULL, NULL, 'OSJNBA0091C12.3 PROTEIN', 151809),
(208084, 'PTHR12591:SF2', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATASE 3', 151810),
(208085, 'PTHR23267:SF361', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 2D-26', 151811),
(208086, 'PTHR46369', NULL, NULL, NULL, NULL, 'PROTEIN CELLULOSE SYNTHASE INTERACTIVE 1', 151812),
(208087, 'PTHR10044', NULL, NULL, NULL, NULL, 'INHIBITOR OF APOPTOSIS', 151813),
(208088, 'PTHR23418:SF0', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE', 151814),
(208089, 'PTHR46128:SF66', NULL, NULL, NULL, NULL, 'BNACNNG51800D PROTEIN', 151815),
(208090, 'PTHR31285:SF0', NULL, NULL, NULL, NULL, 'NICOTINAMIDE MONONUCLEOTIDE ADENYLYLTRANSFERASE', 151816),
(208091, 'PTHR34287:SF10', NULL, NULL, NULL, NULL, 'OS02G0234700 PROTEIN', 151817);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(208092, 'PTHR24032', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED-RELATED', 151818),
(208093, 'PTHR24381:SF149', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 266', 151819),
(208094, 'PTHR45801:SF66', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 11', 151820),
(208095, 'PTHR33451:SF5', NULL, NULL, NULL, NULL, 'NA+/H+ ANTIPORTER-RELATED', 151821),
(208096, 'PTHR22255:SF1', NULL, NULL, NULL, NULL, 'LD32918P', 151822),
(208097, 'PTHR33827', NULL, NULL, NULL, NULL, 'PROTEIN SAWADEE HOMEODOMAIN HOMOLOG 2', 151823),
(208098, 'PTHR43084:SF4', NULL, NULL, NULL, NULL, 'SLR1259 PROTEIN', 151824),
(208099, 'PTHR13720:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151825),
(208100, 'PTHR45804', NULL, NULL, NULL, NULL, 'SEGMENTATION PROTEIN FUSHI TARAZU-LIKE PROTEIN', 151826),
(208101, 'PTHR12549:SF54', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUMONJI/ASPARTYL BETA-HYDROXYLASE-RELATED', 151827),
(208102, 'PTHR33021:SF373', NULL, NULL, NULL, NULL, 'BNAA04G28720D PROTEIN', 151828),
(208103, 'PTHR24092:SF183', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 151829),
(208104, 'PTHR33076:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151830),
(208105, 'PTHR23188:SF15', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II ASSOCIATED FACTOR PAF1-RELATED', 151831),
(208106, 'PTHR39223:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700029H14 GENE', 151832),
(208107, 'PTHR12577:SF14', NULL, NULL, NULL, NULL, 'DACHSHUND HOMOLOG 1', 151833),
(208108, 'PTHR11183:SF143', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 10', 151834),
(208109, 'PTHR11880:SF29', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15-6', 151835),
(208110, 'PTHR33882:SF6', NULL, NULL, NULL, NULL, 'OS11G0603100 PROTEIN', 151836),
(208111, 'PTHR11453:SF100', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 2-RELATED', 151837),
(208112, 'PTHR32467:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151838),
(208113, 'PTHR47972:SF39', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KLP-3', 151839),
(208114, 'PTHR31885:SF9', NULL, NULL, NULL, NULL, 'LYSOPLASMALOGENASE-LIKE PROTEIN TMEM86A', 151840),
(208115, 'PTHR10589:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE ISOZYME L1', 151841),
(208116, 'PTHR24082:SF487', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER DAF-12', 151842),
(208117, 'PTHR12652:SF25', NULL, NULL, NULL, NULL, 'MICROBODY (PEROXISOME) PROLIFERATION PROTEIN PEROXIN 11C (EUROFUNG)-RELATED', 151843),
(208118, 'PTHR26451:SF225', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 151844),
(208119, 'PTHR21472:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151845),
(208120, 'PTHR12725:SF118', NULL, NULL, NULL, NULL, 'HAD HYDROLASE, SUBFAMILY IA-RELATED', 151846),
(208121, 'PTHR33044:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151847),
(208122, 'PTHR45808:SF9', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACX', 151848),
(208123, 'PTHR19304:SF9', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-2', 151849),
(208124, 'PTHR24093:SF485', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 151850),
(208125, 'PTHR45940:SF24', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 3', 151851),
(208126, 'PTHR45987:SF15', NULL, NULL, NULL, NULL, 'BNAA03G54180D PROTEIN', 151852),
(208127, 'PTHR10766:SF124', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 151853),
(208128, 'PTHR31704:SF40', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DOMAIN, HARBINGER TRANSPOSASE-DERIVED NUCLEASE DOMAIN PROTEIN-RELATED', 151854),
(208129, 'PTHR31692:SF113', NULL, NULL, NULL, NULL, 'BNACNNG23400D PROTEIN', 151855),
(208130, 'PTHR31650:SF24', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE ISOFORM X1', 151856),
(208131, 'PTHR47592:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151857),
(208132, 'PTHR32116', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 4-RELATED', 151858),
(208133, 'PTHR39613', NULL, NULL, NULL, NULL, 'ANCHORED CELL WALL PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G08960)-RELATED', 151859),
(208134, 'PTHR10880:SF42', NULL, NULL, NULL, NULL, 'PROTEIN MRG2', 151860);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(208135, 'PTHR42935:SF1', NULL, NULL, NULL, NULL, 'SLR0930 PROTEIN', 151861),
(208136, 'PTHR11416:SF7', NULL, NULL, NULL, NULL, 'PRO-OPIOMELANOCORTIN', 151862),
(208137, 'PTHR33395:SF7', NULL, NULL, NULL, NULL, 'PERICARDIN', 151863),
(208138, 'PTHR23316:SF10', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-6', 151864),
(208139, 'PTHR13683:SF764', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1', 151865),
(208140, 'PTHR31218:SF290', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 151866),
(208141, 'PTHR32054:SF54', NULL, NULL, NULL, NULL, 'BNAA08G24870D PROTEIN', 151867),
(208142, 'PTHR12225:SF0', NULL, NULL, NULL, NULL, 'PROTEASOMAL UBIQUITIN RECEPTOR ADRM1', 151868),
(208143, 'PTHR35686:SF1', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN', 151869),
(208144, 'PTHR11407:SF36', NULL, NULL, NULL, NULL, 'GEO02684P1-RELATED', 151870),
(208145, 'PTHR46265:SF12', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN REN1-LIKE ISOFORM X1', 151871),
(208146, 'PTHR22936:SF95', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', 151872),
(208147, 'PTHR11267:SF116', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX22', 151873),
(208148, 'PTHR14379:SF23', NULL, NULL, NULL, NULL, 'OS03G0370200 PROTEIN', 151874),
(208149, 'PTHR34931', NULL, NULL, NULL, NULL, 'FI02976P-RELATED', 151875),
(208150, 'PTHR48041:SF56', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 25', 151876),
(208151, 'PTHR21099', NULL, NULL, NULL, NULL, 'RAD201', 151877),
(208152, 'PTHR11461:SF131', NULL, NULL, NULL, NULL, 'MCG118061-RELATED', 151878),
(208153, 'PTHR47944:SF4', NULL, NULL, NULL, NULL, 'OS09G0441700 PROTEIN', 151879),
(208154, 'PTHR34575', NULL, NULL, NULL, NULL, 'PROTEIN PAM68, CHLOROPLASTIC', 151880),
(208155, 'PTHR33191:SF9', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 2-RELATED', 151881),
(208156, 'PTHR33265:SF37', NULL, NULL, NULL, NULL, 'BNAA05G15010D PROTEIN', 151882),
(208157, 'PTHR10245:SF115', NULL, NULL, NULL, NULL, 'ENDOTHELIAL DIFFERENTIATION-RELATED FACTOR 1', 151883),
(208158, 'PTHR36692', NULL, NULL, NULL, NULL, 'PROTEIN SNAKESKIN', 151884),
(208159, 'PTHR14155:SF525', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151885),
(208160, 'PTHR31992:SF159', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.6-LIKE', 151886),
(208161, 'PTHR11243:SF37', NULL, NULL, NULL, NULL, 'FACTOR RECEPTOR-BOUND PROTEIN, PUTATIVE-RELATED', 151887),
(208162, 'PTHR27003:SF356', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE ANXUR1', 151888),
(208163, 'PTHR38640', NULL, NULL, NULL, NULL, 'GEO09659P1', 151889),
(208164, 'PTHR31674:SF18', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM2-RELATED', 151890),
(208165, 'PTHR31339:SF61', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE/GLYCOSIDE HYDROLASE FAMILY PROTEIN', 151891),
(208166, 'PTHR13814:SF12', NULL, NULL, NULL, NULL, 'KININOGEN-1', 151892),
(208167, 'PTHR36010', NULL, NULL, NULL, NULL, 'CYTOCHROME C BIOGENESIS CCMF C-TERMINAL-LIKE MITOCHONDRIAL PROTEIN-RELATED', 151893),
(208168, 'PTHR38553', NULL, NULL, NULL, NULL, 'PROTEIN CBG19621', 151894),
(208169, 'PTHR47926:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151895),
(208170, 'PTHR35832:SF9', NULL, NULL, NULL, NULL, 'OS12G0248400 PROTEIN', 151896),
(208171, 'PTHR39426:SF1', NULL, NULL, NULL, NULL, 'HOMOLOGY TO DEATH-ON-CURING PROTEIN OF PHAGE P1', 151897),
(208172, 'PTHR31650:SF34', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE', 151898),
(208173, 'PTHR26374:SF166', NULL, NULL, NULL, NULL, 'C2H2 TRANSCRIPTION FACTOR', 151899),
(208174, 'PTHR46662:SF16', NULL, NULL, NULL, NULL, 'BNAC05G13420D PROTEIN', 151900),
(208175, 'PTHR24056:SF221', NULL, NULL, NULL, NULL, 'OS02G0304500 PROTEIN', 151901),
(208176, 'PTHR26453:SF665', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 151902),
(208177, 'PTHR10169:SF60', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2, MITOCHONDRIAL-RELATED', 151903),
(208178, 'PTHR48032:SF4', NULL, NULL, NULL, NULL, 'FI20028P1', 151904),
(208179, 'PTHR45125:SF16', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF LARGE SUBUNIT B', 151905),
(208180, 'PTHR14237:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 151906);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(208181, 'PTHR23138:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151907),
(208182, 'PTHR23412:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151908),
(208183, 'PTHR15601:SF22', NULL, NULL, NULL, NULL, 'OS12G0514100 PROTEIN', 151909),
(208184, 'PTHR33631', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 151910),
(208185, 'PTHR13743:SF129', NULL, NULL, NULL, NULL, 'OS06G0678651 PROTEIN', 151911),
(208186, 'PTHR37183:SF3', NULL, NULL, NULL, NULL, 'BNAA09G28400D PROTEIN', 151912),
(208187, 'PTHR33326:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151913),
(208188, 'PTHR45977:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 151914),
(208189, 'PTHR32370:SF8', NULL, NULL, NULL, NULL, 'OS03G0738900 PROTEIN', 151915),
(208190, 'PTHR33184:SF57', NULL, NULL, NULL, NULL, 'BNAA02G24050D PROTEIN', 151916),
(208191, 'PTHR36813:SF2', NULL, NULL, NULL, NULL, 'SMALL VCP/P97-INTERACTING PROTEIN-RELATED', 151917),
(208192, 'PTHR10353:SF240', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE, PUTATIVE-RELATED', 151918),
(208193, 'PTHR10516:SF214', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 151919),
(208194, 'PTHR46544:SF1', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN 2', 151920),
(208195, 'PTHR14379:SF57', NULL, NULL, NULL, NULL, 'BNAA09G39590D PROTEIN', 151921),
(208196, 'PTHR12688', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT INTERMEDIATE CHAIN', 151922),
(208197, 'PTHR33919:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151923),
(208198, 'PTHR43631', NULL, NULL, NULL, NULL, 'PULLULANASE 1, CHLOROPLASTIC', 151924),
(208199, 'PTHR35325:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151925),
(208200, 'PTHR34562:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0089K21.10 PROTEIN', 151926),
(208201, 'PTHR46124:SF3', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', 151927),
(208202, 'PTHR11451:SF49', NULL, NULL, NULL, NULL, 'THREONYL-TRNA SYNTHETASE (AFU_ORTHOLOGUE AFUA_1G16210)', 151928),
(208203, 'PTHR10110:SF176', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 151929),
(208204, 'PTHR11877:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151930),
(208205, 'PTHR11348:SF23', NULL, NULL, NULL, NULL, 'CONNECTIVE TISSUE GROWTH FACTOR B', 151931),
(208206, 'PTHR12505:SF22', NULL, NULL, NULL, NULL, 'BAH AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', 151932),
(208207, 'PTHR11394:SF69', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 134', 151933),
(208208, 'PTHR13780:SF109', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN-LIKE', 151934),
(208209, 'PTHR47959:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE RHLE', 151935),
(208210, 'PTHR38497', NULL, NULL, NULL, NULL, 'KINOCILIN', 151936),
(208211, 'PTHR12297:SF6', NULL, NULL, NULL, NULL, 'HIG1 DOMAIN FAMILY MEMBER 1A, MITOCHONDRIAL-LIKE PROTEIN', 151937),
(208212, 'PTHR48001:SF113', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 151938),
(208213, 'PTHR46709:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG18457', 151939),
(208214, 'PTHR11958', NULL, NULL, NULL, NULL, 'SODIUM/DICARBOXYLATE SYMPORTER-RELATED', 151940),
(208215, 'PTHR33446:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TONB', 151941),
(208216, 'PTHR31499:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151942),
(208217, 'PTHR41244', NULL, NULL, NULL, NULL, 'RHAMNAN SYNTHESIS F', 151943),
(208218, 'PTHR33207:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151944),
(208219, 'PTHR15352:SF3', NULL, NULL, NULL, NULL, 'LYMPHOID-RESTRICTED MEMBRANE PROTEIN', 151945),
(208220, 'PTHR24103:SF654', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151946),
(208221, 'PTHR27008:SF408', NULL, NULL, NULL, NULL, 'OS02G0635600 PROTEIN', 151947),
(208222, 'PTHR13248:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151948),
(208223, 'PTHR11920:SF370', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-18', 151949),
(208224, 'PTHR23278:SF25', NULL, NULL, NULL, NULL, 'IRREGULAR CHIASM C-ROUGHEST PROTEIN-LIKE PROTEIN', 151950),
(208225, 'PTHR11732:SF385', NULL, NULL, NULL, NULL, 'ALDEHYDE REDUCTASE Y, ISOFORM D-RELATED', 151951),
(208226, 'PTHR33121', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEF', 151952);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(208227, 'PTHR30604:SF1', NULL, NULL, NULL, NULL, 'DNA UTILIZATION PROTEIN HOFQ', 151953),
(208228, 'PTHR26453:SF323', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2H1', 151954),
(208229, 'PTHR12542:SF147', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 151955),
(208230, 'PTHR23073:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151956),
(208231, 'PTHR11721:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27A-3', 151957),
(208232, 'PTHR24377:SF720', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 570', 151958),
(208233, 'PTHR34548:SF5', NULL, NULL, NULL, NULL, 'BNAA09G52720D PROTEIN', 151959),
(208234, 'PTHR47926:SF268', NULL, NULL, NULL, NULL, 'BNAA06G10220D PROTEIN', 151960),
(208235, 'PTHR32208:SF85', NULL, NULL, NULL, NULL, 'GLYOXAL OXIDASE N-TERMINUS FAMILY PROTEIN, EXPRESSED', 151961),
(208236, 'PTHR31675', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 6-RELATED', 151962),
(208237, 'PTHR23050:SF348', NULL, NULL, NULL, NULL, 'GEO07376P1', 151963),
(208238, 'PTHR43874:SF147', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR6', 151964),
(208239, 'PTHR11669:SF59', NULL, NULL, NULL, NULL, 'ATPASES AND HELICASE SUBUNITS INVOLVED IN DNA REPLICATION', 151965),
(208240, 'PTHR11371:SF23', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE', 151966),
(208241, 'PTHR23201:SF18', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 2-RELATED', 151967),
(208242, 'PTHR34547:SF1', NULL, NULL, NULL, NULL, 'YACP-LIKE NYN DOMAIN PROTEIN', 151968),
(208243, 'PTHR15907:SF103', NULL, NULL, NULL, NULL, 'PLAC8 ONZIN-RELATED PROTEIN 10', 151969),
(208244, 'PTHR42734:SF5', NULL, NULL, NULL, NULL, 'METAL TRANSPORT SYSTEM ATP-BINDING PROTEIN TM_0124-RELATED', 151970),
(208245, 'PTHR10740:SF11', NULL, NULL, NULL, NULL, 'PROEPIREGULIN', 151971),
(208246, 'PTHR35162:SF1', NULL, NULL, NULL, NULL, 'SMR7', 151972),
(208247, 'PTHR31589:SF72', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PROTEINASE-LIKE PROTEIN (DUF239)-RELATED', 151973),
(208248, 'PTHR31391:SF48', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS03G0620500', 151974),
(208249, 'PTHR46354:SF11', NULL, NULL, NULL, NULL, 'PROTEIN DOG1-LIKE 2-RELATED', 151975),
(208250, 'PTHR47691:SF3', NULL, NULL, NULL, NULL, 'REGULATOR-RELATED', 151976),
(208251, 'PTHR10799:SF990', NULL, NULL, NULL, NULL, 'BNAC07G16550D PROTEIN', 151977),
(208252, 'PTHR37440', NULL, NULL, NULL, NULL, 'PROTEIN CBG17852-RELATED', 151978),
(208253, 'PTHR12884:SF23', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', 151979),
(208254, 'PTHR47928:SF3', NULL, NULL, NULL, NULL, 'REPEAT SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 151980),
(208255, 'PTHR11827:SF54', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 5', 151981),
(208256, 'PTHR35490:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151982),
(208257, 'PTHR33569', NULL, NULL, NULL, NULL, 'UREASE', 151983),
(208258, 'PTHR23500:SF427', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN MST3-LIKE', 151984),
(208259, 'PTHR22762', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE', 151985),
(208260, 'PTHR47822', NULL, NULL, NULL, NULL, 'CARBOHYDRATE BINDING DOMAIN CONTAINING PROTEIN', 151986),
(208261, 'PTHR11304:SF19', NULL, NULL, NULL, NULL, 'EPHRIN-A1', 151987),
(208262, 'PTHR14209:SF19', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', 151988),
(208263, 'PTHR31813:SF9', NULL, NULL, NULL, NULL, 'RIKEN CDNA 7420426K07 GENE', 151989),
(208264, 'PTHR41813:SF2', NULL, NULL, NULL, NULL, 'REGULATOR PAB1642, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11955)-RELATED', 151990),
(208265, 'PTHR12294:SF1', NULL, NULL, NULL, NULL, 'CALCIUM UPTAKE PROTEIN 1, MITOCHONDRIAL', 151991),
(208266, 'PTHR46168:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151992),
(208267, 'PTHR42885', NULL, NULL, NULL, NULL, 'HISTIDINOL-PHOSPHATE AMINOTRANSFERASE-RELATED', 151993),
(208268, 'PTHR19338:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8 A', 151994),
(208269, 'PTHR31929:SF97', NULL, NULL, NULL, NULL, 'BNAA10G16790D PROTEIN', 151995),
(208270, 'PTHR24096:SF330', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 2-LIKE', 151996);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(208271, 'PTHR40714:SF1', NULL, NULL, NULL, NULL, 'TMF-REGULATED NUCLEAR PROTEIN 1', 151997),
(208272, 'PTHR15852:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 151998),
(208273, 'PTHR35738', NULL, NULL, NULL, NULL, 'OS05G0577800 PROTEIN', 151999),
(208274, 'PTHR33133:SF34', NULL, NULL, NULL, NULL, 'BNAA08G08010D PROTEIN', 152000),
(208275, 'PTHR21359:SF1', NULL, NULL, NULL, NULL, 'LD36945P', 152001),
(208276, 'PTHR32212:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152002),
(208277, 'PTHR24061:SF528', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR C FAMILY, D2-RELATED', 152003),
(208278, 'PTHR15708:SF10', NULL, NULL, NULL, NULL, 'PROTEIN MTSS 1', 152004),
(208279, 'PTHR10829:SF5', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC LINEAGE CELL-SPECIFIC PROTEIN', 152005),
(208280, 'PTHR31047:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152006),
(208281, 'PTHR35361:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152007),
(208282, 'PTHR22847:SF653', NULL, NULL, NULL, NULL, 'PROTEASOMAL ATPASE-ASSOCIATED FACTOR 1', 152008),
(208283, 'PTHR46231:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND BTB/POZ DOMAIN-CONTAINING PROTEIN 1', 152009),
(208284, 'PTHR16096', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 11', 152010),
(208285, 'PTHR48033:SF2', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN D-LIKE', 152011),
(208286, 'PTHR45980:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152012),
(208287, 'PTHR35161:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152013),
(208288, 'PTHR43137', NULL, NULL, NULL, NULL, 'DIHYDROOROTASE', 152014),
(208289, 'PTHR12919:SF34', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S16, PUTATIVE-RELATED', 152015),
(208290, 'PTHR42256', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE', 152016),
(208291, 'PTHR22850:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152017),
(208292, 'PTHR30177:SF4', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE UPTAKE SYSTEM PERMEASE PROTEIN YEHW', 152018),
(208293, 'PTHR45876', NULL, NULL, NULL, NULL, 'FI04035P', 152019),
(208294, 'PTHR38490', NULL, NULL, NULL, NULL, 'CYSTEINE AND TYROSINE-RICH PROTEIN 1', 152020),
(208295, 'PTHR33324:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 152021),
(208296, 'PTHR23326:SF25', NULL, NULL, NULL, NULL, 'BNAA02G06900D PROTEIN', 152022),
(208297, 'PTHR10758:SF14', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 3-LIKE ISOFORM X1', 152023),
(208298, 'PTHR11571:SF127', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 152024),
(208299, 'PTHR14221:SF35', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 152025),
(208300, 'PTHR33469:SF22', NULL, NULL, NULL, NULL, 'BNAC06G24150D PROTEIN', 152026),
(208301, 'PTHR27003:SF43', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING RECEPTOR-LIKE CYTOPLASMIC KINASE 3', 152027),
(208302, 'PTHR36785', NULL, NULL, NULL, NULL, 'OS05G0502500 PROTEIN', 152028),
(208303, 'PTHR11009:SF31', NULL, NULL, NULL, NULL, 'RHOMBOID DOMAIN-CONTAINING PROTEIN 2', 152029),
(208304, 'PTHR47874:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 152030),
(208305, 'PTHR23316:SF8', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-7', 152031),
(208306, 'PTHR31989:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152032),
(208307, 'PTHR46072:SF9', NULL, NULL, NULL, NULL, 'ACETAMIDASE', 152033),
(208308, 'PTHR19288:SF4', NULL, NULL, NULL, NULL, 'RE04130P-RELATED', 152034),
(208309, 'PTHR24062:SF87', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 152035),
(208310, 'PTHR31945:SF45', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', 152036),
(208311, 'PTHR33095:SF49', NULL, NULL, NULL, NULL, 'DNA LIGASE 1-LIKE', 152037),
(208312, 'PTHR22617:SF41', NULL, NULL, NULL, NULL, 'CHEW PROTEIN', 152038),
(208313, 'PTHR28090:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ROT1', 152039),
(208314, 'PTHR46450:SF18', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUVR4', 152040),
(208315, 'PTHR21136:SF169', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 727', 152041);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(208316, 'PTHR45855:SF42', NULL, NULL, NULL, NULL, 'BNAA08G15580D PROTEIN', 152042),
(208317, 'PTHR28652:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 59-LIKE', 152043),
(208318, 'PTHR36015:SF6', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RESOLVASE MOC1, CHLOROPLASTIC-RELATED', 152044),
(208319, 'PTHR24055:SF393', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 3', 152045),
(208320, 'PTHR23184:SF9', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 14', 152046),
(208321, 'PTHR11439:SF263', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', 152047),
(208322, 'PTHR10656:SF65', NULL, NULL, NULL, NULL, 'PROTEIN MAB-21', 152048),
(208323, 'PTHR33108:SF66', NULL, NULL, NULL, NULL, 'BNAA08G05510D PROTEIN', 152049),
(208324, 'PTHR22957:SF572', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN-RELATED', 152050),
(208325, 'PTHR30238:SF4', NULL, NULL, NULL, NULL, 'CONSERVED INTEGRAL MEMBRANE PROTEIN-RELATED', 152051),
(208326, 'PTHR31765:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG18078', 152052),
(208327, 'PTHR33103:SF19', NULL, NULL, NULL, NULL, 'OS01G0153900 PROTEIN', 152053),
(208328, 'PTHR36506', NULL, NULL, NULL, NULL, 'PREFLAGELLIN PEPTIDASE', 152054),
(208329, 'PTHR16777', NULL, NULL, NULL, NULL, 'PROTEIN ECT2', 152055),
(208330, 'PTHR47982:SF14', NULL, NULL, NULL, NULL, 'BNAC02G36270D PROTEIN', 152056),
(208331, 'PTHR12363:SF42', NULL, NULL, NULL, NULL, 'TRANSPORTIN-3', 152057),
(208332, 'PTHR13683:SF819', NULL, NULL, NULL, NULL, 'PROTEINASE NEPENTHESIN-2, PUTATIVE-RELATED', 152058),
(208333, 'PTHR34154', NULL, NULL, NULL, NULL, 'ALKALI-SENSITIVE LINKAGE PROTEIN 1', 152059),
(208334, 'PTHR31839:SF39', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1B-LIKE', 152060),
(208335, 'PTHR48010:SF30', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', 152061),
(208336, 'PTHR24057:SF52', NULL, NULL, NULL, NULL, 'SHAGGY-LIKE KINASE 111', 152062),
(208337, 'PTHR45654:SF15', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN PROTODERMAL FACTOR 2-LIKE', 152063),
(208338, 'PTHR47933:SF10', NULL, NULL, NULL, NULL, 'OS03G0162900 PROTEIN', 152064),
(208339, 'PTHR24061:SF527', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR C FAMILY, W1', 152065),
(208340, 'PTHR33184:SF45', NULL, NULL, NULL, NULL, 'PROTEIN TAPETUM DETERMINANT 1', 152066),
(208341, 'PTHR21508:SF3', NULL, NULL, NULL, NULL, 'MITOGUARDIN 1', 152067),
(208342, 'PTHR44984:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK3', 152068),
(208343, 'PTHR33641:SF19', NULL, NULL, NULL, NULL, 'BNAC05G51340D PROTEIN', 152069),
(208344, 'PTHR11592:SF103', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 4-RELATED', 152070),
(208345, 'PTHR10117:SF7', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 6', 152071),
(208346, 'PTHR44688:SF13', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN SDIA', 152072),
(208347, 'PTHR19241:SF353', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 38', 152073),
(208348, 'PTHR31072:SF93', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP24', 152074),
(208349, 'PTHR28156', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN YDR262W', 152075),
(208350, 'PTHR24347:SF376', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DCLK2', 152076),
(208351, 'PTHR21284:SF6', NULL, NULL, NULL, NULL, 'SINUOUS', 152077),
(208352, 'PTHR23291:SF35', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 3', 152078),
(208353, 'PTHR24416:SF507', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR SVH-2', 152079),
(208354, 'PTHR33052:SF101', NULL, NULL, NULL, NULL, 'AGAA.5', 152080),
(208355, 'PTHR46154:SF2', NULL, NULL, NULL, NULL, 'SOLUTE SYMPORTER FAMILY TRANSPORTER (AFU_ORTHOLOGUE AFUA_6G03200)', 152081),
(208356, 'PTHR43014:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE REDUCTASE (NADPH)', 152082),
(208357, 'PTHR33790:SF9', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 2', 152083),
(208358, 'PTHR31623:SF19', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-RELATED', 152084);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(208359, 'PTHR23024:SF551', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE ISOFORM X1', 152085),
(208360, 'PTHR11668:SF464', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 5', 152086),
(208361, 'PTHR48051:SF2', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 39', 152087),
(208362, 'PTHR31269:SF23', NULL, NULL, NULL, NULL, 'OS07G0181100 PROTEIN', 152088),
(208363, 'PTHR36942:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG10268', 152089),
(208364, 'PTHR11886:SF77', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 152090),
(208365, 'PTHR23172:SF72', NULL, NULL, NULL, NULL, 'BNACNNG26180D PROTEIN', 152091),
(208366, 'PTHR21562:SF71', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 152092),
(208367, 'PTHR24006:SF794', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 24', 152093),
(208368, 'PTHR28526:SF1', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 13', 152094),
(208369, 'PTHR24093:SF444', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 7, PLASMA MEMBRANE-TYPE-RELATED', 152095),
(208370, 'PTHR23500:SF519', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 1-RELATED', 152096),
(208371, 'PTHR24281:SF70', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 152097),
(208372, 'PTHR23024:SF535', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 17-RELATED', 152098),
(208373, 'PTHR22844:SF350', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN, BETA SUBUNIT-RELATED', 152099),
(208374, 'PTHR11571:SF231', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 152100),
(208375, 'PTHR46968:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152101),
(208376, 'PTHR24414:SF106', NULL, NULL, NULL, NULL, 'BNAC03G76280D PROTEIN', 152102),
(208377, 'PTHR45979:SF6', NULL, NULL, NULL, NULL, 'ACID BINDING PROTEIN, PUTATIVE-RELATED', 152103),
(208378, 'PTHR21749:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG12212', 152104),
(208379, 'PTHR11955:SF133', NULL, NULL, NULL, NULL, 'CELLULAR RETINOIC ACID-BINDING PROTEIN 2, B', 152105),
(208380, 'PTHR43466', NULL, NULL, NULL, NULL, '2-OXO-4-HYDROXY-4-CARBOXY-5-UREIDOIMIDAZOLINE DECARBOXYLASE-RELATED', 152106),
(208381, 'PTHR14239:SF10', NULL, NULL, NULL, NULL, 'LONG-CHAIN ACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE', 152107),
(208382, 'PTHR46714:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR HAC1', 152108),
(208383, 'PTHR31566:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152109),
(208384, 'PTHR10749:SF8', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE B KINASE REGULATORY SUBUNIT BETA', 152110),
(208385, 'PTHR32556:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152111),
(208386, 'PTHR23510:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152112),
(208387, 'PTHR21522:SF19', NULL, NULL, NULL, NULL, 'PROTON CHANNEL OTOP1', 152113),
(208388, 'PTHR31521:SF7', NULL, NULL, NULL, NULL, 'OS08G0407200 PROTEIN', 152114),
(208389, 'PTHR19282:SF445', NULL, NULL, NULL, NULL, 'TETRASPANIN FAMILY', 152115),
(208390, 'PTHR34315:SF1', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03070)-RELATED', 152116),
(208391, 'PTHR10809:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152117),
(208392, 'PTHR30146:SF2', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GNTR', 152118),
(208393, 'PTHR34203:SF13', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 152119),
(208394, 'PTHR31086:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152120),
(208395, 'PTHR31072:SF139', NULL, NULL, NULL, NULL, 'BNAC02G41680D PROTEIN', 152121),
(208396, 'PTHR31796', NULL, NULL, NULL, NULL, 'SUZ DOMAIN-CONTAINING PROTEIN 1', 152122),
(208397, 'PTHR45644:SF25', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE GENE CDC48-LIKE', 152123),
(208398, 'PTHR24007', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED PROTEIN', 152124),
(208399, 'PTHR31223:SF40', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOGL3-RELATED', 152125),
(208400, 'PTHR22594:SF49', NULL, NULL, NULL, NULL, 'BNAA10G11200D PROTEIN', 152126),
(208401, 'PTHR13484:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152127);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(208402, 'PTHR24637:SF277', NULL, NULL, NULL, NULL, 'COLLAGEN', 152128),
(208403, 'PTHR23423:SF27', NULL, NULL, NULL, NULL, 'PROTEIN LAZ1 HOMOLOG 1', 152129),
(208404, 'PTHR32410:SF176', NULL, NULL, NULL, NULL, 'CHP-RICH ZINC FINGER PROTEIN-LIKE-RELATED', 152130),
(208405, 'PTHR23140', NULL, NULL, NULL, NULL, 'RNA PROCESSING PROTEIN LD23810P', 152131),
(208406, 'PTHR47925:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152132),
(208407, 'PTHR23013:SF21', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 152133),
(208408, 'PTHR11638:SF145', NULL, NULL, NULL, NULL, 'CLPA/B PROTEASE ATP BINDING SUBUNIT-RELATED', 152134),
(208409, 'PTHR11913:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152135),
(208410, 'PTHR11746:SF214', NULL, NULL, NULL, NULL, '5-PENTADECATRIENYL RESORCINOL O-METHYLTRANSFERASE', 152136),
(208411, 'PTHR45647:SF37', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 35-LIKE', 152137),
(208412, 'PTHR47992:SF151', NULL, NULL, NULL, NULL, 'PROTEIN KINASE AND PP2C-LIKE DOMAIN-CONTAINING PROTEIN', 152138),
(208413, 'PTHR32063:SF29', NULL, NULL, NULL, NULL, 'HAE1 FAMILY EFFLUX PUMP PERMEASE COMPONENT', 152139),
(208414, 'PTHR21574:SF0', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 120 KDA', 152140),
(208415, 'PTHR34955', NULL, NULL, NULL, NULL, 'IGR MOTIF PROTEIN', 152141),
(208416, 'PTHR45617:SF19', NULL, NULL, NULL, NULL, 'RETICULON 4 RECEPTOR LIKE 2', 152142),
(208417, 'PTHR38709:SF1', NULL, NULL, NULL, NULL, 'SI:CH73-193C12.2-RELATED', 152143),
(208418, 'PTHR31690', NULL, NULL, NULL, NULL, 'FUCOSE MUTAROTASE', 152144),
(208419, 'PTHR48145', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE-ASSOCIATED PROTEIN 1', 152145),
(208420, 'PTHR23220:SF129', NULL, NULL, NULL, NULL, 'INTEGRIN, ALPHA M (COMPLEMENT COMPONENT 3 RECEPTOR 3 SUBUNIT)-RELATED', 152146),
(208421, 'PTHR34064:SF7', NULL, NULL, NULL, NULL, 'BNAA03G58480D PROTEIN', 152147),
(208422, 'PTHR46408:SF10', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 63', 152148),
(208423, 'PTHR30287:SF2', NULL, NULL, NULL, NULL, 'BLL1001 PROTEIN', 152149),
(208424, 'PTHR48021:SF51', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE-SENSING PROTEIN 2', 152150),
(208425, 'PTHR45869:SF2', NULL, NULL, NULL, NULL, 'PENTAXIN-RELATED', 152151),
(208426, 'PTHR24173:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152152),
(208427, 'PTHR19139:SF113', NULL, NULL, NULL, NULL, 'AQUAPORIN-6', 152153),
(208428, 'PTHR31223:SF70', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOGL5-RELATED', 152154),
(208429, 'PTHR11208:SF55', NULL, NULL, NULL, NULL, 'OS05G0481500 PROTEIN', 152155),
(208430, 'PTHR42851:SF13', NULL, NULL, NULL, NULL, 'OS08G0477800 PROTEIN', 152156),
(208431, 'PTHR46797:SF9', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR SUTR', 152157),
(208432, 'PTHR47123:SF17', NULL, NULL, NULL, NULL, 'BNACNNG42230D PROTEIN', 152158),
(208433, 'PTHR11802:SF390', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 7', 152159),
(208434, 'PTHR22050', NULL, NULL, NULL, NULL, 'RW1 PROTEIN HOMOLOG', 152160),
(208435, 'PTHR24286:SF88', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE-LIKE', 152161),
(208436, 'PTHR33828', NULL, NULL, NULL, NULL, 'OS05G0596200 PROTEIN', 152162),
(208437, 'PTHR30348:SF9', NULL, NULL, NULL, NULL, 'UPF0759 PROTEIN YECE', 152163),
(208438, 'PTHR43305', NULL, NULL, NULL, NULL, 'FAMILY N-ACETYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G01380)-RELATED', 152164),
(208439, 'PTHR22950:SF244', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 9', 152165),
(208440, 'PTHR10009:SF10', NULL, NULL, NULL, NULL, 'L-DOPACHROME TAUTOMERASE YELLOW-F-RELATED', 152166),
(208441, 'PTHR47979:SF33', NULL, NULL, NULL, NULL, 'DRAB11', 152167),
(208442, 'PTHR37929:SF1', NULL, NULL, NULL, NULL, 'GRIP AND COILED-COIL DOMAIN-CONTAINING PROTEIN PFC0235W', 152168),
(208443, 'PTHR31828:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152169),
(208444, 'PTHR36193', NULL, NULL, NULL, NULL, 'PHISTB DOMAIN-CONTAINING RESA-LIKE PROTEIN 1', 152170),
(208445, 'PTHR35304:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152171);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(208446, 'PTHR48025:SF12', NULL, NULL, NULL, NULL, 'OS07G0631900 PROTEIN', 152172),
(208447, 'PTHR34208', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 152173),
(208448, 'PTHR13832:SF703', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 40-RELATED', 152174),
(208449, 'PTHR46389', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN PC', 152175),
(208450, 'PTHR21513', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 152176),
(208451, 'PTHR12277:SF64', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01760)-RELATED', 152177),
(208452, 'PTHR23055:SF153', NULL, NULL, NULL, NULL, 'IP07559P', 152178),
(208453, 'PTHR45693:SF52', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN, TRANSCRIPTION FACTOR TGA LIKE DOMAIN PROTEIN-RELATED', 152179),
(208454, 'PTHR23171:SF2', NULL, NULL, NULL, NULL, 'MYOCARDIAL ZONULA ADHERENS PROTEIN', 152180),
(208455, 'PTHR33593:SF28', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT/KH DOMAIN PROTEIN (DUF1442)', 152181),
(208456, 'PTHR35339:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152182),
(208457, 'PTHR23430:SF204', NULL, NULL, NULL, NULL, 'HISTONE H2A', 152183),
(208458, 'PTHR31388:SF146', NULL, NULL, NULL, NULL, 'PEROXIDASE', 152184),
(208459, 'PTHR46819', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 7', 152185),
(208460, 'PTHR11588:SF301', NULL, NULL, NULL, NULL, 'TUBULIN BETA-7 CHAIN', 152186),
(208461, 'PTHR13946:SF31', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB11-A-RELATED', 152187),
(208462, 'PTHR33240', NULL, NULL, NULL, NULL, 'OS08G0508500 PROTEIN', 152188),
(208463, 'PTHR24072:SF23', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHO6', 152189),
(208464, 'PTHR47990:SF31', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 152190),
(208465, 'PTHR43874:SF111', NULL, NULL, NULL, NULL, 'BNAC05G07990D PROTEIN', 152191),
(208466, 'PTHR11521:SF24', NULL, NULL, NULL, NULL, 'TROPONIN T', 152192),
(208467, 'PTHR23056:SF125', NULL, NULL, NULL, NULL, 'BNAA03G11120D PROTEIN', 152193),
(208468, 'PTHR48011:SF80', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 152194),
(208469, 'PTHR26450:SF54', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 152195),
(208470, 'PTHR10390:SF61', NULL, NULL, NULL, NULL, 'PROTEIN SINE OCULIS', 152196),
(208471, 'PTHR13943:SF77', NULL, NULL, NULL, NULL, 'LRAT-LIKE DOMAIN', 152197),
(208472, 'PTHR14063:SF8', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 11', 152198),
(208473, 'PTHR11926:SF1426', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', 152199),
(208474, 'PTHR21017:SF18', NULL, NULL, NULL, NULL, 'PROTEIN NIPSNAP HOMOLOG 3B', 152200),
(208475, 'PTHR26450:SF0', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 152201),
(208476, 'PTHR36374', NULL, NULL, NULL, NULL, 'OS01G0969000 PROTEIN', 152202),
(208477, 'PTHR26450:SF375', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 152203),
(208478, 'PTHR48002:SF62', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4D2', 152204),
(208479, 'PTHR24300:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2D6-RELATED', 152205),
(208480, 'PTHR10744:SF39', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11', 152206),
(208481, 'PTHR23515:SF29', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER 2.4', 152207),
(208482, 'PTHR47351:SF1', NULL, NULL, NULL, NULL, 'CHITIN BIOSYNTHESIS PROTEIN CHS5', 152208),
(208483, 'PTHR12231:SF242', NULL, NULL, NULL, NULL, 'ROUNDABOUT HOMOLOG 2', 152209),
(208484, 'PTHR31100:SF51', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 29', 152210),
(208485, 'PTHR14272:SF4', NULL, NULL, NULL, NULL, 'SERTA DOMAIN-CONTAINING PROTEIN 4', 152211),
(208486, 'PTHR23515:SF12', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER 2.4-LIKE', 152212),
(208487, 'PTHR43391:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152213),
(208488, 'PTHR43195:SF1', NULL, NULL, NULL, NULL, 'FI06132P-RELATED', 152214),
(208489, 'PTHR31086:SF74', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 1-RELATED', 152215);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(208490, 'PTHR24365:SF543', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 13', 152216),
(208491, 'PTHR33738:SF19', NULL, NULL, NULL, NULL, 'BNAC08G26600D PROTEIN', 152217),
(208492, 'PTHR22933:SF18', NULL, NULL, NULL, NULL, 'AGAP009479-PA', 152218),
(208493, 'PTHR15454:SF54', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN-RELATED', 152219),
(208494, 'PTHR24249:SF392', NULL, NULL, NULL, NULL, 'G-PROTEIN-COUPLED RECEPTOR 52', 152220),
(208495, 'PTHR34539:SF3', NULL, NULL, NULL, NULL, 'BNACNNG70820D PROTEIN', 152221),
(208496, 'PTHR28615:SF1', NULL, NULL, NULL, NULL, 'PAK4-INHIBITOR INKA1', 152222),
(208497, 'PTHR35023:SF1', NULL, NULL, NULL, NULL, 'CHELATASE-RELATED', 152223),
(208498, 'PTHR13924:SF4', NULL, NULL, NULL, NULL, 'TRANSFORMING ACIDIC COILED-COIL-CONTAINING PROTEIN 3', 152224),
(208499, 'PTHR33623:SF18', NULL, NULL, NULL, NULL, 'BNAA03G01010D PROTEIN', 152225),
(208500, 'PTHR23155:SF1032', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152226),
(208501, 'PTHR11638:SF156', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE', 152227),
(208502, 'PTHR23262:SF50', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-3-RELATED', 152228),
(208503, 'PTHR31052:SF28', NULL, NULL, NULL, NULL, 'COBRA, PLANT-RELATED', 152229),
(208504, 'PTHR37418', NULL, NULL, NULL, NULL, '3-KETO-5-AMINOHEXANOATE CLEAVAGE ENZYME-RELATED', 152230),
(208505, 'PTHR24253:SF32', NULL, NULL, NULL, NULL, 'TRYPTASE DELTA 1', 152231),
(208506, 'PTHR11267:SF170', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX-8', 152232),
(208507, 'PTHR31223:SF64', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 152233),
(208508, 'PTHR45613:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152234),
(208509, 'PTHR34222:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152235),
(208510, 'PTHR34114:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152236),
(208511, 'PTHR35172:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152237),
(208512, 'PTHR16674', NULL, NULL, NULL, NULL, 'B-LYMPHOCYTE ANTIGEN CD19', 152238),
(208513, 'PTHR33783:SF4', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 9', 152239),
(208514, 'PTHR24103:SF617', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM7', 152240),
(208515, 'PTHR42852:SF13', NULL, NULL, NULL, NULL, 'REDOXIN DOMAIN PROTEIN', 152241),
(208516, 'PTHR24147', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 36-RELATED', 152242),
(208517, 'PTHR31218:SF252', NULL, NULL, NULL, NULL, 'NODULIN MTN21 /EAMA-LIKE TRANSPORTER FAMILY PROTEIN', 152243),
(208518, 'PTHR10795:SF580', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', 152244),
(208519, 'PTHR36833:SF2', NULL, NULL, NULL, NULL, 'SLR0610 PROTEIN', 152245),
(208520, 'PTHR12469', NULL, NULL, NULL, NULL, 'PROTEIN EMI5 HOMOLOG, MITOCHONDRIAL', 152246),
(208521, 'PTHR10231:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152247),
(208522, 'PTHR45619:SF45', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 152248),
(208523, 'PTHR12197:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152249),
(208524, 'PTHR33347:SF17', NULL, NULL, NULL, NULL, 'BNACNNG48440D PROTEIN', 152250),
(208525, 'PTHR40132:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152251),
(208526, 'PTHR31080:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152252),
(208527, 'PTHR45931:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152253),
(208528, 'PTHR42861:SF91', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 152254),
(208529, 'PTHR38772:SF1', NULL, NULL, NULL, NULL, 'NUCLEOID-ASSOCIATED PROTEIN YEJK', 152255),
(208530, 'PTHR47979:SF28', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1F-LIKE', 152256),
(208531, 'PTHR10795:SF600', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152257),
(208532, 'PTHR45650:SF61', NULL, NULL, NULL, NULL, 'BNAA09G17740D PROTEIN', 152258),
(208533, 'PTHR42810', NULL, NULL, NULL, NULL, 'PURINE PERMEASE C1399.01C-RELATED', 152259),
(208534, 'PTHR12290:SF22', NULL, NULL, NULL, NULL, 'CORNICHON FAMILY PROTEIN', 152260),
(208535, 'PTHR34700:SF3', NULL, NULL, NULL, NULL, 'PHAGE-LIKE ELEMENT PBSX PROTEIN XKDQ', 152261);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(208536, 'PTHR46082', NULL, NULL, NULL, NULL, 'ATP/GTP-BINDING PROTEIN-RELATED', 152262),
(208537, 'PTHR31218:SF298', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 152263),
(208538, 'PTHR46560', NULL, NULL, NULL, NULL, 'CYPHER, ISOFORM B', 152264),
(208539, 'PTHR31415:SF79', NULL, NULL, NULL, NULL, 'OS05G0203150 PROTEIN', 152265),
(208540, 'PTHR31251:SF134', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 3', 152266),
(208541, 'PTHR33095:SF79', NULL, NULL, NULL, NULL, 'BNAA05G33800D PROTEIN', 152267),
(208542, 'PTHR38366:SF1', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE HST1-LIKE PROTEIN', 152268),
(208543, 'PTHR46162:SF22', NULL, NULL, NULL, NULL, 'BNAC04G11900D PROTEIN', 152269),
(208544, 'PTHR46151:SF19', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN 1-LIKE ISOFORM X1', 152270),
(208545, 'PTHR47977:SF37', NULL, NULL, NULL, NULL, 'EG:80H7.4 PROTEIN', 152271),
(208546, 'PTHR30419', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YBHD', 152272),
(208547, 'PTHR31080:SF27', NULL, NULL, NULL, NULL, 'OS07G0244800 PROTEIN', 152273),
(208548, 'PTHR15241:SF291', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 39 ISOFORM X1', 152274),
(208549, 'PTHR31325:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152275),
(208550, 'PTHR23020:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG23052', 152276),
(208551, 'PTHR46225:SF1', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 152277),
(208552, 'PTHR11476:SF10', NULL, NULL, NULL, NULL, 'EIF-2-ALPHA KINASE GCN2', 152278),
(208553, 'PTHR11614:SF152', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN', 152279),
(208554, 'PTHR44974', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 1', 152280),
(208555, 'PTHR22802:SF400', NULL, NULL, NULL, NULL, 'CD209 ANTIGEN', 152281),
(208556, 'PTHR45757:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CBG12164', 152282),
(208557, 'PTHR23267:SF440', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-V REGION J606-RELATED', 152283),
(208558, 'PTHR13139:SF54', NULL, NULL, NULL, NULL, 'LD12033P', 152284),
(208559, 'PTHR24399', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING', 152285),
(208560, 'PTHR31739:SF23', NULL, NULL, NULL, NULL, 'ENT-COPALYL DIPHOSPHATE SYNTHASE', 152286),
(208561, 'PTHR48017:SF54', NULL, NULL, NULL, NULL, 'GABA TRANSPORTER 2-RELATED', 152287),
(208562, 'PTHR40710:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA E230025N22 GENE', 152288),
(208563, 'PTHR11926:SF1346', NULL, NULL, NULL, NULL, 'BNAA03G01780D PROTEIN', 152289),
(208564, 'PTHR31254', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC690617', 152290),
(208565, 'PTHR46084:SF21', NULL, NULL, NULL, NULL, 'PROTEIN MALE DISCOVERER 1', 152291),
(208566, 'PTHR13683:SF820', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152292),
(208567, 'PTHR24092:SF52', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE FETA', 152293),
(208568, 'PTHR24253:SF117', NULL, NULL, NULL, NULL, 'SERINE PROTEASE-LIKE PROTEIN 51', 152294),
(208569, 'PTHR10623:SF29', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN RP/EB FAMILY MEMBER 1B', 152295),
(208570, 'PTHR12673:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152296),
(208571, 'PTHR39654', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 152297),
(208572, 'PTHR10454:SF198', NULL, NULL, NULL, NULL, 'CASPASE-3', 152298),
(208573, 'PTHR10574:SF408', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152299),
(208574, 'PTHR10887:SF476', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152300),
(208575, 'PTHR28665:SF1', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 3', 152301),
(208576, 'PTHR31916', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 152302),
(208577, 'PTHR12176:SF70', NULL, NULL, NULL, NULL, 'EEF1A LYSINE AND N-TERMINAL METHYLTRANSFERASE', 152303),
(208578, 'PTHR31218:SF246', NULL, NULL, NULL, NULL, 'OSJNBA0008M17.14 PROTEIN', 152304),
(208579, 'PTHR24068:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152305),
(208580, 'PTHR35140:SF1', NULL, NULL, NULL, NULL, 'MITOTIC CHECK POINT PROTEIN BFA1', 152306);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(208581, 'PTHR21654:SF64', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GTL1-LIKE', 152307),
(208582, 'PTHR31080:SF90', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.20 PROTEIN', 152308),
(208583, 'PTHR23148:SF0', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 1', 152309),
(208584, 'PTHR32196:SF62', NULL, NULL, NULL, NULL, 'AUTOINDUCER 2 IMPORT SYSTEM PERMEASE PROTEIN LSRD', 152310),
(208585, 'PTHR46925', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR TKR-1-RELATED', 152311),
(208586, 'PTHR42759:SF5', NULL, NULL, NULL, NULL, 'METHANOL DEHYDROGENASE REGULATORY PROTEIN', 152312),
(208587, 'PTHR43053:SF3', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE C-RELATED', 152313),
(208588, 'PTHR31677:SF135', NULL, NULL, NULL, NULL, 'BNAC03G58550D PROTEIN', 152314),
(208589, 'PTHR24206:SF93', NULL, NULL, NULL, NULL, 'BNAC04G50470D PROTEIN', 152315),
(208590, 'PTHR12236:SF18', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 66D', 152316),
(208591, 'PTHR26452:SF334', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 152317),
(208592, 'PTHR11360:SF80', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 11', 152318),
(208593, 'PTHR24082:SF495', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1, GROUP D, MEMBER 4B', 152319),
(208594, 'PTHR45642:SF45', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 152320),
(208595, 'PTHR10134:SF31', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE-2, MITOCHONDRIAL', 152321),
(208596, 'PTHR48041:SF59', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 152322),
(208597, 'PTHR32370:SF156', NULL, NULL, NULL, NULL, 'BNAANNG05180D PROTEIN', 152323),
(208598, 'PTHR30514:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 152324),
(208599, 'PTHR24222:SF0', NULL, NULL, NULL, NULL, 'ALKALINE PROTEASE SECRETION ATP-BINDING PROTEIN APRD', 152325),
(208600, 'PTHR31509:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152326),
(208601, 'PTHR10257:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 152327),
(208602, 'PTHR31557:SF3', NULL, NULL, NULL, NULL, 'PROTEIN UP-REGULATED IN DAF-2(GF)', 152328),
(208603, 'PTHR47256:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 152329),
(208604, 'PTHR11711:SF172', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 11', 152330),
(208605, 'PTHR45707:SF57', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', 152331),
(208606, 'PTHR32083:SF43', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE', 152332),
(208607, 'PTHR10408:SF16', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 1-LIKE', 152333),
(208608, 'PTHR38004', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 33', 152334),
(208609, 'PTHR10694:SF122', NULL, NULL, NULL, NULL, 'JMJC DOMAIN, JMJN DOMAIN, ZINC FINGER, C5HC2-TYPE-RELATED', 152335),
(208610, 'PTHR11158:SF20', NULL, NULL, NULL, NULL, 'PRELI DOMAIN-CONTAINING PROTEIN 2', 152336),
(208611, 'PTHR43281:SF6', NULL, NULL, NULL, NULL, 'HETERODIMERIC GERANYLGERANYL PYROPHOSPHATE SYNTHASE SMALL SUBUNIT, CHLOROPLASTIC-LIKE', 152337),
(208612, 'PTHR31339:SF15', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 152338),
(208613, 'PTHR48040:SF15', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 1-LIKE', 152339),
(208614, 'PTHR32191:SF45', NULL, NULL, NULL, NULL, 'TETRASPANIN-8-LIKE', 152340),
(208615, 'PTHR19277:SF24', NULL, NULL, NULL, NULL, 'NEURONAL PENTRAXIN-1', 152341),
(208616, 'PTHR46373:SF7', NULL, NULL, NULL, NULL, 'PROTEIN RKD2', 152342),
(208617, 'PTHR31729', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-1-RELATED', 152343),
(208618, 'PTHR13491:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', 152344),
(208619, 'PTHR11442:SF84', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT EPSILON-Y2', 152345),
(208620, 'PTHR31072:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP14', 152346),
(208621, 'PTHR32227:SF317', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 14-LIKE', 152347);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(208622, 'PTHR27006:SF254', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152348),
(208623, 'PTHR31325:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152349),
(208624, 'PTHR20981:SF25', NULL, NULL, NULL, NULL, 'BNACNNG19840D PROTEIN', 152350),
(208625, 'PTHR44394', NULL, NULL, NULL, NULL, 'BETA-ALANINE-ACTIVATING ENZYME', 152351),
(208626, 'PTHR37754', NULL, NULL, NULL, NULL, 'CALCIUM ION-BINDING PROTEIN', 152352),
(208627, 'PTHR31265:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152353),
(208628, 'PTHR26453:SF315', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13C9', 152354),
(208629, 'PTHR36948', NULL, NULL, NULL, NULL, 'PROTEIN CBG04856', 152355),
(208630, 'PTHR11267:SF185', NULL, NULL, NULL, NULL, 'T-BOX 19', 152356),
(208631, 'PTHR48040:SF27', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3', 152357),
(208632, 'PTHR10809:SF119', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 1-2-RELATED', 152358),
(208633, 'PTHR45674:SF12', NULL, NULL, NULL, NULL, 'ATP DEPENDENT DNA LIGASE DOMAIN-CONTAINING PROTEIN', 152359),
(208634, 'PTHR23259', NULL, NULL, NULL, NULL, 'RIDDLE', 152360),
(208635, 'PTHR21230:SF35', NULL, NULL, NULL, NULL, 'PLANT SNARE 11, PUTATIVE, EXPRESSED-RELATED', 152361),
(208636, 'PTHR12879:SF17', NULL, NULL, NULL, NULL, 'SPHINGOLIPID DELTA(4)-DESATURASE DES1-LIKE', 152362),
(208637, 'PTHR10383:SF9', NULL, NULL, NULL, NULL, 'TMS1, ISOFORM F', 152363),
(208638, 'PTHR35099:SF9', NULL, NULL, NULL, NULL, 'BNAA09G56590D PROTEIN', 152364),
(208639, 'PTHR24241:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152365),
(208640, 'PTHR11886:SF55', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN 2, CYTOPLASMIC-RELATED', 152366),
(208641, 'PTHR11119:SF105', NULL, NULL, NULL, NULL, 'XANTHINE/URACIL/VITAMIN C PERMEASE-RELATED', 152367),
(208642, 'PTHR10168:SF204', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C6-LIKE', 152368),
(208643, 'PTHR43245:SF26', NULL, NULL, NULL, NULL, 'BLR5423 PROTEIN', 152369),
(208644, 'PTHR47032:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 152370),
(208645, 'PTHR22765:SF328', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 11 RING-H2 FINGER PROTEIN', 152371),
(208646, 'PTHR34781:SF7', NULL, NULL, NULL, NULL, 'BNAA07G08940D PROTEIN', 152372),
(208647, 'PTHR12287', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR KINASE SUBSTRATE EPS8-RELATED PROTEIN', 152373),
(208648, 'PTHR31080:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152374),
(208649, 'PTHR31432:SF0', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 74 HOMOLOG', 152375),
(208650, 'PTHR20982:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOME RECYCLING FACTOR', 152376),
(208651, 'PTHR12483:SF31', NULL, NULL, NULL, NULL, 'PROTEIN CBG25193', 152377),
(208652, 'PTHR12044:SF11', NULL, NULL, NULL, NULL, 'SLP ADAPTER AND CSK-INTERACTING MEMBRANE PROTEIN', 152378),
(208653, 'PTHR24169:SF4', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE C-REL', 152379),
(208654, 'PTHR47151:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-SPECIFIC-BINDING PROTEIN', 152380),
(208655, 'PTHR12848:SF18', NULL, NULL, NULL, NULL, 'BNAA05G37130D PROTEIN', 152381),
(208656, 'PTHR24064:SF486', NULL, NULL, NULL, NULL, 'HIGH AFFINITY INORGANIC PHOSPHATE TRANSPORTER', 152382),
(208657, 'PTHR48042:SF12', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 3', 152383),
(208658, 'PTHR47415', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 152384),
(208659, 'PTHR10641:SF1300', NULL, NULL, NULL, NULL, 'MYB33', 152385),
(208660, 'PTHR24095:SF245', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE 2', 152386),
(208661, 'PTHR31985:SF155', NULL, NULL, NULL, NULL, 'DREB-LIKE PROTEIN', 152387),
(208662, 'PTHR10773', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC2', 152388),
(208663, 'PTHR32215:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 57', 152389),
(208664, 'PTHR23150', NULL, NULL, NULL, NULL, 'SULFATASE MODIFYING FACTOR 1, 2', 152390),
(208665, 'PTHR47990:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152391),
(208666, 'PTHR43715:SF3', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 4,6 DEHYDRATASE 1-LIKE', 152392);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(208667, 'PTHR24298:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A3', 152393),
(208668, 'PTHR11566:SF173', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED GTP-BINDING PROTEIN MX', 152394),
(208669, 'PTHR24056:SF405', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', 152395),
(208670, 'PTHR11562:SF54', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN B', 152396),
(208671, 'PTHR12233:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 26C', 152397),
(208672, 'PTHR10291:SF40', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 152398),
(208673, 'PTHR27002:SF811', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 152399),
(208674, 'PTHR14094', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 72', 152400),
(208675, 'PTHR33177:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152401),
(208676, 'PTHR22883:SF11', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC21', 152402),
(208677, 'PTHR35316', NULL, NULL, NULL, NULL, '28S RIBOSOMAL S34 PROTEIN', 152403),
(208678, 'PTHR33695:SF1', NULL, NULL, NULL, NULL, 'LIPOPROTEIN SIGNAL PEPTIDASE', 152404),
(208679, 'PTHR18976:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152405),
(208680, 'PTHR47981:SF16', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-RELATED', 152406),
(208681, 'PTHR24384:SF219', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 152407),
(208682, 'PTHR46784:SF2', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY B MEMBER 1', 152408),
(208683, 'PTHR38479', NULL, NULL, NULL, NULL, 'LMO0824 PROTEIN', 152409),
(208684, 'PTHR34685:SF2', NULL, NULL, NULL, NULL, 'RED CHLOROPHYLL CATABOLITE REDUCTASE, CHLOROPLASTIC', 152410),
(208685, 'PTHR10671:SF42', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 202', 152411),
(208686, 'PTHR31286:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152412),
(208687, 'PTHR43563:SF5', NULL, NULL, NULL, NULL, 'AMINE OXIDASE [FLAVIN-CONTAINING] B', 152413),
(208688, 'PTHR10372:SF31', NULL, NULL, NULL, NULL, 'CATENIN (CADHERIN-ASSOCIATED PROTEIN), DELTA 2B', 152414),
(208689, 'PTHR11987:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152415),
(208690, 'PTHR10884:SF18', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT J, CHLOROPLASTIC', 152416),
(208691, 'PTHR44516:SF10', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TYPE 11, S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 152417),
(208692, 'PTHR46598:SF2', NULL, NULL, NULL, NULL, 'OS01G0788900 PROTEIN', 152418),
(208693, 'PTHR48205', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 152419),
(208694, 'PTHR24221:SF549', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 4-LIKE', 152420),
(208695, 'PTHR21231:SF8', NULL, NULL, NULL, NULL, 'GPN-LOOP GTPASE 1', 152421),
(208696, 'PTHR14360:SF22', NULL, NULL, NULL, NULL, 'FMP32-LIKE PROTEIN', 152422),
(208697, 'PTHR46854:SF2', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE-LIKE 4', 152423),
(208698, 'PTHR11002:SF17', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 2', 152424),
(208699, 'PTHR11254:SF398', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL2-LIKE ISOFORM X1', 152425),
(208700, 'PTHR12725:SF114', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF DISRUPTION OF TFIIS-LIKE', 152426),
(208701, 'PTHR21717:SF73', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 4-LIKE', 152427),
(208702, 'PTHR47116:SF22', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 152428),
(208703, 'PTHR13326:SF22', NULL, NULL, NULL, NULL, 'PSEUDOURIDYLATE SYNTHASE 7 HOMOLOG-LIKE PROTEIN', 152429),
(208704, 'PTHR11566:SF39', NULL, NULL, NULL, NULL, 'DYNAMIN-1-LIKE PROTEIN', 152430),
(208705, 'PTHR24223:SF367', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY PROTEIN', 152431),
(208706, 'PTHR43085:SF24', NULL, NULL, NULL, NULL, 'FRUCTOKINASE-2-RELATED', 152432),
(208707, 'PTHR11706:SF86', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP2-LIKE', 152433),
(208708, 'PTHR11530:SF13', NULL, NULL, NULL, NULL, 'D-ASPARTATE OXIDASE 2', 152434),
(208709, 'PTHR14965:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152435),
(208710, 'PTHR23227:SF57', NULL, NULL, NULL, NULL, 'RE36623P', 152436);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(208711, 'PTHR43675:SF19', NULL, NULL, NULL, NULL, 'BNACNNG54600D PROTEIN', 152437),
(208712, 'PTHR12411:SF723', NULL, NULL, NULL, NULL, 'PROTEASE, PUTATIVE-RELATED', 152438),
(208713, 'PTHR48063:SF32', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE-RELATED', 152439),
(208714, 'PTHR31238:SF201', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 152440),
(208715, 'PTHR12203:SF100', NULL, NULL, NULL, NULL, 'BNAC05G05020D PROTEIN', 152441),
(208716, 'PTHR13832:SF233', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1F', 152442),
(208717, 'PTHR34203:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE, FKBM FAMILY PROTEIN', 152443),
(208718, 'PTHR10093:SF19', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY PROTEIN 1', 152444),
(208719, 'PTHR45763:SF48', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', 152445),
(208720, 'PTHR36011', NULL, NULL, NULL, NULL, 'BAT2 DOMAIN PROTEIN', 152446),
(208721, 'PTHR24012:SF712', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 152447),
(208722, 'PTHR43671:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK10', 152448),
(208723, 'PTHR28155', NULL, NULL, NULL, NULL, 'ACR243WP', 152449),
(208724, 'PTHR23093:SF16', NULL, NULL, NULL, NULL, 'SIMILAR TO CHROMOSOME 3 OPEN READING FRAME 20', 152450),
(208725, 'PTHR10896:SF33', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS04G0103100-RELATED', 152451),
(208726, 'PTHR23285:SF8', NULL, NULL, NULL, NULL, 'RNA-BINDING E3 UBIQUITIN-PROTEIN LIGASE MEX3C', 152452),
(208727, 'PTHR10257:SF85', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 152453),
(208728, 'PTHR31296', NULL, NULL, NULL, NULL, 'UPF0565 PROTEIN C2ORF69', 152454),
(208729, 'PTHR47887:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-LIKE 1', 152455),
(208730, 'PTHR27001:SF858', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 5', 152456),
(208731, 'PTHR28434', NULL, NULL, NULL, NULL, 'PROTEIN C3ORF33', 152457),
(208732, 'PTHR23502:SF149', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 152458),
(208733, 'PTHR45703:SF21', NULL, NULL, NULL, NULL, 'DYNEIN BETA CHAIN, CILIARY-RELATED PROTEIN', 152459),
(208734, 'PTHR33147:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152460),
(208735, 'PTHR45684:SF6', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1A', 152461),
(208736, 'PTHR26450:SF52', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 680, PSEUDOGENE 1-RELATED', 152462),
(208737, 'PTHR19282:SF402', NULL, NULL, NULL, NULL, 'FI23944P1-RELATED', 152463),
(208738, 'PTHR31374:SF314', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE FAMILY PROTEIN', 152464),
(208739, 'PTHR11630:SF26', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM7', 152465),
(208740, 'PTHR31190:SF194', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN', 152466),
(208741, 'PTHR23427:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04160', 152467),
(208742, 'PTHR32370:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152468),
(208743, 'PTHR11101:SF10', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 152469),
(208744, 'PTHR23103:SF15', NULL, NULL, NULL, NULL, 'AMYLOID-BETA-LIKE PROTEIN', 152470),
(208745, 'PTHR23056:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152471),
(208746, 'PTHR33349:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 152472),
(208747, 'PTHR48038', NULL, NULL, NULL, NULL, 'RIBONUCLEOPROTEIN RB97D', 152473),
(208748, 'PTHR47946:SF3', NULL, NULL, NULL, NULL, 'OS08G0547300 PROTEIN', 152474),
(208749, 'PTHR28602', NULL, NULL, NULL, NULL, 'ENDOTHELIAL CELL-SPECIFIC CHEMOTAXIS REGULATOR', 152475),
(208750, 'PTHR12763:SF51', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM14-3', 152476),
(208751, 'PTHR32428:SF3', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 5-LIKE', 152477),
(208752, 'PTHR46679:SF1', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-2, MITOCHONDRIAL', 152478),
(208753, 'PTHR23500:SF567', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 12-LIKE', 152479),
(208754, 'PTHR23257:SF711', NULL, NULL, NULL, NULL, 'CYCLIC GMP-BINDING PROTEIN C', 152480);
INSERT INTO "PUBLIC"."MODEL" VALUES
(208755, 'PTHR24247:SF92', NULL, NULL, NULL, NULL, 'SEROTONIN/OCTOPAMINE RECEPTOR FAMILY', 152481),
(208756, 'PTHR36520:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14667', 152482),
(208757, 'PTHR15876:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN ADIPOCYTE-ASSOCIATED 1-RELATED', 152483),
(208758, 'PTHR33248:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152484),
(208759, 'PTHR31213:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152485),
(208760, 'PTHR23273:SF36', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', 152486),
(208761, 'PTHR10438:SF423', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 152487),
(208762, 'PTHR31793:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152488),
(208763, 'PTHR32018:SF36', NULL, NULL, NULL, NULL, 'BNACNNG48490D PROTEIN', 152489),
(208764, 'PTHR32009:SF39', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 152490),
(208765, 'PTHR46125:SF11', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 24-LIKE', 152491),
(208766, 'PTHR15298:SF13', NULL, NULL, NULL, NULL, 'GLYCINE N-ACYLTRANSFERASE-LIKE PROTEIN KEG1', 152492),
(208767, 'PTHR13140:SF810', NULL, NULL, NULL, NULL, 'MYOSIN-2 ISOFORM X1', 152493),
(208768, 'PTHR14256:SF3', NULL, NULL, NULL, NULL, 'NORMAL MUCOSA OF ESOPHAGUS-SPECIFIC GENE 1 PROTEIN', 152494),
(208769, 'PTHR16433:SF0', NULL, NULL, NULL, NULL, 'DOLICHOL-PHOSPHATE MANNOSYLTRANSFERASE SUBUNIT 3', 152495),
(208770, 'PTHR26454:SF27', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C1', 152496),
(208771, 'PTHR45712:SF24', NULL, NULL, NULL, NULL, 'PODOCAN', 152497),
(208772, 'PTHR20863:SF27', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 152498),
(208773, 'PTHR13715:SF99', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR-LIKE PROTEIN A', 152499),
(208774, 'PTHR33086:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152500),
(208775, 'PTHR31113:SF24', NULL, NULL, NULL, NULL, 'UPF0496 PROTEIN', 152501),
(208776, 'PTHR47641:SF3', NULL, NULL, NULL, NULL, 'VITELLINE MEMBRANE PROTEIN VM26AB-RELATED', 152502),
(208777, 'PTHR46231', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND BTB/POZ DOMAIN-CONTAINING PROTEIN 1', 152503),
(208778, 'PTHR10666:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152504),
(208779, 'PTHR10210:SF96', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 2, CHLOROPLASTIC-LIKE', 152505),
(208780, 'PTHR16451:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152506),
(208781, 'PTHR34639', NULL, NULL, NULL, NULL, 'PROTEIN FLATTOP', 152507),
(208782, 'PTHR35151:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152508),
(208783, 'PTHR47976:SF53', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-5', 152509),
(208784, 'PTHR24173:SF71', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 16', 152510),
(208785, 'PTHR42984', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACYLASE SIRTUIN-5, MITOCHONDRIAL', 152511),
(208786, 'PTHR31836:SF5', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN 7', 152512),
(208787, 'PTHR31942:SF102', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 152513),
(208788, 'PTHR33048:SF129', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G06670)', 152514),
(208789, 'PTHR10795:SF549', NULL, NULL, NULL, NULL, 'OS01G0278950 PROTEIN', 152515),
(208790, 'PTHR31674:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152516),
(208791, 'PTHR10996:SF232', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE A HPR2-LIKE', 152517),
(208792, 'PTHR13563:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG14899', 152518),
(208793, 'PTHR43042:SF2', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE-RELATED', 152519),
(208794, 'PTHR31221:SF210', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', 152520),
(208795, 'PTHR22835:SF602', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152521),
(208796, 'PTHR11017:SF432', NULL, NULL, NULL, NULL, 'BNAA08G20170D PROTEIN', 152522),
(208797, 'PTHR31674:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL FACTOR FAMILY PROTEIN, PUTATIVE-RELATED', 152523);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(208798, 'PTHR45669:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152524),
(208799, 'PTHR31865:SF31', NULL, NULL, NULL, NULL, 'BNAC04G48880D PROTEIN', 152525),
(208800, 'PTHR43991:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 152526),
(208801, 'PTHR45952:SF19', NULL, NULL, NULL, NULL, 'ALUMINUM INDUCED PROTEIN WITH YGL AND LRDR MOTIFS', 152527),
(208802, 'PTHR31964:SF128', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE SUPERFAMILY PROTEIN', 152528),
(208803, 'PTHR35128', NULL, NULL, NULL, NULL, 'SECRETION-REGULATING GUANINE NUCLEOTIDE EXCHANGE FACTOR', 152529),
(208804, 'PTHR10606:SF48', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE/FRUCTOSE-2,6-BISPHOSPHATASE 2', 152530),
(208805, 'PTHR19960:SF25', NULL, NULL, NULL, NULL, 'TEKTIN-1', 152531),
(208806, 'PTHR24177:SF216', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN NPR4', 152532),
(208807, 'PTHR10168:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152533),
(208808, 'PTHR10267:SF0', NULL, NULL, NULL, NULL, 'DNA POLYMERASE SUBUNIT GAMMA-1', 152534),
(208809, 'PTHR10795:SF588', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', 152535),
(208810, 'PTHR11005:SF82', NULL, NULL, NULL, NULL, 'AB-HYDROLASE ASSOCIATED LIPASE REGION CONTAINING PROTEIN', 152536),
(208811, 'PTHR31942:SF79', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 10-RELATED', 152537),
(208812, 'PTHR23028:SF122', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 152538),
(208813, 'PTHR46232:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152539),
(208814, 'PTHR22953:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152540),
(208815, 'PTHR34542:SF1', NULL, NULL, NULL, NULL, 'OS08G0359900 PROTEIN', 152541),
(208816, 'PTHR15088', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR RIP140', 152542),
(208817, 'PTHR23189:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152543),
(208818, 'PTHR32241:SF8', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 3', 152544),
(208819, 'PTHR24361', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED KINASE KINASE KINASE', 152545),
(208820, 'PTHR31509:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152546),
(208821, 'PTHR15437:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 1, MITOCHONDRIAL', 152547),
(208822, 'PTHR28230', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 152548),
(208823, 'PTHR31987', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 152549),
(208824, 'PTHR23084:SF212', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE', 152550),
(208825, 'PTHR10969:SF57', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', 152551),
(208826, 'PTHR34799:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152552),
(208827, 'PTHR31985:SF168', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 152553),
(208828, 'PTHR10245:SF118', NULL, NULL, NULL, NULL, 'MULTIPROTEIN BRIDGING FACTOR 1B', 152554),
(208829, 'PTHR24015:SF1740', NULL, NULL, NULL, NULL, 'OS03G0435200 PROTEIN', 152555),
(208830, 'PTHR47992:SF71', NULL, NULL, NULL, NULL, 'BNAA09G54860D PROTEIN', 152556),
(208831, 'PTHR45900:SF4', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RECA HOMOLOG 2, MITOCHONDRIAL', 152557),
(208832, 'PTHR31115:SF8', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASES SUBUNIT 3-RELATED', 152558),
(208833, 'PTHR31989:SF364', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 45-LIKE', 152559),
(208834, 'PTHR22978:SF30', NULL, NULL, NULL, NULL, 'PROTEIN BTG1', 152560),
(208835, 'PTHR24356:SF391', NULL, NULL, NULL, NULL, 'BNAC09G50620D PROTEIN', 152561),
(208836, 'PTHR42862:SF1', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE DEHYDROGENASE 1, ISOFORM A-RELATED', 152562),
(208837, 'PTHR31165:SF66', NULL, NULL, NULL, NULL, 'BNAC03G62760D PROTEIN', 152563),
(208838, 'PTHR39965', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMR SUBUNIT CMR6', 152564),
(208839, 'PTHR11207:SF26', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 4', 152565),
(208840, 'PTHR47815:SF1', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A FAMILY PROTEIN C25B2.10', 152566);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(208841, 'PTHR23500:SF517', NULL, NULL, NULL, NULL, 'SUGAR CARRIER PROTEIN C-LIKE', 152567),
(208842, 'PTHR47928:SF149', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC', 152568),
(208843, 'PTHR11360:SF230', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G12790)-RELATED', 152569),
(208844, 'PTHR10314:SF215', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', 152570),
(208845, 'PTHR13946:SF28', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I AND III SUBUNIT RPAC2', 152571),
(208846, 'PTHR45717:SF31', NULL, NULL, NULL, NULL, 'BNAC05G00050D PROTEIN', 152572),
(208847, 'PTHR10799:SF959', NULL, NULL, NULL, NULL, 'ATPASE (EUROFUNG)', 152573),
(208848, 'PTHR13848:SF79', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 152574),
(208849, 'PTHR31791:SF64', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 152575),
(208850, 'PTHR47327:SF2', NULL, NULL, NULL, NULL, 'FI18240P1-RELATED', 152576),
(208851, 'PTHR45809:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152577),
(208852, 'PTHR47924:SF40', NULL, NULL, NULL, NULL, 'BNAA09G52240D PROTEIN', 152578),
(208853, 'PTHR12673:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152579),
(208854, 'PTHR37534:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN UME6', 152580),
(208855, 'PTHR14788:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 156', 152581),
(208856, 'PTHR28576:SF2', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED PROTEIN 5', 152582),
(208857, 'PTHR46458:SF1', NULL, NULL, NULL, NULL, 'NEUROGLOBIN', 152583),
(208858, 'PTHR43341:SF5', NULL, NULL, NULL, NULL, 'S-METHYLMETHIONINE PERMEASE-RELATED', 152584),
(208859, 'PTHR14096:SF39', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L4', 152585),
(208860, 'PTHR30055:SF175', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 152586),
(208861, 'PTHR24286:SF274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152587),
(208862, 'PTHR45740:SF10', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN', 152588),
(208863, 'PTHR37833', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', 152589),
(208864, 'PTHR24012:SF838', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 152590),
(208865, 'PTHR46038:SF39', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE FAMILY PROTEIN-RELATED', 152591),
(208866, 'PTHR33077:SF89', NULL, NULL, NULL, NULL, 'BNAC02G20120D PROTEIN', 152592),
(208867, 'PTHR45649:SF14', NULL, NULL, NULL, NULL, 'GABA PERMEASE', 152593),
(208868, 'PTHR24241:SF172', NULL, NULL, NULL, NULL, 'COUPLED RECEPTOR, PUTATIVE-RELATED', 152594),
(208869, 'PTHR33593:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152595),
(208870, 'PTHR31992:SF175', NULL, NULL, NULL, NULL, 'DOF-TYPE ZINC FINGER DNA-BINDING FAMILY PROTEIN-RELATED', 152596),
(208871, 'PTHR21337:SF28', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE 2, CHLOROPLASTIC', 152597),
(208872, 'PTHR33420:SF14', NULL, NULL, NULL, NULL, 'FIMBRIAL PROTEIN', 152598),
(208873, 'PTHR38607:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG26296', 152599),
(208874, 'PTHR48043:SF25', NULL, NULL, NULL, NULL, 'MACROLIDE GLYCOSYLTRANSFERASE', 152600),
(208875, 'PTHR34501:SF8', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN F-RELATED', 152601),
(208876, 'PTHR24356:SF392', NULL, NULL, NULL, NULL, 'MYOTONIN-PROTEIN KINASE', 152602),
(208877, 'PTHR10333:SF89', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN', 152603),
(208878, 'PTHR22601:SF76', NULL, NULL, NULL, NULL, 'BNACNNG55940D PROTEIN', 152604),
(208879, 'PTHR24305:SF161', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 152605),
(208880, 'PTHR11863:SF168', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE GL1-6', 152606),
(208881, 'PTHR47926:SF50', NULL, NULL, NULL, NULL, 'BNAA07G12600D PROTEIN', 152607),
(208882, 'PTHR47958:SF107', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 52B-RELATED', 152608),
(208883, 'PTHR10005:SF24', NULL, NULL, NULL, NULL, 'NUCLEAR ONCOPROTEIN', 152609),
(208884, 'PTHR34189:SF12', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 152610);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(208885, 'PTHR47926:SF237', NULL, NULL, NULL, NULL, 'BNAC01G37370D PROTEIN', 152611),
(208886, 'PTHR45642:SF80', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', 152612),
(208887, 'PTHR33214:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152613),
(208888, 'PTHR34145:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152614),
(208889, 'PTHR21320:SF6', NULL, NULL, NULL, NULL, 'BNAC04G02490D PROTEIN', 152615),
(208890, 'PTHR11814:SF134', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 2.1', 152616),
(208891, 'PTHR31384:SF90', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 152617),
(208892, 'PTHR46666:SF10', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L18AE FAMILY', 152618),
(208893, 'PTHR45614:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152619),
(208894, 'PTHR10277:SF48', NULL, NULL, NULL, NULL, 'HOMOCITRATE SYNTHASE, CYTOSOLIC ISOZYME-RELATED', 152620),
(208895, 'PTHR27003:SF287', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 152621),
(208896, 'PTHR12207', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN', 152622),
(208897, 'PTHR39201:SF1', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 152623),
(208898, 'PTHR21337', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE 1, 2', 152624),
(208899, 'PTHR44535:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK9', 152625),
(208900, 'PTHR11847:SF20', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L15', 152626),
(208901, 'PTHR21461:SF67', NULL, NULL, NULL, NULL, 'LOC100145503 PROTEIN', 152627),
(208902, 'PTHR32212:SF286', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT PROTEIN FAMILY', 152628),
(208903, 'PTHR43074:SF1', NULL, NULL, NULL, NULL, 'CONIDIAL YELLOW PIGMENT BIOSYNTHESIS POLYKETIDE SYNTHASE', 152629),
(208904, 'PTHR31674:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152630),
(208905, 'PTHR31009:SF102', NULL, NULL, NULL, NULL, 'BNAA08G14360D PROTEIN', 152631),
(208906, 'PTHR13454:SF11', NULL, NULL, NULL, NULL, 'PROTEIN MCM10 HOMOLOG', 152632),
(208907, 'PTHR46288:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152633),
(208908, 'PTHR10315:SF80', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINAT3-RELATED', 152634),
(208909, 'PTHR10844:SF13', NULL, NULL, NULL, NULL, 'CAVEOLIN', 152635),
(208910, 'PTHR24115:SF801', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF22', 152636),
(208911, 'PTHR45855:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF6', 152637),
(208912, 'PTHR34780:SF4', NULL, NULL, NULL, NULL, 'BNAA08G19180D PROTEIN', 152638),
(208913, 'PTHR32099:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152639),
(208914, 'PTHR27006:SF373', NULL, NULL, NULL, NULL, 'BNAC03G29910D PROTEIN', 152640),
(208915, 'PTHR10809:SF55', NULL, NULL, NULL, NULL, 'MOTILE SPERM DOMAIN-CONTAINING PROTEIN 3', 152641),
(208916, 'PTHR12290:SF27', NULL, NULL, NULL, NULL, 'CORNICHON FAMILY PROTEIN', 152642),
(208917, 'PTHR21716:SF37', NULL, NULL, NULL, NULL, 'BLR8064 PROTEIN', 152643),
(208918, 'PTHR21649:SF118', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 152644),
(208919, 'PTHR37389', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 152645),
(208920, 'PTHR11417:SF69', NULL, NULL, NULL, NULL, 'PROLACTIN-8A6-RELATED', 152646),
(208921, 'PTHR37592:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152647),
(208922, 'PTHR13154:SF5', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 2B', 152648),
(208923, 'PTHR10497:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', 152649),
(208924, 'PTHR11347:SF204', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', 152650),
(208925, 'PTHR27001:SF722', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 152651),
(208926, 'PTHR31707:SF334', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 152652),
(208927, 'PTHR32212:SF376', NULL, NULL, NULL, NULL, 'BNACNNG07970D PROTEIN', 152653),
(208928, 'PTHR13832:SF327', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 74-RELATED', 152654),
(208929, 'PTHR18901:SF43', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE-5''-PHOSPHATASE', 152655);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(208930, 'PTHR11306:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL/PHOSPHATIDYLINOSITOL TRANSFER PROTEIN DDB_G0282179-RELATED', 152656),
(208931, 'PTHR37307:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN WHIA-RELATED', 152657),
(208932, 'PTHR10048:SF109', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE 2', 152658),
(208933, 'PTHR21659:SF83', NULL, NULL, NULL, NULL, 'BNAA01G06480D PROTEIN', 152659),
(208934, 'PTHR46011:SF22', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 152660),
(208935, 'PTHR45654:SF44', NULL, NULL, NULL, NULL, 'BNAC08G10960D PROTEIN', 152661),
(208936, 'PTHR47373', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 2', 152662),
(208937, 'PTHR48024:SF7', NULL, NULL, NULL, NULL, 'SR-RELATED CTD ASSOCIATED FACTOR 4', 152663),
(208938, 'PTHR47075', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH47', 152664),
(208939, 'PTHR13902:SF135', NULL, NULL, NULL, NULL, 'BNAA10G09670D PROTEIN', 152665),
(208940, 'PTHR44758:SF1', NULL, NULL, NULL, NULL, 'NAD(P) TRANSHYDROGENASE SUBUNIT BETA', 152666),
(208941, 'PTHR30231:SF26', NULL, NULL, NULL, NULL, 'PROTEIN NEN4', 152667),
(208942, 'PTHR47945:SF1', NULL, NULL, NULL, NULL, 'FERULATE-5-HYDROXYLASE', 152668),
(208943, 'PTHR19370:SF188', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE [NADH] 3', 152669),
(208944, 'PTHR33142:SF79', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR3', 152670),
(208945, 'PTHR43768:SF42', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', 152671),
(208946, 'PTHR22884:SF494', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASHR3', 152672),
(208947, 'PTHR15710:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152673),
(208948, 'PTHR36106:SF1', NULL, NULL, NULL, NULL, 'ANAEROBIC C4-DICARBOXYLATE TRANSPORTER DCUB', 152674),
(208949, 'PTHR33203:SF48', NULL, NULL, NULL, NULL, 'OLEOSIN 16.4 KDA-LIKE', 152675),
(208950, 'PTHR45950:SF11', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX32', 152676),
(208951, 'PTHR35828:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152677),
(208952, 'PTHR24055:SF489', NULL, NULL, NULL, NULL, 'BNAA02G23960D PROTEIN', 152678),
(208953, 'PTHR33608:SF6', NULL, NULL, NULL, NULL, 'BLL2464 PROTEIN', 152679),
(208954, 'PTHR34502:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152680),
(208955, 'PTHR15735:SF16', NULL, NULL, NULL, NULL, 'TRANSDUCER OF CDC42-DEPENDENT ACTIN ASSEMBLY PROTEIN 2 HOMOLOG', 152681),
(208956, 'PTHR13551', NULL, NULL, NULL, NULL, 'BRAIN PROTEIN I3', 152682),
(208957, 'PTHR10877:SF185', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY DISEASE AND RECEPTOR FOR EGG JELLY-RELATED PROTEIN', 152683),
(208958, 'PTHR32153:SF11', NULL, NULL, NULL, NULL, 'BNAC04G55160D PROTEIN', 152684),
(208959, 'PTHR10891:SF866', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 7', 152685),
(208960, 'PTHR15416:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-255I3.4', 152686),
(208961, 'PTHR33880:SF18', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', 152687),
(208962, 'PTHR43321:SF24', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE 3-RELATED', 152688),
(208963, 'PTHR32212:SF290', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152689),
(208964, 'PTHR11730:SF50', NULL, NULL, NULL, NULL, 'RH (RHESUS) ANTIGEN RELATED', 152690),
(208965, 'PTHR45286', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 152691),
(208966, 'PTHR34355:SF6', NULL, NULL, NULL, NULL, 'BNAC01G39230D PROTEIN', 152692),
(208967, 'PTHR12560', NULL, NULL, NULL, NULL, 'LONGEVITY ASSURANCE FACTOR 1  LAG1', 152693),
(208968, 'PTHR24058:SF112', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TYROSINE-PHOSPHORYLATION-REGULATED KINASE 3 HOMOLOG-RELATED', 152694),
(208969, 'PTHR11049:SF29', NULL, NULL, NULL, NULL, 'CYTOSOLIC ACYL COENZYME A THIOESTER HYDROLASE-LIKE-RELATED', 152695),
(208970, 'PTHR43939:SF8', NULL, NULL, NULL, NULL, 'PROTEIN LAVA LAMP', 152696),
(208971, 'PTHR23428:SF248', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-J', 152697),
(208972, 'PTHR45974:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152698);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(208973, 'PTHR31429:SF47', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY76', 152699),
(208974, 'PTHR43184:SF11', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE EXCHANGER SLC37A1', 152700),
(208975, 'PTHR22891:SF130', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 8-RELATED', 152701),
(208976, 'PTHR43416:SF20', NULL, NULL, NULL, NULL, 'BNAC08G15120D PROTEIN', 152702),
(208977, 'PTHR10366:SF738', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152703),
(208978, 'PTHR44329:SF28', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE SHKE', 152704),
(208979, 'PTHR27009:SF228', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN, RHO-ASSOCIATED PROTEIN KINASE 1/2-RELATED', 152705),
(208980, 'PTHR32142:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152706),
(208981, 'PTHR19367:SF19', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR DELTA VARIABLE 3', 152707),
(208982, 'PTHR24418:SF265', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE KINASE 6', 152708),
(208983, 'PTHR35360:SF3', NULL, NULL, NULL, NULL, 'OS07G0492700 PROTEIN', 152709),
(208984, 'PTHR11523:SF10', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1', 152710),
(208985, 'PTHR46011:SF21', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-13', 152711),
(208986, 'PTHR14058:SF5', NULL, NULL, NULL, NULL, 'AMYLOID-BETA A4 PRECURSOR PROTEIN-BINDING FAMILY B MEMBER 1', 152712),
(208987, 'PTHR13809:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152713),
(208988, 'PTHR32015:SF8', NULL, NULL, NULL, NULL, 'LIPASE RELATED', 152714),
(208989, 'PTHR34451:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER, FYVE/PHD-TYPE-RELATED', 152715),
(208990, 'PTHR36914:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152716),
(208991, 'PTHR12546:SF33', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT MEMBRANE TARGETING', 152717),
(208992, 'PTHR33065:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152718),
(208993, 'PTHR12207:SF8', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 4', 152719),
(208994, 'PTHR34939:SF5', NULL, NULL, NULL, NULL, 'BNAC08G09180D PROTEIN', 152720),
(208995, 'PTHR33598:SF2', NULL, NULL, NULL, NULL, 'MAR-BINDING FILAMENT-LIKE PROTEIN', 152721),
(208996, 'PTHR28366:SF1', NULL, NULL, NULL, NULL, 'ZGC:194224', 152722),
(208997, 'PTHR35991:SF1', NULL, NULL, NULL, NULL, 'CA-RESPONSIVE PROTEIN', 152723),
(208998, 'PTHR46034:SF12', NULL, NULL, NULL, NULL, 'B2 PROTEIN', 152724),
(208999, 'PTHR14167:SF82', NULL, NULL, NULL, NULL, 'SH3-DOMAIN GRB2-LIKE 3', 152725),
(209000, 'PTHR12125:SF7', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 17', 152726),
(209001, 'PTHR11654:SF551', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.3', 152727),
(209002, 'PTHR31989:SF288', NULL, NULL, NULL, NULL, 'BNAA09G39480D PROTEIN', 152728),
(209003, 'PTHR32093:SF128', NULL, NULL, NULL, NULL, 'SCOPOLETIN GLUCOSYLTRANSFERASE', 152729),
(209004, 'PTHR24106:SF274', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN', 152730),
(209005, 'PTHR23423:SF59', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 184A', 152731),
(209006, 'PTHR34935:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152732),
(209007, 'PTHR19143:SF47', NULL, NULL, NULL, NULL, 'SI:CH211-157B11.8', 152733),
(209008, 'PTHR47344', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN-RELATED', 152734),
(209009, 'PTHR21562:SF19', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 152735),
(209010, 'PTHR48237', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT', 152736),
(209011, 'PTHR30270:SF0', NULL, NULL, NULL, NULL, 'THIAMINE-MONOPHOSPHATE KINASE', 152737),
(209012, 'PTHR47385:SF3', NULL, NULL, NULL, NULL, 'CALPONIN', 152738),
(209013, 'PTHR47993:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152739),
(209014, 'PTHR36511:SF3', NULL, NULL, NULL, NULL, 'ANTITOXIN HIGA-2', 152740),
(209015, 'PTHR23294:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152741),
(209016, 'PTHR21325:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CBG02607', 152742),
(209017, 'PTHR10562:SF103', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 5', 152743);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(209018, 'PTHR43711:SF25', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE PDTAS-RELATED', 152744),
(209019, 'PTHR22907:SF39', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 152745),
(209020, 'PTHR10129:SF35', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER TRANSCRIPTION FACTOR', 152746),
(209021, 'PTHR43939:SF55', NULL, NULL, NULL, NULL, 'MAR-BINDING FILAMENT-LIKE PROTEIN 1', 152747),
(209022, 'PTHR42915:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL 460 KDA PROTEIN IN FEUA-SIGW INTERGENIC REGION [PRECURSOR]', 152748),
(209023, 'PTHR11654:SF515', NULL, NULL, NULL, NULL, 'BNACNNG04550D PROTEIN', 152749),
(209024, 'PTHR24133:SF35', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN-RELATED', 152750),
(209025, 'PTHR46691:SF3', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 15', 152751),
(209026, 'PTHR11963:SF40', NULL, NULL, NULL, NULL, 'CYTOSOL AMINOPEPTIDASE', 152752),
(209027, 'PTHR45649:SF44', NULL, NULL, NULL, NULL, 'OS01G0945300 PROTEIN', 152753),
(209028, 'PTHR11315:SF10', NULL, NULL, NULL, NULL, 'FOLATE GAMMA-GLUTAMYL HYDROLASE', 152754),
(209029, 'PTHR19871', NULL, NULL, NULL, NULL, 'BETA TRANSDUCIN-RELATED PROTEIN', 152755),
(209030, 'PTHR13780:SF115', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX5', 152756),
(209031, 'PTHR11610:SF37', NULL, NULL, NULL, NULL, 'GH01208P', 152757),
(209032, 'PTHR47928:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152758),
(209033, 'PTHR31807:SF37', NULL, NULL, NULL, NULL, 'AUGMIN SUBUNIT 8', 152759),
(209034, 'PTHR10442:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', 152760),
(209035, 'PTHR23024:SF398', NULL, NULL, NULL, NULL, 'OS07G0526600 PROTEIN', 152761),
(209036, 'PTHR31221:SF224', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152762),
(209037, 'PTHR11879:SF55', NULL, NULL, NULL, NULL, 'GLUTAMATE OXALOACETATE TRANSAMINASE 1, ISOFORM B', 152763),
(209038, 'PTHR24381:SF358', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 41', 152764),
(209039, 'PTHR13610:SF9', NULL, NULL, NULL, NULL, 'FI06469P', 152765),
(209040, 'PTHR32285:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152766),
(209041, 'PTHR23021:SF82', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 152767),
(209042, 'PTHR47796:SF1', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE-LIKE PROTEIN', 152768),
(209043, 'PTHR48017:SF177', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 3-RELATED', 152769),
(209044, 'PTHR33052:SF113', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', 152770),
(209045, 'PTHR21084:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 3 OPEN READING FRAME 38', 152771),
(209046, 'PTHR45619:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 CATALYTIC SUBUNIT', 152772),
(209047, 'PTHR36023:SF1', NULL, NULL, NULL, NULL, 'PROTEIN AUXIN-REGULATED GENE INVOLVED IN ORGAN SIZE', 152773),
(209048, 'PTHR33355:SF11', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 152774),
(209049, 'PTHR24305:SF77', NULL, NULL, NULL, NULL, 'PISATIN DEMETHYLASE', 152775),
(209050, 'PTHR48056:SF26', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXL1', 152776),
(209051, 'PTHR24222:SF43', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING/PERMEASE PROTEIN-RELATED', 152777),
(209052, 'PTHR11831:SF5', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9', 152778),
(209053, 'PTHR11559:SF401', NULL, NULL, NULL, NULL, 'COCAINE ESTERASE', 152779),
(209054, 'PTHR23500:SF553', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 1-RELATED', 152780),
(209055, 'PTHR33985:SF27', NULL, NULL, NULL, NULL, 'BNAC05G11470D PROTEIN', 152781),
(209056, 'PTHR48052:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152782),
(209057, 'PTHR45962', NULL, NULL, NULL, NULL, 'N-FATTY-ACYL-AMINO ACID SYNTHASE/HYDROLASE PM20D1', 152783),
(209058, 'PTHR11802:SF375', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 152784),
(209059, 'PTHR31595:SF31', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 7-RELATED', 152785),
(209060, 'PTHR10126:SF55', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-LIKE PROTEIN 1', 152786),
(209061, 'PTHR12313:SF0', NULL, NULL, NULL, NULL, 'FI06431P-RELATED', 152787);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(209062, 'PTHR16675', NULL, NULL, NULL, NULL, 'MHC CLASS I-RELATED', 152788),
(209063, 'PTHR11746:SF224', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152789),
(209064, 'PTHR31137:SF13', NULL, NULL, NULL, NULL, 'PROTEIN PSID', 152790),
(209065, 'PTHR47950:SF5', NULL, NULL, NULL, NULL, '(S)-N-METHYLCOCLAURINE 3''-HYDROXYLASE ISOZYME 2-RELATED', 152791),
(209066, 'PTHR45752:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152792),
(209067, 'PTHR33598:SF4', NULL, NULL, NULL, NULL, 'OS02G0833400 PROTEIN', 152793),
(209068, 'PTHR24056:SF111', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE 5', 152794),
(209069, 'PTHR24377:SF894', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 14 HOMOLOG', 152795),
(209070, 'PTHR47681', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT P-RELATED', 152796),
(209071, 'PTHR21094:SF5', NULL, NULL, NULL, NULL, 'GOLGI SNAP RECEPTOR COMPLEX MEMBER 1', 152797),
(209072, 'PTHR48059:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152798),
(209073, 'PTHR23070:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CHAPERONE BCS1', 152799),
(209074, 'PTHR34373:SF12', NULL, NULL, NULL, NULL, 'BNACNNG10160D PROTEIN', 152800),
(209075, 'PTHR46822', NULL, NULL, NULL, NULL, 'COILED-COIL ALPHA-HELICAL ROD PROTEIN 1', 152801),
(209076, 'PTHR23430:SF72', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 2-B', 152802),
(209077, 'PTHR10791:SF116', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 152803),
(209078, 'PTHR31509', NULL, NULL, NULL, NULL, 'BPS1-LIKE PROTEIN', 152804),
(209079, 'PTHR34788:SF6', NULL, NULL, NULL, NULL, 'OS02G0565150 PROTEIN', 152805),
(209080, 'PTHR10543:SF57', NULL, NULL, NULL, NULL, 'RETINOID ISOMEROHYDROLASE', 152806),
(209081, 'PTHR23525:SF1', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 152807),
(209082, 'PTHR35202:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152808),
(209083, 'PTHR10496:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', 152809),
(209084, 'PTHR47289:SF5', NULL, NULL, NULL, NULL, 'BNAA09G28060D PROTEIN', 152810),
(209085, 'PTHR45671:SF16', NULL, NULL, NULL, NULL, 'PHOSPHATE CARRIER PROTEIN-RELATED', 152811),
(209086, 'PTHR23360:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 152812),
(209087, 'PTHR34053:SF7', NULL, NULL, NULL, NULL, 'BNAC07G50630D PROTEIN', 152813),
(209088, 'PTHR20371:SF3', NULL, NULL, NULL, NULL, 'ENOLASE-PHOSPHATASE E1', 152814),
(209089, 'PTHR35365:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152815),
(209090, 'PTHR10663:SF343', NULL, NULL, NULL, NULL, 'CYTOHESIN-2', 152816),
(209091, 'PTHR31790:SF351', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152817),
(209092, 'PTHR33376:SF3', NULL, NULL, NULL, NULL, 'TRIPHOSPHATE (DCTP) DEAMINASE, PUTATIVE-RELATED', 152818),
(209093, 'PTHR10133:SF23', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DNA POLYMERASE I PROTEIN C', 152819),
(209094, 'PTHR23287:SF16', NULL, NULL, NULL, NULL, 'TECTONIN BETA-PROPELLER REPEAT-CONTAINING PROTEIN 2', 152820),
(209095, 'PTHR31890:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152821),
(209096, 'PTHR23295:SF6', NULL, NULL, NULL, NULL, 'EG:BACR42I17.12 PROTEIN-RELATED', 152822),
(209097, 'PTHR24015:SF502', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 152823),
(209098, 'PTHR33168:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152824),
(209099, 'PTHR11417:SF39', NULL, NULL, NULL, NULL, 'GROWTH HORMONE D22-RELATED', 152825),
(209100, 'PTHR21235:SF22', NULL, NULL, NULL, NULL, 'GERANYLGERANYLGLYCERYL PHOSPHATE SYNTHASE', 152826),
(209101, 'PTHR36920:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN W', 152827),
(209102, 'PTHR23266:SF267', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-3', 152828),
(209103, 'PTHR11467:SF101', NULL, NULL, NULL, NULL, 'OS04G0253000 PROTEIN', 152829),
(209104, 'PTHR35100:SF4', NULL, NULL, NULL, NULL, 'F15H11.13 PROTEIN', 152830),
(209105, 'PTHR10380:SF218', NULL, NULL, NULL, NULL, 'ADULT CUTICLE PROTEIN 65AA-RELATED', 152831),
(209106, 'PTHR19211:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152832);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(209107, 'PTHR38760:SF1', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', 152833),
(209108, 'PTHR13937:SF5', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT C', 152834),
(209109, 'PTHR12914:SF2', NULL, NULL, NULL, NULL, 'DNA REPLICATION COMPLEX GINS PROTEIN PSF1', 152835),
(209110, 'PTHR31956:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152836),
(209111, 'PTHR22699:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 16', 152837),
(209112, 'PTHR47942:SF41', NULL, NULL, NULL, NULL, 'OS05G0548600 PROTEIN', 152838),
(209113, 'PTHR10997:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152839),
(209114, 'PTHR45691:SF13', NULL, NULL, NULL, NULL, 'FH2 DOMAIN-CONTAINING 3', 152840),
(209115, 'PTHR12308:SF51', NULL, NULL, NULL, NULL, 'ANOCTAMIN-8', 152841),
(209116, 'PTHR22801', NULL, NULL, NULL, NULL, 'LITHOSTATHINE', 152842),
(209117, 'PTHR42800:SF1', NULL, NULL, NULL, NULL, 'EXOINULINASE INUD (AFU_ORTHOLOGUE AFUA_5G00480)', 152843),
(209118, 'PTHR46774:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152844),
(209119, 'PTHR26453:SF671', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 152845),
(209120, 'PTHR12629:SF59', NULL, NULL, NULL, NULL, 'BNAA05G26570D PROTEIN', 152846),
(209121, 'PTHR13859:SF29', NULL, NULL, NULL, NULL, 'ARGININE-GLUTAMIC ACID DIPEPTIDE (RE) REPEATS B', 152847),
(209122, 'PTHR31241:SF56', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 152848),
(209123, 'PTHR47928:SF6', NULL, NULL, NULL, NULL, 'PPR REPEAT PROTEIN', 152849),
(209124, 'PTHR13288:SF8', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 45', 152850),
(209125, 'PTHR46375:SF4', NULL, NULL, NULL, NULL, 'KELCH-LIKE FAMILY, MEMBER 42', 152851),
(209126, 'PTHR47109', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN-LIKE PROTEIN 1', 152852),
(209127, 'PTHR24637:SF344', NULL, NULL, NULL, NULL, 'COLLAGEN', 152853),
(209128, 'PTHR37805:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 152854),
(209129, 'PTHR24406:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR CTCFL', 152855),
(209130, 'PTHR42820:SF18', NULL, NULL, NULL, NULL, 'BNAC03G72480D PROTEIN', 152856),
(209131, 'PTHR46387:SF14', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 152857),
(209132, 'PTHR24058:SF63', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 152858),
(209133, 'PTHR47988:SF30', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 152859),
(209134, 'PTHR12300:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152860),
(209135, 'PTHR10130:SF5', NULL, NULL, NULL, NULL, 'BNAC09G53570D PROTEIN', 152861),
(209136, 'PTHR33915:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152862),
(209137, 'PTHR10698:SF5', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT H', 152863),
(209138, 'PTHR16237:SF3', NULL, NULL, NULL, NULL, 'ODONTOGENIC AMELOBLAST-ASSOCIATED PROTEIN', 152864),
(209139, 'PTHR46525:SF7', NULL, NULL, NULL, NULL, 'BNAA04G28420D PROTEIN', 152865),
(209140, 'PTHR33433', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 1', 152866),
(209141, 'PTHR10209:SF677', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 152867),
(209142, 'PTHR31859:SF9', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 39B-LIKE PROTEIN', 152868),
(209143, 'PTHR15481:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152869),
(209144, 'PTHR43776:SF8', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER,ATP-BINDING PROTEIN-RELATED', 152870),
(209145, 'PTHR31828:SF40', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1', 152871),
(209146, 'PTHR33074:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152872),
(209147, 'PTHR47124:SF1', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP8', 152873),
(209148, 'PTHR24169:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR P65', 152874),
(209149, 'PTHR42938:SF35', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE', 152875),
(209150, 'PTHR23050:SF449', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 152876),
(209151, 'PTHR48083:SF10', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', 152877); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(209152, 'PTHR46776:SF8', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 2', 152878),
(209153, 'PTHR31042:SF81', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 152879),
(209154, 'PTHR22870:SF224', NULL, NULL, NULL, NULL, 'RCC1 AND BTB DOMAIN-CONTAINING PROTEIN 1', 152880),
(209155, 'PTHR31741:SF89', NULL, NULL, NULL, NULL, 'OS06G0284200 PROTEIN', 152881),
(209156, 'PTHR19370:SF131', NULL, NULL, NULL, NULL, 'B5 REDUCTASE, PUTATIVE-RELATED', 152882),
(209157, 'PTHR35303:SF6', NULL, NULL, NULL, NULL, 'BNAA06G32170D PROTEIN', 152883),
(209158, 'PTHR20861:SF8', NULL, NULL, NULL, NULL, 'BNAA09G09000D PROTEIN', 152884),
(209159, 'PTHR31548:SF3', NULL, NULL, NULL, NULL, 'CLARIN-3', 152885),
(209160, 'PTHR15727:SF3', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 214', 152886),
(209161, 'PTHR13318:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152887),
(209162, 'PTHR21495:SF197', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 152888),
(209163, 'PTHR31009:SF94', NULL, NULL, NULL, NULL, 'JASMONATE O-METHYLTRANSFERASE', 152889),
(209164, 'PTHR27008:SF454', NULL, NULL, NULL, NULL, 'REPEAT RECEPTOR PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 152890),
(209165, 'PTHR33078:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152891),
(209166, 'PTHR14754:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152892),
(209167, 'PTHR37767:SF1', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 152893),
(209168, 'PTHR10073', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN  MLH, PMS, MUTL', 152894),
(209169, 'PTHR46410:SF7', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 1-LIKE', 152895),
(209170, 'PTHR31264:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152896),
(209171, 'PTHR20275:SF28', NULL, NULL, NULL, NULL, 'NADH KINASE', 152897),
(209172, 'PTHR48166', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 152898),
(209173, 'PTHR10460:SF7', NULL, NULL, NULL, NULL, 'ABI GENE FAMILY MEMBER 3', 152899),
(209174, 'PTHR47976:SF27', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 1', 152900),
(209175, 'PTHR32193:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152901),
(209176, 'PTHR16517:SF101', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 10-RELATED', 152902),
(209177, 'PTHR23107:SF27', NULL, NULL, NULL, NULL, 'GRF1-INTERACTING FACTOR 2-LIKE', 152903),
(209178, 'PTHR31384:SF136', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 152904),
(209179, 'PTHR22930:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152905),
(209180, 'PTHR45625:SF7', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-LIKE 1', 152906),
(209181, 'PTHR11955:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152907),
(209182, 'PTHR10981:SF5', NULL, NULL, NULL, NULL, 'BATTENIN', 152908),
(209183, 'PTHR21503:SF43', NULL, NULL, NULL, NULL, 'PROTEIN CBG27430', 152909),
(209184, 'PTHR31194:SF13', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR SHINE 2', 152910),
(209185, 'PTHR34194:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152911),
(209186, 'PTHR14139', NULL, NULL, NULL, NULL, 'CALSYNTENIN', 152912),
(209187, 'PTHR24343:SF350', NULL, NULL, NULL, NULL, 'NUAK FAMILY SNF1-LIKE KINASE 1', 152913),
(209188, 'PTHR32448:SF126', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN-RELATED', 152914),
(209189, 'PTHR10583:SF1', NULL, NULL, NULL, NULL, 'CHROMOGRANIN-A', 152915),
(209190, 'PTHR42826:SF12', NULL, NULL, NULL, NULL, 'BNAA09G06780D PROTEIN', 152916),
(209191, 'PTHR11929:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152917),
(209192, 'PTHR37610:SF57', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', 152918),
(209193, 'PTHR46736:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152919),
(209194, 'PTHR48041:SF29', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 24', 152920),
(209195, 'PTHR42878:SF12', NULL, NULL, NULL, NULL, 'HEME SENSOR PROTEIN HSSS', 152921),
(209196, 'PTHR43791:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152922);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(209197, 'PTHR31707:SF160', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 152923),
(209198, 'PTHR43180:SF34', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 152924),
(209199, 'PTHR42831', NULL, NULL, NULL, NULL, 'FE-S PROTEIN MATURATION AUXILIARY FACTOR YITW', 152925),
(209200, 'PTHR10283:SF110', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER PHO87-RELATED', 152926),
(209201, 'PTHR47710:SF2', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', 152927),
(209202, 'PTHR23502:SF61', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02780)-RELATED', 152928),
(209203, 'PTHR19920:SF0', NULL, NULL, NULL, NULL, 'CYTOSOLIC IRON-SULFUR PROTEIN ASSEMBLY PROTEIN CIAO1-RELATED', 152929),
(209204, 'PTHR31896:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152930),
(209205, 'PTHR34682:SF15', NULL, NULL, NULL, NULL, 'BNAC03G71820D PROTEIN', 152931),
(209206, 'PTHR10887:SF462', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152932),
(209207, 'PTHR24346:SF62', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', 152933),
(209208, 'PTHR45496:SF24', NULL, NULL, NULL, NULL, 'BNAA10G30160D PROTEIN', 152934),
(209209, 'PTHR12930:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 1-LIKE', 152935),
(209210, 'PTHR45847', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE', 152936),
(209211, 'PTHR15741:SF32', NULL, NULL, NULL, NULL, 'LD38259P', 152937),
(209212, 'PTHR46514:SF2', NULL, NULL, NULL, NULL, 'AMPHIPHYSIN', 152938),
(209213, 'PTHR11003:SF28', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 6', 152939),
(209214, 'PTHR23279:SF37', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 13, ISOFORM B', 152940),
(209215, 'PTHR32261:SF7', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN 3', 152941),
(209216, 'PTHR24115:SF287', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 152942),
(209217, 'PTHR24403:SF62', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 827', 152943),
(209218, 'PTHR16719:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE COPPER CHAPERONE', 152944),
(209219, 'PTHR31100:SF81', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 152945),
(209220, 'PTHR45526:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN DCUR', 152946),
(209221, 'PTHR12865:SF1', NULL, NULL, NULL, NULL, 'LD24833P', 152947),
(209222, 'PTHR33207:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152948),
(209223, 'PTHR23172:SF64', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN REQUIRED FOR CHLOROPLAST ACCUMULATION RESPONSE 1', 152949),
(209224, 'PTHR34857:SF4', NULL, NULL, NULL, NULL, 'COBALT TRANSPORT PROTEIN', 152950),
(209225, 'PTHR11645:SF53', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE 3', 152951),
(209226, 'PTHR33474:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152952),
(209227, 'PTHR33107:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152953),
(209228, 'PTHR12526:SF558', NULL, NULL, NULL, NULL, 'PHOSPHATIDYL-MYO-INOSITOL MANNOSYLTRANSFERASE', 152954),
(209229, 'PTHR35095:SF1', NULL, NULL, NULL, NULL, 'OS05G0143300 PROTEIN', 152955),
(209230, 'PTHR46716', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 7', 152956),
(209231, 'PTHR31549:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152957),
(209232, 'PTHR47982:SF11', NULL, NULL, NULL, NULL, 'BNAA02G22020D PROTEIN', 152958),
(209233, 'PTHR46371:SF22', NULL, NULL, NULL, NULL, 'BNAA05G32990D PROTEIN', 152959),
(209234, 'PTHR31985:SF219', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF039-LIKE', 152960),
(209235, 'PTHR31334:SF1', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE PROTEIN SMCR8', 152961),
(209236, 'PTHR35495:SF7', NULL, NULL, NULL, NULL, 'OS02G0164400 PROTEIN', 152962),
(209237, 'PTHR43490:SF78', NULL, NULL, NULL, NULL, 'OSJNBA0081C01.23 PROTEIN', 152963),
(209238, 'PTHR24320:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152964),
(209239, 'PTHR11552:SF198', NULL, NULL, NULL, NULL, 'GLUCOSE DEHYDROGENASE [FAD, QUINONE]-LIKE PROTEIN', 152965);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(209240, 'PTHR35275:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152966),
(209241, 'PTHR10265', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1', 152967),
(209242, 'PTHR42887:SF2', NULL, NULL, NULL, NULL, 'OS12G0638800 PROTEIN', 152968),
(209243, 'PTHR46179:SF10', NULL, NULL, NULL, NULL, 'SI:DKEY-208K4.2', 152969),
(209244, 'PTHR24286:SF196', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 11-OXIDASE-LIKE', 152970),
(209245, 'PTHR11690:SF240', NULL, NULL, NULL, NULL, 'PICKPOCKET 18-RELATED', 152971),
(209246, 'PTHR12271:SF53', NULL, NULL, NULL, NULL, 'UTP:RNA URIDYLYLTRANSFERASE 1', 152972),
(209247, 'PTHR23056:SF121', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 8', 152973),
(209248, 'PTHR48002:SF97', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 152974),
(209249, 'PTHR32226', NULL, NULL, NULL, NULL, 'TELO2-INTERACTING PROTEIN 2', 152975),
(209250, 'PTHR10625:SF190', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 152976),
(209251, 'PTHR48063:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152977),
(209252, 'PTHR31221:SF236', NULL, NULL, NULL, NULL, 'WRKY FAMILY TRANSCRIPTION FACTOR', 152978),
(209253, 'PTHR33155:SF41', NULL, NULL, NULL, NULL, 'PROTEIN FAF-LIKE, CHLOROPLASTIC', 152979),
(209254, 'PTHR23138:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152980),
(209255, 'PTHR31561:SF97', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 7', 152981),
(209256, 'PTHR30218:SF0', NULL, NULL, NULL, NULL, 'POLYPHOSPHATE KINASE', 152982),
(209257, 'PTHR28283:SF1', NULL, NULL, NULL, NULL, '3'',5''-CYCLIC-NUCLEOTIDE PHOSPHODIESTERASE 1', 152983),
(209258, 'PTHR21879:SF21', NULL, NULL, NULL, NULL, 'OSIRIS 4, ISOFORM B', 152984),
(209259, 'PTHR31580:SF38', NULL, NULL, NULL, NULL, 'FILAMENT-PLANT-LIKE PROTEIN', 152985),
(209260, 'PTHR33721', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 152986),
(209261, 'PTHR13097', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIE, ALPHA SUBUNIT', 152987),
(209262, 'PTHR42106', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 152988),
(209263, 'PTHR47021:SF6', NULL, NULL, NULL, NULL, 'BNAA04G21520D PROTEIN', 152989),
(209264, 'PTHR11540:SF58', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE 1, MITOCHONDRIAL-RELATED', 152990),
(209265, 'PTHR34575:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PAM68, CHLOROPLASTIC', 152991),
(209266, 'PTHR12430:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152992),
(209267, 'PTHR21461:SF76', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 152993),
(209268, 'PTHR31741:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152994),
(209269, 'PTHR19331:SF466', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 152995),
(209270, 'PTHR21320:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX11, MITOCHONDRIAL-RELATED', 152996),
(209271, 'PTHR27001:SF581', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', 152997),
(209272, 'PTHR23137:SF26', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', 152998),
(209273, 'PTHR30303', NULL, NULL, NULL, NULL, 'HYDROGENASE ISOENZYMES FORMATION PROTEIN HYPE', 152999),
(209274, 'PTHR33701:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ATRX', 153000),
(209275, 'PTHR47558', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HOS3', 153001),
(209276, 'PTHR43601:SF14', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 2-1, CHLOROPLASTIC', 153002),
(209277, 'PTHR35369:SF3', NULL, NULL, NULL, NULL, 'CELL DIVISION INHIBITOR SULA', 153003),
(209278, 'PTHR47169:SF1', NULL, NULL, NULL, NULL, 'OS01G0541250 PROTEIN', 153004),
(209279, 'PTHR22808:SF6', NULL, NULL, NULL, NULL, 'RNA (C5-CYTOSINE) METHYLTRANSFERASE', 153005),
(209280, 'PTHR10504:SF66', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE-BINDING PROTEIN', 153006),
(209281, 'PTHR24298:SF80', NULL, NULL, NULL, NULL, 'OS02G0108800 PROTEIN', 153007),
(209282, 'PTHR23294:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG20324', 153008),
(209283, 'PTHR24229:SF40', NULL, NULL, NULL, NULL, 'GH14208P', 153009),
(209284, 'PTHR16062:SF15', NULL, NULL, NULL, NULL, 'PROTEIN POLYBROMO-1', 153010); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(209285, 'PTHR23257:SF852', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE KINASE LE-CTR1', 153011),
(209286, 'PTHR23421:SF61', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 153012),
(209287, 'PTHR11640:SF125', NULL, NULL, NULL, NULL, 'NEUROFASCIN', 153013),
(209288, 'PTHR45644:SF54', NULL, NULL, NULL, NULL, 'BNAC03G30900D PROTEIN', 153014),
(209289, 'PTHR34222:SF38', NULL, NULL, NULL, NULL, 'RRNA 2''-O-METHYLTRANSFERASE FIBRILLARIN-LIKE ISOFORM X1', 153015),
(209290, 'PTHR43795:SF65', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE-LIKE', 153016),
(209291, 'PTHR13068:SF93', NULL, NULL, NULL, NULL, 'OS05G0403600 PROTEIN', 153017),
(209292, 'PTHR46353:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153018),
(209293, 'PTHR38462:SF1', NULL, NULL, NULL, NULL, 'EXONUCLEASE-LIKE PROTEIN', 153019),
(209294, 'PTHR18945:SF557', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 153020),
(209295, 'PTHR14218:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153021),
(209296, 'PTHR12899:SF6', NULL, NULL, NULL, NULL, 'OS03G0694800 PROTEIN', 153022),
(209297, 'PTHR34286:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 153023),
(209298, 'PTHR43436:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 153024),
(209299, 'PTHR24232:SF0', NULL, NULL, NULL, NULL, 'PROTEINASE-ACTIVATED RECEPTOR 3', 153025),
(209300, 'PTHR48112:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153026),
(209301, 'PTHR11461:SF30', NULL, NULL, NULL, NULL, 'HEPARIN COFACTOR 2', 153027),
(209302, 'PTHR14000:SF28', NULL, NULL, NULL, NULL, 'BNAC07G50860D PROTEIN', 153028),
(209303, 'PTHR23177:SF35', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACA', 153029),
(209304, 'PTHR10108:SF979', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT11-RELATED', 153030),
(209305, 'PTHR10809:SF12', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN-ASSOCIATED PROTEIN B/C', 153031),
(209306, 'PTHR28640', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 6-INTERACTING PROTEIN 6', 153032),
(209307, 'PTHR11910:SF18', NULL, NULL, NULL, NULL, 'BNACNNG66500D PROTEIN', 153033),
(209308, 'PTHR13683:SF596', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 153034),
(209309, 'PTHR11243:SF14', NULL, NULL, NULL, NULL, 'AMYLOID BETA A4 PRECURSOR PROTEIN-BINDING FAMILY B MEMBER 1-INTERACTING PROTEIN', 153035),
(209310, 'PTHR24404:SF37', NULL, NULL, NULL, NULL, 'ZNF467 ISOFORM 2', 153036),
(209311, 'PTHR45786:SF41', NULL, NULL, NULL, NULL, 'BNAC03G60940D PROTEIN', 153037),
(209312, 'PTHR18968:SF142', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE ISOZYME 2 LARGE SUBUNIT-RELATED', 153038),
(209313, 'PTHR13165:SF3', NULL, NULL, NULL, NULL, 'SERRATE RNA EFFECTOR MOLECULE-LIKE PROTEIN', 153039),
(209314, 'PTHR31817:SF0', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', 153040),
(209315, 'PTHR34959:SF4', NULL, NULL, NULL, NULL, 'PROTEIN LAZY 1', 153041),
(209316, 'PTHR48053:SF54', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 153042),
(209317, 'PTHR10336:SF181', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 153043),
(209318, 'PTHR22802:SF351', NULL, NULL, NULL, NULL, 'IMMUNE-RELATED LECTIN-LIKE RECEPTOR 1-RELATED', 153044),
(209319, 'PTHR33526:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153045),
(209320, 'PTHR45648:SF57', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 153046),
(209321, 'PTHR43296:SF6', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 153047),
(209322, 'PTHR19051:SF13', NULL, NULL, NULL, NULL, '2310061N02RIK PROTEIN', 153048),
(209323, 'PTHR38733:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MCRC', 153049),
(209324, 'PTHR23430:SF255', NULL, NULL, NULL, NULL, 'HISTONE H2A', 153050),
(209325, 'PTHR28495:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC100359752', 153051),
(209326, 'PTHR11132:SF363', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN', 153052),
(209327, 'PTHR33693', NULL, NULL, NULL, NULL, 'TYPE-5 URACIL-DNA GLYCOSYLASE', 153053); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(209328, 'PTHR48187:SF1', NULL, NULL, NULL, NULL, 'LD21810P', 153054),
(209329, 'PTHR35008:SF8', NULL, NULL, NULL, NULL, 'BLL4482 PROTEIN', 153055),
(209330, 'PTHR33824:SF7', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', 153056),
(209331, 'PTHR24349:SF385', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 28-LIKE', 153057),
(209332, 'PTHR26450:SF116', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 153058),
(209333, 'PTHR21683:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN CONTAINING 197', 153059),
(209334, 'PTHR31024', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 153060),
(209335, 'PTHR16705:SF9', NULL, NULL, NULL, NULL, 'COMPLEXIN-2', 153061),
(209336, 'PTHR45656:SF2', NULL, NULL, NULL, NULL, 'SEIZURE 6-LIKE PROTEIN 2', 153062),
(209337, 'PTHR44080:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE COP1', 153063),
(209338, 'PTHR11662:SF206', NULL, NULL, NULL, NULL, 'POTENTIAL VESICULAR GLUTAMATE TRANSPORTER VGLU-3-RELATED', 153064),
(209339, 'PTHR11653:SF2', NULL, NULL, NULL, NULL, 'PARVALBUMIN ALPHA', 153065),
(209340, 'PTHR31429:SF24', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 36-RELATED', 153066),
(209341, 'PTHR10891:SF802', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 2', 153067),
(209342, 'PTHR24567:SF28', NULL, NULL, NULL, NULL, 'FUMARATE AND NITRATE REDUCTION REGULATORY PROTEIN', 153068),
(209343, 'PTHR24115:SF416', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-10A', 153069),
(209344, 'PTHR31199', NULL, NULL, NULL, NULL, 'ARPIN', 153070),
(209345, 'PTHR34491:SF18', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', 153071),
(209346, 'PTHR11614:SF158', NULL, NULL, NULL, NULL, 'CAFFEOYLSHIKIMATE ESTERASE-LIKE', 153072),
(209347, 'PTHR12321:SF139', NULL, NULL, NULL, NULL, 'ALFIN-LIKE TRANSCRIPTION FACTOR-RELATED', 153073),
(209348, 'PTHR46303:SF3', NULL, NULL, NULL, NULL, 'CHORDIN-LIKE PROTEIN 2', 153074),
(209349, 'PTHR24282:SF186', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 153075),
(209350, 'PTHR46632:SF22', NULL, NULL, NULL, NULL, 'BNAC06G27550D PROTEIN', 153076),
(209351, 'PTHR31992:SF228', NULL, NULL, NULL, NULL, 'ZINC FINGER, DOF-TYPE-RELATED', 153077),
(209352, 'PTHR31500:SF63', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 13', 153078),
(209353, 'PTHR24221:SF490', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 11-RELATED', 153079),
(209354, 'PTHR14363:SF41', NULL, NULL, NULL, NULL, 'HEPARANASE-LIKE PROTEIN 3', 153080),
(209355, 'PTHR26453:SF202', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2B6', 153081),
(209356, 'PTHR42973:SF9', NULL, NULL, NULL, NULL, 'OXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00840)-RELATED', 153082),
(209357, 'PTHR13061:SF45', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE 2-RELATED', 153083),
(209358, 'PTHR46038:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153084),
(209359, 'PTHR46634:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYGLUCOSAMINLYTRANSFERASE SUBUNIT P-RELATED', 153085),
(209360, 'PTHR19876:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153086),
(209361, 'PTHR31769:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153087),
(209362, 'PTHR31375:SF232', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153088),
(209363, 'PTHR46128:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153089),
(209364, 'PTHR39867', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 153090),
(209365, 'PTHR47967:SF2', NULL, NULL, NULL, NULL, 'BNAA08G07350D PROTEIN', 153091),
(209366, 'PTHR10271:SF16', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 1B', 153092),
(209367, 'PTHR24206:SF89', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN PLIM2C-LIKE ISOFORM X1', 153093),
(209368, 'PTHR45644:SF40', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 1-A ISOFORM 1', 153094),
(209369, 'PTHR48108:SF2', NULL, NULL, NULL, NULL, 'ACETOIN UTILIZATION PROTEIN ACUB', 153095),
(209370, 'PTHR23113:SF170', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR F', 153096);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(209371, 'PTHR23334:SF60', NULL, NULL, NULL, NULL, 'BNAANNG11690D PROTEIN', 153097),
(209372, 'PTHR24064:SF241', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 11', 153098),
(209373, 'PTHR10795:SF559', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.2', 153099),
(209374, 'PTHR46287:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER, TAZ-TYPE, SKP1/BTB/POZ DOMAIN PROTEIN-RELATED', 153100),
(209375, 'PTHR11351:SF92', NULL, NULL, NULL, NULL, 'ACYL-COA DESATURASE 2-LIKE PROTEIN', 153101),
(209376, 'PTHR24369:SF188', NULL, NULL, NULL, NULL, 'ELRR (EXTRACELLULAR LEUCINE-RICH REPEAT) ONLY', 153102),
(209377, 'PTHR46270:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153103),
(209378, 'PTHR32440:SF11', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE 16-RELATED', 153104),
(209379, 'PTHR46213:SF12', NULL, NULL, NULL, NULL, 'PROTEIN ROS1', 153105),
(209380, 'PTHR19422:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153106),
(209381, 'PTHR43260:SF1', NULL, NULL, NULL, NULL, 'KSDD-LIKE STEROID DEHYDROGENASE RV0785', 153107),
(209382, 'PTHR31165:SF76', NULL, NULL, NULL, NULL, 'ALOG DOMAIN-CONTAINING PROTEIN-RELATED', 153108),
(209383, 'PTHR42859:SF5', NULL, NULL, NULL, NULL, 'CARBON-MONOXIDE DEHYDROGENASE, FE-S SUBUNIT', 153109),
(209384, 'PTHR10579:SF111', NULL, NULL, NULL, NULL, 'RETROELEMENT POL POLYPROTEIN-LIKE', 153110),
(209385, 'PTHR42861:SF76', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 153111),
(209386, 'PTHR47942:SF13', NULL, NULL, NULL, NULL, 'OS06G0710800 PROTEIN', 153112),
(209387, 'PTHR47545:SF1', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL CCA PROTEIN', 153113),
(209388, 'PTHR34730', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 153114),
(209389, 'PTHR31374:SF124', NULL, NULL, NULL, NULL, 'OS04G0617350 PROTEIN', 153115),
(209390, 'PTHR46148', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 153116),
(209391, 'PTHR11260:SF649', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153117),
(209392, 'PTHR11017:SF378', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 153118),
(209393, 'PTHR46595:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153119),
(209394, 'PTHR10741:SF2', NULL, NULL, NULL, NULL, 'TRANSLIN', 153120),
(209395, 'PTHR33021:SF253', NULL, NULL, NULL, NULL, 'OS06G0681200 PROTEIN', 153121),
(209396, 'PTHR24241:SF170', NULL, NULL, NULL, NULL, 'PROTEIN CBG07754', 153122),
(209397, 'PTHR46166:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B8', 153123),
(209398, 'PTHR10857:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153124),
(209399, 'PTHR10204:SF34', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE, QUINONE 1', 153125),
(209400, 'PTHR11141:SF6', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', 153126),
(209401, 'PTHR33214:SF57', NULL, NULL, NULL, NULL, 'BNACNNG69950D PROTEIN', 153127),
(209402, 'PTHR21508', NULL, NULL, NULL, NULL, 'MITOGUARDIN', 153128),
(209403, 'PTHR48014:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153129),
(209404, 'PTHR46937:SF8', NULL, NULL, NULL, NULL, 'BNAC02G41630D PROTEIN', 153130),
(209405, 'PTHR39518', NULL, NULL, NULL, NULL, 'UPF0215 PROTEIN MJ1150', 153131),
(209406, 'PTHR44133:SF2', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR SUBUNIT 1', 153132),
(209407, 'PTHR23516:SF20', NULL, NULL, NULL, NULL, 'MOLYBDATE-ANION TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', 153133),
(209408, 'PTHR24082:SF286', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR BETA', 153134),
(209409, 'PTHR19277:SF94', NULL, NULL, NULL, NULL, 'NEURONAL PENTRAXIN RECEPTOR', 153135),
(209410, 'PTHR12124', NULL, NULL, NULL, NULL, 'POLYMYOSITIS/SCLERODERMA AUTOANTIGEN-RELATED', 153136),
(209411, 'PTHR21654', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 153137),
(209412, 'PTHR24031:SF725', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE-LIKE PROTEIN', 153138),
(209413, 'PTHR19863:SF9', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 47-LIKE PROTEIN', 153139),
(209414, 'PTHR32467:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153140),
(209415, 'PTHR11652:SF54', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S12/S23-RELATED', 153141);
INSERT INTO "PUBLIC"."MODEL" VALUES
(209416, 'PTHR22762:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153142),
(209417, 'PTHR31595:SF38', NULL, NULL, NULL, NULL, 'MBOAT (MEMBRANE BOUND O-ACYL TRANSFERASE) FAMILY PROTEIN', 153143),
(209418, 'PTHR23167:SF39', NULL, NULL, NULL, NULL, '[F-ACTIN]-MONOOXYGENASE MICAL2', 153144),
(209419, 'PTHR22601:SF23', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 2', 153145),
(209420, 'PTHR26453:SF235', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2V2', 153146),
(209421, 'PTHR47983:SF22', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ALE2', 153147),
(209422, 'PTHR46991:SF14', NULL, NULL, NULL, NULL, 'BNAC02G32960D PROTEIN', 153148),
(209423, 'PTHR10046', NULL, NULL, NULL, NULL, 'ATP DEPENDENT LON PROTEASE FAMILY MEMBER', 153149),
(209424, 'PTHR31218:SF284', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 153150),
(209425, 'PTHR32093:SF110', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-LIKE PROTEIN', 153151),
(209426, 'PTHR22594:SF36', NULL, NULL, NULL, NULL, 'ASPARAGINE--TRNA LIGASE, CYTOPLASMIC 2-RELATED', 153152),
(209427, 'PTHR10168:SF280', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C13', 153153),
(209428, 'PTHR46254:SF3', NULL, NULL, NULL, NULL, 'PROTEIN GVQW1', 153154),
(209429, 'PTHR24115:SF919', NULL, NULL, NULL, NULL, 'KINESIN FAMILY MEMBER 1AA', 153155),
(209430, 'PTHR24068:SF138', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 N-LIKE-RELATED', 153156),
(209431, 'PTHR11467:SF36', NULL, NULL, NULL, NULL, 'HISTONE H1', 153157),
(209432, 'PTHR31213:SF122', NULL, NULL, NULL, NULL, 'BNAC04G04830D PROTEIN', 153158),
(209433, 'PTHR10809:SF92', NULL, NULL, NULL, NULL, 'GEO13014P1', 153159),
(209434, 'PTHR16897:SF17', NULL, NULL, NULL, NULL, 'BNACNNG44110D PROTEIN', 153160),
(209435, 'PTHR12072:SF4', NULL, NULL, NULL, NULL, 'CWF19-LIKE PROTEIN 1', 153161),
(209436, 'PTHR33265:SF8', NULL, NULL, NULL, NULL, 'AVR9/CF-9 RAPIDLY ELICITED PROTEIN', 153162),
(209437, 'PTHR47965:SF61', NULL, NULL, NULL, NULL, 'OS01G0937100 PROTEIN', 153163),
(209438, 'PTHR23068:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153164),
(209439, 'PTHR46296:SF7', NULL, NULL, NULL, NULL, 'C2 AND GRAM DOMAIN-CONTAINING PROTEIN', 153165),
(209440, 'PTHR31533:SF31', NULL, NULL, NULL, NULL, 'BNAANNG20980D PROTEIN', 153166),
(209441, 'PTHR16487:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153167),
(209442, 'PTHR11654:SF418', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153168),
(209443, 'PTHR35281', NULL, NULL, NULL, NULL, 'BNAA02G34170D PROTEIN', 153169),
(209444, 'PTHR43952:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153170),
(209445, 'PTHR37204:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 153171),
(209446, 'PTHR36519:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09799', 153172),
(209447, 'PTHR22775:SF38', NULL, NULL, NULL, NULL, 'SORTING NEXIN 19B', 153173),
(209448, 'PTHR34130:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153174),
(209449, 'PTHR48056:SF13', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 153175),
(209450, 'PTHR11245:SF2', NULL, NULL, NULL, NULL, 'STANNIOCALCIN-2', 153176),
(209451, 'PTHR33786', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 153177),
(209452, 'PTHR13398:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153178),
(209453, 'PTHR22683', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN RELATED', 153179),
(209454, 'PTHR22938:SF13', NULL, NULL, NULL, NULL, 'ACID BINDING PROTEIN, PUTATIVE-RELATED', 153180),
(209455, 'PTHR47992:SF148', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C, PUTATIVE-RELATED', 153181),
(209456, 'PTHR31221:SF17', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 13-RELATED', 153182),
(209457, 'PTHR35410', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 153183),
(209458, 'PTHR23024:SF356', NULL, NULL, NULL, NULL, 'GENE 8298-RELATED', 153184),
(209459, 'PTHR43721:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153185),
(209460, 'PTHR15362:SF13', NULL, NULL, NULL, NULL, 'SI:CH1073-145M9.1', 153186),
(209461, 'PTHR45971:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ASSOCIATED WITH UVRAG AS AUTOPHAGY ENHANCER', 153187);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(209462, 'PTHR11011:SF24', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 153188),
(209463, 'PTHR24012:SF824', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 153189),
(209464, 'PTHR33918:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 153190),
(209465, 'PTHR28298', NULL, NULL, NULL, NULL, 'EISOSOME PROTEIN 1', 153191),
(209466, 'PTHR43895:SF121', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 153192),
(209467, 'PTHR47160:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153193),
(209468, 'PTHR10742:SF218', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 153194),
(209469, 'PTHR11414:SF25', NULL, NULL, NULL, NULL, '2010005H15RIK PROTEIN-RELATED', 153195),
(209470, 'PTHR18804:SF15', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', 153196),
(209471, 'PTHR45623:SF34', NULL, NULL, NULL, NULL, 'CHD3-TYPE CHROMATIN-REMODELING FACTOR PICKLE', 153197),
(209472, 'PTHR31152:SF1', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', 153198),
(209473, 'PTHR37998:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 262', 153199),
(209474, 'PTHR10701:SF14', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN-ASSOCIATED PROTEIN', 153200),
(209475, 'PTHR34454', NULL, NULL, NULL, NULL, 'TUNICAMYCIN INDUCED PROTEIN', 153201),
(209476, 'PTHR33090:SF6', NULL, NULL, NULL, NULL, 'OSJNBA0043L09.18 PROTEIN', 153202),
(209477, 'PTHR19143:SF379', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153203),
(209478, 'PTHR43397:SF2', NULL, NULL, NULL, NULL, 'N-METHYLTRANSFERASE FMPB', 153204),
(209479, 'PTHR11972:SF138', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN D', 153205),
(209480, 'PTHR11588:SF331', NULL, NULL, NULL, NULL, 'TUBULIN BETA-8 CHAIN-LIKE PROTEIN LOC260334', 153206),
(209481, 'PTHR42679:SF2', NULL, NULL, NULL, NULL, 'S-METHYL-5''-THIOADENOSINE PHOSPHORYLASE', 153207),
(209482, 'PTHR11017:SF323', NULL, NULL, NULL, NULL, 'BNAA09G44930D PROTEIN', 153208),
(209483, 'PTHR10201:SF136', NULL, NULL, NULL, NULL, 'HEMOPEXIN', 153209),
(209484, 'PTHR31490:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153210),
(209485, 'PTHR21662:SF23', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', 153211),
(209486, 'PTHR45886:SF7', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 153212),
(209487, 'PTHR11552:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153213),
(209488, 'PTHR45765', NULL, NULL, NULL, NULL, 'METHIONINE--TRNA LIGASE', 153214),
(209489, 'PTHR33784:SF31', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 153215),
(209490, 'PTHR48021:SF56', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 14', 153216),
(209491, 'PTHR22967:SF57', NULL, NULL, NULL, NULL, 'NUMB-ASSOCIATED KINASE, ISOFORM A', 153217),
(209492, 'PTHR45899:SF1', NULL, NULL, NULL, NULL, 'ARF-GAP WITH RHO-GAP DOMAIN, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 2', 153218),
(209493, 'PTHR43649:SF11', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN YESO-RELATED', 153219),
(209494, 'PTHR23268:SF23', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 3-1', 153220),
(209495, 'PTHR48034:SF12', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 3', 153221),
(209496, 'PTHR10438:SF428', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 153222),
(209497, 'PTHR22572:SF15', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLTRANSFERASE BETA', 153223),
(209498, 'PTHR27003:SF348', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 153224),
(209499, 'PTHR11501:SF15', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 2', 153225),
(209500, 'PTHR42031', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 153226),
(209501, 'PTHR21535:SF55', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER ALR1-RELATED', 153227),
(209502, 'PTHR43377', NULL, NULL, NULL, NULL, 'BILIVERDIN REDUCTASE A', 153228),
(209503, 'PTHR15217:SF2', NULL, NULL, NULL, NULL, 'PROTEIN OF 37 KDA-LIKE PROTEIN, PUTATIVE-RELATED', 153229),
(209504, 'PTHR45974:SF180', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 153230),
(209505, 'PTHR26453:SF97', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 153231);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(209506, 'PTHR46057:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153232),
(209507, 'PTHR24298:SF815', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 153233),
(209508, 'PTHR23055:SF103', NULL, NULL, NULL, NULL, 'NEURONAL CALCIUM SENSOR 1', 153234),
(209509, 'PTHR48005:SF4', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', 153235),
(209510, 'PTHR27006:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153236),
(209511, 'PTHR46539:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 153237),
(209512, 'PTHR11014:SF114', NULL, NULL, NULL, NULL, 'GLR2540 PROTEIN', 153238),
(209513, 'PTHR32080:SF48', NULL, NULL, NULL, NULL, 'BNAA02G37170D PROTEIN', 153239),
(209514, 'PTHR33257:SF1', NULL, NULL, NULL, NULL, 'OS05G0476000 PROTEIN', 153240),
(209515, 'PTHR10887:SF452', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', 153241),
(209516, 'PTHR15574:SF64', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 8-LIKE', 153242),
(209517, 'PTHR45364:SF3', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 153243),
(209518, 'PTHR11139:SF102', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TOR', 153244),
(209519, 'PTHR45764:SF52', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 4', 153245),
(209520, 'PTHR24369:SF175', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND TRANSMEMBRANE DOMAINS 2', 153246),
(209521, 'PTHR22957:SF225', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 9B', 153247),
(209522, 'PTHR47508:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153248),
(209523, 'PTHR46034:SF20', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', 153249),
(209524, 'PTHR48221:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153250),
(209525, 'PTHR45647:SF7', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 70', 153251),
(209526, 'PTHR24296:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153252),
(209527, 'PTHR45747:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EZH2', 153253),
(209528, 'PTHR48034:SF17', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, Y CHROMOSOME, FAMILY 1 MEMBER B', 153254),
(209529, 'PTHR11527:SF316', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN 3-RELATED', 153255),
(209530, 'PTHR31161:SF17', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1-BINDING PROTEIN', 153256),
(209531, 'PTHR31099:SF21', NULL, NULL, NULL, NULL, 'BNACNNG04280D PROTEIN', 153257),
(209532, 'PTHR10283:SF62', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 13 MEMBER 3', 153258),
(209533, 'PTHR37291', NULL, NULL, NULL, NULL, '5-METHYLCYTOSINE-SPECIFIC RESTRICTION ENZYME B', 153259),
(209534, 'PTHR37177:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PSY1', 153260),
(209535, 'PTHR30173', NULL, NULL, NULL, NULL, 'SIGMA 19 FACTOR', 153261),
(209536, 'PTHR33156:SF50', NULL, NULL, NULL, NULL, 'BNAA02G25450D PROTEIN', 153262),
(209537, 'PTHR33564:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153263),
(209538, 'PTHR11909:SF119', NULL, NULL, NULL, NULL, 'PROTEIN CBG06575', 153264),
(209539, 'PTHR26453:SF294', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 10 SUBFAMILY K MEMBER 2', 153265),
(209540, 'PTHR24381:SF76', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 891', 153266),
(209541, 'PTHR36044', NULL, NULL, NULL, NULL, 'HEME BINDING PROTEIN', 153267),
(209542, 'PTHR22718:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG15452', 153268),
(209543, 'PTHR47928:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153269),
(209544, 'PTHR11240:SF68', NULL, NULL, NULL, NULL, 'S-LIKE RNASE', 153270),
(209545, 'PTHR21583:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ELYS', 153271),
(209546, 'PTHR46050:SF8', NULL, NULL, NULL, NULL, 'OS01G0218200 PROTEIN', 153272),
(209547, 'PTHR30438', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 153273),
(209548, 'PTHR43372:SF2', NULL, NULL, NULL, NULL, 'IP13792P', 153274),
(209549, 'PTHR24543:SF268', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 153275),
(209550, 'PTHR14493:SF105', NULL, NULL, NULL, NULL, 'BNAA06G36220D PROTEIN', 153276);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(209551, 'PTHR35277:SF8', NULL, NULL, NULL, NULL, 'BNAA06G11780D PROTEIN', 153277),
(209552, 'PTHR10562:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153278),
(209553, 'PTHR21109:SF16', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S21', 153279),
(209554, 'PTHR32444:SF79', NULL, NULL, NULL, NULL, 'BNAA07G38400D PROTEIN', 153280),
(209555, 'PTHR12932:SF21', NULL, NULL, NULL, NULL, 'TUBULIN POLYMERIZATION-PROMOTING PROTEIN FAMILY MEMBER 2', 153281),
(209556, 'PTHR14226:SF25', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE-RELATED', 153282),
(209557, 'PTHR10460:SF35', NULL, NULL, NULL, NULL, 'PROTEIN ABIL1-RELATED', 153283),
(209558, 'PTHR30603:SF58', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGB-LIKE', 153284),
(209559, 'PTHR14948:SF1', NULL, NULL, NULL, NULL, 'TRAFFICKING REGULATOR OF GLUT4 1', 153285),
(209560, 'PTHR10271:SF28', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 5', 153286),
(209561, 'PTHR34277:SF14', NULL, NULL, NULL, NULL, 'OS05G0505900 PROTEIN', 153287),
(209562, 'PTHR45798:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153288),
(209563, 'PTHR45694:SF19', NULL, NULL, NULL, NULL, 'BNAA02G04900D PROTEIN', 153289),
(209564, 'PTHR31375:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153290),
(209565, 'PTHR45848:SF2', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 12', 153291),
(209566, 'PTHR11306:SF30', NULL, NULL, NULL, NULL, 'NPC INTRACELLULAR CHOLESTEROL TRANSPORTER 2', 153292),
(209567, 'PTHR31698:SF4', NULL, NULL, NULL, NULL, 'LYSOZYME G-LIKE PROTEIN 2', 153293),
(209568, 'PTHR46341', NULL, NULL, NULL, NULL, 'PROTEIN FAM84B-RELATED', 153294),
(209569, 'PTHR45988:SF42', NULL, NULL, NULL, NULL, 'BNAC03G48520D PROTEIN', 153295),
(209570, 'PTHR22924:SF39', NULL, NULL, NULL, NULL, 'NON-SYMBIOTIC HEMOGLOBIN 1', 153296),
(209571, 'PTHR45736', NULL, NULL, NULL, NULL, 'ZINC FINGER MYM-TYPE PROTEIN', 153297),
(209572, 'PTHR13301:SF144', NULL, NULL, NULL, NULL, 'MIXED-LINKED GLUCAN SYNTHASE 9-RELATED', 153298),
(209573, 'PTHR44329:SF183', NULL, NULL, NULL, NULL, 'KINASE-LIKE PROTEIN', 153299),
(209574, 'PTHR43760:SF1', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE-RELATED', 153300),
(209575, 'PTHR11206:SF399', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 153301),
(209576, 'PTHR18947:SF31', NULL, NULL, NULL, NULL, 'PROTEIN DAPLE', 153302),
(209577, 'PTHR46316:SF7', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-2-LIKE', 153303),
(209578, 'PTHR33085:SF41', NULL, NULL, NULL, NULL, 'OS12G0624700 PROTEIN', 153304),
(209579, 'PTHR24381:SF343', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 589', 153305),
(209580, 'PTHR32444:SF129', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 153306),
(209581, 'PTHR43811:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 9C', 153307),
(209582, 'PTHR48024:SF8', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 6, MITOCHONDRIAL', 153308),
(209583, 'PTHR43670:SF54', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 153309),
(209584, 'PTHR33286:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153310),
(209585, 'PTHR12674', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 5', 153311),
(209586, 'PTHR11963:SF39', NULL, NULL, NULL, NULL, 'CYTOSOL AMINOPEPTIDASE', 153312),
(209587, 'PTHR45966:SF24', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 153313),
(209588, 'PTHR31490', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE', 153314),
(209589, 'PTHR47262', NULL, NULL, NULL, NULL, 'OS02G0132600 PROTEIN', 153315),
(209590, 'PTHR31677:SF112', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', 153316),
(209591, 'PTHR21255:SF20', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN TCTEX-TYPE 3', 153317),
(209592, 'PTHR13859:SF9', NULL, NULL, NULL, NULL, 'ATROPHIN-1', 153318),
(209593, 'PTHR11709:SF273', NULL, NULL, NULL, NULL, 'LACCASE', 153319),
(209594, 'PTHR34359:SF21', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR-RELATED 11-RELATED', 153320),
(209595, 'PTHR31140:SF12', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN IDEF1', 153321);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(209596, 'PTHR24096:SF312', NULL, NULL, NULL, NULL, 'BCDNA.GH02901', 153322),
(209597, 'PTHR43329:SF84', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 153323),
(209598, 'PTHR47025:SF7', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE WITH RING/FYVE/PHD-TYPE ZINC FINGER DOMAIN-CONTAINING PROTEIN', 153324),
(209599, 'PTHR33057:SF123', NULL, NULL, NULL, NULL, 'OFP TRANSCRIPTION FACTOR', 153325),
(209600, 'PTHR31061:SF25', NULL, NULL, NULL, NULL, 'HEPARAN-ALPHA-GLUCOSAMINIDE N-ACETYLTRANSFERASE-LIKE PROTEIN (DUF1624)', 153326),
(209601, 'PTHR18953:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153327),
(209602, 'PTHR46834:SF8', NULL, NULL, NULL, NULL, 'BNAA05G11520D PROTEIN', 153328),
(209603, 'PTHR42930:SF2', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, PUTATIVE-RELATED', 153329),
(209604, 'PTHR43884:SF12', NULL, NULL, NULL, NULL, 'ISOVALERYL-COA DEHYDROGENASE, MITOCHONDRIAL-RELATED', 153330),
(209605, 'PTHR11709:SF58', NULL, NULL, NULL, NULL, 'SKU5 SIMILAR 3', 153331),
(209606, 'PTHR31238:SF143', NULL, NULL, NULL, NULL, 'OS04G0288100 PROTEIN', 153332),
(209607, 'PTHR12636:SF13', NULL, NULL, NULL, NULL, 'NUCLEOLAR ESSENTIAL-RELATED-LIKE PROTEIN', 153333),
(209608, 'PTHR31080:SF89', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', 153334),
(209609, 'PTHR31223:SF50', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 153335),
(209610, 'PTHR42836:SF1', NULL, NULL, NULL, NULL, '7-CARBOXY-7-DEAZAGUANINE SYNTHASE', 153336),
(209611, 'PTHR22603:SF86', NULL, NULL, NULL, NULL, 'CHOLINE KINASE-RELATED', 153337),
(209612, 'PTHR24061:SF522', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 10-RELATED', 153338),
(209613, 'PTHR22988:SF33', NULL, NULL, NULL, NULL, 'RHO-ASSOCIATED PROTEIN KINASE 1', 153339),
(209614, 'PTHR31676:SF18', NULL, NULL, NULL, NULL, 'OS04G0443200 PROTEIN', 153340),
(209615, 'PTHR31140:SF81', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR ABI3', 153341),
(209616, 'PTHR11064:SF140', NULL, NULL, NULL, NULL, 'BNAC08G20060D PROTEIN', 153342),
(209617, 'PTHR11615:SF291', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 153343),
(209618, 'PTHR19325:SF537', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR BINDING PROTEIN,N-TERMINAL', 153344),
(209619, 'PTHR46706:SF1', NULL, NULL, NULL, NULL, 'WARTHOG (HEDGEHOG-LIKE FAMILY)', 153345),
(209620, 'PTHR13673', NULL, NULL, NULL, NULL, 'ESOPHAGEAL CANCER ASSOCIATED PROTEIN', 153346),
(209621, 'PTHR13518:SF1', NULL, NULL, NULL, NULL, 'RGD1306746 PROTEIN', 153347),
(209622, 'PTHR43004', NULL, NULL, NULL, NULL, 'TRK SYSTEM POTASSIUM UPTAKE PROTEIN', 153348),
(209623, 'PTHR43280:SF20', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ADIY-RELATED', 153349),
(209624, 'PTHR33384', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 153350),
(209625, 'PTHR21577:SF5', NULL, NULL, NULL, NULL, 'SHUGOSHIN 2', 153351),
(209626, 'PTHR13864:SF16', NULL, NULL, NULL, NULL, 'T-CELL ACUTE LYMPHOCYTIC LEUKEMIA PROTEIN 1', 153352),
(209627, 'PTHR33052:SF140', NULL, NULL, NULL, NULL, 'BNAA09G41900D PROTEIN', 153353),
(209628, 'PTHR30540:SF87', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 153354),
(209629, 'PTHR11842:SF14', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE CHECKPOINT PROTEIN MAD2-LIKE', 153355),
(209630, 'PTHR45796:SF7', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN P4', 153356),
(209631, 'PTHR11804:SF73', NULL, NULL, NULL, NULL, 'CYTOSOLIC OLIGOPEPTIDASE A-RELATED', 153357),
(209632, 'PTHR31470:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153358),
(209633, 'PTHR24377:SF218', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 182', 153359),
(209634, 'PTHR32054:SF23', NULL, NULL, NULL, NULL, 'WEB FAMILY PLANT PROTEIN', 153360),
(209635, 'PTHR35192', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 153361),
(209636, 'PTHR10681:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153362),
(209637, 'PTHR23050:SF218', NULL, NULL, NULL, NULL, 'CENTRIN-1', 153363),
(209638, 'PTHR31989:SF323', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153364),
(209639, 'PTHR11673:SF42', NULL, NULL, NULL, NULL, 'BNAA07G09420D PROTEIN', 153365); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(209640, 'PTHR34798', NULL, NULL, NULL, NULL, 'PROTEIN TIME FOR COFFEE', 153366),
(209641, 'PTHR48104:SF22', NULL, NULL, NULL, NULL, 'METACASPASE-1-LIKE', 153367),
(209642, 'PTHR11528:SF44', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 75 KDA, MITOCHONDRIAL-RELATED', 153368),
(209643, 'PTHR33057:SF114', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR-RELATED', 153369),
(209644, 'PTHR23220:SF26', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-10', 153370),
(209645, 'PTHR23257:SF831', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ROCO8-RELATED', 153371),
(209646, 'PTHR48007:SF41', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 5', 153372),
(209647, 'PTHR22663:SF21', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE RNF212-RELATED', 153373),
(209648, 'PTHR15032:SF34', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE EFM4', 153374),
(209649, 'PTHR31531:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE E3D', 153375),
(209650, 'PTHR16171:SF9', NULL, NULL, NULL, NULL, 'BASIC IMMUNOGLOBULIN-LIKE VARIABLE MOTIF-CONTAINING PROTEIN', 153376),
(209651, 'PTHR31832:SF51', NULL, NULL, NULL, NULL, 'BNAC03G60270D PROTEIN', 153377),
(209652, 'PTHR43880:SF27', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-RELATED', 153378),
(209653, 'PTHR23024:SF230', NULL, NULL, NULL, NULL, 'OS03G0790500 PROTEIN', 153379),
(209654, 'PTHR15469:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 4', 153380),
(209655, 'PTHR23355:SF37', NULL, NULL, NULL, NULL, 'EXORIBONUCLEASE 2', 153381),
(209656, 'PTHR46293:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP2', 153382),
(209657, 'PTHR43327:SF24', NULL, NULL, NULL, NULL, 'OS01G0588400 PROTEIN', 153383),
(209658, 'PTHR12489', NULL, NULL, NULL, NULL, 'LIPOMA HMGIC FUSION PARTNER-LIKE PROTEIN', 153384),
(209659, 'PTHR16093:SF5', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 120', 153385),
(209660, 'PTHR43278:SF1', NULL, NULL, NULL, NULL, 'IRON-SULFUR FLAVOPROTEIN MJ1083', 153386),
(209661, 'PTHR31238:SF105', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 153387),
(209662, 'PTHR27002:SF659', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 25', 153388),
(209663, 'PTHR13871:SF96', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN 1-RELATED', 153389),
(209664, 'PTHR13528:SF10', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L28', 153390),
(209665, 'PTHR14247:SF8', NULL, NULL, NULL, NULL, 'BREAST CANCER ANTI-ESTROGEN RESISTANCE PROTEIN 3 HOMOLOG-LIKE PROTEIN', 153391),
(209666, 'PTHR43768:SF7', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE 3-RELATED', 153392),
(209667, 'PTHR48047:SF32', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 153393),
(209668, 'PTHR39576:SF1', NULL, NULL, NULL, NULL, 'INVASIN-RELATED', 153394),
(209669, 'PTHR12210:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153395),
(209670, 'PTHR12300:SF127', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN', 153396),
(209671, 'PTHR47951', NULL, NULL, NULL, NULL, 'OS08G0547900 PROTEIN', 153397),
(209672, 'PTHR24230:SF120', NULL, NULL, NULL, NULL, 'PROTEIN CBG19222', 153398),
(209673, 'PTHR10223', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 4', 153399),
(209674, 'PTHR32444:SF106', NULL, NULL, NULL, NULL, 'OS09G0550300 PROTEIN', 153400),
(209675, 'PTHR14154:SF66', NULL, NULL, NULL, NULL, 'STRESS ENHANCED PROTEIN 1 CHLOROPLASTIC', 153401),
(209676, 'PTHR10353:SF252', NULL, NULL, NULL, NULL, 'BNAA09G55510D PROTEIN', 153402),
(209677, 'PTHR43880:SF5', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE 6', 153403),
(209678, 'PTHR43903:SF4', NULL, NULL, NULL, NULL, 'NEUROLIGIN-3', 153404),
(209679, 'PTHR24376:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153405),
(209680, 'PTHR34384:SF6', NULL, NULL, NULL, NULL, 'STAPHYLOFERRIN B SYNTHASE', 153406),
(209681, 'PTHR31374:SF318', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 153407),
(209682, 'PTHR46291:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153408),
(209683, 'PTHR46123', NULL, NULL, NULL, NULL, 'MIX-TYPE HOMEOBOX GENE 1-RELATED', 153409);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(209684, 'PTHR12465', NULL, NULL, NULL, NULL, 'UBIQUITIN SPECIFIC PROTEASE HOMOLOG 49', 153410),
(209685, 'PTHR24296:SF219', NULL, NULL, NULL, NULL, 'BNAA03G56840D PROTEIN', 153411),
(209686, 'PTHR32468:SF136', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 12', 153412),
(209687, 'PTHR20855:SF58', NULL, NULL, NULL, NULL, 'MEMBRANE PROGESTIN RECEPTOR EPSILON', 153413),
(209688, 'PTHR21533:SF19', NULL, NULL, NULL, NULL, 'CHIBBY HOMOLOG 1 (DROSOPHILA)', 153414),
(209689, 'PTHR44272:SF7', NULL, NULL, NULL, NULL, 'BNAANNG28740D PROTEIN', 153415),
(209690, 'PTHR15301:SF11', NULL, NULL, NULL, NULL, 'INSULIN-INDUCED GENE 1 PROTEIN', 153416),
(209691, 'PTHR11758:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153417),
(209692, 'PTHR22811:SF14', NULL, NULL, NULL, NULL, 'LP01981P-RELATED', 153418),
(209693, 'PTHR45652:SF8', NULL, NULL, NULL, NULL, 'NEUROFILAMENT LIGHT POLYPEPTIDE', 153419),
(209694, 'PTHR13593:SF122', NULL, NULL, NULL, NULL, 'BNAANNG36510D PROTEIN', 153420),
(209695, 'PTHR31064:SF8', NULL, NULL, NULL, NULL, 'CATION TRANSPORTER HKT4', 153421),
(209696, 'PTHR33002', NULL, NULL, NULL, NULL, 'POLYMERASE, PUTATIVE-RELATED', 153422),
(209697, 'PTHR37239', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 9', 153423),
(209698, 'PTHR11633:SF4', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR D', 153424),
(209699, 'PTHR44743:SF11', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 153425),
(209700, 'PTHR24034:SF96', NULL, NULL, NULL, NULL, 'EGF-CONTAINING FIBULIN-LIKE EXTRACELLULAR MATRIX PROTEIN 2', 153426),
(209701, 'PTHR47661', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCAN PHOSPHATASE LSF1, CHLOROPLASTIC', 153427),
(209702, 'PTHR46505', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE NAD-BINDING DOMAIN-CONTAINING PROTEIN 1', 153428),
(209703, 'PTHR11818:SF13', NULL, NULL, NULL, NULL, 'BETA-CRYSTALLIN B3', 153429),
(209704, 'PTHR33074:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153430),
(209705, 'PTHR34977:SF3', NULL, NULL, NULL, NULL, 'UPF0337 PROTEIN XCC3924', 153431),
(209706, 'PTHR43859:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153432),
(209707, 'PTHR47992:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153433),
(209708, 'PTHR34982:SF3', NULL, NULL, NULL, NULL, 'FLAGELLAR ASSEMBLY PROTEIN FLIH', 153434),
(209709, 'PTHR24637:SF283', NULL, NULL, NULL, NULL, 'COLLAGEN', 153435),
(209710, 'PTHR11177:SF371', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 153436),
(209711, 'PTHR18945:SF786', NULL, NULL, NULL, NULL, 'SI:CH211-256E16.4-RELATED', 153437),
(209712, 'PTHR15710:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153438),
(209713, 'PTHR32227:SF360', NULL, NULL, NULL, NULL, 'BNAA10G09420D PROTEIN', 153439),
(209714, 'PTHR27008:SF138', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE KINASE FAMILY PROTEIN', 153440),
(209715, 'PTHR19963:SF29', NULL, NULL, NULL, NULL, 'GRF ZINC FINGER / ZINC KNUCKLE PROTEIN', 153441),
(209716, 'PTHR14207', NULL, NULL, NULL, NULL, 'STEROL ISOMERASE', 153442),
(209717, 'PTHR38846:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153443),
(209718, 'PTHR46128:SF208', NULL, NULL, NULL, NULL, 'BNAC05G04620D PROTEIN', 153444),
(209719, 'PTHR45786:SF29', NULL, NULL, NULL, NULL, 'BNAA08G31450D PROTEIN', 153445),
(209720, 'PTHR31075:SF2', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 85 KDA-LIKE', 153446),
(209721, 'PTHR34360:SF13', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED PROTEIN-RELATED', 153447),
(209722, 'PTHR13029:SF15', NULL, NULL, NULL, NULL, 'MYELIN REGULATORY FACTOR HOMOLOG 2', 153448),
(209723, 'PTHR11157:SF104', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN SRE1', 153449),
(209724, 'PTHR24253:SF31', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 4', 153450),
(209725, 'PTHR45648:SF77', NULL, NULL, NULL, NULL, 'BNAA01G29500D PROTEIN', 153451),
(209726, 'PTHR32285:SF10', NULL, NULL, NULL, NULL, 'PROTEIN ESKIMO 1', 153452),
(209727, 'PTHR33895:SF18', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 1-RELATED', 153453),
(209728, 'PTHR18945:SF780', NULL, NULL, NULL, NULL, 'CHOLINERGIC RECEPTOR, NICOTINIC, BETA 2, LIKE', 153454);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(209729, 'PTHR10736:SF19', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG', 153455),
(209730, 'PTHR43180:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153456),
(209731, 'PTHR45660:SF11', NULL, NULL, NULL, NULL, 'OS08G0400200 PROTEIN', 153457),
(209732, 'PTHR11208:SF107', NULL, NULL, NULL, NULL, 'BNAANNG22840D PROTEIN', 153458),
(209733, 'PTHR11346:SF112', NULL, NULL, NULL, NULL, 'GALECTIN', 153459),
(209734, 'PTHR31818:SF21', NULL, NULL, NULL, NULL, 'BNAA08G30350D PROTEIN', 153460),
(209735, 'PTHR23147:SF184', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RSZ22A-LIKE ISOFORM X1', 153461),
(209736, 'PTHR32000', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN', 153462),
(209737, 'PTHR31326:SF7', NULL, NULL, NULL, NULL, '(CHLOROQUINE-RESISTANCE TRANSPORTER)-LIKE TRANSPORTER, PUTATIVE-RELATED', 153463),
(209738, 'PTHR33463:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153464),
(209739, 'PTHR45648:SF21', NULL, NULL, NULL, NULL, 'OSJNBA0043L24.11 PROTEIN', 153465),
(209740, 'PTHR43257:SF3', NULL, NULL, NULL, NULL, 'ACETOIN:2,6-DICHLOROPHENOLINDOPHENOL OXIDOREDUCTASE SUBUNIT BETA', 153466),
(209741, 'PTHR10891:SF756', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN, EXPRESSED', 153467),
(209742, 'PTHR48041:SF4', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 6', 153468),
(209743, 'PTHR30540:SF127', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 153469),
(209744, 'PTHR11254:SF79', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECW1', 153470),
(209745, 'PTHR24037:SF11', NULL, NULL, NULL, NULL, 'MUCIN 13B, CELL SURFACE-ASSOCIATED', 153471),
(209746, 'PTHR23421:SF65', NULL, NULL, NULL, NULL, 'BETA GALACTOSIDASE, ISOFORM A', 153472),
(209747, 'PTHR14624:SF2', NULL, NULL, NULL, NULL, 'POLYPRENOL REDUCTASE 2-LIKE', 153473),
(209748, 'PTHR47722:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 153474),
(209749, 'PTHR31458:SF15', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE NON-CATALYTIC SUBUNIT AROGP2', 153475),
(209750, 'PTHR11117:SF19', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT ALPHA-1, MITOCHONDRIAL', 153476),
(209751, 'PTHR30468:SF28', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT TAURINE DIOXYGENASE (AFU_ORTHOLOGUE AFUA_8G02210)', 153477),
(209752, 'PTHR43687', NULL, NULL, NULL, NULL, 'ADENYLYLSULFATE REDUCTASE, BETA SUBUNIT', 153478),
(209753, 'PTHR34703:SF1', NULL, NULL, NULL, NULL, 'ANTIPORTER SUBUNIT MNHG2-RELATED', 153479),
(209754, 'PTHR33095:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153480),
(209755, 'PTHR13296:SF4', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR SPF27', 153481),
(209756, 'PTHR48015:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAK MBT', 153482),
(209757, 'PTHR47493:SF1', NULL, NULL, NULL, NULL, 'OS08G0520200 PROTEIN', 153483),
(209758, 'PTHR19290:SF152', NULL, NULL, NULL, NULL, 'ATONAL BHLH TRANSCRIPTION FACTOR 1C-RELATED', 153484),
(209759, 'PTHR13994:SF42', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 6-LIKE PROTEIN-RELATED', 153485),
(209760, 'PTHR11984:SF52', NULL, NULL, NULL, NULL, 'GAP JUNCTION GAMMA-2 PROTEIN', 153486),
(209761, 'PTHR21590:SF3', NULL, NULL, NULL, NULL, 'UPF0606 PROTEIN KIAA1549L', 153487),
(209762, 'PTHR22761:SF21', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 7', 153488),
(209763, 'PTHR10245:SF15', NULL, NULL, NULL, NULL, 'ENDOTHELIAL DIFFERENTIATION-RELATED FACTOR 1', 153489),
(209764, 'PTHR22952:SF426', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153490),
(209765, 'PTHR31989:SF367', NULL, NULL, NULL, NULL, 'BNAA09G35990D PROTEIN', 153491),
(209766, 'PTHR31086:SF70', NULL, NULL, NULL, NULL, 'BNAA08G26960D PROTEIN', 153492),
(209767, 'PTHR45496:SF19', NULL, NULL, NULL, NULL, 'BNAANNG15130D PROTEIN', 153493),
(209768, 'PTHR17068:SF5', NULL, NULL, NULL, NULL, 'MYELOID-ASSOCIATED DIFFERENTIATION MARKER-LIKE PROTEIN 2', 153494),
(209769, 'PTHR34483:SF5', NULL, NULL, NULL, NULL, 'OS09G0129800 PROTEIN', 153495),
(209770, 'PTHR11772:SF2', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE', 153496),
(209771, 'PTHR11063', NULL, NULL, NULL, NULL, 'GLUTAMATE SEMIALDEHYDE DEHYDROGENASE', 153497);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(209772, 'PTHR31225:SF18', NULL, NULL, NULL, NULL, '18-CINEOLE SYNTHASE 1 CHLOROPLASTIC', 153498),
(209773, 'PTHR31174:SF21', NULL, NULL, NULL, NULL, 'OS12G0626500 PROTEIN', 153499),
(209774, 'PTHR10663:SF314', NULL, NULL, NULL, NULL, 'IQ MOTIF AND SEC7 DOMAIN-CONTAINING PROTEIN 2', 153500),
(209775, 'PTHR24031:SF733', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', 153501),
(209776, 'PTHR45958:SF5', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 153502),
(209777, 'PTHR21629:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG01910', 153503),
(209778, 'PTHR23017:SF42', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 153504),
(209779, 'PTHR21310', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE PHOSPHOTRANSFERASE-RELATED-RELATED', 153505),
(209780, 'PTHR45800:SF20', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 4-LIKE', 153506),
(209781, 'PTHR11707:SF28', NULL, NULL, NULL, NULL, '60 KDA LYSOPHOSPHOLIPASE', 153507),
(209782, 'PTHR48063:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153508),
(209783, 'PTHR46902:SF1', NULL, NULL, NULL, NULL, 'DOMON DOMAIN-CONTAINING PROTEIN FRRS1L', 153509),
(209784, 'PTHR31351:SF31', NULL, NULL, NULL, NULL, 'AUXIN CANALIZATION PROTEIN', 153510),
(209785, 'PTHR45642:SF28', NULL, NULL, NULL, NULL, 'BNAANNG15740D PROTEIN', 153511),
(209786, 'PTHR46743:SF2', NULL, NULL, NULL, NULL, 'TEICHOIC ACIDS EXPORT ATP-BINDING PROTEIN TAGH', 153512),
(209787, 'PTHR24253:SF84', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11E', 153513),
(209788, 'PTHR11062:SF99', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 153514),
(209789, 'PTHR46794:SF3', NULL, NULL, NULL, NULL, 'AMELOGENIN, X ISOFORM', 153515),
(209790, 'PTHR13832:SF584', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-RELATED PROTEIN', 153516),
(209791, 'PTHR24115:SF191', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF9', 153517),
(209792, 'PTHR46327:SF3', NULL, NULL, NULL, NULL, 'F16F4.11 PROTEIN', 153518),
(209793, 'PTHR13932:SF1', NULL, NULL, NULL, NULL, 'OXYGEN-INDEPENDENT COPROPORPHYRINOGEN-III OXIDASE-LIKE PROTEIN HEMZ', 153519),
(209794, 'PTHR35499:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153520),
(209795, 'PTHR48018:SF19', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 153521),
(209796, 'PTHR47926:SF66', NULL, NULL, NULL, NULL, 'OS09G0407800 PROTEIN', 153522),
(209797, 'PTHR31080:SF88', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 153523),
(209798, 'PTHR23274:SF11', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE PIF1', 153524),
(209799, 'PTHR21368:SF23', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L9, CHLOROPLASTIC', 153525),
(209800, 'PTHR48169:SF1', NULL, NULL, NULL, NULL, 'ASTROCYTIC PHOSPHOPROTEIN PEA-15', 153526),
(209801, 'PTHR13077:SF8', NULL, NULL, NULL, NULL, 'BNAANNG25340D PROTEIN', 153527),
(209802, 'PTHR31790:SF174', NULL, NULL, NULL, NULL, 'F-BOX AND ASSOCIATED INTERACTION DOMAINS-CONTAINING-LIKE PROTEIN', 153528),
(209803, 'PTHR13803:SF4', NULL, NULL, NULL, NULL, 'SECRETORY 24AB, ISOFORM A', 153529),
(209804, 'PTHR41534:SF1', NULL, NULL, NULL, NULL, 'BLR3401 PROTEIN', 153530),
(209805, 'PTHR33203:SF53', NULL, NULL, NULL, NULL, 'OLEOSIN', 153531),
(209806, 'PTHR43920:SF7', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 4', 153532),
(209807, 'PTHR33130:SF35', NULL, NULL, NULL, NULL, 'DUF1639 FAMILY PROTEIN', 153533),
(209808, 'PTHR11615:SF234', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 153534),
(209809, 'PTHR11711:SF364', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE, EXPRESSED-RELATED', 153535),
(209810, 'PTHR24075:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153536),
(209811, 'PTHR47991:SF39', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE', 153537),
(209812, 'PTHR45453:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE REGULON SENSOR PROTEIN PHOR', 153538),
(209813, 'PTHR24015:SF1753', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 153539),
(209814, 'PTHR24286:SF81', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', 153540),
(209815, 'PTHR43341:SF37', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', 153541);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(209816, 'PTHR10966:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', 153542),
(209817, 'PTHR48050:SF15', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE-RELATED', 153543),
(209818, 'PTHR22943:SF45', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 153544),
(209819, 'PTHR46421:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153545),
(209820, 'PTHR33601:SF29', NULL, NULL, NULL, NULL, 'BNAC04G55270D PROTEIN', 153546),
(209821, 'PTHR40736:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153547),
(209822, 'PTHR31655:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM78A', 153548),
(209823, 'PTHR42881:SF10', NULL, NULL, NULL, NULL, 'PROLYL OLIGOPEPTIDASE-LIKE PROTEIN', 153549),
(209824, 'PTHR46317', NULL, NULL, NULL, NULL, 'HYDROLASE OF PHP SUPERFAMILY-RELATED PROTEIN', 153550),
(209825, 'PTHR19818:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153551),
(209826, 'PTHR46943', NULL, NULL, NULL, NULL, 'PENTRAXIN-RELATED PROTEIN PTX3', 153552),
(209827, 'PTHR31374:SF149', NULL, NULL, NULL, NULL, 'BNAC07G15580D PROTEIN', 153553),
(209828, 'PTHR14964:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-BINDING FACTOR 2', 153554),
(209829, 'PTHR46128:SF256', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153555),
(209830, 'PTHR30290:SF23', NULL, NULL, NULL, NULL, 'PERIPLASMIC MUREIN PEPTIDE-BINDING PROTEIN', 153556),
(209831, 'PTHR10257:SF91', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 153557),
(209832, 'PTHR43810:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG14718', 153558),
(209833, 'PTHR47928:SF24', NULL, NULL, NULL, NULL, 'PPR REPEAT PROTEIN', 153559),
(209834, 'PTHR10688:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE ATM', 153560),
(209835, 'PTHR10880:SF25', NULL, NULL, NULL, NULL, 'MORTALITY FACTOR 4-LIKE PROTEIN 2', 153561),
(209836, 'PTHR12281:SF22', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', 153562),
(209837, 'PTHR43730:SF3', NULL, NULL, NULL, NULL, 'BETA-MANNOSIDASE A', 153563),
(209838, 'PTHR12565:SF316', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH62', 153564),
(209839, 'PTHR24115:SF421', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF25', 153565),
(209840, 'PTHR31878', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE PROTEIN TAFA-5-RELATED', 153566),
(209841, 'PTHR13192:SF2', NULL, NULL, NULL, NULL, 'ZGC:92335', 153567),
(209842, 'PTHR45838:SF4', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE TRITHORAX', 153568),
(209843, 'PTHR11987:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153569),
(209844, 'PTHR22844:SF334', NULL, NULL, NULL, NULL, 'BNAANNG11810D PROTEIN', 153570),
(209845, 'PTHR47116:SF16', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 153571),
(209846, 'PTHR48049:SF38', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 153572),
(209847, 'PTHR31589:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153573),
(209848, 'PTHR27003:SF341', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 153574),
(209849, 'PTHR33728:SF3', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN', 153575),
(209850, 'PTHR27006:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153576),
(209851, 'PTHR31190:SF255', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', 153577),
(209852, 'PTHR21717:SF67', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 4-LIKE', 153578),
(209853, 'PTHR47027:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153579),
(209854, 'PTHR13104', NULL, NULL, NULL, NULL, 'MED-6-RELATED', 153580),
(209855, 'PTHR11211:SF15', NULL, NULL, NULL, NULL, 'IROQUOIS-CLASS HOMEODOMAIN PROTEIN IRX-2', 153581),
(209856, 'PTHR24023:SF937', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153582),
(209857, 'PTHR16172:SF2', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 6', 153583),
(209858, 'PTHR34501:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YDDL-RELATED', 153584),
(209859, 'PTHR15486:SF67', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE 2-O-ACYLTRANSFERASE 6-LIKE', 153585),
(209860, 'PTHR24348:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0278901-RELATED', 153586);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(209861, 'PTHR16070:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM222A', 153587),
(209862, 'PTHR12294:SF3', NULL, NULL, NULL, NULL, 'CALCIUM UPTAKE PROTEIN 2, MITOCHONDRIAL', 153588),
(209863, 'PTHR11941:SF31', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE', 153589),
(209864, 'PTHR33970', NULL, NULL, NULL, NULL, 'VIOLAXANTHIN DE-EPOXIDASE, CHLOROPLASTIC-RELATED', 153590),
(209865, 'PTHR23215:SF3', NULL, NULL, NULL, NULL, 'BNAC08G09340D PROTEIN', 153591),
(209866, 'PTHR26453:SF92', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 153592),
(209867, 'PTHR47991:SF93', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 1', 153593),
(209868, 'PTHR28489:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RD3', 153594),
(209869, 'PTHR31948:SF107', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 3', 153595),
(209870, 'PTHR34403:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153596),
(209871, 'PTHR48019:SF81', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPARENT TESTA 16', 153597),
(209872, 'PTHR22957:SF215', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 10A', 153598),
(209873, 'PTHR46255:SF3', NULL, NULL, NULL, NULL, 'SHORT STATURE HOMEOBOX', 153599),
(209874, 'PTHR33645:SF13', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 153600),
(209875, 'PTHR23079:SF41', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 153601),
(209876, 'PTHR11620:SF72', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L23, CHLOROPLASTIC', 153602),
(209877, 'PTHR31818:SF1', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 16', 153603),
(209878, 'PTHR33215', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 153604),
(209879, 'PTHR31175:SF24', NULL, NULL, NULL, NULL, 'OS09G0547000 PROTEIN', 153605),
(209880, 'PTHR47928:SF158', NULL, NULL, NULL, NULL, 'OS02G0116100 PROTEIN', 153606),
(209881, 'PTHR43151:SF1', NULL, NULL, NULL, NULL, 'FEOA FAMILY PROTEIN', 153607),
(209882, 'PTHR24092:SF188', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 153608),
(209883, 'PTHR46454:SF6', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN, CYTOPLASMIC-LIKE PROTEIN', 153609),
(209884, 'PTHR21649:SF6', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN CP29.1, CHLOROPLASTIC', 153610),
(209885, 'PTHR31985:SF157', NULL, NULL, NULL, NULL, 'INTEGRASE-TYPE DNA-BINDING SUPERFAMILY PROTEIN-RELATED', 153611),
(209886, 'PTHR13260', NULL, NULL, NULL, NULL, 'ANAPHASE PROMOTING COMPLEX SUBUNIT 4  APC4', 153612),
(209887, 'PTHR48004:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153613),
(209888, 'PTHR10887:SF479', NULL, NULL, NULL, NULL, 'OS11G0649100 PROTEIN', 153614),
(209889, 'PTHR42715:SF17', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE H-RELATED', 153615),
(209890, 'PTHR24381:SF71', NULL, NULL, NULL, NULL, 'RIKEN CDNA A430033K04 GENE', 153616),
(209891, 'PTHR37226:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153617),
(209892, 'PTHR14614:SF98', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 153618),
(209893, 'PTHR12203:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153619),
(209894, 'PTHR43777:SF1', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR CYTIDYLYLTRANSFERASE', 153620),
(209895, 'PTHR33091:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153621),
(209896, 'PTHR47975:SF13', NULL, NULL, NULL, NULL, 'OS04G0369100 PROTEIN', 153622),
(209897, 'PTHR11260:SF517', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE GST 23-LIKE', 153623),
(209898, 'PTHR33401:SF3', NULL, NULL, NULL, NULL, 'LOW AFFINITY POTASSIUM TRANSPORT SYSTEM PROTEIN', 153624),
(209899, 'PTHR45868', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 33-RELATED', 153625),
(209900, 'PTHR13438:SF2', NULL, NULL, NULL, NULL, 'AMINOACYL TRNA SYNTHASE COMPLEX-INTERACTING MULTIFUNCTIONAL PROTEIN 2', 153626),
(209901, 'PTHR32370:SF100', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', 153627),
(209902, 'PTHR35111', NULL, NULL, NULL, NULL, 'F10A5.9-RELATED', 153628),
(209903, 'PTHR43895:SF48', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 153629),
(209904, 'PTHR35119', NULL, NULL, NULL, NULL, 'PROTEIN POLYCHOME', 153630);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(209905, 'PTHR11988:SF47', NULL, NULL, NULL, NULL, 'TEF TRANSCRIPTION FACTOR, PAR BZIP FAMILY MEMBER B', 153631),
(209906, 'PTHR45964:SF5', NULL, NULL, NULL, NULL, 'WSCD FAMILY MEMBER CG9164', 153632),
(209907, 'PTHR45752:SF119', NULL, NULL, NULL, NULL, 'P53-INDUCED DEATH DOMAIN PROTEIN 1', 153633),
(209908, 'PTHR27001:SF62', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 153634),
(209909, 'PTHR46686:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 153635),
(209910, 'PTHR31388:SF118', NULL, NULL, NULL, NULL, 'PEROXIDASE', 153636),
(209911, 'PTHR11353:SF199', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT GAMMA', 153637),
(209912, 'PTHR26379:SF229', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 4', 153638),
(209913, 'PTHR12565:SF392', NULL, NULL, NULL, NULL, 'BNAA09G57260D PROTEIN', 153639),
(209914, 'PTHR33052:SF142', NULL, NULL, NULL, NULL, 'BNAA05G32510D PROTEIN', 153640),
(209915, 'PTHR11945:SF629', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL61', 153641),
(209916, 'PTHR22595:SF159', NULL, NULL, NULL, NULL, 'ACIDIC 26 KDA ENDOCHITINASE', 153642),
(209917, 'PTHR11757:SF6', NULL, NULL, NULL, NULL, 'PROLYL OLIGOPEPTIDASE FAMILY PROTEIN', 153643),
(209918, 'PTHR14136:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153644),
(209919, 'PTHR34482:SF16', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG DOMAIN-CONTAINING PROTEIN-RELATED', 153645),
(209920, 'PTHR34218:SF4', NULL, NULL, NULL, NULL, 'ACYL-HOMOSERINE LACTONE ACYLASE QUIP', 153646),
(209921, 'PTHR43788:SF13', NULL, NULL, NULL, NULL, 'HELICASE, PUTATIVE-RELATED', 153647),
(209922, 'PTHR24028:SF243', NULL, NULL, NULL, NULL, 'CADHERIN-RELATED FAMILY MEMBER 5', 153648),
(209923, 'PTHR12544:SF49', NULL, NULL, NULL, NULL, 'GLUTAMINASE KIDNEY ISOFORM, MITOCHONDRIAL', 153649),
(209924, 'PTHR31989:SF6', NULL, NULL, NULL, NULL, 'F12P19.8 PROTEIN', 153650),
(209925, 'PTHR47162:SF5', NULL, NULL, NULL, NULL, 'BNAA05G33850D PROTEIN', 153651),
(209926, 'PTHR31351:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 153652),
(209927, 'PTHR46610:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153653),
(209928, 'PTHR45639:SF4', NULL, NULL, NULL, NULL, 'HSC70CB, ISOFORM G', 153654),
(209929, 'PTHR42861:SF71', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 153655),
(209930, 'PTHR11746', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE', 153656),
(209931, 'PTHR31953:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153657),
(209932, 'PTHR23050:SF393', NULL, NULL, NULL, NULL, 'CALMODULIN', 153658),
(209933, 'PTHR47648', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY G MEMBER 1', 153659),
(209934, 'PTHR34061:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153660),
(209935, 'PTHR11851:SF199', NULL, NULL, NULL, NULL, 'OS01G0191500 PROTEIN', 153661),
(209936, 'PTHR10953:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153662),
(209937, 'PTHR11716:SF4', NULL, NULL, NULL, NULL, 'GROUP 10 SECRETORY PHOSPHOLIPASE A2', 153663),
(209938, 'PTHR31048:SF170', NULL, NULL, NULL, NULL, 'OS09G0536300 PROTEIN', 153664),
(209939, 'PTHR10665:SF0', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF HAIRLESS PROTEIN', 153665),
(209940, 'PTHR47861:SF3', NULL, NULL, NULL, NULL, 'FKBP-TYPE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE SLYD', 153666),
(209941, 'PTHR42907:SF2', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE SYNTHASE', 153667),
(209942, 'PTHR43021', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER-RELATED', 153668),
(209943, 'PTHR45640:SF27', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-2', 153669),
(209944, 'PTHR38111:SF8', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01560)-RELATED', 153670),
(209945, 'PTHR11017:SF420', NULL, NULL, NULL, NULL, 'BNAA01G33930D PROTEIN', 153671),
(209946, 'PTHR21403:SF7', NULL, NULL, NULL, NULL, 'ATP PHOSPHORIBOSYLTRANSFERASE 1, CHLOROPLASTIC', 153672),
(209947, 'PTHR13935:SF128', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH36-LIKE', 153673),
(209948, 'PTHR19375:SF433', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153674);
INSERT INTO "PUBLIC"."MODEL" VALUES
(209949, 'PTHR43109', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE 7', 153675),
(209950, 'PTHR31009:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153676),
(209951, 'PTHR47181', NULL, NULL, NULL, NULL, 'BRCA1 C TERMINUS DOMAIN CONTAINING PROTEIN, EXPRESSED', 153677),
(209952, 'PTHR23079:SF28', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE FAMILY', 153678),
(209953, 'PTHR23359:SF200', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 6, CHLOROPLASTIC-RELATED', 153679),
(209954, 'PTHR47264:SF3', NULL, NULL, NULL, NULL, 'OS01G0128800 PROTEIN', 153680),
(209955, 'PTHR43639:SF7', NULL, NULL, NULL, NULL, 'BLL5898 PROTEIN', 153681),
(209956, 'PTHR30001:SF0', NULL, NULL, NULL, NULL, 'RIBONUCLEASE G', 153682),
(209957, 'PTHR24256:SF453', NULL, NULL, NULL, NULL, 'SERINE PROTEASE H57', 153683),
(209958, 'PTHR31155:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153684),
(209959, 'PTHR33801:SF15', NULL, NULL, NULL, NULL, 'ABSCISIC ACID STRESS RIPENING1', 153685),
(209960, 'PTHR45905:SF3', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-BINDING PROTEIN GGA3', 153686),
(209961, 'PTHR33510:SF11', NULL, NULL, NULL, NULL, 'PROTEIN TIC 20-V, CHLOROPLASTIC', 153687),
(209962, 'PTHR46816', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 153688),
(209963, 'PTHR24203:SF59', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND PROTEIN KINASE DOMAIN-CONTAINING PROTEIN 1-LIKE', 153689),
(209964, 'PTHR13847:SF129', NULL, NULL, NULL, NULL, 'FAD DEPENDENT OXIDOREDUCTASE', 153690),
(209965, 'PTHR22792:SF101', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 1A', 153691),
(209966, 'PTHR46269:SF1', NULL, NULL, NULL, NULL, 'MIMECAN', 153692),
(209967, 'PTHR11117:SF20', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT ALPHA, MITOCHONDRIAL', 153693),
(209968, 'PTHR33021:SF376', NULL, NULL, NULL, NULL, 'OS01G0788700 PROTEIN', 153694),
(209969, 'PTHR11743:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153695),
(209970, 'PTHR22227:SF6', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 122B', 153696),
(209971, 'PTHR22941:SF34', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H-RELATED', 153697),
(209972, 'PTHR10791:SF187', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 153698),
(209973, 'PTHR47706:SF1', NULL, NULL, NULL, NULL, 'CIPA-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12460)-RELATED', 153699),
(209974, 'PTHR33565:SF19', NULL, NULL, NULL, NULL, 'AUXIN-REPRESSED PROTEIN', 153700),
(209975, 'PTHR35135:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153701),
(209976, 'PTHR46800:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 153702),
(209977, 'PTHR11232:SF31', NULL, NULL, NULL, NULL, 'PTB DOMAIN-CONTAINING ENGULFMENT ADAPTER PROTEIN 1', 153703),
(209978, 'PTHR48106:SF12', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE ZINC-BINDING DEHYDROGENASE FAMILY PROTEIN', 153704),
(209979, 'PTHR38731:SF2', NULL, NULL, NULL, NULL, 'BLL6125 PROTEIN', 153705),
(209980, 'PTHR24247:SF120', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 11H7', 153706),
(209981, 'PTHR35615:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153707),
(209982, 'PTHR24209:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR INTERACTOR AND REGULATOR LIM FAMILY-RELATED', 153708),
(209983, 'PTHR11319:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153709),
(209984, 'PTHR31080:SF232', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', 153710),
(209985, 'PTHR15146:SF5', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR137', 153711),
(209986, 'PTHR47968:SF24', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7F', 153712),
(209987, 'PTHR19378:SF4', NULL, NULL, NULL, NULL, 'OS07G0185700 PROTEIN', 153713),
(209988, 'PTHR11926:SF1389', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153714),
(209989, 'PTHR33573:SF29', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 153715),
(209990, 'PTHR31301:SF157', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 4', 153716),
(209991, 'PTHR45952:SF4', NULL, NULL, NULL, NULL, 'ALUMINUM INDUCED PROTEIN WITH YGL AND LRDR MOTIFS', 153717),
(209992, 'PTHR14131', NULL, NULL, NULL, NULL, 'ANOSMIN', 153718);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(209993, 'PTHR31065:SF54', NULL, NULL, NULL, NULL, 'BNAC01G10450D PROTEIN', 153719),
(209994, 'PTHR19957:SF139', NULL, NULL, NULL, NULL, 'SYNTAXIN-17', 153720),
(209995, 'PTHR22891:SF106', NULL, NULL, NULL, NULL, 'ARGONAUTE (PLANT)-LIKE PROTEIN-RELATED', 153721),
(209996, 'PTHR15184:SF61', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA', 153722),
(209997, 'PTHR33147:SF77', NULL, NULL, NULL, NULL, 'BNAC02G23420D PROTEIN', 153723),
(209998, 'PTHR24332', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CDX', 153724),
(209999, 'PTHR11530:SF28', NULL, NULL, NULL, NULL, 'D-ASPARTATE OXIDASE 1', 153725),
(210000, 'PTHR42861:SF101', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 153726),
(210001, 'PTHR21654:SF90', NULL, NULL, NULL, NULL, 'MYB-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 153727),
(210002, 'PTHR48001:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153728),
(210003, 'PTHR40780', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 153729),
(210004, 'PTHR46706:SF6', NULL, NULL, NULL, NULL, 'WARTHOG PROTEIN 1', 153730),
(210005, 'PTHR30612:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153731),
(210006, 'PTHR45625:SF4', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-LIKE 1', 153732),
(210007, 'PTHR41749', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 153733),
(210008, 'PTHR24349:SF263', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 1', 153734),
(210009, 'PTHR37427:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG09543', 153735),
(210010, 'PTHR31251:SF144', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 13A ISOFORM X1', 153736),
(210011, 'PTHR12287:SF28', NULL, NULL, NULL, NULL, 'EPS8-LIKE 3A', 153737),
(210012, 'PTHR19376:SF55', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', 153738),
(210013, 'PTHR12276:SF87', NULL, NULL, NULL, NULL, 'OS01G0738600 PROTEIN', 153739),
(210014, 'PTHR19375:SF254', NULL, NULL, NULL, NULL, 'SHOCK 70 KDA PROTEIN, PUTATIVE-RELATED', 153740),
(210015, 'PTHR23213:SF363', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 153741),
(210016, 'PTHR48001:SF118', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 153742),
(210017, 'PTHR10992:SF1026', NULL, NULL, NULL, NULL, 'PHEOPHORBIDASE-RELATED', 153743),
(210018, 'PTHR39951:SF2', NULL, NULL, NULL, NULL, 'IP05660P', 153744),
(210019, 'PTHR16134:SF0', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 8', 153745),
(210020, 'PTHR19872:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153746),
(210021, 'PTHR14015', NULL, NULL, NULL, NULL, 'OPIOID GROWTH FACTOR RECEPTOR  OGFR   ZETA-TYPE OPIOID RECEPTOR', 153747),
(210022, 'PTHR11715:SF7', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H-LIKE PROTEIN GCVH2', 153748),
(210023, 'PTHR21255:SF56', NULL, NULL, NULL, NULL, 'AT23443P', 153749),
(210024, 'PTHR11653:SF19', NULL, NULL, NULL, NULL, 'PARVALBUMIN 9', 153750),
(210025, 'PTHR43096:SF42', NULL, NULL, NULL, NULL, 'BNAA01G34580D PROTEIN', 153751),
(210026, 'PTHR33576:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153752),
(210027, 'PTHR24376:SF118', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 226', 153753),
(210028, 'PTHR46764:SF3', NULL, NULL, NULL, NULL, 'BNAC03G72250D PROTEIN', 153754),
(210029, 'PTHR31218:SF222', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 153755),
(210030, 'PTHR12136:SF107', NULL, NULL, NULL, NULL, 'START DOMAIN, PH DOMAIN-LIKE, START-LIKE DOMAIN PROTEIN-RELATED', 153756),
(210031, 'PTHR24070:SF221', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAP-2A', 153757),
(210032, 'PTHR24408:SF28', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 423', 153758),
(210033, 'PTHR37411:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153759),
(210034, 'PTHR31681:SF68', NULL, NULL, NULL, NULL, 'BNAA08G03630D PROTEIN', 153760),
(210035, 'PTHR23267:SF384', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-17', 153761),
(210036, 'PTHR18934:SF136', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX35-RELATED', 153762),
(210037, 'PTHR12489:SF14', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 4 PROTEIN', 153763),
(210038, 'PTHR11467:SF129', NULL, NULL, NULL, NULL, 'BNAA05G36480D PROTEIN', 153764);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(210039, 'PTHR31422:SF34', NULL, NULL, NULL, NULL, 'OS12G0488700 PROTEIN', 153765),
(210040, 'PTHR45617:SF21', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEATS AND IMMUNOGLOBULIN-LIKE DOMAINS PROTEIN 3', 153766),
(210041, 'PTHR47979:SF55', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABB1C-LIKE', 153767),
(210042, 'PTHR31992:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153768),
(210043, 'PTHR14552:SF25', NULL, NULL, NULL, NULL, 'OS04G0346800 PROTEIN', 153769),
(210044, 'PTHR47928:SF57', NULL, NULL, NULL, NULL, 'OS07G0662700 PROTEIN', 153770),
(210045, 'PTHR30546', NULL, NULL, NULL, NULL, 'FLAVODOXIN-RELATED PROTEIN WRBA-RELATED', 153771),
(210046, 'PTHR27008:SF421', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153772),
(210047, 'PTHR43628:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153773),
(210048, 'PTHR47899:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 171', 153774),
(210049, 'PTHR45977:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 153775),
(210050, 'PTHR33919:SF7', NULL, NULL, NULL, NULL, 'BNACNNG59810D PROTEIN', 153776),
(210051, 'PTHR28611:SF1', NULL, NULL, NULL, NULL, 'NORRIN', 153777),
(210052, 'PTHR36345:SF1', NULL, NULL, NULL, NULL, 'CCG-BINDING PROTEIN 1', 153778),
(210053, 'PTHR11886:SF72', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 153779),
(210054, 'PTHR11876:SF3', NULL, NULL, NULL, NULL, 'DEFENSIN-6', 153780),
(210055, 'PTHR10869:SF101', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE SUBUNIT ALPHA-1', 153781),
(210056, 'PTHR12159:SF11', NULL, NULL, NULL, NULL, 'TDG PROTEIN', 153782),
(210057, 'PTHR47993:SF50', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 153783),
(210058, 'PTHR46033:SF47', NULL, NULL, NULL, NULL, 'BNAC05G24240D PROTEIN', 153784),
(210059, 'PTHR45681:SF2', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 37-RELATED', 153785),
(210060, 'PTHR24096:SF334', NULL, NULL, NULL, NULL, '4-COUMARATE:COA LIGASE-LIKE PROTEIN', 153786),
(210061, 'PTHR19325:SF505', NULL, NULL, NULL, NULL, 'COMPLEMENT RECEPTOR TYPE 1', 153787),
(210062, 'PTHR22771:SF4', NULL, NULL, NULL, NULL, 'CULLIN 9', 153788),
(210063, 'PTHR10739:SF27', NULL, NULL, NULL, NULL, 'PHOSPHATE CYTIDYLYLTRANSFERASE 1, CHOLINE, BETA B', 153789),
(210064, 'PTHR22946:SF1', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE DOMAIN CONTAINING PROTEIN', 153790),
(210065, 'PTHR11595:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153791),
(210066, 'PTHR12416:SF3', NULL, NULL, NULL, NULL, 'RRNA-PROCESSING PROTEIN UTP23 HOMOLOG', 153792),
(210067, 'PTHR43888:SF10', NULL, NULL, NULL, NULL, 'DNAJ-LIKE-2, ISOFORM A', 153793),
(210068, 'PTHR31927:SF13', NULL, NULL, NULL, NULL, 'TWEEDLEBETA', 153794),
(210069, 'PTHR11620:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A 1', 153795),
(210070, 'PTHR24103:SF564', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 40', 153796),
(210071, 'PTHR21503:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG09922', 153797),
(210072, 'PTHR12015:SF70', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 25', 153798),
(210073, 'PTHR13848:SF76', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 153799),
(210074, 'PTHR36826', NULL, NULL, NULL, NULL, 'PROTEIN ECM13', 153800),
(210075, 'PTHR31190:SF176', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF112', 153801),
(210076, 'PTHR46354:SF9', NULL, NULL, NULL, NULL, 'PROTEIN INAPERTURATE POLLEN1', 153802),
(210077, 'PTHR30055:SF176', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, TETR FAMILY', 153803),
(210078, 'PTHR11260:SF511', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE40', 153804),
(210079, 'PTHR31602:SF8', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 5', 153805),
(210080, 'PTHR14255:SF43', NULL, NULL, NULL, NULL, 'BNAA09G40760D PROTEIN', 153806),
(210081, 'PTHR13778:SF43', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 8-RELATED', 153807),
(210082, 'PTHR35154', NULL, NULL, NULL, NULL, 'GBP PROTEIN', 153808),
(210083, 'PTHR19957:SF307', NULL, NULL, NULL, NULL, 'SYNTAXIN-132', 153809),
(210084, 'PTHR23050:SF382', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML25-RELATED', 153810);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(210085, 'PTHR24388:SF45', NULL, NULL, NULL, NULL, 'POGO TRANSPOSABLE ELEMENT-DERIVED WITH ZNF DOMAIN', 153811),
(210086, 'PTHR22950:SF512', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER ANTL1-LIKE', 153812),
(210087, 'PTHR45614:SF153', NULL, NULL, NULL, NULL, 'BNAA04G13540D PROTEIN', 153813),
(210088, 'PTHR10133:SF55', NULL, NULL, NULL, NULL, 'DNA POLYMERASE I B, MITOCHONDRIAL', 153814),
(210089, 'PTHR48041:SF8', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 1', 153815),
(210090, 'PTHR23024:SF432', NULL, NULL, NULL, NULL, 'OS11G0239500 PROTEIN', 153816),
(210091, 'PTHR33052:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153817),
(210092, 'PTHR42953:SF4', NULL, NULL, NULL, NULL, 'IRON/ZINC/COPPER-BINDING PROTEIN', 153818),
(210093, 'PTHR11697:SF206', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 2-RELATED ZINC FINGER PROTEIN-RELATED', 153819),
(210094, 'PTHR11267:SF59', NULL, NULL, NULL, NULL, 'T-BOX PROTEIN 11-RELATED', 153820),
(210095, 'PTHR46381:SF4', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE MKP1', 153821),
(210096, 'PTHR31989:SF145', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 92-LIKE', 153822),
(210097, 'PTHR31677:SF127', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF105', 153823),
(210098, 'PTHR43711:SF16', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION HISTIDINE-PROTEIN KINASE BAES', 153824),
(210099, 'PTHR24177:SF143', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', 153825),
(210100, 'PTHR12585:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153826),
(210101, 'PTHR32329:SF5', NULL, NULL, NULL, NULL, 'ACTIVATOR OF 2-HYDROXYACYL-COA DEHYDRATASE-RELATED', 153827),
(210102, 'PTHR11062:SF213', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX10L-RELATED', 153828),
(210103, 'PTHR11264:SF6', NULL, NULL, NULL, NULL, 'URACIL-DNA GLYCOSYLASE', 153829),
(210104, 'PTHR19847:SF7', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 11', 153830),
(210105, 'PTHR30569', NULL, NULL, NULL, NULL, 'CYTOSINE TRANSPORTER CODB', 153831),
(210106, 'PTHR11006:SF89', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 3-RELATED', 153832),
(210107, 'PTHR15827', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 2-INTERACTING PROTEIN', 153833),
(210108, 'PTHR12815:SF35', NULL, NULL, NULL, NULL, 'BACTERIAL SURFACE ANTIGEN (D15)', 153834),
(210109, 'PTHR47966:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153835),
(210110, 'PTHR22943:SF48', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 153836),
(210111, 'PTHR11017:SF428', NULL, NULL, NULL, NULL, 'BNAC09G12570D PROTEIN', 153837),
(210112, 'PTHR43019:SF10', NULL, NULL, NULL, NULL, 'SLR0031 PROTEIN', 153838),
(210113, 'PTHR33827:SF11', NULL, NULL, NULL, NULL, 'BNAC05G34750D PROTEIN', 153839),
(210114, 'PTHR11266:SF94', NULL, NULL, NULL, NULL, '22 KDA PEROXISOMAL MEMBRANE PROTEIN', 153840),
(210115, 'PTHR33921:SF22', NULL, NULL, NULL, NULL, 'CALVIN CYCLE PROTEIN CP12-1', 153841),
(210116, 'PTHR48004:SF10', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 153842),
(210117, 'PTHR31744:SF78', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 92-LIKE', 153843),
(210118, 'PTHR31865:SF41', NULL, NULL, NULL, NULL, 'BNAC04G02880D PROTEIN', 153844),
(210119, 'PTHR31142:SF4', NULL, NULL, NULL, NULL, 'OS01G0751300 PROTEIN', 153845),
(210120, 'PTHR43039:SF4', NULL, NULL, NULL, NULL, 'STRIGOLACTONE ESTERASE D14', 153846),
(210121, 'PTHR47368', NULL, NULL, NULL, NULL, 'NUMB', 153847),
(210122, 'PTHR11236', NULL, NULL, NULL, NULL, 'AMINOBENZOATE/ANTHRANILATE SYNTHASE', 153848),
(210123, 'PTHR21102:SF0', NULL, NULL, NULL, NULL, 'OPALIN', 153849),
(210124, 'PTHR14715:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM124B', 153850),
(210125, 'PTHR33777:SF1', NULL, NULL, NULL, NULL, 'UPF0045 PROTEIN ECM15', 153851),
(210126, 'PTHR27004:SF136', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 44', 153852),
(210127, 'PTHR21258:SF42', NULL, NULL, NULL, NULL, 'DOCKING PROTEIN 3', 153853),
(210128, 'PTHR43272:SF47', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 8-LIKE', 153854);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(210129, 'PTHR24221:SF470', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, CONSERVED SITE', 153855),
(210130, 'PTHR43866', NULL, NULL, NULL, NULL, 'MALONATE-SEMIALDEHYDE DEHYDROGENASE', 153856),
(210131, 'PTHR39434:SF1', NULL, NULL, NULL, NULL, 'SLR1440 PROTEIN', 153857),
(210132, 'PTHR32039:SF9', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLI-2, CHLOROPLASTIC', 153858),
(210133, 'PTHR32246:SF111', NULL, NULL, NULL, NULL, 'BNAC03G22910D PROTEIN', 153859),
(210134, 'PTHR47630:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 153860),
(210135, 'PTHR17384:SF7', NULL, NULL, NULL, NULL, 'P-SELECTIN GLYCOPROTEIN LIGAND 1', 153861),
(210136, 'PTHR33167:SF26', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 153862),
(210137, 'PTHR33426:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153863),
(210138, 'PTHR24298:SF684', NULL, NULL, NULL, NULL, 'DIHOMOMETHIONINE N-HYDROXYLASE-RELATED', 153864),
(210139, 'PTHR11849:SF195', NULL, NULL, NULL, NULL, 'GA-BINDING PROTEIN ALPHA CHAIN', 153865),
(210140, 'PTHR23408', NULL, NULL, NULL, NULL, 'METHYLMALONYL-COA MUTASE', 153866),
(210141, 'PTHR46907:SF2', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-7', 153867),
(210142, 'PTHR48063:SF46', NULL, NULL, NULL, NULL, 'OS01G0604150 PROTEIN', 153868),
(210143, 'PTHR45614:SF124', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB73', 153869),
(210144, 'PTHR48043:SF63', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 153870),
(210145, 'PTHR45789:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-6', 153871),
(210146, 'PTHR45751:SF25', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE RGLG2-LIKE PROTEIN, PUTATIVE-RELATED', 153872),
(210147, 'PTHR13817:SF69', NULL, NULL, NULL, NULL, 'ROUNDABOUT GUIDANCE RECEPTOR 2', 153873),
(210148, 'PTHR20852:SF87', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE-LIKE', 153874),
(210149, 'PTHR31676:SF96', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 153875),
(210150, 'PTHR46378:SF1', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN CLEAVAGE-ACTIVATING PROTEIN', 153876),
(210151, 'PTHR15725:SF19', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 34', 153877),
(210152, 'PTHR32071:SF57', NULL, NULL, NULL, NULL, 'SIGMA L-DEPENDENT TRANSCRIPTIONAL REGULATOR YPLP-RELATED', 153878),
(210153, 'PTHR21660:SF51', NULL, NULL, NULL, NULL, 'THIOESTERASE SUPERFAMILY PROTEIN', 153879),
(210154, 'PTHR12482:SF50', NULL, NULL, NULL, NULL, 'ESTERASE FAMILY PROTEIN, PUTATIVE-RELATED', 153880),
(210155, 'PTHR45864:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE SLINGSHOT HOMOLOG 1', 153881),
(210156, 'PTHR47932:SF22', NULL, NULL, NULL, NULL, 'OS03G0225300 PROTEIN', 153882),
(210157, 'PTHR46324:SF24', NULL, NULL, NULL, NULL, 'BNAC09G22200D PROTEIN', 153883),
(210158, 'PTHR45809', NULL, NULL, NULL, NULL, 'VIRAL IAP-ASSOCIATED FACTOR HOMOLOG', 153884),
(210159, 'PTHR11937:SF201', NULL, NULL, NULL, NULL, 'ACTIN, AORTIC SMOOTH MUSCLE', 153885),
(210160, 'PTHR11662:SF436', NULL, NULL, NULL, NULL, 'BLL4302 PROTEIN', 153886),
(210161, 'PTHR35996:SF3', NULL, NULL, NULL, NULL, 'BNAA09G27500D PROTEIN', 153887),
(210162, 'PTHR47471:SF1', NULL, NULL, NULL, NULL, 'GYF DOMAIN-CONTAINING PROTEIN', 153888),
(210163, 'PTHR10429', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE', 153889),
(210164, 'PTHR22572:SF152', NULL, NULL, NULL, NULL, 'BNAC04G05640D PROTEIN', 153890),
(210165, 'PTHR24035:SF109', NULL, NULL, NULL, NULL, 'CELL DEATH ABNORMALITY PROTEIN 1', 153891),
(210166, 'PTHR23028:SF65', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 153892),
(210167, 'PTHR11136:SF15', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE', 153893),
(210168, 'PTHR10332:SF79', NULL, NULL, NULL, NULL, 'BNAA09G19940D PROTEIN', 153894),
(210169, 'PTHR35269', NULL, NULL, NULL, NULL, 'SMALL VCP/P97-INTERACTING PROTEIN', 153895),
(210170, 'PTHR20952:SF3', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 6-INTERACTING PROTEIN 1', 153896),
(210171, 'PTHR48011:SF49', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', 153897); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(210172, 'PTHR31447:SF14', NULL, NULL, NULL, NULL, 'BNAA09G45520D PROTEIN', 153898),
(210173, 'PTHR34574:SF5', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN', 153899),
(210174, 'PTHR28523:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 1', 153900),
(210175, 'PTHR31008:SF24', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN', 153901),
(210176, 'PTHR44427:SF8', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 4', 153902),
(210177, 'PTHR16027:SF5', NULL, NULL, NULL, NULL, 'SI:CH211-176G6.2-RELATED', 153903),
(210178, 'PTHR18966:SF454', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 153904),
(210179, 'PTHR34693:SF4', NULL, NULL, NULL, NULL, 'YALI0F00528P', 153905),
(210180, 'PTHR23350:SF4', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS FACTOR 2', 153906),
(210181, 'PTHR48019:SF51', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, MADS-BOX-RELATED', 153907),
(210182, 'PTHR35333:SF3', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE', 153908),
(210183, 'PTHR40628', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 153909),
(210184, 'PTHR31373:SF25', NULL, NULL, NULL, NULL, 'OS02G0179600 PROTEIN', 153910),
(210185, 'PTHR23359:SF204', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE', 153911),
(210186, 'PTHR32494:SF18', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G12670)-RELATED', 153912),
(210187, 'PTHR36302', NULL, NULL, NULL, NULL, 'BLR7088 PROTEIN', 153913),
(210188, 'PTHR22597:SF19', NULL, NULL, NULL, NULL, 'BNAA03G13220D PROTEIN', 153914),
(210189, 'PTHR14336:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153915),
(210190, 'PTHR24177:SF332', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', 153916),
(210191, 'PTHR21522:SF58', NULL, NULL, NULL, NULL, 'AGAP000074-PA', 153917),
(210192, 'PTHR24416:SF567', NULL, NULL, NULL, NULL, 'PROTEIN KINASE', 153918),
(210193, 'PTHR30314:SF13', NULL, NULL, NULL, NULL, 'OS05G0443800 PROTEIN', 153919),
(210194, 'PTHR45863:SF29', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', 153920),
(210195, 'PTHR23077:SF168', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 153921),
(210196, 'PTHR47942:SF21', NULL, NULL, NULL, NULL, 'OS05G0275100 PROTEIN', 153922),
(210197, 'PTHR31235:SF268', NULL, NULL, NULL, NULL, 'PEROXIDASE 70', 153923),
(210198, 'PTHR19336:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153924),
(210199, 'PTHR10783:SF110', NULL, NULL, NULL, NULL, 'BNAC05G10300D PROTEIN', 153925),
(210200, 'PTHR31790:SF238', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153926),
(210201, 'PTHR34491:SF36', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN', 153927),
(210202, 'PTHR24349:SF436', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 12', 153928),
(210203, 'PTHR13403', NULL, NULL, NULL, NULL, 'SNURPORTIN1  RNUT1 PROTEIN   RNA, U TRANSPORTER 1', 153929),
(210204, 'PTHR11661:SF10', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L11', 153930),
(210205, 'PTHR15830', NULL, NULL, NULL, NULL, 'TELOMERE LENGTH REGULATION PROTEIN TEL2 FAMILY MEMBER', 153931),
(210206, 'PTHR10634:SF109', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 4-LIKE', 153932),
(210207, 'PTHR11576:SF16', NULL, NULL, NULL, NULL, 'SI:CH211-67F13.7', 153933),
(210208, 'PTHR11782:SF91', NULL, NULL, NULL, NULL, 'APYRASE 6-RELATED', 153934),
(210209, 'PTHR23244:SF444', NULL, NULL, NULL, NULL, 'WALL ANCHORED PROTEIN, PUTATIVE-RELATED', 153935),
(210210, 'PTHR44083:SF36', NULL, NULL, NULL, NULL, 'CTLH LISH MOTIF, WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN, TOPLESS FAMILY-RELATED', 153936),
(210211, 'PTHR10177:SF409', NULL, NULL, NULL, NULL, 'CYCLIN-B3-1-RELATED', 153937),
(210212, 'PTHR19288:SF67', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE PHOSPHATASE', 153938),
(210213, 'PTHR45768:SF38', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL56-LIKE', 153939),
(210214, 'PTHR24355', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE/RIBOSOMAL PROTEIN S6 KINASE', 153940);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(210215, 'PTHR31674:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153941),
(210216, 'PTHR47258', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 153942),
(210217, 'PTHR12418:SF19', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE THEM4', 153943),
(210218, 'PTHR31913:SF2', NULL, NULL, NULL, NULL, 'OS02G0789600 PROTEIN', 153944),
(210219, 'PTHR34683', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 153945),
(210220, 'PTHR31233:SF6', NULL, NULL, NULL, NULL, 'PROTEIN BICAUDAL D', 153946),
(210221, 'PTHR40267', NULL, NULL, NULL, NULL, 'BLR3294 PROTEIN', 153947),
(210222, 'PTHR24023:SF925', NULL, NULL, NULL, NULL, 'VIKING, ISOFORM A', 153948),
(210223, 'PTHR14107:SF24', NULL, NULL, NULL, NULL, 'BNAC04G27330D PROTEIN', 153949),
(210224, 'PTHR23267:SF225', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 10-54', 153950),
(210225, 'PTHR16305:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR DOMAIN', 153951),
(210226, 'PTHR31474:SF18', NULL, NULL, NULL, NULL, 'BNAA09G16540D PROTEIN', 153952),
(210227, 'PTHR11654:SF396', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153953),
(210228, 'PTHR14667', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 10 PROTEIN', 153954),
(210229, 'PTHR32002:SF37', NULL, NULL, NULL, NULL, 'PLANT REGULATOR RWP-RK FAMILY PROTEIN', 153955),
(210230, 'PTHR34495', NULL, NULL, NULL, NULL, 'UNC-51-LIKE AUTOPHAGY-ACTIVATING KINASE 1A', 153956),
(210231, 'PTHR36482:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153957),
(210232, 'PTHR38746', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 153958),
(210233, 'PTHR11079:SF156', NULL, NULL, NULL, NULL, 'INACTIVE TRNA-SPECIFIC ADENOSINE DEAMINASE-LIKE PROTEIN 3-RELATED', 153959),
(210234, 'PTHR23111', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 153960),
(210235, 'PTHR30201:SF2', NULL, NULL, NULL, NULL, '2-(5''''-TRIPHOSPHORIBOSYL)-3''-DEPHOSPHOCOENZYME-A SYNTHASE', 153961),
(210236, 'PTHR45803:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-8', 153962),
(210237, 'PTHR47956:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153963),
(210238, 'PTHR22835:SF569', NULL, NULL, NULL, NULL, 'OS05G0210400 PROTEIN', 153964),
(210239, 'PTHR24082:SF259', NULL, NULL, NULL, NULL, 'OXYSTEROLS RECEPTOR LXR-ALPHA', 153965),
(210240, 'PTHR22014:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 33', 153966),
(210241, 'PTHR13962:SF19', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N2', 153967),
(210242, 'PTHR20933:SF3', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 33', 153968),
(210243, 'PTHR12185:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG23978', 153969),
(210244, 'PTHR47928:SF15', NULL, NULL, NULL, NULL, 'OS05G0409800 PROTEIN', 153970),
(210245, 'PTHR25465:SF7', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 29', 153971),
(210246, 'PTHR23021', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 153972),
(210247, 'PTHR24056', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN KINASE', 153973),
(210248, 'PTHR12999:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 15', 153974),
(210249, 'PTHR31312:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR GLK2', 153975),
(210250, 'PTHR12313:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153976),
(210251, 'PTHR44924', NULL, NULL, NULL, NULL, 'DNAJ SUBFAMILY A MEMBER 2', 153977),
(210252, 'PTHR45817:SF7', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE HOMOLOG 2A', 153978),
(210253, 'PTHR47992:SF70', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 52-RELATED', 153979),
(210254, 'PTHR18966:SF501', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 153980),
(210255, 'PTHR48053:SF22', NULL, NULL, NULL, NULL, 'OS02G0553000 PROTEIN', 153981),
(210256, 'PTHR12126', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE 39 KDA SUBUNIT-RELATED', 153982),
(210257, 'PTHR34220', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YPDA', 153983),
(210258, 'PTHR24271:SF54', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR D', 153984),
(210259, 'PTHR13318:SF138', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 153985);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(210260, 'PTHR47993:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153986),
(210261, 'PTHR37715:SF1', NULL, NULL, NULL, NULL, 'OS01G0120700 PROTEIN', 153987),
(210262, 'PTHR31930:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS R', 153988),
(210263, 'PTHR12805:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153989),
(210264, 'PTHR45861', NULL, NULL, NULL, NULL, 'DNA POLYMERASE ALPHA CATALYTIC SUBUNIT', 153990),
(210265, 'PTHR43511:SF3', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE 1', 153991),
(210266, 'PTHR24403:SF55', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 131', 153992),
(210267, 'PTHR45768:SF63', NULL, NULL, NULL, NULL, 'BNAC06G12870D PROTEIN', 153993),
(210268, 'PTHR48001:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153994),
(210269, 'PTHR10334:SF460', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153995),
(210270, 'PTHR31194:SF149', NULL, NULL, NULL, NULL, 'BNAA02G27680D PROTEIN', 153996),
(210271, 'PTHR23070:SF181', NULL, NULL, NULL, NULL, 'BNACNNG49930D PROTEIN', 153997),
(210272, 'PTHR47689', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 153998),
(210273, 'PTHR19325:SF495', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 153999),
(210274, 'PTHR24126:SF46', NULL, NULL, NULL, NULL, 'ANKYRIN-3', 154000),
(210275, 'PTHR48016:SF10', NULL, NULL, NULL, NULL, 'BNAA02G34600D PROTEIN', 154001),
(210276, 'PTHR24058:SF46', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-INTERACTING PROTEIN KINASE 4', 154002),
(210277, 'PTHR46027:SF2', NULL, NULL, NULL, NULL, 'BNAA09G54150D PROTEIN', 154003),
(210278, 'PTHR32546:SF13', NULL, NULL, NULL, NULL, 'SMOG, ISOFORM D', 154004),
(210279, 'PTHR37808:SF3', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN GERPA-RELATED', 154005),
(210280, 'PTHR47185', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN YPR097W', 154006),
(210281, 'PTHR48007:SF31', NULL, NULL, NULL, NULL, 'STRUBBELIG FAMILY RECEPTOR PROTEIN KINASE-RELATED', 154007),
(210282, 'PTHR11848:SF78', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 15', 154008),
(210283, 'PTHR31896:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154009),
(210284, 'PTHR10336:SF175', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 154010),
(210285, 'PTHR22809:SF8', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN', 154011),
(210286, 'PTHR45988:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154012),
(210287, 'PTHR46978:SF1', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', 154013),
(210288, 'PTHR22753:SF42', NULL, NULL, NULL, NULL, 'BNAA08G04850D PROTEIN', 154014),
(210289, 'PTHR43449:SF3', NULL, NULL, NULL, NULL, 'CONSERVED WITHIN P. AEROPHILUM PART 1, AUTHENTIC FRAMESHIFT', 154015),
(210290, 'PTHR46288:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154016),
(210291, 'PTHR22761:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 154017),
(210292, 'PTHR46287:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 3', 154018),
(210293, 'PTHR12386:SF37', NULL, NULL, NULL, NULL, 'BNAA03G49560D PROTEIN', 154019),
(210294, 'PTHR13082:SF4', NULL, NULL, NULL, NULL, 'DEACETYLASE COMPLEX SUBUNIT SAP18, PUTATIVE-RELATED', 154020),
(210295, 'PTHR36886:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FRIGIDA-ESSENTIAL 1', 154021),
(210296, 'PTHR31780:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154022),
(210297, 'PTHR24305:SF175', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE PKFB', 154023),
(210298, 'PTHR46506:SF5', NULL, NULL, NULL, NULL, 'OS04G0123125 PROTEIN', 154024),
(210299, 'PTHR18953:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154025),
(210300, 'PTHR10352:SF52', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2A-RELATED', 154026),
(210301, 'PTHR48049:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154027),
(210302, 'PTHR23268:SF11', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 20-1', 154028),
(210303, 'PTHR11017:SF315', NULL, NULL, NULL, NULL, 'BNAC03G63230D PROTEIN', 154029),
(210304, 'PTHR12976', NULL, NULL, NULL, NULL, 'RETINAL ROD RHODOPSIN-SENSITIVE CGMP 3'',5''-CYCLIC PHOSPHODIESTERASE DELTA-SUBUNIT', 154030);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(210305, 'PTHR33168:SF63', NULL, NULL, NULL, NULL, 'BNACNNG20090D PROTEIN', 154031),
(210306, 'PTHR33147:SF8', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN CAL1', 154032),
(210307, 'PTHR24414:SF80', NULL, NULL, NULL, NULL, 'BNAANNG32920D PROTEIN', 154033),
(210308, 'PTHR10424:SF41', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP S71 MEMBER 1 ENV POLYPROTEIN', 154034),
(210309, 'PTHR40626:SF19', NULL, NULL, NULL, NULL, 'MIP31509P', 154035),
(210310, 'PTHR12266:SF9', NULL, NULL, NULL, NULL, 'CATION/CALCIUM EXCHANGER 4', 154036),
(210311, 'PTHR31358:SF34', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) FAMILY PROTEIN', 154037),
(210312, 'PTHR31385', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF220)-RELATED', 154038),
(210313, 'PTHR45811:SF44', NULL, NULL, NULL, NULL, 'BNACNNG18270D PROTEIN', 154039),
(210314, 'PTHR34224:SF10', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 3', 154040),
(210315, 'PTHR30055:SF148', NULL, NULL, NULL, NULL, 'TETR-FAMILY TRANSCRIPTIONAL REGULATOR', 154041),
(210316, 'PTHR43349:SF42', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 3-RELATED', 154042),
(210317, 'PTHR45621:SF88', NULL, NULL, NULL, NULL, 'BNAA02G16030D PROTEIN', 154043),
(210318, 'PTHR36929:SF3', NULL, NULL, NULL, NULL, 'ATTACHMENT SUBUNIT, PUTATIVE-RELATED', 154044),
(210319, 'PTHR23504:SF77', NULL, NULL, NULL, NULL, 'HIPPOCAMPUS ABUNDANT TRANSCRIPT 1 PROTEIN', 154045),
(210320, 'PTHR42760:SF94', NULL, NULL, NULL, NULL, 'BLR4217 PROTEIN', 154046),
(210321, 'PTHR31325:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154047),
(210322, 'PTHR46220:SF4', NULL, NULL, NULL, NULL, 'OS02G0722500 PROTEIN', 154048),
(210323, 'PTHR12802:SF100', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN H', 154049),
(210324, 'PTHR46599:SF3', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED PROTEIN 4', 154050),
(210325, 'PTHR22744:SF1', NULL, NULL, NULL, NULL, 'BTB (BROAD/COMPLEX/TRAMTRACK/BRIC A BRAC) DOMAIN PROTEIN', 154051),
(210326, 'PTHR10201:SF161', NULL, NULL, NULL, NULL, 'PROTEIN CBG05638', 154052),
(210327, 'PTHR30565', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 154053),
(210328, 'PTHR47979:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154054),
(210329, 'PTHR11946:SF112', NULL, NULL, NULL, NULL, 'BNAC03G75900D PROTEIN', 154055),
(210330, 'PTHR31677:SF113', NULL, NULL, NULL, NULL, 'ERF DOMAIN PROTEIN 9-RELATED', 154056),
(210331, 'PTHR35256:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 8 OPEN READING FRAME 48', 154057),
(210332, 'PTHR10972:SF164', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 3C', 154058),
(210333, 'PTHR31100:SF67', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 21', 154059),
(210334, 'PTHR11226:SF1', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE:GLYCOPROTEIN GLUCOSYLTRANSFERASE 2', 154060),
(210335, 'PTHR46134:SF5', NULL, NULL, NULL, NULL, 'ARFGAP WITH FG REPEATS 1B', 154061),
(210336, 'PTHR31677:SF74', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF107', 154062),
(210337, 'PTHR11143:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L26-1', 154063),
(210338, 'PTHR47985:SF42', NULL, NULL, NULL, NULL, 'OS02G0513000 PROTEIN', 154064),
(210339, 'PTHR31790:SF372', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 154065),
(210340, 'PTHR24015:SF548', NULL, NULL, NULL, NULL, 'OS08G0340900 PROTEIN', 154066),
(210341, 'PTHR23235:SF62', NULL, NULL, NULL, NULL, 'KRUPPEL-LIKE FACTOR (ZINC FINGER PROTEIN)', 154067),
(210342, 'PTHR23309:SF42', NULL, NULL, NULL, NULL, 'GLYOXYSOMAL FATTY ACID BETA-OXIDATION MFP-A PROTEIN', 154068),
(210343, 'PTHR45682', NULL, NULL, NULL, NULL, 'AGAP008228-PA', 154069),
(210344, 'PTHR43548', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 154070),
(210345, 'PTHR34270:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 10-RELATED', 154071),
(210346, 'PTHR43804:SF4', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR APG3, CHLOROPLASTIC', 154072),
(210347, 'PTHR26450:SF96', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52L1', 154073),
(210348, 'PTHR13172:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM9', 154074);
INSERT INTO "PUBLIC"."MODEL" VALUES
(210349, 'PTHR43339:SF1', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN-RELATED', 154075),
(210350, 'PTHR10366:SF684', NULL, NULL, NULL, NULL, 'OS08G0515900 PROTEIN', 154076),
(210351, 'PTHR24026:SF37', NULL, NULL, NULL, NULL, 'PROTOCADHERIN FAT 2', 154077),
(210352, 'PTHR46851:SF2', NULL, NULL, NULL, NULL, 'GYF DOMAIN PROTEIN', 154078),
(210353, 'PTHR10353:SF204', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 20', 154079),
(210354, 'PTHR47926:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154080),
(210355, 'PTHR31042:SF111', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 154081),
(210356, 'PTHR24254:SF9', NULL, NULL, NULL, NULL, 'INACTIVE SERINE PROTEASE PAMR1', 154082),
(210357, 'PTHR36968:SF8', NULL, NULL, NULL, NULL, 'OS07G0619600 PROTEIN', 154083),
(210358, 'PTHR35323:SF2', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING PROTEIN', 154084),
(210359, 'PTHR12419:SF80', NULL, NULL, NULL, NULL, 'BNAA03G00840D PROTEIN', 154085),
(210360, 'PTHR43117', NULL, NULL, NULL, NULL, 'OSMOPROTECTANT IMPORT ATP-BINDING PROTEIN OSMV', 154086),
(210361, 'PTHR22883:SF278', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 154087),
(210362, 'PTHR43308', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN ALPHA-RELATED', 154088),
(210363, 'PTHR24208:SF115', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX5', 154089),
(210364, 'PTHR46695:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 44-LIKE ISOFORM X1', 154090),
(210365, 'PTHR37687:SF1', NULL, NULL, NULL, NULL, 'AGAP006772-PA', 154091),
(210366, 'PTHR31585:SF2', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 7-RELATED', 154092),
(210367, 'PTHR11635:SF164', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING PROTEIN, PUTATIVE-RELATED', 154093),
(210368, 'PTHR10672', NULL, NULL, NULL, NULL, 'ADDUCIN', 154094),
(210369, 'PTHR46372:SF15', NULL, NULL, NULL, NULL, 'TPX2 DOMAIN-CONTAINING PROTEIN-RELATED', 154095),
(210370, 'PTHR24326:SF584', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-52-LIKE', 154096),
(210371, 'PTHR21644:SF0', NULL, NULL, NULL, NULL, 'AT02555P-RELATED', 154097),
(210372, 'PTHR10358:SF32', NULL, NULL, NULL, NULL, 'ENDOSULFINE ALPHA B', 154098),
(210373, 'PTHR33021:SF288', NULL, NULL, NULL, NULL, 'OS03G0648500 PROTEIN', 154099),
(210374, 'PTHR45613:SF431', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 154100),
(210375, 'PTHR16275', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 40', 154101),
(210376, 'PTHR23063:SF38', NULL, NULL, NULL, NULL, 'PROTEIN CBG04491', 154102),
(210377, 'PTHR48048:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 154103),
(210378, 'PTHR24081:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 0 GROUP B MEMBER 1', 154104),
(210379, 'PTHR37200', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 154105),
(210380, 'PTHR31642:SF57', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', 154106),
(210381, 'PTHR12801:SF22', NULL, NULL, NULL, NULL, 'EXONUCLEASE GOR-RELATED', 154107),
(210382, 'PTHR19376:SF54', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA''', 154108),
(210383, 'PTHR32009:SF77', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 154109),
(210384, 'PTHR10891:SF854', NULL, NULL, NULL, NULL, 'BNAANNG17220D PROTEIN', 154110),
(210385, 'PTHR32410:SF160', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 154111),
(210386, 'PTHR42886:SF18', NULL, NULL, NULL, NULL, 'HEPTAKETIDE HYDROLYASE AYG1', 154112),
(210387, 'PTHR16059:SF23', NULL, NULL, NULL, NULL, 'ANTHRAX TOXIN RECEPTOR', 154113),
(210388, 'PTHR33881:SF7', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH-LIKE PROTEIN', 154114),
(210389, 'PTHR47999:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB6-LIKE', 154115),
(210390, 'PTHR45651:SF38', NULL, NULL, NULL, NULL, 'NUCLEOTIDE GATED CHANNEL PROTEIN, PUTATIVE-RELATED', 154116),
(210391, 'PTHR10442:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', 154117); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(210392, 'PTHR48003:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 154118),
(210393, 'PTHR22650:SF6', NULL, NULL, NULL, NULL, 'PLATELET GLYCOPROTEIN IX', 154119),
(210394, 'PTHR10317:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT E', 154120),
(210395, 'PTHR10155:SF20', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 3', 154121),
(210396, 'PTHR45974:SF133', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 154122),
(210397, 'PTHR10168:SF250', NULL, NULL, NULL, NULL, 'BNAA09G40300D PROTEIN', 154123),
(210398, 'PTHR13902:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK11-RELATED', 154124),
(210399, 'PTHR17085:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154125),
(210400, 'PTHR46128:SF242', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154126),
(210401, 'PTHR11937:SF431', NULL, NULL, NULL, NULL, 'ACTIN-58', 154127),
(210402, 'PTHR33577:SF16', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 154128),
(210403, 'PTHR35193', NULL, NULL, NULL, NULL, 'MUCIN 13A, CELL SURFACE-ASSOCIATED-RELATED', 154129),
(210404, 'PTHR33264:SF46', NULL, NULL, NULL, NULL, 'BNAANNG41820D PROTEIN', 154130),
(210405, 'PTHR10509:SF14', NULL, NULL, NULL, NULL, 'CATECHOL O-METHYLTRANSFERASE DOMAIN-CONTAINING PROTEIN 1', 154131),
(210406, 'PTHR23068:SF42', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE DRM2', 154132),
(210407, 'PTHR24393:SF65', NULL, NULL, NULL, NULL, 'RCG39624', 154133),
(210408, 'PTHR11946:SF93', NULL, NULL, NULL, NULL, 'VALYL-TRNA SYNTHETASE, ISOFORM C', 154134),
(210409, 'PTHR24412:SF458', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB (POZ) DOMAIN-CONTAINING 6', 154135),
(210410, 'PTHR45496:SF22', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN PROTEIN', 154136),
(210411, 'PTHR10356:SF0', NULL, NULL, NULL, NULL, 'ALLOGRAFT INFLAMMATORY FACTOR 1-LIKE', 154137),
(210412, 'PTHR33445:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B', 154138),
(210413, 'PTHR31439', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 154139),
(210414, 'PTHR45742', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C6', 154140),
(210415, 'PTHR33228:SF58', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 5-LIKE', 154141),
(210416, 'PTHR15696:SF26', NULL, NULL, NULL, NULL, 'BNAC02G44260D PROTEIN', 154142),
(210417, 'PTHR42785:SF1', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE, TYPE IA, CORE', 154143),
(210418, 'PTHR45617:SF106', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 70', 154144),
(210419, 'PTHR11709:SF390', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', 154145),
(210420, 'PTHR11521:SF20', NULL, NULL, NULL, NULL, 'NOVEL SLOW SKELETAL TROPONIN T FAMILY PROTEIN-RELATED', 154146),
(210421, 'PTHR15604:SF0', NULL, NULL, NULL, NULL, 'SIGNALING THRESHOLD-REGULATING TRANSMEMBRANE ADAPTER 1', 154147),
(210422, 'PTHR43221', NULL, NULL, NULL, NULL, 'PROTEASE HTPX', 154148),
(210423, 'PTHR13847:SF150', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE TDA3-RELATED', 154149),
(210424, 'PTHR16195', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN CONTAINING PROTEIN', 154150),
(210425, 'PTHR23118:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154151),
(210426, 'PTHR31662:SF53', NULL, NULL, NULL, NULL, 'MEDIATOR-ASSOCIATED PROTEIN 1-LIKE', 154152),
(210427, 'PTHR46372:SF10', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 2', 154153),
(210428, 'PTHR13140:SF806', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', 154154),
(210429, 'PTHR24153:SF8', NULL, NULL, NULL, NULL, 'FORKED, ISOFORM F', 154155),
(210430, 'PTHR21737:SF3', NULL, NULL, NULL, NULL, 'POLYGLUTAMINE-BINDING PROTEIN 1', 154156),
(210431, 'PTHR19964:SF74', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE, NON-RECEPTOR TYPE 13', 154157),
(210432, 'PTHR24078', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER', 154158),
(210433, 'PTHR21567:SF9', NULL, NULL, NULL, NULL, 'CLIP-ASSOCIATING PROTEIN', 154159),
(210434, 'PTHR34397:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154160);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(210435, 'PTHR33065:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154161),
(210436, 'PTHR24376:SF79', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 107', 154162),
(210437, 'PTHR34465:SF6', NULL, NULL, NULL, NULL, 'OS11G0458500 PROTEIN', 154163),
(210438, 'PTHR11216:SF122', NULL, NULL, NULL, NULL, 'EH-DOMAIN CONTAINING 1-RELATED', 154164),
(210439, 'PTHR28342:SF1', NULL, NULL, NULL, NULL, 'MONOOXYGENASE P33MONOX-RELATED', 154165),
(210440, 'PTHR27009:SF160', NULL, NULL, NULL, NULL, 'OS04G0420300 PROTEIN', 154166),
(210441, 'PTHR31113:SF35', NULL, NULL, NULL, NULL, 'BNAA03G52770D PROTEIN', 154167),
(210442, 'PTHR13935:SF137', NULL, NULL, NULL, NULL, 'BNAA08G30870D PROTEIN', 154168),
(210443, 'PTHR31414:SF18', NULL, NULL, NULL, NULL, 'OS11G0264500 PROTEIN', 154169),
(210444, 'PTHR32153:SF35', NULL, NULL, NULL, NULL, 'OS02G0786600 PROTEIN', 154170),
(210445, 'PTHR31696:SF76', NULL, NULL, NULL, NULL, 'BNAA09G05420D PROTEIN', 154171),
(210446, 'PTHR24298:SF819', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 705, SUBFAMILY A, POLYPEPTIDE 15-RELATED', 154172),
(210447, 'PTHR21164', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', 154173),
(210448, 'PTHR24112:SF39', NULL, NULL, NULL, NULL, 'F-ACTIN-UNCAPPING PROTEIN LRRC16A', 154174),
(210449, 'PTHR24238:SF31', NULL, NULL, NULL, NULL, 'TACHYKININ-LIKE PEPTIDES RECEPTOR 99D', 154175),
(210450, 'PTHR23276', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 154176),
(210451, 'PTHR11849:SF181', NULL, NULL, NULL, NULL, 'ETS TRANSLOCATION VARIANT 4', 154177),
(210452, 'PTHR30536:SF1', NULL, NULL, NULL, NULL, 'GALACTARATE DEHYDRATASE (L-THREO-FORMING)', 154178),
(210453, 'PTHR32370:SF101', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 154179),
(210454, 'PTHR45648:SF96', NULL, NULL, NULL, NULL, 'BNAA06G01410D PROTEIN', 154180),
(210455, 'PTHR11963:SF22', NULL, NULL, NULL, NULL, 'CYTOSOL AMINOPEPTIDASE 1-RELATED', 154181),
(210456, 'PTHR11103:SF10', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE S-METHYLTRANSFERASE 1-RELATED', 154182),
(210457, 'PTHR45752:SF71', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT SERINE/THREONINE-PROTEIN KINASE 1', 154183),
(210458, 'PTHR23062:SF4', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 154184),
(210459, 'PTHR45510', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 10', 154185),
(210460, 'PTHR39329:SF1', NULL, NULL, NULL, NULL, 'ETHANOLAMINE AMMONIA-LYASE HEAVY CHAIN', 154186),
(210461, 'PTHR46477:SF7', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN PROTEIN', 154187),
(210462, 'PTHR26454:SF44', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 154188),
(210463, 'PTHR11913:SF53', NULL, NULL, NULL, NULL, 'COFILIN 1-RELATED', 154189),
(210464, 'PTHR31627:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-30', 154190),
(210465, 'PTHR47825', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 154191),
(210466, 'PTHR43760', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE-RELATED', 154192),
(210467, 'PTHR47926:SF175', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 154193),
(210468, 'PTHR13902:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK2', 154194),
(210469, 'PTHR32258:SF39', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1D', 154195),
(210470, 'PTHR10209:SF145', NULL, NULL, NULL, NULL, 'DIBOA-GLUCOSIDE DIOXYGENASE BX6', 154196),
(210471, 'PTHR45826:SF2', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER PUT1', 154197),
(210472, 'PTHR33929:SF8', NULL, NULL, NULL, NULL, 'BNAC09G28910D PROTEIN', 154198),
(210473, 'PTHR12080:SF86', NULL, NULL, NULL, NULL, 'CEA-RELATED CELL ADHESION MOLECULE 11-RELATED', 154199),
(210474, 'PTHR47975:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154200),
(210475, 'PTHR31236:SF21', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 11', 154201),
(210476, 'PTHR19321:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154202),
(210477, 'PTHR32285:SF286', NULL, NULL, NULL, NULL, 'PMR5 N-TERMINAL DOMAIN, PC-ESTERASE-RELATED', 154203),
(210478, 'PTHR22950:SF338', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', 154204);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(210479, 'PTHR13068:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154205),
(210480, 'PTHR31155:SF19', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE, CHLOROPLASTIC', 154206),
(210481, 'PTHR14787:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 10 OPEN READING FRAME 88', 154207),
(210482, 'PTHR46128:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154208),
(210483, 'PTHR11010:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154209),
(210484, 'PTHR47290', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN', 154210),
(210485, 'PTHR31189:SF58', NULL, NULL, NULL, NULL, 'BNAA08G13680D PROTEIN', 154211),
(210486, 'PTHR36569:SF5', NULL, NULL, NULL, NULL, 'CONIDIATION-SPECIFIC PROTEIN 10 (EUROFUNG)', 154212),
(210487, 'PTHR30332:SF24', NULL, NULL, NULL, NULL, 'SECRETIN GSPD-RELATED', 154213),
(210488, 'PTHR24006:SF818', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 13', 154214),
(210489, 'PTHR42949:SF2', NULL, NULL, NULL, NULL, 'ANAEROBIC GLYCEROL-3-PHOSPHATE DEHYDROGENASE SUBUNIT B', 154215),
(210490, 'PTHR23105:SF72', NULL, NULL, NULL, NULL, 'PROTEIN 1, PUTATIVE, EXPRESSED-RELATED', 154216),
(210491, 'PTHR24112:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154217),
(210492, 'PTHR10799:SF819', NULL, NULL, NULL, NULL, 'GLOBAL TRANSCRIPTION ACTIVATOR SNF2L1-RELATED', 154218),
(210493, 'PTHR22897:SF22', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE', 154219),
(210494, 'PTHR15583', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR', 154220),
(210495, 'PTHR22941:SF296', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 154221),
(210496, 'PTHR11905:SF114', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 11', 154222),
(210497, 'PTHR34655:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154223),
(210498, 'PTHR10183:SF396', NULL, NULL, NULL, NULL, 'CALPAIN-A-RELATED', 154224),
(210499, 'PTHR42253', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 154225),
(210500, 'PTHR36178', NULL, NULL, NULL, NULL, 'SLR0625 PROTEIN', 154226),
(210501, 'PTHR10812:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-2-BETA', 154227),
(210502, 'PTHR42682:SF1', NULL, NULL, NULL, NULL, 'FORMATE HYDROGENLYASE SUBUNIT 3', 154228),
(210503, 'PTHR15282:SF7', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY E REGULATORY BETA SUBUNIT 5', 154229),
(210504, 'PTHR31992:SF199', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.1-LIKE', 154230),
(210505, 'PTHR24270:SF20', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 1BA-RELATED', 154231),
(210506, 'PTHR11177:SF217', NULL, NULL, NULL, NULL, 'OVIDUCT-SPECIFIC GLYCOPROTEIN', 154232),
(210507, 'PTHR24349:SF160', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 24', 154233),
(210508, 'PTHR23266:SF237', NULL, NULL, NULL, NULL, 'IG LAMBDA-2 CHAIN C REGION-RELATED', 154234),
(210509, 'PTHR47992:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154235),
(210510, 'PTHR30614:SF45', NULL, NULL, NULL, NULL, 'L-CYSTINE TRANSPORT SYSTEM PERMEASE PROTEIN TCYL', 154236),
(210511, 'PTHR11255:SF91', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 154237),
(210512, 'PTHR12146:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154238),
(210513, 'PTHR23021:SF48', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 154239),
(210514, 'PTHR30614:SF36', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER MEMBRANE-SPANNING PERMEASE-GLUTAMINE TRANSPORT', 154240),
(210515, 'PTHR24056:SF189', NULL, NULL, NULL, NULL, 'ECDYSONE-INDUCED PROTEIN 63E, ISOFORM N', 154241),
(210516, 'PTHR33697:SF1', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', 154242),
(210517, 'PTHR46547:SF16', NULL, NULL, NULL, NULL, 'OS08G0463500 PROTEIN', 154243),
(210518, 'PTHR33207:SF97', NULL, NULL, NULL, NULL, 'OS09G0324200 PROTEIN', 154244),
(210519, 'PTHR45645:SF29', NULL, NULL, NULL, NULL, 'CUBILIN HOMOLOG', 154245),
(210520, 'PTHR10434:SF9', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE FAMILY PROTEIN', 154246),
(210521, 'PTHR33448:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154247);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(210522, 'PTHR11733:SF211', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE ZMP1-RELATED', 154248),
(210523, 'PTHR31549:SF185', NULL, NULL, NULL, NULL, 'OS03G0591600 PROTEIN', 154249),
(210524, 'PTHR10742:SF365', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOAMINE OXIDASE B-RELATED', 154250),
(210525, 'PTHR33592:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154251),
(210526, 'PTHR46128:SF239', NULL, NULL, NULL, NULL, 'BNAA10G03850D PROTEIN', 154252),
(210527, 'PTHR31072:SF156', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP18', 154253),
(210528, 'PTHR24300:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154254),
(210529, 'PTHR19143:SF387', NULL, NULL, NULL, NULL, 'PROTEIN CBG00249', 154255),
(210530, 'PTHR23267:SF339', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 5-48 (NON-FUNCTIONAL)', 154256),
(210531, 'PTHR10994:SF132', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 154257),
(210532, 'PTHR34795:SF6', NULL, NULL, NULL, NULL, 'BNAC04G05370D PROTEIN', 154258),
(210533, 'PTHR12977', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF VARIEGATION 4-20-RELATED', 154259),
(210534, 'PTHR46116:SF6', NULL, NULL, NULL, NULL, '(E3-INDEPENDENT) E2 UBIQUITIN-CONJUGATING ENZYME', 154260),
(210535, 'PTHR36134', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN C16ORF54', 154261),
(210536, 'PTHR31286:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154262),
(210537, 'PTHR13738:SF7', NULL, NULL, NULL, NULL, 'TROPONIN I TYPE 1A (SKELETAL, SLOW)', 154263),
(210538, 'PTHR11206:SF177', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 154264),
(210539, 'PTHR24326:SF567', NULL, NULL, NULL, NULL, 'BNAA07G28310D PROTEIN', 154265),
(210540, 'PTHR11618:SF58', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 154266),
(210541, 'PTHR15240:SF6', NULL, NULL, NULL, NULL, 'CAVEOLAE-ASSOCIATED PROTEIN 4B', 154267),
(210542, 'PTHR10992:SF943', NULL, NULL, NULL, NULL, 'METHYLESTERASE 10', 154268),
(210543, 'PTHR11214:SF265', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 5', 154269),
(210544, 'PTHR43312', NULL, NULL, NULL, NULL, 'D-THREO-ALDOSE 1-DEHYDROGENASE', 154270),
(210545, 'PTHR23024:SF554', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE', 154271),
(210546, 'PTHR36935', NULL, NULL, NULL, NULL, 'PROTEIN CBG00261', 154272),
(210547, 'PTHR23534', NULL, NULL, NULL, NULL, 'MFS PERMEASE', 154273),
(210548, 'PTHR48018:SF73', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8I2', 154274),
(210549, 'PTHR11848:SF6', NULL, NULL, NULL, NULL, 'INHIBIN BETA E CHAIN', 154275),
(210550, 'PTHR10027:SF9', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY T MEMBER 2', 154276),
(210551, 'PTHR21367:SF3', NULL, NULL, NULL, NULL, 'ARGINYL-TRNA--PROTEIN TRANSFERASE 2', 154277),
(210552, 'PTHR33057:SF136', NULL, NULL, NULL, NULL, 'BNAC02G02540D PROTEIN', 154278),
(210553, 'PTHR11732:SF459', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154279),
(210554, 'PTHR42059:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154280),
(210555, 'PTHR26312:SF181', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 154281),
(210556, 'PTHR13222', NULL, NULL, NULL, NULL, 'RB1-INDUCIBLE COILED-COIL', 154282),
(210557, 'PTHR43379:SF3', NULL, NULL, NULL, NULL, 'CYS/MET METABOLISM PLP-DEPENDENT ENZYME FAMILY PROTEIN, EXPRESSED', 154283),
(210558, 'PTHR45642:SF103', NULL, NULL, NULL, NULL, 'GDSL-MOTIF LIPASE', 154284),
(210559, 'PTHR13935:SF131', NULL, NULL, NULL, NULL, 'BNAC04G24710D PROTEIN', 154285),
(210560, 'PTHR47736', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A MEMBER 3', 154286),
(210561, 'PTHR30558', NULL, NULL, NULL, NULL, 'EXBD MEMBRANE COMPONENT OF PMF-DRIVEN MACROMOLECULE IMPORT SYSTEM', 154287),
(210562, 'PTHR48007:SF54', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 154288),
(210563, 'PTHR23179:SF37', NULL, NULL, NULL, NULL, 'GENE 1527-RELATED', 154289),
(210564, 'PTHR20856', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT 2', 154290),
(210565, 'PTHR47640:SF42', NULL, NULL, NULL, NULL, 'BNAA08G02390D PROTEIN', 154291),
(210566, 'PTHR33527:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154292); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(210567, 'PTHR31983:SF13', NULL, NULL, NULL, NULL, 'ENDO-1,3(4)-BETA-GLUCANASE ARB_01444-RELATED', 154293),
(210568, 'PTHR34319', NULL, NULL, NULL, NULL, 'MAJOR EXPORTED PROTEIN', 154294),
(210569, 'PTHR31100:SF62', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 23', 154295),
(210570, 'PTHR23120:SF42', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT FAMILY MEMBER 3', 154296),
(210571, 'PTHR43141:SF2', NULL, NULL, NULL, NULL, 'BLR3729 PROTEIN', 154297),
(210572, 'PTHR47035:SF5', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL2-LIKE', 154298),
(210573, 'PTHR18934:SF103', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE A-LIKE PROTEIN', 154299),
(210574, 'PTHR23315:SF287', NULL, NULL, NULL, NULL, 'BNACNNG18530D PROTEIN', 154300),
(210575, 'PTHR33784:SF15', NULL, NULL, NULL, NULL, 'BNAA05G15050D PROTEIN', 154301),
(210576, 'PTHR27008:SF419', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 154302),
(210577, 'PTHR24220:SF673', NULL, NULL, NULL, NULL, 'FE(3+) IONS IMPORT ATP-BINDING PROTEIN FBPC', 154303),
(210578, 'PTHR46671:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG21363', 154304),
(210579, 'PTHR33453:SF27', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 154305),
(210580, 'PTHR21450:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BZIP80, PUTATIVE-RELATED', 154306),
(210581, 'PTHR11967:SF3', NULL, NULL, NULL, NULL, 'ALPHA-1-ACID GLYCOPROTEIN 2', 154307),
(210582, 'PTHR11679:SF2', NULL, NULL, NULL, NULL, 'SEC1 FAMILY DOMAIN-CONTAINING PROTEIN 1', 154308),
(210583, 'PTHR22765:SF294', NULL, NULL, NULL, NULL, 'OS08G0487500 PROTEIN', 154309),
(210584, 'PTHR11145:SF17', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING ADAPTER FOR CUL3-MEDIATED RHOA DEGRADATION PROTEIN 2', 154310),
(210585, 'PTHR46524', NULL, NULL, NULL, NULL, 'CW-TYPE ZINC FINGER', 154311),
(210586, 'PTHR12454:SF11', NULL, NULL, NULL, NULL, 'GH25683P', 154312),
(210587, 'PTHR12570:SF67', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA2-RELATED', 154313),
(210588, 'PTHR11206:SF290', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 154314),
(210589, 'PTHR11818:SF107', NULL, NULL, NULL, NULL, 'CRYSTALLIN, GAMMA MX,-LIKE 2', 154315),
(210590, 'PTHR31374:SF279', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 154316),
(210591, 'PTHR19957', NULL, NULL, NULL, NULL, 'SYNTAXIN', 154317),
(210592, 'PTHR24248:SF130', NULL, NULL, NULL, NULL, 'ALPHA-2B ADRENERGIC RECEPTOR', 154318),
(210593, 'PTHR45937', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE DOMAIN-CONTAINING PROTEIN 1', 154319),
(210594, 'PTHR43876:SF16', NULL, NULL, NULL, NULL, 'LYCOPENE EPSILON CYCLASE, CHLOROPLASTIC', 154320),
(210595, 'PTHR10836:SF93', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 154321),
(210596, 'PTHR39460', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 154322),
(210597, 'PTHR35317:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154323),
(210598, 'PTHR31625:SF52', NULL, NULL, NULL, NULL, 'COUMAROYL-COA:ANTHOCYANIDIN 3-O-GLUCOSIDE-6''''-O-COUMAROYLTRANSFERASE 1-RELATED', 154324),
(210599, 'PTHR31001:SF55', NULL, NULL, NULL, NULL, 'CHROMOSOME 12, WHOLE GENOME SHOTGUN SEQUENCE', 154325),
(210600, 'PTHR36512', NULL, NULL, NULL, NULL, 'D-AMINOPEPTIDASE', 154326),
(210601, 'PTHR15588:SF18', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM1', 154327),
(210602, 'PTHR13817:SF103', NULL, NULL, NULL, NULL, 'ROUNDABOUT GUIDANCE RECEPTOR 3', 154328),
(210603, 'PTHR11926:SF1421', NULL, NULL, NULL, NULL, 'CROCETIN GLUCOSYLTRANSFERASE-RELATED', 154329),
(210604, 'PTHR11627:SF44', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE 8, CYTOSOLIC', 154330),
(210605, 'PTHR31707:SF154', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 154331),
(210606, 'PTHR43184:SF23', NULL, NULL, NULL, NULL, 'BNAC07G34420D PROTEIN', 154332),
(210607, 'PTHR11709:SF381', NULL, NULL, NULL, NULL, 'MONOCOPPER OXIDASE-LIKE PROTEIN SKS2', 154333),
(210608, 'PTHR31079:SF37', NULL, NULL, NULL, NULL, 'BNAA07G37110D PROTEIN', 154334),
(210609, 'PTHR14155:SF551', NULL, NULL, NULL, NULL, 'BNAA04G19920D PROTEIN', 154335); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(210610, 'PTHR48056:SF6', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERECTA', 154336),
(210611, 'PTHR11017:SF363', NULL, NULL, NULL, NULL, 'BNAA02G30250D PROTEIN', 154337),
(210612, 'PTHR31561:SF149', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 154338),
(210613, 'PTHR13808:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154339),
(210614, 'PTHR33499', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 154340),
(210615, 'PTHR31731:SF104', NULL, NULL, NULL, NULL, 'OS10G0551700 PROTEIN', 154341),
(210616, 'PTHR12125:SF12', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 44', 154342),
(210617, 'PTHR35547:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154343),
(210618, 'PTHR22999:SF28', NULL, NULL, NULL, NULL, 'PHOX (PX) DOMAIN-CONTAINING PROTEIN', 154344),
(210619, 'PTHR10795:SF643', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.12-RELATED', 154345),
(210620, 'PTHR10560', NULL, NULL, NULL, NULL, 'THROMBOPOIETIN', 154346),
(210621, 'PTHR37357:SF1', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 4', 154347),
(210622, 'PTHR33871:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154348),
(210623, 'PTHR32227:SF357', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN', 154349),
(210624, 'PTHR23086:SF35', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 5-PHOSPHATE 4-KINASE TYPE-2 GAMMA', 154350),
(210625, 'PTHR23428:SF268', NULL, NULL, NULL, NULL, 'HISTONE H2B', 154351),
(210626, 'PTHR24253:SF42', NULL, NULL, NULL, NULL, 'PROTEASE, SERINE 47', 154352),
(210627, 'PTHR15710:SF112', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE PROTEIN', 154353),
(210628, 'PTHR35158:SF1', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE CN725425', 154354),
(210629, 'PTHR21141:SF84', NULL, NULL, NULL, NULL, 'BNAA02G29320D PROTEIN', 154355),
(210630, 'PTHR19229:SF186', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 8-A', 154356),
(210631, 'PTHR12411:SF671', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RDL6-RELATED', 154357),
(210632, 'PTHR34372:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C', 154358),
(210633, 'PTHR11011:SF75', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 154359),
(210634, 'PTHR24112:SF51', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL GENE PRODUCT DG1112', 154360),
(210635, 'PTHR10151:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154361),
(210636, 'PTHR18968:SF129', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE', 154362),
(210637, 'PTHR47993:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154363),
(210638, 'PTHR10871:SF4', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 6 SUBUNIT B', 154364),
(210639, 'PTHR10903:SF103', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER GIMD1', 154365),
(210640, 'PTHR11709:SF328', NULL, NULL, NULL, NULL, 'LACCASE', 154366),
(210641, 'PTHR45632:SF17', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 31', 154367),
(210642, 'PTHR42928:SF5', NULL, NULL, NULL, NULL, 'BLR1237 PROTEIN', 154368),
(210643, 'PTHR12294', NULL, NULL, NULL, NULL, 'EF HAND DOMAIN FAMILY A1,A2-RELATED', 154369),
(210644, 'PTHR10105:SF4', NULL, NULL, NULL, NULL, 'SELENOPROTEIN PB', 154370),
(210645, 'PTHR15039:SF11', NULL, NULL, NULL, NULL, 'DOLICHOL PHOSPHATE-MANNOSE BIOSYNTHESIS REGULATORY PROTEIN', 154371),
(210646, 'PTHR31190:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154372),
(210647, 'PTHR13009:SF23', NULL, NULL, NULL, NULL, 'BNAC09G33630D PROTEIN', 154373),
(210648, 'PTHR32044:SF77', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 9', 154374),
(210649, 'PTHR10352:SF38', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2A-LIKE', 154375),
(210650, 'PTHR33320:SF6', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA SYNTHETASE', 154376),
(210651, 'PTHR39201', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 154377),
(210652, 'PTHR24373:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154378),
(210653, 'PTHR23502:SF143', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04900)-RELATED', 154379),
(210654, 'PTHR23128:SF132', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 154380);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(210655, 'PTHR22765:SF182', NULL, NULL, NULL, NULL, 'OSJNBB0043H09.3 PROTEIN', 154381),
(210656, 'PTHR31080:SF83', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 2-LIKE', 154382),
(210657, 'PTHR39474:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 154383),
(210658, 'PTHR11006:SF73', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 3', 154384),
(210659, 'PTHR35753:SF3', NULL, NULL, NULL, NULL, 'BNAA03G48220D PROTEIN', 154385),
(210660, 'PTHR34917', NULL, NULL, NULL, NULL, 'RBPJ-INTERACTING AND TUBULIN-ASSOCIATED PROTEIN 1', 154386),
(210661, 'PTHR43820:SF3', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN BRAG', 154387),
(210662, 'PTHR45664:SF4', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN BICOID', 154388),
(210663, 'PTHR11177:SF346', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN C25A8.4', 154389),
(210664, 'PTHR33124:SF36', NULL, NULL, NULL, NULL, 'OS08G0444500 PROTEIN', 154390),
(210665, 'PTHR24039:SF46', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH WITH EGF-LIKE DOMAINS 1A-RELATED', 154391),
(210666, 'PTHR10504:SF136', NULL, NULL, NULL, NULL, 'NOSE RESISTANT TO FLUOXETINE PROTEIN 5', 154392),
(210667, 'PTHR46662:SF13', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING PROTEIN OF THE ER PROTEIN', 154393),
(210668, 'PTHR31213:SF24', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORTER', 154394),
(210669, 'PTHR15592:SF17', NULL, NULL, NULL, NULL, 'POLYPYRIMIDINE TRACT-BINDING PROTEIN 3', 154395),
(210670, 'PTHR33474:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 154396),
(210671, 'PTHR21523:SF39', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', 154397),
(210672, 'PTHR23316:SF56', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-1B', 154398),
(210673, 'PTHR24298:SF851', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 87 SUBFAMILY A POLYPEPTIDE 6', 154399),
(210674, 'PTHR24057:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE R03D7.5-RELATED', 154400),
(210675, 'PTHR12210:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154401),
(210676, 'PTHR47991:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154402),
(210677, 'PTHR31153:SF18', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 154403),
(210678, 'PTHR33402:SF15', NULL, NULL, NULL, NULL, 'OS05G0519000 PROTEIN', 154404),
(210679, 'PTHR23259:SF59', NULL, NULL, NULL, NULL, 'PROTEIN CBG19171', 154405),
(210680, 'PTHR42814', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 154406),
(210681, 'PTHR32468:SF85', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE', 154407),
(210682, 'PTHR33095:SF57', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 154408),
(210683, 'PTHR39428:SF1', NULL, NULL, NULL, NULL, 'F420H(2)-DEPENDENT QUINONE REDUCTASE RV1261C', 154409),
(210684, 'PTHR11955', NULL, NULL, NULL, NULL, 'FATTY ACID BINDING PROTEIN', 154410),
(210685, 'PTHR32487', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE', 154411),
(210686, 'PTHR43675:SF11', NULL, NULL, NULL, NULL, 'CYCLOPROPANE-FATTY-ACYL-PHOSPHOLIPID SYNTHASE', 154412),
(210687, 'PTHR19354:SF6', NULL, NULL, NULL, NULL, 'ZIPPER PUTATIVE TUMOR SUPPRESSOR 3-RELATED', 154413),
(210688, 'PTHR10801:SF13', NULL, NULL, NULL, NULL, 'DELTA(24)-STEROL REDUCTASE-LIKE', 154414),
(210689, 'PTHR27007:SF211', NULL, NULL, NULL, NULL, 'OSJNBB0096E05.1 PROTEIN', 154415),
(210690, 'PTHR24056:SF129', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 4', 154416),
(210691, 'PTHR48085:SF7', NULL, NULL, NULL, NULL, 'CADMIUM/ZINC-TRANSPORTING ATPASE HMA2', 154417),
(210692, 'PTHR46069:SF1', NULL, NULL, NULL, NULL, 'TUBULIN TYROSINE LIGASE', 154418),
(210693, 'PTHR24377:SF765', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 765-RELATED', 154419),
(210694, 'PTHR23430:SF137', NULL, NULL, NULL, NULL, 'HISTONE H2A', 154420),
(210695, 'PTHR21353:SF7', NULL, NULL, NULL, NULL, 'CARDIOTROPHIN-LIKE CYTOKINE FACTOR 1', 154421),
(210696, 'PTHR33162:SF4', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATA/B/E-RELATED', 154422),
(210697, 'PTHR47352:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154423);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(210698, 'PTHR15758:SF2', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 13', 154424),
(210699, 'PTHR13878:SF105', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 9', 154425),
(210700, 'PTHR31500:SF18', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 3', 154426),
(210701, 'PTHR10792:SF35', NULL, NULL, NULL, NULL, 'OS05G0486700 PROTEIN', 154427),
(210702, 'PTHR45616:SF31', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 73', 154428),
(210703, 'PTHR32303:SF16', NULL, NULL, NULL, NULL, 'PQQ ENZYME REPEAT PROTEIN', 154429),
(210704, 'PTHR32196:SF29', NULL, NULL, NULL, NULL, 'AUTOINDUCER 2 IMPORT SYSTEM PERMEASE PROTEIN LSRC', 154430),
(210705, 'PTHR21257:SF37', NULL, NULL, NULL, NULL, 'DELTA(14)-STEROL REDUCTASE', 154431),
(210706, 'PTHR34568:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154432),
(210707, 'PTHR46463:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154433),
(210708, 'PTHR13045:SF3', NULL, NULL, NULL, NULL, '7-METHYLGUANOSINE PHOSPHATE-SPECIFIC 5''-NUCLEOTIDASE', 154434),
(210709, 'PTHR20851:SF0', NULL, NULL, NULL, NULL, 'FI20150P1-RELATED', 154435),
(210710, 'PTHR18820:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LEG1 HOMOLOG', 154436),
(210711, 'PTHR45863:SF37', NULL, NULL, NULL, NULL, 'BNAC03G36150D PROTEIN', 154437),
(210712, 'PTHR30302:SF5', NULL, NULL, NULL, NULL, 'SLR1876 PROTEIN', 154438),
(210713, 'PTHR47797:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154439),
(210714, 'PTHR43727', NULL, NULL, NULL, NULL, 'DIAMINOPIMELATE DECARBOXYLASE', 154440),
(210715, 'PTHR33086:SF32', NULL, NULL, NULL, NULL, 'OS01G0244000 PROTEIN', 154441),
(210716, 'PTHR10315:SF125', NULL, NULL, NULL, NULL, 'UBIQUITIN LIGASE SINAT3', 154442),
(210717, 'PTHR23036:SF103', NULL, NULL, NULL, NULL, 'GRANULOCYTE COLONY-STIMULATING FACTOR RECEPTOR', 154443),
(210718, 'PTHR34778:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154444),
(210719, 'PTHR45842:SF14', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT, IMMUNOGLOBULIN-LIKE DOMAIN AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2', 154445),
(210720, 'PTHR46869:SF9', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN', 154446),
(210721, 'PTHR47906:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154447),
(210722, 'PTHR32080:SF49', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 154448),
(210723, 'PTHR21707', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 154449),
(210724, 'PTHR43349:SF47', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PINORESINOL-LARICIRESINOL REDUCTASE-LIKE', 154450),
(210725, 'PTHR12626:SF2', NULL, NULL, NULL, NULL, 'MA3 DOMAIN-CONTAINING PROTEIN', 154451),
(210726, 'PTHR31360:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154452),
(210727, 'PTHR30445:SF9', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YBJL-RELATED', 154453),
(210728, 'PTHR47323:SF6', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', 154454),
(210729, 'PTHR37456:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154455),
(210730, 'PTHR10809:SF133', NULL, NULL, NULL, NULL, 'BNAC03G64150D PROTEIN', 154456),
(210731, 'PTHR15947:SF0', NULL, NULL, NULL, NULL, 'INTERLEUKIN-23 SUBUNIT ALPHA', 154457),
(210732, 'PTHR11034:SF17', NULL, NULL, NULL, NULL, 'PROTEIN NDRG2', 154458),
(210733, 'PTHR13593:SF101', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL PHOSPHODIESTERASE-LIKE PROTEIN', 154459),
(210734, 'PTHR31977', NULL, NULL, NULL, NULL, 'UPF0696 PROTEIN C11ORF68', 154460),
(210735, 'PTHR24228:SF53', NULL, NULL, NULL, NULL, 'MELATONIN RECEPTOR TYPE 1A', 154461),
(210736, 'PTHR13832:SF688', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 32', 154462),
(210737, 'PTHR48111:SF32', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 154463),
(210738, 'PTHR33215:SF11', NULL, NULL, NULL, NULL, 'BLR1542 PROTEIN', 154464),
(210739, 'PTHR11886:SF97', NULL, NULL, NULL, NULL, 'OS02G0580400 PROTEIN', 154465),
(210740, 'PTHR40638', NULL, NULL, NULL, NULL, 'UPF0591 MEMBRANE PROTEIN C15E1.02C', 154466),
(210741, 'PTHR38226', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 154467),
(210742, 'PTHR11879:SF45', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 154468);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(210743, 'PTHR30332', NULL, NULL, NULL, NULL, 'PROBABLE GENERAL SECRETION PATHWAY PROTEIN D', 154469),
(210744, 'PTHR46344', NULL, NULL, NULL, NULL, 'OS02G0202900 PROTEIN', 154470),
(210745, 'PTHR45637:SF12', NULL, NULL, NULL, NULL, 'PROTEIN KINASE PINOID 2', 154471),
(210746, 'PTHR27000:SF725', NULL, NULL, NULL, NULL, 'OS07G0602700 PROTEIN', 154472),
(210747, 'PTHR13622:SF6', NULL, NULL, NULL, NULL, 'THIAMINE PYROPHOSPHOKINASE 2', 154473),
(210748, 'PTHR10209:SF698', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 1', 154474),
(210749, 'PTHR22835:SF235', NULL, NULL, NULL, NULL, 'LIPASE-LIKE PROTEIN', 154475),
(210750, 'PTHR42825:SF29', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 154476),
(210751, 'PTHR43775', NULL, NULL, NULL, NULL, 'FATTY ACID SYNTHASE', 154477),
(210752, 'PTHR47753:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 154478),
(210753, 'PTHR47969:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154479),
(210754, 'PTHR47661:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCAN PHOSPHATASE LSF1, CHLOROPLASTIC', 154480),
(210755, 'PTHR22884:SF496', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASHH2-LIKE', 154481),
(210756, 'PTHR11347:SF73', NULL, NULL, NULL, NULL, 'ROD CGMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE SUBUNIT BETA', 154482),
(210757, 'PTHR24296:SF96', NULL, NULL, NULL, NULL, 'BNAA06G40570D PROTEIN', 154483),
(210758, 'PTHR31152:SF9', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', 154484),
(210759, 'PTHR45807:SF7', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE HOPSCOTCH', 154485),
(210760, 'PTHR23063:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG04511', 154486),
(210761, 'PTHR45786:SF23', NULL, NULL, NULL, NULL, 'OS12G0539700 PROTEIN', 154487),
(210762, 'PTHR46526:SF1', NULL, NULL, NULL, NULL, 'CHORDIN', 154488),
(210763, 'PTHR24652:SF67', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR CLASS A DOMAIN-CONTAINING PROTEIN 2', 154489),
(210764, 'PTHR11945:SF652', NULL, NULL, NULL, NULL, 'BNAC04G28840D PROTEIN', 154490),
(210765, 'PTHR11732:SF415', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE-RELATED', 154491),
(210766, 'PTHR10353:SF225', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 12-LIKE', 154492),
(210767, 'PTHR14095:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B''''DELTA-RELATED', 154493),
(210768, 'PTHR21521:SF0', NULL, NULL, NULL, NULL, 'ZGC:112496', 154494),
(210769, 'PTHR23262:SF8', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-2', 154495),
(210770, 'PTHR24298:SF813', NULL, NULL, NULL, NULL, 'ISOFLAVONE 3''-HYDROXYLASE-LIKE', 154496),
(210771, 'PTHR45974:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154497),
(210772, 'PTHR46542', NULL, NULL, NULL, NULL, 'X-BOX BINDING PROTEIN 1', 154498),
(210773, 'PTHR22928', NULL, NULL, NULL, NULL, 'TELOMERE-ASSOCIATED PROTEIN  RIF1', 154499),
(210774, 'PTHR33597:SF11', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 154500),
(210775, 'PTHR10641:SF1245', NULL, NULL, NULL, NULL, 'BNAA04G28770D PROTEIN', 154501),
(210776, 'PTHR11434:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154502),
(210777, 'PTHR24343:SF388', NULL, NULL, NULL, NULL, 'AGAP008765-PA', 154503),
(210778, 'PTHR21562:SF82', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 154504),
(210779, 'PTHR45288:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN FAMILY PROTEIN', 154505),
(210780, 'PTHR45737:SF5', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 154506),
(210781, 'PTHR33547:SF1', NULL, NULL, NULL, NULL, 'ZGC:174862', 154507),
(210782, 'PTHR10634:SF98', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 3', 154508),
(210783, 'PTHR19384:SF115', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', 154509),
(210784, 'PTHR47071:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TRM32', 154510),
(210785, 'PTHR10168:SF259', NULL, NULL, NULL, NULL, 'BNAA09G50800D PROTEIN', 154511),
(210786, 'PTHR31989:SF366', NULL, NULL, NULL, NULL, 'OS09G0295000 PROTEIN', 154512),
(210787, 'PTHR11620:SF73', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A-LIKE', 154513);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(210788, 'PTHR43418:SF4', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL TRYPTOPHAN BIOSYNTHESIS PROTEIN', 154514),
(210789, 'PTHR44167:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FHKE-RELATED', 154515),
(210790, 'PTHR31223:SF44', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 154516),
(210791, 'PTHR22943:SF39', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 154517),
(210792, 'PTHR14281:SF0', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SPC25', 154518),
(210793, 'PTHR11615:SF285', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 154519),
(210794, 'PTHR17601:SF1', NULL, NULL, NULL, NULL, 'RAFTLIN-2', 154520),
(210795, 'PTHR23262:SF149', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-8', 154521),
(210796, 'PTHR23079', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 154522),
(210797, 'PTHR35365:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154523),
(210798, 'PTHR11592:SF116', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 154524),
(210799, 'PTHR39068:SF5', NULL, NULL, NULL, NULL, 'PUPAL CUTICLE PROTEIN C1B-LIKE PROTEIN', 154525),
(210800, 'PTHR13878:SF127', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 3', 154526),
(210801, 'PTHR14145:SF5', NULL, NULL, NULL, NULL, 'BNAA09G38820D PROTEIN', 154527),
(210802, 'PTHR31960:SF24', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, PHLOEM PROTEIN 2-LIKE PROTEIN-RELATED', 154528),
(210803, 'PTHR43895:SF32', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE KINASE', 154529),
(210804, 'PTHR46226:SF7', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 154530),
(210805, 'PTHR19304:SF10', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-7', 154531),
(210806, 'PTHR31928:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154532),
(210807, 'PTHR35296:SF1', NULL, NULL, NULL, NULL, 'OS02G0445700 PROTEIN', 154533),
(210808, 'PTHR47928:SF164', NULL, NULL, NULL, NULL, 'OS02G0625100 PROTEIN', 154534),
(210809, 'PTHR24093:SF457', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 154535),
(210810, 'PTHR35485', NULL, NULL, NULL, NULL, 'OS01G0888900 PROTEIN', 154536),
(210811, 'PTHR11910:SF17', NULL, NULL, NULL, NULL, 'BNAC07G13560D PROTEIN', 154537),
(210812, 'PTHR27000:SF470', NULL, NULL, NULL, NULL, 'OS02G0154975 PROTEIN', 154538),
(210813, 'PTHR47864:SF4', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 154539),
(210814, 'PTHR40201', NULL, NULL, NULL, NULL, 'OSMIOPHILIC BODY PROTEIN', 154540),
(210815, 'PTHR19282:SF214', NULL, NULL, NULL, NULL, 'CD81 ANTIGEN', 154541),
(210816, 'PTHR45642:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154542),
(210817, 'PTHR42942', NULL, NULL, NULL, NULL, '6-O-METHYLGUANINE DNA METHYLTRANSFERASE', 154543),
(210818, 'PTHR26452:SF83', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 154544),
(210819, 'PTHR14340:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154545),
(210820, 'PTHR24161:SF87', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_1G14510)', 154546),
(210821, 'PTHR35300:SF5', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', 154547),
(210822, 'PTHR31339:SF59', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', 154548),
(210823, 'PTHR46631:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154549),
(210824, 'PTHR47943:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 93A3-LIKE', 154550),
(210825, 'PTHR23316:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154551),
(210826, 'PTHR24107:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-81A5.5', 154552),
(210827, 'PTHR12270:SF50', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE PROTEIN GNT12-RELATED', 154553),
(210828, 'PTHR31503:SF54', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', 154554),
(210829, 'PTHR12828:SF4', NULL, NULL, NULL, NULL, 'PROTEASOME MATURATION FACTOR UMP1', 154555),
(210830, 'PTHR11206:SF413', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 154556),
(210831, 'PTHR47098', NULL, NULL, NULL, NULL, 'PROTEIN MAK32', 154557),
(210832, 'PTHR15995:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ZWILCH HOMOLOG', 154558);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(210833, 'PTHR13103', NULL, NULL, NULL, NULL, 'SCHWANNOMIN INTERACTING PROTEIN 1', 154559),
(210834, 'PTHR15498', NULL, NULL, NULL, NULL, 'T-CELL IMMUNOGLOBULIN AND MUCIN DOMAIN CONTAINING  TIM', 154560),
(210835, 'PTHR31235:SF192', NULL, NULL, NULL, NULL, 'PEROXIDASE', 154561),
(210836, 'PTHR30523:SF25', NULL, NULL, NULL, NULL, 'OS01G0208700 PROTEIN', 154562),
(210837, 'PTHR11008:SF15', NULL, NULL, NULL, NULL, 'AGAP001984-PA', 154563),
(210838, 'PTHR34483', NULL, NULL, NULL, NULL, 'OS09G0129800 PROTEIN', 154564),
(210839, 'PTHR10218:SF85', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT ALPHA-13', 154565),
(210840, 'PTHR38797:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154566),
(210841, 'PTHR47928:SF140', NULL, NULL, NULL, NULL, 'OS06G0705350 PROTEIN', 154567),
(210842, 'PTHR45675:SF78', NULL, NULL, NULL, NULL, 'OS02G0618400 PROTEIN', 154568),
(210843, 'PTHR31852:SF231', NULL, NULL, NULL, NULL, 'BNAC03G47250D PROTEIN', 154569),
(210844, 'PTHR10106:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG08803', 154570),
(210845, 'PTHR47926:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154571),
(210846, 'PTHR24241:SF133', NULL, NULL, NULL, NULL, 'SI:DKEY-178O16.4', 154572),
(210847, 'PTHR32448:SF70', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 27-RELATED', 154573),
(210848, 'PTHR32191:SF51', NULL, NULL, NULL, NULL, 'TETRASPANIN-5', 154574),
(210849, 'PTHR35730:SF2', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SPC24 HOMOLOG-RELATED', 154575),
(210850, 'PTHR45852', NULL, NULL, NULL, NULL, 'SER/THR-PROTEIN KINASE RIO2', 154576),
(210851, 'PTHR34462:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154577),
(210852, 'PTHR47357:SF1', NULL, NULL, NULL, NULL, 'COP1-INTERACTIVE PROTEIN 1', 154578),
(210853, 'PTHR32285:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154579),
(210854, 'PTHR33919:SF12', NULL, NULL, NULL, NULL, 'BNAA02G21910D PROTEIN', 154580),
(210855, 'PTHR40459:SF1', NULL, NULL, NULL, NULL, 'CONSERVED HYPOTHETICAL ALANINE AND LEUCINE RICH PROTEIN', 154581),
(210856, 'PTHR23226:SF180', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 496', 154582),
(210857, 'PTHR24384:SF129', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 626', 154583),
(210858, 'PTHR27005:SF59', NULL, NULL, NULL, NULL, 'OS12G0614851 PROTEIN', 154584),
(210859, 'PTHR12701:SF15', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED PROTEIN 31', 154585),
(210860, 'PTHR31080:SF217', NULL, NULL, NULL, NULL, 'OS01G0111000 PROTEIN', 154586),
(210861, 'PTHR10091:SF25', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 154587),
(210862, 'PTHR31048:SF86', NULL, NULL, NULL, NULL, 'THAUMATIN-RELATED', 154588),
(210863, 'PTHR12064:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154589),
(210864, 'PTHR20914:SF18', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 FAMILY MEMBER M2-RELATED', 154590),
(210865, 'PTHR48018:SF141', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 154591),
(210866, 'PTHR23155:SF1140', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', 154592),
(210867, 'PTHR10589:SF31', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 154593),
(210868, 'PTHR43662:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154594),
(210869, 'PTHR22933:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154595),
(210870, 'PTHR11442:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154596),
(210871, 'PTHR33077:SF54', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10B', 154597),
(210872, 'PTHR45719:SF23', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14A-LIKE', 154598),
(210873, 'PTHR21450:SF21', NULL, NULL, NULL, NULL, 'REDUCTASE SUBUNIT C, PUTATIVE (DUF630 AND DUF632)-RELATED', 154599),
(210874, 'PTHR45187:SF2', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 11, CHLOROPLASTIC', 154600),
(210875, 'PTHR21011:SF13', NULL, NULL, NULL, NULL, 'TRANSLATION ELONGATION FACTOR EF1B/RIBOSOMAL PROTEIN S6 FAMILY PROTEIN', 154601),
(210876, 'PTHR14241:SF2', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN 44-LIKE', 154602),
(210877, 'PTHR24221:SF519', NULL, NULL, NULL, NULL, 'OS01G0534700 PROTEIN', 154603);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(210878, 'PTHR22298:SF131', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 17', 154604),
(210879, 'PTHR30314', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSZ-RELATED', 154605),
(210880, 'PTHR40412:SF1', NULL, NULL, NULL, NULL, 'SF-ASSEMBLIN', 154606),
(210881, 'PTHR48043:SF34', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-55-RELATED', 154607),
(210882, 'PTHR26453:SF637', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 154608),
(210883, 'PTHR23042:SF76', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR NUCLEAR TRANSLOCATOR HOMOLOG', 154609),
(210884, 'PTHR23048:SF30', NULL, NULL, NULL, NULL, 'CARDIAC MYOSIN LIGHT CHAIN-1', 154610),
(210885, 'PTHR35399:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 154611),
(210886, 'PTHR31639:SF96', NULL, NULL, NULL, NULL, 'FBD-LIKE DOMAIN FAMILY PROTEIN', 154612),
(210887, 'PTHR43853:SF3', NULL, NULL, NULL, NULL, 'ACETYL-COA C-ACETYLTRANSFERASE YHFS-RELATED', 154613),
(210888, 'PTHR12542:SF45', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 154614),
(210889, 'PTHR48018:SF27', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8G2-RELATED', 154615),
(210890, 'PTHR37153:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 19 C19ORF81 HOMOLOG', 154616),
(210891, 'PTHR30540:SF125', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 22', 154617),
(210892, 'PTHR47424:SF2', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 154618),
(210893, 'PTHR47123:SF7', NULL, NULL, NULL, NULL, 'BNAA08G12380D PROTEIN', 154619),
(210894, 'PTHR24392:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER Y-CHROMOSOMAL PROTEIN 1', 154620),
(210895, 'PTHR45806:SF7', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN-LIKE PROTEIN-RELATED', 154621),
(210896, 'PTHR31251:SF145', NULL, NULL, NULL, NULL, 'BNAA07G08840D PROTEIN', 154622),
(210897, 'PTHR46704', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 154623),
(210898, 'PTHR44329:SF62', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY8-LIKE ISOFORM X1', 154624),
(210899, 'PTHR22844:SF372', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN DCAF11/LEC14B-RELATED', 154625),
(210900, 'PTHR15929', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 154626),
(210901, 'PTHR46369:SF7', NULL, NULL, NULL, NULL, 'BNACNNG13700D PROTEIN', 154627),
(210902, 'PTHR47017', NULL, NULL, NULL, NULL, 'ACYL-COA', 154628),
(210903, 'PTHR10379:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBFA2T1', 154629),
(210904, 'PTHR46463:SF30', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE AIRP1-RELATED', 154630),
(210905, 'PTHR13137:SF6', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE ASSEMBLY FACTOR 3, MITOCHONDRIAL', 154631),
(210906, 'PTHR13723:SF24', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 14', 154632),
(210907, 'PTHR22055', NULL, NULL, NULL, NULL, '28 KDA HEAT- AND ACID-STABLE PHOSPHOPROTEIN  PDGF-ASSOCIATED PROTEIN', 154633),
(210908, 'PTHR10802:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM40B', 154634),
(210909, 'PTHR34452:SF9', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', 154635),
(210910, 'PTHR11691:SF37', NULL, NULL, NULL, NULL, 'INTERFERON OMEGA-1', 154636),
(210911, 'PTHR14360:SF20', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 90-LIKE PROTEIN-RELATED', 154637),
(210912, 'PTHR10426:SF89', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 11-LIKE', 154638),
(210913, 'PTHR45631:SF118', NULL, NULL, NULL, NULL, 'BNAA02G06920D PROTEIN', 154639),
(210914, 'PTHR31865:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154640),
(210915, 'PTHR31184:SF2', NULL, NULL, NULL, NULL, 'HUNTINGTIN-INTERACTING PROTEIN K', 154641),
(210916, 'PTHR43329:SF100', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', 154642),
(210917, 'PTHR24247:SF183', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR M3', 154643),
(210918, 'PTHR14221:SF36', NULL, NULL, NULL, NULL, 'SIMILARITY TO WD-CONTAINING PROTEIN', 154644),
(210919, 'PTHR33184:SF11', NULL, NULL, NULL, NULL, 'OS02G0511600 PROTEIN', 154645),
(210920, 'PTHR34224:SF18', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 3', 154646);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(210921, 'PTHR31790:SF376', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 154647),
(210922, 'PTHR46873', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 154648),
(210923, 'PTHR45648:SF56', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN', 154649),
(210924, 'PTHR46889', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSF FOR INSERTION SEQUENCE IS3B-RELATED', 154650),
(210925, 'PTHR24206:SF64', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN D', 154651),
(210926, 'PTHR10218:SF116', NULL, NULL, NULL, NULL, 'G PROTEIN, ALPHA SUBUNIT', 154652),
(210927, 'PTHR48025:SF11', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN CP33, CHLOROPLASTIC', 154653),
(210928, 'PTHR22593:SF14', NULL, NULL, NULL, NULL, 'BNAC07G48210D PROTEIN', 154654),
(210929, 'PTHR11700:SF31', NULL, NULL, NULL, NULL, 'BNAC05G40270D PROTEIN', 154655),
(210930, 'PTHR15347:SF1', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 5', 154656),
(210931, 'PTHR11850:SF68', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN TGIF2', 154657),
(210932, 'PTHR33116:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154658),
(210933, 'PTHR45657:SF11', NULL, NULL, NULL, NULL, 'CELLULAR RETINALDEHYDE BINDING/ALPHA-TOCOPHEROL TRANSPORT, CRAL/TRIO-RELATED', 154659),
(210934, 'PTHR11599:SF154', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 154660),
(210935, 'PTHR46034:SF23', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', 154661),
(210936, 'PTHR31657:SF22', NULL, NULL, NULL, NULL, 'OS10G0371100 PROTEIN', 154662),
(210937, 'PTHR31268:SF8', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 4-RELATED', 154663),
(210938, 'PTHR10809:SF97', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 154664),
(210939, 'PTHR31903:SF6', NULL, NULL, NULL, NULL, 'F12F1.11-RELATED', 154665),
(210940, 'PTHR12850:SF30', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S25', 154666),
(210941, 'PTHR15955:SF3', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN 2A', 154667),
(210942, 'PTHR27009:SF244', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 154668),
(210943, 'PTHR14155:SF489', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154669),
(210944, 'PTHR11440:SF3', NULL, NULL, NULL, NULL, 'LECITHIN-CHOLESTEROL ACYLTRANSFERASE-LIKE 4', 154670),
(210945, 'PTHR10161:SF38', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 154671),
(210946, 'PTHR22802:SF404', NULL, NULL, NULL, NULL, 'SI:DKEY-9I23.4-RELATED', 154672),
(210947, 'PTHR23204:SF7', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 6', 154673),
(210948, 'PTHR31929:SF100', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A', 154674),
(210949, 'PTHR46045:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 154675),
(210950, 'PTHR33801:SF12', NULL, NULL, NULL, NULL, 'OS01G0959100 PROTEIN', 154676),
(210951, 'PTHR10953:SF224', NULL, NULL, NULL, NULL, 'SUMO-ACTIVATING ENZYME SUBUNIT', 154677),
(210952, 'PTHR24221:SF524', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE ABC TRANSPORTER ATP-BINDING/PERMEASE PROTEIN BMRA', 154678),
(210953, 'PTHR11877:SF80', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 1', 154679),
(210954, 'PTHR11474', NULL, NULL, NULL, NULL, 'TYROSINASE FAMILY MEMBER', 154680),
(210955, 'PTHR44826', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 154681),
(210956, 'PTHR33044:SF138', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN-LIKE', 154682),
(210957, 'PTHR15350:SF8', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 7B', 154683),
(210958, 'PTHR37517:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154684),
(210959, 'PTHR15852:SF58', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DNAJ, CYSTEINE-RICH DOMAIN-CONTAINING PROTEIN-RELATED', 154685),
(210960, 'PTHR48021:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154686),
(210961, 'PTHR33463:SF34', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPS2', 154687),
(210962, 'PTHR22945:SF92', NULL, NULL, NULL, NULL, 'PROTEIN CBG19324', 154688),
(210963, 'PTHR12389:SF1', NULL, NULL, NULL, NULL, 'BNACNNG31900D PROTEIN', 154689),
(210964, 'PTHR10660:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154690);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(210965, 'PTHR31375:SF170', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', 154691),
(210966, 'PTHR34463:SF12', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 154692),
(210967, 'PTHR34654', NULL, NULL, NULL, NULL, 'UPF0109 PROTEIN SCO5592', 154693),
(210968, 'PTHR34150:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG08832', 154694),
(210969, 'PTHR24298:SF837', NULL, NULL, NULL, NULL, 'TRYPTOPHAN N-MONOOXYGENASE 2', 154695),
(210970, 'PTHR22952:SF431', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 12', 154696),
(210971, 'PTHR12161:SF61', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', 154697),
(210972, 'PTHR11353:SF192', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ALPHA', 154698),
(210973, 'PTHR26379:SF240', NULL, NULL, NULL, NULL, 'OS06G0668400 PROTEIN', 154699),
(210974, 'PTHR43133:SF19', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-E FACTOR', 154700),
(210975, 'PTHR11877:SF77', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 1', 154701),
(210976, 'PTHR33499:SF21', NULL, NULL, NULL, NULL, 'OS09G0337500 PROTEIN', 154702),
(210977, 'PTHR31458:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154703),
(210978, 'PTHR21576:SF131', NULL, NULL, NULL, NULL, 'RRP12-LIKE PROTEIN', 154704),
(210979, 'PTHR45500', NULL, NULL, NULL, NULL, 'OS02G0202600 PROTEIN', 154705),
(210980, 'PTHR43380:SF1', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT ALPHA, MITOCHONDRIAL', 154706),
(210981, 'PTHR12378:SF59', NULL, NULL, NULL, NULL, 'PPPDE PUTATIVE PEPTIDASE DOMAIN-CONTAINING PROTEIN-RELATED', 154707),
(210982, 'PTHR11679:SF27', NULL, NULL, NULL, NULL, 'SYNTAXIN-BINDING PROTEIN 2', 154708),
(210983, 'PTHR30345:SF0', NULL, NULL, NULL, NULL, 'DNA DAMAGE-REPAIR/TOLERATION PROTEIN DRT102', 154709),
(210984, 'PTHR31696:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154710),
(210985, 'PTHR33789', NULL, NULL, NULL, NULL, 'LACHRYMATORY-FACTOR SYNTHASE', 154711),
(210986, 'PTHR16271', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 34/46 FAMILY MEMBER', 154712),
(210987, 'PTHR43713:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE-1-SEMIALDEHYDE 2,1-AMINOMUTASE 2', 154713),
(210988, 'PTHR10458:SF16', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE 2', 154714),
(210989, 'PTHR12192:SF23', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLCYCLOTRANSFERASE 2-2', 154715),
(210990, 'PTHR24136:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154716),
(210991, 'PTHR11851:SF197', NULL, NULL, NULL, NULL, 'FAMILY, PUTATIVE-RELATED', 154717),
(210992, 'PTHR44846:SF1', NULL, NULL, NULL, NULL, 'MANNOSYL-D-GLYCERATE TRANSPORT/METABOLISM SYSTEM REPRESSOR MNGR-RELATED', 154718),
(210993, 'PTHR13061:SF41', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE 1, MITOCHONDRIAL', 154719),
(210994, 'PTHR32295:SF97', NULL, NULL, NULL, NULL, 'OS01G0708700 PROTEIN', 154720),
(210995, 'PTHR11430:SF130', NULL, NULL, NULL, NULL, 'ODORANT-BINDING PROTEIN 1A-RELATED', 154721),
(210996, 'PTHR33623:SF5', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD1B-LIKE PROTEIN', 154722),
(210997, 'PTHR32285:SF293', NULL, NULL, NULL, NULL, 'PROTEIN ESKIMO 1-LIKE', 154723),
(210998, 'PTHR13690:SF140', NULL, NULL, NULL, NULL, 'BNAA04G12030D PROTEIN', 154724),
(210999, 'PTHR36443', NULL, NULL, NULL, NULL, 'BSR5223 PROTEIN', 154725),
(211000, 'PTHR31374:SF331', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154726),
(211001, 'PTHR32378', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 3', 154727),
(211002, 'PTHR11675:SF41', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 10', 154728),
(211003, 'PTHR31623:SF31', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 154729),
(211004, 'PTHR26452:SF51', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 14A2', 154730),
(211005, 'PTHR31989:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154731),
(211006, 'PTHR32479:SF17', NULL, NULL, NULL, NULL, 'GLYCOLATE OXIDASE IRON-SULFUR SUBUNIT', 154732),
(211007, 'PTHR31778', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN RAX2', 154733),
(211008, 'PTHR42774', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM TRANSPORT PROTEIN', 154734);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(211009, 'PTHR13301:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154735),
(211010, 'PTHR36975:SF2', NULL, NULL, NULL, NULL, 'TRANSLOCATED ACTIN-RECRUITING PHOSPHOPROTEIN', 154736),
(211011, 'PTHR37885:SF1', NULL, NULL, NULL, NULL, 'CMT1A DUPLICATED REGION TRANSCRIPT 4 PROTEIN', 154737),
(211012, 'PTHR32468:SF100', NULL, NULL, NULL, NULL, 'OS12G0616500 PROTEIN', 154738),
(211013, 'PTHR23351:SF25', NULL, NULL, NULL, NULL, 'FOS-RELATED ANTIGEN 2', 154739),
(211014, 'PTHR32153:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154740),
(211015, 'PTHR46398:SF5', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 154741),
(211016, 'PTHR31559', NULL, NULL, NULL, NULL, 'PYRIDOXAL 5''-PHOSPHATE SYNTHASE SUBUNIT SNO', 154742),
(211017, 'PTHR18952:SF237', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154743),
(211018, 'PTHR24327:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154744),
(211019, 'PTHR32141:SF40', NULL, NULL, NULL, NULL, 'OS06G0492900 PROTEIN', 154745),
(211020, 'PTHR36403', NULL, NULL, NULL, NULL, 'PROTEIN COFACTOR ASSEMBLY OF COMPLEX C SUBUNIT B CCB2, CHLOROPLASTIC', 154746),
(211021, 'PTHR21022:SF34', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', 154747),
(211022, 'PTHR46528', NULL, NULL, NULL, NULL, 'PROTEIN SON', 154748),
(211023, 'PTHR19327:SF0', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 4', 154749),
(211024, 'PTHR43763:SF14', NULL, NULL, NULL, NULL, 'BNAA08G15420D PROTEIN', 154750),
(211025, 'PTHR32499:SF3', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 16', 154751),
(211026, 'PTHR27006:SF434', NULL, NULL, NULL, NULL, 'COLD-RESPONSIVE PROTEIN KINASE 1-LIKE', 154752),
(211027, 'PTHR43553:SF2', NULL, NULL, NULL, NULL, 'PEPTIDE EXPORT ATP-BINDING PROTEIN YYDI-RELATED', 154753),
(211028, 'PTHR48002:SF21', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 154754),
(211029, 'PTHR10336:SF186', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 154755),
(211030, 'PTHR43049:SF5', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN, EMBRYONIC SMOOTH PROTEIN', 154756),
(211031, 'PTHR46371:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154757),
(211032, 'PTHR35477', NULL, NULL, NULL, NULL, 'OS06G0728500 PROTEIN', 154758),
(211033, 'PTHR15454:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154759),
(211034, 'PTHR32023:SF2', NULL, NULL, NULL, NULL, 'PILR ALPHA-ASSOCIATED NEURAL PROTEIN', 154760),
(211035, 'PTHR15241:SF290', NULL, NULL, NULL, NULL, '29 KDA RIBONUCLEOPROTEIN A, CHLOROPLASTIC', 154761),
(211036, 'PTHR24023:SF917', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE VI ALPHA 1 CHAIN', 154762),
(211037, 'PTHR20956', NULL, NULL, NULL, NULL, 'HEH2P', 154763),
(211038, 'PTHR28588:SF1', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 5', 154764),
(211039, 'PTHR34605:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154765),
(211040, 'PTHR31374:SF224', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 154766),
(211041, 'PTHR24343:SF387', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2D', 154767),
(211042, 'PTHR11955:SF146', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN HOMOLOG 6', 154768),
(211043, 'PTHR10641:SF1293', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB94-RELATED', 154769),
(211044, 'PTHR16201:SF47', NULL, NULL, NULL, NULL, 'PQ-LOOP REPEAT FAMILY PROTEIN / TRANSMEMBRANE FAMILY PROTEIN-RELATED', 154770),
(211045, 'PTHR11850:SF292', NULL, NULL, NULL, NULL, 'ELK DOMAIN, HOMEOBOX KN DOMAIN, HOMEODOMAIN-LIKE PROTEIN-RELATED', 154771),
(211046, 'PTHR10992:SF1039', NULL, NULL, NULL, NULL, 'BNAA04G09860D PROTEIN', 154772),
(211047, 'PTHR14948:SF40', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2200002J24 GENE', 154773),
(211048, 'PTHR32031:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154774),
(211049, 'PTHR10174:SF130', NULL, NULL, NULL, NULL, 'ALPHA-TOCOPHEROL TRANSFER PROTEIN', 154775),
(211050, 'PTHR45906:SF6', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE 6', 154776),
(211051, 'PTHR24092:SF194', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 154777); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(211052, 'PTHR36456', NULL, NULL, NULL, NULL, 'UPF0232 PROTEIN SCO3875', 154778),
(211053, 'PTHR11461:SF211', NULL, NULL, NULL, NULL, 'ACCESSORY GLAND PROTEIN ACP76A-RELATED', 154779),
(211054, 'PTHR23347:SF4', NULL, NULL, NULL, NULL, 'COLORECTAL MUTANT CANCER PROTEIN', 154780),
(211055, 'PTHR31385:SF4', NULL, NULL, NULL, NULL, 'F28C11.15-RELATED', 154781),
(211056, 'PTHR31218:SF323', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 154782),
(211057, 'PTHR24212:SF1', NULL, NULL, NULL, NULL, 'ZYXIN', 154783),
(211058, 'PTHR33070:SF85', NULL, NULL, NULL, NULL, 'BNAC07G32250D PROTEIN', 154784),
(211059, 'PTHR24056:SF368', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE G-2-LIKE', 154785),
(211060, 'PTHR44942:SF7', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TPCM', 154786),
(211061, 'PTHR48167:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 154787),
(211062, 'PTHR21082', NULL, NULL, NULL, NULL, 'PROTEIN INTURNED', 154788),
(211063, 'PTHR48081:SF4', NULL, NULL, NULL, NULL, 'LIPASE/THIOESTERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G02590)', 154789),
(211064, 'PTHR24102:SF28', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 21A-LIKE PROTEIN', 154790),
(211065, 'PTHR42110:SF1', NULL, NULL, NULL, NULL, 'L-ASPARAGINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11890)-RELATED', 154791),
(211066, 'PTHR24055:SF458', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154792),
(211067, 'PTHR33095:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154793),
(211068, 'PTHR11220:SF62', NULL, NULL, NULL, NULL, 'BNAA04G21740D PROTEIN', 154794),
(211069, 'PTHR31374:SF252', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32-LIKE', 154795),
(211070, 'PTHR15491:SF9', NULL, NULL, NULL, NULL, 'CIP1-INTERACTING ZINC FINGER PROTEIN', 154796),
(211071, 'PTHR24377:SF880', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA 6 PROTEIN HOMOLOG', 154797),
(211072, 'PTHR10509:SF63', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA 3-O-METHYLTRANSFERASE', 154798),
(211073, 'PTHR14132:SF20', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR', 154799),
(211074, 'PTHR34561', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX ASSEMBLY FACTOR 8', 154800),
(211075, 'PTHR47979:SF68', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, RAN GTPASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 154801),
(211076, 'PTHR46317:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG02921', 154802),
(211077, 'PTHR11362:SF104', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS PROTEIN T', 154803),
(211078, 'PTHR43939:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154804),
(211079, 'PTHR31500:SF56', NULL, NULL, NULL, NULL, 'AT HOOK MOTIF DNA-BINDING FAMILY PROTEIN', 154805),
(211080, 'PTHR11017:SF302', NULL, NULL, NULL, NULL, 'BNAA04G11350D PROTEIN', 154806),
(211081, 'PTHR32295:SF199', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 26-RELATED', 154807),
(211082, 'PTHR43391:SF26', NULL, NULL, NULL, NULL, 'BLL7251 PROTEIN', 154808),
(211083, 'PTHR30231:SF2', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T', 154809),
(211084, 'PTHR24327:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154810),
(211085, 'PTHR15073', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN', 154811),
(211086, 'PTHR10574:SF313', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT GAMMA-2', 154812),
(211087, 'PTHR43177:SF3', NULL, NULL, NULL, NULL, 'PROTEIN NRFC', 154813),
(211088, 'PTHR30572:SF15', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, MEMBRANE PROTEIN', 154814),
(211089, 'PTHR11360:SF233', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY', 154815),
(211090, 'PTHR11239:SF13', NULL, NULL, NULL, NULL, 'ZN FINGER PROTEIN, HYPOTHETICAL', 154816),
(211091, 'PTHR11915:SF248', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN, ERYTHROCYTIC', 154817),
(211092, 'PTHR36734:SF1', NULL, NULL, NULL, NULL, 'YCF37-LIKE PROTEIN', 154818),
(211093, 'PTHR23333:SF24', NULL, NULL, NULL, NULL, 'NSFL1 COFACTOR P47', 154819),
(211094, 'PTHR32401:SF23', NULL, NULL, NULL, NULL, 'LECTIN', 154820),
(211095, 'PTHR45650:SF27', NULL, NULL, NULL, NULL, 'BNAANNG05710D PROTEIN', 154821),
(211096, 'PTHR43880:SF41', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE A', 154822);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(211097, 'PTHR12558:SF27', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 27 HOMOLOG A', 154823),
(211098, 'PTHR48059:SF15', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITING PROTEIN', 154824),
(211099, 'PTHR47117:SF1', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 9', 154825),
(211100, 'PTHR43829:SF24', NULL, NULL, NULL, NULL, 'MIP AQUAPORIN (EUROFUNG)', 154826),
(211101, 'PTHR31267:SF2', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', 154827),
(211102, 'PTHR11926:SF1416', NULL, NULL, NULL, NULL, 'OS10G0332600 PROTEIN', 154828),
(211103, 'PTHR24093:SF479', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 154829),
(211104, 'PTHR11685:SF350', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 154830),
(211105, 'PTHR31371:SF12', NULL, NULL, NULL, NULL, 'AVR9/CF-9 RAPIDLY ELICITED PROTEIN', 154831),
(211106, 'PTHR11782:SF29', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 4', 154832),
(211107, 'PTHR27006:SF29', NULL, NULL, NULL, NULL, 'OS01G0883000 PROTEIN', 154833),
(211108, 'PTHR24404:SF73', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 300-LIKE PROTEIN', 154834),
(211109, 'PTHR46137:SF1', NULL, NULL, NULL, NULL, 'NC DOMAIN-CONTAINING PROTEIN-RELATED', 154835),
(211110, 'PTHR35167:SF3', NULL, NULL, NULL, NULL, 'OS05G0216466 PROTEIN', 154836),
(211111, 'PTHR10460:SF45', NULL, NULL, NULL, NULL, 'ABL INTERACTOR-LIKE PROTEIN 3-RELATED', 154837),
(211112, 'PTHR31301:SF14', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN 1, PUTATIVE, EXPRESSED-RELATED', 154838),
(211113, 'PTHR24020:SF39', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XX) CHAIN', 154839),
(211114, 'PTHR24055:SF390', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 5, PUTATIVE-RELATED', 154840),
(211115, 'PTHR14211:SF10', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NOP53', 154841),
(211116, 'PTHR11349:SF104', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', 154842),
(211117, 'PTHR10949:SF31', NULL, NULL, NULL, NULL, 'LIPOYL SYNTHASE 1, CHLOROPLASTIC', 154843),
(211118, 'PTHR11200:SF127', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 5-PHOSPHATASE A', 154844),
(211119, 'PTHR11260:SF701', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE TAU 4-RELATED', 154845),
(211120, 'PTHR19343:SF16', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 1-1', 154846),
(211121, 'PTHR24286:SF225', NULL, NULL, NULL, NULL, 'ENT-KAURENOIC ACID OXIDASE 1', 154847),
(211122, 'PTHR12192:SF20', NULL, NULL, NULL, NULL, 'GLUTATHIONE-SPECIFIC GAMMA-GLUTAMYLCYCLOTRANSFERASE 2', 154848),
(211123, 'PTHR47381:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154849),
(211124, 'PTHR11439:SF342', NULL, NULL, NULL, NULL, 'POLYPROTEIN, PUTATIVE-RELATED', 154850),
(211125, 'PTHR48017:SF181', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 5', 154851),
(211126, 'PTHR44329', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TNNI3K-RELATED', 154852),
(211127, 'PTHR10956:SF35', NULL, NULL, NULL, NULL, 'BNAA08G14400D PROTEIN', 154853),
(211128, 'PTHR15049:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYL-PHOSPHATIDYLINOSITOL-ANCHORED MOLECULE-LIKE PROTEIN', 154854),
(211129, 'PTHR23308:SF57', NULL, NULL, NULL, NULL, 'GLYCOGEN ACCUMULATION REGULATOR GARA', 154855),
(211130, 'PTHR41164:SF1', NULL, NULL, NULL, NULL, 'CURLI PRODUCTION ASSEMBLY/TRANSPORT COMPONENT CSGG', 154856),
(211131, 'PTHR23509:SF35', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SAM DOMAIN-CONTAINING PROTEIN 6-LIKE ISOFORM X1', 154857),
(211132, 'PTHR13865:SF26', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION PROTEIN ZO-2', 154858),
(211133, 'PTHR10136', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 1 MEMBER', 154859),
(211134, 'PTHR45714:SF19', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', 154860),
(211135, 'PTHR47761:SF4', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 154861),
(211136, 'PTHR34963', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 154862),
(211137, 'PTHR39460:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 154863),
(211138, 'PTHR23051:SF11', NULL, NULL, NULL, NULL, 'BNAA01G32470D PROTEIN', 154864);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(211139, 'PTHR11920:SF71', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-19', 154865),
(211140, 'PTHR10353:SF253', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 28', 154866),
(211141, 'PTHR11977:SF106', NULL, NULL, NULL, NULL, 'VILLIN HEADPIECE, VILLIN/GELSOLIN, ADF-H/GELSOLIN-LIKE DOMAIN PROTEIN-RELATED', 154867),
(211142, 'PTHR46986:SF2', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE-LIKE', 154868),
(211143, 'PTHR33021:SF328', NULL, NULL, NULL, NULL, 'BNAA08G26900D PROTEIN', 154869),
(211144, 'PTHR47968:SF2', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 154870),
(211145, 'PTHR43689:SF17', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 154871),
(211146, 'PTHR10339:SF4', NULL, NULL, NULL, NULL, 'ECTO-ADP-RIBOSYLTRANSFERASE 3', 154872),
(211147, 'PTHR24637:SF316', NULL, NULL, NULL, NULL, 'COLLAGEN', 154873),
(211148, 'PTHR31790:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154874),
(211149, 'PTHR12612:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154875),
(211150, 'PTHR16134:SF36', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FBX14', 154876),
(211151, 'PTHR37263:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 154877),
(211152, 'PTHR31636:SF5', NULL, NULL, NULL, NULL, 'OS05G0500600 PROTEIN', 154878),
(211153, 'PTHR30519:SF21', NULL, NULL, NULL, NULL, 'BNAC09G39920D PROTEIN', 154879),
(211154, 'PTHR10201:SF142', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-25', 154880),
(211155, 'PTHR48105:SF9', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE 1, MITOCHONDRIAL', 154881),
(211156, 'PTHR33115:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154882),
(211157, 'PTHR21578:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG03827', 154883),
(211158, 'PTHR24329:SF543', NULL, NULL, NULL, NULL, 'DORSAL ROOT GANGLIA HOMEOBOX', 154884),
(211159, 'PTHR31374:SF251', NULL, NULL, NULL, NULL, 'BNAC02G44790D PROTEIN', 154885),
(211160, 'PTHR31235:SF343', NULL, NULL, NULL, NULL, 'PEROXIDASE', 154886),
(211161, 'PTHR12349:SF2', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 154887),
(211162, 'PTHR38825:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154888),
(211163, 'PTHR10480:SF8', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG B', 154889),
(211164, 'PTHR47999:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB7', 154890),
(211165, 'PTHR36139', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 5, MITOCHONDRIAL', 154891),
(211166, 'PTHR23130:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154892),
(211167, 'PTHR13466', NULL, NULL, NULL, NULL, 'TEX2 PROTEIN-RELATED', 154893),
(211168, 'PTHR11264:SF21', NULL, NULL, NULL, NULL, 'URACIL-DNA GLYCOSYLASE', 154894),
(211169, 'PTHR30024:SF22', NULL, NULL, NULL, NULL, 'BLL6450 PROTEIN', 154895),
(211170, 'PTHR43139:SF37', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 154896),
(211171, 'PTHR31415:SF118', NULL, NULL, NULL, NULL, 'OSJNBA0088H09.15 PROTEIN', 154897),
(211172, 'PTHR39319:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-256H2.1', 154898),
(211173, 'PTHR43547:SF5', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE D', 154899),
(211174, 'PTHR34803:SF5', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I PSAL, REACTION CENTRE SUBUNIT XI-RELATED', 154900),
(211175, 'PTHR19965:SF81', NULL, NULL, NULL, NULL, 'OS06G0256200 PROTEIN', 154901),
(211176, 'PTHR10426:SF104', NULL, NULL, NULL, NULL, 'BNAC04G01790D PROTEIN', 154902),
(211177, 'PTHR24228:SF22', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR 15', 154903),
(211178, 'PTHR24416:SF356', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN KINASE FLT3', 154904),
(211179, 'PTHR37205:SF1', NULL, NULL, NULL, NULL, 'F23A5.30 PROTEIN', 154905),
(211180, 'PTHR46880:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154906),
(211181, 'PTHR23343:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154907),
(211182, 'PTHR33727:SF15', NULL, NULL, NULL, NULL, 'BNACNNG19470D PROTEIN', 154908),
(211183, 'PTHR11937:SF465', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154909),
(211184, 'PTHR45840', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED PROTEIN', 154910);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(211185, 'PTHR35936:SF22', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ARGININE-BINDING PROTEIN 1', 154911),
(211186, 'PTHR19957:SF228', NULL, NULL, NULL, NULL, 'SYNTAXIN-31', 154912),
(211187, 'PTHR33871:SF18', NULL, NULL, NULL, NULL, 'F24J8.12 PROTEIN', 154913),
(211188, 'PTHR11669:SF0', NULL, NULL, NULL, NULL, 'PROTEIN STICHEL-LIKE 2', 154914),
(211189, 'PTHR12326:SF10', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY M MEMBER 3', 154915),
(211190, 'PTHR45436:SF3', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE HPRS', 154916),
(211191, 'PTHR33312:SF21', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 3-RELATED', 154917),
(211192, 'PTHR31154:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG11935', 154918),
(211193, 'PTHR36945:SF2', NULL, NULL, NULL, NULL, 'HIGH INCIDENCE OF MALES (INCREASED X CHROMOSOME LOSS)-RELATED', 154919),
(211194, 'PTHR31234', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 154920),
(211195, 'PTHR45696:SF15', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1-2', 154921),
(211196, 'PTHR45748:SF16', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1D ISOFORM X1-RELATED', 154922),
(211197, 'PTHR13691:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L8', 154923),
(211198, 'PTHR31621:SF54', NULL, NULL, NULL, NULL, 'OS01G0388700 PROTEIN', 154924),
(211199, 'PTHR46076', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1 / RING 2 FAMILY MEMBER', 154925),
(211200, 'PTHR14155:SF577', NULL, NULL, NULL, NULL, 'BNAA09G18110D PROTEIN', 154926),
(211201, 'PTHR24286:SF289', NULL, NULL, NULL, NULL, 'ENT-KAURENOIC ACID OXIDASE 2', 154927),
(211202, 'PTHR30540:SF105', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 154928),
(211203, 'PTHR24349:SF299', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 29', 154929),
(211204, 'PTHR33312:SF20', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 4-RELATED', 154930),
(211205, 'PTHR12867:SF6', NULL, NULL, NULL, NULL, 'ASPARAGINE LINKED GLYCOSYLATION (ALG) HOMOLOG, NEMATODE', 154931),
(211206, 'PTHR11945:SF561', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 54-RELATED', 154932),
(211207, 'PTHR31238:SF206', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 154933),
(211208, 'PTHR36971:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 154934),
(211209, 'PTHR31374:SF49', NULL, NULL, NULL, NULL, 'AUXIN RESPONSIVE PROTEIN, EXPRESSED', 154935),
(211210, 'PTHR23023:SF234', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 154936),
(211211, 'PTHR18959:SF91', NULL, NULL, NULL, NULL, 'TRANSGELIN', 154937),
(211212, 'PTHR11165:SF92', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 20', 154938),
(211213, 'PTHR47926:SF208', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 154939),
(211214, 'PTHR33865', NULL, NULL, NULL, NULL, 'PROTEIN FAM183B', 154940),
(211215, 'PTHR31311:SF34', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 7-RELATED', 154941),
(211216, 'PTHR11594:SF13', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', 154942),
(211217, 'PTHR37560', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 154943),
(211218, 'PTHR36748:SF5', NULL, NULL, NULL, NULL, 'BNAC02G06370D PROTEIN', 154944),
(211219, 'PTHR33108:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 154945),
(211220, 'PTHR11994:SF17', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11-1', 154946),
(211221, 'PTHR21346:SF5', NULL, NULL, NULL, NULL, 'FUN14 DOMAIN-CONTAINING PROTEIN 2', 154947),
(211222, 'PTHR23239:SF121', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 13', 154948),
(211223, 'PTHR24093:SF434', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 13, PLASMA MEMBRANE-TYPE-RELATED', 154949),
(211224, 'PTHR43689:SF25', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE BODYGUARD 1-RELATED', 154950),
(211225, 'PTHR19370:SF184', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE 1', 154951),
(211226, 'PTHR23073:SF122', NULL, NULL, NULL, NULL, 'PROTEASE REGULATORY SUBUNIT, PUTATIVE-RELATED', 154952),
(211227, 'PTHR34630:SF37', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN, PUTATIVE-RELATED', 154953);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(211228, 'PTHR39244', NULL, NULL, NULL, NULL, 'NATTERIN-4', 154954),
(211229, 'PTHR30555:SF0', NULL, NULL, NULL, NULL, 'CATALASE-PEROXIDASE', 154955),
(211230, 'PTHR33492:SF9', NULL, NULL, NULL, NULL, 'GB|AAB80672.1', 154956),
(211231, 'PTHR35871:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 154957),
(211232, 'PTHR13460', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 154958),
(211233, 'PTHR22883:SF317', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 154959),
(211234, 'PTHR22888:SF20', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 2', 154960),
(211235, 'PTHR24123:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154961),
(211236, 'PTHR48010:SF26', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 154962),
(211237, 'PTHR24061:SF411', NULL, NULL, NULL, NULL, 'MCG21564-RELATED', 154963),
(211238, 'PTHR34267:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154964),
(211239, 'PTHR27008:SF410', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154965),
(211240, 'PTHR31989:SF214', NULL, NULL, NULL, NULL, 'PROTEIN NTM1-LIKE 9', 154966),
(211241, 'PTHR24206:SF74', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', 154967),
(211242, 'PTHR11972:SF160', NULL, NULL, NULL, NULL, 'BNAA09G44270D PROTEIN', 154968),
(211243, 'PTHR30015', NULL, NULL, NULL, NULL, 'MRR RESTRICTION SYSTEM PROTEIN', 154969),
(211244, 'PTHR31281:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154970),
(211245, 'PTHR46991:SF27', NULL, NULL, NULL, NULL, '23.6 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', 154971),
(211246, 'PTHR31218:SF306', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 154972),
(211247, 'PTHR24248', NULL, NULL, NULL, NULL, 'ADRENERGIC RECEPTOR-RELATED G-PROTEIN COUPLED RECEPTOR', 154973),
(211248, 'PTHR22662:SF0', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR DOMAIN-CONTAINING ADAPTER PROTEIN', 154974),
(211249, 'PTHR15535:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154975),
(211250, 'PTHR45623:SF19', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 2', 154976),
(211251, 'PTHR24113', NULL, NULL, NULL, NULL, 'RAN GTPASE-ACTIVATING PROTEIN 1', 154977),
(211252, 'PTHR24055:SF475', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154978),
(211253, 'PTHR31707:SF170', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 43-RELATED', 154979),
(211254, 'PTHR10837:SF8', NULL, NULL, NULL, NULL, 'PEPTIDYL ARGININE DEIMINASE, TYPE II', 154980),
(211255, 'PTHR39583:SF2', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN J-RELATED', 154981),
(211256, 'PTHR24177:SF296', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', 154982),
(211257, 'PTHR45638:SF4', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL SUBUNIT A-LIKE PROTEIN', 154983),
(211258, 'PTHR18966:SF516', NULL, NULL, NULL, NULL, 'BNAA02G30130D PROTEIN', 154984),
(211259, 'PTHR31852:SF237', NULL, NULL, NULL, NULL, 'BNAC08G43330D PROTEIN', 154985),
(211260, 'PTHR43112:SF17', NULL, NULL, NULL, NULL, 'FERREDOXIN-1, CHLOROPLASTIC', 154986),
(211261, 'PTHR10075:SF75', NULL, NULL, NULL, NULL, 'PROTOGENIN', 154987),
(211262, 'PTHR13989', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A-RELATED', 154988),
(211263, 'PTHR24072:SF353', NULL, NULL, NULL, NULL, 'RHO-LIKE PROTEIN', 154989),
(211264, 'PTHR47925:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154990),
(211265, 'PTHR33142:SF60', NULL, NULL, NULL, NULL, 'BNAC02G02720D PROTEIN', 154991),
(211266, 'PTHR33621:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 154992),
(211267, 'PTHR40026', NULL, NULL, NULL, NULL, 'PROTEIN VEG', 154993),
(211268, 'PTHR44119:SF6', NULL, NULL, NULL, NULL, 'AEROBIC COBALTOCHELATASE SUBUNIT COBN', 154994),
(211269, 'PTHR16968', NULL, NULL, NULL, NULL, 'LENS EPITHELIAL CELL PROTEIN LEP503', 154995),
(211270, 'PTHR23048:SF10', NULL, NULL, NULL, NULL, 'MYOSIN, LIGHT CHAIN 1, ALKALI, SKELETAL, FAST', 154996),
(211271, 'PTHR31642:SF167', NULL, NULL, NULL, NULL, 'SHIKIMATE/QUINATE HYDROXYCINNAMOYLTRANSFERASE', 154997),
(211272, 'PTHR12334:SF6', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 2', 154998);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(211273, 'PTHR30481:SF2', NULL, NULL, NULL, NULL, 'MODIFICATION METHYLASE', 154999),
(211274, 'PTHR43071:SF2', NULL, NULL, NULL, NULL, '2-AMINO-4-HYDROXY-6-HYDROXYMETHYLDIHYDROPTERIDINE', 155000),
(211275, 'PTHR31500:SF48', NULL, NULL, NULL, NULL, 'OS06G0326000 PROTEIN', 155001),
(211276, 'PTHR45634:SF23', NULL, NULL, NULL, NULL, 'BNAA09G05590D PROTEIN', 155002),
(211277, 'PTHR44809', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 155003),
(211278, 'PTHR44218:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SPA1-RELATED 3', 155004),
(211279, 'PTHR47319:SF19', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1-LIKE', 155005),
(211280, 'PTHR44591:SF3', NULL, NULL, NULL, NULL, 'STRESS RESPONSE REGULATOR PROTEIN 1', 155006),
(211281, 'PTHR28291:SF1', NULL, NULL, NULL, NULL, 'CTD KINASE SUBUNIT GAMMA', 155007),
(211282, 'PTHR46247:SF3', NULL, NULL, NULL, NULL, 'CRS2-ASSOCIATED FACTOR 2, CHLOROPLASTIC', 155008),
(211283, 'PTHR46364:SF5', NULL, NULL, NULL, NULL, 'OS09G0386500 PROTEIN', 155009),
(211284, 'PTHR24161:SF21', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 35', 155010),
(211285, 'PTHR13994:SF36', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 8-LIKE', 155011),
(211286, 'PTHR31413:SF13', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN AFP4', 155012),
(211287, 'PTHR24023:SF967', NULL, NULL, NULL, NULL, 'COLLAGEN', 155013),
(211288, 'PTHR47844:SF1', NULL, NULL, NULL, NULL, 'SYNTHASE CPS1, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G02500)-RELATED', 155014),
(211289, 'PTHR12542:SF158', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 155015),
(211290, 'PTHR35674:SF1', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE CK137956', 155016),
(211291, 'PTHR37189:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155017),
(211292, 'PTHR45530', NULL, NULL, NULL, NULL, 'SENSORY TRANSDUCTION HISTIDINE KINASE', 155018),
(211293, 'PTHR31607:SF24', NULL, NULL, NULL, NULL, 'BNACNNG40460D PROTEIN', 155019),
(211294, 'PTHR26452:SF770', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 155020),
(211295, 'PTHR46146:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN CCR3-RELATED', 155021),
(211296, 'PTHR43351:SF2', NULL, NULL, NULL, NULL, 'L(+)-TARTRATE DEHYDRATASE SUBUNIT BETA', 155022),
(211297, 'PTHR47052:SF6', NULL, NULL, NULL, NULL, 'ELICITOR-RESPONSIVE PROTEIN 1-LIKE', 155023),
(211298, 'PTHR13196:SF25', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 1C', 155024),
(211299, 'PTHR22844:SF328', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN', 155025),
(211300, 'PTHR23428:SF252', NULL, NULL, NULL, NULL, 'HISTONE H2B', 155026),
(211301, 'PTHR45967:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBP-1A', 155027),
(211302, 'PTHR47990:SF134', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 155028),
(211303, 'PTHR11679:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 33A', 155029),
(211304, 'PTHR31094:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155030),
(211305, 'PTHR22947:SF12', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 155031),
(211306, 'PTHR18945:SF467', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 155032),
(211307, 'PTHR19961:SF35', NULL, NULL, NULL, NULL, 'PLASTIN-2', 155033),
(211308, 'PTHR13647', NULL, NULL, NULL, NULL, 'INSULIN-LIKE PEPTIDE 2-RELATED', 155034),
(211309, 'PTHR10797:SF1', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 8', 155035),
(211310, 'PTHR15237', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD9', 155036),
(211311, 'PTHR45724:SF25', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP1-2', 155037),
(211312, 'PTHR46195', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 7', 155038),
(211313, 'PTHR30304', NULL, NULL, NULL, NULL, 'D-TAGATOSE-1,6-BISPHOSPHATE ALDOLASE', 155039),
(211314, 'PTHR23412:SF14', NULL, NULL, NULL, NULL, 'STEREOCILIN-RELATED', 155040),
(211315, 'PTHR10792:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155041),
(211316, 'PTHR45992:SF8', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE A', 155042),
(211317, 'PTHR21339:SF0', NULL, NULL, NULL, NULL, 'RADICAL S-ADENOSYL METHIONINE DOMAIN-CONTAINING PROTEIN 2', 155043);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(211318, 'PTHR43622:SF1', NULL, NULL, NULL, NULL, '3-DEHYDROQUINATE SYNTHASE', 155044),
(211319, 'PTHR20930:SF5', NULL, NULL, NULL, NULL, 'NBR1 AUTOPHAGY CARGO RECEPTOR B', 155045),
(211320, 'PTHR45674:SF10', NULL, NULL, NULL, NULL, 'DNA LIGASE C', 155046),
(211321, 'PTHR22776:SF24', NULL, NULL, NULL, NULL, 'MAL-LIKE PROTEIN', 155047),
(211322, 'PTHR47806:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L3 GLUTAMINE METHYLTRANSFERASE', 155048),
(211323, 'PTHR11451:SF27', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE, MITOCHONDRIAL', 155049),
(211324, 'PTHR22803:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155050),
(211325, 'PTHR36859', NULL, NULL, NULL, NULL, 'PROTEIN HIDE1', 155051),
(211326, 'PTHR27007:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155052),
(211327, 'PTHR11062:SF58', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT19-RELATED', 155053),
(211328, 'PTHR11860:SF63', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 8', 155054),
(211329, 'PTHR31232:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155055),
(211330, 'PTHR46639', NULL, NULL, NULL, NULL, 'DIENCEPHALON/MESENCEPHALON HOMEOBOX PROTEIN 1', 155056),
(211331, 'PTHR39596:SF2', NULL, NULL, NULL, NULL, 'HET DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G17550)', 155057),
(211332, 'PTHR12294:SF16', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 12', 155058),
(211333, 'PTHR11654:SF511', NULL, NULL, NULL, NULL, 'BNAC01G24250D PROTEIN', 155059),
(211334, 'PTHR47926:SF64', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC-LIKE', 155060),
(211335, 'PTHR11863:SF136', NULL, NULL, NULL, NULL, 'DELTA(7)-STEROL-C5(6)-DESATURASE 2-RELATED', 155061),
(211336, 'PTHR32246:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155062),
(211337, 'PTHR16255', NULL, NULL, NULL, NULL, 'REQUIRED FOR MEIOTIC NUCLEAR DIVISION PROTEIN 1 HOMOLOG', 155063),
(211338, 'PTHR11731:SF184', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE FAMILY MEMBER 1', 155064),
(211339, 'PTHR31111:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155065),
(211340, 'PTHR24376:SF129', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 224', 155066),
(211341, 'PTHR23315:SF247', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 155067),
(211342, 'PTHR11757:SF19', NULL, NULL, NULL, NULL, 'PROLYL ENDOPEPTIDASE-LIKE', 155068),
(211343, 'PTHR48021:SF52', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 155069),
(211344, 'PTHR15438:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155070),
(211345, 'PTHR36788:SF2', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 183', 155071),
(211346, 'PTHR10388:SF15', NULL, NULL, NULL, NULL, 'APO PROTEIN 2, CHLOROPLASTIC', 155072),
(211347, 'PTHR32429:SF20', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 155073),
(211348, 'PTHR39653:SF5', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1110057P08 GENE', 155074),
(211349, 'PTHR32044:SF82', NULL, NULL, NULL, NULL, 'BNAA04G20690D PROTEIN', 155075),
(211350, 'PTHR22629:SF1', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 4', 155076),
(211351, 'PTHR48023:SF4', NULL, NULL, NULL, NULL, 'D-XYLOSE-PROTON SYMPORTER-LIKE 2', 155077),
(211352, 'PTHR27006:SF397', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1 ISOFORM X2', 155078),
(211353, 'PTHR34054:SF11', NULL, NULL, NULL, NULL, 'BNAANNG32750D PROTEIN', 155079),
(211354, 'PTHR24296:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155080),
(211355, 'PTHR11328:SF44', NULL, NULL, NULL, NULL, 'ZGC:171501', 155081),
(211356, 'PTHR19354', NULL, NULL, NULL, NULL, 'ZIPPER PUTATIVE TUMOR SUPPRESSOR 2 HOMOLOG-LIKE PROTEIN-RELATED', 155082),
(211357, 'PTHR12547', NULL, NULL, NULL, NULL, 'CCCH ZINC FINGER/TIS11-RELATED', 155083),
(211358, 'PTHR10293:SF45', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL MONOTHIOL GLUTAREDOXIN-S16, CHLOROPLASTIC', 155084),
(211359, 'PTHR23192:SF70', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L2', 155085),
(211360, 'PTHR33994:SF12', NULL, NULL, NULL, NULL, 'OS04G0515000 PROTEIN', 155086);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(211361, 'PTHR11437:SF52', NULL, NULL, NULL, NULL, 'NON-SECRETORY RIBONUCLEASE', 155087),
(211362, 'PTHR15211:SF0', NULL, NULL, NULL, NULL, 'GASTRIC INHIBITORY POLYPEPTIDE', 155088),
(211363, 'PTHR11909:SF328', NULL, NULL, NULL, NULL, 'CASEIN KINASE I', 155089),
(211364, 'PTHR14677:SF20', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 1', 155090),
(211365, 'PTHR32295:SF192', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', 155091),
(211366, 'PTHR35475:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155092),
(211367, 'PTHR43520:SF25', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE HMA5', 155093),
(211368, 'PTHR13547:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155094),
(211369, 'PTHR23301:SF26', NULL, NULL, NULL, NULL, 'CHITIN-BINDING DOMAIN PROTEIN CBD-1', 155095),
(211370, 'PTHR11743:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155096),
(211371, 'PTHR11849:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155097),
(211372, 'PTHR31623:SF47', NULL, NULL, NULL, NULL, 'BAHD ACYLTRANSFERASE BIA1', 155098),
(211373, 'PTHR20935:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PGAM5, MITOCHONDRIAL', 155099),
(211374, 'PTHR34576:SF13', NULL, NULL, NULL, NULL, 'BNAC09G28980D PROTEIN', 155100),
(211375, 'PTHR22969', NULL, NULL, NULL, NULL, 'IKB KINASE', 155101),
(211376, 'PTHR23257:SF863', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE HT1-LIKE PROTEIN', 155102),
(211377, 'PTHR47970:SF6', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 155103),
(211378, 'PTHR21562:SF75', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 2', 155104),
(211379, 'PTHR41535', NULL, NULL, NULL, NULL, 'BLL8127 PROTEIN', 155105),
(211380, 'PTHR47976:SF44', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', 155106),
(211381, 'PTHR13720:SF16', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE 5', 155107),
(211382, 'PTHR34268:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155108),
(211383, 'PTHR37389:SF23', NULL, NULL, NULL, NULL, 'OS02G0586900 PROTEIN', 155109),
(211384, 'PTHR21562:SF79', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 155110),
(211385, 'PTHR10218:SF231', NULL, NULL, NULL, NULL, 'G PROTEIN ALPHA I SUBUNIT-LIKE PROTEIN', 155111),
(211386, 'PTHR46373:SF22', NULL, NULL, NULL, NULL, 'BNAC07G16380D PROTEIN', 155112),
(211387, 'PTHR24347:SF420', NULL, NULL, NULL, NULL, 'DOUBLECORTIN-LIKE KINASE 1A', 155113),
(211388, 'PTHR46116:SF34', NULL, NULL, NULL, NULL, 'OS01G0232500 PROTEIN', 155114),
(211389, 'PTHR33222:SF27', NULL, NULL, NULL, NULL, 'CYANOBACTERIAL AMINOACYL-TRNA SYNTHETASE, CAAD DOMAIN-CONTAINING PROTEIN-RELATED', 155115),
(211390, 'PTHR20966', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 17', 155116),
(211391, 'PTHR10424:SF66', NULL, NULL, NULL, NULL, 'SYNCYTIN-2', 155117),
(211392, 'PTHR23046:SF2', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINOIMIDAZOLE CARBOXYLASE FAMILY PROTEIN / AIR CARBOXYLASE FAMILY PROTEIN', 155118),
(211393, 'PTHR44791', NULL, NULL, NULL, NULL, 'TELOMERASE PROTEIN COMPONENT 1 TEP1', 155119),
(211394, 'PTHR43874:SF42', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR24', 155120),
(211395, 'PTHR33021:SF416', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN-LIKE', 155121),
(211396, 'PTHR35344:SF4', NULL, NULL, NULL, NULL, 'GAS VESICLE STRUCTURAL PROTEIN 2-RELATED', 155122),
(211397, 'PTHR34057:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155123),
(211398, 'PTHR31676:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155124),
(211399, 'PTHR43416:SF21', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYL CARRIER PROTEIN OF ACETYL-COA CARBOXYLASE, CHLOROPLASTIC', 155125),
(211400, 'PTHR18860:SF92', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN 6', 155126),
(211401, 'PTHR10353:SF136', NULL, NULL, NULL, NULL, 'ARYL-PHOSPHO-BETA-D-GLUCOSIDASE BGLC', 155127),
(211402, 'PTHR45935:SF2', NULL, NULL, NULL, NULL, 'KRAB-A DOMAIN-CONTAINING PROTEIN 2', 155128),
(211403, 'PTHR31662:SF69', NULL, NULL, NULL, NULL, 'BNAANNG29040D PROTEIN', 155129),
(211404, 'PTHR32212:SF234', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 155130);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(211405, 'PTHR13124:SF12', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L46, MITOCHONDRIAL', 155131),
(211406, 'PTHR26450:SF195', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 155132),
(211407, 'PTHR13167:SF44', NULL, NULL, NULL, NULL, 'PIEZO-TYPE MECHANOSENSITIVE ION CHANNEL HOMOLOG', 155133),
(211408, 'PTHR24347:SF398', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE II SUBUNIT GAMMA', 155134),
(211409, 'PTHR10759:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155135),
(211410, 'PTHR45826:SF4', NULL, NULL, NULL, NULL, 'ACID PERMEASE FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 155136),
(211411, 'PTHR31080:SF103', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', 155137),
(211412, 'PTHR38465', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MJ1563-RELATED', 155138),
(211413, 'PTHR46872:SF10', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', 155139),
(211414, 'PTHR31235:SF197', NULL, NULL, NULL, NULL, 'PEROXIDASE', 155140),
(211415, 'PTHR11537:SF63', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY B MEMBER 1', 155141),
(211416, 'PTHR13817:SF65', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 3A', 155142),
(211417, 'PTHR46901:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11119', 155143),
(211418, 'PTHR11732:SF209', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN', 155144),
(211419, 'PTHR19865:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 48-RELATED', 155145),
(211420, 'PTHR47928:SF118', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 155146),
(211421, 'PTHR10972:SF96', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN HOMOLOG 3', 155147),
(211422, 'PTHR33492:SF3', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASR3', 155148),
(211423, 'PTHR45636:SF31', NULL, NULL, NULL, NULL, 'PAX (PAIRED BOX) TRANSCRIPTION FACTOR-RELATED', 155149),
(211424, 'PTHR15710:SF22', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 155150),
(211425, 'PTHR12771:SF43', NULL, NULL, NULL, NULL, 'OS12G0126200 PROTEIN', 155151),
(211426, 'PTHR24096:SF324', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', 155152),
(211427, 'PTHR34216:SF7', NULL, NULL, NULL, NULL, 'POLY-BETA-1,6-N-ACETYL-D-GLUCOSAMINE N-DEACETYLASE', 155153),
(211428, 'PTHR13994:SF38', NULL, NULL, NULL, NULL, 'BNAC09G20330D PROTEIN', 155154),
(211429, 'PTHR35388', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 155155),
(211430, 'PTHR43266:SF5', NULL, NULL, NULL, NULL, 'MACROLIDE-EFFLUX PROTEIN', 155156),
(211431, 'PTHR47975:SF4', NULL, NULL, NULL, NULL, 'OS07G0186200 PROTEIN', 155157),
(211432, 'PTHR45883', NULL, NULL, NULL, NULL, 'HSC70-INTERACTING PROTEIN', 155158),
(211433, 'PTHR45613:SF144', NULL, NULL, NULL, NULL, 'OS04G0612800 PROTEIN', 155159),
(211434, 'PTHR43719:SF44', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', 155160),
(211435, 'PTHR38662', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 155161),
(211436, 'PTHR12526:SF510', NULL, NULL, NULL, NULL, 'SLR1077 PROTEIN', 155162),
(211437, 'PTHR31374:SF207', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR77', 155163),
(211438, 'PTHR30352:SF20', NULL, NULL, NULL, NULL, 'MOAA/NIFB/PQQE FAMILY PROTEIN', 155164),
(211439, 'PTHR15065:SF4', NULL, NULL, NULL, NULL, 'LD18634P', 155165),
(211440, 'PTHR10985:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION COFACTOR HES-6', 155166),
(211441, 'PTHR47072:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155167),
(211442, 'PTHR10168:SF260', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S11-LIKE', 155168),
(211443, 'PTHR46034:SF22', NULL, NULL, NULL, NULL, 'B2 PROTEIN-LIKE', 155169),
(211444, 'PTHR48018:SF11', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 155170),
(211445, 'PTHR12794:SF5', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 2', 155171),
(211446, 'PTHR31235:SF326', NULL, NULL, NULL, NULL, 'PEROXIDASE', 155172),
(211447, 'PTHR31579:SF41', NULL, NULL, NULL, NULL, 'OS11G0437600 PROTEIN', 155173),
(211448, 'PTHR24049', NULL, NULL, NULL, NULL, 'CRUMBS FAMILY MEMBER', 155174),
(211449, 'PTHR24186:SF21', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN', 155175);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(211450, 'PTHR37872:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 1700029I15', 155176),
(211451, 'PTHR46444:SF11', NULL, NULL, NULL, NULL, 'DEVELOPMENT/CELL DEATH DOMAIN-CONTAINING PROTEIN-RELATED', 155177),
(211452, 'PTHR48100:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155178),
(211453, 'PTHR34293:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR TRMBL2', 155179),
(211454, 'PTHR46877:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155180),
(211455, 'PTHR11849:SF160', NULL, NULL, NULL, NULL, 'ETS TRANSLOCATION VARIANT 5', 155181),
(211456, 'PTHR23360:SF30', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 155182),
(211457, 'PTHR11709:SF263', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', 155183),
(211458, 'PTHR34555:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE HEMOLYSIN-III-LIKE PROTEIN', 155184),
(211459, 'PTHR31301:SF110', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', 155185),
(211460, 'PTHR34223:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155186),
(211461, 'PTHR45950:SF14', NULL, NULL, NULL, NULL, 'BNAA02G06170D PROTEIN', 155187),
(211462, 'PTHR48105:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155188),
(211463, 'PTHR45933:SF27', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN-RELATED', 155189),
(211464, 'PTHR27009:SF182', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN FAMILY PROTEIN', 155190),
(211465, 'PTHR21098:SF11', NULL, NULL, NULL, NULL, 'RIBOFLAVIN SYNTHASE', 155191),
(211466, 'PTHR32410:SF153', NULL, NULL, NULL, NULL, 'CHP-RICH ZINC FINGER PROTEIN-RELATED', 155192),
(211467, 'PTHR24296:SF170', NULL, NULL, NULL, NULL, 'BNAA06G38770D PROTEIN', 155193),
(211468, 'PTHR47415:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM47C-RELATED', 155194),
(211469, 'PTHR31190:SF216', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF095', 155195),
(211470, 'PTHR34555:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0095E20.6 PROTEIN', 155196),
(211471, 'PTHR11351:SF80', NULL, NULL, NULL, NULL, 'BNAA09G13840D PROTEIN', 155197),
(211472, 'PTHR33333:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155198),
(211473, 'PTHR31218:SF177', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 155199),
(211474, 'PTHR10177:SF473', NULL, NULL, NULL, NULL, 'CYCLIN G', 155200),
(211475, 'PTHR11206:SF382', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 10-RELATED', 155201),
(211476, 'PTHR37266:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 6', 155202),
(211477, 'PTHR43148:SF13', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE GAPA1, CHLOROPLASTIC', 155203),
(211478, 'PTHR31839:SF51', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CBF PROTEIN', 155204),
(211479, 'PTHR43139:SF54', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 155205),
(211480, 'PTHR32063:SF71', NULL, NULL, NULL, NULL, 'ACR FAMILY TRANSPORT PROTEIN', 155206),
(211481, 'PTHR21450:SF19', NULL, NULL, NULL, NULL, 'F5M15.15', 155207),
(211482, 'PTHR36767:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155208),
(211483, 'PTHR46854', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE-LIKE 4-RELATED', 155209),
(211484, 'PTHR10766:SF53', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 155210),
(211485, 'PTHR46369:SF6', NULL, NULL, NULL, NULL, 'C2 DOMAIN, ARMADILLO-TYPE FOLD PROTEIN-RELATED', 155211),
(211486, 'PTHR32444:SF99', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 155212),
(211487, 'PTHR15605', NULL, NULL, NULL, NULL, 'KINESIN-ASSOCIATED PROTEINS', 155213),
(211488, 'PTHR15705', NULL, NULL, NULL, NULL, 'MCG7194, ISOFORM CRA_A', 155214),
(211489, 'PTHR35153:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 154', 155215),
(211490, 'PTHR46376', NULL, NULL, NULL, NULL, 'LEUCINE-ZIPPER-LIKE TRANSCRIPTIONAL REGULATOR 1', 155216),
(211491, 'PTHR45224:SF9', NULL, NULL, NULL, NULL, 'OS10G0563100 PROTEIN', 155217),
(211492, 'PTHR37873', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 33', 155218),
(211493, 'PTHR10036:SF13', NULL, NULL, NULL, NULL, 'CD59 MOLECULE (CD59 BLOOD GROUP)', 155219);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(211494, 'PTHR43116:SF4', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR PRFB3, CHLOROPLASTIC', 155220),
(211495, 'PTHR31105:SF22', NULL, NULL, NULL, NULL, 'EXTRA-LARGE G-PROTEIN-LIKE', 155221),
(211496, 'PTHR43023:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TRIGALACTOSYLDIACYLGLYCEROL 3, CHLOROPLASTIC', 155222),
(211497, 'PTHR31533:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155223),
(211498, 'PTHR37220:SF3', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE FAMILY PROTEIN-RELATED', 155224),
(211499, 'PTHR10117:SF50', NULL, NULL, NULL, NULL, 'TRP HOMOLOGOUS CATION CHANNEL PROTEIN', 155225),
(211500, 'PTHR33929:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 2-RELATED', 155226),
(211501, 'PTHR33801:SF22', NULL, NULL, NULL, NULL, 'ABSCISIC STRESS-RIPENING PROTEIN 3', 155227),
(211502, 'PTHR11670:SF31', NULL, NULL, NULL, NULL, 'IRON-RESPONSIVE ELEMENT-BINDING PROTEIN 2', 155228),
(211503, 'PTHR24276:SF63', NULL, NULL, NULL, NULL, 'RE08710P', 155229),
(211504, 'PTHR43768:SF31', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', 155230),
(211505, 'PTHR37422:SF13', NULL, NULL, NULL, NULL, 'TEICHURONIC ACID BIOSYNTHESIS PROTEIN TUAE', 155231),
(211506, 'PTHR22298:SF41', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 5', 155232),
(211507, 'PTHR11439:SF358', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', 155233),
(211508, 'PTHR23078:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SEC18, PUTATIVE-RELATED', 155234),
(211509, 'PTHR30468:SF20', NULL, NULL, NULL, NULL, 'FAMILY TAURINE DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17170)-RELATED', 155235),
(211510, 'PTHR31677:SF75', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF084', 155236),
(211511, 'PTHR33995:SF8', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', 155237),
(211512, 'PTHR44085:SF2', NULL, NULL, NULL, NULL, 'SEPIAPTERIN REDUCTASE', 155238),
(211513, 'PTHR28242:SF52', NULL, NULL, NULL, NULL, 'PHOSPHORELAY INTERMEDIATE PROTEIN YPD1', 155239),
(211514, 'PTHR32116:SF86', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 155240),
(211515, 'PTHR45648:SF7', NULL, NULL, NULL, NULL, 'OS12G0126100 PROTEIN', 155241),
(211516, 'PTHR48049:SF57', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 91A1-LIKE', 155242),
(211517, 'PTHR42103:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 155243),
(211518, 'PTHR10869:SF186', NULL, NULL, NULL, NULL, 'BNAANNG08570D PROTEIN', 155244),
(211519, 'PTHR12271:SF123', NULL, NULL, NULL, NULL, 'PROTEIN HESO1', 155245),
(211520, 'PTHR46631', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE', 155246),
(211521, 'PTHR34953:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 155247),
(211522, 'PTHR27007:SF336', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 155248),
(211523, 'PTHR11309:SF45', NULL, NULL, NULL, NULL, 'SECRETED FRIZZLED-RELATED PROTEIN 2', 155249),
(211524, 'PTHR48059:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155250),
(211525, 'PTHR19290:SF82', NULL, NULL, NULL, NULL, 'PROTEIN ATONAL HOMOLOG 1', 155251),
(211526, 'PTHR48060:SF10', NULL, NULL, NULL, NULL, 'DNA-DAMAGE-REPAIR/TOLERATION DRT100-LIKE PROTEIN', 155252),
(211527, 'PTHR24177:SF246', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 155253),
(211528, 'PTHR48015:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DST1', 155254),
(211529, 'PTHR11010:SF101', NULL, NULL, NULL, NULL, 'SERINE PROTEASE F56F10.1-RELATED', 155255),
(211530, 'PTHR43572:SF54', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 7', 155256),
(211531, 'PTHR32227:SF388', NULL, NULL, NULL, NULL, 'BNAC09G37390D PROTEIN', 155257),
(211532, 'PTHR28021:SF1', NULL, NULL, NULL, NULL, 'PRESEQUENCE TRANSLOCATED-ASSOCIATED MOTOR SUBUNIT PAM17, MITOCHONDRIAL', 155258),
(211533, 'PTHR43895:SF62', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 18', 155259),
(211534, 'PTHR36805:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155260),
(211535, 'PTHR34789', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 155261);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(211536, 'PTHR11610:SF160', NULL, NULL, NULL, NULL, 'LD47264P', 155262),
(211537, 'PTHR14095', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2A REGULATORY SUBUNIT-RELATED', 155263),
(211538, 'PTHR24073:SF1158', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB5A', 155264),
(211539, 'PTHR45832:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAMKA-RELATED', 155265),
(211540, 'PTHR45739', NULL, NULL, NULL, NULL, 'MATRIX PROTEIN, PUTATIVE-RELATED', 155266),
(211541, 'PTHR33191:SF54', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 6-RELATED', 155267),
(211542, 'PTHR12616:SF8', NULL, NULL, NULL, NULL, 'VPS8 SUBUNIT OF CORVET COMPLEX', 155268),
(211543, 'PTHR33021:SF211', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN-LIKE', 155269),
(211544, 'PTHR43618:SF15', NULL, NULL, NULL, NULL, 'SHORT-CHAIN TYPE DEHYDROGENASE/REDUCTASE-RELATED', 155270),
(211545, 'PTHR36214', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 155271),
(211546, 'PTHR38773', NULL, NULL, NULL, NULL, 'PROTEIN SPRT', 155272),
(211547, 'PTHR48006:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN DDB_G0281931-RELATED', 155273),
(211548, 'PTHR35596', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 155274),
(211549, 'PTHR24356:SF193', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C ALPHA TYPE', 155275),
(211550, 'PTHR47767', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR G7', 155276),
(211551, 'PTHR24067:SF154', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 G2', 155277),
(211552, 'PTHR43622:SF7', NULL, NULL, NULL, NULL, '3-DEHYDROQUINATE SYNTHASE, CHLOROPLASTIC', 155278),
(211553, 'PTHR10366:SF727', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155279),
(211554, 'PTHR43200', NULL, NULL, NULL, NULL, 'PHOSPHATASE', 155280),
(211555, 'PTHR13169:SF14', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN', 155281),
(211556, 'PTHR27000:SF731', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 39', 155282),
(211557, 'PTHR13720:SF14', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 52', 155283),
(211558, 'PTHR11461:SF209', NULL, NULL, NULL, NULL, 'SERPIN-Z2A', 155284),
(211559, 'PTHR31942:SF89', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 3', 155285),
(211560, 'PTHR18896:SF121', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D2', 155286),
(211561, 'PTHR13402:SF21', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16', 155287),
(211562, 'PTHR36780:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155288),
(211563, 'PTHR31793:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155289),
(211564, 'PTHR15071:SF31', NULL, NULL, NULL, NULL, 'LYSOSOMAL ENZYME RECEPTOR PROTEIN, ISOFORM E', 155290),
(211565, 'PTHR30535:SF7', NULL, NULL, NULL, NULL, 'IRON(III) DICITRATE-BINDING PROTEIN-RELATED', 155291),
(211566, 'PTHR46128:SF4', NULL, NULL, NULL, NULL, 'OS01G0793200 PROTEIN', 155292),
(211567, 'PTHR32116:SF74', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 10-RELATED', 155293),
(211568, 'PTHR35477:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155294),
(211569, 'PTHR22870:SF387', NULL, NULL, NULL, NULL, 'BNAC06G26510D PROTEIN', 155295),
(211570, 'PTHR24416:SF333', NULL, NULL, NULL, NULL, 'EPITHELIAL DISCOIDIN DOMAIN-CONTAINING RECEPTOR 1', 155296),
(211571, 'PTHR32409', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM20-1-RELATED', 155297),
(211572, 'PTHR36811:SF2', NULL, NULL, NULL, NULL, 'OS08G0444440 PROTEIN', 155298),
(211573, 'PTHR35120', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT6B-LIKE', 155299),
(211574, 'PTHR10082:SF3', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-LIKE PROTEIN 1', 155300),
(211575, 'PTHR47926:SF181', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 155301),
(211576, 'PTHR34574:SF12', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND FAMILY PROTEIN', 155302),
(211577, 'PTHR31676:SF148', NULL, NULL, NULL, NULL, 'BNAA02G24380D PROTEIN', 155303),
(211578, 'PTHR31221:SF214', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 9', 155304),
(211579, 'PTHR16222:SF26', NULL, NULL, NULL, NULL, '[PROTEIN ADP-RIBOSYLARGININE] HYDROLASE', 155305);
INSERT INTO "PUBLIC"."MODEL" VALUES
(211580, 'PTHR13832:SF763', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60-RELATED', 155306),
(211581, 'PTHR31713:SF51', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 E-RELATED', 155307),
(211582, 'PTHR11135:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 155308),
(211583, 'PTHR24286:SF299', NULL, NULL, NULL, NULL, 'BNAA03G01680D PROTEIN', 155309),
(211584, 'PTHR11850:SF66', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN BEL1 HOMOLOG', 155310),
(211585, 'PTHR13264:SF5', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR SYF2', 155311),
(211586, 'PTHR13159:SF4', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD PROTEIN 4 HOMOLOG A', 155312),
(211587, 'PTHR42647:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155313),
(211588, 'PTHR48042:SF2', NULL, NULL, NULL, NULL, 'WHITE-BROWN-COMPLEX ABC TRANSPORTER FAMILY PROTEIN', 155314),
(211589, 'PTHR33429:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155315),
(211590, 'PTHR12748', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 3', 155316),
(211591, 'PTHR24041:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155317),
(211592, 'PTHR47976', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-5', 155318),
(211593, 'PTHR35490:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155319),
(211594, 'PTHR43591:SF24', NULL, NULL, NULL, NULL, '2-METHOXY-6-POLYPRENYL-1,4-BENZOQUINOL METHYLASE, MITOCHONDRIAL', 155320),
(211595, 'PTHR46277:SF5', NULL, NULL, NULL, NULL, 'RANDOM SLUG PROTEIN 5-LIKE', 155321),
(211596, 'PTHR43884:SF6', NULL, NULL, NULL, NULL, 'ACYL COA DEHYDROGENASE', 155322),
(211597, 'PTHR33530:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155323),
(211598, 'PTHR33508', NULL, NULL, NULL, NULL, 'UPF0056 MEMBRANE PROTEIN YHCE', 155324),
(211599, 'PTHR43720', NULL, NULL, NULL, NULL, '2-AMINOMUCONIC SEMIALDEHYDE DEHYDROGENASE', 155325),
(211600, 'PTHR22951:SF57', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PLANT-LIKE PROTEIN', 155326),
(211601, 'PTHR42917', NULL, NULL, NULL, NULL, '2,4-DIENOYL-COA REDUCTASE', 155327),
(211602, 'PTHR21553:SF24', NULL, NULL, NULL, NULL, '(E2-INDEPENDENT) E3 UBIQUITIN-CONJUGATING ENZYME FATS', 155328),
(211603, 'PTHR10869:SF172', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 3-RELATED', 155329),
(211604, 'PTHR24296:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 86B1-RELATED', 155330),
(211605, 'PTHR23076:SF103', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 4 MITOCHONDRIAL', 155331),
(211606, 'PTHR20961:SF132', NULL, NULL, NULL, NULL, 'FAMILY 61 PROTEIN, PUTATIVE-RELATED', 155332),
(211607, 'PTHR11920:SF363', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-17', 155333),
(211608, 'PTHR11937:SF159', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN T3', 155334),
(211609, 'PTHR47992:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155335),
(211610, 'PTHR12411:SF554', NULL, NULL, NULL, NULL, 'CATHEPSIN 12', 155336),
(211611, 'PTHR16717:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 8A, MITOCHONDRIAL', 155337),
(211612, 'PTHR35274', NULL, NULL, NULL, NULL, 'E6-LIKE PROTEIN', 155338),
(211613, 'PTHR24096:SF339', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 3-RELATED', 155339),
(211614, 'PTHR31325:SF216', NULL, NULL, NULL, NULL, 'OS04G0153650 PROTEIN', 155340),
(211615, 'PTHR19919:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155341),
(211616, 'PTHR31623:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155342),
(211617, 'PTHR42801:SF16', NULL, NULL, NULL, NULL, 'GROUP 2 TRUNCATED HEMOGLOBIN GLBO', 155343),
(211618, 'PTHR10634:SF87', NULL, NULL, NULL, NULL, 'AN1-LIKE ZINC FINGER PROTEIN', 155344),
(211619, 'PTHR31650:SF59', NULL, NULL, NULL, NULL, 'BNACNNG48100D PROTEIN', 155345),
(211620, 'PTHR22902', NULL, NULL, NULL, NULL, 'SESQUIPEDALIAN', 155346),
(211621, 'PTHR11208', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN RELATED', 155347),
(211622, 'PTHR31304:SF33', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 155348),
(211623, 'PTHR45613:SF443', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155349);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(211624, 'PTHR34682:SF5', NULL, NULL, NULL, NULL, 'AT HOOK MOTIF-CONTAINING PROTEIN', 155350),
(211625, 'PTHR24404:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 501', 155351),
(211626, 'PTHR11188:SF48', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN 2', 155352),
(211627, 'PTHR32285:SF311', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 45', 155353),
(211628, 'PTHR46665:SF4', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) FAMILY PROTEIN-LIKE', 155354),
(211629, 'PTHR24247:SF233', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR', 155355),
(211630, 'PTHR38663:SF1', NULL, NULL, NULL, NULL, 'ZGC:113276', 155356),
(211631, 'PTHR31734:SF100', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA32', 155357),
(211632, 'PTHR28629:SF15', NULL, NULL, NULL, NULL, 'BLR3572 PROTEIN', 155358),
(211633, 'PTHR12121:SF79', NULL, NULL, NULL, NULL, 'CARBON CATABOLITE REPRESSOR PROTEIN 4 HOMOLOG 1-LIKE ISOFORM X1', 155359),
(211634, 'PTHR20934', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 155360),
(211635, 'PTHR27005:SF326', NULL, NULL, NULL, NULL, 'WALL ASSOCIATED KINASE-LIKE 2-RELATED', 155361),
(211636, 'PTHR10177:SF70', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN-E2', 155362),
(211637, 'PTHR20916:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155363),
(211638, 'PTHR19423:SF8', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING PROTEIN 5-LIKE', 155364),
(211639, 'PTHR22730:SF3', NULL, NULL, NULL, NULL, 'PROMININ-1', 155365),
(211640, 'PTHR33090:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155366),
(211641, 'PTHR31044:SF105', NULL, NULL, NULL, NULL, 'BNAC03G56580D PROTEIN', 155367),
(211642, 'PTHR43791:SF33', NULL, NULL, NULL, NULL, 'VITAMIN H TRANSPORTER 1', 155368),
(211643, 'PTHR31904:SF1', NULL, NULL, NULL, NULL, 'BYPASS OF STOP CODON PROTEIN 5-RELATED', 155369),
(211644, 'PTHR46214:SF5', NULL, NULL, NULL, NULL, 'OS01G0850200 PROTEIN', 155370),
(211645, 'PTHR46475:SF4', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN AND ANKYRIN REPEAT-CONTAINING PROTEIN NPR3', 155371),
(211646, 'PTHR45694:SF20', NULL, NULL, NULL, NULL, 'BNAA09G06320D PROTEIN', 155372),
(211647, 'PTHR21109:SF0', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S21, MITOCHONDRIAL', 155373),
(211648, 'PTHR42250', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 155374),
(211649, 'PTHR11055:SF58', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE', 155375),
(211650, 'PTHR12537:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155376),
(211651, 'PTHR21576:SF135', NULL, NULL, NULL, NULL, 'BNAC04G06300D PROTEIN', 155377),
(211652, 'PTHR48045:SF12', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 155378),
(211653, 'PTHR24233:SF3', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 14', 155379),
(211654, 'PTHR19134:SF207', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE U', 155380),
(211655, 'PTHR31072:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155381),
(211656, 'PTHR15297:SF2', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 6', 155382),
(211657, 'PTHR28626:SF3', NULL, NULL, NULL, NULL, 'SRR1-LIKE PROTEIN', 155383),
(211658, 'PTHR12428:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155384),
(211659, 'PTHR10551:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155385),
(211660, 'PTHR31042:SF101', NULL, NULL, NULL, NULL, 'BNAA10G11330D PROTEIN', 155386),
(211661, 'PTHR11709:SF246', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', 155387),
(211662, 'PTHR23262:SF127', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-1', 155388),
(211663, 'PTHR47796', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE-LIKE PROTEIN', 155389),
(211664, 'PTHR13707:SF28', NULL, NULL, NULL, NULL, 'SUCCINYL-COA:3-KETOACID COENZYME A TRANSFERASE 2, MITOCHONDRIAL', 155390),
(211665, 'PTHR12250', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL GLYCAN, CLASS N', 155391),
(211666, 'PTHR48004:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN CLAVATA2', 155392),
(211667, 'PTHR16675:SF252', NULL, NULL, NULL, NULL, 'HLA CLASS I HISTOCOMPATIBILITY ANTIGEN, CW-17 ALPHA CHAIN', 155393),
(211668, 'PTHR45677:SF10', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 155394);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(211669, 'PTHR12015:SF111', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 17', 155395),
(211670, 'PTHR48024:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155396),
(211671, 'PTHR23382', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', 155397),
(211672, 'PTHR28036', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD2', 155398),
(211673, 'PTHR21000:SF14', NULL, NULL, NULL, NULL, 'BNAA01G23200D PROTEIN', 155399),
(211674, 'PTHR22835:SF286', NULL, NULL, NULL, NULL, 'OS01G0214600 PROTEIN', 155400),
(211675, 'PTHR10792:SF28', NULL, NULL, NULL, NULL, 'OS07G0224000 PROTEIN', 155401),
(211676, 'PTHR12243:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155402),
(211677, 'PTHR11360:SF270', NULL, NULL, NULL, NULL, 'IP12869P', 155403),
(211678, 'PTHR24014:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155404),
(211679, 'PTHR13936', NULL, NULL, NULL, NULL, 'PROFILIN', 155405),
(211680, 'PTHR30603:SF47', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGD, CHLOROPLASTIC', 155406),
(211681, 'PTHR11467:SF135', NULL, NULL, NULL, NULL, 'BNAA02G25780D PROTEIN', 155407),
(211682, 'PTHR43818:SF8', NULL, NULL, NULL, NULL, 'GLUCOSE-FRUCTOSE OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 2', 155408),
(211683, 'PTHR11972:SF176', NULL, NULL, NULL, NULL, 'OS08G0453700 PROTEIN', 155409),
(211684, 'PTHR33138:SF38', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE CARBOXY-TERMINAL PROTEIN', 155410),
(211685, 'PTHR40062', NULL, NULL, NULL, NULL, 'GTP-SENSING TRANSCRIPTIONAL PLEIOTROPIC REPRESSOR CODY', 155411),
(211686, 'PTHR11353:SF198', NULL, NULL, NULL, NULL, 'BNAA08G19100D PROTEIN', 155412),
(211687, 'PTHR12801:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155413),
(211688, 'PTHR34930:SF7', NULL, NULL, NULL, NULL, 'JUPITER MICROTUBULE ASSOCIATED HOMOLOG 1', 155414),
(211689, 'PTHR33565:SF13', NULL, NULL, NULL, NULL, 'DORMANCY/AUXIN ASSOCIATED PROTEIN', 155415),
(211690, 'PTHR10642:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CBG03113', 155416),
(211691, 'PTHR46776:SF4', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 5', 155417),
(211692, 'PTHR11474:SF114', NULL, NULL, NULL, NULL, 'TYROSINASE-LIKE PROTEIN TYR-3-RELATED', 155418),
(211693, 'PTHR47484', NULL, NULL, NULL, NULL, 'COMPLEX 1 PROTEIN CONTAINING PROTEIN, EXPRESSED', 155419),
(211694, 'PTHR22950:SF518', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT6B', 155420),
(211695, 'PTHR12233:SF18', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 26A', 155421),
(211696, 'PTHR15486:SF74', NULL, NULL, NULL, NULL, 'BNACNNG49400D PROTEIN', 155422),
(211697, 'PTHR34777:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155423),
(211698, 'PTHR10110:SF124', NULL, NULL, NULL, NULL, 'LOW-AFFINITY NA(+)/H(+) ANTIPORTER NHAS1', 155424),
(211699, 'PTHR10887:SF482', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', 155425),
(211700, 'PTHR11211:SF14', NULL, NULL, NULL, NULL, 'IROQUOIS-CLASS HOMEODOMAIN PROTEIN IRX-3', 155426),
(211701, 'PTHR13273:SF18', NULL, NULL, NULL, NULL, 'ANAMORSIN HOMOLOG', 155427),
(211702, 'PTHR12887:SF6', NULL, NULL, NULL, NULL, 'NANOS HOMOLOG 1', 155428),
(211703, 'PTHR45712:SF18', NULL, NULL, NULL, NULL, 'WU:FC23C09', 155429),
(211704, 'PTHR46541:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN AEBP2', 155430),
(211705, 'PTHR11654:SF355', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.3', 155431),
(211706, 'PTHR13465:SF2', NULL, NULL, NULL, NULL, 'UPF0183 PROTEIN C16ORF70', 155432),
(211707, 'PTHR47286', NULL, NULL, NULL, NULL, 'F3I6.9 PROTEIN', 155433),
(211708, 'PTHR34291:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 155434),
(211709, 'PTHR21681:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT J', 155435),
(211710, 'PTHR46324', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 43-RELATED', 155436),
(211711, 'PTHR32467:SF126', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-7-LIKE', 155437),
(211712, 'PTHR23054:SF61', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN', 155438);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(211713, 'PTHR10288:SF281', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN K', 155439),
(211714, 'PTHR46434:SF3', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN BRASSINAZOLE INSENSITIVE PALE GREEN 2, CHLOROPLASTIC', 155440),
(211715, 'PTHR31165:SF98', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE4', 155441),
(211716, 'PTHR16083:SF24', NULL, NULL, NULL, NULL, 'BNAANNG23130D PROTEIN', 155442),
(211717, 'PTHR43627:SF1', NULL, NULL, NULL, NULL, 'COBALT TRANSPORT PROTEIN CBIM', 155443),
(211718, 'PTHR24078:SF525', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 1', 155444),
(211719, 'PTHR47933:SF27', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 155445),
(211720, 'PTHR35761', NULL, NULL, NULL, NULL, 'ATR INTERACTING PROTEIN', 155446),
(211721, 'PTHR21277:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155447),
(211722, 'PTHR48024:SF25', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2C', 155448),
(211723, 'PTHR30383:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155449),
(211724, 'PTHR43647:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155450),
(211725, 'PTHR23010', NULL, NULL, NULL, NULL, 'MIDNOLIN', 155451),
(211726, 'PTHR48064:SF1', NULL, NULL, NULL, NULL, 'OS01G0750400 PROTEIN', 155452),
(211727, 'PTHR33162:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155453),
(211728, 'PTHR45669:SF51', NULL, NULL, NULL, NULL, 'BNAC04G24540D PROTEIN', 155454),
(211729, 'PTHR24365:SF538', NULL, NULL, NULL, NULL, 'TOLL LIKE RECEPTOR 7', 155455),
(211730, 'PTHR31683:SF92', NULL, NULL, NULL, NULL, 'PECTATE LYASE 13-RELATED', 155456),
(211731, 'PTHR32258:SF11', NULL, NULL, NULL, NULL, 'OS05G0168800 PROTEIN', 155457),
(211732, 'PTHR48041:SF47', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY G MEMBER 5', 155458),
(211733, 'PTHR46568:SF1', NULL, NULL, NULL, NULL, 'ALKYLDIHYDROXYACETONEPHOSPHATE SYNTHASE, PEROXISOMAL', 155459),
(211734, 'PTHR33824', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', 155460),
(211735, 'PTHR45671:SF10', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 (MITOCHONDRIAL CARRIER PHOSPHATE CARRIER), MEMBER 3, LIKE-RELATED', 155461),
(211736, 'PTHR13336:SF4', NULL, NULL, NULL, NULL, 'OCIA DOMAIN-CONTAINING PROTEIN 1', 155462),
(211737, 'PTHR33429:SF34', NULL, NULL, NULL, NULL, 'OS06G0481900 PROTEIN', 155463),
(211738, 'PTHR11866:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155464),
(211739, 'PTHR22639:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 3', 155465),
(211740, 'PTHR11875:SF49', NULL, NULL, NULL, NULL, 'PROTEIN SET', 155466),
(211741, 'PTHR37976:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG16925', 155467),
(211742, 'PTHR23024:SF468', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', 155468),
(211743, 'PTHR10015:SF342', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155469),
(211744, 'PTHR11360:SF255', NULL, NULL, NULL, NULL, 'SI:DKEY-246G23.4', 155470),
(211745, 'PTHR43671:SF10', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 155471),
(211746, 'PTHR15283:SF5', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA SUPPRESSOR OF TUMORIGENICITY 1', 155472),
(211747, 'PTHR33085:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155473),
(211748, 'PTHR11208:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG21522', 155474),
(211749, 'PTHR45642:SF51', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 155475),
(211750, 'PTHR46263', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 7', 155476),
(211751, 'PTHR23503:SF8', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 4', 155477),
(211752, 'PTHR45751:SF26', NULL, NULL, NULL, NULL, 'BNAA09G28220D PROTEIN', 155478),
(211753, 'PTHR33833', NULL, NULL, NULL, NULL, 'NUCLEOLAR-LIKE PROTEIN-RELATED', 155479),
(211754, 'PTHR48001:SF75', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-LIKE PROTEIN OLF4', 155480),
(211755, 'PTHR13778:SF54', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 4-RELATED', 155481),
(211756, 'PTHR46777:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HOMOBOX-WOX FAMILY-RELATED', 155482); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(211757, 'PTHR31606:SF4', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 2', 155483),
(211758, 'PTHR43859:SF47', NULL, NULL, NULL, NULL, 'BNAANNG22570D PROTEIN', 155484),
(211759, 'PTHR13172:SF6', NULL, NULL, NULL, NULL, 'BNAC04G19910D PROTEIN', 155485),
(211760, 'PTHR24281:SF47', NULL, NULL, NULL, NULL, 'CYTOCHROME 81E8', 155486),
(211761, 'PTHR31374:SF213', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155487),
(211762, 'PTHR46048:SF6', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLIC ACID RECEPTOR 2', 155488),
(211763, 'PTHR24055:SF479', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', 155489),
(211764, 'PTHR23268:SF14', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 12-3-RELATED', 155490),
(211765, 'PTHR19818:SF139', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN EXPRESSION ACTIVATOR-RELATED', 155491),
(211766, 'PTHR24050:SF24', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR-LIKE PROTEIN 6', 155492),
(211767, 'PTHR11905:SF232', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 20', 155493),
(211768, 'PTHR21503:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CBG20260', 155494),
(211769, 'PTHR31304', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 38', 155495),
(211770, 'PTHR43952:SF68', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR-RELATED', 155496),
(211771, 'PTHR40462', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 155497),
(211772, 'PTHR24241:SF17', NULL, NULL, NULL, NULL, 'VASOPRESSIN V1A RECEPTOR', 155498),
(211773, 'PTHR31989:SF140', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 105', 155499),
(211774, 'PTHR31852:SF4', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 155500),
(211775, 'PTHR47928:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155501),
(211776, 'PTHR14000:SF32', NULL, NULL, NULL, NULL, 'BNAC03G35350D PROTEIN', 155502),
(211777, 'PTHR37234:SF3', NULL, NULL, NULL, NULL, 'BNACNNG20390D PROTEIN', 155503),
(211778, 'PTHR32133:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155504),
(211779, 'PTHR11467:SF50', NULL, NULL, NULL, NULL, 'HISTONE H1', 155505),
(211780, 'PTHR12414:SF6', NULL, NULL, NULL, NULL, 'CHORION-SPECIFIC TRANSCRIPTION FACTOR GCMA', 155506),
(211781, 'PTHR48002:SF92', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 155507),
(211782, 'PTHR24373:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT NEURONAL PROTEIN 3', 155508),
(211783, 'PTHR37319:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE', 155509),
(211784, 'PTHR10900:SF113', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G14300)', 155510),
(211785, 'PTHR10218:SF323', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-15 SUBUNIT', 155511),
(211786, 'PTHR10201:SF137', NULL, NULL, NULL, NULL, 'NEUTROPHIL COLLAGENASE', 155512),
(211787, 'PTHR11351:SF66', NULL, NULL, NULL, NULL, 'DELTA-9 DESATURASE-LIKE 4 PROTEIN-RELATED', 155513),
(211788, 'PTHR43464:SF55', NULL, NULL, NULL, NULL, '23S RRNA (GUANINE-N(1)-)-METHYLTRANSFERASE YXJB-RELATED', 155514),
(211789, 'PTHR23147:SF59', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 9', 155515),
(211790, 'PTHR11875:SF64', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED-LIKE PROTEIN 1', 155516),
(211791, 'PTHR46284:SF5', NULL, NULL, NULL, NULL, 'PROTEIN KINESIN LIGHT CHAIN-RELATED 3', 155517),
(211792, 'PTHR12792:SF0', NULL, NULL, NULL, NULL, 'SEPARIN', 155518),
(211793, 'PTHR12363:SF44', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 155519),
(211794, 'PTHR43646:SF3', NULL, NULL, NULL, NULL, 'SLR1566 PROTEIN', 155520),
(211795, 'PTHR13803:SF40', NULL, NULL, NULL, NULL, 'BNAA01G32450D PROTEIN', 155521),
(211796, 'PTHR11271:SF47', NULL, NULL, NULL, NULL, 'GUANINE DEAMINASE-RELATED', 155522),
(211797, 'PTHR33085:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155523),
(211798, 'PTHR10658:SF54', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 1', 155524),
(211799, 'PTHR43900:SF48', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F2-RELATED', 155525);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(211800, 'PTHR12489:SF1', NULL, NULL, NULL, NULL, 'LP10272P', 155526),
(211801, 'PTHR36052:SF1', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER', 155527),
(211802, 'PTHR26453:SF604', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 4 SUBFAMILY D MEMBER 5', 155528),
(211803, 'PTHR33541:SF9', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE', 155529),
(211804, 'PTHR13149', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN VPS25', 155530),
(211805, 'PTHR11516:SF62', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', 155531),
(211806, 'PTHR48008:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE IMK3-RELATED', 155532),
(211807, 'PTHR23502:SF51', NULL, NULL, NULL, NULL, 'QUINIDINE RESISTANCE PROTEIN 1-RELATED', 155533),
(211808, 'PTHR24061:SF521', NULL, NULL, NULL, NULL, 'MCG130577-RELATED', 155534),
(211809, 'PTHR45974:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155535),
(211810, 'PTHR31054', NULL, NULL, NULL, NULL, 'ZYGOTE ARREST PROTEIN 1-LIKE ISOFORM X1', 155536),
(211811, 'PTHR37748', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 155537),
(211812, 'PTHR24068:SF281', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2D 2 (UBC4/5 HOMOLOG, YEAST)-RELATED', 155538),
(211813, 'PTHR31080:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155539),
(211814, 'PTHR48053', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', 155540),
(211815, 'PTHR31901:SF43', NULL, NULL, NULL, NULL, '4-SUBSTITUTED BENZOATES-GLUTAMATE LIGASE GH3.12', 155541),
(211816, 'PTHR10772:SF37', NULL, NULL, NULL, NULL, 'GROES-LIKE FAMILY PROTEIN', 155542),
(211817, 'PTHR46561:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG16352', 155543),
(211818, 'PTHR13829', NULL, NULL, NULL, NULL, 'SNRNP CORE PROTEIN FAMILY MEMBER', 155544),
(211819, 'PTHR27003:SF89', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 155545),
(211820, 'PTHR24042', NULL, NULL, NULL, NULL, 'NEL HOMOLOG', 155546),
(211821, 'PTHR38839:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR WHIB', 155547),
(211822, 'PTHR47993:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155548),
(211823, 'PTHR47978:SF3', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA4D-LIKE', 155549),
(211824, 'PTHR11132:SF321', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER 3', 155550),
(211825, 'PTHR11638:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155551),
(211826, 'PTHR33138:SF60', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.8', 155552),
(211827, 'PTHR16983:SF28', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX, LOCUS M', 155553),
(211828, 'PTHR43649:SF12', NULL, NULL, NULL, NULL, 'ARABINOSE-BINDING PROTEIN-RELATED', 155554),
(211829, 'PTHR10209:SF751', NULL, NULL, NULL, NULL, 'OS06G0255100 PROTEIN', 155555),
(211830, 'PTHR31356:SF47', NULL, NULL, NULL, NULL, 'BNAC08G02340D PROTEIN', 155556),
(211831, 'PTHR11533:SF174', NULL, NULL, NULL, NULL, 'PUROMYCIN-SENSITIVE AMINOPEPTIDASE-RELATED', 155557),
(211832, 'PTHR16423:SF3', NULL, NULL, NULL, NULL, 'TREM-LIKE TRANSCRIPT 2 PROTEIN', 155558),
(211833, 'PTHR31304:SF21', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 41-LIKE', 155559),
(211834, 'PTHR33124:SF86', NULL, NULL, NULL, NULL, 'BNAA01G06640D PROTEIN', 155560),
(211835, 'PTHR28032:SF1', NULL, NULL, NULL, NULL, 'FI02826P', 155561),
(211836, 'PTHR45808:SF4', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 8', 155562),
(211837, 'PTHR46475:SF13', NULL, NULL, NULL, NULL, 'BNAA02G23720D PROTEIN', 155563),
(211838, 'PTHR46066', NULL, NULL, NULL, NULL, 'CHITINASE DOMAIN-CONTAINING PROTEIN 1 FAMILY MEMBER', 155564),
(211839, 'PTHR24559:SF311', NULL, NULL, NULL, NULL, 'AGL178WP', 155565),
(211840, 'PTHR19433:SF103', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 10', 155566),
(211841, 'PTHR31001:SF49', NULL, NULL, NULL, NULL, 'COL-23', 155567),
(211842, 'PTHR12763', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 155568),
(211843, 'PTHR31549:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155569);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(211844, 'PTHR33543:SF10', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN', 155570),
(211845, 'PTHR22950:SF323', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT6C', 155571),
(211846, 'PTHR33244:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155572),
(211847, 'PTHR36195:SF5', NULL, NULL, NULL, NULL, 'BYS1 FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G04533)', 155573),
(211848, 'PTHR31116:SF35', NULL, NULL, NULL, NULL, 'GMP SYNTHASE [GLUTAMINE-HYDROLYZING]-RELATED', 155574),
(211849, 'PTHR31223:SF73', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG5', 155575),
(211850, 'PTHR42834', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G09210)', 155576),
(211851, 'PTHR23267:SF379', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 2-24', 155577),
(211852, 'PTHR47932:SF30', NULL, NULL, NULL, NULL, 'GENOMES UNCOUPLED1', 155578),
(211853, 'PTHR22753:SF34', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 155579),
(211854, 'PTHR32303:SF18', NULL, NULL, NULL, NULL, 'POLYVINYLALCOHOL DEHYDROGENASE-LIKE', 155580),
(211855, 'PTHR39244:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155581),
(211856, 'PTHR32133:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155582),
(211857, 'PTHR24282:SF154', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP749A22-LIKE', 155583),
(211858, 'PTHR20961:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155584),
(211859, 'PTHR23315', NULL, NULL, NULL, NULL, 'U BOX DOMAIN-CONTAINING', 155585),
(211860, 'PTHR24221:SF568', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 5-LIKE ISOFORM X1', 155586),
(211861, 'PTHR15481:SF0', NULL, NULL, NULL, NULL, 'LD23870P-RELATED', 155587),
(211862, 'PTHR22917:SF8', NULL, NULL, NULL, NULL, 'PROTEOGLYCAN 4A', 155588),
(211863, 'PTHR24028:SF296', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 1 GAMMA 18-RELATED', 155589),
(211864, 'PTHR43809:SF1', NULL, NULL, NULL, NULL, 'NITRITE REDUCTASE (NADH) LARGE SUBUNIT', 155590),
(211865, 'PTHR24012:SF753', NULL, NULL, NULL, NULL, 'RNA-BINDING POST-TRANSCRIPTIONAL REGULATOR CSX1', 155591),
(211866, 'PTHR14905:SF7', NULL, NULL, NULL, NULL, 'HET-C DOMAIN PROTEIN HETC (AFU_ORTHOLOGUE AFUA_2G15840)', 155592),
(211867, 'PTHR10423:SF5', NULL, NULL, NULL, NULL, 'INSULIN LIKE 3', 155593),
(211868, 'PTHR33408:SF2', NULL, NULL, NULL, NULL, 'TRANSPOSASE', 155594),
(211869, 'PTHR13675:SF2', NULL, NULL, NULL, NULL, 'LYRM2 ISOFORM 3', 155595),
(211870, 'PTHR11528:SF104', NULL, NULL, NULL, NULL, 'BNAA02G35440D PROTEIN', 155596),
(211871, 'PTHR31190:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155597),
(211872, 'PTHR24177:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155598),
(211873, 'PTHR10489:SF923', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR 1-LIKE PROTEIN 1', 155599),
(211874, 'PTHR37760', NULL, NULL, NULL, NULL, 'CHAPERONE', 155600),
(211875, 'PTHR11011:SF65', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE-RELATED', 155601),
(211876, 'PTHR10131:SF139', NULL, NULL, NULL, NULL, 'NEUROFILAMENT HEAVY POLYPEPTIDE-LIKE', 155602),
(211877, 'PTHR45781:SF3', NULL, NULL, NULL, NULL, 'TOX HIGH MOBILITY GROUP BOX FAMILY MEMBER 3', 155603),
(211878, 'PTHR31276:SF4', NULL, NULL, NULL, NULL, 'DUF617 FAMILY PROTEIN', 155604),
(211879, 'PTHR16219:SF1', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 4', 155605),
(211880, 'PTHR26312:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155606),
(211881, 'PTHR38926:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155607),
(211882, 'PTHR13408:SF8', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC4-LIKE ISOFORM X1', 155608),
(211883, 'PTHR48017:SF6', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 4', 155609),
(211884, 'PTHR10291', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE FAMILY MEMBER', 155610),
(211885, 'PTHR21257:SF51', NULL, NULL, NULL, NULL, 'BNACNNG50210D PROTEIN', 155611),
(211886, 'PTHR11571:SF224', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC PROSTAGLANDIN D SYNTHASE', 155612),
(211887, 'PTHR31639:SF226', NULL, NULL, NULL, NULL, 'BNAA04G27260D PROTEIN', 155613);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(211888, 'PTHR23151:SF88', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 155614),
(211889, 'PTHR30055:SF164', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 155615),
(211890, 'PTHR23073:SF114', NULL, NULL, NULL, NULL, 'AAA SUPERFAMILY ATPASE', 155616),
(211891, 'PTHR37771:SF2', NULL, NULL, NULL, NULL, 'OS02G0593400 PROTEIN', 155617),
(211892, 'PTHR14017:SF19', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJD-3.1', 155618),
(211893, 'PTHR11771:SF151', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 155619),
(211894, 'PTHR12482:SF5', NULL, NULL, NULL, NULL, 'F19C14.4 PROTEIN', 155620),
(211895, 'PTHR42874', NULL, NULL, NULL, NULL, 'URICASE', 155621),
(211896, 'PTHR24327:SF28', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DLX-3', 155622),
(211897, 'PTHR10903:SF155', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC556402-RELATED', 155623),
(211898, 'PTHR11339:SF386', NULL, NULL, NULL, NULL, 'PROTEIN CBG11501', 155624),
(211899, 'PTHR10314:SF179', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE 2, CHLOROPLASTIC', 155625),
(211900, 'PTHR11615:SF276', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1D2', 155626),
(211901, 'PTHR34182', NULL, NULL, NULL, NULL, 'PROTEIN-EXPORT MEMBRANE PROTEIN SECG', 155627),
(211902, 'PTHR23503:SF25', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2 MEMBER 15A-RELATED', 155628),
(211903, 'PTHR23113:SF237', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155629),
(211904, 'PTHR48100:SF40', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN', 155630),
(211905, 'PTHR37256:SF5', NULL, NULL, NULL, NULL, 'BNAA02G05390D PROTEIN', 155631),
(211906, 'PTHR33083:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155632),
(211907, 'PTHR10209:SF492', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 155633),
(211908, 'PTHR28666:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 240', 155634),
(211909, 'PTHR33295:SF18', NULL, NULL, NULL, NULL, 'ATPASE', 155635),
(211910, 'PTHR11857:SF40', NULL, NULL, NULL, NULL, 'GENERAL ODORANT-BINDING PROTEIN 57C-RELATED', 155636),
(211911, 'PTHR45820:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155637),
(211912, 'PTHR35132:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155638),
(211913, 'PTHR43418:SF7', NULL, NULL, NULL, NULL, 'CARBAMOYL-PHOSPHATE SYNTHASE SMALL CHAIN', 155639),
(211914, 'PTHR48100:SF32', NULL, NULL, NULL, NULL, 'ANCHORED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G10590)-RELATED', 155640),
(211915, 'PTHR36419:SF1', NULL, NULL, NULL, NULL, 'ARRESTIN FAMILY PROTEIN 1', 155641),
(211916, 'PTHR33734:SF22', NULL, NULL, NULL, NULL, 'TRANSGLYCOSYLASE, SLT FAMILY', 155642),
(211917, 'PTHR11101:SF90', NULL, NULL, NULL, NULL, 'SULFATE PERMEASE CYSP', 155643),
(211918, 'PTHR11913:SF84', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 2', 155644),
(211919, 'PTHR22791:SF12', NULL, NULL, NULL, NULL, 'ZGC:165481', 155645),
(211920, 'PTHR22932:SF14', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONE-RELATED', 155646),
(211921, 'PTHR16134:SF55', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 19-RELATED', 155647),
(211922, 'PTHR36862:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 428', 155648),
(211923, 'PTHR24343:SF427', NULL, NULL, NULL, NULL, 'BNAC08G14640D PROTEIN', 155649),
(211924, 'PTHR10809:SF128', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 2-2-LIKE', 155650),
(211925, 'PTHR43129:SF1', NULL, NULL, NULL, NULL, 'FOSMIDOMYCIN RESISTANCE PROTEIN', 155651),
(211926, 'PTHR31248', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G04290)-RELATED', 155652),
(211927, 'PTHR21593:SF31', NULL, NULL, NULL, NULL, 'PROTEIN CBG05953', 155653),
(211928, 'PTHR31992:SF109', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.6', 155654),
(211929, 'PTHR23158:SF38', NULL, NULL, NULL, NULL, 'MELANOMA INHIBITORY ACTIVITY PROTEIN 2', 155655),
(211930, 'PTHR10547:SF2', NULL, NULL, NULL, NULL, 'SEMINAL VESICLE PROTEIN, SECRETION 2', 155656),
(211931, 'PTHR24230:SF128', NULL, NULL, NULL, NULL, 'SI:DKEY-148A17.5-RELATED', 155657),
(211932, 'PTHR44216:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND TETRATRICOPEPTIDE REPEAT-CONTAINING 2A', 155658);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(211933, 'PTHR43019:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155659),
(211934, 'PTHR34355:SF11', NULL, NULL, NULL, NULL, 'BNAA04G28500D PROTEIN', 155660),
(211935, 'PTHR45770:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155661),
(211936, 'PTHR48043:SF74', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 155662),
(211937, 'PTHR46201:SF3', NULL, NULL, NULL, NULL, 'OS01G0877500 PROTEIN', 155663),
(211938, 'PTHR24376:SF83', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 615', 155664),
(211939, 'PTHR31917:SF65', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 155665),
(211940, 'PTHR27002:SF739', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155666),
(211941, 'PTHR24015:SF379', NULL, NULL, NULL, NULL, 'OS11G0433100 PROTEIN', 155667),
(211942, 'PTHR21859:SF48', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 31A1-RELATED', 155668),
(211943, 'PTHR18896:SF170', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 155669),
(211944, 'PTHR22597:SF16', NULL, NULL, NULL, NULL, 'EMBRYONIC FLOWER 2', 155670),
(211945, 'PTHR47926:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155671),
(211946, 'PTHR46107', NULL, NULL, NULL, NULL, 'DUMPY: SHORTER THAN WILD-TYPE', 155672),
(211947, 'PTHR11850:SF98', NULL, NULL, NULL, NULL, 'PRE-B-CELL LEUKEMIA TRANSCRIPTION FACTOR 4', 155673),
(211948, 'PTHR31257:SF3', NULL, NULL, NULL, NULL, 'RICIN B-LIKE LECTIN R40C1', 155674),
(211949, 'PTHR33248:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155675),
(211950, 'PTHR31236:SF51', NULL, NULL, NULL, NULL, 'BNAC02G48560D PROTEIN', 155676),
(211951, 'PTHR23253:SF35', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4G', 155677),
(211952, 'PTHR46506:SF15', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 155678),
(211953, 'PTHR23430:SF281', NULL, NULL, NULL, NULL, 'HISTONE H2A.5-RELATED', 155679),
(211954, 'PTHR12482:SF24', NULL, NULL, NULL, NULL, 'LIPASE YOR059C-RELATED', 155680),
(211955, 'PTHR22692:SF12', NULL, NULL, NULL, NULL, 'MYOSIN-VIIA-LIKE PROTEIN', 155681),
(211956, 'PTHR22890:SF5', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 11', 155682),
(211957, 'PTHR31314:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155683),
(211958, 'PTHR45657:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155684),
(211959, 'PTHR32285:SF291', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 11', 155685),
(211960, 'PTHR36864', NULL, NULL, NULL, NULL, 'CANCER-ASSOCIATED GENE 1 PROTEIN', 155686),
(211961, 'PTHR11153:SF8', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-1-3', 155687),
(211962, 'PTHR37784:SF4', NULL, NULL, NULL, NULL, 'AEL308WP', 155688),
(211963, 'PTHR47925:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155689),
(211964, 'PTHR42884:SF10', NULL, NULL, NULL, NULL, 'ENDOPROTEASE AEX-5', 155690),
(211965, 'PTHR43430', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE HOMOLOG', 155691),
(211966, 'PTHR35101', NULL, NULL, NULL, NULL, 'OS02G0162600 PROTEIN', 155692),
(211967, 'PTHR11685:SF366', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 155693),
(211968, 'PTHR32285:SF250', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 155694),
(211969, 'PTHR46313:SF2', NULL, NULL, NULL, NULL, 'CAROTENE ISOMERASE', 155695),
(211970, 'PTHR32382:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155696),
(211971, 'PTHR11455:SF3', NULL, NULL, NULL, NULL, 'CRYPTOCHROME-LIKE PROTEIN', 155697),
(211972, 'PTHR47992:SF72', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C FAMILY PROTEIN', 155698),
(211973, 'PTHR43795', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ASPARTATE AMINOTRANSFERASE AND GLUTAMATE/ASPARTATE-PREPHENATE AMINOTRANSFERASE-RELATED', 155699),
(211974, 'PTHR45663:SF23', NULL, NULL, NULL, NULL, 'THIOREDOXIN M1, CHLOROPLASTIC', 155700),
(211975, 'PTHR47977:SF9', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABD2B', 155701),
(211976, 'PTHR31104:SF10', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA-GLUCOSAMINYL)ASPARAGINE AMIDASE A', 155702),
(211977, 'PTHR45848:SF3', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE-LIKE', 155703);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(211978, 'PTHR12411:SF688', NULL, NULL, NULL, NULL, 'OS09G0564600 PROTEIN', 155704),
(211979, 'PTHR11132:SF285', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-SUGAR TRANSPORTER FAMILY PROTEIN', 155705),
(211980, 'PTHR31945:SF115', NULL, NULL, NULL, NULL, 'BNAA09G46800D PROTEIN', 155706),
(211981, 'PTHR15359:SF5', NULL, NULL, NULL, NULL, 'PURKINJE CELL PROTEIN 4-LIKE PROTEIN 1', 155707),
(211982, 'PTHR13392:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155708),
(211983, 'PTHR43719:SF43', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE CKI1', 155709),
(211984, 'PTHR47985:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155710),
(211985, 'PTHR31677:SF139', NULL, NULL, NULL, NULL, 'ERF FAMILY PROTEIN', 155711),
(211986, 'PTHR43381', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-2-RELATED', 155712),
(211987, 'PTHR44329:SF77', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY17', 155713),
(211988, 'PTHR48047:SF17', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 86A1', 155714),
(211989, 'PTHR24376:SF154', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 729', 155715),
(211990, 'PTHR24145:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 11', 155716),
(211991, 'PTHR30121', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YJGR-RELATED', 155717),
(211992, 'PTHR31747:SF3', NULL, NULL, NULL, NULL, 'PROTEIN LSD1', 155718),
(211993, 'PTHR11210:SF54', NULL, NULL, NULL, NULL, 'RING-BOX PROTEIN 1A-LIKE', 155719),
(211994, 'PTHR48062:SF24', NULL, NULL, NULL, NULL, 'DNA-DAMAGE-REPAIR/TOLERATION PROTEIN DRT100-LIKE', 155720),
(211995, 'PTHR11362:SF89', NULL, NULL, NULL, NULL, 'LOCUS T-LIKE PROTEIN, PUTATIVE-RELATED', 155721),
(211996, 'PTHR19315', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 4', 155722),
(211997, 'PTHR23237:SF6', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 1', 155723),
(211998, 'PTHR11005:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155724),
(211999, 'PTHR45980:SF9', NULL, NULL, NULL, NULL, 'DO-LIKE 15 PROTEIN-RELATED', 155725),
(212000, 'PTHR24377:SF893', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 454', 155726),
(212001, 'PTHR24366:SF87', NULL, NULL, NULL, NULL, 'KEK6, ISOFORM B', 155727),
(212002, 'PTHR46236:SF23', NULL, NULL, NULL, NULL, 'BNAUNNG04670D PROTEIN', 155728),
(212003, 'PTHR31698:SF5', NULL, NULL, NULL, NULL, 'LYSOZYME G-LIKE PROTEIN 1', 155729),
(212004, 'PTHR43091', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE', 155730),
(212005, 'PTHR31867:SF152', NULL, NULL, NULL, NULL, 'EXPANSIN', 155731),
(212006, 'PTHR13832:SF752', NULL, NULL, NULL, NULL, 'BNAA05G09980D PROTEIN', 155732),
(212007, 'PTHR33935:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 155733),
(212008, 'PTHR31852:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155734),
(212009, 'PTHR31374:SF329', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 155735),
(212010, 'PTHR12964:SF3', NULL, NULL, NULL, NULL, 'BNAA05G26780D PROTEIN', 155736),
(212011, 'PTHR45676:SF78', NULL, NULL, NULL, NULL, 'OS06G0271600 PROTEIN', 155737),
(212012, 'PTHR31805', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE, PUTATIVE (DUF1421)-RELATED', 155738),
(212013, 'PTHR24093:SF378', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE I-RELATED', 155739),
(212014, 'PTHR28027:SF1', NULL, NULL, NULL, NULL, 'CAMP INDEPENDENT REGULATORY PROTEIN (AFU_ORTHOLOGUE AFUA_3G09640)', 155740),
(212015, 'PTHR47629:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG10704', 155741),
(212016, 'PTHR31963:SF12', NULL, NULL, NULL, NULL, 'OS02G0566400 PROTEIN', 155742),
(212017, 'PTHR23055:SF13', NULL, NULL, NULL, NULL, 'GUANYLYL CYCLASE-ACTIVATING PROTEIN 1', 155743),
(212018, 'PTHR22893:SF111', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE-LIKE PROTEIN 2A-RELATED', 155744),
(212019, 'PTHR31936', NULL, NULL, NULL, NULL, 'PROTEIN CBG18744', 155745),
(212020, 'PTHR11620:SF69', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L23, CHLOROPLASTIC', 155746),
(212021, 'PTHR13887:SF45', NULL, NULL, NULL, NULL, 'BLL2497 PROTEIN', 155747),
(212022, 'PTHR42901', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE', 155748); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(212023, 'PTHR11066', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE', 155749),
(212024, 'PTHR12549:SF52', NULL, NULL, NULL, NULL, 'OS02G0828900 PROTEIN', 155750),
(212025, 'PTHR48111:SF43', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 155751),
(212026, 'PTHR11771:SF167', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 155752),
(212027, 'PTHR47938:SF10', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 155753),
(212028, 'PTHR47283:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155754),
(212029, 'PTHR24298:SF836', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 81, SUBFAMILY D, POLYPEPTIDE 2-RELATED', 155755),
(212030, 'PTHR10695:SF46', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL COENZYME A SYNTHASE-RELATED', 155756),
(212031, 'PTHR27008:SF481', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155757),
(212032, 'PTHR24161:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155758),
(212033, 'PTHR10844:SF3', NULL, NULL, NULL, NULL, 'CAVEOLIN-2', 155759),
(212034, 'PTHR12766:SF7', NULL, NULL, NULL, NULL, 'DEATH DOMAIN-ASSOCIATED PROTEIN 6', 155760),
(212035, 'PTHR37259:SF4', NULL, NULL, NULL, NULL, 'BNAA02G04150D PROTEIN', 155761),
(212036, 'PTHR45615:SF35', NULL, NULL, NULL, NULL, 'MYOSIN-8', 155762),
(212037, 'PTHR19957:SF306', NULL, NULL, NULL, NULL, 'TARGET SNARE COILED-COIL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 155763),
(212038, 'PTHR48022:SF1', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G06720)-RELATED', 155764),
(212039, 'PTHR23502:SF170', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER, PUTATIVE-RELATED', 155765),
(212040, 'PTHR10857:SF125', NULL, NULL, NULL, NULL, 'COPINE VIII', 155766),
(212041, 'PTHR10809:SF134', NULL, NULL, NULL, NULL, 'BNACNNG31750D PROTEIN', 155767),
(212042, 'PTHR23087:SF10', NULL, NULL, NULL, NULL, 'NON-HISTONE CHROMOSOMAL PROTEIN HMG-14A', 155768),
(212043, 'PTHR15692:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155769),
(212044, 'PTHR27003:SF383', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 155770),
(212045, 'PTHR39188', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED ZINC METALLOPROTEASE M50B', 155771),
(212046, 'PTHR13448:SF7', NULL, NULL, NULL, NULL, 'BNAC06G31930D PROTEIN', 155772),
(212047, 'PTHR43373:SF1', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT A1', 155773),
(212048, 'PTHR34464', NULL, NULL, NULL, NULL, 'OS09G0376300 PROTEIN', 155774),
(212049, 'PTHR12834', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 9 KDA PROTEIN', 155775),
(212050, 'PTHR36016:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155776),
(212051, 'PTHR37009', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 155777),
(212052, 'PTHR23073:SF8', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 6B', 155778),
(212053, 'PTHR45947:SF3', NULL, NULL, NULL, NULL, 'SULFOQUINOVOSYL TRANSFERASE SQD2', 155779),
(212054, 'PTHR31375:SF26', NULL, NULL, NULL, NULL, 'OS05G0279900 PROTEIN', 155780),
(212055, 'PTHR45878:SF27', NULL, NULL, NULL, NULL, 'WIP DOMAIN PROTEIN 3-RELATED', 155781),
(212056, 'PTHR27006:SF419', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', 155782),
(212057, 'PTHR12299:SF29', NULL, NULL, NULL, NULL, 'PLASMINOGEN ACTIVATOR INHIBITOR 1 RNA-BINDING PROTEIN', 155783),
(212058, 'PTHR11206:SF418', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 155784),
(212059, 'PTHR46038:SF46', NULL, NULL, NULL, NULL, 'BNAA09G17310D PROTEIN', 155785),
(212060, 'PTHR11002:SF62', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 155786),
(212061, 'PTHR11595:SF75', NULL, NULL, NULL, NULL, 'BNACNNG34540D PROTEIN', 155787),
(212062, 'PTHR34287', NULL, NULL, NULL, NULL, 'OS06G0551500 PROTEIN-RELATED', 155788),
(212063, 'PTHR10593:SF133', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 2-LIKE ISOFORM X1', 155789),
(212064, 'PTHR14619:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NDNF', 155790),
(212065, 'PTHR32204:SF0', NULL, NULL, NULL, NULL, 'ATPASE RAVA', 155791),
(212066, 'PTHR32370:SF125', NULL, NULL, NULL, NULL, 'SKP1/BTB/POZ DOMAIN-CONTAINING PROTEIN-RELATED', 155792);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(212067, 'PTHR24209:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR INTERACTOR AND REGULATOR LIM FAMILY-RELATED', 155793),
(212068, 'PTHR45648:SF83', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 155794),
(212069, 'PTHR43070:SF8', NULL, NULL, NULL, NULL, 'ASPARTOKINASE-HOMOSERINE DEHYDROGENASE', 155795),
(212070, 'PTHR46172:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON SUBUNIT 3', 155796),
(212071, 'PTHR31677:SF156', NULL, NULL, NULL, NULL, 'ERF FAMILY PROTEIN', 155797),
(212072, 'PTHR47956:SF22', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A12-RELATED', 155798),
(212073, 'PTHR45707:SF42', NULL, NULL, NULL, NULL, 'BNAA09G39430D PROTEIN', 155799),
(212074, 'PTHR27008:SF469', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155800),
(212075, 'PTHR47870:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN CCMH', 155801),
(212076, 'PTHR43078:SF17', NULL, NULL, NULL, NULL, 'OS03G0278000 PROTEIN', 155802),
(212077, 'PTHR45620:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155803),
(212078, 'PTHR45725:SF13', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, DELTA 2 (GRID2)-INTERACTING PROTEIN, A', 155804),
(212079, 'PTHR14453:SF67', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 155805),
(212080, 'PTHR43297:SF2', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT ATP-BINDING PROTEIN APPD', 155806),
(212081, 'PTHR18945:SF406', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL 46-RELATED', 155807),
(212082, 'PTHR15486:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155808),
(212083, 'PTHR33271', NULL, NULL, NULL, NULL, 'OS04G0445200 PROTEIN', 155809),
(212084, 'PTHR24286:SF44', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 90A1', 155810),
(212085, 'PTHR26374:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155811),
(212086, 'PTHR24399:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 1', 155812),
(212087, 'PTHR48016:SF15', NULL, NULL, NULL, NULL, 'OS04G0437600 PROTEIN', 155813),
(212088, 'PTHR22926:SF5', NULL, NULL, NULL, NULL, 'PHOSPHO-N-ACETYLMURAMOYL-PENTAPEPTIDE-TRANSFERASE HOMOLOG', 155814),
(212089, 'PTHR45613:SF344', NULL, NULL, NULL, NULL, '(PPR) REPEAT PROTEIN, PUTATIVE-RELATED', 155815),
(212090, 'PTHR16266:SF26', NULL, NULL, NULL, NULL, 'BROMODOMAIN AND WD REPEAT-CONTAINING PROTEIN 1', 155816),
(212091, 'PTHR10015:SF308', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-2A-LIKE', 155817),
(212092, 'PTHR42771:SF7', NULL, NULL, NULL, NULL, 'ABC-TYPE COBALAMIN/FE3+-SIDEROPHORES TRANSPORT SYSTEM, ATPASE COMPONENT-RELATED', 155818),
(212093, 'PTHR33362:SF4', NULL, NULL, NULL, NULL, '2,3-DIKETO-L-GULONATE TRAP TRANSPORTER LARGE PERMEASE PROTEIN YIAN', 155819),
(212094, 'PTHR34630:SF43', NULL, NULL, NULL, NULL, 'AND NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN, PUTATIVE-RELATED', 155820),
(212095, 'PTHR13902:SF139', NULL, NULL, NULL, NULL, 'WNK KINASE', 155821),
(212096, 'PTHR45712:SF8', NULL, NULL, NULL, NULL, 'PROLARGIN', 155822),
(212097, 'PTHR48000:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155823),
(212098, 'PTHR11933:SF6', NULL, NULL, NULL, NULL, 'TRNA (5-METHYLAMINOMETHYL-2-THIOURIDYLATE)-METHYLTRANSFERASE', 155824),
(212099, 'PTHR35336', NULL, NULL, NULL, NULL, 'ADENOSYLCOBINAMIDE AMIDOHYDROLASE', 155825),
(212100, 'PTHR47630:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 155826),
(212101, 'PTHR32208:SF63', NULL, NULL, NULL, NULL, 'GLYOXAL OXIDASE-RELATED PROTEIN', 155827),
(212102, 'PTHR11850:SF212', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', 155828),
(212103, 'PTHR33065:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155829),
(212104, 'PTHR26453:SF123', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6N1', 155830),
(212105, 'PTHR47248', NULL, NULL, NULL, NULL, 'PROTEIN CBG06772', 155831),
(212106, 'PTHR47584:SF14', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 155832),
(212107, 'PTHR11082:SF31', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(20A/20B) SYNTHASE [NAD(P)+]-LIKE', 155833); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(212108, 'PTHR11139:SF113', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TOR', 155834),
(212109, 'PTHR24278:SF27', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR XII', 155835),
(212110, 'PTHR11746:SF174', NULL, NULL, NULL, NULL, '3-AMINOMETHYLINDOLE N-METHYLTRANSFERASE', 155836),
(212111, 'PTHR47628', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 155837),
(212112, 'PTHR13386', NULL, NULL, NULL, NULL, 'HISTONE PARYLATION FACTOR 1', 155838),
(212113, 'PTHR19965:SF35', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4', 155839),
(212114, 'PTHR33727:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155840),
(212115, 'PTHR24414:SF71', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP6-LIKE', 155841),
(212116, 'PTHR34223:SF61', NULL, NULL, NULL, NULL, 'OS11G0201900 PROTEIN', 155842),
(212117, 'PTHR16450', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 186', 155843),
(212118, 'PTHR11929:SF11', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE 6', 155844),
(212119, 'PTHR13815:SF7', NULL, NULL, NULL, NULL, 'GOLGIN CANDIDATE 1', 155845),
(212120, 'PTHR32142:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155846),
(212121, 'PTHR32285:SF307', NULL, NULL, NULL, NULL, 'BNAA04G29290D PROTEIN', 155847),
(212122, 'PTHR11260:SF608', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTU6', 155848),
(212123, 'PTHR33207:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155849),
(212124, 'PTHR10353:SF139', NULL, NULL, NULL, NULL, '6-PHOSPHO-BETA-GLUCOSIDASE GMUD', 155850),
(212125, 'PTHR45622:SF19', NULL, NULL, NULL, NULL, 'PROTEIN TIRA', 155851),
(212126, 'PTHR40053', NULL, NULL, NULL, NULL, 'SPORULATION-CONTROL PROTEIN SPO0M', 155852),
(212127, 'PTHR37169:SF2', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMR SUBUNIT CMR3', 155853),
(212128, 'PTHR31775:SF36', NULL, NULL, NULL, NULL, 'REMORIN-LIKE', 155854),
(212129, 'PTHR11778:SF7', NULL, NULL, NULL, NULL, 'SERINE--TRNA LIGASE, CYTOPLASMIC-RELATED', 155855),
(212130, 'PTHR46761:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155856),
(212131, 'PTHR31225:SF137', NULL, NULL, NULL, NULL, 'R-LINALOOL SYNTHASE PROTEIN-RELATED', 155857),
(212132, 'PTHR48049:SF72', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 155858),
(212133, 'PTHR15341:SF5', NULL, NULL, NULL, NULL, 'EXOSOME-ASSOCIATED FACTOR RRP47/DNA STRAND REPAIR C1D-RELATED', 155859),
(212134, 'PTHR30037:SF3', NULL, NULL, NULL, NULL, 'BLR0857 PROTEIN', 155860),
(212135, 'PTHR36364', NULL, NULL, NULL, NULL, 'OS03G0203000 PROTEIN', 155861),
(212136, 'PTHR12121:SF91', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY-RELATED', 155862),
(212137, 'PTHR10649:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155863),
(212138, 'PTHR11142:SF23', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE', 155864),
(212139, 'PTHR46641:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG17255', 155865),
(212140, 'PTHR22091:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 77', 155866),
(212141, 'PTHR43833:SF9', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL PROTEIN 2-RELATED', 155867),
(212142, 'PTHR15825:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155868),
(212143, 'PTHR31312:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB-HB-LIKE FAMILY-RELATED', 155869),
(212144, 'PTHR31499:SF37', NULL, NULL, NULL, NULL, 'OS09G0299000 PROTEIN', 155870),
(212145, 'PTHR31042:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155871),
(212146, 'PTHR32100:SF69', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE-RELATED', 155872),
(212147, 'PTHR47958:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155873),
(212148, 'PTHR24126:SF43', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 155874),
(212149, 'PTHR47301', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC681006', 155875),
(212150, 'PTHR31639:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155876),
(212151, 'PTHR48068', NULL, NULL, NULL, NULL, 'TAF9 RNA POLYMERASE II, TATA BOX-BINDING PROTEIN (TBP)-ASSOCIATED FACTOR', 155877),
(212152, 'PTHR45654:SF18', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG8', 155878);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(212153, 'PTHR11760:SF44', NULL, NULL, NULL, NULL, 'BNAC07G33680D PROTEIN', 155879),
(212154, 'PTHR28012:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR FUSION PROTEIN KAR5', 155880),
(212155, 'PTHR11743:SF50', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 3', 155881),
(212156, 'PTHR31327:SF3', NULL, NULL, NULL, NULL, 'MULTIPLE PDZ DOMAIN PROTEIN', 155882),
(212157, 'PTHR46973', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN 2A', 155883),
(212158, 'PTHR23334', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER BINDING PROTEIN', 155884),
(212159, 'PTHR26453:SF59', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1341', 155885),
(212160, 'PTHR23430:SF283', NULL, NULL, NULL, NULL, 'HISTONE H2A', 155886),
(212161, 'PTHR31517:SF57', NULL, NULL, NULL, NULL, 'PEROXIDASE', 155887),
(212162, 'PTHR24353:SF110', NULL, NULL, NULL, NULL, 'DEVELOPMENTALLY-REGULATED PROTEIN KINASE 1', 155888),
(212163, 'PTHR48011:SF73', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE MEKK1', 155889),
(212164, 'PTHR14155:SF529', NULL, NULL, NULL, NULL, 'OS06G0534900 PROTEIN', 155890),
(212165, 'PTHR31692:SF93', NULL, NULL, NULL, NULL, 'BETA-EXPANSIN 5', 155891),
(212166, 'PTHR47926:SF202', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN, DYW DOMAIN PROTEIN-RELATED', 155892),
(212167, 'PTHR34826', NULL, NULL, NULL, NULL, 'UPF0590 PROTEIN C409.17C', 155893),
(212168, 'PTHR19818:SF91', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZIC 4', 155894),
(212169, 'PTHR31595:SF52', NULL, NULL, NULL, NULL, 'MBOAT (MEMBRANE BOUND O-ACYL TRANSFERASE) FAMILY PROTEIN-RELATED', 155895),
(212170, 'PTHR11769:SF19', NULL, NULL, NULL, NULL, 'HYALURONIDASE-3', 155896),
(212171, 'PTHR10201', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE', 155897),
(212172, 'PTHR22884:SF293', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE NSD2', 155898),
(212173, 'PTHR31189:SF66', NULL, NULL, NULL, NULL, 'BNAC04G54760D PROTEIN', 155899),
(212174, 'PTHR24123:SF60', NULL, NULL, NULL, NULL, 'NACHT AND ANKYRIN DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G07030)', 155900),
(212175, 'PTHR23415:SF30', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT', 155901),
(212176, 'PTHR46213:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ROS1C', 155902),
(212177, 'PTHR43884:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155903),
(212178, 'PTHR33107:SF66', NULL, NULL, NULL, NULL, 'BNAA07G08350D PROTEIN', 155904),
(212179, 'PTHR19422:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155905),
(212180, 'PTHR24064:SF233', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 (ORGANIC ANION TRANSPORTER), MEMBER 8', 155906),
(212181, 'PTHR31251:SF147', NULL, NULL, NULL, NULL, 'BNAC04G23930D PROTEIN', 155907),
(212182, 'PTHR43243:SF80', NULL, NULL, NULL, NULL, 'AMINO ACID/POLYAMINE TRANSPORTER I, CATIONIC AMINO ACID TRANSPORTER-RELATED', 155908),
(212183, 'PTHR24067:SF305', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1', 155909),
(212184, 'PTHR47275', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 155910),
(212185, 'PTHR11575:SF24', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4933425L06', 155911),
(212186, 'PTHR15434:SF2', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR 2-BINDING PROTEIN', 155912),
(212187, 'PTHR26379:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155913),
(212188, 'PTHR43470', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PSTA-RELATED', 155914),
(212189, 'PTHR10334:SF247', NULL, NULL, NULL, NULL, 'OS05G0595000 PROTEIN', 155915),
(212190, 'PTHR31504:SF1', NULL, NULL, NULL, NULL, 'ZW10 INTERACTOR', 155916),
(212191, 'PTHR15405:SF4', NULL, NULL, NULL, NULL, 'PROLINE-RICH NUCLEAR RECEPTOR COACTIVATOR 1', 155917),
(212192, 'PTHR39355:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG20624', 155918),
(212193, 'PTHR24287:SF5', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 155919),
(212194, 'PTHR13958:SF5', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 187', 155920),
(212195, 'PTHR33889:SF1', NULL, NULL, NULL, NULL, 'OS06G0345050 PROTEIN', 155921),
(212196, 'PTHR24278:SF20', NULL, NULL, NULL, NULL, 'VITAMIN K-DEPENDENT PROTEIN Z', 155922);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(212197, 'PTHR48009:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155923),
(212198, 'PTHR10379', NULL, NULL, NULL, NULL, 'MTG8 ETO  EIGHT TWENTY ONE PROTEIN', 155924),
(212199, 'PTHR47674:SF3', NULL, NULL, NULL, NULL, 'SAGA-ASSOCIATED FACTOR 11', 155925),
(212200, 'PTHR31956:SF32', NULL, NULL, NULL, NULL, 'NON-SPECIFIC PHOSPHOLIPASE C3', 155926),
(212201, 'PTHR10108:SF1119', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT2-RELATED', 155927),
(212202, 'PTHR31774', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-9-RELATED', 155928),
(212203, 'PTHR28448:SF1', NULL, NULL, NULL, NULL, 'UPF0728 PROTEIN C10ORF53', 155929),
(212204, 'PTHR46196:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 155930),
(212205, 'PTHR16517:SF118', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 155931),
(212206, 'PTHR22911:SF104', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 155932),
(212207, 'PTHR28604', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 155933),
(212208, 'PTHR14871', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 9', 155934),
(212209, 'PTHR26450:SF105', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 155935),
(212210, 'PTHR47535', NULL, NULL, NULL, NULL, 'MUSCLE-SPECIFIC PROTEIN 300 KDA, ISOFORM G', 155936),
(212211, 'PTHR11132:SF284', NULL, NULL, NULL, NULL, 'DMT FAMILY TRANSPORTER (EUROFUNG)', 155937),
(212212, 'PTHR21301:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155938),
(212213, 'PTHR19229:SF231', NULL, NULL, NULL, NULL, 'BNAA06G17170D PROTEIN', 155939),
(212214, 'PTHR23354:SF69', NULL, NULL, NULL, NULL, 'OXIDATION RESISTANCE PROTEIN 1', 155940),
(212215, 'PTHR10288:SF268', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS K-LIKE PROTEINY DOMAIN', 155941),
(212216, 'PTHR47907:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155942),
(212217, 'PTHR31001:SF61', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 155943),
(212218, 'PTHR21292:SF12', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 3-LIKE PROTEIN', 155944),
(212219, 'PTHR42760:SF81', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE FAMILY MEMBER 4', 155945),
(212220, 'PTHR43884:SF33', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE (ACD-6)', 155946),
(212221, 'PTHR31652', NULL, NULL, NULL, NULL, 'LIMR FAMILY PROTEIN DDB_G0283707-RELATED', 155947),
(212222, 'PTHR11649:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155948),
(212223, 'PTHR24024:SF13', NULL, NULL, NULL, NULL, 'PULMONARY SURFACTANT-ASSOCIATED PROTEIN A1', 155949),
(212224, 'PTHR11783:SF243', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 155950),
(212225, 'PTHR20859:SF43', NULL, NULL, NULL, NULL, 'INTERLEUKIN-10 RECEPTOR SUBUNIT ALPHA', 155951),
(212226, 'PTHR31666', NULL, NULL, NULL, NULL, 'PROTEIN CXORF40A-RELATED', 155952),
(212227, 'PTHR11945:SF482', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL80', 155953),
(212228, 'PTHR22844:SF353', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE B-LIKE', 155954),
(212229, 'PTHR46205:SF4', NULL, NULL, NULL, NULL, 'LD06392P', 155955),
(212230, 'PTHR45680:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 155956),
(212231, 'PTHR11109:SF11', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE 1', 155957),
(212232, 'PTHR47934:SF7', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 155958),
(212233, 'PTHR34054:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 155959),
(212234, 'PTHR13362:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S33, MITOCHONDRIAL', 155960),
(212235, 'PTHR21649:SF124', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 155961),
(212236, 'PTHR33074:SF42', NULL, NULL, NULL, NULL, 'OS09G0557301 PROTEIN', 155962),
(212237, 'PTHR32278:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155963),
(212238, 'PTHR14155:SF493', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 155964),
(212239, 'PTHR11662:SF433', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', 155965),
(212240, 'PTHR18934:SF217', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE DEAH3-RELATED', 155966);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(212241, 'PTHR11139:SF85', NULL, NULL, NULL, NULL, '3-KINASE, PUTATIVE-RELATED', 155967),
(212242, 'PTHR15976:SF14', NULL, NULL, NULL, NULL, 'CONSTITUTIVE COACTIVATOR OF PPAR-GAMMA-LIKE PROTEIN 1', 155968),
(212243, 'PTHR31707:SF200', NULL, NULL, NULL, NULL, 'PECTIN METHYLESTERASE INHIBITOR', 155969),
(212244, 'PTHR46800:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 155970),
(212245, 'PTHR15871:SF10', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY O MEMBER 1-A', 155971),
(212246, 'PTHR45622:SF7', NULL, NULL, NULL, NULL, 'E3 ISG15--PROTEIN LIGASE HERC5', 155972),
(212247, 'PTHR45901:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12474', 155973),
(212248, 'PTHR24282:SF188', NULL, NULL, NULL, NULL, 'BNAA06G32050D PROTEIN', 155974),
(212249, 'PTHR31384:SF146', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 9', 155975),
(212250, 'PTHR33374:SF39', NULL, NULL, NULL, NULL, 'BNAA02G10360D PROTEIN', 155976),
(212251, 'PTHR10730:SF9', NULL, NULL, NULL, NULL, 'INACTIVE GLYCOSYLTRANSFERASE 25 FAMILY MEMBER 3', 155977),
(212252, 'PTHR33548:SF2', NULL, NULL, NULL, NULL, 'OS10G0452500 PROTEIN', 155978),
(212253, 'PTHR48005:SF5', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', 155979),
(212254, 'PTHR11592:SF111', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 155980),
(212255, 'PTHR24240:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155981),
(212256, 'PTHR31889:SF37', NULL, NULL, NULL, NULL, 'OS06G0212100 PROTEIN', 155982),
(212257, 'PTHR31579:SF14', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SUBUNIT BETA-BETA PROTEIN, PUTATIVE (DUF506)-RELATED', 155983),
(212258, 'PTHR31140:SF76', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR RAV1', 155984),
(212259, 'PTHR31876:SF26', NULL, NULL, NULL, NULL, 'PROTEIN LIKE COV 2', 155985),
(212260, 'PTHR10372:SF1', NULL, NULL, NULL, NULL, 'PLAKOPHILIN-3', 155986),
(212261, 'PTHR32108:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT ALPHA', 155987),
(212262, 'PTHR12465:SF0', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 20', 155988),
(212263, 'PTHR11885:SF6', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S13', 155989),
(212264, 'PTHR11588:SF365', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 155990),
(212265, 'PTHR15907:SF104', NULL, NULL, NULL, NULL, 'DUF614 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G14190)-RELATED', 155991),
(212266, 'PTHR46524:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155992),
(212267, 'PTHR11101:SF92', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 155993),
(212268, 'PTHR31953:SF95', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 32-RELATED', 155994),
(212269, 'PTHR40422', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 17', 155995),
(212270, 'PTHR48018:SF98', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 155996),
(212271, 'PTHR33593:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 155997),
(212272, 'PTHR24960:SF70', NULL, NULL, NULL, NULL, 'FERREDOXIN', 155998),
(212273, 'PTHR45801:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JAGGED', 155999),
(212274, 'PTHR31066:SF69', NULL, NULL, NULL, NULL, 'BNAC02G43120D PROTEIN', 156000),
(212275, 'PTHR43740:SF2', NULL, NULL, NULL, NULL, 'LEUCINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', 156001),
(212276, 'PTHR15241', NULL, NULL, NULL, NULL, 'TRANSFORMER-2-RELATED', 156002),
(212277, 'PTHR45977:SF39', NULL, NULL, NULL, NULL, 'BNAA09G46850D PROTEIN', 156003),
(212278, 'PTHR43680:SF2', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE MOLYBDENUM COFACTOR ASSEMBLY CHAPERONE NARW-RELATED', 156004),
(212279, 'PTHR13999:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156005),
(212280, 'PTHR36112:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE J', 156006),
(212281, 'PTHR10780:SF18', NULL, NULL, NULL, NULL, 'LD43650P', 156007),
(212282, 'PTHR47965:SF60', NULL, NULL, NULL, NULL, 'CHITINASE CLP', 156008),
(212283, 'PTHR12499:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156009);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(212284, 'PTHR32285:SF212', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 11', 156010),
(212285, 'PTHR30540:SF122', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 9-RELATED', 156011),
(212286, 'PTHR11675:SF118', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 3', 156012),
(212287, 'PTHR31744:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156013),
(212288, 'PTHR31269:SF49', NULL, NULL, NULL, NULL, 'BNAA02G32730D PROTEIN', 156014),
(212289, 'PTHR24366:SF120', NULL, NULL, NULL, NULL, 'SI:DKEY-28O19.1', 156015),
(212290, 'PTHR10527:SF79', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 156016),
(212291, 'PTHR36768', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE/DEOXYRIBONUCLEASE SUBUNIT B', 156017),
(212292, 'PTHR24220:SF86', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ABCH.1', 156018),
(212293, 'PTHR11926:SF727', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 74B1', 156019),
(212294, 'PTHR47956:SF47', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D8-LIKE', 156020),
(212295, 'PTHR23017:SF47', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 156021),
(212296, 'PTHR37002:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156022),
(212297, 'PTHR15116:SF14', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN SATB1', 156023),
(212298, 'PTHR34150:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG08398', 156024),
(212299, 'PTHR10015:SF348', NULL, NULL, NULL, NULL, 'BNACNNG60910D PROTEIN', 156025),
(212300, 'PTHR14239', NULL, NULL, NULL, NULL, 'DUDULIN-RELATED', 156026),
(212301, 'PTHR24282:SF130', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 156027),
(212302, 'PTHR40711:SF1', NULL, NULL, NULL, NULL, 'DERMCIDIN', 156028),
(212303, 'PTHR13182:SF23', NULL, NULL, NULL, NULL, 'CYTOPLASMIC 60S SUBUNIT BIOGENESIS FACTOR REI1 HOMOLOG 1-LIKE', 156029),
(212304, 'PTHR45743:SF37', NULL, NULL, NULL, NULL, 'INWARDLY RECTIFYING POTASSIUM CHANNEL SUBUNIT', 156030),
(212305, 'PTHR43349:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156031),
(212306, 'PTHR11099:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 35', 156032),
(212307, 'PTHR10288:SF251', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 14', 156033),
(212308, 'PTHR10996:SF177', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G01280)-RELATED', 156034),
(212309, 'PTHR22950:SF343', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER SKAT-1-RELATED', 156035),
(212310, 'PTHR34552:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156036),
(212311, 'PTHR32467:SF9', NULL, NULL, NULL, NULL, 'APETALA2-LIKE PROTEIN 4', 156037),
(212312, 'PTHR44755:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG14864', 156038),
(212313, 'PTHR31174:SF7', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 31-RELATED', 156039),
(212314, 'PTHR21676:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SPEC3', 156040),
(212315, 'PTHR10509:SF71', NULL, NULL, NULL, NULL, 'BNAANNG06470D PROTEIN', 156041),
(212316, 'PTHR35365:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156042),
(212317, 'PTHR47803:SF1', NULL, NULL, NULL, NULL, 'TRNA-SPECIFIC ADENOSINE DEAMINASE 1', 156043),
(212318, 'PTHR11005:SF26', NULL, NULL, NULL, NULL, 'LYSOSOMAL ACID LIPASE/CHOLESTERYL ESTER HYDROLASE', 156044),
(212319, 'PTHR31561:SF101', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 156045),
(212320, 'PTHR43029:SF8', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 3 MEMBER 3', 156046),
(212321, 'PTHR18945:SF377', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 156047),
(212322, 'PTHR31250:SF40', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM3-LIKE', 156048),
(212323, 'PTHR45644:SF8', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 1-A', 156049),
(212324, 'PTHR33284:SF3', NULL, NULL, NULL, NULL, 'BNAA09G52520D PROTEIN', 156050),
(212325, 'PTHR12741:SF22', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 8-RELATED', 156051),
(212326, 'PTHR11926:SF1357', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 156052),
(212327, 'PTHR30073:SF5', NULL, NULL, NULL, NULL, 'ASPARTATE--AMMONIA LIGASE', 156053);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(212328, 'PTHR32227:SF394', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-RELATED', 156054),
(212329, 'PTHR16134:SF37', NULL, NULL, NULL, NULL, 'PROTEIN AUXIN SIGNALING F-BOX 3-LIKE', 156055),
(212330, 'PTHR31790:SF332', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 12', 156056),
(212331, 'PTHR11819:SF171', NULL, NULL, NULL, NULL, 'SODIUM/MYO-INOSITOL COTRANSPORTER 2', 156057),
(212332, 'PTHR43395:SF8', NULL, NULL, NULL, NULL, 'COMPONENT OF CHEMOTACTIC SIGNAL TRANSDUCTION SYSTEM', 156058),
(212333, 'PTHR48011:SF2', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 19', 156059),
(212334, 'PTHR32026:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156060),
(212335, 'PTHR11347:SF32', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT 3'',5''-CYCLIC NUCLEOTIDE PHOSPHODIESTERASE 1C', 156061),
(212336, 'PTHR31503:SF59', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', 156062),
(212337, 'PTHR11440:SF83', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID:DIACYLGLYCEROL ACYLTRANSFERASE 2-RELATED', 156063),
(212338, 'PTHR32175:SF11', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 156064),
(212339, 'PTHR11662:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156065),
(212340, 'PTHR42905:SF5', NULL, NULL, NULL, NULL, 'CARBOXYVINYL-CARBOXYPHOSPHONATE PHOSPHORYLMUTASE, CHLOROPLASTIC', 156066),
(212341, 'PTHR33083:SF87', NULL, NULL, NULL, NULL, 'OS01G0727500 PROTEIN', 156067),
(212342, 'PTHR23226:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 394', 156068),
(212343, 'PTHR24056:SF444', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', 156069),
(212344, 'PTHR24055:SF505', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 156070),
(212345, 'PTHR32141:SF18', NULL, NULL, NULL, NULL, 'SYNTAXIN-RELATED FAMILY PROTEIN', 156071),
(212346, 'PTHR21649:SF81', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 156072),
(212347, 'PTHR31499:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PHR1-LIKE 2', 156073),
(212348, 'PTHR31009:SF85', NULL, NULL, NULL, NULL, 'OS06G0311800 PROTEIN', 156074),
(212349, 'PTHR23273:SF49', NULL, NULL, NULL, NULL, 'BNAA09G53830D PROTEIN', 156075),
(212350, 'PTHR12265:SF34', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 156076),
(212351, 'PTHR45656:SF1', NULL, NULL, NULL, NULL, 'SEIZURE PROTEIN 6 HOMOLOG', 156077),
(212352, 'PTHR11188:SF151', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', 156078),
(212353, 'PTHR31471:SF62', NULL, NULL, NULL, NULL, 'BNAC02G34380D PROTEIN', 156079),
(212354, 'PTHR31225:SF52', NULL, NULL, NULL, NULL, 'ALPHA-HUMULENE/(-)-(E)-BETA-CARYOPHYLLENE SYNTHASE', 156080),
(212355, 'PTHR11850:SF309', NULL, NULL, NULL, NULL, 'BNAANNG09220D PROTEIN', 156081),
(212356, 'PTHR35124:SF3', NULL, NULL, NULL, NULL, 'BNAA03G57420D PROTEIN', 156082),
(212357, 'PTHR46555:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 4A', 156083),
(212358, 'PTHR15371:SF1', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 16-2, CHLOROPLASTIC', 156084),
(212359, 'PTHR23266:SF254', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION MC101-RELATED', 156085),
(212360, 'PTHR43798:SF6', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13070)-RELATED', 156086),
(212361, 'PTHR11039:SF37', NULL, NULL, NULL, NULL, 'NEBULIN', 156087),
(212362, 'PTHR23264:SF36', NULL, NULL, NULL, NULL, 'CYTOSOLIC FE-S CLUSTER ASSEMBLY FACTOR NBP35', 156088),
(212363, 'PTHR23079:SF24', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 156089),
(212364, 'PTHR21397:SF4', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 10', 156090),
(212365, 'PTHR12050:SF3', NULL, NULL, NULL, NULL, 'LEPTIN RECEPTOR GENE-RELATED PROTEIN', 156091),
(212366, 'PTHR12246', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC16', 156092),
(212367, 'PTHR28630:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156093),
(212368, 'PTHR47928:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156094),
(212369, 'PTHR47376:SF9', NULL, NULL, NULL, NULL, 'UBIQUITIN-RELATED DOMAIN-CONTAINING PROTEIN-RELATED', 156095),
(212370, 'PTHR31606:SF12', NULL, NULL, NULL, NULL, 'PH DOMAIN-LIKE PROTEIN-RELATED', 156096);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(212371, 'PTHR31867:SF157', NULL, NULL, NULL, NULL, 'EXPANSIN', 156097),
(212372, 'PTHR33228:SF55', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 6', 156098),
(212373, 'PTHR12753:SF2', NULL, NULL, NULL, NULL, 'ALPHA N-TERMINAL PROTEIN METHYLTRANSFERASE 1B', 156099),
(212374, 'PTHR11002:SF45', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 156100),
(212375, 'PTHR24073:SF671', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1B', 156101),
(212376, 'PTHR36710:SF6', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', 156102),
(212377, 'PTHR11685:SF265', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 156103),
(212378, 'PTHR10353:SF195', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 47', 156104),
(212379, 'PTHR12308:SF15', NULL, NULL, NULL, NULL, 'ANOCTAMIN', 156105),
(212380, 'PTHR12899:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 156106),
(212381, 'PTHR35105:SF1', NULL, NULL, NULL, NULL, 'OS07G0413800 PROTEIN', 156107),
(212382, 'PTHR12300:SF51', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 156108),
(212383, 'PTHR24128:SF55', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 156109),
(212384, 'PTHR33130:SF55', NULL, NULL, NULL, NULL, 'BNAA01G26810D PROTEIN', 156110),
(212385, 'PTHR31269:SF46', NULL, NULL, NULL, NULL, 'BNAA08G13930D PROTEIN', 156111),
(212386, 'PTHR43774:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE MSRA 2', 156112),
(212387, 'PTHR24348:SF39', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED 1, ISOFORM B', 156113),
(212388, 'PTHR23266:SF292', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 10-1-RELATED', 156114),
(212389, 'PTHR24177:SF313', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE-RELATED', 156115),
(212390, 'PTHR10353:SF160', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 11', 156116),
(212391, 'PTHR47932:SF49', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 156117),
(212392, 'PTHR46867', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM9-2', 156118),
(212393, 'PTHR31920:SF87', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0723500-LIKE', 156119),
(212394, 'PTHR46951', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 156120),
(212395, 'PTHR42894:SF2', NULL, NULL, NULL, NULL, 'OS02G0266000 PROTEIN', 156121),
(212396, 'PTHR23019:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR PORE MEMBRANE GLYCOPROTEIN 210', 156122),
(212397, 'PTHR33091:SF73', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, POTATO INHIBITOR I-TYPE FAMILY PROTEIN', 156123),
(212398, 'PTHR22894:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF170-LIKE ISOFORM X1', 156124),
(212399, 'PTHR22884:SF312', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-36 AND H4 LYSINE-20 SPECIFIC', 156125),
(212400, 'PTHR15549:SF15', NULL, NULL, NULL, NULL, 'PAIRED IMMUNOGLOBULIN-LIKE TYPE 2 RECEPTOR BETA-RELATED', 156126),
(212401, 'PTHR47958:SF94', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 52C', 156127),
(212402, 'PTHR12879:SF6', NULL, NULL, NULL, NULL, 'MCG19844', 156128),
(212403, 'PTHR12694:SF15', NULL, NULL, NULL, NULL, 'TFIIA-L3', 156129),
(212404, 'PTHR33978:SF18', NULL, NULL, NULL, NULL, 'OS01G0656300 PROTEIN', 156130),
(212405, 'PTHR31744:SF161', NULL, NULL, NULL, NULL, 'BNAANNG07000D PROTEIN', 156131),
(212406, 'PTHR24388:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 280D', 156132),
(212407, 'PTHR33102:SF44', NULL, NULL, NULL, NULL, 'OS09G0306632 PROTEIN', 156133),
(212408, 'PTHR35292:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156134),
(212409, 'PTHR12231:SF240', NULL, NULL, NULL, NULL, 'PROTEIN TURTLE HOMOLOG B', 156135),
(212410, 'PTHR10209:SF785', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE', 156136),
(212411, 'PTHR38478', NULL, NULL, NULL, NULL, 'PEPTIDASE M1A AND M12B', 156137),
(212412, 'PTHR31989:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156138),
(212413, 'PTHR21143:SF123', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR FOR SUGAR TASTE 43A', 156139),
(212414, 'PTHR10430:SF33', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-2E-1, CHLOROPLASTIC', 156140);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(212415, 'PTHR47928:SF60', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 156141),
(212416, 'PTHR11592:SF88', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 156142),
(212417, 'PTHR38504:SF1', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 7-1', 156143),
(212418, 'PTHR10615:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN NEURO-D4', 156144),
(212419, 'PTHR36042:SF1', NULL, NULL, NULL, NULL, 'OS05G0490900 PROTEIN', 156145),
(212420, 'PTHR10434:SF49', NULL, NULL, NULL, NULL, '1-ACYLGLYCEROL-3-PHOSPHATE O-ACYLTRANSFERASE', 156146),
(212421, 'PTHR47293:SF51', NULL, NULL, NULL, NULL, 'BNAC06G05210D PROTEIN', 156147),
(212422, 'PTHR47985:SF33', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE ISOFORM X1', 156148),
(212423, 'PTHR45917:SF5', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 2A-RELATED', 156149),
(212424, 'PTHR10924:SF3', NULL, NULL, NULL, NULL, 'FELINE LEUKEMIA VIRUS SUBGROUP C RECEPTOR-RELATED PROTEIN 2', 156150),
(212425, 'PTHR47488:SF9', NULL, NULL, NULL, NULL, 'PROTEIN PYRICULARIA ORYZAE RESISTANCE 21-LIKE', 156151),
(212426, 'PTHR11783:SF260', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 156152),
(212427, 'PTHR10992:SF1035', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156153),
(212428, 'PTHR12186:SF2', NULL, NULL, NULL, NULL, 'FGFR1 ONCOGENE PARTNER 2 HOMOLOG', 156154),
(212429, 'PTHR36949:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBR-LIN-66', 156155),
(212430, 'PTHR10924:SF4', NULL, NULL, NULL, NULL, 'GH15861P', 156156),
(212431, 'PTHR11778:SF17', NULL, NULL, NULL, NULL, 'BNAA09G47500D PROTEIN', 156157),
(212432, 'PTHR35466:SF3', NULL, NULL, NULL, NULL, 'BNAA06G15420D PROTEIN', 156158),
(212433, 'PTHR11306:SF38', NULL, NULL, NULL, NULL, 'LEGUMINOSIN GROUP578 SECRETED PEPTIDE', 156159),
(212434, 'PTHR22765:SF35', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF167', 156160),
(212435, 'PTHR10315:SF119', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 156161),
(212436, 'PTHR11071:SF385', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 156162),
(212437, 'PTHR22975:SF20', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAMILY PROTEIN-RELATED', 156163),
(212438, 'PTHR37752:SF2', NULL, NULL, NULL, NULL, 'BNAA03G48950D PROTEIN', 156164),
(212439, 'PTHR47612:SF1', NULL, NULL, NULL, NULL, 'TRICHOHYALIN-LIKE PROTEIN 1', 156165),
(212440, 'PTHR31480:SF6', NULL, NULL, NULL, NULL, 'PHYTOENE SYNTHASE 3, CHLOROPLASTIC', 156166),
(212441, 'PTHR23104:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG12288', 156167),
(212442, 'PTHR32014:SF3', NULL, NULL, NULL, NULL, 'BCL2-MODIFYING FACTOR 2', 156168),
(212443, 'PTHR47451:SF1', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 156169),
(212444, 'PTHR11889:SF82', NULL, NULL, NULL, NULL, 'HEDGEHOG PROTEIN', 156170),
(212445, 'PTHR18896:SF169', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 156171),
(212446, 'PTHR48053:SF60', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 156172),
(212447, 'PTHR31669:SF23', NULL, NULL, NULL, NULL, 'OS07G0496300 PROTEIN', 156173),
(212448, 'PTHR46977:SF6', NULL, NULL, NULL, NULL, 'BNAA06G14240D PROTEIN', 156174),
(212449, 'PTHR45983', NULL, NULL, NULL, NULL, 'TYROSINE PHOSPHATSE N18, PUTATIVE-RELATED', 156175),
(212450, 'PTHR35289', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 156176),
(212451, 'PTHR31741:SF77', NULL, NULL, NULL, NULL, 'BNAANNG16790D PROTEIN', 156177),
(212452, 'PTHR47953:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A9', 156178),
(212453, 'PTHR32208:SF86', NULL, NULL, NULL, NULL, 'BNAA09G57100D PROTEIN', 156179),
(212454, 'PTHR34415', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 156180),
(212455, 'PTHR34835:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156181),
(212456, 'PTHR45693:SF41', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY PROTEIN', 156182),
(212457, 'PTHR36341:SF3', NULL, NULL, NULL, NULL, 'DUF2996 FAMILY PROTEIN', 156183),
(212458, 'PTHR47504:SF3', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YKGA-RELATED', 156184);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(212459, 'PTHR43662:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156185),
(212460, 'PTHR33736:SF22', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 156186),
(212461, 'PTHR31044:SF61', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 1', 156187),
(212462, 'PTHR23426:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156188),
(212463, 'PTHR13677:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DENND6B', 156189),
(212464, 'PTHR21321', NULL, NULL, NULL, NULL, 'PNAS-3 RELATED', 156190),
(212465, 'PTHR11846:SF13', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE ISOZYME 2', 156191),
(212466, 'PTHR31062:SF189', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 25-RELATED', 156192),
(212467, 'PTHR23023:SF217', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 156193),
(212468, 'PTHR23235:SF85', NULL, NULL, NULL, NULL, 'KRUPPEL-LIKE FACTOR 18', 156194),
(212469, 'PTHR10809:SF117', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 1-1-RELATED', 156195),
(212470, 'PTHR35370:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 156196),
(212471, 'PTHR10292:SF20', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', 156197),
(212472, 'PTHR11915:SF442', NULL, NULL, NULL, NULL, 'ALPHA-ACTININ, SARCOMERIC-RELATED', 156198),
(212473, 'PTHR31681:SF79', NULL, NULL, NULL, NULL, 'EMB|CAB89038.1', 156199),
(212474, 'PTHR45744:SF34', NULL, NULL, NULL, NULL, 'TYROSINE/NICOTIANAMINE AMINOTRANSFERASE, PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', 156200),
(212475, 'PTHR23267:SF280', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA CHAIN VARIABLE 14-100-RELATED', 156201),
(212476, 'PTHR31889:SF73', NULL, NULL, NULL, NULL, 'BNAA06G38180D PROTEIN', 156202),
(212477, 'PTHR43152:SF1', NULL, NULL, NULL, NULL, 'EXCINUCLEASE ABC SUBUNIT A-RELATED', 156203),
(212478, 'PTHR31985:SF149', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF038-LIKE', 156204),
(212479, 'PTHR31995:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IIS FAMILY PROTEIN', 156205),
(212480, 'PTHR11955:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156206),
(212481, 'PTHR16223:SF240', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH122', 156207),
(212482, 'PTHR10574:SF273', NULL, NULL, NULL, NULL, 'BASEMENT MEMBRANE-SPECIFIC HEPARAN SULFATE PROTEOGLYCAN CORE PROTEIN', 156208),
(212483, 'PTHR28608', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 2', 156209),
(212484, 'PTHR23268:SF92', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 27', 156210),
(212485, 'PTHR11224:SF46', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MAKORIN', 156211),
(212486, 'PTHR27007:SF367', NULL, NULL, NULL, NULL, 'BNAC09G18540D PROTEIN', 156212),
(212487, 'PTHR23177:SF71', NULL, NULL, NULL, NULL, 'BNAA09G01300D PROTEIN', 156213),
(212488, 'PTHR13169:SF16', NULL, NULL, NULL, NULL, 'BNAA02G28440D PROTEIN', 156214),
(212489, 'PTHR12809', NULL, NULL, NULL, NULL, 'MEDIATOR COMPLEX SUBUNIT', 156215),
(212490, 'PTHR47980:SF33', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-8A', 156216),
(212491, 'PTHR35011:SF10', NULL, NULL, NULL, NULL, 'BLL7177 PROTEIN', 156217),
(212492, 'PTHR23097:SF185', NULL, NULL, NULL, NULL, 'SI:DKEYP-61B2.1-RELATED', 156218),
(212493, 'PTHR47167', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TAO1-LIKE PROTEIN', 156219),
(212494, 'PTHR12000:SF19', NULL, NULL, NULL, NULL, 'OS06G0105100 PROTEIN', 156220),
(212495, 'PTHR36910:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156221),
(212496, 'PTHR36586:SF1', NULL, NULL, NULL, NULL, 'PROCYCLIC FORM SURFACE GLYCOPROTEIN', 156222),
(212497, 'PTHR10590:SF21', NULL, NULL, NULL, NULL, 'NUCLEOSIDE PERMEASE NUPC', 156223),
(212498, 'PTHR43294:SF3', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA-4', 156224),
(212499, 'PTHR21396:SF2', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L43, MITOCHONDRIAL', 156225),
(212500, 'PTHR42791:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156226),
(212501, 'PTHR15364:SF0', NULL, NULL, NULL, NULL, '2''-DEOXYNUCLEOSIDE 5''-PHOSPHATE N-HYDROLASE 1', 156227);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(212502, 'PTHR33052:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156228),
(212503, 'PTHR11119:SF22', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 23 MEMBER 4', 156229),
(212504, 'PTHR24282:SF189', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 72, SUBFAMILY A, POLYPEPTIDE 9', 156230),
(212505, 'PTHR24339:SF54', NULL, NULL, NULL, NULL, 'EVEN-SKIPPED HOMEOBOX 2', 156231),
(212506, 'PTHR37024:SF3', NULL, NULL, NULL, NULL, 'TYPE VI SECRETION SYSTEM DUF2094 AND IMPA-RELATED DOMAIN PROTEIN', 156232),
(212507, 'PTHR43591:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156233),
(212508, 'PTHR47985:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', 156234),
(212509, 'PTHR44259:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156235),
(212510, 'PTHR42938:SF29', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE 1, CHLOROPLASTIC', 156236),
(212511, 'PTHR11937:SF411', NULL, NULL, NULL, NULL, 'ACTIN FAMILY PROTEIN-RELATED', 156237),
(212512, 'PTHR43671:SF40', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE NEK4', 156238),
(212513, 'PTHR10252:SF95', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR Y, SUBUNIT C13', 156239),
(212514, 'PTHR15725:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCCH-TYPE-RELATED', 156240),
(212515, 'PTHR32285:SF284', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156241),
(212516, 'PTHR43349:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156242),
(212517, 'PTHR34197', NULL, NULL, NULL, NULL, 'OS04G0591300 PROTEIN', 156243),
(212518, 'PTHR23076:SF97', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE YME1L1', 156244),
(212519, 'PTHR11806', NULL, NULL, NULL, NULL, 'GLUCOSE INHIBITED DIVISION PROTEIN A', 156245),
(212520, 'PTHR32141:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156246),
(212521, 'PTHR22978:SF12', NULL, NULL, NULL, NULL, 'SI:DKEY-79D12.5', 156247),
(212522, 'PTHR24128:SF58', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 43 KDA PROTEIN, CHLOROPLASTIC-RELATED', 156248),
(212523, 'PTHR11772:SF35', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE', 156249),
(212524, 'PTHR48214:SF1', NULL, NULL, NULL, NULL, 'ZEIN-ALPHA PMS2', 156250),
(212525, 'PTHR34106', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 156251),
(212526, 'PTHR45671:SF27', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PHOSPHATE CARRIER PROTEIN 2, MITOCHONDRIAL', 156252),
(212527, 'PTHR24103:SF609', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM13', 156253),
(212528, 'PTHR31989:SF383', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 7-LIKE', 156254),
(212529, 'PTHR31190:SF264', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF073', 156255),
(212530, 'PTHR13068:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156256),
(212531, 'PTHR10199:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156257),
(212532, 'PTHR38631:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG12796', 156258),
(212533, 'PTHR14710:SF2', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 6', 156259),
(212534, 'PTHR38614', NULL, NULL, NULL, NULL, 'PROTEIN CBG09954', 156260),
(212535, 'PTHR24073:SF1061', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5E', 156261),
(212536, 'PTHR10337:SF6', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 152 KDA', 156262),
(212537, 'PTHR32227:SF288', NULL, NULL, NULL, NULL, 'ENDO-1,3-BETA-GLUCOSIDASE GII,PUTATIVE, EXPRESSED-RELATED', 156263),
(212538, 'PTHR39183:SF1', NULL, NULL, NULL, NULL, 'SPORE COAT PROTEIN F-LIKE PROTEIN YHCQ', 156264),
(212539, 'PTHR31348', NULL, NULL, NULL, NULL, 'EID1-LIKE F-BOX PROTEIN 2-RELATED', 156265),
(212540, 'PTHR31839:SF52', NULL, NULL, NULL, NULL, 'CBF/DREB1 TRANSCRIPTION FACTOR', 156266),
(212541, 'PTHR48051:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156267),
(212542, 'PTHR31676:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156268),
(212543, 'PTHR23113:SF175', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR 4', 156269),
(212544, 'PTHR31488:SF4', NULL, NULL, NULL, NULL, 'C-MANNOSYLTRANSFERASE DPY19L3-RELATED', 156270),
(212545, 'PTHR18896:SF148', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D BETA 2', 156271); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(212546, 'PTHR48099:SF14', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN FOLD 2', 156272),
(212547, 'PTHR46656:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 156273),
(212548, 'PTHR31374:SF325', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 156274),
(212549, 'PTHR48002:SF40', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C3', 156275),
(212550, 'PTHR21503:SF44', NULL, NULL, NULL, NULL, 'PATTERNED EXPRESSION SITE', 156276),
(212551, 'PTHR11183:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156277),
(212552, 'PTHR12391:SF5', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 3', 156278),
(212553, 'PTHR23003:SF24', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN (AFU_ORTHOLOGUE AFUA_1G02950)', 156279),
(212554, 'PTHR12296:SF17', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 4C', 156280),
(212555, 'PTHR32243:SF18', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YCJP', 156281),
(212556, 'PTHR47026:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156282),
(212557, 'PTHR34548:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TIC 21, CHLOROPLASTIC', 156283),
(212558, 'PTHR24253:SF8', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 52', 156284),
(212559, 'PTHR39609:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156285),
(212560, 'PTHR12619:SF17', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RFX2', 156286),
(212561, 'PTHR31579:SF68', NULL, NULL, NULL, NULL, 'IMPORT ATP-BINDING PROTEIN, PUTATIVE (DUF506)-RELATED', 156287),
(212562, 'PTHR23235:SF101', NULL, NULL, NULL, NULL, 'KRUPPEL-LIKE FACTOR 6B', 156288),
(212563, 'PTHR31717:SF68', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN-RELATED', 156289),
(212564, 'PTHR12411:SF788', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN-RELATED', 156290),
(212565, 'PTHR27007:SF25', NULL, NULL, NULL, NULL, 'OS07G0283125 PROTEIN', 156291),
(212566, 'PTHR15711:SF1', NULL, NULL, NULL, NULL, 'SI:CH1073-90M23.1', 156292),
(212567, 'PTHR10694:SF104', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 4C', 156293),
(212568, 'PTHR20836:SF3', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE REDUCTASE 2, CHLOROPLASTIC-RELATED', 156294),
(212569, 'PTHR15959:SF0', NULL, NULL, NULL, NULL, 'SYNTAXIN-18', 156295),
(212570, 'PTHR18966:SF229', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, DELTA 1A', 156296),
(212571, 'PTHR35990', NULL, NULL, NULL, NULL, 'GAG1AT PROTEIN', 156297),
(212572, 'PTHR20003', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-RELATED', 156298),
(212573, 'PTHR10015:SF361', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SKN7', 156299),
(212574, 'PTHR33065:SF138', NULL, NULL, NULL, NULL, 'OS12G0211050 PROTEIN', 156300),
(212575, 'PTHR48079', NULL, NULL, NULL, NULL, 'PROTEIN YEEZ', 156301),
(212576, 'PTHR12907:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156302),
(212577, 'PTHR47945:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 84A1-LIKE', 156303),
(212578, 'PTHR21649:SF67', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I CHLOROPHYLL A/B-BINDING PROTEIN 5, CHLOROPLASTIC', 156304),
(212579, 'PTHR12515:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SMAUG', 156305),
(212580, 'PTHR48015:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DST4', 156306),
(212581, 'PTHR43169:SF1', NULL, NULL, NULL, NULL, 'ATPASE, PP-LOOP SUPERFAMILY-RELATED', 156307),
(212582, 'PTHR23266:SF90', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY CONSTANT EPSILON', 156308),
(212583, 'PTHR43170:SF5', NULL, NULL, NULL, NULL, 'GMP REDUCTASE', 156309),
(212584, 'PTHR33414:SF11', NULL, NULL, NULL, NULL, 'PLASTID MOVEMENT IMPAIRED PROTEIN', 156310),
(212585, 'PTHR24281:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156311),
(212586, 'PTHR46131:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156312),
(212587, 'PTHR33108:SF69', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 156313),
(212588, 'PTHR12107:SF7', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-4 SUBUNIT', 156314),
(212589, 'PTHR24201:SF0', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 37', 156315);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(212590, 'PTHR44019:SF1', NULL, NULL, NULL, NULL, 'POC1 CENTRIOLAR PROTEIN HOMOLOG B', 156316),
(212591, 'PTHR22933:SF35', NULL, NULL, NULL, NULL, 'FI17806P1-RELATED', 156317),
(212592, 'PTHR11667', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 156318),
(212593, 'PTHR11362:SF132', NULL, NULL, NULL, NULL, 'CEN-LIKE PROTEIN 2', 156319),
(212594, 'PTHR22941:SF33', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 156320),
(212595, 'PTHR34121:SF8', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF15', 156321),
(212596, 'PTHR43184:SF15', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE TRANSPORTER 1-RELATED', 156322),
(212597, 'PTHR11767:SF19', NULL, NULL, NULL, NULL, 'G PROTEIN-ACTIVATED INWARD RECTIFIER POTASSIUM CHANNEL 2', 156323),
(212598, 'PTHR35481:SF5', NULL, NULL, NULL, NULL, 'BNAA04G22020D PROTEIN', 156324),
(212599, 'PTHR48060:SF7', NULL, NULL, NULL, NULL, 'DNA DAMAGE-REPAIR/TOLERATION PROTEIN DRT100', 156325),
(212600, 'PTHR24377:SF634', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 92 HOMOLOG', 156326),
(212601, 'PTHR11685:SF349', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 156327),
(212602, 'PTHR31636:SF138', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR CONTAINING PROTEIN', 156328),
(212603, 'PTHR13848:SF6', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE 3', 156329),
(212604, 'PTHR46910:SF2', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 156330),
(212605, 'PTHR18763:SF1', NULL, NULL, NULL, NULL, 'AGAP011163-PA', 156331),
(212606, 'PTHR43877', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 156332),
(212607, 'PTHR31325:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156333),
(212608, 'PTHR42951:SF9', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT HYDROLASE', 156334),
(212609, 'PTHR46776:SF20', NULL, NULL, NULL, NULL, 'BNAC08G08800D PROTEIN', 156335),
(212610, 'PTHR11850:SF50', NULL, NULL, NULL, NULL, 'PRE-B-CELL LEUKEMIA TRANSCRIPTION FACTOR 2', 156336),
(212611, 'PTHR46034:SF9', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', 156337),
(212612, 'PTHR43017:SF1', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE YJL218W-RELATED', 156338),
(212613, 'PTHR46677:SF1', NULL, NULL, NULL, NULL, 'SMC5-SMC6 COMPLEX LOCALIZATION FACTOR PROTEIN 1', 156339),
(212614, 'PTHR31739:SF18', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G15060)', 156340),
(212615, 'PTHR15327:SF1', NULL, NULL, NULL, NULL, 'BNAC07G15750D PROTEIN', 156341),
(212616, 'PTHR12877:SF14', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 10', 156342),
(212617, 'PTHR45993:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KEN', 156343),
(212618, 'PTHR43176:SF6', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE 3-RELATED', 156344),
(212619, 'PTHR12563:SF22', NULL, NULL, NULL, NULL, 'SI:CH73-21K16.5', 156345),
(212620, 'PTHR11409:SF48', NULL, NULL, NULL, NULL, 'ADENOSINE/AMP DEAMINASE', 156346),
(212621, 'PTHR11945:SF501', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN AGL35', 156347),
(212622, 'PTHR11374:SF3', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', 156348),
(212623, 'PTHR11062:SF308', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE ARAD1-RELATED', 156349),
(212624, 'PTHR36703:SF1', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE-LIKE PROTEIN', 156350),
(212625, 'PTHR45642:SF79', NULL, NULL, NULL, NULL, 'BNAANNG14670D PROTEIN', 156351),
(212626, 'PTHR31945:SF69', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH28', 156352),
(212627, 'PTHR13430:SF4', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 13', 156353),
(212628, 'PTHR21831', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 156354),
(212629, 'PTHR11267:SF28', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX5', 156355),
(212630, 'PTHR24072:SF349', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC6', 156356),
(212631, 'PTHR34714:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156357),
(212632, 'PTHR31973:SF90', NULL, NULL, NULL, NULL, 'OS12G0597300 PROTEIN', 156358),
(212633, 'PTHR33270:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156359);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(212634, 'PTHR46931:SF7', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC4-LIKE', 156360),
(212635, 'PTHR45856:SF8', NULL, NULL, NULL, NULL, 'LIPASE FAMILY PROTEIN, EXPRESSED', 156361),
(212636, 'PTHR35995:SF4', NULL, NULL, NULL, NULL, 'BNAC08G19980D PROTEIN', 156362),
(212637, 'PTHR24304:SF1', NULL, NULL, NULL, NULL, 'CHOLESTEROL 7-ALPHA-MONOOXYGENASE', 156363),
(212638, 'PTHR47968:SF9', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7K, CHLOROPLASTIC ISOFORM X1', 156364),
(212639, 'PTHR33576:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156365),
(212640, 'PTHR43340:SF1', NULL, NULL, NULL, NULL, 'HYPOXANTHINE PHOSPHORIBOSYLTRANSFERASE', 156366),
(212641, 'PTHR43341:SF9', NULL, NULL, NULL, NULL, 'DICARBOXYLIC AMINO ACID PERMEASE', 156367),
(212642, 'PTHR31779:SF4', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17430)-RELATED', 156368),
(212643, 'PTHR10332:SF23', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER', 156369),
(212644, 'PTHR10501:SF13', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN A', 156370),
(212645, 'PTHR44191:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1R1-LIKE', 156371),
(212646, 'PTHR40682', NULL, NULL, NULL, NULL, 'F5/8 TYPE C DOMAIN CONTAINING PROTEIN', 156372),
(212647, 'PTHR23155:SF1047', NULL, NULL, NULL, NULL, 'OS09G0327800 PROTEIN', 156373),
(212648, 'PTHR46587', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 156374),
(212649, 'PTHR31874:SF41', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', 156375),
(212650, 'PTHR31851:SF69', NULL, NULL, NULL, NULL, 'CCC1 FAMILY-RELATED', 156376),
(212651, 'PTHR31719:SF175', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN JA2', 156377),
(212652, 'PTHR43816:SF2', NULL, NULL, NULL, NULL, 'NICOTINAMIDE PHOSPHORIBOSYLTRANSFERASE', 156378),
(212653, 'PTHR10106:SF48', NULL, NULL, NULL, NULL, 'CYTOCHROME B561/FERRIC REDUCTASE TRANSMEMBRANE-RELATED', 156379),
(212654, 'PTHR12197:SF141', NULL, NULL, NULL, NULL, 'SET DOMAIN-CONTAINING PROTEIN', 156380),
(212655, 'PTHR23500:SF579', NULL, NULL, NULL, NULL, 'HEXOSE CARRIER PROTEIN HEX6-LIKE', 156381),
(212656, 'PTHR11422:SF0', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD4', 156382),
(212657, 'PTHR47997:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB32', 156383),
(212658, 'PTHR22761:SF50', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 20 HOMOLOG 1', 156384),
(212659, 'PTHR24559:SF300', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON 412-LIKE PROTEIN', 156385),
(212660, 'PTHR31477:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 44 KDA', 156386),
(212661, 'PTHR31225:SF76', NULL, NULL, NULL, NULL, '(-)-GERMACRENE D SYNTHASE-LIKE ISOFORM X1', 156387),
(212662, 'PTHR33558:SF1', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN C5ORF63 HOMOLOG', 156388),
(212663, 'PTHR13693', NULL, NULL, NULL, NULL, 'CLASS II AMINOTRANSFERASE/8-AMINO-7-OXONONANOATE SYNTHASE', 156389),
(212664, 'PTHR43065', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE', 156390),
(212665, 'PTHR30543:SF27', NULL, NULL, NULL, NULL, 'NADPH:QUINONE OXIDOREDUCTASE', 156391),
(212666, 'PTHR12131:SF13', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH10', 156392),
(212667, 'PTHR47925:SF3', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 156393),
(212668, 'PTHR47382', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 52-LIKE', 156394),
(212669, 'PTHR30111:SF1', NULL, NULL, NULL, NULL, '33 KDA CHAPERONIN', 156395),
(212670, 'PTHR31215:SF29', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-RELATED', 156396),
(212671, 'PTHR13394:SF0', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 6', 156397),
(212672, 'PTHR10209:SF454', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156398),
(212673, 'PTHR33922:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156399),
(212674, 'PTHR23323:SF24', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 11 HOMOLOG', 156400),
(212675, 'PTHR46929:SF11', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 156401);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(212676, 'PTHR27006:SF224', NULL, NULL, NULL, NULL, 'KINASE-RELATED', 156402),
(212677, 'PTHR23130:SF179', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 156403),
(212678, 'PTHR12815:SF18', NULL, NULL, NULL, NULL, 'SORTING AND ASSEMBLY MACHINERY COMPONENT 50 HOMOLOG', 156404),
(212679, 'PTHR44102:SF16', NULL, NULL, NULL, NULL, 'BNAC03G24000D PROTEIN', 156405),
(212680, 'PTHR22895:SF7', NULL, NULL, NULL, NULL, 'PROTEIN AARDVARK', 156406),
(212681, 'PTHR17469', NULL, NULL, NULL, NULL, 'SPERM SPECIFIC ANTIGEN 2-RELATED', 156407),
(212682, 'PTHR46932:SF12', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 47', 156408),
(212683, 'PTHR33926:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TIC 22, CHLOROPLASTIC', 156409),
(212684, 'PTHR31374:SF19', NULL, NULL, NULL, NULL, 'F8A24.8 PROTEIN', 156410),
(212685, 'PTHR22950:SF625', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT6D', 156411),
(212686, 'PTHR22762:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156412),
(212687, 'PTHR27004:SF208', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12 ISOFORM X2', 156413),
(212688, 'PTHR23506:SF4', NULL, NULL, NULL, NULL, 'PORTABELLA', 156414),
(212689, 'PTHR22749:SF8', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL RIBOFLAVIN KINASE/FMN PHOSPHATASE-LIKE', 156415),
(212690, 'PTHR34145:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156416),
(212691, 'PTHR24256:SF246', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 42-RELATED', 156417),
(212692, 'PTHR11814:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156418),
(212693, 'PTHR24034:SF138', NULL, NULL, NULL, NULL, 'SI:DKEY-235D18.5', 156419),
(212694, 'PTHR45651:SF29', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL-LIKE PROTEIN', 156420),
(212695, 'PTHR15678:SF14', NULL, NULL, NULL, NULL, 'BNAA09G14910D PROTEIN', 156421),
(212696, 'PTHR13134', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 156422),
(212697, 'PTHR43819', NULL, NULL, NULL, NULL, 'ARCHAEAL-TYPE GLUTAMATE SYNTHASE [NADPH]', 156423),
(212698, 'PTHR46387:SF26', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE', 156424),
(212699, 'PTHR31681:SF58', NULL, NULL, NULL, NULL, 'BNAA10G08270D PROTEIN', 156425),
(212700, 'PTHR24419:SF23', NULL, NULL, NULL, NULL, 'AGAP003062-PA', 156426),
(212701, 'PTHR12085:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B'''' SUBUNIT GAMMA', 156427),
(212702, 'PTHR31953:SF48', NULL, NULL, NULL, NULL, 'CELL WALL INVERTASE 1', 156428),
(212703, 'PTHR15726:SF6', NULL, NULL, NULL, NULL, 'RAB11 FAMILY-INTERACTING PROTEIN 3', 156429),
(212704, 'PTHR31064:SF28', NULL, NULL, NULL, NULL, 'CATION TRANSPORTER HKT6-RELATED', 156430),
(212705, 'PTHR46327:SF10', NULL, NULL, NULL, NULL, 'DNA BINDING TRANSCRIPTION FACTORS, PUTATIVE-RELATED', 156431),
(212706, 'PTHR36934:SF1', NULL, NULL, NULL, NULL, 'BLR0278 PROTEIN', 156432),
(212707, 'PTHR31044:SF78', NULL, NULL, NULL, NULL, 'BNAC06G30470D PROTEIN', 156433),
(212708, 'PTHR31444:SF36', NULL, NULL, NULL, NULL, 'IRX15/IRX15L/IGXM, POLYSACCHARIDE BIOSYNTHESIS DOMAIN PROTEIN-RELATED', 156434),
(212709, 'PTHR23065:SF57', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC PROTEIN 7', 156435),
(212710, 'PTHR11527:SF321', NULL, NULL, NULL, NULL, '18.1 KDA CLASS I HEAT SHOCK PROTEIN', 156436),
(212711, 'PTHR33882:SF9', NULL, NULL, NULL, NULL, 'PROTEIN 4 (RIN4) FAMILY PROTEIN, PUTATIVE-RELATED', 156437),
(212712, 'PTHR48047:SF111', NULL, NULL, NULL, NULL, 'SCOPOLETIN GLUCOSYLTRANSFERASE-LIKE', 156438),
(212713, 'PTHR28659:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156439),
(212714, 'PTHR43239', NULL, NULL, NULL, NULL, 'UPF0734 PROTEIN DDB_G0273871/DDB_G0273177', 156440),
(212715, 'PTHR24299:SF33', NULL, NULL, NULL, NULL, 'CYTOCHROME 76A2', 156441),
(212716, 'PTHR14550:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 109', 156442),
(212717, 'PTHR24381:SF305', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 41', 156443),
(212718, 'PTHR21262:SF36', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL (P)PPGPP SYNTHASE/HYDROLASE SPOT', 156444);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(212719, 'PTHR45631:SF92', NULL, NULL, NULL, NULL, 'BNAA10G03480D PROTEIN', 156445),
(212720, 'PTHR11795:SF449', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT PERMEASE PROTEIN LIVH-RELATED', 156446),
(212721, 'PTHR48022:SF76', NULL, NULL, NULL, NULL, 'MALTOSE PERMEASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G07240)-RELATED', 156447),
(212722, 'PTHR11071:SF457', NULL, NULL, NULL, NULL, 'AGAP001987-PA', 156448),
(212723, 'PTHR15679', NULL, NULL, NULL, NULL, 'PCNA-ASSOCIATED FACTOR', 156449),
(212724, 'PTHR45711:SF2', NULL, NULL, NULL, NULL, 'H(+)/CL(-) EXCHANGE TRANSPORTER 4', 156450),
(212725, 'PTHR10641:SF1012', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156451),
(212726, 'PTHR23084', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE RELATED', 156452),
(212727, 'PTHR36011:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156453),
(212728, 'PTHR33914:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156454),
(212729, 'PTHR30576:SF8', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-PHOSPHATE GALACTOSE PHOSPHOTRANSFERASE', 156455),
(212730, 'PTHR35735:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN DDB_G0274347-LIKE', 156456),
(212731, 'PTHR43561:SF2', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-COA DEHYDROGENASE F54C8.1-RELATED', 156457),
(212732, 'PTHR30376:SF3', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR RPOH', 156458),
(212733, 'PTHR24056:SF412', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156459),
(212734, 'PTHR44083:SF26', NULL, NULL, NULL, NULL, '1 ENHANCER LOCUS 2 PROTEIN, PUTATIVE-RELATED', 156460),
(212735, 'PTHR45974:SF152', NULL, NULL, NULL, NULL, 'OS03G0825800 PROTEIN', 156461),
(212736, 'PTHR11851', NULL, NULL, NULL, NULL, 'METALLOPROTEASE', 156462),
(212737, 'PTHR31733:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG21702', 156463),
(212738, 'PTHR47027:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156464),
(212739, 'PTHR10751:SF17', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 4', 156465),
(212740, 'PTHR45642:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156466),
(212741, 'PTHR45621:SF184', NULL, NULL, NULL, NULL, 'KINASE 1B', 156467),
(212742, 'PTHR34648', NULL, NULL, NULL, NULL, 'CLOCK-INTERACTING PACEMAKER', 156468),
(212743, 'PTHR46217:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG27765', 156469),
(212744, 'PTHR12131:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156470),
(212745, 'PTHR11913:SF65', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 1-RELATED', 156471),
(212746, 'PTHR11683:SF12', NULL, NULL, NULL, NULL, 'M6, ISOFORM F', 156472),
(212747, 'PTHR38934', NULL, NULL, NULL, NULL, 'HYPHALLY REGULATED CELL WALL PROTEIN 1', 156473),
(212748, 'PTHR11923:SF92', NULL, NULL, NULL, NULL, 'LYSOSOME MEMBRANE PROTEIN 2', 156474),
(212749, 'PTHR21603:SF18', NULL, NULL, NULL, NULL, 'ANTIGEN KI-67-LIKE PROTEIN', 156475),
(212750, 'PTHR31194:SF97', NULL, NULL, NULL, NULL, 'BNAA07G38140D PROTEIN', 156476),
(212751, 'PTHR11528:SF103', NULL, NULL, NULL, NULL, 'BNAA08G14800D PROTEIN', 156477),
(212752, 'PTHR33090:SF33', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', 156478),
(212753, 'PTHR44575', NULL, NULL, NULL, NULL, 'OS01G0589200 PROTEIN', 156479),
(212754, 'PTHR43038:SF7', NULL, NULL, NULL, NULL, 'ABC TRANSPORT SYSTEM ATP-BINDING PROTEIN', 156480),
(212755, 'PTHR46934', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 156481),
(212756, 'PTHR31730:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156482),
(212757, 'PTHR32379:SF1', NULL, NULL, NULL, NULL, 'GUANIDINOACETATE N-METHYLTRANSFERASE', 156483),
(212758, 'PTHR34059:SF5', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 156484),
(212759, 'PTHR31429:SF50', NULL, NULL, NULL, NULL, 'OS05G0567200 PROTEIN', 156485),
(212760, 'PTHR35098:SF3', NULL, NULL, NULL, NULL, 'SARCOPLASMIC RETICULUM HISTIDINE-RICH CALCIUM-BINDING PROTEIN-LIKE', 156486),
(212761, 'PTHR15950:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION COFACTOR VESTIGIAL-LIKE PROTEIN 2', 156487),
(212762, 'PTHR10742:SF342', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 156488),
(212763, 'PTHR31896:SF12', NULL, NULL, NULL, NULL, 'BAHD ACYLTRANSFERASE DCR-RELATED', 156489);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(212764, 'PTHR23238:SF29', NULL, NULL, NULL, NULL, 'OS09G0299500 PROTEIN', 156490),
(212765, 'PTHR22963', NULL, NULL, NULL, NULL, 'ENDOGLIN-RELATED', 156491),
(212766, 'PTHR24282:SF117', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP13A2-RELATED', 156492),
(212767, 'PTHR47994:SF1', NULL, NULL, NULL, NULL, 'MYB-LIKE HTH TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN-RELATED', 156493),
(212768, 'PTHR48006:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156494),
(212769, 'PTHR32382:SF41', NULL, NULL, NULL, NULL, 'OSJNBA0019J05.11 PROTEIN', 156495),
(212770, 'PTHR26312:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156496),
(212771, 'PTHR45939:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156497),
(212772, 'PTHR31948:SF113', NULL, NULL, NULL, NULL, 'ZF-HD HOMEOBOX PROTEIN, CYS/HIS-RICH DIMERIZATION DOMAIN-CONTAINING PROTEIN-RELATED', 156498),
(212773, 'PTHR19143:SF267', NULL, NULL, NULL, NULL, 'FIBRONECTIN', 156499),
(212774, 'PTHR45717:SF43', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 156500),
(212775, 'PTHR22879:SF13', NULL, NULL, NULL, NULL, 'NUT FAMILY MEMBER 1', 156501),
(212776, 'PTHR10742:SF394', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156502),
(212777, 'PTHR13140:SF752', NULL, NULL, NULL, NULL, 'MYOSIN-M HEAVY CHAIN', 156503),
(212778, 'PTHR11006:SF49', NULL, NULL, NULL, NULL, 'COACTIVATOR-ASSOCIATED ARGININE METHYLTRANSFERASE 1,-LIKE', 156504),
(212779, 'PTHR46867:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM9-1', 156505),
(212780, 'PTHR43039:SF7', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 156506),
(212781, 'PTHR24269:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG14225', 156507),
(212782, 'PTHR45642:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156508),
(212783, 'PTHR21109:SF4', NULL, NULL, NULL, NULL, 'OS08G0121800 PROTEIN', 156509),
(212784, 'PTHR30294:SF45', NULL, NULL, NULL, NULL, 'CYTOLYSIN ABC TRANSPORTER-RELATED', 156510),
(212785, 'PTHR18966:SF38', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, KAINATE 2', 156511),
(212786, 'PTHR36179:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156512),
(212787, 'PTHR43491:SF2', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-D-GLUCOSAMINE 6-DEHYDROGENASE WBPA', 156513),
(212788, 'PTHR48054:SF20', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PEPR1', 156514),
(212789, 'PTHR27009:SF99', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 156515),
(212790, 'PTHR11926:SF1410', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 156516),
(212791, 'PTHR31374:SF284', NULL, NULL, NULL, NULL, 'BNAANNG07570D PROTEIN', 156517),
(212792, 'PTHR40733:SF1', NULL, NULL, NULL, NULL, 'ZINC-RIBBON RNA-BINDING PROTEIN INVOLVED IN TRANSLATION-RELATED', 156518),
(212793, 'PTHR11984:SF50', NULL, NULL, NULL, NULL, 'LOC100038306 PROTEIN', 156519),
(212794, 'PTHR11439:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156520),
(212795, 'PTHR11758:SF32', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15A-5-LIKE', 156521),
(212796, 'PTHR43866:SF7', NULL, NULL, NULL, NULL, 'METHYLMALONATE-SEMIALDEHYDE DEHYDROGENASE (ACYLATING)', 156522),
(212797, 'PTHR33057:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156523),
(212798, 'PTHR10803', NULL, NULL, NULL, NULL, 'ARSENICAL PUMP-DRIVING ATPASE  ARSENITE-TRANSLOCATING ATPASE', 156524),
(212799, 'PTHR23315:SF313', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 4-LIKE ISOFORM X1', 156525),
(212800, 'PTHR31992:SF147', NULL, NULL, NULL, NULL, 'OS03G0619151 PROTEIN', 156526),
(212801, 'PTHR47862', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP18, CHLOROPLASTIC', 156527),
(212802, 'PTHR33974:SF11', NULL, NULL, NULL, NULL, 'BNAANNG18100D PROTEIN', 156528),
(212803, 'PTHR12281:SF25', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', 156529),
(212804, 'PTHR10177:SF399', NULL, NULL, NULL, NULL, 'CYCLIN-A1-1', 156530),
(212805, 'PTHR16431', NULL, NULL, NULL, NULL, 'NEUROGENIC PROTEIN MASTERMIND', 156531),
(212806, 'PTHR31641', NULL, NULL, NULL, NULL, 'RENAL CANCER DIFFERENTIATION GENE 1 PROTEIN', 156532);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(212807, 'PTHR32295:SF130', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', 156533),
(212808, 'PTHR23051:SF0', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER F5', 156534),
(212809, 'PTHR11260:SF661', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', 156535),
(212810, 'PTHR31636:SF247', NULL, NULL, NULL, NULL, 'DELLA PROTEIN GAI1-RELATED', 156536),
(212811, 'PTHR24377:SF707', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 569', 156537),
(212812, 'PTHR48048:SF46', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 156538),
(212813, 'PTHR23510:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG19164', 156539),
(212814, 'PTHR22805:SF2', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 41', 156540),
(212815, 'PTHR12271:SF34', NULL, NULL, NULL, NULL, 'TERMINAL URIDYLYLTRANSFERASE 7', 156541),
(212816, 'PTHR11807:SF12', NULL, NULL, NULL, NULL, 'CYTOPLASMIC TRNA 2-THIOLATION PROTEIN 1', 156542),
(212817, 'PTHR45813', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 156543),
(212818, 'PTHR10722:SF29', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', 156544),
(212819, 'PTHR37610:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156545),
(212820, 'PTHR34145:SF28', NULL, NULL, NULL, NULL, 'OS02G0105600 PROTEIN', 156546),
(212821, 'PTHR10634:SF111', NULL, NULL, NULL, NULL, 'STRESS-ASSOCIATED PROTEIN 8', 156547),
(212822, 'PTHR14396:SF10', NULL, NULL, NULL, NULL, 'CLASPIN', 156548),
(212823, 'PTHR11926:SF1363', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 156549),
(212824, 'PTHR10644:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156550),
(212825, 'PTHR33318', NULL, NULL, NULL, NULL, 'ASPARTYL/GLUTAMYL-TRNA(ASN/GLN) AMIDOTRANSFERASE SUBUNIT', 156551),
(212826, 'PTHR33159:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156552),
(212827, 'PTHR47953:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D8', 156553),
(212828, 'PTHR45717:SF26', NULL, NULL, NULL, NULL, 'BNAC05G37740D PROTEIN', 156554),
(212829, 'PTHR31734:SF94', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA20', 156555),
(212830, 'PTHR24403:SF72', NULL, NULL, NULL, NULL, 'MCG133876, ISOFORM CRA_A', 156556),
(212831, 'PTHR11818:SF54', NULL, NULL, NULL, NULL, 'BETA A1-2-CRYSTALLIN-RELATED', 156557),
(212832, 'PTHR46373:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156558),
(212833, 'PTHR11260:SF669', NULL, NULL, NULL, NULL, 'BNAA09G45080D PROTEIN', 156559),
(212834, 'PTHR10687:SF15', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 4', 156560),
(212835, 'PTHR24103:SF11', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 72', 156561),
(212836, 'PTHR31250:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156562),
(212837, 'PTHR45768:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156563),
(212838, 'PTHR24329:SF517', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CEH-10', 156564),
(212839, 'PTHR24330:SF4', NULL, NULL, NULL, NULL, 'BARH-LIKE 2 HOMEOBOX PROTEIN', 156565),
(212840, 'PTHR46565:SF12', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN 2', 156566),
(212841, 'PTHR11615:SF240', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4B3', 156567),
(212842, 'PTHR31500:SF45', NULL, NULL, NULL, NULL, 'DUF296 DOMAIN PROTEIN', 156568),
(212843, 'PTHR31972:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156569),
(212844, 'PTHR46491:SF5', NULL, NULL, NULL, NULL, 'CDGSH IRON SULFUR DOMAIN PROTEIN HOMOLOG', 156570),
(212845, 'PTHR18953:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156571),
(212846, 'PTHR13301:SF188', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN E1', 156572),
(212847, 'PTHR47926:SF251', NULL, NULL, NULL, NULL, 'BNAC09G38830D PROTEIN', 156573),
(212848, 'PTHR24343:SF366', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 4', 156574),
(212849, 'PTHR33103:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156575),
(212850, 'PTHR43670:SF74', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 26', 156576),
(212851, 'PTHR10504:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156577),
(212852, 'PTHR10972:SF136', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 3C', 156578);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(212853, 'PTHR15615:SF68', NULL, NULL, NULL, NULL, 'OS02G0125400 PROTEIN', 156579),
(212854, 'PTHR23415:SF29', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT', 156580),
(212855, 'PTHR35164:SF5', NULL, NULL, NULL, NULL, 'OS02G0572600 PROTEIN', 156581),
(212856, 'PTHR46964:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 156582),
(212857, 'PTHR38527:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156583),
(212858, 'PTHR14870:SF1', NULL, NULL, NULL, NULL, 'TUBULIN EPSILON AND DELTA COMPLEX PROTEIN 2', 156584),
(212859, 'PTHR31087:SF110', NULL, NULL, NULL, NULL, 'BNAA06G00670D PROTEIN', 156585),
(212860, 'PTHR32093:SF125', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 4', 156586),
(212861, 'PTHR18905', NULL, NULL, NULL, NULL, 'NINEIN', 156587),
(212862, 'PTHR35565:SF1', NULL, NULL, NULL, NULL, 'TYPE VI SECRETION SYSTEM NEEDLE SHEATH PROTEIN TSSC', 156588),
(212863, 'PTHR13476:SF2', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION MEAF6-LIKE PROTEIN', 156589),
(212864, 'PTHR31662:SF72', NULL, NULL, NULL, NULL, 'OS01G0249900 PROTEIN', 156590),
(212865, 'PTHR31045:SF27', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', 156591),
(212866, 'PTHR10678:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156592),
(212867, 'PTHR48000:SF26', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 156593),
(212868, 'PTHR28525:SF6', NULL, NULL, NULL, NULL, 'BNAC03G35570D PROTEIN', 156594),
(212869, 'PTHR46507:SF2', NULL, NULL, NULL, NULL, 'SYNOVIAL SARCOMA, X BREAKPOINT 2-INTERACTING PROTEIN A-RELATED', 156595),
(212870, 'PTHR30314:SF17', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSZ', 156596),
(212871, 'PTHR30509:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156597),
(212872, 'PTHR31086:SF77', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 2', 156598),
(212873, 'PTHR43822:SF6', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE LARGE SUBUNIT', 156599),
(212874, 'PTHR43668:SF4', NULL, NULL, NULL, NULL, 'DIHYDROOROTASE', 156600),
(212875, 'PTHR33729:SF10', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 11-LIKE', 156601),
(212876, 'PTHR27001:SF213', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 156602),
(212877, 'PTHR11878:SF26', NULL, NULL, NULL, NULL, 'NCX4A', 156603),
(212878, 'PTHR10699', NULL, NULL, NULL, NULL, 'NEUROMODULIN', 156604),
(212879, 'PTHR48172', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 156605),
(212880, 'PTHR33601', NULL, NULL, NULL, NULL, 'PROTEIN LITTLE ZIPPER 4', 156606),
(212881, 'PTHR26451:SF964', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 156607),
(212882, 'PTHR12673:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156608),
(212883, 'PTHR24261:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156609),
(212884, 'PTHR39951', NULL, NULL, NULL, NULL, 'FI22632P1', 156610),
(212885, 'PTHR48049:SF55', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 156611),
(212886, 'PTHR11266:SF26', NULL, NULL, NULL, NULL, 'IP08061P', 156612),
(212887, 'PTHR33002:SF1', NULL, NULL, NULL, NULL, 'POLYMERASE, PUTATIVE-RELATED', 156613),
(212888, 'PTHR48043:SF58', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 2B15-RELATED', 156614),
(212889, 'PTHR41282:SF1', NULL, NULL, NULL, NULL, 'CONSERVED TRANSMEMBRANE PROTEIN-RELATED', 156615),
(212890, 'PTHR21426', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 8', 156616),
(212891, 'PTHR12771:SF64', NULL, NULL, NULL, NULL, 'BNAC05G01970D PROTEIN', 156617),
(212892, 'PTHR23124:SF138', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 156618),
(212893, 'PTHR21595', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 156619),
(212894, 'PTHR37928:SF1', NULL, NULL, NULL, NULL, 'CFEM DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G14090)', 156620),
(212895, 'PTHR23241:SF102', NULL, NULL, NULL, NULL, 'LD23009P', 156621),
(212896, 'PTHR31948:SF81', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 9-LIKE', 156622),
(212897, 'PTHR31739:SF3', NULL, NULL, NULL, NULL, 'ENT-KAUR-16-ENE SYNTHASE, CHLOROPLASTIC', 156623),
(212898, 'PTHR30341:SF0', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER NHAA', 156624);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(212899, 'PTHR22884:SF498', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASHH3', 156625),
(212900, 'PTHR43019:SF31', NULL, NULL, NULL, NULL, 'OS05G0164500 PROTEIN', 156626),
(212901, 'PTHR23537', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 156627),
(212902, 'PTHR47377:SF1', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 4, CHLOROPLASTIC', 156628),
(212903, 'PTHR11610:SF161', NULL, NULL, NULL, NULL, 'MIP10846P1-RELATED', 156629),
(212904, 'PTHR48100:SF21', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', 156630),
(212905, 'PTHR21664:SF1', NULL, NULL, NULL, NULL, 'NUDC DOMAIN-CONTAINING PROTEIN 1', 156631),
(212906, 'PTHR23021:SF76', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 156632),
(212907, 'PTHR19282:SF419', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156633),
(212908, 'PTHR47952', NULL, NULL, NULL, NULL, 'TRYPTAMINE 5-HYDROXYLASE', 156634),
(212909, 'PTHR31901:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156635),
(212910, 'PTHR10660:SF6', NULL, NULL, NULL, NULL, 'PROTEASOME ACTIVATOR COMPLEX SUBUNIT 2', 156636),
(212911, 'PTHR12374:SF61', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 156637),
(212912, 'PTHR11863:SF192', NULL, NULL, NULL, NULL, 'BNAC05G05170D PROTEIN', 156638),
(212913, 'PTHR24416:SF306', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 2', 156639),
(212914, 'PTHR37444:SF3', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE', 156640),
(212915, 'PTHR10168:SF252', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156641),
(212916, 'PTHR27001:SF856', NULL, NULL, NULL, NULL, 'OS04G0465900 PROTEIN', 156642),
(212917, 'PTHR44083:SF32', NULL, NULL, NULL, NULL, 'PROTEIN TPR2-LIKE ISOFORM X1', 156643),
(212918, 'PTHR41237', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN MRP21, MITOCHONDRIAL', 156644),
(212919, 'PTHR46619:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156645),
(212920, 'PTHR46058:SF24', NULL, NULL, NULL, NULL, 'BNACNNG46630D PROTEIN', 156646),
(212921, 'PTHR24414:SF168', NULL, NULL, NULL, NULL, 'BNAA01G07490D PROTEIN', 156647),
(212922, 'PTHR46662:SF43', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 5', 156648),
(212923, 'PTHR11685:SF243', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 156649),
(212924, 'PTHR31790:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156650),
(212925, 'PTHR39160:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE ASSOCIATED PROTEIN', 156651),
(212926, 'PTHR43739:SF4', NULL, NULL, NULL, NULL, 'OLIGOXYLOGLUCAN-REDUCING END-SPECIFIC XYLOGLUCANASE', 156652),
(212927, 'PTHR24245:SF4', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 45-RELATED', 156653),
(212928, 'PTHR40278', NULL, NULL, NULL, NULL, 'DNA UTILIZATION PROTEIN HOFN', 156654),
(212929, 'PTHR24089:SF697', NULL, NULL, NULL, NULL, 'THYLAKOID ADP,ATP CARRIER PROTEIN, CHLOROPLASTIC', 156655),
(212930, 'PTHR12802:SF118', NULL, NULL, NULL, NULL, 'BNAC05G00840D PROTEIN', 156656),
(212931, 'PTHR10605:SF16', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE GLUCOSAMINE 3-O-SULFOTRANSFERASE 1', 156657),
(212932, 'PTHR21937', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 156658),
(212933, 'PTHR10177:SF491', NULL, NULL, NULL, NULL, 'CYCLIN-D6-1-RELATED', 156659),
(212934, 'PTHR31929:SF48', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 10A5', 156660),
(212935, 'PTHR47966:SF2', NULL, NULL, NULL, NULL, 'ASPERGILLOPEPSIN-1', 156661),
(212936, 'PTHR47021:SF7', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD6-RELATED', 156662),
(212937, 'PTHR45935', NULL, NULL, NULL, NULL, 'PROTEIN ZBED8-RELATED', 156663),
(212938, 'PTHR24115:SF827', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN VAB-8', 156664),
(212939, 'PTHR30619', NULL, NULL, NULL, NULL, 'DNA INTERNALIZATION/COMPETENCE PROTEIN COMEC/REC2', 156665),
(212940, 'PTHR13302:SF8', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 3', 156666),
(212941, 'PTHR13832:SF723', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 10-RELATED', 156667);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(212942, 'PTHR24373:SF325', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G-PROTEIN COUPLED RECEPTOR 6', 156668),
(212943, 'PTHR33057:SF80', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC DOMAIN TIGR01568 FAMILY PROTEIN', 156669),
(212944, 'PTHR43270:SF1', NULL, NULL, NULL, NULL, 'BETA-ALA-HIS DIPEPTIDASE', 156670),
(212945, 'PTHR12411:SF705', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG12', 156671),
(212946, 'PTHR45431:SF4', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN', 156672),
(212947, 'PTHR43102:SF2', NULL, NULL, NULL, NULL, 'SLR1143 PROTEIN', 156673),
(212948, 'PTHR12374:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156674),
(212949, 'PTHR13558', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 156675),
(212950, 'PTHR24291:SF6', NULL, NULL, NULL, NULL, 'STEROL 26-HYDROXYLASE, MITOCHONDRIAL', 156676),
(212951, 'PTHR32018:SF2', NULL, NULL, NULL, NULL, 'OS11G0134100 PROTEIN', 156677),
(212952, 'PTHR15036:SF57', NULL, NULL, NULL, NULL, 'NEUREXIN-3', 156678),
(212953, 'PTHR43381:SF5', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-2, MITOCHONDRIAL', 156679),
(212954, 'PTHR48201:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156680),
(212955, 'PTHR46326:SF6', NULL, NULL, NULL, NULL, 'OS02G0659500 PROTEIN', 156681),
(212956, 'PTHR22844:SF363', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', 156682),
(212957, 'PTHR43077:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 156683),
(212958, 'PTHR31327:SF7', NULL, NULL, NULL, NULL, 'SPERM MEIOSIS PDZ DOMAIN CONTAINING PROTEINS', 156684),
(212959, 'PTHR31517', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 156685),
(212960, 'PTHR45653:SF9', NULL, NULL, NULL, NULL, 'SPONGE, ISOFORM E', 156686),
(212961, 'PTHR33564:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156687),
(212962, 'PTHR22762:SF92', NULL, NULL, NULL, NULL, 'LYSOSOMAL ALPHA-GLUCOSIDASE', 156688),
(212963, 'PTHR13878:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156689),
(212964, 'PTHR34283:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RESPONSE TO LOW SULFUR 2-RELATED', 156690),
(212965, 'PTHR21453:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG00758', 156691),
(212966, 'PTHR42986', NULL, NULL, NULL, NULL, 'BENZALDEHYDE DEHYDROGENASE YFMT', 156692),
(212967, 'PTHR10501:SF21', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN POLYPEPTIDE B2', 156693),
(212968, 'PTHR12871', NULL, NULL, NULL, NULL, 'BETA-1,2-N-ACETYLGLUCOSAMINYLTRANSFERASE II', 156694),
(212969, 'PTHR11017:SF417', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 156695),
(212970, 'PTHR31072:SF152', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP9', 156696),
(212971, 'PTHR19306', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES 5,6  SMC5, SMC6', 156697),
(212972, 'PTHR23151:SF67', NULL, NULL, NULL, NULL, 'DIHYDROLIPOAMIDE ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX', 156698),
(212973, 'PTHR13455:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR P66-ALPHA', 156699),
(212974, 'PTHR33287', NULL, NULL, NULL, NULL, 'OS03G0453550 PROTEIN', 156700),
(212975, 'PTHR11705:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156701),
(212976, 'PTHR34835:SF20', NULL, NULL, NULL, NULL, 'OS01G0826651 PROTEIN', 156702),
(212977, 'PTHR22844:SF349', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', 156703),
(212978, 'PTHR22625:SF9', NULL, NULL, NULL, NULL, 'PLEXIN-B2', 156704),
(212979, 'PTHR10334:SF411', NULL, NULL, NULL, NULL, 'VENOM ALLERGEN 3-LIKE PROTEIN', 156705),
(212980, 'PTHR42203', NULL, NULL, NULL, NULL, 'UPF0058 PROTEIN MJ1205', 156706),
(212981, 'PTHR47982:SF31', NULL, NULL, NULL, NULL, 'OS03G0226901 PROTEIN', 156707),
(212982, 'PTHR13132:SF29', NULL, NULL, NULL, NULL, 'ALPHA-(1,6)-FUCOSYLTRANSFERASE', 156708),
(212983, 'PTHR31828:SF42', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 1-LIKE', 156709),
(212984, 'PTHR16223:SF253', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH103', 156710),
(212985, 'PTHR21304:SF5', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC10', 156711);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(212986, 'PTHR12874:SF21', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 156712),
(212987, 'PTHR36858', NULL, NULL, NULL, NULL, 'AMELOTIN', 156713),
(212988, 'PTHR35486', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 156714),
(212989, 'PTHR31286:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156715),
(212990, 'PTHR37468:SF1', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER CYSZ', 156716),
(212991, 'PTHR45618:SF13', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DICARBOXYLATE CARRIER', 156717),
(212992, 'PTHR10865:SF6', NULL, NULL, NULL, NULL, 'METASTASIS-ASSOCIATED PROTEIN MTA3', 156718),
(212993, 'PTHR19375:SF445', NULL, NULL, NULL, NULL, 'OS05G0460000 PROTEIN', 156719),
(212994, 'PTHR45804:SF7', NULL, NULL, NULL, NULL, 'SEGMENTATION PROTEIN FUSHI TARAZU-LIKE PROTEIN', 156720),
(212995, 'PTHR39196', NULL, NULL, NULL, NULL, 'PRIMOSOME, DNAD SUBUNIT', 156721),
(212996, 'PTHR23167:SF35', NULL, NULL, NULL, NULL, '[F-ACTIN]-MONOOXYGENASE MICAL1', 156722),
(212997, 'PTHR11481:SF68', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE PROTEIN 5', 156723),
(212998, 'PTHR13467', NULL, NULL, NULL, NULL, 'CUE DOMAIN CONTAINING PROTEIN 1', 156724),
(212999, 'PTHR12419:SF55', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN DDB_G0284757-LIKE ISOFORM X1', 156725),
(213000, 'PTHR23236:SF31', NULL, NULL, NULL, NULL, 'OS02G0757900 PROTEIN', 156726),
(213001, 'PTHR11562:SF37', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 8', 156727),
(213002, 'PTHR16047:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 156728),
(213003, 'PTHR46661:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZNRF2', 156729),
(213004, 'PTHR46002:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156730),
(213005, 'PTHR42946:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOSAMINE MUTASE FAMILY PROTEIN', 156731),
(213006, 'PTHR48097:SF8', NULL, NULL, NULL, NULL, 'BNACNNG27100D PROTEIN', 156732),
(213007, 'PTHR21327:SF44', NULL, NULL, NULL, NULL, 'MONOFUNCTIONAL RIBOFLAVIN BIOSYNTHESIS PROTEIN RIBA 2, CHLOROPLASTIC', 156733),
(213008, 'PTHR12704', NULL, NULL, NULL, NULL, 'TRANS-GOLGI PROTEIN GMX33', 156734),
(213009, 'PTHR48001:SF66', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 156735),
(213010, 'PTHR13020', NULL, NULL, NULL, NULL, 'TRINUCLEOTIDE REPEAT-CONTAINING GENE 6', 156736),
(213011, 'PTHR34699', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 156737),
(213012, 'PTHR45779:SF13', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 156738),
(213013, 'PTHR31685:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_6G12730)', 156739),
(213014, 'PTHR11753:SF35', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', 156740),
(213015, 'PTHR46204:SF21', NULL, NULL, NULL, NULL, 'CHITIN ELICITOR RECEPTOR KINASE 1', 156741),
(213016, 'PTHR43791:SF81', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G01190)-RELATED', 156742),
(213017, 'PTHR11615:SF307', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 156743),
(213018, 'PTHR47965', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE-RELATED', 156744),
(213019, 'PTHR31793:SF27', NULL, NULL, NULL, NULL, 'ACYL-ACYL CARRIER PROTEIN THIOESTERASE ATL1, CHLOROPLASTIC-RELATED', 156745),
(213020, 'PTHR46165:SF5', NULL, NULL, NULL, NULL, 'RE32936P', 156746),
(213021, 'PTHR12552:SF15', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 42', 156747),
(213022, 'PTHR24067:SF167', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2', 156748),
(213023, 'PTHR45660:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156749),
(213024, 'PTHR10641:SF1274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156750),
(213025, 'PTHR46621:SF1', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 4', 156751),
(213026, 'PTHR35596:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156752),
(213027, 'PTHR44375:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156753),
(213028, 'PTHR31282:SF113', NULL, NULL, NULL, NULL, 'WRKY FAMILY TRANSCRIPTION FACTOR', 156754),
(213029, 'PTHR13357', NULL, NULL, NULL, NULL, 'SH3 ADAPTER PROTEIN SPIN90  NCK INTERACTING PROTEIN WITH SH3 DOMAIN', 156755);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(213030, 'PTHR23500:SF437', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156756),
(213031, 'PTHR48001:SF81', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 356', 156757),
(213032, 'PTHR45134:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156758),
(213033, 'PTHR34372:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156759),
(213034, 'PTHR21964:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156760),
(213035, 'PTHR10196:SF69', NULL, NULL, NULL, NULL, 'ZGC:172295', 156761),
(213036, 'PTHR45822:SF4', NULL, NULL, NULL, NULL, 'FREE FATTY ACID RECEPTOR 1', 156762),
(213037, 'PTHR31948:SF84', NULL, NULL, NULL, NULL, 'HOMEOBOX DOMAIN, ZF-HD CLASS PROTEIN', 156763),
(213038, 'PTHR45496:SF20', NULL, NULL, NULL, NULL, 'OS04G0286366 PROTEIN', 156764),
(213039, 'PTHR30400:SF0', NULL, NULL, NULL, NULL, 'BIOSYNTHETIC PEPTIDOGLYCAN TRANSGLYCOSYLASE', 156765),
(213040, 'PTHR11711:SF335', NULL, NULL, NULL, NULL, 'OS02G0128600 PROTEIN', 156766),
(213041, 'PTHR46158', NULL, NULL, NULL, NULL, 'OS02G0165000 PROTEIN', 156767),
(213042, 'PTHR21523:SF37', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MLT-10', 156768),
(213043, 'PTHR35466:SF4', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 1', 156769),
(213044, 'PTHR48128', NULL, NULL, NULL, NULL, 'REPELLENT PROTEIN 1', 156770),
(213045, 'PTHR34360:SF2', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', 156771),
(213046, 'PTHR12468', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 2', 156772),
(213047, 'PTHR23046', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINOIMIDAZOLE CARBOXYLASE CATALYTIC SUBUNIT', 156773),
(213048, 'PTHR48085:SF8', NULL, NULL, NULL, NULL, 'CADMIUM/ZINC-TRANSPORTING ATPASE HMA3', 156774),
(213049, 'PTHR47552:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE SUBUNIT PURQ', 156775),
(213050, 'PTHR33101:SF61', NULL, NULL, NULL, NULL, 'OS02G0272300 PROTEIN', 156776),
(213051, 'PTHR33995', NULL, NULL, NULL, NULL, 'PROTEIN CBG18546', 156777),
(213052, 'PTHR10880:SF41', NULL, NULL, NULL, NULL, 'CHROMATIN-BINDING PROTEIN', 156778),
(213053, 'PTHR11913:SF81', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 2-RELATED', 156779),
(213054, 'PTHR27009:SF197', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE ISOFORM X1', 156780),
(213055, 'PTHR37888', NULL, NULL, NULL, NULL, 'DNA-BINDING BROMODOMAIN-CONTAINING PROTEIN', 156781),
(213056, 'PTHR12189:SF2', NULL, NULL, NULL, NULL, 'MRNA CAP GUANINE-N7 METHYLTRANSFERASE', 156782),
(213057, 'PTHR11472:SF57', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE YPVA-RELATED', 156783),
(213058, 'PTHR47031:SF5', NULL, NULL, NULL, NULL, 'OS03G0383800 PROTEIN', 156784),
(213059, 'PTHR10768:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156785),
(213060, 'PTHR31048:SF133', NULL, NULL, NULL, NULL, 'OSMOTIN-LIKE PROTEIN', 156786),
(213061, 'PTHR33179:SF41', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', 156787),
(213062, 'PTHR11276:SF29', NULL, NULL, NULL, NULL, 'DNA POLYMERASE', 156788),
(213063, 'PTHR45005:SF4', NULL, NULL, NULL, NULL, 'PLANT SPECIFIC MITOCHONDRIAL IMPORT RECEPTOR-RELATED', 156789),
(213064, 'PTHR35330:SF1', NULL, NULL, NULL, NULL, 'SIROHEME BIOSYNTHESIS PROTEIN MET8', 156790),
(213065, 'PTHR16717', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE POLYPEPTIDE VIII', 156791),
(213066, 'PTHR45977:SF16', NULL, NULL, NULL, NULL, 'BNACNNG32440D PROTEIN', 156792),
(213067, 'PTHR13169:SF19', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN', 156793),
(213068, 'PTHR10026:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156794),
(213069, 'PTHR22969:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TBK1', 156795),
(213070, 'PTHR11988:SF27', NULL, NULL, NULL, NULL, 'GH27708P', 156796),
(213071, 'PTHR10332:SF9', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER 1', 156797),
(213072, 'PTHR32133:SF275', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156798),
(213073, 'PTHR30540:SF84', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 156799),
(213074, 'PTHR24174:SF4', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SAM DOMAIN-CONTAINING PROTEIN 1A', 156800);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(213075, 'PTHR45858:SF4', NULL, NULL, NULL, NULL, 'FERM, ARHGEF AND PLECKSTRIN DOMAIN-CONTAINING PROTEIN 2', 156801),
(213076, 'PTHR11394:SF50', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 114', 156802),
(213077, 'PTHR10252:SF79', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON SUBUNIT 4', 156803),
(213078, 'PTHR31080:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156804),
(213079, 'PTHR26452:SF165', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10W1', 156805),
(213080, 'PTHR22765:SF317', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN (AFU_ORTHOLOGUE AFUA_2G10860)', 156806),
(213081, 'PTHR11722:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', 156807),
(213082, 'PTHR46391:SF17', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 19-LIKE', 156808),
(213083, 'PTHR30024:SF39', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', 156809),
(213084, 'PTHR12305:SF90', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 3-PHOSPHATASE TPTE2-RELATED', 156810),
(213085, 'PTHR11895:SF152', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE, SUBUNIT A (AFU_ORTHOLOGUE AFUA_7G06800)', 156811),
(213086, 'PTHR11132:SF358', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE/PHOSPHATE TRANSLOCATOR-RELATED', 156812),
(213087, 'PTHR24391:SF15', NULL, NULL, NULL, NULL, 'ZGC:112083', 156813),
(213088, 'PTHR24320:SF148', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE ENV9-RELATED', 156814),
(213089, 'PTHR45825:SF13', NULL, NULL, NULL, NULL, 'SOLUBLE STARCH SYNTHASE 2-2, CHLOROPLASTIC/AMYLOPLASTIC', 156815),
(213090, 'PTHR12630:SF16', NULL, NULL, NULL, NULL, 'GLUCOSIDASE 2 SUBUNIT BETA-LIKE', 156816),
(213091, 'PTHR12000:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156817),
(213092, 'PTHR48019:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156818),
(213093, 'PTHR10291:SF31', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 156819),
(213094, 'PTHR24115:SF921', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 156820),
(213095, 'PTHR33198:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156821),
(213096, 'PTHR18945:SF452', NULL, NULL, NULL, NULL, 'GLUTAMATE-GATED CHLORIDE CHANNEL', 156822),
(213097, 'PTHR34655:SF2', NULL, NULL, NULL, NULL, 'CONSERVED WITHIN P. AEROPHILUM', 156823),
(213098, 'PTHR47929', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 156824),
(213099, 'PTHR43341:SF21', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 156825),
(213100, 'PTHR31744:SF117', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', 156826),
(213101, 'PTHR15594', NULL, NULL, NULL, NULL, 'PODOCALYXIN-LIKE PROTEIN 2', 156827),
(213102, 'PTHR11863:SF68', NULL, NULL, NULL, NULL, 'CHROMOSOME 12, WHOLE GENOME SHOTGUN SEQUENCE', 156828),
(213103, 'PTHR32166:SF85', NULL, NULL, NULL, NULL, 'OS05G0326650 PROTEIN', 156829),
(213104, 'PTHR33471:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE', 156830),
(213105, 'PTHR33179:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156831),
(213106, 'PTHR47992:SF18', NULL, NULL, NULL, NULL, 'BNAC09G41410D PROTEIN', 156832),
(213107, 'PTHR43572:SF63', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 3-LIKE', 156833),
(213108, 'PTHR11817:SF64', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 156834),
(213109, 'PTHR43227:SF10', NULL, NULL, NULL, NULL, 'TRANSPORT SYSTEM INTEGRAL MEMBRANE PROTEIN-RELATED', 156835),
(213110, 'PTHR24015:SF878', NULL, NULL, NULL, NULL, 'OS09G0413300 PROTEIN', 156836),
(213111, 'PTHR11176:SF22', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 156837),
(213112, 'PTHR23222:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156838),
(213113, 'PTHR13318:SF71', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN FBL11', 156839),
(213114, 'PTHR11690:SF170', NULL, NULL, NULL, NULL, 'ACID-SENSING ION CHANNEL 1', 156840),
(213115, 'PTHR31359', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 92', 156841),
(213116, 'PTHR46413:SF20', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', 156842),
(213117, 'PTHR39965:SF1', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMR SUBUNIT CMR6', 156843);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(213118, 'PTHR10188:SF33', NULL, NULL, NULL, NULL, 'ISOASPARTYL PEPTIDASE/L-ASPARAGINASE', 156844),
(213119, 'PTHR11644', NULL, NULL, NULL, NULL, 'CYTIDINE DEAMINASE', 156845),
(213120, 'PTHR16112:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156846),
(213121, 'PTHR43895:SF72', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 13', 156847),
(213122, 'PTHR31304:SF32', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 41-LIKE', 156848),
(213123, 'PTHR24399:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 45', 156849),
(213124, 'PTHR13526:SF20', NULL, NULL, NULL, NULL, 'OS01G0117800 PROTEIN', 156850),
(213125, 'PTHR15574:SF29', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 8-LIKE PROTEIN 1', 156851),
(213126, 'PTHR11533:SF247', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 156852),
(213127, 'PTHR46050:SF3', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING THIOREDOXIN TTL1', 156853),
(213128, 'PTHR24172:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156854),
(213129, 'PTHR48019:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156855),
(213130, 'PTHR43133:SF34', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-70 FACTOR', 156856),
(213131, 'PTHR37695:SF3', NULL, NULL, NULL, NULL, 'BNAA06G35310D PROTEIN', 156857),
(213132, 'PTHR21230:SF79', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT THROUGH INTERACTION WITH T-SNARES HOMOLOG 1B', 156858),
(213133, 'PTHR15371:SF30', NULL, NULL, NULL, NULL, 'BNAC07G33510D PROTEIN', 156859),
(213134, 'PTHR47965:SF23', NULL, NULL, NULL, NULL, 'OS01G0937200 PROTEIN', 156860),
(213135, 'PTHR33443:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156861),
(213136, 'PTHR24242:SF178', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 11A1', 156862),
(213137, 'PTHR31561:SF112', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 156863),
(213138, 'PTHR23279:SF7', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 1, ISOFORM A', 156864),
(213139, 'PTHR38110', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', 156865),
(213140, 'PTHR33710:SF21', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', 156866),
(213141, 'PTHR48033', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 156867),
(213142, 'PTHR45837:SF6', NULL, NULL, NULL, NULL, '25.3 KDA VESICLE TRANSPORT PROTEIN-LIKE', 156868),
(213143, 'PTHR35161:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156869),
(213144, 'PTHR31549:SF84', NULL, NULL, NULL, NULL, 'UPF0481 PLANT-LIKE PROTEIN', 156870),
(213145, 'PTHR21090:SF26', NULL, NULL, NULL, NULL, '3-PHOSPHOSHIKIMATE 1-CARBOXYVINYLTRANSFERASE', 156871),
(213146, 'PTHR38666:SF2', NULL, NULL, NULL, NULL, 'FLAGELLAR ASSOCIATED PROTEIN', 156872),
(213147, 'PTHR10352:SF10', NULL, NULL, NULL, NULL, 'NUCLEOLYSIN TIA-1 ISOFORM P40', 156873),
(213148, 'PTHR46057:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156874),
(213149, 'PTHR32096:SF100', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RRS1B-RELATED', 156875),
(213150, 'PTHR10634:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 2', 156876),
(213151, 'PTHR45818', NULL, NULL, NULL, NULL, 'PROTEIN VAV', 156877),
(213152, 'PTHR35855', NULL, NULL, NULL, NULL, 'PROTEIN CBG11437-RELATED', 156878),
(213153, 'PTHR13286:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156879),
(213154, 'PTHR13194:SF18', NULL, NULL, NULL, NULL, 'COMPLEX I INTERMEDIATE-ASSOCIATED PROTEIN 30, MITOCHONDRIAL', 156880),
(213155, 'PTHR22950:SF585', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER ANTL2-LIKE', 156881),
(213156, 'PTHR22808:SF18', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(34)-C(5))-METHYLTRANSFERASE-LIKE', 156882),
(213157, 'PTHR15683:SF8', NULL, NULL, NULL, NULL, 'SCAFFOLD ATTACHMENT FACTOR B, ISOFORM B', 156883),
(213158, 'PTHR32322:SF15', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', 156884),
(213159, 'PTHR24056:SF488', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156885),
(213160, 'PTHR32468:SF103', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 16', 156886);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(213161, 'PTHR12563:SF17', NULL, NULL, NULL, NULL, 'DIHYDROXYACETONE PHOSPHATE ACYLTRANSFERASE', 156887),
(213162, 'PTHR11624:SF96', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA, MITOCHONDRIAL', 156888),
(213163, 'PTHR42799:SF9', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE A3', 156889),
(213164, 'PTHR11557:SF7', NULL, NULL, NULL, NULL, 'BNAANNG06210D PROTEIN', 156890),
(213165, 'PTHR39961:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 156891),
(213166, 'PTHR28620', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN V', 156892),
(213167, 'PTHR23007:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CBL-B', 156893),
(213168, 'PTHR23333:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B PRIME GAMMA-RELATED', 156894),
(213169, 'PTHR30465:SF94', NULL, NULL, NULL, NULL, 'NICKEL IMPORT SYSTEM PERMEASE PROTEIN NIKB', 156895),
(213170, 'PTHR24369:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 4', 156896),
(213171, 'PTHR10553:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156897),
(213172, 'PTHR36410:SF4', NULL, NULL, NULL, NULL, 'BNAC07G48560D PROTEIN', 156898),
(213173, 'PTHR47509:SF1', NULL, NULL, NULL, NULL, 'MCG1612', 156899),
(213174, 'PTHR13964:SF26', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 4A', 156900),
(213175, 'PTHR31936:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG15922', 156901),
(213176, 'PTHR12399:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT D', 156902),
(213177, 'PTHR10972:SF183', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN', 156903),
(213178, 'PTHR11556:SF1', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, ISOFORM F', 156904),
(213179, 'PTHR45787', NULL, NULL, NULL, NULL, 'LD11652P', 156905),
(213180, 'PTHR18953:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156906),
(213181, 'PTHR45647:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156907),
(213182, 'PTHR47942:SF49', NULL, NULL, NULL, NULL, 'OS01G0559500 PROTEIN', 156908),
(213183, 'PTHR22597:SF17', NULL, NULL, NULL, NULL, 'BNAC04G08790D PROTEIN', 156909),
(213184, 'PTHR33908:SF9', NULL, NULL, NULL, NULL, 'BLL5595 PROTEIN', 156910),
(213185, 'PTHR24298:SF678', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 24-HYDROXYLASE', 156911),
(213186, 'PTHR12128:SF16', NULL, NULL, NULL, NULL, 'BLR3884 PROTEIN', 156912),
(213187, 'PTHR10218:SF333', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-1 SUBUNIT', 156913),
(213188, 'PTHR43874:SF87', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR11-LIKE', 156914),
(213189, 'PTHR11849:SF286', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156915),
(213190, 'PTHR33344:SF11', NULL, NULL, NULL, NULL, 'PLANT/F17M5-140 PROTEIN', 156916),
(213191, 'PTHR35755:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 156917),
(213192, 'PTHR10699:SF16', NULL, NULL, NULL, NULL, 'SPERM SURFACE PROTEIN SP17', 156918),
(213193, 'PTHR27007:SF250', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VIII.2-LIKE', 156919),
(213194, 'PTHR14950:SF37', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE DICER', 156920),
(213195, 'PTHR33147:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156921),
(213196, 'PTHR35630:SF2', NULL, NULL, NULL, NULL, 'LEGUMINOSIN GROUP486 SECRETED PEPTIDE', 156922),
(213197, 'PTHR10625:SF188', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 1', 156923),
(213198, 'PTHR23076:SF78', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT METALLOPROTEASE', 156924),
(213199, 'PTHR33130', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF1639)-RELATED', 156925),
(213200, 'PTHR20275:SF39', NULL, NULL, NULL, NULL, 'BNAANNG17540D PROTEIN', 156926),
(213201, 'PTHR14224:SF7', NULL, NULL, NULL, NULL, 'RIKEN CDNA C130073F10 GENE-RELATED', 156927),
(213202, 'PTHR45730:SF78', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', 156928),
(213203, 'PTHR37015', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 156929),
(213204, 'PTHR24096:SF375', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 7', 156930); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(213205, 'PTHR10751:SF111', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 2-LIKE', 156931),
(213206, 'PTHR10288:SF98', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING PROTEIN 3', 156932),
(213207, 'PTHR13271:SF101', NULL, NULL, NULL, NULL, 'RIBOSOMAL LYSINE N-METHYLTRANSFERASE 1', 156933),
(213208, 'PTHR31282:SF106', NULL, NULL, NULL, NULL, 'PROTEIN WRKY1', 156934),
(213209, 'PTHR10271:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR GUTR', 156935),
(213210, 'PTHR32196:SF18', NULL, NULL, NULL, NULL, 'GALACTOSIDE TRANSPORT SYSTEM PERMEASE PROTEIN MGLC', 156936),
(213211, 'PTHR33709:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156937),
(213212, 'PTHR45633:SF26', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60-2, MITOCHONDRIAL', 156938),
(213213, 'PTHR12101:SF30', NULL, NULL, NULL, NULL, 'POPEYE DOMAIN-CONTAINING PROTEIN 3-LIKE PROTEIN', 156939),
(213214, 'PTHR21152:SF16', NULL, NULL, NULL, NULL, 'SERINE--PYRUVATE AMINOTRANSFERASE', 156940),
(213215, 'PTHR47771:SF5', NULL, NULL, NULL, NULL, 'HDC01644', 156941),
(213216, 'PTHR18962', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 39', 156942),
(213217, 'PTHR10795:SF670', NULL, NULL, NULL, NULL, 'BNAA02G07220D PROTEIN', 156943),
(213218, 'PTHR30158:SF10', NULL, NULL, NULL, NULL, 'HLYD FAMILY SECRETION PROTEIN', 156944),
(213219, 'PTHR45716', NULL, NULL, NULL, NULL, 'BITESIZE, ISOFORM I', 156945),
(213220, 'PTHR43829:SF6', NULL, NULL, NULL, NULL, 'AQUAPORIN-9', 156946),
(213221, 'PTHR22814:SF302', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 26', 156947),
(213222, 'PTHR31140:SF63', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING PROTEIN OS05G0549800', 156948),
(213223, 'PTHR44259:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156949),
(213224, 'PTHR48018:SF9', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 156950),
(213225, 'PTHR10709:SF11', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 1A', 156951),
(213226, 'PTHR11527:SF325', NULL, NULL, NULL, NULL, '17.8 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', 156952),
(213227, 'PTHR33107:SF48', NULL, NULL, NULL, NULL, 'KUNITZ TYPE TRYPSIN INHIBITOR / MIRACULIN', 156953),
(213228, 'PTHR11043:SF3', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-A-RELATED', 156954),
(213229, 'PTHR35722:SF1', NULL, NULL, NULL, NULL, 'MAL D 1-ASSOCIATED PROTEIN', 156955),
(213230, 'PTHR24026:SF93', NULL, NULL, NULL, NULL, 'CADHERIN-99C', 156956),
(213231, 'PTHR12875:SF2', NULL, NULL, NULL, NULL, 'BNAC03G74870D PROTEIN', 156957),
(213232, 'PTHR34191:SF16', NULL, NULL, NULL, NULL, 'STRESS-INDUCED PROTEIN KIN2-LIKE', 156958),
(213233, 'PTHR20931:SF0', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 30A', 156959),
(213234, 'PTHR31107', NULL, NULL, NULL, NULL, 'APOPTOGENIC PROTEIN 1, MITOCHONDRIAL', 156960),
(213235, 'PTHR47975:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156961),
(213236, 'PTHR42687', NULL, NULL, NULL, NULL, 'L-THREONINE 3-DEHYDROGENASE', 156962),
(213237, 'PTHR47958:SF16', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE IRC3-RELATED', 156963),
(213238, 'PTHR43791:SF66', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YIHN', 156964),
(213239, 'PTHR46033:SF39', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-LIKE, MOBILE DOMAIN PROTEIN-RELATED', 156965),
(213240, 'PTHR10177:SF369', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN-A', 156966),
(213241, 'PTHR37211:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 156967),
(213242, 'PTHR32295:SF145', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 32-LIKE', 156968),
(213243, 'PTHR31639:SF211', NULL, NULL, NULL, NULL, 'BNAC03G71810D PROTEIN', 156969),
(213244, 'PTHR32467:SF173', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ANT', 156970),
(213245, 'PTHR45650:SF53', NULL, NULL, NULL, NULL, 'BNAC03G59260D PROTEIN', 156971),
(213246, 'PTHR31356:SF45', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 1, CYTOSOLIC', 156972),
(213247, 'PTHR13068:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156973),
(213248, 'PTHR12299:SF52', NULL, NULL, NULL, NULL, 'RGG REPEATS NUCLEAR RNA BINDING PROTEIN C', 156974);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(213249, 'PTHR45950:SF13', NULL, NULL, NULL, NULL, 'CLASS III HD-ZIP PROTEIN CNA1', 156975),
(213250, 'PTHR11461:SF180', NULL, NULL, NULL, NULL, 'LEUKOCYTE ELASTASE INHIBITOR', 156976),
(213251, 'PTHR31044:SF94', NULL, NULL, NULL, NULL, 'CBM43-CONTAINING PROTEIN', 156977),
(213252, 'PTHR46894', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 2', 156978),
(213253, 'PTHR27000:SF721', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', 156979),
(213254, 'PTHR27003:SF292', NULL, NULL, NULL, NULL, 'PHYTOENE DEHYDROGENASE, CHLOROPLASTIC/CHROMOPLASTIC-LIKE', 156980),
(213255, 'PTHR11654:SF175', NULL, NULL, NULL, NULL, 'OS10G0111700 PROTEIN', 156981),
(213256, 'PTHR43795:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ASPARTATE AMINOTRANSFERASE AND GLUTAMATE/ASPARTATE-PREPHENATE AMINOTRANSFERASE', 156982),
(213257, 'PTHR47787', NULL, NULL, NULL, NULL, 'CENTROMERE-BINDING PROTEIN 1', 156983),
(213258, 'PTHR27008:SF465', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', 156984),
(213259, 'PTHR47925:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156985),
(213260, 'PTHR31917:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156986),
(213261, 'PTHR43801', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING PROTEIN-RELATED', 156987),
(213262, 'PTHR24409:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 156988),
(213263, 'PTHR47764', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 2B-RELATED', 156989),
(213264, 'PTHR13050:SF8', NULL, NULL, NULL, NULL, 'CATION EXCHANGER-LIKE PROTEIN', 156990),
(213265, 'PTHR45684:SF27', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1A-LIKE PROTEIN', 156991),
(213266, 'PTHR12936:SF1', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 10', 156992),
(213267, 'PTHR11318:SF3', NULL, NULL, NULL, NULL, 'GUANYLIN', 156993),
(213268, 'PTHR23516:SF13', NULL, NULL, NULL, NULL, 'DUF791 DOMAIN PROTEIN', 156994),
(213269, 'PTHR48063:SF23', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', 156995),
(213270, 'PTHR21347:SF11', NULL, NULL, NULL, NULL, 'BNAA09G05230D PROTEIN', 156996),
(213271, 'PTHR46326:SF18', NULL, NULL, NULL, NULL, 'BNAC04G22120D PROTEIN', 156997),
(213272, 'PTHR23309:SF38', NULL, NULL, NULL, NULL, 'BNAA05G30610D PROTEIN', 156998),
(213273, 'PTHR12538:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', 156999),
(213274, 'PTHR10891:SF804', NULL, NULL, NULL, NULL, 'OS03G0813500 PROTEIN', 157000),
(213275, 'PTHR24367:SF21', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT LGI FAMILY MEMBER 2', 157001),
(213276, 'PTHR46431:SF13', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN-RELATED', 157002),
(213277, 'PTHR24104:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157003),
(213278, 'PTHR47925:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157004),
(213279, 'PTHR10492:SF50', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 157005),
(213280, 'PTHR45618:SF31', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DICARBOXYLATE/TRICARBOXYLATE TRANSPORTER DTC', 157006),
(213281, 'PTHR33149:SF31', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II D2 PROTEIN', 157007),
(213282, 'PTHR16223:SF140', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH112-LIKE', 157008),
(213283, 'PTHR46318:SF1', NULL, NULL, NULL, NULL, 'UPSTREAM-BINDING FACTOR 1-LIKE PROTEIN 1-RELATED', 157009),
(213284, 'PTHR45916:SF1', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 5', 157010),
(213285, 'PTHR23294:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG22453', 157011),
(213286, 'PTHR27004:SF361', NULL, NULL, NULL, NULL, 'BNAC04G29210D PROTEIN', 157012),
(213287, 'PTHR45721:SF8', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFA-4', 157013),
(213288, 'PTHR31787:SF2', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN A', 157014),
(213289, 'PTHR31265:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157015),
(213290, 'PTHR33179:SF29', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', 157016),
(213291, 'PTHR23405:SF4', NULL, NULL, NULL, NULL, 'PROTEIN MAK16 HOMOLOG', 157017);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(213292, 'PTHR31388:SF152', NULL, NULL, NULL, NULL, 'PEROXIDASE 20', 157018),
(213293, 'PTHR11527:SF278', NULL, NULL, NULL, NULL, '17.8 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', 157019),
(213294, 'PTHR31443:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157020),
(213295, 'PTHR31650:SF35', NULL, NULL, NULL, NULL, 'FOLDED PETALS', 157021),
(213296, 'PTHR15350:SF14', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT M', 157022),
(213297, 'PTHR26453:SF240', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 225', 157023),
(213298, 'PTHR23359:SF59', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE ISOENZYME 1', 157024),
(213299, 'PTHR24286:SF287', NULL, NULL, NULL, NULL, 'LANOSTEROL 14-ALPHA DEMETHYLASE', 157025),
(213300, 'PTHR11530', NULL, NULL, NULL, NULL, 'D-AMINO ACID OXIDASE', 157026),
(213301, 'PTHR11208:SF133', NULL, NULL, NULL, NULL, 'BNAC03G13860D PROTEIN', 157027),
(213302, 'PTHR11537:SF60', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY S MEMBER 2', 157028),
(213303, 'PTHR10815:SF13', NULL, NULL, NULL, NULL, 'AT04446P', 157029),
(213304, 'PTHR32071:SF86', NULL, NULL, NULL, NULL, 'TWO COMPONENT SIGNAL TRANSDUCTION SYSTEM SIGMA54-DEPENDENT RESPONSE REGULATOR FIS FAMILY', 157030),
(213305, 'PTHR12883:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 47', 157031),
(213306, 'PTHR45968:SF2', NULL, NULL, NULL, NULL, '(R)-MANDELONITRILE LYASE-LIKE', 157032),
(213307, 'PTHR17103:SF10', NULL, NULL, NULL, NULL, 'NEUREXOPHILIN-4', 157033),
(213308, 'PTHR46937:SF6', NULL, NULL, NULL, NULL, 'FERREDOXIN/THIOREDOXIN REDUCTASE SUBUNIT A (VARIABLE SUBUNIT) 2', 157034),
(213309, 'PTHR31375:SF242', NULL, NULL, NULL, NULL, 'BNAANNG30380D PROTEIN', 157035),
(213310, 'PTHR10985:SF27', NULL, NULL, NULL, NULL, 'HAIRY AND ENHANCER OF SPLIT 6, GENE 2', 157036),
(213311, 'PTHR23219:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG07970', 157037),
(213312, 'PTHR35692:SF1', NULL, NULL, NULL, NULL, 'F26F24.11', 157038),
(213313, 'PTHR30576:SF21', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE:UNDECAPRENYL-PHOSPHATE GLUCOSE-1-PHOSPHATE TRANSFERASE', 157039),
(213314, 'PTHR24412:SF174', NULL, NULL, NULL, NULL, 'KELCH-LIKE ECH-ASSOCIATED PROTEIN 1A', 157040),
(213315, 'PTHR23080:SF134', NULL, NULL, NULL, NULL, 'AGAP001368-PA', 157041),
(213316, 'PTHR48009:SF3', NULL, NULL, NULL, NULL, 'BNAA08G27450D PROTEIN', 157042),
(213317, 'PTHR31719:SF98', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', 157043),
(213318, 'PTHR47484:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157044),
(213319, 'PTHR30519:SF16', NULL, NULL, NULL, NULL, 'COBALAMIN-INDEPENDENT METHIONINE SYNTHASE', 157045),
(213320, 'PTHR33124:SF77', NULL, NULL, NULL, NULL, 'BNAA09G55360D PROTEIN', 157046),
(213321, 'PTHR10336:SF12', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE BETA-1', 157047),
(213322, 'PTHR47992:SF138', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 59-RELATED', 157048),
(213323, 'PTHR13046', NULL, NULL, NULL, NULL, 'PROTEASE U48 CAAX PRENYL PROTEASE RCE1', 157049),
(213324, 'PTHR11581:SF26', NULL, NULL, NULL, NULL, 'BNAANNG28590D PROTEIN', 157050),
(213325, 'PTHR42933', NULL, NULL, NULL, NULL, 'SLR6095 PROTEIN', 157051),
(213326, 'PTHR21502:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN DZIP1L', 157052),
(213327, 'PTHR10641:SF1221', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR MIXTA-LIKE PROTEIN', 157053),
(213328, 'PTHR12128:SF22', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE SYNTHETASE', 157054),
(213329, 'PTHR24070:SF412', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 157055),
(213330, 'PTHR47647:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 12 MEMBER B', 157056),
(213331, 'PTHR31080:SF246', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', 157057),
(213332, 'PTHR45631:SF80', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 157058),
(213333, 'PTHR24221:SF558', NULL, NULL, NULL, NULL, 'BNAA10G12020D PROTEIN', 157059),
(213334, 'PTHR31734:SF184', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 157060);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(213335, 'PTHR31116:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157061),
(213336, 'PTHR35117:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157062),
(213337, 'PTHR33214:SF39', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2', 157063),
(213338, 'PTHR10579:SF120', NULL, NULL, NULL, NULL, 'CHROMATIN REGULATOR PHD FAMILY-RELATED', 157064),
(213339, 'PTHR22776:SF80', NULL, NULL, NULL, NULL, 'PROTEIN CBG08278', 157065),
(213340, 'PTHR45642:SF40', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 157066),
(213341, 'PTHR33640:SF27', NULL, NULL, NULL, NULL, 'BNAA07G12620D PROTEIN', 157067),
(213342, 'PTHR33869:SF11', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE601 PROTEIN', 157068),
(213343, 'PTHR27002:SF754', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN S6, PUTATIVE-RELATED', 157069),
(213344, 'PTHR10909:SF385', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACYL-COENZYME A OXIDASE 1.2-RELATED', 157070),
(213345, 'PTHR34055:SF12', NULL, NULL, NULL, NULL, 'BNAA04G27560D PROTEIN', 157071),
(213346, 'PTHR48017:SF118', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1J', 157072),
(213347, 'PTHR11394:SF49', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 3', 157073),
(213348, 'PTHR13710:SF108', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE Q4', 157074),
(213349, 'PTHR21255', NULL, NULL, NULL, NULL, 'T-COMPLEX-ASSOCIATED-TESTIS-EXPRESSED 1/ DYNEIN LIGHT CHAIN', 157075),
(213350, 'PTHR33207:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157076),
(213351, 'PTHR18945:SF558', NULL, NULL, NULL, NULL, 'ZINC-ACTIVATED LIGAND-GATED ION CHANNEL', 157077),
(213352, 'PTHR40047', NULL, NULL, NULL, NULL, 'UPF0703 PROTEIN YCGQ', 157078),
(213353, 'PTHR43716', NULL, NULL, NULL, NULL, 'D-2-HYDROXYGLUTARATE DEHYDROGENASE, MITOCHONDRIAL', 157079),
(213354, 'PTHR11062:SF307', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE ARAD2-RELATED', 157080),
(213355, 'PTHR32175:SF0', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 157081),
(213356, 'PTHR31894', NULL, NULL, NULL, NULL, 'UPF0461 PROTEIN C5ORF24', 157082),
(213357, 'PTHR21327:SF39', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL RIBOFLAVIN BIOSYNTHESIS PROTEIN RIBA 1, CHLOROPLASTIC-RELATED', 157083),
(213358, 'PTHR33172:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157084),
(213359, 'PTHR12689', NULL, NULL, NULL, NULL, 'A1 CISTRON SPLICING FACTOR AAR2-RELATED', 157085),
(213360, 'PTHR19353:SF14', NULL, NULL, NULL, NULL, 'DELTA(5) FATTY ACID DESATURASE C-RELATED', 157086),
(213361, 'PTHR34268:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157087),
(213362, 'PTHR36999:SF1', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', 157088),
(213363, 'PTHR37172:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 157089),
(213364, 'PTHR34127', NULL, NULL, NULL, NULL, 'OS04G0405600 PROTEIN', 157090),
(213365, 'PTHR22953:SF139', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 157091),
(213366, 'PTHR43899:SF39', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN 3-OXOACYL-COA REDUCTASE 1 ISOFORM X1', 157092),
(213367, 'PTHR34839', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 157093),
(213368, 'PTHR31265:SF41', NULL, NULL, NULL, NULL, 'BNAC06G40680D PROTEIN', 157094),
(213369, 'PTHR45626:SF22', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD5', 157095),
(213370, 'PTHR32295:SF180', NULL, NULL, NULL, NULL, 'BNAC09G21100D PROTEIN', 157096),
(213371, 'PTHR15021:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN BASONUCLIN-2', 157097),
(213372, 'PTHR34536:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157098),
(213373, 'PTHR31861', NULL, NULL, NULL, NULL, 'OS10G0507500 PROTEIN', 157099),
(213374, 'PTHR24046', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE, CUB AND EGF-LIKE DOMAIN-CONTAINING', 157100),
(213375, 'PTHR21879:SF1', NULL, NULL, NULL, NULL, 'FI01546P', 157101),
(213376, 'PTHR23200:SF49', NULL, NULL, NULL, NULL, 'PROTEIN CBG06992', 157102),
(213377, 'PTHR43375:SF1', NULL, NULL, NULL, NULL, 'OROTIDINE 5''-PHOSPHATE DECARBOXYLASE', 157103),
(213378, 'PTHR11188:SF71', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN C', 157104);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(213379, 'PTHR39569:SF1', NULL, NULL, NULL, NULL, 'INORGANIC TRIPHOSPHATASE', 157105),
(213380, 'PTHR47998:SF33', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR-RELATED', 157106),
(213381, 'PTHR31235:SF219', NULL, NULL, NULL, NULL, 'PEROXIDASE', 157107),
(213382, 'PTHR15486:SF61', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE 2-O-ACYLTRANSFERASE 4', 157108),
(213383, 'PTHR42802', NULL, NULL, NULL, NULL, 'MONOOXYGENASE', 157109),
(213384, 'PTHR12406:SF43', NULL, NULL, NULL, NULL, 'BNAC07G30920D PROTEIN', 157110),
(213385, 'PTHR33155:SF50', NULL, NULL, NULL, NULL, 'BNACNNG43270D PROTEIN', 157111),
(213386, 'PTHR19957:SF320', NULL, NULL, NULL, NULL, 'SYNTAXIN-23', 157112),
(213387, 'PTHR18934:SF99', NULL, NULL, NULL, NULL, 'DEAH (ASP-GLU-ALA-HIS) BOX POLYPEPTIDE 37', 157113),
(213388, 'PTHR47979:SF72', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB11B', 157114),
(213389, 'PTHR44157:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 11', 157115),
(213390, 'PTHR10791:SF28', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET3', 157116),
(213391, 'PTHR10827:SF56', NULL, NULL, NULL, NULL, 'RETICULOCALBIN-2', 157117),
(213392, 'PTHR45719:SF12', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14A-LIKE', 157118),
(213393, 'PTHR43079:SF1', NULL, NULL, NULL, NULL, 'CADMIUM/ZINC-TRANSPORTING ATPASE HMA1, CHLOROPLASTIC-RELATED', 157119),
(213394, 'PTHR11709:SF317', NULL, NULL, NULL, NULL, 'LACCASE', 157120),
(213395, 'PTHR47635:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157121),
(213396, 'PTHR43176:SF26', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE 1', 157122),
(213397, 'PTHR18976:SF1', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN A-IV', 157123),
(213398, 'PTHR19848:SF4', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN CONTAINING 7', 157124),
(213399, 'PTHR33065:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157125),
(213400, 'PTHR43719:SF60', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE G2', 157126),
(213401, 'PTHR45623:SF17', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 3-RELATED', 157127),
(213402, 'PTHR47934:SF2', NULL, NULL, NULL, NULL, 'OS07G0671200 PROTEIN', 157128),
(213403, 'PTHR31733:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE KAPPA', 157129),
(213404, 'PTHR46268:SF11', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN YXIE', 157130),
(213405, 'PTHR11711:SF222', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR L-RELATED', 157131),
(213406, 'PTHR24068:SF333', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 10-LIKE', 157132),
(213407, 'PTHR22536:SF6', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 19A-LIKE', 157133),
(213408, 'PTHR13047:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157134),
(213409, 'PTHR17224:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE-RELATED', 157135),
(213410, 'PTHR13413', NULL, NULL, NULL, NULL, 'YLP MOTIF CONTAINING PROTEIN NUCLEAR PROTEIN ZAP', 157136),
(213411, 'PTHR34380:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157137),
(213412, 'PTHR19872:SF7', NULL, NULL, NULL, NULL, 'CMT1A DUPLICATED REGION TRANSCRIPT 1 PROTEIN-RELATED', 157138),
(213413, 'PTHR11567:SF138', NULL, NULL, NULL, NULL, 'INTESTINAL ACID PHOSPHATASE', 157139),
(213414, 'PTHR12203:SF102', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 157140),
(213415, 'PTHR35340:SF5', NULL, NULL, NULL, NULL, 'PQQ ENZYME REPEAT PROTEIN-RELATED', 157141),
(213416, 'PTHR28654', NULL, NULL, NULL, NULL, 'AXIN INTERACTOR, DORSALIZATION-ASSOCIATED PROTEIN', 157142),
(213417, 'PTHR27001:SF869', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE DOMAIN KINASE', 157143),
(213418, 'PTHR11132:SF291', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR TRANSPORTER FAMILY', 157144),
(213419, 'PTHR47925:SF14', NULL, NULL, NULL, NULL, 'BNAA10G28390D PROTEIN', 157145),
(213420, 'PTHR23505:SF79', NULL, NULL, NULL, NULL, 'PROTEIN SPINSTER', 157146),
(213421, 'PTHR23262:SF211', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-6', 157147),
(213422, 'PTHR19879:SF6', NULL, NULL, NULL, NULL, 'TAF5-LIKE RNA POLYMERASE II P300/CBP-ASSOCIATED FACTOR-ASSOCIATED FACTOR 65 KDA SUBUNIT 5L', 157148);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(213423, 'PTHR46792:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 80-LIKE 2', 157149),
(213424, 'PTHR34545:SF1', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 22', 157150),
(213425, 'PTHR22802:SF399', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 157151),
(213426, 'PTHR24412:SF460', NULL, NULL, NULL, NULL, 'RING CANAL KELCH PROTEIN', 157152),
(213427, 'PTHR24070:SF417', NULL, NULL, NULL, NULL, 'SCA1 COMPLEX PROTEIN PHR', 157153),
(213428, 'PTHR45687:SF54', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP-TYPE-RELATED', 157154),
(213429, 'PTHR36066:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH145-LIKE ISOFORM X1', 157155),
(213430, 'PTHR43100:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE [NADPH] SMALL CHAIN', 157156),
(213431, 'PTHR10784', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 6', 157157),
(213432, 'PTHR32479:SF18', NULL, NULL, NULL, NULL, 'OXIDO/REDUCTASE IRON SULFUR PROTEIN', 157158),
(213433, 'PTHR31947:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157159),
(213434, 'PTHR13068:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157160),
(213435, 'PTHR11905:SF21', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 7', 157161),
(213436, 'PTHR46295:SF1', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM RESIDENT PROTEIN 44', 157162),
(213437, 'PTHR34802', NULL, NULL, NULL, NULL, 'CHORISMATE SYNTHASE', 157163),
(213438, 'PTHR11771:SF156', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 157164),
(213439, 'PTHR43327:SF42', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 3', 157165),
(213440, 'PTHR14392:SF3', NULL, NULL, NULL, NULL, 'PROTEIN NIBAN', 157166),
(213441, 'PTHR27008:SF42', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 157167),
(213442, 'PTHR34988:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 157168),
(213443, 'PTHR47007', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 4', 157169),
(213444, 'PTHR31992:SF150', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF4.6-LIKE', 157170),
(213445, 'PTHR31185:SF0', NULL, NULL, NULL, NULL, 'FIN BUD INITIATION FACTOR HOMOLOG', 157171),
(213446, 'PTHR47965:SF9', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED3', 157172),
(213447, 'PTHR33986:SF16', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION PROTEIN ELM1-LIKE ISOFORM X1', 157173),
(213448, 'PTHR48100:SF27', NULL, NULL, NULL, NULL, 'OS01G0237100 PROTEIN', 157174),
(213449, 'PTHR33202:SF17', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 157175),
(213450, 'PTHR11735:SF11', NULL, NULL, NULL, NULL, 'TRNA THREONYLCARBAMOYLADENOSINE BIOSYNTHESIS PROTEIN TSAB', 157176),
(213451, 'PTHR31642:SF253', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', 157177),
(213452, 'PTHR33356:SF21', NULL, NULL, NULL, NULL, 'BNAA09G01110D PROTEIN', 157178),
(213453, 'PTHR23236:SF65', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', 157179),
(213454, 'PTHR15603:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157180),
(213455, 'PTHR37538:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157181),
(213456, 'PTHR11599:SF51', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-5', 157182),
(213457, 'PTHR12436:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157183),
(213458, 'PTHR46566:SF4', NULL, NULL, NULL, NULL, 'TAGATOSE-6-PHOSPHATE KINASE', 157184),
(213459, 'PTHR11629:SF63', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 157185),
(213460, 'PTHR37001:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157186),
(213461, 'PTHR11615:SF308', NULL, NULL, NULL, NULL, 'ASSIMILATORY NITRATE REDUCTASE', 157187),
(213462, 'PTHR31920:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157188),
(213463, 'PTHR11655:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157189),
(213464, 'PTHR31639:SF66', NULL, NULL, NULL, NULL, 'OS07G0161500 PROTEIN', 157190),
(213465, 'PTHR11735:SF14', NULL, NULL, NULL, NULL, 'TRNA N6-ADENOSINE THREONYLCARBAMOYLTRANSFERASE-RELATED', 157191),
(213466, 'PTHR33147:SF69', NULL, NULL, NULL, NULL, 'DEFENSIN SD2', 157192);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(213467, 'PTHR30024:SF1', NULL, NULL, NULL, NULL, 'ALIPHATIC SULFONATES-BINDING PROTEIN-RELATED', 157193),
(213468, 'PTHR27007:SF215', NULL, NULL, NULL, NULL, 'OS07G0575600 PROTEIN', 157194),
(213469, 'PTHR43124', NULL, NULL, NULL, NULL, 'PURINE EFFLUX PUMP PBUE', 157195),
(213470, 'PTHR12778:SF9', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A TRANSPORTER 1', 157196),
(213471, 'PTHR14647:SF62', NULL, NULL, NULL, NULL, 'GALACTOSE-3-O-SULFOTRANSFERASE 2', 157197),
(213472, 'PTHR43224', NULL, NULL, NULL, NULL, 'AMIDINOTRANSFERASE', 157198),
(213473, 'PTHR34141:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157199),
(213474, 'PTHR14115:SF0', NULL, NULL, NULL, NULL, 'AMELOBLASTIN', 157200),
(213475, 'PTHR21432:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG01054', 157201),
(213476, 'PTHR42760:SF87', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_7G04360)', 157202),
(213477, 'PTHR15725:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 19', 157203),
(213478, 'PTHR43431:SF5', NULL, NULL, NULL, NULL, '3-KETODIHYDROSPHINGOSINE REDUCTASE-LIKE', 157204),
(213479, 'PTHR48078:SF11', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE, MITOCHONDRIAL', 157205),
(213480, 'PTHR46570:SF1', NULL, NULL, NULL, NULL, 'TUBULIN--TYROSINE LIGASE', 157206),
(213481, 'PTHR11893:SF23', NULL, NULL, NULL, NULL, 'INNEXIN-14', 157207),
(213482, 'PTHR23201:SF12', NULL, NULL, NULL, NULL, 'OS05G0432200 PROTEIN', 157208),
(213483, 'PTHR11937:SF450', NULL, NULL, NULL, NULL, 'ACTIN-3', 157209),
(213484, 'PTHR47990:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157210),
(213485, 'PTHR28656', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 153', 157211),
(213486, 'PTHR32175:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157212),
(213487, 'PTHR26452:SF196', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1440', 157213),
(213488, 'PTHR31907:SF60', NULL, NULL, NULL, NULL, 'BNAC06G43750D PROTEIN', 157214),
(213489, 'PTHR43258', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', 157215),
(213490, 'PTHR47506:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 157216),
(213491, 'PTHR45889', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 157217),
(213492, 'PTHR10593:SF139', NULL, NULL, NULL, NULL, 'OSJNBA0019G23.4 PROTEIN', 157218),
(213493, 'PTHR43572:SF59', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 3', 157219),
(213494, 'PTHR24390:SF163', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 438', 157220),
(213495, 'PTHR15572:SF0', NULL, NULL, NULL, NULL, 'GLUTAMINE-RICH PROTEIN', 157221),
(213496, 'PTHR12378:SF13', NULL, NULL, NULL, NULL, 'EREBP-4 LIKE PROTEIN', 157222),
(213497, 'PTHR21472:SF20', NULL, NULL, NULL, NULL, 'SI:DKEY-85K7.10', 157223),
(213498, 'PTHR34149:SF7', NULL, NULL, NULL, NULL, 'PROTEIN SUP-1', 157224),
(213499, 'PTHR20986:SF17', NULL, NULL, NULL, NULL, 'FMRFAMIDE-LIKE NEUROPEPTIDE 18', 157225),
(213500, 'PTHR24070:SF203', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RIT2', 157226),
(213501, 'PTHR15228:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157227),
(213502, 'PTHR22595:SF139', NULL, NULL, NULL, NULL, 'ENDOCHITINASE CHI', 157228),
(213503, 'PTHR15573:SF0', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 160-RELATED', 157229),
(213504, 'PTHR15606:SF7', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 8', 157230),
(213505, 'PTHR15427:SF20', NULL, NULL, NULL, NULL, 'ADIPONECTIN', 157231),
(213506, 'PTHR11991:SF14', NULL, NULL, NULL, NULL, 'TRANSLATIONALLY-CONTROLLED TUMOR PROTEIN 1', 157232),
(213507, 'PTHR13832:SF667', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 14-RELATED', 157233),
(213508, 'PTHR31221:SF228', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR', 157234),
(213509, 'PTHR45933:SF23', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 2', 157235),
(213510, 'PTHR14564:SF2', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC26', 157236),
(213511, 'PTHR30055:SF196', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR RUTR', 157237),
(213512, 'PTHR14942:SF0', NULL, NULL, NULL, NULL, 'U11/U12 SMALL NUCLEAR RIBONUCLEOPROTEIN 25 KDA PROTEIN', 157238);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(213513, 'PTHR43008:SF12', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_6G13830)', 157239),
(213514, 'PTHR15615:SF85', NULL, NULL, NULL, NULL, 'CYCLIN-U2-2', 157240),
(213515, 'PTHR47926:SF197', NULL, NULL, NULL, NULL, 'BNAA01G24230D PROTEIN', 157241),
(213516, 'PTHR24281:SF186', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 77A3', 157242),
(213517, 'PTHR47966:SF38', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE A3', 157243),
(213518, 'PTHR11362:SF115', NULL, NULL, NULL, NULL, 'OS02G0531600 PROTEIN', 157244),
(213519, 'PTHR11011:SF92', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 157245),
(213520, 'PTHR43952:SF32', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 5', 157246),
(213521, 'PTHR22776:SF85', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2B', 157247),
(213522, 'PTHR11054:SF11', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE 4-RELATED', 157248),
(213523, 'PTHR11783:SF254', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 157249),
(213524, 'PTHR14239:SF9', NULL, NULL, NULL, NULL, 'STEAP FAMILY MEMBER 1B', 157250),
(213525, 'PTHR33085:SF94', NULL, NULL, NULL, NULL, 'OS08G0165000 PROTEIN', 157251),
(213526, 'PTHR34281:SF18', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 3', 157252),
(213527, 'PTHR30523:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE', 157253),
(213528, 'PTHR12403:SF25', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 2-LIKE PROTEIN', 157254),
(213529, 'PTHR36725', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN AAF, CHLOROLPLASTIC', 157255),
(213530, 'PTHR45779:SF12', NULL, NULL, NULL, NULL, 'FK506-BINDING PROTEIN 2', 157256),
(213531, 'PTHR45940:SF13', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 1-RELATED', 157257),
(213532, 'PTHR24377:SF372', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 568', 157258),
(213533, 'PTHR12166:SF7', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT SECRETION ACTIVATOR 2', 157259),
(213534, 'PTHR11440', NULL, NULL, NULL, NULL, 'LECITHIN-CHOLESTEROL ACYLTRANSFERASE-RELATED', 157260),
(213535, 'PTHR25465', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 157261),
(213536, 'PTHR13462:SF16', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN, MITOCHONDRIAL', 157262),
(213537, 'PTHR24373:SF262', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 15', 157263),
(213538, 'PTHR23421:SF174', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 7', 157264),
(213539, 'PTHR10527:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157265),
(213540, 'PTHR30146:SF121', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR EBGR-RELATED', 157266),
(213541, 'PTHR37458:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157267),
(213542, 'PTHR47993:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157268),
(213543, 'PTHR31529:SF50', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 33', 157269),
(213544, 'PTHR10828:SF46', NULL, NULL, NULL, NULL, 'M-PHASE INDUCER PHOSPHATASE 1', 157270),
(213545, 'PTHR21485:SF5', NULL, NULL, NULL, NULL, '3-DEOXY-D-MANNO-OCTULOSONATE 8-PHOSPHATE PHOSPHATASE KDSC', 157271),
(213546, 'PTHR24349:SF369', NULL, NULL, NULL, NULL, 'BNAC03G23150D PROTEIN', 157272),
(213547, 'PTHR12352', NULL, NULL, NULL, NULL, 'SECRETED MODULAR CALCIUM-BINDING PROTEIN', 157273),
(213548, 'PTHR11581:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', 157274),
(213549, 'PTHR16932:SF18', NULL, NULL, NULL, NULL, 'INTERFERON-ALPHA-INDUCED', 157275),
(213550, 'PTHR44042', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', 157276),
(213551, 'PTHR33127:SF71', NULL, NULL, NULL, NULL, 'BNACNNG10650D PROTEIN', 157277),
(213552, 'PTHR31860:SF5', NULL, NULL, NULL, NULL, 'ARGH (DUF639)', 157278),
(213553, 'PTHR48017:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157279),
(213554, 'PTHR20898', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 157280),
(213555, 'PTHR27006:SF408', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', 157281),
(213556, 'PTHR47653:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BARK BEETLE', 157282);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(213557, 'PTHR45933:SF26', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 4-LIKE', 157283),
(213558, 'PTHR44688:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN BJAR1', 157284),
(213559, 'PTHR45712:SF1', NULL, NULL, NULL, NULL, 'NEPHROCAN', 157285),
(213560, 'PTHR31042:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157286),
(213561, 'PTHR14781', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 157287),
(213562, 'PTHR31677:SF145', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 157288),
(213563, 'PTHR10110:SF178', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 8', 157289),
(213564, 'PTHR42647:SF51', NULL, NULL, NULL, NULL, 'SBP (S-RIBONUCLEASE BINDING PROTEIN) FAMILY PROTEIN-RELATED', 157290),
(213565, 'PTHR24349:SF448', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE', 157291),
(213566, 'PTHR47950:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', 157292),
(213567, 'PTHR46821:SF2', NULL, NULL, NULL, NULL, 'OS07G0586332 PROTEIN', 157293),
(213568, 'PTHR23511:SF5', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE GLYCOPROTEIN 2', 157294),
(213569, 'PTHR45685:SF2', NULL, NULL, NULL, NULL, 'CHROMATIN-REMODELING ATPASE INO80', 157295),
(213570, 'PTHR48022:SF73', NULL, NULL, NULL, NULL, 'METABOLITE TRANSPORT PROTEIN YDL199C-RELATED', 157296),
(213571, 'PTHR11926:SF1336', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76B1', 157297),
(213572, 'PTHR31013', NULL, NULL, NULL, NULL, 'THAUMATIN FAMILY PROTEIN-RELATED', 157298),
(213573, 'PTHR22849:SF129', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 20', 157299),
(213574, 'PTHR10201:SF147', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-21', 157300),
(213575, 'PTHR47067:SF9', NULL, NULL, NULL, NULL, 'OS05G0420500 PROTEIN', 157301),
(213576, 'PTHR36742', NULL, NULL, NULL, NULL, 'MYOSIN-G HEAVY CHAIN-LIKE PROTEIN', 157302),
(213577, 'PTHR43344:SF11', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE-RELATED', 157303),
(213578, 'PTHR39418:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', 157304),
(213579, 'PTHR10285:SF185', NULL, NULL, NULL, NULL, 'URIDINE KINASE-LIKE, CYTH-LIKE DOMAIN, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 157305),
(213580, 'PTHR13935:SF124', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH118-LIKE', 157306),
(213581, 'PTHR11537:SF259', NULL, NULL, NULL, NULL, 'KCNQ POTASSIUM CHANNEL, ISOFORM F', 157307),
(213582, 'PTHR22896', NULL, NULL, NULL, NULL, 'CDK5 AND ABL1 ENZYME SUBSTRATE 1', 157308),
(213583, 'PTHR19850:SF28', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-4', 157309),
(213584, 'PTHR33388:SF20', NULL, NULL, NULL, NULL, 'BNAA03G58770D PROTEIN', 157310),
(213585, 'PTHR48052:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157311),
(213586, 'PTHR43243:SF79', NULL, NULL, NULL, NULL, 'BNACNNG25140D PROTEIN', 157312),
(213587, 'PTHR12863:SF16', NULL, NULL, NULL, NULL, 'BNAA05G09070D PROTEIN', 157313),
(213588, 'PTHR22761:SF46', NULL, NULL, NULL, NULL, 'PROTEIN CBG03253', 157314),
(213589, 'PTHR11711:SF353', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR F-RELATED', 157315),
(213590, 'PTHR34380', NULL, NULL, NULL, NULL, 'BNAA03G12380D PROTEIN', 157316),
(213591, 'PTHR30337:SF0', NULL, NULL, NULL, NULL, 'NUCLEASE SBCCD SUBUNIT D', 157317),
(213592, 'PTHR47810:SF1', NULL, NULL, NULL, NULL, 'DNA LIGASE', 157318),
(213593, 'PTHR31190:SF77', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN', 157319),
(213594, 'PTHR43900:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157320),
(213595, 'PTHR13229', NULL, NULL, NULL, NULL, 'PROTEIN KISH-A', 157321),
(213596, 'PTHR11254:SF429', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SU(DX)', 157322),
(213597, 'PTHR37969:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG13105', 157323),
(213598, 'PTHR47958:SF36', NULL, NULL, NULL, NULL, 'TYPE III RESTRICTION ENZYME, RES SUBUNIT FAMILY PROTEIN', 157324),
(213599, 'PTHR19143:SF396', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157325),
(213600, 'PTHR22765:SF108', NULL, NULL, NULL, NULL, 'OS03G0391100 PROTEIN', 157326);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(213601, 'PTHR11700:SF33', NULL, NULL, NULL, NULL, 'BNAANNG08140D PROTEIN', 157327),
(213602, 'PTHR37969:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13131', 157328),
(213603, 'PTHR33048:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157329),
(213604, 'PTHR11945:SF539', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 57', 157330),
(213605, 'PTHR24343:SF466', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 157331),
(213606, 'PTHR34496:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157332),
(213607, 'PTHR46106:SF1', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE-LIKE N', 157333),
(213608, 'PTHR46289:SF9', NULL, NULL, NULL, NULL, '52 KDA REPRESSOR OF THE INHIBITOR OF THE PROTEIN KINASE-LIKE PROTEIN', 157334),
(213609, 'PTHR36219', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 157335),
(213610, 'PTHR13120', NULL, NULL, NULL, NULL, 'PHD FINGER-LIKE DOMAIN-CONTAINING PROTEIN 5A', 157336),
(213611, 'PTHR33667:SF7', NULL, NULL, NULL, NULL, 'SI:DKEY-57N24.6', 157337),
(213612, 'PTHR47926:SF10', NULL, NULL, NULL, NULL, 'BNAA03G19160D PROTEIN', 157338),
(213613, 'PTHR18879:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157339),
(213614, 'PTHR46381', NULL, NULL, NULL, NULL, 'MKPA PROTEIN', 157340),
(213615, 'PTHR14272', NULL, NULL, NULL, NULL, 'SERTA DOMAIN-CONTAINING PROTEIN 4', 157341),
(213616, 'PTHR31240:SF0', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST 18', 157342),
(213617, 'PTHR15416', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE INHIBITOR/PKI', 157343),
(213618, 'PTHR32142:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157344),
(213619, 'PTHR10168:SF228', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S3-LIKE', 157345),
(213620, 'PTHR23013', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR', 157346),
(213621, 'PTHR37458:SF1', NULL, NULL, NULL, NULL, 'THISBE', 157347),
(213622, 'PTHR31499:SF61', NULL, NULL, NULL, NULL, 'MYR1', 157348),
(213623, 'PTHR11453:SF36', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN', 157349),
(213624, 'PTHR44573:SF3', NULL, NULL, NULL, NULL, 'CYTOSOLIC ALKENAL/ONE OXIDOREDUCTASE', 157350),
(213625, 'PTHR48047:SF115', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 157351),
(213626, 'PTHR34311:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG14644', 157352),
(213627, 'PTHR33294:SF14', NULL, NULL, NULL, NULL, 'BNAA09G18040D PROTEIN', 157353),
(213628, 'PTHR45716:SF3', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-LIKE PROTEIN 1', 157354),
(213629, 'PTHR22951:SF78', NULL, NULL, NULL, NULL, 'BNAC05G10880D PROTEIN', 157355),
(213630, 'PTHR45828:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157356),
(213631, 'PTHR33110:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157357),
(213632, 'PTHR11003:SF109', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 157358),
(213633, 'PTHR36852', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 157359),
(213634, 'PTHR26453:SF654', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 157360),
(213635, 'PTHR45621:SF145', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR FAMILY-RELATED', 157361),
(213636, 'PTHR44376:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157362),
(213637, 'PTHR21248:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157363),
(213638, 'PTHR11183:SF121', NULL, NULL, NULL, NULL, 'GLUCOSE N-ACETYLTRANSFERASE 1', 157364),
(213639, 'PTHR24055:SF469', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 157365),
(213640, 'PTHR15249:SF0', NULL, NULL, NULL, NULL, 'TRAF FAMILY MEMBER-ASSOCIATED NF-KAPPA-B ACTIVATOR', 157366),
(213641, 'PTHR35884', NULL, NULL, NULL, NULL, 'SMALL AGGREGATE FORMATION PROTEIN', 157367),
(213642, 'PTHR11394:SF63', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 10', 157368),
(213643, 'PTHR18929:SF208', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE-LIKE ISOFORM X1', 157369),
(213644, 'PTHR12119:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 8', 157370),
(213645, 'PTHR46168:SF10', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 3', 157371),
(213646, 'PTHR17616:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COACTIVATOR YORKIE', 157372);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(213647, 'PTHR46756:SF10', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC 2B', 157373),
(213648, 'PTHR31218:SF61', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 157374),
(213649, 'PTHR34685:SF3', NULL, NULL, NULL, NULL, 'RED CHLOROPHYLL CATABOLITE REDUCTASE-LIKE', 157375),
(213650, 'PTHR24078:SF532', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK FAMILY PROTEIN', 157376),
(213651, 'PTHR31190:SF228', NULL, NULL, NULL, NULL, 'EREB-LIKE PROTEIN', 157377),
(213652, 'PTHR35834', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', 157378),
(213653, 'PTHR47550:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE PPS1', 157379),
(213654, 'PTHR24349:SF194', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 13', 157380),
(213655, 'PTHR33214:SF40', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2', 157381),
(213656, 'PTHR31169:SF23', NULL, NULL, NULL, NULL, 'ZINC-FINGER DOMAIN OF MONOAMINE-OXIDASE A REPRESSOR R1', 157382),
(213657, 'PTHR31375:SF217', NULL, NULL, NULL, NULL, 'BNAC04G49310D PROTEIN', 157383),
(213658, 'PTHR21461:SF59', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 157384),
(213659, 'PTHR12944', NULL, NULL, NULL, NULL, 'SOLUBLE LIVER ANTIGEN/LIVER PANCREAS ANTIGEN', 157385),
(213660, 'PTHR35546:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157386),
(213661, 'PTHR16675:SF193', NULL, NULL, NULL, NULL, 'MHC CLASS I ANTIGEN ZBA TRANSCRIPT VARIANT 1-RELATED', 157387),
(213662, 'PTHR10223:SF2', NULL, NULL, NULL, NULL, 'F-BOX AND WD DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G11400)', 157388),
(213663, 'PTHR24248:SF117', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR', 157389),
(213664, 'PTHR24225:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157390),
(213665, 'PTHR11685:SF260', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 157391),
(213666, 'PTHR24064:SF48', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 14', 157392),
(213667, 'PTHR31568:SF86', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', 157393),
(213668, 'PTHR10335:SF21', NULL, NULL, NULL, NULL, 'BNAA03G47570D PROTEIN', 157394),
(213669, 'PTHR11814:SF221', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER YPR003C-RELATED', 157395),
(213670, 'PTHR34011:SF4', NULL, NULL, NULL, NULL, 'C-PHYCOCYANIN ALPHA CHAIN', 157396),
(213671, 'PTHR45650:SF39', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', 157397),
(213672, 'PTHR32448:SF90', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 3-RELATED', 157398),
(213673, 'PTHR12019:SF24', NULL, NULL, NULL, NULL, 'LAMINA-ASSOCIATED POLYPEPTIDE 2, ISOFORM ALPHA', 157399),
(213674, 'PTHR11088:SF37', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE', 157400),
(213675, 'PTHR31165:SF94', NULL, NULL, NULL, NULL, 'BNAA03G58210D PROTEIN', 157401),
(213676, 'PTHR21446:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157402),
(213677, 'PTHR46050:SF23', NULL, NULL, NULL, NULL, 'BNAC03G23790D PROTEIN', 157403),
(213678, 'PTHR11876:SF28', NULL, NULL, NULL, NULL, 'ALPHA-DEFENSIN 1', 157404),
(213679, 'PTHR10795:SF698', NULL, NULL, NULL, NULL, 'BNAC09G01070D PROTEIN', 157405),
(213680, 'PTHR24073:SF1150', NULL, NULL, NULL, NULL, 'RAB5A, MEMBER RAS ONCOGENE FAMILY LIKE', 157406),
(213681, 'PTHR37187:SF6', NULL, NULL, NULL, NULL, 'BNAC08G11140D PROTEIN', 157407),
(213682, 'PTHR46353:SF15', NULL, NULL, NULL, NULL, 'BNAC08G14290D PROTEIN', 157408),
(213683, 'PTHR45974:SF92', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 157409),
(213684, 'PTHR31495:SF28', NULL, NULL, NULL, NULL, 'PEROXYGENASE', 157410),
(213685, 'PTHR45722:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157411),
(213686, 'PTHR48017:SF132', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN-RELATED', 157412),
(213687, 'PTHR31099:SF23', NULL, NULL, NULL, NULL, 'BNAANNG09900D PROTEIN', 157413),
(213688, 'PTHR22838:SF20', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 26-RELATED', 157414),
(213689, 'PTHR47123:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157415);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(213690, 'PTHR10664:SF31', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS BC (CLASS B-LIKE)', 157416),
(213691, 'PTHR46128:SF105', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', 157417),
(213692, 'PTHR15315:SF90', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 41,-LIKE', 157418),
(213693, 'PTHR30231:SF27', NULL, NULL, NULL, NULL, 'PROTEIN NEN3', 157419),
(213694, 'PTHR11267:SF98', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX15', 157420),
(213695, 'PTHR31953:SF78', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 32-RELATED', 157421),
(213696, 'PTHR31736:SF8', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06410)-RELATED', 157422),
(213697, 'PTHR28062:SF2', NULL, NULL, NULL, NULL, 'BNAC06G10300D PROTEIN', 157423),
(213698, 'PTHR24298:SF45', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE', 157424),
(213699, 'PTHR31346:SF23', NULL, NULL, NULL, NULL, 'OS09G0509000 PROTEIN', 157425),
(213700, 'PTHR14155:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157426),
(213701, 'PTHR11654:SF407', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.1-LIKE', 157427),
(213702, 'PTHR45974:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157428),
(213703, 'PTHR38123:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157429),
(213704, 'PTHR19302:SF61', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT', 157430),
(213705, 'PTHR33373:SF15', NULL, NULL, NULL, NULL, 'DUF4050 FAMILY PROTEIN', 157431),
(213706, 'PTHR31719:SF155', NULL, NULL, NULL, NULL, 'BNAA06G23510D PROTEIN', 157432),
(213707, 'PTHR20859:SF75', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR FAMILY MEMBER B4', 157433),
(213708, 'PTHR32077:SF48', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN PROTEIN', 157434),
(213709, 'PTHR32166:SF24', NULL, NULL, NULL, NULL, 'OSJNBA0013A04.12 PROTEIN', 157435),
(213710, 'PTHR36826:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ECM13', 157436),
(213711, 'PTHR43143:SF2', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE, CALCINEURIN SUPERFAMILY', 157437),
(213712, 'PTHR48018:SF87', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 157438),
(213713, 'PTHR23037:SF32', NULL, NULL, NULL, NULL, 'INTERLEUKIN-4 RECEPTOR SUBUNIT ALPHA', 157439),
(213714, 'PTHR31065:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157440),
(213715, 'PTHR45704:SF7', NULL, NULL, NULL, NULL, 'ZGC:171704-RELATED', 157441),
(213716, 'PTHR16675:SF191', NULL, NULL, NULL, NULL, 'MAJOR HISTOCOMPATIBILITY COMPLEX CLASS I LAA-RELATED', 157442),
(213717, 'PTHR16140:SF19', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', 157443),
(213718, 'PTHR10113:SF22', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1-2, PUTATIVE, EXPRESSED-RELATED', 157444),
(213719, 'PTHR10992:SF1033', NULL, NULL, NULL, NULL, 'SALICYLIC ACID-BINDING PROTEIN 2-LIKE', 157445),
(213720, 'PTHR32077:SF67', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 11', 157446),
(213721, 'PTHR30204:SF2', NULL, NULL, NULL, NULL, 'MERR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 157447),
(213722, 'PTHR13620:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157448),
(213723, 'PTHR46624:SF1', NULL, NULL, NULL, NULL, 'AGAP002036-PA', 157449),
(213724, 'PTHR11926:SF1264', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', 157450),
(213725, 'PTHR43301:SF3', NULL, NULL, NULL, NULL, 'ARABINAN ENDO-1,5-ALPHA-L-ARABINOSIDASE A-RELATED', 157451),
(213726, 'PTHR15537:SF2', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 7', 157452),
(213727, 'PTHR31174:SF34', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 47', 157453),
(213728, 'PTHR43111', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE B-RELATED', 157454),
(213729, 'PTHR10169:SF36', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2-BETA', 157455),
(213730, 'PTHR36056:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 157456),
(213731, 'PTHR47946:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 157457),
(213732, 'PTHR24044:SF469', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157458),
(213733, 'PTHR31414:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157459);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(213734, 'PTHR13271:SF55', NULL, NULL, NULL, NULL, 'SET DOMAIN-CONTAINING PROTEIN 4', 157460),
(213735, 'PTHR47997:SF34', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN HV33-LIKE', 157461),
(213736, 'PTHR11748:SF65', NULL, NULL, NULL, NULL, 'FAD LINKED OXIDASE, N-TERMINAL', 157462),
(213737, 'PTHR31325:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157463),
(213738, 'PTHR45947:SF8', NULL, NULL, NULL, NULL, 'ALPHA-MONOGLUCOSYLDIACYLGLYCEROL SYNTHASE', 157464),
(213739, 'PTHR10509:SF61', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASES SUPERFAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', 157465),
(213740, 'PTHR22595:SF140', NULL, NULL, NULL, NULL, 'CHITINASE 2', 157466),
(213741, 'PTHR45898:SF22', NULL, NULL, NULL, NULL, 'GAT DOMAIN, ENTH/VHS-RELATED', 157467),
(213742, 'PTHR45646', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DOA-RELATED', 157468),
(213743, 'PTHR46781:SF9', NULL, NULL, NULL, NULL, 'BNACNNG18920D PROTEIN', 157469),
(213744, 'PTHR11749:SF11', NULL, NULL, NULL, NULL, 'D-RIBULOSE-5-PHOSPHATE-3-EPIMERASE', 157470),
(213745, 'PTHR10353:SF270', NULL, NULL, NULL, NULL, 'BNAA03G56280D PROTEIN', 157471),
(213746, 'PTHR48105:SF20', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE', 157472),
(213747, 'PTHR23023:SF223', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 157473),
(213748, 'PTHR36970', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 157474),
(213749, 'PTHR11654:SF434', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', 157475),
(213750, 'PTHR10800', NULL, NULL, NULL, NULL, 'PULMONARY SURFACTANT-ASSOCIATED PROTEIN C', 157476),
(213751, 'PTHR24418:SF421', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 157477),
(213752, 'PTHR47468:SF1', NULL, NULL, NULL, NULL, 'OS08G0130000 PROTEIN', 157478),
(213753, 'PTHR22948:SF4', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 1', 157479),
(213754, 'PTHR34950:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157480),
(213755, 'PTHR23118:SF29', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE ALPHA CHAIN PROTEIN 2', 157481),
(213756, 'PTHR31741:SF91', NULL, NULL, NULL, NULL, 'GDP-FUCOSE O-FUCOSYLTRANSFERASE-LIKE PROTEIN', 157482),
(213757, 'PTHR21724', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 157483),
(213758, 'PTHR36055', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', 157484),
(213759, 'PTHR16779:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157485),
(213760, 'PTHR24404:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN AIOLOS', 157486),
(213761, 'PTHR32018:SF25', NULL, NULL, NULL, NULL, 'LG27/30-LIKE GENE', 157487),
(213762, 'PTHR23095:SF14', NULL, NULL, NULL, NULL, 'MODULATOR OF APOPTOSIS 1', 157488),
(213763, 'PTHR22884:SF485', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157489),
(213764, 'PTHR33083:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157490),
(213765, 'PTHR34061:SF17', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 157491),
(213766, 'PTHR31517:SF68', NULL, NULL, NULL, NULL, 'PEROXIDASE', 157492),
(213767, 'PTHR46641:SF12', NULL, NULL, NULL, NULL, 'CNMAMIDE RECEPTOR', 157493),
(213768, 'PTHR10165:SF173', NULL, NULL, NULL, NULL, 'FI04477P-RELATED', 157494),
(213769, 'PTHR10795:SF530', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.2', 157495),
(213770, 'PTHR45883:SF7', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING THIOREDOXIN TDX', 157496),
(213771, 'PTHR33388:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157497),
(213772, 'PTHR24379:SF89', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 124', 157498),
(213773, 'PTHR31471:SF18', NULL, NULL, NULL, NULL, 'OS03G0120200 PROTEIN', 157499),
(213774, 'PTHR20921:SF4', NULL, NULL, NULL, NULL, 'OS05G0539800 PROTEIN', 157500),
(213775, 'PTHR19920', NULL, NULL, NULL, NULL, 'WD40 PROTEIN CIAO1', 157501),
(213776, 'PTHR31374:SF196', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71', 157502),
(213777, 'PTHR12276:SF100', NULL, NULL, NULL, NULL, 'ENTH/VHS FAMILY PROTEIN-RELATED', 157503),
(213778, 'PTHR24361:SF827', NULL, NULL, NULL, NULL, 'BNAA05G15300D PROTEIN', 157504),
(213779, 'PTHR24349:SF293', NULL, NULL, NULL, NULL, 'CALMODULIN-DOMAIN KINASE CDPK PROTEIN', 157505);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(213780, 'PTHR37391:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 157506),
(213781, 'PTHR14226:SF73', NULL, NULL, NULL, NULL, 'BNAA03G01150D PROTEIN', 157507),
(213782, 'PTHR31374:SF246', NULL, NULL, NULL, NULL, 'BNACNNG59500D PROTEIN', 157508),
(213783, 'PTHR23362:SF7', NULL, NULL, NULL, NULL, 'COEXPRESSED WITH POLYCYSTINS', 157509),
(213784, 'PTHR23105:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157510),
(213785, 'PTHR21234', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PHOSPHORYLASE', 157511),
(213786, 'PTHR13847:SF270', NULL, NULL, NULL, NULL, 'FAD DEPENDENT OXIDOREDUCTASE', 157512),
(213787, 'PTHR48063:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157513),
(213788, 'PTHR12777:SF4', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D2', 157514),
(213789, 'PTHR31048:SF116', NULL, NULL, NULL, NULL, 'OSMOTIN-LIKE PROTEIN', 157515),
(213790, 'PTHR34556:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TAB2 HOMOLOG, CHLOROPLASTIC', 157516),
(213791, 'PTHR33978:SF19', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 157517),
(213792, 'PTHR14102:SF11', NULL, NULL, NULL, NULL, 'LD29223P', 157518),
(213793, 'PTHR33098:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157519),
(213794, 'PTHR43000:SF24', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4,6-DEHYDRATASE', 157520),
(213795, 'PTHR43507:SF4', NULL, NULL, NULL, NULL, 'PROTON-TRANSLOCATING NADH-QUINONE OXIDOREDUCTASE, CHAIN M', 157521),
(213796, 'PTHR33320:SF2', NULL, NULL, NULL, NULL, 'OS07G0564200 PROTEIN', 157522),
(213797, 'PTHR32080:SF26', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 3', 157523),
(213798, 'PTHR45621:SF165', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 157524),
(213799, 'PTHR31636:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157525),
(213800, 'PTHR23502:SF165', NULL, NULL, NULL, NULL, 'MFS-MULTIDRUG-RESISTANCE TRANSPORTER-RELATED', 157526),
(213801, 'PTHR11802:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157527),
(213802, 'PTHR43776', NULL, NULL, NULL, NULL, 'TRANSPORT ATP-BINDING PROTEIN', 157528),
(213803, 'PTHR11764:SF44', NULL, NULL, NULL, NULL, 'LANOSTEROL SYNTHASE', 157529),
(213804, 'PTHR11054:SF19', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', 157530),
(213805, 'PTHR11654:SF425', NULL, NULL, NULL, NULL, 'POT FAMILY PROTEIN', 157531),
(213806, 'PTHR16029:SF11', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 192 KDA', 157532),
(213807, 'PTHR33384:SF39', NULL, NULL, NULL, NULL, 'BNAC09G41700D PROTEIN', 157533),
(213808, 'PTHR44586:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157534),
(213809, 'PTHR24414:SF150', NULL, NULL, NULL, NULL, 'BNAA03G50980D PROTEIN', 157535),
(213810, 'PTHR12715:SF4', NULL, NULL, NULL, NULL, 'TRANSPORTER, DRUG/METABOLITE EXPORTER FAMILY', 157536),
(213811, 'PTHR28639', NULL, NULL, NULL, NULL, 'BCL-2-BINDING COMPONENT 3', 157537),
(213812, 'PTHR34271:SF9', NULL, NULL, NULL, NULL, 'WIYLD DOMAIN-CONTAINING PROTEIN-RELATED', 157538),
(213813, 'PTHR31903:SF15', NULL, NULL, NULL, NULL, 'OS11G0490300 PROTEIN', 157539),
(213814, 'PTHR11157:SF103', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 157540),
(213815, 'PTHR31044:SF85', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', 157541),
(213816, 'PTHR36981:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157542),
(213817, 'PTHR27008:SF308', NULL, NULL, NULL, NULL, 'OS06G0581500 PROTEIN', 157543),
(213818, 'PTHR11802:SF29', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 1-RELATED', 157544),
(213819, 'PTHR47999:SF70', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB6-LIKE', 157545),
(213820, 'PTHR46890:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157546),
(213821, 'PTHR46918:SF1', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN 1', 157547),
(213822, 'PTHR31384:SF102', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 4', 157548),
(213823, 'PTHR23233:SF15', NULL, NULL, NULL, NULL, 'SAL-LIKE PROTEIN 2', 157549);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(213824, 'PTHR12277:SF137', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE DOMAIN-CONTAINING PROTEIN 17B', 157550),
(213825, 'PTHR22849:SF20', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 27-RELATED', 157551),
(213826, 'PTHR21245:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 18-RELATED', 157552),
(213827, 'PTHR11926:SF1388', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76E5', 157553),
(213828, 'PTHR23424:SF11', NULL, NULL, NULL, NULL, 'SERUM AMYLOID A PROTEIN', 157554),
(213829, 'PTHR13871:SF81', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN 3-RELATED', 157555),
(213830, 'PTHR31301:SF146', NULL, NULL, NULL, NULL, 'OS01G0825000 PROTEIN', 157556),
(213831, 'PTHR45621:SF141', NULL, NULL, NULL, NULL, 'BNAC02G03210D PROTEIN', 157557),
(213832, 'PTHR14155:SF487', NULL, NULL, NULL, NULL, 'OS02G0249300 PROTEIN', 157558),
(213833, 'PTHR36701', NULL, NULL, NULL, NULL, 'EPOXYQUEUOSINE REDUCTASE QUEH', 157559),
(213834, 'PTHR11880:SF32', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15-4', 157560),
(213835, 'PTHR43899:SF32', NULL, NULL, NULL, NULL, 'OS11G0432600 PROTEIN', 157561),
(213836, 'PTHR14759:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157562),
(213837, 'PTHR11850:SF325', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 9', 157563),
(213838, 'PTHR24235:SF13', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 157564),
(213839, 'PTHR43228:SF1', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR22', 157565),
(213840, 'PTHR35322', NULL, NULL, NULL, NULL, 'PROTEIN CPR-5', 157566),
(213841, 'PTHR10529:SF356', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT MU-2-LIKE', 157567),
(213842, 'PTHR33985:SF24', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN-RELATED', 157568),
(213843, 'PTHR24070:SF425', NULL, NULL, NULL, NULL, 'RAS-DVA-2 SMALL GTPASE', 157569),
(213844, 'PTHR12375:SF28', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN LUC7-LIKE 2-RELATED', 157570),
(213845, 'PTHR19963', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 157571),
(213846, 'PTHR34364:SF2', NULL, NULL, NULL, NULL, 'OS01G0579800 PROTEIN', 157572),
(213847, 'PTHR20855:SF113', NULL, NULL, NULL, NULL, 'HAEMOLYSIN-III RELATED FAMILY PROTEIN, EXPRESSED', 157573),
(213848, 'PTHR24377:SF303', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 595', 157574),
(213849, 'PTHR37242:SF2', NULL, NULL, NULL, NULL, 'BNAA03G58270D PROTEIN', 157575),
(213850, 'PTHR45633:SF13', NULL, NULL, NULL, NULL, 'CHAPERONIN 60 SUBUNIT ALPHA 2, CHLOROPLASTIC', 157576),
(213851, 'PTHR12138:SF120', NULL, NULL, NULL, NULL, 'CHROMOSOME 9 OPEN READING FRAME 37', 157577),
(213852, 'PTHR11588:SF377', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX EXONUCLEASE RRP44 HOMOLOG A', 157578),
(213853, 'PTHR40053:SF1', NULL, NULL, NULL, NULL, 'SPORULATION-CONTROL PROTEIN SPO0M', 157579),
(213854, 'PTHR10887:SF418', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', 157580),
(213855, 'PTHR33220:SF5', NULL, NULL, NULL, NULL, 'BNAA09G04420D PROTEIN', 157581),
(213856, 'PTHR24391', NULL, NULL, NULL, NULL, 'HISTONE H4 TRANSCRIPTION FACTOR-RELATED', 157582),
(213857, 'PTHR24015:SF898', NULL, NULL, NULL, NULL, 'OS07G0436600 PROTEIN', 157583),
(213858, 'PTHR31232:SF68', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', 157584),
(213859, 'PTHR38763:SF1', NULL, NULL, NULL, NULL, 'MAJOR OUTER MEMBRANE PROLIPOPROTEIN LPP', 157585),
(213860, 'PTHR46142:SF18', NULL, NULL, NULL, NULL, 'BNAA09G56790D PROTEIN', 157586),
(213861, 'PTHR10210:SF32', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 2', 157587),
(213862, 'PTHR46325:SF22', NULL, NULL, NULL, NULL, 'BNAA09G10280D PROTEIN', 157588),
(213863, 'PTHR12411:SF759', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157589),
(213864, 'PTHR10263:SF53', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', 157590),
(213865, 'PTHR21422', NULL, NULL, NULL, NULL, 'RAB3 GTPASE-ACTIVATING PROTEIN CATALYTIC SUBUNIT', 157591),
(213866, 'PTHR42085:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157592),
(213867, 'PTHR24198:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157593);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(213868, 'PTHR23237:SF12', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT', 157594),
(213869, 'PTHR14224:SF81', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 1-RELATED', 157595),
(213870, 'PTHR12455', NULL, NULL, NULL, NULL, 'NUCLEOLAR COMPLEX PROTEIN 4', 157596),
(213871, 'PTHR36744:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157597),
(213872, 'PTHR31828:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157598),
(213873, 'PTHR12312:SF21', NULL, NULL, NULL, NULL, 'TWISTED GASTRULATION PROTEIN HOMOLOG 1', 157599),
(213874, 'PTHR47980:SF4', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-15', 157600),
(213875, 'PTHR12203:SF87', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE-MODIFYING PROTEIN-RELATED', 157601),
(213876, 'PTHR12677:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157602),
(213877, 'PTHR11685:SF355', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 157603),
(213878, 'PTHR24064:SF441', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-3-RELATED', 157604),
(213879, 'PTHR10110:SF173', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 157605),
(213880, 'PTHR12280:SF20', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE 4', 157606),
(213881, 'PTHR31589:SF146', NULL, NULL, NULL, NULL, 'OS06G0474500 PROTEIN', 157607),
(213882, 'PTHR46411:SF1', NULL, NULL, NULL, NULL, 'FAMILY ATPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05752)-RELATED', 157608),
(213883, 'PTHR34212:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157609),
(213884, 'PTHR13301:SF201', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', 157610),
(213885, 'PTHR32278:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A9', 157611),
(213886, 'PTHR13044:SF12', NULL, NULL, NULL, NULL, 'STRESS ACTIVATED TRANSCRIPTION FACTOR ATFS-1', 157612),
(213887, 'PTHR46037:SF3', NULL, NULL, NULL, NULL, 'GRB2-RELATED ADAPTER PROTEIN 2', 157613),
(213888, 'PTHR19307', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN D52', 157614),
(213889, 'PTHR33076:SF93', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 157615),
(213890, 'PTHR12612:SF25', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2', 157616),
(213891, 'PTHR45647:SF105', NULL, NULL, NULL, NULL, 'BNAA09G52450D PROTEIN', 157617),
(213892, 'PTHR19325:SF521', NULL, NULL, NULL, NULL, 'MEMBRANE COFACTOR PROTEIN', 157618),
(213893, 'PTHR47958:SF8', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DBP3 ISOFORM X1', 157619),
(213894, 'PTHR10414:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157620),
(213895, 'PTHR22916:SF51', NULL, NULL, NULL, NULL, 'GALACTOSYL TRANSFERASE PARALOG', 157621),
(213896, 'PTHR33177:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157622),
(213897, 'PTHR23315:SF242', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 157623),
(213898, 'PTHR20981:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L21', 157624),
(213899, 'PTHR19960:SF7', NULL, NULL, NULL, NULL, 'TEKTIN-2', 157625),
(213900, 'PTHR22846', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', 157626),
(213901, 'PTHR37745', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 157627),
(213902, 'PTHR47258:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 157628),
(213903, 'PTHR43757:SF8', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE-RELATED', 157629),
(213904, 'PTHR11009:SF1', NULL, NULL, NULL, NULL, 'DERLIN-1', 157630),
(213905, 'PTHR31636:SF151', NULL, NULL, NULL, NULL, 'CHITIN-INDUCIBLE GIBBERELLIN-RESPONSIVE PROTEIN 1', 157631),
(213906, 'PTHR31696:SF72', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', 157632),
(213907, 'PTHR31357:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-34', 157633),
(213908, 'PTHR37161:SF2', NULL, NULL, NULL, NULL, 'AT11648P-RELATED', 157634),
(213909, 'PTHR21597:SF1', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 2', 157635),
(213910, 'PTHR12392', NULL, NULL, NULL, NULL, 'LADININ 1', 157636),
(213911, 'PTHR13693:SF56', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE 3', 157637),
(213912, 'PTHR33164:SF64', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SLYA', 157638);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(213913, 'PTHR15744:SF0', NULL, NULL, NULL, NULL, 'KH HOMOLOGY DOMAIN-CONTAINING PROTEIN 4', 157639),
(213914, 'PTHR23244:SF464', NULL, NULL, NULL, NULL, 'KELCH MOTIF FAMILY PROTEIN', 157640),
(213915, 'PTHR22803:SF116', NULL, NULL, NULL, NULL, 'REGENERATING ISLET-DERIVED PROTEIN 4', 157641),
(213916, 'PTHR13165:SF2', NULL, NULL, NULL, NULL, 'OS08G0517300 PROTEIN', 157642),
(213917, 'PTHR33834:SF13', NULL, NULL, NULL, NULL, 'BNAA07G00400D PROTEIN', 157643),
(213918, 'PTHR46992', NULL, NULL, NULL, NULL, 'GYF DOMAIN-CONTAINING PROTEIN', 157644),
(213919, 'PTHR47928:SF163', NULL, NULL, NULL, NULL, 'REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 157645),
(213920, 'PTHR36722', NULL, NULL, NULL, NULL, 'TYPE 2 DNA TOPOISOMERASE 6 SUBUNIT B-LIKE', 157646),
(213921, 'PTHR47350:SF2', NULL, NULL, NULL, NULL, 'PROTEIN IWS1 HOMOLOG', 157647),
(213922, 'PTHR11736:SF85', NULL, NULL, NULL, NULL, 'MAGE DOMAIN-CONTAINING PROTEIN MAGEA13P-RELATED', 157648),
(213923, 'PTHR45642:SF39', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 157649),
(213924, 'PTHR11830:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', 157650),
(213925, 'PTHR12161:SF26', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 157651),
(213926, 'PTHR24393:SF5', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE PRDM16', 157652),
(213927, 'PTHR43845', NULL, NULL, NULL, NULL, 'BLR5969 PROTEIN', 157653),
(213928, 'PTHR12911:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157654),
(213929, 'PTHR12300:SF103', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 157655),
(213930, 'PTHR24028:SF71', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-16', 157656),
(213931, 'PTHR11564:SF28', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN', 157657),
(213932, 'PTHR11071:SF482', NULL, NULL, NULL, NULL, 'OS02G0204300 PROTEIN', 157658),
(213933, 'PTHR33669:SF1', NULL, NULL, NULL, NULL, 'NPR1/NH1-INTERACTING PROTEIN-RELATED', 157659),
(213934, 'PTHR42853:SF1', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A CARBOXYLASE CARBOXYL TRANSFERASE SUBUNIT ALPHA, CHLOROPLASTIC-LIKE', 157660),
(213935, 'PTHR10814:SF4', NULL, NULL, NULL, NULL, 'TRANSDUCIN-LIKE ENHANCER PROTEIN 2', 157661),
(213936, 'PTHR45927', NULL, NULL, NULL, NULL, 'LYSM-DOMAIN RECEPTOR-LIKE KINASE-RELATED', 157662),
(213937, 'PTHR10829:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157663),
(213938, 'PTHR33091:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157664),
(213939, 'PTHR11590:SF38', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE 5', 157665),
(213940, 'PTHR47355:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SPL2', 157666),
(213941, 'PTHR24559:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157667),
(213942, 'PTHR43313:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157668),
(213943, 'PTHR24340:SF40', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-2.4', 157669),
(213944, 'PTHR38006', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC KINETOCHORE PROTEIN', 157670),
(213945, 'PTHR11176:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157671),
(213946, 'PTHR22625:SF32', NULL, NULL, NULL, NULL, 'PLEXIN-A3', 157672),
(213947, 'PTHR10263:SF9', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', 157673),
(213948, 'PTHR31060:SF36', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN-RELATED', 157674),
(213949, 'PTHR12403:SF27', NULL, NULL, NULL, NULL, 'SNARE-LIKE SUPERFAMILY PROTEIN', 157675),
(213950, 'PTHR44067:SF10', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', 157676),
(213951, 'PTHR34357:SF11', NULL, NULL, NULL, NULL, 'BNAA08G31550D PROTEIN', 157677),
(213952, 'PTHR12692:SF8', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 3-RELATED', 157678),
(213953, 'PTHR43094', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', 157679),
(213954, 'PTHR31304:SF45', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 41-RELATED', 157680),
(213955, 'PTHR34967:SF2', NULL, NULL, NULL, NULL, 'OS05G0586700 PROTEIN', 157681);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(213956, 'PTHR11062:SF61', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 157682),
(213957, 'PTHR43603:SF3', NULL, NULL, NULL, NULL, 'METAL CHAPERONE YCIC-RELATED', 157683),
(213958, 'PTHR10972:SF189', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 8', 157684),
(213959, 'PTHR13169', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 3  HCG-1 PROTEIN', 157685),
(213960, 'PTHR43327:SF36', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 1', 157686),
(213961, 'PTHR36404', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 2737', 157687),
(213962, 'PTHR31506:SF38', NULL, NULL, NULL, NULL, 'BES1/BZR1 HOMOLOG PROTEIN 4-LIKE', 157688),
(213963, 'PTHR47255:SF5', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 21', 157689),
(213964, 'PTHR33164:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', 157690),
(213965, 'PTHR34700', NULL, NULL, NULL, NULL, 'POTASSIUM BINDING PROTEIN KBP', 157691),
(213966, 'PTHR24416:SF402', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN-TYROSINE KINASE', 157692),
(213967, 'PTHR10434:SF2', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE BETA', 157693),
(213968, 'PTHR11771:SF96', NULL, NULL, NULL, NULL, 'ZGC:152891', 157694),
(213969, 'PTHR21237:SF35', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG', 157695),
(213970, 'PTHR45614:SF93', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN B-LIKE', 157696),
(213971, 'PTHR24026:SF32', NULL, NULL, NULL, NULL, 'CADHERIN EGF LAG SEVEN-PASS G-TYPE RECEPTOR 2', 157697),
(213972, 'PTHR24006:SF822', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157698),
(213973, 'PTHR12788:SF2', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE SULFOTRANSFERASE', 157699),
(213974, 'PTHR10353:SF68', NULL, NULL, NULL, NULL, 'BETA-KLOTHO', 157700),
(213975, 'PTHR15486:SF49', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE 2-O-ACYLTRANSFERASE 6', 157701),
(213976, 'PTHR33306:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157702),
(213977, 'PTHR46592:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157703),
(213978, 'PTHR22870:SF220', NULL, NULL, NULL, NULL, 'RCC1 AND BTB DOMAIN-CONTAINING PROTEIN 2', 157704),
(213979, 'PTHR23509:SF32', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE DDHD1', 157705),
(213980, 'PTHR11452:SF80', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE 1', 157706),
(213981, 'PTHR24286:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157707),
(213982, 'PTHR11728:SF32', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)], CYTOPLASMIC', 157708),
(213983, 'PTHR13703:SF61', NULL, NULL, NULL, NULL, 'PROTEIN MOTHERS AGAINST DPP', 157709),
(213984, 'PTHR13948:SF3', NULL, NULL, NULL, NULL, 'FI21118P1', 157710),
(213985, 'PTHR15710:SF115', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHC1A-RELATED', 157711),
(213986, 'PTHR13402:SF11', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16B', 157712),
(213987, 'PTHR33389:SF16', NULL, NULL, NULL, NULL, 'OS07G0580733 PROTEIN', 157713),
(213988, 'PTHR23239:SF120', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 27', 157714),
(213989, 'PTHR47880', NULL, NULL, NULL, NULL, 'OS05G0353300 PROTEIN', 157715),
(213990, 'PTHR10791:SF198', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 157716),
(213991, 'PTHR30469', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTA', 157717),
(213992, 'PTHR34549:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157718),
(213993, 'PTHR44013', NULL, NULL, NULL, NULL, 'ZINC-TYPE ALCOHOL DEHYDROGENASE-LIKE PROTEIN C16A3.02C', 157719),
(213994, 'PTHR32411', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 38-RELATED', 157720),
(213995, 'PTHR37960:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG06493', 157721),
(213996, 'PTHR12611:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN PUR-BETA', 157722),
(213997, 'PTHR43329:SF93', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', 157723),
(213998, 'PTHR48105', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE 1-RELATED-RELATED', 157724),
(213999, 'PTHR11753:SF41', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', 157725);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(214000, 'PTHR45959:SF16', NULL, NULL, NULL, NULL, 'BASIC HELIX LOOP HELIX (BHLH) DNA-BINDING FAMILY PROTEIN', 157726),
(214001, 'PTHR36112', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE J', 157727),
(214002, 'PTHR30540:SF90', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 157728),
(214003, 'PTHR46692:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157729),
(214004, 'PTHR10091:SF40', NULL, NULL, NULL, NULL, 'BNAC05G15460D PROTEIN', 157730),
(214005, 'PTHR13384:SF19', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 1', 157731),
(214006, 'PTHR46300:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2E1', 157732),
(214007, 'PTHR26453:SF597', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10G7', 157733),
(214008, 'PTHR15427:SF6', NULL, NULL, NULL, NULL, 'MULTIMERIN-2', 157734),
(214009, 'PTHR16223:SF49', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH52-RELATED', 157735),
(214010, 'PTHR19918:SF34', NULL, NULL, NULL, NULL, 'FIZZY/CELL DIVISION CYCLE 20 RELATED 1 (DROSOPHILA)', 157736),
(214011, 'PTHR48020:SF24', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 4', 157737),
(214012, 'PTHR11909:SF160', NULL, NULL, NULL, NULL, 'PROTEIN CBG17973', 157738),
(214013, 'PTHR19443:SF65', NULL, NULL, NULL, NULL, 'HEXOKINASE-2', 157739),
(214014, 'PTHR47348:SF2', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED 190 PROTEIN', 157740),
(214015, 'PTHR47942:SF20', NULL, NULL, NULL, NULL, 'OS05G0294600 PROTEIN', 157741),
(214016, 'PTHR13674:SF5', NULL, NULL, NULL, NULL, 'UPF0389 PROTEIN CG9231', 157742),
(214017, 'PTHR12876:SF36', NULL, NULL, NULL, NULL, 'RIBONUCLEASE ZC3H12C-RELATED', 157743),
(214018, 'PTHR34041', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REPAIR PROTEIN PSB27-H1, CHLOROPLASTIC', 157744),
(214019, 'PTHR21659:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG11423', 157745),
(214020, 'PTHR24023:SF960', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157746),
(214021, 'PTHR34114:SF14', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 3', 157747),
(214022, 'PTHR43024:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYL-TRIPEPTIDE--D-ALANYL-D-ALANINE LIGASE', 157748),
(214023, 'PTHR24028:SF253', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-7', 157749),
(214024, 'PTHR11559:SF362', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 157750),
(214025, 'PTHR13847:SF188', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 157751),
(214026, 'PTHR10686:SF12', NULL, NULL, NULL, NULL, 'FOLATE TRANSPORTER 1', 157752),
(214027, 'PTHR13036:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE ALG1L2-RELATED', 157753),
(214028, 'PTHR34009:SF2', NULL, NULL, NULL, NULL, 'PROTEIN STAR', 157754),
(214029, 'PTHR43144:SF1', NULL, NULL, NULL, NULL, 'LL-DIAMINOPIMELATE AMINOTRANSFERASE, CHLOROPLASTIC', 157755),
(214030, 'PTHR35669', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 9', 157756),
(214031, 'PTHR31907:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157757),
(214032, 'PTHR31282:SF144', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR NTEIG-D48', 157758),
(214033, 'PTHR12292:SF5', NULL, NULL, NULL, NULL, 'BNAA05G15340D PROTEIN', 157759),
(214034, 'PTHR47959:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DEAD BOX FAMILY', 157760),
(214035, 'PTHR22957:SF238', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157761),
(214036, 'PTHR10286:SF72', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE 1', 157762),
(214037, 'PTHR11071:SF450', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE A-LIKE 4A', 157763),
(214038, 'PTHR15211', NULL, NULL, NULL, NULL, 'GLUCOSE-DEPENDENT INSULINOTROPIC POLYPEPTIDE', 157764),
(214039, 'PTHR48021:SF12', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 5 ISOFORM X1', 157765),
(214040, 'PTHR33021:SF26', NULL, NULL, NULL, NULL, 'BASIC BLUE PROTEIN', 157766),
(214041, 'PTHR24241:SF128', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE FF RECEPTOR 1-LIKE 1', 157767),
(214042, 'PTHR24057:SF50', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE ETA-LIKE', 157768),
(214043, 'PTHR31137:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PSIN', 157769);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(214044, 'PTHR12544:SF26', NULL, NULL, NULL, NULL, 'GLUTAMINASE-LIKE', 157770),
(214045, 'PTHR10414:SF66', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOLAMINEPHOSPHOTRANSFERASE 1-RELATED', 157771),
(214046, 'PTHR33334:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157772),
(214047, 'PTHR45089:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157773),
(214048, 'PTHR31096:SF65', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR9', 157774),
(214049, 'PTHR33070:SF91', NULL, NULL, NULL, NULL, 'OS08G0551500 PROTEIN', 157775),
(214050, 'PTHR10075:SF73', NULL, NULL, NULL, NULL, 'PROTEIN CBG02647', 157776),
(214051, 'PTHR14667:SF2', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 10 PROTEIN', 157777),
(214052, 'PTHR43363:SF2', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLTRANSFERASE', 157778),
(214053, 'PTHR31118:SF25', NULL, NULL, NULL, NULL, 'BNAC09G51580D PROTEIN', 157779),
(214054, 'PTHR11441:SF7', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE', 157780),
(214055, 'PTHR45619:SF48', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 157781),
(214056, 'PTHR48058:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157782),
(214057, 'PTHR27006:SF240', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FEI 2', 157783),
(214058, 'PTHR46316:SF5', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-3', 157784),
(214059, 'PTHR11771:SF95', NULL, NULL, NULL, NULL, 'LIPOXYGENASE 3, CHLOROPLASTIC', 157785),
(214060, 'PTHR10277', NULL, NULL, NULL, NULL, 'HOMOCITRATE SYNTHASE-RELATED', 157786),
(214061, 'PTHR27008:SF424', NULL, NULL, NULL, NULL, 'OS11G0172150 PROTEIN', 157787),
(214062, 'PTHR31541:SF35', NULL, NULL, NULL, NULL, 'BNAC08G44340D PROTEIN', 157788),
(214063, 'PTHR10835:SF0', NULL, NULL, NULL, NULL, 'SQUALENE MONOOXYGENASE', 157789),
(214064, 'PTHR47928:SF36', NULL, NULL, NULL, NULL, 'REPEAT SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 157790),
(214065, 'PTHR34586', NULL, NULL, NULL, NULL, 'SPERACT/SCAVENGER RECEPTOR DOMAIN-CONTAINING PROTEIN', 157791),
(214066, 'PTHR17630:SF44', NULL, NULL, NULL, NULL, 'PROTEIN AIM2', 157792),
(214067, 'PTHR36124', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 157793),
(214068, 'PTHR11817:SF70', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 157794),
(214069, 'PTHR31989:SF326', NULL, NULL, NULL, NULL, 'NAC (NO APICAL MERISTEM) DOMAIN TRANSCRIPTIONAL REGULATOR SUPERFAMILY PROTEIN-RELATED', 157795),
(214070, 'PTHR31901:SF69', NULL, NULL, NULL, NULL, 'BNAA03G13150D PROTEIN', 157796),
(214071, 'PTHR16193:SF0', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 27', 157797),
(214072, 'PTHR47103', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 157798),
(214073, 'PTHR14030:SF4', NULL, NULL, NULL, NULL, 'BUB1 KINASE, ISOFORM A-RELATED', 157799),
(214074, 'PTHR46662:SF26', NULL, NULL, NULL, NULL, 'BNACNNG64340D PROTEIN', 157800),
(214075, 'PTHR34797:SF1', NULL, NULL, NULL, NULL, 'ATG8-INTERACTING PROTEIN 2', 157801),
(214076, 'PTHR34542:SF7', NULL, NULL, NULL, NULL, 'BNAA02G13830D PROTEIN', 157802),
(214077, 'PTHR10430:SF35', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-2E-1, CHLOROPLASTIC-LIKE', 157803),
(214078, 'PTHR21593:SF8', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', 157804),
(214079, 'PTHR33374:SF23', NULL, NULL, NULL, NULL, 'OS01G0592500 PROTEIN', 157805),
(214080, 'PTHR36708', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 6, MITOCHONDRIAL', 157806),
(214081, 'PTHR11849:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ETV6', 157807),
(214082, 'PTHR45985:SF5', NULL, NULL, NULL, NULL, 'CHLD3', 157808),
(214083, 'PTHR11453:SF102', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER-LIKE PROTEIN', 157809),
(214084, 'PTHR31482:SF11', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX', 157810),
(214085, 'PTHR21495:SF65', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 157811),
(214086, 'PTHR43381:SF17', NULL, NULL, NULL, NULL, 'BNAA09G43840D PROTEIN', 157812),
(214087, 'PTHR31793:SF9', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTER HYDROLASE YBGC', 157813),
(214088, 'PTHR14222', NULL, NULL, NULL, NULL, 'CONDENSIN', 157814);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(214089, 'PTHR48081:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157815),
(214090, 'PTHR33047:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157816),
(214091, 'PTHR39324:SF1', NULL, NULL, NULL, NULL, 'CALCIUM DODECIN', 157817),
(214092, 'PTHR24346:SF3', NULL, NULL, NULL, NULL, 'GENE 10662-RELATED', 157818),
(214093, 'PTHR14618:SF0', NULL, NULL, NULL, NULL, 'HOMEOBOX-CONTAINING PROTEIN 1', 157819),
(214094, 'PTHR33091:SF75', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT', 157820),
(214095, 'PTHR42790:SF2', NULL, NULL, NULL, NULL, 'AROMATIC AMINO ACID AMINOTRANSFERASE 2', 157821),
(214096, 'PTHR24300:SF119', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2D10-RELATED', 157822),
(214097, 'PTHR46258:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157823),
(214098, 'PTHR24298:SF492', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 87 SUBFAMILY A POLYPEPTIDE 6', 157824),
(214099, 'PTHR31998', NULL, NULL, NULL, NULL, 'K(+)-INSENSITIVE PYROPHOSPHATE-ENERGIZED PROTON PUMP', 157825),
(214100, 'PTHR34355:SF10', NULL, NULL, NULL, NULL, 'BNAC05G05090D PROTEIN', 157826),
(214101, 'PTHR31639:SF29', NULL, NULL, NULL, NULL, 'F-BOX/RNI SUPERFAMILY PROTEIN-RELATED', 157827),
(214102, 'PTHR46277:SF12', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 157828),
(214103, 'PTHR24412:SF74', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 4', 157829),
(214104, 'PTHR11851:SF205', NULL, NULL, NULL, NULL, 'PROCESSING PEPTIDASE ALPHA SUBUNIT, PUTATIVE-RELATED', 157830),
(214105, 'PTHR31205:SF3', NULL, NULL, NULL, NULL, 'OS06G0161900 PROTEIN', 157831),
(214106, 'PTHR31992:SF195', NULL, NULL, NULL, NULL, 'ZINC FINGER, DOF-TYPE-RELATED', 157832),
(214107, 'PTHR45872:SF3', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 12', 157833),
(214108, 'PTHR33599:SF18', NULL, NULL, NULL, NULL, 'PROTEIN IDA', 157834),
(214109, 'PTHR39117:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 28', 157835),
(214110, 'PTHR11699:SF140', NULL, NULL, NULL, NULL, 'RETINAL DEHYDROGENASE 1', 157836),
(214111, 'PTHR30386:SF24', NULL, NULL, NULL, NULL, 'BLR1709 PROTEIN', 157837),
(214112, 'PTHR11206:SF317', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 157838),
(214113, 'PTHR14564', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC26 / MIC27 FAMILY MEMBER', 157839),
(214114, 'PTHR11461:SF61', NULL, NULL, NULL, NULL, 'PLASMINOGEN ACTIVATOR INHIBITOR 2', 157840),
(214115, 'PTHR45863:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK4', 157841),
(214116, 'PTHR47760', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR B0563.6-LIKE PROTEIN-RELATED', 157842),
(214117, 'PTHR35756:SF1', NULL, NULL, NULL, NULL, 'OS05G0337400 PROTEIN', 157843),
(214118, 'PTHR31062:SF167', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 157844),
(214119, 'PTHR24015:SF1915', NULL, NULL, NULL, NULL, 'OS03G0582100 PROTEIN', 157845),
(214120, 'PTHR33048:SF111', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_8G05510)', 157846),
(214121, 'PTHR43409:SF1', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', 157847),
(214122, 'PTHR43741:SF7', NULL, NULL, NULL, NULL, 'FMN-DEPENDENT NADH-AZOREDUCTASE 2', 157848),
(214123, 'PTHR21660', NULL, NULL, NULL, NULL, 'THIOESTERASE SUPERFAMILY MEMBER-RELATED', 157849),
(214124, 'PTHR17486:SF0', NULL, NULL, NULL, NULL, 'SPERMATID NUCLEAR TRANSITION PROTEIN 1', 157850),
(214125, 'PTHR46391:SF8', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 61-LIKE', 157851),
(214126, 'PTHR11675:SF18', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 12', 157852),
(214127, 'PTHR15359:SF7', NULL, NULL, NULL, NULL, 'CALMODULIN REGULATOR PROTEIN PCP4', 157853),
(214128, 'PTHR10666:SF286', NULL, NULL, NULL, NULL, 'OS03G0808400 PROTEIN', 157854),
(214129, 'PTHR23110:SF82', NULL, NULL, NULL, NULL, 'FI01104P', 157855),
(214130, 'PTHR43003:SF5', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE', 157856),
(214131, 'PTHR31386:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 2510039O18', 157857),
(214132, 'PTHR21654:SF54', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-4', 157858);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(214133, 'PTHR32027', NULL, NULL, NULL, NULL, 'CYTOSINE DEAMINASE', 157859),
(214134, 'PTHR43522:SF11', NULL, NULL, NULL, NULL, 'PLASTID TRANSKETOLASE', 157860),
(214135, 'PTHR11857:SF45', NULL, NULL, NULL, NULL, 'GENERAL ODORANT-BINDING PROTEIN 83A-RELATED', 157861),
(214136, 'PTHR21101:SF13', NULL, NULL, NULL, NULL, 'RESISTIN-LIKE BETA', 157862),
(214137, 'PTHR48125:SF4', NULL, NULL, NULL, NULL, 'LP07818P1', 157863),
(214138, 'PTHR46473:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 3C', 157864),
(214139, 'PTHR23155:SF1104', NULL, NULL, NULL, NULL, 'OS07G0117000 PROTEIN', 157865),
(214140, 'PTHR26453:SF199', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 157866),
(214141, 'PTHR23001:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157867),
(214142, 'PTHR24055:SF338', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KSS1', 157868),
(214143, 'PTHR23509:SF37', NULL, NULL, NULL, NULL, 'BNAC02G19660D PROTEIN', 157869),
(214144, 'PTHR13068:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157870),
(214145, 'PTHR47982:SF8', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK2', 157871),
(214146, 'PTHR35340:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157872),
(214147, 'PTHR31469:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 157873),
(214148, 'PTHR43595:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN MRP1, MITOCHONDRIAL', 157874),
(214149, 'PTHR31722:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157875),
(214150, 'PTHR27002:SF806', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', 157876),
(214151, 'PTHR12210:SF135', NULL, NULL, NULL, NULL, 'CTD SMALL PHOSPHATASE-LIKE PROTEIN', 157877),
(214152, 'PTHR43675:SF3', NULL, NULL, NULL, NULL, 'ARSENITE METHYLTRANSFERASE', 157878),
(214153, 'PTHR46128:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157879),
(214154, 'PTHR23042:SF99', NULL, NULL, NULL, NULL, 'PROTEIN CYCLE', 157880),
(214155, 'PTHR43357:SF3', NULL, NULL, NULL, NULL, 'FE(3+)-TRANSPORT SYSTEM PERMEASE PROTEIN FBPB 2', 157881),
(214156, 'PTHR31109:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM207A', 157882),
(214157, 'PTHR16047:SF7', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RFWD3', 157883),
(214158, 'PTHR31898:SF2', NULL, NULL, NULL, NULL, 'TRAM, LAG1 AND CLN8 (TLC) LIPID-SENSING DOMAIN CONTAINING PROTEIN', 157884),
(214159, 'PTHR23266:SF322', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 5-10-1-RELATED', 157885),
(214160, 'PTHR33603', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 157886),
(214161, 'PTHR31998:SF47', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGIZED VACUOLAR MEMBRANE PROTON PUMP-LIKE', 157887),
(214162, 'PTHR32191:SF52', NULL, NULL, NULL, NULL, 'TETRASPANIN-4', 157888),
(214163, 'PTHR36963', NULL, NULL, NULL, NULL, 'HELICASE', 157889),
(214164, 'PTHR11977:SF27', NULL, NULL, NULL, NULL, 'SCINDERIN-LIKE A-RELATED', 157890),
(214165, 'PTHR45460', NULL, NULL, NULL, NULL, 'SIMILAR TO CYSTEINE PROTEINASE', 157891),
(214166, 'PTHR31645:SF17', NULL, NULL, NULL, NULL, 'IRON-PHYTOSIDEROPHORE TRANSPORTER YSL15', 157892),
(214167, 'PTHR27001:SF523', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 40', 157893),
(214168, 'PTHR21071:SF4', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLENOLPYRUVOYLGLUCOSAMINE REDUCTASE', 157894),
(214169, 'PTHR12563:SF21', NULL, NULL, NULL, NULL, 'BCDNA.GH07066', 157895),
(214170, 'PTHR16982', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6D', 157896),
(214171, 'PTHR12345:SF18', NULL, NULL, NULL, NULL, 'SYNDECAN-BINDING PROTEIN (SYNTENIN)', 157897),
(214172, 'PTHR22168:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 26', 157898),
(214173, 'PTHR23255:SF69', NULL, NULL, NULL, NULL, 'ACTIVIN RECEPTOR TYPE-1', 157899),
(214174, 'PTHR15398:SF4', NULL, NULL, NULL, NULL, 'BROMODOMAIN CONTAINING 8', 157900),
(214175, 'PTHR24355:SF15', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE 6', 157901),
(214176, 'PTHR10218:SF232', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-1 SUBUNIT', 157902);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(214177, 'PTHR12290:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157903),
(214178, 'PTHR11339:SF374', NULL, NULL, NULL, NULL, 'ZONADHESIN', 157904),
(214179, 'PTHR46525:SF14', NULL, NULL, NULL, NULL, 'SENESCENCE REGULATOR S40-RELATED', 157905),
(214180, 'PTHR46143:SF1', NULL, NULL, NULL, NULL, 'CALPAIN-7', 157906),
(214181, 'PTHR10835:SF14', NULL, NULL, NULL, NULL, 'LYCOPENE ISOMERASE', 157907),
(214182, 'PTHR22835:SF623', NULL, NULL, NULL, NULL, 'BNAC05G21980D PROTEIN', 157908),
(214183, 'PTHR23115:SF233', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1 ALPHA-LIKE PROTEIN', 157909),
(214184, 'PTHR35315:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157910),
(214185, 'PTHR46151:SF8', NULL, NULL, NULL, NULL, 'OS07G0479100 PROTEIN', 157911),
(214186, 'PTHR47928:SF69', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN', 157912),
(214187, 'PTHR28156:SF1', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN YDR262W', 157913),
(214188, 'PTHR33077:SF86', NULL, NULL, NULL, NULL, 'TIFY DOMAIN-CONTAINING PROTEIN-RELATED', 157914),
(214189, 'PTHR36454:SF1', NULL, NULL, NULL, NULL, 'LMO2823 PROTEIN', 157915),
(214190, 'PTHR13109', NULL, NULL, NULL, NULL, 'NEUROCHONDRIN', 157916),
(214191, 'PTHR47168', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', 157917),
(214192, 'PTHR45764:SF53', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 43-LIKE', 157918),
(214193, 'PTHR12537:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157919),
(214194, 'PTHR31422:SF40', NULL, NULL, NULL, NULL, 'BNAA01G06300D PROTEIN', 157920),
(214195, 'PTHR31251', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 4', 157921),
(214196, 'PTHR27001:SF852', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157922),
(214197, 'PTHR43701:SF6', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN-RELATED', 157923),
(214198, 'PTHR24406:SF10', NULL, NULL, NULL, NULL, 'REPLICATION INITIATOR 1', 157924),
(214199, 'PTHR46650:SF5', NULL, NULL, NULL, NULL, 'BNAA09G03780D PROTEIN', 157925),
(214200, 'PTHR43608', NULL, NULL, NULL, NULL, 'CYPIN (GUANINE AMINOHYDROLASE) HOMOLOG', 157926),
(214201, 'PTHR12138:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157927),
(214202, 'PTHR23155:SF970', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN (LRRP), PUTATIVE-RELATED', 157928),
(214203, 'PTHR13844:SF56', NULL, NULL, NULL, NULL, 'F1L3.22', 157929),
(214204, 'PTHR11468:SF2', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE 2', 157930),
(214205, 'PTHR31376:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157931),
(214206, 'PTHR24231:SF17', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 2', 157932),
(214207, 'PTHR12231:SF244', NULL, NULL, NULL, NULL, 'PROTEIN TURTLE HOMOLOG A', 157933),
(214208, 'PTHR10609:SF16', NULL, NULL, NULL, NULL, 'PANTETHEINASE', 157934),
(214209, 'PTHR33222:SF5', NULL, NULL, NULL, NULL, 'OS02G0759900 PROTEIN', 157935),
(214210, 'PTHR22245:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 144A-RELATED', 157936),
(214211, 'PTHR17550:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TTC3', 157937),
(214212, 'PTHR46269:SF2', NULL, NULL, NULL, NULL, 'OPTICIN', 157938),
(214213, 'PTHR22930:SF203', NULL, NULL, NULL, NULL, 'LP08122P', 157939),
(214214, 'PTHR42880', NULL, NULL, NULL, NULL, 'HOMOCITRATE SYNTHASE', 157940),
(214215, 'PTHR10502:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157941),
(214216, 'PTHR13228', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX COMPONENT 5', 157942),
(214217, 'PTHR11017:SF383', NULL, NULL, NULL, NULL, 'BNAA02G13810D PROTEIN', 157943),
(214218, 'PTHR22855:SF43', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', 157944),
(214219, 'PTHR11521:SF25', NULL, NULL, NULL, NULL, 'FAST SKELETAL MUSCLE TROPONIN T', 157945),
(214220, 'PTHR42721:SF14', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 4-RELATED', 157946),
(214221, 'PTHR21725', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR4', 157947),
(214222, 'PTHR22900:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG14246', 157948),
(214223, 'PTHR32295:SF22', NULL, NULL, NULL, NULL, 'OS05G0187500 PROTEIN', 157949);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(214224, 'PTHR22957:SF556', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', 157950),
(214225, 'PTHR11923:SF89', NULL, NULL, NULL, NULL, 'PROTEIN CROQUEMORT-LIKE PROTEIN', 157951),
(214226, 'PTHR36745:SF1', NULL, NULL, NULL, NULL, 'OS02G0824400 PROTEIN', 157952),
(214227, 'PTHR34378:SF3', NULL, NULL, NULL, NULL, 'GAMMA GLUTAMYL CYSTEINE SYNTHETASE', 157953),
(214228, 'PTHR30620', NULL, NULL, NULL, NULL, 'PERIPLASMIC BETA-GLUCOSIDASE-RELATED', 157954),
(214229, 'PTHR19433:SF64', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 13-1', 157955),
(214230, 'PTHR21679:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG07786', 157956),
(214231, 'PTHR47445:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157957),
(214232, 'PTHR31190:SF128', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1', 157958),
(214233, 'PTHR26453:SF626', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 1 SUBFAMILY L MEMBER 4', 157959),
(214234, 'PTHR42963:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME PARTITION PROTEIN MUKB', 157960),
(214235, 'PTHR44080', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE COP1', 157961),
(214236, 'PTHR37313:SF4', NULL, NULL, NULL, NULL, 'CONSERVED MEMBRANE PROTEIN-RELATED', 157962),
(214237, 'PTHR31828:SF17', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIDELTA-LIKE', 157963),
(214238, 'PTHR11661:SF25', NULL, NULL, NULL, NULL, 'BNAA02G10390D PROTEIN', 157964),
(214239, 'PTHR45796:SF2', NULL, NULL, NULL, NULL, 'FORKHEAD BOX P3-RELATED', 157965),
(214240, 'PTHR21109:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157966),
(214241, 'PTHR33168:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157967),
(214242, 'PTHR45639:SF22', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 14', 157968),
(214243, 'PTHR43148:SF15', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE GAPA2, CHLOROPLASTIC', 157969),
(214244, 'PTHR21740:SF0', NULL, NULL, NULL, NULL, 'NCK-ASSOCIATED PROTEIN 5', 157970),
(214245, 'PTHR30448:SF0', NULL, NULL, NULL, NULL, 'RNASE ADAPTER PROTEIN RAPZ', 157971),
(214246, 'PTHR23213:SF368', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 2', 157972),
(214247, 'PTHR11206:SF430', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 157973),
(214248, 'PTHR30244:SF30', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT AMINOTRANSFERASE', 157974),
(214249, 'PTHR11260:SF690', NULL, NULL, NULL, NULL, 'OS07G0468100 PROTEIN', 157975),
(214250, 'PTHR33936:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG06911', 157976),
(214251, 'PTHR11668:SF450', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 157977),
(214252, 'PTHR46632:SF24', NULL, NULL, NULL, NULL, 'BNAC07G13380D PROTEIN', 157978),
(214253, 'PTHR47992:SF30', NULL, NULL, NULL, NULL, 'BNAANNG12690D PROTEIN', 157979),
(214254, 'PTHR24221:SF561', NULL, NULL, NULL, NULL, 'BNAA03G18640D PROTEIN', 157980),
(214255, 'PTHR28348:SF1', NULL, NULL, NULL, NULL, 'UPF0193 PROTEIN EVG1', 157981),
(214256, 'PTHR31913:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR IMPORT AND DEGRADATION PROTEIN 27', 157982),
(214257, 'PTHR31985:SF189', NULL, NULL, NULL, NULL, 'BNAC03G15720D PROTEIN', 157983),
(214258, 'PTHR46644', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XRCC2', 157984),
(214259, 'PTHR32468:SF121', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15', 157985),
(214260, 'PTHR33529:SF2', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE EXPORT SYSTEM PERMEASE PROTEIN LPTG', 157986),
(214261, 'PTHR17695', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 157987),
(214262, 'PTHR21347', NULL, NULL, NULL, NULL, 'CLEFT LIP AND PALATE ASSOCIATED TRANSMEMBRANE PROTEIN-RELATED', 157988),
(214263, 'PTHR11206:SF323', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 157989),
(214264, 'PTHR13624:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 161B', 157990),
(214265, 'PTHR24347:SF400', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RCK2', 157991),
(214266, 'PTHR31140:SF115', NULL, NULL, NULL, NULL, 'PROTEIN RAV1, PUTATIVE-RELATED', 157992),
(214267, 'PTHR10414:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 157993);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(214268, 'PTHR31677:SF46', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', 157994),
(214269, 'PTHR14402', NULL, NULL, NULL, NULL, 'RECEPTOR TRANSPORTING PROTEIN', 157995),
(214270, 'PTHR11937:SF466', NULL, NULL, NULL, NULL, 'OS01G0964133 PROTEIN', 157996),
(214271, 'PTHR18952:SF220', NULL, NULL, NULL, NULL, 'EUKARYOTIC-TYPE CARBONIC ANHYDRASE FAMILY PROTEIN, EXPRESSED', 157997),
(214272, 'PTHR30620:SF35', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY PROTEIN', 157998),
(214273, 'PTHR13318:SF143', NULL, NULL, NULL, NULL, 'F-BOX AND LEUCINE-RICH REPEAT PROTEIN 6, ISOFORM A', 157999),
(214274, 'PTHR46374', NULL, NULL, NULL, NULL, 'PROTEIN CBG07384', 158000),
(214275, 'PTHR31008:SF0', NULL, NULL, NULL, NULL, 'CSL1', 158001),
(214276, 'PTHR33577', NULL, NULL, NULL, NULL, 'STERIGMATOCYSTIN BIOSYNTHESIS PEROXIDASE STCC-RELATED', 158002),
(214277, 'PTHR13832:SF726', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 23-RELATED', 158003),
(214278, 'PTHR23226:SF151', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 5C-RELATED', 158004),
(214279, 'PTHR22941:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 158005),
(214280, 'PTHR24210:SF10', NULL, NULL, NULL, NULL, 'LIM AND SENESCENT CELL ANTIGEN-LIKE-CONTAINING DOMAIN PROTEIN 2', 158006),
(214281, 'PTHR48073:SF2', NULL, NULL, NULL, NULL, 'O-SUCCINYLBENZOATE SYNTHASE', 158007),
(214282, 'PTHR33371:SF4', NULL, NULL, NULL, NULL, 'INTERMEMBRANE PHOSPHOLIPID TRANSPORT SYSTEM BINDING PROTEIN MLAD', 158008),
(214283, 'PTHR20961:SF78', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', 158009),
(214284, 'PTHR42682:SF5', NULL, NULL, NULL, NULL, 'HYDROGENASE-4 COMPONENT F', 158010),
(214285, 'PTHR47956:SF78', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B24-RELATED', 158011),
(214286, 'PTHR19305:SF29', NULL, NULL, NULL, NULL, 'OS03G0212400 PROTEIN', 158012),
(214287, 'PTHR47992:SF19', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 16', 158013),
(214288, 'PTHR11615:SF144', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4B1', 158014),
(214289, 'PTHR46862', NULL, NULL, NULL, NULL, 'OS07G0661900 PROTEIN', 158015),
(214290, 'PTHR46249:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158016),
(214291, 'PTHR17613:SF14', NULL, NULL, NULL, NULL, 'DEMENTIN, ISOFORM H', 158017),
(214292, 'PTHR33110:SF16', NULL, NULL, NULL, NULL, 'OS05G0539300 PROTEIN', 158018),
(214293, 'PTHR39299:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158019),
(214294, 'PTHR11759:SF3', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S11, MITOCHONDRIAL', 158020),
(214295, 'PTHR31286:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158021),
(214296, 'PTHR31713:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158022),
(214297, 'PTHR21717:SF56', NULL, NULL, NULL, NULL, 'TELOMERE-BINDING PROTEIN, PUTATIVE-RELATED', 158023),
(214298, 'PTHR11349:SF100', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE-RELATED', 158024),
(214299, 'PTHR11034:SF18', NULL, NULL, NULL, NULL, 'PROTEIN NDRG1', 158025),
(214300, 'PTHR11040:SF153', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 5', 158026),
(214301, 'PTHR38776', NULL, NULL, NULL, NULL, 'MLTA-INTERACTING PROTEIN-RELATED', 158027),
(214302, 'PTHR33021:SF345', NULL, NULL, NULL, NULL, 'BASIC BLUE-LIKE PROTEIN', 158028),
(214303, 'PTHR42758:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL PHOSPHOLIPASE C', 158029),
(214304, 'PTHR31595', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 3-RELATED', 158030),
(214305, 'PTHR43329:SF74', NULL, NULL, NULL, NULL, 'HYDROLASE-LIKE', 158031),
(214306, 'PTHR27005:SF223', NULL, NULL, NULL, NULL, 'BNAC02G48380D PROTEIN', 158032),
(214307, 'PTHR31744:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158033),
(214308, 'PTHR31465:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RTA1-RELATED', 158034),
(214309, 'PTHR11802:SF304', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 158035),
(214310, 'PTHR31490:SF56', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE C-RELATED', 158036),
(214311, 'PTHR15071:SF29', NULL, NULL, NULL, NULL, 'CATION-DEPENDENT MANNOSE-6-PHOSPHATE RECEPTOR', 158037);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(214312, 'PTHR31734:SF201', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 158038),
(214313, 'PTHR47926:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158039),
(214314, 'PTHR33165:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158040),
(214315, 'PTHR36707:SF1', NULL, NULL, NULL, NULL, 'T20M3.17 PROTEIN', 158041),
(214316, 'PTHR46271:SF2', NULL, NULL, NULL, NULL, 'RETINA AND ANTERIOR NEURAL FOLD HOMEOBOX PROTEIN 2', 158042),
(214317, 'PTHR47850:SF1', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN OR23', 158043),
(214318, 'PTHR23235:SF64', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 10', 158044),
(214319, 'PTHR30627:SF1', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN D,D-TRANSPEPTIDASE FTSI', 158045),
(214320, 'PTHR43776:SF14', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT ATP-BINDING PROTEIN YKFD-RELATED', 158046),
(214321, 'PTHR36690', NULL, NULL, NULL, NULL, 'PROTEIN FAM237A', 158047),
(214322, 'PTHR40055', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR YGIV-RELATED', 158048),
(214323, 'PTHR31218:SF317', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 158049),
(214324, 'PTHR36880', NULL, NULL, NULL, NULL, '9130008F23RIK PROTEIN', 158050),
(214325, 'PTHR11485', NULL, NULL, NULL, NULL, 'TRANSFERRIN', 158051),
(214326, 'PTHR18966:SF478', NULL, NULL, NULL, NULL, 'BNAANNG26240D PROTEIN', 158052),
(214327, 'PTHR15106', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR RESPONDER PROTEIN 2', 158053),
(214328, 'PTHR23226:SF75', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS 8', 158054),
(214329, 'PTHR45720:SF2', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-KB', 158055),
(214330, 'PTHR44042:SF35', NULL, NULL, NULL, NULL, 'BNAA01G31080D PROTEIN', 158056),
(214331, 'PTHR27002:SF180', NULL, NULL, NULL, NULL, 'S-LOCUS RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 158057),
(214332, 'PTHR27007:SF347', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 158058),
(214333, 'PTHR45648:SF46', NULL, NULL, NULL, NULL, 'OS06G0725200 PROTEIN', 158059),
(214334, 'PTHR13859:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158060),
(214335, 'PTHR31162:SF0', NULL, NULL, NULL, NULL, 'MALIC ACID TRANSPORT PROTEIN-RELATED', 158061),
(214336, 'PTHR31985:SF162', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF025', 158062),
(214337, 'PTHR11941:SF105', NULL, NULL, NULL, NULL, 'FI23914P1-RELATED', 158063),
(214338, 'PTHR33284:SF4', NULL, NULL, NULL, NULL, 'BNAA01G13300D PROTEIN', 158064),
(214339, 'PTHR45681:SF1', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 2-RELATED', 158065),
(214340, 'PTHR48019:SF99', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL11', 158066),
(214341, 'PTHR22765:SF304', NULL, NULL, NULL, NULL, 'OS12G0140600 PROTEIN', 158067),
(214342, 'PTHR43625:SF27', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE', 158068),
(214343, 'PTHR45737:SF7', NULL, NULL, NULL, NULL, 'VWA5B1 ISOFORM 1', 158069),
(214344, 'PTHR44328:SF13', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 158070),
(214345, 'PTHR18839:SF4', NULL, NULL, NULL, NULL, 'MCG5930', 158071),
(214346, 'PTHR43999:SF5', NULL, NULL, NULL, NULL, 'BNACNNG24780D PROTEIN', 158072),
(214347, 'PTHR45974:SF100', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 158073),
(214348, 'PTHR48013:SF2', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING KINASE FAMILY, MEMBER 3-RELATED', 158074),
(214349, 'PTHR12601:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158075),
(214350, 'PTHR21152:SF22', NULL, NULL, NULL, NULL, 'SERINE--PYRUVATE AMINOTRANSFERASE', 158076),
(214351, 'PTHR11653:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158077),
(214352, 'PTHR33318:SF15', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE', 158078),
(214353, 'PTHR12623:SF6', NULL, NULL, NULL, NULL, 'NGFI-A-BINDING PROTEIN 2', 158079),
(214354, 'PTHR13859:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 158080),
(214355, 'PTHR35388:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158081),
(214356, 'PTHR47958:SF95', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 58, CHLOROPLASTIC', 158082);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(214357, 'PTHR21275', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 158083),
(214358, 'PTHR10680:SF31', NULL, NULL, NULL, NULL, 'PEPTIDYL-ALPHA-HYDROXYGLYCINE ALPHA-AMIDATING LYASE 1-RELATED', 158084),
(214359, 'PTHR15001:SF7', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 118', 158085),
(214360, 'PTHR10938', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-3', 158086),
(214361, 'PTHR23267:SF164', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 5-52', 158087),
(214362, 'PTHR10795:SF561', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158088),
(214363, 'PTHR33124:SF73', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IBH1', 158089),
(214364, 'PTHR22835:SF621', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 158090),
(214365, 'PTHR30535:SF4', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY HEME UPTAKE SYSTEM PROTEIN ISDE', 158091),
(214366, 'PTHR24096:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158092),
(214367, 'PTHR12729:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158093),
(214368, 'PTHR31314:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158094),
(214369, 'PTHR27003:SF88', NULL, NULL, NULL, NULL, 'OS07G0166700 PROTEIN', 158095),
(214370, 'PTHR48047:SF76', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 90A1', 158096),
(214371, 'PTHR48001:SF77', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 158097),
(214372, 'PTHR45642:SF34', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 158098),
(214373, 'PTHR22791:SF7', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF183', 158099),
(214374, 'PTHR34549:SF3', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I PSAE, REACTION CENTRE SUBUNIT IV-RELATED', 158100),
(214375, 'PTHR31790:SF299', NULL, NULL, NULL, NULL, 'BNAA09G27470D PROTEIN', 158101),
(214376, 'PTHR16932:SF2', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-INDUCIBLE PROTEIN 27-LIKE PROTEIN 2', 158102),
(214377, 'PTHR11537:SF250', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 5', 158103),
(214378, 'PTHR31269:SF32', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH2-LIKE', 158104),
(214379, 'PTHR46999:SF7', NULL, NULL, NULL, NULL, 'BNAC08G49610D PROTEIN', 158105),
(214380, 'PTHR12825:SF1', NULL, NULL, NULL, NULL, 'SEC20 FAMILY PROTEIN', 158106),
(214381, 'PTHR30124:SF0', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND LYTIC MUREIN TRANSGLYCOSYLASE A', 158107),
(214382, 'PTHR10689:SF3', NULL, NULL, NULL, NULL, 'MICROSOMAL GLUTATHIONE S-TRANSFERASE 1', 158108),
(214383, 'PTHR45635:SF10', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE-RELATED', 158109),
(214384, 'PTHR19375:SF405', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN BIP4', 158110),
(214385, 'PTHR10108:SF1124', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 158111),
(214386, 'PTHR45733:SF16', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 158112),
(214387, 'PTHR33248:SF19', NULL, NULL, NULL, NULL, 'RETICULOCYTE-BINDING PROTEIN 2 HOMOLOG A-LIKE', 158113),
(214388, 'PTHR33976:SF13', NULL, NULL, NULL, NULL, 'BNAANNG08780D PROTEIN', 158114),
(214389, 'PTHR13068:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158115),
(214390, 'PTHR37866', NULL, NULL, NULL, NULL, 'PRE T-CELL ANTIGEN RECEPTOR ALPHA', 158116),
(214391, 'PTHR12565:SF379', NULL, NULL, NULL, NULL, 'BNAA02G14180D PROTEIN', 158117),
(214392, 'PTHR43085:SF41', NULL, NULL, NULL, NULL, 'FRUCTOSELYSINE 6-KINASE', 158118),
(214393, 'PTHR18929:SF209', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 1-4', 158119),
(214394, 'PTHR24414', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP4', 158120),
(214395, 'PTHR31235:SF337', NULL, NULL, NULL, NULL, 'PEROXIDASE', 158121),
(214396, 'PTHR11214:SF154', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 4', 158122),
(214397, 'PTHR24009:SF29', NULL, NULL, NULL, NULL, 'CCCH-TYPE ZINC FINGERFAMILY PROTEIN WITH RNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 158123),
(214398, 'PTHR15138:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 4B', 158124),
(214399, 'PTHR43689:SF23', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 158125);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(214400, 'PTHR45825:SF15', NULL, NULL, NULL, NULL, 'GRANULE-BOUND STARCH SYNTHASE', 158126),
(214401, 'PTHR18953:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158127),
(214402, 'PTHR11802:SF113', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE Y', 158128),
(214403, 'PTHR31953:SF39', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV2', 158129),
(214404, 'PTHR31080:SF79', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 158130),
(214405, 'PTHR31711:SF2', NULL, NULL, NULL, NULL, 'ARGININE/GLUTAMATE-RICH 1 PROTEIN', 158131),
(214406, 'PTHR45898:SF10', NULL, NULL, NULL, NULL, 'TARGET OF MYB PROTEIN 1-LIKE ISOFORM X1', 158132),
(214407, 'PTHR32176:SF77', NULL, NULL, NULL, NULL, 'PATATIN', 158133),
(214408, 'PTHR33109:SF4', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 6', 158134),
(214409, 'PTHR12320', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C', 158135),
(214410, 'PTHR12072:SF5', NULL, NULL, NULL, NULL, 'CWF19-LIKE PROTEIN 2', 158136),
(214411, 'PTHR21210', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 158137),
(214412, 'PTHR43409:SF11', NULL, NULL, NULL, NULL, 'RADICAL SAM SUPERFAMILY PROTEIN', 158138),
(214413, 'PTHR13027:SF14', NULL, NULL, NULL, NULL, 'VACUOLAR FUSION PROTEIN MON1 HOMOLOG A', 158139),
(214414, 'PTHR37384:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158140),
(214415, 'PTHR24064:SF80', NULL, NULL, NULL, NULL, 'PROTEIN CBG23053', 158141),
(214416, 'PTHR10666:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158142),
(214417, 'PTHR45868:SF66', NULL, NULL, NULL, NULL, 'BNACNNG74900D PROTEIN', 158143),
(214418, 'PTHR23115:SF259', NULL, NULL, NULL, NULL, 'GTP-BINDING ELONGATION FACTOR TU FAMILY PROTEIN', 158144),
(214419, 'PTHR31221:SF126', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 2-RELATED', 158145),
(214420, 'PTHR33057:SF121', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP1', 158146),
(214421, 'PTHR14503:SF4', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L34, MITOCHONDRIAL', 158147),
(214422, 'PTHR11945:SF578', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 158148),
(214423, 'PTHR22936:SF94', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 7', 158149),
(214424, 'PTHR11224:SF52', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 69-LIKE', 158150),
(214425, 'PTHR37535:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158151),
(214426, 'PTHR10891:SF850', NULL, NULL, NULL, NULL, 'OS12G0138050 PROTEIN', 158152),
(214427, 'PTHR24377:SF647', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 793', 158153),
(214428, 'PTHR12424', NULL, NULL, NULL, NULL, 'TWEETY-RELATED', 158154),
(214429, 'PTHR48026:SF8', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 44', 158155),
(214430, 'PTHR33459:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158156),
(214431, 'PTHR36058:SF3', NULL, NULL, NULL, NULL, 'BNAA08G13380D PROTEIN', 158157),
(214432, 'PTHR33453:SF3', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 158158),
(214433, 'PTHR30529:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 HOMOLOG 2', 158159),
(214434, 'PTHR11360:SF130', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G05660)-RELATED', 158160),
(214435, 'PTHR35735:SF10', NULL, NULL, NULL, NULL, 'BNAA02G27670D PROTEIN', 158161),
(214436, 'PTHR47928:SF81', NULL, NULL, NULL, NULL, 'OS01G0754700 PROTEIN', 158162),
(214437, 'PTHR12354:SF8', NULL, NULL, NULL, NULL, 'INTERFERON-RELATED DEVELOPMENTAL REGULATOR 2', 158163),
(214438, 'PTHR45622:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158164),
(214439, 'PTHR11278:SF10', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7-3', 158165),
(214440, 'PTHR31008:SF35', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR CLASS), PUTATIVE-RELATED', 158166),
(214441, 'PTHR45614:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158167),
(214442, 'PTHR11599:SF168', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 158168),
(214443, 'PTHR30383', NULL, NULL, NULL, NULL, 'THIOESTERASE 1/PROTEASE 1/LYSOPHOSPHOLIPASE L1', 158169);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(214444, 'PTHR22945:SF27', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-2-RELATED', 158170),
(214445, 'PTHR12411:SF702', NULL, NULL, NULL, NULL, 'BNAA10G29040D PROTEIN', 158171),
(214446, 'PTHR31344:SF18', NULL, NULL, NULL, NULL, 'BNAA04G24420D PROTEIN', 158172),
(214447, 'PTHR11145:SF18', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING ADAPTER FOR CUL3-MEDIATED RHOA DEGRADATION PROTEIN 1', 158173),
(214448, 'PTHR12111:SF9', NULL, NULL, NULL, NULL, 'BNAA08G19540D PROTEIN', 158174),
(214449, 'PTHR21087:SF16', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE 1, CHLOROPLASTIC', 158175),
(214450, 'PTHR11426:SF191', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE CENTROMERIC PROTEIN A', 158176),
(214451, 'PTHR24349:SF183', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 17', 158177),
(214452, 'PTHR31585:SF7', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 4-RELATED', 158178),
(214453, 'PTHR33065:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158179),
(214454, 'PTHR46952:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 158180),
(214455, 'PTHR34946', NULL, NULL, NULL, NULL, 'OS03G0310200 PROTEIN', 158181),
(214456, 'PTHR31325:SF28', NULL, NULL, NULL, NULL, 'OS04G0154700 PROTEIN', 158182),
(214457, 'PTHR34670:SF10', NULL, NULL, NULL, NULL, 'LEGUME-SPECIFIC PROTEIN', 158183),
(214458, 'PTHR13113:SF1', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CONSERVED SIGNALING INTERMEDIATE IN TOLL PATHWAY, MITOCHONDRIAL', 158184),
(214459, 'PTHR23299:SF36', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1', 158185),
(214460, 'PTHR46281:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158186),
(214461, 'PTHR34046:SF12', NULL, NULL, NULL, NULL, 'BNAC02G43690D PROTEIN', 158187),
(214462, 'PTHR11214:SF302', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 158188),
(214463, 'PTHR13831', NULL, NULL, NULL, NULL, 'MEMBER OF THE HIR1 FAMILY OF WD-REPEAT PROTEINS', 158189),
(214464, 'PTHR14969:SF18', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE 6', 158190),
(214465, 'PTHR36216', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, TRMB', 158191),
(214466, 'PTHR32227:SF358', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE PROTEIN', 158192),
(214467, 'PTHR31060:SF32', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN PLANT PROTEIN', 158193),
(214468, 'PTHR23273:SF70', NULL, NULL, NULL, NULL, 'BNACNNG67180D PROTEIN', 158194),
(214469, 'PTHR22956:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG18812', 158195),
(214470, 'PTHR31731', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 158196),
(214471, 'PTHR38546:SF3', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', 158197),
(214472, 'PTHR31375:SF181', NULL, NULL, NULL, NULL, 'BNAC03G35490D PROTEIN', 158198),
(214473, 'PTHR43969:SF9', NULL, NULL, NULL, NULL, 'GLUTATHIONE S TRANSFERASE D10, ISOFORM A-RELATED', 158199),
(214474, 'PTHR10657:SF34', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 158200),
(214475, 'PTHR23324:SF7', NULL, NULL, NULL, NULL, 'CRAL/TRIO AND GOLD DOMAIN SUPPRESSOR OF ACTIVATED RAS', 158201),
(214476, 'PTHR46780:SF9', NULL, NULL, NULL, NULL, 'PROTEIN EVA-1', 158202),
(214477, 'PTHR19441:SF30', NULL, NULL, NULL, NULL, 'ELAFIN', 158203),
(214478, 'PTHR11132:SF444', NULL, NULL, NULL, NULL, 'BNAA04G14920D PROTEIN', 158204),
(214479, 'PTHR13318:SF140', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', 158205),
(214480, 'PTHR11208:SF98', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN', 158206),
(214481, 'PTHR35258', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 22', 158207),
(214482, 'PTHR24381:SF352', NULL, NULL, NULL, NULL, 'ZINC FINGER IMPRINTED 2', 158208),
(214483, 'PTHR43238:SF6', NULL, NULL, NULL, NULL, 'GDP-L-FUCOSE SYNTHASE 2-RELATED', 158209),
(214484, 'PTHR13408', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III', 158210),
(214485, 'PTHR12185', NULL, NULL, NULL, NULL, 'SID1 TRANSMEMBRANE FAMILY MEMEBER', 158211),
(214486, 'PTHR45764:SF42', NULL, NULL, NULL, NULL, 'BNAA09G09500D PROTEIN', 158212),
(214487, 'PTHR45740:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH-TYPE ANTIVIRAL PROTEIN 1', 158213);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(214488, 'PTHR47295:SF12', NULL, NULL, NULL, NULL, 'OS06G0688300 PROTEIN', 158214),
(214489, 'PTHR10992:SF1034', NULL, NULL, NULL, NULL, 'METHYL ESTERASE 11-RELATED', 158215),
(214490, 'PTHR23428:SF246', NULL, NULL, NULL, NULL, 'HISTONE H2B', 158216),
(214491, 'PTHR31696:SF66', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', 158217),
(214492, 'PTHR28259:SF1', NULL, NULL, NULL, NULL, 'FLUORIDE EXPORT PROTEIN 1-RELATED', 158218),
(214493, 'PTHR10963:SF55', NULL, NULL, NULL, NULL, 'EXTRACELLULAR AGARASE', 158219),
(214494, 'PTHR31260:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158220),
(214495, 'PTHR46781:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE, DXD SUGAR-BINDING MOTIF PROTEIN-RELATED', 158221),
(214496, 'PTHR37577:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158222),
(214497, 'PTHR47287:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 3-LIKE', 158223),
(214498, 'PTHR24390:SF50', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 710B', 158224),
(214499, 'PTHR13385:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN ATG12', 158225),
(214500, 'PTHR45976:SF4', NULL, NULL, NULL, NULL, 'CATENIN BETA-1', 158226),
(214501, 'PTHR46867:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM9-2', 158227),
(214502, 'PTHR31235:SF332', NULL, NULL, NULL, NULL, 'PEROXIDASE', 158228),
(214503, 'PTHR32227:SF236', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 14', 158229),
(214504, 'PTHR24208:SF80', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX2', 158230),
(214505, 'PTHR27004:SF321', NULL, NULL, NULL, NULL, 'BNAC04G43190D PROTEIN', 158231),
(214506, 'PTHR11132:SF415', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE/PHOSPHATE TRANSLOCATOR 1, CHLOROPLASTIC', 158232),
(214507, 'PTHR31707:SF250', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 158233),
(214508, 'PTHR10725:SF51', NULL, NULL, NULL, NULL, 'SI:CH211-69L10.4', 158234),
(214509, 'PTHR31662:SF67', NULL, NULL, NULL, NULL, 'BNAA03G60680D PROTEIN', 158235),
(214510, 'PTHR30288', NULL, NULL, NULL, NULL, 'FLAGELLAR CAP/ASSEMBLY PROTEIN FLID', 158236),
(214511, 'PTHR45868:SF49', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 34', 158237),
(214512, 'PTHR11972:SF145', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE-LIKE PROTEIN D', 158238),
(214513, 'PTHR23516', NULL, NULL, NULL, NULL, 'SAM (S-ADENOSYL METHIONINE) TRANSPORTER', 158239),
(214514, 'PTHR24071', NULL, NULL, NULL, NULL, 'RAN GTPASE', 158240),
(214515, 'PTHR32153:SF49', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE SUBUNIT SRP72', 158241),
(214516, 'PTHR45687:SF55', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-2-RELATED', 158242),
(214517, 'PTHR22902:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158243),
(214518, 'PTHR31965', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 42', 158244),
(214519, 'PTHR46657', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 128 KDA', 158245),
(214520, 'PTHR45967:SF23', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY PROTEIN', 158246),
(214521, 'PTHR33128:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158247),
(214522, 'PTHR10218:SF233', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(OLF) SUBUNIT ALPHA', 158248),
(214523, 'PTHR10168:SF114', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S2', 158249),
(214524, 'PTHR11764:SF52', NULL, NULL, NULL, NULL, 'AMYRIN SYNTHASE LUP2-RELATED', 158250),
(214525, 'PTHR11036:SF134', NULL, NULL, NULL, NULL, 'SEMA DOMAIN, IMMUNOGLOBULIN DOMAIN (IG), TRANSMEMBRANE DOMAIN (TM) AND SHORT CYTOPLASMIC DOMAIN, (SEMAPHORIN) 4BB', 158251),
(214526, 'PTHR10662:SF42', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR 2', 158252),
(214527, 'PTHR16517:SF131', NULL, NULL, NULL, NULL, 'TUBBY-LIKE PROTEIN 8', 158253),
(214528, 'PTHR22984:SF26', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIM-3', 158254),
(214529, 'PTHR14206:SF5', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC ANGIOGENESIS INHIBITOR 1-ASSOCIATED PROTEIN 2-LIKE PROTEIN 2', 158255),
(214530, 'PTHR31906:SF31', NULL, NULL, NULL, NULL, 'BNAC03G29750D PROTEIN', 158256);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(214531, 'PTHR31307:SF54', NULL, NULL, NULL, NULL, 'BNAA01G29550D PROTEIN', 158257),
(214532, 'PTHR10221:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 6', 158258),
(214533, 'PTHR12634:SF32', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY SUBUNIT 2-LIKE ISOFORM X1', 158259),
(214534, 'PTHR24281:SF114', NULL, NULL, NULL, NULL, 'CYTOCHROME 71A4', 158260),
(214535, 'PTHR33337:SF31', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G12650)', 158261),
(214536, 'PTHR46162:SF44', NULL, NULL, NULL, NULL, 'BNAC05G30530D PROTEIN', 158262),
(214537, 'PTHR43539:SF48', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA2', 158263),
(214538, 'PTHR31374:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158264),
(214539, 'PTHR10891:SF819', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158265),
(214540, 'PTHR24201:SF8', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 4 INHIBITOR B', 158266),
(214541, 'PTHR37564:SF4', NULL, NULL, NULL, NULL, 'DNA-ASSOCIATED PROTEIN, PUTATIVE-RELATED', 158267),
(214542, 'PTHR11062:SF309', NULL, NULL, NULL, NULL, 'BNAA09G10260D PROTEIN', 158268),
(214543, 'PTHR24291:SF24', NULL, NULL, NULL, NULL, 'LEUKOTRIENE-B4 OMEGA-HYDROXYLASE 3', 158269),
(214544, 'PTHR34377:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158270),
(214545, 'PTHR24343:SF301', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE/THREONINE-PROTEIN KINASE 5', 158271),
(214546, 'PTHR15222:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 1', 158272),
(214547, 'PTHR10334:SF446', NULL, NULL, NULL, NULL, 'BASIC PATHOGENESIS-RELATED PROTEIN 1-RELATED', 158273),
(214548, 'PTHR31947:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158274),
(214549, 'PTHR11761:SF38', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN HLP, MITOCHONDRIAL-LIKE ISOFORM X1', 158275),
(214550, 'PTHR43480', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN]--UDP-N-ACETYLGLUCOSAMINE O-ACYLTRANSFERASE', 158276),
(214551, 'PTHR22957:SF541', NULL, NULL, NULL, NULL, 'BNAC07G49650D PROTEIN', 158277),
(214552, 'PTHR46158:SF1', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 158278),
(214553, 'PTHR24376:SF167', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 43-RELATED', 158279),
(214554, 'PTHR24320:SF180', NULL, NULL, NULL, NULL, 'ZGC:64106', 158280),
(214555, 'PTHR11413:SF116', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 1', 158281),
(214556, 'PTHR22739:SF7', NULL, NULL, NULL, NULL, 'EG:152A3.3 PROTEIN-RELATED', 158282),
(214557, 'PTHR21477', NULL, NULL, NULL, NULL, 'ZGC:172139', 158283),
(214558, 'PTHR45830:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 158284),
(214559, 'PTHR48038:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEOPROTEIN RB97D', 158285),
(214560, 'PTHR16515:SF37', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 2', 158286),
(214561, 'PTHR34980:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YHAH-RELATED', 158287),
(214562, 'PTHR24379:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 517', 158288),
(214563, 'PTHR27008:SF409', NULL, NULL, NULL, NULL, 'OS06G0667000 PROTEIN', 158289),
(214564, 'PTHR48019:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158290),
(214565, 'PTHR31221:SF179', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 75 ISOFORM X1-RELATED', 158291),
(214566, 'PTHR13100:SF10', NULL, NULL, NULL, NULL, 'CELL GROWTH-REGULATING NUCLEOLAR PROTEIN', 158292),
(214567, 'PTHR14155:SF535', NULL, NULL, NULL, NULL, 'OS08G0484200 PROTEIN', 158293),
(214568, 'PTHR47568:SF5', NULL, NULL, NULL, NULL, 'BNAA09G55600D PROTEIN', 158294),
(214569, 'PTHR46825:SF2', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN CONTAINING', 158295),
(214570, 'PTHR18945:SF520', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 158296),
(214571, 'PTHR45622:SF45', NULL, NULL, NULL, NULL, 'RCC1 DOMAIN-CONTAINING PROTEIN RUG3, MITOCHONDRIAL', 158297),
(214572, 'PTHR23255', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR-BETA RECEPTOR TYPE I AND II', 158298),
(214573, 'PTHR31218:SF312', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 158299); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(214574, 'PTHR11439:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158300),
(214575, 'PTHR43718:SF12', NULL, NULL, NULL, NULL, 'BNAC06G04270D PROTEIN', 158301),
(214576, 'PTHR31681:SF63', NULL, NULL, NULL, NULL, 'BNAA04G28490D PROTEIN', 158302),
(214577, 'PTHR24147:SF50', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 36A-RELATED', 158303),
(214578, 'PTHR43046:SF10', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE DOMAIN-LIKE', 158304),
(214579, 'PTHR31022:SF5', NULL, NULL, NULL, NULL, 'CENTRIOLE, CILIA AND SPINDLE-ASSOCIATED PROTEIN', 158305),
(214580, 'PTHR12760', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN', 158306),
(214581, 'PTHR31645:SF10', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', 158307),
(214582, 'PTHR31124:SF9', NULL, NULL, NULL, NULL, 'BNAA10G10080D PROTEIN', 158308),
(214583, 'PTHR35167:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158309),
(214584, 'PTHR47759:SF2', NULL, NULL, NULL, NULL, 'OS04G0509100 PROTEIN', 158310),
(214585, 'PTHR10127:SF793', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-28', 158311),
(214586, 'PTHR11655:SF37', NULL, NULL, NULL, NULL, 'BNAA02G22240D PROTEIN', 158312),
(214587, 'PTHR45900:SF8', NULL, NULL, NULL, NULL, 'BNAA09G44130D PROTEIN', 158313),
(214588, 'PTHR32212:SF345', NULL, NULL, NULL, NULL, 'BNAA10G10680D PROTEIN', 158314),
(214589, 'PTHR33142:SF61', NULL, NULL, NULL, NULL, 'BNAA08G28990D PROTEIN', 158315),
(214590, 'PTHR11177:SF317', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC CHITINASE 2', 158316),
(214591, 'PTHR47942:SF60', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 158317),
(214592, 'PTHR44376', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF FILAMENTOUS GROWTH FLO8', 158318),
(214593, 'PTHR39556', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 158319),
(214594, 'PTHR43724', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE SUBUNIT PORD', 158320),
(214595, 'PTHR11669:SF51', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 158321),
(214596, 'PTHR24240:SF22', NULL, NULL, NULL, NULL, 'MELANOPSIN OPN4X1', 158322),
(214597, 'PTHR12374:SF59', NULL, NULL, NULL, NULL, 'BNACNNG22510D PROTEIN', 158323),
(214598, 'PTHR46286:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158324),
(214599, 'PTHR21637:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD20', 158325),
(214600, 'PTHR37209:SF3', NULL, NULL, NULL, NULL, 'LYSINE-RICH ARABINOGALACTAN PROTEIN 17-RELATED', 158326),
(214601, 'PTHR24041', NULL, NULL, NULL, NULL, 'MUCIN', 158327),
(214602, 'PTHR45681:SF4', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 10-RELATED', 158328),
(214603, 'PTHR11711:SF41', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 1', 158329),
(214604, 'PTHR31989:SF62', NULL, NULL, NULL, NULL, 'NO APICAL MERISTEM PROTEIN, EXPRESSED', 158330),
(214605, 'PTHR12395:SF24', NULL, NULL, NULL, NULL, 'BNAC01G10220D PROTEIN', 158331),
(214606, 'PTHR12736:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE LANCL1', 158332),
(214607, 'PTHR16451:SF14', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DYNAMICS PROTEIN MID51', 158333),
(214608, 'PTHR31568:SF66', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH TM MODULE STRESS TOLERANCE PROTEIN', 158334),
(214609, 'PTHR13620:SF88', NULL, NULL, NULL, NULL, 'WERNER SYNDROME-LIKE EXONUCLEASE', 158335),
(214610, 'PTHR47968:SF17', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 158336),
(214611, 'PTHR11088:SF32', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE', 158337),
(214612, 'PTHR43833:SF7', NULL, NULL, NULL, NULL, 'KTR SYSTEM POTASSIUM UPTAKE PROTEIN C', 158338),
(214613, 'PTHR33236:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158339),
(214614, 'PTHR24055:SF455', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 158340),
(214615, 'PTHR23159:SF38', NULL, NULL, NULL, NULL, 'OS04G0155000 PROTEIN', 158341),
(214616, 'PTHR14248:SF25', NULL, NULL, NULL, NULL, 'CYCLIN-Y-LIKE PROTEIN 2', 158342),
(214617, 'PTHR46501:SF7', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 2-RELATED', 158343);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(214618, 'PTHR37028', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT-RELATED', 158344),
(214619, 'PTHR31375:SF226', NULL, NULL, NULL, NULL, 'BNAC03G22600D PROTEIN', 158345),
(214620, 'PTHR30519:SF0', NULL, NULL, NULL, NULL, '5-METHYLTETRAHYDROPTEROYLTRIGLUTAMATE--HOMOCYSTEINE METHYLTRANSFERASE', 158346),
(214621, 'PTHR13411', NULL, NULL, NULL, NULL, 'PLASMINOGEN RECEPTOR (KT)', 158347),
(214622, 'PTHR10885', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE', 158348),
(214623, 'PTHR13196:SF24', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 1B', 158349),
(214624, 'PTHR34048:SF11', NULL, NULL, NULL, NULL, 'BNAC09G41220D PROTEIN', 158350),
(214625, 'PTHR31731:SF130', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE PROTEIN', 158351),
(214626, 'PTHR32212:SF377', NULL, NULL, NULL, NULL, 'BNACNNG44720D PROTEIN', 158352),
(214627, 'PTHR37013:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158353),
(214628, 'PTHR23300:SF0', NULL, NULL, NULL, NULL, 'METHANETHIOL OXIDASE', 158354),
(214629, 'PTHR47997:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB26', 158355),
(214630, 'PTHR46373:SF17', NULL, NULL, NULL, NULL, 'OS09G0444100 PROTEIN', 158356),
(214631, 'PTHR10131:SF140', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR', 158357),
(214632, 'PTHR24399:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158358),
(214633, 'PTHR11654:SF293', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER PLANT', 158359),
(214634, 'PTHR31636:SF47', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL1', 158360),
(214635, 'PTHR24317:SF7', NULL, NULL, NULL, NULL, 'PEROXISOMAL TRANS-2-ENOYL-COA REDUCTASE', 158361),
(214636, 'PTHR14113:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BASSOON', 158362),
(214637, 'PTHR10836:SF108', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 158363),
(214638, 'PTHR33677', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR FRMR-RELATED', 158364),
(214639, 'PTHR46444:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 158365),
(214640, 'PTHR11743:SF59', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 2-LIKE ISOFORM X1', 158366),
(214641, 'PTHR23515:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158367),
(214642, 'PTHR48005:SF3', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 6', 158368),
(214643, 'PTHR11783:SF248', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 158369),
(214644, 'PTHR42886:SF62', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', 158370),
(214645, 'PTHR24083:SF88', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 158371),
(214646, 'PTHR47924:SF28', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 158372),
(214647, 'PTHR23147:SF75', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN RSF1', 158373),
(214648, 'PTHR11923:SF54', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR (CD36 FAMILY) RELATED', 158374),
(214649, 'PTHR23101:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158375),
(214650, 'PTHR23201:SF91', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 6-LIKE', 158376),
(214651, 'PTHR23086:SF25', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 8', 158377),
(214652, 'PTHR43880:SF25', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1', 158378),
(214653, 'PTHR45752:SF120', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 1', 158379),
(214654, 'PTHR24414:SF167', NULL, NULL, NULL, NULL, 'BNAANNG30730D PROTEIN', 158380),
(214655, 'PTHR47208:SF10', NULL, NULL, NULL, NULL, 'BNAA02G05040D PROTEIN', 158381),
(214656, 'PTHR31126:SF39', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE DSP2-RELATED', 158382),
(214657, 'PTHR48054:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158383),
(214658, 'PTHR24377:SF138', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 540', 158384),
(214659, 'PTHR48053:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158385),
(214660, 'PTHR46705:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG15974', 158386),
(214661, 'PTHR46326:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT4', 158387);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(214662, 'PTHR10334:SF429', NULL, NULL, NULL, NULL, 'OS05G0595200 PROTEIN', 158388),
(214663, 'PTHR24133:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158389),
(214664, 'PTHR11802:SF201', NULL, NULL, NULL, NULL, 'LYSOSOMAL PROTECTIVE PROTEIN', 158390),
(214665, 'PTHR10593:SF168', NULL, NULL, NULL, NULL, 'PROTEIN SHOOT GRAVITROPISM 5', 158391),
(214666, 'PTHR46058:SF16', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 5-RELATED', 158392),
(214667, 'PTHR13886', NULL, NULL, NULL, NULL, 'JNK/SAPK-ASSOCIATED PROTEIN', 158393),
(214668, 'PTHR33479:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158394),
(214669, 'PTHR22849:SF103', NULL, NULL, NULL, NULL, 'OS02G0542800 PROTEIN', 158395),
(214670, 'PTHR15710:SF120', NULL, NULL, NULL, NULL, 'F6A14.12 PROTEIN-RELATED', 158396),
(214671, 'PTHR12454:SF18', NULL, NULL, NULL, NULL, 'TRIMERIC INTRACELLULAR CATION CHANNEL TYPE 1B.2', 158397),
(214672, 'PTHR11877:SF47', NULL, NULL, NULL, NULL, 'OS11G0529900 PROTEIN', 158398),
(214673, 'PTHR31342:SF42', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC-LIKE', 158399),
(214674, 'PTHR33085:SF56', NULL, NULL, NULL, NULL, 'OS07G0513400 PROTEIN', 158400),
(214675, 'PTHR13720:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158401),
(214676, 'PTHR31343:SF27', NULL, NULL, NULL, NULL, 'OS01G0138500 PROTEIN', 158402),
(214677, 'PTHR14198:SF23', NULL, NULL, NULL, NULL, 'SI:CH211-137I24.10', 158403),
(214678, 'PTHR24281:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158404),
(214679, 'PTHR27009:SF154', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10', 158405),
(214680, 'PTHR33076:SF50', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 10-RELATED', 158406),
(214681, 'PTHR45878:SF26', NULL, NULL, NULL, NULL, 'TESTA 1 PROTEIN, PUTATIVE-RELATED', 158407),
(214682, 'PTHR37199:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158408),
(214683, 'PTHR31215:SF31', NULL, NULL, NULL, NULL, 'BNAA02G24340D PROTEIN', 158409),
(214684, 'PTHR12560:SF0', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 1', 158410),
(214685, 'PTHR22298:SF121', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 18', 158411),
(214686, 'PTHR31325:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158412),
(214687, 'PTHR22950:SF643', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT6A', 158413),
(214688, 'PTHR22545:SF0', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 95 KDA', 158414),
(214689, 'PTHR11206:SF388', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 158415),
(214690, 'PTHR12419:SF81', NULL, NULL, NULL, NULL, 'BNACNNG10230D PROTEIN', 158416),
(214691, 'PTHR31579:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158417),
(214692, 'PTHR13160:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158418),
(214693, 'PTHR33886:SF8', NULL, NULL, NULL, NULL, 'UNSATURATED RHAMNOGALACTURONAN HYDROLASE (EUROFUNG)', 158419),
(214694, 'PTHR43157:SF51', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE (SDR FAMILY) MEMBER 13-LIKE 1-RELATED', 158420),
(214695, 'PTHR31375:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158421),
(214696, 'PTHR12156:SF23', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN FAMILY B MEMBER 1', 158422),
(214697, 'PTHR24418:SF426', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE WSCK-RELATED', 158423),
(214698, 'PTHR33102:SF38', NULL, NULL, NULL, NULL, 'DVL12', 158424),
(214699, 'PTHR33645:SF5', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 158425),
(214700, 'PTHR43028:SF6', NULL, NULL, NULL, NULL, 'INOSITOL MONOPHOSPHATASE 3', 158426),
(214701, 'PTHR45632:SF16', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 32', 158427),
(214702, 'PTHR33076:SF57', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 158428),
(214703, 'PTHR16223:SF125', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', 158429),
(214704, 'PTHR46236:SF2', NULL, NULL, NULL, NULL, 'MEPRIN AND TRAF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 158430),
(214705, 'PTHR21562:SF7', NULL, NULL, NULL, NULL, 'PALMITOLEOYL-PROTEIN CARBOXYLESTERASE NOTUM', 158431),
(214706, 'PTHR32212:SF356', NULL, NULL, NULL, NULL, 'BNAA09G16730D PROTEIN', 158432);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(214707, 'PTHR46679', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 158433),
(214708, 'PTHR31677:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158434),
(214709, 'PTHR31992:SF215', NULL, NULL, NULL, NULL, 'BNAA04G29070D PROTEIN', 158435),
(214710, 'PTHR33527:SF30', NULL, NULL, NULL, NULL, 'BNAA04G25960D PROTEIN', 158436),
(214711, 'PTHR22854:SF13', NULL, NULL, NULL, NULL, 'OS08G0320400 PROTEIN', 158437),
(214712, 'PTHR46128:SF255', NULL, NULL, NULL, NULL, 'BNAANNG11840D PROTEIN', 158438),
(214713, 'PTHR17469:SF15', NULL, NULL, NULL, NULL, 'AGAP005635-PA', 158439),
(214714, 'PTHR14226:SF63', NULL, NULL, NULL, NULL, 'PATATIN', 158440),
(214715, 'PTHR31165:SF97', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 7-RELATED', 158441),
(214716, 'PTHR13878:SF98', NULL, NULL, NULL, NULL, 'FAD-LINKED OXIDOREDUCTASE ASQF', 158442),
(214717, 'PTHR45862:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SGT1 HOMOLOG ISOFORM X1', 158443),
(214718, 'PTHR32227:SF343', NULL, NULL, NULL, NULL, 'BNACNNG40170D PROTEIN', 158444),
(214719, 'PTHR11571:SF228', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 158445),
(214720, 'PTHR16771:SF13', NULL, NULL, NULL, NULL, 'BNACNNG23950D PROTEIN', 158446),
(214721, 'PTHR21461:SF65', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 158447),
(214722, 'PTHR12791:SF48', NULL, NULL, NULL, NULL, 'OS08G0563300 PROTEIN', 158448),
(214723, 'PTHR33737:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158449),
(214724, 'PTHR32370:SF16', NULL, NULL, NULL, NULL, 'NON-PHOTOTROPIC HYPOCOTYL-LIKE PROTEIN', 158450),
(214725, 'PTHR15615:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158451),
(214726, 'PTHR34788:SF9', NULL, NULL, NULL, NULL, 'BNAC06G10520D PROTEIN', 158452),
(214727, 'PTHR45878', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP2', 158453),
(214728, 'PTHR24031:SF78', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX47-RELATED', 158454),
(214729, 'PTHR46057:SF34', NULL, NULL, NULL, NULL, 'BNAANNG07180D PROTEIN', 158455),
(214730, 'PTHR31215:SF27', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 158456),
(214731, 'PTHR22930:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158457),
(214732, 'PTHR35474:SF1', NULL, NULL, NULL, NULL, 'ATP PHOSPHORIBOSYLTRANSFERASE REGULATORY SUBUNIT', 158458),
(214733, 'PTHR34818', NULL, NULL, NULL, NULL, 'PROTEIN BLI-3', 158459),
(214734, 'PTHR27004:SF381', NULL, NULL, NULL, NULL, 'BNAC04G42580D PROTEIN', 158460),
(214735, 'PTHR40274', NULL, NULL, NULL, NULL, 'VIRGINIAMYCIN B LYASE', 158461),
(214736, 'PTHR26453:SF660', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 158462),
(214737, 'PTHR31044:SF90', NULL, NULL, NULL, NULL, 'BNACNNG46030D PROTEIN', 158463),
(214738, 'PTHR21576:SF116', NULL, NULL, NULL, NULL, 'NODULIN-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', 158464),
(214739, 'PTHR12771:SF51', NULL, NULL, NULL, NULL, 'LD01482P', 158465),
(214740, 'PTHR22943:SF62', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 158466),
(214741, 'PTHR11188:SF129', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN F', 158467),
(214742, 'PTHR11528:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158468),
(214743, 'PTHR15507:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN RLF', 158469),
(214744, 'PTHR24416:SF123', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-B RECEPTOR 2', 158470),
(214745, 'PTHR11214:SF123', NULL, NULL, NULL, NULL, 'BETA-1,6-GALACTOSYLTRANSFERASE GALT31A', 158471),
(214746, 'PTHR20961:SF34', NULL, NULL, NULL, NULL, 'OS06G0707200 PROTEIN', 158472),
(214747, 'PTHR11407:SF28', NULL, NULL, NULL, NULL, 'LYSOZYME C', 158473),
(214748, 'PTHR32243:SF3', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEMS INNER MEMBRANE COMPONENT', 158474),
(214749, 'PTHR22917:SF3', NULL, NULL, NULL, NULL, 'VITRONECTIN', 158475),
(214750, 'PTHR43490:SF107', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE', 158476),
(214751, 'PTHR11746:SF239', NULL, NULL, NULL, NULL, 'INDOLE GLUCOSINOLATE O-METHYLTRANSFERASE 2-RELATED', 158477);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(214752, 'PTHR12000:SF48', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME-RELATED', 158478),
(214753, 'PTHR14207:SF2', NULL, NULL, NULL, NULL, '3-BETA-HYDROXYSTEROID-DELTA(8),DELTA(7)-ISOMERASE-RELATED', 158479),
(214754, 'PTHR46045:SF19', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 158480),
(214755, 'PTHR32382:SF51', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 1', 158481),
(214756, 'PTHR31062:SF233', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 26-RELATED', 158482),
(214757, 'PTHR11461:SF274', NULL, NULL, NULL, NULL, 'PLASMA SERINE PROTEASE INHIBITOR', 158483),
(214758, 'PTHR11040:SF174', NULL, NULL, NULL, NULL, 'BNACNNG51530D PROTEIN', 158484),
(214759, 'PTHR31161', NULL, NULL, NULL, NULL, 'PROTEIN GRAVITROPIC IN THE LIGHT 1', 158485),
(214760, 'PTHR42884:SF8', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE SUBTILISIN/KEXIN TYPE 6', 158486),
(214761, 'PTHR23114:SF26', NULL, NULL, NULL, NULL, 'BNAC04G32440D PROTEIN', 158487),
(214762, 'PTHR10891:SF861', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML45-RELATED', 158488),
(214763, 'PTHR43574:SF29', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 3', 158489),
(214764, 'PTHR10168:SF261', NULL, NULL, NULL, NULL, 'BNAC03G42140D PROTEIN', 158490),
(214765, 'PTHR24054:SF28', NULL, NULL, NULL, NULL, 'CASEIN KINASE 2 ALPHA 1-RELATED', 158491),
(214766, 'PTHR11731:SF135', NULL, NULL, NULL, NULL, 'INACTIVE DIPEPTIDYL PEPTIDASE 10-LIKE PROTEIN', 158492),
(214767, 'PTHR15136:SF12', NULL, NULL, NULL, NULL, 'TROMAL INTERACTION MOLECULE 2A', 158493),
(214768, 'PTHR10426:SF69', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 10', 158494),
(214769, 'PTHR11977:SF115', NULL, NULL, NULL, NULL, 'VILLIN-3-LIKE', 158495),
(214770, 'PTHR10795:SF550', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.3', 158496),
(214771, 'PTHR37011:SF2', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE LIPOPROTEIN-RELATED', 158497),
(214772, 'PTHR10706:SF130', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 31', 158498),
(214773, 'PTHR13680:SF38', NULL, NULL, NULL, NULL, 'CDGSH IRON SULFUR DOMAIN 1', 158499),
(214774, 'PTHR43539:SF75', NULL, NULL, NULL, NULL, 'YUC10.1', 158500),
(214775, 'PTHR12673:SF244', NULL, NULL, NULL, NULL, 'LD03170P', 158501),
(214776, 'PTHR47487:SF11', NULL, NULL, NULL, NULL, 'OS09G0421800 PROTEIN', 158502),
(214777, 'PTHR31325:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158503),
(214778, 'PTHR33177:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158504),
(214779, 'PTHR42988', NULL, NULL, NULL, NULL, 'PHOSPHOHYDROLASE', 158505),
(214780, 'PTHR13417:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF146', 158506),
(214781, 'PTHR15710:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158507),
(214782, 'PTHR33232:SF25', NULL, NULL, NULL, NULL, 'BNACNNG05550D PROTEIN', 158508),
(214783, 'PTHR12086:SF11', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN-CONTAINING FAMILY MEMBER C2', 158509),
(214784, 'PTHR40624', NULL, NULL, NULL, NULL, 'BIOSYNTHESIS MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12025)-RELATED', 158510),
(214785, 'PTHR31272:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN HI_1454-RELATED', 158511),
(214786, 'PTHR11986:SF79', NULL, NULL, NULL, NULL, 'ACETYLORNITHINE AMINOTRANSFERASE, MITOCHONDRIAL', 158512),
(214787, 'PTHR24042:SF6', NULL, NULL, NULL, NULL, 'SI:CH211-252F13.5', 158513),
(214788, 'PTHR47990:SF6', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE', 158514),
(214789, 'PTHR31139:SF3', NULL, NULL, NULL, NULL, 'LIX1-LIKE PROTEIN', 158515),
(214790, 'PTHR16089', NULL, NULL, NULL, NULL, 'REST COREPRESSOR  COREST  PROTEIN-RELATED', 158516),
(214791, 'PTHR37814:SF1', NULL, NULL, NULL, NULL, 'CONSERVED MEMBRANE PROTEIN', 158517),
(214792, 'PTHR13408:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC4', 158518),
(214793, 'PTHR10933:SF14', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-BINDING PROTEIN 1B', 158519),
(214794, 'PTHR33286:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158520);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(214795, 'PTHR11035:SF17', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE 2', 158521),
(214796, 'PTHR48017:SF126', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN-RELATED', 158522),
(214797, 'PTHR39741:SF11', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 158523),
(214798, 'PTHR46137', NULL, NULL, NULL, NULL, 'OS05G0310600 PROTEIN', 158524),
(214799, 'PTHR10537:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158525),
(214800, 'PTHR24282:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158526),
(214801, 'PTHR17204:SF5', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 39', 158527),
(214802, 'PTHR34629:SF3', NULL, NULL, NULL, NULL, 'PROLINE-RICH EXTENSIN-LIKE PROTEIN EPR1', 158528),
(214803, 'PTHR43327:SF34', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 1-LIKE', 158529),
(214804, 'PTHR12770:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158530),
(214805, 'PTHR34379:SF9', NULL, NULL, NULL, NULL, 'BNAC09G47680D PROTEIN', 158531),
(214806, 'PTHR12558:SF37', NULL, NULL, NULL, NULL, 'BNAA06G16860D PROTEIN', 158532),
(214807, 'PTHR32246:SF115', NULL, NULL, NULL, NULL, 'BNAC01G41910D PROTEIN', 158533),
(214808, 'PTHR45822:SF5', NULL, NULL, NULL, NULL, 'FREE FATTY ACID RECEPTOR 2', 158534),
(214809, 'PTHR31045:SF30', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN-RELATED', 158535),
(214810, 'PTHR13683:SF834', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', 158536),
(214811, 'PTHR46589', NULL, NULL, NULL, NULL, 'APOPTOTIC CHROMATIN CONDENSATION INDUCER IN THE NUCLEUS', 158537),
(214812, 'PTHR11048:SF5', NULL, NULL, NULL, NULL, 'DECAPRENYL-PHOSPHATE PHOSPHORIBOSYLTRANSFERASE', 158538),
(214813, 'PTHR35350', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC314168', 158539),
(214814, 'PTHR33463:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158540),
(214815, 'PTHR35420:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158541),
(214816, 'PTHR45724:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158542),
(214817, 'PTHR31375:SF144', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE/GLYCOSIDE HYDROLASE FAMILY PROTEIN', 158543),
(214818, 'PTHR46205', NULL, NULL, NULL, NULL, 'LOQUACIOUS, ISOFORM B', 158544),
(214819, 'PTHR31662:SF56', NULL, NULL, NULL, NULL, 'BNAC01G39850D PROTEIN', 158545),
(214820, 'PTHR12299:SF56', NULL, NULL, NULL, NULL, 'HYALURONAN/MRNA-BINDING PROTEIN, STM1-RELATED', 158546),
(214821, 'PTHR31375:SF204', NULL, NULL, NULL, NULL, 'BNAC09G40790D PROTEIN', 158547),
(214822, 'PTHR39665', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 158548),
(214823, 'PTHR36812:SF8', NULL, NULL, NULL, NULL, 'GLUTAMIC ACID-RICH PROTEIN-LIKE', 158549),
(214824, 'PTHR33270:SF27', NULL, NULL, NULL, NULL, 'BNAC07G20880D PROTEIN', 158550),
(214825, 'PTHR12383:SF16', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE SUBUNIT 1', 158551),
(214826, 'PTHR37526:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TUSB', 158552),
(214827, 'PTHR47967:SF76', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 158553),
(214828, 'PTHR46225:SF7', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 158554),
(214829, 'PTHR10353:SF154', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1 PROTEIN', 158555),
(214830, 'PTHR23335:SF20', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 1', 158556),
(214831, 'PTHR43166:SF23', NULL, NULL, NULL, NULL, 'ABC AMINO ACID TRANSPORTER ATPASE', 158557),
(214832, 'PTHR22829:SF18', NULL, NULL, NULL, NULL, 'DEP DOMAIN-CONTAINING MTOR-INTERACTING PROTEIN', 158558),
(214833, 'PTHR40070:SF1', NULL, NULL, NULL, NULL, 'UPF0478 PROTEIN YTXG', 158559),
(214834, 'PTHR18945:SF213', NULL, NULL, NULL, NULL, 'GLYCINE RECEPTOR SUBUNIT ALPHA-1', 158560),
(214835, 'PTHR22943:SF109', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 158561),
(214836, 'PTHR22945:SF33', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-51', 158562),
(214837, 'PTHR24056:SF469', NULL, NULL, NULL, NULL, 'PROTEIN CBR-DYF-18', 158563),
(214838, 'PTHR32100:SF55', NULL, NULL, NULL, NULL, 'OMEGA-6 FATTY ACID DESATURASE, ENDOPLASMIC RETICULUM', 158564);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(214839, 'PTHR23271:SF1', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 6 HOMOLOG', 158565),
(214840, 'PTHR33257:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158566),
(214841, 'PTHR11852', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE', 158567),
(214842, 'PTHR31720:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS Z', 158568),
(214843, 'PTHR11008:SF29', NULL, NULL, NULL, NULL, 'AGAP001354-PA', 158569),
(214844, 'PTHR45161:SF1', NULL, NULL, NULL, NULL, 'CYTOSKELETON-ASSOCIATED PROTEIN 4', 158570),
(214845, 'PTHR33177:SF49', NULL, NULL, NULL, NULL, 'BNAA09G56300D PROTEIN', 158571),
(214846, 'PTHR22952:SF388', NULL, NULL, NULL, NULL, 'OS02G0833600 PROTEIN', 158572),
(214847, 'PTHR10869:SF156', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE SUBUNIT ALPHA-2', 158573),
(214848, 'PTHR40472:SF11', NULL, NULL, NULL, NULL, 'RAPUNZEL 3-RELATED', 158574),
(214849, 'PTHR23110', NULL, NULL, NULL, NULL, 'BTB DOMAIN TRANSCRIPTION FACTOR', 158575),
(214850, 'PTHR23503:SF113', NULL, NULL, NULL, NULL, 'FACILITATED GLUCOSE TRANSPORTER PROTEIN 1', 158576),
(214851, 'PTHR46959:SF2', NULL, NULL, NULL, NULL, 'SULFOQUINOVOSIDASE', 158577),
(214852, 'PTHR44337:SF1', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 8', 158578),
(214853, 'PTHR23242:SF9', NULL, NULL, NULL, NULL, 'TOL-PAL SYSTEM PROTEIN TOLA', 158579),
(214854, 'PTHR31376:SF92', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 3', 158580),
(214855, 'PTHR31967:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG20756', 158581),
(214856, 'PTHR23024:SF444', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', 158582),
(214857, 'PTHR31945:SF89', NULL, NULL, NULL, NULL, 'BNAA02G08320D PROTEIN', 158583),
(214858, 'PTHR31751', NULL, NULL, NULL, NULL, 'SI:CH211-108C17.2-RELATED-RELATED', 158584),
(214859, 'PTHR13183:SF2', NULL, NULL, NULL, NULL, 'ARM LIGHT CHAIN, AXONEMAL, PUTATIVE-RELATED', 158585),
(214860, 'PTHR12411:SF709', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN', 158586),
(214861, 'PTHR13771:SF4', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE TCAM-1', 158587),
(214862, 'PTHR12988:SF6', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE 4', 158588),
(214863, 'PTHR34552:SF7', NULL, NULL, NULL, NULL, 'BNAA10G27910D PROTEIN', 158589),
(214864, 'PTHR33170:SF29', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 158590),
(214865, 'PTHR13622:SF8', NULL, NULL, NULL, NULL, 'THIAMIN PYROPHOSPHOKINASE 1', 158591),
(214866, 'PTHR24073:SF1122', NULL, NULL, NULL, NULL, 'RAB6B, MEMBER RAS ONCOGENE FAMILY B', 158592),
(214867, 'PTHR27009:SF227', NULL, NULL, NULL, NULL, 'BNAA02G12710D PROTEIN', 158593),
(214868, 'PTHR31845:SF31', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 158594),
(214869, 'PTHR45613:SF391', NULL, NULL, NULL, NULL, 'OS07G0621100 PROTEIN', 158595),
(214870, 'PTHR11472:SF62', NULL, NULL, NULL, NULL, 'REGULATOR OF TELOMERE ELONGATION HELICASE 1', 158596),
(214871, 'PTHR45836:SF12', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 1', 158597),
(214872, 'PTHR23070:SF138', NULL, NULL, NULL, NULL, 'AAA-ATPASE ASD MITOCHONDRIAL', 158598),
(214873, 'PTHR12000:SF25', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME BETA-ISOZYME 1', 158599),
(214874, 'PTHR14650', NULL, NULL, NULL, NULL, 'PROLYL HYDROXYLASE-RELATED', 158600),
(214875, 'PTHR33124:SF85', NULL, NULL, NULL, NULL, 'BNAA05G30790D PROTEIN', 158601),
(214876, 'PTHR11035:SF36', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE', 158602),
(214877, 'PTHR23215', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 207', 158603),
(214878, 'PTHR31513:SF13', NULL, NULL, NULL, NULL, 'BNAANNG07220D PROTEIN', 158604),
(214879, 'PTHR33404:SF9', NULL, NULL, NULL, NULL, 'BNAC06G30560D PROTEIN', 158605),
(214880, 'PTHR45708:SF30', NULL, NULL, NULL, NULL, 'ACIDIC ENDOCHITINASE', 158606),
(214881, 'PTHR47425:SF2', NULL, NULL, NULL, NULL, 'FARB-RELATED', 158607),
(214882, 'PTHR47976:SF46', NULL, NULL, NULL, NULL, 'OS01G0670100 PROTEIN', 158608),
(214883, 'PTHR26312:SF168', NULL, NULL, NULL, NULL, 'F18B13.21 PROTEIN', 158609); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(214884, 'PTHR43900:SF30', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE F3', 158610),
(214885, 'PTHR45926:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE6-RELATED', 158611),
(214886, 'PTHR31907:SF19', NULL, NULL, NULL, NULL, 'KIROLA-LIKE', 158612),
(214887, 'PTHR31406:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06702', 158613),
(214888, 'PTHR32141:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158614),
(214889, 'PTHR33044:SF102', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN GPI-ANCHORED 2-LIKE', 158615),
(214890, 'PTHR27001:SF39', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 158616),
(214891, 'PTHR47942:SF45', NULL, NULL, NULL, NULL, 'OS07G0599201 PROTEIN', 158617),
(214892, 'PTHR12203:SF54', NULL, NULL, NULL, NULL, 'BETA-1,2-XYLOSYLTRANSFERASE 1', 158618),
(214893, 'PTHR33078:SF53', NULL, NULL, NULL, NULL, 'YCF2 DOMAIN PROTEIN', 158619),
(214894, 'PTHR39600', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 158620),
(214895, 'PTHR33531', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN SUBFAMILY', 158621),
(214896, 'PTHR32212:SF373', NULL, NULL, NULL, NULL, 'OS04G0267775 PROTEIN', 158622),
(214897, 'PTHR37253:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GAMETE EXPRESSED 3', 158623),
(214898, 'PTHR45675:SF31', NULL, NULL, NULL, NULL, 'BNAA07G36950D PROTEIN', 158624),
(214899, 'PTHR35471:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 158625),
(214900, 'PTHR19359:SF110', NULL, NULL, NULL, NULL, 'BNAC04G43300D PROTEIN', 158626),
(214901, 'PTHR11210:SF41', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RBX1', 158627),
(214902, 'PTHR10334:SF439', NULL, NULL, NULL, NULL, 'OS02G0786900 PROTEIN', 158628),
(214903, 'PTHR22750:SF8', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 12', 158629),
(214904, 'PTHR34367:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158630),
(214905, 'PTHR46365', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN ATOX1', 158631),
(214906, 'PTHR22912:SF207', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE 2, CHLOROPLASTIC', 158632),
(214907, 'PTHR47995:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB120', 158633),
(214908, 'PTHR21345:SF7', NULL, NULL, NULL, NULL, 'ZGC:114123', 158634),
(214909, 'PTHR43811:SF43', NULL, NULL, NULL, NULL, 'FKBP-TYPE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKPA', 158635),
(214910, 'PTHR46705:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG03165', 158636),
(214911, 'PTHR31062:SF162', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 30-RELATED', 158637),
(214912, 'PTHR12174:SF89', NULL, NULL, NULL, NULL, 'BNAA04G24810D PROTEIN', 158638),
(214913, 'PTHR47999:SF71', NULL, NULL, NULL, NULL, 'BNACNNG69610D PROTEIN', 158639),
(214914, 'PTHR48052:SF41', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HAIKU2', 158640),
(214915, 'PTHR24068:SF369', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 5A', 158641),
(214916, 'PTHR37023:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE', 158642),
(214917, 'PTHR12878:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 2', 158643),
(214918, 'PTHR46267:SF18', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', 158644),
(214919, 'PTHR10996:SF260', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3', 158645),
(214920, 'PTHR21139:SF25', NULL, NULL, NULL, NULL, 'SENESCENCE MARKER PROTEIN-30 (SMP-30)', 158646),
(214921, 'PTHR16166:SF22', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13A', 158647),
(214922, 'PTHR11654:SF457', NULL, NULL, NULL, NULL, 'BNAA09G06180D PROTEIN', 158648),
(214923, 'PTHR40275:SF1', NULL, NULL, NULL, NULL, 'SSL7038 PROTEIN', 158649),
(214924, 'PTHR22600:SF24', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE SUBUNIT A1-RELATED', 158650),
(214925, 'PTHR33443:SF11', NULL, NULL, NULL, NULL, 'OS10G0573300 PROTEIN', 158651),
(214926, 'PTHR11040:SF71', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 5-LIKE', 158652),
(214927, 'PTHR33052:SF157', NULL, NULL, NULL, NULL, 'BNAC08G19630D PROTEIN', 158653),
(214928, 'PTHR47289:SF4', NULL, NULL, NULL, NULL, 'BNAA09G28050D PROTEIN', 158654);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(214929, 'PTHR43762:SF1', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE', 158655),
(214930, 'PTHR10502:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158656),
(214931, 'PTHR10263:SF47', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', 158657),
(214932, 'PTHR47960:SF4', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 12', 158658),
(214933, 'PTHR14604', NULL, NULL, NULL, NULL, 'WD40 REPEAT PF20', 158659),
(214934, 'PTHR24221:SF399', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY B (MDR/TAP), MEMBER 11B', 158660),
(214935, 'PTHR32472:SF20', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', 158661),
(214936, 'PTHR47584:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158662),
(214937, 'PTHR19850:SF29', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(T) SUBUNIT BETA-1', 158663),
(214938, 'PTHR23213:SF349', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 158664),
(214939, 'PTHR12537:SF52', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 2', 158665),
(214940, 'PTHR31175:SF44', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR61', 158666),
(214941, 'PTHR12956:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158667),
(214942, 'PTHR27007:SF58', NULL, NULL, NULL, NULL, 'LECTIN-LIKE RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', 158668),
(214943, 'PTHR10992:SF1065', NULL, NULL, NULL, NULL, 'BNAC03G27920D PROTEIN', 158669),
(214944, 'PTHR11214:SF148', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 158670),
(214945, 'PTHR11566:SF159', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 1A', 158671),
(214946, 'PTHR43943:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE (SDR FAMILY) MEMBER 4', 158672),
(214947, 'PTHR47273:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH EXTENSIN-LIKE PROTEIN EPR1', 158673),
(214948, 'PTHR45614:SF91', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB5', 158674),
(214949, 'PTHR22835:SF595', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 158675),
(214950, 'PTHR45255:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 24', 158676),
(214951, 'PTHR33279:SF16', NULL, NULL, NULL, NULL, 'SIRA FAMILY PROTEIN', 158677),
(214952, 'PTHR43184:SF21', NULL, NULL, NULL, NULL, 'BNAC01G10160D PROTEIN', 158678),
(214953, 'PTHR43284:SF4', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE', 158679),
(214954, 'PTHR44586:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158680),
(214955, 'PTHR32502:SF12', NULL, NULL, NULL, NULL, 'D-TAGATOSE-1,6-BISPHOSPHATE ALDOLASE SUBUNIT GATZ', 158681),
(214956, 'PTHR23049:SF65', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 2', 158682),
(214957, 'PTHR24338:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158683),
(214958, 'PTHR35147', NULL, NULL, NULL, NULL, 'CHEMORECEPTOR GLUTAMINE DEAMIDASE CHED-RELATED', 158684),
(214959, 'PTHR23280:SF32', NULL, NULL, NULL, NULL, 'FI22325P1', 158685),
(214960, 'PTHR18884:SF71', NULL, NULL, NULL, NULL, 'SEPTIN-4', 158686),
(214961, 'PTHR16070:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM222B', 158687),
(214962, 'PTHR31422:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158688),
(214963, 'PTHR35155:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 24', 158689),
(214964, 'PTHR46137:SF6', NULL, NULL, NULL, NULL, 'GB|AAF32477.1', 158690),
(214965, 'PTHR11461:SF332', NULL, NULL, NULL, NULL, 'PROTEIN CBG15466', 158691),
(214966, 'PTHR19359:SF41', NULL, NULL, NULL, NULL, 'GEO08203P1', 158692),
(214967, 'PTHR13935:SF130', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH36', 158693),
(214968, 'PTHR46823:SF2', NULL, NULL, NULL, NULL, 'CALCINEURIN B HOMOLOGOUS PROTEIN 3', 158694),
(214969, 'PTHR37446:SF1', NULL, NULL, NULL, NULL, 'CLAUDIN-LIKE IN CAENORHABDITIS', 158695),
(214970, 'PTHR19924:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158696),
(214971, 'PTHR31165:SF81', NULL, NULL, NULL, NULL, 'BNAA10G11840D PROTEIN', 158697),
(214972, 'PTHR31279:SF57', NULL, NULL, NULL, NULL, 'BNAA02G34120D PROTEIN', 158698);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(214973, 'PTHR23180:SF242', NULL, NULL, NULL, NULL, 'OS08G0537600 PROTEIN', 158699),
(214974, 'PTHR15607:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158700),
(214975, 'PTHR10168:SF227', NULL, NULL, NULL, NULL, 'GRX_C8-GLUTAREDOXIN SUBGROUP III', 158701),
(214976, 'PTHR24093:SF480', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 158702),
(214977, 'PTHR24343:SF359', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 158703),
(214978, 'PTHR11817:SF3', NULL, NULL, NULL, NULL, 'AT14039P-RELATED', 158704),
(214979, 'PTHR46292:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 102A', 158705),
(214980, 'PTHR24282:SF192', NULL, NULL, NULL, NULL, 'CYTOCHROME', 158706),
(214981, 'PTHR39611:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158707),
(214982, 'PTHR11758:SF35', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15A-1-RELATED', 158708),
(214983, 'PTHR11615:SF256', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4B1', 158709),
(214984, 'PTHR21419:SF30', NULL, NULL, NULL, NULL, 'AGAP002184-PA', 158710),
(214985, 'PTHR44272:SF5', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 39', 158711),
(214986, 'PTHR11143:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L26-LIKE 1', 158712),
(214987, 'PTHR12000:SF3', NULL, NULL, NULL, NULL, 'LEGUMAIN', 158713),
(214988, 'PTHR46565:SF6', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN 1', 158714),
(214989, 'PTHR21567:SF34', NULL, NULL, NULL, NULL, 'PROTEIN CLASP-3', 158715),
(214990, 'PTHR31683:SF149', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 158716),
(214991, 'PTHR48018:SF93', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 158717),
(214992, 'PTHR10177:SF494', NULL, NULL, NULL, NULL, 'CYCLIN-B2-3-RELATED', 158718),
(214993, 'PTHR21566:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG18525', 158719),
(214994, 'PTHR27006:SF305', NULL, NULL, NULL, NULL, 'BNAC02G44050D PROTEIN', 158720),
(214995, 'PTHR14095:SF15', NULL, NULL, NULL, NULL, 'BNAA09G03510D PROTEIN', 158721),
(214996, 'PTHR37557', NULL, NULL, NULL, NULL, '115 KDA PROTEIN IN TYPE-1 RETROTRANSPOSABLE ELEMENT R1DM-LIKE PROTEIN-RELATED-RELATED', 158722),
(214997, 'PTHR37928', NULL, NULL, NULL, NULL, 'CFEM DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G14090)', 158723),
(214998, 'PTHR11453:SF91', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 1', 158724),
(214999, 'PTHR23130:SF156', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE FAMILY PROTEIN', 158725),
(215000, 'PTHR26450:SF190', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 158726),
(215001, 'PTHR21576:SF96', NULL, NULL, NULL, NULL, 'OS04G0388700 PROTEIN', 158727),
(215002, 'PTHR24064:SF562', NULL, NULL, NULL, NULL, 'BNAC02G16980D PROTEIN', 158728),
(215003, 'PTHR43029:SF33', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 158729),
(215004, 'PTHR10543:SF86', NULL, NULL, NULL, NULL, 'BETA-CAROTENE OXYGENASE 1,-LIKE', 158730),
(215005, 'PTHR11929:SF12', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE 7', 158731),
(215006, 'PTHR31604:SF25', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 2', 158732),
(215007, 'PTHR45658:SF81', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 10-RELATED', 158733),
(215008, 'PTHR11814:SF33', NULL, NULL, NULL, NULL, 'PENDRIN', 158734),
(215009, 'PTHR11850:SF283', NULL, NULL, NULL, NULL, 'BNAA06G13850D PROTEIN', 158735),
(215010, 'PTHR31465:SF9', NULL, NULL, NULL, NULL, 'SPHINGOID LONG-CHAIN BASE TRANSPORTER RSB1', 158736),
(215011, 'PTHR38746:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158737),
(215012, 'PTHR11668:SF231', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 158738),
(215013, 'PTHR35463:SF13', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 158739),
(215014, 'PTHR45792:SF7', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G02710)-RELATED', 158740),
(215015, 'PTHR47412:SF1', NULL, NULL, NULL, NULL, 'FI01434P-RELATED', 158741),
(215016, 'PTHR45738:SF12', NULL, NULL, NULL, NULL, 'BNAA05G15980D PROTEIN', 158742),
(215017, 'PTHR34835:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158743),
(215018, 'PTHR32212:SF322', NULL, NULL, NULL, NULL, 'FBD-LIKE DOMAIN FAMILY PROTEIN', 158744);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(215019, 'PTHR46272', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 158745),
(215020, 'PTHR14614:SF140', NULL, NULL, NULL, NULL, 'OJ990528_30.4 PROTEIN', 158746),
(215021, 'PTHR10556', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE', 158747),
(215022, 'PTHR31221:SF223', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', 158748),
(215023, 'PTHR39112:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 27', 158749),
(215024, 'PTHR35459:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0065O17.1 PROTEIN', 158750),
(215025, 'PTHR24197:SF44', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 61', 158751),
(215026, 'PTHR43888:SF39', NULL, NULL, NULL, NULL, 'BNAC06G43160D PROTEIN', 158752),
(215027, 'PTHR12011:SF264', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR G2', 158753),
(215028, 'PTHR48022:SF8', NULL, NULL, NULL, NULL, 'QUINATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00990)-RELATED', 158754),
(215029, 'PTHR32133:SF311', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158755),
(215030, 'PTHR31080:SF209', NULL, NULL, NULL, NULL, 'BNAA02G25810D PROTEIN', 158756),
(215031, 'PTHR48108:SF5', NULL, NULL, NULL, NULL, 'CBS AND PB1 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G06780)', 158757),
(215032, 'PTHR24242:SF177', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1346', 158758),
(215033, 'PTHR31549:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158759),
(215034, 'PTHR46128:SF241', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 158760),
(215035, 'PTHR46591', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN 26', 158761),
(215036, 'PTHR23050:SF362', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML16-RELATED', 158762),
(215037, 'PTHR37271', NULL, NULL, NULL, NULL, 'KARYOGAMY PROTEIN KAR9', 158763),
(215038, 'PTHR35035:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158764),
(215039, 'PTHR45714:SF31', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT22-LIKE', 158765),
(215040, 'PTHR46430:SF2', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE REGULATORY FACTOR 4', 158766),
(215041, 'PTHR31673:SF34', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 1', 158767),
(215042, 'PTHR22835:SF523', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158768),
(215043, 'PTHR42957', NULL, NULL, NULL, NULL, 'HELICASE MJ1565-RELATED', 158769),
(215044, 'PTHR42643:SF20', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 60A', 158770),
(215045, 'PTHR31790:SF394', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 158771),
(215046, 'PTHR13011:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR', 158772),
(215047, 'PTHR48011:SF32', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE NPK1-LIKE', 158773),
(215048, 'PTHR10350:SF7', NULL, NULL, NULL, NULL, 'BNAC05G49530D PROTEIN', 158774),
(215049, 'PTHR34768:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 89', 158775),
(215050, 'PTHR42760:SF59', NULL, NULL, NULL, NULL, 'SHORT-CHAIN ALCOHOL DEHYDROGENASE', 158776),
(215051, 'PTHR12242:SF38', NULL, NULL, NULL, NULL, 'OS01G0295600 PROTEIN', 158777),
(215052, 'PTHR24246:SF23', NULL, NULL, NULL, NULL, 'SI:CH211-233F11.5', 158778),
(215053, 'PTHR11036:SF36', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3D', 158779),
(215054, 'PTHR15730:SF4', NULL, NULL, NULL, NULL, 'TRPM8 CHANNEL-ASSOCIATED FACTOR 2', 158780),
(215055, 'PTHR11537:SF257', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL PROTEIN SHAW', 158781),
(215056, 'PTHR37469:SF2', NULL, NULL, NULL, NULL, 'CELLOBIONIC ACID PHOSPHORYLASE', 158782),
(215057, 'PTHR22888:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158783),
(215058, 'PTHR45651:SF81', NULL, NULL, NULL, NULL, 'BNAC03G31050D PROTEIN', 158784),
(215059, 'PTHR34359:SF10', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 11-RELATED', 158785),
(215060, 'PTHR31415:SF62', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 158786),
(215061, 'PTHR11846:SF12', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE 2, CHLOROPLASTIC', 158787),
(215062, 'PTHR24230:SF82', NULL, NULL, NULL, NULL, 'GONADOTROPIN-RELEASING HORMONE RECEPTOR (GNRHR) RELATED', 158788); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(215063, 'PTHR43795:SF87', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE', 158789),
(215064, 'PTHR14880', NULL, NULL, NULL, NULL, 'PROLINE AND SERINE-RICH PROTEIN 1', 158790),
(215065, 'PTHR18966:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158791),
(215066, 'PTHR47993:SF12', NULL, NULL, NULL, NULL, 'BNACNNG40520D PROTEIN', 158792),
(215067, 'PTHR10638:SF18', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 158793),
(215068, 'PTHR46288:SF12', NULL, NULL, NULL, NULL, 'OS07G0610700 PROTEIN', 158794),
(215069, 'PTHR32429:SF25', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE/OXYGENASE ACTIVASE, CHLOROPLASTIC-LIKE ISOFORM X1', 158795),
(215070, 'PTHR31276', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 158796),
(215071, 'PTHR11654:SF491', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', 158797),
(215072, 'PTHR23111:SF82', NULL, NULL, NULL, NULL, 'BNAC02G48640D PROTEIN', 158798),
(215073, 'PTHR21377:SF17', NULL, NULL, NULL, NULL, 'OJ991214_12.13 PROTEIN', 158799),
(215074, 'PTHR31865:SF22', NULL, NULL, NULL, NULL, 'BNAA03G50800D PROTEIN', 158800),
(215075, 'PTHR48049:SF96', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN 3-O-GLUCOSIDE 2''''-O-GLUCOSYLTRANSFERASE-RELATED', 158801),
(215076, 'PTHR24365:SF541', NULL, NULL, NULL, NULL, 'MORPHOGENESIS PROTEIN SOG2, PUTATIVE-RELATED', 158802),
(215077, 'PTHR26374:SF402', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158803),
(215078, 'PTHR31235:SF225', NULL, NULL, NULL, NULL, 'PEROXIDASE', 158804),
(215079, 'PTHR46905:SF12', NULL, NULL, NULL, NULL, 'BNAA01G26520D PROTEIN', 158805),
(215080, 'PTHR27000:SF579', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO2', 158806),
(215081, 'PTHR48002:SF86', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 158807),
(215082, 'PTHR45642:SF92', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 158808),
(215083, 'PTHR24223:SF414', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 158809),
(215084, 'PTHR34472', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN THIS', 158810),
(215085, 'PTHR12383:SF34', NULL, NULL, NULL, NULL, 'PEPTIDASE S24/S26A/S26B/S26C FAMILY PROTEIN-RELATED', 158811),
(215086, 'PTHR31662:SF31', NULL, NULL, NULL, NULL, 'OS06G0498000 PROTEIN', 158812),
(215087, 'PTHR40050', NULL, NULL, NULL, NULL, 'INNER SPORE COAT PROTEIN H', 158813),
(215088, 'PTHR11042:SF91', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2-ALPHA KINASE 3', 158814),
(215089, 'PTHR47659:SF2', NULL, NULL, NULL, NULL, 'GLUCOSE STARVATION MODULATOR PROTEIN 1', 158815),
(215090, 'PTHR34450:SF7', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 228-RELATED', 158816),
(215091, 'PTHR43471:SF11', NULL, NULL, NULL, NULL, 'TRANSPORTER, PERMEASE PROTEIN, PUTATIVE-RELATED', 158817),
(215092, 'PTHR45809:SF4', NULL, NULL, NULL, NULL, 'PHOSDUCIN-LIKE PROTEIN 3', 158818),
(215093, 'PTHR31375:SF114', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', 158819),
(215094, 'PTHR48018:SF166', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1030', 158820),
(215095, 'PTHR24221:SF407', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN 1B', 158821),
(215096, 'PTHR23055:SF175', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT RSA-1', 158822),
(215097, 'PTHR10165:SF41', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE-RELATED PROTEIN TYPE 1', 158823),
(215098, 'PTHR10164:SF4', NULL, NULL, NULL, NULL, 'GH23156P', 158824),
(215099, 'PTHR38629', NULL, NULL, NULL, NULL, 'PROTEIN CBG12672', 158825),
(215100, 'PTHR32044:SF66', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 15-RELATED', 158826),
(215101, 'PTHR47432', NULL, NULL, NULL, NULL, 'CELL WALL ASSEMBLY REGULATOR SMI1', 158827),
(215102, 'PTHR24298:SF831', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP76M15', 158828),
(215103, 'PTHR47856', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 20-LIKE', 158829),
(215104, 'PTHR24208:SF88', NULL, NULL, NULL, NULL, 'LIM HOMEOBOX TRANSCRIPTION FACTOR 1-ALPHA', 158830),
(215105, 'PTHR46025:SF1', NULL, NULL, NULL, NULL, 'XYLOSYLTRANSFERASE 2', 158831);
INSERT INTO "PUBLIC"."MODEL" VALUES
(215106, 'PTHR31218:SF205', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 158832),
(215107, 'PTHR24296:SF81', NULL, NULL, NULL, NULL, 'OS05G0382500 PROTEIN', 158833),
(215108, 'PTHR43248', NULL, NULL, NULL, NULL, '2-SUCCINYL-6-HYDROXY-2,4-CYCLOHEXADIENE-1-CARBOXYLATE SYNTHASE', 158834),
(215109, 'PTHR33832:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158835),
(215110, 'PTHR15454:SF34', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', 158836),
(215111, 'PTHR47959:SF4', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DBPA', 158837),
(215112, 'PTHR10426:SF82', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 11', 158838),
(215113, 'PTHR11455:SF54', NULL, NULL, NULL, NULL, 'CRYPTOCHROME 2B APOPROTEIN', 158839),
(215114, 'PTHR42682', NULL, NULL, NULL, NULL, 'HYDROGENASE-4 COMPONENT F', 158840),
(215115, 'PTHR11909:SF131', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN HD16 ISOFORM X1', 158841),
(215116, 'PTHR46609:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158842),
(215117, 'PTHR45801:SF15', NULL, NULL, NULL, NULL, 'OS05G0286100 PROTEIN', 158843),
(215118, 'PTHR42804:SF1', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE-RELATED', 158844),
(215119, 'PTHR10366:SF609', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158845),
(215120, 'PTHR33530', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 158846),
(215121, 'PTHR22765:SF301', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 158847),
(215122, 'PTHR11835:SF54', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] GAMMA 2, MITOCHONDRIAL-RELATED', 158848),
(215123, 'PTHR42848:SF1', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION ATP-DEPENDENT DNA HELICASE RUVB', 158849),
(215124, 'PTHR33800:SF3', NULL, NULL, NULL, NULL, 'OS06G0114333-LIKE PROTEIN', 158850),
(215125, 'PTHR24203:SF39', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY ANKYRIN REPEAT SUBUNIT', 158851),
(215126, 'PTHR11926:SF1270', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 74D1', 158852),
(215127, 'PTHR13484', NULL, NULL, NULL, NULL, 'FIP1-LIKE 1 PROTEIN', 158853),
(215128, 'PTHR13085:SF3', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 2', 158854),
(215129, 'PTHR24406:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 158855),
(215130, 'PTHR10159:SF388', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 9', 158856),
(215131, 'PTHR31707:SF12', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 158857),
(215132, 'PTHR12263:SF7', NULL, NULL, NULL, NULL, 'SIMILAR TO ATP SYNTHASE SUBUNIT H PROTEIN', 158858),
(215133, 'PTHR21114', NULL, NULL, NULL, NULL, 'DVS27 PROTEIN', 158859),
(215134, 'PTHR31500:SF86', NULL, NULL, NULL, NULL, 'BNAA01G12480D PROTEIN', 158860),
(215135, 'PTHR47984:SF13', NULL, NULL, NULL, NULL, 'BNACNNG41740D PROTEIN', 158861),
(215136, 'PTHR10605', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE SULFOTRANSFERASE', 158862),
(215137, 'PTHR33128:SF34', NULL, NULL, NULL, NULL, 'OSJNBA0044M19.15 PROTEIN', 158863),
(215138, 'PTHR45682:SF15', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE 3 (VACCINIA VIRUS PHOSPHATASE VH1-RELATED)', 158864),
(215139, 'PTHR33322:SF16', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 6', 158865),
(215140, 'PTHR31225:SF110', NULL, NULL, NULL, NULL, '(S)-BETA-MACROCARPENE SYNTHASE', 158866),
(215141, 'PTHR42683:SF41', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE-LIKE PROTEIN', 158867),
(215142, 'PTHR40448', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SENSOR HISTIDINE KINASE', 158868),
(215143, 'PTHR14991:SF0', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 32', 158869),
(215144, 'PTHR15347', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 5', 158870),
(215145, 'PTHR30587', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLIP', 158871),
(215146, 'PTHR48007:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158872),
(215147, 'PTHR34401:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12388', 158873),
(215148, 'PTHR33065:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158874),
(215149, 'PTHR31448:SF30', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 158875);
INSERT INTO "PUBLIC"."MODEL" VALUES
(215150, 'PTHR24411:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR ERYTHROID 2-RELATED FACTOR 2', 158876),
(215151, 'PTHR31727:SF6', NULL, NULL, NULL, NULL, 'OLEOYL-ACYL CARRIER PROTEIN THIOESTERASE 1, CHLOROPLASTIC', 158877),
(215152, 'PTHR22901:SF0', NULL, NULL, NULL, NULL, 'SIALATE O-ACETYLESTERASE', 158878),
(215153, 'PTHR12522:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 703', 158879),
(215154, 'PTHR35249', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 7', 158880),
(215155, 'PTHR24064:SF508', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-7-RELATED', 158881),
(215156, 'PTHR46702:SF6', NULL, NULL, NULL, NULL, 'BNAC03G41500D PROTEIN', 158882),
(215157, 'PTHR22298:SF28', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 8', 158883),
(215158, 'PTHR43670:SF82', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DDB_G0280215', 158884),
(215159, 'PTHR12899:SF15', NULL, NULL, NULL, NULL, 'OS01G0256600 PROTEIN', 158885),
(215160, 'PTHR24073:SF1120', NULL, NULL, NULL, NULL, 'OS03G0666500 PROTEIN', 158886),
(215161, 'PTHR24296:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 158887),
(215162, 'PTHR43103:SF2', NULL, NULL, NULL, NULL, 'D-ERYTHRONATE DEHYDROGENASE', 158888),
(215163, 'PTHR46220:SF14', NULL, NULL, NULL, NULL, 'BNAC05G44090D PROTEIN', 158889),
(215164, 'PTHR31718:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158890),
(215165, 'PTHR13578', NULL, NULL, NULL, NULL, 'ADDITIONAL SEX COMBS LIKE PROTEIN  ASXL', 158891),
(215166, 'PTHR23504:SF87', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 158892),
(215167, 'PTHR31495:SF4', NULL, NULL, NULL, NULL, 'OS06G0254600 PROTEIN', 158893),
(215168, 'PTHR16830:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 158894),
(215169, 'PTHR31362:SF10', NULL, NULL, NULL, NULL, 'OS07G0656400 PROTEIN', 158895),
(215170, 'PTHR35715:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158896),
(215171, 'PTHR42852:SF1', NULL, NULL, NULL, NULL, 'SPORULATION THIOL-DISULFIDE OXIDOREDUCTASE A', 158897),
(215172, 'PTHR16119:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG12716', 158898),
(215173, 'PTHR42659:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 158899),
(215174, 'PTHR31784:SF2', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 5', 158900),
(215175, 'PTHR10315:SF42', NULL, NULL, NULL, NULL, 'OS05G0238200 PROTEIN', 158901),
(215176, 'PTHR47375', NULL, NULL, NULL, NULL, 'GB|AAF34833.1', 158902),
(215177, 'PTHR18964:SF110', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, XYLR-RELATED', 158903),
(215178, 'PTHR12406:SF38', NULL, NULL, NULL, NULL, 'PROTEIN CBG09699', 158904),
(215179, 'PTHR31325:SF126', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF594)-RELATED', 158905),
(215180, 'PTHR48081:SF8', NULL, NULL, NULL, NULL, 'AB HYDROLASE SUPERFAMILY PROTEIN C4A8.06C', 158906),
(215181, 'PTHR11606:SF24', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE 2', 158907),
(215182, 'PTHR10500:SF4', NULL, NULL, NULL, NULL, 'PROSTATE-ASSOCIATED MICROSEMINOPROTEIN', 158908),
(215183, 'PTHR11839:SF26', NULL, NULL, NULL, NULL, 'ADP-RIBOSE PYROPHOSPHATASE', 158909),
(215184, 'PTHR24637:SF209', NULL, NULL, NULL, NULL, 'COLLAGEN', 158910),
(215185, 'PTHR46463:SF35', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 158911),
(215186, 'PTHR11610:SF2', NULL, NULL, NULL, NULL, 'HEPATIC TRIACYLGLYCEROL LIPASE', 158912),
(215187, 'PTHR15907:SF118', NULL, NULL, NULL, NULL, 'DUF614 FAMILY PROTEIN', 158913),
(215188, 'PTHR34824', NULL, NULL, NULL, NULL, 'HEAT-INDUCIBLE TRANSCRIPTION REPRESSOR HRCA', 158914),
(215189, 'PTHR36453', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 158915),
(215190, 'PTHR11693', NULL, NULL, NULL, NULL, 'ATP SYNTHASE GAMMA CHAIN', 158916),
(215191, 'PTHR31282:SF104', NULL, NULL, NULL, NULL, 'WRKY PROTEIN', 158917),
(215192, 'PTHR19868:SF11', NULL, NULL, NULL, NULL, 'BNAA06G12310D PROTEIN', 158918),
(215193, 'PTHR48022:SF77', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 158919),
(215194, 'PTHR10183:SF410', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158920);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(215195, 'PTHR48063:SF19', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 158921),
(215196, 'PTHR31194:SF110', NULL, NULL, NULL, NULL, 'OS01G0224100 PROTEIN', 158922),
(215197, 'PTHR15680:SF10', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L19-1, CHLOROPLASTIC-RELATED', 158923),
(215198, 'PTHR11654:SF380', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158924),
(215199, 'PTHR10015:SF364', NULL, NULL, NULL, NULL, 'BNAA04G11750D PROTEIN', 158925),
(215200, 'PTHR34152:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG25271', 158926),
(215201, 'PTHR32401:SF16', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN FAMILY PROTEIN', 158927),
(215202, 'PTHR13806:SF42', NULL, NULL, NULL, NULL, 'FLOTILLIN-LIKE PROTEIN 2', 158928),
(215203, 'PTHR31929:SF121', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR21-LIKE', 158929),
(215204, 'PTHR33181:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158930),
(215205, 'PTHR15907:SF101', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 1', 158931),
(215206, 'PTHR24062:SF19', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 158932),
(215207, 'PTHR10288:SF249', NULL, NULL, NULL, NULL, 'PAB1-BINDING PROTEIN 2', 158933),
(215208, 'PTHR10210:SF45', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 3, CHLOROPLASTIC', 158934),
(215209, 'PTHR13116:SF8', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 3', 158935),
(215210, 'PTHR21136:SF104', NULL, NULL, NULL, NULL, 'OS02G0803600 PROTEIN', 158936),
(215211, 'PTHR25462:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158937),
(215212, 'PTHR22763', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN', 158938),
(215213, 'PTHR32176:SF80', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE/ACYL HYDROLASE/LYSOPHOSPHOLIPASE-RELATED', 158939),
(215214, 'PTHR31342:SF46', NULL, NULL, NULL, NULL, 'OS07G0188266 PROTEIN', 158940),
(215215, 'PTHR24281:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158941),
(215216, 'PTHR47997:SF21', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 55', 158942),
(215217, 'PTHR10497:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', 158943),
(215218, 'PTHR12867:SF7', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL UDP-N-ACETYLGLUCOSAMINE TRANSFERASE AND DEUBIQUITINASE ALG13-RELATED', 158944),
(215219, 'PTHR24299:SF30', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', 158945),
(215220, 'PTHR34186:SF2', NULL, NULL, NULL, NULL, 'CYANATE HYDRATASE', 158946),
(215221, 'PTHR12360:SF13', NULL, NULL, NULL, NULL, 'NF-X1-TYPE ZINC FINGER PROTEIN NFXL1', 158947),
(215222, 'PTHR15267:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 18', 158948),
(215223, 'PTHR22847:SF708', NULL, NULL, NULL, NULL, 'WD REPEAT AND FYVE DOMAIN CONTAINING 2', 158949),
(215224, 'PTHR32493:SF0', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 5', 158950),
(215225, 'PTHR21179:SF0', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 4', 158951),
(215226, 'PTHR30462:SF0', NULL, NULL, NULL, NULL, 'INTERMEMBRANE TRANSPORT PROTEIN YEBT', 158952),
(215227, 'PTHR13355:SF9', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE BSU40680-RELATED', 158953),
(215228, 'PTHR22727:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG13728', 158954),
(215229, 'PTHR10615:SF174', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 10', 158955),
(215230, 'PTHR43441:SF3', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 158956),
(215231, 'PTHR26379:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158957),
(215232, 'PTHR16172', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 158958),
(215233, 'PTHR15191:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG20567', 158959),
(215234, 'PTHR35083:SF1', NULL, NULL, NULL, NULL, 'RGD1565685 PROTEIN', 158960),
(215235, 'PTHR31669:SF62', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 1', 158961),
(215236, 'PTHR45671:SF19', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE/SOLUTE CARRIER', 158962),
(215237, 'PTHR11709:SF270', NULL, NULL, NULL, NULL, 'MONOCOPPER OXIDASE-LIKE PROTEIN SKS1', 158963),
(215238, 'PTHR34142:SF4', NULL, NULL, NULL, NULL, 'GALACTOSE-BINDING DOMAIN-CONTAINING PROTEIN', 158964);
INSERT INTO "PUBLIC"."MODEL" VALUES
(215239, 'PTHR35586:SF1', NULL, NULL, NULL, NULL, 'SLL1691 PROTEIN', 158965),
(215240, 'PTHR48019:SF33', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL65', 158966),
(215241, 'PTHR31388:SF219', NULL, NULL, NULL, NULL, 'PEROXIDASE 68', 158967),
(215242, 'PTHR30231:SF11', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III, EPSILON SUBUNIT', 158968),
(215243, 'PTHR10231:SF83', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR TRANSPORTER FAMILY', 158969),
(215244, 'PTHR46087:SF17', NULL, NULL, NULL, NULL, 'BNAC05G04080D PROTEIN', 158970),
(215245, 'PTHR12654:SF20', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', 158971),
(215246, 'PTHR10283:SF92', NULL, NULL, NULL, NULL, 'LOW-AFFINITY PHOSPHATE TRANSPORTER PHO91', 158972),
(215247, 'PTHR23502:SF145', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE-RELATED', 158973),
(215248, 'PTHR45931:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHY1A-RELATED', 158974),
(215249, 'PTHR14885:SF2', NULL, NULL, NULL, NULL, 'CILIA AND FLAGELLA ASSOCIATED PROTEIN 44', 158975),
(215250, 'PTHR43432:SF4', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', 158976),
(215251, 'PTHR31006:SF3', NULL, NULL, NULL, NULL, 'F-BOX A PROTEIN', 158977),
(215252, 'PTHR19317:SF79', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 158978),
(215253, 'PTHR31889:SF36', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', 158979),
(215254, 'PTHR23115:SF244', NULL, NULL, NULL, NULL, 'OS04G0677800 PROTEIN', 158980),
(215255, 'PTHR15601:SF15', NULL, NULL, NULL, NULL, 'STRESS-ASSOCIATED ENDOPLASMIC RETICULUM PROTEIN', 158981),
(215256, 'PTHR31500:SF94', NULL, NULL, NULL, NULL, 'BNAC04G33040D PROTEIN', 158982),
(215257, 'PTHR10306', NULL, NULL, NULL, NULL, 'SYNAPTOPHYSIN', 158983),
(215258, 'PTHR11452:SF42', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', 158984),
(215259, 'PTHR44733:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 22', 158985),
(215260, 'PTHR13372:SF5', NULL, NULL, NULL, NULL, 'GEMININ', 158986),
(215261, 'PTHR47214:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ROUGH SHEATH 2 HOMOLOG', 158987),
(215262, 'PTHR43669:SF3', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03445)-RELATED', 158988),
(215263, 'PTHR24286:SF318', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 724B1-LIKE', 158989),
(215264, 'PTHR20835:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PPP1R11', 158990),
(215265, 'PTHR10361:SF28', NULL, NULL, NULL, NULL, 'RH04535P', 158991),
(215266, 'PTHR10134:SF38', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX IRON-SULFUR SUBUNIT', 158992),
(215267, 'PTHR33659:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158993),
(215268, 'PTHR13466:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158994),
(215269, 'PTHR18829', NULL, NULL, NULL, NULL, 'PROTEIN YAE1 HOMOLOG', 158995),
(215270, 'PTHR32133:SF340', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158996),
(215271, 'PTHR14226:SF72', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE-RELATED', 158997),
(215272, 'PTHR21706:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 158998),
(215273, 'PTHR22804:SF41', NULL, NULL, NULL, NULL, 'BREVICAN CORE PROTEIN', 158999),
(215274, 'PTHR46539:SF17', NULL, NULL, NULL, NULL, 'BNAA08G13100D PROTEIN', 159000),
(215275, 'PTHR11802:SF376', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 41', 159001),
(215276, 'PTHR10110:SF171', NULL, NULL, NULL, NULL, 'BNAA09G03600D PROTEIN', 159002),
(215277, 'PTHR31557:SF1', NULL, NULL, NULL, NULL, 'PROTEIN UP-REGULATED IN DAF-2(GF)', 159003),
(215278, 'PTHR24329:SF544', NULL, NULL, NULL, NULL, 'REPRODUCTIVE HOMEOBOX 10', 159004),
(215279, 'PTHR36697:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', 159005),
(215280, 'PTHR21377:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM210A', 159006),
(215281, 'PTHR21495:SF203', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 159007),
(215282, 'PTHR20852:SF103', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE CYTOSOLIC ISOZYME 1-5', 159008),
(215283, 'PTHR42684:SF1', NULL, NULL, NULL, NULL, 'BETA-ALANINE--PYRUVATE AMINOTRANSFERASE', 159009);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(215284, 'PTHR10472:SF7', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE', 159010),
(215285, 'PTHR13140:SF769', NULL, NULL, NULL, NULL, 'MYOSIN-2', 159011),
(215286, 'PTHR11260:SF692', NULL, NULL, NULL, NULL, 'BNACNNG49200D PROTEIN', 159012),
(215287, 'PTHR48001:SF38', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 159013),
(215288, 'PTHR33177:SF51', NULL, NULL, NULL, NULL, 'GB|AAF02129.1', 159014),
(215289, 'PTHR17085:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 4', 159015),
(215290, 'PTHR11206:SF377', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 159016),
(215291, 'PTHR47982:SF38', NULL, NULL, NULL, NULL, 'BNAA01G28400D PROTEIN', 159017),
(215292, 'PTHR33095:SF70', NULL, NULL, NULL, NULL, 'OS07G0619500 PROTEIN', 159018),
(215293, 'PTHR18868:SF32', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 159019),
(215294, 'PTHR31589:SF136', NULL, NULL, NULL, NULL, 'BNAA02G35170D PROTEIN', 159020),
(215295, 'PTHR31388:SF228', NULL, NULL, NULL, NULL, 'PEROXIDASE', 159021),
(215296, 'PTHR15627', NULL, NULL, NULL, NULL, 'NATURAL KILLER CELL-SPECIFIC ANTIGEN KLIP1', 159022),
(215297, 'PTHR10791:SF204', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 159023),
(215298, 'PTHR30346:SF8', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GLTC', 159024),
(215299, 'PTHR10127:SF851', NULL, NULL, NULL, NULL, 'MEPRIN A SUBUNIT', 159025),
(215300, 'PTHR28190:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR MIGRATION PROTEIN NUM1', 159026),
(215301, 'PTHR43329:SF71', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', 159027),
(215302, 'PTHR47005:SF13', NULL, NULL, NULL, NULL, 'CHITIN-BINDING LECTIN 1-LIKE', 159028),
(215303, 'PTHR47928:SF95', NULL, NULL, NULL, NULL, 'OS11G0483950 PROTEIN', 159029),
(215304, 'PTHR31485:SF7', NULL, NULL, NULL, NULL, 'PEPTIDYL SERINE ALPHA-GALACTOSYLTRANSFERASE', 159030),
(215305, 'PTHR31509:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159031),
(215306, 'PTHR23158:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159032),
(215307, 'PTHR43243:SF20', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 3', 159033),
(215308, 'PTHR11465:SF54', NULL, NULL, NULL, NULL, 'CATALASE-RELATED PEROXIDASE', 159034),
(215309, 'PTHR23338:SF51', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SMD1A', 159035),
(215310, 'PTHR33360:SF3', NULL, NULL, NULL, NULL, 'IS200-LIKE TRANSPOSASE', 159036),
(215311, 'PTHR32100:SF40', NULL, NULL, NULL, NULL, 'OLEATE HYDROXYLASE FAH12', 159037),
(215312, 'PTHR22883:SF355', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 159038),
(215313, 'PTHR15315:SF92', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 159039),
(215314, 'PTHR33162:SF1', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATA, CHLOROPLASTIC', 159040),
(215315, 'PTHR17901:SF14', NULL, NULL, NULL, NULL, 'MAGNESIUM-DEPENDENT PHOSPHATASE 1', 159041),
(215316, 'PTHR47584:SF10', NULL, NULL, NULL, NULL, 'BNAA09G54260D PROTEIN', 159042),
(215317, 'PTHR36695:SF12', NULL, NULL, NULL, NULL, 'AGAP008648-PA', 159043),
(215318, 'PTHR24072:SF0', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOB', 159044),
(215319, 'PTHR37023', NULL, NULL, NULL, NULL, 'TRANSPOSASE', 159045),
(215320, 'PTHR46565:SF8', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN 2', 159046),
(215321, 'PTHR16768:SF5', NULL, NULL, NULL, NULL, 'FI14214P', 159047),
(215322, 'PTHR10438:SF435', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 159048),
(215323, 'PTHR10593:SF29', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 11', 159049),
(215324, 'PTHR11042:SF140', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0268642-RELATED', 159050),
(215325, 'PTHR42979:SF7', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDROGENASE', 159051),
(215326, 'PTHR11977:SF49', NULL, NULL, NULL, NULL, 'VILLIN-4', 159052),
(215327, 'PTHR43327', NULL, NULL, NULL, NULL, 'STOMATIN-LIKE PROTEIN 2, MITOCHONDRIAL', 159053),
(215328, 'PTHR13064', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 9 FAMILY MEMBER', 159054),
(215329, 'PTHR11904', NULL, NULL, NULL, NULL, 'METHYLTHIOADENOSINE/PURINE NUCLEOSIDE PHOSPHORYLASE', 159055);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(215330, 'PTHR46017:SF2', NULL, NULL, NULL, NULL, 'MANNOSYLGLYCERATE HYDROLASE', 159056),
(215331, 'PTHR26312:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159057),
(215332, 'PTHR32116:SF31', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 8', 159058),
(215333, 'PTHR31165:SF84', NULL, NULL, NULL, NULL, 'BNAC02G25250D PROTEIN', 159059),
(215334, 'PTHR11732:SF473', NULL, NULL, NULL, NULL, 'ASCORBATE BIOSYNTHESIS-RELATED PROTEIN', 159060),
(215335, 'PTHR23021:SF23', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 159061),
(215336, 'PTHR31016:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159062),
(215337, 'PTHR13038:SF13', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 9A', 159063),
(215338, 'PTHR11736:SF7', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN E2', 159064),
(215339, 'PTHR10285:SF193', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE, CHLOROPLASTIC', 159065),
(215340, 'PTHR31087:SF125', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 8-LIKE', 159066),
(215341, 'PTHR22923:SF3', NULL, NULL, NULL, NULL, 'CEREBELLIN-4', 159067),
(215342, 'PTHR31136', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 159068),
(215343, 'PTHR43464:SF53', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE METHYLTRANSFERASE', 159069),
(215344, 'PTHR47989:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159070),
(215345, 'PTHR45647:SF102', NULL, NULL, NULL, NULL, 'OS10G0548700 PROTEIN', 159071),
(215346, 'PTHR24343:SF370', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE OSK4', 159072),
(215347, 'PTHR12959:SF11', NULL, NULL, NULL, NULL, 'GPI TRANSAMIDASE COMPONENT PIG-T', 159073),
(215348, 'PTHR18952:SF225', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 7', 159074),
(215349, 'PTHR23023:SF266', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 159075),
(215350, 'PTHR31284:SF38', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1', 159076),
(215351, 'PTHR43616', NULL, NULL, NULL, NULL, 'GLYCEROL DEHYDROGENASE', 159077),
(215352, 'PTHR42034:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 159078),
(215353, 'PTHR46412:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BIM2', 159079),
(215354, 'PTHR10972:SF141', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN', 159080),
(215355, 'PTHR48007:SF48', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 8-LIKE', 159081),
(215356, 'PTHR11929:SF187', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE FUT-1', 159082),
(215357, 'PTHR34492', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR FAMILY', 159083),
(215358, 'PTHR34057:SF1', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR', 159084),
(215359, 'PTHR12428:SF54', NULL, NULL, NULL, NULL, 'BNAA10G27850D PROTEIN', 159085),
(215360, 'PTHR46352:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN STOP1 HOMOLOG', 159086),
(215361, 'PTHR35617:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159087),
(215362, 'PTHR45436:SF1', NULL, NULL, NULL, NULL, 'TRICARBOXYLIC TRANSPORT REGULATORY PROTEIN', 159088),
(215363, 'PTHR32208:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159089),
(215364, 'PTHR38522:SF2', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE-ASSOCIATED CATION-BINDING PROTEIN 1', 159090),
(215365, 'PTHR47960:SF16', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 6', 159091),
(215366, 'PTHR46400:SF8', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE BIG BROTHER-RELATED-LIKE', 159092),
(215367, 'PTHR30217:SF6', NULL, NULL, NULL, NULL, 'PROTEASE-RELATED', 159093),
(215368, 'PTHR31549:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159094),
(215369, 'PTHR33065:SF131', NULL, NULL, NULL, NULL, 'OS07G0486400 PROTEIN', 159095),
(215370, 'PTHR24055:SF480', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE DDB_G0274613-RELATED', 159096),
(215371, 'PTHR44442', NULL, NULL, NULL, NULL, '3-KETO-STEROID REDUCTASE', 159097),
(215372, 'PTHR31752:SF61', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER-RELATED', 159098),
(215373, 'PTHR15892:SF3', NULL, NULL, NULL, NULL, 'BNAA05G10090D PROTEIN', 159099),
(215374, 'PTHR46038:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 159100);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(215375, 'PTHR46324:SF28', NULL, NULL, NULL, NULL, 'OCS ELEMENT-BINDING FACTOR 1', 159101),
(215376, 'PTHR12277:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CBG13831', 159102),
(215377, 'PTHR11017:SF406', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 159103),
(215378, 'PTHR11588:SF112', NULL, NULL, NULL, NULL, 'TUBULIN BETA-1 CHAIN', 159104),
(215379, 'PTHR31973:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159105),
(215380, 'PTHR33548:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159106),
(215381, 'PTHR12606:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159107),
(215382, 'PTHR12907', NULL, NULL, NULL, NULL, 'EGL NINE HOMOLOG-RELATED', 159108),
(215383, 'PTHR14343', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 159109),
(215384, 'PTHR43489:SF11', NULL, NULL, NULL, NULL, '2-OXO-TETRONATE ISOMERASE', 159110),
(215385, 'PTHR33130:SF45', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 6 HOMOLOG', 159111),
(215386, 'PTHR10671:SF7', NULL, NULL, NULL, NULL, 'PERIPHERAL MYELIN PROTEIN 22', 159112),
(215387, 'PTHR15923:SF1', NULL, NULL, NULL, NULL, 'LIPOLYSIS-STIMULATED LIPOPROTEIN RECEPTOR', 159113),
(215388, 'PTHR46008:SF28', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 159114),
(215389, 'PTHR48017:SF122', NULL, NULL, NULL, NULL, 'PROTEIN CBG09610', 159115),
(215390, 'PTHR19861', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN SWD2', 159116),
(215391, 'PTHR10177:SF378', NULL, NULL, NULL, NULL, 'CYCLIN-D2-1-LIKE', 159117),
(215392, 'PTHR47925:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159118),
(215393, 'PTHR10314:SF35', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE-RELATED', 159119),
(215394, 'PTHR45880:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, X-LINKED 2', 159120),
(215395, 'PTHR16677:SF1', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC PROGENITOR CELL ANTIGEN CD34', 159121),
(215396, 'PTHR46354:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159122),
(215397, 'PTHR31269:SF42', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT ANION CHANNEL-RELATED', 159123),
(215398, 'PTHR12537:SF48', NULL, NULL, NULL, NULL, 'MEIOTIC PUF FAMILY PROTEIN 1-RELATED', 159124),
(215399, 'PTHR10641:SF1278', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR MIXTA-LIKE PROTEIN', 159125),
(215400, 'PTHR19851', NULL, NULL, NULL, NULL, 'OS02G0203500 PROTEIN', 159126),
(215401, 'PTHR12290:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 4-LIKE', 159127),
(215402, 'PTHR40036', NULL, NULL, NULL, NULL, 'MACROCIN O-METHYLTRANSFERASE', 159128),
(215403, 'PTHR47960:SF14', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DEAD-BOX, CONSERVED SITE-RELATED', 159129),
(215404, 'PTHR22777:SF28', NULL, NULL, NULL, NULL, 'BNAC03G73630D PROTEIN', 159130),
(215405, 'PTHR23423:SF77', NULL, NULL, NULL, NULL, 'PROTEIN LAZ1', 159131),
(215406, 'PTHR48026:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159132),
(215407, 'PTHR45649:SF2', NULL, NULL, NULL, NULL, 'ACID PERMEASE, PUTATIVE-RELATED', 159133),
(215408, 'PTHR46005:SF4', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 190', 159134),
(215409, 'PTHR31384:SF94', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 17', 159135),
(215410, 'PTHR33744:SF14', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', 159136),
(215411, 'PTHR11304:SF5', NULL, NULL, NULL, NULL, 'EPHRIN-A3', 159137),
(215412, 'PTHR31375:SF92', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 159138),
(215413, 'PTHR24242:SF256', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 159139),
(215414, 'PTHR45389:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN RUP1', 159140),
(215415, 'PTHR33121:SF58', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION PROTEIN CONTAINING A EAL DOMAIN', 159141),
(215416, 'PTHR45819:SF3', NULL, NULL, NULL, NULL, 'ARF-GAP WITH GTPASE, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 2', 159142),
(215417, 'PTHR13902:SF136', NULL, NULL, NULL, NULL, 'BNAANNG10720D PROTEIN', 159143),
(215418, 'PTHR24028:SF58', NULL, NULL, NULL, NULL, 'MCG141285', 159144),
(215419, 'PTHR44218:SF13', NULL, NULL, NULL, NULL, 'BNAA01G28800D PROTEIN', 159145);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(215420, 'PTHR24073:SF974', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-1D', 159146),
(215421, 'PTHR39490:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER, FYVE DOMAIN-CONTAINING 9A-RELATED', 159147),
(215422, 'PTHR43272:SF55', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 5', 159148),
(215423, 'PTHR11008:SF36', NULL, NULL, NULL, NULL, 'CIRCADIAN CLOCK-CONTROLLED PROTEIN-LIKE PROTEIN', 159149),
(215424, 'PTHR10033:SF15', NULL, NULL, NULL, NULL, 'CALSEQUESTRIN-2', 159150),
(215425, 'PTHR43968:SF4', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE OMEGA-2', 159151),
(215426, 'PTHR43900:SF56', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE PHI 8', 159152),
(215427, 'PTHR48034:SF19', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SR45A-LIKE', 159153),
(215428, 'PTHR11778:SF18', NULL, NULL, NULL, NULL, 'BNAA09G03770D PROTEIN', 159154),
(215429, 'PTHR31485:SF3', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-ARABINOSYLTRANSFERASE 1', 159155),
(215430, 'PTHR24381:SF308', NULL, NULL, NULL, NULL, 'CHROMATIN-LINKED ADAPTOR FOR MSL PROTEINS, ISOFORM B-RELATED', 159156),
(215431, 'PTHR11880:SF49', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15-2', 159157),
(215432, 'PTHR10256', NULL, NULL, NULL, NULL, 'SELENIDE, WATER DIKINASE', 159158),
(215433, 'PTHR46109:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LIN-28 HOMOLOG A', 159159),
(215434, 'PTHR14095:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B''''BETA-LIKE', 159160),
(215435, 'PTHR35976', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN J', 159161),
(215436, 'PTHR36147', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 159162),
(215437, 'PTHR11699:SF287', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 2 MEMBER C4-LIKE', 159163),
(215438, 'PTHR46214:SF4', NULL, NULL, NULL, NULL, 'OS05G0452800 PROTEIN', 159164),
(215439, 'PTHR33239:SF15', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN 270-11', 159165),
(215440, 'PTHR31059', NULL, NULL, NULL, NULL, 'HSSA/B-LIKE PROTEIN 1-RELATED-RELATED', 159166),
(215441, 'PTHR23502:SF57', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTL', 159167),
(215442, 'PTHR31232:SF82', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY PROTEIN', 159168),
(215443, 'PTHR11615:SF212', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2A1', 159169),
(215444, 'PTHR19338:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8 A', 159170),
(215445, 'PTHR45976:SF3', NULL, NULL, NULL, NULL, 'JUNCTION PLAKOGLOBIN', 159171),
(215446, 'PTHR24350:SF0', NULL, NULL, NULL, NULL, 'AURORA A', 159172),
(215447, 'PTHR24055:SF492', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE F-4', 159173),
(215448, 'PTHR45654:SF51', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN MERISTEM L1-LIKE', 159174),
(215449, 'PTHR38111:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FLIY, PUTATIVE-RELATED', 159175),
(215450, 'PTHR11206:SF272', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 40', 159176),
(215451, 'PTHR43096', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG 1, MITOCHONDRIAL-RELATED', 159177),
(215452, 'PTHR46052', NULL, NULL, NULL, NULL, 'PHOSDUCIN-LIKE PROTEIN', 159178),
(215453, 'PTHR35998:SF2', NULL, NULL, NULL, NULL, 'ENVELOPE GLYCOPROTEIN', 159179),
(215454, 'PTHR47982:SF47', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK5', 159180),
(215455, 'PTHR23236:SF78', NULL, NULL, NULL, NULL, 'BNAA04G17640D PROTEIN', 159181),
(215456, 'PTHR37690', NULL, NULL, NULL, NULL, 'CHORISMATE DEHYDRATASE', 159182),
(215457, 'PTHR42716:SF2', NULL, NULL, NULL, NULL, 'L-ASPARTATE OXIDASE, CHLOROPLASTIC', 159183),
(215458, 'PTHR11945:SF642', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 20', 159184),
(215459, 'PTHR11848:SF125', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA-1 PROPROTEIN', 159185),
(215460, 'PTHR33649:SF2', NULL, NULL, NULL, NULL, 'PAR1 PROTEIN', 159186),
(215461, 'PTHR32322:SF16', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE/S-ADENOSYLHOMOCYSTEINE TRANSPORTER', 159187),
(215462, 'PTHR10894:SF22', NULL, NULL, NULL, NULL, 'BNAA05G26350D PROTEIN', 159188);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(215463, 'PTHR13336', NULL, NULL, NULL, NULL, 'OVARIAN CARCINOMA IMMUNOREACTIVE ANTIGEN', 159189),
(215464, 'PTHR46198:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 5', 159190),
(215465, 'PTHR23505:SF11', NULL, NULL, NULL, NULL, 'OS09G0371200 PROTEIN', 159191),
(215466, 'PTHR33107:SF33', NULL, NULL, NULL, NULL, 'KUNITZ TYPE TRYPSIN INHIBITOR', 159192),
(215467, 'PTHR34043:SF8', NULL, NULL, NULL, NULL, 'LIPASE-LIKE', 159193),
(215468, 'PTHR45712:SF9', NULL, NULL, NULL, NULL, 'CELL SURFACE PROTEIN, SIMILAR TO INTERNALIN PROTEINS-RELATED', 159194),
(215469, 'PTHR45642:SF53', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN', 159195),
(215470, 'PTHR31674:SF53', NULL, NULL, NULL, NULL, 'BNACNNG48580D PROTEIN', 159196),
(215471, 'PTHR33881:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 159197),
(215472, 'PTHR30201', NULL, NULL, NULL, NULL, 'TRIPHOSPHORIBOSYL-DEPHOSPHO-COA SYNTHASE', 159198),
(215473, 'PTHR24206:SF62', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN WLIM2B-LIKE', 159199),
(215474, 'PTHR46796', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR RHAS-RELATED', 159200),
(215475, 'PTHR33168:SF68', NULL, NULL, NULL, NULL, 'BNAC08G08060D PROTEIN', 159201),
(215476, 'PTHR10306:SF29', NULL, NULL, NULL, NULL, 'SYNAPTOPHYSIN-LIKE 2A', 159202),
(215477, 'PTHR45616:SF1', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 80', 159203),
(215478, 'PTHR20939:SF10', NULL, NULL, NULL, NULL, 'SORTING NEXIN-21', 159204),
(215479, 'PTHR46104:SF1', NULL, NULL, NULL, NULL, 'GENE 9195-RELATED', 159205),
(215480, 'PTHR23273:SF76', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', 159206),
(215481, 'PTHR13674:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM162A', 159207),
(215482, 'PTHR22607:SF3', NULL, NULL, NULL, NULL, 'CDK2-ASSOCIATED PROTEIN 1, ISOFORM B', 159208),
(215483, 'PTHR24392:SF39', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 518A', 159209),
(215484, 'PTHR11614:SF167', NULL, NULL, NULL, NULL, 'SERINE AMINOPEPTIDASE, S33, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 159210),
(215485, 'PTHR12668:SF43', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14 HOMOLOG', 159211),
(215486, 'PTHR43206:SF2', NULL, NULL, NULL, NULL, '4-AMINOBUTYRATE AMINOTRANSFERASE GABT', 159212),
(215487, 'PTHR11442:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159213),
(215488, 'PTHR11787:SF15', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR 2', 159214),
(215489, 'PTHR37874:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1500011B03 GENE-RELATED', 159215),
(215490, 'PTHR46913:SF3', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL16-LIKE', 159216),
(215491, 'PTHR30093:SF31', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN G-RELATED', 159217),
(215492, 'PTHR42893:SF4', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 42', 159218),
(215493, 'PTHR10134:SF35', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE, MITOCHONDRIAL', 159219),
(215494, 'PTHR10997:SF9', NULL, NULL, NULL, NULL, 'IMPORTIN-9', 159220),
(215495, 'PTHR31713:SF74', NULL, NULL, NULL, NULL, 'CALMODULIN BINDING PROTEIN-LIKE PROTEIN-RELATED', 159221),
(215496, 'PTHR45959:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18-LIKE', 159222),
(215497, 'PTHR42923:SF24', NULL, NULL, NULL, NULL, 'OS04G0560500 PROTEIN', 159223),
(215498, 'PTHR12136:SF47', NULL, NULL, NULL, NULL, 'ENHANCED DISEASE RESISTANCE PROTEIN (DUF1336)', 159224),
(215499, 'PTHR31232:SF93', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 159225),
(215500, 'PTHR18902:SF26', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 3', 159226),
(215501, 'PTHR31867:SF105', NULL, NULL, NULL, NULL, 'EXPANSIN-A2', 159227),
(215502, 'PTHR45781:SF1', NULL, NULL, NULL, NULL, 'AGAP000281-PA', 159228),
(215503, 'PTHR19431:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159229),
(215504, 'PTHR47926:SF59', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 159230),
(215505, 'PTHR46432', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 42', 159231);
INSERT INTO "PUBLIC"."MODEL" VALUES
(215506, 'PTHR21649:SF4', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 4, CHLOROPLASTIC', 159232),
(215507, 'PTHR24128:SF24', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN RF_0381-RELATED', 159233),
(215508, 'PTHR46133:SF20', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 159234),
(215509, 'PTHR12570:SF19', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 159235),
(215510, 'PTHR43228:SF15', NULL, NULL, NULL, NULL, 'SENSORY BOX HISTIDINE KINASE/RESPONSE REGULATOR', 159236),
(215511, 'PTHR19290:SF105', NULL, NULL, NULL, NULL, 'NEUROGENIN-2', 159237),
(215512, 'PTHR45647:SF60', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 35', 159238),
(215513, 'PTHR13314:SF2', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL FLOWER HOMOLOG', 159239),
(215514, 'PTHR11893:SF35', NULL, NULL, NULL, NULL, 'INNEXIN', 159240),
(215515, 'PTHR13778:SF40', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 9-RELATED', 159241),
(215516, 'PTHR21290:SF24', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:CERAMIDE CHOLINEPHOSPHOTRANSFERASE 2', 159242),
(215517, 'PTHR16560:SF2', NULL, NULL, NULL, NULL, 'ALPHA-2-MACROGLOBULIN RECEPTOR-ASSOCIATED PROTEIN', 159243),
(215518, 'PTHR47907', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 159244),
(215519, 'PTHR36019', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN', 159245),
(215520, 'PTHR22750:SF6', NULL, NULL, NULL, NULL, 'MELANOCORTIN RECEPTOR 4', 159246),
(215521, 'PTHR46508:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159247),
(215522, 'PTHR12930', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 183', 159248),
(215523, 'PTHR33124:SF2', NULL, NULL, NULL, NULL, 'OS06G0653200 PROTEIN', 159249),
(215524, 'PTHR31675:SF34', NULL, NULL, NULL, NULL, 'BNAC08G43150D PROTEIN', 159250),
(215525, 'PTHR11669:SF20', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C SUBUNIT 4', 159251),
(215526, 'PTHR32444:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159252),
(215527, 'PTHR37215:SF1', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN PROTEIN', 159253),
(215528, 'PTHR34704', NULL, NULL, NULL, NULL, 'ATPASE', 159254),
(215529, 'PTHR46594:SF4', NULL, NULL, NULL, NULL, 'P-TYPE CATION-TRANSPORTING ATPASE', 159255),
(215530, 'PTHR43085:SF2', NULL, NULL, NULL, NULL, 'FRUCTOKINASE-LIKE 2, CHLOROPLASTIC', 159256),
(215531, 'PTHR44307:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE N-METHYLTRANSFERASE 1', 159257),
(215532, 'PTHR24039:SF0', NULL, NULL, NULL, NULL, 'FIBRILLIN-3', 159258),
(215533, 'PTHR45619:SF43', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 159259),
(215534, 'PTHR12701:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159260),
(215535, 'PTHR31218:SF324', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 159261),
(215536, 'PTHR32254:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159262),
(215537, 'PTHR43719:SF42', NULL, NULL, NULL, NULL, 'AUTOINDUCER 2 SENSOR KINASE/PHOSPHATASE LUXQ', 159263),
(215538, 'PTHR32009:SF64', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN-RELATED', 159264),
(215539, 'PTHR31625:SF59', NULL, NULL, NULL, NULL, 'BNAANNG32210D PROTEIN', 159265),
(215540, 'PTHR44372:SF6', NULL, NULL, NULL, NULL, 'BNACNNG19790D PROTEIN', 159266),
(215541, 'PTHR24023:SF866', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-3(IX) CHAIN', 159267),
(215542, 'PTHR14159:SF1', NULL, NULL, NULL, NULL, 'ATAXIN-3', 159268),
(215543, 'PTHR11830:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', 159269),
(215544, 'PTHR10791:SF22', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET15', 159270),
(215545, 'PTHR11360:SF231', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 159271),
(215546, 'PTHR24392:SF18', NULL, NULL, NULL, NULL, 'RB-ASSOCIATED KRAB ZINC FINGER PROTEIN', 159272),
(215547, 'PTHR24074:SF26', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 159273),
(215548, 'PTHR46638', NULL, NULL, NULL, NULL, 'CORRINOID ADENOSYLTRANSFERASE', 159274),
(215549, 'PTHR11926:SF1321', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 159275);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(215550, 'PTHR33385:SF15', NULL, NULL, NULL, NULL, 'INDUCED TRANSCRIPT PROTEIN, PUTATIVE-RELATED', 159276),
(215551, 'PTHR12864:SF13', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN IN THE MICROTUBULE-ORGANISING CENTRE PROTEIN', 159277),
(215552, 'PTHR10015:SF371', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-4B-LIKE', 159278),
(215553, 'PTHR45648:SF12', NULL, NULL, NULL, NULL, 'GDSL-LIPASE-LIKE', 159279),
(215554, 'PTHR42712:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT I', 159280),
(215555, 'PTHR31676:SF125', NULL, NULL, NULL, NULL, 'BNAC03G30980D PROTEIN', 159281),
(215556, 'PTHR45785:SF7', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR H', 159282),
(215557, 'PTHR33053', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 159283),
(215558, 'PTHR19353:SF15', NULL, NULL, NULL, NULL, 'MICROSOMAL DELTA-5 DESATURASE', 159284),
(215559, 'PTHR13946', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I,II,III', 159285),
(215560, 'PTHR42078:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159286),
(215561, 'PTHR22972', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE', 159287),
(215562, 'PTHR34776', NULL, NULL, NULL, NULL, 'F17F16.3 PROTEIN', 159288),
(215563, 'PTHR12876:SF26', NULL, NULL, NULL, NULL, 'NEDD4-BINDING PROTEIN 1', 159289),
(215564, 'PTHR47698', NULL, NULL, NULL, NULL, 'FATTY-ACID-BINDING PROTEIN 3, CHLOROPLASTIC', 159290),
(215565, 'PTHR23042:SF6', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR NUCLEAR TRANSLOCATOR 2', 159291),
(215566, 'PTHR39081:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159292),
(215567, 'PTHR14000:SF11', NULL, NULL, NULL, NULL, 'BNAA07G24780D PROTEIN', 159293),
(215568, 'PTHR31674:SF38', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM1', 159294),
(215569, 'PTHR12411:SF740', NULL, NULL, NULL, NULL, 'VIGNAIN-LIKE ISOFORM X1', 159295),
(215570, 'PTHR11348:SF8', NULL, NULL, NULL, NULL, 'CCN FAMILY MEMBER 3', 159296),
(215571, 'PTHR10772:SF48', NULL, NULL, NULL, NULL, 'BNAC09G37140D PROTEIN', 159297),
(215572, 'PTHR23309:SF43', NULL, NULL, NULL, NULL, 'GLYOXYSOMAL FATTY ACID BETA-OXIDATION MULTIFUNCTIONAL PROTEIN MFP-A', 159298),
(215573, 'PTHR46869:SF16', NULL, NULL, NULL, NULL, 'BNAC07G12310D PROTEIN', 159299),
(215574, 'PTHR33432:SF17', NULL, NULL, NULL, NULL, 'EMSY N TERMINUS (ENT) DOMAIN-CONTAINING PROTEIN', 159300),
(215575, 'PTHR10239:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159301),
(215576, 'PTHR31636:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159302),
(215577, 'PTHR46128:SF271', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 159303),
(215578, 'PTHR31669:SF88', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 6-LIKE ISOFORM X1', 159304),
(215579, 'PTHR32385:SF19', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE-RELATED', 159305),
(215580, 'PTHR14057', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ONECUT', 159306),
(215581, 'PTHR20875:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159307),
(215582, 'PTHR24177:SF300', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 159308),
(215583, 'PTHR43675:SF17', NULL, NULL, NULL, NULL, 'CYCLOPROPANE-FATTY-ACYL-PHOSPHOLIPID SYNTHASE', 159309),
(215584, 'PTHR21726:SF66', NULL, NULL, NULL, NULL, 'DUF3741-ASSOCIATED SEQUENCE MOTIF PROTEIN-RELATED', 159310),
(215585, 'PTHR23172:SF68', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN PROTEIN', 159311),
(215586, 'PTHR11878:SF6', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER 1', 159312),
(215587, 'PTHR24298:SF771', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159313),
(215588, 'PTHR21705:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FAM160B2', 159314),
(215589, 'PTHR24089:SF725', NULL, NULL, NULL, NULL, 'OS02G0201500 PROTEIN', 159315),
(215590, 'PTHR11036:SF139', NULL, NULL, NULL, NULL, 'SEMAPHORIN-2A', 159316),
(215591, 'PTHR46915:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEASE 4', 159317),
(215592, 'PTHR47309', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD5', 159318),
(215593, 'PTHR24404:SF44', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 697', 159319);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(215594, 'PTHR13462:SF31', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN 1, MITOCHONDRIAL', 159320),
(215595, 'PTHR42977:SF1', NULL, NULL, NULL, NULL, 'BLR6576 PROTEIN', 159321),
(215596, 'PTHR24089:SF726', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN SCAMC-2-B', 159322),
(215597, 'PTHR43617:SF2', NULL, NULL, NULL, NULL, 'SLL6060 PROTEIN', 159323),
(215598, 'PTHR11814:SF185', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 26 MEMBER 10', 159324),
(215599, 'PTHR22960:SF0', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN 1', 159325),
(215600, 'PTHR11941:SF84', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 1, PEROXISOMAL', 159326),
(215601, 'PTHR14898', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB', 159327),
(215602, 'PTHR45679:SF1', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 159328),
(215603, 'PTHR32487:SF0', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G00600)', 159329),
(215604, 'PTHR10880:SF36', NULL, NULL, NULL, NULL, 'MALE-SPECIFIC LETHAL 3 HOMOLOG', 159330),
(215605, 'PTHR45654', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN MERISTEM L1', 159331),
(215606, 'PTHR16108', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 159332),
(215607, 'PTHR32175:SF4', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 159333),
(215608, 'PTHR22911:SF76', NULL, NULL, NULL, NULL, 'BIOTIN TRANSPORTER', 159334),
(215609, 'PTHR24366:SF121', NULL, NULL, NULL, NULL, 'PROTEIN HALFWAY-LIKE PROTEIN', 159335),
(215610, 'PTHR47978:SF9', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA4B-RELATED', 159336),
(215611, 'PTHR33180:SF20', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP47 REACTION CENTER PROTEIN', 159337),
(215612, 'PTHR19321:SF13', NULL, NULL, NULL, NULL, 'OS02G0126300 PROTEIN', 159338),
(215613, 'PTHR24381:SF299', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 764', 159339),
(215614, 'PTHR22978:SF29', NULL, NULL, NULL, NULL, 'PROTEIN BTG2', 159340),
(215615, 'PTHR24399:SF57', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 22', 159341),
(215616, 'PTHR10285:SF182', NULL, NULL, NULL, NULL, 'URACIL PHOSPHORIBOSYLTRANSFERASE', 159342),
(215617, 'PTHR31114:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 159343),
(215618, 'PTHR24064:SF200', NULL, NULL, NULL, NULL, 'METABOLITE TRANSPORT PROTEIN C1271.09-RELATED', 159344),
(215619, 'PTHR47319:SF21', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', 159345),
(215620, 'PTHR45675:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB27', 159346),
(215621, 'PTHR12002:SF188', NULL, NULL, NULL, NULL, 'CLAUDIN', 159347),
(215622, 'PTHR47956:SF68', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 99A2', 159348),
(215623, 'PTHR40031:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', 159349),
(215624, 'PTHR47991:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159350),
(215625, 'PTHR22765:SF231', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', 159351),
(215626, 'PTHR21495:SF54', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 159352),
(215627, 'PTHR30618:SF6', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', 159353),
(215628, 'PTHR35733', NULL, NULL, NULL, NULL, 'OS02G0307800 PROTEIN', 159354),
(215629, 'PTHR31989:SF340', NULL, NULL, NULL, NULL, 'BNAA06G19740D PROTEIN', 159355),
(215630, 'PTHR33033:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159356),
(215631, 'PTHR35572:SF3', NULL, NULL, NULL, NULL, 'ABNORMAL CELL MIGRATION PROTEIN 18', 159357),
(215632, 'PTHR31618:SF24', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 8', 159358),
(215633, 'PTHR11127:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L14-1', 159359),
(215634, 'PTHR47925:SF89', NULL, NULL, NULL, NULL, 'BNAA05G31840D PROTEIN', 159360),
(215635, 'PTHR11761', NULL, NULL, NULL, NULL, '50S/60S RIBOSOMAL PROTEIN L14/L23', 159361),
(215636, 'PTHR31238:SF180', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 159362),
(215637, 'PTHR32246:SF130', NULL, NULL, NULL, NULL, 'BNACNNG77840D PROTEIN', 159363),
(215638, 'PTHR45631:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159364);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(215639, 'PTHR14385', NULL, NULL, NULL, NULL, 'CXC CHEMOKINE LIGAND', 159365),
(215640, 'PTHR38696', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 159366),
(215641, 'PTHR47981:SF10', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB7-LIKE', 159367),
(215642, 'PTHR33184:SF48', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 159368),
(215643, 'PTHR18934:SF146', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH5, MITOCHONDRIAL', 159369),
(215644, 'PTHR22953:SF134', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 159370),
(215645, 'PTHR31867:SF118', NULL, NULL, NULL, NULL, 'EXPANSIN-A14', 159371),
(215646, 'PTHR11945:SF661', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159372),
(215647, 'PTHR20856:SF8', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC2', 159373),
(215648, 'PTHR34397:SF22', NULL, NULL, NULL, NULL, 'OS05G0237600 PROTEIN', 159374),
(215649, 'PTHR31859:SF3', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 39A', 159375),
(215650, 'PTHR12189:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159376),
(215651, 'PTHR10168:SF270', NULL, NULL, NULL, NULL, 'BNAA09G40320D PROTEIN', 159377),
(215652, 'PTHR31621:SF11', NULL, NULL, NULL, NULL, 'PROTEIN DMP8-RELATED', 159378),
(215653, 'PTHR48083:SF20', NULL, NULL, NULL, NULL, 'LONG-CHAIN SPECIFIC ACYL-COA DEHYDROGENASE, MITOCHONDRIAL', 159379),
(215654, 'PTHR10791:SF176', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 159380),
(215655, 'PTHR12504:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159381),
(215656, 'PTHR43200:SF2', NULL, NULL, NULL, NULL, 'MYO-INOSITOL-1(OR 4)-MONOPHOSPHATASE', 159382),
(215657, 'PTHR46170:SF1', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN WDR59', 159383),
(215658, 'PTHR18860:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159384),
(215659, 'PTHR12452:SF4', NULL, NULL, NULL, NULL, 'EG:140G11.5 PROTEIN', 159385),
(215660, 'PTHR24012:SF766', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 159386),
(215661, 'PTHR11439:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159387),
(215662, 'PTHR47956:SF75', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A27', 159388),
(215663, 'PTHR33127:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159389),
(215664, 'PTHR10361:SF62', NULL, NULL, NULL, NULL, 'SODIUM/PYRUVATE COTRANSPORTER BASS2, CHLOROPLASTIC', 159390),
(215665, 'PTHR11787:SF12', NULL, NULL, NULL, NULL, 'RAB PROTEINS GERANYLGERANYLTRANSFERASE COMPONENT A 1', 159391),
(215666, 'PTHR12570:SF72', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA4-RELATED', 159392),
(215667, 'PTHR30508:SF1', NULL, NULL, NULL, NULL, 'UPF0051 PROTEIN ABCI8, CHLOROPLASTIC-RELATED', 159393),
(215668, 'PTHR33095:SF68', NULL, NULL, NULL, NULL, 'BNAA04G10200D PROTEIN', 159394),
(215669, 'PTHR15617:SF1', NULL, NULL, NULL, NULL, 'AT-HOOK DNA-BINDING MOTIF-CONTAINING PROTEIN 1', 159395),
(215670, 'PTHR21312:SF32', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 8', 159396),
(215671, 'PTHR12585:SF62', NULL, NULL, NULL, NULL, 'BNAC09G41550D PROTEIN', 159397),
(215672, 'PTHR12276:SF104', NULL, NULL, NULL, NULL, 'BNAC04G48670D PROTEIN', 159398),
(215673, 'PTHR10288:SF267', NULL, NULL, NULL, NULL, 'F7A19.25 PROTEIN', 159399),
(215674, 'PTHR35683', NULL, NULL, NULL, NULL, 'YALI0C04136P', 159400),
(215675, 'PTHR11306:SF58', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL/PHOSPHATIDYLINOSITOL TRANSFER PROTEIN DDB_G0282179-RELATED', 159401),
(215676, 'PTHR33543:SF15', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 1A', 159402),
(215677, 'PTHR10257:SF76', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 57 KDA REGULATORY SUBUNIT B'' EPSILON ISOFORM', 159403),
(215678, 'PTHR24286:SF237', NULL, NULL, NULL, NULL, 'OS07G0520300 PROTEIN', 159404),
(215679, 'PTHR18898:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159405),
(215680, 'PTHR35161:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159406),
(215681, 'PTHR35548', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 159407),
(215682, 'PTHR10803:SF17', NULL, NULL, NULL, NULL, 'ANION-TRANSPORTING ATPASE', 159408);
INSERT INTO "PUBLIC"."MODEL" VALUES
(215683, 'PTHR11959:SF3', NULL, NULL, NULL, NULL, 'PROTEIN C31H2.4-RELATED', 159409),
(215684, 'PTHR13902:SF48', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-BINDING PROTEIN', 159410),
(215685, 'PTHR33492:SF13', NULL, NULL, NULL, NULL, 'OS01G0927200 PROTEIN', 159411),
(215686, 'PTHR11723:SF4', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN INHIBITOR ID-1', 159412),
(215687, 'PTHR11715:SF6', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', 159413),
(215688, 'PTHR23502:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159414),
(215689, 'PTHR31071:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159415),
(215690, 'PTHR31319:SF82', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS', 159416),
(215691, 'PTHR10013', NULL, NULL, NULL, NULL, 'GENERAL VESICULAR TRANSPORT FACTOR P115', 159417),
(215692, 'PTHR43537', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, GNTR FAMILY', 159418),
(215693, 'PTHR19321:SF9', NULL, NULL, NULL, NULL, 'OS02G0720200 PROTEIN', 159419),
(215694, 'PTHR37844:SF1', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN PHOSPHATASE SUPERFAMILY (AFU_ORTHOLOGUE AFUA_1G14840)', 159420),
(215695, 'PTHR47992:SF84', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 50', 159421),
(215696, 'PTHR32422:SF0', NULL, NULL, NULL, NULL, 'ADHERENS JUNCTION-ASSOCIATED PROTEIN 1', 159422),
(215697, 'PTHR11709:SF394', NULL, NULL, NULL, NULL, 'PLANT L-ASCORBATE OXIDASE', 159423),
(215698, 'PTHR43671:SF33', NULL, NULL, NULL, NULL, 'PROTEIN DRL-1', 159424),
(215699, 'PTHR43065:SF10', NULL, NULL, NULL, NULL, 'PEROXIDE STRESS-ACTIVATED HISTIDINE KINASE MAK3', 159425),
(215700, 'PTHR48018:SF2', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 159426),
(215701, 'PTHR33781:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHYTOCHROME KINASE SUBSTRATE 1', 159427),
(215702, 'PTHR10969', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEINS 1A/1B LIGHT CHAIN 3-RELATED', 159428),
(215703, 'PTHR33098:SF65', NULL, NULL, NULL, NULL, 'COTTON FIBER EXPRESSED PROTEIN 1-LIKE PROTEIN', 159429),
(215704, 'PTHR31388:SF106', NULL, NULL, NULL, NULL, 'PEROXIDASE 32', 159430),
(215705, 'PTHR21600:SF57', NULL, NULL, NULL, NULL, 'RIBOSOMAL LARGE SUBUNIT PSEUDOURIDINE SYNTHASE D', 159431),
(215706, 'PTHR13848:SF44', NULL, NULL, NULL, NULL, 'YIPPEE-LIKE PROTEIN OS10G0369500-RELATED', 159432),
(215707, 'PTHR10257:SF97', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 159433),
(215708, 'PTHR45944:SF6', NULL, NULL, NULL, NULL, 'HUMAN IMMUNODEFICIENCY VIRUS TYPE I ENHANCER-BINDING PROTEIN 3A', 159434),
(215709, 'PTHR13231:SF3', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S31, MITOCHONDRIAL', 159435),
(215710, 'PTHR10994:SF150', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 159436),
(215711, 'PTHR11599:SF137', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-2', 159437),
(215712, 'PTHR33463:SF58', NULL, NULL, NULL, NULL, 'NB-ARC-RELATED', 159438),
(215713, 'PTHR10901:SF15', NULL, NULL, NULL, NULL, 'TROPOMODULIN-2', 159439),
(215714, 'PTHR31048:SF143', NULL, NULL, NULL, NULL, 'BNAA02G17480D PROTEIN', 159440),
(215715, 'PTHR33021:SF355', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159441),
(215716, 'PTHR23244:SF356', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159442),
(215717, 'PTHR12174:SF34', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 2A', 159443),
(215718, 'PTHR31321:SF105', NULL, NULL, NULL, NULL, 'BNAA01G27440D PROTEIN', 159444),
(215719, 'PTHR37009:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159445),
(215720, 'PTHR31284:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159446),
(215721, 'PTHR47928:SF141', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 159447),
(215722, 'PTHR33120:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159448),
(215723, 'PTHR12460:SF21', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-BINDING DOMAIN PROTEIN', 159449),
(215724, 'PTHR31956:SF23', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03660)-RELATED', 159450),
(215725, 'PTHR32338:SF8', NULL, NULL, NULL, NULL, 'N-ACETYL-GAMMA-GLUTAMYL-PHOSPHATE REDUCTASE', 159451);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(215726, 'PTHR19354:SF5', NULL, NULL, NULL, NULL, 'ZIPPER PUTATIVE TUMOR SUPPRESSOR 1-RELATED', 159452),
(215727, 'PTHR30600:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME C PEROXIDASE-RELATED', 159453),
(215728, 'PTHR11783:SF38', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 159454),
(215729, 'PTHR15454:SF48', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN 1, AXONEMAL', 159455),
(215730, 'PTHR24404:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 350', 159456),
(215731, 'PTHR35767:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159457),
(215732, 'PTHR11588:SF299', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-4 CHAIN', 159458),
(215733, 'PTHR47518:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 159459),
(215734, 'PTHR31075', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 159460),
(215735, 'PTHR32227:SF276', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE, ACIDIC ISOFORM', 159461),
(215736, 'PTHR13598:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE INTEGRAL MEMBRANE PROTEIN 1', 159462),
(215737, 'PTHR19336:SF11', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 57 KDA', 159463),
(215738, 'PTHR33713', NULL, NULL, NULL, NULL, 'ANTITOXIN YAFN-RELATED', 159464),
(215739, 'PTHR47164', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W-RELATED', 159465),
(215740, 'PTHR48004:SF39', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 3-LIKE', 159466),
(215741, 'PTHR46198:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE, NON-RECEPTOR TYPE 7', 159467),
(215742, 'PTHR43900:SF73', NULL, NULL, NULL, NULL, 'OS01G0370200 PROTEIN', 159468),
(215743, 'PTHR43153:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FIXB', 159469),
(215744, 'PTHR33845', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 159470),
(215745, 'PTHR11430:SF89', NULL, NULL, NULL, NULL, 'ALLERGEN BOS D 2', 159471),
(215746, 'PTHR47965:SF69', NULL, NULL, NULL, NULL, 'BETA-SECRETASE 1', 159472),
(215747, 'PTHR31639:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159473),
(215748, 'PTHR48061:SF12', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', 159474),
(215749, 'PTHR24211:SF18', NULL, NULL, NULL, NULL, 'PRICKLE-LIKE PROTEIN 2', 159475),
(215750, 'PTHR31205:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159476),
(215751, 'PTHR26453:SF192', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 159477),
(215752, 'PTHR31794', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX TRANSPORTER FAMILY PROTEIN (EUROFUNG)', 159478),
(215753, 'PTHR22943:SF23', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 159479),
(215754, 'PTHR12655:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG07159', 159480),
(215755, 'PTHR31651:SF28', NULL, NULL, NULL, NULL, 'EFFLUX CARRIER FAMILY PROTEIN, PUTATIVE-RELATED', 159481),
(215756, 'PTHR46830:SF1', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE-RELATED', 159482),
(215757, 'PTHR46841:SF3', NULL, NULL, NULL, NULL, 'OX-2 MEMBRANE GLYCOPROTEIN', 159483),
(215758, 'PTHR33597:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159484),
(215759, 'PTHR34493', NULL, NULL, NULL, NULL, 'PROTEIN CBG13422-RELATED', 159485),
(215760, 'PTHR46372:SF2', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 3', 159486),
(215761, 'PTHR34145:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159487),
(215762, 'PTHR31650:SF49', NULL, NULL, NULL, NULL, 'BNAA06G16100D PROTEIN', 159488),
(215763, 'PTHR32212:SF348', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, FBD DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 159489),
(215764, 'PTHR31699:SF4', NULL, NULL, NULL, NULL, 'NUDIX (NUCLEOSIDE DIPHOSPHATE-LINKED MOIETY X)-TYPE MOTIF 16-LIKE 2', 159490),
(215765, 'PTHR14693', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700018B08', 159491),
(215766, 'PTHR11132:SF336', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE/PHOSPHATE TRANSLOCATOR-RELATED', 159492),
(215767, 'PTHR19433:SF80', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 25', 159493),
(215768, 'PTHR31235:SF22', NULL, NULL, NULL, NULL, 'PEROXIDASE 47', 159494),
(215769, 'PTHR48152', NULL, NULL, NULL, NULL, 'F1C9.34 PROTEIN', 159495),
(215770, 'PTHR23266:SF283', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA CONSTANT 2-RELATED', 159496);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(215771, 'PTHR34117', NULL, NULL, NULL, NULL, 'STYLE CELL-CYCLE INHIBITOR 1', 159497),
(215772, 'PTHR10459:SF104', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 159498),
(215773, 'PTHR13510:SF44', NULL, NULL, NULL, NULL, 'RABENOSYN-5', 159499),
(215774, 'PTHR33608:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159500),
(215775, 'PTHR43840:SF13', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN C3-RELATED', 159501),
(215776, 'PTHR10201:SF268', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 1-LIKE', 159502),
(215777, 'PTHR22870:SF355', NULL, NULL, NULL, NULL, 'CHROMOSOME CONDENSATION REGULATOR RCC1 REPEAT PROTEIN', 159503),
(215778, 'PTHR19422:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159504),
(215779, 'PTHR48052:SF28', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXL1', 159505),
(215780, 'PTHR32285:SF56', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE PROTEIN-LIKE', 159506),
(215781, 'PTHR43408', NULL, NULL, NULL, NULL, 'FMN REDUCTASE (NADPH)', 159507),
(215782, 'PTHR34190:SF9', NULL, NULL, NULL, NULL, 'OS06G0126400 PROTEIN', 159508),
(215783, 'PTHR34406', NULL, NULL, NULL, NULL, 'PROTEIN YCEI', 159509),
(215784, 'PTHR11034:SF55', NULL, NULL, NULL, NULL, 'PROTEIN NDL3', 159510),
(215785, 'PTHR11588:SF390', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 159511),
(215786, 'PTHR48043:SF90', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 82A1', 159512),
(215787, 'PTHR10641:SF1188', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 306-LIKE', 159513),
(215788, 'PTHR35632', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E 6-LIKE', 159514),
(215789, 'PTHR35098:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 159515),
(215790, 'PTHR31549:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159516),
(215791, 'PTHR12411:SF755', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN', 159517),
(215792, 'PTHR33443:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159518),
(215793, 'PTHR48092:SF15', NULL, NULL, NULL, NULL, 'STEROID HORMONE RECEPTOR ERR1', 159519),
(215794, 'PTHR35546:SF16', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 159520),
(215795, 'PTHR17985:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG09494', 159521),
(215796, 'PTHR31768', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 159522),
(215797, 'PTHR31639:SF168', NULL, NULL, NULL, NULL, 'OS09G0443100 PROTEIN', 159523),
(215798, 'PTHR11967:SF2', NULL, NULL, NULL, NULL, 'ALPHA-1-ACID GLYCOPROTEIN 1', 159524),
(215799, 'PTHR31642:SF136', NULL, NULL, NULL, NULL, 'OS10G0106200 PROTEIN', 159525),
(215800, 'PTHR34591:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159526),
(215801, 'PTHR11352:SF11', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN', 159527),
(215802, 'PTHR43706:SF9', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', 159528),
(215803, 'PTHR33346:SF38', NULL, NULL, NULL, NULL, 'COLD-ACCLIMATION SPECIFIC PROTEIN 31', 159529),
(215804, 'PTHR14155:SF562', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL31-LIKE', 159530),
(215805, 'PTHR47293:SF46', NULL, NULL, NULL, NULL, 'BNAC04G49250D PROTEIN', 159531),
(215806, 'PTHR31384', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 4-RELATED', 159532),
(215807, 'PTHR19229:SF213', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 7', 159533),
(215808, 'PTHR24388:SF42', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN SNAI2', 159534),
(215809, 'PTHR33640:SF22', NULL, NULL, NULL, NULL, 'BNAC01G23750D PROTEIN', 159535),
(215810, 'PTHR46182:SF3', NULL, NULL, NULL, NULL, 'DYSLEXIA-ASSOCIATED PROTEIN KIAA0319-LIKE PROTEIN', 159536),
(215811, 'PTHR35495:SF4', NULL, NULL, NULL, NULL, 'OS04G0624701 PROTEIN', 159537),
(215812, 'PTHR33101:SF28', NULL, NULL, NULL, NULL, 'OS05G0560100 PROTEIN', 159538),
(215813, 'PTHR46147:SF2', NULL, NULL, NULL, NULL, 'SET-BINDING PROTEIN', 159539),
(215814, 'PTHR12178:SF3', NULL, NULL, NULL, NULL, 'N-TERMINAL EF-HAND CALCIUM-BINDING PROTEIN 3', 159540),
(215815, 'PTHR24379:SF81', NULL, NULL, NULL, NULL, 'CCCTC-BINDING FACTOR-LIKE', 159541),
(215816, 'PTHR22849:SF135', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 159542);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(215817, 'PTHR31680:SF4', NULL, NULL, NULL, NULL, 'LONGIFOLIA PROTEIN', 159543),
(215818, 'PTHR24321:SF10', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE DEACETYLASE FAMILY PROTEIN', 159544),
(215819, 'PTHR10758:SF1', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 3', 159545),
(215820, 'PTHR19139:SF199', NULL, NULL, NULL, NULL, 'MIP17260P', 159546),
(215821, 'PTHR31775', NULL, NULL, NULL, NULL, 'OS02G0117200 PROTEIN', 159547),
(215822, 'PTHR32176:SF38', NULL, NULL, NULL, NULL, 'PATATIN', 159548),
(215823, 'PTHR21573', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 159549),
(215824, 'PTHR23064:SF26', NULL, NULL, NULL, NULL, 'SPECTRIN ALPHA, NON-ERYTHROCYTIC 1', 159550),
(215825, 'PTHR35293:SF6', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED PROTEIN 1.2-RELATED', 159551),
(215826, 'PTHR12553', NULL, NULL, NULL, NULL, 'ZINC PHOSPHODIESTERASE ELAC PROTEIN 2', 159552),
(215827, 'PTHR11132:SF369', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN', 159553),
(215828, 'PTHR31080:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159554),
(215829, 'PTHR10286:SF38', NULL, NULL, NULL, NULL, 'ACIDOCALCISOMAL PYROPHOSPHATASE', 159555),
(215830, 'PTHR11863:SF138', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 1', 159556),
(215831, 'PTHR33568', NULL, NULL, NULL, NULL, 'DNA POLYMERASE', 159557),
(215832, 'PTHR15484', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA34', 159558),
(215833, 'PTHR24071:SF22', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN', 159559),
(215834, 'PTHR30309:SF1', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 1', 159560),
(215835, 'PTHR48002:SF150', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 159561),
(215836, 'PTHR11886:SF89', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 159562),
(215837, 'PTHR34366:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 159563),
(215838, 'PTHR31929', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', 159564),
(215839, 'PTHR38167:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159565),
(215840, 'PTHR48008', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE IMK3-RELATED', 159566),
(215841, 'PTHR24083:SF164', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 159567),
(215842, 'PTHR35075', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 14', 159568),
(215843, 'PTHR22978:SF47', NULL, NULL, NULL, NULL, 'B-CELL TRANSLOCATION GENE 4', 159569),
(215844, 'PTHR11002:SF46', NULL, NULL, NULL, NULL, 'BETA CARBONIC ANHYDRASE 1, CHLOROPLASTIC', 159570),
(215845, 'PTHR21299:SF2', NULL, NULL, NULL, NULL, 'CYTIDYLATE KINASE', 159571),
(215846, 'PTHR23139:SF115', NULL, NULL, NULL, NULL, 'U2 SNRNP AUXILIARY FACTOR LARGE SUBUNIT', 159572),
(215847, 'PTHR13318:SF74', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 159573),
(215848, 'PTHR31787:SF12', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN K', 159574),
(215849, 'PTHR12945:SF2', NULL, NULL, NULL, NULL, 'BNAC09G19990D PROTEIN', 159575),
(215850, 'PTHR43586:SF13', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURASE CSDA', 159576),
(215851, 'PTHR44554', NULL, NULL, NULL, NULL, 'LRP2-BINDING PROTEIN', 159577),
(215852, 'PTHR11728:SF31', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)]', 159578),
(215853, 'PTHR22761:SF71', NULL, NULL, NULL, NULL, 'SNF7 FAMILY-RELATED', 159579),
(215854, 'PTHR12757:SF2', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA-INDUCED PROTEIN 8-LIKE PROTEIN 1', 159580),
(215855, 'PTHR36068', NULL, NULL, NULL, NULL, 'OS01G0102500 PROTEIN', 159581),
(215856, 'PTHR11449:SF21', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L30E-RELATED', 159582),
(215857, 'PTHR33680:SF6', NULL, NULL, NULL, NULL, 'OS02G0474200 PROTEIN', 159583),
(215858, 'PTHR19282:SF294', NULL, NULL, NULL, NULL, 'TETRASPANIN-10', 159584),
(215859, 'PTHR24281:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159585),
(215860, 'PTHR31896:SF37', NULL, NULL, NULL, NULL, 'N-HYDROXYCINNAMOYL BENZOYLTRANSFERASE-LIKE PROTEIN', 159586),
(215861, 'PTHR36819', NULL, NULL, NULL, NULL, 'REGULATOR OF PHOSPHOLIPASE D SRF1', 159587);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(215862, 'PTHR36398:SF1', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE FUSION PROTEIN', 159588),
(215863, 'PTHR32083:SF32', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 110', 159589),
(215864, 'PTHR36349:SF1', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER', 159590),
(215865, 'PTHR24093:SF483', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 159591),
(215866, 'PTHR11926:SF1352', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C1', 159592),
(215867, 'PTHR48083', NULL, NULL, NULL, NULL, 'MEDIUM-CHAIN SPECIFIC ACYL-COA DEHYDROGENASE, MITOCHONDRIAL-RELATED', 159593),
(215868, 'PTHR10593:SF156', NULL, NULL, NULL, NULL, 'ZINC FINGER C2H2-TYPE/INTEGRASE DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 159594),
(215869, 'PTHR33130:SF42', NULL, NULL, NULL, NULL, 'DUF1639 FAMILY PROTEIN', 159595),
(215870, 'PTHR45029:SF1', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 159596),
(215871, 'PTHR31286:SF42', NULL, NULL, NULL, NULL, 'OS05G0331616 PROTEIN', 159597),
(215872, 'PTHR43691:SF6', NULL, NULL, NULL, NULL, 'AMP NUCLEOSIDASE', 159598),
(215873, 'PTHR23137:SF29', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', 159599),
(215874, 'PTHR31175:SF62', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 159600),
(215875, 'PTHR15603:SF3', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING PROTEIN 4', 159601),
(215876, 'PTHR13068:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159602),
(215877, 'PTHR24343:SF304', NULL, NULL, NULL, NULL, 'AGAP003174-PA', 159603),
(215878, 'PTHR42946:SF2', NULL, NULL, NULL, NULL, 'OS06G0476200 PROTEIN', 159604),
(215879, 'PTHR48010:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159605),
(215880, 'PTHR47702', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG-LIKE PROTEIN 9', 159606),
(215881, 'PTHR22870:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159607),
(215882, 'PTHR12603:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159608),
(215883, 'PTHR31236:SF7', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 10', 159609),
(215884, 'PTHR24071:SF23', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN', 159610),
(215885, 'PTHR10972:SF165', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 3A', 159611),
(215886, 'PTHR13523', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN CONTAINING 2/NUR77', 159612),
(215887, 'PTHR10795:SF560', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.6', 159613),
(215888, 'PTHR22526:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159614),
(215889, 'PTHR22870:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159615),
(215890, 'PTHR27002:SF428', NULL, NULL, NULL, NULL, 'OS07G0541900 PROTEIN', 159616),
(215891, 'PTHR42738', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA LYASE', 159617),
(215892, 'PTHR35276:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 159618),
(215893, 'PTHR36182:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G10930)-RELATED', 159619),
(215894, 'PTHR46455:SF4', NULL, NULL, NULL, NULL, 'GH11294P', 159620),
(215895, 'PTHR44329:SF85', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', 159621),
(215896, 'PTHR27001:SF673', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG', 159622),
(215897, 'PTHR14859:SF10', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', 159623),
(215898, 'PTHR34553:SF4', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN-E PROTEIN', 159624),
(215899, 'PTHR11822:SF38', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', 159625),
(215900, 'PTHR47526', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 159626),
(215901, 'PTHR34185:SF2', NULL, NULL, NULL, NULL, 'CYCLIC DI-AMP SYNTHASE CDAS', 159627),
(215902, 'PTHR31500:SF84', NULL, NULL, NULL, NULL, 'BNAC01G10490D PROTEIN', 159628),
(215903, 'PTHR24028:SF153', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-C1', 159629),
(215904, 'PTHR12829:SF6', NULL, NULL, NULL, NULL, 'MT-A70-LIKE', 159630),
(215905, 'PTHR39708', NULL, NULL, NULL, NULL, 'OS07G0483400 PROTEIN', 159631);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(215906, 'PTHR15615:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159632),
(215907, 'PTHR31717:SF85', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 9-LIKE', 159633),
(215908, 'PTHR23516:SF14', NULL, NULL, NULL, NULL, 'MOLYBDATE-ANION TRANSPORTER', 159634),
(215909, 'PTHR14909', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G5C', 159635),
(215910, 'PTHR31351:SF34', NULL, NULL, NULL, NULL, 'BNAA10G11650D PROTEIN', 159636),
(215911, 'PTHR48043:SF13', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-47-RELATED', 159637),
(215912, 'PTHR16551:SF1', NULL, NULL, NULL, NULL, 'AGOUTI-SIGNALING PROTEIN', 159638),
(215913, 'PTHR30024:SF38', NULL, NULL, NULL, NULL, 'TAURINE-BINDING PERIPLASMIC PROTEIN', 159639),
(215914, 'PTHR31839:SF58', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1C', 159640),
(215915, 'PTHR37302:SF1', NULL, NULL, NULL, NULL, 'SLR1116 PROTEIN', 159641),
(215916, 'PTHR48049:SF50', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 159642),
(215917, 'PTHR31710', NULL, NULL, NULL, NULL, 'GB|AAF16529.1-RELATED', 159643),
(215918, 'PTHR15711:SF22', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING RAP/RAN-GAP DOMAIN-LIKE PROTEIN 3', 159644),
(215919, 'PTHR10983:SF67', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDYL ACYLTRANSFERASE 2', 159645),
(215920, 'PTHR34784', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L34', 159646),
(215921, 'PTHR45649:SF30', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1', 159647),
(215922, 'PTHR33346:SF23', NULL, NULL, NULL, NULL, 'WATER STRESS-INDUCIBLE PROTEIN RAB21', 159648),
(215923, 'PTHR11227:SF51', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18E', 159649),
(215924, 'PTHR32444:SF123', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 159650),
(215925, 'PTHR32227:SF351', NULL, NULL, NULL, NULL, 'BNAANNG19080D PROTEIN', 159651),
(215926, 'PTHR47993:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159652),
(215927, 'PTHR31071:SF2', NULL, NULL, NULL, NULL, 'ACTIN CYTOSKELETON-REGULATORY COMPLEX PAN-LIKE PROTEIN', 159653),
(215928, 'PTHR13683:SF790', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159654),
(215929, 'PTHR47942:SF44', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT PROTEIN', 159655),
(215930, 'PTHR32227:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159656),
(215931, 'PTHR42770:SF6', NULL, NULL, NULL, NULL, 'PUTRESCINE TRANSPORTER POTE', 159657),
(215932, 'PTHR19423:SF4', NULL, NULL, NULL, NULL, 'SH3-DOMAIN-BINDING PROTEIN 5A (BTK-ASSOCIATED)', 159658),
(215933, 'PTHR45648:SF8', NULL, NULL, NULL, NULL, 'OS06G0229400 PROTEIN', 159659),
(215934, 'PTHR24056:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159660),
(215935, 'PTHR12665:SF15', NULL, NULL, NULL, NULL, 'OS07G0452500 PROTEIN', 159661),
(215936, 'PTHR31306', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYLTRANSFERASE MNN11-RELATED', 159662),
(215937, 'PTHR33372:SF9', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN CONTAINING PROTEIN, EXPRESSED', 159663),
(215938, 'PTHR31161:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 159664),
(215939, 'PTHR24072:SF325', NULL, NULL, NULL, NULL, 'RAS-RELATED C3 BOTULINUM TOXIN SUBSTRATE 3', 159665),
(215940, 'PTHR23317:SF71', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 10', 159666),
(215941, 'PTHR31251:SF75', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 8', 159667),
(215942, 'PTHR13301:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159668),
(215943, 'PTHR47782:SF12', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 159669),
(215944, 'PTHR15574:SF65', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 159670),
(215945, 'PTHR12415:SF3', NULL, NULL, NULL, NULL, 'OS04G0403400 PROTEIN', 159671),
(215946, 'PTHR33147:SF64', NULL, NULL, NULL, NULL, 'BNAA05G19430D PROTEIN', 159672),
(215947, 'PTHR43019:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159673),
(215948, 'PTHR31232:SF35', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 26', 159674),
(215949, 'PTHR43874:SF98', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR19-RELATED', 159675);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(215950, 'PTHR46132:SF9', NULL, NULL, NULL, NULL, 'DIGALACTOSYLDIACYLGLYCEROL SYNTHASE 2, CHLOROPLASTIC', 159676),
(215951, 'PTHR43731:SF17', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 16, CHLOROPLASTIC-RELATED', 159677),
(215952, 'PTHR24281:SF57', NULL, NULL, NULL, NULL, 'CYTOCHROME 98A2', 159678),
(215953, 'PTHR35005', NULL, NULL, NULL, NULL, '3-DEHYDRO-SCYLLO-INOSOSE HYDROLASE', 159679),
(215954, 'PTHR43880:SF2', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE CLASS 4 MU/SIGMA CHAIN', 159680),
(215955, 'PTHR31832:SF63', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 23', 159681),
(215956, 'PTHR22893:SF93', NULL, NULL, NULL, NULL, 'HYPOTHETICAL OXIDOREDUCTASE (EUROFUNG)', 159682),
(215957, 'PTHR12277:SF160', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 159683),
(215958, 'PTHR20961:SF103', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 159684),
(215959, 'PTHR32295:SF133', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 29', 159685),
(215960, 'PTHR22847:SF703', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159686),
(215961, 'PTHR24347:SF416', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159687),
(215962, 'PTHR11347:SF197', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', 159688),
(215963, 'PTHR35365:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159689),
(215964, 'PTHR45693:SF44', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN, TRANSCRIPTION FACTOR TGA LIKE DOMAIN PROTEIN-RELATED', 159690),
(215965, 'PTHR11814:SF227', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE TRANSPORT PROTEIN-RELATED', 159691),
(215966, 'PTHR46723:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IQ DOMAIN-CONTAINING PROTEIN 3', 159692),
(215967, 'PTHR12106:SF23', NULL, NULL, NULL, NULL, 'SORTILIN', 159693),
(215968, 'PTHR21341', NULL, NULL, NULL, NULL, 'PROTAMINE-2', 159694),
(215969, 'PTHR31415:SF114', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 1', 159695),
(215970, 'PTHR33179:SF58', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', 159696),
(215971, 'PTHR19241:SF289', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', 159697),
(215972, 'PTHR24206:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159698),
(215973, 'PTHR24016:SF0', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 4', 159699),
(215974, 'PTHR12900:SF4', NULL, NULL, NULL, NULL, 'CHECKPOINT PROTEIN HUS1', 159700),
(215975, 'PTHR31642:SF113', NULL, NULL, NULL, NULL, 'OS01G0924933 PROTEIN', 159701),
(215976, 'PTHR48049:SF17', NULL, NULL, NULL, NULL, 'CYANIDIN-3-O-GLUCOSIDE 2-O-GLUCURONOSYLTRANSFERASE-LIKE', 159702),
(215977, 'PTHR24303:SF28', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 304A1-RELATED', 159703),
(215978, 'PTHR38926:SF12', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 159704),
(215979, 'PTHR43598:SF1', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE-O MAJOR SUBUNIT', 159705),
(215980, 'PTHR43116', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR 2', 159706),
(215981, 'PTHR11088', NULL, NULL, NULL, NULL, 'TRNA DIMETHYLALLYLTRANSFERASE', 159707),
(215982, 'PTHR48006:SF23', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 159708),
(215983, 'PTHR11743:SF66', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL', 159709),
(215984, 'PTHR45768:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL4', 159710),
(215985, 'PTHR47274:SF13', NULL, NULL, NULL, NULL, 'BNAC04G01320D PROTEIN', 159711),
(215986, 'PTHR16922:SF0', NULL, NULL, NULL, NULL, 'INTERLEUKIN-11', 159712),
(215987, 'PTHR47071', NULL, NULL, NULL, NULL, 'PROTEIN TRM32', 159713),
(215988, 'PTHR46016', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE', 159714),
(215989, 'PTHR11064:SF144', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y PROTEIN', 159715),
(215990, 'PTHR15241:SF355', NULL, NULL, NULL, NULL, '28 KDA RIBONUCLEOPROTEIN, CHLOROPLASTIC', 159716),
(215991, 'PTHR33130:SF49', NULL, NULL, NULL, NULL, 'BNACNNG55670D PROTEIN', 159717),
(215992, 'PTHR45805', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR HR3-RELATED', 159718);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(215993, 'PTHR31521:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 159719),
(215994, 'PTHR10061:SF0', NULL, NULL, NULL, NULL, 'S-FORMYLGLUTATHIONE HYDROLASE', 159720),
(215995, 'PTHR31636:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159721),
(215996, 'PTHR48056:SF34', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERL1-RELATED', 159722),
(215997, 'PTHR31889:SF60', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', 159723),
(215998, 'PTHR38406', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR OPI1', 159724),
(215999, 'PTHR21629', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 159725),
(216000, 'PTHR34191:SF13', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', 159726),
(216001, 'PTHR48057:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 159727),
(216002, 'PTHR33926', NULL, NULL, NULL, NULL, 'PROTEIN TIC 22, CHLOROPLASTIC', 159728),
(216003, 'PTHR12601:SF45', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 159729),
(216004, 'PTHR34804:SF6', NULL, NULL, NULL, NULL, 'NEGATIVELY LIGHT-REGULATED PROTEIN', 159730),
(216005, 'PTHR46749:SF1', NULL, NULL, NULL, NULL, 'COMPLEX III ASSEMBLY FACTOR LYRM7', 159731),
(216006, 'PTHR32227:SF269', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE', 159732),
(216007, 'PTHR31148:SF1', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN C', 159733),
(216008, 'PTHR47344:SF2', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 40-LIKE ISOFORM X1', 159734),
(216009, 'PTHR23155:SF943', NULL, NULL, NULL, NULL, 'OS08G0193700 PROTEIN', 159735),
(216010, 'PTHR43655:SF19', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 12, CHLOROPLASTIC', 159736),
(216011, 'PTHR11777:SF34', NULL, NULL, NULL, NULL, 'ALANINE--TRNA LIGASE, CYTOPLASMIC', 159737),
(216012, 'PTHR11767:SF107', NULL, NULL, NULL, NULL, 'INWARDLY RECTIFYING POTASSIUM CHANNEL 1, ISOFORM F-RELATED', 159738),
(216013, 'PTHR46835:SF1', NULL, NULL, NULL, NULL, 'OS12G0194600 PROTEIN', 159739),
(216014, 'PTHR13026:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA PROCESSING PROTEIN 1 HOMOLOG B', 159740),
(216015, 'PTHR45843:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-LIKE 4', 159741),
(216016, 'PTHR31988:SF25', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 159742),
(216017, 'PTHR12290:SF33', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENATE--CYSTEINE LIGASE 1', 159743),
(216018, 'PTHR46108:SF4', NULL, NULL, NULL, NULL, 'BLUE CHEESE', 159744),
(216019, 'PTHR23056:SF122', NULL, NULL, NULL, NULL, 'BNAA02G37060D PROTEIN', 159745),
(216020, 'PTHR11995:SF26', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT B 2', 159746),
(216021, 'PTHR46931', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC2', 159747),
(216022, 'PTHR31314:SF81', NULL, NULL, NULL, NULL, 'OSJNBA0005N02.4 PROTEIN', 159748),
(216023, 'PTHR33156:SF9', NULL, NULL, NULL, NULL, 'OS02G0658300 PROTEIN', 159749),
(216024, 'PTHR22426:SF2', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH COILED-COIL PROTEIN 2', 159750),
(216025, 'PTHR30055:SF190', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY TETR-FAMILY)-RELATED', 159751),
(216026, 'PTHR22923:SF61', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 8', 159752),
(216027, 'PTHR47950:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', 159753),
(216028, 'PTHR28141:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159754),
(216029, 'PTHR12639:SF7', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL CARBOXYLASE-LIKE PROTEIN', 159755),
(216030, 'PTHR10856:SF18', NULL, NULL, NULL, NULL, 'CORONIN-1A', 159756),
(216031, 'PTHR24070:SF428', NULL, NULL, NULL, NULL, 'RAS HOMOLOG, MTORC1-BINDING-LIKE 1', 159757),
(216032, 'PTHR43051', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE ADENYLYLTRANSFERASE FAMILY PROTEIN', 159758),
(216033, 'PTHR10788:SF16', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] B', 159759); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(216034, 'PTHR10953:SF215', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 1', 159760),
(216035, 'PTHR33070:SF59', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', 159761),
(216036, 'PTHR23068:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159762),
(216037, 'PTHR24361:SF656', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 3', 159763),
(216038, 'PTHR24072:SF350', NULL, NULL, NULL, NULL, 'RAC FAMILY SMALL GTPASE 1', 159764),
(216039, 'PTHR43319:SF4', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN-CONTAINING PROTEIN 2', 159765),
(216040, 'PTHR21220:SF0', NULL, NULL, NULL, NULL, 'SPRT-LIKE DOMAIN-CONTAINING PROTEIN SPARTAN', 159766),
(216041, 'PTHR30086:SF15', NULL, NULL, NULL, NULL, 'LEUCINE EFFLUX PROTEIN', 159767),
(216042, 'PTHR30293:SF0', NULL, NULL, NULL, NULL, 'NITROGEN ASSIMILATION REGULATORY PROTEIN NAC', 159768),
(216043, 'PTHR47926:SF74', NULL, NULL, NULL, NULL, 'OS10G0558600 PROTEIN', 159769),
(216044, 'PTHR10015:SF213', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR PROTEIN 4', 159770),
(216045, 'PTHR45613:SF297', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 159771),
(216046, 'PTHR12537:SF159', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 14-RELATED', 159772),
(216047, 'PTHR11439:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159773),
(216048, 'PTHR12366:SF29', NULL, NULL, NULL, NULL, 'ASPARTYL/ASPARAGINYL BETA-HYDROXYLASE', 159774),
(216049, 'PTHR34768:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 89', 159775),
(216050, 'PTHR23278:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159776),
(216051, 'PTHR12210:SF153', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM50-LIKE', 159777),
(216052, 'PTHR26312:SF87', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 5', 159778),
(216053, 'PTHR42855:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', 159779),
(216054, 'PTHR43600:SF1', NULL, NULL, NULL, NULL, 'COENZYME F420 HYDROGENASE SUBUNIT ALPHA', 159780),
(216055, 'PTHR12487:SF3', NULL, NULL, NULL, NULL, 'TEASHIRT HOMOLOG 2', 159781),
(216056, 'PTHR11266:SF80', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 2', 159782),
(216057, 'PTHR39603:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159783),
(216058, 'PTHR28263', NULL, NULL, NULL, NULL, 'GOLGI TO ER TRAFFIC PROTEIN 2', 159784),
(216059, 'PTHR31901:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159785),
(216060, 'PTHR43297:SF6', NULL, NULL, NULL, NULL, 'DIPEPTIDE TRANSPORT ATP-BINDING PROTEIN DPPD', 159786),
(216061, 'PTHR13871:SF94', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN 1-RELATED', 159787),
(216062, 'PTHR21733', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 159788),
(216063, 'PTHR31235:SF193', NULL, NULL, NULL, NULL, 'PEROXIDASE 13', 159789),
(216064, 'PTHR47059', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 32', 159790),
(216065, 'PTHR11017:SF247', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN CHS1', 159791),
(216066, 'PTHR10891:SF817', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML23-RELATED', 159792),
(216067, 'PTHR36317:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MULTIPLE CHLOROPLAST DIVISION SITE 1', 159793),
(216068, 'PTHR11528', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90 FAMILY MEMBER', 159794),
(216069, 'PTHR10110:SF112', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 159795),
(216070, 'PTHR33975:SF2', NULL, NULL, NULL, NULL, 'MYELIN-ASSOCIATED OLIGODENDROCYTE BASIC PROTEIN', 159796),
(216071, 'PTHR42881:SF7', NULL, NULL, NULL, NULL, 'PROLYL ENDOPEPTIDASE-LIKE', 159797),
(216072, 'PTHR43995:SF3', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 19 HOMOLOG 2', 159798),
(216073, 'PTHR18953:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159799),
(216074, 'PTHR22957:SF472', NULL, NULL, NULL, NULL, 'ACTIVATING PROTEIN (EVI5), PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13850)-RELATED', 159800),
(216075, 'PTHR24376:SF52', NULL, NULL, NULL, NULL, 'ZNF423 PROTEIN', 159801),
(216076, 'PTHR33065:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159802),
(216077, 'PTHR34969:SF2', NULL, NULL, NULL, NULL, 'MYOSIN IB HEAVY CHAIN-LIKE', 159803);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(216078, 'PTHR12428:SF53', NULL, NULL, NULL, NULL, 'ALBINO3-LIKE PROTEIN 3, MITOCHONDRIAL', 159804),
(216079, 'PTHR10593:SF160', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 13-RELATED', 159805),
(216080, 'PTHR34258', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL DOMAIN CONTAINING PROTEIN 1', 159806),
(216081, 'PTHR31895:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG02722', 159807),
(216082, 'PTHR33057:SF147', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP5', 159808),
(216083, 'PTHR15852', NULL, NULL, NULL, NULL, 'PLASTID TRANSCRIPTIONALLY ACTIVE PROTEIN', 159809),
(216084, 'PTHR43371', NULL, NULL, NULL, NULL, 'VITAMIN B12-DEPENDENT RIBONUCLEOTIDE REDUCTASE', 159810),
(216085, 'PTHR24056:SF327', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', 159811),
(216086, 'PTHR18934', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE', 159812),
(216087, 'PTHR34059', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 159813),
(216088, 'PTHR24015:SF635', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN-RELATED', 159814),
(216089, 'PTHR33343', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN BL35M', 159815),
(216090, 'PTHR33769:SF3', NULL, NULL, NULL, NULL, 'MESENTERIC ESTROGEN-DEPENDENT ADIPOGENESIS PROTEIN', 159816),
(216091, 'PTHR31009:SF76', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 159817),
(216092, 'PTHR47372:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159818),
(216093, 'PTHR33594:SF1', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03035)-RELATED', 159819),
(216094, 'PTHR10245:SF119', NULL, NULL, NULL, NULL, 'BNAC04G52530D PROTEIN', 159820),
(216095, 'PTHR30621', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE ADENYLYLTRANSFERASE', 159821),
(216096, 'PTHR46631:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE PROTEIN', 159822),
(216097, 'PTHR33122:SF35', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 159823),
(216098, 'PTHR31165:SF92', NULL, NULL, NULL, NULL, 'BNAANNG15760D PROTEIN', 159824),
(216099, 'PTHR33101:SF26', NULL, NULL, NULL, NULL, 'OS01G0760300 PROTEIN', 159825),
(216100, 'PTHR11994:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11', 159826),
(216101, 'PTHR21292:SF7', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 3-LIKE PROTEIN 2', 159827),
(216102, 'PTHR43243:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159828),
(216103, 'PTHR12506:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 33-RELATED', 159829),
(216104, 'PTHR48018:SF74', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 159830),
(216105, 'PTHR38522:SF3', NULL, NULL, NULL, NULL, 'BNAANNG10170D PROTEIN', 159831),
(216106, 'PTHR45769', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 159832),
(216107, 'PTHR31989:SF296', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 159833),
(216108, 'PTHR12613', NULL, NULL, NULL, NULL, 'ERO1-RELATED', 159834),
(216109, 'PTHR31223:SF56', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 159835),
(216110, 'PTHR43943:SF7', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 4', 159836),
(216111, 'PTHR27004:SF335', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 159837),
(216112, 'PTHR22947:SF15', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 159838),
(216113, 'PTHR36478:SF11', NULL, NULL, NULL, NULL, 'OSJNBA0093O08.7 PROTEIN', 159839),
(216114, 'PTHR47956:SF97', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B29', 159840),
(216115, 'PTHR11260:SF591', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U3', 159841),
(216116, 'PTHR31236:SF45', NULL, NULL, NULL, NULL, 'BURP DOMAIN PROTEIN USPL1-LIKE', 159842),
(216117, 'PTHR21089:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159843),
(216118, 'PTHR11615:SF233', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 1', 159844),
(216119, 'PTHR45925:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 516', 159845);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(216120, 'PTHR11863:SF142', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 1-LIKE', 159846),
(216121, 'PTHR24414:SF161', NULL, NULL, NULL, NULL, 'BNAANNG11610D PROTEIN', 159847),
(216122, 'PTHR11260:SF650', NULL, NULL, NULL, NULL, 'BNAA05G12560D PROTEIN', 159848),
(216123, 'PTHR30335:SF1', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT E', 159849),
(216124, 'PTHR23262:SF214', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 12-1', 159850),
(216125, 'PTHR15663', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 9', 159851),
(216126, 'PTHR35317:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', 159852),
(216127, 'PTHR47173:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DR1 HOMOLOG', 159853),
(216128, 'PTHR43198:SF8', NULL, NULL, NULL, NULL, 'HEME OXYGENASE-LIKE, MULTI-HELICAL-RELATED', 159854),
(216129, 'PTHR21038:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-17O15.2', 159855),
(216130, 'PTHR36303', NULL, NULL, NULL, NULL, '2'',3''-CYCLIC-NUCLEOTIDE 2''-PHOSPHODIESTERASE', 159856),
(216131, 'PTHR10032:SF217', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR OVO-LIKE 1-RELATED', 159857),
(216132, 'PTHR43939:SF68', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', 159858),
(216133, 'PTHR33702:SF16', NULL, NULL, NULL, NULL, 'OS05G0576600 PROTEIN', 159859),
(216134, 'PTHR23070:SF99', NULL, NULL, NULL, NULL, 'A44L PROTEIN-LIKE PROTEIN', 159860),
(216135, 'PTHR36138:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159861),
(216136, 'PTHR48104:SF14', NULL, NULL, NULL, NULL, 'METACASPASE-7', 159862),
(216137, 'PTHR27002:SF453', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 11-RELATED', 159863),
(216138, 'PTHR26450:SF387', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 159864),
(216139, 'PTHR33306:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159865),
(216140, 'PTHR14592:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM3B', 159866),
(216141, 'PTHR24559:SF351', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159867),
(216142, 'PTHR32303:SF15', NULL, NULL, NULL, NULL, 'METHANOL DEHYDROGENASE HEAVY CHAIN', 159868),
(216143, 'PTHR48104:SF21', NULL, NULL, NULL, NULL, 'METACASPASE-4', 159869),
(216144, 'PTHR23322:SF21', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 8', 159870),
(216145, 'PTHR11183:SF115', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 159871),
(216146, 'PTHR48111:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR', 159872),
(216147, 'PTHR45724:SF22', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP1-3', 159873),
(216148, 'PTHR21213:SF0', NULL, NULL, NULL, NULL, 'GEO09665P1-RELATED', 159874),
(216149, 'PTHR36108:SF13', NULL, NULL, NULL, NULL, 'COLOSSIN-B-RELATED', 159875),
(216150, 'PTHR48139:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-56M19.5', 159876),
(216151, 'PTHR34114:SF17', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 13-RELATED', 159877),
(216152, 'PTHR14196:SF12', NULL, NULL, NULL, NULL, 'PROTEIN ODD-SKIPPED', 159878),
(216153, 'PTHR11206:SF405', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 159879),
(216154, 'PTHR11545:SF24', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L13, CHLOROPLASTIC-LIKE', 159880),
(216155, 'PTHR27003:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159881),
(216156, 'PTHR23500:SF561', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 5', 159882),
(216157, 'PTHR24085:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159883),
(216158, 'PTHR45676:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159884),
(216159, 'PTHR21010:SF3', NULL, NULL, NULL, NULL, 'AGAP001581-PA', 159885),
(216160, 'PTHR21136:SF194', NULL, NULL, NULL, NULL, 'OS03G0165800 PROTEIN', 159886),
(216161, 'PTHR31517:SF61', NULL, NULL, NULL, NULL, 'PEROXIDASE', 159887),
(216162, 'PTHR46932:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159888),
(216163, 'PTHR23018:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', 159889),
(216164, 'PTHR24278:SF26', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR VII', 159890),
(216165, 'PTHR36911', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 159891);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(216166, 'PTHR43591:SF48', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE', 159892),
(216167, 'PTHR23137:SF1', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN SFT2B', 159893),
(216168, 'PTHR45969:SF42', NULL, NULL, NULL, NULL, 'BNAA06G09810D PROTEIN', 159894),
(216169, 'PTHR38527:SF6', NULL, NULL, NULL, NULL, 'BNAANNG31500D PROTEIN', 159895),
(216170, 'PTHR13170', NULL, NULL, NULL, NULL, 'O-GLCNACASE', 159896),
(216171, 'PTHR47925:SF63', NULL, NULL, NULL, NULL, 'BNAA05G29400D PROTEIN', 159897),
(216172, 'PTHR12740', NULL, NULL, NULL, NULL, 'JNK1/MAPK8-ASSOCIATED MEMBRANE PROTEIN', 159898),
(216173, 'PTHR31108:SF12', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P63-REGULATED 1-LIKE', 159899),
(216174, 'PTHR15304', NULL, NULL, NULL, NULL, 'MYOD FAMILY INHIBITOR', 159900),
(216175, 'PTHR11932:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159901),
(216176, 'PTHR10795:SF468', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3.18', 159902),
(216177, 'PTHR35470:SF7', NULL, NULL, NULL, NULL, 'OS02G0208500 PROTEIN', 159903),
(216178, 'PTHR10388:SF14', NULL, NULL, NULL, NULL, 'OS01G0794500 PROTEIN', 159904),
(216179, 'PTHR12266:SF13', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 159905),
(216180, 'PTHR31669:SF235', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5-LIKE', 159906),
(216181, 'PTHR24248:SF87', NULL, NULL, NULL, NULL, 'D(2) DOPAMINE RECEPTOR', 159907),
(216182, 'PTHR37381', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', 159908),
(216183, 'PTHR11705:SF89', NULL, NULL, NULL, NULL, 'AGAP000539-PA', 159909),
(216184, 'PTHR48011:SF14', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 17', 159910),
(216185, 'PTHR31879:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159911),
(216186, 'PTHR24343:SF154', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SIK2', 159912),
(216187, 'PTHR45637:SF64', NULL, NULL, NULL, NULL, 'OSJNBA0079A21.12 PROTEIN', 159913),
(216188, 'PTHR21654:SF21', NULL, NULL, NULL, NULL, 'OS02G0648300 PROTEIN', 159914),
(216189, 'PTHR21219:SF3', NULL, NULL, NULL, NULL, 'FI19613P1', 159915),
(216190, 'PTHR33672:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159916),
(216191, 'PTHR27006:SF237', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE B120 ISOFORM X1', 159917),
(216192, 'PTHR31832:SF46', NULL, NULL, NULL, NULL, 'ORPHANS TRANSCRIPTION FACTOR', 159918),
(216193, 'PTHR11485:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159919),
(216194, 'PTHR12782:SF9', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 159920),
(216195, 'PTHR11909:SF415', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 159921),
(216196, 'PTHR27005:SF166', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL PSEUDOKINASE ZED1-LIKE ISOFORM X1', 159922),
(216197, 'PTHR23428:SF264', NULL, NULL, NULL, NULL, 'HISTONE H2B.4', 159923),
(216198, 'PTHR14795:SF6', NULL, NULL, NULL, NULL, 'OS03G0260100 PROTEIN', 159924),
(216199, 'PTHR43176:SF10', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 159925),
(216200, 'PTHR11679:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159926),
(216201, 'PTHR31669:SF137', NULL, NULL, NULL, NULL, 'OS07G0615900 PROTEIN', 159927),
(216202, 'PTHR32141:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159928),
(216203, 'PTHR47966:SF18', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2', 159929),
(216204, 'PTHR47981:SF2', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABG1-RELATED', 159930),
(216205, 'PTHR44688:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MALT', 159931),
(216206, 'PTHR35023', NULL, NULL, NULL, NULL, 'CHELATASE-RELATED', 159932),
(216207, 'PTHR11636:SF68', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 6, TRANSCRIPTION FACTOR 2', 159933),
(216208, 'PTHR22775:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159934),
(216209, 'PTHR24096:SF360', NULL, NULL, NULL, NULL, 'AMP-BINDING ENZYME-RELATED', 159935),
(216210, 'PTHR10110:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159936),
(216211, 'PTHR47657:SF6', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 159937); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(216212, 'PTHR14047:SF3', NULL, NULL, NULL, NULL, 'P ANTIGEN FAMILY MEMBER 1', 159938),
(216213, 'PTHR23336:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159939),
(216214, 'PTHR33941:SF6', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTK', 159940),
(216215, 'PTHR21312:SF27', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 1', 159941),
(216216, 'PTHR31929:SF109', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', 159942),
(216217, 'PTHR18860:SF128', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN 8', 159943),
(216218, 'PTHR31385:SF10', NULL, NULL, NULL, NULL, 'BNACNNG68830D PROTEIN', 159944),
(216219, 'PTHR14969:SF14', NULL, NULL, NULL, NULL, 'SPHINGOSINE-1-PHOSPHATE PHOSPHATASE 2', 159945),
(216220, 'PTHR13628:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 267', 159946),
(216221, 'PTHR24015:SF1709', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159947),
(216222, 'PTHR23279:SF3', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 18', 159948),
(216223, 'PTHR23430:SF308', NULL, NULL, NULL, NULL, 'HISTONE H2AXA-RELATED', 159949),
(216224, 'PTHR12411:SF562', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN', 159950),
(216225, 'PTHR39177', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE YTRC-RELATED', 159951),
(216226, 'PTHR43406:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159952),
(216227, 'PTHR12601:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159953),
(216228, 'PTHR10426:SF67', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 10-LIKE', 159954),
(216229, 'PTHR36444', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR PROTEIN YOBU-RELATED', 159955),
(216230, 'PTHR24064:SF457', NULL, NULL, NULL, NULL, 'TRANSPORTER SVOPL-RELATED', 159956),
(216231, 'PTHR35545:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159957),
(216232, 'PTHR33265:SF21', NULL, NULL, NULL, NULL, 'OS02G0229800 PROTEIN', 159958),
(216233, 'PTHR30389:SF0', NULL, NULL, NULL, NULL, 'FUMARATE HYDRATASE CLASS I, ANAEROBIC', 159959),
(216234, 'PTHR44329:SF96', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 159960),
(216235, 'PTHR24377:SF613', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 599', 159961),
(216236, 'PTHR21495:SF175', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 159962),
(216237, 'PTHR11945:SF613', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL61', 159963),
(216238, 'PTHR46641', NULL, NULL, NULL, NULL, 'FMRFAMIDE RECEPTOR-RELATED', 159964),
(216239, 'PTHR10625', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 159965),
(216240, 'PTHR34570:SF2', NULL, NULL, NULL, NULL, 'OS03G0593100 PROTEIN', 159966),
(216241, 'PTHR31210:SF47', NULL, NULL, NULL, NULL, 'OS06G0731900 PROTEIN', 159967),
(216242, 'PTHR22950:SF8', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', 159968),
(216243, 'PTHR24330:SF8', NULL, NULL, NULL, NULL, 'BARH-LIKE 1 HOMEOBOX PROTEIN', 159969),
(216244, 'PTHR11709:SF145', NULL, NULL, NULL, NULL, 'LCC1', 159970),
(216245, 'PTHR24384:SF216', NULL, NULL, NULL, NULL, 'CKII-ALPHA SUBUNIT INTERACTOR-1-RELATED', 159971),
(216246, 'PTHR30188:SF13', NULL, NULL, NULL, NULL, 'ABC-TRANSPORTER INTEGRAL MEMBRANE PROTEIN-RELATED', 159972),
(216247, 'PTHR16223:SF143', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH54', 159973),
(216248, 'PTHR47198:SF1', NULL, NULL, NULL, NULL, 'OS05G0299300 PROTEIN', 159974),
(216249, 'PTHR45974:SF50', NULL, NULL, NULL, NULL, 'OSJNBB0004A17.8 PROTEIN', 159975),
(216250, 'PTHR34141', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 159976),
(216251, 'PTHR31578', NULL, NULL, NULL, NULL, 'PROTEIN CBG21223-RELATED', 159977),
(216252, 'PTHR46942', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 15', 159978),
(216253, 'PTHR47926:SF282', NULL, NULL, NULL, NULL, 'BNAC08G08330D PROTEIN', 159979),
(216254, 'PTHR47116:SF21', NULL, NULL, NULL, NULL, 'OS03G0173100 PROTEIN', 159980),
(216255, 'PTHR10868', NULL, NULL, NULL, NULL, 'SIGMA 1-TYPE OPIOID RECEPTOR-RELATED', 159981),
(216256, 'PTHR15592:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159982);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(216257, 'PTHR46445:SF13', NULL, NULL, NULL, NULL, 'BNAA04G20060D PROTEIN', 159983),
(216258, 'PTHR10593:SF116', NULL, NULL, NULL, NULL, 'INDETERMINATE DOMAIN P10', 159984),
(216259, 'PTHR10072', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY PROTEIN', 159985),
(216260, 'PTHR11267:SF91', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX3', 159986),
(216261, 'PTHR32227:SF71', NULL, NULL, NULL, NULL, 'OS01G0860800 PROTEIN', 159987),
(216262, 'PTHR43744', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN MG189-RELATED-RELATED', 159988),
(216263, 'PTHR48004:SF7', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 159989),
(216264, 'PTHR33826', NULL, NULL, NULL, NULL, 'F20B24.21', 159990),
(216265, 'PTHR48015:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DST3', 159991),
(216266, 'PTHR10739:SF54', NULL, NULL, NULL, NULL, 'CHOLINE-PHOSPHATE CYTIDYLYLTRANSFERASE B', 159992),
(216267, 'PTHR47870:SF2', NULL, NULL, NULL, NULL, 'FORMATE-DEPENDENT NITRITE REDUCTASE COMPLEX SUBUNIT NRFF', 159993),
(216268, 'PTHR10992:SF785', NULL, NULL, NULL, NULL, 'METHYLESTERASE 14, CHLOROPLASTIC-RELATED', 159994),
(216269, 'PTHR11073', NULL, NULL, NULL, NULL, 'CALRETICULIN AND CALNEXIN', 159995),
(216270, 'PTHR11620:SF81', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L23A, PUTATIVE-RELATED', 159996),
(216271, 'PTHR45642:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159997),
(216272, 'PTHR48104:SF7', NULL, NULL, NULL, NULL, 'METACASPASE-9', 159998),
(216273, 'PTHR24015:SF982', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 159999),
(216274, 'PTHR23131', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE LACTB2', 160000),
(216275, 'PTHR20856:SF27', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 160001),
(216276, 'PTHR45868:SF46', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 35', 160002),
(216277, 'PTHR31282:SF147', NULL, NULL, NULL, NULL, 'OS01G0820700 PROTEIN', 160003),
(216278, 'PTHR11753:SF49', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT SIGMA-2', 160004),
(216279, 'PTHR27005:SF371', NULL, NULL, NULL, NULL, 'OS02G0807200 PROTEIN', 160005),
(216280, 'PTHR37096', NULL, NULL, NULL, NULL, 'YALI0E33429P', 160006),
(216281, 'PTHR23430:SF244', NULL, NULL, NULL, NULL, 'HISTONE H2A', 160007),
(216282, 'PTHR23267:SF402', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 12-98', 160008),
(216283, 'PTHR22844:SF351', NULL, NULL, NULL, NULL, 'BNAA04G15460D PROTEIN', 160009),
(216284, 'PTHR47880:SF1', NULL, NULL, NULL, NULL, 'OS05G0353300 PROTEIN', 160010),
(216285, 'PTHR43798', NULL, NULL, NULL, NULL, 'MONOACYLGLYCEROL LIPASE', 160011),
(216286, 'PTHR22799:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 3 MEMBER A', 160012),
(216287, 'PTHR34373:SF10', NULL, NULL, NULL, NULL, 'SHUGOSHIN-1-LIKE ISOFORM X1', 160013),
(216288, 'PTHR13516:SF21', NULL, NULL, NULL, NULL, 'COLD AND DROUGHT-REGULATED PROTEIN CORA-LIKE', 160014),
(216289, 'PTHR33671:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160015),
(216290, 'PTHR23147:SF101', NULL, NULL, NULL, NULL, 'SERINE AND ARGININE RICH SPLICING FACTOR 8', 160016),
(216291, 'PTHR13318:SF2', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 16', 160017),
(216292, 'PTHR46168:SF9', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 2', 160018),
(216293, 'PTHR31791:SF56', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 160019),
(216294, 'PTHR10851:SF0', NULL, NULL, NULL, NULL, 'PYRIDOXINE-5''-PHOSPHATE OXIDASE', 160020),
(216295, 'PTHR23073:SF7', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 6A', 160021),
(216296, 'PTHR33098:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160022),
(216297, 'PTHR31682:SF33', NULL, NULL, NULL, NULL, 'UDP-ARABINOPYRANOSE MUTASE 3', 160023),
(216298, 'PTHR24376:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160024),
(216299, 'PTHR11615:SF278', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN UU-1', 160025),
(216300, 'PTHR24096:SF257', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', 160026),
(216301, 'PTHR23110:SF100', NULL, NULL, NULL, NULL, 'MATERNAL GENE REQUIRED FOR MEIOSIS, ISOFORM H-RELATED', 160027);
INSERT INTO "PUBLIC"."MODEL" VALUES
(216302, 'PTHR48027:SF15', NULL, NULL, NULL, NULL, 'OS01G0945800 PROTEIN', 160028),
(216303, 'PTHR11081:SF1', NULL, NULL, NULL, NULL, 'FI23547P1', 160029),
(216304, 'PTHR12001:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160030),
(216305, 'PTHR19964:SF11', NULL, NULL, NULL, NULL, 'INAD-LIKE PROTEIN', 160031),
(216306, 'PTHR34187:SF2', NULL, NULL, NULL, NULL, 'FGR18P', 160032),
(216307, 'PTHR47440', NULL, NULL, NULL, NULL, 'RIKEN CDNA A430078G23 GENE', 160033),
(216308, 'PTHR13080:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160034),
(216309, 'PTHR24291:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160035),
(216310, 'PTHR11480:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160036),
(216311, 'PTHR43489:SF8', NULL, NULL, NULL, NULL, 'L-RIBULOSE-5-PHOSPHATE 3-EPIMERASE ULAE', 160037),
(216312, 'PTHR10983:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160038),
(216313, 'PTHR31669:SF203', NULL, NULL, NULL, NULL, 'OS02G0608100 PROTEIN', 160039),
(216314, 'PTHR27001:SF885', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE IN IN FLOWERS PROTEIN', 160040),
(216315, 'PTHR45974:SF186', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 160041),
(216316, 'PTHR10983:SF61', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE-LIKE PROTEIN', 160042),
(216317, 'PTHR31360:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160043),
(216318, 'PTHR39327:SF1', NULL, NULL, NULL, NULL, 'BLR5470 PROTEIN', 160044),
(216319, 'PTHR23267:SF359', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-22', 160045),
(216320, 'PTHR34450', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 245-RELATED', 160046),
(216321, 'PTHR35719:SF2', NULL, NULL, NULL, NULL, 'OS01G0680600 PROTEIN', 160047),
(216322, 'PTHR22883:SF352', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 160048),
(216323, 'PTHR31764:SF0', NULL, NULL, NULL, NULL, 'PROTEIN HAPLESS 2', 160049),
(216324, 'PTHR31150:SF21', NULL, NULL, NULL, NULL, 'OS02G0794000 PROTEIN', 160050),
(216325, 'PTHR10353:SF159', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 16', 160051),
(216326, 'PTHR48010:SF38', NULL, NULL, NULL, NULL, 'BNAC02G06700D PROTEIN', 160052),
(216327, 'PTHR47982:SF22', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK14', 160053),
(216328, 'PTHR13087', NULL, NULL, NULL, NULL, 'NF-KAPPA B ACTIVATING PROTEIN', 160054),
(216329, 'PTHR31241:SF55', NULL, NULL, NULL, NULL, 'BNAC06G43980D PROTEIN', 160055),
(216330, 'PTHR34222:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160056),
(216331, 'PTHR47982:SF32', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK8', 160057),
(216332, 'PTHR11761:SF28', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L14B/L23E-RELATED', 160058),
(216333, 'PTHR23268:SF97', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 11-3', 160059),
(216334, 'PTHR31208:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160060),
(216335, 'PTHR45637:SF34', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIPK-LIKE', 160061),
(216336, 'PTHR47939:SF4', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 160062),
(216337, 'PTHR11875:SF35', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1-LIKE 5', 160063),
(216338, 'PTHR47123:SF8', NULL, NULL, NULL, NULL, 'BNAC09G08910D PROTEIN', 160064),
(216339, 'PTHR31374:SF306', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', 160065),
(216340, 'PTHR35262', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 160066),
(216341, 'PTHR11461:SF324', NULL, NULL, NULL, NULL, 'BNAC04G18570D PROTEIN', 160067),
(216342, 'PTHR30509:SF23', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 160068),
(216343, 'PTHR48047:SF58', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 160069),
(216344, 'PTHR33696:SF12', NULL, NULL, NULL, NULL, 'BNAA08G25910D PROTEIN', 160070),
(216345, 'PTHR47569', NULL, NULL, NULL, NULL, 'NO-ASSOCIATED PROTEIN 1, CHLOROPLASTIC/MITOCHONDRIAL', 160071),
(216346, 'PTHR11746:SF147', NULL, NULL, NULL, NULL, 'ACETYLSEROTONIN O-METHYLTRANSFERASE', 160072),
(216347, 'PTHR23500:SF461', NULL, NULL, NULL, NULL, 'POLYOL/MONOSACCHARIDE TRANSPORTER 1', 160073);
INSERT INTO "PUBLIC"."MODEL" VALUES
(216348, 'PTHR31791:SF4', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN 3', 160074),
(216349, 'PTHR43832:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160075),
(216350, 'PTHR10192:SF20', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN MOLYBDENUMTRANSFERASE', 160076),
(216351, 'PTHR46953:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR MTH-LIKE 1-RELATED', 160077),
(216352, 'PTHR23113:SF186', NULL, NULL, NULL, NULL, 'RAS-GEF DOMAIN-CONTAINING FAMILY MEMBER 1C', 160078),
(216353, 'PTHR36059', NULL, NULL, NULL, NULL, 'OS02G0175800 PROTEIN', 160079),
(216354, 'PTHR22761:SF69', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 5', 160080),
(216355, 'PTHR31552:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 160081),
(216356, 'PTHR31155:SF20', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 1, CHLOROPLASTIC', 160082),
(216357, 'PTHR31100:SF65', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 160083),
(216358, 'PTHR13059:SF15', NULL, NULL, NULL, NULL, 'CAPICUA TRANSCRIPTIONAL REPRESSOR A', 160084),
(216359, 'PTHR13859:SF11', NULL, NULL, NULL, NULL, 'GRUNGE, ISOFORM J', 160085),
(216360, 'PTHR11206:SF329', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 160086),
(216361, 'PTHR12876:SF11', NULL, NULL, NULL, NULL, 'RIBONUCLEASE ZC3H12D-RELATED', 160087),
(216362, 'PTHR45770:SF11', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 160088),
(216363, 'PTHR10027:SF10', NULL, NULL, NULL, NULL, 'SLOWPOKE 2, ISOFORM D', 160089),
(216364, 'PTHR38825:SF1', NULL, NULL, NULL, NULL, 'LYSINE EXPORTER PROTEIN (LYSE/YGGA)', 160090),
(216365, 'PTHR31082:SF11', NULL, NULL, NULL, NULL, 'DUF1212 DOMAIN MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G07620)', 160091),
(216366, 'PTHR43903:SF3', NULL, NULL, NULL, NULL, 'NEUROLIGIN-2', 160092),
(216367, 'PTHR13018:SF26', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G10920)-RELATED', 160093),
(216368, 'PTHR45845:SF5', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 40', 160094),
(216369, 'PTHR11709:SF391', NULL, NULL, NULL, NULL, 'OS01G0816700 PROTEIN', 160095),
(216370, 'PTHR10351:SF54', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3', 160096),
(216371, 'PTHR10816:SF9', NULL, NULL, NULL, NULL, 'SUPPRESSION OF TUMORIGENICITY 18 PROTEIN', 160097),
(216372, 'PTHR31375:SF197', NULL, NULL, NULL, NULL, 'PECTIN LYASE SUPERFAMILY PROTEIN', 160098),
(216373, 'PTHR24223:SF369', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 10', 160099),
(216374, 'PTHR33958:SF1', NULL, NULL, NULL, NULL, 'PROTEIN C8ORF37', 160100),
(216375, 'PTHR13878:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160101),
(216376, 'PTHR43874:SF127', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 160102),
(216377, 'PTHR42825:SF27', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 160103),
(216378, 'PTHR13402:SF13', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16A', 160104),
(216379, 'PTHR11588:SF247', NULL, NULL, NULL, NULL, 'TUBULIN BETA-4B CHAIN', 160105),
(216380, 'PTHR15720:SF12', NULL, NULL, NULL, NULL, 'GREB1-LIKE PROTEIN', 160106),
(216381, 'PTHR46034:SF24', NULL, NULL, NULL, NULL, 'DEVELOPMENT/CELL DEATH DOMAIN-CONTAINING PROTEIN-RELATED', 160107),
(216382, 'PTHR11132:SF356', NULL, NULL, NULL, NULL, 'BNAC06G01790D PROTEIN', 160108),
(216383, 'PTHR47317:SF3', NULL, NULL, NULL, NULL, 'BNAA05G15580D PROTEIN', 160109),
(216384, 'PTHR15868:SF0', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 6430571L13 GENE, SIMILAR TO G20 PROTEIN', 160110),
(216385, 'PTHR45974:SF43', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 160111),
(216386, 'PTHR31867:SF161', NULL, NULL, NULL, NULL, 'EXPANSIN', 160112),
(216387, 'PTHR22446:SF3', NULL, NULL, NULL, NULL, 'M-PHASE-SPECIFIC PLK1-INTERACTING PROTEIN', 160113),
(216388, 'PTHR28589', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S34, MITOCHONDRIAL', 160114),
(216389, 'PTHR33623', NULL, NULL, NULL, NULL, 'OS04G0572500 PROTEIN', 160115),
(216390, 'PTHR16021:SF11', NULL, NULL, NULL, NULL, 'MANSC DOMAIN-CONTAINING PROTEIN 4', 160116);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(216391, 'PTHR43690:SF23', NULL, NULL, NULL, NULL, 'CATALYTIC/ METAL ION BINDING / METALLOENDOPEPTIDASE/ ZINC ION BINDING PROTEIN-RELATED', 160117),
(216392, 'PTHR48022:SF50', NULL, NULL, NULL, NULL, 'HEXOSE TRANSPORTER HXT14', 160118),
(216393, 'PTHR11693:SF22', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT GAMMA, MITOCHONDRIAL', 160119),
(216394, 'PTHR31674:SF31', NULL, NULL, NULL, NULL, 'BNAA04G12310D PROTEIN', 160120),
(216395, 'PTHR11467:SF103', NULL, NULL, NULL, NULL, 'HMG-Y-RELATED PROTEIN A', 160121),
(216396, 'PTHR11802:SF334', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 21', 160122),
(216397, 'PTHR21461:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG26871', 160123),
(216398, 'PTHR31288:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160124),
(216399, 'PTHR37735:SF1', NULL, NULL, NULL, NULL, 'OS08G0567000 PROTEIN', 160125),
(216400, 'PTHR13890:SF46', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-LIKE PROTEIN', 160126),
(216401, 'PTHR10543:SF109', NULL, NULL, NULL, NULL, 'CAROTENOID 9,10(9'',10'')-CLEAVAGE DIOXYGENASE 1', 160127),
(216402, 'PTHR33142:SF69', NULL, NULL, NULL, NULL, 'BNAA08G27110D PROTEIN', 160128),
(216403, 'PTHR19051:SF26', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 13-2', 160129),
(216404, 'PTHR11668:SF456', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 160130),
(216405, 'PTHR12100:SF1', NULL, NULL, NULL, NULL, 'RECYCLIN-1', 160131),
(216406, 'PTHR22166:SF33', NULL, NULL, NULL, NULL, 'BNAA04G14280D PROTEIN', 160132),
(216407, 'PTHR11730:SF105', NULL, NULL, NULL, NULL, 'RH BLOOD GROUP, D ANTIGEN', 160133),
(216408, 'PTHR33169:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, PADR FAMILY', 160134),
(216409, 'PTHR10168:SF62', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C1-LIKE', 160135),
(216410, 'PTHR11662:SF435', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER 4,6-RELATED', 160136),
(216411, 'PTHR45988', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY-RELATED', 160137),
(216412, 'PTHR15159', NULL, NULL, NULL, NULL, 'NEUROSECRETORY PROTEIN VGF', 160138),
(216413, 'PTHR33083:SF52', NULL, NULL, NULL, NULL, 'OJ000126_13.10 PROTEIN', 160139),
(216414, 'PTHR11785:SF323', NULL, NULL, NULL, NULL, 'CYSTINE/GLUTAMATE TRANSPORTER', 160140),
(216415, 'PTHR15907:SF150', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 8', 160141),
(216416, 'PTHR43479:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, TETR FAMILY', 160142),
(216417, 'PTHR14296:SF6', NULL, NULL, NULL, NULL, 'DDT DOMAIN-CONTAINING PROTEIN DDR4', 160143),
(216418, 'PTHR31890:SF13', NULL, NULL, NULL, NULL, 'BNM1 LIKE PROTEIN', 160144),
(216419, 'PTHR40641:SF2', NULL, NULL, NULL, NULL, 'INVOLUCRIN REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_2G08060)', 160145),
(216420, 'PTHR12170', NULL, NULL, NULL, NULL, 'MACROPHAGE ERYTHROBLAST ATTACHER-RELATED', 160146),
(216421, 'PTHR45797', NULL, NULL, NULL, NULL, 'RAD54-LIKE', 160147),
(216422, 'PTHR34273:SF3', NULL, NULL, NULL, NULL, 'METHYLTHIORIBOSE KINASE', 160148),
(216423, 'PTHR33472:SF9', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASES, ACTING ON NADH OR NADPH-RELATED', 160149),
(216424, 'PTHR19325:SF484', NULL, NULL, NULL, NULL, 'P-SELECTIN', 160150),
(216425, 'PTHR35718:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 160151),
(216426, 'PTHR13847:SF187', NULL, NULL, NULL, NULL, 'DIMETHYLGLYCINE DEHYDROGENASE, MITOCHONDRIAL', 160152),
(216427, 'PTHR10638:SF76', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 160153),
(216428, 'PTHR14168:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160154),
(216429, 'PTHR23430:SF135', NULL, NULL, NULL, NULL, 'HISTONE H2A', 160155),
(216430, 'PTHR37317:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160156),
(216431, 'PTHR24073:SF212', NULL, NULL, NULL, NULL, 'FI01544P', 160157),
(216432, 'PTHR47370:SF1', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 160158),
(216433, 'PTHR23406:SF68', NULL, NULL, NULL, NULL, 'MALIC ENZYME', 160159),
(216434, 'PTHR11588:SF182', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 160160),
(216435, 'PTHR12609', NULL, NULL, NULL, NULL, 'MICROTUBULE ASSOCIATED PROTEIN XMAP215', 160161); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(216436, 'PTHR22835:SF492', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 2', 160162),
(216437, 'PTHR45721', NULL, NULL, NULL, NULL, 'LAMIN DM0-RELATED', 160163),
(216438, 'PTHR28637', NULL, NULL, NULL, NULL, 'DNA REPLICATION FACTOR CDT1', 160164),
(216439, 'PTHR14209:SF26', NULL, NULL, NULL, NULL, 'ISOAMYL ACETATE-HYDROLYZING ESTERASE 1 HOMOLOG', 160165),
(216440, 'PTHR12411:SF757', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160166),
(216441, 'PTHR23501:SF149', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G10430)-RELATED', 160167),
(216442, 'PTHR47364', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 5', 160168),
(216443, 'PTHR42891', NULL, NULL, NULL, NULL, 'D-GLYCERO-BETA-D-MANNO-HEPTOSE-1,7-BISPHOSPHATE 7-PHOSPHATASE', 160169),
(216444, 'PTHR12289:SF23', NULL, NULL, NULL, NULL, 'CADMIUM RESPONSIVE', 160170),
(216445, 'PTHR11406:SF27', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE 3, CYTOSOLIC', 160171),
(216446, 'PTHR24373:SF97', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT NEURONAL PROTEIN 1', 160172),
(216447, 'PTHR31072:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160173),
(216448, 'PTHR34568:SF4', NULL, NULL, NULL, NULL, 'OS02G0638000 PROTEIN', 160174),
(216449, 'PTHR12673:SF247', NULL, NULL, NULL, NULL, 'CYTOKINESIS PROTEIN DON1', 160175),
(216450, 'PTHR11895:SF161', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 160176),
(216451, 'PTHR45660:SF40', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE FAMILY MEMBER SUVH9-LIKE', 160177),
(216452, 'PTHR26452:SF385', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 483', 160178),
(216453, 'PTHR47823', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 160179),
(216454, 'PTHR23177:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160180),
(216455, 'PTHR23155:SF1133', NULL, NULL, NULL, NULL, 'OS11G0429100 PROTEIN', 160181),
(216456, 'PTHR11972:SF150', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN I-RELATED', 160182),
(216457, 'PTHR12758:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160183),
(216458, 'PTHR43874:SF140', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR ARR8, PUTATIVE-RELATED', 160184),
(216459, 'PTHR13844:SF64', NULL, NULL, NULL, NULL, 'SWIB/MDM2 DOMAIN-CONTAINING PROTEIN-RELATED', 160185),
(216460, 'PTHR11921', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE IRON-SULFUR PROTEIN', 160186),
(216461, 'PTHR31916:SF51', NULL, NULL, NULL, NULL, 'NEUTRAL/ALKALINE INVERTASE 1, MITOCHONDRIAL', 160187),
(216462, 'PTHR11467:SF106', NULL, NULL, NULL, NULL, 'TITIN-LIKE', 160188),
(216463, 'PTHR42690', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE FAMILY MEMBER', 160189),
(216464, 'PTHR33326:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160190),
(216465, 'PTHR11732:SF407', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER C18', 160191),
(216466, 'PTHR10151:SF103', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE FAMILY MEMBER 5', 160192),
(216467, 'PTHR16134:SF110', NULL, NULL, NULL, NULL, 'BNAA03G50450D PROTEIN', 160193),
(216468, 'PTHR24286:SF189', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 722, SUBFAMILY A, POLYPEPTIDE 1', 160194),
(216469, 'PTHR43670:SF65', NULL, NULL, NULL, NULL, 'NEUROFILAMENT MEDIUM POLYPEPTIDE-LIKE', 160195),
(216470, 'PTHR27001:SF144', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 160196),
(216471, 'PTHR31264:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160197),
(216472, 'PTHR45844:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH51', 160198),
(216473, 'PTHR45642:SF105', NULL, NULL, NULL, NULL, 'YALI0D02255P', 160199),
(216474, 'PTHR28646:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 201', 160200),
(216475, 'PTHR10422:SF29', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 1 HOMOLOG, BACTEROID', 160201),
(216476, 'PTHR13683:SF813', NULL, NULL, NULL, NULL, 'BNAANNG41520D PROTEIN', 160202),
(216477, 'PTHR48020:SF6', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 3-RELATED', 160203),
(216478, 'PTHR11362:SF88', NULL, NULL, NULL, NULL, 'ZCN16', 160204);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(216479, 'PTHR23257:SF722', NULL, NULL, NULL, NULL, 'OS06G0646400 PROTEIN', 160205),
(216480, 'PTHR24023:SF997', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160206),
(216481, 'PTHR46093:SF10', NULL, NULL, NULL, NULL, 'KELCH-TYPE BETA PROPELLER-RELATED', 160207),
(216482, 'PTHR47163', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 160208),
(216483, 'PTHR10891:SF885', NULL, NULL, NULL, NULL, 'CALCIUM BINDING PROTEIN 2-RELATED', 160209),
(216484, 'PTHR11802:SF257', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 6', 160210),
(216485, 'PTHR17616', NULL, NULL, NULL, NULL, 'YES-ASSOCIATED PROTEIN YAP1 FAMILY MEMBER', 160211),
(216486, 'PTHR43187', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE DUG3-RELATED', 160212),
(216487, 'PTHR31140:SF106', NULL, NULL, NULL, NULL, 'BNAANNG40580D PROTEIN', 160213),
(216488, 'PTHR31062:SF224', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 160214),
(216489, 'PTHR45633:SF3', NULL, NULL, NULL, NULL, '60 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', 160215),
(216490, 'PTHR33074:SF52', NULL, NULL, NULL, NULL, 'OS04G0388000 PROTEIN', 160216),
(216491, 'PTHR33076:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160217),
(216492, 'PTHR45730:SF34', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', 160218),
(216493, 'PTHR31407:SF41', NULL, NULL, NULL, NULL, 'BNAA08G28710D PROTEIN', 160219),
(216494, 'PTHR47510:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160220),
(216495, 'PTHR46037:SF4', NULL, NULL, NULL, NULL, 'GROWTH FACTOR RECEPTOR-BOUND PROTEIN 2', 160221),
(216496, 'PTHR22814:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160222),
(216497, 'PTHR31676:SF29', NULL, NULL, NULL, NULL, 'OS11G0683600 PROTEIN', 160223),
(216498, 'PTHR36439:SF1', NULL, NULL, NULL, NULL, 'BLL4334 PROTEIN', 160224),
(216499, 'PTHR10996:SF226', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160225),
(216500, 'PTHR24058:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160226),
(216501, 'PTHR22367', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 14', 160227),
(216502, 'PTHR10334:SF448', NULL, NULL, NULL, NULL, 'OS07G0125000 PROTEIN', 160228),
(216503, 'PTHR46971:SF1', NULL, NULL, NULL, NULL, 'CALCINEURIN B SUBUNIT (PROTEIN PHOSPHATASE 2B REGULATORY SUBUNIT)-LIKE PROTEIN', 160229),
(216504, 'PTHR11530:SF16', NULL, NULL, NULL, NULL, 'D-AMINO ACID OXIDASE (AFU_ORTHOLOGUE AFUA_5G11290)', 160230),
(216505, 'PTHR48013:SF21', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 3', 160231),
(216506, 'PTHR43481:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160232),
(216507, 'PTHR39444', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 160233),
(216508, 'PTHR47769:SF1', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 8', 160234),
(216509, 'PTHR45737', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 5A', 160235),
(216510, 'PTHR32285:SF229', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 20', 160236),
(216511, 'PTHR22968:SF25', NULL, NULL, NULL, NULL, 'ZGC:175248', 160237),
(216512, 'PTHR11035:SF3', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE', 160238),
(216513, 'PTHR14140:SF42', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 160239),
(216514, 'PTHR10210:SF29', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYL PYROPHOSPHATE SYNTHASE-ASSOCIATED PROTEIN 2', 160240),
(216515, 'PTHR37078:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 160241),
(216516, 'PTHR48024:SF13', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN Q', 160242),
(216517, 'PTHR46413:SF1', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 6', 160243),
(216518, 'PTHR33285:SF44', NULL, NULL, NULL, NULL, 'BNAC02G16840D PROTEIN', 160244),
(216519, 'PTHR32309:SF25', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE ETK-RELATED', 160245),
(216520, 'PTHR43324', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 160246),
(216521, 'PTHR10164:SF3', NULL, NULL, NULL, NULL, 'ISLET CELL AUTOANTIGEN 1', 160247);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(216522, 'PTHR44592', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 160248),
(216523, 'PTHR15035:SF9', NULL, NULL, NULL, NULL, 'CORTICOLIBERIN', 160249),
(216524, 'PTHR12415:SF4', NULL, NULL, NULL, NULL, 'TYROSYL-DNA PHOSPHODIESTERASE DOMAIN-CONTAINING PROTEIN', 160250),
(216525, 'PTHR34343:SF1', NULL, NULL, NULL, NULL, 'SEROLOGICALLY DEFINED COLON CANCER ANTIGEN 8', 160251),
(216526, 'PTHR46309:SF5', NULL, NULL, NULL, NULL, 'GNAT FAMILY ACETYLTRANSFERASE', 160252),
(216527, 'PTHR10687:SF64', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 160253),
(216528, 'PTHR32009:SF94', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN', 160254),
(216529, 'PTHR34119:SF9', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 160255),
(216530, 'PTHR24110:SF3', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 78 KDA', 160256),
(216531, 'PTHR20963:SF43', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-RELATED', 160257),
(216532, 'PTHR10775:SF148', NULL, NULL, NULL, NULL, 'OS04G0146034 PROTEIN', 160258),
(216533, 'PTHR10485:SF3', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE 21.3 KDA SUBUNIT', 160259),
(216534, 'PTHR43512:SF4', NULL, NULL, NULL, NULL, 'TRANSLATION FACTOR GUF1, MITOCHONDRIAL', 160260),
(216535, 'PTHR47245:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 160261),
(216536, 'PTHR32116:SF64', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 160262),
(216537, 'PTHR31749', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN NSL1 HOMOLOG', 160263),
(216538, 'PTHR24346:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160264),
(216539, 'PTHR34630:SF46', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 160265),
(216540, 'PTHR47975:SF15', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN FAMILY PROTEIN, EXPRESSED', 160266),
(216541, 'PTHR27005:SF343', NULL, NULL, NULL, NULL, 'BNAA08G28110D PROTEIN', 160267),
(216542, 'PTHR10204:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE [QUINONE] 1', 160268),
(216543, 'PTHR35696:SF1', NULL, NULL, NULL, NULL, 'ELECTRON CARRIER/IRON ION-BINDING PROTEIN', 160269),
(216544, 'PTHR24281:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160270),
(216545, 'PTHR47926:SF118', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 160271),
(216546, 'PTHR11485:SF28', NULL, NULL, NULL, NULL, 'OVOTRANSFERRIN', 160272),
(216547, 'PTHR30055:SF188', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 160273),
(216548, 'PTHR14226:SF26', NULL, NULL, NULL, NULL, 'NEUROPATHY TARGET ESTERASE', 160274),
(216549, 'PTHR24006:SF790', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE 12-RELATED', 160275),
(216550, 'PTHR42877:SF8', NULL, NULL, NULL, NULL, 'MONOOXYGENASE', 160276),
(216551, 'PTHR45676:SF31', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL51-RELATED', 160277),
(216552, 'PTHR24329:SF545', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ESX1', 160278),
(216553, 'PTHR34661', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 3', 160279),
(216554, 'PTHR37353', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4921517D22 GENE', 160280),
(216555, 'PTHR12083:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160281),
(216556, 'PTHR44191:SF37', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1R1-LIKE ISOFORM X1', 160282),
(216557, 'PTHR37390:SF4', NULL, NULL, NULL, NULL, 'BNAA01G24000D PROTEIN', 160283),
(216558, 'PTHR23091', NULL, NULL, NULL, NULL, 'N-TERMINAL ACETYLTRANSFERASE', 160284),
(216559, 'PTHR13042:SF11', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5', 160285),
(216560, 'PTHR24092:SF68', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 160286),
(216561, 'PTHR46628', NULL, NULL, NULL, NULL, 'PIRNA BIOGENESIS PROTEIN EXD1', 160287),
(216562, 'PTHR10994:SF141', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B10', 160288),
(216563, 'PTHR30627:SF21', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN H', 160289),
(216564, 'PTHR43795:SF81', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 8', 160290);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(216565, 'PTHR33124:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IBH1-LIKE 1', 160291),
(216566, 'PTHR31989:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160292),
(216567, 'PTHR45660:SF17', NULL, NULL, NULL, NULL, 'SRA-YDG, PUA-LIKE DOMAIN PROTEIN-RELATED', 160293),
(216568, 'PTHR46300:SF9', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 160294),
(216569, 'PTHR15598:SF11', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', 160295),
(216570, 'PTHR16719:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE COPPER CHAPERONE 2', 160296),
(216571, 'PTHR47942:SF7', NULL, NULL, NULL, NULL, 'OS02G0711100 PROTEIN', 160297),
(216572, 'PTHR21038', NULL, NULL, NULL, NULL, '40-2-3 PROTEIN-RELATED', 160298),
(216573, 'PTHR46125:SF7', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 28-LIKE ISOFORM X1', 160299),
(216574, 'PTHR33065:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160300),
(216575, 'PTHR31080:SF123', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 2', 160301),
(216576, 'PTHR43120:SF14', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', 160302),
(216577, 'PTHR46204:SF23', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 160303),
(216578, 'PTHR43986:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160304),
(216579, 'PTHR20905:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG11298', 160305),
(216580, 'PTHR10513:SF38', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOSIDE KINASE-LIKE PROTEIN', 160306),
(216581, 'PTHR12606', NULL, NULL, NULL, NULL, 'SENTRIN/SUMO-SPECIFIC PROTEASE', 160307),
(216582, 'PTHR24373:SF283', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE NEURONAL PROTEIN 4', 160308),
(216583, 'PTHR10168:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160309),
(216584, 'PTHR45676:SF97', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL51-LIKE', 160310),
(216585, 'PTHR10050', NULL, NULL, NULL, NULL, 'DOLICHYL-PHOSPHATE-MANNOSE--PROTEIN MANNOSYLTRANSFERASE', 160311),
(216586, 'PTHR31941', NULL, NULL, NULL, NULL, 'CYTOSKELETAL SIGNALING PROTEIN SLM1', 160312),
(216587, 'PTHR31925:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 251', 160313),
(216588, 'PTHR32133:SF134', NULL, NULL, NULL, NULL, 'OS10G0137700 PROTEIN', 160314),
(216589, 'PTHR24381:SF278', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 391', 160315),
(216590, 'PTHR11615:SF216', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT G', 160316),
(216591, 'PTHR30249:SF15', NULL, NULL, NULL, NULL, 'BNAA05G16460D PROTEIN', 160317),
(216592, 'PTHR43168:SF7', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L33, CHLOROPLASTIC', 160318),
(216593, 'PTHR11902:SF6', NULL, NULL, NULL, NULL, 'ENO3 PROTEIN', 160319),
(216594, 'PTHR18966:SF505', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 1-RELATED', 160320),
(216595, 'PTHR33207:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160321),
(216596, 'PTHR42727', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN', 160322),
(216597, 'PTHR31385:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF220)-RELATED', 160323),
(216598, 'PTHR47358', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HOS1', 160324),
(216599, 'PTHR36758', NULL, NULL, NULL, NULL, 'OS01G0342800 PROTEIN', 160325),
(216600, 'PTHR33333:SF20', NULL, NULL, NULL, NULL, 'ERYTHROCYTE MEMBRANE PROTEIN 1-LIKE', 160326),
(216601, 'PTHR40712:SF2', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 153 MEMBER C-RELATED', 160327),
(216602, 'PTHR46154:SF6', NULL, NULL, NULL, NULL, 'BNAA02G36580D PROTEIN', 160328),
(216603, 'PTHR31080:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160329),
(216604, 'PTHR34401:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG07758', 160330),
(216605, 'PTHR33085:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160331),
(216606, 'PTHR23020', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED NUCLEAR HORMONE RECEPTOR-RELATED', 160332),
(216607, 'PTHR35108:SF6', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 3, CHLOROPLAST, PUTATIVE-RELATED', 160333);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(216608, 'PTHR30193:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YESP-RELATED', 160334),
(216609, 'PTHR14927:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 10', 160335),
(216610, 'PTHR11362:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160336),
(216611, 'PTHR48049:SF73', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 160337),
(216612, 'PTHR10133', NULL, NULL, NULL, NULL, 'DNA POLYMERASE I', 160338),
(216613, 'PTHR22952:SF355', NULL, NULL, NULL, NULL, 'OS09G0540800 PROTEIN', 160339),
(216614, 'PTHR11929:SF205', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE 5', 160340),
(216615, 'PTHR40657', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC681367', 160341),
(216616, 'PTHR47976:SF58', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', 160342),
(216617, 'PTHR20861', NULL, NULL, NULL, NULL, 'HOMOSERINE/4-DIPHOSPHOCYTIDYL-2-C-METHYL-D-ERYTHRITOL KINASE', 160343),
(216618, 'PTHR42898:SF49', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', 160344),
(216619, 'PTHR32060:SF5', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL-PROCESSING PEPTIDASE 3, CHLOROPLASTIC', 160345),
(216620, 'PTHR19850:SF38', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN, BETA SUBUNIT-RELATED', 160346),
(216621, 'PTHR31430:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG12472', 160347),
(216622, 'PTHR16821:SF7', NULL, NULL, NULL, NULL, 'BNAA09G01420D PROTEIN', 160348),
(216623, 'PTHR31213:SF121', NULL, NULL, NULL, NULL, 'MAJOR ALLERGEN PRU AR 1', 160349),
(216624, 'PTHR24376:SF86', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 748', 160350),
(216625, 'PTHR35307', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 160351),
(216626, 'PTHR31205:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160352),
(216627, 'PTHR13848:SF77', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 160353),
(216628, 'PTHR31901:SF90', NULL, NULL, NULL, NULL, 'BNAA03G52610D PROTEIN', 160354),
(216629, 'PTHR33228:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160355),
(216630, 'PTHR21068:SF41', NULL, NULL, NULL, NULL, 'SENESCENCE/DEHYDRATION-ASSOCIATED PROTEIN-RELATED PROTEIN-RELATED', 160356),
(216631, 'PTHR12159:SF10', NULL, NULL, NULL, NULL, 'THYMINE DNA GLYCOSYLASE, TANDEM DUPLICATE 2', 160357),
(216632, 'PTHR10795:SF523', NULL, NULL, NULL, NULL, 'SERINE PROTEINASE 1, PUTATIVE-RELATED', 160358),
(216633, 'PTHR12448:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160359),
(216634, 'PTHR43572:SF41', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 3-LIKE', 160360),
(216635, 'PTHR31190:SF222', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF105', 160361),
(216636, 'PTHR25466:SF7', NULL, NULL, NULL, NULL, 'HERV-H LTR-ASSOCIATING 2A, TANDEM DUPLICATE 1-RELATED', 160362),
(216637, 'PTHR24637:SF261', NULL, NULL, NULL, NULL, 'COLLAGEN', 160363),
(216638, 'PTHR23273:SF50', NULL, NULL, NULL, NULL, 'BNAC02G25160D PROTEIN', 160364),
(216639, 'PTHR23263:SF26', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 9', 160365),
(216640, 'PTHR31967:SF18', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)', 160366),
(216641, 'PTHR47956:SF29', NULL, NULL, NULL, NULL, 'OS02G0278400 PROTEIN', 160367),
(216642, 'PTHR10942:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160368),
(216643, 'PTHR12156:SF29', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN, FAMILY B, MEMBER 1A', 160369),
(216644, 'PTHR24060:SF159', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 125', 160370),
(216645, 'PTHR32444:SF126', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', 160371),
(216646, 'PTHR21366', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN', 160372),
(216647, 'PTHR10332:SF38', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 3-RELATED', 160373),
(216648, 'PTHR19441:SF74', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 15A', 160374),
(216649, 'PTHR34123:SF4', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN, PUTATIVE (DUF2358)-RELATED', 160375),
(216650, 'PTHR22765:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160376);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(216651, 'PTHR11278:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', 160377),
(216652, 'PTHR11066:SF37', NULL, NULL, NULL, NULL, 'PROTEIN CBG08033', 160378),
(216653, 'PTHR47460', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN ACR4', 160379),
(216654, 'PTHR33147:SF98', NULL, NULL, NULL, NULL, 'GAMMA-THIONIN-RELATED', 160380),
(216655, 'PTHR11736:SF10', NULL, NULL, NULL, NULL, 'NECDIN', 160381),
(216656, 'PTHR36698', NULL, NULL, NULL, NULL, 'BLL5892 PROTEIN', 160382),
(216657, 'PTHR43791:SF55', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G01820)-RELATED', 160383),
(216658, 'PTHR46270:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160384),
(216659, 'PTHR11062:SF214', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE XLT2', 160385),
(216660, 'PTHR19290:SF150', NULL, NULL, NULL, NULL, 'ATONAL BHLH TRANSCRIPTION FACTOR 1B', 160386),
(216661, 'PTHR34482:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160387),
(216662, 'PTHR13904:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160388),
(216663, 'PTHR31734:SF196', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 160389),
(216664, 'PTHR31561:SF147', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 160390),
(216665, 'PTHR24349:SF446', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160391),
(216666, 'PTHR24559:SF373', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN, RIBONUCLEASE H-LIKE DOMAIN PROTEIN-RELATED', 160392),
(216667, 'PTHR45642:SF90', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 160393),
(216668, 'PTHR36595:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 160394),
(216669, 'PTHR10351', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3 FAMILY MEMBER', 160395),
(216670, 'PTHR11469:SF3', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE ISOMERASE', 160396),
(216671, 'PTHR12277:SF163', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', 160397),
(216672, 'PTHR22893:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160398),
(216673, 'PTHR12634:SF28', NULL, NULL, NULL, NULL, 'BNAANNG11330D PROTEIN', 160399),
(216674, 'PTHR10676', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN FAMILY PROTEIN', 160400),
(216675, 'PTHR10113:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160401),
(216676, 'PTHR31495:SF14', NULL, NULL, NULL, NULL, 'CALEOSIN', 160402),
(216677, 'PTHR23090', NULL, NULL, NULL, NULL, 'NH 3 /GLUTAMINE-DEPENDENT NAD +  SYNTHETASE', 160403),
(216678, 'PTHR33236:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160404),
(216679, 'PTHR22589:SF55', NULL, NULL, NULL, NULL, 'CARNITINE O-PALMITOYLTRANSFERASE 1, BRAIN ISOFORM', 160405),
(216680, 'PTHR22855:SF13', NULL, NULL, NULL, NULL, 'METHYLCROTONOYL-COA CARBOXYLASE BETA CHAIN, MITOCHONDRIAL', 160406),
(216681, 'PTHR47087:SF2', NULL, NULL, NULL, NULL, 'METHIONINE S-METHYLTRANSFERASE', 160407),
(216682, 'PTHR16223:SF228', NULL, NULL, NULL, NULL, 'BNAA04G20390D PROTEIN', 160408),
(216683, 'PTHR45676:SF38', NULL, NULL, NULL, NULL, 'BNAA02G16340D PROTEIN', 160409),
(216684, 'PTHR11955:SF60', NULL, NULL, NULL, NULL, 'CELLULAR RETINOIC ACID-BINDING PROTEIN 2', 160410),
(216685, 'PTHR10183', NULL, NULL, NULL, NULL, 'CALPAIN', 160411),
(216686, 'PTHR47928', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 160412),
(216687, 'PTHR32193', NULL, NULL, NULL, NULL, 'REGULATOR OF CELL CYCLE RGCC', 160413),
(216688, 'PTHR37297', NULL, NULL, NULL, NULL, 'PROTEIN NRDI', 160414),
(216689, 'PTHR34721:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG20110', 160415),
(216690, 'PTHR11242:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160416),
(216691, 'PTHR12454:SF3', NULL, NULL, NULL, NULL, 'TRIMERIC INTRACELLULAR CATION CHANNEL TYPE A', 160417),
(216692, 'PTHR33052:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160418),
(216693, 'PTHR23333:SF33', NULL, NULL, NULL, NULL, 'BNACNNG13870D PROTEIN', 160419),
(216694, 'PTHR31917:SF74', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 160420),
(216695, 'PTHR23024:SF540', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', 160421);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(216696, 'PTHR31683:SF144', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 160422),
(216697, 'PTHR10791:SF54', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET2B', 160423),
(216698, 'PTHR14467:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ARV1', 160424),
(216699, 'PTHR27007:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160425),
(216700, 'PTHR30558:SF3', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBD-RELATED', 160426),
(216701, 'PTHR10283:SF132', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 13 MEMBER 5A', 160427),
(216702, 'PTHR42643:SF19', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 100A', 160428),
(216703, 'PTHR45623:SF2', NULL, NULL, NULL, NULL, 'CHROMODOMAIN HELICASE DNA-BINDING PROTEIN 9', 160429),
(216704, 'PTHR11165:SF131', NULL, NULL, NULL, NULL, 'BNACNNG61970D PROTEIN', 160430),
(216705, 'PTHR45651:SF24', NULL, NULL, NULL, NULL, 'OS08G0254600 PROTEIN', 160431),
(216706, 'PTHR24298:SF849', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A26', 160432),
(216707, 'PTHR11071:SF475', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 160433),
(216708, 'PTHR31568:SF84', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', 160434),
(216709, 'PTHR45751:SF24', NULL, NULL, NULL, NULL, 'COPINE-RELATED', 160435),
(216710, 'PTHR47488:SF16', NULL, NULL, NULL, NULL, 'HEAVY-METAL-ASSOCIATED DOMAIN PROTEIN', 160436),
(216711, 'PTHR47567', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE/SOLUTE CARRIER', 160437),
(216712, 'PTHR22893:SF103', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOIC ACID REDUCTASE 1', 160438),
(216713, 'PTHR37006:SF1', NULL, NULL, NULL, NULL, 'RETROVIRAL-LIKE ASPARTIC PROTEASE 1', 160439),
(216714, 'PTHR24320:SF108', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 11', 160440),
(216715, 'PTHR34387:SF2', NULL, NULL, NULL, NULL, 'SLR1258 PROTEIN', 160441),
(216716, 'PTHR43884:SF20', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FADE27', 160442),
(216717, 'PTHR11685:SF266', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARI12-RELATED', 160443),
(216718, 'PTHR45684:SF34', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1A', 160444),
(216719, 'PTHR12460:SF26', NULL, NULL, NULL, NULL, 'BNAA09G01820D PROTEIN', 160445),
(216720, 'PTHR46411', NULL, NULL, NULL, NULL, 'FAMILY ATPASE, PUTATIVE-RELATED', 160446),
(216721, 'PTHR45808:SF3', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACL', 160447),
(216722, 'PTHR34274:SF9', NULL, NULL, NULL, NULL, 'BNAA05G14730D PROTEIN', 160448),
(216723, 'PTHR11783:SF14', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE FAMILY CYTOSOLIC 1B MEMBER 1', 160449),
(216724, 'PTHR24119:SF0', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 6', 160450),
(216725, 'PTHR23232:SF98', NULL, NULL, NULL, NULL, 'KRAB DOMAIN-CONTAINING PROTEIN 4', 160451),
(216726, 'PTHR10417:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160452),
(216727, 'PTHR13044:SF38', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR JLBA/IDI-4', 160453),
(216728, 'PTHR10394:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', 160454),
(216729, 'PTHR47167:SF2', NULL, NULL, NULL, NULL, 'TAO KINASE 3', 160455),
(216730, 'PTHR12570:SF13', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA3', 160456),
(216731, 'PTHR46386:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR BODY PROTEIN SP140', 160457),
(216732, 'PTHR35076:SF1', NULL, NULL, NULL, NULL, 'TUBULIN EPSILON AND DELTA COMPLEX PROTEIN 1', 160458),
(216733, 'PTHR11558:SF44', NULL, NULL, NULL, NULL, 'SPERMIDINE SYNTHASE', 160459),
(216734, 'PTHR41307', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 160460),
(216735, 'PTHR30469:SF29', NULL, NULL, NULL, NULL, 'BLR2860 PROTEIN', 160461),
(216736, 'PTHR40370:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 160462),
(216737, 'PTHR45613:SF2', NULL, NULL, NULL, NULL, 'OS04G0350000 PROTEIN', 160463),
(216738, 'PTHR23077:SF153', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 48 HOMOLOG', 160464),
(216739, 'PTHR24637:SF289', NULL, NULL, NULL, NULL, 'COLLAGEN', 160465),
(216740, 'PTHR21191:SF16', NULL, NULL, NULL, NULL, 'AQUAPORIN', 160466);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(216741, 'PTHR43495:SF7', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YIFK-RELATED', 160467),
(216742, 'PTHR34060:SF3', NULL, NULL, NULL, NULL, 'BNAA09G52170D PROTEIN', 160468),
(216743, 'PTHR23428:SF77', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-A', 160469),
(216744, 'PTHR12612:SF4', NULL, NULL, NULL, NULL, 'NTF2-RELATED EXPORT PROTEIN 1', 160470),
(216745, 'PTHR31007', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE II INHIBITOR 2', 160471),
(216746, 'PTHR22589:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG17205', 160472),
(216747, 'PTHR24073:SF1121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160473),
(216748, 'PTHR33232:SF20', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION B-LIKE', 160474),
(216749, 'PTHR14156', NULL, NULL, NULL, NULL, 'MOTILIN', 160475),
(216750, 'PTHR11717:SF31', NULL, NULL, NULL, NULL, 'LOW MOLECULAR WEIGHT PROTEIN-TYROSINE-PHOSPHATASE PTPB', 160476),
(216751, 'PTHR31561:SF76', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 13-RELATED', 160477),
(216752, 'PTHR10315:SF115', NULL, NULL, NULL, NULL, 'BNAC02G24630D PROTEIN', 160478),
(216753, 'PTHR11409:SF39', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE 2', 160479),
(216754, 'PTHR45724:SF12', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP3-1', 160480),
(216755, 'PTHR23255:SF50', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN RECEPTOR TYPE-1A', 160481),
(216756, 'PTHR23054:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160482),
(216757, 'PTHR11474:SF109', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE E, CHLOROPLASTIC', 160483),
(216758, 'PTHR47499:SF5', NULL, NULL, NULL, NULL, 'SERINE PEPTIDASE INHIBITOR, KAZAL TYPE 6', 160484),
(216759, 'PTHR11783:SF268', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160485),
(216760, 'PTHR42978:SF2', NULL, NULL, NULL, NULL, 'QUORUM-QUENCHING LACTONASE YTNP-RELATED', 160486),
(216761, 'PTHR21245:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160487),
(216762, 'PTHR46169:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160488),
(216763, 'PTHR10114:SF17', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', 160489),
(216764, 'PTHR35998:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160490),
(216765, 'PTHR46561:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', 160491),
(216766, 'PTHR24377:SF867', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 712', 160492),
(216767, 'PTHR44468:SF1', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING 8A', 160493),
(216768, 'PTHR46287:SF7', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 1', 160494),
(216769, 'PTHR11586:SF33', NULL, NULL, NULL, NULL, 'AMINOACYL TRNA SYNTHASE COMPLEX-INTERACTING MULTIFUNCTIONAL PROTEIN 1', 160495),
(216770, 'PTHR23115:SF119', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR GTP-BINDING SUBUNIT ERF3B', 160496),
(216771, 'PTHR45712:SF3', NULL, NULL, NULL, NULL, 'OSTEOMODULIN', 160497),
(216772, 'PTHR10353:SF228', NULL, NULL, NULL, NULL, 'BNAA08G05540D PROTEIN', 160498),
(216773, 'PTHR32215:SF12', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN-CONTAINING PROTEIN', 160499),
(216774, 'PTHR19368', NULL, NULL, NULL, NULL, 'XLR/SCP3/FAM9', 160500),
(216775, 'PTHR40326', NULL, NULL, NULL, NULL, 'PROTEIN CBG10816', 160501),
(216776, 'PTHR47979:SF18', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN YPTC6', 160502),
(216777, 'PTHR12693', NULL, NULL, NULL, NULL, 'MENIN', 160503),
(216778, 'PTHR32100:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160504),
(216779, 'PTHR14787:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 10 OPEN READING FRAME 88', 160505),
(216780, 'PTHR11659:SF2', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT E', 160506),
(216781, 'PTHR31197:SF21', NULL, NULL, NULL, NULL, 'BNAC03G28140D PROTEIN', 160507),
(216782, 'PTHR24349:SF364', NULL, NULL, NULL, NULL, 'BNAC04G47900D PROTEIN', 160508),
(216783, 'PTHR12547:SF144', NULL, NULL, NULL, NULL, 'MEX-1', 160509),
(216784, 'PTHR10965:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L38', 160510),
(216785, 'PTHR24298:SF826', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 160511);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(216786, 'PTHR15493:SF8', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 5', 160512),
(216787, 'PTHR24070:SF424', NULL, NULL, NULL, NULL, 'RAP1A, MEMBER OF RAS ONCOGENE FAMILY', 160513),
(216788, 'PTHR23236:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B', 160514),
(216789, 'PTHR30376', NULL, NULL, NULL, NULL, 'SIGMA FACTOR RPOH  HEAT SHOCK  RELATED', 160515),
(216790, 'PTHR37209:SF4', NULL, NULL, NULL, NULL, 'BNACNNG22370D PROTEIN', 160516),
(216791, 'PTHR19433:SF125', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 39', 160517),
(216792, 'PTHR46248:SF15', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1, LEUCINE-ZIPPER-RELATED', 160518),
(216793, 'PTHR45791:SF3', NULL, NULL, NULL, NULL, 'CALCIUM AND INTEGRIN-BINDING PROTEIN 1', 160519),
(216794, 'PTHR15197:SF0', NULL, NULL, NULL, NULL, 'COILIN', 160520),
(216795, 'PTHR12542:SF122', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 160521),
(216796, 'PTHR16517:SF104', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 5', 160522),
(216797, 'PTHR11972:SF55', NULL, NULL, NULL, NULL, 'BNAA01G14440D PROTEIN', 160523),
(216798, 'PTHR31390:SF19', NULL, NULL, NULL, NULL, 'BNAA10G27440D PROTEIN', 160524),
(216799, 'PTHR31086:SF2', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 12-RELATED', 160525),
(216800, 'PTHR31375:SF154', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT H', 160526),
(216801, 'PTHR31374:SF259', NULL, NULL, NULL, NULL, 'BNAANNG09090D PROTEIN', 160527),
(216802, 'PTHR45863:SF30', NULL, NULL, NULL, NULL, 'BNAC01G10520D PROTEIN', 160528),
(216803, 'PTHR30290:SF72', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR SGRR', 160529),
(216804, 'PTHR47965:SF64', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE PCS1', 160530),
(216805, 'PTHR31089:SF31', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 1', 160531),
(216806, 'PTHR11328:SF45', NULL, NULL, NULL, NULL, 'BNAC04G22460D PROTEIN', 160532),
(216807, 'PTHR33881', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH-LIKE PROTEIN', 160533),
(216808, 'PTHR32370:SF14', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN SR1IP1', 160534),
(216809, 'PTHR33203:SF35', NULL, NULL, NULL, NULL, 'OLEOSIN 14.9 KDA', 160535),
(216810, 'PTHR13068:SF155', NULL, NULL, NULL, NULL, 'BNAC01G30010D PROTEIN', 160536),
(216811, 'PTHR21527:SF6', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP35', 160537),
(216812, 'PTHR35293', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED PROTEIN 1.5', 160538),
(216813, 'PTHR10334:SF443', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', 160539),
(216814, 'PTHR31770:SF1', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE PROTEIN TAFA-2', 160540),
(216815, 'PTHR11711:SF378', NULL, NULL, NULL, NULL, 'BNAC09G20250D PROTEIN', 160541),
(216816, 'PTHR13634:SF1', NULL, NULL, NULL, NULL, 'OS01G0148400 PROTEIN', 160542),
(216817, 'PTHR15298:SF6', NULL, NULL, NULL, NULL, 'GLYCINE N-ACYLTRANSFERASE-LIKE PROTEIN 3', 160543),
(216818, 'PTHR47976:SF52', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE', 160544),
(216819, 'PTHR43874:SF85', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR2', 160545),
(216820, 'PTHR32080:SF2', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 8', 160546),
(216821, 'PTHR28570:SF3', NULL, NULL, NULL, NULL, 'ASPARTYL AMINOPEPTIDASE', 160547),
(216822, 'PTHR26379:SF372', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160548),
(216823, 'PTHR15237:SF0', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT CONTROL PROTEIN', 160549),
(216824, 'PTHR45633:SF38', NULL, NULL, NULL, NULL, 'BNACNNG52030D PROTEIN', 160550),
(216825, 'PTHR38519:SF4', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 160551),
(216826, 'PTHR11802:SF357', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE CATALYTIC SUBUNIT 1', 160552),
(216827, 'PTHR28676:SF1', NULL, NULL, NULL, NULL, 'ALK AND LTK LIGAND 1', 160553),
(216828, 'PTHR24073:SF588', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-31', 160554);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(216829, 'PTHR31509:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160555),
(216830, 'PTHR31916:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0084A10.16 PROTEIN', 160556),
(216831, 'PTHR37743:SF1', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 160557),
(216832, 'PTHR37457:SF2', NULL, NULL, NULL, NULL, 'TRNA SELENOCYSTEINE 1-ASSOCIATED PROTEIN 1', 160558),
(216833, 'PTHR33128:SF38', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 160559),
(216834, 'PTHR19359:SF117', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 ISOFORM D', 160560),
(216835, 'PTHR44051:SF12', NULL, NULL, NULL, NULL, 'DISULFIDE-BOND OXIDOREDUCTASE YGHU', 160561),
(216836, 'PTHR43281:SF27', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE, CHLOROPLASTIC', 160562),
(216837, 'PTHR12713:SF12', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G 1', 160563),
(216838, 'PTHR12548', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DP', 160564),
(216839, 'PTHR31086:SF14', NULL, NULL, NULL, NULL, 'OSJNBA0005N02.7 PROTEIN', 160565),
(216840, 'PTHR13014:SF3', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN S30, MITOCHONDRIAL', 160566),
(216841, 'PTHR24026:SF103', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 160567),
(216842, 'PTHR13593:SF107', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASES SUPERFAMILY PROTEIN-RELATED', 160568),
(216843, 'PTHR13502:SF6', NULL, NULL, NULL, NULL, 'CDC42 SMALL EFFECTOR PROTEIN HOMOLOG', 160569),
(216844, 'PTHR15067:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE AMFR', 160570),
(216845, 'PTHR27006:SF282', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 160571),
(216846, 'PTHR33228:SF53', NULL, NULL, NULL, NULL, 'DUMPER, PUTATIVE-RELATED', 160572),
(216847, 'PTHR31354:SF4', NULL, NULL, NULL, NULL, 'OS08G0425000 PROTEIN', 160573),
(216848, 'PTHR11861:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160574),
(216849, 'PTHR11849:SF282', NULL, NULL, NULL, NULL, 'ETV5-RELATED PROTEIN ETS96B', 160575),
(216850, 'PTHR10173', NULL, NULL, NULL, NULL, 'METHIONINE SULFOXIDE REDUCTASE', 160576),
(216851, 'PTHR31162', NULL, NULL, NULL, NULL, 'MALIC ACID TRANSPORT PROTEIN-RELATED', 160577),
(216852, 'PTHR19957:SF38', NULL, NULL, NULL, NULL, 'LD23667P', 160578),
(216853, 'PTHR40788:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160579),
(216854, 'PTHR35575', NULL, NULL, NULL, NULL, 'PROTEIN CBG23599-RELATED', 160580),
(216855, 'PTHR46371:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160581),
(216856, 'PTHR13937:SF8', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT C', 160582),
(216857, 'PTHR23024:SF435', NULL, NULL, NULL, NULL, 'OS06G0214300 PROTEIN', 160583),
(216858, 'PTHR19422:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160584),
(216859, 'PTHR31677:SF121', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ESR2-LIKE', 160585),
(216860, 'PTHR23502:SF38', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER 4', 160586),
(216861, 'PTHR31264:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160587),
(216862, 'PTHR33086:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160588),
(216863, 'PTHR11371:SF26', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE', 160589),
(216864, 'PTHR16156:SF9', NULL, NULL, NULL, NULL, 'AFTIPHILIN', 160590),
(216865, 'PTHR23235', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE TRANSCRIPTION FACTOR', 160591),
(216866, 'PTHR13924:SF11', NULL, NULL, NULL, NULL, 'TRANSFORMING ACIDIC COILED-COIL-CONTAINING PROTEIN 2', 160592),
(216867, 'PTHR43795:SF76', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE', 160593),
(216868, 'PTHR48043:SF85', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-46-RELATED', 160594),
(216869, 'PTHR24006:SF721', NULL, NULL, NULL, NULL, 'UBIQUITIN SPECIFIC PEPTIDASE 27 X-LINKED', 160595),
(216870, 'PTHR40043', NULL, NULL, NULL, NULL, 'UPF0719 INNER MEMBRANE PROTEIN YJFL', 160596),
(216871, 'PTHR36011:SF1', NULL, NULL, NULL, NULL, 'BAT2 DOMAIN PROTEIN', 160597),
(216872, 'PTHR47966:SF11', NULL, NULL, NULL, NULL, 'NAPSIN A ASPARTIC PEPTIDASE', 160598);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(216873, 'PTHR38612', NULL, NULL, NULL, NULL, 'PROTEIN DCT-5-RELATED', 160599),
(216874, 'PTHR34281:SF9', NULL, NULL, NULL, NULL, 'FLOWERING PROTEIN, PUTATIVE-RELATED', 160600),
(216875, 'PTHR24062:SF148', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 160601),
(216876, 'PTHR22972:SF6', NULL, NULL, NULL, NULL, 'PEAK FAMILY MEMBER 3', 160602),
(216877, 'PTHR15159:SF2', NULL, NULL, NULL, NULL, 'NEUROSECRETORY PROTEIN VGF', 160603),
(216878, 'PTHR11092', NULL, NULL, NULL, NULL, 'SUGAR NUCLEOTIDE EPIMERASE RELATED', 160604),
(216879, 'PTHR22883:SF99', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC23', 160605),
(216880, 'PTHR24118:SF88', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX-CONTAINING 16', 160606),
(216881, 'PTHR10353:SF259', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 6-LIKE', 160607),
(216882, 'PTHR22765:SF271', NULL, NULL, NULL, NULL, 'OS02G0727700 PROTEIN', 160608),
(216883, 'PTHR45974:SF181', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE CLAVATA1-LIKE', 160609),
(216884, 'PTHR43409:SF2', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', 160610),
(216885, 'PTHR31516:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG10706', 160611),
(216886, 'PTHR42898:SF72', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE 2', 160612),
(216887, 'PTHR11860:SF92', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 6', 160613),
(216888, 'PTHR37850:SF3', NULL, NULL, NULL, NULL, 'BLR7815 PROTEIN', 160614),
(216889, 'PTHR15711:SF49', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN DDB_G0291510', 160615),
(216890, 'PTHR23316:SF58', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-4', 160616),
(216891, 'PTHR10503:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG11107', 160617),
(216892, 'PTHR15741:SF25', NULL, NULL, NULL, NULL, 'MAX-LIKE PROTEIN X', 160618),
(216893, 'PTHR11802:SF305', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 160619),
(216894, 'PTHR23310:SF72', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 2, MITOCHONDRIAL', 160620),
(216895, 'PTHR33147:SF106', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 7-RELATED', 160621),
(216896, 'PTHR11815:SF12', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [GDP-FORMING] SUBUNIT BETA, MITOCHONDRIAL', 160622),
(216897, 'PTHR11929:SF214', NULL, NULL, NULL, NULL, 'CFTII', 160623),
(216898, 'PTHR11802:SF353', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 160624),
(216899, 'PTHR28598', NULL, NULL, NULL, NULL, 'STAGA COMPLEX 65 SUBUNIT GAMMA', 160625),
(216900, 'PTHR10166:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160626),
(216901, 'PTHR34042:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP17', 160627),
(216902, 'PTHR11040:SF158', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP2-RELATED', 160628),
(216903, 'PTHR32448:SF92', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN', 160629),
(216904, 'PTHR33121:SF60', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEC-RELATED', 160630),
(216905, 'PTHR10992:SF1048', NULL, NULL, NULL, NULL, 'BNAA04G13720D PROTEIN', 160631),
(216906, 'PTHR43768:SF32', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE C-RELATED', 160632),
(216907, 'PTHR37183:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160633),
(216908, 'PTHR34806:SF6', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER', 160634),
(216909, 'PTHR45617:SF70', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 32-RELATED', 160635),
(216910, 'PTHR13620:SF70', NULL, NULL, NULL, NULL, 'BNAC01G38360D PROTEIN', 160636),
(216911, 'PTHR45988:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN AZF1', 160637),
(216912, 'PTHR45878:SF21', NULL, NULL, NULL, NULL, 'TESTA 1 PROTEIN, PUTATIVE-RELATED', 160638),
(216913, 'PTHR39289', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 160639),
(216914, 'PTHR11548:SF9', NULL, NULL, NULL, NULL, 'THYMIDYLATE SYNTHASE', 160640),
(216915, 'PTHR32021:SF33', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 160641),
(216916, 'PTHR24148:SF64', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 39 HOMOLOG', 160642),
(216917, 'PTHR14167:SF6', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING KINASE-BINDING PROTEIN 1', 160643);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(216918, 'PTHR11849:SF191', NULL, NULL, NULL, NULL, 'ECDYSONE-INDUCED PROTEIN 74EF ISOFORM B', 160644),
(216919, 'PTHR23509:SF8', NULL, NULL, NULL, NULL, 'DDHD DOMAIN-CONTAINING PROTEIN', 160645),
(216920, 'PTHR33872:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160646),
(216921, 'PTHR37365', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 44', 160647),
(216922, 'PTHR11353:SF84', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ALPHA', 160648),
(216923, 'PTHR27005:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160649),
(216924, 'PTHR24296:SF179', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 160650),
(216925, 'PTHR10666:SF353', NULL, NULL, NULL, NULL, 'ISG15 UBIQUITIN-LIKE MODIFIER', 160651),
(216926, 'PTHR31241:SF62', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2C', 160652),
(216927, 'PTHR48102:SF1', NULL, NULL, NULL, NULL, 'BNAA03G12280D PROTEIN', 160653),
(216928, 'PTHR15507', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN RLF', 160654),
(216929, 'PTHR28161', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT F, MITOCHONDRIAL', 160655),
(216930, 'PTHR33272:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG27161', 160656),
(216931, 'PTHR33044:SF146', NULL, NULL, NULL, NULL, 'LIPID TRANSFER-LIKE PROTEIN VAS', 160657),
(216932, 'PTHR46851:SF6', NULL, NULL, NULL, NULL, 'SWIB/MDM2, PLUS-3 AND GYF DOMAIN-CONTAINING PROTEIN', 160658),
(216933, 'PTHR46354:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 160659),
(216934, 'PTHR46257:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE', 160660),
(216935, 'PTHR31213:SF146', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 10', 160661),
(216936, 'PTHR48001:SF135', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1N2', 160662),
(216937, 'PTHR11595:SF60', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA', 160663),
(216938, 'PTHR31235:SF15', NULL, NULL, NULL, NULL, 'PEROXIDASE', 160664),
(216939, 'PTHR23210:SF22', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR 7-INTERACTING PROTEIN 1', 160665),
(216940, 'PTHR11711:SF393', NULL, NULL, NULL, NULL, 'BNAA01G19150D PROTEIN', 160666),
(216941, 'PTHR23221', NULL, NULL, NULL, NULL, 'GLYCOSYLPHOSPHATIDYLINOSITOL PHOSPHOLIPASE D', 160667),
(216942, 'PTHR22773:SF105', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT 2 B, CHLOROPLASTIC', 160668),
(216943, 'PTHR46131:SF1', NULL, NULL, NULL, NULL, 'SD08549P', 160669),
(216944, 'PTHR31694', NULL, NULL, NULL, NULL, 'DESICCATION-LIKE PROTEIN', 160670),
(216945, 'PTHR43029:SF1', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 160671),
(216946, 'PTHR31945:SF77', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH93-LIKE', 160672),
(216947, 'PTHR31985:SF5', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF042', 160673),
(216948, 'PTHR10694:SF116', NULL, NULL, NULL, NULL, 'BNAANNG07270D PROTEIN', 160674),
(216949, 'PTHR22952:SF403', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 2', 160675),
(216950, 'PTHR34193:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160676),
(216951, 'PTHR23428:SF29', NULL, NULL, NULL, NULL, 'HISTONE H2B SUBACROSOMAL VARIANT', 160677),
(216952, 'PTHR23176:SF114', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN PAC-1', 160678),
(216953, 'PTHR31282:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160679),
(216954, 'PTHR11945:SF572', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL80', 160680),
(216955, 'PTHR34138', NULL, NULL, NULL, NULL, 'CELL SHAPE-DETERMINING PROTEIN MREC', 160681),
(216956, 'PTHR22888:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 2', 160682),
(216957, 'PTHR43804:SF3', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR 1-LIKE, MITOCHONDRIAL', 160683),
(216958, 'PTHR31989:SF151', NULL, NULL, NULL, NULL, 'OS06G0131700 PROTEIN', 160684),
(216959, 'PTHR24394:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 47', 160685),
(216960, 'PTHR47989:SF35', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RKF3-RELATED', 160686);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(216961, 'PTHR27005:SF310', NULL, NULL, NULL, NULL, 'BNAA06G15000D PROTEIN', 160687),
(216962, 'PTHR11706:SF76', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP3', 160688),
(216963, 'PTHR11683', NULL, NULL, NULL, NULL, 'MYELIN PROTEOLIPID', 160689),
(216964, 'PTHR37360:SF1', NULL, NULL, NULL, NULL, 'FRAGILE X MENTAL RETARDATION 1 NEIGHBOR PROTEIN', 160690),
(216965, 'PTHR12552:SF12', NULL, NULL, NULL, NULL, 'ADAPTOR PROTEIN, PHOSPHOTYROSINE INTERACTING WITH PH DOMAIN AND LEUCINE ZIPPER 2', 160691),
(216966, 'PTHR47928:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160692),
(216967, 'PTHR47932:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160693),
(216968, 'PTHR33164:SF70', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR', 160694),
(216969, 'PTHR46126:SF1', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 5', 160695),
(216970, 'PTHR12358:SF51', NULL, NULL, NULL, NULL, 'ACYLGLYCEROL KINASE, MITOCHONDRIAL', 160696),
(216971, 'PTHR24020:SF16', NULL, NULL, NULL, NULL, 'CARTILAGE MATRIX PROTEIN', 160697),
(216972, 'PTHR24418:SF409', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160698),
(216973, 'PTHR12011:SF456', NULL, NULL, NULL, NULL, 'LATROPHILIN CIRL', 160699),
(216974, 'PTHR31045:SF29', NULL, NULL, NULL, NULL, 'ALPHA-BARBATENE SYNTHASE-RELATED', 160700),
(216975, 'PTHR33346:SF15', NULL, NULL, NULL, NULL, 'BNACNNG20790D PROTEIN', 160701),
(216976, 'PTHR31889:SF2', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 2', 160702),
(216977, 'PTHR24414:SF85', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT PROTEIN', 160703),
(216978, 'PTHR10218', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN ALPHA SUBUNIT', 160704),
(216979, 'PTHR31391:SF4', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS03G0184500', 160705),
(216980, 'PTHR23430:SF320', NULL, NULL, NULL, NULL, 'HISTONE H2A', 160706),
(216981, 'PTHR21220:SF2', NULL, NULL, NULL, NULL, 'OS09G0407300 PROTEIN', 160707),
(216982, 'PTHR47926:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160708),
(216983, 'PTHR13544:SF12', NULL, NULL, NULL, NULL, 'SELT-LIKE PROTEIN', 160709),
(216984, 'PTHR11999:SF156', NULL, NULL, NULL, NULL, 'TYROSINE/DOPA DECARBOXYLASE 2', 160710),
(216985, 'PTHR47973:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 2', 160711),
(216986, 'PTHR12673:SF13', NULL, NULL, NULL, NULL, 'FYVE, RHOGEF AND PH DOMAIN-CONTAINING PROTEIN 5', 160712),
(216987, 'PTHR11595:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160713),
(216988, 'PTHR33057:SF101', NULL, NULL, NULL, NULL, 'OFP TRANSCRIPTION FACTOR', 160714),
(216989, 'PTHR40780:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160715),
(216990, 'PTHR46626:SF2', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B17', 160716),
(216991, 'PTHR11730:SF62', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER SLL1017-RELATED', 160717),
(216992, 'PTHR27000:SF734', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 29', 160718),
(216993, 'PTHR18953:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160719),
(216994, 'PTHR23151:SF81', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE', 160720),
(216995, 'PTHR44390', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 41 KDA', 160721),
(216996, 'PTHR10185:SF26', NULL, NULL, NULL, NULL, 'SI:DKEYP-110E4.6', 160722),
(216997, 'PTHR46039:SF3', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE 2-RELATED', 160723),
(216998, 'PTHR22969:SF13', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE SUBUNIT ALPHA', 160724),
(216999, 'PTHR45914:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HEC2', 160725),
(217000, 'PTHR11771:SF154', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 160726),
(217001, 'PTHR13115:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 19', 160727),
(217002, 'PTHR36796', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 160728),
(217003, 'PTHR40111', NULL, NULL, NULL, NULL, 'CEPHALOSPORIN-C DEACETYLASE', 160729),
(217004, 'PTHR16199:SF4', NULL, NULL, NULL, NULL, 'CONDENSIN-2 COMPLEX SUBUNIT G2', 160730),
(217005, 'PTHR12595:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160731);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(217006, 'PTHR10353:SF238', NULL, NULL, NULL, NULL, 'BNAA08G19770D PROTEIN', 160732),
(217007, 'PTHR24055:SF456', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 11', 160733),
(217008, 'PTHR24296:SF188', NULL, NULL, NULL, NULL, 'BNAC04G04260D PROTEIN', 160734),
(217009, 'PTHR21700:SF56', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 160735),
(217010, 'PTHR24356:SF363', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NDRB-RELATED', 160736),
(217011, 'PTHR24136:SF35', NULL, NULL, NULL, NULL, 'OS05G0124600 PROTEIN', 160737),
(217012, 'PTHR43349:SF11', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 1', 160738),
(217013, 'PTHR14382:SF1', NULL, NULL, NULL, NULL, 'MDM2-BINDING PROTEIN', 160739),
(217014, 'PTHR46058:SF10', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 2', 160740),
(217015, 'PTHR14097:SF8', NULL, NULL, NULL, NULL, 'EPIMERASES, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00670)-RELATED', 160741),
(217016, 'PTHR24073:SF1000', NULL, NULL, NULL, NULL, 'SMALL MONOMERIC GTPASE-RELATED', 160742),
(217017, 'PTHR32308:SF10', NULL, NULL, NULL, NULL, 'CITRATE LYASE SUBUNIT BETA', 160743),
(217018, 'PTHR31790:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160744),
(217019, 'PTHR24031:SF384', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE MSS116, MITOCHONDRIAL', 160745),
(217020, 'PTHR24092:SF186', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 160746),
(217021, 'PTHR11850:SF255', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 5-RELATED', 160747),
(217022, 'PTHR31645:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160748),
(217023, 'PTHR43330:SF11', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', 160749),
(217024, 'PTHR11359:SF3', NULL, NULL, NULL, NULL, 'AMP DEAMINASE 2', 160750),
(217025, 'PTHR42704:SF6', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE LARGE CHAIN', 160751),
(217026, 'PTHR32444:SF61', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN, BULB-TYPE LECTIN DOMAIN PROTEIN-RELATED', 160752),
(217027, 'PTHR41700', NULL, NULL, NULL, NULL, 'GCN5-RELATED N-ACETYLTRANSFERASE', 160753),
(217028, 'PTHR31374:SF278', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', 160754),
(217029, 'PTHR23065:SF11', NULL, NULL, NULL, NULL, 'SYNDAPIN, ISOFORM C', 160755),
(217030, 'PTHR48018:SF130', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 160756),
(217031, 'PTHR46910:SF13', NULL, NULL, NULL, NULL, 'SPECIFIC TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G06190)-RELATED', 160757),
(217032, 'PTHR33800:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160758),
(217033, 'PTHR10353:SF243', NULL, NULL, NULL, NULL, 'BNAC04G22420D PROTEIN', 160759),
(217034, 'PTHR46736:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160760),
(217035, 'PTHR13902:SF153', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', 160761),
(217036, 'PTHR11438:SF3', NULL, NULL, NULL, NULL, 'PROENKEPHALIN-A', 160762),
(217037, 'PTHR31681:SF66', NULL, NULL, NULL, NULL, 'BNAA07G02240D PROTEIN', 160763),
(217038, 'PTHR46494:SF2', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORT PROTEIN CORA', 160764),
(217039, 'PTHR14791:SF22', NULL, NULL, NULL, NULL, 'PROTEIN KIBRA', 160765),
(217040, 'PTHR36766:SF7', NULL, NULL, NULL, NULL, 'BNAA09G42680D PROTEIN', 160766),
(217041, 'PTHR46086:SF19', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE-LIKE 1-RELATED', 160767),
(217042, 'PTHR26453:SF81', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 160768),
(217043, 'PTHR47624:SF1', NULL, NULL, NULL, NULL, 'OS01G0204900 PROTEIN', 160769),
(217044, 'PTHR41747', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 160770),
(217045, 'PTHR13030:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160771),
(217046, 'PTHR12374:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER 2-ALPHA', 160772),
(217047, 'PTHR12233:SF15', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 26B', 160773),
(217048, 'PTHR46284:SF1', NULL, NULL, NULL, NULL, 'PROTEIN KINESIN LIGHT CHAIN-RELATED 2', 160774),
(217049, 'PTHR14363:SF30', NULL, NULL, NULL, NULL, 'PROTEIN 2, PUTATIVE, EXPRESSED-RELATED', 160775);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(217050, 'PTHR43895:SF94', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 160776),
(217051, 'PTHR11346:SF92', NULL, NULL, NULL, NULL, 'PLACENTAL PROTEIN 13-LIKE', 160777),
(217052, 'PTHR35249:SF2', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 7', 160778),
(217053, 'PTHR23501:SF183', NULL, NULL, NULL, NULL, 'EFFLUX PUMP ANTIBIOTIC RESISTANCE PROTEIN', 160779),
(217054, 'PTHR32448:SF31', NULL, NULL, NULL, NULL, 'OS02G0235900 PROTEIN', 160780),
(217055, 'PTHR44191:SF7', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE TRANSCRIPTIONAL REGULATOR', 160781),
(217056, 'PTHR12276:SF91', NULL, NULL, NULL, NULL, 'CLATHRIN INTERACTOR EPSIN 2-RELATED', 160782),
(217057, 'PTHR27001:SF139', NULL, NULL, NULL, NULL, 'KINASE PBS1, PUTATIVE-RELATED', 160783),
(217058, 'PTHR48000:SF9', NULL, NULL, NULL, NULL, 'BNACNNG13370D PROTEIN', 160784),
(217059, 'PTHR24282:SF115', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 160785),
(217060, 'PTHR12906:SF2', NULL, NULL, NULL, NULL, 'BNAA04G16800D PROTEIN', 160786),
(217061, 'PTHR22930', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 160787),
(217062, 'PTHR10398:SF1', NULL, NULL, NULL, NULL, 'CANOE, ISOFORM E', 160788),
(217063, 'PTHR36845', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05090)-RELATED', 160789),
(217064, 'PTHR12763:SF44', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM14-2-LIKE', 160790),
(217065, 'PTHR31418:SF7', NULL, NULL, NULL, NULL, 'FATTY-ACID AND RETINOL-BINDING PROTEIN 1', 160791),
(217066, 'PTHR20908:SF1', NULL, NULL, NULL, NULL, 'LD15586P', 160792),
(217067, 'PTHR10921:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR DISTRIBUTION PROTEIN NUDE HOMOLOG', 160793),
(217068, 'PTHR36978:SF4', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOTIDE TRIPHOSPHATE HYDROLASE', 160794),
(217069, 'PTHR10362:SF20', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', 160795),
(217070, 'PTHR47992:SF22', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 7', 160796),
(217071, 'PTHR10218:SF316', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(Q) SUBUNIT ALPHA', 160797),
(217072, 'PTHR20772', NULL, NULL, NULL, NULL, 'PROTEIN FMP42', 160798),
(217073, 'PTHR43776:SF4', NULL, NULL, NULL, NULL, 'PUTRESCINE EXPORT SYSTEM ATP-BINDING PROTEIN SAPF', 160799),
(217074, 'PTHR15871:SF2', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY O MEMBER 2', 160800),
(217075, 'PTHR22957:SF585', NULL, NULL, NULL, NULL, 'SMALL G PROTEIN SIGNALING MODULATOR 2-LIKE', 160801),
(217076, 'PTHR47985:SF35', NULL, NULL, NULL, NULL, 'SERINE-THREONINE PROTEIN KINASE, PUTATIVE-RELATED', 160802),
(217077, 'PTHR27001:SF875', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160803),
(217078, 'PTHR24248:SF174', NULL, NULL, NULL, NULL, 'AGAP000606-PA', 160804),
(217079, 'PTHR24390:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 41', 160805),
(217080, 'PTHR23505:SF77', NULL, NULL, NULL, NULL, 'SPINSTER (DROSOPHILA LYSOSOMAL PERMEASE) HOMOLOG', 160806),
(217081, 'PTHR11909:SF152', NULL, NULL, NULL, NULL, 'PROTEIN CBG12201', 160807),
(217082, 'PTHR35370', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED-RELATED', 160808),
(217083, 'PTHR36766:SF15', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 160809),
(217084, 'PTHR45496:SF11', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN PROTEIN', 160810),
(217085, 'PTHR38645:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', 160811),
(217086, 'PTHR11254:SF363', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HACE1', 160812),
(217087, 'PTHR23074:SF145', NULL, NULL, NULL, NULL, 'PROTEIN CBG06057', 160813),
(217088, 'PTHR46892:SF1', NULL, NULL, NULL, NULL, 'VISUAL SYSTEM HOMEOBOX 2', 160814),
(217089, 'PTHR24035:SF128', NULL, NULL, NULL, NULL, 'MULTIPLE EGF-LIKE-DOMAINS 10', 160815),
(217090, 'PTHR44129:SF10', NULL, NULL, NULL, NULL, 'LISSENCEPHALY-1 HOMOLOG B', 160816),
(217091, 'PTHR10728:SF31', NULL, NULL, NULL, NULL, 'CYTOSOLIC PHOSPHOLIPASE A2 DELTA', 160817);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(217092, 'PTHR10766:SF136', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 160818),
(217093, 'PTHR27004:SF181', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', 160819),
(217094, 'PTHR47182:SF2', NULL, NULL, NULL, NULL, 'CELL WALL ALPHA-1,3-GLUCAN SYNTHASE AGS1-RELATED', 160820),
(217095, 'PTHR31313:SF83', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 160821),
(217096, 'PTHR11781:SF20', NULL, NULL, NULL, NULL, 'TYPE II IODOTHYRONINE DEIODINASE', 160822),
(217097, 'PTHR47983:SF34', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE, RECEPTOR ROR-RELATED', 160823),
(217098, 'PTHR34292:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160824),
(217099, 'PTHR35125', NULL, NULL, NULL, NULL, 'NEURON NAVIGATOR 1-LIKE-RELATED', 160825),
(217100, 'PTHR20881', NULL, NULL, NULL, NULL, '3-METHYL-2-OXOBUTANOATE HYDROXYMETHYLTRANSFERASE', 160826),
(217101, 'PTHR11945:SF640', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', 160827),
(217102, 'PTHR11903:SF29', NULL, NULL, NULL, NULL, 'BNAA02G16520D PROTEIN', 160828),
(217103, 'PTHR43788:SF15', NULL, NULL, NULL, NULL, 'SLL1582 PROTEIN', 160829),
(217104, 'PTHR34135:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14420)-RELATED', 160830),
(217105, 'PTHR24347:SF252', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE 1D', 160831),
(217106, 'PTHR48056:SF1', NULL, NULL, NULL, NULL, 'OS01G0515300 PROTEIN', 160832),
(217107, 'PTHR19143:SF209', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-RELATED PROTEIN 6', 160833),
(217108, 'PTHR33875', NULL, NULL, NULL, NULL, 'OS09G0542200 PROTEIN', 160834),
(217109, 'PTHR11926:SF1349', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 160835),
(217110, 'PTHR10353:SF222', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 46', 160836),
(217111, 'PTHR21633:SF15', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN F6', 160837),
(217112, 'PTHR22911:SF110', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER G6', 160838),
(217113, 'PTHR10502:SF217', NULL, NULL, NULL, NULL, 'ANNEXIN', 160839),
(217114, 'PTHR15629:SF2', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING YSC84-LIKE PROTEIN 1', 160840),
(217115, 'PTHR11814:SF241', NULL, NULL, NULL, NULL, 'HIGH AFFINITY SULFATE TRANSPORTER', 160841),
(217116, 'PTHR34224:SF1', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 1', 160842),
(217117, 'PTHR31304:SF51', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 37-LIKE', 160843),
(217118, 'PTHR31044:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160844),
(217119, 'PTHR31257:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160845),
(217120, 'PTHR47981:SF15', NULL, NULL, NULL, NULL, 'BNAA09G55930D PROTEIN', 160846),
(217121, 'PTHR11697', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 2-RELATED ZINC FINGER PROTEIN', 160847),
(217122, 'PTHR31210:SF68', NULL, NULL, NULL, NULL, 'LYSINE KETOGLUTARATE REDUCTASE TRANS-SPLICING PROTEIN', 160848),
(217123, 'PTHR23362:SF8', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', 160849),
(217124, 'PTHR31129', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONE ALPHA-2', 160850),
(217125, 'PTHR24099:SF4', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III AND SPRY DOMAIN-CONTAINING PROTEIN 1', 160851),
(217126, 'PTHR10281', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROGESTERONE RECEPTOR COMPONENT-RELATED', 160852),
(217127, 'PTHR22937:SF46', NULL, NULL, NULL, NULL, 'OS04G0603200 PROTEIN', 160853),
(217128, 'PTHR47990:SF120', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP1-RELATED', 160854),
(217129, 'PTHR43952:SF72', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 5', 160855),
(217130, 'PTHR11132:SF408', NULL, NULL, NULL, NULL, 'BNAC07G15290D PROTEIN', 160856),
(217131, 'PTHR48015:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TAO1', 160857),
(217132, 'PTHR23262:SF197', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 9-9', 160858),
(217133, 'PTHR33450:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160859);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(217134, 'PTHR34562:SF11', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING PROTEIN 1-LIKE', 160860),
(217135, 'PTHR45649:SF32', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE-RELATED', 160861),
(217136, 'PTHR22936:SF31', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', 160862),
(217137, 'PTHR43327:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160863),
(217138, 'PTHR30036:SF6', NULL, NULL, NULL, NULL, 'L-ARABINOSE-BINDING PERIPLASMIC PROTEIN', 160864),
(217139, 'PTHR11709:SF335', NULL, NULL, NULL, NULL, 'LACCASE', 160865),
(217140, 'PTHR42918:SF11', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE', 160866),
(217141, 'PTHR11679:SF35', NULL, NULL, NULL, NULL, 'SYNTAXIN-BINDING PROTEIN 1', 160867),
(217142, 'PTHR31459:SF20', NULL, NULL, NULL, NULL, 'DESICCATION PROTECTANT PROTEIN LEA14 HOMOLOG', 160868),
(217143, 'PTHR26453:SF601', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 160869),
(217144, 'PTHR47212:SF4', NULL, NULL, NULL, NULL, 'ADHESIN-LIKE PROTEIN, PUTATIVE (DUF3741)-RELATED', 160870),
(217145, 'PTHR33404', NULL, NULL, NULL, NULL, 'CELL DIVISION TOPOLOGICAL SPECIFICITY FACTOR HOMOLOG, CHLOROPLASTIC', 160871),
(217146, 'PTHR34270:SF8', NULL, NULL, NULL, NULL, 'BNAA01G22700D PROTEIN', 160872),
(217147, 'PTHR23065:SF54', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF YEAST PROFILIN DELETION', 160873),
(217148, 'PTHR35831:SF2', NULL, NULL, NULL, NULL, 'OS01G0642200 PROTEIN', 160874),
(217149, 'PTHR12002:SF87', NULL, NULL, NULL, NULL, 'CLAUDIN-25-RELATED', 160875),
(217150, 'PTHR34056:SF1', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN', 160876),
(217151, 'PTHR14094:SF9', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE SUBUNIT SRP72', 160877),
(217152, 'PTHR47870', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN CCMH', 160878),
(217153, 'PTHR33101:SF62', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 8-LIKE', 160879),
(217154, 'PTHR31009:SF67', NULL, NULL, NULL, NULL, 'ANTHRANILATE O-METHYLTRANSFERASE 2', 160880),
(217155, 'PTHR37000:SF3', NULL, NULL, NULL, NULL, 'MUCIN-22', 160881),
(217156, 'PTHR12210:SF70', NULL, NULL, NULL, NULL, 'CTD NUCLEAR ENVELOPE PHOSPHATASE 1', 160882),
(217157, 'PTHR24009:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 55', 160883),
(217158, 'PTHR24414:SF143', NULL, NULL, NULL, NULL, 'BNAA09G40700D PROTEIN', 160884),
(217159, 'PTHR24100:SF113', NULL, NULL, NULL, NULL, 'SI:DKEY-71P21.13-RELATED', 160885),
(217160, 'PTHR22835:SF519', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 160886),
(217161, 'PTHR24349:SF435', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 1', 160887),
(217162, 'PTHR46163:SF6', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 160888),
(217163, 'PTHR32166:SF87', NULL, NULL, NULL, NULL, 'BNACNNG60220D PROTEIN', 160889),
(217164, 'PTHR14470:SF2', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 4', 160890),
(217165, 'PTHR13068:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160891),
(217166, 'PTHR42081:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160892),
(217167, 'PTHR46936:SF3', NULL, NULL, NULL, NULL, 'BNAA04G20580D PROTEIN', 160893),
(217168, 'PTHR46080:SF12', NULL, NULL, NULL, NULL, 'SUBSTRATE CARRIER PROTEIN-RELATED', 160894),
(217169, 'PTHR32468:SF104', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', 160895),
(217170, 'PTHR22744', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX PROTEIN 21-RELATED', 160896),
(217171, 'PTHR24012:SF798', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN Q-LIKE PROTEIN', 160897),
(217172, 'PTHR47904', NULL, NULL, NULL, NULL, 'NATURAL CYTOTOXICITY TRIGGERING RECEPTOR 3', 160898),
(217173, 'PTHR31447:SF7', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 160899),
(217174, 'PTHR24243:SF209', NULL, NULL, NULL, NULL, 'PYROKININ 2 RECEPTOR 1-RELATED', 160900),
(217175, 'PTHR26453:SF33', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 160901),
(217176, 'PTHR46236:SF26', NULL, NULL, NULL, NULL, 'BNAA04G24510D PROTEIN', 160902),
(217177, 'PTHR43707', NULL, NULL, NULL, NULL, 'HISTIDYL-TRNA SYNTHETASE', 160903);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(217178, 'PTHR19890:SF14', NULL, NULL, NULL, NULL, 'FGF RECEPTOR-LIKE PROTEIN 1A', 160904),
(217179, 'PTHR33142:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160905),
(217180, 'PTHR31707:SF298', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 160906),
(217181, 'PTHR32410:SF171', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', 160907),
(217182, 'PTHR46547:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 8-LIKE', 160908),
(217183, 'PTHR13962:SF28', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N4', 160909),
(217184, 'PTHR33103:SF65', NULL, NULL, NULL, NULL, 'DUF674 FAMILY PROTEIN', 160910),
(217185, 'PTHR43880:SF3', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 8A-RELATED', 160911),
(217186, 'PTHR11740:SF5', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', 160912),
(217187, 'PTHR21290:SF50', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL:CERAMIDE INOSITOLPHOSPHOTRANSFERASE 3', 160913),
(217188, 'PTHR11880:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160914),
(217189, 'PTHR33116:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160915),
(217190, 'PTHR12224:SF22', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 17-RELATED', 160916),
(217191, 'PTHR14388:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160917),
(217192, 'PTHR42770:SF14', NULL, NULL, NULL, NULL, 'ARGININE/ORNITHINE ANTIPORTER-RELATED', 160918),
(217193, 'PTHR33270:SF21', NULL, NULL, NULL, NULL, 'BNAC06G24500D PROTEIN', 160919),
(217194, 'PTHR45614:SF121', NULL, NULL, NULL, NULL, 'BNAA03G53870D PROTEIN', 160920),
(217195, 'PTHR24100:SF102', NULL, NULL, NULL, NULL, 'SELECTION AND UPKEEP OF INTRAEPITHELIAL T-CELLS PROTEIN 2-RELATED', 160921),
(217196, 'PTHR31509:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160922),
(217197, 'PTHR33737:SF2', NULL, NULL, NULL, NULL, 'OS05G0121800 PROTEIN', 160923),
(217198, 'PTHR13034', NULL, NULL, NULL, NULL, 'DYNACTIN P62 SUBUNIT', 160924),
(217199, 'PTHR17901', NULL, NULL, NULL, NULL, 'MAGNESIUM-DEPENDENT PHOSPHATASE 1 MDP1', 160925),
(217200, 'PTHR11122:SF49', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 160926),
(217201, 'PTHR32227:SF314', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 17 PROTEIN', 160927),
(217202, 'PTHR15893', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L27', 160928),
(217203, 'PTHR11200:SF148', NULL, NULL, NULL, NULL, 'SYNAPTOJANIN-2', 160929),
(217204, 'PTHR24278:SF28', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR X', 160930),
(217205, 'PTHR11219:SF8', NULL, NULL, NULL, NULL, 'TENEURIN-2', 160931),
(217206, 'PTHR47374', NULL, NULL, NULL, NULL, 'ENDOSOME ANTIGEN-LIKE PROTEIN, PUTATIVE (DUF3444)-RELATED', 160932),
(217207, 'PTHR47928:SF113', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 160933),
(217208, 'PTHR13271:SF91', NULL, NULL, NULL, NULL, 'PROTEIN SET DOMAIN GROUP 40', 160934),
(217209, 'PTHR20961:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160935),
(217210, 'PTHR15860:SF20', NULL, NULL, NULL, NULL, 'RING FINGER AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2-LIKE', 160936),
(217211, 'PTHR33645:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160937),
(217212, 'PTHR34584:SF1', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT E1', 160938),
(217213, 'PTHR24012:SF759', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 6', 160939),
(217214, 'PTHR24082:SF155', NULL, NULL, NULL, NULL, 'BILE ACID RECEPTOR', 160940),
(217215, 'PTHR37308:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 160941),
(217216, 'PTHR11471:SF53', NULL, NULL, NULL, NULL, 'CD154', 160942),
(217217, 'PTHR31929:SF74', NULL, NULL, NULL, NULL, 'BNAC02G34510D PROTEIN', 160943),
(217218, 'PTHR23111:SF74', NULL, NULL, NULL, NULL, 'OS02G0203700 PROTEIN', 160944),
(217219, 'PTHR31194:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160945),
(217220, 'PTHR16112:SF16', NULL, NULL, NULL, NULL, 'SIX-BANDED, ISOFORM H', 160946),
(217221, 'PTHR23203:SF17', NULL, NULL, NULL, NULL, 'RIKEN CDNA 5530400C23 GENE', 160947),
(217222, 'PTHR11960:SF37', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-1-LIKE', 160948);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(217223, 'PTHR30624:SF10', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 160949),
(217224, 'PTHR11686:SF60', NULL, NULL, NULL, NULL, 'BNAA06G40460D PROTEIN', 160950),
(217225, 'PTHR48083:SF7', NULL, NULL, NULL, NULL, 'ACYL COA DEHYDROGENASE', 160951),
(217226, 'PTHR35936:SF29', NULL, NULL, NULL, NULL, 'L-CYSTINE-BINDING PROTEIN FLIY', 160952),
(217227, 'PTHR31579:SF47', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC DOMAIN TIGR01615 FAMILY PROTEIN', 160953),
(217228, 'PTHR24186:SF5', NULL, NULL, NULL, NULL, 'ANKYRIN-LIKE PROTEIN', 160954),
(217229, 'PTHR45974:SF12', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE RECEPTOR 2-LIKE', 160955),
(217230, 'PTHR24072:SF152', NULL, NULL, NULL, NULL, 'RHO-RELATED PROTEIN RACL', 160956),
(217231, 'PTHR23413:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32-1', 160957),
(217232, 'PTHR44586:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160958),
(217233, 'PTHR10902:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35A-1', 160959),
(217234, 'PTHR47991:SF97', NULL, NULL, NULL, NULL, 'BNAC08G12030D PROTEIN', 160960),
(217235, 'PTHR22596:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG12691', 160961),
(217236, 'PTHR10666:SF356', NULL, NULL, NULL, NULL, 'OS10G0491500 PROTEIN', 160962),
(217237, 'PTHR11958:SF51', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 160963),
(217238, 'PTHR10125:SF25', NULL, NULL, NULL, NULL, 'P2X RECEPTOR E', 160964),
(217239, 'PTHR23043:SF30', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN-CONTAINING PROTEIN 3', 160965),
(217240, 'PTHR23421:SF76', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 12', 160966),
(217241, 'PTHR43201:SF17', NULL, NULL, NULL, NULL, 'OXALATE--COA LIGASE-LIKE', 160967),
(217242, 'PTHR21593:SF33', NULL, NULL, NULL, NULL, 'PROTEIN CBG07574', 160968),
(217243, 'PTHR44372:SF3', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-GAMMA 3', 160969),
(217244, 'PTHR11926:SF1397', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 160970),
(217245, 'PTHR23351:SF14', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER TRANSCRIPTIONAL FACTOR ATF-LIKE', 160971),
(217246, 'PTHR10891:SF775', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING POLLEN ALLERGEN', 160972),
(217247, 'PTHR10649:SF12', NULL, NULL, NULL, NULL, 'SPINELESS, ISOFORM C', 160973),
(217248, 'PTHR34365:SF10', NULL, NULL, NULL, NULL, 'GLYCINE-RICH DOMAIN-CONTAINING PROTEIN-LIKE PROTEIN-RELATED', 160974),
(217249, 'PTHR11568:SF4', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 1-ALPHA', 160975),
(217250, 'PTHR31623:SF83', NULL, NULL, NULL, NULL, 'ACETYL-COA-BENZYLALCOHOL ACETYLTRANSFERASE-LIKE', 160976),
(217251, 'PTHR15241:SF311', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160977),
(217252, 'PTHR10271:SF25', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 8', 160978),
(217253, 'PTHR13234:SF58', NULL, NULL, NULL, NULL, 'BNAC08G45100D PROTEIN', 160979),
(217254, 'PTHR11994:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11', 160980),
(217255, 'PTHR43488:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR TRER', 160981),
(217256, 'PTHR33279:SF6', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN YEDF-RELATED', 160982),
(217257, 'PTHR24056:SF450', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 160983),
(217258, 'PTHR10489:SF705', NULL, NULL, NULL, NULL, 'C-X-C CHEMOKINE RECEPTOR TYPE 6', 160984),
(217259, 'PTHR23202:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160985),
(217260, 'PTHR23130:SF172', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 160986),
(217261, 'PTHR24222:SF65', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 9', 160987),
(217262, 'PTHR33204:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160988),
(217263, 'PTHR31080:SF171', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 2', 160989),
(217264, 'PTHR10782:SF11', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE PIAS1', 160990),
(217265, 'PTHR45657:SF29', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH10-RELATED', 160991),
(217266, 'PTHR21659:SF76', NULL, NULL, NULL, NULL, 'BNAC03G34420D PROTEIN', 160992);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(217267, 'PTHR31920:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160993),
(217268, 'PTHR36834', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 160994),
(217269, 'PTHR45633:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 160995),
(217270, 'PTHR11604:SF45', NULL, NULL, NULL, NULL, 'PROFILIN', 160996),
(217271, 'PTHR36737:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 160997),
(217272, 'PTHR47971:SF5', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 160998),
(217273, 'PTHR48048:SF54', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 91A1', 160999),
(217274, 'PTHR23020:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG11515', 161000),
(217275, 'PTHR37205:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161001),
(217276, 'PTHR43671:SF71', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK3', 161002),
(217277, 'PTHR27004:SF313', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 31', 161003),
(217278, 'PTHR45752:SF37', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 2', 161004),
(217279, 'PTHR31062:SF168', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 161005),
(217280, 'PTHR14944:SF2', NULL, NULL, NULL, NULL, 'RPA-RELATED PROTEIN RADX', 161006),
(217281, 'PTHR48017:SF35', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', 161007),
(217282, 'PTHR32468:SF30', NULL, NULL, NULL, NULL, 'OS12G0109150 PROTEIN', 161008),
(217283, 'PTHR33415:SF15', NULL, NULL, NULL, NULL, 'PROTEIN DCL HOMOLOG, CHLOROPLASTIC', 161009),
(217284, 'PTHR38765:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161010),
(217285, 'PTHR23253:SF55', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4G-LIKE', 161011),
(217286, 'PTHR46192:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-RELATED', 161012),
(217287, 'PTHR33164:SF39', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 161013),
(217288, 'PTHR47976:SF50', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', 161014),
(217289, 'PTHR10732:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17-1-RELATED', 161015),
(217290, 'PTHR43895:SF46', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 161016),
(217291, 'PTHR37809:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S12 METHYLTHIOTRANSFERASE ACCESSORY FACTOR YCAO', 161017),
(217292, 'PTHR27006:SF238', NULL, NULL, NULL, NULL, 'BNAA09G56220D PROTEIN', 161018),
(217293, 'PTHR14399:SF14', NULL, NULL, NULL, NULL, 'PERP, TP53 APOPTOSIS EFFECTOR', 161019),
(217294, 'PTHR19237:SF22', NULL, NULL, NULL, NULL, 'NUCLEOBINDIN-2', 161020),
(217295, 'PTHR24301:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161021),
(217296, 'PTHR47956:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161022),
(217297, 'PTHR24089:SF700', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', 161023),
(217298, 'PTHR48044:SF63', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 161024),
(217299, 'PTHR38616', NULL, NULL, NULL, NULL, 'PROTEIN CBG03925', 161025),
(217300, 'PTHR12692:SF5', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 3B-RELATED', 161026),
(217301, 'PTHR15615:SF100', NULL, NULL, NULL, NULL, 'CYCLIN', 161027),
(217302, 'PTHR46756:SF11', NULL, NULL, NULL, NULL, 'CALPONIN', 161028),
(217303, 'PTHR26452:SF745', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 161029),
(217304, 'PTHR27009:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161030),
(217305, 'PTHR38371:SF1', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN', 161031),
(217306, 'PTHR11165:SF137', NULL, NULL, NULL, NULL, 'OS02G0101600 PROTEIN', 161032),
(217307, 'PTHR12146:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161033),
(217308, 'PTHR45621:SF153', NULL, NULL, NULL, NULL, 'BNAA01G32040D PROTEIN', 161034),
(217309, 'PTHR43422:SF1', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 161035),
(217310, 'PTHR46184:SF4', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IXB-LIKE PROTEIN', 161036);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(217311, 'PTHR10774:SF193', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-5-LIKE', 161037),
(217312, 'PTHR45621:SF21', NULL, NULL, NULL, NULL, 'OS01G0973500 PROTEIN', 161038),
(217313, 'PTHR40626:SF20', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE-RELATED', 161039),
(217314, 'PTHR31503:SF37', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 1B', 161040),
(217315, 'PTHR33671:SF2', NULL, NULL, NULL, NULL, 'N-METHYLTRANSFERASE, PUTATIVE (DUF688)-RELATED', 161041),
(217316, 'PTHR43880:SF47', NULL, NULL, NULL, NULL, 'S-(HYDROXYMETHYL)GLUTATHIONE DEHYDROGENASE', 161042),
(217317, 'PTHR32195:SF24', NULL, NULL, NULL, NULL, 'TRYPTOPHAN/TYROSINE PERMEASE', 161043),
(217318, 'PTHR11690:SF19', NULL, NULL, NULL, NULL, 'AMILORIDE-SENSITIVE SODIUM CHANNEL SUBUNIT GAMMA', 161044),
(217319, 'PTHR10460:SF39', NULL, NULL, NULL, NULL, 'PROTEIN ABIL4-RELATED', 161045),
(217320, 'PTHR24015:SF1693', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL-RELATED', 161046),
(217321, 'PTHR33994:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161047),
(217322, 'PTHR11686:SF58', NULL, NULL, NULL, NULL, 'BNAA01G07620D PROTEIN', 161048),
(217323, 'PTHR15741:SF35', NULL, NULL, NULL, NULL, 'PROTEIN WBSCR14 HOMOLOG', 161049),
(217324, 'PTHR43883', NULL, NULL, NULL, NULL, 'SLR0207 PROTEIN', 161050),
(217325, 'PTHR23101:SF104', NULL, NULL, NULL, NULL, 'PROTEIN SPRINT', 161051),
(217326, 'PTHR47993:SF139', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN CONTAINING PROTEIN', 161052),
(217327, 'PTHR36181:SF5', NULL, NULL, NULL, NULL, 'LAGLIDADG ENDONUCLEASE', 161053),
(217328, 'PTHR10258:SF10', NULL, NULL, NULL, NULL, 'POTASSIUM LARGE CONDUCTANCE CALCIUM-ACTIVATED CHANNEL, SUBFAMILY M, BETA MEMBER 2', 161054),
(217329, 'PTHR16110:SF1', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 19', 161055),
(217330, 'PTHR23220:SF69', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-9', 161056),
(217331, 'PTHR12969:SF7', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 52 HOMOLOG', 161057),
(217332, 'PTHR45631:SF85', NULL, NULL, NULL, NULL, 'REPEAT TRANSMEMBRANE PROTEIN KINASE PROTEIN, PUTATIVE-RELATED', 161058),
(217333, 'PTHR21700:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG20620', 161059),
(217334, 'PTHR12317:SF71', NULL, NULL, NULL, NULL, 'DGAT (ACYL-COA:DIACYLGLYCEROL ACYLTRANSFERASE) RELATED', 161060),
(217335, 'PTHR13194:SF24', NULL, NULL, NULL, NULL, 'NADH:UBIQUINONE OXIDOREDUCTASE INTERMEDIATE-ASSOCIATED PROTEIN 30', 161061),
(217336, 'PTHR48048:SF8', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 161062),
(217337, 'PTHR46779:SF2', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE-LIKE PROTEIN 2', 161063),
(217338, 'PTHR12550:SF66', NULL, NULL, NULL, NULL, 'OS07G0655500 PROTEIN', 161064),
(217339, 'PTHR24377:SF873', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161065),
(217340, 'PTHR22936:SF86', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 3', 161066),
(217341, 'PTHR30252:SF0', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER CSTA', 161067),
(217342, 'PTHR13025:SF7', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN FAMILY, MEMBER D2', 161068),
(217343, 'PTHR43880:SF9', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 2', 161069),
(217344, 'PTHR45798', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL61-RELATED-RELATED', 161070),
(217345, 'PTHR22298:SF125', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 12-RELATED', 161071),
(217346, 'PTHR34883:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161072),
(217347, 'PTHR23226:SF275', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 771', 161073),
(217348, 'PTHR44170:SF27', NULL, NULL, NULL, NULL, 'NEOGENIN 1A-RELATED', 161074),
(217349, 'PTHR23226:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 232', 161075),
(217350, 'PTHR24193:SF119', NULL, NULL, NULL, NULL, 'ADA2A-CONTAINING COMPLEX COMPONENT 3, ISOFORM D', 161076),
(217351, 'PTHR24559:SF253', NULL, NULL, NULL, NULL, 'PROTEIN CBG26278', 161077),
(217352, 'PTHR23426:SF56', NULL, NULL, NULL, NULL, '2FE-2S FERREDOXIN', 161078),
(217353, 'PTHR31595:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161079);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(217354, 'PTHR46650:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL ADENINE NUCLEOTIDE TRANSPORTER 1', 161080),
(217355, 'PTHR31415:SF20', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 26', 161081),
(217356, 'PTHR34597:SF5', NULL, NULL, NULL, NULL, 'SLR1661 PROTEIN', 161082),
(217357, 'PTHR31636:SF278', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 11', 161083),
(217358, 'PTHR10388:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161084),
(217359, 'PTHR14240:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FANTOM', 161085),
(217360, 'PTHR44103', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE P', 161086),
(217361, 'PTHR31639:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161087),
(217362, 'PTHR22943:SF94', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 161088),
(217363, 'PTHR23501:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161089),
(217364, 'PTHR24106:SF64', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING OLIGOMERIZATION DOMAIN-CONTAINING PROTEIN 2', 161090),
(217365, 'PTHR11353:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161091),
(217366, 'PTHR22835:SF592', NULL, NULL, NULL, NULL, 'BNAC02G17620D PROTEIN', 161092),
(217367, 'PTHR43601:SF15', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 161093),
(217368, 'PTHR43056:SF10', NULL, NULL, NULL, NULL, 'COCE/NOND FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00600)-RELATED', 161094),
(217369, 'PTHR47863:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161095),
(217370, 'PTHR45670:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL3-LIKE', 161096),
(217371, 'PTHR19290:SF32', NULL, NULL, NULL, NULL, 'OLIGODENDROCYTE TRANSCRIPTION FACTOR 2', 161097),
(217372, 'PTHR23049:SF61', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN, SMOOTH MUSCLE ISOFORM X3', 161098),
(217373, 'PTHR24404:SF45', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 24', 161099),
(217374, 'PTHR37103:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 161100),
(217375, 'PTHR24067:SF290', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1-LIKE ISOFORM X1', 161101),
(217376, 'PTHR24015:SF1958', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 161102),
(217377, 'PTHR36292:SF1', NULL, NULL, NULL, NULL, 'UPF0575 PROTEIN C19ORF67', 161103),
(217378, 'PTHR46561:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', 161104),
(217379, 'PTHR21242:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 10', 161105),
(217380, 'PTHR46281:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B-1', 161106),
(217381, 'PTHR34051:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LOW PSII ACCUMULATION 3, CHLOROPLASTIC', 161107),
(217382, 'PTHR34377:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161108),
(217383, 'PTHR45633:SF12', NULL, NULL, NULL, NULL, 'HSP60, MITOCHONDRIAL, PUTATIVE-RELATED', 161109),
(217384, 'PTHR31867:SF169', NULL, NULL, NULL, NULL, 'EXPANSIN', 161110),
(217385, 'PTHR35096:SF8', NULL, NULL, NULL, NULL, 'BNAA08G28570D PROTEIN', 161111),
(217386, 'PTHR24015:SF1938', NULL, NULL, NULL, NULL, 'OS11G0158300 PROTEIN', 161112),
(217387, 'PTHR10877:SF47', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY DISEASE 2-LIKE 2 PROTEIN', 161113),
(217388, 'PTHR15507:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 654', 161114),
(217389, 'PTHR11739:SF11', NULL, NULL, NULL, NULL, 'CITRATE/2-METHYLCITRATE SYNTHASE', 161115),
(217390, 'PTHR30537:SF26', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM TRANSCRIPTIONAL ACTIVATOR', 161116),
(217391, 'PTHR45844:SF22', NULL, NULL, NULL, NULL, 'BNAC04G56860D PROTEIN', 161117),
(217392, 'PTHR12786:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161118),
(217393, 'PTHR47976:SF62', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 161119),
(217394, 'PTHR45598:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11839', 161120),
(217395, 'PTHR13023:SF3', NULL, NULL, NULL, NULL, 'SOLUBLE CALCIUM-ACTIVATED NUCLEOTIDASE 1', 161121),
(217396, 'PTHR24361:SF822', NULL, NULL, NULL, NULL, 'BNAC03G41990D PROTEIN', 161122),
(217397, 'PTHR10194:SF19', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN 1', 161123);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(217398, 'PTHR46128:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161124),
(217399, 'PTHR24042:SF0', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C-BINDING PROTEIN NELL2', 161125),
(217400, 'PTHR46137:SF11', NULL, NULL, NULL, NULL, 'NC DOMAIN-CONTAINING PROTEIN-RELATED', 161126),
(217401, 'PTHR31769:SF74', NULL, NULL, NULL, NULL, 'BNAC06G05950D PROTEIN', 161127),
(217402, 'PTHR12064:SF68', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER CNNM-5', 161128),
(217403, 'PTHR12000:SF42', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME GAMMA-ISOZYME', 161129),
(217404, 'PTHR47839:SF1', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G04830)-RELATED', 161130),
(217405, 'PTHR11132:SF413', NULL, NULL, NULL, NULL, 'BNAA02G17980D PROTEIN', 161131),
(217406, 'PTHR45752:SF26', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN SHOC-2', 161132),
(217407, 'PTHR30529:SF6', NULL, NULL, NULL, NULL, 'BLL0291 PROTEIN', 161133),
(217408, 'PTHR33204:SF29', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR HXLR', 161134),
(217409, 'PTHR13604:SF0', NULL, NULL, NULL, NULL, 'ABASIC SITE PROCESSING PROTEIN HMCES', 161135),
(217410, 'PTHR23070', NULL, NULL, NULL, NULL, 'BCS1 AAA-TYPE ATPASE', 161136),
(217411, 'PTHR34775', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 161137),
(217412, 'PTHR11841', NULL, NULL, NULL, NULL, 'REELIN', 161138),
(217413, 'PTHR11119:SF54', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 11', 161139),
(217414, 'PTHR11214:SF91', NULL, NULL, NULL, NULL, 'UDP-GLCNAC:BETAGAL BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE 9', 161140),
(217415, 'PTHR10972:SF70', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN', 161141),
(217416, 'PTHR27005:SF365', NULL, NULL, NULL, NULL, 'BNAC04G02640D PROTEIN', 161142),
(217417, 'PTHR31780:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161143),
(217418, 'PTHR23043:SF7', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE FACTOR 1-ALPHA', 161144),
(217419, 'PTHR31353:SF5', NULL, NULL, NULL, NULL, 'IM:7138535', 161145),
(217420, 'PTHR10516:SF420', NULL, NULL, NULL, NULL, 'FK506-BINDING PROTEIN 59', 161146),
(217421, 'PTHR14247:SF11', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 3A', 161147),
(217422, 'PTHR13555:SF54', NULL, NULL, NULL, NULL, 'BNAC09G20680D PROTEIN', 161148),
(217423, 'PTHR11214:SF290', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 14-RELATED', 161149),
(217424, 'PTHR23339:SF93', NULL, NULL, NULL, NULL, 'ZGC:77752', 161150),
(217425, 'PTHR31852:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161151),
(217426, 'PTHR24012:SF828', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF 2, NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN PROTEIN-RELATED', 161152),
(217427, 'PTHR31391:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161153),
(217428, 'PTHR22870:SF311', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN-RELATED', 161154),
(217429, 'PTHR21230', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE PROTEIN VTI1-RELATED', 161155),
(217430, 'PTHR44051', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 161156),
(217431, 'PTHR12850:SF29', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S25-2-RELATED', 161157),
(217432, 'PTHR22884:SF413', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-36 SPECIFIC', 161158),
(217433, 'PTHR47660:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', 161159),
(217434, 'PTHR43184:SF16', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE TRANSPORTER 1 ISOFORM X1-RELATED', 161160),
(217435, 'PTHR23267:SF431', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161161),
(217436, 'PTHR33076', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 161162),
(217437, 'PTHR12262:SF5', NULL, NULL, NULL, NULL, 'CELL DIFFERENTIATION PROTEIN RCD1-LIKE', 161163),
(217438, 'PTHR12176:SF60', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 161164),
(217439, 'PTHR12565:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161165);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(217440, 'PTHR47176:SF2', NULL, NULL, NULL, NULL, 'T21P5.8 PROTEIN', 161166),
(217441, 'PTHR43078:SF19', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE 4', 161167),
(217442, 'PTHR12780', NULL, NULL, NULL, NULL, 'RNA POLYMERASE III  DNA DIRECTED , 39KD SUBUNIT-RELATED', 161168),
(217443, 'PTHR46125:SF13', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 19', 161169),
(217444, 'PTHR12268:SF16', NULL, NULL, NULL, NULL, 'DYSTROPHIN-RELATED PROTEIN 2', 161170),
(217445, 'PTHR45682:SF3', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY PROTEIN PHOSPHATASE 13', 161171),
(217446, 'PTHR24235:SF26', NULL, NULL, NULL, NULL, 'TACHYKININ-LIKE PEPTIDES RECEPTOR 86C', 161172),
(217447, 'PTHR47073:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161173),
(217448, 'PTHR13462:SF38', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 161174),
(217449, 'PTHR11829:SF201', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 3-GAMMA', 161175),
(217450, 'PTHR31234:SF39', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN 1 CONTAINING PROTEIN, EXPRESSED', 161176),
(217451, 'PTHR33021:SF29', NULL, NULL, NULL, NULL, 'EARLY NODULIN 20', 161177),
(217452, 'PTHR48112:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161178),
(217453, 'PTHR11850:SF265', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 8', 161179),
(217454, 'PTHR11005', NULL, NULL, NULL, NULL, 'LYSOSOMAL ACID LIPASE-RELATED', 161180),
(217455, 'PTHR11223:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161181),
(217456, 'PTHR31470', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN-RELATED-RELATED', 161182),
(217457, 'PTHR46318:SF3', NULL, NULL, NULL, NULL, 'UPSTREAM BINDING TRANSCRIPTION FACTOR', 161183),
(217458, 'PTHR11926:SF1344', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 161184),
(217459, 'PTHR36372', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 161185),
(217460, 'PTHR10812:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-2-EPSILON', 161186),
(217461, 'PTHR46324:SF18', NULL, NULL, NULL, NULL, 'BNAC01G30400D PROTEIN', 161187),
(217462, 'PTHR10357:SF198', NULL, NULL, NULL, NULL, 'MALTASE MALT (AFU_ORTHOLOGUE AFUA_8G07070)', 161188),
(217463, 'PTHR30251:SF25', NULL, NULL, NULL, NULL, 'FIMBRIAE CHAPARONE-RELATED', 161189),
(217464, 'PTHR11040:SF172', NULL, NULL, NULL, NULL, 'ZINC/IRON PERMEASE-RELATED', 161190),
(217465, 'PTHR24073:SF950', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN YPT53-RELATED', 161191),
(217466, 'PTHR10978:SF5', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE CYTOCHROME B560 SUBUNIT, MITOCHONDRIAL', 161192),
(217467, 'PTHR14776', NULL, NULL, NULL, NULL, 'CADHERIN-LIKE AND PC-ESTERASE DOMAIN-CONTAINING PROTEIN 1', 161193),
(217468, 'PTHR47164:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 161194),
(217469, 'PTHR11527:SF141', NULL, NULL, NULL, NULL, '17.9 KDA HEAT SHOCK PROTEIN 2', 161195),
(217470, 'PTHR46031:SF15', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 3', 161196),
(217471, 'PTHR43570:SF6', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 3 MEMBER B2', 161197),
(217472, 'PTHR32212:SF254', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161198),
(217473, 'PTHR24012:SF794', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 161199),
(217474, 'PTHR22595:SF148', NULL, NULL, NULL, NULL, 'CHITINASE 7', 161200),
(217475, 'PTHR34188:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161201),
(217476, 'PTHR11538:SF70', NULL, NULL, NULL, NULL, 'PHENYLALANYL-TRNA SYNTHETASE-RELATED', 161202),
(217477, 'PTHR11639:SF119', NULL, NULL, NULL, NULL, 'PROTEIN S100', 161203),
(217478, 'PTHR12203:SF73', NULL, NULL, NULL, NULL, 'PROTEIN O-GLUCOSYLTRANSFERASE 1-LIKE', 161204),
(217479, 'PTHR45649:SF24', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15150)-RELATED', 161205),
(217480, 'PTHR33828:SF2', NULL, NULL, NULL, NULL, 'NUCLEOLIN', 161206),
(217481, 'PTHR30603:SF48', NULL, NULL, NULL, NULL, 'OS05G0589000 PROTEIN', 161207),
(217482, 'PTHR34223:SF8', NULL, NULL, NULL, NULL, 'OS08G0270000 PROTEIN', 161208),
(217483, 'PTHR31043:SF3', NULL, NULL, NULL, NULL, 'NEPHROCYSTIN-4', 161209);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(217484, 'PTHR11462:SF51', NULL, NULL, NULL, NULL, 'JUNE PROTO-ONCOGENE, AP-1 TRANSCRIPTION FACTOR SUBUNIT', 161210),
(217485, 'PTHR20987:SF0', NULL, NULL, NULL, NULL, 'GEO07165P1-RELATED', 161211),
(217486, 'PTHR42715:SF13', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE K-RELATED', 161212),
(217487, 'PTHR13469:SF8', NULL, NULL, NULL, NULL, 'HEXAMETHYLENE BISACETAMIDE INDUCIBLE 1', 161213),
(217488, 'PTHR38926:SF35', NULL, NULL, NULL, NULL, 'BNAA04G14150D PROTEIN', 161214),
(217489, 'PTHR11220:SF24', NULL, NULL, NULL, NULL, 'HEME-BINDING PROTEIN SOUL4', 161215),
(217490, 'PTHR12547:SF130', NULL, NULL, NULL, NULL, 'SB:CB81', 161216),
(217491, 'PTHR11615:SF322', NULL, NULL, NULL, NULL, 'CYTOSOLIC IRON-SULFUR ASSEMBLY COMPONENT 3', 161217),
(217492, 'PTHR47992:SF42', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', 161218),
(217493, 'PTHR33286:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161219),
(217494, 'PTHR45988:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161220),
(217495, 'PTHR31017:SF1', NULL, NULL, NULL, NULL, 'LATE SECRETORY PATHWAY PROTEIN AVL9 HOMOLOG', 161221),
(217496, 'PTHR33021:SF163', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN', 161222),
(217497, 'PTHR16517:SF96', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 3', 161223),
(217498, 'PTHR35081', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 105', 161224),
(217499, 'PTHR31636:SF263', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS, SCARECROW-LIKE PROTEIN 8-RELATED', 161225),
(217500, 'PTHR24058:SF122', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-INTERACTING PROTEIN KINASE 1A', 161226),
(217501, 'PTHR40060', NULL, NULL, NULL, NULL, 'UPF0316 PROTEIN YEBE', 161227),
(217502, 'PTHR22663:SF24', NULL, NULL, NULL, NULL, 'ZIP (YEAST MEIOTIC ZIPPER) HOMOLOGOUS PROTEIN', 161228),
(217503, 'PTHR31194:SF91', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-11-LIKE', 161229),
(217504, 'PTHR27008:SF484', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161230),
(217505, 'PTHR12802:SF135', NULL, NULL, NULL, NULL, 'BNAA06G15430D PROTEIN', 161231),
(217506, 'PTHR47849', NULL, NULL, NULL, NULL, 'CHITIN-BINDING LECTIN 1', 161232),
(217507, 'PTHR11575:SF6', NULL, NULL, NULL, NULL, '2'',3''-CYCLIC-NUCLEOTIDE 2''-PHOSPHODIESTERASE/3''-NUCLEOTIDASE', 161233),
(217508, 'PTHR38655:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 4930524B15', 161234),
(217509, 'PTHR18843:SF2', NULL, NULL, NULL, NULL, 'TORSIN-1A-INTERACTING PROTEIN 2', 161235),
(217510, 'PTHR10791:SF148', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 161236),
(217511, 'PTHR10969:SF75', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', 161237),
(217512, 'PTHR12566:SF7', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATION ELEMENT-BINDING PROTEIN 3', 161238),
(217513, 'PTHR11260:SF574', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE PARC-RELATED', 161239),
(217514, 'PTHR33264:SF40', NULL, NULL, NULL, NULL, 'OS04G0194900 PROTEIN', 161240),
(217515, 'PTHR43537:SF30', NULL, NULL, NULL, NULL, 'GNTR FAMILY REGULATORY PROTEIN-RELATED', 161241),
(217516, 'PTHR34218:SF2', NULL, NULL, NULL, NULL, 'PENICILLIN G ACYLASE', 161242),
(217517, 'PTHR32347:SF26', NULL, NULL, NULL, NULL, 'SECRETION PROTEIN-RELATED', 161243),
(217518, 'PTHR46671:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG02521', 161244),
(217519, 'PTHR46477:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161245),
(217520, 'PTHR36615:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 161246),
(217521, 'PTHR11329', NULL, NULL, NULL, NULL, 'LEUKOCYTE CELL-DERIVED CHEMOTAXIN 2', 161247),
(217522, 'PTHR15948:SF7', NULL, NULL, NULL, NULL, 'GPCR-TYPE G PROTEIN 2', 161248),
(217523, 'PTHR47413:SF2', NULL, NULL, NULL, NULL, 'LIPASE-LIKE PAD4', 161249),
(217524, 'PTHR31232:SF32', NULL, NULL, NULL, NULL, 'SELF-INCOMPATIBILITY PROTEIN S1 FAMILY, PUTATIVE-RELATED', 161250),
(217525, 'PTHR31311:SF26', NULL, NULL, NULL, NULL, 'ALPHA-6-GALACTOSYLTRANSFERASE', 161251),
(217526, 'PTHR43283:SF6', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G07500)', 161252);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(217527, 'PTHR31790:SF418', NULL, NULL, NULL, NULL, 'BNAA04G19540D PROTEIN', 161253),
(217528, 'PTHR30514:SF17', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MURR', 161254),
(217529, 'PTHR43198:SF5', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL TENA-E PROTEIN', 161255),
(217530, 'PTHR46038:SF9', NULL, NULL, NULL, NULL, 'OS01G0920800 PROTEIN', 161256),
(217531, 'PTHR18896:SF125', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 161257),
(217532, 'PTHR45623:SF13', NULL, NULL, NULL, NULL, 'HELICASE PROTEIN MOM1-LIKE ISOFORM X1', 161258),
(217533, 'PTHR23421:SF164', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 161259),
(217534, 'PTHR28228:SF1', NULL, NULL, NULL, NULL, 'SECRETORY COMPONENT PROTEIN SHR3', 161260),
(217535, 'PTHR33448:SF7', NULL, NULL, NULL, NULL, 'NUCLEOLAR GTP-BINDING PROTEIN', 161261),
(217536, 'PTHR11746:SF257', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE COMT-TYPE, S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 161262),
(217537, 'PTHR45807', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE HOPSCOTCH', 161263),
(217538, 'PTHR47123:SF6', NULL, NULL, NULL, NULL, 'ASCORBIC ACID MANNOSE PATHWAY REGULATOR-RELATED', 161264),
(217539, 'PTHR31636:SF182', NULL, NULL, NULL, NULL, 'OS02G0681900 PROTEIN', 161265),
(217540, 'PTHR31384:SF140', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 161266),
(217541, 'PTHR11134', NULL, NULL, NULL, NULL, 'ADAPTOR COMPLEX SUBUNIT BETA FAMILY MEMBER', 161267),
(217542, 'PTHR43461:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 256', 161268),
(217543, 'PTHR31717:SF101', NULL, NULL, NULL, NULL, 'BNAA05G26310D PROTEIN', 161269),
(217544, 'PTHR11017:SF264', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 161270),
(217545, 'PTHR40596:SF1', NULL, NULL, NULL, NULL, 'CITRATE LYASE ALPHA CHAIN', 161271),
(217546, 'PTHR34294', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 161272),
(217547, 'PTHR11548:SF12', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DIHYDROFOLATE REDUCTASE-THYMIDYLATE SYNTHASE', 161273),
(217548, 'PTHR39429', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 161274),
(217549, 'PTHR47319:SF17', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND PROTEIN', 161275),
(217550, 'PTHR33657', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00600)-RELATED', 161276),
(217551, 'PTHR37962:SF2', NULL, NULL, NULL, NULL, 'MALE STERILE (3) 76CA', 161277),
(217552, 'PTHR31370:SF5', NULL, NULL, NULL, NULL, 'BNAC04G31550D PROTEIN', 161278),
(217553, 'PTHR43376:SF1', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN', 161279),
(217554, 'PTHR16476', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 161280),
(217555, 'PTHR15902', NULL, NULL, NULL, NULL, 'NEURITIN-RELATED', 161281),
(217556, 'PTHR30178', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YAAH', 161282),
(217557, 'PTHR46592:SF8', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL70', 161283),
(217558, 'PTHR11388:SF99', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 1C1', 161284),
(217559, 'PTHR24270:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161285),
(217560, 'PTHR11709:SF251', NULL, NULL, NULL, NULL, 'LACCASE-8-RELATED', 161286),
(217561, 'PTHR43041:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE, METALLO-BETA-LACTAMASE SUPERFAMILY', 161287),
(217562, 'PTHR13145:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161288),
(217563, 'PTHR11451:SF36', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE, CYTOPLASMIC', 161289),
(217564, 'PTHR13924:SF12', NULL, NULL, NULL, NULL, 'TRANSFORMING ACIDIC COILED-COIL-CONTAINING PROTEIN 1', 161290),
(217565, 'PTHR39665:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161291),
(217566, 'PTHR24349:SF360', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 20', 161292),
(217567, 'PTHR11782:SF92', NULL, NULL, NULL, NULL, 'GDA1/CD39 NUCLEOSIDE PHOSPHATASE FAMILY PROTEIN', 161293),
(217568, 'PTHR47657', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN ECM22', 161294),
(217569, 'PTHR18916:SF76', NULL, NULL, NULL, NULL, 'TUBULIN FOLDING COFACTOR B', 161295);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(217570, 'PTHR31235:SF254', NULL, NULL, NULL, NULL, 'PEROXIDASE', 161296),
(217571, 'PTHR22835:SF507', NULL, NULL, NULL, NULL, 'BNAC06G18430D PROTEIN', 161297),
(217572, 'PTHR27007:SF321', NULL, NULL, NULL, NULL, 'KINASE CHARK-RELATED', 161298),
(217573, 'PTHR31722:SF39', NULL, NULL, NULL, NULL, 'OS08G0474100 PROTEIN', 161299),
(217574, 'PTHR31517:SF69', NULL, NULL, NULL, NULL, 'PEROXIDASE', 161300),
(217575, 'PTHR22850:SF212', NULL, NULL, NULL, NULL, 'HISTONE-BINDING PROTEIN RBBP4-RELATED', 161301),
(217576, 'PTHR45868:SF18', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 35-LIKE', 161302),
(217577, 'PTHR47992:SF87', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 52-RELATED', 161303),
(217578, 'PTHR22760:SF1', NULL, NULL, NULL, NULL, 'DOL-P-MAN:MAN(7)GLCNAC(2)-PP-DOL ALPHA-1,6-MANNOSYLTRANSFERASE', 161304),
(217579, 'PTHR11516:SF41', NULL, NULL, NULL, NULL, '3-METHYL-2-OXOBUTANOATE DEHYDROGENASE SUBUNIT ALPHA', 161305),
(217580, 'PTHR42923:SF4', NULL, NULL, NULL, NULL, '15-CIS-PHYTOENE DESATURASE, CHLOROPLASTIC/CHROMOPLASTIC', 161306),
(217581, 'PTHR21600:SF24', NULL, NULL, NULL, NULL, '23S RRNA PSEUDOURIDINE(2604) SYNTHASE', 161307),
(217582, 'PTHR31839', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1D', 161308),
(217583, 'PTHR33566:SF1', NULL, NULL, NULL, NULL, 'EN/SPM-LIKE TRANSPOSON-RELATED', 161309),
(217584, 'PTHR24096:SF246', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700061G19 GENE', 161310),
(217585, 'PTHR46946', NULL, NULL, NULL, NULL, 'NEURITE EXTENSION AND MIGRATION FACTOR', 161311),
(217586, 'PTHR42994:SF1', NULL, NULL, NULL, NULL, 'PEPTIDASE T', 161312),
(217587, 'PTHR10412:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161313),
(217588, 'PTHR19944:SF64', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DP ALPHA 1 CHAIN', 161314),
(217589, 'PTHR11165:SF120', NULL, NULL, NULL, NULL, 'S-PHASE KINASE-ASSOCIATED PROTEIN 1', 161315),
(217590, 'PTHR46503:SF6', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN-RELATED', 161316),
(217591, 'PTHR45650:SF49', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 161317),
(217592, 'PTHR13596:SF6', NULL, NULL, NULL, NULL, 'RCG26176, ISOFORM CRA_A', 161318),
(217593, 'PTHR46727:SF1', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE CBX4', 161319),
(217594, 'PTHR11616:SF268', NULL, NULL, NULL, NULL, 'TRANSPORTER', 161320),
(217595, 'PTHR13989:SF16', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A2', 161321),
(217596, 'PTHR21394:SF0', NULL, NULL, NULL, NULL, 'MAU2 CHROMATID COHESION FACTOR HOMOLOG', 161322),
(217597, 'PTHR31651:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 3-LIKE ISOFORM X1', 161323),
(217598, 'PTHR30272:SF3', NULL, NULL, NULL, NULL, '(3R)-HYDROXYMYRISTOYL-[ACYL CARRIER PROTEIN] DEHYDRATASE', 161324),
(217599, 'PTHR12589:SF7', NULL, NULL, NULL, NULL, '6-PYRUVOYL TETRAHYDROBIOPTERIN SYNTHASE', 161325),
(217600, 'PTHR11136', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE-RELATED', 161326),
(217601, 'PTHR47753:SF4', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 161327),
(217602, 'PTHR14513:SF0', NULL, NULL, NULL, NULL, 'PROTECTION OF TELOMERES PROTEIN 1', 161328),
(217603, 'PTHR42861:SF83', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 161329),
(217604, 'PTHR11467:SF122', NULL, NULL, NULL, NULL, 'HISTONE H1-LIKE', 161330),
(217605, 'PTHR11945:SF506', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', 161331),
(217606, 'PTHR13866:SF25', NULL, NULL, NULL, NULL, 'SPARC-LIKE 1', 161332),
(217607, 'PTHR10366:SF607', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161333),
(217608, 'PTHR31903:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161334),
(217609, 'PTHR24356:SF185', NULL, NULL, NULL, NULL, 'CELL CYCLE PROTEIN KINASE DBF2-RELATED', 161335),
(217610, 'PTHR24281:SF166', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B37-LIKE', 161336),
(217611, 'PTHR12591:SF1', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATASE 2', 161337),
(217612, 'PTHR10015:SF358', NULL, NULL, NULL, NULL, 'BNACNNG47870D PROTEIN', 161338),
(217613, 'PTHR23428:SF275', NULL, NULL, NULL, NULL, 'HISTONE H2B', 161339);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(217614, 'PTHR38745:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161340),
(217615, 'PTHR40705:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161341),
(217616, 'PTHR10791:SF199', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 161342),
(217617, 'PTHR34944:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM7-2', 161343),
(217618, 'PTHR12482:SF20', NULL, NULL, NULL, NULL, 'LIPASE YDR444W-RELATED', 161344),
(217619, 'PTHR43670:SF42', NULL, NULL, NULL, NULL, 'OS05G0592000 PROTEIN', 161345),
(217620, 'PTHR31096:SF73', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN-RELATED', 161346),
(217621, 'PTHR31818:SF24', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', 161347),
(217622, 'PTHR19424:SF4', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR-BINDING PROTEIN 1-LIKE PROTEIN 1', 161348),
(217623, 'PTHR18945:SF408', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 161349),
(217624, 'PTHR13093:SF1', NULL, NULL, NULL, NULL, 'BNACNNG31940D PROTEIN', 161350),
(217625, 'PTHR10489:SF937', NULL, NULL, NULL, NULL, 'RELAXIN FAMILY PEPTIDE RECEPTOR 3.2B', 161351),
(217626, 'PTHR44218:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161352),
(217627, 'PTHR19865:SF9', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN-CONTAINING 11A', 161353),
(217628, 'PTHR10822:SF29', NULL, NULL, NULL, NULL, 'DIVISION ABNORMALLY DELAYED PROTEIN', 161354),
(217629, 'PTHR32227:SF265', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-LIKE', 161355),
(217630, 'PTHR21039', NULL, NULL, NULL, NULL, 'HISTIDINOL PHOSPHATASE-RELATED', 161356),
(217631, 'PTHR11673:SF45', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', 161357),
(217632, 'PTHR14522:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 14', 161358),
(217633, 'PTHR33110:SF57', NULL, NULL, NULL, NULL, 'OS02G0129200 PROTEIN', 161359),
(217634, 'PTHR42773:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161360),
(217635, 'PTHR47992:SF66', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 18-RELATED', 161361),
(217636, 'PTHR31639:SF139', NULL, NULL, NULL, NULL, 'F-BOX/LRR PLANT PROTEIN', 161362),
(217637, 'PTHR11426:SF227', NULL, NULL, NULL, NULL, 'HISTONE H3', 161363),
(217638, 'PTHR10125:SF19', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 161364),
(217639, 'PTHR11977:SF102', NULL, NULL, NULL, NULL, 'VILLIN-3-LIKE', 161365),
(217640, 'PTHR30069:SF27', NULL, NULL, NULL, NULL, 'HEMIN RECEPTOR', 161366),
(217641, 'PTHR13047:SF5', NULL, NULL, NULL, NULL, 'BNAA03G47500D PROTEIN', 161367),
(217642, 'PTHR24340:SF21', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-6.2', 161368),
(217643, 'PTHR10792:SF42', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24-RELATED', 161369),
(217644, 'PTHR10127:SF833', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-32', 161370),
(217645, 'PTHR46391:SF22', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 61-LIKE', 161371),
(217646, 'PTHR11521:SF1', NULL, NULL, NULL, NULL, 'TROPONIN T, SKELETAL MUSCLE', 161372),
(217647, 'PTHR13675:SF3', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 2', 161373),
(217648, 'PTHR22589:SF60', NULL, NULL, NULL, NULL, 'O-PALMITOYLTRANSFERASE II, PUTATIVE-RELATED', 161374),
(217649, 'PTHR28638:SF1', NULL, NULL, NULL, NULL, 'PRE-B-CELL LEUKEMIA TRANSCRIPTION FACTOR-INTERACTING PROTEIN 1', 161375),
(217650, 'PTHR13028:SF0', NULL, NULL, NULL, NULL, 'RRNA-PROCESSING PROTEIN EBP2-RELATED', 161376),
(217651, 'PTHR10381', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', 161377),
(217652, 'PTHR45886:SF11', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 161378),
(217653, 'PTHR15895:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161379),
(217654, 'PTHR10835:SF10', NULL, NULL, NULL, NULL, 'SQUALENE MONOOXYGENASE-RELATED', 161380),
(217655, 'PTHR32212:SF333', NULL, NULL, NULL, NULL, 'BNAA04G05290D PROTEIN', 161381),
(217656, 'PTHR33147:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161382),
(217657, 'PTHR31992:SF223', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.5', 161383);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(217658, 'PTHR13439', NULL, NULL, NULL, NULL, 'CT120 PROTEIN', 161384),
(217659, 'PTHR27009:SF249', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE, PUTATIVE-RELATED', 161385),
(217660, 'PTHR46709:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG05848', 161386),
(217661, 'PTHR10527:SF22', NULL, NULL, NULL, NULL, 'IMPORTIN-5', 161387),
(217662, 'PTHR23262:SF183', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-13-RELATED', 161388),
(217663, 'PTHR11920:SF481', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', 161389),
(217664, 'PTHR42861:SF54', NULL, NULL, NULL, NULL, 'ATPASE 7, PLASMA MEMBRANE-TYPE', 161390),
(217665, 'PTHR31989:SF218', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', 161391),
(217666, 'PTHR45810:SF5', NULL, NULL, NULL, NULL, 'HISTONE H3', 161392),
(217667, 'PTHR33088:SF61', NULL, NULL, NULL, NULL, 'PRE-MRNA POLYADENYLATION FACTOR FIP1-LIKE', 161393),
(217668, 'PTHR22870:SF363', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY WITH FYVE ZINC FINGER DOMAIN', 161394),
(217669, 'PTHR14102', NULL, NULL, NULL, NULL, 'PAR-6-RELATED', 161395),
(217670, 'PTHR31110:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161396),
(217671, 'PTHR16223:SF209', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH133', 161397),
(217672, 'PTHR24203:SF62', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', 161398),
(217673, 'PTHR11540', NULL, NULL, NULL, NULL, 'MALATE AND LACTATE DEHYDROGENASE', 161399),
(217674, 'PTHR12210:SF121', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', 161400),
(217675, 'PTHR46288:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161401),
(217676, 'PTHR24072:SF150', NULL, NULL, NULL, NULL, 'RAS HOMOLOG GENE FAMILY, MEMBER GC-RELATED', 161402),
(217677, 'PTHR47654', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 161403),
(217678, 'PTHR47000:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161404),
(217679, 'PTHR26379:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161405),
(217680, 'PTHR24068:SF135', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 J2', 161406),
(217681, 'PTHR45649:SF35', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1', 161407),
(217682, 'PTHR23086:SF58', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 3', 161408),
(217683, 'PTHR24232:SF83', NULL, NULL, NULL, NULL, 'GENE 5127-RELATED', 161409),
(217684, 'PTHR42647:SF59', NULL, NULL, NULL, NULL, 'BNACNNG71790D PROTEIN', 161410),
(217685, 'PTHR45295:SF4', NULL, NULL, NULL, NULL, '3FE-4S FERREDOXIN', 161411),
(217686, 'PTHR24006:SF753', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', 161412),
(217687, 'PTHR31606:SF1', NULL, NULL, NULL, NULL, 'WW DOMAIN BINDING PROTEIN 2, ISOFORM E', 161413),
(217688, 'PTHR12307:SF23', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3C', 161414),
(217689, 'PTHR13349:SF2', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 16', 161415),
(217690, 'PTHR11783:SF255', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 161416),
(217691, 'PTHR33405:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161417),
(217692, 'PTHR22811:SF181', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY/GOLD FAMILY PROTEIN-RELATED', 161418),
(217693, 'PTHR11746:SF117', NULL, NULL, NULL, NULL, 'OS12G0444800 PROTEIN', 161419),
(217694, 'PTHR47023:SF1', NULL, NULL, NULL, NULL, 'SEX PEPTIDE RECEPTOR', 161420),
(217695, 'PTHR30595:SF3', NULL, NULL, NULL, NULL, 'DEOR-FAMILY TRANSCRIPTIONAL REGULATOR', 161421),
(217696, 'PTHR48062:SF25', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 9A', 161422),
(217697, 'PTHR32444:SF128', NULL, NULL, NULL, NULL, 'CURCULIN-LIKE (MANNOSE-BINDING) LECTIN FAMILY PROTEIN', 161423),
(217698, 'PTHR31375:SF246', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 161424),
(217699, 'PTHR24376:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161425),
(217700, 'PTHR48127', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 161426),
(217701, 'PTHR47846:SF1', NULL, NULL, NULL, NULL, 'OS06G0681300 PROTEIN', 161427);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(217702, 'PTHR34452:SF1', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN', 161428),
(217703, 'PTHR39323', NULL, NULL, NULL, NULL, 'BLR1149 PROTEIN', 161429),
(217704, 'PTHR47937', NULL, NULL, NULL, NULL, 'PLASTID TRANSCRIPTIONALLY ACTIVE CHROMOSOME 2-LIKE PROTEIN', 161430),
(217705, 'PTHR31642:SF52', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYLTRANSFERASE 2', 161431),
(217706, 'PTHR23347:SF6', NULL, NULL, NULL, NULL, 'FI17904P1', 161432),
(217707, 'PTHR11059', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RECN', 161433),
(217708, 'PTHR11573', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE LARGE CHAIN', 161434),
(217709, 'PTHR36150:SF1', NULL, NULL, NULL, NULL, 'DNA GYRASE INHIBITOR YACG', 161435),
(217710, 'PTHR45957:SF1', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 2', 161436),
(217711, 'PTHR14753:SF3', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 38', 161437),
(217712, 'PTHR45642:SF57', NULL, NULL, NULL, NULL, 'BNAA04G17460D PROTEIN', 161438),
(217713, 'PTHR33722:SF3', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT EPSILON', 161439),
(217714, 'PTHR10890', NULL, NULL, NULL, NULL, 'CYSTEINYL-TRNA SYNTHETASE', 161440),
(217715, 'PTHR10209:SF741', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161441),
(217716, 'PTHR11615:SF302', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 161442),
(217717, 'PTHR24356:SF352', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE IRE3-RELATED', 161443),
(217718, 'PTHR45738:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC2', 161444),
(217719, 'PTHR10342:SF244', NULL, NULL, NULL, NULL, 'B, PUTATIVE-RELATED', 161445),
(217720, 'PTHR11945:SF618', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL61', 161446),
(217721, 'PTHR32166:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161447),
(217722, 'PTHR36723', NULL, NULL, NULL, NULL, 'F22C12.19', 161448),
(217723, 'PTHR48193:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161449),
(217724, 'PTHR10766:SF45', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 161450),
(217725, 'PTHR12901:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161451),
(217726, 'PTHR27006:SF289', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 161452),
(217727, 'PTHR47942:SF50', NULL, NULL, NULL, NULL, 'OS03G0284900 PROTEIN', 161453),
(217728, 'PTHR30204:SF74', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ADHR', 161454),
(217729, 'PTHR12317:SF34', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE, PUTATIVE-RELATED', 161455),
(217730, 'PTHR26453:SF649', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 161456),
(217731, 'PTHR33122:SF62', NULL, NULL, NULL, NULL, 'OS01G0914300 PROTEIN', 161457),
(217732, 'PTHR46726', NULL, NULL, NULL, NULL, 'TWO PORE CHANNEL 3', 161458),
(217733, 'PTHR19957:SF310', NULL, NULL, NULL, NULL, 'SYNTAXIN-4-RELATED', 161459),
(217734, 'PTHR22957:SF205', NULL, NULL, NULL, NULL, 'RAB GTPASE-ACTIVATING PROTEIN 1-LIKE', 161460),
(217735, 'PTHR19241:SF579', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 35', 161461),
(217736, 'PTHR22988:SF64', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', 161462),
(217737, 'PTHR24222:SF45', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING TRANSMEMBRANE PROTEIN', 161463),
(217738, 'PTHR35602:SF3', NULL, NULL, NULL, NULL, 'ESTERASE YQIA', 161464),
(217739, 'PTHR12713:SF5', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G 3', 161465),
(217740, 'PTHR46719:SF7', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL71-RELATED', 161466),
(217741, 'PTHR46166:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161467),
(217742, 'PTHR31235:SF203', NULL, NULL, NULL, NULL, 'PEROXIDASE', 161468),
(217743, 'PTHR23028:SF123', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 161469),
(217744, 'PTHR37339:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 29', 161470),
(217745, 'PTHR28663:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 173', 161471),
(217746, 'PTHR38398:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161472); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(217747, 'PTHR46268:SF16', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN C-RELATED', 161473),
(217748, 'PTHR42812:SF12', NULL, NULL, NULL, NULL, 'BETA-XYLOSIDASE-RELATED', 161474),
(217749, 'PTHR34361', NULL, NULL, NULL, NULL, 'OS08G0157800 PROTEIN', 161475),
(217750, 'PTHR45687', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', 161476),
(217751, 'PTHR22947:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG16675', 161477),
(217752, 'PTHR12207:SF22', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 8', 161478),
(217753, 'PTHR31126:SF46', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE DSP5', 161479),
(217754, 'PTHR46196:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH155-LIKE ISOFORM X1', 161480),
(217755, 'PTHR13301:SF171', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', 161481),
(217756, 'PTHR31459:SF24', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN GROUP 2', 161482),
(217757, 'PTHR47991:SF102', NULL, NULL, NULL, NULL, 'OS08G0417100 PROTEIN', 161483),
(217758, 'PTHR44083:SF17', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', 161484),
(217759, 'PTHR13204:SF1', NULL, NULL, NULL, NULL, 'ESTER HYDROLASE C11ORF54', 161485),
(217760, 'PTHR34709:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161486),
(217761, 'PTHR13295:SF4', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE REGULATORY SUBUNIT', 161487),
(217762, 'PTHR33088:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161488),
(217763, 'PTHR23288:SF17', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II ELONGATION FACTOR ELL', 161489),
(217764, 'PTHR11923:SF55', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR (CD36 FAMILY) RELATED', 161490),
(217765, 'PTHR14196:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ODD-SKIPPED-RELATED 1', 161491),
(217766, 'PTHR42791:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161492),
(217767, 'PTHR34710:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 161493),
(217768, 'PTHR12329:SF42', NULL, NULL, NULL, NULL, 'BNAA02G11050D PROTEIN', 161494),
(217769, 'PTHR47402:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161495),
(217770, 'PTHR23105:SF133', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L1P/L10E FAMILY', 161496),
(217771, 'PTHR48017:SF91', NULL, NULL, NULL, NULL, 'VESICULAR INHIBITORY AMINO ACID TRANSPORTER', 161497),
(217772, 'PTHR46146:SF13', NULL, NULL, NULL, NULL, 'CGMP-DEPENDENT KINASE-RELATED', 161498),
(217773, 'PTHR12253:SF36', NULL, NULL, NULL, NULL, 'FI07253P-RELATED', 161499),
(217774, 'PTHR18966:SF108', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, DELTA-1', 161500),
(217775, 'PTHR10916:SF0', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L29, CHLOROPLASTIC', 161501),
(217776, 'PTHR23213:SF375', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 161502),
(217777, 'PTHR46366:SF4', NULL, NULL, NULL, NULL, 'PEPTIDASE S1C, PEPTIDASE S1, PA CLAN, PDZ-LIKE DOMAIN PROTEIN-RELATED', 161503),
(217778, 'PTHR37415', NULL, NULL, NULL, NULL, 'EFF-1A', 161504),
(217779, 'PTHR31811', NULL, NULL, NULL, NULL, 'TRNA A64-2''-O-RIBOSYLPHOSPHATE TRANSFERASE', 161505),
(217780, 'PTHR11610:SF159', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE', 161506),
(217781, 'PTHR16103:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 140', 161507),
(217782, 'PTHR24115:SF931', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIFC1', 161508),
(217783, 'PTHR12547:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161509),
(217784, 'PTHR34756:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE-ASSOCIATED PROTEIN 3', 161510),
(217785, 'PTHR11205:SF51', NULL, NULL, NULL, NULL, 'BNAA05G27160D PROTEIN', 161511),
(217786, 'PTHR14499:SF4', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD18', 161512),
(217787, 'PTHR12855', NULL, NULL, NULL, NULL, 'DNA METHYLTRANSFERASE 1-ASSOCIATED PROTEIN 1 FAMILY MEMBER', 161513),
(217788, 'PTHR31739:SF32', NULL, NULL, NULL, NULL, 'ANTHER EAR1', 161514),
(217789, 'PTHR11062:SF112', NULL, NULL, NULL, NULL, 'GLUCOSAMINE INOSITOLPHOSPHORYLCERAMIDE TRANSFERASE 1', 161515),
(217790, 'PTHR20863:SF62', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 161516);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(217791, 'PTHR38116:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161517),
(217792, 'PTHR30173:SF43', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGJ', 161518),
(217793, 'PTHR37300:SF2', NULL, NULL, NULL, NULL, 'UPF0291 PROTEIN BC_1827', 161519),
(217794, 'PTHR33476:SF7', NULL, NULL, NULL, NULL, 'EMB|CAB62613.1', 161520),
(217795, 'PTHR13742', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-ASSOCIATED PROTEIN  RB -RELATED', 161521),
(217796, 'PTHR19981:SF34', NULL, NULL, NULL, NULL, 'TALIN-2', 161522),
(217797, 'PTHR30012', NULL, NULL, NULL, NULL, 'GENERAL SECRETION PATHWAY PROTEIN', 161523),
(217798, 'PTHR31669:SF237', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5', 161524),
(217799, 'PTHR42859:SF8', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT PROTEIN HYDN-RELATED', 161525),
(217800, 'PTHR11055:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161526),
(217801, 'PTHR42928:SF1', NULL, NULL, NULL, NULL, 'BLR4371 PROTEIN', 161527),
(217802, 'PTHR31744:SF103', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR', 161528),
(217803, 'PTHR12015:SF174', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-C MOTIF) LIGAND 33, DUPLICATE 2-RELATED', 161529),
(217804, 'PTHR24637:SF342', NULL, NULL, NULL, NULL, 'COLLAGEN', 161530),
(217805, 'PTHR27006:SF406', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161531),
(217806, 'PTHR11249:SF2', NULL, NULL, NULL, NULL, 'GEO09696P1', 161532),
(217807, 'PTHR37821', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER YUIF-RELATED', 161533),
(217808, 'PTHR31221:SF233', NULL, NULL, NULL, NULL, 'BNAA06G40630D PROTEIN', 161534),
(217809, 'PTHR12223:SF38', NULL, NULL, NULL, NULL, 'LEGUME LECTIN, BETA CHAIN, MN/CA-BINDING SITE', 161535),
(217810, 'PTHR11570', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE', 161536),
(217811, 'PTHR34787:SF5', NULL, NULL, NULL, NULL, 'BNAC01G35500D PROTEIN', 161537),
(217812, 'PTHR10356:SF4', NULL, NULL, NULL, NULL, 'ALLOGRAFT INFLAMMATORY FACTOR 1', 161538),
(217813, 'PTHR47976:SF12', NULL, NULL, NULL, NULL, 'OS01G0668600 PROTEIN', 161539),
(217814, 'PTHR15746', NULL, NULL, NULL, NULL, 'RAB11-RELATED', 161540),
(217815, 'PTHR31860:SF10', NULL, NULL, NULL, NULL, 'OS04G0677400 PROTEIN', 161541),
(217816, 'PTHR38372', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', 161542),
(217817, 'PTHR13068:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161543),
(217818, 'PTHR24067:SF306', NULL, NULL, NULL, NULL, 'CONJUGATING ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15040)-RELATED', 161544),
(217819, 'PTHR33343:SF3', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L35', 161545),
(217820, 'PTHR45128', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TYPE 11', 161546),
(217821, 'PTHR24298:SF578', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 161547),
(217822, 'PTHR40727:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR, ENCODED NEXT TO RECA SUPERFAMILY ATPASE-RELATED', 161548),
(217823, 'PTHR31867:SF189', NULL, NULL, NULL, NULL, 'EXPANSIN', 161549),
(217824, 'PTHR22891:SF59', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE-2', 161550),
(217825, 'PTHR24300:SF327', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP2X10-RELATED', 161551),
(217826, 'PTHR33136:SF80', NULL, NULL, NULL, NULL, 'BNACNNG23920D PROTEIN', 161552),
(217827, 'PTHR33729:SF12', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 11', 161553),
(217828, 'PTHR21225', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE  DAHP SYNTHETASE', 161554),
(217829, 'PTHR11122:SF41', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 161555),
(217830, 'PTHR22742:SF2', NULL, NULL, NULL, NULL, 'EXPANSION, ISOFORM A-RELATED', 161556),
(217831, 'PTHR10185:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161557),
(217832, 'PTHR40252:SF2', NULL, NULL, NULL, NULL, 'BLR0328 PROTEIN', 161558),
(217833, 'PTHR47933:SF28', NULL, NULL, NULL, NULL, 'OS10G0116000 PROTEIN', 161559),
(217834, 'PTHR23266:SF290', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3/OR16-13 (NON-FUNCTIONAL)', 161560),
(217835, 'PTHR47959:SF8', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 29', 161561);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(217836, 'PTHR48047:SF9', NULL, NULL, NULL, NULL, 'CYTOKININ-O-GLUCOSYLTRANSFERASE 1', 161562),
(217837, 'PTHR43814', NULL, NULL, NULL, NULL, 'ARGININOSUCCINATE LYASE', 161563),
(217838, 'PTHR11502:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', 161564),
(217839, 'PTHR42938:SF33', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE', 161565),
(217840, 'PTHR13890:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161566),
(217841, 'PTHR23236:SF27', NULL, NULL, NULL, NULL, 'EMBRYONIC POLYADENYLATE-BINDING PROTEIN 2', 161567),
(217842, 'PTHR44554:SF1', NULL, NULL, NULL, NULL, 'LRP2-BINDING PROTEIN', 161568),
(217843, 'PTHR47820:SF4', NULL, NULL, NULL, NULL, 'RING FINGER PFF0165C-LIKE PROTEIN', 161569),
(217844, 'PTHR11091:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG03139', 161570),
(217845, 'PTHR22937:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161571),
(217846, 'PTHR24281:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161572),
(217847, 'PTHR47993:SF121', NULL, NULL, NULL, NULL, 'BNAA05G20230D PROTEIN', 161573),
(217848, 'PTHR11863:SF113', NULL, NULL, NULL, NULL, 'CHOLESTEROL 25-HYDROXYLASE-LIKE PROTEIN 1, MEMBER 2', 161574),
(217849, 'PTHR45652:SF18', NULL, NULL, NULL, NULL, 'ALPHA-INTERNEXIN', 161575),
(217850, 'PTHR42952', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE SUBUNIT, CONJECTURAL', 161576),
(217851, 'PTHR31852:SF53', NULL, NULL, NULL, NULL, 'OS02G0667600 PROTEIN', 161577),
(217852, 'PTHR31832:SF9', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 22', 161578),
(217853, 'PTHR43572:SF43', NULL, NULL, NULL, NULL, 'BNAC04G13460D PROTEIN', 161579),
(217854, 'PTHR12878', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE B8 SUBUNIT', 161580),
(217855, 'PTHR11654:SF341', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 1.2', 161581),
(217856, 'PTHR32176:SF41', NULL, NULL, NULL, NULL, 'XYLOSE ISOMERASE', 161582),
(217857, 'PTHR11715', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', 161583),
(217858, 'PTHR24220:SF607', NULL, NULL, NULL, NULL, 'NICKEL IMPORT ATP-BINDING PROTEIN NIKD', 161584),
(217859, 'PTHR31339:SF58', NULL, NULL, NULL, NULL, 'OS05G0587000 PROTEIN', 161585),
(217860, 'PTHR47593:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 4-LIKE', 161586),
(217861, 'PTHR43722', NULL, NULL, NULL, NULL, 'PROLINE IMINOPEPTIDASE', 161587),
(217862, 'PTHR13327:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 11, MITOCHONDRIAL', 161588),
(217863, 'PTHR45704:SF9', NULL, NULL, NULL, NULL, 'RAS-RELATED AND ESTROGEN-REGULATED GROWTH INHIBITOR-LIKE PROTEIN', 161589),
(217864, 'PTHR43856:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARDIOLIPIN HYDROLASE', 161590),
(217865, 'PTHR32285:SF9', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 25', 161591),
(217866, 'PTHR47925:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161592),
(217867, 'PTHR46023:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161593),
(217868, 'PTHR13002:SF1', NULL, NULL, NULL, NULL, 'COMPLEX I ASSEMBLY FACTOR TIMMDC1, MITOCHONDRIAL', 161594),
(217869, 'PTHR32063:SF18', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN', 161595),
(217870, 'PTHR47593:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 7-LIKE', 161596),
(217871, 'PTHR27005:SF336', NULL, NULL, NULL, NULL, 'BNAANNG18600D PROTEIN', 161597),
(217872, 'PTHR10071:SF154', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GATA-4', 161598),
(217873, 'PTHR24161:SF84', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 161599),
(217874, 'PTHR46732', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE LA (LON) DOMAIN PROTEIN', 161600),
(217875, 'PTHR32343:SF50', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 11', 161601),
(217876, 'PTHR36143:SF5', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN FUTSCH-LIKE', 161602),
(217877, 'PTHR22298:SF114', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 161603),
(217878, 'PTHR45821:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161604),
(217879, 'PTHR34496:SF1', NULL, NULL, NULL, NULL, 'GLCNAC TRANSFERASE', 161605);
INSERT INTO "PUBLIC"."MODEL" VALUES
(217880, 'PTHR47695:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161606),
(217881, 'PTHR12461:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161607),
(217882, 'PTHR33021:SF7', NULL, NULL, NULL, NULL, 'OS07G0542900 PROTEIN', 161608),
(217883, 'PTHR32295:SF162', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', 161609),
(217884, 'PTHR23122:SF7', NULL, NULL, NULL, NULL, 'PERIPHERAL PLASMA MEMBRANE PROTEIN CASK', 161610),
(217885, 'PTHR13831:SF0', NULL, NULL, NULL, NULL, 'PROTEIN HIRA', 161611),
(217886, 'PTHR24100', NULL, NULL, NULL, NULL, 'BUTYROPHILIN', 161612),
(217887, 'PTHR22666', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 161613),
(217888, 'PTHR33494:SF17', NULL, NULL, NULL, NULL, 'BNAC03G67900D PROTEIN', 161614),
(217889, 'PTHR38456:SF1', NULL, NULL, NULL, NULL, 'CYCLIC DI-AMP RECEPTOR A', 161615),
(217890, 'PTHR13326:SF21', NULL, NULL, NULL, NULL, 'PSEUDOURIDYLATE SYNTHASE 7 HOMOLOG', 161616),
(217891, 'PTHR15012:SF32', NULL, NULL, NULL, NULL, 'PROTEIN SHROOM', 161617),
(217892, 'PTHR13419:SF2', NULL, NULL, NULL, NULL, 'CXXC-TYPE ZINC FINGER PROTEIN 5', 161618),
(217893, 'PTHR31419:SF11', NULL, NULL, NULL, NULL, 'BNAANNG15560D PROTEIN', 161619),
(217894, 'PTHR42943:SF11', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE KAPPA-RELATED', 161620),
(217895, 'PTHR31235:SF236', NULL, NULL, NULL, NULL, 'PEROXIDASE 3', 161621),
(217896, 'PTHR45694:SF5', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-6-RELATED', 161622),
(217897, 'PTHR43874:SF130', NULL, NULL, NULL, NULL, 'BNAA05G16250D PROTEIN', 161623),
(217898, 'PTHR24416:SF317', NULL, NULL, NULL, NULL, 'MUSCLE, SKELETAL RECEPTOR TYROSINE-PROTEIN KINASE', 161624),
(217899, 'PTHR11654:SF557', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.9', 161625),
(217900, 'PTHR31790:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161626),
(217901, 'PTHR31087:SF70', NULL, NULL, NULL, NULL, 'TUBBY C-TERMINAL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 161627),
(217902, 'PTHR30540:SF99', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 161628),
(217903, 'PTHR48019:SF35', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL104', 161629),
(217904, 'PTHR36319', NULL, NULL, NULL, NULL, 'PROTEIN GIGANTEA', 161630),
(217905, 'PTHR10627:SF71', NULL, NULL, NULL, NULL, 'DEFECTIVE IN GERM LINE DEVELOPMENT PROTEIN 3', 161631),
(217906, 'PTHR33348:SF31', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP3', 161632),
(217907, 'PTHR10791:SF201', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET', 161633),
(217908, 'PTHR47938:SF19', NULL, NULL, NULL, NULL, 'OS02G0127600 PROTEIN', 161634),
(217909, 'PTHR11599:SF40', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-7', 161635),
(217910, 'PTHR31415:SF104', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 161636),
(217911, 'PTHR46731:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 15', 161637),
(217912, 'PTHR31966:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161638),
(217913, 'PTHR48026:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161639),
(217914, 'PTHR10182:SF30', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 161640),
(217915, 'PTHR16277:SF10', NULL, NULL, NULL, NULL, 'SERTA DOMAIN-CONTAINING PROTEIN 2', 161641),
(217916, 'PTHR43813', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 16, CHLOROPLASTIC-RELATED', 161642),
(217917, 'PTHR48002:SF155', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 161643),
(217918, 'PTHR33861:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG18333', 161644),
(217919, 'PTHR20916:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161645),
(217920, 'PTHR10918', NULL, NULL, NULL, NULL, 'HOMER', 161646),
(217921, 'PTHR24220:SF671', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM ATP-BINDING PROTEIN LOLD', 161647),
(217922, 'PTHR10732:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17-LIKE', 161648),
(217923, 'PTHR46285', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR I4, SERPIN (DUF716)-RELATED', 161649),
(217924, 'PTHR31066:SF47', NULL, NULL, NULL, NULL, 'OS05G0427100 PROTEIN', 161650),
(217925, 'PTHR30589:SF0', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL--PROLIPOPROTEIN DIACYLGLYCERYL TRANSFERASE', 161651);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(217926, 'PTHR15107:SF0', NULL, NULL, NULL, NULL, 'COMPLETION OF MEIOTIC RECOMBINATION (BUDDING YEAST COM) RELATED', 161652),
(217927, 'PTHR15107:SF4', NULL, NULL, NULL, NULL, 'DNA ENDONUCLEASE RBBP8', 161653),
(217928, 'PTHR31707:SF290', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 161654),
(217929, 'PTHR16188:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 14B', 161655),
(217930, 'PTHR47416:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161656),
(217931, 'PTHR20961:SF116', NULL, NULL, NULL, NULL, 'BNAA03G52580D PROTEIN', 161657),
(217932, 'PTHR40077', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 161658),
(217933, 'PTHR12277:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161659),
(217934, 'PTHR43409:SF7', NULL, NULL, NULL, NULL, 'ANAEROBIC MAGNESIUM-PROTOPORPHYRIN IX MONOMETHYL ESTER CYCLASE', 161660),
(217935, 'PTHR10641:SF1111', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB92', 161661),
(217936, 'PTHR46112', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 161662),
(217937, 'PTHR23222:SF29', NULL, NULL, NULL, NULL, 'BNAA08G13690D PROTEIN', 161663),
(217938, 'PTHR13038', NULL, NULL, NULL, NULL, 'APG9 AUTOPHAGY 9', 161664),
(217939, 'PTHR32343:SF39', NULL, NULL, NULL, NULL, 'BNAA06G35870D PROTEIN', 161665),
(217940, 'PTHR35560', NULL, NULL, NULL, NULL, 'BLL0132 PROTEIN', 161666),
(217941, 'PTHR11139:SF71', NULL, NULL, NULL, NULL, 'OS03G0738200 PROTEIN', 161667),
(217942, 'PTHR15907:SF180', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 3-RELATED', 161668),
(217943, 'PTHR33285:SF48', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE PEPTIDE-RELATED', 161669),
(217944, 'PTHR10209:SF230', NULL, NULL, NULL, NULL, 'SCOPOLETIN 8-HYDROXYLASE', 161670),
(217945, 'PTHR46387:SF30', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H, BACTERIA-RELATED', 161671),
(217946, 'PTHR45904:SF1', NULL, NULL, NULL, NULL, 'TRNA (URACIL(54)-C(5))-METHYLTRANSFERASE HOMOLOG', 161672),
(217947, 'PTHR43427:SF6', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-E', 161673),
(217948, 'PTHR22835:SF552', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161674),
(217949, 'PTHR34056:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 161675),
(217950, 'PTHR24376:SF186', NULL, NULL, NULL, NULL, 'TRANSFORMER: XX ANIMALS TRANSFORMED INTO MALES', 161676),
(217951, 'PTHR24637:SF282', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN SQT-1', 161677),
(217952, 'PTHR26450:SF360', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 663', 161678),
(217953, 'PTHR31671:SF3', NULL, NULL, NULL, NULL, 'DIABETES AND OBESITY REGULATED, ISOFORM G', 161679),
(217954, 'PTHR31321:SF87', NULL, NULL, NULL, NULL, 'PECTINESTERASE 63-RELATED', 161680),
(217955, 'PTHR28265:SF1', NULL, NULL, NULL, NULL, 'MAINTENANCE OF TELOMERE CAPPING PROTEIN 1', 161681),
(217956, 'PTHR24264:SF59', NULL, NULL, NULL, NULL, 'TRYPSIN-1', 161682),
(217957, 'PTHR38543', NULL, NULL, NULL, NULL, 'OS04G0465800 PROTEIN', 161683),
(217958, 'PTHR12321:SF143', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 3', 161684),
(217959, 'PTHR30510:SF2', NULL, NULL, NULL, NULL, 'UPF0229 PROTEIN YEAH', 161685),
(217960, 'PTHR31080:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161686),
(217961, 'PTHR10985:SF77', NULL, NULL, NULL, NULL, 'GH26014P', 161687),
(217962, 'PTHR12709:SF7', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE IV SUBUNIT 7', 161688),
(217963, 'PTHR31587:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN (DUF2215)', 161689),
(217964, 'PTHR10593:SF152', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JACKDAW-LIKE ISOFORM X1', 161690),
(217965, 'PTHR24058:SF22', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TYROSINE-PHOSPHORYLATION-REGULATED KINASE 4', 161691),
(217966, 'PTHR10353:SF211', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 10-RELATED', 161692),
(217967, 'PTHR48201:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161693),
(217968, 'PTHR28039:SF9', NULL, NULL, NULL, NULL, 'CHALCONE--FLAVONONE ISOMERASE 1B-1', 161694),
(217969, 'PTHR13437:SF2', NULL, NULL, NULL, NULL, 'NUCLEOPORIN P58/P45', 161695),
(217970, 'PTHR31210:SF13', NULL, NULL, NULL, NULL, 'LYSINE KETOGLUTARATE REDUCTASE TRANS-SPLICING RELATED 1-LIKE', 161696);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(217971, 'PTHR23320:SF79', NULL, NULL, NULL, NULL, 'B-LYMPHOCYTE ANTIGEN CD20', 161697),
(217972, 'PTHR19271:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161698),
(217973, 'PTHR11710:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161699),
(217974, 'PTHR45724:SF37', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP-TYPE-RELATED', 161700),
(217975, 'PTHR23257:SF758', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0282963-RELATED', 161701),
(217976, 'PTHR11009', NULL, NULL, NULL, NULL, 'DER1-LIKE PROTEIN, DERLIN', 161702),
(217977, 'PTHR24078:SF301', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', 161703),
(217978, 'PTHR12928:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FRG1', 161704),
(217979, 'PTHR37692:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', 161705),
(217980, 'PTHR13659', NULL, NULL, NULL, NULL, 'AUTOSOMAL HIGHLY CONSERVED PROTEIN', 161706),
(217981, 'PTHR34630:SF24', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT CONTAINING PROTEIN', 161707),
(217982, 'PTHR10666:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161708),
(217983, 'PTHR11119:SF47', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 2', 161709),
(217984, 'PTHR13068:SF150', NULL, NULL, NULL, NULL, 'F19K23.4 PROTEIN-RELATED', 161710),
(217985, 'PTHR31636:SF220', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION REGULATOR', 161711),
(217986, 'PTHR23012:SF192', NULL, NULL, NULL, NULL, 'BNACNNG32140D PROTEIN', 161712),
(217987, 'PTHR31181:SF66', NULL, NULL, NULL, NULL, 'BNAA02G33740D PROTEIN', 161713),
(217988, 'PTHR45621:SF133', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NAK-RELATED', 161714),
(217989, 'PTHR13713:SF57', NULL, NULL, NULL, NULL, 'CMP-N-ACETYLNEURAMINATE-BETA-GALACTOSAMIDE-ALPHA-2,3-SIALYLTRANSFERASE 4', 161715),
(217990, 'PTHR33920:SF7', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 161716),
(217991, 'PTHR31623:SF37', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', 161717),
(217992, 'PTHR13088:SF4', NULL, NULL, NULL, NULL, 'FAS APOPTOTIC INHIBITORY MOLECULE 1', 161718),
(217993, 'PTHR22883:SF296', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 161719),
(217994, 'PTHR45828:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161720),
(217995, 'PTHR22752:SF5', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 61', 161721),
(217996, 'PTHR30115:SF11', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN P-II HOMOLOG', 161722),
(217997, 'PTHR31676:SF147', NULL, NULL, NULL, NULL, 'BNAA06G36100D PROTEIN', 161723),
(217998, 'PTHR12487', NULL, NULL, NULL, NULL, 'TEASHIRT-RELATED', 161724),
(217999, 'PTHR33432:SF21', NULL, NULL, NULL, NULL, 'PROTEIN EMSY-LIKE 1', 161725),
(218000, 'PTHR48000:SF3', NULL, NULL, NULL, NULL, 'BNAC02G43910D PROTEIN', 161726),
(218001, 'PTHR31302:SF23', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE', 161727),
(218002, 'PTHR10218:SF73', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I) SUBUNIT ALPHA-2', 161728),
(218003, 'PTHR10772:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161729),
(218004, 'PTHR46401', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE WBBK-RELATED', 161730),
(218005, 'PTHR13234:SF53', NULL, NULL, NULL, NULL, 'GAMMA INTERFERON RESPONSIVE LYSOSOMAL THIOL (GILT) REDUCTASE FAMILY PROTEIN-RELATED', 161731),
(218006, 'PTHR24381:SF324', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 432', 161732),
(218007, 'PTHR10110:SF116', NULL, NULL, NULL, NULL, 'NA+/H+ EXCHANGER', 161733),
(218008, 'PTHR12411:SF569', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161734),
(218009, 'PTHR11042:SF154', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 161735),
(218010, 'PTHR33798', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN OXYGENASE', 161736),
(218011, 'PTHR24166:SF52', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 65', 161737),
(218012, 'PTHR31639:SF24', NULL, NULL, NULL, NULL, 'OSJNBB0115I09.7 PROTEIN', 161738),
(218013, 'PTHR32444:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161739),
(218014, 'PTHR31744:SF154', NULL, NULL, NULL, NULL, 'BNACNNG44060D PROTEIN', 161740),
(218015, 'PTHR42077', NULL, NULL, NULL, NULL, 'YALI0F30239P', 161741);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(218016, 'PTHR18959:SF46', NULL, NULL, NULL, NULL, 'CALPONIN-3', 161742),
(218017, 'PTHR16255:SF6', NULL, NULL, NULL, NULL, 'OS07G0694800 PROTEIN', 161743),
(218018, 'PTHR12480:SF22', NULL, NULL, NULL, NULL, 'JMJC DOMAIN', 161744),
(218019, 'PTHR10334:SF161', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', 161745),
(218020, 'PTHR11439:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161746),
(218021, 'PTHR31998:SF39', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGISED PROTON PUMP, PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', 161747),
(218022, 'PTHR23428:SF183', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE F-M', 161748),
(218023, 'PTHR21712:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161749),
(218024, 'PTHR10696:SF45', NULL, NULL, NULL, NULL, 'TAUD/TFDA-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 161750),
(218025, 'PTHR39579', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YHCB', 161751),
(218026, 'PTHR13844:SF1', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY D MEMBER 1', 161752),
(218027, 'PTHR31218:SF301', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 161753),
(218028, 'PTHR45618:SF22', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 5-LIKE', 161754),
(218029, 'PTHR48032:SF10', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MUSASHI HOMOLOG 2', 161755),
(218030, 'PTHR15454:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161756),
(218031, 'PTHR11362:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161757),
(218032, 'PTHR23073:SF119', NULL, NULL, NULL, NULL, '26S PROTEASE REGULATORY SUBUNIT S10B HOMOLOG B-LIKE', 161758),
(218033, 'PTHR21622:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161759),
(218034, 'PTHR18929:SF207', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 5-2-LIKE', 161760),
(218035, 'PTHR47958:SF93', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX19B', 161761),
(218036, 'PTHR33147:SF4', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 19', 161762),
(218037, 'PTHR10759:SF0', NULL, NULL, NULL, NULL, 'FI02850P-RELATED', 161763),
(218038, 'PTHR10253:SF8', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN', 161764),
(218039, 'PTHR31734:SF35', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA27', 161765),
(218040, 'PTHR46214:SF12', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 161766),
(218041, 'PTHR18945:SF579', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT THETA', 161767),
(218042, 'PTHR21660:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161768),
(218043, 'PTHR11679:SF75', NULL, NULL, NULL, NULL, 'BNACNNG57670D PROTEIN', 161769),
(218044, 'PTHR18952:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161770),
(218045, 'PTHR48081:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161771),
(218046, 'PTHR31872:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 179', 161772),
(218047, 'PTHR45626:SF31', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE (EUROFUNG)', 161773),
(218048, 'PTHR31205:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161774),
(218049, 'PTHR13980:SF23', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SPT16', 161775),
(218050, 'PTHR46259:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC-TYPE AND RNA-BINDING MOTIF-CONTAINING PROTEIN 1', 161776),
(218051, 'PTHR12307:SF34', NULL, NULL, NULL, NULL, 'GLC7-INTERACTING PROTEIN 2-RELATED', 161777),
(218052, 'PTHR11654:SF532', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.1', 161778),
(218053, 'PTHR11730:SF95', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1 MEMBER 3', 161779),
(218054, 'PTHR28052:SF1', NULL, NULL, NULL, NULL, 'UPF0545 PROTEIN C22ORF39', 161780),
(218055, 'PTHR47639', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 18', 161781),
(218056, 'PTHR11214:SF281', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 161782),
(218057, 'PTHR37187:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161783),
(218058, 'PTHR11073:SF24', NULL, NULL, NULL, NULL, 'CALRETICULIN-3', 161784),
(218059, 'PTHR18763:SF3', NULL, NULL, NULL, NULL, 'OS09G0477800 PROTEIN', 161785);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(218060, 'PTHR43356:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATE ACETYLTRANSFERASE', 161786),
(218061, 'PTHR11142:SF0', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE-LIKE 1', 161787),
(218062, 'PTHR35689:SF4', NULL, NULL, NULL, NULL, 'BNAA09G22990D PROTEIN', 161788),
(218063, 'PTHR14491:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN SOWAHA', 161789),
(218064, 'PTHR47001:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH121', 161790),
(218065, 'PTHR46609', NULL, NULL, NULL, NULL, 'EXONUCLEASE, PHAGE-TYPE/RECB, C-TERMINAL DOMAIN-CONTAINING PROTEIN', 161791),
(218066, 'PTHR33493:SF13', NULL, NULL, NULL, NULL, '18 KDA SEED MATURATION PROTEIN-LIKE', 161792),
(218067, 'PTHR32525', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE', 161793),
(218068, 'PTHR24070:SF245', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN R-RAS', 161794),
(218069, 'PTHR30570:SF4', NULL, NULL, NULL, NULL, 'PHOSPHATE-BINDING PROTEIN PSTS', 161795),
(218070, 'PTHR24399:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GFI-1B', 161796),
(218071, 'PTHR32133:SF312', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161797),
(218072, 'PTHR10218:SF291', NULL, NULL, NULL, NULL, 'OS06G0111400 PROTEIN', 161798),
(218073, 'PTHR24381:SF297', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 785', 161799),
(218074, 'PTHR47993:SF76', NULL, NULL, NULL, NULL, 'BNAC05G30880D PROTEIN', 161800),
(218075, 'PTHR15574:SF63', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 8', 161801),
(218076, 'PTHR33576', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 161802),
(218077, 'PTHR46265', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 7', 161803),
(218078, 'PTHR12341:SF29', NULL, NULL, NULL, NULL, 'EXONUCLEASE XRNC, PUTATIVE-RELATED', 161804),
(218079, 'PTHR45647:SF49', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 36-RELATED', 161805),
(218080, 'PTHR41294:SF1', NULL, NULL, NULL, NULL, 'CADMIUM-INDUCED PROTEIN CADI', 161806),
(218081, 'PTHR48047:SF30', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 161807),
(218082, 'PTHR21471:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG15004', 161808),
(218083, 'PTHR21642:SF6', NULL, NULL, NULL, NULL, 'CEREBRAL CAVERNOUS MALFORMATIONS PROTEIN 2 HOMOLOG', 161809),
(218084, 'PTHR11945:SF669', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161810),
(218085, 'PTHR11599:SF129', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-6', 161811),
(218086, 'PTHR46146:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN CCR4', 161812),
(218087, 'PTHR33599:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161813),
(218088, 'PTHR23113:SF254', NULL, NULL, NULL, NULL, 'CYCLIC GMP-BINDING PROTEIN D', 161814),
(218089, 'PTHR10497:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', 161815),
(218090, 'PTHR37239:SF3', NULL, NULL, NULL, NULL, 'STOMAGEN-RELATED', 161816),
(218091, 'PTHR10269:SF12', NULL, NULL, NULL, NULL, 'GLIAL CELL LINE-DERIVED NEUROTROPHIC FAMILY RECEPTOR-LIKE, ISOFORM E', 161817),
(218092, 'PTHR43796:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161818),
(218093, 'PTHR48026:SF7', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN R05D3.8-RELATED', 161819),
(218094, 'PTHR43768:SF25', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE E-RELATED', 161820),
(218095, 'PTHR11206:SF301', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 161821),
(218096, 'PTHR22904:SF524', NULL, NULL, NULL, NULL, 'BNAC08G41350D PROTEIN', 161822),
(218097, 'PTHR37383', NULL, NULL, NULL, NULL, 'OS01G0694200 PROTEIN', 161823),
(218098, 'PTHR11614:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161824),
(218099, 'PTHR24075:SF6', NULL, NULL, NULL, NULL, 'ACTIVATING SIGNAL COINTEGRATOR 1 COMPLEX SUBUNIT 3', 161825),
(218100, 'PTHR19357:SF2', NULL, NULL, NULL, NULL, 'TRIGGERING RECEPTOR EXPRESSED ON MYELOID CELLS 3', 161826),
(218101, 'PTHR43047:SF41', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION HISTIDINE-PROTEIN KINASE ARLS', 161827),
(218102, 'PTHR15036:SF40', NULL, NULL, NULL, NULL, 'CONTACTIN-ASSOCIATED PROTEIN-LIKE 4', 161828),
(218103, 'PTHR41878', NULL, NULL, NULL, NULL, 'LEXA REPRESSOR-RELATED', 161829);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(218104, 'PTHR23193:SF23', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP153', 161830),
(218105, 'PTHR31636:SF237', NULL, NULL, NULL, NULL, 'BNAA03G53550D PROTEIN', 161831),
(218106, 'PTHR31707:SF222', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 161832),
(218107, 'PTHR11206:SF372', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 161833),
(218108, 'PTHR33443:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161834),
(218109, 'PTHR11361:SF135', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN-RELATED', 161835),
(218110, 'PTHR11599:SF166', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 161836),
(218111, 'PTHR24281:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161837),
(218112, 'PTHR24230:SF1', NULL, NULL, NULL, NULL, 'KISS1 RECEPTOR B', 161838),
(218113, 'PTHR10903:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161839),
(218114, 'PTHR22937:SF140', NULL, NULL, NULL, NULL, 'BNAC03G69460D PROTEIN', 161840),
(218115, 'PTHR11984:SF115', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', 161841),
(218116, 'PTHR11461:SF39', NULL, NULL, NULL, NULL, 'THYROXINE-BINDING GLOBULIN', 161842),
(218117, 'PTHR10960:SF0', NULL, NULL, NULL, NULL, 'V(D)J RECOMBINATION-ACTIVATING PROTEIN 2', 161843),
(218118, 'PTHR12603:SF7', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 161844),
(218119, 'PTHR24224:SF15', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 161845),
(218120, 'PTHR42089', NULL, NULL, NULL, NULL, 'YALI0F09427P', 161846),
(218121, 'PTHR31906:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161847),
(218122, 'PTHR45676:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161848),
(218123, 'PTHR10430:SF36', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN', 161849),
(218124, 'PTHR46798:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RFI2', 161850),
(218125, 'PTHR33021:SF299', NULL, NULL, NULL, NULL, 'BNAA01G14220D PROTEIN', 161851),
(218126, 'PTHR46592', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL67', 161852),
(218127, 'PTHR27006:SF179', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 2', 161853),
(218128, 'PTHR10668:SF105', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', 161854),
(218129, 'PTHR10953:SF198', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME 7', 161855),
(218130, 'PTHR22942:SF64', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN DMC1-LIKE PROTEIN', 161856),
(218131, 'PTHR23164:SF25', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 161857),
(218132, 'PTHR10339:SF2', NULL, NULL, NULL, NULL, 'ECTO-ADP-RIBOSYLTRANSFERASE 5', 161858),
(218133, 'PTHR31912', NULL, NULL, NULL, NULL, 'IP13529P', 161859),
(218134, 'PTHR24221:SF536', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 27-LIKE', 161860),
(218135, 'PTHR11814:SF200', NULL, NULL, NULL, NULL, 'SI:CH211-117C9.2', 161861),
(218136, 'PTHR45873', NULL, NULL, NULL, NULL, 'DNA POLYMERASE ETA', 161862),
(218137, 'PTHR47928:SF109', NULL, NULL, NULL, NULL, 'BNAC05G11880D PROTEIN', 161863),
(218138, 'PTHR48002:SF58', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 161864),
(218139, 'PTHR11716:SF1', NULL, NULL, NULL, NULL, 'OTOCONIN-90', 161865),
(218140, 'PTHR12210:SF111', NULL, NULL, NULL, NULL, 'OS05G0513200 PROTEIN', 161866),
(218141, 'PTHR48013:SF1', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE PBS2', 161867),
(218142, 'PTHR24286:SF266', NULL, NULL, NULL, NULL, 'ABSCISIC ACID 8''-HYDROXYLASE 1', 161868),
(218143, 'PTHR24320:SF79', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 161869),
(218144, 'PTHR33595:SF4', NULL, NULL, NULL, NULL, 'EMB|CAB62340.1', 161870),
(218145, 'PTHR47016:SF4', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPT2, CHLOROPLASTIC-LIKE', 161871),
(218146, 'PTHR24394:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING 48', 161872),
(218147, 'PTHR22838:SF15', NULL, NULL, NULL, NULL, 'OS02G0294600 PROTEIN', 161873),
(218148, 'PTHR28607', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 161874),
(218149, 'PTHR40266:SF2', NULL, NULL, NULL, NULL, 'TOXIN HIGB-1', 161875);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(218150, 'PTHR31669:SF220', NULL, NULL, NULL, NULL, 'OSJNBA0022H21.20 PROTEIN', 161876),
(218151, 'PTHR22996:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LUL1-RELATED', 161877),
(218152, 'PTHR24376:SF38', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 445', 161878),
(218153, 'PTHR26454:SF56', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 161879),
(218154, 'PTHR35243:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161880),
(218155, 'PTHR36223', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 161881),
(218156, 'PTHR48010:SF36', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', 161882),
(218157, 'PTHR12802:SF44', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX SUBUNIT SWI3B', 161883),
(218158, 'PTHR11669:SF5', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C SUBUNIT 2', 161884),
(218159, 'PTHR24270:SF14', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR', 161885),
(218160, 'PTHR31024:SF6', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 161886),
(218161, 'PTHR26451:SF869', NULL, NULL, NULL, NULL, 'LOC791954 PROTEIN-RELATED', 161887),
(218162, 'PTHR23138:SF147', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP50', 161888),
(218163, 'PTHR33285:SF41', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 2', 161889),
(218164, 'PTHR48017:SF41', NULL, NULL, NULL, NULL, 'OS05G0364700 PROTEIN', 161890),
(218165, 'PTHR43725:SF8', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE', 161891),
(218166, 'PTHR15566:SF5', NULL, NULL, NULL, NULL, 'POM121-LIKE PROTEIN 1-LIKE-RELATED', 161892),
(218167, 'PTHR30314:SF12', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSZ HOMOLOG 1, CHLOROPLASTIC', 161893),
(218168, 'PTHR46916', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 205', 161894),
(218169, 'PTHR31525', NULL, NULL, NULL, NULL, 'HEME TRANSPORTER HRG1', 161895),
(218170, 'PTHR19957:SF332', NULL, NULL, NULL, NULL, 'T-SNARE-RELATED', 161896),
(218171, 'PTHR16105', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 161897),
(218172, 'PTHR31087:SF126', NULL, NULL, NULL, NULL, 'BNAC03G72170D PROTEIN', 161898),
(218173, 'PTHR46760', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 1', 161899),
(218174, 'PTHR12321:SF137', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 1', 161900),
(218175, 'PTHR46632:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINA-LIKE 7-RELATED', 161901),
(218176, 'PTHR33477:SF8', NULL, NULL, NULL, NULL, 'P-LOOP NTPASE DOMAIN-CONTAINING PROTEIN LPA1 HOMOLOG 2', 161902),
(218177, 'PTHR44259:SF19', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN KIB2-RELATED', 161903),
(218178, 'PTHR21096', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 161904),
(218179, 'PTHR21660:SF1', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 13', 161905),
(218180, 'PTHR11100:SF7', NULL, NULL, NULL, NULL, 'NEUREGULIN 1', 161906),
(218181, 'PTHR12533:SF11', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR OF ACTIVATED T-CELLS, CYTOPLASMIC 4', 161907),
(218182, 'PTHR11003:SF113', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 161908),
(218183, 'PTHR48021:SF54', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 6', 161909),
(218184, 'PTHR33566:SF6', NULL, NULL, NULL, NULL, 'PROTEIN DEFECTIVE IN MERISTEM SILENCING 3', 161910),
(218185, 'PTHR24349:SF400', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 4', 161911),
(218186, 'PTHR47955:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', 161912),
(218187, 'PTHR47268:SF7', NULL, NULL, NULL, NULL, 'ACYLPHOSPHATASE', 161913),
(218188, 'PTHR33147:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161914),
(218189, 'PTHR33928', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT3', 161915),
(218190, 'PTHR24031:SF357', NULL, NULL, NULL, NULL, 'HELICASE POLQ-LIKE', 161916),
(218191, 'PTHR33347:SF36', NULL, NULL, NULL, NULL, 'BNAA07G36970D PROTEIN', 161917),
(218192, 'PTHR45613:SF340', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161918),
(218193, 'PTHR10285:SF174', NULL, NULL, NULL, NULL, 'URIDINE KINASE', 161919),
(218194, 'PTHR47531', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 161920),
(218195, 'PTHR34666:SF3', NULL, NULL, NULL, NULL, 'OS04G0436000 PROTEIN', 161921);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(218196, 'PTHR16290:SF24', NULL, NULL, NULL, NULL, 'MRNA-DECAPPING ENZYME-LIKE PROTEIN ISOFORM X1', 161922),
(218197, 'PTHR48111:SF45', NULL, NULL, NULL, NULL, 'SENSORY TRANSDUCTION PROTEIN REGX3', 161923),
(218198, 'PTHR45621:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161924),
(218199, 'PTHR16223:SF232', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH84-LIKE', 161925),
(218200, 'PTHR11006:SF68', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE PRMT10', 161926),
(218201, 'PTHR21253', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 161927),
(218202, 'PTHR48023:SF7', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 10', 161928),
(218203, 'PTHR47448:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161929),
(218204, 'PTHR46175', NULL, NULL, NULL, NULL, 'BACTERIOOPSIN TRANSCRIPTIONAL ACTIVATOR', 161930),
(218205, 'PTHR32440:SF27', NULL, NULL, NULL, NULL, 'BNAA06G22550D PROTEIN', 161931),
(218206, 'PTHR12558:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161932),
(218207, 'PTHR38776:SF1', NULL, NULL, NULL, NULL, 'MLTA-INTERACTING PROTEIN-RELATED', 161933),
(218208, 'PTHR11908:SF89', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE-LIKE PROTEIN-RELATED', 161934),
(218209, 'PTHR33696:SF10', NULL, NULL, NULL, NULL, 'BNACNNG07700D PROTEIN', 161935),
(218210, 'PTHR12144:SF0', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR C/D', 161936),
(218211, 'PTHR24246:SF1', NULL, NULL, NULL, NULL, 'ADENOSINE RECEPTOR A1', 161937),
(218212, 'PTHR31920:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161938),
(218213, 'PTHR23196:SF23', NULL, NULL, NULL, NULL, 'OS01G0939300 PROTEIN', 161939),
(218214, 'PTHR31839:SF43', NULL, NULL, NULL, NULL, 'CBF2C', 161940),
(218215, 'PTHR11193:SF6', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', 161941),
(218216, 'PTHR35135', NULL, NULL, NULL, NULL, 'OS05G0517800 PROTEIN', 161942),
(218217, 'PTHR10791:SF50', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET15', 161943),
(218218, 'PTHR10505', NULL, NULL, NULL, NULL, 'CALCITONIN-RELATED', 161944),
(218219, 'PTHR31282:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', 161945),
(218220, 'PTHR33219:SF12', NULL, NULL, NULL, NULL, 'YLMG HOMOLOG PROTEIN 1-1, CHLOROPLASTIC', 161946),
(218221, 'PTHR38797:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161947),
(218222, 'PTHR10283:SF109', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 13 MEMBER 5', 161948),
(218223, 'PTHR34585', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 161949),
(218224, 'PTHR33420:SF4', NULL, NULL, NULL, NULL, 'FIMBRIAL-LIKE PROTEIN FIMF', 161950),
(218225, 'PTHR19432:SF64', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUT1', 161951),
(218226, 'PTHR43096:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161952),
(218227, 'PTHR10050:SF52', NULL, NULL, NULL, NULL, 'DOLICHYL-PHOSPHATE-MANNOSE--PROTEIN MANNOSYLTRANSFERASE 6', 161953),
(218228, 'PTHR26454:SF160', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 161954),
(218229, 'PTHR31639:SF93', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 161955),
(218230, 'PTHR48083:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 161956),
(218231, 'PTHR33547:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161957),
(218232, 'PTHR48022:SF74', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02010)-RELATED', 161958),
(218233, 'PTHR33312:SF29', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 4-RELATED', 161959),
(218234, 'PTHR31459:SF6', NULL, NULL, NULL, NULL, 'DESICCATION-RELATED PROTEIN LEA14-RELATED', 161960),
(218235, 'PTHR33876:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161961),
(218236, 'PTHR11926:SF1265', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 161962),
(218237, 'PTHR12346:SF1', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX PROTEIN SIN3B', 161963),
(218238, 'PTHR48018:SF158', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 161964),
(218239, 'PTHR35700:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 161965);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(218240, 'PTHR33175:SF5', NULL, NULL, NULL, NULL, 'INTEGRATION HOST FACTOR SUBUNIT BETA', 161966),
(218241, 'PTHR45786:SF18', NULL, NULL, NULL, NULL, 'BNACNNG36820D PROTEIN', 161967),
(218242, 'PTHR10315:SF103', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 161968),
(218243, 'PTHR45712:SF15', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN FLRT1', 161969),
(218244, 'PTHR39227', NULL, NULL, NULL, NULL, 'ADIPOGENESIS REGULATORY FACTOR', 161970),
(218245, 'PTHR35704:SF7', NULL, NULL, NULL, NULL, 'BNAA02G21870D PROTEIN', 161971),
(218246, 'PTHR12322:SF73', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR 3', 161972),
(218247, 'PTHR47976:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161973),
(218248, 'PTHR11732:SF386', NULL, NULL, NULL, NULL, 'OS01G0847700 PROTEIN', 161974),
(218249, 'PTHR31376:SF88', NULL, NULL, NULL, NULL, 'BNAC05G15350D PROTEIN', 161975),
(218250, 'PTHR31142:SF21', NULL, NULL, NULL, NULL, 'OS03G0120300 PROTEIN', 161976),
(218251, 'PTHR14205:SF15', NULL, NULL, NULL, NULL, 'EARP AND GARP COMPLEX-INTERACTING PROTEIN 1', 161977),
(218252, 'PTHR11125:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT5', 161978),
(218253, 'PTHR10199:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161979),
(218254, 'PTHR10666:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161980),
(218255, 'PTHR45624:SF18', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN D', 161981),
(218256, 'PTHR48044:SF7', NULL, NULL, NULL, NULL, 'ZEATIN O-XYLOSYLTRANSFERASE-LIKE', 161982),
(218257, 'PTHR47076:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161983),
(218258, 'PTHR31151:SF3', NULL, NULL, NULL, NULL, 'OS02G0195500 PROTEIN', 161984),
(218259, 'PTHR13384:SF20', NULL, NULL, NULL, NULL, 'BNACNNG56020D PROTEIN', 161985),
(218260, 'PTHR10775:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161986),
(218261, 'PTHR36113:SF5', NULL, NULL, NULL, NULL, 'FOSFOMYCIN RESISTANCE PROTEIN FOSX', 161987),
(218262, 'PTHR32467:SF151', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR BBM ISOFORM X1', 161988),
(218263, 'PTHR47271', NULL, NULL, NULL, NULL, 'ARGININE DEIMINASE', 161989),
(218264, 'PTHR11913:SF31', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 6', 161990),
(218265, 'PTHR12247:SF86', NULL, NULL, NULL, NULL, 'POLYHOMEOTIC-LIKE PROTEIN 2', 161991),
(218266, 'PTHR32343:SF58', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 9', 161992),
(218267, 'PTHR31509:SF117', NULL, NULL, NULL, NULL, 'CAA303718.1 PROTEIN', 161993),
(218268, 'PTHR37376:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 161994),
(218269, 'PTHR11176:SF20', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN ARP1 ISOFORM X1-RELATED', 161995),
(218270, 'PTHR43384', NULL, NULL, NULL, NULL, 'SEPTUM SITE-DETERMINING PROTEIN MIND HOMOLOG, CHLOROPLASTIC-RELATED', 161996),
(218271, 'PTHR24249:SF374', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 8', 161997),
(218272, 'PTHR22957:SF296', NULL, NULL, NULL, NULL, 'SMALL G PROTEIN SIGNALING MODULATOR 3', 161998),
(218273, 'PTHR23084:SF224', NULL, NULL, NULL, NULL, 'PROTEIN ACCUMULATION AND REPLICATION OFS PROTEIN', 161999),
(218274, 'PTHR31497', NULL, NULL, NULL, NULL, 'AUTOCRINE PROLIFERATION REPRESSOR PROTEIN A', 162000),
(218275, 'PTHR12995:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 39B', 162001),
(218276, 'PTHR10933:SF15', NULL, NULL, NULL, NULL, 'HCG1642624, ISOFORM CRA_A', 162002),
(218277, 'PTHR27006:SF168', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 162003),
(218278, 'PTHR12687:SF10', NULL, NULL, NULL, NULL, 'NUCLEOLAR COMPLEX PROTEIN 2 HOMOLOG', 162004),
(218279, 'PTHR45637:SF54', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIPK-LIKE', 162005),
(218280, 'PTHR10110:SF160', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 162006),
(218281, 'PTHR34618:SF1', NULL, NULL, NULL, NULL, 'SURFACE PROTEIN MAS1, PUTATIVE-RELATED', 162007),
(218282, 'PTHR26452:SF394', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 162008);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(218283, 'PTHR20855', NULL, NULL, NULL, NULL, 'ADIPOR/PROGESTIN RECEPTOR-RELATED', 162009),
(218284, 'PTHR22870:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162010),
(218285, 'PTHR10585:SF77', NULL, NULL, NULL, NULL, 'BNAA07G05020D PROTEIN', 162011),
(218286, 'PTHR31499:SF55', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', 162012),
(218287, 'PTHR26450:SF31', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 645', 162013),
(218288, 'PTHR12357:SF71', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 162014),
(218289, 'PTHR24102', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN', 162015),
(218290, 'PTHR19269:SF53', NULL, NULL, NULL, NULL, 'TROPOMYOSIN-2', 162016),
(218291, 'PTHR33110:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162017),
(218292, 'PTHR31713:SF59', NULL, NULL, NULL, NULL, 'BNAA09G04040D PROTEIN', 162018),
(218293, 'PTHR47141:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-F', 162019),
(218294, 'PTHR13906:SF12', NULL, NULL, NULL, NULL, 'PROTEIN-SERINE O-PALMITOLEOYLTRANSFERASE PORCUPINE', 162020),
(218295, 'PTHR24256:SF512', NULL, NULL, NULL, NULL, 'LP01850P-RELATED', 162021),
(218296, 'PTHR42790:SF3', NULL, NULL, NULL, NULL, 'KYNURENINE/ALPHA-AMINOADIPATE AMINOTRANSFERASE, MITOCHONDRIAL', 162022),
(218297, 'PTHR30213:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YHJD', 162023),
(218298, 'PTHR16140:SF0', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', 162024),
(218299, 'PTHR43259:SF1', NULL, NULL, NULL, NULL, 'SPT10P', 162025),
(218300, 'PTHR36437', NULL, NULL, NULL, NULL, 'GLYOXALASE/BLEOMYCIN RESISTANCE PROTEIN/DIOXYGENASE', 162026),
(218301, 'PTHR23428:SF260', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162027),
(218302, 'PTHR22954:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBR-FCE-2', 162028),
(218303, 'PTHR23051:SF9', NULL, NULL, NULL, NULL, 'THIAMINE-REPRESSIBLE MITOCHONDRIAL TRANSPORT PROTEIN THI74-LIKE ISOFORM X1', 162029),
(218304, 'PTHR32018:SF29', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-LIKE PROTEIN', 162030),
(218305, 'PTHR11257:SF9', NULL, NULL, NULL, NULL, 'CHEMOSENSORY PROTEIN 13', 162031),
(218306, 'PTHR24012:SF491', NULL, NULL, NULL, NULL, 'EG:132E8.1 PROTEIN-RELATED', 162032),
(218307, 'PTHR20861:SF1', NULL, NULL, NULL, NULL, 'HOMOSERINE KINASE', 162033),
(218308, 'PTHR31096:SF50', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR2', 162034),
(218309, 'PTHR10527:SF59', NULL, NULL, NULL, NULL, 'KARYOPHERIN BETA', 162035),
(218310, 'PTHR10110:SF165', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 8', 162036),
(218311, 'PTHR31446', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE/VANADIUM-DEPENDENT HALOPEROXIDASE-RELATED PROTEIN', 162037),
(218312, 'PTHR47719', NULL, NULL, NULL, NULL, 'SKP1-INTERACTING PARTNER 15', 162038),
(218313, 'PTHR45836:SF19', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN COMPLEX ACID LABILE SUBUNIT', 162039),
(218314, 'PTHR13844:SF41', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX COMPONENT SNF12 HOMOLOG ISOFORM X1', 162040),
(218315, 'PTHR10655', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE-RELATED', 162041),
(218316, 'PTHR43128:SF16', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', 162042),
(218317, 'PTHR10641:SF1075', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB63', 162043),
(218318, 'PTHR12126:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162044),
(218319, 'PTHR11620:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162045),
(218320, 'PTHR23050:SF337', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 162046),
(218321, 'PTHR11746:SF98', NULL, NULL, NULL, NULL, 'ACETYLSEROTONIN O-METHYLTRANSFERASE-RELATED', 162047),
(218322, 'PTHR22975:SF23', NULL, NULL, NULL, NULL, 'GB|AAD55616.1-RELATED', 162048),
(218323, 'PTHR21266:SF52', NULL, NULL, NULL, NULL, 'CHLOROPHYLLIDE A OXYGENASE, CHLOROPLASTIC-LIKE', 162049),
(218324, 'PTHR21495:SF208', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 162050),
(218325, 'PTHR32448:SF37', NULL, NULL, NULL, NULL, 'OS06G0549900 PROTEIN', 162051),
(218326, 'PTHR15045:SF1', NULL, NULL, NULL, NULL, 'FUCOSE-1-PHOSPHATE GUANYLYLTRANSFERASE', 162052);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(218327, 'PTHR10263', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', 162053),
(218328, 'PTHR14269:SF47', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--SERINE O-PHOSPHATIDYLTRANSFERASE', 162054),
(218329, 'PTHR11699:SF209', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 1 MEMBER A3', 162055),
(218330, 'PTHR30308:SF2', NULL, NULL, NULL, NULL, 'SSRA-BINDING PROTEIN', 162056),
(218331, 'PTHR22802:SF397', NULL, NULL, NULL, NULL, 'ASIALOGLYCOPROTEIN RECEPTOR 2', 162057),
(218332, 'PTHR21213:SF5', NULL, NULL, NULL, NULL, 'OS06G0708600 PROTEIN', 162058),
(218333, 'PTHR11537:SF39', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY S MEMBER 3', 162059),
(218334, 'PTHR11240:SF46', NULL, NULL, NULL, NULL, 'INTRACELLULAR RIBONUCLEASE LX-LIKE', 162060),
(218335, 'PTHR10134:SF33', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX IRON-SULFUR SUBUNIT', 162061),
(218336, 'PTHR42894:SF1', NULL, NULL, NULL, NULL, 'N-(5''-PHOSPHORIBOSYL)ANTHRANILATE ISOMERASE', 162062),
(218337, 'PTHR32010', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II STABILITY/ASSEMBLY FACTOR HCF136, CHLOROPLASTIC', 162063),
(218338, 'PTHR11904:SF24', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PHOSPHORYLASE', 162064),
(218339, 'PTHR31915:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162065),
(218340, 'PTHR31642:SF155', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 162066),
(218341, 'PTHR11360:SF274', NULL, NULL, NULL, NULL, 'TRANSPORTER MCH2-RELATED', 162067),
(218342, 'PTHR12294:SF13', NULL, NULL, NULL, NULL, 'CALCIUM UPTAKE PROTEIN 1 HOMOLOG, MITOCHONDRIAL-LIKE PROTEIN', 162068),
(218343, 'PTHR31471:SF64', NULL, NULL, NULL, NULL, 'BNAA02G14240D PROTEIN', 162069),
(218344, 'PTHR33648:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162070),
(218345, 'PTHR46892', NULL, NULL, NULL, NULL, 'VISUAL SYSTEM HOMEOBOX 2', 162071),
(218346, 'PTHR33021:SF333', NULL, NULL, NULL, NULL, 'BNAA09G38360D PROTEIN', 162072),
(218347, 'PTHR23349:SF102', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 24', 162073),
(218348, 'PTHR32080:SF39', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 3', 162074),
(218349, 'PTHR12374:SF63', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER 2-BETA', 162075),
(218350, 'PTHR26379:SF360', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 162076),
(218351, 'PTHR42918:SF6', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR P--(R)-BETA-LYSINE LIGASE', 162077),
(218352, 'PTHR24353:SF37', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE CATALYTIC SUBUNIT PRKX', 162078),
(218353, 'PTHR31769:SF63', NULL, NULL, NULL, NULL, 'AEROBIC COPROPORPHYRINOGEN-III OXIDASE (DUF1218)', 162079),
(218354, 'PTHR21236:SF6', NULL, NULL, NULL, NULL, 'PROTEIN YIPF5', 162080),
(218355, 'PTHR34145:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162081),
(218356, 'PTHR23158:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162082),
(218357, 'PTHR12181:SF10', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE LPIN1', 162083),
(218358, 'PTHR43112:SF10', NULL, NULL, NULL, NULL, 'FERREDOXIN C 2, CHLOROPLASTIC', 162084),
(218359, 'PTHR31503:SF64', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 1C', 162085),
(218360, 'PTHR43302:SF5', NULL, NULL, NULL, NULL, 'TRANSPORTER ARSB-RELATED', 162086),
(218361, 'PTHR21349:SF5', NULL, NULL, NULL, NULL, 'BNAA08G12830D PROTEIN', 162087),
(218362, 'PTHR13587:SF7', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 3', 162088),
(218363, 'PTHR13018:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATE METABOLISM PROTEIN 7', 162089),
(218364, 'PTHR33384:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162090),
(218365, 'PTHR13962:SF29', NULL, NULL, NULL, NULL, 'CHECKPOINT SUPPRESSOR 1', 162091),
(218366, 'PTHR24253:SF109', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE PROTEIN', 162092),
(218367, 'PTHR46880:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 862', 162093),
(218368, 'PTHR30386:SF20', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 162094),
(218369, 'PTHR11954:SF17', NULL, NULL, NULL, NULL, 'MIF-LIKE PROTEIN MIF-3', 162095);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(218370, 'PTHR30252', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PEPTIDE TRANSPORTER', 162096),
(218371, 'PTHR10407:SF20', NULL, NULL, NULL, NULL, 'TALIN 2', 162097),
(218372, 'PTHR45772:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 162098),
(218373, 'PTHR34458:SF5', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', 162099),
(218374, 'PTHR24381:SF350', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 688', 162100),
(218375, 'PTHR22989:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG06405', 162101),
(218376, 'PTHR11442:SF90', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT DELTA', 162102),
(218377, 'PTHR21668:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A, ISOFORM A', 162103),
(218378, 'PTHR38042', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III SYNTHASE, CHLOROPLASTIC', 162104),
(218379, 'PTHR31413:SF5', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN MODD', 162105),
(218380, 'PTHR10578:SF70', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO3', 162106),
(218381, 'PTHR46286:SF10', NULL, NULL, NULL, NULL, 'BNAA08G13150D PROTEIN', 162107),
(218382, 'PTHR11685:SF226', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 162108),
(218383, 'PTHR17615:SF7', NULL, NULL, NULL, NULL, 'PROTEIN FAM189B', 162109),
(218384, 'PTHR20889:SF24', NULL, NULL, NULL, NULL, 'BNAA09G44850D PROTEIN', 162110),
(218385, 'PTHR33021:SF214', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN', 162111),
(218386, 'PTHR22762:SF149', NULL, NULL, NULL, NULL, 'BNAA01G23630D PROTEIN', 162112),
(218387, 'PTHR10315:SF84', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINAT4', 162113),
(218388, 'PTHR11915:SF439', NULL, NULL, NULL, NULL, 'UTROPHIN', 162114),
(218389, 'PTHR47014:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY S MEMBER 1', 162115),
(218390, 'PTHR11595:SF65', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA', 162116),
(218391, 'PTHR46206:SF6', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 162117),
(218392, 'PTHR11639:SF123', NULL, NULL, NULL, NULL, 'OS04G0601500 PROTEIN', 162118),
(218393, 'PTHR31549:SF149', NULL, NULL, NULL, NULL, 'OS08G0120900 PROTEIN', 162119),
(218394, 'PTHR44094:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', 162120),
(218395, 'PTHR22298:SF103', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 22', 162121),
(218396, 'PTHR12651', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 9', 162122),
(218397, 'PTHR43337:SF11', NULL, NULL, NULL, NULL, 'GUANINE/HYPOXANTHINE PERMEASE PBUG', 162123),
(218398, 'PTHR23500:SF460', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 11', 162124),
(218399, 'PTHR31145:SF5', NULL, NULL, NULL, NULL, 'DUF907 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G06100)', 162125),
(218400, 'PTHR43243:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162126),
(218401, 'PTHR23155:SF1107', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RGA5', 162127),
(218402, 'PTHR46347:SF2', NULL, NULL, NULL, NULL, 'OS02G0132300 PROTEIN', 162128),
(218403, 'PTHR15955:SF8', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN 2B', 162129),
(218404, 'PTHR13298', NULL, NULL, NULL, NULL, 'CYTOSOLIC REGULATOR PIANISSIMO', 162130),
(218405, 'PTHR24221:SF288', NULL, NULL, NULL, NULL, 'ABC A-PHEROMONE EFFLUX PUMP ATRD', 162131),
(218406, 'PTHR24057:SF42', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE ETA', 162132),
(218407, 'PTHR15600', NULL, NULL, NULL, NULL, 'SACSIN', 162133),
(218408, 'PTHR45961:SF1', NULL, NULL, NULL, NULL, 'SI:CH1073-184J22.2', 162134),
(218409, 'PTHR11926:SF1356', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 74C1', 162135),
(218410, 'PTHR34953:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE RELATED PROTEIN', 162136),
(218411, 'PTHR23081:SF31', NULL, NULL, NULL, NULL, 'BNAA05G20480D PROTEIN', 162137),
(218412, 'PTHR31948:SF74', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 2-LIKE', 162138),
(218413, 'PTHR16399:SF21', NULL, NULL, NULL, NULL, 'GASDERMIN-C', 162139),
(218414, 'PTHR15948', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 89-RELATED', 162140);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(218415, 'PTHR14562:SF3', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT D', 162141),
(218416, 'PTHR11416', NULL, NULL, NULL, NULL, 'PRO-OPIOMELANOCORTIN', 162142),
(218417, 'PTHR15298:SF19', NULL, NULL, NULL, NULL, 'SI:CH73-106K19.2', 162143),
(218418, 'PTHR22948:SF59', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 7-LIKE PROTEIN', 162144),
(218419, 'PTHR24027:SF267', NULL, NULL, NULL, NULL, 'CADHERIN-3', 162145),
(218420, 'PTHR11815:SF17', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [GDP-FORMING] SUBUNIT BETA, MITOCHONDRIAL', 162146),
(218421, 'PTHR32009:SF92', NULL, NULL, NULL, NULL, 'BNAC08G45140D PROTEIN', 162147),
(218422, 'PTHR26379:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162148),
(218423, 'PTHR10165:SF183', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 2', 162149),
(218424, 'PTHR43719:SF30', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM RESPONSE REGULATOR', 162150),
(218425, 'PTHR31992:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162151),
(218426, 'PTHR12974', NULL, NULL, NULL, NULL, 'PRION-LIKE- Q/N-RICH -DOMAIN-BEARING PROTEIN PROTEIN 44', 162152),
(218427, 'PTHR23431', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC5 FAMILY MEMBER', 162153),
(218428, 'PTHR31157:SF26', NULL, NULL, NULL, NULL, 'HYPOTHETICAL EXPORTED PROTEIN', 162154),
(218429, 'PTHR11135:SF7', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 3', 162155),
(218430, 'PTHR10342:SF68', NULL, NULL, NULL, NULL, 'ARYLSULFATASE I', 162156),
(218431, 'PTHR24399:SF35', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 131', 162157),
(218432, 'PTHR48048:SF50', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 162158),
(218433, 'PTHR11256:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162159),
(218434, 'PTHR33722:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162160),
(218435, 'PTHR24106:SF268', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162161),
(218436, 'PTHR46610:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162162),
(218437, 'PTHR11260:SF543', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162163),
(218438, 'PTHR22957:SF27', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 13', 162164),
(218439, 'PTHR15871:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162165),
(218440, 'PTHR38588', NULL, NULL, NULL, NULL, 'BLL0334 PROTEIN', 162166),
(218441, 'PTHR11636:SF84', NULL, NULL, NULL, NULL, 'PITUITARY-SPECIFIC POSITIVE TRANSCRIPTION FACTOR 1', 162167),
(218442, 'PTHR23115:SF249', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', 162168),
(218443, 'PTHR47928:SF131', NULL, NULL, NULL, NULL, 'OS05G0307200 PROTEIN', 162169),
(218444, 'PTHR33994:SF27', NULL, NULL, NULL, NULL, 'OS01G0771700 PROTEIN', 162170),
(218445, 'PTHR43880:SF49', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE SUPERFAMILY, ZINC-TYPE, GROES-LIKE, NAD(P)-BINDING DOMAIN PROTEIN-RELATED', 162171),
(218446, 'PTHR43033:SF1', NULL, NULL, NULL, NULL, 'TRNA(ILE)-LYSIDINE SYNTHASE-RELATED', 162172),
(218447, 'PTHR13007:SF20', NULL, NULL, NULL, NULL, 'SPLICING FACTOR PRP18 FAMILY PROTEIN', 162173),
(218448, 'PTHR14154:SF95', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', 162174),
(218449, 'PTHR18966:SF399', NULL, NULL, NULL, NULL, 'IP13856P', 162175),
(218450, 'PTHR11206:SF313', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 25', 162176),
(218451, 'PTHR45708:SF19', NULL, NULL, NULL, NULL, 'ACIDIC ENDOCHITINASE', 162177),
(218452, 'PTHR46288:SF27', NULL, NULL, NULL, NULL, 'BNACNNG53840D PROTEIN', 162178),
(218453, 'PTHR24241:SF143', NULL, NULL, NULL, NULL, 'PYROGLUTAMYLATED RFAMIDE PEPTIDE RECEPTOR A', 162179),
(218454, 'PTHR11945:SF617', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 1', 162180),
(218455, 'PTHR12242:SF6', NULL, NULL, NULL, NULL, 'PROTEIN ROLLING PROTEIN', 162181),
(218456, 'PTHR32176:SF66', NULL, NULL, NULL, NULL, 'PATATIN', 162182),
(218457, 'PTHR22968:SF26', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D3', 162183),
(218458, 'PTHR10994:SF158', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 162184);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(218459, 'PTHR33076:SF66', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 3', 162185),
(218460, 'PTHR11909:SF110', NULL, NULL, NULL, NULL, 'PROTEIN CBG02430', 162186),
(218461, 'PTHR10257:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 56 KDA REGULATORY SUBUNIT GAMMA ISOFORM', 162187),
(218462, 'PTHR39180', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 162188),
(218463, 'PTHR21231:SF10', NULL, NULL, NULL, NULL, 'GPN-LOOP GTPASE 3', 162189),
(218464, 'PTHR22069:SF0', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD PROTEIN 9 HOMOLOG', 162190),
(218465, 'PTHR18945:SF426', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-TYPE ACR-7', 162191),
(218466, 'PTHR32015:SF1', NULL, NULL, NULL, NULL, 'FASTING INDUCED LIPASE', 162192),
(218467, 'PTHR16223:SF136', NULL, NULL, NULL, NULL, 'OS05G0228400 PROTEIN', 162193),
(218468, 'PTHR10799:SF879', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY A MEMBER 5', 162194),
(218469, 'PTHR43373', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT', 162195),
(218470, 'PTHR45650:SF12', NULL, NULL, NULL, NULL, 'OS12G0274200 PROTEIN', 162196),
(218471, 'PTHR14845:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 121', 162197),
(218472, 'PTHR19317:SF53', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN G2', 162198),
(218473, 'PTHR13025', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN-CONTAINING PROTEIN D', 162199),
(218474, 'PTHR43314:SF22', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE, EMBRYO ISOZYME, CHLOROPLASTIC', 162200),
(218475, 'PTHR31205:SF40', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN', 162201),
(218476, 'PTHR23235:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162202),
(218477, 'PTHR10797:SF62', NULL, NULL, NULL, NULL, 'OS08G0440300 PROTEIN', 162203),
(218478, 'PTHR22988:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MRCK GAMMA', 162204),
(218479, 'PTHR16442:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 17', 162205),
(218480, 'PTHR24340:SF38', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-3.1', 162206),
(218481, 'PTHR47750:SF3', NULL, NULL, NULL, NULL, 'BNAA09G02870D PROTEIN', 162207),
(218482, 'PTHR31589:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162208),
(218483, 'PTHR47446:SF4', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 162209),
(218484, 'PTHR45786:SF46', NULL, NULL, NULL, NULL, 'BNAA06G19270D PROTEIN', 162210),
(218485, 'PTHR11306:SF50', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL/PHOSPHATIDYLINOSITOL TRANSFER PROTEIN DDB_G0282179-RELATED', 162211),
(218486, 'PTHR34959:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR-LIKE PROTEIN, PUTATIVE-RELATED', 162212),
(218487, 'PTHR28657:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162213),
(218488, 'PTHR31692:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162214),
(218489, 'PTHR21174:SF0', NULL, NULL, NULL, NULL, 'AGAP007594-PA', 162215),
(218490, 'PTHR48011:SF34', NULL, NULL, NULL, NULL, 'BNAC04G55540D PROTEIN', 162216),
(218491, 'PTHR15241:SF326', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN 70 KDA ISOFORM X1', 162217),
(218492, 'PTHR31568:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162218),
(218493, 'PTHR14002:SF21', NULL, NULL, NULL, NULL, 'SI:CH211-103F14.3-RELATED', 162219),
(218494, 'PTHR48102:SF6', NULL, NULL, NULL, NULL, 'CLP PROTEASE REGULATORY SUBUNIT CLPX1, MITOCHONDRIAL', 162220),
(218495, 'PTHR48006:SF3', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK15', 162221),
(218496, 'PTHR23282:SF86', NULL, NULL, NULL, NULL, 'MAM AND LDL-RECEPTOR CLASS A DOMAIN-CONTAINING PROTEIN 1', 162222),
(218497, 'PTHR46456', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG 2', 162223),
(218498, 'PTHR10314:SF182', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE-LIKE PROTEIN', 162224),
(218499, 'PTHR46131:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162225),
(218500, 'PTHR24248:SF176', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR 2', 162226),
(218501, 'PTHR31371:SF11', NULL, NULL, NULL, NULL, 'DUF3475 DOMAIN PROTEIN', 162227);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(218502, 'PTHR44307:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE METHYLTRANSFERASE', 162228),
(218503, 'PTHR47990:SF123', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE', 162229),
(218504, 'PTHR47021', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD6-RELATED', 162230),
(218505, 'PTHR33052:SF124', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN ABC TRANSPORTER FAMILY PROTEIN', 162231),
(218506, 'PTHR10168:SF212', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S1-LIKE', 162232),
(218507, 'PTHR14326:SF39', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) PROTEIN FAMILY', 162233),
(218508, 'PTHR42968:SF36', NULL, NULL, NULL, NULL, 'WD40 REPEAT', 162234),
(218509, 'PTHR47389', NULL, NULL, NULL, NULL, 'OS09G0436400 PROTEIN', 162235),
(218510, 'PTHR27001:SF874', NULL, NULL, NULL, NULL, 'OS07G0618400 PROTEIN', 162236),
(218511, 'PTHR23064:SF47', NULL, NULL, NULL, NULL, 'TROPONIN C, SLOW SKELETAL AND CARDIAC MUSCLES', 162237),
(218512, 'PTHR11058:SF12', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT 3, CHLOROPLASTIC', 162238),
(218513, 'PTHR19957:SF231', NULL, NULL, NULL, NULL, 'SYNTAXIN-1A HOMOLOG', 162239),
(218514, 'PTHR11926:SF1392', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 162240),
(218515, 'PTHR24418:SF251', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 162241),
(218516, 'PTHR31422:SF1', NULL, NULL, NULL, NULL, 'OS08G0442350 PROTEIN', 162242),
(218517, 'PTHR38049:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162243),
(218518, 'PTHR34191:SF21', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 2-LIKE', 162244),
(218519, 'PTHR42776:SF3', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE FOUR (IV) FAMILY', 162245),
(218520, 'PTHR27005:SF385', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 22', 162246),
(218521, 'PTHR24349:SF303', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 22', 162247),
(218522, 'PTHR31790:SF159', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 162248),
(218523, 'PTHR31147:SF34', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 9', 162249),
(218524, 'PTHR37448', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 162250),
(218525, 'PTHR10465:SF2', NULL, NULL, NULL, NULL, 'MITOFUSIN-1', 162251),
(218526, 'PTHR12341:SF39', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE', 162252),
(218527, 'PTHR46173', NULL, NULL, NULL, NULL, 'CCA TRNA NUCLEOTIDYLTRANSFERASE 1, MITOCHONDRIAL', 162253),
(218528, 'PTHR45969:SF33', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN-RELATED', 162254),
(218529, 'PTHR13906:SF20', NULL, NULL, NULL, NULL, 'MEMBRANE BOUND O-ACYL TRANSFERASE, MBOAT-RELATED', 162255),
(218530, 'PTHR37755:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TIC 56, CHLOROPLASTIC', 162256),
(218531, 'PTHR13691:SF50', NULL, NULL, NULL, NULL, 'BNAA07G02120D PROTEIN', 162257),
(218532, 'PTHR30272:SF13', NULL, NULL, NULL, NULL, 'BNAA09G42770D PROTEIN', 162258),
(218533, 'PTHR48019:SF6', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN AGL24-LIKE ISOFORM X1', 162259),
(218534, 'PTHR11850:SF247', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 9', 162260),
(218535, 'PTHR36766:SF17', NULL, NULL, NULL, NULL, 'BNAA09G42690D PROTEIN', 162261),
(218536, 'PTHR30011:SF30', NULL, NULL, NULL, NULL, 'XENOBIOTIC COMPOUND MONOOXYGENASE, DSZA FAMILY (AFU_ORTHOLOGUE AFUA_6G01920)', 162262),
(218537, 'PTHR12027:SF75', NULL, NULL, NULL, NULL, 'PROTEIN WNT-9A', 162263),
(218538, 'PTHR12308:SF20', NULL, NULL, NULL, NULL, 'ANOCTAMIN-2', 162264),
(218539, 'PTHR11931:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE', 162265),
(218540, 'PTHR16154', NULL, NULL, NULL, NULL, 'NEURABIN', 162266),
(218541, 'PTHR12673:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162267),
(218542, 'PTHR33181:SF18', NULL, NULL, NULL, NULL, 'OSJNBA0041A02.21-LIKE PROTEIN', 162268),
(218543, 'PTHR31987:SF12', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10910)-RELATED', 162269),
(218544, 'PTHR33103:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162270),
(218545, 'PTHR33780:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 162271);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(218546, 'PTHR10394:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', 162272),
(218547, 'PTHR43272:SF67', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', 162273),
(218548, 'PTHR45642:SF109', NULL, NULL, NULL, NULL, 'GDSL-MOTIF LIPASE/HYDROLASE-LIKE', 162274),
(218549, 'PTHR30055:SF201', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 162275),
(218550, 'PTHR34709:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162276),
(218551, 'PTHR31004:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 79', 162277),
(218552, 'PTHR11533:SF271', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 162278),
(218553, 'PTHR24064:SF573', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 162279),
(218554, 'PTHR10694:SF124', NULL, NULL, NULL, NULL, 'BNAA08G05240D PROTEIN', 162280),
(218555, 'PTHR10314:SF165', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', 162281),
(218556, 'PTHR11581:SF25', NULL, NULL, NULL, NULL, 'BNAANNG13180D PROTEIN', 162282),
(218557, 'PTHR47583:SF1', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 162283),
(218558, 'PTHR11527:SF296', NULL, NULL, NULL, NULL, '26.5 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', 162284),
(218559, 'PTHR10219:SF74', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN-RELATED', 162285),
(218560, 'PTHR31062:SF243', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 5-RELATED', 162286),
(218561, 'PTHR34599:SF1', NULL, NULL, NULL, NULL, 'PEROXIDASE-RELATED', 162287),
(218562, 'PTHR15615:SF105', NULL, NULL, NULL, NULL, 'CYCLIN', 162288),
(218563, 'PTHR33095:SF55', NULL, NULL, NULL, NULL, 'BNACNNG71370D PROTEIN', 162289),
(218564, 'PTHR45717:SF14', NULL, NULL, NULL, NULL, 'OSJNBA0041M06.2 PROTEIN', 162290),
(218565, 'PTHR22835:SF619', NULL, NULL, NULL, NULL, 'ESTER HYDROLASE, PUTATIVE-RELATED', 162291),
(218566, 'PTHR45878:SF4', NULL, NULL, NULL, NULL, 'OS01G0859100 PROTEIN', 162292),
(218567, 'PTHR47423:SF3', NULL, NULL, NULL, NULL, 'G-PATCH DOMAIN, R3H DOMAIN PROTEIN-RELATED', 162293),
(218568, 'PTHR47034', NULL, NULL, NULL, NULL, 'ZINC FINGER TRANSCRIPTION FACTOR TRPS1', 162294),
(218569, 'PTHR16509:SF1', NULL, NULL, NULL, NULL, 'MANGANESE-DEPENDENT ADP-RIBOSE/CDP-ALCOHOL DIPHOSPHATASE', 162295),
(218570, 'PTHR47993:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162296),
(218571, 'PTHR11467:SF120', NULL, NULL, NULL, NULL, 'OS03G0711600 PROTEIN', 162297),
(218572, 'PTHR12596:SF8', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 17', 162298),
(218573, 'PTHR31311:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162299),
(218574, 'PTHR24020:SF32', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE VI, ALPHA 3', 162300),
(218575, 'PTHR32278:SF98', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10-LIKE', 162301),
(218576, 'PTHR46039:SF1', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE 4-RELATED', 162302),
(218577, 'PTHR47999:SF42', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 308-LIKE', 162303),
(218578, 'PTHR11626:SF5', NULL, NULL, NULL, NULL, 'SQUALENE SYNTHASE-LIKE ISOFORM X1', 162304),
(218579, 'PTHR34269:SF10', NULL, NULL, NULL, NULL, 'BNAA02G18980D PROTEIN', 162305),
(218580, 'PTHR28110', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 162306),
(218581, 'PTHR21162:SF0', NULL, NULL, NULL, NULL, 'P53 AND DNA DAMAGE-REGULATED PROTEIN 1', 162307),
(218582, 'PTHR24559:SF379', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162308),
(218583, 'PTHR11017:SF304', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)-RELATED', 162309),
(218584, 'PTHR22931:SF40', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE', 162310),
(218585, 'PTHR35705:SF1', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING TAIL-ANCHORED PROTEIN 1', 162311),
(218586, 'PTHR11875:SF133', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 14 ISOFORM X1', 162312),
(218587, 'PTHR10562:SF96', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', 162313),
(218588, 'PTHR46274:SF13', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE, CATALYTIC DOMAIN CONTAINING PROTEIN, EXPRESSED', 162314),
(218589, 'PTHR23024:SF511', NULL, NULL, NULL, NULL, 'BNAC09G54450D PROTEIN', 162315);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(218590, 'PTHR31116:SF7', NULL, NULL, NULL, NULL, 'OS09G0420300 PROTEIN', 162316),
(218591, 'PTHR45648:SF53', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 162317),
(218592, 'PTHR11886:SF92', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN LC6, FLAGELLAR OUTER ARM', 162318),
(218593, 'PTHR12967:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SHQ1 HOMOLOG', 162319),
(218594, 'PTHR12526:SF583', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, GROUP 1/2 FAMILY PROTEIN', 162320),
(218595, 'PTHR43782:SF4', NULL, NULL, NULL, NULL, 'ARGINASE-2, MITOCHONDRIAL', 162321),
(218596, 'PTHR11215:SF1', NULL, NULL, NULL, NULL, 'UPF0160 PROTEIN MYG1, MITOCHONDRIAL', 162322),
(218597, 'PTHR10589:SF43', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 162323),
(218598, 'PTHR34545:SF10', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER', 162324),
(218599, 'PTHR31225:SF73', NULL, NULL, NULL, NULL, '(3S)-LINALOOL/(E)-NEROLIDOL/(E,E)-GERANYL LINALOOL SYNTHASE', 162325),
(218600, 'PTHR21206:SF0', NULL, NULL, NULL, NULL, 'DNA REPLICATION COMPLEX GINS PROTEIN SLD5', 162326),
(218601, 'PTHR10015:SF378', NULL, NULL, NULL, NULL, 'BNAANNG15230D PROTEIN', 162327),
(218602, 'PTHR33074:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162328),
(218603, 'PTHR11599:SF171', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-2-A', 162329),
(218604, 'PTHR46320:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG16011', 162330),
(218605, 'PTHR32552:SF85', NULL, NULL, NULL, NULL, 'BLL7968 PROTEIN', 162331),
(218606, 'PTHR30354:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PERMEASE YGBN', 162332),
(218607, 'PTHR11046:SF18', NULL, NULL, NULL, NULL, 'OLIGORIBONUCLEASE-LIKE', 162333),
(218608, 'PTHR43314:SF19', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE, LEAF ISOZYME 2, CHLOROPLASTIC-RELATED', 162334),
(218609, 'PTHR11829:SF310', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN I2', 162335),
(218610, 'PTHR33076:SF118', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 162336),
(218611, 'PTHR26451:SF233', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4E1', 162337),
(218612, 'PTHR11351:SF26', NULL, NULL, NULL, NULL, 'AGAP003050-PA', 162338),
(218613, 'PTHR31384:SF125', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 162339),
(218614, 'PTHR31731:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162340),
(218615, 'PTHR31225:SF124', NULL, NULL, NULL, NULL, 'GAMMA-TERPINENE SYNTHASE, CHLOROPLASTIC-LIKE', 162341),
(218616, 'PTHR32227:SF384', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE PROTEIN', 162342),
(218617, 'PTHR34671:SF19', NULL, NULL, NULL, NULL, 'EMBRYONIC ABUNDANT PROTEIN 1', 162343),
(218618, 'PTHR31008:SF31', NULL, NULL, NULL, NULL, 'COP-1 INTERACTING PROTEIN', 162344),
(218619, 'PTHR24164', NULL, NULL, NULL, NULL, 'RELA-ASSOCIATED INHIBITOR', 162345),
(218620, 'PTHR48002:SF107', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 162346),
(218621, 'PTHR47116:SF5', NULL, NULL, NULL, NULL, 'PHLOEM FILAMENT PROTEIN', 162347),
(218622, 'PTHR12447:SF20', NULL, NULL, NULL, NULL, 'GPCR-CHAPERONE PROTEIN', 162348),
(218623, 'PTHR33047:SF28', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 162349),
(218624, 'PTHR23157', NULL, NULL, NULL, NULL, 'GRIP AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', 162350),
(218625, 'PTHR42705:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NON-HOMOLOGOUS END JOINING PROTEIN LIGD', 162351),
(218626, 'PTHR18945:SF456', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 162352),
(218627, 'PTHR11629:SF58', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 162353),
(218628, 'PTHR10009:SF19', NULL, NULL, NULL, NULL, 'RE55542P', 162354),
(218629, 'PTHR11655:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162355),
(218630, 'PTHR11252:SF14', NULL, NULL, NULL, NULL, 'BNAA08G12540D PROTEIN', 162356),
(218631, 'PTHR45496:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162357),
(218632, 'PTHR32219:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162358),
(218633, 'PTHR31744:SF54', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 15', 162359);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(218634, 'PTHR24247:SF179', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 4', 162360),
(218635, 'PTHR32241', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 6', 162361),
(218636, 'PTHR20855:SF105', NULL, NULL, NULL, NULL, 'HAEMOLYSIN-III RELATED FAMILY PROTEIN, EXPRESSED', 162362),
(218637, 'PTHR16181:SF12', NULL, NULL, NULL, NULL, 'PROTEIN FAM83E', 162363),
(218638, 'PTHR13412', NULL, NULL, NULL, NULL, 'T-CELL IMMUNOMODULATORY PROTEIN HOMOLOG', 162364),
(218639, 'PTHR21479:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG17573', 162365),
(218640, 'PTHR33142:SF71', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR12', 162366),
(218641, 'PTHR36809', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 162367),
(218642, 'PTHR21668:SF6', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A-RELATED', 162368),
(218643, 'PTHR48018:SF79', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 162369),
(218644, 'PTHR47841:SF13', NULL, NULL, NULL, NULL, 'BNAA03G17430D PROTEIN', 162370),
(218645, 'PTHR10917:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC3', 162371),
(218646, 'PTHR23411:SF7', NULL, NULL, NULL, NULL, 'NATURAL CYTOTOXICITY TRIGGERING RECEPTOR 3 LIGAND 1', 162372),
(218647, 'PTHR35998', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 162373),
(218648, 'PTHR22904:SF523', NULL, NULL, NULL, NULL, 'HSP70-HSP90 ORGANIZING PROTEIN 1-RELATED', 162374),
(218649, 'PTHR32059:SF1', NULL, NULL, NULL, NULL, 'LISH DOMAIN AND HEAT REPEAT KIAA1468-LIKE PROTEIN', 162375),
(218650, 'PTHR24366:SF115', NULL, NULL, NULL, NULL, 'LD10349P', 162376),
(218651, 'PTHR10151:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162377),
(218652, 'PTHR22956:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG13407', 162378),
(218653, 'PTHR21495:SF163', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 15', 162379),
(218654, 'PTHR43449', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', 162380),
(218655, 'PTHR12929:SF3', NULL, NULL, NULL, NULL, 'RIBOFLAVIN TRANSPORTER RFT-1', 162381),
(218656, 'PTHR36206:SF14', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 162382),
(218657, 'PTHR39181', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE YWQE', 162383),
(218658, 'PTHR27005:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162384),
(218659, 'PTHR44665:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 14', 162385),
(218660, 'PTHR24409:SF352', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162386),
(218661, 'PTHR47965:SF40', NULL, NULL, NULL, NULL, 'BETA-SECRETASE 2', 162387),
(218662, 'PTHR24229:SF8', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN D2 RECEPTOR 2', 162388),
(218663, 'PTHR31865:SF1', NULL, NULL, NULL, NULL, 'INSERTASE, PUTATIVE (DUF1685)-RELATED', 162389),
(218664, 'PTHR17453', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 19 KD PROTEIN', 162390),
(218665, 'PTHR48036:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162391),
(218666, 'PTHR11082:SF32', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(16/17) SYNTHASE [NAD(P)(+)]-LIKE', 162392),
(218667, 'PTHR23050:SF429', NULL, NULL, NULL, NULL, 'BNACNNG44220D PROTEIN', 162393),
(218668, 'PTHR23516:SF1', NULL, NULL, NULL, NULL, 'SAM (S-ADENOSYL METHIONINE) TRANSPORTER', 162394),
(218669, 'PTHR43976:SF5', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN', 162395),
(218670, 'PTHR11362:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FLOWERING LOCUS T-RELATED', 162396),
(218671, 'PTHR48002:SF158', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 162397),
(218672, 'PTHR12064:SF72', NULL, NULL, NULL, NULL, 'CBS DOMAIN PROTEIN', 162398),
(218673, 'PTHR22800:SF164', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY H, MEMBER 1', 162399),
(218674, 'PTHR22883:SF147', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 162400),
(218675, 'PTHR44329:SF35', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 9', 162401),
(218676, 'PTHR39666:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162402),
(218677, 'PTHR32191:SF15', NULL, NULL, NULL, NULL, 'OS01G0977100 PROTEIN', 162403);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(218678, 'PTHR31802:SF12', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT3-LIKE ISOFORM X1', 162404),
(218679, 'PTHR33895:SF3', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 10', 162405),
(218680, 'PTHR22811:SF150', NULL, NULL, NULL, NULL, 'ERP3', 162406),
(218681, 'PTHR12763:SF28', NULL, NULL, NULL, NULL, 'GEO10507P1-RELATED', 162407),
(218682, 'PTHR47293:SF1', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 3', 162408),
(218683, 'PTHR12542:SF145', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 162409),
(218684, 'PTHR24282:SF26', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 162410),
(218685, 'PTHR24177:SF122', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN NPR4-LIKE', 162411),
(218686, 'PTHR33929:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162412),
(218687, 'PTHR11070:SF58', NULL, NULL, NULL, NULL, 'DNA HELICASE IV', 162413),
(218688, 'PTHR45029:SF6', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 162414),
(218689, 'PTHR13748:SF61', NULL, NULL, NULL, NULL, 'COBALAMIN (VITAMIN B12) BIOSYNTHESIS COBW-LIKE,C-TERMINAL', 162415),
(218690, 'PTHR13164:SF3', NULL, NULL, NULL, NULL, 'CALCYCLIN-BINDING PROTEIN', 162416),
(218691, 'PTHR31618:SF30', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL MSCS, LSM DOMAIN PROTEIN-RELATED', 162417),
(218692, 'PTHR46767:SF2', NULL, NULL, NULL, NULL, 'LIM DOMAIN 7B', 162418),
(218693, 'PTHR31232:SF79', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY S1-RELATED', 162419),
(218694, 'PTHR16943:SF8', NULL, NULL, NULL, NULL, '2-METHYLCITRATE DEHYDRATASE-RELATED', 162420),
(218695, 'PTHR39235', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT Y', 162421),
(218696, 'PTHR31448:SF42', NULL, NULL, NULL, NULL, 'BNACNNG06430D PROTEIN', 162422),
(218697, 'PTHR19300:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162423),
(218698, 'PTHR48170', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 162424),
(218699, 'PTHR18896:SF163', NULL, NULL, NULL, NULL, 'BNAA01G28530D PROTEIN', 162425),
(218700, 'PTHR40131:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162426),
(218701, 'PTHR22951:SF63', NULL, NULL, NULL, NULL, 'CLATHRIN COAT ASSEMBLY PROTEIN AP180-LIKE', 162427),
(218702, 'PTHR24414:SF89', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN', 162428),
(218703, 'PTHR10772:SF40', NULL, NULL, NULL, NULL, 'BNAC09G18910D PROTEIN', 162429),
(218704, 'PTHR31987:SF14', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G09910)-RELATED', 162430),
(218705, 'PTHR41373:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162431),
(218706, 'PTHR32347:SF10', NULL, NULL, NULL, NULL, 'SLR1207 PROTEIN', 162432),
(218707, 'PTHR46214:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162433),
(218708, 'PTHR33737:SF16', NULL, NULL, NULL, NULL, 'BNAA03G18210D PROTEIN', 162434),
(218709, 'PTHR22949:SF0', NULL, NULL, NULL, NULL, 'RE27538P', 162435),
(218710, 'PTHR15622:SF12', NULL, NULL, NULL, NULL, 'WD REPEAT AND SOCS BOX-CONTAINING PROTEIN 1', 162436),
(218711, 'PTHR45125:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162437),
(218712, 'PTHR44755', NULL, NULL, NULL, NULL, 'NATRIURETIC PEPTIDE RECEPTOR 3-RELATED', 162438),
(218713, 'PTHR46174:SF4', NULL, NULL, NULL, NULL, 'CXXC FINGER PROTEIN 1B', 162439),
(218714, 'PTHR21178', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 61', 162440),
(218715, 'PTHR10504:SF140', NULL, NULL, NULL, NULL, 'PROTEIN CBG17409', 162441),
(218716, 'PTHR31340', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GENOME MAINTENANCE EXONUCLEASE 1', 162442),
(218717, 'PTHR23330', NULL, NULL, NULL, NULL, 'P300 TRANSCRIPTIONAL COFACTOR JMY-RELATED', 162443),
(218718, 'PTHR13817:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162444),
(218719, 'PTHR11453:SF92', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 4 MEMBER 11', 162445),
(218720, 'PTHR43484:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR MOTOR SWITCH PROTEIN FLIN', 162446),
(218721, 'PTHR10366:SF369', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE-LIKE PROTEIN', 162447),
(218722, 'PTHR21346:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162448);
INSERT INTO "PUBLIC"."MODEL" VALUES
(218723, 'PTHR33101:SF34', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', 162449),
(218724, 'PTHR33086:SF51', NULL, NULL, NULL, NULL, 'OS06G0307900 PROTEIN', 162450),
(218725, 'PTHR45993:SF5', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA/LEUKEMIA 11A', 162451),
(218726, 'PTHR31282:SF146', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 7 ISOFORM X1-RELATED', 162452),
(218727, 'PTHR33021:SF309', NULL, NULL, NULL, NULL, 'BNAA03G51730D PROTEIN', 162453),
(218728, 'PTHR13306:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 138', 162454),
(218729, 'PTHR47573', NULL, NULL, NULL, NULL, 'PROTEIN AF-9 HOMOLOG', 162455),
(218730, 'PTHR43899:SF37', NULL, NULL, NULL, NULL, 'BETA-KETOACYL REDUCTASE 1-RELATED', 162456),
(218731, 'PTHR13061:SF28', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE-LIKE 2, MITOCHONDRIAL', 162457),
(218732, 'PTHR34463:SF6', NULL, NULL, NULL, NULL, 'WAG22 ANTIGEN-LIKE', 162458),
(218733, 'PTHR47267', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 162459),
(218734, 'PTHR19969:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162460),
(218735, 'PTHR37166:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FLAG', 162461),
(218736, 'PTHR28152:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162462),
(218737, 'PTHR10353:SF36', NULL, NULL, NULL, NULL, 'CYTOSOLIC BETA-GLUCOSIDASE', 162463),
(218738, 'PTHR33595:SF16', NULL, NULL, NULL, NULL, 'BNAC02G42480D PROTEIN', 162464),
(218739, 'PTHR13530:SF3', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 7', 162465),
(218740, 'PTHR46506:SF33', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 162466),
(218741, 'PTHR11071:SF498', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 162467),
(218742, 'PTHR14493:SF110', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 33-RELATED', 162468),
(218743, 'PTHR10286:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162469),
(218744, 'PTHR24031:SF409', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING 12', 162470),
(218745, 'PTHR46853', NULL, NULL, NULL, NULL, 'METHYLOSOME PROTEIN 50', 162471),
(218746, 'PTHR33193:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162472),
(218747, 'PTHR19331:SF447', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS A MEMBER 5', 162473),
(218748, 'PTHR33473:SF13', NULL, NULL, NULL, NULL, 'OS01G0833600 PROTEIN', 162474),
(218749, 'PTHR10891:SF890', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 162475),
(218750, 'PTHR12786', NULL, NULL, NULL, NULL, 'SPLICING FACTOR SF3A-RELATED', 162476),
(218751, 'PTHR22814:SF340', NULL, NULL, NULL, NULL, 'BNAC06G15850D PROTEIN', 162477),
(218752, 'PTHR23315:SF299', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 162478),
(218753, 'PTHR48071:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162479),
(218754, 'PTHR23037:SF38', NULL, NULL, NULL, NULL, 'COLONY-STIMULATING FACTOR 2 RECEPTOR, BETA, LOW-AFFINITY (GRANULOCYTE-MACROPHAGE)', 162480),
(218755, 'PTHR33979', NULL, NULL, NULL, NULL, 'OS02G0221600 PROTEIN', 162481),
(218756, 'PTHR10218:SF334', NULL, NULL, NULL, NULL, 'EXTRA-LARGE GUANINE NUCLEOTIDE-BINDING PROTEIN 3', 162482),
(218757, 'PTHR15335:SF7', NULL, NULL, NULL, NULL, 'PROTEIN TFG', 162483),
(218758, 'PTHR43105:SF8', NULL, NULL, NULL, NULL, 'RESPIRATORY NITRATE REDUCTASE 1 ALPHA CHAIN', 162484),
(218759, 'PTHR38218:SF12', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 162485),
(218760, 'PTHR42731:SF4', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', 162486),
(218761, 'PTHR31707:SF166', NULL, NULL, NULL, NULL, 'OS01G0253200 PROTEIN', 162487),
(218762, 'PTHR11165:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162488),
(218763, 'PTHR48004:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KINASE DOMAIN CONTAINING PROTEIN', 162489),
(218764, 'PTHR13099:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 SUBUNIT C2-RELATED', 162490),
(218765, 'PTHR22791:SF21', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 224', 162491),
(218766, 'PTHR13929:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162492),
(218767, 'PTHR43220', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 162493);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(218768, 'PTHR46081:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE 2', 162494),
(218769, 'PTHR11850:SF105', NULL, NULL, NULL, NULL, 'ASSOCIATED WITH HOX FAMILY PROTEIN, EXPRESSED', 162495),
(218770, 'PTHR31205:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162496),
(218771, 'PTHR48111:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN AFSQ1', 162497),
(218772, 'PTHR45948:SF3', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 22', 162498),
(218773, 'PTHR31170:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 162499),
(218774, 'PTHR36746:SF8', NULL, NULL, NULL, NULL, 'BNACNNG09210D PROTEIN', 162500),
(218775, 'PTHR11802:SF229', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 162501),
(218776, 'PTHR22923:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162502),
(218777, 'PTHR13301:SF41', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN G3', 162503),
(218778, 'PTHR33914', NULL, NULL, NULL, NULL, '18S PRE-RIBOSOMAL ASSEMBLY PROTEIN GAR2-LIKE PROTEIN', 162504),
(218779, 'PTHR45886:SF14', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 162505),
(218780, 'PTHR23353:SF13', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY, MEMBER 24', 162506),
(218781, 'PTHR31692:SF14', NULL, NULL, NULL, NULL, 'EXPANSIN-B12', 162507),
(218782, 'PTHR16024:SF19', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', 162508),
(218783, 'PTHR12303:SF11', NULL, NULL, NULL, NULL, 'AER338CP', 162509),
(218784, 'PTHR36516:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG21751', 162510),
(218785, 'PTHR43849', NULL, NULL, NULL, NULL, 'BLL3936 PROTEIN', 162511),
(218786, 'PTHR12151:SF22', NULL, NULL, NULL, NULL, 'BNAA01G05740D PROTEIN', 162512),
(218787, 'PTHR11134:SF30', NULL, NULL, NULL, NULL, 'BETA-ADAPTIN-LIKE PROTEIN B', 162513),
(218788, 'PTHR43570:SF7', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 162514),
(218789, 'PTHR14624', NULL, NULL, NULL, NULL, 'DFG10 PROTEIN', 162515),
(218790, 'PTHR47272:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162516),
(218791, 'PTHR33800:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162517),
(218792, 'PTHR31645:SF53', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', 162518),
(218793, 'PTHR16222:SF21', NULL, NULL, NULL, NULL, '[PROTEIN ADP-RIBOSYLARGININE] HYDROLASE', 162519),
(218794, 'PTHR10687:SF2', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 162520),
(218795, 'PTHR47926:SF33', NULL, NULL, NULL, NULL, 'OS01G0914600 PROTEIN', 162521),
(218796, 'PTHR10556:SF35', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE FAMILY PROTEIN', 162522),
(218797, 'PTHR34000:SF13', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY PROTEIN', 162523),
(218798, 'PTHR46476:SF8', NULL, NULL, NULL, NULL, 'CHITINASE 2-LIKE', 162524),
(218799, 'PTHR11730:SF42', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER RH TYPE B', 162525),
(218800, 'PTHR46245:SF2', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION REPRESSOR VAL2', 162526),
(218801, 'PTHR31827:SF40', NULL, NULL, NULL, NULL, 'F22C12.10', 162527),
(218802, 'PTHR11632:SF37', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN SUBUNIT, MITOCHONDRIAL', 162528),
(218803, 'PTHR11596:SF81', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE, GERM CELL TYPE', 162529),
(218804, 'PTHR12378:SF54', NULL, NULL, NULL, NULL, 'BNACNNG05060D PROTEIN', 162530),
(218805, 'PTHR33373:SF13', NULL, NULL, NULL, NULL, 'DUF4050 FAMILY PROTEIN', 162531),
(218806, 'PTHR12570', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 162532),
(218807, 'PTHR10593:SF165', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 9-LIKE', 162533),
(218808, 'PTHR22803:SF132', NULL, NULL, NULL, NULL, 'REG III DELTA', 162534),
(218809, 'PTHR11306:SF57', NULL, NULL, NULL, NULL, 'BNAANNG29980D PROTEIN', 162535),
(218810, 'PTHR21353:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162536),
(218811, 'PTHR31549:SF147', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED', 162537),
(218812, 'PTHR47401', NULL, NULL, NULL, NULL, 'INTERLEUKIN-4', 162538);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(218813, 'PTHR12935:SF14', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLCYCLOTRANSFERASE B', 162539),
(218814, 'PTHR45702:SF1', NULL, NULL, NULL, NULL, 'SI:CH1073-396H14.1', 162540),
(218815, 'PTHR34269:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162541),
(218816, 'PTHR13510', NULL, NULL, NULL, NULL, 'FYVE-FINGER-CONTAINING RAB5 EFFECTOR PROTEIN RABENOSYN-5-RELATED', 162542),
(218817, 'PTHR23516:SF19', NULL, NULL, NULL, NULL, 'MOLYBDATE-ANION TRANSPORTER', 162543),
(218818, 'PTHR31798:SF5', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 162544),
(218819, 'PTHR12429', NULL, NULL, NULL, NULL, 'NEURALIZED', 162545),
(218820, 'PTHR42106:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 162546),
(218821, 'PTHR32071:SF74', NULL, NULL, NULL, NULL, 'ARGININE UTILIZATION REGULATORY PROTEIN ROCR', 162547),
(218822, 'PTHR48055:SF11', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE MSP1', 162548),
(218823, 'PTHR45781', NULL, NULL, NULL, NULL, 'AGAP000281-PA', 162549),
(218824, 'PTHR33403:SF22', NULL, NULL, NULL, NULL, 'DEHYDROGENASE LARGE SUBUNIT, PUTATIVE-RELATED', 162550),
(218825, 'PTHR15452:SF5', NULL, NULL, NULL, NULL, 'LEUKOCYTE-SPECIFIC TRANSCRIPT 1 PROTEIN', 162551),
(218826, 'PTHR31790:SF298', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162552),
(218827, 'PTHR45676:SF36', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 162553),
(218828, 'PTHR10578:SF67', NULL, NULL, NULL, NULL, 'CYTOCHROME B2, MITOCHONDRIAL', 162554),
(218829, 'PTHR31528:SF15', NULL, NULL, NULL, NULL, 'RIBOFLAVIN-BINDING PROTEIN RIBY', 162555),
(218830, 'PTHR24024:SF36', NULL, NULL, NULL, NULL, 'PROTEIN CBG01919', 162556),
(218831, 'PTHR32410:SF189', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 162557),
(218832, 'PTHR47596:SF7', NULL, NULL, NULL, NULL, 'DVL15', 162558),
(218833, 'PTHR24177:SF290', NULL, NULL, NULL, NULL, 'OS12G0283700 PROTEIN', 162559),
(218834, 'PTHR31682:SF32', NULL, NULL, NULL, NULL, 'UDP-ARABINOPYRANOSE MUTASE 4-RELATED', 162560),
(218835, 'PTHR48002:SF7', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C13', 162561),
(218836, 'PTHR45651:SF56', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 1-LIKE', 162562),
(218837, 'PTHR31001:SF62', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 162563),
(218838, 'PTHR23044:SF26', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III POLC-TYPE', 162564),
(218839, 'PTHR36855:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 162565),
(218840, 'PTHR33090:SF38', NULL, NULL, NULL, NULL, 'DUF3774 DOMAIN PROTEIN', 162566),
(218841, 'PTHR39087:SF2', NULL, NULL, NULL, NULL, 'UPF0104 MEMBRANE PROTEIN MJ1595', 162567),
(218842, 'PTHR37695', NULL, NULL, NULL, NULL, 'RECOMBINATION INITIATION DEFECTS 3-RELATED', 162568),
(218843, 'PTHR47348', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 190 PROTEIN', 162569),
(218844, 'PTHR45651:SF33', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 12-RELATED', 162570),
(218845, 'PTHR24351:SF115', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE ALPHA-5', 162571),
(218846, 'PTHR46325', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC8', 162572),
(218847, 'PTHR14196:SF10', NULL, NULL, NULL, NULL, 'AGAP002993-PA', 162573),
(218848, 'PTHR31415:SF59', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED 1', 162574),
(218849, 'PTHR11547:SF56', NULL, NULL, NULL, NULL, 'CKMT2 PROTEIN-RELATED', 162575),
(218850, 'PTHR23024:SF476', NULL, NULL, NULL, NULL, 'MCG65768, ISOFORM CRA_B-RELATED', 162576),
(218851, 'PTHR32198', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ESCAPE PROTEIN 2', 162577),
(218852, 'PTHR42865:SF5', NULL, NULL, NULL, NULL, 'L-CYSTINE TRANSPORTER YDJN', 162578),
(218853, 'PTHR13466:SF14', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED SEQUENCE 2 PROTEIN-LIKE ISOFORM X1', 162579),
(218854, 'PTHR47926:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162580),
(218855, 'PTHR45635:SF14', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1-RELATED', 162581),
(218856, 'PTHR10782:SF78', NULL, NULL, NULL, NULL, 'BNAC08G42920D PROTEIN', 162582);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(218857, 'PTHR11959:SF13', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE', 162583),
(218858, 'PTHR11351:SF21', NULL, NULL, NULL, NULL, 'GH07782P', 162584),
(218859, 'PTHR47958:SF23', NULL, NULL, NULL, NULL, 'MUTATOR', 162585),
(218860, 'PTHR11533:SF276', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 162586),
(218861, 'PTHR24089:SF722', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162587),
(218862, 'PTHR12961:SF1', NULL, NULL, NULL, NULL, 'BNAA01G14200D PROTEIN', 162588),
(218863, 'PTHR44259:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162589),
(218864, 'PTHR43277:SF3', NULL, NULL, NULL, NULL, 'LYSINE DECARBOXYLASE', 162590),
(218865, 'PTHR48017:SF140', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 6', 162591),
(218866, 'PTHR31790:SF127', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 8-LIKE', 162592),
(218867, 'PTHR23413:SF3', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32', 162593),
(218868, 'PTHR22803:SF129', NULL, NULL, NULL, NULL, 'LITHOSTATHINE-1-BETA', 162594),
(218869, 'PTHR48172:SF2', NULL, NULL, NULL, NULL, 'BNAC05G02270D PROTEIN', 162595),
(218870, 'PTHR23244:SF437', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162596),
(218871, 'PTHR22763:SF165', NULL, NULL, NULL, NULL, 'DSC E3 UBIQUITIN LIGASE COMPLEX SUBUNIT 1', 162597),
(218872, 'PTHR30371:SF0', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATC, CHLOROPLASTIC-RELATED', 162598),
(218873, 'PTHR35172:SF4', NULL, NULL, NULL, NULL, 'INVOLUCRIN', 162599),
(218874, 'PTHR31161:SF26', NULL, NULL, NULL, NULL, 'BNAC03G69620D PROTEIN', 162600),
(218875, 'PTHR15574:SF62', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', 162601),
(218876, 'PTHR47990:SF159', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 1-D-LIKE', 162602),
(218877, 'PTHR20961:SF19', NULL, NULL, NULL, NULL, 'OS06G0470000 PROTEIN', 162603),
(218878, 'PTHR24060:SF165', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, METABOTROPIC 5A', 162604),
(218879, 'PTHR11430:SF32', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC LIPOCALIN', 162605),
(218880, 'PTHR36766:SF12', NULL, NULL, NULL, NULL, 'LRR AND NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN', 162606),
(218881, 'PTHR47992:SF111', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 77', 162607),
(218882, 'PTHR42959', NULL, NULL, NULL, NULL, 'CARBAMOYLTRANSFERASE', 162608),
(218883, 'PTHR33895', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 4', 162609),
(218884, 'PTHR16223:SF100', NULL, NULL, NULL, NULL, 'BHLH PROTEIN-LIKE', 162610),
(218885, 'PTHR31544:SF3', NULL, NULL, NULL, NULL, 'AVRRPT2-INDUCED PROTEIN 2-LIKE', 162611),
(218886, 'PTHR31225:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162612),
(218887, 'PTHR11685:SF297', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 162613),
(218888, 'PTHR31046:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 264', 162614),
(218889, 'PTHR24271:SF75', NULL, NULL, NULL, NULL, 'KALLIKREIN-2', 162615),
(218890, 'PTHR31250:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162616),
(218891, 'PTHR42673:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 162617),
(218892, 'PTHR31992:SF225', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN PBF', 162618),
(218893, 'PTHR12483:SF91', NULL, NULL, NULL, NULL, 'CTR FAMILY COPPER TRANSPORTER', 162619),
(218894, 'PTHR12894:SF27', NULL, NULL, NULL, NULL, 'VAM6/VPS39-LIKE PROTEIN', 162620),
(218895, 'PTHR43861:SF2', NULL, NULL, NULL, NULL, 'CARBOXY-S-ADENOSYL-L-METHIONINE SYNTHASE', 162621),
(218896, 'PTHR37840', NULL, NULL, NULL, NULL, 'L-FUCOSE ISOMERASE', 162622),
(218897, 'PTHR23257:SF783', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0271402-RELATED', 162623),
(218898, 'PTHR10778:SF8', NULL, NULL, NULL, NULL, 'ADENOSINE 3''-PHOSPHO 5''-PHOSPHOSULFATE TRANSPORTER 2', 162624),
(218899, 'PTHR14677', NULL, NULL, NULL, NULL, 'ARSENITE INDUCUBLE RNA ASSOCIATED PROTEIN AIP-1-RELATED', 162625),
(218900, 'PTHR31218:SF184', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 162626),
(218901, 'PTHR19367:SF27', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 8-1', 162627);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(218902, 'PTHR22951:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162628),
(218903, 'PTHR35022:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162629),
(218904, 'PTHR10209:SF756', NULL, NULL, NULL, NULL, 'BNAA01G37310D PROTEIN', 162630),
(218905, 'PTHR45893:SF3', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP RING FINGER PROTEIN 3', 162631),
(218906, 'PTHR31232:SF23', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY S1-RELATED', 162632),
(218907, 'PTHR45693:SF55', NULL, NULL, NULL, NULL, 'BNAA08G20970D PROTEIN', 162633),
(218908, 'PTHR16501', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 162634),
(218909, 'PTHR11685:SF353', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 162635),
(218910, 'PTHR31245:SF27', NULL, NULL, NULL, NULL, 'BNAA09G26810D PROTEIN', 162636),
(218911, 'PTHR22947:SF10', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 162637),
(218912, 'PTHR33227:SF38', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 2', 162638),
(218913, 'PTHR28610', NULL, NULL, NULL, NULL, 'DRAXIN', 162639),
(218914, 'PTHR11538:SF79', NULL, NULL, NULL, NULL, 'PHENYLALANINE--TRNA LIGASE ALPHA SUBUNIT', 162640),
(218915, 'PTHR45785:SF2', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR H-RELATED', 162641),
(218916, 'PTHR23315:SF300', NULL, NULL, NULL, NULL, 'BNACNNG05650D PROTEIN', 162642),
(218917, 'PTHR11878:SF8', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER 2', 162643),
(218918, 'PTHR11945:SF586', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN AGL42', 162644),
(218919, 'PTHR22762:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162645),
(218920, 'PTHR23084:SF245', NULL, NULL, NULL, NULL, 'MORN MOTIF PROTEIN-RELATED', 162646),
(218921, 'PTHR44067:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 162647),
(218922, 'PTHR21642', NULL, NULL, NULL, NULL, 'CEREBRAL CAVERNOUS MALFORMATIONS PROTEIN 2 HOMOLOG', 162648),
(218923, 'PTHR22618', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 162649),
(218924, 'PTHR24032:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162650),
(218925, 'PTHR45649:SF15', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER (EUROFUNG)', 162651),
(218926, 'PTHR24637:SF229', NULL, NULL, NULL, NULL, 'ROLLER: HELICALLY TWISTED, ANIMALS ROLL WHEN MOVING', 162652),
(218927, 'PTHR11183:SF141', NULL, NULL, NULL, NULL, 'GLYCOGENIN-1', 162653),
(218928, 'PTHR10060:SF43', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF139', 162654),
(218929, 'PTHR12306:SF8', NULL, NULL, NULL, NULL, 'CELL DEATH ACTIVATOR CIDE-A', 162655),
(218930, 'PTHR43466:SF1', NULL, NULL, NULL, NULL, '2-OXO-4-HYDROXY-4-CARBOXY-5-UREIDOIMIDAZOLINE DECARBOXYLASE-RELATED', 162656),
(218931, 'PTHR23155', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RP', 162657),
(218932, 'PTHR23159:SF17', NULL, NULL, NULL, NULL, 'ROOTLETIN-RELATED', 162658),
(218933, 'PTHR38657:SF1', NULL, NULL, NULL, NULL, 'SLR1343 PROTEIN', 162659),
(218934, 'PTHR11715:SF30', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', 162660),
(218935, 'PTHR30330:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, LRP FAMILY-RELATED', 162661),
(218936, 'PTHR42968:SF5', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 2', 162662),
(218937, 'PTHR42898:SF58', NULL, NULL, NULL, NULL, 'BNAC04G14130D PROTEIN', 162663),
(218938, 'PTHR11362:SF106', NULL, NULL, NULL, NULL, 'PROTEIN HEADING DATE 3A-LIKE', 162664),
(218939, 'PTHR23159:SF30', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN 135KDA, ISOFORM B', 162665),
(218940, 'PTHR33618:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L53, MITOCHONDRIAL', 162666),
(218941, 'PTHR46188:SF1', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN 3', 162667),
(218942, 'PTHR10151:SF119', NULL, NULL, NULL, NULL, 'BNAA08G13350D PROTEIN', 162668),
(218943, 'PTHR43391:SF14', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE-LIKE 5', 162669),
(218944, 'PTHR23028:SF120', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 162670),
(218945, 'PTHR31953:SF76', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 32-RELATED', 162671),
(218946, 'PTHR24033:SF196', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH PROTEIN-LIKE PROTEIN', 162672); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(218947, 'PTHR24174:SF9', NULL, NULL, NULL, NULL, 'GULP PTB DOMAIN CONTAINING ENGULFMENT ADAPTOR 1', 162673),
(218948, 'PTHR12195', NULL, NULL, NULL, NULL, 'CYTOPLASMIC FMR1-INTERACTING PROTEIN-RELATED', 162674),
(218949, 'PTHR48000:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX3', 162675),
(218950, 'PTHR16423', NULL, NULL, NULL, NULL, 'TREM-LIKE TRANSCRIPT PROTEIN', 162676),
(218951, 'PTHR11328:SF37', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 180', 162677),
(218952, 'PTHR24058:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MINIBRAIN', 162678),
(218953, 'PTHR33354', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G01540)', 162679),
(218954, 'PTHR31126:SF60', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE-RELATED', 162680),
(218955, 'PTHR22595:SF136', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN 1', 162681),
(218956, 'PTHR31376:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162682),
(218957, 'PTHR24221:SF557', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', 162683),
(218958, 'PTHR43520:SF5', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING P-TYPE ATPASE-RELATED', 162684),
(218959, 'PTHR31111:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162685),
(218960, 'PTHR34042:SF4', NULL, NULL, NULL, NULL, 'BNACNNG76830D PROTEIN', 162686),
(218961, 'PTHR11993:SF39', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT H, CHLOROPLASTIC', 162687),
(218962, 'PTHR47993:SF134', NULL, NULL, NULL, NULL, 'BNAC04G43500D PROTEIN', 162688),
(218963, 'PTHR32099:SF52', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', 162689),
(218964, 'PTHR12482:SF57', NULL, NULL, NULL, NULL, 'OS08G0143700 PROTEIN', 162690),
(218965, 'PTHR24155:SF11', NULL, NULL, NULL, NULL, 'CASKIN, ISOFORM B', 162691),
(218966, 'PTHR45787:SF7', NULL, NULL, NULL, NULL, 'LIM DOMAIN ONLY PROTEIN 3', 162692),
(218967, 'PTHR45624:SF22', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ORNITHINE TRANSPORTER 1', 162693),
(218968, 'PTHR26450:SF179', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 162694),
(218969, 'PTHR42898:SF73', NULL, NULL, NULL, NULL, 'ROSSMANN-FOLD SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 162695),
(218970, 'PTHR11371:SF27', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE-1', 162696),
(218971, 'PTHR10894:SF28', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 5-1-RELATED', 162697),
(218972, 'PTHR42683:SF44', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 2-RELATED', 162698),
(218973, 'PTHR12630:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162699),
(218974, 'PTHR30096:SF1', NULL, NULL, NULL, NULL, 'AROMATIC RING-OPENING DIOXYGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_7G00640)', 162700),
(218975, 'PTHR31218:SF240', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 162701),
(218976, 'PTHR31717:SF103', NULL, NULL, NULL, NULL, 'B-BOX-TYPE ZINC FINGER, CCT DOMAIN PROTEIN-RELATED', 162702),
(218977, 'PTHR23318:SF22', NULL, NULL, NULL, NULL, 'BNAA05G30700D PROTEIN', 162703),
(218978, 'PTHR11142:SF22', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE A 2', 162704),
(218979, 'PTHR24298:SF184', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 93G2', 162705),
(218980, 'PTHR32510:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 98', 162706),
(218981, 'PTHR30055:SF184', NULL, NULL, NULL, NULL, 'ACRR FAMILY TRANSCRIPTIONAL REGULATOR', 162707),
(218982, 'PTHR48043:SF19', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYLTRANSFERASE FAMILY PROTEIN', 162708),
(218983, 'PTHR23413:SF17', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32-1', 162709),
(218984, 'PTHR16134', NULL, NULL, NULL, NULL, 'F-BOX/TPR REPEAT PROTEIN POF3', 162710),
(218985, 'PTHR24343:SF420', NULL, NULL, NULL, NULL, 'BNAA01G23120D PROTEIN', 162711),
(218986, 'PTHR45614:SF10', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 162712),
(218987, 'PTHR31062:SF145', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 162713),
(218988, 'PTHR46921:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 21', 162714),
(218989, 'PTHR15860:SF14', NULL, NULL, NULL, NULL, 'RING FINGER AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1-LIKE', 162715);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(218990, 'PTHR10067:SF13', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE DECARBOXYLASE', 162716),
(218991, 'PTHR45752:SF126', NULL, NULL, NULL, NULL, 'BNAC03G47790D PROTEIN', 162717),
(218992, 'PTHR47081:SF2', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING X-LINKED PROTEIN 5', 162718),
(218993, 'PTHR34720:SF7', NULL, NULL, NULL, NULL, 'MICROCYSTIN DEPENDENT PROTEIN', 162719),
(218994, 'PTHR10288:SF96', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING PROTEIN 1', 162720),
(218995, 'PTHR13055:SF12', NULL, NULL, NULL, NULL, 'LD40707P', 162721),
(218996, 'PTHR13301:SF81', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 3 [UDP-FORMING]-RELATED', 162722),
(218997, 'PTHR31739:SF16', NULL, NULL, NULL, NULL, 'ACYCLIC SESQUITERPENE SYNTHASE', 162723),
(218998, 'PTHR44846:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', 162724),
(218999, 'PTHR31282:SF32', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 162725),
(219000, 'PTHR32387:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162726),
(219001, 'PTHR31075:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162727),
(219002, 'PTHR15549:SF14', NULL, NULL, NULL, NULL, 'PAIRED IMMUNOGLOBULIN-LIKE TYPE 2 RECEPTOR ALPHA', 162728),
(219003, 'PTHR43900:SF39', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTF2-RELATED', 162729),
(219004, 'PTHR12932', NULL, NULL, NULL, NULL, 'P25 ALPHA-RELATED', 162730),
(219005, 'PTHR43447:SF21', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', 162731),
(219006, 'PTHR36040:SF5', NULL, NULL, NULL, NULL, 'BNAC01G24170D PROTEIN', 162732),
(219007, 'PTHR32176:SF10', NULL, NULL, NULL, NULL, 'PATATIN', 162733),
(219008, 'PTHR11654:SF435', NULL, NULL, NULL, NULL, 'OS03G0138700 PROTEIN', 162734),
(219009, 'PTHR19321:SF17', NULL, NULL, NULL, NULL, 'OS06G0308300 PROTEIN', 162735),
(219010, 'PTHR10788:SF100', NULL, NULL, NULL, NULL, 'TREHALOSE-6-PHOSPHATE SYNTHASE2', 162736),
(219011, 'PTHR33463:SF62', NULL, NULL, NULL, NULL, 'PVR4', 162737),
(219012, 'PTHR12714:SF19', NULL, NULL, NULL, NULL, 'PROTEIN-S-ISOPRENYLCYSTEINE O-METHYLTRANSFERASE', 162738),
(219013, 'PTHR11346:SF107', NULL, NULL, NULL, NULL, 'GALECTIN-7', 162739),
(219014, 'PTHR46033:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM HOMOLOG ISOFORM X1', 162740),
(219015, 'PTHR12718:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162741),
(219016, 'PTHR31235:SF251', NULL, NULL, NULL, NULL, 'PEROXIDASE', 162742),
(219017, 'PTHR23202:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162743),
(219018, 'PTHR10774:SF194', NULL, NULL, NULL, NULL, 'C2 DOMAIN, SYNAPTOTAGMIN-LIKE MITOCHONDRIAL-LIPID-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 162744),
(219019, 'PTHR13759:SF8', NULL, NULL, NULL, NULL, 'TWINFILIN-1', 162745),
(219020, 'PTHR47386', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 1B', 162746),
(219021, 'PTHR31221:SF243', NULL, NULL, NULL, NULL, 'WRKY FAMILY TRANSCRIPTION FACTOR', 162747),
(219022, 'PTHR22911:SF105', NULL, NULL, NULL, NULL, 'PROTEIN LICB', 162748),
(219023, 'PTHR19332:SF8', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 13', 162749),
(219024, 'PTHR15135:SF3', NULL, NULL, NULL, NULL, 'SH3 AND CYSTEINE-RICH DOMAIN-CONTAINING PROTEIN', 162750),
(219025, 'PTHR30443:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE TRANSFERASE OPGE-RELATED', 162751),
(219026, 'PTHR43653:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN NRFE-RELATED', 162752),
(219027, 'PTHR36715:SF4', NULL, NULL, NULL, NULL, 'BNAA02G13840D PROTEIN', 162753),
(219028, 'PTHR10903:SF73', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 8', 162754),
(219029, 'PTHR32153:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162755),
(219030, 'PTHR16240:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MENT', 162756),
(219031, 'PTHR12242:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162757),
(219032, 'PTHR11691', NULL, NULL, NULL, NULL, 'TYPE I INTERFERON', 162758),
(219033, 'PTHR31639:SF136', NULL, NULL, NULL, NULL, 'OS08G0267700 PROTEIN', 162759),
(219034, 'PTHR10314:SF221', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', 162760);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(219035, 'PTHR13935:SF122', NULL, NULL, NULL, NULL, 'BNAUNNG04340D PROTEIN', 162761),
(219036, 'PTHR15138:SF22', NULL, NULL, NULL, NULL, 'SI:DKEY-219C3.2', 162762),
(219037, 'PTHR21669:SF32', NULL, NULL, NULL, NULL, 'UBINUCLEIN 2A', 162763),
(219038, 'PTHR22739:SF21', NULL, NULL, NULL, NULL, 'ACTIN BINDING RHO ACTIVATING PROTEIN A', 162764),
(219039, 'PTHR47786', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN:MALTOSE-1-PHOSPHATE MALTOSYLTRANSFERASE', 162765),
(219040, 'PTHR26452:SF119', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5C1', 162766),
(219041, 'PTHR43490:SF103', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', 162767),
(219042, 'PTHR24559:SF340', NULL, NULL, NULL, NULL, 'OS03G0100250 PROTEIN', 162768),
(219043, 'PTHR19282:SF261', NULL, NULL, NULL, NULL, 'TETRASPANIN-14', 162769),
(219044, 'PTHR22765:SF309', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G13310)-RELATED', 162770),
(219045, 'PTHR33233', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 162771),
(219046, 'PTHR45802', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 162772),
(219047, 'PTHR45687:SF61', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE INTRINSIC PROTEIN 2,4-RELATED', 162773),
(219048, 'PTHR45089:SF23', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK AMINO-TERMINAL DOMAIN PROTEIN-RELATED', 162774),
(219049, 'PTHR33159:SF43', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4-LIKE', 162775),
(219050, 'PTHR11654:SF501', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER', 162776),
(219051, 'PTHR22829', NULL, NULL, NULL, NULL, 'DEP DOMAIN PROTEIN', 162777),
(219052, 'PTHR13848:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE 1', 162778),
(219053, 'PTHR22601:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162779),
(219054, 'PTHR31016:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162780),
(219055, 'PTHR37234:SF2', NULL, NULL, NULL, NULL, 'BNAA09G36090D PROTEIN', 162781),
(219056, 'PTHR47926:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162782),
(219057, 'PTHR22595:SF164', NULL, NULL, NULL, NULL, 'ENDOCHITINASE EP3-LIKE', 162783),
(219058, 'PTHR47078:SF1', NULL, NULL, NULL, NULL, 'CYTOSKELETON-ASSOCIATED PROTEIN 2-LIKE', 162784),
(219059, 'PTHR22883:SF203', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 162785),
(219060, 'PTHR47119', NULL, NULL, NULL, NULL, 'PLANT VIRAL-RESPONSE FAMILY PROTEIN', 162786),
(219061, 'PTHR47926:SF231', NULL, NULL, NULL, NULL, 'BNAA08G27480D PROTEIN', 162787),
(219062, 'PTHR31602:SF3', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 7', 162788),
(219063, 'PTHR12882', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TY 4', 162789),
(219064, 'PTHR24356:SF158', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C BETA TYPE', 162790),
(219065, 'PTHR24072:SF332', NULL, NULL, NULL, NULL, 'NTGP2', 162791),
(219066, 'PTHR46625', NULL, NULL, NULL, NULL, '72 KDA INOSITOL POLYPHOSPHATE 5-PHOSPHATASE', 162792),
(219067, 'PTHR21479:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG21787', 162793),
(219068, 'PTHR38378:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162794),
(219069, 'PTHR23226:SF154', NULL, NULL, NULL, NULL, 'MCG3834', 162795),
(219070, 'PTHR12497', NULL, NULL, NULL, NULL, 'TAZ PROTEIN  TAFAZZIN', 162796),
(219071, 'PTHR31889:SF57', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE-LIKE PROTEIN', 162797),
(219072, 'PTHR16431:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MIS18-ALPHA', 162798),
(219073, 'PTHR31829:SF6', NULL, NULL, NULL, NULL, 'PYRIDOXAL 5''-PHOSPHATE SYNTHASE PDX1-LIKE 4-RELATED', 162799),
(219074, 'PTHR32098:SF5', NULL, NULL, NULL, NULL, 'LYCOPENE BETA/EPSILON CYCLASE PROTEIN', 162800),
(219075, 'PTHR31985:SF212', NULL, NULL, NULL, NULL, 'BNAA03G56380D PROTEIN', 162801),
(219076, 'PTHR26379:SF395', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162802),
(219077, 'PTHR27006:SF390', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162803),
(219078, 'PTHR42898:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162804),
(219079, 'PTHR12398:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162805),
(219080, 'PTHR31985:SF200', NULL, NULL, NULL, NULL, 'BNAA09G30360D PROTEIN', 162806);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(219081, 'PTHR33048:SF137', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G13725)', 162807),
(219082, 'PTHR26450:SF128', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 162808),
(219083, 'PTHR45654:SF74', NULL, NULL, NULL, NULL, 'BNAC04G04470D PROTEIN', 162809),
(219084, 'PTHR33065:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162810),
(219085, 'PTHR46390', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLYLTRANSFERASE', 162811),
(219086, 'PTHR31985:SF151', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF023', 162812),
(219087, 'PTHR33755', NULL, NULL, NULL, NULL, 'TOXIN PARE1-RELATED', 162813),
(219088, 'PTHR45816:SF2', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR TYPE 1', 162814),
(219089, 'PTHR43233:SF1', NULL, NULL, NULL, NULL, 'FAMILY N-ACETYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03350)-RELATED', 162815),
(219090, 'PTHR33917:SF2', NULL, NULL, NULL, NULL, 'PROTEIN EXECUTER 2, CHLOROPLASTIC', 162816),
(219091, 'PTHR30558:SF13', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBD2', 162817),
(219092, 'PTHR47116:SF20', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 162818),
(219093, 'PTHR42912:SF6', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 162819),
(219094, 'PTHR13169:SF20', NULL, NULL, NULL, NULL, 'BNAANNG17130D PROTEIN', 162820),
(219095, 'PTHR34402:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG02762', 162821),
(219096, 'PTHR12322:SF15', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR C2', 162822),
(219097, 'PTHR30175:SF3', NULL, NULL, NULL, NULL, 'PTS SYSTEM N-ACETYLMURAMIC ACID-SPECIFIC EIIBC COMPONENT', 162823),
(219098, 'PTHR35766:SF2', NULL, NULL, NULL, NULL, 'BNAC09G30010D PROTEIN', 162824),
(219099, 'PTHR24056:SF487', NULL, NULL, NULL, NULL, 'BNAC05G02020D PROTEIN', 162825),
(219100, 'PTHR31307:SF38', NULL, NULL, NULL, NULL, '6B-INTERACTING PROTEIN 1-LIKE', 162826),
(219101, 'PTHR13833:SF79', NULL, NULL, NULL, NULL, 'NHL REPEAT-CONTAINING PROTEIN-LIKE', 162827),
(219102, 'PTHR22814:SF329', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', 162828),
(219103, 'PTHR21496:SF0', NULL, NULL, NULL, NULL, 'RIESKE DOMAIN-CONTAINING PROTEIN', 162829),
(219104, 'PTHR33870:SF15', NULL, NULL, NULL, NULL, 'SERINE-RICH ADHESIN FOR PLATELETS-LIKE', 162830),
(219105, 'PTHR12547:SF137', NULL, NULL, NULL, NULL, 'BNAA01G26190D PROTEIN', 162831),
(219106, 'PTHR47926:SF187', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 162832),
(219107, 'PTHR18945:SF493', NULL, NULL, NULL, NULL, 'IP12579P', 162833),
(219108, 'PTHR10514:SF38', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME', 162834),
(219109, 'PTHR11467:SF102', NULL, NULL, NULL, NULL, 'HISTONE H1.0', 162835),
(219110, 'PTHR21634:SF12', NULL, NULL, NULL, NULL, 'FOLLICULIN-INTERACTING PROTEIN 1', 162836),
(219111, 'PTHR10529:SF262', NULL, NULL, NULL, NULL, 'ADAPTOR PROTEIN COMPLEX 1, MU SUBUNIT', 162837),
(219112, 'PTHR26453:SF227', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1340', 162838),
(219113, 'PTHR10612:SF48', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN D', 162839),
(219114, 'PTHR31656:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162840),
(219115, 'PTHR47725:SF2', NULL, NULL, NULL, NULL, 'OS03G0364000 PROTEIN', 162841),
(219116, 'PTHR12905:SF0', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE DOMAIN-CONTAINING PROTEIN 1', 162842),
(219117, 'PTHR12999:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER RAN-BINDING DOMAIN-CONTAINING PROTEIN 2', 162843),
(219118, 'PTHR30097:SF4', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN CUSB', 162844),
(219119, 'PTHR24329:SF538', NULL, NULL, NULL, NULL, 'IP01065P', 162845),
(219120, 'PTHR33835:SF1', NULL, NULL, NULL, NULL, 'YALI0C07656P', 162846),
(219121, 'PTHR11783:SF232', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 162847),
(219122, 'PTHR24291:SF146', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 162848),
(219123, 'PTHR31218:SF304', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 162849),
(219124, 'PTHR10797:SF38', NULL, NULL, NULL, NULL, 'OS06G0138400 PROTEIN', 162850);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(219125, 'PTHR11652:SF61', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S23', 162851),
(219126, 'PTHR21355:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162852),
(219127, 'PTHR24253:SF50', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TUMORIGENICITY 14 PROTEIN', 162853),
(219128, 'PTHR10106:SF17', NULL, NULL, NULL, NULL, 'ASCORBATE-SPECIFIC TRANSMEMBRANE ELECTRON TRANSPORTER 2-RELATED', 162854),
(219129, 'PTHR22950:SF369', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER 1, PUTATIVE-RELATED', 162855),
(219130, 'PTHR13233:SF8', NULL, NULL, NULL, NULL, 'FORKHEAD-ASSOCIATED (FHA) DOMAIN-CONTAINING PROTEIN', 162856),
(219131, 'PTHR13683:SF799', NULL, NULL, NULL, NULL, 'BNAA05G35610D PROTEIN', 162857),
(219132, 'PTHR13169:SF17', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN', 162858),
(219133, 'PTHR42115:SF1', NULL, NULL, NULL, NULL, 'BETA-SYNTHASE (BETA-THIONASE), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G08420)-RELATED', 162859),
(219134, 'PTHR47640:SF32', NULL, NULL, NULL, NULL, 'OLIGOURIDYLATE-BINDING PROTEIN 1A', 162860),
(219135, 'PTHR42898:SF64', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE PROTEIN', 162861),
(219136, 'PTHR43295:SF6', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE', 162862),
(219137, 'PTHR33076:SF76', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 1-RELATED', 162863),
(219138, 'PTHR46970', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX DOMAIN-CONTAINING PROTEIN USF3', 162864),
(219139, 'PTHR10438:SF422', NULL, NULL, NULL, NULL, 'BNACNNG05900D PROTEIN', 162865),
(219140, 'PTHR38046', NULL, NULL, NULL, NULL, 'CRYPTIC LOCI REGULATOR 2', 162866),
(219141, 'PTHR11101:SF16', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 162867),
(219142, 'PTHR12217:SF4', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2D', 162868),
(219143, 'PTHR10736:SF4', NULL, NULL, NULL, NULL, 'BESTROPHIN-1', 162869),
(219144, 'PTHR31286:SF76', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', 162870),
(219145, 'PTHR33602:SF1', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN RECX FAMILY PROTEIN', 162871),
(219146, 'PTHR48063:SF53', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO2', 162872),
(219147, 'PTHR36576:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CON-6, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03615)-RELATED', 162873),
(219148, 'PTHR39640:SF1', NULL, NULL, NULL, NULL, 'VNG6129C', 162874),
(219149, 'PTHR13820', NULL, NULL, NULL, NULL, 'SYNUCLEIN', 162875),
(219150, 'PTHR12174:SF74', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE PROTEIN', 162876),
(219151, 'PTHR41517', NULL, NULL, NULL, NULL, '1,2-DIOXYGENASE PROTEIN-RELATED', 162877),
(219152, 'PTHR22574:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FAM71A', 162878),
(219153, 'PTHR19876:SF49', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''-2', 162879),
(219154, 'PTHR46372:SF13', NULL, NULL, NULL, NULL, 'OS07G0185432 PROTEIN', 162880),
(219155, 'PTHR12565:SF399', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH62', 162881),
(219156, 'PTHR19134:SF507', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162882),
(219157, 'PTHR15925:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S23, MITOCHONDRIAL', 162883),
(219158, 'PTHR10749:SF5', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE B KINASE REGULATORY SUBUNIT ALPHA, LIVER ISOFORM', 162884),
(219159, 'PTHR21472:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162885),
(219160, 'PTHR14038:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PRRC2A', 162886),
(219161, 'PTHR22835:SF501', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162887),
(219162, 'PTHR46665:SF8', NULL, NULL, NULL, NULL, 'OS05G0199800 PROTEIN', 162888),
(219163, 'PTHR33453:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162889),
(219164, 'PTHR36944', NULL, NULL, NULL, NULL, 'PROTEIN CBG02791-RELATED', 162890),
(219165, 'PTHR31218:SF248', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 162891),
(219166, 'PTHR47487', NULL, NULL, NULL, NULL, 'OS06G0651300 PROTEIN-RELATED', 162892),
(219167, 'PTHR44813:SF1', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE-BINDING PROTEIN 1', 162893);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(219168, 'PTHR11952:SF10', NULL, NULL, NULL, NULL, '16S RRNA PROCESSING PROTEIN RIMM FAMILY', 162894),
(219169, 'PTHR23202:SF3', NULL, NULL, NULL, NULL, 'WAS/WASL-INTERACTING PROTEIN FAMILY MEMBER 2-RELATED', 162895),
(219170, 'PTHR31942:SF80', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 6', 162896),
(219171, 'PTHR43903:SF5', NULL, NULL, NULL, NULL, 'NEUROLIGIN-4, Y-LINKED', 162897),
(219172, 'PTHR11709:SF411', NULL, NULL, NULL, NULL, 'LACCASE', 162898),
(219173, 'PTHR33124:SF66', NULL, NULL, NULL, NULL, 'BNAC07G33520D PROTEIN', 162899),
(219174, 'PTHR14202', NULL, NULL, NULL, NULL, '60 KDA RIBONUCLEOPROTEIN SSA/RO', 162900),
(219175, 'PTHR32472:SF10', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RADA-LIKE PROTEIN', 162901),
(219176, 'PTHR14057:SF32', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ONECUT', 162902),
(219177, 'PTHR28592:SF2', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 1', 162903),
(219178, 'PTHR24253:SF44', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR XI', 162904),
(219179, 'PTHR12064:SF84', NULL, NULL, NULL, NULL, 'DUF21 DOMAIN-CONTAINING PROTEIN', 162905),
(219180, 'PTHR24012:SF821', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 6', 162906),
(219181, 'PTHR43619:SF8', NULL, NULL, NULL, NULL, 'LEUCINE CARBOXYL METHYLTRANSFERASE', 162907),
(219182, 'PTHR47247', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR 2', 162908),
(219183, 'PTHR35042:SF1', NULL, NULL, NULL, NULL, 'ANTHRONE OXYGENASE ENCC', 162909),
(219184, 'PTHR19359:SF89', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE HEME/STEROID BINDING DOMAIN', 162910),
(219185, 'PTHR24205:SF5', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS PROTEIN 3', 162911),
(219186, 'PTHR39555', NULL, NULL, NULL, NULL, 'FIMBRIAL ASSEMBLY PROTEIN PILO-LIKE PROTEIN-RELATED', 162912),
(219187, 'PTHR11017:SF444', NULL, NULL, NULL, NULL, 'BNAA05G33170D PROTEIN', 162913),
(219188, 'PTHR31153:SF17', NULL, NULL, NULL, NULL, 'OS01G0774500 PROTEIN', 162914),
(219189, 'PTHR37231:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 162915),
(219190, 'PTHR10383:SF5', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR 4', 162916),
(219191, 'PTHR19856', NULL, NULL, NULL, NULL, 'WD-REPEATCONTAINING PROTEIN  WDR1', 162917),
(219192, 'PTHR31676:SF157', NULL, NULL, NULL, NULL, 'BNAA09G15320D PROTEIN', 162918),
(219193, 'PTHR11216:SF146', NULL, NULL, NULL, NULL, 'GH06923P', 162919),
(219194, 'PTHR11532:SF63', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE Z', 162920),
(219195, 'PTHR33710:SF20', NULL, NULL, NULL, NULL, 'DNASE I-LIKE SUPERFAMILY PROTEIN', 162921),
(219196, 'PTHR15073:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162922),
(219197, 'PTHR10949', NULL, NULL, NULL, NULL, 'LIPOYL SYNTHASE', 162923),
(219198, 'PTHR31736:SF19', NULL, NULL, NULL, NULL, 'PECTIN LYASE SUPERFAMILY PROTEIN-RELATED', 162924),
(219199, 'PTHR24379:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162925),
(219200, 'PTHR10894:SF31', NULL, NULL, NULL, NULL, 'BNAA02G29790D PROTEIN', 162926),
(219201, 'PTHR47976:SF38', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN FAMILY PROTEIN, EXPRESSED', 162927),
(219202, 'PTHR45863:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162928),
(219203, 'PTHR15478:SF5', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN FAMILY A MEMBER 3', 162929),
(219204, 'PTHR43820', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN LIVF', 162930),
(219205, 'PTHR47992:SF115', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 63-RELATED', 162931),
(219206, 'PTHR33052:SF85', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', 162932),
(219207, 'PTHR45496:SF6', NULL, NULL, NULL, NULL, 'OS09G0463700 PROTEIN', 162933),
(219208, 'PTHR22811:SF126', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA3-LIKE', 162934),
(219209, 'PTHR23226:SF88', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 4', 162935),
(219210, 'PTHR43272:SF40', NULL, NULL, NULL, NULL, 'ACYL COA SYNTHETASE, PUTATIVE-RELATED', 162936),
(219211, 'PTHR11011:SF39', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 162937);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(219212, 'PTHR13533:SF30', NULL, NULL, NULL, NULL, 'PROTEIN REDUCED WALL ACETYLATION 4-LIKE ISOFORM X1', 162938),
(219213, 'PTHR36013:SF2', NULL, NULL, NULL, NULL, 'ATP SYNTHASE 24 KDA SUBUNIT, MITOCHONDRIAL-RELATED', 162939),
(219214, 'PTHR12358:SF93', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 162940),
(219215, 'PTHR10625:SF210', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 162941),
(219216, 'PTHR33494:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162942),
(219217, 'PTHR12592:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT (S)-NAD(P)H-HYDRATE DEHYDRATASE', 162943),
(219218, 'PTHR47364:SF16', NULL, NULL, NULL, NULL, 'BNACNNG57870D PROTEIN', 162944),
(219219, 'PTHR10996:SF233', NULL, NULL, NULL, NULL, 'HYDROXYPHENYLPYRUVATE REDUCTASE-LIKE', 162945),
(219220, 'PTHR42160:SF1', NULL, NULL, NULL, NULL, 'URACIL-DNA GLYCOSYLASE SUPERFAMILY PROTEIN', 162946),
(219221, 'PTHR33154:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 162947),
(219222, 'PTHR46657:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 128 KDA', 162948),
(219223, 'PTHR10177:SF483', NULL, NULL, NULL, NULL, 'BNAANNG03810D PROTEIN', 162949),
(219224, 'PTHR33057:SF31', NULL, NULL, NULL, NULL, 'OS10G0431700 PROTEIN', 162950),
(219225, 'PTHR10809:SF122', NULL, NULL, NULL, NULL, 'BNAC09G20050D PROTEIN', 162951),
(219226, 'PTHR36140:SF9', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 162952),
(219227, 'PTHR10791:SF191', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 162953),
(219228, 'PTHR16485:SF3', NULL, NULL, NULL, NULL, 'MICROFIBRILLAR-ASSOCIATED PROTEIN 2', 162954),
(219229, 'PTHR11588:SF394', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 162955),
(219230, 'PTHR45659:SF10', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A5', 162956),
(219231, 'PTHR11145:SF24', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 162957),
(219232, 'PTHR13392:SF6', NULL, NULL, NULL, NULL, 'ATAXIN-1-LIKE', 162958),
(219233, 'PTHR43512', NULL, NULL, NULL, NULL, 'TRANSLATION FACTOR GUF1-RELATED', 162959),
(219234, 'PTHR48014:SF20', NULL, NULL, NULL, NULL, 'STE20-RELATED KINASE ADAPTER PROTEIN ALPHA', 162960),
(219235, 'PTHR31314:SF106', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS PROTEIN', 162961),
(219236, 'PTHR31286:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162962),
(219237, 'PTHR24403:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 646', 162963),
(219238, 'PTHR24070:SF269', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN DI-RAS3', 162964),
(219239, 'PTHR12842:SF6', NULL, NULL, NULL, NULL, 'FI01459P', 162965),
(219240, 'PTHR48019:SF21', NULL, NULL, NULL, NULL, 'APETALA3', 162966),
(219241, 'PTHR45786:SF22', NULL, NULL, NULL, NULL, 'BNAC01G27740D PROTEIN', 162967),
(219242, 'PTHR47991:SF127', NULL, NULL, NULL, NULL, 'PROTEIN DOWNY MILDEW RESISTANCE 6-LIKE', 162968),
(219243, 'PTHR31083:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162969),
(219244, 'PTHR42715:SF15', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 162970),
(219245, 'PTHR14407:SF9', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 4 PROTEIN', 162971),
(219246, 'PTHR16083:SF28', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 40', 162972),
(219247, 'PTHR31472:SF15', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD-LIKE PROTEIN', 162973),
(219248, 'PTHR18935:SF6', NULL, NULL, NULL, NULL, 'JANUS KINASE AND MICROTUBULE-INTERACTING PROTEIN 1', 162974),
(219249, 'PTHR31917:SF100', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE, ACYL-COA N-ACYLTRANSFERASE, JAS TPL-BINDING DOMAIN PROTEIN-RELATED', 162975),
(219250, 'PTHR19359:SF106', NULL, NULL, NULL, NULL, 'B5 ISOFORM 1, PUTATIVE-RELATED', 162976),
(219251, 'PTHR11905:SF238', NULL, NULL, NULL, NULL, 'PROTEIN CBG16757', 162977),
(219252, 'PTHR24381:SF143', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 90 HOMOLOG', 162978),
(219253, 'PTHR13318:SF170', NULL, NULL, NULL, NULL, 'OS04G0371600 PROTEIN', 162979),
(219254, 'PTHR24348:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ULK1', 162980);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(219255, 'PTHR12181:SF12', NULL, NULL, NULL, NULL, 'GH19076P', 162981),
(219256, 'PTHR11954:SF21', NULL, NULL, NULL, NULL, 'D-DOPACHROME TAUTOMERASE', 162982),
(219257, 'PTHR42995', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 162983),
(219258, 'PTHR11716:SF92', NULL, NULL, NULL, NULL, 'BNAA09G09940D PROTEIN', 162984),
(219259, 'PTHR23421:SF67', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 10', 162985),
(219260, 'PTHR32258:SF30', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1A', 162986),
(219261, 'PTHR13140:SF255', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IC', 162987),
(219262, 'PTHR16317:SF1', NULL, NULL, NULL, NULL, 'KICSTOR COMPLEX PROTEIN ITFG2', 162988),
(219263, 'PTHR46553:SF10', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', 162989),
(219264, 'PTHR22745', NULL, NULL, NULL, NULL, 'PROTHYMOSIN ALPHA', 162990),
(219265, 'PTHR47986:SF8', NULL, NULL, NULL, NULL, 'BNAA06G34540D PROTEIN', 162991),
(219266, 'PTHR34371:SF18', NULL, NULL, NULL, NULL, 'BNAA02G10550D PROTEIN', 162992),
(219267, 'PTHR10509:SF28', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE', 162993),
(219268, 'PTHR48055:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 162994),
(219269, 'PTHR31884:SF1', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', 162995),
(219270, 'PTHR19847:SF21', NULL, NULL, NULL, NULL, 'LEC14B HOMOLOG', 162996),
(219271, 'PTHR10795:SF566', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.5', 162997),
(219272, 'PTHR33525', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 162998),
(219273, 'PTHR13337', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE', 162999),
(219274, 'PTHR22844:SF199', NULL, NULL, NULL, NULL, 'F21J9.19', 163000),
(219275, 'PTHR19965:SF73', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', 163001),
(219276, 'PTHR22956', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN F37A4.4-RELATED-RELATED', 163002),
(219277, 'PTHR31692:SF50', NULL, NULL, NULL, NULL, 'EXPANSIN-B11', 163003),
(219278, 'PTHR31719:SF119', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 2-LIKE ISOFORM X1', 163004),
(219279, 'PTHR13742:SF30', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-RELATED PROTEIN-LIKE ISOFORM X1', 163005),
(219280, 'PTHR34127:SF1', NULL, NULL, NULL, NULL, 'OS04G0405600 PROTEIN', 163006),
(219281, 'PTHR31713:SF38', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 163007),
(219282, 'PTHR45717:SF10', NULL, NULL, NULL, NULL, 'OS10G0501200 PROTEIN', 163008),
(219283, 'PTHR31310:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163009),
(219284, 'PTHR35324:SF4', NULL, NULL, NULL, NULL, 'BNAA08G03750D PROTEIN', 163010),
(219285, 'PTHR24068:SF380', NULL, NULL, NULL, NULL, 'BNAA05G13430D PROTEIN', 163011),
(219286, 'PTHR31989:SF223', NULL, NULL, NULL, NULL, 'OS01G0378400 PROTEIN', 163012),
(219287, 'PTHR39186:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163013),
(219288, 'PTHR16052', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 163014),
(219289, 'PTHR31339:SF49', NULL, NULL, NULL, NULL, 'BNAC06G13740D PROTEIN', 163015),
(219290, 'PTHR11440:SF86', NULL, NULL, NULL, NULL, 'BNAA09G50730D PROTEIN', 163016),
(219291, 'PTHR35735:SF8', NULL, NULL, NULL, NULL, 'PROTEIN NIM1-INTERACTING 2', 163017),
(219292, 'PTHR46387', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', 163018),
(219293, 'PTHR31283', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT PCC1 FAMILY MEMBER', 163019),
(219294, 'PTHR12753:SF0', NULL, NULL, NULL, NULL, 'ALPHA N-TERMINAL PROTEIN METHYLTRANSFERASE 1-RELATED', 163020),
(219295, 'PTHR43795:SF91', NULL, NULL, NULL, NULL, 'BNAANNG22030D PROTEIN', 163021),
(219296, 'PTHR11818:SF116', NULL, NULL, NULL, NULL, 'CRYSTALLIN BETA-GAMMA DOMAIN-CONTAINING 1A', 163022),
(219297, 'PTHR11132:SF446', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163023),
(219298, 'PTHR22765:SF42', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 150', 163024),
(219299, 'PTHR33512:SF23', NULL, NULL, NULL, NULL, 'BNAA03G54720D PROTEIN', 163025),
(219300, 'PTHR11871:SF30', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', 163026); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(219301, 'PTHR24379:SF80', NULL, NULL, NULL, NULL, 'MCG125498, ISOFORM CRA_A-RELATED', 163027),
(219302, 'PTHR13603:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 186', 163028),
(219303, 'PTHR22765:SF313', NULL, NULL, NULL, NULL, 'OS02G0798200 PROTEIN', 163029),
(219304, 'PTHR11599:SF115', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 163030),
(219305, 'PTHR20900:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 7', 163031),
(219306, 'PTHR11183:SF154', NULL, NULL, NULL, NULL, 'GLYCOGENIN LIKE', 163032),
(219307, 'PTHR32176:SF5', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 1', 163033),
(219308, 'PTHR11668:SF442', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 3', 163034),
(219309, 'PTHR30175:SF1', NULL, NULL, NULL, NULL, 'PTS SYSTEM ARBUTIN-, CELLOBIOSE-, AND SALICIN-SPECIFIC EIIBC COMPONENT-RELATED', 163035),
(219310, 'PTHR20855:SF92', NULL, NULL, NULL, NULL, 'MEMBRANE PROGESTIN RECEPTOR BETA-LIKE ISOFORM X1', 163036),
(219311, 'PTHR14063:SF7', NULL, NULL, NULL, NULL, 'PROTEIN LIN-7 HOMOLOG B', 163037),
(219312, 'PTHR18949:SF0', NULL, NULL, NULL, NULL, 'CALDESMON', 163038),
(219313, 'PTHR11250:SF0', NULL, NULL, NULL, NULL, 'TACHYKININ PRECUROSOR', 163039),
(219314, 'PTHR31235:SF315', NULL, NULL, NULL, NULL, 'PEROXIDASE', 163040),
(219315, 'PTHR47370', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 163041),
(219316, 'PTHR31009:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163042),
(219317, 'PTHR14353:SF8', NULL, NULL, NULL, NULL, 'MARCKS-RELATED PROTEIN', 163043),
(219318, 'PTHR23112:SF12', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 157', 163044),
(219319, 'PTHR47958:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163045),
(219320, 'PTHR23334:SF48', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 19', 163046),
(219321, 'PTHR12673:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163047),
(219322, 'PTHR37441:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG16517', 163048),
(219323, 'PTHR43153', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN ALPHA', 163049),
(219324, 'PTHR45717:SF33', NULL, NULL, NULL, NULL, 'BNAA09G03740D PROTEIN', 163050),
(219325, 'PTHR28628:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 88', 163051),
(219326, 'PTHR32444:SF75', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', 163052),
(219327, 'PTHR48002:SF73', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 163053),
(219328, 'PTHR33505', NULL, NULL, NULL, NULL, 'ZGC:162634', 163054),
(219329, 'PTHR34352:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YHFA', 163055),
(219330, 'PTHR12357:SF99', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING PROTEIN ECT2-RELATED', 163056),
(219331, 'PTHR43888:SF34', NULL, NULL, NULL, NULL, 'BNAC09G36560D PROTEIN', 163057),
(219332, 'PTHR13937:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG08600', 163058),
(219333, 'PTHR31969:SF50', NULL, NULL, NULL, NULL, 'BNAA04G12930D PROTEIN', 163059),
(219334, 'PTHR13690:SF79', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 163060),
(219335, 'PTHR43899:SF14', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN 3-OXOACYL-COA REDUCTASE', 163061),
(219336, 'PTHR36586:SF22', NULL, NULL, NULL, NULL, 'EXTENSIN-3-LIKE', 163062),
(219337, 'PTHR11977:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163063),
(219338, 'PTHR31741:SF44', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE', 163064),
(219339, 'PTHR48205:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163065),
(219340, 'PTHR35750:SF2', NULL, NULL, NULL, NULL, 'BNAANNG36270D PROTEIN', 163066),
(219341, 'PTHR31529:SF47', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 31', 163067),
(219342, 'PTHR13929:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163068),
(219343, 'PTHR13675:SF0', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 2', 163069),
(219344, 'PTHR46362', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 5', 163070),
(219345, 'PTHR46050:SF16', NULL, NULL, NULL, NULL, 'BNAA01G24400D PROTEIN', 163071);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(219346, 'PTHR37419:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TOXIN HIPA', 163072),
(219347, 'PTHR14499:SF118', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 163073),
(219348, 'PTHR45868:SF34', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', 163074),
(219349, 'PTHR47985:SF30', NULL, NULL, NULL, NULL, 'BNAC01G29960D PROTEIN', 163075),
(219350, 'PTHR45967:SF28', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER (BZIP) TRANSCRIPTION FACTOR FAMILY PROTEIN', 163076),
(219351, 'PTHR31050:SF11', NULL, NULL, NULL, NULL, 'F13B4.1 PROTEIN', 163077),
(219352, 'PTHR23147:SF151', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 2 ISOFORM X1', 163078),
(219353, 'PTHR35830:SF1', NULL, NULL, NULL, NULL, 'OS05G0299200 PROTEIN', 163079),
(219354, 'PTHR11461:SF165', NULL, NULL, NULL, NULL, 'ALPHA-1-ANTITRYPSIN', 163080),
(219355, 'PTHR24133:SF40', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX-CONTAINING 3', 163081),
(219356, 'PTHR21290:SF34', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:CERAMIDE CHOLINEPHOSPHOTRANSFERASE 3-RELATED', 163082),
(219357, 'PTHR10209:SF664', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE, NON-HEME DIOXYGENASE DOMAIN-CONTAINING PROTEIN-RELATED', 163083),
(219358, 'PTHR24078:SF550', NULL, NULL, NULL, NULL, 'BNAANNG28460D PROTEIN', 163084),
(219359, 'PTHR33861:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163085),
(219360, 'PTHR10182:SF22', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN', 163086),
(219361, 'PTHR27000:SF558', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IRK-RELATED', 163087),
(219362, 'PTHR47488:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 163088),
(219363, 'PTHR38753', NULL, NULL, NULL, NULL, 'SLR1441 PROTEIN', 163089),
(219364, 'PTHR46352:SF11', NULL, NULL, NULL, NULL, 'PROTEIN SENSITIVE TO PROTON RHIZOTOXICITY 2', 163090),
(219365, 'PTHR32018:SF15', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-RELATED', 163091),
(219366, 'PTHR21301:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163092),
(219367, 'PTHR10114:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', 163093),
(219368, 'PTHR23122', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED GUANYLATE KINASE  MAGUK', 163094),
(219369, 'PTHR42734:SF7', NULL, NULL, NULL, NULL, 'MANGANESE TRANSPORT SYSTEM ATP-BINDING PROTEIN MNTA', 163095),
(219370, 'PTHR31692:SF12', NULL, NULL, NULL, NULL, 'EXPANSIN-B6', 163096),
(219371, 'PTHR23167:SF45', NULL, NULL, NULL, NULL, 'SMOOTHELIN-LIKE PROTEIN 1', 163097),
(219372, 'PTHR11742:SF45', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE ALPHA-1,2-MANNOSIDASE 1B', 163098),
(219373, 'PTHR11615:SF305', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 163099),
(219374, 'PTHR35496', NULL, NULL, NULL, NULL, '2S SEED STORAGE PROTEIN 1-RELATED', 163100),
(219375, 'PTHR30328', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR', 163101),
(219376, 'PTHR39683:SF4', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN TB16.3', 163102),
(219377, 'PTHR11071:SF328', NULL, NULL, NULL, NULL, 'MOCA-CYP, ISOFORM A', 163103),
(219378, 'PTHR43650:SF23', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA 2', 163104),
(219379, 'PTHR37024', NULL, NULL, NULL, NULL, 'TYPE VI SECRETION SYSTEM DUF2094 AND IMPA-RELATED DOMAIN PROTEIN', 163105),
(219380, 'PTHR46614', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 4', 163106),
(219381, 'PTHR24223:SF411', NULL, NULL, NULL, NULL, 'NHPM BACTERIOCIN SYSTEM ABC TRANSPORTER, PEPTIDASE/ATP-BINDING PROTEIN-RELATED', 163107),
(219382, 'PTHR27000:SF484', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1-RELATED', 163108),
(219383, 'PTHR28206:SF1', NULL, NULL, NULL, NULL, 'NUCLEOPORIN POM152', 163109),
(219384, 'PTHR33074:SF82', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 163110),
(219385, 'PTHR28051:SF2', NULL, NULL, NULL, NULL, 'ADR205CP', 163111),
(219386, 'PTHR13748:SF60', NULL, NULL, NULL, NULL, 'BNAA06G10350D PROTEIN', 163112),
(219387, 'PTHR11017:SF394', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163113);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(219388, 'PTHR12399:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT D', 163114),
(219389, 'PTHR41328', NULL, NULL, NULL, NULL, 'TERMINASE SMALL SUBUNIT-RELATED', 163115),
(219390, 'PTHR43129', NULL, NULL, NULL, NULL, 'FOSMIDOMYCIN RESISTANCE PROTEIN', 163116),
(219391, 'PTHR24078:SF529', NULL, NULL, NULL, NULL, 'HEAT-SHOCK PROTEIN DNAJ', 163117),
(219392, 'PTHR45666:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163118),
(219393, 'PTHR37422:SF11', NULL, NULL, NULL, NULL, 'O-ANTIGEN LIGASE', 163119),
(219394, 'PTHR31495:SF37', NULL, NULL, NULL, NULL, 'CALEOSIN-RELATED PROTEIN-RELATED', 163120),
(219395, 'PTHR28094', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 113 PROTEIN', 163121),
(219396, 'PTHR15031:SF0', NULL, NULL, NULL, NULL, 'CARTILAGE INTERMEDIATE LAYER PROTEIN 2', 163122),
(219397, 'PTHR21255:SF2', NULL, NULL, NULL, NULL, 'LIGHT CHAIN, PUTATIVE-RELATED', 163123),
(219398, 'PTHR10353:SF170', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 44-LIKE', 163124),
(219399, 'PTHR33021:SF363', NULL, NULL, NULL, NULL, 'MAVICYANIN-LIKE', 163125),
(219400, 'PTHR38936', NULL, NULL, NULL, NULL, 'TITIN-LIKE ISOFORM X2', 163126),
(219401, 'PTHR30126:SF83', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 163127),
(219402, 'PTHR24298:SF563', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 76C3', 163128),
(219403, 'PTHR21353:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163129),
(219404, 'PTHR31512:SF1', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC049762', 163130),
(219405, 'PTHR36724', NULL, NULL, NULL, NULL, 'COMPLEX 1 LYR-LIKE PROTEIN', 163131),
(219406, 'PTHR16083:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 27', 163132),
(219407, 'PTHR11716:SF52', NULL, NULL, NULL, NULL, 'OS11G0546600 PROTEIN', 163133),
(219408, 'PTHR32510:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163134),
(219409, 'PTHR31807:SF45', NULL, NULL, NULL, NULL, 'BNAA04G25600D PROTEIN', 163135),
(219410, 'PTHR13793:SF135', NULL, NULL, NULL, NULL, 'OS01G0179500 PROTEIN', 163136),
(219411, 'PTHR31828:SF32', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA', 163137),
(219412, 'PTHR24064:SF413', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-4-RELATED', 163138),
(219413, 'PTHR43052', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 163139),
(219414, 'PTHR31901:SF40', NULL, NULL, NULL, NULL, 'JASMONIC ACID-AMIDO SYNTHETASE JAR1-LIKE ISOFORM X1', 163140),
(219415, 'PTHR35115:SF4', NULL, NULL, NULL, NULL, 'PROTEIN IN CHLOROPLAST ATPASE BIOGENESIS, CHLOROPLASTIC', 163141),
(219416, 'PTHR31142:SF34', NULL, NULL, NULL, NULL, 'OS03G0565600 PROTEIN', 163142),
(219417, 'PTHR37686:SF1', NULL, NULL, NULL, NULL, 'LD36006P', 163143),
(219418, 'PTHR30546:SF25', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 3-RELATED', 163144),
(219419, 'PTHR13748:SF62', NULL, NULL, NULL, NULL, 'COBW DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G07990)', 163145),
(219420, 'PTHR23022:SF106', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT TC1 TRANSPOSASE', 163146),
(219421, 'PTHR11362:SF7', NULL, NULL, NULL, NULL, 'AGAP003580-PA', 163147),
(219422, 'PTHR19863:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 47', 163148),
(219423, 'PTHR24006:SF667', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 29', 163149),
(219424, 'PTHR21257:SF53', NULL, NULL, NULL, NULL, '7-DEHYDROCHOLESTEROL REDUCTASE', 163150),
(219425, 'PTHR10443:SF37', NULL, NULL, NULL, NULL, 'DIPEPTIDASE', 163151),
(219426, 'PTHR34206:SF8', NULL, NULL, NULL, NULL, 'OS10G0390701 PROTEIN', 163152),
(219427, 'PTHR47985:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE LIP2', 163153),
(219428, 'PTHR15711:SF7', NULL, NULL, NULL, NULL, 'SIGNAL-INDUCED PROLIFERATION-ASSOCIATED 1-LIKE PROTEIN 2', 163154),
(219429, 'PTHR34222:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163155),
(219430, 'PTHR31517:SF46', NULL, NULL, NULL, NULL, 'PEROXIDASE', 163156),
(219431, 'PTHR45995:SF5', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 163157),
(219432, 'PTHR10658:SF38', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 4', 163158);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(219433, 'PTHR42861:SF29', NULL, NULL, NULL, NULL, 'SECRETORY PATHWAY CALCIUM ATPASE, ISOFORM G', 163159),
(219434, 'PTHR13333:SF5', NULL, NULL, NULL, NULL, 'M-AAA PROTEASE-INTERACTING PROTEIN 1, MITOCHONDRIAL', 163160),
(219435, 'PTHR12166', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT SECRETION ACTIVATOR', 163161),
(219436, 'PTHR48104:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163162),
(219437, 'PTHR10972:SF159', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 1', 163163),
(219438, 'PTHR27007:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163164),
(219439, 'PTHR42758:SF1', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE D GDPD1', 163165),
(219440, 'PTHR47988:SF2', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 3', 163166),
(219441, 'PTHR45980:SF15', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 2, CHLOROPLASTIC ISOFORM X1', 163167),
(219442, 'PTHR33650', NULL, NULL, NULL, NULL, 'CHLOROPLAST ENVELOPE MEMBRANE PROTEIN-RELATED', 163168),
(219443, 'PTHR14696:SF2', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 6 PROTEIN', 163169),
(219444, 'PTHR31457:SF2', NULL, NULL, NULL, NULL, 'METHYLMALONIC ACIDURIA AND HOMOCYSTINURIA TYPE C PROTEIN', 163170),
(219445, 'PTHR33648:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163171),
(219446, 'PTHR11064:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163172),
(219447, 'PTHR10127:SF815', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-9', 163173),
(219448, 'PTHR48215:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163174),
(219449, 'PTHR46560:SF8', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 163175),
(219450, 'PTHR10590:SF20', NULL, NULL, NULL, NULL, 'SODIUM/NUCLEOSIDE COTRANSPORTER', 163176),
(219451, 'PTHR46328:SF12', NULL, NULL, NULL, NULL, 'FAR-RED IMPAIRED RESPONSE-LIKE PROTEIN', 163177),
(219452, 'PTHR45621:SF166', NULL, NULL, NULL, NULL, 'GPCR KINASE, CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN PROTEIN-RELATED', 163178),
(219453, 'PTHR22883:SF334', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC11-RELATED', 163179),
(219454, 'PTHR23113:SF217', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR 2', 163180),
(219455, 'PTHR23122:SF44', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PALMITOYLATED 6A (MAGUK P55 SUBFAMILY MEMBER 6)', 163181),
(219456, 'PTHR45752:SF16', NULL, NULL, NULL, NULL, 'OS01G0937400 PROTEIN', 163182),
(219457, 'PTHR31086:SF58', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 6', 163183),
(219458, 'PTHR23267:SF439', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163184),
(219459, 'PTHR34005:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG08730', 163185),
(219460, 'PTHR43758', NULL, NULL, NULL, NULL, '7,8-DIHYDRO-8-OXOGUANINE TRIPHOSPHATASE', 163186),
(219461, 'PTHR31651:SF20', NULL, NULL, NULL, NULL, 'EFFLUX CARRIER FAMILY PROTEIN, PUTATIVE-RELATED', 163187),
(219462, 'PTHR16866', NULL, NULL, NULL, NULL, 'GASTRIN-RELEASING PEPTIDE', 163188),
(219463, 'PTHR19876:SF23', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''-3', 163189),
(219464, 'PTHR15175', NULL, NULL, NULL, NULL, 'NEUTROPHIL CYTOSOLIC FACTOR 2, NEUTROPHIL NADPH OXIDASE FACTOR 2', 163190),
(219465, 'PTHR11486:SF146', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', 163191),
(219466, 'PTHR19139:SF277', NULL, NULL, NULL, NULL, 'AQUAPORIN-0B', 163192),
(219467, 'PTHR31674:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163193),
(219468, 'PTHR31707:SF213', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 32-RELATED', 163194),
(219469, 'PTHR35763', NULL, NULL, NULL, NULL, 'COMPLEX 1 LYR-LIKE PROTEIN', 163195),
(219470, 'PTHR14057:SF46', NULL, NULL, NULL, NULL, 'ONE CUT DOMAIN FAMILY MEMBER', 163196),
(219471, 'PTHR40036:SF1', NULL, NULL, NULL, NULL, 'MACROCIN O-METHYLTRANSFERASE', 163197),
(219472, 'PTHR24559:SF338', NULL, NULL, NULL, NULL, 'TRANSPOSON TF2-9 POLYPROTEIN-LIKE PROTEIN', 163198),
(219473, 'PTHR45974:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163199),
(219474, 'PTHR34545:SF8', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER', 163200),
(219475, 'PTHR48043:SF66', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 163201);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(219476, 'PTHR15271', NULL, NULL, NULL, NULL, 'CHROMATIN ASSEMBLY FACTOR 1 SUBUNIT B', 163202),
(219477, 'PTHR10155:SF23', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALLING 1-LIKE PROTEIN', 163203),
(219478, 'PTHR43452', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE', 163204),
(219479, 'PTHR45560', NULL, NULL, NULL, NULL, 'OS04G0163150 PROTEIN-RELATED', 163205),
(219480, 'PTHR33513:SF27', NULL, NULL, NULL, NULL, 'OS06G0523300 PROTEIN', 163206),
(219481, 'PTHR21470:SF20', NULL, NULL, NULL, NULL, 'BNAA04G16000D PROTEIN', 163207),
(219482, 'PTHR31639:SF50', NULL, NULL, NULL, NULL, 'OS10G0384600 PROTEIN', 163208),
(219483, 'PTHR31836:SF21', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN 2', 163209),
(219484, 'PTHR13068:SF168', NULL, NULL, NULL, NULL, 'MITOCHODRIAL TRANSCRIPTION TERMINATION FACTOR-RELATED', 163210),
(219485, 'PTHR31852:SF33', NULL, NULL, NULL, NULL, 'OS05G0584300 PROTEIN', 163211),
(219486, 'PTHR44196', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7B', 163212),
(219487, 'PTHR22870:SF369', NULL, NULL, NULL, NULL, 'CHROMATIN REGULATOR PHD FAMILY-RELATED', 163213),
(219488, 'PTHR21646:SF5', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', 163214),
(219489, 'PTHR31790:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163215),
(219490, 'PTHR36424', NULL, NULL, NULL, NULL, 'PHEROMONE-REGULATED MEMBRANE PROTEIN 6', 163216),
(219491, 'PTHR48001:SF148', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1J1', 163217),
(219492, 'PTHR47618:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL OLIGORIBONUCLEASE AND PAP PHOSPHATASE NRNA', 163218),
(219493, 'PTHR43637:SF2', NULL, NULL, NULL, NULL, 'PROTEIN GVPD 1', 163219),
(219494, 'PTHR10869:SF193', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 5', 163220),
(219495, 'PTHR23420:SF16', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE 2', 163221),
(219496, 'PTHR31471:SF2', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', 163222),
(219497, 'PTHR24055:SF351', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 12', 163223),
(219498, 'PTHR46056:SF2', NULL, NULL, NULL, NULL, 'OS10G0475100 PROTEIN', 163224),
(219499, 'PTHR34195:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT PSAK, CHLOROPLASTIC', 163225),
(219500, 'PTHR45631:SF33', NULL, NULL, NULL, NULL, 'BNAC03G63900D PROTEIN', 163226),
(219501, 'PTHR12447:SF7', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 163227),
(219502, 'PTHR46537:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1A-RELATED', 163228),
(219503, 'PTHR13019', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 163229),
(219504, 'PTHR11638:SF163', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPB', 163230),
(219505, 'PTHR22870:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163231),
(219506, 'PTHR16266', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 9', 163232),
(219507, 'PTHR10410:SF32', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT H', 163233),
(219508, 'PTHR26312:SF179', NULL, NULL, NULL, NULL, 'REPEAT-LIKE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 163234),
(219509, 'PTHR32212:SF311', NULL, NULL, NULL, NULL, 'BNAA02G08690D PROTEIN', 163235),
(219510, 'PTHR43861:SF1', NULL, NULL, NULL, NULL, 'TRANS-ACONITATE 2-METHYLTRANSFERASE', 163236),
(219511, 'PTHR26452:SF222', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6B2-RELATED', 163237),
(219512, 'PTHR34306', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 163238),
(219513, 'PTHR43795:SF33', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', 163239),
(219514, 'PTHR47444', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 163240),
(219515, 'PTHR34606:SF12', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', 163241),
(219516, 'PTHR12479:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163242),
(219517, 'PTHR10722:SF18', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', 163243),
(219518, 'PTHR47765:SF2', NULL, NULL, NULL, NULL, '3''-5'' EXONUCLEASE DOMAIN-CONTAINING PROTEIN', 163244),
(219519, 'PTHR24323:SF3', NULL, NULL, NULL, NULL, 'VISUAL SYSTEM HOMEOBOX 1', 163245),
(219520, 'PTHR31384:SF112', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 15', 163246);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(219521, 'PTHR40083', NULL, NULL, NULL, NULL, 'UPF0122 PROTEIN CBO2450/CLC_2298', 163247),
(219522, 'PTHR46547:SF14', NULL, NULL, NULL, NULL, 'BNAC03G23550D PROTEIN', 163248),
(219523, 'PTHR27003', NULL, NULL, NULL, NULL, 'OS07G0166700 PROTEIN', 163249),
(219524, 'PTHR24300:SF88', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 518A1-RELATED', 163250),
(219525, 'PTHR11003:SF301', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL PROTEIN', 163251),
(219526, 'PTHR16036:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND ZINC FINGER DOMAIN-CONTAINING PROTEIN 1', 163252),
(219527, 'PTHR10844:SF28', NULL, NULL, NULL, NULL, 'CAVEOLIN', 163253),
(219528, 'PTHR31989:SF205', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 17', 163254),
(219529, 'PTHR31674:SF66', NULL, NULL, NULL, NULL, 'BNAA04G14550D PROTEIN', 163255),
(219530, 'PTHR33727:SF16', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF3317)-RELATED', 163256),
(219531, 'PTHR31988:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163257),
(219532, 'PTHR34793', NULL, NULL, NULL, NULL, 'PROTEIN THYLAKOID FORMATION 1, CHLOROPLASTIC', 163258),
(219533, 'PTHR13062:SF9', NULL, NULL, NULL, NULL, 'MICROBIAL COLLAGENASE', 163259),
(219534, 'PTHR12121:SF83', NULL, NULL, NULL, NULL, 'CARBON CATABOLITE REPRESSOR PROTEIN 4 HOMOLOG 1-LIKE', 163260),
(219535, 'PTHR12027:SF72', NULL, NULL, NULL, NULL, 'PROTEIN WNT-6', 163261),
(219536, 'PTHR10658:SF55', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 1', 163262),
(219537, 'PTHR46486', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 163263),
(219538, 'PTHR11426:SF209', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE 4', 163264),
(219539, 'PTHR11732:SF206', NULL, NULL, NULL, NULL, 'REDUCTASE (AKR), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14270)-RELATED', 163265),
(219540, 'PTHR36917:SF1', NULL, NULL, NULL, NULL, 'INTRACELLULAR SEPTATION PROTEIN A-RELATED', 163266),
(219541, 'PTHR11454', NULL, NULL, NULL, NULL, 'INSULIN/INSULIN GROWTH FACTOR', 163267),
(219542, 'PTHR24377:SF818', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 34', 163268),
(219543, 'PTHR33191:SF48', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 4-RELATED', 163269),
(219544, 'PTHR31636:SF2', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 18', 163270),
(219545, 'PTHR24064:SF565', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER 13', 163271),
(219546, 'PTHR31739:SF31', NULL, NULL, NULL, NULL, 'ENT-COPALYL DIPHOSPHATE SYNTHASE 1, CHLOROPLASTIC', 163272),
(219547, 'PTHR46258', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 163273),
(219548, 'PTHR22793', NULL, NULL, NULL, NULL, 'MYOCARDIN-RELATED TRANSCRIPTION FACTOR-RELATED', 163274),
(219549, 'PTHR10426:SF88', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 4-RELATED', 163275),
(219550, 'PTHR31235:SF259', NULL, NULL, NULL, NULL, 'PEROXIDASE', 163276),
(219551, 'PTHR30345:SF6', NULL, NULL, NULL, NULL, 'RIBOSE 5-PHOSPHATE ISOMERASE-RELATED', 163277),
(219552, 'PTHR11176:SF37', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', 163278),
(219553, 'PTHR30540:SF79', NULL, NULL, NULL, NULL, 'LOW AFFINITY POTASSIUM TRANSPORT SYSTEM PROTEIN KUP', 163279),
(219554, 'PTHR31458:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163280),
(219555, 'PTHR12286', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 163281),
(219556, 'PTHR23076:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163282),
(219557, 'PTHR11736:SF153', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 10', 163283),
(219558, 'PTHR48018:SF172', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8G3 PSEUDOGENE-RELATED', 163284),
(219559, 'PTHR10994:SF168', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B15', 163285),
(219560, 'PTHR24390:SF92', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN SNAI1', 163286),
(219561, 'PTHR11831:SF35', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S4, CHLOROPLASTIC', 163287),
(219562, 'PTHR13886:SF4', NULL, NULL, NULL, NULL, 'JNK-INTERACTING PROTEIN 3', 163288),
(219563, 'PTHR34618', NULL, NULL, NULL, NULL, 'SURFACE PROTEIN MAS1, PUTATIVE-RELATED', 163289),
(219564, 'PTHR22923:SF96', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q-LIKE PROTEIN 3', 163290);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(219565, 'PTHR33377:SF64', NULL, NULL, NULL, NULL, 'OS05G0533400 PROTEIN', 163291),
(219566, 'PTHR10108:SF1127', NULL, NULL, NULL, NULL, 'PMT16, PUTATIVE-RELATED', 163292),
(219567, 'PTHR22975:SF19', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 163293),
(219568, 'PTHR31105:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163294),
(219569, 'PTHR15241:SF322', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1', 163295),
(219570, 'PTHR42756:SF1', NULL, NULL, NULL, NULL, 'MARR FAMILY REGULATORY PROTEIN', 163296),
(219571, 'PTHR14454:SF11', NULL, NULL, NULL, NULL, 'SERRANO, ISOFORM F', 163297),
(219572, 'PTHR45620:SF17', NULL, NULL, NULL, NULL, 'SECRETIN/CLASS B GPCR', 163298),
(219573, 'PTHR11711:SF371', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR B1C', 163299),
(219574, 'PTHR34671:SF11', NULL, NULL, NULL, NULL, 'EM-LIKE PROTEIN GEA1', 163300),
(219575, 'PTHR47968:SF25', NULL, NULL, NULL, NULL, 'KINESIN-RELATED PROTEIN 11', 163301),
(219576, 'PTHR24223:SF173', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY C MEMBER 9', 163302),
(219577, 'PTHR31235:SF181', NULL, NULL, NULL, NULL, 'PEROXIDASE 64', 163303),
(219578, 'PTHR39473:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163304),
(219579, 'PTHR21319:SF52', NULL, NULL, NULL, NULL, 'BNAC09G39170D PROTEIN', 163305),
(219580, 'PTHR35119:SF1', NULL, NULL, NULL, NULL, 'PROTEIN POLYCHOME', 163306),
(219581, 'PTHR31775:SF34', NULL, NULL, NULL, NULL, 'REMORIN-RELATED', 163307),
(219582, 'PTHR12483:SF79', NULL, NULL, NULL, NULL, 'CTR COPPER TRANSPORTER', 163308),
(219583, 'PTHR31374:SF275', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32-LIKE', 163309),
(219584, 'PTHR40141:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163310),
(219585, 'PTHR23500:SF533', NULL, NULL, NULL, NULL, 'OS07G0582400 PROTEIN', 163311),
(219586, 'PTHR23322:SF64', NULL, NULL, NULL, NULL, 'OS02G0640700 PROTEIN', 163312),
(219587, 'PTHR37368:SF1', NULL, NULL, NULL, NULL, 'TSSK6-ACTIVATING CO-CHAPERONE PROTEIN', 163313),
(219588, 'PTHR37232:SF2', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN PROTEIN', 163314),
(219589, 'PTHR33998:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163315),
(219590, 'PTHR10775:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163316),
(219591, 'PTHR11132:SF362', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE/PHOSPHATE-TRANSLOCATOR-LIKE PROTEIN 1-RELATED', 163317),
(219592, 'PTHR31720:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS Z', 163318),
(219593, 'PTHR12706:SF5', NULL, NULL, NULL, NULL, 'PROTEIN STRAWBERRY NOTCH HOMOLOG 2', 163319),
(219594, 'PTHR24349:SF447', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 2-LIKE', 163320),
(219595, 'PTHR47958:SF35', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: DEAD-BOX ATP-DEPENDENT RNA HELICASE 42-LIKE', 163321),
(219596, 'PTHR47447:SF6', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT SMR4', 163322),
(219597, 'PTHR43433:SF8', NULL, NULL, NULL, NULL, 'BLL8011 PROTEIN', 163323),
(219598, 'PTHR31218:SF296', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 163324),
(219599, 'PTHR14983:SF1', NULL, NULL, NULL, NULL, 'CILIOGENESIS AND PLANAR POLARITY EFFECTOR 2', 163325),
(219600, 'PTHR48100:SF25', NULL, NULL, NULL, NULL, 'PE-PGRS FAMILY PROTEIN PE_PGRS11', 163326),
(219601, 'PTHR31621:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163327),
(219602, 'PTHR45614:SF72', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB25', 163328),
(219603, 'PTHR24281:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163329),
(219604, 'PTHR31213:SF70', NULL, NULL, NULL, NULL, 'MAJOR ALLERGEN PRU AR 1-LIKE', 163330),
(219605, 'PTHR10579:SF54', NULL, NULL, NULL, NULL, 'OS03G0142500 PROTEIN', 163331),
(219606, 'PTHR48201:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163332),
(219607, 'PTHR28242:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163333),
(219608, 'PTHR23051:SF12', NULL, NULL, NULL, NULL, 'OSJNBA0070O11.5 PROTEIN', 163334),
(219609, 'PTHR42854:SF9', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 3', 163335);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(219610, 'PTHR24198', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND PROTEIN KINASE DOMAIN-CONTAINING PROTEIN', 163336),
(219611, 'PTHR31683:SF124', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 163337),
(219612, 'PTHR31009:SF75', NULL, NULL, NULL, NULL, 'CARBOXYL METHYLTRANSFERASE, PUTATIVE-RELATED', 163338),
(219613, 'PTHR24128:SF71', NULL, NULL, NULL, NULL, 'BNAA04G16730D PROTEIN', 163339),
(219614, 'PTHR43380:SF11', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT ALPHA 2, MITOCHONDRIAL', 163340),
(219615, 'PTHR31852:SF55', NULL, NULL, NULL, NULL, 'OS09G0435400 PROTEIN', 163341),
(219616, 'PTHR33064:SF28', NULL, NULL, NULL, NULL, 'POL PROTEIN', 163342),
(219617, 'PTHR31374', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN-LIKE-RELATED', 163343),
(219618, 'PTHR27005:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163344),
(219619, 'PTHR25462:SF283', NULL, NULL, NULL, NULL, 'MCG1377', 163345),
(219620, 'PTHR38355', NULL, NULL, NULL, NULL, 'OS06G0149500 PROTEIN', 163346),
(219621, 'PTHR15744:SF1', NULL, NULL, NULL, NULL, 'KH HOMOLOGY DOMAIN-CONTAINING PROTEIN 4', 163347),
(219622, 'PTHR31674:SF60', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM8-LIKE', 163348),
(219623, 'PTHR48043:SF18', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 163349),
(219624, 'PTHR11802:SF259', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE 3', 163350),
(219625, 'PTHR23322:SF83', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN', 163351),
(219626, 'PTHR33737:SF11', NULL, NULL, NULL, NULL, 'BNAA10G12980D PROTEIN', 163352),
(219627, 'PTHR45915:SF7', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 66', 163353),
(219628, 'PTHR24320:SF169', NULL, NULL, NULL, NULL, 'AT09608P', 163354),
(219629, 'PTHR11523:SF12', NULL, NULL, NULL, NULL, 'PROTEIN ATP1B4', 163355),
(219630, 'PTHR21052:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163356),
(219631, 'PTHR43652:SF1', NULL, NULL, NULL, NULL, 'CATION TRANSPORTER-RELATED', 163357),
(219632, 'PTHR48169:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163358),
(219633, 'PTHR24056:SF470', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE D-2', 163359),
(219634, 'PTHR33186:SF20', NULL, NULL, NULL, NULL, 'OS10G0138300 PROTEIN', 163360),
(219635, 'PTHR10093:SF12', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY PROTEIN 3', 163361),
(219636, 'PTHR23274:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE PIF3', 163362),
(219637, 'PTHR10113:SF29', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1 (ERF1), PF03463-RELATED', 163363),
(219638, 'PTHR14379:SF29', NULL, NULL, NULL, NULL, 'ACID BINDING PROTEIN, PUTATIVE-RELATED', 163364),
(219639, 'PTHR11668:SF299', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 163365),
(219640, 'PTHR46375:SF3', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 13', 163366),
(219641, 'PTHR17920', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 4 TMCO4', 163367),
(219642, 'PTHR38657', NULL, NULL, NULL, NULL, 'SLR1343 PROTEIN', 163368),
(219643, 'PTHR43592:SF19', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', 163369),
(219644, 'PTHR31042:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163370),
(219645, 'PTHR24092:SF161', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 163371),
(219646, 'PTHR24203:SF38', NULL, NULL, NULL, NULL, 'NOTCH-REGULATED ANKYRIN REPEAT-CONTAINING PROTEIN', 163372),
(219647, 'PTHR11956:SF5', NULL, NULL, NULL, NULL, 'ARGININE--TRNA LIGASE, CYTOPLASMIC-RELATED', 163373),
(219648, 'PTHR10229:SF4', NULL, NULL, NULL, NULL, 'GTPASE HFLX', 163374),
(219649, 'PTHR13318:SF180', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 4-LIKE ISOFORM X1', 163375),
(219650, 'PTHR38626', NULL, NULL, NULL, NULL, 'SKN-1 DEPENDENT ZYGOTIC TRANSCRIPT-RELATED', 163376),
(219651, 'PTHR46681', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN NDC80 HOMOLOG', 163377),
(219652, 'PTHR46058:SF18', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 2', 163378),
(219653, 'PTHR35446', NULL, NULL, NULL, NULL, 'SI:CH211-175M2.5', 163379); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(219654, 'PTHR43614', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 163380),
(219655, 'PTHR22957:SF532', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 15-LIKE ISOFORM X1', 163381),
(219656, 'PTHR24039:SF43', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C1Q RECEPTOR', 163382),
(219657, 'PTHR12810:SF0', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S29, MITOCHONDRIAL', 163383),
(219658, 'PTHR24300:SF104', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 508A2-RELATED', 163384),
(219659, 'PTHR23301:SF72', NULL, NULL, NULL, NULL, 'FI02047P-RELATED', 163385),
(219660, 'PTHR33871:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163386),
(219661, 'PTHR10887:SF474', NULL, NULL, NULL, NULL, 'OS04G0582700 PROTEIN', 163387),
(219662, 'PTHR11913:SF96', NULL, NULL, NULL, NULL, 'COFILIN/ACTIN-DEPOLYMERIZING FACTOR-LIKE PROTEIN', 163388),
(219663, 'PTHR10336:SF153', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 163389),
(219664, 'PTHR33120:SF38', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 163390),
(219665, 'PTHR42825:SF24', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 163391),
(219666, 'PTHR10562:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163392),
(219667, 'PTHR14047:SF4', NULL, NULL, NULL, NULL, 'X ANTIGEN FAMILY MEMBER 3', 163393),
(219668, 'PTHR10093', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY ENZYME  NIFU HOMOLOG', 163394),
(219669, 'PTHR22870:SF403', NULL, NULL, NULL, NULL, 'CHROMOSOME CONDENSATION REGULATOR RCC1 REPEAT PROTEIN', 163395),
(219670, 'PTHR41771', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 163396),
(219671, 'PTHR34372:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C-1-LIKE', 163397),
(219672, 'PTHR45770:SF14', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 163398),
(219673, 'PTHR43694:SF4', NULL, NULL, NULL, NULL, 'RIBONUCLEASE J 2', 163399),
(219674, 'PTHR23221:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-GLYCAN-SPECIFIC PHOSPHOLIPASE D', 163400),
(219675, 'PTHR11905:SF140', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPEPTIDASE DOMAIN 6-RELATED', 163401),
(219676, 'PTHR43671', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK', 163402),
(219677, 'PTHR32278:SF48', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B11', 163403),
(219678, 'PTHR31087:SF79', NULL, NULL, NULL, NULL, 'OS01G0817650 PROTEIN', 163404),
(219679, 'PTHR10745:SF8', NULL, NULL, NULL, NULL, 'DNA POLYMERASE SUBUNIT GAMMA-2, MITOCHONDRIAL', 163405),
(219680, 'PTHR45811:SF54', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 12', 163406),
(219681, 'PTHR31300:SF30', NULL, NULL, NULL, NULL, 'EMB|CAB81597.1', 163407),
(219682, 'PTHR24112:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT, ISOFORM F', 163408),
(219683, 'PTHR35479:SF6', NULL, NULL, NULL, NULL, 'BNAA05G11280D PROTEIN', 163409),
(219684, 'PTHR23112:SF16', NULL, NULL, NULL, NULL, 'CYCLIC AMP RECEPTOR-LIKE PROTEIN E', 163410),
(219685, 'PTHR32488:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163411),
(219686, 'PTHR10192:SF19', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN BIOSYNTHESIS PROTEIN MJ0666-RELATED', 163412),
(219687, 'PTHR43289:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEKL-3', 163413),
(219688, 'PTHR22145:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-266K22.6', 163414),
(219689, 'PTHR42856:SF1', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE PAAI', 163415),
(219690, 'PTHR10316:SF72', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED GUANYLATE KINASE, WW AND PDZ DOMAIN-CONTAINING 2A', 163416),
(219691, 'PTHR34835:SF24', NULL, NULL, NULL, NULL, 'OS06G0475900 PROTEIN', 163417),
(219692, 'PTHR46587:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 163418),
(219693, 'PTHR31579:SF16', NULL, NULL, NULL, NULL, 'OS03G0162500 PROTEIN', 163419),
(219694, 'PTHR31707:SF253', NULL, NULL, NULL, NULL, 'PECTINESTERASE 1-LIKE', 163420),
(219695, 'PTHR26453:SF22', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10A7', 163421),
(219696, 'PTHR11746:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163422);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(219697, 'PTHR47592:SF6', NULL, NULL, NULL, NULL, 'PBF68 PROTEIN', 163423),
(219698, 'PTHR37553:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163424),
(219699, 'PTHR25462:SF245', NULL, NULL, NULL, NULL, 'RET FINGER PROTEIN-LIKE 4A-RELATED', 163425),
(219700, 'PTHR31375:SF205', NULL, NULL, NULL, NULL, 'BNAA08G20470D PROTEIN', 163426),
(219701, 'PTHR24012:SF685', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 42', 163427),
(219702, 'PTHR35685', NULL, NULL, NULL, NULL, '825-OAK-RELATED-RELATED', 163428),
(219703, 'PTHR48019:SF40', NULL, NULL, NULL, NULL, 'SERUM RESPONSE FACTOR', 163429),
(219704, 'PTHR21724:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG03105', 163430),
(219705, 'PTHR44259:SF53', NULL, NULL, NULL, NULL, 'BNAC01G15180D PROTEIN', 163431),
(219706, 'PTHR31632:SF2', NULL, NULL, NULL, NULL, 'IRON TRANSPORTER FTH1', 163432),
(219707, 'PTHR16244:SF2', NULL, NULL, NULL, NULL, 'CEROID-LIPOFUSCINOSIS NEURONAL PROTEIN 6', 163433),
(219708, 'PTHR31636:SF242', NULL, NULL, NULL, NULL, 'BNAANNG36390D PROTEIN', 163434),
(219709, 'PTHR32467:SF181', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ANT ISOFORM X1', 163435),
(219710, 'PTHR31086:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163436),
(219711, 'PTHR48016:SF33', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 163437),
(219712, 'PTHR45763:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163438),
(219713, 'PTHR12606:SF116', NULL, NULL, NULL, NULL, 'OS04G0316900 PROTEIN', 163439),
(219714, 'PTHR34455:SF1', NULL, NULL, NULL, NULL, 'OS07G0673550 PROTEIN', 163440),
(219715, 'PTHR45649:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163441),
(219716, 'PTHR11662:SF411', NULL, NULL, NULL, NULL, 'GH05102P', 163442),
(219717, 'PTHR28200', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT ASK1', 163443),
(219718, 'PTHR34075:SF5', NULL, NULL, NULL, NULL, 'BLR3430 PROTEIN', 163444),
(219719, 'PTHR31472:SF13', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 163445),
(219720, 'PTHR31903:SF17', NULL, NULL, NULL, NULL, 'BNAC05G09710D PROTEIN', 163446),
(219721, 'PTHR39677:SF4', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC6', 163447),
(219722, 'PTHR24056:SF442', NULL, NULL, NULL, NULL, 'BNACNNG54190D PROTEIN', 163448),
(219723, 'PTHR10218:SF65', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(Z) SUBUNIT ALPHA', 163449),
(219724, 'PTHR23074:SF156', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A1', 163450),
(219725, 'PTHR31325:SF173', NULL, NULL, NULL, NULL, 'OSJNBA0089E12.13-LIKE PROTEIN', 163451),
(219726, 'PTHR47985:SF18', NULL, NULL, NULL, NULL, 'OS05G0498900 PROTEIN', 163452),
(219727, 'PTHR43433:SF1', NULL, NULL, NULL, NULL, 'BLL5160 PROTEIN', 163453),
(219728, 'PTHR26450:SF166', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51D1', 163454),
(219729, 'PTHR23425:SF16', NULL, NULL, NULL, NULL, 'SPERM PROTEIN ASSOCIATED WITH THE NUCLEUS ON THE X CHROMOSOME A-RELATED', 163455),
(219730, 'PTHR12725', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE', 163456),
(219731, 'PTHR46746:SF1', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY F MEMBER 1', 163457),
(219732, 'PTHR24414:SF65', NULL, NULL, NULL, NULL, 'BNAA09G42970D PROTEIN', 163458),
(219733, 'PTHR24365:SF524', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 3', 163459),
(219734, 'PTHR45974:SF26', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING RECEPTOR-LIKE CYTOPLASMIC KINASE 1', 163460),
(219735, 'PTHR21649:SF108', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 1, CHLOROPLASTIC', 163461),
(219736, 'PTHR46028:SF2', NULL, NULL, NULL, NULL, 'KYNURENINE 3-MONOOXYGENASE', 163462),
(219737, 'PTHR34199:SF5', NULL, NULL, NULL, NULL, 'BNAC06G10320D PROTEIN', 163463),
(219738, 'PTHR46008:SF23', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.1', 163464),
(219739, 'PTHR12636:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163465),
(219740, 'PTHR45675:SF6', NULL, NULL, NULL, NULL, 'OS01G0298400 PROTEIN', 163466);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(219741, 'PTHR21681:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT J', 163467),
(219742, 'PTHR10369:SF26', NULL, NULL, NULL, NULL, 'OS07G0450000 PROTEIN', 163468),
(219743, 'PTHR12021', NULL, NULL, NULL, NULL, 'THYMOSIN BETA', 163469),
(219744, 'PTHR33391', NULL, NULL, NULL, NULL, 'CYTOCHROME B559 SUBUNIT BETA-RELATED', 163470),
(219745, 'PTHR31636:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163471),
(219746, 'PTHR34344', NULL, NULL, NULL, NULL, 'UPF0184 PROTEIN C9ORF16', 163472),
(219747, 'PTHR23253:SF36', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-RELATED', 163473),
(219748, 'PTHR10037:SF206', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 5 SUBUNIT ALPHA', 163474),
(219749, 'PTHR24072:SF175', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOD', 163475),
(219750, 'PTHR31669:SF229', NULL, NULL, NULL, NULL, 'OS11G0244900 PROTEIN', 163476),
(219751, 'PTHR47074:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163477),
(219752, 'PTHR42771:SF4', NULL, NULL, NULL, NULL, 'IRON(3+)-HYDROXAMATE IMPORT ATP-BINDING PROTEIN FHUC', 163478),
(219753, 'PTHR24056:SF445', NULL, NULL, NULL, NULL, 'CGMP-DEPENDENT KINASE-RELATED', 163479),
(219754, 'PTHR23226:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 449', 163480),
(219755, 'PTHR46668:SF8', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR5-LIKE ISOFORM X1', 163481),
(219756, 'PTHR48144:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163482),
(219757, 'PTHR11071:SF500', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 163483),
(219758, 'PTHR21366:SF21', NULL, NULL, NULL, NULL, 'METALLOTHIOL TRANSFERASE FOSB', 163484),
(219759, 'PTHR31072:SF65', NULL, NULL, NULL, NULL, 'OS09G0410500 PROTEIN', 163485),
(219760, 'PTHR31235:SF310', NULL, NULL, NULL, NULL, 'PEROXIDASE', 163486),
(219761, 'PTHR48015:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TAO3', 163487),
(219762, 'PTHR27009:SF173', NULL, NULL, NULL, NULL, 'INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE 1, PUTATIVE-RELATED', 163488),
(219763, 'PTHR45666:SF23', NULL, NULL, NULL, NULL, 'PHOSPHORIC MONOESTER HYDROLASE-RELATED', 163489),
(219764, 'PTHR31933:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163490),
(219765, 'PTHR42757:SF30', NULL, NULL, NULL, NULL, 'MAM DOMAIN-CONTAINING GLYCOSYLPHOSPHATIDYLINOSITOL ANCHOR PROTEIN 1', 163491),
(219766, 'PTHR21576:SF107', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 163492),
(219767, 'PTHR10291:SF26', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 163493),
(219768, 'PTHR27007:SF257', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.6-RELATED', 163494),
(219769, 'PTHR24253:SF64', NULL, NULL, NULL, NULL, 'PLASMA KALLIKREIN', 163495),
(219770, 'PTHR11849:SF216', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ERG', 163496),
(219771, 'PTHR24343:SF403', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK3', 163497),
(219772, 'PTHR48043:SF14', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE-RELATED', 163498),
(219773, 'PTHR13042:SF7', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5', 163499),
(219774, 'PTHR10881:SF46', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 2', 163500),
(219775, 'PTHR10426:SF102', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 11', 163501),
(219776, 'PTHR43539', NULL, NULL, NULL, NULL, 'FLAVIN-BINDING MONOOXYGENASE-LIKE PROTEIN (AFU_ORTHOLOGUE AFUA_4G09220)', 163502),
(219777, 'PTHR12975', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN  TRAPP', 163503),
(219778, 'PTHR33163:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163504),
(219779, 'PTHR34152', NULL, NULL, NULL, NULL, 'PROTEIN CBG12353-RELATED', 163505),
(219780, 'PTHR14789:SF6', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING 14A', 163506),
(219781, 'PTHR10891:SF904', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163507),
(219782, 'PTHR45690', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 12', 163508),
(219783, 'PTHR46206:SF9', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 163509);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(219784, 'PTHR24302:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163510),
(219785, 'PTHR45667', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE MITOCHONDRIAL CARRIER PROTEIN', 163511),
(219786, 'PTHR42693', NULL, NULL, NULL, NULL, 'ARYLSULFATASE FAMILY MEMBER', 163512),
(219787, 'PTHR34491', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', 163513),
(219788, 'PTHR20844:SF0', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 9', 163514),
(219789, 'PTHR43157:SF31', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-GLYCAN BIOSYNTHESIS CLASS F PROTEIN-RELATED', 163515),
(219790, 'PTHR46695', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 44-RELATED', 163516),
(219791, 'PTHR31920:SF39', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM20-RELATED', 163517),
(219792, 'PTHR45676:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163518),
(219793, 'PTHR24413:SF229', NULL, NULL, NULL, NULL, 'GH01369P', 163519),
(219794, 'PTHR11921:SF40', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] IRON-SULFUR SUBUNIT 3, MITOCHONDRIAL', 163520),
(219795, 'PTHR14309', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 163521),
(219796, 'PTHR24115:SF513', NULL, NULL, NULL, NULL, 'KINESIN-1 HEAVY CHAIN', 163522),
(219797, 'PTHR31719:SF147', NULL, NULL, NULL, NULL, 'OS02G0555300 PROTEIN', 163523),
(219798, 'PTHR23176:SF103', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 9', 163524),
(219799, 'PTHR27000:SF729', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PEPR1', 163525),
(219800, 'PTHR48016:SF17', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', 163526),
(219801, 'PTHR10333:SF42', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN 4', 163527),
(219802, 'PTHR13107:SF0', NULL, NULL, NULL, NULL, 'N6-ADENOSINE-METHYLTRANSFERASE NON-CATALYTIC SUBUNIT', 163528),
(219803, 'PTHR42766', NULL, NULL, NULL, NULL, 'MALTOOLIGOSYL TREHALOSE SYNTHASE-RELATED', 163529),
(219804, 'PTHR32297:SF1', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL MODIFIER 1', 163530),
(219805, 'PTHR43862:SF4', NULL, NULL, NULL, NULL, 'CYCLOMALTODEXTRINASE', 163531),
(219806, 'PTHR45650:SF57', NULL, NULL, NULL, NULL, 'BNAC09G22170D PROTEIN', 163532),
(219807, 'PTHR13301:SF44', NULL, NULL, NULL, NULL, 'MIXED-LINKED GLUCAN SYNTHASE 3-RELATED', 163533),
(219808, 'PTHR13943', NULL, NULL, NULL, NULL, 'HRAS-LIKE SUPPRESSOR - RELATED', 163534),
(219809, 'PTHR45995:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163535),
(219810, 'PTHR31321:SF103', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 163536),
(219811, 'PTHR31140:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163537),
(219812, 'PTHR33156:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163538),
(219813, 'PTHR47435:SF4', NULL, NULL, NULL, NULL, 'KELCH REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_5G12780)', 163539),
(219814, 'PTHR33564:SF22', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 163540),
(219815, 'PTHR33124:SF81', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH149-LIKE', 163541),
(219816, 'PTHR10578:SF131', NULL, NULL, NULL, NULL, 'BNAC05G52090D PROTEIN', 163542),
(219817, 'PTHR31985:SF222', NULL, NULL, NULL, NULL, 'BNAC09G28540D PROTEIN', 163543),
(219818, 'PTHR31650:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163544),
(219819, 'PTHR35729:SF4', NULL, NULL, NULL, NULL, 'PEPTIDASE S1, PA CLAN-RELATED', 163545),
(219820, 'PTHR45621:SF125', NULL, NULL, NULL, NULL, 'BNAC09G51400D PROTEIN', 163546),
(219821, 'PTHR40628:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163547),
(219822, 'PTHR37002:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163548),
(219823, 'PTHR11558:SF51', NULL, NULL, NULL, NULL, 'SPERMIDINE/SPERMINE SYNTHASE-RELATED', 163549),
(219824, 'PTHR11132:SF238', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER C2', 163550),
(219825, 'PTHR12537:SF156', NULL, NULL, NULL, NULL, 'BNAA06G36900D PROTEIN', 163551),
(219826, 'PTHR31657:SF56', NULL, NULL, NULL, NULL, 'BNAC03G60650D PROTEIN', 163552),
(219827, 'PTHR33333:SF22', NULL, NULL, NULL, NULL, 'EGG APPARATUS-1 PROTEIN', 163553);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(219828, 'PTHR47926:SF14', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 163554),
(219829, 'PTHR16223:SF230', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH139', 163555),
(219830, 'PTHR46821:SF4', NULL, NULL, NULL, NULL, 'OS08G0275200 PROTEIN', 163556),
(219831, 'PTHR21237:SF25', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG 1, MITOCHONDRIAL', 163557),
(219832, 'PTHR30308', NULL, NULL, NULL, NULL, 'TMRNA-BINDING COMPONENT OF TRANS-TRANSLATION TAGGING COMPLEX', 163558),
(219833, 'PTHR35164:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0086B14.10 PROTEIN', 163559),
(219834, 'PTHR23023:SF215', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 163560),
(219835, 'PTHR10665:SF2', NULL, NULL, NULL, NULL, 'RECOMBINING BINDING PROTEIN SUPPRESSOR OF HAIRLESS-LIKE PROTEIN', 163561),
(219836, 'PTHR15741:SF36', NULL, NULL, NULL, NULL, 'MLX-INTERACTING PROTEIN', 163562),
(219837, 'PTHR11890:SF18', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ACTIVATION GENE 3 PROTEIN', 163563),
(219838, 'PTHR24177:SF331', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 163564),
(219839, 'PTHR24147:SF58', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 144 N-TERMINAL-LIKE-RELATED', 163565),
(219840, 'PTHR11132:SF326', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER 6', 163566),
(219841, 'PTHR23111:SF30', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN VAR3, CHLOROPLASTIC', 163567),
(219842, 'PTHR34803:SF4', NULL, NULL, NULL, NULL, 'BNAA04G07250D PROTEIN', 163568),
(219843, 'PTHR13278', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 163569),
(219844, 'PTHR45680:SF31', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 163570),
(219845, 'PTHR45637:SF24', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AGC1-5', 163571),
(219846, 'PTHR23315:SF276', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 38', 163572),
(219847, 'PTHR24296:SF154', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94A1-LIKE', 163573),
(219848, 'PTHR43422:SF13', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE, CHLOROPLASTIC', 163574),
(219849, 'PTHR16134:SF99', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT INHIBITOR RESPONSE 1-LIKE', 163575),
(219850, 'PTHR24282:SF109', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-LIKE', 163576),
(219851, 'PTHR10986:SF12', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L20, MITOCHONDRIAL', 163577),
(219852, 'PTHR12411:SF654', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED GENE 12', 163578),
(219853, 'PTHR24073:SF910', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-22A', 163579),
(219854, 'PTHR18966:SF452', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 163580),
(219855, 'PTHR31009:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163581),
(219856, 'PTHR47476:SF3', NULL, NULL, NULL, NULL, 'BNAC04G26110D PROTEIN', 163582),
(219857, 'PTHR15852:SF16', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE PTAC5, CHLOROPLASTIC', 163583),
(219858, 'PTHR24012:SF728', NULL, NULL, NULL, NULL, 'CUGBP ELAV-LIKE FAMILY MEMBER 5', 163584),
(219859, 'PTHR11373:SF37', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOSIDE TRIPHOSPHATE TRIPHOSPHOHYDROLASE SAMHD1 HOMOLOG', 163585),
(219860, 'PTHR45668:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE RDGC', 163586),
(219861, 'PTHR45781:SF5', NULL, NULL, NULL, NULL, 'TOX HIGH MOBILITY GROUP BOX FAMILY MEMBER 2', 163587),
(219862, 'PTHR45774:SF2', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 3', 163588),
(219863, 'PTHR48225:SF1', NULL, NULL, NULL, NULL, 'HORMA DOMAIN-CONTAINING PROTEIN 1', 163589),
(219864, 'PTHR12510', NULL, NULL, NULL, NULL, 'TROPONIN C-AKIN-1 PROTEIN', 163590),
(219865, 'PTHR48002:SF130', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 163591),
(219866, 'PTHR47978:SF35', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-37', 163592),
(219867, 'PTHR11954:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163593),
(219868, 'PTHR12427:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT E, MITOCHONDRIAL', 163594),
(219869, 'PTHR12307:SF25', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT', 163595);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(219870, 'PTHR18953:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163596),
(219871, 'PTHR21405', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC021608', 163597),
(219872, 'PTHR46756:SF15', NULL, NULL, NULL, NULL, 'RAC GUANINE NUCLEOTIDE EXCHANGE FACTOR B', 163598),
(219873, 'PTHR33453:SF25', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 163599),
(219874, 'PTHR14096:SF60', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L, 1-RELATED', 163600),
(219875, 'PTHR11062:SF117', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT20-RELATED', 163601),
(219876, 'PTHR11802:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163602),
(219877, 'PTHR11017', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN', 163603),
(219878, 'PTHR28653:SF1', NULL, NULL, NULL, NULL, 'ATPASE SWSAP1', 163604),
(219879, 'PTHR24128:SF57', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE XBAT31, PUTATIVE-RELATED', 163605),
(219880, 'PTHR23273', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR A 1, RFA1', 163606),
(219881, 'PTHR47925:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163607),
(219882, 'PTHR42808:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 163608),
(219883, 'PTHR27008:SF467', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 163609),
(219884, 'PTHR13398', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE 2', 163610),
(219885, 'PTHR24240:SF144', NULL, NULL, NULL, NULL, 'MELANOPSIN-LIKE', 163611),
(219886, 'PTHR10015', NULL, NULL, NULL, NULL, 'HEAT SHOCK TRANSCRIPTION FACTOR', 163612),
(219887, 'PTHR45973:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163613),
(219888, 'PTHR12358:SF94', NULL, NULL, NULL, NULL, 'BNAA04G26670D PROTEIN', 163614),
(219889, 'PTHR13061:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163615),
(219890, 'PTHR47928:SF19', NULL, NULL, NULL, NULL, 'OS03G0795200 PROTEIN', 163616),
(219891, 'PTHR30231:SF33', NULL, NULL, NULL, NULL, 'PROTEIN NEN3-LIKE', 163617),
(219892, 'PTHR43720:SF3', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE ALDH (AFU_ORTHOLOGUE AFUA_8G02310)', 163618),
(219893, 'PTHR33091:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163619),
(219894, 'PTHR11256:SF13', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 2', 163620),
(219895, 'PTHR21337:SF24', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE 1, CHLOROPLASTIC', 163621),
(219896, 'PTHR31639:SF22', NULL, NULL, NULL, NULL, 'OS07G0160500 PROTEIN', 163622),
(219897, 'PTHR34883', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN, PUTATIVE-RELATED-RELATED', 163623),
(219898, 'PTHR21230:SF63', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE, T-SNARE-RELATED', 163624),
(219899, 'PTHR31496:SF30', NULL, NULL, NULL, NULL, 'MYB DOMAIN, PLANT, HOMEODOMAIN-LIKE PROTEIN-RELATED', 163625),
(219900, 'PTHR27007:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163626),
(219901, 'PTHR27007:SF240', NULL, NULL, NULL, NULL, 'OS09G0268000 PROTEIN', 163627),
(219902, 'PTHR22599:SF32', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR 2A-RELATED', 163628),
(219903, 'PTHR10380:SF209', NULL, NULL, NULL, NULL, 'AGAP000744-PA', 163629),
(219904, 'PTHR14052', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 2', 163630),
(219905, 'PTHR12313:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF5', 163631),
(219906, 'PTHR24256:SF518', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 9-LIKE PROTEIN', 163632),
(219907, 'PTHR11802:SF272', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 163633),
(219908, 'PTHR48049:SF70', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 163634),
(219909, 'PTHR46813:SF11', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 20-RELATED', 163635),
(219910, 'PTHR33110:SF24', NULL, NULL, NULL, NULL, 'PATATIN', 163636),
(219911, 'PTHR31490:SF44', NULL, NULL, NULL, NULL, 'OS11G0556866 PROTEIN', 163637),
(219912, 'PTHR11709:SF363', NULL, NULL, NULL, NULL, 'LACCASE', 163638),
(219913, 'PTHR19307:SF13', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN D54', 163639),
(219914, 'PTHR32208:SF56', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE-RELATED', 163640);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(219915, 'PTHR46071:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND BTB/POZ DOMAIN-CONTAINING PROTEIN BTBD11', 163641),
(219916, 'PTHR15629:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163642),
(219917, 'PTHR42898:SF69', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', 163643),
(219918, 'PTHR21720:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG03889', 163644),
(219919, 'PTHR31250:SF50', NULL, NULL, NULL, NULL, 'BNAC01G37540D PROTEIN', 163645),
(219920, 'PTHR47938:SF2', NULL, NULL, NULL, NULL, 'OS06G0184866 PROTEIN', 163646),
(219921, 'PTHR31604:SF37', NULL, NULL, NULL, NULL, 'LATERAL ROOT PRIMORDIUM PROTEIN-RELATED', 163647),
(219922, 'PTHR37718:SF2', NULL, NULL, NULL, NULL, 'BNAC03G61340D PROTEIN', 163648),
(219923, 'PTHR45771:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163649),
(219924, 'PTHR46214:SF24', NULL, NULL, NULL, NULL, 'BNACNNG61870D PROTEIN', 163650),
(219925, 'PTHR11461:SF32', NULL, NULL, NULL, NULL, 'ALPHA-1-ANTITRYPSIN 1-6', 163651),
(219926, 'PTHR10724', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S1', 163652),
(219927, 'PTHR10098:SF107', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 28', 163653),
(219928, 'PTHR11511:SF4', NULL, NULL, NULL, NULL, 'PHENOLOXIDASE 2-RELATED', 163654),
(219929, 'PTHR31707:SF306', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 163655),
(219930, 'PTHR11705:SF86', NULL, NULL, NULL, NULL, 'LP17541P-RELATED', 163656),
(219931, 'PTHR31741:SF57', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 24', 163657),
(219932, 'PTHR36052', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER', 163658),
(219933, 'PTHR22911:SF102', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 163659),
(219934, 'PTHR46626:SF3', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 163660),
(219935, 'PTHR31042:SF103', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 163661),
(219936, 'PTHR16431:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MIS18-BETA', 163662),
(219937, 'PTHR32467:SF114', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S8E FAMILY PROTEIN-RELATED', 163663),
(219938, 'PTHR12619:SF24', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RFX8', 163664),
(219939, 'PTHR44324:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 49', 163665),
(219940, 'PTHR22406:SF2', NULL, NULL, NULL, NULL, 'SLAIN MOTIF-CONTAINING PROTEIN 1', 163666),
(219941, 'PTHR11444:SF24', NULL, NULL, NULL, NULL, 'FUMARATE HYDRATASE, MITOCHONDRIAL', 163667),
(219942, 'PTHR12200:SF17', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCIBLE PROTEIN AIM2-RELATED', 163668),
(219943, 'PTHR10366:SF683', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1-LIKE', 163669),
(219944, 'PTHR45744:SF29', NULL, NULL, NULL, NULL, 'TYROSINE/NICOTIANAMINE AMINOTRANSFERASE, PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', 163670),
(219945, 'PTHR15315:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163671),
(219946, 'PTHR43811:SF16', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 163672),
(219947, 'PTHR24233:SF4', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 171-RELATED', 163673),
(219948, 'PTHR24347:SF198', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE H1 HOMOLOG-RELATED', 163674),
(219949, 'PTHR10434:SF8', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', 163675),
(219950, 'PTHR33086:SF44', NULL, NULL, NULL, NULL, 'OS03G0683600 PROTEIN', 163676),
(219951, 'PTHR10663:SF310', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 1', 163677),
(219952, 'PTHR30092:SF0', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN CRED', 163678),
(219953, 'PTHR26452:SF701', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 11L1', 163679),
(219954, 'PTHR36083', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L32, CHLOROPLASTIC', 163680),
(219955, 'PTHR19965:SF76', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4D', 163681),
(219956, 'PTHR21324:SF3', NULL, NULL, NULL, NULL, 'MODULATOR OF MACROAUTOPHAGY TMEM150B', 163682),
(219957, 'PTHR18966:SF376', NULL, NULL, NULL, NULL, 'OS06G0190000 PROTEIN', 163683);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(219958, 'PTHR48045:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 163684),
(219959, 'PTHR11081:SF49', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE 1 HOMOLOG-RELATED', 163685),
(219960, 'PTHR11524:SF45', NULL, NULL, NULL, NULL, 'BNAC04G03350D PROTEIN', 163686),
(219961, 'PTHR26374:SF403', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN-RELATED', 163687),
(219962, 'PTHR19375:SF456', NULL, NULL, NULL, NULL, 'BNAA09G29100D PROTEIN', 163688),
(219963, 'PTHR13119:SF35', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 62-LIKE', 163689),
(219964, 'PTHR17602:SF5', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS REGULATORY PROTEIN', 163690),
(219965, 'PTHR24222:SF68', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 9', 163691),
(219966, 'PTHR33781:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PHYTOCHROME KINASE SUBSTRATE 3-LIKE', 163692),
(219967, 'PTHR31687', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 163693),
(219968, 'PTHR10388:SF53', NULL, NULL, NULL, NULL, 'APO PROTEIN 1, CHLOROPLASTIC', 163694),
(219969, 'PTHR45774:SF6', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 2', 163695),
(219970, 'PTHR10926:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG23873', 163696),
(219971, 'PTHR46182', NULL, NULL, NULL, NULL, 'FI19480P1', 163697),
(219972, 'PTHR10676:SF287', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', 163698),
(219973, 'PTHR23053:SF0', NULL, NULL, NULL, NULL, 'HYDROCEPHALUS-INDUCING PROTEIN HOMOLOG', 163699),
(219974, 'PTHR32246:SF27', NULL, NULL, NULL, NULL, 'OS05G0370300 PROTEIN', 163700),
(219975, 'PTHR43491:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-D-MANNOSAMINE DEHYDROGENASE', 163701),
(219976, 'PTHR42251:SF1', NULL, NULL, NULL, NULL, 'UPF0147 PROTEIN MJ1419', 163702),
(219977, 'PTHR13068:SF39', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR-LIKE', 163703),
(219978, 'PTHR35165:SF4', NULL, NULL, NULL, NULL, 'OS03G0126900 PROTEIN', 163704),
(219979, 'PTHR33155:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163705),
(219980, 'PTHR10218:SF340', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-4 SUBUNIT', 163706),
(219981, 'PTHR23100', NULL, NULL, NULL, NULL, 'ARGININE BIOSYNTHESIS BIFUNCTIONAL PROTEIN ARGJ', 163707),
(219982, 'PTHR13244', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN CONTAINING PROTEIN 10', 163708),
(219983, 'PTHR31072:SF172', NULL, NULL, NULL, NULL, 'TEOSINTE BRANCHED 1, CYCLOIDEA, AND PCF FAMILY 24-RELATED', 163709),
(219984, 'PTHR10177:SF187', NULL, NULL, NULL, NULL, 'CYCLIN-I', 163710),
(219985, 'PTHR30619:SF1', NULL, NULL, NULL, NULL, 'RECOMBINATION PROTEIN 2', 163711),
(219986, 'PTHR21700:SF28', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 163712),
(219987, 'PTHR10218:SF337', NULL, NULL, NULL, NULL, 'EXTRA-LARGE GUANINE NUCLEOTIDE-BINDING PROTEIN 3', 163713),
(219988, 'PTHR14110:SF25', NULL, NULL, NULL, NULL, 'BNAA10G09540D PROTEIN', 163714),
(219989, 'PTHR43327:SF37', NULL, NULL, NULL, NULL, 'SPFH DOMAIN/BAND 7 FAMILY PROTEIN', 163715),
(219990, 'PTHR31269:SF6', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH3', 163716),
(219991, 'PTHR47516', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U-RELATED', 163717),
(219992, 'PTHR31998:SF38', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGIZED VACUOLAR MEMBRANE PROTON PUMP', 163718),
(219993, 'PTHR33397:SF3', NULL, NULL, NULL, NULL, 'TOXIN-ANTITOXIN SYSTEM TOXIN HEPN FAMILY', 163719),
(219994, 'PTHR21377:SF0', NULL, NULL, NULL, NULL, 'PROTEIN FAM210B, MITOCHONDRIAL', 163720),
(219995, 'PTHR31837', NULL, NULL, NULL, NULL, 'CYTOCHROME B-245 CHAPERONE 1', 163721),
(219996, 'PTHR22975:SF30', NULL, NULL, NULL, NULL, 'BNAA05G33070D PROTEIN', 163722),
(219997, 'PTHR24409:SF321', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 7C', 163723),
(219998, 'PTHR48052:SF20', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRI1-LIKE 2', 163724),
(219999, 'PTHR33159:SF38', NULL, NULL, NULL, NULL, 'BNAA10G09960D PROTEIN', 163725),
(220000, 'PTHR21592:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG08461', 163726);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(220001, 'PTHR31042:SF20', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 163727),
(220002, 'PTHR36522:SF1', NULL, NULL, NULL, NULL, 'AT HOOK-CONTAINING PROTEIN ATTF-4', 163728),
(220003, 'PTHR45666:SF51', NULL, NULL, NULL, NULL, 'BNAC02G43530D PROTEIN', 163729),
(220004, 'PTHR31325:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163730),
(220005, 'PTHR10836:SF106', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 163731),
(220006, 'PTHR10782:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163732),
(220007, 'PTHR34113:SF3', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE-LIKE PROTEIN', 163733),
(220008, 'PTHR11426:SF190', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE 2', 163734),
(220009, 'PTHR37002', NULL, NULL, NULL, NULL, 'AGAP007005-PA', 163735),
(220010, 'PTHR33374:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163736),
(220011, 'PTHR13902:SF121', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK9-RELATED', 163737),
(220012, 'PTHR19375:SF427', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN-RELATED', 163738),
(220013, 'PTHR13803:SF17', NULL, NULL, NULL, NULL, 'OS05G0443300 PROTEIN', 163739),
(220014, 'PTHR46637', NULL, NULL, NULL, NULL, 'TIS1421-TRANSPOSASE PROTEIN A', 163740),
(220015, 'PTHR11732:SF294', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER B1', 163741),
(220016, 'PTHR34190:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 163742),
(220017, 'PTHR31901:SF35', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.4-RELATED', 163743),
(220018, 'PTHR31003:SF35', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS PROTEIN', 163744),
(220019, 'PTHR23023:SF247', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT URATE HYDROXYLASE', 163745),
(220020, 'PTHR38498', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 191B-RELATED', 163746),
(220021, 'PTHR31992:SF68', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.6', 163747),
(220022, 'PTHR12634', NULL, NULL, NULL, NULL, 'SIT4 YEAST -ASSOCIATING PROTEIN-RELATED', 163748),
(220023, 'PTHR33326:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163749),
(220024, 'PTHR21503:SF36', NULL, NULL, NULL, NULL, 'PROTEIN CBG11455', 163750),
(220025, 'PTHR31953:SF46', NULL, NULL, NULL, NULL, 'SUCROSE:FRUCTAN 6-FRUCTOSYLTRANSFERASE', 163751),
(220026, 'PTHR47631', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)-RELATED', 163752),
(220027, 'PTHR15414:SF0', NULL, NULL, NULL, NULL, 'PROTEIN OS-9', 163753),
(220028, 'PTHR21723:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RIC-3', 163754),
(220029, 'PTHR23147:SF149', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SC35-LIKE SPLICING FACTOR SCL30A', 163755),
(220030, 'PTHR34678:SF3', NULL, NULL, NULL, NULL, 'BNAC04G24780D PROTEIN', 163756),
(220031, 'PTHR44042:SF46', NULL, NULL, NULL, NULL, 'MYB DOMAIN, PLANT, HOMEODOMAIN-LIKE PROTEIN-RELATED', 163757),
(220032, 'PTHR31953:SF90', NULL, NULL, NULL, NULL, 'BNAC05G09640D PROTEIN', 163758),
(220033, 'PTHR46561:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', 163759),
(220034, 'PTHR10485:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163760),
(220035, 'PTHR11066:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163761),
(220036, 'PTHR31683:SF147', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 163762),
(220037, 'PTHR24286:SF199', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 88D6', 163763),
(220038, 'PTHR32099:SF66', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 163764),
(220039, 'PTHR35410:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 163765),
(220040, 'PTHR21596:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163766),
(220041, 'PTHR45621:SF127', NULL, NULL, NULL, NULL, 'OS02G0118200 PROTEIN', 163767),
(220042, 'PTHR10766:SF116', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 163768),
(220043, 'PTHR46293:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP1-LIKE', 163769),
(220044, 'PTHR11036:SF72', NULL, NULL, NULL, NULL, 'SEMAPHORIN-4F', 163770);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(220045, 'PTHR47929:SF21', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 163771),
(220046, 'PTHR46513:SF26', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 4', 163772),
(220047, 'PTHR42938:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163773),
(220048, 'PTHR24100:SF117', NULL, NULL, NULL, NULL, 'BUTYROPHILIN-LIKE PROTEIN 9', 163774),
(220049, 'PTHR33736:SF20', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 163775),
(220050, 'PTHR23013:SF27', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 163776),
(220051, 'PTHR33052:SF128', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR', 163777),
(220052, 'PTHR47186:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 57', 163778),
(220053, 'PTHR37873:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 33', 163779),
(220054, 'PTHR10366:SF667', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 2', 163780),
(220055, 'PTHR13061:SF38', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE 1, MITOCHONDRIAL-LIKE', 163781),
(220056, 'PTHR46281:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B', 163782),
(220057, 'PTHR23155:SF889', NULL, NULL, NULL, NULL, 'OS08G0293300 PROTEIN', 163783),
(220058, 'PTHR32227:SF225', NULL, NULL, NULL, NULL, 'OS07G0168600 PROTEIN', 163784),
(220059, 'PTHR11843:SF23', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 163785),
(220060, 'PTHR45089', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 163786),
(220061, 'PTHR46128:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163787),
(220062, 'PTHR33736:SF6', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', 163788),
(220063, 'PTHR14520', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN 63', 163789),
(220064, 'PTHR43217', NULL, NULL, NULL, NULL, 'SUCCINATE SEMIALDEHYDE DEHYDROGENASE [NAD(P)+] SAD', 163790),
(220065, 'PTHR31676:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163791),
(220066, 'PTHR11955:SF70', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN 9', 163792),
(220067, 'PTHR27005:SF381', NULL, NULL, NULL, NULL, 'BNAA08G28120D PROTEIN', 163793),
(220068, 'PTHR23130:SF177', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 163794),
(220069, 'PTHR24015:SF517', NULL, NULL, NULL, NULL, 'OS11G0256100 PROTEIN', 163795),
(220070, 'PTHR27006:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163796),
(220071, 'PTHR45657:SF28', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH8-LIKE', 163797),
(220072, 'PTHR45651:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CNGC15A', 163798),
(220073, 'PTHR19370:SF190', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE-LIKE PROTEIN', 163799),
(220074, 'PTHR14191:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163800),
(220075, 'PTHR13523:SF14', NULL, NULL, NULL, NULL, 'BNAC09G47040D PROTEIN', 163801),
(220076, 'PTHR13160:SF4', NULL, NULL, NULL, NULL, 'OLIGOSACCHARYLTRANSFERASE COMPLEX SUBUNIT OSTC', 163802),
(220077, 'PTHR32044', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 163803),
(220078, 'PTHR46238', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 163804),
(220079, 'PTHR10314:SF204', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE 1-RELATED', 163805),
(220080, 'PTHR46235', NULL, NULL, NULL, NULL, 'PHD FINGER-CONTAINING PROTEIN DDB_G0268158', 163806),
(220081, 'PTHR13308', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 163807),
(220082, 'PTHR32235:SF1', NULL, NULL, NULL, NULL, 'NON-HOMOLOGOUS END-JOINING FACTOR 1', 163808),
(220083, 'PTHR16301:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163809),
(220084, 'PTHR22760:SF3', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 4', 163810),
(220085, 'PTHR43628:SF8', NULL, NULL, NULL, NULL, 'PROTEIN DSF2', 163811),
(220086, 'PTHR11817:SF105', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 163812),
(220087, 'PTHR45961:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG09952', 163813),
(220088, 'PTHR10288:SF262', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN K', 163814),
(220089, 'PTHR42689:SF1', NULL, NULL, NULL, NULL, 'ACETYL-COA ACYLTRANSFERASE FADA2 (3-KETOACYL-COA THIOLASE) (BETA-KETOTHIOLASE)-RELATED', 163815);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(220090, 'PTHR47998:SF34', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 163816),
(220091, 'PTHR16165:SF9', NULL, NULL, NULL, NULL, 'NXPE FAMILY MEMBER 3', 163817),
(220092, 'PTHR12434', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 22', 163818),
(220093, 'PTHR24343:SF431', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2A', 163819),
(220094, 'PTHR46368:SF12', NULL, NULL, NULL, NULL, 'BNAA06G01630D PROTEIN', 163820),
(220095, 'PTHR45865:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SHPRH', 163821),
(220096, 'PTHR19282:SF158', NULL, NULL, NULL, NULL, 'TETRASPANIN-19', 163822),
(220097, 'PTHR35118:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163823),
(220098, 'PTHR24177:SF253', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1', 163824),
(220099, 'PTHR12247:SF128', NULL, NULL, NULL, NULL, 'SEX COMB ON MIDLEG-LIKE PROTEIN 1', 163825),
(220100, 'PTHR10466:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE 2', 163826),
(220101, 'PTHR11481:SF91', NULL, NULL, NULL, NULL, 'SI:CABZ01036006.1-RELATED', 163827),
(220102, 'PTHR33991', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RECO', 163828),
(220103, 'PTHR18919:SF160', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE, CYTOSOLIC 1-LIKE ISOFORM X1', 163829),
(220104, 'PTHR24416:SF499', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE TYROSINE-PROTEIN KINASE KIN-16', 163830),
(220105, 'PTHR11098:SF19', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE 1', 163831),
(220106, 'PTHR11141:SF28', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', 163832),
(220107, 'PTHR36359:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RESISTANCE TO PHYTOPHTHORA 1, CHLOROPLASTIC', 163833),
(220108, 'PTHR43115:SF4', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 11', 163834),
(220109, 'PTHR12411:SF771', NULL, NULL, NULL, NULL, 'SERINE-REPEAT ANTIGEN PROTEIN', 163835),
(220110, 'PTHR35885:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163836),
(220111, 'PTHR11638:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163837),
(220112, 'PTHR43476:SF3', NULL, NULL, NULL, NULL, '3-(3-HYDROXY-PHENYL)PROPIONATE/3-HYDROXYCINNAMIC ACID HYDROXYLASE', 163838),
(220113, 'PTHR33834:SF9', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 163839),
(220114, 'PTHR27001:SF155', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE ISOFORM X1', 163840),
(220115, 'PTHR45621:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163841),
(220116, 'PTHR31929:SF78', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR24', 163842),
(220117, 'PTHR23404:SF2', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN SYNTHASE CATALYTIC SUBUNIT', 163843),
(220118, 'PTHR33207:SF24', NULL, NULL, NULL, NULL, 'OS05G0147800 PROTEIN', 163844),
(220119, 'PTHR31719:SF80', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 67', 163845),
(220120, 'PTHR23266:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163846),
(220121, 'PTHR10972:SF148', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 163847),
(220122, 'PTHR43523:SF19', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE', 163848),
(220123, 'PTHR12537:SF157', NULL, NULL, NULL, NULL, 'BNAA10G12990D PROTEIN', 163849),
(220124, 'PTHR20855:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163850),
(220125, 'PTHR22952:SF398', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 6', 163851),
(220126, 'PTHR23349:SF95', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX', 163852),
(220127, 'PTHR12400:SF79', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE MULTIKINASE ALPHA', 163853),
(220128, 'PTHR26453:SF273', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 163854),
(220129, 'PTHR24264:SF38', NULL, NULL, NULL, NULL, 'UROKINASE-TYPE PLASMINOGEN ACTIVATOR', 163855),
(220130, 'PTHR26452:SF217', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 163856),
(220131, 'PTHR24282:SF179', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 163857),
(220132, 'PTHR30603:SF50', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-70 LIKE DOMAIN, RNA POLYMERASE SIGMA-B/F/G TYPE-RELATED', 163858);
INSERT INTO "PUBLIC"."MODEL" VALUES
(220133, 'PTHR10127:SF838', NULL, NULL, NULL, NULL, 'HATCHING ENZYME 1, TANDEM DUPLICATE 3-RELATED', 163859),
(220134, 'PTHR45615:SF31', NULL, NULL, NULL, NULL, 'MYOSIN-14', 163860),
(220135, 'PTHR45967:SF27', NULL, NULL, NULL, NULL, 'BASIC REGION/LEUCINE ZIPPER TRANSCRIPTION FACTOR 68-RELATED', 163861),
(220136, 'PTHR11945:SF658', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN AGL71', 163862),
(220137, 'PTHR31719:SF148', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 56-LIKE', 163863),
(220138, 'PTHR24281', NULL, NULL, NULL, NULL, 'STEROID 21-HYDROXYLASE-RELATED', 163864),
(220139, 'PTHR33650:SF3', NULL, NULL, NULL, NULL, 'CEMA-LIKE PROTON EXTRUSION PROTEIN-RELATED', 163865),
(220140, 'PTHR10809:SF135', NULL, NULL, NULL, NULL, 'BNACNNG14560D PROTEIN', 163866),
(220141, 'PTHR35547:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163867),
(220142, 'PTHR10168:SF243', NULL, NULL, NULL, NULL, 'BNAANNG26900D PROTEIN', 163868),
(220143, 'PTHR47850:SF2', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, KELCH-TYPE BETA PROPELLER-RELATED', 163869),
(220144, 'PTHR10454:SF31', NULL, NULL, NULL, NULL, 'CASPASE-7', 163870),
(220145, 'PTHR32285:SF298', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BEREFRINGENCE-LIKE 7', 163871),
(220146, 'PTHR16172:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163872),
(220147, 'PTHR13793:SF85', NULL, NULL, NULL, NULL, 'PEREGRIN', 163873),
(220148, 'PTHR27005:SF382', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163874),
(220149, 'PTHR24296:SF121', NULL, NULL, NULL, NULL, 'CYTOCHROME P-450-LIKE PROTEIN', 163875),
(220150, 'PTHR33294:SF8', NULL, NULL, NULL, NULL, 'OS02G0731500 PROTEIN', 163876),
(220151, 'PTHR31656:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163877),
(220152, 'PTHR24118:SF85', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX-CONTAINING 10', 163878),
(220153, 'PTHR10122:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163879),
(220154, 'PTHR33542:SF5', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 163880),
(220155, 'PTHR44427:SF11', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 3', 163881),
(220156, 'PTHR23012:SF183', NULL, NULL, NULL, NULL, 'OS08G0436200 PROTEIN', 163882),
(220157, 'PTHR11309:SF99', NULL, NULL, NULL, NULL, 'FRIZZLED-3', 163883),
(220158, 'PTHR40084:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOHYDROLASE, PHP FAMILY', 163884),
(220159, 'PTHR38435', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 163885),
(220160, 'PTHR11937:SF184', NULL, NULL, NULL, NULL, 'ACTIN ALPHA CARDIAC MUSCLE 1B', 163886),
(220161, 'PTHR10782:SF71', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE SIZ1', 163887),
(220162, 'PTHR45749', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 163888),
(220163, 'PTHR47928:SF108', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN', 163889),
(220164, 'PTHR48027:SF11', NULL, NULL, NULL, NULL, 'OS01G0367300 PROTEIN', 163890),
(220165, 'PTHR22730:SF8', NULL, NULL, NULL, NULL, 'PROMININ 1 B', 163891),
(220166, 'PTHR43520:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163892),
(220167, 'PTHR31282:SF9', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 69-RELATED', 163893),
(220168, 'PTHR48005:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163894),
(220169, 'PTHR33562:SF17', NULL, NULL, NULL, NULL, 'PROTEIN QUIVER', 163895),
(220170, 'PTHR24377:SF661', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 211', 163896),
(220171, 'PTHR24115:SF422', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 163897),
(220172, 'PTHR19229:SF219', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 9', 163898),
(220173, 'PTHR24326', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN', 163899),
(220174, 'PTHR12483:SF112', NULL, NULL, NULL, NULL, 'BNAA02G07170D PROTEIN', 163900),
(220175, 'PTHR45974:SF103', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 163901),
(220176, 'PTHR12997:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG05397', 163902),
(220177, 'PTHR12322:SF56', NULL, NULL, NULL, NULL, 'DM (DOUBLESEX/MAB-3) DOMAIN FAMILY', 163903),
(220178, 'PTHR12787:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA-PROCESSING PROTEIN 8', 163904); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(220179, 'PTHR31343:SF46', NULL, NULL, NULL, NULL, 'BNAC08G46230D PROTEIN', 163905),
(220180, 'PTHR46304:SF1', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR II-I REPEAT DOMAIN-CONTAINING PROTEIN 1', 163906),
(220181, 'PTHR31415:SF21', NULL, NULL, NULL, NULL, 'OS08G0102551 PROTEIN', 163907),
(220182, 'PTHR12015:SF100', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 24', 163908),
(220183, 'PTHR41247:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR YCNK', 163909),
(220184, 'PTHR10201:SF29', NULL, NULL, NULL, NULL, '72 KDA TYPE IV COLLAGENASE', 163910),
(220185, 'PTHR47972:SF16', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 163911),
(220186, 'PTHR11910:SF8', NULL, NULL, NULL, NULL, 'ATPASE, F1 COMPLEX, OSCP/DELTA SUBUNIT PROTEIN', 163912),
(220187, 'PTHR23130:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163913),
(220188, 'PTHR10543:SF93', NULL, NULL, NULL, NULL, '9-CIS-EPOXYCAROTENOID DIOXYGENASE NCED2, CHLOROPLASTIC', 163914),
(220189, 'PTHR18966:SF483', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 163915),
(220190, 'PTHR10694:SF113', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ16-RELATED', 163916),
(220191, 'PTHR47916', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE CLASS 1', 163917),
(220192, 'PTHR33156:SF37', NULL, NULL, NULL, NULL, 'BNAA06G40680D PROTEIN', 163918),
(220193, 'PTHR24219:SF4', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN JUB', 163919),
(220194, 'PTHR34061:SF18', NULL, NULL, NULL, NULL, 'BNAC07G38680D PROTEIN', 163920),
(220195, 'PTHR21525:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG12274', 163921),
(220196, 'PTHR45665:SF18', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP3.1', 163922),
(220197, 'PTHR11177:SF314', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163923),
(220198, 'PTHR47928:SF112', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN, DYW DOMAIN PROTEIN-RELATED', 163924),
(220199, 'PTHR33908:SF11', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE YKCB-RELATED', 163925),
(220200, 'PTHR23292:SF2', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE-INDUCED TUMOR NECROSIS FACTOR-ALPHA FACTOR', 163926),
(220201, 'PTHR17408:SF0', NULL, NULL, NULL, NULL, 'HISTONE RNA HAIRPIN-BINDING PROTEIN', 163927),
(220202, 'PTHR24376:SF181', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 808', 163928),
(220203, 'PTHR30540:SF123', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 11', 163929),
(220204, 'PTHR43180:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163930),
(220205, 'PTHR10896:SF20', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX9L-RELATED', 163931),
(220206, 'PTHR10155:SF18', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE-SIGNALING 9', 163932),
(220207, 'PTHR11559:SF360', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 163933),
(220208, 'PTHR47992:SF3', NULL, NULL, NULL, NULL, 'BNAA01G37370D PROTEIN', 163934),
(220209, 'PTHR30009:SF8', NULL, NULL, NULL, NULL, 'PTS SYSTEM, IIBC COMPONENT', 163935),
(220210, 'PTHR35773:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX, SUBUNIT 8', 163936),
(220211, 'PTHR43795:SF79', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE', 163937),
(220212, 'PTHR33911', NULL, NULL, NULL, NULL, 'RRNA-PROCESSING PROTEIN EFG1', 163938),
(220213, 'PTHR31111:SF33', NULL, NULL, NULL, NULL, 'BNAA02G16630D PROTEIN', 163939),
(220214, 'PTHR47267:SF4', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE PHOSPHATASE YIGL', 163940),
(220215, 'PTHR11426:SF194', NULL, NULL, NULL, NULL, 'HISTONE H3', 163941),
(220216, 'PTHR47990:SF7', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 3', 163942),
(220217, 'PTHR31351:SF25', NULL, NULL, NULL, NULL, 'AUXIN CANALIZATION PROTEIN (DUF828)', 163943),
(220218, 'PTHR37324', NULL, NULL, NULL, NULL, 'PTS SYSTEM GALACTITOL-SPECIFIC EIIC COMPONENT', 163944),
(220219, 'PTHR31151:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163945),
(220220, 'PTHR46326:SF15', NULL, NULL, NULL, NULL, 'BNACNNG73530D PROTEIN', 163946),
(220221, 'PTHR23430:SF323', NULL, NULL, NULL, NULL, 'HISTONE H2A', 163947),
(220222, 'PTHR42691:SF1', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE YHDR-RELATED', 163948);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(220223, 'PTHR11206:SF293', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 17', 163949),
(220224, 'PTHR22572:SF151', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLYLTRANSFERASE 1-LIKE', 163950),
(220225, 'PTHR27009:SF238', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.4', 163951),
(220226, 'PTHR12419:SF21', NULL, NULL, NULL, NULL, 'DEUBIQUITINASE OTUD6B', 163952),
(220227, 'PTHR31860:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF639)-RELATED', 163953),
(220228, 'PTHR31218:SF245', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 163954),
(220229, 'PTHR33138:SF11', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE, GALACTURONAN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 163955),
(220230, 'PTHR31232', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 163956),
(220231, 'PTHR45614:SF144', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', 163957),
(220232, 'PTHR43562:SF3', NULL, NULL, NULL, NULL, 'SODIUM ION/PROTON EXCHANGER (EUROFUNG)', 163958),
(220233, 'PTHR30372', NULL, NULL, NULL, NULL, 'LIPID-A-DISACCHARIDE SYNTHASE', 163959),
(220234, 'PTHR31824', NULL, NULL, NULL, NULL, 'PROTEIN CBG17809', 163960),
(220235, 'PTHR37702:SF3', NULL, NULL, NULL, NULL, 'OS01G0112000 PROTEIN', 163961),
(220236, 'PTHR48224', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 270-RELATED', 163962),
(220237, 'PTHR10209:SF767', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00750)-RELATED', 163963),
(220238, 'PTHR31267:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163964),
(220239, 'PTHR20981', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L21', 163965),
(220240, 'PTHR47992:SF149', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C FAMILY PROTEIN', 163966),
(220241, 'PTHR10314:SF190', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE, CHLOROPLASTIC/CHROMOPLASTIC', 163967),
(220242, 'PTHR32044:SF60', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 9-LIKE', 163968),
(220243, 'PTHR46271:SF3', NULL, NULL, NULL, NULL, 'RETINAL HOMEOBOX PROTEIN RX', 163969),
(220244, 'PTHR32481:SF7', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE YHFE-RELATED', 163970),
(220245, 'PTHR24253:SF122', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P133', 163971),
(220246, 'PTHR45650:SF48', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', 163972),
(220247, 'PTHR24637:SF194', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', 163973),
(220248, 'PTHR14845:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 166', 163974),
(220249, 'PTHR17103:SF11', NULL, NULL, NULL, NULL, 'NEUREXOPHILIN-2', 163975),
(220250, 'PTHR24073:SF1090', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABF2B', 163976),
(220251, 'PTHR47992:SF62', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 52-RELATED', 163977),
(220252, 'PTHR23428:SF191', NULL, NULL, NULL, NULL, 'HISTONE H2B', 163978),
(220253, 'PTHR43867:SF4', NULL, NULL, NULL, NULL, 'BETA-(1-3)-GLUCOSYL TRANSFERASE', 163979),
(220254, 'PTHR31656:SF37', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) PROTEIN-LIKE PROTEIN', 163980),
(220255, 'PTHR33932', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT B', 163981),
(220256, 'PTHR11926:SF1244', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76D1', 163982),
(220257, 'PTHR27000:SF716', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', 163983),
(220258, 'PTHR24296:SF93', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', 163984),
(220259, 'PTHR34539:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 163985),
(220260, 'PTHR12629:SF43', NULL, NULL, NULL, NULL, 'DIPHOSPHOINOSITOL POLYPHOSPHATE PHOSPHOHYDROLASE 3-ALPHA', 163986),
(220261, 'PTHR10574:SF411', NULL, NULL, NULL, NULL, 'BASEMENT MEMBRANE-SPECIFIC HEPARAN SULFATE PROTEOGLYCAN CORE PROTEIN-LIKE PROTEIN', 163987),
(220262, 'PTHR24068:SF376', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 28-LIKE', 163988),
(220263, 'PTHR11683:SF10', NULL, NULL, NULL, NULL, 'NEURONAL MEMBRANE GLYCOPROTEIN M6-B', 163989); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(220264, 'PTHR31066:SF26', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN WITH OCTICOSAPEPTIDE/PHOX/BEM1P DOMAIN', 163990),
(220265, 'PTHR46458:SF11', NULL, NULL, NULL, NULL, 'GLOBIN RELATED-RELATED', 163991),
(220266, 'PTHR23023:SF257', NULL, NULL, NULL, NULL, 'YALI0D21076P', 163992),
(220267, 'PTHR26453:SF609', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 163993),
(220268, 'PTHR12002', NULL, NULL, NULL, NULL, 'CLAUDIN', 163994),
(220269, 'PTHR10353:SF134', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12600)-RELATED', 163995),
(220270, 'PTHR11216:SF148', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR SUBSTRATE 15-LIKE ISOFORM X1', 163996),
(220271, 'PTHR35711:SF8', NULL, NULL, NULL, NULL, 'PROSTATIC SPERMINE-BINDING PROTEIN-LIKE', 163997),
(220272, 'PTHR35825', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA PRIME-INTERACTING PROTEIN', 163998),
(220273, 'PTHR43272:SF66', NULL, NULL, NULL, NULL, 'LONG-CHAIN ACYL-COA SYNTHETASE 6-RELATED', 163999),
(220274, 'PTHR11640:SF124', NULL, NULL, NULL, NULL, 'HEMICENTIN 2', 164000),
(220275, 'PTHR11216:SF54', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR SUBSTRATE 15', 164001),
(220276, 'PTHR19970:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164002),
(220277, 'PTHR20961:SF98', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 164003),
(220278, 'PTHR15197:SF2', NULL, NULL, NULL, NULL, 'SPHERE ORGANELLES PROTEIN-RELATED PROTEIN-RELATED', 164004),
(220279, 'PTHR15909:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L35, MITOCHONDRIAL', 164005),
(220280, 'PTHR46387:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164006),
(220281, 'PTHR31234:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164007),
(220282, 'PTHR31989:SF324', NULL, NULL, NULL, NULL, 'BNAA09G51610D PROTEIN', 164008),
(220283, 'PTHR43610', NULL, NULL, NULL, NULL, 'BLL6696 PROTEIN', 164009),
(220284, 'PTHR46993:SF7', NULL, NULL, NULL, NULL, 'BNAC09G33810D PROTEIN', 164010),
(220285, 'PTHR42994', NULL, NULL, NULL, NULL, 'PEPTIDASE T', 164011),
(220286, 'PTHR47350:SF5', NULL, NULL, NULL, NULL, 'PROTEIN IWS1 HOMOLOG 2', 164012),
(220287, 'PTHR32021:SF36', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 164013),
(220288, 'PTHR46152', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR-INTERACTING RAS-LIKE PROTEIN', 164014),
(220289, 'PTHR19972:SF10', NULL, NULL, NULL, NULL, 'SECRETAGOGIN', 164015),
(220290, 'PTHR33087:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164016),
(220291, 'PTHR21575', NULL, NULL, NULL, NULL, 'PROTEIN HID1', 164017),
(220292, 'PTHR12801:SF132', NULL, NULL, NULL, NULL, 'SMALL RNA DEGRADING NUCLEASE 2', 164018),
(220293, 'PTHR47926:SF222', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164019),
(220294, 'PTHR22770', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATING ENZYME 7 INTERACTING PROTEIN-RELATED', 164020),
(220295, 'PTHR43674', NULL, NULL, NULL, NULL, 'NITRILASE C965.09-RELATED', 164021),
(220296, 'PTHR30154:SF51', NULL, NULL, NULL, NULL, 'ASNC-FAMILY TRANSCRIPTIONAL REGULATORY PROTEIN', 164022),
(220297, 'PTHR11003:SF276', NULL, NULL, NULL, NULL, 'RE21922P', 164023),
(220298, 'PTHR31077:SF5', NULL, NULL, NULL, NULL, 'U4/U6.U5 SMALL NUCLEAR RIBONUCLEOPROTEIN 27 KDA PROTEIN', 164024),
(220299, 'PTHR24291:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164025),
(220300, 'PTHR47977:SF29', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-35', 164026),
(220301, 'PTHR31384:SF13', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 3', 164027),
(220302, 'PTHR16557:SF9', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY PROTEIN', 164028),
(220303, 'PTHR11712:SF297', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE, MITOCHONDRIAL', 164029),
(220304, 'PTHR22814:SF331', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 164030),
(220305, 'PTHR11908:SF92', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE 1-RELATED', 164031),
(220306, 'PTHR32093:SF111', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 5', 164032),
(220307, 'PTHR13817:SF16', NULL, NULL, NULL, NULL, 'MYOMESIN-1', 164033);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(220308, 'PTHR36311:SF3', NULL, NULL, NULL, NULL, 'BNAANNG28120D PROTEIN', 164034),
(220309, 'PTHR34364:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164035),
(220310, 'PTHR13066:SF2', NULL, NULL, NULL, NULL, 'GOLGIN-45', 164036),
(220311, 'PTHR19226:SF2', NULL, NULL, NULL, NULL, 'THY-1 MEMBRANE GLYCOPROTEIN', 164037),
(220312, 'PTHR11062:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164038),
(220313, 'PTHR13123:SF7', NULL, NULL, NULL, NULL, 'LD30288P', 164039),
(220314, 'PTHR22595:SF79', NULL, NULL, NULL, NULL, 'CHITINASE 12', 164040),
(220315, 'PTHR32258:SF29', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 4B', 164041),
(220316, 'PTHR31933:SF15', NULL, NULL, NULL, NULL, 'BNAANNG04900D PROTEIN', 164042),
(220317, 'PTHR31089:SF34', NULL, NULL, NULL, NULL, 'OS10G0406300 PROTEIN', 164043),
(220318, 'PTHR10283:SF77', NULL, NULL, NULL, NULL, 'PROTEIN CBG18085', 164044),
(220319, 'PTHR31080:SF169', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 164045),
(220320, 'PTHR31765:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12783', 164046),
(220321, 'PTHR23324:SF86', NULL, NULL, NULL, NULL, 'PROTEIN CBG23168', 164047),
(220322, 'PTHR23226:SF279', NULL, NULL, NULL, NULL, 'ZNF70 ISOFORM 1', 164048),
(220323, 'PTHR14208:SF7', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER AND W2 DOMAIN-CONTAINING PROTEIN 2', 164049),
(220324, 'PTHR13318:SF59', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 6', 164050),
(220325, 'PTHR33377:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164051),
(220326, 'PTHR38811:SF1', NULL, NULL, NULL, NULL, 'UPF0284 PROTEIN SLL1500', 164052),
(220327, 'PTHR47500:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 21', 164053),
(220328, 'PTHR33477:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164054),
(220329, 'PTHR10751', NULL, NULL, NULL, NULL, 'GUANYLATE BINDING PROTEIN', 164055),
(220330, 'PTHR24062:SF45', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 164056),
(220331, 'PTHR24256:SF503', NULL, NULL, NULL, NULL, 'SERINE PROTEASE H64', 164057),
(220332, 'PTHR21700:SF114', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 164058),
(220333, 'PTHR24221:SF546', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164059),
(220334, 'PTHR22952', NULL, NULL, NULL, NULL, 'CAMP-RESPONSE ELEMENT BINDING PROTEIN-RELATED', 164060),
(220335, 'PTHR12918', NULL, NULL, NULL, NULL, 'CYSTEINE DIOXYGENASE', 164061),
(220336, 'PTHR31657:SF26', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-13-LIKE', 164062),
(220337, 'PTHR31662:SF64', NULL, NULL, NULL, NULL, 'BNAC07G47850D PROTEIN', 164063),
(220338, 'PTHR15245:SF40', NULL, NULL, NULL, NULL, 'BNAA09G27860D PROTEIN', 164064),
(220339, 'PTHR46073:SF1', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE-RELATED', 164065),
(220340, 'PTHR26379:SF288', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164066),
(220341, 'PTHR47967:SF85', NULL, NULL, NULL, NULL, 'OS05G0383700 PROTEIN', 164067),
(220342, 'PTHR31375:SF53', NULL, NULL, NULL, NULL, 'EXO-BETA-1,3-GLUCANASE', 164068),
(220343, 'PTHR38146:SF8', NULL, NULL, NULL, NULL, 'BNACNNG13060D PROTEIN', 164069),
(220344, 'PTHR23250:SF9', NULL, NULL, NULL, NULL, 'TECTONIN BETA-PROPELLER REPEAT-CONTAINING 1A', 164070),
(220345, 'PTHR30411', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 164071),
(220346, 'PTHR46499:SF2', NULL, NULL, NULL, NULL, 'ARCHAEOSINE TRNA-RIBOSYLTRANSFERASE', 164072),
(220347, 'PTHR46323:SF1', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE (EUROFUNG)', 164073),
(220348, 'PTHR12828', NULL, NULL, NULL, NULL, 'PROTEASOME MATURATION PROTEIN  UMP1', 164074),
(220349, 'PTHR46047:SF3', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 61F', 164075),
(220350, 'PTHR43139:SF49', NULL, NULL, NULL, NULL, 'BNAC02G00900D PROTEIN', 164076),
(220351, 'PTHR21696:SF2', NULL, NULL, NULL, NULL, 'PROTEIN UNC-79 HOMOLOG', 164077),
(220352, 'PTHR33184:SF61', NULL, NULL, NULL, NULL, 'TPD1 PROTEIN HOMOLOG 1', 164078),
(220353, 'PTHR22953:SF120', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 11-RELATED', 164079);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(220354, 'PTHR47925:SF70', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 164080),
(220355, 'PTHR32285:SF38', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE RELATED PROTEIN-LIKE', 164081),
(220356, 'PTHR22812:SF149', NULL, NULL, NULL, NULL, 'CHROMOBOX 3', 164082),
(220357, 'PTHR47456:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-31C13.1', 164083),
(220358, 'PTHR10792:SF37', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24', 164084),
(220359, 'PTHR31415:SF53', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN', 164085),
(220360, 'PTHR24286:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164086),
(220361, 'PTHR10908:SF5', NULL, NULL, NULL, NULL, 'ARYLALKYLAMINE N-ACETYLTRANSFERASE', 164087),
(220362, 'PTHR10484:SF81', NULL, NULL, NULL, NULL, 'HISTONE H4.1', 164088),
(220363, 'PTHR36945:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN C02F5.12-RELATED', 164089),
(220364, 'PTHR22595:SF160', NULL, NULL, NULL, NULL, 'BASIC ENDOCHITINASE-LIKE', 164090),
(220365, 'PTHR48019:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164091),
(220366, 'PTHR11814:SF195', NULL, NULL, NULL, NULL, 'AGAP001531-PA', 164092),
(220367, 'PTHR14226:SF68', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE PATATIN FAMILY', 164093),
(220368, 'PTHR11588:SF53', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-4A CHAIN', 164094),
(220369, 'PTHR31589:SF132', NULL, NULL, NULL, NULL, 'BNAC06G31720D PROTEIN', 164095),
(220370, 'PTHR47978:SF33', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA2D', 164096),
(220371, 'PTHR26452:SF265', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 164097),
(220372, 'PTHR20905:SF1', NULL, NULL, NULL, NULL, 'EG:BACR25B3.5 PROTEIN', 164098),
(220373, 'PTHR37369', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 270', 164099),
(220374, 'PTHR19367:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164100),
(220375, 'PTHR11008:SF31', NULL, NULL, NULL, NULL, 'AGAP001983-PA', 164101),
(220376, 'PTHR31235:SF198', NULL, NULL, NULL, NULL, 'PEROXIDASE 57', 164102),
(220377, 'PTHR43731:SF16', NULL, NULL, NULL, NULL, 'RHOMBOSORTASE', 164103),
(220378, 'PTHR46506:SF20', NULL, NULL, NULL, NULL, 'JACALIN-LIKE LECTIN DOMAIN CONTAINING PROTEIN, EXPRESSED', 164104),
(220379, 'PTHR24056:SF452', NULL, NULL, NULL, NULL, 'OS08G0112500 PROTEIN', 164105),
(220380, 'PTHR31985:SF202', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF027-LIKE', 164106),
(220381, 'PTHR23400', NULL, NULL, NULL, NULL, 'DENTIN MATRIX ACIDIC PHOSPHOPROTEIN 1', 164107),
(220382, 'PTHR30128:SF63', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I CHLOROPHYLL A APOPROTEIN A2', 164108),
(220383, 'PTHR45613:SF277', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 164109),
(220384, 'PTHR33649:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164110),
(220385, 'PTHR39244:SF5', NULL, NULL, NULL, NULL, 'NATTERIN-4', 164111),
(220386, 'PTHR22917:SF7', NULL, NULL, NULL, NULL, 'VITRONECTIN A', 164112),
(220387, 'PTHR22552:SF31', NULL, NULL, NULL, NULL, 'CAENACIN (CAENORHABDITIS BACTERIOCIN)-RELATED', 164113),
(220388, 'PTHR30069:SF34', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT HEME RECEPTOR A', 164114),
(220389, 'PTHR31992:SF230', NULL, NULL, NULL, NULL, 'BNAANNG33280D PROTEIN', 164115),
(220390, 'PTHR12297:SF11', NULL, NULL, NULL, NULL, 'HIG1 DOMAIN FAMILY MEMBER 2A, MITOCHONDRIAL', 164116),
(220391, 'PTHR19856:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 1', 164117),
(220392, 'PTHR16083:SF20', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 164118),
(220393, 'PTHR18966:SF450', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2.9', 164119),
(220394, 'PTHR23095:SF16', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN MA2', 164120),
(220395, 'PTHR11206:SF425', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 164121),
(220396, 'PTHR10961:SF41', NULL, NULL, NULL, NULL, 'SARCOSINE OXIDASE-RELATED', 164122),
(220397, 'PTHR46095', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 593', 164123),
(220398, 'PTHR12628:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164124),
(220399, 'PTHR24349:SF337', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE', 164125);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(220400, 'PTHR43626:SF1', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE NAT5', 164126),
(220401, 'PTHR13582', NULL, NULL, NULL, NULL, 'M-PHASE PHOSPHOPROTEIN 6', 164127),
(220402, 'PTHR12321:SF115', NULL, NULL, NULL, NULL, 'ALFIN-LIKE TRANSCRIPTION FACTOR', 164128),
(220403, 'PTHR31668:SF10', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 164129),
(220404, 'PTHR37010', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE TUSE', 164130),
(220405, 'PTHR43391:SF57', NULL, NULL, NULL, NULL, 'ACYL REDUCTASE, PUTATIVE-RELATED', 164131),
(220406, 'PTHR43397', NULL, NULL, NULL, NULL, 'ERGOTHIONEINE BIOSYNTHESIS PROTEIN 1', 164132),
(220407, 'PTHR22743:SF167', NULL, NULL, NULL, NULL, 'PROTEIN CBG03413', 164133),
(220408, 'PTHR10366:SF635', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164134),
(220409, 'PTHR11935:SF77', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE-LIKE PROTEIN', 164135),
(220410, 'PTHR11516:SF60', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', 164136),
(220411, 'PTHR20854:SF17', NULL, NULL, NULL, NULL, 'PHOSPHATASE IMPL1, CHLOROPLASTIC', 164137),
(220412, 'PTHR43874:SF96', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR4', 164138),
(220413, 'PTHR47997:SF42', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 164139),
(220414, 'PTHR10891:SF899', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML27-RELATED', 164140),
(220415, 'PTHR31541:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164141),
(220416, 'PTHR15467', NULL, NULL, NULL, NULL, 'ZINC-FINGERS AND HOMEOBOXES RELATED', 164142),
(220417, 'PTHR11177:SF367', NULL, NULL, NULL, NULL, 'SI:CH211-226M16.2', 164143),
(220418, 'PTHR43776:SF12', NULL, NULL, NULL, NULL, 'D,D-DIPEPTIDE TRANSPORT ATP-BINDING PROTEIN DDPF-RELATED', 164144),
(220419, 'PTHR47646:SF1', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN MAGIX', 164145),
(220420, 'PTHR33052:SF30', NULL, NULL, NULL, NULL, 'OS01G0165600 PROTEIN', 164146),
(220421, 'PTHR45974:SF14', NULL, NULL, NULL, NULL, 'DNA-DAMAGE-REPAIR/TOLERATION PROTEIN DRT100-LIKE ISOFORM X1', 164147),
(220422, 'PTHR47719:SF2', NULL, NULL, NULL, NULL, 'SKP1-INTERACTING PARTNER 15', 164148),
(220423, 'PTHR10290:SF1', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE I, MITOCHONDRIAL', 164149),
(220424, 'PTHR12612:SF29', NULL, NULL, NULL, NULL, 'NTF2-LIKE PROTEIN', 164150),
(220425, 'PTHR10334:SF440', NULL, NULL, NULL, NULL, 'CAP, CYSTEINE-RICH SECRETORY PROTEIN, ANTIGEN 5', 164151),
(220426, 'PTHR33181:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164152),
(220427, 'PTHR12307:SF44', NULL, NULL, NULL, NULL, 'GLYCOGEN-BINDING SUBUNIT 76A', 164153),
(220428, 'PTHR12587:SF4', NULL, NULL, NULL, NULL, 'LIPRIN-ALPHA-3', 164154),
(220429, 'PTHR33207:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164155),
(220430, 'PTHR28136', NULL, NULL, NULL, NULL, 'NUCLEUS EXPORT PROTEIN BRR6', 164156),
(220431, 'PTHR47747:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 164157),
(220432, 'PTHR11210:SF1', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 11', 164158),
(220433, 'PTHR31642:SF223', NULL, NULL, NULL, NULL, 'BAHD FAMILY ACYLTRANSFERASE', 164159),
(220434, 'PTHR33021:SF270', NULL, NULL, NULL, NULL, 'PLASTOCYANIN-LIKE DOMAIN PROTEIN', 164160),
(220435, 'PTHR24247:SF205', NULL, NULL, NULL, NULL, 'D(4) DOPAMINE RECEPTOR', 164161),
(220436, 'PTHR11260:SF700', NULL, NULL, NULL, NULL, 'BNAC05G13370D PROTEIN', 164162),
(220437, 'PTHR22751:SF54', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 164163),
(220438, 'PTHR43490:SF88', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE', 164164),
(220439, 'PTHR31589:SF77', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PEPTIDASE', 164165),
(220440, 'PTHR10302:SF18', NULL, NULL, NULL, NULL, 'PROTEIN OSB1, MITOCHONDRIAL', 164166),
(220441, 'PTHR31683:SF78', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 164167),
(220442, 'PTHR24409:SF383', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 164168),
(220443, 'PTHR12411:SF526', NULL, NULL, NULL, NULL, 'GERMINATION-SPECIFIC CYSTEINE PROTEASE 1', 164169);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(220444, 'PTHR38595:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 164170),
(220445, 'PTHR33120:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164171),
(220446, 'PTHR31118:SF28', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE-RELATED', 164172),
(220447, 'PTHR11247:SF58', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 164173),
(220448, 'PTHR42701', NULL, NULL, NULL, NULL, 'IMIDAZOLE GLYCEROL PHOSPHATE SYNTHASE SUBUNIT HISH', 164174),
(220449, 'PTHR14952:SF9', NULL, NULL, NULL, NULL, 'ROPPORIN-1-LIKE PROTEIN', 164175),
(220450, 'PTHR31463:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164176),
(220451, 'PTHR11527:SF326', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONE-RELATED', 164177),
(220452, 'PTHR31717:SF76', NULL, NULL, NULL, NULL, 'B-BOX-TYPE ZINC FINGER-RELATED', 164178),
(220453, 'PTHR14455', NULL, NULL, NULL, NULL, 'ASKOPOS', 164179),
(220454, 'PTHR43220:SF9', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN FAMILY', 164180),
(220455, 'PTHR47029:SF2', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS PROTEIN 1', 164181),
(220456, 'PTHR21659:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164182),
(220457, 'PTHR32467:SF172', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 164183),
(220458, 'PTHR15124:SF21', NULL, NULL, NULL, NULL, 'SELENOPROTEIN W', 164184),
(220459, 'PTHR11895:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164185),
(220460, 'PTHR43839:SF3', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERMEASE PROTEIN', 164186),
(220461, 'PTHR36338', NULL, NULL, NULL, NULL, 'OS02G0495900 PROTEIN', 164187),
(220462, 'PTHR21646:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164188),
(220463, 'PTHR42865:SF10', NULL, NULL, NULL, NULL, 'SODIUM:DICARBOXYLATE SYMPORTER FAMILY PROTEIN', 164189),
(220464, 'PTHR31115', NULL, NULL, NULL, NULL, 'OS05G0107300 PROTEIN', 164190),
(220465, 'PTHR47979:SF31', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5B-LIKE', 164191),
(220466, 'PTHR24073:SF912', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-17', 164192),
(220467, 'PTHR10662:SF27', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR 1', 164193),
(220468, 'PTHR31790:SF362', NULL, NULL, NULL, NULL, 'BNAC03G47290D PROTEIN', 164194),
(220469, 'PTHR32212:SF300', NULL, NULL, NULL, NULL, 'BNAC09G29960D PROTEIN', 164195),
(220470, 'PTHR27005:SF314', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL PSEUDOKINASE ZED1', 164196),
(220471, 'PTHR35706', NULL, NULL, NULL, NULL, 'F14O23.11 PROTEIN', 164197),
(220472, 'PTHR27006:SF176', NULL, NULL, NULL, NULL, 'BNAC02G19770D PROTEIN', 164198),
(220473, 'PTHR43310:SF2', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER-RELATED', 164199),
(220474, 'PTHR14224:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164200),
(220475, 'PTHR22844:SF344', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE B-LIKE PROTEIN', 164201),
(220476, 'PTHR13964', NULL, NULL, NULL, NULL, 'RBP-RELATED', 164202),
(220477, 'PTHR37543:SF1', NULL, NULL, NULL, NULL, 'CCCH ZINC FINGER DNA BINDING PROTEIN (AFU_ORTHOLOGUE AFUA_5G12760)', 164203),
(220478, 'PTHR43139:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164204),
(220479, 'PTHR11247:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164205),
(220480, 'PTHR10544:SF10', NULL, NULL, NULL, NULL, 'RPL28 ISOFORM 1', 164206),
(220481, 'PTHR33983:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164207),
(220482, 'PTHR16214:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 260', 164208),
(220483, 'PTHR13903:SF21', NULL, NULL, NULL, NULL, 'PIRIN-LIKE PROTEIN', 164209),
(220484, 'PTHR24286:SF65', NULL, NULL, NULL, NULL, 'OS04G0570600 PROTEIN', 164210),
(220485, 'PTHR30126:SF80', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 164211),
(220486, 'PTHR15710:SF44', NULL, NULL, NULL, NULL, 'BNAA03G47990D PROTEIN', 164212),
(220487, 'PTHR43243:SF70', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORTER YGJI-RELATED', 164213),
(220488, 'PTHR12320:SF52', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C BIPP2C1-RELATED', 164214); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(220489, 'PTHR35766', NULL, NULL, NULL, NULL, 'OS08G0543600 PROTEIN', 164215),
(220490, 'PTHR15431', NULL, NULL, NULL, NULL, 'FGFR1 ONCOGENE PARTNER/LISH DOMAIN-CONTAINING PROTEIN', 164216),
(220491, 'PTHR25462:SF252', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 24', 164217),
(220492, 'PTHR33321:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164218),
(220493, 'PTHR37534:SF10', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 164219),
(220494, 'PTHR24073:SF1148', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN YPTM1', 164220),
(220495, 'PTHR34048:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164221),
(220496, 'PTHR46463:SF36', NULL, NULL, NULL, NULL, 'BNAA09G51750D PROTEIN', 164222),
(220497, 'PTHR43597', NULL, NULL, NULL, NULL, 'SULFUR ACCEPTOR PROTEIN CSDE', 164223),
(220498, 'PTHR31429:SF82', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 31-RELATED', 164224),
(220499, 'PTHR46506:SF13', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 164225),
(220500, 'PTHR24223', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY C', 164226),
(220501, 'PTHR11926:SF1374', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76F1-RELATED', 164227),
(220502, 'PTHR12947:SF14', NULL, NULL, NULL, NULL, 'AMSH-LIKE UBIQUITIN THIOESTERASE', 164228),
(220503, 'PTHR22874:SF9', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', 164229),
(220504, 'PTHR21100:SF10', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 4', 164230),
(220505, 'PTHR43177:SF8', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN OXIDOREDUCTASE, IRON-SULFUR BINDING SUBUNIT', 164231),
(220506, 'PTHR43329:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 164232),
(220507, 'PTHR24173:SF14', NULL, NULL, NULL, NULL, 'PROTEIN FEM-1 HOMOLOG C', 164233),
(220508, 'PTHR12287:SF20', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR KINASE SUBSTRATE 8-LIKE PROTEIN 2', 164234),
(220509, 'PTHR19869', NULL, NULL, NULL, NULL, 'SPERMATID WD-REPEAT PROTEIN', 164235),
(220510, 'PTHR31717:SF70', NULL, NULL, NULL, NULL, 'OS02G0176000 PROTEIN', 164236),
(220511, 'PTHR46236:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164237),
(220512, 'PTHR12596:SF18', NULL, NULL, NULL, NULL, 'BNAA10G30440D PROTEIN', 164238),
(220513, 'PTHR34630:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164239),
(220514, 'PTHR45619:SF46', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 164240),
(220515, 'PTHR24637:SF314', NULL, NULL, NULL, NULL, 'COLLAGEN', 164241),
(220516, 'PTHR46076:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING2', 164242),
(220517, 'PTHR32212:SF378', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', 164243),
(220518, 'PTHR36327', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 164244),
(220519, 'PTHR10909:SF344', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACYL-COENZYME A OXIDASE 2', 164245),
(220520, 'PTHR13408:SF6', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC4-LIKE ISOFORM X1', 164246),
(220521, 'PTHR46301:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164247),
(220522, 'PTHR36916:SF2', NULL, NULL, NULL, NULL, 'SI:CH1073-263O8.2-RELATED', 164248),
(220523, 'PTHR31241:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164249),
(220524, 'PTHR12320:SF58', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 164250),
(220525, 'PTHR38097:SF2', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN STPA', 164251),
(220526, 'PTHR13683:SF630', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2-LIKE', 164252),
(220527, 'PTHR11438:SF2', NULL, NULL, NULL, NULL, 'PREPRONOCICEPTIN', 164253),
(220528, 'PTHR32285:SF194', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 19', 164254),
(220529, 'PTHR45717:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164255),
(220530, 'PTHR34947:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 164256),
(220531, 'PTHR11249:SF3', NULL, NULL, NULL, NULL, 'GLIA MATURATION FACTOR BETA', 164257),
(220532, 'PTHR44083:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164258);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(220533, 'PTHR10926:SF49', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT 4-RELATED', 164259),
(220534, 'PTHR11461:SF145', NULL, NULL, NULL, NULL, 'ALPHA-1-ANTICHYMOTRYPSIN', 164260),
(220535, 'PTHR11122:SF46', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 164261),
(220536, 'PTHR21177:SF6', NULL, NULL, NULL, NULL, 'GH11627P', 164262),
(220537, 'PTHR12480', NULL, NULL, NULL, NULL, 'ARGININE DEMETHYLASE AND LYSYL-HYDROXYLASE JMJD', 164263),
(220538, 'PTHR26452', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 164264),
(220539, 'PTHR27005:SF380', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 164265),
(220540, 'PTHR48022:SF69', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER-RELATED', 164266),
(220541, 'PTHR11615:SF258', NULL, NULL, NULL, NULL, 'CYTOSOLIC FE-S CLUSTER ASSEMBLY FACTOR CG17683-RELATED', 164267),
(220542, 'PTHR36291', NULL, NULL, NULL, NULL, 'UBAP1-MVB12-ASSOCIATED (UMA)-DOMAIN CONTAINING PROTEIN 1', 164268),
(220543, 'PTHR24023:SF912', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XV) CHAIN', 164269),
(220544, 'PTHR37179', NULL, NULL, NULL, NULL, 'TRANSGLYCOSYLASE', 164270),
(220545, 'PTHR46787:SF1', NULL, NULL, NULL, NULL, 'SYNDROMES PUTATIVE CHAPERONIN-RELATED', 164271),
(220546, 'PTHR19818:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164272),
(220547, 'PTHR47254:SF1', NULL, NULL, NULL, NULL, 'CELL WALL MANNOPROTEIN CIS3-RELATED', 164273),
(220548, 'PTHR44337:SF15', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC BETA-1-GLYCOPROTEIN 11-RELATED', 164274),
(220549, 'PTHR43537:SF20', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR GLAR', 164275),
(220550, 'PTHR36531:SF2', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED EXONUCLEASE CAS4', 164276),
(220551, 'PTHR13006:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 395B', 164277),
(220552, 'PTHR22765:SF265', NULL, NULL, NULL, NULL, 'BNAA06G00320D PROTEIN', 164278),
(220553, 'PTHR10642:SF23', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H1', 164279),
(220554, 'PTHR47926:SF143', NULL, NULL, NULL, NULL, 'BNAC01G35620D PROTEIN', 164280),
(220555, 'PTHR43243:SF66', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 1-LIKE', 164281),
(220556, 'PTHR31111:SF14', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 8', 164282),
(220557, 'PTHR24296:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164283),
(220558, 'PTHR11528:SF112', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90-2-RELATED', 164284),
(220559, 'PTHR31650:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164285),
(220560, 'PTHR11514:SF136', NULL, NULL, NULL, NULL, 'BNAC07G33660D PROTEIN', 164286),
(220561, 'PTHR31225:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164287),
(220562, 'PTHR47005:SF2', NULL, NULL, NULL, NULL, 'NEUROFILAMENT HEAVY POLYPEPTIDE-LIKE', 164288),
(220563, 'PTHR46094', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 9', 164289),
(220564, 'PTHR23155:SF896', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RFL1-RELATED', 164290),
(220565, 'PTHR26374:SF352', NULL, NULL, NULL, NULL, 'CYS2-HIS2 ZINC FINGER TRANSCRIPTION FACTOR', 164291),
(220566, 'PTHR46158:SF9', NULL, NULL, NULL, NULL, 'BNAANNG08520D PROTEIN', 164292),
(220567, 'PTHR31062:SF103', NULL, NULL, NULL, NULL, 'ENDOXYLOGLUCAN TRANSFERASE-LIKE PROTEIN', 164293),
(220568, 'PTHR10288:SF264', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS K HOMOLOGY DOMAIN-LIKE', 164294),
(220569, 'PTHR12113:SF12', NULL, NULL, NULL, NULL, 'DICKKOPF-RELATED PROTEIN 2', 164295),
(220570, 'PTHR40736:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164296),
(220571, 'PTHR45680:SF15', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 164297),
(220572, 'PTHR33074', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 164298),
(220573, 'PTHR33052:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164299),
(220574, 'PTHR13817:SF57', NULL, NULL, NULL, NULL, 'IG (IMMUNOGLOBULIN) AND DB (CYS-RICH) DOMAINS', 164300),
(220575, 'PTHR35353', NULL, NULL, NULL, NULL, 'OSTEOCRIN', 164301),
(220576, 'PTHR23220:SF73', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-IIB', 164302);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(220577, 'PTHR45614:SF151', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', 164303),
(220578, 'PTHR23322:SF85', NULL, NULL, NULL, NULL, 'BNAA02G21640D PROTEIN', 164304),
(220579, 'PTHR12451:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CASTOR HOMOLOG 1', 164305),
(220580, 'PTHR21461', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 164306),
(220581, 'PTHR14677:SF17', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN', 164307),
(220582, 'PTHR10725:SF61', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 10', 164308),
(220583, 'PTHR34374:SF1', NULL, NULL, NULL, NULL, 'LARGE RIBOSOMAL RNA SUBUNIT ACCUMULATION PROTEIN YCED HOMOLOG 1, CHLOROPLASTIC', 164309),
(220584, 'PTHR24064:SF73', NULL, NULL, NULL, NULL, 'PROTEIN CBG13370', 164310),
(220585, 'PTHR45776:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR EC', 164311),
(220586, 'PTHR24092:SF91', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 164312),
(220587, 'PTHR24028:SF54', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-10', 164313),
(220588, 'PTHR33527:SF21', NULL, NULL, NULL, NULL, 'OS10G0182800 PROTEIN', 164314),
(220589, 'PTHR10231:SF89', NULL, NULL, NULL, NULL, 'BNAC03G49310D PROTEIN', 164315),
(220590, 'PTHR46756:SF16', NULL, NULL, NULL, NULL, 'GAS2-LIKE PROTEIN 1', 164316),
(220591, 'PTHR31391:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164317),
(220592, 'PTHR31061:SF21', NULL, NULL, NULL, NULL, 'SI:DKEY-192P21.6', 164318),
(220593, 'PTHR11040:SF48', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 10-RELATED', 164319),
(220594, 'PTHR31286:SF63', NULL, NULL, NULL, NULL, 'BNAC09G51710D PROTEIN', 164320),
(220595, 'PTHR26454:SF36', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 164321),
(220596, 'PTHR23266:SF120', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY CONSTANT MU', 164322),
(220597, 'PTHR11032:SF1', NULL, NULL, NULL, NULL, 'FMS-RELATED TYROSINE KINASE 3 LIGAND', 164323),
(220598, 'PTHR33565:SF23', NULL, NULL, NULL, NULL, 'DORMANCYAUXIN ASSOCIATED-RELATED', 164324),
(220599, 'PTHR11089:SF11', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN-LIKE 3', 164325),
(220600, 'PTHR33527:SF14', NULL, NULL, NULL, NULL, 'OS07G0274300 PROTEIN', 164326),
(220601, 'PTHR31752:SF4', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 2', 164327),
(220602, 'PTHR15387', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 17', 164328),
(220603, 'PTHR38730', NULL, NULL, NULL, NULL, 'SLL7028 PROTEIN', 164329),
(220604, 'PTHR12447:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164330),
(220605, 'PTHR11860:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN TMIGD3', 164331),
(220606, 'PTHR45705', NULL, NULL, NULL, NULL, 'FI20236P1', 164332),
(220607, 'PTHR40606', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 164333),
(220608, 'PTHR31274:SF2', NULL, NULL, NULL, NULL, 'AGL149CP', 164334),
(220609, 'PTHR31734:SF204', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 164335),
(220610, 'PTHR15907:SF165', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 12', 164336),
(220611, 'PTHR24073:SF1119', NULL, NULL, NULL, NULL, 'RAS FAMILY PROTEIN', 164337),
(220612, 'PTHR48021:SF14', NULL, NULL, NULL, NULL, 'BNAA07G01410D PROTEIN', 164338),
(220613, 'PTHR12999:SF19', NULL, NULL, NULL, NULL, 'BNAC09G30490D PROTEIN', 164339),
(220614, 'PTHR13068:SF87', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF2, CHLOROPLASTIC-LIKE', 164340),
(220615, 'PTHR12186:SF3', NULL, NULL, NULL, NULL, 'FGFR1 ONCOGENE PARTNER 2', 164341),
(220616, 'PTHR34052:SF6', NULL, NULL, NULL, NULL, 'CUB AND SUSHI DOMAIN-CONTAINING PROTEIN 3', 164342),
(220617, 'PTHR46216:SF1', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 37B', 164343),
(220618, 'PTHR46057:SF24', NULL, NULL, NULL, NULL, 'OS08G0451200 PROTEIN', 164344),
(220619, 'PTHR11850:SF300', NULL, NULL, NULL, NULL, 'PBX1A HOMEODOMAIN PROTEIN-RELATED', 164345),
(220620, 'PTHR23268:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164346),
(220621, 'PTHR33474', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 164347);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(220622, 'PTHR48043:SF114', NULL, NULL, NULL, NULL, 'DOROTHY, ISOFORM A-RELATED', 164348),
(220623, 'PTHR31448:SF33', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 164349),
(220624, 'PTHR12741:SF74', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 11', 164350),
(220625, 'PTHR14572', NULL, NULL, NULL, NULL, 'PANCREATIC PROGENITOR CELL DIFFERENTIATION AND PROLIFERATION FACTOR', 164351),
(220626, 'PTHR11254:SF293', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SMURF1', 164352),
(220627, 'PTHR33548:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164353),
(220628, 'PTHR42844:SF9', NULL, NULL, NULL, NULL, '7,8-DIHYDRONEOPTERIN ALDOLASE', 164354),
(220629, 'PTHR23050:SF312', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 164355),
(220630, 'PTHR13145:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164356),
(220631, 'PTHR42842', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE', 164357),
(220632, 'PTHR24177:SF33', NULL, NULL, NULL, NULL, 'ANKYRIN-REPEAT CONTAINING PROTEIN', 164358),
(220633, 'PTHR46136:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE11', 164359),
(220634, 'PTHR31009:SF42', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETATE O-METHYLTRANSFERASE 1', 164360),
(220635, 'PTHR30212:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YIIM', 164361),
(220636, 'PTHR48018:SF14', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8B4', 164362),
(220637, 'PTHR46130:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164363),
(220638, 'PTHR47985:SF21', NULL, NULL, NULL, NULL, 'BNACNNG52200D PROTEIN', 164364),
(220639, 'PTHR24092:SF189', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 164365),
(220640, 'PTHR32258:SF21', NULL, NULL, NULL, NULL, 'KINASE INTERACTING (KIP1-LIKE) FAMILY PROTEIN', 164366),
(220641, 'PTHR31048:SF134', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN FAMILY PROTEIN', 164367),
(220642, 'PTHR48017:SF32', NULL, NULL, NULL, NULL, 'BNAC03G65390D PROTEIN', 164368),
(220643, 'PTHR32161:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164369),
(220644, 'PTHR46316:SF2', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-2', 164370),
(220645, 'PTHR22765:SF288', NULL, NULL, NULL, NULL, 'ERAD-ASSOCIATED E3 UBIQUITIN-PROTEIN LIGASE HRD1B', 164371),
(220646, 'PTHR44688:SF17', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL ACTIVATOR EVGA-RELATED', 164372),
(220647, 'PTHR45000', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 164373),
(220648, 'PTHR24349:SF81', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 6', 164374),
(220649, 'PTHR45048:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 88', 164375),
(220650, 'PTHR31989:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164376),
(220651, 'PTHR43512:SF6', NULL, NULL, NULL, NULL, 'TRANSLATION FACTOR GUF1 HOMOLOG, MITOCHONDRIAL', 164377),
(220652, 'PTHR23500:SF559', NULL, NULL, NULL, NULL, 'BNAC03G34490D PROTEIN', 164378),
(220653, 'PTHR35574:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14602', 164379),
(220654, 'PTHR43210:SF5', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DETHIOBIOTIN SYNTHETASE BIOD 1', 164380),
(220655, 'PTHR10315:SF91', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINAT2-LIKE', 164381),
(220656, 'PTHR31509:SF67', NULL, NULL, NULL, NULL, 'OSJNBA0018M05.6 PROTEIN', 164382),
(220657, 'PTHR46291:SF5', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT DOMAIN-CONTAINING PROTEIN 4C', 164383),
(220658, 'PTHR43112:SF28', NULL, NULL, NULL, NULL, 'FERREDOXIN', 164384),
(220659, 'PTHR10972:SF88', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 2B', 164385),
(220660, 'PTHR23305:SF18', NULL, NULL, NULL, NULL, 'OBG-LIKE ATPASE 1', 164386),
(220661, 'PTHR42888:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L36, CHLOROPLASTIC', 164387),
(220662, 'PTHR31963:SF16', NULL, NULL, NULL, NULL, 'OS06G0635200 PROTEIN', 164388),
(220663, 'PTHR46304', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR II-I REPEAT DOMAIN-CONTAINING PROTEIN 1', 164389),
(220664, 'PTHR11783:SF179', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 12-RELATED', 164390);
INSERT INTO "PUBLIC"."MODEL" VALUES
(220665, 'PTHR45762', NULL, NULL, NULL, NULL, 'ZINC FINGER RNA-BINDING PROTEIN', 164391),
(220666, 'PTHR10605:SF18', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 164392),
(220667, 'PTHR33651:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG06246', 164393),
(220668, 'PTHR36339:SF2', NULL, NULL, NULL, NULL, 'F23A5.5', 164394),
(220669, 'PTHR30258', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN GSPE-RELATED', 164395),
(220670, 'PTHR13817:SF81', NULL, NULL, NULL, NULL, 'CONTACTIN-2', 164396),
(220671, 'PTHR46677', NULL, NULL, NULL, NULL, 'SMC5-SMC6 COMPLEX LOCALIZATION FACTOR PROTEIN 1', 164397),
(220672, 'PTHR31985:SF192', NULL, NULL, NULL, NULL, 'INTEGRASE-TYPE DNA-BINDING SUPERFAMILY PROTEIN-RELATED', 164398),
(220673, 'PTHR31446:SF30', NULL, NULL, NULL, NULL, 'BNAA09G39460D PROTEIN', 164399),
(220674, 'PTHR43004:SF4', NULL, NULL, NULL, NULL, 'PHENOL 2-MONOOXYGENASE', 164400),
(220675, 'PTHR10559:SF18', NULL, NULL, NULL, NULL, 'AGAP004726-PA', 164401),
(220676, 'PTHR19969:SF8', NULL, NULL, NULL, NULL, 'ADAPTER MOLECULE CRK', 164402),
(220677, 'PTHR31561:SF140', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 11-LIKE', 164403),
(220678, 'PTHR33779:SF10', NULL, NULL, NULL, NULL, 'BNAA09G38550D PROTEIN', 164404),
(220679, 'PTHR22999', NULL, NULL, NULL, NULL, 'PX SERINE/THREONINE KINASE  PXK', 164405),
(220680, 'PTHR31080:SF96', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', 164406),
(220681, 'PTHR45662:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITIDE PHOSPHATASE SAC2', 164407),
(220682, 'PTHR11596:SF76', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE', 164408),
(220683, 'PTHR37389:SF26', NULL, NULL, NULL, NULL, 'BNAC03G74330D PROTEIN', 164409),
(220684, 'PTHR32212', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX', 164410),
(220685, 'PTHR10744:SF26', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11-1', 164411),
(220686, 'PTHR23226:SF164', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS 2', 164412),
(220687, 'PTHR31798:SF3', NULL, NULL, NULL, NULL, 'OS01G0103800 PROTEIN', 164413),
(220688, 'PTHR23305', NULL, NULL, NULL, NULL, 'OBG GTPASE FAMILY', 164414),
(220689, 'PTHR31787:SF13', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN J', 164415),
(220690, 'PTHR37701:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164416),
(220691, 'PTHR43721:SF21', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU', 164417),
(220692, 'PTHR34789:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 164418),
(220693, 'PTHR18966:SF503', NULL, NULL, NULL, NULL, 'NMDA CLASS GLUTAMATE RECEPTOR', 164419),
(220694, 'PTHR36419', NULL, NULL, NULL, NULL, 'ARRESTIN FAMILY PROTEIN 1', 164420),
(220695, 'PTHR48044:SF12', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 164421),
(220696, 'PTHR45730:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164422),
(220697, 'PTHR47958:SF61', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 11', 164423),
(220698, 'PTHR43327:SF38', NULL, NULL, NULL, NULL, 'BNACNNG14570D PROTEIN', 164424),
(220699, 'PTHR30100:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE ACYLTRANSFERASE', 164425),
(220700, 'PTHR31232:SF69', NULL, NULL, NULL, NULL, 'BNACNNG20600D PROTEIN', 164426),
(220701, 'PTHR24345:SF82', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK4', 164427),
(220702, 'PTHR31790:SF344', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 164428),
(220703, 'PTHR42927:SF1', NULL, NULL, NULL, NULL, 'HELICASE SUPERFAMILY 1 AND 2 DOMAIN-CONTAINING PROTEIN', 164429),
(220704, 'PTHR45658:SF71', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 164430),
(220705, 'PTHR31568:SF64', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', 164431),
(220706, 'PTHR12203:SF95', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 90 PROTEIN', 164432),
(220707, 'PTHR42747', NULL, NULL, NULL, NULL, 'NITRONATE MONOOXYGENASE-RELATED', 164433),
(220708, 'PTHR11374:SF42', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', 164434),
(220709, 'PTHR24033:SF183', NULL, NULL, NULL, NULL, 'ABNORMAL PHARYNGEAL PUMPING EAT-20', 164435);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(220710, 'PTHR34806:SF9', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER', 164436),
(220711, 'PTHR32285:SF200', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 164437),
(220712, 'PTHR23021:SF43', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 164438),
(220713, 'PTHR10351:SF57', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3', 164439),
(220714, 'PTHR11732:SF477', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', 164440),
(220715, 'PTHR24096:SF362', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 9', 164441),
(220716, 'PTHR13382:SF12', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RHP7', 164442),
(220717, 'PTHR45658:SF87', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', 164443),
(220718, 'PTHR33095:SF67', NULL, NULL, NULL, NULL, 'PHEROMONE RECEPTOR-LIKE PROTEIN', 164444),
(220719, 'PTHR31213:SF157', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN', 164445),
(220720, 'PTHR48024:SF9', NULL, NULL, NULL, NULL, 'OSJNBB0034I13.9 PROTEIN', 164446),
(220721, 'PTHR30632', NULL, NULL, NULL, NULL, 'MOLYBDATE-BINDING PERIPLASMIC PROTEIN', 164447),
(220722, 'PTHR12064:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164448),
(220723, 'PTHR10026:SF133', NULL, NULL, NULL, NULL, 'CYCLIN FAMILY PROTEIN-RELATED', 164449),
(220724, 'PTHR42991:SF8', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 164450),
(220725, 'PTHR10183:SF329', NULL, NULL, NULL, NULL, 'CALPAIN-3', 164451),
(220726, 'PTHR41294', NULL, NULL, NULL, NULL, 'CADMIUM-INDUCED PROTEIN CADI', 164452),
(220727, 'PTHR16266:SF17', NULL, NULL, NULL, NULL, 'BRWD3', 164453),
(220728, 'PTHR24177:SF269', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', 164454),
(220729, 'PTHR31561:SF113', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 19-LIKE', 164455),
(220730, 'PTHR36942', NULL, NULL, NULL, NULL, 'PROTEIN CBG10268', 164456),
(220731, 'PTHR43228:SF5', NULL, NULL, NULL, NULL, 'STAGE 0 SPORULATION PROTEIN A', 164457),
(220732, 'PTHR24384:SF207', NULL, NULL, NULL, NULL, 'SI:CH211-161M3.1-RELATED', 164458),
(220733, 'PTHR35716', NULL, NULL, NULL, NULL, 'OS05G0574700 PROTEIN-RELATED', 164459),
(220734, 'PTHR10159:SF408', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164460),
(220735, 'PTHR12565:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164461),
(220736, 'PTHR34223:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164462),
(220737, 'PTHR11746:SF232', NULL, NULL, NULL, NULL, 'INDOLE GLUCOSINOLATE O-METHYLTRANSFERASE 1-RELATED', 164463),
(220738, 'PTHR45348:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL OXIDOREDUCTASE (EUROFUNG)', 164464),
(220739, 'PTHR24412:SF22', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 40', 164465),
(220740, 'PTHR45824:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 3', 164466),
(220741, 'PTHR16134:SF94', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', 164467),
(220742, 'PTHR36892', NULL, NULL, NULL, NULL, 'OS01G0201800 PROTEIN', 164468),
(220743, 'PTHR45640:SF8', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP-12.2', 164469),
(220744, 'PTHR11571:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164470),
(220745, 'PTHR23236:SF50', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B', 164471),
(220746, 'PTHR47701:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MODIFIER OF SNC1 11', 164472),
(220747, 'PTHR11183:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164473),
(220748, 'PTHR24064', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER', 164474),
(220749, 'PTHR33401:SF18', NULL, NULL, NULL, NULL, 'BNAC04G43810D PROTEIN', 164475),
(220750, 'PTHR44019:SF18', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 12', 164476),
(220751, 'PTHR10426:SF57', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 8-LIKE', 164477),
(220752, 'PTHR19143:SF255', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-LIKE 1B', 164478),
(220753, 'PTHR24096:SF381', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', 164479);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(220754, 'PTHR16740:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-RELATED PROTEIN-RELATED', 164480),
(220755, 'PTHR16267:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE 3-KINASE ADAPTER PROTEIN 1', 164481),
(220756, 'PTHR10824:SF37', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE 20', 164482),
(220757, 'PTHR11967', NULL, NULL, NULL, NULL, 'ALPHA-1-ACID GLYCOPROTEIN', 164483),
(220758, 'PTHR31339:SF50', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 164484),
(220759, 'PTHR36981:SF1', NULL, NULL, NULL, NULL, 'ZGC:195170', 164485),
(220760, 'PTHR33021:SF360', NULL, NULL, NULL, NULL, 'OS08G0482600 PROTEIN', 164486),
(220761, 'PTHR45817', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE-LIKE-RELATED', 164487),
(220762, 'PTHR31044:SF57', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', 164488),
(220763, 'PTHR35182:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG05388', 164489),
(220764, 'PTHR24036:SF16', NULL, NULL, NULL, NULL, 'KNICKKOPF', 164490),
(220765, 'PTHR21426:SF12', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 8', 164491),
(220766, 'PTHR15588:SF16', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM1', 164492),
(220767, 'PTHR43537:SF2', NULL, NULL, NULL, NULL, 'GLUCONATE OPERON TRANSCRIPTIONAL REPRESSOR', 164493),
(220768, 'PTHR27000:SF724', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164494),
(220769, 'PTHR42711:SF13', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 164495),
(220770, 'PTHR11260:SF625', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', 164496),
(220771, 'PTHR43157:SF44', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 13', 164497),
(220772, 'PTHR45703:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164498),
(220773, 'PTHR10877:SF184', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND IQ MOTIF CONTAINING 1', 164499),
(220774, 'PTHR34536:SF7', NULL, NULL, NULL, NULL, 'BNAA10G28360D PROTEIN', 164500),
(220775, 'PTHR23119:SF52', NULL, NULL, NULL, NULL, 'DISKS LARGE HOMOLOG 1', 164501),
(220776, 'PTHR46443:SF3', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 8', 164502),
(220777, 'PTHR11100:SF18', NULL, NULL, NULL, NULL, 'PRO-NEUREGULIN-3, MEMBRANE-BOUND ISOFORM', 164503),
(220778, 'PTHR12411:SF327', NULL, NULL, NULL, NULL, 'CATHEPSIN L-LIKE 3-RELATED', 164504),
(220779, 'PTHR12203:SF76', NULL, NULL, NULL, NULL, 'DOWNSTREAM TARGET OF AGL15 2', 164505),
(220780, 'PTHR33621:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164506),
(220781, 'PTHR24343:SF368', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 1', 164507),
(220782, 'PTHR48053:SF47', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR ISOFORM X1', 164508),
(220783, 'PTHR45619:SF23', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 164509),
(220784, 'PTHR12290:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 2-RELATED', 164510),
(220785, 'PTHR38009', NULL, NULL, NULL, NULL, 'CONSERVED HYPOTHETICAL PHAGE TAIL PROTEIN', 164511),
(220786, 'PTHR32133:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164512),
(220787, 'PTHR24377:SF142', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 546', 164513),
(220788, 'PTHR34708', NULL, NULL, NULL, NULL, 'OS07G0440000 PROTEIN', 164514),
(220789, 'PTHR33565:SF24', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN HOMOLOG 4', 164515),
(220790, 'PTHR33870:SF19', NULL, NULL, NULL, NULL, 'LRR PROTEIN', 164516),
(220791, 'PTHR47560:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 164517),
(220792, 'PTHR10438:SF394', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CXXS2-RELATED', 164518),
(220793, 'PTHR26374:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164519),
(220794, 'PTHR15036:SF69', NULL, NULL, NULL, NULL, 'SI:DKEYP-41F9.3', 164520),
(220795, 'PTHR13793:SF146', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN, 140KD, ISOFORM A', 164521),
(220796, 'PTHR33167:SF36', NULL, NULL, NULL, NULL, 'BNAC08G40020D PROTEIN', 164522),
(220797, 'PTHR31448:SF46', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 2-LIKE ISOFORM X1', 164523);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(220798, 'PTHR45676:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164524),
(220799, 'PTHR15241:SF327', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1', 164525),
(220800, 'PTHR23421:SF159', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00670)-RELATED', 164526),
(220801, 'PTHR23063:SF2', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE-LIKE', 164527),
(220802, 'PTHR10953:SF226', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 3', 164528),
(220803, 'PTHR43908:SF8', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 12', 164529),
(220804, 'PTHR38706', NULL, NULL, NULL, NULL, 'SI:CH211-198C19.1-RELATED', 164530),
(220805, 'PTHR11746:SF254', NULL, NULL, NULL, NULL, 'ACETYLSEROTONIN O-METHYLTRANSFERASE', 164531),
(220806, 'PTHR47976:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 164532),
(220807, 'PTHR11037', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CP2', 164533),
(220808, 'PTHR11011:SF67', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 1', 164534),
(220809, 'PTHR31232:SF87', NULL, NULL, NULL, NULL, 'BNAANNG19020D PROTEIN', 164535),
(220810, 'PTHR10519', NULL, NULL, NULL, NULL, 'GABA-B RECEPTOR', 164536),
(220811, 'PTHR12552:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164537),
(220812, 'PTHR10283:SF133', NULL, NULL, NULL, NULL, 'BNAA02G25550D PROTEIN', 164538),
(220813, 'PTHR31284:SF42', NULL, NULL, NULL, NULL, 'BNAA06G36380D PROTEIN', 164539),
(220814, 'PTHR23279:SF38', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 9, ISOFORM A', 164540),
(220815, 'PTHR24343:SF396', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 31', 164541),
(220816, 'PTHR33147:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164542),
(220817, 'PTHR31114:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-RELATED', 164543),
(220818, 'PTHR40623', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 164544),
(220819, 'PTHR22811:SF123', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24BETA2-LIKE ISOFORM X1', 164545),
(220820, 'PTHR37736:SF1', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 164546),
(220821, 'PTHR32077:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164547),
(220822, 'PTHR23024:SF416', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', 164548),
(220823, 'PTHR15751:SF12', NULL, NULL, NULL, NULL, 'TRAFFICKING KINESIN-BINDING PROTEIN MILT', 164549),
(220824, 'PTHR45690:SF9', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 4A', 164550),
(220825, 'PTHR48105:SF19', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE 3', 164551),
(220826, 'PTHR31218:SF291', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 164552),
(220827, 'PTHR11654:SF411', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164553),
(220828, 'PTHR38248:SF2', NULL, NULL, NULL, NULL, 'FUNK1 6', 164554),
(220829, 'PTHR28498:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 7', 164555),
(220830, 'PTHR47988:SF29', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 164556),
(220831, 'PTHR14948:SF25', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 164557),
(220832, 'PTHR42695:SF13', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE CLASS-I FAMILY PROTEIN, EXPRESSED', 164558),
(220833, 'PTHR33413:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 164559),
(220834, 'PTHR35312:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164560),
(220835, 'PTHR21325:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164561),
(220836, 'PTHR33076:SF59', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 164562),
(220837, 'PTHR43266:SF3', NULL, NULL, NULL, NULL, 'MACROLIDE-EFFLUX PROTEIN', 164563),
(220838, 'PTHR11544:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164564),
(220839, 'PTHR11926:SF1006', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 164565),
(220840, 'PTHR11153:SF35', NULL, NULL, NULL, NULL, 'SIDOREFLEXIN', 164566),
(220841, 'PTHR13683:SF848', NULL, NULL, NULL, NULL, 'BNACNNG04620D PROTEIN', 164567),
(220842, 'PTHR32080:SF40', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 1-RELATED', 164568);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(220843, 'PTHR13082', NULL, NULL, NULL, NULL, 'SAP18', 164569),
(220844, 'PTHR35753:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MAINTENANCE OF PSII UNDER HIGH LIGHT 1', 164570),
(220845, 'PTHR15896', NULL, NULL, NULL, NULL, 'GOLGI PHOSPHOPROTEIN 2/GP73-RELATED', 164571),
(220846, 'PTHR13328:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164572),
(220847, 'PTHR36315', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 4, CHLOROPLASTIC', 164573),
(220848, 'PTHR36762:SF4', NULL, NULL, NULL, NULL, 'LIGHT-REGULATED PROTEIN-LIKE', 164574),
(220849, 'PTHR23336:SF54', NULL, NULL, NULL, NULL, 'ATP-BINDING REGION, ATPASE-LIKE DOMAIN-CONTAINING PROTEIN-LIKE', 164575),
(220850, 'PTHR43029:SF31', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 164576),
(220851, 'PTHR19424:SF8', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR-BINDING PROTEIN 1-LIKE', 164577),
(220852, 'PTHR13769:SF5', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN BB, TANDEM DUPLICATE 1-RELATED', 164578),
(220853, 'PTHR33191:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164579),
(220854, 'PTHR24343:SF189', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 32', 164580),
(220855, 'PTHR11537:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164581),
(220856, 'PTHR31113:SF34', NULL, NULL, NULL, NULL, 'BNAC06G29750D PROTEIN', 164582),
(220857, 'PTHR23176:SF14', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACJJ', 164583),
(220858, 'PTHR23015:SF4', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN CONTAINING-RELATED', 164584),
(220859, 'PTHR47727:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 9 MEMBER A', 164585),
(220860, 'PTHR33021:SF152', NULL, NULL, NULL, NULL, 'OS04G0545600 PROTEIN', 164586),
(220861, 'PTHR31017:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LCHN', 164587),
(220862, 'PTHR22883:SF357', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 164588),
(220863, 'PTHR12565:SF378', NULL, NULL, NULL, NULL, 'OSJNBA0038P21.14 PROTEIN', 164589),
(220864, 'PTHR11158:SF28', NULL, NULL, NULL, NULL, 'OS09G0486000 PROTEIN', 164590),
(220865, 'PTHR16517:SF127', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 164591),
(220866, 'PTHR37078', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 164592),
(220867, 'PTHR31775:SF27', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', 164593),
(220868, 'PTHR10338:SF154', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN 1-RELATED', 164594),
(220869, 'PTHR16081', NULL, NULL, NULL, NULL, 'VERTNIN', 164595),
(220870, 'PTHR13832:SF738', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-LIKE PROTEIN', 164596),
(220871, 'PTHR11043:SF30', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-2-LIKE', 164597),
(220872, 'PTHR10805:SF2', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT EPSILON-2', 164598),
(220873, 'PTHR24221:SF553', NULL, NULL, NULL, NULL, 'LD18126P', 164599),
(220874, 'PTHR11738:SF176', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY B MEMBER 2', 164600),
(220875, 'PTHR12322:SF66', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR B1', 164601),
(220876, 'PTHR11709:SF2', NULL, NULL, NULL, NULL, 'MULTICOPPER OXIDASE LPR2', 164602),
(220877, 'PTHR22907', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 164603),
(220878, 'PTHR13028', NULL, NULL, NULL, NULL, 'RRNA PROCESSING PROTEIN EBNA1-BINDING PROTEIN-RELATED', 164604),
(220879, 'PTHR33479:SF11', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE TRYPSIN INHIBITOR', 164605),
(220880, 'PTHR48019:SF52', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN AGAMOUS-LIKE', 164606),
(220881, 'PTHR10489:SF655', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR-LIKE 2', 164607),
(220882, 'PTHR46855:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164608),
(220883, 'PTHR13080:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164609),
(220884, 'PTHR43243:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164610),
(220885, 'PTHR27004:SF384', NULL, NULL, NULL, NULL, 'BNAA01G31210D PROTEIN', 164611),
(220886, 'PTHR33732', NULL, NULL, NULL, NULL, 'REF/SRPP-LIKE PROTEIN OS05G0151300/LOC_OS05G05940', 164612);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(220887, 'PTHR35814:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YECN', 164613),
(220888, 'PTHR32448:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164614),
(220889, 'PTHR10039:SF8', NULL, NULL, NULL, NULL, 'NACHT AND TPR DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_7G06670)', 164615),
(220890, 'PTHR22893:SF68', NULL, NULL, NULL, NULL, 'NAD(P)H:FLAVIN OXIDOREDUCTASE SYE2', 164616),
(220891, 'PTHR22957:SF561', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 2A-LIKE', 164617),
(220892, 'PTHR26450:SF97', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 164618),
(220893, 'PTHR31520', NULL, NULL, NULL, NULL, 'VEXIN', 164619),
(220894, 'PTHR42820:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164620),
(220895, 'PTHR10509:SF30', NULL, NULL, NULL, NULL, 'TRICIN SYNTHASE 2', 164621),
(220896, 'PTHR31190:SF319', NULL, NULL, NULL, NULL, 'BNAANNG21280D PROTEIN', 164622),
(220897, 'PTHR41283:SF1', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE PHOSPHOTRANSFERASE', 164623),
(220898, 'PTHR18868:SF29', NULL, NULL, NULL, NULL, 'OS06G0142000 PROTEIN', 164624),
(220899, 'PTHR27000:SF622', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 164625),
(220900, 'PTHR24067:SF264', NULL, NULL, NULL, NULL, 'AGAP003090-PA', 164626),
(220901, 'PTHR46804:SF3', NULL, NULL, NULL, NULL, 'MGC134232 PROTEIN', 164627),
(220902, 'PTHR12203:SF78', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 90 PROTEIN', 164628),
(220903, 'PTHR11960:SF49', NULL, NULL, NULL, NULL, 'BNAA05G12740D PROTEIN', 164629),
(220904, 'PTHR12022:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', 164630),
(220905, 'PTHR32227:SF248', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN', 164631),
(220906, 'PTHR23119:SF53', NULL, NULL, NULL, NULL, 'SYNAPTOJANIN-2-BINDING PROTEIN', 164632),
(220907, 'PTHR33453:SF22', NULL, NULL, NULL, NULL, '60 KDA JASMONATE-INDUCED PROTEIN-LIKE', 164633),
(220908, 'PTHR24225:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164634),
(220909, 'PTHR35473', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 164635),
(220910, 'PTHR37911', NULL, NULL, NULL, NULL, 'OSJNBA0067K08.20 PROTEIN', 164636),
(220911, 'PTHR33130:SF47', NULL, NULL, NULL, NULL, 'DUF1639 FAMILY PROTEIN', 164637),
(220912, 'PTHR11455:SF55', NULL, NULL, NULL, NULL, 'CRYPTOCHROME-1-LIKE', 164638),
(220913, 'PTHR43220:SF6', NULL, NULL, NULL, NULL, 'OS04G0592600 PROTEIN', 164639),
(220914, 'PTHR24373:SF341', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 164640),
(220915, 'PTHR14699:SF0', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 21 HOMOLOG', 164641),
(220916, 'PTHR11839:SF5', NULL, NULL, NULL, NULL, 'ADP-RIBOSE PYROPHOSPHATASE', 164642),
(220917, 'PTHR12822:SF7', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', 164643),
(220918, 'PTHR47989:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164644),
(220919, 'PTHR47402', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 164645),
(220920, 'PTHR35336:SF6', NULL, NULL, NULL, NULL, 'ADENOSYLCOBINAMIDE AMIDOHYDROLASE', 164646),
(220921, 'PTHR11857:SF41', NULL, NULL, NULL, NULL, 'ODORANT-BINDING PROTEIN 47A, ISOFORM A-RELATED', 164647),
(220922, 'PTHR12771:SF48', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN F', 164648),
(220923, 'PTHR27003:SF317', NULL, NULL, NULL, NULL, 'FERONIA RECEPTOR-LIKE KINASE', 164649),
(220924, 'PTHR47780', NULL, NULL, NULL, NULL, 'PROTEIN SET DOMAIN GROUP 41', 164650),
(220925, 'PTHR10334:SF468', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', 164651),
(220926, 'PTHR11895:SF67', NULL, NULL, NULL, NULL, 'OS12G0169000 PROTEIN', 164652),
(220927, 'PTHR19297:SF181', NULL, NULL, NULL, NULL, 'GLY-1', 164653),
(220928, 'PTHR23180:SF241', NULL, NULL, NULL, NULL, 'ARF-GAP WITH COILED-COIL, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 2', 164654),
(220929, 'PTHR43294', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA', 164655),
(220930, 'PTHR36191:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164656),
(220931, 'PTHR31580:SF5', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 3', 164657);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(220932, 'PTHR12274:SF3', NULL, NULL, NULL, NULL, 'PROGRANULIN', 164658),
(220933, 'PTHR32099:SF56', NULL, NULL, NULL, NULL, 'SALT STRESS RESPONSE/ANTIFUNGAL DOMAIN PROTEIN', 164659),
(220934, 'PTHR23358:SF4', NULL, NULL, NULL, NULL, 'METHYLCYTOSINE DIOXYGENASE TET3', 164660),
(220935, 'PTHR11132:SF383', NULL, NULL, NULL, NULL, 'OS02G0724500 PROTEIN', 164661),
(220936, 'PTHR31454', NULL, NULL, NULL, NULL, 'ACTIVE REGULATOR OF SIRT1', 164662),
(220937, 'PTHR45870:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MONOGLYCYLASE TTLL8', 164663),
(220938, 'PTHR21141:SF88', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2-3', 164664),
(220939, 'PTHR11158:SF33', NULL, NULL, NULL, NULL, 'PRELI DOMAIN CONTAINING 1', 164665),
(220940, 'PTHR11088:SF74', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE 5, CHLOROPLASTIC', 164666),
(220941, 'PTHR46245', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS07G0563300', 164667),
(220942, 'PTHR21592:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG24671', 164668),
(220943, 'PTHR46374:SF3', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 5', 164669),
(220944, 'PTHR13423', NULL, NULL, NULL, NULL, 'OUT AT FIRST', 164670),
(220945, 'PTHR45743:SF10', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT3', 164671),
(220946, 'PTHR31218:SF161', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 164672),
(220947, 'PTHR31071:SF12', NULL, NULL, NULL, NULL, 'OS08G0190700 PROTEIN', 164673),
(220948, 'PTHR31874:SF36', NULL, NULL, NULL, NULL, 'BNAA10G11220D PROTEIN', 164674),
(220949, 'PTHR10027', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED POTASSIUM CHANNEL ALPHA CHAIN', 164675),
(220950, 'PTHR13572:SF6', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN ENDO-ALPHA-1,2-MANNOSIDASE-LIKE PROTEIN', 164676),
(220951, 'PTHR13831:SF3', NULL, NULL, NULL, NULL, 'PROTEIN HIRA', 164677),
(220952, 'PTHR32116:SF61', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 9-RELATED', 164678),
(220953, 'PTHR23268:SF95', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 5-4', 164679),
(220954, 'PTHR24246:SF21', NULL, NULL, NULL, NULL, 'ADENOSINE RECEPTOR A2C', 164680),
(220955, 'PTHR34407', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 164681),
(220956, 'PTHR19865', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA INTERACTING PROTEIN 2', 164682),
(220957, 'PTHR16019', NULL, NULL, NULL, NULL, 'SYNAPSE-ASSOCIATED PROTEIN', 164683),
(220958, 'PTHR45637:SF62', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL1 ISOFORM X1', 164684),
(220959, 'PTHR19317:SF74', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN 1', 164685),
(220960, 'PTHR12934:SF14', NULL, NULL, NULL, NULL, 'BNAA06G23640D PROTEIN', 164686),
(220961, 'PTHR23155:SF981', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 164687),
(220962, 'PTHR10285:SF68', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE-LIKE 1', 164688),
(220963, 'PTHR45869:SF5', NULL, NULL, NULL, NULL, 'SERUM AMYLOID P-COMPONENT', 164689),
(220964, 'PTHR46632:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 164690),
(220965, 'PTHR27008:SF436', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164691),
(220966, 'PTHR22298:SF118', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 23', 164692),
(220967, 'PTHR48104:SF11', NULL, NULL, NULL, NULL, 'ICE-LIKE PROTEASE (CASPASE) P20 DOMAIN PROTEIN', 164693),
(220968, 'PTHR30537:SF66', NULL, NULL, NULL, NULL, 'IRON-REGULATED VIRULENCE REGULATORY PROTEIN IRGB', 164694),
(220969, 'PTHR11926:SF1324', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 164695),
(220970, 'PTHR11260:SF612', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U28', 164696),
(220971, 'PTHR36766:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164697),
(220972, 'PTHR45730:SF77', NULL, NULL, NULL, NULL, 'AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 164698),
(220973, 'PTHR47984:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164699),
(220974, 'PTHR10004', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 164700),
(220975, 'PTHR24096:SF369', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10160)-RELATED', 164701);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(220976, 'PTHR32444:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164702),
(220977, 'PTHR21569:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S16', 164703),
(220978, 'PTHR33074:SF66', NULL, NULL, NULL, NULL, 'OS07G0633300 PROTEIN', 164704),
(220979, 'PTHR10849:SF31', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 8, MITOCHONDRIAL', 164705),
(220980, 'PTHR12022:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', 164706),
(220981, 'PTHR31415:SF108', NULL, NULL, NULL, NULL, 'BNAA05G27420D PROTEIN', 164707),
(220982, 'PTHR22883:SF332', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 164708),
(220983, 'PTHR31066:SF62', NULL, NULL, NULL, NULL, 'BNACNNG15710D PROTEIN', 164709),
(220984, 'PTHR12174:SF93', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-RELATED', 164710),
(220985, 'PTHR24092:SF48', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IC', 164711),
(220986, 'PTHR21649:SF107', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 164712),
(220987, 'PTHR24056:SF359', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 164713),
(220988, 'PTHR21499', NULL, NULL, NULL, NULL, 'ASPARTATE KINASE', 164714),
(220989, 'PTHR13318:SF181', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD7', 164715),
(220990, 'PTHR34935:SF4', NULL, NULL, NULL, NULL, 'BNAA10G28000D PROTEIN', 164716),
(220991, 'PTHR42991:SF7', NULL, NULL, NULL, NULL, 'BNAC02G44970D PROTEIN', 164717),
(220992, 'PTHR12461:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164718),
(220993, 'PTHR12373:SF3', NULL, NULL, NULL, NULL, 'ENHANCER OF RUDIMENTARY HOMOLOG', 164719),
(220994, 'PTHR34122', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 164720),
(220995, 'PTHR31490:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 10 PROTEIN, EXPRESSED', 164721),
(220996, 'PTHR31630:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164722),
(220997, 'PTHR48239:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164723),
(220998, 'PTHR31627:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-1-RELATED', 164724),
(220999, 'PTHR47925:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164725),
(221000, 'PTHR42898:SF59', NULL, NULL, NULL, NULL, 'BNAA05G12690D PROTEIN', 164726),
(221001, 'PTHR46156:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 3', 164727),
(221002, 'PTHR35848:SF6', NULL, NULL, NULL, NULL, 'OXALATE-BINDING PROTEIN', 164728),
(221003, 'PTHR27007:SF162', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.2', 164729),
(221004, 'PTHR31149:SF15', NULL, NULL, NULL, NULL, 'OS01G0108000 PROTEIN', 164730),
(221005, 'PTHR31221:SF219', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 50-RELATED', 164731),
(221006, 'PTHR21512:SF6', NULL, NULL, NULL, NULL, 'TRAPP II COMPLEX, TRS120-RELATED', 164732),
(221007, 'PTHR11680:SF46', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE, MITOCHONDRIAL', 164733),
(221008, 'PTHR21562:SF45', NULL, NULL, NULL, NULL, 'PALMITOLEOYL-PROTEIN CARBOXYLESTERASE NOTUM', 164734),
(221009, 'PTHR16024:SF7', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 7', 164735),
(221010, 'PTHR47222:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 532', 164736),
(221011, 'PTHR10795:SF596', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.2', 164737),
(221012, 'PTHR27001:SF658', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 164738),
(221013, 'PTHR42028:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 164739),
(221014, 'PTHR31717:SF56', NULL, NULL, NULL, NULL, 'ACTIVATOR OF SPOMIN::LUC2', 164740),
(221015, 'PTHR23101:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164741),
(221016, 'PTHR14002:SF7', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA RECEPTOR TYPE 3', 164742),
(221017, 'PTHR47958:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164743),
(221018, 'PTHR48001:SF164', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 164744),
(221019, 'PTHR11802:SF125', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 164745);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(221020, 'PTHR32212:SF375', NULL, NULL, NULL, NULL, 'BNAA03G10800D PROTEIN', 164746),
(221021, 'PTHR22595:SF161', NULL, NULL, NULL, NULL, 'BNAC04G49090D PROTEIN', 164747),
(221022, 'PTHR32191:SF14', NULL, NULL, NULL, NULL, 'PROTEIN TORNADO 2', 164748),
(221023, 'PTHR33734:SF24', NULL, NULL, NULL, NULL, 'STAGE VI SPORULATION PROTEIN D', 164749),
(221024, 'PTHR34808:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164750),
(221025, 'PTHR45961:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164751),
(221026, 'PTHR23506:SF28', NULL, NULL, NULL, NULL, 'MFS-TYPE TRANSPORTER SLC18B1-LIKE PROTEIN', 164752),
(221027, 'PTHR47471', NULL, NULL, NULL, NULL, 'GYF DOMAIN-CONTAINING PROTEIN', 164753),
(221028, 'PTHR31374:SF30', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', 164754),
(221029, 'PTHR10353:SF216', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 18-LIKE ISOFORM X1', 164755),
(221030, 'PTHR45786:SF48', NULL, NULL, NULL, NULL, 'BNAC05G00220D PROTEIN', 164756),
(221031, 'PTHR24068:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164757),
(221032, 'PTHR12198:SF6', NULL, NULL, NULL, NULL, 'PROSPERO HOMEOBOX PROTEIN 1', 164758),
(221033, 'PTHR47956:SF26', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 164759),
(221034, 'PTHR24343:SF194', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 164760),
(221035, 'PTHR11830:SF25', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', 164761),
(221036, 'PTHR23338:SF47', NULL, NULL, NULL, NULL, 'BNAC08G19330D PROTEIN', 164762),
(221037, 'PTHR46128:SF226', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164763),
(221038, 'PTHR45917:SF4', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 4', 164764),
(221039, 'PTHR33033:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164765),
(221040, 'PTHR27002:SF506', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164766),
(221041, 'PTHR31374:SF274', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 164767),
(221042, 'PTHR31189:SF41', NULL, NULL, NULL, NULL, 'VICILIN C72', 164768),
(221043, 'PTHR15665:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ASTEROID HOMOLOG 1', 164769),
(221044, 'PTHR45647:SF80', NULL, NULL, NULL, NULL, 'BNAANNG06970D PROTEIN', 164770),
(221045, 'PTHR12460:SF28', NULL, NULL, NULL, NULL, 'ENTH/VHS FAMILY PROTEIN', 164771),
(221046, 'PTHR48056:SF39', NULL, NULL, NULL, NULL, 'BNAA09G02190D PROTEIN', 164772),
(221047, 'PTHR24061:SF511', NULL, NULL, NULL, NULL, 'SI:CH211-229C8.4-RELATED', 164773),
(221048, 'PTHR33443:SF2', NULL, NULL, NULL, NULL, 'ZGC:112980', 164774),
(221049, 'PTHR32285:SF247', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 19', 164775),
(221050, 'PTHR31867:SF96', NULL, NULL, NULL, NULL, 'EXPANSIN', 164776),
(221051, 'PTHR31791:SF51', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 164777),
(221052, 'PTHR15486:SF18', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 1', 164778),
(221053, 'PTHR28096:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAF1', 164779),
(221054, 'PTHR23024:SF108', NULL, NULL, NULL, NULL, 'NEUTRAL CHOLESTEROL ESTER HYDROLASE 1', 164780),
(221055, 'PTHR33044:SF18', NULL, NULL, NULL, NULL, 'B1358B12.9 PROTEIN', 164781),
(221056, 'PTHR46872:SF15', NULL, NULL, NULL, NULL, 'BNAA09G29010D PROTEIN', 164782),
(221057, 'PTHR31676:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164783),
(221058, 'PTHR48017:SF88', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 164784),
(221059, 'PTHR31120:SF6', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TIKI HOMOLOG', 164785),
(221060, 'PTHR11955:SF74', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN 5', 164786),
(221061, 'PTHR22050:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 131-LIKE', 164787),
(221062, 'PTHR45836:SF21', NULL, NULL, NULL, NULL, 'PROTEIN DELTA HOMOLOG 2', 164788),
(221063, 'PTHR31945:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH28', 164789),
(221064, 'PTHR47993:SF176', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 10-RELATED', 164790),
(221065, 'PTHR22789', NULL, NULL, NULL, NULL, 'FUCULOSE PHOSPHATE ALDOLASE', 164791);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(221066, 'PTHR23085:SF14', NULL, NULL, NULL, NULL, 'JUNCTOPHILIN-4', 164792),
(221067, 'PTHR10887:SF494', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164793),
(221068, 'PTHR11260:SF571', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U17-LIKE', 164794),
(221069, 'PTHR45752:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164795),
(221070, 'PTHR24089:SF442', NULL, NULL, NULL, NULL, 'CA-DEPENDENT SOLUTE CARRIER-LIKE PROTEIN', 164796),
(221071, 'PTHR31929:SF86', NULL, NULL, NULL, NULL, 'BNAC09G39850D PROTEIN', 164797),
(221072, 'PTHR11211:SF16', NULL, NULL, NULL, NULL, 'IROQUOIS-CLASS HOMEODOMAIN PROTEIN IRX-4', 164798),
(221073, 'PTHR47928:SF144', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 164799),
(221074, 'PTHR15832:SF1', NULL, NULL, NULL, NULL, 'HETEROCHROMATIN PROTEIN 1-BINDING PROTEIN 3', 164800),
(221075, 'PTHR35779:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DFG16', 164801),
(221076, 'PTHR13068:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164802),
(221077, 'PTHR33148:SF60', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', 164803),
(221078, 'PTHR48247:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164804),
(221079, 'PTHR10164', NULL, NULL, NULL, NULL, 'ISLET CELL AUTOANTIGEN 1', 164805),
(221080, 'PTHR43270:SF11', NULL, NULL, NULL, NULL, 'CYTOSOLIC NON-SPECIFIC DIPEPTIDASE', 164806),
(221081, 'PTHR31787:SF4', NULL, NULL, NULL, NULL, 'FRIZZLED/SMOOTHENED-LIKE SANS CRD PROTEIN H', 164807),
(221082, 'PTHR43147:SF1', NULL, NULL, NULL, NULL, 'OS09G0567350 PROTEIN', 164808),
(221083, 'PTHR45723:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RIO1', 164809),
(221084, 'PTHR24291:SF158', NULL, NULL, NULL, NULL, 'PHYLLOQUINONE OMEGA-HYDROXYLASE CYP4F2', 164810),
(221085, 'PTHR24418:SF369', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE ZAP-70', 164811),
(221086, 'PTHR10766:SF48', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 164812),
(221087, 'PTHR12931:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG09100', 164813),
(221088, 'PTHR32212:SF355', NULL, NULL, NULL, NULL, 'BNAA09G35070D PROTEIN', 164814),
(221089, 'PTHR25480', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 73', 164815),
(221090, 'PTHR34677', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 164816),
(221091, 'PTHR46653', NULL, NULL, NULL, NULL, 'SPECIFICITY PROTEIN PHOSPHATASE, PUTATIVE-RELATED', 164817),
(221092, 'PTHR42813:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE-INDEPENDENT FORMALDEHYDE DEHYDROGENASE', 164818),
(221093, 'PTHR10372', NULL, NULL, NULL, NULL, 'PLAKOPHILLIN-RELATED', 164819),
(221094, 'PTHR13624', NULL, NULL, NULL, NULL, 'RE42071P', 164820),
(221095, 'PTHR23070:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164821),
(221096, 'PTHR31218:SF1', NULL, NULL, NULL, NULL, 'PROTEIN WALLS ARE THIN 1', 164822),
(221097, 'PTHR32341:SF13', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN', 164823),
(221098, 'PTHR12760:SF1', NULL, NULL, NULL, NULL, 'BNAANNG10660D PROTEIN', 164824),
(221099, 'PTHR23418:SF10', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE HOMOLOG 1', 164825),
(221100, 'PTHR35001', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 164826),
(221101, 'PTHR45842:SF15', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN, PUTATIVE-RELATED', 164827),
(221102, 'PTHR16011', NULL, NULL, NULL, NULL, 'IFT57/HIPPI', 164828),
(221103, 'PTHR12013:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164829),
(221104, 'PTHR34046', NULL, NULL, NULL, NULL, 'OS06G0218800 PROTEIN', 164830),
(221105, 'PTHR31251:SF127', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, SBP-BOX-RELATED', 164831),
(221106, 'PTHR24064:SF529', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 4', 164832),
(221107, 'PTHR34115:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 164833),
(221108, 'PTHR11588:SF294', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 164834),
(221109, 'PTHR47976:SF42', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 164835),
(221110, 'PTHR20852:SF101', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', 164836);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(221111, 'PTHR47052:SF4', NULL, NULL, NULL, NULL, 'ELICITOR-RESPONSIVE PROTEIN 1-LIKE', 164837),
(221112, 'PTHR43384:SF11', NULL, NULL, NULL, NULL, 'SEPTUM SITE DETERMINING PROTEIN-RELATED', 164838),
(221113, 'PTHR23168:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164839),
(221114, 'PTHR23140:SF3', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, ARGININE/SERINE-RICH 15', 164840),
(221115, 'PTHR33076:SF5', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 14-RELATED', 164841),
(221116, 'PTHR11260:SF647', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164842),
(221117, 'PTHR23040:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 25', 164843),
(221118, 'PTHR31917:SF68', NULL, NULL, NULL, NULL, 'PLANT TUDOR-LIKE RNA-BINDING PROTEIN-RELATED', 164844),
(221119, 'PTHR31517:SF66', NULL, NULL, NULL, NULL, 'PEROXIDASE', 164845),
(221120, 'PTHR10633:SF0', NULL, NULL, NULL, NULL, 'LEUKEMIA INHIBITORY FACTOR', 164846),
(221121, 'PTHR48045:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 164847),
(221122, 'PTHR10546', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL SUBUNIT BETA-1 AND 3', 164848),
(221123, 'PTHR15316:SF1', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3A SUBUNIT 1', 164849),
(221124, 'PTHR12924:SF6', NULL, NULL, NULL, NULL, 'BNAA04G11990D PROTEIN', 164850),
(221125, 'PTHR31374:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164851),
(221126, 'PTHR23506:SF13', NULL, NULL, NULL, NULL, 'VESICULAR ACETYLCHOLINE TRANSPORTER', 164852),
(221127, 'PTHR11655:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164853),
(221128, 'PTHR10780:SF20', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER HOMOLOG 2', 164854),
(221129, 'PTHR21089:SF29', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3-DEHYDROQUINATE DEHYDRATASE/SHIKIMATE DEHYDROGENASE, CHLOROPLASTIC-LIKE', 164855),
(221130, 'PTHR31683:SF29', NULL, NULL, NULL, NULL, 'PECTATE LYASE 11-RELATED', 164856),
(221131, 'PTHR12371:SF4', NULL, NULL, NULL, NULL, 'TRANSLOCATING CHAIN-ASSOCIATED MEMBRANE PROTEIN 2', 164857),
(221132, 'PTHR46277:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164858),
(221133, 'PTHR22957:SF550', NULL, NULL, NULL, NULL, 'RAB-GTPASE-TBC DOMAIN-CONTAINING PROTEIN-RELATED', 164859),
(221134, 'PTHR23023:SF70', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', 164860),
(221135, 'PTHR22775', NULL, NULL, NULL, NULL, 'SORTING NEXIN', 164861),
(221136, 'PTHR43625:SF4', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 7, MEMBER A3 (AFLATOXIN ALDEHYDE REDUCTASE)', 164862),
(221137, 'PTHR42738:SF11', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA LYASE (AFU_ORTHOLOGUE AFUA_2G12450)', 164863),
(221138, 'PTHR11802:SF378', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 164864),
(221139, 'PTHR22870:SF393', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE-RELATED', 164865),
(221140, 'PTHR46158:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING-CH-TYPE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 164866),
(221141, 'PTHR23336:SF61', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE-LIKE ATPASE, C-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', 164867),
(221142, 'PTHR34291:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 164868),
(221143, 'PTHR48092:SF16', NULL, NULL, NULL, NULL, 'ESTROGEN RECEPTOR', 164869),
(221144, 'PTHR24320:SF193', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER FEY', 164870),
(221145, 'PTHR22844', NULL, NULL, NULL, NULL, 'F-BOX AND WD40 DOMAIN PROTEIN', 164871),
(221146, 'PTHR33670:SF23', NULL, NULL, NULL, NULL, 'BNAA08G31170D PROTEIN', 164872),
(221147, 'PTHR26374:SF385', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT11', 164873),
(221148, 'PTHR47969:SF14', NULL, NULL, NULL, NULL, 'CHROMOSOME-ASSOCIATED KINESIN KIF4A-LIKE PROTEIN', 164874),
(221149, 'PTHR33099:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164875),
(221150, 'PTHR46128:SF207', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 164876),
(221151, 'PTHR11328:SF36', NULL, NULL, NULL, NULL, 'MELIBIOSE CARRIER PROTEIN', 164877),
(221152, 'PTHR11908:SF139', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE GAD-3-RELATED', 164878);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(221153, 'PTHR47925:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164879),
(221154, 'PTHR31233', NULL, NULL, NULL, NULL, 'BICAUDAL D FAMILY MEMBER', 164880),
(221155, 'PTHR44427:SF17', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC BETA-1-GLYCOPROTEIN 4', 164881),
(221156, 'PTHR10996:SF158', NULL, NULL, NULL, NULL, 'OSJNBB0085F13.12 PROTEIN', 164882),
(221157, 'PTHR12756:SF5', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE 4', 164883),
(221158, 'PTHR13482:SF3', NULL, NULL, NULL, NULL, 'MICROPROCESSOR COMPLEX SUBUNIT DGCR8', 164884),
(221159, 'PTHR10920:SF18', NULL, NULL, NULL, NULL, 'RRNA METHYLTRANSFERASE 2, MITOCHONDRIAL', 164885),
(221160, 'PTHR43240:SF9', NULL, NULL, NULL, NULL, 'PROOFREADING THIOESTERASE ENTH', 164886),
(221161, 'PTHR26451:SF847', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', 164887),
(221162, 'PTHR11566:SF56', NULL, NULL, NULL, NULL, 'DYNAMIN-B', 164888),
(221163, 'PTHR24353:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164889),
(221164, 'PTHR24225:SF48', NULL, NULL, NULL, NULL, 'SI:CH73-160I9.3-RELATED', 164890),
(221165, 'PTHR31692:SF105', NULL, NULL, NULL, NULL, 'EXPANSIN-B11-LIKE', 164891),
(221166, 'PTHR31124:SF7', NULL, NULL, NULL, NULL, 'APICAL MERISTEM FORMATION PROTEIN-RELATED', 164892),
(221167, 'PTHR40029:SF2', NULL, NULL, NULL, NULL, 'HEPTAPRENYLGLYCERYL PHOSPHATE SYNTHASE', 164893),
(221168, 'PTHR48020:SF18', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDE TRANSPORTER, PUTATIVE-RELATED', 164894),
(221169, 'PTHR10937:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164895),
(221170, 'PTHR31970:SF8', NULL, NULL, NULL, NULL, 'MOLYBDATE TRANSPORTER 1/2-RELATED', 164896),
(221171, 'PTHR23105:SF158', NULL, NULL, NULL, NULL, 'NHP2-LIKE PROTEIN 1', 164897),
(221172, 'PTHR34678:SF4', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN 5, CHLOROPLASTIC-LIKE', 164898),
(221173, 'PTHR23359:SF210', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4', 164899),
(221174, 'PTHR43541:SF1', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', 164900),
(221175, 'PTHR36792:SF9', NULL, NULL, NULL, NULL, 'OS05G0342900 PROTEIN', 164901),
(221176, 'PTHR12784:SF29', NULL, NULL, NULL, NULL, 'NEURON NAVIGATOR 1B', 164902),
(221177, 'PTHR43727:SF1', NULL, NULL, NULL, NULL, 'CARBOXYNORSPERMIDINE/CARBOXYSPERMIDINE DECARBOXYLASE', 164903),
(221178, 'PTHR42966:SF3', NULL, NULL, NULL, NULL, 'BLR5971 PROTEIN', 164904),
(221179, 'PTHR47990:SF106', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 4', 164905),
(221180, 'PTHR21625:SF0', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 2', 164906),
(221181, 'PTHR38437:SF2', NULL, NULL, NULL, NULL, 'ENDOSPORE COAT-ASSOCIATED PROTEIN YHEC', 164907),
(221182, 'PTHR33264:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164908),
(221183, 'PTHR19957:SF316', NULL, NULL, NULL, NULL, 'BNAA02G27060D PROTEIN', 164909),
(221184, 'PTHR43095:SF3', NULL, NULL, NULL, NULL, 'L-XYLULOSE/3-KETO-L-GULONATE KINASE', 164910),
(221185, 'PTHR45724:SF41', NULL, NULL, NULL, NULL, 'BNAA02G36290D PROTEIN', 164911),
(221186, 'PTHR38566:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164912),
(221187, 'PTHR11669:SF48', NULL, NULL, NULL, NULL, 'ATPASE FAMILY ASSOCIATED WITH VARIOUS CELLULAR ACTIVITIES (AAA)', 164913),
(221188, 'PTHR37722', NULL, NULL, NULL, NULL, 'OS01G0167700 PROTEIN', 164914),
(221189, 'PTHR46285:SF1', NULL, NULL, NULL, NULL, 'OS09G0444800 PROTEIN', 164915),
(221190, 'PTHR43008:SF10', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE/OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15740)-RELATED', 164916),
(221191, 'PTHR48132:SF1', NULL, NULL, NULL, NULL, 'ZGC:171772', 164917),
(221192, 'PTHR23103:SF13', NULL, NULL, NULL, NULL, 'AMYLOID-LIKE PROTEIN 1', 164918),
(221193, 'PTHR11736:SF152', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B2', 164919),
(221194, 'PTHR45622:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164920),
(221195, 'PTHR47984:SF6', NULL, NULL, NULL, NULL, 'BNAANNG25880D PROTEIN', 164921),
(221196, 'PTHR33470:SF8', NULL, NULL, NULL, NULL, 'OS05G0531200 PROTEIN', 164922),
(221197, 'PTHR34409:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164923);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(221198, 'PTHR47992:SF100', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 53', 164924),
(221199, 'PTHR11772:SF37', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING]', 164925),
(221200, 'PTHR40599', NULL, NULL, NULL, NULL, '[CITRATE [PRO-3S]-LYASE] LIGASE', 164926),
(221201, 'PTHR46055:SF1', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN-CONTAINING PROTEIN 2', 164927),
(221202, 'PTHR47990:SF152', NULL, NULL, NULL, NULL, 'OS08G0392300 PROTEIN', 164928),
(221203, 'PTHR35731:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 164929),
(221204, 'PTHR46548:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164930),
(221205, 'PTHR47980:SF5', NULL, NULL, NULL, NULL, 'BNAA07G37610D PROTEIN', 164931),
(221206, 'PTHR33325', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', 164932),
(221207, 'PTHR47127', NULL, NULL, NULL, NULL, '10A19I.15', 164933),
(221208, 'PTHR22937:SF123', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HIP1-RELATED', 164934),
(221209, 'PTHR45777:SF6', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2', 164935),
(221210, 'PTHR24055:SF467', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 164936),
(221211, 'PTHR23138:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164937),
(221212, 'PTHR45657:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH6', 164938),
(221213, 'PTHR20338:SF6', NULL, NULL, NULL, NULL, 'RE35195P', 164939),
(221214, 'PTHR11629:SF61', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 164940),
(221215, 'PTHR16840', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC PROTEIN 1', 164941),
(221216, 'PTHR33995:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG19312', 164942),
(221217, 'PTHR23189:SF41', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN SPENITO', 164943),
(221218, 'PTHR12555:SF23', NULL, NULL, NULL, NULL, 'UBIQUITIN FUSION DEGRADATION PROTEIN 1 HOMOLOG', 164944),
(221219, 'PTHR43214:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN BGLJ', 164945),
(221220, 'PTHR18896:SF153', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 164946),
(221221, 'PTHR38338:SF1', NULL, NULL, NULL, NULL, 'AGAP013079-PA', 164947),
(221222, 'PTHR10394:SF27', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S8E FAMILY PROTEIN', 164948),
(221223, 'PTHR31832:SF54', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 21', 164949),
(221224, 'PTHR27003:SF387', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', 164950),
(221225, 'PTHR11844', NULL, NULL, NULL, NULL, 'METALLOPROTEASE INHIBITOR', 164951),
(221226, 'PTHR33402:SF33', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 4', 164952),
(221227, 'PTHR46044:SF13', NULL, NULL, NULL, NULL, 'NITRILASE-RELATED', 164953),
(221228, 'PTHR11711:SF186', NULL, NULL, NULL, NULL, 'ADP RIBOSYLATION FACTOR-LIKE 4, ISOFORM B', 164954),
(221229, 'PTHR14624:SF0', NULL, NULL, NULL, NULL, 'POLYPRENOL REDUCTASE', 164955),
(221230, 'PTHR47991:SF130', NULL, NULL, NULL, NULL, 'OS03G0856000 PROTEIN', 164956),
(221231, 'PTHR10131:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164957),
(221232, 'PTHR46363', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE TATDN2-RELATED', 164958),
(221233, 'PTHR44329:SF53', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE SHKD', 164959),
(221234, 'PTHR10286:SF51', NULL, NULL, NULL, NULL, 'OS01G0866500 PROTEIN', 164960),
(221235, 'PTHR45637:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164961),
(221236, 'PTHR11523:SF47', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-3', 164962),
(221237, 'PTHR47991:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164963),
(221238, 'PTHR48148:SF1', NULL, NULL, NULL, NULL, 'KERATINOCYTE PROLINE-RICH PROTEIN', 164964),
(221239, 'PTHR43019:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164965),
(221240, 'PTHR12547:SF58', NULL, NULL, NULL, NULL, 'MRNA DECAY ACTIVATOR PROTEIN ZFP36', 164966),
(221241, 'PTHR11527:SF175', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 42', 164967),
(221242, 'PTHR43174', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 2-EPIMERASE', 164968); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(221243, 'PTHR11362:SF98', NULL, NULL, NULL, NULL, 'OS09G0513500 PROTEIN', 164969),
(221244, 'PTHR30081:SF10', NULL, NULL, NULL, NULL, 'PROTEIN EXPORT MEMBRANE PROTEIN', 164970),
(221245, 'PTHR16223:SF252', NULL, NULL, NULL, NULL, 'BNAC04G48190D PROTEIN', 164971),
(221246, 'PTHR31472:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164972),
(221247, 'PTHR38626:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09935', 164973),
(221248, 'PTHR10366:SF736', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164974),
(221249, 'PTHR45616:SF14', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 2 EPIDERMAL', 164975),
(221250, 'PTHR46561:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', 164976),
(221251, 'PTHR27000:SF727', NULL, NULL, NULL, NULL, 'OS07G0597200 PROTEIN', 164977),
(221252, 'PTHR37261', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', 164978),
(221253, 'PTHR10694:SF54', NULL, NULL, NULL, NULL, 'INACTIVE LYSINE-SPECIFIC DEMETHYLASE JMJ19-RELATED', 164979),
(221254, 'PTHR31642:SF264', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: METHANOL O-ANTHRANILOYLTRANSFERASE-LIKE', 164980),
(221255, 'PTHR48239', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 164981),
(221256, 'PTHR15361:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164982),
(221257, 'PTHR24282:SF118', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 164983),
(221258, 'PTHR33044:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164984),
(221259, 'PTHR12321:SF140', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 3', 164985),
(221260, 'PTHR31681:SF52', NULL, NULL, NULL, NULL, 'BNAA10G08260D PROTEIN', 164986),
(221261, 'PTHR47821:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', 164987),
(221262, 'PTHR14445', NULL, NULL, NULL, NULL, 'GRB10 INTERACTING GYF PROTEIN', 164988),
(221263, 'PTHR34188:SF3', NULL, NULL, NULL, NULL, 'OS05G0131900 PROTEIN', 164989),
(221264, 'PTHR47958:SF12', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX19A', 164990),
(221265, 'PTHR23291:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG15624', 164991),
(221266, 'PTHR24034:SF89', NULL, NULL, NULL, NULL, 'FIBROPELLIN-2', 164992),
(221267, 'PTHR11106:SF65', NULL, NULL, NULL, NULL, 'PROCESSING ENZYME FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 164993),
(221268, 'PTHR43318:SF2', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 4,6-DEHYDRATASE (INVERTING)', 164994),
(221269, 'PTHR23262:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 164995),
(221270, 'PTHR10424:SF63', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP FC1 ENV POLYPROTEIN-RELATED', 164996),
(221271, 'PTHR43790:SF2', NULL, NULL, NULL, NULL, 'AUTOINDUCER 2 IMPORT ATP-BINDING PROTEIN LSRA', 164997),
(221272, 'PTHR33128:SF46', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF 3339)-RELATED', 164998),
(221273, 'PTHR15188', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 14', 164999),
(221274, 'PTHR33972:SF14', NULL, NULL, NULL, NULL, 'BNAANNG13050D PROTEIN', 165000),
(221275, 'PTHR36476', NULL, NULL, NULL, NULL, 'OREXIGENIC NEUROPEPTIDE QRFP', 165001),
(221276, 'PTHR34047', NULL, NULL, NULL, NULL, 'NUCLEAR INTRON MATURASE 1, MITOCHONDRIAL-RELATED', 165002),
(221277, 'PTHR31673:SF20', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 6', 165003),
(221278, 'PTHR14155:SF508', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL29-LIKE', 165004),
(221279, 'PTHR12673:SF261', NULL, NULL, NULL, NULL, 'GUANYL NUCLEOTIDE EXCHANGE FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G11890)-RELATED', 165005),
(221280, 'PTHR42721', NULL, NULL, NULL, NULL, 'SUGAR HYDROLASE-RELATED', 165006),
(221281, 'PTHR33879:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165007),
(221282, 'PTHR15241:SF301', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 2, CHLOROPLASTIC', 165008),
(221283, 'PTHR47928:SF39', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 165009),
(221284, 'PTHR15717:SF2', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 14', 165010),
(221285, 'PTHR31707:SF323', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 165011);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(221286, 'PTHR33133:SF1', NULL, NULL, NULL, NULL, 'SON OF SEVENLESS PROTEIN', 165012),
(221287, 'PTHR31376:SF76', NULL, NULL, NULL, NULL, 'PURINE PERMEASE', 165013),
(221288, 'PTHR15583:SF12', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR C', 165014),
(221289, 'PTHR10404:SF36', NULL, NULL, NULL, NULL, 'GLUTAMATE CARBOXYPEPTIDASE 2-RELATED', 165015),
(221290, 'PTHR24377:SF904', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 275', 165016),
(221291, 'PTHR15822', NULL, NULL, NULL, NULL, 'TRAF AND TNF RECEPTOR-ASSOCIATED PROTEIN', 165017),
(221292, 'PTHR47956:SF76', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A26', 165018),
(221293, 'PTHR21143:SF100', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR FAMILY PROTEIN 3', 165019),
(221294, 'PTHR14791:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165020),
(221295, 'PTHR24056:SF376', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 165021),
(221296, 'PTHR11764:SF70', NULL, NULL, NULL, NULL, 'BNAA05G18980D PROTEIN', 165022),
(221297, 'PTHR10126:SF52', NULL, NULL, NULL, NULL, 'TATA-BOX-BINDING PROTEIN 2', 165023),
(221298, 'PTHR22952:SF444', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 2-RELATED', 165024),
(221299, 'PTHR31744:SF68', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 165025),
(221300, 'PTHR33204:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 165026),
(221301, 'PTHR11886:SF38', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 165027),
(221302, 'PTHR33127:SF36', NULL, NULL, NULL, NULL, 'OS06G0135800 PROTEIN', 165028),
(221303, 'PTHR35393:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 165029),
(221304, 'PTHR10059:SF0', NULL, NULL, NULL, NULL, 'GRANULOCYTE-MACROPHAGE COLONY-STIMULATING FACTOR', 165030),
(221305, 'PTHR46910:SF11', NULL, NULL, NULL, NULL, 'SPECIFIC TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 165031),
(221306, 'PTHR34793:SF7', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II BIOGENESIS PROTEIN', 165032),
(221307, 'PTHR17223:SF1', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE 4', 165033),
(221308, 'PTHR24248:SF159', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 19T', 165034),
(221309, 'PTHR48018:SF37', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 165035),
(221310, 'PTHR30349:SF36', NULL, NULL, NULL, NULL, 'PROPHAGE INTEGRASE INTR-RELATED', 165036),
(221311, 'PTHR21472:SF15', NULL, NULL, NULL, NULL, 'SI:CH211-133N4.4-RELATED', 165037),
(221312, 'PTHR47220:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 25', 165038),
(221313, 'PTHR43748:SF6', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE 2-RELATED', 165039),
(221314, 'PTHR43096:SF53', NULL, NULL, NULL, NULL, 'SHOCK PROTEIN, PUTATIVE-RELATED', 165040),
(221315, 'PTHR42738:SF7', NULL, NULL, NULL, NULL, 'TA01441P', 165041),
(221316, 'PTHR47126:SF7', NULL, NULL, NULL, NULL, 'BNAA01G33890D PROTEIN', 165042),
(221317, 'PTHR43520:SF22', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE PAA1, CHLOROPLASTIC', 165043),
(221318, 'PTHR27009:SF214', NULL, NULL, NULL, NULL, 'BNAC02G17060D PROTEIN', 165044),
(221319, 'PTHR21553:SF34', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN 295', 165045),
(221320, 'PTHR44375:SF15', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', 165046),
(221321, 'PTHR37049:SF4', NULL, NULL, NULL, NULL, 'PEPTIDASE S41 FAMILY PROTEIN', 165047),
(221322, 'PTHR45908:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG01095', 165048),
(221323, 'PTHR46817:SF2', NULL, NULL, NULL, NULL, 'SAC DOMAIN-CONTAINING PROTEIN-RELATED', 165049),
(221324, 'PTHR12329:SF17', NULL, NULL, NULL, NULL, 'OS04G0619900 PROTEIN', 165050),
(221325, 'PTHR33074:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 165051),
(221326, 'PTHR44191:SF13', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 165052),
(221327, 'PTHR43049', NULL, NULL, NULL, NULL, 'EARLY ENDOSOME ANTIGEN', 165053),
(221328, 'PTHR43895:SF4', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 25', 165054),
(221329, 'PTHR45665:SF41', NULL, NULL, NULL, NULL, 'MIP PROTEIN', 165055);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(221330, 'PTHR24064:SF247', NULL, NULL, NULL, NULL, 'PROTEIN CBG21797', 165056),
(221331, 'PTHR44269', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7-RELATED', 165057),
(221332, 'PTHR21137:SF9', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR CORECEPTOR', 165058),
(221333, 'PTHR47992:SF139', NULL, NULL, NULL, NULL, 'QUALITY PROTEIN: PROBABLE PROTEIN PHOSPHATASE 2C 78-RELATED', 165059),
(221334, 'PTHR46215:SF19', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 165060),
(221335, 'PTHR33109:SF6', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 7', 165061),
(221336, 'PTHR47958:SF76', NULL, NULL, NULL, NULL, 'DEAD BOX RNA HELICASE FAMILY PROTEIN-RELATED', 165062),
(221337, 'PTHR48021:SF15', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 5 ISOFORM X1', 165063),
(221338, 'PTHR33513:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165064),
(221339, 'PTHR24351:SF218', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 165065),
(221340, 'PTHR23425:SF2', NULL, NULL, NULL, NULL, 'SPERM PROTEIN ASSOCIATED WITH THE NUCLEUS ON THE X CHROMOSOME N4', 165066),
(221341, 'PTHR48061:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165067),
(221342, 'PTHR11471:SF3', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 11', 165068),
(221343, 'PTHR35507', NULL, NULL, NULL, NULL, 'OS09G0488600 PROTEIN', 165069),
(221344, 'PTHR23500:SF541', NULL, NULL, NULL, NULL, 'BNAA09G08760D PROTEIN', 165070),
(221345, 'PTHR24249:SF394', NULL, NULL, NULL, NULL, 'PROTEIN CBG15445', 165071),
(221346, 'PTHR43329:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165072),
(221347, 'PTHR21646:SF15', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 44', 165073),
(221348, 'PTHR43028', NULL, NULL, NULL, NULL, '3''(2''),5''-BISPHOSPHATE NUCLEOTIDASE 1', 165074),
(221349, 'PTHR24174:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165075),
(221350, 'PTHR12669:SF4', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-BINDING PROTEIN 2', 165076),
(221351, 'PTHR21662:SF5', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', 165077),
(221352, 'PTHR13054:SF6', NULL, NULL, NULL, NULL, 'PROTEIN DGCR6L', 165078),
(221353, 'PTHR11999:SF158', NULL, NULL, NULL, NULL, 'BNAA09G52950D PROTEIN', 165079),
(221354, 'PTHR31561:SF170', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 165080),
(221355, 'PTHR33167:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165081),
(221356, 'PTHR32487:SF23', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE-RELATED', 165082),
(221357, 'PTHR15069:SF1', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 1', 165083),
(221358, 'PTHR19248:SF29', NULL, NULL, NULL, NULL, 'BNACNNG24480D PROTEIN', 165084),
(221359, 'PTHR21502:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2 TYPE FAMILY PROTEIN', 165085),
(221360, 'PTHR13256:SF16', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 9', 165086),
(221361, 'PTHR47987:SF11', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK7 ISOFORM X1', 165087),
(221362, 'PTHR45788:SF7', NULL, NULL, NULL, NULL, 'TRICARBOXYLATE TRANSPORT PROTEIN A, MITOCHONDRIAL', 165088),
(221363, 'PTHR31245:SF31', NULL, NULL, NULL, NULL, 'OS02G0184500 PROTEIN', 165089),
(221364, 'PTHR31376:SF77', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 2', 165090),
(221365, 'PTHR24177:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165091),
(221366, 'PTHR23421:SF56', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 165092),
(221367, 'PTHR44489:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 48-LIKE ISOFORM X1', 165093),
(221368, 'PTHR11905:SF116', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 21', 165094),
(221369, 'PTHR31775:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165095),
(221370, 'PTHR27005:SF335', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 165096),
(221371, 'PTHR24060:SF136', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR FAMILY', 165097),
(221372, 'PTHR24221:SF554', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER TAP-LIKE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 165098);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(221373, 'PTHR47290:SF4', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN', 165099),
(221374, 'PTHR11447', NULL, NULL, NULL, NULL, 'CELLULAR TUMOR ANTIGEN P53', 165100),
(221375, 'PTHR10201:SF271', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165101),
(221376, 'PTHR11206:SF402', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 165102),
(221377, 'PTHR47926:SF19', NULL, NULL, NULL, NULL, 'OS05G0370000 PROTEIN', 165103),
(221378, 'PTHR10334:SF459', NULL, NULL, NULL, NULL, 'GLI PATHOGENESIS-RELATED 1-LIKE 3-RELATED', 165104),
(221379, 'PTHR43579:SF1', NULL, NULL, NULL, NULL, 'PEPTIDASE M4', 165105),
(221380, 'PTHR33193:SF46', NULL, NULL, NULL, NULL, 'BNAA02G16090D PROTEIN', 165106),
(221381, 'PTHR43162:SF1', NULL, NULL, NULL, NULL, 'PRESTALK A DIFFERENTIATION PROTEIN A', 165107),
(221382, 'PTHR22765:SF223', NULL, NULL, NULL, NULL, 'OS09G0344900 PROTEIN', 165108),
(221383, 'PTHR11961:SF24', NULL, NULL, NULL, NULL, 'CYTOCHROME C', 165109),
(221384, 'PTHR34187', NULL, NULL, NULL, NULL, 'FGR18P', 165110),
(221385, 'PTHR35135:SF3', NULL, NULL, NULL, NULL, 'OS05G0517800 PROTEIN', 165111),
(221386, 'PTHR35610:SF7', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE', 165112),
(221387, 'PTHR48048:SF6', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN 53-O-GLUCOSYLTRANSFERASE', 165113),
(221388, 'PTHR33790:SF7', NULL, NULL, NULL, NULL, 'RESPONSIVE TO DEHYDRATION PROTEIN, PUTATIVE-RELATED', 165114),
(221389, 'PTHR33874:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 165115),
(221390, 'PTHR23235:SF44', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 15', 165116),
(221391, 'PTHR42866:SF2', NULL, NULL, NULL, NULL, '3-DEOXY-MANNO-OCTULOSONATE CYTIDYLYLTRANSFERASE, MITOCHONDRIAL', 165117),
(221392, 'PTHR10209:SF668', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165118),
(221393, 'PTHR37807:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165119),
(221394, 'PTHR22799:SF5', NULL, NULL, NULL, NULL, 'SURFACTANT PROTEIN A2', 165120),
(221395, 'PTHR10366:SF726', NULL, NULL, NULL, NULL, 'OSJNBA0089N06.22 PROTEIN', 165121),
(221396, 'PTHR13140:SF781', NULL, NULL, NULL, NULL, 'MYOSIN-15', 165122),
(221397, 'PTHR44067:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 165123),
(221398, 'PTHR43544:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165124),
(221399, 'PTHR24089:SF402', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN V', 165125),
(221400, 'PTHR13843:SF12', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN FUTSCH', 165126),
(221401, 'PTHR23239:SF204', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA6', 165127),
(221402, 'PTHR47388', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 18', 165128),
(221403, 'PTHR30251:SF0', NULL, NULL, NULL, NULL, 'FIMBRIAL CHAPERONE PROTEIN ELFD-RELATED', 165129),
(221404, 'PTHR34042:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP17-LIKE PROTEIN', 165130),
(221405, 'PTHR46048:SF8', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLIC ACID RECEPTOR 1', 165131),
(221406, 'PTHR15464:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 19', 165132),
(221407, 'PTHR11236:SF42', NULL, NULL, NULL, NULL, 'BNAA04G16750D PROTEIN', 165133),
(221408, 'PTHR12117', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE COMPLEX', 165134),
(221409, 'PTHR24034:SF92', NULL, NULL, NULL, NULL, 'PRO-EPIDERMAL GROWTH FACTOR', 165135),
(221410, 'PTHR11062:SF189', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE MUR3', 165136),
(221411, 'PTHR15951:SF2', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR-ASSOCIATED TRANSMEMBRANE ADAPTER 1', 165137),
(221412, 'PTHR11040:SF162', NULL, NULL, NULL, NULL, 'ZRT (ZRT), IRT-(IRT-) LIKE PROTEIN TRANSPORTER', 165138),
(221413, 'PTHR36009:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 165139),
(221414, 'PTHR11850:SF234', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 6', 165140),
(221415, 'PTHR35333', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE', 165141),
(221416, 'PTHR24338:SF9', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MSX-3', 165142);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(221417, 'PTHR19134:SF494', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE 36E, ISOFORM A', 165143),
(221418, 'PTHR33132:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165144),
(221419, 'PTHR24031:SF614', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX10-RELATED', 165145),
(221420, 'PTHR12917:SF1', NULL, NULL, NULL, NULL, 'AT13091P', 165146),
(221421, 'PTHR46206:SF7', NULL, NULL, NULL, NULL, 'ENT-KAURENE OXIDASE', 165147),
(221422, 'PTHR34314:SF7', NULL, NULL, NULL, NULL, 'PAREP7', 165148),
(221423, 'PTHR24103:SF286', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM69', 165149),
(221424, 'PTHR37536', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02970)-RELATED', 165150),
(221425, 'PTHR43171:SF1', NULL, NULL, NULL, NULL, 'EBONY', 165151),
(221426, 'PTHR47241:SF1', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 165152),
(221427, 'PTHR22835:SF611', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', 165153),
(221428, 'PTHR12765:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165154),
(221429, 'PTHR33101:SF45', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 11', 165155),
(221430, 'PTHR31568:SF74', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 165156),
(221431, 'PTHR31642:SF161', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-LIKE', 165157),
(221432, 'PTHR31376:SF63', NULL, NULL, NULL, NULL, 'TRIOSE-PHOSPHATE TRANSPORTER FAMILY PROTEIN', 165158),
(221433, 'PTHR13610:SF18', NULL, NULL, NULL, NULL, 'SI:DKEY-190G11.3', 165159),
(221434, 'PTHR36306:SF3', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 57', 165160),
(221435, 'PTHR31113:SF30', NULL, NULL, NULL, NULL, 'BNAC06G29800D PROTEIN', 165161),
(221436, 'PTHR45621:SF94', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', 165162),
(221437, 'PTHR35749:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0084A10.10 PROTEIN', 165163),
(221438, 'PTHR42898:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165164),
(221439, 'PTHR34529:SF1', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX-ASSOCIATED REGULATORY PROTEIN', 165165),
(221440, 'PTHR31197:SF5', NULL, NULL, NULL, NULL, 'OS01G0612600 PROTEIN', 165166),
(221441, 'PTHR36206:SF9', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 165167),
(221442, 'PTHR45684:SF24', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1B-RELATED', 165168),
(221443, 'PTHR47977:SF50', NULL, NULL, NULL, NULL, 'RAB34, MEMBER RAS ONCOGENE FAMILY B', 165169),
(221444, 'PTHR10165:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165170),
(221445, 'PTHR34997:SF4', NULL, NULL, NULL, NULL, 'LYSM DOMAIN PROTEIN', 165171),
(221446, 'PTHR11748:SF103', NULL, NULL, NULL, NULL, 'GLYCOLATE OXIDASE SUBUNIT GLCE', 165172),
(221447, 'PTHR11266:SF106', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE 22 KDA (MPV17/PMP22) FAMILY PROTEIN-RELATED', 165173),
(221448, 'PTHR31388:SF220', NULL, NULL, NULL, NULL, 'PEROXIDASE', 165174),
(221449, 'PTHR31314:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATE STARVATION RESPONSE 2', 165175),
(221450, 'PTHR31282:SF171', NULL, NULL, NULL, NULL, 'BNAC06G15910D PROTEIN', 165176),
(221451, 'PTHR33645:SF11', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE (DUF3754)', 165177),
(221452, 'PTHR37908:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 165178),
(221453, 'PTHR33265:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165179),
(221454, 'PTHR13859:SF26', NULL, NULL, NULL, NULL, 'BNAA01G21460D PROTEIN', 165180),
(221455, 'PTHR45673', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2B CATALYTIC SUBUNIT 1-RELATED', 165181),
(221456, 'PTHR24409:SF310', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 39', 165182),
(221457, 'PTHR10574:SF202', NULL, NULL, NULL, NULL, 'PIKACHURIN', 165183),
(221458, 'PTHR47640:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165184),
(221459, 'PTHR15821', NULL, NULL, NULL, NULL, 'PROTEIN MN1', 165185),
(221460, 'PTHR31181:SF70', NULL, NULL, NULL, NULL, 'BNAA04G12440D PROTEIN', 165186);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(221461, 'PTHR45621:SF92', NULL, NULL, NULL, NULL, 'PROTEIN KINASE APK1B, CHLOROPLASTIC', 165187),
(221462, 'PTHR43229:SF2', NULL, NULL, NULL, NULL, 'NODULATION PROTEIN J', 165188),
(221463, 'PTHR23101:SF116', NULL, NULL, NULL, NULL, 'VPS9 DOMAIN-CONTAINING PROTEIN-RELATED', 165189),
(221464, 'PTHR17149:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN 1', 165190),
(221465, 'PTHR43058:SF1', NULL, NULL, NULL, NULL, 'SLR0655 PROTEIN', 165191),
(221466, 'PTHR46631:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165192),
(221467, 'PTHR11206:SF296', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 165193),
(221468, 'PTHR33294:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165194),
(221469, 'PTHR43120:SF8', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', 165195),
(221470, 'PTHR31108:SF1', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P63-REGULATED GENE 1-LIKE PROTEIN', 165196),
(221471, 'PTHR31707:SF169', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 165197),
(221472, 'PTHR11064:SF37', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-2', 165198),
(221473, 'PTHR33074:SF62', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 165199),
(221474, 'PTHR43471', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE', 165200),
(221475, 'PTHR20900', NULL, NULL, NULL, NULL, 'NADH:UBIQUINONE OXIDOREDUCTASE B18-LIKE SUBUNIT', 165201),
(221476, 'PTHR24305:SF190', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 165202),
(221477, 'PTHR19269:SF65', NULL, NULL, NULL, NULL, 'TROPOMYOSIN 4A-RELATED', 165203),
(221478, 'PTHR31509:SF60', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', 165204),
(221479, 'PTHR47397:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 19L', 165205),
(221480, 'PTHR13145:SF6', NULL, NULL, NULL, NULL, 'BNAA03G50870D PROTEIN', 165206),
(221481, 'PTHR10459:SF109', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 165207),
(221482, 'PTHR13693:SF91', NULL, NULL, NULL, NULL, 'LONG CHAIN BASE BIOSYNTHESIS PROTEIN 2A', 165208),
(221483, 'PTHR18953:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165209),
(221484, 'PTHR31802:SF23', NULL, NULL, NULL, NULL, 'BNAA03G60250D PROTEIN', 165210),
(221485, 'PTHR10460:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165211),
(221486, 'PTHR10985:SF3', NULL, NULL, NULL, NULL, 'CLASS E BASIC HELIX-LOOP-HELIX PROTEIN 40', 165212),
(221487, 'PTHR19305:SF24', NULL, NULL, NULL, NULL, 'SNAP25 HOMOLOGOUS PROTEIN SNAP29', 165213),
(221488, 'PTHR18945:SF595', NULL, NULL, NULL, NULL, 'HISTAMINE-GATED CHLORIDE CHANNEL SUBUNIT 1', 165214),
(221489, 'PTHR20932:SF35', NULL, NULL, NULL, NULL, 'LD36653P', 165215),
(221490, 'PTHR47562', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 165216),
(221491, 'PTHR34890:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165217),
(221492, 'PTHR45699:SF18', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0-1', 165218),
(221493, 'PTHR13723:SF179', NULL, NULL, NULL, NULL, 'PAPILIN', 165219),
(221494, 'PTHR24377:SF692', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 17', 165220),
(221495, 'PTHR24346:SF39', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE KINASE 1', 165221),
(221496, 'PTHR15204:SF5', NULL, NULL, NULL, NULL, 'OS07G0498800 PROTEIN', 165222),
(221497, 'PTHR24390:SF144', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE AI854703', 165223),
(221498, 'PTHR24381:SF359', NULL, NULL, NULL, NULL, 'GENE 10772-RELATED', 165224),
(221499, 'PTHR31861:SF21', NULL, NULL, NULL, NULL, 'BNACNNG29580D PROTEIN', 165225),
(221500, 'PTHR21338', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN L41', 165226),
(221501, 'PTHR32448:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165227),
(221502, 'PTHR13710:SF130', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE RECQ', 165228),
(221503, 'PTHR32295:SF151', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', 165229),
(221504, 'PTHR12601:SF17', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 165230),
(221505, 'PTHR45868:SF59', NULL, NULL, NULL, NULL, 'HEAVY-METAL-ASSOCIATED DOMAIN PROTEIN', 165231);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(221506, 'PTHR30620:SF92', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE BOGH3B-LIKE', 165232),
(221507, 'PTHR10811:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165233),
(221508, 'PTHR42811:SF20', NULL, NULL, NULL, NULL, 'BNAA08G00140D PROTEIN', 165234),
(221509, 'PTHR23509', NULL, NULL, NULL, NULL, 'PA-PL1 PHOSPHOLIPASE FAMILY', 165235),
(221510, 'PTHR14060', NULL, NULL, NULL, NULL, 'PROTEIN P13 MTCP-1', 165236),
(221511, 'PTHR31960', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A15', 165237),
(221512, 'PTHR30614:SF34', NULL, NULL, NULL, NULL, 'BLR6398 PROTEIN', 165238),
(221513, 'PTHR22953:SF131', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 165239),
(221514, 'PTHR33429:SF33', NULL, NULL, NULL, NULL, 'BNAA08G05490D PROTEIN', 165240),
(221515, 'PTHR34061:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165241),
(221516, 'PTHR31673:SF48', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 165242),
(221517, 'PTHR24248:SF71', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 165243),
(221518, 'PTHR23239:SF90', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 40', 165244),
(221519, 'PTHR15420:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 10', 165245),
(221520, 'PTHR48097:SF4', NULL, NULL, NULL, NULL, 'L-ALLO-THREONINE ALDOLASE-LIKE PROTEIN', 165246),
(221521, 'PTHR43908:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', 165247),
(221522, 'PTHR22572', NULL, NULL, NULL, NULL, 'SUGAR-1-PHOSPHATE GUANYL TRANSFERASE', 165248),
(221523, 'PTHR10811:SF91', NULL, NULL, NULL, NULL, 'BNAC09G24010D PROTEIN', 165249),
(221524, 'PTHR10352:SF55', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING, ALPHA-BETA PLAIT', 165250),
(221525, 'PTHR30346:SF17', NULL, NULL, NULL, NULL, 'HCA OPERON TRANSCRIPTIONAL ACTIVATOR HCAR', 165251),
(221526, 'PTHR22880', NULL, NULL, NULL, NULL, 'FALZ-RELATED BROMODOMAIN-CONTAINING PROTEINS', 165252),
(221527, 'PTHR48020:SF10', NULL, NULL, NULL, NULL, 'H(+) MYOINOSITOL COTRANSPORTER', 165253),
(221528, 'PTHR31286:SF48', NULL, NULL, NULL, NULL, 'OS10G0362600 PROTEIN', 165254),
(221529, 'PTHR24323:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165255),
(221530, 'PTHR12411:SF718', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE', 165256),
(221531, 'PTHR47900:SF1', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 131A', 165257),
(221532, 'PTHR10064:SF26', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-2-LIKE', 165258),
(221533, 'PTHR23172:SF19', NULL, NULL, NULL, NULL, 'AUXILIN, ISOFORM A', 165259),
(221534, 'PTHR19378:SF3', NULL, NULL, NULL, NULL, 'HAUS AUGMIN LIKE COMPLEX SUBUNIT 3', 165260),
(221535, 'PTHR36309:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165261),
(221536, 'PTHR24376:SF97', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 585B', 165262),
(221537, 'PTHR10314:SF178', NULL, NULL, NULL, NULL, 'O-ACETYLSERINE (THIOL) LYASE', 165263),
(221538, 'PTHR20648:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165264),
(221539, 'PTHR46326:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT1-LIKE', 165265),
(221540, 'PTHR11731:SF128', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE 4', 165266),
(221541, 'PTHR15615:SF89', NULL, NULL, NULL, NULL, 'CYCLIN-U3-1', 165267),
(221542, 'PTHR10694:SF38', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE REF6', 165268),
(221543, 'PTHR46463:SF19', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 165269),
(221544, 'PTHR13105:SF7', NULL, NULL, NULL, NULL, 'MYELOID LEUKEMIA FACTOR', 165270),
(221545, 'PTHR15276:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 6', 165271),
(221546, 'PTHR24348:SF37', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0271538-RELATED', 165272),
(221547, 'PTHR12893:SF2', NULL, NULL, NULL, NULL, 'GOLGI REASSEMBLY-STACKING PROTEIN 1', 165273),
(221548, 'PTHR11685:SF333', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 165274),
(221549, 'PTHR32212:SF252', NULL, NULL, NULL, NULL, 'FBD / LEUCINE RICH REPEAT DOMAINS CONTAINING PROTEIN', 165275),
(221550, 'PTHR43981:SF3', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE, MITOCHONDRIAL', 165276);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(221551, 'PTHR24082:SF488', NULL, NULL, NULL, NULL, 'PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR GAMMA', 165277),
(221552, 'PTHR11567:SF29', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE FAMILY', 165278),
(221553, 'PTHR43653', NULL, NULL, NULL, NULL, 'CYTOCHROME C ASSEMBLY PROTEIN-RELATED', 165279),
(221554, 'PTHR31319:SF46', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', 165280),
(221555, 'PTHR19277:SF1', NULL, NULL, NULL, NULL, 'NEURONAL PENTRAXIN-2', 165281),
(221556, 'PTHR48021:SF70', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 15', 165282),
(221557, 'PTHR46153:SF15', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 165283),
(221558, 'PTHR27004:SF173', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 6-RELATED', 165284),
(221559, 'PTHR32401:SF22', NULL, NULL, NULL, NULL, 'LEGUME LECTIN BETA DOMAIN PROTEIN', 165285),
(221560, 'PTHR31058:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBR-VAB-23', 165286),
(221561, 'PTHR19367:SF25', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 9-2', 165287),
(221562, 'PTHR24246:SF50', NULL, NULL, NULL, NULL, 'ADENOSINE RECEPTOR, ISOFORM A', 165288),
(221563, 'PTHR15860:SF15', NULL, NULL, NULL, NULL, 'OS05G0316000 PROTEIN', 165289),
(221564, 'PTHR12138:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165290),
(221565, 'PTHR11662:SF420', NULL, NULL, NULL, NULL, 'BLR1003 PROTEIN', 165291),
(221566, 'PTHR32096:SF57', NULL, NULL, NULL, NULL, 'OS06G0504900 PROTEIN', 165292),
(221567, 'PTHR48047:SF81', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 165293),
(221568, 'PTHR43141:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME BD-II UBIQUINOL OXIDASE SUBUNIT 2', 165294),
(221569, 'PTHR32227:SF118', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', 165295),
(221570, 'PTHR10108:SF1122', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 165296),
(221571, 'PTHR15726:SF5', NULL, NULL, NULL, NULL, 'RAB11 FAMILY-INTERACTING PROTEIN 4', 165297),
(221572, 'PTHR13715:SF16', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 3', 165298),
(221573, 'PTHR24373:SF290', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE NEURONAL PROTEIN 1', 165299),
(221574, 'PTHR11552:SF213', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 165300),
(221575, 'PTHR39069:SF5', NULL, NULL, NULL, NULL, 'AGAP001390-PA', 165301),
(221576, 'PTHR34222:SF6', NULL, NULL, NULL, NULL, 'OS02G0671800 PROTEIN', 165302),
(221577, 'PTHR47985:SF34', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL24-RELATED', 165303),
(221578, 'PTHR46776', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 4-RELATED', 165304),
(221579, 'PTHR33273:SF2', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 165305),
(221580, 'PTHR24024:SF20', NULL, NULL, NULL, NULL, 'COLLECTIN-10', 165306),
(221581, 'PTHR11827:SF97', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 10, TANDEM DUPLICATE 1-RELATED', 165307),
(221582, 'PTHR12045:SF3', NULL, NULL, NULL, NULL, 'ALLANTOICASE-RELATED', 165308),
(221583, 'PTHR10177:SF492', NULL, NULL, NULL, NULL, 'BNAA03G57140D PROTEIN', 165309),
(221584, 'PTHR36914', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 165310),
(221585, 'PTHR45768:SF24', NULL, NULL, NULL, NULL, 'OS09G0376700 PROTEIN', 165311),
(221586, 'PTHR45921:SF6', NULL, NULL, NULL, NULL, 'C15', 165312),
(221587, 'PTHR24240:SF62', NULL, NULL, NULL, NULL, 'OPSIN-3', 165313),
(221588, 'PTHR17357:SF0', NULL, NULL, NULL, NULL, 'GANGLIOSIDE GM2 ACTIVATOR', 165314),
(221589, 'PTHR20903:SF1', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 1', 165315),
(221590, 'PTHR10676:SF346', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', 165316),
(221591, 'PTHR33600:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165317),
(221592, 'PTHR10828:SF70', NULL, NULL, NULL, NULL, 'M-PHASE INDUCER PHOSPHATASE CDC-25.3', 165318),
(221593, 'PTHR43806:SF49', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE', 165319),
(221594, 'PTHR45878:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP2', 165320),
(221595, 'PTHR26374:SF362', NULL, NULL, NULL, NULL, 'C2H2 ZINC FINGER PROTEIN', 165321);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(221596, 'PTHR10687:SF24', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 4', 165322),
(221597, 'PTHR45863:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165323),
(221598, 'PTHR32258:SF40', NULL, NULL, NULL, NULL, 'BNAA05G16920D PROTEIN', 165324),
(221599, 'PTHR23500:SF531', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', 165325),
(221600, 'PTHR31613:SF2', NULL, NULL, NULL, NULL, 'AUGURIN', 165326),
(221601, 'PTHR48016:SF1', NULL, NULL, NULL, NULL, 'OS07G0119000 PROTEIN', 165327),
(221602, 'PTHR30255:SF2', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED-DNA-SPECIFIC EXONUCLEASE RECJ', 165328),
(221603, 'PTHR31086:SF81', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 10', 165329),
(221604, 'PTHR34131:SF2', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF1997)-RELATED', 165330),
(221605, 'PTHR31136:SF5', NULL, NULL, NULL, NULL, 'OS10G0463800 PROTEIN', 165331),
(221606, 'PTHR31956:SF30', NULL, NULL, NULL, NULL, 'OS11G0593000 PROTEIN', 165332),
(221607, 'PTHR11017:SF384', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN-RELATED', 165333),
(221608, 'PTHR10797:SF59', NULL, NULL, NULL, NULL, 'RIBONUCLEASE CAF1, RIBONUCLEASE H-LIKE DOMAIN PROTEIN-RELATED', 165334),
(221609, 'PTHR35967', NULL, NULL, NULL, NULL, 'UPF0450 PROTEIN C17ORF58', 165335),
(221610, 'PTHR22814:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165336),
(221611, 'PTHR43240:SF1', NULL, NULL, NULL, NULL, 'BLR5584 PROTEIN', 165337),
(221612, 'PTHR27001:SF840', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK10', 165338),
(221613, 'PTHR23267:SF355', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-V REGION T1-RELATED', 165339),
(221614, 'PTHR24256:SF315', NULL, NULL, NULL, NULL, 'PROTEASE, SERINE 32', 165340),
(221615, 'PTHR48007:SF12', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 51', 165341),
(221616, 'PTHR10315:SF114', NULL, NULL, NULL, NULL, 'OS01G0121900 PROTEIN', 165342),
(221617, 'PTHR13301:SF58', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D2', 165343),
(221618, 'PTHR23099:SF0', NULL, NULL, NULL, NULL, 'ACIDIC REPEAT-CONTAINING PROTEIN', 165344),
(221619, 'PTHR22844:SF358', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', 165345),
(221620, 'PTHR45974:SF151', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN ISOFORM 1', 165346),
(221621, 'PTHR45775:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG22069', 165347),
(221622, 'PTHR38432', NULL, NULL, NULL, NULL, 'TELA-LIKE PROTEIN SAOUHSC_01408', 165348),
(221623, 'PTHR15907:SF32', NULL, NULL, NULL, NULL, 'PLACENTA-SPECIFIC GENE 8 PROTEIN', 165349),
(221624, 'PTHR47926:SF248', NULL, NULL, NULL, NULL, 'BNAA05G13240D PROTEIN', 165350),
(221625, 'PTHR23311:SF7', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 72 KDA', 165351),
(221626, 'PTHR33204', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, MARR FAMILY', 165352),
(221627, 'PTHR47504:SF4', NULL, NULL, NULL, NULL, 'MULTIPLE ANTIBIOTIC RESISTANCE PROTEIN MARA', 165353),
(221628, 'PTHR30012:SF0', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN F-RELATED', 165354),
(221629, 'PTHR48041:SF32', NULL, NULL, NULL, NULL, 'PROTEIN WHITE-LIKE PROTEIN', 165355),
(221630, 'PTHR13780:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165356),
(221631, 'PTHR26452:SF719', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 165357),
(221632, 'PTHR24299:SF14', NULL, NULL, NULL, NULL, 'OS10G0514300 PROTEIN', 165358),
(221633, 'PTHR32246:SF80', NULL, NULL, NULL, NULL, 'PROTEIN SRC2', 165359),
(221634, 'PTHR13318:SF37', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 3-LIKE ISOFORM X1', 165360),
(221635, 'PTHR46084:SF25', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', 165361),
(221636, 'PTHR14064:SF3', NULL, NULL, NULL, NULL, 'TENOMODULIN', 165362),
(221637, 'PTHR45644:SF6', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN', 165363),
(221638, 'PTHR35068', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 7', 165364); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(221639, 'PTHR24241:SF132', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE FF RECEPTOR 2', 165365),
(221640, 'PTHR12424:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TWEETY HOMOLOG 3', 165366),
(221641, 'PTHR22943:SF46', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 165367),
(221642, 'PTHR24031:SF708', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-3', 165368),
(221643, 'PTHR16083:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG03577', 165369),
(221644, 'PTHR31920:SF79', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS11G0625400-RELATED', 165370),
(221645, 'PTHR34658:SF6', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN G1', 165371),
(221646, 'PTHR46225:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165372),
(221647, 'PTHR32343:SF55', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 11', 165373),
(221648, 'PTHR12610:SF22', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN 3', 165374),
(221649, 'PTHR48063:SF45', NULL, NULL, NULL, NULL, 'REPEAT RESISTANCE PROTEIN, PUTATIVE, EXPRESSED-RELATED', 165375),
(221650, 'PTHR33121:SF16', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEL-RELATED', 165376),
(221651, 'PTHR16208', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN/SYNTAPHILIN', 165377),
(221652, 'PTHR12791:SF55', NULL, NULL, NULL, NULL, 'BNAC03G58880D PROTEIN', 165378),
(221653, 'PTHR24299:SF22', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 76A1-LIKE', 165379),
(221654, 'PTHR11800', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', 165380),
(221655, 'PTHR11515:SF27', NULL, NULL, NULL, NULL, 'CHORIOGONADOTROPIN SUBUNIT BETA 3-RELATED', 165381),
(221656, 'PTHR31058', NULL, NULL, NULL, NULL, 'ZINC FINGER C4H2 DOMAIN-CONTAINING PROTEIN', 165382),
(221657, 'PTHR31346:SF7', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 2, CHLOROPLASTIC-RELATED', 165383),
(221658, 'PTHR33671:SF13', NULL, NULL, NULL, NULL, 'BNAA05G11690D PROTEIN', 165384),
(221659, 'PTHR23291:SF102', NULL, NULL, NULL, NULL, 'BAX INHIBITOR 1-RELATED PROTEIN-RELATED', 165385),
(221660, 'PTHR31482:SF14', NULL, NULL, NULL, NULL, 'BNAA09G47460D PROTEIN', 165386),
(221661, 'PTHR43107:SF12', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 27 MEMBER 3', 165387),
(221662, 'PTHR31375:SF41', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 165388),
(221663, 'PTHR11165:SF143', NULL, NULL, NULL, NULL, 'BNAC09G21280D PROTEIN', 165389),
(221664, 'PTHR33210:SF21', NULL, NULL, NULL, NULL, 'PROTODERMAL FACTOR 1-LIKE', 165390),
(221665, 'PTHR30015:SF7', NULL, NULL, NULL, NULL, 'MRR RESTRICTION SYSTEM PROTEIN', 165391),
(221666, 'PTHR48062:SF21', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 14', 165392),
(221667, 'PTHR43464:SF45', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TYPE 12', 165393),
(221668, 'PTHR33463:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165394),
(221669, 'PTHR36406', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 30', 165395),
(221670, 'PTHR33543:SF9', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN TYPE 2', 165396),
(221671, 'PTHR46746:SF3', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY F MEMBER 2', 165397),
(221672, 'PTHR10835:SF6', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE 5-RELATED', 165398),
(221673, 'PTHR33128', NULL, NULL, NULL, NULL, 'OS05G0103400 PROTEIN', 165399),
(221674, 'PTHR45938:SF3', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR 3', 165400),
(221675, 'PTHR31194:SF116', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF069', 165401),
(221676, 'PTHR10201:SF139', NULL, NULL, NULL, NULL, 'HEMOPEXIN', 165402),
(221677, 'PTHR31634:SF2', NULL, NULL, NULL, NULL, 'BLOC-1-RELATED COMPLEX SUBUNIT 5', 165403),
(221678, 'PTHR24012:SF834', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 165404),
(221679, 'PTHR22802:SF389', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165405),
(221680, 'PTHR11430:SF77', NULL, NULL, NULL, NULL, 'LIPOCALIN-LIKE 1 PROTEIN', 165406),
(221681, 'PTHR31549:SF220', NULL, NULL, NULL, NULL, 'BNAC07G31690D PROTEIN', 165407);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(221682, 'PTHR15332', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 165408),
(221683, 'PTHR13447:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S28, MITOCHONDRIAL', 165409),
(221684, 'PTHR48078:SF14', NULL, NULL, NULL, NULL, 'SI:CH73-263O4.4', 165410),
(221685, 'PTHR13087:SF10', NULL, NULL, NULL, NULL, 'BNACNNG32680D PROTEIN', 165411),
(221686, 'PTHR11640:SF129', NULL, NULL, NULL, NULL, 'KIN OF IRRE LIKE (DROSOPHILA)', 165412),
(221687, 'PTHR35736:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165413),
(221688, 'PTHR31376:SF2', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 11-RELATED', 165414),
(221689, 'PTHR31339:SF9', NULL, NULL, NULL, NULL, 'HYDROLASE FAMILY 28 PROTEIN, PUTATIVE, EXPRESSED-RELATED', 165415),
(221690, 'PTHR34059:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 165416),
(221691, 'PTHR27005:SF396', NULL, NULL, NULL, NULL, 'BNAA09G56430D PROTEIN', 165417),
(221692, 'PTHR24279:SF115', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 11B1, MITOCHONDRIAL', 165418),
(221693, 'PTHR31403:SF56', NULL, NULL, NULL, NULL, 'GALACTOLIPASE DONGLE, CHLOROPLASTIC', 165419),
(221694, 'PTHR47925:SF64', NULL, NULL, NULL, NULL, 'BNAA02G05460D PROTEIN', 165420),
(221695, 'PTHR45589:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 62', 165421),
(221696, 'PTHR31865:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165422),
(221697, 'PTHR22750:SF21', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 3', 165423),
(221698, 'PTHR39532:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165424),
(221699, 'PTHR27004:SF222', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 47-RELATED', 165425),
(221700, 'PTHR31153:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165426),
(221701, 'PTHR31042:SF95', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING ENZYME', 165427),
(221702, 'PTHR14119:SF17', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE DOMAIN-CONTAINING PROTEIN 1', 165428),
(221703, 'PTHR22950:SF529', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT3B', 165429),
(221704, 'PTHR42680:SF2', NULL, NULL, NULL, NULL, 'DCTP DEAMINASE', 165430),
(221705, 'PTHR33207:SF23', NULL, NULL, NULL, NULL, 'OS07G0554900 PROTEIN', 165431),
(221706, 'PTHR22811:SF59', NULL, NULL, NULL, NULL, 'OPOSSUM, ISOFORM A', 165432),
(221707, 'PTHR47990:SF137', NULL, NULL, NULL, NULL, 'BNAC01G36960D PROTEIN', 165433),
(221708, 'PTHR31140:SF74', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR LEC2 ISOFORM X1', 165434),
(221709, 'PTHR48000:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX2-LIKE', 165435),
(221710, 'PTHR11802:SF286', NULL, NULL, NULL, NULL, '1-O-ACYLGLUCOSE:ANTHOCYANIN ACYLTRANSFERASE', 165436),
(221711, 'PTHR45089:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165437),
(221712, 'PTHR12801:SF144', NULL, NULL, NULL, NULL, 'ZGC:152968', 165438),
(221713, 'PTHR31204', NULL, NULL, NULL, NULL, 'SIGMA INTRACELLULAR RECEPTOR 2', 165439),
(221714, 'PTHR17070', NULL, NULL, NULL, NULL, 'DEXAMETHASONE-INDUCED PROTEIN', 165440),
(221715, 'PTHR24403:SF88', NULL, NULL, NULL, NULL, 'ENHANCER OF VARIEGATION 3-9-RELATED', 165441),
(221716, 'PTHR41237:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN MRP21, MITOCHONDRIAL', 165442),
(221717, 'PTHR31155:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165443),
(221718, 'PTHR23239:SF99', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA3-II', 165444),
(221719, 'PTHR46646:SF1', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 1', 165445),
(221720, 'PTHR37754:SF1', NULL, NULL, NULL, NULL, 'CALCIUM ION-BINDING PROTEIN', 165446),
(221721, 'PTHR33406:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN SCO6666-RELATED', 165447),
(221722, 'PTHR24355:SF26', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE', 165448),
(221723, 'PTHR14365:SF1', NULL, NULL, NULL, NULL, 'APOPTOSIS REGULATORY PROTEIN SIVA', 165449),
(221724, 'PTHR21562:SF69', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 9', 165450),
(221725, 'PTHR10353:SF182', NULL, NULL, NULL, NULL, 'MYROSINASE 1-RELATED', 165451),
(221726, 'PTHR48085:SF5', NULL, NULL, NULL, NULL, 'CADMIUM/ZINC-TRANSPORTING ATPASE HMA2', 165452);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(221727, 'PTHR24326:SF589', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-6-LIKE', 165453),
(221728, 'PTHR31479:SF12', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 165454),
(221729, 'PTHR10218:SF212', NULL, NULL, NULL, NULL, 'G PROTEIN ALPHA S SUBUNIT', 165455),
(221730, 'PTHR31750:SF21', NULL, NULL, NULL, NULL, 'PROTEIN STAY-GREEN 1, CHLOROPLASTIC', 165456),
(221731, 'PTHR31388:SF225', NULL, NULL, NULL, NULL, 'PEROXIDASE 70-LIKE', 165457),
(221732, 'PTHR30128:SF44', NULL, NULL, NULL, NULL, 'SMF-DEPENDENT FLAGELLAR MOTOR PROTEIN MOTY', 165458),
(221733, 'PTHR16228', NULL, NULL, NULL, NULL, 'DIVALENT CATION TRANSPORTER  SOLUTE CARRIER FAMILY 41', 165459),
(221734, 'PTHR19879:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 5', 165460),
(221735, 'PTHR33646:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 165461),
(221736, 'PTHR31235:SF223', NULL, NULL, NULL, NULL, 'PEROXIDASE', 165462),
(221737, 'PTHR45901:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165463),
(221738, 'PTHR11588:SF326', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 165464),
(221739, 'PTHR46100:SF10', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', 165465),
(221740, 'PTHR11471:SF33', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 6', 165466),
(221741, 'PTHR28145', NULL, NULL, NULL, NULL, '12 KDA HEAT SHOCK PROTEIN', 165467),
(221742, 'PTHR22844:SF342', NULL, NULL, NULL, NULL, 'AND WD40 DOMAIN PROTEIN, PUTATIVE-RELATED', 165468),
(221743, 'PTHR10257:SF66', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 59 KDA REGULATORY SUBUNIT B'' ETA ISOFORM', 165469),
(221744, 'PTHR11994:SF28', NULL, NULL, NULL, NULL, 'OS01G0205500 PROTEIN', 165470),
(221745, 'PTHR32246:SF123', NULL, NULL, NULL, NULL, 'BNACNNG52320D PROTEIN', 165471),
(221746, 'PTHR21472:SF23', NULL, NULL, NULL, NULL, 'INO80 COMPLEX SUBUNIT E', 165472),
(221747, 'PTHR41775:SF1', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 165473),
(221748, 'PTHR24248:SF163', NULL, NULL, NULL, NULL, 'HISTAMINE RECEPTOR H2A', 165474),
(221749, 'PTHR11689:SF142', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-B', 165475),
(221750, 'PTHR33107:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165476),
(221751, 'PTHR11475:SF111', NULL, NULL, NULL, NULL, 'HEME PEROXIDASE', 165477),
(221752, 'PTHR43015', NULL, NULL, NULL, NULL, 'D-RIBITOL-5-PHOSPHATE CYTIDYLYLTRANSFERASE', 165478),
(221753, 'PTHR43128:SF2', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE B CHAIN', 165479),
(221754, 'PTHR43245:SF33', NULL, NULL, NULL, NULL, 'UDP-D-APIOSE/UDP-D-XYLOSE SYNTHASE 1-RELATED', 165480),
(221755, 'PTHR33214:SF20', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 165481),
(221756, 'PTHR10201:SF279', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 1-MMP', 165482),
(221757, 'PTHR11567:SF192', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1, ISOFORM B', 165483),
(221758, 'PTHR36355:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 165484),
(221759, 'PTHR24372:SF72', NULL, NULL, NULL, NULL, 'RELAXIN RECEPTOR 2', 165485),
(221760, 'PTHR33074:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165486),
(221761, 'PTHR42881:SF6', NULL, NULL, NULL, NULL, 'PROLYL ENDOPEPTIDASE-LIKE ISOFORM X1', 165487),
(221762, 'PTHR11183:SF138', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 165488),
(221763, 'PTHR11757:SF18', NULL, NULL, NULL, NULL, 'BNAA08G02180D PROTEIN', 165489),
(221764, 'PTHR31561:SF127', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 165490),
(221765, 'PTHR32261:SF2', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN 1', 165491),
(221766, 'PTHR43204:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 165492),
(221767, 'PTHR10209:SF678', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 165493),
(221768, 'PTHR24055:SF107', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 13', 165494),
(221769, 'PTHR45737:SF6', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 5A', 165495);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(221770, 'PTHR45621:SF116', NULL, NULL, NULL, NULL, 'OS06G0168800 PROTEIN', 165496),
(221771, 'PTHR27009:SF157', NULL, NULL, NULL, NULL, 'OS01G0113300 PROTEIN', 165497),
(221772, 'PTHR23155:SF1129', NULL, NULL, NULL, NULL, 'OS08G0190300 PROTEIN', 165498),
(221773, 'PTHR40115', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN WITH PEPSY TM HELIX', 165499),
(221774, 'PTHR13742:SF8', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-LIKE PROTEIN 2', 165500),
(221775, 'PTHR22792:SF106', NULL, NULL, NULL, NULL, 'OS09G0540900 PROTEIN', 165501),
(221776, 'PTHR33930:SF8', NULL, NULL, NULL, NULL, '4-CARBOXYMUCONOLACTONE DECARBOXYLASE', 165502),
(221777, 'PTHR10925:SF5', NULL, NULL, NULL, NULL, 'RNA CYTIDINE ACETYLTRANSFERASE', 165503),
(221778, 'PTHR14089:SF16', NULL, NULL, NULL, NULL, 'U2 AUXILIARY FACTOR SMALL SUBUNIT-RELATED', 165504),
(221779, 'PTHR43895:SF105', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 165505),
(221780, 'PTHR46039:SF9', NULL, NULL, NULL, NULL, 'SUCROSE PHOSPHATE SYNTHASE, PLANT-RELATED', 165506),
(221781, 'PTHR37940', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 165507),
(221782, 'PTHR43497:SF4', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE SUPERFAMILY', 165508),
(221783, 'PTHR10994:SF175', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 165509),
(221784, 'PTHR31133:SF16', NULL, NULL, NULL, NULL, 'BNAA06G32130D PROTEIN', 165510),
(221785, 'PTHR27005:SF313', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 165511),
(221786, 'PTHR45732:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR LIKE PROTEIN', 165512),
(221787, 'PTHR35243:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165513),
(221788, 'PTHR32468:SF86', NULL, NULL, NULL, NULL, 'OS11G0123600 PROTEIN', 165514),
(221789, 'PTHR45750:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165515),
(221790, 'PTHR45654:SF54', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG3', 165516),
(221791, 'PTHR13382:SF16', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP28', 165517),
(221792, 'PTHR23423:SF15', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER OSTALPHA PROTEIN (DUF300)', 165518),
(221793, 'PTHR10183:SF262', NULL, NULL, NULL, NULL, 'CALPAIN FAMILY', 165519),
(221794, 'PTHR37718:SF4', NULL, NULL, NULL, NULL, 'BNAA03G54120D PROTEIN', 165520),
(221795, 'PTHR48053:SF8', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 165521),
(221796, 'PTHR35607:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165522),
(221797, 'PTHR11349:SF57', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE B', 165523),
(221798, 'PTHR13068:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165524),
(221799, 'PTHR48004:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165525),
(221800, 'PTHR35017:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG16222', 165526),
(221801, 'PTHR11017:SF227', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY-RELATED', 165527),
(221802, 'PTHR11501:SF14', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN TAU', 165528),
(221803, 'PTHR45886:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 165529),
(221804, 'PTHR21600:SF62', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE', 165530),
(221805, 'PTHR31194:SF140', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF2', 165531),
(221806, 'PTHR45712:SF5', NULL, NULL, NULL, NULL, 'PODOCAN-LIKE PROTEIN 1', 165532),
(221807, 'PTHR24365:SF17', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 2', 165533),
(221808, 'PTHR22777:SF30', NULL, NULL, NULL, NULL, 'UPF0053 PROTEIN YEGH', 165534),
(221809, 'PTHR43132', NULL, NULL, NULL, NULL, 'ARSENICAL RESISTANCE OPERON REPRESSOR ARSR-RELATED', 165535),
(221810, 'PTHR12577:SF7', NULL, NULL, NULL, NULL, 'DACHSHUND HOMOLOG 2', 165536),
(221811, 'PTHR31836:SF17', NULL, NULL, NULL, NULL, 'CELLULASE CELA/ALLERGEN ASP F7-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G08030)-RELATED', 165537),
(221812, 'PTHR33477', NULL, NULL, NULL, NULL, 'P-LOOP NTPASE DOMAIN-CONTAINING PROTEIN LPA1 HOMOLOG 1', 165538),
(221813, 'PTHR11360:SF257', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY TRANSPORTER', 165539);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(221814, 'PTHR11955:SF57', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN, BRAIN', 165540),
(221815, 'PTHR48100:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165541),
(221816, 'PTHR14255:SF23', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE LA (LON) DOMAIN-CONTAINING PROTEIN-LIKE', 165542),
(221817, 'PTHR21495:SF198', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 165543),
(221818, 'PTHR21183:SF18', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L47, MITOCHONDRIAL', 165544),
(221819, 'PTHR36939:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG03389', 165545),
(221820, 'PTHR21662:SF18', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', 165546),
(221821, 'PTHR34223:SF38', NULL, NULL, NULL, NULL, 'OS11G0201600 PROTEIN', 165547),
(221822, 'PTHR22534', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 165548),
(221823, 'PTHR46779', NULL, NULL, NULL, NULL, 'BETA-1,6-GALACTOSYLTRANSFERASE GALT29A', 165549),
(221824, 'PTHR37853', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 165550),
(221825, 'PTHR23194:SF16', NULL, NULL, NULL, NULL, 'PROTEIN BCL9 HOMOLOG-RELATED', 165551),
(221826, 'PTHR23139:SF117', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', 165552),
(221827, 'PTHR23155:SF1127', NULL, NULL, NULL, NULL, 'OS02G0199200 PROTEIN', 165553),
(221828, 'PTHR12161:SF16', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', 165554),
(221829, 'PTHR47925:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165555),
(221830, 'PTHR19229:SF215', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 8', 165556),
(221831, 'PTHR18934:SF100', NULL, NULL, NULL, NULL, '3''-5'' RNA HELICASE YTHDC2', 165557),
(221832, 'PTHR21058', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE  DMRL SYNTHASE   LUMAZINE SYNTHASE', 165558),
(221833, 'PTHR22870:SF358', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY WITH FYVE ZINC FINGER DOMAIN-CONTAINING PROTEIN', 165559),
(221834, 'PTHR48022:SF4', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04550)-RELATED', 165560),
(221835, 'PTHR47984:SF34', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 165561),
(221836, 'PTHR47984:SF22', NULL, NULL, NULL, NULL, 'OS03G0125600 PROTEIN', 165562),
(221837, 'PTHR36329', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 165563),
(221838, 'PTHR43976:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165564),
(221839, 'PTHR27002:SF674', NULL, NULL, NULL, NULL, 'OS01G0784200 PROTEIN', 165565),
(221840, 'PTHR43952:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165566),
(221841, 'PTHR44156', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 165567),
(221842, 'PTHR47929:SF9', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 165568),
(221843, 'PTHR11280:SF5', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-6-PHOSPHATE ISOMERASE', 165569),
(221844, 'PTHR30537:SF68', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 165570),
(221845, 'PTHR11909:SF417', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 11', 165571),
(221846, 'PTHR45829:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 36', 165572),
(221847, 'PTHR47363:SF1', NULL, NULL, NULL, NULL, 'GLUCOKINASE', 165573),
(221848, 'PTHR14292', NULL, NULL, NULL, NULL, 'INTERLEUKIN-18-BINDING PROTEIN', 165574),
(221849, 'PTHR14614:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165575),
(221850, 'PTHR23406:SF65', NULL, NULL, NULL, NULL, 'MALIC ENZYME', 165576),
(221851, 'PTHR24055:SF372', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165577),
(221852, 'PTHR43574:SF26', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', 165578),
(221853, 'PTHR43272:SF72', NULL, NULL, NULL, NULL, 'OS01G0681200 PROTEIN', 165579),
(221854, 'PTHR24637:SF325', NULL, NULL, NULL, NULL, 'COLLAGEN', 165580),
(221855, 'PTHR21011:SF15', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S6 ALPHA, CHLOROPLASTIC', 165581),
(221856, 'PTHR33790:SF12', NULL, NULL, NULL, NULL, 'DEHYDRATION-INDUCED PROTEIN (ERD15)-RELATED', 165582);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(221857, 'PTHR33630:SF9', NULL, NULL, NULL, NULL, 'CUTINASE RV1984C-RELATED', 165583),
(221858, 'PTHR47521:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-6', 165584),
(221859, 'PTHR10366:SF709', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL POLYMYXIN RESISTANCE PROTEIN, ARNA-RELATED', 165585),
(221860, 'PTHR19307:SF14', NULL, NULL, NULL, NULL, 'AGAP004868-PA', 165586),
(221861, 'PTHR43482:SF2', NULL, NULL, NULL, NULL, 'ZINC-BINDING DEHYDROGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G15030)-RELATED', 165587),
(221862, 'PTHR24247:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165588),
(221863, 'PTHR11593:SF33', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17-1-LIKE', 165589),
(221864, 'PTHR10099:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165590),
(221865, 'PTHR45621:SF124', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', 165591),
(221866, 'PTHR45880:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165592),
(221867, 'PTHR12847:SF10', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 21', 165593),
(221868, 'PTHR24044:SF456', NULL, NULL, NULL, NULL, 'PROTEIN SERRATE', 165594),
(221869, 'PTHR11835:SF58', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT GAMMA 1, MITOCHONDRIAL', 165595),
(221870, 'PTHR33374:SF19', NULL, NULL, NULL, NULL, 'OS05G0217000 PROTEIN', 165596),
(221871, 'PTHR10574:SF398', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165597),
(221872, 'PTHR42783:SF1', NULL, NULL, NULL, NULL, 'PROTEIN AEGA', 165598),
(221873, 'PTHR15730:SF5', NULL, NULL, NULL, NULL, 'SI:CH211-210B2.2-RELATED', 165599),
(221874, 'PTHR11923:SF98', NULL, NULL, NULL, NULL, 'SENSORY NEURON MEMBRANE PROTEIN 2', 165600),
(221875, 'PTHR31696:SF84', NULL, NULL, NULL, NULL, 'DUF617 FAMILY PROTEIN', 165601),
(221876, 'PTHR28004:SF2', NULL, NULL, NULL, NULL, 'ZGC:162816', 165602),
(221877, 'PTHR15696:SF27', NULL, NULL, NULL, NULL, 'BNAC03G58470D PROTEIN', 165603),
(221878, 'PTHR31734:SF97', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA1', 165604),
(221879, 'PTHR24320:SF219', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', 165605),
(221880, 'PTHR43039:SF11', NULL, NULL, NULL, NULL, 'OS05G0590300 PROTEIN', 165606),
(221881, 'PTHR46205:SF3', NULL, NULL, NULL, NULL, 'LOQUACIOUS, ISOFORM B', 165607),
(221882, 'PTHR12629:SF52', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 21, CHLOROPLASTIC', 165608),
(221883, 'PTHR42829:SF2', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 5', 165609),
(221884, 'PTHR31407:SF6', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 2-1, CHLOROPLASTIC', 165610),
(221885, 'PTHR24248:SF175', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 150', 165611),
(221886, 'PTHR11063:SF22', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', 165612),
(221887, 'PTHR24637:SF230', NULL, NULL, NULL, NULL, 'COLLAGEN', 165613),
(221888, 'PTHR31642:SF245', NULL, NULL, NULL, NULL, 'OSJNBA0079A21.8 PROTEIN', 165614),
(221889, 'PTHR34814', NULL, NULL, NULL, NULL, 'NITROSOGUANIDINE RESISTANCE PROTEIN SNG1', 165615),
(221890, 'PTHR35205:SF1', NULL, NULL, NULL, NULL, 'NB-ARC AND TPR DOMAIN PROTEIN', 165616),
(221891, 'PTHR24064:SF475', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-4', 165617),
(221892, 'PTHR24240:SF72', NULL, NULL, NULL, NULL, 'MELANOPSIN', 165618),
(221893, 'PTHR10177:SF398', NULL, NULL, NULL, NULL, 'CYCLIN-D3-3', 165619),
(221894, 'PTHR31064', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORT PROTEIN DDB_G0292412-RELATED', 165620),
(221895, 'PTHR37162:SF2', NULL, NULL, NULL, NULL, 'AGAP012961-PA', 165621),
(221896, 'PTHR24384:SF217', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 735-RELATED', 165622),
(221897, 'PTHR21504:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08468', 165623),
(221898, 'PTHR18959:SF47', NULL, NULL, NULL, NULL, 'CALPONIN-2', 165624),
(221899, 'PTHR47938:SF24', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL-RELATED', 165625),
(221900, 'PTHR43198:SF2', NULL, NULL, NULL, NULL, 'SI:CH1073-67J19.1-RELATED', 165626),
(221901, 'PTHR37852:SF1', NULL, NULL, NULL, NULL, 'YALI0B21208P', 165627);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(221902, 'PTHR15071:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165628),
(221903, 'PTHR13385:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN ATG12B', 165629),
(221904, 'PTHR13999:SF22', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 6', 165630),
(221905, 'PTHR24103:SF633', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 108-RELATED', 165631),
(221906, 'PTHR39072:SF2', NULL, NULL, NULL, NULL, 'AGAP005333-PA', 165632),
(221907, 'PTHR31734:SF144', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA31', 165633),
(221908, 'PTHR46236:SF15', NULL, NULL, NULL, NULL, 'BNAC08G46060D PROTEIN', 165634),
(221909, 'PTHR33172:SF51', NULL, NULL, NULL, NULL, 'BNACNNG28890D PROTEIN', 165635),
(221910, 'PTHR31165:SF85', NULL, NULL, NULL, NULL, 'BNAC03G73240D PROTEIN', 165636),
(221911, 'PTHR22804:SF6', NULL, NULL, NULL, NULL, 'VERSICAN CORE PROTEIN', 165637),
(221912, 'PTHR47481:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165638),
(221913, 'PTHR23257:SF728', NULL, NULL, NULL, NULL, 'KINASE AND EXCHANGE FACTOR FOR RAC B-RELATED', 165639),
(221914, 'PTHR10837', NULL, NULL, NULL, NULL, 'PEPTIDYLARGININE DEIMINASE', 165640),
(221915, 'PTHR48100:SF15', NULL, NULL, NULL, NULL, 'SEDOHEPTULOSE 1,7-BISPHOSPHATASE', 165641),
(221916, 'PTHR14222:SF1', NULL, NULL, NULL, NULL, 'CONDENSIN-2 COMPLEX SUBUNIT D3', 165642),
(221917, 'PTHR24073:SF285', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-18', 165643),
(221918, 'PTHR35737', NULL, NULL, NULL, NULL, 'CRYPTIC LOCI REGULATOR', 165644),
(221919, 'PTHR31591:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165645),
(221920, 'PTHR16189:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165646),
(221921, 'PTHR24222:SF58', NULL, NULL, NULL, NULL, 'OS01G0977901 PROTEIN', 165647),
(221922, 'PTHR23155:SF1128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165648),
(221923, 'PTHR23215:SF0', NULL, NULL, NULL, NULL, 'BUB3-INTERACTING AND GLEBS MOTIF-CONTAINING PROTEIN ZNF207', 165649),
(221924, 'PTHR11465:SF41', NULL, NULL, NULL, NULL, 'CATALASE ISOZYME 2', 165650),
(221925, 'PTHR11461:SF154', NULL, NULL, NULL, NULL, 'SERPIN A11', 165651),
(221926, 'PTHR23055:SF66', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN M', 165652),
(221927, 'PTHR10819', NULL, NULL, NULL, NULL, 'PHOSPHOTRIESTERASE-RELATED', 165653),
(221928, 'PTHR23426:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165654),
(221929, 'PTHR31153', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 165655),
(221930, 'PTHR38140:SF4', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 19-5', 165656),
(221931, 'PTHR33202:SF2', NULL, NULL, NULL, NULL, 'FERRIC UPTAKE REGULATION PROTEIN', 165657),
(221932, 'PTHR46128:SF237', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165658),
(221933, 'PTHR31818:SF12', NULL, NULL, NULL, NULL, 'OS08G0554050 PROTEIN', 165659),
(221934, 'PTHR46293:SF14', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN, RAD18-RELATED', 165660),
(221935, 'PTHR46577', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATORY PROTEIN GABR', 165661),
(221936, 'PTHR24073:SF362', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-19', 165662),
(221937, 'PTHR47600', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD-LIKE PROTEIN', 165663),
(221938, 'PTHR33270:SF7', NULL, NULL, NULL, NULL, 'OS06G0136300 PROTEIN', 165664),
(221939, 'PTHR46648:SF1', NULL, NULL, NULL, NULL, 'HIT FAMILY PROTEIN 1', 165665),
(221940, 'PTHR48012:SF6', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE KINASE 2', 165666),
(221941, 'PTHR31707:SF339', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', 165667),
(221942, 'PTHR23333:SF34', NULL, NULL, NULL, NULL, 'BNAA04G13020D PROTEIN', 165668),
(221943, 'PTHR33676:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 165669),
(221944, 'PTHR45767:SF8', NULL, NULL, NULL, NULL, 'FORKHEAD BOX O4', 165670),
(221945, 'PTHR22747:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165671),
(221946, 'PTHR10366:SF596', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165672),
(221947, 'PTHR43248:SF2', NULL, NULL, NULL, NULL, 'PROLYL AMINOPEPTIDASE-RELATED', 165673);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(221948, 'PTHR47990:SF107', NULL, NULL, NULL, NULL, 'BNAA09G26500D PROTEIN', 165674),
(221949, 'PTHR47593', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 4-LIKE', 165675),
(221950, 'PTHR15099', NULL, NULL, NULL, NULL, 'PROTEIN PM1', 165676),
(221951, 'PTHR35303:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165677),
(221952, 'PTHR13683:SF826', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN 1', 165678),
(221953, 'PTHR24364:SF21', NULL, NULL, NULL, NULL, 'TROPHOBLAST GLYCOPROTEIN B', 165679),
(221954, 'PTHR32328', NULL, NULL, NULL, NULL, 'L-SERYL-TRNA(SEC) SELENIUM TRANSFERASE', 165680),
(221955, 'PTHR31651:SF11', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER FAMILY PROTEIN', 165681),
(221956, 'PTHR34206:SF6', NULL, NULL, NULL, NULL, 'OS02G0782900 PROTEIN', 165682),
(221957, 'PTHR14493:SF90', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 2', 165683),
(221958, 'PTHR13691:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165684),
(221959, 'PTHR21382:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 11', 165685),
(221960, 'PTHR23050:SF418', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 165686),
(221961, 'PTHR43272:SF77', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE AND LIGASE FAMILY PROTEIN-RELATED', 165687),
(221962, 'PTHR48017:SF17', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 165688),
(221963, 'PTHR10153:SF43', NULL, NULL, NULL, NULL, 'SMALL CONDUCTANCE CALCIUM-ACTIVATED POTASSIUM CHANNEL PROTEIN 2', 165689),
(221964, 'PTHR45752:SF15', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE PHLPP-LIKE PROTEIN', 165690),
(221965, 'PTHR10791:SF173', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET', 165691),
(221966, 'PTHR21450:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165692),
(221967, 'PTHR10971:SF5', NULL, NULL, NULL, NULL, 'MITOTIC CHECKPOINT PROTEIN BUB3', 165693),
(221968, 'PTHR22814:SF305', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 165694),
(221969, 'PTHR37239:SF2', NULL, NULL, NULL, NULL, 'OS01G0914400 PROTEIN', 165695),
(221970, 'PTHR33411', NULL, NULL, NULL, NULL, 'OS08G0392500 PROTEIN', 165696),
(221971, 'PTHR10381:SF64', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', 165697),
(221972, 'PTHR46203:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR C12ORF65, MITOCHONDRIAL-RELATED', 165698),
(221973, 'PTHR13789:SF308', NULL, NULL, NULL, NULL, 'SALICYLATE HYDROXYLASE/MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13860)-RELATED', 165699),
(221974, 'PTHR33498:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS1557', 165700),
(221975, 'PTHR34142:SF1', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,4-GLUCANASE A', 165701),
(221976, 'PTHR43539:SF71', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 165702),
(221977, 'PTHR45627:SF2', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 2', 165703),
(221978, 'PTHR47972:SF27', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 165704),
(221979, 'PTHR33326:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165705),
(221980, 'PTHR34195:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT V, CHLOROPLASTIC', 165706),
(221981, 'PTHR11937:SF168', NULL, NULL, NULL, NULL, 'BETA-ACTIN-LIKE PROTEIN 2', 165707),
(221982, 'PTHR32295:SF228', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', 165708),
(221983, 'PTHR31945:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165709),
(221984, 'PTHR31657:SF59', NULL, NULL, NULL, NULL, 'BNAA06G24070D PROTEIN', 165710),
(221985, 'PTHR45707:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165711),
(221986, 'PTHR11309:SF90', NULL, NULL, NULL, NULL, 'FRIZZLED-8', 165712),
(221987, 'PTHR35184', NULL, NULL, NULL, NULL, 'YALI0C10208P', 165713),
(221988, 'PTHR43085:SF42', NULL, NULL, NULL, NULL, '1-PHOSPHOFRUCTOKINASE', 165714),
(221989, 'PTHR43756:SF5', NULL, NULL, NULL, NULL, 'CHOLINE MONOOXYGENASE, CHLOROPLASTIC', 165715),
(221990, 'PTHR31707:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165716);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(221991, 'PTHR11606', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE', 165717),
(221992, 'PTHR32295:SF169', NULL, NULL, NULL, NULL, 'BNAC03G24390D PROTEIN', 165718),
(221993, 'PTHR11590:SF41', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE Z', 165719),
(221994, 'PTHR24103:SF582', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165720),
(221995, 'PTHR33021:SF408', NULL, NULL, NULL, NULL, 'OS03G0791366 PROTEIN', 165721),
(221996, 'PTHR24095:SF83', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', 165722),
(221997, 'PTHR31194:SF58', NULL, NULL, NULL, NULL, 'AP DOMAIN CONTAINING TRANSCRIPTION FACTOR', 165723),
(221998, 'PTHR11208:SF49', NULL, NULL, NULL, NULL, 'OS01G0818300 PROTEIN', 165724),
(221999, 'PTHR15819', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN FAM155', 165725),
(222000, 'PTHR23236:SF12', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4B-RELATED', 165726),
(222001, 'PTHR47990:SF32', NULL, NULL, NULL, NULL, 'SYNTHASE/FLAVANONE 3-HYDROXYLASE, PUTATIVE-RELATED', 165727),
(222002, 'PTHR43859:SF46', NULL, NULL, NULL, NULL, 'SYNTHETASE AND LIGASE FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 165728),
(222003, 'PTHR24390:SF153', NULL, NULL, NULL, NULL, 'SI:DKEYP-121D2.7-RELATED', 165729),
(222004, 'PTHR45998:SF4', NULL, NULL, NULL, NULL, 'BNAANNG25480D PROTEIN', 165730),
(222005, 'PTHR34947:SF6', NULL, NULL, NULL, NULL, 'BNAC05G40260D PROTEIN', 165731),
(222006, 'PTHR46113:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165732),
(222007, 'PTHR44375:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165733),
(222008, 'PTHR11467:SF42', NULL, NULL, NULL, NULL, 'HISTONE H1OO', 165734),
(222009, 'PTHR43784:SF1', NULL, NULL, NULL, NULL, 'POSSIBLE EXPORTED PROTEIN', 165735),
(222010, 'PTHR10836:SF65', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE 1-RELATED', 165736),
(222011, 'PTHR34482:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, RETROTRANSPOSON GAG DOMAIN PROTEIN-RELATED', 165737),
(222012, 'PTHR10634:SF67', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 4', 165738),
(222013, 'PTHR27006:SF246', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165739),
(222014, 'PTHR44307:SF12', NULL, NULL, NULL, NULL, 'BNAC09G37790D PROTEIN', 165740),
(222015, 'PTHR23423:SF69', NULL, NULL, NULL, NULL, 'BNAA05G31380D PROTEIN', 165741),
(222016, 'PTHR34257:SF3', NULL, NULL, NULL, NULL, 'TRAF3-INTERACTING PROTEIN 2-LIKE', 165742),
(222017, 'PTHR21533:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CHIBBY HOMOLOG 1', 165743),
(222018, 'PTHR14379:SF49', NULL, NULL, NULL, NULL, 'BNAA10G17300D PROTEIN', 165744),
(222019, 'PTHR21262:SF0', NULL, NULL, NULL, NULL, 'GTP DIPHOSPHOKINASE RSH3, CHLOROPLASTIC-RELATED', 165745),
(222020, 'PTHR11177:SF228', NULL, NULL, NULL, NULL, 'V CHITINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G02800)-RELATED', 165746),
(222021, 'PTHR24086:SF43', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 165747),
(222022, 'PTHR30574:SF9', NULL, NULL, NULL, NULL, 'UPF0394 INNER MEMBRANE PROTEIN YEEE', 165748),
(222023, 'PTHR11920:SF76', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-6', 165749),
(222024, 'PTHR47947:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82A3', 165750),
(222025, 'PTHR36577:SF3', NULL, NULL, NULL, NULL, 'DUF521 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G00490)', 165751),
(222026, 'PTHR34135:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE', 165752),
(222027, 'PTHR37613:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165753),
(222028, 'PTHR32285:SF256', NULL, NULL, NULL, NULL, 'PROTEIN ALTERED XYLOGLUCAN 4', 165754),
(222029, 'PTHR28630:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165755),
(222030, 'PTHR42825:SF7', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 165756),
(222031, 'PTHR45636:SF24', NULL, NULL, NULL, NULL, 'N-TERMINAL PAX (PAI DOMAIN ONLY) PROTEIN', 165757),
(222032, 'PTHR47468:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165758),
(222033, 'PTHR21597:SF2', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC005561', 165759);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(222034, 'PTHR31769:SF78', NULL, NULL, NULL, NULL, 'BNAC03G71930D PROTEIN', 165760),
(222035, 'PTHR15402:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR-LIKE 5 PROTEIN', 165761),
(222036, 'PTHR24062:SF168', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 165762),
(222037, 'PTHR10418:SF7', NULL, NULL, NULL, NULL, 'SECURIN', 165763),
(222038, 'PTHR12731', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN, DELTA SUBUNIT', 165764),
(222039, 'PTHR24114:SF40', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 74A', 165765),
(222040, 'PTHR26379:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165766),
(222041, 'PTHR31232:SF75', NULL, NULL, NULL, NULL, 'BNAA01G28420D PROTEIN', 165767),
(222042, 'PTHR24044:SF421', NULL, NULL, NULL, NULL, 'PROTEIN JAGGED-2', 165768),
(222043, 'PTHR27001:SF782', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE NCRK', 165769),
(222044, 'PTHR47938:SF13', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 165770),
(222045, 'PTHR10170:SF10', NULL, NULL, NULL, NULL, 'HUNTINGTIN', 165771),
(222046, 'PTHR24103:SF51', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 34-RELATED', 165772),
(222047, 'PTHR31080:SF221', NULL, NULL, NULL, NULL, 'BNACNNG59740D PROTEIN', 165773),
(222048, 'PTHR15443:SF5', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA-BINDING PROTEIN 1', 165774),
(222049, 'PTHR12052:SF11', NULL, NULL, NULL, NULL, 'MRNA SPLICING FACTOR, THIOREDOXIN-LIKE U5 SNRNP PROTEIN', 165775),
(222050, 'PTHR33074:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165776),
(222051, 'PTHR45138:SF9', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCM-RELATED', 165777),
(222052, 'PTHR42854:SF4', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 3, Y-LINKED', 165778),
(222053, 'PTHR23192:SF8', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-LIKE PROTEIN 3', 165779),
(222054, 'PTHR11937:SF416', NULL, NULL, NULL, NULL, 'ACTIN ALPHA 1, SKELETAL MUSCLE A', 165780),
(222055, 'PTHR45974:SF63', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 165781),
(222056, 'PTHR21567:SF6', NULL, NULL, NULL, NULL, 'TOG ARRAY REGULATOR OF AXONEMAL MICROTUBULES PROTEIN 1', 165782),
(222057, 'PTHR31625:SF56', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', 165783),
(222058, 'PTHR43036:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 165784),
(222059, 'PTHR36022', NULL, NULL, NULL, NULL, 'GPI-ANCHORED ADHESIN-LIKE PROTEIN', 165785),
(222060, 'PTHR32116:SF27', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 13-RELATED', 165786),
(222061, 'PTHR24381:SF325', NULL, NULL, NULL, NULL, 'ZNF461 ISOFORM 4', 165787),
(222062, 'PTHR19353:SF37', NULL, NULL, NULL, NULL, 'ACYL-LIPID (8-3)-DESATURASE B-RELATED', 165788),
(222063, 'PTHR12280', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE', 165789),
(222064, 'PTHR31985:SF125', NULL, NULL, NULL, NULL, 'BNAA03G52210D PROTEIN', 165790),
(222065, 'PTHR10231:SF82', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 5-LIKE ISOFORM X1', 165791),
(222066, 'PTHR12083:SF20', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE KINASE 3-PHOSPHATASE, EUKARYOTA', 165792),
(222067, 'PTHR12377:SF6', NULL, NULL, NULL, NULL, 'CYTOSOLIC IRON-SULFUR ASSEMBLY COMPONENT 2A', 165793),
(222068, 'PTHR33110:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165794),
(222069, 'PTHR34721', NULL, NULL, NULL, NULL, 'PROTEIN CBG09734', 165795),
(222070, 'PTHR11362:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN 2', 165796),
(222071, 'PTHR11761:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23', 165797),
(222072, 'PTHR12001', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE', 165798),
(222073, 'PTHR30540:SF114', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 165799),
(222074, 'PTHR11926:SF1376', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165800),
(222075, 'PTHR21071', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLENOLPYRUVOYLGLUCOSAMINE REDUCTASE', 165801);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(222076, 'PTHR22802:SF366', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 165802),
(222077, 'PTHR22747:SF19', NULL, NULL, NULL, NULL, 'NUCLEOPHOSMIN/NUCLEOPLASMIN, 2A', 165803),
(222078, 'PTHR11960:SF50', NULL, NULL, NULL, NULL, 'BNAA10G16710D PROTEIN', 165804),
(222079, 'PTHR33499:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165805),
(222080, 'PTHR47377:SF4', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 4, CHLOROPLASTIC', 165806),
(222081, 'PTHR47997:SF31', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 165807),
(222082, 'PTHR31218:SF268', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 165808),
(222083, 'PTHR31686:SF2', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLATE TRANSPORTER/MALIC ACID TRANSPORT PROTEIN', 165809),
(222084, 'PTHR46020:SF8', NULL, NULL, NULL, NULL, '4-HYDROXY-4-METHYL-2-OXOGLUTARATE ALDOLASE', 165810),
(222085, 'PTHR27000:SF735', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165811),
(222086, 'PTHR48019:SF8', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL29', 165812),
(222087, 'PTHR31920:SF83', NULL, NULL, NULL, NULL, 'B3 DNA-BINDING DOMAIN PROTEIN', 165813),
(222088, 'PTHR47990:SF8', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 7', 165814),
(222089, 'PTHR46186:SF4', NULL, NULL, NULL, NULL, 'CYSTATIN 10', 165815),
(222090, 'PTHR24067:SF148', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 R2', 165816),
(222091, 'PTHR10061', NULL, NULL, NULL, NULL, 'S-FORMYLGLUTATHIONE HYDROLASE', 165817),
(222092, 'PTHR19143:SF199', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-2', 165818),
(222093, 'PTHR31282:SF166', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 70-RELATED', 165819),
(222094, 'PTHR31994:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 42', 165820),
(222095, 'PTHR24115:SF893', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF21B', 165821),
(222096, 'PTHR10137:SF6', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C', 165822),
(222097, 'PTHR22765:SF39', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF149', 165823),
(222098, 'PTHR16717:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 8A', 165824),
(222099, 'PTHR20919:SF0', NULL, NULL, NULL, NULL, 'HOMOSERINE O-SUCCINYLTRANSFERASE', 165825),
(222100, 'PTHR45647:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165826),
(222101, 'PTHR23110:SF78', NULL, NULL, NULL, NULL, 'LONGITUDINALS LACKING PROTEIN, ISOFORMS F/I/K/T', 165827),
(222102, 'PTHR42985:SF5', NULL, NULL, NULL, NULL, 'LP24461P', 165828),
(222103, 'PTHR27008:SF420', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 165829),
(222104, 'PTHR23050:SF424', NULL, NULL, NULL, NULL, 'CALMODULIN', 165830),
(222105, 'PTHR45642:SF31', NULL, NULL, NULL, NULL, 'OS01G0827700 PROTEIN', 165831),
(222106, 'PTHR47972:SF41', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14P', 165832),
(222107, 'PTHR24098', NULL, NULL, NULL, NULL, 'OUTER SEGMENT 5', 165833),
(222108, 'PTHR47992:SF142', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 6-RELATED', 165834),
(222109, 'PTHR11255:SF29', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 165835),
(222110, 'PTHR48017:SF15', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 2', 165836),
(222111, 'PTHR33143:SF4', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 20', 165837),
(222112, 'PTHR27004:SF317', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 54', 165838),
(222113, 'PTHR38636:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08771', 165839),
(222114, 'PTHR33142:SF41', NULL, NULL, NULL, NULL, 'OS02G0131000 PROTEIN', 165840),
(222115, 'PTHR35715', NULL, NULL, NULL, NULL, 'OS08G0511800 PROTEIN', 165841),
(222116, 'PTHR31165:SF72', NULL, NULL, NULL, NULL, 'DUF640 FAMILY PROTEIN', 165842),
(222117, 'PTHR31677:SF114', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 12-LIKE', 165843),
(222118, 'PTHR23235:SF57', NULL, NULL, NULL, NULL, 'KRUPPEL-LIKE FACTOR (ZINC FINGER PROTEIN)', 165844),
(222119, 'PTHR46281:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT', 165845),
(222120, 'PTHR31375:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165846);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(222121, 'PTHR34709:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165847),
(222122, 'PTHR43787', NULL, NULL, NULL, NULL, 'FEMO COFACTOR BIOSYNTHESIS PROTEIN NIFB-RELATED', 165848),
(222123, 'PTHR27008:SF246', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 165849),
(222124, 'PTHR11309:SF133', NULL, NULL, NULL, NULL, 'FRIZZLED-RELATED PROTEIN 2', 165850),
(222125, 'PTHR46302:SF3', NULL, NULL, NULL, NULL, 'DOUBLECORTIN DOMAIN-CONTAINING PROTEIN 1', 165851),
(222126, 'PTHR45855:SF49', NULL, NULL, NULL, NULL, 'BNAC03G72400D PROTEIN', 165852),
(222127, 'PTHR24073:SF1009', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABC2B', 165853),
(222128, 'PTHR33527:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165854),
(222129, 'PTHR14571', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 165855),
(222130, 'PTHR30290:SF59', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER,SUBSTRATE-BINDING PROTEIN-RELATED', 165856),
(222131, 'PTHR47992:SF160', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 68-RELATED', 165857),
(222132, 'PTHR11629:SF96', NULL, NULL, NULL, NULL, 'VACUOLAR PROTON ATPASE A1', 165858),
(222133, 'PTHR15108:SF0', NULL, NULL, NULL, NULL, 'N-ACYLGLUCOSAMINE 2-EPIMERASE', 165859),
(222134, 'PTHR22891:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 2-RELATED', 165860),
(222135, 'PTHR11132:SF346', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN', 165861),
(222136, 'PTHR11022:SF65', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN RECOGNITION PROTEIN 5', 165862),
(222137, 'PTHR26454:SF25', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 165863),
(222138, 'PTHR47156:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG20840', 165864),
(222139, 'PTHR33044:SF166', NULL, NULL, NULL, NULL, 'BNAA09G44630D PROTEIN', 165865),
(222140, 'PTHR30105', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED YIBQ-RELATED', 165866),
(222141, 'PTHR45665:SF43', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP2-3', 165867),
(222142, 'PTHR46128:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165868),
(222143, 'PTHR10113:SF31', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1-2', 165869),
(222144, 'PTHR10398:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165870),
(222145, 'PTHR31174:SF27', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 49-RELATED', 165871),
(222146, 'PTHR11492:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR 1 X-TYPE', 165872),
(222147, 'PTHR21315:SF3', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 165873),
(222148, 'PTHR33098:SF57', NULL, NULL, NULL, NULL, 'DUF4408 DOMAIN PROTEIN', 165874),
(222149, 'PTHR12103:SF15', NULL, NULL, NULL, NULL, 'CYTOSOLIC PURINE 5''-NUCLEOTIDASE', 165875),
(222150, 'PTHR11977:SF101', NULL, NULL, NULL, NULL, 'VILLIN-3', 165876),
(222151, 'PTHR43423:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATE IMPORT ATP-BINDING PROTEIN PSTB', 165877),
(222152, 'PTHR10336:SF176', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 165878),
(222153, 'PTHR23138:SF137', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 1 HOMOLOG B-LIKE', 165879),
(222154, 'PTHR34755:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165880),
(222155, 'PTHR10366:SF559', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165881),
(222156, 'PTHR12271:SF110', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', 165882),
(222157, 'PTHR11537:SF245', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL PROTEIN EGL-36', 165883),
(222158, 'PTHR24068:SF71', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 Q2', 165884),
(222159, 'PTHR24245:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 63-RELATED', 165885),
(222160, 'PTHR36180', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED-RELATED', 165886),
(222161, 'PTHR10462:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165887),
(222162, 'PTHR31390:SF21', NULL, NULL, NULL, NULL, 'BNAC05G02590D PROTEIN', 165888),
(222163, 'PTHR48021:SF36', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE-SENSING PROTEIN 3', 165889),
(222164, 'PTHR18842', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE 1-BINDING PROTEIN 1', 165890); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(222165, 'PTHR41302', NULL, NULL, NULL, NULL, 'PRESPORE-SPECIFIC TRANSCRIPTIONAL REGULATOR RSFA-RELATED', 165891),
(222166, 'PTHR45778:SF29', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 165892),
(222167, 'PTHR15750:SF4', NULL, NULL, NULL, NULL, 'TUBULINYL-TYR CARBOXYPEPTIDASE 2', 165893),
(222168, 'PTHR22298:SF107', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 21', 165894),
(222169, 'PTHR31042:SF8', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 165895),
(222170, 'PTHR24567:SF23', NULL, NULL, NULL, NULL, 'SLR0607 PROTEIN', 165896),
(222171, 'PTHR24298:SF823', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 165897),
(222172, 'PTHR43065:SF22', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE', 165898),
(222173, 'PTHR47979:SF61', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, RAN GTPASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 165899),
(222174, 'PTHR46519:SF7', NULL, NULL, NULL, NULL, 'OS02G0823300 PROTEIN', 165900),
(222175, 'PTHR48021:SF13', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 7', 165901),
(222176, 'PTHR37938:SF1', NULL, NULL, NULL, NULL, 'BLL0215 PROTEIN', 165902),
(222177, 'PTHR24326:SF591', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-51-RELATED', 165903),
(222178, 'PTHR35483:SF4', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 165904),
(222179, 'PTHR31221:SF241', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 51-RELATED', 165905),
(222180, 'PTHR12197:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165906),
(222181, 'PTHR24023:SF877', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-5(IV) CHAIN', 165907),
(222182, 'PTHR11588:SF363', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 165908),
(222183, 'PTHR31235:SF335', NULL, NULL, NULL, NULL, 'PEROXIDASE', 165909),
(222184, 'PTHR47968:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165910),
(222185, 'PTHR31343:SF53', NULL, NULL, NULL, NULL, 'BNAA02G27040D PROTEIN', 165911),
(222186, 'PTHR43127:SF7', NULL, NULL, NULL, NULL, 'DEVELOPMENTALLY-REGULATED G-PROTEIN 1-LIKE', 165912),
(222187, 'PTHR22814:SF295', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 165913),
(222188, 'PTHR33874', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN', 165914),
(222189, 'PTHR11740:SF22', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA-3', 165915),
(222190, 'PTHR31741:SF86', NULL, NULL, NULL, NULL, 'BNAA08G14890D PROTEIN', 165916),
(222191, 'PTHR12702:SF0', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 6', 165917),
(222192, 'PTHR31225:SF143', NULL, NULL, NULL, NULL, 'SESQUITERPENE SYNTHASE', 165918),
(222193, 'PTHR31636:SF187', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL1-LIKE', 165919),
(222194, 'PTHR45710:SF7', NULL, NULL, NULL, NULL, 'EARLY ACTIVATION ANTIGEN CD69', 165920),
(222195, 'PTHR12837:SF13', NULL, NULL, NULL, NULL, 'POLY(ADP-RIBOSE) GLYCOHYDROLASE 1-LIKE ISOFORM X1', 165921),
(222196, 'PTHR11556:SF12', NULL, NULL, NULL, NULL, 'OS06G0664200 PROTEIN', 165922),
(222197, 'PTHR32448:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165923),
(222198, 'PTHR48001:SF97', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1', 165924),
(222199, 'PTHR47967:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165925),
(222200, 'PTHR32077:SF71', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 11', 165926),
(222201, 'PTHR10489:SF773', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 10', 165927),
(222202, 'PTHR12155:SF2', NULL, NULL, NULL, NULL, 'SCHLAFEN FAMILY MEMBER 12-LIKE', 165928),
(222203, 'PTHR31659:SF33', NULL, NULL, NULL, NULL, 'PROTEIN OCTOPUS', 165929),
(222204, 'PTHR24230:SF76', NULL, NULL, NULL, NULL, 'PROTEIN CBG08799', 165930),
(222205, 'PTHR10185:SF9', NULL, NULL, NULL, NULL, 'INACTIVE PHOSPHOLIPASE D5', 165931),
(222206, 'PTHR21236:SF21', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', 165932),
(222207, 'PTHR47041:SF2', NULL, NULL, NULL, NULL, 'SEC14 CYTOSOLIC FACTOR FAMILY PROTEIN / PHOSPHOGLYCERIDE TRANSFER FAMILY PROTEIN', 165933),
(222208, 'PTHR33349:SF18', NULL, NULL, NULL, NULL, 'CHROMO DOMAIN CEC-LIKE PROTEIN', 165934);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(222209, 'PTHR13061:SF31', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE 1, MITOCHONDRIAL', 165935),
(222210, 'PTHR13251:SF5', NULL, NULL, NULL, NULL, 'BNAC09G30770D PROTEIN', 165936),
(222211, 'PTHR23077:SF156', NULL, NULL, NULL, NULL, 'NUCLEAR VALOSIN-CONTAINING PROTEIN-LIKE', 165937),
(222212, 'PTHR12632:SF40', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-3-LIKE ISOFORM X1', 165938),
(222213, 'PTHR35265:SF1', NULL, NULL, NULL, NULL, 'LEUKOSIALIN', 165939),
(222214, 'PTHR31901:SF50', NULL, NULL, NULL, NULL, 'JASMONIC ACID-AMIDO SYNTHETASE JAR1', 165940),
(222215, 'PTHR45839:SF11', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', 165941),
(222216, 'PTHR11353:SF206', NULL, NULL, NULL, NULL, 'BNAA02G05110D PROTEIN', 165942),
(222217, 'PTHR13803:SF38', NULL, NULL, NULL, NULL, 'SECRETORY 24CD, ISOFORM C', 165943),
(222218, 'PTHR45693:SF47', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN, TRANSCRIPTION FACTOR TGA LIKE DOMAIN PROTEIN-RELATED', 165944),
(222219, 'PTHR12411:SF642', NULL, NULL, NULL, NULL, 'PRO-CATHEPSIN H', 165945),
(222220, 'PTHR31681:SF67', NULL, NULL, NULL, NULL, 'BNACNNG07610D PROTEIN', 165946),
(222221, 'PTHR11176:SF41', NULL, NULL, NULL, NULL, 'BNAC07G15090D PROTEIN', 165947),
(222222, 'PTHR31636:SF228', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165948),
(222223, 'PTHR32444:SF28', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN FAMILY PROTEIN, EXPRESSED', 165949),
(222224, 'PTHR45620:SF6', NULL, NULL, NULL, NULL, 'GROWTH HORMONE-RELEASING HORMONE-LIKE PEPTIDE RECEPTOR', 165950),
(222225, 'PTHR41786', NULL, NULL, NULL, NULL, 'MOTILITY ACCESSORY FACTOR MAF', 165951),
(222226, 'PTHR26450:SF103', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 165952),
(222227, 'PTHR34301', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', 165953),
(222228, 'PTHR31571', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 6', 165954),
(222229, 'PTHR10093:SF20', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY PROTEIN', 165955),
(222230, 'PTHR30108:SF17', NULL, NULL, NULL, NULL, 'FERULIC ACID DECARBOXYLASE 1', 165956),
(222231, 'PTHR11783:SF204', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 165957),
(222232, 'PTHR18860:SF67', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN EPSILON', 165958),
(222233, 'PTHR31238:SF140', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 165959),
(222234, 'PTHR32467:SF165', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR SMZ', 165960),
(222235, 'PTHR24414:SF70', NULL, NULL, NULL, NULL, 'BNAC07G24830D PROTEIN', 165961),
(222236, 'PTHR43045:SF6', NULL, NULL, NULL, NULL, 'METABOLITE TRANSPORT PROTEIN', 165962),
(222237, 'PTHR34051', NULL, NULL, NULL, NULL, 'PROTEIN LOW PSII ACCUMULATION 3, CHLOROPLASTIC', 165963),
(222238, 'PTHR39290:SF6', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 165964),
(222239, 'PTHR10209:SF432', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165965),
(222240, 'PTHR10507:SF0', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 45 HOMOLOG', 165966),
(222241, 'PTHR30523:SF34', NULL, NULL, NULL, NULL, 'BNACNNG24040D PROTEIN', 165967),
(222242, 'PTHR14519:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165968),
(222243, 'PTHR22907:SF23', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 165969),
(222244, 'PTHR22851:SF1', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 165970),
(222245, 'PTHR24230:SF51', NULL, NULL, NULL, NULL, 'LEUKOTRIENE B4 RECEPTOR 1', 165971),
(222246, 'PTHR21319:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN BRUTUS', 165972),
(222247, 'PTHR10334:SF444', NULL, NULL, NULL, NULL, 'BNAA03G50560D PROTEIN', 165973),
(222248, 'PTHR45719:SF20', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 165974),
(222249, 'PTHR10891:SF884', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN', 165975),
(222250, 'PTHR42801:SF7', NULL, NULL, NULL, NULL, 'SLL1159 PROTEIN', 165976),
(222251, 'PTHR31147:SF26', NULL, NULL, NULL, NULL, 'B1168G10.9 PROTEIN', 165977),
(222252, 'PTHR33731:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165978);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(222253, 'PTHR31752:SF62', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', 165979),
(222254, 'PTHR24247:SF87', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5T3', 165980),
(222255, 'PTHR46769:SF1', NULL, NULL, NULL, NULL, 'FIBROCYSTIN', 165981),
(222256, 'PTHR11388:SF84', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 1A6', 165982),
(222257, 'PTHR10209:SF764', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', 165983),
(222258, 'PTHR11017:SF338', NULL, NULL, NULL, NULL, 'BNAC09G39900D PROTEIN', 165984),
(222259, 'PTHR11640:SF79', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE PROTEOGLYCAN 2', 165985),
(222260, 'PTHR36570:SF2', NULL, NULL, NULL, NULL, 'DISULFIDE BOND FORMATION PROTEIN B', 165986),
(222261, 'PTHR11941:SF125', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE/ISOMERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G01210)', 165987),
(222262, 'PTHR31707:SF238', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 2', 165988),
(222263, 'PTHR16263', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 38', 165989),
(222264, 'PTHR42876', NULL, NULL, NULL, NULL, 'BLR6771 PROTEIN', 165990),
(222265, 'PTHR36848', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN (PUTATIVE SECRETED PROTEIN)-RELATED', 165991),
(222266, 'PTHR19970:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165992),
(222267, 'PTHR26453:SF96', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2Z1', 165993),
(222268, 'PTHR47991:SF91', NULL, NULL, NULL, NULL, 'HYOSCYAMINE 6-DIOXYGENASE-LIKE', 165994),
(222269, 'PTHR13748:SF31', NULL, NULL, NULL, NULL, 'COBW DOMAIN-CONTAINING PROTEIN 1-RELATED', 165995),
(222270, 'PTHR33065:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 165996),
(222271, 'PTHR28647:SF2', NULL, NULL, NULL, NULL, 'UNIQUE CARTILAGE MATRIX-ASSOCIATED PROTEIN', 165997),
(222272, 'PTHR10168:SF249', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C9-LIKE', 165998),
(222273, 'PTHR22593:SF13', NULL, NULL, NULL, NULL, 'BNAA08G06420D PROTEIN', 165999),
(222274, 'PTHR22847:SF637', NULL, NULL, NULL, NULL, 'RIK1-ASSOCIATED FACTOR 1-RELATED', 166000),
(222275, 'PTHR32285:SF23', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 12', 166001),
(222276, 'PTHR45752:SF70', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 8', 166002),
(222277, 'PTHR43391:SF43', NULL, NULL, NULL, NULL, 'DEHYDROGENASE 2, PUTATIVE-RELATED', 166003),
(222278, 'PTHR21445:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE-RELATED', 166004),
(222279, 'PTHR22750:SF54', NULL, NULL, NULL, NULL, 'CANNABINOID RECEPTOR', 166005),
(222280, 'PTHR31246:SF20', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-2-LIKE', 166006),
(222281, 'PTHR31692:SF5', NULL, NULL, NULL, NULL, 'EXPANSIN-B3', 166007),
(222282, 'PTHR23202', NULL, NULL, NULL, NULL, 'WASP INTERACTING PROTEIN-RELATED', 166008),
(222283, 'PTHR14499:SF29', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD12', 166009),
(222284, 'PTHR45642:SF93', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 166010),
(222285, 'PTHR11461:SF311', NULL, NULL, NULL, NULL, 'SERPIN-Z8-RELATED', 166011),
(222286, 'PTHR14002:SF14', NULL, NULL, NULL, NULL, 'SI:DKEY-103G5.3', 166012),
(222287, 'PTHR22412:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG23477', 166013),
(222288, 'PTHR35574', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 166014),
(222289, 'PTHR10516:SF428', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 166015),
(222290, 'PTHR33021:SF264', NULL, NULL, NULL, NULL, 'OS05G0570900 PROTEIN', 166016),
(222291, 'PTHR31969:SF35', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 8 ISOFORM X1-RELATED', 166017),
(222292, 'PTHR37431:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG06905', 166018),
(222293, 'PTHR45680:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 166019),
(222294, 'PTHR10678:SF3', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 2', 166020),
(222295, 'PTHR32166:SF91', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 166021),
(222296, 'PTHR45666:SF44', NULL, NULL, NULL, NULL, 'OS07G0175900 PROTEIN', 166022);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(222297, 'PTHR12785:SF6', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 2', 166023),
(222298, 'PTHR19241:SF320', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 16', 166024),
(222299, 'PTHR34916:SF1', NULL, NULL, NULL, NULL, 'GI:13385330', 166025),
(222300, 'PTHR43848:SF2', NULL, NULL, NULL, NULL, 'PUTRESCINE TRANSPORT SYSTEM PERMEASE PROTEIN POTI', 166026),
(222301, 'PTHR33086:SF68', NULL, NULL, NULL, NULL, 'DUF1618 DOMAIN CONTAINING FAMILY PROTEIN-RELATED', 166027),
(222302, 'PTHR10009', NULL, NULL, NULL, NULL, 'PROTEIN YELLOW-RELATED', 166028),
(222303, 'PTHR24347:SF403', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE II SUBUNIT BETA', 166029),
(222304, 'PTHR14136:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166030),
(222305, 'PTHR45011', NULL, NULL, NULL, NULL, 'DAP3-BINDING CELL DEATH ENHANCER 1', 166031),
(222306, 'PTHR23167:SF32', NULL, NULL, NULL, NULL, 'ACTININ ALPHA 4', 166032),
(222307, 'PTHR11999:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166033),
(222308, 'PTHR36342:SF1', NULL, NULL, NULL, NULL, 'PTB DOMAIN ENGULFMENT ADAPTER', 166034),
(222309, 'PTHR39168:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 166035),
(222310, 'PTHR20929:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CASC1', 166036),
(222311, 'PTHR47189:SF1', NULL, NULL, NULL, NULL, 'MHC CLASS II TRANSACTIVATOR', 166037),
(222312, 'PTHR10775:SF145', NULL, NULL, NULL, NULL, 'TRANSPOSASE-ASSOCIATED DOMAIN-CONTAINING PROTEIN-RELATED', 166038),
(222313, 'PTHR10985', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX TRANSCRIPTION FACTOR, HES-RELATED', 166039),
(222314, 'PTHR24281:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166040),
(222315, 'PTHR23024:SF536', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', 166041),
(222316, 'PTHR42760:SF75', NULL, NULL, NULL, NULL, '3-ALPHA-(OR 20-BETA)-HYDROXYSTEROID DEHYDROGENASE', 166042),
(222317, 'PTHR46759:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 72', 166043),
(222318, 'PTHR22093:SF0', NULL, NULL, NULL, NULL, 'LEUKOCYTE RECEPTOR CLUSTER MEMBER 1', 166044),
(222319, 'PTHR11017:SF343', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 166045),
(222320, 'PTHR12801:SF62', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE 1 HOMOLOG', 166046),
(222321, 'PTHR11818:SF43', NULL, NULL, NULL, NULL, 'CRYSTALLIN, GAMMA S3-RELATED', 166047),
(222322, 'PTHR46800:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 166048),
(222323, 'PTHR43503:SF9', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN PRX1, MITOCHONDRIAL', 166049),
(222324, 'PTHR45790:SF6', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III C-METHYLTRANSFERASE', 166050),
(222325, 'PTHR23130:SF187', NULL, NULL, NULL, NULL, 'BNAA09G18330D PROTEIN', 166051),
(222326, 'PTHR31953:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166052),
(222327, 'PTHR14381', NULL, NULL, NULL, NULL, 'DACTYLIN', 166053),
(222328, 'PTHR30543', NULL, NULL, NULL, NULL, 'CHROMATE REDUCTASE', 166054),
(222329, 'PTHR45684:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166055),
(222330, 'PTHR19375:SF454', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 2-LIKE', 166056),
(222331, 'PTHR12346:SF2', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX PROTEIN SIN3A', 166057),
(222332, 'PTHR46364', NULL, NULL, NULL, NULL, 'OS08G0421900 PROTEIN', 166058),
(222333, 'PTHR31568:SF81', NULL, NULL, NULL, NULL, 'BNAC02G16810D PROTEIN', 166059),
(222334, 'PTHR31388:SF192', NULL, NULL, NULL, NULL, 'PEROXIDASE', 166060),
(222335, 'PTHR39177:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE YTRC-RELATED', 166061),
(222336, 'PTHR48023:SF1', NULL, NULL, NULL, NULL, 'D-XYLOSE-PROTON SYMPORTER-LIKE 1', 166062),
(222337, 'PTHR23267:SF121', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR DELTA VARIABLE 2', 166063),
(222338, 'PTHR47603:SF3', NULL, NULL, NULL, NULL, 'BNAANNG12240D PROTEIN', 166064),
(222339, 'PTHR10782:SF38', NULL, NULL, NULL, NULL, 'ZINC FINGER MIZ DOMAIN-CONTAINING PROTEIN 2', 166065),
(222340, 'PTHR33044:SF152', NULL, NULL, NULL, NULL, 'OS07G0175600 PROTEIN', 166066);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(222341, 'PTHR15615:SF103', NULL, NULL, NULL, NULL, 'CYCLIN-U4-2', 166067),
(222342, 'PTHR24073:SF471', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-24', 166068),
(222343, 'PTHR13935:SF52', NULL, NULL, NULL, NULL, 'OS01G0108400 PROTEIN', 166069),
(222344, 'PTHR34629', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 166070),
(222345, 'PTHR21450:SF39', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 166071),
(222346, 'PTHR30504:SF2', NULL, NULL, NULL, NULL, 'GLUCANS BIOSYNTHESIS PROTEIN G', 166072),
(222347, 'PTHR13500', NULL, NULL, NULL, NULL, 'NUCLEOLAR PRERIBOSOMAL-ASSOCIATED PROTEIN 1', 166073),
(222348, 'PTHR31288:SF28', NULL, NULL, NULL, NULL, 'BNAA01G25300D PROTEIN', 166074),
(222349, 'PTHR43853:SF16', NULL, NULL, NULL, NULL, 'BNAC04G11470D PROTEIN', 166075),
(222350, 'PTHR33403', NULL, NULL, NULL, NULL, 'SPR1', 166076),
(222351, 'PTHR24281:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166077),
(222352, 'PTHR37262', NULL, NULL, NULL, NULL, 'PROTEIN PEP-RELATED DEVELOPMENT ARRESTED 1, CHLOROPLASTIC', 166078),
(222353, 'PTHR35323:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 62', 166079),
(222354, 'PTHR33946', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 166080),
(222355, 'PTHR11647', NULL, NULL, NULL, NULL, 'HYDRANTOINASE/DIHYDROPYRIMIDINASE FAMILY MEMBER', 166081),
(222356, 'PTHR23064:SF24', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CP1', 166082),
(222357, 'PTHR45389:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN RUP2', 166083),
(222358, 'PTHR45665:SF22', NULL, NULL, NULL, NULL, 'INTRINSIC PROTEIN, PUTATIVE-RELATED', 166084),
(222359, 'PTHR46080:SF13', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 44-RELATED', 166085),
(222360, 'PTHR30255', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED-DNA-SPECIFIC EXONUCLEASE RECJ', 166086),
(222361, 'PTHR24393:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 2', 166087),
(222362, 'PTHR10485:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166088),
(222363, 'PTHR21680', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 166089),
(222364, 'PTHR47926:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166090),
(222365, 'PTHR16021', NULL, NULL, NULL, NULL, 'MANSC DOMAIN CONTAINING PROTEIN 1', 166091),
(222366, 'PTHR23239:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166092),
(222367, 'PTHR34311:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG09514', 166093),
(222368, 'PTHR45086:SF4', NULL, NULL, NULL, NULL, 'BNAA09G27890D PROTEIN', 166094),
(222369, 'PTHR24364:SF25', NULL, NULL, NULL, NULL, 'ELRR (EXTRACELLULAR LEUCINE-RICH REPEAT) ONLY', 166095),
(222370, 'PTHR12757:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA-INDUCED PROTEIN 8-LIKE PROTEIN', 166096),
(222371, 'PTHR10641:SF1246', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166097),
(222372, 'PTHR45621:SF189', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOPLASMIC KINASE 176', 166098),
(222373, 'PTHR12634:SF26', NULL, NULL, NULL, NULL, 'SIT4 PHOSPHATASE-ASSOCIATED PROTEIN FAMILY, ARMADILLO-TYPE FOLD PROTEIN-RELATED', 166099),
(222374, 'PTHR10166:SF25', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL SUBUNIT ALPHA-2/DELTA-3', 166100),
(222375, 'PTHR33057:SF127', NULL, NULL, NULL, NULL, 'OVATE TRANSCRIPTIONAL REPRESSOR', 166101),
(222376, 'PTHR10121:SF3', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT DELTA-3', 166102),
(222377, 'PTHR46927:SF1', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 5', 166103),
(222378, 'PTHR32285:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166104),
(222379, 'PTHR10791:SF185', NULL, NULL, NULL, NULL, 'BNAA07G09540D PROTEIN', 166105),
(222380, 'PTHR31701', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM MEMBRANE-ASSOCIATED RNA DEGRADATION PROTEIN', 166106),
(222381, 'PTHR43768:SF40', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', 166107),
(222382, 'PTHR38527', NULL, NULL, NULL, NULL, 'OS01G0838200 PROTEIN', 166108),
(222383, 'PTHR40625:SF2', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN ESDC', 166109),
(222384, 'PTHR33986:SF15', NULL, NULL, NULL, NULL, 'OS02G0535700 PROTEIN', 166110);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(222385, 'PTHR16932', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-INDUCIBLE PROTEIN 27', 166111),
(222386, 'PTHR24209:SF35', NULL, NULL, NULL, NULL, 'PROTEIN DA1-RELATED 6-LIKE', 166112),
(222387, 'PTHR24064:SF450', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHOINOSITOL TRANSPORTER 1', 166113),
(222388, 'PTHR47990:SF178', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE-LIKE PROTEIN', 166114),
(222389, 'PTHR43791:SF65', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07950)-RELATED', 166115),
(222390, 'PTHR48111:SF48', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM REGULATORY PROTEIN', 166116),
(222391, 'PTHR31425:SF16', NULL, NULL, NULL, NULL, 'BNAA10G16860D PROTEIN', 166117),
(222392, 'PTHR33371:SF20', NULL, NULL, NULL, NULL, 'MCE-RELATED PROTEIN', 166118),
(222393, 'PTHR46642:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCAN PHOSPHATASE LSF2, CHLOROPLASTIC', 166119),
(222394, 'PTHR32285:SF306', NULL, NULL, NULL, NULL, 'BNACNNG70870D PROTEIN', 166120),
(222395, 'PTHR43180:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166121),
(222396, 'PTHR24356:SF342', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 166122),
(222397, 'PTHR24347:SF116', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE 1G', 166123),
(222398, 'PTHR33175:SF3', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN HU-BETA', 166124),
(222399, 'PTHR31984:SF14', NULL, NULL, NULL, NULL, 'BNAA02G29770D PROTEIN', 166125),
(222400, 'PTHR11165:SF127', NULL, NULL, NULL, NULL, 'OS02G0225100 PROTEIN', 166126),
(222401, 'PTHR22943:SF126', NULL, NULL, NULL, NULL, 'PROTEIN CBG00354', 166127),
(222402, 'PTHR16062:SF18', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 166128),
(222403, 'PTHR45647:SF38', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 52', 166129),
(222404, 'PTHR23244:SF463', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166130),
(222405, 'PTHR15959', NULL, NULL, NULL, NULL, 'SYNTAXIN-18', 166131),
(222406, 'PTHR13283:SF10', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 8', 166132),
(222407, 'PTHR16166:SF133', NULL, NULL, NULL, NULL, 'PROTEIN SORTING-ASSOCIATED PROTEIN, PUTATIVE (DUF1162)-RELATED', 166133),
(222408, 'PTHR10697', NULL, NULL, NULL, NULL, 'MAMMALIAN EPENDYMIN-RELATED PROTEIN 1', 166134),
(222409, 'PTHR31087:SF108', NULL, NULL, NULL, NULL, 'TUBBY C-TERMINAL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 166135),
(222410, 'PTHR30238:SF0', NULL, NULL, NULL, NULL, 'THYLAKOID MEMBRANE PROTEIN TERC, CHLOROPLASTIC', 166136),
(222411, 'PTHR18896:SF136', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D B', 166137),
(222412, 'PTHR13341:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CANOPY HOMOLOG 2', 166138),
(222413, 'PTHR33248:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166139),
(222414, 'PTHR24384:SF200', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 977', 166140),
(222415, 'PTHR13115:SF16', NULL, NULL, NULL, NULL, 'BNAC08G48800D PROTEIN', 166141),
(222416, 'PTHR15431:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166142),
(222417, 'PTHR47926:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166143),
(222418, 'PTHR13345:SF8', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 10', 166144),
(222419, 'PTHR43235:SF7', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE GAT1_2.1-RELATED', 166145),
(222420, 'PTHR30372:SF0', NULL, NULL, NULL, NULL, 'LIPID-A-DISACCHARIDE SYNTHASE', 166146),
(222421, 'PTHR11690:SF268', NULL, NULL, NULL, NULL, 'PICKPOCKET 17, ISOFORM A', 166147),
(222422, 'PTHR47995:SF8', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 166148),
(222423, 'PTHR46969', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN HLDE', 166149),
(222424, 'PTHR21708:SF34', NULL, NULL, NULL, NULL, 'OUTER SPORE WALL PROTEIN 2', 166150),
(222425, 'PTHR23226:SF152', NULL, NULL, NULL, NULL, 'RCG50438, ISOFORM CRA_A', 166151),
(222426, 'PTHR19268', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR', 166152),
(222427, 'PTHR12121:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166153),
(222428, 'PTHR45937:SF1', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE DOMAIN-CONTAINING PROTEIN 1', 166154); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(222429, 'PTHR10177:SF440', NULL, NULL, NULL, NULL, 'BNAA04G12940D PROTEIN', 166155),
(222430, 'PTHR47933:SF23', NULL, NULL, NULL, NULL, 'FERTILITY RESTORER HOMOLOGUE A-LIKE', 166156),
(222431, 'PTHR21184:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM151A', 166157),
(222432, 'PTHR31929:SF75', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 166158),
(222433, 'PTHR45635:SF31', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN-RELATED', 166159),
(222434, 'PTHR31852:SF137', NULL, NULL, NULL, NULL, 'OS01G0712000 PROTEIN', 166160),
(222435, 'PTHR24023:SF1016', NULL, NULL, NULL, NULL, 'ADIPONECTIN F1', 166161),
(222436, 'PTHR37534:SF15', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 166162),
(222437, 'PTHR15925', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN S23', 166163),
(222438, 'PTHR43895:SF27', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 10', 166164),
(222439, 'PTHR24023:SF992', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166165),
(222440, 'PTHR34570:SF13', NULL, NULL, NULL, NULL, 'BNAANNG35530D PROTEIN', 166166),
(222441, 'PTHR10585:SF79', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN RETAINING RECEPTOR-RELATED', 166167),
(222442, 'PTHR24286:SF10', NULL, NULL, NULL, NULL, 'ABSCISIC ACID 8''-HYDROXYLASE 3', 166168),
(222443, 'PTHR21261:SF3', NULL, NULL, NULL, NULL, 'BEAT-VII', 166169),
(222444, 'PTHR26454:SF39', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C3', 166170),
(222445, 'PTHR10639:SF32', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', 166171),
(222446, 'PTHR31676:SF75', NULL, NULL, NULL, NULL, 'OS07G0120600-LIKE PROTEIN', 166172),
(222447, 'PTHR46326:SF19', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', 166173),
(222448, 'PTHR45763:SF24', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 166174),
(222449, 'PTHR31541:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166175),
(222450, 'PTHR30538:SF0', NULL, NULL, NULL, NULL, 'L-LYSINE 2,3-AMINOMUTASE AQ_1632-RELATED', 166176),
(222451, 'PTHR31696:SF70', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', 166177),
(222452, 'PTHR27007:SF21', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.7-RELATED', 166178),
(222453, 'PTHR34278:SF1', NULL, NULL, NULL, NULL, 'PROTEIN THI031, PUTATIVE-RELATED', 166179),
(222454, 'PTHR10383', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR', 166180),
(222455, 'PTHR35469', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 166181),
(222456, 'PTHR11055', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3''-PHOSPHOADENOSINE 5''-PHOSPHOSULFATE SYNTHASE', 166182),
(222457, 'PTHR45711:SF3', NULL, NULL, NULL, NULL, 'CLC CHANNEL', 166183),
(222458, 'PTHR31190:SF235', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1-RELATED', 166184),
(222459, 'PTHR34977:SF1', NULL, NULL, NULL, NULL, 'UPF0337 PROTEIN YJBJ', 166185),
(222460, 'PTHR11571:SF229', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 4', 166186),
(222461, 'PTHR31561:SF91', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 166187),
(222462, 'PTHR11085:SF3', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE SIRTUIN-2', 166188),
(222463, 'PTHR35833', NULL, NULL, NULL, NULL, 'GALACTOSE-BINDING DOMAIN-LIKE, ARMADILLO-TYPE FOLD PROTEIN-RELATED', 166189),
(222464, 'PTHR10509:SF80', NULL, NULL, NULL, NULL, 'FLAVONOID 3'',5''-METHYLTRANSFERASE-LIKE', 166190),
(222465, 'PTHR23164:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE-TYPE CONTAINING 28', 166191),
(222466, 'PTHR10794:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166192),
(222467, 'PTHR33564:SF13', NULL, NULL, NULL, NULL, 'BNAC05G37530D PROTEIN', 166193),
(222468, 'PTHR22835:SF597', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166194),
(222469, 'PTHR32295:SF139', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', 166195),
(222470, 'PTHR48211:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 166196),
(222471, 'PTHR19282:SF417', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 2A', 166197),
(222472, 'PTHR35340:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166198);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(222473, 'PTHR47990:SF146', NULL, NULL, NULL, NULL, 'OSJNBA0033G05.6 PROTEIN', 166199),
(222474, 'PTHR42107', NULL, NULL, NULL, NULL, 'YALI0D24453P', 166200),
(222475, 'PTHR15950:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION COFACTOR VESTIGIAL-LIKE PROTEIN 1', 166201),
(222476, 'PTHR11066:SF49', NULL, NULL, NULL, NULL, 'PROTEIN CBG08110', 166202),
(222477, 'PTHR24072:SF24', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOE', 166203),
(222478, 'PTHR10625:SF109', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 8', 166204),
(222479, 'PTHR11732:SF416', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE FAMILY OXIDOREDUCTASE', 166205),
(222480, 'PTHR27009:SF243', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE 2', 166206),
(222481, 'PTHR21342:SF0', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NMN ADENYLYLTRANSFERASE/NUDIX HYDROLASE', 166207),
(222482, 'PTHR23501:SF163', NULL, NULL, NULL, NULL, 'EFFLUX PUMP ALNA', 166208),
(222483, 'PTHR22883:SF40', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 166209),
(222484, 'PTHR35313:SF1', NULL, NULL, NULL, NULL, 'NO EXINE FORMATION 1', 166210),
(222485, 'PTHR43745', NULL, NULL, NULL, NULL, 'NITROREDUCTASE MJ1384-RELATED', 166211),
(222486, 'PTHR11785:SF526', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 166212),
(222487, 'PTHR33231', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN', 166213),
(222488, 'PTHR42898:SF18', NULL, NULL, NULL, NULL, 'BNAC02G25030D PROTEIN', 166214),
(222489, 'PTHR12887', NULL, NULL, NULL, NULL, 'NANOS PROTEIN', 166215),
(222490, 'PTHR47928:SF93', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 166216),
(222491, 'PTHR31692:SF114', NULL, NULL, NULL, NULL, 'BETA EXPANSIN4', 166217),
(222492, 'PTHR21493:SF247', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN GOT1', 166218),
(222493, 'PTHR46391:SF14', NULL, NULL, NULL, NULL, 'BZIP PROTEIN', 166219),
(222494, 'PTHR23012:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166220),
(222495, 'PTHR33705', NULL, NULL, NULL, NULL, 'PHOSPHOCARRIER PROTEIN HPR', 166221),
(222496, 'PTHR42085:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166222),
(222497, 'PTHR45687:SF41', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-7', 166223),
(222498, 'PTHR46391:SF21', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 34-LIKE', 166224),
(222499, 'PTHR36024:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166225),
(222500, 'PTHR24412:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166226),
(222501, 'PTHR48010:SF17', NULL, NULL, NULL, NULL, 'PIRIFORMOSPORA INDICA-INSENSITIVE PROTEIN 2-LIKE', 166227),
(222502, 'PTHR47965:SF62', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 166228),
(222503, 'PTHR23209', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 12', 166229),
(222504, 'PTHR12449', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 166230),
(222505, 'PTHR24221:SF304', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', 166231),
(222506, 'PTHR23124:SF142', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 166232),
(222507, 'PTHR32382:SF33', NULL, NULL, NULL, NULL, 'OS02G0726000 PROTEIN', 166233),
(222508, 'PTHR38599', NULL, NULL, NULL, NULL, 'CUPIN DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G13620)', 166234),
(222509, 'PTHR24300:SF331', NULL, NULL, NULL, NULL, 'BNAC03G61460D PROTEIN', 166235),
(222510, 'PTHR36797:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166236),
(222511, 'PTHR35631:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166237),
(222512, 'PTHR48099:SF12', NULL, NULL, NULL, NULL, 'MONOFUNCTIONAL C1-TETRAHYDROFOLATE SYNTHASE, MITOCHONDRIAL', 166238),
(222513, 'PTHR11141', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', 166239),
(222514, 'PTHR43948:SF13', NULL, NULL, NULL, NULL, '4930503B20RIK PROTEIN', 166240),
(222515, 'PTHR46400:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 166241),
(222516, 'PTHR45693:SF39', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA5', 166242),
(222517, 'PTHR35549:SF2', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 166243),
(222518, 'PTHR13042:SF12', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5-RELATED', 166244);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(222519, 'PTHR43490:SF65', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE', 166245),
(222520, 'PTHR31790:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166246),
(222521, 'PTHR46775:SF4', NULL, NULL, NULL, NULL, 'BNAC01G39750D PROTEIN', 166247),
(222522, 'PTHR13128', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN-SORTING-ASSOCIATED PROTEIN 36', 166248),
(222523, 'PTHR35281:SF2', NULL, NULL, NULL, NULL, 'BNAA02G34170D PROTEIN', 166249),
(222524, 'PTHR43218:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLTRANSFERASE-RELATED', 166250),
(222525, 'PTHR11548', NULL, NULL, NULL, NULL, 'THYMIDYLATE SYNTHASE 1', 166251),
(222526, 'PTHR22146:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166252),
(222527, 'PTHR31496:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166253),
(222528, 'PTHR34586:SF3', NULL, NULL, NULL, NULL, 'SPERACT/SCAVENGER RECEPTOR DOMAIN-CONTAINING PROTEIN', 166254),
(222529, 'PTHR45676:SF123', NULL, NULL, NULL, NULL, 'BNAA03G52560D PROTEIN', 166255),
(222530, 'PTHR24291:SF151', NULL, NULL, NULL, NULL, 'PROTEIN LUTEIN DEFICIENT 5, CHLOROPLASTIC', 166256),
(222531, 'PTHR21724:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG10496', 166257),
(222532, 'PTHR18952:SF93', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE-RELATED PROTEIN 11', 166258),
(222533, 'PTHR12791:SF53', NULL, NULL, NULL, NULL, 'BET1 HOMOLOG', 166259),
(222534, 'PTHR31681:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166260),
(222535, 'PTHR32285:SF260', NULL, NULL, NULL, NULL, 'BNAC02G01870D PROTEIN', 166261),
(222536, 'PTHR10462:SF27', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 6 DOMAIN-CONTAINING PROTEIN 1-RELATED', 166262),
(222537, 'PTHR15722:SF2', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 172 HOMOLOG', 166263),
(222538, 'PTHR47925:SF44', NULL, NULL, NULL, NULL, 'BNACNNG13520D PROTEIN', 166264),
(222539, 'PTHR31500:SF87', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 166265),
(222540, 'PTHR47972:SF14', NULL, NULL, NULL, NULL, 'KINESIN-4-LIKE ISOFORM X1', 166266),
(222541, 'PTHR11760:SF48', NULL, NULL, NULL, NULL, 'PROTEIN GET1-LIKE ISOFORM X1', 166267),
(222542, 'PTHR19139:SF279', NULL, NULL, NULL, NULL, 'AQUAPORIN A-RELATED', 166268),
(222543, 'PTHR45633:SF34', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60/TCP-1 FAMILY, TCP-1-LIKE CHAPERONIN INTERMEDIATE DOMAIN PROTEIN-RELATED', 166269),
(222544, 'PTHR28259:SF13', NULL, NULL, NULL, NULL, 'BNAC04G47810D PROTEIN', 166270),
(222545, 'PTHR10052:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', 166271),
(222546, 'PTHR45620:SF24', NULL, NULL, NULL, NULL, 'VASOACTIVE INTESTINAL POLYPEPTIDE RECEPTOR 1', 166272),
(222547, 'PTHR27003:SF369', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 166273),
(222548, 'PTHR31846:SF17', NULL, NULL, NULL, NULL, '(CRM) DOMAIN PROTEIN, PUTATIVE-RELATED', 166274),
(222549, 'PTHR45647:SF48', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE DOMAIN KINASE', 166275),
(222550, 'PTHR10623:SF7', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN RP/EB FAMILY MEMBER 2', 166276),
(222551, 'PTHR31080:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166277),
(222552, 'PTHR14221:SF48', NULL, NULL, NULL, NULL, 'APOPTOTIC PROTEASE-ACTIVATING FACTOR 1-RELATED', 166278),
(222553, 'PTHR32470', NULL, NULL, NULL, NULL, 'ADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX ASSEMBLY FACTOR 2', 166279),
(222554, 'PTHR46289:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-250D21.1', 166280),
(222555, 'PTHR43546:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166281),
(222556, 'PTHR45633:SF29', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60-2, MITOCHONDRIAL-LIKE', 166282),
(222557, 'PTHR33159:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166283),
(222558, 'PTHR45704:SF4', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN 3', 166284),
(222559, 'PTHR10742:SF399', NULL, NULL, NULL, NULL, 'CONTAINING AMINE OXIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01470)-RELATED', 166285),
(222560, 'PTHR11712:SF321', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE 2', 166286);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(222561, 'PTHR15414', NULL, NULL, NULL, NULL, 'OS-9-RELATED', 166287),
(222562, 'PTHR43166:SF15', NULL, NULL, NULL, NULL, 'HISTIDINE TRANSPORT ATP-BINDING PROTEIN HISP', 166288),
(222563, 'PTHR23359:SF182', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4', 166289),
(222564, 'PTHR24020:SF54', NULL, NULL, NULL, NULL, 'PROTEIN CBG15420', 166290),
(222565, 'PTHR45770:SF36', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 166291),
(222566, 'PTHR24078:SF552', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', 166292),
(222567, 'PTHR46128:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166293),
(222568, 'PTHR31251:SF115', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN', 166294),
(222569, 'PTHR14224:SF19', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 11-RELATED', 166295),
(222570, 'PTHR36616:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166296),
(222571, 'PTHR22912:SF214', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE 2 MITOCHONDRIAL', 166297),
(222572, 'PTHR45952:SF5', NULL, NULL, NULL, NULL, 'ALUMINUM INDUCED PROTEIN WITH YGL AND LRDR MOTIFS', 166298),
(222573, 'PTHR45730:SF69', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-RELATED', 166299),
(222574, 'PTHR17575:SF1', NULL, NULL, NULL, NULL, 'UROCORTIN-3', 166300),
(222575, 'PTHR33449:SF7', NULL, NULL, NULL, NULL, 'BNAA02G17680D PROTEIN', 166301),
(222576, 'PTHR42861:SF59', NULL, NULL, NULL, NULL, 'ATPASE 6, PLASMA MEMBRANE-TYPE', 166302),
(222577, 'PTHR43663:SF1', NULL, NULL, NULL, NULL, 'CHROMATE TRANSPORTER', 166303),
(222578, 'PTHR45650:SF60', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', 166304),
(222579, 'PTHR31225:SF142', NULL, NULL, NULL, NULL, '(-)-GERMACRENE D SYNTHASE', 166305),
(222580, 'PTHR18950', NULL, NULL, NULL, NULL, 'PROGESTERONE-INDUCED BLOCKING FACTOR 1', 166306),
(222581, 'PTHR11615:SF310', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 4', 166307),
(222582, 'PTHR14592:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAM3C', 166308),
(222583, 'PTHR33784:SF19', NULL, NULL, NULL, NULL, 'BNACNNG56230D PROTEIN', 166309),
(222584, 'PTHR21497:SF51', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 166310),
(222585, 'PTHR33780:SF2', NULL, NULL, NULL, NULL, 'OS05G0419600 PROTEIN', 166311),
(222586, 'PTHR13326:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166312),
(222587, 'PTHR24356:SF394', NULL, NULL, NULL, NULL, 'PROTEIN CBG15660', 166313),
(222588, 'PTHR42684:SF8', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRATE TRANSAMINASE 4-RELATED', 166314),
(222589, 'PTHR24292:SF93', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 310A1-RELATED', 166315),
(222590, 'PTHR33401:SF19', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 166316),
(222591, 'PTHR19957:SF288', NULL, NULL, NULL, NULL, 'SYNTAXIN OF PLANTS 122 PROTEIN', 166317),
(222592, 'PTHR11461:SF304', NULL, NULL, NULL, NULL, 'SERPIN-Z10-RELATED', 166318),
(222593, 'PTHR11877:SF75', NULL, NULL, NULL, NULL, 'BNAA03G53070D PROTEIN', 166319),
(222594, 'PTHR31677:SF82', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 4', 166320),
(222595, 'PTHR21649:SF102', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 166321),
(222596, 'PTHR12733:SF5', NULL, NULL, NULL, NULL, 'ATP SYNTHASE B HOMOLOG', 166322),
(222597, 'PTHR33983', NULL, NULL, NULL, NULL, 'OS07G0185900 PROTEIN', 166323),
(222598, 'PTHR22624:SF53', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE', 166324),
(222599, 'PTHR35326:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PSBN', 166325),
(222600, 'PTHR28139', NULL, NULL, NULL, NULL, 'UPF0768 PROTEIN YBL029C-A', 166326),
(222601, 'PTHR31008:SF16', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN', 166327),
(222602, 'PTHR11711:SF163', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM23', 166328),
(222603, 'PTHR24028:SF247', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-1', 166329),
(222604, 'PTHR46038:SF29', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 166330),
(222605, 'PTHR10845:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166331);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(222606, 'PTHR12353:SF19', NULL, NULL, NULL, NULL, 'DISKS LARGE-ASSOCIATED PROTEIN 4', 166332),
(222607, 'PTHR26451:SF855', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 166333),
(222608, 'PTHR13663', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 166334),
(222609, 'PTHR34223:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166335),
(222610, 'PTHR31311:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 6-RELATED', 166336),
(222611, 'PTHR31001:SF39', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 166337),
(222612, 'PTHR11238', NULL, NULL, NULL, NULL, 'PROMININ ISOFORM D-RELATED', 166338),
(222613, 'PTHR10037:SF288', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN PARA', 166339),
(222614, 'PTHR28586:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PAXX', 166340),
(222615, 'PTHR34269:SF15', NULL, NULL, NULL, NULL, 'BNAA05G15880D PROTEIN', 166341),
(222616, 'PTHR22803:SF105', NULL, NULL, NULL, NULL, 'LITHOSTATHINE-1-ALPHA', 166342),
(222617, 'PTHR36169', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTQ', 166343),
(222618, 'PTHR23054:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166344),
(222619, 'PTHR35024:SF4', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 166345),
(222620, 'PTHR31390:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166346),
(222621, 'PTHR45752:SF106', NULL, NULL, NULL, NULL, 'RICH DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 166347),
(222622, 'PTHR31681:SF38', NULL, NULL, NULL, NULL, 'BNAA09G20920D PROTEIN', 166348),
(222623, 'PTHR14237:SF77', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE, PYRUVATE KINASE-LIKE, INSERT DOMAIN PROTEIN-RELATED', 166349),
(222624, 'PTHR31339:SF66', NULL, NULL, NULL, NULL, 'OS06G0106800 PROTEIN', 166350),
(222625, 'PTHR31790:SF408', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 166351),
(222626, 'PTHR27005:SF238', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 3', 166352),
(222627, 'PTHR22298:SF134', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 166353),
(222628, 'PTHR10380:SF219', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 47EE', 166354),
(222629, 'PTHR43470:SF4', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YQGI-RELATED', 166355),
(222630, 'PTHR24410:SF36', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 3-LIKE PROTEIN', 166356),
(222631, 'PTHR10078:SF25', NULL, NULL, NULL, NULL, 'INTERLEUKIN-36 ALPHA', 166357),
(222632, 'PTHR43157', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-GLYCAN BIOSYNTHESIS CLASS F PROTEIN-RELATED', 166358),
(222633, 'PTHR45825', NULL, NULL, NULL, NULL, 'GRANULE-BOUND STARCH SYNTHASE 1, CHLOROPLASTIC/AMYLOPLASTIC', 166359),
(222634, 'PTHR11351:SF89', NULL, NULL, NULL, NULL, 'BNAA04G18360D PROTEIN', 166360),
(222635, 'PTHR43671:SF72', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK7-LIKE', 166361),
(222636, 'PTHR10830:SF2', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE 48 KDA SUBUNIT', 166362),
(222637, 'PTHR24256:SF507', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 2', 166363),
(222638, 'PTHR46319:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN 16', 166364),
(222639, 'PTHR27008:SF11', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 166365),
(222640, 'PTHR48099:SF16', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN FOLD 1, MITOCHONDRIAL-LIKE ISOFORM X1', 166366),
(222641, 'PTHR31889:SF40', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', 166367),
(222642, 'PTHR47350:SF4', NULL, NULL, NULL, NULL, 'PROTEIN IWS1 HOMOLOG 1', 166368),
(222643, 'PTHR47926:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166369),
(222644, 'PTHR47539', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN OTP51, CHLOROPLASTIC', 166370),
(222645, 'PTHR43243:SF74', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER', 166371),
(222646, 'PTHR32382:SF58', NULL, NULL, NULL, NULL, 'BNAC03G14100D PROTEIN', 166372),
(222647, 'PTHR11571:SF99', NULL, NULL, NULL, NULL, 'SIMILAR TO CLASS-ALPHA GLUTATHIONE S-TRANSFERASE', 166373);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(222648, 'PTHR31719:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166374),
(222649, 'PTHR10742:SF390', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 2 ISOFORM X1-RELATED', 166375),
(222650, 'PTHR31656:SF46', NULL, NULL, NULL, NULL, 'ROOT CAP-RELATED', 166376),
(222651, 'PTHR11271:SF37', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00460)-RELATED', 166377),
(222652, 'PTHR24074:SF42', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 3 HOMOLOG', 166378),
(222653, 'PTHR11070:SF25', NULL, NULL, NULL, NULL, 'DNA HELICASE', 166379),
(222654, 'PTHR31284:SF32', NULL, NULL, NULL, NULL, 'OS07G0681200 PROTEIN', 166380),
(222655, 'PTHR14379:SF15', NULL, NULL, NULL, NULL, 'ENDONUCLEASE OR GLYCOSYL HYDROLASE-RELATED', 166381),
(222656, 'PTHR24068:SF357', NULL, NULL, NULL, NULL, 'BNAA03G11080D PROTEIN', 166382),
(222657, 'PTHR43363:SF1', NULL, NULL, NULL, NULL, 'HYPOXANTHINE PHOSPHORIBOSYLTRANSFERASE', 166383),
(222658, 'PTHR33840', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 166384),
(222659, 'PTHR22945:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-34', 166385),
(222660, 'PTHR37610:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166386),
(222661, 'PTHR32133:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166387),
(222662, 'PTHR23147:SF172', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 166388),
(222663, 'PTHR45647:SF78', NULL, NULL, NULL, NULL, 'BNAA06G11260D PROTEIN', 166389),
(222664, 'PTHR31656:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166390),
(222665, 'PTHR24414:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 43', 166391),
(222666, 'PTHR34441', NULL, NULL, NULL, NULL, 'MOTILE SPERM DOMAIN-CONTAINING PROTEIN 1', 166392),
(222667, 'PTHR34992:SF1', NULL, NULL, NULL, NULL, 'HYPHAL ANASTAMOSIS-7 PROTEIN', 166393),
(222668, 'PTHR15615:SF82', NULL, NULL, NULL, NULL, 'PHO85 CYCLIN PHO80', 166394),
(222669, 'PTHR10201:SF241', NULL, NULL, NULL, NULL, 'MATRIXIN FAMILY PROTEIN, EXPRESSED', 166395),
(222670, 'PTHR31683:SF141', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 166396),
(222671, 'PTHR27002:SF838', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166397),
(222672, 'PTHR31917', NULL, NULL, NULL, NULL, 'AGENET DOMAIN-CONTAINING PROTEIN-RELATED', 166398),
(222673, 'PTHR45436:SF7', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN BASS', 166399),
(222674, 'PTHR33710', NULL, NULL, NULL, NULL, 'BNAC02G09200D PROTEIN', 166400),
(222675, 'PTHR13598', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 166401),
(222676, 'PTHR40028:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR CTSR', 166402),
(222677, 'PTHR15565:SF0', NULL, NULL, NULL, NULL, 'PROTEIN AATF', 166403),
(222678, 'PTHR34482:SF14', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG DOMAIN-CONTAINING PROTEIN-RELATED', 166404),
(222679, 'PTHR47934:SF14', NULL, NULL, NULL, NULL, 'OSJNBA0088A01.11 PROTEIN', 166405),
(222680, 'PTHR43447:SF33', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 3, CHLOROPLASTIC', 166406),
(222681, 'PTHR30520:SF8', NULL, NULL, NULL, NULL, 'NITRITE TRANSPORTER NIRC', 166407),
(222682, 'PTHR48024:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166408),
(222683, 'PTHR32227:SF335', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE', 166409),
(222684, 'PTHR31938:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR SPECKLE SPLICING REGULATORY PROTEIN 1', 166410),
(222685, 'PTHR11746:SF260', NULL, NULL, NULL, NULL, 'BNAA10G07270D PROTEIN', 166411),
(222686, 'PTHR46034:SF15', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', 166412),
(222687, 'PTHR12253:SF34', NULL, NULL, NULL, NULL, 'RH14732P', 166413),
(222688, 'PTHR19353:SF19', NULL, NULL, NULL, NULL, 'DELTA(5) FATTY ACID DESATURASE FAT-4', 166414),
(222689, 'PTHR46387:SF21', NULL, NULL, NULL, NULL, '14.7 KDA RIBONUCLEASE H-LIKE PROTEIN', 166415),
(222690, 'PTHR43797:SF3', NULL, NULL, NULL, NULL, 'O-ACETYLHOMOSERINE SULFHYDRYLASE', 166416),
(222691, 'PTHR10127:SF818', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-4', 166417); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(222692, 'PTHR27005:SF286', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 3', 166418),
(222693, 'PTHR23158:SF57', NULL, NULL, NULL, NULL, 'CTAGE FAMILY MEMBER 15-RELATED', 166419),
(222694, 'PTHR42678:SF29', NULL, NULL, NULL, NULL, 'AMIDASE C869.01-RELATED', 166420),
(222695, 'PTHR46742:SF3', NULL, NULL, NULL, NULL, 'LYSINE-RICH COILED-COIL PROTEIN 1', 166421),
(222696, 'PTHR31642:SF258', NULL, NULL, NULL, NULL, 'BAHD FAMILY ACYLTRANSFERASE, CLADE IV', 166422),
(222697, 'PTHR10954', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H2 SUBUNIT A', 166423),
(222698, 'PTHR27004:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166424),
(222699, 'PTHR35793', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YJIG', 166425),
(222700, 'PTHR36216:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, TRMB', 166426),
(222701, 'PTHR10543:SF108', NULL, NULL, NULL, NULL, 'RETINOID ISOMEROHYDROLASE', 166427),
(222702, 'PTHR48021:SF50', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 10-RELATED', 166428),
(222703, 'PTHR47932:SF51', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 166429),
(222704, 'PTHR35547:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166430),
(222705, 'PTHR19375:SF371', NULL, NULL, NULL, NULL, 'MAJOR HEAT SHOCK 70 KDA PROTEIN AA-RELATED', 166431),
(222706, 'PTHR45657:SF23', NULL, NULL, NULL, NULL, 'OS02G0721800 PROTEIN', 166432),
(222707, 'PTHR42683:SF70', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 2-RELATED', 166433),
(222708, 'PTHR31852:SF153', NULL, NULL, NULL, NULL, 'OS05G0482501 PROTEIN', 166434),
(222709, 'PTHR37325', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 21 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G05910)-RELATED', 166435),
(222710, 'PTHR31734:SF168', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 166436),
(222711, 'PTHR24281:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166437),
(222712, 'PTHR13832:SF772', NULL, NULL, NULL, NULL, 'BNAC04G00380D PROTEIN', 166438),
(222713, 'PTHR48053:SF10', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 166439),
(222714, 'PTHR24286:SF267', NULL, NULL, NULL, NULL, 'ALLENE OXIDE SYNTHASE 1, CHLOROPLASTIC-LIKE', 166440),
(222715, 'PTHR11639:SF59', NULL, NULL, NULL, NULL, 'PROTEIN S100-A2', 166441),
(222716, 'PTHR24349:SF290', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 34-LIKE', 166442),
(222717, 'PTHR24377:SF650', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 867', 166443),
(222718, 'PTHR40351:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG19323', 166444),
(222719, 'PTHR45640:SF5', NULL, NULL, NULL, NULL, 'ALPHA-CRYSTALLIN B CHAIN', 166445),
(222720, 'PTHR45879:SF3', NULL, NULL, NULL, NULL, 'CYCLIC AMP RESPONSE ELEMENT-BINDING PROTEIN B', 166446),
(222721, 'PTHR31235:SF175', NULL, NULL, NULL, NULL, 'PEROXIDASE', 166447),
(222722, 'PTHR11877:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166448),
(222723, 'PTHR43874:SF106', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR RECEIVER DOMAIN PROTEIN', 166449),
(222724, 'PTHR42821:SF1', NULL, NULL, NULL, NULL, 'CATALASE-B', 166450),
(222725, 'PTHR47980:SF13', NULL, NULL, NULL, NULL, 'LOC100135070 PROTEIN', 166451),
(222726, 'PTHR11984:SF3', NULL, NULL, NULL, NULL, 'GAP JUNCTION DELTA-4 PROTEIN', 166452),
(222727, 'PTHR10015:SF206', NULL, NULL, NULL, NULL, 'HEAT SHOCK TRANSCRIPTION FACTOR', 166453),
(222728, 'PTHR23267:SF119', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 40', 166454),
(222729, 'PTHR33377:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166455),
(222730, 'PTHR11759:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166456),
(222731, 'PTHR10816:SF18', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 2-BINDING PROTEIN 2', 166457),
(222732, 'PTHR10606:SF50', NULL, NULL, NULL, NULL, '6-BIPHOSPHATASE, PUTATIVE-RELATED', 166458),
(222733, 'PTHR46128:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166459),
(222734, 'PTHR33122:SF7', NULL, NULL, NULL, NULL, 'OS05G0160300 PROTEIN', 166460),
(222735, 'PTHR31472:SF21', NULL, NULL, NULL, NULL, 'BNAC01G10000D PROTEIN', 166461);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(222736, 'PTHR31802', NULL, NULL, NULL, NULL, '32 KDA HEAT SHOCK PROTEIN-RELATED', 166462),
(222737, 'PTHR24377:SF732', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN OZF', 166463),
(222738, 'PTHR23500:SF5', NULL, NULL, NULL, NULL, 'OS12G0514000 PROTEIN', 166464),
(222739, 'PTHR27006:SF265', NULL, NULL, NULL, NULL, 'OS04G0616600 PROTEIN', 166465),
(222740, 'PTHR45799', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 166466),
(222741, 'PTHR31645:SF41', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL14-RELATED', 166467),
(222742, 'PTHR28243:SF1', NULL, NULL, NULL, NULL, 'AGL049CP', 166468),
(222743, 'PTHR43880:SF51', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 6B (CLASS V)', 166469),
(222744, 'PTHR23050:SF330', NULL, NULL, NULL, NULL, 'RE52086P', 166470),
(222745, 'PTHR31407:SF3', NULL, NULL, NULL, NULL, 'PSBP DOMAIN-CONTAINING PROTEIN 2, CHLOROPLASTIC', 166471),
(222746, 'PTHR10900:SF12', NULL, NULL, NULL, NULL, 'PERIOSTIN', 166472),
(222747, 'PTHR12133:SF2', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(58)-N(1))-METHYLTRANSFERASE CATALYTIC SUBUNIT TRMT61A', 166473),
(222748, 'PTHR43869:SF1', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE/PROLINE BETAINE TRANSPORT SYSTEM ATP-BINDING PROTEIN PROV', 166474),
(222749, 'PTHR11709:SF386', NULL, NULL, NULL, NULL, 'LACCASE', 166475),
(222750, 'PTHR24198:SF175', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND PROTEIN KINASE DOMAIN-CONTAINING PROTEIN 1', 166476),
(222751, 'PTHR13394:SF1', NULL, NULL, NULL, NULL, 'BNAC05G50940D PROTEIN', 166477),
(222752, 'PTHR31312:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GLK1-RELATED', 166478),
(222753, 'PTHR27003:SF361', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 166479),
(222754, 'PTHR38100', NULL, NULL, NULL, NULL, 'HIGH FREQUENCY LYSOGENIZATION PROTEIN HFLD', 166480),
(222755, 'PTHR33318:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166481),
(222756, 'PTHR47313', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE K/L', 166482),
(222757, 'PTHR18952:SF95', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 4', 166483),
(222758, 'PTHR31234:SF54', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 166484),
(222759, 'PTHR31161:SF7', NULL, NULL, NULL, NULL, 'F28N24.3 PROTEIN', 166485),
(222760, 'PTHR31639:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166486),
(222761, 'PTHR11972:SF133', NULL, NULL, NULL, NULL, 'OS05G0465800 PROTEIN', 166487),
(222762, 'PTHR10390:SF36', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX4', 166488),
(222763, 'PTHR12825:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166489),
(222764, 'PTHR31421:SF11', NULL, NULL, NULL, NULL, 'BNAA09G45560D PROTEIN', 166490),
(222765, 'PTHR11360:SF237', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 12-B-LIKE PROTEIN', 166491),
(222766, 'PTHR45705:SF4', NULL, NULL, NULL, NULL, 'STROMAL MEMBRANE-ASSOCIATED PROTEIN 2', 166492),
(222767, 'PTHR22742', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 166493),
(222768, 'PTHR16295:SF19', NULL, NULL, NULL, NULL, 'TRAF-TYPE ZINC FINGER DOMAIN-CONTAINING PROTEIN 1', 166494),
(222769, 'PTHR10462:SF33', NULL, NULL, NULL, NULL, 'ALPHA-1,3-GALACTOSYLTRANSFERASE 2', 166495),
(222770, 'PTHR43572:SF7', NULL, NULL, NULL, NULL, 'DOUBLE CLP-N MOTIF P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', 166496),
(222771, 'PTHR24028:SF73', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA SUBFAMILY B, 8', 166497),
(222772, 'PTHR24157:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT, SAM AND BASIC LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN 1', 166498),
(222773, 'PTHR48047:SF27', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 166499),
(222774, 'PTHR34473:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', 166500),
(222775, 'PTHR48112:SF24', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN 1', 166501),
(222776, 'PTHR47604:SF1', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE', 166502),
(222777, 'PTHR12483:SF27', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 1A, ISOFORM C-RELATED', 166503);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(222778, 'PTHR26451:SF122', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 166504),
(222779, 'PTHR31268:SF14', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 5-RELATED', 166505),
(222780, 'PTHR36006:SF2', NULL, NULL, NULL, NULL, 'BNAC02G25390D PROTEIN', 166506),
(222781, 'PTHR47516:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 166507),
(222782, 'PTHR34672:SF12', NULL, NULL, NULL, NULL, 'BNACNNG40600D PROTEIN', 166508),
(222783, 'PTHR33348:SF28', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP7', 166509),
(222784, 'PTHR28040:SF1', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE 5''-PHOSPHATE OXIDASE YLR456W HOMOLOG-RELATED', 166510),
(222785, 'PTHR31062:SF165', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 166511),
(222786, 'PTHR11774:SF4', NULL, NULL, NULL, NULL, 'GERANYLGERANYL TRANSFERASE TYPE-1 SUBUNIT BETA', 166512),
(222787, 'PTHR31140:SF104', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS02G0455900-RELATED', 166513),
(222788, 'PTHR24296:SF217', NULL, NULL, NULL, NULL, 'BNAC02G41740D PROTEIN', 166514),
(222789, 'PTHR45760', NULL, NULL, NULL, NULL, 'FI19922P1-RELATED', 166515),
(222790, 'PTHR42659:SF2', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE SUBUNIT C-RELATED', 166516),
(222791, 'PTHR36507:SF1', NULL, NULL, NULL, NULL, 'BLL1555 PROTEIN', 166517),
(222792, 'PTHR15222:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166518),
(222793, 'PTHR10795:SF711', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE', 166519),
(222794, 'PTHR47926:SF250', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 166520),
(222795, 'PTHR48001:SF33', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 166521),
(222796, 'PTHR43609:SF1', NULL, NULL, NULL, NULL, 'ACETYL-COA HYDROLASE', 166522),
(222797, 'PTHR31232:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166523),
(222798, 'PTHR28064:SF1', NULL, NULL, NULL, NULL, 'INNER KINETOCHORE SUBUNIT NKP2', 166524),
(222799, 'PTHR11815', NULL, NULL, NULL, NULL, 'SUCCINYL-COA SYNTHETASE BETA CHAIN', 166525),
(222800, 'PTHR37827', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 166526),
(222801, 'PTHR13693:SF54', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE 3', 166527),
(222802, 'PTHR11764:SF55', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 166528),
(222803, 'PTHR14154:SF87', NULL, NULL, NULL, NULL, 'LIGHT-HARVESTING COMPLEX-LIKE PROTEIN 3 ISOTYPE 1, CHLOROPLASTIC-RELATED', 166529),
(222804, 'PTHR15315:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166530),
(222805, 'PTHR13674', NULL, NULL, NULL, NULL, 'GROWTH AND TRANSFORMATION-DEPENDENT PROTEIN', 166531),
(222806, 'PTHR11361:SF132', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MUTS, TYPE 2', 166532),
(222807, 'PTHR33128:SF71', NULL, NULL, NULL, NULL, 'BNAC07G48990D PROTEIN', 166533),
(222808, 'PTHR12603:SF24', NULL, NULL, NULL, NULL, 'RNA BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 166534),
(222809, 'PTHR11260:SF642', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 166535),
(222810, 'PTHR14096:SF55', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L1', 166536),
(222811, 'PTHR33562:SF4', NULL, NULL, NULL, NULL, 'GEO08323P1', 166537),
(222812, 'PTHR11699:SF225', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 2 MEMBER B4, MITOCHONDRIAL', 166538),
(222813, 'PTHR31683:SF148', NULL, NULL, NULL, NULL, 'PECTATE LYASE P59-RELATED', 166539),
(222814, 'PTHR33165:SF32', NULL, NULL, NULL, NULL, 'OS07G0177000 PROTEIN', 166540),
(222815, 'PTHR36695', NULL, NULL, NULL, NULL, 'AGAP008648-PA', 166541),
(222816, 'PTHR12210:SF141', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', 166542),
(222817, 'PTHR14002:SF11', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA PROTEIN D', 166543),
(222818, 'PTHR31989:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166544),
(222819, 'PTHR38083:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT CELL ADHESION MOLECULE 1-RELATED', 166545),
(222820, 'PTHR43840:SF5', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 11', 166546);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(222821, 'PTHR31992:SF96', NULL, NULL, NULL, NULL, 'OS01G0865800 PROTEIN', 166547),
(222822, 'PTHR10799:SF985', NULL, NULL, NULL, NULL, 'REMODELING FACTOR, PUTATIVE-RELATED', 166548),
(222823, 'PTHR40630', NULL, NULL, NULL, NULL, 'POSSIBLE DNA-BINDING PROTEIN', 166549),
(222824, 'PTHR21145', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', 166550),
(222825, 'PTHR24282:SF52', NULL, NULL, NULL, NULL, 'OS07G0635200 PROTEIN', 166551),
(222826, 'PTHR30290:SF57', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERIPLASMIC OLIGOPEPTIDE-BINDING PROTEIN', 166552),
(222827, 'PTHR46011', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-86-RELATED', 166553),
(222828, 'PTHR17250:SF0', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR E', 166554),
(222829, 'PTHR22912:SF215', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', 166555),
(222830, 'PTHR22925:SF49', NULL, NULL, NULL, NULL, 'BETA-GLUCANASE-LIKE PROTEIN', 166556),
(222831, 'PTHR46128:SF79', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', 166557),
(222832, 'PTHR10183:SF411', NULL, NULL, NULL, NULL, 'CALPAIN RELATED-RELATED', 166558),
(222833, 'PTHR12751:SF20', NULL, NULL, NULL, NULL, 'PHOSPHATASE AND ACTIN REGULATOR 4A', 166559),
(222834, 'PTHR35149:SF2', NULL, NULL, NULL, NULL, 'SLL5132 PROTEIN', 166560),
(222835, 'PTHR10270:SF307', NULL, NULL, NULL, NULL, 'SOX DOMAIN-CONTAINING PROTEIN DICHAETE', 166561),
(222836, 'PTHR23530', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN-RELATED', 166562),
(222837, 'PTHR43520:SF4', NULL, NULL, NULL, NULL, 'P-TYPE ATPASE', 166563),
(222838, 'PTHR34449:SF2', NULL, NULL, NULL, NULL, 'RHO TERMINATION FACTOR', 166564),
(222839, 'PTHR31549:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166565),
(222840, 'PTHR16517:SF116', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 166566),
(222841, 'PTHR37705:SF9', NULL, NULL, NULL, NULL, 'BNAA03G50760D PROTEIN', 166567),
(222842, 'PTHR47357:SF6', NULL, NULL, NULL, NULL, 'BNACNNG44890D PROTEIN', 166568),
(222843, 'PTHR23207:SF2', NULL, NULL, NULL, NULL, 'CORNEODESMOSIN', 166569),
(222844, 'PTHR42893:SF11', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 43', 166570),
(222845, 'PTHR39338', NULL, NULL, NULL, NULL, 'BLL5662 PROTEIN-RELATED', 166571),
(222846, 'PTHR31062:SF117', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 166572),
(222847, 'PTHR31190:SF294', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', 166573),
(222848, 'PTHR23339:SF55', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE TYPE IVA 1', 166574),
(222849, 'PTHR32246:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166575),
(222850, 'PTHR33790:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166576),
(222851, 'PTHR13101', NULL, NULL, NULL, NULL, 'PHOSPHOMEVALONATE KINASE', 166577),
(222852, 'PTHR21700:SF39', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 166578),
(222853, 'PTHR12363:SF46', NULL, NULL, NULL, NULL, 'IMPORTIN-13 HOMOLOG A', 166579),
(222854, 'PTHR24006:SF786', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1-RELATED', 166580),
(222855, 'PTHR46679:SF2', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN', 166581),
(222856, 'PTHR30614:SF10', NULL, NULL, NULL, NULL, 'ARGININE ABC TRANSPORTER PERMEASE PROTEIN ARTM', 166582),
(222857, 'PTHR31568:SF90', NULL, NULL, NULL, NULL, 'ADHESIVE/PROLINE-RICH PROTEIN', 166583),
(222858, 'PTHR43143:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE CPPED1', 166584),
(222859, 'PTHR21662:SF55', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', 166585),
(222860, 'PTHR11371:SF28', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE-1-LIKE 1', 166586),
(222861, 'PTHR43413:SF3', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN ASNC', 166587),
(222862, 'PTHR35275', NULL, NULL, NULL, NULL, 'ZCF37', 166588),
(222863, 'PTHR32246:SF28', NULL, NULL, NULL, NULL, 'LIPID-BINDING FAMILY PROTEIN, PUTATIVE-RELATED', 166589),
(222864, 'PTHR24074:SF50', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', 166590),
(222865, 'PTHR11829:SF137', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN I3', 166591);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(222866, 'PTHR35299:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166592),
(222867, 'PTHR25465:SF12', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 25,-LIKE', 166593),
(222868, 'PTHR31451', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 166594),
(222869, 'PTHR45676:SF80', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL52-LIKE', 166595),
(222870, 'PTHR27005:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166596),
(222871, 'PTHR34710:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166597),
(222872, 'PTHR10209:SF732', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE-LIKE', 166598),
(222873, 'PTHR31190:SF279', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 2', 166599),
(222874, 'PTHR48006:SF4', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 8-LIKE', 166600),
(222875, 'PTHR35490:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166601),
(222876, 'PTHR11266:SF100', NULL, NULL, NULL, NULL, 'PXMP2/4 FAMILY PROTEIN 4-LIKE', 166602),
(222877, 'PTHR33297:SF4', NULL, NULL, NULL, NULL, 'AMASTIN-LIKE SURFACE PROTEIN-LIKE PROTEIN', 166603),
(222878, 'PTHR16675:SF139', NULL, NULL, NULL, NULL, 'MCG58238', 166604),
(222879, 'PTHR43180:SF48', NULL, NULL, NULL, NULL, 'CHAIN ALCOHOL DEHYDROGENASE, PUTATIVE-RELATED', 166605),
(222880, 'PTHR10500:SF0', NULL, NULL, NULL, NULL, 'BETA-MICROSEMINOPROTEIN', 166606),
(222881, 'PTHR34124', NULL, NULL, NULL, NULL, 'F16B3.27 PROTEIN-RELATED', 166607),
(222882, 'PTHR15029:SF0', NULL, NULL, NULL, NULL, 'CAMPATH-1 ANTIGEN', 166608),
(222883, 'PTHR34875:SF6', NULL, NULL, NULL, NULL, 'UPF0237 PROTEIN MJ1558', 166609),
(222884, 'PTHR11071:SF503', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE E (CYCLOPHILIN E)', 166610),
(222885, 'PTHR33186:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166611),
(222886, 'PTHR31415:SF76', NULL, NULL, NULL, NULL, 'YLS9', 166612),
(222887, 'PTHR45667:SF7', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', 166613),
(222888, 'PTHR13866:SF24', NULL, NULL, NULL, NULL, 'SPARC-LIKE 2', 166614),
(222889, 'PTHR31851:SF41', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER HOMOLOG 2.1-LIKE', 166615),
(222890, 'PTHR33052:SF106', NULL, NULL, NULL, NULL, 'OS03G0844850 PROTEIN', 166616),
(222891, 'PTHR33057:SF156', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 166617),
(222892, 'PTHR45676:SF128', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL54-LIKE', 166618),
(222893, 'PTHR46473:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166619),
(222894, 'PTHR35342', NULL, NULL, NULL, NULL, 'TRICARBOXYLIC TRANSPORT PROTEIN', 166620),
(222895, 'PTHR31314:SF71', NULL, NULL, NULL, NULL, 'BNAA06G09420D PROTEIN', 166621),
(222896, 'PTHR42735:SF2', NULL, NULL, NULL, NULL, 'SPHINGOSINE PHOSPHATE LYASE-RELATED', 166622),
(222897, 'PTHR11254:SF300', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SMURF2', 166623),
(222898, 'PTHR19290:SF52', NULL, NULL, NULL, NULL, 'CLASS E BASIC HELIX-LOOP-HELIX PROTEIN 22', 166624),
(222899, 'PTHR15422:SF42', NULL, NULL, NULL, NULL, 'EUKARYOTIC CYTOCHROME B561 PROTEIN', 166625),
(222900, 'PTHR31116:SF33', NULL, NULL, NULL, NULL, 'GMP SYNTHASE [GLUTAMINE-HYDROLYZING]-RELATED', 166626),
(222901, 'PTHR47992:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166627),
(222902, 'PTHR15454:SF56', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 7', 166628),
(222903, 'PTHR45768:SF26', NULL, NULL, NULL, NULL, 'OS03G0149800 PROTEIN', 166629),
(222904, 'PTHR40314', NULL, NULL, NULL, NULL, 'PROTEIN CBG09102-RELATED', 166630),
(222905, 'PTHR45689', NULL, NULL, NULL, NULL, 'I[[H]] CHANNEL, ISOFORM E', 166631),
(222906, 'PTHR46490:SF4', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 12 MEMBER A', 166632),
(222907, 'PTHR23322:SF66', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 10-LIKE', 166633),
(222908, 'PTHR11604:SF35', NULL, NULL, NULL, NULL, 'PROFILIN-5', 166634),
(222909, 'PTHR12845:SF6', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 19', 166635),
(222910, 'PTHR30085:SF7', NULL, NULL, NULL, NULL, 'AMINO-ACID ABC TRANSPORTER-BINDING PROTEIN YHDW-RELATED', 166636);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(222911, 'PTHR24214:SF31', NULL, NULL, NULL, NULL, 'PROTEIN CBG01035', 166637),
(222912, 'PTHR33159:SF15', NULL, NULL, NULL, NULL, 'OS04G0379600 PROTEIN', 166638),
(222913, 'PTHR47682', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-CONTAINING PROTEIN', 166639),
(222914, 'PTHR44366:SF3', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--PEPTIDE N-ACETYLGLUCOSAMINYLTRANSFERASE SEC ISOFORM X1-RELATED', 166640),
(222915, 'PTHR15439:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166641),
(222916, 'PTHR12894:SF33', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN', 166642),
(222917, 'PTHR46266:SF8', NULL, NULL, NULL, NULL, 'BNAC09G11380D PROTEIN', 166643),
(222918, 'PTHR12428:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166644),
(222919, 'PTHR11359', NULL, NULL, NULL, NULL, 'AMP DEAMINASE', 166645),
(222920, 'PTHR45716:SF1', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-LIKE PROTEIN 3', 166646),
(222921, 'PTHR24253:SF71', NULL, NULL, NULL, NULL, 'ENTEROPEPTIDASE', 166647),
(222922, 'PTHR16291', NULL, NULL, NULL, NULL, 'NUCLEAR CAP-BINDING PROTEIN SUBUNIT 3', 166648),
(222923, 'PTHR37199:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 166649),
(222924, 'PTHR13768:SF38', NULL, NULL, NULL, NULL, 'NSF ATTACHMENT PROTEIN-RELATED', 166650),
(222925, 'PTHR46371:SF15', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', 166651),
(222926, 'PTHR31313:SF79', NULL, NULL, NULL, NULL, 'C6 FINGER DOMAIN-CONTAINING PROTEIN', 166652),
(222927, 'PTHR31232:SF29', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 13', 166653),
(222928, 'PTHR31375:SF179', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', 166654),
(222929, 'PTHR33172:SF56', NULL, NULL, NULL, NULL, 'BNAC03G67550D PROTEIN', 166655),
(222930, 'PTHR13301:SF141', NULL, NULL, NULL, NULL, 'MIXED-LINKED GLUCAN SYNTHASE 7-RELATED', 166656),
(222931, 'PTHR32003', NULL, NULL, NULL, NULL, 'PROTEIN FAM199X', 166657),
(222932, 'PTHR46070', NULL, NULL, NULL, NULL, 'PINSTRIPE, ISOFORM A', 166658),
(222933, 'PTHR44329:SF130', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE', 166659),
(222934, 'PTHR11206:SF285', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 166660),
(222935, 'PTHR11843:SF12', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 166661),
(222936, 'PTHR31474', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 166662),
(222937, 'PTHR19282:SF472', NULL, NULL, NULL, NULL, 'BNAA05G35820D PROTEIN', 166663),
(222938, 'PTHR19957:SF331', NULL, NULL, NULL, NULL, 'SYNTAXIN-51-LIKE', 166664),
(222939, 'PTHR19302:SF59', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT', 166665),
(222940, 'PTHR22953:SF114', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 25-RELATED', 166666),
(222941, 'PTHR19876:SF41', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA', 166667),
(222942, 'PTHR10362:SF7', NULL, NULL, NULL, NULL, 'HISTIDINE AMMONIA-LYASE', 166668),
(222943, 'PTHR27007:SF288', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166669),
(222944, 'PTHR14690:SF9', NULL, NULL, NULL, NULL, 'GH08353P', 166670),
(222945, 'PTHR33912:SF3', NULL, NULL, NULL, NULL, 'OS01G0939400 PROTEIN', 166671),
(222946, 'PTHR46290:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166672),
(222947, 'PTHR13155', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEINS', 166673),
(222948, 'PTHR15863:SF2', NULL, NULL, NULL, NULL, 'MRN COMPLEX-INTERACTING PROTEIN', 166674),
(222949, 'PTHR14155:SF557', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166675),
(222950, 'PTHR47782:SF8', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 166676),
(222951, 'PTHR23002:SF107', NULL, NULL, NULL, NULL, 'CELLULAR NUCLEIC ACID-BINDING PROTEIN', 166677),
(222952, 'PTHR40289:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04714', 166678),
(222953, 'PTHR30335:SF0', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT A', 166679),
(222954, 'PTHR11260:SF575', NULL, NULL, NULL, NULL, 'OS01G0950000 PROTEIN', 166680),
(222955, 'PTHR28019:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_6G07470)', 166681);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(222956, 'PTHR48017:SF9', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 166682),
(222957, 'PTHR42695:SF7', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL PEPTIDASE 1', 166683),
(222958, 'PTHR13710:SF84', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE RECS-RELATED', 166684),
(222959, 'PTHR13780:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166685),
(222960, 'PTHR32246:SF24', NULL, NULL, NULL, NULL, 'OS07G0670200 PROTEIN', 166686),
(222961, 'PTHR24346:SF30', NULL, NULL, NULL, NULL, 'KP78A-RELATED', 166687),
(222962, 'PTHR12668:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14A', 166688),
(222963, 'PTHR23021:SF26', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 166689),
(222964, 'PTHR47538', NULL, NULL, NULL, NULL, 'PERILIPIN 4', 166690),
(222965, 'PTHR47975:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166691),
(222966, 'PTHR35632:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PROTEIN', 166692),
(222967, 'PTHR39673', NULL, NULL, NULL, NULL, 'TUNGSTEN FORMYLMETHANOFURAN DEHYDROGENASE, SUBUNIT C (FWDC)', 166693),
(222968, 'PTHR26452:SF821', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 166694),
(222969, 'PTHR31325:SF207', NULL, NULL, NULL, NULL, 'OS08G0149333 PROTEIN', 166695),
(222970, 'PTHR43070:SF9', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ASPARTOKINASE/HOMOSERINE DEHYDROGENASE 2, CHLOROPLASTIC', 166696),
(222971, 'PTHR24296:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 166697),
(222972, 'PTHR16517:SF97', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 166698),
(222973, 'PTHR45787:SF10', NULL, NULL, NULL, NULL, 'BEADEX, ISOFORM D', 166699),
(222974, 'PTHR10621:SF42', NULL, NULL, NULL, NULL, 'BNAC05G12320D PROTEIN', 166700),
(222975, 'PTHR44137:SF19', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN CONTAINING PROTEIN, EXPRESSED', 166701),
(222976, 'PTHR48047:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 166702),
(222977, 'PTHR12236:SF79', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 50CB', 166703),
(222978, 'PTHR20883:SF34', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE', 166704),
(222979, 'PTHR46665:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH041-RELATED', 166705),
(222980, 'PTHR24637:SF266', NULL, NULL, NULL, NULL, 'COLLAGEN', 166706),
(222981, 'PTHR11214:SF153', NULL, NULL, NULL, NULL, 'UDP-GALNAC:BETA-1,3-N-ACETYLGALACTOSAMINYLTRANSFERASE 1', 166707),
(222982, 'PTHR31081:SF8', NULL, NULL, NULL, NULL, 'OS12G0503300 PROTEIN', 166708),
(222983, 'PTHR18063:SF16', NULL, NULL, NULL, NULL, 'OS06G0718800 PROTEIN', 166709),
(222984, 'PTHR32176:SF68', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 1', 166710),
(222985, 'PTHR10826:SF35', NULL, NULL, NULL, NULL, 'BNAC03G15060D PROTEIN', 166711),
(222986, 'PTHR16093:SF6', NULL, NULL, NULL, NULL, 'INNATE IMMUNITY ACTIVATOR B', 166712),
(222987, 'PTHR34276', NULL, NULL, NULL, NULL, 'MINI-RIBONUCLEASE 3', 166713),
(222988, 'PTHR39174', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 166714),
(222989, 'PTHR11670:SF43', NULL, NULL, NULL, NULL, '2-METHYLCITRATE DEHYDRATASE (2-METHYL-TRANS-ACONITATE FORMING)', 166715),
(222990, 'PTHR43900:SF83', NULL, NULL, NULL, NULL, 'BNAA08G27280D PROTEIN', 166716),
(222991, 'PTHR10578:SF134', NULL, NULL, NULL, NULL, 'BNAA07G39260D PROTEIN', 166717),
(222992, 'PTHR23500:SF14', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 14', 166718),
(222993, 'PTHR45589:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 62, ISOFORM G', 166719),
(222994, 'PTHR43396:SF1', NULL, NULL, NULL, NULL, 'FLAVOHEMOPROTEIN B', 166720),
(222995, 'PTHR11062:SF292', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX10-RELATED', 166721),
(222996, 'PTHR32011:SF8', NULL, NULL, NULL, NULL, 'BNAC08G21750D PROTEIN', 166722),
(222997, 'PTHR43507:SF8', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE CHAIN 4-2', 166723),
(222998, 'PTHR43822:SF9', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE', 166724),
(222999, 'PTHR10340:SF52', NULL, NULL, NULL, NULL, 'SPHINGOMYELINASE PHOSPHODIESTERASE D', 166725);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(223000, 'PTHR43204', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 6, CHLOROPLASTIC', 166726),
(223001, 'PTHR18952:SF82', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 1', 166727),
(223002, 'PTHR34198:SF12', NULL, NULL, NULL, NULL, 'BNAA05G35680D PROTEIN', 166728),
(223003, 'PTHR26450:SF154', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51B4', 166729),
(223004, 'PTHR47999:SF10', NULL, NULL, NULL, NULL, 'MYB DOMAIN CLASS TRANSCRIPTION FACTOR', 166730),
(223005, 'PTHR11538:SF41', NULL, NULL, NULL, NULL, 'PHENYLALANINE--TRNA LIGASE, MITOCHONDRIAL', 166731),
(223006, 'PTHR10177:SF434', NULL, NULL, NULL, NULL, 'CYCLIN-A2-4', 166732),
(223007, 'PTHR18945:SF335', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT ALPHA-6', 166733),
(223008, 'PTHR11504:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6A, MITOCHONDRIAL', 166734),
(223009, 'PTHR12960:SF0', NULL, NULL, NULL, NULL, 'NUCLEOPORIN GLE1', 166735),
(223010, 'PTHR16223', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH83-RELATED', 166736),
(223011, 'PTHR36016:SF7', NULL, NULL, NULL, NULL, 'BNAA04G18030D PROTEIN', 166737),
(223012, 'PTHR24298:SF137', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 93G1', 166738),
(223013, 'PTHR10281:SF87', NULL, NULL, NULL, NULL, 'METABOLISM-RELATED PROTEIN, PUTATIVE-RELATED', 166739),
(223014, 'PTHR45644:SF44', NULL, NULL, NULL, NULL, 'BNAA08G07900D PROTEIN', 166740),
(223015, 'PTHR31251:SF77', NULL, NULL, NULL, NULL, '1 PROTEIN, PUTATIVE-RELATED', 166741),
(223016, 'PTHR11003:SF296', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 166742),
(223017, 'PTHR24365:SF542', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 2', 166743),
(223018, 'PTHR10196:SF68', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE 5-RELATED', 166744),
(223019, 'PTHR15336:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6', 166745),
(223020, 'PTHR43939:SF47', NULL, NULL, NULL, NULL, 'PREFOLDIN', 166746),
(223021, 'PTHR31642:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166747),
(223022, 'PTHR43370:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', 166748),
(223023, 'PTHR34222', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 166749),
(223024, 'PTHR42867', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 166750),
(223025, 'PTHR33307:SF5', NULL, NULL, NULL, NULL, 'ALFA-L-RHAMNOSIDASE', 166751),
(223026, 'PTHR24373:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166752),
(223027, 'PTHR31235:SF299', NULL, NULL, NULL, NULL, 'PEROXIDASE', 166753),
(223028, 'PTHR31080:SF110', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 3', 166754),
(223029, 'PTHR11430:SF1', NULL, NULL, NULL, NULL, 'EPIDIDYMAL-SPECIFIC LIPOCALIN-8', 166755),
(223030, 'PTHR31859:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166756),
(223031, 'PTHR12622:SF35', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DTX3-RELATED', 166757),
(223032, 'PTHR13723:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166758),
(223033, 'PTHR39654:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 75B', 166759),
(223034, 'PTHR33270:SF35', NULL, NULL, NULL, NULL, 'BNAC02G20240D PROTEIN', 166760),
(223035, 'PTHR12931:SF32', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE', 166761),
(223036, 'PTHR11088:SF41', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE', 166762),
(223037, 'PTHR34052', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN-LIKE', 166763),
(223038, 'PTHR34568:SF6', NULL, NULL, NULL, NULL, 'BNAA04G05660D PROTEIN', 166764),
(223039, 'PTHR13048:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PARTICLE COMPLEX SUBUNIT, PUTATIVE-RELATED', 166765),
(223040, 'PTHR14879:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166766),
(223041, 'PTHR19919:SF3', NULL, NULL, NULL, NULL, 'SEVEN WD REPEATS, AN11 FAMILY', 166767),
(223042, 'PTHR31916:SF36', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE E, CHLOROPLASTIC', 166768),
(223043, 'PTHR30511', NULL, NULL, NULL, NULL, 'ALANINE RACEMASE', 166769),
(223044, 'PTHR10218:SF215', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-17 SUBUNIT', 166770);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(223045, 'PTHR10913:SF45', NULL, NULL, NULL, NULL, 'MIP10102P-RELATED', 166771),
(223046, 'PTHR23183', NULL, NULL, NULL, NULL, 'NOP14', 166772),
(223047, 'PTHR31221:SF255', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 71-RELATED', 166773),
(223048, 'PTHR31241', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2C', 166774),
(223049, 'PTHR45614:SF127', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 166775),
(223050, 'PTHR22829:SF7', NULL, NULL, NULL, NULL, 'SI:DKEYP-97E7.9', 166776),
(223051, 'PTHR48047:SF113', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 166777),
(223052, 'PTHR35546:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166778),
(223053, 'PTHR37313:SF2', NULL, NULL, NULL, NULL, 'UPF0749 PROTEIN RV1825', 166779),
(223054, 'PTHR34567:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166780),
(223055, 'PTHR45638:SF10', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE GATED CHANNEL', 166781),
(223056, 'PTHR31332:SF6', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE SUBUNIT BETA', 166782),
(223057, 'PTHR12817:SF3', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 6B', 166783),
(223058, 'PTHR23424:SF23', NULL, NULL, NULL, NULL, 'PROTEIN SAAL1', 166784),
(223059, 'PTHR37488:SF2', NULL, NULL, NULL, NULL, 'DUF1275 DOMAIN-CONTAINING PROTEIN', 166785),
(223060, 'PTHR31989:SF345', NULL, NULL, NULL, NULL, 'OS02G0643600 PROTEIN', 166786),
(223061, 'PTHR30154:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR AZLB', 166787),
(223062, 'PTHR33048:SF112', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 166788),
(223063, 'PTHR13505', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 208', 166789),
(223064, 'PTHR19332:SF9', NULL, NULL, NULL, NULL, 'OS07G0152800 PROTEIN', 166790),
(223065, 'PTHR22970', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 2', 166791),
(223066, 'PTHR18929:SF206', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 1-3', 166792),
(223067, 'PTHR35849:SF2', NULL, NULL, NULL, NULL, 'BLR2341 PROTEIN', 166793),
(223068, 'PTHR45707:SF41', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN', 166794),
(223069, 'PTHR10663:SF108', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 1', 166795),
(223070, 'PTHR22793:SF11', NULL, NULL, NULL, NULL, 'MYOCARDIN', 166796),
(223071, 'PTHR16551:SF5', NULL, NULL, NULL, NULL, 'AGOUTI-RELATED PEPTIDE 2', 166797),
(223072, 'PTHR14096:SF1', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L DOMAIN-CONTAINING PROTEIN 1', 166798),
(223073, 'PTHR11063:SF16', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', 166799),
(223074, 'PTHR15511:SF2', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 13B', 166800),
(223075, 'PTHR43133:SF31', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGW', 166801),
(223076, 'PTHR11566:SF195', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN DNM1', 166802),
(223077, 'PTHR43920', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL, ISOFORM A', 166803),
(223078, 'PTHR11601:SF34', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURASE, MITOCHONDRIAL', 166804),
(223079, 'PTHR41533', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE HI_1667-RELATED', 166805),
(223080, 'PTHR11254:SF310', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NEDD4-LIKE', 166806),
(223081, 'PTHR43649:SF6', NULL, NULL, NULL, NULL, 'SLR1865 PROTEIN', 166807),
(223082, 'PTHR31722:SF50', NULL, NULL, NULL, NULL, 'BNAC08G22030D PROTEIN', 166808),
(223083, 'PTHR15710:SF141', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL36-RELATED', 166809),
(223084, 'PTHR11961:SF29', NULL, NULL, NULL, NULL, 'CYTOCHROME C', 166810),
(223085, 'PTHR26454:SF3', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 166811),
(223086, 'PTHR23073:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG20339', 166812),
(223087, 'PTHR43031', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT OXIDOREDUCTASE', 166813),
(223088, 'PTHR34545:SF11', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 21', 166814),
(223089, 'PTHR43880:SF28', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE 1-RELATED', 166815);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(223090, 'PTHR46796:SF5', NULL, NULL, NULL, NULL, 'ARAC SUBFAMILY', 166816),
(223091, 'PTHR13763:SF6', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED RING DOMAIN PROTEIN 1', 166817),
(223092, 'PTHR20934:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', 166818),
(223093, 'PTHR15907:SF181', NULL, NULL, NULL, NULL, 'PLAC8 MOTIF-CONTAINING PROTEIN-RELATED', 166819),
(223094, 'PTHR35291:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166820),
(223095, 'PTHR43880:SF46', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE CLASS-3', 166821),
(223096, 'PTHR13774:SF19', NULL, NULL, NULL, NULL, 'OS03G0434400 PROTEIN', 166822),
(223097, 'PTHR24186:SF8', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 166823),
(223098, 'PTHR12900:SF3', NULL, NULL, NULL, NULL, 'CHECKPOINT PROTEIN HUS1B', 166824),
(223099, 'PTHR34996:SF2', NULL, NULL, NULL, NULL, 'OS02G0193732 PROTEIN', 166825),
(223100, 'PTHR10108:SF1086', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 166826),
(223101, 'PTHR42798:SF4', NULL, NULL, NULL, NULL, 'TRANSPORTER, ATP-BINDING PROTEIN, PUTATIVE-RELATED', 166827),
(223102, 'PTHR31213:SF55', NULL, NULL, NULL, NULL, 'STRESS-INDUCED PROTEIN SAM22', 166828),
(223103, 'PTHR45652:SF14', NULL, NULL, NULL, NULL, 'PERIPHERIN', 166829),
(223104, 'PTHR30420:SF2', NULL, NULL, NULL, NULL, 'N-SUCCINYLARGININE DIHYDROLASE', 166830),
(223105, 'PTHR47793', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT CTI6', 166831),
(223106, 'PTHR45696:SF13', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1', 166832),
(223107, 'PTHR41791', NULL, NULL, NULL, NULL, 'SSL7039 PROTEIN', 166833),
(223108, 'PTHR14292:SF2', NULL, NULL, NULL, NULL, 'INTERLEUKIN-18-BINDING PROTEIN', 166834),
(223109, 'PTHR11334:SF26', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER E', 166835),
(223110, 'PTHR35870:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03330)-RELATED', 166836),
(223111, 'PTHR23266:SF241', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-30-RELATED', 166837),
(223112, 'PTHR11206:SF392', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 166838),
(223113, 'PTHR24031:SF223', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE GLH-4', 166839),
(223114, 'PTHR21700:SF51', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 166840),
(223115, 'PTHR12112:SF47', NULL, NULL, NULL, NULL, 'EXOPOLYPHOSPHATASE PRUNE1', 166841),
(223116, 'PTHR24161:SF57', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 55', 166842),
(223117, 'PTHR46483', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1 PLIP2, CHLOROPLASTIC', 166843),
(223118, 'PTHR11097:SF27', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE NUCLEOTIDYLTRANSFERASE, PNPASE/RNASE PH DOMAIN PROTEIN-RELATED', 166844),
(223119, 'PTHR24007:SF7', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED PROTEIN', 166845),
(223120, 'PTHR21450:SF17', NULL, NULL, NULL, NULL, 'OS09G0542500 PROTEIN', 166846),
(223121, 'PTHR31311:SF8', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 3-RELATED', 166847),
(223122, 'PTHR31985:SF86', NULL, NULL, NULL, NULL, 'OS02G0781300 PROTEIN', 166848),
(223123, 'PTHR24221:SF543', NULL, NULL, NULL, NULL, 'FINGER-CONTAINING PROTEIN, PUTATIVE-RELATED', 166849),
(223124, 'PTHR47293:SF13', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 45', 166850),
(223125, 'PTHR45745:SF2', NULL, NULL, NULL, NULL, 'GLUCOSE 1,6-BISPHOSPHATE SYNTHASE', 166851),
(223126, 'PTHR23284:SF2', NULL, NULL, NULL, NULL, 'SEC12-LIKE PROTEIN 1', 166852),
(223127, 'PTHR10693:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166853),
(223128, 'PTHR10849', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE  UBIQUINONE  IRON-SULFUR PROTEIN 8, MITOCHONDRIAL', 166854),
(223129, 'PTHR10404:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166855),
(223130, 'PTHR22588', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 166856),
(223131, 'PTHR11706:SF83', NULL, NULL, NULL, NULL, 'ETHYLENE-INSENSITIVE PROTEIN 2', 166857),
(223132, 'PTHR36956:SF2', NULL, NULL, NULL, NULL, 'UTERINE LUMIN EXPRESSED/LOCAILIZED', 166858);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(223133, 'PTHR23070:SF123', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN ISOFORM 1', 166859),
(223134, 'PTHR36766:SF3', NULL, NULL, NULL, NULL, 'PLANT BROAD-SPECTRUM MILDEW RESISTANCE PROTEIN RPW8', 166860),
(223135, 'PTHR43880:SF39', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE 3', 166861),
(223136, 'PTHR10366:SF672', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166862),
(223137, 'PTHR13803:SF34', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC24-LIKE CEF', 166863),
(223138, 'PTHR23240:SF30', NULL, NULL, NULL, NULL, 'DNA CROSS-LINK REPAIR PROTEIN SNM1', 166864),
(223139, 'PTHR45923:SF17', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', 166865),
(223140, 'PTHR14000:SF12', NULL, NULL, NULL, NULL, 'BNAC08G14560D PROTEIN', 166866),
(223141, 'PTHR19871:SF19', NULL, NULL, NULL, NULL, 'QUININE NON-AVOIDER', 166867),
(223142, 'PTHR24068:SF352', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME 15', 166868),
(223143, 'PTHR47990:SF122', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 4', 166869),
(223144, 'PTHR11824:SF5', NULL, NULL, NULL, NULL, 'CA2+-CHANNEL-PROTEIN-BETA-SUBUNIT, ISOFORM L', 166870),
(223145, 'PTHR11177:SF248', NULL, NULL, NULL, NULL, 'CHITOTRIOSIDASE-1', 166871),
(223146, 'PTHR24419:SF7', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE 3', 166872),
(223147, 'PTHR11417:SF13', NULL, NULL, NULL, NULL, 'GROWTH HORMONE D9', 166873),
(223148, 'PTHR31589:SF98', NULL, NULL, NULL, NULL, 'PEPTIDASE, PUTATIVE (DUF239)-RELATED', 166874),
(223149, 'PTHR24339:SF28', NULL, NULL, NULL, NULL, 'INTERMEDIATE NEUROBLASTS DEFECTIVE', 166875),
(223150, 'PTHR31815:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 200C', 166876),
(223151, 'PTHR45982:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166877),
(223152, 'PTHR11407:SF27', NULL, NULL, NULL, NULL, '9530003J23RIK PROTEIN', 166878),
(223153, 'PTHR12297:SF12', NULL, NULL, NULL, NULL, 'HIG1 HYPOXIA-INDUCIBLE DOMAIN FAMILY MEMBER 1C', 166879),
(223154, 'PTHR19282:SF421', NULL, NULL, NULL, NULL, 'TETRASPANIN', 166880),
(223155, 'PTHR22884:SF488', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 166881),
(223156, 'PTHR48049:SF27', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 166882),
(223157, 'PTHR31549:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166883),
(223158, 'PTHR12748:SF0', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 3', 166884),
(223159, 'PTHR47091', NULL, NULL, NULL, NULL, 'ALPHA-PROTEIN KINASE 2-RELATED', 166885),
(223160, 'PTHR24216:SF11', NULL, NULL, NULL, NULL, 'PAXILLIN', 166886),
(223161, 'PTHR23140:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166887),
(223162, 'PTHR11829:SF209', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN B1', 166888),
(223163, 'PTHR13633:SF3', NULL, NULL, NULL, NULL, 'SIMILAR TO PROTEIN C6ORF203', 166889),
(223164, 'PTHR33107:SF49', NULL, NULL, NULL, NULL, 'BNAANNG20120D PROTEIN', 166890),
(223165, 'PTHR23115:SF255', NULL, NULL, NULL, NULL, 'HBS1-LIKE PROTEIN ISOFORM X1', 166891),
(223166, 'PTHR15056:SF0', NULL, NULL, NULL, NULL, 'ACTIVATOR OF APOPTOSIS HARAKIRI', 166892),
(223167, 'PTHR12394', NULL, NULL, NULL, NULL, 'ZYGIN', 166893),
(223168, 'PTHR33232:SF12', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION B-LIKE ISOFORM X1', 166894),
(223169, 'PTHR41401:SF1', NULL, NULL, NULL, NULL, 'RGD1559909', 166895),
(223170, 'PTHR24117:SF6', NULL, NULL, NULL, NULL, 'BCL-6 COREPRESSOR-LIKE PROTEIN 1', 166896),
(223171, 'PTHR33386:SF28', NULL, NULL, NULL, NULL, 'BNAA06G20790D PROTEIN', 166897),
(223172, 'PTHR16062', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED', 166898),
(223173, 'PTHR42715:SF3', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE B', 166899),
(223174, 'PTHR46463', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE', 166900),
(223175, 'PTHR46508:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166901),
(223176, 'PTHR33199:SF16', NULL, NULL, NULL, NULL, 'MEMBRANE ATTACK COMPLEX COMPONENT/PERFORIN (MACPF) DOMAIN-CONTAINING PROTEIN-RELATED', 166902); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(223177, 'PTHR11728:SF7', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE 1-LIKE PROTEIN', 166903),
(223178, 'PTHR47926:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166904),
(223179, 'PTHR28242:SF47', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 1', 166905),
(223180, 'PTHR32080:SF42', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 5', 166906),
(223181, 'PTHR10768', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37', 166907),
(223182, 'PTHR10177:SF227', NULL, NULL, NULL, NULL, 'CYCLIN-D1-1-LIKE ISOFORM X1', 166908),
(223183, 'PTHR12655:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG14719', 166909),
(223184, 'PTHR47991:SF53', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE', 166910),
(223185, 'PTHR28285:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BIG1', 166911),
(223186, 'PTHR20835', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PPP1R11-RELATED', 166912),
(223187, 'PTHR13693:SF88', NULL, NULL, NULL, NULL, 'LONG CHAIN BASE BIOSYNTHESIS 2A-LIKE PROTEIN', 166913),
(223188, 'PTHR13252:SF1', NULL, NULL, NULL, NULL, 'DAMPENED, ISOFORM A', 166914),
(223189, 'PTHR11480:SF86', NULL, NULL, NULL, NULL, 'BNACNNG40660D PROTEIN', 166915),
(223190, 'PTHR31072:SF161', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, TCP-RELATED', 166916),
(223191, 'PTHR33138:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166917),
(223192, 'PTHR45619:SF40', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 166918),
(223193, 'PTHR23017:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 166919),
(223194, 'PTHR45957:SF2', NULL, NULL, NULL, NULL, 'BNAC04G32030D PROTEIN', 166920),
(223195, 'PTHR35165:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166921),
(223196, 'PTHR21522:SF34', NULL, NULL, NULL, NULL, 'OTOPETRIN-LIKE', 166922),
(223197, 'PTHR48062:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE MSL1-LIKE ISOFORM X1', 166923),
(223198, 'PTHR24388:SF63', NULL, NULL, NULL, NULL, 'ZGC:153635', 166924),
(223199, 'PTHR47024:SF2', NULL, NULL, NULL, NULL, 'BIOFILM ABSENT ON HEAD (AFTER YERSINIA EXPOSURE)', 166925),
(223200, 'PTHR18929:SF222', NULL, NULL, NULL, NULL, 'DISULFIDE ISOMERASE, PUTATIVE-RELATED', 166926),
(223201, 'PTHR35872:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166927),
(223202, 'PTHR31096:SF52', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR6-LIKE', 166928),
(223203, 'PTHR32208:SF73', NULL, NULL, NULL, NULL, 'GLYOXAL OXIDASE-RELATED PROTEIN-RELATED', 166929),
(223204, 'PTHR45630:SF5', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', 166930),
(223205, 'PTHR20953:SF3', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 166931),
(223206, 'PTHR13018:SF114', NULL, NULL, NULL, NULL, 'RE44586P', 166932),
(223207, 'PTHR23106', NULL, NULL, NULL, NULL, 'ANGIOGENIC FACTOR WITH G PATCH AND FHA DOMAINS 1', 166933),
(223208, 'PTHR45660:SF62', NULL, NULL, NULL, NULL, 'BNAC04G11240D PROTEIN', 166934),
(223209, 'PTHR31429:SF93', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', 166935),
(223210, 'PTHR36982:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 18', 166936),
(223211, 'PTHR11913:SF59', NULL, NULL, NULL, NULL, 'DEPOLYMERIZING FACTOR, PUTATIVE-RELATED', 166937),
(223212, 'PTHR16223:SF141', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH130-LIKE', 166938),
(223213, 'PTHR24034:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166939),
(223214, 'PTHR44067:SF13', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', 166940),
(223215, 'PTHR22984:SF23', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIM-2', 166941),
(223216, 'PTHR11439:SF252', NULL, NULL, NULL, NULL, 'TRANSPOSON TY4-H GAG POLYPROTEIN-RELATED', 166942),
(223217, 'PTHR43086:SF2', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE-LIKE PROTEIN 1', 166943),
(223218, 'PTHR19317:SF71', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 166944),
(223219, 'PTHR22603:SF80', NULL, NULL, NULL, NULL, 'BNAC06G07990D PROTEIN', 166945);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(223220, 'PTHR46224:SF12', NULL, NULL, NULL, NULL, 'OS03G0680300 PROTEIN', 166946),
(223221, 'PTHR46336:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166947),
(223222, 'PTHR41391:SF1', NULL, NULL, NULL, NULL, 'RESTRICTION OF TELOMERE CAPPING PROTEIN 4', 166948),
(223223, 'PTHR31871:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166949),
(223224, 'PTHR33698:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2)-LIKE PROTEIN', 166950),
(223225, 'PTHR14208:SF0', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER AND W2 DOMAIN-CONTAINING PROTEIN 1', 166951),
(223226, 'PTHR46691:SF6', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 10-RELATED', 166952),
(223227, 'PTHR46472:SF1', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN', 166953),
(223228, 'PTHR18966:SF489', NULL, NULL, NULL, NULL, 'RECEPTOR 3.3, PUTATIVE-RELATED', 166954),
(223229, 'PTHR47159:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG11491', 166955),
(223230, 'PTHR46267:SF11', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING FACTOR 2', 166956),
(223231, 'PTHR24247:SF30', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 2A', 166957),
(223232, 'PTHR13199:SF17', NULL, NULL, NULL, NULL, 'MEIOSIS CHROMOSOME SEGREGATION FAMILY PROTEIN', 166958),
(223233, 'PTHR45895:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166959),
(223234, 'PTHR11315:SF0', NULL, NULL, NULL, NULL, 'FOLATE GAMMA-GLUTAMYL HYDROLASE', 166960),
(223235, 'PTHR12668:SF37', NULL, NULL, NULL, NULL, 'PROTEIN FATTY ACID EXPORT 2, CHLOROPLASTIC', 166961),
(223236, 'PTHR26312:SF148', NULL, NULL, NULL, NULL, 'BNAC05G00170D PROTEIN', 166962),
(223237, 'PTHR12047:SF2', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP A PROTEIN', 166963),
(223238, 'PTHR10796:SF94', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 166964),
(223239, 'PTHR43000:SF27', NULL, NULL, NULL, NULL, 'DTDP-GLUCOSE 4,6-DEHYDRATASE 2', 166965),
(223240, 'PTHR33680:SF4', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', 166966),
(223241, 'PTHR24416:SF559', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166967),
(223242, 'PTHR34589:SF1', NULL, NULL, NULL, NULL, 'SPINDLIN INTERACTOR AND REPRESSOR OF CHROMATIN-BINDING PROTEIN', 166968),
(223243, 'PTHR37391:SF7', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 166969),
(223244, 'PTHR32285:SF169', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 166970),
(223245, 'PTHR23257:SF752', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0275165-RELATED', 166971),
(223246, 'PTHR24058:SF113', NULL, NULL, NULL, NULL, 'HYPOTHETICAL SER-THR PROTEIN KINASE-RELATED', 166972),
(223247, 'PTHR10288:SF263', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN', 166973),
(223248, 'PTHR22745:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166974),
(223249, 'PTHR46704:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166975),
(223250, 'PTHR10783', NULL, NULL, NULL, NULL, 'XENOTROPIC AND POLYTROPIC RETROVIRUS RECEPTOR 1-RELATED', 166976),
(223251, 'PTHR23418:SF14', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE', 166977),
(223252, 'PTHR12879:SF14', NULL, NULL, NULL, NULL, 'SPHINGOLIPID DELTA(4)-DESATURASE/C4-MONOOXYGENASE DES2', 166978),
(223253, 'PTHR10102:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE, MITOCHONDRIAL', 166979),
(223254, 'PTHR24286:SF320', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 166980),
(223255, 'PTHR13690:SF138', NULL, NULL, NULL, NULL, 'BNAA08G28740D PROTEIN', 166981),
(223256, 'PTHR34569:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 166982),
(223257, 'PTHR31205:SF51', NULL, NULL, NULL, NULL, 'BNAC06G30990D PROTEIN', 166983),
(223258, 'PTHR15710:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 166984),
(223259, 'PTHR11442:SF80', NULL, NULL, NULL, NULL, 'ZGC:163057', 166985),
(223260, 'PTHR11803:SF50', NULL, NULL, NULL, NULL, 'BNAC01G32570D PROTEIN', 166986),
(223261, 'PTHR23120:SF17', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT-CONTAINING PROTEIN FAMILY MEMBER 7', 166987);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(223262, 'PTHR10794:SF80', NULL, NULL, NULL, NULL, 'MONOACYLGLYCEROL LIPASE ABHD2-A', 166988),
(223263, 'PTHR22595:SF157', NULL, NULL, NULL, NULL, 'BNAA01G30560D PROTEIN', 166989),
(223264, 'PTHR45978:SF1', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 2-LIKE', 166990),
(223265, 'PTHR31388:SF208', NULL, NULL, NULL, NULL, 'PEROXIDASE', 166991),
(223266, 'PTHR11662:SF399', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 17 MEMBER 5', 166992),
(223267, 'PTHR45649:SF11', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 166993),
(223268, 'PTHR42847', NULL, NULL, NULL, NULL, 'ALKANESULFONATE MONOOXYGENASE', 166994),
(223269, 'PTHR35277:SF17', NULL, NULL, NULL, NULL, 'BNAA10G29050D PROTEIN', 166995),
(223270, 'PTHR12419:SF67', NULL, NULL, NULL, NULL, 'OVARIAN TUMOUR, OTUBAIN', 166996),
(223271, 'PTHR46151:SF20', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN 1-LIKE', 166997),
(223272, 'PTHR12396:SF6', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 3-LIKE 2-RELATED', 166998),
(223273, 'PTHR12930:SF0', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 113A1-RELATED', 166999),
(223274, 'PTHR45644:SF31', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 1-LIKE', 167000),
(223275, 'PTHR23111:SF75', NULL, NULL, NULL, NULL, 'OS06G0141200 PROTEIN', 167001),
(223276, 'PTHR32305', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 167002),
(223277, 'PTHR13018:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167003),
(223278, 'PTHR19430', NULL, NULL, NULL, NULL, 'PROTEIN BEX1-RELATED', 167004),
(223279, 'PTHR11346:SF97', NULL, NULL, NULL, NULL, 'GALECTIN-1', 167005),
(223280, 'PTHR31099:SF24', NULL, NULL, NULL, NULL, 'BNAC03G75020D PROTEIN', 167006),
(223281, 'PTHR23507:SF1', NULL, NULL, NULL, NULL, 'ZGC:174356', 167007),
(223282, 'PTHR14207:SF0', NULL, NULL, NULL, NULL, '3-BETA-HYDROXYSTEROID-DELTA(8),DELTA(7)-ISOMERASE', 167008),
(223283, 'PTHR37702', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', 167009),
(223284, 'PTHR35463:SF11', NULL, NULL, NULL, NULL, 'BNAC05G12860D PROTEIN', 167010),
(223285, 'PTHR46189:SF1', NULL, NULL, NULL, NULL, 'LD41958P', 167011),
(223286, 'PTHR19441:SF13', NULL, NULL, NULL, NULL, 'ANTILEUKOPROTEINASE', 167012),
(223287, 'PTHR20905', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE-RELATED', 167013),
(223288, 'PTHR12638', NULL, NULL, NULL, NULL, 'PROTEIN MAGO NASHI HOMOLOG', 167014),
(223289, 'PTHR37553:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167015),
(223290, 'PTHR10166:SF46', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, VOLTAGE-DEPENDENT, ALPHA 2/DELTA SUBUNIT 2B', 167016),
(223291, 'PTHR11467:SF117', NULL, NULL, NULL, NULL, 'BNAANNG11070D PROTEIN', 167017),
(223292, 'PTHR10579:SF146', NULL, NULL, NULL, NULL, 'OS10G0464800 PROTEIN', 167018),
(223293, 'PTHR11783:SF44', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 1A2', 167019),
(223294, 'PTHR16004:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167020),
(223295, 'PTHR24096:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167021),
(223296, 'PTHR24390:SF64', NULL, NULL, NULL, NULL, 'PLAG1 ZINC FINGER', 167022),
(223297, 'PTHR46008:SF38', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', 167023),
(223298, 'PTHR23189:SF95', NULL, NULL, NULL, NULL, 'DAF-12-INTERACTING PROTEIN 1', 167024),
(223299, 'PTHR33103:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167025),
(223300, 'PTHR11559:SF192', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 1C-RELATED', 167026),
(223301, 'PTHR12713:SF28', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G1', 167027),
(223302, 'PTHR26452:SF38', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5K1', 167028),
(223303, 'PTHR31147:SF47', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 15', 167029),
(223304, 'PTHR45759:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167030),
(223305, 'PTHR12276:SF54', NULL, NULL, NULL, NULL, 'MYCBP-ASSOCIATED PROTEIN', 167031),
(223306, 'PTHR48102:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE ATPASE SUBUNIT HSLU', 167032),
(223307, 'PTHR33207:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167033);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(223308, 'PTHR32093:SF116', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 1', 167034),
(223309, 'PTHR42784', NULL, NULL, NULL, NULL, 'PYRANOSE 2-OXIDASE', 167035),
(223310, 'PTHR10614:SF2', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR SUBSTRATE 4', 167036),
(223311, 'PTHR12865:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE TYPE 2-BETA', 167037),
(223312, 'PTHR24147:SF29', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 62', 167038),
(223313, 'PTHR34120:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 167039),
(223314, 'PTHR46207:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RCC2', 167040),
(223315, 'PTHR47979:SF67', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-2-A', 167041),
(223316, 'PTHR22989:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG04437', 167042),
(223317, 'PTHR43908:SF3', NULL, NULL, NULL, NULL, 'AT29763P-RELATED', 167043),
(223318, 'PTHR33133', NULL, NULL, NULL, NULL, 'OS08G0107100 PROTEIN-RELATED', 167044),
(223319, 'PTHR23359:SF70', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 1, ISOFORM B', 167045),
(223320, 'PTHR36311', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I SUBUNIT O', 167046),
(223321, 'PTHR31741:SF63', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 37', 167047),
(223322, 'PTHR34133', NULL, NULL, NULL, NULL, 'OS07G0633000 PROTEIN', 167048),
(223323, 'PTHR11748:SF111', NULL, NULL, NULL, NULL, 'D-LACTATE DEHYDROGENASE, MITOCHONDRIAL-RELATED', 167049),
(223324, 'PTHR31639:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167050),
(223325, 'PTHR12002:SF99', NULL, NULL, NULL, NULL, 'CLAUDIN-14', 167051),
(223326, 'PTHR43394:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PERMEASE MDL2, MITOCHONDRIAL', 167052),
(223327, 'PTHR46445:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167053),
(223328, 'PTHR45769:SF6', NULL, NULL, NULL, NULL, 'ADENOSINE KINASE B', 167054),
(223329, 'PTHR11767:SF14', NULL, NULL, NULL, NULL, 'ATP-SENSITIVE INWARD RECTIFIER POTASSIUM CHANNEL 12-RELATED', 167055),
(223330, 'PTHR12015:SF165', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-C MOTIF) LIGAND 34A, DUPLICATE 3-RELATED', 167056),
(223331, 'PTHR22599:SF30', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR 1A', 167057),
(223332, 'PTHR31677:SF134', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 7', 167058),
(223333, 'PTHR43559', NULL, NULL, NULL, NULL, 'HYDROLASE YCAC-RELATED', 167059),
(223334, 'PTHR20531', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 167060),
(223335, 'PTHR46806:SF4', NULL, NULL, NULL, NULL, 'NEUROPILIN-1', 167061),
(223336, 'PTHR31403:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167062),
(223337, 'PTHR12984:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167063),
(223338, 'PTHR31851:SF56', NULL, NULL, NULL, NULL, 'BNAA07G03300D PROTEIN', 167064),
(223339, 'PTHR10454:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167065),
(223340, 'PTHR43442', NULL, NULL, NULL, NULL, 'GLUCONOKINASE-RELATED', 167066),
(223341, 'PTHR24173:SF33', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 2', 167067),
(223342, 'PTHR33433:SF17', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 3', 167068),
(223343, 'PTHR11730:SF101', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1 MEMBER 4', 167069),
(223344, 'PTHR31719:SF183', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 2', 167070),
(223345, 'PTHR10488:SF1', NULL, NULL, NULL, NULL, 'GLYCINE AMIDINOTRANSFERASE, MITOCHONDRIAL', 167071),
(223346, 'PTHR45654:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167072),
(223347, 'PTHR44083:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167073),
(223348, 'PTHR23195:SF14', NULL, NULL, NULL, NULL, 'PROTEIN ENL', 167074),
(223349, 'PTHR35683:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167075),
(223350, 'PTHR35987:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID REDOX INSENSITIVE 2, CHLOROPLASTIC-LIKE', 167076),
(223351, 'PTHR26453:SF225', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 167077),
(223352, 'PTHR22925:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167078),
(223353, 'PTHR42836:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YFKA-RELATED', 167079);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(223354, 'PTHR24281:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167080),
(223355, 'PTHR31009:SF129', NULL, NULL, NULL, NULL, 'BNAA07G12630D PROTEIN', 167081),
(223356, 'PTHR30012:SF7', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN HOFC HOMOLOG', 167082),
(223357, 'PTHR31650', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE (WSD1-LIKE) FAMILY PROTEIN', 167083),
(223358, 'PTHR10572:SF39', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', 167084),
(223359, 'PTHR23268:SF91', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 12-5', 167085),
(223360, 'PTHR11952:SF15', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE DIPHOSPHORYLASE 1', 167086),
(223361, 'PTHR10582:SF30', NULL, NULL, NULL, NULL, 'OSM-9 AND CAPSAICIN RECEPTOR-RELATED', 167087),
(223362, 'PTHR45833', NULL, NULL, NULL, NULL, 'METHIONINE SYNTHASE', 167088),
(223363, 'PTHR24153', NULL, NULL, NULL, NULL, 'ESPIN', 167089),
(223364, 'PTHR24248:SF17', NULL, NULL, NULL, NULL, 'ALPHA-1B ADRENERGIC RECEPTOR', 167090),
(223365, 'PTHR47687:SF1', NULL, NULL, NULL, NULL, 'COMMUNICATION MUTANT PROTEIN F-RELATED', 167091),
(223366, 'PTHR23503:SF105', NULL, NULL, NULL, NULL, 'PROTEIN CBG05043', 167092),
(223367, 'PTHR47424', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN GAL4', 167093),
(223368, 'PTHR47478', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 167094),
(223369, 'PTHR31087:SF91', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 1-RELATED', 167095),
(223370, 'PTHR33784:SF26', NULL, NULL, NULL, NULL, 'BNAC02G26070D PROTEIN', 167096),
(223371, 'PTHR31828:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167097),
(223372, 'PTHR35257:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 82', 167098),
(223373, 'PTHR35534', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L32', 167099),
(223374, 'PTHR21230:SF70', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE 12', 167100),
(223375, 'PTHR33178:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167101),
(223376, 'PTHR34054', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 167102),
(223377, 'PTHR33982:SF4', NULL, NULL, NULL, NULL, 'OS05G0532800 PROTEIN', 167103),
(223378, 'PTHR11743:SF30', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 4', 167104),
(223379, 'PTHR47293:SF43', NULL, NULL, NULL, NULL, 'BNACNNG46500D PROTEIN', 167105),
(223380, 'PTHR31235:SF284', NULL, NULL, NULL, NULL, 'PEROXIDASE 69', 167106),
(223381, 'PTHR22750:SF4', NULL, NULL, NULL, NULL, 'MELANOCORTIN RECEPTOR 3', 167107),
(223382, 'PTHR27005:SF334', NULL, NULL, NULL, NULL, 'OS10G0326100 PROTEIN', 167108),
(223383, 'PTHR11267:SF104', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX1', 167109),
(223384, 'PTHR31614:SF12', NULL, NULL, NULL, NULL, 'OS06G0556600 PROTEIN', 167110),
(223385, 'PTHR48015:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 4 HOMOLOG B', 167111),
(223386, 'PTHR47956:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 167112),
(223387, 'PTHR31176:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG09313', 167113),
(223388, 'PTHR45878:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP5', 167114),
(223389, 'PTHR36515:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG00810', 167115),
(223390, 'PTHR47232:SF4', NULL, NULL, NULL, NULL, 'BNAA02G04590D PROTEIN', 167116),
(223391, 'PTHR35472:SF7', NULL, NULL, NULL, NULL, 'BNAA09G12580D PROTEIN', 167117),
(223392, 'PTHR11941:SF151', NULL, NULL, NULL, NULL, 'BLR3445 PROTEIN', 167118),
(223393, 'PTHR32468:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167119),
(223394, 'PTHR33443:SF19', NULL, NULL, NULL, NULL, 'BNAANNG13750D PROTEIN', 167120),
(223395, 'PTHR11449:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30-LIKE', 167121),
(223396, 'PTHR10916:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167122),
(223397, 'PTHR46610:SF2', NULL, NULL, NULL, NULL, 'OS01G0714600 PROTEIN', 167123),
(223398, 'PTHR47799:SF1', NULL, NULL, NULL, NULL, 'OMEGA-AMIDASE YAFV', 167124),
(223399, 'PTHR22912:SF216', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE 2, CHLOROPLASTIC-LIKE ISOFORM X1', 167125);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(223400, 'PTHR16983:SF26', NULL, NULL, NULL, NULL, 'LY6E ISOFORM 1', 167126),
(223401, 'PTHR11614:SF173', NULL, NULL, NULL, NULL, 'BNAA05G35650D PROTEIN', 167127),
(223402, 'PTHR46214:SF8', NULL, NULL, NULL, NULL, 'OS01G0731800 PROTEIN', 167128),
(223403, 'PTHR19890:SF10', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR-LIKE 1', 167129),
(223404, 'PTHR11627:SF55', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 167130),
(223405, 'PTHR48017:SF116', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 1', 167131),
(223406, 'PTHR34874:SF3', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE TUSD', 167132),
(223407, 'PTHR23064:SF59', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN', 167133),
(223408, 'PTHR32241:SF19', NULL, NULL, NULL, NULL, 'PATATIN', 167134),
(223409, 'PTHR43952:SF65', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 4', 167135),
(223410, 'PTHR46991:SF24', NULL, NULL, NULL, NULL, '14.7 KDA HEAT SHOCK PROTEIN', 167136),
(223411, 'PTHR43184:SF24', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', 167137),
(223412, 'PTHR45719:SF28', NULL, NULL, NULL, NULL, 'BNAC02G20540D PROTEIN', 167138),
(223413, 'PTHR11388:SF147', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', 167139),
(223414, 'PTHR23338:SF38', NULL, NULL, NULL, NULL, 'NUCLEAR RIBONUCLEOPROTEIN SMD3, PUTATIVE-RELATED', 167140),
(223415, 'PTHR12400:SF77', NULL, NULL, NULL, NULL, 'KINASE', 167141),
(223416, 'PTHR11280:SF9', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-6-PHOSPHATE ISOMERASE 2', 167142),
(223417, 'PTHR43981', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE, MITOCHONDRIAL', 167143),
(223418, 'PTHR48018:SF54', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 167144),
(223419, 'PTHR47991:SF60', NULL, NULL, NULL, NULL, 'NARINGENIN,2-OXOGLUTARATE 3-DIOXYGENASE-LIKE', 167145),
(223420, 'PTHR34061:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167146),
(223421, 'PTHR45663:SF26', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 167147),
(223422, 'PTHR26454:SF12', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6F1', 167148),
(223423, 'PTHR14233:SF22', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER SLC35F1/F2/F6-RELATED', 167149),
(223424, 'PTHR14255:SF39', NULL, NULL, NULL, NULL, 'SULFITE EXPORTER TAUE/SAFE FAMILY PROTEIN 3-LIKE', 167150),
(223425, 'PTHR43180:SF35', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 167151),
(223426, 'PTHR10982:SF23', NULL, NULL, NULL, NULL, 'FATTY ACID SYNTHASE SUBUNIT ALPHA', 167152),
(223427, 'PTHR34380:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167153),
(223428, 'PTHR23259:SF19', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-ELASTASE INHIBITOR IXODIDIN-LIKE PROTEIN', 167154),
(223429, 'PTHR27004:SF328', NULL, NULL, NULL, NULL, 'BNAA04G18870D PROTEIN', 167155),
(223430, 'PTHR24222:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167156),
(223431, 'PTHR31238:SF49', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 8-13', 167157),
(223432, 'PTHR10901', NULL, NULL, NULL, NULL, 'TROPOMODULIN', 167158),
(223433, 'PTHR31791:SF9', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 167159),
(223434, 'PTHR43427:SF8', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 167160),
(223435, 'PTHR31512', NULL, NULL, NULL, NULL, 'GENE 12569-RELATED', 167161),
(223436, 'PTHR20977:SF0', NULL, NULL, NULL, NULL, 'AT13385P-RELATED', 167162),
(223437, 'PTHR15001:SF9', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 115', 167163),
(223438, 'PTHR48226', NULL, NULL, NULL, NULL, 'OS06G0326200 PROTEIN', 167164),
(223439, 'PTHR10194:SF21', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN 2', 167165),
(223440, 'PTHR46455:SF2', NULL, NULL, NULL, NULL, 'AT24727P', 167166),
(223441, 'PTHR10612:SF41', NULL, NULL, NULL, NULL, 'GLIAL LAZARILLO, ISOFORM A', 167167),
(223442, 'PTHR16209:SF7', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 1', 167168),
(223443, 'PTHR21347:SF0', NULL, NULL, NULL, NULL, 'CLEFT LIP AND PALATE TRANSMEMBRANE PROTEIN 1', 167169),
(223444, 'PTHR33101:SF59', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', 167170);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(223445, 'PTHR22603:SF87', NULL, NULL, NULL, NULL, 'ETHANOLAMINE KINASE 1', 167171),
(223446, 'PTHR31480:SF17', NULL, NULL, NULL, NULL, 'PHYTOENE SYNTHASE-RELATED', 167172),
(223447, 'PTHR27007:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167173),
(223448, 'PTHR34195', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT V, CHLOROPLASTIC-RELATED', 167174),
(223449, 'PTHR11759:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167175),
(223450, 'PTHR12444:SF4', NULL, NULL, NULL, NULL, 'PROTEIN EFR3 HOMOLOG B', 167176),
(223451, 'PTHR42788', NULL, NULL, NULL, NULL, 'TAURINE IMPORT ATP-BINDING PROTEIN-RELATED', 167177),
(223452, 'PTHR48144', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 167178),
(223453, 'PTHR43708:SF4', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE YCEM-RELATED', 167179),
(223454, 'PTHR31218:SF321', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 167180),
(223455, 'PTHR22916:SF61', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS GLYCOSYL TRANSFERASE WCAA-RELATED', 167181),
(223456, 'PTHR36411', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 167182),
(223457, 'PTHR34227:SF4', NULL, NULL, NULL, NULL, 'BLL5480 PROTEIN', 167183),
(223458, 'PTHR35490', NULL, NULL, NULL, NULL, 'BACTERIOPHAGE N4 ADSORPTION B PROTEIN', 167184),
(223459, 'PTHR13011:SF3', NULL, NULL, NULL, NULL, 'BNAANNG16720D PROTEIN', 167185),
(223460, 'PTHR48056:SF46', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT M', 167186),
(223461, 'PTHR24067:SF315', NULL, NULL, NULL, NULL, 'BNAA10G03140D PROTEIN', 167187),
(223462, 'PTHR11685:SF322', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 167188),
(223463, 'PTHR14788', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 156', 167189),
(223464, 'PTHR18919:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167190),
(223465, 'PTHR24346:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167191),
(223466, 'PTHR48011:SF63', NULL, NULL, NULL, NULL, 'ACTIVATED PROTEIN KINASE KINASE KINASE 3, MAPKKK3, MEKK3, PUTATIVE-RELATED', 167192),
(223467, 'PTHR21194', NULL, NULL, NULL, NULL, 'CARDIAC PHOSPHOLAMBAN', 167193),
(223468, 'PTHR32227:SF263', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN-RELATED', 167194),
(223469, 'PTHR11705:SF119', NULL, NULL, NULL, NULL, 'OS02G0119300 PROTEIN', 167195),
(223470, 'PTHR31059:SF5', NULL, NULL, NULL, NULL, 'HSSA/B-LIKE PROTEIN 1-RELATED', 167196),
(223471, 'PTHR36950:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG24899', 167197),
(223472, 'PTHR45700', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE E3C', 167198),
(223473, 'PTHR31675:SF33', NULL, NULL, NULL, NULL, 'YABBY PROTEIN-RELATED', 167199),
(223474, 'PTHR47978:SF8', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA4A', 167200),
(223475, 'PTHR27002:SF808', NULL, NULL, NULL, NULL, 'REPEAT RECEPTOR PROTEIN KINASE EXS, PUTATIVE-RELATED', 167201),
(223476, 'PTHR20842', NULL, NULL, NULL, NULL, 'PROTEASE S51 ALPHA-ASPARTYL DIPEPTIDASE', 167202),
(223477, 'PTHR33775:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH BASIC PROTEIN 1', 167203),
(223478, 'PTHR39222', NULL, NULL, NULL, NULL, 'MCG9903', 167204),
(223479, 'PTHR24333:SF6', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA HOMEOBOX PROTEIN 3-LIKE PROTEIN', 167205),
(223480, 'PTHR24073:SF618', NULL, NULL, NULL, NULL, 'OS10G0441800 PROTEIN', 167206),
(223481, 'PTHR35841:SF1', NULL, NULL, NULL, NULL, 'PHOSPHONATES-BINDING PERIPLASMIC PROTEIN', 167207),
(223482, 'PTHR46224:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167208),
(223483, 'PTHR11227:SF33', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 167209),
(223484, 'PTHR21562:SF77', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 167210),
(223485, 'PTHR24027:SF414', NULL, NULL, NULL, NULL, 'CADHERIN-RELATED FAMILY MEMBER 5B', 167211),
(223486, 'PTHR35001:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167212),
(223487, 'PTHR43860:SF8', NULL, NULL, NULL, NULL, 'BETAINE ALDEHYDE DEHYDROGENASE, CHLOROPLASTIC-LIKE', 167213),
(223488, 'PTHR47989:SF46', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 3-LIKE', 167214);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(223489, 'PTHR36167:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167215),
(223490, 'PTHR10671:SF85', NULL, NULL, NULL, NULL, 'EPITHELIAL MEMBRANE PROTEIN 1', 167216),
(223491, 'PTHR31062:SF240', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 2-LIKE', 167217),
(223492, 'PTHR46588', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/TYROSINE-INTERACTING PROTEIN', 167218),
(223493, 'PTHR31934:SF5', NULL, NULL, NULL, NULL, 'OS05G0557900 PROTEIN', 167219),
(223494, 'PTHR23043:SF31', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN-CONTAINING PROTEIN 4-LIKE', 167220),
(223495, 'PTHR33884', NULL, NULL, NULL, NULL, 'UPF0410 PROTEIN YMGE', 167221),
(223496, 'PTHR22936:SF77', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 1', 167222),
(223497, 'PTHR24300:SF277', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2B19-RELATED', 167223),
(223498, 'PTHR11318:SF4', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE ACTIVATOR 2B', 167224),
(223499, 'PTHR26312:SF177', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT DOMAIN-CONTAINING PROTEIN PYG7, CHLOROPLASTIC', 167225),
(223500, 'PTHR27000:SF686', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXC2', 167226),
(223501, 'PTHR31645:SF55', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL10-RELATED', 167227),
(223502, 'PTHR34740:SF2', NULL, NULL, NULL, NULL, 'FINGER, C3HC4 TYPE, PUTATIVE-RELATED', 167228),
(223503, 'PTHR24177:SF117', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 167229),
(223504, 'PTHR23506:SF31', NULL, NULL, NULL, NULL, 'CHROMAFFIN GRANULE AMINE TRANSPORTER', 167230),
(223505, 'PTHR11654:SF475', NULL, NULL, NULL, NULL, 'OS04G0491200 PROTEIN', 167231),
(223506, 'PTHR11062:SF325', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE, FIVE-BLADED BETA-PROPELLOR DOMAIN-CONTAINING PROTEIN-RELATED', 167232),
(223507, 'PTHR47900:SF2', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 131B', 167233),
(223508, 'PTHR43139:SF6', NULL, NULL, NULL, NULL, 'OS02G0706900 PROTEIN', 167234),
(223509, 'PTHR11516:SF38', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA-2, MITOCHONDRIAL', 167235),
(223510, 'PTHR11616:SF281', NULL, NULL, NULL, NULL, 'BLOATED TUBULES, ISOFORM B', 167236),
(223511, 'PTHR24361:SF835', NULL, NULL, NULL, NULL, 'KINASE, NEK', 167237),
(223512, 'PTHR10353:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167238),
(223513, 'PTHR24031:SF682', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167239),
(223514, 'PTHR12386:SF15', NULL, NULL, NULL, NULL, 'OS01G0720100 PROTEIN', 167240),
(223515, 'PTHR33406', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN MJ1562-RELATED', 167241),
(223516, 'PTHR48055:SF3', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', 167242),
(223517, 'PTHR46983:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167243),
(223518, 'PTHR21645:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN F59C6.8', 167244),
(223519, 'PTHR24404:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167245),
(223520, 'PTHR36485:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167246),
(223521, 'PTHR10759:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL L34-LIKE PROTEIN', 167247),
(223522, 'PTHR48085:SF6', NULL, NULL, NULL, NULL, 'INACTIVE CADMIUM/ZINC-TRANSPORTING ATPASE HMA3-RELATED', 167248),
(223523, 'PTHR31952', NULL, NULL, NULL, NULL, 'CB1 CANNABINOID RECEPTOR-INTERACTING PROTEIN 1', 167249),
(223524, 'PTHR24412:SF428', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 6', 167250),
(223525, 'PTHR47970:SF16', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12C ISOFORM X1', 167251),
(223526, 'PTHR42754:SF1', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 167252),
(223527, 'PTHR47585', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 167253),
(223528, 'PTHR12302:SF17', NULL, NULL, NULL, NULL, 'STAPHYLOCOCCAL-LIKE NUCLEASE CAN2-RELATED', 167254),
(223529, 'PTHR43139', NULL, NULL, NULL, NULL, 'SI:DKEY-122A22.2', 167255),
(223530, 'PTHR35397', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 167256),
(223531, 'PTHR48203', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 167257);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(223532, 'PTHR24257:SF11', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE ELASTASE FAMILY MEMBER 3A', 167258),
(223533, 'PTHR11360:SF250', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE-RELATED', 167259),
(223534, 'PTHR31189:SF28', NULL, NULL, NULL, NULL, 'OS09G0552500 PROTEIN', 167260),
(223535, 'PTHR31062:SF229', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 167261),
(223536, 'PTHR37610:SF5', NULL, NULL, NULL, NULL, 'COPIA-LIKE POLYPROTEIN/RETROTRANSPOSON', 167262),
(223537, 'PTHR46603', NULL, NULL, NULL, NULL, 'ABSCISSION/NOCUT CHECKPOINT REGULATOR', 167263),
(223538, 'PTHR24411:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR NF-E2 45 KDA SUBUNIT', 167264),
(223539, 'PTHR46987:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167265),
(223540, 'PTHR31413:SF27', NULL, NULL, NULL, NULL, 'BNAA01G32410D PROTEIN', 167266),
(223541, 'PTHR22811:SF182', NULL, NULL, NULL, NULL, 'BNAC01G27450D PROTEIN', 167267),
(223542, 'PTHR47956:SF62', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A8-LIKE', 167268),
(223543, 'PTHR38481', NULL, NULL, NULL, NULL, 'HYALURONATE LYASE', 167269),
(223544, 'PTHR31947:SF30', NULL, NULL, NULL, NULL, 'DNA/RNA-BINDING PROTEIN ALBA-LIKE PROTEIN-RELATED', 167270),
(223545, 'PTHR23303:SF14', NULL, NULL, NULL, NULL, 'NODAL MODULATOR 1-RELATED', 167271),
(223546, 'PTHR42773:SF3', NULL, NULL, NULL, NULL, 'SLR0630 PROTEIN', 167272),
(223547, 'PTHR27005:SF245', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.5', 167273),
(223548, 'PTHR13273', NULL, NULL, NULL, NULL, 'ANAMORSIN', 167274),
(223549, 'PTHR35042:SF3', NULL, NULL, NULL, NULL, 'ANTHRONE OXYGENASE', 167275),
(223550, 'PTHR47942:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167276),
(223551, 'PTHR12419:SF66', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 5-LIKE ISOFORM X1', 167277),
(223552, 'PTHR10614:SF7', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR SUBSTRATE 2', 167278),
(223553, 'PTHR42932', NULL, NULL, NULL, NULL, 'GENERAL STRESS PROTEIN 20U', 167279),
(223554, 'PTHR11550:SF8', NULL, NULL, NULL, NULL, 'CTP SYNTHASE 1', 167280),
(223555, 'PTHR23272:SF146', NULL, NULL, NULL, NULL, 'OS05G0102300 PROTEIN', 167281),
(223556, 'PTHR10845:SF235', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING RGS-3', 167282),
(223557, 'PTHR47886', NULL, NULL, NULL, NULL, 'CYSTATIN-11', 167283),
(223558, 'PTHR13009:SF20', NULL, NULL, NULL, NULL, 'OS02G0139100 PROTEIN', 167284),
(223559, 'PTHR48001:SF111', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 167285),
(223560, 'PTHR18934:SF237', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH1', 167286),
(223561, 'PTHR11639:SF130', NULL, NULL, NULL, NULL, 'S100 CALCIUM-BINDING PROTEIN A11', 167287),
(223562, 'PTHR30540:SF23', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 16-RELATED', 167288),
(223563, 'PTHR46443:SF5', NULL, NULL, NULL, NULL, 'OS01G0593200 PROTEIN', 167289),
(223564, 'PTHR22601:SF65', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 9', 167290),
(223565, 'PTHR46574', NULL, NULL, NULL, NULL, '43 KDA RECEPTOR-ASSOCIATED PROTEIN OF THE SYNAPSE', 167291),
(223566, 'PTHR35828:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167292),
(223567, 'PTHR47521:SF8', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR F27E5.5-RELATED', 167293),
(223568, 'PTHR11056:SF4', NULL, NULL, NULL, NULL, '1,2-DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G10810)-RELATED', 167294),
(223569, 'PTHR24305:SF192', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, E-CLASS, GROUP I', 167295),
(223570, 'PTHR45949:SF3', NULL, NULL, NULL, NULL, 'SORTING NEXIN-7', 167296),
(223571, 'PTHR45632:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167297),
(223572, 'PTHR22245', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 167298),
(223573, 'PTHR48192', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 167299),
(223574, 'PTHR12701:SF42', NULL, NULL, NULL, NULL, 'PROTEIN, BAP, PUTATIVE-RELATED', 167300),
(223575, 'PTHR20921:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167301),
(223576, 'PTHR48017:SF147', NULL, NULL, NULL, NULL, 'MAHOGANY', 167302);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(223577, 'PTHR16083:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 59', 167303),
(223578, 'PTHR35726:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167304),
(223579, 'PTHR35607:SF8', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06690)-RELATED', 167305),
(223580, 'PTHR40382', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 167306),
(223581, 'PTHR10071:SF310', NULL, NULL, NULL, NULL, 'GATA-BINDING PROTEIN 1', 167307),
(223582, 'PTHR31047', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 157 PROTEIN', 167308),
(223583, 'PTHR23413', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32 AND DNA-DIRECTED RNA POLYMERASE II, SUBUNIT N', 167309),
(223584, 'PTHR46361', NULL, NULL, NULL, NULL, 'ELECTRON CARRIER/ PROTEIN DISULFIDE OXIDOREDUCTASE', 167310),
(223585, 'PTHR33700:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167311),
(223586, 'PTHR34806:SF11', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER-RELATED', 167312),
(223587, 'PTHR47873', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 167313),
(223588, 'PTHR23063:SF49', NULL, NULL, NULL, NULL, 'BNAA03G56890D PROTEIN', 167314),
(223589, 'PTHR12537:SF162', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 7, CHLOROPLASTIC-RELATED', 167315),
(223590, 'PTHR11040:SF69', NULL, NULL, NULL, NULL, 'ZINC-REGULATED TRANSPORTER 2', 167316),
(223591, 'PTHR11073:SF39', NULL, NULL, NULL, NULL, 'BNAA08G26940D PROTEIN', 167317),
(223592, 'PTHR31140:SF62', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING TRANSCRIPTION REPRESSOR RAV2-LIKE', 167318),
(223593, 'PTHR46215:SF13', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 167319),
(223594, 'PTHR33474:SF29', NULL, NULL, NULL, NULL, 'OS01G0815400 PROTEIN', 167320),
(223595, 'PTHR11709:SF267', NULL, NULL, NULL, NULL, 'MULTI-COPPER OXIDASE TYPE I FAMILY PROTEIN-RELATED', 167321),
(223596, 'PTHR11474:SF81', NULL, NULL, NULL, NULL, 'OS01G0793300 PROTEIN', 167322),
(223597, 'PTHR31459:SF3', NULL, NULL, NULL, NULL, 'OS01G0225600 PROTEIN', 167323),
(223598, 'PTHR22835:SF532', NULL, NULL, NULL, NULL, 'SERINE-RICH ADHESIN FOR PLATELETS-LIKE ISOFORM X1', 167324),
(223599, 'PTHR43161:SF7', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14390)-RELATED', 167325),
(223600, 'PTHR26312:SF188', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN-RELATED', 167326),
(223601, 'PTHR13451:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167327),
(223602, 'PTHR10953:SF212', NULL, NULL, NULL, NULL, 'BNAANNG16230D PROTEIN', 167328),
(223603, 'PTHR18860:SF39', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN (EUROFUNG)', 167329),
(223604, 'PTHR10353:SF266', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 23', 167330),
(223605, 'PTHR46855:SF1', NULL, NULL, NULL, NULL, 'OSJNBB0038F03.10 PROTEIN', 167331),
(223606, 'PTHR11528:SF105', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE PROTEIN 80', 167332),
(223607, 'PTHR23336:SF64', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 4', 167333),
(223608, 'PTHR11758:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167334),
(223609, 'PTHR11903:SF25', NULL, NULL, NULL, NULL, 'ALPHA-DIOXYGENASE 2', 167335),
(223610, 'PTHR42788:SF7', NULL, NULL, NULL, NULL, 'ALIPHATIC SULFONATES IMPORT ATP-BINDING PROTEIN SSUB', 167336),
(223611, 'PTHR42760:SF45', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G09150)-RELATED', 167337),
(223612, 'PTHR23077:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167338),
(223613, 'PTHR23519', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 22', 167339),
(223614, 'PTHR33085:SF78', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 167340),
(223615, 'PTHR39110:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 167341),
(223616, 'PTHR35371:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167342),
(223617, 'PTHR11923:SF51', NULL, NULL, NULL, NULL, 'EPITHELIAL MEMBRANE PROTEIN, ISOFORM B', 167343),
(223618, 'PTHR32141:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167344),
(223619, 'PTHR31662:SF13', NULL, NULL, NULL, NULL, 'OS09G0102300 PROTEIN', 167345);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(223620, 'PTHR11654:SF429', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.4-LIKE', 167346),
(223621, 'PTHR31744:SF81', NULL, NULL, NULL, NULL, 'OS06G0675600 PROTEIN', 167347),
(223622, 'PTHR24343:SF475', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 167348),
(223623, 'PTHR43831:SF1', NULL, NULL, NULL, NULL, 'ISOBUTYRYL-COA DEHYDROGENASE, MITOCHONDRIAL', 167349),
(223624, 'PTHR48112:SF5', NULL, NULL, NULL, NULL, 'BOX PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G04550)-RELATED', 167350),
(223625, 'PTHR31044:SF52', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', 167351),
(223626, 'PTHR31744:SF147', NULL, NULL, NULL, NULL, 'BNAC09G21000D PROTEIN', 167352),
(223627, 'PTHR33137:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167353),
(223628, 'PTHR31048:SF151', NULL, NULL, NULL, NULL, 'PATHOGENESIS RELATED PROTEIN5', 167354),
(223629, 'PTHR24409:SF380', NULL, NULL, NULL, NULL, 'SI:DKEY-208K4.2', 167355),
(223630, 'PTHR43795:SF52', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-RELATED PROTEIN 1', 167356),
(223631, 'PTHR11909:SF316', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 6', 167357),
(223632, 'PTHR37165:SF1', NULL, NULL, NULL, NULL, 'MARITIMACIN', 167358),
(223633, 'PTHR31639:SF62', NULL, NULL, NULL, NULL, 'OS07G0242900 PROTEIN', 167359),
(223634, 'PTHR31960:SF3', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A13', 167360),
(223635, 'PTHR34458:SF18', NULL, NULL, NULL, NULL, 'BNAANNG38080D PROTEIN', 167361),
(223636, 'PTHR46387:SF2', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', 167362),
(223637, 'PTHR30188:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TRIGALACTOSYLDIACYLGLYCEROL 1, CHLOROPLASTIC', 167363),
(223638, 'PTHR12656:SF11', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 1B', 167364),
(223639, 'PTHR10258:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167365),
(223640, 'PTHR13402:SF24', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16', 167366),
(223641, 'PTHR33136:SF39', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 22', 167367),
(223642, 'PTHR31945:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167368),
(223643, 'PTHR31391', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS11G0197600-RELATED', 167369),
(223644, 'PTHR30511:SF3', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 167370),
(223645, 'PTHR45650:SF4', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN', 167371),
(223646, 'PTHR10984:SF37', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 5-4', 167372),
(223647, 'PTHR11606:SF34', NULL, NULL, NULL, NULL, 'BNAA05G37230D PROTEIN', 167373),
(223648, 'PTHR28632:SF7', NULL, NULL, NULL, NULL, 'BNAC05G37320D PROTEIN', 167374),
(223649, 'PTHR34797:SF3', NULL, NULL, NULL, NULL, 'ATG8-INTERACTING PROTEIN 1', 167375),
(223650, 'PTHR47033', NULL, NULL, NULL, NULL, 'CYSTATIN-M', 167376),
(223651, 'PTHR11645:SF59', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE 1', 167377),
(223652, 'PTHR12247:SF79', NULL, NULL, NULL, NULL, 'MBT DOMAIN-CONTAINING PROTEIN 1', 167378),
(223653, 'PTHR47532:SF1', NULL, NULL, NULL, NULL, 'RETINAL-BINDING PROTEIN', 167379),
(223654, 'PTHR13968:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167380),
(223655, 'PTHR33170:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167381),
(223656, 'PTHR10562:SF59', NULL, NULL, NULL, NULL, 'OS07G0574500 PROTEIN', 167382),
(223657, 'PTHR47437', NULL, NULL, NULL, NULL, 'JNK-INTERACTING PROTEIN 1-LIKE PROTEIN', 167383),
(223658, 'PTHR11474:SF117', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE CHLOROPLASTIC', 167384),
(223659, 'PTHR33389:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167385),
(223660, 'PTHR46097:SF2', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE-INTERACTING ARFGAP 2B', 167386),
(223661, 'PTHR21600:SF19', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE', 167387),
(223662, 'PTHR13364:SF6', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-DEFECTIVE PROTEIN 39 HOMOLOG', 167388),
(223663, 'PTHR15286:SF10', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 9', 167389);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(223664, 'PTHR15711:SF25', NULL, NULL, NULL, NULL, 'RADISH, ISOFORM I', 167390),
(223665, 'PTHR13301:SF192', NULL, NULL, NULL, NULL, 'BNAA01G13600D PROTEIN', 167391),
(223666, 'PTHR45666:SF5', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 3', 167392),
(223667, 'PTHR45613:SF57', NULL, NULL, NULL, NULL, 'OS01G0816000 PROTEIN', 167393),
(223668, 'PTHR11685:SF370', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 167394),
(223669, 'PTHR13399', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN  TRAP , GAMMA SUBUNIT', 167395),
(223670, 'PTHR45614:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167396),
(223671, 'PTHR10188', NULL, NULL, NULL, NULL, 'L-ASPARAGINASE', 167397),
(223672, 'PTHR21520', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 167398),
(223673, 'PTHR32295:SF143', NULL, NULL, NULL, NULL, 'BNAC05G13590D PROTEIN', 167399),
(223674, 'PTHR31225:SF141', NULL, NULL, NULL, NULL, 'S-(+)-LINALOOL SYNTHASE, CHLOROPLASTIC', 167400),
(223675, 'PTHR33210:SF14', NULL, NULL, NULL, NULL, 'MEIOSIS 5', 167401),
(223676, 'PTHR30137:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167402),
(223677, 'PTHR10969:SF4', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR-ASSOCIATED PROTEIN-LIKE 2', 167403),
(223678, 'PTHR24115:SF908', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-10C', 167404),
(223679, 'PTHR31675:SF38', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 2', 167405),
(223680, 'PTHR24418:SF228', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 167406),
(223681, 'PTHR23086:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167407),
(223682, 'PTHR43026', NULL, NULL, NULL, NULL, '2-HYDROXYACID DEHYDROGENASE HOMOLOG 1-RELATED', 167408),
(223683, 'PTHR23057:SF2', NULL, NULL, NULL, NULL, 'JAZF ZINC FINGER 1B', 167409),
(223684, 'PTHR13233:SF13', NULL, NULL, NULL, NULL, 'FHA DOMAIN PROTEIN', 167410),
(223685, 'PTHR10476:SF36', NULL, NULL, NULL, NULL, 'ESCRT-RELATED PROTEIN CHMP1B-LIKE', 167411),
(223686, 'PTHR23319:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167412),
(223687, 'PTHR46316:SF8', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-2-LIKE ISOFORM X1', 167413),
(223688, 'PTHR45620:SF15', NULL, NULL, NULL, NULL, 'DIURETIC HORMONE 44 RECEPTOR 1-RELATED', 167414),
(223689, 'PTHR12161:SF44', NULL, NULL, NULL, NULL, 'IST1P', 167415),
(223690, 'PTHR13105:SF18', NULL, NULL, NULL, NULL, 'MYELOID LEUKEMIA FACTOR-RELATED', 167416),
(223691, 'PTHR22765:SF263', NULL, NULL, NULL, NULL, 'OS11G0116550 PROTEIN', 167417),
(223692, 'PTHR13009:SF26', NULL, NULL, NULL, NULL, 'ACTIVATOR OF HSP90 ATPASE, N-TERMINAL', 167418),
(223693, 'PTHR31722:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167419),
(223694, 'PTHR34427:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167420),
(223695, 'PTHR31007:SF1', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE II INHIBITOR 2', 167421),
(223696, 'PTHR15371:SF24', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM23-3', 167422),
(223697, 'PTHR11945:SF425', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', 167423),
(223698, 'PTHR43008:SF7', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE (AFU_ORTHOLOGUE AFUA_2G00830)', 167424),
(223699, 'PTHR27001:SF49', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 3', 167425),
(223700, 'PTHR15316:SF10', NULL, NULL, NULL, NULL, 'BNAA09G55450D PROTEIN', 167426),
(223701, 'PTHR33202:SF8', NULL, NULL, NULL, NULL, 'PEROXIDE-RESPONSIVE REPRESSOR PERR', 167427),
(223702, 'PTHR33373:SF30', NULL, NULL, NULL, NULL, 'DUF4050 FAMILY PROTEIN', 167428),
(223703, 'PTHR31391:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167429),
(223704, 'PTHR11036:SF18', NULL, NULL, NULL, NULL, 'SEMAPHORIN-4D', 167430),
(223705, 'PTHR32093:SF133', NULL, NULL, NULL, NULL, 'BNAA07G36350D PROTEIN', 167431),
(223706, 'PTHR28585', NULL, NULL, NULL, NULL, 'TUBEROINFUNDIBULAR PEPTIDE OF 39 RESIDUES', 167432),
(223707, 'PTHR31985:SF153', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF038-LIKE', 167433);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(223708, 'PTHR24064:SF540', NULL, NULL, NULL, NULL, 'BNAC09G17510D PROTEIN', 167434),
(223709, 'PTHR47960:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167435),
(223710, 'PTHR45684:SF10', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1B', 167436),
(223711, 'PTHR37544', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 167437),
(223712, 'PTHR45974:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167438),
(223713, 'PTHR31642:SF227', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', 167439),
(223714, 'PTHR23201:SF97', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 14-LIKE', 167440),
(223715, 'PTHR20275:SF33', NULL, NULL, NULL, NULL, 'NAD KINASE 2, CHLOROPLASTIC-LIKE', 167441),
(223716, 'PTHR33510:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167442),
(223717, 'PTHR34002:SF5', NULL, NULL, NULL, NULL, 'BLR1656 PROTEIN', 167443),
(223718, 'PTHR24286:SF290', NULL, NULL, NULL, NULL, 'ENT-KAURENOIC ACID OXIDASE 2-LIKE', 167444),
(223719, 'PTHR10736:SF58', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG-RELATED', 167445),
(223720, 'PTHR33237:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167446),
(223721, 'PTHR10535:SF12', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE V SUBUNIT 5C', 167447),
(223722, 'PTHR11066:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG02441', 167448),
(223723, 'PTHR12231:SF220', NULL, NULL, NULL, NULL, 'LACHESIN', 167449),
(223724, 'PTHR11477:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR-RELATED', 167450),
(223725, 'PTHR46695:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 20', 167451),
(223726, 'PTHR44598:SF1', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE 3A', 167452),
(223727, 'PTHR48039', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN 14B', 167453),
(223728, 'PTHR46476:SF18', NULL, NULL, NULL, NULL, 'CHITINASE 1', 167454),
(223729, 'PTHR11562:SF40', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN', 167455),
(223730, 'PTHR11461:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167456),
(223731, 'PTHR22298:SF139', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 167457),
(223732, 'PTHR11455:SF57', NULL, NULL, NULL, NULL, 'CRYPTOCHROME 1-RELATED', 167458),
(223733, 'PTHR45778:SF24', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 167459),
(223734, 'PTHR47926:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167460),
(223735, 'PTHR46550:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 3', 167461),
(223736, 'PTHR31088:SF14', NULL, NULL, NULL, NULL, 'PROTEIN LIAH', 167462),
(223737, 'PTHR30505:SF31', NULL, NULL, NULL, NULL, 'FRUCTOSE-LIKE PTS SYSTEM EIIBC COMPONENT-RELATED', 167463),
(223738, 'PTHR10751:SF97', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 1-LIKE', 167464),
(223739, 'PTHR31676:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167465),
(223740, 'PTHR47650:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 22', 167466),
(223741, 'PTHR48043:SF99', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 167467),
(223742, 'PTHR23070:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167468),
(223743, 'PTHR23280:SF15', NULL, NULL, NULL, NULL, 'BAND 4.1-LIKE PROTEIN 5', 167469),
(223744, 'PTHR48011:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167470),
(223745, 'PTHR10666', NULL, NULL, NULL, NULL, 'UBIQUITIN', 167471),
(223746, 'PTHR22957:SF557', NULL, NULL, NULL, NULL, 'PLANT ADHESION MOLECULE 1', 167472),
(223747, 'PTHR46521:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167473),
(223748, 'PTHR10627:SF35', NULL, NULL, NULL, NULL, 'MCG56945-RELATED', 167474),
(223749, 'PTHR21493:SF245', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN GOT1A', 167475),
(223750, 'PTHR11918:SF45', NULL, NULL, NULL, NULL, 'THREONYLCARBAMOYLADENOSINE TRNA METHYLTHIOTRANSFERASE', 167476),
(223751, 'PTHR11255:SF102', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 167477),
(223752, 'PTHR14625', NULL, NULL, NULL, NULL, 'MICROCEPHALIN', 167478),
(223753, 'PTHR48112', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN DSP1', 167479),
(223754, 'PTHR45730:SF52', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-RELATED', 167480);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(223755, 'PTHR33128:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167481),
(223756, 'PTHR10291:SF15', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 167482),
(223757, 'PTHR10774:SF201', NULL, NULL, NULL, NULL, 'BNAC04G21980D PROTEIN', 167483),
(223758, 'PTHR47991:SF63', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 167484),
(223759, 'PTHR44170:SF4', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY, MEMBER 9BA', 167485),
(223760, 'PTHR38812:SF2', NULL, NULL, NULL, NULL, 'MU-LIKE PROPHAGE FLUMU PROTEIN GP42', 167486),
(223761, 'PTHR11117:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167487),
(223762, 'PTHR12621:SF9', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH DOMAIN-CONTAINING PROTEIN 1', 167488),
(223763, 'PTHR11017:SF389', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS CLASS)', 167489),
(223764, 'PTHR33703:SF19', NULL, NULL, NULL, NULL, 'WOUND-INDUCED PROTEIN, WUN1-RELATED', 167490),
(223765, 'PTHR32382:SF61', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 5', 167491),
(223766, 'PTHR24298:SF842', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 167492),
(223767, 'PTHR26452:SF773', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 476-RELATED', 167493),
(223768, 'PTHR27009:SF139', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 167494),
(223769, 'PTHR32285:SF228', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 167495),
(223770, 'PTHR47910:SF1', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE LARGE CHAIN, CATALYTIC DOMAIN-CONTAINING PROTEIN', 167496),
(223771, 'PTHR37550:SF1', NULL, NULL, NULL, NULL, 'SSL1300 PROTEIN', 167497),
(223772, 'PTHR24242:SF90', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 11H6', 167498),
(223773, 'PTHR33090:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167499),
(223774, 'PTHR31221:SF177', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 28-RELATED', 167500),
(223775, 'PTHR36487:SF2', NULL, NULL, NULL, NULL, 'OS08G0343501 PROTEIN', 167501),
(223776, 'PTHR10891:SF743', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML42', 167502),
(223777, 'PTHR10177:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167503),
(223778, 'PTHR31707:SF286', NULL, NULL, NULL, NULL, 'PECTINESTERASE, CATALYTIC-RELATED', 167504),
(223779, 'PTHR10622', NULL, NULL, NULL, NULL, 'HET DOMAIN-CONTAINING PROTEIN', 167505),
(223780, 'PTHR23507:SF32', NULL, NULL, NULL, NULL, 'SI:DKEY-5G14.1', 167506),
(223781, 'PTHR31235:SF282', NULL, NULL, NULL, NULL, 'PEROXIDASE', 167507),
(223782, 'PTHR43742:SF3', NULL, NULL, NULL, NULL, 'DIMETHYL SULFOXIDE REDUCTASE DMSA', 167508),
(223783, 'PTHR15205:SF2', NULL, NULL, NULL, NULL, 'DEATH EFFECTOR DOMAIN-CONTAINING PROTEIN', 167509),
(223784, 'PTHR34449:SF6', NULL, NULL, NULL, NULL, 'ATP BINDING / ATPASE', 167510),
(223785, 'PTHR16254:SF19', NULL, NULL, NULL, NULL, 'K(+) EFFLUX ANTIPORTER 4-LIKE', 167511),
(223786, 'PTHR24342:SF14', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE DAPK-1', 167512),
(223787, 'PTHR48041:SF65', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 4', 167513),
(223788, 'PTHR19367:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167514),
(223789, 'PTHR28187', NULL, NULL, NULL, NULL, 'PROTEIN RCR1-RELATED', 167515),
(223790, 'PTHR37013', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_1G05950)-RELATED', 167516),
(223791, 'PTHR11803:SF48', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE FAMILY PROTEIN, PUTATIVE-RELATED', 167517),
(223792, 'PTHR12161:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167518),
(223793, 'PTHR32331:SF0', NULL, NULL, NULL, NULL, 'UPF0313 PROTEIN YGIQ', 167519),
(223794, 'PTHR24128:SF14', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT31-RELATED', 167520),
(223795, 'PTHR48041:SF11', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 2', 167521),
(223796, 'PTHR12231:SF253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167522),
(223797, 'PTHR47052:SF7', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', 167523);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(223798, 'PTHR15730:SF1', NULL, NULL, NULL, NULL, 'TRPM8 CHANNEL-ASSOCIATED FACTOR 1', 167524),
(223799, 'PTHR10366:SF731', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167525),
(223800, 'PTHR45666:SF32', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 7-LIKE', 167526),
(223801, 'PTHR33021:SF196', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 2', 167527),
(223802, 'PTHR31896:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167528),
(223803, 'PTHR47491:SF3', NULL, NULL, NULL, NULL, 'OS07G0686400 PROTEIN', 167529),
(223804, 'PTHR15092', NULL, NULL, NULL, NULL, 'POLY A -SPECIFIC RIBONUCLEASE/TARGET OF EGR1, MEMBER 1', 167530),
(223805, 'PTHR31669:SF42', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 4', 167531),
(223806, 'PTHR22907:SF11', NULL, NULL, NULL, NULL, 'CUTICLIN', 167532),
(223807, 'PTHR11937:SF423', NULL, NULL, NULL, NULL, 'CYTOPLASMATIC ACTIN', 167533),
(223808, 'PTHR43355:SF2', NULL, NULL, NULL, NULL, 'FLAVIN REDUCTASE (NADPH)', 167534),
(223809, 'PTHR23428:SF255', NULL, NULL, NULL, NULL, 'HISTONE H2B', 167535),
(223810, 'PTHR30146:SF98', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GALR', 167536),
(223811, 'PTHR12619:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RFX3', 167537),
(223812, 'PTHR22846:SF62', NULL, NULL, NULL, NULL, 'F-BOX-LIKE/WD REPEAT-CONTAINING PROTEIN TBL1XR1 ISOFORM X1', 167538),
(223813, 'PTHR24134:SF7', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 167539),
(223814, 'PTHR45811:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167540),
(223815, 'PTHR11783:SF209', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 167541),
(223816, 'PTHR24093:SF478', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 6, PLASMA MEMBRANE-TYPE-RELATED', 167542),
(223817, 'PTHR45932:SF22', NULL, NULL, NULL, NULL, 'BNAC09G40150D PROTEIN', 167543),
(223818, 'PTHR24095:SF217', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', 167544),
(223819, 'PTHR48017:SF152', NULL, NULL, NULL, NULL, 'VACUOLAR AMINO ACID TRANSPORTER 1-LIKE ISOFORM X1', 167545),
(223820, 'PTHR11938:SF139', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE 1 [NADH], CHLOROPLASTIC', 167546),
(223821, 'PTHR10288:SF158', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR 2 MRNA-BINDING PROTEIN 3', 167547),
(223822, 'PTHR43652', NULL, NULL, NULL, NULL, 'BASIC AMINO ACID ANTIPORTER YFCC-RELATED', 167548),
(223823, 'PTHR13866:SF16', NULL, NULL, NULL, NULL, 'SPARC-LIKE PROTEIN 1', 167549),
(223824, 'PTHR43411', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE LYASE', 167550),
(223825, 'PTHR33403:SF17', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1-LIKE 4', 167551),
(223826, 'PTHR10151:SF114', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE C27A7.1', 167552),
(223827, 'PTHR35675:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC100362216', 167553),
(223828, 'PTHR26453:SF630', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2L5', 167554),
(223829, 'PTHR12989:SF11', NULL, NULL, NULL, NULL, 'DOL-P-GLC:GLC(2)MAN(9)GLCNAC(2)-PP-DOL ALPHA-1,2-GLUCOSYLTRANSFERASE', 167555),
(223830, 'PTHR31246:SF4', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-3', 167556),
(223831, 'PTHR11820:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167557),
(223832, 'PTHR42683:SF40', NULL, NULL, NULL, NULL, '8-HYDROXYGERANIOL DEHYDROGENASE-RELATED', 167558),
(223833, 'PTHR47958:SF86', NULL, NULL, NULL, NULL, 'DEAD-BOX HELICASE 3 X-LINKED B', 167559),
(223834, 'PTHR13271:SF104', NULL, NULL, NULL, NULL, 'SET DOMAIN-CONTAINING PROTEIN', 167560),
(223835, 'PTHR23418', NULL, NULL, NULL, NULL, 'ACIREDUCTONE DIOXYGENASE', 167561),
(223836, 'PTHR12749', NULL, NULL, NULL, NULL, 'EXCISION REPAIR CROSS-COMPLEMENTING 1 ERCC1', 167562),
(223837, 'PTHR38826', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC13', 167563),
(223838, 'PTHR42896:SF4', NULL, NULL, NULL, NULL, 'OS08G0485900 PROTEIN', 167564),
(223839, 'PTHR32141:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167565),
(223840, 'PTHR42880:SF1', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE 2', 167566);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(223841, 'PTHR11255:SF93', NULL, NULL, NULL, NULL, 'EYE-SPECIFIC DIACYLGLYCEROL KINASE', 167567),
(223842, 'PTHR36619:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167568),
(223843, 'PTHR35687:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167569),
(223844, 'PTHR11802:SF373', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 167570),
(223845, 'PTHR45770:SF31', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 167571),
(223846, 'PTHR21266:SF32', NULL, NULL, NULL, NULL, 'NEVERLAND', 167572),
(223847, 'PTHR24343:SF128', NULL, NULL, NULL, NULL, 'SPERM MOTILITY KINASE X-RELATED', 167573),
(223848, 'PTHR31875:SF6', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19', 167574),
(223849, 'PTHR46756:SF7', NULL, NULL, NULL, NULL, 'GAS2-LIKE PROTEIN 3', 167575),
(223850, 'PTHR22625:SF4', NULL, NULL, NULL, NULL, 'PLEXIN-C1', 167576),
(223851, 'PTHR31313:SF82', NULL, NULL, NULL, NULL, 'ACTIVATORY PROTEIN CHA4-RELATED', 167577),
(223852, 'PTHR31879:SF6', NULL, NULL, NULL, NULL, 'DET1- AND DDB1-ASSOCIATED PROTEIN 1', 167578),
(223853, 'PTHR10788:SF103', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 20, TREHALOSE-PHOSPHATASE, HAD-LIKE DOMAIN PROTEIN-RELATED', 167579),
(223854, 'PTHR27004:SF357', NULL, NULL, NULL, NULL, 'BNAA05G10310D PROTEIN', 167580),
(223855, 'PTHR23353:SF21', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN U', 167581),
(223856, 'PTHR15494', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING TYROSINE PHOSPHORYLATION-REGULATED PROTEIN', 167582),
(223857, 'PTHR40074:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YCFT-RELATED', 167583),
(223858, 'PTHR46207', NULL, NULL, NULL, NULL, 'PROTEIN RCC2', 167584),
(223859, 'PTHR19918:SF1', NULL, NULL, NULL, NULL, 'FIZZY-RELATED PROTEIN HOMOLOG', 167585),
(223860, 'PTHR20884:SF17', NULL, NULL, NULL, NULL, 'GDP-L-GALACTOSE PHOSPHORYLASE 2', 167586),
(223861, 'PTHR22809:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 8', 167587),
(223862, 'PTHR23155:SF1060', NULL, NULL, NULL, NULL, 'NBS-LRR DISEASE RESISTANCE PROTEIN', 167588),
(223863, 'PTHR37378:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167589),
(223864, 'PTHR32227:SF325', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE-LIKE PROTEIN', 167590),
(223865, 'PTHR23065:SF22', NULL, NULL, NULL, NULL, 'SI:CH211-51C14.1', 167591),
(223866, 'PTHR33782:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167592),
(223867, 'PTHR33191:SF47', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 3', 167593),
(223868, 'PTHR11654:SF428', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER', 167594),
(223869, 'PTHR11814:SF180', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER SULP-8A', 167595),
(223870, 'PTHR47116:SF17', NULL, NULL, NULL, NULL, 'OS03G0172400 PROTEIN', 167596),
(223871, 'PTHR24281:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167597),
(223872, 'PTHR43350', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT ALCOHOL DEHYDROGENASE', 167598),
(223873, 'PTHR39352', NULL, NULL, NULL, NULL, 'PROTEIN CBG14251', 167599),
(223874, 'PTHR11206:SF408', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 167600),
(223875, 'PTHR37337:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING GLUTAMATE-RICH PROTEIN 1', 167601),
(223876, 'PTHR31019:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 14', 167602),
(223877, 'PTHR31867:SF184', NULL, NULL, NULL, NULL, 'EXPANSIN-A24', 167603),
(223878, 'PTHR33305:SF39', NULL, NULL, NULL, NULL, 'OS09G0490200 PROTEIN', 167604),
(223879, 'PTHR23001:SF33', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5', 167605),
(223880, 'PTHR11746:SF238', NULL, NULL, NULL, NULL, 'BNAC01G20290D PROTEIN', 167606),
(223881, 'PTHR12011:SF443', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR G11', 167607),
(223882, 'PTHR22600:SF18', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE', 167608),
(223883, 'PTHR33491:SF14', NULL, NULL, NULL, NULL, 'OS02G0632900 PROTEIN', 167609),
(223884, 'PTHR48043:SF41', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 167610),
(223885, 'PTHR12398:SF33', NULL, NULL, NULL, NULL, 'BNAA03G12720D PROTEIN', 167611);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(223886, 'PTHR11426:SF204', NULL, NULL, NULL, NULL, 'HISTONE H3.1', 167612),
(223887, 'PTHR46641:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG01619', 167613),
(223888, 'PTHR11991:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167614),
(223889, 'PTHR13347:SF1', NULL, NULL, NULL, NULL, 'HEAT REPEAT-CONTAINING PROTEIN 3', 167615),
(223890, 'PTHR13523:SF15', NULL, NULL, NULL, NULL, 'CHCH DOMAIN CONTAINING PROTEIN, EXPRESSED', 167616),
(223891, 'PTHR46128:SF115', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 167617),
(223892, 'PTHR31476:SF14', NULL, NULL, NULL, NULL, 'OS09G0473400 PROTEIN', 167618),
(223893, 'PTHR23197:SF9', NULL, NULL, NULL, NULL, 'RE03558P', 167619),
(223894, 'PTHR14167:SF62', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SH3RF3', 167620),
(223895, 'PTHR38563', NULL, NULL, NULL, NULL, 'FL(2)D-ASSOCIATED COMPLEX COMPONENT', 167621),
(223896, 'PTHR48054:SF29', NULL, NULL, NULL, NULL, 'SYSTEMIN RECEPTOR SR160-LIKE', 167622),
(223897, 'PTHR31390:SF24', NULL, NULL, NULL, NULL, 'TUBBY C-TERMINAL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 167623),
(223898, 'PTHR10759:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', 167624),
(223899, 'PTHR13090', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 167625),
(223900, 'PTHR31645:SF69', NULL, NULL, NULL, NULL, 'BNAA06G20330D PROTEIN', 167626),
(223901, 'PTHR22883:SF316', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 21', 167627),
(223902, 'PTHR12210:SF129', NULL, NULL, NULL, NULL, 'CTD SMALL PHOSPHATASE-LIKE PROTEIN 2 ISOFORM X1', 167628),
(223903, 'PTHR26451:SF962', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 167629),
(223904, 'PTHR19845:SF17', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1 HOMOLOG', 167630),
(223905, 'PTHR33543', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 2A', 167631),
(223906, 'PTHR10836:SF79', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE, TESTIS-SPECIFIC', 167632),
(223907, 'PTHR31589:SF16', NULL, NULL, NULL, NULL, 'PEPTIDASE, PUTATIVE, EXPRESSED-RELATED', 167633),
(223908, 'PTHR38772', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 167634),
(223909, 'PTHR24410:SF34', NULL, NULL, NULL, NULL, 'LD40565P', 167635),
(223910, 'PTHR23334:SF45', NULL, NULL, NULL, NULL, 'PROTEIN MABIKI', 167636),
(223911, 'PTHR11351:SF39', NULL, NULL, NULL, NULL, 'ACYL-COA DESATURASE 3', 167637),
(223912, 'PTHR46128:SF182', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 167638),
(223913, 'PTHR33065:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167639),
(223914, 'PTHR47611:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167640),
(223915, 'PTHR11461:SF327', NULL, NULL, NULL, NULL, 'SERPIN-ZX-LIKE', 167641),
(223916, 'PTHR42985:SF11', NULL, NULL, NULL, NULL, 'SODIUM/IODIDE COTRANSPORTER', 167642),
(223917, 'PTHR12460:SF30', NULL, NULL, NULL, NULL, 'CID DOMAIN-CONTAINING PROTEIN 1-RELATED', 167643),
(223918, 'PTHR24369:SF102', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 4B', 167644),
(223919, 'PTHR45621:SF97', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 167645),
(223920, 'PTHR13076:SF5', NULL, NULL, NULL, NULL, 'COILED-COIL AND C2 DOMAIN-CONTAINING PROTEIN 1B', 167646),
(223921, 'PTHR10209:SF784', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 3', 167647),
(223922, 'PTHR24086:SF24', NULL, NULL, NULL, NULL, 'STEROIDOGENIC FACTOR 1', 167648),
(223923, 'PTHR24177:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167649),
(223924, 'PTHR10558:SF6', NULL, NULL, NULL, NULL, 'SOMATOSTATIN 1, TANDEM DUPLICATE 2', 167650),
(223925, 'PTHR45758:SF14', NULL, NULL, NULL, NULL, 'YALI0F00418P', 167651),
(223926, 'PTHR21562:SF52', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 11', 167652),
(223927, 'PTHR45973:SF17', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 7', 167653),
(223928, 'PTHR11932:SF163', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 167654),
(223929, 'PTHR31384:SF108', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 167655);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(223930, 'PTHR11689:SF67', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-A', 167656),
(223931, 'PTHR31089:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167657),
(223932, 'PTHR24229:SF4', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 1', 167658),
(223933, 'PTHR48073:SF5', NULL, NULL, NULL, NULL, 'O-SUCCINYLBENZOATE SYNTHASE', 167659),
(223934, 'PTHR11984:SF32', NULL, NULL, NULL, NULL, 'GAP JUNCTION DELTA-2 PROTEIN', 167660),
(223935, 'PTHR37206:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 167661),
(223936, 'PTHR30509:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167662),
(223937, 'PTHR22747:SF37', NULL, NULL, NULL, NULL, 'NUCLEOPHOSMIN 1B', 167663),
(223938, 'PTHR45926:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE4', 167664),
(223939, 'PTHR45763:SF53', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 167665),
(223940, 'PTHR23527:SF1', NULL, NULL, NULL, NULL, 'BLL3282 PROTEIN', 167666),
(223941, 'PTHR11017:SF425', NULL, NULL, NULL, NULL, 'NB-ARC-RELATED', 167667),
(223942, 'PTHR31568:SF92', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH TRANSMEMBRANE CYSTM DOMAIN-CONTAINING PROTEIN-RELATED', 167668),
(223943, 'PTHR27005:SF297', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 17-RELATED', 167669),
(223944, 'PTHR10465:SF1', NULL, NULL, NULL, NULL, 'MITOFUSIN-2', 167670),
(223945, 'PTHR10290:SF17', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE I', 167671),
(223946, 'PTHR10788:SF81', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 10-RELATED', 167672),
(223947, 'PTHR24223:SF360', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN LETHAL(2)03659-LIKE PROTEIN-RELATED', 167673),
(223948, 'PTHR46957:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE BETA', 167674),
(223949, 'PTHR31642:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167675),
(223950, 'PTHR10836:SF100', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 167676),
(223951, 'PTHR11709:SF256', NULL, NULL, NULL, NULL, 'LACCASE', 167677),
(223952, 'PTHR46058:SF21', NULL, NULL, NULL, NULL, 'BNAA08G07050D PROTEIN', 167678),
(223953, 'PTHR46392:SF1', NULL, NULL, NULL, NULL, 'DUAL SERINE/THREONINE AND TYROSINE PROTEIN KINASE', 167679),
(223954, 'PTHR31428:SF6', NULL, NULL, NULL, NULL, 'RGM DOMAIN FAMILY MEMBER DRAG-1', 167680),
(223955, 'PTHR23084:SF226', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE-LIKE PROTEIN', 167681),
(223956, 'PTHR43191:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167682),
(223957, 'PTHR44329:SF104', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY46-LIKE', 167683),
(223958, 'PTHR47381', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 167684),
(223959, 'PTHR10666:SF238', NULL, NULL, NULL, NULL, 'GH17761P', 167685),
(223960, 'PTHR11673:SF36', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-1', 167686),
(223961, 'PTHR31698:SF7', NULL, NULL, NULL, NULL, 'LYSOZYME 3-LIKE', 167687),
(223962, 'PTHR16469:SF49', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', 167688),
(223963, 'PTHR32285:SF160', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 39', 167689),
(223964, 'PTHR43880:SF7', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE 7', 167690),
(223965, 'PTHR40631:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 167691),
(223966, 'PTHR12801:SF142', NULL, NULL, NULL, NULL, 'BNACNNG40580D PROTEIN', 167692),
(223967, 'PTHR31972:SF59', NULL, NULL, NULL, NULL, 'BNAC01G39880D PROTEIN', 167693),
(223968, 'PTHR47074:SF22', NULL, NULL, NULL, NULL, 'BNAC02G24850D PROTEIN', 167694),
(223969, 'PTHR47771', NULL, NULL, NULL, NULL, 'LD27203P-RELATED', 167695),
(223970, 'PTHR10334:SF415', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', 167696),
(223971, 'PTHR45711:SF9', NULL, NULL, NULL, NULL, 'ANION/PROTON EXCHANGE TRANSPORTER GEF1', 167697),
(223972, 'PTHR24271:SF22', NULL, NULL, NULL, NULL, 'MAST CELL PROTEASE 8', 167698);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(223973, 'PTHR31194:SF139', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WIN1-LIKE', 167699),
(223974, 'PTHR47985:SF37', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 167700),
(223975, 'PTHR10314:SF196', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE-RELATED', 167701),
(223976, 'PTHR23317:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167702),
(223977, 'PTHR21014:SF2', NULL, NULL, NULL, NULL, 'TYPE 1 PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 4-PHOSPHATASE', 167703),
(223978, 'PTHR14918:SF3', NULL, NULL, NULL, NULL, 'KICSTOR COMPLEX PROTEIN SZT2', 167704),
(223979, 'PTHR10383:SF16', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR 5', 167705),
(223980, 'PTHR24068:SF367', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 30', 167706),
(223981, 'PTHR13179', NULL, NULL, NULL, NULL, 'DEP DOMAIN CONTAINING PROTEIN 5', 167707),
(223982, 'PTHR35365:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167708),
(223983, 'PTHR31639:SF222', NULL, NULL, NULL, NULL, 'FBD, F-BOX AND LRR PROTEIN', 167709),
(223984, 'PTHR32094:SF5', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP E PROTEIN', 167710),
(223985, 'PTHR31744:SF73', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 46', 167711),
(223986, 'PTHR30457:SF17', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE SURE-LIKE', 167712),
(223987, 'PTHR31413:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167713),
(223988, 'PTHR23115:SF243', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167714),
(223989, 'PTHR24028:SF146', NULL, NULL, NULL, NULL, 'CADHERIN-87A', 167715),
(223990, 'PTHR47929:SF3', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', 167716),
(223991, 'PTHR47979:SF63', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB11C', 167717),
(223992, 'PTHR31657:SF36', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF054', 167718),
(223993, 'PTHR43611:SF3', NULL, NULL, NULL, NULL, 'FLAVIN MONONUCLEOTIDE HYDROLASE 1, CHLOROPLATIC', 167719),
(223994, 'PTHR41967:SF6', NULL, NULL, NULL, NULL, 'FI19406P1-RELATED', 167720),
(223995, 'PTHR40394', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', 167721),
(223996, 'PTHR11738:SF168', NULL, NULL, NULL, NULL, 'KILLER CELL IMMUNOGLOBULIN-LIKE RECEPTOR 2DL2-RELATED', 167722),
(223997, 'PTHR31360:SF11', NULL, NULL, NULL, NULL, 'OIL BODY-ASSOCIATED PROTEIN 2C', 167723),
(223998, 'PTHR44259:SF9', NULL, NULL, NULL, NULL, 'OS01G0183800 PROTEIN', 167724),
(223999, 'PTHR11769:SF20', NULL, NULL, NULL, NULL, 'HYALURONIDASE PH-20', 167725),
(224000, 'PTHR43600:SF3', NULL, NULL, NULL, NULL, 'F420-NON-REDUCING HYDROGENASE VHU SUBUNIT A', 167726),
(224001, 'PTHR32295:SF191', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE ISOFORM X1', 167727),
(224002, 'PTHR45900:SF7', NULL, NULL, NULL, NULL, 'OS01G0901200 PROTEIN', 167728),
(224003, 'PTHR13968:SF29', NULL, NULL, NULL, NULL, 'RNA-BINDING RALY-LIKE PROTEIN', 167729),
(224004, 'PTHR14207:SF1', NULL, NULL, NULL, NULL, 'EMOPAMIL-BINDING PROTEIN-LIKE', 167730),
(224005, 'PTHR45652:SF11', NULL, NULL, NULL, NULL, 'NOTOCHORD GRANULAR SURFACE-RELATED', 167731),
(224006, 'PTHR12899:SF12', NULL, NULL, NULL, NULL, 'OS09G0549700 PROTEIN', 167732),
(224007, 'PTHR48011:SF66', NULL, NULL, NULL, NULL, 'BNAC03G16670D PROTEIN', 167733),
(224008, 'PTHR45940:SF21', NULL, NULL, NULL, NULL, 'BNAA06G25450D PROTEIN', 167734),
(224009, 'PTHR43016:SF13', NULL, NULL, NULL, NULL, 'PRESEQUENCE PROTEASE, MITOCHONDRIAL', 167735),
(224010, 'PTHR13743:SF125', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 167736),
(224011, 'PTHR10809:SF114', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 4-1-LIKE', 167737),
(224012, 'PTHR35072', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 91', 167738),
(224013, 'PTHR25462:SF278', NULL, NULL, NULL, NULL, 'MOTIF PROTEIN TRIM9, PUTATIVE-RELATED', 167739),
(224014, 'PTHR35186:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167740),
(224015, 'PTHR10627:SF73', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN-CONTAINING PROTEIN-RELATED', 167741),
(224016, 'PTHR16056:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167742);
INSERT INTO "PUBLIC"."MODEL" VALUES
(224017, 'PTHR33076:SF141', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 167743),
(224018, 'PTHR11761:SF35', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN HLP, MITOCHONDRIAL-LIKE', 167744),
(224019, 'PTHR10562:SF14', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 1', 167745),
(224020, 'PTHR23056:SF112', NULL, NULL, NULL, NULL, 'BNAA03G52310D PROTEIN', 167746),
(224021, 'PTHR31675:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CRABS CLAW', 167747),
(224022, 'PTHR45811:SF61', NULL, NULL, NULL, NULL, 'ION-BINDING PROTEIN, PUTATIVE-RELATED', 167748),
(224023, 'PTHR46910:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PDR1', 167749),
(224024, 'PTHR23135:SF19', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYL-L-ALANYL-D-GLUTAMATE--2, 6-DIAMINOPIMELATE LIGASE MURE HOMOLOG, CHLOROPLASTIC-LIKE', 167750),
(224025, 'PTHR31707:SF329', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 167751),
(224026, 'PTHR47032:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 167752),
(224027, 'PTHR10226:SF3', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 11', 167753),
(224028, 'PTHR31674:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167754),
(224029, 'PTHR24055:SF391', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 3', 167755),
(224030, 'PTHR18905:SF13', NULL, NULL, NULL, NULL, 'BLASTODERM-SPECIFIC PROTEIN 25D', 167756),
(224031, 'PTHR19443:SF19', NULL, NULL, NULL, NULL, 'HEXOKINASE-10', 167757),
(224032, 'PTHR45714:SF46', NULL, NULL, NULL, NULL, 'BNAA01G34550D PROTEIN', 167758),
(224033, 'PTHR35848', NULL, NULL, NULL, NULL, 'OXALATE-BINDING PROTEIN', 167759),
(224034, 'PTHR24559:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167760),
(224035, 'PTHR12772', NULL, NULL, NULL, NULL, 'DNA REPLICATION COMPLEX GINS PROTEIN PSF2', 167761),
(224036, 'PTHR15348:SF23', NULL, NULL, NULL, NULL, 'BNAA06G14770D PROTEIN', 167762),
(224037, 'PTHR21310:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167763),
(224038, 'PTHR33044:SF184', NULL, NULL, NULL, NULL, 'OS03G0793800 PROTEIN', 167764),
(224039, 'PTHR22881:SF12', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 7', 167765),
(224040, 'PTHR47926:SF271', NULL, NULL, NULL, NULL, 'OS08G0538800 PROTEIN', 167766),
(224041, 'PTHR46756:SF8', NULL, NULL, NULL, NULL, 'GAS2-LIKE PROTEIN PICKLED EGGS', 167767),
(224042, 'PTHR10822:SF32', NULL, NULL, NULL, NULL, 'GLYPICAN 4', 167768),
(224043, 'PTHR23315:SF240', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 5', 167769),
(224044, 'PTHR23167:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167770),
(224045, 'PTHR35307:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167771),
(224046, 'PTHR12385:SF93', NULL, NULL, NULL, NULL, 'PLASMA-MEMBRANE CHOLINE TRANSPORTER FAMILY PROTEIN', 167772),
(224047, 'PTHR47359', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN DL-ENDOPEPTIDASE CWLO', 167773),
(224048, 'PTHR18945:SF515', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 167774),
(224049, 'PTHR31407:SF15', NULL, NULL, NULL, NULL, 'PSBP DOMAIN-CONTAINING PROTEIN 1, CHLOROPLASTIC', 167775),
(224050, 'PTHR48043:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 167776),
(224051, 'PTHR24412:SF35', NULL, NULL, NULL, NULL, 'ACTIN-BINDING PROTEIN IPP', 167777),
(224052, 'PTHR47881', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUBFAMILY MEMBER 4', 167778),
(224053, 'PTHR33562:SF21', NULL, NULL, NULL, NULL, 'LD40063P', 167779),
(224054, 'PTHR44083:SF35', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 1-LIKE ISOFORM X1', 167780),
(224055, 'PTHR11712:SF327', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE I, CHLOROPLASTIC-LIKE', 167781),
(224056, 'PTHR13847:SF273', NULL, NULL, NULL, NULL, 'D-AMINO ACID DEHYDROGENASE SMALL SUBUNIT', 167782),
(224057, 'PTHR47746:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167783),
(224058, 'PTHR48049:SF77', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 79B6', 167784),
(224059, 'PTHR45746:SF5', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 7-LIKE PROTEIN', 167785),
(224060, 'PTHR38437:SF3', NULL, NULL, NULL, NULL, 'ENDOSPORE COAT-ASSOCIATED PROTEIN YHED', 167786);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(224061, 'PTHR28494', NULL, NULL, NULL, NULL, 'UPF0600 PROTEIN C5ORF51', 167787),
(224062, 'PTHR46692:SF10', NULL, NULL, NULL, NULL, 'INOSINE/URIDINE-PREFERRING NUCLEOSIDE HYDROLASE DOMAIN-CONTAINING PROTEIN-RELATED', 167788),
(224063, 'PTHR11442:SF50', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT DELTA', 167789),
(224064, 'PTHR24099:SF7', NULL, NULL, NULL, NULL, 'CARDIOMYOPATHY-ASSOCIATED PROTEIN 5', 167790),
(224065, 'PTHR31561:SF86', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 16', 167791),
(224066, 'PTHR11214:SF275', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 8-RELATED', 167792),
(224067, 'PTHR46175:SF5', NULL, NULL, NULL, NULL, 'ADAGIO PROTEIN 1', 167793),
(224068, 'PTHR14225', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-III', 167794),
(224069, 'PTHR31194:SF151', NULL, NULL, NULL, NULL, 'BNAANNG36370D PROTEIN', 167795),
(224070, 'PTHR24381:SF288', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 454', 167796),
(224071, 'PTHR21540:SF0', NULL, NULL, NULL, NULL, 'PHD FAMILY PROTEIN', 167797),
(224072, 'PTHR43655:SF9', NULL, NULL, NULL, NULL, 'AFG3-LIKE PROTEIN 2', 167798),
(224073, 'PTHR23064:SF55', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 167799),
(224074, 'PTHR38402', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN OM14', 167800),
(224075, 'PTHR46662:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167801),
(224076, 'PTHR47967:SF30', NULL, NULL, NULL, NULL, 'OS01G0696800 PROTEIN', 167802),
(224077, 'PTHR37884', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 167803),
(224078, 'PTHR45805:SF5', NULL, NULL, NULL, NULL, 'RAR-RELATED ORPHAN RECEPTOR C', 167804),
(224079, 'PTHR12917:SF17', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-INTERACTING PROTEIN 2', 167805),
(224080, 'PTHR24026:SF96', NULL, NULL, NULL, NULL, 'CADHERIN-86C', 167806),
(224081, 'PTHR23255:SF72', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN SERINE/THREONINE KINASE', 167807),
(224082, 'PTHR13696:SF95', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', 167808),
(224083, 'PTHR10366:SF601', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167809),
(224084, 'PTHR43490:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167810),
(224085, 'PTHR32071', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 167811),
(224086, 'PTHR48047:SF77', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73C7', 167812),
(224087, 'PTHR37823:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C-553-LIKE', 167813),
(224088, 'PTHR21141:SF94', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2-1', 167814),
(224089, 'PTHR48033:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167815),
(224090, 'PTHR24031:SF735', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-2', 167816),
(224091, 'PTHR31100:SF20', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 167817),
(224092, 'PTHR21576:SF129', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', 167818),
(224093, 'PTHR22914:SF38', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 2', 167819),
(224094, 'PTHR10339:SF1', NULL, NULL, NULL, NULL, 'ECTO-ADP-RIBOSYLTRANSFERASE 4', 167820),
(224095, 'PTHR42647:SF34', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 1-LIKE ISOFORM X1', 167821),
(224096, 'PTHR47149:SF1', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN RMF', 167822),
(224097, 'PTHR47075:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH062', 167823),
(224098, 'PTHR33044:SF190', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 167824),
(224099, 'PTHR11098:SF25', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE', 167825),
(224100, 'PTHR46671:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG11221', 167826),
(224101, 'PTHR32502:SF3', NULL, NULL, NULL, NULL, 'D-GALACTOSAMINE-6-PHOSPHATE DEAMINASE AGAS-RELATED', 167827),
(224102, 'PTHR24286:SF310', NULL, NULL, NULL, NULL, 'BNACNNG57040D PROTEIN', 167828),
(224103, 'PTHR21224:SF1', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 1', 167829),
(224104, 'PTHR43895:SF63', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 167830);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(224105, 'PTHR11537:SF128', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY KQT MEMBER 5', 167831),
(224106, 'PTHR45720:SF5', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 167832),
(224107, 'PTHR31642:SF9', NULL, NULL, NULL, NULL, 'BENZYL ALCOHOL O-BENZOYLTRANSFERASE', 167833),
(224108, 'PTHR23266:SF296', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA CONSTANT 7', 167834),
(224109, 'PTHR11753:SF40', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT SIGMA-1', 167835),
(224110, 'PTHR45618:SF15', NULL, NULL, NULL, NULL, 'UCP2L PROTEIN', 167836),
(224111, 'PTHR33147:SF67', NULL, NULL, NULL, NULL, 'GAMMA-THIONIN-RELATED', 167837),
(224112, 'PTHR45851', NULL, NULL, NULL, NULL, 'MYC PROTO-ONCOGENE', 167838),
(224113, 'PTHR18966:SF401', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 167839),
(224114, 'PTHR43874', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 167840),
(224115, 'PTHR24174:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167841),
(224116, 'PTHR11360:SF275', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 16 MEMBER 6A', 167842),
(224117, 'PTHR43791:SF58', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04470)-RELATED', 167843),
(224118, 'PTHR37433:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG08578', 167844),
(224119, 'PTHR33690:SF2', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 241 MEMBER B-RELATED', 167845),
(224120, 'PTHR21517:SF3', NULL, NULL, NULL, NULL, 'APICAL JUNCTION COMPONENT 1 HOMOLOG', 167846),
(224121, 'PTHR20883:SF37', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE', 167847),
(224122, 'PTHR40351:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG19320', 167848),
(224123, 'PTHR13806:SF16', NULL, NULL, NULL, NULL, 'FLOTILLIN-1', 167849),
(224124, 'PTHR13382:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167850),
(224125, 'PTHR44067:SF6', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', 167851),
(224126, 'PTHR24376:SF157', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 167852),
(224127, 'PTHR33124:SF54', NULL, NULL, NULL, NULL, 'HLH DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 167853),
(224128, 'PTHR43488', NULL, NULL, NULL, NULL, 'GLUTAMATE-PYRUVATE AMINOTRANSFERASE ALAA', 167854),
(224129, 'PTHR10828:SF48', NULL, NULL, NULL, NULL, 'M-PHASE INDUCER PHOSPHATASE 2', 167855),
(224130, 'PTHR31218:SF341', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 167856),
(224131, 'PTHR24253:SF79', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 41', 167857),
(224132, 'PTHR31374:SF242', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 167858),
(224133, 'PTHR14399', NULL, NULL, NULL, NULL, 'P53-INDUCED PROTEIN RELATED', 167859),
(224134, 'PTHR47591:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT2-RELATED', 167860),
(224135, 'PTHR22879:SF14', NULL, NULL, NULL, NULL, 'NUT FAMILY MEMBER 2A-RELATED', 167861),
(224136, 'PTHR21454:SF31', NULL, NULL, NULL, NULL, 'DIPHTHAMIDE BIOSYNTHESIS PROTEIN 4', 167862),
(224137, 'PTHR22427', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 167863),
(224138, 'PTHR23317:SF81', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 11', 167864),
(224139, 'PTHR31225:SF62', NULL, NULL, NULL, NULL, '1,8-CINEOLE SYNTHASE 1, CHLOROPLASTIC-RELATED', 167865),
(224140, 'PTHR24384:SF94', NULL, NULL, NULL, NULL, 'MCG23719', 167866),
(224141, 'PTHR47678:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-33C12.4', 167867),
(224142, 'PTHR31391:SF3', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS05G0481400', 167868),
(224143, 'PTHR34121:SF4', NULL, NULL, NULL, NULL, 'OS05G0162200 PROTEIN', 167869),
(224144, 'PTHR22950:SF631', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER ANTL1-LIKE', 167870),
(224145, 'PTHR11977:SF57', NULL, NULL, NULL, NULL, 'VILLIN-LIKE PROTEIN QUAIL', 167871),
(224146, 'PTHR24072:SF310', NULL, NULL, NULL, NULL, 'RHO-RELATED PROTEIN RACC', 167872),
(224147, 'PTHR31238:SF163', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 167873),
(224148, 'PTHR28366', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 167874),
(224149, 'PTHR47025:SF6', NULL, NULL, NULL, NULL, 'N-LYSINE METHYLTRANSFERASE', 167875);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(224150, 'PTHR10257:SF74', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 57 KDA REGULATORY SUBUNIT B'' BETA ISOFORM', 167876),
(224151, 'PTHR15371:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM23-RELATED', 167877),
(224152, 'PTHR48002:SF36', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 167878),
(224153, 'PTHR33371', NULL, NULL, NULL, NULL, 'INTERMEMBRANE PHOSPHOLIPID TRANSPORT SYSTEM BINDING PROTEIN MLAD-RELATED', 167879),
(224154, 'PTHR45935:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ZBED8', 167880),
(224155, 'PTHR12169:SF22', NULL, NULL, NULL, NULL, 'AFG1-LIKE ATPASE FAMILY PROTEIN', 167881),
(224156, 'PTHR15453:SF9', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR 2, MITOCHONDRIAL CALCIUM REGULATOR A', 167882),
(224157, 'PTHR19432:SF75', NULL, NULL, NULL, NULL, 'BNAA03G52810D PROTEIN', 167883),
(224158, 'PTHR38753:SF1', NULL, NULL, NULL, NULL, 'SLR1441 PROTEIN', 167884),
(224159, 'PTHR13683:SF669', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1', 167885),
(224160, 'PTHR11802:SF384', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 167886),
(224161, 'PTHR43432:SF3', NULL, NULL, NULL, NULL, 'SLR0285 PROTEIN', 167887),
(224162, 'PTHR11590:SF6', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE 2', 167888),
(224163, 'PTHR11359:SF13', NULL, NULL, NULL, NULL, 'AMP DEAMINASE-RELATED', 167889),
(224164, 'PTHR46945:SF3', NULL, NULL, NULL, NULL, 'CYSTATIN E2', 167890),
(224165, 'PTHR33491:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167891),
(224166, 'PTHR45801:SF42', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', 167892),
(224167, 'PTHR43908', NULL, NULL, NULL, NULL, 'AT29763P-RELATED', 167893),
(224168, 'PTHR43864', NULL, NULL, NULL, NULL, 'HYPOXANTHINE/GUANINE PHOSPHORIBOSYLTRANSFERASE', 167894),
(224169, 'PTHR23268:SF19', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 6-1-RELATED', 167895),
(224170, 'PTHR35268', NULL, NULL, NULL, NULL, 'PROTEIN CCSMST1', 167896),
(224171, 'PTHR11560:SF10', NULL, NULL, NULL, NULL, 'OS05G0121500 PROTEIN', 167897),
(224172, 'PTHR13131:SF12', NULL, NULL, NULL, NULL, 'LYSOSOMAL CYSTINE TRANSPORTER FAMILY PROTEIN', 167898),
(224173, 'PTHR11781:SF4', NULL, NULL, NULL, NULL, 'THYROXINE 5-DEIODINASE', 167899),
(224174, 'PTHR35546:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167900),
(224175, 'PTHR21230:SF26', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE 13', 167901),
(224176, 'PTHR47532', NULL, NULL, NULL, NULL, 'RETINAL-BINDING PROTEIN', 167902),
(224177, 'PTHR33472:SF15', NULL, NULL, NULL, NULL, 'MUCIN-2-LIKE', 167903),
(224178, 'PTHR11547:SF59', NULL, NULL, NULL, NULL, 'CYTOPLASMIC CREATINE KINASE PROTEIN', 167904),
(224179, 'PTHR47928:SF134', NULL, NULL, NULL, NULL, 'OS10G0444500 PROTEIN', 167905),
(224180, 'PTHR31008:SF4', NULL, NULL, NULL, NULL, 'COP1-INTERACTING PROTEIN 7', 167906),
(224181, 'PTHR19818:SF131', NULL, NULL, NULL, NULL, 'METAL REGULATORY TRANSCRIPTION FACTOR 1', 167907),
(224182, 'PTHR45785:SF10', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR H-RELATED', 167908),
(224183, 'PTHR10858', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE II', 167909),
(224184, 'PTHR31500:SF61', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 5-LIKE', 167910),
(224185, 'PTHR12800:SF3', NULL, NULL, NULL, NULL, 'HSP90 CO-CHAPERONE CDC37', 167911),
(224186, 'PTHR27009:SF192', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.1', 167912),
(224187, 'PTHR24286:SF30', NULL, NULL, NULL, NULL, '3-EPI-6-DEOXOCATHASTERONE 23-MONOOXYGENASE CYP90D1', 167913),
(224188, 'PTHR46755:SF5', NULL, NULL, NULL, NULL, 'METHIONINE-R-SULFOXIDE REDUCTASE B1', 167914),
(224189, 'PTHR33095:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167915),
(224190, 'PTHR37031:SF2', NULL, NULL, NULL, NULL, 'METALLOPHOSPHATASE BINDING DOMAIN PROTEIN', 167916),
(224191, 'PTHR33572:SF14', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL AND SECONDARY METABOLISM REGULATOR VEA', 167917),
(224192, 'PTHR42713:SF3', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR YESN', 167918);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(224193, 'PTHR35537', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE APOPTOSIS SUPPRESSOR PROTEIN DDIAS', 167919),
(224194, 'PTHR12899:SF17', NULL, NULL, NULL, NULL, 'BNAC02G39880D PROTEIN', 167920),
(224195, 'PTHR11618:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167921),
(224196, 'PTHR24298:SF666', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE-LIKE', 167922),
(224197, 'PTHR11276:SF39', NULL, NULL, NULL, NULL, 'DNA POLYMERASE BETA', 167923),
(224198, 'PTHR16291:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR CAP-BINDING PROTEIN SUBUNIT 3', 167924),
(224199, 'PTHR47696', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 2', 167925),
(224200, 'PTHR23502:SF20', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13880)-RELATED', 167926),
(224201, 'PTHR31839:SF47', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1E', 167927),
(224202, 'PTHR23050:SF374', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML19-RELATED', 167928),
(224203, 'PTHR35256', NULL, NULL, NULL, NULL, 'CHROMOSOME 8 OPEN READING FRAME 48', 167929),
(224204, 'PTHR19855:SF29', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 59', 167930),
(224205, 'PTHR42938:SF26', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE CHLOROPLASTIC/MITOCHONDRIAL', 167931),
(224206, 'PTHR35371:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN', 167932),
(224207, 'PTHR48122', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN H', 167933),
(224208, 'PTHR35803:SF1', NULL, NULL, NULL, NULL, 'GLUCAN 1,4-ALPHA-GLUCOSIDASE SUSB', 167934),
(224209, 'PTHR23070:SF52', NULL, NULL, NULL, NULL, 'CHAPERONE, PUTATIVE-RELATED', 167935),
(224210, 'PTHR31865:SF20', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE EPSILON-1, PUTATIVE (DUF1685)-RELATED', 167936),
(224211, 'PTHR11945:SF635', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 79', 167937),
(224212, 'PTHR31673:SF3', NULL, NULL, NULL, NULL, 'PROTEIN COBRA', 167938),
(224213, 'PTHR46710:SF2', NULL, NULL, NULL, NULL, 'ARM REPEAT PROTEIN INTERACTING WITH ABF2-LIKE', 167939),
(224214, 'PTHR31238:SF210', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 167940),
(224215, 'PTHR10288:SF138', NULL, NULL, NULL, NULL, 'FUBP (FUBP) LIKE', 167941),
(224216, 'PTHR10211:SF0', NULL, NULL, NULL, NULL, 'ZGC:66475', 167942),
(224217, 'PTHR22811:SF129', NULL, NULL, NULL, NULL, 'OS07G0632700 PROTEIN', 167943),
(224218, 'PTHR27008:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167944),
(224219, 'PTHR46128:SF88', NULL, NULL, NULL, NULL, 'BNAA06G14350D PROTEIN', 167945),
(224220, 'PTHR47028:SF1', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE O', 167946),
(224221, 'PTHR46303', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 167947),
(224222, 'PTHR45125:SF4', NULL, NULL, NULL, NULL, 'OS06G0117800 PROTEIN', 167948),
(224223, 'PTHR11461:SF347', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR (SERPIN) FAMILY PROTEIN-RELATED', 167949),
(224224, 'PTHR24055:SF450', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 167950),
(224225, 'PTHR44013:SF8', NULL, NULL, NULL, NULL, 'ZINC-BINDING DEHYDROGENASE FAMILY OXIDOREDUCTASE', 167951),
(224226, 'PTHR30466:SF1', NULL, NULL, NULL, NULL, 'FMN REDUCTASE (NADH) RUTF', 167952),
(224227, 'PTHR24173:SF72', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 16', 167953),
(224228, 'PTHR31366:SF2', NULL, NULL, NULL, NULL, 'UPF0739 PROTEIN C1ORF74', 167954),
(224229, 'PTHR45707:SF2', NULL, NULL, NULL, NULL, 'PROTEIN QUIRKY', 167955),
(224230, 'PTHR13318:SF157', NULL, NULL, NULL, NULL, 'GH16156P-RELATED', 167956),
(224231, 'PTHR48092:SF10', NULL, NULL, NULL, NULL, 'ESTROGEN-RELATED RECEPTOR GAMMA', 167957),
(224232, 'PTHR21141:SF95', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2', 167958),
(224233, 'PTHR13376', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 167959),
(224234, 'PTHR10891:SF875', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 3', 167960),
(224235, 'PTHR23266:SF287', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-73', 167961),
(224236, 'PTHR43725:SF12', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE 4', 167962); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(224237, 'PTHR24342:SF12', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE RELATED', 167963),
(224238, 'PTHR11375', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32', 167964),
(224239, 'PTHR22883:SF321', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 167965),
(224240, 'PTHR12002:SF24', NULL, NULL, NULL, NULL, 'CLAUDIN-8', 167966),
(224241, 'PTHR32343:SF29', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 167967),
(224242, 'PTHR31140:SF5', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS04G0581400', 167968),
(224243, 'PTHR45619:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A CATALYTIC SUBUNIT BETA ISOFORM', 167969),
(224244, 'PTHR19957:SF328', NULL, NULL, NULL, NULL, 'SYNTAXIN, QA-SNARE FAMILY', 167970),
(224245, 'PTHR48051:SF8', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND CALPONIN HOMOLOGY DOMAIN CONTAINING 3', 167971),
(224246, 'PTHR34033:SF1', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT BETA-1', 167972),
(224247, 'PTHR14966:SF0', NULL, NULL, NULL, NULL, 'Z-DNA-BINDING PROTEIN 1', 167973),
(224248, 'PTHR11909:SF150', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ZK507.1-RELATED', 167974),
(224249, 'PTHR31086:SF18', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 9-LIKE', 167975),
(224250, 'PTHR21551:SF14', NULL, NULL, NULL, NULL, 'TOPOISOMERASE II-ASSOCIATED PROTEIN PAT1', 167976),
(224251, 'PTHR24056:SF473', NULL, NULL, NULL, NULL, 'ARID DNA-BINDING DOMAIN, ZINC FINGER, CCHC-TYPE, SERINE/THREONINE-PROTEIN KINASE UNC-51-RELATED', 167977),
(224252, 'PTHR10218:SF248', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN-LIKE ALPHA-11 SUBUNIT', 167978),
(224253, 'PTHR31048:SF129', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', 167979),
(224254, 'PTHR24270:SF31', NULL, NULL, NULL, NULL, 'LDL RECEPTOR-RELATED PROTEIN 2', 167980),
(224255, 'PTHR46444:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167981),
(224256, 'PTHR21454:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167982),
(224257, 'PTHR32099:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167983),
(224258, 'PTHR16821:SF4', NULL, NULL, NULL, NULL, 'FRATAXIN, MITOCHONDRIAL', 167984),
(224259, 'PTHR10908', NULL, NULL, NULL, NULL, 'SEROTONIN N-ACETYLTRANSFERASE', 167985),
(224260, 'PTHR10292:SF1', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', 167986),
(224261, 'PTHR10209:SF455', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167987),
(224262, 'PTHR45476', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 6-RELATED', 167988),
(224263, 'PTHR35317', NULL, NULL, NULL, NULL, 'OS04G0629600 PROTEIN', 167989),
(224264, 'PTHR11937:SF393', NULL, NULL, NULL, NULL, 'ACTIN-97', 167990),
(224265, 'PTHR10527:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 167991),
(224266, 'PTHR15924:SF9', NULL, NULL, NULL, NULL, 'RNA TRANSCRIPTION, TRANSLATION AND TRANSPORT FACTOR PROTEIN', 167992),
(224267, 'PTHR12994:SF7', NULL, NULL, NULL, NULL, 'SECERNIN-1', 167993),
(224268, 'PTHR30625', NULL, NULL, NULL, NULL, 'PROTEIN TOLQ', 167994),
(224269, 'PTHR32005:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 178B', 167995),
(224270, 'PTHR31428:SF5', NULL, NULL, NULL, NULL, 'RGM DOMAIN FAMILY MEMBER B', 167996),
(224271, 'PTHR36461', NULL, NULL, NULL, NULL, 'COORDINATOR OF PRMT5 AND DIFFERENTIATION STIMULATOR', 167997),
(224272, 'PTHR33415:SF4', NULL, NULL, NULL, NULL, 'DCL PROTEIN (DUF3223)', 167998),
(224273, 'PTHR11306:SF49', NULL, NULL, NULL, NULL, 'BNAC01G41790D PROTEIN', 167999),
(224274, 'PTHR10459:SF60', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE 2', 168000),
(224275, 'PTHR47322:SF1', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 168001),
(224276, 'PTHR31053', NULL, NULL, NULL, NULL, 'MAGNESIUM-PROTOPORPHYRIN IX MONOMETHYL ESTER [OXIDATIVE] CYCLASE, CHLOROPLASTIC', 168002),
(224277, 'PTHR19282:SF283', NULL, NULL, NULL, NULL, 'TETRASPANIN-RELATED', 168003),
(224278, 'PTHR11073:SF40', NULL, NULL, NULL, NULL, 'CALRETICULIN/CALNEXIN, CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN PROTEIN-RELATED', 168004);
INSERT INTO "PUBLIC"."MODEL" VALUES
(224279, 'PTHR22893:SF102', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 11-RELATED', 168005),
(224280, 'PTHR40061:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168006),
(224281, 'PTHR32134:SF139', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE FNKD-RELATED', 168007),
(224282, 'PTHR11266:SF97', NULL, NULL, NULL, NULL, 'BNAC09G51010D PROTEIN', 168008),
(224283, 'PTHR15326:SF7', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 2-LIKE PROTEIN', 168009),
(224284, 'PTHR45891:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', 168010),
(224285, 'PTHR33784:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168011),
(224286, 'PTHR10983:SF60', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 2', 168012),
(224287, 'PTHR31917:SF78', NULL, NULL, NULL, NULL, 'BNAA06G23040D PROTEIN', 168013),
(224288, 'PTHR41252', NULL, NULL, NULL, NULL, 'BLR2505 PROTEIN', 168014),
(224289, 'PTHR46836:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 168015),
(224290, 'PTHR31549:SF23', NULL, NULL, NULL, NULL, 'OS06G0179500 PROTEIN', 168016),
(224291, 'PTHR47990:SF136', NULL, NULL, NULL, NULL, 'BNAC02G01710D PROTEIN', 168017),
(224292, 'PTHR10209:SF502', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168018),
(224293, 'PTHR43788:SF2', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN SMUBP-2', 168019),
(224294, 'PTHR23236:SF74', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', 168020),
(224295, 'PTHR31989:SF281', NULL, NULL, NULL, NULL, 'BNAA01G31680D PROTEIN', 168021),
(224296, 'PTHR10961:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168022),
(224297, 'PTHR12081:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F7', 168023),
(224298, 'PTHR11647:SF57', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINASE-RELATED PROTEIN 3', 168024),
(224299, 'PTHR33596:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168025),
(224300, 'PTHR11066:SF60', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE', 168026),
(224301, 'PTHR37558', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 168027),
(224302, 'PTHR47975:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168028),
(224303, 'PTHR14614:SF10', NULL, NULL, NULL, NULL, 'PROTEIN N-TERMINAL AND LYSINE N-METHYLTRANSFERASE EFM7', 168029),
(224304, 'PTHR47993:SF83', NULL, NULL, NULL, NULL, 'BNAC09G21430D PROTEIN', 168030),
(224305, 'PTHR27001:SF762', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', 168031),
(224306, 'PTHR12607:SF11', NULL, NULL, NULL, NULL, 'ADENOMATOUS POLYPOSIS COLI PROTEIN', 168032),
(224307, 'PTHR31376:SF34', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 17-RELATED', 168033),
(224308, 'PTHR16073:SF8', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PLURIPOTENCY-ASSOCIATED PROTEIN 4', 168034),
(224309, 'PTHR31087:SF95', NULL, NULL, NULL, NULL, 'OS11G0121000 PROTEIN', 168035),
(224310, 'PTHR43490:SF79', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE ISOFORM X1', 168036),
(224311, 'PTHR11852:SF8', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE, ISOFORM IB, GAMMA SUBUNIT', 168037),
(224312, 'PTHR30098:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168038),
(224313, 'PTHR33321:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168039),
(224314, 'PTHR21089:SF10', NULL, NULL, NULL, NULL, 'DEHYDROQUINATE DEHYDRATASE/SHIKIMATE DEHYDROGENASE', 168040),
(224315, 'PTHR38218:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168041),
(224316, 'PTHR11394:SF57', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2', 168042),
(224317, 'PTHR31429:SF87', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', 168043),
(224318, 'PTHR24349:SF333', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 6', 168044),
(224319, 'PTHR42103', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 168045),
(224320, 'PTHR32183:SF14', NULL, NULL, NULL, NULL, 'BNAC04G03210D PROTEIN', 168046),
(224321, 'PTHR46735:SF2', NULL, NULL, NULL, NULL, 'SORCIN', 168047),
(224322, 'PTHR31713:SF47', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 168048);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(224323, 'PTHR32141:SF71', NULL, NULL, NULL, NULL, 'OS01G0596100 PROTEIN', 168049),
(224324, 'PTHR12231:SF227', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE L1-LIKE PROTEIN', 168050),
(224325, 'PTHR43670:SF38', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 2-LIKE', 168051),
(224326, 'PTHR15298:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11385', 168052),
(224327, 'PTHR32382:SF55', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 3', 168053),
(224328, 'PTHR14327', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT GAMMA', 168054),
(224329, 'PTHR23070:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168055),
(224330, 'PTHR13247', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 11  TPR REPEAT PROTEIN 11', 168056),
(224331, 'PTHR11473:SF16', NULL, NULL, NULL, NULL, 'TRYPTOPHAN 5-HYDROXYLASE 2', 168057),
(224332, 'PTHR11214:SF270', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 168058),
(224333, 'PTHR23272:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168059),
(224334, 'PTHR24147:SF22', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 18B', 168060),
(224335, 'PTHR11073:SF3', NULL, NULL, NULL, NULL, 'CALRETICULIN-3', 168061),
(224336, 'PTHR33304:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 168062),
(224337, 'PTHR15228:SF36', NULL, NULL, NULL, NULL, 'SI:CH211-247J9.1', 168063),
(224338, 'PTHR34366', NULL, NULL, NULL, NULL, 'OS07G0289901 PROTEIN-RELATED', 168064),
(224339, 'PTHR21614', NULL, NULL, NULL, NULL, 'SHORT COILED COIL PROTEIN', 168065),
(224340, 'PTHR47992:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168066),
(224341, 'PTHR45805:SF4', NULL, NULL, NULL, NULL, 'ECDYSONE-INDUCED PROTEIN 78C', 168067),
(224342, 'PTHR47984:SF18', NULL, NULL, NULL, NULL, 'BNAA01G36950D PROTEIN', 168068),
(224343, 'PTHR31301:SF160', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 1-LIKE', 168069),
(224344, 'PTHR36736:SF3', NULL, NULL, NULL, NULL, 'BNAC01G10370D PROTEIN', 168070),
(224345, 'PTHR19339', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 39', 168071),
(224346, 'PTHR24390:SF164', NULL, NULL, NULL, NULL, 'IP01252P-RELATED', 168072),
(224347, 'PTHR43281:SF26', NULL, NULL, NULL, NULL, 'BNAA01G29350D PROTEIN', 168073),
(224348, 'PTHR32246:SF112', NULL, NULL, NULL, NULL, 'BNAA09G51880D PROTEIN', 168074),
(224349, 'PTHR23333:SF28', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 4', 168075),
(224350, 'PTHR24073:SF1135', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-6A', 168076),
(224351, 'PTHR31549:SF213', NULL, NULL, NULL, NULL, 'BNAA02G24980D PROTEIN', 168077),
(224352, 'PTHR37392', NULL, NULL, NULL, NULL, 'OS09G0556800 PROTEIN', 168078),
(224353, 'PTHR31126:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168079),
(224354, 'PTHR42898:SF55', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE 2', 168080),
(224355, 'PTHR38011:SF6', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN', 168081),
(224356, 'PTHR47993:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168082),
(224357, 'PTHR47372:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168083),
(224358, 'PTHR31236:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168084),
(224359, 'PTHR31288:SF29', NULL, NULL, NULL, NULL, 'BNAA02G26850D PROTEIN', 168085),
(224360, 'PTHR10165:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE-RELATED PROTEIN TYPE 3', 168086),
(224361, 'PTHR28108', NULL, NULL, NULL, NULL, 'SWR1-COMPLEX PROTEIN 3', 168087),
(224362, 'PTHR12173', NULL, NULL, NULL, NULL, 'GDNF SUBFAMILY OF TGF-BETA FAMILY', 168088),
(224363, 'PTHR47520:SF2', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 168089),
(224364, 'PTHR46000:SF2', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 168090),
(224365, 'PTHR32123:SF10', NULL, NULL, NULL, NULL, 'BICAUDAL-D-RELATED PROTEIN 2-LIKE-RELATED', 168091),
(224366, 'PTHR24020:SF14', NULL, NULL, NULL, NULL, 'MATRILIN-4', 168092),
(224367, 'PTHR22957:SF574', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY, MEMBER 10C', 168093),
(224368, 'PTHR48174:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN (DUF946)', 168094);
INSERT INTO "PUBLIC"."MODEL" VALUES
(224369, 'PTHR35744:SF2', NULL, NULL, NULL, NULL, 'OS06G0166200 PROTEIN', 168095),
(224370, 'PTHR47072:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168096),
(224371, 'PTHR11955:SF75', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN HOMOLOG 7-RELATED', 168097),
(224372, 'PTHR33095:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168098),
(224373, 'PTHR36714:SF1', NULL, NULL, NULL, NULL, 'T23E23.1', 168099),
(224374, 'PTHR31676:SF115', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 168100),
(224375, 'PTHR10996:SF219', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (SERA-2)-RELATED', 168101),
(224376, 'PTHR35546:SF59', NULL, NULL, NULL, NULL, 'OS01G0379400 PROTEIN', 168102),
(224377, 'PTHR24377:SF244', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 623', 168103),
(224378, 'PTHR32295:SF150', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1', 168104),
(224379, 'PTHR11304:SF42', NULL, NULL, NULL, NULL, 'EPHRIN-A4', 168105),
(224380, 'PTHR24223:SF374', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 3', 168106),
(224381, 'PTHR31734:SF96', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 168107),
(224382, 'PTHR32080:SF36', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 1', 168108),
(224383, 'PTHR21181:SF13', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE (UBIQUINONE) COMPLEX I, ASSEMBLY FACTOR 6', 168109),
(224384, 'PTHR13439:SF4', NULL, NULL, NULL, NULL, 'TLC DOMAIN-CONTAINING PROTEIN FLD-1', 168110),
(224385, 'PTHR31642:SF140', NULL, NULL, NULL, NULL, 'PUTRESCINE HYDROXYCINNAMOYLTRANSFERASE', 168111),
(224386, 'PTHR33306:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168112),
(224387, 'PTHR42060', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 168113),
(224388, 'PTHR34740:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168114),
(224389, 'PTHR46519:SF8', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBOS34-RELATED', 168115),
(224390, 'PTHR45634:SF2', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 4', 168116),
(224391, 'PTHR23128:SF133', NULL, NULL, NULL, NULL, 'PROTEIN CBG02266', 168117),
(224392, 'PTHR48083:SF16', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FADE3-RELATED', 168118),
(224393, 'PTHR43497', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 11', 168119),
(224394, 'PTHR23064:SF22', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM BINDING DOMAIN 7', 168120),
(224395, 'PTHR32044:SF86', NULL, NULL, NULL, NULL, 'BNAA02G05900D PROTEIN', 168121),
(224396, 'PTHR24256:SF316', NULL, NULL, NULL, NULL, 'INACTIVE SERINE PROTEASE 39-RELATED', 168122),
(224397, 'PTHR24221:SF305', NULL, NULL, NULL, NULL, 'OS08G0153000 PROTEIN', 168123),
(224398, 'PTHR11593:SF29', NULL, NULL, NULL, NULL, 'BNAA09G27910D PROTEIN', 168124),
(224399, 'PTHR23189:SF97', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 2', 168125),
(224400, 'PTHR35304:SF1', NULL, NULL, NULL, NULL, 'OS05G0120300 PROTEIN', 168126),
(224401, 'PTHR14604:SF3', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 16 PROTEIN', 168127),
(224402, 'PTHR33626:SF2', NULL, NULL, NULL, NULL, 'ZGC:158463', 168128),
(224403, 'PTHR48002:SF22', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 168129),
(224404, 'PTHR48044:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 168130),
(224405, 'PTHR39453', NULL, NULL, NULL, NULL, 'PHOSPHATE PROPANOYLTRANSFERASE', 168131),
(224406, 'PTHR31989:SF198', NULL, NULL, NULL, NULL, 'NAC DOMAIN TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', 168132),
(224407, 'PTHR32116:SF33', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 168133),
(224408, 'PTHR37517:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168134),
(224409, 'PTHR10492:SF73', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 168135),
(224410, 'PTHR42826:SF11', NULL, NULL, NULL, NULL, 'DICARBOXYLATE TRANSPORTER 2.1, CHLOROPLASTIC-LIKE', 168136),
(224411, 'PTHR43665:SF1', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE', 168137),
(224412, 'PTHR43853:SF17', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE B, PEROXISOMAL', 168138),
(224413, 'PTHR10983:SF56', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 2-LIKE', 168139);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(224414, 'PTHR31086:SF48', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER-LIKE', 168140),
(224415, 'PTHR11595:SF59', NULL, NULL, NULL, NULL, 'EF-HAND AND COILED-COIL DOMAIN-CONTAINING 1', 168141),
(224416, 'PTHR46074:SF5', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN C', 168142),
(224417, 'PTHR46929:SF17', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 168143),
(224418, 'PTHR16206:SF11', NULL, NULL, NULL, NULL, 'DEP DOMAIN-CONTAINING PROTEIN 1B', 168144),
(224419, 'PTHR13767:SF2', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE 1-RELATED', 168145),
(224420, 'PTHR24062:SF180', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 168146),
(224421, 'PTHR47485:SF1', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 17.4 KDA PROTEIN, CHLOROPLASTIC', 168147),
(224422, 'PTHR10913:SF70', NULL, NULL, NULL, NULL, 'TOMOREGULIN-2', 168148),
(224423, 'PTHR47926:SF266', NULL, NULL, NULL, NULL, 'BNAANNG14220D PROTEIN', 168149),
(224424, 'PTHR44899:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK5', 168150),
(224425, 'PTHR24103:SF560', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIML1-RELATED', 168151),
(224426, 'PTHR45855:SF51', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF4', 168152),
(224427, 'PTHR48018:SF170', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 168153),
(224428, 'PTHR14154:SF69', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', 168154),
(224429, 'PTHR10992:SF1062', NULL, NULL, NULL, NULL, 'SALICYLIC ACID-BINDING PROTEIN 2-LIKE', 168155),
(224430, 'PTHR16099', NULL, NULL, NULL, NULL, '8-OXO-DGTP DIPHOSPHATES NUDT15', 168156),
(224431, 'PTHR43245:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168157),
(224432, 'PTHR28607:SF2', NULL, NULL, NULL, NULL, 'RGD1562114', 168158),
(224433, 'PTHR24093:SF445', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 10, PLASMA MEMBRANE-TYPE', 168159),
(224434, 'PTHR46372:SF5', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) FAMILY PROTEIN', 168160),
(224435, 'PTHR32212:SF341', NULL, NULL, NULL, NULL, 'BNAC02G12230D PROTEIN', 168161),
(224436, 'PTHR10605:SF55', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 168162),
(224437, 'PTHR11875:SF67', NULL, NULL, NULL, NULL, 'PROTEIN SET', 168163),
(224438, 'PTHR46241:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 4', 168164),
(224439, 'PTHR42908:SF30', NULL, NULL, NULL, NULL, 'BNAC03G76150D PROTEIN', 168165),
(224440, 'PTHR17098', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE MWFE SUBUNIT', 168166),
(224441, 'PTHR47966:SF44', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE', 168167),
(224442, 'PTHR22997:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KINTOUN', 168168),
(224443, 'PTHR26450:SF196', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 168169),
(224444, 'PTHR12080:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168170),
(224445, 'PTHR13557:SF2', NULL, NULL, NULL, NULL, 'BNAA04G18300D PROTEIN', 168171),
(224446, 'PTHR13589:SF6', NULL, NULL, NULL, NULL, 'CREB-REGULATED TRANSCRIPTION COACTIVATOR 2', 168172),
(224447, 'PTHR11671:SF2', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT D', 168173),
(224448, 'PTHR45168:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 2', 168174),
(224449, 'PTHR31027', NULL, NULL, NULL, NULL, 'NUCLEAR SEGREGATION PROTEIN BFR1', 168175),
(224450, 'PTHR47067:SF7', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) PROTEIN FAMILY', 168176),
(224451, 'PTHR24381:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 599', 168177),
(224452, 'PTHR10366:SF632', NULL, NULL, NULL, NULL, 'OS07G0601900 PROTEIN', 168178),
(224453, 'PTHR43880:SF6', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 6A (CLASS V)', 168179),
(224454, 'PTHR21230:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168180),
(224455, 'PTHR31713:SF64', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN60-RELATED', 168181),
(224456, 'PTHR10209:SF781', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168182),
(224457, 'PTHR46508:SF7', NULL, NULL, NULL, NULL, 'DDT DOMAIN-CONTAINING PROTEIN PTM', 168183);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(224458, 'PTHR31875:SF25', NULL, NULL, NULL, NULL, 'DROUGHT-INDUCED PROTEIN', 168184),
(224459, 'PTHR43570:SF2', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 3 MEMBER B1', 168185),
(224460, 'PTHR10625:SF207', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 168186),
(224461, 'PTHR28375', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 168187),
(224462, 'PTHR46387:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168188),
(224463, 'PTHR20932:SF5', NULL, NULL, NULL, NULL, 'AND PUTATIVE PEPTIDOGLYCAN-BINDING DOMAIN-CONTAINING PROTEIN 3-RELATED', 168189),
(224464, 'PTHR31451:SF60', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 7', 168190),
(224465, 'PTHR33078:SF59', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SUBUNIT BETA', 168191),
(224466, 'PTHR31731:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168192),
(224467, 'PTHR14212:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168193),
(224468, 'PTHR43917:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168194),
(224469, 'PTHR22773:SF104', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT 2 A, CHLOROPLASTIC-RELATED', 168195),
(224470, 'PTHR11911', NULL, NULL, NULL, NULL, 'INOSINE-5-MONOPHOSPHATE DEHYDROGENASE RELATED', 168196),
(224471, 'PTHR11738:SF153', NULL, NULL, NULL, NULL, 'KILLER CELL IMMUNOGLOBULIN-LIKE RECEPTOR-LIKE PROTEIN KIR3DX1-RELATED', 168197),
(224472, 'PTHR46330', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 10B', 168198),
(224473, 'PTHR33786:SF6', NULL, NULL, NULL, NULL, 'BNAA07G25240D PROTEIN', 168199),
(224474, 'PTHR46560:SF5', NULL, NULL, NULL, NULL, 'CYPHER, ISOFORM B', 168200),
(224475, 'PTHR23273:SF59', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', 168201),
(224476, 'PTHR34504', NULL, NULL, NULL, NULL, 'ANTITOXIN HICB', 168202),
(224477, 'PTHR24136:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 11', 168203),
(224478, 'PTHR16223:SF245', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH84', 168204),
(224479, 'PTHR42774:SF8', NULL, NULL, NULL, NULL, 'PFKB-LIKE CARBOHYDRATE KINASE FAMILY PROTEIN', 168205),
(224480, 'PTHR31525:SF3', NULL, NULL, NULL, NULL, 'HEME TRANSPORTER HRG-4', 168206),
(224481, 'PTHR10974:SF1', NULL, NULL, NULL, NULL, 'FI21235P1', 168207),
(224482, 'PTHR16736:SF1', NULL, NULL, NULL, NULL, 'CORTEXIN-3', 168208),
(224483, 'PTHR43080:SF18', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX3, MITOCHONDRIAL-LIKE', 168209),
(224484, 'PTHR31446:SF32', NULL, NULL, NULL, NULL, 'BNAA07G09020D PROTEIN', 168210),
(224485, 'PTHR22955:SF60', NULL, NULL, NULL, NULL, 'PROTEIN CBG26950', 168211),
(224486, 'PTHR27001:SF220', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 1', 168212),
(224487, 'PTHR37417:SF4', NULL, NULL, NULL, NULL, '67 KDA MYOSIN-CROSS-REACTIVE ANTIGEN FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G03570)', 168213),
(224488, 'PTHR45005:SF2', NULL, NULL, NULL, NULL, 'PROTEIN HLB1', 168214),
(224489, 'PTHR16165', NULL, NULL, NULL, NULL, 'BRUSH BORDER-RELATED', 168215),
(224490, 'PTHR24270:SF12', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 6', 168216),
(224491, 'PTHR21646:SF73', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 168217),
(224492, 'PTHR11206:SF397', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 1', 168218),
(224493, 'PTHR35496:SF14', NULL, NULL, NULL, NULL, 'BNAC01G19320D PROTEIN', 168219),
(224494, 'PTHR45962:SF1', NULL, NULL, NULL, NULL, 'N-FATTY-ACYL-AMINO ACID SYNTHASE/HYDROLASE PM20D1', 168220),
(224495, 'PTHR27002:SF849', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168221),
(224496, 'PTHR46766:SF1', NULL, NULL, NULL, NULL, 'GLUTAMINE-RICH PROTEIN 2', 168222),
(224497, 'PTHR10281:SF84', NULL, NULL, NULL, NULL, 'VACUOLE MEMBRANE PROTEIN KMS2', 168223),
(224498, 'PTHR24249:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168224),
(224499, 'PTHR22835:SF565', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 168225),
(224500, 'PTHR48033:SF4', NULL, NULL, NULL, NULL, 'OS08G0320100 PROTEIN', 168226),
(224501, 'PTHR28219', NULL, NULL, NULL, NULL, 'UPF0642 PROTEIN YBL028C', 168227);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(224502, 'PTHR32263:SF13', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 168228),
(224503, 'PTHR23503:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168229),
(224504, 'PTHR10174:SF224', NULL, NULL, NULL, NULL, 'ALPHA-TOCOPHEROL TRANSFER PROTEIN-LIKE', 168230),
(224505, 'PTHR47458', NULL, NULL, NULL, NULL, 'SMAD/FHA DOMAIN-CONTAINING PROTEIN', 168231),
(224506, 'PTHR23267:SF278', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 2-29', 168232),
(224507, 'PTHR32246:SF136', NULL, NULL, NULL, NULL, 'BNAA02G36410D PROTEIN', 168233),
(224508, 'PTHR46525', NULL, NULL, NULL, NULL, 'EMB|CAB72159.1', 168234),
(224509, 'PTHR43379', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE', 168235),
(224510, 'PTHR43874:SF149', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR12', 168236),
(224511, 'PTHR48019:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168237),
(224512, 'PTHR32472:SF19', NULL, NULL, NULL, NULL, 'DNA REPAIR-LIKE PROTEINRADA', 168238),
(224513, 'PTHR45681:SF5', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 27-RELATED', 168239),
(224514, 'PTHR47999:SF19', NULL, NULL, NULL, NULL, 'BNAC03G74080D PROTEIN', 168240),
(224515, 'PTHR11266:SF49', NULL, NULL, NULL, NULL, 'YALI0E12881P', 168241),
(224516, 'PTHR35525', NULL, NULL, NULL, NULL, 'BLL6575 PROTEIN', 168242),
(224517, 'PTHR45621:SF68', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 168243),
(224518, 'PTHR45645:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG17382', 168244),
(224519, 'PTHR24247:SF212', NULL, NULL, NULL, NULL, 'PARIETOPSIN', 168245),
(224520, 'PTHR35692:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168246),
(224521, 'PTHR11972:SF168', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN C', 168247),
(224522, 'PTHR12626:SF6', NULL, NULL, NULL, NULL, 'OS04G0482800 PROTEIN', 168248),
(224523, 'PTHR24320:SF218', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 168249),
(224524, 'PTHR10972:SF191', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN, PH DOMAIN-LIKE PROTEIN-RELATED', 168250),
(224525, 'PTHR31374:SF211', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A', 168251),
(224526, 'PTHR11059:SF0', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RECN', 168252),
(224527, 'PTHR12713:SF22', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G 2', 168253),
(224528, 'PTHR46420', NULL, NULL, NULL, NULL, 'BETA-1,4-GLUCURONYLTRANSFERASE 1', 168254),
(224529, 'PTHR11465', NULL, NULL, NULL, NULL, 'CATALASE', 168255),
(224530, 'PTHR14913:SF0', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR TYPE 1-ASSOCIATED DEATH DOMAIN PROTEIN', 168256),
(224531, 'PTHR47754:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 168257),
(224532, 'PTHR26452:SF772', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5K2', 168258),
(224533, 'PTHR42927', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 168259),
(224534, 'PTHR12192:SF22', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLCYCLOTRANSFERASE', 168260),
(224535, 'PTHR33193', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF3511)-RELATED', 168261),
(224536, 'PTHR11409:SF45', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE 2-A', 168262),
(224537, 'PTHR31674:SF61', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0905400', 168263),
(224538, 'PTHR24054:SF49', NULL, NULL, NULL, NULL, 'BNAC09G11140D PROTEIN', 168264),
(224539, 'PTHR12162', NULL, NULL, NULL, NULL, 'NIBRIN-RELATED', 168265),
(224540, 'PTHR47129:SF1', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE 2', 168266),
(224541, 'PTHR11011:SF45', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 1', 168267),
(224542, 'PTHR31077', NULL, NULL, NULL, NULL, 'U4/U6.U5 SMALL NUCLEAR RIBONUCLEOPROTEIN 27 KDA PROTEIN', 168268),
(224543, 'PTHR31807:SF25', NULL, NULL, NULL, NULL, 'QWRF MOTIF-CONTAINING PROTEIN 6', 168269),
(224544, 'PTHR45620:SF30', NULL, NULL, NULL, NULL, 'GLUCAGON RECEPTOR-LIKE PROTEIN', 168270),
(224545, 'PTHR10641:SF1232', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB74', 168271),
(224546, 'PTHR11654:SF322', NULL, NULL, NULL, NULL, 'OS10G0579600 PROTEIN', 168272);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(224547, 'PTHR47951:SF2', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 168273),
(224548, 'PTHR27006:SF367', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168274),
(224549, 'PTHR47557:SF3', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 1-RELATED', 168275),
(224550, 'PTHR31973:SF106', NULL, NULL, NULL, NULL, 'OS09G0268600 PROTEIN', 168276),
(224551, 'PTHR24031:SF624', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', 168277),
(224552, 'PTHR22930:SF212', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1 ISOFORM X1-RELATED', 168278),
(224553, 'PTHR10292:SF21', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', 168279),
(224554, 'PTHR11712:SF334', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE', 168280),
(224555, 'PTHR45089:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168281),
(224556, 'PTHR48106:SF14', NULL, NULL, NULL, NULL, 'DEHYDROGENASE ORSE-RELATED', 168282),
(224557, 'PTHR22920:SF20', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN-RELATED', 168283),
(224558, 'PTHR26452:SF801', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 168284),
(224559, 'PTHR23081:SF28', NULL, NULL, NULL, NULL, 'BNAC03G12630D PROTEIN', 168285),
(224560, 'PTHR26450:SF23', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52E5', 168286),
(224561, 'PTHR47293:SF12', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 32-RELATED', 168287),
(224562, 'PTHR12125', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 6-LIKE PROTEIN', 168288),
(224563, 'PTHR21292:SF14', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 3-LIKE PROTEIN 4', 168289),
(224564, 'PTHR42946', NULL, NULL, NULL, NULL, 'PHOSPHOHEXOSE MUTASE', 168290),
(224565, 'PTHR11977:SF85', NULL, NULL, NULL, NULL, 'PROTEIN FLIGHTLESS-1 HOMOLOG', 168291),
(224566, 'PTHR46705:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02606', 168292),
(224567, 'PTHR22763:SF168', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN', 168293),
(224568, 'PTHR10071:SF281', NULL, NULL, NULL, NULL, 'BOX A-BINDING FACTOR-RELATED', 168294),
(224569, 'PTHR35094:SF8', NULL, NULL, NULL, NULL, 'BNAC02G20450D PROTEIN', 168295),
(224570, 'PTHR24339:SF53', NULL, NULL, NULL, NULL, 'GS HOMEOBOX 2', 168296),
(224571, 'PTHR24115:SF363', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF26B', 168297),
(224572, 'PTHR43572:SF65', NULL, NULL, NULL, NULL, 'DOUBLE CLP-N MOTIF-CONTAINING P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', 168298),
(224573, 'PTHR38505:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC100362176', 168299),
(224574, 'PTHR24298:SF829', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A3', 168300),
(224575, 'PTHR45853:SF5', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE SRT1', 168301),
(224576, 'PTHR48002:SF105', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C12', 168302),
(224577, 'PTHR15344:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168303),
(224578, 'PTHR31549:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168304),
(224579, 'PTHR45923:SF9', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG 2-LIKE ISOFORM X1', 168305),
(224580, 'PTHR31147:SF31', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 5', 168306),
(224581, 'PTHR47134', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 11A', 168307),
(224582, 'PTHR47926:SF166', NULL, NULL, NULL, NULL, 'OS07G0635800 PROTEIN', 168308),
(224583, 'PTHR45807:SF5', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE JAK1', 168309),
(224584, 'PTHR24031:SF717', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-9-LIKE', 168310),
(224585, 'PTHR23024:SF482', NULL, NULL, NULL, NULL, 'CXE CARBOXYLESTERASE', 168311),
(224586, 'PTHR10677:SF45', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN DSK2B-LIKE ISOFORM X1', 168312),
(224587, 'PTHR46084:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168313),
(224588, 'PTHR31415:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168314),
(224589, 'PTHR47985:SF40', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN', 168315),
(224590, 'PTHR47763', NULL, NULL, NULL, NULL, 'ALPHA-PROTEIN KINASE VWKA', 168316);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(224591, 'PTHR31322', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TM129', 168317),
(224592, 'PTHR22943:SF68', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 168318),
(224593, 'PTHR11524:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7-LIKE 1', 168319),
(224594, 'PTHR11564:SF34', NULL, NULL, NULL, NULL, 'BNAA03G48140D PROTEIN', 168320),
(224595, 'PTHR35361', NULL, NULL, NULL, NULL, 'OS08G0443700 PROTEIN', 168321),
(224596, 'PTHR11712:SF338', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE II, CHLOROPLASTIC-LIKE', 168322),
(224597, 'PTHR11835:SF60', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT GAMMA, MITOCHONDRIAL', 168323),
(224598, 'PTHR33070:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168324),
(224599, 'PTHR30523:SF36', NULL, NULL, NULL, NULL, 'BNAC04G02430D PROTEIN', 168325),
(224600, 'PTHR11640:SF127', NULL, NULL, NULL, NULL, 'SI:CH211-57N23.4', 168326),
(224601, 'PTHR33124:SF61', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH148', 168327),
(224602, 'PTHR32015:SF12', NULL, NULL, NULL, NULL, 'LIPASE RELATED', 168328),
(224603, 'PTHR42709:SF7', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE GLPE', 168329),
(224604, 'PTHR45926:SF28', NULL, NULL, NULL, NULL, 'BROMODOMAIN TESTIS-SPECIFIC PROTEIN', 168330),
(224605, 'PTHR35745', NULL, NULL, NULL, NULL, 'BNACNNG14650D PROTEIN', 168331),
(224606, 'PTHR21357:SF4', NULL, NULL, NULL, NULL, 'FAM172 FAMILY PROTEIN HOMOLOG CG10038', 168332),
(224607, 'PTHR45616:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168333),
(224608, 'PTHR46084:SF16', NULL, NULL, NULL, NULL, 'OS05G0471000 PROTEIN', 168334),
(224609, 'PTHR22842:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN-CONTAINING PROTEIN 83', 168335),
(224610, 'PTHR14392:SF8', NULL, NULL, NULL, NULL, 'PH DOMAIN-CONTAINING PROTEIN DDB_G0267786', 168336),
(224611, 'PTHR42791:SF2', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, GNAT FAMILY FAMILY (AFU_ORTHOLOGUE AFUA_8G05690)', 168337),
(224612, 'PTHR32468:SF119', NULL, NULL, NULL, NULL, 'CATION/H(+) SYMPORTER 13', 168338),
(224613, 'PTHR46128:SF263', NULL, NULL, NULL, NULL, 'BNAC09G42770D PROTEIN', 168339),
(224614, 'PTHR34152:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04886', 168340),
(224615, 'PTHR46449:SF1', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 47, MEMBER A', 168341),
(224616, 'PTHR12203:SF96', NULL, NULL, NULL, NULL, 'BNAC04G50500D PROTEIN', 168342),
(224617, 'PTHR31895:SF10', NULL, NULL, NULL, NULL, 'ACTIVATED IN BLOCKED UNFOLDED PROTEIN RESPONSE', 168343),
(224618, 'PTHR24103:SF652', NULL, NULL, NULL, NULL, 'ZGC:194990', 168344),
(224619, 'PTHR11941:SF155', NULL, NULL, NULL, NULL, '3-HYDROXYBUTYRYL-COA DEHYDRATASE-LIKE PROTEIN, MITOCHONDRIAL', 168345),
(224620, 'PTHR10593:SF126', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 14', 168346),
(224621, 'PTHR19957:SF302', NULL, NULL, NULL, NULL, 'SYNTAXIN OF PLANTS PROTEIN', 168347),
(224622, 'PTHR23252:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG17275', 168348),
(224623, 'PTHR11575:SF40', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 168349),
(224624, 'PTHR10353:SF164', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 30', 168350),
(224625, 'PTHR12929:SF17', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 52, RIBOFLAVIN TRANSPORTER, MEMBER 2', 168351),
(224626, 'PTHR10871:SF34', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S18, PUTATIVE-RELATED', 168352),
(224627, 'PTHR27006:SF314', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', 168353),
(224628, 'PTHR18901:SF40', NULL, NULL, NULL, NULL, '(DL)-GLYCEROL-3-PHOSPHATASE 2', 168354),
(224629, 'PTHR24028:SF66', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-B6', 168355),
(224630, 'PTHR32011:SF7', NULL, NULL, NULL, NULL, 'BNAC07G16360D PROTEIN', 168356),
(224631, 'PTHR23535', NULL, NULL, NULL, NULL, 'SUGAR EFFLUX TRANSPORTER A-RELATED', 168357),
(224632, 'PTHR22595:SF162', NULL, NULL, NULL, NULL, 'CHITINASE FAMILY PROTEIN', 168358),
(224633, 'PTHR47979:SF56', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1E', 168359),
(224634, 'PTHR33306:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 168360);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(224635, 'PTHR31232:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168361),
(224636, 'PTHR23266:SF154', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA-LIKE POLYPEPTIDE 1', 168362),
(224637, 'PTHR33352:SF2', NULL, NULL, NULL, NULL, 'SLR1095 PROTEIN', 168363),
(224638, 'PTHR31165:SF77', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE1', 168364),
(224639, 'PTHR31485:SF24', NULL, NULL, NULL, NULL, 'BNAA09G04630D PROTEIN', 168365),
(224640, 'PTHR24046:SF3', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE, CUB AND EGF-LIKE DOMAIN-CONTAINING PROTEIN 2', 168366),
(224641, 'PTHR23267:SF326', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-12-RELATED', 168367),
(224642, 'PTHR36370:SF6', NULL, NULL, NULL, NULL, 'THYLAKOID SOLUBLE PHOSPHOPROTEIN TSP9-RELATED', 168368),
(224643, 'PTHR22765:SF252', NULL, NULL, NULL, NULL, 'OS01G0535100 PROTEIN', 168369),
(224644, 'PTHR31080:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168370),
(224645, 'PTHR43051:SF4', NULL, NULL, NULL, NULL, 'POLY(A) POLYMERASE I-LIKE', 168371),
(224646, 'PTHR10218:SF308', NULL, NULL, NULL, NULL, 'EXTRA-LARGE GTP-BINDING PROTEIN', 168372),
(224647, 'PTHR32467:SF83', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR AIL1', 168373),
(224648, 'PTHR43009:SF7', NULL, NULL, NULL, NULL, 'HOMOGENTISATE SOLANESYLTRANSFERASE, CHLOROPLASTIC', 168374),
(224649, 'PTHR19876:SF40', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''-3', 168375),
(224650, 'PTHR11863:SF145', NULL, NULL, NULL, NULL, 'OS02G0745700 PROTEIN', 168376),
(224651, 'PTHR34371:SF16', NULL, NULL, NULL, NULL, 'BNAC04G52140D PROTEIN', 168377),
(224652, 'PTHR10366:SF693', NULL, NULL, NULL, NULL, 'VESTITONE REDUCTASE', 168378),
(224653, 'PTHR33646:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 168379),
(224654, 'PTHR10736:SF55', NULL, NULL, NULL, NULL, 'BESTROPHIN 1, ISOFORM C-RELATED', 168380),
(224655, 'PTHR47920:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13378', 168381),
(224656, 'PTHR24393:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 524', 168382),
(224657, 'PTHR21668:SF15', NULL, NULL, NULL, NULL, 'BNAA05G09370D PROTEIN', 168383),
(224658, 'PTHR12357:SF88', NULL, NULL, NULL, NULL, 'OS01G0329800 PROTEIN', 168384),
(224659, 'PTHR48107:SF11', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE', 168385),
(224660, 'PTHR10682:SF26', NULL, NULL, NULL, NULL, 'OS02G0771500 PROTEIN', 168386),
(224661, 'PTHR24009:SF18', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 168387),
(224662, 'PTHR47992:SF43', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 11-RELATED', 168388),
(224663, 'PTHR13391:SF0', NULL, NULL, NULL, NULL, 'PROTEIN MISATO HOMOLOG 1', 168389),
(224664, 'PTHR46128:SF42', NULL, NULL, NULL, NULL, 'BNAA09G28960D PROTEIN', 168390),
(224665, 'PTHR37702:SF7', NULL, NULL, NULL, NULL, 'EXTENSIN-1-LIKE', 168391),
(224666, 'PTHR21450:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (DUF630 AND DUF632)-RELATED', 168392),
(224667, 'PTHR33834', NULL, NULL, NULL, NULL, 'SIGNALING PEPTIDE TAXIMIN 2', 168393),
(224668, 'PTHR10129', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAF', 168394),
(224669, 'PTHR36335:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 168395),
(224670, 'PTHR21141:SF92', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2A-LIKE', 168396),
(224671, 'PTHR23075:SF7', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN', 168397),
(224672, 'PTHR47041:SF4', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 168398),
(224673, 'PTHR34123:SF1', NULL, NULL, NULL, NULL, 'OS04G0578200 PROTEIN', 168399),
(224674, 'PTHR32227:SF252', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE', 168400),
(224675, 'PTHR21625', NULL, NULL, NULL, NULL, 'NYD-SP28 PROTEIN', 168401),
(224676, 'PTHR42850:SF2', NULL, NULL, NULL, NULL, 'BLL5683 PROTEIN', 168402),
(224677, 'PTHR23267:SF398', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-25', 168403),
(224678, 'PTHR10334:SF388', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN 2', 168404);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(224679, 'PTHR21632', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 168405),
(224680, 'PTHR27007:SF334', NULL, NULL, NULL, NULL, 'BNAA04G27940D PROTEIN', 168406),
(224681, 'PTHR11178:SF43', NULL, NULL, NULL, NULL, 'NIFU-LIKE PROTEIN 5, MITOCHONDRIAL', 168407),
(224682, 'PTHR24394:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 652', 168408),
(224683, 'PTHR48014:SF5', NULL, NULL, NULL, NULL, 'BNACNNG25290D PROTEIN', 168409),
(224684, 'PTHR32295:SF164', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 18', 168410),
(224685, 'PTHR23020:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG19297', 168411),
(224686, 'PTHR48041:SF7', NULL, NULL, NULL, NULL, 'PROTEIN WHITE', 168412),
(224687, 'PTHR33265:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168413),
(224688, 'PTHR45688:SF14', NULL, NULL, NULL, NULL, 'BNAC01G00550D PROTEIN', 168414),
(224689, 'PTHR33710:SF44', NULL, NULL, NULL, NULL, 'OS06G0205337 PROTEIN', 168415),
(224690, 'PTHR23155:SF954', NULL, NULL, NULL, NULL, 'OS10G0133166 PROTEIN', 168416),
(224691, 'PTHR48044:SF32', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 168417),
(224692, 'PTHR45027:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168418),
(224693, 'PTHR11705:SF133', NULL, NULL, NULL, NULL, 'PROTEIN CBG05161', 168419),
(224694, 'PTHR19384:SF89', NULL, NULL, NULL, NULL, 'NADPH OXIDOREDUCTASE A', 168420),
(224695, 'PTHR32121:SF0', NULL, NULL, NULL, NULL, 'PCNA-INTERACTING PARTNER', 168421),
(224696, 'PTHR11629:SF26', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 116 KDA SUBUNIT A ISOFORM 4', 168422),
(224697, 'PTHR32285:SF239', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 34', 168423),
(224698, 'PTHR47941:SF8', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 168424),
(224699, 'PTHR14107:SF22', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: WD REPEAT-CONTAINING PROTEIN 20-LIKE', 168425),
(224700, 'PTHR24015:SF1885', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 168426),
(224701, 'PTHR32428:SF2', NULL, NULL, NULL, NULL, 'TARGET OF RAPAMYCIN COMPLEX 2 SUBUNIT BIT61-RELATED', 168427),
(224702, 'PTHR24403:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 64', 168428),
(224703, 'PTHR31589:SF91', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', 168429),
(224704, 'PTHR11489:SF25', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', 168430),
(224705, 'PTHR12542:SF105', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 168431),
(224706, 'PTHR31989:SF306', NULL, NULL, NULL, NULL, 'BNAA09G00430D PROTEIN', 168432),
(224707, 'PTHR18884:SF119', NULL, NULL, NULL, NULL, 'SEPTIN 4, ISOFORM A', 168433),
(224708, 'PTHR24343:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NIM1', 168434),
(224709, 'PTHR33454:SF4', NULL, NULL, NULL, NULL, 'AVENIN-LIKE A6', 168435),
(224710, 'PTHR10334:SF483', NULL, NULL, NULL, NULL, 'BASIC FORM OF PATHOGENESIS-RELATED PROTEIN 1', 168436),
(224711, 'PTHR23360:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 168437),
(224712, 'PTHR11829:SF206', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN Q1', 168438),
(224713, 'PTHR35127', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 168439),
(224714, 'PTHR24298:SF838', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 168440),
(224715, 'PTHR12373:SF10', NULL, NULL, NULL, NULL, 'ENHANCER OF RUDIMENTARY-LIKE PROTEIN', 168441),
(224716, 'PTHR34293', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR TRMBL2', 168442),
(224717, 'PTHR33033', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN-RELATED', 168443),
(224718, 'PTHR48054:SF25', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', 168444),
(224719, 'PTHR45810:SF1', NULL, NULL, NULL, NULL, 'HISTONE H3.2', 168445),
(224720, 'PTHR32370:SF121', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY3-LIKE', 168446),
(224721, 'PTHR33743:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168447),
(224722, 'PTHR11640:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168448),
(224723, 'PTHR33710:SF6', NULL, NULL, NULL, NULL, 'BNAC02G09200D PROTEIN', 168449);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(224724, 'PTHR45824:SF25', NULL, NULL, NULL, NULL, 'RANDOM SLUG PROTEIN 5-LIKE', 168450),
(224725, 'PTHR14390', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN CONTAINING PROTEIN 3', 168451),
(224726, 'PTHR32499:SF15', NULL, NULL, NULL, NULL, 'BNAA03G55350D PROTEIN', 168452),
(224727, 'PTHR19308:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168453),
(224728, 'PTHR33033:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168454),
(224729, 'PTHR11668:SF439', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 168455),
(224730, 'PTHR10974:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CBG09618', 168456),
(224731, 'PTHR21229', NULL, NULL, NULL, NULL, 'LUNG SEVEN TRANSMEMBRANE RECEPTOR', 168457),
(224732, 'PTHR15094', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 168458),
(224733, 'PTHR23324:SF62', NULL, NULL, NULL, NULL, 'SEC14-LIKE PROTEIN 3', 168459),
(224734, 'PTHR43292:SF4', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FADE34', 168460),
(224735, 'PTHR30563', NULL, NULL, NULL, NULL, 'DNA RECOMBINATION PROTEIN RMUC', 168461),
(224736, 'PTHR10527:SF63', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT BETA-LIKE PROTEIN', 168462),
(224737, 'PTHR20971:SF2', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM5', 168463),
(224738, 'PTHR11242:SF3', NULL, NULL, NULL, NULL, 'AH RECEPTOR-INTERACTING PROTEIN', 168464),
(224739, 'PTHR37897:SF1', NULL, NULL, NULL, NULL, 'DNAK FAMILY PROTEIN', 168465),
(224740, 'PTHR23315:SF309', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 168466),
(224741, 'PTHR13887', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE KAPPA', 168467),
(224742, 'PTHR12482:SF42', NULL, NULL, NULL, NULL, 'LIPASE ROG1-RELATED', 168468),
(224743, 'PTHR31744:SF22', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 58', 168469),
(224744, 'PTHR10332:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168470),
(224745, 'PTHR47071:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TRM32-LIKE', 168471),
(224746, 'PTHR18929:SF193', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM RESIDENT PROTEIN 27', 168472),
(224747, 'PTHR12994', NULL, NULL, NULL, NULL, 'SECERNIN', 168473),
(224748, 'PTHR23151:SF83', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE COMPONENT 4 OF PYRUVATE DEHYDROGENASE COMPLEX, CHLOROPLASTIC', 168474),
(224749, 'PTHR11362:SF94', NULL, NULL, NULL, NULL, 'PROTEIN HEADING DATE 3A-LIKE', 168475),
(224750, 'PTHR10177:SF405', NULL, NULL, NULL, NULL, 'CYCLIN-D7-1-RELATED', 168476),
(224751, 'PTHR31140:SF97', NULL, NULL, NULL, NULL, 'BNAA06G02510D PROTEIN', 168477),
(224752, 'PTHR23226:SF274', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 72', 168478),
(224753, 'PTHR47959:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE SRMB', 168479),
(224754, 'PTHR12612:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168480),
(224755, 'PTHR48016:SF25', NULL, NULL, NULL, NULL, 'OS02G0666300 PROTEIN', 168481),
(224756, 'PTHR13878:SF42', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 1', 168482),
(224757, 'PTHR31734:SF38', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA20', 168483),
(224758, 'PTHR31083:SF5', NULL, NULL, NULL, NULL, 'F3F20.2 PROTEIN', 168484),
(224759, 'PTHR12176:SF14', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 168485),
(224760, 'PTHR12446:SF35', NULL, NULL, NULL, NULL, 'CPP TRANSCRIPTION FACTOR', 168486),
(224761, 'PTHR24115:SF454', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF2C', 168487),
(224762, 'PTHR23168:SF0', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE ASSEMBLY CHECKPOINT PROTEIN MAD1', 168488),
(224763, 'PTHR10891:SF844', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML19-RELATED', 168489),
(224764, 'PTHR21879:SF12', NULL, NULL, NULL, NULL, 'OSIRIS 12', 168490),
(224765, 'PTHR37718:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168491),
(224766, 'PTHR34401:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01832', 168492),
(224767, 'PTHR18896:SF168', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D1-LIKE PROTEIN (PLD1)', 168493),
(224768, 'PTHR31235:SF221', NULL, NULL, NULL, NULL, 'PEROXIDASE 61-RELATED', 168494);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(224769, 'PTHR11206:SF113', NULL, NULL, NULL, NULL, 'MATE EFFLUX FAMILY PROTEIN (EUROFUNG)', 168495),
(224770, 'PTHR45644:SF38', NULL, NULL, NULL, NULL, 'PEROXISOME BIOSYNTHESIS PROTEIN PAS1-LIKE ISOFORM X1', 168496),
(224771, 'PTHR19317:SF48', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 168497),
(224772, 'PTHR12128:SF47', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE SYNTHETASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G01230)', 168498),
(224773, 'PTHR13233:SF11', NULL, NULL, NULL, NULL, 'SMAD/FHA DOMAIN-CONTAINING PROTEIN', 168499),
(224774, 'PTHR47920:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168500),
(224775, 'PTHR33044:SF156', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 168501),
(224776, 'PTHR43750:SF4', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE YWQF', 168502),
(224777, 'PTHR36180:SF1', NULL, NULL, NULL, NULL, 'ANTI REPRESSOR', 168503),
(224778, 'PTHR43895:SF6', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 19', 168504),
(224779, 'PTHR14002:SF13', NULL, NULL, NULL, NULL, 'BETA-TECTORIN', 168505),
(224780, 'PTHR33127:SF29', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 168506),
(224781, 'PTHR12947:SF16', NULL, NULL, NULL, NULL, 'BNAA01G17680D PROTEIN', 168507),
(224782, 'PTHR33070:SF104', NULL, NULL, NULL, NULL, 'BNAC07G32230D PROTEIN', 168508),
(224783, 'PTHR16106', NULL, NULL, NULL, NULL, 'CHROMOSOME 4 OPEN READING FRAME 19', 168509),
(224784, 'PTHR22957:SF582', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', 168510),
(224785, 'PTHR10759:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168511),
(224786, 'PTHR14978:SF4', NULL, NULL, NULL, NULL, 'BETA-CATENIN-LIKE PROTEIN 1', 168512),
(224787, 'PTHR43768:SF36', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE 9-RELATED', 168513),
(224788, 'PTHR33286:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168514),
(224789, 'PTHR43047:SF10', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE', 168515),
(224790, 'PTHR30134:SF2', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYPB', 168516),
(224791, 'PTHR11195:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168517),
(224792, 'PTHR22966:SF42', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 2', 168518),
(224793, 'PTHR47993:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168519),
(224794, 'PTHR33430:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168520),
(224795, 'PTHR12446:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168521),
(224796, 'PTHR26450:SF1', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 613', 168522),
(224797, 'PTHR34956:SF6', NULL, NULL, NULL, NULL, 'BNAANNG08740D PROTEIN', 168523),
(224798, 'PTHR23272:SF52', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN DAYSLEEPER', 168524),
(224799, 'PTHR12898', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 24', 168525),
(224800, 'PTHR31527', NULL, NULL, NULL, NULL, 'RE64534P', 168526),
(224801, 'PTHR22722:SF8', NULL, NULL, NULL, NULL, 'SI:DKEY-88L16.3', 168527),
(224802, 'PTHR31065:SF38', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', 168528),
(224803, 'PTHR10795:SF458', NULL, NULL, NULL, NULL, 'OSJNBA0065O17.12 PROTEIN', 168529),
(224804, 'PTHR31734', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA17', 168530),
(224805, 'PTHR28260', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT SPC105', 168531),
(224806, 'PTHR33879:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168532),
(224807, 'PTHR44144', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 9', 168533),
(224808, 'PTHR45730:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168534),
(224809, 'PTHR45737:SF4', NULL, NULL, NULL, NULL, 'VON WILLEBRAND DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G01160)', 168535),
(224810, 'PTHR19134:SF477', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168536),
(224811, 'PTHR45952:SF6', NULL, NULL, NULL, NULL, 'NUCLEOPHILE AMINOHYDROLASE-RELATED', 168537),
(224812, 'PTHR13068:SF157', NULL, NULL, NULL, NULL, 'BNAA10G09910D PROTEIN', 168538);
INSERT INTO "PUBLIC"."MODEL" VALUES
(224813, 'PTHR23050:SF357', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML21-RELATED', 168539),
(224814, 'PTHR42944:SF1', NULL, NULL, NULL, NULL, 'ADENINE DNA GLYCOSYLASE', 168540),
(224815, 'PTHR19282:SF394', NULL, NULL, NULL, NULL, 'GH14950P-RELATED', 168541),
(224816, 'PTHR47146:SF1', NULL, NULL, NULL, NULL, 'OTORAPLIN', 168542),
(224817, 'PTHR38371', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN', 168543),
(224818, 'PTHR23259:SF61', NULL, NULL, NULL, NULL, 'PROTEIN CBG20701', 168544),
(224819, 'PTHR45712:SF16', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN FLRT2', 168545),
(224820, 'PTHR11589:SF3', NULL, NULL, NULL, NULL, 'BRAIN-DERIVED NEUROTROPHIC FACTOR', 168546),
(224821, 'PTHR27006:SF403', NULL, NULL, NULL, NULL, 'BNACNNG55900D PROTEIN', 168547),
(224822, 'PTHR12395:SF25', NULL, NULL, NULL, NULL, 'DECAPPING AND EXORIBONUCLEASE PROTEIN 1', 168548),
(224823, 'PTHR17600:SF2', NULL, NULL, NULL, NULL, 'LRP CHAPERONE MESD', 168549),
(224824, 'PTHR24281:SF210', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', 168550),
(224825, 'PTHR24115:SF821', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 168551),
(224826, 'PTHR11138:SF5', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE-RELATED', 168552),
(224827, 'PTHR21290:SF28', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:CERAMIDE CHOLINEPHOSPHOTRANSFERASE 1', 168553),
(224828, 'PTHR12802:SF106', NULL, NULL, NULL, NULL, 'PROTEIN CCA1', 168554),
(224829, 'PTHR24061:SF436', NULL, NULL, NULL, NULL, 'EC2-V2R PHEROMONE RECEPTOR PROTEIN-RELATED', 168555),
(224830, 'PTHR15710:SF105', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL19-RELATED', 168556),
(224831, 'PTHR37826:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168557),
(224832, 'PTHR23024:SF429', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', 168558),
(224833, 'PTHR20973:SF2', NULL, NULL, NULL, NULL, 'BNAANNG27890D PROTEIN', 168559),
(224834, 'PTHR43749:SF2', NULL, NULL, NULL, NULL, 'RNA-SPLICING LIGASE RTCB', 168560),
(224835, 'PTHR32077:SF75', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN-RELATED', 168561),
(224836, 'PTHR31867:SF99', NULL, NULL, NULL, NULL, 'EXPANSIN-A20', 168562),
(224837, 'PTHR46805', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J1', 168563),
(224838, 'PTHR38332:SF1', NULL, NULL, NULL, NULL, 'RE49668P', 168564),
(224839, 'PTHR11629:SF102', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 168565),
(224840, 'PTHR48017:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168566),
(224841, 'PTHR11952:SF16', NULL, NULL, NULL, NULL, 'BNACNNG10940D PROTEIN', 168567),
(224842, 'PTHR33791:SF14', NULL, NULL, NULL, NULL, 'BNAC02G09090D PROTEIN', 168568),
(224843, 'PTHR24330:SF6', NULL, NULL, NULL, NULL, 'BARH-LIKE HOMEOBOX PROTEIN', 168569),
(224844, 'PTHR30472:SF64', NULL, NULL, NULL, NULL, 'IRON(3+)-HYDROXAMATE IMPORT SYSTEM PERMEASE PROTEIN FHUG', 168570),
(224845, 'PTHR31235:SF276', NULL, NULL, NULL, NULL, 'PEROXIDASE', 168571),
(224846, 'PTHR10846:SF64', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER CG1090-RELATED', 168572),
(224847, 'PTHR47926:SF128', NULL, NULL, NULL, NULL, 'BNAC09G43850D PROTEIN', 168573),
(224848, 'PTHR31003:SF31', NULL, NULL, NULL, NULL, 'BNACNNG76060D PROTEIN', 168574),
(224849, 'PTHR11893:SF6', NULL, NULL, NULL, NULL, 'INNEXIN-16', 168575),
(224850, 'PTHR19918:SF43', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 20.2, COFACTOR OF APC COMPLEX-LIKE ISOFORM X2', 168576),
(224851, 'PTHR23012:SF181', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH-RELATED', 168577),
(224852, 'PTHR34949:SF10', NULL, NULL, NULL, NULL, 'T-SNARE-RELATED', 168578),
(224853, 'PTHR42735:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168579),
(224854, 'PTHR48017:SF75', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', 168580),
(224855, 'PTHR31741:SF79', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE FAMILY PROTEIN-RELATED', 168581),
(224856, 'PTHR11908:SF150', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE', 168582),
(224857, 'PTHR43490:SF113', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-RELATED', 168583);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(224858, 'PTHR21716:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168584),
(224859, 'PTHR23167:SF56', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN', 168585),
(224860, 'PTHR11113:SF2', NULL, NULL, NULL, NULL, 'ADENINE DEAMINASE', 168586),
(224861, 'PTHR47993:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168587),
(224862, 'PTHR10426:SF73', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 12', 168588),
(224863, 'PTHR37001', NULL, NULL, NULL, NULL, 'PHOSPHORYN, PUTATIVE-RELATED-RELATED', 168589),
(224864, 'PTHR32552:SF84', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR-RELATED', 168590),
(224865, 'PTHR31495:SF16', NULL, NULL, NULL, NULL, 'ABA-INDUCED PROTEIN', 168591),
(224866, 'PTHR23115:SF191', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', 168592),
(224867, 'PTHR46235:SF10', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DOWNY MILDEW 2', 168593),
(224868, 'PTHR23315:SF310', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 168594),
(224869, 'PTHR31194:SF126', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERN1-LIKE', 168595),
(224870, 'PTHR11037:SF20', NULL, NULL, NULL, NULL, 'GEMINI, ISOFORM C', 168596),
(224871, 'PTHR13068:SF193', NULL, NULL, NULL, NULL, 'BNAA09G13550D PROTEIN', 168597),
(224872, 'PTHR13531:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 17', 168598),
(224873, 'PTHR36346:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 168599),
(224874, 'PTHR46146:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN CCR3-RELATED', 168600),
(224875, 'PTHR36127:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168601),
(224876, 'PTHR31225:SF125', NULL, NULL, NULL, NULL, '5-EPI-ARISTOLOCHENE SYNTHASE', 168602),
(224877, 'PTHR32448:SF120', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN', 168603),
(224878, 'PTHR31642:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168604),
(224879, 'PTHR33085:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168605),
(224880, 'PTHR43090', NULL, NULL, NULL, NULL, '1-(5-PHOSPHORIBOSYL)-5-[(5-PHOSPHORIBOSYLAMINO)METHYLIDENEAMINO] IMIDAZOLE-4-CARBOXAMIDE ISOMERASE', 168606),
(224881, 'PTHR32166:SF78', NULL, NULL, NULL, NULL, 'PHEROMONE-PROCESSING CARBOXYPEPTIDASE KEX1-LIKE', 168607),
(224882, 'PTHR31838:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 55 KDA', 168608),
(224883, 'PTHR10681:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168609),
(224884, 'PTHR33748:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG14815', 168610),
(224885, 'PTHR35132', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX-LIKE PROTEIN', 168611),
(224886, 'PTHR13018:SF38', NULL, NULL, NULL, NULL, 'CSC1-LIKE PROTEIN 2', 168612),
(224887, 'PTHR33365:SF4', NULL, NULL, NULL, NULL, 'YALI0B05434P', 168613),
(224888, 'PTHR31731:SF49', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 168614),
(224889, 'PTHR35558:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168615),
(224890, 'PTHR11616:SF280', NULL, NULL, NULL, NULL, 'TRANSPORTER', 168616),
(224891, 'PTHR33184:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168617),
(224892, 'PTHR23359:SF81', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 8', 168618),
(224893, 'PTHR23301:SF0', NULL, NULL, NULL, NULL, 'LP01340P', 168619),
(224894, 'PTHR31541:SF28', NULL, NULL, NULL, NULL, 'B3 DOMAIN PLANT PROTEIN', 168620),
(224895, 'PTHR31384:SF1', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 9', 168621),
(224896, 'PTHR47708:SF2', NULL, NULL, NULL, NULL, 'SI:CH73-132F6.5', 168622),
(224897, 'PTHR23106:SF24', NULL, NULL, NULL, NULL, 'ANGIOGENIC FACTOR WITH G PATCH AND FHA DOMAINS 1', 168623),
(224898, 'PTHR11119:SF53', NULL, NULL, NULL, NULL, 'OS09G0381100 PROTEIN', 168624),
(224899, 'PTHR13738:SF15', NULL, NULL, NULL, NULL, 'TROPONIN I, FAST SKELETAL MUSCLE', 168625),
(224900, 'PTHR42663:SF6', NULL, NULL, NULL, NULL, 'HYDROLASE C777.06C-RELATED', 168626),
(224901, 'PTHR33052:SF116', NULL, NULL, NULL, NULL, 'BNAA08G15460D PROTEIN', 168627),
(224902, 'PTHR46131:SF5', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 53', 168628);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(224903, 'PTHR31225:SF93', NULL, NULL, NULL, NULL, 'TERPENOID SYNTHASE 9', 168629),
(224904, 'PTHR12537:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168630),
(224905, 'PTHR24365:SF535', NULL, NULL, NULL, NULL, 'TOLL LIKE RECEPTOR 8', 168631),
(224906, 'PTHR45970', NULL, NULL, NULL, NULL, 'AGAP004664-PA', 168632),
(224907, 'PTHR15469', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE B15 SUBUNIT', 168633),
(224908, 'PTHR46459', NULL, NULL, NULL, NULL, 'E1A-BINDING PROTEIN P400-RELATED', 168634),
(224909, 'PTHR46354:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA6-LIKE', 168635),
(224910, 'PTHR12210:SF112', NULL, NULL, NULL, NULL, 'CTD (CARBOXY-TERMINAL DOMAIN, RNA POLYMERASE II, POLYPEPTIDE A) SMALL PHOSPHATASE-LIKE 3', 168636),
(224911, 'PTHR11711:SF387', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR D', 168637),
(224912, 'PTHR45627:SF24', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE 1B', 168638),
(224913, 'PTHR43706:SF10', NULL, NULL, NULL, NULL, 'ROTENONE-INSENSITIVE NADH-UBIQUINONE OXIDOREDUCTASE, MITOCHONDRIAL', 168639),
(224914, 'PTHR32096:SF28', NULL, NULL, NULL, NULL, 'OS03G0855100 PROTEIN', 168640),
(224915, 'PTHR37862:SF1', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA CORE COMPLEX-ASSOCIATED PROTEIN 20', 168641),
(224916, 'PTHR43811:SF36', NULL, NULL, NULL, NULL, 'FK506-BINDING PROTEIN-LIKE', 168642),
(224917, 'PTHR31409', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 4', 168643),
(224918, 'PTHR13780:SF39', NULL, NULL, NULL, NULL, 'CBS', 168644),
(224919, 'PTHR24291:SF39', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4A11-RELATED', 168645),
(224920, 'PTHR22617:SF44', NULL, NULL, NULL, NULL, 'PURINE-BINDING CHEMOTAXIS PROTEIN-RELATED', 168646),
(224921, 'PTHR12862:SF0', NULL, NULL, NULL, NULL, 'N-ACETYL-D-GLUCOSAMINE KINASE', 168647),
(224922, 'PTHR45647:SF8', NULL, NULL, NULL, NULL, 'OS02G0152300 PROTEIN', 168648),
(224923, 'PTHR45666:SF12', NULL, NULL, NULL, NULL, 'I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE, PUTATIVE-RELATED', 168649),
(224924, 'PTHR31989:SF319', NULL, NULL, NULL, NULL, 'BNAA09G00360D PROTEIN', 168650),
(224925, 'PTHR35349:SF5', NULL, NULL, NULL, NULL, 'DYNACTIN-ASSOCIATED PROTEIN', 168651),
(224926, 'PTHR10177:SF438', NULL, NULL, NULL, NULL, 'CYCD3,1 PROTEIN', 168652),
(224927, 'PTHR44042:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168653),
(224928, 'PTHR12606:SF1', NULL, NULL, NULL, NULL, 'DENEDDYLASE 1, ISOFORM C-RELATED', 168654),
(224929, 'PTHR24637:SF298', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 75-RELATED', 168655),
(224930, 'PTHR19970:SF23', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39', 168656),
(224931, 'PTHR47746:SF23', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE ZINC-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 168657),
(224932, 'PTHR47577:SF1', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 6', 168658),
(224933, 'PTHR36856', NULL, NULL, NULL, NULL, 'OS07G0175200 PROTEIN', 168659),
(224934, 'PTHR12357:SF95', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CONSERVED C-TERMINAL REGION 11', 168660),
(224935, 'PTHR31907:SF29', NULL, NULL, NULL, NULL, 'BNAA07G10100D PROTEIN', 168661),
(224936, 'PTHR33142:SF44', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR9', 168662),
(224937, 'PTHR23232:SF67', NULL, NULL, NULL, NULL, 'PROTEIN ZNF738', 168663),
(224938, 'PTHR31669', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 10-RELATED', 168664),
(224939, 'PTHR30520:SF6', NULL, NULL, NULL, NULL, 'FORMATE TRANSPORTER 1-RELATED', 168665),
(224940, 'PTHR32133:SF323', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168666),
(224941, 'PTHR33044:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168667),
(224942, 'PTHR10183:SF402', NULL, NULL, NULL, NULL, 'CALPAIN-5', 168668),
(224943, 'PTHR30325:SF0', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YEJE', 168669),
(224944, 'PTHR22800:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168670),
(224945, 'PTHR24286:SF244', NULL, NULL, NULL, NULL, 'OS07G0567100 PROTEIN', 168671),
(224946, 'PTHR11036:SF80', NULL, NULL, NULL, NULL, 'SEMAPHORIN-7A', 168672); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(224947, 'PTHR46224:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168673),
(224948, 'PTHR34382:SF8', NULL, NULL, NULL, NULL, 'PTS SYSTEM OLIGO-BETA-MANNOSIDE-SPECIFIC EIIA COMPONENT', 168674),
(224949, 'PTHR12905', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE', 168675),
(224950, 'PTHR24282:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168676),
(224951, 'PTHR12642:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168677),
(224952, 'PTHR46045:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 168678),
(224953, 'PTHR31989:SF16', NULL, NULL, NULL, NULL, 'PROTEIN SOMBRERO', 168679),
(224954, 'PTHR21461:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN RCOM_0530710', 168680),
(224955, 'PTHR38138:SF1', NULL, NULL, NULL, NULL, 'VNG6441H', 168681),
(224956, 'PTHR15243:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 19', 168682),
(224957, 'PTHR31301:SF120', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 23-RELATED', 168683),
(224958, 'PTHR45636:SF33', NULL, NULL, NULL, NULL, 'PAIRED BOX 10', 168684),
(224959, 'PTHR13803:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC24A', 168685),
(224960, 'PTHR24015:SF1933', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 168686),
(224961, 'PTHR10634:SF121', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 168687),
(224962, 'PTHR46646:SF5', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 2', 168688),
(224963, 'PTHR31964:SF134', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 168689),
(224964, 'PTHR23049:SF10', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 2, SKELETAL MUSCLE ISOFORM', 168690),
(224965, 'PTHR32002:SF12', NULL, NULL, NULL, NULL, 'OS02G0136000 PROTEIN', 168691),
(224966, 'PTHR42973:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168692),
(224967, 'PTHR32212:SF250', NULL, NULL, NULL, NULL, 'BNAA03G12830D PROTEIN', 168693),
(224968, 'PTHR38081', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 168694),
(224969, 'PTHR31190:SF122', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', 168695),
(224970, 'PTHR24349:SF311', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE KINASE 2-LIKE', 168696),
(224971, 'PTHR12373:SF0', NULL, NULL, NULL, NULL, 'ENHANCER OF RUDIMENTARY HOMOLOG', 168697),
(224972, 'PTHR21184:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM151B', 168698),
(224973, 'PTHR13999:SF6', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 1', 168699),
(224974, 'PTHR46309:SF9', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 168700),
(224975, 'PTHR19308:SF44', NULL, NULL, NULL, NULL, 'BNAA06G00040D PROTEIN', 168701),
(224976, 'PTHR46623', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE-RELATED', 168702),
(224977, 'PTHR31225:SF155', NULL, NULL, NULL, NULL, 'BNAANNG04280D PROTEIN', 168703),
(224978, 'PTHR31953:SF43', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV4', 168704),
(224979, 'PTHR10390:SF34', NULL, NULL, NULL, NULL, 'ANOMALOUS HOMEOBOX PROTEIN', 168705),
(224980, 'PTHR45658:SF48', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 168706),
(224981, 'PTHR31967:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG24357', 168707),
(224982, 'PTHR43899:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168708),
(224983, 'PTHR12365:SF10', NULL, NULL, NULL, NULL, 'PROTEIN SPROUTY HOMOLOG 1', 168709),
(224984, 'PTHR24416:SF91', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR', 168710),
(224985, 'PTHR36311:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I SUBUNIT O', 168711),
(224986, 'PTHR14926', NULL, NULL, NULL, NULL, 'M-PHASE PHOSPHOPROTEIN 9', 168712),
(224987, 'PTHR14716:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 69', 168713),
(224988, 'PTHR35125:SF2', NULL, NULL, NULL, NULL, 'NEURON NAVIGATOR 1-LIKE', 168714),
(224989, 'PTHR33090:SF28', NULL, NULL, NULL, NULL, 'OS08G0178500 PROTEIN', 168715),
(224990, 'PTHR45631:SF89', NULL, NULL, NULL, NULL, 'BNAC02G06920D PROTEIN', 168716),
(224991, 'PTHR15052:SF2', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 2', 168717);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(224992, 'PTHR10965:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L38', 168718),
(224993, 'PTHR21659:SF89', NULL, NULL, NULL, NULL, 'PROTEOLIPID MEMBRANE POTENTIAL MODULATOR-RELATED', 168719),
(224994, 'PTHR21669:SF36', NULL, NULL, NULL, NULL, 'ZGC:153184', 168720),
(224995, 'PTHR23505:SF19', NULL, NULL, NULL, NULL, 'LP14756P', 168721),
(224996, 'PTHR47990:SF92', NULL, NULL, NULL, NULL, 'GA2OX-B11 PROTEIN', 168722),
(224997, 'PTHR19331:SF441', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CYSTEINE-RICH TYPE 1 PROTEIN M130', 168723),
(224998, 'PTHR38101', NULL, NULL, NULL, NULL, 'UPF0307 PROTEIN YJGA', 168724),
(224999, 'PTHR48220', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 168725),
(225000, 'PTHR16083:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND CALPONIN HOMOLOGY DOMAIN-CONTAINING PROTEIN 3', 168726),
(225001, 'PTHR15907:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168727),
(225002, 'PTHR11825:SF70', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE, CYTOSOLIC', 168728),
(225003, 'PTHR30462:SF2', NULL, NULL, NULL, NULL, 'INTERMEMBRANE TRANSPORT PROTEIN PQIB', 168729),
(225004, 'PTHR11863:SF196', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 1-LIKE', 168730),
(225005, 'PTHR10980:SF49', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 1-LIKE', 168731),
(225006, 'PTHR30529:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 HOMOLOG 1', 168732),
(225007, 'PTHR31350:SF24', NULL, NULL, NULL, NULL, 'BNAC03G63070D PROTEIN', 168733),
(225008, 'PTHR31048:SF166', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN-RELATED', 168734),
(225009, 'PTHR34563:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168735),
(225010, 'PTHR30443:SF3', NULL, NULL, NULL, NULL, 'KDO(2)-LIPID A PHOSPHOETHANOLAMINE 7''''-TRANSFERASE', 168736),
(225011, 'PTHR37508:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168737),
(225012, 'PTHR12015:SF94', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 18', 168738),
(225013, 'PTHR31388:SF170', NULL, NULL, NULL, NULL, 'PEROXIDASE', 168739),
(225014, 'PTHR15381:SF1', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE PROTEOGLYCAN 5', 168740),
(225015, 'PTHR36964:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-METHIONINE-SULFOXIDE REDUCTASE HEME-BINDING SUBUNIT MSRQ', 168741),
(225016, 'PTHR46163:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168742),
(225017, 'PTHR33703:SF13', NULL, NULL, NULL, NULL, 'SENESCENCE ASSOCIATED GENE 20', 168743),
(225018, 'PTHR32361:SF24', NULL, NULL, NULL, NULL, 'FERRIC REDUCTASE', 168744),
(225019, 'PTHR33156:SF40', NULL, NULL, NULL, NULL, 'OS01G0754000 PROTEIN', 168745),
(225020, 'PTHR46447:SF1', NULL, NULL, NULL, NULL, 'INTERLEUKIN ENHANCER-BINDING FACTOR 2', 168746),
(225021, 'PTHR24147:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 20A1-RELATED', 168747),
(225022, 'PTHR31062:SF140', NULL, NULL, NULL, NULL, 'OS02G0280250 PROTEIN', 168748),
(225023, 'PTHR24348:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ULK3', 168749),
(225024, 'PTHR10410:SF29', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT-LIKE PROTEIN', 168750),
(225025, 'PTHR19308:SF42', NULL, NULL, NULL, NULL, 'BNAA03G11970D PROTEIN', 168751),
(225026, 'PTHR15427:SF26', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q SUBCOMPONENT SUBUNIT A', 168752),
(225027, 'PTHR31042:SF123', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14-RELATED', 168753),
(225028, 'PTHR10693:SF49', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN WITH RNA BINDING (RRM-RBD-RNP MOTIFS) DOMAIN-CONTAINING PROTEIN', 168754),
(225029, 'PTHR31376:SF1', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 2', 168755),
(225030, 'PTHR12072', NULL, NULL, NULL, NULL, 'CWF19, CELL CYCLE CONTROL PROTEIN', 168756),
(225031, 'PTHR31325:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168757),
(225032, 'PTHR23201:SF87', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 4-LIKE', 168758),
(225033, 'PTHR12131:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168759),
(225034, 'PTHR11926:SF1429', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYL TRANSFERASE 76E1-RELATED', 168760);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(225035, 'PTHR21314:SF1', NULL, NULL, NULL, NULL, 'QUEUOSINE SALVAGE PROTEIN', 168761),
(225036, 'PTHR21255:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168762),
(225037, 'PTHR37343', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 32', 168763),
(225038, 'PTHR33321:SF14', NULL, NULL, NULL, NULL, 'BASIC SECRETORY PROTEIN (BSP) FAMILY PROTEIN, PUTATIVE-RELATED', 168764),
(225039, 'PTHR43252:SF6', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN YWZG-RELATED', 168765),
(225040, 'PTHR43349:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168766),
(225041, 'PTHR31168:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168767),
(225042, 'PTHR10543:SF97', NULL, NULL, NULL, NULL, '9-CIS-EPOXYCAROTENOID DIOXYGENASE NCED4, CHLOROPLASTIC', 168768),
(225043, 'PTHR11599:SF155', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 168769),
(225044, 'PTHR12826', NULL, NULL, NULL, NULL, 'RIBONUCLEASE Y', 168770),
(225045, 'PTHR15074', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING PROTEIN', 168771),
(225046, 'PTHR24115:SF557', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 168772),
(225047, 'PTHR46713:SF5', NULL, NULL, NULL, NULL, 'OS08G0526700 PROTEIN', 168773),
(225048, 'PTHR45877:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIAH2', 168774),
(225049, 'PTHR15348:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168775),
(225050, 'PTHR33053:SF18', NULL, NULL, NULL, NULL, 'AGAP000105-PA', 168776),
(225051, 'PTHR31972:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168777),
(225052, 'PTHR45288:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN FAMILY PROTEIN', 168778),
(225053, 'PTHR45768:SF23', NULL, NULL, NULL, NULL, 'OS02G0790600 PROTEIN', 168779),
(225054, 'PTHR36479:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168780),
(225055, 'PTHR36370:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168781),
(225056, 'PTHR47966:SF53', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE A1', 168782),
(225057, 'PTHR18929:SF167', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 5-3', 168783),
(225058, 'PTHR43876:SF11', NULL, NULL, NULL, NULL, 'GLYOXALASE', 168784),
(225059, 'PTHR16188:SF18', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY INHIBITOR SUBUNIT 14B', 168785),
(225060, 'PTHR24240:SF0', NULL, NULL, NULL, NULL, 'OPSIN-5', 168786),
(225061, 'PTHR31750:SF17', NULL, NULL, NULL, NULL, 'PROTEIN STAY-GREEN 2, CHLOROPLASTIC', 168787),
(225062, 'PTHR10891:SF855', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN', 168788),
(225063, 'PTHR32096:SF61', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY-RELATED', 168789),
(225064, 'PTHR11645:SF21', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PYRROLINE-5-CARBOXYLATE REDUCTASE (EUROFUNG)', 168790),
(225065, 'PTHR11358:SF30', NULL, NULL, NULL, NULL, 'AGMATINASE 1-RELATED', 168791),
(225066, 'PTHR46419:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD5', 168792),
(225067, 'PTHR43389:SF13', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT B1-RELATED', 168793),
(225068, 'PTHR31625:SF35', NULL, NULL, NULL, NULL, 'PHENOLIC GLUCOSIDE MALONYLTRANSFERASE 1', 168794),
(225069, 'PTHR11803:SF52', NULL, NULL, NULL, NULL, 'BLL6075 PROTEIN', 168795),
(225070, 'PTHR31495:SF38', NULL, NULL, NULL, NULL, 'BNAC07G13170D PROTEIN', 168796),
(225071, 'PTHR24074', NULL, NULL, NULL, NULL, 'CO-CHAPERONE PROTEIN DJLA', 168797),
(225072, 'PTHR11417:SF2', NULL, NULL, NULL, NULL, 'SOMATOTROPIN', 168798),
(225073, 'PTHR24161:SF51', NULL, NULL, NULL, NULL, 'ANKYRIN 2', 168799),
(225074, 'PTHR24159', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 168800),
(225075, 'PTHR26453:SF562', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 168801),
(225076, 'PTHR10996', NULL, NULL, NULL, NULL, '2-HYDROXYACID DEHYDROGENASE-RELATED', 168802),
(225077, 'PTHR31282:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168803),
(225078, 'PTHR26452:SF815', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 168804),
(225079, 'PTHR23428:SF272', NULL, NULL, NULL, NULL, 'HISTONE H2B', 168805),
(225080, 'PTHR23322:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168806);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(225081, 'PTHR34058:SF10', NULL, NULL, NULL, NULL, 'BNAC02G48890D PROTEIN', 168807),
(225082, 'PTHR21683:SF5', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 100', 168808),
(225083, 'PTHR10655:SF21', NULL, NULL, NULL, NULL, 'ACYL-PROTEIN THIOESTERASE 1 HOMOLOG 2', 168809),
(225084, 'PTHR10155:SF16', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 2-LIKE PROTEIN', 168810),
(225085, 'PTHR47996:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB58-RELATED', 168811),
(225086, 'PTHR42744', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEMS INNER MEMBRANE COMPONENT', 168812),
(225087, 'PTHR24559:SF361', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON, UNCLASSIFIED-LIKE PROTEIN', 168813),
(225088, 'PTHR38337', NULL, NULL, NULL, NULL, 'AGAP010540-PA', 168814),
(225089, 'PTHR11486:SF77', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', 168815),
(225090, 'PTHR24235:SF15', NULL, NULL, NULL, NULL, 'PROLACTIN-RELEASING PEPTIDE RECEPTOR-LIKE PROTEIN 4', 168816),
(225091, 'PTHR43880:SF54', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1', 168817),
(225092, 'PTHR41263', NULL, NULL, NULL, NULL, 'ASPARTYL-PHOSPHATE PHOSPHATASE YISI', 168818),
(225093, 'PTHR45656:SF11', NULL, NULL, NULL, NULL, 'CUBILIN', 168819),
(225094, 'PTHR24070:SF426', NULL, NULL, NULL, NULL, 'GTP BINDING PROTEIN', 168820),
(225095, 'PTHR43272', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE', 168821),
(225096, 'PTHR22943:SF116', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS R-10', 168822),
(225097, 'PTHR27007:SF298', NULL, NULL, NULL, NULL, 'GPCR KINASE-RELATED', 168823),
(225098, 'PTHR37247:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 168824),
(225099, 'PTHR46776:SF7', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR', 168825),
(225100, 'PTHR11125:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT5', 168826),
(225101, 'PTHR32227:SF273', NULL, NULL, NULL, NULL, 'LICHENASE-2', 168827),
(225102, 'PTHR12080:SF95', NULL, NULL, NULL, NULL, 'SI:DKEYP-97A10.2', 168828),
(225103, 'PTHR45708:SF43', NULL, NULL, NULL, NULL, 'HEVAMINE-A-LIKE', 168829),
(225104, 'PTHR24250', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-RELATED', 168830),
(225105, 'PTHR24032:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168831),
(225106, 'PTHR27003:SF316', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE ANXUR1-RELATED', 168832),
(225107, 'PTHR39475', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 168833),
(225108, 'PTHR11777:SF35', NULL, NULL, NULL, NULL, 'BNACNNG61840D PROTEIN', 168834),
(225109, 'PTHR19308:SF11', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', 168835),
(225110, 'PTHR28570', NULL, NULL, NULL, NULL, 'ASPARTYL AMINOPEPTIDASE', 168836),
(225111, 'PTHR31696:SF63', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1-LIKE', 168837),
(225112, 'PTHR24381:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 337', 168838),
(225113, 'PTHR43591:SF60', NULL, NULL, NULL, NULL, '2-PHYTYL-1,4-BETA-NAPHTHOQUINONE METHYLTRANSFERASE, CHLOROPLASTIC', 168839),
(225114, 'PTHR24023:SF995', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXIII) CHAIN', 168840),
(225115, 'PTHR11533:SF259', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 168841),
(225116, 'PTHR21666:SF265', NULL, NULL, NULL, NULL, 'MUREIN HYDROLASE ACTIVATOR ENVC', 168842),
(225117, 'PTHR11254:SF127', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECW2', 168843),
(225118, 'PTHR45810:SF13', NULL, NULL, NULL, NULL, 'HISTONE H3', 168844),
(225119, 'PTHR35613:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168845),
(225120, 'PTHR34611:SF3', NULL, NULL, NULL, NULL, 'RECOMBINATION-PROMOTING NUCLEASE PSLT051', 168846),
(225121, 'PTHR30134:SF1', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN UREG', 168847),
(225122, 'PTHR23107:SF28', NULL, NULL, NULL, NULL, 'SS18 FAMILY-RELATED', 168848),
(225123, 'PTHR45188:SF2', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN P58IPK HOMOLOG', 168849),
(225124, 'PTHR11654:SF184', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.7', 168850);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(225125, 'PTHR47990:SF71', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 3', 168851),
(225126, 'PTHR43139:SF56', NULL, NULL, NULL, NULL, 'MONOACYLGLYCEROL LIPASE ABHD6-LIKE ISOFORM X1', 168852),
(225127, 'PTHR10696:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168853),
(225128, 'PTHR24064:SF566', NULL, NULL, NULL, NULL, 'ORGANIC ANION TRANSPORTER X', 168854),
(225129, 'PTHR30537:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR LYSR FAMILY', 168855),
(225130, 'PTHR37273:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 168856),
(225131, 'PTHR46872:SF5', NULL, NULL, NULL, NULL, 'BNAA08G19780D PROTEIN', 168857),
(225132, 'PTHR36571:SF2', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', 168858),
(225133, 'PTHR13809:SF51', NULL, NULL, NULL, NULL, 'G PROTEIN SUBUNIT GAMMA 5', 168859),
(225134, 'PTHR31636:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168860),
(225135, 'PTHR11604:SF26', NULL, NULL, NULL, NULL, 'PROFILIN-3', 168861),
(225136, 'PTHR46903:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168862),
(225137, 'PTHR22916', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 168863),
(225138, 'PTHR36478:SF10', NULL, NULL, NULL, NULL, 'OS04G0614237 PROTEIN', 168864),
(225139, 'PTHR35275:SF7', NULL, NULL, NULL, NULL, 'BNAA08G25890D PROTEIN', 168865),
(225140, 'PTHR22874:SF11', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN-RELATED', 168866),
(225141, 'PTHR36910:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168867),
(225142, 'PTHR10766:SF105', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 168868),
(225143, 'PTHR31992:SF161', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.5-LIKE', 168869),
(225144, 'PTHR31839:SF54', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 168870),
(225145, 'PTHR32191:SF47', NULL, NULL, NULL, NULL, 'TETRASPANIN-14-RELATED', 168871),
(225146, 'PTHR18896:SF65', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D BETA 1', 168872),
(225147, 'PTHR11533:SF257', NULL, NULL, NULL, NULL, 'PROTEIN CBG19917', 168873),
(225148, 'PTHR24381:SF59', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 19', 168874),
(225149, 'PTHR30055:SF198', NULL, NULL, NULL, NULL, 'SLR0895 PROTEIN', 168875),
(225150, 'PTHR24115:SF560', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 168876),
(225151, 'PTHR10687:SF8', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 1', 168877),
(225152, 'PTHR47878:SF1', NULL, NULL, NULL, NULL, 'FERREDOXIN NADP+ REDUCTASE', 168878),
(225153, 'PTHR32227:SF382', NULL, NULL, NULL, NULL, 'BNACNNG07410D PROTEIN', 168879),
(225154, 'PTHR39535', NULL, NULL, NULL, NULL, 'SPORULATION-DELAYING PROTEIN SDPB', 168880),
(225155, 'PTHR48071:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168881),
(225156, 'PTHR47998:SF28', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR ETC1', 168882),
(225157, 'PTHR31307:SF42', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASIL2-LIKE', 168883),
(225158, 'PTHR24365:SF26', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 18', 168884),
(225159, 'PTHR31607:SF17', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1216)-RELATED', 168885),
(225160, 'PTHR31780:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168886),
(225161, 'PTHR14319:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-LIKE PROTEIN', 168887),
(225162, 'PTHR10906:SF34', NULL, NULL, NULL, NULL, 'BNAC06G18550D PROTEIN', 168888),
(225163, 'PTHR36148:SF3', NULL, NULL, NULL, NULL, '50 KDA SPICULE MATRIX PROTEIN', 168889),
(225164, 'PTHR47891:SF1', NULL, NULL, NULL, NULL, 'CORA-MAGNESIUM AND COBALT TRANSPORTER', 168890),
(225165, 'PTHR32385:SF15', NULL, NULL, NULL, NULL, 'INOSITOL PHOSPHOCERAMIDE MANNOSYLTRANSFERASE 1', 168891),
(225166, 'PTHR39661:SF1', NULL, NULL, NULL, NULL, 'UPF0310 PROTEIN MJECL36', 168892),
(225167, 'PTHR12877:SF7', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 10-LIKE PROTEIN', 168893),
(225168, 'PTHR45720:SF4', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN 1', 168894);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(225169, 'PTHR24072:SF100', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOC', 168895),
(225170, 'PTHR13593', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 168896),
(225171, 'PTHR11332', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 1D', 168897),
(225172, 'PTHR22883:SF113', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 168898),
(225173, 'PTHR39073:SF1', NULL, NULL, NULL, NULL, 'AGAP006153-PA', 168899),
(225174, 'PTHR22996:SF15', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MGRN1-RELATED', 168900),
(225175, 'PTHR31953:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168901),
(225176, 'PTHR47978:SF22', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA2B', 168902),
(225177, 'PTHR36699', NULL, NULL, NULL, NULL, 'LD-TRANSPEPTIDASE', 168903),
(225178, 'PTHR10836:SF92', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE GAPCP1, CHLOROPLASTIC', 168904),
(225179, 'PTHR11592:SF120', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 2-RELATED', 168905),
(225180, 'PTHR45777:SF5', NULL, NULL, NULL, NULL, 'BNAC01G19200D PROTEIN', 168906),
(225181, 'PTHR11877:SF65', NULL, NULL, NULL, NULL, 'ECERIFERUM-C', 168907),
(225182, 'PTHR33374:SF35', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 41-RELATED', 168908),
(225183, 'PTHR46128:SF267', NULL, NULL, NULL, NULL, 'BNAA09G52210D PROTEIN', 168909),
(225184, 'PTHR31241:SF24', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ABI4', 168910),
(225185, 'PTHR26451:SF862', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168911),
(225186, 'PTHR23320:SF121', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700025F22', 168912),
(225187, 'PTHR13878:SF39', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE (EUROFUNG)', 168913),
(225188, 'PTHR13523:SF13', NULL, NULL, NULL, NULL, 'BNAANNG15100D PROTEIN', 168914),
(225189, 'PTHR13976:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168915),
(225190, 'PTHR46132:SF10', NULL, NULL, NULL, NULL, 'DIGALACTOSYLDIACYLGLYCEROL SYNTHASE 1, CHLOROPLASTIC', 168916),
(225191, 'PTHR43721:SF22', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU, MITOCHONDRIAL', 168917),
(225192, 'PTHR22601:SF71', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03140)-RELATED', 168918),
(225193, 'PTHR31549:SF208', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 168919),
(225194, 'PTHR42861:SF86', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 168920),
(225195, 'PTHR33334:SF11', NULL, NULL, NULL, NULL, 'SIALOPHOSPHOPROTEIN-LIKE PROTEIN, PUTATIVE-RELATED', 168921),
(225196, 'PTHR11662:SF285', NULL, NULL, NULL, NULL, 'HEXURONATE TRANSPORTER', 168922),
(225197, 'PTHR24390:SF141', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 391', 168923),
(225198, 'PTHR33133:SF42', NULL, NULL, NULL, NULL, 'BNAC03G74610D PROTEIN', 168924),
(225199, 'PTHR31213:SF107', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL4-LIKE', 168925),
(225200, 'PTHR31948:SF59', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 6-LIKE', 168926),
(225201, 'PTHR48058:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168927),
(225202, 'PTHR22603:SF82', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOLAMINE KINASE', 168928),
(225203, 'PTHR47735:SF2', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY KQT MEMBER 4', 168929),
(225204, 'PTHR33919:SF9', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS NEP1-LIKE PROTEIN', 168930),
(225205, 'PTHR22966:SF29', NULL, NULL, NULL, NULL, '2-AMINOETHANETHIOL DIOXYGENASE', 168931),
(225206, 'PTHR33138:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168932),
(225207, 'PTHR34835:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168933),
(225208, 'PTHR43078:SF33', NULL, NULL, NULL, NULL, 'BNAA04G16630D PROTEIN', 168934),
(225209, 'PTHR47966:SF41', NULL, NULL, NULL, NULL, 'BNAC03G29860D PROTEIN', 168935),
(225210, 'PTHR10438:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168936),
(225211, 'PTHR10177:SF397', NULL, NULL, NULL, NULL, 'CYCLIN-D6-1 ISOFORM X1-RELATED', 168937),
(225212, 'PTHR31512:SF0', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN-RELATED', 168938),
(225213, 'PTHR11206:SF436', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 168939);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(225214, 'PTHR23518', NULL, NULL, NULL, NULL, 'C-METHYLTRANSFERASE', 168940),
(225215, 'PTHR13140:SF706', NULL, NULL, NULL, NULL, 'DILUTE CLASS UNCONVENTIONAL MYOSIN, ISOFORM C', 168941),
(225216, 'PTHR34277:SF1', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER MTCLE20', 168942),
(225217, 'PTHR31009:SF90', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETATE O-METHYLTRANSFERASE 1-LIKE', 168943),
(225218, 'PTHR36166:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', 168944),
(225219, 'PTHR45628:SF1', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL TYPE D SUBUNIT ALPHA-1', 168945),
(225220, 'PTHR31065:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168946),
(225221, 'PTHR31339:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168947),
(225222, 'PTHR34990', NULL, NULL, NULL, NULL, 'UDP-2,3-DIACYLGLUCOSAMINE HYDROLASE-RELATED', 168948),
(225223, 'PTHR14363:SF40', NULL, NULL, NULL, NULL, 'GLUCURONIDASE 3-RELATED', 168949),
(225224, 'PTHR23410:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L5-1 HOMOLOG B', 168950),
(225225, 'PTHR33076:SF121', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 168951),
(225226, 'PTHR24068:SF228', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 20', 168952),
(225227, 'PTHR10744:SF31', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11', 168953),
(225228, 'PTHR36080:SF3', NULL, NULL, NULL, NULL, 'BNAA06G23330D PROTEIN', 168954),
(225229, 'PTHR33116:SF43', NULL, NULL, NULL, NULL, 'OS11G0672600 PROTEIN', 168955),
(225230, 'PTHR22422:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 5B', 168956),
(225231, 'PTHR31388:SF6', NULL, NULL, NULL, NULL, 'PEROXIDASE 59', 168957),
(225232, 'PTHR45627:SF9', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 7', 168958),
(225233, 'PTHR24349:SF371', NULL, NULL, NULL, NULL, 'BNACNNG07350D PROTEIN', 168959),
(225234, 'PTHR47051', NULL, NULL, NULL, NULL, 'NESTIN', 168960),
(225235, 'PTHR45645', NULL, NULL, NULL, NULL, 'DORSAL-VENTRAL PATTERNING PROTEIN TOLLOID-RELATED-RELATED', 168961),
(225236, 'PTHR35297:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 168962),
(225237, 'PTHR31490:SF41', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE 4', 168963),
(225238, 'PTHR31080:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168964),
(225239, 'PTHR12446', NULL, NULL, NULL, NULL, 'TESMIN/TSO1-RELATED', 168965),
(225240, 'PTHR43991:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WD40-LIKE FAMILY-RELATED', 168966),
(225241, 'PTHR42715:SF16', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE J-RELATED', 168967),
(225242, 'PTHR36396:SF1', NULL, NULL, NULL, NULL, 'MALTASE-GLUCOAMYLASE, INTESTINAL PROTEIN', 168968),
(225243, 'PTHR43447:SF30', NULL, NULL, NULL, NULL, 'ALPHA AMYLASE DOMAIN PROTEIN', 168969),
(225244, 'PTHR45006:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CAJ1', 168970),
(225245, 'PTHR33513', NULL, NULL, NULL, NULL, 'OS06G0523300 PROTEIN', 168971),
(225246, 'PTHR31741:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168972),
(225247, 'PTHR43158:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 168973),
(225248, 'PTHR42658', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 168974),
(225249, 'PTHR24301', NULL, NULL, NULL, NULL, 'THROMBOXANE-A SYNTHASE', 168975),
(225250, 'PTHR34936:SF6', NULL, NULL, NULL, NULL, 'OS03G0669600 PROTEIN', 168976),
(225251, 'PTHR11214:SF247', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE BRN', 168977),
(225252, 'PTHR43874:SF90', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 168978),
(225253, 'PTHR46283:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH5', 168979),
(225254, 'PTHR15874:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR AND SPINDLE-ASSOCIATED PROTEIN 1', 168980),
(225255, 'PTHR31062:SF188', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 22', 168981),
(225256, 'PTHR43479:SF1', NULL, NULL, NULL, NULL, 'TETR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 168982),
(225257, 'PTHR43874:SF108', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR9-LIKE', 168983);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(225258, 'PTHR13847:SF185', NULL, NULL, NULL, NULL, 'FAD DEPENDENT OXIDOREDUCTASE SUPERFAMILY (AFU_ORTHOLOGUE AFUA_3G02360)', 168984),
(225259, 'PTHR23334:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 168985),
(225260, 'PTHR46514', NULL, NULL, NULL, NULL, 'AMPHIPHYSIN', 168986),
(225261, 'PTHR45228', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE TM_0186-RELATED', 168987),
(225262, 'PTHR38165', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 168988),
(225263, 'PTHR31657:SF42', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR SHINE 3-LIKE', 168989),
(225264, 'PTHR23430:SF289', NULL, NULL, NULL, NULL, 'HISTONE H2A', 168990),
(225265, 'PTHR31852:SF182', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 6', 168991),
(225266, 'PTHR11062:SF184', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 168992),
(225267, 'PTHR31620:SF6', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 6 CHLOROPLASTIC', 168993),
(225268, 'PTHR31734:SF155', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA7', 168994),
(225269, 'PTHR24072:SF262', NULL, NULL, NULL, NULL, 'CDC42L PROTEIN', 168995),
(225270, 'PTHR23213:SF378', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 168996),
(225271, 'PTHR13258', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 168997),
(225272, 'PTHR10683:SF37', NULL, NULL, NULL, NULL, 'BNAA08G02750D PROTEIN', 168998),
(225273, 'PTHR46635:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 1-RELATED', 168999),
(225274, 'PTHR45669:SF8', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE', 169000),
(225275, 'PTHR23147:SF48', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 19-RELATED', 169001),
(225276, 'PTHR13234:SF61', NULL, NULL, NULL, NULL, 'GILT-LIKE PROTEIN 2-RELATED', 169002),
(225277, 'PTHR10653:SF4', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA', 169003),
(225278, 'PTHR31205:SF55', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING-RELATED', 169004),
(225279, 'PTHR35692', NULL, NULL, NULL, NULL, 'F26F24.11', 169005),
(225280, 'PTHR33022', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 169006),
(225281, 'PTHR33270:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169007),
(225282, 'PTHR30634:SF11', NULL, NULL, NULL, NULL, 'OUTER-MEMBRANE LIPOPROTEIN LOLB', 169008),
(225283, 'PTHR10177:SF429', NULL, NULL, NULL, NULL, 'BNAC08G04660D PROTEIN', 169009),
(225284, 'PTHR43056:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169010),
(225285, 'PTHR45974:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169011),
(225286, 'PTHR31985:SF204', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF012', 169012),
(225287, 'PTHR12565:SF333', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH76', 169013),
(225288, 'PTHR23073:SF96', NULL, NULL, NULL, NULL, 'BNAC09G33780D PROTEIN', 169014),
(225289, 'PTHR14680:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-126G1.9-RELATED', 169015),
(225290, 'PTHR31885', NULL, NULL, NULL, NULL, 'GH04784P', 169016),
(225291, 'PTHR45979:SF2', NULL, NULL, NULL, NULL, 'PAP/OAS1 SUBSTRATE-BINDING DOMAIN SUPERFAMILY', 169017),
(225292, 'PTHR10655:SF13', NULL, NULL, NULL, NULL, 'ACYL-PROTEIN THIOESTERASE 2', 169018),
(225293, 'PTHR14233:SF18', NULL, NULL, NULL, NULL, 'OS05G0444300 PROTEIN', 169019),
(225294, 'PTHR12377:SF3', NULL, NULL, NULL, NULL, 'PROTEIN AE7-LIKE 1', 169020),
(225295, 'PTHR38546:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE6-LIKE', 169021),
(225296, 'PTHR43822:SF16', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE LARGE SUBUNIT', 169022),
(225297, 'PTHR23500:SF2', NULL, NULL, NULL, NULL, 'OS04G0453400 PROTEIN', 169023),
(225298, 'PTHR24411:SF55', NULL, NULL, NULL, NULL, 'SEGMENTATION PROTEIN CAP''N''COLLAR', 169024),
(225299, 'PTHR24355:SF23', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE', 169025),
(225300, 'PTHR31851:SF62', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER HOMOLOG 3', 169026),
(225301, 'PTHR23113:SF213', NULL, NULL, NULL, NULL, 'RAL GUANINE NUCLEOTIDE DISSOCIATION STIMULATOR-LIKE 2', 169027),
(225302, 'PTHR23232:SF95', NULL, NULL, NULL, NULL, 'MGC134150 PROTEIN', 169028); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(225303, 'PTHR12714:SF18', NULL, NULL, NULL, NULL, 'CONSERVED HYPOTHETICAL MEMBRANE PROTEIN', 169029),
(225304, 'PTHR47709:SF2', NULL, NULL, NULL, NULL, 'SHORT TRANSMEMBRANE MITOCHONDRIAL PROTEIN 1', 169030),
(225305, 'PTHR10715:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169031),
(225306, 'PTHR35310:SF4', NULL, NULL, NULL, NULL, 'BNAC03G60710D PROTEIN', 169032),
(225307, 'PTHR47380', NULL, NULL, NULL, NULL, 'OS02G0533000 PROTEIN', 169033),
(225308, 'PTHR11245:SF6', NULL, NULL, NULL, NULL, 'STANNIOCALCIN PROTEIN-LIKE PROTEIN', 169034),
(225309, 'PTHR43643:SF5', NULL, NULL, NULL, NULL, 'CONSTITUTIVE LYSINE DECARBOXYLASE', 169035),
(225310, 'PTHR10288:SF142', NULL, NULL, NULL, NULL, 'MUSHROOM-BODY EXPRESSED, ISOFORM K', 169036),
(225311, 'PTHR27006:SF295', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE CES101 ISOFORM X1', 169037),
(225312, 'PTHR11527:SF333', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 169038),
(225313, 'PTHR31589:SF99', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PEPTIDASE', 169039),
(225314, 'PTHR31260:SF47', NULL, NULL, NULL, NULL, 'BNAA10G10980D PROTEIN', 169040),
(225315, 'PTHR11850:SF87', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 7', 169041),
(225316, 'PTHR43657:SF1', NULL, NULL, NULL, NULL, 'TRYPTOPHAN RNA-BINDING ATTENUATOR PROTEIN-LIKE PROTEIN', 169042),
(225317, 'PTHR46925:SF4', NULL, NULL, NULL, NULL, 'SUBSTANCE-P RECEPTOR', 169043),
(225318, 'PTHR13943:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169044),
(225319, 'PTHR31500:SF46', NULL, NULL, NULL, NULL, 'OSJNBA0086O06.13 PROTEIN', 169045),
(225320, 'PTHR31639:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169046),
(225321, 'PTHR35131:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169047),
(225322, 'PTHR24364:SF18', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN LIG-1, PUTATIVE-RELATED', 169048),
(225323, 'PTHR36315:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 4, CHLOROPLASTIC', 169049),
(225324, 'PTHR10641:SF1063', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-RELATED', 169050),
(225325, 'PTHR31190:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169051),
(225326, 'PTHR31149:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169052),
(225327, 'PTHR31696:SF3', NULL, NULL, NULL, NULL, 'OS09G0463600 PROTEIN', 169053),
(225328, 'PTHR14791:SF37', NULL, NULL, NULL, NULL, 'WW DOMAIN CONTAINING PROTEIN', 169054),
(225329, 'PTHR31042:SF96', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14-RELATED', 169055),
(225330, 'PTHR10891:SF685', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML34-RELATED', 169056),
(225331, 'PTHR47260:SF5', NULL, NULL, NULL, NULL, 'THIOESTERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G02390)', 169057),
(225332, 'PTHR33791:SF2', NULL, NULL, NULL, NULL, 'OS07G0569600 PROTEIN', 169058),
(225333, 'PTHR15437:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 5, MITOCHONDRIAL', 169059),
(225334, 'PTHR45674:SF9', NULL, NULL, NULL, NULL, 'DNA LIGASE 3', 169060),
(225335, 'PTHR32191:SF81', NULL, NULL, NULL, NULL, 'TETRASPANIN/PERIPHERIN-RELATED', 169061),
(225336, 'PTHR47926:SF140', NULL, NULL, NULL, NULL, 'BNAA05G20200D PROTEIN', 169062),
(225337, 'PTHR48004:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169063),
(225338, 'PTHR30151:SF38', NULL, NULL, NULL, NULL, 'ALIPHATIC SULFONATES TRANSPORT PERMEASE PROTEIN SSUC-RELATED', 169064),
(225339, 'PTHR23022:SF119', NULL, NULL, NULL, NULL, 'INTEGRASE PROTEIN-RELATED', 169065),
(225340, 'PTHR31446:SF19', NULL, NULL, NULL, NULL, 'BNAA05G19610D PROTEIN', 169066),
(225341, 'PTHR15135', NULL, NULL, NULL, NULL, 'STAC', 169067),
(225342, 'PTHR31053:SF4', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 169068),
(225343, 'PTHR21215:SF0', NULL, NULL, NULL, NULL, 'LD36024P', 169069),
(225344, 'PTHR33137:SF31', NULL, NULL, NULL, NULL, 'BNAA09G56710D PROTEIN', 169070),
(225345, 'PTHR37264:SF2', NULL, NULL, NULL, NULL, 'BNAA10G09370D PROTEIN', 169071),
(225346, 'PTHR33827:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SAWADEE HOMEODOMAIN HOMOLOG 1', 169072);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(225347, 'PTHR12947:SF4', NULL, NULL, NULL, NULL, 'FI19924P1', 169073),
(225348, 'PTHR10502:SF178', NULL, NULL, NULL, NULL, 'ANNEXIN', 169074),
(225349, 'PTHR31042:SF82', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-16-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 169075),
(225350, 'PTHR43344:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE-RELATED', 169076),
(225351, 'PTHR11923:SF103', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR (CD36 FAMILY) RELATED', 169077),
(225352, 'PTHR42987', NULL, NULL, NULL, NULL, 'PEPTIDASE S49', 169078),
(225353, 'PTHR10585:SF84', NULL, NULL, NULL, NULL, 'LUMEN PROTEIN RETAINING RECEPTOR, PUTATIVE-RELATED', 169079),
(225354, 'PTHR31969:SF13', NULL, NULL, NULL, NULL, 'GLABRA2 EXPRESSION MODULATOR', 169080),
(225355, 'PTHR47027:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169081),
(225356, 'PTHR11817:SF82', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 169082),
(225357, 'PTHR43194:SF6', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN-CONTAINING PROTEIN C57A10.08C', 169083),
(225358, 'PTHR31250:SF11', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 169084),
(225359, 'PTHR33796:SF1', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION ATP-DEPENDENT DNA HELICASE RUVA', 169085),
(225360, 'PTHR35745:SF1', NULL, NULL, NULL, NULL, 'BNACNNG14650D PROTEIN', 169086),
(225361, 'PTHR45764:SF30', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 53-LIKE', 169087),
(225362, 'PTHR24103:SF618', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 61-RELATED', 169088),
(225363, 'PTHR42721:SF35', NULL, NULL, NULL, NULL, 'SUGAR HYDROLASE-RELATED', 169089),
(225364, 'PTHR24055:SF418', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 169090),
(225365, 'PTHR43450:SF3', NULL, NULL, NULL, NULL, 'SYNTHETASE, PUTATIVE-RELATED', 169091),
(225366, 'PTHR31549:SF117', NULL, NULL, NULL, NULL, 'BNAC09G36450D PROTEIN', 169092),
(225367, 'PTHR45926:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE4-LIKE', 169093),
(225368, 'PTHR48007:SF29', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 6', 169094),
(225369, 'PTHR22621:SF16', NULL, NULL, NULL, NULL, 'RAB44, MEMBER RAS ONCOGENE FAMILY', 169095),
(225370, 'PTHR43329:SF45', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 169096),
(225371, 'PTHR43991:SF25', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 169097),
(225372, 'PTHR31225:SF144', NULL, NULL, NULL, NULL, 'TERPENOID CYCLASES/PROTEIN PRENYLTRANSFERASE ALPHA-ALPHA TOROID-RELATED', 169098),
(225373, 'PTHR34041:SF3', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II D1 PRECURSOR PROCESSING PROTEIN PSB27-H2, CHLOROPLASTIC', 169099),
(225374, 'PTHR23115:SF252', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', 169100),
(225375, 'PTHR23257:SF837', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', 169101),
(225376, 'PTHR12656:SF5', NULL, NULL, NULL, NULL, 'TRITHORAX GROUP PROTEIN OSA', 169102),
(225377, 'PTHR33599:SF15', NULL, NULL, NULL, NULL, 'PROTEIN IDA-LIKE 2', 169103),
(225378, 'PTHR24068:SF353', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', 169104),
(225379, 'PTHR31105:SF32', NULL, NULL, NULL, NULL, 'BNAANNG24350D PROTEIN', 169105),
(225380, 'PTHR36981:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169106),
(225381, 'PTHR13832:SF643', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 70', 169107),
(225382, 'PTHR45267:SF2', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT PTERIN ALDEHYDE REDUCTASE', 169108),
(225383, 'PTHR20852:SF90', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', 169109),
(225384, 'PTHR11746:SF253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169110),
(225385, 'PTHR31674:SF40', NULL, NULL, NULL, NULL, 'BNAA05G27900D PROTEIN', 169111),
(225386, 'PTHR45862:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SGT1 HOMOLOG A', 169112),
(225387, 'PTHR48019:SF46', NULL, NULL, NULL, NULL, 'KELCH MOTIF FAMILY PROTEIN, EXPRESSED', 169113),
(225388, 'PTHR45752:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169114),
(225389, 'PTHR48044:SF40', NULL, NULL, NULL, NULL, 'ZEATIN O-GLUCOSYLTRANSFERASE-LIKE', 169115);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(225390, 'PTHR21700:SF34', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 169116),
(225391, 'PTHR12665:SF11', NULL, NULL, NULL, NULL, 'ORM1-LIKE PROTEIN 3', 169117),
(225392, 'PTHR13284:SF10', NULL, NULL, NULL, NULL, 'SELENOCYSTEINE INSERTION SEQUENCE-BINDING PROTEIN 2-LIKE', 169118),
(225393, 'PTHR24228:SF32', NULL, NULL, NULL, NULL, 'TYPE-1B ANGIOTENSIN II RECEPTOR', 169119),
(225394, 'PTHR19303:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169120),
(225395, 'PTHR45768:SF48', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 169121),
(225396, 'PTHR31317:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169122),
(225397, 'PTHR10891:SF835', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML38', 169123),
(225398, 'PTHR12869', NULL, NULL, NULL, NULL, 'SMALL SEVEN TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN', 169124),
(225399, 'PTHR11668:SF473', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 169125),
(225400, 'PTHR21700:SF25', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 169126),
(225401, 'PTHR31507', NULL, NULL, NULL, NULL, 'PROTEIN CBG15923', 169127),
(225402, 'PTHR34709:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169128),
(225403, 'PTHR18953:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169129),
(225404, 'PTHR21237:SF10', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG 2, MITOCHONDRIAL', 169130),
(225405, 'PTHR28093:SF1', NULL, NULL, NULL, NULL, 'MORPHOGENESIS-RELATED PROTEIN MSB1', 169131),
(225406, 'PTHR33133:SF21', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 169132),
(225407, 'PTHR24342:SF16', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE 17A-LIKE', 169133),
(225408, 'PTHR47642:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 169134),
(225409, 'PTHR12992:SF27', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 22, CHLOROPLASTIC', 169135),
(225410, 'PTHR26454:SF73', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 169136),
(225411, 'PTHR24112:SF58', NULL, NULL, NULL, NULL, 'SI:DKEY-288A3.2', 169137),
(225412, 'PTHR47841:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169138),
(225413, 'PTHR11706', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER PROTEIN FAMILY 11 MEMBER', 169139),
(225414, 'PTHR35460', NULL, NULL, NULL, NULL, 'TRNA LIGASE 1', 169140),
(225415, 'PTHR48065:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169141),
(225416, 'PTHR10288:SF132', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', 169142),
(225417, 'PTHR10744:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11-1-RELATED', 169143),
(225418, 'PTHR43157:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169144),
(225419, 'PTHR15315:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169145),
(225420, 'PTHR13743:SF64', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE-RESPONSIVE AND BEIGE-LIKE ANCHOR PROTEIN', 169146),
(225421, 'PTHR46837', NULL, NULL, NULL, NULL, 'PROTEIN MLN51 HOMOLOG', 169147),
(225422, 'PTHR45673:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2B CATALYTIC SUBUNIT ALPHA ISOFORM', 169148),
(225423, 'PTHR35107', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 169149),
(225424, 'PTHR21713:SF20', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA-LIKE PROTEIN 2', 169150),
(225425, 'PTHR11926:SF1366', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 169151),
(225426, 'PTHR34059:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169152),
(225427, 'PTHR10078:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169153),
(225428, 'PTHR11002:SF56', NULL, NULL, NULL, NULL, 'BETA CARBONIC ANHYDRASE 2, CHLOROPLASTIC', 169154),
(225429, 'PTHR45621:SF53', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PCRK1', 169155),
(225430, 'PTHR43831', NULL, NULL, NULL, NULL, 'ISOBUTYRYL-COA DEHYDROGENASE', 169156),
(225431, 'PTHR11815:SF10', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT BETA, MITOCHONDRIAL', 169157),
(225432, 'PTHR33033:SF52', NULL, NULL, NULL, NULL, 'OS02G0175302 PROTEIN', 169158),
(225433, 'PTHR40588', NULL, NULL, NULL, NULL, 'MRNA INTERFERASE TOXIN YAFQ', 169159);
INSERT INTO "PUBLIC"."MODEL" VALUES
(225434, 'PTHR11496:SF83', NULL, NULL, NULL, NULL, 'HYDROXYACID-OXOACID TRANSHYDROGENASE, MITOCHONDRIAL', 169160),
(225435, 'PTHR31194:SF132', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF003-LIKE', 169161),
(225436, 'PTHR21556', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 169162),
(225437, 'PTHR21562:SF5', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 12', 169163),
(225438, 'PTHR13946:SF16', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB11', 169164),
(225439, 'PTHR10887:SF423', NULL, NULL, NULL, NULL, 'PROTEIN CBG01003', 169165),
(225440, 'PTHR11654:SF91', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 15 MEMBER 5', 169166),
(225441, 'PTHR15154', NULL, NULL, NULL, NULL, 'HAMARTIN', 169167),
(225442, 'PTHR11956:SF8', NULL, NULL, NULL, NULL, 'BNAC08G12170D PROTEIN', 169168),
(225443, 'PTHR15239:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR EXPORT MEDIATOR FACTOR NEMF', 169169),
(225444, 'PTHR10634:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER AN1-TYPE CONTAINING 4', 169170),
(225445, 'PTHR11926:SF1375', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 169171),
(225446, 'PTHR42733:SF2', NULL, NULL, NULL, NULL, 'DJ-1/THIJ/PFPI FAMILY PROTEIN', 169172),
(225447, 'PTHR10903:SF147', NULL, NULL, NULL, NULL, 'BNAC06G07830D PROTEIN', 169173),
(225448, 'PTHR43199', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE', 169174),
(225449, 'PTHR33207:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169175),
(225450, 'PTHR31526', NULL, NULL, NULL, NULL, 'SOSS COMPLEX SUBUNIT C', 169176),
(225451, 'PTHR11926:SF1422', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 169177),
(225452, 'PTHR31838', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 55 KDA', 169178),
(225453, 'PTHR22748:SF12', NULL, NULL, NULL, NULL, 'DNA-(APURINIC OR APYRIMIDINIC SITE) LYASE', 169179),
(225454, 'PTHR11850:SF311', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 7', 169180),
(225455, 'PTHR23502:SF24', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 169181),
(225456, 'PTHR31235:SF46', NULL, NULL, NULL, NULL, 'PEROXIDASE', 169182),
(225457, 'PTHR30558:SF12', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBD1', 169183),
(225458, 'PTHR18945:SF82', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-6', 169184),
(225459, 'PTHR11008:SF37', NULL, NULL, NULL, NULL, 'IP17226P', 169185),
(225460, 'PTHR24118:SF81', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 15', 169186),
(225461, 'PTHR10383:SF43', NULL, NULL, NULL, NULL, 'BNAC07G07190D PROTEIN', 169187),
(225462, 'PTHR24072:SF73', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE', 169188),
(225463, 'PTHR45647:SF24', NULL, NULL, NULL, NULL, 'OS06G0140800 PROTEIN', 169189),
(225464, 'PTHR11742:SF91', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 169190),
(225465, 'PTHR11439:SF302', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE, RNA-DEPENDENT DNA POLYMERASE-RELATED', 169191),
(225466, 'PTHR19957:SF285', NULL, NULL, NULL, NULL, 'SYNTAXIN-51-RELATED', 169192),
(225467, 'PTHR31221:SF191', NULL, NULL, NULL, NULL, 'BNAA03G17820D PROTEIN', 169193),
(225468, 'PTHR46752:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 39', 169194),
(225469, 'PTHR12848:SF17', NULL, NULL, NULL, NULL, 'REGULATORY-ASSOCIATED PROTEIN OF TOR 1', 169195),
(225470, 'PTHR24058:SF120', NULL, NULL, NULL, NULL, 'BNAA06G33320D PROTEIN', 169196),
(225471, 'PTHR48022:SF62', NULL, NULL, NULL, NULL, 'HEXOSE CARRIER PROTEIN', 169197),
(225472, 'PTHR43874:SF153', NULL, NULL, NULL, NULL, 'PRR RESPONSE REGULATOR', 169198),
(225473, 'PTHR24247:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169199),
(225474, 'PTHR11843:SF26', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 169200),
(225475, 'PTHR12411:SF690', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169201),
(225476, 'PTHR21461:SF55', NULL, NULL, NULL, NULL, 'C3H4 TYPE ZINC FINGER PROTEIN (DUF23)', 169202),
(225477, 'PTHR12935:SF0', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLCYCLOTRANSFERASE', 169203),
(225478, 'PTHR45085', NULL, NULL, NULL, NULL, 'F21J9.14', 169204);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(225479, 'PTHR43329:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169205),
(225480, 'PTHR33156:SF53', NULL, NULL, NULL, NULL, 'OS02G0273900 PROTEIN', 169206),
(225481, 'PTHR18895', NULL, NULL, NULL, NULL, 'HEMK METHYLTRANSFERASE', 169207),
(225482, 'PTHR37474', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 169208),
(225483, 'PTHR31835', NULL, NULL, NULL, NULL, 'URIDINE DIPHOSPHATE GLUCOSE PYROPHOSPHATASE', 169209),
(225484, 'PTHR22791:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169210),
(225485, 'PTHR33149:SF21', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', 169211),
(225486, 'PTHR32266:SF20', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE', 169212),
(225487, 'PTHR39669:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169213),
(225488, 'PTHR11746:SF154', NULL, NULL, NULL, NULL, 'BENZOXAZINONE SYNTHESIS10', 169214),
(225489, 'PTHR38030', NULL, NULL, NULL, NULL, 'PROTOPORPHYRINOGEN IX DEHYDROGENASE [MENAQUINONE]', 169215),
(225490, 'PTHR11220:SF1', NULL, NULL, NULL, NULL, 'OS01G0235300 PROTEIN', 169216),
(225491, 'PTHR11141:SF25', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', 169217),
(225492, 'PTHR23079:SF42', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 169218),
(225493, 'PTHR37266:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 6', 169219),
(225494, 'PTHR34894:SF5', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE RSMI, CONSERVED SITE', 169220),
(225495, 'PTHR32208:SF61', NULL, NULL, NULL, NULL, 'F10A5.18', 169221),
(225496, 'PTHR48018:SF113', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 169222),
(225497, 'PTHR36388:SF1', NULL, NULL, NULL, NULL, 'OS02G0469000 PROTEIN', 169223),
(225498, 'PTHR10775:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169224),
(225499, 'PTHR11972:SF60', NULL, NULL, NULL, NULL, 'CYTOCHROME B-245 HEAVY CHAIN', 169225),
(225500, 'PTHR47252:SF5', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN', 169226),
(225501, 'PTHR12755:SF19', NULL, NULL, NULL, NULL, 'PRE-MRNA CLEAVAGE COMPLEX II PROTEIN-RELATED', 169227),
(225502, 'PTHR11771:SF171', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 169228),
(225503, 'PTHR11771:SF141', NULL, NULL, NULL, NULL, 'LIPOXYGENASE-RELATED', 169229),
(225504, 'PTHR43874:SF122', NULL, NULL, NULL, NULL, 'BNAA06G13210D PROTEIN', 169230),
(225505, 'PTHR33065:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169231),
(225506, 'PTHR22845', NULL, NULL, NULL, NULL, 'APOPTOTIC PROTEASE-ACTIVATING FACTOR 1', 169232),
(225507, 'PTHR46463:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169233),
(225508, 'PTHR32285:SF164', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 1', 169234),
(225509, 'PTHR11802:SF327', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 169235),
(225510, 'PTHR21593:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG21549', 169236),
(225511, 'PTHR31745:SF1', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN WHY2, MITOCHONDRIAL', 169237),
(225512, 'PTHR24234:SF7', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 132-RELATED', 169238),
(225513, 'PTHR11771:SF157', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 169239),
(225514, 'PTHR13377:SF9', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 19', 169240),
(225515, 'PTHR31194:SF142', NULL, NULL, NULL, NULL, 'BNAANNG35170D PROTEIN', 169241),
(225516, 'PTHR36510', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE 2-RELATED', 169242),
(225517, 'PTHR12884:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', 169243),
(225518, 'PTHR10160:SF30', NULL, NULL, NULL, NULL, 'NICOTINAMIDE NUCLEOTIDE TRANSHYDROGENASE 2', 169244),
(225519, 'PTHR38926', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 169245),
(225520, 'PTHR31044:SF76', NULL, NULL, NULL, NULL, 'X8 DOMAIN-CONTAINING PROTEIN-RELATED', 169246),
(225521, 'PTHR47720:SF2', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP2-1 ISOFORM X1-RELATED', 169247),
(225522, 'PTHR47153:SF2', NULL, NULL, NULL, NULL, 'LACTATE UTILIZATION PROTEIN B', 169248),
(225523, 'PTHR10587:SF80', NULL, NULL, NULL, NULL, 'CHITOOLIGOSACCHARIDE DEACETYLASE', 169249);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(225524, 'PTHR13808', NULL, NULL, NULL, NULL, 'CBP/P300-RELATED', 169250),
(225525, 'PTHR47005', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 169251),
(225526, 'PTHR35262:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169252),
(225527, 'PTHR47982:SF3', NULL, NULL, NULL, NULL, 'BNAC03G58600D PROTEIN', 169253),
(225528, 'PTHR13900:SF3', NULL, NULL, NULL, NULL, 'BNAA01G26290D PROTEIN', 169254),
(225529, 'PTHR48001:SF47', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7E24', 169255),
(225530, 'PTHR16189:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169256),
(225531, 'PTHR10540:SF18', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 6B', 169257),
(225532, 'PTHR18934:SF108', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DQX1', 169258),
(225533, 'PTHR37808:SF1', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN-LIKE PROTEIN YDZR', 169259),
(225534, 'PTHR33543:SF25', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 2C', 169260),
(225535, 'PTHR43157:SF35', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE FAMILY PROTEIN, PUTATIVE-RELATED', 169261),
(225536, 'PTHR14091:SF4', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 169262),
(225537, 'PTHR34601', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP B', 169263),
(225538, 'PTHR24296:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169264),
(225539, 'PTHR47992:SF32', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 48-RELATED', 169265),
(225540, 'PTHR47990:SF25', NULL, NULL, NULL, NULL, 'OS01G0209700 PROTEIN', 169266),
(225541, 'PTHR24221:SF174', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 7', 169267),
(225542, 'PTHR26374:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169268),
(225543, 'PTHR14360:SF19', NULL, NULL, NULL, NULL, 'PROTEIN FMP32, MITOCHONDRIAL-LIKE', 169269),
(225544, 'PTHR12403:SF12', NULL, NULL, NULL, NULL, 'MCG6979, ISOFORM CRA_A', 169270),
(225545, 'PTHR12588:SF4', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE 4', 169271),
(225546, 'PTHR15336:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6, MITOCHONDRIAL', 169272),
(225547, 'PTHR46122:SF14', NULL, NULL, NULL, NULL, 'BNAC05G49720D PROTEIN', 169273),
(225548, 'PTHR35474:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SHORT HYPOCOTYL IN WHITE LIGHT 1', 169274),
(225549, 'PTHR19957:SF312', NULL, NULL, NULL, NULL, 'SYNTAXIN-43-LIKE', 169275),
(225550, 'PTHR12489:SF20', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 211', 169276),
(225551, 'PTHR24028:SF98', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-18-RELATED', 169277),
(225552, 'PTHR46553', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 169278),
(225553, 'PTHR43828:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MBP1', 169279),
(225554, 'PTHR11730:SF32', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER RH TYPE A', 169280),
(225555, 'PTHR31852:SF200', NULL, NULL, NULL, NULL, 'BNAA05G31330D PROTEIN', 169281),
(225556, 'PTHR24281:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169282),
(225557, 'PTHR11843:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', 169283),
(225558, 'PTHR12832:SF11', NULL, NULL, NULL, NULL, 'LD23868P', 169284),
(225559, 'PTHR16134:SF59', NULL, NULL, NULL, NULL, 'TRANSPORT INHIBITOR RESPONSE 1-LIKE PROTEIN OS11G0515500', 169285),
(225560, 'PTHR31731:SF121', NULL, NULL, NULL, NULL, 'LIPID-BINDING PROTEIN-RELATED', 169286),
(225561, 'PTHR27007:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169287),
(225562, 'PTHR16267:SF13', NULL, NULL, NULL, NULL, 'B-CELL SCAFFOLD PROTEIN WITH ANKYRIN REPEATS', 169288),
(225563, 'PTHR11802:SF369', NULL, NULL, NULL, NULL, 'BNAC02G06770D PROTEIN', 169289),
(225564, 'PTHR48049:SF61', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71B5', 169290),
(225565, 'PTHR32077:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169291),
(225566, 'PTHR23344:SF13', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE DOMAIN-CONTAINING PROTEIN 4', 169292),
(225567, 'PTHR13314', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 169293);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(225568, 'PTHR11909:SF84', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM ALPHA', 169294),
(225569, 'PTHR22803:SF133', NULL, NULL, NULL, NULL, 'WU:FA56D06', 169295),
(225570, 'PTHR28196', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN NET1-RELATED', 169296),
(225571, 'PTHR11615:SF263', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1C1', 169297),
(225572, 'PTHR37703', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L31-RELATED', 169298),
(225573, 'PTHR27007:SF346', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', 169299),
(225574, 'PTHR24414:SF105', NULL, NULL, NULL, NULL, 'BNAC01G00470D PROTEIN', 169300),
(225575, 'PTHR45974:SF202', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE, PUTATIVE-RELATED', 169301),
(225576, 'PTHR46391:SF23', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 61', 169302),
(225577, 'PTHR46268:SF17', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN MJ0531', 169303),
(225578, 'PTHR34295:SF3', NULL, NULL, NULL, NULL, 'BIOTIN TRANSPORTER BIOYB-RELATED', 169304),
(225579, 'PTHR23500:SF152', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 1-RELATED', 169305),
(225580, 'PTHR31867:SF200', NULL, NULL, NULL, NULL, 'EXPANSIN', 169306),
(225581, 'PTHR11017:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169307),
(225582, 'PTHR46668:SF2', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN AND ANKYRIN REPEAT-CONTAINING PROTEIN NH5.2', 169308),
(225583, 'PTHR43045:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE METABOLITE TRANSPORT PROTEIN YHJE', 169309),
(225584, 'PTHR16219', NULL, NULL, NULL, NULL, 'AUGMIN SUBUNIT 4 FAMILY MEMBER', 169310),
(225585, 'PTHR32212:SF342', NULL, NULL, NULL, NULL, 'BNAA03G12850D PROTEIN', 169311),
(225586, 'PTHR36405:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169312),
(225587, 'PTHR23239:SF365', NULL, NULL, NULL, NULL, 'KERATIN 18B', 169313),
(225588, 'PTHR46855:SF13', NULL, NULL, NULL, NULL, 'BNAC09G20040D PROTEIN', 169314),
(225589, 'PTHR23263:SF131', NULL, NULL, NULL, NULL, 'SMALL PROLINE-RICH PROTEIN 3', 169315),
(225590, 'PTHR33448:SF11', NULL, NULL, NULL, NULL, 'BNAA07G10610D PROTEIN', 169316),
(225591, 'PTHR33345:SF8', NULL, NULL, NULL, NULL, 'BNAC05G29900D PROTEIN', 169317),
(225592, 'PTHR11474:SF32', NULL, NULL, NULL, NULL, 'TYROSINASE', 169318),
(225593, 'PTHR31403:SF40', NULL, NULL, NULL, NULL, 'OS10G0562200 PROTEIN', 169319),
(225594, 'PTHR44372:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169320),
(225595, 'PTHR11062:SF324', NULL, NULL, NULL, NULL, 'BNAA06G15190D PROTEIN', 169321),
(225596, 'PTHR33565:SF21', NULL, NULL, NULL, NULL, 'BNAC06G10490D PROTEIN', 169322),
(225597, 'PTHR47752:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR FABR', 169323),
(225598, 'PTHR23095:SF40', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN-LIKE PROTEIN 6A', 169324),
(225599, 'PTHR32254:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 169325),
(225600, 'PTHR24369:SF191', NULL, NULL, NULL, NULL, 'SI:CH211-159I8.4', 169326),
(225601, 'PTHR33734:SF18', NULL, NULL, NULL, NULL, 'OS02G0769200 PROTEIN', 169327),
(225602, 'PTHR31985:SF140', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF038', 169328),
(225603, 'PTHR33830:SF19', NULL, NULL, NULL, NULL, 'BNAANNG31540D PROTEIN', 169329),
(225604, 'PTHR43008:SF11', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G08710)-RELATED', 169330),
(225605, 'PTHR31374:SF55', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-INDUCED PROTEIN ARG7-LIKE', 169331),
(225606, 'PTHR27008:SF411', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169332),
(225607, 'PTHR37249', NULL, NULL, NULL, NULL, 'OS03G0206201 PROTEIN', 169333),
(225608, 'PTHR46594:SF6', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE RAN1', 169334),
(225609, 'PTHR24286:SF69', NULL, NULL, NULL, NULL, 'P450 OXIDOREDUCTASE, PUTATIVE (EUROFUNG)-RELATED', 169335),
(225610, 'PTHR14952', NULL, NULL, NULL, NULL, 'ROPPORIN-1-LIKE PROTEIN', 169336),
(225611, 'PTHR11767:SF11', NULL, NULL, NULL, NULL, 'ATP-SENSITIVE INWARD RECTIFIER POTASSIUM CHANNEL 8', 169337),
(225612, 'PTHR31840', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 97', 169338);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(225613, 'PTHR11145:SF8', NULL, NULL, NULL, NULL, 'RE57120P', 169339),
(225614, 'PTHR19353:SF66', NULL, NULL, NULL, NULL, 'FATTY ACID/SPHINGOLIPID DESATURASE', 169340),
(225615, 'PTHR13539', NULL, NULL, NULL, NULL, 'CALMODULIN-LYSINE N-METHYLTRANSFERASE', 169341),
(225616, 'PTHR11206:SF299', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 169342),
(225617, 'PTHR48001:SF112', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7A10', 169343),
(225618, 'PTHR24123:SF98', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 4', 169344),
(225619, 'PTHR31985:SF72', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1C', 169345),
(225620, 'PTHR26374:SF408', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE PROTEIN-RELATED', 169346),
(225621, 'PTHR24103:SF397', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM17', 169347),
(225622, 'PTHR46127', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 65', 169348),
(225623, 'PTHR24104:SF30', NULL, NULL, NULL, NULL, 'THIN, ISOFORM C', 169349),
(225624, 'PTHR31264:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169350),
(225625, 'PTHR35043', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 169351),
(225626, 'PTHR10177:SF475', NULL, NULL, NULL, NULL, 'BNAA06G14500D PROTEIN', 169352),
(225627, 'PTHR15583:SF17', NULL, NULL, NULL, NULL, 'SI:CH211-207E14.4', 169353),
(225628, 'PTHR10795:SF716', NULL, NULL, NULL, NULL, 'CO(2)-RESPONSE SECRETED PROTEASE', 169354),
(225629, 'PTHR11328:SF30', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 2B', 169355),
(225630, 'PTHR10219:SF39', NULL, NULL, NULL, NULL, 'OS07G0445800 PROTEIN', 169356),
(225631, 'PTHR17615', NULL, NULL, NULL, NULL, 'PROTEIN FAM189A', 169357),
(225632, 'PTHR33021:SF352', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN', 169358),
(225633, 'PTHR27002:SF821', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169359),
(225634, 'PTHR33102:SF27', NULL, NULL, NULL, NULL, 'OS01G0844200 PROTEIN', 169360),
(225635, 'PTHR14493:SF104', NULL, NULL, NULL, NULL, 'ARM REPEAT CCCH-TYPE ZINC FINGER PROTEIN', 169361),
(225636, 'PTHR24055:SF100', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 3', 169362),
(225637, 'PTHR24305:SF194', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 12A4, MITOCHONDRIAL-RELATED', 169363),
(225638, 'PTHR45644:SF53', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 169364),
(225639, 'PTHR33021:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169365),
(225640, 'PTHR24015:SF1744', NULL, NULL, NULL, NULL, 'OS08G0112400 PROTEIN', 169366),
(225641, 'PTHR11834:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ENHANCER FACTOR TEF-1', 169367),
(225642, 'PTHR24365:SF522', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 12', 169368),
(225643, 'PTHR11935:SF116', NULL, NULL, NULL, NULL, 'HYDROLASE PNKD-RELATED', 169369),
(225644, 'PTHR46038:SF27', NULL, NULL, NULL, NULL, 'BNAA10G09520D PROTEIN', 169370),
(225645, 'PTHR33178:SF7', NULL, NULL, NULL, NULL, 'STRESS RESPONSIVE A/B BARREL DOMAIN PROTEIN', 169371),
(225646, 'PTHR31458:SF4', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 14', 169372),
(225647, 'PTHR11527:SF323', NULL, NULL, NULL, NULL, '17.3 KDA CLASS I HEAT SHOCK PROTEIN', 169373),
(225648, 'PTHR33478:SF1', NULL, NULL, NULL, NULL, 'EXTRACELLULAR METALLOPROTEINASE MEP', 169374),
(225649, 'PTHR12542:SF17', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 169375),
(225650, 'PTHR10513:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169376),
(225651, 'PTHR12187:SF12', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE-4-PHOSPHATASE TYPE I AA', 169377),
(225652, 'PTHR47278:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE 6', 169378),
(225653, 'PTHR24023:SF981', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE IX, ALPHA 3', 169379),
(225654, 'PTHR21277:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169380),
(225655, 'PTHR26453:SF64', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 169381),
(225656, 'PTHR30097:SF13', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM (CZCB-LIKE)', 169382);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(225657, 'PTHR35889', NULL, NULL, NULL, NULL, 'CYCLOINULO-OLIGOSACCHARIDE FRUCTANOTRANSFERASE-RELATED', 169383),
(225658, 'PTHR13301:SF216', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 7 [UDP-FORMING]-LIKE', 169384),
(225659, 'PTHR46735:SF5', NULL, NULL, NULL, NULL, 'GRANCALCIN', 169385),
(225660, 'PTHR43574:SF46', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 6', 169386),
(225661, 'PTHR27009:SF96', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.7-RELATED', 169387),
(225662, 'PTHR24073:SF1066', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1D', 169388),
(225663, 'PTHR10527:SF17', NULL, NULL, NULL, NULL, 'TRANSPORTIN-2', 169389),
(225664, 'PTHR11977:SF31', NULL, NULL, NULL, NULL, 'PROTOVILLIN', 169390),
(225665, 'PTHR34410', NULL, NULL, NULL, NULL, 'INTRON-ENCODED HOMING ENDONUCLEASE, PUTATIVE-RELATED', 169391),
(225666, 'PTHR13789:SF147', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G01950)-RELATED', 169392),
(225667, 'PTHR12931:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169393),
(225668, 'PTHR11728:SF37', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)]', 169394),
(225669, 'PTHR38451', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(22)-N(1))-METHYLTRANSFERASE', 169395),
(225670, 'PTHR11211:SF11', NULL, NULL, NULL, NULL, 'IROQUOIS-CLASS HOMEODOMAIN PROTEIN IRX-6', 169396),
(225671, 'PTHR24336:SF12', NULL, NULL, NULL, NULL, 'LADYBIRD HOMEOBOX 2', 169397),
(225672, 'PTHR31515:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169398),
(225673, 'PTHR46761:SF5', NULL, NULL, NULL, NULL, 'RAN GTPASE-ACTIVATING PROTEIN 2', 169399),
(225674, 'PTHR11579:SF25', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE', 169400),
(225675, 'PTHR11654:SF471', NULL, NULL, NULL, NULL, 'BNAA03G19060D PROTEIN', 169401),
(225676, 'PTHR45707:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169402),
(225677, 'PTHR24416:SF389', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 6', 169403),
(225678, 'PTHR48059:SF10', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITOR 2', 169404),
(225679, 'PTHR11615:SF116', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 2-RELATED', 169405),
(225680, 'PTHR36900', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT M, CHLOROPLASTIC', 169406),
(225681, 'PTHR31235:SF158', NULL, NULL, NULL, NULL, 'PEROXIDASE', 169407),
(225682, 'PTHR30400', NULL, NULL, NULL, NULL, 'MONOFUNCTIONAL BIOSYNTHETIC PEPTIDOGLYCAN TRANSGLYCOSYLASE', 169408),
(225683, 'PTHR43278:SF3', NULL, NULL, NULL, NULL, 'IRON-SULFUR FLAVOPROTEIN MJ0731', 169409),
(225684, 'PTHR22526:SF4', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 15', 169410),
(225685, 'PTHR33924', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', 169411),
(225686, 'PTHR31048:SF115', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', 169412),
(225687, 'PTHR31681:SF37', NULL, NULL, NULL, NULL, 'BNAANNG20300D PROTEIN', 169413),
(225688, 'PTHR11062:SF263', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE XLT2-LIKE', 169414),
(225689, 'PTHR14401', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN K', 169415),
(225690, 'PTHR18952:SF228', NULL, NULL, NULL, NULL, 'IP04174P', 169416),
(225691, 'PTHR32246:SF65', NULL, NULL, NULL, NULL, 'OS09G0571200 PROTEIN', 169417),
(225692, 'PTHR37240', NULL, NULL, NULL, NULL, 'PREPROTEIN TRANSLOCASE SUBUNIT SECE1', 169418),
(225693, 'PTHR16469:SF47', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED AND SH3 DOMAIN-CONTAINING BA-RELATED', 169419),
(225694, 'PTHR11959:SF15', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE-RELATED', 169420),
(225695, 'PTHR13449', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR177', 169421),
(225696, 'PTHR43270:SF9', NULL, NULL, NULL, NULL, 'SUCCINYL-DIAMINOPIMELATE DESUCCINYLASE', 169422),
(225697, 'PTHR33130:SF54', NULL, NULL, NULL, NULL, 'BNAA08G19370D PROTEIN', 169423),
(225698, 'PTHR31790:SF311', NULL, NULL, NULL, NULL, 'BNAC05G52170D PROTEIN', 169424),
(225699, 'PTHR42747:SF4', NULL, NULL, NULL, NULL, 'DIOXYGENASE', 169425);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(225700, 'PTHR31548:SF5', NULL, NULL, NULL, NULL, 'CLARIN-2', 169426),
(225701, 'PTHR24373:SF276', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 3B', 169427),
(225702, 'PTHR47774', NULL, NULL, NULL, NULL, 'GROWTH-DIFFERENTIATION TRANSITION PROTEIN 5-RELATED', 169428),
(225703, 'PTHR11362:SF81', NULL, NULL, NULL, NULL, 'PROTEIN CBG19696', 169429),
(225704, 'PTHR45637:SF57', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WAG2', 169430),
(225705, 'PTHR21879:SF14', NULL, NULL, NULL, NULL, 'OSIRIS 8', 169431),
(225706, 'PTHR38461:SF1', NULL, NULL, NULL, NULL, '4-DEOXY-L-THREO-5-HEXOSULOSE-URONATE KETOL-ISOMERASE', 169432),
(225707, 'PTHR47993:SF82', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN EXPRESSED', 169433),
(225708, 'PTHR46034:SF3', NULL, NULL, NULL, NULL, 'B2 PROTEIN-LIKE', 169434),
(225709, 'PTHR11932:SF161', NULL, NULL, NULL, NULL, 'BNAC06G12710D PROTEIN', 169435),
(225710, 'PTHR45647:SF30', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', 169436),
(225711, 'PTHR13326', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE D', 169437),
(225712, 'PTHR12223:SF36', NULL, NULL, NULL, NULL, 'VESICULAR INTEGRAL-MEMBRANE PROTEIN VIP36', 169438),
(225713, 'PTHR12086', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN  C-TERMINAL  CONTAINING PROTEIN', 169439),
(225714, 'PTHR31482:SF2', NULL, NULL, NULL, NULL, 'ESTS AU081301(E20138)', 169440),
(225715, 'PTHR48201:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169441),
(225716, 'PTHR34953:SF5', NULL, NULL, NULL, NULL, 'BNAANNG33690D PROTEIN', 169442),
(225717, 'PTHR31009:SF116', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 169443),
(225718, 'PTHR47990:SF40', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 169444),
(225719, 'PTHR21654:SF60', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR PTL', 169445),
(225720, 'PTHR10380:SF119', NULL, NULL, NULL, NULL, 'PROTEIN LETHAL(3)MALIGNANT BLOOD NEOPLASM 1', 169446),
(225721, 'PTHR21541:SF3', NULL, NULL, NULL, NULL, 'STRUCTURE-SPECIFIC ENDONUCLEASE SUBUNIT SLX4', 169447),
(225722, 'PTHR45651:SF86', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 9', 169448),
(225723, 'PTHR23130:SF197', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 169449),
(225724, 'PTHR43943:SF11', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDRA', 169450),
(225725, 'PTHR10201:SF120', NULL, NULL, NULL, NULL, 'MATRIX METALLOPEPTIDASE 23BB', 169451),
(225726, 'PTHR24320:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169452),
(225727, 'PTHR19317:SF0', NULL, NULL, NULL, NULL, 'PRENYLATED RAB ACCEPTOR PROTEIN 1', 169453),
(225728, 'PTHR47966:SF46', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE ORYZASIN-1-LIKE ISOFORM X1', 169454),
(225729, 'PTHR31674:SF67', NULL, NULL, NULL, NULL, 'BNAA09G41270D PROTEIN', 169455),
(225730, 'PTHR24057:SF64', NULL, NULL, NULL, NULL, 'BNAANNG02930D PROTEIN', 169456),
(225731, 'PTHR31623:SF53', NULL, NULL, NULL, NULL, 'N-BENZOYLTRANSFERASE PROTEIN, PUTATIVE-RELATED', 169457),
(225732, 'PTHR23430:SF213', NULL, NULL, NULL, NULL, 'HISTONE H2A', 169458),
(225733, 'PTHR32191:SF72', NULL, NULL, NULL, NULL, 'OS09G0425900 PROTEIN', 169459),
(225734, 'PTHR33136:SF34', NULL, NULL, NULL, NULL, 'OS12G0541700 PROTEIN', 169460),
(225735, 'PTHR14493:SF111', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 49', 169461),
(225736, 'PTHR27002:SF16', NULL, NULL, NULL, NULL, 'OS07G0538200 PROTEIN', 169462),
(225737, 'PTHR46139:SF3', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE', 169463),
(225738, 'PTHR48136:SF1', NULL, NULL, NULL, NULL, 'RUBREDOXIN-LIKE SUPERFAMILY PROTEIN', 169464),
(225739, 'PTHR37249:SF7', NULL, NULL, NULL, NULL, 'BNACNNG03800D PROTEIN', 169465),
(225740, 'PTHR22989:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG22229', 169466),
(225741, 'PTHR42470', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 169467),
(225742, 'PTHR33021:SF378', NULL, NULL, NULL, NULL, 'BNAC03G71950D PROTEIN', 169468); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(225743, 'PTHR11571:SF237', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE PI 3', 169469),
(225744, 'PTHR31218:SF251', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 169470),
(225745, 'PTHR24300:SF330', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 508A4-RELATED', 169471),
(225746, 'PTHR45532:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 97', 169472),
(225747, 'PTHR47768', NULL, NULL, NULL, NULL, 'GLOBIN RELATED-RELATED', 169473),
(225748, 'PTHR11119:SF89', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER-LIKE PROTEIN', 169474),
(225749, 'PTHR11157:SF126', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN', 169475),
(225750, 'PTHR15430', NULL, NULL, NULL, NULL, 'GLOMULIN', 169476),
(225751, 'PTHR47926:SF149', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 169477),
(225752, 'PTHR47985:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169478),
(225753, 'PTHR11819:SF112', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 5 MEMBER 4', 169479),
(225754, 'PTHR11746:SF185', NULL, NULL, NULL, NULL, 'TRANS-RESVERATROL DI-O-METHYLTRANSFERASE-LIKE', 169480),
(225755, 'PTHR10593:SF166', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 2-LIKE', 169481),
(225756, 'PTHR31218:SF195', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 169482),
(225757, 'PTHR33214:SF52', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2', 169483),
(225758, 'PTHR43479:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR TETR FAMILY', 169484),
(225759, 'PTHR16470:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN UBFD1', 169485),
(225760, 'PTHR11654:SF345', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', 169486),
(225761, 'PTHR13630', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE-ACTIVATING PROTEIN', 169487),
(225762, 'PTHR21228:SF40', NULL, NULL, NULL, NULL, 'GH07286P-RELATED', 169488),
(225763, 'PTHR32411:SF66', NULL, NULL, NULL, NULL, 'BNAC03G42430D PROTEIN', 169489),
(225764, 'PTHR48017:SF67', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 1-LIKE', 169490),
(225765, 'PTHR31235:SF271', NULL, NULL, NULL, NULL, 'PEROXIDASE', 169491),
(225766, 'PTHR40472:SF8', NULL, NULL, NULL, NULL, 'RAPUNZEL 2', 169492),
(225767, 'PTHR47566:SF1', NULL, NULL, NULL, NULL, 'SEPTATION INITIATION NETWORK SCAFFOLD PROTEIN CDC11', 169493),
(225768, 'PTHR10845:SF145', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 19', 169494),
(225769, 'PTHR20437:SF2', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 13C', 169495),
(225770, 'PTHR24404:SF68', NULL, NULL, NULL, NULL, 'IKAROS FAMILY ZINC FINGER 2', 169496),
(225771, 'PTHR31357:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG21509', 169497),
(225772, 'PTHR31325', NULL, NULL, NULL, NULL, 'OS01G0798800 PROTEIN-RELATED', 169498),
(225773, 'PTHR10168:SF208', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C2-RELATED', 169499),
(225774, 'PTHR19441:SF46', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 3', 169500),
(225775, 'PTHR33493:SF3', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 169501),
(225776, 'PTHR30531:SF6', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS PROTEIN SSAU', 169502),
(225777, 'PTHR14240:SF1', NULL, NULL, NULL, NULL, 'RPGR-INTERACTING PROTEIN 1-RELATED', 169503),
(225778, 'PTHR11774:SF14', NULL, NULL, NULL, NULL, 'PROTEIN FARNESYLTRANSFERASE SUBUNIT BETA', 169504),
(225779, 'PTHR24376:SF165', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 585A', 169505),
(225780, 'PTHR16125:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 74', 169506),
(225781, 'PTHR21366:SF27', NULL, NULL, NULL, NULL, 'CATECHOL 2,3-DIOXYGENASE (METAPYROCATECHASE)', 169507),
(225782, 'PTHR21304:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169508),
(225783, 'PTHR28630:SF7', NULL, NULL, NULL, NULL, 'PROSTAMIDE/PROSTAGLANDIN F SYNTHASE', 169509),
(225784, 'PTHR15486:SF65', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', 169510),
(225785, 'PTHR37379:SF1', NULL, NULL, NULL, NULL, 'OS01G0220500 PROTEIN', 169511),
(225786, 'PTHR11941:SF141', NULL, NULL, NULL, NULL, 'RPFF PROTEIN', 169512);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(225787, 'PTHR33048:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169513),
(225788, 'PTHR10720', NULL, NULL, NULL, NULL, 'HEME OXYGENASE', 169514),
(225789, 'PTHR45863:SF25', NULL, NULL, NULL, NULL, 'TPR DOMAIN KINASE', 169515),
(225790, 'PTHR47878', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE FAD/NAD(P)-BINDING DOMAIN PROTEIN', 169516),
(225791, 'PTHR43029', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER MEP2', 169517),
(225792, 'PTHR13832:SF779', NULL, NULL, NULL, NULL, 'SI:CH211-15P9.2', 169518),
(225793, 'PTHR44200', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 7', 169519),
(225794, 'PTHR34039:SF1', NULL, NULL, NULL, NULL, 'UPF0102 PROTEIN YRAN', 169520),
(225795, 'PTHR22773:SF107', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C', 169521),
(225796, 'PTHR35547:SF1', NULL, NULL, NULL, NULL, 'OS02G0737300 PROTEIN', 169522),
(225797, 'PTHR32444:SF78', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK3', 169523),
(225798, 'PTHR10351:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3 HOMOLOG 4', 169524),
(225799, 'PTHR23059:SF4', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH PROTEIN 1', 169525),
(225800, 'PTHR31752:SF48', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 1A', 169526),
(225801, 'PTHR18947:SF30', NULL, NULL, NULL, NULL, 'GIRDIN', 169527),
(225802, 'PTHR33726:SF13', NULL, NULL, NULL, NULL, 'OS05G0565701 PROTEIN', 169528),
(225803, 'PTHR10371:SF3', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN 2, MITOCHONDRIAL', 169529),
(225804, 'PTHR31391:SF92', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0234100-LIKE', 169530),
(225805, 'PTHR32448:SF83', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 11', 169531),
(225806, 'PTHR24078:SF551', NULL, NULL, NULL, NULL, 'BNAA06G20720D PROTEIN', 169532),
(225807, 'PTHR47958:SF48', NULL, NULL, NULL, NULL, 'DNA HELICASE, ATP-DEPENDENT, RECQ TYPE, BACTERIAL-RELATED', 169533),
(225808, 'PTHR13108', NULL, NULL, NULL, NULL, 'CONDENSIN COMPLEX SUBUNIT 2', 169534),
(225809, 'PTHR10127:SF802', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-10', 169535),
(225810, 'PTHR32054:SF53', NULL, NULL, NULL, NULL, 'WEB FAMILY-RELATED', 169536),
(225811, 'PTHR10283:SF131', NULL, NULL, NULL, NULL, 'BNAC09G20290D PROTEIN', 169537),
(225812, 'PTHR21505:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169538),
(225813, 'PTHR36324', NULL, NULL, NULL, NULL, 'OS09G0460100 PROTEIN', 169539),
(225814, 'PTHR11926:SF1408', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 169540),
(225815, 'PTHR33386:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169541),
(225816, 'PTHR24043:SF5', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS F MEMBER 2', 169542),
(225817, 'PTHR31683:SF113', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 169543),
(225818, 'PTHR12482:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169544),
(225819, 'PTHR24023:SF994', NULL, NULL, NULL, NULL, 'PERSISTENT PLEXUS', 169545),
(225820, 'PTHR45635:SF34', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1, MITOCHONDRIAL-LIKE', 169546),
(225821, 'PTHR47068:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE PROTEIN-RELATED', 169547),
(225822, 'PTHR48073:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169548),
(225823, 'PTHR11793:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 12', 169549),
(225824, 'PTHR45659:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C5', 169550),
(225825, 'PTHR46367', NULL, NULL, NULL, NULL, 'ATAXIN-7-LIKE PROTEIN 3', 169551),
(225826, 'PTHR24376:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169552),
(225827, 'PTHR11736:SF22', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B4', 169553),
(225828, 'PTHR47992:SF64', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 33-RELATED', 169554),
(225829, 'PTHR32093:SF144', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 1', 169555),
(225830, 'PTHR23132:SF8', NULL, NULL, NULL, NULL, 'D-ALANINE--D-ALANINE LIGASE A', 169556),
(225831, 'PTHR33321:SF22', NULL, NULL, NULL, NULL, 'BASIC SECRETORY PROTEASE', 169557);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(225832, 'PTHR23239:SF137', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 10', 169558),
(225833, 'PTHR47740:SF1', NULL, NULL, NULL, NULL, 'LCK-INTERACTING TRANSMEMBRANE ADAPTER 1', 169559),
(225834, 'PTHR45639:SF23', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70 FAMILY DOMAIN PROTEIN-RELATED', 169560),
(225835, 'PTHR46929', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 169561),
(225836, 'PTHR36351', NULL, NULL, NULL, NULL, 'EMBRYO SAC DEVELOPMENT ARREST 12', 169562),
(225837, 'PTHR43454', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 169563),
(225838, 'PTHR11439', NULL, NULL, NULL, NULL, 'GAG-POL-RELATED RETROTRANSPOSON', 169564),
(225839, 'PTHR11749:SF12', NULL, NULL, NULL, NULL, 'RIBULOSE-PHOSPHATE 3-EPIMERASE', 169565),
(225840, 'PTHR43146:SF1', NULL, NULL, NULL, NULL, 'CANCER-RELATED NUCLEOSIDE-TRIPHOSPHATASE', 169566),
(225841, 'PTHR14043:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CUT-LIKE 1', 169567),
(225842, 'PTHR22950:SF472', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', 169568),
(225843, 'PTHR48101:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE MUTASE SIGMA SUBUNIT', 169569),
(225844, 'PTHR30347', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL RELATED', 169570),
(225845, 'PTHR44240:SF14', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 11, CHLOROPLASTIC-LIKE', 169571),
(225846, 'PTHR30481:SF3', NULL, NULL, NULL, NULL, 'DNA ADENINE METHYLASE', 169572),
(225847, 'PTHR46929:SF2', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN-LIKE ISOFORM X1', 169573),
(225848, 'PTHR12465:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 20', 169574),
(225849, 'PTHR39741:SF14', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX PROTEIN', 169575),
(225850, 'PTHR10015:SF302', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-1A', 169576),
(225851, 'PTHR24100:SF56', NULL, NULL, NULL, NULL, 'BUTYROPHILIN SUBFAMILY 3 MEMBER A1', 169577),
(225852, 'PTHR46720', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01460)-RELATED', 169578),
(225853, 'PTHR10353:SF137', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 31-RELATED', 169579),
(225854, 'PTHR46632:SF19', NULL, NULL, NULL, NULL, 'BNAA05G11490D PROTEIN', 169580),
(225855, 'PTHR33021:SF289', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 6', 169581),
(225856, 'PTHR37534:SF18', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 169582),
(225857, 'PTHR35805:SF1', NULL, NULL, NULL, NULL, 'ASPARTATE CARBAMOYLTRANSFERASE REGULATORY CHAIN', 169583),
(225858, 'PTHR21012:SF0', NULL, NULL, NULL, NULL, 'ASPARTATE 1-DECARBOXYLASE', 169584),
(225859, 'PTHR14689:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169585),
(225860, 'PTHR33463:SF8', NULL, NULL, NULL, NULL, 'OS04G0115650 PROTEIN', 169586),
(225861, 'PTHR47435', NULL, NULL, NULL, NULL, 'KELCH REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_5G12780)', 169587),
(225862, 'PTHR11814:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169588),
(225863, 'PTHR32278:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169589),
(225864, 'PTHR47956:SF71', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 169590),
(225865, 'PTHR18978:SF1', NULL, NULL, NULL, NULL, 'GRIP1-ASSOCIATED PROTEIN 1', 169591),
(225866, 'PTHR36337:SF1', NULL, NULL, NULL, NULL, 'OBSCURIN-LIKE PROTEIN', 169592),
(225867, 'PTHR13215', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II TRANSCRIPTIONAL COACTIVATOR', 169593),
(225868, 'PTHR46211:SF5', NULL, NULL, NULL, NULL, 'BLR6584 PROTEIN', 169594),
(225869, 'PTHR47926:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169595),
(225870, 'PTHR10694:SF125', NULL, NULL, NULL, NULL, 'LYSINE (K)-SPECIFIC DEMETHYLASE 5BA', 169596),
(225871, 'PTHR22912:SF103', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 169597),
(225872, 'PTHR36540:SF1', NULL, NULL, NULL, NULL, 'PYRIMIDINE/PURINE NUCLEOSIDE PHOSPHORYLASE', 169598),
(225873, 'PTHR12132:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169599),
(225874, 'PTHR34448:SF3', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE AMPS', 169600); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(225875, 'PTHR22936', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED', 169601),
(225876, 'PTHR34267:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169602),
(225877, 'PTHR45798:SF52', NULL, NULL, NULL, NULL, 'BNAA01G27180D PROTEIN', 169603),
(225878, 'PTHR10918:SF2', NULL, NULL, NULL, NULL, 'HOMER PROTEIN HOMOLOG 2', 169604),
(225879, 'PTHR32098', NULL, NULL, NULL, NULL, 'LYCOPENE BETA/EPSILON CYCLASE PROTEIN', 169605),
(225880, 'PTHR28071', NULL, NULL, NULL, NULL, 'REDOX PROTEIN FMP46, MITOCHONDRIAL-RELATED', 169606),
(225881, 'PTHR44156:SF6', NULL, NULL, NULL, NULL, 'SUPERNUMERARY LIMBS, ISOFORM B', 169607),
(225882, 'PTHR34189:SF13', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 169608),
(225883, 'PTHR31476:SF16', NULL, NULL, NULL, NULL, 'F14O23.23 PROTEIN', 169609),
(225884, 'PTHR27001:SF601', NULL, NULL, NULL, NULL, 'OS06G0288100 PROTEIN', 169610),
(225885, 'PTHR33078:SF62', NULL, NULL, NULL, NULL, 'PROTEIN YCF2', 169611),
(225886, 'PTHR10250', NULL, NULL, NULL, NULL, 'MICROSOMAL GLUTATHIONE S-TRANSFERASE', 169612),
(225887, 'PTHR11527:SF97', NULL, NULL, NULL, NULL, '15.4 KDA CLASS V HEAT SHOCK PROTEIN', 169613),
(225888, 'PTHR31906:SF35', NULL, NULL, NULL, NULL, 'PLASTID LIPID-ASSOCIATED PROTEIN/FIBRILLIN CONSERVED DOMAIN', 169614),
(225889, 'PTHR10145:SF8', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE NUCLEOTIDYLTRANSFERASE-RELATED', 169615),
(225890, 'PTHR36294:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 139', 169616),
(225891, 'PTHR24409:SF382', NULL, NULL, NULL, NULL, 'IP01303P', 169617),
(225892, 'PTHR34150:SF1', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', 169618),
(225893, 'PTHR24072:SF141', NULL, NULL, NULL, NULL, 'RHO-RELATED BTB DOMAIN-CONTAINING 4', 169619),
(225894, 'PTHR30472:SF67', NULL, NULL, NULL, NULL, 'PERMEASE OF ABC TRANSPORTER-RELATED', 169620),
(225895, 'PTHR10161:SF42', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 169621),
(225896, 'PTHR23105:SF136', NULL, NULL, NULL, NULL, 'OS06G0274200 PROTEIN', 169622),
(225897, 'PTHR10829:SF51', NULL, NULL, NULL, NULL, 'LIM-TYPE ZINC FINGER-CONTAINING PROTEIN', 169623),
(225898, 'PTHR24366:SF126', NULL, NULL, NULL, NULL, 'REDUCED OCELLI, ISOFORM B', 169624),
(225899, 'PTHR11908:SF100', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE', 169625),
(225900, 'PTHR33244', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 169626),
(225901, 'PTHR32401:SF25', NULL, NULL, NULL, NULL, 'BNAA05G29190D PROTEIN', 169627),
(225902, 'PTHR12110:SF21', NULL, NULL, NULL, NULL, 'DEHYDRATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G08740)-RELATED', 169628),
(225903, 'PTHR11165:SF24', NULL, NULL, NULL, NULL, 'S-PHASE KINASE-ASSOCIATED PROTEIN 1', 169629),
(225904, 'PTHR44191:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169630),
(225905, 'PTHR36542:SF2', NULL, NULL, NULL, NULL, 'GIG2-LIKE PROTEIN DRED-RELATED', 169631),
(225906, 'PTHR31325:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169632),
(225907, 'PTHR48044:SF64', NULL, NULL, NULL, NULL, 'CIS-ZEATIN O-GLUCOSYLTRANSFERASE 1', 169633),
(225908, 'PTHR47274:SF7', NULL, NULL, NULL, NULL, 'BNAA03G54520D PROTEIN', 169634),
(225909, 'PTHR31676:SF110', NULL, NULL, NULL, NULL, 'OS01G0913100 PROTEIN', 169635),
(225910, 'PTHR18945:SF401', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-4', 169636),
(225911, 'PTHR12213:SF0', NULL, NULL, NULL, NULL, 'CORRINOID ADENOSYLTRANSFERASE', 169637),
(225912, 'PTHR33669:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169638),
(225913, 'PTHR11699:SF277', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 169639),
(225914, 'PTHR10129:SF24', NULL, NULL, NULL, NULL, 'NEURAL RETINA-SPECIFIC LEUCINE ZIPPER PROTEIN', 169640),
(225915, 'PTHR11145:SF14', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING ADAPTER FOR CUL3-MEDIATED RHOA DEGRADATION PROTEIN 3', 169641),
(225916, 'PTHR23065:SF23', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C AND CASEIN KINASE SUBSTRATE IN NEURONS 1A', 169642),
(225917, 'PTHR13902:SF148', NULL, NULL, NULL, NULL, 'BNAA09G30580D PROTEIN', 169643),
(225918, 'PTHR24044:SF431', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', 169644);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(225919, 'PTHR47989:SF14', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN KINASE SELMODRAFT_444075', 169645),
(225920, 'PTHR12673:SF257', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-77', 169646),
(225921, 'PTHR11236:SF38', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE-RELATED', 169647),
(225922, 'PTHR15532', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 169648),
(225923, 'PTHR45966:SF7', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 5-LIKE ISOFORM X1', 169649),
(225924, 'PTHR11528:SF78', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP 90-BETA 2-RELATED', 169650),
(225925, 'PTHR23264:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169651),
(225926, 'PTHR31907:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169652),
(225927, 'PTHR31376:SF62', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 14-RELATED', 169653),
(225928, 'PTHR10285:SF188', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE B', 169654),
(225929, 'PTHR33090:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169655),
(225930, 'PTHR31677:SF148', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 14', 169656),
(225931, 'PTHR43112', NULL, NULL, NULL, NULL, 'FERREDOXIN', 169657),
(225932, 'PTHR33057:SF76', NULL, NULL, NULL, NULL, 'OS05G0441400 PROTEIN', 169658),
(225933, 'PTHR11711:SF319', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE 11', 169659),
(225934, 'PTHR22741:SF5', NULL, NULL, NULL, NULL, 'SRC KINASE SIGNALING INHIBITOR 1', 169660),
(225935, 'PTHR11945:SF405', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', 169661),
(225936, 'PTHR46539:SF2', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL43', 169662),
(225937, 'PTHR24115:SF917', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14C-RELATED', 169663),
(225938, 'PTHR32410:SF182', NULL, NULL, NULL, NULL, 'BNAA02G06660D PROTEIN', 169664),
(225939, 'PTHR32054:SF35', NULL, NULL, NULL, NULL, 'OS02G0554200 PROTEIN', 169665),
(225940, 'PTHR33349:SF24', NULL, NULL, NULL, NULL, 'BNAC02G42140D PROTEIN', 169666),
(225941, 'PTHR43702', NULL, NULL, NULL, NULL, 'L-FUCOSE-PROTON SYMPORTER', 169667),
(225942, 'PTHR46057:SF4', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.16 PROTEIN', 169668),
(225943, 'PTHR31029:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169669),
(225944, 'PTHR24096:SF357', NULL, NULL, NULL, NULL, '4-COUMARATE:COA LIGASE-LIKE PROTEIN', 169670),
(225945, 'PTHR34115:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169671),
(225946, 'PTHR24414:SF31', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN AFR', 169672),
(225947, 'PTHR33883:SF9', NULL, NULL, NULL, NULL, 'WPP DOMAIN-ASSOCIATED PROTEIN', 169673),
(225948, 'PTHR31845:SF19', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 169674),
(225949, 'PTHR31459:SF16', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 169675),
(225950, 'PTHR12400:SF4', NULL, NULL, NULL, NULL, 'INOSITOL-TRISPHOSPHATE 3-KINASE B', 169676),
(225951, 'PTHR16047:SF10', NULL, NULL, NULL, NULL, 'OS03G0108200 PROTEIN', 169677),
(225952, 'PTHR11639:SF63', NULL, NULL, NULL, NULL, 'PROTEIN S100', 169678),
(225953, 'PTHR16209', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 169679),
(225954, 'PTHR24068:SF164', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 21-RELATED', 169680),
(225955, 'PTHR31422:SF36', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 3-LIKE ISOFORM X1', 169681),
(225956, 'PTHR10857:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169682),
(225957, 'PTHR45166', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 8', 169683),
(225958, 'PTHR46934:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169684),
(225959, 'PTHR33170:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169685),
(225960, 'PTHR34237:SF5', NULL, NULL, NULL, NULL, 'PAREP8', 169686),
(225961, 'PTHR45973:SF13', NULL, NULL, NULL, NULL, 'CENTRIOLIN', 169687),
(225962, 'PTHR30193:SF37', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YCJO', 169688),
(225963, 'PTHR24281:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169689),
(225964, 'PTHR47568:SF4', NULL, NULL, NULL, NULL, 'BNAA08G31460D PROTEIN', 169690);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(225965, 'PTHR11958:SF22', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER 5', 169691),
(225966, 'PTHR12506:SF64', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 32', 169692),
(225967, 'PTHR33184:SF51', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 169693),
(225968, 'PTHR48018:SF91', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8U9', 169694),
(225969, 'PTHR47150', NULL, NULL, NULL, NULL, 'OS12G0169200 PROTEIN', 169695),
(225970, 'PTHR48247:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169696),
(225971, 'PTHR20855:SF15', NULL, NULL, NULL, NULL, 'PROGESTIN AND ADIPOQ RECEPTOR FAMILY MEMBER 3', 169697),
(225972, 'PTHR21258:SF40', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR SUBSTRATE 2', 169698),
(225973, 'PTHR28630', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 169699),
(225974, 'PTHR19969:SF5', NULL, NULL, NULL, NULL, 'ADAPTER MOLECULE CRK', 169700),
(225975, 'PTHR11132:SF309', NULL, NULL, NULL, NULL, 'OS08G0135100 PROTEIN', 169701),
(225976, 'PTHR15284:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR, INTERLEUKIN 3-REGULATED, MEMBER 5', 169702),
(225977, 'PTHR35615:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169703),
(225978, 'PTHR21229:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169704),
(225979, 'PTHR34269', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR B3-DOMAIN FAMILY-RELATED', 169705),
(225980, 'PTHR43748:SF4', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE 1-RELATED', 169706),
(225981, 'PTHR47533:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG21859', 169707),
(225982, 'PTHR45134:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169708),
(225983, 'PTHR32285:SF155', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 36', 169709),
(225984, 'PTHR11620:SF60', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A', 169710),
(225985, 'PTHR44019:SF17', NULL, NULL, NULL, NULL, 'SI:CH73-142C19.1', 169711),
(225986, 'PTHR10369:SF32', NULL, NULL, NULL, NULL, 'MCG113838', 169712),
(225987, 'PTHR10252:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT GAMMA', 169713),
(225988, 'PTHR12047', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP A PROTEIN', 169714),
(225989, 'PTHR43725', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE', 169715),
(225990, 'PTHR10177:SF450', NULL, NULL, NULL, NULL, 'BNAA05G17760D PROTEIN', 169716),
(225991, 'PTHR10587:SF125', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE DEACETYLASE YHEN-RELATED', 169717),
(225992, 'PTHR36386', NULL, NULL, NULL, NULL, 'OS06G0683900 PROTEIN', 169718),
(225993, 'PTHR11866:SF4', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN F2-ALPHA RECEPTOR', 169719),
(225994, 'PTHR22847', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', 169720),
(225995, 'PTHR34011:SF2', NULL, NULL, NULL, NULL, 'ALLOPHYCOCYANIN ALPHA CHAIN', 169721),
(225996, 'PTHR10887:SF484', NULL, NULL, NULL, NULL, 'HELICASE DDB_G0274399-RELATED', 169722),
(225997, 'PTHR48060:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 169723),
(225998, 'PTHR14499:SF65', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD1', 169724),
(225999, 'PTHR27007:SF305', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.1-LIKE', 169725),
(226000, 'PTHR35094:SF5', NULL, NULL, NULL, NULL, 'BNAA09G51330D PROTEIN', 169726),
(226001, 'PTHR35245', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 169727),
(226002, 'PTHR32054:SF26', NULL, NULL, NULL, NULL, 'BNAA01G17900D PROTEIN', 169728),
(226003, 'PTHR33044:SF121', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 169729),
(226004, 'PTHR47991:SF9', NULL, NULL, NULL, NULL, 'PROTEIN SRG1', 169730),
(226005, 'PTHR31374:SF147', NULL, NULL, NULL, NULL, 'OS01G0924966 PROTEIN', 169731),
(226006, 'PTHR31374:SF203', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71-LIKE', 169732),
(226007, 'PTHR11596:SF5', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE-RELATED', 169733),
(226008, 'PTHR33124:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', 169734),
(226009, 'PTHR12081:SF87', NULL, NULL, NULL, NULL, 'E2F TRANSCRIPTION FACTOR 3-RELATED', 169735);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(226010, 'PTHR14226:SF66', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PHOSPHOLIPASE DOMAIN-CONTAINING PROTEIN SPAC1786.01C', 169736),
(226011, 'PTHR24254:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169737),
(226012, 'PTHR46855:SF2', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 27', 169738),
(226013, 'PTHR38627:SF1', NULL, NULL, NULL, NULL, 'GA BINDING AND ACTIVATING AND SPK (SPK) DOMAIN CONTAINING', 169739),
(226014, 'PTHR24241', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR-RELATED G-PROTEIN COUPLED RECEPTOR', 169740),
(226015, 'PTHR43295', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE', 169741),
(226016, 'PTHR39559', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 169742),
(226017, 'PTHR46001', NULL, NULL, NULL, NULL, 'TIAM (MAMMALIAN TUMOR INVASION AND METASTASIS FACTOR) HOMOLOG', 169743),
(226018, 'PTHR24377:SF407', NULL, NULL, NULL, NULL, 'REGULATOR OF SEX-LIMITATION CANDIDATE 15-RELATED', 169744),
(226019, 'PTHR11360:SF264', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 22', 169745),
(226020, 'PTHR24213:SF17', NULL, NULL, NULL, NULL, 'DEMATIN', 169746),
(226021, 'PTHR47487:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169747),
(226022, 'PTHR11132:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169748),
(226023, 'PTHR23507', NULL, NULL, NULL, NULL, 'ZGC:174356', 169749),
(226024, 'PTHR31535', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 169750),
(226025, 'PTHR25465:SF21', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM47', 169751),
(226026, 'PTHR36565:SF1', NULL, NULL, NULL, NULL, 'UPF0332 PROTEIN TM_1000', 169752),
(226027, 'PTHR46442:SF12', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 169753),
(226028, 'PTHR14971:SF2', NULL, NULL, NULL, NULL, 'VESICULAR, OVEREXPRESSED IN CANCER, PROSURVIVAL PROTEIN 1', 169754),
(226029, 'PTHR46261:SF20', NULL, NULL, NULL, NULL, 'BNAA03G53430D PROTEIN', 169755),
(226030, 'PTHR33286:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169756),
(226031, 'PTHR32258:SF15', NULL, NULL, NULL, NULL, 'KINASE INTERACTING (KIP1-LIKE) FAMILY PROTEIN', 169757),
(226032, 'PTHR36434', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEASE YUGP-RELATED', 169758),
(226033, 'PTHR21564:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 609', 169759),
(226034, 'PTHR35481:SF2', NULL, NULL, NULL, NULL, 'BNAC03G21320D PROTEIN', 169760),
(226035, 'PTHR24148:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169761),
(226036, 'PTHR13952:SF19', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 4, MITOCHONDRIAL ISOFORM X1', 169762),
(226037, 'PTHR46483:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1 PLIP1, CHLOROPLASTIC', 169763),
(226038, 'PTHR43047:SF49', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE SYNTHESIS SENSOR PROTEIN PHOR', 169764),
(226039, 'PTHR30349:SF73', NULL, NULL, NULL, NULL, 'TYROSINE RECOMBINASE XERD', 169765),
(226040, 'PTHR11267:SF51', NULL, NULL, NULL, NULL, 'DORSOCROSS1, ISOFORM A-RELATED', 169766),
(226041, 'PTHR45829', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN RIM2', 169767),
(226042, 'PTHR12375:SF46', NULL, NULL, NULL, NULL, 'BNAC02G44170D PROTEIN', 169768),
(226043, 'PTHR27002:SF787', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE CES101', 169769),
(226044, 'PTHR24411:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR ERYTHROID 2-RELATED FACTOR 3', 169770),
(226045, 'PTHR46855', NULL, NULL, NULL, NULL, 'OSJNBB0038F03.10 PROTEIN', 169771),
(226046, 'PTHR31116:SF20', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE SUPERFAMILY PROTEIN', 169772),
(226047, 'PTHR33137:SF27', NULL, NULL, NULL, NULL, 'OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15A, PUTATIVE-RELATED', 169773),
(226048, 'PTHR21663', NULL, NULL, NULL, NULL, 'HYPOTHETICAL HEAT DOMAIN-CONTAINING', 169774),
(226049, 'PTHR30505:SF29', NULL, NULL, NULL, NULL, 'FRUCTOSE-LIKE PERMEASE IIC COMPONENT 2', 169775),
(226050, 'PTHR31284:SF9', NULL, NULL, NULL, NULL, 'HAD SUPERFAMILY, SUBFAMILY IIIB ACID PHOSPHATASE', 169776),
(226051, 'PTHR47970:SF10', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 169777),
(226052, 'PTHR24296:SF208', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94C1', 169778);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(226053, 'PTHR13180:SF3', NULL, NULL, NULL, NULL, 'OS02G0566900 PROTEIN', 169779),
(226054, 'PTHR43486:SF1', NULL, NULL, NULL, NULL, 'LIPID II FLIPPASE MURJ-RELATED', 169780),
(226055, 'PTHR13301:SF196', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', 169781),
(226056, 'PTHR11709:SF403', NULL, NULL, NULL, NULL, 'BNAC05G39970D PROTEIN', 169782),
(226057, 'PTHR23500:SF563', NULL, NULL, NULL, NULL, 'BNAC03G41260D PROTEIN', 169783),
(226058, 'PTHR34120:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169784),
(226059, 'PTHR43112:SF34', NULL, NULL, NULL, NULL, 'FERREDOXIN', 169785),
(226060, 'PTHR34458:SF15', NULL, NULL, NULL, NULL, 'BNAA02G13680D PROTEIN', 169786),
(226061, 'PTHR17490:SF14', NULL, NULL, NULL, NULL, 'SI:CH211-153B23.3', 169787),
(226062, 'PTHR10641:SF1028', NULL, NULL, NULL, NULL, 'MYB15', 169788),
(226063, 'PTHR46684:SF12', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 169789),
(226064, 'PTHR10641:SF1220', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 169790),
(226065, 'PTHR31927:SF15', NULL, NULL, NULL, NULL, 'RE71854P', 169791),
(226066, 'PTHR44420:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE DHAR3, CHLOROPLASTIC', 169792),
(226067, 'PTHR31080:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169793),
(226068, 'PTHR11851:SF49', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA', 169794),
(226069, 'PTHR36000:SF2', NULL, NULL, NULL, NULL, 'DEFECTIVE 1273 PROTEIN, PUTATIVE-RELATED', 169795),
(226070, 'PTHR31867:SF192', NULL, NULL, NULL, NULL, 'EXPANSIN', 169796),
(226071, 'PTHR24118:SF82', NULL, NULL, NULL, NULL, 'RABANKYRIN-5', 169797),
(226072, 'PTHR11352:SF6', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN', 169798),
(226073, 'PTHR34142', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,4-GLUCANASE A', 169799),
(226074, 'PTHR46824:SF8', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML49-RELATED', 169800),
(226075, 'PTHR31140:SF91', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS03G0120900', 169801),
(226076, 'PTHR43795:SF90', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-LIKE PROTEIN', 169802),
(226077, 'PTHR10252:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169803),
(226078, 'PTHR11055:SF39', NULL, NULL, NULL, NULL, 'ATP SULFURYLASE 4, CHLOROPLASTIC', 169804),
(226079, 'PTHR31375:SF18', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 169805),
(226080, 'PTHR31194:SF63', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-11', 169806),
(226081, 'PTHR11863:SF181', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: SPHINGANINE C4-MONOOXYGENASE 2', 169807),
(226082, 'PTHR45615:SF17', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN STRUCTURAL GENES', 169808),
(226083, 'PTHR31323:SF11', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', 169809),
(226084, 'PTHR33463:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169810),
(226085, 'PTHR12197:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169811),
(226086, 'PTHR23107:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SSXT', 169812),
(226087, 'PTHR31644:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 169813),
(226088, 'PTHR35095', NULL, NULL, NULL, NULL, 'OS05G0143300 PROTEIN', 169814),
(226089, 'PTHR12321:SF146', NULL, NULL, NULL, NULL, 'ZINC FINGER, FYVE/PHD-TYPE, ZINC FINGER, RING/FYVE/PHD-TYPE, ALFIN-RELATED', 169815),
(226090, 'PTHR32251:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169816),
(226091, 'PTHR12644:SF1', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 5', 169817),
(226092, 'PTHR31221:SF245', NULL, NULL, NULL, NULL, 'BNAA06G16820D PROTEIN', 169818),
(226093, 'PTHR31589:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169819),
(226094, 'PTHR11570:SF25', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', 169820),
(226095, 'PTHR15288:SF4', NULL, NULL, NULL, NULL, 'DENN (AEX-3) DOMAIN-CONTAINING PROTEIN', 169821),
(226096, 'PTHR42721:SF27', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 3 PROTEIN', 169822);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(226097, 'PTHR47981:SF9', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-9A', 169823),
(226098, 'PTHR20937:SF6', NULL, NULL, NULL, NULL, 'MESODERM POSTERIOR PROTEIN 1', 169824),
(226099, 'PTHR30191', NULL, NULL, NULL, NULL, 'FORMATE ACETYLTRANSFERASE', 169825),
(226100, 'PTHR10502', NULL, NULL, NULL, NULL, 'ANNEXIN', 169826),
(226101, 'PTHR40143', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 169827),
(226102, 'PTHR33877:SF1', NULL, NULL, NULL, NULL, '5-METHYLCYTOSINE-SPECIFIC RESTRICTION ENZYME A', 169828),
(226103, 'PTHR11205:SF19', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S7, MITOCHONDRIAL', 169829),
(226104, 'PTHR11431:SF104', NULL, NULL, NULL, NULL, 'BNAC02G40270D PROTEIN', 169830),
(226105, 'PTHR24250:SF45', NULL, NULL, NULL, NULL, 'INACTIVE SERINE PROTEASE 54', 169831),
(226106, 'PTHR48065:SF16', NULL, NULL, NULL, NULL, 'OS10G0469600 PROTEIN', 169832),
(226107, 'PTHR23350:SF0', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS FACTOR 10', 169833),
(226108, 'PTHR12231:SF246', NULL, NULL, NULL, NULL, 'ROUNDABOUT 2, ISOFORM B', 169834),
(226109, 'PTHR43621', NULL, NULL, NULL, NULL, 'ALKYLDIHYDROXYACETONEPHOSPHATE SYNTHASE', 169835),
(226110, 'PTHR16200:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169836),
(226111, 'PTHR47926:SF63', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 169837),
(226112, 'PTHR11439:SF337', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169838),
(226113, 'PTHR42840', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', 169839),
(226114, 'PTHR21420:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169840),
(226115, 'PTHR11571:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169841),
(226116, 'PTHR31843:SF15', NULL, NULL, NULL, NULL, 'BNAA06G33400D PROTEIN', 169842),
(226117, 'PTHR22930:SF136', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1 ISOFORM X1-RELATED', 169843),
(226118, 'PTHR24281:SF41', NULL, NULL, NULL, NULL, 'ISOFLAVONE 2''-HYDROXYLASE-LIKE', 169844),
(226119, 'PTHR32285:SF224', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 26', 169845),
(226120, 'PTHR24006:SF655', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 5', 169846),
(226121, 'PTHR33076:SF140', NULL, NULL, NULL, NULL, 'PROTEIN ARABIDOPSIS THALIANA ANTHER 7', 169847),
(226122, 'PTHR22953:SF108', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 169848),
(226123, 'PTHR31865:SF45', NULL, NULL, NULL, NULL, 'BNAA09G52150D PROTEIN', 169849),
(226124, 'PTHR33994', NULL, NULL, NULL, NULL, 'OS04G0515000 PROTEIN', 169850),
(226125, 'PTHR23032:SF2', NULL, NULL, NULL, NULL, 'ENDOSOMAL TARGETING BRO1-LIKE DOMAIN-CONTAINING PROTEIN', 169851),
(226126, 'PTHR31959', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 169852),
(226127, 'PTHR47928:SF138', NULL, NULL, NULL, NULL, 'OS03G0216400 PROTEIN', 169853),
(226128, 'PTHR33127:SF69', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN KIB4-RELATED', 169854),
(226129, 'PTHR23339:SF108', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE CDC14B', 169855),
(226130, 'PTHR22835:SF551', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 169856),
(226131, 'PTHR24168:SF19', NULL, NULL, NULL, NULL, 'KN MOTIF AND ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 1', 169857),
(226132, 'PTHR48023:SF6', NULL, NULL, NULL, NULL, 'D-XYLOSE-PROTON SYMPORTER-LIKE 3, CHLOROPLASTIC', 169858),
(226133, 'PTHR43523:SF14', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE LARGE SUBUNIT, CHLOROPLASTIC-RELATED', 169859),
(226134, 'PTHR46226:SF6', NULL, NULL, NULL, NULL, 'OS06G0607200 PROTEIN', 169860),
(226135, 'PTHR23056:SF109', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 2', 169861),
(226136, 'PTHR23427:SF1', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 4', 169862),
(226137, 'PTHR11208:SF106', NULL, NULL, NULL, NULL, 'SPLICING FACTOR-LIKE PROTEIN 1', 169863),
(226138, 'PTHR31769:SF81', NULL, NULL, NULL, NULL, 'BNAA01G36070D PROTEIN', 169864),
(226139, 'PTHR11945:SF651', NULL, NULL, NULL, NULL, 'BNAC01G28010D PROTEIN', 169865),
(226140, 'PTHR43238:SF1', NULL, NULL, NULL, NULL, 'GDP-L-FUCOSE SYNTHASE', 169866);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(226141, 'PTHR21411:SF0', NULL, NULL, NULL, NULL, 'APONTIC, ISOFORM F-RELATED', 169867),
(226142, 'PTHR31992:SF220', NULL, NULL, NULL, NULL, 'BNAA09G05460D PROTEIN', 169868),
(226143, 'PTHR24104:SF31', NULL, NULL, NULL, NULL, 'NHL REPEAT-CONTAINING PROTEIN 3', 169869),
(226144, 'PTHR11937:SF440', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169870),
(226145, 'PTHR10352:SF47', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', 169871),
(226146, 'PTHR42837:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE METALLOPROTEASE ARASP2, CHLOROPLASTIC-RELATED', 169872),
(226147, 'PTHR24281:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169873),
(226148, 'PTHR11986', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE CLASS III', 169874),
(226149, 'PTHR16435:SF7', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED 6', 169875),
(226150, 'PTHR11527:SF320', NULL, NULL, NULL, NULL, '17.5 KDA CLASS I HEAT SHOCK PROTEIN', 169876),
(226151, 'PTHR31234:SF44', NULL, NULL, NULL, NULL, 'BNAA04G17590D PROTEIN', 169877),
(226152, 'PTHR33167:SF49', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 169878),
(226153, 'PTHR33052:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169879),
(226154, 'PTHR26452:SF239', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 169880),
(226155, 'PTHR43795:SF15', NULL, NULL, NULL, NULL, 'L-TRYPTOPHAN--PYRUVATE AMINOTRANSFERASE 1', 169881),
(226156, 'PTHR47925:SF58', NULL, NULL, NULL, NULL, 'BNAA01G29800D PROTEIN', 169882),
(226157, 'PTHR48021:SF23', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 6', 169883),
(226158, 'PTHR22911:SF121', NULL, NULL, NULL, NULL, 'BLL0423 PROTEIN', 169884),
(226159, 'PTHR33180:SF17', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP47 REACTION CENTER PROTEIN', 169885),
(226160, 'PTHR42647:SF5', NULL, NULL, NULL, NULL, 'SBP (S-RIBONUCLEASE BINDING PROTEIN) FAMILY PROTEIN', 169886),
(226161, 'PTHR47042:SF5', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN', 169887),
(226162, 'PTHR43096:SF26', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 169888),
(226163, 'PTHR21646:SF39', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL HYDROLASE, PUTATIVE-RELATED', 169889),
(226164, 'PTHR28492:SF3', NULL, NULL, NULL, NULL, 'BNAA03G47800D PROTEIN', 169890),
(226165, 'PTHR46128:SF188', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', 169891),
(226166, 'PTHR27009:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169892),
(226167, 'PTHR23024:SF115', NULL, NULL, NULL, NULL, 'ARYLACETAMIDE DEACETYLASE-LIKE 3', 169893),
(226168, 'PTHR33021:SF318', NULL, NULL, NULL, NULL, 'BASIC BLUE PROTEIN-LIKE', 169894),
(226169, 'PTHR24366:SF110', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 3B', 169895),
(226170, 'PTHR12409:SF0', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 3', 169896),
(226171, 'PTHR24107:SF8', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 5', 169897),
(226172, 'PTHR13976:SF60', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN H', 169898),
(226173, 'PTHR22798:SF9', NULL, NULL, NULL, NULL, 'BNACNNG06600D PROTEIN', 169899),
(226174, 'PTHR21659:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169900),
(226175, 'PTHR33789:SF1', NULL, NULL, NULL, NULL, 'OS05G0201700 PROTEIN', 169901),
(226176, 'PTHR10209:SF429', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 12', 169902),
(226177, 'PTHR22911:SF122', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 169903),
(226178, 'PTHR11945:SF647', NULL, NULL, NULL, NULL, 'MADS TRANSCRIPTION FACTOR', 169904),
(226179, 'PTHR45090:SF12', NULL, NULL, NULL, NULL, 'BNACNNG44960D PROTEIN', 169905),
(226180, 'PTHR32285:SF305', NULL, NULL, NULL, NULL, 'TRICHOME BIREFRINGENCE-LIKE 42-RELATED', 169906),
(226181, 'PTHR45665:SF21', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP1-3', 169907),
(226182, 'PTHR22589', NULL, NULL, NULL, NULL, 'CARNITINE O-ACYLTRANSFERASE', 169908),
(226183, 'PTHR21567:SF76', NULL, NULL, NULL, NULL, 'CRESCERIN-LIKE PROTEIN CHE-12', 169909),
(226184, 'PTHR45717:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169910);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(226185, 'PTHR23401:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 5 ACTIVATOR 1', 169911),
(226186, 'PTHR45811:SF43', NULL, NULL, NULL, NULL, 'PROTEIN PXR1-LIKE ISOFORM X1', 169912),
(226187, 'PTHR36505', NULL, NULL, NULL, NULL, 'BLR1072 PROTEIN', 169913),
(226188, 'PTHR16059', NULL, NULL, NULL, NULL, 'ANTHRAX TOXIN RECEPTOR', 169914),
(226189, 'PTHR33985', NULL, NULL, NULL, NULL, 'OS02G0491300 PROTEIN-RELATED', 169915),
(226190, 'PTHR33070:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169916),
(226191, 'PTHR31168:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169917),
(226192, 'PTHR19288:SF25', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROPHOSPHATASE GEP4, MITOCHONDRIAL', 169918),
(226193, 'PTHR37205', NULL, NULL, NULL, NULL, 'F23A5.30 PROTEIN', 169919),
(226194, 'PTHR11590:SF49', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE K', 169920),
(226195, 'PTHR23546:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN', 169921),
(226196, 'PTHR33177:SF8', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 169922),
(226197, 'PTHR10937:SF17', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-FRUCTOSE-6-PHOSPHATE AMINOTRANSFERASE-RELATED', 169923),
(226198, 'PTHR10593:SF155', NULL, NULL, NULL, NULL, 'BNAA03G00770D PROTEIN', 169924),
(226199, 'PTHR11161:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN NDG-4', 169925),
(226200, 'PTHR11909:SF85', NULL, NULL, NULL, NULL, 'PROTEIN CBG12789', 169926),
(226201, 'PTHR45928:SF3', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 34', 169927),
(226202, 'PTHR10697:SF1', NULL, NULL, NULL, NULL, 'MAMMALIAN EPENDYMIN-RELATED PROTEIN 1', 169928),
(226203, 'PTHR47801', NULL, NULL, NULL, NULL, 'OS05G0145600 PROTEIN', 169929),
(226204, 'PTHR21495:SF150', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 169930),
(226205, 'PTHR33921:SF21', NULL, NULL, NULL, NULL, 'CALVIN CYCLE PROTEIN CP12-2, CHLOROPLASTIC', 169931),
(226206, 'PTHR31499:SF62', NULL, NULL, NULL, NULL, 'BNACNNG12310D PROTEIN', 169932),
(226207, 'PTHR12349:SF1', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC8-RELATED', 169933),
(226208, 'PTHR45801:SF5', NULL, NULL, NULL, NULL, 'OS07G0101800 PROTEIN', 169934),
(226209, 'PTHR12221', NULL, NULL, NULL, NULL, 'PESCADILLO - RELATED', 169935),
(226210, 'PTHR18853:SF9', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 27', 169936),
(226211, 'PTHR13466:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169937),
(226212, 'PTHR26453:SF618', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1D2', 169938),
(226213, 'PTHR31530', NULL, NULL, NULL, NULL, 'MAJOR INTRINSICALLY DISORDERED NOTCH2-BINDING RECEPTOR 1 MINAR1 FAMILY MEMBER', 169939),
(226214, 'PTHR24057:SF65', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE ALPHA', 169940),
(226215, 'PTHR47738:SF4', NULL, NULL, NULL, NULL, 'PTS SYSTEM GALACTITOL-SPECIFIC EIIA COMPONENT', 169941),
(226216, 'PTHR34567:SF3', NULL, NULL, NULL, NULL, 'FK506-BINDING-LIKE PROTEIN', 169942),
(226217, 'PTHR46473:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 55', 169943),
(226218, 'PTHR19375:SF420', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 2-LIKE', 169944),
(226219, 'PTHR24361:SF661', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 20', 169945),
(226220, 'PTHR36911:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169946),
(226221, 'PTHR31080:SF233', NULL, NULL, NULL, NULL, '21 KDA PROTEIN', 169947),
(226222, 'PTHR10161:SF47', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 169948),
(226223, 'PTHR11453:SF103', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 3-RELATED', 169949),
(226224, 'PTHR47933:SF24', NULL, NULL, NULL, NULL, 'OS05G0207200 PROTEIN', 169950),
(226225, 'PTHR31992:SF101', NULL, NULL, NULL, NULL, 'OS05G0112200 PROTEIN', 169951),
(226226, 'PTHR45648', NULL, NULL, NULL, NULL, 'GDSL LIPASE/ACYLHYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_4G14700)', 169952),
(226227, 'PTHR11467:SF119', NULL, NULL, NULL, NULL, 'HISTONE H5-RELATED', 169953),
(226228, 'PTHR11453:SF15', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN 3', 169954);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(226229, 'PTHR11533:SF170', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 169955),
(226230, 'PTHR47991:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169956),
(226231, 'PTHR31197:SF34', NULL, NULL, NULL, NULL, 'BNAC02G36580D PROTEIN', 169957),
(226232, 'PTHR46000:SF7', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 169958),
(226233, 'PTHR12207:SF27', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2B', 169959),
(226234, 'PTHR11654:SF386', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER', 169960),
(226235, 'PTHR21623:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 33', 169961),
(226236, 'PTHR36465:SF1', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME-C REDUCTASE COMPLEX ASSEMBLY FACTOR 3', 169962),
(226237, 'PTHR31403:SF51', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IGAMMA2, CHLOROPLASTIC', 169963),
(226238, 'PTHR10812:SF15', NULL, NULL, NULL, NULL, 'AP-2 TRANSCRIPTION FACTOR FAMILY', 169964),
(226239, 'PTHR32370:SF134', NULL, NULL, NULL, NULL, 'OS09G0420900 PROTEIN', 169965),
(226240, 'PTHR23202:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169966),
(226241, 'PTHR11570:SF20', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', 169967),
(226242, 'PTHR43063:SF1', NULL, NULL, NULL, NULL, '4FE-4S CLUSTER CONTAINING PARA FAMILY ATPASE PROTEIN', 169968),
(226243, 'PTHR18966:SF488', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, AMPA 4A', 169969),
(226244, 'PTHR11753:SF42', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', 169970),
(226245, 'PTHR21593:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG05802', 169971),
(226246, 'PTHR13976:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169972),
(226247, 'PTHR24092:SF65', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 169973),
(226248, 'PTHR12428:SF46', NULL, NULL, NULL, NULL, 'ALBINO3-LIKE PROTEIN 2, CHLOROPLASTIC', 169974),
(226249, 'PTHR32409:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM20-1-RELATED', 169975),
(226250, 'PTHR10562:SF93', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', 169976),
(226251, 'PTHR32285:SF290', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 169977),
(226252, 'PTHR46370:SF1', NULL, NULL, NULL, NULL, 'GPALPP MOTIFS-CONTAINING PROTEIN 1', 169978),
(226253, 'PTHR47930', NULL, NULL, NULL, NULL, 'YALI0C12947P', 169979),
(226254, 'PTHR46512:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 169980),
(226255, 'PTHR19375:SF421', NULL, NULL, NULL, NULL, 'LUMINAL-BINDING PROTEIN 5', 169981),
(226256, 'PTHR21581:SF5', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE DACD', 169982),
(226257, 'PTHR44329:SF172', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY46-LIKE', 169983),
(226258, 'PTHR24186:SF30', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', 169984),
(226259, 'PTHR35811:SF1', NULL, NULL, NULL, NULL, 'SLR1870 PROTEIN', 169985),
(226260, 'PTHR46238:SF6', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN LINE-1', 169986),
(226261, 'PTHR21075:SF0', NULL, NULL, NULL, NULL, 'ANAEROBIC RIBONUCLEOSIDE-TRIPHOSPHATE REDUCTASE', 169987),
(226262, 'PTHR31145', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_7G01610)', 169988),
(226263, 'PTHR30605:SF0', NULL, NULL, NULL, NULL, 'ANHYDRO-N-ACETYLMURAMIC ACID KINASE', 169989),
(226264, 'PTHR14742:SF2', NULL, NULL, NULL, NULL, 'RIBONUCLEASE MRP PROTEIN SUBUNIT SNM1', 169990),
(226265, 'PTHR43537:SF27', NULL, NULL, NULL, NULL, 'GNTR FAMILY REGULATORY PROTEIN-RELATED', 169991),
(226266, 'PTHR20275:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169992),
(226267, 'PTHR20648:SF11', NULL, NULL, NULL, NULL, 'ELONGIN-C', 169993),
(226268, 'PTHR22601:SF25', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER', 169994),
(226269, 'PTHR33091:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169995),
(226270, 'PTHR32099:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 169996),
(226271, 'PTHR34787:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT VI-2, CHLOROPLASTIC', 169997);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(226272, 'PTHR48001:SF133', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 169998),
(226273, 'PTHR43161:SF18', NULL, NULL, NULL, NULL, 'ZINC-BINDING DEHYDROGENASE-RELATED', 169999),
(226274, 'PTHR14224:SF12', NULL, NULL, NULL, NULL, 'LYSOSOMAL THIOESTERASE PPT2', 170000),
(226275, 'PTHR10338:SF62', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN H5', 170001),
(226276, 'PTHR22727:SF13', NULL, NULL, NULL, NULL, 'UPF0577 PROTEIN KIAA1324', 170002),
(226277, 'PTHR38899', NULL, NULL, NULL, NULL, 'DOMAIN OOKINETE PROTEIN, PUTATIVE-RELATED', 170003),
(226278, 'PTHR33115:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170004),
(226279, 'PTHR23155:SF1126', NULL, NULL, NULL, NULL, 'OS10G0394400 PROTEIN', 170005),
(226280, 'PTHR38760', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', 170006),
(226281, 'PTHR12713:SF13', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G 2', 170007),
(226282, 'PTHR31325:SF129', NULL, NULL, NULL, NULL, 'OS10G0144300 PROTEIN', 170008),
(226283, 'PTHR31448:SF3', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 2', 170009),
(226284, 'PTHR24356:SF376', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 170010),
(226285, 'PTHR33347:SF43', NULL, NULL, NULL, NULL, 'OS03G0199500 PROTEIN', 170011),
(226286, 'PTHR24543:SF314', NULL, NULL, NULL, NULL, 'LACTADHERIN', 170012),
(226287, 'PTHR23055:SF165', NULL, NULL, NULL, NULL, 'CALSENILIN', 170013),
(226288, 'PTHR46101:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170014),
(226289, 'PTHR31374:SF29', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 170015),
(226290, 'PTHR19443:SF30', NULL, NULL, NULL, NULL, 'GLUCOKINASE-1-RELATED', 170016),
(226291, 'PTHR33836:SF5', NULL, NULL, NULL, NULL, 'EUKARYOTIC RNA POLYMERASE II HEPTAPEPTIDE REPEAT', 170017),
(226292, 'PTHR35218:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170018),
(226293, 'PTHR33591', NULL, NULL, NULL, NULL, 'BETA-CAROTENE ISOMERASE D27', 170019),
(226294, 'PTHR11474:SF4', NULL, NULL, NULL, NULL, 'L-DOPACHROME TAUTOMERASE', 170020),
(226295, 'PTHR43991:SF27', NULL, NULL, NULL, NULL, 'OS02G0721600 PROTEIN', 170021),
(226296, 'PTHR13531:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 17A', 170022),
(226297, 'PTHR33101:SF67', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 9', 170023),
(226298, 'PTHR32133:SF271', NULL, NULL, NULL, NULL, 'OS10G0144800 PROTEIN', 170024),
(226299, 'PTHR44259:SF55', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', 170025),
(226300, 'PTHR27007:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170026),
(226301, 'PTHR18952:SF25', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 5B, MITOCHONDRIAL', 170027),
(226302, 'PTHR31263:SF56', NULL, NULL, NULL, NULL, 'HYDROLYZING O-GLYCOSYL COMPOUNDS, PUTATIVE-RELATED', 170028),
(226303, 'PTHR43948:SF10', NULL, NULL, NULL, NULL, 'MRJ, ISOFORM E', 170029),
(226304, 'PTHR23299:SF43', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN', 170030),
(226305, 'PTHR36586:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170031),
(226306, 'PTHR15245', NULL, NULL, NULL, NULL, 'SYMPLEKIN-RELATED', 170032),
(226307, 'PTHR46395:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN 1', 170033),
(226308, 'PTHR31985:SF95', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', 170034),
(226309, 'PTHR45958:SF13', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 44', 170035),
(226310, 'PTHR13903:SF22', NULL, NULL, NULL, NULL, 'PIRIN-1', 170036),
(226311, 'PTHR47322:SF6', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 170037),
(226312, 'PTHR32011:SF6', NULL, NULL, NULL, NULL, 'BNAA04G13250D PROTEIN', 170038),
(226313, 'PTHR31189:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170039),
(226314, 'PTHR11040:SF145', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORT PROTEIN 2', 170040),
(226315, 'PTHR43132:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR SMTB HOMOLOG', 170041),
(226316, 'PTHR33103:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170042),
(226317, 'PTHR48020:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG12142', 170043);
INSERT INTO "PUBLIC"."MODEL" VALUES
(226318, 'PTHR30314:SF16', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSZ HOMOLOG 2-1, CHLOROPLASTIC', 170044),
(226319, 'PTHR10791:SF120', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET17', 170045),
(226320, 'PTHR36483', NULL, NULL, NULL, NULL, 'OS02G0130700 PROTEIN', 170046),
(226321, 'PTHR11339:SF269', NULL, NULL, NULL, NULL, 'MUCIN-5B', 170047),
(226322, 'PTHR11685:SF356', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 170048),
(226323, 'PTHR10276', NULL, NULL, NULL, NULL, 'CORE-BINDING FACTOR, BETA SUBUNIT', 170049),
(226324, 'PTHR47988:SF24', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 2-LIKE', 170050),
(226325, 'PTHR37233:SF3', NULL, NULL, NULL, NULL, 'BNAA05G28610D PROTEIN', 170051),
(226326, 'PTHR47991:SF29', NULL, NULL, NULL, NULL, 'PROTEIN SRG1', 170052),
(226327, 'PTHR31325:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170053),
(226328, 'PTHR22870:SF405', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170054),
(226329, 'PTHR24006:SF777', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAF-X-RELATED', 170055),
(226330, 'PTHR33593:SF19', NULL, NULL, NULL, NULL, 'BNAANNG32220D PROTEIN', 170056),
(226331, 'PTHR23033:SF13', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1', 170057),
(226332, 'PTHR21527:SF11', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP35', 170058),
(226333, 'PTHR43725:SF6', NULL, NULL, NULL, NULL, 'CHLOROPLAST STEM-LOOP BINDING PROTEIN OF 41 KDA A, CHLOROPLASTIC', 170059),
(226334, 'PTHR43433:SF7', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD FAMILY, PUTATIVE-RELATED', 170060),
(226335, 'PTHR31218:SF190', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 170061),
(226336, 'PTHR48077:SF3', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE', 170062),
(226337, 'PTHR26452:SF822', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1086', 170063),
(226338, 'PTHR10177:SF481', NULL, NULL, NULL, NULL, 'PROTEIN CBG20098', 170064),
(226339, 'PTHR45753:SF1', NULL, NULL, NULL, NULL, 'ORNITHINE CARBAMOYLTRANSFERASE, CATABOLIC', 170065),
(226340, 'PTHR11306:SF40', NULL, NULL, NULL, NULL, 'BNAC02G01990D PROTEIN', 170066),
(226341, 'PTHR33645:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170067),
(226342, 'PTHR11465:SF56', NULL, NULL, NULL, NULL, 'CATALASE-2', 170068),
(226343, 'PTHR12815:SF41', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE OMP85 FAMILY PROTEIN ISOFORM 1', 170069),
(226344, 'PTHR45675:SF56', NULL, NULL, NULL, NULL, 'BNAC02G46060D PROTEIN', 170070),
(226345, 'PTHR10252:SF108', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-10', 170071),
(226346, 'PTHR23360:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 170072),
(226347, 'PTHR47517:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 170073),
(226348, 'PTHR48017:SF20', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 3-LIKE', 170074),
(226349, 'PTHR23430:SF237', NULL, NULL, NULL, NULL, 'HISTONE H2A VARIANT 1', 170075),
(226350, 'PTHR33662', NULL, NULL, NULL, NULL, 'OTU DEUBIQUITINASE WITH LINEAR LINKAGE-SPECIFICITY A-RELATED', 170076),
(226351, 'PTHR24220:SF600', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 170077),
(226352, 'PTHR13338:SF4', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX ASSEMBLY FACTOR 4', 170078),
(226353, 'PTHR12884:SF24', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', 170079),
(226354, 'PTHR12968:SF4', NULL, NULL, NULL, NULL, 'MECKEL SYNDROME TYPE 1 PROTEIN', 170080),
(226355, 'PTHR45751:SF12', NULL, NULL, NULL, NULL, 'OS06G0608800 PROTEIN', 170081),
(226356, 'PTHR16100:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 100', 170082),
(226357, 'PTHR40698', NULL, NULL, NULL, NULL, 'FLAGELLA-RELATED PROTEIN E-RELATED-RELATED', 170083),
(226358, 'PTHR22792:SF112', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 6B-LIKE', 170084),
(226359, 'PTHR23501:SF155', NULL, NULL, NULL, NULL, 'EFFLUX PUMP AFOB', 170085),
(226360, 'PTHR10048:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE CATALYTIC SUBUNIT TYPE 3', 170086);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(226361, 'PTHR42648:SF12', NULL, NULL, NULL, NULL, 'BLL1855 PROTEIN', 170087),
(226362, 'PTHR11106:SF104', NULL, NULL, NULL, NULL, 'ADP-RIBOSE GLYCOHYDROLASE MACROD2', 170088),
(226363, 'PTHR13318:SF131', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 170089),
(226364, 'PTHR44523:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 13', 170090),
(226365, 'PTHR46736:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170091),
(226366, 'PTHR33671:SF1', NULL, NULL, NULL, NULL, 'BNAC07G32500D PROTEIN', 170092),
(226367, 'PTHR45098:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170093),
(226368, 'PTHR21450:SF46', NULL, NULL, NULL, NULL, 'BNAA09G38370D PROTEIN', 170094),
(226369, 'PTHR47993:SF110', NULL, NULL, NULL, NULL, 'OS02G0630200 PROTEIN', 170095),
(226370, 'PTHR31428:SF7', NULL, NULL, NULL, NULL, 'RGM DOMAIN FAMILY, MEMBER D', 170096),
(226371, 'PTHR46128:SF124', NULL, NULL, NULL, NULL, 'BNAA06G01860D PROTEIN', 170097),
(226372, 'PTHR24305:SF85', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 170098),
(226373, 'PTHR11685:SF294', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 170099),
(226374, 'PTHR30363:SF19', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR CSQR', 170100),
(226375, 'PTHR15545:SF4', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 4', 170101),
(226376, 'PTHR44793:SF1', NULL, NULL, NULL, NULL, 'MATRIX REMODELING-ASSOCIATED PROTEIN 8', 170102),
(226377, 'PTHR36950:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG24898', 170103),
(226378, 'PTHR32295:SF163', NULL, NULL, NULL, NULL, 'BNAC03G65130D PROTEIN', 170104),
(226379, 'PTHR22870:SF377', NULL, NULL, NULL, NULL, 'GUANIDINE NUCLEOTIDE EXCHANGE FACTOR', 170105),
(226380, 'PTHR11655:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170106),
(226381, 'PTHR48062:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170107),
(226382, 'PTHR46293', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP1', 170108),
(226383, 'PTHR46206:SF3', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 170109),
(226384, 'PTHR33076:SF115', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 170110),
(226385, 'PTHR10000:SF54', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATASE YIDA', 170111),
(226386, 'PTHR43675:SF23', NULL, NULL, NULL, NULL, 'BNAC01G30700D PROTEIN', 170112),
(226387, 'PTHR11937:SF443', NULL, NULL, NULL, NULL, 'ACTIN', 170113),
(226388, 'PTHR11467:SF105', NULL, NULL, NULL, NULL, 'HISTONE H1', 170114),
(226389, 'PTHR15177:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 143', 170115),
(226390, 'PTHR15417:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 1B', 170116),
(226391, 'PTHR24093:SF454', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE PLANT', 170117),
(226392, 'PTHR11514:SF129', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 170118),
(226393, 'PTHR45675:SF2', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYBAS1', 170119),
(226394, 'PTHR47055:SF4', NULL, NULL, NULL, NULL, 'CHIMERIC ERCC6-PGBD3 PROTEIN-RELATED', 170120),
(226395, 'PTHR11945:SF150', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL1-RELATED', 170121),
(226396, 'PTHR12506:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 6', 170122),
(226397, 'PTHR13160:SF9', NULL, NULL, NULL, NULL, 'OLIGOSACCHARYLTRANSFERASE COMPLEX SUBUNIT OSTC', 170123),
(226398, 'PTHR33077:SF106', NULL, NULL, NULL, NULL, 'TIFY20', 170124),
(226399, 'PTHR35363', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 170125),
(226400, 'PTHR33834:SF2', NULL, NULL, NULL, NULL, 'SIGNALING PEPTIDE TAXIMIN 1', 170126),
(226401, 'PTHR31734:SF199', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 170127),
(226402, 'PTHR47991:SF106', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 170128),
(226403, 'PTHR22957:SF577', NULL, NULL, NULL, NULL, 'SI:CH211-288D18.1', 170129),
(226404, 'PTHR10155:SF15', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 5', 170130),
(226405, 'PTHR48001:SF70', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1D4-RELATED', 170131);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(226406, 'PTHR22926:SF3', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-PHOSPHATE ALPHA-N-ACETYLGLUCOSAMINYL 1-PHOSPHATE TRANSFERASE', 170132),
(226407, 'PTHR43669:SF8', NULL, NULL, NULL, NULL, 'SHORT-CHAIN TYPE DEHYDROGENASE/REDUCTASE-RELATED', 170133),
(226408, 'PTHR31060:SF29', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 170134),
(226409, 'PTHR14226:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG00653', 170135),
(226410, 'PTHR12394:SF11', NULL, NULL, NULL, NULL, 'FASCICULATION AND ELONGATION PROTEIN ZETA-2', 170136),
(226411, 'PTHR14155:SF569', NULL, NULL, NULL, NULL, 'FINGER PROTEIN ATL5H, PUTATIVE-RELATED', 170137),
(226412, 'PTHR48086:SF7', NULL, NULL, NULL, NULL, 'SODIUM/SOLUTE SYMPORTER', 170138),
(226413, 'PTHR35485:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170139),
(226414, 'PTHR33882', NULL, NULL, NULL, NULL, 'PATHOGENIC TYPE III EFFECTOR AVIRULENCE FACTOR AVR AVRRPT-CLEAVAGE: CLEAVAGE SITE PROTEIN', 170140),
(226415, 'PTHR23504:SF19', NULL, NULL, NULL, NULL, 'FACILITATOR SUPERFAMILY ANTIPORTER, PUTATIVE, EXPRESSED-RELATED', 170141),
(226416, 'PTHR43511:SF2', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', 170142),
(226417, 'PTHR43128:SF10', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE A CHAIN', 170143),
(226418, 'PTHR48051:SF9', NULL, NULL, NULL, NULL, 'SHOC2, LEUCINE RICH REPEAT SCAFFOLD PROTEIN', 170144),
(226419, 'PTHR47993:SF23', NULL, NULL, NULL, NULL, 'OS02G0543200 PROTEIN', 170145),
(226420, 'PTHR10285:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170146),
(226421, 'PTHR33544:SF13', NULL, NULL, NULL, NULL, 'OS02G0733400 PROTEIN', 170147),
(226422, 'PTHR36378:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170148),
(226423, 'PTHR47371:SF3', NULL, NULL, NULL, NULL, 'LIPOTEICHOIC ACID SYNTHASE', 170149),
(226424, 'PTHR31989:SF292', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 3-RELATED', 170150),
(226425, 'PTHR44013:SF5', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01290)-RELATED', 170151),
(226426, 'PTHR46373', NULL, NULL, NULL, NULL, 'PROTEIN RKD4', 170152),
(226427, 'PTHR47390:SF1', NULL, NULL, NULL, NULL, 'PODOPLANIN', 170153),
(226428, 'PTHR10779:SF13', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN ROADBLOCK', 170154),
(226429, 'PTHR34724:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 170155),
(226430, 'PTHR31008:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 170156),
(226431, 'PTHR11692:SF0', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PURINE BIOSYNTHESIS PROTEIN PURH', 170157),
(226432, 'PTHR33044:SF145', NULL, NULL, NULL, NULL, 'LIPID BINDING PROTEIN', 170158),
(226433, 'PTHR33237:SF35', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 170159),
(226434, 'PTHR23359', NULL, NULL, NULL, NULL, 'NUCLEOTIDE KINASE', 170160),
(226435, 'PTHR31683:SF82', NULL, NULL, NULL, NULL, 'PECTATE LYASE P56-RELATED', 170161),
(226436, 'PTHR43792:SF11', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE PA3944', 170162),
(226437, 'PTHR22850:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170163),
(226438, 'PTHR24040:SF8', NULL, NULL, NULL, NULL, 'FIBRILLIN 1', 170164),
(226439, 'PTHR31790:SF384', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 170165),
(226440, 'PTHR33430', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST PROTEIN', 170166),
(226441, 'PTHR21859', NULL, NULL, NULL, NULL, 'ACROSOME-SPECIFIC PROTEIN', 170167),
(226442, 'PTHR24015:SF1969', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 170168),
(226443, 'PTHR45658:SF77', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 4-LIKE', 170169),
(226444, 'PTHR31338:SF33', NULL, NULL, NULL, NULL, 'BNAC03G76760D PROTEIN', 170170),
(226445, 'PTHR14732:SF0', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II SUBUNIT B1 CTD PHOSPHATASE RPAP2-RELATED', 170171),
(226446, 'PTHR43432:SF2', NULL, NULL, NULL, NULL, 'DNA REPAIR PHOTOLYASE', 170172),
(226447, 'PTHR33270:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170173),
(226448, 'PTHR43719:SF35', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE 2', 170174);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(226449, 'PTHR11960:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170175),
(226450, 'PTHR36362', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 170176),
(226451, 'PTHR10134:SF32', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE-2, MITOCHONDRIAL', 170177),
(226452, 'PTHR10125:SF12', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR 5', 170178),
(226453, 'PTHR31652:SF0', NULL, NULL, NULL, NULL, 'LIMR FAMILY PROTEIN DDB_G0283707-RELATED', 170179),
(226454, 'PTHR47203:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL BASE EXCISION DNA REPAIR PROTEIN (EUROFUNG)', 170180),
(226455, 'PTHR11028', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE SUBUNIT AC39', 170181),
(226456, 'PTHR33121:SF41', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEA-RELATED', 170182),
(226457, 'PTHR45977', NULL, NULL, NULL, NULL, 'TARGET OF ERK KINASE MPK-1', 170183),
(226458, 'PTHR12537:SF170', NULL, NULL, NULL, NULL, 'BNAA03G10760D PROTEIN', 170184),
(226459, 'PTHR46387:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170185),
(226460, 'PTHR22811:SF184', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 10', 170186),
(226461, 'PTHR12341:SF62', NULL, NULL, NULL, NULL, 'OS11G0157000 PROTEIN', 170187),
(226462, 'PTHR11769:SF37', NULL, NULL, NULL, NULL, 'HYALURONIDASE', 170188),
(226463, 'PTHR21567:SF68', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 170189),
(226464, 'PTHR19229:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170190),
(226465, 'PTHR47982:SF7', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK6-RELATED', 170191),
(226466, 'PTHR24094', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN', 170192),
(226467, 'PTHR45863:SF21', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK3', 170193),
(226468, 'PTHR46128:SF274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170194),
(226469, 'PTHR11071:SF496', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170195),
(226470, 'PTHR47138:SF1', NULL, NULL, NULL, NULL, 'PERILIPIN-1', 170196),
(226471, 'PTHR11822:SF27', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', 170197),
(226472, 'PTHR23320:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170198),
(226473, 'PTHR11405:SF5', NULL, NULL, NULL, NULL, 'CAD PROTEIN', 170199),
(226474, 'PTHR13239:SF6', NULL, NULL, NULL, NULL, 'STRIATIN-INTERACTING PROTEIN 2', 170200),
(226475, 'PTHR24270:SF34', NULL, NULL, NULL, NULL, 'LIPOPROTEIN RECEPTOR, PUTATIVE-RELATED', 170201),
(226476, 'PTHR47833', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF LUMENAL LOCATION 4, CHLOROPLASTIC', 170202),
(226477, 'PTHR10108:SF1107', NULL, NULL, NULL, NULL, 'BNAA09G18060D PROTEIN', 170203),
(226478, 'PTHR19212:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT FLIGHTLESS-INTERACTING PROTEIN 1', 170204),
(226479, 'PTHR12992:SF38', NULL, NULL, NULL, NULL, 'PEROXISOMAL COENZYME A DIPHOSPHATASE 1, PEROXISOMAL', 170205),
(226480, 'PTHR31317:SF20', NULL, NULL, NULL, NULL, 'BNAC01G31200D PROTEIN', 170206),
(226481, 'PTHR34219:SF1', NULL, NULL, NULL, NULL, 'BLL7967 PROTEIN', 170207),
(226482, 'PTHR13177', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN 1', 170208),
(226483, 'PTHR31317:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170209),
(226484, 'PTHR46011:SF20', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER ODR-7', 170210),
(226485, 'PTHR45644:SF55', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 170211),
(226486, 'PTHR10996:SF129', NULL, NULL, NULL, NULL, '2-HYDROXYACID DEHYDROGENASE C1773.17C-RELATED', 170212),
(226487, 'PTHR24356:SF162', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C GAMMA TYPE', 170213),
(226488, 'PTHR12411:SF587', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN', 170214),
(226489, 'PTHR43459:SF3', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE ECHA15 (ENOYL HYDRASE) (UNSATURATED ACYL-COA HYDRATASE) (CROTONASE)-RELATED', 170215),
(226490, 'PTHR45769:SF7', NULL, NULL, NULL, NULL, 'ADENOSINE KINASE 2-LIKE ISOFORM X1', 170216);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(226491, 'PTHR31190:SF243', NULL, NULL, NULL, NULL, 'AP2/ERF DOMAIN-CONTAINING TRANSCRIPTION FACTOR-LIKE PROTEIN ISOFORM 2', 170217),
(226492, 'PTHR27005:SF376', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 1', 170218),
(226493, 'PTHR43531:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ICFG', 170219),
(226494, 'PTHR17498:SF1', NULL, NULL, NULL, NULL, 'SEMINAL VESICLE SECRETORY PROTEIN 6', 170220),
(226495, 'PTHR33789:SF3', NULL, NULL, NULL, NULL, 'LACHRYMATORY-FACTOR SYNTHASE-LIKE', 170221),
(226496, 'PTHR21576:SF138', NULL, NULL, NULL, NULL, 'NODULIN-LIKE/MFS TRANSPORTER', 170222),
(226497, 'PTHR13718:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170223),
(226498, 'PTHR24416:SF537', NULL, NULL, NULL, NULL, 'TYROSINE KINASE RECEPTOR CAD96CA', 170224),
(226499, 'PTHR42785', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE, TYPE IA, CORE', 170225),
(226500, 'PTHR16675:SF64', NULL, NULL, NULL, NULL, 'RETINOIC ACID EARLY TRANSCRIPT 1E', 170226),
(226501, 'PTHR37389:SF16', NULL, NULL, NULL, NULL, 'COLD AND DROUGHT-REGULATED PROTEIN CORA-LIKE ISOFORM X1', 170227),
(226502, 'PTHR34998:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 170228),
(226503, 'PTHR27000:SF708', NULL, NULL, NULL, NULL, 'TYROSINE-SULFATED GLYCOPEPTIDE RECEPTOR 1', 170229),
(226504, 'PTHR35751:SF4', NULL, NULL, NULL, NULL, 'BNAA03G46330D PROTEIN', 170230),
(226505, 'PTHR38134', NULL, NULL, NULL, NULL, 'SLR1395 PROTEIN', 170231),
(226506, 'PTHR34369:SF7', NULL, NULL, NULL, NULL, 'OS07G0147550 PROTEIN', 170232),
(226507, 'PTHR43632:SF1', NULL, NULL, NULL, NULL, 'PERMEASE COMPONENT OF TUNGSTATE ABC TRANSPORTER', 170233),
(226508, 'PTHR31232:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170234),
(226509, 'PTHR46598', NULL, NULL, NULL, NULL, 'BNAC05G43320D PROTEIN', 170235),
(226510, 'PTHR31415:SF6', NULL, NULL, NULL, NULL, 'OS07G0250900 PROTEIN', 170236),
(226511, 'PTHR47995:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB28-LIKE', 170237),
(226512, 'PTHR42985:SF32', NULL, NULL, NULL, NULL, 'SODIUM IODIDE SYMPORTER', 170238),
(226513, 'PTHR11945:SF623', NULL, NULL, NULL, NULL, 'BNAA02G06310D PROTEIN', 170239),
(226514, 'PTHR24177:SF218', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE-RELATED', 170240),
(226515, 'PTHR46093', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 5', 170241),
(226516, 'PTHR36438:SF1', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER REPAIR PROTEIN YTFE', 170242),
(226517, 'PTHR34382', NULL, NULL, NULL, NULL, 'PTS SYSTEM N,N''-DIACETYLCHITOBIOSE-SPECIFIC EIIA COMPONENT', 170243),
(226518, 'PTHR13220:SF11', NULL, NULL, NULL, NULL, 'TIMELESS-INTERACTING PROTEIN', 170244),
(226519, 'PTHR47926:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170245),
(226520, 'PTHR18945:SF538', NULL, NULL, NULL, NULL, 'GLYCINE RECEPTOR SUBUNIT BETA-TYPE 4', 170246),
(226521, 'PTHR15881:SF2', NULL, NULL, NULL, NULL, 'MARGINAL ZONE B- AND B1-CELL-SPECIFIC PROTEIN', 170247),
(226522, 'PTHR39959', NULL, NULL, NULL, NULL, 'RE44287P-RELATED', 170248),
(226523, 'PTHR15316', NULL, NULL, NULL, NULL, 'SPLICEOSOME ASSOCIATED PROTEIN 114/SWAP SPLICING FACTOR-RELATED', 170249),
(226524, 'PTHR12419:SF78', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN DDB_G0284757-LIKE ISOFORM X1', 170250),
(226525, 'PTHR10701:SF15', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN-ASSOCIATED PROTEINS B AND B''', 170251),
(226526, 'PTHR32472:SF13', NULL, NULL, NULL, NULL, 'ATPASE-RELATED', 170252),
(226527, 'PTHR31596:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170253),
(226528, 'PTHR22948:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170254),
(226529, 'PTHR24216:SF27', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA-1-INDUCED TRANSCRIPT 1 PROTEIN', 170255),
(226530, 'PTHR47372:SF14', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, EXPRESSED', 170256),
(226531, 'PTHR43341:SF10', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE PERMEASE SAM3-RELATED', 170257),
(226532, 'PTHR24377:SF708', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 586', 170258),
(226533, 'PTHR31403:SF54', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(1) DAD1, CHLOROPLASTIC', 170259);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(226534, 'PTHR13976:SF72', NULL, NULL, NULL, NULL, 'HNRNP F HOMOLOG', 170260),
(226535, 'PTHR36593', NULL, NULL, NULL, NULL, 'EXPORTED SERINE/THREONINE PROTEIN KINASE', 170261),
(226536, 'PTHR39394', NULL, NULL, NULL, NULL, 'YALI0E31793P', 170262),
(226537, 'PTHR11140:SF2', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING-SPLICING FACTOR 8A-RELATED', 170263),
(226538, 'PTHR43874:SF121', NULL, NULL, NULL, NULL, 'CHEY-LIKE SUPERFAMILY-RELATED', 170264),
(226539, 'PTHR24223:SF404', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)-RELATED', 170265),
(226540, 'PTHR48111:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR CADC', 170266),
(226541, 'PTHR33297', NULL, NULL, NULL, NULL, 'AMASTIN-LIKE SURFACE PROTEIN-LIKE PROTEIN-RELATED', 170267),
(226542, 'PTHR26312:SF137', NULL, NULL, NULL, NULL, 'OS05G0182100 PROTEIN', 170268),
(226543, 'PTHR12303:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170269),
(226544, 'PTHR47181:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170270),
(226545, 'PTHR45621:SF40', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIX13-RELATED', 170271),
(226546, 'PTHR43384:SF6', NULL, NULL, NULL, NULL, 'SEPTUM SITE-DETERMINING PROTEIN MIND HOMOLOG, CHLOROPLASTIC-RELATED', 170272),
(226547, 'PTHR37727', NULL, NULL, NULL, NULL, 'ECOTROPIC VIRAL INTEGRATION SITE PROTEIN', 170273),
(226548, 'PTHR12371:SF3', NULL, NULL, NULL, NULL, 'TRANSLOCATING CHAIN-ASSOCIATED MEMBRANE PROTEIN 1', 170274),
(226549, 'PTHR24023:SF1013', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE V, ALPHA 2B', 170275),
(226550, 'PTHR12197', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SMYD', 170276),
(226551, 'PTHR31044:SF35', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', 170277),
(226552, 'PTHR12831:SF0', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIH SUBUNIT 3', 170278),
(226553, 'PTHR47162:SF3', NULL, NULL, NULL, NULL, 'OS02G0192300 PROTEIN', 170279),
(226554, 'PTHR31374:SF163', NULL, NULL, NULL, NULL, 'AUXIN INDUCED LIKE-PROTEIN', 170280),
(226555, 'PTHR24242:SF363', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 170281),
(226556, 'PTHR37013:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170282),
(226557, 'PTHR31024:SF9', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 170283),
(226558, 'PTHR30482', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT SYSTEM PERMEASE', 170284),
(226559, 'PTHR33265:SF22', NULL, NULL, NULL, NULL, 'OS02G0517700 PROTEIN', 170285),
(226560, 'PTHR21041', NULL, NULL, NULL, NULL, 'DENDRITIC CELL-SPECIFIC TRANSMEMBRANE PROTEIN', 170286),
(226561, 'PTHR45733:SF3', NULL, NULL, NULL, NULL, 'FORMIN-I', 170287),
(226562, 'PTHR24332:SF27', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CDX-2', 170288),
(226563, 'PTHR31604:SF40', NULL, NULL, NULL, NULL, 'BNAANNG09150D PROTEIN', 170289),
(226564, 'PTHR45651:SF61', NULL, NULL, NULL, NULL, 'OS06G0527100 PROTEIN', 170290),
(226565, 'PTHR30474', NULL, NULL, NULL, NULL, 'CELL CYCLE PROTEIN', 170291),
(226566, 'PTHR21503:SF6', NULL, NULL, NULL, NULL, 'SKN-1 DEPENDENT ZYGOTIC TRANSCRIPT 15 PROTEIN', 170292),
(226567, 'PTHR33217', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS1081', 170293),
(226568, 'PTHR46741', NULL, NULL, NULL, NULL, 'OS09G0413600 PROTEIN', 170294),
(226569, 'PTHR31722:SF54', NULL, NULL, NULL, NULL, 'OSJNBA0058K23.8 PROTEIN', 170295),
(226570, 'PTHR12475:SF2', NULL, NULL, NULL, NULL, 'PROTEIN THEM6', 170296),
(226571, 'PTHR24377:SF853', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 888', 170297),
(226572, 'PTHR27005:SF285', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 170298),
(226573, 'PTHR23235:SF71', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 16', 170299),
(226574, 'PTHR36334', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF2358)-RELATED', 170300),
(226575, 'PTHR48041:SF90', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY G MEMBER 1', 170301),
(226576, 'PTHR45932:SF11', NULL, NULL, NULL, NULL, 'PATELLIN-3-LIKE ISOFORM X1', 170302),
(226577, 'PTHR22900:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG08041', 170303);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(226578, 'PTHR13774:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG03343', 170304),
(226579, 'PTHR46836:SF7', NULL, NULL, NULL, NULL, 'DUF4378 DOMAIN PROTEIN', 170305),
(226580, 'PTHR31356:SF43', NULL, NULL, NULL, NULL, 'ASCORBATE PEROXIDASE', 170306),
(226581, 'PTHR33076:SF67', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2-LIKE', 170307),
(226582, 'PTHR24361:SF486', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MKCD-RELATED', 170308),
(226583, 'PTHR11818:SF119', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN D', 170309),
(226584, 'PTHR34938:SF5', NULL, NULL, NULL, NULL, 'BNAC03G59750D PROTEIN', 170310),
(226585, 'PTHR10263:SF48', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', 170311),
(226586, 'PTHR13872:SF46', NULL, NULL, NULL, NULL, 'BNAA05G18450D PROTEIN', 170312),
(226587, 'PTHR27007:SF364', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170313),
(226588, 'PTHR11588:SF406', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 170314),
(226589, 'PTHR10231:SF81', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 3', 170315),
(226590, 'PTHR31852:SF159', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 170316),
(226591, 'PTHR10031:SF40', NULL, NULL, NULL, NULL, 'ATP SYNTHASE F(0) COMPLEX SUBUNIT C1, MITOCHONDRIAL', 170317),
(226592, 'PTHR32208:SF84', NULL, NULL, NULL, NULL, 'COPPER RADICAL OXIDASE', 170318),
(226593, 'PTHR24177:SF312', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', 170319),
(226594, 'PTHR33397:SF5', NULL, NULL, NULL, NULL, 'UPF0331 PROTEIN YUTE', 170320),
(226595, 'PTHR11915:SF443', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170321),
(226596, 'PTHR35820:SF1', NULL, NULL, NULL, NULL, 'SPERM MITOCHONDRIAL-ASSOCIATED CYSTEINE-RICH PROTEIN', 170322),
(226597, 'PTHR22883:SF329', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 170323),
(226598, 'PTHR33067:SF20', NULL, NULL, NULL, NULL, 'ELEMENT PROTEIN, PUTATIVE-RELATED', 170324),
(226599, 'PTHR20863:SF61', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 2, MITOCHONDRIAL-LIKE', 170325),
(226600, 'PTHR43464:SF58', NULL, NULL, NULL, NULL, 'BLR7975 PROTEIN', 170326),
(226601, 'PTHR48178', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 170327),
(226602, 'PTHR31262:SF16', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN', 170328),
(226603, 'PTHR32075:SF6', NULL, NULL, NULL, NULL, 'ISWI CHROMATIN-REMODELING COMPLEX SUBUNIT YPL216W-RELATED', 170329),
(226604, 'PTHR46163:SF9', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 170330),
(226605, 'PTHR24298:SF675', NULL, NULL, NULL, NULL, 'PHENYLALANINE N-MONOOXYGENASE', 170331),
(226606, 'PTHR36036', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', 170332),
(226607, 'PTHR10824:SF12', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 1-RELATED', 170333),
(226608, 'PTHR39662:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170334),
(226609, 'PTHR13115:SF18', NULL, NULL, NULL, NULL, 'SWIB/MDM2 DOMAIN, GYF DOMAIN, PLUS-3 DOMAIN, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 170335),
(226610, 'PTHR31183', NULL, NULL, NULL, NULL, 'TRICHOPLEIN KERATIN FILAMENT-BINDING PROTEIN FAMILY MEMBER', 170336),
(226611, 'PTHR21145:SF7', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', 170337),
(226612, 'PTHR15598:SF8', NULL, NULL, NULL, NULL, 'OS06G0300800 PROTEIN', 170338),
(226613, 'PTHR16027', NULL, NULL, NULL, NULL, 'DILUTE DOMAIN-CONTAINING PROTEIN YPR089W', 170339),
(226614, 'PTHR33337:SF35', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G03180)', 170340),
(226615, 'PTHR45879:SF2', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-1', 170341),
(226616, 'PTHR45665:SF14', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP3-2-RELATED', 170342),
(226617, 'PTHR23018:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', 170343),
(226618, 'PTHR33078:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170344),
(226619, 'PTHR11165:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170345),
(226620, 'PTHR34555:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170346);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(226621, 'PTHR47928:SF44', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN OGR1, MITOCHONDRIAL', 170347),
(226622, 'PTHR24322:SF732', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 170348),
(226623, 'PTHR12307:SF13', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3B', 170349),
(226624, 'PTHR31867:SF79', NULL, NULL, NULL, NULL, 'EXPANSIN', 170350),
(226625, 'PTHR47978:SF23', NULL, NULL, NULL, NULL, 'OS06G0714600 PROTEIN', 170351),
(226626, 'PTHR47281:SF4', NULL, NULL, NULL, NULL, 'DOMON DOMAIN, CYTOCHROME B561/FERRIC REDUCTASE TRANSMEMBRANE, DM13 DOMAIN PROTEIN-RELATED', 170352),
(226627, 'PTHR36741', NULL, NULL, NULL, NULL, 'OS07G0100500 PROTEIN', 170353),
(226628, 'PTHR24346:SF40', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0280133-RELATED', 170354),
(226629, 'PTHR33889:SF7', NULL, NULL, NULL, NULL, 'OS04G0681850 PROTEIN', 170355),
(226630, 'PTHR45794:SF4', NULL, NULL, NULL, NULL, 'BNAC08G42640D PROTEIN', 170356),
(226631, 'PTHR14281', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SPC25-RELATED', 170357),
(226632, 'PTHR33115:SF63', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', 170358),
(226633, 'PTHR31115:SF11', NULL, NULL, NULL, NULL, 'BNAA03G49750D PROTEIN', 170359),
(226634, 'PTHR35546:SF24', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE-LIKE', 170360),
(226635, 'PTHR33179:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170361),
(226636, 'PTHR35735:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170362),
(226637, 'PTHR45748', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 3-PHOSPHATE 5-KINASE-RELATED', 170363),
(226638, 'PTHR11618:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB', 170364),
(226639, 'PTHR35936:SF6', NULL, NULL, NULL, NULL, 'ABC-TYPE TRANSPORT SYSTEM SUBSTRATE BINDING COMPONENT', 170365),
(226640, 'PTHR31673:SF26', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 170366),
(226641, 'PTHR46910:SF5', NULL, NULL, NULL, NULL, 'MISCELLANEOUS ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 170367),
(226642, 'PTHR10334:SF352', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', 170368),
(226643, 'PTHR23428:SF292', NULL, NULL, NULL, NULL, 'HISTONE H2B', 170369),
(226644, 'PTHR13439:SF49', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 56-B', 170370),
(226645, 'PTHR11860:SF59', NULL, NULL, NULL, NULL, 'FAS APOPTOTIC INHIBITORY MOLECULE 3', 170371),
(226646, 'PTHR47956:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B10', 170372),
(226647, 'PTHR23428:SF281', NULL, NULL, NULL, NULL, 'HISTONE H2B.2', 170373),
(226648, 'PTHR45724:SF31', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP1-3-RELATED', 170374),
(226649, 'PTHR27000:SF641', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RPK2', 170375),
(226650, 'PTHR23122:SF34', NULL, NULL, NULL, NULL, 'MAGUK P55 SUBFAMILY MEMBER 4', 170376),
(226651, 'PTHR46409:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170377),
(226652, 'PTHR24396:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR STP4', 170378),
(226653, 'PTHR15205', NULL, NULL, NULL, NULL, 'DEATH EFFECTOR DOMAIN-CONTAINING PROTEIN', 170379),
(226654, 'PTHR44167:SF17', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FHKB-RELATED', 170380),
(226655, 'PTHR43281:SF23', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE 3, CHLOROPLASTIC-RELATED', 170381),
(226656, 'PTHR41244:SF1', NULL, NULL, NULL, NULL, 'RHAMNAN SYNTHESIS F', 170382),
(226657, 'PTHR22725:SF9', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN HOMOLOG 3', 170383),
(226658, 'PTHR46053:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH11', 170384),
(226659, 'PTHR13382:SF25', NULL, NULL, NULL, NULL, 'OS03G0633100 PROTEIN', 170385),
(226660, 'PTHR14499:SF57', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD21', 170386),
(226661, 'PTHR22595:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170387),
(226662, 'PTHR48012:SF15', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE KINASE 1', 170388),
(226663, 'PTHR48083:SF24', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE IBR3-RELATED', 170389);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(226664, 'PTHR14398:SF4', NULL, NULL, NULL, NULL, 'BNAA02G29020D PROTEIN', 170390),
(226665, 'PTHR10131:SF135', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR', 170391),
(226666, 'PTHR22600:SF44', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE', 170392),
(226667, 'PTHR24414:SF177', NULL, NULL, NULL, NULL, 'BNAA09G00090D PROTEIN', 170393),
(226668, 'PTHR31296:SF1', NULL, NULL, NULL, NULL, 'UPF0565 PROTEIN C2ORF69', 170394),
(226669, 'PTHR10994:SF138', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 170395),
(226670, 'PTHR13385', NULL, NULL, NULL, NULL, 'AUTOPHAGY PROTEIN 12', 170396),
(226671, 'PTHR48044:SF8', NULL, NULL, NULL, NULL, 'ZEATIN O-GLUCOSYLTRANSFERASE-LIKE', 170397),
(226672, 'PTHR13468', NULL, NULL, NULL, NULL, 'DEK PROTEIN', 170398),
(226673, 'PTHR10795:SF608', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9', 170399),
(226674, 'PTHR31282:SF25', NULL, NULL, NULL, NULL, 'OS11G0117500 PROTEIN', 170400),
(226675, 'PTHR31218:SF56', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 170401),
(226676, 'PTHR47774:SF1', NULL, NULL, NULL, NULL, 'GROWTH-DIFFERENTIATION TRANSITION PROTEIN 5-RELATED', 170402),
(226677, 'PTHR19818:SF84', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GLIS2', 170403),
(226678, 'PTHR22594:SF51', NULL, NULL, NULL, NULL, 'BNAC05G44530D PROTEIN', 170404),
(226679, 'PTHR47979:SF30', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5C', 170405),
(226680, 'PTHR36519', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED-RELATED', 170406),
(226681, 'PTHR33271:SF29', NULL, NULL, NULL, NULL, 'BNAC04G12200D PROTEIN', 170407),
(226682, 'PTHR12570:SF11', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA6-RELATED', 170408),
(226683, 'PTHR10036:SF7', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 1', 170409),
(226684, 'PTHR43636:SF2', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR G, MITOCHONDRIAL', 170410),
(226685, 'PTHR13018:SF98', NULL, NULL, NULL, NULL, 'TO DEHYDRATION PROTEIN, PUTATIVE, EXPRESSED-RELATED', 170411),
(226686, 'PTHR24096:SF374', NULL, NULL, NULL, NULL, 'BNAC08G19270D PROTEIN', 170412),
(226687, 'PTHR13683', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASES', 170413),
(226688, 'PTHR45992', NULL, NULL, NULL, NULL, 'EUKARYOTIC ELONGATION FACTOR 2 KINASE-RELATED', 170414),
(226689, 'PTHR22670:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG05370', 170415),
(226690, 'PTHR24073:SF1147', NULL, NULL, NULL, NULL, 'SMALL MONOMERIC GTPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G05770)-RELATED', 170416),
(226691, 'PTHR24403:SF75', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 280D', 170417),
(226692, 'PTHR17920:SF12', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE/COILED-COIL PROTEIN (DUF726)', 170418),
(226693, 'PTHR19321:SF23', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 7', 170419),
(226694, 'PTHR10544:SF15', NULL, NULL, NULL, NULL, 'BNAA09G09950D PROTEIN', 170420),
(226695, 'PTHR23226:SF127', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 24', 170421),
(226696, 'PTHR15241:SF297', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE E', 170422),
(226697, 'PTHR10663:SF342', NULL, NULL, NULL, NULL, 'FI21420P1', 170423),
(226698, 'PTHR31989:SF20', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', 170424),
(226699, 'PTHR10024:SF344', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-7', 170425),
(226700, 'PTHR31677:SF141', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', 170426),
(226701, 'PTHR10127:SF845', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-14', 170427),
(226702, 'PTHR31190:SF298', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', 170428),
(226703, 'PTHR24064:SF501', NULL, NULL, NULL, NULL, 'GH09241P-RELATED', 170429),
(226704, 'PTHR46952:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 170430),
(226705, 'PTHR45655:SF7', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE SOLUBLE SUBUNIT ALPHA-2', 170431),
(226706, 'PTHR10641:SF541', NULL, NULL, NULL, NULL, 'MYB-RELATED TRANSCRIPTION FACTOR', 170432),
(226707, 'PTHR45803:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170433),
(226708, 'PTHR15377:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION REGULATOR HOMOLOG', 170434);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(226709, 'PTHR24074:SF32', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN', 170435),
(226710, 'PTHR24032:SF9', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', 170436),
(226711, 'PTHR39664:SF2', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING PROTEIN, CONTAINING PIN DOMAIN-RELATED', 170437),
(226712, 'PTHR20961:SF121', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 170438),
(226713, 'PTHR38491:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF HEMOGLOBINIZATION AND ERYTHROID CELL EXPANSION PROTEIN', 170439),
(226714, 'PTHR34196:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170440),
(226715, 'PTHR24237:SF36', NULL, NULL, NULL, NULL, 'SI:DKEY-6N21.13', 170441),
(226716, 'PTHR43642:SF1', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE G', 170442),
(226717, 'PTHR10671:SF35', NULL, NULL, NULL, NULL, 'GERM CELL-SPECIFIC GENE 1-LIKE PROTEIN', 170443),
(226718, 'PTHR31190:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170444),
(226719, 'PTHR12137:SF61', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE', 170445),
(226720, 'PTHR48017:SF154', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 170446),
(226721, 'PTHR31509:SF68', NULL, NULL, NULL, NULL, 'OS02G0109200 PROTEIN', 170447),
(226722, 'PTHR11746:SF269', NULL, NULL, NULL, NULL, 'BNAC02G13760D PROTEIN', 170448),
(226723, 'PTHR45665:SF35', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP1-1-RELATED', 170449),
(226724, 'PTHR12701:SF48', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED-LIKE PROTEIN', 170450),
(226725, 'PTHR28309', NULL, NULL, NULL, NULL, 'REQUIRED FOR EXCISION 1-B DOMAIN-CONTAINING PROTEIN', 170451),
(226726, 'PTHR31232:SF8', NULL, NULL, NULL, NULL, 'BNAA01G23250D PROTEIN', 170452),
(226727, 'PTHR31889:SF11', NULL, NULL, NULL, NULL, 'OS06G0211600 PROTEIN', 170453),
(226728, 'PTHR32037:SF2', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 12A', 170454),
(226729, 'PTHR10468:SF6', NULL, NULL, NULL, NULL, 'GLCNAC TRANSFERASE', 170455),
(226730, 'PTHR12374:SF58', NULL, NULL, NULL, NULL, 'F25A4.19 PROTEIN', 170456),
(226731, 'PTHR10201:SF129', NULL, NULL, NULL, NULL, 'STROMELYSIN-2', 170457),
(226732, 'PTHR35483', NULL, NULL, NULL, NULL, 'NUCLEUSENVELOPE PROTEIN', 170458),
(226733, 'PTHR32093:SF104', NULL, NULL, NULL, NULL, 'OS11G0657400 PROTEIN', 170459),
(226734, 'PTHR43691:SF10', NULL, NULL, NULL, NULL, 'URIDINE PHOSPHORYLASE 1', 170460),
(226735, 'PTHR23159:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170461),
(226736, 'PTHR22897:SF8', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE', 170462),
(226737, 'PTHR45693:SF49', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBP-1B(C38)-LIKE', 170463),
(226738, 'PTHR45779:SF7', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP13, CHLOROPLASTIC', 170464),
(226739, 'PTHR31500:SF74', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 10-LIKE', 170465),
(226740, 'PTHR31681:SF81', NULL, NULL, NULL, NULL, 'BNAA02G10110D PROTEIN', 170466),
(226741, 'PTHR24178:SF2', NULL, NULL, NULL, NULL, 'INVERSIN', 170467),
(226742, 'PTHR46213:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR DEMETER-LIKE', 170468),
(226743, 'PTHR31960:SF27', NULL, NULL, NULL, NULL, 'PHLOEM PROTEIN 2-A11-RELATED', 170469),
(226744, 'PTHR13681:SF32', NULL, NULL, NULL, NULL, 'BNAA06G34090D PROTEIN', 170470),
(226745, 'PTHR36881:SF1', NULL, NULL, NULL, NULL, 'DERMOKINE', 170471),
(226746, 'PTHR16021:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170472),
(226747, 'PTHR46493:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP3', 170473),
(226748, 'PTHR27002:SF427', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 19-RELATED', 170474),
(226749, 'PTHR26453:SF271', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2V1', 170475),
(226750, 'PTHR47741:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 8', 170476),
(226751, 'PTHR11347', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE PHOSPHODIESTERASE', 170477),
(226752, 'PTHR31734:SF179', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 170478); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(226753, 'PTHR24373:SF293', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 3', 170479),
(226754, 'PTHR24114', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', 170480),
(226755, 'PTHR47989:SF8', NULL, NULL, NULL, NULL, 'BNAA10G10920D PROTEIN', 170481),
(226756, 'PTHR13313:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170482),
(226757, 'PTHR32448:SF19', NULL, NULL, NULL, NULL, 'OS06G0548100 PROTEIN', 170483),
(226758, 'PTHR43791:SF19', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01812)-RELATED', 170484),
(226759, 'PTHR31787', NULL, NULL, NULL, NULL, 'G-PROTEIN-COUPLED RECEPTOR  GPCR  FAMILY PROTEIN', 170485),
(226760, 'PTHR36968', NULL, NULL, NULL, NULL, 'HOMEOBOX-DDT DOMAIN PROTEIN RLT2', 170486),
(226761, 'PTHR10314:SF211', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE 1', 170487),
(226762, 'PTHR27008:SF413', NULL, NULL, NULL, NULL, 'SERINE-THREONINE PROTEIN KINASE PLANT-TYPE', 170488),
(226763, 'PTHR10629:SF49', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE CMT3', 170489),
(226764, 'PTHR23195:SF25', NULL, NULL, NULL, NULL, 'PROTEIN AF-9', 170490),
(226765, 'PTHR47749:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170491),
(226766, 'PTHR24349:SF373', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170492),
(226767, 'PTHR20934:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', 170493),
(226768, 'PTHR21292:SF1', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 3', 170494),
(226769, 'PTHR19241:SF624', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 48', 170495),
(226770, 'PTHR43029:SF21', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1', 170496),
(226771, 'PTHR11945:SF420', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', 170497),
(226772, 'PTHR11017:SF272', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N', 170498),
(226773, 'PTHR14095:SF19', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 170499),
(226774, 'PTHR47843:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170500),
(226775, 'PTHR12306', NULL, NULL, NULL, NULL, 'CELL DEATH ACTIVATOR CIDE', 170501),
(226776, 'PTHR47977', NULL, NULL, NULL, NULL, 'LD21953P-RELATED', 170502),
(226777, 'PTHR13292', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 170503),
(226778, 'PTHR37207:SF1', NULL, NULL, NULL, NULL, 'OS09G0446000 PROTEIN', 170504),
(226779, 'PTHR47990:SF21', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 3', 170505),
(226780, 'PTHR14791:SF26', NULL, NULL, NULL, NULL, 'PROTEIN WWC2', 170506),
(226781, 'PTHR22933:SF37', NULL, NULL, NULL, NULL, 'FI18007P1', 170507),
(226782, 'PTHR31623:SF80', NULL, NULL, NULL, NULL, 'DEACETYLVINDOLINE O-ACETYLTRANSFERASE-RELATED', 170508),
(226783, 'PTHR24276:SF90', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE PROTEINASE 5B', 170509),
(226784, 'PTHR10579:SF66', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED CHLORIDE CHANNEL REGULATOR 2', 170510),
(226785, 'PTHR16021:SF13', NULL, NULL, NULL, NULL, 'SPORE COAT PROTEIN SP96', 170511),
(226786, 'PTHR15746:SF23', NULL, NULL, NULL, NULL, 'RAB11 INTERACTING PROTEIN, ISOFORM A', 170512),
(226787, 'PTHR12694:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 1', 170513),
(226788, 'PTHR13872:SF44', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT STT3A', 170514),
(226789, 'PTHR23267:SF313', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 5-2', 170515),
(226790, 'PTHR43669:SF10', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE FABG1', 170516),
(226791, 'PTHR34807:SF3', NULL, NULL, NULL, NULL, 'OS08G0270800 PROTEIN', 170517),
(226792, 'PTHR36140:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170518),
(226793, 'PTHR10732:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170519),
(226794, 'PTHR34573:SF1', NULL, NULL, NULL, NULL, 'THIOL-DISULFIDE OXIDOREDUCTASE LTO1', 170520),
(226795, 'PTHR27002:SF762', NULL, NULL, NULL, NULL, 'DUF26-DOMAIN RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 170521),
(226796, 'PTHR13914:SF28', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE', 170522);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(226797, 'PTHR47956:SF93', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B2', 170523),
(226798, 'PTHR11604:SF1', NULL, NULL, NULL, NULL, 'PROFILIN-2', 170524),
(226799, 'PTHR15431:SF17', NULL, NULL, NULL, NULL, 'BNAA09G54800D PROTEIN', 170525),
(226800, 'PTHR31314:SF7', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL5', 170526),
(226801, 'PTHR36321:SF12', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 9', 170527),
(226802, 'PTHR10466:SF11', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE', 170528),
(226803, 'PTHR11514:SF128', NULL, NULL, NULL, NULL, 'BNAC04G50860D PROTEIN', 170529),
(226804, 'PTHR46622', NULL, NULL, NULL, NULL, 'DNA-DEPENDENT METALLOPROTEASE WSS1', 170530),
(226805, 'PTHR47841:SF9', NULL, NULL, NULL, NULL, 'BNAC03G72070D PROTEIN', 170531),
(226806, 'PTHR45934:SF5', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 170532),
(226807, 'PTHR17068', NULL, NULL, NULL, NULL, 'MYELOID-ASSOCIATED DIFFERENTIATION MARKER MYADM FAMILY MEMBER', 170533),
(226808, 'PTHR11063:SF8', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', 170534),
(226809, 'PTHR31636:SF239', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', 170535),
(226810, 'PTHR35110:SF3', NULL, NULL, NULL, NULL, 'OS08G0360000 PROTEIN', 170536),
(226811, 'PTHR31260:SF35', NULL, NULL, NULL, NULL, 'BNAC05G32080D PROTEIN', 170537),
(226812, 'PTHR23253:SF23', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4 GAMMA 3', 170538),
(226813, 'PTHR31374:SF32', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 170539),
(226814, 'PTHR15446:SF17', NULL, NULL, NULL, NULL, 'UROPLAKIN-3A', 170540),
(226815, 'PTHR47376:SF8', NULL, NULL, NULL, NULL, 'OS04G0483000 PROTEIN', 170541),
(226816, 'PTHR11206:SF144', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 170542),
(226817, 'PTHR17178:SF0', NULL, NULL, NULL, NULL, 'SERGLYCIN', 170543),
(226818, 'PTHR43019:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170544),
(226819, 'PTHR12431:SF20', NULL, NULL, NULL, NULL, 'SORTING NEXIN FAMILY MEMBER 27A', 170545),
(226820, 'PTHR31790:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170546),
(226821, 'PTHR34046:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170547),
(226822, 'PTHR46357:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ATRX', 170548),
(226823, 'PTHR10891:SF853', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND DOMAIN-CONTAINING PROTEIN-RELATED', 170549),
(226824, 'PTHR28118', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE 5''-TRIPHOSPHATASE-RELATED', 170550),
(226825, 'PTHR10067:SF9', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE DECARBOXYLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_7G01730)', 170551),
(226826, 'PTHR23273:SF56', NULL, NULL, NULL, NULL, 'BNAA04G12470D PROTEIN', 170552),
(226827, 'PTHR15692:SF19', NULL, NULL, NULL, NULL, 'MASTERMIND-LIKE PROTEIN 1', 170553),
(226828, 'PTHR47385:SF1', NULL, NULL, NULL, NULL, 'TRANSGELIN-3', 170554),
(226829, 'PTHR12274:SF6', NULL, NULL, NULL, NULL, 'GRANULIN B', 170555),
(226830, 'PTHR33886:SF9', NULL, NULL, NULL, NULL, 'UNSATURATED RHAMNOGALACTURONAN HYDROLASE (EUROFUNG)', 170556),
(226831, 'PTHR35334:SF3', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YQEG', 170557),
(226832, 'PTHR23359:SF190', NULL, NULL, NULL, NULL, 'BNAA04G21280D PROTEIN', 170558),
(226833, 'PTHR23235:SF75', NULL, NULL, NULL, NULL, 'LETHAL (3) NEO38, ISOFORM L', 170559),
(226834, 'PTHR33563:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170560),
(226835, 'PTHR31213:SF116', NULL, NULL, NULL, NULL, 'BNAANNG26820D PROTEIN', 170561),
(226836, 'PTHR17103', NULL, NULL, NULL, NULL, 'NEUREXOPHILIN', 170562),
(226837, 'PTHR45617:SF99', NULL, NULL, NULL, NULL, 'AGAP007846-PA', 170563),
(226838, 'PTHR21109:SF17', NULL, NULL, NULL, NULL, 'PROTEIN S21 FAMILY PROTEIN, PUTATIVE-RELATED', 170564),
(226839, 'PTHR46913:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 170565),
(226840, 'PTHR12592', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT (S)-NAD(P)H-HYDRATE DEHYDRATASE FAMILY MEMBER', 170566);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(226841, 'PTHR11709:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170567),
(226842, 'PTHR34491:SF30', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 170568),
(226843, 'PTHR12419:SF9', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 4', 170569),
(226844, 'PTHR10641:SF1284', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB-HB-LIKE FAMILY-RELATED', 170570),
(226845, 'PTHR46754:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170571),
(226846, 'PTHR39338:SF6', NULL, NULL, NULL, NULL, 'BLL5662 PROTEIN', 170572),
(226847, 'PTHR23055:SF79', NULL, NULL, NULL, NULL, 'HIPPOCALCIN-LIKE PROTEIN 1', 170573),
(226848, 'PTHR47946:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A7', 170574),
(226849, 'PTHR24186:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY INHIBITOR SUBUNIT 16B', 170575),
(226850, 'PTHR24028:SF248', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-9', 170576),
(226851, 'PTHR13362:SF4', NULL, NULL, NULL, NULL, 'BNAANNG05200D PROTEIN', 170577),
(226852, 'PTHR34193', NULL, NULL, NULL, NULL, 'OS11G0199801 PROTEIN', 170578),
(226853, 'PTHR23195:SF2', NULL, NULL, NULL, NULL, 'SOMETHING ABOUT SILENCING PROTEIN 5-RELATED', 170579),
(226854, 'PTHR37610:SF10', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', 170580),
(226855, 'PTHR33527:SF31', NULL, NULL, NULL, NULL, 'BNAA07G00110D PROTEIN', 170581),
(226856, 'PTHR45926:SF6', NULL, NULL, NULL, NULL, 'OSJNBA0053K19.4 PROTEIN', 170582),
(226857, 'PTHR31448:SF43', NULL, NULL, NULL, NULL, 'ZEIN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 170583),
(226858, 'PTHR45270:SF3', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 170584),
(226859, 'PTHR11941:SF156', NULL, NULL, NULL, NULL, 'ISOMERASE, MITOCHONDRIAL, PUTATIVE-RELATED', 170585),
(226860, 'PTHR31384:SF128', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 8-LIKE', 170586),
(226861, 'PTHR11219:SF63', NULL, NULL, NULL, NULL, 'SI:DKEY-237H12.3', 170587),
(226862, 'PTHR10048', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL KINASE', 170588),
(226863, 'PTHR12322:SF72', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR 2', 170589),
(226864, 'PTHR12863:SF1', NULL, NULL, NULL, NULL, 'FATTY ACID 2-HYDROXYLASE', 170590),
(226865, 'PTHR10353:SF230', NULL, NULL, NULL, NULL, 'FURCATIN HYDROLASE-RELATED', 170591),
(226866, 'PTHR43735:SF5', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 170592),
(226867, 'PTHR24253:SF58', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 33', 170593),
(226868, 'PTHR24278', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR', 170594),
(226869, 'PTHR10132', NULL, NULL, NULL, NULL, 'ALPHA-/EPSILON-SARCOGLYCAN FAMILY MEMBER', 170595),
(226870, 'PTHR24637:SF244', NULL, NULL, NULL, NULL, 'COLLAGEN', 170596),
(226871, 'PTHR21493', NULL, NULL, NULL, NULL, 'CGI-141-RELATED/LIPASE CONTAINING PROTEIN', 170597),
(226872, 'PTHR11477:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN 3', 170598),
(226873, 'PTHR33405:SF17', NULL, NULL, NULL, NULL, 'PROTEIN FLC EXPRESSOR', 170599),
(226874, 'PTHR11705:SF49', NULL, NULL, NULL, NULL, 'PROTEIN CBG05160', 170600),
(226875, 'PTHR22089:SF2', NULL, NULL, NULL, NULL, 'MIRROR-IMAGE POLYDACTYLY GENE 1 PROTEIN', 170601),
(226876, 'PTHR47926:SF142', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 170602),
(226877, 'PTHR11885:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170603),
(226878, 'PTHR45651:SF64', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 7-RELATED', 170604),
(226879, 'PTHR28448', NULL, NULL, NULL, NULL, 'UPF0728 PROTEIN C10ORF53', 170605),
(226880, 'PTHR31867:SF186', NULL, NULL, NULL, NULL, 'EXPANSIN', 170606),
(226881, 'PTHR45744:SF23', NULL, NULL, NULL, NULL, 'BNAA09G10030D PROTEIN', 170607),
(226882, 'PTHR19441:SF27', NULL, NULL, NULL, NULL, 'WHEY ACIDIC PROTEIN', 170608),
(226883, 'PTHR22950:SF190', NULL, NULL, NULL, NULL, 'PROTON-COUPLED AMINO ACID TRANSPORTER 4', 170609),
(226884, 'PTHR22888:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 2', 170610),
(226885, 'PTHR46310', NULL, NULL, NULL, NULL, 'AMIDASE 1', 170611);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(226886, 'PTHR38737', NULL, NULL, NULL, NULL, 'ACTIN-FRAGMIN KINASE DDB_G0279609-RELATED', 170612),
(226887, 'PTHR47083', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 11', 170613),
(226888, 'PTHR10682:SF27', NULL, NULL, NULL, NULL, 'OS02G0227400 PROTEIN', 170614),
(226889, 'PTHR22911:SF6', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER G1', 170615),
(226890, 'PTHR12200:SF5', NULL, NULL, NULL, NULL, 'GAMMA-INTERFERON-INDUCIBLE PROTEIN 16', 170616),
(226891, 'PTHR36109', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 170617),
(226892, 'PTHR13248:SF3', NULL, NULL, NULL, NULL, 'ELONGIN B-LIKE', 170618),
(226893, 'PTHR43679', NULL, NULL, NULL, NULL, 'OCTANOYLTRANSFERASE LIPM-RELATED', 170619),
(226894, 'PTHR42105', NULL, NULL, NULL, NULL, 'DIM2-ASSOCIATED PROTEIN 1', 170620),
(226895, 'PTHR45701:SF7', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 8', 170621),
(226896, 'PTHR21683:SF11', NULL, NULL, NULL, NULL, 'GH10882P', 170622),
(226897, 'PTHR12085:SF6', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 170623),
(226898, 'PTHR43520:SF26', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE HMA5-RELATED', 170624),
(226899, 'PTHR32077:SF54', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 6', 170625),
(226900, 'PTHR24100:SF125', NULL, NULL, NULL, NULL, 'BUTYROPHILIN-LIKE PROTEIN 1', 170626),
(226901, 'PTHR47171:SF6', NULL, NULL, NULL, NULL, 'SPECIFIC TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 170627),
(226902, 'PTHR18952:SF238', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 5-RELATED', 170628),
(226903, 'PTHR24412:SF419', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB (POZ) DOMAIN-CONTAINING 4', 170629),
(226904, 'PTHR31388:SF161', NULL, NULL, NULL, NULL, 'PEROXIDASE', 170630),
(226905, 'PTHR10972:SF67', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 1D', 170631),
(226906, 'PTHR31218:SF299', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 170632),
(226907, 'PTHR31729:SF0', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-10', 170633),
(226908, 'PTHR11042:SF156', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G16620)-RELATED', 170634),
(226909, 'PTHR32134:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170635),
(226910, 'PTHR36453:SF1', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 170636),
(226911, 'PTHR28013:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DCV1-RELATED', 170637),
(226912, 'PTHR14000:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170638),
(226913, 'PTHR46301:SF32', NULL, NULL, NULL, NULL, 'BNACNNG30580D PROTEIN', 170639),
(226914, 'PTHR45187', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 11, CHLOROPLASTIC', 170640),
(226915, 'PTHR12297:SF10', NULL, NULL, NULL, NULL, 'HIG1 DOMAIN FAMILY MEMBER 1C', 170641),
(226916, 'PTHR10552:SF7', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN 40K', 170642),
(226917, 'PTHR45660:SF57', NULL, NULL, NULL, NULL, 'SRA-YDG-RELATED', 170643),
(226918, 'PTHR47998:SF25', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 170644),
(226919, 'PTHR21308:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG00368', 170645),
(226920, 'PTHR13832:SF382', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-LIKE PROTEIN', 170646),
(226921, 'PTHR22835:SF117', NULL, NULL, NULL, NULL, 'BNAA06G32900D PROTEIN', 170647),
(226922, 'PTHR13367:SF3', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA-INDUCED PROTEIN 3', 170648),
(226923, 'PTHR35578:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH TRANSMEMBRANE PROTEIN 4', 170649),
(226924, 'PTHR31901:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170650),
(226925, 'PTHR31044:SF30', NULL, NULL, NULL, NULL, 'OS05G0512600 PROTEIN', 170651),
(226926, 'PTHR47274:SF12', NULL, NULL, NULL, NULL, 'BNAC06G15820D PROTEIN', 170652),
(226927, 'PTHR48001:SF13', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 170653),
(226928, 'PTHR36451', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 170654),
(226929, 'PTHR33169:SF25', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN YIZB-RELATED', 170655);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(226930, 'PTHR33967', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR4', 170656),
(226931, 'PTHR24015:SF423', NULL, NULL, NULL, NULL, 'OS02G0106300 PROTEIN', 170657),
(226932, 'PTHR36760:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170658),
(226933, 'PTHR36159', NULL, NULL, NULL, NULL, 'PROTEIN CBG23766', 170659),
(226934, 'PTHR31373:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170660),
(226935, 'PTHR31862', NULL, NULL, NULL, NULL, 'UPF0261 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G10120)', 170661),
(226936, 'PTHR47085', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 15', 170662),
(226937, 'PTHR45675:SF66', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 170663),
(226938, 'PTHR12411:SF787', NULL, NULL, NULL, NULL, 'CATHEPSIN B-LIKE PROTEASE 3', 170664),
(226939, 'PTHR48001:SF1', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 867', 170665),
(226940, 'PTHR21141:SF83', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2A-LIKE', 170666),
(226941, 'PTHR48043:SF47', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 2A3', 170667),
(226942, 'PTHR35204', NULL, NULL, NULL, NULL, 'YALI0A21131P', 170668),
(226943, 'PTHR36328:SF6', NULL, NULL, NULL, NULL, 'CRYPTDIN PROTEIN-LIKE PROTEIN-RELATED', 170669),
(226944, 'PTHR12429:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NEURL1B', 170670),
(226945, 'PTHR46148:SF36', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, RETROTRANSPOSON GAG DOMAIN, ASPARTIC PEPTIDASE DOMAIN PROTEIN-RELATED', 170671),
(226946, 'PTHR11176:SF39', NULL, NULL, NULL, NULL, 'BNAA07G10540D PROTEIN', 170672),
(226947, 'PTHR48065:SF17', NULL, NULL, NULL, NULL, 'OS07G0466500 PROTEIN', 170673),
(226948, 'PTHR10795:SF595', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170674),
(226949, 'PTHR42721:SF24', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 7-RELATED', 170675),
(226950, 'PTHR31623:SF92', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', 170676),
(226951, 'PTHR34105:SF1', NULL, NULL, NULL, NULL, 'PROLINE-, GLUTAMIC ACID- AND LEUCINE-RICH PROTEIN 1', 170677),
(226952, 'PTHR23266:SF313', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-15', 170678),
(226953, 'PTHR34552:SF10', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER W PROTEIN, CHLOROPLASTIC', 170679),
(226954, 'PTHR31220', NULL, NULL, NULL, NULL, 'HYCCIN RELATED', 170680),
(226955, 'PTHR22893:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170681),
(226956, 'PTHR30160:SF21', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE 1,2-N-ACETYLGLUCOSAMINETRANSFERASE', 170682),
(226957, 'PTHR45806:SF8', NULL, NULL, NULL, NULL, 'OS01G0964000 PROTEIN', 170683),
(226958, 'PTHR48049:SF56', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 170684),
(226959, 'PTHR11467:SF126', NULL, NULL, NULL, NULL, 'HISTONE H1.3', 170685),
(226960, 'PTHR31769:SF16', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCAN SYNTHASE COMPONENT (DUF1218)', 170686),
(226961, 'PTHR30164:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MTFA', 170687),
(226962, 'PTHR47003:SF8', NULL, NULL, NULL, NULL, 'BNAA06G16700D PROTEIN', 170688),
(226963, 'PTHR24369:SF172', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND FIBRONECTIN TYPE III DOMAIN CONTAINING 1', 170689),
(226964, 'PTHR34708:SF1', NULL, NULL, NULL, NULL, 'OS08G0126400 PROTEIN', 170690),
(226965, 'PTHR33146:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170691),
(226966, 'PTHR46547:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 8-LIKE', 170692),
(226967, 'PTHR43776:SF9', NULL, NULL, NULL, NULL, 'NICKEL IMPORT ATP-BINDING PROTEIN NIKE-RELATED', 170693),
(226968, 'PTHR24241:SF174', NULL, NULL, NULL, NULL, 'CARDIOACCELERATORY PEPTIDE RECEPTOR-LIKE PROTEIN', 170694),
(226969, 'PTHR11062:SF313', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', 170695),
(226970, 'PTHR33452:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170696),
(226971, 'PTHR46018:SF2', NULL, NULL, NULL, NULL, 'ZINC PHOSPHODIESTERASE ELAC PROTEIN 1', 170697),
(226972, 'PTHR21495:SF164', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 170698);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(226973, 'PTHR34303:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170699),
(226974, 'PTHR47929:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170700),
(226975, 'PTHR35541', NULL, NULL, NULL, NULL, 'RAD9, HUS1, RAD1-INTERACTING NUCLEAR ORPHAN PROTEIN 1', 170701),
(226976, 'PTHR47968:SF3', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7G', 170702),
(226977, 'PTHR35202:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170703),
(226978, 'PTHR31218:SF346', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 170704),
(226979, 'PTHR43879', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', 170705),
(226980, 'PTHR45686:SF7', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD8-RELATED', 170706),
(226981, 'PTHR14221:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170707),
(226982, 'PTHR26379:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170708),
(226983, 'PTHR45637:SF71', NULL, NULL, NULL, NULL, 'BNAA02G07840D PROTEIN', 170709),
(226984, 'PTHR24064:SF534', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-7-RELATED', 170710),
(226985, 'PTHR16172:SF30', NULL, NULL, NULL, NULL, 'SUGAR BABY, ISOFORM C', 170711),
(226986, 'PTHR11042:SF157', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE 11', 170712),
(226987, 'PTHR34152:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG04891', 170713),
(226988, 'PTHR48001:SF78', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 170714),
(226989, 'PTHR10811:SF84', NULL, NULL, NULL, NULL, 'BNAA03G58710D PROTEIN', 170715),
(226990, 'PTHR12791:SF46', NULL, NULL, NULL, NULL, 'BET1-LIKE SNARE 1-1', 170716),
(226991, 'PTHR15344:SF2', NULL, NULL, NULL, NULL, 'ZGC:154093', 170717),
(226992, 'PTHR13639:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 4 HOMOLOG, MITOCHONDRIAL', 170718),
(226993, 'PTHR14343:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-8L13.5', 170719),
(226994, 'PTHR12308:SF13', NULL, NULL, NULL, NULL, 'ANOCTAMIN-1', 170720),
(226995, 'PTHR19431:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L1', 170721),
(226996, 'PTHR31218:SF189', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 170722),
(226997, 'PTHR45627:SF5', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE 8 (BRAIN)', 170723),
(226998, 'PTHR34120:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170724),
(226999, 'PTHR11933:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRNA-SPECIFIC 2-THIOURIDYLASE 1', 170725),
(227000, 'PTHR35829:SF2', NULL, NULL, NULL, NULL, 'OS01G0829600 PROTEIN', 170726),
(227001, 'PTHR21212:SF8', NULL, NULL, NULL, NULL, 'ADIPOSE-REGULATORY PROTEIN (SEIPIN)-RELATED', 170727),
(227002, 'PTHR33377:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170728),
(227003, 'PTHR23302:SF39', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 8', 170729),
(227004, 'PTHR31630', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE-RELATED-RELATED', 170730),
(227005, 'PTHR42721:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170731),
(227006, 'PTHR47234:SF3', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR', 170732),
(227007, 'PTHR33877', NULL, NULL, NULL, NULL, 'SLL1193 PROTEIN', 170733),
(227008, 'PTHR16320:SF18', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE', 170734),
(227009, 'PTHR10903:SF150', NULL, NULL, NULL, NULL, 'PROTEIN AIG1', 170735),
(227010, 'PTHR45786:SF31', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 170736),
(227011, 'PTHR45752:SF96', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS GROUP-RELATED LRR 4-RELATED', 170737),
(227012, 'PTHR12864', NULL, NULL, NULL, NULL, 'RAN BINDING PROTEIN 9-RELATED', 170738),
(227013, 'PTHR21516:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG24541', 170739),
(227014, 'PTHR34365:SF4', NULL, NULL, NULL, NULL, 'GLYCINE-RICH DOMAIN-CONTAINING PROTEIN 2', 170740),
(227015, 'PTHR31920:SF77', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN', 170741),
(227016, 'PTHR31549:SF108', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', 170742),
(227017, 'PTHR42208:SF1', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORTER-RELATED', 170743);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(227018, 'PTHR31992:SF171', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.6', 170744),
(227019, 'PTHR10706:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170745),
(227020, 'PTHR33431:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170746),
(227021, 'PTHR23078:SF3', NULL, NULL, NULL, NULL, 'VESICLE-FUSING ATPASE', 170747),
(227022, 'PTHR48017:SF64', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 3', 170748),
(227023, 'PTHR10791:SF186', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET12', 170749),
(227024, 'PTHR11573:SF24', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE', 170750),
(227025, 'PTHR11161:SF63', NULL, NULL, NULL, NULL, 'FI21449P1', 170751),
(227026, 'PTHR48018:SF51', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5B12', 170752),
(227027, 'PTHR47990:SF158', NULL, NULL, NULL, NULL, 'SYNTHASE/FLAVANONE 3-HYDROXYLASE, PUTATIVE-RELATED', 170753),
(227028, 'PTHR12097:SF0', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 1', 170754),
(227029, 'PTHR23277:SF113', NULL, NULL, NULL, NULL, 'POLIOVIRUS RECEPTOR-RELATED 2-LIKE', 170755),
(227030, 'PTHR31656:SF31', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN-RELATED / LEA PROTEIN-RELATED', 170756),
(227031, 'PTHR43732', NULL, NULL, NULL, NULL, 'RIBOSE 5-PHOSPHATE ISOMERASE-RELATED', 170757),
(227032, 'PTHR11863', NULL, NULL, NULL, NULL, 'STEROL DESATURASE', 170758),
(227033, 'PTHR16779:SF1', NULL, NULL, NULL, NULL, 'BETA-1,4-MANNOSYLTRANSFERASE EGH', 170759),
(227034, 'PTHR22850:SF196', NULL, NULL, NULL, NULL, 'WD-40 REPEAT-CONTAINING PROTEIN MSI2-RELATED', 170760),
(227035, 'PTHR31650:SF63', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE', 170761),
(227036, 'PTHR15535:SF17', NULL, NULL, NULL, NULL, 'PROTEIN DDB_G0287365', 170762),
(227037, 'PTHR15923:SF5', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING RECEPTOR 1A', 170763),
(227038, 'PTHR46281:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B-1', 170764),
(227039, 'PTHR43564:SF1', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE-LIKE PROTEIN', 170765),
(227040, 'PTHR31568:SF79', NULL, NULL, NULL, NULL, 'BNAA03G01180D PROTEIN', 170766),
(227041, 'PTHR47958:SF110', NULL, NULL, NULL, NULL, 'BNAANNG06720D PROTEIN', 170767),
(227042, 'PTHR10522', NULL, NULL, NULL, NULL, 'GONADOLIBERIN', 170768),
(227043, 'PTHR31314:SF100', NULL, NULL, NULL, NULL, 'BNAC03G73670D PROTEIN', 170769),
(227044, 'PTHR31238:SF218', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 170770),
(227045, 'PTHR31787:SF5', NULL, NULL, NULL, NULL, 'FRIZZLED/SMOOTHENED-LIKE SANS CRD PROTEIN A', 170771),
(227046, 'PTHR10853:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PELOTA HOMOLOG', 170772),
(227047, 'PTHR10796', NULL, NULL, NULL, NULL, 'PATCHED-RELATED', 170773),
(227048, 'PTHR31246', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-2', 170774),
(227049, 'PTHR16112', NULL, NULL, NULL, NULL, 'METHYL-CPG BINDING PROTEIN, DROSOPHILA', 170775),
(227050, 'PTHR30614:SF7', NULL, NULL, NULL, NULL, 'GLUTAMINE ABC TRANSPORTER PERMEASE PROTEIN GLNM-RELATED', 170776),
(227051, 'PTHR31639:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170777),
(227052, 'PTHR10058', NULL, NULL, NULL, NULL, 'MACROPHAGE COLONY STIMULATING FACTOR', 170778),
(227053, 'PTHR31677:SF124', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 7-LIKE', 170779),
(227054, 'PTHR22941:SF136', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 170780),
(227055, 'PTHR45644:SF28', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY PARTICLE CHAIN RPT6-LIKE PROTEIN', 170781),
(227056, 'PTHR48053:SF53', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 170782),
(227057, 'PTHR47601:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS CCMH-LIKE MITOCHONDRIAL PROTEIN', 170783),
(227058, 'PTHR33257:SF9', NULL, NULL, NULL, NULL, 'OS05G0335500 PROTEIN', 170784),
(227059, 'PTHR34144:SF5', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYLTRANSFERASE CMT1', 170785),
(227060, 'PTHR21553:SF33', NULL, NULL, NULL, NULL, 'CEP295 N-TERMINAL-LIKE PROTEIN', 170786);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(227061, 'PTHR24224:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG21053', 170787),
(227062, 'PTHR33893:SF11', NULL, NULL, NULL, NULL, 'INSULIN RELATED-RELATED', 170788),
(227063, 'PTHR24248:SF16', NULL, NULL, NULL, NULL, 'ALPHA-1A ADRENERGIC RECEPTOR', 170789),
(227064, 'PTHR31306:SF5', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYLTRANSFERASE MNN10-RELATED', 170790),
(227065, 'PTHR33702:SF18', NULL, NULL, NULL, NULL, 'OS01G0308600 PROTEIN', 170791),
(227066, 'PTHR45651:SF58', NULL, NULL, NULL, NULL, 'OS01G0782800 PROTEIN', 170792),
(227067, 'PTHR12707:SF0', NULL, NULL, NULL, NULL, 'PININ', 170793),
(227068, 'PTHR34366:SF5', NULL, NULL, NULL, NULL, 'OS05G0355900 PROTEIN', 170794),
(227069, 'PTHR48057:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170795),
(227070, 'PTHR12714:SF22', NULL, NULL, NULL, NULL, 'PROTEIN-S-ISOPRENYLCYSTEINE O-METHYLTRANSFERASE', 170796),
(227071, 'PTHR46947:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 73', 170797),
(227072, 'PTHR21113:SF4', NULL, NULL, NULL, NULL, 'AGAP001705-PA', 170798),
(227073, 'PTHR10269:SF17', NULL, NULL, NULL, NULL, 'GDNF FAMILY RECEPTOR ALPHA 3', 170799),
(227074, 'PTHR26452:SF396', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 494', 170800),
(227075, 'PTHR12035:SF45', NULL, NULL, NULL, NULL, 'MYELOID CELL SURFACE ANTIGEN CD33', 170801),
(227076, 'PTHR10218:SF328', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT ALPHA-11', 170802),
(227077, 'PTHR47733', NULL, NULL, NULL, NULL, 'ATAXIN-7 LIKE PROTEIN 3B, ATXN7L3B', 170803),
(227078, 'PTHR33788:SF15', NULL, NULL, NULL, NULL, 'BNAC03G27200D PROTEIN', 170804),
(227079, 'PTHR45654:SF71', NULL, NULL, NULL, NULL, 'START DOMAIN, HOMEODOMAIN-LIKE PROTEIN-RELATED', 170805),
(227080, 'PTHR33257:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170806),
(227081, 'PTHR10562:SF68', NULL, NULL, NULL, NULL, 'DI-SUMO-LIKE PROTEIN', 170807),
(227082, 'PTHR44586:SF19', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 170808),
(227083, 'PTHR33347:SF22', NULL, NULL, NULL, NULL, 'BNAA08G19660D PROTEIN', 170809),
(227084, 'PTHR45632:SF13', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 26', 170810),
(227085, 'PTHR46860:SF1', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 2', 170811),
(227086, 'PTHR43539:SF54', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA1-RELATED', 170812),
(227087, 'PTHR19375:SF438', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 14', 170813),
(227088, 'PTHR44240:SF25', NULL, NULL, NULL, NULL, 'BNAA06G25520D PROTEIN', 170814),
(227089, 'PTHR24046:SF4', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE, CUB AND EGF-LIKE DOMAIN-CONTAINING PROTEIN 1', 170815),
(227090, 'PTHR34283:SF6', NULL, NULL, NULL, NULL, 'UP-9A', 170816),
(227091, 'PTHR14359:SF26', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENOYLCYSTEINE DECARBOXYLASE-RELATED', 170817),
(227092, 'PTHR22943:SF251', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 170818),
(227093, 'PTHR11462:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-1', 170819),
(227094, 'PTHR46750:SF1', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR 1', 170820),
(227095, 'PTHR13343:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170821),
(227096, 'PTHR11753', NULL, NULL, NULL, NULL, 'ADAPTOR COMPLEXES SMALL SUBUNIT FAMILY', 170822),
(227097, 'PTHR13773:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE, PHOTORECEPTOR-SPECIFIC', 170823),
(227098, 'PTHR47104:SF3', NULL, NULL, NULL, NULL, 'BNAANNG16210D PROTEIN', 170824),
(227099, 'PTHR22599:SF1', NULL, NULL, NULL, NULL, 'MOB-LIKE PROTEIN PHOCEIN', 170825),
(227100, 'PTHR31972:SF8', NULL, NULL, NULL, NULL, 'OS06G0181800 PROTEIN', 170826),
(227101, 'PTHR10656:SF7', NULL, NULL, NULL, NULL, 'PROTEIN MAB-21-LIKE 4', 170827),
(227102, 'PTHR31730:SF33', NULL, NULL, NULL, NULL, 'D-LACTATE DEHYDROGENASE (DUF668)', 170828),
(227103, 'PTHR43077', NULL, NULL, NULL, NULL, 'TRANSPORT PERMEASE YVFS-RELATED', 170829),
(227104, 'PTHR14435:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 106', 170830),
(227105, 'PTHR31495:SF30', NULL, NULL, NULL, NULL, 'PEROXYGENASE 2', 170831);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(227106, 'PTHR31062:SF207', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 170832),
(227107, 'PTHR11188:SF67', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', 170833),
(227108, 'PTHR24028:SF150', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-8', 170834),
(227109, 'PTHR22847:SF603', NULL, NULL, NULL, NULL, 'PROTEIN WILL DIE SLOWLY', 170835),
(227110, 'PTHR36934', NULL, NULL, NULL, NULL, 'BLR0278 PROTEIN', 170836),
(227111, 'PTHR23350', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY PROTEIN 10', 170837),
(227112, 'PTHR23110:SF97', NULL, NULL, NULL, NULL, 'MODIFIER OF MDG4', 170838),
(227113, 'PTHR21504:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG08471', 170839),
(227114, 'PTHR39466', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 170840),
(227115, 'PTHR24128:SF35', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT33', 170841),
(227116, 'PTHR24089:SF680', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL3-RELATED', 170842),
(227117, 'PTHR43139:SF55', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD-1 DOMAIN-CONTAINING PROTEIN', 170843),
(227118, 'PTHR48053:SF67', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM1', 170844),
(227119, 'PTHR13318:SF89', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP2', 170845),
(227120, 'PTHR46101', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 170846),
(227121, 'PTHR24423:SF625', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE SENSOR 1', 170847),
(227122, 'PTHR32078:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN MDM1', 170848),
(227123, 'PTHR45621:SF173', NULL, NULL, NULL, NULL, 'BNAC01G39330D PROTEIN', 170849),
(227124, 'PTHR27006:SF212', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170850),
(227125, 'PTHR15157:SF5', NULL, NULL, NULL, NULL, 'UV RADIATION RESISTANCE-ASSOCIATED GENE PROTEIN', 170851),
(227126, 'PTHR11746:SF227', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE-LIKE', 170852),
(227127, 'PTHR45792:SF2', NULL, NULL, NULL, NULL, 'SN1-SPECIFIC DIACYLGLYCEROL LIPASE BETA', 170853),
(227128, 'PTHR45709:SF2', NULL, NULL, NULL, NULL, 'LARGE SUBUNIT GTPASE 1 HOMOLOG', 170854),
(227129, 'PTHR19368:SF9', NULL, NULL, NULL, NULL, 'X-LINKED LYMPHOCYTE-REGULATED 5A-RELATED', 170855),
(227130, 'PTHR31790:SF413', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170856),
(227131, 'PTHR11132:SF333', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-LIKE', 170857),
(227132, 'PTHR24284:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 170858),
(227133, 'PTHR10000:SF25', NULL, NULL, NULL, NULL, 'PHOSPHATASE YKRA-RELATED', 170859),
(227134, 'PTHR21659:SF21', NULL, NULL, NULL, NULL, 'OS06G0651900 PROTEIN', 170860),
(227135, 'PTHR45631:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170861),
(227136, 'PTHR16266:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170862),
(227137, 'PTHR24096:SF392', NULL, NULL, NULL, NULL, 'BNAC07G15330D PROTEIN', 170863),
(227138, 'PTHR31388:SF11', NULL, NULL, NULL, NULL, 'PEROXIDASE', 170864),
(227139, 'PTHR24377:SF691', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 773', 170865),
(227140, 'PTHR47664:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170866),
(227141, 'PTHR31175:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170867),
(227142, 'PTHR47941:SF6', NULL, NULL, NULL, NULL, 'OS01G0546700 PROTEIN', 170868),
(227143, 'PTHR46980', NULL, NULL, NULL, NULL, 'TRICALBIN-1-RELATED', 170869),
(227144, 'PTHR45635:SF8', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN ER-ANT1', 170870),
(227145, 'PTHR31945:SF82', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ICE1', 170871),
(227146, 'PTHR12214', NULL, NULL, NULL, NULL, 'GC-RICH SEQUENCE DNA-BINDING FACTOR', 170872),
(227147, 'PTHR34830:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN MGC34837', 170873),
(227148, 'PTHR19134:SF433', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE ALPHA', 170874),
(227149, 'PTHR43601:SF9', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 1-3, CHLOROPLASTIC', 170875),
(227150, 'PTHR12022:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7-1', 170876);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(227151, 'PTHR46236:SF12', NULL, NULL, NULL, NULL, 'BNAC04G52710D PROTEIN', 170877),
(227152, 'PTHR14948', NULL, NULL, NULL, NULL, 'NG5', 170878),
(227153, 'PTHR34395:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170879),
(227154, 'PTHR22574:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAM71F2', 170880),
(227155, 'PTHR33769:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 26', 170881),
(227156, 'PTHR16675:SF232', NULL, NULL, NULL, NULL, 'UL-16 BINDING PROTEIN 5', 170882),
(227157, 'PTHR10302:SF13', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN, MITOCHONDRIAL', 170883),
(227158, 'PTHR12002:SF32', NULL, NULL, NULL, NULL, 'CLAUDIN', 170884),
(227159, 'PTHR31235:SF176', NULL, NULL, NULL, NULL, 'OS07G0156910 PROTEIN', 170885),
(227160, 'PTHR13105:SF15', NULL, NULL, NULL, NULL, 'MYELOID LEUKEMIA FACTOR 1', 170886),
(227161, 'PTHR30353:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 170887),
(227162, 'PTHR31356:SF42', NULL, NULL, NULL, NULL, 'HAEM PEROXIDASE, PLANT/FUNGAL/BACTERIAL', 170888),
(227163, 'PTHR12722:SF3', NULL, NULL, NULL, NULL, 'BNAA04G11980D PROTEIN', 170889),
(227164, 'PTHR10915', NULL, NULL, NULL, NULL, 'SYNDECAN', 170890),
(227165, 'PTHR48002:SF11', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 170891),
(227166, 'PTHR15315:SF75', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 170892),
(227167, 'PTHR47998:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WER', 170893),
(227168, 'PTHR19328:SF68', NULL, NULL, NULL, NULL, 'HIPL1 PROTEIN', 170894),
(227169, 'PTHR10353:SF280', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 12', 170895),
(227170, 'PTHR43434:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00760)-RELATED', 170896),
(227171, 'PTHR31080:SF216', NULL, NULL, NULL, NULL, 'KDA PROTEIN, PUTATIVE-RELATED', 170897),
(227172, 'PTHR11851:SF208', NULL, NULL, NULL, NULL, 'BNAA05G15080D PROTEIN', 170898),
(227173, 'PTHR10933:SF16', NULL, NULL, NULL, NULL, 'PP2A REGULATORY SUBUNIT TAP46', 170899),
(227174, 'PTHR46209:SF2', NULL, NULL, NULL, NULL, 'SORTING NEXIN-10', 170900),
(227175, 'PTHR34427', NULL, NULL, NULL, NULL, 'DUF4283 DOMAIN PROTEIN', 170901),
(227176, 'PTHR24416:SF390', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR RECEPTOR 1', 170902),
(227177, 'PTHR23267:SF433', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 2-18', 170903),
(227178, 'PTHR31500:SF99', NULL, NULL, NULL, NULL, 'BNAC04G26040D PROTEIN', 170904),
(227179, 'PTHR11377:SF7', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE 1', 170905),
(227180, 'PTHR47365:SF1', NULL, NULL, NULL, NULL, 'PLANT PROTEIN, PUTATIVE-RELATED', 170906),
(227181, 'PTHR31889:SF9', NULL, NULL, NULL, NULL, 'OS06G0212600 PROTEIN', 170907),
(227182, 'PTHR22847:SF709', NULL, NULL, NULL, NULL, 'SI:CH211-154O6.3', 170908),
(227183, 'PTHR45642:SF42', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL3-LIKE ISOFORM X1', 170909),
(227184, 'PTHR12526:SF577', NULL, NULL, NULL, NULL, 'GDP-MANNOSE-DEPENDENT ALPHA-(1-6)-PHOSPHATIDYLINOSITOL MONOMANNOSIDE MANNOSYLTRANSFERASE', 170910),
(227185, 'PTHR21104', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 170911),
(227186, 'PTHR31232:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170912),
(227187, 'PTHR38394', NULL, NULL, NULL, NULL, 'NEUROFILAMENT LIGHT PROTEIN', 170913),
(227188, 'PTHR21668:SF16', NULL, NULL, NULL, NULL, 'BNAC06G03140D PROTEIN', 170914),
(227189, 'PTHR34126:SF8', NULL, NULL, NULL, NULL, 'BNACNNG26350D PROTEIN', 170915),
(227190, 'PTHR45866:SF7', NULL, NULL, NULL, NULL, 'DNA GYRASE SUBUNIT B, CHLOROPLASTIC', 170916),
(227191, 'PTHR43763:SF11', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE APEPP', 170917),
(227192, 'PTHR31645:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170918),
(227193, 'PTHR26452:SF117', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 490', 170919),
(227194, 'PTHR11017:SF224', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 170920),
(227195, 'PTHR31815', NULL, NULL, NULL, NULL, 'AGAP005329-PA', 170921),
(227196, 'PTHR45580:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG05737', 170922);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(227197, 'PTHR11487', NULL, NULL, NULL, NULL, 'THIOESTERASE', 170923),
(227198, 'PTHR11523:SF28', NULL, NULL, NULL, NULL, 'AT04468P-RELATED', 170924),
(227199, 'PTHR35167:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170925),
(227200, 'PTHR33621:SF3', NULL, NULL, NULL, NULL, 'LISH DOMAIN-LIKE PROTEIN', 170926),
(227201, 'PTHR43385:SF1', NULL, NULL, NULL, NULL, 'RIBOFLAVIN TRANSPORTER RIBJ', 170927),
(227202, 'PTHR47074:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170928),
(227203, 'PTHR23102:SF24', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION-SPECIFIC FACTOR 4', 170929),
(227204, 'PTHR11530:SF15', NULL, NULL, NULL, NULL, 'D-AMINO-ACID OXIDASE', 170930),
(227205, 'PTHR24131', NULL, NULL, NULL, NULL, 'APOPTOSIS-STIMULATING OF P53 PROTEIN', 170931),
(227206, 'PTHR20859:SF81', NULL, NULL, NULL, NULL, 'INTERLEUKIN 10 RECEPTOR, ALPHA', 170932),
(227207, 'PTHR22870:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170933),
(227208, 'PTHR10378:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SLK2-RELATED', 170934),
(227209, 'PTHR48017:SF99', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 170935),
(227210, 'PTHR35546:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170936),
(227211, 'PTHR15503:SF4', NULL, NULL, NULL, NULL, 'PROTEIN BOP', 170937),
(227212, 'PTHR11690:SF177', NULL, NULL, NULL, NULL, 'EGF PLUS ASC DOMAIN ION CHANNEL', 170938),
(227213, 'PTHR48021:SF63', NULL, NULL, NULL, NULL, 'GH07001P-RELATED', 170939),
(227214, 'PTHR33124:SF45', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', 170940),
(227215, 'PTHR46699:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE', 170941),
(227216, 'PTHR31720:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS Z', 170942),
(227217, 'PTHR46756:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170943),
(227218, 'PTHR30540:SF15', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 19', 170944),
(227219, 'PTHR45842:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT, IMMUNOGLOBULIN-LIKE DOMAIN AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', 170945),
(227220, 'PTHR35541:SF1', NULL, NULL, NULL, NULL, 'RAD9, HUS1, RAD1-INTERACTING NUCLEAR ORPHAN PROTEIN 1', 170946),
(227221, 'PTHR10131:SF69', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR FAMILY PROTEIN DDB_G0273435/DDB_G0273505', 170947),
(227222, 'PTHR11690:SF179', NULL, NULL, NULL, NULL, 'PICKPOCKET 10-RELATED', 170948),
(227223, 'PTHR36493:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170949),
(227224, 'PTHR34280:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170950),
(227225, 'PTHR32219:SF17', NULL, NULL, NULL, NULL, 'BNAC07G50300D PROTEIN', 170951),
(227226, 'PTHR33026', NULL, NULL, NULL, NULL, 'OS06G0360600 PROTEIN', 170952),
(227227, 'PTHR43072:SF26', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, GNAT FAMILY PROTEIN, EXPRESSED', 170953),
(227228, 'PTHR11679:SF65', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT SEC1B', 170954),
(227229, 'PTHR43002:SF6', NULL, NULL, NULL, NULL, 'ISOAMYLASE 2, CHLOROPLASTIC', 170955),
(227230, 'PTHR47928:SF34', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN, DYW DOMAIN PROTEIN-RELATED', 170956),
(227231, 'PTHR24103:SF643', NULL, NULL, NULL, NULL, 'SI:CH73-54F23.4', 170957),
(227232, 'PTHR34460:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170958),
(227233, 'PTHR22914:SF20', NULL, NULL, NULL, NULL, 'SYNTHASE 2, PUTATIVE-RELATED', 170959),
(227234, 'PTHR22647:SF2', NULL, NULL, NULL, NULL, 'SH3 DOMAIN AND TETRATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 2', 170960),
(227235, 'PTHR38811', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 170961),
(227236, 'PTHR31307:SF41', NULL, NULL, NULL, NULL, 'FRIGIDA INTERACTING PROTEIN 2', 170962),
(227237, 'PTHR30461:SF3', NULL, NULL, NULL, NULL, 'DNA RECOMBINASE-RELATED', 170963),
(227238, 'PTHR42748:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170964),
(227239, 'PTHR34779:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170965),
(227240, 'PTHR47958:SF111', NULL, NULL, NULL, NULL, 'DEAD (ASP-GLU-ALA-ASP) BOX POLYPEPTIDE 43', 170966);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(227241, 'PTHR38386:SF5', NULL, NULL, NULL, NULL, 'OS01G0877900 PROTEIN', 170967),
(227242, 'PTHR24221:SF506', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 4', 170968),
(227243, 'PTHR37524:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE M', 170969),
(227244, 'PTHR31050:SF0', NULL, NULL, NULL, NULL, 'OS08G0412800 PROTEIN', 170970),
(227245, 'PTHR43939:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170971),
(227246, 'PTHR45652:SF3', NULL, NULL, NULL, NULL, 'NEUROFILAMENT MEDIUM POLYPEPTIDE', 170972),
(227247, 'PTHR47649', NULL, NULL, NULL, NULL, 'RIBONUCLEASE D', 170973),
(227248, 'PTHR11709:SF352', NULL, NULL, NULL, NULL, 'LACCASE', 170974),
(227249, 'PTHR23033:SF14', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1-RELATED', 170975),
(227250, 'PTHR36721', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', 170976),
(227251, 'PTHR11787:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170977),
(227252, 'PTHR48061:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170978),
(227253, 'PTHR45863:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', 170979),
(227254, 'PTHR34403:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG06366', 170980),
(227255, 'PTHR43649', NULL, NULL, NULL, NULL, 'ARABINOSE-BINDING PROTEIN-RELATED', 170981),
(227256, 'PTHR46325:SF12', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC11-LIKE ISOFORM X1', 170982),
(227257, 'PTHR46776:SF18', NULL, NULL, NULL, NULL, 'BNAC04G12110D PROTEIN', 170983),
(227258, 'PTHR22734:SF2', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RIBONUCLEOPROTEIN PROTEIN IMP4', 170984),
(227259, 'PTHR13680:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170985),
(227260, 'PTHR32285:SF309', NULL, NULL, NULL, NULL, 'PMR5 N-TERMINAL DOMAIN, PC-ESTERASE-RELATED', 170986),
(227261, 'PTHR11035', NULL, NULL, NULL, NULL, 'PTPLA DOMAIN PROTEIN', 170987),
(227262, 'PTHR23042:SF48', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR NUCLEAR TRANSLOCATOR-LIKE PROTEIN 2', 170988),
(227263, 'PTHR24168', NULL, NULL, NULL, NULL, 'KN MOTIF AND ANKYRIN REPEAT DOMAIN-CONTAINING', 170989),
(227264, 'PTHR22770:SF32', NULL, NULL, NULL, NULL, 'HELICASE CONSERVED C-TERMINAL DOMAIN CONTAINING PROTEIN', 170990),
(227265, 'PTHR17571', NULL, NULL, NULL, NULL, 'URINARY PROTEIN  RUP /ACROSOMAL PROTEIN SP-10', 170991),
(227266, 'PTHR11537:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170992),
(227267, 'PTHR43016:SF15', NULL, NULL, NULL, NULL, 'BNAA01G26230D PROTEIN', 170993),
(227268, 'PTHR10634:SF116', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 10', 170994),
(227269, 'PTHR31828:SF34', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA-LIKE', 170995),
(227270, 'PTHR12083:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 170996),
(227271, 'PTHR22589:SF102', NULL, NULL, NULL, NULL, 'CARNITINE PALMITOYLTRANSFERASE 1A (LIVER)', 170997),
(227272, 'PTHR24093:SF435', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE CALCIUM-TRANSPORTING ATPASE 4', 170998),
(227273, 'PTHR42826', NULL, NULL, NULL, NULL, 'DICARBOXYLATE TRANSPORTER 2.1, CHLOROPLASTIC', 170999),
(227274, 'PTHR46458:SF9', NULL, NULL, NULL, NULL, 'BLR2807 PROTEIN', 171000),
(227275, 'PTHR45614:SF3', NULL, NULL, NULL, NULL, 'OS06G0637500 PROTEIN', 171001),
(227276, 'PTHR11570:SF19', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', 171002),
(227277, 'PTHR15239:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171003),
(227278, 'PTHR24032:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171004),
(227279, 'PTHR23087:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171005),
(227280, 'PTHR12612:SF37', NULL, NULL, NULL, NULL, 'BNAC03G58210D PROTEIN', 171006),
(227281, 'PTHR24103:SF625', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 69', 171007),
(227282, 'PTHR10652:SF14', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', 171008),
(227283, 'PTHR20275:SF37', NULL, NULL, NULL, NULL, 'BNAC02G25050D PROTEIN', 171009); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(227284, 'PTHR22969:SF15', NULL, NULL, NULL, NULL, 'FI05319P-RELATED', 171010),
(227285, 'PTHR45645:SF37', NULL, NULL, NULL, NULL, 'CUB DOMAIN-CONTAINING PROTEIN 2', 171011),
(227286, 'PTHR16771:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171012),
(227287, 'PTHR19854:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171013),
(227288, 'PTHR27006:SF395', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171014),
(227289, 'PTHR31949:SF12', NULL, NULL, NULL, NULL, 'BNAC01G39250D PROTEIN', 171015),
(227290, 'PTHR15663:SF4', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 9', 171016),
(227291, 'PTHR38479:SF2', NULL, NULL, NULL, NULL, 'LMO0824 PROTEIN', 171017),
(227292, 'PTHR47616', NULL, NULL, NULL, NULL, 'CHOLESTERYL ESTER TRANSFER PROTEIN', 171018),
(227293, 'PTHR45687:SF72', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-3-RELATED', 171019),
(227294, 'PTHR10529:SF357', NULL, NULL, NULL, NULL, 'ASSEMBLY PROTEIN AP47, PUTATIVE-RELATED', 171020),
(227295, 'PTHR11481:SF60', NULL, NULL, NULL, NULL, 'MUSCLE M-LINE ASSEMBLY PROTEIN UNC-89', 171021),
(227296, 'PTHR31852:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171022),
(227297, 'PTHR31374:SF298', NULL, NULL, NULL, NULL, 'BNACNNG23650D PROTEIN', 171023),
(227298, 'PTHR43670:SF68', NULL, NULL, NULL, NULL, 'BNAC02G02530D PROTEIN', 171024),
(227299, 'PTHR11078', NULL, NULL, NULL, NULL, 'N UTILIZATION SUBSTANCE PROTEIN B-RELATED', 171025),
(227300, 'PTHR22952:SF396', NULL, NULL, NULL, NULL, 'G-BOX-BINDING FACTOR 4', 171026),
(227301, 'PTHR24245:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171027),
(227302, 'PTHR33177:SF32', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 171028),
(227303, 'PTHR13024:SF2', NULL, NULL, NULL, NULL, 'MICROSOMAL TRIGLYCERIDE TRANSFER PROTEIN LARGE SUBUNIT-LIKE PROTEIN', 171029),
(227304, 'PTHR26451:SF49', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10Z1', 171030),
(227305, 'PTHR46443:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171031),
(227306, 'PTHR20981:SF31', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L21-1', 171032),
(227307, 'PTHR31852:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171033),
(227308, 'PTHR24245:SF7', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 78', 171034),
(227309, 'PTHR10795:SF718', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171035),
(227310, 'PTHR43451', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE (GNAT) FAMILY PROTEIN', 171036),
(227311, 'PTHR11157:SF122', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN A-LIKE', 171037),
(227312, 'PTHR12743:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C HEME LYASE', 171038),
(227313, 'PTHR18945:SF811', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 3E', 171039),
(227314, 'PTHR10283:SF125', NULL, NULL, NULL, NULL, 'CITRATE TRANSPORTER', 171040),
(227315, 'PTHR24329:SF546', NULL, NULL, NULL, NULL, 'ARISTALESS (DROSOPHILA HOMEODOMAIN) RELATED', 171041),
(227316, 'PTHR43485', NULL, NULL, NULL, NULL, 'HYDROGENASE-4 COMPONENT G', 171042),
(227317, 'PTHR21552', NULL, NULL, NULL, NULL, 'ADULT RETINA PROTEIN', 171043),
(227318, 'PTHR14379:SF43', NULL, NULL, NULL, NULL, 'BNAA05G18550D PROTEIN', 171044),
(227319, 'PTHR47924:SF34', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 171045),
(227320, 'PTHR24559:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171046),
(227321, 'PTHR45694:SF11', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C6', 171047),
(227322, 'PTHR18934:SF81', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DEAH11, CHLOROPLASTIC-RELATED', 171048),
(227323, 'PTHR43833', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL PROTEIN 2-RELATED-RELATED', 171049),
(227324, 'PTHR31190:SF226', NULL, NULL, NULL, NULL, 'BNAC04G53270D PROTEIN', 171050),
(227325, 'PTHR12084:SF0', NULL, NULL, NULL, NULL, 'NUCLEOPORIN 62-LIKE', 171051),
(227326, 'PTHR21599', NULL, NULL, NULL, NULL, 'GLYCERATE KINASE', 171052),
(227327, 'PTHR46571:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN-8', 171053),
(227328, 'PTHR47946:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', 171054);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(227329, 'PTHR36006', NULL, NULL, NULL, NULL, 'BNAC02G25390D PROTEIN', 171055),
(227330, 'PTHR34803', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 171056),
(227331, 'PTHR11002:SF42', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 1', 171057),
(227332, 'PTHR24287:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE APDE-RELATED', 171058),
(227333, 'PTHR31388:SF169', NULL, NULL, NULL, NULL, 'PEROXIDASE', 171059),
(227334, 'PTHR31087:SF109', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 171060),
(227335, 'PTHR16228:SF26', NULL, NULL, NULL, NULL, 'AGAP000663-PA', 171061),
(227336, 'PTHR33675:SF6', NULL, NULL, NULL, NULL, 'OS01G0182500 PROTEIN', 171062),
(227337, 'PTHR31578:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG21223', 171063),
(227338, 'PTHR45974:SF146', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 171064),
(227339, 'PTHR10378', NULL, NULL, NULL, NULL, 'LIM DOMAIN-BINDING PROTEIN', 171065),
(227340, 'PTHR11926:SF1202', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 79', 171066),
(227341, 'PTHR11252:SF9', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE NUCLEOTIDYLTRANSFERASE 1, MITOCHONDRIAL', 171067),
(227342, 'PTHR48125:SF3', NULL, NULL, NULL, NULL, 'BLR3067 PROTEIN', 171068),
(227343, 'PTHR36916', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 171069),
(227344, 'PTHR23023:SF263', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 171070),
(227345, 'PTHR23201:SF107', NULL, NULL, NULL, NULL, 'BNACNNG52390D PROTEIN', 171071),
(227346, 'PTHR32243:SF52', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE SUGAR TRANSPORT PROTEIN-RELATED', 171072),
(227347, 'PTHR45614:SF122', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', 171073),
(227348, 'PTHR10578', NULL, NULL, NULL, NULL, 'S -2-HYDROXY-ACID OXIDASE-RELATED', 171074),
(227349, 'PTHR31355:SF20', NULL, NULL, NULL, NULL, 'TORTIFOLIA1-LIKE PROTEIN 1', 171075),
(227350, 'PTHR13356:SF0', NULL, NULL, NULL, NULL, 'SOSS COMPLEX SUBUNIT B HOMOLOG', 171076),
(227351, 'PTHR10980:SF15', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 2', 171077),
(227352, 'PTHR31683:SF118', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 171078),
(227353, 'PTHR45728:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG00376', 171079),
(227354, 'PTHR22814:SF288', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 44', 171080),
(227355, 'PTHR23024:SF517', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171081),
(227356, 'PTHR33067:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171082),
(227357, 'PTHR12210:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171083),
(227358, 'PTHR13451:SF0', NULL, NULL, NULL, NULL, 'CROSSOVER JUNCTION ENDONUCLEASE MUS81', 171084),
(227359, 'PTHR46709:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG09737', 171085),
(227360, 'PTHR31394', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 199', 171086),
(227361, 'PTHR11839:SF28', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 27, CHLOROPLASTIC', 171087),
(227362, 'PTHR19944:SF97', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DR BETA 5 CHAIN', 171088),
(227363, 'PTHR14122:SF1', NULL, NULL, NULL, NULL, 'APPETITE-REGULATING HORMONE', 171089),
(227364, 'PTHR11615:SF264', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1F1', 171090),
(227365, 'PTHR22298:SF108', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 171091),
(227366, 'PTHR31169:SF19', NULL, NULL, NULL, NULL, 'ZINC-FINGER DOMAIN OF MONOAMINE-OXIDASE A REPRESSOR R1-RELATED', 171092),
(227367, 'PTHR14401:SF6', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN K', 171093),
(227368, 'PTHR24031:SF634', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX18', 171094),
(227369, 'PTHR45793:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TTX-1', 171095),
(227370, 'PTHR21637:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171096),
(227371, 'PTHR42778', NULL, NULL, NULL, NULL, '2-AMINOETHYLPHOSPHONATE--PYRUVATE TRANSAMINASE', 171097),
(227372, 'PTHR36447', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE GANA', 171098),
(227373, 'PTHR33021:SF305', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 171099);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(227374, 'PTHR18866:SF126', NULL, NULL, NULL, NULL, 'ACETYL-/PROPIONYL-COENZYME A CARBOXYLASE ALPHA CHAIN (ALPHA SUBUNIT) ACCA2: BIOTIN CARBOXYLASE + BIOTIN CARBOXYL CARRIER PROTEIN (BCCP)-RELATED', 171100),
(227375, 'PTHR47975:SF11', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 6', 171101),
(227376, 'PTHR36801:SF3', NULL, NULL, NULL, NULL, 'OS06G0150200 PROTEIN', 171102),
(227377, 'PTHR14950:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171103),
(227378, 'PTHR10263:SF49', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C3', 171104),
(227379, 'PTHR34399', NULL, NULL, NULL, NULL, 'AVIDIN-RELATED', 171105),
(227380, 'PTHR24064:SF481', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 3', 171106),
(227381, 'PTHR45844:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH30', 171107),
(227382, 'PTHR10179:SF34', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 3', 171108),
(227383, 'PTHR12612:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171109),
(227384, 'PTHR24296:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171110),
(227385, 'PTHR48001:SF136', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 171111),
(227386, 'PTHR47504:SF5', NULL, NULL, NULL, NULL, 'RIGHT ORIGIN-BINDING PROTEIN', 171112),
(227387, 'PTHR13502', NULL, NULL, NULL, NULL, 'CDC42 SMALL EFFECTOR PROTEIN HOMOLOG', 171113),
(227388, 'PTHR14413', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L17', 171114),
(227389, 'PTHR19842:SF0', NULL, NULL, NULL, NULL, 'TARGET OF RAPAMYCIN COMPLEX SUBUNIT LST8', 171115),
(227390, 'PTHR22854:SF18', NULL, NULL, NULL, NULL, 'ALDOLASE-TYPE TIM BARREL FAMILY PROTEIN-RELATED', 171116),
(227391, 'PTHR33207:SF54', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 171117),
(227392, 'PTHR46043:SF11', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 171118),
(227393, 'PTHR32467:SF118', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-7', 171119),
(227394, 'PTHR43763', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE 1', 171120),
(227395, 'PTHR47991:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171121),
(227396, 'PTHR47107', NULL, NULL, NULL, NULL, 'SVF1-LIKE PROTEIN YDR222W-RELATED', 171122),
(227397, 'PTHR21022:SF25', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE 4, CHLOROPLASTIC', 171123),
(227398, 'PTHR10465', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GTPASE FZO1', 171124),
(227399, 'PTHR46152:SF1', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR-INTERACTING RAS-LIKE PROTEIN 1', 171125),
(227400, 'PTHR39615:SF1', NULL, NULL, NULL, NULL, 'YALI0E17897P', 171126),
(227401, 'PTHR47406', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR 5/8 TYPE, C-TERMINAL', 171127),
(227402, 'PTHR15852:SF29', NULL, NULL, NULL, NULL, 'PLASTID TRANSCRIPTIONALLY ACTIVE PROTEIN', 171128),
(227403, 'PTHR11820:SF90', NULL, NULL, NULL, NULL, 'FLUTATHIONE S-TRANSFERASE-RELATED', 171129),
(227404, 'PTHR34553:SF2', NULL, NULL, NULL, NULL, 'OS05G0597400 PROTEIN', 171130),
(227405, 'PTHR11017:SF312', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 171131),
(227406, 'PTHR11746:SF228', NULL, NULL, NULL, NULL, 'ISOFLAVONE 4''-O-METHYLTRANSFERASE', 171132),
(227407, 'PTHR12526:SF566', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSYLGLUCOSYLDIACYLGLYCEROL SYNTHASE', 171133),
(227408, 'PTHR22891:SF154', NULL, NULL, NULL, NULL, 'RNA INTERFERENCE PROMOTING FACTOR RDE-1', 171134),
(227409, 'PTHR12630:SF19', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE RECEPTOR BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 171135),
(227410, 'PTHR16024:SF16', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 4', 171136),
(227411, 'PTHR36077', NULL, NULL, NULL, NULL, 'BNAA02G07370D PROTEIN', 171137),
(227412, 'PTHR33351:SF1', NULL, NULL, NULL, NULL, 'HISACTOPHILIN-1-RELATED', 171138),
(227413, 'PTHR47979:SF51', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB2BV-LIKE', 171139),
(227414, 'PTHR11945:SF592', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL14', 171140),
(227415, 'PTHR10740:SF4', NULL, NULL, NULL, NULL, 'PROHEPARIN-BINDING EGF-LIKE GROWTH FACTOR', 171141);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(227416, 'PTHR18879', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 290 KDA', 171142),
(227417, 'PTHR24068:SF366', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-17 KDA-LIKE', 171143),
(227418, 'PTHR11394:SF51', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 116', 171144),
(227419, 'PTHR45680:SF29', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 171145),
(227420, 'PTHR14025:SF20', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP M PROTEIN', 171146),
(227421, 'PTHR45760:SF9', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN MTM1', 171147),
(227422, 'PTHR40387:SF4', NULL, NULL, NULL, NULL, 'T0192810 ISOFORM 2', 171148),
(227423, 'PTHR45931', NULL, NULL, NULL, NULL, 'SI:CH211-59O9.10', 171149),
(227424, 'PTHR14255:SF1', NULL, NULL, NULL, NULL, 'SULFITE EXPORTER TAUE/SAFE FAMILY PROTEIN 3', 171150),
(227425, 'PTHR10210:SF48', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 3', 171151),
(227426, 'PTHR36562:SF7', NULL, NULL, NULL, NULL, 'LYSOZYME C', 171152),
(227427, 'PTHR31681:SF78', NULL, NULL, NULL, NULL, 'BNAC06G01230D PROTEIN', 171153),
(227428, 'PTHR13690:SF139', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RF2B', 171154),
(227429, 'PTHR48019:SF59', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 57', 171155),
(227430, 'PTHR38147', NULL, NULL, NULL, NULL, '5-FORMAMINOIMIDAZOLE-4-CARBOXAMIDE-1-(BETA)-D-RIBOFURANOSYL 5''-MONOPHOSPHATE SYNTHETASE-RELATED', 171156),
(227431, 'PTHR13234:SF48', NULL, NULL, NULL, NULL, 'GAMMA INTERFERON RESPONSIVE LYSOSOMAL THIOL (GILT) REDUCTASE FAMILY PROTEIN', 171157),
(227432, 'PTHR32212:SF302', NULL, NULL, NULL, NULL, 'BNAC03G13550D PROTEIN', 171158),
(227433, 'PTHR45947:SF6', NULL, NULL, NULL, NULL, 'GROUP 1 FAMILY GLYCOSYLTRANSFERASE', 171159),
(227434, 'PTHR15073:SF3', NULL, NULL, NULL, NULL, 'MAP7 DOMAIN-CONTAINING PROTEIN 2', 171160),
(227435, 'PTHR15813:SF8', NULL, NULL, NULL, NULL, 'SORTING NEXIN-22', 171161),
(227436, 'PTHR35872:SF2', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G07110)', 171162),
(227437, 'PTHR12320:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PHOSPHATASE FAMILY 2C', 171163),
(227438, 'PTHR47287:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 1-LIKE', 171164),
(227439, 'PTHR15020:SF44', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING DOMAIN', 171165),
(227440, 'PTHR10666:SF301', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 11-LIKE', 171166),
(227441, 'PTHR16247', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9430015G10 GENE', 171167),
(227442, 'PTHR24206:SF22', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN PLIM2B', 171168),
(227443, 'PTHR24044:SF419', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171169),
(227444, 'PTHR31708:SF0', NULL, NULL, NULL, NULL, 'ABPBG26-RELATED', 171170),
(227445, 'PTHR24073:SF960', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5C', 171171),
(227446, 'PTHR33021:SF234', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 7', 171172),
(227447, 'PTHR10572:SF27', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE 2', 171173),
(227448, 'PTHR19868:SF12', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-LIKE PROTEIN', 171174),
(227449, 'PTHR10877:SF134', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY DISEASE PROTEIN 1-LIKE 2', 171175),
(227450, 'PTHR31942:SF107', NULL, NULL, NULL, NULL, 'BNAC08G14830D PROTEIN', 171176),
(227451, 'PTHR10579:SF114', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', 171177),
(227452, 'PTHR45687:SF30', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-1', 171178),
(227453, 'PTHR24418:SF42', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE LYN', 171179),
(227454, 'PTHR24326:SF590', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-5', 171180),
(227455, 'PTHR12864:SF46', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 3', 171181),
(227456, 'PTHR32246:SF21', NULL, NULL, NULL, NULL, 'OS02G0518000 PROTEIN', 171182),
(227457, 'PTHR48053:SF12', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID LRR RECEPTOR KINASE BRL1', 171183),
(227458, 'PTHR22880:SF20', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 3', 171184);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(227459, 'PTHR22936:SF73', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 2', 171185),
(227460, 'PTHR23420:SF3', NULL, NULL, NULL, NULL, 'S-ADENOSYLHOMOCYSTEINE HYDROLASE-LIKE PROTEIN 1', 171186),
(227461, 'PTHR10579:SF105', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', 171187),
(227462, 'PTHR11927:SF2', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE 2', 171188),
(227463, 'PTHR31807:SF43', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 171189),
(227464, 'PTHR27008:SF332', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171190),
(227465, 'PTHR30529:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME B561', 171191),
(227466, 'PTHR24399:SF7', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA 6 PROTEIN HOMOLOG', 171192),
(227467, 'PTHR36400:SF2', NULL, NULL, NULL, NULL, 'BNAANNG05650D PROTEIN', 171193),
(227468, 'PTHR36402:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 171194),
(227469, 'PTHR21562:SF99', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 171195),
(227470, 'PTHR31718:SF40', NULL, NULL, NULL, NULL, 'OS10G0361900 PROTEIN', 171196),
(227471, 'PTHR10127:SF837', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 171197),
(227472, 'PTHR23409:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171198),
(227473, 'PTHR48018:SF23', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 171199),
(227474, 'PTHR21229:SF59', NULL, NULL, NULL, NULL, 'BNAA05G28910D PROTEIN', 171200),
(227475, 'PTHR11206:SF130', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 171201),
(227476, 'PTHR43840:SF15', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL METAL TRANSPORTER 1-RELATED', 171202),
(227477, 'PTHR48011:SF48', NULL, NULL, NULL, NULL, 'BNAA05G11450D PROTEIN', 171203),
(227478, 'PTHR48021:SF34', NULL, NULL, NULL, NULL, 'FACILITATED TREHALOSE TRANSPORTER TRET1-2 HOMOLOG-LIKE PROTEIN', 171204),
(227479, 'PTHR20913:SF7', NULL, NULL, NULL, NULL, 'RE60063P', 171205),
(227480, 'PTHR45897:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171206),
(227481, 'PTHR24055:SF397', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 171207),
(227482, 'PTHR10527:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171208),
(227483, 'PTHR45752:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171209),
(227484, 'PTHR31777:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 169', 171210),
(227485, 'PTHR10108:SF1101', NULL, NULL, NULL, NULL, 'OS01G0828300 PROTEIN', 171211),
(227486, 'PTHR45786:SF51', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 171212),
(227487, 'PTHR26453:SF655', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 171213),
(227488, 'PTHR47939:SF3', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 171214),
(227489, 'PTHR43496', NULL, NULL, NULL, NULL, 'PROTEIN LPLB', 171215),
(227490, 'PTHR31125:SF9', NULL, NULL, NULL, NULL, 'BNAC01G14450D PROTEIN', 171216),
(227491, 'PTHR47580:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', 171217),
(227492, 'PTHR48019:SF45', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL12', 171218),
(227493, 'PTHR43649:SF16', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERIPLASMIC-BINDING PROTEIN YCJN-RELATED', 171219),
(227494, 'PTHR24286:SF275', NULL, NULL, NULL, NULL, 'ACID OXIDASE, PUTATIVE-RELATED', 171220),
(227495, 'PTHR21726:SF65', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 171221),
(227496, 'PTHR18952:SF176', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 171222),
(227497, 'PTHR24326:SF533', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-53', 171223),
(227498, 'PTHR33913:SF1', NULL, NULL, NULL, NULL, 'ALEURONE LAYER MORPHOGENESIS PROTEIN', 171224),
(227499, 'PTHR10529:SF360', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT MU', 171225),
(227500, 'PTHR11886:SF78', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 171226),
(227501, 'PTHR22298:SF117', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 171227),
(227502, 'PTHR36864:SF1', NULL, NULL, NULL, NULL, 'CANCER-ASSOCIATED GENE 1 PROTEIN', 171228),
(227503, 'PTHR28630:SF23', NULL, NULL, NULL, NULL, 'THIOREDOXIN SUPERFAMILY PROTEIN', 171229);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(227504, 'PTHR24061:SF398', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 111-RELATED', 171230),
(227505, 'PTHR32329:SF8', NULL, NULL, NULL, NULL, 'ACTIVATOR OF (R)-2-HYDROXYGLUTARYL-COA DEHYDRATASE', 171231),
(227506, 'PTHR22826:SF49', NULL, NULL, NULL, NULL, 'KALIRIN', 171232),
(227507, 'PTHR31367:SF0', NULL, NULL, NULL, NULL, 'CYTOSOLIC 5''-NUCLEOTIDASE 1B', 171233),
(227508, 'PTHR10361:SF29', NULL, NULL, NULL, NULL, 'SODIUM/BILE ACID COTRANSPORTER 5', 171234),
(227509, 'PTHR46115', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN 1', 171235),
(227510, 'PTHR47925:SF4', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 171236),
(227511, 'PTHR31941:SF11', NULL, NULL, NULL, NULL, 'ACTIVATOR OF SKN7 PROTEIN 10-RELATED', 171237),
(227512, 'PTHR33872', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON CATALYTIC SUBUNIT A', 171238),
(227513, 'PTHR10740:SF12', NULL, NULL, NULL, NULL, 'AMPHIREGULIN', 171239),
(227514, 'PTHR13914:SF20', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE', 171240),
(227515, 'PTHR31867:SF4', NULL, NULL, NULL, NULL, 'EXPANSIN-A11', 171241),
(227516, 'PTHR47633:SF2', NULL, NULL, NULL, NULL, 'OBSCURIN', 171242),
(227517, 'PTHR32468:SF93', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 8', 171243),
(227518, 'PTHR34548:SF4', NULL, NULL, NULL, NULL, 'OS02G0187600 PROTEIN', 171244),
(227519, 'PTHR45657:SF45', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 171245),
(227520, 'PTHR38797', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 171246),
(227521, 'PTHR43272:SF36', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE LONG CHAIN FAMILY MEMBER 2', 171247),
(227522, 'PTHR27007:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171248),
(227523, 'PTHR11178', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER SCAFFOLD PROTEIN NFU-RELATED', 171249),
(227524, 'PTHR19878:SF6', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 16-1', 171250),
(227525, 'PTHR31636:SF178', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', 171251),
(227526, 'PTHR31839:SF46', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CBF PROTEIN', 171252),
(227527, 'PTHR48104:SF18', NULL, NULL, NULL, NULL, 'METACASPASE-8', 171253),
(227528, 'PTHR24115:SF898', NULL, NULL, NULL, NULL, 'PHRAGMOPLAST ORIENTING KINESIN-1-LIKE ISOFORM X1', 171254),
(227529, 'PTHR33248:SF26', NULL, NULL, NULL, NULL, 'BNAA01G28470D PROTEIN', 171255),
(227530, 'PTHR24040:SF11', NULL, NULL, NULL, NULL, 'FIBRILLIN 2', 171256),
(227531, 'PTHR44375', NULL, NULL, NULL, NULL, 'BETA-KETOACYL-ACP REDUCTASE-LIKE PROTEIN-RELATED', 171257),
(227532, 'PTHR45722:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-4', 171258),
(227533, 'PTHR46224:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171259),
(227534, 'PTHR12203:SF85', NULL, NULL, NULL, NULL, 'O-GLUCOSYLTRANSFERASE RUMI HOMOLOG', 171260),
(227535, 'PTHR36003:SF4', NULL, NULL, NULL, NULL, 'SLL1 PROTEIN', 171261),
(227536, 'PTHR42769:SF3', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [FE] 2, CHLOROPLASTIC', 171262),
(227537, 'PTHR43768:SF26', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', 171263),
(227538, 'PTHR14217:SF16', NULL, NULL, NULL, NULL, 'INOSITOL 1,3,4-TRISPHOSPHATE 5/6-KINASE 4', 171264),
(227539, 'PTHR44981:SF3', NULL, NULL, NULL, NULL, 'PERICENTRIN', 171265),
(227540, 'PTHR19370:SF189', NULL, NULL, NULL, NULL, 'CYTOCHROME C MITOCHONDRIAL IMPORT FACTOR CYC2', 171266),
(227541, 'PTHR42845:SF2', NULL, NULL, NULL, NULL, 'COENZYME F420 HYDROGENASE SUBUNIT GAMMA', 171267),
(227542, 'PTHR11133:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171268),
(227543, 'PTHR42861:SF95', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE 2-LIKE', 171269),
(227544, 'PTHR10052:SF33', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', 171270),
(227545, 'PTHR10825:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171271),
(227546, 'PTHR11736:SF142', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 12', 171272),
(227547, 'PTHR43341:SF41', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', 171273),
(227548, 'PTHR46031:SF25', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 2-LIKE', 171274);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(227549, 'PTHR32166:SF86', NULL, NULL, NULL, NULL, 'OS09G0499600 PROTEIN', 171275),
(227550, 'PTHR13944:SF20', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 2', 171276),
(227551, 'PTHR34856:SF2', NULL, NULL, NULL, NULL, 'PROTEIN NRFD', 171277),
(227552, 'PTHR14110:SF18', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 16-3, CHLOROPLASTIC/MITOCHONDRIAL', 171278),
(227553, 'PTHR43437:SF1', NULL, NULL, NULL, NULL, 'BLL6372 PROTEIN', 171279),
(227554, 'PTHR37174', NULL, NULL, NULL, NULL, 'FORKHEAD-ASSOCIATED DOMAIN PROTEIN', 171280),
(227555, 'PTHR21068:SF33', NULL, NULL, NULL, NULL, 'OS03G0241900 PROTEIN', 171281),
(227556, 'PTHR14196', NULL, NULL, NULL, NULL, 'ODD-SKIPPED - RELATED', 171282),
(227557, 'PTHR21681', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT J', 171283),
(227558, 'PTHR36058', NULL, NULL, NULL, NULL, 'NUCLEOPHOSMIN', 171284),
(227559, 'PTHR11615:SF255', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 1', 171285),
(227560, 'PTHR34709:SF29', NULL, NULL, NULL, NULL, 'OS07G0130000 PROTEIN', 171286),
(227561, 'PTHR39668:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL TRANSMEMBRANE PROTEIN L6586.03', 171287),
(227562, 'PTHR13620:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171288),
(227563, 'PTHR24637:SF249', NULL, NULL, NULL, NULL, 'COLLAGEN', 171289),
(227564, 'PTHR31639:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171290),
(227565, 'PTHR12370:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE PROTEIN A', 171291),
(227566, 'PTHR23502:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171292),
(227567, 'PTHR48082:SF4', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ALPHA', 171293),
(227568, 'PTHR10769:SF6', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S28-1', 171294),
(227569, 'PTHR33454:SF3', NULL, NULL, NULL, NULL, 'GLUTELIN-2', 171295),
(227570, 'PTHR45817:SF1', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE HOMOLOG 2', 171296),
(227571, 'PTHR32193:SF3', NULL, NULL, NULL, NULL, 'REGULATOR OF CELL CYCLE RGCC', 171297),
(227572, 'PTHR31766', NULL, NULL, NULL, NULL, 'GLABROUS1 ENHANCER-BINDING PROTEIN-LIKE 2', 171298),
(227573, 'PTHR31595:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171299),
(227574, 'PTHR39952', NULL, NULL, NULL, NULL, 'FI02073P', 171300),
(227575, 'PTHR42793:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-LYSINE N-ACETYLTRANSFERASE PATZ', 171301),
(227576, 'PTHR31238:SF14', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY T MEMBER 1-RELATED', 171302),
(227577, 'PTHR11680:SF21', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE, CYTOSOLIC', 171303),
(227578, 'PTHR43775:SF31', NULL, NULL, NULL, NULL, 'CONIDIAL PIGMENT POLYKETIDE SYNTHASE ALB1', 171304),
(227579, 'PTHR12485:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 7', 171305),
(227580, 'PTHR31636:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171306),
(227581, 'PTHR10454:SF26', NULL, NULL, NULL, NULL, 'CASPASE-10', 171307),
(227582, 'PTHR11017:SF298', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RLM3', 171308),
(227583, 'PTHR13890:SF0', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2 HOMOLOG, MITOCHONDRIAL', 171309),
(227584, 'PTHR36737', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 171310),
(227585, 'PTHR18896:SF60', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 171311),
(227586, 'PTHR45688:SF12', NULL, NULL, NULL, NULL, 'BNAANNG13240D PROTEIN', 171312),
(227587, 'PTHR33454:SF14', NULL, NULL, NULL, NULL, '50 KDA GAMMA-ZEIN', 171313),
(227588, 'PTHR42811:SF19', NULL, NULL, NULL, NULL, 'SERINE O-ACETYLTRANSFERASE, SERINE ACETYLTRANSFERASE-RELATED', 171314),
(227589, 'PTHR11863:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171315),
(227590, 'PTHR22855:SF25', NULL, NULL, NULL, NULL, 'SI:CH211-198N5.11', 171316),
(227591, 'PTHR46663:SF2', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCT-RELATED', 171317),
(227592, 'PTHR33362:SF7', NULL, NULL, NULL, NULL, 'SLL1103 PROTEIN', 171318),
(227593, 'PTHR33472:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171319);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(227594, 'PTHR48015:SF35', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 171320),
(227595, 'PTHR11691:SF27', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-6', 171321),
(227596, 'PTHR31429:SF73', NULL, NULL, NULL, NULL, 'BNAC03G67380D PROTEIN', 171322),
(227597, 'PTHR11675:SF119', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 13-RELATED', 171323),
(227598, 'PTHR18945:SF849', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-10', 171324),
(227599, 'PTHR22591:SF3', NULL, NULL, NULL, NULL, 'XIN ACTIN-BINDING REPEAT-CONTAINING 2B', 171325),
(227600, 'PTHR11803:SF42', NULL, NULL, NULL, NULL, 'MMF1', 171326),
(227601, 'PTHR43836:SF5', NULL, NULL, NULL, NULL, 'CATECHOL O-METHYLTRANSFERASE A-RELATED', 171327),
(227602, 'PTHR31218:SF133', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 171328),
(227603, 'PTHR27001:SF796', NULL, NULL, NULL, NULL, 'OS04G0213800 PROTEIN', 171329),
(227604, 'PTHR14677:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER AN1 AND C2H2 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 11-RELATED', 171330),
(227605, 'PTHR31674:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171331),
(227606, 'PTHR47405', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H-RELATED', 171332),
(227607, 'PTHR12398:SF34', NULL, NULL, NULL, NULL, 'PHOSPHOPROTEIN PHOSPHATASE INHIBITOR', 171333),
(227608, 'PTHR10791:SF140', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 171334),
(227609, 'PTHR11559:SF402', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE-RELATED', 171335),
(227610, 'PTHR19960:SF23', NULL, NULL, NULL, NULL, 'TEKTIN-5', 171336),
(227611, 'PTHR11712:SF328', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE', 171337),
(227612, 'PTHR12112:SF45', NULL, NULL, NULL, NULL, 'PRUNE HOMOLOG 2', 171338),
(227613, 'PTHR43155:SF1', NULL, NULL, NULL, NULL, '3''3''-CGAMP-SPECIFIC PHOSPHODIESTERASE 1', 171339),
(227614, 'PTHR33091:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171340),
(227615, 'PTHR24305:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 302A1, MITOCHONDRIAL', 171341),
(227616, 'PTHR23133:SF2', NULL, NULL, NULL, NULL, 'IMIDAZOLEGLYCEROL-PHOSPHATE DEHYDRATASE', 171342),
(227617, 'PTHR13160:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171343),
(227618, 'PTHR33048:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171344),
(227619, 'PTHR12549', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING HISTONE DEMETHYLATION PROTEIN', 171345),
(227620, 'PTHR18870:SF9', NULL, NULL, NULL, NULL, 'PROTEIN TAG-278-RELATED', 171346),
(227621, 'PTHR42663:SF9', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE/OXIDOREDUCTASE SUPERFAMILY PROTEIN', 171347),
(227622, 'PTHR46537:SF3', NULL, NULL, NULL, NULL, 'OS11G0578200 PROTEIN', 171348),
(227623, 'PTHR35098:SF5', NULL, NULL, NULL, NULL, 'BNAC03G56520D PROTEIN', 171349),
(227624, 'PTHR11986:SF58', NULL, NULL, NULL, NULL, '4-AMINOBUTYRATE AMINOTRANSFERASE (GABT-2)', 171350),
(227625, 'PTHR10774:SF174', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 171351),
(227626, 'PTHR32063:SF32', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE EFFLUX PUMP-RELATED', 171352),
(227627, 'PTHR34989', NULL, NULL, NULL, NULL, 'PROTEIN HDED', 171353),
(227628, 'PTHR40691', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 171354),
(227629, 'PTHR10795:SF704', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171355),
(227630, 'PTHR31194:SF70', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF116', 171356),
(227631, 'PTHR36705:SF4', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE201 PROTEIN', 171357),
(227632, 'PTHR21530:SF5', NULL, NULL, NULL, NULL, 'PHEROMONE SHUTDOWN, TRAB', 171358),
(227633, 'PTHR46771:SF7', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN BIR-2', 171359),
(227634, 'PTHR34804:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171360),
(227635, 'PTHR12092', NULL, NULL, NULL, NULL, 'PLECKSTRIN', 171361),
(227636, 'PTHR31443:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 263', 171362),
(227637, 'PTHR31044:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171363);
INSERT INTO "PUBLIC"."MODEL" VALUES
(227638, 'PTHR14095:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B''''BETA-LIKE ISOFORM X2', 171364),
(227639, 'PTHR13260:SF0', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 4', 171365),
(227640, 'PTHR28524', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE ASSEMBLY FACTOR 4, MITOCHONDRIAL', 171366),
(227641, 'PTHR31216:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-7', 171367),
(227642, 'PTHR27009:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171368),
(227643, 'PTHR15315', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 41, 151', 171369),
(227644, 'PTHR43391:SF68', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE 1B-LIKE ISOFORM X1', 171370),
(227645, 'PTHR24299', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 1', 171371),
(227646, 'PTHR10855', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 12/COP9 SIGNALOSOME COMPLEX SUBUNIT 4', 171372),
(227647, 'PTHR45633:SF16', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60-LIKE 2, MITOCHONDRIAL', 171373),
(227648, 'PTHR43166:SF26', NULL, NULL, NULL, NULL, 'METHIONINE IMPORT ATP-BINDING PROTEIN METN 2', 171374),
(227649, 'PTHR43670:SF67', NULL, NULL, NULL, NULL, 'ATP-INDEPENDENT CHAPERONE, ALPHA-CRYSTALLIN/HSP20 FAMILY', 171375),
(227650, 'PTHR47216', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 171376),
(227651, 'PTHR47985:SF32', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE LIP1', 171377),
(227652, 'PTHR23070:SF131', NULL, NULL, NULL, NULL, 'PROTEIN HYPER-SENSITIVITY-RELATED 4-LIKE', 171378),
(227653, 'PTHR24115:SF944', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 171379),
(227654, 'PTHR45839:SF27', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 4', 171380),
(227655, 'PTHR10263:SF44', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C5', 171381),
(227656, 'PTHR22692:SF29', NULL, NULL, NULL, NULL, 'MYOSIN VIIBB', 171382),
(227657, 'PTHR15241:SF314', NULL, NULL, NULL, NULL, 'BNAA02G06700D PROTEIN', 171383),
(227658, 'PTHR21085:SF1', NULL, NULL, NULL, NULL, 'CHORISMATE SYNTHASE 1, CHLOROPLASTIC', 171384),
(227659, 'PTHR27007:SF188', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.10-RELATED', 171385),
(227660, 'PTHR43397:SF1', NULL, NULL, NULL, NULL, 'ERGOTHIONEINE BIOSYNTHESIS PROTEIN 1', 171386),
(227661, 'PTHR24282:SF187', NULL, NULL, NULL, NULL, 'CYTOCHROME', 171387),
(227662, 'PTHR17901:SF16', NULL, NULL, NULL, NULL, 'MAGNESIUM-DEPENDENT PHOSPHATASE-1,EUKARYOTIC/ARCAHEAL TYPE', 171388),
(227663, 'PTHR31248:SF12', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN A3-LIKE', 171389),
(227664, 'PTHR11863:SF201', NULL, NULL, NULL, NULL, 'STEROL-4ALPHA-METHYL OXIDASE 1-1-RELATED', 171390),
(227665, 'PTHR47712:SF1', NULL, NULL, NULL, NULL, 'OS09G0555300 PROTEIN', 171391),
(227666, 'PTHR31718:SF36', NULL, NULL, NULL, NULL, 'TMV-INDUCED PROTEIN I', 171392),
(227667, 'PTHR23155:SF1105', NULL, NULL, NULL, NULL, 'OS12G0206100 PROTEIN', 171393),
(227668, 'PTHR31806:SF1', NULL, NULL, NULL, NULL, 'PURINE-CYTOSINE PERMEASE FCY2-RELATED', 171394),
(227669, 'PTHR11783:SF249', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 171395),
(227670, 'PTHR46962:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIST', 171396),
(227671, 'PTHR43995:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171397),
(227672, 'PTHR36066:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH144', 171398),
(227673, 'PTHR19411:SF9', NULL, NULL, NULL, NULL, 'BNAA03G58540D PROTEIN', 171399),
(227674, 'PTHR10029', NULL, NULL, NULL, NULL, 'ACYLPHOSPHATASE', 171400),
(227675, 'PTHR21551:SF21', NULL, NULL, NULL, NULL, 'TOPOISOMERASE II-ASSOCIATED PROTEIN PAT1-RELATED', 171401),
(227676, 'PTHR24161:SF78', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 171402),
(227677, 'PTHR47926:SF124', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 171403),
(227678, 'PTHR46462:SF3', NULL, NULL, NULL, NULL, 'UPSET, ISOFORM A', 171404),
(227679, 'PTHR45772:SF10', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE EXPORT SYSTEM ATP-BINDING PROTEIN LPTB', 171405);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(227680, 'PTHR47975:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 171406),
(227681, 'PTHR22835:SF625', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171407),
(227682, 'PTHR22780:SF26', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA-1', 171408),
(227683, 'PTHR31448:SF34', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 3', 171409),
(227684, 'PTHR36361:SF1', NULL, NULL, NULL, NULL, 'PROTEIN APEM9', 171410),
(227685, 'PTHR48019:SF91', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN SOC1-LIKE ISOFORM X1', 171411),
(227686, 'PTHR44826:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171412),
(227687, 'PTHR11132:SF390', NULL, NULL, NULL, NULL, 'BNAA07G37530D PROTEIN', 171413),
(227688, 'PTHR24012:SF809', NULL, NULL, NULL, NULL, 'BNAA06G33110D PROTEIN', 171414),
(227689, 'PTHR33648:SF15', NULL, NULL, NULL, NULL, 'EMBRYO SAC 1', 171415),
(227690, 'PTHR21461:SF40', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 171416),
(227691, 'PTHR15954:SF5', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 51 HOMOLOG', 171417),
(227692, 'PTHR10182:SF26', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL, MO25-LIKE PROTEIN-RELATED', 171418),
(227693, 'PTHR33509:SF5', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENIS ABUNDANT PROTEIN 2', 171419),
(227694, 'PTHR33091:SF46', NULL, NULL, NULL, NULL, 'SUBTILISIN-CHYMOTRYPSIN INHIBITOR CI-1A', 171420),
(227695, 'PTHR11453:SF32', NULL, NULL, NULL, NULL, 'SODIUM-DRIVEN CHLORIDE BICARBONATE EXCHANGER', 171421),
(227696, 'PTHR43107:SF11', NULL, NULL, NULL, NULL, 'LONG-CHAIN FATTY ACID TRANSPORT PROTEIN 4', 171422),
(227697, 'PTHR11760:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171423),
(227698, 'PTHR13723:SF33', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 9', 171424),
(227699, 'PTHR16194', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 16', 171425),
(227700, 'PTHR18863:SF5', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED GENE 21', 171426),
(227701, 'PTHR10766:SF41', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 3', 171427),
(227702, 'PTHR44329:SF135', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CTR1-LIKE ISOFORM X1', 171428),
(227703, 'PTHR24006:SF833', NULL, NULL, NULL, NULL, 'OS01G0771400 PROTEIN', 171429),
(227704, 'PTHR31488:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171430),
(227705, 'PTHR47757', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)-RELATED', 171431),
(227706, 'PTHR47990:SF48', NULL, NULL, NULL, NULL, 'SEXUAL DIFFERENTIATION PROCESS PROTEIN ISP7', 171432),
(227707, 'PTHR24253:SF70', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 5', 171433),
(227708, 'PTHR24093:SF455', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 12, PLASMA MEMBRANE-TYPE', 171434),
(227709, 'PTHR11247:SF40', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE EPSILON 1, CHLOROPLASTIC', 171435),
(227710, 'PTHR13809:SF54', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA', 171436),
(227711, 'PTHR31541:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171437),
(227712, 'PTHR31929:SF46', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 6B', 171438),
(227713, 'PTHR39203:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 171439),
(227714, 'PTHR43205:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171440),
(227715, 'PTHR46846', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W-RELATED', 171441),
(227716, 'PTHR11920:SF267', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-8', 171442),
(227717, 'PTHR43796:SF2', NULL, NULL, NULL, NULL, 'CARBOXYNORSPERMIDINE SYNTHASE', 171443),
(227718, 'PTHR26452:SF748', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 171444),
(227719, 'PTHR10380:SF173', NULL, NULL, NULL, NULL, 'CUTICLE PROTEIN LCP65AA-RELATED', 171445),
(227720, 'PTHR31865:SF24', NULL, NULL, NULL, NULL, 'BNAC03G33860D PROTEIN', 171446),
(227721, 'PTHR15454:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171447),
(227722, 'PTHR34818:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BLI-3', 171448);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(227723, 'PTHR45971:SF4', NULL, NULL, NULL, NULL, 'RUN DOMAIN-CONTAINING PROTEIN', 171449),
(227724, 'PTHR34950:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171450),
(227725, 'PTHR21603', NULL, NULL, NULL, NULL, 'ANTIGEN KI-67-LIKE PROTEIN', 171451),
(227726, 'PTHR33746:SF4', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN', 171452),
(227727, 'PTHR24399:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR KAISO', 171453),
(227728, 'PTHR11453:SF37', NULL, NULL, NULL, NULL, 'ELECTRONEUTRAL SODIUM BICARBONATE EXCHANGER 1', 171454),
(227729, 'PTHR13674:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM162B', 171455),
(227730, 'PTHR15168:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME B-245 LIGHT CHAIN', 171456),
(227731, 'PTHR10241:SF25', NULL, NULL, NULL, NULL, 'TOMOSYN, ISOFORM C', 171457),
(227732, 'PTHR24015:SF1909', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 171458),
(227733, 'PTHR39342:SF1', NULL, NULL, NULL, NULL, 'UPF0283 MEMBRANE PROTEIN YCJF', 171459),
(227734, 'PTHR24128:SF62', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 171460),
(227735, 'PTHR10336:SF33', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE DELTA-3', 171461),
(227736, 'PTHR45927:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171462),
(227737, 'PTHR47038:SF6', NULL, NULL, NULL, NULL, 'BNAANNG26660D PROTEIN', 171463),
(227738, 'PTHR48015:SF30', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAK 3', 171464),
(227739, 'PTHR31251:SF93', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SBP FAMILY-RELATED', 171465),
(227740, 'PTHR47993:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171466),
(227741, 'PTHR18966:SF463', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 171467),
(227742, 'PTHR32141:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171468),
(227743, 'PTHR19282:SF465', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171469),
(227744, 'PTHR11452:SF14', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE A', 171470),
(227745, 'PTHR21562:SF94', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 171471),
(227746, 'PTHR27002:SF744', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 171472),
(227747, 'PTHR31988:SF19', NULL, NULL, NULL, NULL, 'BNACNNG62850D PROTEIN', 171473),
(227748, 'PTHR16551', NULL, NULL, NULL, NULL, 'AGOUTI RELATED', 171474),
(227749, 'PTHR23192:SF27', NULL, NULL, NULL, NULL, 'NOELIN-2', 171475),
(227750, 'PTHR47926:SF161', NULL, NULL, NULL, NULL, 'BNAA05G27600D PROTEIN', 171476),
(227751, 'PTHR31992:SF107', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.1-RELATED', 171477),
(227752, 'PTHR13453:SF12', NULL, NULL, NULL, NULL, 'BNAA08G31730D PROTEIN', 171478),
(227753, 'PTHR11614:SF87', NULL, NULL, NULL, NULL, 'MONOGLYCERIDE LIPASE', 171479),
(227754, 'PTHR43591:SF45', NULL, NULL, NULL, NULL, 'SAM BINDING MOTIF CONTAINING PROTEIN (AFU_ORTHOLOGUE AFUA_4G12760)', 171480),
(227755, 'PTHR21229:SF69', NULL, NULL, NULL, NULL, 'BNAA02G35120D PROTEIN', 171481),
(227756, 'PTHR48007:SF33', NULL, NULL, NULL, NULL, 'BNAC02G46420D PROTEIN', 171482),
(227757, 'PTHR47338:SF8', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 171483),
(227758, 'PTHR34188:SF17', NULL, NULL, NULL, NULL, 'BNAANNG29080D PROTEIN', 171484),
(227759, 'PTHR15430:SF1', NULL, NULL, NULL, NULL, 'GLOMULIN', 171485),
(227760, 'PTHR45647:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171486),
(227761, 'PTHR31218:SF307', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 171487),
(227762, 'PTHR27009:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171488),
(227763, 'PTHR31871:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171489),
(227764, 'PTHR45676:SF96', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', 171490),
(227765, 'PTHR43247:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171491),
(227766, 'PTHR45748:SF13', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1C-RELATED', 171492),
(227767, 'PTHR34477:SF1', NULL, NULL, NULL, NULL, 'UPF0213 PROTEIN YHBQ', 171493);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(227768, 'PTHR10585:SF75', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR', 171494),
(227769, 'PTHR23086:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171495),
(227770, 'PTHR43900:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171496),
(227771, 'PTHR23428:SF286', NULL, NULL, NULL, NULL, 'HISTONE H2B', 171497),
(227772, 'PTHR11673:SF32', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-2', 171498),
(227773, 'PTHR43615', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE SYNTHASE-RELATED', 171499),
(227774, 'PTHR46489', NULL, NULL, NULL, NULL, 'STEROIDOGENIC ACUTE REGULATORY PROTEIN, MITOCHONDRIAL', 171500),
(227775, 'PTHR13282:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAM32A', 171501),
(227776, 'PTHR47990:SF135', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 5', 171502),
(227777, 'PTHR46966', NULL, NULL, NULL, NULL, 'HOMEOBOX EXPRESSED IN ES CELLS 1', 171503),
(227778, 'PTHR37018', NULL, NULL, NULL, NULL, 'CULTURE SPECIFIC PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00130)-RELATED', 171504),
(227779, 'PTHR12127', NULL, NULL, NULL, NULL, 'MUCOLIPIN', 171505),
(227780, 'PTHR19134:SF499', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE EPSILON', 171506),
(227781, 'PTHR15583:SF11', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR B', 171507),
(227782, 'PTHR24068:SF330', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 D2', 171508),
(227783, 'PTHR22957:SF488', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 15-LIKE', 171509),
(227784, 'PTHR16055', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 171510),
(227785, 'PTHR33044:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171511),
(227786, 'PTHR42825:SF21', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 171512),
(227787, 'PTHR26452:SF713', NULL, NULL, NULL, NULL, 'MCG23425-RELATED', 171513),
(227788, 'PTHR46162:SF47', NULL, NULL, NULL, NULL, 'BNAA07G24170D PROTEIN', 171514),
(227789, 'PTHR18945:SF492', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171515),
(227790, 'PTHR43592:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171516),
(227791, 'PTHR38497:SF1', NULL, NULL, NULL, NULL, 'KINOCILIN', 171517),
(227792, 'PTHR46990', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN DOMAIN-CONTAINING CYSTEINE-RICH PROTEIN 1', 171518),
(227793, 'PTHR24117', NULL, NULL, NULL, NULL, 'AGAP007537-PB', 171519),
(227794, 'PTHR47977:SF21', NULL, NULL, NULL, NULL, 'C-5 CYTOSINE METHYLTRANSFERASE-RELATED', 171520),
(227795, 'PTHR22601:SF9', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 2', 171521),
(227796, 'PTHR21262:SF31', NULL, NULL, NULL, NULL, 'OS02G0699400 PROTEIN', 171522),
(227797, 'PTHR48050', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE', 171523),
(227798, 'PTHR41814', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 171524),
(227799, 'PTHR47999:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171525),
(227800, 'PTHR11021:SF10', NULL, NULL, NULL, NULL, 'SM-LIKE PROTEIN LSM6A', 171526),
(227801, 'PTHR34484:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171527),
(227802, 'PTHR22957:SF204', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 1', 171528),
(227803, 'PTHR46407:SF14', NULL, NULL, NULL, NULL, 'BNACNNG64790D PROTEIN', 171529),
(227804, 'PTHR33548:SF16', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 171530),
(227805, 'PTHR31734:SF185', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 171531),
(227806, 'PTHR30587:SF2', NULL, NULL, NULL, NULL, 'SURFACE PRESENTATION OF ANTIGENS PROTEIN SPAP', 171532),
(227807, 'PTHR34174:SF1', NULL, NULL, NULL, NULL, 'HYDROLETHALUS SYNDROME PROTEIN 1', 171533),
(227808, 'PTHR47347', NULL, NULL, NULL, NULL, 'GOLGIN CANDIDATE 5', 171534),
(227809, 'PTHR31029:SF4', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE PROTEIN', 171535),
(227810, 'PTHR22792:SF102', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 6A', 171536),
(227811, 'PTHR23021:SF28', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T-RELATED', 171537),
(227812, 'PTHR11710:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171538); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(227813, 'PTHR31636:SF217', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL1-LIKE', 171539),
(227814, 'PTHR45707:SF62', NULL, NULL, NULL, NULL, 'C2 DOMAIN, PHOSPHORIBOSYLTRANSFERASE-RELATED', 171540),
(227815, 'PTHR31769:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171541),
(227816, 'PTHR24223:SF354', NULL, NULL, NULL, NULL, 'BILE ACID TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 171542),
(227817, 'PTHR24365', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR', 171543),
(227818, 'PTHR46301:SF31', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, GALACTOSE OXIDASE/KELCH, BETA-PROPELLER, GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', 171544),
(227819, 'PTHR10891:SF764', NULL, NULL, NULL, NULL, 'CALPAIN-B-LIKE PROTEIN', 171545),
(227820, 'PTHR48001:SF116', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2AT4', 171546),
(227821, 'PTHR33646:SF14', NULL, NULL, NULL, NULL, 'BNAA02G03980D PROTEIN', 171547),
(227822, 'PTHR21530:SF11', NULL, NULL, NULL, NULL, 'TRAB DOMAIN-CONTAINING PROTEIN-LIKE', 171548),
(227823, 'PTHR13980:SF17', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SPT16', 171549),
(227824, 'PTHR13112:SF5', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS UPF3', 171550),
(227825, 'PTHR12771:SF41', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN C', 171551),
(227826, 'PTHR14485:SF3', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 23', 171552),
(227827, 'PTHR31257:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171553),
(227828, 'PTHR21250', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 171554),
(227829, 'PTHR11552:SF152', NULL, NULL, NULL, NULL, 'OXIDASE (CODA), PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04090)-RELATED', 171555),
(227830, 'PTHR27002:SF869', NULL, NULL, NULL, NULL, 'OS02G0710500 PROTEIN', 171556),
(227831, 'PTHR23130:SF191', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE FAMILY PROTEIN', 171557),
(227832, 'PTHR43859:SF39', NULL, NULL, NULL, NULL, 'ACETATE/BUTYRATE--COA LIGASE AAE7, PEROXISOMAL', 171558),
(227833, 'PTHR47211:SF3', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 171559),
(227834, 'PTHR15486:SF75', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 3-RELATED', 171560),
(227835, 'PTHR45752:SF85', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 7', 171561),
(227836, 'PTHR31672:SF4', NULL, NULL, NULL, NULL, 'BNAA09G39880D PROTEIN', 171562),
(227837, 'PTHR28242:SF57', NULL, NULL, NULL, NULL, 'PSEUDO HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 2-LIKE', 171563),
(227838, 'PTHR31669:SF154', NULL, NULL, NULL, NULL, 'FAR1 DNA-BINDING DOMAIN PROTEIN', 171564),
(227839, 'PTHR24103:SF573', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM62', 171565),
(227840, 'PTHR34733:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171566),
(227841, 'PTHR34357:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 171567),
(227842, 'PTHR47991:SF64', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE', 171568),
(227843, 'PTHR33668:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BRICK1', 171569),
(227844, 'PTHR48056:SF48', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', 171570),
(227845, 'PTHR10913:SF44', NULL, NULL, NULL, NULL, 'FOLLISTATIN-RELATED PROTEIN 5', 171571),
(227846, 'PTHR34481:SF7', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE/TRYPSIN INHIBITOR CM16', 171572),
(227847, 'PTHR31374:SF326', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 171573),
(227848, 'PTHR23139:SF118', NULL, NULL, NULL, NULL, 'U2 SNRNP AUXILIARY FACTOR LARGE SUBUNIT', 171574),
(227849, 'PTHR31929:SF111', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', 171575),
(227850, 'PTHR22596:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG21834', 171576),
(227851, 'PTHR45754', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE', 171577),
(227852, 'PTHR24012:SF793', NULL, NULL, NULL, NULL, 'OS01G0938200 PROTEIN', 171578),
(227853, 'PTHR31263:SF60', NULL, NULL, NULL, NULL, 'RICIN B, LECTIN DOMAIN, GLYCOSIDE HYDROLASE-RELATED', 171579),
(227854, 'PTHR11746:SF189', NULL, NULL, NULL, NULL, 'FLAVONOID O-METHYLTRANSFERASE-LIKE PROTEIN OS11G0303600', 171580);
INSERT INTO "PUBLIC"."MODEL" VALUES
(227855, 'PTHR23421:SF153', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 2', 171581),
(227856, 'PTHR47268:SF4', NULL, NULL, NULL, NULL, 'ACYLPHOSPHATASE', 171582),
(227857, 'PTHR22950:SF515', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT6E', 171583),
(227858, 'PTHR48029:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 8', 171584),
(227859, 'PTHR24253', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE', 171585),
(227860, 'PTHR45614:SF41', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 3R-1-LIKE', 171586),
(227861, 'PTHR15921:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171587),
(227862, 'PTHR26453:SF141', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 171588),
(227863, 'PTHR34308', NULL, NULL, NULL, NULL, 'COBALAMIN BIOSYNTHESIS PROTEIN CBIB', 171589),
(227864, 'PTHR31007:SF5', NULL, NULL, NULL, NULL, 'SI:DKEY-33M11.6', 171590),
(227865, 'PTHR47758:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS M', 171591),
(227866, 'PTHR33164:SF67', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR', 171592),
(227867, 'PTHR39231:SF3', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP25', 171593),
(227868, 'PTHR15887:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 69', 171594),
(227869, 'PTHR23407:SF10', NULL, NULL, NULL, NULL, '5-FORMYLTETRAHYDROFOLATE CYCLO-LIGASE, MITOCHONDRIAL-LIKE ISOFORM X1', 171595),
(227870, 'PTHR22298:SF53', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 5', 171596),
(227871, 'PTHR23226:SF184', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 29', 171597),
(227872, 'PTHR43048:SF4', NULL, NULL, NULL, NULL, 'LYASE-RELATED', 171598),
(227873, 'PTHR13952:SF17', NULL, NULL, NULL, NULL, 'BNAC05G19110D PROTEIN', 171599),
(227874, 'PTHR40637:SF3', NULL, NULL, NULL, NULL, 'BNAA03G19790D PROTEIN', 171600),
(227875, 'PTHR11304:SF68', NULL, NULL, NULL, NULL, 'EPHRIN-A3A', 171601),
(227876, 'PTHR13890:SF27', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2, MITOCHONDRIAL', 171602),
(227877, 'PTHR45745', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE 45A', 171603),
(227878, 'PTHR10663:SF344', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 3', 171604),
(227879, 'PTHR24067:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171605),
(227880, 'PTHR22776:SF25', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 6', 171606),
(227881, 'PTHR47928:SF126', NULL, NULL, NULL, NULL, 'OS06G0112000 PROTEIN', 171607),
(227882, 'PTHR11909:SF365', NULL, NULL, NULL, NULL, 'BNAC02G11920D PROTEIN', 171608),
(227883, 'PTHR45645:SF20', NULL, NULL, NULL, NULL, 'MEMBRANE FRIZZLED-RELATED PROTEIN', 171609),
(227884, 'PTHR10005:SF15', NULL, NULL, NULL, NULL, 'SKI ONCOGENE', 171610),
(227885, 'PTHR24054:SF16', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA-RELATED', 171611),
(227886, 'PTHR31917:SF42', NULL, NULL, NULL, NULL, 'DUF724 DOMAIN-CONTAINING PROTEIN 4-RELATED', 171612),
(227887, 'PTHR24637:SF241', NULL, NULL, NULL, NULL, 'COLLAGEN', 171613),
(227888, 'PTHR11866:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171614),
(227889, 'PTHR12864:SF3', NULL, NULL, NULL, NULL, 'GLUCOSE-INDUCED DEGRADATION PROTEIN 8 HOMOLOG', 171615),
(227890, 'PTHR23335:SF3', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 6', 171616),
(227891, 'PTHR10315:SF126', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 171617),
(227892, 'PTHR31561', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 171618),
(227893, 'PTHR11733', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE FAMILY M13 NEPRILYSIN-RELATED', 171619),
(227894, 'PTHR31314:SF48', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS PROTEIN', 171620),
(227895, 'PTHR31174', NULL, NULL, NULL, NULL, 'SEED MATURATION FAMILY PROTEIN', 171621),
(227896, 'PTHR38790:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171622),
(227897, 'PTHR10758', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 3/COP9 SIGNALOSOME COMPLEX SUBUNIT 3', 171623),
(227898, 'PTHR31642:SF177', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 26', 171624);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(227899, 'PTHR43107:SF15', NULL, NULL, NULL, NULL, 'RE52015P', 171625),
(227900, 'PTHR22669:SF8', NULL, NULL, NULL, NULL, 'PROTEIN LAG-2', 171626),
(227901, 'PTHR34289:SF1', NULL, NULL, NULL, NULL, 'OS06G0107100 PROTEIN', 171627),
(227902, 'PTHR12441:SF10', NULL, NULL, NULL, NULL, 'ATP SYNTHASE-COUPLING FACTOR 6, MITOCHONDRIAL', 171628),
(227903, 'PTHR37694', NULL, NULL, NULL, NULL, 'SLR8022 PROTEIN', 171629),
(227904, 'PTHR43085:SF30', NULL, NULL, NULL, NULL, 'PFKB FAMILY CARBOHYDRATE KINASE', 171630),
(227905, 'PTHR46193:SF11', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', 171631),
(227906, 'PTHR43856', NULL, NULL, NULL, NULL, 'CARDIOLIPIN HYDROLASE', 171632),
(227907, 'PTHR38696:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171633),
(227908, 'PTHR12113:SF7', NULL, NULL, NULL, NULL, 'DICKKOPF-LIKE PROTEIN 1', 171634),
(227909, 'PTHR39322', NULL, NULL, NULL, NULL, 'ACYL-HOMOSERINE-LACTONE SYNTHASE', 171635),
(227910, 'PTHR24247:SF115', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10J5', 171636),
(227911, 'PTHR24300:SF291', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2W1', 171637),
(227912, 'PTHR16200:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZNRF3', 171638),
(227913, 'PTHR13683:SF839', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED3-LIKE', 171639),
(227914, 'PTHR21593:SF32', NULL, NULL, NULL, NULL, 'PROTEIN CBR-JUD-4', 171640),
(227915, 'PTHR32444:SF59', NULL, NULL, NULL, NULL, 'S-LOCUS-SPECIFIC GLYCOPROTEIN S13-LIKE', 171641),
(227916, 'PTHR11599:SF44', NULL, NULL, NULL, NULL, 'AT05866P-RELATED', 171642),
(227917, 'PTHR13371:SF0', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 104 KDA', 171643),
(227918, 'PTHR11132:SF306', NULL, NULL, NULL, NULL, 'OS01G0167500 PROTEIN', 171644),
(227919, 'PTHR32134:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171645),
(227920, 'PTHR11556:SF36', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, CYTOSOLIC', 171646),
(227921, 'PTHR33227:SF18', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 4', 171647),
(227922, 'PTHR30363:SF40', NULL, NULL, NULL, NULL, 'LACTOSE PHOSPHOTRANSFERASE SYSTEM REPRESSOR', 171648),
(227923, 'PTHR45676:SF126', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL54', 171649),
(227924, 'PTHR12869:SF1', NULL, NULL, NULL, NULL, 'BNAA08G03740D PROTEIN', 171650),
(227925, 'PTHR10653', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA', 171651),
(227926, 'PTHR12300:SF132', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 171652),
(227927, 'PTHR12161', NULL, NULL, NULL, NULL, 'IST1 FAMILY MEMBER', 171653),
(227928, 'PTHR24298:SF830', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 171654),
(227929, 'PTHR31110', NULL, NULL, NULL, NULL, 'PESTICIDAL CRYSTAL CRY8BA PROTEIN', 171655),
(227930, 'PTHR11802:SF398', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 171656),
(227931, 'PTHR14076:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171657),
(227932, 'PTHR23292:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG15750', 171658),
(227933, 'PTHR42778:SF1', NULL, NULL, NULL, NULL, '2-AMINOETHYLPHOSPHONATE--PYRUVATE TRANSAMINASE', 171659),
(227934, 'PTHR24281:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171660),
(227935, 'PTHR33728:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 171661),
(227936, 'PTHR32191:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171662),
(227937, 'PTHR20852:SF95', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', 171663),
(227938, 'PTHR30620:SF16', NULL, NULL, NULL, NULL, 'LYSOSOMAL BETA GLUCOSIDASE', 171664),
(227939, 'PTHR37734:SF1', NULL, NULL, NULL, NULL, 'LARGE RIBOSOMAL RNA SUBUNIT ACCUMULATION PROTEIN YCED HOMOLOG 2, CHLOROPLASTIC', 171665),
(227940, 'PTHR26450:SF125', NULL, NULL, NULL, NULL, 'MOR 5''BETA5', 171666),
(227941, 'PTHR44846:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', 171667),
(227942, 'PTHR22883:SF127', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 171668),
(227943, 'PTHR10177:SF490', NULL, NULL, NULL, NULL, 'CYCLIN-A3-2', 171669),
(227944, 'PTHR38146:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171670);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(227945, 'PTHR14200:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171671),
(227946, 'PTHR10091:SF34', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 171672),
(227947, 'PTHR33115:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171673),
(227948, 'PTHR46135:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 3', 171674),
(227949, 'PTHR46915:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171675),
(227950, 'PTHR24208:SF118', NULL, NULL, NULL, NULL, 'LIM HOMEOBOX TRANSCRIPTION FACTOR 1, ALPHA-LIKE', 171676),
(227951, 'PTHR11732:SF278', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER B10', 171677),
(227952, 'PTHR12832:SF31', NULL, NULL, NULL, NULL, 'OS02G0556700 PROTEIN', 171678),
(227953, 'PTHR11038:SF23', NULL, NULL, NULL, NULL, 'BNAA04G28560D PROTEIN', 171679),
(227954, 'PTHR43828:SF10', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN YAR1', 171680),
(227955, 'PTHR14226', NULL, NULL, NULL, NULL, 'NEUROPATHY TARGET ESTERASE/SWISS CHEESE D.MELANOGASTER', 171681),
(227956, 'PTHR47447:SF3', NULL, NULL, NULL, NULL, 'OS03G0856100 PROTEIN', 171682),
(227957, 'PTHR10956:SF34', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L31-1', 171683),
(227958, 'PTHR11926:SF1386', NULL, NULL, NULL, NULL, 'BNACNNG37570D PROTEIN', 171684),
(227959, 'PTHR33826:SF2', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 171685),
(227960, 'PTHR22952:SF391', NULL, NULL, NULL, NULL, 'PROTEIN FD-LIKE', 171686),
(227961, 'PTHR10209:SF786', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171687),
(227962, 'PTHR24300:SF296', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 508A1-RELATED', 171688),
(227963, 'PTHR22811:SF167', NULL, NULL, NULL, NULL, 'TMP21-RELATED PROTEIN-RELATED', 171689),
(227964, 'PTHR47745:SF1', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 2', 171690),
(227965, 'PTHR16271:SF10', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 46', 171691),
(227966, 'PTHR10155:SF14', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 4', 171692),
(227967, 'PTHR33288:SF4', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY PROTEIN YCF4', 171693),
(227968, 'PTHR30096:SF19', NULL, NULL, NULL, NULL, 'BNAANNG27710D PROTEIN', 171694),
(227969, 'PTHR11438:SF4', NULL, NULL, NULL, NULL, 'PROENKEPHALIN-B', 171695),
(227970, 'PTHR42721:SF29', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 7-RELATED', 171696),
(227971, 'PTHR31731:SF129', NULL, NULL, NULL, NULL, '14 KDA PROLINE-RICH PROTEIN DC2.15-LIKE', 171697),
(227972, 'PTHR13238:SF4', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 298', 171698),
(227973, 'PTHR44272:SF8', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', 171699),
(227974, 'PTHR45992:SF5', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE D', 171700),
(227975, 'PTHR11956', NULL, NULL, NULL, NULL, 'ARGINYL-TRNA SYNTHETASE', 171701),
(227976, 'PTHR47993:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171702),
(227977, 'PTHR43066:SF11', NULL, NULL, NULL, NULL, 'RHOMBOID PROTEASE GLPG', 171703),
(227978, 'PTHR45914:SF31', NULL, NULL, NULL, NULL, 'BNAA03G36230D PROTEIN', 171704),
(227979, 'PTHR30620:SF81', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE BOGH3B-LIKE', 171705),
(227980, 'PTHR22765:SF333', NULL, NULL, NULL, NULL, 'OS12G0580700 PROTEIN', 171706),
(227981, 'PTHR19134:SF492', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE PTP1', 171707),
(227982, 'PTHR43349', NULL, NULL, NULL, NULL, 'PINORESINOL REDUCTASE-RELATED', 171708),
(227983, 'PTHR12526:SF561', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS GLYCOSYLTRANSFERASE WCAL-RELATED', 171709),
(227984, 'PTHR23002:SF67', NULL, NULL, NULL, NULL, 'CELLULAR NUCLEIC ACID-BINDING PROTEIN', 171710),
(227985, 'PTHR48112:SF14', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN B3', 171711),
(227986, 'PTHR47926:SF283', NULL, NULL, NULL, NULL, 'OS11G0680200 PROTEIN', 171712),
(227987, 'PTHR47992', NULL, NULL, NULL, NULL, 'ALPHABET, ISOFORM E-RELATED', 171713),
(227988, 'PTHR46634', NULL, NULL, NULL, NULL, 'M REDUCTASE II SUBUNIT GAMMA, PUTATIVE (DUF3741)-RELATED', 171714);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(227989, 'PTHR46234', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 171715),
(227990, 'PTHR33318:SF20', NULL, NULL, NULL, NULL, 'BNAA04G19430D PROTEIN', 171716),
(227991, 'PTHR38035:SF1', NULL, NULL, NULL, NULL, 'UPF0070 PROTEIN YFGM', 171717),
(227992, 'PTHR23167:SF43', NULL, NULL, NULL, NULL, 'EH DOMAIN-BINDING PROTEIN 1', 171718),
(227993, 'PTHR11921:SF43', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] IRON-SULFUR SUBUNIT, MITOCHONDRIAL', 171719),
(227994, 'PTHR46353:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JAGGED-LIKE', 171720),
(227995, 'PTHR32468:SF109', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 24-RELATED', 171721),
(227996, 'PTHR10285:SF168', NULL, NULL, NULL, NULL, 'URIDINE KINASE', 171722),
(227997, 'PTHR24056:SF243', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 8', 171723),
(227998, 'PTHR47928:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171724),
(227999, 'PTHR23234', NULL, NULL, NULL, NULL, 'ZNF44 PROTEIN', 171725),
(228000, 'PTHR31258:SF1', NULL, NULL, NULL, NULL, 'KERATINOCYTE-ASSOCIATED PROTEIN 3', 171726),
(228001, 'PTHR24089:SF674', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL3-RELATED', 171727),
(228002, 'PTHR31444:SF38', NULL, NULL, NULL, NULL, 'BNAC02G45640D PROTEIN', 171728),
(228003, 'PTHR23120:SF0', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT FAMILY MEMBER 1', 171729),
(228004, 'PTHR10395:SF7', NULL, NULL, NULL, NULL, '5-HYDROXYISOURATE HYDROLASE', 171730),
(228005, 'PTHR33063:SF8', NULL, NULL, NULL, NULL, 'OS08G0271600 PROTEIN', 171731),
(228006, 'PTHR31339', NULL, NULL, NULL, NULL, 'PECTIN LYASE-RELATED', 171732),
(228007, 'PTHR31319:SF56', NULL, NULL, NULL, NULL, 'OS02G0610500 PROTEIN', 171733),
(228008, 'PTHR21461:SF56', NULL, NULL, NULL, NULL, 'GALACTAN BETA-1,4-GALACTOSYLTRANSFERASE GALS1', 171734),
(228009, 'PTHR24559:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171735),
(228010, 'PTHR34411:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171736),
(228011, 'PTHR27005:SF395', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE PROTEIN 9', 171737),
(228012, 'PTHR48015:SF1', NULL, NULL, NULL, NULL, 'NIK-RELATED PROTEIN KINASE', 171738),
(228013, 'PTHR45093:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR MSS11', 171739),
(228014, 'PTHR10183:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171740),
(228015, 'PTHR23501:SF182', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01360)-RELATED', 171741),
(228016, 'PTHR11008:SF9', NULL, NULL, NULL, NULL, 'RE70318P', 171742),
(228017, 'PTHR30046:SF2', NULL, NULL, NULL, NULL, 'YOP PROTEINS TRANSLOCATION LIPOPROTEIN J', 171743),
(228018, 'PTHR47407:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG15905', 171744),
(228019, 'PTHR34783:SF1', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 144-RELATED', 171745),
(228020, 'PTHR31533:SF19', NULL, NULL, NULL, NULL, 'BNAA10G10320D PROTEIN', 171746),
(228021, 'PTHR47925:SF56', NULL, NULL, NULL, NULL, 'BNAA02G27730D PROTEIN', 171747),
(228022, 'PTHR46665:SF10', NULL, NULL, NULL, NULL, 'BNAA06G36620D PROTEIN', 171748),
(228023, 'PTHR46211', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHORYL DIESTER PHOSPHODIESTERASE', 171749),
(228024, 'PTHR23076:SF108', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 4, MITOCHONDRIAL-LIKE', 171750),
(228025, 'PTHR47926:SF6', NULL, NULL, NULL, NULL, 'BNAC09G47480D PROTEIN', 171751),
(228026, 'PTHR32183:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171752),
(228027, 'PTHR44699', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 11', 171753),
(228028, 'PTHR24099:SF15', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM9', 171754),
(228029, 'PTHR11590:SF69', NULL, NULL, NULL, NULL, 'RE08173P', 171755),
(228030, 'PTHR13832:SF731', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171756),
(228031, 'PTHR22870:SF419', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171757),
(228032, 'PTHR31642:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171758),
(228033, 'PTHR24326:SF588', NULL, NULL, NULL, NULL, 'HOMEOBOX LEUCINE ZIPPER FAMILY PROTEIN', 171759);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(228034, 'PTHR19384:SF17', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', 171760),
(228035, 'PTHR11861:SF1', NULL, NULL, NULL, NULL, 'MELANOCYTE PROTEIN PMEL', 171761),
(228036, 'PTHR10652:SF17', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', 171762),
(228037, 'PTHR24015:SF1862', NULL, NULL, NULL, NULL, 'OS01G0357800 PROTEIN', 171763),
(228038, 'PTHR32440:SF21', NULL, NULL, NULL, NULL, 'PDP3-INTERACTING FACTOR 1', 171764),
(228039, 'PTHR48061:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171765),
(228040, 'PTHR45676:SF90', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL79-LIKE', 171766),
(228041, 'PTHR45295:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ C76, CHLOROPLASTIC', 171767),
(228042, 'PTHR42693:SF10', NULL, NULL, NULL, NULL, 'ARYLSULFATASE G', 171768),
(228043, 'PTHR33266', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', 171769),
(228044, 'PTHR33309:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171770),
(228045, 'PTHR22850', NULL, NULL, NULL, NULL, 'WD40 REPEAT FAMILY', 171771),
(228046, 'PTHR43523:SF18', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE LARGE SUBUNIT 2, CHLOROPLASTIC', 171772),
(228047, 'PTHR48002:SF16', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 171773),
(228048, 'PTHR19317:SF54', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 171774),
(228049, 'PTHR31232:SF81', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 30', 171775),
(228050, 'PTHR14200:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5A, MITOCHONDRIAL', 171776),
(228051, 'PTHR14237:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171777),
(228052, 'PTHR24201', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 171778),
(228053, 'PTHR12313:SF39', NULL, NULL, NULL, NULL, 'OS12G0636000 PROTEIN', 171779),
(228054, 'PTHR36309', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 171780),
(228055, 'PTHR45743:SF35', NULL, NULL, NULL, NULL, 'BNAA09G17910D PROTEIN', 171781),
(228056, 'PTHR31044:SF86', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', 171782),
(228057, 'PTHR11278:SF12', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', 171783),
(228058, 'PTHR10845:SF147', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 8', 171784),
(228059, 'PTHR24028:SF239', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA 9', 171785),
(228060, 'PTHR38409:SF1', NULL, NULL, NULL, NULL, 'MDM10-COMPLEMENTING PROTEIN 1', 171786),
(228061, 'PTHR19256', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR GAMMA CHAIN', 171787),
(228062, 'PTHR33312:SF23', NULL, NULL, NULL, NULL, 'OS05G0120900 PROTEIN', 171788),
(228063, 'PTHR30427:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN LYSR', 171789),
(228064, 'PTHR31865:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171790),
(228065, 'PTHR33890:SF5', NULL, NULL, NULL, NULL, 'OS10G0571000 PROTEIN', 171791),
(228066, 'PTHR37333:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH SINGLE-PASS MEMBRANE PROTEIN 2', 171792),
(228067, 'PTHR32010:SF19', NULL, NULL, NULL, NULL, 'OS04G0675000 PROTEIN', 171793),
(228068, 'PTHR24232:SF7', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 20', 171794),
(228069, 'PTHR33164:SF71', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MARR FAMILY', 171795),
(228070, 'PTHR37048:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171796),
(228071, 'PTHR35982', NULL, NULL, NULL, NULL, 'AGAP005361-PA', 171797),
(228072, 'PTHR21136:SF197', NULL, NULL, NULL, NULL, 'BNAA08G05870D PROTEIN', 171798),
(228073, 'PTHR36102:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171799),
(228074, 'PTHR13088:SF2', NULL, NULL, NULL, NULL, 'FAS APOPTOTIC INHIBITORY MOLECULE-LIKE', 171800),
(228075, 'PTHR21596:SF71', NULL, NULL, NULL, NULL, 'BNAC09G28530D PROTEIN', 171801),
(228076, 'PTHR23079:SF39', NULL, NULL, NULL, NULL, 'RNA-DIRECTED RNA POLYMERASE', 171802),
(228077, 'PTHR31905:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171803),
(228078, 'PTHR11705:SF54', NULL, NULL, NULL, NULL, 'PROTEIN CBG21349', 171804);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(228079, 'PTHR32481:SF0', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE YPDE-RELATED', 171805),
(228080, 'PTHR37572:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171806),
(228081, 'PTHR35317:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', 171807),
(228082, 'PTHR42985:SF10', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED MONOCARBOXYLATE TRANSPORTER 1', 171808),
(228083, 'PTHR11782:SF31', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 8', 171809),
(228084, 'PTHR12398:SF30', NULL, NULL, NULL, NULL, 'PROTEIN GLC8-LIKE ISOFORM X1', 171810),
(228085, 'PTHR11474:SF108', NULL, NULL, NULL, NULL, 'OS01G0793100 PROTEIN', 171811),
(228086, 'PTHR23024:SF563', NULL, NULL, NULL, NULL, 'OS07G0501400 PROTEIN', 171812),
(228087, 'PTHR10468:SF0', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 2-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE', 171813),
(228088, 'PTHR12378:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171814),
(228089, 'PTHR36714:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 171815),
(228090, 'PTHR11406:SF24', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 7', 171816),
(228091, 'PTHR11586:SF37', NULL, NULL, NULL, NULL, 'CHAPERONE CSAA-RELATED', 171817),
(228092, 'PTHR16059:SF13', NULL, NULL, NULL, NULL, 'ANTHRAX TOXIN RECEPTOR 2', 171818),
(228093, 'PTHR45528:SF6', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SENSOR KINASE', 171819),
(228094, 'PTHR31375:SF104', NULL, NULL, NULL, NULL, 'OS01G0517500 PROTEIN', 171820),
(228095, 'PTHR23226:SF211', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 773', 171821),
(228096, 'PTHR14795', NULL, NULL, NULL, NULL, 'HELICASE RELATED', 171822),
(228097, 'PTHR10985:SF138', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CWO', 171823),
(228098, 'PTHR10579:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171824),
(228099, 'PTHR46510', NULL, NULL, NULL, NULL, 'BROMODOMAIN ADJACENT TO ZINC FINGER DOMAIN PROTEIN 1A', 171825),
(228100, 'PTHR11574', NULL, NULL, NULL, NULL, 'KIT LIGAND', 171826),
(228101, 'PTHR23200:SF48', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE DOMAIN-CONTAINING PROTEIN 1', 171827),
(228102, 'PTHR46631:SF6', NULL, NULL, NULL, NULL, 'OS06G0359400 PROTEIN', 171828),
(228103, 'PTHR10165:SF25', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE 2', 171829),
(228104, 'PTHR31636:SF175', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 3', 171830),
(228105, 'PTHR11014', NULL, NULL, NULL, NULL, 'PEPTIDASE M20 FAMILY MEMBER', 171831),
(228106, 'PTHR24072:SF290', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHO4', 171832),
(228107, 'PTHR45646:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DOA', 171833),
(228108, 'PTHR37246', NULL, NULL, NULL, NULL, 'OS07G0658000 PROTEIN', 171834),
(228109, 'PTHR23244:SF434', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171835),
(228110, 'PTHR31677:SF99', NULL, NULL, NULL, NULL, 'BNAC09G39250D PROTEIN', 171836),
(228111, 'PTHR26453:SF56', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1339', 171837),
(228112, 'PTHR31616:SF5', NULL, NULL, NULL, NULL, 'GLUCAN 1,4-ALPHA-GLUCOSIDASE', 171838),
(228113, 'PTHR12821:SF1', NULL, NULL, NULL, NULL, 'BNACNNG38680D PROTEIN', 171839),
(228114, 'PTHR23266:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171840),
(228115, 'PTHR22947:SF18', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 171841),
(228116, 'PTHR11206:SF318', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 171842),
(228117, 'PTHR24390:SF154', NULL, NULL, NULL, NULL, 'LSY-2-LIKE', 171843),
(228118, 'PTHR40142', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B, MEMBER 9B-RELATED', 171844),
(228119, 'PTHR43952:SF54', NULL, NULL, NULL, NULL, 'BNAC05G15040D PROTEIN', 171845),
(228120, 'PTHR14347:SF3', NULL, NULL, NULL, NULL, 'CLAUDIN DOMAIN-CONTAINING PROTEIN 1', 171846),
(228121, 'PTHR33404:SF2', NULL, NULL, NULL, NULL, 'CELL DIVISION TOPOLOGICAL SPECIFICITY FACTOR HOMOLOG, CHLOROPLASTIC', 171847),
(228122, 'PTHR13522', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 171848),
(228123, 'PTHR11246:SF25', NULL, NULL, NULL, NULL, 'BNAA02G34100D PROTEIN', 171849);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(228124, 'PTHR47926:SF267', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 171850),
(228125, 'PTHR31080:SF213', NULL, NULL, NULL, NULL, 'BNAA09G30040D PROTEIN', 171851),
(228126, 'PTHR33172:SF65', NULL, NULL, NULL, NULL, 'OS06G0559400 PROTEIN', 171852),
(228127, 'PTHR37380', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE501 PROTEIN', 171853),
(228128, 'PTHR11947', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE KINASE', 171854),
(228129, 'PTHR11501:SF16', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 4', 171855),
(228130, 'PTHR15162', NULL, NULL, NULL, NULL, 'ASPARTOACYLASE', 171856),
(228131, 'PTHR33494:SF1', NULL, NULL, NULL, NULL, 'OS02G0793800 PROTEIN', 171857),
(228132, 'PTHR15141', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR B POLYPEPTIDE 3', 171858),
(228133, 'PTHR47732:SF1', NULL, NULL, NULL, NULL, 'RUN AND FYVE DOMAIN-CONTAINING PROTEIN 4', 171859),
(228134, 'PTHR48017:SF49', NULL, NULL, NULL, NULL, 'BNAA09G57230D PROTEIN', 171860),
(228135, 'PTHR22870:SF418', NULL, NULL, NULL, NULL, 'OS05G0545200 PROTEIN', 171861),
(228136, 'PTHR10606:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171862),
(228137, 'PTHR11814:SF234', NULL, NULL, NULL, NULL, 'BNAA09G30120D PROTEIN', 171863),
(228138, 'PTHR11566:SF182', NULL, NULL, NULL, NULL, 'BNAA09G45430D PROTEIN', 171864),
(228139, 'PTHR45630:SF7', NULL, NULL, NULL, NULL, 'MANGANESE-TRANSPORTING ATPASE 13A1', 171865),
(228140, 'PTHR18884:SF109', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 12', 171866),
(228141, 'PTHR11132:SF364', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE/PHOSPHATE TRANSLOCATOR 2, CHLOROPLASTIC', 171867),
(228142, 'PTHR47991:SF104', NULL, NULL, NULL, NULL, 'BNAA04G21880D PROTEIN', 171868),
(228143, 'PTHR24282:SF220', NULL, NULL, NULL, NULL, '11-OXO-BETA-AMYRIN 30-OXIDASE', 171869),
(228144, 'PTHR43349:SF66', NULL, NULL, NULL, NULL, 'CIPA-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12460)-RELATED', 171870),
(228145, 'PTHR23239:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171871),
(228146, 'PTHR13361:SF1', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 11', 171872),
(228147, 'PTHR22916:SF41', NULL, NULL, NULL, NULL, 'TEICHOIC ACID GLYCEROL-PHOSPHATE TRANSFERASE', 171873),
(228148, 'PTHR11709:SF379', NULL, NULL, NULL, NULL, 'LACCASE-9-RELATED', 171874),
(228149, 'PTHR24392:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 518B', 171875),
(228150, 'PTHR47993:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171876),
(228151, 'PTHR11848:SF232', NULL, NULL, NULL, NULL, 'LEFT-RIGHT DETERMINATION FACTOR 2', 171877),
(228152, 'PTHR31867:SF181', NULL, NULL, NULL, NULL, 'EXPANSIN', 171878),
(228153, 'PTHR48001:SF16', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 171879),
(228154, 'PTHR33349:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171880),
(228155, 'PTHR20961:SF90', NULL, NULL, NULL, NULL, 'OSJNBB0026E15.11 PROTEIN', 171881),
(228156, 'PTHR43416:SF32', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYL CARRIER PROTEIN OF ACETYL-COA CARBOXYLASE 2, CHLOROPLASTIC', 171882),
(228157, 'PTHR43240:SF22', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-2-NAPHTHOYL-COA THIOESTERASE 1-LIKE', 171883),
(228158, 'PTHR47942:SF40', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_4G07240)', 171884),
(228159, 'PTHR46222:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 171885),
(228160, 'PTHR31042:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171886),
(228161, 'PTHR48034:SF11', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF', 171887),
(228162, 'PTHR27009:SF215', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK3', 171888),
(228163, 'PTHR47958:SF99', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 53-LIKE', 171889),
(228164, 'PTHR11127:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L14-2', 171890),
(228165, 'PTHR11732:SF483', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE/POTASSIUM CHANNEL SUBUNIT BETA-RELATED', 171891),
(228166, 'PTHR45614:SF73', NULL, NULL, NULL, NULL, 'OS01G0210200 PROTEIN', 171892);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(228167, 'PTHR35010:SF3', NULL, NULL, NULL, NULL, 'BLL4873 PROTEIN', 171893),
(228168, 'PTHR26453:SF645', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2L2', 171894),
(228169, 'PTHR11458:SF3', NULL, NULL, NULL, NULL, 'DELTA-AMINOLEVULINIC ACID DEHYDRATASE 2, CHLOROPLASTIC-RELATED', 171895),
(228170, 'PTHR45654:SF73', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ROC2', 171896),
(228171, 'PTHR15706:SF10', NULL, NULL, NULL, NULL, 'NADPH OXIDASE ORGANIZER 1', 171897),
(228172, 'PTHR21495:SF158', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 171898),
(228173, 'PTHR12919:SF33', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S16-1, CHLOROPLASTIC', 171899),
(228174, 'PTHR31284:SF33', NULL, NULL, NULL, NULL, 'STEM 28 KDA GLYCOPROTEIN', 171900),
(228175, 'PTHR10201:SF260', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE', 171901),
(228176, 'PTHR33083:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171902),
(228177, 'PTHR33698:SF5', NULL, NULL, NULL, NULL, 'NTF2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 171903),
(228178, 'PTHR47417:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171904),
(228179, 'PTHR42744:SF1', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEMS INNER MEMBRANE COMPONENT', 171905),
(228180, 'PTHR37856:SF1', NULL, NULL, NULL, NULL, 'MAST CELL-EXPRESSED MEMBRANE PROTEIN 1', 171906),
(228181, 'PTHR24058:SF114', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 171907),
(228182, 'PTHR23232:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171908),
(228183, 'PTHR12375:SF44', NULL, NULL, NULL, NULL, 'OS03G0843500 PROTEIN', 171909),
(228184, 'PTHR11711:SF110', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 4', 171910),
(228185, 'PTHR31639:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171911),
(228186, 'PTHR43345:SF8', NULL, NULL, NULL, NULL, 'BNAA05G34440D PROTEIN', 171912),
(228187, 'PTHR21519', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 8', 171913),
(228188, 'PTHR23510:SF23', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING MEMBRANE PROTEIN OS02G45520', 171914),
(228189, 'PTHR12931:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE OTUB1', 171915),
(228190, 'PTHR31062:SF204', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 171916),
(228191, 'PTHR11006:SF109', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 1.2-RELATED', 171917),
(228192, 'PTHR46447', NULL, NULL, NULL, NULL, 'INTERLEUKIN ENHANCER-BINDING FACTOR', 171918),
(228193, 'PTHR21596:SF23', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 4', 171919),
(228194, 'PTHR21569:SF29', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S16-1-RELATED', 171920),
(228195, 'PTHR48045:SF7', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 171921),
(228196, 'PTHR43900:SF44', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F8, CHLOROPLASTIC', 171922),
(228197, 'PTHR30540:SF102', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 1', 171923),
(228198, 'PTHR33044:SF178', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN GPI-ANCHORED 2-LIKE ISOFORM X1', 171924),
(228199, 'PTHR23067', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING ZINC FINGER PROTEIN', 171925),
(228200, 'PTHR10390:SF63', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX7', 171926),
(228201, 'PTHR45618:SF37', NULL, NULL, NULL, NULL, 'BNAC04G26520D PROTEIN', 171927),
(228202, 'PTHR15241:SF293', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A1 PSEUDOGENE 48', 171928),
(228203, 'PTHR11588:SF360', NULL, NULL, NULL, NULL, 'MISCELLANEOUS ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 171929),
(228204, 'PTHR24103:SF591', NULL, NULL, NULL, NULL, 'SI:DKEY-183C6.9', 171930),
(228205, 'PTHR48012:SF11', NULL, NULL, NULL, NULL, 'STE20-LIKE SERINE/THREONINE-PROTEIN KINASE', 171931),
(228206, 'PTHR46835:SF4', NULL, NULL, NULL, NULL, 'B-ZIP PROTEIN', 171932),
(228207, 'PTHR34260:SF1', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME-C REDUCTASE COMPLEX ASSEMBLY FACTOR 2', 171933),
(228208, 'PTHR11043', NULL, NULL, NULL, NULL, 'ZETA-COAT PROTEIN', 171934),
(228209, 'PTHR21255:SF4', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN TCTEX-TYPE', 171935);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(228210, 'PTHR46859', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE FRAGILE-X-F-ASSOCIATED PROTEIN', 171936),
(228211, 'PTHR23292:SF36', NULL, NULL, NULL, NULL, 'PROTEIN CBG15749', 171937),
(228212, 'PTHR35358:SF12', NULL, NULL, NULL, NULL, 'BNAA09G43510D PROTEIN', 171938),
(228213, 'PTHR22951:SF90', NULL, NULL, NULL, NULL, 'BNAA09G40960D PROTEIN', 171939),
(228214, 'PTHR23201:SF98', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 11-LIKE', 171940),
(228215, 'PTHR31533:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171941),
(228216, 'PTHR12755:SF6', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE 5''-HYDROXYL-KINASE CLP1', 171942),
(228217, 'PTHR31881:SF15', NULL, NULL, NULL, NULL, 'PLANT/F12B17-70 PROTEIN', 171943),
(228218, 'PTHR13395', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PROTEIN DCC1-RELATED', 171944),
(228219, 'PTHR22625:SF34', NULL, NULL, NULL, NULL, 'PLEXIN-A4', 171945),
(228220, 'PTHR33593:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT/KH DOMAIN PROTEIN (DUF1442)', 171946),
(228221, 'PTHR10502:SF206', NULL, NULL, NULL, NULL, 'ANNEXIN', 171947),
(228222, 'PTHR40061', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN YLMC-RELATED', 171948),
(228223, 'PTHR24372:SF69', NULL, NULL, NULL, NULL, 'ELRR (EXTRACELLULAR LEUCINE-RICH REPEAT) ONLY', 171949),
(228224, 'PTHR31549:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171950),
(228225, 'PTHR31048:SF47', NULL, NULL, NULL, NULL, 'PROTEIN P21', 171951),
(228226, 'PTHR24418:SF394', NULL, NULL, NULL, NULL, 'PROTEIN NIPI-4', 171952),
(228227, 'PTHR14526:SF2', NULL, NULL, NULL, NULL, 'AURORA KINASE A AND NINEIN-INTERACTING PROTEIN', 171953),
(228228, 'PTHR35968', NULL, NULL, NULL, NULL, 'CHROMOSOME 6 C6ORF201 HOMOLOG', 171954),
(228229, 'PTHR34656:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171955),
(228230, 'PTHR24128:SF48', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT31-RELATED', 171956),
(228231, 'PTHR35373:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG24194', 171957),
(228232, 'PTHR30372:SF4', NULL, NULL, NULL, NULL, 'LIPID-A-DISACCHARIDE SYNTHASE, MITOCHONDRIAL-RELATED', 171958),
(228233, 'PTHR33726:SF21', NULL, NULL, NULL, NULL, 'BNAA06G36050D PROTEIN', 171959),
(228234, 'PTHR11705:SF137', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE A1', 171960),
(228235, 'PTHR31750:SF19', NULL, NULL, NULL, NULL, 'STAY-GREEN-LIKE PROTEIN', 171961),
(228236, 'PTHR43447:SF29', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', 171962),
(228237, 'PTHR19229:SF101', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY A (ABC1), MEMBER 16', 171963),
(228238, 'PTHR31506:SF21', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 8-LIKE', 171964),
(228239, 'PTHR33622:SF10', NULL, NULL, NULL, NULL, 'DIPEPTIDE TRANSPORT ATP-BINDING PROTEIN DPPF', 171965),
(228240, 'PTHR43479:SF14', NULL, NULL, NULL, NULL, 'TETR-FAMILY REGULATORY PROTEIN', 171966),
(228241, 'PTHR24055:SF464', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C', 171967),
(228242, 'PTHR23315:SF307', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 18', 171968),
(228243, 'PTHR24377:SF374', NULL, NULL, NULL, NULL, 'ZINC FINGER, IMPRINTED 1', 171969),
(228244, 'PTHR47990:SF173', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE-LIKE PROTEIN', 171970),
(228245, 'PTHR26450:SF356', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 56 SUBFAMILY A MEMBER 4', 171971),
(228246, 'PTHR14206:SF6', NULL, NULL, NULL, NULL, 'ZGC:158689', 171972),
(228247, 'PTHR45680:SF21', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 171973),
(228248, 'PTHR23136:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171974),
(228249, 'PTHR24353:SF68', NULL, NULL, NULL, NULL, 'PROTEIN KINASE CGMP-DEPENDENT 1', 171975),
(228250, 'PTHR46429', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 171976),
(228251, 'PTHR47977:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171977),
(228252, 'PTHR31889:SF45', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 10-RELATED', 171978),
(228253, 'PTHR11480:SF78', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', 171979),
(228254, 'PTHR45635:SF26', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 3, MITOCHONDRIAL', 171980);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(228255, 'PTHR24012:SF699', NULL, NULL, NULL, NULL, 'CUGBP ELAV-LIKE FAMILY MEMBER 2', 171981),
(228256, 'PTHR11525', NULL, NULL, NULL, NULL, 'FARNESYL-PYROPHOSPHATE SYNTHETASE', 171982),
(228257, 'PTHR33623:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 171983),
(228258, 'PTHR46191', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 171984),
(228259, 'PTHR43355:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171985),
(228260, 'PTHR11929:SF212', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE FAMILY 10-RELATED', 171986),
(228261, 'PTHR10547:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171987),
(228262, 'PTHR46109:SF3', NULL, NULL, NULL, NULL, 'PROTEIN LIN-28 HOMOLOG B', 171988),
(228263, 'PTHR24207:SF1', NULL, NULL, NULL, NULL, 'FILAMIN-BINDING LIM PROTEIN 1', 171989),
(228264, 'PTHR14002:SF24', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA-LIKE DOMAIN-CONTAINING PROTEIN 1', 171990),
(228265, 'PTHR47993:SF174', NULL, NULL, NULL, NULL, 'OS05G0116300 PROTEIN', 171991),
(228266, 'PTHR30437:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR GREA', 171992),
(228267, 'PTHR16223:SF192', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH112', 171993),
(228268, 'PTHR12059', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L23-RELATED', 171994),
(228269, 'PTHR31916:SF44', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE A, CHLOROPLASTIC-RELATED', 171995),
(228270, 'PTHR33138:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 171996),
(228271, 'PTHR46345', NULL, NULL, NULL, NULL, 'INVERTED FORMIN-2', 171997),
(228272, 'PTHR11260:SF232', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE37', 171998),
(228273, 'PTHR43574:SF58', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 5', 171999),
(228274, 'PTHR34835:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172000),
(228275, 'PTHR45979:SF20', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE FAMILY PROTEIN', 172001),
(228276, 'PTHR13018:SF127', NULL, NULL, NULL, NULL, 'BNAA08G05680D PROTEIN', 172002),
(228277, 'PTHR11668:SF445', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 172003),
(228278, 'PTHR10943:SF2', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 1', 172004),
(228279, 'PTHR31194:SF99', NULL, NULL, NULL, NULL, 'CYTOKININ RESPONSE FACTOR 5-RELATED', 172005),
(228280, 'PTHR11051', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE-RELATED', 172006),
(228281, 'PTHR31072:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP21-RELATED', 172007),
(228282, 'PTHR46032', NULL, NULL, NULL, NULL, 'ALPHA-2,3-SIALYLTRANSFERASE ST3GAL I ISOFORM X1', 172008),
(228283, 'PTHR45758:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN, EXPRESSED', 172009),
(228284, 'PTHR38934:SF16', NULL, NULL, NULL, NULL, 'GPI-ANCHORED CFEM DOMAIN PROTEIN A-LIKE', 172010),
(228285, 'PTHR23155:SF860', NULL, NULL, NULL, NULL, 'OS10G0130600 PROTEIN', 172011),
(228286, 'PTHR21119:SF7', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN 2', 172012),
(228287, 'PTHR48031', NULL, NULL, NULL, NULL, 'SRA STEM-LOOP-INTERACTING RNA-BINDING PROTEIN, MITOCHONDRIAL', 172013),
(228288, 'PTHR46636:SF1', NULL, NULL, NULL, NULL, 'CDK2-ASSOCIATED AND CULLIN DOMAIN-CONTAINING PROTEIN 1', 172014),
(228289, 'PTHR47785:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 172015),
(228290, 'PTHR35694', NULL, NULL, NULL, NULL, 'DENEDDYLASE', 172016),
(228291, 'PTHR31699:SF1', NULL, NULL, NULL, NULL, 'ZGC:103759', 172017),
(228292, 'PTHR44329:SF138', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY46-LIKE', 172018),
(228293, 'PTHR24373:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172019),
(228294, 'PTHR31042:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172020),
(228295, 'PTHR24298:SF587', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81F4', 172021),
(228296, 'PTHR35868:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172022),
(228297, 'PTHR13817:SF102', NULL, NULL, NULL, NULL, 'PROTEIN SIDEKICK HOMOLOG', 172023),
(228298, 'PTHR37731:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER FAMILY PROTEIN', 172024);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(228299, 'PTHR30462', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 172025),
(228300, 'PTHR21689:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172026),
(228301, 'PTHR24377:SF772', NULL, NULL, NULL, NULL, 'PROTEIN ESCARGOT', 172027),
(228302, 'PTHR31454:SF2', NULL, NULL, NULL, NULL, 'ACTIVE REGULATOR OF SIRT1', 172028),
(228303, 'PTHR33509:SF3', NULL, NULL, NULL, NULL, 'OS05G0362600 PROTEIN', 172029),
(228304, 'PTHR33730:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172030),
(228305, 'PTHR36981', NULL, NULL, NULL, NULL, 'ZGC:195170', 172031),
(228306, 'PTHR26312:SF142', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 172032),
(228307, 'PTHR42790:SF9', NULL, NULL, NULL, NULL, 'GNTR FAMILY REGULATORY PROTEIN-RELATED', 172033),
(228308, 'PTHR21461:SF12', NULL, NULL, NULL, NULL, 'GALACTAN BETA-1,4-GALACTOSYLTRANSFERASE GALS2', 172034),
(228309, 'PTHR42925', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EFFLUX PROTEIN MATE FAMILY', 172035),
(228310, 'PTHR20974', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 172036),
(228311, 'PTHR14155:SF532', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL17-RELATED', 172037),
(228312, 'PTHR11362:SF128', NULL, NULL, NULL, NULL, 'BNAC02G23820D PROTEIN', 172038),
(228313, 'PTHR31148:SF4', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN C', 172039),
(228314, 'PTHR43805', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHORYL DIESTER PHOSPHODIESTERASE', 172040),
(228315, 'PTHR47201:SF3', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN ISOFORM 1', 172041),
(228316, 'PTHR45616:SF43', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CUTICULAR HB5', 172042),
(228317, 'PTHR22958:SF23', NULL, NULL, NULL, NULL, 'DEPENDENT KINASE INHIBITOR PHO81, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G06020)-RELATED', 172043),
(228318, 'PTHR42262', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 172044),
(228319, 'PTHR30546:SF38', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 1-RELATED', 172045),
(228320, 'PTHR34064', NULL, NULL, NULL, NULL, 'OS04G0672300 PROTEIN', 172046),
(228321, 'PTHR42850:SF4', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE YNL217W-RELATED', 172047),
(228322, 'PTHR17503', NULL, NULL, NULL, NULL, 'SYNCOLLIN', 172048),
(228323, 'PTHR31790:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172049),
(228324, 'PTHR14081', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 11A-RELATED-RELATED', 172050),
(228325, 'PTHR19430:SF0', NULL, NULL, NULL, NULL, 'PROTEIN BEX5', 172051),
(228326, 'PTHR46359:SF3', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 11A', 172052),
(228327, 'PTHR46265:SF8', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 6', 172053),
(228328, 'PTHR11534:SF4', NULL, NULL, NULL, NULL, 'MYOGENIC FACTOR 6', 172054),
(228329, 'PTHR11439:SF338', NULL, NULL, NULL, NULL, 'GAG-POL POLYPROTEIN-LIKE PROTEIN', 172055),
(228330, 'PTHR37362:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 38', 172056),
(228331, 'PTHR33353:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14540)-RELATED', 172057),
(228332, 'PTHR31692:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172058),
(228333, 'PTHR12814:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN NOB1', 172059),
(228334, 'PTHR12241:SF96', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL6', 172060),
(228335, 'PTHR24403:SF85', NULL, NULL, NULL, NULL, 'ZINC FINGER AND AT-HOOK DOMAIN CONTAINING', 172061),
(228336, 'PTHR13227:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2A', 172062),
(228337, 'PTHR11945:SF534', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2', 172063),
(228338, 'PTHR24414:SF176', NULL, NULL, NULL, NULL, 'BNAA06G39870D PROTEIN', 172064),
(228339, 'PTHR47273', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 172065),
(228340, 'PTHR32227:SF370', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE A6-RELATED', 172066),
(228341, 'PTHR34779:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172067),
(228342, 'PTHR21292:SF13', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 3', 172068);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(228343, 'PTHR46268:SF8', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN SLL1388', 172069),
(228344, 'PTHR31104:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA-GLUCOSAMINYL)ASPARAGINE AMIDASE A PROTEIN', 172070),
(228345, 'PTHR14817', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 15', 172071),
(228346, 'PTHR35751:SF3', NULL, NULL, NULL, NULL, 'OS06G0530200 PROTEIN', 172072),
(228347, 'PTHR33693:SF1', NULL, NULL, NULL, NULL, 'TYPE-4 URACIL-DNA GLYCOSYLASE', 172073),
(228348, 'PTHR38499:SF1', NULL, NULL, NULL, NULL, 'ADIPOGENIN', 172074),
(228349, 'PTHR16943:SF22', NULL, NULL, NULL, NULL, 'DEHYDRATASE (PRPD), PUTATIVE-RELATED', 172075),
(228350, 'PTHR12864:SF55', NULL, NULL, NULL, NULL, 'SPLA/RYANODINE RECEPTOR (SPRY) DOMAIN-CONTAINING PROTEIN', 172076),
(228351, 'PTHR42643', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 20A-RELATED', 172077),
(228352, 'PTHR24027:SF272', NULL, NULL, NULL, NULL, 'CADHERIN-24-RELATED', 172078),
(228353, 'PTHR33744:SF12', NULL, NULL, NULL, NULL, 'LMO2727 PROTEIN', 172079),
(228354, 'PTHR48047:SF55', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 172080),
(228355, 'PTHR11938:SF133', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE [NADH]', 172081),
(228356, 'PTHR10494:SF6', NULL, NULL, NULL, NULL, 'NOGGIN', 172082),
(228357, 'PTHR43200:SF22', NULL, NULL, NULL, NULL, 'BNAA02G34000D PROTEIN', 172083),
(228358, 'PTHR23501', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY', 172084),
(228359, 'PTHR23411', NULL, NULL, NULL, NULL, 'TAPASIN', 172085),
(228360, 'PTHR39601', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 172086),
(228361, 'PTHR11165:SF144', NULL, NULL, NULL, NULL, 'BNAANNG29500D PROTEIN', 172087),
(228362, 'PTHR14189:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE METHYLESTERASE 1', 172088),
(228363, 'PTHR36694:SF4', NULL, NULL, NULL, NULL, 'LD42595P', 172089),
(228364, 'PTHR24012:SF844', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN-DEFENSE RELATED 1-RELATED', 172090),
(228365, 'PTHR44115:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG05820', 172091),
(228366, 'PTHR10390:SF64', NULL, NULL, NULL, NULL, 'SIX HOMEOBOX 4A-RELATED', 172092),
(228367, 'PTHR48043:SF8', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 172093),
(228368, 'PTHR24078:SF531', NULL, NULL, NULL, NULL, 'OS07G0513600 PROTEIN', 172094),
(228369, 'PTHR31867:SF164', NULL, NULL, NULL, NULL, 'EXPANSIN', 172095),
(228370, 'PTHR22751:SF283', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 172096),
(228371, 'PTHR46466', NULL, NULL, NULL, NULL, 'GLYOXALASE DOMAIN-CONTAINING PROTEIN 4', 172097),
(228372, 'PTHR30363:SF15', NULL, NULL, NULL, NULL, 'AGA OPERON TRANSCRIPTIONAL REPRESSOR-RELATED', 172098),
(228373, 'PTHR15422:SF36', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 DOMAIN-CONTAINING PROTEIN', 172099),
(228374, 'PTHR32285:SF258', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 4', 172100),
(228375, 'PTHR47073', NULL, NULL, NULL, NULL, 'PROTEIN ANTI-SILENCING 1', 172101),
(228376, 'PTHR48042:SF8', NULL, NULL, NULL, NULL, 'CASSETTE TRANSPORTER, PUTATIVE-RELATED', 172102),
(228377, 'PTHR10013:SF3', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G14620)', 172103),
(228378, 'PTHR46506:SF30', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 172104),
(228379, 'PTHR36899:SF4', NULL, NULL, NULL, NULL, 'BNAA08G24560D PROTEIN', 172105),
(228380, 'PTHR31674:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172106),
(228381, 'PTHR24281:SF22', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE', 172107),
(228382, 'PTHR31286:SF64', NULL, NULL, NULL, NULL, 'BNAC01G30320D PROTEIN', 172108),
(228383, 'PTHR11485:SF21', NULL, NULL, NULL, NULL, 'MELANOTRANSFERRIN', 172109),
(228384, 'PTHR36007:SF2', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN-RELATED', 172110),
(228385, 'PTHR24071:SF20', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN-2', 172111),
(228386, 'PTHR12673:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172112),
(228387, 'PTHR18834', NULL, NULL, NULL, NULL, 'STEROID RECEPTOR RNA ACTIVATOR 1', 172113),
(228388, 'PTHR16675:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172114);
INSERT INTO "PUBLIC"."MODEL" VALUES
(228389, 'PTHR34404', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, FMDB FAMILY', 172115),
(228390, 'PTHR33507:SF4', NULL, NULL, NULL, NULL, 'NODULATION COMPETITIVENESS PROTEIN NFED', 172116),
(228391, 'PTHR11514:SF132', NULL, NULL, NULL, NULL, 'ABA-INDUCIBLE BHLH-TYPE TRANSCRIPTION FACTOR', 172117),
(228392, 'PTHR46506:SF27', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 172118),
(228393, 'PTHR33530:SF16', NULL, NULL, NULL, NULL, 'OS01G0145800 PROTEIN', 172119),
(228394, 'PTHR30462:SF3', NULL, NULL, NULL, NULL, 'INTERMEMBRANE TRANSPORT PROTEIN PQIA', 172120),
(228395, 'PTHR11909:SF378', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM DELTA', 172121),
(228396, 'PTHR45740:SF7', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE TIPARP', 172122),
(228397, 'PTHR11662:SF201', NULL, NULL, NULL, NULL, 'VESICULAR GLUTAMATE TRANSPORTER 2', 172123),
(228398, 'PTHR14559:SF11', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 11-LIKE ISOFORM X1', 172124),
(228399, 'PTHR33065:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172125),
(228400, 'PTHR47001:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH11', 172126),
(228401, 'PTHR45617:SF72', NULL, NULL, NULL, NULL, 'SYM-1 PROTEIN', 172127),
(228402, 'PTHR45974', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 55', 172128),
(228403, 'PTHR44259:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172129),
(228404, 'PTHR31945:SF67', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 172130),
(228405, 'PTHR16155:SF18', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 9-LIKE', 172131),
(228406, 'PTHR39113:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', 172132),
(228407, 'PTHR22677:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 60', 172133),
(228408, 'PTHR10210:SF93', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 4-LIKE ISOFORM X1', 172134),
(228409, 'PTHR23201:SF113', NULL, NULL, NULL, NULL, 'BNAA02G06740D PROTEIN', 172135),
(228410, 'PTHR11419', NULL, NULL, NULL, NULL, 'INTERFERON GAMMA', 172136),
(228411, 'PTHR13234:SF49', NULL, NULL, NULL, NULL, 'GAMMA INTERFERON INDUCIBLE LYSOSOMAL THIOL REDUCTASE', 172137),
(228412, 'PTHR12058:SF0', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 2', 172138),
(228413, 'PTHR33349:SF1', NULL, NULL, NULL, NULL, 'EMB|CAB62594.1', 172139),
(228414, 'PTHR47941:SF10', NULL, NULL, NULL, NULL, 'OS02G0759500 PROTEIN', 172140),
(228415, 'PTHR18953:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172141),
(228416, 'PTHR11964:SF60', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', 172142),
(228417, 'PTHR15852:SF67', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 172143),
(228418, 'PTHR12829:SF2', NULL, NULL, NULL, NULL, 'N6-ADENOSINE-METHYLTRANSFERASE CATALYTIC SUBUNIT', 172144),
(228419, 'PTHR34687:SF3', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ-RELATED', 172145),
(228420, 'PTHR32002:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172146),
(228421, 'PTHR11804:SF56', NULL, NULL, NULL, NULL, 'THIMET OLIGOPEPTIDASE 1', 172147),
(228422, 'PTHR11243:SF25', NULL, NULL, NULL, NULL, 'GROWTH FACTOR RECEPTOR-BOUND PROTEIN 7', 172148),
(228423, 'PTHR24037:SF10', NULL, NULL, NULL, NULL, 'HEART DEVELOPMENT PROTEIN WITH EGF-LIKE DOMAINS 1', 172149),
(228424, 'PTHR12011:SF459', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR G3', 172150),
(228425, 'PTHR46380', NULL, NULL, NULL, NULL, 'CYCLIN-D-BINDING MYB-LIKE TRANSCRIPTION FACTOR 1', 172151),
(228426, 'PTHR31140:SF100', NULL, NULL, NULL, NULL, 'BNAANNG17880D PROTEIN', 172152),
(228427, 'PTHR42770:SF11', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YBAT', 172153),
(228428, 'PTHR21645:SF21', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 172154),
(228429, 'PTHR48054:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 172155),
(228430, 'PTHR24559:SF337', NULL, NULL, NULL, NULL, 'DNA/RNA POLYMERASES SUPERFAMILY PROTEIN', 172156),
(228431, 'PTHR12549:SF39', NULL, NULL, NULL, NULL, 'BNAA08G25010D PROTEIN', 172157);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(228432, 'PTHR13007', NULL, NULL, NULL, NULL, 'PRE-MRNA SPLICING FACTOR-RELATED', 172158),
(228433, 'PTHR48111', NULL, NULL, NULL, NULL, 'REGULATOR OF RPOS', 172159),
(228434, 'PTHR11669:SF25', NULL, NULL, NULL, NULL, 'OS02G0704966 PROTEIN', 172160),
(228435, 'PTHR36062:SF4', NULL, NULL, NULL, NULL, 'OS05G0552100 PROTEIN', 172161),
(228436, 'PTHR10357:SF199', NULL, NULL, NULL, NULL, 'ALPHA AMYLASE CATALYTIC REGION', 172162),
(228437, 'PTHR44943:SF4', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE OPERON PROTEIN C', 172163),
(228438, 'PTHR32054:SF43', NULL, NULL, NULL, NULL, 'WEB FAMILY PROTEIN-RELATED', 172164),
(228439, 'PTHR47978:SF29', NULL, NULL, NULL, NULL, 'MONOMERIC G-PROTEIN', 172165),
(228440, 'PTHR27008:SF398', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', 172166),
(228441, 'PTHR46502:SF18', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', 172167),
(228442, 'PTHR24061:SF498', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 126-RELATED', 172168),
(228443, 'PTHR45398', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 172169),
(228444, 'PTHR23073:SF90', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 6A', 172170),
(228445, 'PTHR10217:SF468', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 6', 172171),
(228446, 'PTHR34467:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 172172),
(228447, 'PTHR27003:SF274', NULL, NULL, NULL, NULL, 'NODULATION RECEPTOR KINASE-LIKE PROTEIN', 172173),
(228448, 'PTHR45651:SF76', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 1-LIKE', 172174),
(228449, 'PTHR48050:SF21', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', 172175),
(228450, 'PTHR10869:SF183', NULL, NULL, NULL, NULL, '4-HYDROXYLASE ALPHA SUBUNIT, PUTATIVE-RELATED', 172176),
(228451, 'PTHR36949', NULL, NULL, NULL, NULL, 'PROTEIN CBR-LIN-66', 172177),
(228452, 'PTHR47968:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172178),
(228453, 'PTHR47506:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR OF GLUTATHIONE DETOXIFICATION', 172179),
(228454, 'PTHR45744:SF16', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE TAT1-RELATED', 172180),
(228455, 'PTHR46284:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172181),
(228456, 'PTHR14344', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN', 172182),
(228457, 'PTHR11134:SF10', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT BETA-1', 172183),
(228458, 'PTHR12414', NULL, NULL, NULL, NULL, 'GLIAL CELLS MISSING RELATED/GLIDE', 172184),
(228459, 'PTHR21578:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG03826', 172185),
(228460, 'PTHR31368', NULL, NULL, NULL, NULL, 'DEVELOPMENT PLURPOTENCY-ASSOCIATED PROTEIN 1/5 FAMILY MEMBER', 172186),
(228461, 'PTHR43127:SF3', NULL, NULL, NULL, NULL, 'DEVELOPMENTALLY-REGULATED G-PROTEIN 1', 172187),
(228462, 'PTHR31524', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 172188),
(228463, 'PTHR27005:SF181', NULL, NULL, NULL, NULL, 'LYSM TYPE RECEPTOR KINASE', 172189),
(228464, 'PTHR46128:SF244', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 172190),
(228465, 'PTHR33976:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172191),
(228466, 'PTHR47840', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 172192),
(228467, 'PTHR13683:SF751', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 172193),
(228468, 'PTHR42989:SF1', NULL, NULL, NULL, NULL, 'FORMATE HYDROGENLYASE SUBUNIT 7-RELATED', 172194),
(228469, 'PTHR11709:SF243', NULL, NULL, NULL, NULL, 'LACCASE-3', 172195),
(228470, 'PTHR38113:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL ARGININE AND ALANINE RICH PROTEIN', 172196),
(228471, 'PTHR47985:SF26', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', 172197),
(228472, 'PTHR48019:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPARENT TESTA 16-LIKE ISOFORM X1', 172198),
(228473, 'PTHR11830:SF15', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE CYLD', 172199),
(228474, 'PTHR31190:SF248', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 172200);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(228475, 'PTHR32410:SF172', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 172201),
(228476, 'PTHR24404:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 281', 172202),
(228477, 'PTHR45979:SF4', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE DOMAIN CONTAINING PROTEIN, EXPRESSED', 172203),
(228478, 'PTHR31355:SF21', NULL, NULL, NULL, NULL, 'OS06G0244700 PROTEIN', 172204),
(228479, 'PTHR45708:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172205),
(228480, 'PTHR10099:SF10', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE', 172206),
(228481, 'PTHR24241:SF135', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR Y1', 172207),
(228482, 'PTHR23349:SF97', NULL, NULL, NULL, NULL, '48 RELATED 2, ISOFORM D', 172208),
(228483, 'PTHR23430:SF295', NULL, NULL, NULL, NULL, 'HISTONE H2A', 172209),
(228484, 'PTHR15336:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6, MITOCHONDRIAL', 172210),
(228485, 'PTHR21020', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 172211),
(228486, 'PTHR46852:SF3', NULL, NULL, NULL, NULL, 'ALKALINE PHYTOCERAMIDASE', 172212),
(228487, 'PTHR11654:SF528', NULL, NULL, NULL, NULL, 'BNAC01G35410D PROTEIN', 172213),
(228488, 'PTHR12138:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172214),
(228489, 'PTHR10705:SF1', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT DAD1', 172215),
(228490, 'PTHR18934:SF189', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 172216),
(228491, 'PTHR31238:SF106', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 10-RELATED', 172217),
(228492, 'PTHR10992:SF1047', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172218),
(228493, 'PTHR11266:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172219),
(228494, 'PTHR10182:SF29', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL, MO25-LIKE PROTEIN-RELATED', 172220),
(228495, 'PTHR23044:SF64', NULL, NULL, NULL, NULL, 'ERI1 EXORIBONUCLEASE 2-LIKE', 172221),
(228496, 'PTHR31140:SF99', NULL, NULL, NULL, NULL, 'BNAC06G03900D PROTEIN', 172222),
(228497, 'PTHR45751:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RGLG4', 172223),
(228498, 'PTHR23257:SF842', NULL, NULL, NULL, NULL, 'KINASE SUPERFAMILY WITH OCTICOSAPEPTIDE/PHOX/BEM1P DOMAIN-CONTAINING PROTEIN', 172224),
(228499, 'PTHR48053:SF64', NULL, NULL, NULL, NULL, 'OS06G0589800 PROTEIN', 172225),
(228500, 'PTHR13448:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 214', 172226),
(228501, 'PTHR47144:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 12', 172227),
(228502, 'PTHR16308:SF18', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED PROTEIN 2-LIKE', 172228),
(228503, 'PTHR19241:SF626', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 18', 172229),
(228504, 'PTHR13248:SF4', NULL, NULL, NULL, NULL, 'ELONGIN B', 172230),
(228505, 'PTHR11480:SF71', NULL, NULL, NULL, NULL, 'SAPOSIN B DOMAIN-CONTAINING PROTEIN', 172231),
(228506, 'PTHR31187', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 172232),
(228507, 'PTHR38899:SF1', NULL, NULL, NULL, NULL, 'DOMAIN OOKINETE PROTEIN, PUTATIVE-RELATED', 172233),
(228508, 'PTHR24271:SF19', NULL, NULL, NULL, NULL, 'KALLIKREIN-6', 172234),
(228509, 'PTHR48052:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172235),
(228510, 'PTHR33091:SF68', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, POTATO INHIBITOR I-TYPE FAMILY PROTEIN', 172236),
(228511, 'PTHR13743:SF130', NULL, NULL, NULL, NULL, 'WD-40 REPEAT PROTEIN/BEIGE PROTEIN', 172237),
(228512, 'PTHR33172:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172238),
(228513, 'PTHR46343:SF3', NULL, NULL, NULL, NULL, 'SUSHI REPEAT-CONTAINING PROTEIN SRPX2', 172239),
(228514, 'PTHR35265', NULL, NULL, NULL, NULL, 'LEUKOSIALIN', 172240),
(228515, 'PTHR32176', NULL, NULL, NULL, NULL, 'XYLOSE ISOMERASE', 172241),
(228516, 'PTHR21569', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S9', 172242),
(228517, 'PTHR24298:SF408', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B10', 172243),
(228518, 'PTHR47861:SF2', NULL, NULL, NULL, NULL, 'FKBP-TYPE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE MJ0825-RELATED', 172244);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(228519, 'PTHR34278:SF4', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING SITE PROTEIN-RELATED', 172245),
(228520, 'PTHR16023:SF1', NULL, NULL, NULL, NULL, 'PROTEIN VAC14 HOMOLOG', 172246),
(228521, 'PTHR22879:SF2', NULL, NULL, NULL, NULL, 'NUT FAMILY MEMBER 2F-RELATED', 172247),
(228522, 'PTHR24056:SF393', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 172248),
(228523, 'PTHR11945:SF387', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL80', 172249),
(228524, 'PTHR22753:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172250),
(228525, 'PTHR47652', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 172251),
(228526, 'PTHR46137:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172252),
(228527, 'PTHR23081:SF26', NULL, NULL, NULL, NULL, 'BNAC03G41020D PROTEIN', 172253),
(228528, 'PTHR32343:SF67', NULL, NULL, NULL, NULL, 'OS01G0209400 PROTEIN', 172254),
(228529, 'PTHR45693:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA10', 172255),
(228530, 'PTHR11802:SF333', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 172256),
(228531, 'PTHR47631:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-45', 172257),
(228532, 'PTHR33702:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172258),
(228533, 'PTHR10438:SF410', NULL, NULL, NULL, NULL, 'THIOREDOXIN H3', 172259),
(228534, 'PTHR43651:SF2', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN-BRANCHING ENZYME, CHLOROPLASTIC/AMYLOPLASTIC', 172260),
(228535, 'PTHR12553:SF64', NULL, NULL, NULL, NULL, 'ZINC PHOSPHODIESTERASE ELAC PROTEIN 2-LIKE ISOFORM X1', 172261),
(228536, 'PTHR14217:SF31', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', 172262),
(228537, 'PTHR31988:SF11', NULL, NULL, NULL, NULL, 'CARBOHYDRATE ESTERASE-RELATED', 172263),
(228538, 'PTHR24379:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 433', 172264),
(228539, 'PTHR20787', NULL, NULL, NULL, NULL, 'TREACLE', 172265),
(228540, 'PTHR24376:SF76', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 227', 172266),
(228541, 'PTHR48017:SF26', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 172267),
(228542, 'PTHR31645:SF22', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', 172268),
(228543, 'PTHR48010:SF28', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE RLK902-RELATED', 172269),
(228544, 'PTHR34790:SF3', NULL, NULL, NULL, NULL, 'BNAA07G38700D PROTEIN', 172270),
(228545, 'PTHR24343:SF166', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE/THREONINE-PROTEIN KINASE 6', 172271),
(228546, 'PTHR23020:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG11337', 172272),
(228547, 'PTHR11915:SF430', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 172273),
(228548, 'PTHR12831', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIH  TFIIH , POLYPEPTIDE 3-RELATED', 172274),
(228549, 'PTHR23426:SF35', NULL, NULL, NULL, NULL, '2FE-2S FERREDOXIN-LIKE SUPERFAMILY PROTEIN', 172275),
(228550, 'PTHR33064:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172276),
(228551, 'PTHR33919:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172277),
(228552, 'PTHR10619', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT BETA', 172278),
(228553, 'PTHR11311:SF25', NULL, NULL, NULL, NULL, 'COADHESIN', 172279),
(228554, 'PTHR45617:SF94', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT TRANSMEMBRANE NEURONAL 1', 172280),
(228555, 'PTHR14145:SF6', NULL, NULL, NULL, NULL, 'BNAC08G11800D PROTEIN', 172281),
(228556, 'PTHR23243', NULL, NULL, NULL, NULL, 'SUPRABASAL-SPECIFIC PROTEIN SUPRABASIN', 172282),
(228557, 'PTHR46590:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 172283),
(228558, 'PTHR48006:SF13', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 172284),
(228559, 'PTHR22916:SF64', NULL, NULL, NULL, NULL, 'GLYCOSIDE TRANSFERASE FAMILY 2', 172285),
(228560, 'PTHR14453:SF89', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP15', 172286),
(228561, 'PTHR13225', NULL, NULL, NULL, NULL, 'MISEXPRESSION SUPPRESSOR OF RAS 6', 172287),
(228562, 'PTHR11743:SF61', NULL, NULL, NULL, NULL, 'PORIN/VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL PROTEIN', 172288);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(228563, 'PTHR23147:SF163', NULL, NULL, NULL, NULL, 'BNAA03G55470D PROTEIN', 172289),
(228564, 'PTHR30037', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE 1', 172290),
(228565, 'PTHR14134:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RAD18', 172291),
(228566, 'PTHR43391:SF15', NULL, NULL, NULL, NULL, 'ESTRADIOL 17-BETA-DEHYDROGENASE 1', 172292),
(228567, 'PTHR12677:SF56', NULL, NULL, NULL, NULL, 'TVP38/TMEM64 FAMILY MEMBRANE PROTEIN SLR0305-LIKE ISOFORM X1', 172293),
(228568, 'PTHR31840:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 97', 172294),
(228569, 'PTHR47998:SF39', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB5', 172295),
(228570, 'PTHR33088:SF54', NULL, NULL, NULL, NULL, 'PROTEIN APP1-LIKE', 172296),
(228571, 'PTHR33148:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172297),
(228572, 'PTHR19325:SF497', NULL, NULL, NULL, NULL, 'AGAP000123-PA', 172298),
(228573, 'PTHR45717:SF41', NULL, NULL, NULL, NULL, 'BNAA06G10190D PROTEIN', 172299),
(228574, 'PTHR24180:SF19', NULL, NULL, NULL, NULL, 'FERM DOMAIN (PROTEIN4.1-EZRIN-RADIXIN-MOESIN) FAMILY', 172300),
(228575, 'PTHR11972:SF167', NULL, NULL, NULL, NULL, 'FERRIC REDUCTION OXIDASE 7, CHLOROPLASTIC-LIKE', 172301),
(228576, 'PTHR24559:SF385', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172302),
(228577, 'PTHR38742:SF2', NULL, NULL, NULL, NULL, 'P17/29C-LIKE PROTEIN DDB_G0287399', 172303),
(228578, 'PTHR31651:SF24', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER FAMILY PROTEIN ISOFORM 2', 172304),
(228579, 'PTHR31639:SF197', NULL, NULL, NULL, NULL, 'OS11G0702800 PROTEIN', 172305),
(228580, 'PTHR31126:SF53', NULL, NULL, NULL, NULL, 'PHOSPHOTYROSINE PROTEIN PHOSPHATASES SUPERFAMILY PROTEIN ISOFORM 1', 172306),
(228581, 'PTHR14894:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172307),
(228582, 'PTHR10858:SF27', NULL, NULL, NULL, NULL, 'CELL-DEATH-RELATED NUCLEASE 7', 172308),
(228583, 'PTHR23500:SF450', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 1-RELATED', 172309),
(228584, 'PTHR30333:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE PROTEIN TORC', 172310),
(228585, 'PTHR11632:SF78', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE1', 172311),
(228586, 'PTHR33239:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172312),
(228587, 'PTHR37773:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172313),
(228588, 'PTHR11932:SF147', NULL, NULL, NULL, NULL, 'BNAA09G17890D PROTEIN', 172314),
(228589, 'PTHR10283:SF127', NULL, NULL, NULL, NULL, 'OS08G0503700 PROTEIN', 172315),
(228590, 'PTHR44147', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 1', 172316),
(228591, 'PTHR10912:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172317),
(228592, 'PTHR34221:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172318),
(228593, 'PTHR31952:SF1', NULL, NULL, NULL, NULL, 'CB1 CANNABINOID RECEPTOR-INTERACTING PROTEIN 1', 172319),
(228594, 'PTHR12794:SF8', NULL, NULL, NULL, NULL, 'BNAC01G40330D PROTEIN', 172320),
(228595, 'PTHR23105:SF38', NULL, NULL, NULL, NULL, 'NHP2-LIKE PROTEIN 1', 172321),
(228596, 'PTHR47942:SF12', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 172322),
(228597, 'PTHR11926:SF1430', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 172323),
(228598, 'PTHR15039:SF12', NULL, NULL, NULL, NULL, 'DOLICHOL PHOSPHATE-MANNOSE BIOSYNTHESIS REGULATORY PROTEIN', 172324),
(228599, 'PTHR43737', NULL, NULL, NULL, NULL, 'BLL7424 PROTEIN', 172325),
(228600, 'PTHR11465:SF13', NULL, NULL, NULL, NULL, 'CATALASE (EUROFUNG)', 172326),
(228601, 'PTHR18964:SF151', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 172327),
(228602, 'PTHR13528:SF11', NULL, NULL, NULL, NULL, 'BNAC03G67590D PROTEIN', 172328),
(228603, 'PTHR38737:SF2', NULL, NULL, NULL, NULL, 'ACTIN-FRAGMIN KINASE DDB_G0268748-RELATED', 172329),
(228604, 'PTHR46507:SF1', NULL, NULL, NULL, NULL, 'AFADIN- AND ALPHA-ACTININ-BINDING PROTEIN', 172330),
(228605, 'PTHR11576:SF2', NULL, NULL, NULL, NULL, 'POM121 AND ZP3 FUSION PROTEIN-RELATED', 172331),
(228606, 'PTHR23203:SF4', NULL, NULL, NULL, NULL, 'BASIC SALIVARY PROLINE-RICH PROTEIN 3', 172332);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(228607, 'PTHR48048:SF53', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 172333),
(228608, 'PTHR24096:SF323', NULL, NULL, NULL, NULL, 'BLR2951 PROTEIN', 172334),
(228609, 'PTHR19878:SF14', NULL, NULL, NULL, NULL, 'AUTOPHAGIC-RELATED PROTEIN 16.2', 172335),
(228610, 'PTHR32429:SF21', NULL, NULL, NULL, NULL, 'BISPHOSPHATE CARBOXYLASE/OXYGENASE ACTIVASE 1, CHLOROPLAST, PUTATIVE-RELATED', 172336),
(228611, 'PTHR18896:SF124', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA 1', 172337),
(228612, 'PTHR45631:SF114', NULL, NULL, NULL, NULL, 'OS01G0124500 PROTEIN', 172338),
(228613, 'PTHR23133:SF5', NULL, NULL, NULL, NULL, 'IMIDAZOLEGLYCEROL-PHOSPHATE DEHYDRATASE', 172339),
(228614, 'PTHR33680', NULL, NULL, NULL, NULL, 'OS07G0190500 PROTEIN', 172340),
(228615, 'PTHR23268:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172341),
(228616, 'PTHR11481:SF69', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE S, SCAVENGER RECEPTOR', 172342),
(228617, 'PTHR33975:SF7', NULL, NULL, NULL, NULL, 'OS08G0119100 PROTEIN', 172343),
(228618, 'PTHR33798:SF5', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN OXYGENASE', 172344),
(228619, 'PTHR31717:SF54', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER FAMILY PROTEIN', 172345),
(228620, 'PTHR48000:SF36', NULL, NULL, NULL, NULL, 'OS09G0431300 PROTEIN', 172346),
(228621, 'PTHR42213:SF1', NULL, NULL, NULL, NULL, 'CPX CHROMOSOMAL REGION CANDIDATE GENE 1 PROTEIN', 172347),
(228622, 'PTHR48049:SF84', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 172348),
(228623, 'PTHR11733:SF141', NULL, NULL, NULL, NULL, 'MEMBRANE METALLO-ENDOPEPTIDASE-LIKE 1', 172349),
(228624, 'PTHR19980', NULL, NULL, NULL, NULL, 'RNA CLEAVAGE STIMULATION FACTOR', 172350),
(228625, 'PTHR48002:SF87', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 172351),
(228626, 'PTHR41677', NULL, NULL, NULL, NULL, 'YALI0B19030P', 172352),
(228627, 'PTHR31175:SF71', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN FAMILY, PUTATIVE-RELATED', 172353),
(228628, 'PTHR35683:SF7', NULL, NULL, NULL, NULL, 'YALI0C04136P', 172354),
(228629, 'PTHR46325:SF17', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC10-LIKE', 172355),
(228630, 'PTHR12239:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172356),
(228631, 'PTHR33165:SF25', NULL, NULL, NULL, NULL, 'OS08G0363000 PROTEIN', 172357),
(228632, 'PTHR13182:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 622', 172358),
(228633, 'PTHR10024:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172359),
(228634, 'PTHR11818', NULL, NULL, NULL, NULL, 'BETA/GAMMA CRYSTALLIN', 172360),
(228635, 'PTHR31282:SF168', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 15-RELATED', 172361),
(228636, 'PTHR33333', NULL, NULL, NULL, NULL, 'ERYTHROCYTE MEMBRANE PROTEIN 1-LIKE', 172362),
(228637, 'PTHR46163', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE-RELATED', 172363),
(228638, 'PTHR12015:SF92', NULL, NULL, NULL, NULL, 'FRACTALKINE', 172364),
(228639, 'PTHR12103:SF14', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE DOMAIN-CONTAINING PROTEIN 2', 172365),
(228640, 'PTHR11509:SF0', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONES ALPHA CHAIN', 172366),
(228641, 'PTHR12822', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 172367),
(228642, 'PTHR12128:SF59', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE SYNTHASE, CHLOROPLASTIC', 172368),
(228643, 'PTHR44094:SF18', NULL, NULL, NULL, NULL, 'BNAA09G43130D PROTEIN', 172369),
(228644, 'PTHR11304:SF44', NULL, NULL, NULL, NULL, 'EPHRIN-4', 172370),
(228645, 'PTHR31213:SF140', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYR1-LIKE', 172371),
(228646, 'PTHR13906:SF3', NULL, NULL, NULL, NULL, 'GHRELIN O-ACYLTRANSFERASE', 172372),
(228647, 'PTHR31985:SF196', NULL, NULL, NULL, NULL, 'AP21', 172373),
(228648, 'PTHR11055:SF49', NULL, NULL, NULL, NULL, 'BNAA05G16830D PROTEIN', 172374),
(228649, 'PTHR31265:SF48', NULL, NULL, NULL, NULL, 'PLANT/F18G18-200 PROTEIN', 172375),
(228650, 'PTHR26454:SF70', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 172376),
(228651, 'PTHR48012:SF10', NULL, NULL, NULL, NULL, 'STERILE20-LIKE KINASE, ISOFORM B', 172377),
(228652, 'PTHR11616:SF240', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT GABA TRANSPORTER INE', 172378);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(228653, 'PTHR19432:SF7', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 45 MEMBER 4', 172379),
(228654, 'PTHR43874:SF133', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR33', 172380),
(228655, 'PTHR21700:SF31', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 172381),
(228656, 'PTHR10846:SF41', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER 2', 172382),
(228657, 'PTHR23231:SF17', NULL, NULL, NULL, NULL, 'GERM CELL-LESS HOMOLOG 1 (DROSOPHILA)', 172383),
(228658, 'PTHR12673:SF82', NULL, NULL, NULL, NULL, 'FYVE, RHOGEF AND PH DOMAIN-CONTAINING PROTEIN 2', 172384),
(228659, 'PTHR34482:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172385),
(228660, 'PTHR40706', NULL, NULL, NULL, NULL, 'RIBOFLAVIN KINASE', 172386),
(228661, 'PTHR19282:SF429', NULL, NULL, NULL, NULL, 'TETRASPANIN', 172387),
(228662, 'PTHR45624:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172388),
(228663, 'PTHR45670:SF3', NULL, NULL, NULL, NULL, 'OS05G0122400 PROTEIN', 172389),
(228664, 'PTHR45669:SF34', NULL, NULL, NULL, NULL, 'BNAA09G02360D PROTEIN', 172390),
(228665, 'PTHR37728:SF1', NULL, NULL, NULL, NULL, 'BNAA04G26730D PROTEIN', 172391),
(228666, 'PTHR47942:SF22', NULL, NULL, NULL, NULL, 'OSJNBA0033G05.8 PROTEIN', 172392),
(228667, 'PTHR33207:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172393),
(228668, 'PTHR42509:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172394),
(228669, 'PTHR47179', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIS3', 172395),
(228670, 'PTHR11818:SF98', NULL, NULL, NULL, NULL, 'CRYGM5 PROTEIN', 172396),
(228671, 'PTHR10122', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5B, MITOCHONDRIAL', 172397),
(228672, 'PTHR26379:SF261', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 2', 172398),
(228673, 'PTHR12292:SF2', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN 1', 172399),
(228674, 'PTHR24068:SF142', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-23 KDA-LIKE', 172400),
(228675, 'PTHR12326', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN CONTAINING PROTEIN', 172401),
(228676, 'PTHR23267:SF373', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-5', 172402),
(228677, 'PTHR10522:SF6', NULL, NULL, NULL, NULL, 'PROGONADOLIBERIN-2', 172403),
(228678, 'PTHR43495:SF5', NULL, NULL, NULL, NULL, 'GABA PERMEASE', 172404),
(228679, 'PTHR30472:SF57', NULL, NULL, NULL, NULL, 'COBALAMIN IMPORT SYSTEM PERMEASE PROTEIN BTUC', 172405),
(228680, 'PTHR31919:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGERS AND HOMEOBOXES PROTEIN 1, ISOFORM 2', 172406),
(228681, 'PTHR39465:SF1', NULL, NULL, NULL, NULL, 'DNA LIGASE D, 3''-PHOSPHOESTERASE DOMAIN', 172407),
(228682, 'PTHR11937:SF46', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 7', 172408),
(228683, 'PTHR14330:SF2', NULL, NULL, NULL, NULL, 'A-KINASE-INTERACTING PROTEIN 1', 172409),
(228684, 'PTHR42960', NULL, NULL, NULL, NULL, 'YCF46 PROTEIN', 172410),
(228685, 'PTHR27002:SF828', NULL, NULL, NULL, NULL, 'OS04G0633600 PROTEIN', 172411),
(228686, 'PTHR45635:SF23', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1, MITOCHONDRIAL-LIKE', 172412),
(228687, 'PTHR10804:SF102', NULL, NULL, NULL, NULL, 'METALLOPROTEASE ARX1-RELATED', 172413),
(228688, 'PTHR31374:SF263', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71-LIKE', 172414),
(228689, 'PTHR23076:SF99', NULL, NULL, NULL, NULL, 'INACTIVE ATP-DEPENDENT ZINC METALLOPROTEASE FTSHI 4, CHLOROPLASTIC-RELATED', 172415),
(228690, 'PTHR47781', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L36 2', 172416),
(228691, 'PTHR12309:SF23', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT GAMMA-LIKE', 172417),
(228692, 'PTHR11817:SF93', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 172418),
(228693, 'PTHR46300:SF1', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 172419),
(228694, 'PTHR46052:SF2', NULL, NULL, NULL, NULL, 'PHOSDUCIN B', 172420),
(228695, 'PTHR43675:SF9', NULL, NULL, NULL, NULL, 'ARSENITE METHYLTRANSFERASE', 172421),
(228696, 'PTHR11405:SF16', NULL, NULL, NULL, NULL, 'ASPARTATE CARBAMOYLTRANSFERASE, CHLOROPLASTIC', 172422);
INSERT INTO "PUBLIC"."MODEL" VALUES
(228697, 'PTHR35764:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SHORTAGE IN CHIASMATA 1', 172423),
(228698, 'PTHR33193:SF33', NULL, NULL, NULL, NULL, 'BNAANNG02720D PROTEIN', 172424),
(228699, 'PTHR12370:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE PROTEIN B-RELATED', 172425),
(228700, 'PTHR32002:SF33', NULL, NULL, NULL, NULL, 'PROTEIN NLP7', 172426),
(228701, 'PTHR31413:SF29', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE BINDING FACTOR-ASSOCIATED REPRESSION-RELATED', 172427),
(228702, 'PTHR21759:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02235', 172428),
(228703, 'PTHR34552:SF11', NULL, NULL, NULL, NULL, 'BNAC04G13890D PROTEIN', 172429),
(228704, 'PTHR23128:SF35', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 172430),
(228705, 'PTHR31625:SF45', NULL, NULL, NULL, NULL, 'ANTHOCYANIN ACYLTRANSFERASE-LIKE PROTEIN', 172431),
(228706, 'PTHR46081:SF7', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE B5', 172432),
(228707, 'PTHR26450:SF24', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 655', 172433),
(228708, 'PTHR22947:SF7', NULL, NULL, NULL, NULL, 'SPERM SPECIFIC FAMILY, CLASS P-RELATED', 172434),
(228709, 'PTHR11709:SF233', NULL, NULL, NULL, NULL, 'HEPHAESTIN-LIKE PROTEIN 1', 172435),
(228710, 'PTHR46475:SF10', NULL, NULL, NULL, NULL, 'NPR1-LIKE PROTEIN 3-RELATED', 172436),
(228711, 'PTHR24062:SF62', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 172437),
(228712, 'PTHR45701:SF8', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 5', 172438),
(228713, 'PTHR36855', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 172439),
(228714, 'PTHR15933:SF13', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 30', 172440),
(228715, 'PTHR33912:SF10', NULL, NULL, NULL, NULL, 'BNAA10G27810D PROTEIN', 172441),
(228716, 'PTHR32444:SF117', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 172442),
(228717, 'PTHR22589:SF29', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARNITINE O-ACETYLTRANSFERASE-RELATED', 172443),
(228718, 'PTHR31721', NULL, NULL, NULL, NULL, 'OS06G0710300 PROTEIN', 172444),
(228719, 'PTHR47168:SF3', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 172445),
(228720, 'PTHR30258:SF13', NULL, NULL, NULL, NULL, 'GENERAL SECRETORY PATHWAY RELATED PROTEIN', 172446),
(228721, 'PTHR11071:SF408', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE F, MITOCHONDRIAL', 172447),
(228722, 'PTHR35835:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172448),
(228723, 'PTHR10605:SF30', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL HEPARAN SULFATE N-DEACETYLASE/N-SULFOTRANSFERASE 1', 172449),
(228724, 'PTHR40430:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172450),
(228725, 'PTHR43148:SF14', NULL, NULL, NULL, NULL, 'BNAA02G28150D PROTEIN', 172451),
(228726, 'PTHR11102:SF53', NULL, NULL, NULL, NULL, 'PROTEIN SEL-1 HOMOLOG 2', 172452),
(228727, 'PTHR33601:SF18', NULL, NULL, NULL, NULL, 'PROTEIN LITTLE ZIPPER 2', 172453),
(228728, 'PTHR37689', NULL, NULL, NULL, NULL, 'PROTEIN FDHE', 172454),
(228729, 'PTHR37705:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172455),
(228730, 'PTHR33788:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172456),
(228731, 'PTHR11941:SF54', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE, MITOCHONDRIAL', 172457),
(228732, 'PTHR32467:SF148', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR-RELATED', 172458),
(228733, 'PTHR11220:SF50', NULL, NULL, NULL, NULL, 'SOUL HEME-BINDING FAMILY PROTEIN', 172459),
(228734, 'PTHR11999:SF68', NULL, NULL, NULL, NULL, 'HISTIDINE DECARBOXYLASE', 172460),
(228735, 'PTHR33269', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 6', 172461),
(228736, 'PTHR11909:SF405', NULL, NULL, NULL, NULL, 'BNAC05G39650D PROTEIN', 172462),
(228737, 'PTHR44137:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172463),
(228738, 'PTHR13847:SF254', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLPUTRESCINE OXIDOREDUCTASE', 172464),
(228739, 'PTHR45697:SF3', NULL, NULL, NULL, NULL, 'DEAD END', 172465),
(228740, 'PTHR23070:SF170', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 172466);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(228741, 'PTHR20961:SF17', NULL, NULL, NULL, NULL, 'OS01G0118400 PROTEIN', 172467),
(228742, 'PTHR21654:SF84', NULL, NULL, NULL, NULL, 'FI21293P1', 172468),
(228743, 'PTHR12121:SF37', NULL, NULL, NULL, NULL, '2'',5''-PHOSPHODIESTERASE 12', 172469),
(228744, 'PTHR33879:SF3', NULL, NULL, NULL, NULL, '17.6 KDA CLASS II HEAT SHOCK PROTEIN-RELATED', 172470),
(228745, 'PTHR18966:SF466', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 172471),
(228746, 'PTHR21450:SF27', NULL, NULL, NULL, NULL, 'DUF630 FAMILY PROTEIN', 172472),
(228747, 'PTHR15711', NULL, NULL, NULL, NULL, 'RAP GTPASE-ACTIVATING PROTEIN', 172473),
(228748, 'PTHR23169:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172474),
(228749, 'PTHR36757', NULL, NULL, NULL, NULL, 'BNAANNG22500D PROTEIN', 172475),
(228750, 'PTHR30389:SF1', NULL, NULL, NULL, NULL, 'L(+)-TARTRATE DEHYDRATASE SUBUNIT ALPHA', 172476),
(228751, 'PTHR35022:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172477),
(228752, 'PTHR43712:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14580)-RELATED', 172478),
(228753, 'PTHR20922:SF13', NULL, NULL, NULL, NULL, 'DNL-TYPE ZINC FINGER PROTEIN', 172479),
(228754, 'PTHR45703:SF12', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 11', 172480),
(228755, 'PTHR23430:SF306', NULL, NULL, NULL, NULL, 'HISTONE H2A', 172481),
(228756, 'PTHR11017:SF278', NULL, NULL, NULL, NULL, 'BNAC03G63240D PROTEIN', 172482),
(228757, 'PTHR31580:SF32', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', 172483),
(228758, 'PTHR37992:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 172484),
(228759, 'PTHR32378:SF10', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 3', 172485),
(228760, 'PTHR21420:SF3', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE 1', 172486),
(228761, 'PTHR21346', NULL, NULL, NULL, NULL, 'FUN14 DOMAIN CONTAINING', 172487),
(228762, 'PTHR47651:SF2', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT HISTONE DEACETYLASE HST4', 172488),
(228763, 'PTHR12956:SF63', NULL, NULL, NULL, NULL, 'BNAC03G58440D PROTEIN', 172489),
(228764, 'PTHR31741:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172490),
(228765, 'PTHR13281', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 172491),
(228766, 'PTHR22605:SF21', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF213-BETA', 172492),
(228767, 'PTHR43827', NULL, NULL, NULL, NULL, '2,5-DIKETO-D-GLUCONIC ACID REDUCTASE', 172493),
(228768, 'PTHR48050:SF10', NULL, NULL, NULL, NULL, 'OS07G0419500 PROTEIN', 172494),
(228769, 'PTHR31589:SF97', NULL, NULL, NULL, NULL, 'BNAA08G20520D PROTEIN', 172495),
(228770, 'PTHR11630:SF72', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM3', 172496),
(228771, 'PTHR11139', NULL, NULL, NULL, NULL, 'ATAXIA TELANGIECTASIA MUTATED  ATM -RELATED', 172497),
(228772, 'PTHR38037:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172498),
(228773, 'PTHR11875:SF123', NULL, NULL, NULL, NULL, 'BNAA06G12980D PROTEIN', 172499),
(228774, 'PTHR35983', NULL, NULL, NULL, NULL, 'UPF0166 PROTEIN TM_0021', 172500),
(228775, 'PTHR28562:SF1', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 9', 172501),
(228776, 'PTHR33074:SF63', NULL, NULL, NULL, NULL, 'OS04G0143700 PROTEIN', 172502),
(228777, 'PTHR30559', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE CLASS 2', 172503),
(228778, 'PTHR30327', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YQGE', 172504),
(228779, 'PTHR37469:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 172505),
(228780, 'PTHR31639:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172506),
(228781, 'PTHR11227:SF3', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 21', 172507),
(228782, 'PTHR31657:SF46', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-4', 172508),
(228783, 'PTHR32133:SF302', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 172509),
(228784, 'PTHR30290:SF19', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERIPLASMIC BINDING PROTEIN-RELATED', 172510),
(228785, 'PTHR13906', NULL, NULL, NULL, NULL, 'PORCUPINE', 172511);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(228786, 'PTHR12565:SF366', NULL, NULL, NULL, NULL, 'BNAC05G07950D PROTEIN', 172512),
(228787, 'PTHR30086:SF6', NULL, NULL, NULL, NULL, 'AMINO ACID EFFLUX PROTEIN YCGF-RELATED', 172513),
(228788, 'PTHR23428:SF257', NULL, NULL, NULL, NULL, 'HISTONE H2B.1', 172514),
(228789, 'PTHR15742', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 172515),
(228790, 'PTHR11527:SF271', NULL, NULL, NULL, NULL, '22.0 KDA CLASS IV HEAT SHOCK PROTEIN-LIKE', 172516),
(228791, 'PTHR10259:SF11', NULL, NULL, NULL, NULL, 'THIOPURINE S-METHYLTRANSFERASE', 172517),
(228792, 'PTHR10462:SF45', NULL, NULL, NULL, NULL, 'HISTO-BLOOD GROUP ABO SYSTEM TRANSFERASE', 172518),
(228793, 'PTHR47416:SF3', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER TRANSCRIPTION FACTOR F-RELATED', 172519),
(228794, 'PTHR24157:SF0', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 34C', 172520),
(228795, 'PTHR45848', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 12 FAMILY MEMBER', 172521),
(228796, 'PTHR13097:SF7', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIE SUBUNIT 1', 172522),
(228797, 'PTHR15414:SF4', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM LECTIN 1', 172523),
(228798, 'PTHR12479', NULL, NULL, NULL, NULL, 'LYSOSOMAL-ASSOCIATED TRANSMEMBRANE PROTEIN', 172524),
(228799, 'PTHR11819:SF151', NULL, NULL, NULL, NULL, 'SODIUM/GLUCOSE COTRANSPORTER 1', 172525),
(228800, 'PTHR11743:SF62', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 3', 172526),
(228801, 'PTHR43840:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG20465', 172527),
(228802, 'PTHR11559:SF391', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 172528),
(228803, 'PTHR21859:SF54', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 31E1', 172529),
(228804, 'PTHR10641:SF1094', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR MYB30', 172530),
(228805, 'PTHR31876:SF22', NULL, NULL, NULL, NULL, 'BNAC07G03830D PROTEIN', 172531),
(228806, 'PTHR21368', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L9', 172532),
(228807, 'PTHR48001:SF89', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 172533),
(228808, 'PTHR43795:SF77', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', 172534),
(228809, 'PTHR46011:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-42', 172535),
(228810, 'PTHR47990:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172536),
(228811, 'PTHR23005:SF3', NULL, NULL, NULL, NULL, 'RETINITIS PIGMENTOSA 1-LIKE 1 PROTEIN', 172537),
(228812, 'PTHR26379:SF349', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172538),
(228813, 'PTHR31187:SF3', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN', 172539),
(228814, 'PTHR23009', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 172540),
(228815, 'PTHR46410:SF1', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 1', 172541),
(228816, 'PTHR13009', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90  HSP90  CO-CHAPERONE AHA-1', 172542),
(228817, 'PTHR23234:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172543),
(228818, 'PTHR36174', NULL, NULL, NULL, NULL, 'LIPID II:GLYCINE GLYCYLTRANSFERASE', 172544),
(228819, 'PTHR33702:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172545),
(228820, 'PTHR46764:SF6', NULL, NULL, NULL, NULL, 'SPX DOMAIN, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 172546),
(228821, 'PTHR46162:SF41', NULL, NULL, NULL, NULL, 'BNAA01G24880D PROTEIN', 172547),
(228822, 'PTHR45690:SF18', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 2-RELATED', 172548),
(228823, 'PTHR22835:SF509', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 172549),
(228824, 'PTHR31080:SF138', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 172550),
(228825, 'PTHR23231:SF3', NULL, NULL, NULL, NULL, 'BTB DOMAIN-CONTAINING 35, FAMILY MEMBER 10-RELATED', 172551),
(228826, 'PTHR45660:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172552),
(228827, 'PTHR11753:SF6', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT SIGMA', 172553),
(228828, 'PTHR23236:SF11', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4H', 172554);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(228829, 'PTHR37180:SF9', NULL, NULL, NULL, NULL, 'BNAC03G75990D PROTEIN', 172555),
(228830, 'PTHR18763:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 18', 172556),
(228831, 'PTHR26453:SF582', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 172557),
(228832, 'PTHR38355:SF1', NULL, NULL, NULL, NULL, 'OS06G0149500 PROTEIN', 172558),
(228833, 'PTHR47408', NULL, NULL, NULL, NULL, 'PROTEIN CBG01304-RELATED', 172559),
(228834, 'PTHR22798:SF0', NULL, NULL, NULL, NULL, 'MALIGNANT T-CELL-AMPLIFIED SEQUENCE 1', 172560),
(228835, 'PTHR37402:SF1', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN 4', 172561),
(228836, 'PTHR13280:SF17', NULL, NULL, NULL, NULL, 'KRUEPPEL TARGET AT 95D, ISOFORM A', 172562),
(228837, 'PTHR45636:SF8', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-4', 172563),
(228838, 'PTHR10210:SF100', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 1, CHLOROPLASTIC', 172564),
(228839, 'PTHR36682', NULL, NULL, NULL, NULL, 'RAB15 EFFECTOR PROTEIN', 172565),
(228840, 'PTHR41930:SF1', NULL, NULL, NULL, NULL, 'UPF0200 PROTEIN MJ1399', 172566),
(228841, 'PTHR39591:SF1', NULL, NULL, NULL, NULL, 'UPF0265 PROTEIN YEEX', 172567),
(228842, 'PTHR24089:SF705', NULL, NULL, NULL, NULL, 'GRAVES DISEASE CARRIER PROTEIN', 172568),
(228843, 'PTHR23262', NULL, NULL, NULL, NULL, 'KERATIN ASSOCIATED PROTEIN', 172569),
(228844, 'PTHR45800:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 4', 172570),
(228845, 'PTHR27003:SF389', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE THESEUS 1', 172571),
(228846, 'PTHR10075:SF77', NULL, NULL, NULL, NULL, 'NEURONAL-GLIAL CELL ADHESION MOLECULE', 172572),
(228847, 'PTHR31744:SF146', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', 172573),
(228848, 'PTHR31867:SF147', NULL, NULL, NULL, NULL, 'EXPANSIN', 172574),
(228849, 'PTHR24253:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172575),
(228850, 'PTHR47319', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN KIC', 172576),
(228851, 'PTHR22725:SF2', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN HOMOLOG 1-RELATED', 172577),
(228852, 'PTHR10615:SF177', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', 172578),
(228853, 'PTHR46204:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172579),
(228854, 'PTHR43655:SF28', NULL, NULL, NULL, NULL, 'ZINC METALLOPEPTIDASE, PUTATIVE-RELATED', 172580),
(228855, 'PTHR22746:SF10', NULL, NULL, NULL, NULL, 'RAB6A-GEF COMPLEX PARTNER PROTEIN 1', 172581),
(228856, 'PTHR31063', NULL, NULL, NULL, NULL, 'PROTEIN CBG08668', 172582),
(228857, 'PTHR31044:SF49', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 172583),
(228858, 'PTHR11530:SF17', NULL, NULL, NULL, NULL, 'RE49860P', 172584),
(228859, 'PTHR47965:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172585),
(228860, 'PTHR46162:SF34', NULL, NULL, NULL, NULL, 'BNAA04G13830D PROTEIN', 172586),
(228861, 'PTHR11783:SF165', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 172587),
(228862, 'PTHR42733:SF3', NULL, NULL, NULL, NULL, 'THIJ/PFPI DOMAIN PROTEIN', 172588),
(228863, 'PTHR20275:SF6', NULL, NULL, NULL, NULL, 'NAD+ KINASE FAMILY PROTEIN', 172589),
(228864, 'PTHR43080:SF11', NULL, NULL, NULL, NULL, 'CBS DOMAIN CONTAINING PROTEIN', 172590),
(228865, 'PTHR37839', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT A', 172591),
(228866, 'PTHR44395', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 172592),
(228867, 'PTHR15696:SF20', NULL, NULL, NULL, NULL, 'PROTEIN SMG7-LIKE', 172593),
(228868, 'PTHR48041:SF81', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 22', 172594),
(228869, 'PTHR35691:SF2', NULL, NULL, NULL, NULL, 'BNAANNG04120D PROTEIN', 172595),
(228870, 'PTHR33709:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172596),
(228871, 'PTHR10509:SF74', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE', 172597),
(228872, 'PTHR22937:SF114', NULL, NULL, NULL, NULL, 'F27F5.26', 172598),
(228873, 'PTHR35754', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B', 172599),
(228874, 'PTHR11017:SF290', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 172600);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(228875, 'PTHR26454:SF0', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 172601),
(228876, 'PTHR12223:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172602),
(228877, 'PTHR10285:SF139', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE', 172603),
(228878, 'PTHR10314:SF8', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-SYNTHASE', 172604),
(228879, 'PTHR34666:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 172605),
(228880, 'PTHR11552', NULL, NULL, NULL, NULL, 'GLUCOSE-METHANOL-CHOLINE  GMC  OXIDOREDUCTASE', 172606),
(228881, 'PTHR22826:SF115', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR DBS', 172607),
(228882, 'PTHR24032:SF14', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 172608),
(228883, 'PTHR10751:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172609),
(228884, 'PTHR16083:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172610),
(228885, 'PTHR45841:SF4', NULL, NULL, NULL, NULL, 'RIBOSOME ASSEMBLY FACTOR MRT4', 172611),
(228886, 'PTHR27007:SF353', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VII.1-LIKE', 172612),
(228887, 'PTHR37461:SF1', NULL, NULL, NULL, NULL, 'ANTI-SIGMA-K FACTOR RSKA', 172613),
(228888, 'PTHR24177:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172614),
(228889, 'PTHR26374:SF415', NULL, NULL, NULL, NULL, 'HVZFP16-1', 172615),
(228890, 'PTHR21479:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG15728', 172616),
(228891, 'PTHR46116:SF15', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 24-RELATED', 172617),
(228892, 'PTHR13131:SF7', NULL, NULL, NULL, NULL, 'PQ LOOP REPEAT FAMILY PROTEIN', 172618),
(228893, 'PTHR30371:SF8', NULL, NULL, NULL, NULL, 'BNAA09G18470D PROTEIN', 172619),
(228894, 'PTHR12864:SF58', NULL, NULL, NULL, NULL, 'PROTEIN EAR1', 172620),
(228895, 'PTHR27005:SF159', NULL, NULL, NULL, NULL, 'OS09G0561500 PROTEIN', 172621),
(228896, 'PTHR11353:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172622),
(228897, 'PTHR13195', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE-RELATED', 172623),
(228898, 'PTHR43684:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172624),
(228899, 'PTHR47441:SF3', NULL, NULL, NULL, NULL, 'RELEASE FACTOR GLUTAMINE METHYLTRANSFERASE', 172625),
(228900, 'PTHR33063:SF6', NULL, NULL, NULL, NULL, 'OS02G0583500 PROTEIN', 172626),
(228901, 'PTHR37523:SF1', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE', 172627),
(228902, 'PTHR33172:SF13', NULL, NULL, NULL, NULL, 'COLD INDUCED PROTEIN-LIKE', 172628),
(228903, 'PTHR11515', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONE BETA CHAIN', 172629),
(228904, 'PTHR21451:SF11', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-79 SPECIFIC', 172630),
(228905, 'PTHR30069:SF8', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT SIDEROPHORE RECEPTOR PROTEIN', 172631),
(228906, 'PTHR46128:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172632),
(228907, 'PTHR32411:SF60', NULL, NULL, NULL, NULL, 'BNAC03G15220D PROTEIN', 172633),
(228908, 'PTHR32278:SF82', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10-RELATED', 172634),
(228909, 'PTHR11685:SF272', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 172635),
(228910, 'PTHR45659:SF17', NULL, NULL, NULL, NULL, 'HOMEOBOX B7', 172636),
(228911, 'PTHR19288:SF81', NULL, NULL, NULL, NULL, 'RIBONUCLEOTIDE MONOPHOSPHATASE NAGD', 172637),
(228912, 'PTHR45877:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIAH1', 172638),
(228913, 'PTHR24055:SF507', NULL, NULL, NULL, NULL, 'BNAANNG05580D PROTEIN', 172639),
(228914, 'PTHR31387:SF0', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 19', 172640),
(228915, 'PTHR39387:SF1', NULL, NULL, NULL, NULL, 'SHAVENOID, ISOFORM B', 172641),
(228916, 'PTHR15673:SF2', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF-CONTAINING PROTEIN 1', 172642),
(228917, 'PTHR11130:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE SYNTHETASE', 172643),
(228918, 'PTHR33978:SF21', NULL, NULL, NULL, NULL, 'PLANT/K16L22-9 PROTEIN', 172644),
(228919, 'PTHR45993:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 296', 172645);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(228920, 'PTHR11629:SF92', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 172646),
(228921, 'PTHR43065:SF24', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN PILS', 172647),
(228922, 'PTHR31060:SF7', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN PROTEIN', 172648),
(228923, 'PTHR18945:SF843', NULL, NULL, NULL, NULL, 'IP12572P-RELATED', 172649),
(228924, 'PTHR24015:SF930', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 172650),
(228925, 'PTHR48099:SF8', NULL, NULL, NULL, NULL, 'C-1-TETRAHYDROFOLATE SYNTHASE, CYTOPLASMIC', 172651),
(228926, 'PTHR31325:SF194', NULL, NULL, NULL, NULL, 'OSJNBB0050N09.3 PROTEIN', 172652),
(228927, 'PTHR19375:SF176', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN HSCA', 172653),
(228928, 'PTHR34373', NULL, NULL, NULL, NULL, 'SHUGOSHIN 2', 172654),
(228929, 'PTHR31236', NULL, NULL, NULL, NULL, 'BURP DOMAIN PROTEIN USPL1-LIKE', 172655),
(228930, 'PTHR36978:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172656),
(228931, 'PTHR31734:SF191', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 172657),
(228932, 'PTHR24376:SF99', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 51', 172658),
(228933, 'PTHR30146:SF37', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR IDNR', 172659),
(228934, 'PTHR11551:SF13', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 5', 172660),
(228935, 'PTHR12640:SF1', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 2', 172661),
(228936, 'PTHR23502:SF130', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G16860)-RELATED', 172662),
(228937, 'PTHR12884:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', 172663),
(228938, 'PTHR12345:SF12', NULL, NULL, NULL, NULL, 'AMYLOID-BETA A4 PRECURSOR PROTEIN-BINDING FAMILY A MEMBER 2', 172664),
(228939, 'PTHR33090:SF66', NULL, NULL, NULL, NULL, 'OS07G0558900 PROTEIN', 172665),
(228940, 'PTHR12509:SF16', NULL, NULL, NULL, NULL, 'SPERM FLAGELLAR PROTEIN 1', 172666),
(228941, 'PTHR23121:SF10', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 4A', 172667),
(228942, 'PTHR33044:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172668),
(228943, 'PTHR46267:SF3', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING FACTOR 4-RELATED', 172669),
(228944, 'PTHR11929:SF220', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE-LIKE PROTEIN-RELATED', 172670),
(228945, 'PTHR39411:SF1', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 113', 172671),
(228946, 'PTHR31029:SF3', NULL, NULL, NULL, NULL, 'IRK-INTERACTING PROTEIN', 172672),
(228947, 'PTHR46176:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM76B', 172673),
(228948, 'PTHR45743:SF24', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT2/3-LIKE', 172674),
(228949, 'PTHR10970:SF2', NULL, NULL, NULL, NULL, 'CLUSTERIN-LIKE PROTEIN 1', 172675),
(228950, 'PTHR42861:SF55', NULL, NULL, NULL, NULL, 'ATPASE 9, PLASMA MEMBRANE-TYPE', 172676),
(228951, 'PTHR31388:SF196', NULL, NULL, NULL, NULL, 'LIGNIN-FORMING ANIONIC PEROXIDASE', 172677),
(228952, 'PTHR24064:SF432', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 2', 172678),
(228953, 'PTHR43169:SF2', NULL, NULL, NULL, NULL, 'EXSB FAMILY PROTEIN', 172679),
(228954, 'PTHR38828:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172680),
(228955, 'PTHR32044:SF85', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', 172681),
(228956, 'PTHR31872', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 179', 172682),
(228957, 'PTHR40787:SF2', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN', 172683),
(228958, 'PTHR45927:SF5', NULL, NULL, NULL, NULL, 'PROTEIN LYK5-LIKE', 172684),
(228959, 'PTHR14002:SF27', NULL, NULL, NULL, NULL, 'CUB AND ZONA PELLUCIDA-LIKE DOMAIN-CONTAINING PROTEIN 1', 172685),
(228960, 'PTHR14493:SF37', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UNKL-RELATED', 172686),
(228961, 'PTHR10857:SF4', NULL, NULL, NULL, NULL, 'COPINE-4', 172687),
(228962, 'PTHR10353:SF264', NULL, NULL, NULL, NULL, 'BNAA04G25750D PROTEIN', 172688),
(228963, 'PTHR35176:SF4', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE 5''-PHOSPHATE OXIDASE-RELATED FMN-BINDING', 172689);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(228964, 'PTHR35980', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE CCHAMIDE-1-RELATED', 172690),
(228965, 'PTHR44329:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172691),
(228966, 'PTHR43329:SF65', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', 172692),
(228967, 'PTHR33271:SF7', NULL, NULL, NULL, NULL, 'PLASTID TRANSCRIPTIONALLY ACTIVE 18', 172693),
(228968, 'PTHR11452:SF75', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE 3', 172694),
(228969, 'PTHR31459:SF25', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN LEA14-1', 172695),
(228970, 'PTHR45743:SF25', NULL, NULL, NULL, NULL, 'CHANNEL AKT6, PUTATIVE-RELATED', 172696),
(228971, 'PTHR48021:SF59', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 6', 172697),
(228972, 'PTHR22765:SF156', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 126', 172698),
(228973, 'PTHR20003:SF4', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN', 172699),
(228974, 'PTHR48053:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172700),
(228975, 'PTHR45651:SF50', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 2', 172701),
(228976, 'PTHR42818', NULL, NULL, NULL, NULL, 'SULFOPYRUVATE DECARBOXYLASE SUBUNIT ALPHA', 172702),
(228977, 'PTHR10075:SF53', NULL, NULL, NULL, NULL, 'DOWN SYNDROME CELL ADHESION MOLECULE 1, ISOFORM BQ', 172703),
(228978, 'PTHR31642:SF217', NULL, NULL, NULL, NULL, 'OMEGA-HYDROXYPALMITATE O-FERULOYL TRANSFERASE-LIKE ISOFORM X1', 172704),
(228979, 'PTHR19317:SF1', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN H', 172705),
(228980, 'PTHR10657:SF31', NULL, NULL, NULL, NULL, 'PIN1-LIKE PROTEIN-RELATED', 172706),
(228981, 'PTHR20961:SF126', NULL, NULL, NULL, NULL, 'EGF DOMAIN-SPECIFIC O-LINKED N-ACETYLGLUCOSAMINE TRANSFERASE', 172707),
(228982, 'PTHR46301:SF30', NULL, NULL, NULL, NULL, 'BNAC08G19470D PROTEIN', 172708),
(228983, 'PTHR12471:SF4', NULL, NULL, NULL, NULL, 'AGAP001624-PA', 172709),
(228984, 'PTHR24031:SF91', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX24', 172710),
(228985, 'PTHR46545:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 51', 172711),
(228986, 'PTHR48071:SF8', NULL, NULL, NULL, NULL, 'CD5 ANTIGEN-LIKE', 172712),
(228987, 'PTHR10353:SF172', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1 PROTEIN', 172713),
(228988, 'PTHR45763:SF40', NULL, NULL, NULL, NULL, 'BNAA06G22610D PROTEIN', 172714),
(228989, 'PTHR24221:SF559', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN 1, 2, PUTATIVE-RELATED', 172715),
(228990, 'PTHR10168:SF272', NULL, NULL, NULL, NULL, 'BNAC01G41950D PROTEIN', 172716),
(228991, 'PTHR30126:SF29', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 172717),
(228992, 'PTHR26453:SF239', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 172718),
(228993, 'PTHR47926:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172719),
(228994, 'PTHR43220:SF12', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 41A-B', 172720),
(228995, 'PTHR31948:SF100', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 172721),
(228996, 'PTHR36206:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN MOC3', 172722),
(228997, 'PTHR11673:SF25', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-1-LIKE', 172723),
(228998, 'PTHR34072:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172724),
(228999, 'PTHR22930:SF186', NULL, NULL, NULL, NULL, 'LOW PROTEIN: NUCLEASE-LIKE PROTEIN', 172725),
(229000, 'PTHR24221:SF567', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 21', 172726),
(229001, 'PTHR24055:SF171', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 6', 172727),
(229002, 'PTHR10497:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', 172728),
(229003, 'PTHR16223:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172729),
(229004, 'PTHR31313:SF77', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 172730),
(229005, 'PTHR13318:SF166', NULL, NULL, NULL, NULL, 'ANTAGONIST OF MITOTIC EXIT NETWORK PROTEIN 1', 172731),
(229006, 'PTHR11707', NULL, NULL, NULL, NULL, 'L-ASPARAGINASE', 172732);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(229007, 'PTHR35539:SF1', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC048562', 172733),
(229008, 'PTHR13271:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172734),
(229009, 'PTHR43139:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172735),
(229010, 'PTHR45839:SF16', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 6', 172736),
(229011, 'PTHR47635', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 172737),
(229012, 'PTHR23113:SF319', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR Y', 172738),
(229013, 'PTHR48094:SF1', NULL, NULL, NULL, NULL, 'THIJ/PFPI FAMILY', 172739),
(229014, 'PTHR11630:SF75', NULL, NULL, NULL, NULL, 'MINICHROMOSOME MAINTENANCE DOMAIN-CONTAINING PROTEIN 2', 172740),
(229015, 'PTHR27009:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172741),
(229016, 'PTHR43521:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172742),
(229017, 'PTHR37296', NULL, NULL, NULL, NULL, 'CONSERVED VIRULENCE FACTOR B', 172743),
(229018, 'PTHR46214:SF21', NULL, NULL, NULL, NULL, 'BNAA09G52340D PROTEIN', 172744),
(229019, 'PTHR12092:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172745),
(229020, 'PTHR33057:SF82', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP4', 172746),
(229021, 'PTHR33698:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN', 172747),
(229022, 'PTHR11616:SF260', NULL, NULL, NULL, NULL, 'TRANSPORTER', 172748),
(229023, 'PTHR20920:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-7K24.5', 172749),
(229024, 'PTHR19359:SF85', NULL, NULL, NULL, NULL, 'B5, PUTATIVE-RELATED', 172750),
(229025, 'PTHR31827:SF46', NULL, NULL, NULL, NULL, 'LORICRIN-LIKE PROTEIN', 172751),
(229026, 'PTHR48063:SF24', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE FAMILY PROTEIN / LRR FAMILY PROTEIN', 172752),
(229027, 'PTHR16517:SF89', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 2', 172753),
(229028, 'PTHR32134:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172754),
(229029, 'PTHR24115:SF933', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 172755),
(229030, 'PTHR11911:SF111', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE', 172756),
(229031, 'PTHR35791', NULL, NULL, NULL, NULL, 'UPF0754 MEMBRANE PROTEIN YHEB', 172757),
(229032, 'PTHR35296:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 172758),
(229033, 'PTHR11588:SF402', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 172759),
(229034, 'PTHR27006:SF213', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 172760),
(229035, 'PTHR11802:SF310', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 18', 172761),
(229036, 'PTHR24376:SF115', NULL, NULL, NULL, NULL, 'DNA SEGMENT, CHR 3, ERATO DOI 254,-EXPRESSED', 172762),
(229037, 'PTHR12558:SF10', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 23 HOMOLOG', 172763),
(229038, 'PTHR34571', NULL, NULL, NULL, NULL, '(S)-UREIDOGLYCINE AMINOHYDROLASE', 172764),
(229039, 'PTHR34368:SF7', NULL, NULL, NULL, NULL, 'ALKALINE PHYTOCERAMIDASE (APHC)', 172765),
(229040, 'PTHR11709:SF367', NULL, NULL, NULL, NULL, 'BNAC01G37690D PROTEIN', 172766),
(229041, 'PTHR36215', NULL, NULL, NULL, NULL, 'BLL4998 PROTEIN', 172767),
(229042, 'PTHR46929:SF6', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', 172768),
(229043, 'PTHR23177:SF74', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 3', 172769),
(229044, 'PTHR11909:SF309', NULL, NULL, NULL, NULL, 'TAU TUBULIN KINASE 2A', 172770),
(229045, 'PTHR10489:SF931', NULL, NULL, NULL, NULL, 'ATYPICAL CHEMOKINE RECEPTOR 3', 172771),
(229046, 'PTHR31928', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 172772),
(229047, 'PTHR11588:SF388', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 172773),
(229048, 'PTHR10408:SF10', NULL, NULL, NULL, NULL, 'STEROL O-ACYLTRANSFERASE 2', 172774),
(229049, 'PTHR45969:SF30', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 11 RING-H2 FINGER PROTEIN', 172775),
(229050, 'PTHR31351:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 172776),
(229051, 'PTHR23114:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172777),
(229052, 'PTHR28086', NULL, NULL, NULL, NULL, 'UPF0662 PROTEIN YPL260W', 172778); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(229053, 'PTHR45934:SF9', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', 172779),
(229054, 'PTHR14274', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 8', 172780),
(229055, 'PTHR31642:SF49', NULL, NULL, NULL, NULL, 'OS06G0710700 PROTEIN', 172781),
(229056, 'PTHR33984:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172782),
(229057, 'PTHR44137:SF16', NULL, NULL, NULL, NULL, 'OS03G0837400 PROTEIN', 172783),
(229058, 'PTHR22925:SF52', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 43 PROTEIN', 172784),
(229059, 'PTHR22952:SF436', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 7', 172785),
(229060, 'PTHR24559:SF356', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE DOMAINCONTAINING PROTEIN', 172786),
(229061, 'PTHR14155:SF573', NULL, NULL, NULL, NULL, 'BNAA08G01790D PROTEIN', 172787),
(229062, 'PTHR11604:SF42', NULL, NULL, NULL, NULL, 'PROFILIN', 172788),
(229063, 'PTHR46855:SF11', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 26-LIKE', 172789),
(229064, 'PTHR26452:SF754', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5H6', 172790),
(229065, 'PTHR12872:SF1', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGLUCOSAMINIDASE', 172791),
(229066, 'PTHR32208:SF68', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE', 172792),
(229067, 'PTHR24083:SF73', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 172793),
(229068, 'PTHR43900:SF71', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F3-RELATED', 172794),
(229069, 'PTHR20855:SF123', NULL, NULL, NULL, NULL, 'BNAA03G51100D PROTEIN', 172795),
(229070, 'PTHR46128:SF25', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 172796),
(229071, 'PTHR11746:SF186', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE', 172797),
(229072, 'PTHR31346:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172798),
(229073, 'PTHR10845:SF256', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING RGS-2', 172799),
(229074, 'PTHR12565:SF362', NULL, NULL, NULL, NULL, 'BNAC03G65970D PROTEIN', 172800),
(229075, 'PTHR35304:SF8', NULL, NULL, NULL, NULL, 'BNAANNG36440D PROTEIN', 172801),
(229076, 'PTHR31423:SF4', NULL, NULL, NULL, NULL, 'BNAC06G00890D PROTEIN', 172802),
(229077, 'PTHR46987:SF4', NULL, NULL, NULL, NULL, 'R-SPONDIN 2', 172803),
(229078, 'PTHR47652:SF4', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT DOMAIN-CONTAINING PROTEIN / LEA DOMAIN-CONTAINING PROTEIN', 172804),
(229079, 'PTHR34211', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN', 172805),
(229080, 'PTHR28097:SF1', NULL, NULL, NULL, NULL, 'PHEROMONE A FACTOR RECEPTOR', 172806),
(229081, 'PTHR12301', NULL, NULL, NULL, NULL, 'SAM-DOMAIN, SH3 AND NUCLEAR LOCALIZATION SIGNALS PROTEIN RELATED', 172807),
(229082, 'PTHR35301:SF3', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 42', 172808),
(229083, 'PTHR19861:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 82', 172809),
(229084, 'PTHR33254:SF4', NULL, NULL, NULL, NULL, '4-HYDROXY-4-METHYL-2-OXOGLUTARATE ALDOLASE 3-RELATED', 172810),
(229085, 'PTHR21419:SF33', NULL, NULL, NULL, NULL, 'BNAANNG24460D PROTEIN', 172811),
(229086, 'PTHR47076:SF7', NULL, NULL, NULL, NULL, 'BNAC09G42640D PROTEIN', 172812),
(229087, 'PTHR43535', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', 172813),
(229088, 'PTHR11452:SF76', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', 172814),
(229089, 'PTHR47993:SF58', NULL, NULL, NULL, NULL, 'OSJNBA0040D17.11 PROTEIN', 172815),
(229090, 'PTHR27008:SF294', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', 172816),
(229091, 'PTHR12713:SF31', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G', 172817),
(229092, 'PTHR48017:SF57', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 6', 172818),
(229093, 'PTHR48005:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172819),
(229094, 'PTHR11709:SF305', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', 172820),
(229095, 'PTHR24089:SF713', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL3-RELATED', 172821);
INSERT INTO "PUBLIC"."MODEL" VALUES
(229096, 'PTHR15704:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172822),
(229097, 'PTHR11003:SF289', NULL, NULL, NULL, NULL, 'BNAC09G32260D PROTEIN', 172823),
(229098, 'PTHR45266:SF3', NULL, NULL, NULL, NULL, 'OXALOACETATE DECARBOXYLASE ALPHA CHAIN', 172824),
(229099, 'PTHR24300:SF54', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 172825),
(229100, 'PTHR11739:SF33', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE 4, MITOCHONDRIAL', 172826),
(229101, 'PTHR45786:SF36', NULL, NULL, NULL, NULL, 'BNAC06G27670D PROTEIN', 172827),
(229102, 'PTHR21229:SF19', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 87A', 172828),
(229103, 'PTHR44324', NULL, NULL, NULL, NULL, 'WD40 REPEAT DOMAIN 95', 172829),
(229104, 'PTHR34183:SF9', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSN', 172830),
(229105, 'PTHR23514:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172831),
(229106, 'PTHR45658:SF74', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 6-RELATED', 172832),
(229107, 'PTHR24340:SF31', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-6.1', 172833),
(229108, 'PTHR46632:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 172834),
(229109, 'PTHR46991:SF31', NULL, NULL, NULL, NULL, 'BNAA02G24810D PROTEIN', 172835),
(229110, 'PTHR34576:SF14', NULL, NULL, NULL, NULL, 'KINASE REGULATOR-LIKE PROTEIN, PUTATIVE-RELATED', 172836),
(229111, 'PTHR10168:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172837),
(229112, 'PTHR47993:SF3', NULL, NULL, NULL, NULL, 'BNAA09G54060D PROTEIN', 172838),
(229113, 'PTHR31145:SF8', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_2G17475)', 172839),
(229114, 'PTHR43874:SF138', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR1', 172840),
(229115, 'PTHR45973:SF9', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 1, AXONEMAL HOMOLOG', 172841),
(229116, 'PTHR23267:SF420', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172842),
(229117, 'PTHR46163:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 172843),
(229118, 'PTHR23182:SF3', NULL, NULL, NULL, NULL, 'BREAKPOINT CLUSTER REGION PROTEIN', 172844),
(229119, 'PTHR33052:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172845),
(229120, 'PTHR41700:SF1', NULL, NULL, NULL, NULL, 'GCN5-RELATED N-ACETYLTRANSFERASE', 172846),
(229121, 'PTHR44298', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 11', 172847),
(229122, 'PTHR12788:SF8', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE SULFOTRANSFERASE', 172848),
(229123, 'PTHR32141:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172849),
(229124, 'PTHR43434:SF16', NULL, NULL, NULL, NULL, 'BLL8046 PROTEIN', 172850),
(229125, 'PTHR47967:SF68', NULL, NULL, NULL, NULL, 'OS07G0533000 PROTEIN', 172851),
(229126, 'PTHR23024:SF477', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE', 172852),
(229127, 'PTHR30406:SF1', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORT SYSTEM PERMEASE PROTEIN CYSW', 172853),
(229128, 'PTHR47843', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 172854),
(229129, 'PTHR15260:SF1', NULL, NULL, NULL, NULL, 'SARCOSPAN', 172855),
(229130, 'PTHR35762:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 172856),
(229131, 'PTHR33831:SF5', NULL, NULL, NULL, NULL, 'OS07G0102300 PROTEIN', 172857),
(229132, 'PTHR45669:SF35', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN (GRX) FAMILY PROTEIN', 172858),
(229133, 'PTHR24093:SF245', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE CALCIUM-TRANSPORTING ATPASE 1', 172859),
(229134, 'PTHR21845:SF2', NULL, NULL, NULL, NULL, 'MATRIX-REMODELING-ASSOCIATED PROTEIN 7', 172860),
(229135, 'PTHR22751:SF266', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 172861),
(229136, 'PTHR18952:SF84', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 14', 172862),
(229137, 'PTHR23266:SF253', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-1', 172863),
(229138, 'PTHR12538', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', 172864),
(229139, 'PTHR19422:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172865),
(229140, 'PTHR11188:SF148', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN 17', 172866);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(229141, 'PTHR34200:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172867),
(229142, 'PTHR30562', NULL, NULL, NULL, NULL, 'UVRC/OXIDOREDUCTASE', 172868),
(229143, 'PTHR42840:SF12', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', 172869),
(229144, 'PTHR31607:SF23', NULL, NULL, NULL, NULL, 'BNAA02G34240D PROTEIN', 172870),
(229145, 'PTHR31303:SF1', NULL, NULL, NULL, NULL, 'CTP-DEPENDENT DIACYLGLYCEROL KINASE 1', 172871),
(229146, 'PTHR11963:SF37', NULL, NULL, NULL, NULL, 'LEUCINE AMINOPEPTIDASE 2 CHLOROPLASTIC', 172872),
(229147, 'PTHR32448:SF76', NULL, NULL, NULL, NULL, 'CANNABIDIOLIC ACID SYNTHASE-LIKE 1', 172873),
(229148, 'PTHR12542:SF85', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 172874),
(229149, 'PTHR23334:SF3', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN DELTA', 172875),
(229150, 'PTHR37324:SF2', NULL, NULL, NULL, NULL, 'PTS SYSTEM GALACTITOL-SPECIFIC EIIC COMPONENT', 172876),
(229151, 'PTHR11863:SF202', NULL, NULL, NULL, NULL, 'BNAANNG24600D PROTEIN', 172877),
(229152, 'PTHR37881:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172878),
(229153, 'PTHR11960:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172879),
(229154, 'PTHR15215:SF1', NULL, NULL, NULL, NULL, 'PROTEIN THEMIS', 172880),
(229155, 'PTHR23112:SF41', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_2G12640)', 172881),
(229156, 'PTHR22804:SF47', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH PROTEIN', 172882),
(229157, 'PTHR10513:SF15', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 10, MITOCHONDRIAL', 172883),
(229158, 'PTHR10857', NULL, NULL, NULL, NULL, 'COPINE', 172884),
(229159, 'PTHR27009:SF222', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172885),
(229160, 'PTHR31225:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172886),
(229161, 'PTHR47601:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN', 172887),
(229162, 'PTHR13580:SF6', NULL, NULL, NULL, NULL, 'CYSTEINE/SERINE-RICH NUCLEAR PROTEIN 2', 172888),
(229163, 'PTHR33087', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 172889),
(229164, 'PTHR45952:SF20', NULL, NULL, NULL, NULL, 'BNAA08G14100D PROTEIN', 172890),
(229165, 'PTHR22765:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172891),
(229166, 'PTHR24408:SF36', NULL, NULL, NULL, NULL, 'PROTEIN CBG00742', 172892),
(229167, 'PTHR23198:SF15', NULL, NULL, NULL, NULL, 'NUCLEOPORIN-LIKE PROTEIN', 172893),
(229168, 'PTHR31980:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM220BP-RELATED', 172894),
(229169, 'PTHR17613:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAINS PROTEIN 1', 172895),
(229170, 'PTHR42825:SF10', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 172896),
(229171, 'PTHR36360', NULL, NULL, NULL, NULL, 'ACTIN T1-LIKE PROTEIN', 172897),
(229172, 'PTHR27006:SF359', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 172898),
(229173, 'PTHR11654:SF384', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 7.3', 172899),
(229174, 'PTHR10545:SF56', NULL, NULL, NULL, NULL, 'HYDROXYCINNAMOYL-COA: SEROTONIN N-(HYDROXYCINNAMOYL)TRANSFERASE', 172900),
(229175, 'PTHR34191', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', 172901),
(229176, 'PTHR18868:SF38', NULL, NULL, NULL, NULL, 'OS11G0147200 PROTEIN', 172902),
(229177, 'PTHR10828:SF64', NULL, NULL, NULL, NULL, 'M-PHASE INDUCER PHOSPHATASE 3', 172903),
(229178, 'PTHR23155:SF687', NULL, NULL, NULL, NULL, 'OS07G0481400 PROTEIN', 172904),
(229179, 'PTHR24296:SF192', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94C1', 172905),
(229180, 'PTHR13491:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172906),
(229181, 'PTHR43415:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 172907),
(229182, 'PTHR12673:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172908),
(229183, 'PTHR12547:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172909),
(229184, 'PTHR47925:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172910);
INSERT INTO "PUBLIC"."MODEL" VALUES
(229185, 'PTHR31967:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG04279', 172911),
(229186, 'PTHR16517:SF80', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 9', 172912),
(229187, 'PTHR32258:SF8', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1A', 172913),
(229188, 'PTHR13318:SF126', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 16', 172914),
(229189, 'PTHR33304:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172915),
(229190, 'PTHR31065:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172916),
(229191, 'PTHR31561:SF141', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 172917),
(229192, 'PTHR38123', NULL, NULL, NULL, NULL, 'CELL WALL SERINE-THREONINE-RICH GALACTOMANNOPROTEIN MP1 (AFU_ORTHOLOGUE AFUA_4G03240)', 172918),
(229193, 'PTHR10795:SF603', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172919),
(229194, 'PTHR10219:SF34', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN 3', 172920),
(229195, 'PTHR46796:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 172921),
(229196, 'PTHR10795:SF556', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172922),
(229197, 'PTHR15348:SF24', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN 3B (BRIGHT-LIKE)', 172923),
(229198, 'PTHR24298:SF377', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 172924),
(229199, 'PTHR31639:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172925),
(229200, 'PTHR31602:SF79', NULL, NULL, NULL, NULL, 'BNAC04G52430D PROTEIN', 172926),
(229201, 'PTHR34721:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG23402', 172927),
(229202, 'PTHR48043:SF15', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE, EXPRESSED-RELATED', 172928),
(229203, 'PTHR32096:SF98', NULL, NULL, NULL, NULL, 'OS06G0158100 PROTEIN', 172929),
(229204, 'PTHR46430:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SKT5', 172930),
(229205, 'PTHR46008:SF17', NULL, NULL, NULL, NULL, 'OS01G0136800 PROTEIN', 172931),
(229206, 'PTHR11709:SF329', NULL, NULL, NULL, NULL, 'LACCASE', 172932),
(229207, 'PTHR23024:SF455', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 16-RELATED', 172933),
(229208, 'PTHR11439:SF311', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', 172934),
(229209, 'PTHR48001:SF119', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 172935),
(229210, 'PTHR45632:SF5', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 22', 172936),
(229211, 'PTHR31963:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172937),
(229212, 'PTHR11920:SF485', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE DAF-11', 172938),
(229213, 'PTHR46278', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 172939),
(229214, 'PTHR31342:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172940),
(229215, 'PTHR31490:SF55', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-LIKE', 172941),
(229216, 'PTHR31140:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172942),
(229217, 'PTHR31947:SF1', NULL, NULL, NULL, NULL, 'DNA/RNA-BINDING PROTEIN ALBA 3', 172943),
(229218, 'PTHR24399:SF42', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 34', 172944),
(229219, 'PTHR24096:SF359', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 4', 172945),
(229220, 'PTHR23273:SF52', NULL, NULL, NULL, NULL, 'BNAC05G28600D PROTEIN', 172946),
(229221, 'PTHR34779:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172947),
(229222, 'PTHR26453:SF36', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 172948),
(229223, 'PTHR31282:SF172', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 74-RELATED', 172949),
(229224, 'PTHR48062:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172950),
(229225, 'PTHR48112:SF20', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN D-RELATED', 172951),
(229226, 'PTHR10551:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172952),
(229227, 'PTHR11388:SF14', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 2A1', 172953),
(229228, 'PTHR26451:SF881', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', 172954),
(229229, 'PTHR47338:SF11', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 172955);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(229230, 'PTHR45961:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG14753', 172956),
(229231, 'PTHR27002', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', 172957),
(229232, 'PTHR33339', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 172958),
(229233, 'PTHR43625:SF67', NULL, NULL, NULL, NULL, 'REDUCTASE (GLIO), PUTATIVE-RELATED', 172959),
(229234, 'PTHR31190:SF320', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF105', 172960),
(229235, 'PTHR48005:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172961),
(229236, 'PTHR45690:SF6', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 4', 172962),
(229237, 'PTHR10943:SF21', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2 HOMOLOG', 172963),
(229238, 'PTHR11909:SF396', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 3', 172964),
(229239, 'PTHR46193:SF18', NULL, NULL, NULL, NULL, 'HEXITOL PHOSPHATASE B', 172965),
(229240, 'PTHR43029:SF27', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 2 MEMBER 3', 172966),
(229241, 'PTHR31279:SF50', NULL, NULL, NULL, NULL, 'OS02G0757100 PROTEIN', 172967),
(229242, 'PTHR12277:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172968),
(229243, 'PTHR13832:SF736', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172969),
(229244, 'PTHR10353:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172970),
(229245, 'PTHR46038:SF8', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN', 172971),
(229246, 'PTHR45948:SF2', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE DDB_G0269404-RELATED', 172972),
(229247, 'PTHR46840:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 1', 172973),
(229248, 'PTHR33526:SF26', NULL, NULL, NULL, NULL, 'BNAA06G24870D PROTEIN', 172974),
(229249, 'PTHR33428:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172975),
(229250, 'PTHR42809', NULL, NULL, NULL, NULL, 'FLAVODOXIN 2', 172976),
(229251, 'PTHR31221:SF42', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 49-RELATED', 172977),
(229252, 'PTHR24245', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', 172978),
(229253, 'PTHR33349:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172979),
(229254, 'PTHR11071:SF327', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE C, MITOCHONDRIAL', 172980),
(229255, 'PTHR31956:SF24', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE SUPERFAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G17590)', 172981),
(229256, 'PTHR31827:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172982),
(229257, 'PTHR31155:SF24', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE', 172983),
(229258, 'PTHR33095:SF72', NULL, NULL, NULL, NULL, 'BNAC07G24810D PROTEIN', 172984),
(229259, 'PTHR33630:SF10', NULL, NULL, NULL, NULL, 'ACETYLXYLAN ESTERASE', 172985),
(229260, 'PTHR13683:SF661', NULL, NULL, NULL, NULL, 'BNAA05G12860D PROTEIN', 172986),
(229261, 'PTHR10687:SF7', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 2', 172987),
(229262, 'PTHR40018:SF1', NULL, NULL, NULL, NULL, '[PSI+] INDUCTION PROTEIN 2', 172988),
(229263, 'PTHR31945:SF123', NULL, NULL, NULL, NULL, 'BNAA02G27110D PROTEIN', 172989),
(229264, 'PTHR30239:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172990),
(229265, 'PTHR15405:SF6', NULL, NULL, NULL, NULL, 'PROLINE-RICH NUCLEAR RECEPTOR COACTIVATOR 2', 172991),
(229266, 'PTHR10792:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24', 172992),
(229267, 'PTHR22574:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FAM71E1', 172993),
(229268, 'PTHR33309', NULL, NULL, NULL, NULL, 'KERATIN, ULTRA HIGH-SULFUR MATRIX PROTEIN-LIKE', 172994),
(229269, 'PTHR35585:SF3', NULL, NULL, NULL, NULL, 'HHE DOMAIN PROTEIN', 172995),
(229270, 'PTHR23155:SF1084', NULL, NULL, NULL, NULL, 'OS05G0414300 PROTEIN', 172996),
(229271, 'PTHR33357:SF3', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 3', 172997),
(229272, 'PTHR11510:SF5', NULL, NULL, NULL, NULL, 'INOSITOL-3-PHOSPHATE SYNTHASE 1', 172998),
(229273, 'PTHR24089:SF719', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 172999);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(229274, 'PTHR34300:SF2', NULL, NULL, NULL, NULL, 'QUEUOSINE PRECURSOR TRANSPORTER-RELATED', 173000),
(229275, 'PTHR30033', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK-ASSOCIATED PROTEIN 1', 173001),
(229276, 'PTHR47854:SF2', NULL, NULL, NULL, NULL, 'BNAANNG33100D PROTEIN', 173002),
(229277, 'PTHR35855:SF3', NULL, NULL, NULL, NULL, 'SKN-1 DEPENDENT ZYGOTIC TRANSCRIPT', 173003),
(229278, 'PTHR11027:SF0', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN A-II', 173004),
(229279, 'PTHR10837:SF12', NULL, NULL, NULL, NULL, 'PROTEIN-ARGININE DEIMINASE TYPE-2', 173005),
(229280, 'PTHR33511:SF21', NULL, NULL, NULL, NULL, 'OS06G0632400 PROTEIN', 173006),
(229281, 'PTHR45961:SF5', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 14', 173007),
(229282, 'PTHR33673:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173008),
(229283, 'PTHR23147:SF178', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS31A', 173009),
(229284, 'PTHR24177:SF295', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', 173010),
(229285, 'PTHR32096:SF106', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 29-RELATED', 173011),
(229286, 'PTHR33417:SF13', NULL, NULL, NULL, NULL, 'OS07G0274700 PROTEIN', 173012),
(229287, 'PTHR16260:SF3', NULL, NULL, NULL, NULL, 'SIMILAR TO 1700123O20RIK PROTEIN', 173013),
(229288, 'PTHR24082:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173014),
(229289, 'PTHR10578:SF126', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE-LIKE ISOFORM X1', 173015),
(229290, 'PTHR46872', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', 173016),
(229291, 'PTHR48007:SF11', NULL, NULL, NULL, NULL, 'OS05G0454300 PROTEIN', 173017),
(229292, 'PTHR12537:SF146', NULL, NULL, NULL, NULL, 'BNAA10G12590D PROTEIN', 173018),
(229293, 'PTHR47477:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173019),
(229294, 'PTHR47680:SF2', NULL, NULL, NULL, NULL, 'SHEWANELLA-LIKE PROTEIN PHOSPHATASE 2', 173020),
(229295, 'PTHR31942:SF103', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 173021),
(229296, 'PTHR43874:SF7', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 173022),
(229297, 'PTHR31190:SF306', NULL, NULL, NULL, NULL, 'AP2-DOMAIN DNA-BINDING PROTEIN', 173023),
(229298, 'PTHR47776:SF2', NULL, NULL, NULL, NULL, 'F5A8.9 PROTEIN', 173024),
(229299, 'PTHR43795:SF5', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', 173025),
(229300, 'PTHR22692:SF19', NULL, NULL, NULL, NULL, 'MYOSIN VIIA', 173026),
(229301, 'PTHR43515', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE-LIKE 1', 173027),
(229302, 'PTHR46281:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE, SUBUNIT VIB FAMILY PROTEIN', 173028),
(229303, 'PTHR36875', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 173029),
(229304, 'PTHR31642:SF154', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', 173030),
(229305, 'PTHR11690:SF247', NULL, NULL, NULL, NULL, 'PICKPOCKET 23, ISOFORM C', 173031),
(229306, 'PTHR31268:SF5', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 6-RELATED', 173032),
(229307, 'PTHR10656', NULL, NULL, NULL, NULL, 'CELL FATE DETERMINING PROTEIN MAB21-RELATED', 173033),
(229308, 'PTHR43991:SF7', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_8G05640)', 173034),
(229309, 'PTHR31265:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173035),
(229310, 'PTHR12925:SF1', NULL, NULL, NULL, NULL, 'BNAA07G25590D PROTEIN', 173036),
(229311, 'PTHR35339:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173037),
(229312, 'PTHR46442:SF15', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 173038),
(229313, 'PTHR31147:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173039),
(229314, 'PTHR11627:SF20', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE 5, CYTOSOLIC-RELATED', 173040),
(229315, 'PTHR46140:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173041),
(229316, 'PTHR34183:SF8', NULL, NULL, NULL, NULL, 'ENDOLYTIC PEPTIDOGLYCAN TRANSGLYCOSYLASE RLPA', 173042),
(229317, 'PTHR22846:SF40', NULL, NULL, NULL, NULL, 'F-BOX-LIKE/WD REPEAT-CONTAINING PROTEIN TBL1XR1', 173043); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(229318, 'PTHR12174:SF82', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE 1', 173044),
(229319, 'PTHR37819', NULL, NULL, NULL, NULL, 'PROTEIN PSIE', 173045),
(229320, 'PTHR23291:SF40', NULL, NULL, NULL, NULL, 'OS07G0177200 PROTEIN', 173046),
(229321, 'PTHR21304:SF11', NULL, NULL, NULL, NULL, 'BNAA07G10410D PROTEIN', 173047),
(229322, 'PTHR31246:SF17', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-2', 173048),
(229323, 'PTHR37181:SF1', NULL, NULL, NULL, NULL, 'F6A14.6 PROTEIN', 173049),
(229324, 'PTHR47408:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG18900', 173050),
(229325, 'PTHR31719', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 56', 173051),
(229326, 'PTHR22807:SF53', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE B-RELATED', 173052),
(229327, 'PTHR43215:SF6', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 173053),
(229328, 'PTHR47870:SF3', NULL, NULL, NULL, NULL, 'FORMATE-DEPENDENT NITRITE REDUCTASE COMPLEX SUBUNIT NRFG', 173054),
(229329, 'PTHR31639', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', 173055),
(229330, 'PTHR13165:SF4', NULL, NULL, NULL, NULL, 'OS02G0149600 PROTEIN', 173056),
(229331, 'PTHR36984', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDORIBONUCLEASE CAS6 1', 173057),
(229332, 'PTHR47956:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173058),
(229333, 'PTHR12443:SF12', NULL, NULL, NULL, NULL, 'BNAA05G19980D PROTEIN', 173059),
(229334, 'PTHR35527', NULL, NULL, NULL, NULL, 'CHOLOYLGLYCINE HYDROLASE', 173060),
(229335, 'PTHR35017:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG14685', 173061),
(229336, 'PTHR48086:SF4', NULL, NULL, NULL, NULL, 'SODIUM/PANTOTHENATE SYMPORTER', 173062),
(229337, 'PTHR46446', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE', 173063),
(229338, 'PTHR24381:SF320', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 555', 173064),
(229339, 'PTHR13832:SF349', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 31-RELATED', 173065),
(229340, 'PTHR47291:SF3', NULL, NULL, NULL, NULL, 'UPSTREAM ORF PROTEIN, PUTATIVE-RELATED', 173066),
(229341, 'PTHR22765:SF233', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING RECEPTOR 7', 173067),
(229342, 'PTHR34567:SF5', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE/TRANSITION METAL ION-BINDING PROTEIN', 173068),
(229343, 'PTHR10778:SF39', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE/UDP-GLUCOSE TRANSPORTER 5-LIKE', 173069),
(229344, 'PTHR45644:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173070),
(229345, 'PTHR24326:SF586', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-13-LIKE', 173071),
(229346, 'PTHR23050:SF350', NULL, NULL, NULL, NULL, 'CENTRIN-4', 173072),
(229347, 'PTHR12411:SF622', NULL, NULL, NULL, NULL, 'KDEL-TAILED CYSTEINE ENDOPEPTIDASE CEP3', 173073),
(229348, 'PTHR34221:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC691189', 173074),
(229349, 'PTHR33472:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173075),
(229350, 'PTHR27007:SF263', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173076),
(229351, 'PTHR43939:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173077),
(229352, 'PTHR24393:SF39', NULL, NULL, NULL, NULL, 'SI:CH211-166G5.4', 173078),
(229353, 'PTHR43313:SF12', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 5', 173079),
(229354, 'PTHR31669:SF230', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 4-LIKE', 173080),
(229355, 'PTHR21733:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG12168', 173081),
(229356, 'PTHR31072:SF91', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP11', 173082),
(229357, 'PTHR21234:SF30', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE SUPERFAMILY PROTEIN', 173083),
(229358, 'PTHR10824:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG12426', 173084),
(229359, 'PTHR45649:SF19', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 173085),
(229360, 'PTHR21576:SF11', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 173086),
(229361, 'PTHR46783', NULL, NULL, NULL, NULL, 'CYTOGLOBIN', 173087),
(229362, 'PTHR13869:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173088),
(229363, 'PTHR23155:SF1135', NULL, NULL, NULL, NULL, 'OS11G0609700 PROTEIN', 173089);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(229364, 'PTHR43112:SF30', NULL, NULL, NULL, NULL, 'FERREDOXIN-3, CHLOROPLASTIC', 173090),
(229365, 'PTHR10891:SF898', NULL, NULL, NULL, NULL, 'BNAA04G11660D PROTEIN', 173091),
(229366, 'PTHR44943', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE OPERON PROTEIN C', 173092),
(229367, 'PTHR46455:SF5', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN CONTAINING, ARTHROPOD-SPECIFIC, MEMBER 4, ISOFORM A', 173093),
(229368, 'PTHR34466:SF1', NULL, NULL, NULL, NULL, 'BNAC03G27780D PROTEIN', 173094),
(229369, 'PTHR42898:SF38', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', 173095),
(229370, 'PTHR31989:SF376', NULL, NULL, NULL, NULL, 'BNAANNG17650D PROTEIN', 173096),
(229371, 'PTHR24221:SF463', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY PROTEIN', 173097),
(229372, 'PTHR42673:SF20', NULL, NULL, NULL, NULL, 'S-CRYSTALLIN-RELATED', 173098),
(229373, 'PTHR22988:SF71', NULL, NULL, NULL, NULL, 'RHO-ASSOCIATED PROTEIN KINASE', 173099),
(229374, 'PTHR33982:SF5', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE MEMBRANE PROTEIN 7', 173100),
(229375, 'PTHR31062:SF221', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 173101),
(229376, 'PTHR35098:SF7', NULL, NULL, NULL, NULL, 'NODULIN-RELATED PROTEIN 1', 173102),
(229377, 'PTHR11064:SF83', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-4', 173103),
(229378, 'PTHR12002:SF171', NULL, NULL, NULL, NULL, 'CLAUDIN', 173104),
(229379, 'PTHR16877:SF0', NULL, NULL, NULL, NULL, 'HEPCIDIN', 173105),
(229380, 'PTHR31989:SF210', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', 173106),
(229381, 'PTHR24247:SF99', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 11H4', 173107),
(229382, 'PTHR10363:SF2', NULL, NULL, NULL, NULL, 'BLEOMYCIN HYDROLASE', 173108),
(229383, 'PTHR33048:SF8', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN PTH11-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G13715)-RELATED', 173109),
(229384, 'PTHR23067:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 385D', 173110),
(229385, 'PTHR10634:SF123', NULL, NULL, NULL, NULL, 'BNAC06G14100D PROTEIN', 173111),
(229386, 'PTHR11604:SF25', NULL, NULL, NULL, NULL, 'PROFILIN-4', 173112),
(229387, 'PTHR30607', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE A CHAIN', 173113),
(229388, 'PTHR24282:SF167', NULL, NULL, NULL, NULL, '11-OXO-BETA-AMYRIN 30-OXIDASE', 173114),
(229389, 'PTHR31639:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173115),
(229390, 'PTHR32370:SF115', NULL, NULL, NULL, NULL, 'OS12G0117600 PROTEIN', 173116),
(229391, 'PTHR48017:SF123', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 2', 173117),
(229392, 'PTHR32089:SF103', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN MCPC', 173118),
(229393, 'PTHR22603:SF69', NULL, NULL, NULL, NULL, 'CHOLINE KINASE BETA', 173119),
(229394, 'PTHR33085:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173120),
(229395, 'PTHR11552:SF201', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE-RELATED', 173121),
(229396, 'PTHR24028:SF275', NULL, NULL, NULL, NULL, 'CADHERIN EGF LAG SEVEN-PASS G-TYPE RECEPTOR 3', 173122),
(229397, 'PTHR11017:SF301', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 173123),
(229398, 'PTHR24373', NULL, NULL, NULL, NULL, 'SLIT RELATED LEUCINE-RICH REPEAT NEURONAL PROTEIN', 173124),
(229399, 'PTHR15240:SF3', NULL, NULL, NULL, NULL, 'CAVEOLAE-ASSOCIATED PROTEIN 1', 173125),
(229400, 'PTHR10795:SF636', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.5', 173126),
(229401, 'PTHR24412:SF135', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 5', 173127),
(229402, 'PTHR24253:SF24', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 42', 173128),
(229403, 'PTHR22427:SF8', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 36', 173129),
(229404, 'PTHR45886', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED-RELATED', 173130),
(229405, 'PTHR43072:SF28', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE HLS1-LIKE-RELATED', 173131),
(229406, 'PTHR27008:SF397', NULL, NULL, NULL, NULL, 'OS01G0523100 PROTEIN', 173132),
(229407, 'PTHR36814:SF3', NULL, NULL, NULL, NULL, 'BNAA02G34030D PROTEIN', 173133); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(229408, 'PTHR48024:SF20', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING, ABSCISIC ACID-INDUCIBLE PROTEIN', 173134),
(229409, 'PTHR33832:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 173135),
(229410, 'PTHR31960:SF29', NULL, NULL, NULL, NULL, 'BNAA09G12930D PROTEIN', 173136),
(229411, 'PTHR31769:SF85', NULL, NULL, NULL, NULL, 'BNAC08G42060D PROTEIN', 173137),
(229412, 'PTHR34458:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173138),
(229413, 'PTHR13902:SF130', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK1-RELATED', 173139),
(229414, 'PTHR43655:SF13', NULL, NULL, NULL, NULL, 'MIP17311P', 173140),
(229415, 'PTHR12276:SF92', NULL, NULL, NULL, NULL, 'EPSIN-3', 173141),
(229416, 'PTHR10395:SF11', NULL, NULL, NULL, NULL, '5-HYDROXYISOURATE HYDROLASE', 173142),
(229417, 'PTHR10621:SF51', NULL, NULL, NULL, NULL, 'BNAC09G41720D PROTEIN', 173143),
(229418, 'PTHR24416:SF527', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE TYROSINE-PROTEIN KINASE ROS', 173144),
(229419, 'PTHR46904:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN T', 173145),
(229420, 'PTHR11654:SF498', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173146),
(229421, 'PTHR13315:SF0', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE 1', 173147),
(229422, 'PTHR10165:SF162', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 2-LIKE ISOFORM X1', 173148),
(229423, 'PTHR38746:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173149),
(229424, 'PTHR45791:SF5', NULL, NULL, NULL, NULL, 'CALCIUM AND INTEGRIN-BINDING FAMILY MEMBER 2', 173150),
(229425, 'PTHR15726', NULL, NULL, NULL, NULL, 'RAB11-FAMILY INTERACTING PROTEIN', 173151),
(229426, 'PTHR39653:SF7', NULL, NULL, NULL, NULL, 'MGC58416 PROTEIN-RELATED', 173152),
(229427, 'PTHR11929:SF222', NULL, NULL, NULL, NULL, 'PROTEIN CBG13289', 173153),
(229428, 'PTHR22748:SF11', NULL, NULL, NULL, NULL, 'DNA-(APURINIC OR APYRIMIDINIC SITE) LYASE CHLOROPLASTIC', 173154),
(229429, 'PTHR11964:SF57', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE 1', 173155),
(229430, 'PTHR33595:SF22', NULL, NULL, NULL, NULL, 'BNAA02G28730D PROTEIN', 173156),
(229431, 'PTHR10378:SF34', NULL, NULL, NULL, NULL, 'LIM-DOMAIN BINDING PROTEIN/SEUSS-RELATED', 173157),
(229432, 'PTHR10989', NULL, NULL, NULL, NULL, 'ANDROGEN-INDUCED PROTEIN 1-RELATED', 173158),
(229433, 'PTHR36769', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-DEPENDENT PHOSPHOGLYCERATE MUTASE', 173159),
(229434, 'PTHR11206:SF324', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 173160),
(229435, 'PTHR10666:SF341', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 4', 173161),
(229436, 'PTHR12247:SF99', NULL, NULL, NULL, NULL, 'ATHERIN-RELATED', 173162),
(229437, 'PTHR22235', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 30', 173163),
(229438, 'PTHR10859:SF91', NULL, NULL, NULL, NULL, 'DOLICHYL-PHOSPHATE BETA-GLUCOSYLTRANSFERASE', 173164),
(229439, 'PTHR14110:SF19', NULL, NULL, NULL, NULL, 'BNACNNG41500D PROTEIN', 173165),
(229440, 'PTHR34055:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 173166),
(229441, 'PTHR31062:SF174', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 173167),
(229442, 'PTHR12449:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173168),
(229443, 'PTHR11937:SF472', NULL, NULL, NULL, NULL, 'ACTIN-97', 173169),
(229444, 'PTHR34116:SF12', NULL, NULL, NULL, NULL, 'BNAA09G15030D PROTEIN', 173170),
(229445, 'PTHR10795:SF322', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.3', 173171),
(229446, 'PTHR10438', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 173172),
(229447, 'PTHR21510:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173173),
(229448, 'PTHR12649:SF21', NULL, NULL, NULL, NULL, 'BNAANNG15190D PROTEIN', 173174),
(229449, 'PTHR11003:SF31', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 7', 173175),
(229450, 'PTHR45789:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-5', 173176),
(229451, 'PTHR42812:SF11', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06110)-RELATED', 173177),
(229452, 'PTHR48162:SF1', NULL, NULL, NULL, NULL, 'YALI0A06930P', 173178);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(229453, 'PTHR14586', NULL, NULL, NULL, NULL, 'THIAMINE-TRIPHOSPHATASE', 173179),
(229454, 'PTHR33447:SF13', NULL, NULL, NULL, NULL, 'BNAA02G22480D PROTEIN', 173180),
(229455, 'PTHR24543:SF311', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173181),
(229456, 'PTHR31360:SF10', NULL, NULL, NULL, NULL, 'OIL BODY-ASSOCIATED PROTEIN 1A', 173182),
(229457, 'PTHR20961:SF14', NULL, NULL, NULL, NULL, 'OS02G0135500 PROTEIN', 173183),
(229458, 'PTHR24270:SF5', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 4', 173184),
(229459, 'PTHR10285:SF171', NULL, NULL, NULL, NULL, 'URACIL PHOSPHORIBOSYLTRANSFERASE HOMOLOG', 173185),
(229460, 'PTHR31169:SF21', NULL, NULL, NULL, NULL, 'ZINC-FINGER DOMAIN OF MONOAMINE-OXIDASE A REPRESSOR R1 PROTEIN', 173186),
(229461, 'PTHR31860:SF4', NULL, NULL, NULL, NULL, 'OS02G0637800 PROTEIN', 173187),
(229462, 'PTHR43874:SF61', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR23', 173188),
(229463, 'PTHR47958:SF79', NULL, NULL, NULL, NULL, 'BNAA06G38640D PROTEIN', 173189),
(229464, 'PTHR10791:SF181', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 13', 173190),
(229465, 'PTHR31190:SF314', NULL, NULL, NULL, NULL, 'OS07G0410300 PROTEIN', 173191),
(229466, 'PTHR27005:SF319', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-LIKE', 173192),
(229467, 'PTHR32370:SF92', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', 173193),
(229468, 'PTHR11638:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173194),
(229469, 'PTHR15233', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PROTEOLIPID', 173195),
(229470, 'PTHR44083:SF41', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 1-LIKE ISOFORM X1', 173196),
(229471, 'PTHR28051', NULL, NULL, NULL, NULL, 'PROTEIN MTL1-RELATED', 173197),
(229472, 'PTHR48050:SF16', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE UGT80B1', 173198),
(229473, 'PTHR35759', NULL, NULL, NULL, NULL, 'BNAA09G03860D PROTEIN', 173199),
(229474, 'PTHR35307:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173200),
(229475, 'PTHR21495:SF153', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 173201),
(229476, 'PTHR30146:SF128', NULL, NULL, NULL, NULL, 'RIBOSE OPERON REPRESSOR', 173202),
(229477, 'PTHR12363:SF34', NULL, NULL, NULL, NULL, 'IMPORTIN BETA-LIKE PROTEIN KAP122', 173203),
(229478, 'PTHR10110:SF180', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 173204),
(229479, 'PTHR24559:SF331', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173205),
(229480, 'PTHR14789:SF4', NULL, NULL, NULL, NULL, 'ENDOSIALIN', 173206),
(229481, 'PTHR37184:SF2', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 27', 173207),
(229482, 'PTHR47864:SF5', NULL, NULL, NULL, NULL, 'BNAA01G22410D PROTEIN', 173208),
(229483, 'PTHR43399', NULL, NULL, NULL, NULL, 'SUBTILISIN-RELATED', 173209),
(229484, 'PTHR47530:SF3', NULL, NULL, NULL, NULL, 'OS08G0548300 PROTEIN', 173210),
(229485, 'PTHR24096:SF365', NULL, NULL, NULL, NULL, 'PROTEIN CBG11998', 173211),
(229486, 'PTHR33873:SF10', NULL, NULL, NULL, NULL, 'BNAC04G48260D PROTEIN', 173212),
(229487, 'PTHR36535:SF1', NULL, NULL, NULL, NULL, 'YALI0E30327P', 173213),
(229488, 'PTHR21579:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG23225', 173214),
(229489, 'PTHR46011:SF18', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 173215),
(229490, 'PTHR45824:SF14', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', 173216),
(229491, 'PTHR42972:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173217),
(229492, 'PTHR42071', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 173218),
(229493, 'PTHR31062:SF40', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 173219),
(229494, 'PTHR23427:SF12', NULL, NULL, NULL, NULL, 'SURF1-LIKE PROTEIN', 173220),
(229495, 'PTHR32289:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173221),
(229496, 'PTHR42647:SF57', NULL, NULL, NULL, NULL, 'BNAC05G08160D PROTEIN', 173222),
(229497, 'PTHR36752', NULL, NULL, NULL, NULL, 'OS12G0405700 PROTEIN', 173223);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(229498, 'PTHR32077:SF37', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN-PROTEIN 2-LIKE', 173224),
(229499, 'PTHR45901', NULL, NULL, NULL, NULL, 'PROTEIN CBG12474', 173225),
(229500, 'PTHR32343:SF52', NULL, NULL, NULL, NULL, 'CTC-INTERACTING DOMAIN 8-RELATED', 173226),
(229501, 'PTHR31132:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173227),
(229502, 'PTHR33995:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG07696', 173228),
(229503, 'PTHR13006:SF8', NULL, NULL, NULL, NULL, 'SLC2A4 REGULATOR', 173229),
(229504, 'PTHR21435', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 173230),
(229505, 'PTHR11592:SF117', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 173231),
(229506, 'PTHR10682:SF41', NULL, NULL, NULL, NULL, 'POLY(A) POLYMERASE-LIKE PROTEIN', 173232),
(229507, 'PTHR48002:SF33', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 173233),
(229508, 'PTHR22802:SF346', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 173234),
(229509, 'PTHR31235:SF355', NULL, NULL, NULL, NULL, 'PEROXIDASE', 173235),
(229510, 'PTHR10638:SF25', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 173236),
(229511, 'PTHR43840:SF4', NULL, NULL, NULL, NULL, 'CDF DIVALENT METAL CATION TRANSPORTER (EUROFUNG)', 173237),
(229512, 'PTHR11679:SF42', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT SEC1A-RELATED', 173238),
(229513, 'PTHR11571:SF246', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD', 173239),
(229514, 'PTHR46804', NULL, NULL, NULL, NULL, 'ADP RIBOSYLATION FACTOR LIKE GTPASE 14 EFFECTOR PROTEIN LIKE', 173240),
(229515, 'PTHR31549:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173241),
(229516, 'PTHR24305:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173242),
(229517, 'PTHR47924:SF19', NULL, NULL, NULL, NULL, 'BNAC03G22150D PROTEIN', 173243),
(229518, 'PTHR45655:SF10', NULL, NULL, NULL, NULL, 'SOLUBLE GUANYLATE CYCLASE 88E', 173244),
(229519, 'PTHR43747:SF1', NULL, NULL, NULL, NULL, 'FAD-BINDING PROTEIN', 173245),
(229520, 'PTHR12157:SF17', NULL, NULL, NULL, NULL, 'REGULATING SYNAPTIC MEMBRANE EXOCYTOSIS 4', 173246),
(229521, 'PTHR11673:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173247),
(229522, 'PTHR13056', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 173248),
(229523, 'PTHR11588:SF384', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 173249),
(229524, 'PTHR24015:SF156', NULL, NULL, NULL, NULL, 'OS05G0574800 PROTEIN', 173250),
(229525, 'PTHR42260:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173251),
(229526, 'PTHR33778:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MGTC', 173252),
(229527, 'PTHR33355:SF1', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 15', 173253),
(229528, 'PTHR11132:SF425', NULL, NULL, NULL, NULL, 'BNAC05G05080D PROTEIN', 173254),
(229529, 'PTHR21495:SF200', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 173255),
(229530, 'PTHR23508:SF3', NULL, NULL, NULL, NULL, 'SIALIC ACID TRANSPORTER NANT', 173256),
(229531, 'PTHR13094:SF4', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 10-A-LIKE', 173257),
(229532, 'PTHR10366:SF491', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE FAMILY PROTEIN, EXPRESSED', 173258),
(229533, 'PTHR35243:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173259),
(229534, 'PTHR45621:SF102', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', 173260),
(229535, 'PTHR12526:SF569', NULL, NULL, NULL, NULL, 'SLR1166 PROTEIN', 173261),
(229536, 'PTHR48111:SF11', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM RESPONSE REGULATOR', 173262),
(229537, 'PTHR11384:SF59', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY D MEMBER 3', 173263),
(229538, 'PTHR31282:SF140', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', 173264),
(229539, 'PTHR22957:SF466', NULL, NULL, NULL, NULL, 'SI:DKEY-238D18.4', 173265),
(229540, 'PTHR31382', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER', 173266),
(229541, 'PTHR31225:SF107', NULL, NULL, NULL, NULL, 'CASBENE SYNTHASE, CHLOROPLASTIC', 173267),
(229542, 'PTHR33115:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173268),
(229543, 'PTHR11711:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173269);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(229544, 'PTHR16083:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 10B', 173270),
(229545, 'PTHR45626:SF2', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD5B', 173271),
(229546, 'PTHR13680', NULL, NULL, NULL, NULL, 'CDGSH IRON-SULFUR DOMAIN-CONTAINING PROTEIN 1', 173272),
(229547, 'PTHR37066:SF1', NULL, NULL, NULL, NULL, 'HELICASE-ASSOCIATED', 173273),
(229548, 'PTHR35936:SF11', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER EXTRACELLULAR-BINDING PROTEIN YCKB-RELATED', 173274),
(229549, 'PTHR10168:SF111', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S9', 173275),
(229550, 'PTHR11486:SF41', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 22', 173276),
(229551, 'PTHR34481:SF2', NULL, NULL, NULL, NULL, 'TRYPSIN/FACTOR XIIA INHIBITOR', 173277),
(229552, 'PTHR24381:SF276', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 282', 173278),
(229553, 'PTHR45719:SF29', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14A-LIKE', 173279),
(229554, 'PTHR46001:SF1', NULL, NULL, NULL, NULL, 'T-LYMPHOMA INVASION AND METASTASIS-INDUCING PROTEIN 1', 173280),
(229555, 'PTHR15453:SF10', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR 2, MITOCHONDRIAL CALCIUM REGULATOR B', 173281),
(229556, 'PTHR33917:SF3', NULL, NULL, NULL, NULL, 'PROTEIN EXECUTER 1, CHLOROPLASTIC', 173282),
(229557, 'PTHR11406:SF25', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE, CYTOSOLIC', 173283),
(229558, 'PTHR24384:SF203', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 723', 173284),
(229559, 'PTHR10362:SF54', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', 173285),
(229560, 'PTHR47645:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08267', 173286),
(229561, 'PTHR47928:SF157', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT-CONTAINING PROTEIN-LIKE', 173287),
(229562, 'PTHR35420:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173288),
(229563, 'PTHR38818', NULL, NULL, NULL, NULL, 'PROTEIN FAM27A/B/C', 173289),
(229564, 'PTHR31984:SF11', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (DUF179)-RELATED', 173290),
(229565, 'PTHR10606:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173291),
(229566, 'PTHR12997:SF2', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL 1,4,5-TRISPHOSPHATE 5-PHOSPHATASE', 173292),
(229567, 'PTHR22807:SF68', NULL, NULL, NULL, NULL, '28S RRNA (CYTOSINE-C(5))-METHYLTRANSFERASE-RELATED', 173293),
(229568, 'PTHR11467:SF91', NULL, NULL, NULL, NULL, 'HISTONE1A', 173294),
(229569, 'PTHR34011:SF7', NULL, NULL, NULL, NULL, 'C-PHYCOCYANIN BETA CHAIN', 173295),
(229570, 'PTHR10641:SF1183', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB34-LIKE', 173296),
(229571, 'PTHR28090', NULL, NULL, NULL, NULL, 'PROTEIN ROT1', 173297),
(229572, 'PTHR46524:SF7', NULL, NULL, NULL, NULL, 'CW-TYPE ZINC FINGER', 173298),
(229573, 'PTHR33214:SF48', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', 173299),
(229574, 'PTHR11802:SF387', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 173300),
(229575, 'PTHR23147:SF52', NULL, NULL, NULL, NULL, 'SERINE AND ARGININE-RICH-SPLICING FACTOR 7A', 173301),
(229576, 'PTHR36215:SF1', NULL, NULL, NULL, NULL, 'BLL4998 PROTEIN', 173302),
(229577, 'PTHR11035:SF37', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE', 173303),
(229578, 'PTHR31579:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173304),
(229579, 'PTHR33374:SF38', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 41', 173305),
(229580, 'PTHR12550:SF41', NULL, NULL, NULL, NULL, 'HEPATOMA-DERIVED GROWTH FACTOR-RELATED', 173306),
(229581, 'PTHR12138:SF96', NULL, NULL, NULL, NULL, 'PROTEIN GVQW2', 173307),
(229582, 'PTHR36381:SF5', NULL, NULL, NULL, NULL, 'ETHYLENE-REGULATED NUCLEAR PROTEIN ERT2-LIKE PROTEIN', 173308),
(229583, 'PTHR30028', NULL, NULL, NULL, NULL, 'UPF0014 INNER MEMBRANE PROTEIN YBBM-RELATED', 173309),
(229584, 'PTHR31600', NULL, NULL, NULL, NULL, 'TINY MACROCYSTS PROTEIN B-RELATED', 173310),
(229585, 'PTHR42735:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173311),
(229586, 'PTHR47991:SF55', NULL, NULL, NULL, NULL, 'BNAA02G09910D PROTEIN', 173312);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(229587, 'PTHR32282:SF24', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE', 173313),
(229588, 'PTHR46448:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173314),
(229589, 'PTHR24349:SF316', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT KINASE', 173315),
(229590, 'PTHR47987:SF17', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-PROTEIN KINASE RBK2 ISOFORM X1', 173316),
(229591, 'PTHR19343:SF5', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 7-6', 173317),
(229592, 'PTHR43690:SF25', NULL, NULL, NULL, NULL, 'ZINC PROTEASE PQQL-LIKE', 173318),
(229593, 'PTHR32361:SF3', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13750)-RELATED', 173319),
(229594, 'PTHR23048:SF13', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN', 173320),
(229595, 'PTHR10809:SF136', NULL, NULL, NULL, NULL, 'MSP DOMAIN CONTAINING PROTEIN, EXPRESSED', 173321),
(229596, 'PTHR11937:SF417', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173322),
(229597, 'PTHR11802:SF280', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 35', 173323),
(229598, 'PTHR43033:SF3', NULL, NULL, NULL, NULL, 'TRNA(ILE)-LYSIDINE/2-THIOCYTIDINE SYNTHASE', 173324),
(229599, 'PTHR47839', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G04830)-RELATED', 173325),
(229600, 'PTHR37976:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG16927', 173326),
(229601, 'PTHR46408:SF14', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 25', 173327),
(229602, 'PTHR23179:SF28', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 20', 173328),
(229603, 'PTHR48146:SF1', NULL, NULL, NULL, NULL, 'K-STIMULATED PYROPHOSPHATE-ENERGIZED SODIUM PUMP PROTEIN', 173329),
(229604, 'PTHR33086:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173330),
(229605, 'PTHR31642:SF45', NULL, NULL, NULL, NULL, 'PUTRESCINE HYDROXYCINNAMOYLTRANSFERASE 3', 173331),
(229606, 'PTHR32295:SF215', NULL, NULL, NULL, NULL, 'BNAA06G14070D PROTEIN', 173332),
(229607, 'PTHR47338:SF14', NULL, NULL, NULL, NULL, 'C6 TRANSCRIPTION FACTOR', 173333),
(229608, 'PTHR33172:SF61', NULL, NULL, NULL, NULL, 'BNAA02G05360D PROTEIN', 173334),
(229609, 'PTHR21538:SF25', NULL, NULL, NULL, NULL, 'ANILLIN, ACTIN-BINDING PROTEIN', 173335),
(229610, 'PTHR23389:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173336),
(229611, 'PTHR14255:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173337),
(229612, 'PTHR10814:SF21', NULL, NULL, NULL, NULL, 'PROTEIN GROUCHO', 173338),
(229613, 'PTHR43309:SF3', NULL, NULL, NULL, NULL, '5-OXOPROLINASE SUBUNIT C', 173339),
(229614, 'PTHR31951:SF27', NULL, NULL, NULL, NULL, 'BNAA07G25690D PROTEIN', 173340),
(229615, 'PTHR46554:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173341),
(229616, 'PTHR22443', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LETHAL 1, ISOFORM M', 173342),
(229617, 'PTHR47038:SF5', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORTER-RELATED', 173343),
(229618, 'PTHR45658:SF45', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 173344),
(229619, 'PTHR22951:SF81', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN', 173345),
(229620, 'PTHR33228:SF54', NULL, NULL, NULL, NULL, 'BNAANNG40800D PROTEIN', 173346),
(229621, 'PTHR13809:SF8', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-7', 173347),
(229622, 'PTHR10292', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN RELATED', 173348),
(229623, 'PTHR11351:SF86', NULL, NULL, NULL, NULL, 'BNAC03G17450D PROTEIN', 173349),
(229624, 'PTHR46327:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173350),
(229625, 'PTHR11258:SF4', NULL, NULL, NULL, NULL, '2''-5''-OLIGOADENYLATE SYNTHASE 3', 173351),
(229626, 'PTHR12788:SF7', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE SULFOTRANSFERASE-RELATED', 173352),
(229627, 'PTHR11769:SF17', NULL, NULL, NULL, NULL, 'HYALURONIDASE PH-20', 173353),
(229628, 'PTHR23505:SF59', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 173354),
(229629, 'PTHR15443:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173355),
(229630, 'PTHR33690:SF1', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 241 MEMBER A', 173356);
INSERT INTO "PUBLIC"."MODEL" VALUES
(229631, 'PTHR31992:SF124', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.8', 173357),
(229632, 'PTHR47965:SF38', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY PROTEIN, PUTATIVE-RELATED', 173358),
(229633, 'PTHR30265:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ANTITERMINATION PROTEIN RFAH', 173359),
(229634, 'PTHR32063:SF72', NULL, NULL, NULL, NULL, 'MULTIDRUG EXPORT PROTEIN ACRF', 173360),
(229635, 'PTHR38492', NULL, NULL, NULL, NULL, 'ADROPIN', 173361),
(229636, 'PTHR23266:SF277', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173362),
(229637, 'PTHR12200:SF26', NULL, NULL, NULL, NULL, 'PYRIN AND HIN DOMAIN-CONTAINING PROTEIN 1', 173363),
(229638, 'PTHR10353:SF35', NULL, NULL, NULL, NULL, 'ARYL-PHOSPHO-BETA-D-GLUCOSIDASE BGLH', 173364),
(229639, 'PTHR45801:SF46', NULL, NULL, NULL, NULL, 'BNACNNG72130D PROTEIN', 173365),
(229640, 'PTHR10411:SF4', NULL, NULL, NULL, NULL, 'GROWTH ARREST AND DNA DAMAGE-INDUCIBLE PROTEIN GADD45 GAMMA', 173366),
(229641, 'PTHR10168:SF269', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C13', 173367),
(229642, 'PTHR21716:SF43', NULL, NULL, NULL, NULL, 'SLR0784 PROTEIN', 173368),
(229643, 'PTHR30055:SF187', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 173369),
(229644, 'PTHR12506:SF68', NULL, NULL, NULL, NULL, 'BNAA05G33310D PROTEIN', 173370),
(229645, 'PTHR47023:SF4', NULL, NULL, NULL, NULL, 'SEX PEPTIDE RECEPTOR (DROSOPHILA) RELATED', 173371),
(229646, 'PTHR13382:SF20', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP14-LIKE', 173372),
(229647, 'PTHR37943', NULL, NULL, NULL, NULL, 'PROTEIN VES', 173373),
(229648, 'PTHR45966:SF26', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 5-LIKE ISOFORM X1', 173374),
(229649, 'PTHR23521:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 173375),
(229650, 'PTHR22835:SF530', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173376),
(229651, 'PTHR31614:SF29', NULL, NULL, NULL, NULL, 'BNAC03G58910D PROTEIN', 173377),
(229652, 'PTHR38926:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173378),
(229653, 'PTHR47928:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173379),
(229654, 'PTHR33177:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173380),
(229655, 'PTHR47999', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB8-RELATED-RELATED', 173381),
(229656, 'PTHR21433:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 120B', 173382),
(229657, 'PTHR11863:SF36', NULL, NULL, NULL, NULL, 'PROTEIN CBG00643', 173383),
(229658, 'PTHR31533:SF12', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN LORELEI-LIKE', 173384),
(229659, 'PTHR34064:SF8', NULL, NULL, NULL, NULL, 'BNAA01G34640D PROTEIN', 173385),
(229660, 'PTHR32241:SF22', NULL, NULL, NULL, NULL, 'PATATIN', 173386),
(229661, 'PTHR17616:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173387),
(229662, 'PTHR33232:SF17', NULL, NULL, NULL, NULL, 'SIEVE ELEMENT OCCLUSION-RELATED', 173388),
(229663, 'PTHR32295:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173389),
(229664, 'PTHR22957:SF591', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATING PROTEIN PUTATIVE-RELATED', 173390),
(229665, 'PTHR43058', NULL, NULL, NULL, NULL, 'SLR0655 PROTEIN', 173391),
(229666, 'PTHR35685:SF2', NULL, NULL, NULL, NULL, '825-OAK-RELATED', 173392),
(229667, 'PTHR35546:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173393),
(229668, 'PTHR35007:SF2', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 173394),
(229669, 'PTHR46839', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 6', 173395),
(229670, 'PTHR10165:SF103', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE HOMOLOG', 173396),
(229671, 'PTHR11011:SF25', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 173397),
(229672, 'PTHR23024:SF397', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 173398),
(229673, 'PTHR34067', NULL, NULL, NULL, NULL, 'OS04G0193200 PROTEIN', 173399),
(229674, 'PTHR17453:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173400),
(229675, 'PTHR15592:SF2', NULL, NULL, NULL, NULL, 'MATRIN-3', 173401),
(229676, 'PTHR23189:SF6', NULL, NULL, NULL, NULL, 'RIBONUCLEOPROTEIN PTB-BINDING 2', 173402);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(229677, 'PTHR24392:SF33', NULL, NULL, NULL, NULL, 'HUNCHBACK-LIKE', 173403),
(229678, 'PTHR10584:SF167', NULL, NULL, NULL, NULL, 'PFKB DOMAIN PROTEIN', 173404),
(229679, 'PTHR24099:SF11', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING 3BA-RELATED', 173405),
(229680, 'PTHR31625', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 173406),
(229681, 'PTHR15139', NULL, NULL, NULL, NULL, 'TUBULIN FOLDING COFACTOR C', 173407),
(229682, 'PTHR11652:SF59', NULL, NULL, NULL, NULL, 'BNACNNG03140D PROTEIN', 173408),
(229683, 'PTHR24015:SF1878', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173409),
(229684, 'PTHR43184:SF18', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE TRANSPORTER 5-RELATED', 173410),
(229685, 'PTHR11639:SF134', NULL, NULL, NULL, NULL, 'PROTEIN S100-B-RELATED', 173411),
(229686, 'PTHR46469:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 8', 173412),
(229687, 'PTHR31228:SF34', NULL, NULL, NULL, NULL, 'BNAC05G03000D PROTEIN', 173413),
(229688, 'PTHR48017:SF40', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 1-RELATED', 173414),
(229689, 'PTHR10270:SF302', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-21-A-RELATED', 173415),
(229690, 'PTHR15304:SF1', NULL, NULL, NULL, NULL, 'MYOD FAMILY INHIBITOR', 173416),
(229691, 'PTHR24112:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173417),
(229692, 'PTHR32263:SF11', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE RCD1-LIKE ISOFORM X1', 173418),
(229693, 'PTHR22930:SF76', NULL, NULL, NULL, NULL, 'OS02G0813200 PROTEIN', 173419),
(229694, 'PTHR10666:SF349', NULL, NULL, NULL, NULL, 'F15I1.3 PROTEIN-RELATED', 173420),
(229695, 'PTHR24225:SF54', NULL, NULL, NULL, NULL, 'SI:CH211-137J23.6-RELATED', 173421),
(229696, 'PTHR11006:SF110', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 6', 173422),
(229697, 'PTHR47968:SF21', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7I', 173423),
(229698, 'PTHR31374:SF148', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 10A5-LIKE', 173424),
(229699, 'PTHR35298:SF8', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN S1FA', 173425),
(229700, 'PTHR37572', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 173426),
(229701, 'PTHR21402:SF5', NULL, NULL, NULL, NULL, 'ZGC:56699', 173427),
(229702, 'PTHR15597:SF22', NULL, NULL, NULL, NULL, 'RNA-BINDING FOX PROTEIN 1, ISOFORM H', 173428),
(229703, 'PTHR13723:SF142', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 7', 173429),
(229704, 'PTHR43047:SF9', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM SENSOR PROTEIN', 173430),
(229705, 'PTHR34227', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN YCDY', 173431),
(229706, 'PTHR33321:SF17', NULL, NULL, NULL, NULL, 'PR17D', 173432),
(229707, 'PTHR24169:SF20', NULL, NULL, NULL, NULL, 'DORSAL-RELATED IMMUNITY FACTOR DIF-RELATED', 173433),
(229708, 'PTHR14107:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 20', 173434),
(229709, 'PTHR16866:SF2', NULL, NULL, NULL, NULL, 'GASTRIN-RELEASING PEPTIDE', 173435),
(229710, 'PTHR27002:SF797', NULL, NULL, NULL, NULL, 'OS11G0226201 PROTEIN', 173436),
(229711, 'PTHR34539:SF18', NULL, NULL, NULL, NULL, 'BNAC08G15840D PROTEIN', 173437),
(229712, 'PTHR35396:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173438),
(229713, 'PTHR11759:SF29', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14', 173439),
(229714, 'PTHR37698:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 1, CHLOROPLASTIC', 173440),
(229715, 'PTHR31104:SF13', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA- GLUCOSAMINYL)ASPARAGINE AMIDASE A-LIKE', 173441),
(229716, 'PTHR16166:SF114', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING FAMILY PROTEIN', 173442),
(229717, 'PTHR45811:SF60', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN PROTEIN', 173443),
(229718, 'PTHR33463:SF66', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING DISEASE RESISTANCE PROTEIN, PUTATIVE-RELATED', 173444),
(229719, 'PTHR36364:SF1', NULL, NULL, NULL, NULL, 'OS03G0203000 PROTEIN', 173445),
(229720, 'PTHR34491:SF37', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', 173446);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(229721, 'PTHR44042:SF43', NULL, NULL, NULL, NULL, 'BNAANNG39140D PROTEIN', 173447),
(229722, 'PTHR45658:SF85', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', 173448),
(229723, 'PTHR35505', NULL, NULL, NULL, NULL, 'OS01G0600300 PROTEIN', 173449),
(229724, 'PTHR35324', NULL, NULL, NULL, NULL, 'BNAA08G03750D PROTEIN', 173450),
(229725, 'PTHR11802:SF237', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173451),
(229726, 'PTHR34267', NULL, NULL, NULL, NULL, 'OS11G0161033 PROTEIN', 173452),
(229727, 'PTHR10343:SF83', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE SUBUNIT BETA-2', 173453),
(229728, 'PTHR26453:SF20', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6', 173454),
(229729, 'PTHR21136:SF177', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 713', 173455),
(229730, 'PTHR11830:SF34', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', 173456),
(229731, 'PTHR10809:SF113', NULL, NULL, NULL, NULL, 'OS07G0558800 PROTEIN', 173457),
(229732, 'PTHR47950:SF18', NULL, NULL, NULL, NULL, '3''-HYDROXYLASE ISOZYME, PUTATIVE-RELATED', 173458),
(229733, 'PTHR31223:SF49', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG6-RELATED', 173459),
(229734, 'PTHR10177:SF413', NULL, NULL, NULL, NULL, 'CYCLIN-D4-2-LIKE ISOFORM X1', 173460),
(229735, 'PTHR48108:SF14', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN WITH 2 CBS DOMAINS', 173461),
(229736, 'PTHR33365:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173462),
(229737, 'PTHR31444:SF3', NULL, NULL, NULL, NULL, 'OS05G0447800 PROTEIN', 173463),
(229738, 'PTHR31642:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173464),
(229739, 'PTHR27002:SF181', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE B120', 173465),
(229740, 'PTHR42769:SF12', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE', 173466),
(229741, 'PTHR47108:SF3', NULL, NULL, NULL, NULL, 'BETA-PHOSPHOGLUCOMUTASE-LIKE ISOFORM X1', 173467),
(229742, 'PTHR22597:SF22', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN EMBRYONIC FLOWER 2-RELATED', 173468),
(229743, 'PTHR12552:SF13', NULL, NULL, NULL, NULL, 'ADAPTOR PROTEIN, PHOSPHOTYROSINE INTERACTING WITH PH DOMAIN AND LEUCINE ZIPPER 1', 173469),
(229744, 'PTHR17630:SF79', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 173470),
(229745, 'PTHR13038:SF14', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 9B', 173471),
(229746, 'PTHR24327', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN', 173472),
(229747, 'PTHR43829:SF2', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', 173473),
(229748, 'PTHR31388:SF48', NULL, NULL, NULL, NULL, 'PEROXIDASE 70', 173474),
(229749, 'PTHR31964:SF55', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', 173475),
(229750, 'PTHR47327:SF19', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 173476),
(229751, 'PTHR14326', NULL, NULL, NULL, NULL, 'TARGETING PROTEIN FOR XKLP2', 173477),
(229752, 'PTHR21016:SF1', NULL, NULL, NULL, NULL, 'TM2 DOMAIN-CONTAINING PROTEIN 1', 173478),
(229753, 'PTHR31748:SF0', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 173479),
(229754, 'PTHR34106:SF5', NULL, NULL, NULL, NULL, 'GLYCOSIDASE', 173480),
(229755, 'PTHR43690:SF20', NULL, NULL, NULL, NULL, 'ZINC PROTEASE PQQL-LIKE', 173481),
(229756, 'PTHR14614:SF7', NULL, NULL, NULL, NULL, 'OS05G0564100 PROTEIN', 173482),
(229757, 'PTHR15653:SF2', NULL, NULL, NULL, NULL, 'STRIATIN', 173483),
(229758, 'PTHR38926:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173484),
(229759, 'PTHR24282:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173485),
(229760, 'PTHR43483', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN HI_0806-RELATED', 173486),
(229761, 'PTHR43802:SF1', NULL, NULL, NULL, NULL, 'ZGC:101569', 173487),
(229762, 'PTHR38567', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 173488),
(229763, 'PTHR13276:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG02782', 173489),
(229764, 'PTHR23300:SF13', NULL, NULL, NULL, NULL, 'BNAA08G07570D PROTEIN', 173490),
(229765, 'PTHR12341:SF7', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE 1', 173491);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(229766, 'PTHR38036', NULL, NULL, NULL, NULL, 'UPF0250 PROTEIN YBED', 173492),
(229767, 'PTHR31677:SF163', NULL, NULL, NULL, NULL, 'BNAC02G01530D PROTEIN', 173493),
(229768, 'PTHR43795:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173494),
(229769, 'PTHR24006:SF729', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 24', 173495),
(229770, 'PTHR21014:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4,5-BISPHOSPHATE 4-PHOSPHATASE', 173496),
(229771, 'PTHR11730:SF6', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 173497),
(229772, 'PTHR47934', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN PET309, MITOCHONDRIAL', 173498),
(229773, 'PTHR33124:SF76', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IBH1-LIKE', 173499),
(229774, 'PTHR11844:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173500),
(229775, 'PTHR14312', NULL, NULL, NULL, NULL, 'CREB/ATF BZIP TRANSCRIPTION FACTOR', 173501),
(229776, 'PTHR46929:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173502),
(229777, 'PTHR27006:SF173', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21', 173503),
(229778, 'PTHR12320:SF10', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 23-RELATED', 173504),
(229779, 'PTHR48018:SF164', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 173505),
(229780, 'PTHR46001:SF5', NULL, NULL, NULL, NULL, 'T-LYMPHOMA INVASION AND METASTASIS-INDUCING PROTEIN 2', 173506),
(229781, 'PTHR23316:SF77', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', 173507),
(229782, 'PTHR31731:SF18', NULL, NULL, NULL, NULL, 'CELL DELINEATING PROTEIN, PUTATIVE, EXPRESSED-RELATED', 173508),
(229783, 'PTHR21645:SF19', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN R07B7.12', 173509),
(229784, 'PTHR10663:SF327', NULL, NULL, NULL, NULL, 'IQ MOTIF AND SEC7 DOMAIN-CONTAINING PROTEIN 1', 173510),
(229785, 'PTHR47999:SF43', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN HV1', 173511),
(229786, 'PTHR45914:SF27', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 173512),
(229787, 'PTHR45798:SF9', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL80', 173513),
(229788, 'PTHR22802:SF377', NULL, NULL, NULL, NULL, 'IMMUNITY ADHESION RECEPTOR CD209L2', 173514),
(229789, 'PTHR48021:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173515),
(229790, 'PTHR15351:SF2', NULL, NULL, NULL, NULL, 'ERLIN-1', 173516),
(229791, 'PTHR14162:SF1', NULL, NULL, NULL, NULL, 'MUCOSAL ADDRESSIN CELL ADHESION MOLECULE 1', 173517),
(229792, 'PTHR20932:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173518),
(229793, 'PTHR33021:SF13', NULL, NULL, NULL, NULL, 'OS09G0557900 PROTEIN', 173519),
(229794, 'PTHR47363', NULL, NULL, NULL, NULL, 'GLUCOKINASE', 173520),
(229795, 'PTHR22714', NULL, NULL, NULL, NULL, 'PROTEIN CBG02446-RELATED', 173521),
(229796, 'PTHR10915:SF5', NULL, NULL, NULL, NULL, 'SYNDECAN-1', 173522),
(229797, 'PTHR43586:SF4', NULL, NULL, NULL, NULL, 'ISOPENICILLIN N EPIMERASE', 173523),
(229798, 'PTHR10378:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR SEUSS', 173524),
(229799, 'PTHR35460:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173525),
(229800, 'PTHR45977:SF13', NULL, NULL, NULL, NULL, 'GB|AAF27103.1', 173526),
(229801, 'PTHR12300:SF121', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 173527),
(229802, 'PTHR31503:SF45', NULL, NULL, NULL, NULL, 'ION BINDING PROTEIN, PUTATIVE-RELATED', 173528),
(229803, 'PTHR13291:SF2', NULL, NULL, NULL, NULL, 'JOSEPHIN-2', 173529),
(229804, 'PTHR31797', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN A-RELATED', 173530),
(229805, 'PTHR24245:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173531),
(229806, 'PTHR10300:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SARAH', 173532),
(229807, 'PTHR48231', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 173533),
(229808, 'PTHR10934:SF14', NULL, NULL, NULL, NULL, 'BNAA05G31620D PROTEIN', 173534),
(229809, 'PTHR12198:SF10', NULL, NULL, NULL, NULL, 'PROSPERO HOMEOBOX 1A', 173535),
(229810, 'PTHR12951:SF3', NULL, NULL, NULL, NULL, 'PROTEIN UNC-119 HOMOLOG B', 173536);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(229811, 'PTHR11304:SF29', NULL, NULL, NULL, NULL, 'EPHRIN', 173537),
(229812, 'PTHR23338:SF32', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', 173538),
(229813, 'PTHR11783:SF9', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE FAMILY CYTOSOLIC 2B MEMBER 1', 173539),
(229814, 'PTHR46883:SF1', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 12 PROTEIN', 173540),
(229815, 'PTHR31722:SF28', NULL, NULL, NULL, NULL, 'OS09G0459200 PROTEIN', 173541),
(229816, 'PTHR34762:SF1', NULL, NULL, NULL, NULL, 'SMALL VASOHIBIN-BINDING PROTEIN', 173542),
(229817, 'PTHR32343:SF26', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 173543),
(229818, 'PTHR47808', NULL, NULL, NULL, NULL, 'INNER NUCLEAR MEMBRANE PROTEIN HEH2-RELATED', 173544),
(229819, 'PTHR12483:SF42', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 6', 173545),
(229820, 'PTHR10302:SF16', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD-LIKE PROTEIN', 173546),
(229821, 'PTHR12668:SF38', NULL, NULL, NULL, NULL, 'PROTEIN FATTY ACID EXPORT 4, CHLOROPLASTIC', 173547),
(229822, 'PTHR47967:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173548),
(229823, 'PTHR33021:SF349', NULL, NULL, NULL, NULL, 'NTEPC-LIKE', 173549),
(229824, 'PTHR37828', NULL, NULL, NULL, NULL, 'GSR2449 PROTEIN', 173550),
(229825, 'PTHR47322:SF17', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN, PROBABLY INVOLVED IN NUTRIENT BINDING-RELATED', 173551),
(229826, 'PTHR43243:SF45', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 9, CHLOROPLASTIC', 173552),
(229827, 'PTHR27009:SF225', NULL, NULL, NULL, NULL, 'BNAA04G27930D PROTEIN', 173553),
(229828, 'PTHR11839:SF16', NULL, NULL, NULL, NULL, 'GDP-MANNOSE PYROPHOSPHATASE NUDK', 173554),
(229829, 'PTHR31014:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSLATION SYSTEM COMPONENT PET127-RELATED', 173555),
(229830, 'PTHR43684', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 173556),
(229831, 'PTHR31104:SF18', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA- GLUCOSAMINYL)ASPARAGINE AMIDASE A-LIKE', 173557),
(229832, 'PTHR45614:SF82', NULL, NULL, NULL, NULL, 'OS01G0977300 PROTEIN', 173558),
(229833, 'PTHR24221:SF384', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 19', 173559),
(229834, 'PTHR21493:SF244', NULL, NULL, NULL, NULL, 'GOT1/SFT2-LIKE VESCICLE TRANSPORT PROTEIN FAMILY', 173560),
(229835, 'PTHR24230:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173561),
(229836, 'PTHR30093', NULL, NULL, NULL, NULL, 'GENERAL SECRETION PATHWAY PROTEIN G', 173562),
(229837, 'PTHR10134:SF29', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE, MITOCHONDRIAL', 173563),
(229838, 'PTHR43053:SF8', NULL, NULL, NULL, NULL, 'FI04818P', 173564),
(229839, 'PTHR45675:SF63', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 116', 173565),
(229840, 'PTHR19359:SF100', NULL, NULL, NULL, NULL, 'BNAA03G12180D PROTEIN', 173566),
(229841, 'PTHR46128:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173567),
(229842, 'PTHR12059:SF5', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L23, MITOCHONDRIAL', 173568),
(229843, 'PTHR47972:SF12', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14H', 173569),
(229844, 'PTHR31656:SF29', NULL, NULL, NULL, NULL, 'OS01G0968100 PROTEIN', 173570),
(229845, 'PTHR46041:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0019G23.8 PROTEIN', 173571),
(229846, 'PTHR35442', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 249', 173572),
(229847, 'PTHR31325:SF90', NULL, NULL, NULL, NULL, 'OS04G0149300 PROTEIN', 173573),
(229848, 'PTHR11732:SF417', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173574),
(229849, 'PTHR19136:SF83', NULL, NULL, NULL, NULL, 'ADENOSYLCOBINAMIDE-PHOSPHATE GUANYLYLTRANSFERASE', 173575),
(229850, 'PTHR35480:SF1', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST 22', 173576),
(229851, 'PTHR15268:SF4', NULL, NULL, NULL, NULL, 'BCL-2-ASSOCIATED TRANSCRIPTION FACTOR 1', 173577),
(229852, 'PTHR36001', NULL, NULL, NULL, NULL, 'CTAGE FAMILY PROTEIN-RELATED', 173578),
(229853, 'PTHR13793:SF143', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY', 173579),
(229854, 'PTHR23430:SF236', NULL, NULL, NULL, NULL, 'HISTONE H2A.2.2', 173580);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(229855, 'PTHR46128:SF197', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', 173581),
(229856, 'PTHR44591:SF12', NULL, NULL, NULL, NULL, 'CHEY SUBFAMILY', 173582),
(229857, 'PTHR33110:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173583),
(229858, 'PTHR13800:SF5', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 5', 173584),
(229859, 'PTHR11947:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173585),
(229860, 'PTHR11785:SF315', NULL, NULL, NULL, NULL, 'L-TYPE AMINO ACID TRANSPORTER 1-LIKE PROTEIN IMAA-RELATED', 173586),
(229861, 'PTHR43181:SF3', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 2,4-CYCLODIPHOSPHATE SYNTHASE', 173587),
(229862, 'PTHR34045:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173588),
(229863, 'PTHR24390:SF94', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E4F1', 173589),
(229864, 'PTHR15004:SF0', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT C, MITOCHONDRIAL', 173590),
(229865, 'PTHR33168:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173591),
(229866, 'PTHR24235:SF21', NULL, NULL, NULL, NULL, 'PROLACTIN-RELEASING HORMONE RECEPTOR', 173592),
(229867, 'PTHR32246:SF81', NULL, NULL, NULL, NULL, 'PROTEIN SRC2-LIKE', 173593),
(229868, 'PTHR10379:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBFA2T3', 173594),
(229869, 'PTHR45880:SF4', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, X-LINKED 2', 173595),
(229870, 'PTHR24381:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 559', 173596),
(229871, 'PTHR47914', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 173597),
(229872, 'PTHR43811:SF47', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 173598),
(229873, 'PTHR48078:SF6', NULL, NULL, NULL, NULL, 'LP08712P', 173599),
(229874, 'PTHR12830', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 5', 173600),
(229875, 'PTHR43744:SF6', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YESQ-RELATED', 173601),
(229876, 'PTHR45671:SF23', NULL, NULL, NULL, NULL, 'OS09G0454600 PROTEIN', 173602),
(229877, 'PTHR24343:SF204', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SIK1-RELATED', 173603),
(229878, 'PTHR21596:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173604),
(229879, 'PTHR11603:SF147', NULL, NULL, NULL, NULL, 'PILI RETRACTION PROTEIN PILT', 173605),
(229880, 'PTHR45857:SF8', NULL, NULL, NULL, NULL, 'FORMIN-HOMOLOGY AND ZINC FINGER DOMAINS PROTEIN 1', 173606),
(229881, 'PTHR47354:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RFBI', 173607),
(229882, 'PTHR46385', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 173608),
(229883, 'PTHR47232', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', 173609),
(229884, 'PTHR31851:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173610),
(229885, 'PTHR43046', NULL, NULL, NULL, NULL, 'GDP-MANNOSE MANNOSYL HYDROLASE', 173611),
(229886, 'PTHR22930:SF195', NULL, NULL, NULL, NULL, 'OS01G0186900 PROTEIN', 173612),
(229887, 'PTHR31730', NULL, NULL, NULL, NULL, 'OS01G0873900 PROTEIN', 173613),
(229888, 'PTHR10751:SF94', NULL, NULL, NULL, NULL, 'OS02G0307000 PROTEIN', 173614),
(229889, 'PTHR21533', NULL, NULL, NULL, NULL, 'LEUCINE-RICH PROTEIN', 173615),
(229890, 'PTHR15936', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G I /G S /G O  GAMMA-13 SUBUNIT', 173616),
(229891, 'PTHR11477:SF0', NULL, NULL, NULL, NULL, 'IP08861P-RELATED', 173617),
(229892, 'PTHR11977:SF78', NULL, NULL, NULL, NULL, 'ADSEVERIN', 173618),
(229893, 'PTHR34310', NULL, NULL, NULL, NULL, 'DUF427 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G02220)', 173619),
(229894, 'PTHR45841', NULL, NULL, NULL, NULL, 'MRNA TURNOVER PROTEIN 4 MRTO4', 173620),
(229895, 'PTHR47976:SF18', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 4', 173621),
(229896, 'PTHR45614:SF171', NULL, NULL, NULL, NULL, 'BNAC02G34810D PROTEIN', 173622),
(229897, 'PTHR21698:SF3', NULL, NULL, NULL, NULL, 'GEO02592P1', 173623),
(229898, 'PTHR24377:SF421', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 251', 173624);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(229899, 'PTHR31238:SF213', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 173625),
(229900, 'PTHR10766:SF133', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 173626),
(229901, 'PTHR21298', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 173627),
(229902, 'PTHR21576:SF26', NULL, NULL, NULL, NULL, 'OS03G0682100 PROTEIN', 173628),
(229903, 'PTHR10795:SF685', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.3', 173629),
(229904, 'PTHR43820:SF7', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN LIVF-RELATED', 173630),
(229905, 'PTHR20946', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 173631),
(229906, 'PTHR23262:SF207', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-7', 173632),
(229907, 'PTHR43532:SF4', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE THYMIDYLYLTRANSFERASE 2', 173633),
(229908, 'PTHR33784:SF23', NULL, NULL, NULL, NULL, 'BNAANNG41340D PROTEIN', 173634),
(229909, 'PTHR24559:SF371', NULL, NULL, NULL, NULL, 'OS12G0499932 PROTEIN', 173635),
(229910, 'PTHR32163:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 8', 173636),
(229911, 'PTHR11958:SF89', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER', 173637),
(229912, 'PTHR48065:SF1', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN CF-9 HOMOLOG', 173638),
(229913, 'PTHR21071:SF5', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLENOLPYRUVOYLGLUCOSAMINE REDUCTASE', 173639),
(229914, 'PTHR48151:SF1', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN', 173640),
(229915, 'PTHR31374:SF153', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 173641),
(229916, 'PTHR11119:SF108', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER-LIKE PROTEIN', 173642),
(229917, 'PTHR30251:SF11', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN FIMC-RELATED', 173643),
(229918, 'PTHR24241:SF125', NULL, NULL, NULL, NULL, 'PROKINETICIN RECEPTOR 2', 173644),
(229919, 'PTHR12371', NULL, NULL, NULL, NULL, 'TRANSLOCATION ASSOCIATED MEMBRANE PROTEIN', 173645),
(229920, 'PTHR11618:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173646),
(229921, 'PTHR11375:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173647),
(229922, 'PTHR23079:SF6', NULL, NULL, NULL, NULL, 'ENHANCER OF GLP-ONE (GLP-1)', 173648),
(229923, 'PTHR33021:SF177', NULL, NULL, NULL, NULL, 'PLASTOCYANIN-LIKE DOMAIN PROTEIN', 173649),
(229924, 'PTHR32018', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', 173650),
(229925, 'PTHR45652:SF1', NULL, NULL, NULL, NULL, 'SYNEMIN, INTERMEDIATE FILAMENT PROTEIN', 173651),
(229926, 'PTHR13869:SF22', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE-LIKE', 173652),
(229927, 'PTHR31953:SF42', NULL, NULL, NULL, NULL, 'OS02G0106100 PROTEIN', 173653),
(229928, 'PTHR11564', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54K PROTEIN SRP54', 173654),
(229929, 'PTHR13299:SF0', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX16', 173655),
(229930, 'PTHR10460', NULL, NULL, NULL, NULL, 'ABL INTERACTOR FAMILY MEMBER', 173656),
(229931, 'PTHR21310:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173657),
(229932, 'PTHR24637:SF328', NULL, NULL, NULL, NULL, 'COLLAGEN', 173658),
(229933, 'PTHR33033:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173659),
(229934, 'PTHR37465', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 173660),
(229935, 'PTHR15260', NULL, NULL, NULL, NULL, 'SARCOSPAN', 173661),
(229936, 'PTHR26452:SF804', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5H2', 173662),
(229937, 'PTHR22957:SF360', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 17', 173663),
(229938, 'PTHR45621:SF126', NULL, NULL, NULL, NULL, 'BNAA04G22340D PROTEIN', 173664),
(229939, 'PTHR10015:SF388', NULL, NULL, NULL, NULL, 'FLOCCULATION SUPPRESSION PROTEIN', 173665),
(229940, 'PTHR22952:SF434', NULL, NULL, NULL, NULL, 'BNAC04G52290D PROTEIN', 173666),
(229941, 'PTHR42905:SF9', NULL, NULL, NULL, NULL, 'BNACNNG47390D PROTEIN', 173667),
(229942, 'PTHR11021:SF11', NULL, NULL, NULL, NULL, 'BNAC01G36510D PROTEIN', 173668),
(229943, 'PTHR22765:SF178', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 173669);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(229944, 'PTHR11732:SF389', NULL, NULL, NULL, NULL, 'D-XYLOSE REDUCTASES (EUROFUNG)', 173670),
(229945, 'PTHR31190:SF102', NULL, NULL, NULL, NULL, 'BNACNNG09130D PROTEIN', 173671),
(229946, 'PTHR10811:SF100', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', 173672),
(229947, 'PTHR18968:SF159', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE ISOZYME 1 LARGE SUBUNIT', 173673),
(229948, 'PTHR24250:SF28', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE PROTEASE CTRL-1', 173674),
(229949, 'PTHR31790:SF330', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 173675),
(229950, 'PTHR12558', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 16,23,27', 173676),
(229951, 'PTHR22883:SF335', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 173677),
(229952, 'PTHR48022:SF60', NULL, NULL, NULL, NULL, 'TRANSPORT-RELATED PROTEIN, PUTATIVE-RELATED', 173678),
(229953, 'PTHR10972:SF155', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 2A', 173679),
(229954, 'PTHR47522:SF1', NULL, NULL, NULL, NULL, 'SALVADOR FAMILY WW DOMAIN-CONTAINING PROTEIN 1', 173680),
(229955, 'PTHR12850:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173681),
(229956, 'PTHR32091:SF20', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B1', 173682),
(229957, 'PTHR23360:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173683),
(229958, 'PTHR12930:SF8', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 173684),
(229959, 'PTHR33669:SF4', NULL, NULL, NULL, NULL, 'PROTEIN NIM1-INTERACTING 3', 173685),
(229960, 'PTHR11783:SF55', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 6B1', 173686),
(229961, 'PTHR43257:SF2', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA', 173687),
(229962, 'PTHR31009:SF88', NULL, NULL, NULL, NULL, 'SALICYLATE/BENZOATE CARBOXYL METHYLTRANSFERASE', 173688),
(229963, 'PTHR24177:SF297', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 173689),
(229964, 'PTHR11012:SF55', NULL, NULL, NULL, NULL, 'AGAP008987-PA', 173690),
(229965, 'PTHR48148', NULL, NULL, NULL, NULL, 'KERATINOCYTE PROLINE-RICH PROTEIN', 173691),
(229966, 'PTHR44042:SF25', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 173692),
(229967, 'PTHR32370:SF21', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', 173693),
(229968, 'PTHR23333:SF29', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 5', 173694),
(229969, 'PTHR13318:SF75', NULL, NULL, NULL, NULL, 'EIN3-BINDING F-BOX PROTEIN 1', 173695),
(229970, 'PTHR12045', NULL, NULL, NULL, NULL, 'ALLANTOICASE', 173696),
(229971, 'PTHR34630:SF33', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RGA3-RELATED', 173697),
(229972, 'PTHR15462:SF17', NULL, NULL, NULL, NULL, 'INACTIVE SERINE PROTEASE 35', 173698),
(229973, 'PTHR47928:SF135', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 173699),
(229974, 'PTHR13822:SF16', NULL, NULL, NULL, NULL, 'BNAA06G35640D PROTEIN', 173700),
(229975, 'PTHR46405:SF3', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 173701),
(229976, 'PTHR11857:SF43', NULL, NULL, NULL, NULL, 'GEO07581P1-RELATED', 173702),
(229977, 'PTHR23023:SF204', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', 173703),
(229978, 'PTHR33065:SF145', NULL, NULL, NULL, NULL, 'OS05G0506400 PROTEIN', 173704),
(229979, 'PTHR10168:SF264', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173705),
(229980, 'PTHR45683:SF9', NULL, NULL, NULL, NULL, 'NICOTINAMIDE ADENINE DINUCLEOTIDE TRANSPORTER 1, CHLOROPLASTIC', 173706),
(229981, 'PTHR21093', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 173707),
(229982, 'PTHR42953:SF1', NULL, NULL, NULL, NULL, 'MANGANESE ABC TRANSPORTER SUBSTRATE-BINDING LIPOPROTEIN', 173708),
(229983, 'PTHR10593', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RIO', 173709),
(229984, 'PTHR11895:SF156', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE', 173710),
(229985, 'PTHR23007:SF11', NULL, NULL, NULL, NULL, 'CBL LONG ISOFORM', 173711),
(229986, 'PTHR48061:SF9', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE FAMILY PROTEIN/LRR PROTEIN', 173712);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(229987, 'PTHR45138:SF19', NULL, NULL, NULL, NULL, 'REGULATORY COMPONENTS OF SENSORY TRANSDUCTION SYSTEM', 173713),
(229988, 'PTHR34871', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 173714),
(229989, 'PTHR22650', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN IB BETA', 173715),
(229990, 'PTHR10887:SF489', NULL, NULL, NULL, NULL, 'BNAC01G22370D PROTEIN', 173716),
(229991, 'PTHR11206:SF396', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173717),
(229992, 'PTHR37156', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 173718),
(229993, 'PTHR36312:SF12', NULL, NULL, NULL, NULL, 'BNACNNG31580D PROTEIN', 173719),
(229994, 'PTHR10489:SF735', NULL, NULL, NULL, NULL, 'ATYPICAL CHEMOKINE RECEPTOR 2', 173720),
(229995, 'PTHR10891:SF826', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173721),
(229996, 'PTHR48047:SF91', NULL, NULL, NULL, NULL, 'OS04G0271800 PROTEIN', 173722),
(229997, 'PTHR11709:SF249', NULL, NULL, NULL, NULL, 'LACCASE-RELATED', 173723),
(229998, 'PTHR10501:SF49', NULL, NULL, NULL, NULL, 'CELL WALL INTEGRITY PROTEIN SCW1', 173724),
(229999, 'PTHR12120:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173725),
(230000, 'PTHR13936:SF2', NULL, NULL, NULL, NULL, 'PROFILIN-3', 173726),
(230001, 'PTHR43110:SF1', NULL, NULL, NULL, NULL, 'THIOL PEROXIDASE', 173727),
(230002, 'PTHR13773:SF21', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', 173728),
(230003, 'PTHR13480:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HAKAI', 173729),
(230004, 'PTHR31235:SF60', NULL, NULL, NULL, NULL, 'PEROXIDASE', 173730),
(230005, 'PTHR43004:SF18', NULL, NULL, NULL, NULL, '2-MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11480)-RELATED', 173731),
(230006, 'PTHR47389:SF4', NULL, NULL, NULL, NULL, 'OS09G0436400 PROTEIN', 173732),
(230007, 'PTHR42938:SF19', NULL, NULL, NULL, NULL, 'OS08G0151600 PROTEIN', 173733),
(230008, 'PTHR48002:SF144', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 173734),
(230009, 'PTHR43725:SF24', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL UDP-GLUCOSE 4-EPIMERASE AND UDP-XYLOSE 4-EPIMERASE 3', 173735),
(230010, 'PTHR35555:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173736),
(230011, 'PTHR36748:SF3', NULL, NULL, NULL, NULL, 'MENTAL RETARDATION GTPASE ACTIVATING PROTEIN', 173737),
(230012, 'PTHR10695:SF51', NULL, NULL, NULL, NULL, 'BNAUNNG03560D PROTEIN', 173738),
(230013, 'PTHR46836:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173739),
(230014, 'PTHR11523:SF26', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-2', 173740),
(230015, 'PTHR45935:SF15', NULL, NULL, NULL, NULL, 'SCAN DOMAIN-CONTAINING PROTEIN 3', 173741),
(230016, 'PTHR33444', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.12-RELATED', 173742),
(230017, 'PTHR33509', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENIS ABUNDANT PROTEIN 2-RELATED', 173743),
(230018, 'PTHR10684:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 1', 173744),
(230019, 'PTHR11886:SF95', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 173745),
(230020, 'PTHR23428:SF250', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-N', 173746),
(230021, 'PTHR45718:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GLIS1', 173747),
(230022, 'PTHR23266:SF316', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-13', 173748),
(230023, 'PTHR35321:SF1', NULL, NULL, NULL, NULL, 'OS02G0753200 PROTEIN', 173749),
(230024, 'PTHR14927', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 173750),
(230025, 'PTHR34938:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YELLOW LEAF 1, CHOLOROPLASTIC', 173751),
(230026, 'PTHR10970', NULL, NULL, NULL, NULL, 'CLUSTERIN', 173752),
(230027, 'PTHR42883:SF2', NULL, NULL, NULL, NULL, 'ZGC:136439', 173753),
(230028, 'PTHR27006:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173754),
(230029, 'PTHR46863:SF4', NULL, NULL, NULL, NULL, 'LYSM DOMAIN RECEPTOR-LIKE KINASE 3', 173755),
(230030, 'PTHR10868:SF1', NULL, NULL, NULL, NULL, 'SIGMA NON-OPIOID INTRACELLULAR RECEPTOR 1', 173756),
(230031, 'PTHR30053:SF12', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR P (EF-P) FAMILY PROTEIN', 173757),
(230032, 'PTHR42709:SF4', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YQAA', 173758);
INSERT INTO "PUBLIC"."MODEL" VALUES
(230033, 'PTHR44094:SF15', NULL, NULL, NULL, NULL, 'BNAA01G05380D PROTEIN', 173759),
(230034, 'PTHR46192', NULL, NULL, NULL, NULL, 'BROAD-RANGE ACID PHOSPHATASE DET1', 173760),
(230035, 'PTHR24377:SF645', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173761),
(230036, 'PTHR37976', NULL, NULL, NULL, NULL, 'PROTEIN CBG16927', 173762),
(230037, 'PTHR11629:SF105', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', 173763),
(230038, 'PTHR12161:SF41', NULL, NULL, NULL, NULL, 'OS02G0159200 PROTEIN', 173764),
(230039, 'PTHR36886:SF11', NULL, NULL, NULL, NULL, 'BNAC06G02290D PROTEIN', 173765),
(230040, 'PTHR14269', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--GLYCEROL-3-PHOSPHATE 3-PHOSPHATIDYLTRANSFERASE-RELATED', 173766),
(230041, 'PTHR11134:SF1', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT BETA', 173767),
(230042, 'PTHR26452:SF189', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 491', 173768),
(230043, 'PTHR13914:SF25', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE', 173769),
(230044, 'PTHR39221', NULL, NULL, NULL, NULL, 'CHROMOSOME 7 OPEN READING FRAME 61', 173770),
(230045, 'PTHR14647:SF57', NULL, NULL, NULL, NULL, 'GALACTOSE-3-O-SULFOTRANSFERASE 4', 173771),
(230046, 'PTHR11627:SF3', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE C', 173772),
(230047, 'PTHR39648:SF1', NULL, NULL, NULL, NULL, '6-HYDROXYMETHYL-7,8-DIHYDROPTERIN PYROPHOSPHOKINASE', 173773),
(230048, 'PTHR15057:SF2', NULL, NULL, NULL, NULL, 'HISTATIN-1', 173774),
(230049, 'PTHR14155:SF544', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 173775),
(230050, 'PTHR47578', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CDSP32, CHLOROPLASTIC', 173776),
(230051, 'PTHR46056:SF4', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', 173777),
(230052, 'PTHR45856:SF12', NULL, NULL, NULL, NULL, 'LIPASE-LIKE', 173778),
(230053, 'PTHR43711:SF19', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YXDK', 173779),
(230054, 'PTHR10554:SF1', NULL, NULL, NULL, NULL, 'FI16515P1', 173780),
(230055, 'PTHR20934:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', 173781),
(230056, 'PTHR31376:SF64', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 11-RELATED', 173782),
(230057, 'PTHR13806:SF45', NULL, NULL, NULL, NULL, 'BNAC03G49410D PROTEIN', 173783),
(230058, 'PTHR19325:SF533', NULL, NULL, NULL, NULL, 'SELECTIN P', 173784),
(230059, 'PTHR23042', NULL, NULL, NULL, NULL, 'CIRCADIAN PROTEIN CLOCK/ARNT/BMAL/PAS', 173785),
(230060, 'PTHR32212:SF369', NULL, NULL, NULL, NULL, 'BNAA02G08640D PROTEIN', 173786),
(230061, 'PTHR46254:SF5', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP AT-HOOK 2', 173787),
(230062, 'PTHR24057:SF40', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE DELTA-RELATED', 173788),
(230063, 'PTHR31234:SF5', NULL, NULL, NULL, NULL, 'OS07G0206800 PROTEIN', 173789),
(230064, 'PTHR31589:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173790),
(230065, 'PTHR33305:SF23', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 3 PROTEIN', 173791),
(230066, 'PTHR21447:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173792),
(230067, 'PTHR22789:SF9', NULL, NULL, NULL, NULL, 'L-RIBULOSE-5-PHOSPHATE 4-EPIMERASE ULAF', 173793),
(230068, 'PTHR42947:SF1', NULL, NULL, NULL, NULL, 'COB--COM HETERODISULFIDE REDUCTASE SUBUNIT B 1', 173794),
(230069, 'PTHR11430:SF71', NULL, NULL, NULL, NULL, 'EPIDIDYMAL-SPECIFIC LIPOCALIN-5', 173795),
(230070, 'PTHR31373:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173796),
(230071, 'PTHR45786:SF25', NULL, NULL, NULL, NULL, 'BNAC02G29620D PROTEIN', 173797),
(230072, 'PTHR47998:SF21', NULL, NULL, NULL, NULL, 'R2R3 MYB TRANSCRIPTION FACTOR', 173798),
(230073, 'PTHR47956:SF14', NULL, NULL, NULL, NULL, 'OS04G0480700 PROTEIN', 173799),
(230074, 'PTHR31604:SF5', NULL, NULL, NULL, NULL, 'OS06G0712600 PROTEIN', 173800),
(230075, 'PTHR11566:SF53', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED GTP-BINDING PROTEIN MX1', 173801),
(230076, 'PTHR43490:SF109', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE [NADPH] 1-LIKE', 173802),
(230077, 'PTHR45769:SF2', NULL, NULL, NULL, NULL, 'ADENOSINE KINASE A', 173803);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(230078, 'PTHR16254:SF22', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER-RELATED', 173804),
(230079, 'PTHR19051:SF27', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 13-1', 173805),
(230080, 'PTHR11987:SF29', NULL, NULL, NULL, NULL, 'ALPHA-2,8-SIALYLTRANSFERASE 8F', 173806),
(230081, 'PTHR11947:SF40', NULL, NULL, NULL, NULL, 'DEHYDROGENASE (LIPOAMIDE) KINASE, PUTATIVE-RELATED', 173807),
(230082, 'PTHR34572', NULL, NULL, NULL, NULL, 'GOLGIN FAMILY A PROTEIN', 173808),
(230083, 'PTHR22826:SF117', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 25', 173809),
(230084, 'PTHR11216:SF127', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 1', 173810),
(230085, 'PTHR34847:SF1', NULL, NULL, NULL, NULL, 'NODULATION PROTEIN U', 173811),
(230086, 'PTHR31992:SF149', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF4.7', 173812),
(230087, 'PTHR46162:SF46', NULL, NULL, NULL, NULL, 'BNAA05G18690D PROTEIN', 173813),
(230088, 'PTHR48017:SF96', NULL, NULL, NULL, NULL, 'OS06G0228800 PROTEIN', 173814),
(230089, 'PTHR21539:SF0', NULL, NULL, NULL, NULL, 'SAGA-ASSOCIATED FACTOR 29', 173815),
(230090, 'PTHR31194:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173816),
(230091, 'PTHR43029:SF30', NULL, NULL, NULL, NULL, 'BNACNNG62050D PROTEIN', 173817),
(230092, 'PTHR17045', NULL, NULL, NULL, NULL, 'MELANOCYTE SPECIFIC GENE RELATED  CITED', 173818),
(230093, 'PTHR31533:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173819),
(230094, 'PTHR10668', NULL, NULL, NULL, NULL, 'PHYTOENE DEHYDROGENASE', 173820),
(230095, 'PTHR46021:SF2', NULL, NULL, NULL, NULL, 'ARF-GAP WITH DUAL PH DOMAIN-CONTAINING PROTEIN 1-LIKE PROTEIN', 173821),
(230096, 'PTHR31989:SF346', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 68-LIKE', 173822),
(230097, 'PTHR46279:SF8', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL69-RELATED', 173823),
(230098, 'PTHR12560:SF11', NULL, NULL, NULL, NULL, 'SPHINGOSINE N-ACYLTRANSFERASE LAC1-RELATED', 173824),
(230099, 'PTHR12902:SF6', NULL, NULL, NULL, NULL, 'WISKOTT-ALDRICH SYNDROME PROTEIN FAMILY MEMBER 2', 173825),
(230100, 'PTHR10937:SF13', NULL, NULL, NULL, NULL, 'GLUTAMINE--FRUCTOSE-6-PHOSPHATE AMINOTRANSFERASE [ISOMERIZING] 2-LIKE', 173826),
(230101, 'PTHR34114:SF19', NULL, NULL, NULL, NULL, 'BNAA02G08570D PROTEIN', 173827),
(230102, 'PTHR24023:SF1026', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', 173828),
(230103, 'PTHR47972:SF5', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIFC3', 173829),
(230104, 'PTHR11654:SF458', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.11-LIKE', 173830),
(230105, 'PTHR43539:SF4', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT PYRIDINE NUCLEOTIDE-DISULPHIDE OXIDOREDUCTASE', 173831),
(230106, 'PTHR31669:SF40', NULL, NULL, NULL, NULL, 'FAR1 DNA BINDING DOMAIN, ZINC FINGER, SWIM-TYPE, MULE TRANSPOSASE DOMAIN, FHY3/FAR1 FAMILY-RELATED', 173832),
(230107, 'PTHR30505', NULL, NULL, NULL, NULL, 'FRUCTOSE-LIKE PERMEASE', 173833),
(230108, 'PTHR42762:SF1', NULL, NULL, NULL, NULL, 'BIOTIN SYNTHASE-RELATED PROTEIN, RADICAL SAM SUPERFAMILY', 173834),
(230109, 'PTHR24050', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 173835),
(230110, 'PTHR48019:SF11', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 4', 173836),
(230111, 'PTHR13264:SF6', NULL, NULL, NULL, NULL, 'OS06G0711200 PROTEIN', 173837),
(230112, 'PTHR12299:SF33', NULL, NULL, NULL, NULL, 'OS05G0589600 PROTEIN', 173838),
(230113, 'PTHR24388:SF71', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 38', 173839),
(230114, 'PTHR12011:SF348', NULL, NULL, NULL, NULL, 'CD97 ANTIGEN', 173840),
(230115, 'PTHR33699', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 173841),
(230116, 'PTHR10799:SF983', NULL, NULL, NULL, NULL, 'SWI/SNF NUCLEOSOME REMODELING COMPLEX COMPONENT', 173842),
(230117, 'PTHR31490:SF47', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-LIKE', 173843),
(230118, 'PTHR15581', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN R', 173844),
(230119, 'PTHR10335:SF18', NULL, NULL, NULL, NULL, 'BNAA02G10840D PROTEIN', 173845),
(230120, 'PTHR31989:SF359', NULL, NULL, NULL, NULL, 'BNAA02G36760D PROTEIN', 173846);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(230121, 'PTHR16166:SF130', NULL, NULL, NULL, NULL, 'PROTEIN SORTING-ASSOCIATED PROTEIN, PUTATIVE (DUF1162)-RELATED', 173847),
(230122, 'PTHR38792', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 173848),
(230123, 'PTHR31929:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173849),
(230124, 'PTHR46413:SF18', NULL, NULL, NULL, NULL, 'OS09G0549600 PROTEIN', 173850),
(230125, 'PTHR24068:SF226', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-23 KDA-LIKE', 173851),
(230126, 'PTHR10795:SF669', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 173852),
(230127, 'PTHR33941:SF13', NULL, NULL, NULL, NULL, 'CARBON DIOXIDE-CONCENTRATING MECHANISM PROTEIN CCMK HOMOLOG 4', 173853),
(230128, 'PTHR33207:SF94', NULL, NULL, NULL, NULL, 'OS09G0341600 PROTEIN', 173854),
(230129, 'PTHR23122:SF69', NULL, NULL, NULL, NULL, 'FI17352P1', 173855),
(230130, 'PTHR37836:SF2', NULL, NULL, NULL, NULL, 'LMO1036 PROTEIN', 173856),
(230131, 'PTHR47961:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE HFM1-RELATED', 173857),
(230132, 'PTHR21749:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12211', 173858),
(230133, 'PTHR22803:SF126', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING PROTEIN 161', 173859),
(230134, 'PTHR31451:SF48', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 5', 173860),
(230135, 'PTHR10799:SF961', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173861),
(230136, 'PTHR31048:SF88', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', 173862),
(230137, 'PTHR40621:SF7', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR HAPX', 173863),
(230138, 'PTHR46169', NULL, NULL, NULL, NULL, 'DNA REPLICATION-RELATED ELEMENT FACTOR, ISOFORM A', 173864),
(230139, 'PTHR47928:SF32', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX PROTEIN, PUTATIVE-RELATED', 173865),
(230140, 'PTHR12620:SF45', NULL, NULL, NULL, NULL, 'BNAA06G23240D PROTEIN', 173866),
(230141, 'PTHR31062:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 16 PROTEIN, EXPRESSED', 173867),
(230142, 'PTHR33305:SF27', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 1 PROTEIN', 173868),
(230143, 'PTHR24296:SF133', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', 173869),
(230144, 'PTHR24377:SF889', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 774', 173870),
(230145, 'PTHR45857:SF5', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 2', 173871),
(230146, 'PTHR24343:SF413', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 173872),
(230147, 'PTHR43507:SF14', NULL, NULL, NULL, NULL, 'NADH-PLASTOQUINONE OXIDOREDUCTASE SUBUNIT', 173873),
(230148, 'PTHR11945:SF610', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL61', 173874),
(230149, 'PTHR13146', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 173875),
(230150, 'PTHR33286:SF41', NULL, NULL, NULL, NULL, 'PROTEASE INHIBITOR/SEED STORAGE/LIPID TRANSFER FAMILY PROTEIN', 173876),
(230151, 'PTHR31374:SF253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173877),
(230152, 'PTHR46219:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG24922', 173878),
(230153, 'PTHR45868:SF51', NULL, NULL, NULL, NULL, 'HEAVY-METAL-ASSOCIATED DOMAIN PROTEIN', 173879),
(230154, 'PTHR31602:SF71', NULL, NULL, NULL, NULL, 'WRC DOMAIN, GLUTAMINE-LEUCINE-GLUTAMINE, QLQ, GROWTH-REGULATING FACTOR-RELATED', 173880),
(230155, 'PTHR10173:SF37', NULL, NULL, NULL, NULL, 'METHIONINE-R-SULFOXIDE REDUCTASE B2, MITOCHONDRIAL', 173881),
(230156, 'PTHR23211:SF0', NULL, NULL, NULL, NULL, 'TRANS-GOLGI NETWORK INTEGRAL MEMBRANE PROTEIN 2', 173882),
(230157, 'PTHR33469:SF26', NULL, NULL, NULL, NULL, 'BNAC04G56730D PROTEIN', 173883),
(230158, 'PTHR33600', NULL, NULL, NULL, NULL, 'PLASTID DIVISION PROTEIN PDV2', 173884),
(230159, 'PTHR24221:SF529', NULL, NULL, NULL, NULL, 'BNAC04G06010D PROTEIN', 173885),
(230160, 'PTHR46610:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173886),
(230161, 'PTHR41394:SF5', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MGTE', 173887),
(230162, 'PTHR43706:SF3', NULL, NULL, NULL, NULL, 'EXTERNAL ALTERNATIVE NAD(P)H-UBIQUINONE OXIDOREDUCTASE B2, MITOCHONDRIAL-RELATED', 173888);
INSERT INTO "PUBLIC"."MODEL" VALUES
(230163, 'PTHR22589:SF48', NULL, NULL, NULL, NULL, 'CARNITINE O-ACETYLTRANSFERASE YAT2', 173889),
(230164, 'PTHR33962', NULL, NULL, NULL, NULL, 'RECQ-MEDIATED GENOME INSTABILITY PROTEIN 2 RMI2', 173890),
(230165, 'PTHR47636', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RCO1', 173891),
(230166, 'PTHR10194:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173892),
(230167, 'PTHR14155:SF543', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173893),
(230168, 'PTHR31791:SF59', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 173894),
(230169, 'PTHR48105:SF5', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE-RELATED', 173895),
(230170, 'PTHR22298:SF126', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 2', 173896),
(230171, 'PTHR46158:SF7', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 173897),
(230172, 'PTHR10529:SF338', NULL, NULL, NULL, NULL, 'OS05G0543100 PROTEIN', 173898),
(230173, 'PTHR13288', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 45 SPF45', 173899),
(230174, 'PTHR24416:SF550', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR HOMOLOG 1-RELATED', 173900),
(230175, 'PTHR24177:SF261', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173901),
(230176, 'PTHR16038:SF4', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 74', 173902),
(230177, 'PTHR12893:SF1', NULL, NULL, NULL, NULL, 'GOLGI REASSEMBLY-STACKING PROTEIN 2', 173903),
(230178, 'PTHR42743:SF4', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE-RELATED', 173904),
(230179, 'PTHR33388:SF22', NULL, NULL, NULL, NULL, 'PROTEIN SPEAR3-LIKE', 173905),
(230180, 'PTHR35503', NULL, NULL, NULL, NULL, 'OSJNBA0006M15.15 PROTEIN', 173906),
(230181, 'PTHR24255:SF22', NULL, NULL, NULL, NULL, 'ANIONIC TRYPSIN-2-LIKE ISOFORM X4', 173907),
(230182, 'PTHR24253:SF66', NULL, NULL, NULL, NULL, 'SERINE PROTEINASE STUBBLE', 173908),
(230183, 'PTHR47186', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 57', 173909),
(230184, 'PTHR35684:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173910),
(230185, 'PTHR40062:SF1', NULL, NULL, NULL, NULL, 'GTP-SENSING TRANSCRIPTIONAL PLEIOTROPIC REPRESSOR CODY', 173911),
(230186, 'PTHR37076', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-79 SPECIFIC-LIKE-RELATED', 173912),
(230187, 'PTHR10353:SF283', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 12', 173913),
(230188, 'PTHR16119:SF21', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 144 HOMOLOG B', 173914),
(230189, 'PTHR10394:SF25', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', 173915),
(230190, 'PTHR23348', NULL, NULL, NULL, NULL, 'PERIAXIN/AHNAK', 173916),
(230191, 'PTHR12775:SF0', NULL, NULL, NULL, NULL, 'REPLICATION TERMINATION FACTOR 2', 173917),
(230192, 'PTHR10809:SF6', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN-ASSOCIATED PROTEIN A', 173918),
(230193, 'PTHR16517:SF110', NULL, NULL, NULL, NULL, 'TUBBY PROTEIN HOMOLOG', 173919),
(230194, 'PTHR48025:SF8', NULL, NULL, NULL, NULL, 'RIBONUCLEOPROTEIN', 173920),
(230195, 'PTHR13351:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173921),
(230196, 'PTHR45959:SF2', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 173922),
(230197, 'PTHR43235:SF5', NULL, NULL, NULL, NULL, 'PROTEIN NTPR-LIKE', 173923),
(230198, 'PTHR13511', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 173924),
(230199, 'PTHR12436:SF35', NULL, NULL, NULL, NULL, 'BNAA05G31040D PROTEIN', 173925),
(230200, 'PTHR10835:SF20', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE 4', 173926),
(230201, 'PTHR16058', NULL, NULL, NULL, NULL, 'DOUBLE ZINC RIBBON AND ANKYRIN REPEAT-CONTAINING PROTEIN 1', 173927),
(230202, 'PTHR47993:SF38', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 173928),
(230203, 'PTHR24153:SF0', NULL, NULL, NULL, NULL, 'ESPIN-LIKE PROTEIN', 173929),
(230204, 'PTHR31731:SF118', NULL, NULL, NULL, NULL, 'OS10G0178000 PROTEIN', 173930),
(230205, 'PTHR22957:SF300', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 15', 173931),
(230206, 'PTHR11046:SF16', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 173932);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(230207, 'PTHR31471:SF5', NULL, NULL, NULL, NULL, 'GB|AAD39278.1', 173933),
(230208, 'PTHR31896:SF48', NULL, NULL, NULL, NULL, 'BNAA09G06710D PROTEIN', 173934),
(230209, 'PTHR42775:SF1', NULL, NULL, NULL, NULL, 'PERMEASE RV2963-RELATED', 173935),
(230210, 'PTHR43039:SF19', NULL, NULL, NULL, NULL, 'FACTOR SIGB REGULATION PROTEIN RSBQ, PUTATIVE-RELATED', 173936),
(230211, 'PTHR47965:SF72', NULL, NULL, NULL, NULL, 'BNAC09G38520D PROTEIN', 173937),
(230212, 'PTHR24223:SF398', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MRP-2', 173938),
(230213, 'PTHR32227:SF218', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE', 173939),
(230214, 'PTHR48047:SF72', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 173940),
(230215, 'PTHR13844:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR SWI/SNF-BAF60B FAMILY-RELATED', 173941),
(230216, 'PTHR47714:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING CRS1 / YHBY (CRM) DOMAIN PROTEIN', 173942),
(230217, 'PTHR22765:SF324', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 173943),
(230218, 'PTHR43330:SF1', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 1B, CHLOROPLASTIC', 173944),
(230219, 'PTHR22925:SF39', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14190)-RELATED', 173945),
(230220, 'PTHR30367:SF13', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE EFFLUX PUMP-RELATED', 173946),
(230221, 'PTHR22950:SF658', NULL, NULL, NULL, NULL, 'BNAA09G35680D PROTEIN', 173947),
(230222, 'PTHR13778:SF49', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 173948),
(230223, 'PTHR38926:SF38', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 173949),
(230224, 'PTHR25466:SF3', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH 1 LIGAND 1', 173950),
(230225, 'PTHR37787', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT KXD1', 173951),
(230226, 'PTHR31168:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173952),
(230227, 'PTHR43619', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE YKTD-RELATED', 173953),
(230228, 'PTHR33156:SF44', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 173954),
(230229, 'PTHR12982:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173955),
(230230, 'PTHR40031', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', 173956),
(230231, 'PTHR45752:SF13', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 58', 173957),
(230232, 'PTHR11002:SF57', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 173958),
(230233, 'PTHR13844:SF59', NULL, NULL, NULL, NULL, 'UPSTREAM ACTIVATION FACTOR SUBUNIT UAF30-LIKE', 173959),
(230234, 'PTHR47760:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG22705', 173960),
(230235, 'PTHR11306:SF53', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL/PHOSPHATIDYLINOSITOL TRANSFER PROTEIN DDB_G0282179-RELATED', 173961),
(230236, 'PTHR10334:SF436', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1B-LIKE', 173962),
(230237, 'PTHR10015:SF295', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-3-LIKE', 173963),
(230238, 'PTHR15298:SF20', NULL, NULL, NULL, NULL, 'GLYCINE N-ACYLTRANSFERASE-LIKE PROTEIN', 173964),
(230239, 'PTHR33109:SF73', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN', 173965),
(230240, 'PTHR33172:SF41', NULL, NULL, NULL, NULL, 'OS06G0698748 PROTEIN', 173966),
(230241, 'PTHR45740:SF6', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP12', 173967),
(230242, 'PTHR37750', NULL, NULL, NULL, NULL, 'COX19-LIKE CHCH FAMILY PROTEIN', 173968),
(230243, 'PTHR10335:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173969),
(230244, 'PTHR46277:SF7', NULL, NULL, NULL, NULL, 'SEC14 CYTOSOLIC FACTOR-LIKE', 173970),
(230245, 'PTHR23430:SF61', NULL, NULL, NULL, NULL, 'HISTONE H2A.V3', 173971),
(230246, 'PTHR10989:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG16421', 173972),
(230247, 'PTHR31375:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173973),
(230248, 'PTHR24377:SF660', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 214', 173974),
(230249, 'PTHR32133:SF317', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173975);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(230250, 'PTHR13850:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173976),
(230251, 'PTHR12670:SF18', NULL, NULL, NULL, NULL, 'NEUTRAL CERAMIDASE', 173977),
(230252, 'PTHR31391:SF59', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS02G0598200-LIKE', 173978),
(230253, 'PTHR31636:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173979),
(230254, 'PTHR21567:SF74', NULL, NULL, NULL, NULL, 'CLIP-ASSOCIATED PROTEIN-LIKE ISOFORM X1', 173980),
(230255, 'PTHR11639:SF29', NULL, NULL, NULL, NULL, 'PROTEIN S100-A15A', 173981),
(230256, 'PTHR31549:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173982),
(230257, 'PTHR44329:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173983),
(230258, 'PTHR10621:SF43', NULL, NULL, NULL, NULL, 'BNAC09G00350D PROTEIN', 173984),
(230259, 'PTHR24637:SF345', NULL, NULL, NULL, NULL, 'COLLAGEN', 173985),
(230260, 'PTHR43758:SF5', NULL, NULL, NULL, NULL, 'MUTT-FAMILY PROTEIN-RELATED', 173986),
(230261, 'PTHR43895:SF108', NULL, NULL, NULL, NULL, 'BNAA04G17470D PROTEIN', 173987),
(230262, 'PTHR38111:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173988),
(230263, 'PTHR35883:SF1', NULL, NULL, NULL, NULL, 'CYCLIC AMP-INDUCIBLE PROTEIN BP74-RELATED', 173989),
(230264, 'PTHR11404:SF37', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE', 173990),
(230265, 'PTHR14150:SF14', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 14 HOMOLOG A', 173991),
(230266, 'PTHR11746:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173992),
(230267, 'PTHR24366:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 173993),
(230268, 'PTHR10460:SF37', NULL, NULL, NULL, NULL, 'PROTEIN ABIL3-RELATED', 173994),
(230269, 'PTHR11937:SF469', NULL, NULL, NULL, NULL, 'ACTIN-11', 173995),
(230270, 'PTHR46362:SF1', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 5', 173996),
(230271, 'PTHR15046:SF2', NULL, NULL, NULL, NULL, 'BETA-1,4 N-ACETYLGALACTOSAMINYLTRANSFERASE 2', 173997),
(230272, 'PTHR23213:SF269', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 5', 173998),
(230273, 'PTHR10269', NULL, NULL, NULL, NULL, 'GDNF RECEPTOR ALPHA', 173999),
(230274, 'PTHR45724:SF36', NULL, NULL, NULL, NULL, 'BNAA05G09450D PROTEIN', 174000),
(230275, 'PTHR43405', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 174001),
(230276, 'PTHR19241:SF623', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', 174002),
(230277, 'PTHR24298:SF723', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71C3', 174003),
(230278, 'PTHR30173:SF36', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGI-RELATED', 174004),
(230279, 'PTHR22898:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE C06E1.7-RELATED', 174005),
(230280, 'PTHR11214:SF308', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 174006),
(230281, 'PTHR32341:SF4', NULL, NULL, NULL, NULL, 'INTERFERON-GAMMA-INDUCIBLE GTPASE IFGGA3 PROTEIN-RELATED', 174007),
(230282, 'PTHR33346:SF11', NULL, NULL, NULL, NULL, 'DEHYDRIN COR47-RELATED', 174008),
(230283, 'PTHR10209:SF733', NULL, NULL, NULL, NULL, 'GIBBERELLIN-44 DIOXYGENASE-RELATED', 174009),
(230284, 'PTHR46387:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174010),
(230285, 'PTHR41813', NULL, NULL, NULL, NULL, 'REGULATOR PAB1642, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11955)-RELATED', 174011),
(230286, 'PTHR18884:SF66', NULL, NULL, NULL, NULL, 'SEPTIN-12', 174012),
(230287, 'PTHR21139', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE', 174013),
(230288, 'PTHR34067:SF3', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 13', 174014),
(230289, 'PTHR23155:SF759', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPP13-LIKE PROTEIN 4', 174015),
(230290, 'PTHR47151:SF1', NULL, NULL, NULL, NULL, 'LEU/ILE/VAL-BINDING PROTEIN', 174016),
(230291, 'PTHR31639:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174017),
(230292, 'PTHR33272:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG04801', 174018),
(230293, 'PTHR31722:SF59', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN DDB_G0274915-LIKE', 174019),
(230294, 'PTHR21447:SF9', NULL, NULL, NULL, NULL, 'INFECTION RESPONSE PROTEIN', 174020);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(230295, 'PTHR31719:SF94', NULL, NULL, NULL, NULL, 'PROTEIN ATAF2', 174021),
(230296, 'PTHR46480', NULL, NULL, NULL, NULL, 'F20B24.22', 174022),
(230297, 'PTHR46364:SF7', NULL, NULL, NULL, NULL, 'CHROMATIN REMODELING PROTEIN SHL', 174023),
(230298, 'PTHR11471:SF27', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 10', 174024),
(230299, 'PTHR31388:SF212', NULL, NULL, NULL, NULL, 'SUBERIZATION-ASSOCIATED ANIONIC PEROXIDASE 1', 174025),
(230300, 'PTHR46371:SF29', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY', 174026),
(230301, 'PTHR14167:SF68', NULL, NULL, NULL, NULL, 'ENDOPHILIN-B2', 174027),
(230302, 'PTHR11909:SF72', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SPE-6', 174028),
(230303, 'PTHR23310:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174029),
(230304, 'PTHR43386', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN APPC', 174030),
(230305, 'PTHR11929:SF211', NULL, NULL, NULL, NULL, 'ALPHA-1,3-FUCOSYLTRANSFERASE', 174031),
(230306, 'PTHR43195:SF4', NULL, NULL, NULL, NULL, 'TRANSKETOLASE-LIKE PROTEIN 2', 174032),
(230307, 'PTHR41152', NULL, NULL, NULL, NULL, 'AT26438P-RELATED', 174033),
(230308, 'PTHR12601:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174034),
(230309, 'PTHR10947', NULL, NULL, NULL, NULL, 'PHENYLALANYL-TRNA SYNTHETASE BETA CHAIN AND LEUCINE-RICH REPEAT-CONTAINING PROTEIN 47', 174035),
(230310, 'PTHR43078:SF31', NULL, NULL, NULL, NULL, 'BNAA02G07140D PROTEIN', 174036),
(230311, 'PTHR11177:SF332', NULL, NULL, NULL, NULL, 'CHITINASE, ACIDIC.1', 174037),
(230312, 'PTHR46054:SF3', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT PROTEIN STAUFEN', 174038),
(230313, 'PTHR43420:SF35', NULL, NULL, NULL, NULL, 'SLR1501 PROTEIN', 174039),
(230314, 'PTHR15315:SF87', NULL, NULL, NULL, NULL, 'BNAC05G08980D PROTEIN', 174040),
(230315, 'PTHR47992:SF107', NULL, NULL, NULL, NULL, 'BNAA03G47830D PROTEIN', 174041),
(230316, 'PTHR19308:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 174042),
(230317, 'PTHR34553:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174043),
(230318, 'PTHR46184', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IXB-LIKE PROTEIN', 174044),
(230319, 'PTHR23024:SF512', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174045),
(230320, 'PTHR34858', NULL, NULL, NULL, NULL, 'CYSO-CYSTEINE PEPTIDASE', 174046),
(230321, 'PTHR31218:SF318', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 174047),
(230322, 'PTHR44218:SF11', NULL, NULL, NULL, NULL, 'PROTEIN SPA1-RELATED 4', 174048),
(230323, 'PTHR47095', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 222', 174049),
(230324, 'PTHR15681', NULL, NULL, NULL, NULL, 'MAD2L1-BINDING PROTEIN', 174050),
(230325, 'PTHR12447:SF4', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 13A', 174051),
(230326, 'PTHR38418', NULL, NULL, NULL, NULL, 'SUGAR ISOMERASE, KPSF/GUTQ (AFU_ORTHOLOGUE AFUA_6G08860)', 174052),
(230327, 'PTHR48124', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 174053),
(230328, 'PTHR47965:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174054),
(230329, 'PTHR27005:SF76', NULL, NULL, NULL, NULL, 'OS02G0633066 PROTEIN', 174055),
(230330, 'PTHR24223:SF421', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174056),
(230331, 'PTHR41695', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN BRANCHING ENZYME RV3031-RELATED', 174057),
(230332, 'PTHR45628:SF16', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT N-TYPE CALCIUM CHANNEL SUBUNIT ALPHA', 174058),
(230333, 'PTHR33231:SF3', NULL, NULL, NULL, NULL, 'RIBOSOME-ASSOCIATED INHIBITOR A', 174059),
(230334, 'PTHR11662:SF336', NULL, NULL, NULL, NULL, 'LP19554P', 174060),
(230335, 'PTHR46086', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 174061),
(230336, 'PTHR36407:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR-ASSOCIATED PROTEIN 2', 174062),
(230337, 'PTHR30590:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 174063),
(230338, 'PTHR12066:SF0', NULL, NULL, NULL, NULL, 'TELOMERASE REVERSE TRANSCRIPTASE', 174064),
(230339, 'PTHR34145:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174065); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(230340, 'PTHR10640', NULL, NULL, NULL, NULL, 'METHYLTHIORIBULOSE-1-PHOSPHATE DEHYDRATASE', 174066),
(230341, 'PTHR11654:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174067),
(230342, 'PTHR43572:SF4', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPD, CHLOROPLASTIC', 174068),
(230343, 'PTHR22943:SF245', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 174069),
(230344, 'PTHR22655', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 174070),
(230345, 'PTHR21847:SF1', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 10', 174071),
(230346, 'PTHR11941:SF101', NULL, NULL, NULL, NULL, 'CARNITINYL-COA DEHYDRATASE', 174072),
(230347, 'PTHR14383:SF5', NULL, NULL, NULL, NULL, 'RUN DOMAIN-CONTAINING PROTEIN', 174073),
(230348, 'PTHR24300:SF180', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2A13', 174074),
(230349, 'PTHR45724:SF32', NULL, NULL, NULL, NULL, 'NODULIN-26 LIKE INTRINSIC PROTEIN', 174075),
(230350, 'PTHR47069:SF7', NULL, NULL, NULL, NULL, 'OS03G0580500 PROTEIN', 174076),
(230351, 'PTHR38819:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 20G', 174077),
(230352, 'PTHR26453:SF586', NULL, NULL, NULL, NULL, 'MCG1046656-RELATED', 174078),
(230353, 'PTHR10315:SF122', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIN-LIKE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 174079),
(230354, 'PTHR12411:SF743', NULL, NULL, NULL, NULL, 'VIGNAIN', 174080),
(230355, 'PTHR14744', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 60', 174081),
(230356, 'PTHR24156', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 174082),
(230357, 'PTHR31717:SF59', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', 174083),
(230358, 'PTHR26379:SF382', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN CONTAINING PROTEIN', 174084),
(230359, 'PTHR47961:SF3', NULL, NULL, NULL, NULL, 'ATP DEPENDENT DEAD-BOX HELICASE-RELATED', 174085),
(230360, 'PTHR31647', NULL, NULL, NULL, NULL, '2-CELL-STAGE, VARIABLE GROUP, MEMBER 1-RELATED', 174086),
(230361, 'PTHR12258:SF5', NULL, NULL, NULL, NULL, 'BCDNA.GH02250-RELATED', 174087),
(230362, 'PTHR16675:SF256', NULL, NULL, NULL, NULL, 'HLA CLASS I HISTOCOMPATIBILITY ANTIGEN, ALPHA CHAIN H-RELATED', 174088),
(230363, 'PTHR42683:SF36', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 174089),
(230364, 'PTHR47928:SF35', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', 174090),
(230365, 'PTHR47372:SF21', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, GROUP 3-LIKE', 174091),
(230366, 'PTHR31844:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM168A', 174092),
(230367, 'PTHR22599:SF10', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR 3A', 174093),
(230368, 'PTHR10652:SF20', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', 174094),
(230369, 'PTHR35719:SF5', NULL, NULL, NULL, NULL, 'T6K12.7 PROTEIN', 174095),
(230370, 'PTHR22914:SF11', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE B', 174096),
(230371, 'PTHR27002:SF826', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 7', 174097),
(230372, 'PTHR18945:SF828', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL 4', 174098),
(230373, 'PTHR13068:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF6, CHLOROPLASTIC/MITOCHONDRIAL', 174099),
(230374, 'PTHR42851:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174100),
(230375, 'PTHR45398:SF1', NULL, NULL, NULL, NULL, 'D-ALANINE--D-ALANYL CARRIER PROTEIN LIGASE', 174101),
(230376, 'PTHR23113:SF343', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 25', 174102),
(230377, 'PTHR31221:SF141', NULL, NULL, NULL, NULL, 'WRKY PROTEIN', 174103),
(230378, 'PTHR24291:SF118', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 174104),
(230379, 'PTHR31562:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG15947', 174105),
(230380, 'PTHR15082:SF5', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 3', 174106),
(230381, 'PTHR47999:SF76', NULL, NULL, NULL, NULL, 'BNAA03G53110D PROTEIN', 174107),
(230382, 'PTHR11306:SF35', NULL, NULL, NULL, NULL, 'MD-2-RELATED LIPID-RECOGNITION PROTEIN ROSY1', 174108);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(230383, 'PTHR34372:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C-RELATED', 174109),
(230384, 'PTHR48051:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 1', 174110),
(230385, 'PTHR43522:SF5', NULL, NULL, NULL, NULL, 'TRANSKETOLASE, CHLOROPLASTIC-LIKE', 174111),
(230386, 'PTHR45969:SF10', NULL, NULL, NULL, NULL, 'BRH1 RING FINGER PROTEIN', 174112),
(230387, 'PTHR21732:SF0', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN-CONTAINING PROTEIN 4', 174113),
(230388, 'PTHR11685:SF267', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARI10-RELATED', 174114),
(230389, 'PTHR34787', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT VI-2, CHLOROPLASTIC', 174115),
(230390, 'PTHR35373:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG16894', 174116),
(230391, 'PTHR36520:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG13000', 174117),
(230392, 'PTHR10281:SF45', NULL, NULL, NULL, NULL, 'MEMBRANE STEROID-BINDING PROTEIN 2', 174118),
(230393, 'PTHR46201', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN MALE MEIOCYTE DEATH 1-RELATED', 174119),
(230394, 'PTHR11375:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174120),
(230395, 'PTHR43459', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE', 174121),
(230396, 'PTHR13378:SF1', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR3', 174122),
(230397, 'PTHR31903:SF20', NULL, NULL, NULL, NULL, 'BNAC03G57500D PROTEIN', 174123),
(230398, 'PTHR24006:SF800', NULL, NULL, NULL, NULL, 'PROTEIN CBG01315', 174124),
(230399, 'PTHR48042:SF26', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 11-LIKE ISOFORM X1', 174125),
(230400, 'PTHR15314:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P20', 174126),
(230401, 'PTHR12997:SF9', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE-5-PHOSPHATASE L', 174127),
(230402, 'PTHR43968:SF12', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 174128),
(230403, 'PTHR16263:SF9', NULL, NULL, NULL, NULL, 'BNAA09G29550D PROTEIN', 174129),
(230404, 'PTHR14399:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 47', 174130),
(230405, 'PTHR19422:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174131),
(230406, 'PTHR11360:SF260', NULL, NULL, NULL, NULL, 'AGAP001782-PA', 174132),
(230407, 'PTHR18804:SF16', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', 174133),
(230408, 'PTHR12242:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174134),
(230409, 'PTHR47046', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE ASSEMBLY FACTOR 1, MITOCHONDRIAL', 174135),
(230410, 'PTHR24189:SF59', NULL, NULL, NULL, NULL, 'SI:CH211-203B8.6', 174136),
(230411, 'PTHR31623:SF77', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', 174137),
(230412, 'PTHR48002:SF50', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 174138),
(230413, 'PTHR11377:SF21', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE', 174139),
(230414, 'PTHR12106:SF20', NULL, NULL, NULL, NULL, 'SORTILIN-RELATED RECEPTOR', 174140),
(230415, 'PTHR46617:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX G1B-RELATED', 174141),
(230416, 'PTHR30313:SF2', NULL, NULL, NULL, NULL, 'DNA PRIMASE', 174142),
(230417, 'PTHR16119', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 174143),
(230418, 'PTHR32419:SF23', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE (EUROFUNG)', 174144),
(230419, 'PTHR46629:SF2', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 174145),
(230420, 'PTHR31851:SF65', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER-LIKE PROTEIN 3', 174146),
(230421, 'PTHR36380', NULL, NULL, NULL, NULL, 'BNAA03G58330D PROTEIN', 174147),
(230422, 'PTHR26374:SF411', NULL, NULL, NULL, NULL, 'BNAA07G37620D PROTEIN', 174148),
(230423, 'PTHR34542:SF4', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN-LIKE PROTEIN', 174149),
(230424, 'PTHR48011:SF23', NULL, NULL, NULL, NULL, 'BNAC04G02350D PROTEIN', 174150),
(230425, 'PTHR13058:SF23', NULL, NULL, NULL, NULL, 'POLYMERASE III POLC-TYPE, PUTATIVE ISOFORM 1-RELATED', 174151),
(230426, 'PTHR22802:SF403', NULL, NULL, NULL, NULL, 'PROTEIN CBG11253', 174152),
(230427, 'PTHR13313:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7C, MITOCHONDRIAL', 174153);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(230428, 'PTHR47926:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174154),
(230429, 'PTHR45968:SF18', NULL, NULL, NULL, NULL, 'GLUCOSE-METHANOL-CHOLINE (GMC) OXIDOREDUCTASE FAMILY PROTEIN', 174155),
(230430, 'PTHR46154:SF4', NULL, NULL, NULL, NULL, 'UREA ACTIVE TRANSPORTER', 174156),
(230431, 'PTHR16223:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH83-RELATED', 174157),
(230432, 'PTHR11093:SF6', NULL, NULL, NULL, NULL, 'RUVB-LIKE 1', 174158),
(230433, 'PTHR21191', NULL, NULL, NULL, NULL, 'AQUAPORIN', 174159),
(230434, 'PTHR22993:SF11', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 8-LIKE 2', 174160),
(230435, 'PTHR33830:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174161),
(230436, 'PTHR31412', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE EGY1', 174162),
(230437, 'PTHR31225:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174163),
(230438, 'PTHR35326', NULL, NULL, NULL, NULL, 'PROTEIN PSBN', 174164),
(230439, 'PTHR47328:SF1', NULL, NULL, NULL, NULL, 'RUTC FAMILY PROTEIN YOAB', 174165),
(230440, 'PTHR32028:SF1', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN M', 174166),
(230441, 'PTHR31561:SF65', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 174167),
(230442, 'PTHR38777:SF1', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', 174168),
(230443, 'PTHR10288:SF295', NULL, NULL, NULL, NULL, 'NEURO-ONCOLOGICAL VENTRAL ANTIGEN 2', 174169),
(230444, 'PTHR46026:SF1', NULL, NULL, NULL, NULL, 'RHO-TYPE GUANINE NUCLEOTIDE EXCHANGE FACTOR, ISOFORM F', 174170),
(230445, 'PTHR24416:SF565', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR', 174171),
(230446, 'PTHR31205:SF34', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN', 174172),
(230447, 'PTHR33627:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE', 174173),
(230448, 'PTHR33237:SF33', NULL, NULL, NULL, NULL, 'OS05G0588400 PROTEIN', 174174),
(230449, 'PTHR23044:SF60', NULL, NULL, NULL, NULL, 'OS11G0525900 PROTEIN', 174175),
(230450, 'PTHR33985:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174176),
(230451, 'PTHR22884', NULL, NULL, NULL, NULL, 'SET DOMAIN PROTEINS', 174177),
(230452, 'PTHR48041:SF54', NULL, NULL, NULL, NULL, 'PIGMENT PERMEASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 174178),
(230453, 'PTHR24412:SF304', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 23', 174179),
(230454, 'PTHR21551:SF9', NULL, NULL, NULL, NULL, 'OS02G0295700 PROTEIN', 174180),
(230455, 'PTHR14237:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174181),
(230456, 'PTHR43279:SF1', NULL, NULL, NULL, NULL, 'CATECHOL-2,3-DIOXYGENASE', 174182),
(230457, 'PTHR33463:SF76', NULL, NULL, NULL, NULL, 'PROTEIN LAP1-LIKE', 174183),
(230458, 'PTHR11709:SF314', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174184),
(230459, 'PTHR10177:SF384', NULL, NULL, NULL, NULL, 'CYCLIN-D3-1', 174185),
(230460, 'PTHR21654:SF78', NULL, NULL, NULL, NULL, 'SANT/MYB DOMAIN-CONTAINING PROTEIN-RELATED', 174186),
(230461, 'PTHR24282:SF209', NULL, NULL, NULL, NULL, '11-OXO-BETA-AMYRIN 30-OXIDASE-RELATED', 174187),
(230462, 'PTHR31021:SF3', NULL, NULL, NULL, NULL, 'PROTEIN APCDD1-LIKE', 174188),
(230463, 'PTHR24286:SF232', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN', 174189),
(230464, 'PTHR39224:SF1', NULL, NULL, NULL, NULL, 'IGA-INDUCING PROTEIN HOMOLOG', 174190),
(230465, 'PTHR26453:SF249', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1511', 174191),
(230466, 'PTHR34676:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174192),
(230467, 'PTHR31853:SF1', NULL, NULL, NULL, NULL, 'PSORIASIS SUSCEPTIBILITY 1 CANDIDATE GENE 2 PROTEIN', 174193),
(230468, 'PTHR20932:SF7', NULL, NULL, NULL, NULL, 'AND PUTATIVE PEPTIDOGLYCAN-BINDING DOMAIN-CONTAINING PROTEIN 4-RELATED', 174194),
(230469, 'PTHR46133', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 174195),
(230470, 'PTHR22947:SF4', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', 174196),
(230471, 'PTHR24023:SF906', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(IX) CHAIN', 174197),
(230472, 'PTHR45909:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-RELATED PROTEIN 1', 174198);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(230473, 'PTHR43126', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE DIPEPTIDASE', 174199),
(230474, 'PTHR22870:SF344', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN / REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', 174200),
(230475, 'PTHR48007:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXC1', 174201),
(230476, 'PTHR24148:SF75', NULL, NULL, NULL, NULL, 'HETEROKARYON INCOMPATIBILITY PROTEIN 6, OR ALLELE', 174202),
(230477, 'PTHR10388:SF44', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1', 174203),
(230478, 'PTHR24248:SF142', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR M4', 174204),
(230479, 'PTHR36510:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE 2-RELATED', 174205),
(230480, 'PTHR23294:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174206),
(230481, 'PTHR22930:SF193', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1 ISOFORM X1-RELATED', 174207),
(230482, 'PTHR26379:SF350', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174208),
(230483, 'PTHR35460:SF1', NULL, NULL, NULL, NULL, 'TRNA LIGASE 1', 174209),
(230484, 'PTHR23508:SF10', NULL, NULL, NULL, NULL, 'CARBOXYLIC ACID TRANSPORTER PROTEIN HOMOLOG', 174210),
(230485, 'PTHR46392', NULL, NULL, NULL, NULL, 'DUAL SERINE/THREONINE AND TYROSINE PROTEIN KINASE', 174211),
(230486, 'PTHR11945:SF419', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 33', 174212),
(230487, 'PTHR48049:SF21', NULL, NULL, NULL, NULL, 'SOYASAPOGENOL B GLUCURONIDE GALACTOSYLTRANSFERASE', 174213),
(230488, 'PTHR36344', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 174214),
(230489, 'PTHR11071:SF436', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 174215),
(230490, 'PTHR46552', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 2', 174216),
(230491, 'PTHR13771', NULL, NULL, NULL, NULL, 'INTERCELLULAR ADHESION MOLECULE', 174217),
(230492, 'PTHR24393:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174218),
(230493, 'PTHR11073:SF16', NULL, NULL, NULL, NULL, 'CALRETICULIN', 174219),
(230494, 'PTHR36023', NULL, NULL, NULL, NULL, 'ARGOS-LIKE PROTEIN', 174220),
(230495, 'PTHR31264:SF17', NULL, NULL, NULL, NULL, 'OSJNBA0042D13.1 PROTEIN', 174221),
(230496, 'PTHR33970:SF1', NULL, NULL, NULL, NULL, 'VIOLAXANTHIN DE-EPOXIDASE, CHLOROPLASTIC', 174222),
(230497, 'PTHR45801:SF51', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR TAC1-LIKE', 174223),
(230498, 'PTHR45851:SF1', NULL, NULL, NULL, NULL, 'MYC PROTO-ONCOGENE PROTEIN', 174224),
(230499, 'PTHR19269:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174225),
(230500, 'PTHR15241:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174226),
(230501, 'PTHR30349:SF64', NULL, NULL, NULL, NULL, 'TYROSINE RECOMBINASE XERD', 174227),
(230502, 'PTHR22957:SF558', NULL, NULL, NULL, NULL, 'RAB-GTPASE-TBC DOMAIN-CONTAINING PROTEIN-RELATED', 174228),
(230503, 'PTHR32295:SF173', NULL, NULL, NULL, NULL, 'BNAANNG27880D PROTEIN', 174229),
(230504, 'PTHR10334:SF73', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN LCCL DOMAIN-CONTAINING 1', 174230),
(230505, 'PTHR31175:SF30', NULL, NULL, NULL, NULL, 'OS09G0546100 PROTEIN', 174231),
(230506, 'PTHR10791:SF197', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET8', 174232),
(230507, 'PTHR30540:SF128', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 174233),
(230508, 'PTHR13683:SF841', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 174234),
(230509, 'PTHR33728:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174235),
(230510, 'PTHR10528:SF18', NULL, NULL, NULL, NULL, 'AF4/FMR2 FAMILY MEMBER 2', 174236),
(230511, 'PTHR11731:SF136', NULL, NULL, NULL, NULL, 'PROLYL ENDOPEPTIDASE FAP', 174237),
(230512, 'PTHR31325:SF131', NULL, NULL, NULL, NULL, 'OS04G0137700 PROTEIN', 174238),
(230513, 'PTHR34660:SF4', NULL, NULL, NULL, NULL, 'DNA LIGASE-LIKE PROTEIN', 174239),
(230514, 'PTHR46984:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 71', 174240),
(230515, 'PTHR32278:SF68', NULL, NULL, NULL, NULL, 'BNAA08G26600D PROTEIN', 174241);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(230516, 'PTHR11818:SF19', NULL, NULL, NULL, NULL, 'BETA-CRYSTALLIN A4', 174242),
(230517, 'PTHR43154:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00290)-RELATED', 174243),
(230518, 'PTHR31181:SF68', NULL, NULL, NULL, NULL, 'BNAA02G30010D PROTEIN', 174244),
(230519, 'PTHR47196:SF1', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 9', 174245),
(230520, 'PTHR24177:SF308', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 174246),
(230521, 'PTHR11567:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174247),
(230522, 'PTHR31044:SF97', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', 174248),
(230523, 'PTHR33059:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174249),
(230524, 'PTHR15431:SF4', NULL, NULL, NULL, NULL, 'LISH DOMAIN-CONTAINING PROTEIN FOPNL', 174250),
(230525, 'PTHR15315:SF86', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 174251),
(230526, 'PTHR10174:SF38', NULL, NULL, NULL, NULL, 'HL01515P', 174252),
(230527, 'PTHR19290:SF134', NULL, NULL, NULL, NULL, 'NEUROG3 PROTEIN-RELATED', 174253),
(230528, 'PTHR32035', NULL, NULL, NULL, NULL, 'AURORA KINASE A-INTERACTING PROTEIN', 174254),
(230529, 'PTHR10641:SF1186', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 174255),
(230530, 'PTHR48002:SF27', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 174256),
(230531, 'PTHR48063:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174257),
(230532, 'PTHR43515:SF1', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE-LIKE 1', 174258),
(230533, 'PTHR10809:SF118', NULL, NULL, NULL, NULL, 'BNAA06G35540D PROTEIN', 174259),
(230534, 'PTHR36765', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 174260),
(230535, 'PTHR31206:SF10', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 177 MEMBER A1', 174261),
(230536, 'PTHR46224:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174262),
(230537, 'PTHR32191:SF56', NULL, NULL, NULL, NULL, 'TETRASPANIN-13', 174263),
(230538, 'PTHR47993:SF49', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 174264),
(230539, 'PTHR34562', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING PROTEIN 2', 174265),
(230540, 'PTHR43245:SF6', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DTDP-4-DEHYDRORHAMNOSE 35-EPIMERASE/DTDP-4-DEHYDRORHAMNOSE REDUCTASE', 174266),
(230541, 'PTHR48043:SF113', NULL, NULL, NULL, NULL, 'MCG131371-RELATED', 174267),
(230542, 'PTHR44899', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', 174268),
(230543, 'PTHR33710:SF33', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', 174269),
(230544, 'PTHR11945:SF665', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', 174270),
(230545, 'PTHR43363:SF3', NULL, NULL, NULL, NULL, 'XANTHINE-GUANINE PHOSPHORIBOSYLTRANSFERASE', 174271),
(230546, 'PTHR10334:SF467', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1-8', 174272),
(230547, 'PTHR24230:SF59', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 84', 174273),
(230548, 'PTHR12137:SF4', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 12', 174274),
(230549, 'PTHR23249:SF20', NULL, NULL, NULL, NULL, 'BNACNNG03550D PROTEIN', 174275),
(230550, 'PTHR47462', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 5', 174276),
(230551, 'PTHR45695:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 151-RELATED', 174277),
(230552, 'PTHR24055:SF400', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 17', 174278),
(230553, 'PTHR43868', NULL, NULL, NULL, NULL, 'OS02G0711200 PROTEIN', 174279),
(230554, 'PTHR11477', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR S-II ZINC FINGER DOMAIN-CONTAINING PROTEIN', 174280),
(230555, 'PTHR47123:SF15', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23', 174281),
(230556, 'PTHR31677:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174282),
(230557, 'PTHR42940:SF3', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1-RELATED', 174283),
(230558, 'PTHR13718:SF93', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S2', 174284),
(230559, 'PTHR31165:SF71', NULL, NULL, NULL, NULL, 'PROTEIN G1', 174285);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(230560, 'PTHR35116:SF6', NULL, NULL, NULL, NULL, 'OS02G0625900 PROTEIN', 174286),
(230561, 'PTHR47993:SF9', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 174287),
(230562, 'PTHR11097:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174288),
(230563, 'PTHR10288:SF243', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN', 174289),
(230564, 'PTHR31561:SF130', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 174290),
(230565, 'PTHR19308:SF8', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 7, MITOCHONDRIAL', 174291),
(230566, 'PTHR21052:SF0', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB HOMOLOG 7, MITOCHONDRIAL', 174292),
(230567, 'PTHR33646:SF2', NULL, NULL, NULL, NULL, 'GB|AAF00631.1', 174293),
(230568, 'PTHR45854:SF3', NULL, NULL, NULL, NULL, 'ARFGAP WITH SH3 DOMAIN, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN', 174294),
(230569, 'PTHR31225:SF82', NULL, NULL, NULL, NULL, 'SESQUITERPENE CYCLASE1', 174295),
(230570, 'PTHR10201:SF143', NULL, NULL, NULL, NULL, 'MATRILYSIN', 174296),
(230571, 'PTHR10293:SF16', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-RELATED PROTEIN 5, MITOCHONDRIAL', 174297),
(230572, 'PTHR27001:SF615', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 4', 174298),
(230573, 'PTHR46135:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 6', 174299),
(230574, 'PTHR27006:SF278', NULL, NULL, NULL, NULL, 'BNACNNG59240D PROTEIN', 174300),
(230575, 'PTHR28141:SF1', NULL, NULL, NULL, NULL, '2'',3''-CYCLIC-NUCLEOTIDE 3''-PHOSPHODIESTERASE', 174301),
(230576, 'PTHR16135', NULL, NULL, NULL, NULL, 'REPRESSOR OF YIELD OF DENV PROTEIN', 174302),
(230577, 'PTHR31917:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174303),
(230578, 'PTHR45926:SF24', NULL, NULL, NULL, NULL, 'BNAA08G28520D PROTEIN', 174304),
(230579, 'PTHR21495:SF147', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 174305),
(230580, 'PTHR44830:SF1', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1 ALPHA', 174306),
(230581, 'PTHR30606:SF9', NULL, NULL, NULL, NULL, 'LIPID A BIOSYNTHESIS LAUROYLTRANSFERASE', 174307),
(230582, 'PTHR48100:SF2', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', 174308),
(230583, 'PTHR44313', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 17', 174309),
(230584, 'PTHR21008', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 174310),
(230585, 'PTHR46045:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 174311),
(230586, 'PTHR11984:SF109', NULL, NULL, NULL, NULL, 'CONNEXIN 28.1-RELATED', 174312),
(230587, 'PTHR47982:SF49', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN KINASE SELMODRAFT_444075', 174313),
(230588, 'PTHR22966:SF47', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 2', 174314),
(230589, 'PTHR20878:SF0', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 25', 174315),
(230590, 'PTHR22589:SF108', NULL, NULL, NULL, NULL, 'ZGC:154046', 174316),
(230591, 'PTHR12419:SF75', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 1', 174317),
(230592, 'PTHR24056:SF372', NULL, NULL, NULL, NULL, 'BNAANNG02480D PROTEIN', 174318),
(230593, 'PTHR40240', NULL, NULL, NULL, NULL, 'PLEXUS, ISOFORM A', 174319),
(230594, 'PTHR11461:SF159', NULL, NULL, NULL, NULL, 'PLASMA PROTEASE C1 INHIBITOR', 174320),
(230595, 'PTHR47926:SF193', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC', 174321),
(230596, 'PTHR45650:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174322),
(230597, 'PTHR31718:SF42', NULL, NULL, NULL, NULL, 'BNAA09G05940D PROTEIN', 174323),
(230598, 'PTHR13832:SF751', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1H', 174324),
(230599, 'PTHR47944:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174325),
(230600, 'PTHR11010:SF79', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 174326),
(230601, 'PTHR11717:SF7', NULL, NULL, NULL, NULL, 'LOW MOLECULAR WEIGHT PHOSPHOTYROSINE PROTEIN PHOSPHATASE', 174327),
(230602, 'PTHR28567:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM53A', 174328),
(230603, 'PTHR13947:SF42', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 8', 174329);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(230604, 'PTHR31989:SF253', NULL, NULL, NULL, NULL, 'F5D14.30 PROTEIN', 174330),
(230605, 'PTHR31509:SF42', NULL, NULL, NULL, NULL, 'BPS1-LIKE PROTEIN', 174331),
(230606, 'PTHR13483', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 174332),
(230607, 'PTHR10502:SF220', NULL, NULL, NULL, NULL, 'ANNEXIN D2', 174333),
(230608, 'PTHR11909:SF384', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE ISOFORM X1', 174334),
(230609, 'PTHR33566:SF5', NULL, NULL, NULL, NULL, 'PROTEIN DEFECTIVE IN MERISTEM SILENCING 3-LIKE ISOFORM X1', 174335),
(230610, 'PTHR24390:SF139', NULL, NULL, NULL, NULL, 'TELOMERE ZINC FINGER-ASSOCIATED PROTEIN', 174336),
(230611, 'PTHR24249:SF402', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 1', 174337),
(230612, 'PTHR15941:SF11', NULL, NULL, NULL, NULL, 'MYOZENIN-1', 174338),
(230613, 'PTHR35601', NULL, NULL, NULL, NULL, 'TOXIN RELE', 174339),
(230614, 'PTHR43156', NULL, NULL, NULL, NULL, 'STAGE II SPORULATION PROTEIN E-RELATED', 174340),
(230615, 'PTHR31132:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174341),
(230616, 'PTHR31989:SF372', NULL, NULL, NULL, NULL, 'BNAA07G03200D PROTEIN', 174342),
(230617, 'PTHR42974:SF1', NULL, NULL, NULL, NULL, 'TYPE-3 GLUTAMINE SYNTHETASE', 174343),
(230618, 'PTHR24186:SF29', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', 174344),
(230619, 'PTHR24220:SF654', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM ATP-BINDING PROTEIN LOLD', 174345),
(230620, 'PTHR46072:SF3', NULL, NULL, NULL, NULL, 'AMIDASE, PUTATIVE-RELATED', 174346),
(230621, 'PTHR43800:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-LYSINE N-ACETYLTRANSFERASE YJAB', 174347),
(230622, 'PTHR46347:SF6', NULL, NULL, NULL, NULL, 'BNAC08G14680D PROTEIN', 174348),
(230623, 'PTHR23115', NULL, NULL, NULL, NULL, 'TRANSLATION FACTOR', 174349),
(230624, 'PTHR46986:SF3', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING P-TYPE ATPASE', 174350),
(230625, 'PTHR45829:SF1', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G06780)-RELATED', 174351),
(230626, 'PTHR27006:SF319', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 174352),
(230627, 'PTHR46558:SF11', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN', 174353),
(230628, 'PTHR11153:SF21', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-1', 174354),
(230629, 'PTHR47090', NULL, NULL, NULL, NULL, 'PROTEIN EDS1-RELATED', 174355),
(230630, 'PTHR37900:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174356),
(230631, 'PTHR45839:SF25', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', 174357),
(230632, 'PTHR41152:SF8', NULL, NULL, NULL, NULL, 'AT26438P-RELATED', 174358),
(230633, 'PTHR10113:SF12', NULL, NULL, NULL, NULL, 'OS01G0939500 PROTEIN', 174359),
(230634, 'PTHR34150', NULL, NULL, NULL, NULL, 'PROTEIN CBG08832-RELATED', 174360),
(230635, 'PTHR43697', NULL, NULL, NULL, NULL, 'SERYL-TRNA SYNTHETASE', 174361),
(230636, 'PTHR21652:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174362),
(230637, 'PTHR21963:SF1', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 17', 174363),
(230638, 'PTHR31213:SF151', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE, START-LIKE DOMAIN PROTEIN-RELATED', 174364),
(230639, 'PTHR45648:SF48', NULL, NULL, NULL, NULL, 'OS03G0581400 PROTEIN', 174365),
(230640, 'PTHR45846', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(47) SYNTHASE [NAD(P)(+)]-LIKE', 174366),
(230641, 'PTHR31050:SF3', NULL, NULL, NULL, NULL, 'OS08G0413200 PROTEIN', 174367),
(230642, 'PTHR24377:SF301', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 28', 174368),
(230643, 'PTHR38530', NULL, NULL, NULL, NULL, 'OS06G0468300 PROTEIN', 174369),
(230644, 'PTHR21037:SF3', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L14, MITOCHONDRIAL', 174370),
(230645, 'PTHR11639:SF135', NULL, NULL, NULL, NULL, 'UPF0607 PROTEIN ENSP00000381514-RELATED', 174371),
(230646, 'PTHR12174:SF85', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 2', 174372),
(230647, 'PTHR34375:SF2', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER PROTEIN', 174373),
(230648, 'PTHR28643:SF1', NULL, NULL, NULL, NULL, 'SWI5-DEPENDENT RECOMBINATION DNA REPAIR PROTEIN 1 HOMOLOG', 174374);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(230649, 'PTHR48011:SF67', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA-LIKE', 174375),
(230650, 'PTHR18953:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174376),
(230651, 'PTHR39867:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174377),
(230652, 'PTHR10783:SF104', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 10', 174378),
(230653, 'PTHR26450:SF160', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 553', 174379),
(230654, 'PTHR11802:SF209', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 174380),
(230655, 'PTHR23148:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174381),
(230656, 'PTHR11994:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174382),
(230657, 'PTHR46040:SF3', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN 2', 174383),
(230658, 'PTHR21601:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SPA2-RELATED', 174384),
(230659, 'PTHR33480:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-117M1.4', 174385),
(230660, 'PTHR34465:SF5', NULL, NULL, NULL, NULL, 'OS11G0598900 PROTEIN', 174386),
(230661, 'PTHR10380:SF197', NULL, NULL, NULL, NULL, 'CUTICLE PROTEIN DCP2-RELATED', 174387),
(230662, 'PTHR11229:SF13', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L3, MITOCHONDRIAL', 174388),
(230663, 'PTHR24141:SF1', NULL, NULL, NULL, NULL, '2-5A-DEPENDENT RIBONUCLEASE', 174389),
(230664, 'PTHR43791:SF75', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00110)-RELATED', 174390),
(230665, 'PTHR20889:SF23', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE 1-LIKE ISOFORM X1', 174391),
(230666, 'PTHR48049:SF76', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71B6', 174392),
(230667, 'PTHR45700:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE E3B', 174393),
(230668, 'PTHR31235:SF349', NULL, NULL, NULL, NULL, 'PEROXIDASE', 174394),
(230669, 'PTHR11746:SF264', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE-LIKE PROTEIN-RELATED', 174395),
(230670, 'PTHR21304:SF6', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC10', 174396),
(230671, 'PTHR27006:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174397),
(230672, 'PTHR31896:SF51', NULL, NULL, NULL, NULL, 'BNAC02G01430D PROTEIN', 174398),
(230673, 'PTHR33146:SF2', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 2', 174399),
(230674, 'PTHR10226:SF8', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 4', 174400),
(230675, 'PTHR46057:SF31', NULL, NULL, NULL, NULL, 'BNAA09G38310D PROTEIN', 174401),
(230676, 'PTHR33598:SF10', NULL, NULL, NULL, NULL, 'HOP-INTERACTING PROTEIN THI043', 174402),
(230677, 'PTHR11474:SF115', NULL, NULL, NULL, NULL, 'OS04G0624500 PROTEIN', 174403),
(230678, 'PTHR22765:SF184', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 174404),
(230679, 'PTHR24296:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174405),
(230680, 'PTHR10366:SF587', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 174406),
(230681, 'PTHR46011:SF27', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-11', 174407),
(230682, 'PTHR23324:SF39', NULL, NULL, NULL, NULL, 'SEC14-LIKE PROTEIN 5', 174408),
(230683, 'PTHR11746:SF256', NULL, NULL, NULL, NULL, 'BNAA02G18290D PROTEIN', 174409),
(230684, 'PTHR44813', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE-BINDING PROTEIN 1', 174410),
(230685, 'PTHR31450:SF3', NULL, NULL, NULL, NULL, 'TYPE III ENDOSOME MEMBRANE PROTEIN TEMP', 174411),
(230686, 'PTHR31190:SF164', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1A-LIKE', 174412),
(230687, 'PTHR14149:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174413),
(230688, 'PTHR11783:SF64', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 174414),
(230689, 'PTHR35134', NULL, NULL, NULL, NULL, 'NUCLEOTIDASE YQFW-RELATED', 174415),
(230690, 'PTHR34835:SF13', NULL, NULL, NULL, NULL, 'OS07G0283600 PROTEIN', 174416),
(230691, 'PTHR31657:SF60', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF062-LIKE', 174417),
(230692, 'PTHR10075:SF30', NULL, NULL, NULL, NULL, 'PALLADIN', 174418),
(230693, 'PTHR23113:SF26', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR 5', 174419);
INSERT INTO "PUBLIC"."MODEL" VALUES
(230694, 'PTHR24377:SF859', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 578', 174420),
(230695, 'PTHR19302:SF62', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT', 174421),
(230696, 'PTHR10663:SF354', NULL, NULL, NULL, NULL, 'ARF GUANINE-NUCLEOTIDE EXCHANGE FACTOR GNOM-LIKE', 174422),
(230697, 'PTHR34551', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 174423),
(230698, 'PTHR47993:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174424),
(230699, 'PTHR36504', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE EXPORT SYSTEM PROTEIN LPTA', 174425),
(230700, 'PTHR12542:SF116', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 174426),
(230701, 'PTHR46084:SF19', NULL, NULL, NULL, NULL, 'OS04G0534200 PROTEIN', 174427),
(230702, 'PTHR24320:SF231', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE TIC 32, CHLOROPLASTIC-LIKE', 174428),
(230703, 'PTHR43572:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174429),
(230704, 'PTHR27003:SF326', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', 174430),
(230705, 'PTHR11935:SF139', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE-RELATED', 174431),
(230706, 'PTHR11132:SF289', NULL, NULL, NULL, NULL, 'OS03G0622700 PROTEIN', 174432),
(230707, 'PTHR10209:SF460', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE', 174433),
(230708, 'PTHR12874:SF23', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 48', 174434),
(230709, 'PTHR11017:SF418', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RML1B', 174435),
(230710, 'PTHR14928', NULL, NULL, NULL, NULL, 'ROTAVIRUS ''X'' ASSOCIATED NON-STRUCTURAL PROTEIN/ZINC FINGER CCCH DOMAIN CONTAINING 7', 174436),
(230711, 'PTHR43874:SF97', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR15', 174437),
(230712, 'PTHR31087:SF21', NULL, NULL, NULL, NULL, 'OS05G0484800 PROTEIN', 174438),
(230713, 'PTHR43876:SF17', NULL, NULL, NULL, NULL, 'NEOXANTHIN SYNTHASE, CHLOROPLASTIC', 174439),
(230714, 'PTHR11528:SF87', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP 90-ALPHA-RELATED', 174440),
(230715, 'PTHR33090:SF62', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', 174441),
(230716, 'PTHR33165:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174442),
(230717, 'PTHR36594:SF1', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 174443),
(230718, 'PTHR11764:SF67', NULL, NULL, NULL, NULL, 'ALPHA/BETA AMYRIN SYNTHASE', 174444),
(230719, 'PTHR10270:SF231', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-2', 174445),
(230720, 'PTHR11552:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174446),
(230721, 'PTHR10015:SF292', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-4C-LIKE', 174447),
(230722, 'PTHR23244:SF451', NULL, NULL, NULL, NULL, 'ZMP:0000001301', 174448),
(230723, 'PTHR10168:SF202', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C1 PROTEIN', 174449),
(230724, 'PTHR42647:SF27', NULL, NULL, NULL, NULL, 'SBP (S-RIBONUCLEASE BINDING PROTEIN) FAMILY PROTEIN', 174450),
(230725, 'PTHR13793:SF107', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 14', 174451),
(230726, 'PTHR34105', NULL, NULL, NULL, NULL, 'PROLINE-, GLUTAMIC ACID- AND LEUCINE-RICH PROTEIN 1', 174452),
(230727, 'PTHR46924:SF3', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR-LIKE PROTEIN C-RELATED', 174453),
(230728, 'PTHR12548:SF18', NULL, NULL, NULL, NULL, 'DP TF', 174454),
(230729, 'PTHR28174', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L36, MITOCHONDRIAL', 174455),
(230730, 'PTHR24281:SF48', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 174456),
(230731, 'PTHR24637:SF267', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', 174457),
(230732, 'PTHR12620', NULL, NULL, NULL, NULL, 'U2 SNRNP AUXILIARY FACTOR, SMALL SUBUNIT', 174458),
(230733, 'PTHR10736:SF3', NULL, NULL, NULL, NULL, 'BESTROPHIN-4', 174459),
(230734, 'PTHR13832:SF540', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174460),
(230735, 'PTHR23502:SF60', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03040)-RELATED', 174461),
(230736, 'PTHR24068:SF213', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G15570)-RELATED', 174462);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(230737, 'PTHR24064:SF474', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174463),
(230738, 'PTHR26391:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174464),
(230739, 'PTHR24083:SF49', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 2 GROUP C MEMBER 1', 174465),
(230740, 'PTHR11715:SF10', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', 174466),
(230741, 'PTHR31517:SF21', NULL, NULL, NULL, NULL, 'PEROXIDASE', 174467),
(230742, 'PTHR22952:SF175', NULL, NULL, NULL, NULL, 'PROTEIN ABSCISIC ACID-INSENSITIVE 5', 174468),
(230743, 'PTHR35091', NULL, NULL, NULL, NULL, 'FLAGELLAR PROTEIN FLIL', 174469),
(230744, 'PTHR11062:SF217', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 174470),
(230745, 'PTHR13935:SF41', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ORG2-RELATED', 174471),
(230746, 'PTHR24093:SF439', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 8, PLASMA MEMBRANE-TYPE', 174472),
(230747, 'PTHR32285:SF37', NULL, NULL, NULL, NULL, 'OS05G0354400 PROTEIN', 174473),
(230748, 'PTHR36010:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C BIOGENESIS FC', 174474),
(230749, 'PTHR13887:SF33', NULL, NULL, NULL, NULL, 'ISOMERASE-RELATED', 174475),
(230750, 'PTHR34124:SF2', NULL, NULL, NULL, NULL, 'F16B3.27 PROTEIN-RELATED', 174476),
(230751, 'PTHR34457', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 2410', 174477),
(230752, 'PTHR27005:SF347', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE, ERK3/4-RELATED', 174478),
(230753, 'PTHR31187:SF6', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 2, CHLOROPLASTIC', 174479),
(230754, 'PTHR30061:SF50', NULL, NULL, NULL, NULL, 'MALTOSE/MALTODEXTRIN-BINDING PERIPLASMIC PROTEIN', 174480),
(230755, 'PTHR11926:SF1329', NULL, NULL, NULL, NULL, 'OS07G0241500 PROTEIN', 174481),
(230756, 'PTHR23055:SF168', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE ACTIVATOR 1G', 174482),
(230757, 'PTHR31677:SF143', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 174483),
(230758, 'PTHR43245:SF32', NULL, NULL, NULL, NULL, 'BNAA08G27100D PROTEIN', 174484),
(230759, 'PTHR19328:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174485),
(230760, 'PTHR22776', NULL, NULL, NULL, NULL, 'MARVEL-CONTAINING POTENTIAL LIPID RAFT-ASSOCIATED PROTEIN', 174486),
(230761, 'PTHR39532:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174487),
(230762, 'PTHR31803:SF19', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE', 174488),
(230763, 'PTHR31827:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174489),
(230764, 'PTHR11036', NULL, NULL, NULL, NULL, 'SEMAPHORIN', 174490),
(230765, 'PTHR13318:SF173', NULL, NULL, NULL, NULL, 'OS06G0605900 PROTEIN', 174491),
(230766, 'PTHR23157:SF26', NULL, NULL, NULL, NULL, 'GRIP AND COILED-COIL DOMAIN-CONTAINING PROTEIN 2', 174492),
(230767, 'PTHR18966:SF377', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, NMDA 1', 174493),
(230768, 'PTHR46049:SF4', NULL, NULL, NULL, NULL, 'MYOSIN X,-LIKE 1', 174494),
(230769, 'PTHR47704', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER KIMA', 174495),
(230770, 'PTHR11581:SF33', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', 174496),
(230771, 'PTHR23077:SF169', NULL, NULL, NULL, NULL, 'BNAC01G38940D PROTEIN', 174497),
(230772, 'PTHR36264:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174498),
(230773, 'PTHR22961:SF15', NULL, NULL, NULL, NULL, 'TRIBBLES HOMOLOG 2', 174499),
(230774, 'PTHR31741:SF58', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONAN I RHAMNOSYLTRANSFERASE 1', 174500),
(230775, 'PTHR24247:SF202', NULL, NULL, NULL, NULL, 'SEROTONIN/OCTOPAMINE RECEPTOR FAMILY', 174501),
(230776, 'PTHR42884:SF16', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE SUBTILISIN/KEXIN TYPE 4', 174502),
(230777, 'PTHR12174:SF73', NULL, NULL, NULL, NULL, 'PEPTIDASE A22B, SIGNAL PEPTIDE PEPTIDASE', 174503),
(230778, 'PTHR10209:SF725', NULL, NULL, NULL, NULL, 'BNAA08G29880D PROTEIN', 174504),
(230779, 'PTHR15574:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174505),
(230780, 'PTHR31345:SF3', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN Q', 174506),
(230781, 'PTHR24067:SF310', NULL, NULL, NULL, NULL, 'UBC2', 174507);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(230782, 'PTHR38013:SF1', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN/POLYSACCHARIDE METABOLISM', 174508),
(230783, 'PTHR46146:SF7', NULL, NULL, NULL, NULL, 'OS11G0664000 PROTEIN', 174509),
(230784, 'PTHR21329', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT Q-RELATED', 174510),
(230785, 'PTHR19139:SF34', NULL, NULL, NULL, NULL, 'AQUAPORIN-4', 174511),
(230786, 'PTHR24023:SF861', NULL, NULL, NULL, NULL, 'ACETYLCHOLINESTERASE COLLAGENIC TAIL PEPTIDE', 174512),
(230787, 'PTHR23076:SF118', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 6, CHLOROPLASTIC', 174513),
(230788, 'PTHR32175:SF23', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 174514),
(230789, 'PTHR31997:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM149A', 174515),
(230790, 'PTHR46128:SF247', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 174516),
(230791, 'PTHR45811:SF56', NULL, NULL, NULL, NULL, 'BNAA02G10700D PROTEIN', 174517),
(230792, 'PTHR31241:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174518),
(230793, 'PTHR11783:SF272', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 174519),
(230794, 'PTHR12111:SF4', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN-RELATED', 174520),
(230795, 'PTHR45834:SF7', NULL, NULL, NULL, NULL, 'RHOGEF DOMAIN-CONTAINING PROTEIN GXCJ', 174521),
(230796, 'PTHR27009:SF181', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 174522),
(230797, 'PTHR32309:SF16', NULL, NULL, NULL, NULL, 'ECA POLYSACCHARIDE CHAIN LENGTH MODULATION PROTEIN', 174523),
(230798, 'PTHR45974:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174524),
(230799, 'PTHR24177:SF176', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PLANT-LIKE PROTEIN', 174525),
(230800, 'PTHR10972:SF102', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 9', 174526),
(230801, 'PTHR43391:SF69', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE-LIKE 6', 174527),
(230802, 'PTHR11749:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174528),
(230803, 'PTHR22872:SF3', NULL, NULL, NULL, NULL, 'RCC1 AND BTB DOMAIN CONTAINING PROTEIN 2', 174529),
(230804, 'PTHR45765:SF7', NULL, NULL, NULL, NULL, 'BNAANNG08940D PROTEIN', 174530),
(230805, 'PTHR22924:SF92', NULL, NULL, NULL, NULL, 'NON-SYMBIOTIC HEMOGLOBIN 2', 174531),
(230806, 'PTHR21277:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174532),
(230807, 'PTHR23430:SF290', NULL, NULL, NULL, NULL, 'HISTONE H2A', 174533),
(230808, 'PTHR12220:SF13', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L16, MITOCHONDRIAL', 174534),
(230809, 'PTHR43410:SF1', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE OXYGENASE', 174535),
(230810, 'PTHR12290:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 2', 174536),
(230811, 'PTHR13140:SF709', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-XV', 174537),
(230812, 'PTHR22847:SF714', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE RECEPTOR ASSOCIATED PROTEIN', 174538),
(230813, 'PTHR27009:SF159', NULL, NULL, NULL, NULL, 'OS01G0115800 PROTEIN', 174539),
(230814, 'PTHR11603', NULL, NULL, NULL, NULL, 'AAA FAMILY ATPASE', 174540),
(230815, 'PTHR46519', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 174541),
(230816, 'PTHR13291:SF1', NULL, NULL, NULL, NULL, 'JOSEPHIN-1', 174542),
(230817, 'PTHR44094:SF16', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 10-LIKE ISOFORM X1', 174543),
(230818, 'PTHR22814:SF327', NULL, NULL, NULL, NULL, 'BNAC07G13390D PROTEIN', 174544),
(230819, 'PTHR34714:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174545),
(230820, 'PTHR11206:SF335', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 174546),
(230821, 'PTHR17490:SF8', NULL, NULL, NULL, NULL, 'THREONYLCARBAMOYL-AMP SYNTHASE', 174547),
(230822, 'PTHR23294:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG04461', 174548),
(230823, 'PTHR47947:SF21', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', 174549),
(230824, 'PTHR22625:SF37', NULL, NULL, NULL, NULL, 'PLEXIN-A2', 174550),
(230825, 'PTHR11871:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE PP2A 55 KDA REGULATORY SUBUNIT', 174551);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(230826, 'PTHR47111:SF1', NULL, NULL, NULL, NULL, 'BCDNA.LD29892', 174552),
(230827, 'PTHR35040', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 174553),
(230828, 'PTHR26379:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174554),
(230829, 'PTHR16223:SF254', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH123-LIKE ISOFORM X1', 174555),
(230830, 'PTHR31989:SF282', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 41-LIKE ISOFORM X1', 174556),
(230831, 'PTHR24073:SF899', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-6.1', 174557),
(230832, 'PTHR15001:SF10', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 135', 174558),
(230833, 'PTHR10612:SF47', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED', 174559),
(230834, 'PTHR30265:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION/ANTITERMINATION PROTEIN NUSG', 174560),
(230835, 'PTHR31415:SF92', NULL, NULL, NULL, NULL, 'PROTEIN 1 (HIN1), PUTATIVE-RELATED', 174561),
(230836, 'PTHR32295:SF190', NULL, NULL, NULL, NULL, 'BNAC03G78010D PROTEIN', 174562),
(230837, 'PTHR34572:SF8', NULL, NULL, NULL, NULL, 'BNAC09G31710D PROTEIN', 174563),
(230838, 'PTHR46033:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM HOMOLOG', 174564),
(230839, 'PTHR45619', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-RELATED', 174565),
(230840, 'PTHR24271:SF82', NULL, NULL, NULL, NULL, 'SI:CH211-212D10.1', 174566),
(230841, 'PTHR38909', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 174567),
(230842, 'PTHR15561:SF1', NULL, NULL, NULL, NULL, 'BNAA09G06290D PROTEIN', 174568),
(230843, 'PTHR45782:SF1', NULL, NULL, NULL, NULL, 'DAR GTPASE 2, MITOCHONDRIAL', 174569),
(230844, 'PTHR39214:SF1', NULL, NULL, NULL, NULL, 'MICROBODY (PEROXISOME) BIOGENESIS PROTEIN PEROXIN 8 (EUROFUNG)', 174570),
(230845, 'PTHR48034:SF14', NULL, NULL, NULL, NULL, 'TRANSFORMER-2 PROTEIN HOMOLOG ALPHA', 174571),
(230846, 'PTHR24414:SF91', NULL, NULL, NULL, NULL, 'BNAC03G76980D PROTEIN', 174572),
(230847, 'PTHR13803:SF39', NULL, NULL, NULL, NULL, 'OS04G0129500 PROTEIN', 174573),
(230848, 'PTHR34197:SF1', NULL, NULL, NULL, NULL, 'OS02G0693000 PROTEIN', 174574),
(230849, 'PTHR22974:SF21', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE TTK', 174575),
(230850, 'PTHR24353:SF58', NULL, NULL, NULL, NULL, 'LP05330P', 174576),
(230851, 'PTHR47154:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR MTH-RELATED', 174577),
(230852, 'PTHR28520:SF9', NULL, NULL, NULL, NULL, 'MITOTIC-SPINDLE ORGANIZING PROTEIN 1B', 174578),
(230853, 'PTHR18945:SF415', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', 174579),
(230854, 'PTHR31899:SF15', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE-RELATED', 174580),
(230855, 'PTHR11132:SF426', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_2G17760)', 174581),
(230856, 'PTHR48100:SF30', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN 1', 174582),
(230857, 'PTHR10570:SF5', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD3 DELTA CHAIN', 174583),
(230858, 'PTHR11905', NULL, NULL, NULL, NULL, 'ADAM  A DISINTEGRIN AND METALLOPROTEASE DOMAIN', 174584),
(230859, 'PTHR36782:SF3', NULL, NULL, NULL, NULL, 'BNAA03G46320D PROTEIN', 174585),
(230860, 'PTHR45969:SF11', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 174586),
(230861, 'PTHR33470:SF20', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', 174587),
(230862, 'PTHR16675:SF147', NULL, NULL, NULL, NULL, 'HISTOCOMPATIBILITY ANTIGEN 60B-RELATED', 174588),
(230863, 'PTHR31458:SF10', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE 1 BETA-LIKE PROTEIN 1-RELATED', 174589),
(230864, 'PTHR46560:SF9', NULL, NULL, NULL, NULL, 'AGAP003317-PA', 174590),
(230865, 'PTHR36290:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA D630039A03 GENE', 174591),
(230866, 'PTHR10250:SF4', NULL, NULL, NULL, NULL, 'LEUKOTRIENE C4 SYNTHASE', 174592),
(230867, 'PTHR12489:SF19', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 2 PROTEIN', 174593),
(230868, 'PTHR24356:SF368', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PKH1-RELATED', 174594);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(230869, 'PTHR31949:SF21', NULL, NULL, NULL, NULL, 'OS05G0316300 PROTEIN', 174595),
(230870, 'PTHR34838:SF3', NULL, NULL, NULL, NULL, 'OS08G0142100 PROTEIN', 174596),
(230871, 'PTHR31087:SF85', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 7', 174597),
(230872, 'PTHR45663:SF24', NULL, NULL, NULL, NULL, 'THIOREDOXIN-1-LIKE', 174598),
(230873, 'PTHR47967:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174599),
(230874, 'PTHR23024:SF506', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174600),
(230875, 'PTHR12542:SF91', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 174601),
(230876, 'PTHR46020:SF23', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN APG, PUTATIVE-RELATED', 174602),
(230877, 'PTHR33103:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174603),
(230878, 'PTHR31874:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174604),
(230879, 'PTHR24343:SF338', NULL, NULL, NULL, NULL, 'HORMONALLY UP-REGULATED NEU TUMOR-ASSOCIATED KINASE-LIKE PROTEIN', 174605),
(230880, 'PTHR10805:SF3', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT EPSILON-1', 174606),
(230881, 'PTHR31351:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE BINDING PROTEIN', 174607),
(230882, 'PTHR12300:SF115', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 174608),
(230883, 'PTHR30406:SF10', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORT SYSTEM PERMEASE PROTEIN CYST', 174609),
(230884, 'PTHR18919:SF163', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACETOACETYL-COENZYME A THIOLASE', 174610),
(230885, 'PTHR45751:SF14', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 174611),
(230886, 'PTHR24056:SF394', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174612),
(230887, 'PTHR44083:SF9', NULL, NULL, NULL, NULL, 'PROTEIN TOPLESS', 174613),
(230888, 'PTHR35978:SF1', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN M', 174614),
(230889, 'PTHR21266:SF19', NULL, NULL, NULL, NULL, 'CHLOROPHYLLIDE A OXYGENASE, CHLOROPLASTIC', 174615),
(230890, 'PTHR31294', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 174616),
(230891, 'PTHR42679', NULL, NULL, NULL, NULL, 'S-METHYL-5''-THIOADENOSINE PHOSPHORYLASE', 174617),
(230892, 'PTHR23122:SF45', NULL, NULL, NULL, NULL, 'MAGUK P55 SUBFAMILY MEMBER 6', 174618),
(230893, 'PTHR42342:SF1', NULL, NULL, NULL, NULL, 'STATIONARY PHASE PROTEIN 5', 174619),
(230894, 'PTHR31681:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174620),
(230895, 'PTHR16717:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 8C, MITOCHONDRIAL', 174621),
(230896, 'PTHR11875:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174622),
(230897, 'PTHR10994:SF161', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 174623),
(230898, 'PTHR43625:SF31', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 174624),
(230899, 'PTHR45644:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174625),
(230900, 'PTHR11999:SF152', NULL, NULL, NULL, NULL, 'TYROSINE DECARBOXYLASE 2-RELATED', 174626),
(230901, 'PTHR10277:SF70', NULL, NULL, NULL, NULL, 'ALDOLASE-TYPE TIM BARREL-RELATED', 174627),
(230902, 'PTHR31215:SF21', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 174628),
(230903, 'PTHR27002:SF402', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 174629),
(230904, 'PTHR42763:SF2', NULL, NULL, NULL, NULL, 'ADP-GLUCOSE PHOSPHORYLASE', 174630),
(230905, 'PTHR24373:SF275', NULL, NULL, NULL, NULL, 'CD180 ANTIGEN', 174631),
(230906, 'PTHR24349:SF390', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174632),
(230907, 'PTHR47751:SF1', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G16580)-RELATED', 174633),
(230908, 'PTHR13763:SF9', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED RING DOMAIN PROTEIN 1', 174634),
(230909, 'PTHR33053:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174635),
(230910, 'PTHR23074:SF65', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A-LIKE 1', 174636),
(230911, 'PTHR14758:SF1', NULL, NULL, NULL, NULL, 'AGAP005440-PA', 174637),
(230912, 'PTHR46232:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174638),
(230913, 'PTHR31280:SF20', NULL, NULL, NULL, NULL, 'F19P19.6 PROTEIN', 174639);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(230914, 'PTHR24103:SF393', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM58', 174640),
(230915, 'PTHR11955:SF58', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN 5', 174641),
(230916, 'PTHR10245:SF116', NULL, NULL, NULL, NULL, 'MULTIPROTEIN-BRIDGING FACTOR 1B-LIKE', 174642),
(230917, 'PTHR10438:SF403', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174643),
(230918, 'PTHR44936:SF5', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN CREC', 174644),
(230919, 'PTHR36142', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 174645),
(230920, 'PTHR37217:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 174646),
(230921, 'PTHR13780:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174647),
(230922, 'PTHR37736:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174648),
(230923, 'PTHR24388:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 646', 174649),
(230924, 'PTHR45977:SF25', NULL, NULL, NULL, NULL, 'BNAC08G15700D PROTEIN', 174650),
(230925, 'PTHR45614:SF177', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN B-LIKE', 174651),
(230926, 'PTHR11003:SF18', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 15', 174652),
(230927, 'PTHR24356:SF150', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED SERINE/THREONINE-PROTEIN KINASE 1', 174653),
(230928, 'PTHR46929:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174654),
(230929, 'PTHR24296:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 96, SUBFAMILY A, POLYPEPTIDE 10', 174655),
(230930, 'PTHR10902:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174656),
(230931, 'PTHR31213:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174657),
(230932, 'PTHR47479:SF2', NULL, NULL, NULL, NULL, 'OS05G0393200 PROTEIN', 174658),
(230933, 'PTHR37476:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 171', 174659),
(230934, 'PTHR21704:SF18', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 174660),
(230935, 'PTHR19353:SF65', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE HEME/STEROID BINDING DOMAIN', 174661),
(230936, 'PTHR23259:SF62', NULL, NULL, NULL, NULL, 'SPERM ACTIVATION WITHOUT MATING', 174662),
(230937, 'PTHR24093:SF464', NULL, NULL, NULL, NULL, 'ATPASE, PUTATIVE (EUROFUNG)-RELATED', 174663),
(230938, 'PTHR23515:SF21', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER 2.4-LIKE', 174664),
(230939, 'PTHR14154:SF58', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', 174665),
(230940, 'PTHR28208', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE APP1', 174666),
(230941, 'PTHR23267:SF414', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174667),
(230942, 'PTHR32134:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174668),
(230943, 'PTHR45717:SF39', NULL, NULL, NULL, NULL, 'BNACNNG47780D PROTEIN', 174669),
(230944, 'PTHR22870:SF389', NULL, NULL, NULL, NULL, 'BNAC09G21720D PROTEIN', 174670),
(230945, 'PTHR15818', NULL, NULL, NULL, NULL, 'G PATCH AND KOW-CONTAINING', 174671),
(230946, 'PTHR46209:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN-11', 174672),
(230947, 'PTHR31069:SF24', NULL, NULL, NULL, NULL, 'MONODICTYPHENONE CLUSTER TRANSCRIPTION FACTOR-RELATED', 174673),
(230948, 'PTHR10210:SF39', NULL, NULL, NULL, NULL, 'SYNTHETASE, PUTATIVE-RELATED', 174674),
(230949, 'PTHR23389:SF12', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR-LIKE FACTOR 3', 174675),
(230950, 'PTHR47506:SF6', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR NEMR', 174676),
(230951, 'PTHR14845', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 166', 174677),
(230952, 'PTHR37258:SF1', NULL, NULL, NULL, NULL, 'FANTOM PROTEIN', 174678),
(230953, 'PTHR11814:SF205', NULL, NULL, NULL, NULL, 'OS03G0195300 PROTEIN', 174679),
(230954, 'PTHR23167', NULL, NULL, NULL, NULL, 'CALPONIN HOMOLOGY DOMAIN-CONTAINING PROTEIN DDB_G0272472-RELATED', 174680),
(230955, 'PTHR31319:SF70', NULL, NULL, NULL, NULL, 'OS12G0262400 PROTEIN', 174681),
(230956, 'PTHR23292:SF6', NULL, NULL, NULL, NULL, 'FI16602P1-RELATED', 174682),
(230957, 'PTHR23503:SF103', NULL, NULL, NULL, NULL, 'PLASTIDIC GLUCOSE TRANSPORTER 1-RELATED', 174683),
(230958, 'PTHR34105:SF2', NULL, NULL, NULL, NULL, 'BNAA03G49090D PROTEIN', 174684);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(230959, 'PTHR11309:SF7', NULL, NULL, NULL, NULL, 'SECRETED FRIZZLED-RELATED PROTEIN 4', 174685),
(230960, 'PTHR11010:SF92', NULL, NULL, NULL, NULL, 'LYSOSOMAL PRO-X CARBOXYPEPTIDASE-LIKE ISOFORM X1', 174686),
(230961, 'PTHR11260:SF628', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U15', 174687),
(230962, 'PTHR19375:SF462', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174688),
(230963, 'PTHR43975:SF2', NULL, NULL, NULL, NULL, 'ZGC:101858', 174689),
(230964, 'PTHR31744:SF115', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 38', 174690),
(230965, 'PTHR24006:SF783', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 46', 174691),
(230966, 'PTHR26452:SF144', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 174692),
(230967, 'PTHR47992:SF54', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 45-RELATED', 174693),
(230968, 'PTHR11042:SF58', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PDIK1L', 174694),
(230969, 'PTHR42694', NULL, NULL, NULL, NULL, 'BLL7601 PROTEIN', 174695),
(230970, 'PTHR47250:SF5', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', 174696),
(230971, 'PTHR31708', NULL, NULL, NULL, NULL, 'ABPBG26-RELATED', 174697),
(230972, 'PTHR11969:SF69', NULL, NULL, NULL, NULL, 'BNAA09G30620D PROTEIN', 174698),
(230973, 'PTHR11760:SF37', NULL, NULL, NULL, NULL, '40S RIBOSOMAL S3-LIKE PROTEIN', 174699),
(230974, 'PTHR14000:SF6', NULL, NULL, NULL, NULL, 'OS08G0100800 PROTEIN', 174700),
(230975, 'PTHR12385:SF37', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN 4', 174701),
(230976, 'PTHR10554:SF6', NULL, NULL, NULL, NULL, 'ALPHA-1-SYNTROPHIN', 174702),
(230977, 'PTHR34956:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174703),
(230978, 'PTHR34948:SF4', NULL, NULL, NULL, NULL, 'TRIPHOSPHATE TUNEL METALLOENZYME 3', 174704),
(230979, 'PTHR12320:SF49', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 80-RELATED', 174705),
(230980, 'PTHR23086:SF111', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 10', 174706),
(230981, 'PTHR10177:SF188', NULL, NULL, NULL, NULL, 'CYCLIN-D6-1-RELATED', 174707),
(230982, 'PTHR33484:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174708),
(230983, 'PTHR23113:SF308', NULL, NULL, NULL, NULL, 'FI05912P-RELATED', 174709),
(230984, 'PTHR47341', NULL, NULL, NULL, NULL, 'GATA-TYPE ZINC FINGER PROTEIN 1', 174710),
(230985, 'PTHR19143:SF272', NULL, NULL, NULL, NULL, 'SI:CH211-287A12.9', 174711),
(230986, 'PTHR46463:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174712),
(230987, 'PTHR26450', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 56B1-RELATED', 174713),
(230988, 'PTHR33173:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174714),
(230989, 'PTHR21245:SF12', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN R-LIKE ISOFORM X1', 174715),
(230990, 'PTHR24373:SF266', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 3C', 174716),
(230991, 'PTHR46443:SF16', NULL, NULL, NULL, NULL, 'BNAA01G24630D PROTEIN', 174717),
(230992, 'PTHR24248:SF3', NULL, NULL, NULL, NULL, 'BETA-3 ADRENERGIC RECEPTOR', 174718),
(230993, 'PTHR34115:SF7', NULL, NULL, NULL, NULL, 'RPB1A', 174719),
(230994, 'PTHR31631', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 2D', 174720),
(230995, 'PTHR44051:SF18', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', 174721),
(230996, 'PTHR12668', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14, 15', 174722),
(230997, 'PTHR13140:SF755', NULL, NULL, NULL, NULL, 'MYOSIN-15', 174723),
(230998, 'PTHR30548:SF6', NULL, NULL, NULL, NULL, 'DEHYDRATASE SUBUNIT YJIM-RELATED', 174724),
(230999, 'PTHR43130:SF3', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR RV1931C', 174725),
(231000, 'PTHR11276:SF21', NULL, NULL, NULL, NULL, 'DNA NUCLEOTIDYLEXOTRANSFERASE', 174726),
(231001, 'PTHR46869:SF13', NULL, NULL, NULL, NULL, 'BNAA09G29040D PROTEIN', 174727),
(231002, 'PTHR34280:SF2', NULL, NULL, NULL, NULL, 'OS01G0920100 PROTEIN', 174728),
(231003, 'PTHR47925:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174729),
(231004, 'PTHR45657:SF39', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH1-RELATED', 174730);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(231005, 'PTHR26450:SF9', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 174731),
(231006, 'PTHR12001:SF78', NULL, NULL, NULL, NULL, 'DECAPRENYL-DIPHOSPHATE SYNTHASE SUBUNIT 1', 174732),
(231007, 'PTHR33322', NULL, NULL, NULL, NULL, 'BAG DOMAIN CONTAINING PROTEIN, EXPRESSED', 174733),
(231008, 'PTHR37680:SF1', NULL, NULL, NULL, NULL, 'C130050O18RIK PROTEIN', 174734),
(231009, 'PTHR13683:SF809', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174735),
(231010, 'PTHR16255:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174736),
(231011, 'PTHR14068:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT B', 174737),
(231012, 'PTHR11848:SF242', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 1', 174738),
(231013, 'PTHR10209:SF718', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174739),
(231014, 'PTHR11972:SF41', NULL, NULL, NULL, NULL, 'FERRIC REDUCTION OXIDASE 2', 174740),
(231015, 'PTHR47998', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB51-LIKE ISOFORM X1', 174741),
(231016, 'PTHR34135:SF3', NULL, NULL, NULL, NULL, 'PNEUMOCOCCAL VACCINE ANTIGEN A', 174742),
(231017, 'PTHR32309:SF28', NULL, NULL, NULL, NULL, 'FERRIC ENTEROBACTIN TRANSPORT PROTEIN FEPE', 174743),
(231018, 'PTHR21222', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 174744),
(231019, 'PTHR36971', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 174745),
(231020, 'PTHR10102:SF8', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', 174746),
(231021, 'PTHR33509:SF31', NULL, NULL, NULL, NULL, 'BNAA02G36510D PROTEIN', 174747),
(231022, 'PTHR45676:SF104', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL66-LIKE', 174748),
(231023, 'PTHR48043:SF97', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 174749),
(231024, 'PTHR31942:SF108', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 174750),
(231025, 'PTHR43884:SF18', NULL, NULL, NULL, NULL, 'ISOVALERYL-COENZYME A DEHYDROGENASE', 174751),
(231026, 'PTHR33333:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174752),
(231027, 'PTHR34399:SF3', NULL, NULL, NULL, NULL, 'AVIDIN-RELATED', 174753),
(231028, 'PTHR11926:SF1405', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 174754),
(231029, 'PTHR46797:SF11', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PUUR', 174755),
(231030, 'PTHR18849:SF13', NULL, NULL, NULL, NULL, 'BNACNNG14750D PROTEIN', 174756),
(231031, 'PTHR48047:SF116', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 174757),
(231032, 'PTHR43156:SF2', NULL, NULL, NULL, NULL, 'STAGE II SPORULATION PROTEIN E', 174758),
(231033, 'PTHR31677:SF63', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR LEP-LIKE', 174759),
(231034, 'PTHR13844:SF71', NULL, NULL, NULL, NULL, 'UPSTREAM ACTIVATION FACTOR SUBUNIT UAF30-LIKE', 174760),
(231035, 'PTHR34360:SF15', NULL, NULL, NULL, NULL, 'BNAA04G14370D PROTEIN', 174761),
(231036, 'PTHR26452:SF198', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 174762),
(231037, 'PTHR10078:SF33', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 ALPHA', 174763),
(231038, 'PTHR32114', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ABCH.3', 174764),
(231039, 'PTHR31251:SF139', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 13A ISOFORM X1', 174765),
(231040, 'PTHR31901:SF33', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.17', 174766),
(231041, 'PTHR23001:SF24', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 2', 174767),
(231042, 'PTHR47925:SF65', NULL, NULL, NULL, NULL, 'REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 174768),
(231043, 'PTHR31197:SF28', NULL, NULL, NULL, NULL, 'BNAA08G19270D PROTEIN', 174769),
(231044, 'PTHR42734:SF9', NULL, NULL, NULL, NULL, 'ZINC IMPORT ATP-BINDING PROTEIN ZNUC', 174770),
(231045, 'PTHR44845:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174771),
(231046, 'PTHR10663:SF376', NULL, NULL, NULL, NULL, 'EXCHANGE FACTOR FOR ARF 6, ISOFORM H', 174772),
(231047, 'PTHR26312:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174773),
(231048, 'PTHR14027:SF2', NULL, NULL, NULL, NULL, 'RNA POLYMERASE-ASSOCIATED PROTEIN CTR9 HOMOLOG', 174774);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(231049, 'PTHR11905:SF233', NULL, NULL, NULL, NULL, 'ZGC:174164', 174775),
(231050, 'PTHR11799', NULL, NULL, NULL, NULL, 'PARAOXONASE', 174776),
(231051, 'PTHR23428:SF288', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 2-C-RELATED', 174777),
(231052, 'PTHR31286:SF41', NULL, NULL, NULL, NULL, 'ZINC ION BINDING,NUCLEIC ACID BINDING-LIKE PROTEIN', 174778),
(231053, 'PTHR13269', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 174779),
(231054, 'PTHR33157:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 174780),
(231055, 'PTHR46865:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174781),
(231056, 'PTHR11241:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174782),
(231057, 'PTHR21098:SF0', NULL, NULL, NULL, NULL, 'RIBOFLAVIN SYNTHASE', 174783),
(231058, 'PTHR30126:SF39', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ABGR', 174784),
(231059, 'PTHR42861:SF75', NULL, NULL, NULL, NULL, 'CALCIUM PUMP1', 174785),
(231060, 'PTHR31080:SF227', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', 174786),
(231061, 'PTHR12185:SF14', NULL, NULL, NULL, NULL, 'CHOLESTEROL UPTAKE ASSOCIATED', 174787),
(231062, 'PTHR11920:SF458', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', 174788),
(231063, 'PTHR11782:SF112', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-TRIPHOSPHATASE NTP-1', 174789),
(231064, 'PTHR10052:SF44', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', 174790),
(231065, 'PTHR11920:SF381', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-5', 174791),
(231066, 'PTHR13326:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174792),
(231067, 'PTHR35498:SF4', NULL, NULL, NULL, NULL, 'PROTEIN LOW PSII ACCUMULATION 1, CHLOROPLASTIC', 174793),
(231068, 'PTHR16675:SF175', NULL, NULL, NULL, NULL, 'ANTIGEN-PRESENTING GLYCOPROTEIN CD1D', 174794),
(231069, 'PTHR24282:SF199', NULL, NULL, NULL, NULL, 'BNAA02G10890D PROTEIN', 174795),
(231070, 'PTHR33703:SF16', NULL, NULL, NULL, NULL, 'OS05G0342100 PROTEIN', 174796),
(231071, 'PTHR43871:SF2', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE YWHC-RELATED', 174797),
(231072, 'PTHR23086:SF21', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 5-PHOSPHATE 4-KINASE TYPE-2 ALPHA', 174798),
(231073, 'PTHR13360:SF1', NULL, NULL, NULL, NULL, 'ACTIVATING SIGNAL COINTEGRATOR 1 COMPLEX SUBUNIT 1', 174799),
(231074, 'PTHR39185:SF1', NULL, NULL, NULL, NULL, 'SWARMING MOTILITY PROTEIN SWRD', 174800),
(231075, 'PTHR24349:SF291', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 21', 174801),
(231076, 'PTHR11654:SF167', NULL, NULL, NULL, NULL, 'OS10G0579800 PROTEIN', 174802),
(231077, 'PTHR24339:SF29', NULL, NULL, NULL, NULL, 'GS HOMEOBOX 1', 174803),
(231078, 'PTHR13172:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM9', 174804),
(231079, 'PTHR21049', NULL, NULL, NULL, NULL, 'RIBOPHORIN I', 174805),
(231080, 'PTHR24416:SF296', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-B RECEPTOR 4', 174806),
(231081, 'PTHR24390:SF97', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 746', 174807),
(231082, 'PTHR46059:SF1', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDE ALPHA-2,6-SIALYLTRANSFERASE', 174808),
(231083, 'PTHR12673:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174809),
(231084, 'PTHR38831:SF2', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN K', 174810),
(231085, 'PTHR13194:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174811),
(231086, 'PTHR23171:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174812),
(231087, 'PTHR46284:SF11', NULL, NULL, NULL, NULL, '43KDA POSTSYNAPTIC PROTEIN-RELATED', 174813),
(231088, 'PTHR43380:SF5', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT ALPHA 1, MITOCHONDRIAL', 174814),
(231089, 'PTHR35278:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174815),
(231090, 'PTHR12378:SF51', NULL, NULL, NULL, NULL, 'DESI-LIKE PROTEIN', 174816),
(231091, 'PTHR27003:SF69', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HERK 1', 174817),
(231092, 'PTHR35093:SF8', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN NMB0088-RELATED', 174818),
(231093, 'PTHR22930:SF205', NULL, NULL, NULL, NULL, 'PROTEIN ALP1-LIKE', 174819);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(231094, 'PTHR31627:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-9', 174820),
(231095, 'PTHR11431:SF86', NULL, NULL, NULL, NULL, 'FERRITIN', 174821),
(231096, 'PTHR33203:SF33', NULL, NULL, NULL, NULL, 'OLEOSIN 20.3 KDA', 174822),
(231097, 'PTHR11566:SF160', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 3A', 174823),
(231098, 'PTHR12271:SF121', NULL, NULL, NULL, NULL, 'CAFFEINE INDUCED DEATH (S. POMBE CID) HOMOLOG', 174824),
(231099, 'PTHR43280:SF23', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL TRANSCRIPTIONAL ACTIVATOR/DNA REPAIR ENZYME ADAA', 174825),
(231100, 'PTHR23177:SF57', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 5', 174826),
(231101, 'PTHR31391:SF107', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', 174827),
(231102, 'PTHR11579:SF19', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE', 174828),
(231103, 'PTHR21646:SF58', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 10-RELATED', 174829),
(231104, 'PTHR28474:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 72', 174830),
(231105, 'PTHR45642:SF58', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL3-LIKE ISOFORM X1', 174831),
(231106, 'PTHR45812', NULL, NULL, NULL, NULL, 'DNA POLYMERASE ZETA CATALYTIC SUBUNIT', 174832),
(231107, 'PTHR24055:SF420', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 18-RELATED', 174833),
(231108, 'PTHR30419:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, LYSR FAMILY', 174834),
(231109, 'PTHR21600:SF52', NULL, NULL, NULL, NULL, 'RNA PSEUDOURIDINE SYNTHASE 6, CHLOROPLASTIC', 174835),
(231110, 'PTHR11014:SF148', NULL, NULL, NULL, NULL, 'AUXIN CONJUGATE HYDROLASE', 174836),
(231111, 'PTHR11266:SF85', NULL, NULL, NULL, NULL, 'MPV17-LIKE PROTEIN', 174837),
(231112, 'PTHR16222:SF23', NULL, NULL, NULL, NULL, '[PROTEIN ADP-RIBOSYLARGININE] HYDROLASE-LIKE PROTEIN 1', 174838),
(231113, 'PTHR10606:SF74', NULL, NULL, NULL, NULL, 'BNAC05G04910D PROTEIN', 174839),
(231114, 'PTHR43452:SF3', NULL, NULL, NULL, NULL, 'TRANSAMINATED AMINO ACID DECARBOXYLASE', 174840),
(231115, 'PTHR15286:SF13', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 10', 174841),
(231116, 'PTHR22761', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN', 174842),
(231117, 'PTHR10989:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174843),
(231118, 'PTHR28268:SF1', NULL, NULL, NULL, NULL, 'MICOS SUBUNIT MIC26', 174844),
(231119, 'PTHR48048', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 174845),
(231120, 'PTHR15710:SF45', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 174846),
(231121, 'PTHR33044:SF91', NULL, NULL, NULL, NULL, 'RALF', 174847),
(231122, 'PTHR33511:SF15', NULL, NULL, NULL, NULL, 'OS02G0192001 PROTEIN', 174848),
(231123, 'PTHR45768:SF32', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL46-LIKE', 174849),
(231124, 'PTHR24023:SF533', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-6(IV) CHAIN', 174850),
(231125, 'PTHR11647:SF74', NULL, NULL, NULL, NULL, 'PROTEIN UNC-33', 174851),
(231126, 'PTHR32015:SF9', NULL, NULL, NULL, NULL, 'LIPASE RELATED', 174852),
(231127, 'PTHR13817:SF77', NULL, NULL, NULL, NULL, 'CONTACTIN 1', 174853),
(231128, 'PTHR10827:SF52', NULL, NULL, NULL, NULL, 'IP16409P', 174854),
(231129, 'PTHR44573:SF4', NULL, NULL, NULL, NULL, '2-METHYLENE-FURAN-3-ONE REDUCTASE-LIKE', 174855),
(231130, 'PTHR19343:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174856),
(231131, 'PTHR12609:SF5', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN 224', 174857),
(231132, 'PTHR11439:SF360', NULL, NULL, NULL, NULL, 'OS11G0656500 PROTEIN', 174858),
(231133, 'PTHR16223:SF181', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH68', 174859),
(231134, 'PTHR24103:SF562', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174860),
(231135, 'PTHR24093:SF486', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 174861),
(231136, 'PTHR48031:SF2', NULL, NULL, NULL, NULL, 'SRA STEM-LOOP-INTERACTING RNA-BINDING PROTEIN, MITOCHONDRIAL', 174862),
(231137, 'PTHR31717:SF96', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 11-RELATED', 174863);
INSERT INTO "PUBLIC"."MODEL" VALUES
(231138, 'PTHR11394:SF59', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 40', 174864),
(231139, 'PTHR31235:SF31', NULL, NULL, NULL, NULL, 'PEROXIDASE 1', 174865),
(231140, 'PTHR23101:SF72', NULL, NULL, NULL, NULL, 'RAS AND RAB INTERACTOR-LIKE PROTEIN', 174866),
(231141, 'PTHR24281:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174867),
(231142, 'PTHR46389:SF2', NULL, NULL, NULL, NULL, 'CHROMOBOX HOMOLOG 6A', 174868),
(231143, 'PTHR31471:SF70', NULL, NULL, NULL, NULL, 'BNAC03G56540D PROTEIN', 174869),
(231144, 'PTHR12302:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 31', 174870),
(231145, 'PTHR45168', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 2', 174871),
(231146, 'PTHR11731:SF21', NULL, NULL, NULL, NULL, 'INACTIVE DIPEPTIDYL PEPTIDASE 10', 174872),
(231147, 'PTHR31650:SF53', NULL, NULL, NULL, NULL, 'BNAA06G39110D PROTEIN', 174873),
(231148, 'PTHR31376:SF41', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 16-RELATED', 174874),
(231149, 'PTHR38926:SF24', NULL, NULL, NULL, NULL, 'BNAC03G29740D PROTEIN', 174875),
(231150, 'PTHR40038', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEIN TCAA', 174876),
(231151, 'PTHR46443:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 174877),
(231152, 'PTHR31776:SF21', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE 2', 174878),
(231153, 'PTHR31319:SF53', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 5', 174879),
(231154, 'PTHR43270:SF7', NULL, NULL, NULL, NULL, 'PATTERNED EXPRESSION SITE', 174880),
(231155, 'PTHR23262:SF210', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 9-3', 174881),
(231156, 'PTHR32382:SF39', NULL, NULL, NULL, NULL, 'OS05G0459700 PROTEIN', 174882),
(231157, 'PTHR48002:SF138', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 174883),
(231158, 'PTHR34766', NULL, NULL, NULL, NULL, 'UPF0449 PROTEIN C19ORF25', 174884),
(231159, 'PTHR23123:SF12', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING HISTONE DEMETHYLATION PROTEIN 1', 174885),
(231160, 'PTHR24220:SF662', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 174886),
(231161, 'PTHR12565:SF339', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH49', 174887),
(231162, 'PTHR11920:SF464', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', 174888),
(231163, 'PTHR47928:SF136', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 174889),
(231164, 'PTHR31238:SF185', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 174890),
(231165, 'PTHR10351:SF55', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', 174891),
(231166, 'PTHR31867:SF35', NULL, NULL, NULL, NULL, 'EXPANSIN-A15', 174892),
(231167, 'PTHR23511:SF31', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR-TYPE TRANSPORTER HXNZ-RELATED', 174893),
(231168, 'PTHR33264:SF26', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 174894),
(231169, 'PTHR20963:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174895),
(231170, 'PTHR23024:SF481', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 12-RELATED', 174896),
(231171, 'PTHR43874:SF144', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE, CHEY-LIKE SUPERFAMILY-RELATED', 174897),
(231172, 'PTHR23097:SF116', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 6B', 174898),
(231173, 'PTHR33446:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TONB', 174899),
(231174, 'PTHR24044:SF462', NULL, NULL, NULL, NULL, 'DELTA-LIKE 2 HOMOLOG (DROSOPHILA)', 174900),
(231175, 'PTHR43671:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174901),
(231176, 'PTHR18952:SF236', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 1, CHLOROPLASTIC', 174902),
(231177, 'PTHR34804:SF7', NULL, NULL, NULL, NULL, 'BNAC01G22000D PROTEIN', 174903),
(231178, 'PTHR43900:SF38', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, N-TERMINAL DOMAIN CONTAINING PROTEIN, EXPRESSED', 174904),
(231179, 'PTHR35138:SF1', NULL, NULL, NULL, NULL, 'OS01G0225300 PROTEIN', 174905),
(231180, 'PTHR10609:SF14', NULL, NULL, NULL, NULL, 'BIOTINIDASE', 174906),
(231181, 'PTHR21568:SF1', NULL, NULL, NULL, NULL, 'BNAC07G15400D PROTEIN', 174907),
(231182, 'PTHR34379:SF12', NULL, NULL, NULL, NULL, 'OS10G0485900 PROTEIN', 174908);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(231183, 'PTHR38148', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 174909),
(231184, 'PTHR23335:SF21', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN', 174910),
(231185, 'PTHR43464:SF47', NULL, NULL, NULL, NULL, 'SLR1117 PROTEIN', 174911),
(231186, 'PTHR43235:SF1', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE PB2B2.05-RELATED', 174912),
(231187, 'PTHR31940:SF2', NULL, NULL, NULL, NULL, 'SMALL KINETOCHORE-ASSOCIATED PROTEIN', 174913),
(231188, 'PTHR11689:SF157', NULL, NULL, NULL, NULL, 'BNAA02G11800D PROTEIN', 174914),
(231189, 'PTHR30194:SF3', NULL, NULL, NULL, NULL, 'CROSSOVER JUNCTION ENDODEOXYRIBONUCLEASE RUVC', 174915),
(231190, 'PTHR42980:SF1', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT BETA, MITOCHONDRIAL', 174916),
(231191, 'PTHR27000:SF714', NULL, NULL, NULL, NULL, 'PROTEIN TOO MANY MOUTHS', 174917),
(231192, 'PTHR24064:SF541', NULL, NULL, NULL, NULL, 'BNAA02G22230D PROTEIN', 174918),
(231193, 'PTHR10353:SF284', NULL, NULL, NULL, NULL, 'BNAA06G18980D PROTEIN', 174919),
(231194, 'PTHR10353:SF281', NULL, NULL, NULL, NULL, 'BNAA04G17070D PROTEIN', 174920),
(231195, 'PTHR10677:SF28', NULL, NULL, NULL, NULL, 'OS10G0542200 PROTEIN', 174921),
(231196, 'PTHR14154:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174922),
(231197, 'PTHR30026:SF13', NULL, NULL, NULL, NULL, 'MEMBRANE EFFLUX PROTEIN, PUTATIVE-RELATED', 174923),
(231198, 'PTHR45801:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174924),
(231199, 'PTHR32026:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG13751', 174925),
(231200, 'PTHR10266:SF14', NULL, NULL, NULL, NULL, 'BNAA02G28720D PROTEIN', 174926),
(231201, 'PTHR11214:SF278', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 174927),
(231202, 'PTHR31967:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG21540', 174928),
(231203, 'PTHR47179:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 174929),
(231204, 'PTHR11260:SF670', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174930),
(231205, 'PTHR37834:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174931),
(231206, 'PTHR35107:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174932),
(231207, 'PTHR12526:SF586', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE GROUP 1', 174933),
(231208, 'PTHR11960', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E RELATED', 174934),
(231209, 'PTHR43248:SF12', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', 174935),
(231210, 'PTHR43756:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174936),
(231211, 'PTHR35356:SF5', NULL, NULL, NULL, NULL, 'OS01G0157300 PROTEIN', 174937),
(231212, 'PTHR35859:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE CHANNEL PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11300)-RELATED', 174938),
(231213, 'PTHR28083', NULL, NULL, NULL, NULL, 'GOOD FOR FULL DBP5 ACTIVITY PROTEIN 2', 174939),
(231214, 'PTHR45847:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174940),
(231215, 'PTHR10037:SF210', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 11 SUBUNIT ALPHA', 174941),
(231216, 'PTHR12181', NULL, NULL, NULL, NULL, 'LIPIN', 174942),
(231217, 'PTHR14248', NULL, NULL, NULL, NULL, 'CYCLIN Y, ISOFORM A', 174943),
(231218, 'PTHR10174:SF120', NULL, NULL, NULL, NULL, 'CELLULAR RETINALDEHYDE BINDING PROTEIN', 174944),
(231219, 'PTHR21646:SF27', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 8', 174945),
(231220, 'PTHR15171', NULL, NULL, NULL, NULL, 'EMERIN', 174946),
(231221, 'PTHR46746:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174947),
(231222, 'PTHR47966:SF42', NULL, NULL, NULL, NULL, 'CATHEPSIN D', 174948),
(231223, 'PTHR31659:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174949),
(231224, 'PTHR20861:SF3', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE', 174950),
(231225, 'PTHR24286:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174951),
(231226, 'PTHR11851:SF134', NULL, NULL, NULL, NULL, 'ZINC PROTEASE ALBF-RELATED', 174952),
(231227, 'PTHR17224', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE', 174953),
(231228, 'PTHR33601:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174954);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(231229, 'PTHR31674:SF57', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM-LIKE 2', 174955),
(231230, 'PTHR12064:SF67', NULL, NULL, NULL, NULL, 'PROTEIN MAM3', 174956),
(231231, 'PTHR11863:SF106', NULL, NULL, NULL, NULL, 'CHOLESTEROL 25-HYDROXYLASE-LIKE PROTEIN 2', 174957),
(231232, 'PTHR19970:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39', 174958),
(231233, 'PTHR13247:SF14', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION 1 PROTEIN', 174959),
(231234, 'PTHR46230:SF7', NULL, NULL, NULL, NULL, 'BNAC09G40360D PROTEIN', 174960),
(231235, 'PTHR32278:SF76', NULL, NULL, NULL, NULL, 'BNAA02G26300D PROTEIN', 174961),
(231236, 'PTHR12300:SF113', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN H', 174962),
(231237, 'PTHR10573:SF0', NULL, NULL, NULL, NULL, 'INTERLEUKIN-2 RECEPTOR SUBUNIT ALPHA', 174963),
(231238, 'PTHR15889', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN L37', 174964),
(231239, 'PTHR14815', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 17', 174965),
(231240, 'PTHR43066:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174966),
(231241, 'PTHR12835:SF9', NULL, NULL, NULL, NULL, 'BIOTIN--PROTEIN LIGASE', 174967),
(231242, 'PTHR31639:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174968),
(231243, 'PTHR10055:SF1', NULL, NULL, NULL, NULL, 'TRYPTOPHAN--TRNA LIGASE, CYTOPLASMIC', 174969),
(231244, 'PTHR42893:SF16', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 174970),
(231245, 'PTHR48042', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 11', 174971),
(231246, 'PTHR16223:SF227', NULL, NULL, NULL, NULL, 'BNAA01G07690D PROTEIN', 174972),
(231247, 'PTHR11972:SF153', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN F', 174973),
(231248, 'PTHR11937:SF390', NULL, NULL, NULL, NULL, 'SI:CH211-241J12.3', 174974),
(231249, 'PTHR24414:SF39', NULL, NULL, NULL, NULL, 'KELCH MOTIF FAMILY PROTEIN, EXPRESSED', 174975),
(231250, 'PTHR31589:SF123', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', 174976),
(231251, 'PTHR20961:SF85', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', 174977),
(231252, 'PTHR31470:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174978),
(231253, 'PTHR31221:SF86', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 174979),
(231254, 'PTHR10183:SF395', NULL, NULL, NULL, NULL, 'CALPAIN 2, (M/II) LARGE SUBUNIT A-RELATED', 174980),
(231255, 'PTHR12499:SF15', NULL, NULL, NULL, NULL, 'OPTIC ATROPHY 3 PROTEIN HOMOLOG', 174981),
(231256, 'PTHR33048:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174982),
(231257, 'PTHR12845:SF8', NULL, NULL, NULL, NULL, 'EPHEXIN-1', 174983),
(231258, 'PTHR23137:SF6', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', 174984),
(231259, 'PTHR22175:SF0', NULL, NULL, NULL, NULL, 'SMALL ACIDIC PROTEIN', 174985),
(231260, 'PTHR32423:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174986),
(231261, 'PTHR31415:SF51', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', 174987),
(231262, 'PTHR47926:SF81', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 174988),
(231263, 'PTHR35797', NULL, NULL, NULL, NULL, 'PROTEASE-RELATED', 174989),
(231264, 'PTHR45228:SF5', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE VC_1348-RELATED', 174990),
(231265, 'PTHR47367:SF1', NULL, NULL, NULL, NULL, 'AUXIN-REGULATED PROTEIN-LIKE', 174991),
(231266, 'PTHR31790:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174992),
(231267, 'PTHR26452:SF256', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 174993),
(231268, 'PTHR24305:SF162', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 174994),
(231269, 'PTHR21528', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 174995),
(231270, 'PTHR22847:SF650', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 174996),
(231271, 'PTHR11727:SF27', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE, CHLOROPLASTIC', 174997),
(231272, 'PTHR24192:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 40', 174998);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(231273, 'PTHR31194:SF114', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED GENES TRANSCRIPTIONAL ACTIVATOR PTI6-LIKE', 174999),
(231274, 'PTHR30433:SF2', NULL, NULL, NULL, NULL, 'MOTILITY PROTEIN A', 175000),
(231275, 'PTHR35191:SF1', NULL, NULL, NULL, NULL, 'PROPHAGE SIDE TAIL FIBER PROTEIN HOMOLOG STFQ-RELATED', 175001),
(231276, 'PTHR48019:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175002),
(231277, 'PTHR48018:SF99', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 175003),
(231278, 'PTHR20957', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 175004),
(231279, 'PTHR24214:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175005),
(231280, 'PTHR23079:SF36', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 175006),
(231281, 'PTHR13477:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L49, MITOCHONDRIAL', 175007),
(231282, 'PTHR18898:SF3', NULL, NULL, NULL, NULL, 'TRANSLOCATED PROMOTER REGION A, NUCLEAR BASKET PROTEIN', 175008),
(231283, 'PTHR46312:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175009),
(231284, 'PTHR46286:SF3', NULL, NULL, NULL, NULL, 'OS05G0145400 PROTEIN', 175010),
(231285, 'PTHR13962', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N3-LIKE PROTEIN-RELATED', 175011),
(231286, 'PTHR22588:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04137', 175012),
(231287, 'PTHR11492:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR 1 A-TYPE', 175013),
(231288, 'PTHR21716:SF55', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN SLL0063-RELATED', 175014),
(231289, 'PTHR23313:SF0', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 9', 175015),
(231290, 'PTHR48018:SF34', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 175016),
(231291, 'PTHR16040:SF5', NULL, NULL, NULL, NULL, 'BOREALIN-2', 175017),
(231292, 'PTHR19384:SF116', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', 175018),
(231293, 'PTHR10445', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIF SUBUNIT 2', 175019),
(231294, 'PTHR31367:SF5', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE', 175020),
(231295, 'PTHR14659', NULL, NULL, NULL, NULL, 'ALPHA- AND GAMMA-ADAPTIN-BINDING PROTEIN P34', 175021),
(231296, 'PTHR11161:SF51', NULL, NULL, NULL, NULL, 'NOSE RESISTANT TO FLUOXETINE PROTEIN 6-LIKE PROTEIN', 175022),
(231297, 'PTHR35975:SF2', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 11B', 175023),
(231298, 'PTHR24296:SF214', NULL, NULL, NULL, NULL, 'BNAC08G09240D PROTEIN', 175024),
(231299, 'PTHR48043:SF3', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 175025),
(231300, 'PTHR46153:SF12', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 5, CHLOROPLASTIC', 175026),
(231301, 'PTHR11267:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175027),
(231302, 'PTHR44591:SF13', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR', 175028),
(231303, 'PTHR46406', NULL, NULL, NULL, NULL, 'NITRIC OXIDE-ASSOCIATED PROTEIN 1', 175029),
(231304, 'PTHR13270', NULL, NULL, NULL, NULL, 'PROTEIN C20ORF116-RELATED', 175030),
(231305, 'PTHR34231:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175031),
(231306, 'PTHR13483:SF3', NULL, NULL, NULL, NULL, 'BOX C/D SNORNA PROTEIN 1', 175032),
(231307, 'PTHR33167:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175033),
(231308, 'PTHR10801:SF15', NULL, NULL, NULL, NULL, 'DELTA(24)-STEROL REDUCTASE-RELATED', 175034),
(231309, 'PTHR46410:SF14', NULL, NULL, NULL, NULL, 'BNAA04G26630D PROTEIN', 175035),
(231310, 'PTHR33044:SF103', NULL, NULL, NULL, NULL, 'OS07G0244900 PROTEIN', 175036),
(231311, 'PTHR22930:SF218', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE DOMAIN PROTEIN', 175037),
(231312, 'PTHR23086:SF66', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', 175038),
(231313, 'PTHR24104:SF8', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 3-LIKE', 175039),
(231314, 'PTHR11771:SF54', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE 2', 175040),
(231315, 'PTHR24075', NULL, NULL, NULL, NULL, 'SEC63 DOMAIN-CONTAINING', 175041),
(231316, 'PTHR23226:SF133', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 715', 175042),
(231317, 'PTHR37860', NULL, NULL, NULL, NULL, 'AGAP008810-PA', 175043); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(231318, 'PTHR43520:SF12', NULL, NULL, NULL, NULL, 'COPPER RESISTANCE P-TYPE ATPASE (EUROFUNG)', 175044),
(231319, 'PTHR22765:SF318', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', 175045),
(231320, 'PTHR28242:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175046),
(231321, 'PTHR23336:SF56', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE-, DNA GYRASE B-, AND HSP90-LIKE ATPASE FAMILY PROTEIN', 175047),
(231322, 'PTHR33142:SF73', NULL, NULL, NULL, NULL, 'BNAA03G54850D PROTEIN', 175048),
(231323, 'PTHR13677', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 175049),
(231324, 'PTHR21082:SF4', NULL, NULL, NULL, NULL, 'PROTEIN INTURNED', 175050),
(231325, 'PTHR34976:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE BC_0920', 175051),
(231326, 'PTHR12131:SF22', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH10-LIKE ISOFORM X1', 175052),
(231327, 'PTHR21266', NULL, NULL, NULL, NULL, 'IRON-SULFUR DOMAIN CONTAINING PROTEIN', 175053),
(231328, 'PTHR10015:SF382', NULL, NULL, NULL, NULL, 'BNAC06G00310D PROTEIN', 175054),
(231329, 'PTHR45920:SF3', NULL, NULL, NULL, NULL, 'FH1/FH2 DOMAIN-CONTAINING PROTEIN 3', 175055),
(231330, 'PTHR45963:SF3', NULL, NULL, NULL, NULL, 'SORTING NEXIN-12', 175056),
(231331, 'PTHR27007:SF43', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VI.1-RELATED', 175057),
(231332, 'PTHR13778:SF13', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 3-RELATED', 175058),
(231333, 'PTHR42771:SF10', NULL, NULL, NULL, NULL, 'FERRICHROME TRANSPORT ATP-BINDING PROTEIN FHUC', 175059),
(231334, 'PTHR24223:SF362', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 4', 175060),
(231335, 'PTHR48181:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175061),
(231336, 'PTHR39933:SF1', NULL, NULL, NULL, NULL, 'CENTAURIN-GAMMA-1A-LIKE PROTEIN', 175062),
(231337, 'PTHR27006:SF324', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-7', 175063),
(231338, 'PTHR46669:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH PPR MOTIF-CONTAINING PROTEIN, MITOCHONDRIAL', 175064),
(231339, 'PTHR21250:SF5', NULL, NULL, NULL, NULL, 'BNAA09G03570D PROTEIN', 175065),
(231340, 'PTHR45971:SF1', NULL, NULL, NULL, NULL, 'PHOX (PX) DOMAIN-CONTAINING PROTEIN', 175066),
(231341, 'PTHR45089:SF24', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', 175067),
(231342, 'PTHR43182', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-6B C(15)-METHYLTRANSFERASE (DECARBOXYLATING)', 175068),
(231343, 'PTHR31878:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175069),
(231344, 'PTHR38618:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG21701', 175070),
(231345, 'PTHR18945:SF851', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175071),
(231346, 'PTHR31238:SF96', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 12-4-RELATED', 175072),
(231347, 'PTHR45717:SF36', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 175073),
(231348, 'PTHR48227:SF1', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 1-LIKE', 175074),
(231349, 'PTHR46567:SF3', NULL, NULL, NULL, NULL, 'BNAA09G51930D PROTEIN', 175075),
(231350, 'PTHR36477:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 225', 175076),
(231351, 'PTHR10819:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOTRIESTERASE-RELATED PROTEIN', 175077),
(231352, 'PTHR10606:SF36', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 175078),
(231353, 'PTHR43827:SF3', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE', 175079),
(231354, 'PTHR31731:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175080),
(231355, 'PTHR11850:SF264', NULL, NULL, NULL, NULL, 'CLASS II KNOTTED-LIKE HOMEOBOX PROTEIN', 175081),
(231356, 'PTHR45866:SF4', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 4 SUBUNIT B', 175082),
(231357, 'PTHR24248:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175083),
(231358, 'PTHR10791:SF196', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET11', 175084),
(231359, 'PTHR31286:SF74', NULL, NULL, NULL, NULL, 'BNAA05G15600D PROTEIN', 175085),
(231360, 'PTHR31796:SF4', NULL, NULL, NULL, NULL, 'SUZ DOMAIN-CONTAINING PROTEIN 1', 175086);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(231361, 'PTHR13780:SF142', NULL, NULL, NULL, NULL, 'PROTEIN SDS23-RELATED', 175087),
(231362, 'PTHR47958:SF29', NULL, NULL, NULL, NULL, 'DEAD/DEAH BOX RNA HELICASE FAMILY PROTEIN-RELATED', 175088),
(231363, 'PTHR12856:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175089),
(231364, 'PTHR31384:SF85', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 175090),
(231365, 'PTHR12771:SF23', NULL, NULL, NULL, NULL, 'ENGULFMENT AND CELL MOTILITY PROTEIN 1', 175091),
(231366, 'PTHR45532', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 97', 175092),
(231367, 'PTHR11255:SF105', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 175093),
(231368, 'PTHR24128:SF65', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBOS31-RELATED', 175094),
(231369, 'PTHR12945', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF3-RELATED', 175095),
(231370, 'PTHR10168:SF203', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C14', 175096),
(231371, 'PTHR11139:SF105', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASES/INOSITOL OR PHOSPHATIDYLINOSITOL KINASE', 175097),
(231372, 'PTHR31346:SF12', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 7, MITOCHONDRIAL', 175098),
(231373, 'PTHR31707:SF256', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 175099),
(231374, 'PTHR47928:SF137', NULL, NULL, NULL, NULL, 'OS06G0493801 PROTEIN', 175100),
(231375, 'PTHR32176:SF30', NULL, NULL, NULL, NULL, 'PATATIN', 175101),
(231376, 'PTHR11732:SF393', NULL, NULL, NULL, NULL, 'DEHYDROGENASE (GCY1), PUTATIVE-RELATED', 175102),
(231377, 'PTHR11306:SF55', NULL, NULL, NULL, NULL, 'GEO08227P1-RELATED', 175103),
(231378, 'PTHR43418:SF3', NULL, NULL, NULL, NULL, 'GMP SYNTHASE [GLUTAMINE-HYDROLYZING] SUBUNIT B', 175104),
(231379, 'PTHR14017:SF25', NULL, NULL, NULL, NULL, 'HISTONE DEMETHYLASE UTY', 175105),
(231380, 'PTHR46442:SF11', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 12-RELATED', 175106),
(231381, 'PTHR31207:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175107),
(231382, 'PTHR37213:SF1', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE', 175108),
(231383, 'PTHR10132:SF16', NULL, NULL, NULL, NULL, 'ALPHA-SARCOGLYCAN', 175109),
(231384, 'PTHR43188', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 175110),
(231385, 'PTHR24286:SF177', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 26B1', 175111),
(231386, 'PTHR24296:SF78', NULL, NULL, NULL, NULL, 'OS02G0666500 PROTEIN', 175112),
(231387, 'PTHR12939:SF10', NULL, NULL, NULL, NULL, 'EG:4F1.1 PROTEIN', 175113),
(231388, 'PTHR45134:SF5', NULL, NULL, NULL, NULL, 'OS08G0543275 PROTEIN', 175114),
(231389, 'PTHR45687:SF64', NULL, NULL, NULL, NULL, 'PLASMAMEMBRANE INTRINSIC PROTEIN 25', 175115),
(231390, 'PTHR31594:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175116),
(231391, 'PTHR10774:SF197', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN-RELATED', 175117),
(231392, 'PTHR10231:SF41', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR TRANSPORTER FAMILY', 175118),
(231393, 'PTHR32099:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175119),
(231394, 'PTHR11347:SF104', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', 175120),
(231395, 'PTHR31953:SF58', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV3', 175121),
(231396, 'PTHR12521:SF0', NULL, NULL, NULL, NULL, 'ADP-RIBOSE GLYCOHYDROLASE OARD1', 175122),
(231397, 'PTHR42865:SF3', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLATE TRANSPORT PROTEIN 1', 175123),
(231398, 'PTHR15343:SF0', NULL, NULL, NULL, NULL, 'T-CELL ANTIGEN CD7', 175124),
(231399, 'PTHR47527:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175125),
(231400, 'PTHR35166', NULL, NULL, NULL, NULL, 'OS05G0193700 PROTEIN-RELATED', 175126),
(231401, 'PTHR12320:SF67', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 175127),
(231402, 'PTHR46230', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 175128),
(231403, 'PTHR31989:SF141', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 175129),
(231404, 'PTHR27001:SF527', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 175130),
(231405, 'PTHR36586:SF18', NULL, NULL, NULL, NULL, 'PROLINE-RICH EXTENSIN-LIKE FAMILY PROTEIN', 175131);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(231406, 'PTHR12612:SF35', NULL, NULL, NULL, NULL, 'TRANSPORT FACTOR 2 PROTEIN, PUTATIVE-RELATED', 175132),
(231407, 'PTHR23319:SF33', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED LIPID-BINDING PROTEIN LAM5-RELATED', 175133),
(231408, 'PTHR32227:SF346', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-LIKE', 175134),
(231409, 'PTHR22957:SF593', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175135),
(231410, 'PTHR24418:SF90', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE YES', 175136),
(231411, 'PTHR34451:SF15', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN', 175137),
(231412, 'PTHR24034:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175138),
(231413, 'PTHR33927:SF5', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01222)-RELATED', 175139),
(231414, 'PTHR45745:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE 45A', 175140),
(231415, 'PTHR47846:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175141),
(231416, 'PTHR47005:SF11', NULL, NULL, NULL, NULL, 'OS04G0401100 PROTEIN', 175142),
(231417, 'PTHR34379:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 175143),
(231418, 'PTHR31072:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175144),
(231419, 'PTHR28492:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC691921', 175145),
(231420, 'PTHR13464', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR PROTEIN HCNGP', 175146),
(231421, 'PTHR42746', NULL, NULL, NULL, NULL, 'DIADENOSINE 5'',5''''''-P1,P4-TETRAPHOSPHATE PHOSPHORYLASE', 175147),
(231422, 'PTHR12411:SF141', NULL, NULL, NULL, NULL, 'CATHEPSIN R', 175148),
(231423, 'PTHR24015:SF1822', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 175149),
(231424, 'PTHR10261:SF8', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA', 175150),
(231425, 'PTHR34438', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 175151),
(231426, 'PTHR44743:SF5', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 175152),
(231427, 'PTHR23281:SF20', NULL, NULL, NULL, NULL, 'NEUROFIBROMIN 2B (MERLIN)', 175153),
(231428, 'PTHR21493:SF79', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN GOT1B', 175154),
(231429, 'PTHR47518:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 175155),
(231430, 'PTHR27006:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175156),
(231431, 'PTHR31374:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175157),
(231432, 'PTHR10891:SF783', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML31-RELATED', 175158),
(231433, 'PTHR43297', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT ATP-BINDING PROTEIN APPD', 175159),
(231434, 'PTHR11690:SF257', NULL, NULL, NULL, NULL, 'DEGENERIN DEG-1', 175160),
(231435, 'PTHR45730:SF56', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN-RELATED', 175161),
(231436, 'PTHR42721:SF23', NULL, NULL, NULL, NULL, 'BETA-XYLOSIDASE/ALPHA-L-ARABINOFURANOSIDASE-LIKE PROTEIN', 175162),
(231437, 'PTHR45959:SF34', NULL, NULL, NULL, NULL, 'BASIC HELIX LOOP HELIX (BHLH) DNA-BINDING FAMILY PROTEIN', 175163),
(231438, 'PTHR12231:SF218', NULL, NULL, NULL, NULL, 'CNTN2 ISOFORM 1', 175164),
(231439, 'PTHR15241:SF347', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A3-LIKE', 175165),
(231440, 'PTHR45738:SF16', NULL, NULL, NULL, NULL, 'SAC DOMAIN, PHOSPHOINOSITIDE PHOSPHATASE SAC, PLANT-RELATED', 175166),
(231441, 'PTHR33294:SF16', NULL, NULL, NULL, NULL, 'BNAC05G02680D PROTEIN', 175167),
(231442, 'PTHR10855:SF4', NULL, NULL, NULL, NULL, 'BNAA06G36960D PROTEIN', 175168),
(231443, 'PTHR31415:SF90', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 3-LIKE', 175169),
(231444, 'PTHR21879:SF23', NULL, NULL, NULL, NULL, 'IP06949P', 175170),
(231445, 'PTHR33086:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175171),
(231446, 'PTHR15139:SF0', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE C', 175172),
(231447, 'PTHR46400:SF13', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 175173),
(231448, 'PTHR46091:SF2', NULL, NULL, NULL, NULL, 'INACTIVE ALL-TRANS-RETINOL 13,14-REDUCTASE-RELATED', 175174);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(231449, 'PTHR48010:SF62', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE-RELATED', 175175),
(231450, 'PTHR10464:SF6', NULL, NULL, NULL, NULL, 'UREA TRANSPORTER 2', 175176),
(231451, 'PTHR11711:SF31', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE 5', 175177),
(231452, 'PTHR45749:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175178),
(231453, 'PTHR13154:SF6', NULL, NULL, NULL, NULL, 'GEO05078P1', 175179),
(231454, 'PTHR11963:SF4', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE NPEPL1-RELATED', 175180),
(231455, 'PTHR33527:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175181),
(231456, 'PTHR44329:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175182),
(231457, 'PTHR35243:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175183),
(231458, 'PTHR11232:SF57', NULL, NULL, NULL, NULL, 'RE46159P', 175184),
(231459, 'PTHR32467:SF160', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR-RELATED', 175185),
(231460, 'PTHR30272:SF1', NULL, NULL, NULL, NULL, '(3R)-HYDROXYMYRISTOYL-[ACYL CARRIER PROTEIN] DEHYDRATASE-LIKE PROTEIN', 175186),
(231461, 'PTHR31385:SF5', NULL, NULL, NULL, NULL, 'F5O8.12 PROTEIN', 175187),
(231462, 'PTHR24418:SF225', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 175188),
(231463, 'PTHR45714:SF58', NULL, NULL, NULL, NULL, 'BNAA03G55490D PROTEIN', 175189),
(231464, 'PTHR33721:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-283J8.1', 175190),
(231465, 'PTHR33137:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175191),
(231466, 'PTHR18966:SF174', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, KAINATE 3', 175192),
(231467, 'PTHR24241:SF150', NULL, NULL, NULL, NULL, 'CHOLECYSTOKININ RECEPTOR TYPE A-LIKE ISOFORM X1', 175193),
(231468, 'PTHR47086:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175194),
(231469, 'PTHR21593:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG06429', 175195),
(231470, 'PTHR11346:SF108', NULL, NULL, NULL, NULL, '32 KDA BETA-GALACTOSIDE-BINDING LECTIN', 175196),
(231471, 'PTHR31376:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175197),
(231472, 'PTHR37310:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 175198),
(231473, 'PTHR24377:SF792', NULL, NULL, NULL, NULL, 'METAL RESPONSE ELEMENT-BINDING TRANSCRIPTION FACTOR-1, ISOFORM C', 175199),
(231474, 'PTHR32467:SF163', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 175200),
(231475, 'PTHR22705:SF0', NULL, NULL, NULL, NULL, 'ZZ-TYPE ZINC FINGER-CONTAINING PROTEIN 3', 175201),
(231476, 'PTHR15852:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ORANGE-LIKE, CHLOROPLASTIC', 175202),
(231477, 'PTHR21402:SF6', NULL, NULL, NULL, NULL, 'GAMETOCYTE-SPECIFIC FACTOR 2', 175203),
(231478, 'PTHR48006:SF2', NULL, NULL, NULL, NULL, 'OS05G0305900 PROTEIN', 175204),
(231479, 'PTHR32093:SF121', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 6', 175205),
(231480, 'PTHR11711:SF361', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-RELATED', 175206),
(231481, 'PTHR15071:SF27', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 27', 175207),
(231482, 'PTHR24381:SF245', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 22', 175208),
(231483, 'PTHR33592:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175209),
(231484, 'PTHR33159:SF44', NULL, NULL, NULL, NULL, 'RIN4, PATHOGENIC TYPE III EFFECTOR AVIRULENCE FACTOR AVR CLEAVAGE-RELATED', 175210),
(231485, 'PTHR42968:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175211),
(231486, 'PTHR17378', NULL, NULL, NULL, NULL, 'SECRETIN', 175212),
(231487, 'PTHR14093', NULL, NULL, NULL, NULL, 'HLA CLASS II GAMMA CHAIN', 175213),
(231488, 'PTHR30555:SF6', NULL, NULL, NULL, NULL, 'CATALASE-PEROXIDASE', 175214),
(231489, 'PTHR34652:SF2', NULL, NULL, NULL, NULL, 'AGAP002134-PA', 175215),
(231490, 'PTHR10292:SF26', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', 175216),
(231491, 'PTHR11544:SF106', NULL, NULL, NULL, NULL, 'COLD SHOCK-LIKE PROTEIN CSPG-RELATED', 175217),
(231492, 'PTHR19918:SF54', NULL, NULL, NULL, NULL, 'BNACNNG73980D PROTEIN', 175218),
(231493, 'PTHR15932:SF2', NULL, NULL, NULL, NULL, 'BRCA1-A COMPLEX SUBUNIT RAP80', 175219);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(231494, 'PTHR48016:SF11', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA-LIKE ISOFORM X1', 175220),
(231495, 'PTHR31388:SF158', NULL, NULL, NULL, NULL, 'PEROXIDASE', 175221),
(231496, 'PTHR47990:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175222),
(231497, 'PTHR46910:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175223),
(231498, 'PTHR43207:SF6', NULL, NULL, NULL, NULL, 'OS06G0542200 PROTEIN', 175224),
(231499, 'PTHR33795', NULL, NULL, NULL, NULL, 'INSERTION ELEMENT IS150 PROTEIN INSJ', 175225),
(231500, 'PTHR11451:SF53', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE, CYTOPLASMIC', 175226),
(231501, 'PTHR11157:SF124', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN 3-LIKE', 175227),
(231502, 'PTHR24353:SF135', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, CAMP-DEPENDENT, CATALYTIC, ALPHA, GENOME DUPLICATE B', 175228),
(231503, 'PTHR21522:SF31', NULL, NULL, NULL, NULL, 'OTOPETRIN-LIKE', 175229),
(231504, 'PTHR24368:SF62', NULL, NULL, NULL, NULL, 'AMPHOTERIN-INDUCED PROTEIN 3', 175230),
(231505, 'PTHR11205:SF49', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S5', 175231),
(231506, 'PTHR37771:SF3', NULL, NULL, NULL, NULL, 'BNACNNG15720D PROTEIN', 175232),
(231507, 'PTHR13690:SF122', NULL, NULL, NULL, NULL, 'ATBZIP TRANSCRIPTION FACTOR', 175233),
(231508, 'PTHR23339:SF65', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE TYPE IVA 2', 175234),
(231509, 'PTHR24221:SF538', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN HOMOLOG 65', 175235),
(231510, 'PTHR11702:SF39', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN OBGC2-RELATED', 175236),
(231511, 'PTHR11848:SF19', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 9', 175237),
(231512, 'PTHR46163:SF7', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE-LIKE PROTEIN EGG-3', 175238),
(231513, 'PTHR12308:SF33', NULL, NULL, NULL, NULL, 'ANOCTAMIN', 175239),
(231514, 'PTHR33406:SF10', NULL, NULL, NULL, NULL, 'MMPL FAMILY EFFLUX PUMP', 175240),
(231515, 'PTHR48050:SF6', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 1-10-RELATED', 175241),
(231516, 'PTHR22814', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN ATOX1-RELATED', 175242),
(231517, 'PTHR27007:SF62', NULL, NULL, NULL, NULL, 'OS12G0608500 PROTEIN', 175243),
(231518, 'PTHR10353:SF273', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1 PROTEIN', 175244),
(231519, 'PTHR32071:SF91', NULL, NULL, NULL, NULL, 'TUNGSTATE-RESPONSIVE TWO COMPONENT SIGMA54-DEPENDENT SIGNAL TRANSDUCTION SYSTEM RESPONSE REGULATOR FIS FAMILY', 175245),
(231520, 'PTHR12210:SF145', NULL, NULL, NULL, NULL, 'CTD SMALL PHOSPHATASE-LIKE PROTEIN 1', 175246),
(231521, 'PTHR43751:SF3', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE 6-SULFATASE (GALNS)', 175247),
(231522, 'PTHR15840', NULL, NULL, NULL, NULL, 'CGI-121 FAMILY MEMBER', 175248),
(231523, 'PTHR22765:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175249),
(231524, 'PTHR43557:SF8', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 3', 175250),
(231525, 'PTHR47989', NULL, NULL, NULL, NULL, 'OS01G0750732 PROTEIN', 175251),
(231526, 'PTHR47903:SF2', NULL, NULL, NULL, NULL, 'OS07G0636400 PROTEIN', 175252),
(231527, 'PTHR33257:SF38', NULL, NULL, NULL, NULL, 'OS01G0824900 PROTEIN', 175253),
(231528, 'PTHR43360:SF1', NULL, NULL, NULL, NULL, 'CARBON DIOXIDE CONCENTRATING MECHANISM PROTEIN CCMM', 175254),
(231529, 'PTHR22923:SF103', NULL, NULL, NULL, NULL, 'CEREBELLIN 20-RELATED', 175255),
(231530, 'PTHR33392', NULL, NULL, NULL, NULL, 'POLYISOPRENYL-TEICHOIC ACID--PEPTIDOGLYCAN TEICHOIC ACID TRANSFERASE TAGU', 175256),
(231531, 'PTHR47980:SF36', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-10', 175257),
(231532, 'PTHR10660:SF2', NULL, NULL, NULL, NULL, 'LD45860P', 175258),
(231533, 'PTHR15336:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6', 175259),
(231534, 'PTHR14768:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 91', 175260),
(231535, 'PTHR43068:SF1', NULL, NULL, NULL, NULL, 'SLR1854 PROTEIN', 175261),
(231536, 'PTHR12801:SF117', NULL, NULL, NULL, NULL, 'PROTEIN CBG19115', 175262);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(231537, 'PTHR21580:SF21', NULL, NULL, NULL, NULL, 'O(6)-METHYLGUANINE-INDUCED APOPTOSIS 2', 175263),
(231538, 'PTHR34801:SF4', NULL, NULL, NULL, NULL, 'DUF1499 FAMILY PROTEIN', 175264),
(231539, 'PTHR38038:SF1', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN ACTIVATOR LPOA', 175265),
(231540, 'PTHR23124:SF139', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 175266),
(231541, 'PTHR21649:SF5', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I CHLOROPHYLL A/B-BINDING PROTEIN 6, CHLOROPLASTIC', 175267),
(231542, 'PTHR38604:SF1', NULL, NULL, NULL, NULL, 'PERIPLASMIC NITRATE REDUCTASE, ELECTRON TRANSFER SUBUNIT', 175268),
(231543, 'PTHR43527', NULL, NULL, NULL, NULL, '4-DIPHOSPHOCYTIDYL-2-C-METHYL-D-ERYTHRITOL KINASE, CHLOROPLASTIC', 175269),
(231544, 'PTHR42647:SF41', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BOI-LIKE', 175270),
(231545, 'PTHR23284:SF5', NULL, NULL, NULL, NULL, 'SEC12P-LIKE 2 PROTEIN-RELATED', 175271),
(231546, 'PTHR48026:SF12', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A3', 175272),
(231547, 'PTHR31506:SF25', NULL, NULL, NULL, NULL, 'PROTEIN BRASSINAZOLE-RESISTANT 2', 175273),
(231548, 'PTHR23257:SF803', NULL, NULL, NULL, NULL, 'OS12G0594300 PROTEIN', 175274),
(231549, 'PTHR30023', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE', 175275),
(231550, 'PTHR35274:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CLKA-RELATED', 175276),
(231551, 'PTHR24286:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175277),
(231552, 'PTHR33433:SF24', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 3-RELATED', 175278),
(231553, 'PTHR23359:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175279),
(231554, 'PTHR31558:SF27', NULL, NULL, NULL, NULL, 'BNAA09G48200D PROTEIN', 175280),
(231555, 'PTHR27007:SF242', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.9', 175281),
(231556, 'PTHR24377:SF747', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 408', 175282),
(231557, 'PTHR31155:SF30', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 2, CHLOROPLASTIC-RELATED', 175283),
(231558, 'PTHR47293:SF26', NULL, NULL, NULL, NULL, 'MANNOSE-BINDING LECTIN SUPERFAMILY PROTEIN', 175284),
(231559, 'PTHR31625:SF30', NULL, NULL, NULL, NULL, 'MALONYL-COA:ISOFLAVONE 7-O-GLUCOSIDE MALONYLTRANSFERASE', 175285),
(231560, 'PTHR14224:SF42', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 75A', 175286),
(231561, 'PTHR11437:SF31', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 7', 175287),
(231562, 'PTHR46524:SF8', NULL, NULL, NULL, NULL, 'BNAC05G01610D PROTEIN', 175288),
(231563, 'PTHR37422:SF9', NULL, NULL, NULL, NULL, 'O-ANTIGEN LIGASE', 175289),
(231564, 'PTHR38501:SF1', NULL, NULL, NULL, NULL, 'PHOTORECEPTOR DISK COMPONENT PRCD', 175290),
(231565, 'PTHR48034:SF6', NULL, NULL, NULL, NULL, 'TRANSFORMER-2 SEX-DETERMINING PROTEIN', 175291),
(231566, 'PTHR45660:SF36', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH1-LIKE', 175292),
(231567, 'PTHR36709:SF1', NULL, NULL, NULL, NULL, 'OS02G0604100 PROTEIN', 175293),
(231568, 'PTHR47997:SF11', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 175294),
(231569, 'PTHR21713:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175295),
(231570, 'PTHR46320', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE 1', 175296),
(231571, 'PTHR45630:SF12', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE 13A3-RELATED', 175297),
(231572, 'PTHR32080', NULL, NULL, NULL, NULL, 'ANTIFUNGAL PROTEIN GINKBILOBIN-2-LIKE', 175298),
(231573, 'PTHR42210', NULL, NULL, NULL, NULL, 'DNA POLYMERASE II LARGE SUBUNIT', 175299),
(231574, 'PTHR24135', NULL, NULL, NULL, NULL, 'SH3 AND MULTIPLE ANKYRIN REPEAT DOMAINS PROTEIN', 175300),
(231575, 'PTHR43184:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG22645', 175301),
(231576, 'PTHR19282:SF424', NULL, NULL, NULL, NULL, 'TETRASPANIN', 175302),
(231577, 'PTHR33095:SF64', NULL, NULL, NULL, NULL, 'OS02G0134200 PROTEIN', 175303),
(231578, 'PTHR13018:SF132', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT CHANNEL, 7TM REGION, PUTATIVE PHOSPHATE-RELATED', 175304);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(231579, 'PTHR13980:SF18', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SPT16-RELATED', 175305),
(231580, 'PTHR16200', NULL, NULL, NULL, NULL, 'RING ZINC FINGER', 175306),
(231581, 'PTHR10891:SF781', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML20-RELATED', 175307),
(231582, 'PTHR13798:SF6', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN HOMOLOG', 175308),
(231583, 'PTHR33377:SF13', NULL, NULL, NULL, NULL, 'OS10G0134700 PROTEIN', 175309),
(231584, 'PTHR11413:SF105', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 175310),
(231585, 'PTHR12907:SF26', NULL, NULL, NULL, NULL, 'HIF PROLYL HYDROXYLASE, ISOFORM C', 175311),
(231586, 'PTHR33021:SF312', NULL, NULL, NULL, NULL, 'BNAC06G01720D PROTEIN', 175312),
(231587, 'PTHR22683:SF46', NULL, NULL, NULL, NULL, 'OOCYST CAPSULE PROTEIN', 175313),
(231588, 'PTHR31865:SF39', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 175314),
(231589, 'PTHR11010:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175315),
(231590, 'PTHR46672:SF4', NULL, NULL, NULL, NULL, 'OS08G0495500 PROTEIN', 175316),
(231591, 'PTHR46606:SF4', NULL, NULL, NULL, NULL, 'SHOOTIN2', 175317),
(231592, 'PTHR45277', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 175318),
(231593, 'PTHR19375:SF414', NULL, NULL, NULL, NULL, 'BNAA01G13780D PROTEIN', 175319),
(231594, 'PTHR11685:SF373', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 175320),
(231595, 'PTHR31580:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175321),
(231596, 'PTHR14519:SF6', NULL, NULL, NULL, NULL, 'VITAMIN K EPOXIDE REDUCTASE COMPLEX, SUBUNIT 1', 175322),
(231597, 'PTHR31096:SF22', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR4', 175323),
(231598, 'PTHR11941:SF133', NULL, NULL, NULL, NULL, '1,2-EPOXYPHENYLACETYL-COA ISOMERASE', 175324),
(231599, 'PTHR24281:SF42', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A9-LIKE', 175325),
(231600, 'PTHR10121:SF4', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT DELTA', 175326),
(231601, 'PTHR15551:SF9', NULL, NULL, NULL, NULL, 'LIM AND CALPONIN HOMOLOGY DOMAINS 1B', 175327),
(231602, 'PTHR31992:SF42', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN 2', 175328),
(231603, 'PTHR33052:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175329),
(231604, 'PTHR31236:SF28', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 175330),
(231605, 'PTHR23050:SF402', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND-LIKE PROTEIN', 175331),
(231606, 'PTHR23012:SF180', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 175332),
(231607, 'PTHR11802:SF322', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 175333),
(231608, 'PTHR21560:SF0', NULL, NULL, NULL, NULL, 'KINASE NON-CATALYTIC C-LOBE DOMAIN-CONTAINING PROTEIN 1', 175334),
(231609, 'PTHR33735:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175335),
(231610, 'PTHR45645:SF31', NULL, NULL, NULL, NULL, 'CUBILIN (INTRINSIC FACTOR-COBALAMIN RECEPTOR)', 175336),
(231611, 'PTHR10177:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175337),
(231612, 'PTHR21654:SF7', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 175338),
(231613, 'PTHR11183', NULL, NULL, NULL, NULL, 'GLYCOGENIN SUBFAMILY MEMBER', 175339),
(231614, 'PTHR23428:SF258', NULL, NULL, NULL, NULL, 'HISTONE H2B', 175340),
(231615, 'PTHR31223:SF63', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG', 175341),
(231616, 'PTHR43768:SF37', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', 175342),
(231617, 'PTHR48022:SF24', NULL, NULL, NULL, NULL, 'HEXOSE TRANSPORTER PROTEIN (AFU_ORTHOLOGUE AFUA_8G04480)', 175343),
(231618, 'PTHR12172:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175344),
(231619, 'PTHR31645:SF11', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL1', 175345),
(231620, 'PTHR32411:SF43', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 38', 175346),
(231621, 'PTHR11006', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE', 175347),
(231622, 'PTHR11385:SF11', NULL, NULL, NULL, NULL, 'VITAMIN D-BINDING PROTEIN', 175348);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(231623, 'PTHR48018:SF40', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 175349),
(231624, 'PTHR31384:SF74', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 175350),
(231625, 'PTHR34278:SF12', NULL, NULL, NULL, NULL, 'EF-HAND 1, CALCIUM-BINDING SITE-RELATED', 175351),
(231626, 'PTHR12629:SF15', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE-LIKE PROTEIN', 175352),
(231627, 'PTHR46108:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT- AND FYVE DOMAIN-CONTAINING PROTEIN 4', 175353),
(231628, 'PTHR32054:SF70', NULL, NULL, NULL, NULL, 'OS07G0620100 PROTEIN', 175354),
(231629, 'PTHR33601:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175355),
(231630, 'PTHR10857:SF112', NULL, NULL, NULL, NULL, 'COPINE-9', 175356),
(231631, 'PTHR23050:SF447', NULL, NULL, NULL, NULL, 'BNACNNG21080D PROTEIN', 175357),
(231632, 'PTHR33102:SF16', NULL, NULL, NULL, NULL, 'OS01G0972300 PROTEIN', 175358),
(231633, 'PTHR31568:SF76', NULL, NULL, NULL, NULL, 'BNAA04G18640D PROTEIN', 175359),
(231634, 'PTHR27005:SF87', NULL, NULL, NULL, NULL, 'OS11G0556600 PROTEIN', 175360),
(231635, 'PTHR10285:SF116', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 175361),
(231636, 'PTHR45648:SF5', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 6', 175362),
(231637, 'PTHR47092', NULL, NULL, NULL, NULL, 'CAT EYE SYNDROME CRITICAL REGION PROTEIN 2', 175363),
(231638, 'PTHR31218:SF335', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 175364),
(231639, 'PTHR35496:SF7', NULL, NULL, NULL, NULL, '2S SULFUR-RICH SEED STORAGE PROTEIN 2-LIKE', 175365),
(231640, 'PTHR45971:SF3', NULL, NULL, NULL, NULL, 'RUN DOMAIN BECLIN-1-INTERACTING AND CYSTEINE-RICH DOMAIN-CONTAINING PROTEIN', 175366),
(231641, 'PTHR42716:SF3', NULL, NULL, NULL, NULL, 'SLL1913 PROTEIN', 175367),
(231642, 'PTHR13593:SF38', NULL, NULL, NULL, NULL, 'AGAP006088-PA', 175368),
(231643, 'PTHR31541:SF40', NULL, NULL, NULL, NULL, 'BNAA04G18270D PROTEIN', 175369),
(231644, 'PTHR31896:SF62', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', 175370),
(231645, 'PTHR24183:SF1', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE 3 AND ANKYRIN REPEAT DOMAINS PROTEIN 1', 175371),
(231646, 'PTHR16223:SF180', NULL, NULL, NULL, NULL, 'OS04G0489600 PROTEIN', 175372),
(231647, 'PTHR38839:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR WHID', 175373),
(231648, 'PTHR47293:SF37', NULL, NULL, NULL, NULL, 'BNACNNG15490D PROTEIN', 175374),
(231649, 'PTHR45684:SF28', NULL, NULL, NULL, NULL, 'SAR1 GTP BINDING PROTEIN-RELATED', 175375),
(231650, 'PTHR15427:SF36', NULL, NULL, NULL, NULL, 'ELASTIN MICROFIBRIL INTERFACER 2A', 175376),
(231651, 'PTHR33985:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175377),
(231652, 'PTHR31342:SF47', NULL, NULL, NULL, NULL, 'ACTIN BINDING PROTEIN FAMILY-RELATED', 175378),
(231653, 'PTHR27002:SF513', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN PR1-RK2-RELATED', 175379),
(231654, 'PTHR18945:SF799', NULL, NULL, NULL, NULL, 'NICOTINIC ACETYLCHOLINE RECEPTOR ALPHA7, ISOFORM E', 175380),
(231655, 'PTHR24136:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175381),
(231656, 'PTHR10994:SF172', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 175382),
(231657, 'PTHR48062:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175383),
(231658, 'PTHR45708:SF8', NULL, NULL, NULL, NULL, 'OS01G0860400 PROTEIN', 175384),
(231659, 'PTHR31692:SF10', NULL, NULL, NULL, NULL, 'EXPANSIN-B1-LIKE PROTEIN', 175385),
(231660, 'PTHR43678', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00640)-RELATED', 175386),
(231661, 'PTHR46041:SF4', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEASE SUBUNIT-RELATED', 175387),
(231662, 'PTHR11771:SF172', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE 1', 175388),
(231663, 'PTHR33974', NULL, NULL, NULL, NULL, 'VASCULAR-RELATED UNKNOWN PROTEIN 1-RELATED', 175389),
(231664, 'PTHR10641:SF1286', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39-LIKE', 175390),
(231665, 'PTHR47341:SF1', NULL, NULL, NULL, NULL, 'GATA-TYPE ZINC FINGER PROTEIN 1', 175391),
(231666, 'PTHR27005:SF263', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 175392);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(231667, 'PTHR30485:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME YDHU-RELATED', 175393),
(231668, 'PTHR11260:SF684', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', 175394),
(231669, 'PTHR10259:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175395),
(231670, 'PTHR22595:SF153', NULL, NULL, NULL, NULL, 'BNAC01G38450D PROTEIN', 175396),
(231671, 'PTHR31458:SF2', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE 1 BETA-LIKE PROTEIN 2', 175397),
(231672, 'PTHR11206:SF341', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 175398),
(231673, 'PTHR42683:SF59', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 5-RELATED', 175399),
(231674, 'PTHR42673:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175400),
(231675, 'PTHR31080:SF97', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 175401),
(231676, 'PTHR12138:SF117', NULL, NULL, NULL, NULL, 'PROTEIN GVQW3', 175402),
(231677, 'PTHR10617:SF107', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN-UBIQUINONE OXIDOREDUCTASE, MITOCHONDRIAL', 175403),
(231678, 'PTHR21137:SF35', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 13A-RELATED', 175404),
(231679, 'PTHR22902:SF42', NULL, NULL, NULL, NULL, 'ARFGAP WITH COILED-COIL, ANKYRIN REPEAT AND PH DOMAINS 1', 175405),
(231680, 'PTHR24326:SF578', NULL, NULL, NULL, NULL, 'BNACNNG73330D PROTEIN', 175406),
(231681, 'PTHR31155:SF35', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE', 175407),
(231682, 'PTHR10366:SF617', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL 4-REDUCTASE-LIKE PROTEIN', 175408),
(231683, 'PTHR19446:SF408', NULL, NULL, NULL, NULL, 'LRRG00124', 175409),
(231684, 'PTHR21014', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 175410),
(231685, 'PTHR11406:SF29', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE', 175411),
(231686, 'PTHR40060:SF1', NULL, NULL, NULL, NULL, 'UPF0316 PROTEIN YEBE', 175412),
(231687, 'PTHR33795:SF1', NULL, NULL, NULL, NULL, 'INSERTION ELEMENT IS150 PROTEIN INSJ', 175413),
(231688, 'PTHR16504:SF4', NULL, NULL, NULL, NULL, '5''(3'')-DEOXYRIBONUCLEOTIDASE', 175414),
(231689, 'PTHR23115:SF236', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA 1', 175415),
(231690, 'PTHR26452:SF812', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 175416),
(231691, 'PTHR39413', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 136', 175417),
(231692, 'PTHR19876:SF38', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA', 175418),
(231693, 'PTHR23021:SF17', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 175419),
(231694, 'PTHR35458:SF8', NULL, NULL, NULL, NULL, 'SLR0650 PROTEIN', 175420),
(231695, 'PTHR10921:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR DISTRIBUTION PROTEIN NUDE HOMOLOG 1', 175421),
(231696, 'PTHR11654:SF152', NULL, NULL, NULL, NULL, 'OS10G0370700 PROTEIN', 175422),
(231697, 'PTHR32303:SF19', NULL, NULL, NULL, NULL, 'POLYVINYLALCOHOL DEHYDROGENASE-LIKE PROTEIN', 175423),
(231698, 'PTHR12461:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175424),
(231699, 'PTHR12236:SF9', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 76BD, ISOFORM C-RELATED', 175425),
(231700, 'PTHR20991:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PTHB1', 175426),
(231701, 'PTHR21585', NULL, NULL, NULL, NULL, 'FULL-LENGTH CDNA CLONE CS0DC025YL05 OF NEUROBLASTOMA', 175427),
(231702, 'PTHR42701:SF1', NULL, NULL, NULL, NULL, 'IMIDAZOLE GLYCEROL PHOSPHATE SYNTHASE SUBUNIT HISH', 175428),
(231703, 'PTHR35905', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 175429),
(231704, 'PTHR45830:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 175430),
(231705, 'PTHR22988:SF69', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 175431),
(231706, 'PTHR31636:SF20', NULL, NULL, NULL, NULL, 'OS11G0139600 PROTEIN', 175432),
(231707, 'PTHR31251:SF83', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER BINDING-LIKE TRANSCRIPTION FACTOR', 175433),
(231708, 'PTHR31089:SF45', NULL, NULL, NULL, NULL, 'DOF-TYPE ZINC FINGER DNA-BINDING FAMILY PROTEIN', 175434),
(231709, 'PTHR21660:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175435);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(231710, 'PTHR48078:SF7', NULL, NULL, NULL, NULL, 'BLL6502 PROTEIN', 175436),
(231711, 'PTHR48017:SF12', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 2', 175437),
(231712, 'PTHR31967:SF13', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)', 175438),
(231713, 'PTHR16253:SF0', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 22', 175439),
(231714, 'PTHR12673:SF241', NULL, NULL, NULL, NULL, 'PROTEIN CBR-EXC-5', 175440),
(231715, 'PTHR31561:SF124', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 175441),
(231716, 'PTHR13504:SF35', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE SOFIC', 175442),
(231717, 'PTHR11527:SF334', NULL, NULL, NULL, NULL, 'SMALL HEAT SHOCK PROTEIN HSP16.5', 175443),
(231718, 'PTHR48047:SF61', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 175444),
(231719, 'PTHR31790:SF193', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 175445),
(231720, 'PTHR10209:SF728', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 175446),
(231721, 'PTHR11654:SF350', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.5-LIKE', 175447),
(231722, 'PTHR33530:SF8', NULL, NULL, NULL, NULL, 'OS04G0591500 PROTEIN', 175448),
(231723, 'PTHR12951', NULL, NULL, NULL, NULL, 'RETINAL PROTEIN 4', 175449),
(231724, 'PTHR35277:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175450),
(231725, 'PTHR14167:SF73', NULL, NULL, NULL, NULL, '[PSI+] INDUCIBILITY PROTEIN 3', 175451),
(231726, 'PTHR10411:SF8', NULL, NULL, NULL, NULL, 'FI09246P', 175452),
(231727, 'PTHR48011:SF16', NULL, NULL, NULL, NULL, 'BNAC04G48010D PROTEIN', 175453),
(231728, 'PTHR32370:SF149', NULL, NULL, NULL, NULL, 'BNAC05G23580D PROTEIN', 175454),
(231729, 'PTHR35365:SF18', NULL, NULL, NULL, NULL, 'LP04239P', 175455),
(231730, 'PTHR31686:SF1', NULL, NULL, NULL, NULL, 'SULFITE EFFLUX PUMP SSU1', 175456),
(231731, 'PTHR13690:SF135', NULL, NULL, NULL, NULL, 'BNAC04G42420D PROTEIN', 175457),
(231732, 'PTHR11206:SF407', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 37', 175458),
(231733, 'PTHR19860:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175459),
(231734, 'PTHR11746:SF148', NULL, NULL, NULL, NULL, 'OS05G0515500 PROTEIN', 175460),
(231735, 'PTHR30217:SF3', NULL, NULL, NULL, NULL, 'PROTEASE-RELATED', 175461),
(231736, 'PTHR23050:SF412', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175462),
(231737, 'PTHR10641:SF1129', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB14', 175463),
(231738, 'PTHR32285:SF270', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 41 ISOFORM X1', 175464),
(231739, 'PTHR46894:SF1', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 2', 175465),
(231740, 'PTHR11921:SF29', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] IRON-SULFUR SUBUNIT, MITOCHONDRIAL', 175466),
(231741, 'PTHR47912:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 4, CHLOROPLASTIC', 175467),
(231742, 'PTHR45774:SF7', NULL, NULL, NULL, NULL, 'AXUNDEAD, ISOFORM A', 175468),
(231743, 'PTHR34582:SF5', NULL, NULL, NULL, NULL, 'UPF0702 TRANSMEMBRANE PROTEIN YETF', 175469),
(231744, 'PTHR46084:SF13', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE', 175470),
(231745, 'PTHR26312:SF167', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY PROTEIN YCF3', 175471),
(231746, 'PTHR11017:SF371', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN CHL1', 175472),
(231747, 'PTHR16133', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 39  ZINC TRANSPORTER , MEMBER 9-RELATED', 175473),
(231748, 'PTHR12630:SF17', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 175474),
(231749, 'PTHR31321:SF28', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONAN ACETYLESTERASE', 175475),
(231750, 'PTHR12241:SF118', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL2-RELATED', 175476),
(231751, 'PTHR42146', NULL, NULL, NULL, NULL, '3'',5''-CYCLIC-NUCLEOTIDE PHOSPHODIESTERASE', 175477),
(231752, 'PTHR13593:SF113', NULL, NULL, NULL, NULL, 'FI02810P', 175478),
(231753, 'PTHR11599:SF149', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 175479),
(231754, 'PTHR36713:SF1', NULL, NULL, NULL, NULL, 'OS09G0344700 PROTEIN', 175480);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(231755, 'PTHR19290:SF9', NULL, NULL, NULL, NULL, 'NEUROGENIC DIFFERENTIATION FACTOR 6', 175481),
(231756, 'PTHR16002:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 248', 175482),
(231757, 'PTHR11119:SF50', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 7-RELATED', 175483),
(231758, 'PTHR47918:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN FIS', 175484),
(231759, 'PTHR31499:SF43', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR APL', 175485),
(231760, 'PTHR31664:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG00408', 175486),
(231761, 'PTHR24057:SF60', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE THETA', 175487),
(231762, 'PTHR11902:SF44', NULL, NULL, NULL, NULL, 'ENOLASE 1A, (ALPHA)', 175488),
(231763, 'PTHR31415:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0088H09.16 PROTEIN', 175489),
(231764, 'PTHR23155:SF1039', NULL, NULL, NULL, NULL, 'OS11G0229300 PROTEIN', 175490),
(231765, 'PTHR20916:SF12', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN 13-RELATED', 175491),
(231766, 'PTHR43347:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175492),
(231767, 'PTHR48048:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 175493),
(231768, 'PTHR11157:SF152', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN 1-RELATED', 175494),
(231769, 'PTHR24026:SF110', NULL, NULL, NULL, NULL, 'LIPOPROTEIN RECEPTOR-RELATED PROTEIN', 175495),
(231770, 'PTHR10615:SF26', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT6A', 175496),
(231771, 'PTHR23431:SF5', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES II, IV AND V SUBUNIT 10', 175497),
(231772, 'PTHR44279', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID (11-BETA) DEHYDROGENASE 1-LIKE B-RELATED', 175498),
(231773, 'PTHR27001:SF870', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175499),
(231774, 'PTHR11746:SF193', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE ZRP4', 175500),
(231775, 'PTHR43168:SF2', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L33, CHLOROPLASTIC', 175501),
(231776, 'PTHR33207:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175502),
(231777, 'PTHR24235', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR', 175503),
(231778, 'PTHR24356:SF354', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE IRE4-RELATED', 175504),
(231779, 'PTHR10593:SF130', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 7-LIKE ISOFORM X1', 175505),
(231780, 'PTHR33565:SF28', NULL, NULL, NULL, NULL, 'BNAA01G29540D PROTEIN', 175506),
(231781, 'PTHR21494:SF0', NULL, NULL, NULL, NULL, 'ACTIVATING SIGNAL COINTEGRATOR 1 COMPLEX SUBUNIT 2', 175507),
(231782, 'PTHR11076:SF34', NULL, NULL, NULL, NULL, 'PROTEIN UMUC', 175508),
(231783, 'PTHR24416:SF535', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR', 175509),
(231784, 'PTHR22996:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE RNF157', 175510),
(231785, 'PTHR43643:SF2', NULL, NULL, NULL, NULL, 'INDUCIBLE LYSINE DECARBOXYLASE', 175511),
(231786, 'PTHR31602:SF67', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 6-LIKE ISOFORM X1', 175512),
(231787, 'PTHR21586:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175513),
(231788, 'PTHR24320:SF185', NULL, NULL, NULL, NULL, 'BNACNNG10380D PROTEIN', 175514),
(231789, 'PTHR47506:SF3', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LMRA', 175515),
(231790, 'PTHR12223:SF20', NULL, NULL, NULL, NULL, 'VIP36-LIKE PROTEIN', 175516),
(231791, 'PTHR31642:SF138', NULL, NULL, NULL, NULL, 'PUTRESCINE HYDROXYCINNAMOYLTRANSFERASE 1', 175517),
(231792, 'PTHR31642:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175518),
(231793, 'PTHR45757:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG21726', 175519),
(231794, 'PTHR11977:SF87', NULL, NULL, NULL, NULL, 'SUPERVILLIN D', 175520),
(231795, 'PTHR10130:SF4', NULL, NULL, NULL, NULL, 'MICROBODY (PEROXISOME) BIOGENESIS PROTEIN PEROXIN 20 (EUROFUNG)', 175521),
(231796, 'PTHR26379:SF355', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175522),
(231797, 'PTHR33347:SF42', NULL, NULL, NULL, NULL, 'BNAANNG07890D PROTEIN', 175523),
(231798, 'PTHR19861:SF4', NULL, NULL, NULL, NULL, 'SET1 WD40 REPEAT PROTEIN', 175524);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(231799, 'PTHR12858', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN', 175525),
(231800, 'PTHR31140:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175526),
(231801, 'PTHR34272:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175527),
(231802, 'PTHR31415:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175528),
(231803, 'PTHR21646:SF67', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 175529),
(231804, 'PTHR12892:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG00645', 175530),
(231805, 'PTHR11071:SF478', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE, RHODOPSIN-SPECIFIC ISOZYME', 175531),
(231806, 'PTHR31207:SF30', NULL, NULL, NULL, NULL, 'BNAA01G30700D PROTEIN', 175532),
(231807, 'PTHR24206:SF90', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN WLIM2A', 175533),
(231808, 'PTHR34051:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LOW PSII ACCUMULATION 3, CHLOROPLASTIC ISOFORM X1', 175534),
(231809, 'PTHR43570:SF31', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 175535),
(231810, 'PTHR33155:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175536),
(231811, 'PTHR47990:SF47', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE', 175537),
(231812, 'PTHR13018:SF112', NULL, NULL, NULL, NULL, 'EARLY-RESPONSIVE TO DEHYDRATION PROTEIN-LIKE', 175538),
(231813, 'PTHR33059:SF75', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 7', 175539),
(231814, 'PTHR28589:SF1', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S34, MITOCHONDRIAL', 175540),
(231815, 'PTHR27001:SF104', NULL, NULL, NULL, NULL, 'OS02G0236100 PROTEIN', 175541),
(231816, 'PTHR11824:SF11', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, VOLTAGE-DEPENDENT, BETA 2B', 175542),
(231817, 'PTHR12317:SF26', NULL, NULL, NULL, NULL, '2-ACYLGLYCEROL O-ACYLTRANSFERASE 1', 175543),
(231818, 'PTHR24133:SF34', NULL, NULL, NULL, NULL, 'ANKYRIN-3', 175544),
(231819, 'PTHR48049:SF78', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 175545),
(231820, 'PTHR45659:SF4', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN ANTENNAPEDIA', 175546),
(231821, 'PTHR28285', NULL, NULL, NULL, NULL, 'PROTEIN BIG1', 175547),
(231822, 'PTHR11877:SF66', NULL, NULL, NULL, NULL, 'CHALCONE AND STILBENE SYNTHASE FAMILY PROTEIN', 175548),
(231823, 'PTHR45832:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STE20-LIKE-RELATED', 175549),
(231824, 'PTHR37999', NULL, NULL, NULL, NULL, 'MUCIN-17', 175550),
(231825, 'PTHR46020', NULL, NULL, NULL, NULL, 'OSJNBB0059K02.9 PROTEIN', 175551),
(231826, 'PTHR43792:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 175552),
(231827, 'PTHR48041:SF58', NULL, NULL, NULL, NULL, 'BNAA05G14460D PROTEIN', 175553),
(231828, 'PTHR31803:SF25', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE', 175554),
(231829, 'PTHR28202', NULL, NULL, NULL, NULL, 'ASSEMBLY FACTOR CBP4', 175555),
(231830, 'PTHR11783:SF266', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 175556),
(231831, 'PTHR31155:SF27', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 5, CHLOROPLASTIC', 175557),
(231832, 'PTHR11937:SF439', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2', 175558),
(231833, 'PTHR10182:SF18', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 39,-LIKE 1', 175559),
(231834, 'PTHR11388:SF89', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 1B3', 175560),
(231835, 'PTHR46157:SF2', NULL, NULL, NULL, NULL, 'K(+) EFFLUX ANTIPORTER 1, CHLOROPLASTIC-RELATED', 175561),
(231836, 'PTHR11764:SF64', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 175562),
(231837, 'PTHR11005:SF90', NULL, NULL, NULL, NULL, 'LIPASE', 175563),
(231838, 'PTHR11581:SF27', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', 175564),
(231839, 'PTHR31499:SF36', NULL, NULL, NULL, NULL, 'G2-LIKE TRANSCRIPTION FACTOR', 175565),
(231840, 'PTHR47926:SF183', NULL, NULL, NULL, NULL, 'BNAA03G51270D PROTEIN', 175566),
(231841, 'PTHR31907:SF55', NULL, NULL, NULL, NULL, 'BNAA08G20250D PROTEIN', 175567),
(231842, 'PTHR10414:SF49', NULL, NULL, NULL, NULL, 'OS06G0204400 PROTEIN', 175568),
(231843, 'PTHR37451', NULL, NULL, NULL, NULL, 'MARVEL DOMAIN', 175569);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(231844, 'PTHR30287:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 175570),
(231845, 'PTHR24068:SF343', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1B', 175571),
(231846, 'PTHR35750:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175572),
(231847, 'PTHR31707:SF159', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 175573),
(231848, 'PTHR33052:SF150', NULL, NULL, NULL, NULL, 'OS02G0193100 PROTEIN', 175574),
(231849, 'PTHR12398', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE INHIBITOR', 175575),
(231850, 'PTHR11289:SF1', NULL, NULL, NULL, NULL, 'BNAC06G42060D PROTEIN', 175576),
(231851, 'PTHR38396:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 175577),
(231852, 'PTHR32054:SF3', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE, EXPRESSED-RELATED', 175578),
(231853, 'PTHR46595:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', 175579),
(231854, 'PTHR37534:SF24', NULL, NULL, NULL, NULL, 'MISCELLANEOUS ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)', 175580),
(231855, 'PTHR48019:SF70', NULL, NULL, NULL, NULL, 'TRUNCATED TRANSCRIPTION FACTOR CAULIFLOWER A-LIKE ISOFORM X1', 175581),
(231856, 'PTHR34146', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN-RELATED', 175582),
(231857, 'PTHR11559:SF368', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 175583),
(231858, 'PTHR11511:SF5', NULL, NULL, NULL, NULL, 'FAT-BODY PROTEIN 1-RELATED', 175584),
(231859, 'PTHR17486', NULL, NULL, NULL, NULL, 'SPERMATID NUCLEAR TRANSITION PROTEIN 1', 175585),
(231860, 'PTHR46556', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY M MEMBER 2', 175586),
(231861, 'PTHR11566:SF147', NULL, NULL, NULL, NULL, 'OS06G0247800 PROTEIN', 175587),
(231862, 'PTHR24012:SF792', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 175588),
(231863, 'PTHR42983', NULL, NULL, NULL, NULL, 'DINITROGENASE IRON-MOLYBDENUM COFACTOR PROTEIN-RELATED', 175589),
(231864, 'PTHR12223:SF28', NULL, NULL, NULL, NULL, 'RE50040P', 175590),
(231865, 'PTHR46955:SF2', NULL, NULL, NULL, NULL, 'DAF-16/FOXO CONTROLLED, GERMLINE TUMOR AFFECTING', 175591),
(231866, 'PTHR31621', NULL, NULL, NULL, NULL, 'PROTEIN DMP3', 175592),
(231867, 'PTHR30543:SF25', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT AZOREDUCTASE AZR', 175593),
(231868, 'PTHR38785:SF1', NULL, NULL, NULL, NULL, 'HOMOLOG OF VIRK', 175594),
(231869, 'PTHR43154:SF1', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00940)-RELATED', 175595),
(231870, 'PTHR26379:SF297', NULL, NULL, NULL, NULL, 'TD AND POZ DOMAIN-CONTAINING PROTEIN 3', 175596),
(231871, 'PTHR45640:SF11', NULL, NULL, NULL, NULL, 'SI:DKEY-1K23.3', 175597),
(231872, 'PTHR12348:SF24', NULL, NULL, NULL, NULL, 'SI:CH211-220E11.3', 175598),
(231873, 'PTHR12161:SF13', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', 175599),
(231874, 'PTHR13512:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 28', 175600),
(231875, 'PTHR45090:SF11', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 20 CHLOROPLASTIC', 175601),
(231876, 'PTHR41400:SF1', NULL, NULL, NULL, NULL, 'MGC152344 PROTEIN', 175602),
(231877, 'PTHR45699:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175603),
(231878, 'PTHR32343:SF68', NULL, NULL, NULL, NULL, 'BNACNNG36930D PROTEIN', 175604),
(231879, 'PTHR33830:SF22', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 165-RELATED', 175605),
(231880, 'PTHR45648:SF98', NULL, NULL, NULL, NULL, 'BNAA10G09320D PROTEIN', 175606),
(231881, 'PTHR34368:SF2', NULL, NULL, NULL, NULL, 'ALKALINE PHYTOCERAMIDASE (APHC)', 175607),
(231882, 'PTHR45790:SF3', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III C-METHYLTRANSFERASE', 175608),
(231883, 'PTHR42742:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR MPRA', 175609),
(231884, 'PTHR19211:SF118', NULL, NULL, NULL, NULL, '[NU+] PRION FORMATION PROTEIN 1', 175610),
(231885, 'PTHR12446:SF60', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 8', 175611);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(231886, 'PTHR14614:SF136', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 175612),
(231887, 'PTHR42732:SF1', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE (EUROFUNG)', 175613),
(231888, 'PTHR22298:SF64', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 7', 175614),
(231889, 'PTHR31561:SF109', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 2', 175615),
(231890, 'PTHR12483:SF93', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER CRMD-RELATED', 175616),
(231891, 'PTHR23136', NULL, NULL, NULL, NULL, 'TAX1-BINDING PROTEIN 3-RELATED', 175617),
(231892, 'PTHR33738', NULL, NULL, NULL, NULL, 'EMB|CAB82975.1', 175618),
(231893, 'PTHR22762:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175619),
(231894, 'PTHR12622:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175620),
(231895, 'PTHR27008:SF422', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175621),
(231896, 'PTHR33181:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 175622),
(231897, 'PTHR24349:SF384', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175623),
(231898, 'PTHR45089:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175624),
(231899, 'PTHR19370:SF192', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE 2', 175625),
(231900, 'PTHR11783:SF201', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 175626),
(231901, 'PTHR47116:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 175627),
(231902, 'PTHR46557', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 10-RELATED', 175628),
(231903, 'PTHR26453:SF270', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 175629),
(231904, 'PTHR31645:SF9', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL4-RELATED', 175630),
(231905, 'PTHR31897', NULL, NULL, NULL, NULL, 'PROTEIN CBG17011-RELATED', 175631),
(231906, 'PTHR23351:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FOSB', 175632),
(231907, 'PTHR13832:SF389', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 35-RELATED', 175633),
(231908, 'PTHR45648:SF32', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 175634),
(231909, 'PTHR11699:SF292', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 175635),
(231910, 'PTHR31969:SF39', NULL, NULL, NULL, NULL, 'GRAM DOMAIN CONTAINING PROTEIN, EXPRESSED', 175636),
(231911, 'PTHR22870:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175637),
(231912, 'PTHR45614:SF125', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 64-RELATED', 175638),
(231913, 'PTHR34602', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP E-RELATED', 175639),
(231914, 'PTHR11003:SF286', NULL, NULL, NULL, NULL, 'TWO-PORE POTASSIUM CHANNEL 3-LIKE', 175640),
(231915, 'PTHR11937:SF438', NULL, NULL, NULL, NULL, 'ACTIN-4', 175641),
(231916, 'PTHR46439', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH MOTOR NEURON 1 PROTEIN', 175642),
(231917, 'PTHR12801:SF123', NULL, NULL, NULL, NULL, 'EXONUCLEASE FAMILY PROTEIN', 175643),
(231918, 'PTHR19229:SF227', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER', 175644),
(231919, 'PTHR22844:SF354', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE B-LIKE', 175645),
(231920, 'PTHR35296', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 175646),
(231921, 'PTHR23050:SF443', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 8', 175647),
(231922, 'PTHR24006:SF802', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAF-X-RELATED', 175648),
(231923, 'PTHR23063:SF10', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 3', 175649),
(231924, 'PTHR11802:SF20', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 44', 175650),
(231925, 'PTHR19431:SF9', NULL, NULL, NULL, NULL, 'BNAA03G00670D PROTEIN', 175651),
(231926, 'PTHR33294:SF6', NULL, NULL, NULL, NULL, 'AWPM-19-LIKE FAMILY PROTEIN', 175652),
(231927, 'PTHR31218:SF330', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 175653),
(231928, 'PTHR14255:SF5', NULL, NULL, NULL, NULL, 'SULFITE EXPORTER TAUE/SAFE FAMILY PROTEIN 4', 175654),
(231929, 'PTHR33653:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC6', 175655),
(231930, 'PTHR44329:SF178', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 175656);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(231931, 'PTHR11782:SF30', NULL, NULL, NULL, NULL, 'APYRASE 6-RELATED', 175657),
(231932, 'PTHR24347:SF374', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-/ DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN', 175658),
(231933, 'PTHR24016:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175659),
(231934, 'PTHR43670:SF28', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', 175660),
(231935, 'PTHR12631:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175661),
(231936, 'PTHR11722:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', 175662),
(231937, 'PTHR43148:SF16', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 175663),
(231938, 'PTHR46034:SF14', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 1', 175664),
(231939, 'PTHR46274:SF7', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE DSP8 ISOFORM X1-RELATED', 175665),
(231940, 'PTHR31891', NULL, NULL, NULL, NULL, 'FORMAMIDASE C869.04-RELATED', 175666),
(231941, 'PTHR22716:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG03376', 175667),
(231942, 'PTHR11058:SF19', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 3', 175668),
(231943, 'PTHR33184:SF34', NULL, NULL, NULL, NULL, 'TPD1 PROTEIN HOMOLOG 1-LIKE', 175669),
(231944, 'PTHR34629:SF1', NULL, NULL, NULL, NULL, 'EARLY NODULIN-75-LIKE', 175670),
(231945, 'PTHR26453:SF666', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10G2', 175671),
(231946, 'PTHR10177:SF380', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175672),
(231947, 'PTHR45859:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT BETA', 175673),
(231948, 'PTHR12496:SF2', NULL, NULL, NULL, NULL, 'PROTEIN RRNAD1', 175674),
(231949, 'PTHR31807:SF31', NULL, NULL, NULL, NULL, 'QWRF MOTIF PROTEIN (DUF566)-RELATED', 175675),
(231950, 'PTHR10288:SF169', NULL, NULL, NULL, NULL, 'OS02G0125500 PROTEIN', 175676),
(231951, 'PTHR23267:SF366', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-IV REGION S107B-RELATED', 175677),
(231952, 'PTHR44468:SF2', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING 8B', 175678),
(231953, 'PTHR24343:SF153', NULL, NULL, NULL, NULL, 'SPERM MOTILITY KINASE Y-RELATED', 175679),
(231954, 'PTHR22966:SF36', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 4', 175680),
(231955, 'PTHR11206:SF165', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 55', 175681),
(231956, 'PTHR15749', NULL, NULL, NULL, NULL, 'FANCONI-ASSOCIATED NUCLEASE 1', 175682),
(231957, 'PTHR33727:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175683),
(231958, 'PTHR11439:SF250', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175684),
(231959, 'PTHR42044:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175685),
(231960, 'PTHR31418', NULL, NULL, NULL, NULL, 'FATTY-ACID AND RETINOL-BINDING PROTEIN 1', 175686),
(231961, 'PTHR33110:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175687),
(231962, 'PTHR30540:SF117', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 175688),
(231963, 'PTHR40781', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 175689),
(231964, 'PTHR23196:SF31', NULL, NULL, NULL, NULL, 'PAX-INTERACTING PROTEIN 1', 175690),
(231965, 'PTHR15583:SF16', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR D', 175691),
(231966, 'PTHR23502:SF29', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06680)-RELATED', 175692),
(231967, 'PTHR37932:SF1', NULL, NULL, NULL, NULL, 'SMALL LYSINE-RICH PROTEIN 1', 175693),
(231968, 'PTHR31038:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175694),
(231969, 'PTHR24300:SF321', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2B10', 175695),
(231970, 'PTHR10462:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175696),
(231971, 'PTHR13989:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175697),
(231972, 'PTHR11660:SF51', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 MEMBER 3, CHLOROPLASTIC', 175698),
(231973, 'PTHR34928:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 217', 175699),
(231974, 'PTHR18966:SF363', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 93A', 175700),
(231975, 'PTHR12814:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175701);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(231976, 'PTHR31828:SF37', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 1', 175702),
(231977, 'PTHR31836:SF23', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 175703),
(231978, 'PTHR34222:SF40', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN, BULB-TYPE LECTIN DOMAIN, ZINC FINGER, CCHC-TYPE-RELATED', 175704),
(231979, 'PTHR19957:SF287', NULL, NULL, NULL, NULL, 'BNAANNG32640D PROTEIN', 175705),
(231980, 'PTHR31241:SF61', NULL, NULL, NULL, NULL, 'BNAA02G35180D PROTEIN', 175706),
(231981, 'PTHR31142:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TOM THREE HOMOLOG 1', 175707),
(231982, 'PTHR22749', NULL, NULL, NULL, NULL, 'RIBOFLAVIN KINASE/FMN ADENYLYLTRANSFERASE', 175708),
(231983, 'PTHR10009:SF12', NULL, NULL, NULL, NULL, 'LD43175P', 175709),
(231984, 'PTHR24343:SF312', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KSP1-RELATED', 175710),
(231985, 'PTHR18952:SF234', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 4-RELATED', 175711),
(231986, 'PTHR33623:SF20', NULL, NULL, NULL, NULL, 'BNAANNG23720D PROTEIN', 175712),
(231987, 'PTHR23184', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 14', 175713),
(231988, 'PTHR31736:SF20', NULL, NULL, NULL, NULL, 'BNAANNG05300D PROTEIN', 175714),
(231989, 'PTHR11685:SF290', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF14', 175715),
(231990, 'PTHR22904:SF394', NULL, NULL, NULL, NULL, 'STRESS-INDUCED-PHOSPHOPROTEIN 1', 175716),
(231991, 'PTHR12246:SF13', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC16', 175717),
(231992, 'PTHR10953:SF218', NULL, NULL, NULL, NULL, 'NEDD8-ACTIVATING ENZYME E1 REGULATORY SUBUNIT', 175718),
(231993, 'PTHR27002:SF523', NULL, NULL, NULL, NULL, 'OSJNBA0043L09.9 PROTEIN', 175719),
(231994, 'PTHR23314:SF1', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 6', 175720),
(231995, 'PTHR11489:SF9', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', 175721),
(231996, 'PTHR31611', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NICKEL TRANSPORT PROTEIN NIC1', 175722),
(231997, 'PTHR35446:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-175M2.5', 175723),
(231998, 'PTHR31790:SF176', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 175724),
(231999, 'PTHR31286:SF75', NULL, NULL, NULL, NULL, 'BNAC09G14680D PROTEIN', 175725),
(232000, 'PTHR10343:SF81', NULL, NULL, NULL, NULL, 'CRUCIFORM DNA-RECOGNIZING PROTEIN 1-RELATED', 175726),
(232001, 'PTHR15857:SF0', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 2', 175727),
(232002, 'PTHR11937:SF248', NULL, NULL, NULL, NULL, 'ACTIN-1', 175728),
(232003, 'PTHR22595:SF151', NULL, NULL, NULL, NULL, 'CHITINASE FAMILY PROTEIN', 175729),
(232004, 'PTHR27006:SF234', NULL, NULL, NULL, NULL, 'BNAA07G07760D PROTEIN', 175730),
(232005, 'PTHR31384:SF86', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 10', 175731),
(232006, 'PTHR26453:SF312', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2AG2', 175732),
(232007, 'PTHR46522', NULL, NULL, NULL, NULL, 'CYTIDINE MONOPHOSPHATE-N-ACETYLNEURAMINIC ACID HYDROXYLASE', 175733),
(232008, 'PTHR11088:SF28', NULL, NULL, NULL, NULL, 'ADENYLATE DIMETHYLALLYLTRANSFERASE', 175734),
(232009, 'PTHR22750:SF17', NULL, NULL, NULL, NULL, 'SPHINGOSINE 1-PHOSPHATE RECEPTOR 2', 175735),
(232010, 'PTHR11527:SF327', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175736),
(232011, 'PTHR32370:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0018M05.10 PROTEIN', 175737),
(232012, 'PTHR31985:SF185', NULL, NULL, NULL, NULL, 'BNACNNG07950D PROTEIN', 175738),
(232013, 'PTHR13367', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE', 175739),
(232014, 'PTHR24006:SF685', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 15', 175740),
(232015, 'PTHR40626:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', 175741),
(232016, 'PTHR10791', NULL, NULL, NULL, NULL, 'RAG1-ACTIVATING PROTEIN 1', 175742),
(232017, 'PTHR10579:SF102', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 175743),
(232018, 'PTHR31374:SF193', NULL, NULL, NULL, NULL, 'OS03G0780350 PROTEIN', 175744);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(232019, 'PTHR19317:SF16', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN E', 175745),
(232020, 'PTHR33077:SF104', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 11A', 175746),
(232021, 'PTHR18939', NULL, NULL, NULL, NULL, 'RIBOSOME BINDING PROTEIN-1', 175747),
(232022, 'PTHR13814', NULL, NULL, NULL, NULL, 'FETUIN', 175748),
(232023, 'PTHR46146:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE CCR4-LIKE PROTEIN', 175749),
(232024, 'PTHR26452:SF310', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5P3', 175750),
(232025, 'PTHR45954', NULL, NULL, NULL, NULL, 'LD33695P', 175751),
(232026, 'PTHR45648:SF70', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 175752),
(232027, 'PTHR11817:SF87', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 175753),
(232028, 'PTHR30158:SF3', NULL, NULL, NULL, NULL, 'MULTIDRUG EXPORT PROTEIN ACRE', 175754),
(232029, 'PTHR21660:SF12', NULL, NULL, NULL, NULL, 'OS07G0462700 PROTEIN', 175755),
(232030, 'PTHR37248:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR', 175756),
(232031, 'PTHR45613:SF368', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 175757),
(232032, 'PTHR31218:SF223', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 175758),
(232033, 'PTHR31775:SF6', NULL, NULL, NULL, NULL, 'OS03G0111200 PROTEIN', 175759),
(232034, 'PTHR11559:SF390', NULL, NULL, NULL, NULL, 'PROTEIN CBG23034', 175760),
(232035, 'PTHR36562:SF3', NULL, NULL, NULL, NULL, 'LYSOZYME D', 175761),
(232036, 'PTHR24296:SF140', NULL, NULL, NULL, NULL, 'BNAC01G00400D PROTEIN', 175762),
(232037, 'PTHR22654:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175763),
(232038, 'PTHR31374:SF257', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71-LIKE', 175764),
(232039, 'PTHR44163', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 4 HOMOLOG', 175765),
(232040, 'PTHR11040:SF58', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP1', 175766),
(232041, 'PTHR46780:SF2', NULL, NULL, NULL, NULL, 'PROTEIN EVA-1 HOMOLOG B', 175767),
(232042, 'PTHR44324:SF4', NULL, NULL, NULL, NULL, 'WD40 REPEAT DOMAIN 95', 175768),
(232043, 'PTHR12322', NULL, NULL, NULL, NULL, 'DOUBLESEX AND MAB-3 RELATED TRANSCRIPTION FACTOR  DMRT', 175769),
(232044, 'PTHR43721:SF11', NULL, NULL, NULL, NULL, 'SELENOCYSTEINE-SPECIFIC ELONGATION FACTOR', 175770),
(232045, 'PTHR21700:SF30', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-LIKE PROTEIN 15', 175771),
(232046, 'PTHR11260:SF599', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U16', 175772),
(232047, 'PTHR24326:SF527', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-40', 175773),
(232048, 'PTHR40261', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 175774),
(232049, 'PTHR11932:SF157', NULL, NULL, NULL, NULL, 'CULLIN-1-LIKE ISOFORM X1', 175775),
(232050, 'PTHR15297', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 6', 175776),
(232051, 'PTHR30442:SF0', NULL, NULL, NULL, NULL, 'FE(3+) DICITRATE TRANSPORT PROTEIN FECA', 175777),
(232052, 'PTHR43795:SF83', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', 175778),
(232053, 'PTHR10443:SF12', NULL, NULL, NULL, NULL, 'DIPEPTIDASE', 175779),
(232054, 'PTHR12419:SF8', NULL, NULL, NULL, NULL, 'OS09G0487700 PROTEIN', 175780),
(232055, 'PTHR11254:SF340', NULL, NULL, NULL, NULL, 'APOPTOSIS-RESISTANT E3 UBIQUITIN PROTEIN LIGASE 1', 175781),
(232056, 'PTHR23501:SF87', NULL, NULL, NULL, NULL, 'SIDEROPHORE IRON TRANSPORTER 1-RELATED', 175782),
(232057, 'PTHR21022:SF29', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', 175783),
(232058, 'PTHR31790:SF390', NULL, NULL, NULL, NULL, 'BNAUNNG01500D PROTEIN', 175784),
(232059, 'PTHR43522:SF2', NULL, NULL, NULL, NULL, 'TRANSKETOLASE 1-RELATED', 175785),
(232060, 'PTHR22978:SF48', NULL, NULL, NULL, NULL, 'B-CELL TRANSLOCATION GENE 3', 175786),
(232061, 'PTHR35371', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN', 175787),
(232062, 'PTHR48017:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175788),
(232063, 'PTHR10015:SF366', NULL, NULL, NULL, NULL, 'BNAC09G52680D PROTEIN', 175789),
(232064, 'PTHR26450:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175790);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(232065, 'PTHR11264', NULL, NULL, NULL, NULL, 'URACIL-DNA GLYCOSYLASE', 175791),
(232066, 'PTHR10168:SF215', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C5', 175792),
(232067, 'PTHR47471:SF2', NULL, NULL, NULL, NULL, 'GYF DOMAIN-CONTAINING PROTEIN', 175793),
(232068, 'PTHR24351:SF184', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SGK1', 175794),
(232069, 'PTHR11009:SF26', NULL, NULL, NULL, NULL, 'DERLIN', 175795),
(232070, 'PTHR19237:SF20', NULL, NULL, NULL, NULL, 'NUCB1', 175796),
(232071, 'PTHR34376:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175797),
(232072, 'PTHR31245:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175798),
(232073, 'PTHR47926:SF40', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 175799),
(232074, 'PTHR11127:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L14', 175800),
(232075, 'PTHR15440', NULL, NULL, NULL, NULL, 'XRP2 PROTEIN', 175801),
(232076, 'PTHR23272:SF125', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 1-LIKE ISOFORM X1', 175802),
(232077, 'PTHR12015:SF101', NULL, NULL, NULL, NULL, 'CYTOKINE SCM-1 BETA-RELATED', 175803),
(232078, 'PTHR31008:SF19', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN', 175804),
(232079, 'PTHR11705', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY M14 CARBOXYPEPTIDASE A,B', 175805),
(232080, 'PTHR11157:SF129', NULL, NULL, NULL, NULL, 'GNS1/SUR4 MEMBRANE FAMILY PROTEIN', 175806),
(232081, 'PTHR32370:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175807),
(232082, 'PTHR37290', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YIAA-RELATED', 175808),
(232083, 'PTHR22750:SF48', NULL, NULL, NULL, NULL, 'CANNABINOID RECEPTOR ISOFORM X1', 175809),
(232084, 'PTHR31544:SF10', NULL, NULL, NULL, NULL, 'BUTIROSIN BIOSYNTHESIS, BTRG-LIKE PROTEIN-RELATED', 175810),
(232085, 'PTHR34563:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175811),
(232086, 'PTHR11709:SF206', NULL, NULL, NULL, NULL, 'LACCASE-12', 175812),
(232087, 'PTHR15574:SF59', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', 175813),
(232088, 'PTHR21733:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG09578', 175814),
(232089, 'PTHR32465:SF0', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 2 PROTEIN', 175815),
(232090, 'PTHR24414:SF107', NULL, NULL, NULL, NULL, 'BNAA04G27990D PROTEIN', 175816),
(232091, 'PTHR48013:SF19', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE DSOR1', 175817),
(232092, 'PTHR33137:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175818),
(232093, 'PTHR21879:SF26', NULL, NULL, NULL, NULL, 'OSIRIS 1', 175819),
(232094, 'PTHR48142:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175820),
(232095, 'PTHR24349:SF339', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 29', 175821),
(232096, 'PTHR13239:SF7', NULL, NULL, NULL, NULL, 'STRIATIN-INTERACTING PROTEIN 1', 175822),
(232097, 'PTHR10562:SF101', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', 175823),
(232098, 'PTHR39161', NULL, NULL, NULL, NULL, 'ADAPTER PROTEIN MECA', 175824),
(232099, 'PTHR33090:SF56', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', 175825),
(232100, 'PTHR23147:SF187', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, ARGININE/SERINE-RICH 5-RELATED', 175826),
(232101, 'PTHR21495', NULL, NULL, NULL, NULL, 'NUCLEOPORIN-RELATED', 175827),
(232102, 'PTHR35165:SF1', NULL, NULL, NULL, NULL, 'OS08G0113900 PROTEIN', 175828),
(232103, 'PTHR16471:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175829),
(232104, 'PTHR47962:SF5', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE LHR-RELATED', 175830),
(232105, 'PTHR13099', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE SUBUNIT B14.5B', 175831),
(232106, 'PTHR48001:SF95', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 175832),
(232107, 'PTHR10732:SF13', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17-4', 175833),
(232108, 'PTHR36880:SF1', NULL, NULL, NULL, NULL, '9130008F23RIK PROTEIN', 175834),
(232109, 'PTHR46455:SF7', NULL, NULL, NULL, NULL, 'RE12806P', 175835);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(232110, 'PTHR11510:SF16', NULL, NULL, NULL, NULL, 'INOSITOL-3-PHOSPHATE SYNTHASE', 175836),
(232111, 'PTHR10052:SF50', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', 175837),
(232112, 'PTHR24300:SF108', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP2J9-RELATED', 175838),
(232113, 'PTHR44379:SF5', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE WITH IRON-SULFUR SUBUNIT', 175839),
(232114, 'PTHR47499:SF2', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 9', 175840),
(232115, 'PTHR24281:SF29', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 175841),
(232116, 'PTHR23339:SF26', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 23', 175842),
(232117, 'PTHR35022:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175843),
(232118, 'PTHR13318:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175844),
(232119, 'PTHR42766:SF1', NULL, NULL, NULL, NULL, 'MALTOOLIGOSYL TREHALOSE SYNTHASE-RELATED', 175845),
(232120, 'PTHR24096', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE', 175846),
(232121, 'PTHR22951:SF100', NULL, NULL, NULL, NULL, 'BNAA08G14170D PROTEIN', 175847),
(232122, 'PTHR14132', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT GAMMA', 175848),
(232123, 'PTHR42953', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY ZINC UPTAKE SYSTEM PROTEIN ZNUA-RELATED', 175849),
(232124, 'PTHR19432:SF82', NULL, NULL, NULL, NULL, 'BNAA02G26600D PROTEIN', 175850),
(232125, 'PTHR43768:SF33', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE I-RELATED', 175851),
(232126, 'PTHR11019:SF199', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR NIMR', 175852),
(232127, 'PTHR47313:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE K/L', 175853),
(232128, 'PTHR42057', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G00200)', 175854),
(232129, 'PTHR23152:SF4', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE E1 COMPONENT DHKTD1, MITOCHONDRIAL-RELATED', 175855),
(232130, 'PTHR24031:SF625', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175856),
(232131, 'PTHR47993:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175857),
(232132, 'PTHR45763', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN, EXPRESSED-RELATED', 175858),
(232133, 'PTHR45621:SF78', NULL, NULL, NULL, NULL, 'OS08G0457400 PROTEIN', 175859),
(232134, 'PTHR33108:SF43', NULL, NULL, NULL, NULL, 'BNAC01G22740D PROTEIN', 175860),
(232135, 'PTHR13593:SF73', NULL, NULL, NULL, NULL, 'MAP3K PROTEIN KINASE-LIKE PROTEIN', 175861),
(232136, 'PTHR48015:SF2', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE KINASE 4', 175862),
(232137, 'PTHR47999:SF63', NULL, NULL, NULL, NULL, 'OS01G0305900 PROTEIN', 175863),
(232138, 'PTHR10426:SF20', NULL, NULL, NULL, NULL, 'ZGC:194209', 175864),
(232139, 'PTHR22891:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR RNAI DEFECTIVE-3 PROTEIN', 175865),
(232140, 'PTHR21593:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG06009', 175866),
(232141, 'PTHR31734:SF99', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 175867),
(232142, 'PTHR18953:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175868),
(232143, 'PTHR48054:SF16', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN FASCIATED EAR2', 175869),
(232144, 'PTHR24030:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CMSS1', 175870),
(232145, 'PTHR22835:SF535', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175871),
(232146, 'PTHR31953:SF88', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 3', 175872),
(232147, 'PTHR46128:SF260', NULL, NULL, NULL, NULL, 'BNAA05G11340D PROTEIN', 175873),
(232148, 'PTHR43591:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175874),
(232149, 'PTHR10424:SF69', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRAL ENVELOPE PROTEIN HEMO', 175875),
(232150, 'PTHR10553:SF19', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G-RELATED', 175876),
(232151, 'PTHR22957:SF514', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', 175877),
(232152, 'PTHR23280:SF27', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE', 175878);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(232153, 'PTHR36316:SF1', NULL, NULL, NULL, NULL, 'OS06G0213900 PROTEIN', 175879),
(232154, 'PTHR18968:SF161', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE', 175880),
(232155, 'PTHR22765:SF30', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF128', 175881),
(232156, 'PTHR47025:SF10', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN', 175882),
(232157, 'PTHR32251:SF17', NULL, NULL, NULL, NULL, 'SI:CH211-210C8.6', 175883),
(232158, 'PTHR31288', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 175884),
(232159, 'PTHR11764:SF69', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 175885),
(232160, 'PTHR15184:SF51', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA', 175886),
(232161, 'PTHR35716:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175887),
(232162, 'PTHR31907:SF42', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 43', 175888),
(232163, 'PTHR32370:SF107', NULL, NULL, NULL, NULL, 'OSJNBA0044K18.3 PROTEIN', 175889),
(232164, 'PTHR10553:SF25', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', 175890),
(232165, 'PTHR10891:SF878', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML45-RELATED', 175891),
(232166, 'PTHR33936:SF14', NULL, NULL, NULL, NULL, 'AT HOOK TRANSCRIPTION FACTOR FAMILY', 175892),
(232167, 'PTHR11489:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', 175893),
(232168, 'PTHR31175:SF64', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', 175894),
(232169, 'PTHR45617', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 175895),
(232170, 'PTHR24027:SF290', NULL, NULL, NULL, NULL, 'CADHERIN-10', 175896),
(232171, 'PTHR14241:SF3', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN 44', 175897),
(232172, 'PTHR33347:SF39', NULL, NULL, NULL, NULL, 'BNAC06G29720D PROTEIN', 175898),
(232173, 'PTHR31286:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175899),
(232174, 'PTHR11984:SF116', NULL, NULL, NULL, NULL, 'SI:RP71-1C10.10', 175900),
(232175, 'PTHR36946:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG03445', 175901),
(232176, 'PTHR38366:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175902),
(232177, 'PTHR43682:SF1', NULL, NULL, NULL, NULL, 'LACTATE UTILIZATION PROTEIN C', 175903),
(232178, 'PTHR31989:SF333', NULL, NULL, NULL, NULL, 'BNAA01G31650D PROTEIN', 175904),
(232179, 'PTHR11654:SF395', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.7-LIKE', 175905),
(232180, 'PTHR33102:SF64', NULL, NULL, NULL, NULL, 'DVL5-RELATED', 175906),
(232181, 'PTHR10117', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CHANNEL', 175907),
(232182, 'PTHR20859:SF51', NULL, NULL, NULL, NULL, 'INTERLEUKIN-22 RECEPTOR SUBUNIT ALPHA-2', 175908),
(232183, 'PTHR23292', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE-INDUCED TUMOR NECROSIS FACTOR-ALPHA FACTOR', 175909),
(232184, 'PTHR35882:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175910),
(232185, 'PTHR27006:SF420', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175911),
(232186, 'PTHR31747:SF17', NULL, NULL, NULL, NULL, 'PROTEIN LOL2', 175912),
(232187, 'PTHR47255:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER, NHR/GATA-TYPE-RELATED', 175913),
(232188, 'PTHR11037:SF6', NULL, NULL, NULL, NULL, 'GRAINYHEAD-LIKE PROTEIN 3 HOMOLOG', 175914),
(232189, 'PTHR33103:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175915),
(232190, 'PTHR45793:SF15', NULL, NULL, NULL, NULL, 'DIVERGENT PAIRED-RELATED HOMEOBOX', 175916),
(232191, 'PTHR10635:SF4', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA', 175917),
(232192, 'PTHR33429', NULL, NULL, NULL, NULL, 'OS02G0708000 PROTEIN-RELATED', 175918),
(232193, 'PTHR11863:SF137', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 2-2-LIKE ISOFORM X1', 175919),
(232194, 'PTHR36527', NULL, NULL, NULL, NULL, 'OS01G0282866 PROTEIN', 175920),
(232195, 'PTHR32141:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175921),
(232196, 'PTHR11632:SF51', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN SUBUNIT, MITOCHONDRIAL', 175922),
(232197, 'PTHR46078:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PROTEIN ISOFORM X1', 175923);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(232198, 'PTHR43243:SF17', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER-RELATED', 175924),
(232199, 'PTHR45863:SF24', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE 4 PROTEIN-RELATED', 175925),
(232200, 'PTHR42939:SF2', NULL, NULL, NULL, NULL, 'ABC-TYPE TRANSPORTER ATP-BINDING PROTEIN ECSA', 175926),
(232201, 'PTHR18966:SF480', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 175927),
(232202, 'PTHR31063:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG08684', 175928),
(232203, 'PTHR45652:SF2', NULL, NULL, NULL, NULL, 'DESMIN', 175929),
(232204, 'PTHR23054:SF74', NULL, NULL, NULL, NULL, 'BNAC04G19530D PROTEIN', 175930),
(232205, 'PTHR12100:SF3', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC10', 175931),
(232206, 'PTHR10129:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAFF', 175932),
(232207, 'PTHR11909:SF151', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM GAMMA-3', 175933),
(232208, 'PTHR16206:SF12', NULL, NULL, NULL, NULL, 'DEP DOMAIN-CONTAINING PROTEIN 1A', 175934),
(232209, 'PTHR22904:SF517', NULL, NULL, NULL, NULL, 'STRESS-INDUCED-PHOSPHOPROTEIN 1', 175935),
(232210, 'PTHR45908:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG11750', 175936),
(232211, 'PTHR47999:SF34', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 175937),
(232212, 'PTHR13903:SF8', NULL, NULL, NULL, NULL, 'PIRIN', 175938),
(232213, 'PTHR19923:SF0', NULL, NULL, NULL, NULL, 'PLEIOTROPIC REGULATOR 1', 175939),
(232214, 'PTHR48006:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', 175940),
(232215, 'PTHR22974:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TOUSLED-LIKE 1', 175941),
(232216, 'PTHR24403:SF78', NULL, NULL, NULL, NULL, 'KUMGANG', 175942),
(232217, 'PTHR31569:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 1', 175943),
(232218, 'PTHR24261', NULL, NULL, NULL, NULL, 'PLASMINOGEN-RELATED', 175944),
(232219, 'PTHR24356:SF389', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 175945),
(232220, 'PTHR32546:SF26', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR CG31760-LIKE PROTEIN-RELATED', 175946),
(232221, 'PTHR22808:SF24', NULL, NULL, NULL, NULL, 'BNAA04G12850D PROTEIN', 175947),
(232222, 'PTHR12083', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL POLYNUCLEOTIDE PHOSPHATASE/KINASE', 175948),
(232223, 'PTHR19139:SF45', NULL, NULL, NULL, NULL, 'AQUAPORIN-2', 175949),
(232224, 'PTHR34682:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175950),
(232225, 'PTHR38440:SF1', NULL, NULL, NULL, NULL, 'UPF0398 PROTEIN YPSA', 175951),
(232226, 'PTHR24248:SF141', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR', 175952),
(232227, 'PTHR19256:SF44', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR GAMMA VARIABLE 9', 175953),
(232228, 'PTHR10885:SF11', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE', 175954),
(232229, 'PTHR31947:SF38', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', 175955),
(232230, 'PTHR12241:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175956),
(232231, 'PTHR47993:SF150', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 8-LIKE', 175957),
(232232, 'PTHR22802:SF269', NULL, NULL, NULL, NULL, 'CD209 ANTIGEN-LIKE PROTEIN D', 175958),
(232233, 'PTHR36482:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0024J22.15 PROTEIN', 175959),
(232234, 'PTHR27006:SF166', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE PROTEIN KINASE 1', 175960),
(232235, 'PTHR48018:SF102', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5B3', 175961),
(232236, 'PTHR23316:SF66', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', 175962),
(232237, 'PTHR23012:SF164', NULL, NULL, NULL, NULL, 'OS05G0552400 PROTEIN', 175963),
(232238, 'PTHR14155:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175964),
(232239, 'PTHR31182', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 175965),
(232240, 'PTHR22691:SF12', NULL, NULL, NULL, NULL, 'SPT2 CHROMATIN PROTEIN', 175966),
(232241, 'PTHR45775:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG11333', 175967),
(232242, 'PTHR14206:SF7', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR SUBSTRATE 53 KDA, ISOFORM A', 175968);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(232243, 'PTHR22779:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 170B', 175969),
(232244, 'PTHR46126', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 5', 175970),
(232245, 'PTHR14517:SF10', NULL, NULL, NULL, NULL, 'RIB43A-LIKE WITH COILED-COILS PROTEIN 2', 175971),
(232246, 'PTHR31891:SF1', NULL, NULL, NULL, NULL, 'FORMAMIDASE C869.04-RELATED', 175972),
(232247, 'PTHR23120:SF18', NULL, NULL, NULL, NULL, 'PROTEIN MROH8', 175973),
(232248, 'PTHR37829', NULL, NULL, NULL, NULL, 'PHAGE-LIKE ELEMENT PBSX PROTEIN XKDT', 175974),
(232249, 'PTHR38926:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175975),
(232250, 'PTHR33995:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG09882', 175976),
(232251, 'PTHR12113:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175977),
(232252, 'PTHR10110:SF87', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 10', 175978),
(232253, 'PTHR12341:SF59', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE 4', 175979),
(232254, 'PTHR24377:SF116', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 334', 175980),
(232255, 'PTHR22912:SF160', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', 175981),
(232256, 'PTHR27005:SF397', NULL, NULL, NULL, NULL, 'OSJNBA0027H09.1 PROTEIN', 175982),
(232257, 'PTHR11014:SF119', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 4', 175983),
(232258, 'PTHR33076:SF99', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 175984),
(232259, 'PTHR24083:SF161', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 175985),
(232260, 'PTHR11987:SF4', NULL, NULL, NULL, NULL, 'ALPHA-2,8-SIALYLTRANSFERASE 8E', 175986),
(232261, 'PTHR31449', NULL, NULL, NULL, NULL, 'UPF0598 PROTEIN C8ORF82', 175987),
(232262, 'PTHR46008:SF6', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 175988),
(232263, 'PTHR19331:SF458', NULL, NULL, NULL, NULL, 'ANTIGEN WC1.1', 175989),
(232264, 'PTHR15672:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ENCORE', 175990),
(232265, 'PTHR11850:SF279', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 6', 175991),
(232266, 'PTHR12191', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 39', 175992),
(232267, 'PTHR31301:SF26', NULL, NULL, NULL, NULL, 'OS05G0417000 PROTEIN', 175993),
(232268, 'PTHR37440:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG17852', 175994),
(232269, 'PTHR11880:SF41', NULL, NULL, NULL, NULL, 'BNAA03G55820D PROTEIN', 175995),
(232270, 'PTHR27009:SF256', NULL, NULL, NULL, NULL, 'OSJNBB0022F16.11-LIKE PROTEIN', 175996),
(232271, 'PTHR27005:SF401', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 175997),
(232272, 'PTHR24305:SF96', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 175998),
(232273, 'PTHR24241:SF67', NULL, NULL, NULL, NULL, 'FREE FATTY ACID RECEPTOR 4', 175999),
(232274, 'PTHR10606:SF72', NULL, NULL, NULL, NULL, 'FRUCTOSE-6-PHOSPHATE-2-KINASE/FRUCTOSE-2, 6-BISPHOSPHATASE', 176000),
(232275, 'PTHR32166:SF70', NULL, NULL, NULL, NULL, 'PUTATIVE ISOFORM 1-RELATED', 176001),
(232276, 'PTHR32212:SF368', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 176002),
(232277, 'PTHR46244:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE-DEPENDENT PHOSPHOTRANSFERASE SYSTEM', 176003),
(232278, 'PTHR10992:SF1058', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176004),
(232279, 'PTHR24296:SF136', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', 176005),
(232280, 'PTHR11205:SF40', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S7-RELATED', 176006),
(232281, 'PTHR11627:SF52', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 176007),
(232282, 'PTHR33052:SF108', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', 176008),
(232283, 'PTHR45941:SF4', NULL, NULL, NULL, NULL, 'ST6 (ALPHA-N-ACETYL-NEURAMINYL-2,3-BETA-GALACTOSYL-1,3)-N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE', 176009),
(232284, 'PTHR40130:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 176010),
(232285, 'PTHR11921:SF35', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [IRON-SULFUR SUBUNIT] (SUCCINIC DEHYDROGENASE)-RELATED', 176011),
(232286, 'PTHR23500:SF555', NULL, NULL, NULL, NULL, 'BNACNNG25770D PROTEIN', 176012);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(232287, 'PTHR47981:SF27', NULL, NULL, NULL, NULL, 'BNAC03G69320D PROTEIN', 176013),
(232288, 'PTHR12112:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PRUNE HOMOLOG 2-LIKE PROTEIN', 176014),
(232289, 'PTHR31506:SF18', NULL, NULL, NULL, NULL, 'PROTEIN BRASSINAZOLE-RESISTANT 1', 176015),
(232290, 'PTHR27000:SF642', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 176016),
(232291, 'PTHR45627:SF18', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', 176017),
(232292, 'PTHR19300:SF47', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 6', 176018),
(232293, 'PTHR21700:SF117', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 176019),
(232294, 'PTHR18945:SF829', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT EAT-2', 176020),
(232295, 'PTHR13392', NULL, NULL, NULL, NULL, 'ATAXIN 1', 176021),
(232296, 'PTHR46087:SF16', NULL, NULL, NULL, NULL, 'BNAA08G31700D PROTEIN', 176022),
(232297, 'PTHR23523:SF2', NULL, NULL, NULL, NULL, '2-NITROIMIDAZOLE TRANSPORTER', 176023),
(232298, 'PTHR23274:SF30', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 176024),
(232299, 'PTHR37167:SF1', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-6-NAPHTOATE SYNTHASE', 176025),
(232300, 'PTHR24222:SF66', NULL, NULL, NULL, NULL, 'COMPOSITE ABC TRANSPORTER, ATP-BINDING/PERMEASE PROTEIN', 176026),
(232301, 'PTHR33433:SF8', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 1', 176027),
(232302, 'PTHR46029:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176028),
(232303, 'PTHR21004', NULL, NULL, NULL, NULL, 'SERINE PROTEASE-RELATED', 176029),
(232304, 'PTHR12433:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176030),
(232305, 'PTHR32018:SF37', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-RELATED', 176031),
(232306, 'PTHR46684:SF14', NULL, NULL, NULL, NULL, 'BNAANNG03080D PROTEIN', 176032),
(232307, 'PTHR31204:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 176033),
(232308, 'PTHR46413:SF28', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', 176034),
(232309, 'PTHR31238:SF191', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 176035),
(232310, 'PTHR32278:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176036),
(232311, 'PTHR31232:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176037),
(232312, 'PTHR24206:SF75', NULL, NULL, NULL, NULL, 'LIM DOMAIN PROTEIN PLIM-2', 176038),
(232313, 'PTHR13847:SF268', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 176039),
(232314, 'PTHR24256:SF441', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 29-RELATED', 176040),
(232315, 'PTHR47990:SF82', NULL, NULL, NULL, NULL, 'OS05G0421900 PROTEIN', 176041),
(232316, 'PTHR11523', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-DEPENDENT ATPASE BETA SUBUNIT', 176042),
(232317, 'PTHR23105:SF152', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A-1', 176043),
(232318, 'PTHR36982', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 176044),
(232319, 'PTHR19372:SF15', NULL, NULL, NULL, NULL, 'BNAC02G33150D PROTEIN', 176045),
(232320, 'PTHR31631:SF5', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 2D', 176046),
(232321, 'PTHR33605:SF3', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN', 176047),
(232322, 'PTHR46083:SF8', NULL, NULL, NULL, NULL, 'CARBOHYDRATE BINDING MODULE FAMILY 25', 176048),
(232323, 'PTHR11409:SF43', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE', 176049),
(232324, 'PTHR46912:SF1', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 13', 176050),
(232325, 'PTHR11953:SF2', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT MTR3', 176051),
(232326, 'PTHR12758:SF24', NULL, NULL, NULL, NULL, 'BNAA05G09720D PROTEIN', 176052),
(232327, 'PTHR11654:SF339', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.2', 176053),
(232328, 'PTHR31197:SF8', NULL, NULL, NULL, NULL, 'OS02G0566500 PROTEIN', 176054),
(232329, 'PTHR32285:SF168', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 19', 176055),
(232330, 'PTHR23235:SF102', NULL, NULL, NULL, NULL, 'SP1-LIKE FACTOR FOR PAIRING SENSITIVE-SILENCING, ISOFORM B', 176056),
(232331, 'PTHR31916:SF28', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE CINV1', 176057);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(232332, 'PTHR16231:SF4', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 4', 176058),
(232333, 'PTHR24015:SF1992', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 176059),
(232334, 'PTHR13232:SF13', NULL, NULL, NULL, NULL, 'NAD(P)H-HYDRATE EPIMERASE', 176060),
(232335, 'PTHR31062:SF179', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 176061),
(232336, 'PTHR41913', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 176062),
(232337, 'PTHR24286:SF309', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 176063),
(232338, 'PTHR43789:SF6', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 176064),
(232339, 'PTHR48018:SF45', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 176065),
(232340, 'PTHR23023:SF241', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 176066),
(232341, 'PTHR33286:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176067),
(232342, 'PTHR47584:SF15', NULL, NULL, NULL, NULL, 'BNAA09G23080D PROTEIN', 176068),
(232343, 'PTHR44666:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 53', 176069),
(232344, 'PTHR10209:SF759', NULL, NULL, NULL, NULL, 'PROTEIN DOWNY MILDEW RESISTANCE 6', 176070),
(232345, 'PTHR12746:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOMAL EXPORT PROTEIN NMD3', 176071),
(232346, 'PTHR31371:SF4', NULL, NULL, NULL, NULL, 'PLANT/T32M21-140 PROTEIN', 176072),
(232347, 'PTHR45833:SF1', NULL, NULL, NULL, NULL, 'METHIONINE SYNTHASE', 176073),
(232348, 'PTHR31258:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 54', 176074),
(232349, 'PTHR42038:SF2', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE AUSL', 176075),
(232350, 'PTHR22674:SF6', NULL, NULL, NULL, NULL, 'NTPASE, KAP FAMILY P-LOOP DOMAIN-CONTAINING 1', 176076),
(232351, 'PTHR24253:SF29', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11B-LIKE PROTEIN', 176077),
(232352, 'PTHR24366:SF72', NULL, NULL, NULL, NULL, 'SLIT AND NTRK LIKE FAMILY MEMBER 5', 176078),
(232353, 'PTHR46596', NULL, NULL, NULL, NULL, 'SORTING NEXIN-4', 176079),
(232354, 'PTHR24305:SF156', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 176080),
(232355, 'PTHR47238:SF4', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 5', 176081),
(232356, 'PTHR11407:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176082),
(232357, 'PTHR10907', NULL, NULL, NULL, NULL, 'REGUCALCIN', 176083),
(232358, 'PTHR11730:SF106', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', 176084),
(232359, 'PTHR24353:SF130', NULL, NULL, NULL, NULL, 'AGAP008863-PA', 176085),
(232360, 'PTHR42683:SF50', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE ADHA-RELATED', 176086),
(232361, 'PTHR31325:SF181', NULL, NULL, NULL, NULL, 'OS04G0146750 PROTEIN', 176087),
(232362, 'PTHR44329:SF191', NULL, NULL, NULL, NULL, 'ACT-LIKE TYROSINE KINASE FAMILY PROTEIN', 176088),
(232363, 'PTHR46137:SF3', NULL, NULL, NULL, NULL, 'OS05G0310600 PROTEIN', 176089),
(232364, 'PTHR36528', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM SINGLE-STRAND-SPECIFIC DEOXYRIBONUCLEASE CAS10/CSM1 (SUBTYPE III-A)', 176090),
(232365, 'PTHR45988:SF22', NULL, NULL, NULL, NULL, 'OS07G0600900 PROTEIN', 176091),
(232366, 'PTHR10870', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT PROTEIN RAD1', 176092),
(232367, 'PTHR11945:SF575', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, MADS-BOX-RELATED', 176093),
(232368, 'PTHR10559:SF15', NULL, NULL, NULL, NULL, 'COBALAMIN BINDING INTRINSIC FACTOR', 176094),
(232369, 'PTHR11885:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S13', 176095),
(232370, 'PTHR46835:SF3', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER (BZIP) TRANSCRIPTION FACTOR FAMILY PROTEIN', 176096),
(232371, 'PTHR36120:SF1', NULL, NULL, NULL, NULL, 'LMO1031 PROTEIN', 176097),
(232372, 'PTHR33493:SF23', NULL, NULL, NULL, NULL, 'PROTEIN LE25', 176098),
(232373, 'PTHR47142:SF1', NULL, NULL, NULL, NULL, 'BETA-CATENIN-INTERACTING PROTEIN 1', 176099),
(232374, 'PTHR22017', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 176100),
(232375, 'PTHR19865:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG19705', 176101),
(232376, 'PTHR16128:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 176102);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(232377, 'PTHR24356:SF303', NULL, NULL, NULL, NULL, 'ATYPICAL PROTEIN KINASE C', 176103),
(232378, 'PTHR47909:SF2', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 176104),
(232379, 'PTHR11746:SF258', NULL, NULL, NULL, NULL, 'BNAANNG10770D PROTEIN', 176105),
(232380, 'PTHR10445:SF6', NULL, NULL, NULL, NULL, 'BNAA06G13960D PROTEIN', 176106),
(232381, 'PTHR46128:SF231', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 176107),
(232382, 'PTHR12459:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 135', 176108),
(232383, 'PTHR31790:SF318', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 176109),
(232384, 'PTHR24300:SF275', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2F1', 176110),
(232385, 'PTHR31215:SF30', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 176111),
(232386, 'PTHR42684:SF17', NULL, NULL, NULL, NULL, 'ADENOSYLMETHIONINE-8-AMINO-7-OXONONANOATE AMINOTRANSFERASE', 176112),
(232387, 'PTHR11514:SF119', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ABA-INDUCIBLE BHLH-TYPE', 176113),
(232388, 'PTHR31388:SF200', NULL, NULL, NULL, NULL, 'PEROXIDASE', 176114),
(232389, 'PTHR16305:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176115),
(232390, 'PTHR31065:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176116),
(232391, 'PTHR31533:SF24', NULL, NULL, NULL, NULL, 'BNAA08G13810D PROTEIN', 176117),
(232392, 'PTHR11588:SF373', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 176118),
(232393, 'PTHR24177:SF286', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 176119),
(232394, 'PTHR10202:SF26', NULL, NULL, NULL, NULL, 'PRESENILIN', 176120),
(232395, 'PTHR23012:SF185', NULL, NULL, NULL, NULL, 'BNACNNG15100D PROTEIN', 176121),
(232396, 'PTHR46701:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 176122),
(232397, 'PTHR36766:SF14', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN', 176123),
(232398, 'PTHR37321:SF1', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 176124),
(232399, 'PTHR33803:SF3', NULL, NULL, NULL, NULL, 'IS1478 TRANSPOSASE', 176125),
(232400, 'PTHR11005:SF133', NULL, NULL, NULL, NULL, 'LIPASE', 176126),
(232401, 'PTHR11504:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6A, MITOCHONDRIAL', 176127),
(232402, 'PTHR33454:SF8', NULL, NULL, NULL, NULL, 'DELTA GLIADIN-D1', 176128),
(232403, 'PTHR46324:SF26', NULL, NULL, NULL, NULL, 'BZIP PROTEIN (ATBZIP48)', 176129),
(232404, 'PTHR31403:SF53', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IGAMMA2, CHLOROPLASTIC-LIKE', 176130),
(232405, 'PTHR14110:SF6', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT HP30-2', 176131),
(232406, 'PTHR15348:SF19', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 6-LIKE', 176132),
(232407, 'PTHR11689:SF89', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN D', 176133),
(232408, 'PTHR31391:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176134),
(232409, 'PTHR24296:SF190', NULL, NULL, NULL, NULL, 'BNAA06G18960D PROTEIN', 176135),
(232410, 'PTHR47564', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', 176136),
(232411, 'PTHR27003:SF355', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 176137),
(232412, 'PTHR46256:SF2', NULL, NULL, NULL, NULL, 'NEITHER INACTIVATION NOR AFTERPOTENTIAL PROTEIN C', 176138),
(232413, 'PTHR36516:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG12669', 176139),
(232414, 'PTHR42835', NULL, NULL, NULL, NULL, 'MALTO-OLIGOSYLTREHALOSE TREHALOHYDROLASE', 176140),
(232415, 'PTHR45775:SF6', NULL, NULL, NULL, NULL, 'RAD, GEM/KIR FAMILY MEMBER 2, ISOFORM C', 176141),
(232416, 'PTHR36026:SF1', NULL, NULL, NULL, NULL, 'OS05G0542100 PROTEIN', 176142),
(232417, 'PTHR48043:SF91', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 176143),
(232418, 'PTHR47968:SF29', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 176144),
(232419, 'PTHR45639:SF5', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 4L', 176145),
(232420, 'PTHR43854:SF1', NULL, NULL, NULL, NULL, 'INDOLEPYRUVATE OXIDOREDUCTASE SUBUNIT IORB', 176146);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(232421, 'PTHR12138', NULL, NULL, NULL, NULL, 'PRIMATE-EXPANDED PROTEIN FAMILY', 176147),
(232422, 'PTHR47950:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 76 SUBFAMILY C POLYPEPTIDE 7', 176148),
(232423, 'PTHR43495:SF4', NULL, NULL, NULL, NULL, 'AROMATIC AMINO ACID TRANSPORT PROTEIN AROP', 176149),
(232424, 'PTHR19422:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176150),
(232425, 'PTHR37164:SF1', NULL, NULL, NULL, NULL, 'BACTERIOHEMERYTHRIN', 176151),
(232426, 'PTHR10165:SF26', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE 1', 176152),
(232427, 'PTHR34281:SF15', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN-RELATED', 176153),
(232428, 'PTHR36030:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176154),
(232429, 'PTHR46222:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP7', 176155),
(232430, 'PTHR21104:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176156),
(232431, 'PTHR12892', NULL, NULL, NULL, NULL, 'FGF RECEPTOR ACTIVATING PROTEIN 1', 176157),
(232432, 'PTHR12101:SF15', NULL, NULL, NULL, NULL, 'POPEYE DOMAIN-CONTAINING PROTEIN 2', 176158),
(232433, 'PTHR32154:SF16', NULL, NULL, NULL, NULL, 'PYRUVATE FLAVODOXIN/FERREDOXIN OXIDOREDUCTASE DOMAIN PROTEIN', 176159),
(232434, 'PTHR10943:SF1', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2', 176160),
(232435, 'PTHR33107:SF18', NULL, NULL, NULL, NULL, 'MIRACULIN-LIKE', 176161),
(232436, 'PTHR33576:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176162),
(232437, 'PTHR12542:SF111', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 176163),
(232438, 'PTHR23226:SF85', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 397', 176164),
(232439, 'PTHR11042:SF99', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED TYROSINE- AND THREONINE-SPECIFIC CDC2-INHIBITORY KINASE', 176165),
(232440, 'PTHR31678:SF3', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 6-2', 176166),
(232441, 'PTHR31056:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 179B', 176167),
(232442, 'PTHR36045', NULL, NULL, NULL, NULL, 'OS04G0558500 PROTEIN', 176168),
(232443, 'PTHR45914:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HEC1', 176169),
(232444, 'PTHR14897:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT AND COILED-COIL-CONTAINING PROTEIN', 176170),
(232445, 'PTHR46236:SF24', NULL, NULL, NULL, NULL, 'BNAC04G52800D PROTEIN', 176171),
(232446, 'PTHR20923:SF1', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN AND ANKYRIN REPEAT-CONTAINING PROTEIN 1', 176172),
(232447, 'PTHR11972:SF126', NULL, NULL, NULL, NULL, 'DUAL OXIDASE', 176173),
(232448, 'PTHR32134:SF130', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN DDB_G0271996', 176174),
(232449, 'PTHR45948', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE DDB_G0269404-RELATED', 176175),
(232450, 'PTHR43888:SF21', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 176176),
(232451, 'PTHR13678:SF20', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 37A', 176177),
(232452, 'PTHR45626:SF16', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE ULS1', 176178),
(232453, 'PTHR23072:SF0', NULL, NULL, NULL, NULL, 'GPI ETHANOLAMINE PHOSPHATE TRANSFERASE 2', 176179),
(232454, 'PTHR43459:SF5', NULL, NULL, NULL, NULL, 'OS11G0270000 PROTEIN', 176180),
(232455, 'PTHR31677:SF152', NULL, NULL, NULL, NULL, 'BNAC05G02080D PROTEIN', 176181),
(232456, 'PTHR24072:SF135', NULL, NULL, NULL, NULL, 'RHO-RELATED PROTEIN RACH', 176182),
(232457, 'PTHR47640:SF11', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 42-LIKE', 176183),
(232458, 'PTHR21449:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG05271', 176184),
(232459, 'PTHR11176:SF32', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 38-LIKE ISOFORM X1', 176185),
(232460, 'PTHR48012:SF16', NULL, NULL, NULL, NULL, 'FRAYED, ISOFORM A', 176186),
(232461, 'PTHR34005:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG26225', 176187),
(232462, 'PTHR24033:SF194', NULL, NULL, NULL, NULL, 'PROTEIN SHIFTED', 176188),
(232463, 'PTHR47803', NULL, NULL, NULL, NULL, 'TRNA-SPECIFIC ADENOSINE DEAMINASE 1', 176189);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(232464, 'PTHR48082:SF3', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ALPHA, MITOCHONDRIAL', 176190),
(232465, 'PTHR45800:SF4', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 3', 176191),
(232466, 'PTHR10840:SF0', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 5', 176192),
(232467, 'PTHR14150:SF12', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 14 HOMOLOG A-RELATED', 176193),
(232468, 'PTHR12815:SF40', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PROTEIN 36, CHLOROPLASTIC-RELATED', 176194),
(232469, 'PTHR10353:SF166', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1 PROTEIN', 176195),
(232470, 'PTHR31499:SF53', NULL, NULL, NULL, NULL, 'PROTEIN PHR1-LIKE 3', 176196),
(232471, 'PTHR23315:SF304', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 4-LIKE', 176197),
(232472, 'PTHR45765:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176198),
(232473, 'PTHR32467:SF154', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR-RELATED', 176199),
(232474, 'PTHR31375:SF187', NULL, NULL, NULL, NULL, 'BNAC04G49330D PROTEIN', 176200),
(232475, 'PTHR31790', NULL, NULL, NULL, NULL, 'OS02G0783600 PROTEIN', 176201),
(232476, 'PTHR46734:SF2', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR', 176202),
(232477, 'PTHR12210:SF65', NULL, NULL, NULL, NULL, 'CHAIN A, THREE-DIMENSIONAL STRUCTURE OF A RNA-POLYMERASE II BINDING PROTEIN WITH ASSOCIATED LIGAND-LIKE', 176203),
(232478, 'PTHR11220:SF65', NULL, NULL, NULL, NULL, 'HEME-BINDING PROTEIN SOUL5', 176204),
(232479, 'PTHR13964:SF38', NULL, NULL, NULL, NULL, 'CHROMATIN STRUCTURE-REMODELING COMPLEX SUBUNIT RSC9', 176205),
(232480, 'PTHR43371:SF1', NULL, NULL, NULL, NULL, 'ADENOSYLCOBALAMIN-DEPENDENT RIBONUCLEOSIDE-TRIPHOSPHATE REDUCTASE-RELATED', 176206),
(232481, 'PTHR31087:SF58', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 13', 176207),
(232482, 'PTHR11964:SF43', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', 176208),
(232483, 'PTHR48018:SF22', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1022', 176209),
(232484, 'PTHR30273:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FECR', 176210),
(232485, 'PTHR33604:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176211),
(232486, 'PTHR12354:SF10', NULL, NULL, NULL, NULL, 'INTERFERON-RELATED DEVELOPMENTAL REGULATOR FAMILY PROTEIN, EXPRESSED', 176212),
(232487, 'PTHR45374', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE TCHQD', 176213),
(232488, 'PTHR23278:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176214),
(232489, 'PTHR10551:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176215),
(232490, 'PTHR11689:SF136', NULL, NULL, NULL, NULL, 'H(+)/CL(-) EXCHANGE TRANSPORTER 7', 176216),
(232491, 'PTHR32217:SF2', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6L', 176217),
(232492, 'PTHR10965:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L38-LIKE', 176218),
(232493, 'PTHR11260:SF675', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176219),
(232494, 'PTHR45702:SF4', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 10', 176220),
(232495, 'PTHR45614:SF30', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN B', 176221),
(232496, 'PTHR11972:SF66', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE2', 176222),
(232497, 'PTHR32021:SF22', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 176223),
(232498, 'PTHR47976:SF30', NULL, NULL, NULL, NULL, 'OS04G0303100 PROTEIN', 176224),
(232499, 'PTHR47990:SF115', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 3-LIKE ISOFORM X1', 176225),
(232500, 'PTHR46196:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK (WITH NO LYSINE)-LIKE PROTEIN-RELATED', 176226),
(232501, 'PTHR10910:SF62', NULL, NULL, NULL, NULL, 'A-TO-I RNA EDITING REGULATOR ADR-1', 176227),
(232502, 'PTHR46301:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176228),
(232503, 'PTHR12563:SF20', NULL, NULL, NULL, NULL, 'GLYCERONEPHOSPHATE O-ACYLTRANSFERASE', 176229),
(232504, 'PTHR31048:SF45', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', 176230);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(232505, 'PTHR12924:SF2', NULL, NULL, NULL, NULL, 'SIGNAL SEQUENCE RECEPTOR, ALPHA', 176231),
(232506, 'PTHR46419:SF10', NULL, NULL, NULL, NULL, 'ARF GTPASE ACTIVATING PROTEIN-RELATED', 176232),
(232507, 'PTHR47948:SF3', NULL, NULL, NULL, NULL, 'OS02G0467000 PROTEIN', 176233),
(232508, 'PTHR12730:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SDA1 HOMOLOG', 176234),
(232509, 'PTHR27000:SF738', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176235),
(232510, 'PTHR28080', NULL, NULL, NULL, NULL, 'PEROXISOMAL BIOGENESIS FACTOR 3', 176236),
(232511, 'PTHR35743:SF1', NULL, NULL, NULL, NULL, 'NODULIN HOMEOBOX', 176237),
(232512, 'PTHR46506:SF16', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 176238),
(232513, 'PTHR27008:SF416', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176239),
(232514, 'PTHR27005:SF369', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 176240),
(232515, 'PTHR45665:SF17', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP3-1', 176241),
(232516, 'PTHR22802:SF394', NULL, NULL, NULL, NULL, 'COLLECTIN SUBFAMILY MEMBER 12', 176242),
(232517, 'PTHR36021', NULL, NULL, NULL, NULL, 'COREPRESSOR', 176243),
(232518, 'PTHR14132:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOLEMMAN', 176244),
(232519, 'PTHR10566:SF127', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER-LIKE PROTEIN', 176245),
(232520, 'PTHR11480:SF36', NULL, NULL, NULL, NULL, 'PROSAPOSIN', 176246),
(232521, 'PTHR35495', NULL, NULL, NULL, NULL, 'OS06G0679600 PROTEIN', 176247),
(232522, 'PTHR31989:SF171', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR', 176248),
(232523, 'PTHR33065:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176249),
(232524, 'PTHR10865:SF29', NULL, NULL, NULL, NULL, 'METASTASIS ASSOCIATED 1-LIKE, ISOFORM D', 176250),
(232525, 'PTHR10543:SF95', NULL, NULL, NULL, NULL, '9-CIS-EPOXYCAROTENOID DIOXYGENASE NCED9, CHLOROPLASTIC', 176251),
(232526, 'PTHR45637:SF56', NULL, NULL, NULL, NULL, 'PROTEIN KINASE', 176252),
(232527, 'PTHR45642:SF96', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 176253),
(232528, 'PTHR27009:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176254),
(232529, 'PTHR23206:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 17', 176255),
(232530, 'PTHR38594:SF1', NULL, NULL, NULL, NULL, 'PEP-DEPENDENT DIHYDROXYACETONE KINASE, PHOSPHORYL DONOR SUBUNIT DHAM', 176256),
(232531, 'PTHR11846:SF2', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE ISOZYME 1', 176257),
(232532, 'PTHR45932:SF1', NULL, NULL, NULL, NULL, 'OS05G0429400 PROTEIN', 176258),
(232533, 'PTHR10352:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176259),
(232534, 'PTHR30363', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR SRLR-RELATED', 176260),
(232535, 'PTHR46400:SF12', NULL, NULL, NULL, NULL, 'BNAA02G11030D PROTEIN', 176261),
(232536, 'PTHR22891:SF152', NULL, NULL, NULL, NULL, 'BNAA08G03260D PROTEIN', 176262),
(232537, 'PTHR48099:SF4', NULL, NULL, NULL, NULL, 'FORMATE-DIHYDROFOLATE LIGASE', 176263),
(232538, 'PTHR13524', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED', 176264),
(232539, 'PTHR44191:SF31', NULL, NULL, NULL, NULL, 'BNAC02G02590D PROTEIN', 176265),
(232540, 'PTHR11759:SF38', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S11, MITOCHONDRIAL-RELATED', 176266),
(232541, 'PTHR11453:SF107', NULL, NULL, NULL, NULL, 'BNAC03G72490D PROTEIN', 176267),
(232542, 'PTHR10641:SF1256', NULL, NULL, NULL, NULL, 'BNACNNG13680D PROTEIN', 176268),
(232543, 'PTHR47617', NULL, NULL, NULL, NULL, 'G-PROTEIN SIGNALING MODULATOR 3', 176269),
(232544, 'PTHR16089:SF40', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF ACTIVATED EGL-4 PROTEIN 1', 176270),
(232545, 'PTHR48192:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 176271),
(232546, 'PTHR23080:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176272),
(232547, 'PTHR27003:SF302', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE ANXUR2', 176273),
(232548, 'PTHR22800:SF185', NULL, NULL, NULL, NULL, 'NKG2-F TYPE II INTEGRAL MEMBRANE PROTEIN', 176274),
(232549, 'PTHR33070:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176275);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(232550, 'PTHR43694:SF5', NULL, NULL, NULL, NULL, 'RNA-METABOLISING METALLO-BETA-LACTAMASE', 176276),
(232551, 'PTHR43279', NULL, NULL, NULL, NULL, 'CATECHOL-2,3-DIOXYGENASE', 176277),
(232552, 'PTHR35760:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-22I13.2', 176278),
(232553, 'PTHR31321:SF98', NULL, NULL, NULL, NULL, 'PECTINESTERASE 67-RELATED', 176279),
(232554, 'PTHR23095:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 18', 176280),
(232555, 'PTHR15426:SF6', NULL, NULL, NULL, NULL, 'PROTEIN DEPP1', 176281),
(232556, 'PTHR23409:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176282),
(232557, 'PTHR33973', NULL, NULL, NULL, NULL, 'OS07G0153300 PROTEIN', 176283),
(232558, 'PTHR46422:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 176284),
(232559, 'PTHR14317', NULL, NULL, NULL, NULL, 'SPERM PROTAMINE P3', 176285),
(232560, 'PTHR12002:SF15', NULL, NULL, NULL, NULL, 'CLAUDIN', 176286),
(232561, 'PTHR11413:SF111', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 176287),
(232562, 'PTHR10177:SF489', NULL, NULL, NULL, NULL, 'BNAA06G10270D PROTEIN', 176288),
(232563, 'PTHR13047:SF0', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 5', 176289),
(232564, 'PTHR23430:SF284', NULL, NULL, NULL, NULL, 'HISTONE H2A', 176290),
(232565, 'PTHR43860', NULL, NULL, NULL, NULL, 'BETAINE ALDEHYDE DEHYDROGENASE', 176291),
(232566, 'PTHR23226:SF278', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 572', 176292),
(232567, 'PTHR47999:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176293),
(232568, 'PTHR38398:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 176294),
(232569, 'PTHR43327:SF43', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 2-LIKE', 176295),
(232570, 'PTHR31548:SF4', NULL, NULL, NULL, NULL, 'CLARIN-1', 176296),
(232571, 'PTHR23052:SF1', NULL, NULL, NULL, NULL, 'AXONEMAL DYNEIN LIGHT CHAIN DOMAIN-CONTAINING PROTEIN 1', 176297),
(232572, 'PTHR33124:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176298),
(232573, 'PTHR13612', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 176299),
(232574, 'PTHR42840:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 176300),
(232575, 'PTHR43160:SF6', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE, MITOCHONDRIAL', 176301),
(232576, 'PTHR24282:SF63', NULL, NULL, NULL, NULL, 'CYTOCHROMEA2', 176302),
(232577, 'PTHR43016:SF11', NULL, NULL, NULL, NULL, 'METALLOENZYME, LUXS/M16 PEPTIDASE-LIKE PROTEIN-RELATED', 176303),
(232578, 'PTHR42790:SF10', NULL, NULL, NULL, NULL, 'AROMATIC/AMINOADIPATE AMINOTRANSFERASE 1', 176304),
(232579, 'PTHR26453:SF603', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1338', 176305),
(232580, 'PTHR46008:SF35', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', 176306),
(232581, 'PTHR24089:SF689', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN SCAMC-1-B-LIKE', 176307),
(232582, 'PTHR47970:SF1', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-5A', 176308),
(232583, 'PTHR10634', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN', 176309),
(232584, 'PTHR14140:SF39', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ORTHRUS 2-LIKE', 176310),
(232585, 'PTHR31343:SF48', NULL, NULL, NULL, NULL, 'BNAA09G45280D PROTEIN', 176311),
(232586, 'PTHR24296:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176312),
(232587, 'PTHR48001:SF30', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 176313),
(232588, 'PTHR16656:SF7', NULL, NULL, NULL, NULL, 'ALPHA-S2-CASEIN-LIKE A', 176314),
(232589, 'PTHR43874:SF69', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR3', 176315),
(232590, 'PTHR48053:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176316),
(232591, 'PTHR18945:SF837', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT BETA-TYPE LEV-1', 176317),
(232592, 'PTHR11480:SF39', NULL, NULL, NULL, NULL, 'PROACTIVATOR POLYPEPTIDE-LIKE 1', 176318),
(232593, 'PTHR22957:SF587', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176319),
(232594, 'PTHR23024:SF548', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 16-RELATED', 176320);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(232595, 'PTHR15898:SF15', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PRT1-LIKE', 176321),
(232596, 'PTHR31341', NULL, NULL, NULL, NULL, 'IPT/TIG DOMAIN-CONTAINING PROTEIN-RELATED-RELATED', 176322),
(232597, 'PTHR11595:SF66', NULL, NULL, NULL, NULL, 'BNAC02G08760D PROTEIN', 176323),
(232598, 'PTHR23262:SF160', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-11', 176324),
(232599, 'PTHR35996', NULL, NULL, NULL, NULL, 'OSJNBA0038O10.25 PROTEIN', 176325),
(232600, 'PTHR31045:SF28', NULL, NULL, NULL, NULL, 'PLAC8 MOTIF-CONTAINING PROTEIN-RELATED', 176326),
(232601, 'PTHR24381:SF144', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 101', 176327),
(232602, 'PTHR46709:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG08295', 176328),
(232603, 'PTHR34049:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176329),
(232604, 'PTHR23080:SF133', NULL, NULL, NULL, NULL, 'SI:CH211-262I1.5-RELATED', 176330),
(232605, 'PTHR37534:SF29', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 176331),
(232606, 'PTHR31470:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176332),
(232607, 'PTHR10117:SF25', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 4', 176333),
(232608, 'PTHR21038:SF2', NULL, NULL, NULL, NULL, 'UAP56-INTERACTING FACTOR', 176334),
(232609, 'PTHR11639:SF51', NULL, NULL, NULL, NULL, 'PROTEIN S100-A4', 176335),
(232610, 'PTHR48049:SF7', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73B1', 176336),
(232611, 'PTHR31414:SF13', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 176337),
(232612, 'PTHR43828:SF5', NULL, NULL, NULL, NULL, 'APSES TRANSCRIPTION FACTOR XBP1', 176338),
(232613, 'PTHR35469:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 176339),
(232614, 'PTHR12736:SF22', NULL, NULL, NULL, NULL, 'LANC-LIKE PROTEIN GCL2', 176340),
(232615, 'PTHR30087:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 176341),
(232616, 'PTHR10231:SF71', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 4', 176342),
(232617, 'PTHR31260:SF40', NULL, NULL, NULL, NULL, 'BNAA08G13290D PROTEIN', 176343),
(232618, 'PTHR24414:SF112', NULL, NULL, NULL, NULL, 'BNAC03G76310D PROTEIN', 176344),
(232619, 'PTHR43349:SF80', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 2 ISOFORM X1-RELATED', 176345),
(232620, 'PTHR15854:SF4', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 4', 176346),
(232621, 'PTHR37480:SF1', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE [NADH]', 176347),
(232622, 'PTHR11863:SF159', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 2-LIKE', 176348),
(232623, 'PTHR11211', NULL, NULL, NULL, NULL, 'IROQUOIS-CLASS HOMEODOMAIN PROTEIN IRX', 176349),
(232624, 'PTHR21011', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S6', 176350),
(232625, 'PTHR22811:SF124', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA9', 176351),
(232626, 'PTHR24377:SF739', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 728', 176352),
(232627, 'PTHR19241:SF524', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 36', 176353),
(232628, 'PTHR24340:SF20', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-6.3', 176354),
(232629, 'PTHR13768:SF31', NULL, NULL, NULL, NULL, 'ALPHA-SOLUBLE NSF ATTACHMENT PROTEIN', 176355),
(232630, 'PTHR24377:SF900', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 577', 176356),
(232631, 'PTHR33346:SF14', NULL, NULL, NULL, NULL, 'COLD-SHOCK PROTEIN CS120', 176357),
(232632, 'PTHR45743:SF15', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL GORK', 176358),
(232633, 'PTHR36000', NULL, NULL, NULL, NULL, 'DEFECTIVE 1273 PROTEIN, PUTATIVE-RELATED', 176359),
(232634, 'PTHR46332', NULL, NULL, NULL, NULL, 'ASPARTATE BETA-HYDROXYLASE DOMAIN-CONTAINING PROTEIN 2', 176360),
(232635, 'PTHR28077:SF1', NULL, NULL, NULL, NULL, 'INOSITOL PHOSPHORYLCERAMIDE SYNTHASE REGULATORY SUBUNIT KEI1', 176361),
(232636, 'PTHR42820:SF16', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE 3B', 176362),
(232637, 'PTHR19368:SF8', NULL, NULL, NULL, NULL, 'GENE 1140-RELATED', 176363);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(232638, 'PTHR11785:SF523', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 176364),
(232639, 'PTHR10165:SF94', NULL, NULL, NULL, NULL, 'PHOSPHATIDIC ACID PHOSPHATASE TYPE 2D', 176365),
(232640, 'PTHR37265', NULL, NULL, NULL, NULL, 'OS01G0195300 PROTEIN', 176366),
(232641, 'PTHR10903:SF144', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 6', 176367),
(232642, 'PTHR46352:SF10', NULL, NULL, NULL, NULL, 'PROTEIN SENSITIVE TO PROTON RHIZOTOXICITY 1-LIKE', 176368),
(232643, 'PTHR10920:SF21', NULL, NULL, NULL, NULL, 'RRNA METHYLTRANSFERASE-RELATED', 176369),
(232644, 'PTHR11972:SF152', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN C', 176370),
(232645, 'PTHR37869:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 89', 176371),
(232646, 'PTHR23266:SF281', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 2-26', 176372),
(232647, 'PTHR45683:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL NICOTINAMIDE ADENINE DINUCLEOTIDE TRANSPORTER 1-RELATED', 176373),
(232648, 'PTHR35326:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PSBN', 176374),
(232649, 'PTHR46033:SF22', NULL, NULL, NULL, NULL, 'PROTEIN MAINTENANCE OF MERISTEMS', 176375),
(232650, 'PTHR47956:SF60', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 176376),
(232651, 'PTHR34484:SF4', NULL, NULL, NULL, NULL, 'BNAA02G04570D PROTEIN', 176377),
(232652, 'PTHR33159:SF63', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', 176378),
(232653, 'PTHR45740', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 176379),
(232654, 'PTHR22642:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LONG AFTER FAR-RED 3', 176380),
(232655, 'PTHR23088:SF51', NULL, NULL, NULL, NULL, 'OMEGA-AMIDASE NIT2', 176381),
(232656, 'PTHR12357:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176382),
(232657, 'PTHR43670', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 26', 176383),
(232658, 'PTHR27009:SF203', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 176384),
(232659, 'PTHR31731:SF112', NULL, NULL, NULL, NULL, 'BNAC02G17350D PROTEIN', 176385),
(232660, 'PTHR31218:SF329', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 176386),
(232661, 'PTHR33347:SF7', NULL, NULL, NULL, NULL, 'OS09G0473600 PROTEIN', 176387),
(232662, 'PTHR35819', NULL, NULL, NULL, NULL, 'PICALM INTERACTING MITOTIC REGULATOR PIMREG', 176388),
(232663, 'PTHR18860:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176389),
(232664, 'PTHR30069:SF32', NULL, NULL, NULL, NULL, 'MEMBRANE RECEPTOR PROTEIN-RELATED', 176390),
(232665, 'PTHR11733:SF167', NULL, NULL, NULL, NULL, 'NEPRILYSIN-2', 176391),
(232666, 'PTHR43174:SF2', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 2-EPIMERASE', 176392),
(232667, 'PTHR31627:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V-RELATED', 176393),
(232668, 'PTHR31989:SF380', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 7', 176394),
(232669, 'PTHR47925:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176395),
(232670, 'PTHR47374:SF2', NULL, NULL, NULL, NULL, 'ENDOSOME ANTIGEN-LIKE PROTEIN, PUTATIVE (DUF3444)-RELATED', 176396),
(232671, 'PTHR31645:SF72', NULL, NULL, NULL, NULL, 'BNAC03G62050D PROTEIN', 176397),
(232672, 'PTHR35479:SF5', NULL, NULL, NULL, NULL, 'OS01G0750800 PROTEIN', 176398),
(232673, 'PTHR48052:SF5', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', 176399),
(232674, 'PTHR24064:SF493', NULL, NULL, NULL, NULL, 'OS09G0559800 PROTEIN', 176400),
(232675, 'PTHR11736:SF145', NULL, NULL, NULL, NULL, 'MAGEB16 PROTEIN', 176401),
(232676, 'PTHR34938:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176402),
(232677, 'PTHR31731:SF65', NULL, NULL, NULL, NULL, 'HYPOTHETICAL HPS-LIKE PROTEIN', 176403),
(232678, 'PTHR48002:SF133', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 176404),
(232679, 'PTHR27007:SF271', NULL, NULL, NULL, NULL, 'OS09G0341100 PROTEIN', 176405),
(232680, 'PTHR24135:SF28', NULL, NULL, NULL, NULL, 'SEXUAL DIFFERENTIATION PROTEIN STE4', 176406),
(232681, 'PTHR44499', NULL, NULL, NULL, NULL, 'JOUBERIN', 176407),
(232682, 'PTHR18952:SF141', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 1', 176408);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(232683, 'PTHR30532:SF4', NULL, NULL, NULL, NULL, 'PETROBACTIN-BINDING PROTEIN YCLQ', 176409),
(232684, 'PTHR33207:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176410),
(232685, 'PTHR33021:SF334', NULL, NULL, NULL, NULL, 'BNAC01G20120D PROTEIN', 176411),
(232686, 'PTHR14898:SF6', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB HOMOLOG 1', 176412),
(232687, 'PTHR45839:SF19', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', 176413),
(232688, 'PTHR20934:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', 176414),
(232689, 'PTHR39671:SF2', NULL, NULL, NULL, NULL, 'COMPLEX PROTEIN NUCLEASE, PUTATIVE KREPB1-RELATED', 176415),
(232690, 'PTHR45706:SF7', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 4', 176416),
(232691, 'PTHR39608', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G08640)', 176417),
(232692, 'PTHR16134:SF29', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP1', 176418),
(232693, 'PTHR48141', NULL, NULL, NULL, NULL, 'KINASE C, PUTATIVE-RELATED', 176419),
(232694, 'PTHR16523', NULL, NULL, NULL, NULL, 'PEST PROTEOLYTIC SIGNAL-CONTAINING NUCLEAR PROTEIN', 176420),
(232695, 'PTHR31651:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176421),
(232696, 'PTHR37696:SF1', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE-RELATED', 176422),
(232697, 'PTHR31221:SF181', NULL, NULL, NULL, NULL, 'BNAA09G45940D PROTEIN', 176423),
(232698, 'PTHR24026:SF111', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-23', 176424),
(232699, 'PTHR16515:SF2', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 4', 176425),
(232700, 'PTHR37908', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 176426),
(232701, 'PTHR46364:SF11', NULL, NULL, NULL, NULL, 'CHROMATIN REMODELING PROTEIN EBS', 176427),
(232702, 'PTHR14715:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176428),
(232703, 'PTHR33775:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-38L22.2', 176429),
(232704, 'PTHR12570:SF73', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 176430),
(232705, 'PTHR43303:SF7', NULL, NULL, NULL, NULL, 'FLAVIN OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06420)-RELATED', 176431),
(232706, 'PTHR32212:SF274', NULL, NULL, NULL, NULL, 'BNAC05G10130D PROTEIN', 176432),
(232707, 'PTHR23266:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176433),
(232708, 'PTHR45693', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA9', 176434),
(232709, 'PTHR33286:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 176435),
(232710, 'PTHR31521', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 176436),
(232711, 'PTHR46177', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 176437),
(232712, 'PTHR42973:SF2', NULL, NULL, NULL, NULL, 'FAD-BINDING, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14470)-RELATED', 176438),
(232713, 'PTHR45717:SF46', NULL, NULL, NULL, NULL, 'BNAC07G03560D PROTEIN', 176439),
(232714, 'PTHR12245:SF8', NULL, NULL, NULL, NULL, 'SPRY DOMAIN-CONTAINING SOCS BOX PROTEIN 1', 176440),
(232715, 'PTHR11592:SF99', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID HYDROPEROXIDE GLUTATHIONE PEROXIDASE 1, CHLOROPLASTIC', 176441),
(232716, 'PTHR48043:SF32', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 176442),
(232717, 'PTHR36694:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG13296', 176443),
(232718, 'PTHR34112:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176444),
(232719, 'PTHR31314:SF102', NULL, NULL, NULL, NULL, 'BNACNNG44310D PROTEIN', 176445),
(232720, 'PTHR35176:SF1', NULL, NULL, NULL, NULL, 'F420H(2)-DEPENDENT BILIVERDIN REDUCTASE', 176446),
(232721, 'PTHR23500:SF565', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER 14-RELATED', 176447),
(232722, 'PTHR34564:SF9', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE G', 176448),
(232723, 'PTHR45702:SF5', NULL, NULL, NULL, NULL, 'ADAM METALLOPEPTIDASE DOMAIN 17B', 176449),
(232724, 'PTHR10891:SF860', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML27-RELATED', 176450),
(232725, 'PTHR44259:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 176451);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(232726, 'PTHR23210:SF23', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR 7-INTERACTING PROTEIN 2', 176452),
(232727, 'PTHR36519:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13414', 176453),
(232728, 'PTHR48041:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 24', 176454),
(232729, 'PTHR33086:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176455),
(232730, 'PTHR46169:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 3', 176456),
(232731, 'PTHR28681', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 196', 176457),
(232732, 'PTHR35525:SF3', NULL, NULL, NULL, NULL, 'BLL6575 PROTEIN', 176458),
(232733, 'PTHR12161:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176459),
(232734, 'PTHR47983:SF36', NULL, NULL, NULL, NULL, 'PTI1-LIKE TYROSINE-PROTEIN KINASE 1', 176460),
(232735, 'PTHR24015:SF47', NULL, NULL, NULL, NULL, 'OS01G0374200 PROTEIN', 176461),
(232736, 'PTHR24071:SF26', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN-4', 176462),
(232737, 'PTHR31818:SF22', NULL, NULL, NULL, NULL, 'AXI 1 PROTEIN', 176463),
(232738, 'PTHR10438:SF421', NULL, NULL, NULL, NULL, 'THIOREDOXIN H-TYPE-LIKE ISOFORM X1', 176464),
(232739, 'PTHR11909:SF397', NULL, NULL, NULL, NULL, 'OS07G0171300 PROTEIN', 176465),
(232740, 'PTHR12606:SF119', NULL, NULL, NULL, NULL, 'ULP1 PROTEASE FAMILY, CARBOXY-TERMINAL DOMAIN PROTEIN', 176466),
(232741, 'PTHR10811:SF26', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 176467),
(232742, 'PTHR13301:SF70', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 11 [UDP-FORMING]-RELATED', 176468),
(232743, 'PTHR33624', NULL, NULL, NULL, NULL, 'SIGMA FACTOR BINDING PROTEIN 1, CHLOROPLASTIC', 176469),
(232744, 'PTHR11709:SF356', NULL, NULL, NULL, NULL, 'LACCASE-7', 176470),
(232745, 'PTHR16557:SF2', NULL, NULL, NULL, NULL, 'NUCLEIC ACID DIOXYGENASE ALKBH1', 176471),
(232746, 'PTHR46183:SF12', NULL, NULL, NULL, NULL, 'PB1 DOMAIN, TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN PROTEIN-RELATED', 176472),
(232747, 'PTHR36016:SF12', NULL, NULL, NULL, NULL, 'BNAC04G13300D PROTEIN', 176473),
(232748, 'PTHR11132:SF402', NULL, NULL, NULL, NULL, 'OS01G0749900 PROTEIN', 176474),
(232749, 'PTHR11742', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE ALPHA-1,2-MANNOSIDASE-RELATED', 176475),
(232750, 'PTHR28066:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176476),
(232751, 'PTHR32133:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176477),
(232752, 'PTHR31161:SF13', NULL, NULL, NULL, NULL, 'OS01G0203800 PROTEIN', 176478),
(232753, 'PTHR12015:SF103', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 4-RELATED', 176479),
(232754, 'PTHR45752:SF31', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 10B', 176480),
(232755, 'PTHR45893:SF2', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP RING FINGER PROTEIN 6', 176481),
(232756, 'PTHR23196:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176482),
(232757, 'PTHR47915', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.7', 176483),
(232758, 'PTHR24072:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176484),
(232759, 'PTHR36586:SF30', NULL, NULL, NULL, NULL, 'BNAC04G02760D PROTEIN', 176485),
(232760, 'PTHR46287:SF10', NULL, NULL, NULL, NULL, 'OS01G0908200 PROTEIN', 176486),
(232761, 'PTHR34216', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 176487),
(232762, 'PTHR24247:SF195', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR DM1', 176488),
(232763, 'PTHR25465:SF10', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 16-RELATED', 176489),
(232764, 'PTHR12385:SF42', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN 5', 176490),
(232765, 'PTHR31614:SF34', NULL, NULL, NULL, NULL, 'PROTEIN DOWNSTREAM OF FLC', 176491),
(232766, 'PTHR47986:SF5', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE TMK3', 176492),
(232767, 'PTHR31669:SF236', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 7-LIKE ISOFORM X1', 176493),
(232768, 'PTHR32044:SF58', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 11-RELATED', 176494),
(232769, 'PTHR34648:SF6', NULL, NULL, NULL, NULL, 'CLOCK-INTERACTING PACEMAKER B', 176495);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(232770, 'PTHR33470:SF24', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 3-LIKE', 176496),
(232771, 'PTHR10795:SF700', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE', 176497),
(232772, 'PTHR19957:SF292', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN SED5-RELATED', 176498),
(232773, 'PTHR33227', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 176499),
(232774, 'PTHR10972:SF180', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING FAMILY PROTEIN-RELATED', 176500),
(232775, 'PTHR10334:SF386', NULL, NULL, NULL, NULL, 'GOLGI-ASSOCIATED PLANT PATHOGENESIS-RELATED PROTEIN 1', 176501),
(232776, 'PTHR46314:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG17655', 176502),
(232777, 'PTHR24414:SF99', NULL, NULL, NULL, NULL, 'BNACNNG31110D PROTEIN', 176503),
(232778, 'PTHR31241:SF38', NULL, NULL, NULL, NULL, 'AP2-EREBP TRANSCRIPTION FACTOR', 176504),
(232779, 'PTHR32263:SF29', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 176505),
(232780, 'PTHR30537:SF21', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR SINR-RELATED', 176506),
(232781, 'PTHR11260:SF597', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U18', 176507),
(232782, 'PTHR21495:SF189', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 176508),
(232783, 'PTHR26450:SF373', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 176509),
(232784, 'PTHR45733:SF5', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 7', 176510),
(232785, 'PTHR11414:SF22', NULL, NULL, NULL, NULL, 'CYSTATIN-B', 176511),
(232786, 'PTHR10641:SF1303', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39-LIKE', 176512),
(232787, 'PTHR47441', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 176513),
(232788, 'PTHR19321', NULL, NULL, NULL, NULL, 'PROTEIN REGULATOR OF CYTOKINESIS 1 PRC1-RELATED', 176514),
(232789, 'PTHR12243', NULL, NULL, NULL, NULL, 'MADF DOMAIN TRANSCRIPTION FACTOR', 176515),
(232790, 'PTHR24377:SF887', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176516),
(232791, 'PTHR10809:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176517),
(232792, 'PTHR33067', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 176518),
(232793, 'PTHR24388:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176519),
(232794, 'PTHR48199:SF1', NULL, NULL, NULL, NULL, 'ALPHA KAFIRIN', 176520),
(232795, 'PTHR45693:SF15', NULL, NULL, NULL, NULL, 'TGACG-SEQUENCE-SPECIFIC DNA-BINDING PROTEIN TGA-2.1', 176521),
(232796, 'PTHR36435', NULL, NULL, NULL, NULL, 'SLR1288 PROTEIN', 176522),
(232797, 'PTHR47608', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 2, SPINK2', 176523),
(232798, 'PTHR36343:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 176524),
(232799, 'PTHR13074:SF9', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 8', 176525),
(232800, 'PTHR23266:SF248', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-20', 176526),
(232801, 'PTHR11852:SF9', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE 1B, CATALYTIC SUBUNIT 2', 176527),
(232802, 'PTHR31157:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176528),
(232803, 'PTHR16078:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 87', 176529),
(232804, 'PTHR33044:SF189', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 176530),
(232805, 'PTHR11945:SF549', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN AGL24', 176531),
(232806, 'PTHR36156:SF2', NULL, NULL, NULL, NULL, 'SLR2101 PROTEIN', 176532),
(232807, 'PTHR11950', NULL, NULL, NULL, NULL, 'RUNT RELATED', 176533),
(232808, 'PTHR46122:SF17', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', 176534),
(232809, 'PTHR23262:SF133', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 9-6-RELATED', 176535),
(232810, 'PTHR32018:SF9', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B', 176536),
(232811, 'PTHR31549:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176537),
(232812, 'PTHR47985:SF38', NULL, NULL, NULL, NULL, 'BNAC05G16020D PROTEIN', 176538),
(232813, 'PTHR31852:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176539),
(232814, 'PTHR12629:SF12', NULL, NULL, NULL, NULL, 'HYDROLASE 13, MITOCHONDRIAL, PUTATIVE, EXPRESSED-RELATED', 176540);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(232815, 'PTHR10516:SF419', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 176541),
(232816, 'PTHR45932:SF18', NULL, NULL, NULL, NULL, 'PATELLIN 1-RELATED', 176542),
(232817, 'PTHR46446:SF21', NULL, NULL, NULL, NULL, 'BNAA02G36990D PROTEIN', 176543),
(232818, 'PTHR34848', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 176544),
(232819, 'PTHR11014:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176545),
(232820, 'PTHR19300', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE', 176546),
(232821, 'PTHR26452:SF771', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 176547),
(232822, 'PTHR24006:SF823', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', 176548),
(232823, 'PTHR22955:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176549),
(232824, 'PTHR41729', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA SYNTHETASE', 176550),
(232825, 'PTHR11926:SF1372', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C2-LIKE', 176551),
(232826, 'PTHR24412:SF10', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 29', 176552),
(232827, 'PTHR46877:SF1', NULL, NULL, NULL, NULL, 'EPH RECEPTOR A5', 176553),
(232828, 'PTHR28467:SF1', NULL, NULL, NULL, NULL, 'PAXIP1-ASSOCIATED GLUTAMATE-RICH PROTEIN 1', 176554),
(232829, 'PTHR24115:SF802', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN UNC-104', 176555),
(232830, 'PTHR24240:SF176', NULL, NULL, NULL, NULL, 'TELEOST MULTIPLE TISSUE OPSIN 2B', 176556),
(232831, 'PTHR10334:SF491', NULL, NULL, NULL, NULL, 'BNACNNG34480D PROTEIN', 176557),
(232832, 'PTHR33674:SF2', NULL, NULL, NULL, NULL, 'OS05G0126800 PROTEIN', 176558),
(232833, 'PTHR10641:SF1292', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB-HB-LIKE FAMILY-RELATED', 176559),
(232834, 'PTHR46999', NULL, NULL, NULL, NULL, 'ALPHA-GLUCAN WATER DIKINASE 1, CHLOROPLASTIC-RELATED', 176560),
(232835, 'PTHR45631:SF59', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 176561),
(232836, 'PTHR10900:SF80', NULL, NULL, NULL, NULL, 'FASCICLIN-1', 176562),
(232837, 'PTHR47954:SF3', NULL, NULL, NULL, NULL, 'OS12G0640200 PROTEIN', 176563),
(232838, 'PTHR24343:SF43', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HAL5-RELATED', 176564),
(232839, 'PTHR27006:SF232', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RFK1-RELATED', 176565),
(232840, 'PTHR47431:SF2', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 176566),
(232841, 'PTHR34703:SF2', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT G1', 176567),
(232842, 'PTHR10270:SF303', NULL, NULL, NULL, NULL, 'SOX (MAMMALIAN SRY BOX) FAMILY', 176568),
(232843, 'PTHR10641:SF1298', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 176569),
(232844, 'PTHR13555:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176570),
(232845, 'PTHR10725:SF58', NULL, NULL, NULL, NULL, 'AGAP005571-PA', 176571),
(232846, 'PTHR21600:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL LARGE SUBUNIT PSEUDOURIDINE SYNTHASE E', 176572),
(232847, 'PTHR13509:SF15', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', 176573),
(232848, 'PTHR11377:SF5', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE', 176574),
(232849, 'PTHR24083:SF54', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR HR78', 176575),
(232850, 'PTHR46125:SF15', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 28 ISOFORM X1', 176576),
(232851, 'PTHR21143:SF115', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR 8A', 176577),
(232852, 'PTHR31108:SF11', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P63-REGULATED 1', 176578),
(232853, 'PTHR32263', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE SRO4-RELATED', 176579),
(232854, 'PTHR36203:SF2', NULL, NULL, NULL, NULL, 'POSSIBLE SUGAR-TRANSPORT PROTEIN', 176580),
(232855, 'PTHR23146', NULL, NULL, NULL, NULL, 'LEO1 PROTEIN', 176581),
(232856, 'PTHR13780:SF118', NULL, NULL, NULL, NULL, 'CBS DOMAIN, IMMUNOGLOBULIN E-SET-RELATED', 176582),
(232857, 'PTHR10658:SF78', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN CYTOPLASMIC 1B', 176583),
(232858, 'PTHR33044:SF174', NULL, NULL, NULL, NULL, 'BNAA02G16470D PROTEIN', 176584);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(232859, 'PTHR27009:SF145', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.4', 176585),
(232860, 'PTHR23012:SF93', NULL, NULL, NULL, NULL, 'OS01G0121200 PROTEIN', 176586),
(232861, 'PTHR30368', NULL, NULL, NULL, NULL, 'SULFATE-BINDING PROTEIN', 176587),
(232862, 'PTHR44169:SF11', NULL, NULL, NULL, NULL, 'BNAA06G24130D PROTEIN', 176588),
(232863, 'PTHR22736', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 176589),
(232864, 'PTHR48217', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 176590),
(232865, 'PTHR47926:SF286', NULL, NULL, NULL, NULL, 'BNAA06G13890D PROTEIN', 176591),
(232866, 'PTHR32448:SF104', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE-RELATED', 176592),
(232867, 'PTHR22595:SF169', NULL, NULL, NULL, NULL, 'CHITINASE 8', 176593),
(232868, 'PTHR11655:SF41', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L9', 176594),
(232869, 'PTHR42282', NULL, NULL, NULL, NULL, 'PANTOATE KINASE-RELATED', 176595),
(232870, 'PTHR10252:SF106', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-3-RELATED', 176596),
(232871, 'PTHR11024:SF17', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC13 HOMOLOG B-LIKE ISOFORM X1', 176597),
(232872, 'PTHR10353:SF152', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1 PROTEIN', 176598),
(232873, 'PTHR26453:SF219', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 176599),
(232874, 'PTHR24320:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176600),
(232875, 'PTHR10880:SF45', NULL, NULL, NULL, NULL, 'MSL3-LIKE 2-RELATED', 176601),
(232876, 'PTHR35285:SF2', NULL, NULL, NULL, NULL, 'BNAC01G44830D PROTEIN', 176602),
(232877, 'PTHR12794:SF10', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', 176603),
(232878, 'PTHR43276', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN:MALTOSE-1-PHOSPHATE MALTOSYLTRANSFERASE 2', 176604),
(232879, 'PTHR31731:SF89', NULL, NULL, NULL, NULL, 'LIPID-BINDING PROTEIN AIR1-RELATED', 176605),
(232880, 'PTHR11177:SF344', NULL, NULL, NULL, NULL, 'CHITINASE 2-RELATED', 176606),
(232881, 'PTHR11502:SF26', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', 176607),
(232882, 'PTHR34483:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176608),
(232883, 'PTHR33883:SF10', NULL, NULL, NULL, NULL, 'WPP DOMAIN-ASSOCIATED PROTEIN', 176609),
(232884, 'PTHR24203:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176610),
(232885, 'PTHR19375:SF415', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70 FAMILY, PEPTIDE-BINDING DOMAIN PROTEIN-RELATED', 176611),
(232886, 'PTHR19134:SF485', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE', 176612),
(232887, 'PTHR10108:SF968', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT19-RELATED', 176613),
(232888, 'PTHR36801:SF2', NULL, NULL, NULL, NULL, 'OS01G0570601 PROTEIN', 176614),
(232889, 'PTHR48054:SF18', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PEPR1', 176615),
(232890, 'PTHR33078:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176616),
(232891, 'PTHR32166:SF54', NULL, NULL, NULL, NULL, 'HAT DIMERIZATION DOMAIN-CONTAINING PROTEIN ISOFORM 1', 176617),
(232892, 'PTHR46924', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR-LIKE PROTEIN C-RELATED-RELATED', 176618),
(232893, 'PTHR34553:SF7', NULL, NULL, NULL, NULL, 'BNAA05G10680D PROTEIN', 176619),
(232894, 'PTHR31557:SF0', NULL, NULL, NULL, NULL, '5C820-RELATED', 176620),
(232895, 'PTHR30069:SF36', NULL, NULL, NULL, NULL, 'BLL6948 PROTEIN', 176621),
(232896, 'PTHR45631:SF22', NULL, NULL, NULL, NULL, 'BNAA02G06960D PROTEIN', 176622),
(232897, 'PTHR24055:SF154', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE PMK-2', 176623),
(232898, 'PTHR46314', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 44', 176624),
(232899, 'PTHR40045:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176625),
(232900, 'PTHR10003:SF73', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SUPEROXIDE DISMUTASE [CU-ZN] 2', 176626),
(232901, 'PTHR13743:SF135', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN B', 176627),
(232902, 'PTHR47977:SF47', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1B', 176628);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(232903, 'PTHR12002:SF174', NULL, NULL, NULL, NULL, 'CLAUDIN', 176629),
(232904, 'PTHR38445', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR YTRA', 176630),
(232905, 'PTHR47969:SF9', NULL, NULL, NULL, NULL, 'BNACNNG40390D PROTEIN', 176631),
(232906, 'PTHR37035:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176632),
(232907, 'PTHR10772:SF47', NULL, NULL, NULL, NULL, 'BNAA09G45320D PROTEIN', 176633),
(232908, 'PTHR31882:SF6', NULL, NULL, NULL, NULL, 'TNFAIP3-INTERACTING PROTEIN 2', 176634),
(232909, 'PTHR35458', NULL, NULL, NULL, NULL, 'SLR0755 PROTEIN', 176635),
(232910, 'PTHR22930:SF166', NULL, NULL, NULL, NULL, 'OS04G0422900 PROTEIN', 176636),
(232911, 'PTHR45948:SF4', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 15', 176637),
(232912, 'PTHR31218:SF338', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 176638),
(232913, 'PTHR46835:SF6', NULL, NULL, NULL, NULL, 'BNAA09G14950D PROTEIN', 176639),
(232914, 'PTHR48022:SF47', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER', 176640),
(232915, 'PTHR38564:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176641),
(232916, 'PTHR23339:SF97', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 3', 176642),
(232917, 'PTHR24410:SF20', NULL, NULL, NULL, NULL, 'BTB DOMAIN CONTAINING 2', 176643),
(232918, 'PTHR27000:SF54', NULL, NULL, NULL, NULL, 'OS03G0400800 PROTEIN', 176644),
(232919, 'PTHR45588', NULL, NULL, NULL, NULL, 'TPR DOMAIN-CONTAINING PROTEIN', 176645),
(232920, 'PTHR15730:SF11', NULL, NULL, NULL, NULL, 'IMMUNO-DOMINANT VARIABLE SURFACE ANTIGEN-LIKE', 176646),
(232921, 'PTHR23055:SF178', NULL, NULL, NULL, NULL, 'RECOVERIN FAMILY PROTEIN DDB_G0274781', 176647),
(232922, 'PTHR23402:SF24', NULL, NULL, NULL, NULL, 'BNAA09G15240D PROTEIN', 176648),
(232923, 'PTHR23074:SF144', NULL, NULL, NULL, NULL, 'OS01G0141100 PROTEIN', 176649),
(232924, 'PTHR12378:SF11', NULL, NULL, NULL, NULL, 'DESI-LIKE PROTEIN', 176650),
(232925, 'PTHR21115', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 176651),
(232926, 'PTHR39191:SF1', NULL, NULL, NULL, NULL, 'GALACTOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', 176652),
(232927, 'PTHR12549:SF55', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ25-LIKE', 176653),
(232928, 'PTHR13718:SF90', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S5, MITOCHONDRIAL', 176654),
(232929, 'PTHR47349', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 176655),
(232930, 'PTHR45752:SF27', NULL, NULL, NULL, NULL, 'SI:CH73-302O18.2', 176656),
(232931, 'PTHR27009:SF103', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 176657),
(232932, 'PTHR38525', NULL, NULL, NULL, NULL, 'OS03G0824500 PROTEIN', 176658),
(232933, 'PTHR47946:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 78, SUBFAMILY A, POLYPEPTIDE 8', 176659),
(232934, 'PTHR31080:SF199', NULL, NULL, NULL, NULL, 'BNAA06G09680D PROTEIN', 176660),
(232935, 'PTHR47601', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 176661),
(232936, 'PTHR10044:SF99', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 3', 176662),
(232937, 'PTHR24413:SF106', NULL, NULL, NULL, NULL, 'PROTEIN MATERNAL EFFECT LETHAL 26', 176663),
(232938, 'PTHR45617:SF76', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 66', 176664),
(232939, 'PTHR11769:SF6', NULL, NULL, NULL, NULL, 'HYALURONIDASE-2', 176665),
(232940, 'PTHR43721:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 176666),
(232941, 'PTHR24208:SF96', NULL, NULL, NULL, NULL, 'LIM HOMEOBOX TRANSCRIPTION FACTOR 1-BETA', 176667),
(232942, 'PTHR18945:SF34', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT DELTA', 176668),
(232943, 'PTHR23121:SF24', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT GLUCOSE TRANSPORTER 1C', 176669),
(232944, 'PTHR11926:SF1335', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 176670),
(232945, 'PTHR24177:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176671),
(232946, 'PTHR24305:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176672),
(232947, 'PTHR16675:SF172', NULL, NULL, NULL, NULL, 'HEREDITARY HEMOCHROMATOSIS PROTEIN', 176673);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(232948, 'PTHR11767:SF55', NULL, NULL, NULL, NULL, 'KIR6.3 PROTEIN', 176674),
(232949, 'PTHR17103:SF15', NULL, NULL, NULL, NULL, 'NEUREXOPHILIN', 176675),
(232950, 'PTHR10306:SF9', NULL, NULL, NULL, NULL, 'SYNAPTOPHYSIN-LIKE PROTEIN 1', 176676),
(232951, 'PTHR27002:SF822', NULL, NULL, NULL, NULL, 'REPEAT RECEPTOR PROTEIN KINASE EXS, PUTATIVE-RELATED', 176677),
(232952, 'PTHR23024:SF402', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176678),
(232953, 'PTHR43977:SF2', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN', 176679),
(232954, 'PTHR21514:SF0', NULL, NULL, NULL, NULL, 'AP-4 COMPLEX ACCESSORY SUBUNIT TEPSIN', 176680),
(232955, 'PTHR13369:SF0', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE C-TERMINAL DOMAIN-CONTAINING PROTEIN', 176681),
(232956, 'PTHR12266:SF12', NULL, NULL, NULL, NULL, 'OS10G0436900 PROTEIN', 176682),
(232957, 'PTHR11364:SF27', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE', 176683),
(232958, 'PTHR24269:SF19', NULL, NULL, NULL, NULL, 'PROTEIN SLG1', 176684),
(232959, 'PTHR45626:SF4', NULL, NULL, NULL, NULL, 'FAMILY HELICASE, PUTATIVE-RELATED', 176685),
(232960, 'PTHR10980:SF39', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 1', 176686),
(232961, 'PTHR45125:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176687),
(232962, 'PTHR23101:SF111', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN AND VPS9 DOMAIN-CONTAINING PROTEIN 1', 176688),
(232963, 'PTHR23018:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS XA 10', 176689),
(232964, 'PTHR12386:SF13', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT G 1, MITOCHONDRIAL-RELATED', 176690),
(232965, 'PTHR47946:SF1', NULL, NULL, NULL, NULL, 'OS03G0134500 PROTEIN', 176691),
(232966, 'PTHR10670:SF0', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON CATALYTIC SUBUNIT A', 176692),
(232967, 'PTHR11662:SF53', NULL, NULL, NULL, NULL, 'PROTEIN CBG05932', 176693),
(232968, 'PTHR13596:SF10', NULL, NULL, NULL, NULL, 'SMALL EDRK-RICH FACTOR 2-LIKE', 176694),
(232969, 'PTHR33463:SF85', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN FAMILY, PUTATIVE-RELATED', 176695),
(232970, 'PTHR32467:SF134', NULL, NULL, NULL, NULL, 'BNACNNG39690D PROTEIN', 176696),
(232971, 'PTHR23220:SF83', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-PS2', 176697),
(232972, 'PTHR36921', NULL, NULL, NULL, NULL, 'BLL6035 PROTEIN', 176698),
(232973, 'PTHR30092', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN CRED', 176699),
(232974, 'PTHR43369:SF1', NULL, NULL, NULL, NULL, 'AIR SYNTHASE RELATED PROTEIN', 176700),
(232975, 'PTHR10335:SF13', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 176701),
(232976, 'PTHR11866:SF6', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E2 RECEPTOR EP4 SUBTYPE', 176702),
(232977, 'PTHR30126:SF42', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR AAER', 176703),
(232978, 'PTHR47655:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 176704),
(232979, 'PTHR31375:SF123', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', 176705),
(232980, 'PTHR24034:SF93', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 2B', 176706),
(232981, 'PTHR38451:SF1', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(22)-N(1))-METHYLTRANSFERASE', 176707),
(232982, 'PTHR22897:SF20', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE', 176708),
(232983, 'PTHR10811:SF25', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 176709),
(232984, 'PTHR33511:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176710),
(232985, 'PTHR15427:SF37', NULL, NULL, NULL, NULL, 'ELASTIN MICROFIBRIL INTERFACER 3A', 176711),
(232986, 'PTHR27004:SF304', NULL, NULL, NULL, NULL, 'OS12G0157550 PROTEIN', 176712),
(232987, 'PTHR46200', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN WDR24', 176713),
(232988, 'PTHR33377:SF24', NULL, NULL, NULL, NULL, 'OS10G0134900 PROTEIN', 176714),
(232989, 'PTHR43743:SF1', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE ATP-BINDING SUBUNIT', 176715),
(232990, 'PTHR23076:SF117', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE-RELATED', 176716),
(232991, 'PTHR33559', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 4', 176717);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(232992, 'PTHR11220:SF7', NULL, NULL, NULL, NULL, 'SOUL PROTEIN', 176718),
(232993, 'PTHR36149', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', 176719),
(232994, 'PTHR33088:SF51', NULL, NULL, NULL, NULL, 'LEGUMINOSIN GROUP485 SECRETED PEPTIDE', 176720),
(232995, 'PTHR10075:SF64', NULL, NULL, NULL, NULL, 'CONTACTIN-RELATED', 176721),
(232996, 'PTHR27003:SF371', NULL, NULL, NULL, NULL, 'BNAA01G05340D PROTEIN', 176722),
(232997, 'PTHR10139:SF3', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR PROTEIN', 176723),
(232998, 'PTHR38706:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-198C19.1-RELATED', 176724),
(232999, 'PTHR23342:SF0', NULL, NULL, NULL, NULL, 'N-ACETYLGLUTAMATE SYNTHASE, MITOCHONDRIAL', 176725),
(233000, 'PTHR32411:SF51', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN 2, PUTATIVE-RELATED', 176726),
(233001, 'PTHR47926:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176727),
(233002, 'PTHR42088', NULL, NULL, NULL, NULL, 'YALI0F10131P', 176728),
(233003, 'PTHR22891:SF160', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 15', 176729),
(233004, 'PTHR10438:SF388', NULL, NULL, NULL, NULL, 'THIOREDOXIN H5', 176730),
(233005, 'PTHR34125:SF5', NULL, NULL, NULL, NULL, 'BNAA01G29960D PROTEIN', 176731),
(233006, 'PTHR42678:SF2', NULL, NULL, NULL, NULL, 'AMIDASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G14410)', 176732),
(233007, 'PTHR21615', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 176733),
(233008, 'PTHR24232:SF21', NULL, NULL, NULL, NULL, 'PROTEINASE-ACTIVATED RECEPTOR 2', 176734),
(233009, 'PTHR22752', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR', 176735),
(233010, 'PTHR33083:SF93', NULL, NULL, NULL, NULL, 'SENESCENCE REGULATOR S40-RELATED', 176736),
(233011, 'PTHR27007:SF28', NULL, NULL, NULL, NULL, 'LECTIN-LIKE RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', 176737),
(233012, 'PTHR23512:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176738),
(233013, 'PTHR46891:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 176739),
(233014, 'PTHR31929:SF40', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 176740),
(233015, 'PTHR31707:SF326', NULL, NULL, NULL, NULL, 'BNAC02G00730D PROTEIN', 176741),
(233016, 'PTHR27004:SF358', NULL, NULL, NULL, NULL, 'BNACNNG65590D PROTEIN', 176742),
(233017, 'PTHR16024:SF25', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', 176743),
(233018, 'PTHR23262:SF32', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 9-1', 176744),
(233019, 'PTHR15151', NULL, NULL, NULL, NULL, 'PROTEIN EIGER', 176745),
(233020, 'PTHR30195:SF16', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME R PROTEIN', 176746),
(233021, 'PTHR22591:SF1', NULL, NULL, NULL, NULL, 'XIN ACTIN-BINDING REPEAT-CONTAINING PROTEIN 2', 176747),
(233022, 'PTHR17613:SF10', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC PROTEIN TEX28', 176748),
(233023, 'PTHR20967:SF0', NULL, NULL, NULL, NULL, 'BRAIN PEPTIDE IDL-LIKE PROTEIN', 176749),
(233024, 'PTHR28627', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 5', 176750),
(233025, 'PTHR27002:SF498', NULL, NULL, NULL, NULL, 'DUF26-DOMAIN PROTEIN KINASE FAMILY PROTEIN-RELATED', 176751),
(233026, 'PTHR47474', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE RLPH2', 176752),
(233027, 'PTHR48053:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176753),
(233028, 'PTHR11132:SF387', NULL, NULL, NULL, NULL, 'BNAANNG38660D PROTEIN', 176754),
(233029, 'PTHR47047:SF4', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE, PUTATIVE CYSTEINE PEPTIDASE, CLAN CA, FAMILY C2, PUTATIVE-RELATED', 176755),
(233030, 'PTHR12281:SF28', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', 176756),
(233031, 'PTHR24049:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CRUMBS HOMOLOG 1', 176757),
(233032, 'PTHR34455:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 176758),
(233033, 'PTHR47295:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176759),
(233034, 'PTHR32093:SF129', NULL, NULL, NULL, NULL, 'LRR/EXTENSIN', 176760),
(233035, 'PTHR19924:SF26', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 15 HOMOLOG', 176761);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(233036, 'PTHR23266:SF302', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176762),
(233037, 'PTHR13068:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176763),
(233038, 'PTHR46288:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176764),
(233039, 'PTHR11954:SF43', NULL, NULL, NULL, NULL, 'MACROPHAGE MIGRATION INHIBITION FACTOR-LIKE PROTEIN', 176765),
(233040, 'PTHR11616:SF277', NULL, NULL, NULL, NULL, 'TRANSPORTER', 176766),
(233041, 'PTHR24384:SF115', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 675', 176767),
(233042, 'PTHR11143:SF7', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L26', 176768),
(233043, 'PTHR22996:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176769),
(233044, 'PTHR30128:SF52', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A1', 176770),
(233045, 'PTHR12582:SF41', NULL, NULL, NULL, NULL, 'UNC5C-LIKE PROTEIN', 176771),
(233046, 'PTHR21704:SF20', NULL, NULL, NULL, NULL, 'NIPPED-B-LIKE PROTEIN', 176772),
(233047, 'PTHR37439', NULL, NULL, NULL, NULL, 'PROTEIN CBG25991-RELATED', 176773),
(233048, 'PTHR23032', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 176774),
(233049, 'PTHR10209:SF779', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 1-LIKE', 176775),
(233050, 'PTHR43763:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG01440', 176776),
(233051, 'PTHR10778:SF10', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER B1', 176777),
(233052, 'PTHR11089:SF34', NULL, NULL, NULL, NULL, 'BNAA05G30500D PROTEIN', 176778),
(233053, 'PTHR43350:SF16', NULL, NULL, NULL, NULL, 'S-NITROSOMYCOTHIOL REDUCTASE MSCR', 176779),
(233054, 'PTHR27009:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176780),
(233055, 'PTHR12245:SF12', NULL, NULL, NULL, NULL, 'AT05339P', 176781),
(233056, 'PTHR33203:SF31', NULL, NULL, NULL, NULL, 'OLEOSIN', 176782),
(233057, 'PTHR23284', NULL, NULL, NULL, NULL, 'PROLACTIN REGULATORY ELEMENT BINDING PROTEIN', 176783),
(233058, 'PTHR23338:SF57', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', 176784),
(233059, 'PTHR12136:SF109', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2-LIKE', 176785),
(233060, 'PTHR10373:SF38', NULL, NULL, NULL, NULL, 'PROTEIN PANGOLIN, ISOFORM J', 176786),
(233061, 'PTHR47926:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176787),
(233062, 'PTHR21677:SF7', NULL, NULL, NULL, NULL, 'TSL-KINASE INTERACTING PROTEIN 1-LIKE', 176788),
(233063, 'PTHR11046:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176789),
(233064, 'PTHR46809:SF1', NULL, NULL, NULL, NULL, 'STROMAL CELL-DERIVED FACTOR 2-LIKE PROTEIN 1', 176790),
(233065, 'PTHR46287:SF8', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN PROTEIN', 176791),
(233066, 'PTHR31769:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176792),
(233067, 'PTHR24223:SF168', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY C MEMBER 11', 176793),
(233068, 'PTHR36965', NULL, NULL, NULL, NULL, 'FE(2+)-TRAFFICKING PROTEIN-RELATED', 176794),
(233069, 'PTHR42647:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176795),
(233070, 'PTHR10684:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 2', 176796),
(233071, 'PTHR19282:SF120', NULL, NULL, NULL, NULL, 'TETRASPANIN-36', 176797),
(233072, 'PTHR33076:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176798),
(233073, 'PTHR47967:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176799),
(233074, 'PTHR16955:SF6', NULL, NULL, NULL, NULL, 'METASTASIS-SUPPRESSOR KISS-1', 176800),
(233075, 'PTHR34491:SF22', NULL, NULL, NULL, NULL, 'PARAMYOSIN', 176801),
(233076, 'PTHR36839:SF1', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G12770)', 176802),
(233077, 'PTHR24028:SF263', NULL, NULL, NULL, NULL, 'CADHERIN-RELATED FAMILY MEMBER 1', 176803),
(233078, 'PTHR30031:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE [ATP] PROTEIN', 176804),
(233079, 'PTHR11102:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176805),
(233080, 'PTHR23085:SF17', NULL, NULL, NULL, NULL, 'SI:CH211-146M13.3', 176806);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(233081, 'PTHR11909:SF115', NULL, NULL, NULL, NULL, 'PROTEIN CBG00573', 176807),
(233082, 'PTHR46413:SF27', NULL, NULL, NULL, NULL, 'BNAC04G08310D PROTEIN', 176808),
(233083, 'PTHR38425:SF1', NULL, NULL, NULL, NULL, 'LONG CHRONOLOGICAL LIFESPAN PROTEIN 2', 176809),
(233084, 'PTHR13937:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08598', 176810),
(233085, 'PTHR34007:SF1', NULL, NULL, NULL, NULL, 'AEROLYSIN-LIKE PROTEIN-RELATED', 176811),
(233086, 'PTHR10179:SF28', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 11', 176812),
(233087, 'PTHR35970:SF1', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL AND CLATHRIN LINKER 1', 176813),
(233088, 'PTHR31656:SF20', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) PROTEIN-LIKE PROTEIN', 176814),
(233089, 'PTHR42788:SF18', NULL, NULL, NULL, NULL, 'TAURINE IMPORT ATP-BINDING PROTEIN TAUB', 176815),
(233090, 'PTHR12931:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE OTUB2', 176816),
(233091, 'PTHR46067:SF15', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE (GNAT) DOMAIN PROTEIN', 176817),
(233092, 'PTHR31248:SF8', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 176818),
(233093, 'PTHR37829:SF3', NULL, NULL, NULL, NULL, 'PROTEIN JAYE-RELATED', 176819),
(233094, 'PTHR33086:SF10', NULL, NULL, NULL, NULL, 'OS05G0468200 PROTEIN', 176820),
(233095, 'PTHR31945:SF61', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX, PUTATIVE, EXPRESSED-RELATED', 176821),
(233096, 'PTHR34873:SF3', NULL, NULL, NULL, NULL, 'SSR1766 PROTEIN', 176822),
(233097, 'PTHR31472:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176823),
(233098, 'PTHR46201:SF9', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN MALE MEIOCYTE DEATH 1-RELATED', 176824),
(233099, 'PTHR24190:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176825),
(233100, 'PTHR47928:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176826),
(233101, 'PTHR46649:SF5', NULL, NULL, NULL, NULL, 'F14L17.7 PROTEIN', 176827),
(233102, 'PTHR31852:SF141', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, GROUP 2', 176828),
(233103, 'PTHR33940', NULL, NULL, NULL, NULL, 'PROTEIN CBG13625', 176829),
(233104, 'PTHR37352', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC GENE 13 PROTEIN', 176830),
(233105, 'PTHR24281:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176831),
(233106, 'PTHR43176:SF17', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 3, MITOCHONDRIAL ISOFORM X1', 176832),
(233107, 'PTHR22850:SF104', NULL, NULL, NULL, NULL, 'CHROMATIN ASSEMBLY FACTOR 1 SUBUNIT P50', 176833),
(233108, 'PTHR24296:SF115', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 96, SUBFAMILY A, POLYPEPTIDE 13', 176834),
(233109, 'PTHR43599:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176835),
(233110, 'PTHR43795:SF17', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE-LIKE PROTEIN 1', 176836),
(233111, 'PTHR19241:SF635', NULL, NULL, NULL, NULL, 'CASSETTE TRANSPORTER, PUTATIVE-RELATED', 176837),
(233112, 'PTHR40143:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176838),
(233113, 'PTHR11920', NULL, NULL, NULL, NULL, 'GUANYLYL CYCLASE', 176839),
(233114, 'PTHR10127:SF848', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-27', 176840),
(233115, 'PTHR23138:SF126', NULL, NULL, NULL, NULL, 'PROTEIN EXPORT PROTEIN YRB2, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10810)-RELATED', 176841),
(233116, 'PTHR24067:SF319', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 2', 176842),
(233117, 'PTHR24099:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176843),
(233118, 'PTHR45860', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT ALPHA', 176844),
(233119, 'PTHR19278:SF33', NULL, NULL, NULL, NULL, 'OROTATE PHOSPHORIBOSYLTRANSFERASE', 176845),
(233120, 'PTHR14098', NULL, NULL, NULL, NULL, 'SH2 DOMAIN CONTAINING PROTEIN', 176846),
(233121, 'PTHR21109:SF14', NULL, NULL, NULL, NULL, 'BNAA09G01910D PROTEIN', 176847),
(233122, 'PTHR31744:SF93', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', 176848),
(233123, 'PTHR22298', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-GLUCANASE', 176849);
INSERT INTO "PUBLIC"."MODEL" VALUES
(233124, 'PTHR32285:SF27', NULL, NULL, NULL, NULL, 'OS05G0214900 PROTEIN', 176850),
(233125, 'PTHR11266:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176851),
(233126, 'PTHR24258:SF139', NULL, NULL, NULL, NULL, 'PROTEIN MASQUERADE', 176852),
(233127, 'PTHR10865:SF27', NULL, NULL, NULL, NULL, 'MESODERM INDUCTION EARLY RESPONSE PROTEIN 2', 176853),
(233128, 'PTHR15036:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176854),
(233129, 'PTHR20956:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176855),
(233130, 'PTHR30622:SF4', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-DIPHOSPHATASE', 176856),
(233131, 'PTHR33377:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176857),
(233132, 'PTHR31048:SF146', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', 176858),
(233133, 'PTHR13561:SF20', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2-BINDING PROTEIN 1', 176859),
(233134, 'PTHR23023:SF210', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', 176860),
(233135, 'PTHR31118:SF18', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE-LIKE ISOFORM X1', 176861),
(233136, 'PTHR31175:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176862),
(233137, 'PTHR38050', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 176863),
(233138, 'PTHR34023', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 176864),
(233139, 'PTHR24115:SF852', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 176865),
(233140, 'PTHR47599:SF1', NULL, NULL, NULL, NULL, 'CELL-TO-CELL MOVEMENT PROTEIN', 176866),
(233141, 'PTHR11129:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FARNESYLTRANSFERASE/GERANYLGERANYLTRANSFERASE TYPE-1 SUBUNIT ALPHA', 176867),
(233142, 'PTHR34095:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L55, MITOCHONDRIAL', 176868),
(233143, 'PTHR33386:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176869),
(233144, 'PTHR12146:SF10', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10', 176870),
(233145, 'PTHR31644:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR ARO80', 176871),
(233146, 'PTHR23208:SF40', NULL, NULL, NULL, NULL, 'LYSOZYME-RELATED', 176872),
(233147, 'PTHR31694:SF5', NULL, NULL, NULL, NULL, 'DESICCATION PROTEIN PCC13-62', 176873),
(233148, 'PTHR21136', NULL, NULL, NULL, NULL, 'SNARE PROTEINS', 176874),
(233149, 'PTHR31719:SF107', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 18', 176875),
(233150, 'PTHR35153', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 154', 176876),
(233151, 'PTHR43405:SF1', NULL, NULL, NULL, NULL, 'UPF0748 LIPOPROTEIN YDDW', 176877),
(233152, 'PTHR33730:SF22', NULL, NULL, NULL, NULL, 'OS06G0601100 PROTEIN', 176878),
(233153, 'PTHR43228:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN GLNL', 176879),
(233154, 'PTHR31246:SF16', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-3', 176880),
(233155, 'PTHR34058:SF8', NULL, NULL, NULL, NULL, 'BNAA02G34760D PROTEIN', 176881),
(233156, 'PTHR13944:SF22', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 28', 176882),
(233157, 'PTHR35180', NULL, NULL, NULL, NULL, 'PROTEIN CBG06219', 176883),
(233158, 'PTHR31218:SF178', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 176884),
(233159, 'PTHR48049:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 176885),
(233160, 'PTHR23333:SF20', NULL, NULL, NULL, NULL, 'GH01724P', 176886),
(233161, 'PTHR23192:SF79', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-LIKE 2BB', 176887),
(233162, 'PTHR37561', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 176888),
(233163, 'PTHR13815', NULL, NULL, NULL, NULL, 'GOLGIN-84', 176889),
(233164, 'PTHR12001:SF69', NULL, NULL, NULL, NULL, 'DECAPRENYL-DIPHOSPHATE SYNTHASE SUBUNIT 1', 176890),
(233165, 'PTHR27003:SF290', NULL, NULL, NULL, NULL, 'BNAA09G06560D PROTEIN', 176891),
(233166, 'PTHR22883:SF341', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 176892),
(233167, 'PTHR31221:SF230', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 45-RELATED', 176893),
(233168, 'PTHR24093:SF429', NULL, NULL, NULL, NULL, 'MAGNESIUM-TRANSPORTING ATPASE, P-TYPE 1', 176894);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(233169, 'PTHR11214:SF300', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 176895),
(233170, 'PTHR31676:SF158', NULL, NULL, NULL, NULL, 'BNAC03G35290D PROTEIN', 176896),
(233171, 'PTHR47947:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', 176897),
(233172, 'PTHR31677:SF100', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 3', 176898),
(233173, 'PTHR45613:SF30', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 176899),
(233174, 'PTHR31344:SF14', NULL, NULL, NULL, NULL, 'NUCLEOLAR-LIKE PROTEIN', 176900),
(233175, 'PTHR13621', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN PRCC', 176901),
(233176, 'PTHR11811:SF57', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING 3-LIKE', 176902),
(233177, 'PTHR31618:SF17', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 9', 176903),
(233178, 'PTHR43806:SF51', NULL, NULL, NULL, NULL, 'CLAN SB, FAMILY S8, SUBTILISIN-LIKE SERINE PEPTIDASE', 176904),
(233179, 'PTHR23054:SF69', NULL, NULL, NULL, NULL, 'BNAA09G07810D PROTEIN', 176905),
(233180, 'PTHR24291:SF148', NULL, NULL, NULL, NULL, 'BNACNNG60990D PROTEIN', 176906),
(233181, 'PTHR14856:SF11', NULL, NULL, NULL, NULL, 'SI:DKEY-246G23.2', 176907),
(233182, 'PTHR47929:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176908),
(233183, 'PTHR45768:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176909),
(233184, 'PTHR33871:SF21', NULL, NULL, NULL, NULL, 'BNAC08G42190D PROTEIN', 176910),
(233185, 'PTHR10031:SF39', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT C, CHLOROPLASTIC', 176911),
(233186, 'PTHR31235:SF245', NULL, NULL, NULL, NULL, 'PEROXIDASE', 176912),
(233187, 'PTHR23074', NULL, NULL, NULL, NULL, 'AAA DOMAIN-CONTAINING', 176913),
(233188, 'PTHR12844', NULL, NULL, NULL, NULL, 'CONNECTOR ENCHANCER OF KINASE SUPPRESSOR OF RAS', 176914),
(233189, 'PTHR10540:SF17', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY PARTICLE NON-ATPASE SUBUNIT 8', 176915),
(233190, 'PTHR13832:SF550', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 40-RELATED', 176916),
(233191, 'PTHR11516:SF65', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA, MITOCHONDRIAL', 176917),
(233192, 'PTHR24381:SF168', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 810', 176918),
(233193, 'PTHR31066:SF5', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P FAMILY PROTEIN', 176919),
(233194, 'PTHR24286:SF230', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN-RELATED', 176920),
(233195, 'PTHR46502:SF15', NULL, NULL, NULL, NULL, 'ELICITOR-RESPONSIVE PROTEIN 1', 176921),
(233196, 'PTHR46632:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176922),
(233197, 'PTHR10795:SF536', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176923),
(233198, 'PTHR43341:SF4', NULL, NULL, NULL, NULL, 'ARGININE PERMEASE CAN1-RELATED', 176924),
(233199, 'PTHR23320:SF130', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 212', 176925),
(233200, 'PTHR31659:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176926),
(233201, 'PTHR13832:SF589', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 57', 176927),
(233202, 'PTHR13542:SF0', NULL, NULL, NULL, NULL, 'PROTEIN LSM12 HOMOLOG', 176928),
(233203, 'PTHR43090:SF5', NULL, NULL, NULL, NULL, '1-(5-PHOSPHORIBOSYL)-5-[(5-PHOSPHORIBOSYLAMINO)METHYLIDENEAMINO] IMIDAZOLE-4-CARBOXAMIDE ISOMERASE, CHLOROPLASTIC', 176929),
(233204, 'PTHR40368', NULL, NULL, NULL, NULL, 'YALI0F14399P', 176930),
(233205, 'PTHR13864:SF21', NULL, NULL, NULL, NULL, 'T-CELL ACUTE LYMPHOCYTIC LEUKEMIA PROTEIN 2', 176931),
(233206, 'PTHR10855:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176932),
(233207, 'PTHR15572:SF2', NULL, NULL, NULL, NULL, 'BRD4-INTERACTING CHROMATIN-REMODELING COMPLEX-ASSOCIATED PROTEIN-LIKE', 176933),
(233208, 'PTHR35678:SF1', NULL, NULL, NULL, NULL, 'PROTEIN STPG4', 176934),
(233209, 'PTHR46352:SF9', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: PROTEIN SENSITIVE TO PROTON RHIZOTOXICITY 2', 176935),
(233210, 'PTHR34315:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', 176936);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(233211, 'PTHR13703:SF58', NULL, NULL, NULL, NULL, 'DWARFIN SMA-3', 176937),
(233212, 'PTHR24296:SF110', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN-RELATED', 176938),
(233213, 'PTHR10315', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE SIAH', 176939),
(233214, 'PTHR33264', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 176940),
(233215, 'PTHR47926:SF272', NULL, NULL, NULL, NULL, 'BNAA03G01460D PROTEIN', 176941),
(233216, 'PTHR43107:SF4', NULL, NULL, NULL, NULL, 'BILE ACYL-COA SYNTHETASE', 176942),
(233217, 'PTHR45743:SF29', NULL, NULL, NULL, NULL, 'INWARDLY RECTIFYING POTASSIUM CHANNEL SUBUNIT', 176943),
(233218, 'PTHR44157:SF3', NULL, NULL, NULL, NULL, 'DNAJ (HSP40) HOMOLOG, SUBFAMILY C, MEMBER 11B', 176944),
(233219, 'PTHR31425:SF4', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLANTHRANILATE TRANSFERASE ISOFORM 1', 176945),
(233220, 'PTHR33133:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176946),
(233221, 'PTHR31266:SF3', NULL, NULL, NULL, NULL, 'TRAF-INTERACTING PROTEIN WITH FHA DOMAIN-CONTAINING PROTEIN B', 176947),
(233222, 'PTHR12306:SF9', NULL, NULL, NULL, NULL, 'CELL DEATH ACTIVATOR CIDE-3', 176948),
(233223, 'PTHR45767:SF7', NULL, NULL, NULL, NULL, 'FORKHEAD BOX O3A', 176949),
(233224, 'PTHR30529:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME B561', 176950),
(233225, 'PTHR31871:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176951),
(233226, 'PTHR11062:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176952),
(233227, 'PTHR35506:SF1', NULL, NULL, NULL, NULL, 'OS02G0135600 PROTEIN', 176953),
(233228, 'PTHR34359:SF17', NULL, NULL, NULL, NULL, 'BNAA07G09450D PROTEIN', 176954),
(233229, 'PTHR45933:SF18', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 4-LIKE', 176955),
(233230, 'PTHR13021', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ISY1', 176956),
(233231, 'PTHR47926:SF75', NULL, NULL, NULL, NULL, 'OSJNBB0012E08.2 PROTEIN', 176957),
(233232, 'PTHR37315:SF1', NULL, NULL, NULL, NULL, 'UPF0311 PROTEIN BLR7842', 176958),
(233233, 'PTHR31390:SF12', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF3527)-RELATED', 176959),
(233234, 'PTHR31048:SF175', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', 176960),
(233235, 'PTHR11902:SF45', NULL, NULL, NULL, NULL, 'ENOLASE-RELATED', 176961),
(233236, 'PTHR47993:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176962),
(233237, 'PTHR24027:SF84', NULL, NULL, NULL, NULL, 'CADHERIN-20', 176963),
(233238, 'PTHR13364', NULL, NULL, NULL, NULL, 'DEFECTIVE SPERMATOGENESIS PROTEIN 39', 176964),
(233239, 'PTHR10978:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176965),
(233240, 'PTHR23020:SF42', NULL, NULL, NULL, NULL, 'PROTEIN CBG06658', 176966),
(233241, 'PTHR24026:SF42', NULL, NULL, NULL, NULL, 'PROTOCADHERIN FAT 1', 176967),
(233242, 'PTHR11817:SF2', NULL, NULL, NULL, NULL, 'PLASTIDIAL PYRUVATE KINASE 2', 176968),
(233243, 'PTHR11062:SF212', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT15-RELATED', 176969),
(233244, 'PTHR45683:SF10', NULL, NULL, NULL, NULL, 'BNAA09G28490D PROTEIN', 176970),
(233245, 'PTHR11848:SF264', NULL, NULL, NULL, NULL, 'ACTIVIN BETA A SUBUNIT', 176971),
(233246, 'PTHR11618:SF49', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC TFIIB-RELATED PROTEIN 2', 176972),
(233247, 'PTHR43601:SF26', NULL, NULL, NULL, NULL, 'BNAC07G50790D PROTEIN', 176973),
(233248, 'PTHR12888:SF1', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY PROTEIN 12', 176974),
(233249, 'PTHR12207:SF23', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2A', 176975),
(233250, 'PTHR43207:SF3', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDROGENASE 1, CHLOROPLASTIC-LIKE', 176976),
(233251, 'PTHR31642:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176977),
(233252, 'PTHR31238:SF207', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 176978),
(233253, 'PTHR15577', NULL, NULL, NULL, NULL, 'ZINC FINGER CONTAINING PROTEIN', 176979),
(233254, 'PTHR42770:SF16', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE-RELATED', 176980),
(233255, 'PTHR46772:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176981);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(233256, 'PTHR34949:SF8', NULL, NULL, NULL, NULL, 'BNAC03G21260D PROTEIN', 176982),
(233257, 'PTHR13935:SF87', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ORG2-LIKE', 176983),
(233258, 'PTHR33155:SF51', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 4-LIKE', 176984),
(233259, 'PTHR37705:SF4', NULL, NULL, NULL, NULL, 'BNAA08G02630D PROTEIN', 176985),
(233260, 'PTHR36124:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176986),
(233261, 'PTHR47990:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 176987),
(233262, 'PTHR12321:SF122', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 2', 176988),
(233263, 'PTHR10891:SF754', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN', 176989),
(233264, 'PTHR45863:SF10', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN-RELATED', 176990),
(233265, 'PTHR36973:SF4', NULL, NULL, NULL, NULL, 'SLL1456 PROTEIN', 176991),
(233266, 'PTHR14224:SF79', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 18-RELATED', 176992),
(233267, 'PTHR48049:SF34', NULL, NULL, NULL, NULL, '3-O-GLUCOSYLTRANSFERASE, PUTATIVE, EXPRESSED-RELATED', 176993),
(233268, 'PTHR13027:SF13', NULL, NULL, NULL, NULL, 'VACUOLAR FUSION PROTEIN MON1 HOMOLOG B', 176994),
(233269, 'PTHR30266', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE CHANNEL MSCL', 176995),
(233270, 'PTHR28599', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 12', 176996),
(233271, 'PTHR36726:SF4', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 45', 176997),
(233272, 'PTHR12290:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 4-LIKE', 176998),
(233273, 'PTHR23226:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 25', 176999),
(233274, 'PTHR47989:SF33', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1', 177000),
(233275, 'PTHR16500:SF3', NULL, NULL, NULL, NULL, 'BRCA2-INTERACTING TRANSCRIPTIONAL REPRESSOR EMSY', 177001),
(233276, 'PTHR31181:SF53', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED-LIKE PROTEIN-RELATED', 177002),
(233277, 'PTHR27006:SF384', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177003),
(233278, 'PTHR26451:SF280', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 177004),
(233279, 'PTHR15350:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT M', 177005),
(233280, 'PTHR48007:SF6', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 177006),
(233281, 'PTHR47591:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATORY PROTEIN SNF2-LIKE', 177007),
(233282, 'PTHR11071:SF293', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE 6', 177008),
(233283, 'PTHR22936:SF93', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', 177009),
(233284, 'PTHR23213:SF364', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 8', 177010),
(233285, 'PTHR46776:SF17', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 6', 177011),
(233286, 'PTHR24326:SF582', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-52-LIKE', 177012),
(233287, 'PTHR27002:SF422', NULL, NULL, NULL, NULL, 'S-LOCUS-SPECIFIC GLYCOPROTEIN S6', 177013),
(233288, 'PTHR33124:SF34', NULL, NULL, NULL, NULL, 'OS09G0427125 PROTEIN', 177014),
(233289, 'PTHR31238:SF194', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 177015),
(233290, 'PTHR33476', NULL, NULL, NULL, NULL, 'EMB|CAB62613.1', 177016),
(233291, 'PTHR10353:SF56', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 38', 177017),
(233292, 'PTHR35255:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 71', 177018),
(233293, 'PTHR42695:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177019),
(233294, 'PTHR27005:SF388', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR RECEPTOR 2 (VEGFR2)-RELATED', 177020),
(233295, 'PTHR45959:SF35', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 177021),
(233296, 'PTHR22895:SF0', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 6', 177022),
(233297, 'PTHR12701:SF18', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM TRANSMEMBRANE PROTEIN 3', 177023),
(233298, 'PTHR47932:SF18', NULL, NULL, NULL, NULL, 'OS05G0132000 PROTEIN', 177024);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(233299, 'PTHR13303', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 2', 177025),
(233300, 'PTHR33391:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME B559 SUBUNIT BETA-RELATED', 177026),
(233301, 'PTHR37997:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN C1ORF162', 177027),
(233302, 'PTHR22835:SF546', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 177028),
(233303, 'PTHR32012:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177029),
(233304, 'PTHR11309:SF140', NULL, NULL, NULL, NULL, 'FRIZZLED 8A PROTEIN-RELATED', 177030),
(233305, 'PTHR10190', NULL, NULL, NULL, NULL, 'EYES ABSENT', 177031),
(233306, 'PTHR31549:SF83', NULL, NULL, NULL, NULL, 'OS09G0268700 PROTEIN', 177032),
(233307, 'PTHR28540', NULL, NULL, NULL, NULL, 'BCL2-ASSOCIATED AGONIST OF CELL DEATH', 177033),
(233308, 'PTHR10924:SF2', NULL, NULL, NULL, NULL, 'FELINE LEUKEMIA VIRUS SUBGROUP C RECEPTOR-RELATED PROTEIN 1', 177034),
(233309, 'PTHR16675:SF261', NULL, NULL, NULL, NULL, 'CLASS I HISTOCOMPATIBILITY ANTIGEN, GOGO-A*0201 ALPHA CHAIN', 177035),
(233310, 'PTHR31677:SF87', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF088', 177036),
(233311, 'PTHR22983:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 36', 177037),
(233312, 'PTHR12864:SF45', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 2', 177038),
(233313, 'PTHR37748:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177039),
(233314, 'PTHR31558:SF23', NULL, NULL, NULL, NULL, 'BNAC05G07930D PROTEIN', 177040),
(233315, 'PTHR12784:SF18', NULL, NULL, NULL, NULL, 'NEURON NAVIGATOR 3', 177041),
(233316, 'PTHR13061:SF37', NULL, NULL, NULL, NULL, 'POSSIBLE SIDEROPHORE-BINDING PROTEIN', 177042),
(233317, 'PTHR36051:SF2', NULL, NULL, NULL, NULL, 'DYNAMIN', 177043),
(233318, 'PTHR15241:SF298', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN GRP1A-LIKE', 177044),
(233319, 'PTHR31161:SF14', NULL, NULL, NULL, NULL, 'PROTEIN GRAVITROPIC IN THE LIGHT 1', 177045),
(233320, 'PTHR48010:SF42', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', 177046),
(233321, 'PTHR36004', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN PROTEIN', 177047),
(233322, 'PTHR24068:SF141', NULL, NULL, NULL, NULL, 'UBE2N PROTEIN-RELATED', 177048),
(233323, 'PTHR22802:SF408', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER A', 177049),
(233324, 'PTHR11006:SF107', NULL, NULL, NULL, NULL, 'BNAC07G50720D PROTEIN', 177050),
(233325, 'PTHR15555:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER HIT DOMAIN-CONTAINING PROTEIN 2', 177051),
(233326, 'PTHR31966', NULL, NULL, NULL, NULL, 'OS01G0783500 PROTEIN', 177052),
(233327, 'PTHR45690:SF1', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 6', 177053),
(233328, 'PTHR22946:SF5', NULL, NULL, NULL, NULL, 'HYDROLASE OR PEPTIDASE', 177054),
(233329, 'PTHR45621:SF25', NULL, NULL, NULL, NULL, 'BNAA07G14290D PROTEIN', 177055),
(233330, 'PTHR45667:SF8', NULL, NULL, NULL, NULL, 'PROTEIN MITOFERRINLIKE 1, CHLOROPLASTIC', 177056),
(233331, 'PTHR46076:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1', 177057),
(233332, 'PTHR11905:SF159', NULL, NULL, NULL, NULL, 'ADAM METALLOPROTEASE', 177058),
(233333, 'PTHR36480:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177059),
(233334, 'PTHR14773', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 177060),
(233335, 'PTHR33057:SF170', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP6-LIKE', 177061),
(233336, 'PTHR33115:SF62', NULL, NULL, NULL, NULL, 'OS07G0649300 PROTEIN', 177062),
(233337, 'PTHR43243:SF4', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 4', 177063),
(233338, 'PTHR31260:SF46', NULL, NULL, NULL, NULL, 'UPF0725 PROTEIN EMB2204', 177064),
(233339, 'PTHR26312:SF174', NULL, NULL, NULL, NULL, 'BNAC09G37590D PROTEIN', 177065),
(233340, 'PTHR23026:SF101', NULL, NULL, NULL, NULL, 'OXYGEN-INSENSITIVE NAD(P)H NITROREDUCTASE', 177066),
(233341, 'PTHR26454:SF47', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 177067),
(233342, 'PTHR31851:SF43', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN OF ER BODY 1', 177068);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(233343, 'PTHR33672:SF8', NULL, NULL, NULL, NULL, 'OS01G0798600 PROTEIN', 177069),
(233344, 'PTHR15193:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-109A10.2', 177070),
(233345, 'PTHR33101:SF6', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 1', 177071),
(233346, 'PTHR33927:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177072),
(233347, 'PTHR17463:SF0', NULL, NULL, NULL, NULL, 'SCRAPIE-RESPONSIVE PROTEIN 1', 177073),
(233348, 'PTHR13932:SF5', NULL, NULL, NULL, NULL, 'RADICAL S-ADENOSYL METHIONINE DOMAIN-CONTAINING PROTEIN 1, MITOCHONDRIAL', 177074),
(233349, 'PTHR10199:SF89', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-3', 177075),
(233350, 'PTHR27005:SF356', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-LIKE', 177076),
(233351, 'PTHR33972:SF3', NULL, NULL, NULL, NULL, 'OS06G0661500 PROTEIN', 177077),
(233352, 'PTHR22957:SF537', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 3-RELATED', 177078),
(233353, 'PTHR32444:SF124', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN-CONTAINING PROTEIN-RELATED', 177079),
(233354, 'PTHR11477:SF24', NULL, NULL, NULL, NULL, 'PROTEIN PARTNER OF SNF, ISOFORM B', 177080),
(233355, 'PTHR21555:SF0', NULL, NULL, NULL, NULL, 'SPECIFICALLY ANDROGEN-REGULATED GENE PROTEIN', 177081),
(233356, 'PTHR39211:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 177082),
(233357, 'PTHR23062:SF7', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 177083),
(233358, 'PTHR36066:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH143', 177084),
(233359, 'PTHR19143:SF346', NULL, NULL, NULL, NULL, 'FICOLIN-1-RELATED', 177085),
(233360, 'PTHR36205:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177086),
(233361, 'PTHR31205:SF31', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN', 177087),
(233362, 'PTHR47991:SF80', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE', 177088),
(233363, 'PTHR21228:SF62', NULL, NULL, NULL, NULL, 'AGAP004777-PA', 177089),
(233364, 'PTHR45637:SF14', NULL, NULL, NULL, NULL, 'OS11G0150700 PROTEIN', 177090),
(233365, 'PTHR31589:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177091),
(233366, 'PTHR10971:SF34', NULL, NULL, NULL, NULL, 'MRNA EXPORT FACTOR-RELATED', 177092),
(233367, 'PTHR10110:SF61', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 9', 177093),
(233368, 'PTHR15261:SF4', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-TYPE LAMININ G DOMAIN AND EAR REPEAT-CONTAINING PROTEIN', 177094),
(233369, 'PTHR47720', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP2-1-RELATED', 177095),
(233370, 'PTHR10314:SF191', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-SYNTHASE', 177096),
(233371, 'PTHR31391:SF94', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS02G0598200', 177097),
(233372, 'PTHR43620:SF30', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD6', 177098),
(233373, 'PTHR18898:SF4', NULL, NULL, NULL, NULL, 'TRANSLOCATED PROMOTER REGION B, NUCLEAR BASKET PROTEIN', 177099),
(233374, 'PTHR10558', NULL, NULL, NULL, NULL, 'SOMATOSTATIN', 177100),
(233375, 'PTHR26453:SF663', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 177101),
(233376, 'PTHR39475:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177102),
(233377, 'PTHR10067:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177103),
(233378, 'PTHR47926:SF112', NULL, NULL, NULL, NULL, 'BNAA10G12150D PROTEIN', 177104),
(233379, 'PTHR16201:SF35', NULL, NULL, NULL, NULL, 'VACUOLAR AMINO ACID TRANSPORTER YPQ1-RELATED', 177105),
(233380, 'PTHR11709:SF397', NULL, NULL, NULL, NULL, 'LACCASE', 177106),
(233381, 'PTHR33272:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG19065', 177107),
(233382, 'PTHR21677:SF5', NULL, NULL, NULL, NULL, 'OS07G0634100 PROTEIN', 177108),
(233383, 'PTHR48048:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 177109),
(233384, 'PTHR24064:SF436', NULL, NULL, NULL, NULL, 'PROTEIN CBG15510', 177110),
(233385, 'PTHR30055:SF191', NULL, NULL, NULL, NULL, 'TETR-FAMILY FAMILY TRANSCRIPTIONAL REGULATOR', 177111),
(233386, 'PTHR31852:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177112),
(233387, 'PTHR14499:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177113);
INSERT INTO "PUBLIC"."MODEL" VALUES
(233388, 'PTHR12199:SF4', NULL, NULL, NULL, NULL, 'INTERPHOTORECEPTOR MATRIX PROTEOGLYCAN 2', 177114),
(233389, 'PTHR31790:SF209', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 177115),
(233390, 'PTHR10891:SF907', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML47-RELATED', 177116),
(233391, 'PTHR47506', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 177117),
(233392, 'PTHR23505:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SPINSTER HOMOLOG 3', 177118),
(233393, 'PTHR45634:SF1', NULL, NULL, NULL, NULL, 'TYPE-2 HISTONE DEACETYLASE 2', 177119),
(233394, 'PTHR13318:SF152', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 4', 177120),
(233395, 'PTHR10357:SF175', NULL, NULL, NULL, NULL, 'MALTASE A1', 177121),
(233396, 'PTHR31642:SF185', NULL, NULL, NULL, NULL, '(Z)-3-HEXEN-1-OL ACETYLTRANSFERASE', 177122),
(233397, 'PTHR24246:SF31', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED BILE ACID RECEPTOR 1', 177123),
(233398, 'PTHR48063:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177124),
(233399, 'PTHR31699:SF5', NULL, NULL, NULL, NULL, 'U8 SNORNA-DECAPPING ENZYME', 177125),
(233400, 'PTHR24023:SF880', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(X) CHAIN', 177126),
(233401, 'PTHR22444', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 177127),
(233402, 'PTHR45138:SF5', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PERIPLASMIC SUBSTRATE BINDING PROTEIN/CYTOPLASMIC DIGUANYLATE CYCLASE', 177128),
(233403, 'PTHR46128:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 177129),
(233404, 'PTHR43445:SF3', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMATE--L-ALANINE LIGASE', 177130),
(233405, 'PTHR33086:SF59', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 177131),
(233406, 'PTHR46880:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177132),
(233407, 'PTHR44329:SF147', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 177133),
(233408, 'PTHR48002:SF67', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 177134),
(233409, 'PTHR31388:SF214', NULL, NULL, NULL, NULL, 'PEROXIDASE', 177135),
(233410, 'PTHR12242:SF37', NULL, NULL, NULL, NULL, 'BNAA08G25610D PROTEIN', 177136),
(233411, 'PTHR47967:SF49', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE-RELATED', 177137),
(233412, 'PTHR32468:SF26', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15', 177138),
(233413, 'PTHR11371:SF32', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE GAMMA', 177139),
(233414, 'PTHR31636:SF181', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 21', 177140),
(233415, 'PTHR11476:SF8', NULL, NULL, NULL, NULL, 'HISTIDINE--TRNA LIGASE, CYTOPLASMIC', 177141),
(233416, 'PTHR46128:SF30', NULL, NULL, NULL, NULL, 'BNAC01G37880D PROTEIN', 177142),
(233417, 'PTHR48052:SF16', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 1', 177143),
(233418, 'PTHR33526:SF6', NULL, NULL, NULL, NULL, 'OS01G0766300 PROTEIN', 177144),
(233419, 'PTHR43874:SF113', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 177145),
(233420, 'PTHR45992:SF1', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE C', 177146),
(233421, 'PTHR23055:SF87', NULL, NULL, NULL, NULL, 'NEUROCALCIN-DELTA', 177147),
(233422, 'PTHR10869:SF103', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROLYL 4-HYDROXYLASE', 177148),
(233423, 'PTHR22595:SF107', NULL, NULL, NULL, NULL, 'CHITINASE 6', 177149),
(233424, 'PTHR36953:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG16638', 177150),
(233425, 'PTHR13196', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING', 177151),
(233426, 'PTHR33107:SF32', NULL, NULL, NULL, NULL, 'NODULE CYSTEINE-RICH (NCR) SECRETED PEPTIDE', 177152),
(233427, 'PTHR11494', NULL, NULL, NULL, NULL, 'CYTOTOXIC T-LYMPHOCYTE PROTEIN', 177153),
(233428, 'PTHR34773', NULL, NULL, NULL, NULL, 'FLAGELLAR SECRETION CHAPERONE FLIS', 177154),
(233429, 'PTHR47987:SF8', NULL, NULL, NULL, NULL, 'BNAA05G32020D PROTEIN', 177155),
(233430, 'PTHR11036:SF131', NULL, NULL, NULL, NULL, 'MIP07328P', 177156),
(233431, 'PTHR31756', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE REGULATORY PROTEIN 1, CHLOROPLASTIC', 177157),
(233432, 'PTHR30514:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 177158);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(233433, 'PTHR15597:SF31', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN FOX-1 HOMOLOG 2', 177159),
(233434, 'PTHR11556', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE-RELATED', 177160),
(233435, 'PTHR10807:SF73', NULL, NULL, NULL, NULL, 'LD06050P', 177161),
(233436, 'PTHR31138:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177162),
(233437, 'PTHR31282:SF127', NULL, NULL, NULL, NULL, 'BNAC06G13990D PROTEIN', 177163),
(233438, 'PTHR34222:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177164),
(233439, 'PTHR14076:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR ACTIVITY-MODIFYING PROTEIN 3', 177165),
(233440, 'PTHR11537:SF246', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, SHAW-RELATED SUBFAMILY, MEMBER 4', 177166),
(233441, 'PTHR12019:SF5', NULL, NULL, NULL, NULL, 'EMERIN (EMERY-DREIFUSS MUSCULAR DYSTROPHY)-RELATED', 177167),
(233442, 'PTHR32099:SF74', NULL, NULL, NULL, NULL, 'OS01G0545500 PROTEIN', 177168),
(233443, 'PTHR43201:SF2', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (JCVI)-RELATED', 177169),
(233444, 'PTHR24006:SF804', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 16', 177170),
(233445, 'PTHR11431:SF75', NULL, NULL, NULL, NULL, 'FERRITIN', 177171),
(233446, 'PTHR45664:SF7', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B2', 177172),
(233447, 'PTHR39087', NULL, NULL, NULL, NULL, 'UPF0104 MEMBRANE PROTEIN MJ1595', 177173),
(233448, 'PTHR34853:SF5', NULL, NULL, NULL, NULL, 'LIPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00110)-RELATED', 177174),
(233449, 'PTHR31121:SF11', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE KTR3-RELATED', 177175),
(233450, 'PTHR21576:SF29', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4', 177176),
(233451, 'PTHR11923:SF102', NULL, NULL, NULL, NULL, 'LYSOSOME MEMBRANE PROTEIN 2-B', 177177),
(233452, 'PTHR36219:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177178),
(233453, 'PTHR44858:SF4', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF OUTER MITOCHONDRIAL MEMBRANE 70', 177179),
(233454, 'PTHR44329:SF132', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', 177180),
(233455, 'PTHR15881', NULL, NULL, NULL, NULL, 'MARGINAL ZONE B- AND B1-CELL-SPECIFIC PROTEIN', 177181),
(233456, 'PTHR23213', NULL, NULL, NULL, NULL, 'FORMIN-RELATED', 177182),
(233457, 'PTHR12849', NULL, NULL, NULL, NULL, 'RNA LARIAT DEBRANCHING ENZYME', 177183),
(233458, 'PTHR21569:SF35', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S9P', 177184),
(233459, 'PTHR31719:SF156', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', 177185),
(233460, 'PTHR31218:SF310', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 177186),
(233461, 'PTHR45693:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA1', 177187),
(233462, 'PTHR23057', NULL, NULL, NULL, NULL, 'JUXTAPOSED WITH ANOTHER ZINC FINGER PROTEIN 1', 177188),
(233463, 'PTHR46273:SF12', NULL, NULL, NULL, NULL, 'AT19640P', 177189),
(233464, 'PTHR43776:SF7', NULL, NULL, NULL, NULL, 'GLUTATHIONE IMPORT ATP-BINDING PROTEIN GSIA', 177190),
(233465, 'PTHR11079:SF182', NULL, NULL, NULL, NULL, 'CYTIDINE/DEOXYCYTIDYLATE DEAMINASE FAMILY PROTEIN', 177191),
(233466, 'PTHR33052:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177192),
(233467, 'PTHR34314:SF6', NULL, NULL, NULL, NULL, 'CRENARCHAEAL PROTEIN, PUTATIVE-RELATED', 177193),
(233468, 'PTHR33914:SF11', NULL, NULL, NULL, NULL, 'BNAC05G49340D PROTEIN', 177194),
(233469, 'PTHR33227:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177195),
(233470, 'PTHR16294:SF4', NULL, NULL, NULL, NULL, 'DYSBINDIN DOMAIN-CONTAINING PROTEIN 1', 177196),
(233471, 'PTHR31083:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177197),
(233472, 'PTHR22776:SF42', NULL, NULL, NULL, NULL, 'PROTEIN MAL2', 177198),
(233473, 'PTHR46949:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM89A', 177199),
(233474, 'PTHR33021:SF261', NULL, NULL, NULL, NULL, 'OS02G0256800 PROTEIN', 177200),
(233475, 'PTHR31985:SF208', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF039-LIKE', 177201),
(233476, 'PTHR11232:SF36', NULL, NULL, NULL, NULL, 'PROTEIN FAM43A', 177202);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(233477, 'PTHR11075:SF54', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE ICT1, MITOCHONDRIAL', 177203),
(233478, 'PTHR33074:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177204),
(233479, 'PTHR24247:SF126', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1094', 177205),
(233480, 'PTHR45690:SF7', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 5', 177206),
(233481, 'PTHR48046:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 177207),
(233482, 'PTHR24416:SF28', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 1', 177208),
(233483, 'PTHR24276:SF83', NULL, NULL, NULL, NULL, 'GH13245P2-RELATED', 177209),
(233484, 'PTHR43725:SF16', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE', 177210),
(233485, 'PTHR43434:SF9', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', 177211),
(233486, 'PTHR14700:SF0', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 2, MITOCHONDRIAL', 177212),
(233487, 'PTHR44216:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND TETRATRICOPEPTIDE REPEAT-CONTAINING 2B', 177213),
(233488, 'PTHR22957:SF475', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177214),
(233489, 'PTHR14110:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177215),
(233490, 'PTHR46223:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUV39H1', 177216),
(233491, 'PTHR32212:SF309', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177217),
(233492, 'PTHR33450:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177218),
(233493, 'PTHR44329:SF76', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1 ISOFORM X1', 177219),
(233494, 'PTHR47424:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 177220),
(233495, 'PTHR39490:SF4', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY F MEMBER 2-LIKE PROTEIN', 177221),
(233496, 'PTHR10291:SF20', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE 5', 177222),
(233497, 'PTHR11712:SF341', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE II, CHLOROPLASTIC-LIKE', 177223),
(233498, 'PTHR33057:SF139', NULL, NULL, NULL, NULL, 'BNAA05G12010D PROTEIN', 177224),
(233499, 'PTHR43340:SF7', NULL, NULL, NULL, NULL, 'HYPOXANTHINE PHOSPHORIBOSYLTRANSFERASE', 177225),
(233500, 'PTHR42893:SF36', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 177226),
(233501, 'PTHR15185:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177227),
(233502, 'PTHR10257:SF60', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B'' DELTA ISOFORM', 177228),
(233503, 'PTHR41173:SF1', NULL, NULL, NULL, NULL, 'UPF0278 PROTEIN TK1425', 177229),
(233504, 'PTHR45959:SF14', NULL, NULL, NULL, NULL, 'BASIC HELIX LOOP HELIX (BHLH) DNA-BINDING FAMILY PROTEIN', 177230),
(233505, 'PTHR12663:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177231),
(233506, 'PTHR43952:SF7', NULL, NULL, NULL, NULL, 'OS05G0579700 PROTEIN', 177232),
(233507, 'PTHR10024:SF250', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-13', 177233),
(233508, 'PTHR47021:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD6-RELATED', 177234),
(233509, 'PTHR33108:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177235),
(233510, 'PTHR33087:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177236),
(233511, 'PTHR10498', NULL, NULL, NULL, NULL, 'PARALEMMIN-RELATED', 177237),
(233512, 'PTHR31165:SF93', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE6', 177238),
(233513, 'PTHR12463', NULL, NULL, NULL, NULL, 'OXYGENASE-RELATED', 177239),
(233514, 'PTHR24296:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94B3', 177240),
(233515, 'PTHR24120:SF8', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 12', 177241),
(233516, 'PTHR27009:SF200', NULL, NULL, NULL, NULL, 'OS01G0114900 PROTEIN', 177242),
(233517, 'PTHR36110:SF3', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN', 177243),
(233518, 'PTHR33426:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177244),
(233519, 'PTHR22901', NULL, NULL, NULL, NULL, 'SIALATE O-ACETYLESTERASE', 177245);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(233520, 'PTHR47926:SF257', NULL, NULL, NULL, NULL, 'BNAA06G18930D PROTEIN', 177246),
(233521, 'PTHR33646', NULL, NULL, NULL, NULL, 'GB|AAF00631.1', 177247),
(233522, 'PTHR34144', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 177248),
(233523, 'PTHR13009:SF22', NULL, NULL, NULL, NULL, 'OS06G0703800 PROTEIN', 177249),
(233524, 'PTHR14089:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 4-RELATED', 177250),
(233525, 'PTHR13707:SF23', NULL, NULL, NULL, NULL, 'SUCCINYL-COA:3-KETOACID-COENZYME A TRANSFERASE', 177251),
(233526, 'PTHR10983:SF64', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID/GLYCEROL ACYLTRANSFERASE, ACYLTRANSFERASE DOMAIN PROTEIN-RELATED', 177252),
(233527, 'PTHR27001:SF88', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 177253),
(233528, 'PTHR13793:SF90', NULL, NULL, NULL, NULL, 'PROTEIN AF-17', 177254),
(233529, 'PTHR10190:SF17', NULL, NULL, NULL, NULL, 'EYES ABSENT HOMOLOG 4', 177255),
(233530, 'PTHR11062:SF318', NULL, NULL, NULL, NULL, 'BNAC09G50610D PROTEIN', 177256),
(233531, 'PTHR24012:SF706', NULL, NULL, NULL, NULL, 'PROTEIN CBR-EXC-7', 177257),
(233532, 'PTHR47437:SF3', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 8 INTERACTING PROTEIN 1', 177258),
(233533, 'PTHR31210:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177259),
(233534, 'PTHR43791:SF88', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G08340)-RELATED', 177260),
(233535, 'PTHR13848:SF68', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 177261),
(233536, 'PTHR10314:SF205', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL L-3-CYANOALANINE SYNTHASE/CYSTEINE SYNTHASE D2', 177262),
(233537, 'PTHR32196:SF63', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YJFF', 177263),
(233538, 'PTHR31190:SF214', NULL, NULL, NULL, NULL, 'OS09G0434500 PROTEIN', 177264),
(233539, 'PTHR40269:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED', 177265),
(233540, 'PTHR45654:SF7', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN MERISTEM L1', 177266),
(233541, 'PTHR23236:SF63', NULL, NULL, NULL, NULL, 'BNAC08G40390D PROTEIN', 177267),
(233542, 'PTHR31867:SF40', NULL, NULL, NULL, NULL, 'EXPANSIN-A20', 177268),
(233543, 'PTHR48018:SF167', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 177269),
(233544, 'PTHR22945:SF28', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-55', 177270),
(233545, 'PTHR46397:SF2', NULL, NULL, NULL, NULL, 'DAUER PHEROMONE RESPONSIVE-RELATED', 177271),
(233546, 'PTHR24271:SF73', NULL, NULL, NULL, NULL, 'PROSTATE-SPECIFIC ANTIGEN', 177272),
(233547, 'PTHR11245:SF1', NULL, NULL, NULL, NULL, 'STANNIOCALCIN-1', 177273),
(233548, 'PTHR22576:SF38', NULL, NULL, NULL, NULL, 'MALT PARACASPASE 3', 177274),
(233549, 'PTHR46720:SF4', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE AFOD-RELATED', 177275),
(233550, 'PTHR10366:SF669', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177276),
(233551, 'PTHR48002:SF19', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 177277),
(233552, 'PTHR31867:SF188', NULL, NULL, NULL, NULL, 'EXPANSIN-A10', 177278),
(233553, 'PTHR32227:SF319', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE-LIKE PROTEIN', 177279),
(233554, 'PTHR39380:SF1', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED-RELATED', 177280),
(233555, 'PTHR48014:SF8', NULL, NULL, NULL, NULL, 'OS02G0179000 PROTEIN', 177281),
(233556, 'PTHR31066:SF66', NULL, NULL, NULL, NULL, 'PB1 DOMAIN PROTEIN', 177282),
(233557, 'PTHR42820:SF10', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-RELATED', 177283),
(233558, 'PTHR13317:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE ANTERIOR POSTERIOR TRANSFORMATION PROTEIN 1 HOMOLOG', 177284),
(233559, 'PTHR11802:SF367', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 177285),
(233560, 'PTHR12768', NULL, NULL, NULL, NULL, 'BECLIN 1', 177286),
(233561, 'PTHR31640', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN KIAA1109', 177287),
(233562, 'PTHR45843:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 177288),
(233563, 'PTHR22055:SF8', NULL, NULL, NULL, NULL, '28 KDA HEAT- AND ACID-STABLE PHOSPHOPROTEIN-LIKE ISOFORM X1', 177289);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(233564, 'PTHR47993:SF20', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN', 177290),
(233565, 'PTHR31579:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177291),
(233566, 'PTHR33767:SF2', NULL, NULL, NULL, NULL, 'LEUCINE RICH ADAPTOR PROTEIN 1', 177292),
(233567, 'PTHR47640:SF13', NULL, NULL, NULL, NULL, 'OS04G0449900 PROTEIN', 177293),
(233568, 'PTHR31929:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177294),
(233569, 'PTHR11911:SF124', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE 1', 177295),
(233570, 'PTHR34667:SF1', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE', 177296),
(233571, 'PTHR33836:SF13', NULL, NULL, NULL, NULL, 'LOW-TEMPERATURE-INDUCED 78 KDA PROTEIN-LIKE', 177297),
(233572, 'PTHR36582', NULL, NULL, NULL, NULL, 'ANTITOXIN PARD', 177298),
(233573, 'PTHR45650:SF42', NULL, NULL, NULL, NULL, 'BNAA07G01300D PROTEIN', 177299),
(233574, 'PTHR45626', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 2-RELATED', 177300),
(233575, 'PTHR31128:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG12549', 177301),
(233576, 'PTHR12210:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177302),
(233577, 'PTHR33871', NULL, NULL, NULL, NULL, 'OS05G0503100 PROTEIN-RELATED', 177303),
(233578, 'PTHR11254:SF425', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177304),
(233579, 'PTHR24278:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177305),
(233580, 'PTHR31465:SF35', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G01970)-RELATED', 177306),
(233581, 'PTHR11426:SF218', NULL, NULL, NULL, NULL, 'HISTONE H3', 177307),
(233582, 'PTHR40099', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE, SMALL SUBUNIT', 177308),
(233583, 'PTHR45782:SF7', NULL, NULL, NULL, NULL, 'SHORT INTEGUMENTS 2, MITOCHONDRIAL-LIKE', 177309),
(233584, 'PTHR46008:SF31', NULL, NULL, NULL, NULL, 'BNAA04G27950D PROTEIN', 177310),
(233585, 'PTHR33748:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177311),
(233586, 'PTHR47947:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 81, SUBFAMILY D, POLYPEPTIDE 5', 177312),
(233587, 'PTHR11017:SF442', NULL, NULL, NULL, NULL, 'BNAC09G18980D PROTEIN', 177313),
(233588, 'PTHR12606:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177314),
(233589, 'PTHR48017:SF42', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 5', 177315),
(233590, 'PTHR45665:SF25', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP3-2-RELATED', 177316),
(233591, 'PTHR45666:SF43', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 9-LIKE', 177317),
(233592, 'PTHR22814:SF306', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 45', 177318),
(233593, 'PTHR36766:SF5', NULL, NULL, NULL, NULL, 'RPW8-LIKE PROTEIN 1-RELATED', 177319),
(233594, 'PTHR16156', NULL, NULL, NULL, NULL, 'AFTIPHILIN A-RELATED', 177320),
(233595, 'PTHR46955', NULL, NULL, NULL, NULL, 'PROTEIN CBG01349-RELATED', 177321),
(233596, 'PTHR33090:SF52', NULL, NULL, NULL, NULL, 'BNAA08G13840D PROTEIN', 177322),
(233597, 'PTHR33128:SF68', NULL, NULL, NULL, NULL, 'BNAA04G10730D PROTEIN', 177323),
(233598, 'PTHR33057:SF141', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP8', 177324),
(233599, 'PTHR15696:SF21', NULL, NULL, NULL, NULL, 'TELOMERASE ACTIVATING PROTEIN EST1-RELATED', 177325),
(233600, 'PTHR31718:SF43', NULL, NULL, NULL, NULL, 'PLAT/LH2 DOMAIN-CONTAINING PROTEIN-RELATED', 177326),
(233601, 'PTHR19918:SF12', NULL, NULL, NULL, NULL, 'OS09G0242300 PROTEIN', 177327),
(233602, 'PTHR35497:SF2', NULL, NULL, NULL, NULL, 'BNAA03G49140D PROTEIN', 177328),
(233603, 'PTHR31549:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177329),
(233604, 'PTHR40089:SF1', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTH', 177330),
(233605, 'PTHR33285:SF39', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES-LIKE', 177331),
(233606, 'PTHR31589', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED-RELATED', 177332),
(233607, 'PTHR34208:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177333),
(233608, 'PTHR42738:SF1', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA LYASE, MITOCHONDRIAL', 177334);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(233609, 'PTHR10497', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', 177335),
(233610, 'PTHR10454', NULL, NULL, NULL, NULL, 'CASPASE', 177336),
(233611, 'PTHR12400:SF73', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE KINASE 1', 177337),
(233612, 'PTHR10836:SF105', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 177338),
(233613, 'PTHR11388:SF131', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', 177339),
(233614, 'PTHR45617:SF104', NULL, NULL, NULL, NULL, 'LP04042P', 177340),
(233615, 'PTHR48022:SF22', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDE TRANSPORTER, PUTATIVE-RELATED', 177341),
(233616, 'PTHR23023:SF120', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 177342),
(233617, 'PTHR24062:SF177', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 177343),
(233618, 'PTHR24329:SF520', NULL, NULL, NULL, NULL, 'ALX HOMEOBOX PROTEIN 1-LIKE PROTEIN', 177344),
(233619, 'PTHR34618:SF4', NULL, NULL, NULL, NULL, 'CAS1', 177345),
(233620, 'PTHR33132:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177346),
(233621, 'PTHR42833:SF1', NULL, NULL, NULL, NULL, 'ASPARTATE/GLUTAMATE/URIDYLATE KINASE FAMILY PROTEIN', 177347),
(233622, 'PTHR24298:SF839', NULL, NULL, NULL, NULL, 'ISOFLAVONE 2''-HYDROXYLASE', 177348),
(233623, 'PTHR21324:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 150A', 177349),
(233624, 'PTHR36896:SF3', NULL, NULL, NULL, NULL, 'BNAC03G59480D PROTEIN', 177350),
(233625, 'PTHR36572', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE PROTEIN I-RELATED', 177351),
(233626, 'PTHR31727:SF13', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', 177352),
(233627, 'PTHR46038:SF20', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 177353),
(233628, 'PTHR31080:SF158', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 177354),
(233629, 'PTHR45527:SF6', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', 177355),
(233630, 'PTHR11742:SF88', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 177356),
(233631, 'PTHR31403:SF13', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 177357),
(233632, 'PTHR12131:SF8', NULL, NULL, NULL, NULL, 'HELICASE SKI2W', 177358),
(233633, 'PTHR43679:SF5', NULL, NULL, NULL, NULL, 'OCTANOYL-[GCVH]:PROTEIN N-OCTANOYLTRANSFERASE', 177359),
(233634, 'PTHR31954', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 157', 177360),
(233635, 'PTHR33966', NULL, NULL, NULL, NULL, 'PROTEIN ODR-4 HOMOLOG', 177361),
(233636, 'PTHR11926:SF1387', NULL, NULL, NULL, NULL, 'BNAA07G10530D PROTEIN', 177362),
(233637, 'PTHR20920', NULL, NULL, NULL, NULL, 'RPE-SPONDIN', 177363),
(233638, 'PTHR22605:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177364),
(233639, 'PTHR34262:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 220', 177365),
(233640, 'PTHR12304:SF1', NULL, NULL, NULL, NULL, 'URIDINE NUCLEOSIDASE 1', 177366),
(233641, 'PTHR24379:SF83', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 844', 177367),
(233642, 'PTHR13683:SF609', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177368),
(233643, 'PTHR46371:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177369),
(233644, 'PTHR24373:SF130', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING NOGO RECEPTOR-INTERACTING PROTEIN 3', 177370),
(233645, 'PTHR10015:SF365', NULL, NULL, NULL, NULL, 'BNAC03G43990D PROTEIN', 177371),
(233646, 'PTHR41805:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 177372),
(233647, 'PTHR24117:SF8', NULL, NULL, NULL, NULL, 'BCL-6 COREPRESSOR-RELATED', 177373),
(233648, 'PTHR10336:SF187', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 177374),
(233649, 'PTHR31639:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177375),
(233650, 'PTHR31907:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177376),
(233651, 'PTHR19282:SF380', NULL, NULL, NULL, NULL, 'TETRASPANIN-8', 177377),
(233652, 'PTHR48107:SF15', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_2G03620)', 177378);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(233653, 'PTHR48017:SF63', NULL, NULL, NULL, NULL, 'BNAANNG17090D PROTEIN', 177379),
(233654, 'PTHR46698:SF3', NULL, NULL, NULL, NULL, 'TENECTIN ISOFORM 1', 177380),
(233655, 'PTHR31203', NULL, NULL, NULL, NULL, 'BETA-KERATIN-RELATED PROTEIN-RELATED', 177381),
(233656, 'PTHR16049:SF8', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN C', 177382),
(233657, 'PTHR46215:SF8', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 177383),
(233658, 'PTHR47943', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 93A3-LIKE', 177384),
(233659, 'PTHR12385:SF13', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN 3', 177385),
(233660, 'PTHR10579:SF42', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED CHLORIDE CHANNEL REGULATOR 3A-1-RELATED', 177386),
(233661, 'PTHR24343:SF410', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 177387),
(233662, 'PTHR21141:SF93', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2-3-RELATED', 177388),
(233663, 'PTHR34710:SF15', NULL, NULL, NULL, NULL, 'OS03G0834100 PROTEIN', 177389),
(233664, 'PTHR48043:SF79', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 91B1', 177390),
(233665, 'PTHR11984:SF106', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', 177391),
(233666, 'PTHR47993:SF122', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 177392),
(233667, 'PTHR39419', NULL, NULL, NULL, NULL, 'SLL0814 PROTEIN', 177393),
(233668, 'PTHR24377:SF426', NULL, NULL, NULL, NULL, 'MCG1051036-RELATED', 177394),
(233669, 'PTHR21712:SF38', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR FHA1', 177395),
(233670, 'PTHR10566:SF53', NULL, NULL, NULL, NULL, 'PROTEIN ACTIVITY OF BC1 COMPLEX KINASE 1, CHLOROPLASTIC', 177396),
(233671, 'PTHR33936:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG21722', 177397),
(233672, 'PTHR27005:SF213', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177398),
(233673, 'PTHR23202:SF67', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE B (CPB)', 177399),
(233674, 'PTHR16140:SF17', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', 177400),
(233675, 'PTHR11861:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GLYCOPROTEIN NMB', 177401),
(233676, 'PTHR11571:SF209', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 177402),
(233677, 'PTHR23065:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177403),
(233678, 'PTHR32096:SF89', NULL, NULL, NULL, NULL, 'BNAA09G05000D PROTEIN', 177404),
(233679, 'PTHR31741:SF45', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE FAMILY PROTEIN', 177405),
(233680, 'PTHR43133:SF23', NULL, NULL, NULL, NULL, 'ECF SIGMA FACTOR', 177406),
(233681, 'PTHR48001:SF24', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 177407),
(233682, 'PTHR31065:SF41', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', 177408),
(233683, 'PTHR10502:SF107', NULL, NULL, NULL, NULL, 'ANNEXIN ANXC4 (AFU_ORTHOLOGUE AFUA_3G07020)', 177409),
(233684, 'PTHR46398:SF11', NULL, NULL, NULL, NULL, 'OS09G0569300 PROTEIN', 177410),
(233685, 'PTHR31642:SF165', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-RELATED', 177411),
(233686, 'PTHR23257:SF859', NULL, NULL, NULL, NULL, 'BNAA09G12080D PROTEIN', 177412),
(233687, 'PTHR13329:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S18B, MITOCHONDRIAL', 177413),
(233688, 'PTHR33794:SF1', NULL, NULL, NULL, NULL, 'BACILLOLYSIN', 177414),
(233689, 'PTHR23130:SF159', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN-LIKE', 177415),
(233690, 'PTHR11923', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS B TYPE-1  SR-B1', 177416),
(233691, 'PTHR14499', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL TETRAMERIZATION DOMAIN-CONTAINING', 177417),
(233692, 'PTHR46524:SF12', NULL, NULL, NULL, NULL, 'CW-TYPE ZINC-FINGER PROTEIN', 177418),
(233693, 'PTHR22906:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177419),
(233694, 'PTHR19964:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177420),
(233695, 'PTHR43305:SF1', NULL, NULL, NULL, NULL, 'FAMILY N-ACETYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G01380)-RELATED', 177421),
(233696, 'PTHR15710:SF18', NULL, NULL, NULL, NULL, 'LD47007P', 177422);
INSERT INTO "PUBLIC"."MODEL" VALUES
(233697, 'PTHR33130:SF53', NULL, NULL, NULL, NULL, 'BNACNNG54010D PROTEIN', 177423),
(233698, 'PTHR13743:SF140', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN LVSD', 177424),
(233699, 'PTHR37904', NULL, NULL, NULL, NULL, 'OS10G0566900 PROTEIN', 177425),
(233700, 'PTHR31969:SF58', NULL, NULL, NULL, NULL, 'GLABRA2 EXPRESSION MODULATOR', 177426),
(233701, 'PTHR23086:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 5-PHOSPHATE 4-KINASE, ISOFORM A', 177427),
(233702, 'PTHR33257:SF34', NULL, NULL, NULL, NULL, 'BNAA05G34210D PROTEIN', 177428),
(233703, 'PTHR48019', NULL, NULL, NULL, NULL, 'SERUM RESPONSE FACTOR HOMOLOG', 177429),
(233704, 'PTHR31280:SF18', NULL, NULL, NULL, NULL, 'DUF810 FAMILY PROTEIN', 177430),
(233705, 'PTHR10291:SF32', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 177431),
(233706, 'PTHR45621:SF50', NULL, NULL, NULL, NULL, 'OS06G0727400 PROTEIN', 177432),
(233707, 'PTHR33257:SF42', NULL, NULL, NULL, NULL, 'BNAC06G15870D PROTEIN', 177433),
(233708, 'PTHR10048:SF33', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 3-KINASE CATALYTIC SUBUNIT BETA ISOFORM', 177434),
(233709, 'PTHR16515:SF11', NULL, NULL, NULL, NULL, 'PR DOMAIN-CONTAINING PROTEIN 11', 177435),
(233710, 'PTHR33048:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177436),
(233711, 'PTHR24246:SF49', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR K01A12.3-RELATED', 177437),
(233712, 'PTHR36965:SF1', NULL, NULL, NULL, NULL, 'FE(2+)-TRAFFICKING PROTEIN-RELATED', 177438),
(233713, 'PTHR30603:SF53', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-F TYPE, RNA POLYMERASE SIGMA-70 LIKE DOMAIN PROTEIN-RELATED', 177439),
(233714, 'PTHR12040:SF22', NULL, NULL, NULL, NULL, 'HISTONE CHAPERONE ASF1B', 177440),
(233715, 'PTHR24250:SF50', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE-RELATED', 177441),
(233716, 'PTHR33107:SF61', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR 7', 177442),
(233717, 'PTHR46801:SF4', NULL, NULL, NULL, NULL, 'LBP/BPI/CETP FAMILY, CARBOXY-TERMINAL DOMAIN PROTEIN', 177443),
(233718, 'PTHR18945:SF578', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-TYPE ACR-16', 177444),
(233719, 'PTHR43103', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-DIPHOSPHATE-SUGAR EPIMERASE', 177445),
(233720, 'PTHR10891:SF703', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 5', 177446),
(233721, 'PTHR18945:SF441', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', 177447),
(233722, 'PTHR43128:SF25', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', 177448),
(233723, 'PTHR45999:SF1', NULL, NULL, NULL, NULL, 'BAI1-ASSOCIATED PROTEIN 3', 177449),
(233724, 'PTHR24062:SF8', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 177450),
(233725, 'PTHR10131:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177451),
(233726, 'PTHR31916:SF41', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE F-RELATED', 177452),
(233727, 'PTHR47993:SF169', NULL, NULL, NULL, NULL, 'BNAA01G31770D PROTEIN', 177453),
(233728, 'PTHR24020:SF9', NULL, NULL, NULL, NULL, 'ZMP:0000000846', 177454),
(233729, 'PTHR10485:SF23', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM17-2-LIKE', 177455),
(233730, 'PTHR46952', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X-RELATED', 177456),
(233731, 'PTHR24416:SF488', NULL, NULL, NULL, NULL, 'PROTEIN CBG19102', 177457),
(233732, 'PTHR30546:SF46', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 1-RELATED', 177458),
(233733, 'PTHR13119:SF33', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 4', 177459),
(233734, 'PTHR22091', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 177460),
(233735, 'PTHR28004', NULL, NULL, NULL, NULL, 'ZGC:162816-RELATED', 177461),
(233736, 'PTHR37030:SF1', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', 177462),
(233737, 'PTHR47640:SF44', NULL, NULL, NULL, NULL, 'OS03G0569900 PROTEIN', 177463),
(233738, 'PTHR31376:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177464),
(233739, 'PTHR10992:SF1043', NULL, NULL, NULL, NULL, 'METHYLESTERASE 17-LIKE', 177465),
(233740, 'PTHR33108:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 177466);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(233741, 'PTHR24251:SF15', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GAMMA-CARBOXYGLUTAMIC ACID PROTEIN 4', 177467),
(233742, 'PTHR24240:SF81', NULL, NULL, NULL, NULL, 'PROTEIN CBG14214', 177468),
(233743, 'PTHR23054:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177469),
(233744, 'PTHR31300:SF26', NULL, NULL, NULL, NULL, 'DUF620 FAMILY PROTEIN', 177470),
(233745, 'PTHR47966:SF20', NULL, NULL, NULL, NULL, 'FUNGAL PROTEINASE A, ASPARTIC PROTEINASE SUPERFAMILY PROTEIN', 177471),
(233746, 'PTHR24177:SF311', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177472),
(233747, 'PTHR31276:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177473),
(233748, 'PTHR21576:SF132', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', 177474),
(233749, 'PTHR21669:SF10', NULL, NULL, NULL, NULL, 'UBINUCLEIN-2', 177475),
(233750, 'PTHR19431:SF11', NULL, NULL, NULL, NULL, 'BNACNNG03190D PROTEIN', 177476),
(233751, 'PTHR21312:SF30', NULL, NULL, NULL, NULL, 'GENE 10267-RELATED', 177477),
(233752, 'PTHR45816', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 177478),
(233753, 'PTHR43874:SF125', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR7', 177479),
(233754, 'PTHR24070:SF154', NULL, NULL, NULL, NULL, 'GENE MODEL 266, (NCBI)', 177480),
(233755, 'PTHR24240:SF173', NULL, NULL, NULL, NULL, 'SI:DKEY-9I23.8-RELATED', 177481),
(233756, 'PTHR46721', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N1', 177482),
(233757, 'PTHR16886:SF0', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE LIPID DROPLET-ASSOCIATED PROTEIN', 177483),
(233758, 'PTHR14636', NULL, NULL, NULL, NULL, 'TPA-INDUCED TRANSMEMBRANE PROTEIN', 177484),
(233759, 'PTHR11835:SF66', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT, MITOCHONDRIAL', 177485),
(233760, 'PTHR21235', NULL, NULL, NULL, NULL, 'IMIDAZOLE GLYCEROL PHOSPHATE SYNTHASE SUBUNIT HISF/H  IGP SYNTHASE SUBUNIT HISF/H', 177486),
(233761, 'PTHR48041:SF93', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN/PERMEASE WHT-1-RELATED', 177487),
(233762, 'PTHR46304:SF2', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR II-I', 177488),
(233763, 'PTHR45690:SF15', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 3', 177489),
(233764, 'PTHR11079:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177490),
(233765, 'PTHR22849:SF121', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 177491),
(233766, 'PTHR19961:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177492),
(233767, 'PTHR31707:SF171', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 13-RELATED', 177493),
(233768, 'PTHR15228', NULL, NULL, NULL, NULL, 'SPERMATHECAL PHYSIOLOGY VARIANT', 177494),
(233769, 'PTHR31236:SF41', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE RD22-LIKE PROTEIN', 177495),
(233770, 'PTHR31657:SF55', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT BINDING PROTEIN 3', 177496),
(233771, 'PTHR23226:SF78', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 396', 177497),
(233772, 'PTHR45807:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE JAK2', 177498),
(233773, 'PTHR42825:SF18', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 177499),
(233774, 'PTHR24261:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE-3-KINASE-INTERACTING PROTEIN 1-RELATED', 177500),
(233775, 'PTHR31509:SF97', NULL, NULL, NULL, NULL, 'BNAA07G03190D PROTEIN', 177501),
(233776, 'PTHR33971:SF6', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', 177502),
(233777, 'PTHR17534', NULL, NULL, NULL, NULL, 'OX40 LIGAND', 177503),
(233778, 'PTHR10836:SF91', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 177504),
(233779, 'PTHR32163', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 8', 177505),
(233780, 'PTHR11049:SF5', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTER HYDROLASE YCIA', 177506),
(233781, 'PTHR10698:SF3', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT H', 177507),
(233782, 'PTHR38377:SF1', NULL, NULL, NULL, NULL, 'THREONINE-TRNA LIGASE 2', 177508),
(233783, 'PTHR47960:SF12', NULL, NULL, NULL, NULL, 'BNAA09G39020D PROTEIN', 177509);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(233784, 'PTHR22937:SF67', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 177510),
(233785, 'PTHR23001:SF22', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5', 177511),
(233786, 'PTHR24056:SF389', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', 177512),
(233787, 'PTHR11955:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177513),
(233788, 'PTHR10937:SF14', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-FRUCTOSE-6-PHOSPHATE AMINOTRANSFERASE-RELATED', 177514),
(233789, 'PTHR47372:SF24', NULL, NULL, NULL, NULL, 'OSJNBA0085I10.12 PROTEIN', 177515),
(233790, 'PTHR33869:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177516),
(233791, 'PTHR31241:SF58', NULL, NULL, NULL, NULL, 'BNACNNG69090D PROTEIN', 177517),
(233792, 'PTHR36710:SF1', NULL, NULL, NULL, NULL, 'F14J9.2 PROTEIN', 177518),
(233793, 'PTHR27002:SF804', NULL, NULL, NULL, NULL, 'SALT STRESS RESPONSE/ANTIFUNGAL DOMAIN PROTEIN', 177519),
(233794, 'PTHR13413:SF0', NULL, NULL, NULL, NULL, 'YLP MOTIF-CONTAINING PROTEIN 1', 177520),
(233795, 'PTHR20854:SF42', NULL, NULL, NULL, NULL, 'INOSITOL-1-MONOPHOSPHATASE', 177521),
(233796, 'PTHR33052:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177522),
(233797, 'PTHR33390:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177523),
(233798, 'PTHR47059:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 32', 177524),
(233799, 'PTHR48047:SF49', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 177525),
(233800, 'PTHR47976:SF67', NULL, NULL, NULL, NULL, 'OS06G0602500 PROTEIN', 177526),
(233801, 'PTHR45786:SF26', NULL, NULL, NULL, NULL, 'BNAUNNG01660D PROTEIN', 177527),
(233802, 'PTHR45631:SF90', NULL, NULL, NULL, NULL, 'BNAC03G42080D PROTEIN', 177528),
(233803, 'PTHR23267:SF369', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177529),
(233804, 'PTHR11533:SF262', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 177530),
(233805, 'PTHR10615:SF127', NULL, NULL, NULL, NULL, 'REMODELING AND SPACING FACTOR 1', 177531),
(233806, 'PTHR33753:SF1', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,4-GLUCANASE CELB', 177532),
(233807, 'PTHR11751:SF475', NULL, NULL, NULL, NULL, 'ALANINE AMINOTRANSFERASE 2', 177533),
(233808, 'PTHR24064:SF490', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 7', 177534),
(233809, 'PTHR37368', NULL, NULL, NULL, NULL, 'TSSK6-ACTIVATING CO-CHAPERONE PROTEIN', 177535),
(233810, 'PTHR37936', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSC FOR INSERTION ELEMENT IS2A-RELATED', 177536),
(233811, 'PTHR46410:SF2', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 2', 177537),
(233812, 'PTHR10980:SF53', NULL, NULL, NULL, NULL, 'BNAA05G29800D PROTEIN', 177538),
(233813, 'PTHR33743:SF17', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 177539),
(233814, 'PTHR47929:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177540),
(233815, 'PTHR34829:SF1', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 3A MEMBER 1', 177541),
(233816, 'PTHR21615:SF2', NULL, NULL, NULL, NULL, 'CYCLIN N-TERMINAL DOMAIN-CONTAINING PROTEIN 1', 177542),
(233817, 'PTHR43578', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT F', 177543),
(233818, 'PTHR10696:SF33', NULL, NULL, NULL, NULL, 'GAMMA-BUTYROBETAINE DIOXYGENASE', 177544),
(233819, 'PTHR44329:SF196', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY46-LIKE ISOFORM X1', 177545),
(233820, 'PTHR31388:SF130', NULL, NULL, NULL, NULL, 'PEROXIDASE', 177546),
(233821, 'PTHR48100:SF19', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', 177547),
(233822, 'PTHR10012:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A ACTIVATOR 2', 177548),
(233823, 'PTHR11550:SF30', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', 177549),
(233824, 'PTHR47067:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ATRX-LIKE PROTEIN', 177550),
(233825, 'PTHR43719:SF57', NULL, NULL, NULL, NULL, 'BNAC03G44990D PROTEIN', 177551),
(233826, 'PTHR13691:SF54', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L8-LIKE', 177552),
(233827, 'PTHR35819:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177553);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(233828, 'PTHR47996:SF2', NULL, NULL, NULL, NULL, 'BNAA09G38510D PROTEIN', 177554),
(233829, 'PTHR23235:SF78', NULL, NULL, NULL, NULL, 'EARLY GROWTH RESPONSE PROTEIN 3', 177555),
(233830, 'PTHR11038', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM10', 177556),
(233831, 'PTHR14218:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177557),
(233832, 'PTHR45770:SF20', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 177558),
(233833, 'PTHR34395:SF11', NULL, NULL, NULL, NULL, 'OS09G0292400 PROTEIN', 177559),
(233834, 'PTHR20981:SF19', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L21-1', 177560),
(233835, 'PTHR15819:SF11', NULL, NULL, NULL, NULL, 'MID1, ISOFORM A', 177561),
(233836, 'PTHR31992:SF204', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN MNB1A', 177562),
(233837, 'PTHR24376:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 782', 177563),
(233838, 'PTHR48059:SF8', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITOR 1', 177564),
(233839, 'PTHR11566:SF139', NULL, NULL, NULL, NULL, 'OS09G0572900 PROTEIN', 177565),
(233840, 'PTHR32468:SF35', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE', 177566),
(233841, 'PTHR10942:SF0', NULL, NULL, NULL, NULL, 'LEISHMANOLYSIN-LIKE PEPTIDASE', 177567),
(233842, 'PTHR11062:SF279', NULL, NULL, NULL, NULL, 'BNAC09G37520D PROTEIN', 177568),
(233843, 'PTHR43788:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177569),
(233844, 'PTHR30012:SF4', NULL, NULL, NULL, NULL, 'MSHA BIOGENESIS PROTEIN MSHG', 177570),
(233845, 'PTHR31190:SF105', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', 177571),
(233846, 'PTHR33526:SF16', NULL, NULL, NULL, NULL, 'BNAC08G42370D PROTEIN', 177572),
(233847, 'PTHR31867:SF170', NULL, NULL, NULL, NULL, 'EXPANSIN', 177573),
(233848, 'PTHR46559:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177574),
(233849, 'PTHR10579:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177575),
(233850, 'PTHR36853:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 177576),
(233851, 'PTHR46148:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177577),
(233852, 'PTHR33070:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177578),
(233853, 'PTHR43144:SF4', NULL, NULL, NULL, NULL, 'LL-DIAMINOPIMELATE AMINOTRANSFERASE, CHLOROPLASTIC-RELATED', 177579),
(233854, 'PTHR11132:SF398', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE/PHOSPHATE TRANSLOCATOR-RELATED', 177580),
(233855, 'PTHR10687:SF73', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 177581),
(233856, 'PTHR24012:SF719', NULL, NULL, NULL, NULL, 'AGAP005249-PA', 177582),
(233857, 'PTHR10784:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 6', 177583),
(233858, 'PTHR23517:SF3', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN MDTM, PUTATIVE-RELATED', 177584),
(233859, 'PTHR11829:SF180', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN I1', 177585),
(233860, 'PTHR43903:SF15', NULL, NULL, NULL, NULL, 'FI21425P1', 177586),
(233861, 'PTHR13720:SF13', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 251', 177587),
(233862, 'PTHR12546:SF34', NULL, NULL, NULL, NULL, 'FER-1-LIKE PROTEIN 5', 177588),
(233863, 'PTHR31656:SF34', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS ABUNDANT PROTEIN-RELATED / LEA PROTEIN-RELATED, PUTATIVE-RELATED', 177589),
(233864, 'PTHR43349:SF67', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE-4-EPIMERASE', 177590),
(233865, 'PTHR22883:SF291', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 23-RELATED', 177591),
(233866, 'PTHR16861:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 177592),
(233867, 'PTHR23306:SF18', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 3', 177593),
(233868, 'PTHR16156:SF7', NULL, NULL, NULL, NULL, 'CLATHRIN BINDING BOX OF AFTIPHILIN CONTAINING 1', 177594),
(233869, 'PTHR24229:SF53', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR 18', 177595),
(233870, 'PTHR15597', NULL, NULL, NULL, NULL, 'ATAXIN 2-BINDING PROTEIN 1-RELATED', 177596),
(233871, 'PTHR23402:SF15', NULL, NULL, NULL, NULL, 'PYROGLUTAMYL-PEPTIDASE 1-LIKE PROTEIN', 177597);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(233872, 'PTHR45651:SF55', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL-LIKE PROTEIN', 177598),
(233873, 'PTHR43341:SF38', NULL, NULL, NULL, NULL, 'PROLINE TRANSPORTER (EUROFUNG)', 177599),
(233874, 'PTHR11157:SF68', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 3', 177600),
(233875, 'PTHR33124:SF63', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 177601),
(233876, 'PTHR31321:SF93', NULL, NULL, NULL, NULL, 'BNAC02G01620D PROTEIN', 177602),
(233877, 'PTHR11062:SF262', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT13-RELATED', 177603),
(233878, 'PTHR10671:SF45', NULL, NULL, NULL, NULL, 'PROTEIN CBG23133', 177604),
(233879, 'PTHR14002:SF38', NULL, NULL, NULL, NULL, 'CUB AND ZONA PELLUCIDA-LIKE DOMAINS 1, GENE 2', 177605),
(233880, 'PTHR46327:SF2', NULL, NULL, NULL, NULL, 'SEQUENCE-SPECIFIC DNA BINDING TRANSCRIPTION FACTOR', 177606),
(233881, 'PTHR45752:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177607),
(233882, 'PTHR22814:SF338', NULL, NULL, NULL, NULL, 'BNAC03G60050D PROTEIN', 177608),
(233883, 'PTHR24381:SF321', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 41 HOMOLOG-RELATED', 177609),
(233884, 'PTHR45798:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL23', 177610),
(233885, 'PTHR10258', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED POTASSIUM CHANNEL SUBUNIT BETA', 177611),
(233886, 'PTHR47993:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177612),
(233887, 'PTHR24106', NULL, NULL, NULL, NULL, 'NACHT, LRR AND CARD DOMAINS-CONTAINING', 177613),
(233888, 'PTHR47981:SF13', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-7A', 177614),
(233889, 'PTHR47942:SF29', NULL, NULL, NULL, NULL, 'REPEAT (PPR-LIKE) SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 177615),
(233890, 'PTHR31080:SF69', NULL, NULL, NULL, NULL, 'OS03G0830600 PROTEIN', 177616),
(233891, 'PTHR46700:SF3', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 177617),
(233892, 'PTHR45616:SF10', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 79', 177618),
(233893, 'PTHR22601:SF74', NULL, NULL, NULL, NULL, 'OS08G0492000 PROTEIN', 177619),
(233894, 'PTHR19971:SF5', NULL, NULL, NULL, NULL, 'RIKEN CDNA F830045P16', 177620),
(233895, 'PTHR33107:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177621),
(233896, 'PTHR43820:SF5', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN', 177622),
(233897, 'PTHR33361:SF15', NULL, NULL, NULL, NULL, 'DUF885 FAMILY LIPOPROTEIN', 177623),
(233898, 'PTHR31989:SF305', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 66', 177624),
(233899, 'PTHR31636:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177625),
(233900, 'PTHR33511:SF26', NULL, NULL, NULL, NULL, 'BNAANNG02940D PROTEIN', 177626),
(233901, 'PTHR11654:SF461', NULL, NULL, NULL, NULL, 'BNACNNG27190D PROTEIN', 177627),
(233902, 'PTHR11461:SF348', NULL, NULL, NULL, NULL, 'SERPIN B6', 177628),
(233903, 'PTHR15025', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-1 SUBUNIT-RELATED', 177629),
(233904, 'PTHR43603', NULL, NULL, NULL, NULL, 'COBW DOMAIN-CONTAINING PROTEIN DDB_G0274527', 177630),
(233905, 'PTHR31005:SF8', NULL, NULL, NULL, NULL, 'BLL7080 PROTEIN', 177631),
(233906, 'PTHR11654:SF502', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.7', 177632),
(233907, 'PTHR10388:SF48', NULL, NULL, NULL, NULL, 'APO PROTEIN 3, MITOCHONDRIAL', 177633),
(233908, 'PTHR24115:SF472', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF3A', 177634),
(233909, 'PTHR11640:SF89', NULL, NULL, NULL, NULL, 'IMMUNOGLOBIN SUPERFAMILY MEMBER 21', 177635),
(233910, 'PTHR22847:SF655', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 7', 177636),
(233911, 'PTHR38928:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 177637),
(233912, 'PTHR47999:SF62', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB5', 177638),
(233913, 'PTHR10201:SF138', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-24', 177639),
(233914, 'PTHR47979:SF3', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-39A', 177640);
INSERT INTO "PUBLIC"."MODEL" VALUES
(233915, 'PTHR48021:SF19', NULL, NULL, NULL, NULL, 'GENERAL SUBSTRATE TRANSPORTER', 177641),
(233916, 'PTHR24296:SF176', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94A2-LIKE', 177642),
(233917, 'PTHR10515:SF0', NULL, NULL, NULL, NULL, 'THYMIDINE PHOSPHORYLASE', 177643),
(233918, 'PTHR10125:SF8', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR 3', 177644),
(233919, 'PTHR23130:SF157', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED IN ROOT CULTURES PROTEIN 12', 177645),
(233920, 'PTHR13734:SF7', NULL, NULL, NULL, NULL, 'BNAC07G13590D PROTEIN', 177646),
(233921, 'PTHR37426:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE J', 177647),
(233922, 'PTHR11668', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE', 177648),
(233923, 'PTHR32227:SF359', NULL, NULL, NULL, NULL, 'GLUCOSIDASE-LIKE PROTEIN', 177649),
(233924, 'PTHR24229:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG19271', 177650),
(233925, 'PTHR12129:SF17', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE 2-O-SULFOTRANSFERASE 1', 177651),
(233926, 'PTHR47971:SF10', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 177652),
(233927, 'PTHR43876:SF7', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS MONOOXYGENASE COQ6, MITOCHONDRIAL', 177653),
(233928, 'PTHR42847:SF4', NULL, NULL, NULL, NULL, 'ALKANESULFONATE MONOOXYGENASE-RELATED', 177654),
(233929, 'PTHR47938:SF7', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 177655),
(233930, 'PTHR45708:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177656),
(233931, 'PTHR19328:SF66', NULL, NULL, NULL, NULL, 'HIPL1 PROTEIN-LIKE', 177657),
(233932, 'PTHR31300:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177658),
(233933, 'PTHR44340', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 10', 177659),
(233934, 'PTHR34837', NULL, NULL, NULL, NULL, 'OS05G0595500 PROTEIN', 177660),
(233935, 'PTHR45720:SF8', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-KB', 177661),
(233936, 'PTHR22909:SF22', NULL, NULL, NULL, NULL, 'GOLGI INTEGRAL MEMBRANE PROTEIN 4', 177662),
(233937, 'PTHR46186:SF5', NULL, NULL, NULL, NULL, 'CYSTATIN-SN', 177663),
(233938, 'PTHR32382:SF37', NULL, NULL, NULL, NULL, 'OS02G0461000 PROTEIN', 177664),
(233939, 'PTHR43570:SF33', NULL, NULL, NULL, NULL, 'BNAA10G08800D PROTEIN', 177665),
(233940, 'PTHR10841:SF24', NULL, NULL, NULL, NULL, 'SYNAPSIN-1', 177666),
(233941, 'PTHR31062:SF215', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 177667),
(233942, 'PTHR10693:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177668),
(233943, 'PTHR32258:SF5', NULL, NULL, NULL, NULL, 'KINASE INTERACTING PROTEIN 1-LIKE', 177669),
(233944, 'PTHR47122:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177670),
(233945, 'PTHR31568:SF77', NULL, NULL, NULL, NULL, 'PROTEIN CBG05978', 177671),
(233946, 'PTHR11802:SF65', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 177672),
(233947, 'PTHR13593:SF117', NULL, NULL, NULL, NULL, 'PI-PLC X DOMAIN PLANT-LIKE PROTEIN', 177673),
(233948, 'PTHR32467:SF145', NULL, NULL, NULL, NULL, 'AP2 DOMAIN-CONTAINING TRANSCRIPTION FACTOR', 177674),
(233949, 'PTHR32191:SF61', NULL, NULL, NULL, NULL, 'TETRASPANIN-2-LIKE', 177675),
(233950, 'PTHR43785:SF8', NULL, NULL, NULL, NULL, 'TYPE-1 GLUTAMINE SYNTHETASE 1-LIKE ISOFORM X1', 177676),
(233951, 'PTHR12542:SF131', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 177677),
(233952, 'PTHR31902:SF18', NULL, NULL, NULL, NULL, 'SUCRASE/FERREDOXIN-LIKE FAMILY PROTEIN-RELATED', 177678),
(233953, 'PTHR35775:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT VIII', 177679),
(233954, 'PTHR43884', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', 177680),
(233955, 'PTHR47901:SF1', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 17', 177681),
(233956, 'PTHR38039:SF1', NULL, NULL, NULL, NULL, 'TOXIN YOEB', 177682),
(233957, 'PTHR24070:SF427', NULL, NULL, NULL, NULL, 'RAP1A, MEMBER OF RAS ONCOGENE FAMILY B', 177683),
(233958, 'PTHR47830', NULL, NULL, NULL, NULL, 'OS11G0534100 PROTEIN', 177684),
(233959, 'PTHR33156:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177685);
INSERT INTO "PUBLIC"."MODEL" VALUES
(233960, 'PTHR31776:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177686),
(233961, 'PTHR18966:SF520', NULL, NULL, NULL, NULL, 'AGAP002904-PA', 177687),
(233962, 'PTHR45725:SF7', NULL, NULL, NULL, NULL, 'DISHEVELED-ASSOCIATED ACTIVATOR OF MORPHOGENESIS 2', 177688),
(233963, 'PTHR23428:SF269', NULL, NULL, NULL, NULL, 'HISTONE H2B', 177689),
(233964, 'PTHR12741:SF65', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 3', 177690),
(233965, 'PTHR31889:SF74', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', 177691),
(233966, 'PTHR43329:SF94', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE-RELATED', 177692),
(233967, 'PTHR11616:SF111', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT GABA TRANSPORTER 2', 177693),
(233968, 'PTHR28264:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A', 177694),
(233969, 'PTHR23160:SF20', NULL, NULL, NULL, NULL, 'WEB FAMILY PROTEIN CHLOROPLASTIC-RELATED', 177695),
(233970, 'PTHR31973:SF138', NULL, NULL, NULL, NULL, 'RMUA', 177696),
(233971, 'PTHR36777:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 177697),
(233972, 'PTHR45616:SF32', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 5', 177698),
(233973, 'PTHR34693:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177699),
(233974, 'PTHR37320:SF1', NULL, NULL, NULL, NULL, 'AG-1 BLOOD STAGE MEMBRANE PROTEIN HOMOLOGUE', 177700),
(233975, 'PTHR14209:SF22', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 177701),
(233976, 'PTHR15710:SF100', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', 177702),
(233977, 'PTHR19248:SF16', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY E MEMBER 1', 177703),
(233978, 'PTHR28286:SF1', NULL, NULL, NULL, NULL, '30 KDA HEAT SHOCK PROTEIN-RELATED', 177704),
(233979, 'PTHR45631', NULL, NULL, NULL, NULL, 'OS07G0107800 PROTEIN-RELATED', 177705),
(233980, 'PTHR32071:SF29', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE TRANSPORT SYSTEM TRANSCRIPTIONAL REGULATORY PROTEIN PGTA', 177706),
(233981, 'PTHR40619:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177707),
(233982, 'PTHR44170:SF9', NULL, NULL, NULL, NULL, 'ROUNDABOUT HOMOLOG 2', 177708),
(233983, 'PTHR35263:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 49', 177709),
(233984, 'PTHR24185:SF7', NULL, NULL, NULL, NULL, 'PATATIN FAMILY PROTEIN', 177710),
(233985, 'PTHR34351:SF2', NULL, NULL, NULL, NULL, 'CONSERVED REPEAT DOMAIN PROTEIN', 177711),
(233986, 'PTHR14418:SF5', NULL, NULL, NULL, NULL, 'CONDENSIN COMPLEX SUBUNIT 3', 177712),
(233987, 'PTHR33171:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177713),
(233988, 'PTHR12354:SF21', NULL, NULL, NULL, NULL, 'INTERFERON-RELATED DEVELOPMENTAL REGULATOR 1-LIKE', 177714),
(233989, 'PTHR44314', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 70', 177715),
(233990, 'PTHR35825:SF2', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA''-INTERACTING PROTEIN', 177716),
(233991, 'PTHR13301:SF213', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 177717),
(233992, 'PTHR46248:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 177718),
(233993, 'PTHR23058:SF5', NULL, NULL, NULL, NULL, 'MICROBODY (PEROXISOME) BIOGENESIS PROTEIN PEROXIN 14/17 (EUROFUNG)-RELATED', 177719),
(233994, 'PTHR21447:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG11488', 177720),
(233995, 'PTHR31190:SF254', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177721),
(233996, 'PTHR23086:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177722),
(233997, 'PTHR12860:SF0', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE SUBUNIT SRP68', 177723),
(233998, 'PTHR31707:SF251', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 25-RELATED', 177724),
(233999, 'PTHR15109:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM193B', 177725),
(234000, 'PTHR16223:SF246', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH84-LIKE', 177726),
(234001, 'PTHR46274:SF16', NULL, NULL, NULL, NULL, 'BNAA04G20710D PROTEIN', 177727),
(234002, 'PTHR12203:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177728),
(234003, 'PTHR10788:SF46', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 11-RELATED', 177729);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(234004, 'PTHR18945:SF397', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT EPSILON', 177730),
(234005, 'PTHR47929:SF2', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 177731),
(234006, 'PTHR31194:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177732),
(234007, 'PTHR45627:SF23', NULL, NULL, NULL, NULL, 'ACXA, ISOFORM A-RELATED', 177733),
(234008, 'PTHR22883:SF28', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC14-RELATED', 177734),
(234009, 'PTHR24247:SF228', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE (SEROTONIN) RECEPTOR 2A, ISOFORM B', 177735),
(234010, 'PTHR24232:SF91', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN LOC653160', 177736),
(234011, 'PTHR13696', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', 177737),
(234012, 'PTHR10974:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG09258', 177738),
(234013, 'PTHR33430:SF6', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST PROTEIN', 177739),
(234014, 'PTHR42765:SF2', NULL, NULL, NULL, NULL, 'TYROSINE--TRNA LIGASE', 177740),
(234015, 'PTHR14898:SF11', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB-LIKE PROTEIN', 177741),
(234016, 'PTHR23004:SF9', NULL, NULL, NULL, NULL, 'DOUBLECORTIN DOMAIN-CONTAINING PROTEIN 2C', 177742),
(234017, 'PTHR31517:SF42', NULL, NULL, NULL, NULL, 'PEROXIDASE 65', 177743),
(234018, 'PTHR45644:SF42', NULL, NULL, NULL, NULL, 'BNAA09G51110D PROTEIN', 177744),
(234019, 'PTHR10649:SF3', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR REPRESSOR', 177745),
(234020, 'PTHR23147:SF171', NULL, NULL, NULL, NULL, 'BNACNNG35790D PROTEIN', 177746),
(234021, 'PTHR10805:SF4', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT EPSILON', 177747),
(234022, 'PTHR31948:SF90', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 1', 177748),
(234023, 'PTHR34229:SF1', NULL, NULL, NULL, NULL, 'METAL TRANSPORT PROTEIN HI_1621-RELATED', 177749),
(234024, 'PTHR12902:SF1', NULL, NULL, NULL, NULL, 'MIP02973P', 177750),
(234025, 'PTHR32243:SF34', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN OLIGOMER TRANSPORT SYSTEM PERMEASE PROTEIN GANQ-RELATED', 177751),
(234026, 'PTHR45138:SF2', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE VDCA', 177752),
(234027, 'PTHR11206:SF431', NULL, NULL, NULL, NULL, 'MULTI ANTIMICROBIAL EXTRUSION PROTEIN-RELATED', 177753),
(234028, 'PTHR31081:SF14', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 1-LIKE ISOFORM X1', 177754),
(234029, 'PTHR33215:SF6', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSE FOR INSERTION SEQUENCE IS3A-RELATED', 177755),
(234030, 'PTHR24377:SF162', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 873', 177756),
(234031, 'PTHR12289:SF32', NULL, NULL, NULL, NULL, 'CADMIUM RESPONSIVE', 177757),
(234032, 'PTHR39233', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 10', 177758),
(234033, 'PTHR31889:SF43', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE-LIKE PROTEIN', 177759),
(234034, 'PTHR48017:SF50', NULL, NULL, NULL, NULL, 'PROTEIN CBG03527', 177760),
(234035, 'PTHR31929:SF87', NULL, NULL, NULL, NULL, 'BNAA10G16770D PROTEIN', 177761),
(234036, 'PTHR23322:SF71', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED (UBA) PROTEIN-RELATED', 177762),
(234037, 'PTHR42799:SF24', NULL, NULL, NULL, NULL, 'BNAA07G37260D PROTEIN', 177763),
(234038, 'PTHR15895:SF11', NULL, NULL, NULL, NULL, 'IMMEDIATE EARLY RESPONSE GENE 5-LIKE PROTEIN', 177764),
(234039, 'PTHR34311', NULL, NULL, NULL, NULL, 'PROTEIN CBG21698-RELATED', 177765),
(234040, 'PTHR45712:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN FLRT3', 177766),
(234041, 'PTHR31388:SF157', NULL, NULL, NULL, NULL, 'CATIONIC PEROXIDASE', 177767),
(234042, 'PTHR31047:SF1', NULL, NULL, NULL, NULL, 'DUF1237 DOMAIN-CONTAINING PROTEIN', 177768),
(234043, 'PTHR43791:SF31', NULL, NULL, NULL, NULL, 'VITAMIN H TRANSPORTER', 177769),
(234044, 'PTHR37393', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 1A-LIKE', 177770),
(234045, 'PTHR33021:SF217', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN', 177771),
(234046, 'PTHR28577:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN P', 177772);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(234047, 'PTHR11850:SF306', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN 12', 177773),
(234048, 'PTHR45682:SF13', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE SLINGSHOT-LIKE PROTEIN', 177774),
(234049, 'PTHR47959:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177775),
(234050, 'PTHR45778:SF10', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 177776),
(234051, 'PTHR46929:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 177777),
(234052, 'PTHR14217:SF25', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', 177778),
(234053, 'PTHR48010:SF59', NULL, NULL, NULL, NULL, 'OS05G0480400 PROTEIN', 177779),
(234054, 'PTHR24217:SF0', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 177780),
(234055, 'PTHR31744:SF140', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 1-LIKE', 177781),
(234056, 'PTHR12608:SF14', NULL, NULL, NULL, NULL, 'GDT1 FAMILY PROTEIN', 177782),
(234057, 'PTHR10984:SF30', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM-GOLGI INTERMEDIATE COMPARTMENT PROTEIN 2', 177783),
(234058, 'PTHR11532:SF43', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE X1-RELATED', 177784),
(234059, 'PTHR36450:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 177785),
(234060, 'PTHR27002:SF408', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177786),
(234061, 'PTHR32295:SF201', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', 177787),
(234062, 'PTHR31624:SF3', NULL, NULL, NULL, NULL, 'UPF0472 PROTEIN C16ORF72', 177788),
(234063, 'PTHR21328:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP16', 177789),
(234064, 'PTHR12931', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOLESTERASE PROTEIN OTUB', 177790),
(234065, 'PTHR10797:SF36', NULL, NULL, NULL, NULL, 'OS10G0421700 PROTEIN', 177791),
(234066, 'PTHR10615:SF191', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', 177792),
(234067, 'PTHR10252:SF112', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-4', 177793),
(234068, 'PTHR21724:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-293', 177794),
(234069, 'PTHR31044:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177795),
(234070, 'PTHR22950:SF188', NULL, NULL, NULL, NULL, 'PROTON-COUPLED AMINO ACID TRANSPORTER 1', 177796),
(234071, 'PTHR14338:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177797),
(234072, 'PTHR11913', NULL, NULL, NULL, NULL, 'COFILIN-RELATED', 177798),
(234073, 'PTHR18952:SF120', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 2', 177799),
(234074, 'PTHR38936:SF1', NULL, NULL, NULL, NULL, 'TITIN-LIKE ISOFORM X2', 177800),
(234075, 'PTHR31464:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG11668', 177801),
(234076, 'PTHR13600:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177802),
(234077, 'PTHR12300:SF43', NULL, NULL, NULL, NULL, 'TB2/DP1, HVA22 FAMILY PROTEIN', 177803),
(234078, 'PTHR10972:SF78', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 1-RELATED', 177804),
(234079, 'PTHR23531:SF2', NULL, NULL, NULL, NULL, 'QUINOLONE RESISTENCE NORA PROTEIN', 177805),
(234080, 'PTHR31235:SF329', NULL, NULL, NULL, NULL, 'PEROXIDASE', 177806),
(234081, 'PTHR45985:SF4', NULL, NULL, NULL, NULL, 'LIN-12 AND GLP-1 X-HYBRIDIZING', 177807),
(234082, 'PTHR11071:SF409', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 177808),
(234083, 'PTHR10334:SF485', NULL, NULL, NULL, NULL, 'PROTEIN CBG23203', 177809),
(234084, 'PTHR33871:SF1', NULL, NULL, NULL, NULL, 'OS05G0503100 PROTEIN', 177810),
(234085, 'PTHR31087:SF104', NULL, NULL, NULL, NULL, 'BNAA01G37110D PROTEIN', 177811),
(234086, 'PTHR21700:SF3', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-LIKE PROTEIN 46', 177812),
(234087, 'PTHR10856:SF41', NULL, NULL, NULL, NULL, 'CORONIN', 177813),
(234088, 'PTHR45730', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JAGGED', 177814),
(234089, 'PTHR11920:SF475', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', 177815),
(234090, 'PTHR11071:SF433', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 177816),
(234091, 'PTHR36326:SF4', NULL, NULL, NULL, NULL, 'PROTEIN POLLENLESS 3-LIKE 1', 177817),
(234092, 'PTHR32077:SF65', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 11', 177818);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(234093, 'PTHR31246:SF25', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-4-LIKE', 177819),
(234094, 'PTHR11848:SF43', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 6', 177820),
(234095, 'PTHR37187', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 177821),
(234096, 'PTHR21553:SF22', NULL, NULL, NULL, NULL, 'ALSTROM SYNDROME PROTEIN 1', 177822),
(234097, 'PTHR26312:SF159', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY PROTEIN YCF3', 177823),
(234098, 'PTHR10288:SF302', NULL, NULL, NULL, NULL, 'FAR UPSTREAM ELEMENT-BINDING PROTEIN 2-LIKE ISOFORM X1', 177824),
(234099, 'PTHR30258:SF3', NULL, NULL, NULL, NULL, 'ATP/GTP-BINDING PROTEIN-RELATED', 177825),
(234100, 'PTHR11767:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177826),
(234101, 'PTHR19375:SF369', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177827),
(234102, 'PTHR18945:SF386', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 177828),
(234103, 'PTHR33076:SF104', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 177829),
(234104, 'PTHR47978:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177830),
(234105, 'PTHR46300:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE ALNH-RELATED', 177831),
(234106, 'PTHR34295:SF1', NULL, NULL, NULL, NULL, 'BIOTIN TRANSPORTER BIOY', 177832),
(234107, 'PTHR43558:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177833),
(234108, 'PTHR48049:SF64', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 177834),
(234109, 'PTHR11709:SF341', NULL, NULL, NULL, NULL, 'LACCASE', 177835),
(234110, 'PTHR13847:SF193', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE PHOSPHATASE REGULATORY SUBUNIT, MITOCHONDRIAL', 177836),
(234111, 'PTHR21645:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 177837),
(234112, 'PTHR39232:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 50', 177838),
(234113, 'PTHR11627:SF16', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE, CHLOROPLASTIC', 177839),
(234114, 'PTHR23113:SF224', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR 1', 177840),
(234115, 'PTHR11947:SF39', NULL, NULL, NULL, NULL, 'BRANCHED CHAIN KETOACID DEHYDROGENASE KINASE', 177841),
(234116, 'PTHR11984:SF49', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', 177842),
(234117, 'PTHR14241:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177843),
(234118, 'PTHR24031:SF240', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX49-RELATED', 177844),
(234119, 'PTHR12940', NULL, NULL, NULL, NULL, 'ES-2 PROTEIN - RELATED', 177845),
(234120, 'PTHR43625:SF65', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 4-RELATED', 177846),
(234121, 'PTHR31315:SF13', NULL, NULL, NULL, NULL, 'BNAA02G18890D PROTEIN', 177847),
(234122, 'PTHR47999:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB111', 177848),
(234123, 'PTHR24221:SF251', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN 1', 177849),
(234124, 'PTHR33778:SF1', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER YHID-RELATED', 177850),
(234125, 'PTHR11817:SF90', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 177851),
(234126, 'PTHR45798:SF61', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL44-RELATED', 177852),
(234127, 'PTHR34569:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177853),
(234128, 'PTHR43790:SF3', NULL, NULL, NULL, NULL, 'D-ALLOSE IMPORT ATP-BINDING PROTEIN ALSA-RELATED', 177854),
(234129, 'PTHR43841', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-THIOESTER DEHYDRATASE HTDX-RELATED', 177855),
(234130, 'PTHR21510:SF16', NULL, NULL, NULL, NULL, 'PROTEIN AKNAD1', 177856),
(234131, 'PTHR14735:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 134', 177857),
(234132, 'PTHR46987:SF5', NULL, NULL, NULL, NULL, 'R-SPONDIN 1', 177858),
(234133, 'PTHR11709:SF361', NULL, NULL, NULL, NULL, 'IRON TRANSPORT MULTICOPPER OXIDASE FET5', 177859),
(234134, 'PTHR24637:SF252', NULL, NULL, NULL, NULL, 'COLLAGEN', 177860),
(234135, 'PTHR33800', NULL, NULL, NULL, NULL, 'OS06G0113600 PROTEIN', 177861),
(234136, 'PTHR13789:SF311', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G10180)-RELATED', 177862);
INSERT INTO "PUBLIC"."MODEL" VALUES
(234137, 'PTHR15138', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 4', 177863),
(234138, 'PTHR45811:SF11', NULL, NULL, NULL, NULL, 'METAL-ASSOCIATED DOMAIN, PUTATIVE-RELATED', 177864),
(234139, 'PTHR44591', NULL, NULL, NULL, NULL, 'STRESS RESPONSE REGULATOR PROTEIN 1', 177865),
(234140, 'PTHR22803:SF134', NULL, NULL, NULL, NULL, 'GH28601P', 177866),
(234141, 'PTHR33866:SF2', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', 177867),
(234142, 'PTHR35587:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177868),
(234143, 'PTHR31257:SF13', NULL, NULL, NULL, NULL, 'OS03G0325900 PROTEIN', 177869),
(234144, 'PTHR31105:SF8', NULL, NULL, NULL, NULL, 'OS05G0586400 PROTEIN', 177870),
(234145, 'PTHR37191:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER/BTB DOMAIN PROTEIN', 177871),
(234146, 'PTHR46690', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 6 HOMOLOG', 177872),
(234147, 'PTHR20437:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177873),
(234148, 'PTHR46016:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE', 177874),
(234149, 'PTHR21524', NULL, NULL, NULL, NULL, 'SPECTRIN REPEAT CONTAINING NUCLEAR ENVELOPE PROTEIN 2', 177875),
(234150, 'PTHR23030:SF35', NULL, NULL, NULL, NULL, 'OS10G0495466 PROTEIN', 177876),
(234151, 'PTHR40688', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 177877),
(234152, 'PTHR46660', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 177878),
(234153, 'PTHR13847:SF44', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 1', 177879),
(234154, 'PTHR31374:SF210', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN-LIKE', 177880),
(234155, 'PTHR22467:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE AU022751-RELATED', 177881),
(234156, 'PTHR11945:SF456', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN APETALA 1', 177882),
(234157, 'PTHR42867:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 177883),
(234158, 'PTHR32054:SF64', NULL, NULL, NULL, NULL, 'BNAA03G19090D PROTEIN', 177884),
(234159, 'PTHR35337:SF1', NULL, NULL, NULL, NULL, 'SLR1478 PROTEIN', 177885),
(234160, 'PTHR24349:SF322', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 18', 177886),
(234161, 'PTHR24414:SF175', NULL, NULL, NULL, NULL, 'BNAA09G35040D PROTEIN', 177887),
(234162, 'PTHR22943:SF248', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 177888),
(234163, 'PTHR31713:SF18', NULL, NULL, NULL, NULL, 'OS02G0177800 PROTEIN', 177889),
(234164, 'PTHR13206', NULL, NULL, NULL, NULL, 'UBIQUITIN LIGASE PROTEIN PHF9  FANCONI ANEMIA GROUP L PROTEIN', 177890),
(234165, 'PTHR13030:SF8', NULL, NULL, NULL, NULL, 'ADP-RIBOSE PYROPHOSPHATASE, MITOCHONDRIAL', 177891),
(234166, 'PTHR23056:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177892),
(234167, 'PTHR46351:SF9', NULL, NULL, NULL, NULL, 'CHITINASE / HEVEIN / PR-4 / WHEATWIN2', 177893),
(234168, 'PTHR16705:SF7', NULL, NULL, NULL, NULL, 'COMPLEXIN-4', 177894),
(234169, 'PTHR48003:SF4', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GHR1', 177895),
(234170, 'PTHR24341:SF7', NULL, NULL, NULL, NULL, 'SEGMENTATION POLARITY HOMEOBOX PROTEIN ENGRAILED', 177896),
(234171, 'PTHR21490:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177897),
(234172, 'PTHR36810:SF1', NULL, NULL, NULL, NULL, 'BNACNNG47150D PROTEIN', 177898),
(234173, 'PTHR11994:SF4', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L7, MITOCHONDRIAL', 177899),
(234174, 'PTHR21580:SF50', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER OF SPERM TAILS 3-LIKE 2A', 177900),
(234175, 'PTHR10634:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 9', 177901),
(234176, 'PTHR15919:SF1', NULL, NULL, NULL, NULL, 'DAPPER HOMOLOG 3', 177902),
(234177, 'PTHR33349:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177903),
(234178, 'PTHR46991:SF11', NULL, NULL, NULL, NULL, '23.5 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', 177904),
(234179, 'PTHR13301:SF205', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN E1', 177905),
(234180, 'PTHR10788:SF107', NULL, NULL, NULL, NULL, 'BNAA02G18920D PROTEIN', 177906);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(234181, 'PTHR11679:SF74', NULL, NULL, NULL, NULL, 'SEC1 FAMILY DOMAIN-CONTAINING PROTEIN 2', 177907),
(234182, 'PTHR31325:SF140', NULL, NULL, NULL, NULL, 'USTILAGO MAYDIS INDUCED11', 177908),
(234183, 'PTHR12756:SF42', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE NNA1', 177909),
(234184, 'PTHR43205:SF33', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN REDUCTASE 1', 177910),
(234185, 'PTHR24298:SF515', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B6', 177911),
(234186, 'PTHR31471:SF13', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', 177912),
(234187, 'PTHR11008:SF25', NULL, NULL, NULL, NULL, 'IP09473P', 177913),
(234188, 'PTHR36023:SF9', NULL, NULL, NULL, NULL, 'PROTEIN ORGAN SIZE RELATED 1', 177914),
(234189, 'PTHR23070:SF111', NULL, NULL, NULL, NULL, 'BNAANNG18740D PROTEIN', 177915),
(234190, 'PTHR14469', NULL, NULL, NULL, NULL, 'SARCOMA ANTIGEN NY-SAR-23', 177916),
(234191, 'PTHR43329:SF101', NULL, NULL, NULL, NULL, 'SLL1305 PROTEIN', 177917),
(234192, 'PTHR24559:SF365', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177918),
(234193, 'PTHR34319:SF6', NULL, NULL, NULL, NULL, 'MAJOR EXPORTED PROTEIN', 177919),
(234194, 'PTHR19957:SF324', NULL, NULL, NULL, NULL, 'BNAC07G32850D PROTEIN', 177920),
(234195, 'PTHR10720:SF1', NULL, NULL, NULL, NULL, 'HEME OXYGENASE 1', 177921),
(234196, 'PTHR33110:SF101', NULL, NULL, NULL, NULL, 'OS02G0159800 PROTEIN', 177922),
(234197, 'PTHR11685:SF311', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 177923),
(234198, 'PTHR48012:SF14', NULL, NULL, NULL, NULL, 'STE20/SPS1-RELATED PROLINE-ALANINE-RICH PROTEIN KINASE', 177924),
(234199, 'PTHR46514:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177925),
(234200, 'PTHR10992:SF1025', NULL, NULL, NULL, NULL, 'METHYLESTERASE 15, CHLOROPLASTIC-RELATED', 177926),
(234201, 'PTHR32073:SF6', NULL, NULL, NULL, NULL, 'DIVERGENT PROTEIN KINASE DOMAIN 2A', 177927),
(234202, 'PTHR31642:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177928),
(234203, 'PTHR43791:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177929),
(234204, 'PTHR33136:SF81', NULL, NULL, NULL, NULL, 'OS10G0328900 PROTEIN', 177930),
(234205, 'PTHR43687:SF1', NULL, NULL, NULL, NULL, 'ADENYLYLSULFATE REDUCTASE, BETA SUBUNIT', 177931),
(234206, 'PTHR31062:SF122', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 11-RELATED', 177932),
(234207, 'PTHR35730:SF3', NULL, NULL, NULL, NULL, 'BNAC01G39290D PROTEIN', 177933),
(234208, 'PTHR37435:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14344', 177934),
(234209, 'PTHR10920:SF19', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE, PUTATIVE-RELATED', 177935),
(234210, 'PTHR48040', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 1-LIKE ISOFORM X1', 177936),
(234211, 'PTHR38626:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG09928', 177937),
(234212, 'PTHR34461', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 177938),
(234213, 'PTHR43031:SF3', NULL, NULL, NULL, NULL, 'RHODANESE-RELATED SULFURTRANSFERASES-RELATED', 177939),
(234214, 'PTHR22765:SF230', NULL, NULL, NULL, NULL, 'ERAD-ASSOCIATED E3 UBIQUITIN-PROTEIN LIGASE HRD1B-LIKE', 177940),
(234215, 'PTHR45621:SF55', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CST-RELATED', 177941),
(234216, 'PTHR33326:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177942),
(234217, 'PTHR24637:SF336', NULL, NULL, NULL, NULL, 'COLLAGEN', 177943),
(234218, 'PTHR27002:SF646', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 177944),
(234219, 'PTHR21411', NULL, NULL, NULL, NULL, 'APONTIC', 177945),
(234220, 'PTHR31232:SF46', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 1-RELATED', 177946),
(234221, 'PTHR11827:SF6', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 8', 177947),
(234222, 'PTHR14725', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 177948),
(234223, 'PTHR33128:SF53', NULL, NULL, NULL, NULL, 'BNAA06G39150D PROTEIN', 177949),
(234224, 'PTHR42715:SF20', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE E-RELATED', 177950),
(234225, 'PTHR31355', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN TORTIFOLIA1', 177951);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(234226, 'PTHR24376:SF155', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 788', 177952),
(234227, 'PTHR47991:SF107', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 1', 177953),
(234228, 'PTHR16517:SF83', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 177954),
(234229, 'PTHR12203:SF79', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 177955),
(234230, 'PTHR14206:SF4', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC ANGIOGENESIS INHIBITOR 1-ASSOCIATED PROTEIN 2-LIKE PROTEIN 1', 177956),
(234231, 'PTHR28124', NULL, NULL, NULL, NULL, 'DNA REPLICATION REGULATOR SLD2', 177957),
(234232, 'PTHR11206:SF419', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 177958),
(234233, 'PTHR21660:SF48', NULL, NULL, NULL, NULL, 'THIOESTERASE, PUTATIVE-RELATED', 177959),
(234234, 'PTHR46409', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 177960),
(234235, 'PTHR33827:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177961),
(234236, 'PTHR26451:SF874', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR', 177962),
(234237, 'PTHR32083:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177963),
(234238, 'PTHR10426:SF21', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 13', 177964),
(234239, 'PTHR23510:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG04675', 177965),
(234240, 'PTHR31089', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 2', 177966),
(234241, 'PTHR23257:SF747', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0282895-RELATED', 177967),
(234242, 'PTHR11640:SF14', NULL, NULL, NULL, NULL, 'KIN OF IRRE-LIKE PROTEIN 1', 177968),
(234243, 'PTHR10024:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177969),
(234244, 'PTHR32153:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177970),
(234245, 'PTHR23199:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SPAETZLE', 177971),
(234246, 'PTHR10574:SF365', NULL, NULL, NULL, NULL, 'NETRIN-A-RELATED', 177972),
(234247, 'PTHR33377:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177973),
(234248, 'PTHR31286:SF78', NULL, NULL, NULL, NULL, 'BNACNNG21020D PROTEIN', 177974),
(234249, 'PTHR31391:SF65', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN', 177975),
(234250, 'PTHR14166:SF16', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 4', 177976),
(234251, 'PTHR12236:SF45', NULL, NULL, NULL, NULL, 'PRO-RESILIN', 177977),
(234252, 'PTHR33668', NULL, NULL, NULL, NULL, 'PROTEIN BRICK1', 177978),
(234253, 'PTHR43622:SF3', NULL, NULL, NULL, NULL, '2-EPI-5-EPI-VALIOLONE SYNTHASE', 177979),
(234254, 'PTHR45757:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG04877', 177980),
(234255, 'PTHR12174:SF91', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 2A', 177981),
(234256, 'PTHR31929:SF105', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 177982),
(234257, 'PTHR19288:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177983),
(234258, 'PTHR10768:SF26', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', 177984),
(234259, 'PTHR33091', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 177985),
(234260, 'PTHR21470:SF19', NULL, NULL, NULL, NULL, 'RAB6-INTERACTING GOLGIN-RELATED', 177986),
(234261, 'PTHR47966:SF7', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE A1-LIKE', 177987),
(234262, 'PTHR31008:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177988),
(234263, 'PTHR21090:SF5', NULL, NULL, NULL, NULL, 'PENTAFUNCTIONAL AROM POLYPEPTIDE', 177989),
(234264, 'PTHR33264:SF6', NULL, NULL, NULL, NULL, 'OS01G0661650 PROTEIN', 177990),
(234265, 'PTHR45634:SF10', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 177991),
(234266, 'PTHR24340:SF94', NULL, NULL, NULL, NULL, 'NK2 HOMEOBOX 1A-RELATED', 177992),
(234267, 'PTHR13691:SF40', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L8-2', 177993),
(234268, 'PTHR11132:SF376', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 177994),
(234269, 'PTHR47990:SF127', NULL, NULL, NULL, NULL, 'LEUCOANTHOCYANIDIN DIOXYGENASE-LIKE PROTEIN', 177995),
(234270, 'PTHR43811:SF19', NULL, NULL, NULL, NULL, '39 KDA FK506-BINDING NUCLEAR PROTEIN', 177996),
(234271, 'PTHR47062:SF1', NULL, NULL, NULL, NULL, 'SMALL HEAT SHOCK PROTEIN IBPA', 177997); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(234272, 'PTHR33083:SF8', NULL, NULL, NULL, NULL, 'OSJNBB0103I08.8 PROTEIN', 177998),
(234273, 'PTHR10681:SF161', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-2', 177999),
(234274, 'PTHR46073:SF8', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE', 178000),
(234275, 'PTHR11616:SF158', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT GLYCINE TRANSPORTER 2', 178001),
(234276, 'PTHR10529:SF354', NULL, NULL, NULL, NULL, 'BNAC05G08250D PROTEIN', 178002),
(234277, 'PTHR46115:SF3', NULL, NULL, NULL, NULL, 'THIOREDOXIN-5-RELATED', 178003),
(234278, 'PTHR23032:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178004),
(234279, 'PTHR11829:SF162', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN D3', 178005),
(234280, 'PTHR23257:SF824', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', 178006),
(234281, 'PTHR23049', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 2', 178007),
(234282, 'PTHR31344', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP205', 178008),
(234283, 'PTHR23505:SF83', NULL, NULL, NULL, NULL, 'SPHINGOLIPID TRANSPORTER SPINSTER HOMOLOG 2-RELATED', 178009),
(234284, 'PTHR10739:SF55', NULL, NULL, NULL, NULL, 'BNAA05G10750D PROTEIN', 178010),
(234285, 'PTHR11661:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12', 178011),
(234286, 'PTHR10209', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, 2OG-FE II  OXYGENASE FAMILY PROTEIN', 178012),
(234287, 'PTHR31397:SF1', NULL, NULL, NULL, NULL, 'BLOC-1-RELATED COMPLEX SUBUNIT 7', 178013),
(234288, 'PTHR10887:SF460', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178014),
(234289, 'PTHR31382:SF4', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER', 178015),
(234290, 'PTHR46213:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178016),
(234291, 'PTHR46380:SF3', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4932411N23', 178017),
(234292, 'PTHR47926:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178018),
(234293, 'PTHR24027:SF322', NULL, NULL, NULL, NULL, 'CADHERIN-6', 178019),
(234294, 'PTHR24064:SF575', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178020),
(234295, 'PTHR12628', NULL, NULL, NULL, NULL, 'POLYCOMB-LIKE TRANSCRIPTION FACTOR', 178021),
(234296, 'PTHR24089:SF698', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER ADNT1-LIKE', 178022),
(234297, 'PTHR24056:SF461', NULL, NULL, NULL, NULL, 'BNAC06G10110D PROTEIN', 178023),
(234298, 'PTHR11668:SF465', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 178024),
(234299, 'PTHR24404:SF69', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 835', 178025),
(234300, 'PTHR33044:SF198', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN GPI-ANCHORED 2-LIKE ISOFORM X1', 178026),
(234301, 'PTHR43060:SF10', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', 178027),
(234302, 'PTHR11632:SF79', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN SUBUNIT, MITOCHONDRIAL', 178028),
(234303, 'PTHR31338:SF19', NULL, NULL, NULL, NULL, 'F17F8.9-RELATED', 178029),
(234304, 'PTHR31469:SF13', NULL, NULL, NULL, NULL, 'BNACNNG20370D PROTEIN', 178030),
(234305, 'PTHR22904:SF525', NULL, NULL, NULL, NULL, 'AGAP004797-PA', 178031),
(234306, 'PTHR23194:SF7', NULL, NULL, NULL, NULL, 'PYGOPUS HOMOLOG 2', 178032),
(234307, 'PTHR42685:SF13', NULL, NULL, NULL, NULL, 'OS01G0265000 PROTEIN', 178033),
(234308, 'PTHR48111:SF5', NULL, NULL, NULL, NULL, 'OMPR SUBFAMILY', 178034),
(234309, 'PTHR35722', NULL, NULL, NULL, NULL, 'MAL D 1-ASSOCIATED PROTEIN', 178035),
(234310, 'PTHR33237:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178036),
(234311, 'PTHR31945:SF56', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH28', 178037),
(234312, 'PTHR11003:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178038),
(234313, 'PTHR33098:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178039),
(234314, 'PTHR20905:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG06005', 178040),
(234315, 'PTHR10751:SF108', NULL, NULL, NULL, NULL, 'GBP6 PROTEIN', 178041),
(234316, 'PTHR35803:SF3', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE', 178042),
(234317, 'PTHR31218:SF282', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 178043);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(234318, 'PTHR10177:SF436', NULL, NULL, NULL, NULL, 'CYCLIN-A3-1-RELATED', 178044),
(234319, 'PTHR34952', NULL, NULL, NULL, NULL, 'OS05G0113500 PROTEIN', 178045),
(234320, 'PTHR11241', NULL, NULL, NULL, NULL, 'DEOXYURIDINE 5''-TRIPHOSPHATE NUCLEOTIDOHYDROLASE', 178046),
(234321, 'PTHR47999:SF59', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WER-LIKE', 178047),
(234322, 'PTHR31558:SF5', NULL, NULL, NULL, NULL, 'OS03G0759000 PROTEIN', 178048),
(234323, 'PTHR23167:SF42', NULL, NULL, NULL, NULL, 'EH DOMAIN-BINDING PROTEIN 1-LIKE PROTEIN 1', 178049),
(234324, 'PTHR33102:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178050),
(234325, 'PTHR43349:SF36', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE-LIKE PROTEIN ISOFORM X1', 178051),
(234326, 'PTHR10742:SF379', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 5-RELATED', 178052),
(234327, 'PTHR21290:SF61', NULL, NULL, NULL, NULL, 'BNAA04G21700D PROTEIN', 178053),
(234328, 'PTHR13131', NULL, NULL, NULL, NULL, 'CYSTINOSIN', 178054),
(234329, 'PTHR22835:SF604', NULL, NULL, NULL, NULL, 'OS01G0216300 PROTEIN', 178055),
(234330, 'PTHR47979:SF32', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB11B-RELATED', 178056),
(234331, 'PTHR14920', NULL, NULL, NULL, NULL, 'OSMOTIC AVOIDANCE ABNORMAL PROTEIN 1/WD REPEAT MEMBRANE PROTEIN', 178057),
(234332, 'PTHR45654:SF30', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG2', 178058),
(234333, 'PTHR24253:SF95', NULL, NULL, NULL, NULL, 'AGAP002813-PA', 178059),
(234334, 'PTHR45707', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', 178060),
(234335, 'PTHR48005:SF20', NULL, NULL, NULL, NULL, 'ICE RECRYSTALLIZATION INHIBITION PROTEIN 1', 178061),
(234336, 'PTHR10529:SF346', NULL, NULL, NULL, NULL, 'ADAPTOR-RELATED PROTEIN COMPLEX 1 SUBUNIT MU 3', 178062),
(234337, 'PTHR15564:SF4', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN/RETINOIC ACID-INDUCIBLE NEURAL-SPECIFIC 2', 178063),
(234338, 'PTHR48004:SF41', NULL, NULL, NULL, NULL, 'DNA-DAMAGE-REPAIR/TOLERATION PROTEIN DRT100', 178064),
(234339, 'PTHR12114:SF7', NULL, NULL, NULL, NULL, 'BETA-PARVIN', 178065),
(234340, 'PTHR11348:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CYR61', 178066),
(234341, 'PTHR38000:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2900092C05', 178067),
(234342, 'PTHR13025:SF5', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN-CONTAINING PROTEIN D1', 178068),
(234343, 'PTHR42798:SF1', NULL, NULL, NULL, NULL, 'ALPHA-D-RIBOSE 1-METHYLPHOSPHONATE 5-TRIPHOSPHATE SYNTHASE SUBUNIT PHNL', 178069),
(234344, 'PTHR24256:SF482', NULL, NULL, NULL, NULL, 'AGAP008998-PA', 178070),
(234345, 'PTHR10533:SF14', NULL, NULL, NULL, NULL, 'PEPTIDE YY-RELATED', 178071),
(234346, 'PTHR47293:SF50', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 1-LIKE', 178072),
(234347, 'PTHR31503:SF43', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 1', 178073),
(234348, 'PTHR23299:SF42', NULL, NULL, NULL, NULL, 'T0058857 ISOFORM 1', 178074),
(234349, 'PTHR31920:SF82', NULL, NULL, NULL, NULL, 'BNAA09G07640D PROTEIN', 178075),
(234350, 'PTHR43648:SF1', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN BETA SUBUNIT LYSINE METHYLTRANSFERASE', 178076),
(234351, 'PTHR33048:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178077),
(234352, 'PTHR24055:SF468', NULL, NULL, NULL, NULL, 'BNAA02G05970D PROTEIN', 178078),
(234353, 'PTHR34049:SF1', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP27', 178079),
(234354, 'PTHR31832:SF61', NULL, NULL, NULL, NULL, 'BNAC06G30820D PROTEIN', 178080),
(234355, 'PTHR19229:SF34', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 1', 178081),
(234356, 'PTHR46560:SF10', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 178082),
(234357, 'PTHR42844:SF1', NULL, NULL, NULL, NULL, 'DIHYDRONEOPTERIN ALDOLASE 1-RELATED', 178083),
(234358, 'PTHR13808:SF41', NULL, NULL, NULL, NULL, 'BNAA01G30150D PROTEIN', 178084),
(234359, 'PTHR45927:SF15', NULL, NULL, NULL, NULL, 'OS02G0681700 PROTEIN', 178085),
(234360, 'PTHR10801:SF0', NULL, NULL, NULL, NULL, 'DELTA(24)-STEROL REDUCTASE', 178086);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(234361, 'PTHR44042:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178087),
(234362, 'PTHR23238', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN', 178088),
(234363, 'PTHR12547:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN MEX-5-RELATED', 178089),
(234364, 'PTHR47292', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR (TFIIS) FAMILY PROTEIN-RELATED', 178090),
(234365, 'PTHR11726:SF40', NULL, NULL, NULL, NULL, 'BNAA06G09110D PROTEIN', 178091),
(234366, 'PTHR46410:SF12', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2', 178092),
(234367, 'PTHR14758', NULL, NULL, NULL, NULL, 'AGAP005440-PA', 178093),
(234368, 'PTHR31992:SF112', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.2-RELATED', 178094),
(234369, 'PTHR15911', NULL, NULL, NULL, NULL, 'WW DOMAIN-CONTAINING ADAPTER PROTEIN WITH COILED-COIL', 178095),
(234370, 'PTHR45647:SF94', NULL, NULL, NULL, NULL, 'OS02G0822900 PROTEIN', 178096),
(234371, 'PTHR24052:SF11', NULL, NULL, NULL, NULL, 'PROTEIN DELTA HOMOLOG 1', 178097),
(234372, 'PTHR16296:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 126A', 178098),
(234373, 'PTHR24078:SF538', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK FAMILY PROTEIN', 178099),
(234374, 'PTHR11961:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178100),
(234375, 'PTHR48111:SF8', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR, PATAN AND FRGAF DOMAIN-CONTAINING', 178101),
(234376, 'PTHR15588:SF15', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM8', 178102),
(234377, 'PTHR45752:SF21', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 63', 178103),
(234378, 'PTHR16932:SF26', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-INDUCIBLE PROTEIN 27-LIKE PROTEIN 1', 178104),
(234379, 'PTHR30204:SF16', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CUER', 178105),
(234380, 'PTHR46790:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN N', 178106),
(234381, 'PTHR16254:SF15', NULL, NULL, NULL, NULL, 'K(+) EFFLUX ANTIPORTER 6', 178107),
(234382, 'PTHR45613:SF444', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 178108),
(234383, 'PTHR13610:SF5', NULL, NULL, NULL, NULL, 'PROTEIN N-LYSINE METHYLTRANSFERASE FAM173A', 178109),
(234384, 'PTHR30590:SF3', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', 178110),
(234385, 'PTHR11736:SF88', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B17', 178111),
(234386, 'PTHR11866:SF5', NULL, NULL, NULL, NULL, 'THROMBOXANE A2 RECEPTOR', 178112),
(234387, 'PTHR21312:SF31', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 13', 178113),
(234388, 'PTHR31087:SF121', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 178114),
(234389, 'PTHR10812:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-2 GAMMA', 178115),
(234390, 'PTHR38827:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178116),
(234391, 'PTHR11558:SF28', NULL, NULL, NULL, NULL, 'SYNTHASE 1, PUTATIVE-RELATED', 178117),
(234392, 'PTHR30406', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORT SYSTEM PERMEASE PROTEIN', 178118),
(234393, 'PTHR33078:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178119),
(234394, 'PTHR11926:SF391', NULL, NULL, NULL, NULL, 'OS04G0326201 PROTEIN', 178120),
(234395, 'PTHR10031:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178121),
(234396, 'PTHR46991:SF29', NULL, NULL, NULL, NULL, 'BNAC08G47960D PROTEIN', 178122),
(234397, 'PTHR32021:SF42', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 178123),
(234398, 'PTHR15591:SF15', NULL, NULL, NULL, NULL, 'FARNESYL DIPHOSPHATE SYNTHASE', 178124),
(234399, 'PTHR31582:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS A (ALPHA)-RELATED', 178125),
(234400, 'PTHR38780', NULL, NULL, NULL, NULL, 'PROTEIN TUSC', 178126),
(234401, 'PTHR11685:SF367', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 178127),
(234402, 'PTHR47117', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 9', 178128),
(234403, 'PTHR11685:SF319', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 178129),
(234404, 'PTHR33021:SF182', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 2', 178130);
INSERT INTO "PUBLIC"."MODEL" VALUES
(234405, 'PTHR34365:SF8', NULL, NULL, NULL, NULL, 'GLYCINE-RICH DOMAIN-CONTAINING PROTEIN 2-LIKE', 178131),
(234406, 'PTHR21553:SF25', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 295 KDA', 178132),
(234407, 'PTHR32026:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178133),
(234408, 'PTHR11042:SF136', NULL, NULL, NULL, NULL, 'GCN2, ISOFORM C', 178134),
(234409, 'PTHR10585:SF58', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR C28H8.4-RELATED', 178135),
(234410, 'PTHR47926:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178136),
(234411, 'PTHR22738:SF3', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 6', 178137),
(234412, 'PTHR47990:SF45', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 6', 178138),
(234413, 'PTHR10201:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178139),
(234414, 'PTHR24327:SF29', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN VENTX', 178140),
(234415, 'PTHR13077:SF7', NULL, NULL, NULL, NULL, 'SELENOPROTEIN M', 178141),
(234416, 'PTHR13411:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-281', 178142),
(234417, 'PTHR10683:SF18', NULL, NULL, NULL, NULL, 'TRANSALDOLASE', 178143),
(234418, 'PTHR27003:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178144),
(234419, 'PTHR33563:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178145),
(234420, 'PTHR31803:SF6', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE 2, MITOCHONDRIAL', 178146),
(234421, 'PTHR24377:SF864', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 606', 178147),
(234422, 'PTHR45675:SF38', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 178148),
(234423, 'PTHR33648:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0019K04.5 PROTEIN', 178149),
(234424, 'PTHR32089:SF41', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN', 178150),
(234425, 'PTHR31625:SF9', NULL, NULL, NULL, NULL, 'OS08G0174100 PROTEIN', 178151),
(234426, 'PTHR22597:SF0', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN SUZ12', 178152),
(234427, 'PTHR13140:SF498', NULL, NULL, NULL, NULL, 'DACHS, ISOFORM E', 178153),
(234428, 'PTHR10398', NULL, NULL, NULL, NULL, 'AFADIN', 178154),
(234429, 'PTHR34199:SF6', NULL, NULL, NULL, NULL, 'BNAC03G78190D PROTEIN', 178155),
(234430, 'PTHR31352:SF45', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', 178156),
(234431, 'PTHR10217:SF633', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178157),
(234432, 'PTHR16305:SF32', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE 10', 178158),
(234433, 'PTHR37384:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178159),
(234434, 'PTHR16675:SF244', NULL, NULL, NULL, NULL, 'H-2 CLASS I HISTOCOMPATIBILITY ANTIGEN, D-37 ALPHA CHAIN', 178160),
(234435, 'PTHR24221:SF532', NULL, NULL, NULL, NULL, 'TRANSPORTER 1, ATP-BINDING CASSETTE, SUB-FAMILY B (MDR/TAP)', 178161),
(234436, 'PTHR11132:SF282', NULL, NULL, NULL, NULL, 'JC8.12-LIKE PROTEIN', 178162),
(234437, 'PTHR31942:SF92', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 178163),
(234438, 'PTHR11003:SF284', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL PROTEIN TREK2A', 178164),
(234439, 'PTHR10332:SF73', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 2', 178165),
(234440, 'PTHR31549:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178166),
(234441, 'PTHR10285:SF180', NULL, NULL, NULL, NULL, 'URIDINE KINASE', 178167),
(234442, 'PTHR33165:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178168),
(234443, 'PTHR33127:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178169),
(234444, 'PTHR33433:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178170),
(234445, 'PTHR12400:SF86', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE MULTIKINASE', 178171),
(234446, 'PTHR31225:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178172),
(234447, 'PTHR45863:SF28', NULL, NULL, NULL, NULL, 'BNACNNG43070D PROTEIN', 178173),
(234448, 'PTHR48011:SF69', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', 178174),
(234449, 'PTHR13046:SF0', NULL, NULL, NULL, NULL, 'CAAX PRENYL PROTEASE 2', 178175),
(234450, 'PTHR24216:SF58', NULL, NULL, NULL, NULL, 'PAXILLIN-B', 178176);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(234451, 'PTHR23024:SF247', NULL, NULL, NULL, NULL, 'GENE 13124-RELATED', 178177),
(234452, 'PTHR45649:SF25', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 178178),
(234453, 'PTHR22941:SF36', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 178179),
(234454, 'PTHR31072:SF133', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CYCLOIDEA-LIKE', 178180),
(234455, 'PTHR47967:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178181),
(234456, 'PTHR22601:SF62', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 1', 178182),
(234457, 'PTHR39414:SF1', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 5', 178183),
(234458, 'PTHR24366:SF112', NULL, NULL, NULL, NULL, 'VASORIN B', 178184),
(234459, 'PTHR10766:SF127', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 178185),
(234460, 'PTHR15224:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178186),
(234461, 'PTHR45901:SF2', NULL, NULL, NULL, NULL, 'LIPOXYGENASE HOMOLOGY DOMAINS 1B', 178187),
(234462, 'PTHR11886:SF98', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 178188),
(234463, 'PTHR11134:SF13', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT BETA', 178189),
(234464, 'PTHR32077:SF69', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 7', 178190),
(234465, 'PTHR40622:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178191),
(234466, 'PTHR24223:SF166', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY C (CFTR/MRP), MEMBER 13', 178192),
(234467, 'PTHR14155:SF296', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL57', 178193),
(234468, 'PTHR32191:SF60', NULL, NULL, NULL, NULL, 'TETRASPANIN-7', 178194),
(234469, 'PTHR34716', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 178195),
(234470, 'PTHR31374:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178196),
(234471, 'PTHR12802:SF46', NULL, NULL, NULL, NULL, 'MPN DOMAIN-CONTAINING PROTEIN', 178197),
(234472, 'PTHR11604:SF36', NULL, NULL, NULL, NULL, 'PROFILIN', 178198),
(234473, 'PTHR11441:SF0', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE, CYTOSOLIC', 178199),
(234474, 'PTHR12425:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-195B15.7', 178200),
(234475, 'PTHR45914:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HEC2', 178201),
(234476, 'PTHR12419:SF13', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 6A', 178202),
(234477, 'PTHR11439:SF273', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN BOP1 HOMOLOG', 178203),
(234478, 'PTHR45648:SF103', NULL, NULL, NULL, NULL, 'BNAA05G14080D PROTEIN', 178204),
(234479, 'PTHR44102:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MPCBP, PUTATIVE, EXPRESSED-RELATED', 178205),
(234480, 'PTHR30344:SF8', NULL, NULL, NULL, NULL, 'PERIPLASMIC GLUCONOLACTONASE, PPGL', 178206),
(234481, 'PTHR34853:SF1', NULL, NULL, NULL, NULL, 'LIPASE 5', 178207),
(234482, 'PTHR30390:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOHEPTOSE ISOMERASE', 178208),
(234483, 'PTHR43634:SF10', NULL, NULL, NULL, NULL, 'BNAANNG21790D PROTEIN', 178209),
(234484, 'PTHR20986:SF16', NULL, NULL, NULL, NULL, 'FMRFAMIDE-LIKE NEUROPEPTIDES 7', 178210),
(234485, 'PTHR39602:SF2', NULL, NULL, NULL, NULL, 'ACW-9', 178211),
(234486, 'PTHR16318:SF0', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE SUBUNIT PEN-2', 178212),
(234487, 'PTHR12372:SF6', NULL, NULL, NULL, NULL, 'PECANEX-LIKE PROTEIN 4', 178213),
(234488, 'PTHR11129:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PRENYLTRANSFERASE ALPHA SUBUNIT REPEAT-CONTAINING PROTEIN 1', 178214),
(234489, 'PTHR45778:SF7', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 178215),
(234490, 'PTHR13419:SF0', NULL, NULL, NULL, NULL, 'AGAP007178-PA', 178216),
(234491, 'PTHR46057:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178217),
(234492, 'PTHR11228:SF22', NULL, NULL, NULL, NULL, 'SLR1507 PROTEIN', 178218),
(234493, 'PTHR33681:SF16', NULL, NULL, NULL, NULL, 'OS12G0165400 PROTEIN', 178219),
(234494, 'PTHR13005', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH HYDROPHOBIC DOMAIN PROTEIN  BRAIN X-LINKED PROTEIN', 178220),
(234495, 'PTHR11412:SF133', NULL, NULL, NULL, NULL, 'MURINOGLOBULIN-1-RELATED', 178221),
(234496, 'PTHR43176:SF12', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 5 ISOFORM X1', 178222);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(234497, 'PTHR33605:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178223),
(234498, 'PTHR14965:SF2', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 12', 178224),
(234499, 'PTHR45621:SF159', NULL, NULL, NULL, NULL, 'BNAA08G14940D PROTEIN', 178225),
(234500, 'PTHR11260:SF616', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 178226),
(234501, 'PTHR43999:SF4', NULL, NULL, NULL, NULL, 'DNAJ AND MYB-LIKE DNA-BINDING DOMAIN-CONTAINING PROTEIN', 178227),
(234502, 'PTHR31561:SF161', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 178228),
(234503, 'PTHR46640:SF1', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06510)-RELATED', 178229),
(234504, 'PTHR11814:SF220', NULL, NULL, NULL, NULL, 'SLC26A/SULP TRANSPORTER-RELATED', 178230),
(234505, 'PTHR34844:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178231),
(234506, 'PTHR31930:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS R', 178232),
(234507, 'PTHR24176', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 31-RELATED', 178233),
(234508, 'PTHR21064:SF4', NULL, NULL, NULL, NULL, 'HOMOSERINE KINASE', 178234),
(234509, 'PTHR30068:SF4', NULL, NULL, NULL, NULL, 'URONATE ISOMERASE', 178235),
(234510, 'PTHR44598', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE C', 178236),
(234511, 'PTHR10168:SF220', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S6-LIKE', 178237),
(234512, 'PTHR24244:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178238),
(234513, 'PTHR32009:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178239),
(234514, 'PTHR13857:SF43', NULL, NULL, NULL, NULL, 'DNA DC-DU-EDITING ENZYME APOBEC-3H', 178240),
(234515, 'PTHR37882:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC690352', 178241),
(234516, 'PTHR43337:SF4', NULL, NULL, NULL, NULL, 'GUANINE/HYPOXANTHINE PERMEASE GHXQ', 178242),
(234517, 'PTHR36510:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE', 178243),
(234518, 'PTHR23149:SF27', NULL, NULL, NULL, NULL, 'PIN2/TERF1-INTERACTING TELOMERASE INHIBITOR 1', 178244),
(234519, 'PTHR11571:SF150', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE ALPHA-3-RELATED', 178245),
(234520, 'PTHR45981:SF3', NULL, NULL, NULL, NULL, 'LD02310P', 178246),
(234521, 'PTHR12929', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 52', 178247),
(234522, 'PTHR31062:SF57', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 178248),
(234523, 'PTHR24404:SF55', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN PEGASUS', 178249),
(234524, 'PTHR11349:SF44', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE II, CHLOROPLASTIC', 178250),
(234525, 'PTHR23239:SF98', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA3-I', 178251),
(234526, 'PTHR12992:SF31', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE-LIKE PROTEIN', 178252),
(234527, 'PTHR43952:SF11', NULL, NULL, NULL, NULL, 'OS01G0635200 PROTEIN', 178253),
(234528, 'PTHR12093:SF9', NULL, NULL, NULL, NULL, 'NCK-ASSOCIATED PROTEIN 1-LIKE', 178254),
(234529, 'PTHR23201:SF60', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 5', 178255),
(234530, 'PTHR47525:SF1', NULL, NULL, NULL, NULL, 'OS07G0295200 PROTEIN', 178256),
(234531, 'PTHR22600', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE', 178257),
(234532, 'PTHR10165:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178258),
(234533, 'PTHR18952:SF240', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 7-LIKE', 178259),
(234534, 'PTHR12673:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178260),
(234535, 'PTHR12308:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178261),
(234536, 'PTHR21258:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178262),
(234537, 'PTHR10334:SF220', NULL, NULL, NULL, NULL, 'GLIPR1-LIKE PROTEIN 1', 178263),
(234538, 'PTHR24056:SF46', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT-LIKE KINASE 5', 178264),
(234539, 'PTHR37300', NULL, NULL, NULL, NULL, 'UPF0291 PROTEIN CBO2609/CLC_2481', 178265),
(234540, 'PTHR48021:SF64', NULL, NULL, NULL, NULL, 'BNAA02G35880D PROTEIN', 178266),
(234541, 'PTHR12378:SF44', NULL, NULL, NULL, NULL, 'DESUMOYLATING ISOPEPTIDASE 2-LIKE', 178267);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(234542, 'PTHR15710:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178268),
(234543, 'PTHR16223:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178269),
(234544, 'PTHR11610:SF149', NULL, NULL, NULL, NULL, 'FI01450P-RELATED', 178270),
(234545, 'PTHR14628:SF1', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 5', 178271),
(234546, 'PTHR35829:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178272),
(234547, 'PTHR31998:SF44', NULL, NULL, NULL, NULL, 'BNAA09G56670D PROTEIN', 178273),
(234548, 'PTHR21654:SF79', NULL, NULL, NULL, NULL, 'BNAA03G00390D PROTEIN', 178274),
(234549, 'PTHR43806:SF42', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL PEPTIDASE II', 178275),
(234550, 'PTHR47068:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT3', 178276),
(234551, 'PTHR23024:SF500', NULL, NULL, NULL, NULL, 'BNAC06G02750D PROTEIN', 178277),
(234552, 'PTHR31929:SF81', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 178278),
(234553, 'PTHR46128:SF149', NULL, NULL, NULL, NULL, 'OS09G0267300 PROTEIN', 178279),
(234554, 'PTHR19443:SF72', NULL, NULL, NULL, NULL, 'HEXOKINASE YLR446W-RELATED', 178280),
(234555, 'PTHR11119:SF3', NULL, NULL, NULL, NULL, 'LD30822P', 178281),
(234556, 'PTHR15711:SF57', NULL, NULL, NULL, NULL, 'RAP1 GTPASE-ACTIVATING PROTEIN 2B', 178282),
(234557, 'PTHR47982:SF10', NULL, NULL, NULL, NULL, 'OS07G0137800 PROTEIN', 178283),
(234558, 'PTHR36947:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG03147', 178284),
(234559, 'PTHR24115:SF400', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF16B', 178285),
(234560, 'PTHR45794:SF2', NULL, NULL, NULL, NULL, 'LEUCYL-TRNA SYNTHETASE-RELATED', 178286),
(234561, 'PTHR31238:SF179', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 178287),
(234562, 'PTHR31079:SF23', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 8', 178288),
(234563, 'PTHR11885', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S15P/S13E', 178289),
(234564, 'PTHR24409:SF375', NULL, NULL, NULL, NULL, 'SNAIL FAMILY ZINC FINGER 2 TRANSCRIPTION FACTOR HOMOLOG', 178290),
(234565, 'PTHR15241:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178291),
(234566, 'PTHR31204:SF7', NULL, NULL, NULL, NULL, 'BNAC08G46350D PROTEIN', 178292),
(234567, 'PTHR27008:SF222', NULL, NULL, NULL, NULL, 'OS08G0248100 PROTEIN', 178293),
(234568, 'PTHR30615:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178294),
(234569, 'PTHR37904:SF2', NULL, NULL, NULL, NULL, 'OS10G0566900 PROTEIN', 178295),
(234570, 'PTHR48189:SF3', NULL, NULL, NULL, NULL, 'BNAA10G07240D PROTEIN', 178296),
(234571, 'PTHR24381:SF265', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 266', 178297),
(234572, 'PTHR10502:SF102', NULL, NULL, NULL, NULL, 'ANNEXIN B11', 178298),
(234573, 'PTHR31145:SF4', NULL, NULL, NULL, NULL, 'FLAVIN CARRIER PROTEIN 1-RELATED', 178299),
(234574, 'PTHR45631:SF69', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE MEE39-RELATED', 178300),
(234575, 'PTHR11659:SF0', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT B, MITOCHONDRIAL', 178301),
(234576, 'PTHR35826:SF3', NULL, NULL, NULL, NULL, 'GENE 45521-RELATED', 178302),
(234577, 'PTHR40738:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178303),
(234578, 'PTHR31692:SF96', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN B1', 178304),
(234579, 'PTHR10166:SF48', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-180', 178305),
(234580, 'PTHR46350:SF3', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN FAMILY MEMBER 10A', 178306),
(234581, 'PTHR22844:SF341', NULL, NULL, NULL, NULL, 'OS06G0238700 PROTEIN', 178307),
(234582, 'PTHR31744:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178308),
(234583, 'PTHR10640:SF7', NULL, NULL, NULL, NULL, 'METHYLTHIORIBULOSE-1-PHOSPHATE DEHYDRATASE', 178309),
(234584, 'PTHR34482:SF28', NULL, NULL, NULL, NULL, 'OS02G0566300 PROTEIN', 178310),
(234585, 'PTHR12377:SF7', NULL, NULL, NULL, NULL, 'PROTEIN AE7-LIKE 2', 178311),
(234586, 'PTHR22993:SF10', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 8-LIKE 3', 178312),
(234587, 'PTHR22978:SF6', NULL, NULL, NULL, NULL, 'PROTEIN BTG3', 178313);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(234588, 'PTHR24009:SF33', NULL, NULL, NULL, NULL, 'BNAC07G32610D PROTEIN', 178314),
(234589, 'PTHR43255', NULL, NULL, NULL, NULL, 'IRON-SULFUR-BINDING OXIDOREDUCTASE FADF-RELATED-RELATED', 178315),
(234590, 'PTHR33543:SF22', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN, FAMILY 15, PLANT-RELATED', 178316),
(234591, 'PTHR45626:SF27', NULL, NULL, NULL, NULL, 'BNAA01G36010D PROTEIN', 178317),
(234592, 'PTHR12558:SF32', NULL, NULL, NULL, NULL, 'LIPOPROTEIN NLPI', 178318),
(234593, 'PTHR24078:SF560', NULL, NULL, NULL, NULL, 'BNAA10G08820D PROTEIN', 178319),
(234594, 'PTHR11945:SF627', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178320),
(234595, 'PTHR45650:SF28', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 178321),
(234596, 'PTHR21227', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN2', 178322),
(234597, 'PTHR11839:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178323),
(234598, 'PTHR11652:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN, SMALL', 178324),
(234599, 'PTHR34630:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178325),
(234600, 'PTHR22814:SF299', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 29', 178326),
(234601, 'PTHR11422', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD4', 178327),
(234602, 'PTHR42838:SF1', NULL, NULL, NULL, NULL, 'NITROUS-OXIDE REDUCTASE', 178328),
(234603, 'PTHR35275:SF6', NULL, NULL, NULL, NULL, 'BNACNNG37810D PROTEIN', 178329),
(234604, 'PTHR31279:SF56', NULL, NULL, NULL, NULL, 'EXORDIUM LIKE 6-RELATED', 178330),
(234605, 'PTHR33450:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178331),
(234606, 'PTHR43130', NULL, NULL, NULL, NULL, 'ARAC-FAMILY TRANSCRIPTIONAL REGULATOR', 178332),
(234607, 'PTHR31677:SF108', NULL, NULL, NULL, NULL, 'BNAC03G58300D PROTEIN', 178333),
(234608, 'PTHR16675:SF198', NULL, NULL, NULL, NULL, 'ZINC-ALPHA-2-GLYCOPROTEIN', 178334),
(234609, 'PTHR11289:SF0', NULL, NULL, NULL, NULL, 'BREAST CANCER TYPE 2 SUSCEPTIBILITY PROTEIN', 178335),
(234610, 'PTHR24343:SF306', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE CATALYTIC SUBUNIT ALPHA-1', 178336),
(234611, 'PTHR45649:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178337),
(234612, 'PTHR43662:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178338),
(234613, 'PTHR31639:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178339),
(234614, 'PTHR34838:SF2', NULL, NULL, NULL, NULL, 'OS08G0142900 PROTEIN', 178340),
(234615, 'PTHR30406:SF9', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORT SYSTEM PERMEASE PROTEIN CYSW', 178341),
(234616, 'PTHR45728:SF3', NULL, NULL, NULL, NULL, 'ACETYL-COA CARBOXYLASE, ISOFORM A', 178342),
(234617, 'PTHR45792', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL LIPASE HOMOLOG-RELATED', 178343),
(234618, 'PTHR22937:SF153', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR2-LIKE', 178344),
(234619, 'PTHR19944:SF46', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DP BETA 1 CHAIN', 178345),
(234620, 'PTHR34998:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178346),
(234621, 'PTHR36373:SF3', NULL, NULL, NULL, NULL, 'BNACNNG36630D PROTEIN', 178347),
(234622, 'PTHR33463:SF92', NULL, NULL, NULL, NULL, 'NB-ARC-RELATED', 178348),
(234623, 'PTHR47678:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 31', 178349),
(234624, 'PTHR15904:SF18', NULL, NULL, NULL, NULL, 'PROTEIN FAM13A', 178350),
(234625, 'PTHR28260:SF1', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT SPC105', 178351),
(234626, 'PTHR42866', NULL, NULL, NULL, NULL, '3-DEOXY-MANNO-OCTULOSONATE CYTIDYLYLTRANSFERASE', 178352),
(234627, 'PTHR48133', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 178353),
(234628, 'PTHR10788:SF22', NULL, NULL, NULL, NULL, 'OS01G0730300 PROTEIN', 178354),
(234629, 'PTHR16771:SF8', NULL, NULL, NULL, NULL, 'OS01G0316800 PROTEIN', 178355),
(234630, 'PTHR21581:SF26', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE ENDOPEPTIDASE', 178356),
(234631, 'PTHR32212:SF253', NULL, NULL, NULL, NULL, 'EMB|CAB62440.1', 178357),
(234632, 'PTHR24056:SF329', NULL, NULL, NULL, NULL, 'OS12G0427450 PROTEIN', 178358);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(234633, 'PTHR31069:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ALNR-RELATED', 178359),
(234634, 'PTHR10277:SF67', NULL, NULL, NULL, NULL, 'BNAA02G36350D PROTEIN', 178360),
(234635, 'PTHR19376:SF56', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', 178361),
(234636, 'PTHR47926:SF125', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 178362),
(234637, 'PTHR34126:SF3', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 22', 178363),
(234638, 'PTHR33540:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMATE/N-ACETYLGLUCOSAMINE KINASE', 178364),
(234639, 'PTHR23239:SF160', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 25', 178365),
(234640, 'PTHR23021:SF37', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 178366),
(234641, 'PTHR26453:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 178367),
(234642, 'PTHR10543:SF37', NULL, NULL, NULL, NULL, 'CAROTENOID CLEAVAGE DIOXYGENASE 7, CHLOROPLASTIC', 178368),
(234643, 'PTHR10891:SF905', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 3', 178369),
(234644, 'PTHR45652:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-33C12.3', 178370),
(234645, 'PTHR47984:SF23', NULL, NULL, NULL, NULL, 'OS01G0664200 PROTEIN', 178371),
(234646, 'PTHR33142:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178372),
(234647, 'PTHR31155:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178373),
(234648, 'PTHR42876:SF1', NULL, NULL, NULL, NULL, 'BLR6771 PROTEIN', 178374),
(234649, 'PTHR12801:SF45', NULL, NULL, NULL, NULL, 'INTERFERON STIMULATED EXONUCLEASE GENE 20-RELATED', 178375),
(234650, 'PTHR24225:SF18', NULL, NULL, NULL, NULL, 'FORMYL PEPTIDE RECEPTOR-RELATED SEQUENCE 3', 178376),
(234651, 'PTHR33454:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178377),
(234652, 'PTHR12489:SF16', NULL, NULL, NULL, NULL, 'LIPOMA HMGIC FUSION PARTNER HOMOLOG-LIKE PROTEIN', 178378),
(234653, 'PTHR45766:SF5', NULL, NULL, NULL, NULL, 'DNA ANNEALING HELICASE AND ENDONUCLEASE ZRANB3', 178379),
(234654, 'PTHR43907:SF1', NULL, NULL, NULL, NULL, 'SLEI FAMILY PROTEIN', 178380),
(234655, 'PTHR18934:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178381),
(234656, 'PTHR33332:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178382),
(234657, 'PTHR46196:SF11', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR-LIKE PROTEIN', 178383),
(234658, 'PTHR46043:SF3', NULL, NULL, NULL, NULL, 'OS02G0160250 PROTEIN', 178384),
(234659, 'PTHR13215:SF10', NULL, NULL, NULL, NULL, 'SUB1 HOMOLOG, TRANSCRIPTIONAL REGULATOR', 178385),
(234660, 'PTHR23267:SF374', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 2', 178386),
(234661, 'PTHR28185', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 34', 178387),
(234662, 'PTHR12644:SF2', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 5-LIKE PROTEIN', 178388),
(234663, 'PTHR11618:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB', 178389),
(234664, 'PTHR10110:SF154', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 178390),
(234665, 'PTHR19305:SF28', NULL, NULL, NULL, NULL, 'CULMINATION SPECIFIC PROTEIN 37D', 178391),
(234666, 'PTHR15031:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-205H13.2', 178392),
(234667, 'PTHR11468:SF13', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE, MUSCLE FORM', 178393),
(234668, 'PTHR33159:SF52', NULL, NULL, NULL, NULL, 'BNAC09G32420D PROTEIN', 178394),
(234669, 'PTHR10009:SF7', NULL, NULL, NULL, NULL, 'GH10609P-RELATED', 178395),
(234670, 'PTHR34265', NULL, NULL, NULL, NULL, 'TYPE III PANTOTHENATE KINASE', 178396),
(234671, 'PTHR35108', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 3, CHLOROPLASTIC', 178397),
(234672, 'PTHR12308:SF40', NULL, NULL, NULL, NULL, 'ANOCTAMIN-10', 178398),
(234673, 'PTHR46412:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BIM1-LIKE ISOFORM X1', 178399),
(234674, 'PTHR43060', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRATE DEHYDROGENASE-LIKE 1, MITOCHONDRIAL-RELATED', 178400),
(234675, 'PTHR48062:SF13', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12 ISOFORM X2', 178401);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(234676, 'PTHR43785:SF5', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE GLNA4 (GLUTAMINE SYNTHASE) (GS-II)-RELATED', 178402),
(234677, 'PTHR43952:SF66', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 1', 178403),
(234678, 'PTHR48078:SF3', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE', 178404),
(234679, 'PTHR45800:SF2', NULL, NULL, NULL, NULL, 'OS09G0474800 PROTEIN', 178405),
(234680, 'PTHR23225:SF2', NULL, NULL, NULL, NULL, 'AT09679P-RELATED', 178406),
(234681, 'PTHR24404', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 178407),
(234682, 'PTHR46543:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 7', 178408),
(234683, 'PTHR19375:SF395', NULL, NULL, NULL, NULL, 'RIBOSOME-ASSOCIATED MOLECULAR CHAPERONE SSB1-RELATED', 178409),
(234684, 'PTHR27004:SF203', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN', 178410),
(234685, 'PTHR24025:SF20', NULL, NULL, NULL, NULL, 'DACHSOUS CADHERIN-RELATED 2', 178411),
(234686, 'PTHR13947:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178412),
(234687, 'PTHR31852:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178413),
(234688, 'PTHR31639:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178414),
(234689, 'PTHR10994:SF164', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 178415),
(234690, 'PTHR23164:SF22', NULL, NULL, NULL, NULL, 'RUN AND FYVE DOMAIN CONTAINING 2', 178416),
(234691, 'PTHR11455:SF58', NULL, NULL, NULL, NULL, 'CRYPTOCHROME 1A', 178417),
(234692, 'PTHR23140:SF0', NULL, NULL, NULL, NULL, 'U2 SNRNP-ASSOCIATED SURP MOTIF-CONTAINING PROTEIN', 178418),
(234693, 'PTHR36016:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178419),
(234694, 'PTHR10353:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178420),
(234695, 'PTHR47993:SF180', NULL, NULL, NULL, NULL, 'OS02G0563800 PROTEIN', 178421),
(234696, 'PTHR47983:SF9', NULL, NULL, NULL, NULL, 'PTO-INTERACTING PROTEIN 1', 178422),
(234697, 'PTHR31752:SF40', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 8', 178423),
(234698, 'PTHR11347:SF98', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CAMP-SPECIFIC AND IBMX-INSENSITIVE 3'',5''-CYCLIC PHOSPHODIESTERASE 8B', 178424),
(234699, 'PTHR23017:SF20', NULL, NULL, NULL, NULL, 'F-BOX A PROTEIN-RELATED', 178425),
(234700, 'PTHR10012:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A ACTIVATOR', 178426),
(234701, 'PTHR32285:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178427),
(234702, 'PTHR26450:SF117', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 178428),
(234703, 'PTHR31300:SF23', NULL, NULL, NULL, NULL, 'OS03G0606100 PROTEIN', 178429),
(234704, 'PTHR24161:SF95', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 178430),
(234705, 'PTHR35760', NULL, NULL, NULL, NULL, 'SI:CH211-22I13.2', 178431),
(234706, 'PTHR37725:SF3', NULL, NULL, NULL, NULL, 'BNAC03G21620D PROTEIN', 178432),
(234707, 'PTHR10966:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', 178433),
(234708, 'PTHR45631:SF110', NULL, NULL, NULL, NULL, 'BNACNNG34450D PROTEIN', 178434),
(234709, 'PTHR31623:SF65', NULL, NULL, NULL, NULL, 'ANTHOCYANIN ACYLTRANSFERASE', 178435),
(234710, 'PTHR31042:SF115', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14-RELATED', 178436),
(234711, 'PTHR23023:SF252', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 178437),
(234712, 'PTHR45436:SF5', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YKOH', 178438),
(234713, 'PTHR35828:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178439),
(234714, 'PTHR33124:SF87', NULL, NULL, NULL, NULL, 'BNAA01G27410D PROTEIN', 178440),
(234715, 'PTHR11528:SF109', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 81-3', 178441),
(234716, 'PTHR33401:SF16', NULL, NULL, NULL, NULL, 'BNACNNG22130D PROTEIN', 178442),
(234717, 'PTHR36924:SF1', NULL, NULL, NULL, NULL, 'ANTITOXIN HIGA-1', 178443),
(234718, 'PTHR43524', NULL, NULL, NULL, NULL, 'RADICAL SAM SUPERFAMILY PROTEIN', 178444),
(234719, 'PTHR22957:SF438', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', 178445),
(234720, 'PTHR11759:SF37', NULL, NULL, NULL, NULL, 'BNAA05G27530D PROTEIN', 178446);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(234721, 'PTHR12446:SF49', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 5 ISOFORM X1', 178447),
(234722, 'PTHR12348:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG15980', 178448),
(234723, 'PTHR24361:SF747', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 10', 178449),
(234724, 'PTHR31623:SF41', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', 178450),
(234725, 'PTHR35969', NULL, NULL, NULL, NULL, 'PROTEIN FAM243A-RELATED', 178451),
(234726, 'PTHR35243:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178452),
(234727, 'PTHR11909:SF374', NULL, NULL, NULL, NULL, 'CASEIN KINASE I HOMOLOG 3', 178453),
(234728, 'PTHR33492:SF1', NULL, NULL, NULL, NULL, 'OS02G0516800 PROTEIN', 178454),
(234729, 'PTHR46301:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178455),
(234730, 'PTHR22883:SF130', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 178456),
(234731, 'PTHR30005:SF14', NULL, NULL, NULL, NULL, 'EXOPOLYPHOSPHATASE', 178457),
(234732, 'PTHR23500:SF575', NULL, NULL, NULL, NULL, 'BNAC05G05120D PROTEIN', 178458),
(234733, 'PTHR35513:SF1', NULL, NULL, NULL, NULL, 'OS02G0158600 PROTEIN', 178459),
(234734, 'PTHR12706', NULL, NULL, NULL, NULL, 'STRAWBERRY NOTCH-RELATED', 178460),
(234735, 'PTHR10388:SF54', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLATION FACTOR SUI1 HOMOLOG 2', 178461),
(234736, 'PTHR19308:SF36', NULL, NULL, NULL, NULL, 'MEMBRANE RELATED PROTEIN-LIKE', 178462),
(234737, 'PTHR13789', NULL, NULL, NULL, NULL, 'MONOOXYGENASE', 178463),
(234738, 'PTHR36885:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 178464),
(234739, 'PTHR43070:SF7', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ASPARTOKINASE/HOMOSERINE DEHYDROGENASE 1, CHLOROPLASTIC-LIKE', 178465),
(234740, 'PTHR10052', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', 178466),
(234741, 'PTHR46008', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.4', 178467),
(234742, 'PTHR47938', NULL, NULL, NULL, NULL, 'RESPIRATORY COMPLEX I CHAPERONE (CIA84), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G06020)-RELATED', 178468),
(234743, 'PTHR11699:SF204', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 178469),
(234744, 'PTHR47925:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178470),
(234745, 'PTHR33057:SF155', NULL, NULL, NULL, NULL, 'BNAA04G17530D PROTEIN', 178471),
(234746, 'PTHR46186:SF14', NULL, NULL, NULL, NULL, 'CYSTATIN', 178472),
(234747, 'PTHR46790', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN N', 178473),
(234748, 'PTHR10209:SF754', NULL, NULL, NULL, NULL, 'ISOPENICILLIN N SYNTHASE-LIKE PROTEIN-RELATED', 178474),
(234749, 'PTHR31817:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-222B8.4', 178475),
(234750, 'PTHR10026:SF51', NULL, NULL, NULL, NULL, 'CYCLIN-K', 178476),
(234751, 'PTHR35261', NULL, NULL, NULL, NULL, 'ORGANELLAR PROTEIN, PUTATIVE-RELATED-RELATED', 178477),
(234752, 'PTHR12919:SF20', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S16, MITOCHONDRIAL', 178478),
(234753, 'PTHR35129:SF5', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 2-LIKE', 178479),
(234754, 'PTHR23085:SF6', NULL, NULL, NULL, NULL, 'JUNCTOPHILIN-1', 178480),
(234755, 'PTHR45526', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN DPIA', 178481),
(234756, 'PTHR10509:SF84', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE 1', 178482),
(234757, 'PTHR11232:SF65', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.8', 178483),
(234758, 'PTHR10381:SF58', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', 178484),
(234759, 'PTHR45811:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178485),
(234760, 'PTHR24221:SF474', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 3-RELATED', 178486),
(234761, 'PTHR10012:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A ACTIVATOR 2-RELATED', 178487),
(234762, 'PTHR14894', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 3', 178488),
(234763, 'PTHR48017:SF104', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', 178489),
(234764, 'PTHR31890:SF9', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 178490);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(234765, 'PTHR10509:SF70', NULL, NULL, NULL, NULL, 'BNAA02G13470D PROTEIN', 178491),
(234766, 'PTHR10956:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178492),
(234767, 'PTHR19346:SF3', NULL, NULL, NULL, NULL, 'THIAMINE TRANSPORTER SLC35F3-RELATED', 178493),
(234768, 'PTHR19282:SF466', NULL, NULL, NULL, NULL, 'TETRASPANIN', 178494),
(234769, 'PTHR32044:SF11', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 4', 178495),
(234770, 'PTHR34838:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178496),
(234771, 'PTHR45637:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL3', 178497),
(234772, 'PTHR43133:SF38', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGK', 178498),
(234773, 'PTHR21237:SF36', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG', 178499),
(234774, 'PTHR10218:SF130', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT ALPHA-12', 178500),
(234775, 'PTHR45614:SF175', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB105', 178501),
(234776, 'PTHR31503:SF55', NULL, NULL, NULL, NULL, 'BNAC07G33590D PROTEIN', 178502),
(234777, 'PTHR14744:SF17', NULL, NULL, NULL, NULL, 'BNAC09G41050D PROTEIN', 178503),
(234778, 'PTHR31241:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178504),
(234779, 'PTHR24379:SF87', NULL, NULL, NULL, NULL, 'ZINC FINGER Y-CHROMOSOMAL PROTEIN 2', 178505),
(234780, 'PTHR45974:SF67', NULL, NULL, NULL, NULL, 'INACTIVE LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BIR2', 178506),
(234781, 'PTHR31282:SF93', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 11-RELATED', 178507),
(234782, 'PTHR31207:SF31', NULL, NULL, NULL, NULL, 'BNAANNG09350D PROTEIN', 178508),
(234783, 'PTHR34659:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178509),
(234784, 'PTHR18947:SF35', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 88B', 178510),
(234785, 'PTHR32044:SF64', NULL, NULL, NULL, NULL, 'MANNAN SYNTHASE 7-RELATED', 178511),
(234786, 'PTHR10288:SF299', NULL, NULL, NULL, NULL, 'BNAC09G54720D PROTEIN', 178512),
(234787, 'PTHR46301:SF11', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PLANT PROTEIN', 178513),
(234788, 'PTHR10783:SF89', NULL, NULL, NULL, NULL, 'EXS (ERD1/XPR1/SYG1) FAMILY PROTEIN', 178514),
(234789, 'PTHR48061:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178515),
(234790, 'PTHR22961:SF14', NULL, NULL, NULL, NULL, 'TRIBBLES HOMOLOG 3', 178516),
(234791, 'PTHR28112', NULL, NULL, NULL, NULL, 'SRP-INDEPENDENT TARGETING PROTEIN 3', 178517),
(234792, 'PTHR14950:SF56', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: ENDORIBONUCLEASE DICER HOMOLOG 3B-LIKE', 178518),
(234793, 'PTHR31321:SF12', NULL, NULL, NULL, NULL, 'PECTINESTERASE 31', 178519),
(234794, 'PTHR43081:SF16', NULL, NULL, NULL, NULL, 'BLL5647 PROTEIN', 178520),
(234795, 'PTHR34198:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178521),
(234796, 'PTHR31391:SF10', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0234100-LIKE', 178522),
(234797, 'PTHR33994:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178523),
(234798, 'PTHR22957:SF357', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', 178524),
(234799, 'PTHR12308:SF16', NULL, NULL, NULL, NULL, 'ANOCTAMIN-3', 178525),
(234800, 'PTHR15356', NULL, NULL, NULL, NULL, 'NEUROTENSIN/NEUROMEDIN N', 178526),
(234801, 'PTHR19367:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178527),
(234802, 'PTHR12668:SF15', NULL, NULL, NULL, NULL, 'UPF0136 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G03720)', 178528),
(234803, 'PTHR37720', NULL, NULL, NULL, NULL, 'OS10G0481400 PROTEIN', 178529),
(234804, 'PTHR31501:SF6', NULL, NULL, NULL, NULL, 'PROTEIN ORAI-3', 178530),
(234805, 'PTHR28608:SF1', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 2', 178531),
(234806, 'PTHR31179', NULL, NULL, NULL, NULL, 'RAB GTPASE-BINDING EFFECTOR PROTEIN', 178532),
(234807, 'PTHR45818:SF1', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR VAV3', 178533),
(234808, 'PTHR35712', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', 178534),
(234809, 'PTHR36264:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178535);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(234810, 'PTHR28626:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178536),
(234811, 'PTHR14430:SF0', NULL, NULL, NULL, NULL, 'RAB GUANINE NUCLEOTIDE EXCHANGE FACTOR SEC2', 178537),
(234812, 'PTHR11353:SF78', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT THETA', 178538),
(234813, 'PTHR45650:SF7', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 178539),
(234814, 'PTHR11909:SF383', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 10', 178540),
(234815, 'PTHR24282:SF160', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY MONOOXYGENASE', 178541),
(234816, 'PTHR33697:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178542),
(234817, 'PTHR47984:SF5', NULL, NULL, NULL, NULL, 'OS12G0108100 PROTEIN', 178543),
(234818, 'PTHR46080:SF7', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE-RELATED', 178544),
(234819, 'PTHR31282:SF85', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 70-RELATED', 178545),
(234820, 'PTHR19256:SF40', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR GAMMA CONSTANT 1-RELATED', 178546),
(234821, 'PTHR45663:SF3', NULL, NULL, NULL, NULL, 'THIOREDOXIN, CONSERVED SITE', 178547),
(234822, 'PTHR31042:SF66', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN ISOFORM 1', 178548),
(234823, 'PTHR13710:SF137', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE TLH2', 178549),
(234824, 'PTHR25464:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM32', 178550),
(234825, 'PTHR31365:SF20', NULL, NULL, NULL, NULL, 'BNAA03G52130D PROTEIN', 178551),
(234826, 'PTHR46450:SF1', NULL, NULL, NULL, NULL, 'INACTIVE HISTONE-LYSINE N-METHYLTRANSFERASE SUVR1-RELATED', 178552),
(234827, 'PTHR28241:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT PROTEIN 1', 178553),
(234828, 'PTHR12544:SF32', NULL, NULL, NULL, NULL, 'GLUTAMINASE 1', 178554),
(234829, 'PTHR35866:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 178555),
(234830, 'PTHR10802:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM40 HOMOLOG', 178556),
(234831, 'PTHR21141:SF80', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN, LARGE SUBUNIT, ACIDIC (P1)', 178557),
(234832, 'PTHR11003:SF303', NULL, NULL, NULL, NULL, 'OS01G0696100 PROTEIN', 178558),
(234833, 'PTHR46387:SF8', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE', 178559),
(234834, 'PTHR46234:SF12', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 178560),
(234835, 'PTHR46112:SF6', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE', 178561),
(234836, 'PTHR11544:SF116', NULL, NULL, NULL, NULL, 'C. ELEGANS Y-BOX', 178562),
(234837, 'PTHR11527:SF277', NULL, NULL, NULL, NULL, '17.6 KDA CLASS II HEAT SHOCK PROTEIN-RELATED', 178563),
(234838, 'PTHR11615:SF283', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 178564),
(234839, 'PTHR30540:SF83', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 4', 178565),
(234840, 'PTHR31210:SF81', NULL, NULL, NULL, NULL, 'BNAANNG28070D PROTEIN', 178566),
(234841, 'PTHR34791:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178567),
(234842, 'PTHR21736:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178568),
(234843, 'PTHR22957:SF503', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178569),
(234844, 'PTHR10218:SF227', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I) SUBUNIT ALPHA-1', 178570),
(234845, 'PTHR11999:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178571),
(234846, 'PTHR48029:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 178572),
(234847, 'PTHR16675:SF150', NULL, NULL, NULL, NULL, 'HISTOCOMPATIBILITY 2, M REGION LOCUS 2', 178573),
(234848, 'PTHR46168:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 4', 178574),
(234849, 'PTHR48002:SF147', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 178575),
(234850, 'PTHR12112:SF9', NULL, NULL, NULL, NULL, 'CAYTAXIN', 178576),
(234851, 'PTHR33373:SF27', NULL, NULL, NULL, NULL, 'DUF4050 FAMILY PROTEIN', 178577),
(234852, 'PTHR11260:SF622', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', 178578),
(234853, 'PTHR12136:SF105', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2', 178579);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(234854, 'PTHR31775:SF29', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL REGION REMORIN', 178580),
(234855, 'PTHR11394:SF58', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 7', 178581),
(234856, 'PTHR47063', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H2 SUBUNIT C', 178582),
(234857, 'PTHR13018:SF124', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT CHANNEL, 7TM REGION, PUTATIVE PHOSPHATE-RELATED', 178583),
(234858, 'PTHR45770:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 4, CHLOROPLASTIC', 178584),
(234859, 'PTHR14155:SF576', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL31-LIKE', 178585),
(234860, 'PTHR36072', NULL, NULL, NULL, NULL, 'OS01G0541600 PROTEIN', 178586),
(234861, 'PTHR11890:SF20', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR ACCESSORY PROTEIN', 178587),
(234862, 'PTHR33469:SF16', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 3', 178588),
(234863, 'PTHR43487:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178589),
(234864, 'PTHR33155:SF48', NULL, NULL, NULL, NULL, 'BNACNNG47650D PROTEIN', 178590),
(234865, 'PTHR44119:SF1', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLH, CHLOROPLASTIC', 178591),
(234866, 'PTHR36762:SF2', NULL, NULL, NULL, NULL, 'LIGHT-REGULATED PROTEIN 1, CHLOROPLASTIC', 178592),
(234867, 'PTHR11240:SF47', NULL, NULL, NULL, NULL, 'DROUGHT-INDUCED S-LIKE RIBONUCLEASE', 178593),
(234868, 'PTHR24103:SF590', NULL, NULL, NULL, NULL, 'SI:CH211-120G10.1-RELATED', 178594),
(234869, 'PTHR11039:SF39', NULL, NULL, NULL, NULL, 'NEBULIN-RELATED-ANCHORING PROTEIN', 178595),
(234870, 'PTHR48041:SF31', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN/PERMEASE WHT-3', 178596),
(234871, 'PTHR17575', NULL, NULL, NULL, NULL, 'UROCORTIN-2 AND 3', 178597),
(234872, 'PTHR31374:SF315', NULL, NULL, NULL, NULL, 'BNAC01G00010D PROTEIN', 178598),
(234873, 'PTHR26450:SF75', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52D1', 178599),
(234874, 'PTHR11384:SF60', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN RELATED', 178600),
(234875, 'PTHR27003:SF352', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 178601),
(234876, 'PTHR31790:SF297', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 178602),
(234877, 'PTHR16166:SF126', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING 13B, ISOFORM A', 178603),
(234878, 'PTHR14418:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178604),
(234879, 'PTHR21668:SF10', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 1A (EIF-1A), RNA-BINDING DOMAIN, S1, IF1 TYPE-RELATED', 178605),
(234880, 'PTHR24253:SF63', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P84', 178606),
(234881, 'PTHR37973', NULL, NULL, NULL, NULL, 'CHONDROITIN PROTEOGLYCAN 3', 178607),
(234882, 'PTHR18359', NULL, NULL, NULL, NULL, 'WD-REPEAT PROTEIN-RELATED', 178608),
(234883, 'PTHR46999:SF6', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE-RELATED', 178609),
(234884, 'PTHR34666:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178610),
(234885, 'PTHR22763:SF29', NULL, NULL, NULL, NULL, 'SI:DKEY-51A16.9-RELATED', 178611),
(234886, 'PTHR10468:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYLATION RELATED', 178612),
(234887, 'PTHR35309', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 178613),
(234888, 'PTHR34214:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CONSERVED IN THE GREEN LINEAGE AND DIATOMS 27, CHLOROPLASTIC', 178614),
(234889, 'PTHR12113:SF11', NULL, NULL, NULL, NULL, 'DICKKOPF-RELATED PROTEIN 1', 178615),
(234890, 'PTHR44307:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE N-METHYLTRANSFERASE', 178616),
(234891, 'PTHR48022:SF20', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14442)-RELATED', 178617),
(234892, 'PTHR12549:SF7', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 3A', 178618),
(234893, 'PTHR19818:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178619),
(234894, 'PTHR11011:SF73', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 178620),
(234895, 'PTHR10314:SF171', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', 178621),
(234896, 'PTHR11474:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178622);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(234897, 'PTHR11165:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178623),
(234898, 'PTHR43725:SF25', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE 2-LIKE', 178624),
(234899, 'PTHR10811:SF82', NULL, NULL, NULL, NULL, 'BNAC07G50040D PROTEIN', 178625),
(234900, 'PTHR45786:SF21', NULL, NULL, NULL, NULL, 'BNAC08G08520D PROTEIN', 178626),
(234901, 'PTHR12623', NULL, NULL, NULL, NULL, 'NGFI-A BINDING PROTEIN', 178627),
(234902, 'PTHR31080:SF21', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 178628),
(234903, 'PTHR12526:SF573', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE CORE BIOSYNTHESIS PROTEIN RFAG', 178629),
(234904, 'PTHR34773:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR SECRETION CHAPERONE FLIS', 178630),
(234905, 'PTHR43900:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178631),
(234906, 'PTHR46020:SF22', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', 178632),
(234907, 'PTHR23359:SF213', NULL, NULL, NULL, NULL, 'KINASE PLANT, PUTATIVE-RELATED', 178633),
(234908, 'PTHR11362:SF20', NULL, NULL, NULL, NULL, 'OS12G0232300 PROTEIN', 178634),
(234909, 'PTHR27007:SF245', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', 178635),
(234910, 'PTHR47159:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02800', 178636),
(234911, 'PTHR43656:SF2', NULL, NULL, NULL, NULL, 'BINDING OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G08260)-RELATED', 178637),
(234912, 'PTHR36910:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178638),
(234913, 'PTHR31470:SF46', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 178639),
(234914, 'PTHR46780', NULL, NULL, NULL, NULL, 'PROTEIN EVA-1', 178640),
(234915, 'PTHR31559:SF0', NULL, NULL, NULL, NULL, 'PYRIDOXAL 5''-PHOSPHATE SYNTHASE SUBUNIT SNO1-RELATED', 178641),
(234916, 'PTHR34560:SF3', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', 178642),
(234917, 'PTHR13555:SF53', NULL, NULL, NULL, NULL, 'AGAP004068-PA', 178643),
(234918, 'PTHR23500:SF73', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN MST1', 178644),
(234919, 'PTHR43510', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE FUNCTION, HYPOTHETICAL (EUROFUNG)', 178645),
(234920, 'PTHR15241:SF323', NULL, NULL, NULL, NULL, '29 KDA RIBONUCLEOPROTEIN A, CHLOROPLASTIC-LIKE', 178646),
(234921, 'PTHR35475:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN', 178647),
(234922, 'PTHR45647:SF109', NULL, NULL, NULL, NULL, 'BNAA07G01480D PROTEIN', 178648),
(234923, 'PTHR45668:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM HOMOLOG', 178649),
(234924, 'PTHR11895:SF76', NULL, NULL, NULL, NULL, 'BLL2914 PROTEIN', 178650),
(234925, 'PTHR43943:SF8', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 4-RELATED', 178651),
(234926, 'PTHR43795:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178652),
(234927, 'PTHR45819:SF5', NULL, NULL, NULL, NULL, 'CENTAURIN-GAMMA-1A', 178653),
(234928, 'PTHR31719:SF114', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 19', 178654),
(234929, 'PTHR47716:SF1', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 4', 178655),
(234930, 'PTHR15907:SF168', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 9-LIKE', 178656),
(234931, 'PTHR31947:SF14', NULL, NULL, NULL, NULL, 'OS01G0173100 PROTEIN', 178657),
(234932, 'PTHR22750:SF7', NULL, NULL, NULL, NULL, 'GLUCOSE-DEPENDENT INSULINOTROPIC RECEPTOR', 178658),
(234933, 'PTHR45786:SF34', NULL, NULL, NULL, NULL, 'BNAC02G48170D PROTEIN', 178659),
(234934, 'PTHR33538', NULL, NULL, NULL, NULL, 'PROTEIN GAMETE EXPRESSED 1', 178660),
(234935, 'PTHR10151:SF66', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE FAMILY MEMBER 6', 178661),
(234936, 'PTHR13947:SF45', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE CML5-RELATED', 178662),
(234937, 'PTHR34223:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178663),
(234938, 'PTHR28288:SF1', NULL, NULL, NULL, NULL, 'YALI0A01452P', 178664),
(234939, 'PTHR31843:SF9', NULL, NULL, NULL, NULL, 'ALLENE OXIDE CYCLASE 1, CHLOROPLASTIC-RELATED', 178665);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(234940, 'PTHR11945:SF176', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL82', 178666),
(234941, 'PTHR46964:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 178667),
(234942, 'PTHR42681:SF6', NULL, NULL, NULL, NULL, 'BLL0263 PROTEIN', 178668),
(234943, 'PTHR19848:SF0', NULL, NULL, NULL, NULL, 'NOTCHLESS HOMOLOG 1 (DROSOPHILA)', 178669),
(234944, 'PTHR24355:SF12', NULL, NULL, NULL, NULL, 'RHODOPSIN KINASE', 178670),
(234945, 'PTHR23024:SF463', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 17-RELATED', 178671),
(234946, 'PTHR22937:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178672),
(234947, 'PTHR24298:SF669', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81F1', 178673),
(234948, 'PTHR46639:SF2', NULL, NULL, NULL, NULL, 'DIENCEPHALON/MESENCEPHALON HOMEOBOX PROTEIN 1', 178674),
(234949, 'PTHR33702:SF5', NULL, NULL, NULL, NULL, 'BNAA09G40010D PROTEIN', 178675),
(234950, 'PTHR24061:SF519', NULL, NULL, NULL, NULL, 'SI:CH73-125K17.2', 178676),
(234951, 'PTHR43534:SF1', NULL, NULL, NULL, NULL, 'MIND SUPERFAMILY P-LOOP ATPASE CONTAINING AN INSERTED FERREDOXIN DOMAIN', 178677),
(234952, 'PTHR16131:SF2', NULL, NULL, NULL, NULL, 'LIGAND-DEPENDENT NUCLEAR RECEPTOR-INTERACTING FACTOR 1', 178678),
(234953, 'PTHR36016:SF4', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER', 178679),
(234954, 'PTHR18901:SF42', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE-RELATED', 178680),
(234955, 'PTHR35325:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178681),
(234956, 'PTHR45125:SF25', NULL, NULL, NULL, NULL, 'NO-APICAL-MERISTEM-ASSOCIATED CARBOXY-TERMINAL DOMAIN PROTEIN', 178682),
(234957, 'PTHR24161:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178683),
(234958, 'PTHR33107:SF59', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE/SUBTILISIN INHIBITOR-RELATED', 178684),
(234959, 'PTHR27005:SF373', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178685),
(234960, 'PTHR33312:SF5', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 4-RELATED', 178686),
(234961, 'PTHR18952:SF127', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 3', 178687),
(234962, 'PTHR24019:SF12', NULL, NULL, NULL, NULL, 'ADIPOLIN', 178688),
(234963, 'PTHR11034:SF21', NULL, NULL, NULL, NULL, 'PROTEIN NDRG4', 178689),
(234964, 'PTHR24414:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 22', 178690),
(234965, 'PTHR33091:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178691),
(234966, 'PTHR10139:SF8', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR PROTEIN', 178692),
(234967, 'PTHR23266:SF272', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-2', 178693),
(234968, 'PTHR47418:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 178694),
(234969, 'PTHR34968', NULL, NULL, NULL, NULL, 'AUGMIN SUBUNIT 5', 178695),
(234970, 'PTHR47585:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178696),
(234971, 'PTHR24056:SF477', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE C-1', 178697),
(234972, 'PTHR31963:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178698),
(234973, 'PTHR23235:SF46', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 8', 178699),
(234974, 'PTHR12479:SF5', NULL, NULL, NULL, NULL, 'LYSOSOMAL-ASSOCIATED TRANSMEMBRANE PROTEIN 4A', 178700),
(234975, 'PTHR42743:SF8', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID AMINOTRANSFERASE-LIKE', 178701),
(234976, 'PTHR10641:SF1152', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB60', 178702),
(234977, 'PTHR15066', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 187', 178703),
(234978, 'PTHR10168:SF128', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C7', 178704),
(234979, 'PTHR33927:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN TMPA', 178705),
(234980, 'PTHR23024:SF113', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 8-RELATED', 178706),
(234981, 'PTHR12526:SF581', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 178707),
(234982, 'PTHR33116:SF38', NULL, NULL, NULL, NULL, 'OS01G0158850 PROTEIN', 178708),
(234983, 'PTHR44542:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178709);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(234984, 'PTHR35545:SF11', NULL, NULL, NULL, NULL, 'OS04G0376200 PROTEIN', 178710),
(234985, 'PTHR45957', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 2', 178711),
(234986, 'PTHR27005:SF359', NULL, NULL, NULL, NULL, 'BNAC02G23840D PROTEIN', 178712),
(234987, 'PTHR37443', NULL, NULL, NULL, NULL, 'PROTEIN CBG09852-RELATED', 178713),
(234988, 'PTHR37230:SF1', NULL, NULL, NULL, NULL, 'OS06G0731300 PROTEIN', 178714),
(234989, 'PTHR31388:SF233', NULL, NULL, NULL, NULL, 'LIGNIN-FORMING ANIONIC PEROXIDASE-LIKE', 178715),
(234990, 'PTHR27003:SF335', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR RECEPTOR 2 (VEGFR2)-RELATED', 178716),
(234991, 'PTHR23198:SF21', NULL, NULL, NULL, NULL, 'BNAC09G11300D PROTEIN', 178717),
(234992, 'PTHR21685', NULL, NULL, NULL, NULL, 'TON-B BOX DOMAIN', 178718),
(234993, 'PTHR15315:SF94', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 178719),
(234994, 'PTHR43240:SF21', NULL, NULL, NULL, NULL, 'BNAA05G17470D PROTEIN', 178720),
(234995, 'PTHR23510', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YAJR', 178721),
(234996, 'PTHR31225:SF130', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE FAMILY, METAL-BINDING DOMAIN PROTEIN', 178722),
(234997, 'PTHR24089:SF716', NULL, NULL, NULL, NULL, 'BRITTLE-1, CHLOROPLAST, PUTATIVE-RELATED', 178723),
(234998, 'PTHR10742:SF21', NULL, NULL, NULL, NULL, 'L-AMINO-ACID OXIDASE', 178724),
(234999, 'PTHR43620:SF26', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL1-RELATED', 178725),
(235000, 'PTHR16223:SF220', NULL, NULL, NULL, NULL, 'BNAA07G08770D PROTEIN', 178726),
(235001, 'PTHR12276:SF105', NULL, NULL, NULL, NULL, 'PROTEIN CBR-RSD-3', 178727),
(235002, 'PTHR35609:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178728),
(235003, 'PTHR33098:SF53', NULL, NULL, NULL, NULL, 'OS06G0566500 PROTEIN', 178729),
(235004, 'PTHR45959:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18-LIKE', 178730),
(235005, 'PTHR45628:SF11', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1D', 178731),
(235006, 'PTHR34552:SF5', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER W PROTEIN, CHLOROPLASTIC-LIKE', 178732),
(235007, 'PTHR46667:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178733),
(235008, 'PTHR46247:SF2', NULL, NULL, NULL, NULL, 'CRS2-ASSOCIATED FACTOR 1, MITOCHONDRIAL', 178734),
(235009, 'PTHR33088:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178735),
(235010, 'PTHR45705:SF8', NULL, NULL, NULL, NULL, 'STROMAL MEMBRANE-ASSOCIATED PROTEIN 1', 178736),
(235011, 'PTHR33358:SF9', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-RELATED', 178737),
(235012, 'PTHR47960:SF19', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 39', 178738),
(235013, 'PTHR33203', NULL, NULL, NULL, NULL, 'OLEOSIN', 178739),
(235014, 'PTHR31190:SF167', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF113', 178740),
(235015, 'PTHR43859:SF6', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 5, PEROXISOMAL-RELATED', 178741),
(235016, 'PTHR23056:SF124', NULL, NULL, NULL, NULL, 'BNAANNG31750D PROTEIN', 178742),
(235017, 'PTHR33917:SF4', NULL, NULL, NULL, NULL, 'BNAA03G52660D PROTEIN', 178743),
(235018, 'PTHR34222:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178744),
(235019, 'PTHR24250:SF55', NULL, NULL, NULL, NULL, 'CHYMOTRYPSINOGEN 2', 178745),
(235020, 'PTHR31621:SF52', NULL, NULL, NULL, NULL, 'BNAA08G14730D PROTEIN', 178746),
(235021, 'PTHR21366:SF19', NULL, NULL, NULL, NULL, 'CATECHOL 2,3-DIOXYGENASE (METAPYROCATECHASE)', 178747),
(235022, 'PTHR22115:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 187-RELATED', 178748),
(235023, 'PTHR28309:SF1', NULL, NULL, NULL, NULL, 'REQUIRED FOR EXCISION 1-B DOMAIN-CONTAINING PROTEIN', 178749),
(235024, 'PTHR11742:SF80', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 178750),
(235025, 'PTHR31123:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ALCS', 178751),
(235026, 'PTHR47015:SF3', NULL, NULL, NULL, NULL, 'BPIFA4P PROTEIN-RELATED', 178752),
(235027, 'PTHR47985:SF43', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL27', 178753);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(235028, 'PTHR11362:SF120', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 178754),
(235029, 'PTHR14224:SF13', NULL, NULL, NULL, NULL, 'MELANOMA ANTIGEN PREFERENTIALLY EXPRESSED IN TUMORS', 178755),
(235030, 'PTHR31499:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178756),
(235031, 'PTHR12277:SF166', NULL, NULL, NULL, NULL, 'BNAA01G06110D PROTEIN', 178757),
(235032, 'PTHR31175:SF26', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR36', 178758),
(235033, 'PTHR10751:SF81', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING FAMILY PROTEIN', 178759),
(235034, 'PTHR10352:SF23', NULL, NULL, NULL, NULL, 'FI04408P', 178760),
(235035, 'PTHR11559:SF367', NULL, NULL, NULL, NULL, 'PROTEIN CBG05033', 178761),
(235036, 'PTHR19443:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178762),
(235037, 'PTHR42908', NULL, NULL, NULL, NULL, 'TRANSLATION ELONGATION FACTOR-RELATED', 178763),
(235038, 'PTHR46324:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178764),
(235039, 'PTHR31874:SF37', NULL, NULL, NULL, NULL, 'CCT DOMAIN-CONTAINING PROTEIN-RELATED', 178765),
(235040, 'PTHR31357', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-10', 178766),
(235041, 'PTHR22835:SF515', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178767),
(235042, 'PTHR12741:SF59', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 1', 178768),
(235043, 'PTHR38123:SF1', NULL, NULL, NULL, NULL, 'WALL PROTEIN, PUTATIVE-RELATED', 178769),
(235044, 'PTHR48016:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178770),
(235045, 'PTHR11214:SF295', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 178771),
(235046, 'PTHR31533:SF15', NULL, NULL, NULL, NULL, 'OS09G0297800 PROTEIN', 178772),
(235047, 'PTHR13780:SF137', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSCBSPB1', 178773),
(235048, 'PTHR45620:SF8', NULL, NULL, NULL, NULL, 'CALCITONIN RECEPTOR', 178774),
(235049, 'PTHR46592:SF6', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL67', 178775),
(235050, 'PTHR31221:SF221', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 25-RELATED', 178776),
(235051, 'PTHR45727:SF2', NULL, NULL, NULL, NULL, 'NPC INTRACELLULAR CHOLESTEROL TRANSPORTER 1', 178777),
(235052, 'PTHR43139:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178778),
(235053, 'PTHR45676:SF107', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 178779),
(235054, 'PTHR45667:SF1', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE-RELATED', 178780),
(235055, 'PTHR48018:SF135', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AK3-RELATED', 178781),
(235056, 'PTHR31917:SF70', NULL, NULL, NULL, NULL, 'PHD FINGER TRANSCRIPTION FACTOR-LIKE PROTEIN ISOFORM 1', 178782),
(235057, 'PTHR11875:SF29', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED-LIKE PROTEIN 6', 178783),
(235058, 'PTHR14255:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178784),
(235059, 'PTHR10543:SF85', NULL, NULL, NULL, NULL, 'BETA-CAROTENE OXYGENASE 2A', 178785),
(235060, 'PTHR10739:SF52', NULL, NULL, NULL, NULL, 'CHOLINE-PHOSPHATE CYTIDYLYLTRANSFERASE 2-LIKE ISOFORM X1', 178786),
(235061, 'PTHR47967:SF81', NULL, NULL, NULL, NULL, 'OS07G0603500 PROTEIN', 178787),
(235062, 'PTHR42241:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED, DUF998 FAMILY', 178788),
(235063, 'PTHR19376:SF37', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB1', 178789),
(235064, 'PTHR22948:SF52', NULL, NULL, NULL, NULL, 'PROTEIN VRETENO', 178790),
(235065, 'PTHR31312:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR GLK1', 178791),
(235066, 'PTHR31988:SF20', NULL, NULL, NULL, NULL, 'CARBOHYDRATE ESTERASE-RELATED', 178792),
(235067, 'PTHR43574:SF43', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 4', 178793),
(235068, 'PTHR47985', NULL, NULL, NULL, NULL, 'OS07G0668900 PROTEIN', 178794),
(235069, 'PTHR33065:SF19', NULL, NULL, NULL, NULL, 'OS12G0228350 PROTEIN', 178795),
(235070, 'PTHR31568:SF104', NULL, NULL, NULL, NULL, 'BNAA03G19450D PROTEIN', 178796),
(235071, 'PTHR43736', NULL, NULL, NULL, NULL, 'ADP-RIBOSE PYROPHOSPHATASE', 178797);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(235072, 'PTHR23073:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178798),
(235073, 'PTHR33057:SF32', NULL, NULL, NULL, NULL, 'OS05G0440900 PROTEIN', 178799),
(235074, 'PTHR31066:SF42', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P FAMILY PROTEIN', 178800),
(235075, 'PTHR10285:SF122', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE C', 178801),
(235076, 'PTHR11477:SF20', NULL, NULL, NULL, NULL, 'SPOC DOMAIN / TRANSCRIPTION ELONGATION FACTOR S-II PROTEIN', 178802),
(235077, 'PTHR13317', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 178803),
(235078, 'PTHR21643', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 178804),
(235079, 'PTHR43078', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE-RELATED', 178805),
(235080, 'PTHR23431:SF4', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC5', 178806),
(235081, 'PTHR43719:SF46', NULL, NULL, NULL, NULL, 'PHYTOCHROME A', 178807),
(235082, 'PTHR35695:SF1', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE, CHLOROPLASTIC', 178808),
(235083, 'PTHR10153:SF36', NULL, NULL, NULL, NULL, 'KCNN (POTASSIUM K CHANNEL, CALCIUM ACTIVATED)-LIKE', 178809),
(235084, 'PTHR11945:SF417', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL27-RELATED', 178810),
(235085, 'PTHR48007:SF1', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 178811),
(235086, 'PTHR36017:SF1', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 1381', 178812),
(235087, 'PTHR33065:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178813),
(235088, 'PTHR46558:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, PBSX FAMILY', 178814),
(235089, 'PTHR11003:SF283', NULL, NULL, NULL, NULL, 'TWO PORE DOMAIN POTASSIUM CHANNEL, EF-HAND DOMAIN PAIR-RELATED', 178815),
(235090, 'PTHR11566:SF46', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED GTP-BINDING PROTEIN MX2', 178816),
(235091, 'PTHR11588:SF380', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 178817),
(235092, 'PTHR22792:SF113', NULL, NULL, NULL, NULL, 'OS03G0566500 PROTEIN', 178818),
(235093, 'PTHR23024:SF166', NULL, NULL, NULL, NULL, 'STERIGMATOCYSTIN BIOSYNTHESIS LIPASE/ESTERASE STCI-RELATED', 178819),
(235094, 'PTHR31175:SF32', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR66-LIKE', 178820),
(235095, 'PTHR11003:SF304', NULL, NULL, NULL, NULL, 'OPEN RECTIFIER POTASSIUM CHANNEL PROTEIN 1', 178821),
(235096, 'PTHR31707:SF236', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 178822),
(235097, 'PTHR13297:SF5', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 23', 178823),
(235098, 'PTHR31003:SF17', NULL, NULL, NULL, NULL, 'OS07G0119300 PROTEIN', 178824),
(235099, 'PTHR43895:SF60', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 26', 178825),
(235100, 'PTHR48004:SF37', NULL, NULL, NULL, NULL, 'PROTEIN KINASE DOMAIN CONTAINING PROTEIN', 178826),
(235101, 'PTHR47956:SF30', NULL, NULL, NULL, NULL, 'OS06G0641500 PROTEIN', 178827),
(235102, 'PTHR15333', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 5', 178828),
(235103, 'PTHR13273:SF15', NULL, NULL, NULL, NULL, 'ANAMORSIN HOMOLOG 2-LIKE ISOFORM X1', 178829),
(235104, 'PTHR33137:SF23', NULL, NULL, NULL, NULL, 'BNAC05G49870D PROTEIN', 178830),
(235105, 'PTHR35771', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', 178831),
(235106, 'PTHR20855:SF122', NULL, NULL, NULL, NULL, 'BNAA03G54210D PROTEIN', 178832),
(235107, 'PTHR45646:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AFC2', 178833),
(235108, 'PTHR14145:SF2', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 1', 178834),
(235109, 'PTHR42854:SF13', NULL, NULL, NULL, NULL, 'BNAC05G02310D PROTEIN', 178835),
(235110, 'PTHR11214:SF244', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 178836),
(235111, 'PTHR32099:SF38', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 25', 178837),
(235112, 'PTHR33164:SF73', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 178838),
(235113, 'PTHR45669:SF31', NULL, NULL, NULL, NULL, 'F3H7.9 PROTEIN', 178839),
(235114, 'PTHR18884', NULL, NULL, NULL, NULL, 'SEPTIN', 178840);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(235115, 'PTHR11246:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178841),
(235116, 'PTHR10641:SF1263', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178842),
(235117, 'PTHR39643:SF1', NULL, NULL, NULL, NULL, 'CCA-ADDING ENZYME', 178843),
(235118, 'PTHR22765:SF269', NULL, NULL, NULL, NULL, 'EGF-LIKE CALCIUM-BINDING DOMAIN, PA DOMAIN, THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', 178844),
(235119, 'PTHR34277', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 26', 178845),
(235120, 'PTHR24028:SF276', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 20', 178846),
(235121, 'PTHR24305:SF176', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 178847),
(235122, 'PTHR12802:SF101', NULL, NULL, NULL, NULL, 'OSJNBA0027H06.15 PROTEIN', 178848),
(235123, 'PTHR31680:SF18', NULL, NULL, NULL, NULL, 'BNAANNG16850D PROTEIN', 178849),
(235124, 'PTHR23282:SF128', NULL, NULL, NULL, NULL, 'SI:CH211-106H4.4', 178850),
(235125, 'PTHR44329:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR-INTERACTING SERINE/THREONINE-PROTEIN KINASE 2', 178851),
(235126, 'PTHR46214:SF31', NULL, NULL, NULL, NULL, 'BNACNNG38000D PROTEIN', 178852),
(235127, 'PTHR36814', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT N, CHLOROPLASTIC', 178853),
(235128, 'PTHR31889:SF59', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 8-RELATED', 178854),
(235129, 'PTHR31489:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LIN-52 HOMOLOG', 178855),
(235130, 'PTHR27005:SF261', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178856),
(235131, 'PTHR11848:SF259', NULL, NULL, NULL, NULL, 'CVG1 PROTEIN', 178857),
(235132, 'PTHR48041:SF60', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 14', 178858),
(235133, 'PTHR13994:SF35', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 2-LIKE', 178859),
(235134, 'PTHR45621:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178860),
(235135, 'PTHR33974:SF16', NULL, NULL, NULL, NULL, 'BNACNNG07040D PROTEIN', 178861),
(235136, 'PTHR19229:SF223', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 2', 178862),
(235137, 'PTHR10851:SF4', NULL, NULL, NULL, NULL, 'IP08110P', 178863),
(235138, 'PTHR42684:SF18', NULL, NULL, NULL, NULL, 'GAMMA AMINOBUTYRATE TRANSAMINASE 3 PROTEIN-RELATED', 178864),
(235139, 'PTHR15151:SF24', NULL, NULL, NULL, NULL, 'PROTEIN EIGER', 178865),
(235140, 'PTHR31009:SF123', NULL, NULL, NULL, NULL, 'BENZOATE O-METHYLTRANSFERASE', 178866),
(235141, 'PTHR13683:SF678', NULL, NULL, NULL, NULL, 'OS06G0119600 PROTEIN', 178867),
(235142, 'PTHR11875:SF38', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1-LIKE 3', 178868),
(235143, 'PTHR45764:SF55', NULL, NULL, NULL, NULL, 'BASIC LEUCINE-ZIPPER 5-RELATED', 178869),
(235144, 'PTHR12307:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3G', 178870),
(235145, 'PTHR11740:SF28', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', 178871),
(235146, 'PTHR12812:SF1', NULL, NULL, NULL, NULL, 'HEPARAN-SULFATE 6-O-SULFOTRANSFERASE 1', 178872),
(235147, 'PTHR24177:SF162', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PLANT-LIKE PROTEIN', 178873),
(235148, 'PTHR10634:SF97', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 9', 178874),
(235149, 'PTHR33210:SF20', NULL, NULL, NULL, NULL, 'OS01G0201600 PROTEIN', 178875),
(235150, 'PTHR31174:SF33', NULL, NULL, NULL, NULL, 'BNAC03G42830D PROTEIN', 178876),
(235151, 'PTHR46989:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178877),
(235152, 'PTHR10502:SF203', NULL, NULL, NULL, NULL, 'ANNEXIN', 178878),
(235153, 'PTHR43447:SF32', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', 178879),
(235154, 'PTHR20982:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178880),
(235155, 'PTHR12121:SF27', NULL, NULL, NULL, NULL, 'PROTEIN ANGEL HOMOLOG 2', 178881),
(235156, 'PTHR13340', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING', 178882),
(235157, 'PTHR10653:SF19', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA', 178883),
(235158, 'PTHR24264:SF6', NULL, NULL, NULL, NULL, 'TRYPSINOGEN', 178884),
(235159, 'PTHR16592:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178885);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(235160, 'PTHR10894:SF14', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 178886),
(235161, 'PTHR11407:SF31', NULL, NULL, NULL, NULL, 'SPERM ACROSOME-ASSOCIATED PROTEIN 5', 178887),
(235162, 'PTHR45768:SF59', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 178888),
(235163, 'PTHR22891:SF12', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN', 178889),
(235164, 'PTHR23500:SF10', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN MST8', 178890),
(235165, 'PTHR21057', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', 178891),
(235166, 'PTHR47187', NULL, NULL, NULL, NULL, 'NFATC2-INTERACTING PROTEIN', 178892),
(235167, 'PTHR24135:SF4', NULL, NULL, NULL, NULL, 'SH3 AND MULTIPLE ANKYRIN REPEAT DOMAINS PROTEIN 3', 178893),
(235168, 'PTHR24177:SF225', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', 178894),
(235169, 'PTHR47626', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN-CONTAINING PROTEIN', 178895),
(235170, 'PTHR14165:SF11', NULL, NULL, NULL, NULL, 'MAJOR VAULT PROTEIN BETA', 178896),
(235171, 'PTHR48101:SF3', NULL, NULL, NULL, NULL, 'COENZYME B12-DEPENDENT MUTASE', 178897),
(235172, 'PTHR11374:SF49', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 178898),
(235173, 'PTHR31086:SF72', NULL, NULL, NULL, NULL, 'BNAA09G28580D PROTEIN', 178899),
(235174, 'PTHR13400:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 28A', 178900),
(235175, 'PTHR21315:SF2', NULL, NULL, NULL, NULL, 'APRATAXIN AND PNK-LIKE FACTOR', 178901),
(235176, 'PTHR11654:SF470', NULL, NULL, NULL, NULL, 'BNAC04G01330D PROTEIN', 178902),
(235177, 'PTHR11926:SF1330', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 178903),
(235178, 'PTHR48021:SF48', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 1-RELATED', 178904),
(235179, 'PTHR34340', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 178905),
(235180, 'PTHR47960:SF17', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX6-RELATED', 178906),
(235181, 'PTHR31529:SF28', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 19', 178907),
(235182, 'PTHR31639:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178908),
(235183, 'PTHR33737:SF10', NULL, NULL, NULL, NULL, 'OS12G0102700 PROTEIN', 178909),
(235184, 'PTHR15416:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178910),
(235185, 'PTHR21659:SF57', NULL, NULL, NULL, NULL, 'UPF0057 MEMBRANE PROTEIN ZK632.10', 178911),
(235186, 'PTHR32116:SF21', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY-LIKE', 178912),
(235187, 'PTHR14680', NULL, NULL, NULL, NULL, 'SI:DKEY-126G1.9-RELATED', 178913),
(235188, 'PTHR20961:SF135', NULL, NULL, NULL, NULL, 'BNAC05G35210D PROTEIN', 178914),
(235189, 'PTHR23149:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178915),
(235190, 'PTHR11615:SF288', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 178916),
(235191, 'PTHR33346:SF22', NULL, NULL, NULL, NULL, 'ABSCISIC ACID AND ENVIRONMENTAL STRESS-INDUCIBLE PROTEIN TAS14', 178917),
(235192, 'PTHR36787', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 178918),
(235193, 'PTHR18034:SF5', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR CWC22 HOMOLOG', 178919),
(235194, 'PTHR43180:SF52', NULL, NULL, NULL, NULL, 'OS07G0663600 PROTEIN', 178920),
(235195, 'PTHR33228:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178921),
(235196, 'PTHR45826:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 178922),
(235197, 'PTHR23070:SF153', NULL, NULL, NULL, NULL, 'PROTEIN HYPER-SENSITIVITY-RELATED 4', 178923),
(235198, 'PTHR10183:SF333', NULL, NULL, NULL, NULL, 'CALPAIN-13', 178924),
(235199, 'PTHR32071:SF95', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN ZRAR', 178925),
(235200, 'PTHR46186:SF2', NULL, NULL, NULL, NULL, 'CYSTATIN', 178926),
(235201, 'PTHR11200:SF262', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE-5-PHOSPHATASE JA', 178927),
(235202, 'PTHR23180:SF403', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD3-LIKE', 178928),
(235203, 'PTHR41286:SF1', NULL, NULL, NULL, NULL, 'HNH NUCLEASE YAJD-RELATED', 178929);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(235204, 'PTHR10612', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN D', 178930),
(235205, 'PTHR36066:SF7', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 178931),
(235206, 'PTHR45837:SF10', NULL, NULL, NULL, NULL, 'BNAA09G47480D PROTEIN', 178932),
(235207, 'PTHR31232:SF110', NULL, NULL, NULL, NULL, 'BNAA09G04410D PROTEIN', 178933),
(235208, 'PTHR11905:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178934),
(235209, 'PTHR23428:SF267', NULL, NULL, NULL, NULL, 'HISTONE H2B.5-RELATED', 178935),
(235210, 'PTHR33883:SF6', NULL, NULL, NULL, NULL, 'WPP DOMAIN-ASSOCIATED PROTEIN', 178936),
(235211, 'PTHR45631:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178937),
(235212, 'PTHR45980:SF12', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 9', 178938),
(235213, 'PTHR48007:SF46', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 178939),
(235214, 'PTHR11669:SF62', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C SUBUNIT 4', 178940),
(235215, 'PTHR36144', NULL, NULL, NULL, NULL, 'S-ANTIGEN PROTEIN', 178941),
(235216, 'PTHR36073:SF1', NULL, NULL, NULL, NULL, 'OS01G0962100 PROTEIN', 178942),
(235217, 'PTHR43813:SF1', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 16, CHLOROPLASTIC-RELATED', 178943),
(235218, 'PTHR48060:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN-RELATED', 178944),
(235219, 'PTHR38382', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN', 178945),
(235220, 'PTHR11439:SF348', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178946),
(235221, 'PTHR37172:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 178947),
(235222, 'PTHR45662', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITIDE PHOSPHATASE SAC1', 178948),
(235223, 'PTHR48054:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178949),
(235224, 'PTHR31236:SF24', NULL, NULL, NULL, NULL, 'BURP DOMAIN PROTEIN RD22', 178950),
(235225, 'PTHR32212:SF317', NULL, NULL, NULL, NULL, 'BNACNNG60560D PROTEIN', 178951),
(235226, 'PTHR24418:SF422', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 178952),
(235227, 'PTHR45969:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178953),
(235228, 'PTHR30081:SF13', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLOCASE SUBUNIT SECD', 178954),
(235229, 'PTHR47972:SF30', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 178955),
(235230, 'PTHR43223:SF1', NULL, NULL, NULL, NULL, 'ALKYL/ARYL-SULFATASE BDS1', 178956),
(235231, 'PTHR34671:SF16', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN EMB564', 178957),
(235232, 'PTHR43243:SF78', NULL, NULL, NULL, NULL, 'BNAA05G32770D PROTEIN', 178958),
(235233, 'PTHR23359:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178959),
(235234, 'PTHR28173', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP8', 178960),
(235235, 'PTHR28673', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 108', 178961),
(235236, 'PTHR33214:SF54', NULL, NULL, NULL, NULL, 'BNAA02G18990D PROTEIN', 178962),
(235237, 'PTHR19860:SF10', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 12', 178963),
(235238, 'PTHR10974:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG05224', 178964),
(235239, 'PTHR26453:SF161', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T29-RELATED', 178965),
(235240, 'PTHR10502:SF25', NULL, NULL, NULL, NULL, 'ANNEXIN A3', 178966),
(235241, 'PTHR24220:SF667', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 178967),
(235242, 'PTHR12497:SF0', NULL, NULL, NULL, NULL, 'TAFAZZIN', 178968),
(235243, 'PTHR33178:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178969),
(235244, 'PTHR31677:SF132', NULL, NULL, NULL, NULL, 'BNAC06G10050D PROTEIN', 178970),
(235245, 'PTHR13962:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178971),
(235246, 'PTHR19051:SF14', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 11-1', 178972),
(235247, 'PTHR33404:SF3', NULL, NULL, NULL, NULL, 'NMDA RECEPTOR SUBUNIT EPSILON-1, PUTATIVE (DUF3598)-RELATED', 178973),
(235248, 'PTHR46340:SF1', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 1', 178974),
(235249, 'PTHR11742:SF6', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE ALPHA-1,2-MANNOSIDASE IA-RELATED', 178975);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(235250, 'PTHR31495:SF26', NULL, NULL, NULL, NULL, 'PEROXYGENASE 4-RELATED', 178976),
(235251, 'PTHR24253:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178977),
(235252, 'PTHR28580:SF1', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIH SUBUNIT 5', 178978),
(235253, 'PTHR21600:SF47', NULL, NULL, NULL, NULL, 'RNA PSEUDOURIDINE SYNTHASE 1', 178979),
(235254, 'PTHR43471:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED', 178980),
(235255, 'PTHR44169:SF5', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 178981),
(235256, 'PTHR33163:SF32', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY YCF1-LIKE PROTEIN', 178982),
(235257, 'PTHR47734:SF1', NULL, NULL, NULL, NULL, 'T-CELL IMMUNORECEPTOR WITH IG AND ITIM DOMAINS', 178983),
(235258, 'PTHR46036:SF12', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE', 178984),
(235259, 'PTHR31682:SF18', NULL, NULL, NULL, NULL, 'UDP-ARABINOPYRANOSE MUTASE 1', 178985),
(235260, 'PTHR38366', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE HST1-LIKE PROTEIN', 178986),
(235261, 'PTHR11394:SF61', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 117', 178987),
(235262, 'PTHR12770:SF31', NULL, NULL, NULL, NULL, 'PROTEIN ROOT UVB SENSITIVE 3', 178988),
(235263, 'PTHR35088:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 178', 178989),
(235264, 'PTHR33737:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178990),
(235265, 'PTHR43787:SF12', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', 178991),
(235266, 'PTHR34081:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178992),
(235267, 'PTHR34266:SF2', NULL, NULL, NULL, NULL, 'THIAZOLE SYNTHASE', 178993),
(235268, 'PTHR31627:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-16', 178994),
(235269, 'PTHR23266:SF297', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 178995),
(235270, 'PTHR34360:SF1', NULL, NULL, NULL, NULL, 'OS08G0519400 PROTEIN', 178996),
(235271, 'PTHR12542:SF40', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 178997),
(235272, 'PTHR23511:SF12', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G01740)-RELATED', 178998),
(235273, 'PTHR43406', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE, ALPHA CHAIN', 178999),
(235274, 'PTHR45752:SF111', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 179000),
(235275, 'PTHR33573:SF18', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 179001),
(235276, 'PTHR33108:SF38', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN', 179002),
(235277, 'PTHR43547:SF10', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE DCUS', 179003),
(235278, 'PTHR10353:SF141', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 34-LIKE', 179004),
(235279, 'PTHR31544:SF11', NULL, NULL, NULL, NULL, 'AIG2-LIKE PROTEIN', 179005),
(235280, 'PTHR11886:SF70', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 179006),
(235281, 'PTHR24282:SF55', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP13A3-RELATED', 179007),
(235282, 'PTHR30069:SF44', NULL, NULL, NULL, NULL, 'HEME/HEMOPEXIN UTILIZATION PROTEIN C', 179008),
(235283, 'PTHR11206:SF411', NULL, NULL, NULL, NULL, 'MULTI ANTIMICROBIAL EXTRUSION PROTEIN-RELATED', 179009),
(235284, 'PTHR11851:SF186', NULL, NULL, NULL, NULL, 'ANTILISTERIAL BACTERIOCIN SUBTILOSIN BIOSYNTHESIS PROTEIN ALBE', 179010),
(235285, 'PTHR11347:SF179', NULL, NULL, NULL, NULL, '3'',5''-CYCLIC PHOSPHODIESTERASE PDE-3-RELATED', 179011),
(235286, 'PTHR46991:SF13', NULL, NULL, NULL, NULL, 'BNAA06G35720D PROTEIN', 179012),
(235287, 'PTHR24068:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179013),
(235288, 'PTHR31989:SF275', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 13', 179014),
(235289, 'PTHR21225:SF10', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE, TYR-SENSITIVE', 179015),
(235290, 'PTHR11502', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', 179016),
(235291, 'PTHR11260:SF611', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 179017),
(235292, 'PTHR32341:SF6', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY M MEMBER 2-RELATED', 179018);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(235293, 'PTHR47966:SF1', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEINASE', 179019),
(235294, 'PTHR32468:SF126', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 18', 179020),
(235295, 'PTHR11709:SF241', NULL, NULL, NULL, NULL, 'LACCASE-14-LIKE', 179021),
(235296, 'PTHR45676:SF43', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL52-LIKE', 179022),
(235297, 'PTHR11042:SF159', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2-ALPHA KINASE 1-RELATED', 179023),
(235298, 'PTHR31707:SF268', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 58-RELATED', 179024),
(235299, 'PTHR12103', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE DOMAIN-CONTAINING', 179025),
(235300, 'PTHR31374:SF5', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR78', 179026),
(235301, 'PTHR43330:SF21', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 1C, CHLOROPLASTIC/MITOCHONDRIAL', 179027),
(235302, 'PTHR43143', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE, CALCINEURIN SUPERFAMILY', 179028),
(235303, 'PTHR24073:SF1125', NULL, NULL, NULL, NULL, 'RE48347P', 179029),
(235304, 'PTHR22738', NULL, NULL, NULL, NULL, 'RASSF', 179030),
(235305, 'PTHR33696:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179031),
(235306, 'PTHR11969:SF52', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 179032),
(235307, 'PTHR31442:SF28', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR12-LIKE', 179033),
(235308, 'PTHR24419:SF2', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE-LIKE 2', 179034),
(235309, 'PTHR19325:SF523', NULL, NULL, NULL, NULL, 'P-SELECTIN-LIKE', 179035),
(235310, 'PTHR47982:SF12', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 179036),
(235311, 'PTHR24377:SF814', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 264', 179037),
(235312, 'PTHR22595:SF135', NULL, NULL, NULL, NULL, 'OS09G0494200 PROTEIN', 179038),
(235313, 'PTHR40613:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 179039),
(235314, 'PTHR31235:SF189', NULL, NULL, NULL, NULL, 'PEROXIDASE', 179040),
(235315, 'PTHR11482:SF7', NULL, NULL, NULL, NULL, 'ANTIZYME INHIBITOR 1', 179041),
(235316, 'PTHR14146', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 4', 179042),
(235317, 'PTHR11550:SF38', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', 179043),
(235318, 'PTHR33132:SF83', NULL, NULL, NULL, NULL, 'BNAA09G04610D PROTEIN', 179044),
(235319, 'PTHR45747', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE E(Z)', 179045),
(235320, 'PTHR43222:SF7', NULL, NULL, NULL, NULL, 'MUTATOR MUTT PROTEIN (7,8-DIHYDRO-8-OXOGUANINE-TRIPHOSPHATASE)', 179046),
(235321, 'PTHR43841:SF1', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-THIOESTER DEHYDRATASE HTDX-RELATED', 179047),
(235322, 'PTHR24068:SF379', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179048),
(235323, 'PTHR46573', NULL, NULL, NULL, NULL, 'WD REPEAT, SAM AND U-BOX DOMAIN-CONTAINING PROTEIN 1', 179049),
(235324, 'PTHR33143:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179050),
(235325, 'PTHR12815:SF39', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE OMP85 FAMILY PROTEIN', 179051),
(235326, 'PTHR28026:SF11', NULL, NULL, NULL, NULL, 'BNAA08G31290D PROTEIN', 179052),
(235327, 'PTHR31956:SF25', NULL, NULL, NULL, NULL, 'SPECIFIC PHOSPHOLIPASE C, PUTATIVE-RELATED', 179053),
(235328, 'PTHR45654:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN TF1', 179054),
(235329, 'PTHR37226:SF4', NULL, NULL, NULL, NULL, 'GOLGIN FAMILY A PROTEIN', 179055),
(235330, 'PTHR45476:SF1', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 6', 179056),
(235331, 'PTHR11017:SF317', NULL, NULL, NULL, NULL, 'BNAANNG14860D PROTEIN', 179057),
(235332, 'PTHR31376:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179058),
(235333, 'PTHR12321:SF144', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 5-RELATED', 179059),
(235334, 'PTHR46234:SF13', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 179060),
(235335, 'PTHR32440:SF28', NULL, NULL, NULL, NULL, 'BNAA06G22560D PROTEIN', 179061);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(235336, 'PTHR31113:SF25', NULL, NULL, NULL, NULL, 'BNAA09G07770D PROTEIN', 179062),
(235337, 'PTHR24422', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN METHYLTRANSFERASE', 179063),
(235338, 'PTHR42673:SF7', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 2-LIKE ISOFORM X1', 179064),
(235339, 'PTHR21277:SF42', NULL, NULL, NULL, NULL, 'BNAANNG14490D PROTEIN', 179065),
(235340, 'PTHR47985:SF54', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', 179066),
(235341, 'PTHR42807', NULL, NULL, NULL, NULL, 'GLUTARYL-COA DEHYDROGENASE, MITOCHONDRIAL', 179067),
(235342, 'PTHR47977:SF35', NULL, NULL, NULL, NULL, 'RAB GTPASE-LIKE PROTEIN A5D', 179068),
(235343, 'PTHR13140:SF749', NULL, NULL, NULL, NULL, 'OS01G0584200 PROTEIN', 179069),
(235344, 'PTHR15615:SF94', NULL, NULL, NULL, NULL, 'PHO85 CYCLIN-6-RELATED', 179070),
(235345, 'PTHR35359:SF1', NULL, NULL, NULL, NULL, 'OS11G0514100 PROTEIN', 179071),
(235346, 'PTHR46867:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM9-2', 179072),
(235347, 'PTHR47991:SF32', NULL, NULL, NULL, NULL, 'PROTEIN DOWNY MILDEW RESISTANCE 6', 179073),
(235348, 'PTHR43939:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179074),
(235349, 'PTHR27007:SF150', NULL, NULL, NULL, NULL, 'LECTIN-LIKE RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', 179075),
(235350, 'PTHR23195:SF27', NULL, NULL, NULL, NULL, 'ENL/AF9-RELATED, ISOFORM B', 179076),
(235351, 'PTHR47978:SF26', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-33', 179077),
(235352, 'PTHR24072:SF17', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOJ', 179078),
(235353, 'PTHR33110:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179079),
(235354, 'PTHR46148:SF3', NULL, NULL, NULL, NULL, 'GYPSY RETROTRANSPOSON INTEGRASE-LIKE PROTEIN 1', 179080),
(235355, 'PTHR13005:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH HYDROPHOBIC DOMAIN-CONTAINING PROTEIN 2', 179081),
(235356, 'PTHR19433:SF112', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 4', 179082),
(235357, 'PTHR32077:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179083),
(235358, 'PTHR45979:SF22', NULL, NULL, NULL, NULL, 'BNAC07G32340D PROTEIN', 179084),
(235359, 'PTHR46581:SF8', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 179085),
(235360, 'PTHR13596:SF11', NULL, NULL, NULL, NULL, 'SERF-LIKE PROTEIN-RELATED', 179086),
(235361, 'PTHR33124:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179087),
(235362, 'PTHR34583:SF2', NULL, NULL, NULL, NULL, 'ANTIPORTER SUBUNIT MNHC2-RELATED', 179088),
(235363, 'PTHR46758:SF4', NULL, NULL, NULL, NULL, 'MYND FINGER FAMILY PROTEIN, EXPRESSED', 179089),
(235364, 'PTHR13693:SF94', NULL, NULL, NULL, NULL, '8-AMINO-7-OXONONANOATE SYNTHASE 2-RELATED', 179090),
(235365, 'PTHR16684:SF11', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN C', 179091),
(235366, 'PTHR24296:SF201', NULL, NULL, NULL, NULL, 'BNACNNG36830D PROTEIN', 179092),
(235367, 'PTHR21562:SF88', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 179093),
(235368, 'PTHR31003:SF19', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', 179094),
(235369, 'PTHR35202:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179095),
(235370, 'PTHR48017:SF127', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 3', 179096),
(235371, 'PTHR38030:SF2', NULL, NULL, NULL, NULL, 'PROTOPORPHYRINOGEN IX DEHYDROGENASE [MENAQUINONE]', 179097),
(235372, 'PTHR23117:SF18', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND GUANYLATE KINASE DOMAIN-CONTAINING PROTEIN', 179098),
(235373, 'PTHR23235:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP3', 179099),
(235374, 'PTHR12299:SF46', NULL, NULL, NULL, NULL, 'HYALURONAN / MRNA BINDING FAMILY', 179100),
(235375, 'PTHR21106:SF2', NULL, NULL, NULL, NULL, 'GM23292P', 179101),
(235376, 'PTHR46105:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 7B', 179102),
(235377, 'PTHR30055:SF180', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR TETR FAMILY', 179103),
(235378, 'PTHR46128:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179104);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(235379, 'PTHR31384:SF27', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 10', 179105),
(235380, 'PTHR45693:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA9', 179106),
(235381, 'PTHR33385:SF19', NULL, NULL, NULL, NULL, 'BNAA02G30390D PROTEIN', 179107),
(235382, 'PTHR24302:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 3, SUBFAMILY C, POLYPEPTIDE 4-RELATED', 179108),
(235383, 'PTHR31731:SF12', NULL, NULL, NULL, NULL, 'OS03G0718800 PROTEIN', 179109),
(235384, 'PTHR31865:SF29', NULL, NULL, NULL, NULL, 'BNAA04G24650D PROTEIN', 179110),
(235385, 'PTHR47687:SF4', NULL, NULL, NULL, NULL, 'G8 DOMAIN-CONTAINING PROTEIN DDB_G0288475-RELATED', 179111),
(235386, 'PTHR24082:SF38', NULL, NULL, NULL, NULL, 'VITAMIN D3 RECEPTOR', 179112),
(235387, 'PTHR11571:SF105', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 179113),
(235388, 'PTHR46604:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MID1-COMPLEMENTING ACTIVITY 1', 179114),
(235389, 'PTHR23389:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME TRANSMISSION FIDELITY PROTEIN 18 HOMOLOG', 179115),
(235390, 'PTHR11588:SF291', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2 CHAIN', 179116),
(235391, 'PTHR31683:SF138', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 179117),
(235392, 'PTHR19879', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID', 179118),
(235393, 'PTHR45894:SF6', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN Y14A-LIKE', 179119),
(235394, 'PTHR16469:SF27', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', 179120),
(235395, 'PTHR23105:SF160', NULL, NULL, NULL, NULL, 'BNAC09G37610D PROTEIN', 179121),
(235396, 'PTHR31338:SF29', NULL, NULL, NULL, NULL, 'BNAA08G20640D PROTEIN', 179122),
(235397, 'PTHR10476:SF54', NULL, NULL, NULL, NULL, 'SNF7 FAMILY-RELATED', 179123),
(235398, 'PTHR45754:SF3', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE', 179124),
(235399, 'PTHR31375:SF6', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11980)-RELATED', 179125),
(235400, 'PTHR32468:SF74', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', 179126),
(235401, 'PTHR35247', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 43', 179127),
(235402, 'PTHR10134', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE, MITOCHONDRIAL', 179128),
(235403, 'PTHR45750:SF4', NULL, NULL, NULL, NULL, 'BNAC04G26160D PROTEIN', 179129),
(235404, 'PTHR27008:SF447', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179130),
(235405, 'PTHR47926:SF132', NULL, NULL, NULL, NULL, 'BNAA02G26650D PROTEIN', 179131),
(235406, 'PTHR24410:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179132),
(235407, 'PTHR24009:SF31', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 53-LIKE ISOFORM X1', 179133),
(235408, 'PTHR33711:SF8', NULL, NULL, NULL, NULL, 'PROTOCATECHUATE 3,4-DIOXYGENASE BETA CHAIN', 179134),
(235409, 'PTHR33882:SF2', NULL, NULL, NULL, NULL, 'PATHOGENIC TYPE III EFFECTOR AVIRULENCE FACTOR AVR AVRRPT-CLEAVAGE: CLEAVAGE SITE PROTEIN', 179135),
(235410, 'PTHR22923:SF102', NULL, NULL, NULL, NULL, 'CEREBELLIN 11-RELATED', 179136),
(235411, 'PTHR36401:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 8, MITOCHONDRIAL', 179137),
(235412, 'PTHR11716', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2 FAMILY MEMBER', 179138),
(235413, 'PTHR37832', NULL, NULL, NULL, NULL, 'BLL2683 PROTEIN', 179139),
(235414, 'PTHR12935:SF13', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLCYCLOTRANSFERASE A', 179140),
(235415, 'PTHR21422:SF9', NULL, NULL, NULL, NULL, 'RAB3 GTPASE-ACTIVATING PROTEIN CATALYTIC SUBUNIT', 179141),
(235416, 'PTHR43795:SF54', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 5', 179142),
(235417, 'PTHR48098:SF3', NULL, NULL, NULL, NULL, 'ENTEROCHELIN ESTERASE', 179143),
(235418, 'PTHR47986:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE TMK1-RELATED', 179144),
(235419, 'PTHR11850:SF205', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN TGIF2LX-RELATED', 179145),
(235420, 'PTHR48199', NULL, NULL, NULL, NULL, 'ALPHA KAFIRIN', 179146),
(235421, 'PTHR16134:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179147);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(235422, 'PTHR10663:SF320', NULL, NULL, NULL, NULL, 'CYTOHESIN-3', 179148),
(235423, 'PTHR11505:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179149),
(235424, 'PTHR12289:SF68', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 179150),
(235425, 'PTHR44167:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CHK2', 179151),
(235426, 'PTHR33132:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179152),
(235427, 'PTHR30352:SF24', NULL, NULL, NULL, NULL, 'RADICAL SAM PROTEIN TATD FAMILY-ASSOCIATED', 179153),
(235428, 'PTHR21600:SF40', NULL, NULL, NULL, NULL, 'RNA PSEUDOURIDYLATE SYNTHASE DOMAIN-CONTAINING PROTEIN 2', 179154),
(235429, 'PTHR46818:SF1', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 179155),
(235430, 'PTHR46354:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DOG1-LIKE 1', 179156),
(235431, 'PTHR45619:SF16', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-1 CATALYTIC SUBUNIT', 179157),
(235432, 'PTHR12697:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179158),
(235433, 'PTHR34061:SF19', NULL, NULL, NULL, NULL, 'OS10G0502100 PROTEIN', 179159),
(235434, 'PTHR31442:SF13', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR21-LIKE', 179160),
(235435, 'PTHR10380:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179161),
(235436, 'PTHR30126:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 179162),
(235437, 'PTHR33873:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR VOZ1-LIKE', 179163),
(235438, 'PTHR24174:SF6', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR ADAPTOR PROTEIN 1', 179164),
(235439, 'PTHR34054:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179165),
(235440, 'PTHR47788:SF1', NULL, NULL, NULL, NULL, 'POLYA POLYMERASE', 179166),
(235441, 'PTHR19359', NULL, NULL, NULL, NULL, 'CYTOCHROME B5', 179167),
(235442, 'PTHR23291:SF47', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930511M11, ISOFORM CRA_C', 179168),
(235443, 'PTHR28603:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 243', 179169),
(235444, 'PTHR22227:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAM122C ISOFORM X8', 179170),
(235445, 'PTHR10357:SF202', NULL, NULL, NULL, NULL, 'MALTASE 1-LIKE PROTEIN', 179171),
(235446, 'PTHR11728:SF40', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)]', 179172),
(235447, 'PTHR10218:SF180', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-4 SUBUNIT-RELATED', 179173),
(235448, 'PTHR35469:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179174),
(235449, 'PTHR37891:SF1', NULL, NULL, NULL, NULL, 'OS06G0113900 PROTEIN', 179175),
(235450, 'PTHR10173:SF52', NULL, NULL, NULL, NULL, 'METHIONINE-R-SULFOXIDE REDUCTASE B1', 179176),
(235451, 'PTHR12396:SF46', NULL, NULL, NULL, NULL, 'METHYL-CPG BINDING DOMAIN PROTEIN-LIKE, ISOFORM C', 179177),
(235452, 'PTHR47998:SF11', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 5 ISOFORM 1', 179178),
(235453, 'PTHR26452:SF818', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AC2', 179179),
(235454, 'PTHR12735', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN-RELATED', 179180),
(235455, 'PTHR40697:SF3', NULL, NULL, NULL, NULL, 'ACETOIN CATABOLISM PROTEIN X', 179181),
(235456, 'PTHR34305:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 179182),
(235457, 'PTHR10782:SF85', NULL, NULL, NULL, NULL, 'BNAA10G13230D PROTEIN', 179183),
(235458, 'PTHR11510:SF20', NULL, NULL, NULL, NULL, 'BNAA04G12720D PROTEIN', 179184),
(235459, 'PTHR46008:SF30', NULL, NULL, NULL, NULL, 'BNAC06G27840D PROTEIN', 179185),
(235460, 'PTHR24256:SF504', NULL, NULL, NULL, NULL, 'SERINE PROTEASE H35', 179186),
(235461, 'PTHR31225:SF58', NULL, NULL, NULL, NULL, '(E,E)-GERMACRENE B SYNTHASE-LIKE', 179187),
(235462, 'PTHR10795:SF585', NULL, NULL, NULL, NULL, 'OS01G0868900 PROTEIN', 179188),
(235463, 'PTHR31032:SF1', NULL, NULL, NULL, NULL, 'PGR5-LIKE PROTEIN 1B, CHLOROPLASTIC', 179189),
(235464, 'PTHR33377:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179190),
(235465, 'PTHR12320:SF47', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 179191),
(235466, 'PTHR23147:SF65', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 5 ALPHA', 179192);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(235467, 'PTHR35740:SF4', NULL, NULL, NULL, NULL, 'BNAA09G35720D PROTEIN', 179193),
(235468, 'PTHR31717:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 11-RELATED', 179194),
(235469, 'PTHR10590:SF13', NULL, NULL, NULL, NULL, 'NUCLEOSIDE PERMEASE NUPC', 179195),
(235470, 'PTHR23417:SF23', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(7)-)-METHYLTRANSFERASE', 179196),
(235471, 'PTHR31338', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', 179197),
(235472, 'PTHR45650:SF16', NULL, NULL, NULL, NULL, 'OS02G0732800 PROTEIN', 179198),
(235473, 'PTHR11732:SF475', NULL, NULL, NULL, NULL, 'PROTEIN CBG11027', 179199),
(235474, 'PTHR21089:SF32', NULL, NULL, NULL, NULL, 'BNAC03G34680D PROTEIN', 179200),
(235475, 'PTHR11958:SF24', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER 1', 179201),
(235476, 'PTHR10285:SF183', NULL, NULL, NULL, NULL, 'BNAA03G17760D PROTEIN', 179202),
(235477, 'PTHR31218:SF254', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 179203),
(235478, 'PTHR28599:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 1 OPEN READING FRAME 212', 179204),
(235479, 'PTHR31251:SF135', NULL, NULL, NULL, NULL, 'BNAA06G36780D PROTEIN', 179205),
(235480, 'PTHR19961:SF59', NULL, NULL, NULL, NULL, 'FIMBRIN-2', 179206),
(235481, 'PTHR34780:SF5', NULL, NULL, NULL, NULL, 'OS08G0427800 PROTEIN', 179207),
(235482, 'PTHR16243', NULL, NULL, NULL, NULL, 'BTG3-ASSOCIATED NUCLEAR PROTEIN BANP', 179208),
(235483, 'PTHR14237:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179209),
(235484, 'PTHR10283:SF65', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 13 MEMBER 1', 179210),
(235485, 'PTHR33710:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179211),
(235486, 'PTHR25952', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 179212),
(235487, 'PTHR43820:SF6', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 179213),
(235488, 'PTHR47217:SF1', NULL, NULL, NULL, NULL, 'GLOBIN-LIKE PROTEIN', 179214),
(235489, 'PTHR30182:SF6', NULL, NULL, NULL, NULL, 'L-SERINE DEHYDRATASE TDCG', 179215),
(235490, 'PTHR13935:SF127', NULL, NULL, NULL, NULL, 'BNAUNNG04210D PROTEIN', 179216),
(235491, 'PTHR10334:SF418', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179217),
(235492, 'PTHR22573:SF57', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE', 179218),
(235493, 'PTHR11732:SF469', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN-RELATED', 179219),
(235494, 'PTHR28202:SF1', NULL, NULL, NULL, NULL, 'ASSEMBLY FACTOR CBP4', 179220),
(235495, 'PTHR35035:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179221),
(235496, 'PTHR24015:SF328', NULL, NULL, NULL, NULL, 'OS06G0611200 PROTEIN', 179222),
(235497, 'PTHR35697:SF12', NULL, NULL, NULL, NULL, 'OSJNBA0006B20.17 PROTEIN', 179223),
(235498, 'PTHR11699:SF272', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 179224),
(235499, 'PTHR26453:SF186', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 179225),
(235500, 'PTHR45712:SF17', NULL, NULL, NULL, NULL, 'ZGC:113307', 179226),
(235501, 'PTHR31776:SF16', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE 1-LIKE', 179227),
(235502, 'PTHR11199:SF0', NULL, NULL, NULL, NULL, 'LD34181P-RELATED', 179228),
(235503, 'PTHR35831', NULL, NULL, NULL, NULL, 'OS01G0642200 PROTEIN', 179229),
(235504, 'PTHR31642:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179230),
(235505, 'PTHR46891:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 179231),
(235506, 'PTHR31190:SF223', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 179232),
(235507, 'PTHR32481:SF20', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE YSDC-RELATED', 179233),
(235508, 'PTHR24416:SF556', NULL, NULL, NULL, NULL, 'DISCOIDIN DOMAIN RECEPTOR, ISOFORM F', 179234),
(235509, 'PTHR30204:SF70', NULL, NULL, NULL, NULL, 'NODULATION PROTEIN NOLA', 179235),
(235510, 'PTHR43327:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179236),
(235511, 'PTHR46085:SF3', NULL, NULL, NULL, NULL, 'OS02G0208900 PROTEIN', 179237),
(235512, 'PTHR17085', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 4', 179238);
INSERT INTO "PUBLIC"."MODEL" VALUES
(235513, 'PTHR22765:SF315', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', 179239),
(235514, 'PTHR36141:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179240),
(235515, 'PTHR11662:SF418', NULL, NULL, NULL, NULL, 'VESICULAR GLUTAMATE TRANSPORTER, ISOFORM A', 179241),
(235516, 'PTHR36405:SF1', NULL, NULL, NULL, NULL, 'BNAA10G09140D PROTEIN', 179242),
(235517, 'PTHR22802:SF383', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 179243),
(235518, 'PTHR33931', NULL, NULL, NULL, NULL, 'HOLIN-LIKE PROTEIN CIDA-RELATED', 179244),
(235519, 'PTHR27006:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179245),
(235520, 'PTHR11802:SF395', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 179246),
(235521, 'PTHR47872', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR SDE5-RELATED', 179247),
(235522, 'PTHR46553:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179248),
(235523, 'PTHR31723:SF8', NULL, NULL, NULL, NULL, 'PATHOGEN-RELATED PROTEIN-LIKE', 179249),
(235524, 'PTHR23226:SF74', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 500', 179250),
(235525, 'PTHR43456:SF2', NULL, NULL, NULL, NULL, 'RIESKE (2FE-2S) DOMAIN-CONTAINING PROTEIN', 179251),
(235526, 'PTHR33154:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, ARSR FAMILY', 179252),
(235527, 'PTHR19876:SF53', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''', 179253),
(235528, 'PTHR31080:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179254),
(235529, 'PTHR10224', NULL, NULL, NULL, NULL, 'ES1 PROTEIN HOMOLOG, MITOCHONDRIAL', 179255),
(235530, 'PTHR13809:SF48', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA-RELATED', 179256),
(235531, 'PTHR33593:SF27', NULL, NULL, NULL, NULL, 'BNAA09G38980D PROTEIN', 179257),
(235532, 'PTHR11477:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN 1', 179258),
(235533, 'PTHR45625:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-LIKE 3', 179259),
(235534, 'PTHR48103:SF2', NULL, NULL, NULL, NULL, 'MIDASIN', 179260),
(235535, 'PTHR47665', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE-LIKE PROTEIN', 179261),
(235536, 'PTHR33184:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179262),
(235537, 'PTHR43656:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG20577', 179263),
(235538, 'PTHR30118:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 179264),
(235539, 'PTHR30587:SF3', NULL, NULL, NULL, NULL, 'VIRULENCE PROTEIN YSCR', 179265),
(235540, 'PTHR33128:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179266),
(235541, 'PTHR31874:SF44', NULL, NULL, NULL, NULL, 'BNAA02G13920D PROTEIN', 179267),
(235542, 'PTHR11654:SF319', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.7-LIKE', 179268),
(235543, 'PTHR31428:SF4', NULL, NULL, NULL, NULL, 'REPULSIVE GUIDANCE MOLECULE A', 179269),
(235544, 'PTHR30004:SF6', NULL, NULL, NULL, NULL, 'D-THREONATE 4-PHOSPHATE DEHYDROGENASE', 179270),
(235545, 'PTHR40077:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 179271),
(235546, 'PTHR43112:SF23', NULL, NULL, NULL, NULL, 'FERREDOXIN-4, CHLOROPLASTIC-RELATED', 179272),
(235547, 'PTHR45764:SF31', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 1', 179273),
(235548, 'PTHR33044:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179274),
(235549, 'PTHR31235:SF217', NULL, NULL, NULL, NULL, 'PEROXIDASE', 179275),
(235550, 'PTHR24373:SF311', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEATS AND IMMUNOGLOBULIN-LIKE DOMAINS PROTEIN 3', 179276),
(235551, 'PTHR31471:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179277),
(235552, 'PTHR31703', NULL, NULL, NULL, NULL, 'UPF0669 PROTEIN C6ORF120', 179278),
(235553, 'PTHR24286:SF288', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 179279),
(235554, 'PTHR27004:SF379', NULL, NULL, NULL, NULL, 'BNAC04G42620D PROTEIN', 179280),
(235555, 'PTHR12313:SF67', NULL, NULL, NULL, NULL, 'BNAC07G50700D PROTEIN', 179281),
(235556, 'PTHR24161:SF20', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SAM DOMAIN-CONTAINING PROTEIN 4B', 179282),
(235557, 'PTHR10672:SF26', NULL, NULL, NULL, NULL, 'ADDUCIN-RELATED PROTEIN 1', 179283);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(235558, 'PTHR24083:SF167', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 4, GAMMA', 179284),
(235559, 'PTHR24349:SF167', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 30', 179285),
(235560, 'PTHR15741', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX ZIP TRANSCRIPTION FACTOR', 179286),
(235561, 'PTHR43066:SF12', NULL, NULL, NULL, NULL, 'RHOMBOID DOMAIN-CONTAINING 2', 179287),
(235562, 'PTHR11895:SF151', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT A', 179288),
(235563, 'PTHR24064:SF491', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179289),
(235564, 'PTHR47992:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179290),
(235565, 'PTHR43691:SF3', NULL, NULL, NULL, NULL, 'FI09636P-RELATED', 179291),
(235566, 'PTHR11576', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA SPERM-BINDING PROTEIN 3', 179292),
(235567, 'PTHR32122', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT A', 179293),
(235568, 'PTHR24064:SF580', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 179294),
(235569, 'PTHR48018:SF90', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AK2', 179295),
(235570, 'PTHR31589:SF24', NULL, NULL, NULL, NULL, 'OS07G0573400 PROTEIN', 179296),
(235571, 'PTHR35292:SF7', NULL, NULL, NULL, NULL, 'BNAA07G00590D PROTEIN', 179297),
(235572, 'PTHR11139:SF111', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SMG1', 179298),
(235573, 'PTHR43524:SF1', NULL, NULL, NULL, NULL, 'RADICAL SAM SUPERFAMILY PROTEIN', 179299),
(235574, 'PTHR45994:SF2', NULL, NULL, NULL, NULL, 'PROTEIN UNC-45 HOMOLOG B', 179300),
(235575, 'PTHR11220:SF59', NULL, NULL, NULL, NULL, 'HEME-BINDING PROTEIN 2-LIKE', 179301),
(235576, 'PTHR24298:SF850', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 179302),
(235577, 'PTHR12675:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 10', 179303),
(235578, 'PTHR13809:SF11', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-3', 179304),
(235579, 'PTHR31867:SF85', NULL, NULL, NULL, NULL, 'EXPANSIN', 179305),
(235580, 'PTHR45959:SF25', NULL, NULL, NULL, NULL, 'SYMBIOTIC AMMONIUM TRANSPORTER', 179306),
(235581, 'PTHR33701', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 179307),
(235582, 'PTHR22876:SF5', NULL, NULL, NULL, NULL, 'ZGC:101016', 179308),
(235583, 'PTHR47438', NULL, NULL, NULL, NULL, 'PHOSPHATE METABOLISM PROTEIN 8-RELATED', 179309),
(235584, 'PTHR12277:SF175', NULL, NULL, NULL, NULL, 'OS02G0190800 PROTEIN', 179310),
(235585, 'PTHR12262:SF17', NULL, NULL, NULL, NULL, 'CELL DIFFERENTIATION, RCD1-LIKE PROTEIN', 179311),
(235586, 'PTHR33169:SF13', NULL, NULL, NULL, NULL, 'PADR-FAMILY TRANSCRIPTIONAL REGULATOR', 179312),
(235587, 'PTHR47977:SF41', NULL, NULL, NULL, NULL, 'BNAC07G34400D PROTEIN', 179313),
(235588, 'PTHR34676:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179314),
(235589, 'PTHR10362:SF34', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', 179315),
(235590, 'PTHR15020:SF38', NULL, NULL, NULL, NULL, 'UPF0659 PROTEIN YMR090W', 179316),
(235591, 'PTHR33237', NULL, NULL, NULL, NULL, 'F2P16.13 PROTEIN-RELATED', 179317),
(235592, 'PTHR24198:SF178', NULL, NULL, NULL, NULL, 'TNNI3 INTERACTING KINASE', 179318),
(235593, 'PTHR12035:SF113', NULL, NULL, NULL, NULL, 'SIGLEC FAMILY-LIKE PROTEIN 1', 179319),
(235594, 'PTHR33138:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179320),
(235595, 'PTHR32410:SF187', NULL, NULL, NULL, NULL, 'ZINC FINGER, PHD-TYPE-RELATED', 179321),
(235596, 'PTHR13516:SF19', NULL, NULL, NULL, NULL, 'OSJNBA0042L16.6 PROTEIN', 179322),
(235597, 'PTHR31549:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179323),
(235598, 'PTHR31343:SF30', NULL, NULL, NULL, NULL, 'BNACNNG50270D PROTEIN', 179324),
(235599, 'PTHR10593:SF158', NULL, NULL, NULL, NULL, 'BNAA06G34330D PROTEIN', 179325),
(235600, 'PTHR47982:SF37', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK13', 179326),
(235601, 'PTHR12322:SF71', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR A1', 179327);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(235602, 'PTHR34533:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 159', 179328),
(235603, 'PTHR33184:SF28', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 179329),
(235604, 'PTHR37336:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO 9930012K11RIK PROTEIN', 179330),
(235605, 'PTHR46089:SF1', NULL, NULL, NULL, NULL, 'ALS2 C-TERMINAL-LIKE PROTEIN', 179331),
(235606, 'PTHR43413', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, ASNC FAMILY', 179332),
(235607, 'PTHR24067:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179333),
(235608, 'PTHR10174:SF213', NULL, NULL, NULL, NULL, 'ALPHA-TOCOPHEROL TRANSFER PROTEIN-LIKE', 179334),
(235609, 'PTHR11921:SF36', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE IRON-SULFUR SUBUNIT', 179335),
(235610, 'PTHR44337', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 8', 179336),
(235611, 'PTHR16223:SF138', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH112', 179337),
(235612, 'PTHR11571:SF153', NULL, NULL, NULL, NULL, 'PROTEIN CBG04233', 179338),
(235613, 'PTHR43340:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179339),
(235614, 'PTHR24056:SF446', NULL, NULL, NULL, NULL, 'BNAC08G13720D PROTEIN', 179340),
(235615, 'PTHR47784:SF8', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 179341),
(235616, 'PTHR15896:SF8', NULL, NULL, NULL, NULL, 'GOLGI MEMBRANE PROTEIN 1', 179342),
(235617, 'PTHR24015:SF1680', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 179343),
(235618, 'PTHR24056:SF335', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE B1-1', 179344),
(235619, 'PTHR12000:SF34', NULL, NULL, NULL, NULL, 'PREPROLEGUMAIN-RELATED', 179345),
(235620, 'PTHR13077', NULL, NULL, NULL, NULL, 'SELENOPROTEIN F', 179346),
(235621, 'PTHR47991:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE', 179347),
(235622, 'PTHR46779:SF4', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE-LIKE PROTEIN 1 ISOFORM X1', 179348),
(235623, 'PTHR31860:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179349),
(235624, 'PTHR13493', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING', 179350),
(235625, 'PTHR37366', NULL, NULL, NULL, NULL, 'SPERM ACROSOME MEMBRANE-ASSOCIATED PROTEIN 6', 179351),
(235626, 'PTHR33103:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179352),
(235627, 'PTHR23073:SF123', NULL, NULL, NULL, NULL, 'BNAC02G30020D PROTEIN', 179353),
(235628, 'PTHR43057', NULL, NULL, NULL, NULL, 'ARSENITE EFFLUX TRANSPORTER', 179354),
(235629, 'PTHR24034:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179355),
(235630, 'PTHR12565:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179356),
(235631, 'PTHR34630:SF30', NULL, NULL, NULL, NULL, 'OF AVRB OPERATION PROTEIN, PUTATIVE-RELATED', 179357),
(235632, 'PTHR12509:SF8', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 4', 179358),
(235633, 'PTHR33090:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179359),
(235634, 'PTHR23345:SF29', NULL, NULL, NULL, NULL, 'VITELLOGENIN 3, PHOSVITINLESS', 179360),
(235635, 'PTHR12277:SF52', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE DOMAIN-CONTAINING PROTEIN 17A', 179361),
(235636, 'PTHR48104:SF12', NULL, NULL, NULL, NULL, 'BNAA09G10690D PROTEIN', 179362),
(235637, 'PTHR13070:SF0', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN34', 179363),
(235638, 'PTHR33210', NULL, NULL, NULL, NULL, 'PROTODERMAL FACTOR 1', 179364),
(235639, 'PTHR26451:SF52', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 12D1', 179365),
(235640, 'PTHR11246:SF18', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 179366),
(235641, 'PTHR47972:SF13', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', 179367),
(235642, 'PTHR39113', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', 179368),
(235643, 'PTHR36786', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE', 179369),
(235644, 'PTHR33155:SF17', NULL, NULL, NULL, NULL, 'F2E2.18-RELATED', 179370),
(235645, 'PTHR13161', NULL, NULL, NULL, NULL, 'SPLICING FACTOR  SUPPRESSOR OF WHITE APRICOT', 179371);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(235646, 'PTHR31920:SF66', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN', 179372),
(235647, 'PTHR23505', NULL, NULL, NULL, NULL, 'SPINSTER', 179373),
(235648, 'PTHR31972:SF45', NULL, NULL, NULL, NULL, 'BNAC05G52260D PROTEIN', 179374),
(235649, 'PTHR47988:SF10', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 3', 179375),
(235650, 'PTHR19970:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39-1', 179376),
(235651, 'PTHR11216:SF64', NULL, NULL, NULL, NULL, 'RALBP1-ASSOCIATED EPS DOMAIN-CONTAINING PROTEIN 2', 179377),
(235652, 'PTHR19282:SF249', NULL, NULL, NULL, NULL, 'TETRASPANIN-18', 179378),
(235653, 'PTHR31928:SF14', NULL, NULL, NULL, NULL, 'DUF936 FAMILY PROTEIN', 179379),
(235654, 'PTHR35497:SF1', NULL, NULL, NULL, NULL, 'ACYL-UDP-N-ACETYLGLUCOSAMINE O-ACYLTRANSFERASE', 179380),
(235655, 'PTHR23257:SF878', NULL, NULL, NULL, NULL, 'PAS DOMAIN-CONTAINING PROTEIN TYROSINE KINASE FAMILY PROTEIN-RELATED', 179381),
(235656, 'PTHR46011:SF23', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-121', 179382),
(235657, 'PTHR31956:SF8', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE PHOA (AFU_ORTHOLOGUE AFUA_1G03570)', 179383),
(235658, 'PTHR31413:SF30', NULL, NULL, NULL, NULL, 'BNAA09G02630D PROTEIN', 179384),
(235659, 'PTHR11630:SF93', NULL, NULL, NULL, NULL, 'DNA HELICASE', 179385),
(235660, 'PTHR45621:SF138', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 179386),
(235661, 'PTHR12307:SF47', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT', 179387),
(235662, 'PTHR10110:SF166', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER NHX-9-RELATED', 179388),
(235663, 'PTHR31734:SF134', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 179389),
(235664, 'PTHR35201', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE', 179390),
(235665, 'PTHR48107:SF1', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', 179391),
(235666, 'PTHR31983:SF14', NULL, NULL, NULL, NULL, 'ENDO-1,3(4)-BETA-GLUCANASE 2', 179392),
(235667, 'PTHR33794', NULL, NULL, NULL, NULL, 'BACILLOLYSIN', 179393),
(235668, 'PTHR46667', NULL, NULL, NULL, NULL, 'OS05G0182700 PROTEIN', 179394),
(235669, 'PTHR21649:SF116', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 179395),
(235670, 'PTHR46402:SF2', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN 5', 179396),
(235671, 'PTHR43134:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179397),
(235672, 'PTHR14089:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179398),
(235673, 'PTHR24223:SF329', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 10-RELATED', 179399),
(235674, 'PTHR28523', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 1', 179400),
(235675, 'PTHR46067:SF27', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 179401),
(235676, 'PTHR46735:SF4', NULL, NULL, NULL, NULL, 'CALPAIN SMALL SUBUNIT 2', 179402),
(235677, 'PTHR31115:SF7', NULL, NULL, NULL, NULL, 'PLANT/F27B13-30 PROTEIN', 179403),
(235678, 'PTHR40626:SF14', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZINC FINGER DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G02360)', 179404),
(235679, 'PTHR31472:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179405),
(235680, 'PTHR44916', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', 179406),
(235681, 'PTHR47126:SF5', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE-LIKE 5', 179407),
(235682, 'PTHR42893:SF38', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 44, CHLOROPLASTIC-RELATED', 179408),
(235683, 'PTHR46623:SF3', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE-RELATED', 179409),
(235684, 'PTHR12446:SF47', NULL, NULL, NULL, NULL, 'OS08G0369600 PROTEIN', 179410),
(235685, 'PTHR12228:SF12', NULL, NULL, NULL, NULL, 'BNAANNG35590D PROTEIN', 179411),
(235686, 'PTHR45634:SF11', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE-RELATED', 179412),
(235687, 'PTHR30546:SF7', NULL, NULL, NULL, NULL, 'OS03G0748500 PROTEIN', 179413),
(235688, 'PTHR10996:SF237', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3-LIKE', 179414);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(235689, 'PTHR10177:SF433', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN CYCLIN', 179415),
(235690, 'PTHR45707:SF7', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', 179416),
(235691, 'PTHR41156', NULL, NULL, NULL, NULL, 'AGAP006184-PA', 179417),
(235692, 'PTHR33207:SF2', NULL, NULL, NULL, NULL, 'OS09G0324300 PROTEIN', 179418),
(235693, 'PTHR47325:SF2', NULL, NULL, NULL, NULL, 'SET DOMAIN PROTEIN', 179419),
(235694, 'PTHR43418:SF10', NULL, NULL, NULL, NULL, 'AMINODEOXYCHORISMATE SYNTHASE, CHLOROPLASTIC-LIKE', 179420),
(235695, 'PTHR31190:SF318', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', 179421),
(235696, 'PTHR31677:SF146', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ESR1', 179422),
(235697, 'PTHR24096:SF371', NULL, NULL, NULL, NULL, 'BNAA06G14440D PROTEIN', 179423),
(235698, 'PTHR39677', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC6', 179424),
(235699, 'PTHR24299:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 179425),
(235700, 'PTHR23421:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179426),
(235701, 'PTHR10509:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179427),
(235702, 'PTHR11439:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179428),
(235703, 'PTHR33432:SF15', NULL, NULL, NULL, NULL, 'EMSY N TERMINUS (ENT)/ PLANT TUDOR-LIKE DOMAINS-CONTAINING PROTEIN', 179429),
(235704, 'PTHR31189:SF38', NULL, NULL, NULL, NULL, '12S SEED STORAGE PROTEIN CRD', 179430),
(235705, 'PTHR11654:SF536', NULL, NULL, NULL, NULL, 'BNAA06G13070D PROTEIN', 179431),
(235706, 'PTHR43649:SF7', NULL, NULL, NULL, NULL, 'BINDING PROTEIN MSME-RELATED', 179432),
(235707, 'PTHR47993:SF136', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE PROTEIN', 179433),
(235708, 'PTHR13301:SF180', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN', 179434),
(235709, 'PTHR32410:SF165', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', 179435),
(235710, 'PTHR12480:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179436),
(235711, 'PTHR24055:SF382', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 1-LIKE', 179437),
(235712, 'PTHR10507', NULL, NULL, NULL, NULL, 'CDC45-RELATED PROTEIN', 179438),
(235713, 'PTHR14582:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN O', 179439),
(235714, 'PTHR35546:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179440),
(235715, 'PTHR45959:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR NAI1', 179441),
(235716, 'PTHR33326:SF38', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 179442),
(235717, 'PTHR31395:SF11', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-LIKE-1', 179443),
(235718, 'PTHR11655:SF17', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L6-RELATED', 179444),
(235719, 'PTHR12565:SF372', NULL, NULL, NULL, NULL, 'BNAC06G42050D PROTEIN', 179445),
(235720, 'PTHR21680:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 124', 179446),
(235721, 'PTHR22798', NULL, NULL, NULL, NULL, 'MCT-1 PROTEIN', 179447),
(235722, 'PTHR45085:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179448),
(235723, 'PTHR30352:SF14', NULL, NULL, NULL, NULL, 'PYRUVATE FORMATE-LYASE 3-ACTIVATING ENZYME-RELATED', 179449),
(235724, 'PTHR45620:SF25', NULL, NULL, NULL, NULL, 'GLUCAGON-LIKE PEPTIDE 1 RECEPTOR', 179450),
(235725, 'PTHR11113', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-PHOSPHATE DEACETYLASE', 179451),
(235726, 'PTHR33207:SF63', NULL, NULL, NULL, NULL, 'OS04G0349550 PROTEIN', 179452),
(235727, 'PTHR12740:SF3', NULL, NULL, NULL, NULL, 'JNK1/MAPK8-ASSOCIATED MEMBRANE PROTEIN', 179453),
(235728, 'PTHR11510:SF21', NULL, NULL, NULL, NULL, 'INOSITOL-3-PHOSPHATE SYNTHASE-LIKE', 179454),
(235729, 'PTHR31238:SF171', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 179455),
(235730, 'PTHR34371:SF6', NULL, NULL, NULL, NULL, 'OS01G0551000 PROTEIN', 179456),
(235731, 'PTHR31376:SF93', NULL, NULL, NULL, NULL, 'PURINE PERMEASE, PLANT-RELATED', 179457),
(235732, 'PTHR42811:SF18', NULL, NULL, NULL, NULL, 'BNAA05G13500D PROTEIN', 179458),
(235733, 'PTHR18945:SF751', NULL, NULL, NULL, NULL, 'SI:CH211-39A7.1', 179459);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(235734, 'PTHR46662:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179460),
(235735, 'PTHR23500:SF469', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', 179461),
(235736, 'PTHR15356:SF0', NULL, NULL, NULL, NULL, 'NEUROTENSIN/NEUROMEDIN N', 179462),
(235737, 'PTHR18966:SF517', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179463),
(235738, 'PTHR10300:SF6', NULL, NULL, NULL, NULL, 'CALCIPRESSIN-3', 179464),
(235739, 'PTHR38140', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 19-3-RELATED', 179465),
(235740, 'PTHR24299:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179466),
(235741, 'PTHR47841', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE THETA-LIKE-RELATED', 179467),
(235742, 'PTHR42861:SF102', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 2, ENDOPLASMIC RETICULUM-TYPE', 179468),
(235743, 'PTHR24543:SF302', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR V', 179469),
(235744, 'PTHR22761:SF14', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 4A', 179470),
(235745, 'PTHR11165:SF115', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 11', 179471),
(235746, 'PTHR31080:SF35', NULL, NULL, NULL, NULL, 'OS08G0338500 PROTEIN', 179472),
(235747, 'PTHR32468:SF110', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', 179473),
(235748, 'PTHR12859:SF0', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 179474),
(235749, 'PTHR37484:SF1', NULL, NULL, NULL, NULL, 'ROD SHAPE-DETERMINING PROTEIN MRED', 179475),
(235750, 'PTHR11782', NULL, NULL, NULL, NULL, 'ADENOSINE/GUANOSINE DIPHOSPHATASE', 179476),
(235751, 'PTHR14559:SF12', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 10', 179477),
(235752, 'PTHR31189:SF31', NULL, NULL, NULL, NULL, 'CUPIN FAMILY PROTEIN', 179478),
(235753, 'PTHR14297:SF8', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORT PROTEIN XK', 179479),
(235754, 'PTHR33331:SF13', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 162', 179480),
(235755, 'PTHR23138:SF155', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700123L14 GENE', 179481),
(235756, 'PTHR35936', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND LYTIC MUREIN TRANSGLYCOSYLASE F', 179482),
(235757, 'PTHR46632:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179483),
(235758, 'PTHR21426:SF13', NULL, NULL, NULL, NULL, 'OS08G0566700 PROTEIN', 179484),
(235759, 'PTHR37982:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179485),
(235760, 'PTHR43900:SF45', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F9', 179486),
(235761, 'PTHR24103:SF326', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM50-RELATED', 179487),
(235762, 'PTHR11932:SF152', NULL, NULL, NULL, NULL, 'CULLIN-1-LIKE', 179488),
(235763, 'PTHR22946:SF9', NULL, NULL, NULL, NULL, 'POLYKETIDE TRANSFERASE AF380', 179489),
(235764, 'PTHR10996:SF179', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE FAMILY PROTEIN-RELATED', 179490),
(235765, 'PTHR46136:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 179491),
(235766, 'PTHR31845:SF23', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 179492),
(235767, 'PTHR32077:SF6', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN SELMODRAFT_448915', 179493),
(235768, 'PTHR31917:SF82', NULL, NULL, NULL, NULL, 'AGENET DOMAIN-CONTAINING PROTEIN', 179494),
(235769, 'PTHR10091:SF38', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE FAMILY PROTEIN', 179495),
(235770, 'PTHR33544:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179496),
(235771, 'PTHR43227:SF9', NULL, NULL, NULL, NULL, 'SN-GLYCEROL-3-PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN UGPA', 179497),
(235772, 'PTHR24223:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179498),
(235773, 'PTHR45834:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179499),
(235774, 'PTHR21576:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179500),
(235775, 'PTHR31585:SF0', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 1, CHLOROPLASTIC', 179501),
(235776, 'PTHR43874:SF155', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR5-LIKE', 179502);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(235777, 'PTHR28620:SF7', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN V-LIKE PROTEIN 3', 179503),
(235778, 'PTHR36914:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179504),
(235779, 'PTHR22911:SF120', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER G1-LIKE', 179505),
(235780, 'PTHR23201:SF90', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED FAMILY PROTEIN', 179506),
(235781, 'PTHR33128:SF77', NULL, NULL, NULL, NULL, 'BNAC06G13370D PROTEIN', 179507),
(235782, 'PTHR33172:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179508),
(235783, 'PTHR38791:SF11', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 179509),
(235784, 'PTHR45631:SF113', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE', 179510),
(235785, 'PTHR32370:SF157', NULL, NULL, NULL, NULL, 'BNAC03G16990D PROTEIN', 179511),
(235786, 'PTHR43281:SF29', NULL, NULL, NULL, NULL, 'BNAA04G13910D PROTEIN', 179512),
(235787, 'PTHR19325:SF317', NULL, NULL, NULL, NULL, 'COMPLEMENT DECAY-ACCELERATING FACTOR', 179513),
(235788, 'PTHR31589:SF68', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PEPTIDASE', 179514),
(235789, 'PTHR46701:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE KOBITO 1', 179515),
(235790, 'PTHR23262:SF91', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 29-1', 179516),
(235791, 'PTHR31465:SF30', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', 179517),
(235792, 'PTHR20948:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179518),
(235793, 'PTHR12565:SF389', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BEE 3-LIKE', 179519),
(235794, 'PTHR10956:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L31', 179520),
(235795, 'PTHR22752:SF6', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 62', 179521),
(235796, 'PTHR10426:SF113', NULL, NULL, NULL, NULL, 'BNAC05G15360D PROTEIN', 179522),
(235797, 'PTHR31867:SF175', NULL, NULL, NULL, NULL, 'EXPANSIN', 179523),
(235798, 'PTHR10071:SF155', NULL, NULL, NULL, NULL, 'PROTEIN CBR-EGL-18', 179524),
(235799, 'PTHR31980', NULL, NULL, NULL, NULL, 'PROTEIN FAM220A', 179525),
(235800, 'PTHR11480:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179526),
(235801, 'PTHR14009:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PROTON/CALCIUM EXCHANGER PROTEIN', 179527),
(235802, 'PTHR10648:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2 (FORMERLY 2A), REGULATORY SUBUNIT A, BETA ISOFORM-RELATED', 179528),
(235803, 'PTHR42085', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 179529),
(235804, 'PTHR12224:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 17-RELATED', 179530),
(235805, 'PTHR47295:SF11', NULL, NULL, NULL, NULL, 'RLPA-LIKE DOUBLE-PSI BETA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', 179531),
(235806, 'PTHR30485:SF2', NULL, NULL, NULL, NULL, 'BLL0597 PROTEIN', 179532),
(235807, 'PTHR10110:SF174', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 8-LIKE', 179533),
(235808, 'PTHR31674:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179534),
(235809, 'PTHR24377:SF143', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 528-RELATED', 179535),
(235810, 'PTHR12794:SF0', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 2', 179536),
(235811, 'PTHR24403:SF57', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 518B', 179537),
(235812, 'PTHR33463:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179538),
(235813, 'PTHR27009:SF83', NULL, NULL, NULL, NULL, 'OS01G0115900 PROTEIN', 179539),
(235814, 'PTHR37207:SF2', NULL, NULL, NULL, NULL, 'BNAA09G43730D PROTEIN', 179540),
(235815, 'PTHR42721:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 3 C TERMINAL DOMAIN CONTAINING PROTEIN', 179541),
(235816, 'PTHR10509:SF69', NULL, NULL, NULL, NULL, 'BNAC08G09610D PROTEIN', 179542),
(235817, 'PTHR33044:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179543),
(235818, 'PTHR45663:SF5', NULL, NULL, NULL, NULL, 'THIOREDOXIN M1, CHLOROPLASTIC', 179544),
(235819, 'PTHR31189:SF48', NULL, NULL, NULL, NULL, 'LEGUMIN B', 179545),
(235820, 'PTHR10108:SF1140', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT18-RELATED', 179546);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(235821, 'PTHR22850:SF133', NULL, NULL, NULL, NULL, 'HISTONE-BINDING PROTEIN RBA-1-RELATED', 179547),
(235822, 'PTHR46454:SF3', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 7', 179548),
(235823, 'PTHR12433:SF12', NULL, NULL, NULL, NULL, 'MEDIATOR COMPLEX SUBUNIT 25 VON WILLEBRAND FACTOR TYPE A PROTEIN', 179549),
(235824, 'PTHR11709:SF387', NULL, NULL, NULL, NULL, 'OSJNBA0084K11.18 PROTEIN', 179550),
(235825, 'PTHR39472', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 179551),
(235826, 'PTHR24072:SF331', NULL, NULL, NULL, NULL, 'SI:CH211-133L11.10', 179552),
(235827, 'PTHR31129:SF2', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONE ALPHA-2', 179553),
(235828, 'PTHR21726:SF67', NULL, NULL, NULL, NULL, 'BNAC02G48370D PROTEIN', 179554),
(235829, 'PTHR31960:SF20', NULL, NULL, NULL, NULL, 'OS09G0525300 PROTEIN', 179555),
(235830, 'PTHR48044:SF21', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 179556),
(235831, 'PTHR43392:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CFXQ HOMOLOG', 179557),
(235832, 'PTHR17488:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSITION PROTEIN 2', 179558),
(235833, 'PTHR46458:SF6', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', 179559),
(235834, 'PTHR20974:SF0', NULL, NULL, NULL, NULL, 'UPF0585 PROTEIN CG18661', 179560),
(235835, 'PTHR10891:SF805', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML45-RELATED', 179561),
(235836, 'PTHR11227:SF17', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED 18A, ISOFORM E', 179562),
(235837, 'PTHR46746:SF4', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN-LIKE DOMAIN FAMILY 1', 179563),
(235838, 'PTHR37916:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179564),
(235839, 'PTHR33981:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 179565),
(235840, 'PTHR24350:SF24', NULL, NULL, NULL, NULL, 'AURORA KINASE B', 179566),
(235841, 'PTHR33070:SF100', NULL, NULL, NULL, NULL, 'T23E18.15', 179567),
(235842, 'PTHR14005:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT A', 179568),
(235843, 'PTHR24089:SF196', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN SCAMC-3', 179569),
(235844, 'PTHR15082:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 3', 179570),
(235845, 'PTHR11480:SF7', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', 179571),
(235846, 'PTHR31297:SF14', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE 3', 179572),
(235847, 'PTHR10687:SF53', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN-RELATED', 179573),
(235848, 'PTHR10078', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 FAMILY MEMBER', 179574),
(235849, 'PTHR48000:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB36', 179575),
(235850, 'PTHR43649:SF13', NULL, NULL, NULL, NULL, 'SOLUTE-BINDING PROTEIN-RELATED', 179576),
(235851, 'PTHR43240:SF3', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOYL-COA THIOESTERASE FAMILY PROTEIN', 179577),
(235852, 'PTHR12313:SF48', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 179578),
(235853, 'PTHR24377:SF141', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 571', 179579),
(235854, 'PTHR35356:SF3', NULL, NULL, NULL, NULL, 'OS01G0156300 PROTEIN', 179580),
(235855, 'PTHR48020:SF15', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 2-RELATED', 179581),
(235856, 'PTHR21495:SF199', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 17-RELATED', 179582),
(235857, 'PTHR44825:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 4', 179583),
(235858, 'PTHR31048:SF104', NULL, NULL, NULL, NULL, 'OSMOTIN-LIKE PROTEIN OSM34', 179584),
(235859, 'PTHR43748:SF3', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE 3, CHLOROPLASTIC-RELATED', 179585),
(235860, 'PTHR31734:SF45', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA2', 179586),
(235861, 'PTHR42919:SF27', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 179587),
(235862, 'PTHR12035:SF106', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 8', 179588),
(235863, 'PTHR24070:SF368', NULL, NULL, NULL, NULL, 'SMALL GTPASE', 179589),
(235864, 'PTHR23428:SF273', NULL, NULL, NULL, NULL, 'HISTONE H2B.4', 179590);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(235865, 'PTHR24015:SF334', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 179591),
(235866, 'PTHR10747:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR COE3', 179592),
(235867, 'PTHR12101:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179593),
(235868, 'PTHR11945:SF681', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL63', 179594),
(235869, 'PTHR47926:SF39', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', 179595),
(235870, 'PTHR33270:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179596),
(235871, 'PTHR11188:SF147', NULL, NULL, NULL, NULL, 'ARRESTIN-RELATED TRAFFICKING ADAPTER 10', 179597),
(235872, 'PTHR33592:SF8', NULL, NULL, NULL, NULL, 'BNAA10G04070D PROTEIN', 179598),
(235873, 'PTHR16517:SF130', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 179599),
(235874, 'PTHR36586:SF25', NULL, NULL, NULL, NULL, 'EXTENSIN-2-LIKE', 179600),
(235875, 'PTHR43220:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBR-BUS-19', 179601),
(235876, 'PTHR48018:SF17', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 179602),
(235877, 'PTHR36345', NULL, NULL, NULL, NULL, 'CCG-BINDING PROTEIN 1', 179603),
(235878, 'PTHR31945:SF70', NULL, NULL, NULL, NULL, 'HLH DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 179604),
(235879, 'PTHR24282:SF169', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 709B2', 179605),
(235880, 'PTHR43572:SF8', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPC1, CHLOROPLASTIC-RELATED', 179606),
(235881, 'PTHR18947', NULL, NULL, NULL, NULL, 'HOOK PROTEINS', 179607),
(235882, 'PTHR31642:SF241', NULL, NULL, NULL, NULL, '(Z)-3-HEXEN-1-OL ACETYLTRANSFERASE', 179608),
(235883, 'PTHR10015:SF185', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR PROTEIN 2', 179609),
(235884, 'PTHR45650:SF52', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 179610),
(235885, 'PTHR28632:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179611),
(235886, 'PTHR43446', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 179612),
(235887, 'PTHR34303:SF4', NULL, NULL, NULL, NULL, 'OS01G0890400 PROTEIN', 179613),
(235888, 'PTHR33102:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179614),
(235889, 'PTHR10281:SF70', NULL, NULL, NULL, NULL, 'OS02G0640300 PROTEIN', 179615),
(235890, 'PTHR10454:SF226', NULL, NULL, NULL, NULL, 'CASPASE NC-LIKE PROTEIN', 179616),
(235891, 'PTHR12313:SF69', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA3-LIKE', 179617),
(235892, 'PTHR23202:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179618),
(235893, 'PTHR11746:SF259', NULL, NULL, NULL, NULL, 'ACETYLSEROTONIN O-METHYLTRANSFERASE 1', 179619),
(235894, 'PTHR23272', NULL, NULL, NULL, NULL, 'BED FINGER-RELATED', 179620),
(235895, 'PTHR32054:SF36', NULL, NULL, NULL, NULL, 'WEB FAMILY-RELATED', 179621),
(235896, 'PTHR47256:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 179622),
(235897, 'PTHR22811:SF159', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA4', 179623),
(235898, 'PTHR19375:SF448', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70-KD PROTEIN, TANDEM DUPLICATE 2-RELATED', 179624),
(235899, 'PTHR22811:SF61', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 PROTEIN TRANSPORT DOMAIN CONTAINING 1', 179625),
(235900, 'PTHR42808', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE-LIKE PROTEIN 2', 179626),
(235901, 'PTHR34576:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179627),
(235902, 'PTHR24326:SF549', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-12-LIKE', 179628),
(235903, 'PTHR24347:SF386', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE B KINASE GAMMA CATALYTIC CHAIN, SKELETAL MUSCLE/HEART ISOFORM', 179629),
(235904, 'PTHR13348', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P SUBUNIT P29', 179630),
(235905, 'PTHR13061:SF29', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE-LIKE 1, MITOCHONDRIAL', 179631),
(235906, 'PTHR12688:SF0', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT INTERMEDIATE CHAIN, ISOFORM A', 179632),
(235907, 'PTHR12652:SF7', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11B', 179633);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(235908, 'PTHR41302:SF1', NULL, NULL, NULL, NULL, 'PRESPORE-SPECIFIC TRANSCRIPTIONAL REGULATOR RSFA', 179634),
(235909, 'PTHR23334:SF49', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 23', 179635),
(235910, 'PTHR11176:SF23', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 179636),
(235911, 'PTHR31942:SF82', NULL, NULL, NULL, NULL, 'MLO PROTEIN HOMOLOG 1', 179637),
(235912, 'PTHR42206:SF1', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT HYDROLASE-RELATED', 179638),
(235913, 'PTHR11654:SF451', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.4', 179639),
(235914, 'PTHR27007:SF299', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179640),
(235915, 'PTHR35310:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179641),
(235916, 'PTHR12027:SF33', NULL, NULL, NULL, NULL, 'PROTEIN WNT-5A', 179642),
(235917, 'PTHR20661', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-GLYCAN BIOSYNTHESIS CLASS W PROTEIN', 179643),
(235918, 'PTHR10105:SF2', NULL, NULL, NULL, NULL, 'AGAP003297-PA', 179644),
(235919, 'PTHR35377:SF4', NULL, NULL, NULL, NULL, 'SSL2138 PROTEIN', 179645),
(235920, 'PTHR11588:SF332', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 179646),
(235921, 'PTHR31790:SF416', NULL, NULL, NULL, NULL, 'BNAC05G01150D PROTEIN', 179647),
(235922, 'PTHR23076:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179648),
(235923, 'PTHR45992:SF2', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE B', 179649),
(235924, 'PTHR47410', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 7-RELATED', 179650),
(235925, 'PTHR31375:SF167', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT2', 179651),
(235926, 'PTHR46070:SF1', NULL, NULL, NULL, NULL, 'PINSTRIPE, ISOFORM A', 179652),
(235927, 'PTHR13833:SF71', NULL, NULL, NULL, NULL, 'NHL DOMAIN-CONTAINING PROTEIN', 179653),
(235928, 'PTHR30043:SF7', NULL, NULL, NULL, NULL, 'CRYPTIC PHOSPHONATE TRANSPORT SYSTEM PERMEASE PROTEIN PHNE1-RELATED', 179654),
(235929, 'PTHR11850:SF295', NULL, NULL, NULL, NULL, 'C. ELEGANS HOMEOBOX-RELATED', 179655),
(235930, 'PTHR43574:SF34', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 2', 179656),
(235931, 'PTHR10801:SF16', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN, BULB-TYPE LECTIN DOMAIN, FAD-BINDING, TYPE 2-RELATED', 179657),
(235932, 'PTHR45682:SF6', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE DUPD1', 179658),
(235933, 'PTHR31373', NULL, NULL, NULL, NULL, 'OS06G0652100 PROTEIN', 179659),
(235934, 'PTHR10795:SF660', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179660),
(235935, 'PTHR43576', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE C-RELATED', 179661),
(235936, 'PTHR46565', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN PROTEIN 2', 179662),
(235937, 'PTHR48112:SF11', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN B1', 179663),
(235938, 'PTHR47108:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0065O17.2 PROTEIN', 179664),
(235939, 'PTHR47827:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179665),
(235940, 'PTHR46980:SF2', NULL, NULL, NULL, NULL, 'TRICALBIN-1-RELATED', 179666),
(235941, 'PTHR23113:SF331', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR I-RELATED', 179667),
(235942, 'PTHR33137:SF22', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15A-LIKE PROTEIN', 179668),
(235943, 'PTHR48019:SF49', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL104', 179669),
(235944, 'PTHR19282:SF458', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 179670),
(235945, 'PTHR31343:SF34', NULL, NULL, NULL, NULL, 'BNAC07G50600D PROTEIN', 179671),
(235946, 'PTHR27006:SF225', NULL, NULL, NULL, NULL, 'BNAC06G12380D PROTEIN', 179672),
(235947, 'PTHR24347:SF18', NULL, NULL, NULL, NULL, 'CAM KINASE-LIKE VESICLE-ASSOCIATED PROTEIN', 179673),
(235948, 'PTHR11620:SF70', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A-1', 179674),
(235949, 'PTHR34189:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 179675),
(235950, 'PTHR24115:SF916', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 179676),
(235951, 'PTHR31235:SF292', NULL, NULL, NULL, NULL, 'PEROXIDASE 48-RELATED', 179677);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(235952, 'PTHR10209:SF473', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 7', 179678),
(235953, 'PTHR41317', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 179679),
(235954, 'PTHR37225', NULL, NULL, NULL, NULL, 'OSJNBA0011F23.3 PROTEIN', 179680),
(235955, 'PTHR34502:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179681),
(235956, 'PTHR36091:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179682),
(235957, 'PTHR22674:SF2', NULL, NULL, NULL, NULL, 'LOC100144969 PROTEIN', 179683),
(235958, 'PTHR43689:SF46', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', 179684),
(235959, 'PTHR48002:SF141', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 179685),
(235960, 'PTHR47956:SF35', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', 179686),
(235961, 'PTHR11257', NULL, NULL, NULL, NULL, 'CHEMOSENSORY PROTEIN-RELATED', 179687),
(235962, 'PTHR48023:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 12', 179688),
(235963, 'PTHR45656:SF7', NULL, NULL, NULL, NULL, 'CD55 MOLECULE', 179689),
(235964, 'PTHR43751', NULL, NULL, NULL, NULL, 'SULFATASE', 179690),
(235965, 'PTHR10638:SF67', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 179691),
(235966, 'PTHR23338:SF52', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', 179692),
(235967, 'PTHR33264:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179693),
(235968, 'PTHR46798:SF5', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 179694),
(235969, 'PTHR23310:SF119', NULL, NULL, NULL, NULL, 'ACYL COA BINDING PROTEIN FAMILY (AFU_ORTHOLOGUE AFUA_2G11060)', 179695),
(235970, 'PTHR11931', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE', 179696),
(235971, 'PTHR24223:SF339', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 6', 179697),
(235972, 'PTHR12176:SF59', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 179698),
(235973, 'PTHR10285:SF150', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE', 179699),
(235974, 'PTHR10681:SF149', NULL, NULL, NULL, NULL, '1-CYS PEROXIREDOXIN PER1', 179700),
(235975, 'PTHR40472', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 179701),
(235976, 'PTHR23359:SF150', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', 179702),
(235977, 'PTHR14132:SF1', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR 7', 179703),
(235978, 'PTHR14083:SF14', NULL, NULL, NULL, NULL, 'PROTEIN YIF1B-LIKE', 179704),
(235979, 'PTHR43016:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179705),
(235980, 'PTHR11726:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10-LIKE', 179706),
(235981, 'PTHR34934:SF1', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT THYMIDYLATE SYNTHASE', 179707),
(235982, 'PTHR37731', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER FAMILY PROTEIN', 179708),
(235983, 'PTHR12606:SF97', NULL, NULL, NULL, NULL, 'SUMO-SPECIFIC PEPTIDASE 2', 179709),
(235984, 'PTHR13439:SF64', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 56-B ISOFORM X1', 179710),
(235985, 'PTHR11926:SF1383', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 179711),
(235986, 'PTHR10334:SF62', NULL, NULL, NULL, NULL, 'PEPTIDASE INHIBITOR R3HDML', 179712),
(235987, 'PTHR11772:SF23', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING]', 179713),
(235988, 'PTHR34023:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179714),
(235989, 'PTHR24092:SF50', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IIB-RELATED', 179715),
(235990, 'PTHR24064:SF216', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 17', 179716),
(235991, 'PTHR11552:SF215', NULL, NULL, NULL, NULL, 'FI02019P', 179717),
(235992, 'PTHR31390:SF22', NULL, NULL, NULL, NULL, 'BNAA10G12100D PROTEIN', 179718),
(235993, 'PTHR47592:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179719),
(235994, 'PTHR24366:SF84', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND FIBRONECTIN TYPE III DOMAIN CONTAINING 4', 179720),
(235995, 'PTHR45680:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 179721);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(235996, 'PTHR33248:SF12', NULL, NULL, NULL, NULL, 'BNAUNNG00620D PROTEIN', 179722),
(235997, 'PTHR48104:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179723),
(235998, 'PTHR22166:SF31', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE METAL-BINDING FAMILY PROTEIN (DUF2296)', 179724),
(235999, 'PTHR34671:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179725),
(236000, 'PTHR36764:SF1', NULL, NULL, NULL, NULL, 'TRNA (ILE)-LYSIDINE SYNTHASE', 179726),
(236001, 'PTHR42898:SF20', NULL, NULL, NULL, NULL, 'BNAC04G56400D PROTEIN', 179727),
(236002, 'PTHR34781', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 179728),
(236003, 'PTHR11680:SF49', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', 179729),
(236004, 'PTHR47925:SF36', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', 179730),
(236005, 'PTHR10334:SF458', NULL, NULL, NULL, NULL, 'BNACNNG34490D PROTEIN', 179731),
(236006, 'PTHR10641:SF1255', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB23-LIKE', 179732),
(236007, 'PTHR10288:SF247', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS K HOMOLOGY DOMAIN-LIKE', 179733),
(236008, 'PTHR20986:SF18', NULL, NULL, NULL, NULL, 'FMRF-LIKE PEPTIDE', 179734),
(236009, 'PTHR28559', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XRCC4', 179735),
(236010, 'PTHR11929', NULL, NULL, NULL, NULL, 'ALPHA- 1,3 -FUCOSYLTRANSFERASE', 179736),
(236011, 'PTHR48128:SF1', NULL, NULL, NULL, NULL, 'REPELLENT PROTEIN 1', 179737),
(236012, 'PTHR16465', NULL, NULL, NULL, NULL, 'NUCLEASE-RELATED', 179738),
(236013, 'PTHR10671:SF54', NULL, NULL, NULL, NULL, 'CLC-LIKE PROTEIN 2', 179739),
(236014, 'PTHR32134:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179740),
(236015, 'PTHR34191:SF25', NULL, NULL, NULL, NULL, 'BNAA08G05160D PROTEIN', 179741),
(236016, 'PTHR23023:SF272', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 179742),
(236017, 'PTHR12484:SF1', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 17B', 179743),
(236018, 'PTHR42811:SF15', NULL, NULL, NULL, NULL, 'SERINE O-ACETYLTRANSFERASE-RELATED', 179744),
(236019, 'PTHR11764:SF63', NULL, NULL, NULL, NULL, 'BETA-AMYRIN SYNTHASE-RELATED', 179745),
(236020, 'PTHR31390', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 179746),
(236021, 'PTHR45770:SF23', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 5, CHLOROPLASTIC', 179747),
(236022, 'PTHR31375:SF209', NULL, NULL, NULL, NULL, 'BNAC04G03160D PROTEIN', 179748),
(236023, 'PTHR47673:SF1', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 179749),
(236024, 'PTHR15817', NULL, NULL, NULL, NULL, 'STG PROTEIN', 179750),
(236025, 'PTHR31636:SF145', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 18', 179751),
(236026, 'PTHR45763:SF37', NULL, NULL, NULL, NULL, 'OS03G0116316 PROTEIN', 179752),
(236027, 'PTHR31689:SF2', NULL, NULL, NULL, NULL, 'DIAMINOPIMELATE EPIMERASE', 179753),
(236028, 'PTHR23155:SF972', NULL, NULL, NULL, NULL, 'OS01G0269800 PROTEIN', 179754),
(236029, 'PTHR48015:SF27', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAK 5', 179755),
(236030, 'PTHR47975:SF12', NULL, NULL, NULL, NULL, 'OSJNBB0002J11.8 PROTEIN', 179756),
(236031, 'PTHR10485:SF0', NULL, NULL, NULL, NULL, 'AT05822P-RELATED', 179757),
(236032, 'PTHR31676:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179758),
(236033, 'PTHR12753:SF4', NULL, NULL, NULL, NULL, 'BNACNNG52650D PROTEIN', 179759),
(236034, 'PTHR18934:SF227', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH2', 179760),
(236035, 'PTHR15949', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 264', 179761),
(236036, 'PTHR11559:SF377', NULL, NULL, NULL, NULL, 'LD40049P', 179762),
(236037, 'PTHR31677:SF119', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF087', 179763),
(236038, 'PTHR10704:SF36', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 1', 179764),
(236039, 'PTHR11544:SF104', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN CSPD', 179765),
(236040, 'PTHR32468:SF69', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 9', 179766),
(236041, 'PTHR30540:SF82', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 179767); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(236042, 'PTHR34382:SF7', NULL, NULL, NULL, NULL, 'PTS SYSTEM N,N''-DIACETYLCHITOBIOSE-SPECIFIC EIIA COMPONENT', 179768),
(236043, 'PTHR46413:SF4', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN CONTAINING PROTEIN, EXPRESSED', 179769),
(236044, 'PTHR10778:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179770),
(236045, 'PTHR21197:SF0', NULL, NULL, NULL, NULL, 'UDP-GALACTOPYRANOSE MUTASE', 179771),
(236046, 'PTHR46890:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179772),
(236047, 'PTHR10110:SF177', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', 179773),
(236048, 'PTHR43650:SF8', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', 179774),
(236049, 'PTHR46295:SF2', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM PROTEIN HOMOLOG', 179775),
(236050, 'PTHR45987:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN-LIKE', 179776),
(236051, 'PTHR31225:SF152', NULL, NULL, NULL, NULL, 'ALPHA-FARNESENE SYNTHASE-LIKE', 179777),
(236052, 'PTHR47984:SF25', NULL, NULL, NULL, NULL, 'OS02G0549200 PROTEIN', 179778),
(236053, 'PTHR22656:SF1', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 13', 179779),
(236054, 'PTHR22883:SF22', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC11B-RELATED', 179780),
(236055, 'PTHR10606:SF1', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE 2', 179781),
(236056, 'PTHR24376:SF121', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 771', 179782),
(236057, 'PTHR31509:SF74', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', 179783),
(236058, 'PTHR46325:SF25', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC9', 179784),
(236059, 'PTHR21596:SF54', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR-LIKE-RELATED', 179785),
(236060, 'PTHR34365:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179786),
(236061, 'PTHR33280:SF6', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L31', 179787),
(236062, 'PTHR23036:SF168', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR-LIKE FACTOR 2-RELATED', 179788),
(236063, 'PTHR23423:SF17', NULL, NULL, NULL, NULL, 'IP17403P', 179789),
(236064, 'PTHR22936:SF79', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 4', 179790),
(236065, 'PTHR45652:SF19', NULL, NULL, NULL, NULL, 'DESMIN B', 179791),
(236066, 'PTHR20935', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-RELATED', 179792),
(236067, 'PTHR43806:SF48', NULL, NULL, NULL, NULL, 'PROTEINASE T', 179793),
(236068, 'PTHR31472:SF8', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED-LIKE', 179794),
(236069, 'PTHR47946:SF12', NULL, NULL, NULL, NULL, 'OS09G0528700 PROTEIN', 179795),
(236070, 'PTHR31852:SF152', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 179796),
(236071, 'PTHR48001:SF79', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7C2', 179797),
(236072, 'PTHR10026:SF8', NULL, NULL, NULL, NULL, 'CYCLIN-H', 179798),
(236073, 'PTHR43452:SF27', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 1-LIKE', 179799),
(236074, 'PTHR32343:SF54', NULL, NULL, NULL, NULL, 'BNAANNG17810D PROTEIN', 179800),
(236075, 'PTHR22844:SF355', NULL, NULL, NULL, NULL, 'OS03G0625300 PROTEIN', 179801),
(236076, 'PTHR11165:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179802),
(236077, 'PTHR11133', NULL, NULL, NULL, NULL, 'SACCHAROPINE DEHYDROGENASE', 179803),
(236078, 'PTHR32011:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 179804),
(236079, 'PTHR17614', NULL, NULL, NULL, NULL, 'ZINC FINGER-CONTAINING', 179805),
(236080, 'PTHR10694:SF103', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ14-RELATED', 179806),
(236081, 'PTHR21539', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 179807),
(236082, 'PTHR31972:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179808),
(236083, 'PTHR22883:SF35', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC6', 179809),
(236084, 'PTHR13061:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179810),
(236085, 'PTHR45331:SF2', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, IRON-SULPHUR BINDING SUBUNIT-RELATED', 179811),
(236086, 'PTHR31079:SF26', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', 179812);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(236087, 'PTHR10891:SF895', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML25-RELATED', 179813),
(236088, 'PTHR11040:SF74', NULL, NULL, NULL, NULL, 'ZRT (ZRT), IRT-(IRT-) LIKE PROTEIN TRANSPORTER', 179814),
(236089, 'PTHR31415:SF117', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 179815),
(236090, 'PTHR31719:SF176', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 84', 179816),
(236091, 'PTHR11537:SF140', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED POTASSIUM CHANNEL SUBUNIT KVS-4-RELATED', 179817),
(236092, 'PTHR39185', NULL, NULL, NULL, NULL, 'SWARMING MOTILITY PROTEIN SWRD', 179818),
(236093, 'PTHR12227', NULL, NULL, NULL, NULL, 'GLYCERATE KINASE', 179819),
(236094, 'PTHR33577:SF19', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00610)-RELATED', 179820),
(236095, 'PTHR11926:SF1428', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYL/UDP-GLUCOSYLTRANSFERASE-RELATED', 179821),
(236096, 'PTHR30561:SF7', NULL, NULL, NULL, NULL, 'GUANIDINIUM EFFLUX SYSTEM SUBUNIT GDNC-RELATED', 179822),
(236097, 'PTHR22891:SF60', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN', 179823),
(236098, 'PTHR23501:SF156', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', 179824),
(236099, 'PTHR33127:SF52', NULL, NULL, NULL, NULL, 'OS11G0436500 PROTEIN', 179825),
(236100, 'PTHR10075:SF68', NULL, NULL, NULL, NULL, 'BASIGIN, ISOFORM G', 179826),
(236101, 'PTHR21577', NULL, NULL, NULL, NULL, 'SHUGOSHIN', 179827),
(236102, 'PTHR36024:SF3', NULL, NULL, NULL, NULL, 'BNAC04G03320D PROTEIN', 179828),
(236103, 'PTHR16223:SF213', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH54', 179829),
(236104, 'PTHR31636:SF156', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE1', 179830),
(236105, 'PTHR42924', NULL, NULL, NULL, NULL, 'EXONUCLEASE', 179831),
(236106, 'PTHR13068:SF166', NULL, NULL, NULL, NULL, 'OS04G0637500 PROTEIN', 179832),
(236107, 'PTHR46059', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDE ALPHA-2,6-SIALYLTRANSFERASE', 179833),
(236108, 'PTHR21596', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P SUBUNIT P38', 179834),
(236109, 'PTHR22963:SF38', NULL, NULL, NULL, NULL, 'LP13770P', 179835),
(236110, 'PTHR23063:SF21', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDYLCHOLINE ACYLTRANSFERASE 2', 179836),
(236111, 'PTHR38542:SF2', NULL, NULL, NULL, NULL, 'OS04G0450500 PROTEIN', 179837),
(236112, 'PTHR23035:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 97', 179838),
(236113, 'PTHR46572:SF1', NULL, NULL, NULL, NULL, 'RHO1 GUANINE NUCLEOTIDE EXCHANGE FACTOR TUS1', 179839),
(236114, 'PTHR23105:SF127', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', 179840),
(236115, 'PTHR32141:SF38', NULL, NULL, NULL, NULL, 'OS07G0285200 PROTEIN', 179841),
(236116, 'PTHR32116:SF78', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 179842),
(236117, 'PTHR48063', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', 179843),
(236118, 'PTHR35528:SF3', NULL, NULL, NULL, NULL, 'BLL1675 PROTEIN', 179844),
(236119, 'PTHR12709', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II, III', 179845),
(236120, 'PTHR43538:SF1', NULL, NULL, NULL, NULL, '(R)-CITRAMALATE SYNTHASE', 179846),
(236121, 'PTHR27003:SF327', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE KINASE KINASE STE11, CRYPTOCOCCUS-RELATED', 179847),
(236122, 'PTHR45878:SF29', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP2', 179848),
(236123, 'PTHR31503:SF51', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 4', 179849),
(236124, 'PTHR45654:SF9', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG10-RELATED', 179850),
(236125, 'PTHR37695:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179851),
(236126, 'PTHR23421:SF170', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 179852),
(236127, 'PTHR30589', NULL, NULL, NULL, NULL, 'PROLIPOPROTEIN DIACYLGLYCERYL TRANSFERASE', 179853),
(236128, 'PTHR10129:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAFG', 179854),
(236129, 'PTHR42281:SF1', NULL, NULL, NULL, NULL, 'ACETYL-COA DECARBONYLASE/SYNTHASE COMPLEX SUBUNIT BETA 2', 179855),
(236130, 'PTHR11850:SF319', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 4 ISOFORM X1', 179856);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(236131, 'PTHR35104:SF9', NULL, NULL, NULL, NULL, 'BNAC03G70500D PROTEIN', 179857),
(236132, 'PTHR33074:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179858),
(236133, 'PTHR34292', NULL, NULL, NULL, NULL, 'OUTER SPORE WALL PROTEIN LDS1', 179859),
(236134, 'PTHR11394:SF134', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 45', 179860),
(236135, 'PTHR22835:SF518', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179861),
(236136, 'PTHR31192:SF4', NULL, NULL, NULL, NULL, 'SPERM-SPECIFIC FAMILY, CLASS Q', 179862),
(236137, 'PTHR31589:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179863),
(236138, 'PTHR42718', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY MULTIDRUG TRANSPORTER MFSC', 179864),
(236139, 'PTHR10366:SF743', NULL, NULL, NULL, NULL, 'BNAA04G26150D PROTEIN', 179865),
(236140, 'PTHR43261:SF1', NULL, NULL, NULL, NULL, 'RIBOSOME-RELEASING FACTOR 2, MITOCHONDRIAL', 179866),
(236141, 'PTHR45703', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN', 179867),
(236142, 'PTHR37534:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN UGA3', 179868),
(236143, 'PTHR19924', NULL, NULL, NULL, NULL, 'UTP15 U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 15 FAMILY MEMBER', 179869),
(236144, 'PTHR46371:SF30', NULL, NULL, NULL, NULL, 'OSJNBA0016O02.20 PROTEIN', 179870),
(236145, 'PTHR46045:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 179871),
(236146, 'PTHR11247:SF62', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 179872),
(236147, 'PTHR14605:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 231', 179873),
(236148, 'PTHR33078:SF66', NULL, NULL, NULL, NULL, 'YCF2-LIKE PROTEIN', 179874),
(236149, 'PTHR45621:SF161', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', 179875),
(236150, 'PTHR31500:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179876),
(236151, 'PTHR11524:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179877),
(236152, 'PTHR23080:SF63', NULL, NULL, NULL, NULL, 'ZGC:113019', 179878),
(236153, 'PTHR10314:SF81', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL L-3-CYANOALANINE SYNTHASE/CYSTEINE SYNTHASE', 179879),
(236154, 'PTHR45665:SF29', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP-TYPE-RELATED', 179880),
(236155, 'PTHR45683:SF13', NULL, NULL, NULL, NULL, 'BNAC03G22330D PROTEIN', 179881),
(236156, 'PTHR45632:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179882),
(236157, 'PTHR47974', NULL, NULL, NULL, NULL, 'OS07G0415500 PROTEIN', 179883),
(236158, 'PTHR43219:SF1', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDONUCLEASE CAS1', 179884),
(236159, 'PTHR31485:SF20', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-ARABINOSYLTRANSFERASE 2', 179885),
(236160, 'PTHR13018:SF131', NULL, NULL, NULL, NULL, 'OS03G0673800 PROTEIN', 179886),
(236161, 'PTHR11961:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME C 2.2-RELATED', 179887),
(236162, 'PTHR21243:SF15', NULL, NULL, NULL, NULL, 'PROTEIN SCAI', 179888),
(236163, 'PTHR44229', NULL, NULL, NULL, NULL, '15-HYDROXYPROSTAGLANDIN DEHYDROGENASE [NAD(+)]', 179889),
(236164, 'PTHR11524:SF47', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7-RELATED', 179890),
(236165, 'PTHR14000:SF29', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', 179891),
(236166, 'PTHR24058:SF118', NULL, NULL, NULL, NULL, 'PKINASE DOMAIN-CONTAINING PROTEIN', 179892),
(236167, 'PTHR48161', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 179893),
(236168, 'PTHR31989:SF244', NULL, NULL, NULL, NULL, 'SWN2', 179894),
(236169, 'PTHR45710:SF11', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING PROTEIN 180', 179895),
(236170, 'PTHR24637:SF281', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', 179896),
(236171, 'PTHR23423:SF14', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER ALPHA-LIKE PROTEIN 1', 179897),
(236172, 'PTHR23193:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE PORE MEMBRANE PROTEIN POM 121C-RELATED', 179898),
(236173, 'PTHR22957:SF320', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 8B', 179899),
(236174, 'PTHR11177:SF188', NULL, NULL, NULL, NULL, 'ACIDIC MAMMALIAN CHITINASE', 179900);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(236175, 'PTHR47997:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB6', 179901),
(236176, 'PTHR34150:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG04441', 179902),
(236177, 'PTHR35510:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179903),
(236178, 'PTHR11006:SF10', NULL, NULL, NULL, NULL, 'HISTONE-ARGININE METHYLTRANSFERASE CARMER-RELATED', 179904),
(236179, 'PTHR23354:SF110', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 179905),
(236180, 'PTHR28520', NULL, NULL, NULL, NULL, 'MITOTIC-SPINDLE ORGANIZING PROTEIN 1', 179906),
(236181, 'PTHR46640:SF3', NULL, NULL, NULL, NULL, 'LIPASE YJR107W-RELATED', 179907),
(236182, 'PTHR47722', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 179908),
(236183, 'PTHR36483:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179909),
(236184, 'PTHR34261', NULL, NULL, NULL, NULL, 'APC REGULATOR OF WNT-SIGNALING PATHWAY-RELATED', 179910),
(236185, 'PTHR13789:SF172', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12410)-RELATED', 179911),
(236186, 'PTHR46551:SF2', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING RIBONUCLEOPROTEIN', 179912),
(236187, 'PTHR20371:SF1', NULL, NULL, NULL, NULL, 'ENOLASE-PHOSPHATASE E1', 179913),
(236188, 'PTHR32096:SF55', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 179914),
(236189, 'PTHR12289:SF34', NULL, NULL, NULL, NULL, 'METAXIN-1', 179915),
(236190, 'PTHR23050:SF400', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML18-RELATED', 179916),
(236191, 'PTHR46301:SF38', NULL, NULL, NULL, NULL, 'BNACNNG09590D PROTEIN', 179917),
(236192, 'PTHR27003:SF47', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE-RELATED', 179918),
(236193, 'PTHR23138:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179919),
(236194, 'PTHR10285:SF147', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE 2-B', 179920),
(236195, 'PTHR10666:SF364', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179921),
(236196, 'PTHR42659', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE SUBUNIT C-RELATED', 179922),
(236197, 'PTHR47171', NULL, NULL, NULL, NULL, 'FARA-RELATED', 179923),
(236198, 'PTHR10489:SF932', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 179924),
(236199, 'PTHR11339:SF272', NULL, NULL, NULL, NULL, 'BMP-BINDING ENDOTHELIAL REGULATOR PROTEIN', 179925),
(236200, 'PTHR42908:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179926),
(236201, 'PTHR30546:SF51', NULL, NULL, NULL, NULL, 'BNACNNG16580D PROTEIN', 179927),
(236202, 'PTHR23050:SF211', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 9', 179928),
(236203, 'PTHR11254:SF282', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NEDD4', 179929),
(236204, 'PTHR15132', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 2', 179930),
(236205, 'PTHR13437:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP58', 179931),
(236206, 'PTHR12411:SF274', NULL, NULL, NULL, NULL, 'TUBULOINTERSTITIAL NEPHRITIS ANTIGEN', 179932),
(236207, 'PTHR43808:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179933),
(236208, 'PTHR43327:SF28', NULL, NULL, NULL, NULL, 'RESPONSE PROTEIN, PUTATIVE, EXPRESSED-RELATED', 179934),
(236209, 'PTHR31391:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179935),
(236210, 'PTHR34280:SF12', NULL, NULL, NULL, NULL, 'BNAA06G32320D PROTEIN', 179936),
(236211, 'PTHR10102:SF14', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', 179937),
(236212, 'PTHR36381:SF1', NULL, NULL, NULL, NULL, 'ETHYLENE-REGULATED TRANSCRIPT 2 (ERT2)', 179938),
(236213, 'PTHR22765:SF307', NULL, NULL, NULL, NULL, 'OS06G0687200 PROTEIN', 179939),
(236214, 'PTHR30468:SF27', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT SULFONATE DIOXYGENASE', 179940),
(236215, 'PTHR31190:SF224', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF096', 179941),
(236216, 'PTHR10562:SF87', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', 179942),
(236217, 'PTHR10314:SF209', NULL, NULL, NULL, NULL, 'O-ACETYLSERINE DEPENDENT CYSTATHIONINE BETA-SYNTHASE', 179943),
(236218, 'PTHR31384:SF134', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 179944);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(236219, 'PTHR31388:SF234', NULL, NULL, NULL, NULL, 'PEROXIDASE', 179945),
(236220, 'PTHR22629', NULL, NULL, NULL, NULL, 'ARP2/3 COMPLEX 20 KD SUBUNIT', 179946),
(236221, 'PTHR11977:SF117', NULL, NULL, NULL, NULL, 'BNAC03G13000D PROTEIN', 179947),
(236222, 'PTHR47465', NULL, NULL, NULL, NULL, 'MCG113260-RELATED-RELATED', 179948),
(236223, 'PTHR31083:SF31', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 179949),
(236224, 'PTHR10285:SF187', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE C-LIKE ISOFORM X1', 179950),
(236225, 'PTHR43349:SF4', NULL, NULL, NULL, NULL, 'PINORESINOL REDUCTASE 1-RELATED', 179951),
(236226, 'PTHR13690:SF105', NULL, NULL, NULL, NULL, 'ZIPPER TRANSCRIPTION FACTOR FAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', 179952),
(236227, 'PTHR24006:SF747', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', 179953),
(236228, 'PTHR24068:SF329', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 4-RELATED', 179954),
(236229, 'PTHR30579:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 179955),
(236230, 'PTHR33753:SF2', NULL, NULL, NULL, NULL, '1,4-BETA-D-GLUCAN CELLOBIOHYDROLASE B', 179956),
(236231, 'PTHR23151:SF82', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE COMPLEX PROTEIN X COMPONENT, MITOCHONDRIAL', 179957),
(236232, 'PTHR10484:SF187', NULL, NULL, NULL, NULL, 'HISTONE H4', 179958),
(236233, 'PTHR46193:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE-RELATED', 179959),
(236234, 'PTHR45979:SF12', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE DOMAIN PROTEIN', 179960),
(236235, 'PTHR23206', NULL, NULL, NULL, NULL, 'MASK PROTEIN', 179961),
(236236, 'PTHR18945:SF403', NULL, NULL, NULL, NULL, 'GABA/GLYCINE RECEPTOR FAMILY (SEE GBR)-RELATED', 179962),
(236237, 'PTHR23507:SF37', NULL, NULL, NULL, NULL, 'GH08173P', 179963),
(236238, 'PTHR42918:SF1', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE', 179964),
(236239, 'PTHR42956:SF1', NULL, NULL, NULL, NULL, 'NITROGENASE IRON-MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN NIFE', 179965),
(236240, 'PTHR24247:SF119', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5T2', 179966),
(236241, 'PTHR39942:SF1', NULL, NULL, NULL, NULL, 'BCDNA.LD26519-RELATED', 179967),
(236242, 'PTHR24028:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179968),
(236243, 'PTHR12854:SF7', NULL, NULL, NULL, NULL, 'ATAXIN-2 HOMOLOG', 179969),
(236244, 'PTHR23430:SF245', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1', 179970),
(236245, 'PTHR47047:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 179971),
(236246, 'PTHR13318:SF122', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 17', 179972),
(236247, 'PTHR10177:SF410', NULL, NULL, NULL, NULL, 'CYCLIN-B1-3', 179973),
(236248, 'PTHR24068:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179974),
(236249, 'PTHR26452:SF228', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 179975),
(236250, 'PTHR10663:SF373', NULL, NULL, NULL, NULL, 'SEC7 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G05700)', 179976),
(236251, 'PTHR10209:SF771', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 1-LIKE', 179977),
(236252, 'PTHR43752:SF7', NULL, NULL, NULL, NULL, 'BNR/ASP-BOX REPEAT FAMILY PROTEIN', 179978),
(236253, 'PTHR45089:SF9', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', 179979),
(236254, 'PTHR47094:SF2', NULL, NULL, NULL, NULL, 'OS09G0504700 PROTEIN', 179980),
(236255, 'PTHR34791:SF4', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 179981),
(236256, 'PTHR44340:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 10', 179982),
(236257, 'PTHR11081:SF27', NULL, NULL, NULL, NULL, '5''-3'' EXONUCLEASE FAMILY PROTEIN', 179983),
(236258, 'PTHR23301', NULL, NULL, NULL, NULL, 'CHITIN BINDING PERITROPHIN-A', 179984),
(236259, 'PTHR11489:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179985),
(236260, 'PTHR30457:SF0', NULL, NULL, NULL, NULL, 'OS07G0204500 PROTEIN', 179986),
(236261, 'PTHR34044:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN', 179987),
(236262, 'PTHR46133:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILR3-LIKE', 179988);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(236263, 'PTHR24128:SF20', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN', 179989),
(236264, 'PTHR31042:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179990),
(236265, 'PTHR13184', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S22', 179991),
(236266, 'PTHR28333', NULL, NULL, NULL, NULL, 'NUCLEAR FRAGILE X MENTAL RETARDATION-INTERACTING PROTEIN 2', 179992),
(236267, 'PTHR24377:SF886', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 573', 179993),
(236268, 'PTHR11751:SF373', NULL, NULL, NULL, NULL, 'GLUTAMATE--GLYOXYLATE AMINOTRANSFERASE 2', 179994),
(236269, 'PTHR31881', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 179995),
(236270, 'PTHR31395:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-3 HOMOLOG', 179996),
(236271, 'PTHR22879', NULL, NULL, NULL, NULL, 'NUT FAMILY MEMBER 1', 179997),
(236272, 'PTHR13743:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179998),
(236273, 'PTHR35122:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 179999),
(236274, 'PTHR23149:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180000),
(236275, 'PTHR31384:SF139', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 180001),
(236276, 'PTHR46834:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TIP2', 180002),
(236277, 'PTHR24418:SF425', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', 180003),
(236278, 'PTHR46128:SF268', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180004),
(236279, 'PTHR13271:SF34', NULL, NULL, NULL, NULL, 'RIBOSOMAL LYSINE N-METHYLTRANSFERASE 3', 180005),
(236280, 'PTHR43999:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 2', 180006),
(236281, 'PTHR46381:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0277071-RELATED', 180007),
(236282, 'PTHR46148:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180008),
(236283, 'PTHR37824:SF1', NULL, NULL, NULL, NULL, 'IRON-REGULATED SURFACE DETERMINANT PROTEIN C', 180009),
(236284, 'PTHR43518:SF3', NULL, NULL, NULL, NULL, 'RESPIRATORY NITRATE REDUCTASE 2 BETA CHAIN', 180010),
(236285, 'PTHR21308', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA ALPHA-HYDROXYLASE', 180011),
(236286, 'PTHR10992:SF1045', NULL, NULL, NULL, NULL, 'BNAC07G12100D PROTEIN', 180012),
(236287, 'PTHR28160', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L15, MITOCHONDRIAL', 180013),
(236288, 'PTHR23234:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9030624G23 GENE-RELATED', 180014),
(236289, 'PTHR47976:SF37', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK3', 180015),
(236290, 'PTHR23430:SF328', NULL, NULL, NULL, NULL, 'BNAC04G49710D PROTEIN', 180016),
(236291, 'PTHR33108', NULL, NULL, NULL, NULL, 'OS01G0745000 PROTEIN', 180017),
(236292, 'PTHR31775:SF28', NULL, NULL, NULL, NULL, 'REMORIN-LIKE', 180018),
(236293, 'PTHR11267:SF13', NULL, NULL, NULL, NULL, 'EOMESODERMIN HOMOLOG', 180019),
(236294, 'PTHR35690:SF1', NULL, NULL, NULL, NULL, 'OS01G0363500 PROTEIN', 180020),
(236295, 'PTHR22590:SF5', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE', 180021),
(236296, 'PTHR33681', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE, EXPRESSED-RELATED', 180022),
(236297, 'PTHR46961:SF1', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 1, AXONEMAL-LIKE PROTEIN', 180023),
(236298, 'PTHR22953:SF128', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 180024),
(236299, 'PTHR16253', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 22', 180025),
(236300, 'PTHR12844:SF17', NULL, NULL, NULL, NULL, 'CONNECTOR ENHANCER OF KINASE SUPPRESSOR OF RAS 3', 180026),
(236301, 'PTHR46151:SF14', NULL, NULL, NULL, NULL, 'OS06G0717600 PROTEIN', 180027),
(236302, 'PTHR40903:SF1', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1-LIKE', 180028),
(236303, 'PTHR33088:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180029),
(236304, 'PTHR42241', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED, DUF998 FAMILY', 180030),
(236305, 'PTHR31711:SF1', NULL, NULL, NULL, NULL, 'ARGININE AND GLUTAMATE-RICH PROTEIN 1', 180031),
(236306, 'PTHR11850:SF288', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SHOOT MERISTEMLESS', 180032);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(236307, 'PTHR31165:SF89', NULL, NULL, NULL, NULL, 'G1-LIKE PROTEIN', 180033),
(236308, 'PTHR36203', NULL, NULL, NULL, NULL, 'ASCORBATE-SPECIFIC PTS SYSTEM EIIA COMPONENT', 180034),
(236309, 'PTHR10533:SF5', NULL, NULL, NULL, NULL, 'PRO-NEUROPEPTIDE Y', 180035),
(236310, 'PTHR23105:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180036),
(236311, 'PTHR35799', NULL, NULL, NULL, NULL, 'S-RIBOSYLHOMOCYSTEINE LYASE', 180037),
(236312, 'PTHR15272:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180038),
(236313, 'PTHR23236:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180039),
(236314, 'PTHR23024:SF559', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 180040),
(236315, 'PTHR16089:SF11', NULL, NULL, NULL, NULL, 'REST COREPRESSOR 1', 180041),
(236316, 'PTHR46891', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H-RELATED', 180042),
(236317, 'PTHR33132:SF80', NULL, NULL, NULL, NULL, 'BNACNNG20100D PROTEIN', 180043),
(236318, 'PTHR23421:SF173', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 35 PROTEIN', 180044),
(236319, 'PTHR32141:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180045),
(236320, 'PTHR47074:SF17', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 180046),
(236321, 'PTHR10485:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180047),
(236322, 'PTHR14155:SF503', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3', 180048),
(236323, 'PTHR14085', NULL, NULL, NULL, NULL, 'WD-REPEAT PROTEIN BING4', 180049),
(236324, 'PTHR11615:SF237', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4A2', 180050),
(236325, 'PTHR45952:SF15', NULL, NULL, NULL, NULL, 'NUCLEOPHILE AMINOHYDROLASE-RELATED', 180051),
(236326, 'PTHR19359:SF78', NULL, NULL, NULL, NULL, 'CYTOCHROME B5', 180052),
(236327, 'PTHR14003:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 42', 180053),
(236328, 'PTHR34475', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 180054),
(236329, 'PTHR35605:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180055),
(236330, 'PTHR36516:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04168', 180056),
(236331, 'PTHR31375:SF189', NULL, NULL, NULL, NULL, 'BNACNNG50710D PROTEIN', 180057),
(236332, 'PTHR16451:SF13', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ELONGATION FACTOR 2', 180058),
(236333, 'PTHR31736:SF6', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE B-RELATED', 180059),
(236334, 'PTHR32285:SF241', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 4', 180060),
(236335, 'PTHR31769:SF54', NULL, NULL, NULL, NULL, 'BNAA05G10770D PROTEIN', 180061),
(236336, 'PTHR24006:SF806', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 1', 180062),
(236337, 'PTHR46641:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG18923', 180063),
(236338, 'PTHR43799', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE, PUTATIVE-RELATED', 180064),
(236339, 'PTHR22916:SF58', NULL, NULL, NULL, NULL, 'SUGAR TRANSFERASE-RELATED', 180065),
(236340, 'PTHR21068:SF42', NULL, NULL, NULL, NULL, 'PROTEIN EARLY-RESPONSIVE TO DEHYDRATION 7, CHLOROPLASTIC-LIKE', 180066),
(236341, 'PTHR12266:SF18', NULL, NULL, NULL, NULL, 'CATION/CALCIUM EXCHANGER 2', 180067),
(236342, 'PTHR31274', NULL, NULL, NULL, NULL, 'PROTEIN ECM3', 180068),
(236343, 'PTHR31325:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180069),
(236344, 'PTHR11829:SF364', NULL, NULL, NULL, NULL, 'FORKHEAD BOX E1', 180070),
(236345, 'PTHR34149:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG02644', 180071),
(236346, 'PTHR10627', NULL, NULL, NULL, NULL, 'SCP160', 180072),
(236347, 'PTHR22957:SF268', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 180073),
(236348, 'PTHR46234:SF10', NULL, NULL, NULL, NULL, 'ACYL-PROTEIN THIOESTERASE 1-LIKE', 180074),
(236349, 'PTHR11040:SF24', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORTER 3', 180075),
(236350, 'PTHR47991:SF110', NULL, NULL, NULL, NULL, 'PROTEIN DOWNY MILDEW RESISTANCE 6-LIKE', 180076),
(236351, 'PTHR47988:SF23', NULL, NULL, NULL, NULL, 'BNAA08G11770D PROTEIN', 180077),
(236352, 'PTHR31165:SF91', NULL, NULL, NULL, NULL, 'BNAA01G33570D PROTEIN', 180078),
(236353, 'PTHR10641:SF1249', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 93-RELATED', 180079);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(236354, 'PTHR24055:SF25', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 4', 180080),
(236355, 'PTHR35461:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180081),
(236356, 'PTHR11003:SF294', NULL, NULL, NULL, NULL, 'BNAA01G21820D PROTEIN', 180082),
(236357, 'PTHR45717:SF13', NULL, NULL, NULL, NULL, 'OS02G0796400 PROTEIN', 180083),
(236358, 'PTHR19850:SF36', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-5', 180084),
(236359, 'PTHR16833', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE TRANSCRIPT 3 DDIT3', 180085),
(236360, 'PTHR44068', NULL, NULL, NULL, NULL, 'ZGC:194242', 180086),
(236361, 'PTHR22989:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG15151', 180087),
(236362, 'PTHR42820:SF12', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE 3C', 180088),
(236363, 'PTHR47979:SF40', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABQ', 180089),
(236364, 'PTHR24377:SF619', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 256', 180090),
(236365, 'PTHR27002:SF145', NULL, NULL, NULL, NULL, 'OS06G0693000 PROTEIN', 180091),
(236366, 'PTHR31881:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180092),
(236367, 'PTHR24221:SF402', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY B MEMBER 7, MITOCHONDRIAL', 180093),
(236368, 'PTHR32468:SF34', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 18', 180094),
(236369, 'PTHR24388:SF47', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 280A', 180095),
(236370, 'PTHR24015:SF1880', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 180096),
(236371, 'PTHR24271:SF83', NULL, NULL, NULL, NULL, 'GRANZYME H', 180097),
(236372, 'PTHR10218:SF324', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-6 SUBUNIT-RELATED', 180098),
(236373, 'PTHR26312:SF136', NULL, NULL, NULL, NULL, 'BNAC05G05070D PROTEIN', 180099),
(236374, 'PTHR36024:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN SKIP35', 180100),
(236375, 'PTHR45637:SF5', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 180101),
(236376, 'PTHR47445', NULL, NULL, NULL, NULL, 'OS08G0441400 PROTEIN', 180102),
(236377, 'PTHR48010:SF2', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 180103),
(236378, 'PTHR14517:SF6', NULL, NULL, NULL, NULL, 'RE41410P', 180104),
(236379, 'PTHR33120:SF50', NULL, NULL, NULL, NULL, 'OS05G0571300 PROTEIN', 180105),
(236380, 'PTHR11932:SF63', NULL, NULL, NULL, NULL, 'CULLIN-5', 180106),
(236381, 'PTHR13218:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 11', 180107),
(236382, 'PTHR31251:SF149', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN', 180108),
(236383, 'PTHR33406:SF6', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN MJ1562-RELATED', 180109),
(236384, 'PTHR11732:SF182', NULL, NULL, NULL, NULL, 'PROTEIN CBG06720', 180110),
(236385, 'PTHR38431:SF1', NULL, NULL, NULL, NULL, 'BLL2305 PROTEIN', 180111),
(236386, 'PTHR31062:SF154', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 180112),
(236387, 'PTHR22814:SF310', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN CCH', 180113),
(236388, 'PTHR44094:SF8', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', 180114),
(236389, 'PTHR24217', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 180115),
(236390, 'PTHR23019:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR PORE MEMBRANE GLYCOPROTEIN 210-LIKE', 180116),
(236391, 'PTHR11969:SF64', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH57', 180117),
(236392, 'PTHR22808:SF14', NULL, NULL, NULL, NULL, 'OS08G0484400 PROTEIN', 180118),
(236393, 'PTHR24271:SF63', NULL, NULL, NULL, NULL, 'KALLIKREIN-12', 180119),
(236394, 'PTHR46802:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE BAZ1B', 180120),
(236395, 'PTHR31966:SF3', NULL, NULL, NULL, NULL, 'OS01G0783500 PROTEIN', 180121),
(236396, 'PTHR11122:SF35', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 180122),
(236397, 'PTHR11588:SF354', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-8 CHAIN', 180123),
(236398, 'PTHR21345:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SPIRE HOMOLOG 2', 180124);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(236399, 'PTHR32552:SF65', NULL, NULL, NULL, NULL, 'FERRIOXAMINE B RECEPTOR', 180125),
(236400, 'PTHR42976:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL CHITINASE/LYSOZYME-RELATED', 180126),
(236401, 'PTHR14559', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN FAMILY', 180127),
(236402, 'PTHR47926:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180128),
(236403, 'PTHR46128:SF24', NULL, NULL, NULL, NULL, 'PPR SUPERFAMILY PROTEIN', 180129),
(236404, 'PTHR10562:SF99', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE RAD60 SUMO-LIKE PROTEIN', 180130),
(236405, 'PTHR22572:SF150', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLTRANSFERASE', 180131),
(236406, 'PTHR14269:SF46', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--GLYCEROL-3-PHOSPHATE 3-PHOSPHATIDYLTRANSFERASE 1, CHLOROPLASTIC', 180132),
(236407, 'PTHR43880:SF43', NULL, NULL, NULL, NULL, 'OS07G0621800 PROTEIN', 180133),
(236408, 'PTHR24027:SF81', NULL, NULL, NULL, NULL, 'CADHERIN-4', 180134),
(236409, 'PTHR24384:SF102', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 141', 180135),
(236410, 'PTHR31446:SF8', NULL, NULL, NULL, NULL, 'OJ991113_30.3 PROTEIN', 180136),
(236411, 'PTHR27009:SF61', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE ISOFORM X1', 180137),
(236412, 'PTHR10994:SF144', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 180138),
(236413, 'PTHR16311:SF3', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN TYPE-1 DOMAIN-CONTAINING PROTEIN 1', 180139),
(236414, 'PTHR15459:SF5', NULL, NULL, NULL, NULL, 'POLYAMINE MODULATED FACTOR 1', 180140),
(236415, 'PTHR19918:SF40', NULL, NULL, NULL, NULL, 'PROTEIN FIZZY-RELATED 1', 180141),
(236416, 'PTHR24390:SF165', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 777', 180142),
(236417, 'PTHR33493:SF6', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 6', 180143),
(236418, 'PTHR37725:SF2', NULL, NULL, NULL, NULL, 'BNAA03G18120D PROTEIN', 180144),
(236419, 'PTHR24300:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180145),
(236420, 'PTHR45527:SF5', NULL, NULL, NULL, NULL, 'NONRIBOSOMAL PEPTIDE SYNTHASE INPB', 180146),
(236421, 'PTHR37744:SF1', NULL, NULL, NULL, NULL, 'STAR LIPID TRANSFER-LIKE PROTEIN', 180147),
(236422, 'PTHR45696:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180148),
(236423, 'PTHR42820:SF11', NULL, NULL, NULL, NULL, 'XANTHOXIN DEHYDROGENASE', 180149),
(236424, 'PTHR12483:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG08664', 180150),
(236425, 'PTHR10291:SF37', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', 180151),
(236426, 'PTHR18934:SF93', NULL, NULL, NULL, NULL, 'SPLICING FACTOR ATP-DEPENDENT RNA HELICASE, PUTATIVE-RELATED', 180152),
(236427, 'PTHR43591:SF32', NULL, NULL, NULL, NULL, 'MAGNESIUM PROTOPORPHYRIN IX METHYLTRANSFERASE, CHLOROPLASTIC-RELATED', 180153),
(236428, 'PTHR34145:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180154),
(236429, 'PTHR24351:SF201', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C', 180155),
(236430, 'PTHR45716:SF5', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-LIKE PROTEIN 2', 180156),
(236431, 'PTHR47025:SF15', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 1', 180157),
(236432, 'PTHR12277:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180158),
(236433, 'PTHR24072:SF329', NULL, NULL, NULL, NULL, 'RAS HOMOLOG FAMILY MEMBER CA-RELATED', 180159),
(236434, 'PTHR46797:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR SLRR', 180160),
(236435, 'PTHR37611:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180161),
(236436, 'PTHR11782:SF107', NULL, NULL, NULL, NULL, 'APYRASE-LIKE PROTEIN', 180162),
(236437, 'PTHR34630', NULL, NULL, NULL, NULL, 'OS11G0677101 PROTEIN', 180163),
(236438, 'PTHR34149:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG18148', 180164),
(236439, 'PTHR45665:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180165),
(236440, 'PTHR34064:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180166),
(236441, 'PTHR45676:SF10', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL54', 180167),
(236442, 'PTHR11690:SF131', NULL, NULL, NULL, NULL, 'DEGENERIN-LIKE PROTEIN ASIC-1', 180168),
(236443, 'PTHR16092:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180169);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(236444, 'PTHR37610:SF43', NULL, NULL, NULL, NULL, 'BNACNNG58880D PROTEIN', 180170),
(236445, 'PTHR45755', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 180171),
(236446, 'PTHR12874:SF19', NULL, NULL, NULL, NULL, 'OS02G0686500 PROTEIN', 180172),
(236447, 'PTHR31896:SF57', NULL, NULL, NULL, NULL, 'BNAA10G27540D PROTEIN', 180173),
(236448, 'PTHR11732:SF436', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL NADPH-DEPENDENT CODEINONE REDUCTASE 2-LIKE', 180174),
(236449, 'PTHR31029:SF11', NULL, NULL, NULL, NULL, 'BNAC08G15560D PROTEIN', 180175),
(236450, 'PTHR23292:SF7', NULL, NULL, NULL, NULL, 'CELL DEATH-INDUCING P53-TARGET PROTEIN 1', 180176),
(236451, 'PTHR31236:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180177),
(236452, 'PTHR37392:SF1', NULL, NULL, NULL, NULL, 'OS09G0556800 PROTEIN', 180178),
(236453, 'PTHR45978', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 3', 180179),
(236454, 'PTHR12635:SF14', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN 6', 180180),
(236455, 'PTHR33411:SF5', NULL, NULL, NULL, NULL, 'OS08G0392500 PROTEIN', 180181),
(236456, 'PTHR10985:SF84', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HES-7', 180182),
(236457, 'PTHR23087:SF2', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP NUCLEOSOME-BINDING DOMAIN-CONTAINING PROTEIN 3', 180183),
(236458, 'PTHR11960:SF14', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E', 180184),
(236459, 'PTHR10662', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR', 180185),
(236460, 'PTHR16223:SF206', NULL, NULL, NULL, NULL, 'OS03G0205300 PROTEIN', 180186),
(236461, 'PTHR13068:SF35', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', 180187),
(236462, 'PTHR45811:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180188),
(236463, 'PTHR23147:SF155', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SC35-LIKE SPLICING FACTOR SCL30A', 180189),
(236464, 'PTHR45630:SF1', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE 13A4-RELATED', 180190),
(236465, 'PTHR11937:SF477', NULL, NULL, NULL, NULL, 'ACTIN, CYTOPLASMIC 1', 180191),
(236466, 'PTHR33885', NULL, NULL, NULL, NULL, 'PHAGE SHOCK PROTEIN C', 180192),
(236467, 'PTHR14155:SF505', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL31-LIKE', 180193),
(236468, 'PTHR14241:SF19', NULL, NULL, NULL, NULL, 'SI:CH211-197G15.10-RELATED', 180194),
(236469, 'PTHR21325:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180195),
(236470, 'PTHR11358:SF28', NULL, NULL, NULL, NULL, 'HYPOTHETICAL ARGINASE FAMILY PROTEIN (EUROFUNG)', 180196),
(236471, 'PTHR11246:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180197),
(236472, 'PTHR43205:SF32', NULL, NULL, NULL, NULL, '(+)-PULEGONE REDUCTASE-RELATED', 180198),
(236473, 'PTHR14081:SF3', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 11', 180199),
(236474, 'PTHR34411:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180200),
(236475, 'PTHR47319:SF7', NULL, NULL, NULL, NULL, 'CALTRACTIN', 180201),
(236476, 'PTHR14224:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180202),
(236477, 'PTHR11604:SF31', NULL, NULL, NULL, NULL, 'PROFILIN', 180203),
(236478, 'PTHR33972', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 180204),
(236479, 'PTHR15486:SF80', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 5-RELATED', 180205),
(236480, 'PTHR35545:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180206),
(236481, 'PTHR10353:SF27', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 47', 180207),
(236482, 'PTHR21136:SF168', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 9', 180208),
(236483, 'PTHR22872:SF4', NULL, NULL, NULL, NULL, 'RCC1 AND BTB DOMAIN CONTAINING PROTEIN 1', 180209),
(236484, 'PTHR31533:SF29', NULL, NULL, NULL, NULL, 'BNAA09G05300D PROTEIN', 180210),
(236485, 'PTHR36496', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 180211),
(236486, 'PTHR33318:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 180212),
(236487, 'PTHR31589:SF162', NULL, NULL, NULL, NULL, 'BNAA03G17940D PROTEIN', 180213),
(236488, 'PTHR24107:SF5', NULL, NULL, NULL, NULL, 'NLR FAMILY PYRIN DOMAIN CONTAINING 9', 180214);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(236489, 'PTHR47360:SF1', NULL, NULL, NULL, NULL, 'MUREIN DD-ENDOPEPTIDASE MEPS/MUREIN LD-CARBOXYPEPTIDASE', 180215),
(236490, 'PTHR34145:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180216),
(236491, 'PTHR33193:SF45', NULL, NULL, NULL, NULL, 'BNAA07G35980D PROTEIN', 180217),
(236492, 'PTHR42979:SF5', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDROGENASE 1, CHLOROPLASTIC-RELATED', 180218),
(236493, 'PTHR10906:SF19', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT ALPHA ISOFORM 1', 180219),
(236494, 'PTHR22765:SF298', NULL, NULL, NULL, NULL, 'ERAD-ASSOCIATED E3 UBIQUITIN-PROTEIN LIGASE HRD1A', 180220),
(236495, 'PTHR33107:SF69', NULL, NULL, NULL, NULL, 'BNAANNG20080D PROTEIN', 180221),
(236496, 'PTHR10791:SF182', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 180222),
(236497, 'PTHR14083:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YIF1B', 180223),
(236498, 'PTHR46736:SF10', NULL, NULL, NULL, NULL, 'BNAANNG24740D PROTEIN', 180224),
(236499, 'PTHR11636:SF125', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 3, TRANSCRIPTION FACTOR 3', 180225),
(236500, 'PTHR23317:SF77', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 9', 180226),
(236501, 'PTHR33099:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180227),
(236502, 'PTHR46662:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180228),
(236503, 'PTHR26450:SF13', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52E4', 180229),
(236504, 'PTHR12650:SF27', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S30', 180230),
(236505, 'PTHR45798:SF46', NULL, NULL, NULL, NULL, 'OS04G0585000 PROTEIN', 180231),
(236506, 'PTHR22894:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-183N20.15', 180232),
(236507, 'PTHR10579:SF43', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL ACCESSORY 2', 180233),
(236508, 'PTHR31642:SF261', NULL, NULL, NULL, NULL, 'BNAC03G12710D PROTEIN', 180234),
(236509, 'PTHR24225:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180235),
(236510, 'PTHR38120', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 180236),
(236511, 'PTHR31508', NULL, NULL, NULL, NULL, 'PROTEIN PITCHFORK', 180237),
(236512, 'PTHR33738:SF8', NULL, NULL, NULL, NULL, 'EMB|CAB82975.1', 180238),
(236513, 'PTHR23024:SF514', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 12-RELATED', 180239),
(236514, 'PTHR30614:SF37', NULL, NULL, NULL, NULL, 'AMINO-ACID ABC TRANSPORTER PERMEASE PROTEIN YHDX-RELATED', 180240),
(236515, 'PTHR11011:SF93', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 180241),
(236516, 'PTHR10285:SF181', NULL, NULL, NULL, NULL, 'KINASE-RELATED PROTEIN (AFU_ORTHOLOGUE AFUA_4G06710)', 180242),
(236517, 'PTHR46502:SF17', NULL, NULL, NULL, NULL, 'OSJNBA0032F06.15 PROTEIN', 180243),
(236518, 'PTHR10953:SF228', NULL, NULL, NULL, NULL, 'BNAA04G15480D PROTEIN', 180244),
(236519, 'PTHR12220:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L16, MITOCHONDRIAL', 180245),
(236520, 'PTHR12956:SF71', NULL, NULL, NULL, NULL, 'BNAC05G21710D PROTEIN', 180246),
(236521, 'PTHR19432:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180247),
(236522, 'PTHR42886:SF21', NULL, NULL, NULL, NULL, 'PROTEIN ABHD4', 180248),
(236523, 'PTHR11216:SF140', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 1-LIKE ISOFORM X1', 180249),
(236524, 'PTHR24300:SF289', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 2, SUBFAMILY J, POLYPEPTIDE 12-RELATED', 180250),
(236525, 'PTHR46565:SF5', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN 2-LIKE', 180251),
(236526, 'PTHR36526:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 154', 180252),
(236527, 'PTHR12289:SF41', NULL, NULL, NULL, NULL, 'METAXIN-1 HOMOLOG', 180253),
(236528, 'PTHR24245:SF6', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 26', 180254),
(236529, 'PTHR11349:SF67', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', 180255),
(236530, 'PTHR23147:SF8', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930595M18 GENE', 180256),
(236531, 'PTHR32075', NULL, NULL, NULL, NULL, 'ISWI CHROMATIN-REMODELING COMPLEX SUBUNIT YPL216W-RELATED', 180257),
(236532, 'PTHR47047:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 180258);
INSERT INTO "PUBLIC"."MODEL" VALUES
(236533, 'PTHR34591:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180259),
(236534, 'PTHR11202:SF12', NULL, NULL, NULL, NULL, 'VASODILATOR-STIMULATED PHOSPHOPROTEIN', 180260),
(236535, 'PTHR31602:SF81', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 9', 180261),
(236536, 'PTHR18868:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180262),
(236537, 'PTHR35164:SF7', NULL, NULL, NULL, NULL, 'MYOSIN-13-LIKE', 180263),
(236538, 'PTHR26453:SF135', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 180264),
(236539, 'PTHR12565:SF184', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BEE 2', 180265),
(236540, 'PTHR22765:SF164', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', 180266),
(236541, 'PTHR36072:SF2', NULL, NULL, NULL, NULL, 'OS01G0541600 PROTEIN', 180267),
(236542, 'PTHR11616:SF254', NULL, NULL, NULL, NULL, 'TRANSPORTER', 180268),
(236543, 'PTHR36687:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180269),
(236544, 'PTHR34108', NULL, NULL, NULL, NULL, 'SEPTUM SITE-DETERMINING PROTEIN MINC', 180270),
(236545, 'PTHR12931:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180271),
(236546, 'PTHR36774:SF1', NULL, NULL, NULL, NULL, 'INSULIN-INDUCED PROTEIN', 180272),
(236547, 'PTHR10091:SF6', NULL, NULL, NULL, NULL, '1-EPIMERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G13240)-RELATED', 180273),
(236548, 'PTHR23232:SF99', NULL, NULL, NULL, NULL, 'ZNF268 PROTEIN', 180274),
(236549, 'PTHR33600:SF13', NULL, NULL, NULL, NULL, 'OS01G0224200 PROTEIN', 180275),
(236550, 'PTHR39455:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN ZAPD', 180276),
(236551, 'PTHR24031:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180277),
(236552, 'PTHR47116:SF11', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 180278),
(236553, 'PTHR33377:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180279),
(236554, 'PTHR33377:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180280),
(236555, 'PTHR10989:SF17', NULL, NULL, NULL, NULL, 'ANDROGEN-DEPENDENT TFPI-REGULATING PROTEIN', 180281),
(236556, 'PTHR23139:SF109', NULL, NULL, NULL, NULL, 'U2 SNRNP AUXILIARY FACTOR LARGE SUBUNIT', 180282),
(236557, 'PTHR33133:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180283),
(236558, 'PTHR15545:SF6', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING RING FINGER PROTEIN 4', 180284),
(236559, 'PTHR32227:SF253', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN PROTEIN', 180285),
(236560, 'PTHR31048:SF154', NULL, NULL, NULL, NULL, 'THAUMATIN-RELATED', 180286),
(236561, 'PTHR23137:SF35', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', 180287),
(236562, 'PTHR21047', NULL, NULL, NULL, NULL, 'DTDP-6-DEOXY-D-GLUCOSE-3,5 EPIMERASE', 180288),
(236563, 'PTHR47928:SF80', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 180289),
(236564, 'PTHR21021:SF15', NULL, NULL, NULL, NULL, 'FREE METHIONINE-R-SULFOXIDE REDUCTASE', 180290),
(236565, 'PTHR20648:SF0', NULL, NULL, NULL, NULL, 'ELONGIN-C', 180291),
(236566, 'PTHR11069:SF33', NULL, NULL, NULL, NULL, 'LYSOSOMAL ACID GLUCOSYLCERAMIDASE', 180292),
(236567, 'PTHR45938', NULL, NULL, NULL, NULL, 'ACP24A4-RELATED', 180293),
(236568, 'PTHR22691:SF14', NULL, NULL, NULL, NULL, 'BNAA09G42400D PROTEIN', 180294),
(236569, 'PTHR48044:SF29', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 180295),
(236570, 'PTHR10740:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180296),
(236571, 'PTHR34787:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT VI-1, CHLOROPLASTIC', 180297),
(236572, 'PTHR34613:SF1', NULL, NULL, NULL, NULL, 'SLL0800 PROTEIN', 180298),
(236573, 'PTHR10176:SF1', NULL, NULL, NULL, NULL, 'GLYCOGEN [STARCH] SYNTHASE, LIVER', 180299),
(236574, 'PTHR31374:SF44', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', 180300),
(236575, 'PTHR43310', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER YBAR-RELATED', 180301),
(236576, 'PTHR24243:SF208', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 19-RELATED', 180302),
(236577, 'PTHR24215:SF23', NULL, NULL, NULL, NULL, 'CYSTEINE AND GLYCINE-RICH PROTEIN 1', 180303);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(236578, 'PTHR12826:SF15', NULL, NULL, NULL, NULL, 'RIBONUCLEASE Y', 180304),
(236579, 'PTHR11709:SF296', NULL, NULL, NULL, NULL, 'MULTI-COPPER OXIDASE TYPE I FAMILY PROTEIN', 180305),
(236580, 'PTHR24302', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 3', 180306),
(236581, 'PTHR11783:SF241', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 180307),
(236582, 'PTHR46221:SF1', NULL, NULL, NULL, NULL, 'FERM AND PDZ DOMAIN-CONTAINING PROTEIN 3', 180308),
(236583, 'PTHR33165:SF35', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN-LIKE', 180309),
(236584, 'PTHR10766:SF139', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 4', 180310),
(236585, 'PTHR45798:SF37', NULL, NULL, NULL, NULL, 'OS05G0478000 PROTEIN', 180311),
(236586, 'PTHR11362:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180312),
(236587, 'PTHR31741:SF85', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', 180313),
(236588, 'PTHR31622:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 218', 180314),
(236589, 'PTHR12301:SF5', NULL, NULL, NULL, NULL, 'SAM AND SH3 DOMAIN-CONTAINING PROTEIN 3', 180315),
(236590, 'PTHR27006:SF342', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE IN FLOWERS 1-RELATED', 180316),
(236591, 'PTHR33149:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180317),
(236592, 'PTHR27000:SF728', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN', 180318),
(236593, 'PTHR37334', NULL, NULL, NULL, NULL, 'RGD1561796', 180319),
(236594, 'PTHR31790:SF381', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', 180320),
(236595, 'PTHR23262:SF190', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 9-6', 180321),
(236596, 'PTHR12035:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180322),
(236597, 'PTHR35822', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 45', 180323),
(236598, 'PTHR31839:SF10', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1A', 180324),
(236599, 'PTHR31801:SF1', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE', 180325),
(236600, 'PTHR45418:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180326),
(236601, 'PTHR11802:SF60', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 180327),
(236602, 'PTHR45721:SF3', NULL, NULL, NULL, NULL, 'LAMIN-B1', 180328),
(236603, 'PTHR28072', NULL, NULL, NULL, NULL, 'CRUCIFORM CUTTING ENDONUCLEASE 1, MITOCHONDRIAL-RELATED', 180329),
(236604, 'PTHR46446:SF20', NULL, NULL, NULL, NULL, 'BNAA07G09310D PROTEIN', 180330),
(236605, 'PTHR12686', NULL, NULL, NULL, NULL, '3''-5'' EXORIBONUCLEASE CSL4-RELATED', 180331),
(236606, 'PTHR31719:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180332),
(236607, 'PTHR11334:SF59', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER X4', 180333),
(236608, 'PTHR43574:SF30', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 3,5-EPIMERASE 1', 180334),
(236609, 'PTHR47480:SF1', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', 180335),
(236610, 'PTHR32444:SF101', NULL, NULL, NULL, NULL, 'OS06G0551800 PROTEIN', 180336),
(236611, 'PTHR34222:SF44', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR PROTEIN MRE11A-LIKE', 180337),
(236612, 'PTHR22776:SF49', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 7', 180338),
(236613, 'PTHR23167:SF48', NULL, NULL, NULL, NULL, 'AGAP011397-PA', 180339),
(236614, 'PTHR11260:SF555', NULL, NULL, NULL, NULL, 'OS07G0168300 PROTEIN', 180340),
(236615, 'PTHR26374:SF414', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT12-LIKE', 180341),
(236616, 'PTHR10159:SF514', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE DDB_G0271350-RELATED', 180342),
(236617, 'PTHR24006:SF809', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 180343),
(236618, 'PTHR33184:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180344),
(236619, 'PTHR31734:SF124', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA5', 180345),
(236620, 'PTHR42879:SF4', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACP] REDUCTASE', 180346),
(236621, 'PTHR12921', NULL, NULL, NULL, NULL, 'UBIQUITIN-FOLD MODIFIER-CONJUGATING ENZYME 1', 180347);
INSERT INTO "PUBLIC"."MODEL" VALUES
(236622, 'PTHR21262:SF37', NULL, NULL, NULL, NULL, 'HD/PDEASE DOMAIN, RELA/SPOT-RELATED', 180348),
(236623, 'PTHR11055:SF51', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 180349),
(236624, 'PTHR11575', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE-RELATED', 180350),
(236625, 'PTHR32063:SF10', NULL, NULL, NULL, NULL, 'EFFLUX PUMP MEMBRANE TRANSPORTER', 180351),
(236626, 'PTHR28006:SF1', NULL, NULL, NULL, NULL, 'MONOPOLIN COMPLEX SUBUNIT CSM1', 180352),
(236627, 'PTHR33109:SF72', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 1', 180353),
(236628, 'PTHR23244:SF459', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 180354),
(236629, 'PTHR12498:SF0', NULL, NULL, NULL, NULL, 'PROTEIN N-TERMINAL ASPARAGINE AMIDOHYDROLASE', 180355),
(236630, 'PTHR22907:SF34', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 180356),
(236631, 'PTHR19422:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180357),
(236632, 'PTHR10811:SF16', NULL, NULL, NULL, NULL, 'BNAA10G29960D PROTEIN', 180358),
(236633, 'PTHR19422:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180359),
(236634, 'PTHR21593:SF23', NULL, NULL, NULL, NULL, 'ONCHOCERCA RELATED ANTIGEN FAMILY', 180360),
(236635, 'PTHR15354', NULL, NULL, NULL, NULL, 'MUF1', 180361),
(236636, 'PTHR45933:SF14', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 5', 180362),
(236637, 'PTHR34197:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180363),
(236638, 'PTHR11003:SF107', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 180364),
(236639, 'PTHR33285:SF35', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 2', 180365),
(236640, 'PTHR11426:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180366),
(236641, 'PTHR45940:SF31', NULL, NULL, NULL, NULL, 'BNAA09G09400D PROTEIN', 180367),
(236642, 'PTHR16453:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180368),
(236643, 'PTHR23501:SF161', NULL, NULL, NULL, NULL, 'TRANSPORTER', 180369),
(236644, 'PTHR10778:SF42', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER B1-RELATED', 180370),
(236645, 'PTHR14254:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG15950', 180371),
(236646, 'PTHR43460', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 180372),
(236647, 'PTHR11654:SF323', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.9', 180373),
(236648, 'PTHR42985:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180374),
(236649, 'PTHR11783:SF185', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 180375),
(236650, 'PTHR45636:SF30', NULL, NULL, NULL, NULL, 'PAX (PAIRED BOX) TRANSCRIPTION FACTOR', 180376),
(236651, 'PTHR12357:SF97', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING PROTEIN-RELATED', 180377),
(236652, 'PTHR23167:SF58', NULL, NULL, NULL, NULL, 'ALPHA ACTININ 3-RELATED', 180378),
(236653, 'PTHR31044:SF77', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-D-GLUCOSIDASE-LIKE', 180379),
(236654, 'PTHR11913:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180380),
(236655, 'PTHR11461:SF312', NULL, NULL, NULL, NULL, 'SERPIN-Z1', 180381),
(236656, 'PTHR43393:SF1', NULL, NULL, NULL, NULL, 'PYRIMIDINE/PURINE NUCLEOTIDE 5''-MONOPHOSPHATE NUCLEOSIDASE', 180382),
(236657, 'PTHR19433:SF121', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 6', 180383),
(236658, 'PTHR13594:SF1', NULL, NULL, NULL, NULL, 'CENTRIOLAR COILED-COIL PROTEIN OF 110 KDA', 180384),
(236659, 'PTHR23501:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180385),
(236660, 'PTHR12002:SF41', NULL, NULL, NULL, NULL, 'CLAUDIN-6', 180386),
(236661, 'PTHR24136:SF18', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 5', 180387),
(236662, 'PTHR16322:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-70P6.1', 180388),
(236663, 'PTHR36488:SF7', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1U3', 180389),
(236664, 'PTHR43497:SF2', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 11', 180390),
(236665, 'PTHR21566:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG18514', 180391),
(236666, 'PTHR46128:SF116', NULL, NULL, NULL, NULL, 'BNAC04G02050D PROTEIN', 180392),
(236667, 'PTHR24205:SF14', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS 1', 180393);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(236668, 'PTHR12920:SF3', NULL, NULL, NULL, NULL, 'RING1 AND YY1-BINDING PROTEIN', 180394),
(236669, 'PTHR33147:SF76', NULL, NULL, NULL, NULL, 'DEFENSIN', 180395),
(236670, 'PTHR21662:SF29', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', 180396),
(236671, 'PTHR37694:SF1', NULL, NULL, NULL, NULL, 'SLR8022 PROTEIN', 180397),
(236672, 'PTHR32100:SF13', NULL, NULL, NULL, NULL, 'DELTA(12)-FATTY-ACID DESATURASE', 180398),
(236673, 'PTHR47896', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-9', 180399),
(236674, 'PTHR24214:SF56', NULL, NULL, NULL, NULL, 'Z BAND ALTERNATIVELY SPLICED PDZ-MOTIF PROTEIN 67, ISOFORM G', 180400),
(236675, 'PTHR46601:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180401),
(236676, 'PTHR13335:SF1', NULL, NULL, NULL, NULL, 'TARGET OF RAPAMYCIN COMPLEX 2 SUBUNIT MAPKAP1', 180402),
(236677, 'PTHR31048:SF138', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN', 180403),
(236678, 'PTHR19375:SF442', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN BIP2', 180404),
(236679, 'PTHR22958:SF36', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASE, TIM BETA/ALPHA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', 180405),
(236680, 'PTHR11879:SF4', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 180406),
(236681, 'PTHR16461:SF5', NULL, NULL, NULL, NULL, 'TOLL-INTERACTING PROTEIN', 180407),
(236682, 'PTHR39136:SF1', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 11', 180408),
(236683, 'PTHR15859:SF5', NULL, NULL, NULL, NULL, 'SH3KBP1-BINDING PROTEIN 1', 180409),
(236684, 'PTHR47256:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 180410),
(236685, 'PTHR27002:SF817', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 180411),
(236686, 'PTHR12276:SF86', NULL, NULL, NULL, NULL, 'CLATHRIN INTERACTOR EPSIN 3-LIKE ISOFORM X1', 180412),
(236687, 'PTHR33148:SF44', NULL, NULL, NULL, NULL, 'OS02G0667100 PROTEIN', 180413),
(236688, 'PTHR13422:SF18', NULL, NULL, NULL, NULL, 'SIN3-HDAC COMPLEX-ASSOCIATED FACTOR', 180414),
(236689, 'PTHR12801:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180415),
(236690, 'PTHR33110:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180416),
(236691, 'PTHR12466:SF8', NULL, NULL, NULL, NULL, 'PARAFIBROMIN', 180417),
(236692, 'PTHR24349', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 180418),
(236693, 'PTHR32141:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180419),
(236694, 'PTHR15321', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR P53-BINDING PROTEIN 1', 180420),
(236695, 'PTHR11223:SF10', NULL, NULL, NULL, NULL, 'PROTEIN EXPORTIN 1B', 180421),
(236696, 'PTHR13020:SF28', NULL, NULL, NULL, NULL, 'TRINUCLEOTIDE REPEAT-CONTAINING GENE 6A PROTEIN', 180422),
(236697, 'PTHR23428:SF289', NULL, NULL, NULL, NULL, 'HISTONE H2B', 180423),
(236698, 'PTHR24072:SF284', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE', 180424),
(236699, 'PTHR31170:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180425),
(236700, 'PTHR45693:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA6', 180426),
(236701, 'PTHR24377:SF663', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 868', 180427),
(236702, 'PTHR23226:SF206', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 575', 180428),
(236703, 'PTHR11567', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-RELATED', 180429),
(236704, 'PTHR31137:SF11', NULL, NULL, NULL, NULL, 'PROTEIN PSIF', 180430),
(236705, 'PTHR45889:SF4', NULL, NULL, NULL, NULL, 'HEMICENTIN 2', 180431),
(236706, 'PTHR31356:SF50', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 6, CHLOROPLASTIC/MITOCHONDRIAL-RELATED', 180432),
(236707, 'PTHR48022:SF53', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01700)-RELATED', 180433),
(236708, 'PTHR32179:SF3', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE PYROPHOSPHORYLASE [CARBOXYLATING]', 180434),
(236709, 'PTHR16106:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 4 OPEN READING FRAME 19', 180435),
(236710, 'PTHR43553:SF18', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN MA_1418-RELATED', 180436);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(236711, 'PTHR46619', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF XS DOMAIN PROTEIN-RELATED', 180437),
(236712, 'PTHR10290:SF5', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 1', 180438),
(236713, 'PTHR11929:SF184', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE C-LIKE PROTEIN', 180439),
(236714, 'PTHR33138:SF49', NULL, NULL, NULL, NULL, 'OS01G0117266 PROTEIN', 180440),
(236715, 'PTHR37194', NULL, NULL, NULL, NULL, 'T2E6.7-RELATED', 180441),
(236716, 'PTHR34996:SF5', NULL, NULL, NULL, NULL, 'OS02G0713250 PROTEIN', 180442),
(236717, 'PTHR26454:SF62', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 180443),
(236718, 'PTHR20835:SF7', NULL, NULL, NULL, NULL, 'BNAA05G11440D PROTEIN', 180444),
(236719, 'PTHR31207:SF37', NULL, NULL, NULL, NULL, 'BNAANNG38700D PROTEIN', 180445),
(236720, 'PTHR24299:SF25', NULL, NULL, NULL, NULL, 'OS07G0293000 PROTEIN', 180446),
(236721, 'PTHR28020:SF1', NULL, NULL, NULL, NULL, 'YAP1-BINDING PROTEIN 1-RELATED', 180447),
(236722, 'PTHR36316:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180448),
(236723, 'PTHR47174:SF2', NULL, NULL, NULL, NULL, 'SH3 DOMAIN SIGNALLING PROTEIN (AFU_ORTHOLOGUE AFUA_5G07670)', 180449),
(236724, 'PTHR35318', NULL, NULL, NULL, NULL, 'BNAA10G08410D PROTEIN', 180450),
(236725, 'PTHR45631:SF41', NULL, NULL, NULL, NULL, 'BNAC07G15800D PROTEIN', 180451),
(236726, 'PTHR30193:SF42', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', 180452),
(236727, 'PTHR47926:SF188', NULL, NULL, NULL, NULL, 'BNAA09G40880D PROTEIN', 180453),
(236728, 'PTHR43628:SF7', NULL, NULL, NULL, NULL, 'SEL1-LIKE REPEAT-CONTAINING PROTEIN', 180454),
(236729, 'PTHR30600:SF9', NULL, NULL, NULL, NULL, 'BLR7738 PROTEIN', 180455),
(236730, 'PTHR10177:SF461', NULL, NULL, NULL, NULL, 'BNAA08G31410D PROTEIN', 180456),
(236731, 'PTHR15258', NULL, NULL, NULL, NULL, 'FGF BINDING PROTEIN-RELATED', 180457),
(236732, 'PTHR48047:SF44', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 180458),
(236733, 'PTHR15923:SF3', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING RECEPTOR 1', 180459),
(236734, 'PTHR24351:SF204', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 180460),
(236735, 'PTHR43443', NULL, NULL, NULL, NULL, '3-HEXULOSE-6-PHOSPHATE ISOMERASE', 180461),
(236736, 'PTHR10209:SF461', NULL, NULL, NULL, NULL, 'DOWNSTREAM TARGET OF AGL15-4 PROTEIN', 180462),
(236737, 'PTHR22957:SF578', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN-RELATED', 180463),
(236738, 'PTHR12210:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180464),
(236739, 'PTHR11908:SF133', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE', 180465),
(236740, 'PTHR11908:SF123', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDOREDUCTASE MOLYBDENUM-BINDING SUBUNIT PAOC', 180466),
(236741, 'PTHR47989:SF32', NULL, NULL, NULL, NULL, 'PTO-INTERACTING PROTEIN 1-LIKE', 180467),
(236742, 'PTHR47954:SF2', NULL, NULL, NULL, NULL, 'OS09G0275400 PROTEIN', 180468),
(236743, 'PTHR10457:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180469),
(236744, 'PTHR43731:SF18', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 9, CHLOROPLASTIC', 180470),
(236745, 'PTHR47248:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG08649', 180471),
(236746, 'PTHR30146:SF110', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR TRER', 180472),
(236747, 'PTHR12864:SF62', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 180473),
(236748, 'PTHR36493', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 180474),
(236749, 'PTHR31707:SF277', NULL, NULL, NULL, NULL, 'PECTINESTERASE 3', 180475),
(236750, 'PTHR15629:SF32', NULL, NULL, NULL, NULL, 'SH3 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G10320)', 180476),
(236751, 'PTHR12904:SF28', NULL, NULL, NULL, NULL, 'GASTRULATION-DEFECTIVE PROTEIN 3', 180477),
(236752, 'PTHR31621:SF62', NULL, NULL, NULL, NULL, 'BNAA05G19650D PROTEIN', 180478),
(236753, 'PTHR11689:SF146', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 180479),
(236754, 'PTHR11652:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180480),
(236755, 'PTHR47387:SF1', NULL, NULL, NULL, NULL, 'NECTIN-2', 180481);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(236756, 'PTHR16024:SF8', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 8', 180482),
(236757, 'PTHR44137:SF26', NULL, NULL, NULL, NULL, 'BNAA02G34340D PROTEIN', 180483),
(236758, 'PTHR14493:SF119', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCCH-TYPE, ANKYRIN REPEAT-CONTAINING DOMAIN PROTEIN-RELATED', 180484),
(236759, 'PTHR46867:SF5', NULL, NULL, NULL, NULL, 'BNAA09G16830D PROTEIN', 180485),
(236760, 'PTHR22952:SF380', NULL, NULL, NULL, NULL, 'OS07G0686100 PROTEIN', 180486),
(236761, 'PTHR47992:SF17', NULL, NULL, NULL, NULL, 'PHOSPHATASE, MG2+/MN2+-DEPENDENT, 1NA (PUTATIVE)-RELATED', 180487),
(236762, 'PTHR43329:SF85', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', 180488),
(236763, 'PTHR12277:SF75', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 180489),
(236764, 'PTHR42109', NULL, NULL, NULL, NULL, 'UNPLACED GENOMIC SCAFFOLD UM_SCAF_CONTIG_1.265, WHOLE GENOME SHOTGUN SEQUENCE', 180490),
(236765, 'PTHR13316:SF8', NULL, NULL, NULL, NULL, 'PROLINE-RICH SPLICEOSOME-ASSOCIATED (PSP) FAMILY PROTEIN / ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', 180491),
(236766, 'PTHR46994:SF3', NULL, NULL, NULL, NULL, 'NUCLEOSIDE PHOSPHORYLASE-RELATED', 180492),
(236767, 'PTHR11958:SF17', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 180493),
(236768, 'PTHR31235:SF11', NULL, NULL, NULL, NULL, 'PEROXIDASE 21', 180494),
(236769, 'PTHR43791:SF54', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G00130)-RELATED', 180495),
(236770, 'PTHR30477:SF13', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY ZINC UPTAKE SYSTEM MEMBRANE PROTEIN ZNUB', 180496),
(236771, 'PTHR27007:SF169', NULL, NULL, NULL, NULL, 'OS07G0130100 PROTEIN', 180497),
(236772, 'PTHR10766:SF122', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 180498),
(236773, 'PTHR46671:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG23370', 180499),
(236774, 'PTHR48021:SF47', NULL, NULL, NULL, NULL, 'GH17672P', 180500),
(236775, 'PTHR31751:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180501),
(236776, 'PTHR31415:SF122', NULL, NULL, NULL, NULL, 'OS01G0864632 PROTEIN', 180502),
(236777, 'PTHR11099:SF5', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 35C', 180503),
(236778, 'PTHR33018:SF17', NULL, NULL, NULL, NULL, 'OS06G0521633 PROTEIN', 180504),
(236779, 'PTHR27002:SF829', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-7', 180505),
(236780, 'PTHR11709:SF402', NULL, NULL, NULL, NULL, 'LACCASE', 180506),
(236781, 'PTHR21879', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 180507),
(236782, 'PTHR13743:SF121', NULL, NULL, NULL, NULL, 'OS02G0663300 PROTEIN', 180508),
(236783, 'PTHR24241:SF155', NULL, NULL, NULL, NULL, 'PYROGLUTAMYLATED RF-AMIDE PEPTIDE RECEPTOR', 180509),
(236784, 'PTHR48029', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 8', 180510),
(236785, 'PTHR47990:SF13', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 8-LIKE', 180511),
(236786, 'PTHR45775', NULL, NULL, NULL, NULL, 'RAD, GEM/KIR FAMILY MEMBER 2, ISOFORM C', 180512),
(236787, 'PTHR11461:SF333', NULL, NULL, NULL, NULL, 'BNAC03G15800D PROTEIN', 180513),
(236788, 'PTHR46503:SF11', NULL, NULL, NULL, NULL, 'BNAC05G14770D PROTEIN', 180514),
(236789, 'PTHR10075:SF72', NULL, NULL, NULL, NULL, 'DOWN SYNDROME CELL ADHESION MOLECULE-LIKE PROTEIN 1', 180515),
(236790, 'PTHR47766:SF1', NULL, NULL, NULL, NULL, 'PROTEIN EFR3', 180516),
(236791, 'PTHR11260:SF512', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE PARC-RELATED', 180517),
(236792, 'PTHR24166:SF28', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 46', 180518),
(236793, 'PTHR27004:SF142', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 27', 180519),
(236794, 'PTHR23128:SF136', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-21', 180520),
(236795, 'PTHR10891:SF858', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', 180521),
(236796, 'PTHR11439:SF340', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180522),
(236797, 'PTHR21310:SF40', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE PHOSPHOTRANSFERASE-RELATED', 180523);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(236798, 'PTHR11709:SF207', NULL, NULL, NULL, NULL, 'LACCASE-11', 180524),
(236799, 'PTHR10916', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35/50S RIBOSOMAL PROTEIN L29', 180525),
(236800, 'PTHR31580:SF26', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 5', 180526),
(236801, 'PTHR22883:SF336', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 9-RELATED', 180527),
(236802, 'PTHR11260:SF681', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9-LIKE', 180528),
(236803, 'PTHR48102:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE ATPASE SUBUNIT HSLU2', 180529),
(236804, 'PTHR42861:SF97', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 180530),
(236805, 'PTHR12292:SF4', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN 1-RELATED', 180531),
(236806, 'PTHR46641:SF13', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', 180532),
(236807, 'PTHR12259:SF4', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN GIPC1', 180533),
(236808, 'PTHR11866:SF16', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E2 RECEPTOR EP4 SUBTYPE-LIKE PROTEIN', 180534),
(236809, 'PTHR33264:SF35', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 180535),
(236810, 'PTHR13619:SF1', NULL, NULL, NULL, NULL, 'BNAC03G57080D PROTEIN', 180536),
(236811, 'PTHR24637:SF308', NULL, NULL, NULL, NULL, 'COLLAGEN', 180537),
(236812, 'PTHR24241:SF134', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 22B', 180538),
(236813, 'PTHR33138:SF32', NULL, NULL, NULL, NULL, 'KINASE SUPERFAMILY PROTEIN', 180539),
(236814, 'PTHR47958:SF39', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 37-LIKE', 180540),
(236815, 'PTHR26453:SF247', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 180541),
(236816, 'PTHR31826:SF7', NULL, NULL, NULL, NULL, 'NICALIN', 180542),
(236817, 'PTHR12125:SF10', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 6', 180543),
(236818, 'PTHR39412:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 46', 180544),
(236819, 'PTHR48004:SF42', NULL, NULL, NULL, NULL, 'PROTEIN TOO MANY MOUTHS', 180545),
(236820, 'PTHR33284:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L25/GLN-TRNA SYNTHETASE, ANTI-CODON-BINDING DOMAIN-CONTAINING PROTEIN', 180546),
(236821, 'PTHR12884:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', 180547),
(236822, 'PTHR11593:SF18', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L17C', 180548),
(236823, 'PTHR35486:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180549),
(236824, 'PTHR31213:SF138', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL5', 180550),
(236825, 'PTHR33593:SF1', NULL, NULL, NULL, NULL, 'DUF1442 FAMILY PROTEIN', 180551),
(236826, 'PTHR47926:SF288', NULL, NULL, NULL, NULL, 'OS01G0839400 PROTEIN', 180552),
(236827, 'PTHR19271', NULL, NULL, NULL, NULL, 'CYTOCHROME B', 180553),
(236828, 'PTHR13009:SF4', NULL, NULL, NULL, NULL, 'ACTIVATOR OF 90 KDA HEAT SHOCK PROTEIN ATPASE HOMOLOG 2-RELATED', 180554),
(236829, 'PTHR18952:SF211', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 7', 180555),
(236830, 'PTHR10306:SF17', NULL, NULL, NULL, NULL, 'SYNAPTOPHYSIN', 180556),
(236831, 'PTHR11629', NULL, NULL, NULL, NULL, 'VACUOLAR PROTON ATPASES', 180557),
(236832, 'PTHR13041', NULL, NULL, NULL, NULL, 'JTB PROTEIN-RELATED', 180558),
(236833, 'PTHR31426:SF5', NULL, NULL, NULL, NULL, 'OJ990528_30.7 PROTEIN', 180559),
(236834, 'PTHR31213:SF74', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL9-LIKE', 180560),
(236835, 'PTHR42851:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATM', 180561),
(236836, 'PTHR35041:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180562),
(236837, 'PTHR26454:SF154', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 180563),
(236838, 'PTHR15486:SF69', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID/GLYCEROL ACYLTRANSFERASE-RELATED', 180564),
(236839, 'PTHR47998:SF1', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR ETC1', 180565),
(236840, 'PTHR24271:SF62', NULL, NULL, NULL, NULL, 'KALLIKREIN-8', 180566),
(236841, 'PTHR45726:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180567),
(236842, 'PTHR22952:SF392', NULL, NULL, NULL, NULL, 'OS05G0437700 PROTEIN', 180568);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(236843, 'PTHR36788:SF3', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 171-RELATED', 180569),
(236844, 'PTHR12400:SF55', NULL, NULL, NULL, NULL, 'INOSITOL-TRISPHOSPHATE 3-KINASE A', 180570),
(236845, 'PTHR47983:SF1', NULL, NULL, NULL, NULL, 'BNAA04G27250D PROTEIN', 180571),
(236846, 'PTHR35995:SF1', NULL, NULL, NULL, NULL, 'OS04G0690500 PROTEIN', 180572),
(236847, 'PTHR12146', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10', 180573),
(236848, 'PTHR31124:SF11', NULL, NULL, NULL, NULL, 'BNAC09G52530D PROTEIN', 180574),
(236849, 'PTHR31038:SF2', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 1, CHLOROPLASTIC-LIKE', 180575),
(236850, 'PTHR21588:SF20', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT', 180576),
(236851, 'PTHR24414:SF132', NULL, NULL, NULL, NULL, 'BNAC02G45990D PROTEIN', 180577),
(236852, 'PTHR36448', NULL, NULL, NULL, NULL, 'BLR7373 PROTEIN', 180578),
(236853, 'PTHR35304:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180579),
(236854, 'PTHR43332:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PERMEASE YADH', 180580),
(236855, 'PTHR10516:SF412', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP20-1', 180581),
(236856, 'PTHR43952:SF49', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 180582),
(236857, 'PTHR44668:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7C', 180583),
(236858, 'PTHR24298:SF626', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 81, SUBFAMILY H, POLYPEPTIDE 1', 180584),
(236859, 'PTHR48052:SF21', NULL, NULL, NULL, NULL, 'BNACNNG16910D PROTEIN', 180585),
(236860, 'PTHR12623:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180586),
(236861, 'PTHR24206:SF92', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', 180587),
(236862, 'PTHR24286:SF90', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 87A3-LIKE', 180588),
(236863, 'PTHR11850:SF208', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 2', 180589),
(236864, 'PTHR33915', NULL, NULL, NULL, NULL, 'OSJNBA0033G05.11 PROTEIN', 180590),
(236865, 'PTHR11097:SF30', NULL, NULL, NULL, NULL, 'BNAA05G29900D PROTEIN', 180591),
(236866, 'PTHR10476:SF45', NULL, NULL, NULL, NULL, 'BNAANNG10150D PROTEIN', 180592),
(236867, 'PTHR33170:SF8', NULL, NULL, NULL, NULL, 'OS07G0485366 PROTEIN', 180593),
(236868, 'PTHR33669:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180594),
(236869, 'PTHR22572:SF143', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLYLTRANSFERASE 1-RELATED', 180595),
(236870, 'PTHR33021:SF350', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN-RELATED', 180596),
(236871, 'PTHR46913:SF10', NULL, NULL, NULL, NULL, 'BNAA10G27770D PROTEIN', 180597),
(236872, 'PTHR24092:SF5', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 180598),
(236873, 'PTHR45847:SF10', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE HOMOLOG', 180599),
(236874, 'PTHR43097:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180600),
(236875, 'PTHR13370:SF3', NULL, NULL, NULL, NULL, 'TRNA (GUANINE(10)-N2)-METHYLTRANSFERASE HOMOLOG', 180601),
(236876, 'PTHR37424:SF1', NULL, NULL, NULL, NULL, 'BACTERIOFERRITIN-ASSOCIATED FERREDOXIN', 180602),
(236877, 'PTHR22811:SF145', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA9-LIKE', 180603),
(236878, 'PTHR31304:SF1', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 38', 180604),
(236879, 'PTHR10414:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180605),
(236880, 'PTHR18966:SF522', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 180606),
(236881, 'PTHR37549', NULL, NULL, NULL, NULL, 'LIPOPROTEIN LPRI', 180607),
(236882, 'PTHR32448:SF93', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 12', 180608),
(236883, 'PTHR48000:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB87', 180609),
(236884, 'PTHR11639:SF66', NULL, NULL, NULL, NULL, 'PROTEIN S100-A1', 180610),
(236885, 'PTHR47942:SF27', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 180611),
(236886, 'PTHR31413:SF28', NULL, NULL, NULL, NULL, 'BNAC08G40190D PROTEIN', 180612); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(236887, 'PTHR12694:SF9', NULL, NULL, NULL, NULL, 'TFIIA-ALPHA AND BETA-LIKE FACTOR', 180613),
(236888, 'PTHR31174:SF20', NULL, NULL, NULL, NULL, 'OS06G0341300 PROTEIN', 180614),
(236889, 'PTHR13989:SF12', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 30 KDA SUBUNIT', 180615),
(236890, 'PTHR12321:SF147', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 6', 180616),
(236891, 'PTHR43791:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180617),
(236892, 'PTHR23234:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 6720489N17 GENE', 180618),
(236893, 'PTHR11132:SF436', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-SUGAR TRANSPORTER FAMILY PROTEIN-RELATED', 180619),
(236894, 'PTHR36746:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180620),
(236895, 'PTHR36441', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', 180621),
(236896, 'PTHR12197:SF211', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN DDB_G0292140-RELATED', 180622),
(236897, 'PTHR46766', NULL, NULL, NULL, NULL, 'GLUTAMINE-RICH PROTEIN 2', 180623),
(236898, 'PTHR12770:SF21', NULL, NULL, NULL, NULL, 'RUS1 FAMILY PROTEIN HOMOLOG', 180624),
(236899, 'PTHR14363:SF37', NULL, NULL, NULL, NULL, 'HEPARANASE-LIKE PROTEIN 2', 180625),
(236900, 'PTHR12895:SF9', NULL, NULL, NULL, NULL, 'DYMECLIN', 180626),
(236901, 'PTHR46866:SF1', NULL, NULL, NULL, NULL, 'GH12955P', 180627),
(236902, 'PTHR13683:SF829', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 180628),
(236903, 'PTHR45619:SF42', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A CATALYTIC SUBUNIT ALPHA ISOFORM', 180629),
(236904, 'PTHR32423:SF65', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 180630),
(236905, 'PTHR11514:SF117', NULL, NULL, NULL, NULL, 'OS01G0235700 PROTEIN', 180631),
(236906, 'PTHR36575', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14430)-RELATED', 180632),
(236907, 'PTHR48017:SF111', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1A', 180633),
(236908, 'PTHR10104:SF1', NULL, NULL, NULL, NULL, 'STATHMIN, ISOFORM D', 180634),
(236909, 'PTHR46151:SF11', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN-LIKE 1', 180635),
(236910, 'PTHR26453:SF636', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2B8-RELATED', 180636),
(236911, 'PTHR23088:SF53', NULL, NULL, NULL, NULL, 'OMEGA-AMIDASE,CHLOROPLASTIC', 180637),
(236912, 'PTHR46047', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 61F', 180638),
(236913, 'PTHR45847:SF8', NULL, NULL, NULL, NULL, 'VITAMIN D3 HYDROXYLASE-ASSOCIATED PROTEIN', 180639),
(236914, 'PTHR40255', NULL, NULL, NULL, NULL, 'UPF0093 MEMBRANE PROTEIN SLR1790', 180640),
(236915, 'PTHR23050:SF448', NULL, NULL, NULL, NULL, 'CALMODULIN-1', 180641),
(236916, 'PTHR34183', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 180642),
(236917, 'PTHR24070:SF406', NULL, NULL, NULL, NULL, 'RE63021P', 180643),
(236918, 'PTHR33102:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180644),
(236919, 'PTHR24031:SF722', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-13-LIKE', 180645),
(236920, 'PTHR11722:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', 180646),
(236921, 'PTHR31265:SF34', NULL, NULL, NULL, NULL, 'BNAA05G09330D PROTEIN', 180647),
(236922, 'PTHR12436', NULL, NULL, NULL, NULL, '80 KDA MCM3-ASSOCIATED PROTEIN', 180648),
(236923, 'PTHR22941:SF133', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 180649),
(236924, 'PTHR44027:SF6', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 5B', 180650),
(236925, 'PTHR45862:SF6', NULL, NULL, NULL, NULL, 'PROTEIN SGT1-LIKE PROTEIN', 180651),
(236926, 'PTHR12537:SF132', NULL, NULL, NULL, NULL, 'PUMILIO-FAMILY RNA-BINDING REPEATPROTEIN', 180652),
(236927, 'PTHR44542:SF15', NULL, NULL, NULL, NULL, 'RHODANESE/CELL CYCLE CONTROL PHOSPHATASE SUPERFAMILY PROTEIN-RELATED', 180653),
(236928, 'PTHR11439:SF322', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 9-LIKE', 180654),
(236929, 'PTHR27005:SF308', NULL, NULL, NULL, NULL, 'BNAC09G53720D PROTEIN', 180655),
(236930, 'PTHR31790:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180656);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(236931, 'PTHR10032:SF193', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR OVO-LIKE 2', 180657),
(236932, 'PTHR31223:SF62', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', 180658),
(236933, 'PTHR11062:SF312', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS01G0926600-RELATED', 180659),
(236934, 'PTHR43085:SF26', NULL, NULL, NULL, NULL, 'PFKB-LIKE CARBOHYDRATE KINASE FAMILY PROTEIN', 180660),
(236935, 'PTHR48047:SF92', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 180661),
(236936, 'PTHR10722:SF27', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', 180662),
(236937, 'PTHR10903:SF74', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 1', 180663),
(236938, 'PTHR34278:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180664),
(236939, 'PTHR33609:SF5', NULL, NULL, NULL, NULL, 'LOW CALCIUM RESPONSE LOCUS PROTEIN S', 180665),
(236940, 'PTHR14199:SF34', NULL, NULL, NULL, NULL, 'MYOMEGALIN ISOFORM X3', 180666),
(236941, 'PTHR13743:SF139', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN LVSB', 180667),
(236942, 'PTHR11360:SF28', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 12', 180668),
(236943, 'PTHR28591:SF2', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR RESPONDER PROTEIN 1', 180669),
(236944, 'PTHR22957:SF260', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 8', 180670),
(236945, 'PTHR11814:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180671),
(236946, 'PTHR23301:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180672),
(236947, 'PTHR32285:SF218', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 180673),
(236948, 'PTHR10353:SF208', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1 PROTEIN', 180674),
(236949, 'PTHR10505:SF13', NULL, NULL, NULL, NULL, 'CALCITONIN RECEPTOR-STIMULATING PEPTIDE 1', 180675),
(236950, 'PTHR11430:SF76', NULL, NULL, NULL, NULL, 'MCG140531-RELATED', 180676),
(236951, 'PTHR23140:SF5', NULL, NULL, NULL, NULL, 'ZGC:163098', 180677),
(236952, 'PTHR43939:SF69', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', 180678),
(236953, 'PTHR15710:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180679),
(236954, 'PTHR30160', NULL, NULL, NULL, NULL, 'TETRAACYLDISACCHARIDE 4''-KINASE-RELATED', 180680),
(236955, 'PTHR24390:SF71', NULL, NULL, NULL, NULL, 'ZGC:113090-RELATED', 180681),
(236956, 'PTHR19300:SF56', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 1', 180682),
(236957, 'PTHR11647:SF54', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINASE-RELATED PROTEIN 1', 180683),
(236958, 'PTHR13271:SF47', NULL, NULL, NULL, NULL, 'ACTIN-HISTIDINE N-METHYLTRANSFERASE', 180684),
(236959, 'PTHR11066:SF57', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE', 180685),
(236960, 'PTHR31284:SF24', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1', 180686),
(236961, 'PTHR15546:SF2', NULL, NULL, NULL, NULL, 'BROMODOMAIN ADJACENT TO ZINC FINGER DOMAIN, 2A', 180687),
(236962, 'PTHR13036:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE ALG1-LIKE-RELATED', 180688),
(236963, 'PTHR10316:SF67', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED GUANYLATE KINASE, WW AND PDZ DOMAIN-CONTAINING 1A', 180689),
(236964, 'PTHR31384:SF131', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 180690),
(236965, 'PTHR13683:SF716', NULL, NULL, NULL, NULL, 'OS02G0720600 PROTEIN', 180691),
(236966, 'PTHR35308:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180692),
(236967, 'PTHR42032:SF1', NULL, NULL, NULL, NULL, 'YALI0E30679P', 180693),
(236968, 'PTHR11455:SF22', NULL, NULL, NULL, NULL, 'CRYPTOCHROME DASH', 180694),
(236969, 'PTHR31044:SF33', NULL, NULL, NULL, NULL, 'ELICITOR INDUCIBLE BETA-1,3-GLUCANASE-LIKE', 180695),
(236970, 'PTHR11802:SF283', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 180696),
(236971, 'PTHR45903', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH WD REPEAT-CONTAINING PROTEIN 1', 180697),
(236972, 'PTHR32133:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180698),
(236973, 'PTHR33780:SF9', NULL, NULL, NULL, NULL, 'BNAC04G27200D PROTEIN', 180699),
(236974, 'PTHR13738:SF33', NULL, NULL, NULL, NULL, 'TROPONIN I4B, TANDEM DUPLICATE 1', 180700);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(236975, 'PTHR13886:SF2', NULL, NULL, NULL, NULL, 'C-JUN-AMINO-TERMINAL KINASE-INTERACTING PROTEIN 4', 180701),
(236976, 'PTHR30441:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ASMA', 180702),
(236977, 'PTHR31428', NULL, NULL, NULL, NULL, 'RGM DOMAIN FAMILY MEMBER DRAG-1', 180703),
(236978, 'PTHR12489:SF13', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 3 PROTEIN', 180704),
(236979, 'PTHR10484:SF184', NULL, NULL, NULL, NULL, 'HISTONE H4', 180705),
(236980, 'PTHR12111:SF3', NULL, NULL, NULL, NULL, 'OS01G0588600 PROTEIN', 180706),
(236981, 'PTHR30363:SF28', NULL, NULL, NULL, NULL, 'SLL0088 PROTEIN', 180707),
(236982, 'PTHR22951:SF76', NULL, NULL, NULL, NULL, 'OS09G0468150 PROTEIN', 180708),
(236983, 'PTHR32343:SF62', NULL, NULL, NULL, NULL, 'BNAA06G09130D PROTEIN', 180709),
(236984, 'PTHR47289:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (DUF1664)-RELATED', 180710),
(236985, 'PTHR12608:SF9', NULL, NULL, NULL, NULL, 'GDT1-LIKE PROTEIN 3', 180711),
(236986, 'PTHR24115:SF927', NULL, NULL, NULL, NULL, 'KINESIN FAMILY MEMBER 5A, A-RELATED', 180712),
(236987, 'PTHR46128:SF221', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 180713),
(236988, 'PTHR35997:SF7', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', 180714),
(236989, 'PTHR21325:SF50', NULL, NULL, NULL, NULL, 'PROTEIN CBG02892', 180715),
(236990, 'PTHR11636:SF122', NULL, NULL, NULL, NULL, 'POU DOMAIN PROTEIN', 180716),
(236991, 'PTHR24139:SF35', NULL, NULL, NULL, NULL, 'INTRACELLLAR PHOSPHOLIPASE A FAMILY', 180717),
(236992, 'PTHR43451:SF1', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE (GNAT) FAMILY PROTEIN', 180718),
(236993, 'PTHR23201:SF89', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 6-LIKE', 180719),
(236994, 'PTHR31429:SF77', NULL, NULL, NULL, NULL, 'BNAA03G59960D PROTEIN', 180720),
(236995, 'PTHR21576:SF124', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 180721),
(236996, 'PTHR19961:SF32', NULL, NULL, NULL, NULL, 'PLASTIN-3', 180722),
(236997, 'PTHR11626:SF2', NULL, NULL, NULL, NULL, 'SQUALENE SYNTHASE', 180723),
(236998, 'PTHR47060:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NOBOX', 180724),
(236999, 'PTHR11630:SF73', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM6', 180725),
(237000, 'PTHR33207:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180726),
(237001, 'PTHR42912:SF66', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03321)-RELATED', 180727),
(237002, 'PTHR45968', NULL, NULL, NULL, NULL, 'OSJNBA0019K04.7 PROTEIN', 180728),
(237003, 'PTHR34281:SF17', NULL, NULL, NULL, NULL, 'BNAC01G43670D PROTEIN', 180729),
(237004, 'PTHR11043:SF24', NULL, NULL, NULL, NULL, 'LONGIN-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 180730),
(237005, 'PTHR11842:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180731),
(237006, 'PTHR21494:SF2', NULL, NULL, NULL, NULL, 'NUCLEIC ACID BINDING PROTEIN', 180732),
(237007, 'PTHR14950:SF53', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3-LIKE PROTEIN 3 ISOFORM X1', 180733),
(237008, 'PTHR11200:SF279', NULL, NULL, NULL, NULL, 'BNAA08G28320D PROTEIN', 180734),
(237009, 'PTHR45564:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180735),
(237010, 'PTHR26379:SF328', NULL, NULL, NULL, NULL, 'OS08G0227200 PROTEIN', 180736),
(237011, 'PTHR45631:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180737),
(237012, 'PTHR47293:SF15', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 19', 180738),
(237013, 'PTHR26454:SF10', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6V1', 180739),
(237014, 'PTHR44083:SF10', NULL, NULL, NULL, NULL, 'PROTEIN TOPLESS-LIKE ISOFORM X1', 180740),
(237015, 'PTHR11254:SF320', NULL, NULL, NULL, NULL, 'FI18049P1', 180741),
(237016, 'PTHR34064:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180742),
(237017, 'PTHR31079:SF30', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 44', 180743),
(237018, 'PTHR45616:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180744),
(237019, 'PTHR23176', NULL, NULL, NULL, NULL, 'RHO/RAC/CDC GTPASE-ACTIVATING PROTEIN', 180745);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(237020, 'PTHR12542:SF136', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 180746),
(237021, 'PTHR27005:SF264', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180747),
(237022, 'PTHR11709:SF346', NULL, NULL, NULL, NULL, 'LACCASE', 180748),
(237023, 'PTHR22957:SF549', NULL, NULL, NULL, NULL, 'BNAA02G10210D PROTEIN', 180749),
(237024, 'PTHR36483:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180750),
(237025, 'PTHR42812:SF6', NULL, NULL, NULL, NULL, 'XYLOSIDASE', 180751),
(237026, 'PTHR32096:SF77', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 14-RELATED', 180752),
(237027, 'PTHR24282:SF205', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 72C1', 180753),
(237028, 'PTHR31048:SF126', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', 180754),
(237029, 'PTHR13076', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 180755),
(237030, 'PTHR45650:SF8', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 180756),
(237031, 'PTHR31681:SF4', NULL, NULL, NULL, NULL, 'NUCLEIC ACID BINDING PROTEIN', 180757),
(237032, 'PTHR47273:SF6', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', 180758),
(237033, 'PTHR42881:SF3', NULL, NULL, NULL, NULL, 'PROLYL ENDOPEPTIDASE', 180759),
(237034, 'PTHR43487:SF2', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL AMINOPEPTIDASE', 180760),
(237035, 'PTHR36800', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1-BINDING PROTEIN', 180761),
(237036, 'PTHR27007:SF248', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180762),
(237037, 'PTHR11085', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE SIR2 FAMILY MEMBER', 180763),
(237038, 'PTHR11709:SF247', NULL, NULL, NULL, NULL, 'SKU5-SIMILAR 6', 180764),
(237039, 'PTHR22692:SF16', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-XVB', 180765),
(237040, 'PTHR31602:SF62', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 4-LIKE', 180766),
(237041, 'PTHR22847:SF716', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 55', 180767),
(237042, 'PTHR33115:SF25', NULL, NULL, NULL, NULL, 'OS05G0239400 PROTEIN', 180768),
(237043, 'PTHR24286:SF223', NULL, NULL, NULL, NULL, 'ALLENE OXIDE SYNTHASE 3', 180769),
(237044, 'PTHR12321:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180770),
(237045, 'PTHR46632:SF21', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 180771),
(237046, 'PTHR31140:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180772),
(237047, 'PTHR31621:SF29', NULL, NULL, NULL, NULL, 'OS07G0645300 PROTEIN', 180773),
(237048, 'PTHR45974:SF156', NULL, NULL, NULL, NULL, 'BNAC02G06810D PROTEIN', 180774),
(237049, 'PTHR11903:SF13', NULL, NULL, NULL, NULL, 'LINOLEATE 10R-LIPOXYGENASE', 180775),
(237050, 'PTHR36718:SF1', NULL, NULL, NULL, NULL, 'OS05G0435400 PROTEIN', 180776),
(237051, 'PTHR19857:SF18', NULL, NULL, NULL, NULL, 'NACHT AND WD REPEAT DOMAIN-CONTAINING PROTEIN 2', 180777),
(237052, 'PTHR24072:SF319', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, RAN GTPASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 180778),
(237053, 'PTHR43322:SF6', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE-5-PHOSPHATE SYNTHASE 2, CHLOROPLASTIC ISOFORM X1-RELATED', 180779),
(237054, 'PTHR26379:SF386', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180780),
(237055, 'PTHR11890:SF9', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-LIKE 2', 180781),
(237056, 'PTHR16423:SF6', NULL, NULL, NULL, NULL, 'CRKD-BINDING PROTEIN-RELATED', 180782),
(237057, 'PTHR12411:SF308', NULL, NULL, NULL, NULL, 'CATHEPSIN J', 180783),
(237058, 'PTHR45614:SF145', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB44-LIKE', 180784),
(237059, 'PTHR33207:SF32', NULL, NULL, NULL, NULL, 'OS09G0261100 PROTEIN', 180785),
(237060, 'PTHR15060', NULL, NULL, NULL, NULL, 'INTERLEUKIN-15 RECEPTOR SUBUNIT ALPHA', 180786),
(237061, 'PTHR12181:SF59', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE PAH1', 180787),
(237062, 'PTHR12320:SF43', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN, PUTATIVE, EXPRESSED-RELATED', 180788),
(237063, 'PTHR11850:SF190', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MEIS3-RELATED', 180789);
INSERT INTO "PUBLIC"."MODEL" VALUES
(237064, 'PTHR38353', NULL, NULL, NULL, NULL, 'TROPOMYOSIN', 180790),
(237065, 'PTHR11161:SF12', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG-RELATED', 180791),
(237066, 'PTHR27009:SF101', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE', 180792),
(237067, 'PTHR35170:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180793),
(237068, 'PTHR23070:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180794),
(237069, 'PTHR24637:SF356', NULL, NULL, NULL, NULL, 'COLLAGEN', 180795),
(237070, 'PTHR24281:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180796),
(237071, 'PTHR45687:SF45', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-2', 180797),
(237072, 'PTHR32278:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180798),
(237073, 'PTHR31238:SF32', NULL, NULL, NULL, NULL, 'DECARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14610)-RELATED', 180799),
(237074, 'PTHR19961:SF73', NULL, NULL, NULL, NULL, 'DYSTROPHIN', 180800),
(237075, 'PTHR37774', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN MI25-RELATED', 180801),
(237076, 'PTHR11886:SF75', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 180802),
(237077, 'PTHR10694:SF109', NULL, NULL, NULL, NULL, 'JUMONJI 14-RELATED', 180803),
(237078, 'PTHR33057:SF148', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP1-LIKE', 180804),
(237079, 'PTHR24055:SF189', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 180805),
(237080, 'PTHR23500:SF455', NULL, NULL, NULL, NULL, 'POLYOL/MONOSACCHARIDE TRANSPORTER 1', 180806),
(237081, 'PTHR10698:SF0', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT H', 180807),
(237082, 'PTHR47458:SF1', NULL, NULL, NULL, NULL, 'SMAD/FHA DOMAIN-CONTAINING PROTEIN', 180808),
(237083, 'PTHR32141:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180809),
(237084, 'PTHR13754:SF18', NULL, NULL, NULL, NULL, '7,8-DIHYDROPTERIN-6-METHYL-4-(BETA-D-RIBOFURANOSYL)-AMINOBENZENE-5''-PHOSPHATE SYNTHASE', 180810),
(237085, 'PTHR33124:SF39', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UPBEAT1', 180811),
(237086, 'PTHR35721:SF1', NULL, NULL, NULL, NULL, 'UREIDOGLYCOLATE HYDROLASE', 180812),
(237087, 'PTHR19865:SF7', NULL, NULL, NULL, NULL, 'BNAA08G02260D PROTEIN', 180813),
(237088, 'PTHR33869:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180814),
(237089, 'PTHR12161:SF58', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', 180815),
(237090, 'PTHR12232:SF4', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING GLUTAMIC ACID-RICH-LIKE PROTEIN 2', 180816),
(237091, 'PTHR31509:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180817),
(237092, 'PTHR19353:SF73', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE', 180818),
(237093, 'PTHR24326:SF568', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER, HOMEOBOX-ASSOCIATED, HOMEODOMAIN-LIKE PROTEIN-RELATED', 180819),
(237094, 'PTHR47618', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL OLIGORIBONUCLEASE AND PAP PHOSPHATASE NRNA', 180820),
(237095, 'PTHR23335:SF32', NULL, NULL, NULL, NULL, 'ETHYLENE-UPREGULATED PROTEIN ER1, PUTATIVE, EXPRESSED-RELATED', 180821),
(237096, 'PTHR11073:SF27', NULL, NULL, NULL, NULL, 'CALRETICULIN-3-LIKE ISOFORM X1', 180822),
(237097, 'PTHR33057:SF151', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP1-LIKE', 180823),
(237098, 'PTHR32337:SF2', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 7', 180824),
(237099, 'PTHR43313:SF15', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 9', 180825),
(237100, 'PTHR27006:SF425', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE MSP1-LIKE ISOFORM X1', 180826),
(237101, 'PTHR31902:SF7', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 32', 180827),
(237102, 'PTHR12411:SF703', NULL, NULL, NULL, NULL, 'CLAN CA, FAMILY C1, CATHEPSIN L-LIKE CYSTEINE PEPTIDASE', 180828),
(237103, 'PTHR19241:SF280', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 32', 180829),
(237104, 'PTHR33108:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180830),
(237105, 'PTHR13140:SF808', NULL, NULL, NULL, NULL, 'PROTEIN OPAQUE1-LIKE', 180831),
(237106, 'PTHR12461:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180832);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(237107, 'PTHR33474:SF25', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 180833),
(237108, 'PTHR12210:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180834),
(237109, 'PTHR11547:SF37', NULL, NULL, NULL, NULL, 'ARGININE KINASE F46H5.3-RELATED', 180835),
(237110, 'PTHR26453:SF29', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1395', 180836),
(237111, 'PTHR21646:SF29', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 11', 180837),
(237112, 'PTHR11226', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE GLYCOPROTEIN:GLUCOSYLTRANSFERASE', 180838),
(237113, 'PTHR22951:SF24', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN', 180839),
(237114, 'PTHR33414:SF10', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 1-RELATED 2', 180840),
(237115, 'PTHR22835:SF591', NULL, NULL, NULL, NULL, 'BNAA06G16520D PROTEIN', 180841),
(237116, 'PTHR10969:SF80', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8I', 180842),
(237117, 'PTHR31080:SF154', NULL, NULL, NULL, NULL, 'LUSTRIN A', 180843),
(237118, 'PTHR11550:SF33', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', 180844),
(237119, 'PTHR31568:SF95', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', 180845),
(237120, 'PTHR38038', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN ACTIVATOR LPOA', 180846),
(237121, 'PTHR10656:SF42', NULL, NULL, NULL, NULL, 'IP12463P', 180847),
(237122, 'PTHR48022:SF36', NULL, NULL, NULL, NULL, 'LACTOSE PERMEASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17310)-RELATED', 180848),
(237123, 'PTHR11501', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN', 180849),
(237124, 'PTHR31920:SF36', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS11G0197600-LIKE', 180850),
(237125, 'PTHR31066:SF54', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 8-RELATED', 180851),
(237126, 'PTHR23235:SF43', NULL, NULL, NULL, NULL, 'EARLY GROWTH RESPONSE 4', 180852),
(237127, 'PTHR27007:SF294', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180853),
(237128, 'PTHR11903:SF18', NULL, NULL, NULL, NULL, 'COLLAGEN TRIPLE HELIX REPEAT-CONTAINING PROTEIN 1', 180854),
(237129, 'PTHR33088:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180855),
(237130, 'PTHR24384:SF223', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 180856),
(237131, 'PTHR11206:SF439', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 180857),
(237132, 'PTHR46259:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180858),
(237133, 'PTHR44191:SF11', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', 180859),
(237134, 'PTHR24064:SF560', NULL, NULL, NULL, NULL, 'BNAA06G36740D PROTEIN', 180860),
(237135, 'PTHR18949:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180861),
(237136, 'PTHR37982', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 180862),
(237137, 'PTHR22948:SF53', NULL, NULL, NULL, NULL, 'MATERNAL PROTEIN TUDOR', 180863),
(237138, 'PTHR21649:SF14', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I CHLOROPHYLL A/B-BINDING PROTEIN 3-1, CHLOROPLASTIC', 180864),
(237139, 'PTHR34258:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL DOMAIN CONTAINING PROTEIN 1', 180865),
(237140, 'PTHR46281:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE, SUBUNIT VIB-RELATED', 180866),
(237141, 'PTHR48002:SF90', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 180867),
(237142, 'PTHR44156:SF1', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR WITH WDR REPEAT DOMAINS 1', 180868),
(237143, 'PTHR10585:SF60', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR ERD-2.2', 180869),
(237144, 'PTHR10641:SF1287', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 180870),
(237145, 'PTHR31533:SF22', NULL, NULL, NULL, NULL, 'LORELEI-LIKE-GPI-ANCHORED PROTEIN', 180871),
(237146, 'PTHR12968', NULL, NULL, NULL, NULL, 'B9 DOMAIN-CONTAINING', 180872),
(237147, 'PTHR31621:SF32', NULL, NULL, NULL, NULL, 'PROTEIN DMP1', 180873),
(237148, 'PTHR32261:SF8', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN 5', 180874),
(237149, 'PTHR26450:SF84', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51Q1', 180875); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(237150, 'PTHR33841:SF4', NULL, NULL, NULL, NULL, 'ENDONUCLEASE-METHYLTRANSFERASE FUSION PROTEIN-RELATED', 180876),
(237151, 'PTHR24054:SF34', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA''', 180877),
(237152, 'PTHR45181:SF4', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DNAJ WITH TETRATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 180878),
(237153, 'PTHR15508:SF8', NULL, NULL, NULL, NULL, 'LD24550P', 180879),
(237154, 'PTHR24092:SF168', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 4-RELATED', 180880),
(237155, 'PTHR46662:SF47', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 180881),
(237156, 'PTHR45775:SF2', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN REM 1', 180882),
(237157, 'PTHR33227:SF26', NULL, NULL, NULL, NULL, 'OS01G0248000 PROTEIN', 180883),
(237158, 'PTHR23500:SF127', NULL, NULL, NULL, NULL, 'OS05G0169700 PROTEIN', 180884),
(237159, 'PTHR48029:SF7', NULL, NULL, NULL, NULL, 'OS08G0139000 PROTEIN', 180885),
(237160, 'PTHR21659:SF73', NULL, NULL, NULL, NULL, 'HYDROPHOBIC PROTEIN RCI2B', 180886),
(237161, 'PTHR30540:SF31', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 18', 180887),
(237162, 'PTHR46858:SF8', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE APD2', 180888),
(237163, 'PTHR46753', NULL, NULL, NULL, NULL, 'FYVE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', 180889),
(237164, 'PTHR47372:SF25', NULL, NULL, NULL, NULL, 'BNACNNG36560D PROTEIN', 180890),
(237165, 'PTHR47928:SF165', NULL, NULL, NULL, NULL, 'OS02G0164600 PROTEIN', 180891),
(237166, 'PTHR47926:SF83', NULL, NULL, NULL, NULL, 'OS11G0587100 PROTEIN', 180892),
(237167, 'PTHR43782', NULL, NULL, NULL, NULL, 'ARGINASE', 180893),
(237168, 'PTHR37389:SF11', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 10-LIKE', 180894),
(237169, 'PTHR46195:SF3', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', 180895),
(237170, 'PTHR46546:SF4', NULL, NULL, NULL, NULL, 'SHEWANELLA-LIKE PROTEIN PHOSPHATASE 1', 180896),
(237171, 'PTHR12673:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180897),
(237172, 'PTHR31354:SF12', NULL, NULL, NULL, NULL, 'BNAA07G28690D PROTEIN', 180898),
(237173, 'PTHR11054:SF9', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', 180899),
(237174, 'PTHR31639:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180900),
(237175, 'PTHR21304:SF10', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC10', 180901),
(237176, 'PTHR13964:SF25', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 5A', 180902),
(237177, 'PTHR23013:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 180903),
(237178, 'PTHR24031:SF645', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180904),
(237179, 'PTHR33779:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180905),
(237180, 'PTHR31948:SF124', NULL, NULL, NULL, NULL, 'BNAA09G44460D PROTEIN', 180906),
(237181, 'PTHR24230:SF123', NULL, NULL, NULL, NULL, 'SI:CH73-379F7.4', 180907),
(237182, 'PTHR27009:SF204', NULL, NULL, NULL, NULL, 'BNAC08G11340D PROTEIN', 180908),
(237183, 'PTHR43806:SF39', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9', 180909),
(237184, 'PTHR43660:SF1', NULL, NULL, NULL, NULL, 'DIPEPTIDYL CARBOXYPEPTIDASE', 180910),
(237185, 'PTHR45821', NULL, NULL, NULL, NULL, 'SNF2 DOMAIN-CONTAINING PROTEIN CLASSY 2-RELATED', 180911),
(237186, 'PTHR23123:SF31', NULL, NULL, NULL, NULL, 'LYSINE (K)-SPECIFIC DEMETHYLASE 2AA', 180912),
(237187, 'PTHR12773:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180913),
(237188, 'PTHR47990:SF114', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 2', 180914),
(237189, 'PTHR45924:SF2', NULL, NULL, NULL, NULL, 'FI17866P1', 180915),
(237190, 'PTHR12015:SF175', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-C MOTIF) LIGAND 25A-RELATED', 180916),
(237191, 'PTHR35094:SF4', NULL, NULL, NULL, NULL, 'CHITIN-BINDING LECTIN 1-LIKE', 180917),
(237192, 'PTHR21700:SF45', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 180918),
(237193, 'PTHR31062:SF218', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 180919);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(237194, 'PTHR45647:SF91', NULL, NULL, NULL, NULL, 'BNAC02G44910D PROTEIN', 180920),
(237195, 'PTHR24412:SF450', NULL, NULL, NULL, NULL, 'LP02641P', 180921),
(237196, 'PTHR13129:SF5', NULL, NULL, NULL, NULL, 'BNAA03G51310D PROTEIN', 180922),
(237197, 'PTHR11260:SF646', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U17-LIKE', 180923),
(237198, 'PTHR11210:SF27', NULL, NULL, NULL, NULL, 'RING-BOX PROTEIN 2', 180924),
(237199, 'PTHR31388:SF133', NULL, NULL, NULL, NULL, 'PEROXIDASE', 180925),
(237200, 'PTHR12735:SF27', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN 2', 180926),
(237201, 'PTHR12932:SF23', NULL, NULL, NULL, NULL, 'TUBULIN POLYMERIZATION-PROMOTING PROTEIN FAMILY MEMBER 3', 180927),
(237202, 'PTHR12526:SF584', NULL, NULL, NULL, NULL, 'SLL1534 PROTEIN', 180928),
(237203, 'PTHR47926:SF236', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180929),
(237204, 'PTHR23260:SF3', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 3-1', 180930),
(237205, 'PTHR31264:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180931),
(237206, 'PTHR13348:SF0', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P29', 180932),
(237207, 'PTHR36326:SF11', NULL, NULL, NULL, NULL, 'MALE STERILITY MS5 FAMILY PROTEIN', 180933),
(237208, 'PTHR47991:SF49', NULL, NULL, NULL, NULL, '3-DIOXYGENASE, PUTATIVE-RELATED', 180934),
(237209, 'PTHR32227:SF349', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN', 180935),
(237210, 'PTHR10795:SF348', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE PROTEASE', 180936),
(237211, 'PTHR10993', NULL, NULL, NULL, NULL, 'OCTANOYLTRANSFERASE', 180937),
(237212, 'PTHR12297:SF9', NULL, NULL, NULL, NULL, 'HIG1 DOMAIN FAMILY MEMBER 1B', 180938),
(237213, 'PTHR31301:SF162', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', 180939),
(237214, 'PTHR31828:SF21', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA', 180940),
(237215, 'PTHR34463:SF4', NULL, NULL, NULL, NULL, 'BNAA01G23450D PROTEIN', 180941),
(237216, 'PTHR14199:SF37', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 2', 180942),
(237217, 'PTHR33120:SF47', NULL, NULL, NULL, NULL, 'OS10G0197000 PROTEIN', 180943),
(237218, 'PTHR24027:SF416', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180944),
(237219, 'PTHR35213:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180945),
(237220, 'PTHR26451:SF128', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', 180946),
(237221, 'PTHR11932:SF149', NULL, NULL, NULL, NULL, 'BNAC05G01600D PROTEIN', 180947),
(237222, 'PTHR45800:SF33', NULL, NULL, NULL, NULL, 'OS01G0234850 PROTEIN', 180948),
(237223, 'PTHR30629:SF6', NULL, NULL, NULL, NULL, 'PROPHAGE INTEGRASE INTA-RELATED', 180949),
(237224, 'PTHR16719:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE COPPER CHAPERONE', 180950),
(237225, 'PTHR19139:SF38', NULL, NULL, NULL, NULL, 'AQUAPORIN-5', 180951),
(237226, 'PTHR22943:SF113', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 180952),
(237227, 'PTHR33090:SF3', NULL, NULL, NULL, NULL, 'OS06G0683600 PROTEIN', 180953),
(237228, 'PTHR42714', NULL, NULL, NULL, NULL, 'TRNA MODIFICATION GTPASE GTPBP3', 180954),
(237229, 'PTHR31638:SF4', NULL, NULL, NULL, NULL, 'DAZ-ASSOCIATED PROTEIN 2', 180955),
(237230, 'PTHR45621:SF100', NULL, NULL, NULL, NULL, 'OS10G0405100 PROTEIN', 180956),
(237231, 'PTHR24281:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180957),
(237232, 'PTHR33180:SF15', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP43 REACTION CENTER PROTEIN', 180958),
(237233, 'PTHR24281:SF124', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A6', 180959),
(237234, 'PTHR45614:SF76', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB124', 180960),
(237235, 'PTHR27002:SF777', NULL, NULL, NULL, NULL, 'OS07G0541000 PROTEIN', 180961),
(237236, 'PTHR31735:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 110,-LIKE', 180962),
(237237, 'PTHR23255:SF22', NULL, NULL, NULL, NULL, 'ACTIVIN RECEPTOR TYPE-1B', 180963),
(237238, 'PTHR10502:SF198', NULL, NULL, NULL, NULL, 'ANNEXIN', 180964),
(237239, 'PTHR43329:SF110', NULL, NULL, NULL, NULL, 'SOLUBLE EPOXIDE HYDROLASE', 180965);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(237240, 'PTHR24034:SF145', NULL, NULL, NULL, NULL, 'FIBRILLIN 2A', 180966),
(237241, 'PTHR10837:SF3', NULL, NULL, NULL, NULL, 'PROTEIN-ARGININE DEIMINASE TYPE-4', 180967),
(237242, 'PTHR31707:SF302', NULL, NULL, NULL, NULL, 'BNAC09G46900D PROTEIN', 180968),
(237243, 'PTHR46174:SF1', NULL, NULL, NULL, NULL, 'CXXC-TYPE ZINC FINGER PROTEIN 1', 180969),
(237244, 'PTHR24177:SF270', NULL, NULL, NULL, NULL, 'RECEPTOR-INTERACTING SERINE/THREONINE-PROTEIN KINASE 4-LIKE', 180970),
(237245, 'PTHR47958:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180971),
(237246, 'PTHR10288:SF283', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS K-LIKE PROTEINY DOMAIN', 180972),
(237247, 'PTHR39328', NULL, NULL, NULL, NULL, 'BLL2871 PROTEIN', 180973),
(237248, 'PTHR11229:SF8', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L3, MITOCHONDRIAL', 180974),
(237249, 'PTHR24220:SF648', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 180975),
(237250, 'PTHR35989:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 32', 180976),
(237251, 'PTHR45614:SF156', NULL, NULL, NULL, NULL, 'BNAC04G32490D PROTEIN', 180977),
(237252, 'PTHR37198', NULL, NULL, NULL, NULL, 'NUCLEOLIN', 180978),
(237253, 'PTHR15459', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1', 180979),
(237254, 'PTHR24286:SF102', NULL, NULL, NULL, NULL, 'OS02G0675400 PROTEIN', 180980),
(237255, 'PTHR45793:SF11', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CEH-36', 180981),
(237256, 'PTHR46880:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN C17ORF113', 180982),
(237257, 'PTHR23201:SF118', NULL, NULL, NULL, NULL, 'GIBBERELLIN STIMULATED TRANSCRIPT RELATED PROTEIN 1', 180983),
(237258, 'PTHR12681:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 15', 180984),
(237259, 'PTHR19446:SF405', NULL, NULL, NULL, NULL, 'NUCLEIC-ACID-BINDING PROTEIN FROM TRANSPOSON X-ELEMENT-LIKE PROTEIN', 180985),
(237260, 'PTHR10252:SF43', NULL, NULL, NULL, NULL, 'OS01G0102400 PROTEIN', 180986),
(237261, 'PTHR31325:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180987),
(237262, 'PTHR13866:SF22', NULL, NULL, NULL, NULL, 'FOLLISTATIN', 180988),
(237263, 'PTHR33076:SF124', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 180989),
(237264, 'PTHR31190:SF271', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 180990),
(237265, 'PTHR36023:SF5', NULL, NULL, NULL, NULL, 'OS01G0888800 PROTEIN', 180991),
(237266, 'PTHR22792:SF79', NULL, NULL, NULL, NULL, 'OS02G0610400 PROTEIN', 180992),
(237267, 'PTHR12931:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 180993),
(237268, 'PTHR43501', NULL, NULL, NULL, NULL, 'CYTOSOL NON-SPECIFIC DIPEPTIDASE', 180994),
(237269, 'PTHR46237:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 REDUCTASE 4', 180995),
(237270, 'PTHR24015:SF96', NULL, NULL, NULL, NULL, 'OS01G0848300 PROTEIN', 180996),
(237271, 'PTHR19139:SF270', NULL, NULL, NULL, NULL, 'ENTOMOGLYCEROPORIN 1-RELATED', 180997),
(237272, 'PTHR47928:SF53', NULL, NULL, NULL, NULL, 'OS02G0152100 PROTEIN', 180998),
(237273, 'PTHR31213:SF131', NULL, NULL, NULL, NULL, 'PYR1-LIKE 4-RELATED', 180999),
(237274, 'PTHR16983:SF13', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6E', 181000),
(237275, 'PTHR31945:SF87', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR-RELATED', 181001),
(237276, 'PTHR38926:SF20', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP19-RELATED', 181002),
(237277, 'PTHR11937:SF436', NULL, NULL, NULL, NULL, 'ACTIN-101-LIKE', 181003),
(237278, 'PTHR45702:SF3', NULL, NULL, NULL, NULL, 'KUZBANIAN-LIKE, ISOFORM A', 181004),
(237279, 'PTHR22894:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF170-LIKE ISOFORM X1', 181005),
(237280, 'PTHR10641:SF1170', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB122', 181006),
(237281, 'PTHR43884:SF9', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FAMILY MEMBER 9, MITOCHONDRIAL', 181007),
(237282, 'PTHR11017:SF368', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181008),
(237283, 'PTHR45886:SF10', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 181009);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(237284, 'PTHR15993', NULL, NULL, NULL, NULL, 'HEMOGEN', 181010),
(237285, 'PTHR43712:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181011),
(237286, 'PTHR31568:SF72', NULL, NULL, NULL, NULL, 'ADHESIVE/PROLINE-RICH-LIKE PROTEIN', 181012),
(237287, 'PTHR31016:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 181013),
(237288, 'PTHR15901:SF16', NULL, NULL, NULL, NULL, 'TESTICULAR HAPLOID EXPRESSED GENE PROTEIN', 181014),
(237289, 'PTHR45781:SF6', NULL, NULL, NULL, NULL, 'TOX HIGH MOBILITY GROUP BOX FAMILY MEMBER 4 A', 181015),
(237290, 'PTHR47928:SF20', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 181016),
(237291, 'PTHR24296:SF213', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 PROTEIN-RELATED', 181017),
(237292, 'PTHR24067:SF320', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1', 181018),
(237293, 'PTHR47999:SF48', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 181019),
(237294, 'PTHR10687:SF70', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 181020),
(237295, 'PTHR31801', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 24, MITOCHONDRIAL', 181021),
(237296, 'PTHR14042:SF22', NULL, NULL, NULL, NULL, 'PROTEIN DOPEY-1', 181022),
(237297, 'PTHR21700:SF4', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 181023),
(237298, 'PTHR35099:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181024),
(237299, 'PTHR10527:SF71', NULL, NULL, NULL, NULL, 'BNAANNG11870D PROTEIN', 181025),
(237300, 'PTHR11908:SF88', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE 4', 181026),
(237301, 'PTHR13800:SF8', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 7', 181027),
(237302, 'PTHR36328:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181028),
(237303, 'PTHR24015:SF339', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 181029),
(237304, 'PTHR47993:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181030),
(237305, 'PTHR33057:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181031),
(237306, 'PTHR43003:SF10', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE SUPERFAMILY PROTEIN-RELATED', 181032),
(237307, 'PTHR12801:SF135', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE 4', 181033),
(237308, 'PTHR14270', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 181034),
(237309, 'PTHR33044:SF136', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 181035),
(237310, 'PTHR47100:SF6', NULL, NULL, NULL, NULL, 'OS01G0347000 PROTEIN', 181036),
(237311, 'PTHR16675:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181037),
(237312, 'PTHR13533:SF36', NULL, NULL, NULL, NULL, 'PROTEIN REDUCED WALL ACETYLATION 3-LIKE', 181038),
(237313, 'PTHR24046:SF2', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE, CUB AND EGF-LIKE DOMAIN-CONTAINING PROTEIN 3', 181039),
(237314, 'PTHR30231:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181040),
(237315, 'PTHR22923:SF87', NULL, NULL, NULL, NULL, 'SI:CH211-219A15.3', 181041),
(237316, 'PTHR48001:SF92', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 181042),
(237317, 'PTHR24067:SF263', NULL, NULL, NULL, NULL, 'UBE2G1 PROTEIN', 181043),
(237318, 'PTHR23145:SF6', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP NUCLEOSOME-BINDING DOMAIN-CONTAINING PROTEIN 5', 181044),
(237319, 'PTHR33214:SF59', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2-LIKE', 181045),
(237320, 'PTHR10562:SF106', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN PMT3/SMT3', 181046),
(237321, 'PTHR35310', NULL, NULL, NULL, NULL, 'CELL WALL INTEGRITY/STRESS RESPONSE COMPONENT-LIKE PROTEIN', 181047),
(237322, 'PTHR10489:SF733', NULL, NULL, NULL, NULL, 'ATYPICAL CHEMOKINE RECEPTOR 4', 181048),
(237323, 'PTHR34609:SF16', NULL, NULL, NULL, NULL, 'GEO08273P1-RELATED', 181049),
(237324, 'PTHR47450', NULL, NULL, NULL, NULL, 'GLUCOKINASE', 181050),
(237325, 'PTHR13136:SF3', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 30', 181051),
(237326, 'PTHR47999:SF37', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR8', 181052);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(237327, 'PTHR22752:SF10', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 161', 181053),
(237328, 'PTHR39145:SF1', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT CNL1', 181054),
(237329, 'PTHR24015:SF46', NULL, NULL, NULL, NULL, 'OS12G0181900 PROTEIN', 181055),
(237330, 'PTHR12859:SF8', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 181056),
(237331, 'PTHR36300:SF1', NULL, NULL, NULL, NULL, 'RAW, ISOFORM A', 181057),
(237332, 'PTHR42647:SF58', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 1-LIKE', 181058),
(237333, 'PTHR36586:SF28', NULL, NULL, NULL, NULL, 'EXTENSIN-2-LIKE', 181059),
(237334, 'PTHR48169', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 181060),
(237335, 'PTHR47977:SF40', NULL, NULL, NULL, NULL, 'RAB GTPASE', 181061),
(237336, 'PTHR38500', NULL, NULL, NULL, NULL, 'SURFACTANT-ASSOCIATED PROTEIN 2', 181062),
(237337, 'PTHR12608:SF11', NULL, NULL, NULL, NULL, 'GDT1 FAMILY PROTEIN', 181063),
(237338, 'PTHR21470:SF21', NULL, NULL, NULL, NULL, 'BNACNNG32210D PROTEIN', 181064),
(237339, 'PTHR24115:SF920', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14B', 181065),
(237340, 'PTHR16950:SF17', NULL, NULL, NULL, NULL, 'ZRT (ZRT), IRT-(IRT-) LIKE PROTEIN TRANSPORTER', 181066),
(237341, 'PTHR14009:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181067),
(237342, 'PTHR24356:SF181', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C THETA TYPE', 181068),
(237343, 'PTHR30425:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PSTC', 181069),
(237344, 'PTHR11132:SF378', NULL, NULL, NULL, NULL, 'BNAA04G16380D PROTEIN', 181070),
(237345, 'PTHR45663:SF32', NULL, NULL, NULL, NULL, 'THIOREDOXIN FAMILY PROTEIN-RELATED', 181071),
(237346, 'PTHR43275:SF1', NULL, NULL, NULL, NULL, 'D-MALATE DEHYDROGENASE [DECARBOXYLATING]', 181072),
(237347, 'PTHR43783:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 1-CARBOXYVINYLTRANSFERASE', 181073),
(237348, 'PTHR21479:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG11683', 181074),
(237349, 'PTHR34788:SF4', NULL, NULL, NULL, NULL, 'F15I1.22', 181075),
(237350, 'PTHR33432:SF28', NULL, NULL, NULL, NULL, 'PROTEIN EMSY-LIKE 4', 181076),
(237351, 'PTHR22988:SF66', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE GENGHIS KHAN', 181077),
(237352, 'PTHR42910', NULL, NULL, NULL, NULL, 'TRANSPORTER SCO4007-RELATED', 181078),
(237353, 'PTHR23024:SF513', NULL, NULL, NULL, NULL, 'BNAA02G33300D PROTEIN', 181079),
(237354, 'PTHR43627', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 181080),
(237355, 'PTHR34043:SF5', NULL, NULL, NULL, NULL, 'LIPASE', 181081),
(237356, 'PTHR31707:SF259', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 181082),
(237357, 'PTHR33057:SF137', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP12-LIKE', 181083),
(237358, 'PTHR28533', NULL, NULL, NULL, NULL, 'PROTEIN PBN1', 181084),
(237359, 'PTHR10277:SF64', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE 1 CHLOROPLASTIC', 181085),
(237360, 'PTHR22920:SF7', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN 78', 181086),
(237361, 'PTHR40429', NULL, NULL, NULL, NULL, 'FLAGELLAR ASSOCIATED PROTEIN', 181087),
(237362, 'PTHR38525:SF1', NULL, NULL, NULL, NULL, 'OS03G0824500 PROTEIN', 181088),
(237363, 'PTHR46397:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 181089),
(237364, 'PTHR31867', NULL, NULL, NULL, NULL, 'EXPANSIN-A15', 181090),
(237365, 'PTHR33047', NULL, NULL, NULL, NULL, 'PROTEIN TAR1', 181091),
(237366, 'PTHR45693:SF48', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGAL1', 181092),
(237367, 'PTHR12262:SF0', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 9', 181093),
(237368, 'PTHR31407:SF20', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 19 KDA PROTEIN, CHLOROPLASTIC', 181094),
(237369, 'PTHR11142:SF21', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE', 181095),
(237370, 'PTHR24637:SF255', NULL, NULL, NULL, NULL, 'COLLAGEN', 181096),
(237371, 'PTHR15104', NULL, NULL, NULL, NULL, 'DIHYDROPTERIDINE REDUCTASE', 181097),
(237372, 'PTHR11132:SF304', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', 181098);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(237373, 'PTHR31790:SF360', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181099),
(237374, 'PTHR43877:SF2', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 181100),
(237375, 'PTHR30532:SF24', NULL, NULL, NULL, NULL, 'PERIPLASMIC IRON-TRANSPORT LIPOPROTEIN-RELATED', 181101),
(237376, 'PTHR20383', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II SUBUNIT A C-TERMINAL DOMAIN PHOSPHATASE', 181102),
(237377, 'PTHR10903:SF68', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST 90, CHLOROPLASTIC', 181103),
(237378, 'PTHR33132:SF64', NULL, NULL, NULL, NULL, 'OS02G0799700 PROTEIN', 181104),
(237379, 'PTHR23257:SF840', NULL, NULL, NULL, NULL, 'MITOSIS INHIBITOR PROTEIN KINASE WEE1-LIKE', 181105),
(237380, 'PTHR12000:SF30', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME-LIKE', 181106),
(237381, 'PTHR33884:SF7', NULL, NULL, NULL, NULL, 'BSL8023 PROTEIN', 181107),
(237382, 'PTHR34057:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181108),
(237383, 'PTHR22957:SF563', NULL, NULL, NULL, NULL, 'RABGAP/TBC DOMAIN-CONTAINING PROTEIN', 181109),
(237384, 'PTHR33222:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 181110),
(237385, 'PTHR43452:SF11', NULL, NULL, NULL, NULL, 'DECARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G00750)-RELATED', 181111),
(237386, 'PTHR12628:SF16', NULL, NULL, NULL, NULL, 'BNAA05G20560D PROTEIN', 181112),
(237387, 'PTHR22762:SF151', NULL, NULL, NULL, NULL, 'ALPHA-XYLOSIDASE 1-RELATED', 181113),
(237388, 'PTHR31495:SF36', NULL, NULL, NULL, NULL, 'PEROXYGENASE 1', 181114),
(237389, 'PTHR10983:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBR-BUS-18', 181115),
(237390, 'PTHR45389', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN RUP1', 181116),
(237391, 'PTHR33076:SF56', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 4', 181117),
(237392, 'PTHR24034:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181118),
(237393, 'PTHR19134:SF468', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE GAMMA', 181119),
(237394, 'PTHR11991:SF9', NULL, NULL, NULL, NULL, 'TPT1-LIKE PROTEIN-RELATED', 181120),
(237395, 'PTHR33021:SF382', NULL, NULL, NULL, NULL, 'BNAANNG21890D PROTEIN', 181121),
(237396, 'PTHR33085:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181122),
(237397, 'PTHR47965:SF14', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', 181123),
(237398, 'PTHR12232:SF1', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING GLUTAMIC ACID-RICH PROTEIN', 181124),
(237399, 'PTHR12497:SF5', NULL, NULL, NULL, NULL, 'N-ACYLPHOSPHATIDYLETHANOLAMINE SYNTHASE', 181125),
(237400, 'PTHR34565:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 181126),
(237401, 'PTHR35683:SF3', NULL, NULL, NULL, NULL, 'GENE, 21886-RELATED', 181127),
(237402, 'PTHR32254:SF19', NULL, NULL, NULL, NULL, 'BNAA01G06130D PROTEIN', 181128),
(237403, 'PTHR10811:SF81', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', 181129),
(237404, 'PTHR11692:SF2', NULL, NULL, NULL, NULL, 'BNAA04G29080D PROTEIN', 181130),
(237405, 'PTHR47964:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE HOMOLOG RECG, CHLOROPLASTIC', 181131),
(237406, 'PTHR10535:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC1', 181132),
(237407, 'PTHR33373:SF26', NULL, NULL, NULL, NULL, 'BNAC03G67340D PROTEIN', 181133),
(237408, 'PTHR40741', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 181134),
(237409, 'PTHR48015:SF17', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAK 4', 181135),
(237410, 'PTHR19446:SF441', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181136),
(237411, 'PTHR46052:SF4', NULL, NULL, NULL, NULL, 'PHOSDUCIN-LIKE PROTEIN', 181137),
(237412, 'PTHR33132:SF50', NULL, NULL, NULL, NULL, 'OS08G0167249 PROTEIN', 181138),
(237413, 'PTHR24349:SF434', NULL, NULL, NULL, NULL, 'BNAC02G41580D PROTEIN', 181139),
(237414, 'PTHR11636:SF89', NULL, NULL, NULL, NULL, 'POU DOMAIN PROTEIN CF1A', 181140),
(237415, 'PTHR15384', NULL, NULL, NULL, NULL, 'PROTEIN EVI2B', 181141),
(237416, 'PTHR23132:SF21', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 181142);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(237417, 'PTHR10340:SF31', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE ASM-3-RELATED', 181143),
(237418, 'PTHR21324:SF2', NULL, NULL, NULL, NULL, 'EG:22E5.9 PROTEIN', 181144),
(237419, 'PTHR31829:SF5', NULL, NULL, NULL, NULL, 'OS11G0708500 PROTEIN', 181145),
(237420, 'PTHR23500:SF17', NULL, NULL, NULL, NULL, 'OS11G0637200 PROTEIN', 181146),
(237421, 'PTHR46327:SF6', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR', 181147),
(237422, 'PTHR33228:SF50', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 6-LIKE', 181148),
(237423, 'PTHR48041:SF84', NULL, NULL, NULL, NULL, 'WHITE (DROSOPHILA) RELATED ABC TRANSPORTER', 181149),
(237424, 'PTHR10779:SF29', NULL, NULL, NULL, NULL, 'LIGHT CHAIN 2B, CYTOPLASMIC, PUTATIVE-RELATED', 181150),
(237425, 'PTHR45348:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181151),
(237426, 'PTHR23195:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 14B', 181152),
(237427, 'PTHR46620:SF1', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN SPF31', 181153),
(237428, 'PTHR42707:SF2', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FAMILY MEMBER 11', 181154),
(237429, 'PTHR11742:SF85', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 181155),
(237430, 'PTHR45999:SF3', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG D', 181156),
(237431, 'PTHR24256:SF511', NULL, NULL, NULL, NULL, 'TRYPTASE DELTA', 181157),
(237432, 'PTHR37401:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181158),
(237433, 'PTHR48019:SF17', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL80', 181159),
(237434, 'PTHR31778:SF2', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN RAX2', 181160),
(237435, 'PTHR33377:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181161),
(237436, 'PTHR10000:SF8', NULL, NULL, NULL, NULL, 'MANNOSYL-3-PHOSPHOGLYCERATE PHOSPHATASE', 181162),
(237437, 'PTHR11208:SF94', NULL, NULL, NULL, NULL, 'IP21806P', 181163),
(237438, 'PTHR36153', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 181164),
(237439, 'PTHR47956:SF1', NULL, NULL, NULL, NULL, 'OS01G0377000 PROTEIN', 181165),
(237440, 'PTHR31079:SF33', NULL, NULL, NULL, NULL, 'BNACNNG25190D PROTEIN', 181166),
(237441, 'PTHR22916:SF66', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE-RELATED', 181167),
(237442, 'PTHR24023:SF1024', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181168),
(237443, 'PTHR37869', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 89', 181169),
(237444, 'PTHR45761:SF3', NULL, NULL, NULL, NULL, 'EXTENDED SYNAPTOTAGMIN-1', 181170),
(237445, 'PTHR47322:SF13', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 181171),
(237446, 'PTHR21649:SF54', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 1, CHLOROPLASTIC', 181172),
(237447, 'PTHR11685:SF314', NULL, NULL, NULL, NULL, 'SI:CH211-212K18.15', 181173),
(237448, 'PTHR19384:SF10', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT DIFLAVIN OXIDOREDUCTASE 1', 181174),
(237449, 'PTHR45613:SF247', NULL, NULL, NULL, NULL, 'OS03G0728200 PROTEIN', 181175),
(237450, 'PTHR46394', NULL, NULL, NULL, NULL, 'ANNEXIN', 181176),
(237451, 'PTHR10281:SF72', NULL, NULL, NULL, NULL, 'STEROID BINDING PROTEIN 1, PUTATIVE, EXPRESSED-RELATED', 181177),
(237452, 'PTHR12306:SF16', NULL, NULL, NULL, NULL, 'DFFA ISOFORM 1', 181178),
(237453, 'PTHR31852:SF188', NULL, NULL, NULL, NULL, 'EMB|CAB53482.1', 181179),
(237454, 'PTHR11635:SF157', NULL, NULL, NULL, NULL, 'CAMP PROTEIN KINASE REGULATORY CHAIN', 181180),
(237455, 'PTHR24123:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181181),
(237456, 'PTHR27002:SF830', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-29', 181182),
(237457, 'PTHR13526:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPT20 HOMOLOG ISOFORM C', 181183),
(237458, 'PTHR21166', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 181184),
(237459, 'PTHR30224', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT PROTEIN', 181185),
(237460, 'PTHR18849:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 61', 181186),
(237461, 'PTHR33648:SF27', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-BINDING LYSM DOMAIN PROTEIN', 181187);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(237462, 'PTHR33305:SF37', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 4 PROTEIN-RELATED', 181188),
(237463, 'PTHR30295:SF0', NULL, NULL, NULL, NULL, 'BACTERIOFERRITIN', 181189),
(237464, 'PTHR13924', NULL, NULL, NULL, NULL, 'TRANSFORMING ACIDIC COILED-COIL CONTAINING PROTEIN 1/2', 181190),
(237465, 'PTHR14154:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER 2', 181191),
(237466, 'PTHR24258:SF128', NULL, NULL, NULL, NULL, 'TEQUILA, ISOFORM G', 181192),
(237467, 'PTHR45868:SF43', NULL, NULL, NULL, NULL, 'BNAC07G32010D PROTEIN', 181193),
(237468, 'PTHR12411:SF695', NULL, NULL, NULL, NULL, 'PAPAYA PROTEINASE 4', 181194),
(237469, 'PTHR13148:SF1', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', 181195),
(237470, 'PTHR31790:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181196),
(237471, 'PTHR12419:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181197),
(237472, 'PTHR46125:SF17', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 20-LIKE ISOFORM X1', 181198),
(237473, 'PTHR32401:SF18', NULL, NULL, NULL, NULL, 'BNAC03G36250D PROTEIN', 181199),
(237474, 'PTHR21523:SF6', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', 181200),
(237475, 'PTHR11668:SF474', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP-Z1-RELATED', 181201),
(237476, 'PTHR12618:SF20', NULL, NULL, NULL, NULL, 'PHD AND RING FINGER DOMAIN-CONTAINING PROTEIN 1', 181202),
(237477, 'PTHR10351:SF63', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', 181203),
(237478, 'PTHR43153:SF9', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN SUBUNIT ALPHA', 181204),
(237479, 'PTHR21649:SF7', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 3, CHLOROPLASTIC', 181205),
(237480, 'PTHR33745:SF1', NULL, NULL, NULL, NULL, 'RSBT ANTAGONIST PROTEIN RSBS', 181206),
(237481, 'PTHR10157:SF40', NULL, NULL, NULL, NULL, 'MOXD1 HOMOLOG 2', 181207),
(237482, 'PTHR14098:SF16', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 6', 181208),
(237483, 'PTHR35357:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181209),
(237484, 'PTHR45657:SF17', NULL, NULL, NULL, NULL, 'CELLULAR RETINALDEHYDE BINDING/ALPHA-TOCOPHEROL TRANSPORT, CRAL/TRIO-RELATED', 181210),
(237485, 'PTHR20883:SF40', NULL, NULL, NULL, NULL, 'BNAC09G20570D PROTEIN', 181211),
(237486, 'PTHR43655:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181212),
(237487, 'PTHR30128:SF51', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A2', 181213),
(237488, 'PTHR21669', NULL, NULL, NULL, NULL, 'CAPZ-INTERACTING PROTEIN AND RELATED PROTEINS', 181214),
(237489, 'PTHR45730:SF50', NULL, NULL, NULL, NULL, 'OS12G0617001-LIKE PROTEIN', 181215),
(237490, 'PTHR46514:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181216),
(237491, 'PTHR24343:SF416', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G11930)-RELATED', 181217),
(237492, 'PTHR45598:SF2', NULL, NULL, NULL, NULL, 'GLYCINE/PROLINE-RICH PROTEIN', 181218),
(237493, 'PTHR11926:SF1414', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 181219),
(237494, 'PTHR14326:SF41', NULL, NULL, NULL, NULL, 'BNAC05G02060D PROTEIN', 181220),
(237495, 'PTHR30540:SF95', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 10', 181221),
(237496, 'PTHR34058', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 1-2, CHLOROPLASTIC', 181222),
(237497, 'PTHR31589:SF137', NULL, NULL, NULL, NULL, 'NEP-INTERACTING PROTEIN (DUF239)', 181223),
(237498, 'PTHR15597:SF46', NULL, NULL, NULL, NULL, 'SEX DETERMINATION PROTEIN FOX-1', 181224),
(237499, 'PTHR45665:SF9', NULL, NULL, NULL, NULL, 'AQUAPORIN-8', 181225),
(237500, 'PTHR11480:SF68', NULL, NULL, NULL, NULL, 'SAPOSIN B DOMAIN-CONTAINING PROTEIN', 181226),
(237501, 'PTHR27004:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181227),
(237502, 'PTHR13593:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181228),
(237503, 'PTHR10602:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT ALPHA-RELATED', 181229),
(237504, 'PTHR39176:SF1', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', 181230);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(237505, 'PTHR48002:SF113', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 181231),
(237506, 'PTHR14684:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 15', 181232),
(237507, 'PTHR32208:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181233),
(237508, 'PTHR13068:SF103', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', 181234),
(237509, 'PTHR33623:SF15', NULL, NULL, NULL, NULL, 'GAR2-LIKE PROTEIN', 181235),
(237510, 'PTHR31282:SF141', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 74-RELATED', 181236),
(237511, 'PTHR47293:SF24', NULL, NULL, NULL, NULL, 'MYROSINASE-BINDING PROTEIN 2', 181237),
(237512, 'PTHR10869:SF167', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 4 ISOFORM X1-RELATED', 181238),
(237513, 'PTHR31862:SF1', NULL, NULL, NULL, NULL, 'UPF0261 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G10120)', 181239),
(237514, 'PTHR33455', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 181240),
(237515, 'PTHR33981:SF10', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN ISOFORM 1', 181241),
(237516, 'PTHR26379:SF242', NULL, NULL, NULL, NULL, 'OS08G0128700 PROTEIN', 181242),
(237517, 'PTHR24414:SF111', NULL, NULL, NULL, NULL, 'BNAC05G43770D PROTEIN', 181243),
(237518, 'PTHR12352:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181244),
(237519, 'PTHR46405:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 181245),
(237520, 'PTHR10869:SF185', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE, ALPHA POLYPEPTIDE I B-RELATED', 181246),
(237521, 'PTHR48016:SF19', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 1, PUTATIVE, EXPRESSED-RELATED', 181247),
(237522, 'PTHR34136:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-D-MANNOSAMINURONIC ACID TRANSFERASE', 181248),
(237523, 'PTHR31589:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181249),
(237524, 'PTHR10052:SF38', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE', 181250),
(237525, 'PTHR31238:SF109', NULL, NULL, NULL, NULL, 'OS01G0249200 PROTEIN', 181251),
(237526, 'PTHR31929:SF91', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', 181252),
(237527, 'PTHR30069:SF33', NULL, NULL, NULL, NULL, 'TRANSFERRIN-BINDING PROTEIN 1-RELATED', 181253),
(237528, 'PTHR46031', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 181254),
(237529, 'PTHR46144:SF1', NULL, NULL, NULL, NULL, 'ZGC:114104', 181255),
(237530, 'PTHR26450:SF130', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 601', 181256),
(237531, 'PTHR33699:SF19', NULL, NULL, NULL, NULL, 'OS01G0914000 PROTEIN', 181257),
(237532, 'PTHR47966:SF6', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 181258),
(237533, 'PTHR11692:SF1', NULL, NULL, NULL, NULL, 'AICARFT/IMPCHASE BIENZYME FAMILY PROTEIN', 181259),
(237534, 'PTHR24281:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181260),
(237535, 'PTHR11732:SF466', NULL, NULL, NULL, NULL, 'DEOXYMUGINEIC ACID SYNTHASE 1', 181261),
(237536, 'PTHR11224:SF49', NULL, NULL, NULL, NULL, 'BNAA08G07960D PROTEIN', 181262),
(237537, 'PTHR10693:SF72', NULL, NULL, NULL, NULL, 'BNAC06G30420D PROTEIN', 181263),
(237538, 'PTHR11736:SF28', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN D1', 181264),
(237539, 'PTHR15299', NULL, NULL, NULL, NULL, 'HERV-H LTR-ASSOCIATING PROTEIN 1', 181265),
(237540, 'PTHR16560', NULL, NULL, NULL, NULL, 'ALPHA-2-MACROGLOBULIN RECEPTOR-ASSOCIATED PROTEIN', 181266),
(237541, 'PTHR22595:SF158', NULL, NULL, NULL, NULL, 'ENDOCHITINASE EP3-LIKE', 181267),
(237542, 'PTHR13809:SF5', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-5', 181268),
(237543, 'PTHR47926:SF100', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 181269),
(237544, 'PTHR46344:SF17', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', 181270),
(237545, 'PTHR14499:SF112', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL TETRAMERISATION DOMAIN CONTAINING 15', 181271),
(237546, 'PTHR43900:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181272),
(237547, 'PTHR31953:SF91', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV2', 181273);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(237548, 'PTHR47269:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP21-4', 181274),
(237549, 'PTHR13061', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT P25', 181275),
(237550, 'PTHR11771:SF165', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 181276),
(237551, 'PTHR10331:SF6', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN J', 181277),
(237552, 'PTHR31388:SF150', NULL, NULL, NULL, NULL, 'PEROXIDASE', 181278),
(237553, 'PTHR14217:SF19', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE 2', 181279),
(237554, 'PTHR27006:SF215', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ISOFORM X1-RELATED', 181280),
(237555, 'PTHR33333:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181281),
(237556, 'PTHR45719:SF22', NULL, NULL, NULL, NULL, 'BNAA06G01150D PROTEIN', 181282),
(237557, 'PTHR39340:SF1', NULL, NULL, NULL, NULL, 'SULFOFRUCTOSEPHOSPHATE ALDOLASE', 181283),
(237558, 'PTHR14652', NULL, NULL, NULL, NULL, 'TYPE 2 DNA TOPOISOMERASE 6 SUBUNIT B-LIKE', 181284),
(237559, 'PTHR24058:SF45', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-INTERACTING PROTEIN KINASE 3', 181285),
(237560, 'PTHR32141:SF74', NULL, NULL, NULL, NULL, 'OS04G0409100 PROTEIN', 181286),
(237561, 'PTHR31355:SF24', NULL, NULL, NULL, NULL, 'BNACNNG30840D PROTEIN', 181287),
(237562, 'PTHR31132:SF13', NULL, NULL, NULL, NULL, 'N-LYSINE METHYLTRANSFERASE', 181288),
(237563, 'PTHR10165:SF90', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE 4', 181289),
(237564, 'PTHR43139:SF29', NULL, NULL, NULL, NULL, 'CATALYTIC/ HYDROLASE', 181290),
(237565, 'PTHR31707:SF214', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 21-RELATED', 181291),
(237566, 'PTHR11601:SF50', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURASE ISCS 2-RELATED', 181292),
(237567, 'PTHR45614:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181293),
(237568, 'PTHR11615:SF326', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 3A1', 181294),
(237569, 'PTHR11431:SF78', NULL, NULL, NULL, NULL, 'FERRITIN', 181295),
(237570, 'PTHR40279:SF3', NULL, NULL, NULL, NULL, 'PQQC-LIKE PROTEIN', 181296),
(237571, 'PTHR33199:SF3', NULL, NULL, NULL, NULL, 'MACPF DOMAIN-CONTAINING PROTEIN CAD1', 181297),
(237572, 'PTHR47382:SF6', NULL, NULL, NULL, NULL, 'BNAA06G35280D PROTEIN', 181298),
(237573, 'PTHR14555', NULL, NULL, NULL, NULL, 'MYELIN-ASSOCIATED OLIGODENDROCYTIC BASIC PROTEIN  MOBP -RELATED', 181299),
(237574, 'PTHR32119:SF2', NULL, NULL, NULL, NULL, 'OROTIDINE 5''-PHOSPHATE DECARBOXYLASE', 181300),
(237575, 'PTHR21010', NULL, NULL, NULL, NULL, 'AGAP001581-PA', 181301),
(237576, 'PTHR12801:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181302),
(237577, 'PTHR23167:SF36', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN', 181303),
(237578, 'PTHR33086:SF62', NULL, NULL, NULL, NULL, 'OS01G0182100 PROTEIN', 181304),
(237579, 'PTHR24221:SF517', NULL, NULL, NULL, NULL, 'HEAVY METAL TOLERANCE PROTEIN', 181305),
(237580, 'PTHR11830:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', 181306),
(237581, 'PTHR43247:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE AMINOTRANSFERASE 1, CHLOROPLASTIC', 181307),
(237582, 'PTHR46950:SF4', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER CORA FAMILY PROTEIN', 181308),
(237583, 'PTHR14491:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN SOWAHB', 181309),
(237584, 'PTHR12612:SF28', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2', 181310),
(237585, 'PTHR16779', NULL, NULL, NULL, NULL, 'BETA-1,4-MANNOSYLTRANSFERASE EGH', 181311),
(237586, 'PTHR31790:SF301', NULL, NULL, NULL, NULL, 'BNAA02G05920D PROTEIN', 181312),
(237587, 'PTHR13068:SF83', NULL, NULL, NULL, NULL, 'OS06G0224650 PROTEIN', 181313),
(237588, 'PTHR10026:SF45', NULL, NULL, NULL, NULL, 'CYCLIN-L2', 181314),
(237589, 'PTHR36761', NULL, NULL, NULL, NULL, 'ORF03 PROTEIN', 181315),
(237590, 'PTHR24296:SF198', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', 181316),
(237591, 'PTHR42981', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE [UBIQUINONE]', 181317),
(237592, 'PTHR31846', NULL, NULL, NULL, NULL, 'CRS1 / YHBY (CRM) DOMAIN-CONTAINING PROTEIN', 181318);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(237593, 'PTHR11544:SF68', NULL, NULL, NULL, NULL, 'NUCLEASE-SENSITIVE ELEMENT-BINDING PROTEIN 1', 181319),
(237594, 'PTHR13018:SF116', NULL, NULL, NULL, NULL, 'CSC1-LIKE PROTEIN RXW8', 181320),
(237595, 'PTHR11567:SF32', NULL, NULL, NULL, NULL, 'PROSTATIC ACID PHOSPHATASE', 181321),
(237596, 'PTHR41677:SF1', NULL, NULL, NULL, NULL, 'YALI0B19030P', 181322),
(237597, 'PTHR23023:SF232', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 181323),
(237598, 'PTHR21579:SF12', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', 181324),
(237599, 'PTHR30482:SF10', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT SYSTEM PERMEASE PROTEIN LIVM', 181325),
(237600, 'PTHR31429:SF33', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY28', 181326),
(237601, 'PTHR22953:SF100', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 181327),
(237602, 'PTHR32096:SF107', NULL, NULL, NULL, NULL, 'BNAA02G19570D PROTEIN', 181328),
(237603, 'PTHR12040:SF0', NULL, NULL, NULL, NULL, 'HISTONE CHAPERONE ASF1', 181329),
(237604, 'PTHR11533:SF20', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE-2-RELATED', 181330),
(237605, 'PTHR10314:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181331),
(237606, 'PTHR46506:SF44', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 181332),
(237607, 'PTHR10231:SF79', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 4', 181333),
(237608, 'PTHR11848:SF38', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 3', 181334),
(237609, 'PTHR31682:SF35', NULL, NULL, NULL, NULL, 'REVERSIBLY GLYCOSYLATED POLYPEPTIDE FAMILY, NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', 181335),
(237610, 'PTHR12247:SF20', NULL, NULL, NULL, NULL, 'POLYHOMEOTIC-LIKE PROTEIN 1', 181336),
(237611, 'PTHR24372:SF12', NULL, NULL, NULL, NULL, 'RICKETS', 181337),
(237612, 'PTHR34589', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 2700081O15', 181338),
(237613, 'PTHR46756:SF4', NULL, NULL, NULL, NULL, 'CALPONIN', 181339),
(237614, 'PTHR45757', NULL, NULL, NULL, NULL, 'PROTEIN CBG23364-RELATED', 181340),
(237615, 'PTHR10953:SF9', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME 5', 181341),
(237616, 'PTHR45999:SF2', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG 4B', 181342),
(237617, 'PTHR46978:SF5', NULL, NULL, NULL, NULL, 'BNAA09G42320D PROTEIN', 181343),
(237618, 'PTHR10281:SF4', NULL, NULL, NULL, NULL, 'NEUFERRICIN', 181344),
(237619, 'PTHR34222:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0278845-RELATED', 181345),
(237620, 'PTHR13286:SF7', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP30', 181346),
(237621, 'PTHR31213:SF105', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE 1-LIKE', 181347),
(237622, 'PTHR34226:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181348),
(237623, 'PTHR19328:SF13', NULL, NULL, NULL, NULL, 'CATALYTICS', 181349),
(237624, 'PTHR15354:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 41', 181350),
(237625, 'PTHR10655:SF68', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 181351),
(237626, 'PTHR46383:SF2', NULL, NULL, NULL, NULL, '(5-FORMYLFURAN-3-YL)METHYL PHOSPHATE TRANSAMINASE', 181352),
(237627, 'PTHR31687:SF3', NULL, NULL, NULL, NULL, 'PROTEIN URG3', 181353),
(237628, 'PTHR15151:SF22', NULL, NULL, NULL, NULL, 'TNF SUPERFAMILY MEMBER 12', 181354),
(237629, 'PTHR45778:SF18', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 181355),
(237630, 'PTHR24299:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 1, SUBFAMILY C, POLYPEPTIDE 1-RELATED', 181356),
(237631, 'PTHR10264:SF87', NULL, NULL, NULL, NULL, 'STOMATIN (EPB72)-LIKE 3A-RELATED', 181357),
(237632, 'PTHR44329:SF141', NULL, NULL, NULL, NULL, 'BNAC04G48460D PROTEIN', 181358),
(237633, 'PTHR46772:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181359),
(237634, 'PTHR46488', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT ZETA-1', 181360),
(237635, 'PTHR10856:SF23', NULL, NULL, NULL, NULL, 'CORONIN-6', 181361),
(237636, 'PTHR14030:SF19', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE CHECKPOINT PROTEIN BUBR1', 181362);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(237637, 'PTHR23155:SF1111', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 181363),
(237638, 'PTHR48218:SF1', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 181364),
(237639, 'PTHR31973:SF149', NULL, NULL, NULL, NULL, 'OS08G0337601 PROTEIN', 181365),
(237640, 'PTHR21368:SF18', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L9, MITOCHONDRIAL', 181366),
(237641, 'PTHR42881:SF11', NULL, NULL, NULL, NULL, 'PEPTIDASE S9A, PROLYL OLIGOPEPTIDASE-RELATED', 181367),
(237642, 'PTHR21461:SF68', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 181368),
(237643, 'PTHR31495:SF25', NULL, NULL, NULL, NULL, 'CALEOSIN', 181369),
(237644, 'PTHR10681:SF154', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD', 181370),
(237645, 'PTHR45743:SF36', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KAT1', 181371),
(237646, 'PTHR36999', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', 181372),
(237647, 'PTHR13596', NULL, NULL, NULL, NULL, 'SMALL EDRK-RICH FACTOR 1', 181373),
(237648, 'PTHR15623:SF10', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED SERINE-RICH PROTEIN 2', 181374),
(237649, 'PTHR11451:SF55', NULL, NULL, NULL, NULL, 'BNAA09G44660D PROTEIN', 181375),
(237650, 'PTHR16134:SF98', NULL, NULL, NULL, NULL, 'BNAC03G30680D PROTEIN', 181376),
(237651, 'PTHR37218:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', 181377),
(237652, 'PTHR11685:SF316', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 181378),
(237653, 'PTHR33044:SF179', NULL, NULL, NULL, NULL, 'OS03G0323900 PROTEIN', 181379),
(237654, 'PTHR24543:SF295', NULL, NULL, NULL, NULL, 'RETINOSCHISIN', 181380),
(237655, 'PTHR11783:SF182', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 181381),
(237656, 'PTHR48043:SF38', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 91A1', 181382),
(237657, 'PTHR21659:SF96', NULL, NULL, NULL, NULL, 'BNAA04G22250D PROTEIN', 181383),
(237658, 'PTHR16127:SF15', NULL, NULL, NULL, NULL, 'TAXILIN BETA B', 181384),
(237659, 'PTHR23348:SF42', NULL, NULL, NULL, NULL, 'PERIAXIN', 181385),
(237660, 'PTHR47925:SF47', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC-LIKE', 181386),
(237661, 'PTHR24012:SF701', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN 46', 181387),
(237662, 'PTHR18966:SF364', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, NMDA 3B', 181388),
(237663, 'PTHR19441:SF44', NULL, NULL, NULL, NULL, 'ANTILEUKOPROTEINASE', 181389),
(237664, 'PTHR31235:SF57', NULL, NULL, NULL, NULL, 'PEROXIDASE', 181390),
(237665, 'PTHR22996:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LUL2-RELATED', 181391),
(237666, 'PTHR12411:SF706', NULL, NULL, NULL, NULL, 'KDEL-TAILED CYSTEINE ENDOPEPTIDASE CEP1', 181392),
(237667, 'PTHR35004:SF6', NULL, NULL, NULL, NULL, 'TRANSPOSASE RV3428C-RELATED', 181393),
(237668, 'PTHR31110:SF3', NULL, NULL, NULL, NULL, 'PORTAL PROTEIN', 181394),
(237669, 'PTHR24184:SF18', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND PROTEIN KINASE DOMAIN-CONTAINING PROTEIN 1-LIKE', 181395),
(237670, 'PTHR48186', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 181396),
(237671, 'PTHR47190:SF2', NULL, NULL, NULL, NULL, 'CELLOBIOSE DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_2G17620)', 181397),
(237672, 'PTHR35484:SF3', NULL, NULL, NULL, NULL, 'BNAA04G25490D PROTEIN', 181398),
(237673, 'PTHR12546:SF56', NULL, NULL, NULL, NULL, 'FER-1 LIKE-RELATED', 181399),
(237674, 'PTHR42748:SF7', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY DOMAIN-CONTAINING PROTEIN 1', 181400),
(237675, 'PTHR11260:SF667', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 181401),
(237676, 'PTHR47877:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181402),
(237677, 'PTHR10182:SF21', NULL, NULL, NULL, NULL, 'PROTEIN-RELATED', 181403),
(237678, 'PTHR31391:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181404),
(237679, 'PTHR15304:SF3', NULL, NULL, NULL, NULL, 'ZGC:113363', 181405),
(237680, 'PTHR48111:SF27', NULL, NULL, NULL, NULL, 'SENSORY TRANSDUCTION PROTEIN BCER', 181406),
(237681, 'PTHR48085:SF1', NULL, NULL, NULL, NULL, 'CATION TRANSPORTING ATPASE (E1-E2 FAMILY)', 181407);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(237682, 'PTHR12419:SF68', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE SUPERFAMILY PROTEIN', 181408),
(237683, 'PTHR43248:SF19', NULL, NULL, NULL, NULL, 'LIPASE-RELATED', 181409),
(237684, 'PTHR23291:SF91', NULL, NULL, NULL, NULL, 'BI1-LIKE PROTEIN', 181410),
(237685, 'PTHR46162:SF35', NULL, NULL, NULL, NULL, 'BNAA02G14480D PROTEIN', 181411),
(237686, 'PTHR43047:SF39', NULL, NULL, NULL, NULL, 'PHYTOCHROME-LIKE HISTIDINE KINASE 2', 181412),
(237687, 'PTHR11926:SF1195', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 181413),
(237688, 'PTHR23147:SF204', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS2Z32', 181414),
(237689, 'PTHR37220:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181415),
(237690, 'PTHR33405:SF23', NULL, NULL, NULL, NULL, 'BNAA05G13920D PROTEIN', 181416),
(237691, 'PTHR23428:SF217', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-O', 181417),
(237692, 'PTHR12306:SF22', NULL, NULL, NULL, NULL, 'DNAATION FACTOR-RELATED PROTEIN 2, ISOFORM B', 181418),
(237693, 'PTHR34062:SF3', NULL, NULL, NULL, NULL, 'BNAC07G33700D PROTEIN', 181419),
(237694, 'PTHR45669:SF23', NULL, NULL, NULL, NULL, 'OS08G0171333 PROTEIN', 181420),
(237695, 'PTHR24278:SF32', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 56', 181421),
(237696, 'PTHR38092:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR CUDA-RELATED', 181422),
(237697, 'PTHR45817:SF2', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE HOMOLOG 3', 181423),
(237698, 'PTHR31942:SF95', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 181424),
(237699, 'PTHR16231', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 4-8 FAMILY MEMBER', 181425),
(237700, 'PTHR45224:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181426),
(237701, 'PTHR34659:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181427),
(237702, 'PTHR24073:SF1007', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABD1', 181428),
(237703, 'PTHR32093:SF126', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 181429),
(237704, 'PTHR12145', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 181430),
(237705, 'PTHR11660:SF47', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 MEMBER 1', 181431),
(237706, 'PTHR24300:SF303', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 181432),
(237707, 'PTHR46624:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-11N16.2', 181433),
(237708, 'PTHR43252:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR YQJI', 181434),
(237709, 'PTHR31413', NULL, NULL, NULL, NULL, 'AFP HOMOLOG 2', 181435),
(237710, 'PTHR10188:SF13', NULL, NULL, NULL, NULL, 'ISOASPARTYL PEPTIDASE/L-ASPARAGINASE 2-RELATED', 181436),
(237711, 'PTHR47343', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR SPT7', 181437),
(237712, 'PTHR33322:SF3', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 7', 181438),
(237713, 'PTHR42740:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC3', 181439),
(237714, 'PTHR11960:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181440),
(237715, 'PTHR34267:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181441),
(237716, 'PTHR48001:SF105', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 181442),
(237717, 'PTHR23130:SF194', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', 181443),
(237718, 'PTHR46739:SF4', NULL, NULL, NULL, NULL, 'SMALL BASIC INTRINSIC PROTEIN 11', 181444),
(237719, 'PTHR31359:SF31', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 92', 181445),
(237720, 'PTHR35152:SF1', NULL, NULL, NULL, NULL, 'DOMAIN SIGNALLING PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G11310)-RELATED', 181446),
(237721, 'PTHR31235:SF191', NULL, NULL, NULL, NULL, 'PEROXIDASE FAMILY PROTEIN', 181447),
(237722, 'PTHR46165:SF2', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN 4', 181448),
(237723, 'PTHR24206:SF94', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN WLIM2B', 181449),
(237724, 'PTHR12542:SF108', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 181450),
(237725, 'PTHR12131:SF12', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH12-LIKE', 181451),
(237726, 'PTHR23272:SF64', NULL, NULL, NULL, NULL, 'OS04G0628400 PROTEIN', 181452);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(237727, 'PTHR34806', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 3.2', 181453),
(237728, 'PTHR14224:SF28', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 10-RELATED', 181454),
(237729, 'PTHR23262:SF200', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-1-RELATED', 181455),
(237730, 'PTHR11685:SF364', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 181456),
(237731, 'PTHR48059:SF13', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITING PROTEIN', 181457),
(237732, 'PTHR45560:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181458),
(237733, 'PTHR12663:SF39', NULL, NULL, NULL, NULL, 'BINDING PROTEIN-RELATED', 181459),
(237734, 'PTHR35464:SF1', NULL, NULL, NULL, NULL, 'OS06G0115200 PROTEIN', 181460),
(237735, 'PTHR43775:SF14', NULL, NULL, NULL, NULL, 'ITERATIVE POLYKETIDE SYNTHASE AFOE-RELATED', 181461),
(237736, 'PTHR43859:SF38', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE AND LIGASE FAMILY PROTEIN-RELATED', 181462),
(237737, 'PTHR31218:SF198', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 181463),
(237738, 'PTHR10869:SF163', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE', 181464),
(237739, 'PTHR46634:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181465),
(237740, 'PTHR31952:SF2', NULL, NULL, NULL, NULL, 'CANNABINOID RECEPTOR-INTERACTING PROTEIN 1A', 181466),
(237741, 'PTHR47683', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE FAMILY PROTEIN-RELATED', 181467),
(237742, 'PTHR33386:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181468),
(237743, 'PTHR32502:SF26', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM SUGAR-SPECIFIC EIID COMPONENT', 181469),
(237744, 'PTHR10984:SF67', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 5-3', 181470),
(237745, 'PTHR41151:SF1', NULL, NULL, NULL, NULL, 'PARTNER OF BURSICON', 181471),
(237746, 'PTHR11588:SF375', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2 CHAIN', 181472),
(237747, 'PTHR10366:SF364', NULL, NULL, NULL, NULL, '3 BETA-HYDROXYSTEROID DEHYDROGENASE/DELTA 5--4-ISOMERASE TYPE 2', 181473),
(237748, 'PTHR14083:SF9', NULL, NULL, NULL, NULL, 'OS06G0620600 PROTEIN', 181474),
(237749, 'PTHR30614:SF35', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', 181475),
(237750, 'PTHR31745', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN WHY2, MITOCHONDRIAL', 181476),
(237751, 'PTHR48137:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181477),
(237752, 'PTHR34670:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181478),
(237753, 'PTHR33048:SF47', NULL, NULL, NULL, NULL, 'PTH11-LIKE INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G11245)', 181479),
(237754, 'PTHR33044:SF147', NULL, NULL, NULL, NULL, 'XYLOGEN-LIKE PROTEIN 11', 181480),
(237755, 'PTHR11403:SF6', NULL, NULL, NULL, NULL, 'NITRIC OXIDE REDUCTASE SUBUNIT E', 181481),
(237756, 'PTHR45680:SF14', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 181482),
(237757, 'PTHR33336:SF14', NULL, NULL, NULL, NULL, 'ANTIBIOTIC BIOSYNTHESIS MONOOXYGENASE', 181483),
(237758, 'PTHR22835:SF561', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181484),
(237759, 'PTHR14225:SF0', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-III', 181485),
(237760, 'PTHR47250:SF2', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', 181486),
(237761, 'PTHR24037:SF9', NULL, NULL, NULL, NULL, 'PROTEIN HEG', 181487),
(237762, 'PTHR45794:SF1', NULL, NULL, NULL, NULL, 'LEUCINE--TRNA LIGASE, CYTOPLASMIC', 181488),
(237763, 'PTHR10516:SF439', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 181489),
(237764, 'PTHR46371:SF8', NULL, NULL, NULL, NULL, 'OS04G0468600 PROTEIN', 181490),
(237765, 'PTHR15889:SF2', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L37, MITOCHONDRIAL', 181491),
(237766, 'PTHR12773', NULL, NULL, NULL, NULL, 'UPF0315 PROTEIN-RELATED', 181492),
(237767, 'PTHR12558:SF33', NULL, NULL, NULL, NULL, 'BLR2525 PROTEIN', 181493),
(237768, 'PTHR10426:SF72', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 8', 181494),
(237769, 'PTHR33048:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181495);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(237770, 'PTHR31989:SF293', NULL, NULL, NULL, NULL, 'BNAC05G01000D PROTEIN', 181496),
(237771, 'PTHR24282:SF193', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 181497),
(237772, 'PTHR24223:SF401', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER, SUBFAMILY C, MEMBER 25, CLUSTER IB, SMABCC25', 181498),
(237773, 'PTHR11003:SF142', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS PROTEIN 7-LIKE PROTEIN', 181499),
(237774, 'PTHR21136:SF198', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 722-LIKE', 181500),
(237775, 'PTHR10804', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY M24  METHIONYL AMINOPEPTIDASE, AMINOPEPTIDASE P', 181501),
(237776, 'PTHR11926:SF1355', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 181502),
(237777, 'PTHR45008', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCOSE-SPECIFIC EIIA COMPONENT', 181503),
(237778, 'PTHR35704', NULL, NULL, NULL, NULL, 'OS02G0254600 PROTEIN', 181504),
(237779, 'PTHR45736:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER MYM-TYPE PROTEIN 4', 181505),
(237780, 'PTHR11593:SF35', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17-2-LIKE', 181506),
(237781, 'PTHR33600:SF14', NULL, NULL, NULL, NULL, 'BNAA09G08610D PROTEIN', 181507),
(237782, 'PTHR32208:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181508),
(237783, 'PTHR37538', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 181509),
(237784, 'PTHR45639:SF2', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 105 KDA', 181510),
(237785, 'PTHR37427', NULL, NULL, NULL, NULL, 'PROTEIN CBG20963-RELATED', 181511),
(237786, 'PTHR10574:SF285', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA-3', 181512),
(237787, 'PTHR13248', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR B POLYPEPTIDE 2', 181513),
(237788, 'PTHR45717:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181514),
(237789, 'PTHR33593:SF17', NULL, NULL, NULL, NULL, 'DUF1442 FAMILY PROTEIN', 181515),
(237790, 'PTHR48174', NULL, NULL, NULL, NULL, 'DUF946 FAMILY PROTEIN', 181516),
(237791, 'PTHR13218:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 11', 181517),
(237792, 'PTHR22883:SF318', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 181518),
(237793, 'PTHR15036:SF17', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE PROTEOGLYCAN 4', 181519),
(237794, 'PTHR46548:SF1', NULL, NULL, NULL, NULL, 'BAH AND TFIIS DOMAIN-CONTAINING PROTEIN-RELATED', 181520),
(237795, 'PTHR14789', NULL, NULL, NULL, NULL, 'CHONDROLECTIN VARIANT CHODLFDELTAE.', 181521),
(237796, 'PTHR33098:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181522),
(237797, 'PTHR33494:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 181523),
(237798, 'PTHR23236:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181524),
(237799, 'PTHR21022:SF32', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', 181525),
(237800, 'PTHR42776:SF11', NULL, NULL, NULL, NULL, 'DIPEPTIDYL-PEPTIDASE 5-RELATED', 181526),
(237801, 'PTHR42037', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 181527),
(237802, 'PTHR24229:SF95', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR C06G4.5-RELATED', 181528),
(237803, 'PTHR19134:SF504', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE', 181529),
(237804, 'PTHR31384:SF114', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 181530),
(237805, 'PTHR48007:SF49', NULL, NULL, NULL, NULL, 'OS08G0521200 PROTEIN', 181531),
(237806, 'PTHR34224:SF16', NULL, NULL, NULL, NULL, 'BNAA06G38430D PROTEIN', 181532),
(237807, 'PTHR18860:SF86', NULL, NULL, NULL, NULL, 'GENERAL REGULATORY FACTOR 2', 181533),
(237808, 'PTHR12413:SF2', NULL, NULL, NULL, NULL, 'DOLICHYL PYROPHOSPHATE GLC1MAN9GLCNAC2 ALPHA-1,3-GLUCOSYLTRANSFERASE-RELATED', 181534),
(237809, 'PTHR47288:SF1', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 9', 181535),
(237810, 'PTHR24006:SF677', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 19', 181536),
(237811, 'PTHR35123:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE-LIKE PROTEIN', 181537),
(237812, 'PTHR31314:SF83', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 181538);
INSERT INTO "PUBLIC"."MODEL" VALUES
(237813, 'PTHR11480', NULL, NULL, NULL, NULL, 'SAPOSIN-RELATED', 181539),
(237814, 'PTHR16198', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 181540),
(237815, 'PTHR19961:SF60', NULL, NULL, NULL, NULL, 'ACTIN-BINDING CALPONIN-LIKE (CH) DOMAIN PROTEIN', 181541),
(237816, 'PTHR24177:SF275', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181542),
(237817, 'PTHR22883:SF340', NULL, NULL, NULL, NULL, 'ZDHHC-TYPE PALMITOYLTRANSFERASE 3-RELATED', 181543),
(237818, 'PTHR13817:SF129', NULL, NULL, NULL, NULL, 'ZORMIN, ISOFORM J', 181544),
(237819, 'PTHR31121:SF8', NULL, NULL, NULL, NULL, 'GLYCOLIPID 2-ALPHA-MANNOSYLTRANSFERASE-RELATED', 181545),
(237820, 'PTHR37316:SF1', NULL, NULL, NULL, NULL, 'TEICHOIC ACID GLYCEROL-PHOSPHATE PRIMASE', 181546),
(237821, 'PTHR33159:SF60', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', 181547),
(237822, 'PTHR35573:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG21099', 181548),
(237823, 'PTHR22696:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF26', 181549),
(237824, 'PTHR45649:SF22', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 181550),
(237825, 'PTHR30319:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR PAAX', 181551),
(237826, 'PTHR10161:SF36', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 181552),
(237827, 'PTHR35901', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC3', 181553),
(237828, 'PTHR22950:SF20', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', 181554),
(237829, 'PTHR19876:SF52', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA', 181555),
(237830, 'PTHR43671:SF51', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK5', 181556),
(237831, 'PTHR47932:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181557),
(237832, 'PTHR47925:SF84', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 181558),
(237833, 'PTHR46016:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF125', 181559),
(237834, 'PTHR15486:SF71', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', 181560),
(237835, 'PTHR43671:SF45', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK3', 181561),
(237836, 'PTHR23255:SF64', NULL, NULL, NULL, NULL, 'ACTIVIN RECEPTOR TYPE-2A', 181562),
(237837, 'PTHR31087:SF106', NULL, NULL, NULL, NULL, 'BNAA03G57510D PROTEIN', 181563),
(237838, 'PTHR10857:SF30', NULL, NULL, NULL, NULL, 'COPINE-B-RELATED', 181564),
(237839, 'PTHR13059:SF16', NULL, NULL, NULL, NULL, 'BOBBY SOX', 181565),
(237840, 'PTHR46213', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR DEMETER', 181566),
(237841, 'PTHR47520', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 181567),
(237842, 'PTHR46097:SF1', NULL, NULL, NULL, NULL, 'ARF GTPASE-ACTIVATING PROTEIN GIT1', 181568),
(237843, 'PTHR30559:SF3', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE, CLASS II,YEAST/E. COLI SUBTYPE', 181569),
(237844, 'PTHR26453:SF115', NULL, NULL, NULL, NULL, 'FKSG35-RELATED', 181570),
(237845, 'PTHR46136:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181571),
(237846, 'PTHR32227:SF261', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-13-BETA-GLUCOSIDASE 14', 181572),
(237847, 'PTHR11438', NULL, NULL, NULL, NULL, 'PROENKEPHALIN', 181573),
(237848, 'PTHR12174:SF72', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 3', 181574),
(237849, 'PTHR46179:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 410', 181575),
(237850, 'PTHR31714:SF10', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN-RELATED', 181576),
(237851, 'PTHR32227:SF295', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 17 PROTEIN', 181577),
(237852, 'PTHR21700:SF14', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 181578),
(237853, 'PTHR45636:SF32', NULL, NULL, NULL, NULL, 'PAIRED BOX POX-NEURO PROTEIN', 181579),
(237854, 'PTHR31889:SF41', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE-LIKE', 181580),
(237855, 'PTHR11351:SF77', NULL, NULL, NULL, NULL, 'BNAA08G28580D PROTEIN', 181581),
(237856, 'PTHR23429', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE  G6PD', 181582);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(237857, 'PTHR46978:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, ZINC KNUCKLE CX2CX4HX4C-RELATED', 181583),
(237858, 'PTHR30053:SF1', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR P', 181584),
(237859, 'PTHR48056:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181585),
(237860, 'PTHR42200:SF2', NULL, NULL, NULL, NULL, 'ARCHAEAL FLAGELLA-RELATED PROTEIN F', 181586),
(237861, 'PTHR18945:SF30', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT RHO-1', 181587),
(237862, 'PTHR37960:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG22893', 181588),
(237863, 'PTHR32096:SF92', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', 181589),
(237864, 'PTHR22765:SF300', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING RECEPTOR 1', 181590),
(237865, 'PTHR11017:SF334', NULL, NULL, NULL, NULL, 'BNAC06G13520D PROTEIN', 181591),
(237866, 'PTHR12313:SF58', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA1H1-LIKE', 181592),
(237867, 'PTHR19051:SF20', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 14', 181593),
(237868, 'PTHR45663:SF34', NULL, NULL, NULL, NULL, 'THIOREDOXIN M-TYPE PROTEIN', 181594),
(237869, 'PTHR33065:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181595),
(237870, 'PTHR19317:SF12', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 181596),
(237871, 'PTHR36691:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 247', 181597),
(237872, 'PTHR33021:SF59', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 9', 181598),
(237873, 'PTHR31789:SF4', NULL, NULL, NULL, NULL, 'OS01G0817800 PROTEIN', 181599),
(237874, 'PTHR33265:SF32', NULL, NULL, NULL, NULL, 'BNAC08G46030D PROTEIN', 181600),
(237875, 'PTHR45830:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 181601),
(237876, 'PTHR10894:SF26', NULL, NULL, NULL, NULL, 'BNACNNG34340D PROTEIN', 181602),
(237877, 'PTHR22654:SF3', NULL, NULL, NULL, NULL, 'G PROTEIN PATHWAY SUPPRESSOR 2', 181603),
(237878, 'PTHR32133:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181604),
(237879, 'PTHR23020:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG18622', 181605),
(237880, 'PTHR31348:SF13', NULL, NULL, NULL, NULL, 'EID1-LIKE F-BOX PROTEIN 1', 181606),
(237881, 'PTHR21398:SF4', NULL, NULL, NULL, NULL, 'AGAP002980-PA', 181607),
(237882, 'PTHR38083', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT CELL ADHESION MOLECULE 1-RELATED', 181608),
(237883, 'PTHR10422:SF35', NULL, NULL, NULL, NULL, 'CYTOCHROME BO(3) UBIQUINOL OXIDASE SUBUNIT 1', 181609),
(237884, 'PTHR35304:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181610),
(237885, 'PTHR35284', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 24A, CHLOROPLASTIC-RELATED', 181611),
(237886, 'PTHR16083:SF29', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 181612),
(237887, 'PTHR33667', NULL, NULL, NULL, NULL, 'SI:DKEY-57N24.6', 181613),
(237888, 'PTHR31549:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181614),
(237889, 'PTHR33090:SF59', NULL, NULL, NULL, NULL, 'BNAC01G20750D PROTEIN', 181615),
(237890, 'PTHR31651:SF15', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 5', 181616),
(237891, 'PTHR12027:SF81', NULL, NULL, NULL, NULL, 'WNT INHIBITOR OF DORSAL PROTEIN', 181617),
(237892, 'PTHR11860:SF89', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 2', 181618),
(237893, 'PTHR31898:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 136', 181619),
(237894, 'PTHR19971', NULL, NULL, NULL, NULL, 'SIGNAL-REGULATORY PROTEIN BETA', 181620),
(237895, 'PTHR30483:SF37', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER AMINO ACID-BINDING PROTEIN', 181621),
(237896, 'PTHR22881:SF34', NULL, NULL, NULL, NULL, 'BNAC08G19400D PROTEIN', 181622),
(237897, 'PTHR45718:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GLI2', 181623),
(237898, 'PTHR27005:SF257', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 10', 181624),
(237899, 'PTHR47804:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L19', 181625),
(237900, 'PTHR31421:SF13', NULL, NULL, NULL, NULL, 'BNAC04G22230D PROTEIN', 181626),
(237901, 'PTHR10414:SF37', NULL, NULL, NULL, NULL, 'BB IN A BOXCAR, ISOFORM C', 181627);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(237902, 'PTHR30401', NULL, NULL, NULL, NULL, 'TRNA 2-SELENOURIDINE SYNTHASE', 181628),
(237903, 'PTHR19303:SF32', NULL, NULL, NULL, NULL, 'CAG, ISOFORM A', 181629),
(237904, 'PTHR37154', NULL, NULL, NULL, NULL, 'MITOREGULIN', 181630),
(237905, 'PTHR22625:SF35', NULL, NULL, NULL, NULL, 'PLEXIN-A1', 181631),
(237906, 'PTHR11871:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181632),
(237907, 'PTHR11800:SF13', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I AND III SUBUNIT RPAC1', 181633),
(237908, 'PTHR28668:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 234', 181634),
(237909, 'PTHR13296:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181635),
(237910, 'PTHR31190:SF229', NULL, NULL, NULL, NULL, 'BNAA05G09970D PROTEIN', 181636),
(237911, 'PTHR23065:SF52', NULL, NULL, NULL, NULL, 'SH3 AND F-BAR DOMAIN-CONTAINING PROTEIN DDB_G0271676', 181637),
(237912, 'PTHR11746:SF221', NULL, NULL, NULL, NULL, 'CAFFEIC ACID O-METHYLTRANSFERASE', 181638),
(237913, 'PTHR33564', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 181639),
(237914, 'PTHR12802:SF87', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 6', 181640),
(237915, 'PTHR46577:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 181641),
(237916, 'PTHR33294:SF3', NULL, NULL, NULL, NULL, 'AWPM-19-LIKE FAMILY PROTEIN', 181642),
(237917, 'PTHR30625:SF15', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBB', 181643),
(237918, 'PTHR48011:SF46', NULL, NULL, NULL, NULL, 'BNAC04G13010D PROTEIN', 181644),
(237919, 'PTHR10233', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B', 181645),
(237920, 'PTHR48069:SF3', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE', 181646),
(237921, 'PTHR10788:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181647),
(237922, 'PTHR37490:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 181648),
(237923, 'PTHR24370', NULL, NULL, NULL, NULL, 'OPTICIN', 181649),
(237924, 'PTHR10985:SF127', NULL, NULL, NULL, NULL, 'HAIRY-RELATED 5', 181650),
(237925, 'PTHR11564:SF37', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN', 181651),
(237926, 'PTHR30036:SF2', NULL, NULL, NULL, NULL, 'D-GALACTOSE-BINDING PERIPLASMIC PROTEIN', 181652),
(237927, 'PTHR46128:SF222', NULL, NULL, NULL, NULL, 'BNAC01G19120D PROTEIN', 181653),
(237928, 'PTHR21452', NULL, NULL, NULL, NULL, 'EXPORTIN-6', 181654),
(237929, 'PTHR46128:SF106', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 181655),
(237930, 'PTHR24356:SF224', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED SERINE/THREONINE-PROTEIN KINASE 4', 181656),
(237931, 'PTHR37241:SF1', NULL, NULL, NULL, NULL, 'NEUROFILAMENT HEAVY PROTEIN', 181657),
(237932, 'PTHR11771:SF5', NULL, NULL, NULL, NULL, 'ARACHIDONATE 5-LIPOXYGENASE', 181658),
(237933, 'PTHR37604', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT', 181659),
(237934, 'PTHR23198:SF17', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP98-NUP96', 181660),
(237935, 'PTHR11850:SF308', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 3', 181661),
(237936, 'PTHR27009:SF254', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 181662),
(237937, 'PTHR19431', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L4', 181663),
(237938, 'PTHR12385:SF12', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 44 MEMBER 1A-RELATED', 181664),
(237939, 'PTHR18945:SF797', NULL, NULL, NULL, NULL, 'CHOLINERGIC RECEPTOR, NICOTINIC, BETA 2A', 181665),
(237940, 'PTHR24068:SF375', NULL, NULL, NULL, NULL, 'BNAC07G51150D PROTEIN', 181666),
(237941, 'PTHR31708:SF1', NULL, NULL, NULL, NULL, 'ABPBG11-RELATED', 181667),
(237942, 'PTHR40940:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181668),
(237943, 'PTHR10562:SF86', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 4', 181669),
(237944, 'PTHR31896:SF53', NULL, NULL, NULL, NULL, 'BNAA09G07570D PROTEIN', 181670),
(237945, 'PTHR46482:SF8', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE 1, CHLOROPLASTIC', 181671),
(237946, 'PTHR47477', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR HOMOLOG 1A', 181672);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(237947, 'PTHR11610:SF100', NULL, NULL, NULL, NULL, 'PANCREATIC LIPASE-RELATED PROTEIN 3', 181673),
(237948, 'PTHR45623:SF21', NULL, NULL, NULL, NULL, 'HELICASE CHR10-RELATED', 181674),
(237949, 'PTHR24045:SF0', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-1-PHOSPHOTRANSFERASE SUBUNITS ALPHA/BETA', 181675),
(237950, 'PTHR27006:SF417', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181676),
(237951, 'PTHR24366:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181677),
(237952, 'PTHR46128:SF266', NULL, NULL, NULL, NULL, 'BNAA02G35150D PROTEIN', 181678),
(237953, 'PTHR31165:SF10', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 10', 181679),
(237954, 'PTHR31260:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181680),
(237955, 'PTHR10194:SF3', NULL, NULL, NULL, NULL, 'RASGAP-ACTIVATING-LIKE PROTEIN 1', 181681),
(237956, 'PTHR43939:SF29', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN', 181682),
(237957, 'PTHR22912:SF151', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE, MITOCHONDRIAL', 181683),
(237958, 'PTHR34726:SF2', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DDB_G0283913-RELATED', 181684),
(237959, 'PTHR10503:SF22', NULL, NULL, NULL, NULL, 'HP1 LIKE (HETEROCHROMATIN PROTEIN)', 181685),
(237960, 'PTHR43895:SF55', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 22', 181686),
(237961, 'PTHR14511:SF9', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR FAMILY C GROUP 5 MEMBER B', 181687),
(237962, 'PTHR34998:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181688),
(237963, 'PTHR46450:SF15', NULL, NULL, NULL, NULL, 'BNAA02G22450D PROTEIN', 181689),
(237964, 'PTHR46168:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181690),
(237965, 'PTHR24384:SF222', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 562', 181691),
(237966, 'PTHR27003:SF106', NULL, NULL, NULL, NULL, 'OS06G0126250 PROTEIN', 181692),
(237967, 'PTHR24298:SF843', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 87 SUBFAMILY A POLYPEPTIDE 6', 181693),
(237968, 'PTHR31585:SF23', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 1 CHLOROPLASTIC', 181694),
(237969, 'PTHR31867:SF127', NULL, NULL, NULL, NULL, 'EXPANSIN-A9', 181695),
(237970, 'PTHR10590', NULL, NULL, NULL, NULL, 'SODIUM/NUCLEOSIDE COTRANSPORTER', 181696),
(237971, 'PTHR32116:SF70', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 181697),
(237972, 'PTHR38001:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CEBPZOS', 181698),
(237973, 'PTHR48111:SF15', NULL, NULL, NULL, NULL, 'OMPR SUBFAMILY', 181699),
(237974, 'PTHR43272:SF4', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 2', 181700),
(237975, 'PTHR33365:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181701),
(237976, 'PTHR43398', NULL, NULL, NULL, NULL, 'DOLICHOL-PHOSPHATE MANNOSYLTRANSFERASE SUBUNIT 1', 181702),
(237977, 'PTHR21732', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN-CONTAINING PROTEIN 4', 181703),
(237978, 'PTHR24345:SF52', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK-1', 181704),
(237979, 'PTHR12011:SF454', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181705),
(237980, 'PTHR48047:SF88', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73C1', 181706),
(237981, 'PTHR31642:SF231', NULL, NULL, NULL, NULL, 'OMEGA-HYDROXYPALMITATE O-FERULOYL TRANSFERASE-LIKE', 181707),
(237982, 'PTHR32176:SF75', NULL, NULL, NULL, NULL, 'PATATIN', 181708),
(237983, 'PTHR31867:SF150', NULL, NULL, NULL, NULL, 'EXPANSIN', 181709),
(237984, 'PTHR34481:SF9', NULL, NULL, NULL, NULL, '19 KDA GLOBULIN', 181710),
(237985, 'PTHR11991:SF17', NULL, NULL, NULL, NULL, 'TRANSLATIONALLY CONTROLLED TUMOR PROTEIN 2', 181711),
(237986, 'PTHR24377:SF622', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 8', 181712),
(237987, 'PTHR33399:SF11', NULL, NULL, NULL, NULL, 'BNAA06G08980D PROTEIN', 181713),
(237988, 'PTHR11985:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181714),
(237989, 'PTHR24348:SF45', NULL, NULL, NULL, NULL, 'PROTEIN CBG14564', 181715),
(237990, 'PTHR24223:SF189', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 5', 181716);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(237991, 'PTHR34406:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YCEI', 181717),
(237992, 'PTHR43648', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN BETA SUBUNIT LYSINE METHYLTRANSFERASE', 181718),
(237993, 'PTHR47976:SF48', NULL, NULL, NULL, NULL, 'OS02G0234450 PROTEIN', 181719),
(237994, 'PTHR19432:SF67', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUC2', 181720),
(237995, 'PTHR31636:SF41', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR CONTAINING PROTEIN, EXPRESSED', 181721),
(237996, 'PTHR10966:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', 181722),
(237997, 'PTHR45670:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECTD1', 181723),
(237998, 'PTHR18945:SF860', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181724),
(237999, 'PTHR12815:SF34', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE OMP85 FAMILY PROTEIN', 181725),
(238000, 'PTHR31221:SF180', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 73', 181726),
(238001, 'PTHR10909:SF352', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE-LIKE PROTEIN', 181727),
(238002, 'PTHR22802:SF386', NULL, NULL, NULL, NULL, 'LECTIN-LIKE', 181728),
(238003, 'PTHR15512:SF1', NULL, NULL, NULL, NULL, 'TERF1 (TRF1)-INTERACTING NUCLEAR FACTOR 2', 181729),
(238004, 'PTHR31544', NULL, NULL, NULL, NULL, 'AIG2-LIKE PROTEIN D', 181730),
(238005, 'PTHR20883:SF38', NULL, NULL, NULL, NULL, 'ECTOINE DIOXYGENASE', 181731),
(238006, 'PTHR33930:SF7', NULL, NULL, NULL, NULL, 'ALKYL HYDROPEROXIDE REDUCTASE AHPD', 181732),
(238007, 'PTHR10534', NULL, NULL, NULL, NULL, 'PYRIDOXAL KINASE', 181733),
(238008, 'PTHR10666:SF365', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-LIKE', 181734),
(238009, 'PTHR12811', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING VPS16', 181735),
(238010, 'PTHR11371:SF29', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE-1-LIKE 2', 181736),
(238011, 'PTHR11036:SF85', NULL, NULL, NULL, NULL, 'SI:CH211-113G11.6', 181737),
(238012, 'PTHR43031:SF12', NULL, NULL, NULL, NULL, 'RHODANESE DOMAIN PROTEIN', 181738),
(238013, 'PTHR26452:SF692', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 181739),
(238014, 'PTHR10039:SF12', NULL, NULL, NULL, NULL, 'NACHT DOMAIN PROTEIN', 181740),
(238015, 'PTHR33673:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181741),
(238016, 'PTHR31832:SF58', NULL, NULL, NULL, NULL, 'BNAA08G28420D PROTEIN', 181742),
(238017, 'PTHR31375:SF202', NULL, NULL, NULL, NULL, 'BNAA05G29810D PROTEIN', 181743),
(238018, 'PTHR43473:SF2', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLD, CHLOROPLASTIC', 181744),
(238019, 'PTHR15427:SF3', NULL, NULL, NULL, NULL, 'MULTIMERIN-1', 181745),
(238020, 'PTHR20889:SF17', NULL, NULL, NULL, NULL, '2,3-DIKETO-5-METHYLTHIO-1-PHOSPHOPENTANE PHOSPHATASE', 181746),
(238021, 'PTHR31707:SF3', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 3', 181747),
(238022, 'PTHR10638:SF23', NULL, NULL, NULL, NULL, 'MEMBRANE PRIMARY AMINE OXIDASE', 181748),
(238023, 'PTHR31170', NULL, NULL, NULL, NULL, 'BNAC04G53230D PROTEIN', 181749),
(238024, 'PTHR34679:SF2', NULL, NULL, NULL, NULL, 'OS02G0122500 PROTEIN', 181750),
(238025, 'PTHR11216:SF145', NULL, NULL, NULL, NULL, 'OSJNBA0043A12.19 PROTEIN', 181751),
(238026, 'PTHR46895:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG13560', 181752),
(238027, 'PTHR16228:SF22', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 41 MEMBER 3', 181753),
(238028, 'PTHR38019:SF1', NULL, NULL, NULL, NULL, 'KDA ANTIGEN P200, PUTATIVE-RELATED', 181754),
(238029, 'PTHR11614:SF151', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 181755),
(238030, 'PTHR46443:SF17', NULL, NULL, NULL, NULL, 'BNAA09G55700D PROTEIN', 181756),
(238031, 'PTHR31601:SF3', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S36, MITOCHONDRIAL', 181757),
(238032, 'PTHR21535:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181758),
(238033, 'PTHR11972:SF173', NULL, NULL, NULL, NULL, 'REDUCTASE TRANSMEMBRANE COMPONENT 2, PUTATIVE-RELATED', 181759),
(238034, 'PTHR47452', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 181760),
(238035, 'PTHR14083:SF12', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE HRF1 FAMILY PROTEIN', 181761);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(238036, 'PTHR12128', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE SYNTHASE', 181762),
(238037, 'PTHR24356:SF153', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 32C', 181763),
(238038, 'PTHR46248:SF4', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1, LEUCINE-ZIPPER-RELATED', 181764),
(238039, 'PTHR11604:SF39', NULL, NULL, NULL, NULL, 'PROFILIN', 181765),
(238040, 'PTHR19375:SF409', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN, MITOCHONDRIAL', 181766),
(238041, 'PTHR45616:SF19', NULL, NULL, NULL, NULL, 'KERATIN 90', 181767),
(238042, 'PTHR43859:SF36', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 1, PEROXISOMAL-RELATED', 181768),
(238043, 'PTHR31221:SF227', NULL, NULL, NULL, NULL, 'BNAC06G07320D PROTEIN', 181769),
(238044, 'PTHR31744:SF132', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', 181770),
(238045, 'PTHR45624:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181771),
(238046, 'PTHR31162:SF1', NULL, NULL, NULL, NULL, 'TRANSPORTER/MALIC ACID TRANSPORT PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17660)-RELATED', 181772),
(238047, 'PTHR33021:SF344', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 3-RELATED', 181773),
(238048, 'PTHR31300:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181774),
(238049, 'PTHR40459', NULL, NULL, NULL, NULL, 'CONSERVED HYPOTHETICAL ALANINE AND LEUCINE RICH PROTEIN', 181775),
(238050, 'PTHR26452:SF383', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 181776),
(238051, 'PTHR43447:SF35', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', 181777),
(238052, 'PTHR31442', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', 181778),
(238053, 'PTHR31100:SF87', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 181779),
(238054, 'PTHR40466', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 181780),
(238055, 'PTHR11686:SF66', NULL, NULL, NULL, NULL, 'PROTEIN CBG22061', 181781),
(238056, 'PTHR10168:SF278', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181782),
(238057, 'PTHR11661:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12', 181783),
(238058, 'PTHR43086', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN 3-OXOOACYL-COA REDUCTASE', 181784),
(238059, 'PTHR19868:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181785),
(238060, 'PTHR14815:SF2', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 17', 181786),
(238061, 'PTHR14492', NULL, NULL, NULL, NULL, 'JBTS17', 181787),
(238062, 'PTHR35106:SF5', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 181788),
(238063, 'PTHR33048:SF19', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN PTH11-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14080)-RELATED', 181789),
(238064, 'PTHR31943:SF17', NULL, NULL, NULL, NULL, 'INTERFERON LAMBDA-4', 181790),
(238065, 'PTHR33674:SF8', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE [NAD(P)H]-LIKE ISOFORM X1', 181791),
(238066, 'PTHR11119:SF112', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 6', 181792),
(238067, 'PTHR27008:SF431', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', 181793),
(238068, 'PTHR46445:SF12', NULL, NULL, NULL, NULL, 'BNAC03G59060D PROTEIN', 181794),
(238069, 'PTHR34227:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN YCDY', 181795),
(238070, 'PTHR47997:SF3', NULL, NULL, NULL, NULL, 'OS02G0641300 PROTEIN', 181796),
(238071, 'PTHR23413:SF15', NULL, NULL, NULL, NULL, 'BNAA06G35970D PROTEIN', 181797),
(238072, 'PTHR10694:SF115', NULL, NULL, NULL, NULL, 'BNAA04G20420D PROTEIN', 181798),
(238073, 'PTHR21327:SF35', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE II, RIBA', 181799),
(238074, 'PTHR10127:SF778', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 181800),
(238075, 'PTHR43198:SF9', NULL, NULL, NULL, NULL, 'AMINOPYRIMIDINE AMINOHYDROLASE, MITOCHONDRIAL ISOFORM X1-RELATED', 181801),
(238076, 'PTHR10120:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181802),
(238077, 'PTHR24103:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181803),
(238078, 'PTHR10742:SF228', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 4-RELATED', 181804),
(238079, 'PTHR24015:SF1865', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT-LIKE SUPERFAMILY PROTEIN ISOFORM 1', 181805);
INSERT INTO "PUBLIC"."MODEL" VALUES
(238080, 'PTHR46162:SF45', NULL, NULL, NULL, NULL, 'BNAC02G19400D PROTEIN', 181806),
(238081, 'PTHR13023', NULL, NULL, NULL, NULL, 'APYRASE', 181807),
(238082, 'PTHR31920:SF40', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN LOC_OS12G40080', 181808),
(238083, 'PTHR42693:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181809),
(238084, 'PTHR45855:SF33', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', 181810),
(238085, 'PTHR30519:SF25', NULL, NULL, NULL, NULL, 'COBALAMIN-INDEPENDENT METHIONINE SYNTHASE', 181811),
(238086, 'PTHR11216:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181812),
(238087, 'PTHR24345:SF86', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK1', 181813),
(238088, 'PTHR45863:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK11', 181814),
(238089, 'PTHR40707:SF1', NULL, NULL, NULL, NULL, 'POSSIBLE NUCLEASE OF RNASE H FOLD, RUVC/YQGF FAMILY', 181815),
(238090, 'PTHR44145', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY A MEMBER 3, MITOCHONDRIAL', 181816),
(238091, 'PTHR46325:SF9', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC6-RELATED', 181817),
(238092, 'PTHR45730:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', 181818),
(238093, 'PTHR22591:SF2', NULL, NULL, NULL, NULL, 'XIN ACTIN-BINDING REPEAT-CONTAINING PROTEIN 1', 181819),
(238094, 'PTHR34930', NULL, NULL, NULL, NULL, 'GEO05313P1', 181820),
(238095, 'PTHR21593:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG18492', 181821),
(238096, 'PTHR45780:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181822),
(238097, 'PTHR11814:SF19', NULL, NULL, NULL, NULL, 'CHLORIDE ANION EXCHANGER', 181823),
(238098, 'PTHR39190:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR ASSEMBLY FACTOR FLIW', 181824),
(238099, 'PTHR11071:SF453', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 181825),
(238100, 'PTHR23111:SF35', NULL, NULL, NULL, NULL, 'OS08G0521400 PROTEIN', 181826),
(238101, 'PTHR47926:SF243', NULL, NULL, NULL, NULL, 'OS01G0197450 PROTEIN', 181827),
(238102, 'PTHR47992:SF16', NULL, NULL, NULL, NULL, 'BNAA03G49240D PROTEIN', 181828),
(238103, 'PTHR10891:SF834', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML30-RELATED', 181829),
(238104, 'PTHR22760:SF2', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSYLTRANSFERASE ALG9', 181830),
(238105, 'PTHR11759:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S14', 181831),
(238106, 'PTHR46261:SF18', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 4-RELATED', 181832),
(238107, 'PTHR12804:SF0', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 3', 181833),
(238108, 'PTHR11339:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181834),
(238109, 'PTHR42887:SF1', NULL, NULL, NULL, NULL, 'BLR3961 PROTEIN', 181835),
(238110, 'PTHR24055:SF158', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE ERK-A', 181836),
(238111, 'PTHR42763', NULL, NULL, NULL, NULL, 'ADP-GLUCOSE PHOSPHORYLASE', 181837),
(238112, 'PTHR47242:SF3', NULL, NULL, NULL, NULL, 'BNAA04G14850D PROTEIN', 181838),
(238113, 'PTHR47632:SF4', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', 181839),
(238114, 'PTHR22738:SF10', NULL, NULL, NULL, NULL, 'RASSF (RAS-ASSOCIATION DOMAIN FAMILY) HOMOLOG', 181840),
(238115, 'PTHR36607:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181841),
(238116, 'PTHR15415', NULL, NULL, NULL, NULL, 'MITOFILIN', 181842),
(238117, 'PTHR43834', NULL, NULL, NULL, NULL, 'GTPASE DER', 181843),
(238118, 'PTHR11911:SF85', NULL, NULL, NULL, NULL, 'IMP DEHYDROGENASE SUBUNIT', 181844),
(238119, 'PTHR46033:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MAIN-LIKE 2', 181845),
(238120, 'PTHR47982:SF16', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 181846),
(238121, 'PTHR10231:SF75', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 5', 181847),
(238122, 'PTHR45621:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181848),
(238123, 'PTHR33734:SF6', NULL, NULL, NULL, NULL, 'OS02G0681632 PROTEIN', 181849),
(238124, 'PTHR10822', NULL, NULL, NULL, NULL, 'GLYPICAN', 181850);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(238125, 'PTHR45642:SF102', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 181851),
(238126, 'PTHR12210:SF43', NULL, NULL, NULL, NULL, 'CTD SMALL PHOSPHATASE-LIKE PROTEIN', 181852),
(238127, 'PTHR31321:SF70', NULL, NULL, NULL, NULL, 'OS07G0655600 PROTEIN', 181853),
(238128, 'PTHR22435:SF0', NULL, NULL, NULL, NULL, 'CHROMOSOME 6 OPEN READING FRAME 222', 181854),
(238129, 'PTHR31414:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181855),
(238130, 'PTHR42341:SF1', NULL, NULL, NULL, NULL, 'HYDROPHOBIN', 181856),
(238131, 'PTHR32467:SF164', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR AIL6', 181857),
(238132, 'PTHR33978:SF12', NULL, NULL, NULL, NULL, 'OS01G0621500 PROTEIN', 181858),
(238133, 'PTHR31269:SF47', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH2-LIKE ISOFORM X1', 181859),
(238134, 'PTHR22802:SF278', NULL, NULL, NULL, NULL, 'CD209 ANTIGEN-LIKE PROTEIN B', 181860),
(238135, 'PTHR12027:SF7', NULL, NULL, NULL, NULL, 'PROTEIN WNT-11', 181861),
(238136, 'PTHR37291:SF1', NULL, NULL, NULL, NULL, '5-METHYLCYTOSINE-SPECIFIC RESTRICTION ENZYME B', 181862),
(238137, 'PTHR15633', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 181863),
(238138, 'PTHR43253', NULL, NULL, NULL, NULL, 'TRICORN PROTEASE HOMOLOG 2-RELATED', 181864),
(238139, 'PTHR11532:SF57', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE D, B', 181865),
(238140, 'PTHR31087:SF22', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 8', 181866),
(238141, 'PTHR24177:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181867),
(238142, 'PTHR31223:SF58', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG4', 181868),
(238143, 'PTHR45855:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ALC', 181869),
(238144, 'PTHR33133:SF25', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 181870),
(238145, 'PTHR20981:SF6', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L21', 181871),
(238146, 'PTHR14145:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181872),
(238147, 'PTHR35332', NULL, NULL, NULL, NULL, 'REGULATION OF ENOLASE PROTEIN 1', 181873),
(238148, 'PTHR23309:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181874),
(238149, 'PTHR38537:SF10', NULL, NULL, NULL, NULL, 'FILAMIN-C', 181875),
(238150, 'PTHR31917:SF80', NULL, NULL, NULL, NULL, 'AGENET DOMAIN-CONTAINING PROTEIN-RELATED', 181876),
(238151, 'PTHR31656:SF47', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN-RELATED / LEA PROTEIN-LIKE PROTEIN', 181877),
(238152, 'PTHR30290:SF32', NULL, NULL, NULL, NULL, 'GLUTATHIONE-BINDING PROTEIN GSIB', 181878),
(238153, 'PTHR31235:SF265', NULL, NULL, NULL, NULL, 'PEROXIDASE', 181879),
(238154, 'PTHR33348:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181880),
(238155, 'PTHR28630:SF20', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-LIKE 2C', 181881),
(238156, 'PTHR31790:SF309', NULL, NULL, NULL, NULL, 'BNAANNG41050D PROTEIN', 181882),
(238157, 'PTHR48024:SF5', NULL, NULL, NULL, NULL, 'OS06G0220600 PROTEIN', 181883),
(238158, 'PTHR34453:SF5', NULL, NULL, NULL, NULL, 'BNAC02G01190D PROTEIN', 181884),
(238159, 'PTHR10410:SF34', NULL, NULL, NULL, NULL, 'LYS-63-SPECIFIC DEUBIQUITINASE BRCC36', 181885),
(238160, 'PTHR11010:SF78', NULL, NULL, NULL, NULL, 'PRO-X CARBOXYPEPTIDASE, PUTATIVE-RELATED', 181886),
(238161, 'PTHR14392', NULL, NULL, NULL, NULL, 'NIBAN FAMILY MEMBER', 181887),
(238162, 'PTHR45810:SF14', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE CENTROMERIC PROTEIN A', 181888),
(238163, 'PTHR43195:SF2', NULL, NULL, NULL, NULL, 'TRANSKETOLASE-LIKE PROTEIN 1', 181889),
(238164, 'PTHR47662:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181890),
(238165, 'PTHR33935:SF15', NULL, NULL, NULL, NULL, 'OS10G0148100 PROTEIN', 181891),
(238166, 'PTHR24248:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 101-RELATED', 181892),
(238167, 'PTHR33221:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 181893),
(238168, 'PTHR19229:SF120', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 9', 181894),
(238169, 'PTHR48176:SF1', NULL, NULL, NULL, NULL, 'DDRGK DOMAIN-CONTAINING PROTEIN 1', 181895); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(238170, 'PTHR31232:SF62', NULL, NULL, NULL, NULL, 'BNAA09G06110D PROTEIN', 181896),
(238171, 'PTHR10083:SF340', NULL, NULL, NULL, NULL, 'TISSUE FACTOR PATHWAY INHIBITOR', 181897),
(238172, 'PTHR34801:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 181898),
(238173, 'PTHR11017:SF241', NULL, NULL, NULL, NULL, 'BNAA09G53220D PROTEIN', 181899),
(238174, 'PTHR45631:SF88', NULL, NULL, NULL, NULL, 'BNAA05G15170D PROTEIN', 181900),
(238175, 'PTHR11753:SF50', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', 181901),
(238176, 'PTHR34414:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181902),
(238177, 'PTHR43335:SF4', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 181903),
(238178, 'PTHR46932:SF9', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY', 181904),
(238179, 'PTHR31528', NULL, NULL, NULL, NULL, '4-AMINO-5-HYDROXYMETHYL-2-METHYLPYRIMIDINE PHOSPHATE SYNTHASE THI11-RELATED', 181905),
(238180, 'PTHR11903:SF32', NULL, NULL, NULL, NULL, 'ALPHA-DIOXYGENASE 1', 181906),
(238181, 'PTHR45635:SF7', NULL, NULL, NULL, NULL, 'ADP/ATP TRANSLOCASE 4', 181907),
(238182, 'PTHR24366:SF75', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND IMMUNOGLOBULIN LIKE DOMAINS 1', 181908),
(238183, 'PTHR32499:SF12', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 17 ISOFORM X1', 181909),
(238184, 'PTHR31374:SF132', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 181910),
(238185, 'PTHR34984:SF1', NULL, NULL, NULL, NULL, 'CARBON STORAGE REGULATOR', 181911),
(238186, 'PTHR31213:SF158', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL4-LIKE', 181912),
(238187, 'PTHR14074:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX58-RELATED', 181913),
(238188, 'PTHR44303:SF3', NULL, NULL, NULL, NULL, 'DNAJ (HSP40) HOMOLOG, SUBFAMILY C, MEMBER 16', 181914),
(238189, 'PTHR45744:SF28', NULL, NULL, NULL, NULL, 'BNAA03G46070D PROTEIN', 181915),
(238190, 'PTHR24056:SF228', NULL, NULL, NULL, NULL, 'PROTEIN IMPAIRED IN BABA-INDUCED STERILITY 1', 181916),
(238191, 'PTHR14154:SF50', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', 181917),
(238192, 'PTHR14112:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SSX6-RELATED', 181918),
(238193, 'PTHR31549:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181919),
(238194, 'PTHR35747', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 181920),
(238195, 'PTHR11863:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181921),
(238196, 'PTHR12558:SF25', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 27 HOMOLOG B-LIKE', 181922),
(238197, 'PTHR37467:SF1', NULL, NULL, NULL, NULL, 'EXPORTED CALCIUM-BINDING GLYCOPROTEIN-RELATED', 181923),
(238198, 'PTHR26453:SF98', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 181924),
(238199, 'PTHR35683:SF2', NULL, NULL, NULL, NULL, 'AGAP002273-PA', 181925),
(238200, 'PTHR11802:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181926),
(238201, 'PTHR46413:SF14', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN PROTEIN', 181927),
(238202, 'PTHR42080', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 181928),
(238203, 'PTHR35102:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181929),
(238204, 'PTHR11206:SF338', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 181930),
(238205, 'PTHR23263:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181931),
(238206, 'PTHR24296:SF39', NULL, NULL, NULL, NULL, 'OS08G0263000 PROTEIN', 181932),
(238207, 'PTHR13884:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181933),
(238208, 'PTHR34998:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181934),
(238209, 'PTHR23052', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 181935),
(238210, 'PTHR11804:SF28', NULL, NULL, NULL, NULL, 'OLIGOENDOPEPTIDASE F', 181936),
(238211, 'PTHR18959:SF99', NULL, NULL, NULL, NULL, 'CALPONIN-LIKE PROTEINS', 181937),
(238212, 'PTHR24271:SF5', NULL, NULL, NULL, NULL, 'PROTEASE, SERINE 51', 181938),
(238213, 'PTHR23268:SF40', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 4-1', 181939);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(238214, 'PTHR19443:SF3', NULL, NULL, NULL, NULL, 'GLUCOKINASE', 181940),
(238215, 'PTHR43449:SF1', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', 181941),
(238216, 'PTHR26452:SF809', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 181942),
(238217, 'PTHR11953:SF0', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP41', 181943),
(238218, 'PTHR10219:SF89', NULL, NULL, NULL, NULL, 'PROTEIN CBG20406', 181944),
(238219, 'PTHR11452:SF36', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', 181945),
(238220, 'PTHR34674:SF4', NULL, NULL, NULL, NULL, 'BNAA02G09120D PROTEIN', 181946),
(238221, 'PTHR16676:SF0', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER CD24', 181947),
(238222, 'PTHR38736:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181948),
(238223, 'PTHR34672:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181949),
(238224, 'PTHR15756:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 176A', 181950),
(238225, 'PTHR42930:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATE-SPECIFIC TRANSPORT SYSTEM ACCESSORY PROTEIN PHOU', 181951),
(238226, 'PTHR37881', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 181952),
(238227, 'PTHR46354:SF12', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-LIKE PROTEIN', 181953),
(238228, 'PTHR13869:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181954),
(238229, 'PTHR19143:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181955),
(238230, 'PTHR24128:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181956),
(238231, 'PTHR12396:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181957),
(238232, 'PTHR46407:SF2', NULL, NULL, NULL, NULL, 'OS02G0563000 PROTEIN', 181958),
(238233, 'PTHR43874:SF157', NULL, NULL, NULL, NULL, 'BNAC09G14930D PROTEIN', 181959),
(238234, 'PTHR24015:SF1013', NULL, NULL, NULL, NULL, 'OS03G0775400 PROTEIN', 181960),
(238235, 'PTHR45832:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181961),
(238236, 'PTHR11592:SF108', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 181962),
(238237, 'PTHR22904', NULL, NULL, NULL, NULL, 'TPR REPEAT CONTAINING PROTEIN', 181963),
(238238, 'PTHR37265:SF1', NULL, NULL, NULL, NULL, 'OS01G0195300 PROTEIN', 181964),
(238239, 'PTHR21596:SF62', NULL, NULL, NULL, NULL, 'PROTEIN INVOLVED IN DE NOVO 2-LIKE ISOFORM X1', 181965),
(238240, 'PTHR33044:SF27', NULL, NULL, NULL, NULL, 'OS03G0192600 PROTEIN', 181966),
(238241, 'PTHR36710:SF4', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN PROTEIN', 181967),
(238242, 'PTHR35000', NULL, NULL, NULL, NULL, 'MUCIN MUC17, PUTATIVE-RELATED-RELATED', 181968),
(238243, 'PTHR31442:SF17', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR26', 181969),
(238244, 'PTHR45619:SF34', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-4 CATALYTIC SUBUNIT', 181970),
(238245, 'PTHR11257:SF11', NULL, NULL, NULL, NULL, 'CHEMOSENSORY PROTEIN 17', 181971),
(238246, 'PTHR10791:SF154', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 181972),
(238247, 'PTHR21715:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 181973),
(238248, 'PTHR13878:SF117', NULL, NULL, NULL, NULL, 'OS08G0519100 PROTEIN', 181974),
(238249, 'PTHR24083:SF87', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 181975),
(238250, 'PTHR31176:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG12635', 181976),
(238251, 'PTHR33730:SF12', NULL, NULL, NULL, NULL, 'OS01G0704901 PROTEIN', 181977),
(238252, 'PTHR10809', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN-ASSOCIATED PROTEIN', 181978),
(238253, 'PTHR24029', NULL, NULL, NULL, NULL, 'UVRABC SYSTEM PROTEIN B', 181979),
(238254, 'PTHR48049:SF23', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71D1-RELATED', 181980),
(238255, 'PTHR33167:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 181981),
(238256, 'PTHR18839:SF0', NULL, NULL, NULL, NULL, 'SI:CH211-153L6.6-RELATED', 181982),
(238257, 'PTHR31602:SF72', NULL, NULL, NULL, NULL, 'WRC DOMAIN, GROWTH-REGULATING FACTOR-RELATED', 181983),
(238258, 'PTHR14499:SF77', NULL, NULL, NULL, NULL, 'OS02G0612700 PROTEIN', 181984),
(238259, 'PTHR33748:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG20827', 181985);
INSERT INTO "PUBLIC"."MODEL" VALUES
(238260, 'PTHR33543:SF29', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN TYPE 2', 181986),
(238261, 'PTHR46226:SF8', NULL, NULL, NULL, NULL, 'BNAA08G00250D PROTEIN', 181987),
(238262, 'PTHR22552:SF23', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED', 181988),
(238263, 'PTHR45817:SF4', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE-LIKE-RELATED', 181989),
(238264, 'PTHR37705:SF1', NULL, NULL, NULL, NULL, 'BNAA08G11710D PROTEIN', 181990),
(238265, 'PTHR33349:SF12', NULL, NULL, NULL, NULL, 'INNER CENTROMERE PROTEIN A-LIKE', 181991),
(238266, 'PTHR47979:SF1', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1G', 181992),
(238267, 'PTHR42861:SF8', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE SARCOPLASMIC/ENDOPLASMIC RETICULUM TYPE', 181993),
(238268, 'PTHR35114', NULL, NULL, NULL, NULL, 'CYTOCHROME OXIDASE COMPLEX ASSEMBLY PROTEIN', 181994),
(238269, 'PTHR21297:SF2', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES IV AND V SUBUNIT 4', 181995),
(238270, 'PTHR10825:SF72', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN PSC-RELATED', 181996),
(238271, 'PTHR45891', NULL, NULL, NULL, NULL, 'ZINC FINGER HOMEOBOX PROTEIN', 181997),
(238272, 'PTHR30603:SF15', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR RPOS', 181998),
(238273, 'PTHR10288:SF292', NULL, NULL, NULL, NULL, 'BNAA05G28360D PROTEIN', 181999),
(238274, 'PTHR43139:SF57', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', 182000),
(238275, 'PTHR10209:SF766', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 2', 182001),
(238276, 'PTHR38453:SF3', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 182002),
(238277, 'PTHR12461:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182003),
(238278, 'PTHR31627:SF39', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-15', 182004),
(238279, 'PTHR45764:SF36', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR-LIKE PROTEIN', 182005),
(238280, 'PTHR33219:SF11', NULL, NULL, NULL, NULL, 'PROTEIN COFACTOR ASSEMBLY OF COMPLEX C SUBUNIT B CCB3, CHLOROPLASTIC', 182006),
(238281, 'PTHR10909:SF304', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACYL-COENZYME A OXIDASE 1.5-RELATED', 182007),
(238282, 'PTHR24282:SF211', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP13A1-RELATED', 182008),
(238283, 'PTHR12247:SF132', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN SCM', 182009),
(238284, 'PTHR15615:SF97', NULL, NULL, NULL, NULL, 'CYCLIN-U4-3', 182010),
(238285, 'PTHR31137', NULL, NULL, NULL, NULL, 'PROTEIN PSIB-RELATED-RELATED', 182011),
(238286, 'PTHR31083:SF23', NULL, NULL, NULL, NULL, 'PROTEIN UPSTREAM OF FLC-LIKE', 182012),
(238287, 'PTHR34358:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 182013),
(238288, 'PTHR18945:SF827', NULL, NULL, NULL, NULL, 'PROTEIN CBR-AVR-14', 182014),
(238289, 'PTHR24092:SF59', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 182015),
(238290, 'PTHR18934:SF88', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE DHX32-RELATED', 182016),
(238291, 'PTHR47979:SF6', NULL, NULL, NULL, NULL, 'RAB11A, MEMBER RAS ONCOGENE FAMILY,-LIKE', 182017),
(238292, 'PTHR22792', NULL, NULL, NULL, NULL, 'LUPUS LA PROTEIN-RELATED', 182018),
(238293, 'PTHR43570:SF28', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 182019),
(238294, 'PTHR10223:SF12', NULL, NULL, NULL, NULL, 'BNAA06G37370D PROTEIN', 182020),
(238295, 'PTHR31642:SF218', NULL, NULL, NULL, NULL, '(Z)-3-HEXEN-1-OL ACETYLTRANSFERASE', 182021),
(238296, 'PTHR11699:SF293', NULL, NULL, NULL, NULL, 'RETINAL DEHYDROGENASE 1-RELATED', 182022),
(238297, 'PTHR12700:SF21', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', 182023),
(238298, 'PTHR46162:SF32', NULL, NULL, NULL, NULL, 'MATH DOMAIN CONTAINING PROTEIN', 182024),
(238299, 'PTHR11599:SF152', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 182025),
(238300, 'PTHR38420:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 182026),
(238301, 'PTHR28588', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 5', 182027),
(238302, 'PTHR46128:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182028);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(238303, 'PTHR45675:SF59', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB48', 182029),
(238304, 'PTHR24060:SF155', NULL, NULL, NULL, NULL, 'MANGETOUT, ISOFORM G', 182030),
(238305, 'PTHR24291:SF119', NULL, NULL, NULL, NULL, 'SI:CH211-113J14.1', 182031),
(238306, 'PTHR46610:SF23', NULL, NULL, NULL, NULL, 'OS01G0183900 PROTEIN', 182032),
(238307, 'PTHR31662:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182033),
(238308, 'PTHR13445:SF6', NULL, NULL, NULL, NULL, 'BNAA05G35050D PROTEIN', 182034),
(238309, 'PTHR20910', NULL, NULL, NULL, NULL, 'AGAP001623-PA', 182035),
(238310, 'PTHR47993:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182036),
(238311, 'PTHR24377:SF653', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 708', 182037),
(238312, 'PTHR13372', NULL, NULL, NULL, NULL, 'GEMININ', 182038),
(238313, 'PTHR12027:SF93', NULL, NULL, NULL, NULL, 'PROTEIN WNT-2B', 182039),
(238314, 'PTHR27001:SF93', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN CCR3-RELATED', 182040),
(238315, 'PTHR31509:SF4', NULL, NULL, NULL, NULL, 'OS12G0164600 PROTEIN', 182041),
(238316, 'PTHR36856:SF1', NULL, NULL, NULL, NULL, 'OS07G0175200 PROTEIN', 182042),
(238317, 'PTHR16223:SF247', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', 182043),
(238318, 'PTHR10257:SF80', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 56 KDA REGULATORY SUBUNIT EPSILON ISOFORM', 182044),
(238319, 'PTHR34216:SF12', NULL, NULL, NULL, NULL, 'CARBOHYDRATE ESTERASE FAMILY 4', 182045),
(238320, 'PTHR24068:SF315', NULL, NULL, NULL, NULL, 'NEDD8-CONJUGATING ENZYME UBC12', 182046),
(238321, 'PTHR12062:SF14', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE C', 182047),
(238322, 'PTHR18847:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR CAP-BINDING PROTEIN SUBUNIT 2-LIKE', 182048),
(238323, 'PTHR33095:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182049),
(238324, 'PTHR33143:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182050),
(238325, 'PTHR11255:SF80', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE ETA', 182051),
(238326, 'PTHR23155:SF1081', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182052),
(238327, 'PTHR23320:SF74', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 3', 182053),
(238328, 'PTHR31673:SF32', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', 182054),
(238329, 'PTHR26453:SF617', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2H2', 182055),
(238330, 'PTHR31901:SF37', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6', 182056),
(238331, 'PTHR23172:SF76', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE', 182057),
(238332, 'PTHR33676:SF20', NULL, NULL, NULL, NULL, 'BNAA08G11690D PROTEIN', 182058),
(238333, 'PTHR43655:SF11', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 182059),
(238334, 'PTHR24123:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182060),
(238335, 'PTHR31089:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER, DOF-TYPE, CUPREDOXIN-RELATED', 182061),
(238336, 'PTHR31583:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182062),
(238337, 'PTHR47654:SF2', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 182063),
(238338, 'PTHR10981', NULL, NULL, NULL, NULL, 'BATTENIN', 182064),
(238339, 'PTHR24414:SF160', NULL, NULL, NULL, NULL, 'BNACNNG49360D PROTEIN', 182065),
(238340, 'PTHR47705:SF1', NULL, NULL, NULL, NULL, 'AGAP000321-PA', 182066),
(238341, 'PTHR11132:SF405', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', 182067),
(238342, 'PTHR46611:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 182068),
(238343, 'PTHR48021:SF26', NULL, NULL, NULL, NULL, 'TONOPLAST MONOSACCHARIDE TRANSPORTER 2', 182069),
(238344, 'PTHR35312', NULL, NULL, NULL, NULL, 'OS07G0641800 PROTEIN', 182070),
(238345, 'PTHR47101', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 5, CHLOROPLASTIC', 182071),
(238346, 'PTHR12537:SF112', NULL, NULL, NULL, NULL, 'FEM-3 MRNA-BINDING FACTOR 1-RELATED', 182072);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(238347, 'PTHR19970:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182073),
(238348, 'PTHR11662:SF432', NULL, NULL, NULL, NULL, 'SI:CH1073-513E17.1', 182074),
(238349, 'PTHR24134:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182075),
(238350, 'PTHR19211:SF115', NULL, NULL, NULL, NULL, 'BNAA06G39310D PROTEIN', 182076),
(238351, 'PTHR13293:SF6', NULL, NULL, NULL, NULL, 'AKIRIN-RELATED', 182077),
(238352, 'PTHR47762:SF2', NULL, NULL, NULL, NULL, 'OSJNBB0079B02.4 PROTEIN', 182078),
(238353, 'PTHR40129:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182079),
(238354, 'PTHR34123:SF3', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 182080),
(238355, 'PTHR32054:SF27', NULL, NULL, NULL, NULL, 'BNAC09G13510D PROTEIN', 182081),
(238356, 'PTHR36922', NULL, NULL, NULL, NULL, 'BLL2446 PROTEIN', 182082),
(238357, 'PTHR12027:SF78', NULL, NULL, NULL, NULL, 'PROTEIN WNT-7A', 182083),
(238358, 'PTHR19305:SF22', NULL, NULL, NULL, NULL, 'SYNAPTOSOMAL-ASSOCIATED PROTEIN', 182084),
(238359, 'PTHR27008:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182085),
(238360, 'PTHR23056:SF88', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 5', 182086),
(238361, 'PTHR31080:SF239', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 182087),
(238362, 'PTHR19919', NULL, NULL, NULL, NULL, 'WD REPEAT CONTAINING PROTEIN', 182088),
(238363, 'PTHR11489:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', 182089),
(238364, 'PTHR12289:SF38', NULL, NULL, NULL, NULL, 'METAXIN-2', 182090),
(238365, 'PTHR10217:SF634', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, SUBFAMILY H (EAG-RELATED), MEMBER 1B', 182091),
(238366, 'PTHR46855:SF5', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 26-LIKE', 182092),
(238367, 'PTHR30487', NULL, NULL, NULL, NULL, 'TYPE 4 PREPILIN-LIKE PROTEINS LEADER PEPTIDE-PROCESSING ENZYME', 182093),
(238368, 'PTHR37265:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182094),
(238369, 'PTHR48005:SF13', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT KINASE 2', 182095),
(238370, 'PTHR13302', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX COMPONENT 3', 182096),
(238371, 'PTHR30537:SF69', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR TRPI', 182097),
(238372, 'PTHR44329:SF160', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', 182098),
(238373, 'PTHR47999:SF20', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 182099),
(238374, 'PTHR31614', NULL, NULL, NULL, NULL, 'PROTEIN DOWNSTREAM OF FLC-RELATED', 182100),
(238375, 'PTHR48017:SF162', NULL, NULL, NULL, NULL, 'OS01G0908600 PROTEIN', 182101),
(238376, 'PTHR24070', NULL, NULL, NULL, NULL, 'RAS, DI-RAS, AND RHEB FAMILY MEMBERS OF SMALL GTPASE SUPERFAMILY', 182102),
(238377, 'PTHR42244:SF2', NULL, NULL, NULL, NULL, 'ANTITOXIN VAPB3-RELATED', 182103),
(238378, 'PTHR38926:SF29', NULL, NULL, NULL, NULL, 'BNAA03G57200D PROTEIN', 182104),
(238379, 'PTHR11863:SF165', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-LIKE', 182105),
(238380, 'PTHR23147:SF179', NULL, NULL, NULL, NULL, 'BNAC03G70430D PROTEIN', 182106),
(238381, 'PTHR31111:SF29', NULL, NULL, NULL, NULL, 'BNAC07G32830D PROTEIN', 182107),
(238382, 'PTHR44307', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE METHYLTRANSFERASE', 182108),
(238383, 'PTHR31889:SF56', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 9-RELATED', 182109),
(238384, 'PTHR34280:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182110),
(238385, 'PTHR43878:SF1', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE RELATED PROTEIN', 182111),
(238386, 'PTHR48175:SF1', NULL, NULL, NULL, NULL, 'OS04G0581700 PROTEIN', 182112),
(238387, 'PTHR47183:SF1', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE CYTIDYLYLTRANSFERASE', 182113),
(238388, 'PTHR11183:SF137', NULL, NULL, NULL, NULL, 'BNACNNG06520D PROTEIN', 182114),
(238389, 'PTHR19325:SF526', NULL, NULL, NULL, NULL, 'LOCOMOTION-RELATED PROTEIN HIKARU GENKI', 182115),
(238390, 'PTHR10426:SF105', NULL, NULL, NULL, NULL, 'STRICTOSIDINE SYNTHASE-RELATED', 182116),
(238391, 'PTHR10969:SF81', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', 182117);
INSERT INTO "PUBLIC"."MODEL" VALUES
(238392, 'PTHR24349:SF356', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182118),
(238393, 'PTHR19297:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182119),
(238394, 'PTHR12448:SF2', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT EPSILON-LIKE PROTEIN, MITOCHONDRIAL', 182120),
(238395, 'PTHR35277', NULL, NULL, NULL, NULL, 'OS09G0363700 PROTEIN', 182121),
(238396, 'PTHR12372:SF4', NULL, NULL, NULL, NULL, 'PECANEX-LIKE PROTEIN 3', 182122),
(238397, 'PTHR47358:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HOS1', 182123),
(238398, 'PTHR11117:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP/GDP-FORMING] SUBUNIT ALPHA, MITOCHONDRIAL', 182124),
(238399, 'PTHR24072:SF342', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHO5', 182125),
(238400, 'PTHR24349:SF367', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CG17528', 182126),
(238401, 'PTHR13437', NULL, NULL, NULL, NULL, 'NUCLEOPORIN P58/P45  NUCLEOPORIN-LIKE PROTEIN 1', 182127),
(238402, 'PTHR17408', NULL, NULL, NULL, NULL, 'HISTONE RNA HAIRPIN-BINDING PROTEIN', 182128),
(238403, 'PTHR33279', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN YEDF-RELATED', 182129),
(238404, 'PTHR10366:SF297', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT 3-KETO-STEROID REDUCTASE HSD3B4-RELATED', 182130),
(238405, 'PTHR10075:SF63', NULL, NULL, NULL, NULL, 'CONTACTIN-4', 182131),
(238406, 'PTHR11071:SF443', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE H', 182132),
(238407, 'PTHR16223:SF243', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182133),
(238408, 'PTHR26452:SF407', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AC1', 182134),
(238409, 'PTHR10151:SF21', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE FAMILY MEMBER 2', 182135),
(238410, 'PTHR13822:SF10', NULL, NULL, NULL, NULL, 'ATP SYNTHASE EPSILON CHAIN, CHLOROPLASTIC', 182136),
(238411, 'PTHR44042:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182137),
(238412, 'PTHR10369:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36A-LIKE', 182138),
(238413, 'PTHR10795:SF691', NULL, NULL, NULL, NULL, 'BNAC02G16650D PROTEIN', 182139),
(238414, 'PTHR10288:SF162', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN NOVA-2', 182140),
(238415, 'PTHR31286:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182141),
(238416, 'PTHR11814:SF75', NULL, NULL, NULL, NULL, 'ANION EXCHANGE TRANSPORTER', 182142),
(238417, 'PTHR23349:SF64', NULL, NULL, NULL, NULL, 'TWIST-RELATED PROTEIN 1', 182143),
(238418, 'PTHR11205', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S7', 182144),
(238419, 'PTHR11586:SF40', NULL, NULL, NULL, NULL, 'METHIONYL-TRN SYNTHETASE', 182145),
(238420, 'PTHR21561', NULL, NULL, NULL, NULL, 'INO80 COMPLEX SUBUNIT B', 182146),
(238421, 'PTHR43205:SF58', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT OXIDOREDUCTASE-RELATED', 182147),
(238422, 'PTHR48041:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PERMEASE-RELATED', 182148),
(238423, 'PTHR32134:SF107', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN DDB_G0289381-RELATED', 182149),
(238424, 'PTHR46407:SF12', NULL, NULL, NULL, NULL, 'BNAC06G40570D PROTEIN', 182150),
(238425, 'PTHR31238:SF28', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 3-2-RELATED', 182151),
(238426, 'PTHR31065:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182152),
(238427, 'PTHR42877', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 182153),
(238428, 'PTHR27005:SF202', NULL, NULL, NULL, NULL, 'OS09G0339300 PROTEIN', 182154),
(238429, 'PTHR47926:SF109', NULL, NULL, NULL, NULL, 'BNAA06G32750D PROTEIN', 182155),
(238430, 'PTHR33044:SF22', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN-LIKE 1', 182156),
(238431, 'PTHR43183', NULL, NULL, NULL, NULL, 'HYPOTHETICAL DIHYDROXYACID DEHYDRATASE (EUROFUNG)-RELATED', 182157),
(238432, 'PTHR31235:SF87', NULL, NULL, NULL, NULL, 'PEROXIDASE 25', 182158),
(238433, 'PTHR45772:SF9', NULL, NULL, NULL, NULL, 'CONSERVED COMPONENT OF ABC TRANSPORTER FOR NATURAL AMINO ACIDS', 182159),
(238434, 'PTHR33180:SF14', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP47 REACTION CENTER PROTEIN', 182160);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(238435, 'PTHR27007:SF272', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.9', 182161),
(238436, 'PTHR24015:SF97', NULL, NULL, NULL, NULL, 'OS03G0235200 PROTEIN', 182162),
(238437, 'PTHR46311:SF3', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 8', 182163),
(238438, 'PTHR24298:SF691', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D7', 182164),
(238439, 'PTHR11003:SF76', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 182165),
(238440, 'PTHR33033:SF64', NULL, NULL, NULL, NULL, 'RNASE H FAMILY PROTEIN', 182166),
(238441, 'PTHR11606:SF28', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE', 182167),
(238442, 'PTHR46006:SF2', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 3', 182168),
(238443, 'PTHR32361:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 32 SUPERFAMILY (AFU_ORTHOLOGUE AFUA_6G05000)', 182169),
(238444, 'PTHR16125:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 74B', 182170),
(238445, 'PTHR11699:SF221', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE, CYTOSOLIC 1', 182171),
(238446, 'PTHR35632:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182172),
(238447, 'PTHR40201:SF1', NULL, NULL, NULL, NULL, 'OSMIOPHILIC BODY PROTEIN', 182173),
(238448, 'PTHR35069:SF1', NULL, NULL, NULL, NULL, 'PROTEIN C9ORF135', 182174),
(238449, 'PTHR35014:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG25495', 182175),
(238450, 'PTHR48001:SF122', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 182176),
(238451, 'PTHR13817:SF99', NULL, NULL, NULL, NULL, 'PROTEIN CBR-UNC-40', 182177),
(238452, 'PTHR23050:SF444', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', 182178),
(238453, 'PTHR32227:SF303', NULL, NULL, NULL, NULL, 'BETA-1, 3-GLUCANASE-LIKE PROTEIN', 182179),
(238454, 'PTHR12155:SF40', NULL, NULL, NULL, NULL, 'SCHLAFEN 1-RELATED', 182180),
(238455, 'PTHR45991:SF1', NULL, NULL, NULL, NULL, 'PACHYTENE CHECKPOINT PROTEIN 2 HOMOLOG', 182181),
(238456, 'PTHR23105:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182182),
(238457, 'PTHR45616:SF25', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 8', 182183),
(238458, 'PTHR22957:SF570', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 2A', 182184),
(238459, 'PTHR16451:SF12', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DYNAMICS PROTEIN MID51', 182185),
(238460, 'PTHR16223:SF237', NULL, NULL, NULL, NULL, 'OJ990528_30.9 PROTEIN', 182186),
(238461, 'PTHR31674:SF49', NULL, NULL, NULL, NULL, 'BNAA10G28180D PROTEIN', 182187),
(238462, 'PTHR11782:SF37', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 7', 182188),
(238463, 'PTHR10352:SF34', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', 182189),
(238464, 'PTHR22811:SF77', NULL, NULL, NULL, NULL, 'PROTEIN CBG24737', 182190),
(238465, 'PTHR24075:SF16', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', 182191),
(238466, 'PTHR32295:SF217', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', 182192),
(238467, 'PTHR10182', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 39-RELATED', 182193),
(238468, 'PTHR31551:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 12', 182194),
(238469, 'PTHR47976:SF65', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-5', 182195),
(238470, 'PTHR23356', NULL, NULL, NULL, NULL, 'DPY30-RELATED', 182196),
(238471, 'PTHR32285:SF173', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 40', 182197),
(238472, 'PTHR11093:SF2', NULL, NULL, NULL, NULL, 'RUVB-LIKE 2', 182198),
(238473, 'PTHR30540:SF120', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', 182199),
(238474, 'PTHR33728:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182200),
(238475, 'PTHR31479:SF2', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 182201),
(238476, 'PTHR11850:SF322', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN BEL1 HOMOLOG', 182202),
(238477, 'PTHR32448:SF91', NULL, NULL, NULL, NULL, 'TETRAHYDROCANNABINOLIC ACID SYNTHASE-LIKE', 182203),
(238478, 'PTHR14470:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182204);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(238479, 'PTHR48012:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE OSR1', 182205),
(238480, 'PTHR46458:SF10', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', 182206),
(238481, 'PTHR24416:SF357', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE LMTK2', 182207),
(238482, 'PTHR11486:SF31', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 4', 182208),
(238483, 'PTHR47991:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182209),
(238484, 'PTHR12603:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182210),
(238485, 'PTHR43199:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE PROENZYME', 182211),
(238486, 'PTHR33676:SF3', NULL, NULL, NULL, NULL, 'COLD REGULATED PROTEIN 27', 182212),
(238487, 'PTHR22881:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182213),
(238488, 'PTHR31525:SF4', NULL, NULL, NULL, NULL, 'HEME TRANSPORTER HRG-5', 182214),
(238489, 'PTHR34379:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 182215),
(238490, 'PTHR31669:SF162', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5', 182216),
(238491, 'PTHR23323:SF27', NULL, NULL, NULL, NULL, 'BNACNNG33440D PROTEIN', 182217),
(238492, 'PTHR48021:SF65', NULL, NULL, NULL, NULL, 'BNAA06G14680D PROTEIN', 182218),
(238493, 'PTHR24126:SF24', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 10', 182219),
(238494, 'PTHR30588:SF0', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT SYSTEM 2 CARRIER PROTEIN', 182220),
(238495, 'PTHR11588:SF357', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 182221),
(238496, 'PTHR45693:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGAL8', 182222),
(238497, 'PTHR27001:SF886', NULL, NULL, NULL, NULL, 'OS01G0602800 PROTEIN', 182223),
(238498, 'PTHR11639:SF4', NULL, NULL, NULL, NULL, 'PROTEIN S100-A14', 182224),
(238499, 'PTHR31339:SF77', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 28, PECTIN LYASE FOLD/VIRULENCE FACTOR-RELATED', 182225),
(238500, 'PTHR11504', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE POLYPEPTIDE VIA', 182226),
(238501, 'PTHR10366:SF712', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DTDP-4-DEHYDRORHAMNOSE 3,5-EPIMERASE/DTDP-4-DEHYDRORHAMNOSE REDUCTASE', 182227),
(238502, 'PTHR21453:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG20893', 182228),
(238503, 'PTHR45676:SF92', NULL, NULL, NULL, NULL, 'BNAANNG21490D PROTEIN', 182229),
(238504, 'PTHR13743:SF111', NULL, NULL, NULL, NULL, 'NEUROBEACHIN-LIKE PROTEIN 2', 182230),
(238505, 'PTHR13420:SF7', NULL, NULL, NULL, NULL, 'UPF0235 PROTEIN C15ORF40', 182231),
(238506, 'PTHR46045:SF17', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', 182232),
(238507, 'PTHR10815:SF14', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL TRANSCRIPTIONAL ACTIVATOR/DNA REPAIR ENZYME ADA', 182233),
(238508, 'PTHR24559:SF258', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON 17.6-LIKE PROTEIN', 182234),
(238509, 'PTHR24377:SF854', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 534', 182235),
(238510, 'PTHR12922:SF9', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS PROTEIN COQ4 HOMOLOG, MITOCHONDRIAL', 182236),
(238511, 'PTHR46291:SF1', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT DOMAIN-CONTAINING PROTEIN 4D', 182237),
(238512, 'PTHR11969:SF26', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX-LIKE PROTEIN', 182238),
(238513, 'PTHR12136:SF106', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2-LIKE', 182239),
(238514, 'PTHR26379:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182240),
(238515, 'PTHR33781:SF12', NULL, NULL, NULL, NULL, 'BNAA06G33930D PROTEIN', 182241),
(238516, 'PTHR22990:SF20', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 11', 182242),
(238517, 'PTHR11567:SF193', NULL, NULL, NULL, NULL, 'RH44874P', 182243),
(238518, 'PTHR45722:SF17', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-1-RELATED', 182244),
(238519, 'PTHR31561:SF110', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 182245),
(238520, 'PTHR34480:SF12', NULL, NULL, NULL, NULL, 'OS01G0961600 PROTEIN', 182246),
(238521, 'PTHR15688:SF1', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN 1', 182247);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(238522, 'PTHR37378', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 182248),
(238523, 'PTHR21659:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG05141', 182249),
(238524, 'PTHR47959', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE RHLE-RELATED', 182250),
(238525, 'PTHR22891:SF158', NULL, NULL, NULL, NULL, 'PAZ DOMAIN-CONTAINING PROTEIN-RELATED', 182251),
(238526, 'PTHR43066:SF16', NULL, NULL, NULL, NULL, 'RHOMBOID DOMAIN-CONTAINING PROTEIN 3', 182252),
(238527, 'PTHR24286:SF313', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 182253),
(238528, 'PTHR12341:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182254),
(238529, 'PTHR46285:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 45A-LIKE', 182255),
(238530, 'PTHR33672:SF21', NULL, NULL, NULL, NULL, 'BNAA05G08980D PROTEIN', 182256),
(238531, 'PTHR23189:SF43', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 15', 182257),
(238532, 'PTHR31731:SF86', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 182258),
(238533, 'PTHR32063:SF8', NULL, NULL, NULL, NULL, 'RAGC PROTEIN', 182259),
(238534, 'PTHR21319:SF35', NULL, NULL, NULL, NULL, 'CHY ZINC FINGER PROTEIN', 182260),
(238535, 'PTHR14068', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3  EIF3 -RELATED', 182261),
(238536, 'PTHR11206:SF355', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 182262),
(238537, 'PTHR12789', NULL, NULL, NULL, NULL, 'DENSITY-REGULATED PROTEIN HOMOLOG', 182263),
(238538, 'PTHR42048:SF1', NULL, NULL, NULL, NULL, 'ARS-BINDING PROTEIN 2', 182264),
(238539, 'PTHR43472:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINE--GLYCINE LIGASE, CHLOROPLASTIC', 182265),
(238540, 'PTHR46669', NULL, NULL, NULL, NULL, 'LEUCINE-RICH PPR MOTIF-CONTAINING PROTEIN, MITOCHONDRIAL', 182266),
(238541, 'PTHR31989:SF363', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 30', 182267),
(238542, 'PTHR19297:SF124', NULL, NULL, NULL, NULL, 'GLY-16-RELATED', 182268),
(238543, 'PTHR21666:SF269', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE-RELATED', 182269),
(238544, 'PTHR16650:SF6', NULL, NULL, NULL, NULL, 'GH21622P', 182270),
(238545, 'PTHR46807:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF3', 182271),
(238546, 'PTHR24237:SF40', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 141-RELATED', 182272),
(238547, 'PTHR11999:SF70', NULL, NULL, NULL, NULL, 'AROMATIC-L-AMINO-ACID DECARBOXYLASE', 182273),
(238548, 'PTHR47990:SF14', NULL, NULL, NULL, NULL, 'ISOPENICILLIN N SYNTHASE-RELATED', 182274),
(238549, 'PTHR33630:SF13', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', 182275),
(238550, 'PTHR14083:SF0', NULL, NULL, NULL, NULL, 'YIP1-INTERACTING FACTOR HOMOLOG', 182276),
(238551, 'PTHR38818:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM27A/B/C', 182277),
(238552, 'PTHR14758:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM110A', 182278),
(238553, 'PTHR11461:SF133', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR A3N', 182279),
(238554, 'PTHR33526:SF4', NULL, NULL, NULL, NULL, 'OS07G0123800 PROTEIN', 182280),
(238555, 'PTHR47932:SF4', NULL, NULL, NULL, NULL, 'OS03G0309800 PROTEIN', 182281),
(238556, 'PTHR11506:SF27', NULL, NULL, NULL, NULL, 'LYSOSOME-ASSOCIATED MEMBRANE GLYCOPROTEIN 1', 182282),
(238557, 'PTHR13617:SF14', NULL, NULL, NULL, NULL, 'PROTEIN ABHD18', 182283),
(238558, 'PTHR10688:SF9', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', 182284),
(238559, 'PTHR21646:SF59', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 182285),
(238560, 'PTHR19359:SF115', NULL, NULL, NULL, NULL, 'PROTEIN TRIGALACTOSYLDIACYLGLYCEROL 5, CHLOROPLASTIC', 182286),
(238561, 'PTHR15241:SF335', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 4, MITOCHONDRIAL-LIKE', 182287),
(238562, 'PTHR34212:SF5', NULL, NULL, NULL, NULL, 'BNAC03G74770D PROTEIN', 182288),
(238563, 'PTHR33286:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182289),
(238564, 'PTHR32133:SF326', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182290),
(238565, 'PTHR24064:SF520', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PROTEIN11', 182291);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(238566, 'PTHR12154', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', 182292),
(238567, 'PTHR47761:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 182293),
(238568, 'PTHR33124:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IBH1', 182294),
(238569, 'PTHR10492:SF76', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 182295),
(238570, 'PTHR10414:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182296),
(238571, 'PTHR11614:SF168', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE', 182297),
(238572, 'PTHR24248:SF155', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR', 182298),
(238573, 'PTHR33305:SF46', NULL, NULL, NULL, NULL, 'BNACNNG68230D PROTEIN', 182299),
(238574, 'PTHR13301:SF221', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', 182300),
(238575, 'PTHR32263:SF21', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 182301),
(238576, 'PTHR24055:SF490', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182302),
(238577, 'PTHR42811:SF9', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE 5-RELATED', 182303),
(238578, 'PTHR46192:SF11', NULL, NULL, NULL, NULL, 'OS06G0109000 PROTEIN', 182304),
(238579, 'PTHR23500:SF564', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN HEX6, PUTATIVE, EXPRESSED-RELATED', 182305),
(238580, 'PTHR31284:SF28', NULL, NULL, NULL, NULL, 'VEGETATIVE STORAGE PROTEIN 2', 182306),
(238581, 'PTHR24068:SF347', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-23 KDA-LIKE', 182307),
(238582, 'PTHR11362:SF85', NULL, NULL, NULL, NULL, 'INHIBITOR (TFS1), PUTATIVE (AFU_ORTHOLOGUE AFUA_4G08120)-RELATED', 182308),
(238583, 'PTHR11475', NULL, NULL, NULL, NULL, 'OXIDASE/PEROXIDASE', 182309),
(238584, 'PTHR21596:SF49', NULL, NULL, NULL, NULL, 'OS01G0147400 PROTEIN', 182310),
(238585, 'PTHR48112:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182311),
(238586, 'PTHR48041:SF78', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER EXPRESSED IN TRACHEA, ISOFORM A-RELATED', 182312),
(238587, 'PTHR24377:SF621', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 324A', 182313),
(238588, 'PTHR19876:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG13231', 182314),
(238589, 'PTHR31852:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182315),
(238590, 'PTHR10366:SF680', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 2-LIKE', 182316),
(238591, 'PTHR12982:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT C', 182317),
(238592, 'PTHR48107:SF19', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE', 182318),
(238593, 'PTHR11909:SF18', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM EPSILON', 182319),
(238594, 'PTHR43112:SF3', NULL, NULL, NULL, NULL, 'FERREDOXIN-2, CHLOROPLASTIC', 182320),
(238595, 'PTHR31490:SF69', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 10 PROTEIN', 182321),
(238596, 'PTHR22952:SF439', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 12-LIKE ISOFORM X1', 182322),
(238597, 'PTHR28606:SF1', NULL, NULL, NULL, NULL, 'INTERLEUKIN-34', 182323),
(238598, 'PTHR12369:SF19', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE N-ACETYLGALACTOSAMINYLTRANSFERASE 1', 182324),
(238599, 'PTHR11972:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182325),
(238600, 'PTHR43014:SF2', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', 182326),
(238601, 'PTHR13620:SF82', NULL, NULL, NULL, NULL, 'BNAA09G39800D PROTEIN', 182327),
(238602, 'PTHR11575:SF22', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 182328),
(238603, 'PTHR11214:SF115', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 182329),
(238604, 'PTHR45080:SF19', NULL, NULL, NULL, NULL, 'KLINGON', 182330),
(238605, 'PTHR32468:SF122', NULL, NULL, NULL, NULL, 'OS03G0828600 PROTEIN', 182331),
(238606, 'PTHR33103:SF43', NULL, NULL, NULL, NULL, 'DUF674 FAMILY PROTEIN', 182332),
(238607, 'PTHR10168:SF213', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C13', 182333),
(238608, 'PTHR18959:SF41', NULL, NULL, NULL, NULL, 'TRANSGELIN-2', 182334),
(238609, 'PTHR46322:SF1', NULL, NULL, NULL, NULL, 'PUROMYCIN-SENSITIVE AMINOPEPTIDASE', 182335),
(238610, 'PTHR47116', NULL, NULL, NULL, NULL, 'PHLOEM FILAMENT PROTEIN', 182336);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(238611, 'PTHR30472:SF18', NULL, NULL, NULL, NULL, 'IRON(III) DICITRATE ABC TRANSPORTER,PERMEASE PROTEIN-RELATED', 182337),
(238612, 'PTHR21290:SF48', NULL, NULL, NULL, NULL, 'OS02G0543100 PROTEIN', 182338),
(238613, 'PTHR43591:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182339),
(238614, 'PTHR31623:SF43', NULL, NULL, NULL, NULL, 'ACETYL-COA:BENZYLALCOHOL ACETYLTRANFERASE-LIKE PROTEIN', 182340),
(238615, 'PTHR10288:SF294', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 14', 182341),
(238616, 'PTHR24361:SF759', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE', 182342),
(238617, 'PTHR13286', NULL, NULL, NULL, NULL, 'SAP30', 182343),
(238618, 'PTHR37969:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07421', 182344),
(238619, 'PTHR24298', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE-RELATED', 182345),
(238620, 'PTHR12223:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182346),
(238621, 'PTHR45007:SF1', NULL, NULL, NULL, NULL, 'CARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G07570)-RELATED', 182347),
(238622, 'PTHR23504:SF99', NULL, NULL, NULL, NULL, 'HIPPOCAMPUS ABUNDANT TRANSCRIPT 1 PROTEIN-LIKE ISOFORM X1', 182348),
(238623, 'PTHR24392:SF49', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF PRESENILIN PROTEIN 4', 182349),
(238624, 'PTHR13009:SF25', NULL, NULL, NULL, NULL, 'ACTIVATOR OF 90 KDA HEAT SHOCK ATPASE-LIKE PROTEIN', 182350),
(238625, 'PTHR48022:SF38', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G02840)-RELATED', 182351),
(238626, 'PTHR10390:SF33', NULL, NULL, NULL, NULL, 'PROTEIN OPTIX', 182352),
(238627, 'PTHR10459:SF110', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 182353),
(238628, 'PTHR34565:SF2', NULL, NULL, NULL, NULL, 'ATP SYNTHASE 6 KDA SUBUNIT', 182354),
(238629, 'PTHR28014:SF1', NULL, NULL, NULL, NULL, 'NEGATIVE REGULATOR OF RAS-CAMP PATHWAY', 182355),
(238630, 'PTHR46011:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 182356),
(238631, 'PTHR47978:SF5', NULL, NULL, NULL, NULL, 'RAB GTPASE-LIKE PROTEIN G3A', 182357),
(238632, 'PTHR18853:SF7', NULL, NULL, NULL, NULL, 'FORKHEAD-ASSOCIATED DOMAIN-CONTAINING PROTEIN 1', 182358),
(238633, 'PTHR31744:SF56', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 94-RELATED', 182359),
(238634, 'PTHR30188:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE', 182360),
(238635, 'PTHR43298:SF3', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN NORM-RELATED', 182361),
(238636, 'PTHR11877:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182362),
(238637, 'PTHR31500:SF68', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 14', 182363),
(238638, 'PTHR31066:SF45', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P FAMILY PROTEIN', 182364),
(238639, 'PTHR23031:SF15', NULL, NULL, NULL, NULL, 'LD12055P', 182365),
(238640, 'PTHR45881:SF4', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN K1', 182366),
(238641, 'PTHR11493:SF54', NULL, NULL, NULL, NULL, 'ANAEROBIC SULFITE REDUCTASE SUBUNIT C', 182367),
(238642, 'PTHR24070:SF400', NULL, NULL, NULL, NULL, 'FI21445P1', 182368),
(238643, 'PTHR31549:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182369),
(238644, 'PTHR34357:SF2', NULL, NULL, NULL, NULL, 'F7A19.14 PROTEIN-RELATED', 182370),
(238645, 'PTHR47083:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 11', 182371),
(238646, 'PTHR46033:SF17', NULL, NULL, NULL, NULL, 'BNAANNG03280D PROTEIN', 182372),
(238647, 'PTHR31314:SF54', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', 182373),
(238648, 'PTHR43790', NULL, NULL, NULL, NULL, 'CARBOHYDRATE TRANSPORT ATP-BINDING PROTEIN MG119-RELATED', 182374),
(238649, 'PTHR34724:SF2', NULL, NULL, NULL, NULL, 'OS12G0596101 PROTEIN', 182375),
(238650, 'PTHR43221:SF2', NULL, NULL, NULL, NULL, 'PROTEASE HTPX HOMOLOG', 182376),
(238651, 'PTHR22966:SF46', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 5', 182377),
(238652, 'PTHR31657:SF34', NULL, NULL, NULL, NULL, 'DRE-BINDING PROTEIN 1', 182378),
(238653, 'PTHR14969:SF40', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-DIPHOSPHATASE BCRC', 182379);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(238654, 'PTHR48015:SF8', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 182380),
(238655, 'PTHR10252:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182381),
(238656, 'PTHR24359:SF29', NULL, NULL, NULL, NULL, 'SI:DKEY-8E10.3', 182382),
(238657, 'PTHR19353', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE 2', 182383),
(238658, 'PTHR18902', NULL, NULL, NULL, NULL, 'NUCLEAR MITOTIC APPARATUS PROTEIN 1-RELATED', 182384),
(238659, 'PTHR11036:SF39', NULL, NULL, NULL, NULL, 'SEMAPHORIN-5B', 182385),
(238660, 'PTHR31707:SF276', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 182386),
(238661, 'PTHR23205', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3A SUBUNIT 2', 182387),
(238662, 'PTHR31210:SF57', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', 182388),
(238663, 'PTHR47970:SF15', NULL, NULL, NULL, NULL, '125 KDA KINESIN-RELATED PROTEIN-LIKE', 182389),
(238664, 'PTHR30413', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PERMEASE', 182390),
(238665, 'PTHR24320:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182391),
(238666, 'PTHR34948:SF6', NULL, NULL, NULL, NULL, 'TRIPHOSPHATE TUNNEL METALLOENZYME 3', 182392),
(238667, 'PTHR48240', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 182393),
(238668, 'PTHR43031:SF7', NULL, NULL, NULL, NULL, 'NITRIC OXIDE REDUCTASE FLRD-NAD(+) REDUCTASE', 182394),
(238669, 'PTHR31561:SF138', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 182395),
(238670, 'PTHR12406:SF23', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PHOSPHOLIPASE DOMAIN-CONTAINING PROTEIN 1', 182396),
(238671, 'PTHR33640:SF20', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 182397),
(238672, 'PTHR19444:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182398),
(238673, 'PTHR31681:SF80', NULL, NULL, NULL, NULL, 'BNACNNG07640D PROTEIN', 182399),
(238674, 'PTHR22893:SF117', NULL, NULL, NULL, NULL, 'NADPH DEHYDROGENASE 2-RELATED', 182400),
(238675, 'PTHR24061:SF1', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 2-RELATED', 182401),
(238676, 'PTHR24015:SF1999', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182402),
(238677, 'PTHR47968:SF38', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7D, MITOCHONDRIAL', 182403),
(238678, 'PTHR37036:SF2', NULL, NULL, NULL, NULL, 'LMO0863 PROTEIN', 182404),
(238679, 'PTHR11851:SF187', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA-2', 182405),
(238680, 'PTHR48070:SF9', NULL, NULL, NULL, NULL, 'FAMILY OF SERINE HYDROLASES 1', 182406),
(238681, 'PTHR36487', NULL, NULL, NULL, NULL, 'OS09G0296500 PROTEIN-RELATED', 182407),
(238682, 'PTHR34283:SF4', NULL, NULL, NULL, NULL, 'OS02G0129800 PROTEIN', 182408),
(238683, 'PTHR10209:SF428', NULL, NULL, NULL, NULL, 'OSJNBA0027O01.11 PROTEIN', 182409),
(238684, 'PTHR30344:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 182410),
(238685, 'PTHR30547:SF0', NULL, NULL, NULL, NULL, 'BLR8175 PROTEIN', 182411),
(238686, 'PTHR24093:SF477', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 182412),
(238687, 'PTHR11183:SF110', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE:XYLAN ALPHA-GLUCURONOSYLTRANSFERASE 5-RELATED', 182413),
(238688, 'PTHR33895:SF5', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 4', 182414),
(238689, 'PTHR12729', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 182415),
(238690, 'PTHR43243:SF35', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 2', 182416),
(238691, 'PTHR31930:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS R', 182417),
(238692, 'PTHR10612:SF51', NULL, NULL, NULL, NULL, 'BNAA02G07880D PROTEIN', 182418),
(238693, 'PTHR33065:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182419),
(238694, 'PTHR10110:SF163', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 1', 182420),
(238695, 'PTHR16489', NULL, NULL, NULL, NULL, 'GH11727P', 182421),
(238696, 'PTHR46279:SF14', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL20-RELATED', 182422),
(238697, 'PTHR33142:SF15', NULL, NULL, NULL, NULL, 'OS01G0843700 PROTEIN', 182423),
(238698, 'PTHR31907:SF62', NULL, NULL, NULL, NULL, 'BNAC02G20410D PROTEIN', 182424),
(238699, 'PTHR23079:SF33', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', 182425);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(238700, 'PTHR23428:SF256', NULL, NULL, NULL, NULL, 'HISTONE H2B.6', 182426),
(238701, 'PTHR14255:SF40', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-LIKE', 182427),
(238702, 'PTHR12236:SF71', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 64AB', 182428),
(238703, 'PTHR36968:SF13', NULL, NULL, NULL, NULL, 'HOMEOBOX-DDT DOMAIN PROTEIN RLT1', 182429),
(238704, 'PTHR10257:SF63', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 182430),
(238705, 'PTHR23081:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182431),
(238706, 'PTHR36076:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN SUPERFAMILY PROTEIN', 182432),
(238707, 'PTHR36573:SF1', NULL, NULL, NULL, NULL, 'INTERMEMBRANE PHOSPHOLIPID TRANSPORT SYSTEM BINDING PROTEIN MLAC', 182433),
(238708, 'PTHR10693:SF69', NULL, NULL, NULL, NULL, 'BNAA09G05550D PROTEIN', 182434),
(238709, 'PTHR47255:SF6', NULL, NULL, NULL, NULL, 'OS06G0571800 PROTEIN', 182435),
(238710, 'PTHR10644:SF15', NULL, NULL, NULL, NULL, 'YALI0E24387P', 182436),
(238711, 'PTHR45969:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', 182437),
(238712, 'PTHR23236:SF24', NULL, NULL, NULL, NULL, 'PHRAGMOPLASTIN INTERACTING PROTEIN 1-RELATED', 182438),
(238713, 'PTHR47310:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FLUORESCENT IN BLUE LIGHT, CHLOROPLASTIC-LIKE', 182439),
(238714, 'PTHR21600:SF71', NULL, NULL, NULL, NULL, 'RIBOSOMAL LARGE SUBUNIT PSEUDOURIDINE SYNTHASE D', 182440),
(238715, 'PTHR19957:SF277', NULL, NULL, NULL, NULL, 'SYNTAXIN OF PLANTS 122 PROTEIN', 182441),
(238716, 'PTHR47968', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN E', 182442),
(238717, 'PTHR46463:SF33', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 182443),
(238718, 'PTHR46772:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182444),
(238719, 'PTHR31604:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SHORT INTERNODES', 182445),
(238720, 'PTHR46060:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETMAR', 182446),
(238721, 'PTHR16223:SF51', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH117-RELATED', 182447),
(238722, 'PTHR22936:SF96', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', 182448),
(238723, 'PTHR13789:SF307', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04330)-RELATED', 182449),
(238724, 'PTHR24243:SF219', NULL, NULL, NULL, NULL, 'MOTILIN RECEPTOR', 182450),
(238725, 'PTHR31080:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182451),
(238726, 'PTHR21646:SF23', NULL, NULL, NULL, NULL, 'LD43649P', 182452),
(238727, 'PTHR36974:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 182453),
(238728, 'PTHR24055:SF414', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 15', 182454),
(238729, 'PTHR23139:SF121', NULL, NULL, NULL, NULL, 'U2 SNRNP AUXILIARY FACTOR LARGE SUBUNIT', 182455),
(238730, 'PTHR47901:SF2', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 16', 182456),
(238731, 'PTHR47957', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE HRQ1', 182457),
(238732, 'PTHR10039:SF10', NULL, NULL, NULL, NULL, 'NACHT DOMAIN-CONTAINING PROTEIN', 182458),
(238733, 'PTHR23257:SF860', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 182459),
(238734, 'PTHR24089:SF684', NULL, NULL, NULL, NULL, 'ADP/ATP CARRIER PROTEIN', 182460),
(238735, 'PTHR10943:SF19', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 1 HOMOLOG', 182461),
(238736, 'PTHR27005:SF239', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 11-RELATED', 182462),
(238737, 'PTHR12542:SF156', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 182463),
(238738, 'PTHR26450:SF72', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 182464),
(238739, 'PTHR46858:SF6', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 182465),
(238740, 'PTHR31062:SF134', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 182466),
(238741, 'PTHR35563', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 182467),
(238742, 'PTHR10366:SF742', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182468);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(238743, 'PTHR10174:SF208', NULL, NULL, NULL, NULL, 'CRAL-TRIO DOMAIN-CONTAINING PROTEIN DDB_G0278031', 182469),
(238744, 'PTHR45933:SF3', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 4', 182470),
(238745, 'PTHR24296:SF112', NULL, NULL, NULL, NULL, 'CYTOCHROME 94A2', 182471),
(238746, 'PTHR24068:SF231', NULL, NULL, NULL, NULL, 'UBIQUITIN CARRIER PROTEIN', 182472),
(238747, 'PTHR21110', NULL, NULL, NULL, NULL, 'PHOSPHOPENTOMUTASE', 182473),
(238748, 'PTHR46219:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG11139', 182474),
(238749, 'PTHR22595:SF143', NULL, NULL, NULL, NULL, 'BASIC ENDOCHITINASE B', 182475),
(238750, 'PTHR19282:SF364', NULL, NULL, NULL, NULL, 'TETRASPANIN-9', 182476),
(238751, 'PTHR12558:SF36', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 7', 182477),
(238752, 'PTHR43213:SF3', NULL, NULL, NULL, NULL, 'MAF-LIKE PROTEIN, EXPRESSED', 182478),
(238753, 'PTHR33415', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 182479),
(238754, 'PTHR31218:SF203', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 182480),
(238755, 'PTHR31384:SF79', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 2', 182481),
(238756, 'PTHR11062:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182482),
(238757, 'PTHR15974', NULL, NULL, NULL, NULL, 'CYTOKINE-LIKE PROTEIN 1', 182483),
(238758, 'PTHR11782:SF100', NULL, NULL, NULL, NULL, 'APYRASE 3-RELATED', 182484),
(238759, 'PTHR37530', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN SLP', 182485),
(238760, 'PTHR36205:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182486),
(238761, 'PTHR12565:SF386', NULL, NULL, NULL, NULL, 'BNAC06G01430D PROTEIN', 182487),
(238762, 'PTHR24015:SF1985', NULL, NULL, NULL, NULL, 'OS09G0555400 PROTEIN', 182488),
(238763, 'PTHR33074:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182489),
(238764, 'PTHR44259:SF23', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 182490),
(238765, 'PTHR48011:SF30', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 3-LIKE', 182491),
(238766, 'PTHR10901:SF6', NULL, NULL, NULL, NULL, 'TROPOMODULIN, ISOFORM N', 182492),
(238767, 'PTHR21660:SF35', NULL, NULL, NULL, NULL, 'OS01G0882000 PROTEIN', 182493),
(238768, 'PTHR31400', NULL, NULL, NULL, NULL, 'GUANYLYL CYCLASE DOMAIN CONTAINING PROTEIN 1 GUCD1', 182494),
(238769, 'PTHR11225', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP93  NUCLEOPORIN NUP93   DEAD EYE PROTEIN', 182495),
(238770, 'PTHR47924:SF15', NULL, NULL, NULL, NULL, 'BNAA05G36050D PROTEIN', 182496),
(238771, 'PTHR24281:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182497),
(238772, 'PTHR14552:SF21', NULL, NULL, NULL, NULL, 'DCTP PYROPHOSPHATASE 1', 182498),
(238773, 'PTHR24377:SF868', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 850', 182499),
(238774, 'PTHR33136:SF86', NULL, NULL, NULL, NULL, 'BNAC05G01530D PROTEIN', 182500),
(238775, 'PTHR36141:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182501),
(238776, 'PTHR23024:SF409', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 6-RELATED', 182502),
(238777, 'PTHR31517:SF35', NULL, NULL, NULL, NULL, 'PEROXIDASE', 182503),
(238778, 'PTHR35549:SF1', NULL, NULL, NULL, NULL, 'OS04G0584500 PROTEIN', 182504),
(238779, 'PTHR11604', NULL, NULL, NULL, NULL, 'PROFILIN', 182505),
(238780, 'PTHR35713:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182506),
(238781, 'PTHR45633:SF20', NULL, NULL, NULL, NULL, 'CHAPERONIN 60 SUBUNIT BETA 1, CHLOROPLASTIC', 182507),
(238782, 'PTHR37534:SF9', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 182508),
(238783, 'PTHR24055:SF484', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 182509),
(238784, 'PTHR43364:SF6', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 182510),
(238785, 'PTHR24271:SF51', NULL, NULL, NULL, NULL, 'GRANZYME M', 182511),
(238786, 'PTHR14198:SF15', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 4 L6 FAMILY MEMBER 4', 182512),
(238787, 'PTHR42663:SF2', NULL, NULL, NULL, NULL, 'OS03G0642900 PROTEIN', 182513),
(238788, 'PTHR23143:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 729-LIKE', 182514);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(238789, 'PTHR28028', NULL, NULL, NULL, NULL, '60S RIBOSOMAL SUBUNIT ASSEMBLY/EXPORT PROTEIN LOC1', 182515),
(238790, 'PTHR24296:SF184', NULL, NULL, NULL, NULL, 'BNAA06G40600D PROTEIN', 182516),
(238791, 'PTHR11895:SF165', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE', 182517),
(238792, 'PTHR22967:SF97', NULL, NULL, NULL, NULL, 'OS09G0279100 PROTEIN', 182518),
(238793, 'PTHR11654:SF522', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', 182519),
(238794, 'PTHR38934:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182520),
(238795, 'PTHR33320:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182521),
(238796, 'PTHR12654:SF29', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', 182522),
(238797, 'PTHR15963:SF5', NULL, NULL, NULL, NULL, 'SHORT SPINDLE 6, ISOFORM A', 182523),
(238798, 'PTHR11767:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182524),
(238799, 'PTHR12668:SF16', NULL, NULL, NULL, NULL, 'OSJNBA0089K21.3 PROTEIN', 182525),
(238800, 'PTHR18919:SF161', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE, CYTOSOLIC 1', 182526),
(238801, 'PTHR46506:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182527),
(238802, 'PTHR24206:SF30', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN PLIM2B', 182528),
(238803, 'PTHR10165:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE-RELATED PROTEIN TYPE 2', 182529),
(238804, 'PTHR13723:SF140', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 16', 182530),
(238805, 'PTHR11945:SF403', NULL, NULL, NULL, NULL, 'MADS TRANSCRIPTION FACTOR', 182531),
(238806, 'PTHR10791:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182532),
(238807, 'PTHR24282:SF20', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP749A22-LIKE', 182533),
(238808, 'PTHR21143:SF124', NULL, NULL, NULL, NULL, 'GUSTATORY AND ODORANT RECEPTOR 63A', 182534),
(238809, 'PTHR36536:SF3', NULL, NULL, NULL, NULL, 'UPF0111 PROTEIN HI_1603', 182535),
(238810, 'PTHR46998:SF8', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 11', 182536),
(238811, 'PTHR31190:SF106', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF114', 182537),
(238812, 'PTHR23294:SF0', NULL, NULL, NULL, NULL, 'UNC93-LIKE PROTEIN MFSD11', 182538),
(238813, 'PTHR24083:SF158', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 182539),
(238814, 'PTHR45631:SF58', NULL, NULL, NULL, NULL, 'BNAC08G45460D PROTEIN', 182540),
(238815, 'PTHR24416:SF120', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-B RECEPTOR 3', 182541),
(238816, 'PTHR11937:SF156', NULL, NULL, NULL, NULL, 'ACTIN DOMAIN-CONTAINING PROTEIN', 182542),
(238817, 'PTHR46288:SF21', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 182543),
(238818, 'PTHR22941:SF48', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H-RELATED', 182544),
(238819, 'PTHR44525:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 27', 182545),
(238820, 'PTHR31238:SF26', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 3-5', 182546),
(238821, 'PTHR12211', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM PROTEIN ERP29', 182547),
(238822, 'PTHR46518:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182548),
(238823, 'PTHR27002:SF827', NULL, NULL, NULL, NULL, 'KINASE PBS1, PUTATIVE-RELATED', 182549),
(238824, 'PTHR33356:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182550),
(238825, 'PTHR34362:SF8', NULL, NULL, NULL, NULL, 'BNAA08G04050D PROTEIN', 182551),
(238826, 'PTHR11188:SF149', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN 1', 182552),
(238827, 'PTHR11699:SF202', NULL, NULL, NULL, NULL, 'SUCCINATE-SEMIALDEHYDE DEHYDROGENASE [NADP(+)] 2-RELATED', 182553),
(238828, 'PTHR11339:SF358', NULL, NULL, NULL, NULL, 'SCO-SPONDIN', 182554),
(238829, 'PTHR22705', NULL, NULL, NULL, NULL, 'ZINC FINGER, ZZ DOMAIN CONTAINING 3', 182555),
(238830, 'PTHR31586:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX20, MITOCHONDRIAL', 182556),
(238831, 'PTHR46460:SF1', NULL, NULL, NULL, NULL, 'METHYLATED-DNA--PROTEIN-CYSTEINE METHYLTRANSFERASE', 182557);
INSERT INTO "PUBLIC"."MODEL" VALUES
(238832, 'PTHR35317:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182558),
(238833, 'PTHR45868:SF62', NULL, NULL, NULL, NULL, 'BNAC03G34170D PROTEIN', 182559),
(238834, 'PTHR24225:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182560),
(238835, 'PTHR48111:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RESD', 182561),
(238836, 'PTHR24174:SF12', NULL, NULL, NULL, NULL, 'PTB DOMAIN-CONTAINING ADAPTER PROTEIN CED-6-LIKE PROTEIN', 182562),
(238837, 'PTHR34208:SF16', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 182563),
(238838, 'PTHR10410:SF26', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT-LIKE PROTEIN', 182564),
(238839, 'PTHR10579:SF137', NULL, NULL, NULL, NULL, 'BNAC02G43940D PROTEIN', 182565),
(238840, 'PTHR10751:SF109', NULL, NULL, NULL, NULL, 'BNAA06G40280D PROTEIN', 182566),
(238841, 'PTHR48053:SF15', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2', 182567),
(238842, 'PTHR43243:SF15', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 4, VACUOLAR', 182568),
(238843, 'PTHR46208', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM70', 182569),
(238844, 'PTHR42851:SF4', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', 182570),
(238845, 'PTHR26452:SF180', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 14C36', 182571),
(238846, 'PTHR23036:SF98', NULL, NULL, NULL, NULL, 'INTERLEUKIN-6 RECEPTOR SUBUNIT ALPHA', 182572),
(238847, 'PTHR13678:SF22', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN-SORTING-ASSOCIATED PROTEIN 37 HOMOLOG 2', 182573),
(238848, 'PTHR33785:SF5', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN', 182574),
(238849, 'PTHR43018:SF2', NULL, NULL, NULL, NULL, '2-DEHYDRO-3-DEOXYPHOSPHOOCTONATE ALDOLASE-RELATED', 182575),
(238850, 'PTHR11034:SF49', NULL, NULL, NULL, NULL, 'BNAA10G10880D PROTEIN', 182576),
(238851, 'PTHR31346:SF13', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 2, CHLOROPLASTIC-LIKE', 182577),
(238852, 'PTHR24414:SF118', NULL, NULL, NULL, NULL, 'BNAA02G13520D PROTEIN', 182578),
(238853, 'PTHR26453:SF196', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2AE1', 182579),
(238854, 'PTHR21225:SF18', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE, PHENYLALANINE-INHIBITED', 182580),
(238855, 'PTHR10335:SF17', NULL, NULL, NULL, NULL, 'FIBRILLARIN', 182581),
(238856, 'PTHR47411', NULL, NULL, NULL, NULL, 'B3GNT1, BETA-1,3-N-ACETYLGUCOSAMINYLTRANSFERASE 1, HOMOLOG', 182582),
(238857, 'PTHR35365:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182583),
(238858, 'PTHR24282:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 72A11-RELATED', 182584),
(238859, 'PTHR14154:SF78', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', 182585),
(238860, 'PTHR12542:SF99', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 182586),
(238861, 'PTHR10797:SF0', NULL, NULL, NULL, NULL, 'POP2, ISOFORM E', 182587),
(238862, 'PTHR47177:SF3', NULL, NULL, NULL, NULL, 'F18C1.6 PROTEIN', 182588),
(238863, 'PTHR45642:SF32', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 182589),
(238864, 'PTHR10177:SF484', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN CYCLIN', 182590),
(238865, 'PTHR45687:SF35', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-7', 182591),
(238866, 'PTHR10024:SF217', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN VA', 182592),
(238867, 'PTHR36720:SF2', NULL, NULL, NULL, NULL, 'BNAA09G40580D PROTEIN', 182593),
(238868, 'PTHR43952:SF29', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 3', 182594),
(238869, 'PTHR24096:SF300', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 3-RELATED', 182595),
(238870, 'PTHR22594:SF46', NULL, NULL, NULL, NULL, 'ASPARAGINE--TRNA LIGASE, CHLOROPLASTIC/MITOCHONDRIAL', 182596),
(238871, 'PTHR23003:SF14', NULL, NULL, NULL, NULL, 'MAINTENANCE PROTEIN, PUTATIVE-RELATED', 182597),
(238872, 'PTHR14942:SF9', NULL, NULL, NULL, NULL, 'OS02G0188500 PROTEIN', 182598),
(238873, 'PTHR32021:SF21', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5C2', 182599),
(238874, 'PTHR45588:SF1', NULL, NULL, NULL, NULL, 'TPR DOMAIN-CONTAINING PROTEIN', 182600);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(238875, 'PTHR24384:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 460', 182601),
(238876, 'PTHR13683:SF679', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN 2', 182602),
(238877, 'PTHR32096:SF103', NULL, NULL, NULL, NULL, 'BNAA04G20400D PROTEIN', 182603),
(238878, 'PTHR33132:SF81', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN-RELATED PROTEIN-RELATED', 182604),
(238879, 'PTHR37389:SF6', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN M10-RELATED', 182605),
(238880, 'PTHR48002:SF56', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K5', 182606),
(238881, 'PTHR24177:SF266', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 182607),
(238882, 'PTHR22906:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182608),
(238883, 'PTHR10676:SF360', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', 182609),
(238884, 'PTHR14950:SF67', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING DOMAIN (DSRBD)-CONTAINING PROTEIN', 182610),
(238885, 'PTHR12889:SF1', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE SUBUNIT APH-1B', 182611),
(238886, 'PTHR48001:SF27', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 182612),
(238887, 'PTHR18945:SF575', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID (GABA) A RECEPTOR, ALPHA 6A', 182613),
(238888, 'PTHR32234:SF3', NULL, NULL, NULL, NULL, 'SUPPRESSION OF COPPER SENSITIVITY PROTEIN', 182614),
(238889, 'PTHR43384:SF10', NULL, NULL, NULL, NULL, 'ATPASE INVOLVED IN CHROMOSOME PARTITIONING, PARA/MIND FAMILY', 182615),
(238890, 'PTHR45955:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOACETYLGLUCOSAMINE MUTASE', 182616),
(238891, 'PTHR11351:SF87', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE, TYPE 1, CORE-RELATED', 182617),
(238892, 'PTHR14167:SF86', NULL, NULL, NULL, NULL, 'SH3 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G08620)', 182618),
(238893, 'PTHR33832:SF10', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR TYPE-2 P303.51-LIKE', 182619),
(238894, 'PTHR24377:SF648', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 154', 182620),
(238895, 'PTHR10657:SF32', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 182621),
(238896, 'PTHR44137:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182622),
(238897, 'PTHR28096', NULL, NULL, NULL, NULL, 'PROTEIN FAF1', 182623),
(238898, 'PTHR15233:SF3', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ATP5MPL, MITOCHONDRIAL', 182624),
(238899, 'PTHR24305:SF28', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 49A1-RELATED', 182625),
(238900, 'PTHR31009', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE:CARBOXYL METHYLTRANSFERASE FAMILY PROTEIN', 182626),
(238901, 'PTHR10980:SF35', NULL, NULL, NULL, NULL, 'OS06G0318300 PROTEIN', 182627),
(238902, 'PTHR33168:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182628),
(238903, 'PTHR21337:SF26', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', 182629),
(238904, 'PTHR43085:SF18', NULL, NULL, NULL, NULL, 'PFKB FAMILY CARBOHYDRATE KINASE', 182630),
(238905, 'PTHR11588:SF279', NULL, NULL, NULL, NULL, 'TUBULIN BETA-4 CHAIN', 182631),
(238906, 'PTHR35355:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM229A', 182632),
(238907, 'PTHR19971:SF3', NULL, NULL, NULL, NULL, 'SIGNAL-REGULATORY PROTEIN BETA-1', 182633),
(238908, 'PTHR42684:SF10', NULL, NULL, NULL, NULL, 'GAMMA AMINOBUTYRATE TRANSAMINASE 2', 182634),
(238909, 'PTHR13620:SF86', NULL, NULL, NULL, NULL, 'WERNER SYNDROME-LIKE EXONUCLEASE', 182635),
(238910, 'PTHR23023', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE', 182636),
(238911, 'PTHR23073:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182637),
(238912, 'PTHR43038:SF4', NULL, NULL, NULL, NULL, 'RIBOSOME-ASSOCIATED ATPASE', 182638),
(238913, 'PTHR11913:SF54', NULL, NULL, NULL, NULL, 'CFL1 PROTEIN', 182639),
(238914, 'PTHR31947:SF24', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING-LIKE PROTEIN', 182640),
(238915, 'PTHR24421:SF37', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE NARS-RELATED', 182641),
(238916, 'PTHR23232:SF96', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 383', 182642),
(238917, 'PTHR33186', NULL, NULL, NULL, NULL, 'OS10G0136150 PROTEIN-RELATED', 182643);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(238918, 'PTHR11820:SF7', NULL, NULL, NULL, NULL, 'ACYLPYRUVASE FAHD1, MITOCHONDRIAL', 182644),
(238919, 'PTHR24377:SF719', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 790', 182645),
(238920, 'PTHR31062:SF114', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 28-RELATED', 182646),
(238921, 'PTHR27007:SF337', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN PROTEIN KINASE FAMILY PROTEIN-RELATED', 182647),
(238922, 'PTHR46751:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182648),
(238923, 'PTHR38636:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG20488', 182649),
(238924, 'PTHR11579:SF9', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE DOMAIN-CONTAINING PROTEIN 1-LIKE PROTEIN', 182650),
(238925, 'PTHR10625:SF199', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', 182651),
(238926, 'PTHR11680:SF44', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', 182652),
(238927, 'PTHR23024:SF509', NULL, NULL, NULL, NULL, 'LIPASE, GDXG, PUTATIVE HISTIDINE ACTIVE SITE, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 182653),
(238928, 'PTHR12788:SF10', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE SULFOTRANSFERASE', 182654),
(238929, 'PTHR45669:SF40', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN FAMILY PROTEIN-RELATED', 182655),
(238930, 'PTHR31441:SF2', NULL, NULL, NULL, NULL, 'FOLLICULIN', 182656),
(238931, 'PTHR13355:SF15', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE', 182657),
(238932, 'PTHR47983:SF17', NULL, NULL, NULL, NULL, 'BNAC08G48860D PROTEIN', 182658),
(238933, 'PTHR43161:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02000)-RELATED', 182659),
(238934, 'PTHR11926:SF1431', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 182660),
(238935, 'PTHR32467:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182661),
(238936, 'PTHR43227', NULL, NULL, NULL, NULL, 'BLL4140 PROTEIN', 182662),
(238937, 'PTHR33122:SF65', NULL, NULL, NULL, NULL, 'INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 182663),
(238938, 'PTHR12591:SF0', NULL, NULL, NULL, NULL, 'FI19814P1', 182664),
(238939, 'PTHR24031:SF669', NULL, NULL, NULL, NULL, 'RNA HELICASE', 182665),
(238940, 'PTHR11820:SF8', NULL, NULL, NULL, NULL, 'BLL6360 PROTEIN', 182666),
(238941, 'PTHR19271:SF23', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 4', 182667),
(238942, 'PTHR23024:SF421', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE', 182668),
(238943, 'PTHR24068:SF126', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 S', 182669),
(238944, 'PTHR35704:SF5', NULL, NULL, NULL, NULL, 'BNAANNG19700D PROTEIN', 182670),
(238945, 'PTHR42647:SF30', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 1-LIKE', 182671),
(238946, 'PTHR33469:SF18', NULL, NULL, NULL, NULL, 'BNAA09G44990D PROTEIN', 182672),
(238947, 'PTHR30026', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN TOLC', 182673),
(238948, 'PTHR48012:SF23', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 182674),
(238949, 'PTHR36892:SF1', NULL, NULL, NULL, NULL, 'OS01G0201800 PROTEIN', 182675),
(238950, 'PTHR13166', NULL, NULL, NULL, NULL, 'PROTEIN C6ORF149', 182676),
(238951, 'PTHR11616:SF20', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT BETAINE TRANSPORTER', 182677),
(238952, 'PTHR31901:SF89', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6-LIKE', 182678),
(238953, 'PTHR32448:SF138', NULL, NULL, NULL, NULL, 'TETRAHYDROCANNABINOLIC ACID SYNTHASE-LIKE', 182679),
(238954, 'PTHR39607:SF2', NULL, NULL, NULL, NULL, 'XANTHOCILLIN BIOSYNTHESIS CLUSTER TRANSCRIPTION FACTOR XANC', 182680),
(238955, 'PTHR12002:SF116', NULL, NULL, NULL, NULL, 'CLAUDIN-1', 182681),
(238956, 'PTHR12844:SF45', NULL, NULL, NULL, NULL, 'CNK3/IPCEF1 FUSION PROTEIN-RELATED', 182682),
(238957, 'PTHR42878:SF1', NULL, NULL, NULL, NULL, 'OSMOLARITY TWO-COMPONENT SYSTEM PROTEIN SSK1', 182683),
(238958, 'PTHR42723:SF1', NULL, NULL, NULL, NULL, 'CHLOROPHYLL SYNTHASE, CHLOROPLASTIC', 182684),
(238959, 'PTHR33047:SF17', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN', 182685);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(238960, 'PTHR45752:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 28', 182686),
(238961, 'PTHR31625:SF71', NULL, NULL, NULL, NULL, 'BNAA04G11530D PROTEIN', 182687),
(238962, 'PTHR24180', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 2C-RELATED', 182688),
(238963, 'PTHR26453:SF231', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR M37', 182689),
(238964, 'PTHR43939:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182690),
(238965, 'PTHR42104', NULL, NULL, NULL, NULL, 'EXTRACELLULAR GUANYL-SPECIFIC RIBONUCLEASE RNTA (AFU_ORTHOLOGUE AFUA_4G03230)', 182691),
(238966, 'PTHR24056:SF52', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 18', 182692),
(238967, 'PTHR42679:SF3', NULL, NULL, NULL, NULL, 'S-METHYL-5''-THIOADENOSINE PHOSPHORYLASE', 182693),
(238968, 'PTHR32176:SF49', NULL, NULL, NULL, NULL, 'PATATIN', 182694),
(238969, 'PTHR31989:SF279', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTORS 2', 182695),
(238970, 'PTHR45722:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL L35-LIKE PROTEIN', 182696),
(238971, 'PTHR33159:SF62', NULL, NULL, NULL, NULL, 'BNAA06G22650D PROTEIN', 182697),
(238972, 'PTHR18929:SF232', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', 182698),
(238973, 'PTHR47998:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB114-LIKE', 182699),
(238974, 'PTHR24251:SF16', NULL, NULL, NULL, NULL, 'OVOCHYMASE-2', 182700),
(238975, 'PTHR11991:SF18', NULL, NULL, NULL, NULL, 'BNAC01G35230D PROTEIN', 182701),
(238976, 'PTHR13874:SF12', NULL, NULL, NULL, NULL, 'ENDOTHELIN-3A', 182702),
(238977, 'PTHR34186', NULL, NULL, NULL, NULL, 'CYANATE HYDRATASE', 182703),
(238978, 'PTHR47253', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 182704),
(238979, 'PTHR43895:SF122', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 182705),
(238980, 'PTHR11984:SF20', NULL, NULL, NULL, NULL, 'GAP JUNCTION BETA-1 PROTEIN', 182706),
(238981, 'PTHR21576:SF139', NULL, NULL, NULL, NULL, 'BNAC09G20610D PROTEIN', 182707),
(238982, 'PTHR47971:SF3', NULL, NULL, NULL, NULL, 'KINESIN KIF4-LIKE PROTEIN, PUTATIVE-RELATED', 182708),
(238983, 'PTHR11814:SF196', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 26 MEMBER 6', 182709),
(238984, 'PTHR11801:SF41', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION 2', 182710),
(238985, 'PTHR10891:SF845', NULL, NULL, NULL, NULL, 'BNAC03G63910D PROTEIN', 182711),
(238986, 'PTHR47507:SF1', NULL, NULL, NULL, NULL, 'BARRIER TO AUTOINTEGRATION FACTOR 2', 182712),
(238987, 'PTHR46287:SF6', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 1-LIKE ISOFORM X1', 182713),
(238988, 'PTHR43750:SF1', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 6-DEHYDROGENASE', 182714),
(238989, 'PTHR33402:SF18', NULL, NULL, NULL, NULL, 'OS01G0747800 PROTEIN', 182715),
(238990, 'PTHR33257:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182716),
(238991, 'PTHR22952:SF429', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182717),
(238992, 'PTHR10744:SF36', NULL, NULL, NULL, NULL, 'BNAA08G02720D PROTEIN', 182718),
(238993, 'PTHR47308:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR GTPASE SLIP-GC', 182719),
(238994, 'PTHR36574', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE-RELATED', 182720),
(238995, 'PTHR36320:SF2', NULL, NULL, NULL, NULL, 'BNACNNG11070D PROTEIN', 182721),
(238996, 'PTHR12112:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182722),
(238997, 'PTHR24279:SF3', NULL, NULL, NULL, NULL, 'CHOLESTEROL SIDE-CHAIN CLEAVAGE ENZYME, MITOCHONDRIAL', 182723),
(238998, 'PTHR12399', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT 7', 182724),
(238999, 'PTHR10489:SF922', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-C MOTIF) RECEPTOR 12A-RELATED', 182725),
(239000, 'PTHR31140:SF70', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS11G0156000', 182726),
(239001, 'PTHR10972:SF178', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 3C-LIKE ISOFORM X1', 182727),
(239002, 'PTHR48017:SF131', NULL, NULL, NULL, NULL, 'BNAC06G00580D PROTEIN', 182728),
(239003, 'PTHR46128:SF82', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 182729);
INSERT INTO "PUBLIC"."MODEL" VALUES
(239004, 'PTHR12732:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182730),
(239005, 'PTHR39425:SF1', NULL, NULL, NULL, NULL, 'LIPOPROTEIN CYTOCHROME C', 182731),
(239006, 'PTHR31210:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182732),
(239007, 'PTHR10556:SF34', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE (NADP(+))', 182733),
(239008, 'PTHR46998', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 11', 182734),
(239009, 'PTHR32191:SF0', NULL, NULL, NULL, NULL, 'TETRASPANIN-2', 182735),
(239010, 'PTHR22812:SF151', NULL, NULL, NULL, NULL, 'FI06908P-RELATED', 182736),
(239011, 'PTHR12875:SF1', NULL, NULL, NULL, NULL, 'GOLGI TO ER TRAFFIC PROTEIN 4 HOMOLOG ISOFORM X1', 182737),
(239012, 'PTHR10464:SF15', NULL, NULL, NULL, NULL, 'UREA TRANSPORTER', 182738),
(239013, 'PTHR31676:SF151', NULL, NULL, NULL, NULL, 'DUF538 FAMILY PROTEIN', 182739),
(239014, 'PTHR47990:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182740),
(239015, 'PTHR11573:SF27', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE', 182741),
(239016, 'PTHR11260:SF596', NULL, NULL, NULL, NULL, 'OS01G0949700 PROTEIN', 182742),
(239017, 'PTHR43969:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE S TRANSFERASE E11, ISOFORM A-RELATED', 182743),
(239018, 'PTHR11017:SF407', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE', 182744),
(239019, 'PTHR31228:SF22', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', 182745),
(239020, 'PTHR12357:SF90', NULL, NULL, NULL, NULL, 'BNAC03G58200D PROTEIN', 182746),
(239021, 'PTHR48052:SF7', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1 ISOFORM X1', 182747),
(239022, 'PTHR30055:SF194', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN-RELATED', 182748),
(239023, 'PTHR33443:SF15', NULL, NULL, NULL, NULL, 'BNAA03G12100D PROTEIN', 182749),
(239024, 'PTHR17530:SF2', NULL, NULL, NULL, NULL, 'PRO-THYROTROPIN-RELEASING HORMONE', 182750),
(239025, 'PTHR22943:SF12', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 182751),
(239026, 'PTHR42764:SF1', NULL, NULL, NULL, NULL, 'PHOSPHONATES UTILIZATION ATP-BINDING PROTEIN PHNK-RELATED', 182752),
(239027, 'PTHR44102:SF17', NULL, NULL, NULL, NULL, '43KDA POSTSYNAPTIC PROTEIN-RELATED', 182753),
(239028, 'PTHR45671:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PHOSPHATE CARRIER PROTEIN 3 MITOCHONDRIAL', 182754),
(239029, 'PTHR28254:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 10', 182755),
(239030, 'PTHR34078:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 182756),
(239031, 'PTHR23058:SF10', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX14-LIKE', 182757),
(239032, 'PTHR33389:SF18', NULL, NULL, NULL, NULL, 'DUF2921 FAMILY PROTEIN', 182758),
(239033, 'PTHR11814:SF229', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 1.2', 182759),
(239034, 'PTHR31390:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182760),
(239035, 'PTHR23117:SF23', NULL, NULL, NULL, NULL, 'GUANYLATE KINASE 1A', 182761),
(239036, 'PTHR47015', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A MEMBER 1', 182762),
(239037, 'PTHR23024:SF497', NULL, NULL, NULL, NULL, 'OS08G0475400 PROTEIN', 182763),
(239038, 'PTHR46857', NULL, NULL, NULL, NULL, 'EPITHELIAL CELL-TRANSFORMING SEQUENCE 2 ONCOGENE-LIKE', 182764),
(239039, 'PTHR34043:SF3', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 182765),
(239040, 'PTHR10279:SF8', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE ANTIZYME 1', 182766),
(239041, 'PTHR43376', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN', 182767),
(239042, 'PTHR31579:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182768),
(239043, 'PTHR44461:SF1', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE-LIKE PROTEIN 1', 182769),
(239044, 'PTHR34837:SF6', NULL, NULL, NULL, NULL, 'PLECKSTRIN-LIKE (PH) DOMAIN PROTEIN', 182770),
(239045, 'PTHR46986:SF1', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE YBEY, CHLOROPLASTIC', 182771),
(239046, 'PTHR11984:SF42', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-6 PROTEIN', 182772),
(239047, 'PTHR21596:SF75', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 1', 182773);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(239048, 'PTHR10891:SF833', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML31-RELATED', 182774),
(239049, 'PTHR31722:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182775),
(239050, 'PTHR10529:SF236', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT MU', 182776),
(239051, 'PTHR10285:SF157', NULL, NULL, NULL, NULL, 'URIDINE KINASE', 182777),
(239052, 'PTHR12820', NULL, NULL, NULL, NULL, 'VACUOLAR SORTING PROTEIN 53', 182778),
(239053, 'PTHR32285:SF61', NULL, NULL, NULL, NULL, 'OS06G0272800 PROTEIN', 182779),
(239054, 'PTHR15173:SF2', NULL, NULL, NULL, NULL, 'OREXIN', 182780),
(239055, 'PTHR26379:SF337', NULL, NULL, NULL, NULL, 'OS08G0226400 PROTEIN', 182781),
(239056, 'PTHR10454:SF134', NULL, NULL, NULL, NULL, 'INACTIVE CASPASE-12', 182782),
(239057, 'PTHR46078:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J2', 182783),
(239058, 'PTHR34548', NULL, NULL, NULL, NULL, 'PROTEIN TIC 21, CHLOROPLASTIC', 182784),
(239059, 'PTHR10196:SF86', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE 3', 182785),
(239060, 'PTHR10091:SF2', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 182786),
(239061, 'PTHR43625:SF46', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 3-RELATED', 182787),
(239062, 'PTHR31301:SF135', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 2', 182788),
(239063, 'PTHR24276:SF89', NULL, NULL, NULL, NULL, 'IP07603P', 182789),
(239064, 'PTHR30038:SF5', NULL, NULL, NULL, NULL, 'ALDEHYDE FERREDOXIN OXIDOREDUCTASE (AOR)', 182790),
(239065, 'PTHR31985:SF216', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 182791),
(239066, 'PTHR18919:SF157', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE, CYTOSOLIC 2-RELATED', 182792),
(239067, 'PTHR47960:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX6-RELATED', 182793),
(239068, 'PTHR11908:SF142', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE3', 182794),
(239069, 'PTHR46482:SF9', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE 3, CHLOROPLASTIC', 182795),
(239070, 'PTHR38600:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 182796),
(239071, 'PTHR10091:SF23', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 182797),
(239072, 'PTHR23081:SF24', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II C-TERMINAL DOMAIN PHOSPHATASE-LIKE 2', 182798),
(239073, 'PTHR47993:SF94', NULL, NULL, NULL, NULL, 'BNAANNG10970D PROTEIN', 182799),
(239074, 'PTHR33122:SF43', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 182800),
(239075, 'PTHR45967:SF33', NULL, NULL, NULL, NULL, 'HOMOSERINE DEHYDROGENASE', 182801),
(239076, 'PTHR31867:SF178', NULL, NULL, NULL, NULL, 'EXPANSIN', 182802),
(239077, 'PTHR33355:SF10', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE, GALACTURONAN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 182803),
(239078, 'PTHR47924:SF42', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 182804),
(239079, 'PTHR40980', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 182805),
(239080, 'PTHR11685:SF286', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 182806),
(239081, 'PTHR43469', NULL, NULL, NULL, NULL, 'DISULFIDE FORMATION PROTEIN-RELATED', 182807),
(239082, 'PTHR31744:SF135', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 92', 182808),
(239083, 'PTHR31645:SF12', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL11-RELATED', 182809),
(239084, 'PTHR13050:SF9', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN, USE1-RELATED', 182810),
(239085, 'PTHR22943:SF60', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 182811),
(239086, 'PTHR31009:SF58', NULL, NULL, NULL, NULL, 'ATPP-LIKE PROTEIN-RELATED', 182812),
(239087, 'PTHR11715:SF8', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H-LIKE PROTEIN GCVH4', 182813),
(239088, 'PTHR10353:SF287', NULL, NULL, NULL, NULL, 'BNAC05G43610D PROTEIN', 182814),
(239089, 'PTHR31920:SF84', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR VRN1-LIKE', 182815),
(239090, 'PTHR24276:SF62', NULL, NULL, NULL, NULL, 'POLYSERASE-2', 182816),
(239091, 'PTHR19370:SF171', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE-LIKE', 182817); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(239092, 'PTHR24289:SF1', NULL, NULL, NULL, NULL, 'STEROID 17-ALPHA-HYDROXYLASE/17,20 LYASE', 182818),
(239093, 'PTHR10210:SF52', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 2, CHLOROPLASTIC', 182819),
(239094, 'PTHR48181', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 182820),
(239095, 'PTHR11909:SF73', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN', 182821),
(239096, 'PTHR12840', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE ASHI SUBUNIT', 182822),
(239097, 'PTHR34281:SF8', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 3-LIKE', 182823),
(239098, 'PTHR43097:SF2', NULL, NULL, NULL, NULL, 'GLUTAMINE--TRNA LIGASE', 182824),
(239099, 'PTHR24637:SF315', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 40', 182825),
(239100, 'PTHR33147:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182826),
(239101, 'PTHR31985:SF111', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF021', 182827),
(239102, 'PTHR10164:SF5', NULL, NULL, NULL, NULL, 'ISLET CELL AUTOANTIGEN 1-LIKE PROTEIN', 182828),
(239103, 'PTHR33168:SF48', NULL, NULL, NULL, NULL, 'OS04G0558700 PROTEIN', 182829),
(239104, 'PTHR23036', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR', 182830),
(239105, 'PTHR11728', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', 182831),
(239106, 'PTHR22802:SF339', NULL, NULL, NULL, NULL, 'SI:CH211-125E6.12 PROTEIN', 182832),
(239107, 'PTHR22765:SF189', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE', 182833),
(239108, 'PTHR12299:SF30', NULL, NULL, NULL, NULL, 'INTRACELLULAR HYALURONAN-BINDING PROTEIN 4', 182834),
(239109, 'PTHR26453:SF610', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 182835),
(239110, 'PTHR15011:SF3', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN F', 182836),
(239111, 'PTHR45793:SF7', NULL, NULL, NULL, NULL, 'CONE-ROD HOMEOBOX PROTEIN', 182837),
(239112, 'PTHR45958', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 182838),
(239113, 'PTHR33929:SF10', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 2-RELATED', 182839),
(239114, 'PTHR23204:SF9', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 6-LIKE', 182840),
(239115, 'PTHR43787:SF11', NULL, NULL, NULL, NULL, 'UPF0026 PROTEIN SLR1464', 182841),
(239116, 'PTHR40596', NULL, NULL, NULL, NULL, 'CITRATE LYASE ALPHA CHAIN', 182842),
(239117, 'PTHR33286:SF14', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 182843),
(239118, 'PTHR33799:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE ENZYME IIA COMPONENT YADI-RELATED', 182844),
(239119, 'PTHR33677:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR RCNR', 182845),
(239120, 'PTHR46445:SF7', NULL, NULL, NULL, NULL, 'DUF1296 FAMILY PROTEIN', 182846),
(239121, 'PTHR11654:SF422', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.5', 182847),
(239122, 'PTHR35499:SF1', NULL, NULL, NULL, NULL, 'OS05G0128300 PROTEIN', 182848),
(239123, 'PTHR22600:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182849),
(239124, 'PTHR10161:SF19', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 182850),
(239125, 'PTHR48198', NULL, NULL, NULL, NULL, 'EC PROTEIN HOMOLOG', 182851),
(239126, 'PTHR36309:SF4', NULL, NULL, NULL, NULL, 'OS07G0256200 PROTEIN', 182852),
(239127, 'PTHR32285:SF158', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 18', 182853),
(239128, 'PTHR23248:SF58', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', 182854),
(239129, 'PTHR42748:SF11', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY PROTEIN', 182855),
(239130, 'PTHR45631:SF34', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 182856),
(239131, 'PTHR44379:SF7', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE IRON-SULFUR BINDING SUBUNIT', 182857),
(239132, 'PTHR35085:SF2', NULL, NULL, NULL, NULL, 'KERATINOCYTE DIFFERENTIATION FACTOR 1B', 182858),
(239133, 'PTHR43725:SF1', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE 4', 182859),
(239134, 'PTHR33735:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182860); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(239135, 'PTHR13844:SF58', NULL, NULL, NULL, NULL, 'SWIB/MDM2 DOMAIN-CONTAINING PROTEIN-RELATED', 182861),
(239136, 'PTHR22850:SF204', NULL, NULL, NULL, NULL, 'WD-40 REPEAT-CONTAINING PROTEIN MSI5', 182862),
(239137, 'PTHR11660:SF50', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 PROTEIN', 182863),
(239138, 'PTHR20855:SF118', NULL, NULL, NULL, NULL, 'BNAC09G37480D PROTEIN', 182864),
(239139, 'PTHR31618:SF6', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', 182865),
(239140, 'PTHR45743:SF21', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT2/3', 182866),
(239141, 'PTHR11929:SF209', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN 3-ALPHA-L-FUCOSYLTRANSFERASE A-LIKE ISOFORM X1', 182867),
(239142, 'PTHR10997:SF7', NULL, NULL, NULL, NULL, 'IMPORTIN-11', 182868),
(239143, 'PTHR43592:SF22', NULL, NULL, NULL, NULL, 'BLPY PROTEIN', 182869),
(239144, 'PTHR11905:SF24', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 32', 182870),
(239145, 'PTHR21600:SF51', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RNA PSEUDOURIDINE SYNTHASE RPUSD4', 182871),
(239146, 'PTHR11929:SF145', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN 3-ALPHA-L-FUCOSYLTRANSFERASE A', 182872),
(239147, 'PTHR33832:SF15', NULL, NULL, NULL, NULL, 'SERINE-TYPE ENDOPEPTIDASE INHIBITOR', 182873),
(239148, 'PTHR20426:SF0', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN TSR3 HOMOLOG', 182874),
(239149, 'PTHR21453:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG00787', 182875),
(239150, 'PTHR31707:SF265', NULL, NULL, NULL, NULL, 'BNAANNG27150D PROTEIN', 182876),
(239151, 'PTHR33070:SF88', NULL, NULL, NULL, NULL, 'ANAMORSIN HOMOLOG', 182877),
(239152, 'PTHR19965:SF67', NULL, NULL, NULL, NULL, 'OS12G0100100 PROTEIN', 182878),
(239153, 'PTHR23235:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182879),
(239154, 'PTHR41534:SF2', NULL, NULL, NULL, NULL, '3-PHENYLPROPIONATE/CINNAMIC ACID DIOXYGENASE SUBUNIT BETA', 182880),
(239155, 'PTHR33836:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182881),
(239156, 'PTHR37941:SF1', NULL, NULL, NULL, NULL, 'FUMARASE E-RELATED', 182882),
(239157, 'PTHR32382:SF42', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 4', 182883),
(239158, 'PTHR44303', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 16', 182884),
(239159, 'PTHR11615:SF316', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 182885),
(239160, 'PTHR46148:SF21', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', 182886),
(239161, 'PTHR47465:SF1', NULL, NULL, NULL, NULL, 'MCG113260-RELATED', 182887),
(239162, 'PTHR31465:SF31', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G09550)-RELATED', 182888),
(239163, 'PTHR43793:SF1', NULL, NULL, NULL, NULL, 'FAD SYNTHASE', 182889),
(239164, 'PTHR18945:SF29', NULL, NULL, NULL, NULL, 'GLYCINE RECEPTOR SUBUNIT BETA', 182890),
(239165, 'PTHR11654:SF155', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.1', 182891),
(239166, 'PTHR11157:SF22', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', 182892),
(239167, 'PTHR42951:SF11', NULL, NULL, NULL, NULL, 'ZINC-DEPENDENT HYDROLASE, GLYOXYLASE II FAMILY', 182893),
(239168, 'PTHR28624:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 51', 182894),
(239169, 'PTHR23428:SF266', NULL, NULL, NULL, NULL, 'HISTONE H2B', 182895),
(239170, 'PTHR31471:SF71', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN-RELATED', 182896),
(239171, 'PTHR11132:SF435', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182897),
(239172, 'PTHR21734:SF10', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE-INTERACTING PROTEIN', 182898),
(239173, 'PTHR43294:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182899),
(239174, 'PTHR11746:SF151', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE 1-LIKE', 182900),
(239175, 'PTHR31284:SF43', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1-LIKE', 182901),
(239176, 'PTHR33044:SF20', NULL, NULL, NULL, NULL, 'OS07G0175000 PROTEIN', 182902),
(239177, 'PTHR12372:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PECANEX', 182903);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(239178, 'PTHR32009:SF57', NULL, NULL, NULL, NULL, 'TIR DOMAIN-CONTAINING PROTEIN', 182904),
(239179, 'PTHR31194:SF141', NULL, NULL, NULL, NULL, 'BNAA08G13940D PROTEIN', 182905),
(239180, 'PTHR11014:SF158', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 1-RELATED', 182906),
(239181, 'PTHR31297:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182907),
(239182, 'PTHR10003:SF86', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE FOR SUPEROXIDE DISMUTASE, CHLOROPLASTIC/CYTOSOLIC', 182908),
(239183, 'PTHR10953:SF155', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME 1', 182909),
(239184, 'PTHR35279', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 182910),
(239185, 'PTHR24384:SF209', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 331', 182911),
(239186, 'PTHR27006:SF229', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 2', 182912),
(239187, 'PTHR11624:SF103', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA', 182913),
(239188, 'PTHR31072:SF179', NULL, NULL, NULL, NULL, 'BNAC09G47560D PROTEIN', 182914),
(239189, 'PTHR33236:SF12', NULL, NULL, NULL, NULL, 'FI18409P1', 182915),
(239190, 'PTHR46855:SF9', NULL, NULL, NULL, NULL, 'BNAC08G48130D PROTEIN', 182916),
(239191, 'PTHR47518:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-13', 182917),
(239192, 'PTHR33510:SF9', NULL, NULL, NULL, NULL, 'HIT-TYPE ZINC FINGER FAMILY PROTEIN-RELATED', 182918),
(239193, 'PTHR24119:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182919),
(239194, 'PTHR15838:SF2', NULL, NULL, NULL, NULL, 'OS05G0535800 PROTEIN', 182920),
(239195, 'PTHR23428:SF262', NULL, NULL, NULL, NULL, 'HISTONE H2B.11', 182921),
(239196, 'PTHR31992:SF153', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.1-LIKE', 182922),
(239197, 'PTHR14885', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 182923),
(239198, 'PTHR40063', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 182924),
(239199, 'PTHR43431', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_5G14000)', 182925),
(239200, 'PTHR46891:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 182926),
(239201, 'PTHR33622:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182927),
(239202, 'PTHR46128:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182928),
(239203, 'PTHR47926:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182929),
(239204, 'PTHR42104:SF1', NULL, NULL, NULL, NULL, 'EXTRACELLULAR GUANYL-SPECIFIC RIBONUCLEASE RNTA (AFU_ORTHOLOGUE AFUA_4G03230)', 182930),
(239205, 'PTHR43744:SF3', NULL, NULL, NULL, NULL, 'LACTOSE TRANSPORT SYSTEM PERMEASE PROTEIN LACG', 182931),
(239206, 'PTHR21128:SF0', NULL, NULL, NULL, NULL, 'FETAL AND ADULT TESTIS-EXPRESSED TRANSCRIPT PROTEIN', 182932),
(239207, 'PTHR11132:SF367', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSPORTER 2-LIKE', 182933),
(239208, 'PTHR45640:SF14', NULL, NULL, NULL, NULL, 'ALPHA-CRYSTALLIN A CHAIN-RELATED', 182934),
(239209, 'PTHR14167:SF69', NULL, NULL, NULL, NULL, 'OSJNBA0011L07.8 PROTEIN', 182935),
(239210, 'PTHR22750:SF39', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 3', 182936),
(239211, 'PTHR12411:SF281', NULL, NULL, NULL, NULL, 'PROTEIN CBG01104', 182937),
(239212, 'PTHR38032', NULL, NULL, NULL, NULL, 'POLYMERASE-RELATED', 182938),
(239213, 'PTHR45617:SF103', NULL, NULL, NULL, NULL, 'RE54577P', 182939),
(239214, 'PTHR47209:SF4', NULL, NULL, NULL, NULL, 'SEED DORMANCY CONTROL PROTEIN', 182940),
(239215, 'PTHR45905:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-BINDING PROTEIN GGA2', 182941),
(239216, 'PTHR24206:SF86', NULL, NULL, NULL, NULL, 'BNACNNG08890D PROTEIN', 182942),
(239217, 'PTHR36780', NULL, NULL, NULL, NULL, 'OS05G0241400 PROTEIN', 182943),
(239218, 'PTHR43862', NULL, NULL, NULL, NULL, 'MALTODEXTRIN GLUCOSIDASE', 182944),
(239219, 'PTHR47292:SF4', NULL, NULL, NULL, NULL, 'BNAA03G46630D PROTEIN', 182945),
(239220, 'PTHR33931:SF4', NULL, NULL, NULL, NULL, 'ANTIHOLIN-LIKE PROTEIN LRGA', 182946),
(239221, 'PTHR31569', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 182947); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(239222, 'PTHR23226:SF238', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 528', 182948),
(239223, 'PTHR15591:SF14', NULL, NULL, NULL, NULL, 'IPORIN', 182949),
(239224, 'PTHR13136', NULL, NULL, NULL, NULL, 'TESTIS DEVELOPMENT PROTEIN PRTD', 182950),
(239225, 'PTHR11662', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 17', 182951),
(239226, 'PTHR18929:SF217', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 1-3', 182952),
(239227, 'PTHR27005:SF169', NULL, NULL, NULL, NULL, 'OS09G0482640 PROTEIN', 182953),
(239228, 'PTHR38365:SF3', NULL, NULL, NULL, NULL, 'BNAC07G18580D PROTEIN', 182954),
(239229, 'PTHR21319:SF51', NULL, NULL, NULL, NULL, 'CHY ZINC FINGER FAMILY PROTEIN, EXPRESSED', 182955),
(239230, 'PTHR22702:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182956),
(239231, 'PTHR10353:SF265', NULL, NULL, NULL, NULL, 'BNAA05G34490D PROTEIN', 182957),
(239232, 'PTHR43740', NULL, NULL, NULL, NULL, 'LEUCYL-TRNA SYNTHETASE', 182958),
(239233, 'PTHR38453', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 182959),
(239234, 'PTHR33147:SF31', NULL, NULL, NULL, NULL, 'DEFENSIN', 182960),
(239235, 'PTHR11848:SF44', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 5', 182961),
(239236, 'PTHR43544', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE', 182962),
(239237, 'PTHR33184:SF27', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 182963),
(239238, 'PTHR47926', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 182964),
(239239, 'PTHR30520:SF9', NULL, NULL, NULL, NULL, 'TRANSPORTER 1, PUTATIVE-RELATED', 182965),
(239240, 'PTHR10918:SF3', NULL, NULL, NULL, NULL, 'HOMER PROTEIN HOMOLOG 1', 182966),
(239241, 'PTHR30429', NULL, NULL, NULL, NULL, 'D-METHIONINE-BINDING LIPOPROTEIN METQ', 182967),
(239242, 'PTHR47013:SF1', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, ARGININE/SERINE-RICH 19', 182968),
(239243, 'PTHR31317:SF3', NULL, NULL, NULL, NULL, 'OS07G0133500 PROTEIN', 182969),
(239244, 'PTHR10404:SF32', NULL, NULL, NULL, NULL, 'INACTIVE N-ACETYLATED-ALPHA-LINKED ACIDIC DIPEPTIDASE-LIKE PROTEIN 2', 182970),
(239245, 'PTHR45659:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C6', 182971),
(239246, 'PTHR10288:SF287', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN-RELATED', 182972),
(239247, 'PTHR15467:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGERS AND HOMEOBOXES PROTEIN 3', 182973),
(239248, 'PTHR43979:SF1', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 17', 182974),
(239249, 'PTHR21450', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 182975),
(239250, 'PTHR31944:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182976),
(239251, 'PTHR12411:SF772', NULL, NULL, NULL, NULL, 'BNAA08G28550D PROTEIN', 182977),
(239252, 'PTHR36582:SF2', NULL, NULL, NULL, NULL, 'ANTITOXIN PARD', 182978),
(239253, 'PTHR21669:SF35', NULL, NULL, NULL, NULL, 'UBINUCLEIN-2', 182979),
(239254, 'PTHR43358:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182980),
(239255, 'PTHR43176:SF28', NULL, NULL, NULL, NULL, 'BNAA08G28670D PROTEIN', 182981),
(239256, 'PTHR19375:SF390', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 2', 182982),
(239257, 'PTHR16193', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 182983),
(239258, 'PTHR10584:SF157', NULL, NULL, NULL, NULL, 'SULFOFRUCTOSE KINASE', 182984),
(239259, 'PTHR31867:SF155', NULL, NULL, NULL, NULL, 'EXPANSIN', 182985),
(239260, 'PTHR47211:SF2', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASR3', 182986),
(239261, 'PTHR11571:SF238', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182987),
(239262, 'PTHR22298:SF124', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 1', 182988),
(239263, 'PTHR11732:SF437', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182989),
(239264, 'PTHR21567:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182990),
(239265, 'PTHR16083:SF26', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN SOG2', 182991),
(239266, 'PTHR16134:SF92', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 182992),
(239267, 'PTHR33237:SF30', NULL, NULL, NULL, NULL, 'BNAA01G26690D PROTEIN', 182993); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(239268, 'PTHR45839', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 182994),
(239269, 'PTHR33101:SF10', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 12', 182995),
(239270, 'PTHR24221:SF494', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 23, MITOCHONDRIAL-RELATED', 182996),
(239271, 'PTHR31790:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 182997),
(239272, 'PTHR48047:SF64', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 182998),
(239273, 'PTHR10044:SF168', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING 5B', 182999),
(239274, 'PTHR47417:SF1', NULL, NULL, NULL, NULL, 'SMR DOMAIN-CONTAINING PROTEIN YPL199C', 183000),
(239275, 'PTHR45966:SF19', NULL, NULL, NULL, NULL, 'ESTER HYDROLASE, PUTATIVE-RELATED', 183001),
(239276, 'PTHR48041:SF15', NULL, NULL, NULL, NULL, 'FI05267P', 183002),
(239277, 'PTHR47119:SF2', NULL, NULL, NULL, NULL, 'C GLOBULAR STAGE ISOFORM 1', 183003),
(239278, 'PTHR11157:SF137', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 4', 183004),
(239279, 'PTHR10638:SF22', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 183005),
(239280, 'PTHR12542:SF23', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 183006),
(239281, 'PTHR43574:SF6', NULL, NULL, NULL, NULL, 'OS01G0261500 PROTEIN', 183007),
(239282, 'PTHR31235:SF352', NULL, NULL, NULL, NULL, 'PEROXIDASE', 183008),
(239283, 'PTHR16022:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 60', 183009),
(239284, 'PTHR13048:SF0', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT', 183010),
(239285, 'PTHR14269:SF45', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--GLYCEROL-3-PHOSPHATE 3-PHOSPHATIDYLTRANSFERASE 2-LIKE', 183011),
(239286, 'PTHR46203', NULL, NULL, NULL, NULL, 'PROBABLE PEPTIDE CHAIN RELEASE FACTOR C12ORF65', 183012),
(239287, 'PTHR33673:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183013),
(239288, 'PTHR16083:SF32', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 28', 183014),
(239289, 'PTHR14136:SF32', NULL, NULL, NULL, NULL, 'SLL1446 PROTEIN', 183015),
(239290, 'PTHR31425:SF8', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', 183016),
(239291, 'PTHR27006:SF431', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10 ISOFORM X1', 183017),
(239292, 'PTHR43505:SF1', NULL, NULL, NULL, NULL, 'REVERSE GYRASE', 183018),
(239293, 'PTHR23501:SF81', NULL, NULL, NULL, NULL, 'VACUOLAR BASIC AMINO ACID TRANSPORTER 2', 183019),
(239294, 'PTHR22996:SF18', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 183020),
(239295, 'PTHR33088', NULL, NULL, NULL, NULL, 'MUCIN-2', 183021),
(239296, 'PTHR45747:SF8', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 183022),
(239297, 'PTHR24114:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183023),
(239298, 'PTHR11206:SF386', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 183024),
(239299, 'PTHR37564:SF2', NULL, NULL, NULL, NULL, 'DNA-ASSOCIATED PROTEIN, PUTATIVE-RELATED', 183025),
(239300, 'PTHR34287:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183026),
(239301, 'PTHR33214:SF23', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2-RELATED', 183027),
(239302, 'PTHR43209:SF1', NULL, NULL, NULL, NULL, 'TRNA SULFURTRANSFERASE', 183028),
(239303, 'PTHR10350:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP155', 183029),
(239304, 'PTHR11829:SF342', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN L2', 183030),
(239305, 'PTHR33264:SF24', NULL, NULL, NULL, NULL, 'GB|AAF02136.1', 183031),
(239306, 'PTHR44191', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KUA1', 183032),
(239307, 'PTHR34400:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 183033),
(239308, 'PTHR11782:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183034),
(239309, 'PTHR11941:SF27', NULL, NULL, NULL, NULL, 'ETHYLMALONYL-COA DECARBOXYLASE', 183035),
(239310, 'PTHR12411:SF412', NULL, NULL, NULL, NULL, 'CATHEPSIN F', 183036),
(239311, 'PTHR33115:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183037);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(239312, 'PTHR24037', NULL, NULL, NULL, NULL, 'HEART DEVELOPMENT PROTEIN WITH EGF-LIKE DOMAINS 1', 183038),
(239313, 'PTHR11803:SF22', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE FAMILY PROTEIN BRT1, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03780)-RELATED', 183039),
(239314, 'PTHR43908:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183040),
(239315, 'PTHR34710:SF18', NULL, NULL, NULL, NULL, 'OS05G0522700 PROTEIN', 183041),
(239316, 'PTHR26379:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183042),
(239317, 'PTHR22933:SF19', NULL, NULL, NULL, NULL, 'AGAP001203-PA', 183043),
(239318, 'PTHR10687:SF58', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 183044),
(239319, 'PTHR45751:SF23', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RGLG2-LIKE ISOFORM X1', 183045),
(239320, 'PTHR12374:SF66', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER', 183046),
(239321, 'PTHR20961:SF99', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', 183047),
(239322, 'PTHR32278:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183048),
(239323, 'PTHR43498:SF1', NULL, NULL, NULL, NULL, 'FERREDOXIN:COB-COM HETERODISULFIDE REDUCTASE SUBUNIT A', 183049),
(239324, 'PTHR13019:SF22', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23', 183050),
(239325, 'PTHR48005', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT KINASE 2', 183051),
(239326, 'PTHR11210:SF2', NULL, NULL, NULL, NULL, 'RING-BOX PROTEIN 1A-RELATED', 183052),
(239327, 'PTHR12806:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING PROTEIN SNF8', 183053),
(239328, 'PTHR24286:SF37', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 724B1', 183054),
(239329, 'PTHR32285:SF227', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 28', 183055),
(239330, 'PTHR39183', NULL, NULL, NULL, NULL, 'SPORE COAT PROTEIN F-LIKE PROTEIN YHCQ', 183056),
(239331, 'PTHR10956:SF36', NULL, NULL, NULL, NULL, 'OS02G0717800 PROTEIN', 183057),
(239332, 'PTHR33207:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183058),
(239333, 'PTHR35737:SF1', NULL, NULL, NULL, NULL, 'CRYPTIC LOCI REGULATOR', 183059),
(239334, 'PTHR10725:SF65', NULL, NULL, NULL, NULL, 'THAP DOMAIN CONTAINING 6', 183060),
(239335, 'PTHR22806', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP37  P37 -RELATED', 183061),
(239336, 'PTHR19332:SF7', NULL, NULL, NULL, NULL, 'BNAA05G30070D PROTEIN', 183062),
(239337, 'PTHR23233:SF19', NULL, NULL, NULL, NULL, 'SAL-LIKE PROTEIN 4', 183063),
(239338, 'PTHR46248:SF14', NULL, NULL, NULL, NULL, 'BNAA05G26620D PROTEIN', 183064),
(239339, 'PTHR31636:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183065),
(239340, 'PTHR23267:SF428', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183066),
(239341, 'PTHR14009:SF7', NULL, NULL, NULL, NULL, 'LETM1 DOMAIN-CONTAINING PROTEIN LETM2, MITOCHONDRIAL', 183067),
(239342, 'PTHR33091:SF86', NULL, NULL, NULL, NULL, 'OS12G0548700 PROTEIN', 183068),
(239343, 'PTHR34657:SF4', NULL, NULL, NULL, NULL, 'EMBRYO SAC DEVELOPMENT ARREST 6', 183069),
(239344, 'PTHR13068:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 4, MITOCHONDRIAL', 183070),
(239345, 'PTHR47928:SF100', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN CHLOROPLASTIC/MITOCHONDRIAL', 183071),
(239346, 'PTHR43602', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 183072),
(239347, 'PTHR23113:SF329', NULL, NULL, NULL, NULL, 'RAS-SPECIFIC GUANINE NUCLEOTIDE-RELEASING FACTOR RALGPS1-LIKE PROTEIN', 183073),
(239348, 'PTHR23294:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG24830', 183074),
(239349, 'PTHR12448:SF4', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT EPSILON, MITOCHONDRIAL-LIKE', 183075),
(239350, 'PTHR24219:SF3', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN 1', 183076),
(239351, 'PTHR26453:SF641', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2J3', 183077),
(239352, 'PTHR24012:SF716', NULL, NULL, NULL, NULL, 'CUGBP ELAV-LIKE FAMILY MEMBER 6', 183078),
(239353, 'PTHR30055:SF169', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR KSTR', 183079),
(239354, 'PTHR11458:SF2', NULL, NULL, NULL, NULL, 'DELTA-AMINOLEVULINIC ACID DEHYDRATASE', 183080);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(239355, 'PTHR10593:SF144', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 7', 183081),
(239356, 'PTHR43464:SF54', NULL, NULL, NULL, NULL, 'TRNA U34 CARBOXYMETHYLTRANSFERASE', 183082),
(239357, 'PTHR27004:SF387', NULL, NULL, NULL, NULL, 'BNAA04G19350D PROTEIN', 183083),
(239358, 'PTHR45661:SF10', NULL, NULL, NULL, NULL, 'SURFACE ANTIGEN', 183084),
(239359, 'PTHR46125:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183085),
(239360, 'PTHR31499:SF2', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 2', 183086),
(239361, 'PTHR19308:SF7', NULL, NULL, NULL, NULL, 'START DOMAIN-CONTAINING PROTEIN 10', 183087),
(239362, 'PTHR33057:SF149', NULL, NULL, NULL, NULL, 'OVATE FAMILY PROTEIN 8-RELATED', 183088),
(239363, 'PTHR43859:SF3', NULL, NULL, NULL, NULL, 'ENTEROBACTIN SYNTHASE COMPONENT E', 183089),
(239364, 'PTHR33168:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183090),
(239365, 'PTHR10293', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN FAMILY MEMBER', 183091),
(239366, 'PTHR21119:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID TRANSFER PROTEIN C2CD2L', 183092),
(239367, 'PTHR12565:SF358', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', 183093),
(239368, 'PTHR37263', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 183094),
(239369, 'PTHR35491:SF9', NULL, NULL, NULL, NULL, 'OS05G0101300 PROTEIN', 183095),
(239370, 'PTHR19433:SF119', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 35', 183096),
(239371, 'PTHR48018:SF121', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5D18', 183097),
(239372, 'PTHR11988:SF7', NULL, NULL, NULL, NULL, 'D SITE-BINDING PROTEIN', 183098),
(239373, 'PTHR12892:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG02772', 183099),
(239374, 'PTHR31155:SF32', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE', 183100),
(239375, 'PTHR34580:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PAFC', 183101),
(239376, 'PTHR28186', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 9 PROTEIN', 183102),
(239377, 'PTHR11654:SF534', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.7', 183103),
(239378, 'PTHR22771:SF2', NULL, NULL, NULL, NULL, 'CULLIN-9', 183104),
(239379, 'PTHR47477:SF11', NULL, NULL, NULL, NULL, 'TRAF-LIKE SUPERFAMILY PROTEIN', 183105),
(239380, 'PTHR31062:SF153', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 21-RELATED', 183106),
(239381, 'PTHR15907:SF59', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 7', 183107),
(239382, 'PTHR31414:SF16', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 183108),
(239383, 'PTHR45197:SF1', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04190)-RELATED', 183109),
(239384, 'PTHR23426', NULL, NULL, NULL, NULL, 'FERREDOXIN/ADRENODOXIN', 183110),
(239385, 'PTHR24361:SF690', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK4', 183111),
(239386, 'PTHR13318:SF163', NULL, NULL, NULL, NULL, 'EIN3-BINDING F-BOX PROTEIN 2-LIKE', 183112),
(239387, 'PTHR26454:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 183113),
(239388, 'PTHR46215:SF5', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 183114),
(239389, 'PTHR15678:SF9', NULL, NULL, NULL, NULL, 'PROTEIN KINKY POLLEN', 183115),
(239390, 'PTHR34661:SF10', NULL, NULL, NULL, NULL, 'BNAC07G15100D PROTEIN', 183116),
(239391, 'PTHR11346:SF86', NULL, NULL, NULL, NULL, 'GALECTIN', 183117),
(239392, 'PTHR15715:SF18', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 170 KDA PROTEIN B', 183118),
(239393, 'PTHR11941:SF12', NULL, NULL, NULL, NULL, 'METHYLGLUTACONYL-COA HYDRATASE, MITOCHONDRIAL', 183119),
(239394, 'PTHR47298', NULL, NULL, NULL, NULL, 'OXIDIZED LOW-DENSITY LIPOPROTEIN RECEPTOR 1', 183120),
(239395, 'PTHR42886:SF65', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', 183121),
(239396, 'PTHR16839:SF1', NULL, NULL, NULL, NULL, 'GALANIN PEPTIDES', 183122),
(239397, 'PTHR31907:SF48', NULL, NULL, NULL, NULL, 'BET V I/MAJOR LATEX PROTEIN, START-LIKE DOMAIN PROTEIN-RELATED', 183123),
(239398, 'PTHR23220:SF4', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-V', 183124),
(239399, 'PTHR11208:SF30', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING, RNA-BINDING, SIGNAL TRANSDUCTION-ASSOCIATED PROTEIN 1', 183125);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(239400, 'PTHR24396', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 183126),
(239401, 'PTHR24064:SF217', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 9', 183127),
(239402, 'PTHR31828:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIALPHA', 183128),
(239403, 'PTHR46129', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN 14, ISOFORM D', 183129),
(239404, 'PTHR10934:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18-1-RELATED', 183130),
(239405, 'PTHR14179:SF11', NULL, NULL, NULL, NULL, 'SUBMAXILLARY GLAND ANDROGEN-REGULATED PROTEIN 3A', 183131),
(239406, 'PTHR47925:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183132),
(239407, 'PTHR46351:SF6', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN PR-4A', 183133),
(239408, 'PTHR42860:SF2', NULL, NULL, NULL, NULL, 'SUBSTRATE BINDING PROTEIN OF AN ABC TRANSPORTER COMPLEX', 183134),
(239409, 'PTHR45270:SF5', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN, CLEAVAGE INDUCING MOLECULAR CHAPERONE, JIV-RELATED', 183135),
(239410, 'PTHR31561:SF74', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 183136),
(239411, 'PTHR12555:SF20', NULL, NULL, NULL, NULL, 'UBIQUITIN RECOGNITION FACTOR IN ER-ASSOCIATED DEGRADATION PROTEIN 1', 183137),
(239412, 'PTHR10676:SF352', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 2 HEAVY CHAIN 1', 183138),
(239413, 'PTHR11434:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183139),
(239414, 'PTHR45851:SF6', NULL, NULL, NULL, NULL, 'PROTEIN B-MYC', 183140),
(239415, 'PTHR32212:SF352', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183141),
(239416, 'PTHR33509:SF33', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 183142),
(239417, 'PTHR31311:SF13', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 5-RELATED', 183143),
(239418, 'PTHR38019:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183144),
(239419, 'PTHR47273:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 183145),
(239420, 'PTHR43313:SF36', NULL, NULL, NULL, NULL, 'GH26015P', 183146),
(239421, 'PTHR12673:SF248', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183147),
(239422, 'PTHR34199:SF4', NULL, NULL, NULL, NULL, 'OS01G0772700 PROTEIN', 183148),
(239423, 'PTHR31062:SF230', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 183149),
(239424, 'PTHR47924:SF32', NULL, NULL, NULL, NULL, 'BNACNNG31280D PROTEIN', 183150),
(239425, 'PTHR33332:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183151),
(239426, 'PTHR11269', NULL, NULL, NULL, NULL, 'PERIOD CIRCADIAN PROTEIN', 183152),
(239427, 'PTHR43737:SF1', NULL, NULL, NULL, NULL, 'BLL7424 PROTEIN', 183153),
(239428, 'PTHR37096:SF1', NULL, NULL, NULL, NULL, 'YALI0E33429P', 183154),
(239429, 'PTHR32134:SF143', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FNKE-RELATED', 183155),
(239430, 'PTHR24082:SF210', NULL, NULL, NULL, NULL, 'THYROID HORMONE RECEPTOR BETA', 183156),
(239431, 'PTHR23309:SF39', NULL, NULL, NULL, NULL, 'BNAA01G07910D PROTEIN', 183157),
(239432, 'PTHR27005:SF225', NULL, NULL, NULL, NULL, 'OS04G0307900 PROTEIN', 183158),
(239433, 'PTHR33479', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE BRAN TRYPSIN INHIBITOR', 183159),
(239434, 'PTHR11654:SF403', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.7-LIKE', 183160),
(239435, 'PTHR47990:SF142', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 3-LIKE', 183161),
(239436, 'PTHR22950:SF482', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)-RELATED', 183162),
(239437, 'PTHR11132:SF389', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER 1', 183163),
(239438, 'PTHR48021:SF20', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 6', 183164),
(239439, 'PTHR10527:SF68', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT BETA-1', 183165),
(239440, 'PTHR31846:SF19', NULL, NULL, NULL, NULL, 'CRM-DOMAIN CONTAINING FACTOR CFM3A, CHLOROPLASTIC/MITOCHONDRIAL', 183166),
(239441, 'PTHR21533:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183167),
(239442, 'PTHR21500:SF4', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE A', 183168),
(239443, 'PTHR45648:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183169);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(239444, 'PTHR11588:SF309', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 183170),
(239445, 'PTHR48092:SF13', NULL, NULL, NULL, NULL, 'ANDROGEN RECEPTOR', 183171),
(239446, 'PTHR14614:SF138', NULL, NULL, NULL, NULL, 'NICOTINAMIDE N-METHYLTRANSFERASE-LIKE', 183172),
(239447, 'PTHR43448:SF7', NULL, NULL, NULL, NULL, 'PROTOHEME IX FARNESYLTRANSFERASE', 183173),
(239448, 'PTHR45657:SF20', NULL, NULL, NULL, NULL, 'CRAL/TRIO DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G00680)', 183174),
(239449, 'PTHR31042:SF76', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-16-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 183175),
(239450, 'PTHR10795:SF653', NULL, NULL, NULL, NULL, 'CUCUMISIN-RELATED', 183176),
(239451, 'PTHR31403:SF59', NULL, NULL, NULL, NULL, 'BNAA05G35290D PROTEIN', 183177),
(239452, 'PTHR45738:SF21', NULL, NULL, NULL, NULL, 'BNAC05G13480D PROTEIN', 183178),
(239453, 'PTHR14155:SF491', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL41', 183179),
(239454, 'PTHR47792', NULL, NULL, NULL, NULL, 'PROTEIN SOK2-RELATED', 183180),
(239455, 'PTHR36046:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 183181),
(239456, 'PTHR48017:SF48', NULL, NULL, NULL, NULL, 'VESICULAR GABA TRANSPORTER', 183182),
(239457, 'PTHR47928:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183183),
(239458, 'PTHR35852:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08380', 183184),
(239459, 'PTHR30157:SF1', NULL, NULL, NULL, NULL, 'VIBRIOBACTIN UTILIZATION PROTEIN VIUB', 183185),
(239460, 'PTHR21530:SF0', NULL, NULL, NULL, NULL, 'TRAB DOMAIN-CONTAINING PROTEIN', 183186),
(239461, 'PTHR21096:SF4', NULL, NULL, NULL, NULL, 'BNAA04G25360D PROTEIN', 183187),
(239462, 'PTHR31066:SF77', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P (PB1) DOMAIN PROTEIN', 183188),
(239463, 'PTHR11945:SF585', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2B', 183189),
(239464, 'PTHR46477', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', 183190),
(239465, 'PTHR13593:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183191),
(239466, 'PTHR24123:SF114', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 10', 183192),
(239467, 'PTHR19957:SF88', NULL, NULL, NULL, NULL, 'SYNTAXIN-12', 183193),
(239468, 'PTHR22118', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 3, AXONEMAL', 183194),
(239469, 'PTHR12100:SF5', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC10-LIKE PROTEIN-RELATED', 183195),
(239470, 'PTHR33384:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183196),
(239471, 'PTHR11851:SF207', NULL, NULL, NULL, NULL, 'BNAA01G33220D PROTEIN', 183197),
(239472, 'PTHR11454:SF31', NULL, NULL, NULL, NULL, 'INSULIN, ISOFORM 2', 183198),
(239473, 'PTHR31636:SF225', NULL, NULL, NULL, NULL, 'NODULATION-SIGNALING PATHWAY 2 PROTEIN-LIKE', 183199),
(239474, 'PTHR31901:SF66', NULL, NULL, NULL, NULL, 'BNACNNG59530D PROTEIN', 183200),
(239475, 'PTHR47338:SF19', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 183201),
(239476, 'PTHR38601', NULL, NULL, NULL, NULL, 'HYDROGENASE-4 COMPONENT E', 183202),
(239477, 'PTHR31747:SF14', NULL, NULL, NULL, NULL, 'PROTEIN LOL2', 183203),
(239478, 'PTHR46755', NULL, NULL, NULL, NULL, 'METHIONINE-R-SULFOXIDE REDUCTASE B1', 183204),
(239479, 'PTHR45658:SF60', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 183205),
(239480, 'PTHR33433:SF28', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 1', 183206),
(239481, 'PTHR10527:SF61', NULL, NULL, NULL, NULL, 'IMPORTIN BETA 3 FAMILY PROTEIN', 183207),
(239482, 'PTHR33782', NULL, NULL, NULL, NULL, 'OS01G0121600 PROTEIN', 183208),
(239483, 'PTHR31251:SF138', NULL, NULL, NULL, NULL, 'TEOSINTE GLUME ARCHITECTURE 1-LIKE', 183209),
(239484, 'PTHR11441:SF5', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE', 183210),
(239485, 'PTHR13018:SF87', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11660)-RELATED', 183211),
(239486, 'PTHR47248:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG19214', 183212),
(239487, 'PTHR23021:SF32', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', 183213);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(239488, 'PTHR21225:SF6', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE, TRP-SENSITIVE', 183214),
(239489, 'PTHR33566', NULL, NULL, NULL, NULL, 'EN/SPM-LIKE TRANSPOSON-RELATED', 183215),
(239490, 'PTHR32411:SF44', NULL, NULL, NULL, NULL, 'OS05G0112800 PROTEIN', 183216),
(239491, 'PTHR27006:SF368', NULL, NULL, NULL, NULL, 'BNACNNG58230D PROTEIN', 183217),
(239492, 'PTHR10553:SF28', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', 183218),
(239493, 'PTHR46508:SF9', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 1', 183219),
(239494, 'PTHR22945:SF29', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 183220),
(239495, 'PTHR24326:SF531', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-22', 183221),
(239496, 'PTHR22957:SF26', NULL, NULL, NULL, NULL, 'LD44506P', 183222),
(239497, 'PTHR42718:SF23', NULL, NULL, NULL, NULL, 'YALI0F06908P', 183223),
(239498, 'PTHR46178:SF2', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 183224),
(239499, 'PTHR31218:SF285', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 183225),
(239500, 'PTHR11817:SF92', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE I', 183226),
(239501, 'PTHR19316:SF18', NULL, NULL, NULL, NULL, 'HSP70-BINDING PROTEIN 1', 183227),
(239502, 'PTHR14508:SF1', NULL, NULL, NULL, NULL, 'SNURF-LIKE PROTEIN-RELATED', 183228),
(239503, 'PTHR36102', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', 183229),
(239504, 'PTHR12800', NULL, NULL, NULL, NULL, 'CDC37-RELATED', 183230),
(239505, 'PTHR11615:SF235', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1A1', 183231),
(239506, 'PTHR23428:SF261', NULL, NULL, NULL, NULL, 'HISTONE H2B', 183232),
(239507, 'PTHR33228:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183233),
(239508, 'PTHR31446:SF2', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE/VANADIUM-DEPENDENT HALOPEROXIDASE-RELATED PROTEIN', 183234),
(239509, 'PTHR31962:SF4', NULL, NULL, NULL, NULL, 'PRIMARY COMPONENT OF EISOSOMES (EUROFUNG)', 183235),
(239510, 'PTHR36467:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 207', 183236),
(239511, 'PTHR34802:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183237),
(239512, 'PTHR46858:SF9', NULL, NULL, NULL, NULL, 'OS05G0521000 PROTEIN', 183238),
(239513, 'PTHR43780', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE DEAMINASE-RELATED', 183239),
(239514, 'PTHR21499:SF41', NULL, NULL, NULL, NULL, 'ASPARTOKINASE 1', 183240),
(239515, 'PTHR22835:SF158', NULL, NULL, NULL, NULL, 'OS01G0331100 PROTEIN', 183241),
(239516, 'PTHR12534', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S2  PROKARYOTIC AND ORGANELLAR', 183242),
(239517, 'PTHR32142:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183243),
(239518, 'PTHR13318:SF129', NULL, NULL, NULL, NULL, 'EIN3-BINDING F-BOX-LIKE PROTEIN', 183244),
(239519, 'PTHR37829:SF5', NULL, NULL, NULL, NULL, 'BASEPLATE ASSEMBLY PROTEIN V-RELATED', 183245),
(239520, 'PTHR39180:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183246),
(239521, 'PTHR36152', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 183247),
(239522, 'PTHR28518:SF1', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN15', 183248),
(239523, 'PTHR34792', NULL, NULL, NULL, NULL, 'OS02G0121500 PROTEIN', 183249),
(239524, 'PTHR15036:SF68', NULL, NULL, NULL, NULL, 'NEUREXIN 1, ISOFORM F', 183250),
(239525, 'PTHR21497:SF39', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR3', 183251),
(239526, 'PTHR12631:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183252),
(239527, 'PTHR12316:SF20', NULL, NULL, NULL, NULL, 'NINJURIN A ALPHA', 183253),
(239528, 'PTHR46327', NULL, NULL, NULL, NULL, 'F16F4.11 PROTEIN-RELATED', 183254),
(239529, 'PTHR43811', NULL, NULL, NULL, NULL, 'FKBP-TYPE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKPA', 183255),
(239530, 'PTHR31325:SF224', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183256),
(239531, 'PTHR24248:SF132', NULL, NULL, NULL, NULL, 'TYRAMINE/OCTOPAMINE RECEPTOR', 183257),
(239532, 'PTHR33124:SF56', NULL, NULL, NULL, NULL, 'BNACNNG19610D PROTEIN', 183258),
(239533, 'PTHR31297', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,6-BETA-GLUCOSIDASE B', 183259);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(239534, 'PTHR23155:SF1091', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 183260),
(239535, 'PTHR23401:SF0', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 5 ACTIVATOR', 183261),
(239536, 'PTHR34660:SF18', NULL, NULL, NULL, NULL, 'BNAC05G44690D PROTEIN', 183262),
(239537, 'PTHR28562', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 9', 183263),
(239538, 'PTHR11571:SF233', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', 183264),
(239539, 'PTHR40351', NULL, NULL, NULL, NULL, 'PROTEIN CBG19323', 183265),
(239540, 'PTHR11552:SF186', NULL, NULL, NULL, NULL, 'AGAP003786-PA', 183266),
(239541, 'PTHR11958:SF96', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 183267),
(239542, 'PTHR11544:SF126', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN SCOF', 183268),
(239543, 'PTHR43172:SF1', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE LYASE', 183269),
(239544, 'PTHR46112:SF5', NULL, NULL, NULL, NULL, 'DIPEPTIDASE PEPE-RELATED', 183270),
(239545, 'PTHR47477:SF6', NULL, NULL, NULL, NULL, 'TRAF-LIKE SUPERFAMILY PROTEIN', 183271),
(239546, 'PTHR45675:SF71', NULL, NULL, NULL, NULL, 'BNAC02G38120D PROTEIN', 183272),
(239547, 'PTHR31218:SF315', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 183273),
(239548, 'PTHR46998:SF1', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 10', 183274),
(239549, 'PTHR33057:SF9', NULL, NULL, NULL, NULL, 'OS03G0197900 PROTEIN', 183275),
(239550, 'PTHR48002:SF95', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 183276),
(239551, 'PTHR36127:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 183277),
(239552, 'PTHR32263:SF15', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE RCD1', 183278),
(239553, 'PTHR13456', NULL, NULL, NULL, NULL, 'UPF0729 PROTEIN C18ORF32', 183279),
(239554, 'PTHR23070:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183280),
(239555, 'PTHR19359:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183281),
(239556, 'PTHR37301:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', 183282),
(239557, 'PTHR44203:SF2', NULL, NULL, NULL, NULL, 'ETO1-LIKE PROTEIN 1', 183283),
(239558, 'PTHR47521:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG01451', 183284),
(239559, 'PTHR22590:SF3', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN E', 183285),
(239560, 'PTHR39150:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L28, MITOCHONDRIAL', 183286),
(239561, 'PTHR31190:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183287),
(239562, 'PTHR33735:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183288),
(239563, 'PTHR22847:SF516', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 5B', 183289),
(239564, 'PTHR35860:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM24B', 183290),
(239565, 'PTHR34491:SF45', NULL, NULL, NULL, NULL, 'ANUCLEATE PRIMARY STERIGMATA PROTEIN B', 183291),
(239566, 'PTHR11017:SF277', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPS4-RELATED', 183292),
(239567, 'PTHR36010:SF2', NULL, NULL, NULL, NULL, 'LOW PROTEIN: CYTOCHROME C BIOGENESIS CCMF-LIKE PROTEIN', 183293),
(239568, 'PTHR19957:SF291', NULL, NULL, NULL, NULL, 'BNAA09G56390D PROTEIN', 183294),
(239569, 'PTHR23147:SF3', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 12', 183295),
(239570, 'PTHR47926:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183296),
(239571, 'PTHR11829:SF358', NULL, NULL, NULL, NULL, 'PROTEIN CBR-LET-381', 183297),
(239572, 'PTHR35491:SF10', NULL, NULL, NULL, NULL, 'BNAA04G27700D PROTEIN', 183298),
(239573, 'PTHR31175:SF49', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 183299),
(239574, 'PTHR14859:SF9', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE, PGAP2-INTERACTING PROTEIN-RELATED', 183300),
(239575, 'PTHR11002:SF60', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 183301),
(239576, 'PTHR12400:SF41', NULL, NULL, NULL, NULL, 'KINASE', 183302),
(239577, 'PTHR48065:SF13', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE BRI1-LIKE 3', 183303),
(239578, 'PTHR33622:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183304),
(239579, 'PTHR31354:SF2', NULL, NULL, NULL, NULL, 'OS01G0793500 PROTEIN', 183305);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(239580, 'PTHR23105:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183306),
(239581, 'PTHR22792:SF43', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 4B', 183307),
(239582, 'PTHR31100:SF76', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 183308),
(239583, 'PTHR43022:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SMF', 183309),
(239584, 'PTHR21593:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG05948', 183310),
(239585, 'PTHR37348:SF1', NULL, NULL, NULL, NULL, 'LLLL AND CFNLAS MOTIF-CONTAINING PROTEIN 1', 183311),
(239586, 'PTHR11760:SF36', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3', 183312),
(239587, 'PTHR34048', NULL, NULL, NULL, NULL, 'LOW-DENSITY RECEPTOR-LIKE PROTEIN', 183313),
(239588, 'PTHR43061:SF3', NULL, NULL, NULL, NULL, 'BNACNNG23270D PROTEIN', 183314),
(239589, 'PTHR43818', NULL, NULL, NULL, NULL, 'BCDNA.GH03377', 183315),
(239590, 'PTHR40626:SF12', NULL, NULL, NULL, NULL, 'RFEC', 183316),
(239591, 'PTHR13233:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183317),
(239592, 'PTHR33203:SF22', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN 20-RELATED', 183318),
(239593, 'PTHR43976:SF6', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13950)-RELATED', 183319),
(239594, 'PTHR34154:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183320),
(239595, 'PTHR16024:SF15', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 5', 183321),
(239596, 'PTHR34239', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 183322),
(239597, 'PTHR13935:SF68', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE HOMOLOG 3', 183323),
(239598, 'PTHR27006:SF258', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 183324),
(239599, 'PTHR47993:SF29', NULL, NULL, NULL, NULL, 'BNAA01G29010D PROTEIN', 183325),
(239600, 'PTHR23421:SF147', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 183326),
(239601, 'PTHR11132:SF372', NULL, NULL, NULL, NULL, 'BNAA08G03450D PROTEIN', 183327),
(239602, 'PTHR21683:SF9', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 73', 183328),
(239603, 'PTHR31421:SF3', NULL, NULL, NULL, NULL, 'PROTEIN BASIC PENTACYSTEINE4', 183329),
(239604, 'PTHR33571:SF15', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', 183330),
(239605, 'PTHR31155:SF8', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE 3, CHLOROPLASTIC', 183331),
(239606, 'PTHR11783:SF221', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 183332),
(239607, 'PTHR43153:SF1', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN SUBUNIT ALPHA, MITOCHONDRIAL', 183333),
(239608, 'PTHR23257:SF855', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183334),
(239609, 'PTHR10795:SF557', NULL, NULL, NULL, NULL, 'SERINE PROTEINASE 1, PUTATIVE-RELATED', 183335),
(239610, 'PTHR11848:SF145', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 10', 183336),
(239611, 'PTHR45080', NULL, NULL, NULL, NULL, 'CONTACTIN 5', 183337),
(239612, 'PTHR26379:SF366', NULL, NULL, NULL, NULL, 'MATH DOMAIN CONTAINING PROTEIN', 183338),
(239613, 'PTHR46932:SF4', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY', 183339),
(239614, 'PTHR35122:SF5', NULL, NULL, NULL, NULL, 'HYDROGEN PEROXIDE-INDUCED 1', 183340),
(239615, 'PTHR18964:SF149', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL UDP-N-ACETYLGLUCOSAMINE 2-EPIMERASE/N-ACETYLMANNOSAMINE KINASE', 183341),
(239616, 'PTHR34794:SF3', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 29', 183342),
(239617, 'PTHR22847:SF710', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 183343),
(239618, 'PTHR31232:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183344),
(239619, 'PTHR47942:SF57', NULL, NULL, NULL, NULL, 'OS12G0102600 PROTEIN', 183345),
(239620, 'PTHR19143:SF349', NULL, NULL, NULL, NULL, 'FIBRINOGEN-LIKE PROTEIN 1-LIKE PROTEIN', 183346),
(239621, 'PTHR47956:SF37', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE CYP75B3', 183347),
(239622, 'PTHR11802:SF131', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 183348),
(239623, 'PTHR12751:SF18', NULL, NULL, NULL, NULL, 'PROTEIN AFR1-RELATED', 183349),
(239624, 'PTHR32227:SF235', NULL, NULL, NULL, NULL, 'OS07G0538000 PROTEIN', 183350);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(239625, 'PTHR10742:SF397', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC HISTONE DEMETHYLASE 1A', 183351),
(239626, 'PTHR43674:SF12', NULL, NULL, NULL, NULL, 'BLL7207 PROTEIN', 183352),
(239627, 'PTHR10791:SF194', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET4', 183353),
(239628, 'PTHR15907:SF182', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 1-RELATED', 183354),
(239629, 'PTHR35841', NULL, NULL, NULL, NULL, 'PHOSPHONATES-BINDING PERIPLASMIC PROTEIN', 183355),
(239630, 'PTHR11567:SF195', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14570)-RELATED', 183356),
(239631, 'PTHR10292:SF12', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', 183357),
(239632, 'PTHR31549:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183358),
(239633, 'PTHR18860:SF123', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN F', 183359),
(239634, 'PTHR33133:SF20', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 183360),
(239635, 'PTHR21128', NULL, NULL, NULL, NULL, 'FETAL AND ADULT TESTIS-EXPRESSED TRANSCRIPT PROTEIN', 183361),
(239636, 'PTHR45711', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 183362),
(239637, 'PTHR24392:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 513', 183363),
(239638, 'PTHR11206:SF294', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 9', 183364),
(239639, 'PTHR33136:SF45', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 22', 183365),
(239640, 'PTHR23083', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN, TPR', 183366),
(239641, 'PTHR45676:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183367),
(239642, 'PTHR48019:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183368),
(239643, 'PTHR24296:SF122', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', 183369),
(239644, 'PTHR46032:SF3', NULL, NULL, NULL, NULL, 'ST3 BETA-GALACTOSIDE ALPHA-2,3-SIALYLTRANSFERASE 8', 183370),
(239645, 'PTHR44305:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-192D15.2', 183371),
(239646, 'PTHR43866:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183372),
(239647, 'PTHR46333:SF4', NULL, NULL, NULL, NULL, 'KYPHOSCOLIOSIS PEPTIDASE', 183373),
(239648, 'PTHR11360:SF272', NULL, NULL, NULL, NULL, 'MFS-TYPE TRANSPORTER DBAD', 183374),
(239649, 'PTHR45614:SF148', NULL, NULL, NULL, NULL, 'BNAC03G35980D PROTEIN', 183375),
(239650, 'PTHR14002:SF16', NULL, NULL, NULL, NULL, 'PANCREATIC SECRETORY GRANULE MEMBRANE MAJOR GLYCOPROTEIN GP2', 183376),
(239651, 'PTHR23113:SF342', NULL, NULL, NULL, NULL, 'RAL-GDS-RELATED PROTEIN', 183377),
(239652, 'PTHR47993:SF28', NULL, NULL, NULL, NULL, 'BNAANNG29880D PROTEIN', 183378),
(239653, 'PTHR39308:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183379),
(239654, 'PTHR45824:SF21', NULL, NULL, NULL, NULL, 'BNAA03G53500D PROTEIN', 183380),
(239655, 'PTHR34114:SF18', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 13-LIKE', 183381),
(239656, 'PTHR12484:SF2', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 17A', 183382),
(239657, 'PTHR47976:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 183383),
(239658, 'PTHR31490:SF42', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 10 PROTEIN / CARBOHYDRATE-BINDING DOMAIN-CONTAINING PROTEIN', 183384),
(239659, 'PTHR33867:SF1', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION FACTOR RIMP', 183385),
(239660, 'PTHR43506:SF1', NULL, NULL, NULL, NULL, 'BIOTIN/LIPOATE A/B PROTEIN LIGASE FAMILY', 183386),
(239661, 'PTHR23257:SF872', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', 183387),
(239662, 'PTHR19370', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', 183388),
(239663, 'PTHR30519:SF17', NULL, NULL, NULL, NULL, '5-METHYLTETRAHYDROPTEROYLTRIGLUTAMATE--HOMOCYSTEINE METHYLTRANSFERASE 3, CHLOROPLASTIC', 183389),
(239664, 'PTHR31639:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183390),
(239665, 'PTHR14657:SF2', NULL, NULL, NULL, NULL, 'IGF-LIKE FAMILY RECEPTOR 1', 183391),
(239666, 'PTHR11005:SF93', NULL, NULL, NULL, NULL, 'LIPASE', 183392),
(239667, 'PTHR11985:SF32', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', 183393);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(239668, 'PTHR47104', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', 183394),
(239669, 'PTHR43605:SF7', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE ACSM3, MITOCHONDRIAL', 183395),
(239670, 'PTHR10869:SF181', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 3-RELATED', 183396),
(239671, 'PTHR26379:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183397),
(239672, 'PTHR11412:SF159', NULL, NULL, NULL, NULL, 'PREGNANCY ZONE PROTEIN-LIKE PROTEIN', 183398),
(239673, 'PTHR11999:SF144', NULL, NULL, NULL, NULL, 'MIP05841P', 183399),
(239674, 'PTHR31389:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04378', 183400),
(239675, 'PTHR33930:SF2', NULL, NULL, NULL, NULL, 'ALKYL HYDROPEROXIDE REDUCTASE AHPD', 183401),
(239676, 'PTHR31342:SF16', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 183402),
(239677, 'PTHR46856', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN EREL1-RELATED', 183403),
(239678, 'PTHR33122', NULL, NULL, NULL, NULL, 'LIPID BINDING PROTEIN-RELATED', 183404),
(239679, 'PTHR45826:SF17', NULL, NULL, NULL, NULL, 'OS12G0580400 PROTEIN', 183405),
(239680, 'PTHR14948:SF38', NULL, NULL, NULL, NULL, 'PROLINE-RICH TRANSMEMBRANE PROTEIN 1', 183406),
(239681, 'PTHR24023:SF961', NULL, NULL, NULL, NULL, 'SI:DKEY-21P1.3', 183407),
(239682, 'PTHR10353:SF250', NULL, NULL, NULL, NULL, 'BNAA06G09700D PROTEIN', 183408),
(239683, 'PTHR24300', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 508A4-RELATED', 183409),
(239684, 'PTHR32097:SF3', NULL, NULL, NULL, NULL, 'TELLURITE RESISTANCE PROTEIN-RELATED', 183410),
(239685, 'PTHR12335:SF4', NULL, NULL, NULL, NULL, 'TIPE HOMOLOG 1, ISOFORM B', 183411),
(239686, 'PTHR31509:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183412),
(239687, 'PTHR31734:SF151', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 183413),
(239688, 'PTHR12231:SF235', NULL, NULL, NULL, NULL, 'DPR-INTERACTING PROTEIN GAMMA', 183414),
(239689, 'PTHR31517:SF72', NULL, NULL, NULL, NULL, 'PEROXIDASE', 183415),
(239690, 'PTHR46664:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183416),
(239691, 'PTHR10728:SF54', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2', 183417),
(239692, 'PTHR14363:SF36', NULL, NULL, NULL, NULL, 'OS06G0179000 PROTEIN', 183418),
(239693, 'PTHR43213:SF12', NULL, NULL, NULL, NULL, 'MAF-LIKE PROTEIN', 183419),
(239694, 'PTHR47993:SF143', NULL, NULL, NULL, NULL, 'OS08G0474400 PROTEIN', 183420),
(239695, 'PTHR11877:SF84', NULL, NULL, NULL, NULL, 'BISDEMETHOXYCURCUMIN SYNTHASE', 183421),
(239696, 'PTHR19443:SF22', NULL, NULL, NULL, NULL, 'HEXOKINASE-5', 183422),
(239697, 'PTHR47094:SF5', NULL, NULL, NULL, NULL, 'OS08G0526350 PROTEIN', 183423),
(239698, 'PTHR21298:SF2', NULL, NULL, NULL, NULL, 'GH01721P', 183424),
(239699, 'PTHR31190:SF54', NULL, NULL, NULL, NULL, 'OSJNBA0065H10.2 PROTEIN', 183425),
(239700, 'PTHR23081', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II CTD PHOSPHATASE', 183426),
(239701, 'PTHR14948:SF20', NULL, NULL, NULL, NULL, 'PROLINE-RICH TRANSMEMBRANE PROTEIN 2', 183427),
(239702, 'PTHR24351:SF48', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE BETA-1', 183428),
(239703, 'PTHR45714:SF21', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX7', 183429),
(239704, 'PTHR31989:SF165', NULL, NULL, NULL, NULL, 'OS06G0101800 PROTEIN', 183430),
(239705, 'PTHR14950:SF51', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3-LIKE PROTEIN 2', 183431),
(239706, 'PTHR35794:SF2', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DIVIVA', 183432),
(239707, 'PTHR45648:SF118', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', 183433),
(239708, 'PTHR12538:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', 183434),
(239709, 'PTHR43490:SF71', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE', 183435),
(239710, 'PTHR33874:SF2', NULL, NULL, NULL, NULL, 'MADS BOX INTERACTOR-LIKE', 183436),
(239711, 'PTHR13164:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183437),
(239712, 'PTHR42698', NULL, NULL, NULL, NULL, 'GTPASE ERA', 183438),
(239713, 'PTHR33743:SF4', NULL, NULL, NULL, NULL, 'OS06G0179600 PROTEIN', 183439);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(239714, 'PTHR16201:SF42', NULL, NULL, NULL, NULL, 'PQ LOOP REPEAT CONTAINING 2 LIKE', 183440),
(239715, 'PTHR21284:SF12', NULL, NULL, NULL, NULL, 'EG:80H7.2 PROTEIN', 183441),
(239716, 'PTHR21294', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN BETA-SUBUNIT', 183442),
(239717, 'PTHR34222:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183443),
(239718, 'PTHR43795:SF66', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE-LIKE', 183444),
(239719, 'PTHR11654:SF463', NULL, NULL, NULL, NULL, 'BNAA03G57790D PROTEIN', 183445),
(239720, 'PTHR38384:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', 183446),
(239721, 'PTHR31373:SF23', NULL, NULL, NULL, NULL, 'EMB|CAB86628.1', 183447),
(239722, 'PTHR35182:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04719', 183448),
(239723, 'PTHR48056:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183449),
(239724, 'PTHR33144:SF8', NULL, NULL, NULL, NULL, 'OS02G0129000 PROTEIN', 183450),
(239725, 'PTHR23160:SF9', NULL, NULL, NULL, NULL, 'OS10G0577100 PROTEIN', 183451),
(239726, 'PTHR11705:SF94', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE A1', 183452),
(239727, 'PTHR11636:SF115', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 3, TRANSCRIPTION FACTOR 2', 183453),
(239728, 'PTHR10814:SF32', NULL, NULL, NULL, NULL, 'TLE FAMILY MEMBER 2, TRANSCRIPTIONAL COREPRESSOR B-RELATED', 183454),
(239729, 'PTHR36608', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE C, CHLOROPLASTIC-LIKE', 183455),
(239730, 'PTHR36313:SF1', NULL, NULL, NULL, NULL, 'ROOT MERISTEM GROWTH FACTOR 2', 183456),
(239731, 'PTHR33133:SF24', NULL, NULL, NULL, NULL, 'OS01G0800300 PROTEIN', 183457),
(239732, 'PTHR19359:SF86', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE', 183458),
(239733, 'PTHR36012:SF2', NULL, NULL, NULL, NULL, 'OS01G0654400 PROTEIN', 183459),
(239734, 'PTHR11972:SF154', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN A', 183460),
(239735, 'PTHR22924:SF93', NULL, NULL, NULL, NULL, 'HEMOGLOBIN-1-RELATED', 183461),
(239736, 'PTHR16134:SF41', NULL, NULL, NULL, NULL, 'OS08G0195000 PROTEIN', 183462),
(239737, 'PTHR46033:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183463),
(239738, 'PTHR30354:SF22', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY GLUCONATE TRANSPORTER', 183464),
(239739, 'PTHR46116:SF24', NULL, NULL, NULL, NULL, 'BNAA01G28850D PROTEIN', 183465),
(239740, 'PTHR24156:SF4', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 34A', 183466),
(239741, 'PTHR11482:SF42', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE', 183467),
(239742, 'PTHR24356:SF230', NULL, NULL, NULL, NULL, 'PROTEIN KINASE N3', 183468),
(239743, 'PTHR34657:SF13', NULL, NULL, NULL, NULL, 'BNAA06G36350D PROTEIN', 183469),
(239744, 'PTHR45646:SF14', NULL, NULL, NULL, NULL, 'KINASE AFC1', 183470),
(239745, 'PTHR44218:SF9', NULL, NULL, NULL, NULL, 'SPA1-RELATED 2-RELATED', 183471),
(239746, 'PTHR19282:SF470', NULL, NULL, NULL, NULL, 'TETRASPANIN-17', 183472),
(239747, 'PTHR45963:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN-3', 183473),
(239748, 'PTHR22619:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 6-LIKE PROTEIN', 183474),
(239749, 'PTHR15568:SF0', NULL, NULL, NULL, NULL, 'PROTEIN EVI2A', 183475),
(239750, 'PTHR45631:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183476),
(239751, 'PTHR43139:SF14', NULL, NULL, NULL, NULL, 'HYDROLASE-LIKE PROTEIN', 183477),
(239752, 'PTHR11977:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183478),
(239753, 'PTHR11877:SF82', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 2', 183479),
(239754, 'PTHR46125:SF20', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 25', 183480),
(239755, 'PTHR22765:SF332', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE', 183481),
(239756, 'PTHR23430:SF222', NULL, NULL, NULL, NULL, 'HISTONE H2A', 183482),
(239757, 'PTHR46080:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN, EXPRESSED', 183483),
(239758, 'PTHR27009:SF259', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 183484),
(239759, 'PTHR10168:SF226', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S1-LIKE', 183485);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(239760, 'PTHR47928:SF51', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 183486),
(239761, 'PTHR43389:SF12', NULL, NULL, NULL, NULL, 'VACUOLAR PROTON PUMP SUBUNIT B', 183487),
(239762, 'PTHR23501:SF158', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14490)-RELATED', 183488),
(239763, 'PTHR35751', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 183489),
(239764, 'PTHR22765:SF122', NULL, NULL, NULL, NULL, 'OS10G0566400 PROTEIN', 183490),
(239765, 'PTHR22922:SF19', NULL, NULL, NULL, NULL, 'CAPRIN HOMOLOG', 183491),
(239766, 'PTHR24171:SF8', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 39-RELATED', 183492),
(239767, 'PTHR11477:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A N-TERMINAL AND CENTRAL DOMAIN-CONTAINING PROTEIN', 183493),
(239768, 'PTHR24373:SF318', NULL, NULL, NULL, NULL, 'AGAP007463-PA', 183494),
(239769, 'PTHR31437:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SREK1IP1', 183495),
(239770, 'PTHR24161:SF85', NULL, NULL, NULL, NULL, 'LD20463P', 183496),
(239771, 'PTHR33726:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 183497),
(239772, 'PTHR31867:SF77', NULL, NULL, NULL, NULL, 'EXPANSIN-A28', 183498),
(239773, 'PTHR47783:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 183499),
(239774, 'PTHR39290', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 183500),
(239775, 'PTHR10288:SF297', NULL, NULL, NULL, NULL, 'BNAA09G42440D PROTEIN', 183501),
(239776, 'PTHR10686', NULL, NULL, NULL, NULL, 'FOLATE TRANSPORTER', 183502),
(239777, 'PTHR33059:SF84', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 15', 183503),
(239778, 'PTHR31225:SF147', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 4-RELATED', 183504),
(239779, 'PTHR46224:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183505),
(239780, 'PTHR47778', NULL, NULL, NULL, NULL, 'BNAA05G14870D PROTEIN', 183506),
(239781, 'PTHR36511', NULL, NULL, NULL, NULL, 'MERR FAMILY BACTERIAL REGULATORY PROTEIN', 183507),
(239782, 'PTHR22883:SF71', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC9', 183508),
(239783, 'PTHR10114:SF23', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', 183509),
(239784, 'PTHR24107:SF20', NULL, NULL, NULL, NULL, 'FI16513P1-RELATED', 183510),
(239785, 'PTHR12482:SF45', NULL, NULL, NULL, NULL, 'LIPASE YOR059C-RELATED', 183511),
(239786, 'PTHR10676:SF358', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 1, AXONEMAL', 183512),
(239787, 'PTHR47790', NULL, NULL, NULL, NULL, 'TRNA/TMRNA (URACIL-C(5))-METHYLTRANSFERASE', 183513),
(239788, 'PTHR31232:SF88', NULL, NULL, NULL, NULL, 'BNAANNG12270D PROTEIN', 183514),
(239789, 'PTHR22773', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', 183515),
(239790, 'PTHR11863:SF160', NULL, NULL, NULL, NULL, 'DELTA(7)-STEROL-C5(6)-DESATURASE', 183516),
(239791, 'PTHR18968:SF165', NULL, NULL, NULL, NULL, 'BNAA06G33000D PROTEIN', 183517),
(239792, 'PTHR16039', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 2', 183518),
(239793, 'PTHR47042', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-LIKE', 183519),
(239794, 'PTHR31375:SF228', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN-RELATED', 183520),
(239795, 'PTHR35530:SF1', NULL, NULL, NULL, NULL, '2-HYDROXYMUCONATE TAUTOMERASE', 183521),
(239796, 'PTHR24007:SF10', NULL, NULL, NULL, NULL, 'BRAP2 RING ZNF UBP DOMAIN-CONTAINING PROTEIN 1', 183522),
(239797, 'PTHR10353:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183523),
(239798, 'PTHR46000:SF11', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 183524),
(239799, 'PTHR39150', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L28, MITOCHONDRIAL', 183525),
(239800, 'PTHR31280:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183526),
(239801, 'PTHR22981:SF7', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRATE DEHYDROGENASE, MITOCHONDRIAL', 183527),
(239802, 'PTHR46215:SF16', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 10', 183528),
(239803, 'PTHR48245', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 183529),
(239804, 'PTHR11722:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13-1-RELATED', 183530);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(239805, 'PTHR23339:SF94', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE DOMAIN-CONTAINING PROTEIN 1', 183531),
(239806, 'PTHR10730:SF7', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL PROCOLLAGEN LYSINE HYDROXYLASE AND GLYCOSYLTRANSFERASE LH3', 183532),
(239807, 'PTHR16056:SF20', NULL, NULL, NULL, NULL, 'REGULATOR OF MICROTUBULE DYNAMICS-RELATED', 183533),
(239808, 'PTHR22812:SF134', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 3', 183534),
(239809, 'PTHR36886:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183535),
(239810, 'PTHR47969', NULL, NULL, NULL, NULL, 'CHROMOSOME-ASSOCIATED KINESIN KIF4A-RELATED', 183536),
(239811, 'PTHR22996:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183537),
(239812, 'PTHR22943:SF77', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 183538),
(239813, 'PTHR24255:SF27', NULL, NULL, NULL, NULL, 'HAPTOGLOBIN-RELATED', 183539),
(239814, 'PTHR45964:SF4', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 183540),
(239815, 'PTHR31040:SF1', NULL, NULL, NULL, NULL, 'NURIM', 183541),
(239816, 'PTHR45638', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL SUBUNIT A', 183542),
(239817, 'PTHR12110:SF47', NULL, NULL, NULL, NULL, 'XYLOSE ISOMERASE DOMAIN PROTEIN TIM BARREL', 183543),
(239818, 'PTHR47188', NULL, NULL, NULL, NULL, 'PROTEIN TAR1', 183544),
(239819, 'PTHR44328:SF7', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE TAU', 183545),
(239820, 'PTHR31194:SF94', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED GENES TRANSCRIPTIONAL ACTIVATOR PTI6-LIKE', 183546),
(239821, 'PTHR24119:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183547),
(239822, 'PTHR31529:SF26', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 17-RELATED', 183548),
(239823, 'PTHR33471:SF4', NULL, NULL, NULL, NULL, 'T22H22.11 PROTEIN', 183549),
(239824, 'PTHR32423', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 183550),
(239825, 'PTHR10751:SF107', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING FAMILY PROTEIN-RELATED', 183551),
(239826, 'PTHR14931:SF2', NULL, NULL, NULL, NULL, 'GENE 340-RELATED', 183552),
(239827, 'PTHR46050:SF18', NULL, NULL, NULL, NULL, 'INACTIVE TPR REPEAT THIOREDOXIN TTL3-LIKE PROTEIN', 183553),
(239828, 'PTHR43939', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 183554),
(239829, 'PTHR11048:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183555),
(239830, 'PTHR21230:SF77', NULL, NULL, NULL, NULL, 'QA-SNARE PROTEIN-RELATED', 183556),
(239831, 'PTHR11849:SF10', NULL, NULL, NULL, NULL, 'ETS-RELATED TRANSCRIPTION FACTOR ELF-2', 183557),
(239832, 'PTHR47641:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183558),
(239833, 'PTHR13287:SF2', NULL, NULL, NULL, NULL, 'UPF0687 PROTEIN C20ORF27 HOMOLOG', 183559),
(239834, 'PTHR34359', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 10', 183560),
(239835, 'PTHR11654:SF442', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183561),
(239836, 'PTHR24416', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR', 183562),
(239837, 'PTHR43895:SF119', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 25-RELATED', 183563),
(239838, 'PTHR45621:SF146', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RIPK-LIKE', 183564),
(239839, 'PTHR33286:SF20', NULL, NULL, NULL, NULL, 'LIPID BINDING PROTEIN', 183565),
(239840, 'PTHR47942:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183566),
(239841, 'PTHR11206:SF78', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 18', 183567),
(239842, 'PTHR27001:SF880', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RKF3-RELATED', 183568),
(239843, 'PTHR45987:SF18', NULL, NULL, NULL, NULL, 'BNAA09G02160D PROTEIN', 183569),
(239844, 'PTHR32133:SF342', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 183570),
(239845, 'PTHR46991:SF28', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONE-RELATED', 183571),
(239846, 'PTHR24346:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183572),
(239847, 'PTHR43671:SF64', NULL, NULL, NULL, NULL, 'PROTEIN KINASE', 183573),
(239848, 'PTHR21564:SF5', NULL, NULL, NULL, NULL, 'SCRIBBLER, ISOFORM J', 183574);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(239849, 'PTHR48075', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-COA DEHYDROGENASE FAMILY PROTEIN', 183575),
(239850, 'PTHR19282:SF257', NULL, NULL, NULL, NULL, 'TETRASPANIN-7', 183576),
(239851, 'PTHR12419:SF73', NULL, NULL, NULL, NULL, 'BNAA04G15810D PROTEIN', 183577),
(239852, 'PTHR12357:SF107', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CARBOXY-TERMINAL REGION PROTEIN', 183578),
(239853, 'PTHR20875:SF0', NULL, NULL, NULL, NULL, 'GH12158P', 183579),
(239854, 'PTHR11627:SF49', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 183580),
(239855, 'PTHR19422:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183581),
(239856, 'PTHR22912:SF204', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', 183582),
(239857, 'PTHR31339:SF69', NULL, NULL, NULL, NULL, 'BNAA09G39410D PROTEIN', 183583),
(239858, 'PTHR23235:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP5', 183584),
(239859, 'PTHR22950:SF332', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', 183585),
(239860, 'PTHR23017:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 183586),
(239861, 'PTHR11724', NULL, NULL, NULL, NULL, 'LEPTIN', 183587),
(239862, 'PTHR10906:SF2', NULL, NULL, NULL, NULL, 'PREPROTEIN TRANSLOCASE SUBUNIT SCY2, CHLOROPLASTIC', 183588),
(239863, 'PTHR26451:SF920', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 183589),
(239864, 'PTHR21477:SF13', NULL, NULL, NULL, NULL, 'ZGC:172139', 183590),
(239865, 'PTHR43478:SF3', NULL, NULL, NULL, NULL, 'LYSINE TRANSPORTER LYSW', 183591),
(239866, 'PTHR13683:SF762', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1', 183592),
(239867, 'PTHR16246', NULL, NULL, NULL, NULL, 'HOST CELL FACTOR C1 REGULATOR 1', 183593),
(239868, 'PTHR22968:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D1', 183594),
(239869, 'PTHR10502:SF223', NULL, NULL, NULL, NULL, 'ANNEXIN', 183595),
(239870, 'PTHR33048:SF139', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G00840)', 183596),
(239871, 'PTHR31692:SF102', NULL, NULL, NULL, NULL, 'GROUP 3 POLLEN ALLERGEN', 183597),
(239872, 'PTHR31099', NULL, NULL, NULL, NULL, 'OS06G0165300 PROTEIN', 183598),
(239873, 'PTHR48048:SF13', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 183599),
(239874, 'PTHR16151:SF5', NULL, NULL, NULL, NULL, 'BNAC06G13180D PROTEIN', 183600),
(239875, 'PTHR34683:SF3', NULL, NULL, NULL, NULL, 'BNAUNNG00100D PROTEIN', 183601),
(239876, 'PTHR31471:SF40', NULL, NULL, NULL, NULL, 'OS08G0471800 PROTEIN', 183602),
(239877, 'PTHR11049:SF16', NULL, NULL, NULL, NULL, 'PROTEIN VDLD', 183603),
(239878, 'PTHR47993:SF102', NULL, NULL, NULL, NULL, 'BNAC02G42790D PROTEIN', 183604),
(239879, 'PTHR45974:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183605),
(239880, 'PTHR45699:SF15', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', 183606),
(239881, 'PTHR28141:SF2', NULL, NULL, NULL, NULL, 'RNA LIGASE/CYCLIC NUCLEOTIDE PHOSPHODIESTERASE FAMILY PROTEIN', 183607),
(239882, 'PTHR13947:SF47', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 183608),
(239883, 'PTHR22298:SF145', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 183609),
(239884, 'PTHR24072:SF110', NULL, NULL, NULL, NULL, 'RHO GTPASE', 183610),
(239885, 'PTHR45658:SF76', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER FAMILY PROTEIN', 183611),
(239886, 'PTHR15710:SF97', NULL, NULL, NULL, NULL, 'BNAC04G05710D PROTEIN', 183612),
(239887, 'PTHR19432:SF78', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORTER 3-RELATED', 183613),
(239888, 'PTHR11635', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE REGULATORY CHAIN', 183614),
(239889, 'PTHR14952:SF14', NULL, NULL, NULL, NULL, 'ROPPORIN-1-LIKE PROTEIN', 183615),
(239890, 'PTHR22948:SF60', NULL, NULL, NULL, NULL, 'FI02030P', 183616),
(239891, 'PTHR31065:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183617),
(239892, 'PTHR24559:SF344', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN, VIRAL MOVEMENT PROTEIN-RELATED', 183618),
(239893, 'PTHR13140:SF733', NULL, NULL, NULL, NULL, 'MYOSIN-G HEAVY CHAIN', 183619),
(239894, 'PTHR11863:SF176', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 3-LIKE', 183620);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(239895, 'PTHR31425:SF17', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLANTHRANILATE TRANSFERASE', 183621),
(239896, 'PTHR22878:SF61', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 10', 183622),
(239897, 'PTHR46935:SF1', NULL, NULL, NULL, NULL, 'OS01G0674700 PROTEIN', 183623),
(239898, 'PTHR12321', NULL, NULL, NULL, NULL, 'CPG BINDING PROTEIN', 183624),
(239899, 'PTHR22950:SF258', NULL, NULL, NULL, NULL, 'PROTON-COUPLED AMINO ACID TRANSPORTER 3', 183625),
(239900, 'PTHR33337:SF40', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G14300)', 183626),
(239901, 'PTHR31268:SF34', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 1-RELATED', 183627),
(239902, 'PTHR11255:SF37', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE ETA', 183628),
(239903, 'PTHR48090:SF5', NULL, NULL, NULL, NULL, 'DOLICHOL-PHOSPHATE MANNOSYLTRANSFERASE', 183629),
(239904, 'PTHR32141:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183630),
(239905, 'PTHR24078:SF553', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN ERDJ3A', 183631),
(239906, 'PTHR31985:SF214', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF015', 183632),
(239907, 'PTHR22746', NULL, NULL, NULL, NULL, 'RAB6A-GEF COMPLEX PARTNER PROTEIN 1', 183633),
(239908, 'PTHR45959:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18-LIKE', 183634),
(239909, 'PTHR38136:SF2', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN', 183635),
(239910, 'PTHR10783:SF122', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1-LIKE PROTEIN 9', 183636),
(239911, 'PTHR22765:SF321', NULL, NULL, NULL, NULL, 'RECEPTOR HOMOLOGY REGION, TRANSMEMBRANE DOMAIN- AND RING DOMAIN-CONTAINING PROTEIN 4', 183637),
(239912, 'PTHR32285:SF19', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 6', 183638),
(239913, 'PTHR45811:SF55', NULL, NULL, NULL, NULL, 'BNAA02G10710D PROTEIN', 183639),
(239914, 'PTHR42926:SF1', NULL, NULL, NULL, NULL, 'BLR2177 PROTEIN', 183640),
(239915, 'PTHR37787:SF1', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT KXD1', 183641),
(239916, 'PTHR22807:SF4', NULL, NULL, NULL, NULL, '28S RRNA (CYTOSINE-C(5))-METHYLTRANSFERASE-RELATED', 183642),
(239917, 'PTHR10666:SF268', NULL, NULL, NULL, NULL, 'UBIQUITIN-60S RIBOSOMAL PROTEIN L40', 183643),
(239918, 'PTHR45624:SF30', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ARGININE TRANSPORTER BAC2-LIKE', 183644),
(239919, 'PTHR21646:SF62', NULL, NULL, NULL, NULL, 'CLAN CA, FAMILY C19, UBIQUITIN HYDROLASE-LIKE CYSTEINE PEPTIDASE', 183645),
(239920, 'PTHR40422:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 17', 183646),
(239921, 'PTHR13832:SF741', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE FEM-2', 183647),
(239922, 'PTHR15251', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC BASIC PROTEIN Y 1-RELATED', 183648),
(239923, 'PTHR14112:SF27', NULL, NULL, NULL, NULL, 'PROTEIN SSX8-RELATED', 183649),
(239924, 'PTHR10963', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE-RELATED', 183650),
(239925, 'PTHR47998:SF7', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 183651),
(239926, 'PTHR36080:SF1', NULL, NULL, NULL, NULL, 'DBJ|BAA96220.1', 183652),
(239927, 'PTHR23226:SF259', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 445', 183653),
(239928, 'PTHR34360:SF12', NULL, NULL, NULL, NULL, 'BNAA03G51420D PROTEIN', 183654),
(239929, 'PTHR32219:SF14', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 183655),
(239930, 'PTHR21198:SF3', NULL, NULL, NULL, NULL, 'GLUTAMATE RACEMASE', 183656),
(239931, 'PTHR10026:SF62', NULL, NULL, NULL, NULL, 'PROTEIN TEX24', 183657),
(239932, 'PTHR16431:SF1', NULL, NULL, NULL, NULL, 'NEUROGENIC PROTEIN MASTERMIND', 183658),
(239933, 'PTHR30146:SF126', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR LACI FAMILY', 183659),
(239934, 'PTHR30480:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183660),
(239935, 'PTHR33167:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183661),
(239936, 'PTHR24377:SF884', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 572', 183662);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(239937, 'PTHR47956:SF63', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 183663),
(239938, 'PTHR13832:SF748', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE, MG2+/MN2+-DEPENDENT, 1LB', 183664),
(239939, 'PTHR12483:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183665),
(239940, 'PTHR34997:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183666),
(239941, 'PTHR10766:SF142', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 183667),
(239942, 'PTHR32278:SF74', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B15', 183668),
(239943, 'PTHR22883:SF344', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 183669),
(239944, 'PTHR45006', NULL, NULL, NULL, NULL, 'DNAJ-LIKE PROTEIN 1', 183670),
(239945, 'PTHR43391:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183671),
(239946, 'PTHR24031:SF731', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE', 183672),
(239947, 'PTHR13453:SF1', NULL, NULL, NULL, NULL, 'KAT8 REGULATORY NSL COMPLEX SUBUNIT 2', 183673),
(239948, 'PTHR16675:SF164', NULL, NULL, NULL, NULL, 'HLA CLASS I HISTOCOMPATIBILITY ANTIGEN, ALPHA CHAIN E', 183674),
(239949, 'PTHR43840:SF38', NULL, NULL, NULL, NULL, 'CATION EFFLUX FAMILY PROTEIN-RELATED', 183675),
(239950, 'PTHR10676:SF339', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 6, AXONEMAL', 183676),
(239951, 'PTHR33334', NULL, NULL, NULL, NULL, 'PROTEIN LNK1', 183677),
(239952, 'PTHR13929', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-2-NAPHTHOATE OCTAPRENYLTRANSFERASE', 183678),
(239953, 'PTHR23182:SF1', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN AT 1A, ISOFORM E', 183679),
(239954, 'PTHR22740:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KRBA1', 183680),
(239955, 'PTHR34365', NULL, NULL, NULL, NULL, 'ENOLASE (DUF1399)', 183681),
(239956, 'PTHR11592:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 7', 183682),
(239957, 'PTHR48012:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DST2', 183683),
(239958, 'PTHR43280:SF12', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CHBR', 183684),
(239959, 'PTHR47976:SF19', NULL, NULL, NULL, NULL, 'OS01G0223800 PROTEIN', 183685),
(239960, 'PTHR37371:SF5', NULL, NULL, NULL, NULL, 'OS07G0452600 PROTEIN', 183686),
(239961, 'PTHR24343:SF345', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE/THREONINE-PROTEIN KINASE 4', 183687),
(239962, 'PTHR45842', NULL, NULL, NULL, NULL, 'SYNAPTIC ADHESION-LIKE MOLECULE SALM', 183688),
(239963, 'PTHR16021:SF9', NULL, NULL, NULL, NULL, 'CHROMOSOME 11 OPEN READING FRAME 24', 183689),
(239964, 'PTHR21348', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 183690),
(239965, 'PTHR46539:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183691),
(239966, 'PTHR33085:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183692),
(239967, 'PTHR12949', NULL, NULL, NULL, NULL, 'RNA POLYMERASE III  DNA DIRECTED -RELATED', 183693),
(239968, 'PTHR46013:SF1', NULL, NULL, NULL, NULL, 'VASCULAR CELL ADHESION MOLECULE 1B', 183694),
(239969, 'PTHR40386', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 26', 183695),
(239970, 'PTHR15902:SF2', NULL, NULL, NULL, NULL, 'NEURITIN-LIKE PROTEIN', 183696),
(239971, 'PTHR45899:SF3', NULL, NULL, NULL, NULL, 'ARF-GAP WITH RHO-GAP DOMAIN, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 1', 183697),
(239972, 'PTHR46257:SF3', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE CORKSCREW', 183698),
(239973, 'PTHR11042:SF75', NULL, NULL, NULL, NULL, 'WEE1-LIKE PROTEIN KINASE 2', 183699),
(239974, 'PTHR33070:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183700),
(239975, 'PTHR23267:SF217', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 6-21-RELATED', 183701),
(239976, 'PTHR45855:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', 183702),
(239977, 'PTHR37391:SF8', NULL, NULL, NULL, NULL, 'OS03G0251425 PROTEIN', 183703),
(239978, 'PTHR23192:SF32', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN 5', 183704),
(239979, 'PTHR33920:SF3', NULL, NULL, NULL, NULL, 'THIONIN-2.1-RELATED', 183705),
(239980, 'PTHR11176:SF38', NULL, NULL, NULL, NULL, 'GENE 17190-RELATED', 183706);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(239981, 'PTHR24343:SF433', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 183707),
(239982, 'PTHR11552:SF158', NULL, NULL, NULL, NULL, 'GH23626P', 183708),
(239983, 'PTHR31677:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183709),
(239984, 'PTHR33148:SF48', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', 183710),
(239985, 'PTHR32258:SF34', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 3A-LIKE', 183711),
(239986, 'PTHR23160:SF23', NULL, NULL, NULL, NULL, 'BNAANNG15270D PROTEIN', 183712),
(239987, 'PTHR24343:SF108', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE KIN1-RELATED', 183713),
(239988, 'PTHR39153', NULL, NULL, NULL, NULL, 'AGR244WP', 183714),
(239989, 'PTHR24637:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183715),
(239990, 'PTHR31907:SF57', NULL, NULL, NULL, NULL, 'BNAA08G20220D PROTEIN', 183716),
(239991, 'PTHR32141:SF78', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 183717),
(239992, 'PTHR22420:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM81A', 183718),
(239993, 'PTHR33434:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DEGV', 183719),
(239994, 'PTHR45657:SF7', NULL, NULL, NULL, NULL, 'OS01G0701900 PROTEIN', 183720),
(239995, 'PTHR27005:SF329', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 183721),
(239996, 'PTHR15160:SF1', NULL, NULL, NULL, NULL, 'VON HIPPEL-LINDAU DISEASE TUMOR SUPPRESSOR-RELATED', 183722),
(239997, 'PTHR31790:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183723),
(239998, 'PTHR24220:SF666', NULL, NULL, NULL, NULL, 'HEMIN IMPORT ATP-BINDING PROTEIN HRTA-RELATED', 183724),
(239999, 'PTHR22667:SF0', NULL, NULL, NULL, NULL, 'AT01380P-RELATED', 183725),
(240000, 'PTHR11537:SF121', NULL, NULL, NULL, NULL, 'PROTEIN CBG09661', 183726),
(240001, 'PTHR23336:SF52', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 5', 183727),
(240002, 'PTHR24177:SF168', NULL, NULL, NULL, NULL, 'OS09G0334900 PROTEIN', 183728),
(240003, 'PTHR38074:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183729),
(240004, 'PTHR37819:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PSIE', 183730),
(240005, 'PTHR30238', NULL, NULL, NULL, NULL, 'MEMBRANE BOUND PREDICTED REDOX MODULATOR', 183731),
(240006, 'PTHR24270:SF28', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN', 183732),
(240007, 'PTHR20968:SF4', NULL, NULL, NULL, NULL, 'RELAXIN 1', 183733),
(240008, 'PTHR46505:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE NAD-BINDING DOMAIN-CONTAINING PROTEIN 1', 183734),
(240009, 'PTHR19846', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', 183735),
(240010, 'PTHR11736:SF146', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 11', 183736),
(240011, 'PTHR46102:SF3', NULL, NULL, NULL, NULL, 'AXIN-1', 183737),
(240012, 'PTHR13703:SF42', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 2', 183738),
(240013, 'PTHR22647:SF3', NULL, NULL, NULL, NULL, 'SH3 DOMAIN AND TETRATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 1', 183739),
(240014, 'PTHR24115:SF795', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN NOD-RELATED', 183740),
(240015, 'PTHR14043:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CUT', 183741),
(240016, 'PTHR10334:SF441', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183742),
(240017, 'PTHR23248:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', 183743),
(240018, 'PTHR48022:SF10', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER 4', 183744),
(240019, 'PTHR10250:SF23', NULL, NULL, NULL, NULL, 'BNAC02G45560D PROTEIN', 183745),
(240020, 'PTHR32024:SF1', NULL, NULL, NULL, NULL, 'KTR SYSTEM POTASSIUM UPTAKE PROTEIN B', 183746),
(240021, 'PTHR22625:SF61', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR RECEPTOR', 183747),
(240022, 'PTHR32002:SF47', NULL, NULL, NULL, NULL, 'PROTEIN NLP9', 183748),
(240023, 'PTHR15241:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183749),
(240024, 'PTHR11937:SF150', NULL, NULL, NULL, NULL, 'ACTIN, EPSILON 1', 183750),
(240025, 'PTHR48240:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183751),
(240026, 'PTHR48005:SF27', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE/TYROSINE-PROTEIN KINASE SOBIR1', 183752);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(240027, 'PTHR10900:SF82', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR-BETA-INDUCED PROTEIN IG-H3', 183753),
(240028, 'PTHR36009', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 183754),
(240029, 'PTHR10219:SF71', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE IV ALPHA-3-BINDING PROTEIN', 183755),
(240030, 'PTHR31213:SF87', NULL, NULL, NULL, NULL, 'NODULIN-13', 183756),
(240031, 'PTHR31087:SF50', NULL, NULL, NULL, NULL, 'LURP-ONE-LIKE PROTEIN', 183757),
(240032, 'PTHR24286:SF284', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 183758),
(240033, 'PTHR38633:SF6', NULL, NULL, NULL, NULL, 'UTERINE LUMIN EXPRESSED/LOCAILIZED', 183759),
(240034, 'PTHR36051', NULL, NULL, NULL, NULL, 'DYNAMIN', 183760),
(240035, 'PTHR47926:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183761),
(240036, 'PTHR24376:SF189', NULL, NULL, NULL, NULL, 'NOVEL KRAB BOX AND ZINC FINGER, C2H2 TYPE DOMAIN CONTAINING PROTEIN-RELATED', 183762),
(240037, 'PTHR11566:SF78', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE PROTEIN ARC5', 183763),
(240038, 'PTHR47956:SF40', NULL, NULL, NULL, NULL, 'OS02G0186900 PROTEIN', 183764),
(240039, 'PTHR19957:SF326', NULL, NULL, NULL, NULL, 'OS02G0209900 PROTEIN', 183765),
(240040, 'PTHR24027:SF300', NULL, NULL, NULL, NULL, 'CADHERIN-15', 183766),
(240041, 'PTHR32138:SF0', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE N-METHYLTRANSFERASE', 183767),
(240042, 'PTHR43792:SF5', NULL, NULL, NULL, NULL, 'RIBOSOMAL-PROTEIN-SERINE ACETYLTRANSFERASE', 183768),
(240043, 'PTHR32009:SF83', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN', 183769),
(240044, 'PTHR11544', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN CONTAINING PROTEINS', 183770),
(240045, 'PTHR35758:SF1', NULL, NULL, NULL, NULL, 'SERINE RICH PROTEIN', 183771),
(240046, 'PTHR22999:SF32', NULL, NULL, NULL, NULL, 'SORTING NEXIN CARBOXY-TERMINAL PROTEIN', 183772),
(240047, 'PTHR42840:SF5', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 183773),
(240048, 'PTHR16138:SF7', NULL, NULL, NULL, NULL, 'MYCOPHENOLIC ACID ACYL-GLUCURONIDE ESTERASE, MITOCHONDRIAL', 183774),
(240049, 'PTHR12967:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183775),
(240050, 'PTHR47990:SF38', NULL, NULL, NULL, NULL, 'BNAA09G45790D PROTEIN', 183776),
(240051, 'PTHR31263:SF53', NULL, NULL, NULL, NULL, 'BNAC03G56880D PROTEIN', 183777),
(240052, 'PTHR24209:SF25', NULL, NULL, NULL, NULL, 'PROTEIN DA1-RELATED 1', 183778),
(240053, 'PTHR10083:SF328', NULL, NULL, NULL, NULL, 'TISSUE FACTOR PATHWAY INHIBITOR', 183779),
(240054, 'PTHR19432:SF26', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 183780),
(240055, 'PTHR31865:SF30', NULL, NULL, NULL, NULL, 'FOLD PROTEIN', 183781),
(240056, 'PTHR31235:SF240', NULL, NULL, NULL, NULL, 'PEROXIDASE', 183782),
(240057, 'PTHR24281:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183783),
(240058, 'PTHR22607', NULL, NULL, NULL, NULL, 'DELETED IN ORAL CANCER 1/CDK2-ASSOCIATED PROTEIN 1', 183784),
(240059, 'PTHR47934:SF13', NULL, NULL, NULL, NULL, 'OS06G0125300 PROTEIN', 183785),
(240060, 'PTHR11584:SF363', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 15', 183786),
(240061, 'PTHR11474:SF73', NULL, NULL, NULL, NULL, 'TYROSINASE-LIKE PROTEIN TYR-1-RELATED', 183787),
(240062, 'PTHR10845:SF175', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 20', 183788),
(240063, 'PTHR11255:SF83', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', 183789),
(240064, 'PTHR45670:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIP12', 183790),
(240065, 'PTHR11945:SF577', NULL, NULL, NULL, NULL, 'BNAC06G02000D PROTEIN', 183791),
(240066, 'PTHR46473', NULL, NULL, NULL, NULL, 'GH08155P', 183792),
(240067, 'PTHR27006:SF196', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', 183793),
(240068, 'PTHR12039:SF16', NULL, NULL, NULL, NULL, 'NICOTINAMIDE/NICOTINIC ACID MONONUCLEOTIDE ADENYLYLTRANSFERASE 1', 183794),
(240069, 'PTHR43895:SF21', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 28', 183795),
(240070, 'PTHR11839:SF1', NULL, NULL, NULL, NULL, 'ADP-SUGAR PYROPHOSPHATASE', 183796);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(240071, 'PTHR12542:SF94', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 183797),
(240072, 'PTHR45980:SF7', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 11, MITOCHONDRIAL-RELATED', 183798),
(240073, 'PTHR33870:SF14', NULL, NULL, NULL, NULL, 'ULP1 PROTEASE FAMILY C-TERMINAL CATALYTIC DOMAIN CONTAINING PROTEIN EXPRESSED', 183799),
(240074, 'PTHR11668:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04124', 183800),
(240075, 'PTHR10797:SF10', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 11-RELATED', 183801),
(240076, 'PTHR10676:SF183', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 2, AXONEMAL', 183802),
(240077, 'PTHR12040:SF15', NULL, NULL, NULL, NULL, 'PROTEIN ASF 1 LIKE PROTEIN, PUTATIVE-RELATED', 183803),
(240078, 'PTHR13832:SF745', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE DDB_G0282105-RELATED', 183804),
(240079, 'PTHR24346', NULL, NULL, NULL, NULL, 'MAP/MICROTUBULE AFFINITY-REGULATING KINASE', 183805),
(240080, 'PTHR35105:SF6', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', 183806),
(240081, 'PTHR11040:SF26', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 6, CHLOROPLASTIC', 183807),
(240082, 'PTHR13229:SF11', NULL, NULL, NULL, NULL, 'PROTEIN KISH', 183808),
(240083, 'PTHR23050:SF383', NULL, NULL, NULL, NULL, 'CALMODULIN-2', 183809),
(240084, 'PTHR31719:SF166', NULL, NULL, NULL, NULL, 'BNAC02G00990D PROTEIN', 183810),
(240085, 'PTHR10933', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-BINDING PROTEIN 1', 183811),
(240086, 'PTHR28659:SF3', NULL, NULL, NULL, NULL, 'RETICULOPHAGY REGULATOR 1', 183812),
(240087, 'PTHR24343:SF472', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2E-LIKE', 183813),
(240088, 'PTHR38431', NULL, NULL, NULL, NULL, 'BLL2305 PROTEIN', 183814),
(240089, 'PTHR47932:SF19', NULL, NULL, NULL, NULL, 'OS02G0470000 PROTEIN', 183815),
(240090, 'PTHR45980:SF16', NULL, NULL, NULL, NULL, 'BNAA04G11770D PROTEIN', 183816),
(240091, 'PTHR32212:SF328', NULL, NULL, NULL, NULL, 'BNAA07G25730D PROTEIN', 183817),
(240092, 'PTHR24281:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183818),
(240093, 'PTHR10372:SF5', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT PROTEIN DELETED IN VELO-CARDIO-FACIAL SYNDROME', 183819),
(240094, 'PTHR48011:SF75', NULL, NULL, NULL, NULL, 'BNAC04G12300D PROTEIN', 183820),
(240095, 'PTHR35542', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 168', 183821),
(240096, 'PTHR46301:SF12', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 183822),
(240097, 'PTHR11547:SF57', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CREATINE KINASE', 183823),
(240098, 'PTHR24009:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 46', 183824),
(240099, 'PTHR12203', NULL, NULL, NULL, NULL, 'KDEL  LYS-ASP-GLU-LEU  CONTAINING - RELATED', 183825),
(240100, 'PTHR11062:SF241', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT14-RELATED', 183826),
(240101, 'PTHR12537:SF80', NULL, NULL, NULL, NULL, 'SUPPRESSOR PROTEIN MPT5', 183827),
(240102, 'PTHR31297:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183828),
(240103, 'PTHR43806:SF52', NULL, NULL, NULL, NULL, 'SERINE PROTEASE APRX', 183829),
(240104, 'PTHR44419:SF6', NULL, NULL, NULL, NULL, 'PROTOCHLOROPHYLLIDE REDUCTASE A, CHLOROPLASTIC', 183830),
(240105, 'PTHR43139:SF52', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 183831),
(240106, 'PTHR33869', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 3', 183832),
(240107, 'PTHR46339:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG05670', 183833),
(240108, 'PTHR10795:SF684', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3.12', 183834),
(240109, 'PTHR45825:SF9', NULL, NULL, NULL, NULL, 'GRANULE-BOUND STARCH SYNTHASE 1, CHLOROPLASTIC/AMYLOPLASTIC', 183835),
(240110, 'PTHR32285:SF149', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 43', 183836),
(240111, 'PTHR36706', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 183837),
(240112, 'PTHR32295:SF193', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', 183838),
(240113, 'PTHR41519', NULL, NULL, NULL, NULL, 'SLR1087 PROTEIN', 183839); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(240114, 'PTHR46144:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 385B-LIKE', 183840),
(240115, 'PTHR34682:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183841),
(240116, 'PTHR10454:SF229', NULL, NULL, NULL, NULL, 'CASPASE 8, APOPTOSIS-RELATED CYSTEINE PEPTIDASE,-LIKE 2-RELATED', 183842),
(240117, 'PTHR33443:SF24', NULL, NULL, NULL, NULL, 'OS10G0573200 PROTEIN', 183843),
(240118, 'PTHR33184:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TAPETUM DETERMINANT 1-LIKE', 183844),
(240119, 'PTHR11481:SF97', NULL, NULL, NULL, NULL, 'LOW AFFINITY IMMUNOGLOBULIN GAMMA FC REGION RECEPTOR II-B-RELATED', 183845),
(240120, 'PTHR34072:SF8', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN-CONTAINING PROTEIN-RELATED', 183846),
(240121, 'PTHR40535:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183847),
(240122, 'PTHR22753:SF25', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE-LIKE PROTEIN CHLOROPLASTIC', 183848),
(240123, 'PTHR32212:SF330', NULL, NULL, NULL, NULL, 'BNACNNG17880D PROTEIN', 183849),
(240124, 'PTHR31852:SF172', NULL, NULL, NULL, NULL, 'PROTEIN YLS9-LIKE', 183850),
(240125, 'PTHR31533:SF21', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN LORELEI-LIKE', 183851),
(240126, 'PTHR31250:SF49', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 183852),
(240127, 'PTHR43382', NULL, NULL, NULL, NULL, 'PROLYL-TRNA SYNTHETASE', 183853),
(240128, 'PTHR15228:SF20', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 25', 183854),
(240129, 'PTHR31236:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183855),
(240130, 'PTHR24103:SF369', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 26', 183856),
(240131, 'PTHR22835:SF557', NULL, NULL, NULL, NULL, 'LIPASE/HYDROLASE FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 183857),
(240132, 'PTHR45665:SF13', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP4-1-RELATED', 183858),
(240133, 'PTHR48022:SF75', NULL, NULL, NULL, NULL, 'GALACTOSE TRANSPORTER-RELATED', 183859),
(240134, 'PTHR23070:SF151', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CHAPERONE BCS1', 183860),
(240135, 'PTHR30153:SF2', NULL, NULL, NULL, NULL, 'REPLICATIVE DNA HELICASE', 183861),
(240136, 'PTHR12203:SF71', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE ADENYLATE CYCLASE-RELATED', 183862),
(240137, 'PTHR48002:SF118', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 183863),
(240138, 'PTHR10104:SF5', NULL, NULL, NULL, NULL, 'STATHMIN', 183864),
(240139, 'PTHR43574:SF50', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR EPIMERASE, BIFUNCTIONAL POLYMYXIN RESISTANCE PROTEIN, ARNA-RELATED', 183865),
(240140, 'PTHR11849:SF178', NULL, NULL, NULL, NULL, 'ETS DOMAIN-CONTAINING PROTEIN ELK-1', 183866),
(240141, 'PTHR11122:SF10', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 183867),
(240142, 'PTHR33154:SF29', NULL, NULL, NULL, NULL, 'POSSIBLE TRANSCRIPTIONAL REGULATORY PROTEIN (POSSIBLY ARSR-FAMILY)', 183868),
(240143, 'PTHR31681:SF47', NULL, NULL, NULL, NULL, 'SULFATED SURFACE-LIKE GLYCOPROTEIN', 183869),
(240144, 'PTHR45642:SF16', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE APG', 183870),
(240145, 'PTHR23076:SF111', NULL, NULL, NULL, NULL, 'INACTIVE ATP-DEPENDENT ZINC METALLOPROTEASE FTSHI 1, CHLOROPLASTIC-RELATED', 183871),
(240146, 'PTHR47987:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-KINASE', 183872),
(240147, 'PTHR42769:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183873),
(240148, 'PTHR33172:SF57', NULL, NULL, NULL, NULL, 'OS02G0778700 PROTEIN', 183874),
(240149, 'PTHR24229:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183875),
(240150, 'PTHR23023:SF255', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 183876),
(240151, 'PTHR32382:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183877),
(240152, 'PTHR30126:SF64', NULL, NULL, NULL, NULL, 'LYSR-FAMILY TRANSCRIPTIONAL REGULATOR', 183878),
(240153, 'PTHR11850:SF320', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ATH1-LIKE ISOFORM X1', 183879),
(240154, 'PTHR11822:SF21', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP], MITOCHONDRIAL', 183880),
(240155, 'PTHR31374:SF323', NULL, NULL, NULL, NULL, 'BNAC08G11390D PROTEIN', 183881);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(240156, 'PTHR46991:SF4', NULL, NULL, NULL, NULL, '14.7 KDA HEAT SHOCK PROTEIN-LIKE', 183882),
(240157, 'PTHR35770', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN AUXILIARY FACTOR-LIKE PROTEIN', 183883),
(240158, 'PTHR42770:SF2', NULL, NULL, NULL, NULL, 'ARGININE/AGMATINE ANTIPORTER', 183884),
(240159, 'PTHR12302:SF9', NULL, NULL, NULL, NULL, 'RIBONUCLEASE TUDOR 1', 183885),
(240160, 'PTHR31355:SF22', NULL, NULL, NULL, NULL, 'TORTIFOLIA1-LIKE PROTEIN 2', 183886),
(240161, 'PTHR32470:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX ASSEMBLY FACTOR 2', 183887),
(240162, 'PTHR43329:SF111', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE-RELATED', 183888),
(240163, 'PTHR43065:SF29', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SENSOR', 183889),
(240164, 'PTHR33083:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183890),
(240165, 'PTHR46128:SF97', NULL, NULL, NULL, NULL, 'BNAA06G00240D PROTEIN', 183891),
(240166, 'PTHR44281', NULL, NULL, NULL, NULL, 'SPINDLE ASSEMBLY ABNORMAL PROTEIN 6 HOMOLOG', 183892),
(240167, 'PTHR10869:SF146', NULL, NULL, NULL, NULL, 'OS10G0497800 PROTEIN', 183893),
(240168, 'PTHR43066:SF15', NULL, NULL, NULL, NULL, 'RHOMBOID DOMAIN CONTAINING 1', 183894),
(240169, 'PTHR40453:SF2', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTP', 183895),
(240170, 'PTHR10126:SF50', NULL, NULL, NULL, NULL, 'TATA-BINDING PROTEIN 2', 183896),
(240171, 'PTHR22443:SF18', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LETHAL 1, ISOFORM M', 183897),
(240172, 'PTHR20986:SF15', NULL, NULL, NULL, NULL, 'FMRFAMIDE-LIKE NEUROPEPTIDES 13', 183898),
(240173, 'PTHR15751:SF14', NULL, NULL, NULL, NULL, 'HUNTINGTIN-ASSOCIATED PROTEIN 1', 183899),
(240174, 'PTHR15829:SF1', NULL, NULL, NULL, NULL, 'RHO FAMILY-INTERACTING CELL POLARIZATION REGULATOR 1', 183900),
(240175, 'PTHR42929:SF3', NULL, NULL, NULL, NULL, 'PUTRESCINE TRANSPORT SYSTEM PERMEASE PROTEIN POTH', 183901),
(240176, 'PTHR10634:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183902),
(240177, 'PTHR12876:SF10', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE ZC3H12A', 183903),
(240178, 'PTHR11515:SF28', NULL, NULL, NULL, NULL, 'SI:DKEY-23I12.9', 183904),
(240179, 'PTHR21338:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L41, MITOCHONDRIAL', 183905),
(240180, 'PTHR11690:SF152', NULL, NULL, NULL, NULL, 'PROTEIN CBG04873', 183906),
(240181, 'PTHR13902:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183907),
(240182, 'PTHR33739:SF7', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 33B', 183908),
(240183, 'PTHR45654:SF61', NULL, NULL, NULL, NULL, 'BNACNNG18470D PROTEIN', 183909),
(240184, 'PTHR36460:SF1', NULL, NULL, NULL, NULL, 'UPF0132 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G10255)', 183910),
(240185, 'PTHR22650:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183911),
(240186, 'PTHR31205:SF58', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING-RELATED', 183912),
(240187, 'PTHR43640:SF1', NULL, NULL, NULL, NULL, 'OS07G0260300 PROTEIN', 183913),
(240188, 'PTHR31496:SF6', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS FAMILY PROTEIN, EXPRESSED', 183914),
(240189, 'PTHR15907:SF179', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 7-LIKE', 183915),
(240190, 'PTHR24300:SF336', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2C9', 183916),
(240191, 'PTHR12027:SF91', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE WNT-1', 183917),
(240192, 'PTHR24356:SF365', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C DELTA TYPE', 183918),
(240193, 'PTHR33936:SF9', NULL, NULL, NULL, NULL, 'FINGER PUTATIVE TRANSCRIPTION FACTOR FAMILY-RELATED', 183919),
(240194, 'PTHR33318:SF4', NULL, NULL, NULL, NULL, 'RRNA BIOGENESIS PROTEIN RRP36', 183920),
(240195, 'PTHR21277:SF40', NULL, NULL, NULL, NULL, 'BNAA08G12470D PROTEIN', 183921),
(240196, 'PTHR42958:SF4', NULL, NULL, NULL, NULL, 'HYDROGENASE EXPRESSION/FORMATION PROTEIN HUPK', 183922),
(240197, 'PTHR10314:SF177', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-SYNTHASE-RELATED', 183923),
(240198, 'PTHR31989:SF325', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', 183924);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(240199, 'PTHR32467:SF138', NULL, NULL, NULL, NULL, 'BNAA03G19580D PROTEIN', 183925),
(240200, 'PTHR11783:SF269', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 183926),
(240201, 'PTHR13887:SF41', NULL, NULL, NULL, NULL, 'THIOREDOXIN SUPERFAMILY PROTEIN', 183927),
(240202, 'PTHR33355:SF15', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 20', 183928),
(240203, 'PTHR35802:SF1', NULL, NULL, NULL, NULL, 'PROTEASE SYNTHASE AND SPORULATION PROTEIN PAI 2', 183929),
(240204, 'PTHR31009:SF128', NULL, NULL, NULL, NULL, 'BNAC09G50490D PROTEIN', 183930),
(240205, 'PTHR35862:SF3', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', 183931),
(240206, 'PTHR46736:SF18', NULL, NULL, NULL, NULL, 'NON-LTR RETROELEMENT REVERSE TRANSCRIPTASE-LIKE', 183932),
(240207, 'PTHR24264:SF13', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1810009J06 GENE-RELATED', 183933),
(240208, 'PTHR45933:SF32', NULL, NULL, NULL, NULL, 'BNAC06G24480D PROTEIN', 183934),
(240209, 'PTHR33177:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183935),
(240210, 'PTHR34487:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183936),
(240211, 'PTHR31276:SF14', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1-LIKE', 183937),
(240212, 'PTHR11538:SF26', NULL, NULL, NULL, NULL, 'FERREDOXIN-FOLD ANTICODON-BINDING DOMAIN-CONTAINING PROTEIN 1', 183938),
(240213, 'PTHR46519:SF13', NULL, NULL, NULL, NULL, 'BNAA01G31640D PROTEIN', 183939),
(240214, 'PTHR11132:SF427', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER E1', 183940),
(240215, 'PTHR46319:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN 9', 183941),
(240216, 'PTHR33076:SF135', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 183942),
(240217, 'PTHR11771:SF160', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 183943),
(240218, 'PTHR24096:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183944),
(240219, 'PTHR24377:SF830', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 45', 183945),
(240220, 'PTHR12411:SF745', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RDL2-RELATED', 183946),
(240221, 'PTHR14493:SF112', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 20-LIKE', 183947),
(240222, 'PTHR47977:SF27', NULL, NULL, NULL, NULL, 'BNAA09G46380D PROTEIN', 183948),
(240223, 'PTHR11711:SF21', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 6', 183949),
(240224, 'PTHR31889:SF51', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', 183950),
(240225, 'PTHR33107:SF44', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE INHIBITOR 1', 183951),
(240226, 'PTHR14859:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183952),
(240227, 'PTHR43390:SF12', NULL, NULL, NULL, NULL, 'THYLAKOIDAL PROCESSING PEPTIDASE 1 CHLOROPLASTIC', 183953),
(240228, 'PTHR33443:SF27', NULL, NULL, NULL, NULL, 'BNAC01G09780D PROTEIN', 183954),
(240229, 'PTHR37976:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG16926', 183955),
(240230, 'PTHR33576:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183956),
(240231, 'PTHR47010', NULL, NULL, NULL, NULL, 'CYSTATIN-8-RELATED', 183957),
(240232, 'PTHR31923:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183958),
(240233, 'PTHR45638:SF7', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL-LIKE, ISOFORM E', 183959),
(240234, 'PTHR31213:SF88', NULL, NULL, NULL, NULL, 'ABA-RESPONSIVE PROTEIN', 183960),
(240235, 'PTHR27004:SF332', NULL, NULL, NULL, NULL, 'BNACNNG24060D PROTEIN', 183961),
(240236, 'PTHR33732:SF3', NULL, NULL, NULL, NULL, 'STRESS-RELATED PROTEIN-LIKE', 183962),
(240237, 'PTHR11426:SF230', NULL, NULL, NULL, NULL, 'HISTONE H3', 183963),
(240238, 'PTHR32448:SF77', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 4', 183964),
(240239, 'PTHR12411:SF784', NULL, NULL, NULL, NULL, 'KDEL-TAILED CYSTEINE ENDOPEPTIDASE CEP2', 183965),
(240240, 'PTHR48043:SF83', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 183966),
(240241, 'PTHR46662:SF31', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 53', 183967),
(240242, 'PTHR32002:SF28', NULL, NULL, NULL, NULL, 'PROTEIN NLP6', 183968),
(240243, 'PTHR31352:SF48', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', 183969);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(240244, 'PTHR32552:SF86', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED', 183970),
(240245, 'PTHR43629:SF2', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE/PPIC DOMAIN-CONTAINING PROTEIN 12, CHLOROPLASTIC', 183971),
(240246, 'PTHR31618:SF28', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', 183972),
(240247, 'PTHR23291:SF95', NULL, NULL, NULL, NULL, 'BAX INHIBITOR 1-RELATED PROTEIN-RELATED', 183973),
(240248, 'PTHR42918', NULL, NULL, NULL, NULL, 'LYSYL-TRNA SYNTHETASE', 183974),
(240249, 'PTHR46995', NULL, NULL, NULL, NULL, 'OS09G0508200 PROTEIN', 183975),
(240250, 'PTHR31415:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183976),
(240251, 'PTHR31301:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183977),
(240252, 'PTHR23257:SF804', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE', 183978),
(240253, 'PTHR36517:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG25732', 183979),
(240254, 'PTHR20883:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183980),
(240255, 'PTHR33088:SF35', NULL, NULL, NULL, NULL, 'MUCIN-2', 183981),
(240256, 'PTHR42093:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183982),
(240257, 'PTHR24412:SF192', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 2', 183983),
(240258, 'PTHR21654:SF67', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-1', 183984),
(240259, 'PTHR10250:SF15', NULL, NULL, NULL, NULL, 'MICROSOMAL GLUTATHIONE S-TRANSFERASE-RELATED', 183985),
(240260, 'PTHR47755:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSX', 183986),
(240261, 'PTHR34563:SF9', NULL, NULL, NULL, NULL, 'BNAA07G38720D PROTEIN', 183987),
(240262, 'PTHR45959:SF26', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', 183988),
(240263, 'PTHR42769:SF11', NULL, NULL, NULL, NULL, 'BNAA09G05370D PROTEIN', 183989),
(240264, 'PTHR18884:SF57', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 10', 183990),
(240265, 'PTHR24089:SF57', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN SCAMC-2', 183991),
(240266, 'PTHR46463:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 183992),
(240267, 'PTHR21022:SF12', NULL, NULL, NULL, NULL, 'AROGENATE/PREPHENATE DEHYDRATASE', 183993),
(240268, 'PTHR45748:SF12', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1B-LIKE', 183994),
(240269, 'PTHR43859:SF5', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 2-RELATED', 183995),
(240270, 'PTHR33747:SF1', NULL, NULL, NULL, NULL, 'UPF0225 PROTEIN SCO1677', 183996),
(240271, 'PTHR11907:SF26', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE', 183997),
(240272, 'PTHR36920', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 183998),
(240273, 'PTHR45635:SF17', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE TRANSLOCATOR', 183999),
(240274, 'PTHR47742', NULL, NULL, NULL, NULL, 'GAMETOGENETIN', 184000),
(240275, 'PTHR11820:SF63', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 184001),
(240276, 'PTHR23081:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184002),
(240277, 'PTHR43795:SF22', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-RELATED PROTEIN 2', 184003),
(240278, 'PTHR46164:SF2', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-6 BETA', 184004),
(240279, 'PTHR15466:SF2', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 4', 184005),
(240280, 'PTHR22812:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184006),
(240281, 'PTHR45626:SF28', NULL, NULL, NULL, NULL, 'BNAA08G28190D PROTEIN', 184007),
(240282, 'PTHR10972:SF150', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN', 184008),
(240283, 'PTHR33306:SF27', NULL, NULL, NULL, NULL, 'OS06G0206900 PROTEIN', 184009),
(240284, 'PTHR48001:SF4', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 184010),
(240285, 'PTHR11510', NULL, NULL, NULL, NULL, 'MYO-INOSITOL-1 PHOSPHATE SYNTHASE', 184011),
(240286, 'PTHR17224:SF3', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC GROUP IIB INTRON SPLICING FACILITATOR CRS2-B, CHLOROPLASTIC', 184012),
(240287, 'PTHR33065:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184013);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(240288, 'PTHR31190:SF276', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF119-LIKE', 184014),
(240289, 'PTHR46692:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184015),
(240290, 'PTHR12956:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184016),
(240291, 'PTHR12741:SF66', NULL, NULL, NULL, NULL, 'GLUCAN SYNTHASE-LIKE PROTEIN', 184017),
(240292, 'PTHR14255:SF38', NULL, NULL, NULL, NULL, 'SULFITE EXPORTER TAUE/SAFE FAMILY PROTEIN 1-RELATED', 184018),
(240293, 'PTHR18953:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184019),
(240294, 'PTHR11260:SF660', NULL, NULL, NULL, NULL, 'BNAA07G28470D PROTEIN', 184020),
(240295, 'PTHR34208:SF10', NULL, NULL, NULL, NULL, 'PECTIN METHYLESTERASE CGR3-RELATED', 184021),
(240296, 'PTHR36401', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 8, MITOCHONDRIAL', 184022),
(240297, 'PTHR35923:SF2', NULL, NULL, NULL, NULL, 'MAJOR EXTRACELLULAR ENDOGLUCANASE', 184023),
(240298, 'PTHR16134:SF83', NULL, NULL, NULL, NULL, 'F-BOX/RNI-LIKE SUPERFAMILY PROTEIN-RELATED', 184024),
(240299, 'PTHR47978:SF40', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA4A', 184025),
(240300, 'PTHR31140:SF45', NULL, NULL, NULL, NULL, 'BNAA02G29460D PROTEIN', 184026),
(240301, 'PTHR32102:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184027),
(240302, 'PTHR31561:SF133', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 184028),
(240303, 'PTHR33663', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 184029),
(240304, 'PTHR21632:SF2', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN-CONTAINING PROTEIN 3', 184030),
(240305, 'PTHR46739:SF9', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP1-2-RELATED', 184031),
(240306, 'PTHR11733:SF192', NULL, NULL, NULL, NULL, 'NEPRILYSIN-21', 184032),
(240307, 'PTHR47005:SF5', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', 184033),
(240308, 'PTHR22765:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184034),
(240309, 'PTHR23056:SF110', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 4', 184035),
(240310, 'PTHR12537:SF165', NULL, NULL, NULL, NULL, 'BNAA09G27800D PROTEIN', 184036),
(240311, 'PTHR44267', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 43', 184037),
(240312, 'PTHR35243:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184038),
(240313, 'PTHR43038', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY H, MEMBER 1', 184039),
(240314, 'PTHR32288:SF0', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-IV', 184040),
(240315, 'PTHR47942:SF46', NULL, NULL, NULL, NULL, 'OS06G0499301 PROTEIN', 184041),
(240316, 'PTHR26379:SF396', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN CONTAINING PROTEIN', 184042),
(240317, 'PTHR31429:SF90', NULL, NULL, NULL, NULL, 'BNAC03G29850D PROTEIN', 184043),
(240318, 'PTHR20963:SF49', NULL, NULL, NULL, NULL, 'BNAC08G42510D PROTEIN', 184044),
(240319, 'PTHR43281:SF17', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE 4', 184045),
(240320, 'PTHR26312:SF176', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 184046),
(240321, 'PTHR38490:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE AND TYROSINE-RICH PROTEIN 1', 184047),
(240322, 'PTHR19367:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184048),
(240323, 'PTHR35301', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 41-RELATED', 184049),
(240324, 'PTHR34152:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG23099', 184050),
(240325, 'PTHR43490:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184051),
(240326, 'PTHR10890:SF26', NULL, NULL, NULL, NULL, 'CYSTEINE--TRNA LIGASE 1, CYTOPLASMIC-RELATED', 184052),
(240327, 'PTHR24074:SF44', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', 184053),
(240328, 'PTHR11814:SF225', NULL, NULL, NULL, NULL, 'SLC26A/SULP TRANSPORTER-RELATED', 184054),
(240329, 'PTHR11206:SF332', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 184055),
(240330, 'PTHR24286:SF252', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 11-OXIDASE', 184056),
(240331, 'PTHR34661:SF3', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 2', 184057);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(240332, 'PTHR10846:SF21', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER 4', 184058),
(240333, 'PTHR46393', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 184059),
(240334, 'PTHR23139:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184060),
(240335, 'PTHR45675', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR-RELATED-RELATED', 184061),
(240336, 'PTHR46399', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 184062),
(240337, 'PTHR24329:SF549', NULL, NULL, NULL, NULL, 'RHOX HOMEOBOX FAMILY MEMBER 1', 184063),
(240338, 'PTHR43465:SF2', NULL, NULL, NULL, NULL, 'DUF1680 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G08910)', 184064),
(240339, 'PTHR45621:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184065),
(240340, 'PTHR11055:SF56', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE', 184066),
(240341, 'PTHR13683:SF796', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 184067),
(240342, 'PTHR11610:SF155', NULL, NULL, NULL, NULL, 'AGAP005000-PA', 184068),
(240343, 'PTHR47132', NULL, NULL, NULL, NULL, 'MYOGLOBIN', 184069),
(240344, 'PTHR11599:SF180', NULL, NULL, NULL, NULL, 'PROTEASOME ENDOPEPTIDASE COMPLEX', 184070),
(240345, 'PTHR12865:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG06673', 184071),
(240346, 'PTHR34949:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184072),
(240347, 'PTHR12356:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR MIGRATION PROTEIN NUDC', 184073),
(240348, 'PTHR48017:SF14', NULL, NULL, NULL, NULL, 'PROLINE TRANSPORTER 2-LIKE ISOFORM X1', 184074),
(240349, 'PTHR11178:SF25', NULL, NULL, NULL, NULL, 'NIFU-LIKE PROTEIN 3, CHLOROPLASTIC', 184075),
(240350, 'PTHR21391', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 184076),
(240351, 'PTHR34491:SF40', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', 184077),
(240352, 'PTHR34145:SF23', NULL, NULL, NULL, NULL, 'OS04G0479800 PROTEIN', 184078),
(240353, 'PTHR24177:SF281', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', 184079),
(240354, 'PTHR13890:SF43', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-I', 184080),
(240355, 'PTHR31235:SF346', NULL, NULL, NULL, NULL, 'PEROXIDASE', 184081),
(240356, 'PTHR12128:SF21', NULL, NULL, NULL, NULL, 'N-ACETYLNEURAMINATE LYASE', 184082),
(240357, 'PTHR48002:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 184083),
(240358, 'PTHR11017:SF393', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE ISOFORM X1', 184084),
(240359, 'PTHR10037:SF290', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT ALPHA', 184085),
(240360, 'PTHR47928:SF88', NULL, NULL, NULL, NULL, 'OS03G0701400 PROTEIN', 184086),
(240361, 'PTHR32212:SF265', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 184087),
(240362, 'PTHR10830', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE 48 KDA SUBUNIT', 184088),
(240363, 'PTHR11845:SF13', NULL, NULL, NULL, NULL, 'HD DOMAIN-CONTAINING PROTEIN 2', 184089),
(240364, 'PTHR33172:SF38', NULL, NULL, NULL, NULL, 'BNAA01G05330D PROTEIN', 184090),
(240365, 'PTHR31194:SF69', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF003-LIKE', 184091),
(240366, 'PTHR46128:SF125', NULL, NULL, NULL, NULL, 'BNAC09G54650D PROTEIN', 184092),
(240367, 'PTHR27006:SF357', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', 184093),
(240368, 'PTHR27006:SF356', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 26', 184094),
(240369, 'PTHR24281:SF92', NULL, NULL, NULL, NULL, '5-EPIARISTOLOCHENE 1,3-DIHYDROXYLASE', 184095),
(240370, 'PTHR18953:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184096),
(240371, 'PTHR33373:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184097),
(240372, 'PTHR31087:SF96', NULL, NULL, NULL, NULL, 'BNAANNG22520D PROTEIN', 184098),
(240373, 'PTHR46034:SF28', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 1', 184099),
(240374, 'PTHR11040:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184100),
(240375, 'PTHR19143:SF373', NULL, NULL, NULL, NULL, 'FICOLIN-3', 184101);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(240376, 'PTHR35758', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 184102),
(240377, 'PTHR31745:SF3', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN WHY3, CHLOROPLASTIC', 184103),
(240378, 'PTHR28511:SF3', NULL, NULL, NULL, NULL, 'V, PUTATIVE-RELATED', 184104),
(240379, 'PTHR30520:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YFDC', 184105),
(240380, 'PTHR11017:SF318', NULL, NULL, NULL, NULL, 'BNAC03G62030D PROTEIN', 184106),
(240381, 'PTHR31535:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184107),
(240382, 'PTHR46125:SF9', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 17', 184108),
(240383, 'PTHR43180:SF59', NULL, NULL, NULL, NULL, 'MOMILACTONE A SYNTHASE-LIKE', 184109),
(240384, 'PTHR10709:SF17', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT', 184110),
(240385, 'PTHR31388:SF164', NULL, NULL, NULL, NULL, 'PEROXIDASE 9', 184111),
(240386, 'PTHR14352:SF2', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 7', 184112),
(240387, 'PTHR36806', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE', 184113),
(240388, 'PTHR24377:SF899', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 699', 184114),
(240389, 'PTHR31517:SF3', NULL, NULL, NULL, NULL, 'PEROXIDASE 50-RELATED', 184115),
(240390, 'PTHR47992:SF83', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 44-RELATED', 184116),
(240391, 'PTHR45890:SF16', NULL, NULL, NULL, NULL, 'BNAA09G47620D PROTEIN', 184117),
(240392, 'PTHR46415', NULL, NULL, NULL, NULL, 'ADAPTOR PROTEIN, PHOSPHOTYROSINE INTERACTION, PH DOMAIN AND LEUCINE ZIPPER-CONTAINING 2', 184118),
(240393, 'PTHR10438:SF429', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 184119),
(240394, 'PTHR10293:SF62', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN', 184120),
(240395, 'PTHR45973:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 43', 184121),
(240396, 'PTHR13199:SF18', NULL, NULL, NULL, NULL, 'BNAA06G32600D PROTEIN', 184122),
(240397, 'PTHR19282:SF378', NULL, NULL, NULL, NULL, 'TETRASPANIN FAMILY', 184123),
(240398, 'PTHR22870:SF408', NULL, NULL, NULL, NULL, 'CLARET, ISOFORM A', 184124),
(240399, 'PTHR11880:SF40', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S19, CHLOROPLASTIC', 184125),
(240400, 'PTHR38791', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED-RELATED', 184126),
(240401, 'PTHR21112', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 184127),
(240402, 'PTHR11937:SF446', NULL, NULL, NULL, NULL, 'ACTIN, CYTOSKELETAL 2A', 184128),
(240403, 'PTHR31228:SF27', NULL, NULL, NULL, NULL, 'BNAC02G02470D PROTEIN', 184129),
(240404, 'PTHR42794', NULL, NULL, NULL, NULL, 'HEMIN IMPORT ATP-BINDING PROTEIN HMUV', 184130),
(240405, 'PTHR22840:SF12', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 36', 184131),
(240406, 'PTHR23155:SF1097', NULL, NULL, NULL, NULL, 'OS03G0848700 PROTEIN', 184132),
(240407, 'PTHR12136:SF93', NULL, NULL, NULL, NULL, 'ENHANCED DISEASE RESISTANCE-LIKE PROTEIN (DUF1336)', 184133),
(240408, 'PTHR33937:SF4', NULL, NULL, NULL, NULL, 'IRON-MOLYBDENUM COFACTOR-BINDING PROTEIN', 184134),
(240409, 'PTHR28630:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184135),
(240410, 'PTHR23405:SF7', NULL, NULL, NULL, NULL, 'PROTEIN MAK16 HOMOLOG', 184136),
(240411, 'PTHR33109', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 4', 184137),
(240412, 'PTHR30002', NULL, NULL, NULL, NULL, 'EPOXYQUEUOSINE REDUCTASE', 184138),
(240413, 'PTHR24064:SF83', NULL, NULL, NULL, NULL, 'PROTEIN CBG17501', 184139),
(240414, 'PTHR13935:SF112', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH118', 184140),
(240415, 'PTHR47423', NULL, NULL, NULL, NULL, 'G-PATCH DOMAIN CONTAINING PROTEIN', 184141),
(240416, 'PTHR22933:SF2', NULL, NULL, NULL, NULL, 'CRACKED, ISOFORM C', 184142),
(240417, 'PTHR33165:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184143),
(240418, 'PTHR13448:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184144),
(240419, 'PTHR35140', NULL, NULL, NULL, NULL, 'MITOTIC CHECK POINT PROTEIN BFA1', 184145),
(240420, 'PTHR47925:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184146);
INSERT INTO "PUBLIC"."MODEL" VALUES
(240421, 'PTHR33214:SF51', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', 184147),
(240422, 'PTHR11738:SF173', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', 184148),
(240423, 'PTHR23315:SF264', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 6', 184149),
(240424, 'PTHR12308:SF47', NULL, NULL, NULL, NULL, 'ANOCTAMIN', 184150),
(240425, 'PTHR36900:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT M, CHLOROPLASTIC', 184151),
(240426, 'PTHR24166', NULL, NULL, NULL, NULL, 'ROLLING PEBBLES, ISOFORM B', 184152),
(240427, 'PTHR23535:SF2', NULL, NULL, NULL, NULL, 'SUGAR EFFLUX TRANSPORTER A-RELATED', 184153),
(240428, 'PTHR45828:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG02902', 184154),
(240429, 'PTHR47500:SF3', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM BINDING DOMAIN 3', 184155),
(240430, 'PTHR32429:SF8', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE/OXYGENASE ACTIVASE, CHLOROPLASTIC', 184156),
(240431, 'PTHR31744:SF123', NULL, NULL, NULL, NULL, 'BNACNNG63190D PROTEIN', 184157),
(240432, 'PTHR28018:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184158),
(240433, 'PTHR46891:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG27063', 184159),
(240434, 'PTHR10903:SF149', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN A', 184160),
(240435, 'PTHR45907:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', 184161),
(240436, 'PTHR31080:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184162),
(240437, 'PTHR10257:SF88', NULL, NULL, NULL, NULL, 'BNACNNG54820D PROTEIN', 184163),
(240438, 'PTHR11985:SF26', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', 184164),
(240439, 'PTHR14871:SF1', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 9', 184165),
(240440, 'PTHR17206:SF1', NULL, NULL, NULL, NULL, 'PROLACTIN-RELEASING PEPTIDE', 184166),
(240441, 'PTHR22807', NULL, NULL, NULL, NULL, 'NOP2 YEAST -RELATED NOL1/NOP2/FMU SUN  DOMAIN-CONTAINING', 184167),
(240442, 'PTHR10807:SF4', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 13', 184168),
(240443, 'PTHR30535:SF34', NULL, NULL, NULL, NULL, 'FERRICHROME-BINDING PERIPLASMIC PROTEIN-RELATED', 184169),
(240444, 'PTHR33782:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184170),
(240445, 'PTHR11827:SF58', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 2', 184171),
(240446, 'PTHR45864:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE SLINGSHOT', 184172),
(240447, 'PTHR47270:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184173),
(240448, 'PTHR13954:SF27', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE/ENDORIBONUCLEASE IRE1B', 184174),
(240449, 'PTHR45952:SF16', NULL, NULL, NULL, NULL, 'BNAA09G30520D PROTEIN', 184175),
(240450, 'PTHR11654:SF506', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184176),
(240451, 'PTHR10836:SF117', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 184177),
(240452, 'PTHR46740', NULL, NULL, NULL, NULL, 'PROTEIN DYAD', 184178),
(240453, 'PTHR12542:SF119', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 184179),
(240454, 'PTHR35897:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184180),
(240455, 'PTHR11523:SF30', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1', 184181),
(240456, 'PTHR26453:SF608', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR M32', 184182),
(240457, 'PTHR13172:SF7', NULL, NULL, NULL, NULL, 'OS05G0111100 PROTEIN', 184183),
(240458, 'PTHR31238:SF157', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 2 MEMBER 5-RELATED', 184184),
(240459, 'PTHR23124:SF44', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 184185),
(240460, 'PTHR11439:SF317', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184186),
(240461, 'PTHR34828', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 45', 184187),
(240462, 'PTHR28556:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 106A', 184188),
(240463, 'PTHR24281:SF143', NULL, NULL, NULL, NULL, '5-EPIARISTOLOCHENE 1,3-DIHYDROXYLASE', 184189);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(240464, 'PTHR45096:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NEDD1', 184190),
(240465, 'PTHR31125:SF8', NULL, NULL, NULL, NULL, 'F20P5.22 PROTEIN', 184191),
(240466, 'PTHR30313', NULL, NULL, NULL, NULL, 'DNA PRIMASE', 184192),
(240467, 'PTHR31044:SF70', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 5', 184193),
(240468, 'PTHR13412:SF0', NULL, NULL, NULL, NULL, 'T-CELL IMMUNOMODULATORY PROTEIN', 184194),
(240469, 'PTHR34197:SF10', NULL, NULL, NULL, NULL, 'BNAA02G27530D PROTEIN', 184195),
(240470, 'PTHR31907:SF2', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN BET V I FAMILY PROTEIN', 184196),
(240471, 'PTHR11760:SF45', NULL, NULL, NULL, NULL, 'BNAC06G00510D PROTEIN', 184197),
(240472, 'PTHR10510:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A2, MITOCHONDRIAL', 184198),
(240473, 'PTHR47370:SF5', NULL, NULL, NULL, NULL, 'BNAA04G17220D PROTEIN', 184199),
(240474, 'PTHR21427:SF19', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS PROTEIN COQ9, MITOCHONDRIAL', 184200),
(240475, 'PTHR47021:SF8', NULL, NULL, NULL, NULL, 'BNAC08G40400D PROTEIN', 184201),
(240476, 'PTHR24068:SF116', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2L 3A-RELATED', 184202),
(240477, 'PTHR11590:SF40', NULL, NULL, NULL, NULL, 'HEMOCYTE PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE-LIKE PROTEIN', 184203),
(240478, 'PTHR11776', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE', 184204),
(240479, 'PTHR47985:SF62', NULL, NULL, NULL, NULL, 'OS01G0259200 PROTEIN', 184205),
(240480, 'PTHR23119:SF37', NULL, NULL, NULL, NULL, 'FI03335P', 184206),
(240481, 'PTHR31218:SF279', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 184207),
(240482, 'PTHR11538:SF40', NULL, NULL, NULL, NULL, 'PHENYLALANINE--TRNA LIGASE ALPHA SUBUNIT', 184208),
(240483, 'PTHR43472', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINE--GLYCINE LIGASE', 184209),
(240484, 'PTHR13683:SF336', NULL, NULL, NULL, NULL, 'OS06G0121800 PROTEIN', 184210),
(240485, 'PTHR10627:SF67', NULL, NULL, NULL, NULL, 'HIGH DENSITY LIPOPROTEIN-BINDING PROTEIN B', 184211),
(240486, 'PTHR22907:SF17', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 184212),
(240487, 'PTHR31852:SF205', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA-14-RELATED', 184213),
(240488, 'PTHR12103:SF16', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE-RELATED', 184214),
(240489, 'PTHR43670:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184215),
(240490, 'PTHR11802:SF319', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 184216),
(240491, 'PTHR46162:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184217),
(240492, 'PTHR31282:SF94', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY51', 184218),
(240493, 'PTHR21258:SF44', NULL, NULL, NULL, NULL, 'DOCKING PROTEIN 4', 184219),
(240494, 'PTHR32212:SF299', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184220),
(240495, 'PTHR11122:SF52', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', 184221),
(240496, 'PTHR12433:SF19', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 25-LIKE ISOFORM X1', 184222),
(240497, 'PTHR14234', NULL, NULL, NULL, NULL, 'RIM BINDING PROTEIN-RELATED', 184223),
(240498, 'PTHR27005:SF221', NULL, NULL, NULL, NULL, 'OS10G0142600 PROTEIN', 184224),
(240499, 'PTHR48043:SF35', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 184225),
(240500, 'PTHR12765:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RED', 184226),
(240501, 'PTHR31828:SF35', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 6-RELATED', 184227),
(240502, 'PTHR11654:SF467', NULL, NULL, NULL, NULL, 'BNAANNG24930D PROTEIN', 184228),
(240503, 'PTHR31210:SF61', NULL, NULL, NULL, NULL, 'KETOGLUTARATE REDUCTASE TRANS-SPLICING-RELATED PROTEIN, PUTATIVE-RELATED', 184229),
(240504, 'PTHR43490:SF82', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE', 184230),
(240505, 'PTHR33239:SF5', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN', 184231),
(240506, 'PTHR22907:SF12', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', 184232),
(240507, 'PTHR47255:SF10', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 21-LIKE', 184233);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(240508, 'PTHR13817:SF70', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 184234),
(240509, 'PTHR11106:SF93', NULL, NULL, NULL, NULL, 'ADP-RIBOSE GLYCOHYDROLASE MACROD1', 184235),
(240510, 'PTHR10052:SF41', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', 184236),
(240511, 'PTHR46705:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG09805', 184237),
(240512, 'PTHR45665:SF32', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN-RELATED', 184238),
(240513, 'PTHR31238:SF199', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 184239),
(240514, 'PTHR36074:SF2', NULL, NULL, NULL, NULL, 'BNAA02G08950D PROTEIN', 184240),
(240515, 'PTHR32241:SF21', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 3', 184241),
(240516, 'PTHR14269:SF4', NULL, NULL, NULL, NULL, 'HYPOTHETICAL HAD-SUPERFAMILY HYDROLASE (EUROFUNG)', 184242),
(240517, 'PTHR24240:SF169', NULL, NULL, NULL, NULL, 'TELEOST MULTIPLE TISSUE OPSIN 3B', 184243),
(240518, 'PTHR34837:SF2', NULL, NULL, NULL, NULL, 'OS05G0595500 PROTEIN', 184244),
(240519, 'PTHR31061:SF23', NULL, NULL, NULL, NULL, 'OS05G0155700 PROTEIN', 184245),
(240520, 'PTHR43664', NULL, NULL, NULL, NULL, 'MONOAMINE OXIDASE-RELATED', 184246),
(240521, 'PTHR11783:SF186', NULL, NULL, NULL, NULL, 'BILE SALT SULFOTRANSFERASE 2-RELATED', 184247),
(240522, 'PTHR23316:SF1', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-9', 184248),
(240523, 'PTHR31451:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184249),
(240524, 'PTHR45751', NULL, NULL, NULL, NULL, 'COPINE FAMILY PROTEIN 1', 184250),
(240525, 'PTHR31080:SF170', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 184251),
(240526, 'PTHR12560:SF46', NULL, NULL, NULL, NULL, 'TRAM, LAG1 AND CLN8 (TLC) LIPID-SENSING DOMAIN CONTAINING PROTEIN', 184252),
(240527, 'PTHR31089:SF30', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 1-LIKE', 184253),
(240528, 'PTHR16469:SF45', NULL, NULL, NULL, NULL, 'BNAA04G27420D PROTEIN', 184254),
(240529, 'PTHR48111:SF10', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 184255),
(240530, 'PTHR34708:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184256),
(240531, 'PTHR11566:SF178', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 4C', 184257),
(240532, 'PTHR46438:SF6', NULL, NULL, NULL, NULL, 'SLL0553 PROTEIN', 184258),
(240533, 'PTHR35103:SF4', NULL, NULL, NULL, NULL, 'BNAA03G49180D PROTEIN', 184259),
(240534, 'PTHR32370:SF99', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN DOT3', 184260),
(240535, 'PTHR46932:SF13', NULL, NULL, NULL, NULL, 'OS04G0467950 PROTEIN', 184261),
(240536, 'PTHR30419:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORS, LYSR FAMILY', 184262),
(240537, 'PTHR36521', NULL, NULL, NULL, NULL, 'GEO07177P1', 184263),
(240538, 'PTHR24055:SF415', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 16', 184264),
(240539, 'PTHR11880:SF46', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S19, CHLOROPLASTIC', 184265),
(240540, 'PTHR21339', NULL, NULL, NULL, NULL, 'RADICAL S-ADENOSYL METHIONINE DOMAIN-CONTAINING PROTEIN 2', 184266),
(240541, 'PTHR31144', NULL, NULL, NULL, NULL, 'UPF0602 PROTEIN C4ORF47', 184267),
(240542, 'PTHR12266:SF1', NULL, NULL, NULL, NULL, 'NA/CA EXCHANGERS', 184268),
(240543, 'PTHR13102:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 9', 184269),
(240544, 'PTHR24035:SF127', NULL, NULL, NULL, NULL, 'EGF-LIKE AND EMI DOMAIN-CONTAINING PROTEIN 1-RELATED', 184270),
(240545, 'PTHR33347:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184271),
(240546, 'PTHR22635', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 184272),
(240547, 'PTHR16290:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184273),
(240548, 'PTHR23250:SF10', NULL, NULL, NULL, NULL, 'TECTONIN BETA-PROPELLER REPEAT-CONTAINING 1B', 184274),
(240549, 'PTHR12963', NULL, NULL, NULL, NULL, 'THYROID RECEPTOR INTERACTING PROTEIN RELATED', 184275),
(240550, 'PTHR30024:SF7', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE BINDING PROTEIN NRTA', 184276),
(240551, 'PTHR16270', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC287798', 184277),
(240552, 'PTHR12570:SF76', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 184278);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(240553, 'PTHR10909:SF386', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 184279),
(240554, 'PTHR47156:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG19935', 184280),
(240555, 'PTHR42886:SF23', NULL, NULL, NULL, NULL, '1-ACYLGLYCEROL-3-PHOSPHATE O-ACYLTRANSFERASE ICT1-RELATED', 184281),
(240556, 'PTHR43829', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', 184282),
(240557, 'PTHR31115:SF2', NULL, NULL, NULL, NULL, 'OS05G0107300 PROTEIN', 184283),
(240558, 'PTHR31218:SF214', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 184284),
(240559, 'PTHR48001:SF10', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1J4', 184285),
(240560, 'PTHR46400:SF5', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 184286),
(240561, 'PTHR26450:SF29', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 609', 184287),
(240562, 'PTHR47993:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184288),
(240563, 'PTHR30295', NULL, NULL, NULL, NULL, 'BACTERIOFERRITIN', 184289),
(240564, 'PTHR47849:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184290),
(240565, 'PTHR43657:SF3', NULL, NULL, NULL, NULL, 'BIOGENESIS PROTEIN-RELATED', 184291),
(240566, 'PTHR31009:SF111', NULL, NULL, NULL, NULL, 'BNAC01G24260D PROTEIN', 184292),
(240567, 'PTHR32285:SF157', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 30', 184293),
(240568, 'PTHR24103:SF629', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184294),
(240569, 'PTHR30632:SF11', NULL, NULL, NULL, NULL, 'BLR4797 PROTEIN', 184295),
(240570, 'PTHR13563', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-9-) METHYLTRANSFERASE', 184296),
(240571, 'PTHR23127:SF0', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT DKC1', 184297),
(240572, 'PTHR48053:SF41', NULL, NULL, NULL, NULL, 'OS07G0498400 PROTEIN', 184298),
(240573, 'PTHR11783:SF215', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 184299),
(240574, 'PTHR12411:SF561', NULL, NULL, NULL, NULL, 'COUNTING FACTOR ASSOCIATED PROTEIN D', 184300),
(240575, 'PTHR11527:SF336', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184301),
(240576, 'PTHR11101:SF65', NULL, NULL, NULL, NULL, 'LOW-AFFINITY INORGANIC PHOSPHATE TRANSPORTER 1-RELATED', 184302),
(240577, 'PTHR10994:SF169', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 184303),
(240578, 'PTHR12345:SF17', NULL, NULL, NULL, NULL, 'SDCBP PROTEIN', 184304),
(240579, 'PTHR46128:SF91', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 184305),
(240580, 'PTHR11732:SF480', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER C21', 184306),
(240581, 'PTHR10799:SF963', NULL, NULL, NULL, NULL, 'SNF2-RELATED DOMAIN-CONTAINING PROTEIN', 184307),
(240582, 'PTHR23502:SF7', NULL, NULL, NULL, NULL, 'DRUG/PROTON ANTIPORTER YHK8-RELATED', 184308),
(240583, 'PTHR22765:SF279', NULL, NULL, NULL, NULL, 'RPM1 INTERACTING PROTEIN 3-RELATED', 184309),
(240584, 'PTHR37989:SF32', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 2', 184310),
(240585, 'PTHR46662:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184311),
(240586, 'PTHR46163:SF20', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', 184312),
(240587, 'PTHR10013:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184313),
(240588, 'PTHR11654:SF85', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.2', 184314),
(240589, 'PTHR43312:SF1', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE', 184315),
(240590, 'PTHR30006:SF15', NULL, NULL, NULL, NULL, 'IRON-UTILIZATION PERIPLASMIC PROTEIN', 184316),
(240591, 'PTHR30024:SF8', NULL, NULL, NULL, NULL, 'SLL0473 PROTEIN', 184317),
(240592, 'PTHR21229:SF70', NULL, NULL, NULL, NULL, 'BNAC02G33530D PROTEIN', 184318),
(240593, 'PTHR22957:SF536', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 9', 184319),
(240594, 'PTHR11615:SF281', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 3', 184320),
(240595, 'PTHR11157:SF142', NULL, NULL, NULL, NULL, 'ELO FAMILY-RELATED', 184321),
(240596, 'PTHR26450:SF193', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 184322),
(240597, 'PTHR10288:SF286', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 44', 184323);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(240598, 'PTHR31618:SF21', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 4', 184324),
(240599, 'PTHR24168:SF24', NULL, NULL, NULL, NULL, 'KN MOTIF AND ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 4', 184325),
(240600, 'PTHR14308', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 1', 184326),
(240601, 'PTHR27001:SF594', NULL, NULL, NULL, NULL, 'OSJNBA0039K24.19 PROTEIN', 184327),
(240602, 'PTHR10795:SF649', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 184328),
(240603, 'PTHR31867:SF102', NULL, NULL, NULL, NULL, 'EXPANSIN', 184329),
(240604, 'PTHR31855:SF2', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE C9ORF72', 184330),
(240605, 'PTHR14140:SF38', NULL, NULL, NULL, NULL, 'BNAA09G42540D PROTEIN', 184331),
(240606, 'PTHR37203:SF3', NULL, NULL, NULL, NULL, 'OS09G0448900 PROTEIN', 184332),
(240607, 'PTHR33576:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184333),
(240608, 'PTHR35110', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 184334),
(240609, 'PTHR11351:SF74', NULL, NULL, NULL, NULL, 'BNAA03G57550D PROTEIN', 184335),
(240610, 'PTHR47647', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 12 MEMBER B', 184336),
(240611, 'PTHR42743:SF10', NULL, NULL, NULL, NULL, 'D-ALANINE AMINOTRANSFERASE', 184337),
(240612, 'PTHR10361:SF19', NULL, NULL, NULL, NULL, 'ILEAL SODIUM/BILE ACID COTRANSPORTER', 184338),
(240613, 'PTHR23257:SF703', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE PYK3', 184339),
(240614, 'PTHR11017:SF330', NULL, NULL, NULL, NULL, 'BNAA02G04080D PROTEIN', 184340),
(240615, 'PTHR22941:SF295', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 184341),
(240616, 'PTHR13301:SF218', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN', 184342),
(240617, 'PTHR27006:SF364', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184343),
(240618, 'PTHR46926', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN DOMAIN-CONTAINING CYSTEINE-RICH PROTEIN 2', 184344),
(240619, 'PTHR46435:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECTD4-RELATED', 184345),
(240620, 'PTHR22952:SF389', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 4 ISOFORM X1', 184346),
(240621, 'PTHR31618:SF23', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', 184347),
(240622, 'PTHR13140:SF791', NULL, NULL, NULL, NULL, 'BNAC09G37370D PROTEIN', 184348),
(240623, 'PTHR24286:SF192', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 90B1-LIKE', 184349),
(240624, 'PTHR33110:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184350),
(240625, 'PTHR31374:SF248', NULL, NULL, NULL, NULL, 'BNAA01G05940D PROTEIN', 184351),
(240626, 'PTHR48011:SF35', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 3-LIKE', 184352),
(240627, 'PTHR38344', NULL, NULL, NULL, NULL, 'UPF0753 PROTEIN AQ_863', 184353),
(240628, 'PTHR22605:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184354),
(240629, 'PTHR31707:SF312', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 184355),
(240630, 'PTHR31803:SF29', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE 1A, MITOCHONDRIAL', 184356),
(240631, 'PTHR21299:SF1', NULL, NULL, NULL, NULL, 'PANTOATE--BETA-ALANINE LIGASE', 184357),
(240632, 'PTHR35687:SF6', NULL, NULL, NULL, NULL, 'BNAA09G47600D PROTEIN', 184358),
(240633, 'PTHR31080:SF160', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', 184359),
(240634, 'PTHR23257:SF838', NULL, NULL, NULL, NULL, 'BNAC03G67730D PROTEIN', 184360),
(240635, 'PTHR23272:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184361),
(240636, 'PTHR46125:SF19', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 28-LIKE', 184362),
(240637, 'PTHR22930:SF190', NULL, NULL, NULL, NULL, 'OS06G0164500 PROTEIN', 184363),
(240638, 'PTHR11818:SF55', NULL, NULL, NULL, NULL, 'CRYSTALLIN, BETA B1,-LIKE 1-RELATED', 184364),
(240639, 'PTHR10994:SF154', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B11', 184365),
(240640, 'PTHR11002:SF12', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', 184366),
(240641, 'PTHR31235:SF341', NULL, NULL, NULL, NULL, 'PEROXIDASE', 184367),
(240642, 'PTHR32063:SF9', NULL, NULL, NULL, NULL, 'SIMILAR TO MULTIDRUG RESISTANCE PROTEIN MEXB', 184368);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(240643, 'PTHR31210:SF75', NULL, NULL, NULL, NULL, 'OS05G0108100 PROTEIN', 184369),
(240644, 'PTHR24176:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 31-RELATED', 184370),
(240645, 'PTHR46944', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 33', 184371),
(240646, 'PTHR42872:SF6', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMATE METHYLESTERASE/PROTEIN-GLUTAMINE GLUTAMINASE 2', 184372),
(240647, 'PTHR14024', NULL, NULL, NULL, NULL, 'PERILIPIN', 184373),
(240648, 'PTHR13068:SF109', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF4, CHLOROPLASTIC', 184374),
(240649, 'PTHR32338:SF9', NULL, NULL, NULL, NULL, 'ASPARTATE-SEMIALDEHYDE DEHYDROGENASE', 184375),
(240650, 'PTHR33193:SF32', NULL, NULL, NULL, NULL, 'OS05G0356800 PROTEIN', 184376),
(240651, 'PTHR10556:SF28', NULL, NULL, NULL, NULL, 'SC2', 184377),
(240652, 'PTHR48017:SF84', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 7-RELATED', 184378),
(240653, 'PTHR45622:SF14', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', 184379),
(240654, 'PTHR31985:SF186', NULL, NULL, NULL, NULL, 'AP2/ERF TRANSCRIPTION FACTOR ERF/PTI6-RELATED', 184380),
(240655, 'PTHR42730:SF1', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE SYNTHASE SUBUNIT KORC', 184381),
(240656, 'PTHR10442:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', 184382),
(240657, 'PTHR24414:SF141', NULL, NULL, NULL, NULL, 'BNAA07G38620D PROTEIN', 184383),
(240658, 'PTHR10913:SF9', NULL, NULL, NULL, NULL, 'FOLLISTATIN-RELATED PROTEIN 4', 184384),
(240659, 'PTHR30055:SF119', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 184385),
(240660, 'PTHR18901:SF38', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE-5''-PHOSPHATASE', 184386),
(240661, 'PTHR11472', NULL, NULL, NULL, NULL, 'DNA REPAIR DEAD HELICASE RAD3/XP-D SUBFAMILY MEMBER', 184387),
(240662, 'PTHR36772:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE', 184388),
(240663, 'PTHR20932:SF33', NULL, NULL, NULL, NULL, 'BNAC09G47710D PROTEIN', 184389),
(240664, 'PTHR45774', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING', 184390),
(240665, 'PTHR12775', NULL, NULL, NULL, NULL, 'PROTEIN C20ORF43 HOMOLOG', 184391),
(240666, 'PTHR27006:SF355', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 3', 184392),
(240667, 'PTHR23079:SF1', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE FAMILY', 184393),
(240668, 'PTHR46769:SF4', NULL, NULL, NULL, NULL, 'FIBROCYSTIN-L', 184394),
(240669, 'PTHR21514', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 184395),
(240670, 'PTHR43078:SF14', NULL, NULL, NULL, NULL, 'OS01G0315800 PROTEIN', 184396),
(240671, 'PTHR31100:SF58', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-LIKE', 184397),
(240672, 'PTHR31727:SF10', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', 184398),
(240673, 'PTHR11588:SF327', NULL, NULL, NULL, NULL, 'TUBULIN BETA-5 CHAIN', 184399),
(240674, 'PTHR31992:SF209', NULL, NULL, NULL, NULL, 'BNAA02G06470D PROTEIN', 184400),
(240675, 'PTHR24092:SF172', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 184401),
(240676, 'PTHR48017:SF28', NULL, NULL, NULL, NULL, 'BNAA09G35330D PROTEIN', 184402),
(240677, 'PTHR10909:SF381', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 184403),
(240678, 'PTHR45787:SF3', NULL, NULL, NULL, NULL, 'RHOMBOTIN-2', 184404),
(240679, 'PTHR21711:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE ATP23 HOMOLOG', 184405),
(240680, 'PTHR31849:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH DPF MOTIF DOMAIN-CONTAINING PROTEIN 1', 184406),
(240681, 'PTHR11958:SF48', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 184407),
(240682, 'PTHR32487:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184408),
(240683, 'PTHR12228:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 7', 184409),
(240684, 'PTHR43539:SF60', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 184410),
(240685, 'PTHR23070:SF128', NULL, NULL, NULL, NULL, 'AAA-ATPASE ASD, MITOCHONDRIAL', 184411),
(240686, 'PTHR31852:SF179', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOFAMILY PROTEIN, PUTATIVE-RELATED', 184412);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(240687, 'PTHR18952:SF221', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 7-LIKE ISOFORM X1', 184413),
(240688, 'PTHR15556', NULL, NULL, NULL, NULL, 'EP300-INTERACTING INHIBITOR OF DIFFERENTIATION 2-RELATED', 184414),
(240689, 'PTHR32440:SF0', NULL, NULL, NULL, NULL, 'PHOSPHATASE DCR2-RELATED', 184415),
(240690, 'PTHR11863:SF188', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 1-LIKE', 184416),
(240691, 'PTHR33801:SF20', NULL, NULL, NULL, NULL, 'ABSCISIC STRESS-RIPENING PROTEIN 1', 184417),
(240692, 'PTHR22765:SF297', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184418),
(240693, 'PTHR47270:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184419),
(240694, 'PTHR33307:SF8', NULL, NULL, NULL, NULL, 'ALPHA-RHAMNOSIDASE (EUROFUNG)', 184420),
(240695, 'PTHR24023:SF1023', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-3(V) CHAIN', 184421),
(240696, 'PTHR31086:SF22', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 8', 184422),
(240697, 'PTHR11984:SF61', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', 184423),
(240698, 'PTHR37774:SF4', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN MI25-RELATED', 184424),
(240699, 'PTHR31374:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184425),
(240700, 'PTHR13773', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', 184426),
(240701, 'PTHR23086:SF57', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 6', 184427),
(240702, 'PTHR33057:SF116', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP18', 184428),
(240703, 'PTHR24347:SF254', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE H1', 184429),
(240704, 'PTHR33021:SF242', NULL, NULL, NULL, NULL, 'BASIC BLUE-LIKE PROTEIN', 184430),
(240705, 'PTHR21207:SF2', NULL, NULL, NULL, NULL, 'PARKIN COREGULATED GENE PROTEIN', 184431),
(240706, 'PTHR32183:SF15', NULL, NULL, NULL, NULL, 'THIOL METHYLTRANSFERASE 1-RELATED', 184432),
(240707, 'PTHR31086:SF56', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 12-LIKE', 184433),
(240708, 'PTHR11732:SF452', NULL, NULL, NULL, NULL, 'D-ARABINOSE DEHYDROGENASE [NAD(P)+] HEAVY CHAIN', 184434),
(240709, 'PTHR19321:SF1', NULL, NULL, NULL, NULL, 'PROTEIN REGULATOR OF CYTOKINESIS 1', 184435),
(240710, 'PTHR15268', NULL, NULL, NULL, NULL, 'THRAP3/BCLAF1', 184436),
(240711, 'PTHR34554:SF1', NULL, NULL, NULL, NULL, 'ALANINE-TRNA LIGASE', 184437),
(240712, 'PTHR22625', NULL, NULL, NULL, NULL, 'PLEXIN', 184438),
(240713, 'PTHR32100:SF60', NULL, NULL, NULL, NULL, 'BNAA04G17150D PROTEIN', 184439),
(240714, 'PTHR11705:SF60', NULL, NULL, NULL, NULL, 'FI16720P1', 184440),
(240715, 'PTHR11214:SF289', NULL, NULL, NULL, NULL, 'BNAA06G17040D PROTEIN', 184441),
(240716, 'PTHR22997:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184442),
(240717, 'PTHR32227:SF142', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE', 184443),
(240718, 'PTHR31503:SF68', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', 184444),
(240719, 'PTHR33142:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184445),
(240720, 'PTHR47958:SF14', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 14', 184446),
(240721, 'PTHR31496:SF27', NULL, NULL, NULL, NULL, 'KANADI1', 184447),
(240722, 'PTHR47924:SF47', NULL, NULL, NULL, NULL, 'BNAANNG11600D PROTEIN', 184448),
(240723, 'PTHR31428:SF3', NULL, NULL, NULL, NULL, 'HEMOJUVELIN', 184449),
(240724, 'PTHR22938:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZNF598', 184450),
(240725, 'PTHR31205:SF2', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN (DUF569)', 184451),
(240726, 'PTHR31374:SF168', NULL, NULL, NULL, NULL, 'AUXIN-REGULATED PROTEIN-RELATED', 184452),
(240727, 'PTHR11309:SF136', NULL, NULL, NULL, NULL, 'FRIZZLED-5', 184453),
(240728, 'PTHR46128:SF243', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184454),
(240729, 'PTHR14233:SF10', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER F1', 184455),
(240730, 'PTHR24423', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SENSOR HISTIDINE KINASE', 184456),
(240731, 'PTHR31346:SF11', NULL, NULL, NULL, NULL, 'ORGANELLE RRM DOMAIN-CONTAINING PROTEIN 1, CHLOROPLASTIC', 184457);
INSERT INTO "PUBLIC"."MODEL" VALUES
(240732, 'PTHR11017:SF340', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY-RELATED', 184458),
(240733, 'PTHR23081:SF17', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II C-TERMINAL DOMAIN PHOSPHATASE-LIKE 1', 184459),
(240734, 'PTHR10559:SF14', NULL, NULL, NULL, NULL, 'TRANSCOBALAMIN-2', 184460),
(240735, 'PTHR31235:SF16', NULL, NULL, NULL, NULL, 'PEROXIDASE 43', 184461),
(240736, 'PTHR24559:SF381', NULL, NULL, NULL, NULL, 'ZGC:113436', 184462),
(240737, 'PTHR30055:SF200', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY TETR/ACRR-FAMILY)-RELATED', 184463),
(240738, 'PTHR46431:SF6', NULL, NULL, NULL, NULL, 'BNAC05G09390D PROTEIN', 184464),
(240739, 'PTHR31948:SF16', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 11', 184465),
(240740, 'PTHR34456:SF9', NULL, NULL, NULL, NULL, 'MITOVIRUS RNA-DEPENDENT RNA POLYMERASE', 184466),
(240741, 'PTHR12138:SF100', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 122', 184467),
(240742, 'PTHR47116:SF7', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 184468),
(240743, 'PTHR31293:SF19', NULL, NULL, NULL, NULL, 'BNACNNG15280D PROTEIN', 184469),
(240744, 'PTHR40111:SF1', NULL, NULL, NULL, NULL, 'CEPHALOSPORIN-C DEACETYLASE', 184470),
(240745, 'PTHR11539:SF0', NULL, NULL, NULL, NULL, 'V(D)J RECOMBINATION-ACTIVATING PROTEIN 1', 184471),
(240746, 'PTHR31529:SF38', NULL, NULL, NULL, NULL, 'LATERAL ORGAN BOUNDARIES-DOMAIN 16-RELATED', 184472),
(240747, 'PTHR23349:SF40', NULL, NULL, NULL, NULL, 'SI:CH211-246M6.4', 184473),
(240748, 'PTHR21576:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184474),
(240749, 'PTHR13774:SF17', NULL, NULL, NULL, NULL, 'PHENAZINE BIOSYNTHESIS-LIKE DOMAIN-CONTAINING PROTEIN', 184475),
(240750, 'PTHR10314:SF184', NULL, NULL, NULL, NULL, 'OS06G0149900 PROTEIN', 184476),
(240751, 'PTHR46128:SF185', NULL, NULL, NULL, NULL, 'PROTEIN RF1, MITOCHONDRIAL-LIKE', 184477),
(240752, 'PTHR22957:SF583', NULL, NULL, NULL, NULL, 'OS10G0518100 PROTEIN', 184478),
(240753, 'PTHR24115:SF418', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF12', 184479),
(240754, 'PTHR43582:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING SUBUNIT-RELATED', 184480),
(240755, 'PTHR13843:SF13', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 1AA', 184481),
(240756, 'PTHR16255:SF15', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN RMD1', 184482),
(240757, 'PTHR26453:SF76', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13H1', 184483),
(240758, 'PTHR34533:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN CCDC163', 184484),
(240759, 'PTHR24281:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184485),
(240760, 'PTHR33137:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184486),
(240761, 'PTHR48002:SF47', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 184487),
(240762, 'PTHR24103:SF568', NULL, NULL, NULL, NULL, 'B BOX AND SPRY DOMAIN-CONTAINING PROTEIN', 184488),
(240763, 'PTHR42861:SF72', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', 184489),
(240764, 'PTHR15073:SF4', NULL, NULL, NULL, NULL, 'ENSCONSIN', 184490),
(240765, 'PTHR31152:SF18', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN-RELATED', 184491),
(240766, 'PTHR31048:SF132', NULL, NULL, NULL, NULL, 'PRU PROTEIN, PUTATIVE-RELATED', 184492),
(240767, 'PTHR31992:SF197', NULL, NULL, NULL, NULL, 'OS03G0821200 PROTEIN', 184493),
(240768, 'PTHR10015:SF372', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 184494),
(240769, 'PTHR46128:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184495),
(240770, 'PTHR35013', NULL, NULL, NULL, NULL, 'PROTEIN CBG22618-RELATED', 184496),
(240771, 'PTHR12363', NULL, NULL, NULL, NULL, 'TRANSPORTIN 3 AND IMPORTIN 13', 184497),
(240772, 'PTHR11661:SF24', NULL, NULL, NULL, NULL, 'BNAA07G37750D PROTEIN', 184498),
(240773, 'PTHR14134:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184499),
(240774, 'PTHR24384:SF114', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 273', 184500),
(240775, 'PTHR23036:SF51', NULL, NULL, NULL, NULL, 'INTERLEUKIN-12 RECEPTOR SUBUNIT BETA-1', 184501);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(240776, 'PTHR12151:SF23', NULL, NULL, NULL, NULL, 'BNAC03G36280D PROTEIN', 184502),
(240777, 'PTHR13738:SF31', NULL, NULL, NULL, NULL, 'TROPONIN I TYPE 2A (SKELETAL, FAST), TANDEM DUPLICATE 3-RELATED', 184503),
(240778, 'PTHR11455', NULL, NULL, NULL, NULL, 'CRYPTOCHROME', 184504),
(240779, 'PTHR22930:SF214', NULL, NULL, NULL, NULL, 'OS03G0689866 PROTEIN', 184505),
(240780, 'PTHR43294:SF16', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA', 184506),
(240781, 'PTHR19359:SF92', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE', 184507),
(240782, 'PTHR23430:SF327', NULL, NULL, NULL, NULL, 'HISTONE H2A VARIANT 1-RELATED', 184508),
(240783, 'PTHR46838:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-261N11.8', 184509),
(240784, 'PTHR16271:SF11', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 34', 184510),
(240785, 'PTHR12366:SF32', NULL, NULL, NULL, NULL, 'ASPARTATE BETA-HYDROXYLASE', 184511),
(240786, 'PTHR46267:SF12', NULL, NULL, NULL, NULL, 'SINGLE MYB HISTONE 5', 184512),
(240787, 'PTHR36030:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184513),
(240788, 'PTHR42980', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT BETA-RELATED', 184514),
(240789, 'PTHR31210:SF55', NULL, NULL, NULL, NULL, 'OS07G0564800 PROTEIN', 184515),
(240790, 'PTHR12652:SF46', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11E', 184516),
(240791, 'PTHR43420', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', 184517),
(240792, 'PTHR21068:SF29', NULL, NULL, NULL, NULL, 'BNAANNG08350D PROTEIN', 184518),
(240793, 'PTHR37534:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 184519),
(240794, 'PTHR44090', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 61', 184520),
(240795, 'PTHR11616:SF237', NULL, NULL, NULL, NULL, 'TRANSPORTER', 184521),
(240796, 'PTHR10869:SF178', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT OXYGENASE-RELATED', 184522),
(240797, 'PTHR24126:SF45', NULL, NULL, NULL, NULL, 'ANKRD23 PROTEIN', 184523),
(240798, 'PTHR24286:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184524),
(240799, 'PTHR33143:SF52', NULL, NULL, NULL, NULL, 'OS02G0539500 PROTEIN', 184525),
(240800, 'PTHR30363:SF44', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, DEOR FAMILY-RELATED', 184526),
(240801, 'PTHR43265', NULL, NULL, NULL, NULL, 'ESTERASE ESTD', 184527),
(240802, 'PTHR11654:SF325', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', 184528),
(240803, 'PTHR48018:SF96', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 184529),
(240804, 'PTHR15067:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF8', 184530),
(240805, 'PTHR34223:SF36', NULL, NULL, NULL, NULL, 'OS08G0150600 PROTEIN', 184531),
(240806, 'PTHR12392:SF0', NULL, NULL, NULL, NULL, 'LADININ-1', 184532),
(240807, 'PTHR33271:SF24', NULL, NULL, NULL, NULL, 'RMLC-LIKE CUPINS SUPERFAMILY PROTEIN', 184533),
(240808, 'PTHR31245:SF25', NULL, NULL, NULL, NULL, 'OS06G0642600 PROTEIN', 184534),
(240809, 'PTHR13748:SF59', NULL, NULL, NULL, NULL, 'COBW DOMAIN-CONTAINING PROTEIN 1-LIKE', 184535),
(240810, 'PTHR30572:SF14', NULL, NULL, NULL, NULL, 'MACROLIDE EXPORT ATP-BINDING/PERMEASE PROTEIN MACB', 184536),
(240811, 'PTHR11049:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184537),
(240812, 'PTHR47505', NULL, NULL, NULL, NULL, 'DNA UTILIZATION PROTEIN YHGH', 184538),
(240813, 'PTHR45708:SF47', NULL, NULL, NULL, NULL, 'ENDOCHITINASE A', 184539),
(240814, 'PTHR37703:SF3', NULL, NULL, NULL, NULL, 'BNAA07G36640D PROTEIN', 184540),
(240815, 'PTHR10517:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184541),
(240816, 'PTHR14237:SF54', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE FAMILY PROTEIN', 184542),
(240817, 'PTHR24223:SF412', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 10-LIKE', 184543),
(240818, 'PTHR13980:SF16', NULL, NULL, NULL, NULL, 'METALLOPEPTIDASE FAMILY M24 CONTAINING PROTEIN, EXPRESSED', 184544),
(240819, 'PTHR46516:SF1', NULL, NULL, NULL, NULL, 'TRNA-SPECIFIC ADENOSINE DEAMINASE 1', 184545),
(240820, 'PTHR14559:SF3', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 9', 184546); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(240821, 'PTHR30523:SF38', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE 1', 184547),
(240822, 'PTHR44750', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE T1-RELATED', 184548),
(240823, 'PTHR45627:SF12', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 1', 184549),
(240824, 'PTHR33018:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184550),
(240825, 'PTHR45717:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184551),
(240826, 'PTHR33697:SF5', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING PROTEIN-RELATED', 184552),
(240827, 'PTHR23239:SF354', NULL, NULL, NULL, NULL, 'KERATIN, TYPE 1, GENE C5', 184553),
(240828, 'PTHR10366:SF355', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE HOMOLOG', 184554),
(240829, 'PTHR15564:SF2', NULL, NULL, NULL, NULL, 'BMP/RETINOIC ACID-INDUCIBLE NEURAL-SPECIFIC PROTEIN 3', 184555),
(240830, 'PTHR10443:SF21', NULL, NULL, NULL, NULL, 'DIPEPTIDASE', 184556),
(240831, 'PTHR44783:SF1', NULL, NULL, NULL, NULL, 'CXADR-LIKE MEMBRANE PROTEIN', 184557),
(240832, 'PTHR47938:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 184558),
(240833, 'PTHR10572', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE', 184559),
(240834, 'PTHR23430:SF199', NULL, NULL, NULL, NULL, 'HISTONE H2AX', 184560),
(240835, 'PTHR31156:SF26', NULL, NULL, NULL, NULL, 'SPEEDY PROTEIN E1-RELATED', 184561),
(240836, 'PTHR22870:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184562),
(240837, 'PTHR14379:SF17', NULL, NULL, NULL, NULL, 'EMB|CAB71880.1', 184563),
(240838, 'PTHR45656:SF6', NULL, NULL, NULL, NULL, 'CUB AND SUSHI DOMAIN-CONTAINING PROTEIN 2', 184564),
(240839, 'PTHR46096:SF1', NULL, NULL, NULL, NULL, 'PERFORIN 1.5-RELATED', 184565),
(240840, 'PTHR11668:SF468', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE BSL1-RELATED', 184566),
(240841, 'PTHR48019:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184567),
(240842, 'PTHR10977:SF3', NULL, NULL, NULL, NULL, 'DIPHOSPHOMEVALONATE DECARBOXYLASE', 184568),
(240843, 'PTHR12560:SF50', NULL, NULL, NULL, NULL, 'ASC1-LIKE PROTEIN 2', 184569),
(240844, 'PTHR24393:SF98', NULL, NULL, NULL, NULL, 'MDS1 AND EVI1 COMPLEX LOCUS-RELATED', 184570),
(240845, 'PTHR36178:SF1', NULL, NULL, NULL, NULL, 'SODIUM/GLUTAMATE SYMPORTER', 184571),
(240846, 'PTHR46085:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD14-RELATED', 184572),
(240847, 'PTHR46261:SF19', NULL, NULL, NULL, NULL, 'BNAA07G02740D PROTEIN', 184573),
(240848, 'PTHR37433:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG12135', 184574),
(240849, 'PTHR13622:SF12', NULL, NULL, NULL, NULL, 'THIAMINE PYROPHOSPHOKINASE 1', 184575),
(240850, 'PTHR23049:SF60', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN', 184576),
(240851, 'PTHR24083:SF170', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 184577),
(240852, 'PTHR47940', NULL, NULL, NULL, NULL, 'OS12G0283900 PROTEIN', 184578),
(240853, 'PTHR43213:SF11', NULL, NULL, NULL, NULL, 'MAF-LIKE PROTEIN, EXPRESSED', 184579),
(240854, 'PTHR14445:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184580),
(240855, 'PTHR31949:SF23', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', 184581),
(240856, 'PTHR23213:SF257', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 13', 184582),
(240857, 'PTHR10543:SF125', NULL, NULL, NULL, NULL, 'CAROTENOID OXYGENASE-RELATED', 184583),
(240858, 'PTHR11785:SF527', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER PROTEIN JHI-21', 184584),
(240859, 'PTHR47926:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184585),
(240860, 'PTHR45637:SF75', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', 184586),
(240861, 'PTHR45826:SF12', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER PUT1', 184587),
(240862, 'PTHR11937:SF54', NULL, NULL, NULL, NULL, 'ACTIN-LIKE 11', 184588),
(240863, 'PTHR31790:SF405', NULL, NULL, NULL, NULL, 'BNAC05G44680D PROTEIN', 184589),
(240864, 'PTHR47956:SF27', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', 184590),
(240865, 'PTHR22069', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN S18', 184591);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(240866, 'PTHR33743:SF16', NULL, NULL, NULL, NULL, 'ROOT MERISTEM GROWTH FACTOR 9', 184592),
(240867, 'PTHR31569:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 3', 184593),
(240868, 'PTHR33103', NULL, NULL, NULL, NULL, 'OS01G0153900 PROTEIN', 184594),
(240869, 'PTHR23235:SF98', NULL, NULL, NULL, NULL, 'KLF7L PROTEIN-RELATED', 184595),
(240870, 'PTHR23073:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184596),
(240871, 'PTHR39947:SF1', NULL, NULL, NULL, NULL, 'IP19862P', 184597),
(240872, 'PTHR13356:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184598),
(240873, 'PTHR11538:SF83', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF2431)-RELATED', 184599),
(240874, 'PTHR11636:SF44', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC HOMEOBOX/POU DOMAIN PROTEIN 3', 184600),
(240875, 'PTHR11937:SF406', NULL, NULL, NULL, NULL, 'MACRONUCLEAR ACTIN', 184601),
(240876, 'PTHR48068:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 9B', 184602),
(240877, 'PTHR21337:SF0', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE 1, CHLOROPLASTIC', 184603),
(240878, 'PTHR10177:SF65', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN-D3', 184604),
(240879, 'PTHR10871:SF33', NULL, NULL, NULL, NULL, 'BNAC06G07900D PROTEIN', 184605),
(240880, 'PTHR46900:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 13', 184606),
(240881, 'PTHR24028:SF287', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 2 ALPHA B 1-RELATED', 184607),
(240882, 'PTHR12854', NULL, NULL, NULL, NULL, 'ATAXIN 2-RELATED', 184608),
(240883, 'PTHR33172:SF48', NULL, NULL, NULL, NULL, 'BNAC09G36670D PROTEIN', 184609),
(240884, 'PTHR28094:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184610),
(240885, 'PTHR24055:SF379', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 14', 184611),
(240886, 'PTHR44137:SF7', NULL, NULL, NULL, NULL, 'BNAC03G44070D PROTEIN', 184612),
(240887, 'PTHR37035:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184613),
(240888, 'PTHR27005:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184614),
(240889, 'PTHR33571:SF12', NULL, NULL, NULL, NULL, 'ISSOD9 NUCLEOTIDYLTRANSFERASE DOMAIN PROTEIN', 184615),
(240890, 'PTHR45614:SF70', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', 184616),
(240891, 'PTHR22776:SF50', NULL, NULL, NULL, NULL, 'PROTEIN CBG14610', 184617),
(240892, 'PTHR34000:SF8', NULL, NULL, NULL, NULL, 'LRRGT00142', 184618),
(240893, 'PTHR24414:SF95', NULL, NULL, NULL, NULL, 'BNAC01G00440D PROTEIN', 184619),
(240894, 'PTHR42946:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOSAMINE MUTASE', 184620),
(240895, 'PTHR24286:SF105', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 85A-LIKE', 184621),
(240896, 'PTHR24291:SF147', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP44-RELATED', 184622),
(240897, 'PTHR36317', NULL, NULL, NULL, NULL, 'PROTEIN MULTIPLE CHLOROPLAST DIVISION SITE 1', 184623),
(240898, 'PTHR47999:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ODORANT1-LIKE', 184624),
(240899, 'PTHR47993:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184625),
(240900, 'PTHR22911:SF37', NULL, NULL, NULL, NULL, 'THREONINE/HOMOSERINE EXPORTER RHTA', 184626),
(240901, 'PTHR28594:SF1', NULL, NULL, NULL, NULL, 'ATR-INTERACTING PROTEIN', 184627),
(240902, 'PTHR33096:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184628),
(240903, 'PTHR22932:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184629),
(240904, 'PTHR31245:SF3', NULL, NULL, NULL, NULL, 'OS08G0313600 PROTEIN', 184630),
(240905, 'PTHR10783:SF91', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 6-LIKE', 184631),
(240906, 'PTHR31852:SF41', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN', 184632),
(240907, 'PTHR11654:SF73', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.2-LIKE', 184633),
(240908, 'PTHR33931:SF2', NULL, NULL, NULL, NULL, 'HOLIN-LIKE PROTEIN CIDA', 184634),
(240909, 'PTHR33392:SF6', NULL, NULL, NULL, NULL, 'POLYISOPRENYL-TEICHOIC ACID--PEPTIDOGLYCAN TEICHOIC ACID TRANSFERASE TAGU', 184635),
(240910, 'PTHR47584:SF3', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN-LIKE', 184636);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(240911, 'PTHR31985:SF144', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF035', 184637),
(240912, 'PTHR40660', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 184638),
(240913, 'PTHR31561:SF79', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 184639),
(240914, 'PTHR47527:SF3', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 184640),
(240915, 'PTHR30290', NULL, NULL, NULL, NULL, 'PERIPLASMIC BINDING COMPONENT OF ABC TRANSPORTER', 184641),
(240916, 'PTHR46818', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', 184642),
(240917, 'PTHR32411:SF64', NULL, NULL, NULL, NULL, 'BNAC03G42480D PROTEIN', 184643),
(240918, 'PTHR46474', NULL, NULL, NULL, NULL, 'TWO PORE CALCIUM CHANNEL PROTEIN 1', 184644),
(240919, 'PTHR42769:SF2', NULL, NULL, NULL, NULL, 'DISMUTASE, PUTATIVE-RELATED', 184645),
(240920, 'PTHR10797:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184646),
(240921, 'PTHR31260:SF50', NULL, NULL, NULL, NULL, 'BNAC08G14090D PROTEIN', 184647),
(240922, 'PTHR11021:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184648),
(240923, 'PTHR31375:SF33', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE-LIKE', 184649),
(240924, 'PTHR24353:SF67', NULL, NULL, NULL, NULL, 'PROTEIN KINASE A CATALYTIC SUBUNIT ISOFORM 2', 184650),
(240925, 'PTHR31415:SF124', NULL, NULL, NULL, NULL, 'OS07G0531500 PROTEIN', 184651),
(240926, 'PTHR13232:SF10', NULL, NULL, NULL, NULL, 'NAD(P)H-HYDRATE EPIMERASE', 184652),
(240927, 'PTHR11537:SF6', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY KQT MEMBER 2', 184653),
(240928, 'PTHR46605:SF1', NULL, NULL, NULL, NULL, 'DEATH DOMAIN-CONTAINING MEMBRANE PROTEIN NRADD', 184654),
(240929, 'PTHR11461:SF189', NULL, NULL, NULL, NULL, 'NON-INHIBITORY SERPIN-Z9-RELATED', 184655),
(240930, 'PTHR11849:SF204', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN D-ETS-3-RELATED', 184656),
(240931, 'PTHR33914:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184657),
(240932, 'PTHR31707:SF203', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR VGDH2-RELATED', 184658),
(240933, 'PTHR31890:SF14', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', 184659),
(240934, 'PTHR47926:SF106', NULL, NULL, NULL, NULL, 'OS08G0131000 PROTEIN', 184660),
(240935, 'PTHR24559:SF380', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN-CONTAINING PROTEIN-RELATED', 184661),
(240936, 'PTHR24070:SF416', NULL, NULL, NULL, NULL, 'SMALL GTPASE', 184662),
(240937, 'PTHR11932:SF150', NULL, NULL, NULL, NULL, 'OS02G0746000 PROTEIN', 184663),
(240938, 'PTHR45826:SF14', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER RMV1', 184664),
(240939, 'PTHR24299:SF23', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 184665),
(240940, 'PTHR46175:SF9', NULL, NULL, NULL, NULL, 'LKP2', 184666),
(240941, 'PTHR22883:SF290', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC20', 184667),
(240942, 'PTHR48005:SF24', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', 184668),
(240943, 'PTHR12064', NULL, NULL, NULL, NULL, 'ANCIENT CONSERVED DOMAIN PROTEIN-RELATED', 184669),
(240944, 'PTHR37592', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 184670),
(240945, 'PTHR11388:SF4', NULL, NULL, NULL, NULL, 'MCG6225', 184671),
(240946, 'PTHR31669:SF221', NULL, NULL, NULL, NULL, 'OS01G0607050 PROTEIN', 184672),
(240947, 'PTHR11474:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184673),
(240948, 'PTHR43860:SF10', NULL, NULL, NULL, NULL, 'BETAINE ALDEHYDE DEHYDROGENASE 1, CHLOROPLASTIC', 184674),
(240949, 'PTHR43342:SF2', NULL, NULL, NULL, NULL, 'POTENTIAL NAD-REDUCING HYDROGENASE SUBUNIT', 184675),
(240950, 'PTHR12802:SF98', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 4', 184676),
(240951, 'PTHR24377:SF794', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 836', 184677),
(240952, 'PTHR12121:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184678),
(240953, 'PTHR48111:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN YPDB', 184679),
(240954, 'PTHR33971:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184680);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(240955, 'PTHR12042:SF16', NULL, NULL, NULL, NULL, 'ALPHA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE', 184681),
(240956, 'PTHR32429', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 184682),
(240957, 'PTHR47926:SF96', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 184683),
(240958, 'PTHR12905:SF13', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE MPPED2', 184684),
(240959, 'PTHR35864', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE MJ0611-RELATED', 184685),
(240960, 'PTHR10582:SF2', NULL, NULL, NULL, NULL, 'INACTIVE', 184686),
(240961, 'PTHR10003:SF79', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN] 1', 184687),
(240962, 'PTHR31692:SF22', NULL, NULL, NULL, NULL, 'EXPANSIN-B5', 184688),
(240963, 'PTHR31889:SF15', NULL, NULL, NULL, NULL, 'OS02G0764200 PROTEIN', 184689),
(240964, 'PTHR35855:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11437', 184690),
(240965, 'PTHR33526:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184691),
(240966, 'PTHR10774:SF190', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE-RELATED', 184692),
(240967, 'PTHR43205:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184693),
(240968, 'PTHR33095:SF73', NULL, NULL, NULL, NULL, 'DUF1645 FAMILY PROTEIN', 184694),
(240969, 'PTHR14907', NULL, NULL, NULL, NULL, 'FI14130P', 184695),
(240970, 'PTHR24082:SF283', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR HR96', 184696),
(240971, 'PTHR23236:SF68', NULL, NULL, NULL, NULL, 'BNAA09G26240D PROTEIN', 184697),
(240972, 'PTHR31715', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN G', 184698),
(240973, 'PTHR47993:SF163', NULL, NULL, NULL, NULL, 'BNAA03G57810D PROTEIN', 184699),
(240974, 'PTHR10378:SF19', NULL, NULL, NULL, NULL, 'CHIP, ISOFORM B', 184700),
(240975, 'PTHR31683:SF158', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 184701),
(240976, 'PTHR43000:SF23', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL UDP-GLUCOSE 4,6-DEHYDRATASE/UDP-4-KETO-6-DEOXY-D-GLUCOSE 3,5-EPIMERASE/UDP-4-KETO-L-RHAMNOSE-REDUCTASE RHM2', 184702),
(240977, 'PTHR32261:SF4', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN 6', 184703),
(240978, 'PTHR44742:SF4', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 184704),
(240979, 'PTHR31861:SF16', NULL, NULL, NULL, NULL, 'F12P19.17 PROTEIN-RELATED', 184705),
(240980, 'PTHR24206:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184706),
(240981, 'PTHR47978:SF7', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB11C-LIKE', 184707),
(240982, 'PTHR14490', NULL, NULL, NULL, NULL, 'ZINC FINGER, ZZ TYPE', 184708),
(240983, 'PTHR46371:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184709),
(240984, 'PTHR46284', NULL, NULL, NULL, NULL, 'PROTEIN KINESIN LIGHT CHAIN-RELATED 3', 184710),
(240985, 'PTHR24341:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATED HOMEOBOX-LIKE', 184711),
(240986, 'PTHR31623:SF29', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', 184712),
(240987, 'PTHR26452:SF147', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 184713),
(240988, 'PTHR12631', NULL, NULL, NULL, NULL, 'ALPHA-L-IDURONIDASE', 184714),
(240989, 'PTHR12346:SF42', NULL, NULL, NULL, NULL, 'BNAA01G22030D PROTEIN', 184715),
(240990, 'PTHR24298:SF814', NULL, NULL, NULL, NULL, 'OS06G0501900 PROTEIN', 184716),
(240991, 'PTHR23012:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184717),
(240992, 'PTHR36355', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 184718),
(240993, 'PTHR10634:SF104', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 2', 184719),
(240994, 'PTHR43085:SF25', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE, EXPRESSED-RELATED', 184720),
(240995, 'PTHR22765:SF327', NULL, NULL, NULL, NULL, 'BNACNNG47180D PROTEIN', 184721),
(240996, 'PTHR35759:SF1', NULL, NULL, NULL, NULL, 'BNAA09G03860D PROTEIN', 184722),
(240997, 'PTHR10168:SF224', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S11', 184723),
(240998, 'PTHR30548:SF1', NULL, NULL, NULL, NULL, 'DEHYDRATASE SUBUNIT MJ0007-RELATED', 184724),
(240999, 'PTHR31399:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED PRIMASE/POLYMERASE PROTEIN', 184725);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(241000, 'PTHR24006:SF682', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 13', 184726),
(241001, 'PTHR43493:SF5', NULL, NULL, NULL, NULL, 'DNA GYRASE SUBUNIT A, CHLOROPLASTIC/MITOCHONDRIAL', 184727),
(241002, 'PTHR28019:SF6', NULL, NULL, NULL, NULL, 'PROTEIN ECM7', 184728),
(241003, 'PTHR47990:SF99', NULL, NULL, NULL, NULL, 'OS05G0514600 PROTEIN', 184729),
(241004, 'PTHR43884:SF22', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE-RELATED', 184730),
(241005, 'PTHR11584:SF391', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 6', 184731),
(241006, 'PTHR11595:SF72', NULL, NULL, NULL, NULL, 'EEF1DB PROTEIN', 184732),
(241007, 'PTHR12385:SF34', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN 2', 184733),
(241008, 'PTHR47293:SF49', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 11-RELATED', 184734),
(241009, 'PTHR45642:SF101', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', 184735),
(241010, 'PTHR46073:SF3', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE', 184736),
(241011, 'PTHR43670:SF70', NULL, NULL, NULL, NULL, 'SMALL HEAT SHOCK PROTEIN HSPF', 184737),
(241012, 'PTHR11240:SF64', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3-RELATED', 184738),
(241013, 'PTHR13276:SF0', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR MSS4', 184739),
(241014, 'PTHR11364:SF30', NULL, NULL, NULL, NULL, 'MERCAPTOPYRUVATE SULFURTRANSFERASE HOMOLOG', 184740),
(241015, 'PTHR44042:SF17', NULL, NULL, NULL, NULL, 'MYB PROTEIN1', 184741),
(241016, 'PTHR46186:SF10', NULL, NULL, NULL, NULL, 'CYSTATIN-C', 184742),
(241017, 'PTHR24058:SF105', NULL, NULL, NULL, NULL, 'OSJNBA0041A02.17 PROTEIN', 184743),
(241018, 'PTHR31636:SF200', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 3', 184744),
(241019, 'PTHR45885', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 5-LIKE PROTEIN', 184745),
(241020, 'PTHR27009:SF176', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-2', 184746),
(241021, 'PTHR28557:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SLX4IP', 184747),
(241022, 'PTHR31390:SF4', NULL, NULL, NULL, NULL, 'DUF3527 DOMAIN PROTEIN', 184748),
(241023, 'PTHR48059:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184749),
(241024, 'PTHR23280:SF26', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 4-LIKE PROTEIN', 184750),
(241025, 'PTHR11783:SF43', NULL, NULL, NULL, NULL, 'AMINE SULFOTRANSFERASE-RELATED', 184751),
(241026, 'PTHR23124:SF136', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 184752),
(241027, 'PTHR24012:SF682', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 5', 184753),
(241028, 'PTHR35282:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184754),
(241029, 'PTHR45663', NULL, NULL, NULL, NULL, 'GEO12009P1', 184755),
(241030, 'PTHR31639:SF67', NULL, NULL, NULL, NULL, 'FBD-ASSOCIATED F-BOX PLANT PROTEIN', 184756),
(241031, 'PTHR12341:SF56', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE', 184757),
(241032, 'PTHR23411:SF11', NULL, NULL, NULL, NULL, 'IG MU CHAIN C REGION', 184758),
(241033, 'PTHR15710:SF133', NULL, NULL, NULL, NULL, 'BNAA01G06410D PROTEIN', 184759),
(241034, 'PTHR23138:SF134', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 1 HOMOLOG C-LIKE', 184760),
(241035, 'PTHR48062:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM3', 184761),
(241036, 'PTHR15598:SF5', NULL, NULL, NULL, NULL, 'ENHANCER OF MRNA-DECAPPING PROTEIN 4', 184762),
(241037, 'PTHR46100', NULL, NULL, NULL, NULL, 'IMP2''P', 184763),
(241038, 'PTHR47058', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 14 KDA SUBUNIT A-RELATED', 184764),
(241039, 'PTHR35184:SF1', NULL, NULL, NULL, NULL, 'YALI0C10208P', 184765),
(241040, 'PTHR46649:SF4', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', 184766),
(241041, 'PTHR11819', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 5', 184767),
(241042, 'PTHR44240:SF21', NULL, NULL, NULL, NULL, 'BNAC03G62600D PROTEIN', 184768),
(241043, 'PTHR10838:SF31', NULL, NULL, NULL, NULL, 'SYNGR3 ISOFORM 5', 184769); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(241044, 'PTHR15348:SF3', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 3B', 184770),
(241045, 'PTHR13886:SF3', NULL, NULL, NULL, NULL, 'C-JUN-AMINO-TERMINAL KINASE-INTERACTING PROTEIN 3', 184771),
(241046, 'PTHR24115:SF935', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-UB', 184772),
(241047, 'PTHR45675:SF79', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB48-LIKE ISOFORM X1', 184773),
(241048, 'PTHR19282:SF250', NULL, NULL, NULL, NULL, 'TETRASPANIN', 184774),
(241049, 'PTHR23330:SF8', NULL, NULL, NULL, NULL, 'JUNCTION-MEDIATING AND -REGULATORY PROTEIN', 184775),
(241050, 'PTHR23035', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 184776),
(241051, 'PTHR43844:SF1', NULL, NULL, NULL, NULL, 'METHIONINE SYNTHASE', 184777),
(241052, 'PTHR21399', NULL, NULL, NULL, NULL, 'CHLORIDE CONDUCTANCE REGULATORY PROTEIN ICLN', 184778),
(241053, 'PTHR10562:SF65', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', 184779),
(241054, 'PTHR46252:SF4', NULL, NULL, NULL, NULL, 'BRORIN', 184780),
(241055, 'PTHR27002:SF784', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', 184781),
(241056, 'PTHR24096:SF160', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 9', 184782),
(241057, 'PTHR23501:SF84', NULL, NULL, NULL, NULL, 'VACUOLAR MEMBRANE AMINO ACID UPTAKE TRANSPORTER FNX2', 184783),
(241058, 'PTHR19850:SF35', NULL, NULL, NULL, NULL, 'GNB3 PROTEIN', 184784),
(241059, 'PTHR15564:SF7', NULL, NULL, NULL, NULL, 'BMP/RETINOIC ACID-INDUCIBLE NEURAL-SPECIFIC PROTEIN 1', 184785),
(241060, 'PTHR14696', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 6 PROTEIN', 184786),
(241061, 'PTHR35768', NULL, NULL, NULL, NULL, 'PROTEIN MULTIPOLAR SPINDLE 1', 184787),
(241062, 'PTHR11909:SF96', NULL, NULL, NULL, NULL, 'PROTEIN CBG18289', 184788),
(241063, 'PTHR30482:SF5', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID ABC TRANSPORT PERMEASE-RELATED', 184789),
(241064, 'PTHR42832', NULL, NULL, NULL, NULL, 'AMINO ACID AMINOTRANSFERASE', 184790),
(241065, 'PTHR22811:SF185', NULL, NULL, NULL, NULL, 'COAT PROTEIN, PUTATIVE-RELATED', 184791),
(241066, 'PTHR43808:SF8', NULL, NULL, NULL, NULL, 'PEPTIDASE M20 DOMAIN-CONTAINING PROTEIN C757.05C', 184792),
(241067, 'PTHR46561', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)-RELATED', 184793),
(241068, 'PTHR36514', NULL, NULL, NULL, NULL, 'PROTEIN CBG00436', 184794),
(241069, 'PTHR24416:SF66', NULL, NULL, NULL, NULL, 'NT-3 GROWTH FACTOR RECEPTOR', 184795),
(241070, 'PTHR33108:SF58', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN', 184796),
(241071, 'PTHR46845:SF1', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR I', 184797),
(241072, 'PTHR47846', NULL, NULL, NULL, NULL, 'OS06G0681300 PROTEIN-RELATED', 184798),
(241073, 'PTHR23098:SF3', NULL, NULL, NULL, NULL, 'ZGC:113149-RELATED', 184799),
(241074, 'PTHR19359:SF109', NULL, NULL, NULL, NULL, 'CYTOCHROME B5, OUTER MITOCHONDRIAL MEMBRANE', 184800),
(241075, 'PTHR10288:SF277', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN PEPPER', 184801),
(241076, 'PTHR20905:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG11056', 184802),
(241077, 'PTHR23257:SF849', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184803),
(241078, 'PTHR33167:SF33', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR Q-LIKE PROTEIN', 184804),
(241079, 'PTHR43243:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184805),
(241080, 'PTHR24231:SF21', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 4', 184806),
(241081, 'PTHR22884:SF474', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE LIN-59-RELATED', 184807),
(241082, 'PTHR23310:SF115', NULL, NULL, NULL, NULL, 'ACYL-COA BINDING PROTEIN-RELATED', 184808),
(241083, 'PTHR31194:SF134', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', 184809),
(241084, 'PTHR33738:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184810),
(241085, 'PTHR21087:SF23', NULL, NULL, NULL, NULL, 'INACTIVE SHIKIMATE KINASE LIKE 2, CHLOROPLASTIC-RELATED', 184811),
(241086, 'PTHR28441:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184812);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(241087, 'PTHR19375:SF425', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN', 184813),
(241088, 'PTHR31984:SF13', NULL, NULL, NULL, NULL, 'OS01G0886000 PROTEIN', 184814),
(241089, 'PTHR33248:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184815),
(241090, 'PTHR11071:SF483', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP40', 184816),
(241091, 'PTHR24070:SF405', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN RASU-RELATED', 184817),
(241092, 'PTHR13257', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP84-RELATED', 184818),
(241093, 'PTHR28083:SF1', NULL, NULL, NULL, NULL, 'GOOD FOR FULL DBP5 ACTIVITY PROTEIN 2', 184819),
(241094, 'PTHR35685:SF3', NULL, NULL, NULL, NULL, 'GEO02515P1-RELATED', 184820),
(241095, 'PTHR22951:SF62', NULL, NULL, NULL, NULL, 'ASSEMBLY PLANT-LIKE PROTEIN, PUTATIVE-RELATED', 184821),
(241096, 'PTHR33559:SF1', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 4', 184822),
(241097, 'PTHR36023:SF13', NULL, NULL, NULL, NULL, 'BNAC04G03310D PROTEIN', 184823),
(241098, 'PTHR34837:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184824),
(241099, 'PTHR10270:SF204', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-18', 184825),
(241100, 'PTHR12329:SF38', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR-LIKE PROTEIN', 184826),
(241101, 'PTHR34008', NULL, NULL, NULL, NULL, 'REPETITIVE PROLINE-RICH CELL WALL PROTEIN 1', 184827),
(241102, 'PTHR46020:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184828),
(241103, 'PTHR48065:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184829),
(241104, 'PTHR43976:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184830),
(241105, 'PTHR45730:SF53', NULL, NULL, NULL, NULL, 'BNAA09G03910D PROTEIN', 184831),
(241106, 'PTHR23512:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184832),
(241107, 'PTHR43539:SF24', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G11650)-RELATED', 184833),
(241108, 'PTHR35747:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', 184834),
(241109, 'PTHR33203:SF28', NULL, NULL, NULL, NULL, 'OLEOSIN FAMILY PROTEIN', 184835),
(241110, 'PTHR11254:SF428', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184836),
(241111, 'PTHR45764:SF58', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR BZIP124', 184837),
(241112, 'PTHR31717:SF99', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 9-LIKE', 184838),
(241113, 'PTHR31301:SF24', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 21', 184839),
(241114, 'PTHR30532:SF22', NULL, NULL, NULL, NULL, 'FE(3+) DICITRATE-BINDING PERIPLASMIC PROTEIN', 184840),
(241115, 'PTHR19855:SF23', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN JIP5', 184841),
(241116, 'PTHR12802:SF120', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX SUBUNIT SWI3C-LIKE', 184842),
(241117, 'PTHR14095:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B''''ALPHA', 184843),
(241118, 'PTHR13020:SF33', NULL, NULL, NULL, NULL, 'TRINUCLEOTIDE REPEAT-CONTAINING ADAPTOR 6C2', 184844),
(241119, 'PTHR10589:SF17', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 184845),
(241120, 'PTHR24078:SF535', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 13-LIKE', 184846),
(241121, 'PTHR46056:SF14', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', 184847),
(241122, 'PTHR35105:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 184848),
(241123, 'PTHR13857:SF41', NULL, NULL, NULL, NULL, 'DNA DC-DU-EDITING ENZYME APOBEC-3C', 184849),
(241124, 'PTHR13738:SF6', NULL, NULL, NULL, NULL, 'TROPONIN I 1', 184850),
(241125, 'PTHR12370:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE 2-RELATED', 184851),
(241126, 'PTHR23422', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE III-RELATED', 184852),
(241127, 'PTHR10828:SF68', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 25B', 184853),
(241128, 'PTHR33882:SF10', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', 184854),
(241129, 'PTHR30458:SF2', NULL, NULL, NULL, NULL, '1,2-PHENYLACETYL-COA EPOXIDASE, SUBUNIT A', 184855);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(241130, 'PTHR45909:SF3', NULL, NULL, NULL, NULL, 'BNAA03G12710D PROTEIN', 184856),
(241131, 'PTHR44375:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184857),
(241132, 'PTHR33305:SF43', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 3 PROTEIN', 184858),
(241133, 'PTHR47982:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184859),
(241134, 'PTHR32227:SF296', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-LIKE', 184860),
(241135, 'PTHR45649:SF5', NULL, NULL, NULL, NULL, 'GABA TRANSPORTER (EUROFUNG)-RELATED', 184861),
(241136, 'PTHR37185:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184862),
(241137, 'PTHR47991:SF124', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 3', 184863),
(241138, 'PTHR33452:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE CATD-RELATED', 184864),
(241139, 'PTHR42738:SF15', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA LYASE', 184865),
(241140, 'PTHR11058:SF16', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 3', 184866),
(241141, 'PTHR23147:SF68', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 5', 184867),
(241142, 'PTHR19134:SF430', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE DELTA', 184868),
(241143, 'PTHR47364:SF23', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', 184869),
(241144, 'PTHR33018:SF15', NULL, NULL, NULL, NULL, 'OS02G0472350 PROTEIN', 184870),
(241145, 'PTHR11926:SF1419', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 184871),
(241146, 'PTHR11947:SF25', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE (ACETYL-TRANSFERRING)] KINASE 2, MITOCHONDRIAL', 184872),
(241147, 'PTHR22298:SF140', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 184873),
(241148, 'PTHR23023:SF249', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 184874),
(241149, 'PTHR32468:SF114', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE ISOFORM X1', 184875),
(241150, 'PTHR13148:SF7', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', 184876),
(241151, 'PTHR11571:SF125', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 184877),
(241152, 'PTHR33136:SF36', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 31', 184878),
(241153, 'PTHR48002:SF124', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 184879),
(241154, 'PTHR24381:SF270', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN OZF', 184880),
(241155, 'PTHR24031:SF715', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 31', 184881),
(241156, 'PTHR34645', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN', 184882),
(241157, 'PTHR11895:SF7', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT A, MITOCHONDRIAL', 184883),
(241158, 'PTHR13650:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184884),
(241159, 'PTHR35893:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ELAB', 184885),
(241160, 'PTHR33121:SF1', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEN-RELATED', 184886),
(241161, 'PTHR33044:SF88', NULL, NULL, NULL, NULL, 'OS03G0167000 PROTEIN', 184887),
(241162, 'PTHR36704', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 184888),
(241163, 'PTHR43181:SF1', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 2,4-CYCLODIPHOSPHATE SYNTHASE, CHLOROPLASTIC', 184889),
(241164, 'PTHR42891:SF1', NULL, NULL, NULL, NULL, 'D-GLYCERO-BETA-D-MANNO-HEPTOSE-1,7-BISPHOSPHATE 7-PHOSPHATASE', 184890),
(241165, 'PTHR13018:SF126', NULL, NULL, NULL, NULL, 'BNAC04G18540D PROTEIN', 184891),
(241166, 'PTHR31384:SF40', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 24', 184892),
(241167, 'PTHR33472:SF21', NULL, NULL, NULL, NULL, 'BNAC09G11180D PROTEIN', 184893),
(241168, 'PTHR21535:SF89', NULL, NULL, NULL, NULL, 'CORA FAMILY TRANSPORTER-RELATED', 184894),
(241169, 'PTHR35350:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC314168', 184895),
(241170, 'PTHR36031:SF1', NULL, NULL, NULL, NULL, 'F21O3.15 PROTEIN', 184896),
(241171, 'PTHR15672:SF26', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', 184897),
(241172, 'PTHR40616:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184898),
(241173, 'PTHR10516:SF440', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP65', 184899);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(241174, 'PTHR33785:SF10', NULL, NULL, NULL, NULL, 'BNAA01G29000D PROTEIN', 184900),
(241175, 'PTHR15135:SF7', NULL, NULL, NULL, NULL, 'AGAP005258-PA', 184901),
(241176, 'PTHR46737:SF3', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE/TRANSITION METAL ION-BINDING PROTEIN (DUF3531)', 184902),
(241177, 'PTHR12992:SF37', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 15, MITOCHONDRIAL-LIKE', 184903),
(241178, 'PTHR14154:SF55', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', 184904),
(241179, 'PTHR39601:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184905),
(241180, 'PTHR45779:SF11', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 184906),
(241181, 'PTHR22750', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', 184907),
(241182, 'PTHR22937:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184908),
(241183, 'PTHR11040:SF185', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 7-LIKE', 184909),
(241184, 'PTHR47267:SF2', NULL, NULL, NULL, NULL, 'HMP-PP PHOSPHATASE', 184910),
(241185, 'PTHR16525:SF0', NULL, NULL, NULL, NULL, 'PROTEIN C12ORF4', 184911),
(241186, 'PTHR38092:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184912),
(241187, 'PTHR23504:SF96', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 184913),
(241188, 'PTHR34825', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN, WITH A WEAK D-GALACTARATE DEHYDRATASE/ALTRONATE HYDROLASE DOMAIN', 184914),
(241189, 'PTHR13817', NULL, NULL, NULL, NULL, 'TITIN', 184915),
(241190, 'PTHR10742:SF374', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 5-RELATED', 184916),
(241191, 'PTHR35918', NULL, NULL, NULL, NULL, 'OS06G0674800 PROTEIN', 184917),
(241192, 'PTHR45793:SF9', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN OTX1', 184918),
(241193, 'PTHR10846:SF8', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YRBG', 184919),
(241194, 'PTHR42893:SF31', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 184920),
(241195, 'PTHR11849:SF276', NULL, NULL, NULL, NULL, 'SPI-2 PROTO-ONCOGENE', 184921),
(241196, 'PTHR45648:SF44', NULL, NULL, NULL, NULL, 'OS02G0292600 PROTEIN', 184922),
(241197, 'PTHR31803:SF28', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE', 184923),
(241198, 'PTHR12320:SF64', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 184924),
(241199, 'PTHR10229', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN HFLX', 184925),
(241200, 'PTHR11557:SF0', NULL, NULL, NULL, NULL, 'PORPHOBILINOGEN DEAMINASE', 184926),
(241201, 'PTHR30267', NULL, NULL, NULL, NULL, 'PROTEIN KINASE PRKA', 184927),
(241202, 'PTHR11351:SF93', NULL, NULL, NULL, NULL, 'LIPID DESATURASE ADS3.2, CHLOROPLASTIC-RELATED', 184928),
(241203, 'PTHR32133:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184929),
(241204, 'PTHR24300:SF84', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 2, SUBFAMILY T, POLYPEPTIDE 4', 184930),
(241205, 'PTHR31942:SF100', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 184931),
(241206, 'PTHR10201:SF270', NULL, NULL, NULL, NULL, 'STROMELYSIN-2', 184932),
(241207, 'PTHR48001:SF153', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 184933),
(241208, 'PTHR32083:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184934),
(241209, 'PTHR21240', NULL, NULL, NULL, NULL, '2-AMINO-3-CARBOXYLMUCONATE-6-SEMIALDEHYDE DECARBOXYLASE', 184935),
(241210, 'PTHR24205', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS PROTEIN', 184936),
(241211, 'PTHR47552', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE SUBUNIT PURQ', 184937),
(241212, 'PTHR21559:SF23', NULL, NULL, NULL, NULL, 'DYSTROGLYCAN', 184938),
(241213, 'PTHR47548', NULL, NULL, NULL, NULL, 'BNAA06G32370D PROTEIN', 184939),
(241214, 'PTHR47992:SF91', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 71-RELATED', 184940),
(241215, 'PTHR45668:SF11', NULL, NULL, NULL, NULL, 'BNACNNG34050D PROTEIN', 184941),
(241216, 'PTHR32444:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184942),
(241217, 'PTHR44942:SF9', NULL, NULL, NULL, NULL, 'SI:CH211-93G23.2-RELATED', 184943),
(241218, 'PTHR12876', NULL, NULL, NULL, NULL, 'N4BP1-RELATED', 184944),
(241219, 'PTHR24055:SF476', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 184945);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(241220, 'PTHR33136:SF58', NULL, NULL, NULL, NULL, 'OS03G0345000 PROTEIN', 184946),
(241221, 'PTHR35178', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR HOMOLOG-RELATED', 184947),
(241222, 'PTHR31378:SF32', NULL, NULL, NULL, NULL, 'IPT/TIG DOMAIN-CONTAINING PROTEIN', 184948),
(241223, 'PTHR33595:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184949),
(241224, 'PTHR31384:SF73', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 16', 184950),
(241225, 'PTHR31470:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184951),
(241226, 'PTHR27004:SF355', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 23', 184952),
(241227, 'PTHR31928:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184953),
(241228, 'PTHR12015:SF171', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-C MOTIF) LIGAND 34B, DUPLICATE 4', 184954),
(241229, 'PTHR34971:SF3', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN Z', 184955),
(241230, 'PTHR46224:SF43', NULL, NULL, NULL, NULL, 'BNAC03G33870D PROTEIN', 184956),
(241231, 'PTHR31238:SF166', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03880)-RELATED', 184957),
(241232, 'PTHR21495:SF181', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 184958),
(241233, 'PTHR31791:SF62', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 184959),
(241234, 'PTHR13609:SF25', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 184960),
(241235, 'PTHR11278:SF5', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', 184961),
(241236, 'PTHR10026:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184962),
(241237, 'PTHR34491:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184963),
(241238, 'PTHR33285:SF50', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE 5-RELATED', 184964),
(241239, 'PTHR37954', NULL, NULL, NULL, NULL, 'BLL4979 PROTEIN', 184965),
(241240, 'PTHR24115:SF380', NULL, NULL, NULL, NULL, 'KINESIN HEAVY CHAIN ISOFORM 5C', 184966),
(241241, 'PTHR14130:SF3', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 17', 184967),
(241242, 'PTHR47231:SF1', NULL, NULL, NULL, NULL, 'UPF0722 PROTEIN C11ORF88', 184968),
(241243, 'PTHR47926:SF84', NULL, NULL, NULL, NULL, 'BNAA09G00270D PROTEIN', 184969),
(241244, 'PTHR46410:SF9', NULL, NULL, NULL, NULL, 'ARID/BRIGHT DNA-BINDING DOMAIN PROTEIN', 184970),
(241245, 'PTHR27009:SF118', NULL, NULL, NULL, NULL, 'STB6', 184971),
(241246, 'PTHR10353:SF245', NULL, NULL, NULL, NULL, 'BNACNNG48420D PROTEIN', 184972),
(241247, 'PTHR11471', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR FAMILY MEMBER', 184973),
(241248, 'PTHR12606:SF109', NULL, NULL, NULL, NULL, 'BNACNNG52470D PROTEIN', 184974),
(241249, 'PTHR12352:SF21', NULL, NULL, NULL, NULL, 'SPARC-RELATED MODULAR CALCIUM-BINDING PROTEIN 2', 184975),
(241250, 'PTHR46412', NULL, NULL, NULL, NULL, 'BES1-INTERACTING MYC-LIKE PROTEIN', 184976),
(241251, 'PTHR23192:SF31', NULL, NULL, NULL, NULL, 'SI:CH211-147M6.1-RELATED', 184977),
(241252, 'PTHR24300:SF120', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 515A1-RELATED', 184978),
(241253, 'PTHR31992:SF110', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.5', 184979),
(241254, 'PTHR22727:SF3', NULL, NULL, NULL, NULL, 'UPF0577 PROTEIN KIAA1324-LIKE', 184980),
(241255, 'PTHR11802:SF385', NULL, NULL, NULL, NULL, 'PEPTIDASE S10, SERINE CARBOXYPEPTIDASE, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 184981),
(241256, 'PTHR26312:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184982),
(241257, 'PTHR33165', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN-LIKE-RELATED', 184983),
(241258, 'PTHR34053:SF6', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL REGULATOR, ULTRAPETALA-RELATED', 184984),
(241259, 'PTHR48004:SF15', NULL, NULL, NULL, NULL, 'BNACNNG48360D PROTEIN', 184985),
(241260, 'PTHR47985:SF23', NULL, NULL, NULL, NULL, 'OS07G0695300 PROTEIN', 184986),
(241261, 'PTHR45780:SF5', NULL, NULL, NULL, NULL, 'CYTIDYLYLTRANSFERASE FAMILY PROTEIN, EXPRESSED', 184987),
(241262, 'PTHR45658:SF65', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', 184988),
(241263, 'PTHR23510:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG06591', 184989),
(241264, 'PTHR46008:SF4', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.2', 184990);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(241265, 'PTHR23113:SF151', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR S', 184991),
(241266, 'PTHR48018:SF39', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8B12', 184992),
(241267, 'PTHR46521:SF15', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 2-RELATED', 184993),
(241268, 'PTHR38742:SF3', NULL, NULL, NULL, NULL, 'PROTEIN 29C', 184994),
(241269, 'PTHR33674:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184995),
(241270, 'PTHR36572:SF3', NULL, NULL, NULL, NULL, 'VIRULENCE PROTEIN MSGA', 184996),
(241271, 'PTHR47020', NULL, NULL, NULL, NULL, 'HILLARIN', 184997),
(241272, 'PTHR24023:SF986', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 184998),
(241273, 'PTHR43544:SF29', NULL, NULL, NULL, NULL, 'NADB-LER2', 184999),
(241274, 'PTHR42924:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185000),
(241275, 'PTHR48097:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185001),
(241276, 'PTHR18919:SF81', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE, CYTOSOLIC', 185002),
(241277, 'PTHR24296:SF127', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', 185003),
(241278, 'PTHR47993:SF179', NULL, NULL, NULL, NULL, 'OS01G0165666 PROTEIN', 185004),
(241279, 'PTHR32448:SF109', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE-RELATED', 185005),
(241280, 'PTHR24023:SF989', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(IV) CHAIN', 185006),
(241281, 'PTHR12483:SF102', NULL, NULL, NULL, NULL, 'BNAA02G07180D PROTEIN', 185007),
(241282, 'PTHR13683:SF815', NULL, NULL, NULL, NULL, 'BNAC05G34710D PROTEIN', 185008),
(241283, 'PTHR47985:SF7', NULL, NULL, NULL, NULL, 'OS03G0283900 PROTEIN', 185009),
(241284, 'PTHR10671:SF88', NULL, NULL, NULL, NULL, 'PROTEIN CBG10848', 185010),
(241285, 'PTHR33044:SF155', NULL, NULL, NULL, NULL, 'BNAANNG04370D PROTEIN', 185011),
(241286, 'PTHR46213:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR DEMETER-LIKE', 185012),
(241287, 'PTHR47967:SF20', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 185013),
(241288, 'PTHR47531:SF2', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 185014),
(241289, 'PTHR11764:SF61', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 185015),
(241290, 'PTHR46031:SF19', NULL, NULL, NULL, NULL, 'DSRNA-BINDING PROTEIN 2-RELATED', 185016),
(241291, 'PTHR30620:SF23', NULL, NULL, NULL, NULL, 'OS02G0131400 PROTEIN', 185017),
(241292, 'PTHR42735:SF6', NULL, NULL, NULL, NULL, 'SPHINGOSINE-1-PHOSPHATE LYASE 1', 185018),
(241293, 'PTHR11207:SF29', NULL, NULL, NULL, NULL, 'RNASE III-RELATED', 185019),
(241294, 'PTHR24559:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185020),
(241295, 'PTHR10766:SF147', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 185021),
(241296, 'PTHR46553:SF23', NULL, NULL, NULL, NULL, 'PROTEIN FB19, PUTATIVE, EXPRESSED-RELATED', 185022),
(241297, 'PTHR15184:SF59', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA', 185023),
(241298, 'PTHR31155:SF26', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE, CHLOROPLASTIC-LIKE', 185024),
(241299, 'PTHR10366:SF618', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185025),
(241300, 'PTHR23155:SF1139', NULL, NULL, NULL, NULL, 'NBS-LRR TYPE DISEASE RESISTANCE PROTEIN', 185026),
(241301, 'PTHR11407:SF60', NULL, NULL, NULL, NULL, 'SENSORY NEURON MEMBRANE PROTEIN 2-LIKE PROTEIN', 185027),
(241302, 'PTHR33755:SF5', NULL, NULL, NULL, NULL, 'TOXIN, RELE FAMILY', 185028),
(241303, 'PTHR47928:SF29', NULL, NULL, NULL, NULL, 'OS06G0231100 PROTEIN', 185029),
(241304, 'PTHR33122:SF56', NULL, NULL, NULL, NULL, 'BNAANNG29910D PROTEIN', 185030),
(241305, 'PTHR11638:SF166', NULL, NULL, NULL, NULL, 'BNAC04G37500D PROTEIN', 185031),
(241306, 'PTHR46816:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 185032),
(241307, 'PTHR12553:SF66', NULL, NULL, NULL, NULL, 'ZINC PHOSPHODIESTERASE ELAC PROTEIN 2-LIKE', 185033),
(241308, 'PTHR31238:SF23', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 1-4', 185034),
(241309, 'PTHR42695:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185035);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(241310, 'PTHR24296:SF131', NULL, NULL, NULL, NULL, 'OS12G0134900 PROTEIN', 185036),
(241311, 'PTHR47983', NULL, NULL, NULL, NULL, 'PTO-INTERACTING PROTEIN 1-LIKE', 185037),
(241312, 'PTHR45624:SF13', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN L', 185038),
(241313, 'PTHR21659:SF97', NULL, NULL, NULL, NULL, 'HYDROPHOBIC PROTEIN RCI2A', 185039),
(241314, 'PTHR33866', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', 185040),
(241315, 'PTHR21600:SF65', NULL, NULL, NULL, NULL, 'RIBOSOMAL LARGE SUBUNIT PSEUDOURIDINE SYNTHASE B', 185041),
(241316, 'PTHR12701:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185042),
(241317, 'PTHR31356:SF49', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE T, CHLOROPLASTIC', 185043),
(241318, 'PTHR24376:SF153', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 717', 185044),
(241319, 'PTHR33405:SF19', NULL, NULL, NULL, NULL, 'MYOSIN-LIKE PROTEIN', 185045),
(241320, 'PTHR48217:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185046),
(241321, 'PTHR47012', NULL, NULL, NULL, NULL, 'LAMIN TAIL DOMAIN-CONTAINING PROTEIN 1', 185047),
(241322, 'PTHR47984:SF28', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 185048),
(241323, 'PTHR46572:SF2', NULL, NULL, NULL, NULL, 'RHO1 GDP-GTP EXCHANGE PROTEIN 1-RELATED', 185049),
(241324, 'PTHR48047:SF69', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 185050),
(241325, 'PTHR47327:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG04379', 185051),
(241326, 'PTHR32370:SF88', NULL, NULL, NULL, NULL, 'BNAC09G40350D PROTEIN', 185052),
(241327, 'PTHR24343:SF181', NULL, NULL, NULL, NULL, 'SNF-RELATED SERINE/THREONINE-PROTEIN KINASE', 185053),
(241328, 'PTHR23147:SF165', NULL, NULL, NULL, NULL, 'BNAC01G41640D PROTEIN', 185054),
(241329, 'PTHR12542:SF88', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 185055),
(241330, 'PTHR21166:SF2', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC WITH OB DOMAIN-CONTAINING PROTEIN', 185056),
(241331, 'PTHR34152:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG26221', 185057),
(241332, 'PTHR24062:SF89', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 40-RELATED', 185058),
(241333, 'PTHR13778:SF52', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 185059),
(241334, 'PTHR10108:SF1089', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 185060),
(241335, 'PTHR33389:SF7', NULL, NULL, NULL, NULL, 'OS01G0678000 PROTEIN', 185061),
(241336, 'PTHR12176:SF16', NULL, NULL, NULL, NULL, 'EEF1A LYSINE METHYLTRANSFERASE 4', 185062),
(241337, 'PTHR11214:SF21', NULL, NULL, NULL, NULL, 'LACTOSYLCERAMIDE 1,3-N-ACETYL-BETA-D-GLUCOSAMINYLTRANSFERASE', 185063),
(241338, 'PTHR36194', NULL, NULL, NULL, NULL, 'S-LAYER-LIKE PROTEIN', 185064),
(241339, 'PTHR40470', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G15850)', 185065),
(241340, 'PTHR14845:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185066),
(241341, 'PTHR21649:SF99', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 7, CHLOROPLASTIC', 185067),
(241342, 'PTHR14154:SF77', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II SUBUNIT S', 185068),
(241343, 'PTHR33336:SF1', NULL, NULL, NULL, NULL, '(4S)-4-HYDROXY-5-PHOSPHONOOXYPENTANE-2,3-DIONE ISOMERASE', 185069),
(241344, 'PTHR31741:SF1', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 7', 185070),
(241345, 'PTHR36138:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185071),
(241346, 'PTHR23074:SF141', NULL, NULL, NULL, NULL, 'PROTEIN CBG04396', 185072),
(241347, 'PTHR10807:SF56', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 9', 185073),
(241348, 'PTHR31589:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185074),
(241349, 'PTHR43420:SF12', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE', 185075),
(241350, 'PTHR43416:SF22', NULL, NULL, NULL, NULL, 'SUCCINYLTRANSFERASE COMPONENT OF 2-OXOGLUTARATE DEHYDROGENASE, PUTATIVE-RELATED', 185076),
(241351, 'PTHR21561:SF24', NULL, NULL, NULL, NULL, 'TITIN HOMOLOG ISOFORM X1', 185077),
(241352, 'PTHR14155:SF507', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL32', 185078);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(241353, 'PTHR11516:SF23', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA, TESTIS-SPECIFIC FORM, MITOCHONDRIAL', 185079),
(241354, 'PTHR23341:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185080),
(241355, 'PTHR43330:SF13', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2', 185081),
(241356, 'PTHR24161:SF18', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC17', 185082),
(241357, 'PTHR11904:SF13', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PHOSPHORYLASE', 185083),
(241358, 'PTHR10794:SF82', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 185084),
(241359, 'PTHR11819:SF130', NULL, NULL, NULL, NULL, 'MCG3105, ISOFORM CRA_A', 185085),
(241360, 'PTHR11820', NULL, NULL, NULL, NULL, 'ACYLPYRUVASE', 185086),
(241361, 'PTHR42040:SF1', NULL, NULL, NULL, NULL, 'INNER KINETOCHORE SUBUNIT FTA4', 185087),
(241362, 'PTHR42064:SF1', NULL, NULL, NULL, NULL, 'YALI0F28677P', 185088),
(241363, 'PTHR31252:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185089),
(241364, 'PTHR48010:SF27', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN-RELATED', 185090),
(241365, 'PTHR20516:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 114', 185091),
(241366, 'PTHR23261:SF15', NULL, NULL, NULL, NULL, 'GROUND-LIKE (GRD RELATED)', 185092),
(241367, 'PTHR37423:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN ASSEMBLY FACTOR BAMD', 185093),
(241368, 'PTHR24416:SF503', NULL, NULL, NULL, NULL, 'OVEREXPRESSION LONGEVITY DETERMINANT-RELATED', 185094),
(241369, 'PTHR30477:SF0', NULL, NULL, NULL, NULL, 'METAL TRANSPORT SYSTEM MEMBRANE PROTEIN TM_0125-RELATED', 185095),
(241370, 'PTHR11909:SF400', NULL, NULL, NULL, NULL, 'OS02G0280400 PROTEIN', 185096),
(241371, 'PTHR12446:SF34', NULL, NULL, NULL, NULL, 'PROTEIN LIN-54 HOMOLOG', 185097),
(241372, 'PTHR33990:SF5', NULL, NULL, NULL, NULL, 'LMO2724 PROTEIN', 185098),
(241373, 'PTHR37215', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN PROTEIN', 185099),
(241374, 'PTHR22952:SF433', NULL, NULL, NULL, NULL, 'PROTEIN FD-LIKE', 185100),
(241375, 'PTHR31929:SF73', NULL, NULL, NULL, NULL, 'BNAA10G16810D PROTEIN', 185101),
(241376, 'PTHR20338:SF7', NULL, NULL, NULL, NULL, 'MISEXPRESSION SUPPRESSOR OF RAS 3, ISOFORM B', 185102),
(241377, 'PTHR42943:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG18221', 185103),
(241378, 'PTHR24028:SF258', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-C5', 185104),
(241379, 'PTHR27006:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185105),
(241380, 'PTHR13237:SF10', NULL, NULL, NULL, NULL, 'BNAC04G49130D PROTEIN', 185106),
(241381, 'PTHR45974:SF54', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 185107),
(241382, 'PTHR12161:SF64', NULL, NULL, NULL, NULL, 'BNAA09G46310D PROTEIN', 185108),
(241383, 'PTHR21454:SF36', NULL, NULL, NULL, NULL, 'OS08G0474600 PROTEIN', 185109),
(241384, 'PTHR45790:SF4', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-4 C(11)-METHYLTRANSFERASE', 185110),
(241385, 'PTHR18935:SF7', NULL, NULL, NULL, NULL, 'JANUS KINASE AND MICROTUBULE-INTERACTING PROTEIN 2', 185111),
(241386, 'PTHR33491:SF25', NULL, NULL, NULL, NULL, 'OS04G0367000 PROTEIN', 185112),
(241387, 'PTHR13710:SF136', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 185113),
(241388, 'PTHR22960', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN COFACTOR SYNTHESIS PROTEIN A', 185114),
(241389, 'PTHR31042:SF1', NULL, NULL, NULL, NULL, 'OS04G0607100 PROTEIN', 185115),
(241390, 'PTHR31042:SF109', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN-RELATED', 185116),
(241391, 'PTHR21389', NULL, NULL, NULL, NULL, 'P53 INDUCED PROTEIN', 185117),
(241392, 'PTHR48042:SF14', NULL, NULL, NULL, NULL, 'WHITE-BROWN-COMPLEX ABC TRANSPORTER FAMILY PROTEIN', 185118),
(241393, 'PTHR11544:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185119),
(241394, 'PTHR10666:SF298', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-LIKE', 185120),
(241395, 'PTHR10071:SF321', NULL, NULL, NULL, NULL, 'GATA-TYPE TRANSCRIPTION FACTOR SREA', 185121);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(241396, 'PTHR10005:SF26', NULL, NULL, NULL, NULL, 'SKI FAMILY TRANSCRIPTIONAL COREPRESSOR 1 HOMOLOG-B-RELATED', 185122),
(241397, 'PTHR43390:SF13', NULL, NULL, NULL, NULL, 'BNAC05G04750D PROTEIN', 185123),
(241398, 'PTHR47212:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYGLUCOSAMINLYTRANSFERASE SUBUNIT P-LIKE PROTEIN', 185124),
(241399, 'PTHR21659:SF81', NULL, NULL, NULL, NULL, 'LOW TEMPERATURE AND SALT RESPONSIVE PROTEIN', 185125),
(241400, 'PTHR24281:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185126),
(241401, 'PTHR20916:SF18', NULL, NULL, NULL, NULL, 'GOLGI PROTEIN 1', 185127),
(241402, 'PTHR23202:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185128),
(241403, 'PTHR16184:SF6', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 6', 185129),
(241404, 'PTHR45875:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE N6AMT1', 185130),
(241405, 'PTHR26312:SF173', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', 185131),
(241406, 'PTHR10388:SF10', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1', 185132),
(241407, 'PTHR19332', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX13', 185133),
(241408, 'PTHR31917:SF75', NULL, NULL, NULL, NULL, 'AGENET-LIKE DOMAIN, AGENET DOMAIN, PLANT TYPE-RELATED', 185134),
(241409, 'PTHR46034:SF29', NULL, NULL, NULL, NULL, 'BNACNNG58090D PROTEIN', 185135),
(241410, 'PTHR47974:SF3', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', 185136),
(241411, 'PTHR31589:SF149', NULL, NULL, NULL, NULL, 'BNAA01G13010D PROTEIN', 185137),
(241412, 'PTHR33065:SF132', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 185138),
(241413, 'PTHR10849:SF20', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 8, MITOCHONDRIAL', 185139),
(241414, 'PTHR20856:SF30', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 185140),
(241415, 'PTHR37563', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G03330)', 185141),
(241416, 'PTHR33184:SF50', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 185142),
(241417, 'PTHR33963:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07070', 185143),
(241418, 'PTHR37422:SF12', NULL, NULL, NULL, NULL, 'O-ANTIGEN POLYMERASE FAMILY', 185144),
(241419, 'PTHR11945:SF383', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2B', 185145),
(241420, 'PTHR15468', NULL, NULL, NULL, NULL, 'ZNF185', 185146),
(241421, 'PTHR19370:SF187', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 REDUCTASE 4', 185147),
(241422, 'PTHR46243:SF4', NULL, NULL, NULL, NULL, 'BIS(5-ADENOSYL)-TRIPHOSPHATASE-LIKE PROTEIN', 185148),
(241423, 'PTHR33199:SF8', NULL, NULL, NULL, NULL, 'MACPF DOMAIN-CONTAINING PROTEIN NSL1', 185149),
(241424, 'PTHR23310:SF54', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING PROTEIN', 185150),
(241425, 'PTHR42809:SF1', NULL, NULL, NULL, NULL, 'FLAVODOXIN 2', 185151),
(241426, 'PTHR22835:SF577', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 185152),
(241427, 'PTHR23245:SF25', NULL, NULL, NULL, NULL, 'TRNA WYBUTOSINE-SYNTHESIZING PROTEIN 2 HOMOLOG', 185153),
(241428, 'PTHR43572:SF62', NULL, NULL, NULL, NULL, 'DOUBLE CLP-N MOTIF-CONTAINING P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', 185154),
(241429, 'PTHR10971:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185155),
(241430, 'PTHR35861:SF2', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', 185156),
(241431, 'PTHR48010:SF19', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IRK-RELATED', 185157),
(241432, 'PTHR12151:SF5', NULL, NULL, NULL, NULL, 'AT19154P', 185158),
(241433, 'PTHR10496:SF13', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', 185159),
(241434, 'PTHR11236:SF33', NULL, NULL, NULL, NULL, 'ADC SYNTHASE SUPERFAMILY PROTEIN-RELATED', 185160),
(241435, 'PTHR26453:SF286', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T33-RELATED', 185161),
(241436, 'PTHR11537:SF5', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY KQT MEMBER 3', 185162),
(241437, 'PTHR12219:SF17', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 93', 185163);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(241438, 'PTHR32133:SF337', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185164),
(241439, 'PTHR45747:SF14', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 185165),
(241440, 'PTHR16469:SF7', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED AND SH3 DOMAIN-CONTAINING PROTEIN A', 185166),
(241441, 'PTHR12650:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185167),
(241442, 'PTHR24161:SF24', NULL, NULL, NULL, NULL, 'IQ MOTIF AND ANKYRIN REPEAT-CONTAINING 1-RELATED', 185168),
(241443, 'PTHR47981:SF17', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-9B', 185169),
(241444, 'PTHR24369:SF155', NULL, NULL, NULL, NULL, 'ANTIGEN BSP, PUTATIVE-RELATED', 185170),
(241445, 'PTHR45703:SF8', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN', 185171),
(241446, 'PTHR19290:SF53', NULL, NULL, NULL, NULL, 'CLASS E BASIC HELIX-LOOP-HELIX PROTEIN 23', 185172),
(241447, 'PTHR13844:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TRI1-RELATED', 185173),
(241448, 'PTHR45680:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 185174),
(241449, 'PTHR23257:SF836', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 7-LIKE', 185175),
(241450, 'PTHR31623:SF90', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', 185176),
(241451, 'PTHR11675', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINYLTRANSFERASE', 185177),
(241452, 'PTHR11328:SF34', NULL, NULL, NULL, NULL, 'PERMEASE, PUTATIVE, EXPRESSED-RELATED', 185178),
(241453, 'PTHR10704:SF67', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 185179),
(241454, 'PTHR35125:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PATRONUS 2', 185180),
(241455, 'PTHR10891:SF867', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', 185181),
(241456, 'PTHR46953:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR MTH-LIKE 14-RELATED', 185182),
(241457, 'PTHR12247:SF134', NULL, NULL, NULL, NULL, 'POLYHOMEOTIC DISTAL, ISOFORM A-RELATED', 185183),
(241458, 'PTHR23504:SF98', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN 2', 185184),
(241459, 'PTHR12189:SF1', NULL, NULL, NULL, NULL, 'CAPPING METHYLTRANSFERASE, PUTATIVE-RELATED', 185185),
(241460, 'PTHR46267:SF21', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 185186),
(241461, 'PTHR23304:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185187),
(241462, 'PTHR34113:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185188),
(241463, 'PTHR45744:SF31', NULL, NULL, NULL, NULL, 'BNAC01G10040D PROTEIN', 185189),
(241464, 'PTHR46133:SF10', NULL, NULL, NULL, NULL, 'BHLH DOMAIN CLASS TRANSCRIPTION FACTOR', 185190),
(241465, 'PTHR31580:SF2', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 1-RELATED', 185191),
(241466, 'PTHR22738:SF14', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 2', 185192),
(241467, 'PTHR11817:SF96', NULL, NULL, NULL, NULL, 'BNAA09G27160D PROTEIN', 185193),
(241468, 'PTHR24115:SF946', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185194),
(241469, 'PTHR27009:SF169', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', 185195),
(241470, 'PTHR32444:SF110', NULL, NULL, NULL, NULL, 'OS09G0551150 PROTEIN', 185196),
(241471, 'PTHR24345:SF57', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK', 185197),
(241472, 'PTHR22960:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185198),
(241473, 'PTHR24409:SF378', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 574', 185199),
(241474, 'PTHR27005:SF228', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', 185200),
(241475, 'PTHR46153:SF10', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 185201),
(241476, 'PTHR35467', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 185202),
(241477, 'PTHR19856:SF1', NULL, NULL, NULL, NULL, 'ACTIN-INTERACTING PROTEIN 1', 185203),
(241478, 'PTHR13703:SF41', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 9', 185204),
(241479, 'PTHR24349:SF136', NULL, NULL, NULL, NULL, 'OS02G0625300 PROTEIN', 185205),
(241480, 'PTHR37534:SF7', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01850)-RELATED', 185206);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(241481, 'PTHR27006:SF428', NULL, NULL, NULL, NULL, 'OS05G0423500 PROTEIN', 185207),
(241482, 'PTHR24320:SF211', NULL, NULL, NULL, NULL, 'OS04G0291100 PROTEIN', 185208),
(241483, 'PTHR36966', NULL, NULL, NULL, NULL, 'REP-ASSOCIATED TYROSINE TRANSPOSASE', 185209),
(241484, 'PTHR11130', NULL, NULL, NULL, NULL, 'GLUTATHIONE SYNTHETASE', 185210),
(241485, 'PTHR11945:SF458', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN SVP-LIKE', 185211),
(241486, 'PTHR11973:SF17', NULL, NULL, NULL, NULL, 'BASAL CELL ADHESION MOLECULE', 185212),
(241487, 'PTHR10218:SF315', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185213),
(241488, 'PTHR33021:SF368', NULL, NULL, NULL, NULL, 'PEELING CUPREDOXIN, PUTATIVE-RELATED', 185214),
(241489, 'PTHR42280:SF1', NULL, NULL, NULL, NULL, 'CITG FAMILY PROTEIN', 185215),
(241490, 'PTHR24384:SF220', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 628', 185216),
(241491, 'PTHR20922:SF15', NULL, NULL, NULL, NULL, 'A_TM021B04.14 PROTEIN', 185217),
(241492, 'PTHR47207', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P3-1-RELATED', 185218),
(241493, 'PTHR11693:SF39', NULL, NULL, NULL, NULL, 'BNAA05G10580D PROTEIN', 185219),
(241494, 'PTHR36929', NULL, NULL, NULL, NULL, 'ATTACHMENT SUBUNIT, PUTATIVE-RELATED', 185220),
(241495, 'PTHR12673:SF260', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185221),
(241496, 'PTHR45870', NULL, NULL, NULL, NULL, 'TUBULIN MONOGLYCYLASE TTLL3', 185222),
(241497, 'PTHR35545:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185223),
(241498, 'PTHR32448:SF113', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 18', 185224),
(241499, 'PTHR47567:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE/SOLUTE CARRIER', 185225),
(241500, 'PTHR48049:SF33', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 185226),
(241501, 'PTHR45618:SF43', NULL, NULL, NULL, NULL, 'DICARBOXYLATE CARRIER PROTEIN', 185227),
(241502, 'PTHR46160:SF2', NULL, NULL, NULL, NULL, 'UROMODULIN', 185228),
(241503, 'PTHR11820:SF112', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G02370)-RELATED', 185229),
(241504, 'PTHR12697:SF24', NULL, NULL, NULL, NULL, 'PHYCOCYANOBILIN LYASE SUBUNIT ALPHA', 185230),
(241505, 'PTHR24075:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185231),
(241506, 'PTHR12947:SF11', NULL, NULL, NULL, NULL, 'OS01G0338200 PROTEIN', 185232),
(241507, 'PTHR30582:SF30', NULL, NULL, NULL, NULL, 'BLR4375 PROTEIN', 185233),
(241508, 'PTHR11749', NULL, NULL, NULL, NULL, 'RIBULOSE-5-PHOSPHATE-3-EPIMERASE', 185234),
(241509, 'PTHR31079:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185235),
(241510, 'PTHR33376', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 185236),
(241511, 'PTHR12879:SF8', NULL, NULL, NULL, NULL, 'DES-1 PROTEIN', 185237),
(241512, 'PTHR31218:SF181', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 185238),
(241513, 'PTHR22780:SF25', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA', 185239),
(241514, 'PTHR11334:SF32', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER G', 185240),
(241515, 'PTHR12305:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185241),
(241516, 'PTHR30504', NULL, NULL, NULL, NULL, 'GLUCANS BIOSYNTHESIS PROTEIN', 185242),
(241517, 'PTHR22714:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG02457', 185243),
(241518, 'PTHR33601:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185244),
(241519, 'PTHR11043:SF29', NULL, NULL, NULL, NULL, 'BNAA05G28750D PROTEIN', 185245),
(241520, 'PTHR20957:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185246),
(241521, 'PTHR46761:SF7', NULL, NULL, NULL, NULL, 'WPP DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 185247),
(241522, 'PTHR12419:SF11', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN DDB_G0284757', 185248),
(241523, 'PTHR21229:SF22', NULL, NULL, NULL, NULL, 'DBJ|BAA84809.1', 185249),
(241524, 'PTHR43900:SF76', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 1', 185250),
(241525, 'PTHR45798:SF57', NULL, NULL, NULL, NULL, 'BNAC07G15130D PROTEIN', 185251),
(241526, 'PTHR30540:SF106', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 26', 185252);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(241527, 'PTHR10063:SF3', NULL, NULL, NULL, NULL, 'RAL GTPASE-ACTIVATING PROTEIN SUBUNIT ALPHA-1', 185253),
(241528, 'PTHR31241:SF47', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', 185254),
(241529, 'PTHR45892', NULL, NULL, NULL, NULL, 'AMINOACYLASE-1', 185255),
(241530, 'PTHR10891:SF879', NULL, NULL, NULL, NULL, 'BNAC04G31730D PROTEIN', 185256),
(241531, 'PTHR18935:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185257),
(241532, 'PTHR11055:SF1', NULL, NULL, NULL, NULL, 'PAPS SYNTHETASE, ISOFORM D', 185258),
(241533, 'PTHR12369:SF14', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE GLUCURONYLTRANSFERASE', 185259),
(241534, 'PTHR33076:SF65', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 185260),
(241535, 'PTHR23001:SF36', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5-LIKE', 185261),
(241536, 'PTHR11439:SF315', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN, GAG-PRE-INTEGRASE DOMAIN PROTEIN-RELATED', 185262),
(241537, 'PTHR14619:SF2', NULL, NULL, NULL, NULL, 'NEURON-DERIVED NEUROTROPHIC FACTOR,-LIKE', 185263),
(241538, 'PTHR16515:SF10', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE PRDM9-RELATED', 185264),
(241539, 'PTHR46110:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HMX3', 185265),
(241540, 'PTHR31218:SF208', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 185266),
(241541, 'PTHR46101:SF13', NULL, NULL, NULL, NULL, 'BNAA08G04700D PROTEIN', 185267),
(241542, 'PTHR11732:SF456', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE FAMILY OXIDOREDUCTASE', 185268),
(241543, 'PTHR33127:SF20', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 185269),
(241544, 'PTHR33347:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185270),
(241545, 'PTHR23266:SF320', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA CONSTANT 2', 185271),
(241546, 'PTHR31595:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185272),
(241547, 'PTHR46463:SF44', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 185273),
(241548, 'PTHR33782:SF16', NULL, NULL, NULL, NULL, 'OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 18, PUTATIVE-RELATED', 185274),
(241549, 'PTHR24100:SF105', NULL, NULL, NULL, NULL, 'BTNL2-RELATED', 185275),
(241550, 'PTHR43180:SF55', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE PROTEIN', 185276),
(241551, 'PTHR10334:SF474', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', 185277),
(241552, 'PTHR23382:SF28', NULL, NULL, NULL, NULL, 'BNAA02G07730D PROTEIN', 185278),
(241553, 'PTHR12480:SF6', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE AND IRON-DEPENDENT OXYGENASE JMJD4', 185279),
(241554, 'PTHR11588:SF383', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1 CHAIN', 185280),
(241555, 'PTHR33413:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185281),
(241556, 'PTHR33529', NULL, NULL, NULL, NULL, 'SLR0882 PROTEIN-RELATED', 185282),
(241557, 'PTHR31080:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185283),
(241558, 'PTHR23360:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG13084', 185284),
(241559, 'PTHR31718:SF34', NULL, NULL, NULL, NULL, 'EMBRYO-SPECIFIC PROTEIN ATS3', 185285),
(241560, 'PTHR10829:SF15', NULL, NULL, NULL, NULL, 'SRC SUBSTRATE CORTACTIN', 185286),
(241561, 'PTHR33236', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 122 FAMILY PROTEIN-RELATED', 185287),
(241562, 'PTHR23316:SF3', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-5', 185288),
(241563, 'PTHR33699:SF23', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 185289),
(241564, 'PTHR12483:SF87', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 4', 185290),
(241565, 'PTHR31140:SF87', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR LEC2', 185291),
(241566, 'PTHR11139:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MTOR', 185292),
(241567, 'PTHR21257:SF52', NULL, NULL, NULL, NULL, 'DELTA(14)-STEROL REDUCTASE', 185293),
(241568, 'PTHR31589:SF161', NULL, NULL, NULL, NULL, 'BNAC08G42590D PROTEIN', 185294),
(241569, 'PTHR10845:SF181', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN SIGNALING', 185295);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(241570, 'PTHR33264:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185296),
(241571, 'PTHR31208:SF15', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', 185297),
(241572, 'PTHR45625:SF1', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN-PROTEIN LIGASE PPIL2', 185298),
(241573, 'PTHR11178:SF42', NULL, NULL, NULL, NULL, 'PROTEIN 5, PUTATIVE-RELATED', 185299),
(241574, 'PTHR35859:SF3', NULL, NULL, NULL, NULL, 'YALI0D02343P', 185300),
(241575, 'PTHR26453:SF289', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10A3', 185301),
(241576, 'PTHR39639', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 185302),
(241577, 'PTHR13318:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185303),
(241578, 'PTHR18966:SF416', NULL, NULL, NULL, NULL, 'OS06G0188600 PROTEIN', 185304),
(241579, 'PTHR10615:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185305),
(241580, 'PTHR46551', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING RIBONUCLEOPROTEIN', 185306),
(241581, 'PTHR46015:SF7', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE S-METHYLTRANSFERASE 1', 185307),
(241582, 'PTHR12146:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S10', 185308),
(241583, 'PTHR11685:SF252', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 185309),
(241584, 'PTHR42753:SF2', NULL, NULL, NULL, NULL, 'PROLINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', 185310),
(241585, 'PTHR33184:SF60', NULL, NULL, NULL, NULL, 'BNAA03G51920D PROTEIN', 185311),
(241586, 'PTHR10681:SF158', NULL, NULL, NULL, NULL, '2-CYS PEROXIREDOXIN BAS1, CHLOROPLASTIC', 185312),
(241587, 'PTHR21680:SF1', NULL, NULL, NULL, NULL, 'OS04G0561600 PROTEIN', 185313),
(241588, 'PTHR11581:SF18', NULL, NULL, NULL, NULL, 'ISOPRENYLCYSTEINE ALPHA-CARBONYL METHYLESTERASE ICMEL2-RELATED', 185314),
(241589, 'PTHR10292:SF7', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN 1', 185315),
(241590, 'PTHR37876:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GAR2-LIKE', 185316),
(241591, 'PTHR35332:SF2', NULL, NULL, NULL, NULL, 'REGULATION OF ENOLASE PROTEIN 1', 185317),
(241592, 'PTHR30160:SF1', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE CORE HEPTOSYLTRANSFERASE RFAQ', 185318),
(241593, 'PTHR11465:SF53', NULL, NULL, NULL, NULL, 'CATALASE', 185319),
(241594, 'PTHR35163:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185320),
(241595, 'PTHR33121:SF45', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEF', 185321),
(241596, 'PTHR22835:SF234', NULL, NULL, NULL, NULL, 'OS05G0159200 PROTEIN', 185322),
(241597, 'PTHR42709:SF6', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE LIKE PROTEIN', 185323),
(241598, 'PTHR27005:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185324),
(241599, 'PTHR10574:SF224', NULL, NULL, NULL, NULL, 'ATTRACTIN-LIKE PROTEIN 1', 185325),
(241600, 'PTHR31636:SF176', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 29', 185326),
(241601, 'PTHR21661:SF74', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', 185327),
(241602, 'PTHR35098:SF4', NULL, NULL, NULL, NULL, 'NODULIN-RELATED PROTEIN 1', 185328),
(241603, 'PTHR11937:SF410', NULL, NULL, NULL, NULL, 'ACTIN-2', 185329),
(241604, 'PTHR45875:SF5', NULL, NULL, NULL, NULL, 'BNAC01G37640D PROTEIN', 185330),
(241605, 'PTHR13003:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN', 185331),
(241606, 'PTHR23124:SF50', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 185332),
(241607, 'PTHR34145:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185333),
(241608, 'PTHR21522:SF40', NULL, NULL, NULL, NULL, 'OTOPETRIN-LIKE', 185334),
(241609, 'PTHR48041:SF50', NULL, NULL, NULL, NULL, 'WHITE (DROSOPHILA) RELATED ABC TRANSPORTER', 185335),
(241610, 'PTHR10693:SF10', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN-BINDING PROTEIN 2', 185336),
(241611, 'PTHR24055:SF413', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 9-LIKE', 185337),
(241612, 'PTHR21094:SF0', NULL, NULL, NULL, NULL, 'GOLGI SNAP RECEPTOR COMPLEX MEMBER 1', 185338),
(241613, 'PTHR36586', NULL, NULL, NULL, NULL, 'PROLINE-RICH EXTENSIN-LIKE', 185339),
(241614, 'PTHR31942:SF75', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 185340);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(241615, 'PTHR11830:SF31', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', 185341),
(241616, 'PTHR11003:SF74', NULL, NULL, NULL, NULL, 'UNCOORDINATED PROTEIN 58', 185342),
(241617, 'PTHR34377:SF4', NULL, NULL, NULL, NULL, 'OS09G0309600 PROTEIN', 185343),
(241618, 'PTHR47979:SF39', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN, PUTATIVE-RELATED', 185344),
(241619, 'PTHR42845:SF1', NULL, NULL, NULL, NULL, 'F420-NON-REDUCING HYDROGENASE VHU SUBUNIT G', 185345),
(241620, 'PTHR23423:SF80', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER SUBUNIT ALPHA', 185346),
(241621, 'PTHR31907:SF20', NULL, NULL, NULL, NULL, 'KIROLA-LIKE ISOFORM X1', 185347),
(241622, 'PTHR18916:SF81', NULL, NULL, NULL, NULL, 'FAMILY 2LIKE, PUTATIVE-RELATED', 185348),
(241623, 'PTHR18966:SF415', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 185349),
(241624, 'PTHR31065:SF74', NULL, NULL, NULL, NULL, 'OS02G0692700 PROTEIN', 185350),
(241625, 'PTHR43658:SF10', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_8G05590)', 185351),
(241626, 'PTHR48062:SF1', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1 ISOFORM X1', 185352),
(241627, 'PTHR47563', NULL, NULL, NULL, NULL, 'PROTEIN FMP25, MITOCHONDRIAL', 185353),
(241628, 'PTHR31459:SF19', NULL, NULL, NULL, NULL, 'DESICCATION-RELATED PROTEIN LEA14-RELATED', 185354),
(241629, 'PTHR47125:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185355),
(241630, 'PTHR23301:SF84', NULL, NULL, NULL, NULL, 'GASP, ISOFORM A-RELATED', 185356),
(241631, 'PTHR34709:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185357),
(241632, 'PTHR23339', NULL, NULL, NULL, NULL, 'TYROSINE SPECIFIC PROTEIN PHOSPHATASE AND DUAL SPECIFICITY PROTEIN PHOSPHATASE', 185358),
(241633, 'PTHR23501:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185359),
(241634, 'PTHR24125:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND DEATH DOMAIN-CONTAINING PROTEIN 1B', 185360),
(241635, 'PTHR21368:SF24', NULL, NULL, NULL, NULL, 'BNAA02G10490D PROTEIN', 185361),
(241636, 'PTHR10285:SF165', NULL, NULL, NULL, NULL, 'BNAA08G19620D PROTEIN', 185362),
(241637, 'PTHR45724:SF3', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP3-2', 185363),
(241638, 'PTHR24353:SF82', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE CATALYTIC SUBUNIT ALPHA', 185364),
(241639, 'PTHR11926:SF1318', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 185365),
(241640, 'PTHR27009:SF80', NULL, NULL, NULL, NULL, 'RECEPTOR SERINE/THREONINE KINASE', 185366),
(241641, 'PTHR11040', NULL, NULL, NULL, NULL, 'ZINC/IRON TRANSPORTER', 185367),
(241642, 'PTHR11034:SF40', NULL, NULL, NULL, NULL, 'BCDNA.GH02439', 185368),
(241643, 'PTHR31358:SF29', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 5-RELATED', 185369),
(241644, 'PTHR47207:SF3', NULL, NULL, NULL, NULL, 'BNAC09G32930D PROTEIN', 185370),
(241645, 'PTHR44376:SF21', NULL, NULL, NULL, NULL, 'LIS1 HOMOLOGY MOTIF, WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN PROTEIN-RELATED', 185371),
(241646, 'PTHR45977:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', 185372),
(241647, 'PTHR43316:SF4', NULL, NULL, NULL, NULL, 'ACID DEHALOGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05870)-RELATED', 185373),
(241648, 'PTHR31707:SF197', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 185374),
(241649, 'PTHR24060:SF161', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, METABOTROPIC 6A', 185375),
(241650, 'PTHR10663:SF340', NULL, NULL, NULL, NULL, 'CYTOHESIN-1', 185376),
(241651, 'PTHR23055:SF60', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN 1', 185377),
(241652, 'PTHR12763:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185378),
(241653, 'PTHR42061:SF4', NULL, NULL, NULL, NULL, 'ENDO-CHITOSANASE', 185379),
(241654, 'PTHR31044:SF96', NULL, NULL, NULL, NULL, 'BNAA08G03760D PROTEIN', 185380),
(241655, 'PTHR10642:SF19', NULL, NULL, NULL, NULL, 'RNASE H', 185381),
(241656, 'PTHR10315:SF77', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DIS1', 185382),
(241657, 'PTHR46296:SF4', NULL, NULL, NULL, NULL, 'OS02G0199800 PROTEIN', 185383);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(241658, 'PTHR43952:SF69', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 5', 185384),
(241659, 'PTHR41394', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MGTE', 185385),
(241660, 'PTHR31189:SF54', NULL, NULL, NULL, NULL, '11S GLOBULIN SEED STORAGE PROTEIN 2-LIKE', 185386),
(241661, 'PTHR33286:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185387),
(241662, 'PTHR42884', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE SUBTILISIN/KEXIN-RELATED', 185388),
(241663, 'PTHR47982:SF6', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK4', 185389),
(241664, 'PTHR43795:SF8', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', 185390),
(241665, 'PTHR11247:SF27', NULL, NULL, NULL, NULL, 'LYSOSOMAL THIOESTERASE PPT2', 185391),
(241666, 'PTHR11062:SF277', NULL, NULL, NULL, NULL, 'BNAA03G01060D PROTEIN', 185392),
(241667, 'PTHR33147:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185393),
(241668, 'PTHR33076:SF79', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 185394),
(241669, 'PTHR12406', NULL, NULL, NULL, NULL, 'CALCIUM-INDEPENDENT PHOSPHOLIPASE A2  IPLA2 -RELATED', 185395),
(241670, 'PTHR14952:SF18', NULL, NULL, NULL, NULL, 'ROPPORIN-1A', 185396),
(241671, 'PTHR11909:SF353', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN', 185397),
(241672, 'PTHR13723:SF173', NULL, NULL, NULL, NULL, 'ADAMTS-LIKE PROTEIN 5', 185398),
(241673, 'PTHR12832', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC PROTEIN PBS13  T-COMPLEX 11', 185399),
(241674, 'PTHR15493', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 5 AND 43', 185400),
(241675, 'PTHR31415:SF129', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY-RELATED', 185401),
(241676, 'PTHR11017:SF286', NULL, NULL, NULL, NULL, 'BNAC07G34000D PROTEIN', 185402),
(241677, 'PTHR18952:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185403),
(241678, 'PTHR46219:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG11138', 185404),
(241679, 'PTHR10788:SF84', NULL, NULL, NULL, NULL, 'TREHALOSE-6-PHOSPHATE SYNTHASE5', 185405),
(241680, 'PTHR23056:SF108', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 5', 185406),
(241681, 'PTHR31645:SF56', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', 185407),
(241682, 'PTHR31620:SF23', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 3, CHLOROPLASTIC-LIKE', 185408),
(241683, 'PTHR42788:SF13', NULL, NULL, NULL, NULL, 'NITRATE IMPORT ATP-BINDING PROTEIN NRTD', 185409),
(241684, 'PTHR23159:SF37', NULL, NULL, NULL, NULL, 'OS11G0644600 PROTEIN', 185410),
(241685, 'PTHR31623:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185411),
(241686, 'PTHR45089:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185412),
(241687, 'PTHR30535:SF33', NULL, NULL, NULL, NULL, 'PERIPLASMIC BINDING PROTEIN', 185413),
(241688, 'PTHR14754:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 4', 185414),
(241689, 'PTHR21497:SF40', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 185415),
(241690, 'PTHR23315:SF296', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 185416),
(241691, 'PTHR46145', NULL, NULL, NULL, NULL, 'HEPARANASE', 185417),
(241692, 'PTHR34204', NULL, NULL, NULL, NULL, 'RNA-BINDING ASCH DOMAIN PROTEIN', 185418),
(241693, 'PTHR48085:SF11', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', 185419),
(241694, 'PTHR11010:SF91', NULL, NULL, NULL, NULL, 'PROLYL CARBOXY PEPTIDASE LIKE PROTEIN 5', 185420),
(241695, 'PTHR22950:SF657', NULL, NULL, NULL, NULL, 'BNAA05G27230D PROTEIN', 185421),
(241696, 'PTHR47942:SF59', NULL, NULL, NULL, NULL, 'OS12G0638900 PROTEIN', 185422),
(241697, 'PTHR24281:SF148', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', 185423),
(241698, 'PTHR33077:SF95', NULL, NULL, NULL, NULL, 'JASMONATE ZIM-DOMAIN PROTEIN', 185424),
(241699, 'PTHR11567:SF172', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE FAMILY', 185425),
(241700, 'PTHR23073:SF116', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 4 HOMOLOG', 185426),
(241701, 'PTHR46967:SF1', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR BINDING PROTEIN,N-TERMINAL', 185427);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(241702, 'PTHR37437', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED PROTEIN-RELATED', 185428),
(241703, 'PTHR43899:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185429),
(241704, 'PTHR32411:SF58', NULL, NULL, NULL, NULL, 'BNACNNG07220D PROTEIN', 185430),
(241705, 'PTHR11255:SF54', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 1', 185431),
(241706, 'PTHR19957:SF83', NULL, NULL, NULL, NULL, 'SYNTAXIN-16', 185432),
(241707, 'PTHR14690:SF0', NULL, NULL, NULL, NULL, 'ATPASE, AAA FAMILY PROTEIN', 185433),
(241708, 'PTHR12548:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DP-2', 185434),
(241709, 'PTHR24381:SF355', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 107', 185435),
(241710, 'PTHR35164', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 185436),
(241711, 'PTHR48017:SF128', NULL, NULL, NULL, NULL, 'OS06G0228600 PROTEIN', 185437),
(241712, 'PTHR28591', NULL, NULL, NULL, NULL, 'LATEXIN', 185438),
(241713, 'PTHR30251:SF6', NULL, NULL, NULL, NULL, 'FIMBRIAL CHAPERONE YFCS-RELATED', 185439),
(241714, 'PTHR37341', NULL, NULL, NULL, NULL, 'PROTEIN INCA1', 185440),
(241715, 'PTHR33191:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185441),
(241716, 'PTHR16771:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185442),
(241717, 'PTHR27004:SF211', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', 185443),
(241718, 'PTHR11183:SF133', NULL, NULL, NULL, NULL, 'GLYCOGENIN-1', 185444),
(241719, 'PTHR14359:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185445),
(241720, 'PTHR13673:SF0', NULL, NULL, NULL, NULL, 'VPS35 ENDOSOMAL PROTEIN SORTING FACTOR-LIKE', 185446),
(241721, 'PTHR24103:SF89', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM68', 185447),
(241722, 'PTHR44942:SF4', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE-DEPENDENT METHYLTRANSFERASE CRG1-RELATED', 185448),
(241723, 'PTHR38016', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 185449),
(241724, 'PTHR26450:SF111', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 185450),
(241725, 'PTHR11668:SF425', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 185451),
(241726, 'PTHR10288:SF278', NULL, NULL, NULL, NULL, 'BNAC01G41560D PROTEIN', 185452),
(241727, 'PTHR12449:SF17', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 4', 185453),
(241728, 'PTHR43952:SF71', NULL, NULL, NULL, NULL, 'BNAC03G27300D PROTEIN', 185454),
(241729, 'PTHR12002:SF191', NULL, NULL, NULL, NULL, 'CLAUDIN', 185455),
(241730, 'PTHR33624:SF2', NULL, NULL, NULL, NULL, 'SIGMA FACTOR BINDING PROTEIN 1, CHLOROPLASTIC', 185456),
(241731, 'PTHR18929:SF212', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', 185457),
(241732, 'PTHR10015:SF346', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-1', 185458),
(241733, 'PTHR15503:SF9', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON-LIKE PROTEIN 1', 185459),
(241734, 'PTHR40066:SF1', NULL, NULL, NULL, NULL, 'UPF0473 PROTEIN CBO2561/CLC_2432', 185460),
(241735, 'PTHR43161:SF4', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01490)-RELATED', 185461),
(241736, 'PTHR21213:SF21', NULL, NULL, NULL, NULL, 'HSPC038 PROTEIN', 185462),
(241737, 'PTHR11877:SF76', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE-LIKE', 185463),
(241738, 'PTHR45735:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185464),
(241739, 'PTHR11062:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185465),
(241740, 'PTHR45801', NULL, NULL, NULL, NULL, 'OS07G0101800 PROTEIN', 185466),
(241741, 'PTHR22419', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 172', 185467),
(241742, 'PTHR24096:SF389', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 1', 185468),
(241743, 'PTHR19862:SF18', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN, BETA SUBUNIT-RELATED', 185469),
(241744, 'PTHR14363:SF35', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 79 AMINO-TERMINAL DOMAIN PROTEIN', 185470),
(241745, 'PTHR10887:SF480', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 185471),
(241746, 'PTHR23418:SF1', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE HOMOLOG 2', 185472);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(241747, 'PTHR15715:SF40', NULL, NULL, NULL, NULL, 'FHA DOMAINCONTAINING PROTEIN', 185473),
(241748, 'PTHR45621:SF151', NULL, NULL, NULL, NULL, 'BNAA05G33990D PROTEIN', 185474),
(241749, 'PTHR43013:SF1', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', 185475),
(241750, 'PTHR11825:SF69', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', 185476),
(241751, 'PTHR22870:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185477),
(241752, 'PTHR46976:SF5', NULL, NULL, NULL, NULL, 'BNAA09G38440D PROTEIN', 185478),
(241753, 'PTHR35015:SF2', NULL, NULL, NULL, NULL, 'DELTA AND OSM-11 HOMOLOG PROTEIN 1', 185479),
(241754, 'PTHR43224:SF1', NULL, NULL, NULL, NULL, 'AMIDINOTRANSFERASE', 185480),
(241755, 'PTHR10516:SF436', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 185481),
(241756, 'PTHR33463:SF99', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN RGA2, PUTATIVE-RELATED', 185482),
(241757, 'PTHR12770:SF22', NULL, NULL, NULL, NULL, 'RUS1 FAMILY PROTEIN C16ORF58', 185483),
(241758, 'PTHR26453:SF222', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 185484),
(241759, 'PTHR46418', NULL, NULL, NULL, NULL, 'SRBC-64-RELATED-RELATED', 185485),
(241760, 'PTHR31585', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 1, CHLOROPLASTIC', 185486),
(241761, 'PTHR46687:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DISPATCHED HOMOLOG 3', 185487),
(241762, 'PTHR24123:SF69', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CHANNEL PYREXIA-LIKE PROTEIN', 185488),
(241763, 'PTHR48001:SF156', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 185489),
(241764, 'PTHR43645:SF3', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE DIPEPTIDASE', 185490),
(241765, 'PTHR17985:SF16', NULL, NULL, NULL, NULL, 'TRANSPORT/GOLGI ORGANIZATION-LIKE PROTEIN (DUF833)', 185491),
(241766, 'PTHR12010:SF2', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S29', 185492),
(241767, 'PTHR45913:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185493),
(241768, 'PTHR12277:SF157', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 185494),
(241769, 'PTHR43712:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 185495),
(241770, 'PTHR33078:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185496),
(241771, 'PTHR33646:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185497),
(241772, 'PTHR24216:SF61', NULL, NULL, NULL, NULL, 'PROTEIN CBG12788', 185498),
(241773, 'PTHR23500:SF478', NULL, NULL, NULL, NULL, 'OS07G0131250 PROTEIN', 185499),
(241774, 'PTHR12928', NULL, NULL, NULL, NULL, 'FRG1 PROTEIN', 185500),
(241775, 'PTHR33989:SF11', NULL, NULL, NULL, NULL, 'LICHENAN PERMEASE IIC COMPONENT', 185501),
(241776, 'PTHR45966', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 185502),
(241777, 'PTHR10272:SF0', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE', 185503),
(241778, 'PTHR22912', NULL, NULL, NULL, NULL, 'DISULFIDE OXIDOREDUCTASE', 185504),
(241779, 'PTHR24085:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 4 GROUP A MEMBER 3', 185505),
(241780, 'PTHR32166:SF67', NULL, NULL, NULL, NULL, 'HAT TRANSPOSON SUPERFAMILY', 185506),
(241781, 'PTHR34835:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185507),
(241782, 'PTHR12400:SF83', NULL, NULL, NULL, NULL, 'KINASE', 185508),
(241783, 'PTHR30071:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME C ASSEMBLY PROTEIN-RELATED', 185509),
(241784, 'PTHR48047:SF89', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 185510),
(241785, 'PTHR11486:SF72', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 20', 185511),
(241786, 'PTHR13301:SF172', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D4', 185512),
(241787, 'PTHR40032:SF1', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 185513),
(241788, 'PTHR24349:SF340', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 5', 185514),
(241789, 'PTHR15012:SF33', NULL, NULL, NULL, NULL, 'PROTEIN SHROOM3', 185515),
(241790, 'PTHR23502:SF12', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06440)-RELATED', 185516),
(241791, 'PTHR11353:SF209', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT BETA', 185517); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(241792, 'PTHR31384:SF10', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 5', 185518),
(241793, 'PTHR19918:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185519),
(241794, 'PTHR13968:SF26', NULL, NULL, NULL, NULL, 'NUCLEAR POLYADENYLATED RNA-BINDING PROTEIN 3', 185520),
(241795, 'PTHR24373:SF271', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE N SUBUNIT 2', 185521),
(241796, 'PTHR24166:SF23', NULL, NULL, NULL, NULL, 'PROTEIN TANC1', 185522),
(241797, 'PTHR12113:SF8', NULL, NULL, NULL, NULL, 'DICKKOPF-RELATED PROTEIN 3', 185523),
(241798, 'PTHR47385', NULL, NULL, NULL, NULL, 'CALPONIN', 185524),
(241799, 'PTHR11848:SF246', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 16', 185525),
(241800, 'PTHR45647:SF97', NULL, NULL, NULL, NULL, 'BNAANNG06950D PROTEIN', 185526),
(241801, 'PTHR48047:SF107', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 185527),
(241802, 'PTHR31636:SF214', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 185528),
(241803, 'PTHR48017:SF100', NULL, NULL, NULL, NULL, 'AMINO ACID CARRIER', 185529),
(241804, 'PTHR11475:SF58', NULL, NULL, NULL, NULL, 'PEROXIDASIN', 185530),
(241805, 'PTHR43880:SF50', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 185531),
(241806, 'PTHR46309:SF3', NULL, NULL, NULL, NULL, 'OS04G0433900 PROTEIN', 185532),
(241807, 'PTHR33511:SF16', NULL, NULL, NULL, NULL, 'OS02G0581200 PROTEIN', 185533),
(241808, 'PTHR11485:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185534),
(241809, 'PTHR31934:SF7', NULL, NULL, NULL, NULL, 'BNAA04G25990D PROTEIN', 185535),
(241810, 'PTHR12546:SF32', NULL, NULL, NULL, NULL, 'OTOFERLIN', 185536),
(241811, 'PTHR45645:SF43', NULL, NULL, NULL, NULL, 'PROTEIN CBG08382', 185537),
(241812, 'PTHR31972:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185538),
(241813, 'PTHR46048:SF5', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLIC ACID RECEPTOR 3', 185539),
(241814, 'PTHR33565:SF20', NULL, NULL, NULL, NULL, 'AUXIN-REPRESSED PROTEIN', 185540),
(241815, 'PTHR14826', NULL, NULL, NULL, NULL, 'ANGIOMOTIN', 185541),
(241816, 'PTHR12022', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE COMPLEX 14 KD PROTEIN', 185542),
(241817, 'PTHR23430:SF11', NULL, NULL, NULL, NULL, 'HISTONE H2A', 185543),
(241818, 'PTHR31683:SF18', NULL, NULL, NULL, NULL, 'PECTATE LYASE 18-RELATED', 185544),
(241819, 'PTHR11183:SF146', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 185545),
(241820, 'PTHR47788', NULL, NULL, NULL, NULL, 'POLYA POLYMERASE', 185546),
(241821, 'PTHR11746:SF245', NULL, NULL, NULL, NULL, 'F5F19.5 PROTEIN', 185547),
(241822, 'PTHR31190:SF266', NULL, NULL, NULL, NULL, 'BNAA01G23960D PROTEIN', 185548),
(241823, 'PTHR11579', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE', 185549),
(241824, 'PTHR30026:SF15', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN TOLC', 185550),
(241825, 'PTHR24015:SF739', NULL, NULL, NULL, NULL, 'OS03G0644100 PROTEIN', 185551),
(241826, 'PTHR23167:SF52', NULL, NULL, NULL, NULL, 'SMOOTHELIN', 185552),
(241827, 'PTHR12000:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185553),
(241828, 'PTHR11850:SF299', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CUP9-RELATED', 185554),
(241829, 'PTHR10037:SF230', NULL, NULL, NULL, NULL, 'CA[2+]-CHANNEL PROTEIN ALPHA[[1]] SUBUNIT T, ISOFORM F', 185555),
(241830, 'PTHR12224:SF21', NULL, NULL, NULL, NULL, 'BNAANNG27230D PROTEIN', 185556),
(241831, 'PTHR22884:SF497', NULL, NULL, NULL, NULL, 'OS02G0611300 PROTEIN', 185557),
(241832, 'PTHR24103:SF656', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 52', 185558),
(241833, 'PTHR46283', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH5', 185559),
(241834, 'PTHR33541:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185560),
(241835, 'PTHR10806:SF28', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX CATALYTIC SUBUNIT SEC11A', 185561),
(241836, 'PTHR33470:SF25', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 1-RELATED', 185562),
(241837, 'PTHR47476:SF2', NULL, NULL, NULL, NULL, 'ARABINOSE 5-PHOSPHATE ISOMERASE-RELATED', 185563),
(241838, 'PTHR45798:SF17', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL73-LIKE', 185564);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(241839, 'PTHR21579', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 185565),
(241840, 'PTHR16083:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 10', 185566),
(241841, 'PTHR45667:SF18', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', 185567),
(241842, 'PTHR34549:SF6', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I PSAE, REACTION CENTRE SUBUNIT IV-RELATED', 185568),
(241843, 'PTHR43000:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG14085', 185569),
(241844, 'PTHR24123:SF51', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND KH DOMAIN-CONTAINING PROTEIN MASK', 185570),
(241845, 'PTHR20920:SF2', NULL, NULL, NULL, NULL, 'SOMATOMEDIN-B AND THROMBOSPONDIN TYPE-1 DOMAIN-CONTAINING PROTEIN', 185571),
(241846, 'PTHR30472:SF56', NULL, NULL, NULL, NULL, 'IRON COMPOUNDS ABC TRANSPORTER, PERMEASE PROTEIN', 185572),
(241847, 'PTHR37577:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185573),
(241848, 'PTHR10309:SF11', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE', 185574),
(241849, 'PTHR43545:SF1', NULL, NULL, NULL, NULL, 'HYDROGENASE-2 OPERON PROTEIN HYBA', 185575),
(241850, 'PTHR31639:SF35', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', 185576),
(241851, 'PTHR45727', NULL, NULL, NULL, NULL, 'NPC INTRACELLULAR CHOLESTEROL TRANSPORTER 1', 185577),
(241852, 'PTHR43350:SF15', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01780)-RELATED', 185578),
(241853, 'PTHR45687:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185579),
(241854, 'PTHR31257:SF11', NULL, NULL, NULL, NULL, 'RICIN B-LIKE LECTIN R40G3', 185580),
(241855, 'PTHR33109:SF60', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 8', 185581),
(241856, 'PTHR19211:SF69', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN UUP', 185582),
(241857, 'PTHR46050:SF9', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 185583),
(241858, 'PTHR31459', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 185584),
(241859, 'PTHR32278:SF36', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B11-LIKE', 185585),
(241860, 'PTHR33675:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185586),
(241861, 'PTHR31852:SF25', NULL, NULL, NULL, NULL, 'OS06G0163300 PROTEIN', 185587),
(241862, 'PTHR12320:SF9', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 62-RELATED', 185588),
(241863, 'PTHR11157:SF16', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 2', 185589),
(241864, 'PTHR37285:SF6', NULL, NULL, NULL, NULL, 'BIOSYNTHESIS PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G02660)-RELATED', 185590),
(241865, 'PTHR38774:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 185591),
(241866, 'PTHR33596:SF19', NULL, NULL, NULL, NULL, 'BNAA07G03740D PROTEIN', 185592),
(241867, 'PTHR13935:SF110', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING SUPERFAMILY PROTEIN, PUTATIVE-RELATED', 185593),
(241868, 'PTHR43881', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLTRANSPEPTIDASE (AFU_ORTHOLOGUE AFUA_4G13580)', 185594),
(241869, 'PTHR23503:SF53', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 14', 185595),
(241870, 'PTHR11937:SF459', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 185596),
(241871, 'PTHR34552:SF8', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PSBW, CLASS 2-RELATED', 185597),
(241872, 'PTHR31325:SF105', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 185598),
(241873, 'PTHR16099:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185599),
(241874, 'PTHR31221:SF152', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 8', 185600),
(241875, 'PTHR47890', NULL, NULL, NULL, NULL, 'LD24308P', 185601),
(241876, 'PTHR38926:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185602),
(241877, 'PTHR14338:SF4', NULL, NULL, NULL, NULL, 'ACTIN FILAMENT-ASSOCIATED PROTEIN 1-LIKE 2', 185603),
(241878, 'PTHR42851:SF19', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', 185604),
(241879, 'PTHR31902:SF9', NULL, NULL, NULL, NULL, 'BNAA10G09990D PROTEIN', 185605),
(241880, 'PTHR31252', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 185606);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(241881, 'PTHR24012:SF837', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF, SINGLE STRANDED-INTERACTING PROTEIN 2B', 185607),
(241882, 'PTHR23288:SF4', NULL, NULL, NULL, NULL, 'OCCLUDIN', 185608),
(241883, 'PTHR11802:SF254', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 20', 185609),
(241884, 'PTHR36895', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 185610),
(241885, 'PTHR33728:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185611),
(241886, 'PTHR31388:SF231', NULL, NULL, NULL, NULL, 'PEROXIDASE', 185612),
(241887, 'PTHR33463:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185613),
(241888, 'PTHR35397:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185614),
(241889, 'PTHR33885:SF3', NULL, NULL, NULL, NULL, 'PHAGE SHOCK PROTEIN C', 185615),
(241890, 'PTHR37017:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185616),
(241891, 'PTHR31642:SF166', NULL, NULL, NULL, NULL, 'HYDROXYCINNAMOYLTRANSFERASE 2', 185617),
(241892, 'PTHR39607:SF1', NULL, NULL, NULL, NULL, 'B-ZIP TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 185618),
(241893, 'PTHR12636:SF5', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE NEP1', 185619),
(241894, 'PTHR21649:SF113', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 185620),
(241895, 'PTHR35175', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 185621),
(241896, 'PTHR47932:SF2', NULL, NULL, NULL, NULL, 'OS10G0484300 PROTEIN', 185622),
(241897, 'PTHR46289:SF8', NULL, NULL, NULL, NULL, '52 KDA REPRESSOR OF THE INHIBITOR OF THE PROTEIN KINASE', 185623),
(241898, 'PTHR33110:SF59', NULL, NULL, NULL, NULL, 'OS07G0140900 PROTEIN', 185624),
(241899, 'PTHR32468:SF141', NULL, NULL, NULL, NULL, 'BNAA10G11880D PROTEIN', 185625),
(241900, 'PTHR12210:SF120', NULL, NULL, NULL, NULL, 'INTERACTING FACTOR, PUTATIVE, EXPRESSED-RELATED', 185626),
(241901, 'PTHR10257:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 56 KDA REGULATORY SUBUNIT ALPHA ISOFORM', 185627),
(241902, 'PTHR26374:SF394', NULL, NULL, NULL, NULL, 'BNAC07G49780D PROTEIN', 185628),
(241903, 'PTHR10390:SF67', NULL, NULL, NULL, NULL, 'SIX HOMEOBOX 6B', 185629),
(241904, 'PTHR13015:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185630),
(241905, 'PTHR11101:SF67', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', 185631),
(241906, 'PTHR45647:SF23', NULL, NULL, NULL, NULL, 'OS06G0191900 PROTEIN', 185632),
(241907, 'PTHR10015:SF169', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-2B', 185633),
(241908, 'PTHR15960', NULL, NULL, NULL, NULL, 'LD44032P', 185634),
(241909, 'PTHR10543:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185635),
(241910, 'PTHR48048:SF31', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 88A1', 185636),
(241911, 'PTHR34044', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN', 185637),
(241912, 'PTHR31069:SF18', NULL, NULL, NULL, NULL, 'OLEATE ACTIVATED TRANSCRIPTION FACTOR 3', 185638),
(241913, 'PTHR31992:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185639),
(241914, 'PTHR34591:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185640),
(241915, 'PTHR11610', NULL, NULL, NULL, NULL, 'LIPASE', 185641),
(241916, 'PTHR45878:SF32', NULL, NULL, NULL, NULL, 'BNAC05G27160D PROTEIN', 185642),
(241917, 'PTHR46092:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A11', 185643),
(241918, 'PTHR10902:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L33-B', 185644),
(241919, 'PTHR15967', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 185645),
(241920, 'PTHR35385:SF2', NULL, NULL, NULL, NULL, 'PROTEIN B, PUTATIVE-RELATED', 185646),
(241921, 'PTHR12992:SF35', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 11', 185647),
(241922, 'PTHR31836:SF19', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN 1', 185648),
(241923, 'PTHR12802:SF133', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 2', 185649),
(241924, 'PTHR10742:SF264', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 4', 185650),
(241925, 'PTHR13301:SF167', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 9 [UDP-FORMING]-RELATED', 185651),
(241926, 'PTHR36154:SF3', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN-RELATED', 185652);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(241927, 'PTHR13697:SF8', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 2', 185653),
(241928, 'PTHR43757:SF4', NULL, NULL, NULL, NULL, 'PDPR ISOFORM 5', 185654),
(241929, 'PTHR28039:SF11', NULL, NULL, NULL, NULL, 'CHALCONE-FLAVONONE ISOMERASE FAMILY PROTEIN', 185655),
(241930, 'PTHR10984:SF70', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD, ENDOPLASMIC RETICULUM VESICLE TRANSPORTER-RELATED', 185656),
(241931, 'PTHR24211:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185657),
(241932, 'PTHR11937:SF208', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN 8', 185658),
(241933, 'PTHR11711:SF156', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-RELATED', 185659),
(241934, 'PTHR10836:SF107', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE 3, CYTOSOLIC', 185660),
(241935, 'PTHR47956:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185661),
(241936, 'PTHR34529', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX-ASSOCIATED REGULATORY PROTEIN', 185662),
(241937, 'PTHR31587:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 185663),
(241938, 'PTHR22802:SF370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185664),
(241939, 'PTHR32133:SF336', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 185665),
(241940, 'PTHR45714:SF57', NULL, NULL, NULL, NULL, 'BNAA09G18250D PROTEIN', 185666),
(241941, 'PTHR10663:SF368', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185667),
(241942, 'PTHR14155:SF501', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3L', 185668),
(241943, 'PTHR45621:SF106', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CX32, CHLOROPLASTIC-RELATED', 185669),
(241944, 'PTHR31985:SF108', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-9-LIKE', 185670),
(241945, 'PTHR10454:SF219', NULL, NULL, NULL, NULL, 'CASPASE-4', 185671),
(241946, 'PTHR24095:SF243', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', 185672),
(241947, 'PTHR43028:SF4', NULL, NULL, NULL, NULL, 'INOSITOL MONOPHOSPHATASE 3', 185673),
(241948, 'PTHR23409:SF35', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE SMALL CHAIN A', 185674),
(241949, 'PTHR43019:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185675),
(241950, 'PTHR13234:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG03285', 185676),
(241951, 'PTHR43450:SF1', NULL, NULL, NULL, NULL, 'ASPARTATE--TRNA LIGASE, CYTOPLASMIC', 185677),
(241952, 'PTHR43272:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185678),
(241953, 'PTHR32499:SF16', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 17', 185679),
(241954, 'PTHR32246:SF101', NULL, NULL, NULL, NULL, 'OS01G0934100 PROTEIN', 185680),
(241955, 'PTHR14154:SF68', NULL, NULL, NULL, NULL, 'ACROSIN-LIKE', 185681),
(241956, 'PTHR45654:SF68', NULL, NULL, NULL, NULL, 'BNAA06G12120D PROTEIN', 185682),
(241957, 'PTHR24072:SF181', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHO4', 185683),
(241958, 'PTHR32401:SF27', NULL, NULL, NULL, NULL, 'BNAC02G03680D PROTEIN', 185684),
(241959, 'PTHR31895:SF22', NULL, NULL, NULL, NULL, 'ACTIVATED IN BLOCKED UNFOLDED PROTEIN RESPONSE-RELATED', 185685),
(241960, 'PTHR33728:SF11', NULL, NULL, NULL, NULL, 'BNAA01G35980D PROTEIN', 185686),
(241961, 'PTHR12526:SF576', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS GLYCOSYL TRANSFERASE WCAC-RELATED', 185687),
(241962, 'PTHR10129:SF44', NULL, NULL, NULL, NULL, 'TRAFFIC JAM, ISOFORM C', 185688),
(241963, 'PTHR21443', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX COMPONENT 7', 185689),
(241964, 'PTHR31852:SF229', NULL, NULL, NULL, NULL, 'OS06G0118800 PROTEIN', 185690),
(241965, 'PTHR45821:SF16', NULL, NULL, NULL, NULL, 'SNF2-RELATED, N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', 185691),
(241966, 'PTHR31062:SF137', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 185692),
(241967, 'PTHR36351:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185693),
(241968, 'PTHR12265:SF32', NULL, NULL, NULL, NULL, 'PROTEIN CBG03266', 185694),
(241969, 'PTHR34291:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185695); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(241970, 'PTHR21294:SF20', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN, SUBUNIT BETA (ETFB)', 185696),
(241971, 'PTHR10335', NULL, NULL, NULL, NULL, 'RRNA 2-O-METHYLTRANSFERASE FIBRILLARIN', 185697),
(241972, 'PTHR27009:SF117', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE, PROTEIN KINASE RLK-PELLE-LRK10L-2 FAMILY-RELATED', 185698),
(241973, 'PTHR31415:SF106', NULL, NULL, NULL, NULL, 'BNAC02G00050D PROTEIN', 185699),
(241974, 'PTHR20855:SF41', NULL, NULL, NULL, NULL, 'MEMBRANE PROGESTIN RECEPTOR ALPHA', 185700),
(241975, 'PTHR22780:SF39', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA', 185701),
(241976, 'PTHR24068:SF291', NULL, NULL, NULL, NULL, 'AT30415P', 185702),
(241977, 'PTHR13169:SF15', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN 5', 185703),
(241978, 'PTHR22801:SF53', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', 185704),
(241979, 'PTHR37870:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1 OPEN READING FRAME 54', 185705),
(241980, 'PTHR24404:SF72', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 567', 185706),
(241981, 'PTHR15710:SF144', NULL, NULL, NULL, NULL, 'PRAJA RING FINGER UBIQUITIN LIGASE 2', 185707),
(241982, 'PTHR48022:SF7', NULL, NULL, NULL, NULL, 'GLUCOSE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14170)-RELATED', 185708),
(241983, 'PTHR15035', NULL, NULL, NULL, NULL, 'CORTICOLIBERIN/UROCORTIN', 185709),
(241984, 'PTHR24414:SF114', NULL, NULL, NULL, NULL, 'BNAA07G08780D PROTEIN', 185710),
(241985, 'PTHR14456:SF6', NULL, NULL, NULL, NULL, 'INOSITOL-PENTAKISPHOSPHATE 2-KINASE', 185711),
(241986, 'PTHR43139:SF7', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 185712),
(241987, 'PTHR15263', NULL, NULL, NULL, NULL, 'I-KAPPA-B-LIKE PROTEIN  IKBL', 185713),
(241988, 'PTHR12321:SF125', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 6', 185714),
(241989, 'PTHR11528:SF116', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90-2', 185715),
(241990, 'PTHR23421', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE RELATED', 185716),
(241991, 'PTHR31541:SF46', NULL, NULL, NULL, NULL, 'BNAANNG20380D PROTEIN', 185717),
(241992, 'PTHR24418:SF53', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE TYROSINE-PROTEIN KINASE SRC', 185718),
(241993, 'PTHR28270:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 19', 185719),
(241994, 'PTHR31996', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 115', 185720),
(241995, 'PTHR45616:SF21', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 7', 185721),
(241996, 'PTHR12411:SF802', NULL, NULL, NULL, NULL, 'OS01G0899100 PROTEIN', 185722),
(241997, 'PTHR31048:SF48', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN', 185723),
(241998, 'PTHR19877:SF13', NULL, NULL, NULL, NULL, 'OS02G0205400 PROTEIN', 185724),
(241999, 'PTHR31707:SF283', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', 185725),
(242000, 'PTHR10333:SF85', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN 1', 185726),
(242001, 'PTHR42898', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE', 185727),
(242002, 'PTHR31752:SF11', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 5C-RELATED', 185728),
(242003, 'PTHR14255:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185729),
(242004, 'PTHR48019:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185730),
(242005, 'PTHR21659:SF99', NULL, NULL, NULL, NULL, 'LOW TEMPERATURE-INDUCED PROTEIN LT101.2', 185731),
(242006, 'PTHR24408:SF48', NULL, NULL, NULL, NULL, 'PROTEIN CBG12307', 185732),
(242007, 'PTHR47950', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 76, SUBFAMILY C, POLYPEPTIDE 5-RELATED', 185733),
(242008, 'PTHR34371', NULL, NULL, NULL, NULL, 'OS01G0551000 PROTEIN', 185734),
(242009, 'PTHR24345:SF87', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN CONTAINING KINASE', 185735),
(242010, 'PTHR24223:SF348', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY PROTEIN', 185736),
(242011, 'PTHR12143:SF38', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G10520)', 185737);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(242012, 'PTHR35820', NULL, NULL, NULL, NULL, 'SPERM MITOCHONDRIAL-ASSOCIATED CYSTEINE-RICH PROTEIN', 185738),
(242013, 'PTHR13817:SF30', NULL, NULL, NULL, NULL, 'OBSCURIN-LIKE PROTEIN 1', 185739),
(242014, 'PTHR12231:SF250', NULL, NULL, NULL, NULL, 'RE42927P-RELATED', 185740),
(242015, 'PTHR31181:SF51', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED PROTEIN 1.4', 185741),
(242016, 'PTHR23050:SF417', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 6', 185742),
(242017, 'PTHR35538:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185743),
(242018, 'PTHR18929:SF226', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', 185744),
(242019, 'PTHR47984:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185745),
(242020, 'PTHR22972:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185746),
(242021, 'PTHR48049:SF47', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 185747),
(242022, 'PTHR31265:SF11', NULL, NULL, NULL, NULL, 'OSJNBB0091E11.14 PROTEIN', 185748),
(242023, 'PTHR34960:SF1', NULL, NULL, NULL, NULL, 'EMB|CAB68146.1-RELATED', 185749),
(242024, 'PTHR12620:SF35', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF SMALL SUBUNIT A', 185750),
(242025, 'PTHR31052:SF24', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 7', 185751),
(242026, 'PTHR40688:SF2', NULL, NULL, NULL, NULL, 'GSR3527 PROTEIN', 185752),
(242027, 'PTHR46862:SF2', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 5, MITOCHONDRIAL', 185753),
(242028, 'PTHR23322:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185754),
(242029, 'PTHR12121:SF86', NULL, NULL, NULL, NULL, 'BNAA09G55120D PROTEIN', 185755),
(242030, 'PTHR36005', NULL, NULL, NULL, NULL, 'DNA LIGASE-LIKE PROTEIN', 185756),
(242031, 'PTHR47967:SF16', NULL, NULL, NULL, NULL, 'OS09G0452800 PROTEIN', 185757),
(242032, 'PTHR23074:SF14', NULL, NULL, NULL, NULL, 'FIDGETIN', 185758),
(242033, 'PTHR45911', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN', 185759),
(242034, 'PTHR24416:SF257', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE MER', 185760),
(242035, 'PTHR14445:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185761),
(242036, 'PTHR30525:SF0', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE 5-PHOSPHATE REDUCTOISOMERASE, CHLOROPLASTIC', 185762),
(242037, 'PTHR10336:SF190', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 185763),
(242038, 'PTHR12658', NULL, NULL, NULL, NULL, 'BETA-TUBULIN COFACTOR D', 185764),
(242039, 'PTHR33783:SF3', NULL, NULL, NULL, NULL, 'BNAA06G40350D PROTEIN', 185765),
(242040, 'PTHR39952:SF1', NULL, NULL, NULL, NULL, 'FI02073P', 185766),
(242041, 'PTHR26453:SF16', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 185767),
(242042, 'PTHR46411:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185768),
(242043, 'PTHR32227:SF250', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE-RELATED', 185769),
(242044, 'PTHR10173:SF55', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE MSRA/MSRB 1', 185770),
(242045, 'PTHR47942:SF24', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 185771),
(242046, 'PTHR31374:SF294', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 185772),
(242047, 'PTHR23023:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185773),
(242048, 'PTHR31789:SF13', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', 185774),
(242049, 'PTHR47765', NULL, NULL, NULL, NULL, '3''-5'' EXONUCLEASE DOMAIN-CONTAINING PROTEIN', 185775),
(242050, 'PTHR48018:SF152', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR K26', 185776),
(242051, 'PTHR10334:SF63', NULL, NULL, NULL, NULL, 'PEPTIDASE INHIBITOR 15', 185777),
(242052, 'PTHR13932', NULL, NULL, NULL, NULL, 'COPROPORPHYRINIGEN III OXIDASE', 185778),
(242053, 'PTHR15129:SF2', NULL, NULL, NULL, NULL, 'SRC KINASE-ASSOCIATED PHOSPHOPROTEIN 2', 185779),
(242054, 'PTHR33510:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TIC 20-II, CHLOROPLASTIC', 185780),
(242055, 'PTHR13301:SF210', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', 185781),
(242056, 'PTHR30401:SF0', NULL, NULL, NULL, NULL, 'TRNA 2-SELENOURIDINE/GERANYL-2-THIOURIDINE SYNTHASE', 185782);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(242057, 'PTHR13498', NULL, NULL, NULL, NULL, 'SPERM ASSOCIATED ANTIGEN 7', 185783),
(242058, 'PTHR14167:SF56', NULL, NULL, NULL, NULL, 'SORBIN AND SH3 DOMAIN-CONTAINING PROTEIN 2', 185784),
(242059, 'PTHR23151:SF57', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE PROTEIN X COMPONENT, MITOCHONDRIAL', 185785),
(242060, 'PTHR13268:SF10', NULL, NULL, NULL, NULL, 'BNAA02G09470D PROTEIN', 185786),
(242061, 'PTHR42825:SF8', NULL, NULL, NULL, NULL, 'METHIONINE AMINOTRANSFERASE BCAT4', 185787),
(242062, 'PTHR34876:SF10', NULL, NULL, NULL, NULL, 'GLUCANASE', 185788),
(242063, 'PTHR10578:SF104', NULL, NULL, NULL, NULL, 'CYTOCHROME B2-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G07020)-RELATED', 185789),
(242064, 'PTHR23053', NULL, NULL, NULL, NULL, 'DLEC1  DELETED IN LUNG AND ESOPHAGEAL CANCER 1', 185790),
(242065, 'PTHR31797:SF3', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN A-RELATED', 185791),
(242066, 'PTHR31311:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 7-RELATED', 185792),
(242067, 'PTHR33590:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM186B', 185793),
(242068, 'PTHR24024:SF34', NULL, NULL, NULL, NULL, 'MANNOSE-BINDING PROTEIN C', 185794),
(242069, 'PTHR11908:SF80', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE/OXIDASE', 185795),
(242070, 'PTHR31674:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185796),
(242071, 'PTHR18847:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR CAP-BINDING PROTEIN SUBUNIT 2', 185797),
(242072, 'PTHR10314:SF96', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE', 185798),
(242073, 'PTHR43735', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 1', 185799),
(242074, 'PTHR10728:SF40', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE', 185800),
(242075, 'PTHR12183:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UBIQUITIN LIGASE ACTIVATOR OF NFKB 1-A', 185801),
(242076, 'PTHR10454:SF157', NULL, NULL, NULL, NULL, 'CASPASE-9', 185802),
(242077, 'PTHR11165:SF138', NULL, NULL, NULL, NULL, 'BNAA09G38250D PROTEIN', 185803),
(242078, 'PTHR23073:SF106', NULL, NULL, NULL, NULL, 'BNAA03G58880D PROTEIN', 185804),
(242079, 'PTHR46676', NULL, NULL, NULL, NULL, 'PROTEIN AMBP', 185805),
(242080, 'PTHR10010', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 34  SODIUM PHOSPHATE , MEMBER 2-RELATED', 185806),
(242081, 'PTHR10903:SF102', NULL, NULL, NULL, NULL, 'OS04G0441600 PROTEIN', 185807),
(242082, 'PTHR32176:SF55', NULL, NULL, NULL, NULL, 'PATATIN', 185808),
(242083, 'PTHR47559', NULL, NULL, NULL, NULL, 'OS03G0844900 PROTEIN', 185809),
(242084, 'PTHR24044:SF473', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', 185810),
(242085, 'PTHR47460:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN ACR4', 185811),
(242086, 'PTHR24381:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 180', 185812),
(242087, 'PTHR11199:SF9', NULL, NULL, NULL, NULL, 'SI:CH211-269E2.1', 185813),
(242088, 'PTHR23152', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE', 185814),
(242089, 'PTHR33548:SF10', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 2', 185815),
(242090, 'PTHR34630:SF31', NULL, NULL, NULL, NULL, 'OS02G0263601 PROTEIN', 185816),
(242091, 'PTHR48048:SF33', NULL, NULL, NULL, NULL, 'ISOFLAVONE 7-O-GLUCOSYLTRANSFERASE 1', 185817),
(242092, 'PTHR14154:SF84', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', 185818),
(242093, 'PTHR11850:SF240', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 6', 185819),
(242094, 'PTHR24067:SF317', NULL, NULL, NULL, NULL, 'BNAANNG34240D PROTEIN', 185820),
(242095, 'PTHR11662:SF279', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 17 MEMBER 9', 185821),
(242096, 'PTHR14212:SF3', NULL, NULL, NULL, NULL, 'BNAA02G06140D PROTEIN', 185822),
(242097, 'PTHR46413:SF12', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', 185823),
(242098, 'PTHR10192:SF24', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN MOEA2', 185824),
(242099, 'PTHR24241:SF131', NULL, NULL, NULL, NULL, 'GASTRIN/CHOLECYSTOKININ TYPE B RECEPTOR', 185825),
(242100, 'PTHR36195:SF7', NULL, NULL, NULL, NULL, 'SECRETED THAUMATIN-LIKE PROTEIN CETA', 185826);
INSERT INTO "PUBLIC"."MODEL" VALUES
(242101, 'PTHR47434:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PTST HOMOLOG 2, CHLOROPLASTIC', 185827),
(242102, 'PTHR31499:SF49', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 185828),
(242103, 'PTHR14826:SF6', NULL, NULL, NULL, NULL, 'ANGIOMOTIN', 185829),
(242104, 'PTHR48030:SF4', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 4', 185830),
(242105, 'PTHR34817', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 185831),
(242106, 'PTHR43210:SF4', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DETHIOBIOTIN SYNTHETASE BIOD 2', 185832),
(242107, 'PTHR23123:SF11', NULL, NULL, NULL, NULL, 'HISTONE LYSINE DEMETHYLASE PHF8', 185833),
(242108, 'PTHR11177:SF362', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 35-RELATED', 185834),
(242109, 'PTHR34800:SF1', NULL, NULL, NULL, NULL, 'TETRAPYRROLE-BINDING PROTEIN, CHLOROPLASTIC', 185835),
(242110, 'PTHR26379:SF392', NULL, NULL, NULL, NULL, 'BNAA02G05190D PROTEIN', 185836),
(242111, 'PTHR32219:SF2', NULL, NULL, NULL, NULL, 'PROTON PUMP-INTERACTOR 1', 185837),
(242112, 'PTHR22437:SF1', NULL, NULL, NULL, NULL, 'STORKHEAD-BOX PROTEIN 1', 185838),
(242113, 'PTHR31636:SF243', NULL, NULL, NULL, NULL, 'NODULATION-SIGNALING PATHWAY 1 PROTEIN-LIKE', 185839),
(242114, 'PTHR19282:SF449', NULL, NULL, NULL, NULL, 'TETRASPANIN', 185840),
(242115, 'PTHR46037:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCER OF SEVENLESS 2B', 185841),
(242116, 'PTHR24390:SF96', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 362', 185842),
(242117, 'PTHR13140:SF773', NULL, NULL, NULL, NULL, 'MYOSIN-6', 185843),
(242118, 'PTHR23409:SF18', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE SUBUNIT M2', 185844),
(242119, 'PTHR36330:SF2', NULL, NULL, NULL, NULL, 'LIPASE/LIPOOXYGENASE, PLAT/LH2 FAMILY PROTEIN', 185845),
(242120, 'PTHR47191:SF2', NULL, NULL, NULL, NULL, 'OS05G0170800 PROTEIN', 185846),
(242121, 'PTHR24223:SF181', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 3', 185847),
(242122, 'PTHR15963:SF1', NULL, NULL, NULL, NULL, 'CYTOHESIN-INTERACTING PROTEIN', 185848),
(242123, 'PTHR20921', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 185849),
(242124, 'PTHR11359:SF7', NULL, NULL, NULL, NULL, 'INACTIVE DEAMINASE YBR284W-RELATED', 185850),
(242125, 'PTHR45770:SF26', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 3', 185851),
(242126, 'PTHR24221:SF200', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', 185852),
(242127, 'PTHR10783:SF93', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 6', 185853),
(242128, 'PTHR35598:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185854),
(242129, 'PTHR27005:SF315', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE PROTEIN', 185855),
(242130, 'PTHR12187', NULL, NULL, NULL, NULL, 'AGAP000124-PA', 185856),
(242131, 'PTHR12067', NULL, NULL, NULL, NULL, 'PODOCALYXIN', 185857),
(242132, 'PTHR22883:SF349', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 185858),
(242133, 'PTHR11071:SF257', NULL, NULL, NULL, NULL, 'NK-TUMOR RECOGNITION PROTEIN', 185859),
(242134, 'PTHR33984:SF10', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN-RELATED', 185860),
(242135, 'PTHR26374:SF345', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN', 185861),
(242136, 'PTHR33921:SF20', NULL, NULL, NULL, NULL, 'OS01G0303000 PROTEIN', 185862),
(242137, 'PTHR10091:SF20', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', 185863),
(242138, 'PTHR12210:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185864),
(242139, 'PTHR26450:SF390', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 185865),
(242140, 'PTHR42647:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 185866),
(242141, 'PTHR32227:SF117', NULL, NULL, NULL, NULL, 'OS09G0502200 PROTEIN', 185867),
(242142, 'PTHR10291:SF30', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE 6', 185868),
(242143, 'PTHR43097:SF12', NULL, NULL, NULL, NULL, 'OS01G0271200 PROTEIN', 185869),
(242144, 'PTHR36307:SF1', NULL, NULL, NULL, NULL, 'FLAGELLA BASAL BODY P-RING FORMATION PROTEIN FLGA', 185870),
(242145, 'PTHR47067', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) PROTEIN FAMILY-RELATED', 185871);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(242146, 'PTHR20857:SF15', NULL, NULL, NULL, NULL, 'THIAMINE BIOSYNTHETIC BIFUNCTIONAL ENZYME', 185872),
(242147, 'PTHR42715:SF12', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE A-RELATED', 185873),
(242148, 'PTHR47958:SF104', NULL, NULL, NULL, NULL, 'SPLICEOSOME RNA HELICASE DDX39B', 185874),
(242149, 'PTHR11384:SF58', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, CONSERVED SITE', 185875),
(242150, 'PTHR31250:SF27', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM5', 185876),
(242151, 'PTHR11932:SF131', NULL, NULL, NULL, NULL, 'CULLIN-2', 185877),
(242152, 'PTHR47863:SF5', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 185878),
(242153, 'PTHR34360:SF11', NULL, NULL, NULL, NULL, 'OS04G0607150 PROTEIN', 185879),
(242154, 'PTHR43895:SF49', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 11', 185880),
(242155, 'PTHR47892:SF1', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN E', 185881),
(242156, 'PTHR48018:SF122', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 185882),
(242157, 'PTHR24343:SF469', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 185883),
(242158, 'PTHR43428:SF1', NULL, NULL, NULL, NULL, 'ARSENATE REDUCTASE', 185884),
(242159, 'PTHR47249', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN 8', 185885),
(242160, 'PTHR45631:SF20', NULL, NULL, NULL, NULL, 'KINASE-TRANSFORMING PROTEIN RAF, PUTATIVE-RELATED', 185886),
(242161, 'PTHR23147:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185887),
(242162, 'PTHR43586:SF19', NULL, NULL, NULL, NULL, 'OS01G0729600 PROTEIN', 185888),
(242163, 'PTHR33304:SF32', NULL, NULL, NULL, NULL, 'CHROMATIN REGULATOR PHD FAMILY-RELATED', 185889),
(242164, 'PTHR45959:SF46', NULL, NULL, NULL, NULL, 'BNAC08G49180D PROTEIN', 185890),
(242165, 'PTHR31048:SF167', NULL, NULL, NULL, NULL, 'BNACNNG66400D PROTEIN', 185891),
(242166, 'PTHR31301:SF106', NULL, NULL, NULL, NULL, 'PROTEIN LATERAL ORGAN BOUNDARIES-LIKE', 185892),
(242167, 'PTHR41161:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NCBP2AS2', 185893),
(242168, 'PTHR47959:SF5', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED NUCLEASE/HELICASE CAS3-RELATED', 185894),
(242169, 'PTHR47295', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN 1-RELATED', 185895),
(242170, 'PTHR45720', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN 2', 185896),
(242171, 'PTHR13647:SF3', NULL, NULL, NULL, NULL, 'INSULIN-LIKE PEPTIDE 1-RELATED', 185897),
(242172, 'PTHR32227:SF389', NULL, NULL, NULL, NULL, 'OS01G0941500 PROTEIN', 185898),
(242173, 'PTHR45625:SF6', NULL, NULL, NULL, NULL, 'SPLICEOSOME-ASSOCIATED PROTEIN CWC27 HOMOLOG', 185899),
(242174, 'PTHR31375:SF249', NULL, NULL, NULL, NULL, 'BNAC04G43570D PROTEIN', 185900),
(242175, 'PTHR12141', NULL, NULL, NULL, NULL, 'ARFAPTIN-RELATED', 185901),
(242176, 'PTHR11129:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185902),
(242177, 'PTHR13301:SF194', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN E1', 185903),
(242178, 'PTHR11064:SF142', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-6', 185904),
(242179, 'PTHR35567:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185905),
(242180, 'PTHR31852:SF31', NULL, NULL, NULL, NULL, 'OS06G0521300 PROTEIN', 185906),
(242181, 'PTHR46237', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 REDUCTASE 4 FAMILY MEMBER', 185907),
(242182, 'PTHR33181:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185908),
(242183, 'PTHR43401:SF1', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE, ZINC-CONTAINING', 185909),
(242184, 'PTHR33646:SF8', NULL, NULL, NULL, NULL, 'OS07G0204100 PROTEIN', 185910),
(242185, 'PTHR31426:SF7', NULL, NULL, NULL, NULL, 'BNACNNG51840D PROTEIN', 185911),
(242186, 'PTHR10828:SF38', NULL, NULL, NULL, NULL, 'ARSENICAL-RESISTANCE PROTEIN 2-RELATED', 185912),
(242187, 'PTHR31734:SF173', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA19', 185913),
(242188, 'PTHR11106:SF107', NULL, NULL, NULL, NULL, 'GANGLIOSIDE-INDUCED DIFFERENTIATION-ASSOCIATED PROTEIN 2-LIKE', 185914),
(242189, 'PTHR33199:SF19', NULL, NULL, NULL, NULL, 'MEMBRANE ATTACK COMPLEX COMPONENT/PERFORIN (MACPF) DOMAIN-CONTAINING PROTEIN-RELATED', 185915);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(242190, 'PTHR14879:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RIFIFYLIN', 185916),
(242191, 'PTHR10501:SF64', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN B''''', 185917),
(242192, 'PTHR27002:SF526', NULL, NULL, NULL, NULL, 'OSJNBA0016N04.16-LIKE PROTEIN', 185918),
(242193, 'PTHR24056:SF343', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 185919),
(242194, 'PTHR33494:SF5', NULL, NULL, NULL, NULL, 'F10A16.6 PROTEIN', 185920),
(242195, 'PTHR31128:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG25559', 185921),
(242196, 'PTHR31280:SF2', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG', 185922),
(242197, 'PTHR36001:SF2', NULL, NULL, NULL, NULL, 'CTAGE FAMILY PROTEIN-RELATED', 185923),
(242198, 'PTHR12136:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185924),
(242199, 'PTHR47956:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185925),
(242200, 'PTHR23420:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185926),
(242201, 'PTHR40039:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DLTD', 185927),
(242202, 'PTHR46710:SF7', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 185928),
(242203, 'PTHR11802:SF370', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 185929),
(242204, 'PTHR18953:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185930),
(242205, 'PTHR11654:SF372', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185931),
(242206, 'PTHR43582', NULL, NULL, NULL, NULL, 'LINEARMYCIN RESISTANCE ATP-BINDING PROTEIN LNRL', 185932),
(242207, 'PTHR24216:SF8', NULL, NULL, NULL, NULL, 'PAXILLIN, ISOFORM F', 185933),
(242208, 'PTHR22765:SF134', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 44', 185934),
(242209, 'PTHR31635:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185935),
(242210, 'PTHR31803:SF10', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE 4, CHLOROPLASTIC/CHROMOPLASTIC', 185936),
(242211, 'PTHR12442', NULL, NULL, NULL, NULL, 'DYNEIN INTERMEDIATE CHAIN', 185937),
(242212, 'PTHR11926:SF998', NULL, NULL, NULL, NULL, 'DIMBOA UDP-GLUCOSYLTRANSFERASE BX9', 185938),
(242213, 'PTHR45905', NULL, NULL, NULL, NULL, 'GOLGI-LOCALIZED, GAMMA-ADAPTIN EAR CONTAINING, ARF BINDING PROTEIN', 185939),
(242214, 'PTHR31621:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185940),
(242215, 'PTHR31048:SF144', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', 185941),
(242216, 'PTHR16172:SF22', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 6-LIKE', 185942),
(242217, 'PTHR12162:SF0', NULL, NULL, NULL, NULL, 'NIBRIN', 185943),
(242218, 'PTHR30319', NULL, NULL, NULL, NULL, 'PHENYLACETIC ACID REGULATOR-RELATED TRANSCRIPTIONAL REPRESSOR', 185944),
(242219, 'PTHR15326:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TAMOZHENNIC', 185945),
(242220, 'PTHR23236:SF67', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 1-LIKE ISOFORM X1', 185946),
(242221, 'PTHR33149:SF15', NULL, NULL, NULL, NULL, 'II D2 PROTEIN, PUTATIVE-RELATED', 185947),
(242222, 'PTHR13350:SF1', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 8', 185948),
(242223, 'PTHR34271:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185949),
(242224, 'PTHR42684:SF16', NULL, NULL, NULL, NULL, 'BNAA05G17410D PROTEIN', 185950),
(242225, 'PTHR11588:SF248', NULL, NULL, NULL, NULL, 'AT04270P', 185951),
(242226, 'PTHR31595:SF48', NULL, NULL, NULL, NULL, 'WAX SYNTHASE-RELATED', 185952),
(242227, 'PTHR19241:SF157', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 3', 185953),
(242228, 'PTHR34940:SF5', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 5 KDA PROTEIN, CHLOROPLASTIC', 185954),
(242229, 'PTHR43206', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', 185955),
(242230, 'PTHR11848', NULL, NULL, NULL, NULL, 'TGF-BETA FAMILY', 185956),
(242231, 'PTHR43156:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE RSBU', 185957),
(242232, 'PTHR14255', NULL, NULL, NULL, NULL, 'CEREBLON', 185958),
(242233, 'PTHR31707:SF211', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 185959),
(242234, 'PTHR23017:SF17', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 185960),
(242235, 'PTHR35495:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185961);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(242236, 'PTHR48219:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 62-RELATED', 185962),
(242237, 'PTHR33107:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185963),
(242238, 'PTHR14695:SF4', NULL, NULL, NULL, NULL, 'PROTEIN NESSUN DORMA', 185964),
(242239, 'PTHR13946:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185965),
(242240, 'PTHR26379:SF369', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185966),
(242241, 'PTHR48017:SF143', NULL, NULL, NULL, NULL, 'OS06G0556000 PROTEIN', 185967),
(242242, 'PTHR31480', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL LYCOPENE CYCLASE/PHYTOENE SYNTHASE', 185968),
(242243, 'PTHR24320:SF227', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 185969),
(242244, 'PTHR23086:SF104', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 7', 185970),
(242245, 'PTHR11079:SF181', NULL, NULL, NULL, NULL, 'BNAANNG23340D PROTEIN', 185971),
(242246, 'PTHR42902:SF4', NULL, NULL, NULL, NULL, 'MALATE SYNTHASE', 185972),
(242247, 'PTHR15462', NULL, NULL, NULL, NULL, 'SERINE PROTEASE', 185973),
(242248, 'PTHR42878:SF3', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN SRRB', 185974),
(242249, 'PTHR47992:SF99', NULL, NULL, NULL, NULL, 'CATALYTIC/PROTEIN PHOSPHATASE TYPE 2C', 185975),
(242250, 'PTHR35765', NULL, NULL, NULL, NULL, 'OS05G0569200 PROTEIN', 185976),
(242251, 'PTHR24220:SF669', NULL, NULL, NULL, NULL, 'FLUOROQUINOLONES EXPORT ATP-BINDING PROTEIN RV2688C', 185977),
(242252, 'PTHR13832', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C', 185978),
(242253, 'PTHR14484:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 71L', 185979),
(242254, 'PTHR23351:SF51', NULL, NULL, NULL, NULL, 'SI:DKEY-23I12.7', 185980),
(242255, 'PTHR12718:SF2', NULL, NULL, NULL, NULL, 'SPLICEOSOME-ASSOCIATED PROTEIN CWC15 HOMOLOG', 185981),
(242256, 'PTHR24012:SF686', NULL, NULL, NULL, NULL, 'CUGBP ELAV-LIKE FAMILY MEMBER 1', 185982),
(242257, 'PTHR48020:SF25', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05830)-RELATED', 185983),
(242258, 'PTHR34222:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185984),
(242259, 'PTHR45635:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG09342', 185985),
(242260, 'PTHR47980:SF29', NULL, NULL, NULL, NULL, 'RABX4', 185986),
(242261, 'PTHR31313:SF78', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', 185987),
(242262, 'PTHR46399:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185988),
(242263, 'PTHR36483:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185989),
(242264, 'PTHR31874:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185990),
(242265, 'PTHR34132:SF9', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN', 185991),
(242266, 'PTHR45647:SF112', NULL, NULL, NULL, NULL, 'BNAA06G16210D PROTEIN', 185992),
(242267, 'PTHR18896:SF155', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D C', 185993),
(242268, 'PTHR32149:SF2', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G6C', 185994),
(242269, 'PTHR35666:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 4921536K21', 185995),
(242270, 'PTHR24044:SF472', NULL, NULL, NULL, NULL, 'PROTEIN EYES SHUT HOMOLOG', 185996),
(242271, 'PTHR43709', NULL, NULL, NULL, NULL, 'ACONITATE ISOMERASE-RELATED', 185997),
(242272, 'PTHR11465:SF26', NULL, NULL, NULL, NULL, 'CATALASE 2', 185998),
(242273, 'PTHR12354:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 185999),
(242274, 'PTHR31033', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 186000),
(242275, 'PTHR10631:SF5', NULL, NULL, NULL, NULL, 'TRNA (GUANINE(26)-N(2))-DIMETHYLTRANSFERASE', 186001),
(242276, 'PTHR17630:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186002),
(242277, 'PTHR22796:SF7', NULL, NULL, NULL, NULL, 'SI:DKEY-202L22.6', 186003),
(242278, 'PTHR33164:SF58', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR HPR', 186004),
(242279, 'PTHR46773:SF6', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING PROTEIN-LIKE', 186005),
(242280, 'PTHR32285:SF67', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 186006);
INSERT INTO "PUBLIC"."MODEL" VALUES
(242281, 'PTHR15813:SF10', NULL, NULL, NULL, NULL, 'SORTING NEXIN-24', 186007),
(242282, 'PTHR33437:SF2', NULL, NULL, NULL, NULL, 'OS06G0361200 PROTEIN', 186008),
(242283, 'PTHR47115', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 183', 186009),
(242284, 'PTHR35585:SF1', NULL, NULL, NULL, NULL, 'HHE DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G00730)', 186010),
(242285, 'PTHR23359:SF208', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', 186011),
(242286, 'PTHR24068:SF63', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 E3', 186012),
(242287, 'PTHR12847:SF16', NULL, NULL, NULL, NULL, 'ADAPTIN EAR-BINDING COAT-ASSOCIATED PROTEIN 2', 186013),
(242288, 'PTHR46033:SF36', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-LIKE, PLANT MOBILE DOMAIN FAMILY PROTEIN', 186014),
(242289, 'PTHR33830:SF25', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 128-RELATED', 186015),
(242290, 'PTHR33697', NULL, NULL, NULL, NULL, 'T17B22.17 PROTEIN-RELATED', 186016),
(242291, 'PTHR13006:SF9', NULL, NULL, NULL, NULL, 'GLUCOSE TRANSPORTER 4 ENHANCER FACTOR, ISOFORM G', 186017),
(242292, 'PTHR48044:SF46', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 186018),
(242293, 'PTHR45646:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AFC2', 186019),
(242294, 'PTHR32382:SF66', NULL, NULL, NULL, NULL, 'BNACNNG49680D PROTEIN', 186020),
(242295, 'PTHR46160', NULL, NULL, NULL, NULL, 'ALPHA-TECTORIN-RELATED', 186021),
(242296, 'PTHR10351:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3', 186022),
(242297, 'PTHR24301:SF2', NULL, NULL, NULL, NULL, 'THROMBOXANE-A SYNTHASE', 186023),
(242298, 'PTHR34797:SF4', NULL, NULL, NULL, NULL, 'OS02G0821900 PROTEIN', 186024),
(242299, 'PTHR10404:SF26', NULL, NULL, NULL, NULL, 'TRANSFERRIN RECEPTOR PROTEIN 1', 186025),
(242300, 'PTHR31460', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 186026),
(242301, 'PTHR19965:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186027),
(242302, 'PTHR16079:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CHFR', 186028),
(242303, 'PTHR43999:SF2', NULL, NULL, NULL, NULL, 'BNAA03G01870D PROTEIN', 186029),
(242304, 'PTHR44259:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186030),
(242305, 'PTHR44086:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186031),
(242306, 'PTHR34049:SF9', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', 186032),
(242307, 'PTHR46186:SF6', NULL, NULL, NULL, NULL, 'CYSTATIN-C', 186033),
(242308, 'PTHR31003:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HHO3', 186034),
(242309, 'PTHR11937:SF195', NULL, NULL, NULL, NULL, 'BETA-CENTRACTIN', 186035),
(242310, 'PTHR22769:SF56', NULL, NULL, NULL, NULL, '8-OXO-DGDP PHOSPHATASE NUDT18', 186036),
(242311, 'PTHR43539:SF12', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA8-RELATED', 186037),
(242312, 'PTHR47521', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)-RELATED', 186038),
(242313, 'PTHR24414:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186039),
(242314, 'PTHR39767', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-BINDING MEMBRANE PROTEIN PCM4-RELATED', 186040),
(242315, 'PTHR47926:SF290', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186041),
(242316, 'PTHR24296:SF205', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 186042),
(242317, 'PTHR46277:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186043),
(242318, 'PTHR46061:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBR-NPR-20', 186044),
(242319, 'PTHR31430', NULL, NULL, NULL, NULL, 'PROTEIN CBG22332-RELATED', 186045),
(242320, 'PTHR12259:SF1', NULL, NULL, NULL, NULL, 'GH21964P', 186046),
(242321, 'PTHR31839:SF42', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1F-LIKE', 186047),
(242322, 'PTHR47978:SF12', NULL, NULL, NULL, NULL, 'OS03G0843100 PROTEIN', 186048),
(242323, 'PTHR31972:SF46', NULL, NULL, NULL, NULL, 'DUF868 FAMILY PROTEIN (DUF868)', 186049),
(242324, 'PTHR43053:SF9', NULL, NULL, NULL, NULL, 'ALPHA-XYLOSIDASE', 186050),
(242325, 'PTHR16059:SF11', NULL, NULL, NULL, NULL, 'ANTHRAX TOXIN RECEPTOR 1', 186051),
(242326, 'PTHR10394:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', 186052);
INSERT INTO "PUBLIC"."MODEL" VALUES
(242327, 'PTHR30595:SF12', NULL, NULL, NULL, NULL, 'BLR7860 PROTEIN', 186053),
(242328, 'PTHR31071:SF8', NULL, NULL, NULL, NULL, 'INTRACELLULAR PROTEIN TRANSPORT PROTEIN USO1-RELATED', 186054),
(242329, 'PTHR39385', NULL, NULL, NULL, NULL, 'PROTEIN CBG20422', 186055),
(242330, 'PTHR23503:SF109', NULL, NULL, NULL, NULL, 'FI08437P-RELATED', 186056),
(242331, 'PTHR10009:SF13', NULL, NULL, NULL, NULL, 'YELLOW-H', 186057),
(242332, 'PTHR47928:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186058),
(242333, 'PTHR11595:SF26', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-DELTA', 186059),
(242334, 'PTHR23268:SF20', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 7-2', 186060),
(242335, 'PTHR33144:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186061),
(242336, 'PTHR45968:SF33', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE, FAD/NAD(P)-BINDING DOMAIN PROTEIN-RELATED', 186062),
(242337, 'PTHR43979', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 17', 186063),
(242338, 'PTHR47982:SF36', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK7', 186064),
(242339, 'PTHR31721:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186065),
(242340, 'PTHR33659', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED-RELATED', 186066),
(242341, 'PTHR20920:SF5', NULL, NULL, NULL, NULL, 'SOMATOMEDIN-B AND THROMBOSPONDIN TYPE-1 DOMAIN-CONTAINING PROTEIN-LIKE PROTEIN', 186067),
(242342, 'PTHR18966:SF394', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR FAMILY (AMPA)', 186068),
(242343, 'PTHR15021:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN BASONUCLIN-1', 186069),
(242344, 'PTHR32285:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186070),
(242345, 'PTHR34709:SF18', NULL, NULL, NULL, NULL, 'OS07G0547200 PROTEIN', 186071),
(242346, 'PTHR47381:SF2', NULL, NULL, NULL, NULL, 'ESTERASE YITV-RELATED', 186072),
(242347, 'PTHR31563:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186073),
(242348, 'PTHR19854:SF16', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 1A', 186074),
(242349, 'PTHR10407:SF10', NULL, NULL, NULL, NULL, 'HUNTINGTIN-INTERACTING PROTEIN 1-RELATED PROTEIN', 186075),
(242350, 'PTHR43570:SF11', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 186076),
(242351, 'PTHR11929:SF217', NULL, NULL, NULL, NULL, 'ALPHA 1,3 FUCOSYLTRANSFERASE-RELATED', 186077),
(242352, 'PTHR47993:SF74', NULL, NULL, NULL, NULL, 'BNAANNG10990D PROTEIN', 186078),
(242353, 'PTHR15478:SF12', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN FAMILY A MEMBER 3', 186079),
(242354, 'PTHR36587', NULL, NULL, NULL, NULL, 'EXPRESSION SITE-ASSOCIATED GENE 3 (ESAG3)-LIKE PROTEIN', 186080),
(242355, 'PTHR24298:SF611', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A2-LIKE', 186081),
(242356, 'PTHR47990:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186082),
(242357, 'PTHR13282:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186083),
(242358, 'PTHR11220:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186084),
(242359, 'PTHR22838:SF4', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 13', 186085),
(242360, 'PTHR31973:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186086),
(242361, 'PTHR11895:SF149', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT A, MITOCHONDRIAL', 186087),
(242362, 'PTHR10366:SF670', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', 186088),
(242363, 'PTHR10426:SF101', NULL, NULL, NULL, NULL, 'BNACNNG49900D PROTEIN', 186089),
(242364, 'PTHR48032:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186090),
(242365, 'PTHR36511:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 186091),
(242366, 'PTHR43518', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE BETA SUBUNIT', 186092),
(242367, 'PTHR30060', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN', 186093),
(242368, 'PTHR36036:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', 186094),
(242369, 'PTHR33511:SF27', NULL, NULL, NULL, NULL, 'BNAA05G31450D PROTEIN', 186095),
(242370, 'PTHR10783:SF111', NULL, NULL, NULL, NULL, 'SPX DOMAIN, EXS-RELATED', 186096); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(242371, 'PTHR47926:SF212', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 186097),
(242372, 'PTHR10816:SF17', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 2-BINDING PROTEIN 1', 186098),
(242373, 'PTHR48047:SF18', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 186099),
(242374, 'PTHR11977:SF25', NULL, NULL, NULL, NULL, 'VILLIN-1', 186100),
(242375, 'PTHR35322:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CPR-5', 186101),
(242376, 'PTHR10804:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186102),
(242377, 'PTHR23070:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186103),
(242378, 'PTHR24339:SF37', NULL, NULL, NULL, NULL, 'E5', 186104),
(242379, 'PTHR33459:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186105),
(242380, 'PTHR48056:SF24', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERECTA', 186106),
(242381, 'PTHR11758', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15A', 186107),
(242382, 'PTHR46893', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 186108),
(242383, 'PTHR11654:SF444', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.4', 186109),
(242384, 'PTHR33172:SF46', NULL, NULL, NULL, NULL, 'OS08G0516900 PROTEIN', 186110),
(242385, 'PTHR11689:SF149', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', 186111),
(242386, 'PTHR47982:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE PROTEIN-RELATED', 186112),
(242387, 'PTHR47553:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-11', 186113),
(242388, 'PTHR47972:SF9', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14D ISOFORM X1', 186114),
(242389, 'PTHR32054:SF6', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT 1', 186115),
(242390, 'PTHR24056:SF130', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 6', 186116),
(242391, 'PTHR24074:SF37', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BINDING PROTEIN', 186117),
(242392, 'PTHR19364', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY Q PROTEIN', 186118),
(242393, 'PTHR11969:SF4', NULL, NULL, NULL, NULL, 'MAX DIMERIZATION PROTEIN 4', 186119),
(242394, 'PTHR24062:SF25', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 186120),
(242395, 'PTHR11362:SF44', NULL, NULL, NULL, NULL, 'PROTEIN CBG05964', 186121),
(242396, 'PTHR47976:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 186122),
(242397, 'PTHR21277:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER 1', 186123),
(242398, 'PTHR14950:SF63', NULL, NULL, NULL, NULL, 'RIBONUCLEASE III-RELATED', 186124),
(242399, 'PTHR12435:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KTI12 HOMOLOG', 186125),
(242400, 'PTHR33663:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186126),
(242401, 'PTHR11064:SF9', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT BETA', 186127),
(242402, 'PTHR11062:SF107', NULL, NULL, NULL, NULL, 'OS10G0459700 PROTEIN', 186128),
(242403, 'PTHR27009:SF187', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 186129),
(242404, 'PTHR31793:SF4', NULL, NULL, NULL, NULL, 'OS02G0659700 PROTEIN', 186130),
(242405, 'PTHR31332', NULL, NULL, NULL, NULL, '7-HYDROXYMETHYL CHLOROPHYLL A REDUCTASE, CHLOROPLASTIC', 186131),
(242406, 'PTHR16223:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186132),
(242407, 'PTHR35100:SF1', NULL, NULL, NULL, NULL, 'FOLD PROTEIN', 186133),
(242408, 'PTHR11453:SF108', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 7-RELATED', 186134),
(242409, 'PTHR41786:SF1', NULL, NULL, NULL, NULL, 'MOTILITY ACCESSORY FACTOR MAF', 186135),
(242410, 'PTHR33052:SF125', NULL, NULL, NULL, NULL, 'BNAC05G14040D PROTEIN', 186136),
(242411, 'PTHR43163:SF4', NULL, NULL, NULL, NULL, 'PUTRESCINE EXPORT SYSTEM PERMEASE PROTEIN SAPB', 186137),
(242412, 'PTHR10666:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186138),
(242413, 'PTHR47965:SF51', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 186139),
(242414, 'PTHR10183:SF393', NULL, NULL, NULL, NULL, 'CALPAIN 12', 186140),
(242415, 'PTHR20544:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186141);
INSERT INTO "PUBLIC"."MODEL" VALUES
(242416, 'PTHR33181:SF23', NULL, NULL, NULL, NULL, 'OSJNBA0041A02.21 PROTEIN', 186142),
(242417, 'PTHR21656', NULL, NULL, NULL, NULL, 'MALE-SPECIFIC LETHAL-1 PROTEIN', 186143),
(242418, 'PTHR23192:SF33', NULL, NULL, NULL, NULL, 'MYOCILIN', 186144),
(242419, 'PTHR24381:SF272', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 3 HOMOLOG', 186145),
(242420, 'PTHR47977:SF48', NULL, NULL, NULL, NULL, 'RAB_A59 PROTEIN', 186146),
(242421, 'PTHR45898:SF2', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 6', 186147),
(242422, 'PTHR13581:SF5', NULL, NULL, NULL, NULL, 'MRG/MORF4L-BINDING PROTEIN', 186148),
(242423, 'PTHR11760:SF39', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S3, CHLOROPLASTIC', 186149),
(242424, 'PTHR11588:SF239', NULL, NULL, NULL, NULL, 'TUBULIN-LIKE PROTEIN ALPHA-4B-RELATED', 186150),
(242425, 'PTHR15608', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF-ASSOCIATED PROTEIN 2', 186151),
(242426, 'PTHR39962:SF1', NULL, NULL, NULL, NULL, 'BLL4848 PROTEIN', 186152),
(242427, 'PTHR11593:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17', 186153),
(242428, 'PTHR45933:SF24', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 3-LIKE', 186154),
(242429, 'PTHR31001:SF54', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR', 186155),
(242430, 'PTHR12232', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING GLUTAMIC ACID-RICH-LIKE PROTEIN', 186156),
(242431, 'PTHR10352:SF56', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', 186157),
(242432, 'PTHR10615:SF82', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT8', 186158),
(242433, 'PTHR48007:SF18', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN-RELATED', 186159),
(242434, 'PTHR22951:SF75', NULL, NULL, NULL, NULL, 'CLATHRIN COAT ASSEMBLY PROTEIN AP180', 186160),
(242435, 'PTHR24103:SF362', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN RFP', 186161),
(242436, 'PTHR32467:SF179', NULL, NULL, NULL, NULL, 'AP2 DOMAIN TRANSCRIPTION FACTOR', 186162),
(242437, 'PTHR45707:SF29', NULL, NULL, NULL, NULL, 'OS04G0472900 PROTEIN', 186163),
(242438, 'PTHR10113:SF26', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1-3-LIKE', 186164),
(242439, 'PTHR33077:SF81', NULL, NULL, NULL, NULL, 'BNAA09G26390D PROTEIN', 186165),
(242440, 'PTHR13068:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186166),
(242441, 'PTHR46412:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BIM3', 186167),
(242442, 'PTHR22750:SF25', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 185 A-RELATED', 186168),
(242443, 'PTHR11937:SF162', NULL, NULL, NULL, NULL, 'ACTIN, INDIRECT FLIGHT MUSCLE-LIKE PROTEIN', 186169),
(242444, 'PTHR27009:SF262', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 37', 186170),
(242445, 'PTHR43939:SF37', NULL, NULL, NULL, NULL, 'GRIP AND COILED-COIL DOMAIN-CONTAINING PROTEIN C27D7.02C', 186171),
(242446, 'PTHR47248:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08654', 186172),
(242447, 'PTHR47016:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPT2, CHLOROPLASTIC', 186173),
(242448, 'PTHR12281:SF23', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN 3', 186174),
(242449, 'PTHR10562', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', 186175),
(242450, 'PTHR43952:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186176),
(242451, 'PTHR46443:SF12', NULL, NULL, NULL, NULL, 'ZF-FLZ DOMAIN-CONTAINING PROTEIN-RELATED', 186177),
(242452, 'PTHR10811:SF1', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE RADICAL FRINGE', 186178),
(242453, 'PTHR10057:SF4', NULL, NULL, NULL, NULL, 'TRANSLOCATOR PROTEIN 2', 186179),
(242454, 'PTHR43289:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186180),
(242455, 'PTHR45710:SF15', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 2 MEMBER B', 186181),
(242456, 'PTHR24015:SF526', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186182),
(242457, 'PTHR45684:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186183),
(242458, 'PTHR21649:SF127', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 186184); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(242459, 'PTHR47932:SF24', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 186185),
(242460, 'PTHR37389:SF17', NULL, NULL, NULL, NULL, 'BNAC03G23240D PROTEIN', 186186),
(242461, 'PTHR10285:SF143', NULL, NULL, NULL, NULL, 'NICOTINAMIDE RIBOSIDE KINASE 2', 186187),
(242462, 'PTHR11736:SF49', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 1', 186188),
(242463, 'PTHR11559:SF361', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 1E', 186189),
(242464, 'PTHR48018:SF62', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 881', 186190),
(242465, 'PTHR15196:SF0', NULL, NULL, NULL, NULL, 'CILIARY NEUROTROPHIC FACTOR', 186191),
(242466, 'PTHR23003:SF33', NULL, NULL, NULL, NULL, 'OS08G0117100 PROTEIN', 186192),
(242467, 'PTHR23239:SF96', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 9', 186193),
(242468, 'PTHR11877:SF46', NULL, NULL, NULL, NULL, 'TYPE III POLYKETIDE SYNTHASE A', 186194),
(242469, 'PTHR12900', NULL, NULL, NULL, NULL, 'MITOTIC AND DNA DAMAGE CHECKPOINT PROTEIN HUS1', 186195),
(242470, 'PTHR31985:SF158', NULL, NULL, NULL, NULL, 'BNAA07G31860D PROTEIN', 186196),
(242471, 'PTHR46891:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG04978', 186197),
(242472, 'PTHR11453:SF98', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 6-RELATED', 186198),
(242473, 'PTHR30521:SF0', NULL, NULL, NULL, NULL, 'DYE-DECOLORIZING PEROXIDASE YFEX', 186199),
(242474, 'PTHR38926:SF42', NULL, NULL, NULL, NULL, 'BNAA09G10910D PROTEIN', 186200),
(242475, 'PTHR47926:SF176', NULL, NULL, NULL, NULL, 'OS01G0815900 PROTEIN', 186201),
(242476, 'PTHR10795:SF668', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE PROTEASE', 186202),
(242477, 'PTHR24089:SF348', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE TRANSPORTER BT1, CHLOROPLASTIC/MITOCHONDRIAL', 186203),
(242478, 'PTHR31300:SF31', NULL, NULL, NULL, NULL, 'LIPASE', 186204),
(242479, 'PTHR46735:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186205),
(242480, 'PTHR45580:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG05369', 186206),
(242481, 'PTHR48104:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186207),
(242482, 'PTHR27009:SF247', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186208),
(242483, 'PTHR30136:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 186209),
(242484, 'PTHR32246:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186210),
(242485, 'PTHR24302:SF31', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 3A7', 186211),
(242486, 'PTHR11717', NULL, NULL, NULL, NULL, 'LOW MOLECULAR WEIGHT PROTEIN TYROSINE PHOSPHATASE', 186212),
(242487, 'PTHR23036:SF173', NULL, NULL, NULL, NULL, 'INTERLEUKIN 6 RECEPTOR', 186213),
(242488, 'PTHR48063:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186214),
(242489, 'PTHR12786:SF2', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3A SUBUNIT 3', 186215),
(242490, 'PTHR31929:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186216),
(242491, 'PTHR10334:SF466', NULL, NULL, NULL, NULL, 'OS02G0786500 PROTEIN', 186217),
(242492, 'PTHR32243', NULL, NULL, NULL, NULL, 'MALTOSE TRANSPORT SYSTEM PERMEASE-RELATED', 186218),
(242493, 'PTHR34223:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186219),
(242494, 'PTHR43574:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186220),
(242495, 'PTHR44259:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186221),
(242496, 'PTHR24060:SF24', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 6', 186222),
(242497, 'PTHR31213:SF144', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE 2-LIKE', 186223),
(242498, 'PTHR38225:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186224),
(242499, 'PTHR23147:SF193', NULL, NULL, NULL, NULL, 'BNAA06G00410D PROTEIN', 186225),
(242500, 'PTHR16517:SF126', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 13', 186226),
(242501, 'PTHR33527', NULL, NULL, NULL, NULL, 'OS07G0274300 PROTEIN', 186227),
(242502, 'PTHR46776:SF13', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR-RELATED', 186228),
(242503, 'PTHR31104:SF4', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA-GLUCOSAMINYL)ASPARAGINE AMIDASE A PROTEIN', 186229);
INSERT INTO "PUBLIC"."MODEL" VALUES
(242504, 'PTHR23413:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32-1-RELATED', 186230),
(242505, 'PTHR35035:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186231),
(242506, 'PTHR47958:SF55', NULL, NULL, NULL, NULL, 'BNAC03G41130D PROTEIN', 186232),
(242507, 'PTHR23073:SF111', NULL, NULL, NULL, NULL, 'BNAA08G13550D PROTEIN', 186233),
(242508, 'PTHR47074:SF11', NULL, NULL, NULL, NULL, 'BNAC02G40300D PROTEIN', 186234),
(242509, 'PTHR45847:SF3', NULL, NULL, NULL, NULL, 'FATTY-ACID AMIDE HYDROLASE 1', 186235),
(242510, 'PTHR11439:SF318', NULL, NULL, NULL, NULL, 'TOUSLED-LIKE KINASE 1', 186236),
(242511, 'PTHR12610:SF23', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN 2', 186237),
(242512, 'PTHR10742:SF350', NULL, NULL, NULL, NULL, 'SPERMINE OXIDASE', 186238),
(242513, 'PTHR12560:SF18', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 3', 186239),
(242514, 'PTHR46031:SF21', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 1-LIKE ISOFORM X1', 186240),
(242515, 'PTHR33463:SF57', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', 186241),
(242516, 'PTHR20837', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN-RELATED', 186242),
(242517, 'PTHR32246:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186243),
(242518, 'PTHR12166:SF6', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT SECRETION ACTIVATOR 1', 186244),
(242519, 'PTHR10759:SF10', NULL, NULL, NULL, NULL, 'BNAA08G19980D PROTEIN', 186245),
(242520, 'PTHR23315:SF262', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 15-LIKE', 186246),
(242521, 'PTHR11945:SF478', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 58', 186247),
(242522, 'PTHR37740', NULL, NULL, NULL, NULL, 'OS02G0193500 PROTEIN', 186248),
(242523, 'PTHR38169', NULL, NULL, NULL, NULL, 'OS12G0178300 PROTEIN', 186249),
(242524, 'PTHR20852:SF93', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE CYTOSOLIC ISOZYME 1-4', 186250),
(242525, 'PTHR10218:SF196', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-8 SUBUNIT-RELATED', 186251),
(242526, 'PTHR12650:SF30', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S30', 186252),
(242527, 'PTHR12387:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186253),
(242528, 'PTHR18849:SF3', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 23, ISOFORM CRA_A', 186254),
(242529, 'PTHR31718:SF24', NULL, NULL, NULL, NULL, 'WOUND/STRESS PROTEIN', 186255),
(242530, 'PTHR12677:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186256),
(242531, 'PTHR11709:SF211', NULL, NULL, NULL, NULL, 'LACCASE', 186257),
(242532, 'PTHR13301:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186258),
(242533, 'PTHR45085:SF7', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN ISOFORM 1', 186259),
(242534, 'PTHR24559:SF382', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186260),
(242535, 'PTHR10480', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG', 186261),
(242536, 'PTHR10900:SF117', NULL, NULL, NULL, NULL, 'BLL5191 PROTEIN', 186262),
(242537, 'PTHR23155:SF1102', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', 186263),
(242538, 'PTHR32096:SF71', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 69-RELATED', 186264),
(242539, 'PTHR24637:SF319', NULL, NULL, NULL, NULL, 'COLLAGEN', 186265),
(242540, 'PTHR32468:SF131', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 19-RELATED', 186266),
(242541, 'PTHR48010:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 186267),
(242542, 'PTHR24157', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT, SAM AND BASIC LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN 1', 186268),
(242543, 'PTHR10057:SF18', NULL, NULL, NULL, NULL, 'BNAC04G00110D PROTEIN', 186269),
(242544, 'PTHR20921:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 222', 186270),
(242545, 'PTHR20275:SF38', NULL, NULL, NULL, NULL, 'BNAA01G25380D PROTEIN', 186271),
(242546, 'PTHR48001:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186272),
(242547, 'PTHR31282:SF148', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 15-RELATED', 186273),
(242548, 'PTHR10746', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L4', 186274);
INSERT INTO "PUBLIC"."MODEL" VALUES
(242549, 'PTHR14974:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186275),
(242550, 'PTHR34125', NULL, NULL, NULL, NULL, 'OS01G0762900 PROTEIN', 186276),
(242551, 'PTHR11017:SF316', NULL, NULL, NULL, NULL, 'BNAC05G19440D PROTEIN', 186277),
(242552, 'PTHR37165', NULL, NULL, NULL, NULL, 'PEPTIDASE U56 FAMILY', 186278),
(242553, 'PTHR24356:SF330', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C', 186279),
(242554, 'PTHR31204:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186280),
(242555, 'PTHR47778:SF2', NULL, NULL, NULL, NULL, 'BNAA05G14870D PROTEIN', 186281),
(242556, 'PTHR33178:SF13', NULL, NULL, NULL, NULL, 'BNAA02G05750D PROTEIN', 186282),
(242557, 'PTHR38693:SF1', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS PROTEIN UBIJ', 186283),
(242558, 'PTHR21041:SF9', NULL, NULL, NULL, NULL, 'DC-STAMP DOMAIN-CONTAINING PROTEIN 2-LIKE PROTEIN', 186284),
(242559, 'PTHR31674:SF41', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM11-RELATED', 186285),
(242560, 'PTHR31251:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186286),
(242561, 'PTHR48040:SF18', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3-LIKE', 186287),
(242562, 'PTHR45274:SF2', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 186288),
(242563, 'PTHR11640:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186289),
(242564, 'PTHR44573:SF1', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALKENAL/ONE OXIDOREDUCTASE, CHLOROPLASTIC', 186290),
(242565, 'PTHR11908:SF144', NULL, NULL, NULL, NULL, 'BNAA09G00610D PROTEIN', 186291),
(242566, 'PTHR48043:SF77', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 186292),
(242567, 'PTHR11680:SF35', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE, CYTOSOLIC', 186293),
(242568, 'PTHR46050:SF20', NULL, NULL, NULL, NULL, 'INACTIVE TPR REPEAT-CONTAINING THIOREDOXIN TTL3-LIKE', 186294),
(242569, 'PTHR46509', NULL, NULL, NULL, NULL, 'PHOSPHOADENOSINE PHOSPHOSULFATE REDUCTASE', 186295),
(242570, 'PTHR31048:SF155', NULL, NULL, NULL, NULL, 'BNAANNG19340D PROTEIN', 186296),
(242571, 'PTHR31458:SF12', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-1 NON-CATALYTIC SUBUNIT BETA-LIKE', 186297),
(242572, 'PTHR31383', NULL, NULL, NULL, NULL, 'OXIDATIVE STRESS-RESPONSE SERINE-RICH PROTEIN 1', 186298),
(242573, 'PTHR28632:SF9', NULL, NULL, NULL, NULL, 'F9L1.21 PROTEIN', 186299),
(242574, 'PTHR35162', NULL, NULL, NULL, NULL, 'OS08G0516600 PROTEIN', 186300),
(242575, 'PTHR24412:SF403', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 8', 186301),
(242576, 'PTHR11753:SF5', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', 186302),
(242577, 'PTHR16830', NULL, NULL, NULL, NULL, 'SH2 CONTAINING ADAPTOR PRAM-1 RELATED', 186303),
(242578, 'PTHR24192:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 40', 186304),
(242579, 'PTHR33021:SF307', NULL, NULL, NULL, NULL, 'BNAC04G05190D PROTEIN', 186305),
(242580, 'PTHR25462:SF279', NULL, NULL, NULL, NULL, 'RET FINGER PROTEIN-LIKE 3', 186306),
(242581, 'PTHR23262:SF151', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-1-RELATED', 186307),
(242582, 'PTHR47993:SF41', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', 186308),
(242583, 'PTHR23036:SF29', NULL, NULL, NULL, NULL, 'INTERLEUKIN-11 RECEPTOR SUBUNIT ALPHA', 186309),
(242584, 'PTHR16087:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 206', 186310),
(242585, 'PTHR45669:SF27', NULL, NULL, NULL, NULL, 'BNAA08G29960D PROTEIN', 186311),
(242586, 'PTHR22893:SF107', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE-LIKE PROTEIN 1-RELATED', 186312),
(242587, 'PTHR11937:SF427', NULL, NULL, NULL, NULL, 'ACTIN-7-LIKE', 186313),
(242588, 'PTHR32448:SF13', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN', 186314),
(242589, 'PTHR11937:SF464', NULL, NULL, NULL, NULL, 'ACTIN-8', 186315),
(242590, 'PTHR11506:SF30', NULL, NULL, NULL, NULL, 'LYSOSOME-ASSOCIATED MEMBRANE GLYCOPROTEIN 3', 186316),
(242591, 'PTHR15241:SF333', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 3, MITOCHONDRIAL', 186317),
(242592, 'PTHR24349:SF406', NULL, NULL, NULL, NULL, 'BNAC03G40790D PROTEIN', 186318);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(242593, 'PTHR28144', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 5', 186319),
(242594, 'PTHR26453:SF109', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6Y1', 186320),
(242595, 'PTHR23510:SF21', NULL, NULL, NULL, NULL, '(SYG1/PHO81/XPR1) DOMAIN PROTEIN MFS TRANSPORTER, PUTATIVE-RELATED', 186321),
(242596, 'PTHR42721:SF38', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 3 C-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', 186322),
(242597, 'PTHR31790:SF305', NULL, NULL, NULL, NULL, 'BNAC03G47180D PROTEIN', 186323),
(242598, 'PTHR11537:SF24', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 1', 186324),
(242599, 'PTHR31683:SF70', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 186325),
(242600, 'PTHR42838:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT II', 186326),
(242601, 'PTHR31992:SF162', NULL, NULL, NULL, NULL, 'ZINC FINGER, DOF-TYPE-RELATED', 186327),
(242602, 'PTHR35127:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186328),
(242603, 'PTHR11802:SF64', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE 2-RELATED', 186329),
(242604, 'PTHR32009:SF72', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', 186330),
(242605, 'PTHR11817:SF102', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 186331),
(242606, 'PTHR47713:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX-DDT DOMAIN PROTEIN RLT1-LIKE ISOFORM X1', 186332),
(242607, 'PTHR48002:SF110', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 186333),
(242608, 'PTHR24034:SF98', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR', 186334),
(242609, 'PTHR22298:SF159', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 186335),
(242610, 'PTHR11618:SF24', NULL, NULL, NULL, NULL, 'OS03G0193600 PROTEIN', 186336),
(242611, 'PTHR31937', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 163', 186337),
(242612, 'PTHR24390:SF79', NULL, NULL, NULL, NULL, 'LD31554P-RELATED', 186338),
(242613, 'PTHR13850', NULL, NULL, NULL, NULL, 'PLEIOTROPHIN FAMILY MEMBER', 186339),
(242614, 'PTHR45692:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186340),
(242615, 'PTHR10177:SF62', NULL, NULL, NULL, NULL, 'CYCLIN-J', 186341),
(242616, 'PTHR24068:SF248', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 35', 186342),
(242617, 'PTHR46264:SF8', NULL, NULL, NULL, NULL, 'BNAANNG11300D PROTEIN', 186343),
(242618, 'PTHR11177:SF308', NULL, NULL, NULL, NULL, 'CHITINASE-RELATED', 186344),
(242619, 'PTHR35697:SF10', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK2', 186345),
(242620, 'PTHR12131:SF10', NULL, NULL, NULL, NULL, 'POLYMERASE THETA (HELICASE DOMAIN ONLY), PUTATIVE-RELATED', 186346),
(242621, 'PTHR11780:SF11', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN 1, MITOCHONDRIAL', 186347),
(242622, 'PTHR23338:SF42', NULL, NULL, NULL, NULL, 'SM-LIKE PROTEIN LSM4', 186348),
(242623, 'PTHR24020:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186349),
(242624, 'PTHR18640:SF12', NULL, NULL, NULL, NULL, 'SODIUM/METABOLITE COTRANSPORTER BASS4, CHLOROPLASTIC-RELATED', 186350),
(242625, 'PTHR43014', NULL, NULL, NULL, NULL, 'MERCURIC REDUCTASE', 186351),
(242626, 'PTHR48206', NULL, NULL, NULL, NULL, 'CHLOROPLAST SENSOR KINASE, CHLOROPLASTIC', 186352),
(242627, 'PTHR45657:SF41', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', 186353),
(242628, 'PTHR38705', NULL, NULL, NULL, NULL, 'PROTEIN RDS1', 186354),
(242629, 'PTHR45871:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186355),
(242630, 'PTHR22945:SF94', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', 186356),
(242631, 'PTHR43895:SF39', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE KINASE 2', 186357),
(242632, 'PTHR47956:SF85', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D9-LIKE', 186358),
(242633, 'PTHR33127:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186359),
(242634, 'PTHR45634:SF9', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 7', 186360),
(242635, 'PTHR31264:SF10', NULL, NULL, NULL, NULL, 'EXPANSIN', 186361),
(242636, 'PTHR10177:SF476', NULL, NULL, NULL, NULL, 'BNAC06G40620D PROTEIN', 186362);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(242637, 'PTHR31391:SF98', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR 7', 186363),
(242638, 'PTHR31929:SF102', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR21-LIKE', 186364),
(242639, 'PTHR31325:SF97', NULL, NULL, NULL, NULL, 'OS05G0508500 PROTEIN', 186365),
(242640, 'PTHR22911:SF79', NULL, NULL, NULL, NULL, 'CYSTINE TRANSPORTER YIJE-RELATED', 186366),
(242641, 'PTHR33254:SF22', NULL, NULL, NULL, NULL, '4-HYDROXY-4-METHYL-2-OXOGLUTARATE ALDOLASE', 186367),
(242642, 'PTHR31985:SF175', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF037', 186368),
(242643, 'PTHR11618:SF64', NULL, NULL, NULL, NULL, 'CYCLIN/BRF1-LIKE TBP-BINDING PROTEIN', 186369),
(242644, 'PTHR46446:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE6', 186370),
(242645, 'PTHR31391:SF115', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM16', 186371),
(242646, 'PTHR12356:SF32', NULL, NULL, NULL, NULL, 'BNAC01G20510D PROTEIN', 186372),
(242647, 'PTHR31875:SF24', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 5', 186373),
(242648, 'PTHR38808', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 95', 186374),
(242649, 'PTHR11875:SF110', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1,4', 186375),
(242650, 'PTHR31631:SF13', NULL, NULL, NULL, NULL, 'KINASE INTERACTING (KIP1-LIKE) FAMILY PROTEIN', 186376),
(242651, 'PTHR23226:SF287', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 629', 186377),
(242652, 'PTHR12357:SF89', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CONSERVED C-TERMINAL REGION 5', 186378),
(242653, 'PTHR10383:SF44', NULL, NULL, NULL, NULL, 'SERINC-DOMAIN CONTAINING SERINE AND SPHINGOLIPID BIOSYNTHESIS PROTEIN', 186379),
(242654, 'PTHR11127:SF11', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L14, PUTATIVE-RELATED', 186380),
(242655, 'PTHR23511:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', 186381),
(242656, 'PTHR14971', NULL, NULL, NULL, NULL, 'VESICULAR, OVEREXPRESSED IN CANCER, PROSURVIVAL PROTEIN 1', 186382),
(242657, 'PTHR24243:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186383),
(242658, 'PTHR10825:SF73', NULL, NULL, NULL, NULL, 'AGAP006402-PA', 186384),
(242659, 'PTHR31225:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186385),
(242660, 'PTHR34672:SF10', NULL, NULL, NULL, NULL, 'BNAANNG40690D PROTEIN', 186386),
(242661, 'PTHR48011:SF68', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 21', 186387),
(242662, 'PTHR11039', NULL, NULL, NULL, NULL, 'NEBULIN', 186388),
(242663, 'PTHR45614:SF130', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 186389),
(242664, 'PTHR31734:SF171', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 186390),
(242665, 'PTHR22550', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN', 186391),
(242666, 'PTHR33346:SF27', NULL, NULL, NULL, NULL, 'DEHYDRIN', 186392),
(242667, 'PTHR43718:SF13', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG', 186393),
(242668, 'PTHR33801:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186394),
(242669, 'PTHR39643', NULL, NULL, NULL, NULL, 'CCA-ADDING ENZYME', 186395),
(242670, 'PTHR45752:SF93', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 5', 186396),
(242671, 'PTHR14550', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 109', 186397),
(242672, 'PTHR15486:SF62', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 2-RELATED', 186398),
(242673, 'PTHR45841:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186399),
(242674, 'PTHR11200:SF158', NULL, NULL, NULL, NULL, 'SYNAPTOJANIN-1', 186400),
(242675, 'PTHR31221:SF215', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING PROTEIN 58-RELATED', 186401),
(242676, 'PTHR35833:SF1', NULL, NULL, NULL, NULL, 'GALACTOSE-BINDING DOMAIN-LIKE, ARMADILLO-TYPE FOLD PROTEIN-RELATED', 186402),
(242677, 'PTHR46822:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL ALPHA-HELICAL ROD PROTEIN 1', 186403),
(242678, 'PTHR47632:SF1', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', 186404),
(242679, 'PTHR10174:SF212', NULL, NULL, NULL, NULL, 'MIP26555P1', 186405); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(242680, 'PTHR43450', NULL, NULL, NULL, NULL, 'ASPARTYL-TRNA SYNTHETASE', 186406),
(242681, 'PTHR24223:SF230', NULL, NULL, NULL, NULL, 'OSJNBB0022P19.1 PROTEIN', 186407),
(242682, 'PTHR32004', NULL, NULL, NULL, NULL, 'TRNA LIGASE', 186408),
(242683, 'PTHR26450:SF148', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 186409),
(242684, 'PTHR31702', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 33', 186410),
(242685, 'PTHR11200:SF188', NULL, NULL, NULL, NULL, 'INOSITOL 5-PHOSPHATASE', 186411),
(242686, 'PTHR10252:SF100', NULL, NULL, NULL, NULL, 'OS05G0304800 PROTEIN', 186412),
(242687, 'PTHR10120:SF27', NULL, NULL, NULL, NULL, 'CAAX PRENYL PROTEASE', 186413),
(242688, 'PTHR33710:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186414),
(242689, 'PTHR31636:SF276', NULL, NULL, NULL, NULL, 'GIBBERELLIN-RESPONSIVE PROTEIN, PUTATIVE-RELATED', 186415),
(242690, 'PTHR24221:SF526', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186416),
(242691, 'PTHR43039:SF9', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE-RELATED', 186417),
(242692, 'PTHR26450:SF167', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51E1', 186418),
(242693, 'PTHR33883:SF8', NULL, NULL, NULL, NULL, 'WPP DOMAIN-ASSOCIATED PROTEIN-LIKE ISOFORM X1', 186419),
(242694, 'PTHR11085:SF37', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT HISTONE DEACETYLASE HST3', 186420),
(242695, 'PTHR22930:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186421),
(242696, 'PTHR13301:SF145', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D1', 186422),
(242697, 'PTHR11474:SF113', NULL, NULL, NULL, NULL, 'TYROSINASE (AFU_ORTHOLOGUE AFUA_1G17430)', 186423),
(242698, 'PTHR20873', NULL, NULL, NULL, NULL, 'L-SERYL-TRNA(SEC) KINASE', 186424),
(242699, 'PTHR24281:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186425),
(242700, 'PTHR47997:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 186426),
(242701, 'PTHR43320:SF1', NULL, NULL, NULL, NULL, 'CARBOHYDRATE KINASE-LIKE', 186427),
(242702, 'PTHR23023:SF221', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 186428),
(242703, 'PTHR43416:SF31', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE SUCCINYLTRANSFERASE COMPONENT OF 2-OXOGLUTARATE DEHYDROGENASE COMPLEX 1, MITOCHONDRIAL-RELATED', 186429),
(242704, 'PTHR24012:SF811', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 186430),
(242705, 'PTHR48061:SF11', NULL, NULL, NULL, NULL, 'OS12G0212366 PROTEIN', 186431),
(242706, 'PTHR46192:SF13', NULL, NULL, NULL, NULL, 'HISTIDINE PHOSPHATASE SUPERFAMILY-RELATED', 186432),
(242707, 'PTHR35524', NULL, NULL, NULL, NULL, 'ALPHA-ACETOLACTATE DECARBOXYLASE', 186433),
(242708, 'PTHR46507:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-286B5.4', 186434),
(242709, 'PTHR11452:SF61', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE B-RELATED', 186435),
(242710, 'PTHR43329:SF2', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 4', 186436),
(242711, 'PTHR14523:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-260C8.8', 186437),
(242712, 'PTHR31301:SF156', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', 186438),
(242713, 'PTHR45650:SF47', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 186439),
(242714, 'PTHR15241:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186440),
(242715, 'PTHR11738:SF163', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 1', 186441),
(242716, 'PTHR31384:SF99', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', 186442),
(242717, 'PTHR12125:SF9', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 27', 186443),
(242718, 'PTHR23233:SF46', NULL, NULL, NULL, NULL, 'SAL-LIKE PROTEIN 3', 186444),
(242719, 'PTHR11941:SF129', NULL, NULL, NULL, NULL, 'OS02G0654000 PROTEIN', 186445),
(242720, 'PTHR31232:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186446),
(242721, 'PTHR11161:SF55', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 186447),
(242722, 'PTHR24009:SF30', NULL, NULL, NULL, NULL, 'BNAC03G44090D PROTEIN', 186448),
(242723, 'PTHR27007:SF326', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', 186449),
(242724, 'PTHR47807', NULL, NULL, NULL, NULL, 'PROTEIN TBF1', 186450);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(242725, 'PTHR12447:SF23', NULL, NULL, NULL, NULL, 'BNAA09G03520D PROTEIN', 186451),
(242726, 'PTHR45773:SF6', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE PROTEIN 3', 186452),
(242727, 'PTHR47946:SF7', NULL, NULL, NULL, NULL, 'CYP78A13', 186453),
(242728, 'PTHR47213:SF1', NULL, NULL, NULL, NULL, 'OS07G0567300 PROTEIN', 186454),
(242729, 'PTHR46128:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186455),
(242730, 'PTHR10811:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186456),
(242731, 'PTHR33026:SF5', NULL, NULL, NULL, NULL, 'OS06G0360600 PROTEIN', 186457),
(242732, 'PTHR11945:SF656', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', 186458),
(242733, 'PTHR46949:SF2', NULL, NULL, NULL, NULL, 'LEUCINE REPEAT ADAPTER PROTEIN 25', 186459),
(242734, 'PTHR42973:SF40', NULL, NULL, NULL, NULL, 'BINDING OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14630)-RELATED', 186460),
(242735, 'PTHR15327', NULL, NULL, NULL, NULL, 'MICROFIBRIL-ASSOCIATED PROTEIN', 186461),
(242736, 'PTHR33413:SF27', NULL, NULL, NULL, NULL, 'BNAC03G48170D PROTEIN', 186462),
(242737, 'PTHR11945:SF594', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 46', 186463),
(242738, 'PTHR10476:SF51', NULL, NULL, NULL, NULL, 'ESCRT-RELATED PROTEIN CHMP1', 186464),
(242739, 'PTHR31942:SF49', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 8', 186465),
(242740, 'PTHR48017:SF150', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1D', 186466),
(242741, 'PTHR13683:SF731', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1', 186467),
(242742, 'PTHR31663:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 3B', 186468),
(242743, 'PTHR13345:SF6', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 27', 186469),
(242744, 'PTHR21272:SF3', NULL, NULL, NULL, NULL, 'CATABOLIC 3-DEHYDROQUINASE', 186470),
(242745, 'PTHR12843:SF12', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE 102587567', 186471),
(242746, 'PTHR11795:SF450', NULL, NULL, NULL, NULL, 'BRANCHED AMINO ACID TRANSPORT SYSTEM PERMEASE-RELATED', 186472),
(242747, 'PTHR31238:SF161', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 3 MEMBER 1', 186473),
(242748, 'PTHR46873:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 186474),
(242749, 'PTHR15910', NULL, NULL, NULL, NULL, 'ARCHAEMETZINCIN', 186475),
(242750, 'PTHR46015:SF1', NULL, NULL, NULL, NULL, 'ZGC:172121', 186476),
(242751, 'PTHR31566', NULL, NULL, NULL, NULL, 'CYTOCHROME C BIOGENESIS PROTEIN CCS1, CHLOROPLASTIC', 186477),
(242752, 'PTHR33498', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS1557', 186478),
(242753, 'PTHR31963:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER CONSTANS-LIKE PROTEIN (DUF3537)', 186479),
(242754, 'PTHR47615:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 158', 186480),
(242755, 'PTHR20997', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 186481),
(242756, 'PTHR11958:SF98', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT EXCITATORY AMINO ACID TRANSPORTER GLT-4-RELATED', 186482),
(242757, 'PTHR10887:SF468', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', 186483),
(242758, 'PTHR11062:SF321', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 186484),
(242759, 'PTHR31692:SF9', NULL, NULL, NULL, NULL, 'EXPANSIN-B4', 186485),
(242760, 'PTHR47174:SF1', NULL, NULL, NULL, NULL, 'REDUCED VIABILITY UPON STARVATION PROTEIN 167', 186486),
(242761, 'PTHR11746:SF160', NULL, NULL, NULL, NULL, 'NARINGENIN 7-O-METHYLTRANSFERASE', 186487),
(242762, 'PTHR24215:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186488),
(242763, 'PTHR46106:SF5', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE N2', 186489),
(242764, 'PTHR45868:SF2', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 33', 186490),
(242765, 'PTHR10809:SF58', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 4-2', 186491),
(242766, 'PTHR44102:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186492),
(242767, 'PTHR24330:SF7', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN BARH-LIKE 2', 186493);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(242768, 'PTHR24014:SF12', NULL, NULL, NULL, NULL, 'BNAA08G20710D PROTEIN', 186494),
(242769, 'PTHR21659:SF22', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE PROTEOLIPID 3', 186495),
(242770, 'PTHR46351', NULL, NULL, NULL, NULL, 'WOUND-INDUCED PROTEIN WIN2', 186496),
(242771, 'PTHR22893:SF91', NULL, NULL, NULL, NULL, 'N-ETHYLMALEIMIDE REDUCTASE', 186497),
(242772, 'PTHR13528:SF2', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L28, MITOCHONDRIAL', 186498),
(242773, 'PTHR33463:SF95', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN', 186499),
(242774, 'PTHR22849:SF146', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PUB22', 186500),
(242775, 'PTHR10209:SF724', NULL, NULL, NULL, NULL, 'BNAC05G01950D PROTEIN', 186501),
(242776, 'PTHR13774:SF33', NULL, NULL, NULL, NULL, 'BNAC03G30570D PROTEIN', 186502),
(242777, 'PTHR35351:SF1', NULL, NULL, NULL, NULL, 'GERMINAL CENTER-ASSOCIATED SIGNALING AND MOTILITY-LIKE PROTEIN', 186503),
(242778, 'PTHR32246:SF124', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', 186504),
(242779, 'PTHR13452:SF13', NULL, NULL, NULL, NULL, 'OS02G0672400 PROTEIN', 186505),
(242780, 'PTHR24242:SF225', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 186506),
(242781, 'PTHR31118:SF12', NULL, NULL, NULL, NULL, 'CYCLASE-LIKE PROTEIN 2', 186507),
(242782, 'PTHR15217', NULL, NULL, NULL, NULL, 'WILMS'' TUMOR 1-ASSOCIATING PROTEIN', 186508),
(242783, 'PTHR33088:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186509),
(242784, 'PTHR14017', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE', 186510),
(242785, 'PTHR11706:SF84', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP3', 186511),
(242786, 'PTHR31072:SF165', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP FAMILY-RELATED', 186512),
(242787, 'PTHR43736:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSE PYROPHOSPHATASE', 186513),
(242788, 'PTHR32278:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186514),
(242789, 'PTHR38815:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED, DUF373 FAMILY', 186515),
(242790, 'PTHR31657:SF40', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF062', 186516),
(242791, 'PTHR43715', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 4,6-DEHYDRATASE', 186517),
(242792, 'PTHR31062:SF45', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLYCOSYLASE/HYDROLASE PROTEIN 8', 186518),
(242793, 'PTHR28165:SF1', NULL, NULL, NULL, NULL, 'NON-CLASSICAL EXPORT PROTEIN 2-RELATED', 186519),
(242794, 'PTHR48111:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RSTA', 186520),
(242795, 'PTHR12810', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S29', 186521),
(242796, 'PTHR12632:SF50', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-8', 186522),
(242797, 'PTHR14454', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED AND REGULATOR OF MAPK PROTEIN FAMILY MEMBER', 186523),
(242798, 'PTHR43719:SF12', NULL, NULL, NULL, NULL, 'PHYTOCHROME B-RELATED', 186524),
(242799, 'PTHR27000:SF221', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE', 186525),
(242800, 'PTHR24418:SF423', NULL, NULL, NULL, NULL, 'NON-SPECIFIC PROTEIN-TYROSINE KINASE-RELATED', 186526),
(242801, 'PTHR48004:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186527),
(242802, 'PTHR26379:SF393', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 4-LIKE', 186528),
(242803, 'PTHR10910:SF106', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE DOMAIN-CONTAINING PROTEIN 2', 186529),
(242804, 'PTHR10352', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', 186530),
(242805, 'PTHR13031:SF0', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P30', 186531),
(242806, 'PTHR12468:SF2', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 2', 186532),
(242807, 'PTHR10288:SF97', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING PROTEIN 2', 186533),
(242808, 'PTHR45657:SF31', NULL, NULL, NULL, NULL, 'OS02G0440900 PROTEIN', 186534),
(242809, 'PTHR15350:SF7', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 7A', 186535),
(242810, 'PTHR13935:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186536);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(242811, 'PTHR11921:SF41', NULL, NULL, NULL, NULL, '4FE-4S FERREDOXIN IRON-SULFUR BINDING DOMAIN PROTEIN', 186537),
(242812, 'PTHR47718:SF1', NULL, NULL, NULL, NULL, 'OS01G0519700 PROTEIN', 186538),
(242813, 'PTHR10807:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186539),
(242814, 'PTHR22761:SF41', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 4B-LIKE PROTEIN CHMP4BP1-RELATED', 186540),
(242815, 'PTHR36020', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 186541),
(242816, 'PTHR24028:SF86', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A9', 186542),
(242817, 'PTHR12181:SF58', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE PAH1-LIKE ISOFORM X1', 186543),
(242818, 'PTHR19321:SF38', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 4', 186544),
(242819, 'PTHR14269:SF42', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROLPHOSPHATE SYNTHASE', 186545),
(242820, 'PTHR21733:SF19', NULL, NULL, NULL, NULL, 'DOWNSTREAM OF DAF-16 (REGULATED BY DAF-16)', 186546),
(242821, 'PTHR33491:SF26', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-LIKE', 186547),
(242822, 'PTHR33115:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186548),
(242823, 'PTHR31642:SF235', NULL, NULL, NULL, NULL, 'CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN', 186549),
(242824, 'PTHR36707', NULL, NULL, NULL, NULL, 'T20M3.17 PROTEIN', 186550),
(242825, 'PTHR32208:SF81', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH, BETA-PROPELLER-RELATED', 186551),
(242826, 'PTHR31623:SF60', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', 186552),
(242827, 'PTHR47928:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186553),
(242828, 'PTHR30251:SF5', NULL, NULL, NULL, NULL, 'FIMBRIAL CHAPARONE PROTEIN-RELATED', 186554),
(242829, 'PTHR14399:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186555),
(242830, 'PTHR10344:SF3', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE 2, MITOCHONDRIAL', 186556),
(242831, 'PTHR24241:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186557),
(242832, 'PTHR31314:SF115', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RL9-RELATED', 186558),
(242833, 'PTHR37250:SF1', NULL, NULL, NULL, NULL, 'OS05G0496000 PROTEIN', 186559),
(242834, 'PTHR12652:SF19', NULL, NULL, NULL, NULL, 'YALI0D25498P', 186560),
(242835, 'PTHR21016:SF7', NULL, NULL, NULL, NULL, 'TM2 DOMAIN-CONTAINING PROTEIN 3', 186561),
(242836, 'PTHR19343:SF1', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 29/DELTA VARIABLE 5', 186562),
(242837, 'PTHR24223:SF368', NULL, NULL, NULL, NULL, 'BILE ACID TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 186563),
(242838, 'PTHR11289', NULL, NULL, NULL, NULL, 'BREAST CANCER TYPE 2 SUSCEPTIBILITY PROTEIN BRCA2', 186564),
(242839, 'PTHR47025', NULL, NULL, NULL, NULL, 'AUTOIMMUNE REGULATOR', 186565),
(242840, 'PTHR46824:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186566),
(242841, 'PTHR11709:SF375', NULL, NULL, NULL, NULL, 'BNAA03G00510D PROTEIN', 186567),
(242842, 'PTHR22762:SF154', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 31 PROTEIN ISOFORM 3', 186568),
(242843, 'PTHR15907:SF107', NULL, NULL, NULL, NULL, 'PLAC8 ONZIN-RELATED PROTEIN 6', 186569),
(242844, 'PTHR22776:SF4', NULL, NULL, NULL, NULL, 'PROTEOLIPID PROTEIN 2', 186570),
(242845, 'PTHR31375:SF168', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', 186571),
(242846, 'PTHR19446:SF444', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186572),
(242847, 'PTHR35004:SF8', NULL, NULL, NULL, NULL, 'INTEGRASE PROTEIN-RELATED', 186573),
(242848, 'PTHR31681:SF40', NULL, NULL, NULL, NULL, 'BNAC06G29870D PROTEIN', 186574),
(242849, 'PTHR31224:SF2', NULL, NULL, NULL, NULL, 'UNC119-BINDING PROTEIN C5ORF30', 186575),
(242850, 'PTHR13890:SF49', NULL, NULL, NULL, NULL, 'BNAC02G43190D PROTEIN', 186576),
(242851, 'PTHR31241:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186577),
(242852, 'PTHR24092:SF169', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 186578),
(242853, 'PTHR42920:SF5', NULL, NULL, NULL, NULL, 'OS03G0707200 PROTEIN', 186579),
(242854, 'PTHR33727:SF17', NULL, NULL, NULL, NULL, 'BNAANNG31340D PROTEIN', 186580);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(242855, 'PTHR23113:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186581),
(242856, 'PTHR47498', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 2 MEMBER L', 186582),
(242857, 'PTHR44586', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', 186583),
(242858, 'PTHR12840:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 8, MITOCHONDRIAL', 186584),
(242859, 'PTHR21649:SF111', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 4, CHLOROPLASTIC', 186585),
(242860, 'PTHR47094:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF4-LIKE', 186586),
(242861, 'PTHR40588:SF1', NULL, NULL, NULL, NULL, 'MRNA INTERFERASE TOXIN YAFQ', 186587),
(242862, 'PTHR45648:SF23', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', 186588),
(242863, 'PTHR11850:SF82', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 9', 186589),
(242864, 'PTHR11176:SF40', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', 186590),
(242865, 'PTHR20859:SF79', NULL, NULL, NULL, NULL, 'INTERLEUKIN 10 RECEPTOR, BETA', 186591),
(242866, 'PTHR31656:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186592),
(242867, 'PTHR33470:SF17', NULL, NULL, NULL, NULL, 'PISTIL-SPECIFIC EXTENSIN-LIKE PROTEIN', 186593),
(242868, 'PTHR37326:SF2', NULL, NULL, NULL, NULL, 'SUCCINYLGLUTAMATE DESUCCINYLASE/ASPARTOACYLASE FAMILY PROTEIN', 186594),
(242869, 'PTHR24393', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 186595),
(242870, 'PTHR32091:SF17', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B3', 186596),
(242871, 'PTHR35021:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186597),
(242872, 'PTHR10666:SF296', NULL, NULL, NULL, NULL, 'UBIQUITIN-NEDD8-LIKE PROTEIN RUB2', 186598),
(242873, 'PTHR11545:SF19', NULL, NULL, NULL, NULL, 'OS07G0109500 PROTEIN', 186599),
(242874, 'PTHR31084:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186600),
(242875, 'PTHR10029:SF10', NULL, NULL, NULL, NULL, 'GEO08407P1', 186601),
(242876, 'PTHR11685:SF336', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 186602),
(242877, 'PTHR34268:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186603),
(242878, 'PTHR48021:SF71', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 14', 186604),
(242879, 'PTHR48009:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 186605),
(242880, 'PTHR46631:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', 186606),
(242881, 'PTHR21017:SF14', NULL, NULL, NULL, NULL, 'PROTEIN NIPSNAP HOMOLOG 2', 186607),
(242882, 'PTHR33601:SF22', NULL, NULL, NULL, NULL, 'PROTEIN LITTLE ZIPPER 1', 186608),
(242883, 'PTHR33384:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186609),
(242884, 'PTHR13677:SF0', NULL, NULL, NULL, NULL, 'LD41638P', 186610),
(242885, 'PTHR15283', NULL, NULL, NULL, NULL, 'GREMLIN 1', 186611),
(242886, 'PTHR32285:SF198', NULL, NULL, NULL, NULL, 'XYLAN O-ACETYLTRANSFERASE 6', 186612),
(242887, 'PTHR21087:SF22', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE 2, CHLOROPLASTIC', 186613),
(242888, 'PTHR47323:SF1', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', 186614),
(242889, 'PTHR28152', NULL, NULL, NULL, NULL, 'HYDROXYACYL-THIOESTER DEHYDRATASE TYPE 2, MITOCHONDRIAL', 186615),
(242890, 'PTHR11709:SF366', NULL, NULL, NULL, NULL, 'LACCASE', 186616),
(242891, 'PTHR10201:SF7', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-23', 186617),
(242892, 'PTHR45863:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', 186618),
(242893, 'PTHR46882:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY N MEMBER 1', 186619),
(242894, 'PTHR24206:SF82', NULL, NULL, NULL, NULL, 'ZINC FINGER, LIM-TYPE-RELATED', 186620),
(242895, 'PTHR46506:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186621),
(242896, 'PTHR24339:SF59', NULL, NULL, NULL, NULL, 'C. ELEGANS HOMEOBOX', 186622),
(242897, 'PTHR32116:SF81', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 186623),
(242898, 'PTHR23505:SF68', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', 186624); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(242899, 'PTHR43991:SF30', NULL, NULL, NULL, NULL, 'OS08G0408200 PROTEIN', 186625),
(242900, 'PTHR13526', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPT20 HOMOLOG', 186626),
(242901, 'PTHR24070:SF392', NULL, NULL, NULL, NULL, 'ZGC:55558', 186627),
(242902, 'PTHR22874:SF12', NULL, NULL, NULL, NULL, 'BNAA08G27710D PROTEIN', 186628),
(242903, 'PTHR47382:SF3', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 186629),
(242904, 'PTHR32227:SF59', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', 186630),
(242905, 'PTHR11915:SF429', NULL, NULL, NULL, NULL, 'ALPHA-ACTININ-2', 186631),
(242906, 'PTHR10315:SF86', NULL, NULL, NULL, NULL, 'OS01G0125100 PROTEIN', 186632),
(242907, 'PTHR24418:SF295', NULL, NULL, NULL, NULL, 'ACTIVATED CDC42 KINASE-LIKE', 186633),
(242908, 'PTHR11669:SF52', NULL, NULL, NULL, NULL, 'OS10G0574500 PROTEIN', 186634),
(242909, 'PTHR34408:SF1', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', 186635),
(242910, 'PTHR10201:SF155', NULL, NULL, NULL, NULL, 'PROTEIN CBG23191', 186636),
(242911, 'PTHR31446:SF22', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE/VANADIUM-DEPENDENT HALOPEROXIDASE-RELATED PROTEIN', 186637),
(242912, 'PTHR20920:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-178E17.3', 186638),
(242913, 'PTHR46296', NULL, NULL, NULL, NULL, 'BNAA05G37250D PROTEIN', 186639),
(242914, 'PTHR10615', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', 186640),
(242915, 'PTHR22957:SF444', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186641),
(242916, 'PTHR13890:SF44', NULL, NULL, NULL, NULL, 'BNAC04G29360D PROTEIN', 186642),
(242917, 'PTHR10615:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN UBI-D4', 186643),
(242918, 'PTHR47461:SF6', NULL, NULL, NULL, NULL, 'BNAA02G10560D PROTEIN', 186644),
(242919, 'PTHR47243', NULL, NULL, NULL, NULL, 'SIALOADHESIN', 186645),
(242920, 'PTHR13145:SF2', NULL, NULL, NULL, NULL, 'OS08G0100400 PROTEIN', 186646),
(242921, 'PTHR23402:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG19464', 186647),
(242922, 'PTHR12533:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR OF ACTIVATED T-CELLS, CYTOPLASMIC 3', 186648),
(242923, 'PTHR26452:SF248', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 12', 186649),
(242924, 'PTHR22941:SF19', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 186650),
(242925, 'PTHR12322:SF100', NULL, NULL, NULL, NULL, 'PROTEIN DOUBLESEX', 186651),
(242926, 'PTHR18966:SF519', NULL, NULL, NULL, NULL, 'SI:CH211-251B21.1', 186652),
(242927, 'PTHR11260:SF503', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE29', 186653),
(242928, 'PTHR10992:SF1002', NULL, NULL, NULL, NULL, 'ESTERASE PIR7A-RELATED', 186654),
(242929, 'PTHR11206:SF304', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 186655),
(242930, 'PTHR44419:SF13', NULL, NULL, NULL, NULL, 'NADPH-PROTOCHLOROPHYLLIDE OXIDOREDUCTASE', 186656),
(242931, 'PTHR32141:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186657),
(242932, 'PTHR11442:SF42', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT BETA', 186658),
(242933, 'PTHR23023:SF226', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 186659),
(242934, 'PTHR24064:SF525', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-2', 186660),
(242935, 'PTHR12378:SF63', NULL, NULL, NULL, NULL, 'BNAA08G03660D PROTEIN', 186661),
(242936, 'PTHR11709:SF288', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE HOMOLOG', 186662),
(242937, 'PTHR46809:SF7', NULL, NULL, NULL, NULL, 'MIR MOTIF, GLYCOSYLTRANSFERASE 39-LIKE PROTEIN-RELATED', 186663),
(242938, 'PTHR12307:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186664),
(242939, 'PTHR10797:SF7', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 3-RELATED', 186665),
(242940, 'PTHR31895:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG02724', 186666),
(242941, 'PTHR32080:SF53', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 186667),
(242942, 'PTHR47251:SF1', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G04180)-RELATED', 186668),
(242943, 'PTHR31945:SF62', NULL, NULL, NULL, NULL, 'BNAC08G40490D PROTEIN', 186669);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(242944, 'PTHR10736:SF31', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 14', 186670),
(242945, 'PTHR31415:SF74', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY-RELATED', 186671),
(242946, 'PTHR34733', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 186672),
(242947, 'PTHR24414:SF92', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN', 186673),
(242948, 'PTHR48018:SF131', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8J2', 186674),
(242949, 'PTHR37771', NULL, NULL, NULL, NULL, 'OS02G0593400 PROTEIN', 186675),
(242950, 'PTHR23315:SF239', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 186676),
(242951, 'PTHR46814:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186677),
(242952, 'PTHR46778', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1-RELATED', 186678),
(242953, 'PTHR31396:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM163B', 186679),
(242954, 'PTHR36795', NULL, NULL, NULL, NULL, 'OS01G0938400 PROTEIN', 186680),
(242955, 'PTHR23430:SF37', NULL, NULL, NULL, NULL, 'CORE HISTONE MACRO-H2A.2', 186681),
(242956, 'PTHR46374:SF2', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 6', 186682),
(242957, 'PTHR11711:SF339', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR D1A-RELATED', 186683),
(242958, 'PTHR45799:SF2', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 186684),
(242959, 'PTHR24278:SF30', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GAMMA-CARBOXYGLUTAMIC ACID PROTEIN 2', 186685),
(242960, 'PTHR23074:SF19', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A1', 186686),
(242961, 'PTHR48107:SF7', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALDEHYDE REDUCTASE-LIKE PROTEIN, CHLOROPLASTIC', 186687),
(242962, 'PTHR10797:SF60', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 9-RELATED', 186688),
(242963, 'PTHR22792:SF137', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 6B', 186689),
(242964, 'PTHR43825:SF1', NULL, NULL, NULL, NULL, 'TRANSKETOLASE C-TERMINAL SECTION-RELATED', 186690),
(242965, 'PTHR46828:SF2', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-RELATED', 186691),
(242966, 'PTHR45763:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186692),
(242967, 'PTHR33755:SF4', NULL, NULL, NULL, NULL, 'GLL1910 PROTEIN', 186693),
(242968, 'PTHR31929:SF129', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', 186694),
(242969, 'PTHR47924:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186695),
(242970, 'PTHR10795:SF724', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.3', 186696),
(242971, 'PTHR43795:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186697),
(242972, 'PTHR13847:SF260', NULL, NULL, NULL, NULL, 'FAD DEPENDENT OXIDOREDUCTASE SUPERFAMILY (AFU_ORTHOLOGUE AFUA_8G05850)', 186698),
(242973, 'PTHR33870:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186699),
(242974, 'PTHR17271:SF9', NULL, NULL, NULL, NULL, 'MYOSIN PHOSPHATASE RHO-INTERACTING PROTEIN', 186700),
(242975, 'PTHR10972:SF53', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 1', 186701),
(242976, 'PTHR31920:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186702),
(242977, 'PTHR33490:SF1', NULL, NULL, NULL, NULL, 'SLL1233 PROTEIN', 186703),
(242978, 'PTHR34048:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186704),
(242979, 'PTHR45631:SF87', NULL, NULL, NULL, NULL, 'BNAC02G17040D PROTEIN', 186705),
(242980, 'PTHR32266:SF11', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE', 186706),
(242981, 'PTHR18860:SF107', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN 16R-RELATED', 186707),
(242982, 'PTHR31062:SF241', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 186708),
(242983, 'PTHR31048:SF114', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN FAMILY PROTEIN', 186709),
(242984, 'PTHR43810:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG06177', 186710),
(242985, 'PTHR46396:SF1', NULL, NULL, NULL, NULL, 'PROTEIN O-LINKED-MANNOSE BETA-1,2-N-ACETYLGLUCOSAMINYLTRANSFERASE 1', 186711),
(242986, 'PTHR31922', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 215', 186712);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(242987, 'PTHR48104:SF33', NULL, NULL, NULL, NULL, 'ZINC FINGER, LSD1-TYPE, CASPASE-LIKE DOMAIN PROTEIN-RELATED', 186713),
(242988, 'PTHR47015:SF2', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A MEMBER 5', 186714),
(242989, 'PTHR10288:SF259', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING-LIKE PROTEIN', 186715),
(242990, 'PTHR22811:SF141', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24BETA3-LIKE', 186716),
(242991, 'PTHR24241:SF74', NULL, NULL, NULL, NULL, 'ARGININE VASOPRESSIN RECEPTOR 2 (NEPHROGENIC DIABETES INSIPIDUS), GENE 2', 186717),
(242992, 'PTHR45958:SF15', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 186718),
(242993, 'PTHR33070:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186719),
(242994, 'PTHR43952:SF35', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 1', 186720),
(242995, 'PTHR35607', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN 10', 186721),
(242996, 'PTHR23024:SF424', NULL, NULL, NULL, NULL, 'SI:DKEY-193C22.1', 186722),
(242997, 'PTHR30540:SF10', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 8', 186723),
(242998, 'PTHR36890:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CYCLOPS', 186724),
(242999, 'PTHR10641:SF1252', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186725),
(243000, 'PTHR18896:SF162', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 186726),
(243001, 'PTHR36978:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186727),
(243002, 'PTHR18945:SF856', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT BETA', 186728),
(243003, 'PTHR23226:SF67', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS 4', 186729),
(243004, 'PTHR12011', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR', 186730),
(243005, 'PTHR24061:SF506', NULL, NULL, NULL, NULL, 'SI:CH1073-155H21.1', 186731),
(243006, 'PTHR45699:SF8', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', 186732),
(243007, 'PTHR45881:SF3', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN K2', 186733),
(243008, 'PTHR10992:SF1022', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186734),
(243009, 'PTHR47000:SF3', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 186735),
(243010, 'PTHR31673:SF9', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 5', 186736),
(243011, 'PTHR47649:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE D', 186737),
(243012, 'PTHR11829:SF211', NULL, NULL, NULL, NULL, 'GENE 5294-RELATED', 186738),
(243013, 'PTHR36540', NULL, NULL, NULL, NULL, 'PYRIMIDINE/PURINE NUCLEOSIDE PHOSPHORYLASE', 186739),
(243014, 'PTHR35613', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 186740),
(243015, 'PTHR23048', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN 1, 3', 186741),
(243016, 'PTHR45752:SF97', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 186742),
(243017, 'PTHR31636:SF23', NULL, NULL, NULL, NULL, 'OSJNBA0086O06.18 PROTEIN', 186743),
(243018, 'PTHR23050:SF314', NULL, NULL, NULL, NULL, 'AT10229P-RELATED', 186744),
(243019, 'PTHR10656:SF48', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 102', 186745),
(243020, 'PTHR24123:SF66', NULL, NULL, NULL, NULL, 'PROTEIN HOS4', 186746),
(243021, 'PTHR31923:SF22', NULL, NULL, NULL, NULL, 'OS01G0766600 PROTEIN', 186747),
(243022, 'PTHR37207', NULL, NULL, NULL, NULL, 'OS09G0446000 PROTEIN', 186748),
(243023, 'PTHR13524:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186749),
(243024, 'PTHR48053:SF29', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', 186750),
(243025, 'PTHR11783:SF229', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 186751),
(243026, 'PTHR43165:SF1', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE MJ0936', 186752),
(243027, 'PTHR23244:SF457', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186753),
(243028, 'PTHR11926:SF1144', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 186754),
(243029, 'PTHR21580:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186755),
(243030, 'PTHR45830:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', 186756),
(243031, 'PTHR12386:SF27', NULL, NULL, NULL, NULL, 'COPIA-LIKE RETROELEMENT POL POLYPROTEIN', 186757);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(243032, 'PTHR10783:SF103', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1', 186758),
(243033, 'PTHR33172:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186759),
(243034, 'PTHR11732:SF476', NULL, NULL, NULL, NULL, 'PROTEIN CBG20740', 186760),
(243035, 'PTHR43134:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186761),
(243036, 'PTHR31238:SF186', NULL, NULL, NULL, NULL, 'BNAA01G22650D PROTEIN', 186762),
(243037, 'PTHR48049:SF37', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73B4-RELATED', 186763),
(243038, 'PTHR46632:SF27', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', 186764),
(243039, 'PTHR23430:SF277', NULL, NULL, NULL, NULL, 'HISTONE H2A.3-RELATED', 186765),
(243040, 'PTHR24026', NULL, NULL, NULL, NULL, 'FAT ATYPICAL CADHERIN-RELATED', 186766),
(243041, 'PTHR12374:SF47', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN PROTEIN', 186767),
(243042, 'PTHR45786:SF43', NULL, NULL, NULL, NULL, 'BNACNNG11690D PROTEIN', 186768),
(243043, 'PTHR24407:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186769),
(243044, 'PTHR31421:SF7', NULL, NULL, NULL, NULL, 'PROTEIN BASIC PENTACYSTEINE5', 186770),
(243045, 'PTHR41710:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 39', 186771),
(243046, 'PTHR11206:SF275', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 31', 186772),
(243047, 'PTHR36774', NULL, NULL, NULL, NULL, 'INSULIN-INDUCED PROTEIN', 186773),
(243048, 'PTHR33377:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186774),
(243049, 'PTHR23430:SF220', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 3', 186775),
(243050, 'PTHR46888:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186776),
(243051, 'PTHR48248', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 186777),
(243052, 'PTHR31496:SF18', NULL, NULL, NULL, NULL, 'OS02G0696900 PROTEIN', 186778),
(243053, 'PTHR47327:SF8', NULL, NULL, NULL, NULL, 'FI17836P1', 186779),
(243054, 'PTHR10353:SF260', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 1', 186780),
(243055, 'PTHR12861:SF3', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN SUBUNIT BETA', 186781),
(243056, 'PTHR31543:SF0', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 4', 186782),
(243057, 'PTHR36649:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186783),
(243058, 'PTHR11417:SF5', NULL, NULL, NULL, NULL, 'PROLACTIN', 186784),
(243059, 'PTHR35035:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186785),
(243060, 'PTHR34208:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186786),
(243061, 'PTHR12296:SF21', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 3', 186787),
(243062, 'PTHR42782:SF2', NULL, NULL, NULL, NULL, 'SI:CH73-314G15.3', 186788),
(243063, 'PTHR34807:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186789),
(243064, 'PTHR28591:SF1', NULL, NULL, NULL, NULL, 'LATEXIN', 186790),
(243065, 'PTHR12616:SF11', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 41 HOMOLOG', 186791),
(243066, 'PTHR15074:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186792),
(243067, 'PTHR23315:SF98', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 40', 186793),
(243068, 'PTHR10003:SF84', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN]', 186794),
(243069, 'PTHR48030:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186795),
(243070, 'PTHR31020:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 174', 186796),
(243071, 'PTHR46641:SF14', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', 186797),
(243072, 'PTHR31182:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186798),
(243073, 'PTHR12449:SF22', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 4-LIKE PROTEIN', 186799),
(243074, 'PTHR18966:SF429', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 186800),
(243075, 'PTHR47926:SF13', NULL, NULL, NULL, NULL, 'BNAC07G31310D PROTEIN', 186801),
(243076, 'PTHR34998:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 186802),
(243077, 'PTHR12357:SF81', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CONSERVED C-TERMINAL REGION 7', 186803),
(243078, 'PTHR23501:SF165', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G00940)-RELATED', 186804);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(243079, 'PTHR47895:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH DOMAIN-CONTAINING PROTEIN RAR1', 186805),
(243080, 'PTHR22298:SF151', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 186806),
(243081, 'PTHR30519:SF27', NULL, NULL, NULL, NULL, 'COBALAMIN-INDEPENDENT METHIONINE SYNTHASE METE-RELATED', 186807),
(243082, 'PTHR21523:SF12', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', 186808),
(243083, 'PTHR24326:SF535', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-6', 186809),
(243084, 'PTHR46542:SF3', NULL, NULL, NULL, NULL, 'X-BOX-BINDING PROTEIN 1', 186810),
(243085, 'PTHR41910', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE 2 MEMBRANE SUBUNIT SDHC', 186811),
(243086, 'PTHR11767:SF16', NULL, NULL, NULL, NULL, 'G PROTEIN-ACTIVATED INWARD RECTIFIER POTASSIUM CHANNEL 1', 186812),
(243087, 'PTHR34222:SF43', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', 186813),
(243088, 'PTHR19316', NULL, NULL, NULL, NULL, 'PROTEIN FOLDING REGULATOR', 186814),
(243089, 'PTHR26379:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186815),
(243090, 'PTHR15160:SF3', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NUCLEASE 1', 186816),
(243091, 'PTHR31384:SF21', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 19', 186817),
(243092, 'PTHR31495:SF1', NULL, NULL, NULL, NULL, 'INACTIVE PEROXYGENASE-LIKE PROTEIN-RELATED', 186818),
(243093, 'PTHR12400:SF89', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE MULTIKINASE', 186819),
(243094, 'PTHR48083:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186820),
(243095, 'PTHR38137', NULL, NULL, NULL, NULL, 'PRC-BARREL DOMAIN PROTEIN', 186821),
(243096, 'PTHR33057:SF91', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP8', 186822),
(243097, 'PTHR43003', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE', 186823),
(243098, 'PTHR34055:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186824),
(243099, 'PTHR32063:SF69', NULL, NULL, NULL, NULL, 'RND SUPERFAMILY EFFLUX PUMP PERMEASE COMPONENT 2', 186825),
(243100, 'PTHR13407:SF2', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 175', 186826),
(243101, 'PTHR12396:SF38', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 7', 186827),
(243102, 'PTHR24230:SF84', NULL, NULL, NULL, NULL, 'UROTENSIN 2 RECEPTOR 2', 186828),
(243103, 'PTHR46133:SF24', NULL, NULL, NULL, NULL, 'BHLH DOMAIN CLASS TRANSCRIPTION FACTOR', 186829),
(243104, 'PTHR27008:SF402', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186830),
(243105, 'PTHR12242:SF32', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 186831),
(243106, 'PTHR15510', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 8', 186832),
(243107, 'PTHR43157:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186833),
(243108, 'PTHR33052:SF2', NULL, NULL, NULL, NULL, 'OS06G0700300 PROTEIN', 186834),
(243109, 'PTHR21354', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 186835),
(243110, 'PTHR33108:SF13', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN', 186836),
(243111, 'PTHR20766:SF1', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 43 MEMBER 2B', 186837),
(243112, 'PTHR46002:SF5', NULL, NULL, NULL, NULL, 'EG:114D9.1 PROTEIN-RELATED', 186838),
(243113, 'PTHR46449:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM47E', 186839),
(243114, 'PTHR34378:SF5', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE', 186840),
(243115, 'PTHR21712:SF29', NULL, NULL, NULL, NULL, 'PRE-RRNA-PROCESSING PROTEIN FHL1', 186841),
(243116, 'PTHR45614:SF138', NULL, NULL, NULL, NULL, 'OS01G0850400 PROTEIN', 186842),
(243117, 'PTHR10497:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', 186843),
(243118, 'PTHR33021:SF331', NULL, NULL, NULL, NULL, 'CUPREDOXIN, BLUE (TYPE 1) COPPER PROTEIN, BINDING SITE-RELATED', 186844),
(243119, 'PTHR12320:SF50', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 186845),
(243120, 'PTHR11850:SF261', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 5', 186846),
(243121, 'PTHR23262:SF198', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 1-3', 186847),
(243122, 'PTHR22603', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOALAMINE KINASE', 186848);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(243123, 'PTHR31650:SF1', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE (WSD1-LIKE) FAMILY PROTEIN', 186849),
(243124, 'PTHR31080:SF178', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN-RELATED', 186850),
(243125, 'PTHR12341:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186851),
(243126, 'PTHR45651:SF78', NULL, NULL, NULL, NULL, 'BNACNNG45430D PROTEIN', 186852),
(243127, 'PTHR23155:SF982', NULL, NULL, NULL, NULL, 'NBS-LRR-LIKE PROTEIN', 186853),
(243128, 'PTHR21180:SF32', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY DOMAIN-CONTAINING PROTEIN 1', 186854),
(243129, 'PTHR33085:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186855),
(243130, 'PTHR33207:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186856),
(243131, 'PTHR22574', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 186857),
(243132, 'PTHR13902:SF114', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK4', 186858),
(243133, 'PTHR11473:SF23', NULL, NULL, NULL, NULL, 'TRYPTOPHAN 5-HYDROXYLASE 1', 186859),
(243134, 'PTHR11202:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ENABLED HOMOLOG', 186860),
(243135, 'PTHR47481', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 186861),
(243136, 'PTHR24271:SF61', NULL, NULL, NULL, NULL, 'INACTIVE SERINE PROTEASE 37-RELATED', 186862),
(243137, 'PTHR43354:SF2', NULL, NULL, NULL, NULL, 'MEDIUM-CHAIN-FATTY-ACID--COA LIGASE', 186863),
(243138, 'PTHR31642:SF263', NULL, NULL, NULL, NULL, 'AGMATINE COUMAROYLTRANSFERASE-1-LIKE', 186864),
(243139, 'PTHR24281:SF203', NULL, NULL, NULL, NULL, 'CYTOCHROME 82C4', 186865),
(243140, 'PTHR22621', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 186866),
(243141, 'PTHR32467:SF168', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR-RELATED', 186867),
(243142, 'PTHR24281:SF134', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', 186868),
(243143, 'PTHR31794:SF4', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX TRANSPORTER FAMILY PROTEIN (EUROFUNG)', 186869),
(243144, 'PTHR12192:SF19', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLCYCLOTRANSFERASE 2-1', 186870),
(243145, 'PTHR15045', NULL, NULL, NULL, NULL, 'FUCOSE-1-PHOSPHATE GUANYLYLTRANSFERASE', 186871),
(243146, 'PTHR42829:SF1', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT 5-RELATED', 186872),
(243147, 'PTHR32093:SF134', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', 186873),
(243148, 'PTHR42907:SF1', NULL, NULL, NULL, NULL, 'FMN-LINKED OXIDOREDUCTASES SUPERFAMILY PROTEIN', 186874),
(243149, 'PTHR10722:SF30', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', 186875),
(243150, 'PTHR31807:SF38', NULL, NULL, NULL, NULL, 'QWRF MOTIF-CONTAINING PROTEIN 9', 186876),
(243151, 'PTHR15076:SF4', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN XG', 186877),
(243152, 'PTHR37184:SF4', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 43', 186878),
(243153, 'PTHR11226:SF3', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE:GLYCOPROTEIN GLUCOSYLTRANSFERASE 1', 186879),
(243154, 'PTHR11615:SF318', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 4', 186880),
(243155, 'PTHR10728:SF56', NULL, NULL, NULL, NULL, 'MEIOTIC PHOSPHOLIPASE SPO1-RELATED', 186881),
(243156, 'PTHR11849:SF290', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186882),
(243157, 'PTHR46519:SF5', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 186883),
(243158, 'PTHR10159:SF515', NULL, NULL, NULL, NULL, 'MAP KINASE PHOSPHATASE WITH LEUCINE-RICH REPEATS PROTEIN 1-RELATED', 186884),
(243159, 'PTHR11709:SF311', NULL, NULL, NULL, NULL, 'MULTI-COPPER OXIDASE-LIKE PROTEIN', 186885),
(243160, 'PTHR10048:SF105', NULL, NULL, NULL, NULL, 'BNAC06G04220D PROTEIN', 186886),
(243161, 'PTHR24034:SF104', NULL, NULL, NULL, NULL, 'PROLOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 1-LIKE PROTEIN', 186887),
(243162, 'PTHR44742:SF5', NULL, NULL, NULL, NULL, '24-METHYLENESTEROL C-METHYLTRANSFERASE 3', 186888),
(243163, 'PTHR43721:SF24', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU', 186889),
(243164, 'PTHR10794:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186890);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(243165, 'PTHR21325:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG12154', 186891),
(243166, 'PTHR36394', NULL, NULL, NULL, NULL, 'OS01G0277700 PROTEIN', 186892),
(243167, 'PTHR10579:SF113', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE WAVH1', 186893),
(243168, 'PTHR13038:SF17', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 9', 186894),
(243169, 'PTHR21499:SF29', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ASPARTOKINASE/HOMOSERINE DEHYDROGENASE 2', 186895),
(243170, 'PTHR12411:SF387', NULL, NULL, NULL, NULL, 'PROBABLE THIOL PROTEASE-RELATED', 186896),
(243171, 'PTHR43490:SF80', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE', 186897),
(243172, 'PTHR23070:SF102', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PROTEIN-LIKE CONTAINS SIMILARITY TO AAA-TYPE ATPASE', 186898),
(243173, 'PTHR48002:SF1', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4F21-RELATED', 186899),
(243174, 'PTHR31442:SF31', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', 186900),
(243175, 'PTHR24421:SF23', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION HISTIDINE-PROTEIN KINASE/PHOSPHATASE DEGS', 186901),
(243176, 'PTHR43706:SF13', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE-RELATED', 186902),
(243177, 'PTHR12378:SF48', NULL, NULL, NULL, NULL, 'PUTATIVE THIOL PEPTIDASE FAMILY PROTEIN-RELATED', 186903),
(243178, 'PTHR35100:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186904),
(243179, 'PTHR10108:SF1103', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT9-RELATED', 186905),
(243180, 'PTHR24320:SF212', NULL, NULL, NULL, NULL, 'BNAC04G53630D PROTEIN', 186906),
(243181, 'PTHR24153:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186907),
(243182, 'PTHR13817:SF52', NULL, NULL, NULL, NULL, 'ROUNDABOUT GUIDANCE RECEPTOR 1', 186908),
(243183, 'PTHR22835:SF503', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 186909),
(243184, 'PTHR24068:SF346', NULL, NULL, NULL, NULL, 'BNAA01G32320D PROTEIN', 186910),
(243185, 'PTHR46199:SF2', NULL, NULL, NULL, NULL, 'SI:CH1073-416J23.1', 186911),
(243186, 'PTHR43811:SF30', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 186912),
(243187, 'PTHR31739:SF4', NULL, NULL, NULL, NULL, 'ENT-COPALYL DIPHOSPHATE SYNTHASE, CHLOROPLASTIC', 186913),
(243188, 'PTHR10641:SF1203', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', 186914),
(243189, 'PTHR24282:SF176', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 186915),
(243190, 'PTHR43272:SF69', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA SYNTHETASE A', 186916),
(243191, 'PTHR24282:SF185', NULL, NULL, NULL, NULL, 'BNAA06G03010D PROTEIN', 186917),
(243192, 'PTHR24363', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE', 186918),
(243193, 'PTHR21292', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC6-RELATED', 186919),
(243194, 'PTHR31181:SF71', NULL, NULL, NULL, NULL, 'BNAC06G05010D PROTEIN', 186920),
(243195, 'PTHR24131:SF8', NULL, NULL, NULL, NULL, 'APOPTOSIS-STIMULATING OF P53 PROTEIN 2', 186921),
(243196, 'PTHR44090:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 61', 186922),
(243197, 'PTHR43029:SF2', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 3 MEMBER 2', 186923),
(243198, 'PTHR31391:SF103', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN LOC_OS12G40080-LIKE ISOFORM X1', 186924),
(243199, 'PTHR33975:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 186925),
(243200, 'PTHR45815:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11768', 186926),
(243201, 'PTHR30457:SF13', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03660)-RELATED', 186927),
(243202, 'PTHR43671:SF69', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE, ERK3/4-RELATED', 186928),
(243203, 'PTHR14972:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186929),
(243204, 'PTHR24403:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 592', 186930),
(243205, 'PTHR48056:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186931),
(243206, 'PTHR32161', NULL, NULL, NULL, NULL, 'DPP6 N-TERMINAL DOMAIN-LIKE PROTEIN', 186932),
(243207, 'PTHR19302:SF33', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT 5', 186933);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(243208, 'PTHR22762:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186934),
(243209, 'PTHR43591:SF14', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 186935),
(243210, 'PTHR10271:SF23', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 1', 186936),
(243211, 'PTHR31080:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186937),
(243212, 'PTHR11654:SF377', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186938),
(243213, 'PTHR33505:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PREY, MITOCHONDRIAL', 186939),
(243214, 'PTHR13878:SF121', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 4', 186940),
(243215, 'PTHR47926:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186941),
(243216, 'PTHR11616:SF231', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PROLINE TRANSPORTER', 186942),
(243217, 'PTHR22952:SF407', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186943),
(243218, 'PTHR13817:SF68', NULL, NULL, NULL, NULL, 'DOWN SYNDROME CELL ADHESION MOLECULE HOMOLOG', 186944),
(243219, 'PTHR33353:SF4', NULL, NULL, NULL, NULL, 'FUNGAL CELLULOSE BINDING DOMAIN-CONTAINING PROTEIN', 186945),
(243220, 'PTHR42748:SF4', NULL, NULL, NULL, NULL, 'NMRA-LIKE PROTEIN', 186946),
(243221, 'PTHR43537:SF33', NULL, NULL, NULL, NULL, 'GNTR-FAMILY TRANSCRIPTIONAL REGULATOR', 186947),
(243222, 'PTHR16223:SF248', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH112', 186948),
(243223, 'PTHR10841:SF20', NULL, NULL, NULL, NULL, 'SYNAPSIN-2', 186949),
(243224, 'PTHR13479:SF61', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S18, CHLOROPLASTIC', 186950),
(243225, 'PTHR10972:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186951),
(243226, 'PTHR13044:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186952),
(243227, 'PTHR43655:SF21', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 8, MITOCHONDRIAL-LIKE', 186953),
(243228, 'PTHR14095:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG18998', 186954),
(243229, 'PTHR41324', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 186955),
(243230, 'PTHR48035:SF2', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1', 186956),
(243231, 'PTHR12898:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 24', 186957),
(243232, 'PTHR46106', NULL, NULL, NULL, NULL, 'IA-2 PROTEIN TYROSINE PHOSPHATASE, ISOFORM C', 186958),
(243233, 'PTHR46225:SF16', NULL, NULL, NULL, NULL, 'BNAA10G10110D PROTEIN', 186959),
(243234, 'PTHR31839:SF59', NULL, NULL, NULL, NULL, 'BNAANNG34260D PROTEIN', 186960),
(243235, 'PTHR47932:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186961),
(243236, 'PTHR24089:SF677', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN P-LIKE', 186962),
(243237, 'PTHR37258', NULL, NULL, NULL, NULL, 'FANTOM PROTEIN', 186963),
(243238, 'PTHR12999', NULL, NULL, NULL, NULL, 'ZINC FINGER RAN-BINDING DOMAIN-CONTAINING PROTEIN 2 ZRANB2-RELATED', 186964),
(243239, 'PTHR45631:SF52', NULL, NULL, NULL, NULL, 'BNAC03G59870D PROTEIN', 186965),
(243240, 'PTHR31906:SF25', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 8, CHLOROPLASTIC-RELATED', 186966),
(243241, 'PTHR27009:SF248', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', 186967),
(243242, 'PTHR30085', NULL, NULL, NULL, NULL, 'AMINO ACID ABC TRANSPORTER PERMEASE', 186968),
(243243, 'PTHR17149:SF4', NULL, NULL, NULL, NULL, 'RH17958P', 186969),
(243244, 'PTHR12801:SF59', NULL, NULL, NULL, NULL, 'INTERFERON-STIMULATED GENE 20 KDA PROTEIN', 186970),
(243245, 'PTHR32227:SF94', NULL, NULL, NULL, NULL, 'BETA 1,3-GLUCANASE', 186971),
(243246, 'PTHR36054', NULL, NULL, NULL, NULL, 'PROTEIN SICKLE', 186972),
(243247, 'PTHR12537:SF141', NULL, NULL, NULL, NULL, 'OS01G0844800 PROTEIN', 186973),
(243248, 'PTHR16064:SF5', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 7', 186974),
(243249, 'PTHR45991', NULL, NULL, NULL, NULL, 'PACHYTENE CHECKPOINT PROTEIN 2', 186975),
(243250, 'PTHR31096:SF15', NULL, NULL, NULL, NULL, 'OS08G0515400 PROTEIN', 186976),
(243251, 'PTHR22042:SF3', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN A530094D01', 186977);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(243252, 'PTHR39586', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 186978),
(243253, 'PTHR12420', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN', 186979),
(243254, 'PTHR33021:SF393', NULL, NULL, NULL, NULL, 'OS08G0138100 PROTEIN', 186980),
(243255, 'PTHR45980:SF14', NULL, NULL, NULL, NULL, 'DEGP PROTEASE 9-RELATED', 186981),
(243256, 'PTHR31311:SF31', NULL, NULL, NULL, NULL, 'BNAUNNG01300D PROTEIN', 186982),
(243257, 'PTHR12300:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186983),
(243258, 'PTHR24340:SF72', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-2.6', 186984),
(243259, 'PTHR31066:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186985),
(243260, 'PTHR40028', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR CTSR', 186986),
(243261, 'PTHR44170', NULL, NULL, NULL, NULL, 'PROTEIN SIDEKICK', 186987),
(243262, 'PTHR10811:SF83', NULL, NULL, NULL, NULL, 'BNAA10G03350D PROTEIN', 186988),
(243263, 'PTHR24177:SF321', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', 186989),
(243264, 'PTHR46147:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASH1', 186990),
(243265, 'PTHR45678:SF7', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN ARALAR1', 186991),
(243266, 'PTHR13878:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186992),
(243267, 'PTHR24302:SF15', NULL, NULL, NULL, NULL, 'FATTY-ACID PEROXYGENASE', 186993),
(243268, 'PTHR31213:SF80', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 10', 186994),
(243269, 'PTHR24377:SF780', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9030612M13', 186995),
(243270, 'PTHR10579:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 186996),
(243271, 'PTHR19918:SF3', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 20 HOMOLOG', 186997),
(243272, 'PTHR34222:SF51', NULL, NULL, NULL, NULL, 'CATALYTIC REGION, PUTATIVE-RELATED', 186998),
(243273, 'PTHR37341:SF1', NULL, NULL, NULL, NULL, 'PROTEIN INCA1', 186999),
(243274, 'PTHR33221', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX TRANSCRIPTIONAL REGULATOR, RRF2 FAMILY', 187000),
(243275, 'PTHR14499:SF7', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD11', 187001),
(243276, 'PTHR13140:SF787', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 187002),
(243277, 'PTHR47934:SF4', NULL, NULL, NULL, NULL, 'OS08G0191900 PROTEIN', 187003),
(243278, 'PTHR37221:SF1', NULL, NULL, NULL, NULL, 'OS02G0582400 PROTEIN', 187004),
(243279, 'PTHR21029:SF21', NULL, NULL, NULL, NULL, 'R-SEVEN BINDING PROTEIN (R7BP) HOMOLOG', 187005),
(243280, 'PTHR45994', NULL, NULL, NULL, NULL, 'FI21225P1', 187006),
(243281, 'PTHR35274:SF9', NULL, NULL, NULL, NULL, 'BNAA09G27270D PROTEIN', 187007),
(243282, 'PTHR10489:SF930', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-X-C MOTIF) RECEPTOR 1', 187008),
(243283, 'PTHR23030:SF38', NULL, NULL, NULL, NULL, 'BNAANNG23740D PROTEIN', 187009),
(243284, 'PTHR33018:SF14', NULL, NULL, NULL, NULL, 'OS10G0338966 PROTEIN', 187010),
(243285, 'PTHR44083:SF40', NULL, NULL, NULL, NULL, 'OS11G0590100 PROTEIN', 187011),
(243286, 'PTHR19960:SF12', NULL, NULL, NULL, NULL, 'MAFF-INTERACTING PROTEIN-RELATED', 187012),
(243287, 'PTHR11252', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE NUCLEOTIDYLTRANSFERASE', 187013),
(243288, 'PTHR47738:SF1', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN', 187014),
(243289, 'PTHR36398', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE FUSION PROTEIN', 187015),
(243290, 'PTHR14987:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187016),
(243291, 'PTHR31639:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187017),
(243292, 'PTHR33434', NULL, NULL, NULL, NULL, 'DEGV DOMAIN-CONTAINING PROTEIN DR_1986-RELATED', 187018),
(243293, 'PTHR31790:SF108', NULL, NULL, NULL, NULL, 'BNAC03G65820D PROTEIN', 187019),
(243294, 'PTHR47928:SF97', NULL, NULL, NULL, NULL, 'OS03G0635000 PROTEIN', 187020),
(243295, 'PTHR33214:SF45', NULL, NULL, NULL, NULL, 'BNAANNG26930D PROTEIN', 187021),
(243296, 'PTHR34055:SF14', NULL, NULL, NULL, NULL, 'BNAC04G48140D PROTEIN', 187022),
(243297, 'PTHR23320:SF5', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 10', 187023);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(243298, 'PTHR33739:SF3', NULL, NULL, NULL, NULL, 'OS07G0681500 PROTEIN', 187024),
(243299, 'PTHR11945:SF185', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL23-RELATED', 187025),
(243300, 'PTHR23310:SF51', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 7', 187026),
(243301, 'PTHR24637:SF311', NULL, NULL, NULL, NULL, 'COLLAGEN', 187027),
(243302, 'PTHR34964:SF4', NULL, NULL, NULL, NULL, 'OS12G0182000 PROTEIN', 187028),
(243303, 'PTHR11922:SF4', NULL, NULL, NULL, NULL, 'GMP SYNTHASE (GLUTAMINE-HYDROLYZING), PUTATIVE / GLUTAMINE AMIDOTRANSFERASE, PUTATIVE-RELATED', 187029),
(243304, 'PTHR19854:SF1', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-LIKE PROTEIN 1', 187030),
(243305, 'PTHR12601:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187031),
(243306, 'PTHR24028:SF111', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-5', 187032),
(243307, 'PTHR21100:SF9', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 4', 187033),
(243308, 'PTHR13116:SF6', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 3', 187034),
(243309, 'PTHR44845:SF6', NULL, NULL, NULL, NULL, 'N-(5-AMINO-5-CARBOXYPENTANOYL)-L-CYSTEINYL-D-VALINE SYNTHASE', 187035),
(243310, 'PTHR23189:SF101', NULL, NULL, NULL, NULL, 'PROTEIN NRD1', 187036),
(243311, 'PTHR11757', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY S9A OLIGOPEPTIDASE', 187037),
(243312, 'PTHR31221:SF216', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 50-RELATED', 187038),
(243313, 'PTHR46153:SF9', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 1, CHLOROPLASTIC', 187039),
(243314, 'PTHR23299:SF24', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-2', 187040),
(243315, 'PTHR47519:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 187041),
(243316, 'PTHR47571:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 3-3', 187042),
(243317, 'PTHR47958:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187043),
(243318, 'PTHR43341:SF19', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC PERMEASE', 187044),
(243319, 'PTHR27002:SF853', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', 187045),
(243320, 'PTHR36066', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH145', 187046),
(243321, 'PTHR21089:SF26', NULL, NULL, NULL, NULL, 'AROM POLYPEPTIDE, PUTATIVE-RELATED', 187047),
(243322, 'PTHR45878:SF10', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPARENT TESTA 1-LIKE', 187048),
(243323, 'PTHR23017:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 187049),
(243324, 'PTHR31191', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN CEP126', 187050),
(243325, 'PTHR47926:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187051),
(243326, 'PTHR23152:SF23', NULL, NULL, NULL, NULL, 'OS07G0695800 PROTEIN', 187052),
(243327, 'PTHR20973:SF1', NULL, NULL, NULL, NULL, 'BNAANNG27900D PROTEIN', 187053),
(243328, 'PTHR45889:SF7', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE 2B', 187054),
(243329, 'PTHR28293', NULL, NULL, NULL, NULL, 'NUCLEAR RIM PROTEIN 1', 187055),
(243330, 'PTHR31374:SF208', NULL, NULL, NULL, NULL, 'SAUR33-AUXIN-RESPONSIVE SAUR FAMILY MEMBER', 187056),
(243331, 'PTHR46810', NULL, NULL, NULL, NULL, 'INACTIVE POLYGLYCYLASE TTLL10', 187057),
(243332, 'PTHR22100', NULL, NULL, NULL, NULL, 'WINGS APART-LIKE PROTEIN HOMOLOG', 187058),
(243333, 'PTHR45974:SF182', NULL, NULL, NULL, NULL, 'OS03G0329700 PROTEIN', 187059),
(243334, 'PTHR31362:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187060),
(243335, 'PTHR31357:SF15', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-13', 187061),
(243336, 'PTHR11627:SF66', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 187062),
(243337, 'PTHR48092:SF14', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP H MEMBER 4', 187063),
(243338, 'PTHR47376:SF3', NULL, NULL, NULL, NULL, 'BNAA04G27870D PROTEIN', 187064),
(243339, 'PTHR33788:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187065),
(243340, 'PTHR31734:SF165', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 187066),
(243341, 'PTHR12411:SF716', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE CP14', 187067);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(243342, 'PTHR47926:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187068),
(243343, 'PTHR31676:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187069),
(243344, 'PTHR39559:SF1', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE KINASE/PHOSPHATASE', 187070),
(243345, 'PTHR24221:SF569', NULL, NULL, NULL, NULL, 'HALF TRANSPORTER (PGP RELATED)', 187071),
(243346, 'PTHR38463', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN YSNF', 187072),
(243347, 'PTHR10353:SF267', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 24', 187073),
(243348, 'PTHR32227:SF327', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE', 187074),
(243349, 'PTHR32370:SF132', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY4-LIKE', 187075),
(243350, 'PTHR44337:SF10', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 18', 187076),
(243351, 'PTHR31882:SF2', NULL, NULL, NULL, NULL, 'TNFAIP3-INTERACTING PROTEIN 3', 187077),
(243352, 'PTHR24015:SF1844', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187078),
(243353, 'PTHR22691:SF11', NULL, NULL, NULL, NULL, 'PROTEIN SPT2 HOMOLOG', 187079),
(243354, 'PTHR38218:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187080),
(243355, 'PTHR36069:SF4', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN FAMILY PROTEIN', 187081),
(243356, 'PTHR24173:SF16', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 24', 187082),
(243357, 'PTHR28579', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT CDC26', 187083),
(243358, 'PTHR32153:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187084),
(243359, 'PTHR11237:SF4', NULL, NULL, NULL, NULL, '5-DEMETHOXYUBIQUINONE HYDROXYLASE, MITOCHONDRIAL', 187085),
(243360, 'PTHR14787:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187086),
(243361, 'PTHR10151:SF120', NULL, NULL, NULL, NULL, 'ALKALINE-PHOSPHATASE-LIKE FAMILY PROTEIN', 187087),
(243362, 'PTHR13703:SF28', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 6', 187088),
(243363, 'PTHR15114', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A3', 187089),
(243364, 'PTHR31901:SF81', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE GH3 FAMILY PROTEIN', 187090),
(243365, 'PTHR24092:SF37', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 187091),
(243366, 'PTHR37192:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 187092),
(243367, 'PTHR31062:SF120', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 10-RELATED', 187093),
(243368, 'PTHR44376:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR LEUNIG-LIKE ISOFORM X1', 187094),
(243369, 'PTHR20854:SF25', NULL, NULL, NULL, NULL, 'INOSITOL-1-MONOPHOSPHATASE', 187095),
(243370, 'PTHR45759:SF5', NULL, NULL, NULL, NULL, 'BNACNNG63300D PROTEIN', 187096),
(243371, 'PTHR22726:SF18', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 187097),
(243372, 'PTHR12203:SF35', NULL, NULL, NULL, NULL, 'F10K1.7 PROTEIN', 187098),
(243373, 'PTHR45081:SF1', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 187099),
(243374, 'PTHR43666', NULL, NULL, NULL, NULL, 'TLDD PROTEIN', 187100),
(243375, 'PTHR46033:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187101),
(243376, 'PTHR35471', NULL, NULL, NULL, NULL, 'OS07G0223700 PROTEIN', 187102),
(243377, 'PTHR12483:SF8', NULL, NULL, NULL, NULL, 'LOW AFFINITY COPPER UPTAKE PROTEIN 2-RELATED', 187103),
(243378, 'PTHR36751:SF1', NULL, NULL, NULL, NULL, 'F3E22.8 PROTEIN', 187104),
(243379, 'PTHR47804:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 187105),
(243380, 'PTHR23086:SF112', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', 187106),
(243381, 'PTHR31208:SF12', NULL, NULL, NULL, NULL, 'BNAC06G03720D PROTEIN', 187107),
(243382, 'PTHR46151:SF28', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 187108),
(243383, 'PTHR43874:SF146', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR3 ISOFORM X1', 187109),
(243384, 'PTHR31218:SF237', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 187110),
(243385, 'PTHR24416:SF17', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 5', 187111);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(243386, 'PTHR31636:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187112),
(243387, 'PTHR48108:SF9', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX1, CHLOROPLASTIC-LIKE ISOFORM X1', 187113),
(243388, 'PTHR42801:SF8', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN RV1608C-RELATED', 187114),
(243389, 'PTHR23430:SF56', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-D', 187115),
(243390, 'PTHR24015:SF1853', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 187116),
(243391, 'PTHR24247:SF191', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR, B-TYPE, ISOFORM A', 187117),
(243392, 'PTHR33095:SF82', NULL, NULL, NULL, NULL, 'BNAC06G31430D PROTEIN', 187118),
(243393, 'PTHR46758:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER, MYND-TYPE, TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN PROTEIN-RELATED', 187119),
(243394, 'PTHR21562:SF57', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 187120),
(243395, 'PTHR47591', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT2-RELATED', 187121),
(243396, 'PTHR22941:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 187122),
(243397, 'PTHR18929:SF198', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', 187123),
(243398, 'PTHR23155:SF990', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 187124),
(243399, 'PTHR47967:SF65', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', 187125),
(243400, 'PTHR10578:SF123', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE-LIKE ISOFORM X1', 187126),
(243401, 'PTHR31692:SF4', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE A1-RELATED', 187127),
(243402, 'PTHR31378:SF39', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', 187128),
(243403, 'PTHR10510:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A3, MITOCHONDRIAL-RELATED', 187129),
(243404, 'PTHR23023:SF213', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE FMO GS-OX-LIKE 1-RELATED', 187130),
(243405, 'PTHR43441', NULL, NULL, NULL, NULL, 'RIBOSOMAL-PROTEIN-SERINE ACETYLTRANSFERASE', 187131),
(243406, 'PTHR13690:SF126', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RF2B-LIKE', 187132),
(243407, 'PTHR46287:SF16', NULL, NULL, NULL, NULL, 'BNAA06G37740D PROTEIN', 187133),
(243408, 'PTHR24323:SF8', NULL, NULL, NULL, NULL, 'CONE-ROD HOMEOBOX, OPPOSITE STRAND', 187134),
(243409, 'PTHR45621:SF64', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE CX32, RELATED PROTEIN', 187135),
(243410, 'PTHR46128:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187136),
(243411, 'PTHR24115:SF918', NULL, NULL, NULL, NULL, 'KINESIN MOTOR DOMAIN-CONTAINING PROTEIN-RELATED', 187137),
(243412, 'PTHR14368:SF7', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED BASIC PROTEIN 1', 187138),
(243413, 'PTHR11863:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187139),
(243414, 'PTHR12794:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SINE2', 187140),
(243415, 'PTHR45181:SF6', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN, ZINC FINGER, CCHC-TYPE, TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN PROTEIN-RELATED', 187141),
(243416, 'PTHR31917:SF104', NULL, NULL, NULL, NULL, 'AGENET-LIKE DOMAIN, AGENET DOMAIN, PLANT TYPE-RELATED', 187142),
(243417, 'PTHR48125:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187143),
(243418, 'PTHR11618:SF63', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB-2', 187144),
(243419, 'PTHR11214:SF282', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 2-RELATED', 187145),
(243420, 'PTHR43563', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', 187146),
(243421, 'PTHR42786:SF2', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE/URIDINE-2''-O-)-METHYLTRANSFERASE TRMJ', 187147),
(243422, 'PTHR48065:SF9', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', 187148),
(243423, 'PTHR39697', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 187149),
(243424, 'PTHR15286', NULL, NULL, NULL, NULL, 'RAS-ASSOCIATING DOMAIN CONTAINING PROTEIN', 187150),
(243425, 'PTHR43710:SF5', NULL, NULL, NULL, NULL, 'INDOLEPYRUVATE OXIDOREDUCTASE SUBUNIT IORA', 187151),
(243426, 'PTHR32285:SF196', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 39', 187152);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(243427, 'PTHR33103:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187153),
(243428, 'PTHR10570:SF8', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD3 GAMMA CHAIN', 187154),
(243429, 'PTHR43176:SF18', NULL, NULL, NULL, NULL, 'BNAA05G12590D PROTEIN', 187155),
(243430, 'PTHR47967:SF70', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE CDR1-LIKE', 187156),
(243431, 'PTHR24381:SF129', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 875', 187157),
(243432, 'PTHR26453:SF166', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2L3', 187158),
(243433, 'PTHR47966:SF24', NULL, NULL, NULL, NULL, 'RENIN', 187159),
(243434, 'PTHR47997:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB61', 187160),
(243435, 'PTHR36687', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 187161),
(243436, 'PTHR23267:SF349', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 2', 187162),
(243437, 'PTHR14155:SF545', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL6-LIKE', 187163),
(243438, 'PTHR28678:SF1', NULL, NULL, NULL, NULL, 'CODANIN-1', 187164),
(243439, 'PTHR47127:SF6', NULL, NULL, NULL, NULL, '10A19I.15', 187165),
(243440, 'PTHR33210:SF25', NULL, NULL, NULL, NULL, 'PROTODERMAL FACTOR 1', 187166),
(243441, 'PTHR24408:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187167),
(243442, 'PTHR13344:SF2', NULL, NULL, NULL, NULL, 'CHCH-RELATED', 187168),
(243443, 'PTHR23236:SF75', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 1-LIKE', 187169),
(243444, 'PTHR43142:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G09070)-RELATED', 187170),
(243445, 'PTHR10332:SF71', NULL, NULL, NULL, NULL, 'BNACNNG04420D PROTEIN', 187171),
(243446, 'PTHR42898:SF70', NULL, NULL, NULL, NULL, 'BNACNNG23860D PROTEIN', 187172),
(243447, 'PTHR31707:SF296', NULL, NULL, NULL, NULL, 'OS11G0677400 PROTEIN', 187173),
(243448, 'PTHR12537:SF62', NULL, NULL, NULL, NULL, 'OS04G0201200 PROTEIN', 187174),
(243449, 'PTHR32153:SF53', NULL, NULL, NULL, NULL, 'BNAANNG28410D PROTEIN', 187175),
(243450, 'PTHR37339', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 29', 187176),
(243451, 'PTHR12210:SF126', NULL, NULL, NULL, NULL, 'CTD SMALL PHOSPHATASE-LIKE PROTEIN 2-A-RELATED', 187177),
(243452, 'PTHR10353:SF256', NULL, NULL, NULL, NULL, 'BNAA06G01540D PROTEIN', 187178),
(243453, 'PTHR13373', NULL, NULL, NULL, NULL, 'FROUNT PROTEIN-RELATED', 187179),
(243454, 'PTHR13697:SF55', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE SUBUNIT BETA', 187180),
(243455, 'PTHR36733:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187181),
(243456, 'PTHR46128', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GROUP I INTRON SPLICING FACTOR CCM1', 187182),
(243457, 'PTHR43349:SF58', NULL, NULL, NULL, NULL, 'LEUCOANTHOCYANIDIN REDUCTASE-LIKE', 187183),
(243458, 'PTHR11005:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187184),
(243459, 'PTHR45635:SF33', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 2, MITOCHONDRIAL', 187185),
(243460, 'PTHR27004:SF382', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', 187186),
(243461, 'PTHR10369:SF35', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36A', 187187),
(243462, 'PTHR45666', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 9', 187188),
(243463, 'PTHR15919', NULL, NULL, NULL, NULL, 'DAPPER-RELATED', 187189),
(243464, 'PTHR31052:SF16', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 10', 187190),
(243465, 'PTHR38620', NULL, NULL, NULL, NULL, 'PROTEIN CBG07292-RELATED', 187191),
(243466, 'PTHR45644:SF43', NULL, NULL, NULL, NULL, 'OS01G0226400 PROTEIN', 187192),
(243467, 'PTHR13809:SF14', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-14-RELATED', 187193),
(243468, 'PTHR21461:SF63', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 187194),
(243469, 'PTHR11596:SF43', NULL, NULL, NULL, NULL, 'INTESTINAL-TYPE ALKALINE PHOSPHATASE', 187195),
(243470, 'PTHR17530', NULL, NULL, NULL, NULL, 'PRO-THYROTROPIN-RELEASING HORMONE', 187196),
(243471, 'PTHR31147:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187197);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(243472, 'PTHR11785:SF238', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 7 MEMBER 13', 187198),
(243473, 'PTHR14731:SF0', NULL, NULL, NULL, NULL, 'BRAIN AND ACUTE LEUKEMIA CYTOPLASMIC PROTEIN', 187199),
(243474, 'PTHR11003:SF110', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', 187200),
(243475, 'PTHR11771:SF126', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE 1', 187201),
(243476, 'PTHR23199:SF13', NULL, NULL, NULL, NULL, 'PROTEIN SPAETZLE 3', 187202),
(243477, 'PTHR12714:SF21', NULL, NULL, NULL, NULL, 'S-ISOPRENYLCYSTEINE O-METHYLTRANSFERASE', 187203),
(243478, 'PTHR31579:SF59', NULL, NULL, NULL, NULL, 'BNAC01G20890D PROTEIN', 187204),
(243479, 'PTHR32046:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187205),
(243480, 'PTHR33167:SF23', NULL, NULL, NULL, NULL, 'F16A14.15', 187206),
(243481, 'PTHR31396', NULL, NULL, NULL, NULL, 'PROTEIN FAM163B MEMBER', 187207),
(243482, 'PTHR24006:SF835', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 16', 187208),
(243483, 'PTHR11905:SF20', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 8', 187209),
(243484, 'PTHR23008', NULL, NULL, NULL, NULL, 'CHROMOSOME 28 C10ORF62 HOMOLOG', 187210),
(243485, 'PTHR24347:SF225', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC SERINE/THREONINE-PROTEIN KINASE MEK1', 187211),
(243486, 'PTHR31339:SF75', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 187212),
(243487, 'PTHR45644', NULL, NULL, NULL, NULL, 'AAA ATPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G12920)-RELATED-RELATED', 187213),
(243488, 'PTHR31213:SF26', NULL, NULL, NULL, NULL, 'OS12G0555100 PROTEIN', 187214),
(243489, 'PTHR46192:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN AT74H', 187215),
(243490, 'PTHR47928:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187216),
(243491, 'PTHR33389:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187217),
(243492, 'PTHR22765:SF256', NULL, NULL, NULL, NULL, 'EGF-LIKE CALCIUM-BINDING DOMAIN, PA DOMAIN, THIOREDOXIN-LIKE PROTEIN-RELATED', 187218),
(243493, 'PTHR36173', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 187219),
(243494, 'PTHR13491', NULL, NULL, NULL, NULL, 'ZCCHC10 PROTEIN', 187220),
(243495, 'PTHR22765:SF162', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3', 187221),
(243496, 'PTHR12271:SF36', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I', 187222),
(243497, 'PTHR42842:SF3', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', 187223),
(243498, 'PTHR14511:SF17', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR, CLASS C, GROUP 5, MEMBER BB', 187224),
(243499, 'PTHR23293:SF9', NULL, NULL, NULL, NULL, 'FAD SYNTHASE', 187225),
(243500, 'PTHR31238:SF154', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', 187226),
(243501, 'PTHR28047', NULL, NULL, NULL, NULL, 'PROTEIN DCG1', 187227),
(243502, 'PTHR40021:SF1', NULL, NULL, NULL, NULL, 'DEFECT AT LOW TEMPERATURE PROTEIN 1', 187228),
(243503, 'PTHR28207:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT H, MITOCHONDRIAL', 187229),
(243504, 'PTHR10963:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187230),
(243505, 'PTHR15065:SF8', NULL, NULL, NULL, NULL, 'INSULINOMA-ASSOCIATED PROTEIN 1A', 187231),
(243506, 'PTHR10516:SF301', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP1A-RELATED', 187232),
(243507, 'PTHR11132:SF357', NULL, NULL, NULL, NULL, 'UDP-XYLOSE TRANSPORTER 3', 187233),
(243508, 'PTHR23226:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 21', 187234),
(243509, 'PTHR35850:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 187235),
(243510, 'PTHR32116:SF89', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 187236),
(243511, 'PTHR33156:SF57', NULL, NULL, NULL, NULL, 'BNAC03G58610D PROTEIN', 187237),
(243512, 'PTHR31235:SF304', NULL, NULL, NULL, NULL, 'PEROXIDASE', 187238),
(243513, 'PTHR13696:SF91', NULL, NULL, NULL, NULL, 'SLL5066 PROTEIN', 187239),
(243514, 'PTHR20994:SF0', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 6', 187240),
(243515, 'PTHR43099:SF4', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 187241);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(243516, 'PTHR36341', NULL, NULL, NULL, NULL, 'DUF2996 FAMILY PROTEIN', 187242),
(243517, 'PTHR14388:SF11', NULL, NULL, NULL, NULL, 'ZGC:100829-RELATED', 187243),
(243518, 'PTHR11909:SF19', NULL, NULL, NULL, NULL, 'TAU-TUBULIN KINASE 2', 187244),
(243519, 'PTHR33337:SF29', NULL, NULL, NULL, NULL, 'BLL4941 PROTEIN', 187245),
(243520, 'PTHR38488', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 9.5 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G08980)-RELATED', 187246),
(243521, 'PTHR21669:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187247),
(243522, 'PTHR11964', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHETASE', 187248),
(243523, 'PTHR21700:SF7', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 187249),
(243524, 'PTHR10109:SF0', NULL, NULL, NULL, NULL, 'MATRIX GLA PROTEIN', 187250),
(243525, 'PTHR12215:SF15', NULL, NULL, NULL, NULL, '4''-PHOSPHOPANTETHEINYL TRANSFERASE DOMAIN PROTEIN-RELATED', 187251),
(243526, 'PTHR24298:SF389', NULL, NULL, NULL, NULL, 'B1340F09.15 PROTEIN', 187252),
(243527, 'PTHR48002:SF84', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 187253),
(243528, 'PTHR31232:SF51', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY PROTEIN', 187254),
(243529, 'PTHR33326:SF37', NULL, NULL, NULL, NULL, 'OS08G0495300 PROTEIN', 187255),
(243530, 'PTHR10677:SF50', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN DSK2A-RELATED', 187256),
(243531, 'PTHR31170:SF13', NULL, NULL, NULL, NULL, 'BNAC04G53230D PROTEIN', 187257),
(243532, 'PTHR11040:SF120', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP2', 187258),
(243533, 'PTHR48019:SF93', NULL, NULL, NULL, NULL, 'SERUM RESPONSE FACTOR HOMOLOG', 187259),
(243534, 'PTHR10438:SF409', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 187260),
(243535, 'PTHR45815:SF4', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 2-3', 187261),
(243536, 'PTHR24381:SF110', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 614', 187262),
(243537, 'PTHR46691:SF10', NULL, NULL, NULL, NULL, 'BNAA05G13650D PROTEIN', 187263),
(243538, 'PTHR47520:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG08818', 187264),
(243539, 'PTHR36807:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187265),
(243540, 'PTHR46260:SF2', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 8B', 187266),
(243541, 'PTHR32019', NULL, NULL, NULL, NULL, 'R3H DOMAIN-CONTAINING PROTEIN 4', 187267),
(243542, 'PTHR19818', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZIC AND GLI', 187268),
(243543, 'PTHR13703:SF50', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE CR929477-RELATED', 187269),
(243544, 'PTHR47841:SF6', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN-RELATED', 187270),
(243545, 'PTHR16019:SF17', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 187271),
(243546, 'PTHR20842:SF0', NULL, NULL, NULL, NULL, 'SI:DKEY-69O16.5', 187272),
(243547, 'PTHR31664:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01374', 187273),
(243548, 'PTHR24039', NULL, NULL, NULL, NULL, 'FIBRILLIN-RELATED', 187274),
(243549, 'PTHR33199', NULL, NULL, NULL, NULL, 'MACPF DOMAIN-CONTAINING PROTEIN CAD1', 187275),
(243550, 'PTHR11481:SF89', NULL, NULL, NULL, NULL, 'LOW AFFINITY IMMUNOGLOBULIN GAMMA FC REGION RECEPTOR III', 187276),
(243551, 'PTHR45944:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HIVEP2', 187277),
(243552, 'PTHR43569:SF1', NULL, NULL, NULL, NULL, 'BLL3371 PROTEIN', 187278),
(243553, 'PTHR45801:SF63', NULL, NULL, NULL, NULL, 'REGULATOR SUPERMAN, PUTATIVE-RELATED', 187279),
(243554, 'PTHR14167:SF79', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 187280),
(243555, 'PTHR24377:SF679', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 563', 187281),
(243556, 'PTHR47995:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 187282),
(243557, 'PTHR28118:SF1', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE 5''-TRIPHOSPHATASE-RELATED', 187283),
(243558, 'PTHR24055:SF385', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE F-4', 187284),
(243559, 'PTHR38502:SF1', NULL, NULL, NULL, NULL, 'OVEREXPRESSED IN COLON CARCINOMA 1 PROTEIN', 187285);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(243560, 'PTHR10509:SF72', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE 6', 187286),
(243561, 'PTHR34535', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYPA', 187287),
(243562, 'PTHR31790:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187288),
(243563, 'PTHR46403:SF1', NULL, NULL, NULL, NULL, 'TP53-REGULATED INHIBITOR OF APOPTOSIS 1', 187289),
(243564, 'PTHR43868:SF1', NULL, NULL, NULL, NULL, 'OS02G0711200 PROTEIN', 187290),
(243565, 'PTHR12565:SF112', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH60', 187291),
(243566, 'PTHR31731:SF20', NULL, NULL, NULL, NULL, '36.4 KDA PROLINE-RICH PROTEIN', 187292),
(243567, 'PTHR19143:SF380', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187293),
(243568, 'PTHR48002:SF78', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 187294),
(243569, 'PTHR10593:SF191', NULL, NULL, NULL, NULL, 'BNAA09G52630D PROTEIN', 187295),
(243570, 'PTHR12370', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-RELATED', 187296),
(243571, 'PTHR11771:SF122', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE-4', 187297),
(243572, 'PTHR31509:SF20', NULL, NULL, NULL, NULL, 'PROTEIN BPS1, CHLOROPLASTIC-LIKE', 187298),
(243573, 'PTHR24286:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187299),
(243574, 'PTHR34199:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-79 SPECIFIC-LIKE PROTEIN', 187300),
(243575, 'PTHR13328:SF5', NULL, NULL, NULL, NULL, 'LD28815P', 187301),
(243576, 'PTHR34235', NULL, NULL, NULL, NULL, 'SLR1203 PROTEIN-RELATED', 187302),
(243577, 'PTHR18914', NULL, NULL, NULL, NULL, 'ALPHA CATENIN', 187303),
(243578, 'PTHR33345:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 187304),
(243579, 'PTHR33878:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187305),
(243580, 'PTHR24112:SF49', NULL, NULL, NULL, NULL, 'NLR FAMILY PYRIN DOMAIN CONTAINING 11', 187306),
(243581, 'PTHR43319:SF5', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN CONTAINING', 187307),
(243582, 'PTHR47991:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187308),
(243583, 'PTHR46265:SF13', NULL, NULL, NULL, NULL, 'BNAC08G11680D PROTEIN', 187309),
(243584, 'PTHR43380:SF4', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT ALPHA 1, MITOCHONDRIAL-LIKE', 187310),
(243585, 'PTHR11926:SF1406', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187311),
(243586, 'PTHR15326', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 2/TAMOZHENNIC', 187312),
(243587, 'PTHR31625:SF61', NULL, NULL, NULL, NULL, 'ANTHOCYANIN 5-AROMATIC ACYLTRANSFERASE', 187313),
(243588, 'PTHR24240:SF90', NULL, NULL, NULL, NULL, 'RPE-RETINAL G PROTEIN-COUPLED RECEPTOR', 187314),
(243589, 'PTHR32019:SF2', NULL, NULL, NULL, NULL, 'R3H DOMAIN-CONTAINING PROTEIN 4', 187315),
(243590, 'PTHR23428:SF162', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-D', 187316),
(243591, 'PTHR35011', NULL, NULL, NULL, NULL, '2,3-DIKETO-L-GULONATE TRAP TRANSPORTER SMALL PERMEASE PROTEIN YIAM', 187317),
(243592, 'PTHR47928:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187318),
(243593, 'PTHR19343:SF13', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 21', 187319),
(243594, 'PTHR35317:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 187320),
(243595, 'PTHR13353', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 19', 187321),
(243596, 'PTHR10217:SF506', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 2', 187322),
(243597, 'PTHR38480:SF1', NULL, NULL, NULL, NULL, 'SLR0254 PROTEIN', 187323),
(243598, 'PTHR45908:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG02522', 187324),
(243599, 'PTHR24028:SF1', NULL, NULL, NULL, NULL, 'CADHERIN-16', 187325),
(243600, 'PTHR46339:SF11', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEIN BLI-5-RELATED', 187326),
(243601, 'PTHR44662', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 81', 187327),
(243602, 'PTHR33177:SF39', NULL, NULL, NULL, NULL, 'BNAA05G27460D PROTEIN', 187328),
(243603, 'PTHR10288:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187329),
(243604, 'PTHR21093:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187330);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(243605, 'PTHR15576:SF1', NULL, NULL, NULL, NULL, 'RIBITOL-5-PHOSPHATE XYLOSYLTRANSFERASE 1', 187331),
(243606, 'PTHR37768', NULL, NULL, NULL, NULL, 'OS06G0694800 PROTEIN', 187332),
(243607, 'PTHR46426:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE TMX3', 187333),
(243608, 'PTHR15822:SF20', NULL, NULL, NULL, NULL, 'OS07G0510800 PROTEIN', 187334),
(243609, 'PTHR31304:SF29', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 37', 187335),
(243610, 'PTHR10131', NULL, NULL, NULL, NULL, 'TNF RECEPTOR ASSOCIATED FACTOR', 187336),
(243611, 'PTHR35040:SF9', NULL, NULL, NULL, NULL, '4-LIKE CELL SURFACE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14080)-RELATED', 187337),
(243612, 'PTHR24161:SF79', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', 187338),
(243613, 'PTHR47274:SF6', NULL, NULL, NULL, NULL, 'BNAA04G29400D PROTEIN', 187339),
(243614, 'PTHR35315:SF1', NULL, NULL, NULL, NULL, 'ACI13', 187340),
(243615, 'PTHR46133:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILR3-LIKE', 187341),
(243616, 'PTHR35727:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187342),
(243617, 'PTHR43232', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN B', 187343),
(243618, 'PTHR33895:SF16', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 11', 187344),
(243619, 'PTHR13180:SF0', NULL, NULL, NULL, NULL, 'GEO04055P1', 187345),
(243620, 'PTHR40626:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G04110)-RELATED', 187346),
(243621, 'PTHR43332', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PERMEASE YADH-RELATED', 187347),
(243622, 'PTHR31676:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187348),
(243623, 'PTHR38117', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 187349),
(243624, 'PTHR15606:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187350),
(243625, 'PTHR24559:SF376', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187351),
(243626, 'PTHR47925:SF26', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', 187352),
(243627, 'PTHR12474', NULL, NULL, NULL, NULL, 'P53 REGULATED PA26 NUCLEAR PROTEIN SESTRIN', 187353),
(243628, 'PTHR31694:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187354),
(243629, 'PTHR27001:SF118', NULL, NULL, NULL, NULL, 'OS01G0253100 PROTEIN', 187355),
(243630, 'PTHR47983:SF12', NULL, NULL, NULL, NULL, 'PTI1-LIKE TYROSINE-PROTEIN KINASE 2-RELATED', 187356),
(243631, 'PTHR22589:SF105', NULL, NULL, NULL, NULL, 'CARNITINE PALMITOYLTRANSFERASE 1CB', 187357),
(243632, 'PTHR16166:SF134', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13A N-TERMINAL DOMAIN', 187358),
(243633, 'PTHR17388', NULL, NULL, NULL, NULL, 'SECRETOGRANIN III', 187359),
(243634, 'PTHR12396:SF37', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 187360),
(243635, 'PTHR13848:SF46', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 187361),
(243636, 'PTHR43671:SF55', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK2', 187362),
(243637, 'PTHR18902:SF30', NULL, NULL, NULL, NULL, 'FI04457P', 187363),
(243638, 'PTHR24028:SF236', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 1 GAMMA 22-RELATED', 187364),
(243639, 'PTHR44163:SF1', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 4 HOMOLOG', 187365),
(243640, 'PTHR20883:SF10', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 187366),
(243641, 'PTHR46034:SF31', NULL, NULL, NULL, NULL, 'B2 PROTEIN-LIKE', 187367),
(243642, 'PTHR26450:SF81', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51J1', 187368),
(243643, 'PTHR35546:SF8', NULL, NULL, NULL, NULL, 'OS01G0380800 PROTEIN', 187369),
(243644, 'PTHR45630:SF9', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE CATP-5', 187370),
(243645, 'PTHR10404:SF33', NULL, NULL, NULL, NULL, 'TRANSFERRIN RECEPTOR PROTEIN 2', 187371),
(243646, 'PTHR47976:SF47', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', 187372),
(243647, 'PTHR43176:SF7', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE, MITOCHONDRIAL', 187373),
(243648, 'PTHR14928:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 7B', 187374);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(243649, 'PTHR33709:SF23', NULL, NULL, NULL, NULL, 'BNAC04G08590D PROTEIN', 187375),
(243650, 'PTHR37030:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187376),
(243651, 'PTHR23226:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187377),
(243652, 'PTHR43900:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187378),
(243653, 'PTHR36801', NULL, NULL, NULL, NULL, 'OS06G0150200 PROTEIN', 187379),
(243654, 'PTHR13074', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 8', 187380),
(243655, 'PTHR31717:SF22', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 32-LIKE', 187381),
(243656, 'PTHR32166:SF81', NULL, NULL, NULL, NULL, 'HAT TRANSPOSON SUPERFAMILY PROTEIN', 187382),
(243657, 'PTHR46128:SF177', NULL, NULL, NULL, NULL, 'BNAC05G10140D PROTEIN', 187383),
(243658, 'PTHR24012:SF805', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 187384),
(243659, 'PTHR12159', NULL, NULL, NULL, NULL, 'G/T AND G/U MISMATCH-SPECIFIC DNA GLYCOSYLASE', 187385),
(243660, 'PTHR33358:SF8', NULL, NULL, NULL, NULL, 'PLANT-LIKE PROTEIN, PUTATIVE-RELATED', 187386),
(243661, 'PTHR11188', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN CONTAINING PROTEIN', 187387),
(243662, 'PTHR47640:SF37', NULL, NULL, NULL, NULL, 'BNAA05G16080D PROTEIN', 187388),
(243663, 'PTHR41286', NULL, NULL, NULL, NULL, 'HNH NUCLEASE YAJD-RELATED', 187389),
(243664, 'PTHR10460:SF48', NULL, NULL, NULL, NULL, 'BNAC03G72740D PROTEIN', 187390),
(243665, 'PTHR23263:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187391),
(243666, 'PTHR32319', NULL, NULL, NULL, NULL, 'BACTERIAL HEMOLYSIN-LIKE PROTEIN', 187392),
(243667, 'PTHR24351:SF211', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATPK1/ATPK6', 187393),
(243668, 'PTHR46686:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 187394),
(243669, 'PTHR23023:SF159', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 187395),
(243670, 'PTHR46736:SF13', NULL, NULL, NULL, NULL, 'BNAC03G26750D PROTEIN', 187396),
(243671, 'PTHR45836:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SLIT', 187397),
(243672, 'PTHR44019:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187398),
(243673, 'PTHR45855:SF39', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UNE10-LIKE', 187399),
(243674, 'PTHR45809:SF2', NULL, NULL, NULL, NULL, 'PHOSDUCIN-LIKE PROTEIN 1', 187400),
(243675, 'PTHR15856', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 20-RELATED', 187401),
(243676, 'PTHR31468:SF10', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE GAS2', 187402),
(243677, 'PTHR33347:SF31', NULL, NULL, NULL, NULL, 'OS08G0486700 PROTEIN', 187403),
(243678, 'PTHR16223:SF16', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS- AND OOGENESIS-SPECIFIC BASIC HELIX-LOOP-HELIX-CONTAINING PROTEIN 2', 187404),
(243679, 'PTHR37017:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187405),
(243680, 'PTHR32246:SF106', NULL, NULL, NULL, NULL, 'BON1-ASSOCIATED PROTEIN 1', 187406),
(243681, 'PTHR40621:SF5', NULL, NULL, NULL, NULL, 'AP-1-LIKE TRANSCRIPTION FACTOR YAP1-RELATED', 187407),
(243682, 'PTHR31639:SF32', NULL, NULL, NULL, NULL, 'F-BOX PLANT-LIKE PROTEIN', 187408),
(243683, 'PTHR10314:SF207', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE-LIKE', 187409),
(243684, 'PTHR11249:SF4', NULL, NULL, NULL, NULL, 'GLIA MATURATION FACTOR GAMMA', 187410),
(243685, 'PTHR27006:SF298', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', 187411),
(243686, 'PTHR11276:SF24', NULL, NULL, NULL, NULL, 'DNA-DIRECTED DNA/RNA POLYMERASE MU', 187412),
(243687, 'PTHR23103:SF14', NULL, NULL, NULL, NULL, 'AMYLOID-LIKE PROTEIN 2', 187413),
(243688, 'PTHR48063:SF9', NULL, NULL, NULL, NULL, 'OS11G0564900 PROTEIN', 187414),
(243689, 'PTHR31506:SF19', NULL, NULL, NULL, NULL, 'BES1/BZR1 HOMOLOG PROTEIN 4', 187415),
(243690, 'PTHR47977:SF25', NULL, NULL, NULL, NULL, 'BNACNNG56810D PROTEIN', 187416),
(243691, 'PTHR44835:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--PEPTIDE N-ACETYLGLUCOSAMINYLTRANSFERASE SPINDLY-RELATED', 187417),
(243692, 'PTHR31707:SF287', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 187418);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(243693, 'PTHR15664:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187419),
(243694, 'PTHR22802:SF368', NULL, NULL, NULL, NULL, 'CD209F ANTIGEN-RELATED', 187420),
(243695, 'PTHR15904', NULL, NULL, NULL, NULL, 'FAM13', 187421),
(243696, 'PTHR38448:SF1', NULL, NULL, NULL, NULL, 'IG HYPOTHETICAL 16757', 187422),
(243697, 'PTHR46503:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187423),
(243698, 'PTHR48104:SF9', NULL, NULL, NULL, NULL, 'METACASPASE 4-RELATED', 187424),
(243699, 'PTHR42757:SF17', NULL, NULL, NULL, NULL, 'OPIOID-BINDING PROTEIN/CELL ADHESION MOLECULE', 187425),
(243700, 'PTHR23073:SF112', NULL, NULL, NULL, NULL, '26S PROTEASE REGULATORY SUBUNIT 7 HOMOLOG A', 187426),
(243701, 'PTHR12358:SF25', NULL, NULL, NULL, NULL, 'CERAMIDE KINASE', 187427),
(243702, 'PTHR46537:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1A-RELATED', 187428),
(243703, 'PTHR47062:SF2', NULL, NULL, NULL, NULL, 'SMALL HEAT SHOCK PROTEIN IBPB', 187429),
(243704, 'PTHR23420:SF24', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', 187430),
(243705, 'PTHR21027', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN54', 187431),
(243706, 'PTHR45295', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ C76, CHLOROPLASTIC', 187432),
(243707, 'PTHR35703', NULL, NULL, NULL, NULL, 'HEME OXYGENASE 1, CHLOROPLASTIC-RELATED', 187433),
(243708, 'PTHR33431:SF5', NULL, NULL, NULL, NULL, 'BNAA10G12740D PROTEIN', 187434),
(243709, 'PTHR24365:SF23', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 10', 187435),
(243710, 'PTHR20854:SF46', NULL, NULL, NULL, NULL, 'INOSITOL MONOPHOSPHATASE 2', 187436),
(243711, 'PTHR11260:SF588', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187437),
(243712, 'PTHR46064', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE ACCESSORY SUBUNIT 2', 187438),
(243713, 'PTHR32100:SF47', NULL, NULL, NULL, NULL, 'ACYL-LIPID OMEGA-3 DESATURASE (CYTOCHROME B5), ENDOPLASMIC RETICULUM', 187439),
(243714, 'PTHR11240:SF51', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 2', 187440),
(243715, 'PTHR11711:SF322', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 6A', 187441),
(243716, 'PTHR33091:SF29', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 187442),
(243717, 'PTHR32246:SF119', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 187443),
(243718, 'PTHR33271:SF22', NULL, NULL, NULL, NULL, 'OS04G0445200 PROTEIN', 187444),
(243719, 'PTHR42896:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 187445),
(243720, 'PTHR16223:SF262', NULL, NULL, NULL, NULL, 'BNAA01G26110D PROTEIN', 187446),
(243721, 'PTHR33128:SF70', NULL, NULL, NULL, NULL, 'BNAA06G32460D PROTEIN', 187447),
(243722, 'PTHR33834:SF7', NULL, NULL, NULL, NULL, 'OS01G0214500 PROTEIN', 187448),
(243723, 'PTHR21495:SF80', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 23', 187449),
(243724, 'PTHR30477:SF17', NULL, NULL, NULL, NULL, 'IRON TRANSPORT SYSTEM MEMBRANE PROTEIN HI_0360-RELATED', 187450),
(243725, 'PTHR43829:SF10', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', 187451),
(243726, 'PTHR11177', NULL, NULL, NULL, NULL, 'CHITINASE', 187452),
(243727, 'PTHR34285:SF9', NULL, NULL, NULL, NULL, 'OS09G0491676 PROTEIN', 187453),
(243728, 'PTHR31448:SF39', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 4-RELATED', 187454),
(243729, 'PTHR16140:SF1', NULL, NULL, NULL, NULL, 'EP300-INTERACTING INHIBITOR OF DIFFERENTIATION 3', 187455),
(243730, 'PTHR35719', NULL, NULL, NULL, NULL, 'OS01G0680600 PROTEIN', 187456),
(243731, 'PTHR23315:SF291', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 187457),
(243732, 'PTHR22844:SF223', NULL, NULL, NULL, NULL, 'F3I6.5 PROTEIN', 187458),
(243733, 'PTHR43791:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187459),
(243734, 'PTHR21136:SF179', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 7', 187460),
(243735, 'PTHR33512:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187461),
(243736, 'PTHR45648:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187462),
(243737, 'PTHR45788:SF4', NULL, NULL, NULL, NULL, 'TRICARBOXYLATE TRANSPORT PROTEIN, MITOCHONDRIAL', 187463); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(243738, 'PTHR12953:SF5', NULL, NULL, NULL, NULL, 'GALACTOSE-BINDING PROTEIN', 187464),
(243739, 'PTHR13234:SF8', NULL, NULL, NULL, NULL, 'GAMMA-INTERFERON-INDUCIBLE LYSOSOMAL THIOL REDUCTASE', 187465),
(243740, 'PTHR46662:SF22', NULL, NULL, NULL, NULL, 'BNAC07G31110D PROTEIN', 187466),
(243741, 'PTHR45801:SF68', NULL, NULL, NULL, NULL, 'CHAIN A, NMR STRUCTURE OF THE SINGLE QALGGH ZINC FINGER DOMAIN FROM ARABIDOPSIS THALIANA SUPERMAN PROTEIN', 187467),
(243742, 'PTHR13469:SF3', NULL, NULL, NULL, NULL, 'PROTEIN HEXIM2', 187468),
(243743, 'PTHR19424:SF3', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR-BINDING PROTEIN 1', 187469),
(243744, 'PTHR48010:SF31', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE-RELATED', 187470),
(243745, 'PTHR22572:SF144', NULL, NULL, NULL, NULL, 'SLR0007 PROTEIN', 187471),
(243746, 'PTHR37625', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE LIPOPROTEIN-RELATED', 187472),
(243747, 'PTHR15892:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L30, FERREDOXIN-LIKE FOLD DOMAIN-CONTAINING PROTEIN-RELATED', 187473),
(243748, 'PTHR47992:SF85', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 6-RELATED', 187474),
(243749, 'PTHR21504:SF5', NULL, NULL, NULL, NULL, 'C. ELEGANS HOMEOBOX', 187475),
(243750, 'PTHR45689:SF3', NULL, NULL, NULL, NULL, 'POTASSIUM/SODIUM HYPERPOLARIZATION-ACTIVATED CYCLIC NUCLEOTIDE-GATED CHANNEL 1', 187476),
(243751, 'PTHR19384:SF76', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE', 187477),
(243752, 'PTHR21181:SF7', NULL, NULL, NULL, NULL, 'MEMBRANE MAGNESIUM TRANSPORTER 1', 187478),
(243753, 'PTHR43158:SF10', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN YTRB', 187479),
(243754, 'PTHR12911:SF16', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 4 PROTEIN', 187480),
(243755, 'PTHR20859:SF55', NULL, NULL, NULL, NULL, 'INTERFERON LAMBDA RECEPTOR 1', 187481),
(243756, 'PTHR24281:SF162', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 76A1', 187482),
(243757, 'PTHR47416', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER TRANSCRIPTION FACTOR F-RELATED', 187483),
(243758, 'PTHR11431:SF30', NULL, NULL, NULL, NULL, 'FERRITIN, MITOCHONDRIAL', 187484),
(243759, 'PTHR15736:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM131C', 187485),
(243760, 'PTHR31650:SF57', NULL, NULL, NULL, NULL, 'BNAC03G14900D PROTEIN', 187486),
(243761, 'PTHR47983:SF16', NULL, NULL, NULL, NULL, 'OS03G0226300 PROTEIN', 187487),
(243762, 'PTHR24223:SF215', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 4', 187488),
(243763, 'PTHR26379:SF191', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 2', 187489),
(243764, 'PTHR12510:SF17', NULL, NULL, NULL, NULL, 'BUTIROSIN BIOSYNTHESIS, BTRG-LIKE PROTEIN-RELATED', 187490),
(243765, 'PTHR21562:SF91', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 187491),
(243766, 'PTHR43751:SF5', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE-6-O-SULFATASE', 187492),
(243767, 'PTHR12210:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187493),
(243768, 'PTHR14014:SF0', NULL, NULL, NULL, NULL, 'TELOMERE REPEATS-BINDING BOUQUET FORMATION PROTEIN 1', 187494),
(243769, 'PTHR46784:SF3', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY B MEMBER 1F', 187495),
(243770, 'PTHR46310:SF7', NULL, NULL, NULL, NULL, 'AMIDASE 1', 187496),
(243771, 'PTHR45090:SF15', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 20, CHLOROPLASTIC-LIKE', 187497),
(243772, 'PTHR33596:SF18', NULL, NULL, NULL, NULL, 'COLD-REGULATED 413 PLASMA MEMBRANE PROTEIN 1-RELATED', 187498),
(243773, 'PTHR46065:SF1', NULL, NULL, NULL, NULL, 'ZGC:158785', 187499),
(243774, 'PTHR47926:SF38', NULL, NULL, NULL, NULL, 'OS08G0138600 PROTEIN', 187500),
(243775, 'PTHR46043:SF15', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', 187501),
(243776, 'PTHR43763:SF4', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE 2', 187502),
(243777, 'PTHR10168:SF56', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C6', 187503),
(243778, 'PTHR24206:SF68', NULL, NULL, NULL, NULL, 'LIM DOMAIN CONTAINING PROTEIN, EXPRESSED', 187504),
(243779, 'PTHR21261', NULL, NULL, NULL, NULL, 'BEAT PROTEIN', 187505);
INSERT INTO "PUBLIC"."MODEL" VALUES
(243780, 'PTHR16675:SF148', NULL, NULL, NULL, NULL, 'UL16-BINDING PROTEIN 2-RELATED', 187506),
(243781, 'PTHR42770', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER-RELATED', 187507),
(243782, 'PTHR23274', NULL, NULL, NULL, NULL, 'DNA HELICASE-RELATED', 187508),
(243783, 'PTHR36986', NULL, NULL, NULL, NULL, 'UPF0643 PROTEIN PB2B2.08', 187509),
(243784, 'PTHR23349:SF41', NULL, NULL, NULL, NULL, 'HEART- AND NEURAL CREST DERIVATIVES-EXPRESSED PROTEIN 2', 187510),
(243785, 'PTHR23167:SF68', NULL, NULL, NULL, NULL, 'MICAL C-TERMINAL-LIKE PROTEIN', 187511),
(243786, 'PTHR48001:SF147', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 3A3', 187512),
(243787, 'PTHR10336:SF29', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE ZETA-1', 187513),
(243788, 'PTHR10366:SF686', NULL, NULL, NULL, NULL, 'NADPH HC TOXIN REDUCTASE', 187514),
(243789, 'PTHR47487:SF9', NULL, NULL, NULL, NULL, 'OS09G0421700 PROTEIN', 187515),
(243790, 'PTHR11817:SF67', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 187516),
(243791, 'PTHR33159:SF55', NULL, NULL, NULL, NULL, 'BNAA09G03110D PROTEIN', 187517),
(243792, 'PTHR46813:SF3', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 19', 187518),
(243793, 'PTHR47977:SF26', NULL, NULL, NULL, NULL, 'LD21953P', 187519),
(243794, 'PTHR10978', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE CYTOCHROME B560 SUBUNIT', 187520),
(243795, 'PTHR33076:SF46', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', 187521),
(243796, 'PTHR46018:SF4', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE YHFI-RELATED', 187522),
(243797, 'PTHR15718:SF7', NULL, NULL, NULL, NULL, 'G PROTEIN-REGULATED INDUCER OF NEURITE OUTGROWTH 1', 187523),
(243798, 'PTHR22948:SF55', NULL, NULL, NULL, NULL, 'ENHANCED RNAI (RNA INTERFERENCE)', 187524),
(243799, 'PTHR30417:SF10', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE AMID', 187525),
(243800, 'PTHR31232:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187526),
(243801, 'PTHR43486', NULL, NULL, NULL, NULL, 'LIPID II FLIPPASE MURJ-RELATED', 187527),
(243802, 'PTHR22848:SF0', NULL, NULL, NULL, NULL, 'WD40 REPEAT-CONTAINING PROTEIN SMU1', 187528),
(243803, 'PTHR15749:SF4', NULL, NULL, NULL, NULL, 'FANCONI-ASSOCIATED NUCLEASE 1', 187529),
(243804, 'PTHR19860:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187530),
(243805, 'PTHR31642:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187531),
(243806, 'PTHR10411:SF3', NULL, NULL, NULL, NULL, 'GROWTH ARREST AND DNA DAMAGE-INDUCIBLE PROTEIN GADD45 ALPHA', 187532),
(243807, 'PTHR23017:SF45', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 187533),
(243808, 'PTHR33102:SF36', NULL, NULL, NULL, NULL, 'OS01G0525700 PROTEIN', 187534),
(243809, 'PTHR33352:SF3', NULL, NULL, NULL, NULL, 'SLR1612 PROTEIN', 187535),
(243810, 'PTHR20977', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 187536),
(243811, 'PTHR31645:SF15', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL1-RELATED', 187537),
(243812, 'PTHR21694', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 187538),
(243813, 'PTHR15710:SF87', NULL, NULL, NULL, NULL, 'BNAA02G13670D PROTEIN', 187539),
(243814, 'PTHR23257:SF867', NULL, NULL, NULL, NULL, 'RGS DOMAIN-CONTAINING SERINE/THREONINE-PROTEIN KINASE A', 187540),
(243815, 'PTHR19443:SF15', NULL, NULL, NULL, NULL, 'HEXOKINASE-6', 187541),
(243816, 'PTHR43939:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187542),
(243817, 'PTHR28388', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 237', 187543),
(243818, 'PTHR45764:SF50', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 187544),
(243819, 'PTHR12029', NULL, NULL, NULL, NULL, 'RNA METHYLTRANSFERASE', 187545),
(243820, 'PTHR32382:SF59', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 8', 187546),
(243821, 'PTHR33675:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187547),
(243822, 'PTHR46148:SF38', NULL, NULL, NULL, NULL, 'PROTEIN NYNRIN-LIKE', 187548),
(243823, 'PTHR19981:SF35', NULL, NULL, NULL, NULL, 'TALIN-B', 187549),
(243824, 'PTHR31917:SF84', NULL, NULL, NULL, NULL, 'AGENET-LIKE DOMAIN, AGENET DOMAIN, PLANT TYPE-RELATED', 187550);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(243825, 'PTHR23147:SF185', NULL, NULL, NULL, NULL, 'NUCLEOTIDE BINDING', 187551),
(243826, 'PTHR36411:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN T', 187552),
(243827, 'PTHR47032:SF4', NULL, NULL, NULL, NULL, 'BNAA01G21910D PROTEIN', 187553),
(243828, 'PTHR46558:SF4', NULL, NULL, NULL, NULL, 'TRACRIPTIONAL REGULATORY PROTEIN-RELATED', 187554),
(243829, 'PTHR34001:SF3', NULL, NULL, NULL, NULL, 'BLL7405 PROTEIN', 187555),
(243830, 'PTHR44281:SF1', NULL, NULL, NULL, NULL, 'SPINDLE ASSEMBLY ABNORMAL PROTEIN 6 HOMOLOG', 187556),
(243831, 'PTHR43708:SF7', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 187557),
(243832, 'PTHR46419:SF11', NULL, NULL, NULL, NULL, 'BNAC02G44640D PROTEIN', 187558),
(243833, 'PTHR33085:SF47', NULL, NULL, NULL, NULL, 'OS02G0513400 PROTEIN', 187559),
(243834, 'PTHR24296:SF211', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', 187560),
(243835, 'PTHR43748:SF1', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE 4, CHLOROPLASTIC-RELATED', 187561),
(243836, 'PTHR47758', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS M-RELATED', 187562),
(243837, 'PTHR16631:SF13', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE EGLC-RELATED', 187563),
(243838, 'PTHR22765:SF53', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 148', 187564),
(243839, 'PTHR24221:SF294', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY B (MDR/TAP), MEMBER 5', 187565),
(243840, 'PTHR10231:SF66', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER', 187566),
(243841, 'PTHR46350:SF2', NULL, NULL, NULL, NULL, 'RAS LIKE FAMILY 10 MEMBER B-RELATED', 187567),
(243842, 'PTHR43620', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHORYL DIESTER PHOSPHODIESTERASE', 187568),
(243843, 'PTHR47695:SF1', NULL, NULL, NULL, NULL, 'DAB2, CLATHRIN ADAPTOR PROTEIN', 187569),
(243844, 'PTHR22894', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 187570),
(243845, 'PTHR46781:SF5', NULL, NULL, NULL, NULL, 'ALPHA 1,4-GLYCOSYLTRANSFERASE FAMILY PROTEIN', 187571),
(243846, 'PTHR11890:SF26', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR TYPE 1', 187572),
(243847, 'PTHR30620:SF89', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE BOGH3B-LIKE', 187573),
(243848, 'PTHR31871:SF14', NULL, NULL, NULL, NULL, 'OS01G0220200 PROTEIN', 187574),
(243849, 'PTHR17005', NULL, NULL, NULL, NULL, 'MALE-ENHANCED ANTIGEN-1', 187575),
(243850, 'PTHR11627:SF72', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 187576),
(243851, 'PTHR20968:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187577),
(243852, 'PTHR24044:SF450', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 4', 187578),
(243853, 'PTHR48053:SF46', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM2', 187579),
(243854, 'PTHR43511:SF10', NULL, NULL, NULL, NULL, 'UTP-GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', 187580),
(243855, 'PTHR10460:SF41', NULL, NULL, NULL, NULL, 'BNAA03G60460D PROTEIN', 187581),
(243856, 'PTHR24242', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', 187582),
(243857, 'PTHR43050:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187583),
(243858, 'PTHR43229:SF5', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORTER', 187584),
(243859, 'PTHR23172', NULL, NULL, NULL, NULL, 'AUXILIN/CYCLIN G-ASSOCIATED KINASE-RELATED', 187585),
(243860, 'PTHR24348:SF56', NULL, NULL, NULL, NULL, 'BNAC06G18300D PROTEIN', 187586),
(243861, 'PTHR10196:SF53', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE 2', 187587),
(243862, 'PTHR46431:SF15', NULL, NULL, NULL, NULL, 'BNAC02G34430D PROTEIN', 187588),
(243863, 'PTHR22870:SF415', NULL, NULL, NULL, NULL, 'GTPASE BINDING PROTEIN, PUTATIVE-RELATED', 187589),
(243864, 'PTHR19143:SF222', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-RELATED PROTEIN 3', 187590),
(243865, 'PTHR10579:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', 187591),
(243866, 'PTHR12621:SF8', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-1-BINDING PROTEIN 2', 187592),
(243867, 'PTHR31189:SF50', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL FOLD PROTEIN-RELATED', 187593);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(243868, 'PTHR31475', NULL, NULL, NULL, NULL, 'UPF0462 PROTEIN', 187594),
(243869, 'PTHR12146:SF23', NULL, NULL, NULL, NULL, 'BNACNNG17420D PROTEIN', 187595),
(243870, 'PTHR48018:SF71', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 187596),
(243871, 'PTHR23500:SF429', NULL, NULL, NULL, NULL, 'POLYOL/MONOSACCHARIDE TRANSPORTER 1', 187597),
(243872, 'PTHR40034:SF1', NULL, NULL, NULL, NULL, 'BSL5891 PROTEIN', 187598),
(243873, 'PTHR19965:SF72', NULL, NULL, NULL, NULL, 'BNAA10G12880D PROTEIN', 187599),
(243874, 'PTHR42921:SF1', NULL, NULL, NULL, NULL, 'ACETOACETYL-COA SYNTHETASE', 187600),
(243875, 'PTHR23502:SF160', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G01480)-RELATED', 187601),
(243876, 'PTHR11626:SF4', NULL, NULL, NULL, NULL, 'SQUALENE SYNTHASE-LIKE', 187602),
(243877, 'PTHR34128:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN CCME HOMOLOG, MITOCHONDRIAL', 187603),
(243878, 'PTHR32444:SF30', NULL, NULL, NULL, NULL, 'OS11G0149900 PROTEIN', 187604),
(243879, 'PTHR47142', NULL, NULL, NULL, NULL, 'BETA-CATENIN-INTERACTING PROTEIN 1', 187605),
(243880, 'PTHR23316:SF53', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-6', 187606),
(243881, 'PTHR11639:SF71', NULL, NULL, NULL, NULL, 'UPF0607 PROTEIN ENSP00000332738-RELATED', 187607),
(243882, 'PTHR31731:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187608),
(243883, 'PTHR11852:SF1', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE IB SUBUNIT BETA', 187609),
(243884, 'PTHR45036', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE LIKE 7B', 187610),
(243885, 'PTHR24416:SF340', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR TORSO', 187611),
(243886, 'PTHR11502:SF6', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', 187612),
(243887, 'PTHR24637:SF297', NULL, NULL, NULL, NULL, 'COLLAGEN', 187613),
(243888, 'PTHR31072:SF114', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PCF6', 187614),
(243889, 'PTHR23279:SF2', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 19, ISOFORM A', 187615),
(243890, 'PTHR32044:SF84', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 5-RELATED', 187616),
(243891, 'PTHR43031:SF1', NULL, NULL, NULL, NULL, 'PHAGE SHOCK PROTEIN E-RELATED PROTEIN', 187617),
(243892, 'PTHR10285:SF167', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE', 187618),
(243893, 'PTHR31929:SF76', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR22-LIKE', 187619),
(243894, 'PTHR31062:SF95', NULL, NULL, NULL, NULL, 'OS02G0280300 PROTEIN', 187620),
(243895, 'PTHR11879:SF48', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 187621),
(243896, 'PTHR45708:SF22', NULL, NULL, NULL, NULL, 'ACIDIC ENDOCHITINASE', 187622),
(243897, 'PTHR31739:SF28', NULL, NULL, NULL, NULL, 'COPALYL DIPHOSPHATE SYNTHASE3', 187623),
(243898, 'PTHR34598:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G13140)-RELATED', 187624),
(243899, 'PTHR11533:SF279', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', 187625),
(243900, 'PTHR45658:SF37', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER FAMILY PROTEIN, EXPRESSED', 187626),
(243901, 'PTHR13119:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 6', 187627),
(243902, 'PTHR48101:SF2', NULL, NULL, NULL, NULL, 'METHYLMALONYL-COA MUTASE SMALL SUBUNIT-RELATED', 187628),
(243903, 'PTHR13533', NULL, NULL, NULL, NULL, 'N-ACETYLNEURAMINATE 9-O-ACETYLTRANSFERASE', 187629),
(243904, 'PTHR34364:SF13', NULL, NULL, NULL, NULL, 'BNAA05G13930D PROTEIN', 187630),
(243905, 'PTHR10782', NULL, NULL, NULL, NULL, 'ZINC FINGER MIZ DOMAIN-CONTAINING PROTEIN', 187631),
(243906, 'PTHR23155:SF1141', NULL, NULL, NULL, NULL, 'FUSARIUM RESISTANCE PROTEIN I2C-5-LIKE', 187632),
(243907, 'PTHR12411:SF746', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187633),
(243908, 'PTHR11945:SF662', NULL, NULL, NULL, NULL, 'BNAA01G26610D PROTEIN', 187634),
(243909, 'PTHR31509:SF120', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', 187635),
(243910, 'PTHR31948:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187636),
(243911, 'PTHR10125:SF28', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR', 187637);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(243912, 'PTHR11208:SF129', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING PROTEIN', 187638),
(243913, 'PTHR47938:SF21', NULL, NULL, NULL, NULL, 'OS02G0132100 PROTEIN', 187639),
(243914, 'PTHR21649:SF122', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', 187640),
(243915, 'PTHR24377:SF715', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187641),
(243916, 'PTHR47508', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 187642),
(243917, 'PTHR32295:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187643),
(243918, 'PTHR37610:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187644),
(243919, 'PTHR11438:SF5', NULL, NULL, NULL, NULL, 'PREPRONOCICEPTIN', 187645),
(243920, 'PTHR21812:SF1', NULL, NULL, NULL, NULL, 'INO80 COMPLEX SUBUNIT E', 187646),
(243921, 'PTHR31062:SF151', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 187647),
(243922, 'PTHR45613:SF358', NULL, NULL, NULL, NULL, 'OS06G0565000 PROTEIN', 187648),
(243923, 'PTHR42788:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORT ATPASE (NITRATE/FE)', 187649),
(243924, 'PTHR47993:SF31', NULL, NULL, NULL, NULL, 'AND ASSOCIATED INTERACTION DOMAINS-CONTAINING PROTEIN, PUTATIVE ISOFORM 1-RELATED', 187650),
(243925, 'PTHR23074:SF78', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A-LIKE 2', 187651),
(243926, 'PTHR48008:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187652),
(243927, 'PTHR48002:SF64', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 187653),
(243928, 'PTHR19241:SF306', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 46', 187654),
(243929, 'PTHR21177:SF4', NULL, NULL, NULL, NULL, 'IP06524P', 187655),
(243930, 'PTHR31284:SF46', NULL, NULL, NULL, NULL, 'BNAA02G22460D PROTEIN', 187656),
(243931, 'PTHR24118:SF40', NULL, NULL, NULL, NULL, 'CHARON', 187657),
(243932, 'PTHR48018:SF20', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 187658),
(243933, 'PTHR47867:SF1', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 187659),
(243934, 'PTHR11157:SF140', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN', 187660),
(243935, 'PTHR13595:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 6-INTERACTING PROTEIN 4', 187661),
(243936, 'PTHR37867', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 86', 187662),
(243937, 'PTHR11461:SF48', NULL, NULL, NULL, NULL, 'GLIA-DERIVED NEXIN', 187663),
(243938, 'PTHR46128:SF93', NULL, NULL, NULL, NULL, 'BNAA09G39110D PROTEIN', 187664),
(243939, 'PTHR31839:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187665),
(243940, 'PTHR10071:SF317', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN DAL80', 187666),
(243941, 'PTHR27001:SF887', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 2', 187667),
(243942, 'PTHR45750', NULL, NULL, NULL, NULL, 'GH11602P', 187668),
(243943, 'PTHR33137:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15A-RELATED', 187669),
(243944, 'PTHR46834:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH89', 187670),
(243945, 'PTHR35766:SF1', NULL, NULL, NULL, NULL, 'OS08G0543600 PROTEIN', 187671),
(243946, 'PTHR44549', NULL, NULL, NULL, NULL, 'ENDOTHELIAL CELL-SELECTIVE ADHESION MOLECULE', 187672),
(243947, 'PTHR10537:SF3', NULL, NULL, NULL, NULL, 'DNA PRIMASE LARGE SUBUNIT', 187673),
(243948, 'PTHR36162:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG15041', 187674),
(243949, 'PTHR10664:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS BC (CLASS B-LIKE)', 187675),
(243950, 'PTHR33101:SF1', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 5', 187676),
(243951, 'PTHR12835', NULL, NULL, NULL, NULL, 'BIOTIN PROTEIN LIGASE', 187677),
(243952, 'PTHR35288:SF1', NULL, NULL, NULL, NULL, 'TAIL FIBER', 187678),
(243953, 'PTHR34291:SF1', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 187679),
(243954, 'PTHR31884', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', 187680),
(243955, 'PTHR36440:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_8G07350)-RELATED', 187681);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(243956, 'PTHR30146:SF24', NULL, NULL, NULL, NULL, 'XYLOSE OPERON REGULATORY PROTEIN', 187682),
(243957, 'PTHR23292:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG22771', 187683),
(243958, 'PTHR46220:SF9', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN-RELATED', 187684),
(243959, 'PTHR33494:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187685),
(243960, 'PTHR13713:SF37', NULL, NULL, NULL, NULL, 'CMP-N-ACETYLNEURAMINATE-BETA-1,4-GALACTOSIDE ALPHA-2,3-SIALYLTRANSFERASE', 187686),
(243961, 'PTHR48234', NULL, NULL, NULL, NULL, 'GH09231P', 187687),
(243962, 'PTHR24020:SF60', NULL, NULL, NULL, NULL, 'PROTEIN CBG09096', 187688),
(243963, 'PTHR22722:SF5', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 2', 187689),
(243964, 'PTHR46978', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', 187690),
(243965, 'PTHR12801:SF114', NULL, NULL, NULL, NULL, 'EXONUCLEASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00870)-RELATED', 187691),
(243966, 'PTHR31314:SF120', NULL, NULL, NULL, NULL, 'BNAA06G00030D PROTEIN', 187692),
(243967, 'PTHR12677:SF52', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', 187693),
(243968, 'PTHR12505:SF25', NULL, NULL, NULL, NULL, 'BAH DOMAIN AND COILED-COIL-CONTAINING 1A', 187694),
(243969, 'PTHR24300:SF326', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2AA2-RELATED', 187695),
(243970, 'PTHR47938:SF4', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', 187696),
(243971, 'PTHR31499:SF35', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', 187697),
(243972, 'PTHR24416:SF137', NULL, NULL, NULL, NULL, 'RECEPTOR TYROSINE-PROTEIN KINASE ERBB-2', 187698),
(243973, 'PTHR23213:SF345', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 7', 187699),
(243974, 'PTHR23257:SF720', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT SERINE/THREONINE-PROTEIN KINASE 1', 187700),
(243975, 'PTHR15572:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0055C08.13 PROTEIN', 187701),
(243976, 'PTHR31901:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187702),
(243977, 'PTHR10641:SF596', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN ZM1', 187703),
(243978, 'PTHR27000:SF709', NULL, NULL, NULL, NULL, 'OS01G0742400 PROTEIN', 187704),
(243979, 'PTHR12990:SF5', NULL, NULL, NULL, NULL, 'MESENCEPHALIC ASTROCYTE-DERIVED NEUROTROPHIC FACTOR HOMOLOG', 187705),
(243980, 'PTHR46852', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE', 187706),
(243981, 'PTHR24414:SF133', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', 187707),
(243982, 'PTHR31137:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PSIG', 187708),
(243983, 'PTHR31839:SF23', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1A-RELATED', 187709),
(243984, 'PTHR32099:SF75', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 29', 187710),
(243985, 'PTHR35725:SF3', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 25', 187711),
(243986, 'PTHR10201:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187712),
(243987, 'PTHR43109:SF2', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE 7', 187713),
(243988, 'PTHR10256:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187714),
(243989, 'PTHR10627:SF69', NULL, NULL, NULL, NULL, 'PROTEIN BICAUDAL C HOMOLOG 1', 187715),
(243990, 'PTHR23213:SF362', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 3', 187716),
(243991, 'PTHR45825:SF2', NULL, NULL, NULL, NULL, 'STARCH SYNTHASE 2, CHLOROPLASTIC/AMYLOPLASTIC', 187717),
(243992, 'PTHR46441', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EPIDIDYMAL FAMILY MEMBER 3', 187718),
(243993, 'PTHR48041:SF12', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 1', 187719),
(243994, 'PTHR10188:SF34', NULL, NULL, NULL, NULL, 'BNAC01G35480D PROTEIN', 187720),
(243995, 'PTHR10849:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187721),
(243996, 'PTHR31675:SF31', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 2-LIKE ISOFORM X1', 187722),
(243997, 'PTHR11761:SF18', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN HLP, MITOCHONDRIAL', 187723);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(243998, 'PTHR10127', NULL, NULL, NULL, NULL, 'DISCOIDIN, CUB, EGF, LAMININ , AND ZINC METALLOPROTEASE DOMAIN CONTAINING', 187724),
(243999, 'PTHR10218:SF66', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(T) SUBUNIT ALPHA-3', 187725),
(244000, 'PTHR31152:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HAKAI-LIKE ISOFORM X1', 187726),
(244001, 'PTHR35013:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04660', 187727),
(244002, 'PTHR12411:SF747', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN', 187728),
(244003, 'PTHR24298:SF59', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 705, SUBFAMILY A, POLYPEPTIDE 25-RELATED', 187729),
(244004, 'PTHR13044:SF39', NULL, NULL, NULL, NULL, 'ATF (CAMP-DEPENDENT TRANSCRIPTION FACTOR) FAMILY', 187730),
(244005, 'PTHR34405:SF1', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDORIBONUCLEASE CAS2', 187731),
(244006, 'PTHR34709:SF12', NULL, NULL, NULL, NULL, 'OS10G0396666 PROTEIN', 187732),
(244007, 'PTHR16166:SF91', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13B-RELATED', 187733),
(244008, 'PTHR12604', NULL, NULL, NULL, NULL, 'KU AUTOANTIGEN DNA HELICASE', 187734),
(244009, 'PTHR22957:SF489', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 21', 187735),
(244010, 'PTHR23503:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187736),
(244011, 'PTHR26450:SF35', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 187737),
(244012, 'PTHR31845:SF20', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE-RELATED', 187738),
(244013, 'PTHR11700:SF26', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN S10', 187739),
(244014, 'PTHR13691:SF5', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L2, MITOCHONDRIAL', 187740),
(244015, 'PTHR37216:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187741),
(244016, 'PTHR14247:SF6', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 3C', 187742),
(244017, 'PTHR23333:SF39', NULL, NULL, NULL, NULL, 'BNAA04G12510D PROTEIN', 187743),
(244018, 'PTHR31469:SF7', NULL, NULL, NULL, NULL, 'CALCIUM ION BINDING', 187744),
(244019, 'PTHR32054:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 15', 187745),
(244020, 'PTHR10334:SF476', NULL, NULL, NULL, NULL, 'BNAA08G11460D PROTEIN', 187746),
(244021, 'PTHR45707:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187747),
(244022, 'PTHR32116:SF12', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 7-RELATED', 187748),
(244023, 'PTHR20913', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 20/GTPASE', 187749),
(244024, 'PTHR11802:SF342', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 187750),
(244025, 'PTHR13723:SF159', NULL, NULL, NULL, NULL, 'SI:CH211-267E7.3', 187751),
(244026, 'PTHR31639:SF23', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX', 187752),
(244027, 'PTHR13140:SF809', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, UNCONVENTIONAL MYOSIN', 187753),
(244028, 'PTHR22882:SF3', NULL, NULL, NULL, NULL, 'SYNPHILIN-1', 187754),
(244029, 'PTHR10612:SF11', NULL, NULL, NULL, NULL, 'KARL, ISOFORM A', 187755),
(244030, 'PTHR31683', NULL, NULL, NULL, NULL, 'PECTATE LYASE 18-RELATED', 187756),
(244031, 'PTHR21705', NULL, NULL, NULL, NULL, 'RAI16 PROTEIN-RELATED', 187757),
(244032, 'PTHR46213:SF18', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE-RELATED', 187758),
(244033, 'PTHR11412:SF163', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C3A, DUPLICATE 1-RELATED', 187759),
(244034, 'PTHR35524:SF1', NULL, NULL, NULL, NULL, 'ALPHA-ACETOLACTATE DECARBOXYLASE', 187760),
(244035, 'PTHR31604:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR STY-LRP1 FAMILY-RELATED', 187761),
(244036, 'PTHR33402:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187762),
(244037, 'PTHR12374:SF27', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 187763),
(244038, 'PTHR15739:SF4', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 41', 187764),
(244039, 'PTHR34827', NULL, NULL, NULL, NULL, 'INSULIN GROWTH FACTOR-LIKE FAMILY MEMBER 3-RELATED', 187765),
(244040, 'PTHR23162:SF10', NULL, NULL, NULL, NULL, 'FI13205P', 187766);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(244041, 'PTHR22950:SF663', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', 187767),
(244042, 'PTHR11278:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', 187768),
(244043, 'PTHR23192:SF34', NULL, NULL, NULL, NULL, 'NOELIN', 187769),
(244044, 'PTHR11017:SF374', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', 187770),
(244045, 'PTHR27008:SF403', NULL, NULL, NULL, NULL, 'OS09G0110100 PROTEIN', 187771),
(244046, 'PTHR48001:SF114', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1C1', 187772),
(244047, 'PTHR11468:SF3', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE', 187773),
(244048, 'PTHR34847', NULL, NULL, NULL, NULL, 'NODULATION PROTEIN U', 187774),
(244049, 'PTHR23104:SF10', NULL, NULL, NULL, NULL, 'MULTIPLE COAGULATION FACTOR DEFICIENCY PROTEIN 2', 187775),
(244050, 'PTHR23077:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187776),
(244051, 'PTHR33333:SF18', NULL, NULL, NULL, NULL, 'OS07G0605900 PROTEIN', 187777),
(244052, 'PTHR14379:SF26', NULL, NULL, NULL, NULL, 'BNAA01G25060D PROTEIN', 187778),
(244053, 'PTHR31354:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187779),
(244054, 'PTHR23103:SF7', NULL, NULL, NULL, NULL, 'AMYLOID-BETA PRECURSOR PROTEIN', 187780),
(244055, 'PTHR10677:SF3', NULL, NULL, NULL, NULL, 'FI07626P-RELATED', 187781),
(244056, 'PTHR31561:SF144', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 187782),
(244057, 'PTHR46777:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187783),
(244058, 'PTHR47786:SF2', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN:MALTOSE-1-PHOSPHATE MALTOSYLTRANSFERASE', 187784),
(244059, 'PTHR48006:SF14', NULL, NULL, NULL, NULL, 'BNAC03G12520D PROTEIN', 187785),
(244060, 'PTHR47991:SF82', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', 187786),
(244061, 'PTHR24062:SF171', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 187787),
(244062, 'PTHR11709:SF380', NULL, NULL, NULL, NULL, 'LACCASE-4', 187788),
(244063, 'PTHR31065:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187789),
(244064, 'PTHR13707:SF30', NULL, NULL, NULL, NULL, 'SUCCINYL-COA:3-KETOACID COENZYME A TRANSFERASE 1, MITOCHONDRIAL', 187790),
(244065, 'PTHR11417:SF29', NULL, NULL, NULL, NULL, 'PROLACTIN-7C1', 187791),
(244066, 'PTHR11851:SF192', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA', 187792),
(244067, 'PTHR19957:SF224', NULL, NULL, NULL, NULL, 'SYNTAXIN-61', 187793),
(244068, 'PTHR43363', NULL, NULL, NULL, NULL, 'HYPOXANTHINE PHOSPHORIBOSYLTRANSFERASE', 187794),
(244069, 'PTHR26454:SF31', NULL, NULL, NULL, NULL, 'MCG1036559', 187795),
(244070, 'PTHR43691:SF11', NULL, NULL, NULL, NULL, 'URIDINE PHOSPHORYLASE', 187796),
(244071, 'PTHR33875:SF3', NULL, NULL, NULL, NULL, 'OSJNBB0015G09.12 PROTEIN', 187797),
(244072, 'PTHR31221:SF256', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187798),
(244073, 'PTHR47620:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 2 OPEN READING FRAME 66', 187799),
(244074, 'PTHR47327:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG00402', 187800),
(244075, 'PTHR24346:SF1', NULL, NULL, NULL, NULL, 'MAP/MICROTUBULE AFFINITY-REGULATING KINASE 3', 187801),
(244076, 'PTHR26452:SF125', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13A1', 187802),
(244077, 'PTHR11709:SF117', NULL, NULL, NULL, NULL, 'MULTICOPPER OXIDASE LPR1 HOMOLOG 4', 187803),
(244078, 'PTHR34574:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187804),
(244079, 'PTHR11132:SF397', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', 187805),
(244080, 'PTHR34766:SF1', NULL, NULL, NULL, NULL, 'UPF0449 PROTEIN C19ORF25', 187806),
(244081, 'PTHR34539:SF16', NULL, NULL, NULL, NULL, 'BNAA08G19990D PROTEIN', 187807),
(244082, 'PTHR21461:SF52', NULL, NULL, NULL, NULL, 'SI:ZFOS-464B6.2', 187808),
(244083, 'PTHR27007:SF130', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE CORYNE', 187809),
(244084, 'PTHR45824:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN PDR17', 187810);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(244085, 'PTHR14096:SF62', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L 7A-RELATED', 187811),
(244086, 'PTHR12398:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187812),
(244087, 'PTHR46027:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL TARGETING SIGNAL 2 RECEPTOR', 187813),
(244088, 'PTHR45676:SF34', NULL, NULL, NULL, NULL, 'OS11G0703300 PROTEIN', 187814),
(244089, 'PTHR23014', NULL, NULL, NULL, NULL, 'F-BOX A PROTEIN', 187815),
(244090, 'PTHR43859:SF54', NULL, NULL, NULL, NULL, 'ACETATE/BUTYRATE--COA LIGASE AAE7, PEROXISOMAL', 187816),
(244091, 'PTHR23428:SF287', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 3-B', 187817),
(244092, 'PTHR45224:SF11', NULL, NULL, NULL, NULL, 'TRANSPOSON PROTEIN PONG SUB-CLASS', 187818),
(244093, 'PTHR26453:SF58', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2D2-LIKE', 187819),
(244094, 'PTHR10131:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187820),
(244095, 'PTHR21089:SF33', NULL, NULL, NULL, NULL, 'BNAA05G30990D PROTEIN', 187821),
(244096, 'PTHR12138:SF74', NULL, NULL, NULL, NULL, 'DOWN SYNDROME CRITICAL REGION PROTEIN 8', 187822),
(244097, 'PTHR12232:SF5', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING GLUTAMIC ACID-RICH-LIKE PROTEIN', 187823),
(244098, 'PTHR10891:SF745', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML46-RELATED', 187824),
(244099, 'PTHR35693:SF2', NULL, NULL, NULL, NULL, 'BNAA09G29210D PROTEIN', 187825),
(244100, 'PTHR12734', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-RELATED', 187826),
(244101, 'PTHR32278:SF97', NULL, NULL, NULL, NULL, 'BNAA06G34200D PROTEIN', 187827),
(244102, 'PTHR27005:SF305', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED KINASE 2-LIKE PROTEIN', 187828),
(244103, 'PTHR32012', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 182-RELATED', 187829),
(244104, 'PTHR48024:SF30', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A0', 187830),
(244105, 'PTHR48134', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN 96-92-RELATED-RELATED', 187831),
(244106, 'PTHR47924:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187832),
(244107, 'PTHR47540:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 187833),
(244108, 'PTHR21557', NULL, NULL, NULL, NULL, 'CORDON-BLEU', 187834),
(244109, 'PTHR43206:SF1', NULL, NULL, NULL, NULL, '4-AMINOBUTYRATE AMINOTRANSFERASE, MITOCHONDRIAL', 187835),
(244110, 'PTHR10857:SF120', NULL, NULL, NULL, NULL, 'PROTEIN BONZAI 3', 187836),
(244111, 'PTHR46868:SF5', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 10', 187837),
(244112, 'PTHR40254', NULL, NULL, NULL, NULL, 'BLR0577 PROTEIN', 187838),
(244113, 'PTHR33214:SF37', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2', 187839),
(244114, 'PTHR11680:SF41', NULL, NULL, NULL, NULL, 'SERINE TRANSHYDROXYMETHYLTRANSFERASE', 187840),
(244115, 'PTHR48106:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187841),
(244116, 'PTHR12300:SF135', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 187842),
(244117, 'PTHR34591:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187843),
(244118, 'PTHR13315:SF4', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE, ISOFORM E', 187844),
(244119, 'PTHR33165:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187845),
(244120, 'PTHR46037', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCER OF SEVENLESS 2B', 187846),
(244121, 'PTHR20961:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187847),
(244122, 'PTHR14995', NULL, NULL, NULL, NULL, 'AMNIONLESS', 187848),
(244123, 'PTHR45431:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187849),
(244124, 'PTHR46286:SF7', NULL, NULL, NULL, NULL, 'PROTEIN VERNALIZATION INSENSITIVE 3', 187850),
(244125, 'PTHR43880:SF12', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE CLASS-3', 187851),
(244126, 'PTHR33065:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187852),
(244127, 'PTHR11377', NULL, NULL, NULL, NULL, 'N-MYRISTOYL TRANSFERASE', 187853),
(244128, 'PTHR43430:SF1', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE HOMOLOG', 187854),
(244129, 'PTHR22943', NULL, NULL, NULL, NULL, '7-TRANSMEMBRANE DOMAIN RECEPTOR  C.ELEGANS', 187855);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(244130, 'PTHR43634:SF9', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL-LIKE PROTEIN', 187856),
(244131, 'PTHR31867:SF14', NULL, NULL, NULL, NULL, 'EXPANSIN-A31', 187857),
(244132, 'PTHR12081:SF80', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2FA', 187858),
(244133, 'PTHR11550:SF2', NULL, NULL, NULL, NULL, 'CTP SYNTHASE 2', 187859),
(244134, 'PTHR48037', NULL, NULL, NULL, NULL, 'ATPASE E1', 187860),
(244135, 'PTHR11863:SF161', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 1-2-LIKE', 187861),
(244136, 'PTHR36747', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 187862),
(244137, 'PTHR10182:SF12', NULL, NULL, NULL, NULL, 'OS07G0585100 PROTEIN', 187863),
(244138, 'PTHR23147:SF119', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 2', 187864),
(244139, 'PTHR33592:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187865),
(244140, 'PTHR13585:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG02458', 187866),
(244141, 'PTHR47956:SF25', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D10-LIKE', 187867),
(244142, 'PTHR31304:SF2', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN 40, PUTATIVE, EXPRESSED-RELATED', 187868),
(244143, 'PTHR12411:SF722', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RD21B-RELATED', 187869),
(244144, 'PTHR10484:SF180', NULL, NULL, NULL, NULL, 'HISTONE H4-LIKE PROTEIN TYPE G', 187870),
(244145, 'PTHR46326:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT1-LIKE', 187871),
(244146, 'PTHR11945:SF475', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 5', 187872),
(244147, 'PTHR37089:SF3', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 187873),
(244148, 'PTHR13475:SF3', NULL, NULL, NULL, NULL, 'NEUGRIN', 187874),
(244149, 'PTHR15315:SF89', NULL, NULL, NULL, NULL, 'PROTEIN NCA1', 187875),
(244150, 'PTHR39447', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE B', 187876),
(244151, 'PTHR34709:SF53', NULL, NULL, NULL, NULL, 'OS07G0229100 PROTEIN', 187877),
(244152, 'PTHR33600:SF15', NULL, NULL, NULL, NULL, 'BNAC09G29550D PROTEIN', 187878),
(244153, 'PTHR45637:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RHS3', 187879),
(244154, 'PTHR33181:SF46', NULL, NULL, NULL, NULL, 'BNAC01G41370D PROTEIN', 187880),
(244155, 'PTHR12411:SF737', NULL, NULL, NULL, NULL, 'CATHEPSIN B', 187881),
(244156, 'PTHR12290:SF38', NULL, NULL, NULL, NULL, 'CORNICHON FAMILY PROTEIN-RELATED', 187882),
(244157, 'PTHR15887:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 69', 187883),
(244158, 'PTHR28582:SF1', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN15', 187884),
(244159, 'PTHR23112:SF39', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 116', 187885),
(244160, 'PTHR35147:SF2', NULL, NULL, NULL, NULL, 'CHEMORECEPTOR GLUTAMINE DEAMIDASE CHED-RELATED', 187886),
(244161, 'PTHR23187:SF3', NULL, NULL, NULL, NULL, 'SUMO-INTERACTING MOTIF-CONTAINING PROTEIN 1', 187887),
(244162, 'PTHR13890:SF37', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-I-LIKE', 187888),
(244163, 'PTHR28450:SF1', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP B PROTEIN', 187889),
(244164, 'PTHR31009:SF104', NULL, NULL, NULL, NULL, 'BNAC02G44900D PROTEIN', 187890),
(244165, 'PTHR12603:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL FACTOR, PUTATIVE-RELATED', 187891),
(244166, 'PTHR10827:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187892),
(244167, 'PTHR34810:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN BIN4', 187893),
(244168, 'PTHR31642:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187894),
(244169, 'PTHR13555:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187895),
(244170, 'PTHR20852:SF98', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', 187896),
(244171, 'PTHR31692:SF66', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE B1', 187897),
(244172, 'PTHR14356', NULL, NULL, NULL, NULL, 'INTERLEUKIN-15-RELATED', 187898),
(244173, 'PTHR11761:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187899),
(244174, 'PTHR12565:SF404', NULL, NULL, NULL, NULL, 'BNAA08G15250D PROTEIN', 187900),
(244175, 'PTHR14677:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER AN1 AND C2H2 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 13', 187901);
INSERT INTO "PUBLIC"."MODEL" VALUES
(244176, 'PTHR46579:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187902),
(244177, 'PTHR43690:SF29', NULL, NULL, NULL, NULL, 'INSULIN-DEGRADING ENZYME-LIKE 1, PEROXISOMAL', 187903),
(244178, 'PTHR31350:SF22', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 187904),
(244179, 'PTHR22750:SF3', NULL, NULL, NULL, NULL, 'ADRENOCORTICOTROPIC HORMONE RECEPTOR', 187905),
(244180, 'PTHR27009:SF189', NULL, NULL, NULL, NULL, 'BNACNNG21280D PROTEIN', 187906),
(244181, 'PTHR34785:SF4', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS RELATED FAMILY PROTEIN-RELATED', 187907),
(244182, 'PTHR11373:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187908),
(244183, 'PTHR15186:SF9', NULL, NULL, NULL, NULL, 'ZGC:73226', 187909),
(244184, 'PTHR45658:SF50', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 6', 187910),
(244185, 'PTHR24282:SF113', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 187911),
(244186, 'PTHR32096:SF83', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 54-RELATED', 187912),
(244187, 'PTHR22979:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 512', 187913),
(244188, 'PTHR11649:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187914),
(244189, 'PTHR31248:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187915),
(244190, 'PTHR23147:SF55', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 4', 187916),
(244191, 'PTHR15191:SF2', NULL, NULL, NULL, NULL, 'PITUITARY TUMOR-TRANSFORMING GENE 1 PROTEIN-INTERACTING PROTEIN', 187917),
(244192, 'PTHR34949:SF2', NULL, NULL, NULL, NULL, 'OS05G0443700 PROTEIN', 187918),
(244193, 'PTHR47202', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 187919),
(244194, 'PTHR11017:SF292', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 187920),
(244195, 'PTHR14098:SF14', NULL, NULL, NULL, NULL, 'RH14395P', 187921),
(244196, 'PTHR43874:SF66', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR2-LIKE', 187922),
(244197, 'PTHR11426:SF44', NULL, NULL, NULL, NULL, 'HISTONE H3.3C', 187923),
(244198, 'PTHR47925:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187924),
(244199, 'PTHR31199:SF1', NULL, NULL, NULL, NULL, 'ARPIN', 187925),
(244200, 'PTHR24351:SF43', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE ALPHA-1', 187926),
(244201, 'PTHR22957:SF439', NULL, NULL, NULL, NULL, 'RAB GTPASE-ACTIVATING PROTEIN 1', 187927),
(244202, 'PTHR24104:SF23', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 2B', 187928),
(244203, 'PTHR45752:SF95', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (NBS-LRR CLASS) FAMILY PROTEIN', 187929),
(244204, 'PTHR22953:SF123', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 187930),
(244205, 'PTHR11783:SF235', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 187931),
(244206, 'PTHR24329:SF550', NULL, NULL, NULL, NULL, 'REVERSED POLARITY', 187932),
(244207, 'PTHR35357:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187933),
(244208, 'PTHR48052', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 187934),
(244209, 'PTHR10609:SF4', NULL, NULL, NULL, NULL, 'VASCULAR NON-INFLAMMATORY MOLECULE 3', 187935),
(244210, 'PTHR16320:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187936),
(244211, 'PTHR31639:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187937),
(244212, 'PTHR32295:SF159', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 20', 187938),
(244213, 'PTHR34820:SF4', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YEBZ', 187939),
(244214, 'PTHR46917', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 2', 187940),
(244215, 'PTHR26453:SF125', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T1', 187941),
(244216, 'PTHR45874:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ABDOMINAL-B', 187942),
(244217, 'PTHR43689:SF9', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE BODYGUARD 3-RELATED', 187943),
(244218, 'PTHR31852:SF175', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 187944),
(244219, 'PTHR46710', NULL, NULL, NULL, NULL, 'ARM REPEAT PROTEIN INTERACTING WITH ABF2', 187945),
(244220, 'PTHR11614:SF176', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 187946);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(244221, 'PTHR10378:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 187947),
(244222, 'PTHR45950:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-8', 187948),
(244223, 'PTHR43065:SF28', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE/RESPONSE REGULATOR HYBRID PROTEIN-LIKE PROTEIN', 187949),
(244224, 'PTHR12297:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187950),
(244225, 'PTHR24202:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MIB2', 187951),
(244226, 'PTHR48073:SF4', NULL, NULL, NULL, NULL, 'DIPEPTIDE EPIMERASE', 187952),
(244227, 'PTHR23428:SF295', NULL, NULL, NULL, NULL, 'HISTONE H2B', 187953),
(244228, 'PTHR46662:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN ISOFORM 1', 187954),
(244229, 'PTHR33136:SF48', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 14-RELATED', 187955),
(244230, 'PTHR30094:SF5', NULL, NULL, NULL, NULL, 'ACID--AMINE LIGASE YJFC-RELATED', 187956),
(244231, 'PTHR23315:SF49', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 187957),
(244232, 'PTHR31793:SF25', NULL, NULL, NULL, NULL, 'OS04G0553100 PROTEIN', 187958),
(244233, 'PTHR44826:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187959),
(244234, 'PTHR31890:SF17', NULL, NULL, NULL, NULL, 'BNAC03G27610D PROTEIN', 187960),
(244235, 'PTHR36837:SF4', NULL, NULL, NULL, NULL, 'PHB DEPOLYMERASE', 187961),
(244236, 'PTHR11571:SF247', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 1', 187962),
(244237, 'PTHR21229:SF60', NULL, NULL, NULL, NULL, 'PROTEIN GPR107-LIKE', 187963),
(244238, 'PTHR11777:SF10', NULL, NULL, NULL, NULL, 'ALANINE--TRNA LIGASE, MITOCHONDRIAL', 187964),
(244239, 'PTHR42966:SF2', NULL, NULL, NULL, NULL, 'PSEUDAMINIC ACID SYNTHASE', 187965),
(244240, 'PTHR47127:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187966),
(244241, 'PTHR24412:SF441', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 28', 187967),
(244242, 'PTHR23198', NULL, NULL, NULL, NULL, 'NUCLEOPORIN', 187968),
(244243, 'PTHR11017:SF360', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 187969),
(244244, 'PTHR43612:SF3', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL ENZYME SUBUNIT ALPHA, MITOCHONDRIAL', 187970),
(244245, 'PTHR24070:SF385', NULL, NULL, NULL, NULL, 'GTPASE HRAS', 187971),
(244246, 'PTHR23232:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187972),
(244247, 'PTHR47161:SF1', NULL, NULL, NULL, NULL, 'LYMPHOID-SPECIFIC HELICASE', 187973),
(244248, 'PTHR46019:SF2', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B MEMBER 6', 187974),
(244249, 'PTHR31241:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187975),
(244250, 'PTHR19282:SF44', NULL, NULL, NULL, NULL, 'CD82 ANTIGEN', 187976),
(244251, 'PTHR31639:SF157', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', 187977),
(244252, 'PTHR45719:SF13', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 14 PROTEIN-LIKE', 187978),
(244253, 'PTHR11759:SF45', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14-2', 187979),
(244254, 'PTHR11814:SF236', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 1.3', 187980),
(244255, 'PTHR31223:SF65', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG1', 187981),
(244256, 'PTHR32467:SF174', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR-RELATED', 187982),
(244257, 'PTHR22802:SF220', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 187983),
(244258, 'PTHR32080:SF57', NULL, NULL, NULL, NULL, 'BNAC03G71000D PROTEIN', 187984),
(244259, 'PTHR23201:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187985),
(244260, 'PTHR27001:SF480', NULL, NULL, NULL, NULL, 'OS06G0488050 PROTEIN', 187986),
(244261, 'PTHR21327:SF18', NULL, NULL, NULL, NULL, '3,4-DIHYDROXY-2-BUTANONE 4-PHOSPHATE SYNTHASE', 187987),
(244262, 'PTHR23160', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN-RELATED', 187988),
(244263, 'PTHR22814:SF110', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 21', 187989),
(244264, 'PTHR38654', NULL, NULL, NULL, NULL, 'BUCKY BALL-RELATED', 187990);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(244265, 'PTHR12411:SF589', NULL, NULL, NULL, NULL, 'ERVATAMIN-B-LIKE', 187991),
(244266, 'PTHR21481', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 187992),
(244267, 'PTHR48063:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 187993),
(244268, 'PTHR31080:SF206', NULL, NULL, NULL, NULL, 'BNAA06G34770D PROTEIN', 187994),
(244269, 'PTHR11706:SF75', NULL, NULL, NULL, NULL, 'ETHYLENE-INSENSITIVE PROTEIN 2', 187995),
(244270, 'PTHR30034:SF4', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS PROTEIN SSAQ', 187996),
(244271, 'PTHR45801:SF58', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 187997),
(244272, 'PTHR45780:SF7', NULL, NULL, NULL, NULL, 'ETHANOLAMINE-PHOSPHATE CYTIDYLYLTRANSFERASE-LIKE', 187998),
(244273, 'PTHR35174:SF4', NULL, NULL, NULL, NULL, 'BLL7163 PROTEIN', 187999),
(244274, 'PTHR48041:SF62', NULL, NULL, NULL, NULL, 'BNAC01G19560D PROTEIN', 188000),
(244275, 'PTHR47924:SF26', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', 188001),
(244276, 'PTHR43833:SF11', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL', 188002),
(244277, 'PTHR31190:SF236', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 13-LIKE', 188003),
(244278, 'PTHR23074:SF83', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 4A', 188004),
(244279, 'PTHR10177:SF193', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN-B1', 188005),
(244280, 'PTHR12313:SF62', NULL, NULL, NULL, NULL, 'BNAA08G14090D PROTEIN', 188006),
(244281, 'PTHR32411:SF55', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 55', 188007),
(244282, 'PTHR13683:SF849', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN 2-LIKE', 188008),
(244283, 'PTHR38354', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX-LIKE PROTEIN DTM1', 188009),
(244284, 'PTHR11562:SF95', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER', 188010),
(244285, 'PTHR47312:SF1', NULL, NULL, NULL, NULL, 'MELANOMA-DERIVED GROWTH REGULATORY PROTEIN', 188011),
(244286, 'PTHR35997', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN-RELATED', 188012),
(244287, 'PTHR13902:SF145', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK7-RELATED', 188013),
(244288, 'PTHR11216:SF118', NULL, NULL, NULL, NULL, 'SARCALUMENIN', 188014),
(244289, 'PTHR45619:SF17', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-5 CATALYTIC SUBUNIT', 188015),
(244290, 'PTHR47931', NULL, NULL, NULL, NULL, 'OS01G0228400 PROTEIN', 188016),
(244291, 'PTHR47043:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE TRANSFERASE SUBUNIT ALG13', 188017),
(244292, 'PTHR10367:SF0', NULL, NULL, NULL, NULL, 'MRNA-CAPPING ENZYME', 188018),
(244293, 'PTHR22835:SF241', NULL, NULL, NULL, NULL, 'LIPASE-LIKE', 188019),
(244294, 'PTHR31319:SF50', NULL, NULL, NULL, NULL, 'OSJNBA0067K08.19 PROTEIN', 188020),
(244295, 'PTHR46128:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188021),
(244296, 'PTHR31346:SF3', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 9, CHLOROPLASTIC', 188022),
(244297, 'PTHR44259:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188023),
(244298, 'PTHR22595:SF172', NULL, NULL, NULL, NULL, 'BNAC04G49100D PROTEIN', 188024),
(244299, 'PTHR44083', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 1-RELATED', 188025),
(244300, 'PTHR11860:SF88', NULL, NULL, NULL, NULL, 'HEPATITIS A VIRUS CELLULAR RECEPTOR 2', 188026),
(244301, 'PTHR47926:SF95', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', 188027),
(244302, 'PTHR37534:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04170)-RELATED', 188028),
(244303, 'PTHR15298:SF15', NULL, NULL, NULL, NULL, 'SI:DKEY-76K16.6', 188029),
(244304, 'PTHR33459:SF11', NULL, NULL, NULL, NULL, 'DIFFERENTIATION-ASSOCIATED PROTEIN 1', 188030),
(244305, 'PTHR24412', NULL, NULL, NULL, NULL, 'KELCH PROTEIN', 188031),
(244306, 'PTHR11945:SF649', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188032),
(244307, 'PTHR48108:SF15', NULL, NULL, NULL, NULL, 'BNAA03G50880D PROTEIN', 188033),
(244308, 'PTHR45864:SF7', NULL, NULL, NULL, NULL, 'SLINGSHOT PROTEIN PHOSPHATASE 1B', 188034);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(244309, 'PTHR11575:SF42', NULL, NULL, NULL, NULL, 'SULFUR OXIDATION PROTEIN SOXB', 188035),
(244310, 'PTHR47166:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 831', 188036),
(244311, 'PTHR11922', NULL, NULL, NULL, NULL, 'GMP SYNTHASE-RELATED', 188037),
(244312, 'PTHR31021:SF2', NULL, NULL, NULL, NULL, 'PROTEIN APCDD1', 188038),
(244313, 'PTHR10972:SF109', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 12', 188039),
(244314, 'PTHR35192:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 188040),
(244315, 'PTHR21652', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER TRANSCRIPTION FACTOR', 188041),
(244316, 'PTHR24333:SF7', NULL, NULL, NULL, NULL, 'ZEN', 188042),
(244317, 'PTHR10694:SF99', NULL, NULL, NULL, NULL, 'OS05G0302300 PROTEIN', 188043),
(244318, 'PTHR23528:SF1', NULL, NULL, NULL, NULL, 'SLL1200 PROTEIN', 188044),
(244319, 'PTHR40407', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-LIKE PROTEIN', 188045),
(244320, 'PTHR22932:SF15', NULL, NULL, NULL, NULL, 'CO-CHAPERONE PROTEIN P23-2', 188046),
(244321, 'PTHR22883:SF366', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 188047),
(244322, 'PTHR14313:SF2', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G5B', 188048),
(244323, 'PTHR39158', NULL, NULL, NULL, NULL, 'OS08G0560600 PROTEIN', 188049),
(244324, 'PTHR31744:SF87', NULL, NULL, NULL, NULL, 'CONTAINING PROTEIN 21/22, PUTATIVE, EXPRESSED-RELATED', 188050),
(244325, 'PTHR36793', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE J', 188051),
(244326, 'PTHR11972:SF143', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN H ISOFORM X1-RELATED', 188052),
(244327, 'PTHR11540:SF48', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 188053),
(244328, 'PTHR43986:SF8', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-LIKE PROTEIN GEDE-RELATED', 188054),
(244329, 'PTHR11011:SF90', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', 188055),
(244330, 'PTHR23002:SF84', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GIS2', 188056),
(244331, 'PTHR31791:SF45', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', 188057),
(244332, 'PTHR33107:SF13', NULL, NULL, NULL, NULL, 'DR4 PROTEIN-RELATED', 188058),
(244333, 'PTHR13247:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION 1 PROTEIN', 188059),
(244334, 'PTHR32227:SF274', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 4', 188060),
(244335, 'PTHR36839', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G12770)', 188061),
(244336, 'PTHR45624:SF46', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 15B', 188062),
(244337, 'PTHR31325:SF127', NULL, NULL, NULL, NULL, 'OS02G0243700 PROTEIN', 188063),
(244338, 'PTHR33377:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188064),
(244339, 'PTHR30055:SF186', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN-RELATED', 188065),
(244340, 'PTHR46513:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188066),
(244341, 'PTHR31552:SF24', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 188067),
(244342, 'PTHR43313', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY 9C', 188068),
(244343, 'PTHR12537:SF131', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 11', 188069),
(244344, 'PTHR24070:SF380', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN RASS', 188070),
(244345, 'PTHR46128:SF157', NULL, NULL, NULL, NULL, 'BNAA07G07990D PROTEIN', 188071),
(244346, 'PTHR31044:SF60', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 4', 188072),
(244347, 'PTHR10746:SF6', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L4, MITOCHONDRIAL', 188073),
(244348, 'PTHR46759', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 72', 188074),
(244349, 'PTHR45684:SF29', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1-LIKE', 188075),
(244350, 'PTHR31503:SF57', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', 188076),
(244351, 'PTHR23006', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 188077),
(244352, 'PTHR31506:SF33', NULL, NULL, NULL, NULL, 'BES1/BZR1 HOMOLOG PROTEIN 2', 188078);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(244353, 'PTHR31960:SF16', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A11', 188079),
(244354, 'PTHR11662:SF405', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', 188080),
(244355, 'PTHR10315:SF131', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINA-LIKE 11-RELATED', 188081),
(244356, 'PTHR31549:SF63', NULL, NULL, NULL, NULL, 'OS08G0355400 PROTEIN', 188082),
(244357, 'PTHR31001:SF53', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 188083),
(244358, 'PTHR33107:SF12', NULL, NULL, NULL, NULL, 'KUNITZ TRYPSIN INHIBITOR 1', 188084),
(244359, 'PTHR11849:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188085),
(244360, 'PTHR12271:SF115', NULL, NULL, NULL, NULL, 'UTP:RNA URIDYLYLTRANSFERASE 1', 188086),
(244361, 'PTHR35278:SF1', NULL, NULL, NULL, NULL, 'F8K7.16', 188087),
(244362, 'PTHR35807', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR REDD-RELATED', 188088),
(244363, 'PTHR20932:SF41', NULL, NULL, NULL, NULL, 'BNAC02G01250D PROTEIN', 188089),
(244364, 'PTHR47984:SF15', NULL, NULL, NULL, NULL, 'BNAC04G54280D PROTEIN', 188090),
(244365, 'PTHR12993:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188091),
(244366, 'PTHR30055:SF155', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR KSTR2', 188092),
(244367, 'PTHR12601:SF6', NULL, NULL, NULL, NULL, 'CLUSTERED MITOCHONDRIA PROTEIN HOMOLOG', 188093),
(244368, 'PTHR43952:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188094),
(244369, 'PTHR14212:SF1', NULL, NULL, NULL, NULL, 'BNAC03G58240D PROTEIN', 188095),
(244370, 'PTHR22907:SF51', NULL, NULL, NULL, NULL, 'CUTICLIN', 188096),
(244371, 'PTHR11079:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188097),
(244372, 'PTHR23270:SF12', NULL, NULL, NULL, NULL, 'BNAANNG09370D PROTEIN', 188098),
(244373, 'PTHR34387', NULL, NULL, NULL, NULL, 'SLR1258 PROTEIN', 188099),
(244374, 'PTHR33181:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188100),
(244375, 'PTHR24044:SF453', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188101),
(244376, 'PTHR11654:SF119', NULL, NULL, NULL, NULL, 'DIPEPTIDE PERMEASE D', 188102),
(244377, 'PTHR35118:SF4', NULL, NULL, NULL, NULL, 'BNAC04G52250D PROTEIN', 188103),
(244378, 'PTHR46915:SF1', NULL, NULL, NULL, NULL, 'OTS1B PROTEIN', 188104),
(244379, 'PTHR46031:SF10', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 5', 188105),
(244380, 'PTHR46125:SF18', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 24', 188106),
(244381, 'PTHR14379:SF34', NULL, NULL, NULL, NULL, 'BNAC05G23890D PROTEIN', 188107),
(244382, 'PTHR45876:SF4', NULL, NULL, NULL, NULL, 'ZGC:92107', 188108),
(244383, 'PTHR31062:SF184', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 29-RELATED', 188109),
(244384, 'PTHR42034', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE-RELATED', 188110),
(244385, 'PTHR11732:SF432', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN', 188111),
(244386, 'PTHR45868:SF56', NULL, NULL, NULL, NULL, 'COPPER-BINDING FAMILY PROTEIN', 188112),
(244387, 'PTHR32212:SF346', NULL, NULL, NULL, NULL, 'BNAC09G28370D PROTEIN', 188113),
(244388, 'PTHR32382:SF6', NULL, NULL, NULL, NULL, 'ENDOSPERM SPECIFIC PROTEIN-LIKE', 188114),
(244389, 'PTHR11388:SF16', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 1A2', 188115),
(244390, 'PTHR11848:SF228', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 6-B', 188116),
(244391, 'PTHR10159:SF518', NULL, NULL, NULL, NULL, 'BNAA01G23680D PROTEIN', 188117),
(244392, 'PTHR10334:SF451', NULL, NULL, NULL, NULL, 'MIP16674P', 188118),
(244393, 'PTHR47977:SF20', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-27A', 188119),
(244394, 'PTHR11049:SF24', NULL, NULL, NULL, NULL, 'CYTOSOLIC ACYL COENZYME A THIOESTER HYDROLASE', 188120),
(244395, 'PTHR20855:SF109', NULL, NULL, NULL, NULL, 'HEPTAHELICAL TRANSMEMBRANE PROTEIN 2', 188121),
(244396, 'PTHR15921', NULL, NULL, NULL, NULL, 'PRE-MRNA CLEAVAGE COMPLEX II', 188122),
(244397, 'PTHR21496', NULL, NULL, NULL, NULL, 'FERREDOXIN-RELATED', 188123);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(244398, 'PTHR11929:SF147', NULL, NULL, NULL, NULL, 'PHA-1 PROTEIN', 188124),
(244399, 'PTHR11014:SF100', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 2', 188125),
(244400, 'PTHR23175:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188126),
(244401, 'PTHR12281:SF6', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN 5', 188127),
(244402, 'PTHR15315:SF84', NULL, NULL, NULL, NULL, 'OS01G0905700 PROTEIN', 188128),
(244403, 'PTHR14074:SF16', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX58-RELATED', 188129),
(244404, 'PTHR31062:SF199', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 188130),
(244405, 'PTHR15443:SF4', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA-BINDING PROTEIN 2', 188131),
(244406, 'PTHR32096:SF95', NULL, NULL, NULL, NULL, 'BNAC01G15320D PROTEIN', 188132),
(244407, 'PTHR45763:SF7', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', 188133),
(244408, 'PTHR38098', NULL, NULL, NULL, NULL, 'LPS-ASSEMBLY LIPOPROTEIN LPTE', 188134),
(244409, 'PTHR43173:SF10', NULL, NULL, NULL, NULL, 'ALPHA 1,3 GLUCANASE, GH71 FAMILY (EUROFUNG)-RELATED', 188135),
(244410, 'PTHR11011', NULL, NULL, NULL, NULL, 'MALE STERILITY PROTEIN 2-RELATED', 188136),
(244411, 'PTHR43729:SF2', NULL, NULL, NULL, NULL, 'HOMOSERINE ACETYLTRANSFERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G15350)', 188137),
(244412, 'PTHR13808:SF39', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE HAC-LIKE 3-RELATED', 188138),
(244413, 'PTHR22412:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG23478', 188139),
(244414, 'PTHR11727', NULL, NULL, NULL, NULL, 'DIMETHYLADENOSINE TRANSFERASE', 188140),
(244415, 'PTHR42760:SF101', NULL, NULL, NULL, NULL, 'BNAA09G28100D PROTEIN', 188141),
(244416, 'PTHR24298:SF824', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188142),
(244417, 'PTHR11652:SF40', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S23-1-RELATED', 188143),
(244418, 'PTHR31989:SF167', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 7-LIKE', 188144),
(244419, 'PTHR20882', NULL, NULL, NULL, NULL, 'CYTOPLASMIC TRNA 2-THIOLATION PROTEIN 2', 188145),
(244420, 'PTHR46665:SF7', NULL, NULL, NULL, NULL, 'OS01G0773800 PROTEIN', 188146),
(244421, 'PTHR28041', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L25, MITOCHONDRIAL', 188147),
(244422, 'PTHR11668:SF211', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE C23G10.1-RELATED', 188148),
(244423, 'PTHR21668:SF19', NULL, NULL, NULL, NULL, 'BNAA07G04550D PROTEIN', 188149),
(244424, 'PTHR23226:SF253', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE AI894139', 188150),
(244425, 'PTHR31917:SF99', NULL, NULL, NULL, NULL, 'BNAA07G24550D PROTEIN', 188151),
(244426, 'PTHR35819:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PIMREG', 188152),
(244427, 'PTHR43527:SF2', NULL, NULL, NULL, NULL, '4-DIPHOSPHOCYTIDYL-2-C-METHYL-D-ERYTHRITOL KINASE, CHLOROPLASTIC', 188153),
(244428, 'PTHR31374:SF291', NULL, NULL, NULL, NULL, 'BNAC02G03220D PROTEIN', 188154),
(244429, 'PTHR34359:SF22', NULL, NULL, NULL, NULL, 'BNAA09G29030D PROTEIN', 188155),
(244430, 'PTHR10529:SF270', NULL, NULL, NULL, NULL, 'AP-4 COMPLEX SUBUNIT MU-1', 188156),
(244431, 'PTHR33494', NULL, NULL, NULL, NULL, 'OS02G0793800 PROTEIN', 188157),
(244432, 'PTHR34397:SF15', NULL, NULL, NULL, NULL, 'OS08G0282100 PROTEIN', 188158),
(244433, 'PTHR11920:SF255', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-25', 188159),
(244434, 'PTHR45974:SF157', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM3', 188160),
(244435, 'PTHR33095:SF56', NULL, NULL, NULL, NULL, 'DUF1645 FAMILY PROTEIN', 188161),
(244436, 'PTHR20997:SF2', NULL, NULL, NULL, NULL, 'EG:BACR42I17.2 PROTEIN-RELATED', 188162),
(244437, 'PTHR11003:SF263', NULL, NULL, NULL, NULL, 'AGAP004720-PA', 188163),
(244438, 'PTHR33641:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188164),
(244439, 'PTHR12948:SF3', NULL, NULL, NULL, NULL, 'NEDD8 ULTIMATE BUSTER 1', 188165),
(244440, 'PTHR12419:SF10', NULL, NULL, NULL, NULL, 'DEUBIQUITINASE OTUD6B', 188166),
(244441, 'PTHR24015:SF960', NULL, NULL, NULL, NULL, 'OS08G0481000 PROTEIN', 188167);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(244442, 'PTHR45901:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188168),
(244443, 'PTHR35546:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188169),
(244444, 'PTHR15001:SF5', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN', 188170),
(244445, 'PTHR31923:SF33', NULL, NULL, NULL, NULL, 'BSD DOMAIN CONTAINING PROTEIN, EXPRESSED', 188171),
(244446, 'PTHR43390', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', 188172),
(244447, 'PTHR47355:SF2', NULL, NULL, NULL, NULL, 'BNAA06G01290D PROTEIN', 188173),
(244448, 'PTHR10378:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR SEUSS-LIKE', 188174),
(244449, 'PTHR34385', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE', 188175),
(244450, 'PTHR24200:SF11', NULL, NULL, NULL, NULL, 'TOUCAN, ISOFORM A', 188176),
(244451, 'PTHR43349:SF72', NULL, NULL, NULL, NULL, 'BNAA07G32020D PROTEIN', 188177),
(244452, 'PTHR43032:SF4', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, MOLYBDOPTERIN-BINDING DOMAIN', 188178),
(244453, 'PTHR47967:SF67', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED3-LIKE', 188179),
(244454, 'PTHR11905:SF125', NULL, NULL, NULL, NULL, 'ADAM DEC1', 188180),
(244455, 'PTHR47982:SF48', NULL, NULL, NULL, NULL, 'OS05G0516400 PROTEIN', 188181),
(244456, 'PTHR15615:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188182),
(244457, 'PTHR31558:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188183),
(244458, 'PTHR43212:SF2', NULL, NULL, NULL, NULL, 'PIRIN-LIKE PROTEIN YHAK', 188184),
(244459, 'PTHR36796:SF1', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 188185),
(244460, 'PTHR23213:SF336', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 15', 188186),
(244461, 'PTHR31471:SF65', NULL, NULL, NULL, NULL, 'REMORIN-RELATED', 188187),
(244462, 'PTHR47782:SF7', NULL, NULL, NULL, NULL, 'PROTEIN STB5', 188188),
(244463, 'PTHR13361:SF4', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 11', 188189),
(244464, 'PTHR11662:SF243', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER 6, CHLOROPLASTIC-RELATED', 188190),
(244465, 'PTHR30217', NULL, NULL, NULL, NULL, 'PEPTIDASE U32 FAMILY', 188191),
(244466, 'PTHR26374:SF343', NULL, NULL, NULL, NULL, 'BNAA04G16610D PROTEIN', 188192),
(244467, 'PTHR11157:SF27', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 6', 188193),
(244468, 'PTHR33662:SF1', NULL, NULL, NULL, NULL, 'INACTIVE UBIQUITIN THIOESTERASE OTULINL', 188194),
(244469, 'PTHR48047:SF102', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 188195),
(244470, 'PTHR47231', NULL, NULL, NULL, NULL, 'UPF0722 PROTEIN C11ORF88', 188196),
(244471, 'PTHR11886:SF73', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN 4, AXONEMAL', 188197),
(244472, 'PTHR11711:SF347', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 17', 188198),
(244473, 'PTHR37027:SF2', NULL, NULL, NULL, NULL, 'KDE4', 188199),
(244474, 'PTHR11615:SF250', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2C2', 188200),
(244475, 'PTHR27001:SF883', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK9', 188201),
(244476, 'PTHR42711:SF4', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', 188202),
(244477, 'PTHR46353:SF7', NULL, NULL, NULL, NULL, 'OS01G0512700 PROTEIN', 188203),
(244478, 'PTHR30548:SF2', NULL, NULL, NULL, NULL, '2-HYDROXYACYL-COA DEHYDRATASE,D-COMPONENT-RELATED', 188204),
(244479, 'PTHR24060:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188205),
(244480, 'PTHR31549:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188206),
(244481, 'PTHR14110:SF10', NULL, NULL, NULL, NULL, 'OSJNBB0006N15.9 PROTEIN', 188207),
(244482, 'PTHR31751:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188208),
(244483, 'PTHR11360:SF24', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 1', 188209),
(244484, 'PTHR10410:SF5', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 14', 188210),
(244485, 'PTHR36959:SF2', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 24, MITOCHONDRIAL', 188211),
(244486, 'PTHR12300:SF146', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 188212),
(244487, 'PTHR35357:SF7', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 12', 188213);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(244488, 'PTHR30586:SF1', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT D', 188214),
(244489, 'PTHR47400', NULL, NULL, NULL, NULL, 'PROLINE-RICH TRANSMEMBRANE PROTEIN 3', 188215),
(244490, 'PTHR47477:SF5', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR HOMOLOG 1B-RELATED', 188216),
(244491, 'PTHR24034:SF49', NULL, NULL, NULL, NULL, 'LATENT-TRANSFORMING GROWTH FACTOR BETA-BINDING PROTEIN 2', 188217),
(244492, 'PTHR26453:SF652', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 188218),
(244493, 'PTHR17901:SF22', NULL, NULL, NULL, NULL, 'MAGNESIUM-DEPENDENT PHOSPHATASE 1-LIKE', 188219),
(244494, 'PTHR43016:SF7', NULL, NULL, NULL, NULL, 'PRESEQUENCE PROTEASE 1, CHLOROPLASTIC/MITOCHONDRIAL', 188220),
(244495, 'PTHR36985', NULL, NULL, NULL, NULL, 'TRANSLOCATION AND ASSEMBLY MODULE SUBUNIT TAMB', 188221),
(244496, 'PTHR31642', NULL, NULL, NULL, NULL, 'TRICHOTHECENE 3-O-ACETYLTRANSFERASE', 188222),
(244497, 'PTHR36587:SF2', NULL, NULL, NULL, NULL, 'EXPRESSION SITE-ASSOCIATED GENE 3 (ESAG3)-LIKE PROTEIN', 188223),
(244498, 'PTHR24240:SF167', NULL, NULL, NULL, NULL, 'NOVOPSIN-7', 188224),
(244499, 'PTHR47956:SF23', NULL, NULL, NULL, NULL, '(S)-N-METHYLCOCLAURINE 3''-HYDROXYLASE ISOZYME 1-LIKE', 188225),
(244500, 'PTHR31509:SF103', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN (DUF241)', 188226),
(244501, 'PTHR11206:SF369', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 188227),
(244502, 'PTHR23226:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 205', 188228),
(244503, 'PTHR21327:SF29', NULL, NULL, NULL, NULL, 'MONOFUNCTIONAL RIBOFLAVIN BIOSYNTHESIS PROTEIN RIBA 3, CHLOROPLASTIC', 188229),
(244504, 'PTHR46764:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BAH1', 188230),
(244505, 'PTHR23012:SF178', NULL, NULL, NULL, NULL, 'OS11G0600700 PROTEIN', 188231),
(244506, 'PTHR43353:SF2', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G05520)', 188232),
(244507, 'PTHR13890:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188233),
(244508, 'PTHR42194', NULL, NULL, NULL, NULL, 'UPF0276 PROTEIN HI_1600', 188234),
(244509, 'PTHR16592', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 188235),
(244510, 'PTHR31989:SF385', NULL, NULL, NULL, NULL, 'BNAA05G18390D PROTEIN', 188236),
(244511, 'PTHR11375:SF21', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY MEMBER B', 188237),
(244512, 'PTHR24064:SF552', NULL, NULL, NULL, NULL, 'BNAA02G22250D PROTEIN', 188238),
(244513, 'PTHR12854:SF16', NULL, NULL, NULL, NULL, 'BNAA03G48360D PROTEIN', 188239),
(244514, 'PTHR27007:SF340', NULL, NULL, NULL, NULL, 'BNAC04G53070D PROTEIN', 188240),
(244515, 'PTHR46038:SF45', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 188241),
(244516, 'PTHR31472:SF22', NULL, NULL, NULL, NULL, 'BNAA03G49260D PROTEIN', 188242),
(244517, 'PTHR10060:SF14', NULL, NULL, NULL, NULL, 'RELATED DEOXYRIBONUCLEASE, PUTATIVE-RELATED', 188243),
(244518, 'PTHR47773', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 188244),
(244519, 'PTHR10083:SF344', NULL, NULL, NULL, NULL, 'UTERINE PLASMIN/TRYPSIN INHIBITOR', 188245),
(244520, 'PTHR11176:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188246),
(244521, 'PTHR24221:SF188', NULL, NULL, NULL, NULL, 'LIPID A EXPORT ATP-BINDING/PERMEASE PROTEIN MSBA', 188247),
(244522, 'PTHR11177:SF347', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 18 PROTEIN, EXPRESSED', 188248),
(244523, 'PTHR22923:SF93', NULL, NULL, NULL, NULL, 'SI:DKEY-5N18.1', 188249),
(244524, 'PTHR31923:SF9', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', 188250),
(244525, 'PTHR22973', NULL, NULL, NULL, NULL, 'LD35087P', 188251),
(244526, 'PTHR10681:SF128', NULL, NULL, NULL, NULL, 'AT16346P-RELATED', 188252),
(244527, 'PTHR19303:SF21', NULL, NULL, NULL, NULL, 'PROTEIN DISTAL ANTENNA', 188253),
(244528, 'PTHR27006:SF427', NULL, NULL, NULL, NULL, 'BNAA05G18210D PROTEIN', 188254),
(244529, 'PTHR43670:SF59', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', 188255),
(244530, 'PTHR19300:SF45', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 5', 188256);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(244531, 'PTHR11913:SF74', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 2-LIKE', 188257),
(244532, 'PTHR10358', NULL, NULL, NULL, NULL, 'ENDOSULFINE', 188258),
(244533, 'PTHR46757:SF6', NULL, NULL, NULL, NULL, 'SORTING NEXIN 2B', 188259),
(244534, 'PTHR33147:SF82', NULL, NULL, NULL, NULL, 'DEFENSIN', 188260),
(244535, 'PTHR10709:SF10', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 1B', 188261),
(244536, 'PTHR26453:SF295', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5V1', 188262),
(244537, 'PTHR12606:SF120', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 188263),
(244538, 'PTHR46128:SF117', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', 188264),
(244539, 'PTHR48019:SF79', NULL, NULL, NULL, NULL, 'TRUNCATED TRANSCRIPTION FACTOR CAULIFLOWER A', 188265),
(244540, 'PTHR47947:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 188266),
(244541, 'PTHR33103:SF50', NULL, NULL, NULL, NULL, 'OS01G0154200 PROTEIN', 188267),
(244542, 'PTHR14218:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188268),
(244543, 'PTHR33921:SF18', NULL, NULL, NULL, NULL, 'BNAA09G39860D PROTEIN', 188269),
(244544, 'PTHR31174:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188270),
(244545, 'PTHR14097:SF9', NULL, NULL, NULL, NULL, 'EPIMERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G07320)-RELATED', 188271),
(244546, 'PTHR45639:SF6', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 4', 188272),
(244547, 'PTHR31025:SF17', NULL, NULL, NULL, NULL, 'SI:CH211-196P9.1', 188273),
(244548, 'PTHR45621:SF177', NULL, NULL, NULL, NULL, 'KINASE APK1B, CHLOROPLAST, PUTATIVE-RELATED', 188274),
(244549, 'PTHR11036:SF69', NULL, NULL, NULL, NULL, 'SI:DKEY-49N23.1', 188275),
(244550, 'PTHR10241:SF29', NULL, NULL, NULL, NULL, 'LETHAL(2) GIANT LARVAE PROTEIN', 188276),
(244551, 'PTHR10641:SF985', NULL, NULL, NULL, NULL, 'OSJNBA0009P12.23 PROTEIN', 188277),
(244552, 'PTHR10460:SF26', NULL, NULL, NULL, NULL, 'ABL INTERACTOR 2', 188278),
(244553, 'PTHR27002:SF717', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 28-RELATED', 188279),
(244554, 'PTHR31221:SF132', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 50-RELATED', 188280),
(244555, 'PTHR23226:SF219', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 408', 188281),
(244556, 'PTHR12441:SF13', NULL, NULL, NULL, NULL, 'ATP SYNTHASE-COUPLING FACTOR 6, MITOCHONDRIAL', 188282),
(244557, 'PTHR11937:SF408', NULL, NULL, NULL, NULL, 'ACTIN-7', 188283),
(244558, 'PTHR33108:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188284),
(244559, 'PTHR42721:SF40', NULL, NULL, NULL, NULL, 'BNAA09G03310D PROTEIN', 188285),
(244560, 'PTHR10615:SF132', NULL, NULL, NULL, NULL, 'PHD-FINGER FAMILY PROTEIN', 188286),
(244561, 'PTHR32457', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 188287),
(244562, 'PTHR22937:SF104', NULL, NULL, NULL, NULL, 'OS05G0564300 PROTEIN', 188288),
(244563, 'PTHR48022:SF48', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G06730)-RELATED', 188289),
(244564, 'PTHR34011:SF6', NULL, NULL, NULL, NULL, 'PHYCOBILIPROTEIN APCE', 188290),
(244565, 'PTHR26450:SF70', NULL, NULL, NULL, NULL, 'MCG141498', 188291),
(244566, 'PTHR31942:SF70', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 188292),
(244567, 'PTHR47995:SF16', NULL, NULL, NULL, NULL, 'BNAA02G09340D PROTEIN', 188293),
(244568, 'PTHR31595:SF8', NULL, NULL, NULL, NULL, '(MEMBRANE BOUND O-ACYL TRANSFERASE) FAMILY PROTEIN, PUTATIVE-RELATED', 188294),
(244569, 'PTHR23249:SF19', NULL, NULL, NULL, NULL, 'BNAC03G77750D PROTEIN', 188295),
(244570, 'PTHR20963:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188296),
(244571, 'PTHR45496:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188297),
(244572, 'PTHR31972:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188298),
(244573, 'PTHR10245:SF71', NULL, NULL, NULL, NULL, 'MULTIPROTEIN-BRIDGING FACTOR 1C', 188299),
(244574, 'PTHR10380:SF216', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 67FB-RELATED', 188300),
(244575, 'PTHR37206', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 188301);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(244576, 'PTHR22996:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MGRN1', 188302),
(244577, 'PTHR13902:SF117', NULL, NULL, NULL, NULL, 'WNK KINASE', 188303),
(244578, 'PTHR23095:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188304),
(244579, 'PTHR11328:SF31', NULL, NULL, NULL, NULL, 'SI:CH211-224L10.4', 188305),
(244580, 'PTHR33320:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188306),
(244581, 'PTHR31731:SF11', NULL, NULL, NULL, NULL, 'OS06G0104800 PROTEIN', 188307),
(244582, 'PTHR45699:SF3', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', 188308),
(244583, 'PTHR36169:SF1', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTQ', 188309),
(244584, 'PTHR10642', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H1', 188310),
(244585, 'PTHR23267:SF315', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-1', 188311),
(244586, 'PTHR31225:SF67', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 6 ISOFORM X1-RELATED', 188312),
(244587, 'PTHR48056:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188313),
(244588, 'PTHR28246', NULL, NULL, NULL, NULL, 'G1-SPECIFIC TRANSCRIPTIONAL REPRESSOR WHI5-RELATED', 188314),
(244589, 'PTHR23105:SF147', NULL, NULL, NULL, NULL, 'BNAANNG25500D PROTEIN', 188315),
(244590, 'PTHR45801:SF49', NULL, NULL, NULL, NULL, 'BNAUNNG02710D PROTEIN', 188316),
(244591, 'PTHR45949', NULL, NULL, NULL, NULL, 'SORTING NEXIN-4', 188317),
(244592, 'PTHR46279:SF2', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL21A-RELATED', 188318),
(244593, 'PTHR19211:SF5', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 3A-RELATED', 188319),
(244594, 'PTHR47980:SF26', NULL, NULL, NULL, NULL, 'BNAA02G06750D PROTEIN', 188320),
(244595, 'PTHR21011:SF12', NULL, NULL, NULL, NULL, 'BNACNNG39020D PROTEIN', 188321),
(244596, 'PTHR24353', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-DEPENDENT PROTEIN KINASE', 188322),
(244597, 'PTHR47521:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)-RELATED', 188323),
(244598, 'PTHR11534:SF5', NULL, NULL, NULL, NULL, 'MYOGENIN', 188324),
(244599, 'PTHR30560:SF5', NULL, NULL, NULL, NULL, 'OS09G0515400 PROTEIN', 188325),
(244600, 'PTHR22957:SF458', NULL, NULL, NULL, NULL, 'SI:DKEYP-19E1.3', 188326),
(244601, 'PTHR11538:SF85', NULL, NULL, NULL, NULL, 'BNAA05G13590D PROTEIN', 188327),
(244602, 'PTHR31307:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188328),
(244603, 'PTHR24240:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188329),
(244604, 'PTHR23167:SF27', NULL, NULL, NULL, NULL, '[F-ACTIN]-MONOOXYGENASE MICAL1', 188330),
(244605, 'PTHR24031:SF740', NULL, NULL, NULL, NULL, 'RNA HELICASE', 188331),
(244606, 'PTHR34272:SF11', NULL, NULL, NULL, NULL, 'F13F21.24 PROTEIN', 188332),
(244607, 'PTHR11771:SF137', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 188333),
(244608, 'PTHR24124:SF7', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR DELTA', 188334),
(244609, 'PTHR31422:SF29', NULL, NULL, NULL, NULL, 'BNAA09G41610D PROTEIN', 188335),
(244610, 'PTHR28180', NULL, NULL, NULL, NULL, 'CONSERVED MITOCHONDRIAL PROTEIN-RELATED', 188336),
(244611, 'PTHR22601:SF77', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 4', 188337),
(244612, 'PTHR10797:SF65', NULL, NULL, NULL, NULL, 'BNAA06G10590D PROTEIN', 188338),
(244613, 'PTHR45635:SF13', NULL, NULL, NULL, NULL, 'ADP/ATP TRANSLOCASE 3', 188339),
(244614, 'PTHR42751', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER FAMILY/TRKA DOMAIN PROTEIN', 188340),
(244615, 'PTHR18945:SF598', NULL, NULL, NULL, NULL, 'HISTAMINE-GATED CHLORIDE CHANNEL ALPHA1 SUBUNIT', 188341),
(244616, 'PTHR12471:SF3', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT S1-LIKE PROTEIN', 188342),
(244617, 'PTHR32285:SF189', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 188343),
(244618, 'PTHR23037:SF31', NULL, NULL, NULL, NULL, 'THROMBOPOIETIN RECEPTOR', 188344),
(244619, 'PTHR31808:SF10', NULL, NULL, NULL, NULL, 'BNAANNG17260D PROTEIN', 188345),
(244620, 'PTHR11260:SF633', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE PARC-RELATED', 188346),
(244621, 'PTHR45665:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188347);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(244622, 'PTHR47357:SF5', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 4B-LIKE', 188348),
(244623, 'PTHR32093:SF114', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 2', 188349),
(244624, 'PTHR31839:SF25', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1D-LIKE', 188350),
(244625, 'PTHR19971:SF24', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY CONSTANT MU', 188351),
(244626, 'PTHR11328', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN', 188352),
(244627, 'PTHR22754:SF34', NULL, NULL, NULL, NULL, 'DISCO-INTERACTING PROTEIN 2 HOMOLOG A', 188353),
(244628, 'PTHR35577:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188354),
(244629, 'PTHR46036:SF8', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE-LIKE PROTEIN', 188355),
(244630, 'PTHR31168:SF21', NULL, NULL, NULL, NULL, 'EMB|CAB89385.1', 188356),
(244631, 'PTHR22922:SF5', NULL, NULL, NULL, NULL, 'CAPRIN-2', 188357),
(244632, 'PTHR31945:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SCREAM-LIKE PROTEIN', 188358),
(244633, 'PTHR47513', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER', 188359),
(244634, 'PTHR32343:SF22', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 9', 188360),
(244635, 'PTHR48001:SF107', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7D2', 188361),
(244636, 'PTHR36736:SF1', NULL, NULL, NULL, NULL, 'OS03G0100030 PROTEIN', 188362),
(244637, 'PTHR22960:SF27', NULL, NULL, NULL, NULL, 'GTP 3'',8-CYCLASE', 188363),
(244638, 'PTHR11670:SF61', NULL, NULL, NULL, NULL, 'CYTOPLASMIC-LIKE ACONITATE HYDRATASE', 188364),
(244639, 'PTHR43899:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188365),
(244640, 'PTHR48082:SF6', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ALPHA, CHLOROPLASTIC', 188366),
(244641, 'PTHR13848:SF80', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 188367),
(244642, 'PTHR12881:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 1', 188368),
(244643, 'PTHR45877:SF5', NULL, NULL, NULL, NULL, 'SEVEN IN ABSENTIA HOMOLOG 3', 188369),
(244644, 'PTHR45684:SF26', NULL, NULL, NULL, NULL, 'BNACNNG06680D PROTEIN', 188370),
(244645, 'PTHR23421:SF167', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 188371),
(244646, 'PTHR11024:SF3', NULL, NULL, NULL, NULL, 'NUCLEOPORIN SEH1', 188372),
(244647, 'PTHR32009:SF46', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A5-RELATED', 188373),
(244648, 'PTHR47972:SF18', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14R', 188374),
(244649, 'PTHR10656:SF8', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR-INTERACTING PROTEIN', 188375),
(244650, 'PTHR43939:SF44', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 188376),
(244651, 'PTHR37888:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188377),
(244652, 'PTHR10795:SF727', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188378),
(244653, 'PTHR15907:SF141', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 6-LIKE', 188379),
(244654, 'PTHR42905', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE', 188380),
(244655, 'PTHR22595', NULL, NULL, NULL, NULL, 'CHITINASE-RELATED', 188381),
(244656, 'PTHR48043:SF118', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 188382),
(244657, 'PTHR31631:SF3', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 2A', 188383),
(244658, 'PTHR38607:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG06239', 188384),
(244659, 'PTHR46913:SF1', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL16', 188385),
(244660, 'PTHR48041:SF64', NULL, NULL, NULL, NULL, 'PROTEIN SCARLET', 188386),
(244661, 'PTHR33052:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188387),
(244662, 'PTHR27008:SF218', NULL, NULL, NULL, NULL, 'OS02G0231700 PROTEIN', 188388),
(244663, 'PTHR11468:SF4', NULL, NULL, NULL, NULL, 'ALPHA-GLUCAN PHOSPHORYLASE 2, CYTOSOLIC', 188389),
(244664, 'PTHR34777:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188390),
(244665, 'PTHR31745:SF2', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN WHY1, CHLOROPLASTIC', 188391),
(244666, 'PTHR10732:SF12', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17-LIKE', 188392);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(244667, 'PTHR22814:SF342', NULL, NULL, NULL, NULL, 'BNAC03G65590D PROTEIN', 188393),
(244668, 'PTHR24067:SF309', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1-LIKE', 188394),
(244669, 'PTHR35893:SF4', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 188395),
(244670, 'PTHR23338:SF46', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', 188396),
(244671, 'PTHR10697:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 188397),
(244672, 'PTHR46845:SF2', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR 3', 188398),
(244673, 'PTHR24241:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188399),
(244674, 'PTHR22972:SF5', NULL, NULL, NULL, NULL, 'INACTIVE TYROSINE-PROTEIN KINASE PEAK1', 188400),
(244675, 'PTHR11709:SF237', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN', 188401),
(244676, 'PTHR36083:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L32, CHLOROPLASTIC', 188402),
(244677, 'PTHR32022:SF10', NULL, NULL, NULL, NULL, 'D-GLUTAMATE CYCLASE, MITOCHONDRIAL', 188403),
(244678, 'PTHR33724', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 43 HOMOLOG', 188404),
(244679, 'PTHR47982:SF52', NULL, NULL, NULL, NULL, 'OS03G0568800 PROTEIN', 188405),
(244680, 'PTHR31923:SF1', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', 188406),
(244681, 'PTHR37610:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188407),
(244682, 'PTHR43812:SF2', NULL, NULL, NULL, NULL, 'BLR2425 PROTEIN', 188408),
(244683, 'PTHR47966:SF14', NULL, NULL, NULL, NULL, 'BNAC08G15160D PROTEIN', 188409),
(244684, 'PTHR31385:SF13', NULL, NULL, NULL, NULL, 'BNAA09G30980D PROTEIN', 188410),
(244685, 'PTHR24223:SF399', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATNG', 188411),
(244686, 'PTHR24281:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188412),
(244687, 'PTHR42717', NULL, NULL, NULL, NULL, 'DIHYDROOROTASE-RELATED', 188413),
(244688, 'PTHR22600:SF40', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE 1', 188414),
(244689, 'PTHR10910:SF140', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-SPECIFIC EDITASE ADAR-RELATED', 188415),
(244690, 'PTHR15036:SF59', NULL, NULL, NULL, NULL, 'FAT ATYPICAL CADHERIN 4', 188416),
(244691, 'PTHR23138:SF123', NULL, NULL, NULL, NULL, 'RAN-SPECIFIC GTPASE-ACTIVATING PROTEIN 2', 188417),
(244692, 'PTHR31388:SF127', NULL, NULL, NULL, NULL, 'PEROXIDASE', 188418),
(244693, 'PTHR43280:SF1', NULL, NULL, NULL, NULL, 'ARAC-FAMILY TRANSCRIPTIONAL REGULATOR', 188419),
(244694, 'PTHR16093', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 120 FAMILY MEMBER', 188420),
(244695, 'PTHR42683:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188421),
(244696, 'PTHR12277:SF152', NULL, NULL, NULL, NULL, 'PEPTIDASE, PUTATIVE SERINE PEPTIDASE, CLAN SC, FAMILY S9D-RELATED', 188422),
(244697, 'PTHR12879', NULL, NULL, NULL, NULL, 'SPHINGOLIPID DELTA 4 DESATURASE/C-4 HYDROXYLASE PROTEIN DES2', 188423),
(244698, 'PTHR24377:SF709', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 230', 188424),
(244699, 'PTHR10015:SF173', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR C-1B', 188425),
(244700, 'PTHR11467:SF118', NULL, NULL, NULL, NULL, 'BNAC03G17040D PROTEIN', 188426),
(244701, 'PTHR14154:SF89', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', 188427),
(244702, 'PTHR31683:SF127', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 188428),
(244703, 'PTHR48001:SF163', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1E2', 188429),
(244704, 'PTHR14047:SF7', NULL, NULL, NULL, NULL, 'X ANTIGEN FAMILY MEMBER 5', 188430),
(244705, 'PTHR19433:SF86', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 26-2', 188431),
(244706, 'PTHR11588:SF251', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1B CHAIN', 188432),
(244707, 'PTHR12632:SF64', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-RELATED', 188433),
(244708, 'PTHR33659:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188434),
(244709, 'PTHR47989:SF36', NULL, NULL, NULL, NULL, 'BNAC06G02630D PROTEIN', 188435),
(244710, 'PTHR32002:SF42', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', 188436);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(244711, 'PTHR37846:SF1', NULL, NULL, NULL, NULL, 'YALI0B21296P', 188437),
(244712, 'PTHR31311:SF35', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE CAZY FAMILY GT34-LIKE PROTEIN', 188438),
(244713, 'PTHR48094:SF13', NULL, NULL, NULL, NULL, 'BNAA06G01020D PROTEIN', 188439),
(244714, 'PTHR47644:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188440),
(244715, 'PTHR13768:SF39', NULL, NULL, NULL, NULL, 'BNAA09G35650D PROTEIN', 188441),
(244716, 'PTHR45676:SF108', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE OS04G0590900-LIKE', 188442),
(244717, 'PTHR10418:SF3', NULL, NULL, NULL, NULL, 'PITUITARY TUMOR-TRANSFORMING GENE 3 PROTEIN-RELATED', 188443),
(244718, 'PTHR13018:SF120', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 188444),
(244719, 'PTHR16830:SF19', NULL, NULL, NULL, NULL, 'FYN-BINDING PROTEIN B', 188445),
(244720, 'PTHR47752', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR FABR', 188446),
(244721, 'PTHR11566:SF203', NULL, NULL, NULL, NULL, 'DYNAMIN CENTRAL DOMAIN-CONTAINING PROTEIN-RELATED', 188447),
(244722, 'PTHR47215:SF5', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', 188448),
(244723, 'PTHR15710:SF79', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RDUF1', 188449),
(244724, 'PTHR11119:SF106', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 2', 188450),
(244725, 'PTHR33672:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188451),
(244726, 'PTHR47134:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 11A', 188452),
(244727, 'PTHR43819:SF1', NULL, NULL, NULL, NULL, 'ARCHAEAL-TYPE GLUTAMATE SYNTHASE [NADPH]', 188453),
(244728, 'PTHR31849', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PDF MOTIF DOMAIN-CONTAINING PROTEIN 1', 188454),
(244729, 'PTHR31226', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 117', 188455),
(244730, 'PTHR47926:SF36', NULL, NULL, NULL, NULL, 'OS01G0589900 PROTEIN', 188456),
(244731, 'PTHR36492:SF2', NULL, NULL, NULL, NULL, 'OS10G0492800 PROTEIN', 188457),
(244732, 'PTHR22966:SF53', NULL, NULL, NULL, NULL, 'BNAA10G29030D PROTEIN', 188458),
(244733, 'PTHR13869', NULL, NULL, NULL, NULL, 'MYELIN P0 RELATED', 188459),
(244734, 'PTHR33065:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188460),
(244735, 'PTHR46101:SF9', NULL, NULL, NULL, NULL, 'HISTIDINE DECARBOXYLASE', 188461),
(244736, 'PTHR47978:SF21', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-26', 188462),
(244737, 'PTHR19237:SF21', NULL, NULL, NULL, NULL, 'NUCLEOBINDIN-1', 188463),
(244738, 'PTHR45925:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 219', 188464),
(244739, 'PTHR43880:SF36', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 3-LIKE', 188465),
(244740, 'PTHR35767:SF4', NULL, NULL, NULL, NULL, 'BNAA10G10400D PROTEIN', 188466),
(244741, 'PTHR31301:SF136', NULL, NULL, NULL, NULL, 'BNAA09G02100D PROTEIN', 188467),
(244742, 'PTHR10019:SF11', NULL, NULL, NULL, NULL, 'SWI/SNF CHROMATIN-REMODELING COMPLEX SUBUNIT SNF5', 188468),
(244743, 'PTHR24256:SF510', NULL, NULL, NULL, NULL, 'IP09525P', 188469),
(244744, 'PTHR36792:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188470),
(244745, 'PTHR31851:SF4', NULL, NULL, NULL, NULL, 'CCC1 FAMILY PROTEIN-RELATED', 188471),
(244746, 'PTHR11003:SF253', NULL, NULL, NULL, NULL, 'IP11374P', 188472),
(244747, 'PTHR11614:SF162', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 188473),
(244748, 'PTHR31985:SF193', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP2-EREBP FAMILY-RELATED', 188474),
(244749, 'PTHR34413:SF2', NULL, NULL, NULL, NULL, 'PROPHAGE TAIL FIBER ASSEMBLY PROTEIN HOMOLOG TFAE-RELATED', 188475),
(244750, 'PTHR46075:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188476),
(244751, 'PTHR42861:SF82', NULL, NULL, NULL, NULL, 'CATIONS-TRANSPORTING ATPASE-RELATED', 188477),
(244752, 'PTHR10179:SF52', NULL, NULL, NULL, NULL, 'PLATELET BASIC PROTEIN', 188478),
(244753, 'PTHR34763:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM104B', 188479),
(244754, 'PTHR45631:SF86', NULL, NULL, NULL, NULL, 'BNAA05G35900D PROTEIN', 188480),
(244755, 'PTHR21229:SF15', NULL, NULL, NULL, NULL, 'LUNG SEVEN TRANSMEMBRANE RECEPTOR FAMILY PROTEIN', 188481);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(244756, 'PTHR23421:SF13', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 2-RELATED', 188482),
(244757, 'PTHR45642:SF26', NULL, NULL, NULL, NULL, 'LIPASE SIL1-LIKE PROTEIN', 188483),
(244758, 'PTHR24242:SF253', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 188484),
(244759, 'PTHR24412:SF462', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 38', 188485),
(244760, 'PTHR37973:SF1', NULL, NULL, NULL, NULL, 'CHONDROITIN PROTEOGLYCAN 3', 188486),
(244761, 'PTHR15907:SF26', NULL, NULL, NULL, NULL, 'CORNIFELIN', 188487),
(244762, 'PTHR10438:SF417', NULL, NULL, NULL, NULL, 'THIOREDOXIN H-TYPE', 188488),
(244763, 'PTHR32370:SF106', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 188489),
(244764, 'PTHR36758:SF1', NULL, NULL, NULL, NULL, 'OS01G0342800 PROTEIN', 188490),
(244765, 'PTHR15241:SF284', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2C', 188491),
(244766, 'PTHR31828:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188492),
(244767, 'PTHR10655:SF30', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE OS04G0669600-RELATED', 188493),
(244768, 'PTHR11771:SF143', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', 188494),
(244769, 'PTHR11801:SF47', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION 5A', 188495),
(244770, 'PTHR30603:SF20', NULL, NULL, NULL, NULL, 'OS01G0641700 PROTEIN', 188496),
(244771, 'PTHR42646:SF1', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE XNI', 188497),
(244772, 'PTHR31986:SF7', NULL, NULL, NULL, NULL, 'REGULATOR OF DRUG SENSITIVITY 2', 188498),
(244773, 'PTHR47924:SF24', NULL, NULL, NULL, NULL, 'BNAA04G21340D PROTEIN', 188499),
(244774, 'PTHR43383:SF2', NULL, NULL, NULL, NULL, 'NODULIN 6', 188500),
(244775, 'PTHR23202:SF79', NULL, NULL, NULL, NULL, 'WASP ACTIN NUCLEATION-PROMOTING FACTOR A-RELATED', 188501),
(244776, 'PTHR33591:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188502),
(244777, 'PTHR24249:SF307', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 5', 188503),
(244778, 'PTHR43943:SF12', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', 188504),
(244779, 'PTHR22835:SF579', NULL, NULL, NULL, NULL, 'OS01G0215700 PROTEIN', 188505),
(244780, 'PTHR31267:SF9', NULL, NULL, NULL, NULL, 'BNACNNG11530D PROTEIN', 188506),
(244781, 'PTHR24103:SF592', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 47', 188507),
(244782, 'PTHR47667', NULL, NULL, NULL, NULL, 'REGULATOR OF TY1 TRANSPOSITION PROTEIN 107', 188508),
(244783, 'PTHR37483', NULL, NULL, NULL, NULL, 'UPF0125 PROTEIN RATB', 188509),
(244784, 'PTHR36689:SF1', NULL, NULL, NULL, NULL, 'COLORECTAL CANCER-ASSOCIATED PROTEIN 2', 188510),
(244785, 'PTHR10221:SF9', NULL, NULL, NULL, NULL, 'TAF6-LIKE RNA POLYMERASE II P300/CBP-ASSOCIATED FACTOR-ASSOCIATED FACTOR 65 KDA SUBUNIT 6L', 188511),
(244786, 'PTHR45821:SF12', NULL, NULL, NULL, NULL, 'OS03G0165266 PROTEIN', 188512),
(244787, 'PTHR23349:SF103', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TWIST1', 188513),
(244788, 'PTHR23272:SF148', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 1-LIKE', 188514),
(244789, 'PTHR11062:SF198', NULL, NULL, NULL, NULL, 'OS03G0324700 PROTEIN', 188515),
(244790, 'PTHR36321:SF6', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 2', 188516),
(244791, 'PTHR11984:SF60', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-9 PROTEIN', 188517),
(244792, 'PTHR45680:SF18', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-130', 188518),
(244793, 'PTHR33203:SF26', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN-RELATED', 188519),
(244794, 'PTHR14552:SF26', NULL, NULL, NULL, NULL, 'DCTP PYROPHOSPHATASE 1', 188520),
(244795, 'PTHR31881:SF12', NULL, NULL, NULL, NULL, 'PLANT/F12B17-70 PROTEIN', 188521),
(244796, 'PTHR46039:SF6', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE-RELATED', 188522),
(244797, 'PTHR30185:SF9', NULL, NULL, NULL, NULL, 'LMO0501 PROTEIN', 188523),
(244798, 'PTHR45768:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 188524),
(244799, 'PTHR11654:SF453', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.2-RELATED', 188525);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(244800, 'PTHR11593:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188526),
(244801, 'PTHR47322:SF9', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', 188527),
(244802, 'PTHR42898:SF61', NULL, NULL, NULL, NULL, 'BNAA04G17030D PROTEIN', 188528),
(244803, 'PTHR10954:SF18', NULL, NULL, NULL, NULL, 'RIBONUCLEASE HII', 188529),
(244804, 'PTHR24209:SF24', NULL, NULL, NULL, NULL, 'PROTEIN DA1-LIKE', 188530),
(244805, 'PTHR48062:SF7', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 15', 188531),
(244806, 'PTHR37016:SF7', NULL, NULL, NULL, NULL, 'NEUTRAL PROTEASE 2', 188532),
(244807, 'PTHR10263:SF40', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', 188533),
(244808, 'PTHR38007', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMS PROTEIN CSM5', 188534),
(244809, 'PTHR43262:SF1', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE', 188535),
(244810, 'PTHR46771:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188536),
(244811, 'PTHR43334', NULL, NULL, NULL, NULL, 'ACETATE--COA LIGASE [ADP-FORMING]', 188537),
(244812, 'PTHR32227:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 17 PROTEIN', 188538),
(244813, 'PTHR10201:SF169', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-16-LIKE PROTEIN', 188539),
(244814, 'PTHR32411:SF63', NULL, NULL, NULL, NULL, 'BNAA05G10410D PROTEIN', 188540),
(244815, 'PTHR12203:SF70', NULL, NULL, NULL, NULL, 'OS06G0152700 PROTEIN', 188541),
(244816, 'PTHR13402', NULL, NULL, NULL, NULL, 'RGPR-RELATED', 188542),
(244817, 'PTHR33318:SF25', NULL, NULL, NULL, NULL, 'BNAA08G28700D PROTEIN', 188543),
(244818, 'PTHR10533:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188544),
(244819, 'PTHR33107:SF38', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR 5', 188545),
(244820, 'PTHR11814:SF204', NULL, NULL, NULL, NULL, 'HIGH AFFINITY SULFATE TRANSPORTER', 188546),
(244821, 'PTHR45744:SF21', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE TAT3-RELATED', 188547),
(244822, 'PTHR11685:SF338', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF217-RELATED', 188548),
(244823, 'PTHR31992:SF187', NULL, NULL, NULL, NULL, 'BNAA03G36180D PROTEIN', 188549),
(244824, 'PTHR10654:SF20', NULL, NULL, NULL, NULL, 'ENHANCER OF FILAMENTATION 1', 188550),
(244825, 'PTHR47641:SF1', NULL, NULL, NULL, NULL, 'PERIAXIN-LIKE', 188551),
(244826, 'PTHR31722:SF62', NULL, NULL, NULL, NULL, 'EMB|CAB62433.1|', 188552),
(244827, 'PTHR33377:SF39', NULL, NULL, NULL, NULL, 'OS07G0122100 PROTEIN', 188553),
(244828, 'PTHR31325:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188554),
(244829, 'PTHR33714', NULL, NULL, NULL, NULL, 'COUNTING FACTOR-ASSOCIATED PROTEIN A-RELATED', 188555),
(244830, 'PTHR34630:SF34', NULL, NULL, NULL, NULL, 'OS11G0677101 PROTEIN', 188556),
(244831, 'PTHR26451:SF889', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 188557),
(244832, 'PTHR10545:SF62', NULL, NULL, NULL, NULL, 'N-HYDROXYCINNAMOYL-COA:TYRAMINE N-HYDROXYCINNAMOYL TRANSFERASE THT1-3', 188558),
(244833, 'PTHR45847:SF4', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE 1', 188559),
(244834, 'PTHR43837:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S12 METHYLTHIOTRANSFERASE RIMO', 188560),
(244835, 'PTHR31118:SF17', NULL, NULL, NULL, NULL, 'CYCLASE-LIKE PROTEIN 4', 188561),
(244836, 'PTHR43877:SF5', NULL, NULL, NULL, NULL, 'BLR1117 PROTEIN', 188562),
(244837, 'PTHR47926:SF234', NULL, NULL, NULL, NULL, 'BNAC09G41000D PROTEIN', 188563),
(244838, 'PTHR30041:SF5', NULL, NULL, NULL, NULL, 'ARSENATE REDUCTASE-RELATED', 188564),
(244839, 'PTHR21446:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ANTIVIRAL-SIGNALING PROTEIN', 188565),
(244840, 'PTHR12777', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D2', 188566),
(244841, 'PTHR32018:SF10', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B ISOFORM X1-RELATED', 188567),
(244842, 'PTHR32134:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188568),
(244843, 'PTHR15454:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 11-INTERACTING PROTEIN', 188569),
(244844, 'PTHR10835:SF22', NULL, NULL, NULL, NULL, 'BNAC02G41420D PROTEIN', 188570);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(244845, 'PTHR33033:SF55', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', 188571),
(244846, 'PTHR48048:SF38', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 188572),
(244847, 'PTHR33640:SF3', NULL, NULL, NULL, NULL, 'TRNA-METHYLTRANSFERASE NON-CATALYTIC SUBUNIT TRM6MTASE SUBUNIT', 188573),
(244848, 'PTHR12391:SF0', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 3', 188574),
(244849, 'PTHR22883:SF319', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE PFA3', 188575),
(244850, 'PTHR13341', NULL, NULL, NULL, NULL, 'MIR-INTERACTING SAPOSIN-LIKE PROTEIN', 188576),
(244851, 'PTHR48018:SF150', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 188577),
(244852, 'PTHR11006:SF54', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 1', 188578),
(244853, 'PTHR45844:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', 188579),
(244854, 'PTHR24006:SF683', NULL, NULL, NULL, NULL, 'BNAA03G58110D PROTEIN', 188580),
(244855, 'PTHR45637:SF74', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL2-LIKE', 188581),
(244856, 'PTHR33788:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188582),
(244857, 'PTHR47770:SF1', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 11', 188583),
(244858, 'PTHR45793:SF16', NULL, NULL, NULL, NULL, 'ARGININE-FIFTY HOMEOBOX', 188584),
(244859, 'PTHR47929:SF11', NULL, NULL, NULL, NULL, 'BNACNNG15330D PROTEIN', 188585),
(244860, 'PTHR11850:SF254', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 6', 188586),
(244861, 'PTHR47137', NULL, NULL, NULL, NULL, 'ERMIN', 188587),
(244862, 'PTHR31953:SF66', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV6', 188588),
(244863, 'PTHR31235:SF195', NULL, NULL, NULL, NULL, 'PEROXIDASE', 188589),
(244864, 'PTHR13703:SF44', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 7', 188590),
(244865, 'PTHR10460:SF43', NULL, NULL, NULL, NULL, 'ABI FAMILY-RELATED', 188591),
(244866, 'PTHR35352', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 150', 188592),
(244867, 'PTHR26453:SF646', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 188593),
(244868, 'PTHR10666:SF344', NULL, NULL, NULL, NULL, 'UBIQUITIN-60S RIBOSOMAL PROTEIN L40', 188594),
(244869, 'PTHR35358:SF16', NULL, NULL, NULL, NULL, 'BNAANNG11620D PROTEIN', 188595),
(244870, 'PTHR47926:SF117', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', 188596),
(244871, 'PTHR12733:SF3', NULL, NULL, NULL, NULL, 'ATP SYNTHASE F(0) COMPLEX SUBUNIT B1, MITOCHONDRIAL', 188597),
(244872, 'PTHR15273', NULL, NULL, NULL, NULL, 'DAN DOMAIN FAMILY MEMBER 5', 188598),
(244873, 'PTHR33085:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188599),
(244874, 'PTHR31147:SF40', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 4-LIKE', 188600),
(244875, 'PTHR31874:SF10', NULL, NULL, NULL, NULL, 'OS02G0148000 PROTEIN', 188601),
(244876, 'PTHR31387:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 19.1', 188602),
(244877, 'PTHR31676:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188603),
(244878, 'PTHR12771:SF2', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN 3', 188604),
(244879, 'PTHR46714', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR HAC1', 188605),
(244880, 'PTHR33085:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188606),
(244881, 'PTHR13989:SF32', NULL, NULL, NULL, NULL, 'ROR1', 188607),
(244882, 'PTHR12374:SF65', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1R1-LIKE', 188608),
(244883, 'PTHR14154', NULL, NULL, NULL, NULL, 'UPF0041 BRAIN PROTEIN 44-RELATED', 188609),
(244884, 'PTHR21859:SF3', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED 31 SUBFAMILY D, MEMBER 1D', 188610),
(244885, 'PTHR47183:SF3', NULL, NULL, NULL, NULL, 'TRANSFERASE-RELATED', 188611),
(244886, 'PTHR14677:SF33', NULL, NULL, NULL, NULL, 'ZINC FINGER, AN1-TYPE DOMAIN 2A', 188612),
(244887, 'PTHR45134', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 188613),
(244888, 'PTHR44051:SF17', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE FAMILY PROTEIN', 188614);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(244889, 'PTHR42673', NULL, NULL, NULL, NULL, 'MALEYLACETOACETATE ISOMERASE', 188615),
(244890, 'PTHR35739:SF1', NULL, NULL, NULL, NULL, 'OS01G0861700 PROTEIN', 188616),
(244891, 'PTHR11871:SF38', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', 188617),
(244892, 'PTHR20961:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188618),
(244893, 'PTHR11106:SF109', NULL, NULL, NULL, NULL, 'APPR-1-P PROCESSING ENZYME FAMILY PROTEIN', 188619),
(244894, 'PTHR42898:SF6', NULL, NULL, NULL, NULL, 'OS03G0269100 PROTEIN', 188620),
(244895, 'PTHR31118:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188621),
(244896, 'PTHR24016:SF12', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 28', 188622),
(244897, 'PTHR44080:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE COP1-LIKE ISOFORM X1', 188623),
(244898, 'PTHR44598:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188624),
(244899, 'PTHR10792:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188625),
(244900, 'PTHR24278:SF31', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR IX', 188626),
(244901, 'PTHR24064:SF570', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER PHO84', 188627),
(244902, 'PTHR32370:SF144', NULL, NULL, NULL, NULL, 'BNAA09G51040D PROTEIN', 188628),
(244903, 'PTHR13789:SF268', NULL, NULL, NULL, NULL, '5-METHYLPHENAZINE-1-CARBOXYLATE 1-MONOOXYGENASE', 188629),
(244904, 'PTHR46713:SF1', NULL, NULL, NULL, NULL, 'F13M7.16 PROTEIN', 188630),
(244905, 'PTHR46339', NULL, NULL, NULL, NULL, 'PROTEIN CBG15282-RELATED', 188631),
(244906, 'PTHR31370:SF3', NULL, NULL, NULL, NULL, 'BNAC04G31510D PROTEIN', 188632),
(244907, 'PTHR23196:SF8', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE', 188633),
(244908, 'PTHR24028', NULL, NULL, NULL, NULL, 'CADHERIN-87A', 188634),
(244909, 'PTHR47926:SF195', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 188635),
(244910, 'PTHR24093:SF466', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 188636),
(244911, 'PTHR32285:SF186', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 188637),
(244912, 'PTHR10472', NULL, NULL, NULL, NULL, 'D-TYROSYL-TRNA TYR  DEACYLASE', 188638),
(244913, 'PTHR24177:SF336', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188639),
(244914, 'PTHR13305:SF5', NULL, NULL, NULL, NULL, 'NUCLEOLAR RNA-BINDING NOP10P-LIKE PROTEIN', 188640),
(244915, 'PTHR45729:SF1', NULL, NULL, NULL, NULL, 'DOUBLE C2-LIKE DOMAIN-CONTAINING PROTEIN ALPHA', 188641),
(244916, 'PTHR47823:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188642),
(244917, 'PTHR11588:SF9', NULL, NULL, NULL, NULL, 'TUBULIN BETA-1 CHAIN', 188643),
(244918, 'PTHR34672:SF14', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 40', 188644),
(244919, 'PTHR33154:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR, ARSR FAMILY', 188645),
(244920, 'PTHR46250', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN-RELATED', 188646),
(244921, 'PTHR11481:SF62', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE PROTEIN 6', 188647),
(244922, 'PTHR12741:SF67', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 10', 188648),
(244923, 'PTHR37376:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188649),
(244924, 'PTHR28649:SF3', NULL, NULL, NULL, NULL, 'REPRIMO-LIKE PROTEIN', 188650),
(244925, 'PTHR23254', NULL, NULL, NULL, NULL, 'EIF4G DOMAIN PROTEIN', 188651),
(244926, 'PTHR21022:SF28', NULL, NULL, NULL, NULL, 'PREPHENATE DEHYDRATASE, ACT DOMAIN PROTEIN-RELATED', 188652),
(244927, 'PTHR32241:SF16', NULL, NULL, NULL, NULL, 'OS06G0677000 PROTEIN', 188653),
(244928, 'PTHR31194:SF129', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF2-LIKE', 188654),
(244929, 'PTHR42941', NULL, NULL, NULL, NULL, 'SLL1037 PROTEIN', 188655),
(244930, 'PTHR33091:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188656),
(244931, 'PTHR31218:SF175', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 188657),
(244932, 'PTHR10677:SF9', NULL, NULL, NULL, NULL, 'UBIQUILIN-LIKE PROTEIN', 188658),
(244933, 'PTHR32258:SF38', NULL, NULL, NULL, NULL, 'KINASE INTERACTING (KIP1-LIKE) FAMILY PROTEIN', 188659);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(244934, 'PTHR33180:SF21', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP43 REACTION CENTER PROTEIN', 188660),
(244935, 'PTHR47518:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG09758', 188661),
(244936, 'PTHR46689', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', 188662),
(244937, 'PTHR21392:SF4', NULL, NULL, NULL, NULL, 'DTW DOMAIN-CONTAINING PROTEIN', 188663),
(244938, 'PTHR46960:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE KEG-LIKE', 188664),
(244939, 'PTHR43523:SF15', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE LARGE SUBUNIT 4, CHLOROPLASTIC/AMYLOPLASTIC', 188665),
(244940, 'PTHR43434:SF8', NULL, NULL, NULL, NULL, 'PYROPHOSPHATASE PPAX', 188666),
(244941, 'PTHR16677', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC PROGENITOR CELL ANTIGEN CD34', 188667),
(244942, 'PTHR47214:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AS1', 188668),
(244943, 'PTHR13318:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188669),
(244944, 'PTHR47977:SF13', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-5C', 188670),
(244945, 'PTHR37917:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG03580', 188671),
(244946, 'PTHR11036:SF11', NULL, NULL, NULL, NULL, 'SEMAPHORIN-6C', 188672),
(244947, 'PTHR10715:SF9', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', 188673),
(244948, 'PTHR11732:SF482', NULL, NULL, NULL, NULL, 'ZGC:56622', 188674),
(244949, 'PTHR46119:SF15', NULL, NULL, NULL, NULL, 'PROTEIN SODIUM POTASSIUM ROOT DEFECTIVE 2', 188675),
(244950, 'PTHR28188', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM5', 188676),
(244951, 'PTHR45836:SF22', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G-PROTEIN COUPLED RECEPTOR 6', 188677),
(244952, 'PTHR47312', NULL, NULL, NULL, NULL, 'MELANOMA-DERIVED GROWTH REGULATORY PROTEIN', 188678),
(244953, 'PTHR31044:SF83', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', 188679),
(244954, 'PTHR38739:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188680),
(244955, 'PTHR10026:SF67', NULL, NULL, NULL, NULL, 'CYCLIN-T1-4-LIKE ISOFORM X1', 188681),
(244956, 'PTHR23257:SF800', NULL, NULL, NULL, NULL, 'OS06G0663400 PROTEIN', 188682),
(244957, 'PTHR32295:SF33', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 21', 188683),
(244958, 'PTHR45008:SF1', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCOSE-SPECIFIC EIIA COMPONENT', 188684),
(244959, 'PTHR48094:SF5', NULL, NULL, NULL, NULL, 'PROTEIN DJ-1 HOMOLOG', 188685),
(244960, 'PTHR31065:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188686),
(244961, 'PTHR24356:SF157', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 32B', 188687),
(244962, 'PTHR46714:SF9', NULL, NULL, NULL, NULL, 'BNAA09G36010D PROTEIN', 188688),
(244963, 'PTHR46105:SF9', NULL, NULL, NULL, NULL, 'BTB AND CNC HOMOLOGY 1, BASIC LEUCINE ZIPPER TRANSCRIPTION FACTOR 1 A', 188689),
(244964, 'PTHR48219', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 62-RELATED', 188690),
(244965, 'PTHR31985:SF199', NULL, NULL, NULL, NULL, 'BNACNNG08620D PROTEIN', 188691),
(244966, 'PTHR23262:SF170', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-6', 188692),
(244967, 'PTHR24369:SF186', NULL, NULL, NULL, NULL, 'CHAOPTIN', 188693),
(244968, 'PTHR31683:SF150', NULL, NULL, NULL, NULL, 'PECTATE LYASE 20-RELATED', 188694),
(244969, 'PTHR13361', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 11', 188695),
(244970, 'PTHR24072:SF192', NULL, NULL, NULL, NULL, 'CDC42 HOMOLOG', 188696),
(244971, 'PTHR10791:SF131', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 188697),
(244972, 'PTHR33674:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188698),
(244973, 'PTHR32246:SF121', NULL, NULL, NULL, NULL, 'BNAA08G26630D PROTEIN', 188699),
(244974, 'PTHR45696:SF14', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1-ALPHA', 188700),
(244975, 'PTHR32448:SF141', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN-RELATED', 188701),
(244976, 'PTHR15615:SF108', NULL, NULL, NULL, NULL, 'PROTEIN CNPPD1', 188702),
(244977, 'PTHR12669:SF5', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-BINDING PROTEIN 3', 188703);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(244978, 'PTHR34981', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN ZAPA', 188704),
(244979, 'PTHR28441:SF1', NULL, NULL, NULL, NULL, 'OS05G0355133 PROTEIN', 188705),
(244980, 'PTHR12490:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG05667', 188706),
(244981, 'PTHR31625:SF50', NULL, NULL, NULL, NULL, 'MALONYL-COA:ISOFLAVONE 7-O-GLUCOSIDE MALONYLTRANSFERASE', 188707),
(244982, 'PTHR32343:SF34', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 8', 188708),
(244983, 'PTHR10694:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188709),
(244984, 'PTHR10615:SF73', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT6B', 188710),
(244985, 'PTHR21017:SF22', NULL, NULL, NULL, NULL, 'PROTEIN NIPSNAP HOMOLOG 3B', 188711),
(244986, 'PTHR48001:SF61', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 188712),
(244987, 'PTHR31071:SF32', NULL, NULL, NULL, NULL, 'OS07G0102200 PROTEIN', 188713),
(244988, 'PTHR21319:SF46', NULL, NULL, NULL, NULL, 'BNAA06G13100D PROTEIN', 188714),
(244989, 'PTHR10901:SF16', NULL, NULL, NULL, NULL, 'TROPOMODULIN', 188715),
(244990, 'PTHR12110:SF42', NULL, NULL, NULL, NULL, 'PROTEIN IOLH', 188716),
(244991, 'PTHR31639:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188717),
(244992, 'PTHR24221:SF276', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN MG014-RELATED', 188718),
(244993, 'PTHR43083:SF3', NULL, NULL, NULL, NULL, 'SHORT-CHAIN ALCOHOL DEHYDROGENASE', 188719),
(244994, 'PTHR24381:SF280', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 768', 188720),
(244995, 'PTHR12377:SF0', NULL, NULL, NULL, NULL, 'CYTOSOLIC IRON-SULFUR ASSEMBLY COMPONENT 2B', 188721),
(244996, 'PTHR13156:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 6, MITOCHONDRIAL', 188722),
(244997, 'PTHR21600:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188723),
(244998, 'PTHR33168:SF46', NULL, NULL, NULL, NULL, 'NHL DOMAIN PROTEIN', 188724),
(244999, 'PTHR22914:SF13', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE', 188725),
(245000, 'PTHR33736', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-RELATED', 188726),
(245001, 'PTHR11049:SF27', NULL, NULL, NULL, NULL, 'CYTOSOLIC ACYL COENZYME A THIOESTER HYDROLASE', 188727),
(245002, 'PTHR31350', NULL, NULL, NULL, NULL, 'SI:DKEY-261L7.2', 188728),
(245003, 'PTHR37385', NULL, NULL, NULL, NULL, 'PROTEIN LOW PSII ACCUMULATION 2, CHLOROPLASTIC', 188729),
(245004, 'PTHR47928:SF30', NULL, NULL, NULL, NULL, 'OS10G0400250 PROTEIN', 188730),
(245005, 'PTHR23115:SF137', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', 188731),
(245006, 'PTHR43205:SF47', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT ALKENAL DOUBLE BOND REDUCTASE', 188732),
(245007, 'PTHR45721:SF15', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFP-1', 188733),
(245008, 'PTHR24320:SF189', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 14', 188734),
(245009, 'PTHR31421:SF15', NULL, NULL, NULL, NULL, 'BNAA09G38320D PROTEIN', 188735),
(245010, 'PTHR30381:SF0', NULL, NULL, NULL, NULL, 'FLAGELLAR P-RING PROTEIN', 188736),
(245011, 'PTHR11278:SF21', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', 188737),
(245012, 'PTHR30061', NULL, NULL, NULL, NULL, 'MALTOSE-BINDING PERIPLASMIC PROTEIN', 188738),
(245013, 'PTHR35487', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 188739),
(245014, 'PTHR31561:SF150', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 188740),
(245015, 'PTHR10699:SF15', NULL, NULL, NULL, NULL, 'NEUROMODULIN', 188741),
(245016, 'PTHR20930:SF8', NULL, NULL, NULL, NULL, 'BNAA03G46880D PROTEIN', 188742),
(245017, 'PTHR45974:SF142', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', 188743),
(245018, 'PTHR43547:SF2', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION HISTIDINE-PROTEIN KINASE AFSQ2', 188744),
(245019, 'PTHR47757:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', 188745),
(245020, 'PTHR43106:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', 188746),
(245021, 'PTHR23012:SF193', NULL, NULL, NULL, NULL, 'BNACNNG45990D PROTEIN', 188747),
(245022, 'PTHR23274:SF34', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 188748);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(245023, 'PTHR31479:SF26', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE-RELATED', 188749),
(245024, 'PTHR23024:SF529', NULL, NULL, NULL, NULL, 'BNAA05G16060D PROTEIN', 188750),
(245025, 'PTHR34495:SF4', NULL, NULL, NULL, NULL, 'UNC-51-LIKE AUTOPHAGY-ACTIVATING KINASE 1A', 188751),
(245026, 'PTHR28489:SF4', NULL, NULL, NULL, NULL, 'ZGC:162144', 188752),
(245027, 'PTHR48061', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1-LIKE-RELATED', 188753),
(245028, 'PTHR24388:SF67', NULL, NULL, NULL, NULL, 'EOR-1', 188754),
(245029, 'PTHR21562:SF85', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 188755),
(245030, 'PTHR23268:SF84', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 4-2', 188756),
(245031, 'PTHR46614:SF1', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 4', 188757),
(245032, 'PTHR23507:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG14511', 188758),
(245033, 'PTHR14296:SF10', NULL, NULL, NULL, NULL, 'BNAA06G13150D PROTEIN', 188759),
(245034, 'PTHR10322:SF20', NULL, NULL, NULL, NULL, 'DNA POLYMERASE 1', 188760),
(245035, 'PTHR11686:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG05566', 188761),
(245036, 'PTHR31675:SF8', NULL, NULL, NULL, NULL, 'AXIAL REGULATOR YABBY 4', 188762),
(245037, 'PTHR23018:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', 188763),
(245038, 'PTHR10666:SF297', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN ISOFORM X1', 188764),
(245039, 'PTHR11716:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(2)', 188765),
(245040, 'PTHR33085:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188766),
(245041, 'PTHR42985:SF33', NULL, NULL, NULL, NULL, 'FI02094P', 188767),
(245042, 'PTHR45730:SF12', NULL, NULL, NULL, NULL, 'DROUGHT AND SALT TOLERANCE PROTEIN', 188768),
(245043, 'PTHR47985:SF55', NULL, NULL, NULL, NULL, 'OS12G0221800 PROTEIN', 188769),
(245044, 'PTHR35835', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 188770),
(245045, 'PTHR47286:SF2', NULL, NULL, NULL, NULL, 'F3I6.9 PROTEIN', 188771),
(245046, 'PTHR33868:SF13', NULL, NULL, NULL, NULL, 'BNACNNG59000D PROTEIN', 188772),
(245047, 'PTHR45631:SF48', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 188773),
(245048, 'PTHR35709:SF3', NULL, NULL, NULL, NULL, 'PROTON GRADIENT REGULATION 5', 188774),
(245049, 'PTHR48022:SF40', NULL, NULL, NULL, NULL, 'GLUCOSE TRANSPORTER RCO-3-RELATED', 188775),
(245050, 'PTHR13140:SF780', NULL, NULL, NULL, NULL, 'MYOSIN-3', 188776),
(245051, 'PTHR33175:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LIKE PROTEIN', 188777),
(245052, 'PTHR33287:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188778),
(245053, 'PTHR31717:SF91', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 23-LIKE', 188779),
(245054, 'PTHR13568:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 185-LIKE', 188780),
(245055, 'PTHR34789:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188781),
(245056, 'PTHR15207:SF1', NULL, NULL, NULL, NULL, 'GASDERMIN-E', 188782),
(245057, 'PTHR27003:SF381', NULL, NULL, NULL, NULL, 'BNAA09G46530D PROTEIN', 188783),
(245058, 'PTHR37721:SF1', NULL, NULL, NULL, NULL, 'OS05G0464200 PROTEIN', 188784),
(245059, 'PTHR23266:SF220', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION 1-62-3-RELATED', 188785),
(245060, 'PTHR31676:SF114', NULL, NULL, NULL, NULL, 'DUF538 FAMILY PROTEIN', 188786),
(245061, 'PTHR31357:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-32', 188787),
(245062, 'PTHR14517', NULL, NULL, NULL, NULL, 'RIB43A-RELATED', 188788),
(245063, 'PTHR46797:SF5', NULL, NULL, NULL, NULL, 'BLR4304 PROTEIN', 188789),
(245064, 'PTHR43329:SF81', NULL, NULL, NULL, NULL, 'PROTEIN AUXIN RESPONSE 4', 188790),
(245065, 'PTHR24296:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 86A8', 188791),
(245066, 'PTHR24330:SF16', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CEH-31', 188792),
(245067, 'PTHR47258:SF2', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN', 188793),
(245068, 'PTHR11848:SF132', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 8B', 188794),
(245069, 'PTHR16036', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND ZINC FINGER DOMAIN-CONTAINING PROTEIN 1', 188795);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(245070, 'PTHR32176:SF61', NULL, NULL, NULL, NULL, 'PATATIN', 188796),
(245071, 'PTHR23315:SF120', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', 188797),
(245072, 'PTHR11599:SF175', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', 188798),
(245073, 'PTHR15435', NULL, NULL, NULL, NULL, 'KICSTOR COMPLEX PROTEIN KAPTIN', 188799),
(245074, 'PTHR24416:SF295', NULL, NULL, NULL, NULL, 'DISCOIDIN DOMAIN-CONTAINING RECEPTOR 2', 188800),
(245075, 'PTHR45649:SF7', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORT PROTEIN', 188801),
(245076, 'PTHR21724:SF106', NULL, NULL, NULL, NULL, 'PROTEIN CBG01687', 188802),
(245077, 'PTHR24015:SF1814', NULL, NULL, NULL, NULL, 'OS11G0583200 PROTEIN', 188803),
(245078, 'PTHR31190:SF237', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188804),
(245079, 'PTHR30081', NULL, NULL, NULL, NULL, 'PROTEIN-EXPORT MEMBRANE PROTEIN SEC', 188805),
(245080, 'PTHR33168:SF44', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 188806),
(245081, 'PTHR11266:SF81', NULL, NULL, NULL, NULL, 'GH12661P', 188807),
(245082, 'PTHR46558:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, PBSX FAMILY', 188808),
(245083, 'PTHR23426:SF48', NULL, NULL, NULL, NULL, 'FERREDOXIN 1B', 188809),
(245084, 'PTHR23194:SF3', NULL, NULL, NULL, NULL, 'PYGOPUS HOMOLOG 1', 188810),
(245085, 'PTHR45614:SF90', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR-LIKE', 188811),
(245086, 'PTHR37910:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 188812),
(245087, 'PTHR43085:SF34', NULL, NULL, NULL, NULL, 'BNAC03G17470D PROTEIN', 188813),
(245088, 'PTHR43330:SF24', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE A', 188814),
(245089, 'PTHR11860:SF49', NULL, NULL, NULL, NULL, 'HIGH AFFINITY IMMUNOGLOBULIN ALPHA AND IMMUNOGLOBULIN MU FC RECEPTOR', 188815),
(245090, 'PTHR16038', NULL, NULL, NULL, NULL, 'NOP SEVEN ASSOCIATED PROTEIN 1', 188816),
(245091, 'PTHR23268:SF101', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 9', 188817),
(245092, 'PTHR48002:SF70', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 188818),
(245093, 'PTHR15907:SF136', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 10', 188819),
(245094, 'PTHR46497:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 11', 188820),
(245095, 'PTHR46712', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROPHOSPHATASE AND PROTEIN-TYROSINE PHOSPHATASE 1', 188821),
(245096, 'PTHR23208:SF16', NULL, NULL, NULL, NULL, 'LYSOZYME', 188822),
(245097, 'PTHR47583', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', 188823),
(245098, 'PTHR24376:SF123', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 672', 188824),
(245099, 'PTHR46219:SF3', NULL, NULL, NULL, NULL, 'PHARYNGEAL GLAND TOXIN-RELATED', 188825),
(245100, 'PTHR31235:SF318', NULL, NULL, NULL, NULL, 'PEROXIDASE', 188826),
(245101, 'PTHR11406', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE', 188827),
(245102, 'PTHR24292:SF84', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 308A1-RELATED', 188828),
(245103, 'PTHR47074:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188829),
(245104, 'PTHR11636:SF42', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 4, TRANSCRIPTION FACTOR 1', 188830),
(245105, 'PTHR23315:SF260', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 73', 188831),
(245106, 'PTHR45586:SF9', NULL, NULL, NULL, NULL, 'SLR2048 PROTEIN', 188832),
(245107, 'PTHR41349:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08683', 188833),
(245108, 'PTHR24300:SF279', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 2, SUBFAMILY C, POLYPEPTIDE 23', 188834),
(245109, 'PTHR11579:SF4', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE DOMAIN-CONTAINING PROTEIN 1', 188835),
(245110, 'PTHR43184:SF7', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE EXCHANGER 3', 188836),
(245111, 'PTHR23326:SF18', NULL, NULL, NULL, NULL, 'NOT TRANSCRIPTION COMPLEX SUBUNIT VIP2-RELATED', 188837),
(245112, 'PTHR48017:SF161', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 7-RELATED', 188838),
(245113, 'PTHR33384:SF34', NULL, NULL, NULL, NULL, 'BNACNNG56630D PROTEIN', 188839),
(245114, 'PTHR46586:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188840);
INSERT INTO "PUBLIC"."MODEL" VALUES
(245115, 'PTHR21593:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG05949', 188841),
(245116, 'PTHR47928:SF102', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 188842),
(245117, 'PTHR35757', NULL, NULL, NULL, NULL, 'THERMOSOME SUBUNIT GAMMA', 188843),
(245118, 'PTHR38165:SF1', NULL, NULL, NULL, NULL, 'GLUCANASE B', 188844),
(245119, 'PTHR35365:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188845),
(245120, 'PTHR31264:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188846),
(245121, 'PTHR12011:SF40', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR B3', 188847),
(245122, 'PTHR11003:SF247', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, SUBFAMILY K, MEMBER 17', 188848),
(245123, 'PTHR45645:SF9', NULL, NULL, NULL, NULL, 'PROCOLLAGEN C-ENDOPEPTIDASE ENHANCER 2', 188849),
(245124, 'PTHR11017:SF275', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 188850),
(245125, 'PTHR30388:SF4', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR INSERTION CHAPERONE PAOD', 188851),
(245126, 'PTHR45655:SF11', NULL, NULL, NULL, NULL, 'SOLUBLE GUANYLATE CYCLASE GCY-32', 188852),
(245127, 'PTHR11214:SF298', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 188853),
(245128, 'PTHR38792:SF3', NULL, NULL, NULL, NULL, 'EXO-ARABINANASE (EUROFUNG)', 188854),
(245129, 'PTHR12002:SF185', NULL, NULL, NULL, NULL, 'CLAUDIN', 188855),
(245130, 'PTHR43349:SF46', NULL, NULL, NULL, NULL, 'EPIMERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G07170)-RELATED', 188856),
(245131, 'PTHR10177:SF365', NULL, NULL, NULL, NULL, 'CYCLIN-D4-2', 188857),
(245132, 'PTHR45770:SF27', NULL, NULL, NULL, NULL, 'OS08G0439000 PROTEIN', 188858),
(245133, 'PTHR32246:SF109', NULL, NULL, NULL, NULL, 'BNAA04G26410D PROTEIN', 188859),
(245134, 'PTHR31828', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA', 188860),
(245135, 'PTHR10075:SF25', NULL, NULL, NULL, NULL, 'PROTEIN TURTLE HOMOLOG A', 188861),
(245136, 'PTHR46846:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 188862),
(245137, 'PTHR24095:SF248', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', 188863),
(245138, 'PTHR26453:SF136', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2D3', 188864),
(245139, 'PTHR43572:SF56', NULL, NULL, NULL, NULL, 'DOUBLE CLP-N MOTIF-CONTAINING P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', 188865),
(245140, 'PTHR10605:SF10', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE GLUCOSAMINE 3-O-SULFOTRANSFERASE 2', 188866),
(245141, 'PTHR12845', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR', 188867),
(245142, 'PTHR39220', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN PVRIG', 188868),
(245143, 'PTHR43173:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188869),
(245144, 'PTHR15468:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 185', 188870),
(245145, 'PTHR11064:SF126', NULL, NULL, NULL, NULL, 'BNAA09G18400D PROTEIN', 188871),
(245146, 'PTHR24296:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188872),
(245147, 'PTHR15710:SF116', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', 188873),
(245148, 'PTHR11802:SF301', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 18', 188874),
(245149, 'PTHR48034:SF7', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, Y CHROMOSOME, FAMILY 1 MEMBER A1-RELATED', 188875),
(245150, 'PTHR43689:SF28', NULL, NULL, NULL, NULL, 'HALOALKANE DEHALOGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G01700)', 188876),
(245151, 'PTHR31836:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188877),
(245152, 'PTHR45788:SF6', NULL, NULL, NULL, NULL, 'TRICARBOXYLATE TRANSPORT PROTEIN B, MITOCHONDRIAL', 188878),
(245153, 'PTHR24366:SF89', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 3', 188879),
(245154, 'PTHR31072:SF167', NULL, NULL, NULL, NULL, 'BNAC02G19460D PROTEIN', 188880),
(245155, 'PTHR14455:SF0', NULL, NULL, NULL, NULL, 'S100P-BINDING PROTEIN', 188881),
(245156, 'PTHR10720:SF2', NULL, NULL, NULL, NULL, 'HEME OXYGENASE 2', 188882),
(245157, 'PTHR31215:SF2', NULL, NULL, NULL, NULL, 'OS05G0510400 PROTEIN', 188883);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(245158, 'PTHR47926:SF27', NULL, NULL, NULL, NULL, 'PPR REPEAT PROTEIN', 188884),
(245159, 'PTHR31681:SF89', NULL, NULL, NULL, NULL, 'BNAA08G28290D PROTEIN', 188885),
(245160, 'PTHR48021:SF41', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', 188886),
(245161, 'PTHR45763:SF23', NULL, NULL, NULL, NULL, 'BNACNNG03130D PROTEIN', 188887),
(245162, 'PTHR21856', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH-INTERACTING PROTEIN 2', 188888),
(245163, 'PTHR15228:SF16', NULL, NULL, NULL, NULL, 'GEM-INTERACTING PROTEIN', 188889),
(245164, 'PTHR47928:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188890),
(245165, 'PTHR11699:SF65', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', 188891),
(245166, 'PTHR10315:SF83', NULL, NULL, NULL, NULL, 'OS01G0124900 PROTEIN', 188892),
(245167, 'PTHR30151:SF19', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE-RELATED', 188893),
(245168, 'PTHR23514:SF13', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YBJJ-RELATED', 188894),
(245169, 'PTHR12537:SF63', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 15', 188895),
(245170, 'PTHR21388:SF7', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 40', 188896),
(245171, 'PTHR10845:SF254', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN SIGNALING-RELATED', 188897),
(245172, 'PTHR37751:SF4', NULL, NULL, NULL, NULL, 'DUF4378 DOMAIN PROTEIN', 188898),
(245173, 'PTHR31645:SF19', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL16-RELATED', 188899),
(245174, 'PTHR34926:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188900),
(245175, 'PTHR47947:SF26', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 188901),
(245176, 'PTHR16705:SF4', NULL, NULL, NULL, NULL, 'COMPLEXIN', 188902),
(245177, 'PTHR47559:SF1', NULL, NULL, NULL, NULL, 'OS03G0844900 PROTEIN', 188903),
(245178, 'PTHR11588:SF397', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', 188904),
(245179, 'PTHR43374:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 188905),
(245180, 'PTHR35741:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188906),
(245181, 'PTHR19370:SF178', NULL, NULL, NULL, NULL, 'B5 REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G10060)-RELATED', 188907),
(245182, 'PTHR13683:SF793', NULL, NULL, NULL, NULL, 'OS06G0268700 PROTEIN', 188908),
(245183, 'PTHR38418:SF2', NULL, NULL, NULL, NULL, 'SUGAR ISOMERASE, KPSF/GUTQ (AFU_ORTHOLOGUE AFUA_6G08860)', 188909),
(245184, 'PTHR31676:SF156', NULL, NULL, NULL, NULL, 'F22D16.19 PROTEIN', 188910),
(245185, 'PTHR43557:SF2', NULL, NULL, NULL, NULL, 'SD06560P', 188911),
(245186, 'PTHR11905:SF14', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 22', 188912),
(245187, 'PTHR27001:SF726', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188913),
(245188, 'PTHR31699', NULL, NULL, NULL, NULL, 'NUDIX T16 FAMILY MEMBER', 188914),
(245189, 'PTHR31707:SF255', NULL, NULL, NULL, NULL, 'BNAC02G00700D PROTEIN', 188915),
(245190, 'PTHR47372:SF1', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 29-RELATED', 188916),
(245191, 'PTHR47975:SF9', NULL, NULL, NULL, NULL, 'OS01G0155200 PROTEIN', 188917),
(245192, 'PTHR11371:SF31', NULL, NULL, NULL, NULL, 'EXTRACELLULAR NUCLEASE', 188918),
(245193, 'PTHR31969:SF5', NULL, NULL, NULL, NULL, 'OS12G0559350 PROTEIN', 188919),
(245194, 'PTHR46665:SF2', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 188920),
(245195, 'PTHR47067:SF16', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) PROTEIN FAMILY', 188921),
(245196, 'PTHR13405', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP133', 188922),
(245197, 'PTHR46067:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188923),
(245198, 'PTHR33505:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188924),
(245199, 'PTHR12245:SF16', NULL, NULL, NULL, NULL, 'SI:DKEY-23N7.10', 188925),
(245200, 'PTHR31874:SF42', NULL, NULL, NULL, NULL, 'BNAANNG25560D PROTEIN', 188926),
(245201, 'PTHR22718:SF8', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', 188927),
(245202, 'PTHR22930:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188928);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(245203, 'PTHR31321:SF106', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 188929),
(245204, 'PTHR23222:SF0', NULL, NULL, NULL, NULL, 'PHB', 188930),
(245205, 'PTHR12812:SF10', NULL, NULL, NULL, NULL, 'BNAANNG15430D PROTEIN', 188931),
(245206, 'PTHR46020:SF27', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 188932),
(245207, 'PTHR11969', NULL, NULL, NULL, NULL, 'MAX DIMERIZATION, MAD', 188933),
(245208, 'PTHR31352:SF37', NULL, NULL, NULL, NULL, 'INACTIVE BETA-AMYLASE 4, CHLOROPLASTIC', 188934),
(245209, 'PTHR47993:SF81', NULL, NULL, NULL, NULL, 'OS07G0667700 PROTEIN', 188935),
(245210, 'PTHR32009:SF86', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', 188936),
(245211, 'PTHR47924:SF25', NULL, NULL, NULL, NULL, 'BNAA09G43440D PROTEIN', 188937),
(245212, 'PTHR46702:SF2', NULL, NULL, NULL, NULL, 'DNA LIGASE (DUF1666)', 188938),
(245213, 'PTHR43306', NULL, NULL, NULL, NULL, '7,8-DIHYDRO-6-HYDROXYMETHYLPTERIN DIMETHYLTRANSFERASE', 188939),
(245214, 'PTHR33710:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188940),
(245215, 'PTHR31734:SF176', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 188941),
(245216, 'PTHR48007:SF43', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 4', 188942),
(245217, 'PTHR11247:SF63', NULL, NULL, NULL, NULL, 'BNAC02G03380D PROTEIN', 188943),
(245218, 'PTHR12300:SF141', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 188944),
(245219, 'PTHR16151:SF3', NULL, NULL, NULL, NULL, 'AUGMIN SUBUNIT 6-LIKE', 188945),
(245220, 'PTHR12224:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-LIKE PROTEIN', 188946),
(245221, 'PTHR37474:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188947),
(245222, 'PTHR14152:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188948),
(245223, 'PTHR22617:SF43', NULL, NULL, NULL, NULL, 'PROTEIN PILI', 188949),
(245224, 'PTHR19305:SF9', NULL, NULL, NULL, NULL, 'SYNAPTOSOMAL-ASSOCIATED PROTEIN 29', 188950),
(245225, 'PTHR13618', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER CONTAINING TRANSCRIPTION FACTOR  LZF1', 188951),
(245226, 'PTHR23510:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG03421', 188952),
(245227, 'PTHR31286:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188953),
(245228, 'PTHR13947:SF14', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 8-RELATED', 188954),
(245229, 'PTHR48041:SF51', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 23', 188955),
(245230, 'PTHR19957:SF223', NULL, NULL, NULL, NULL, 'ZGC:165520', 188956),
(245231, 'PTHR48044:SF18', NULL, NULL, NULL, NULL, 'BETA-D-GLUCOSYL CROCETIN BETA-1,6-GLUCOSYLTRANSFERASE-LIKE', 188957),
(245232, 'PTHR47121:SF2', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL PROTEIN TL20.3, CHLOROPLASTIC', 188958),
(245233, 'PTHR14089:SF6', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR RBM22', 188959),
(245234, 'PTHR31713:SF75', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 188960),
(245235, 'PTHR31636:SF226', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 14', 188961),
(245236, 'PTHR22792:SF142', NULL, NULL, NULL, NULL, 'BNAC09G09550D PROTEIN', 188962),
(245237, 'PTHR47967:SF37', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-1-LIKE', 188963),
(245238, 'PTHR43083', NULL, NULL, NULL, NULL, 'MANNAN POLYMERASE II', 188964),
(245239, 'PTHR31875:SF29', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 5', 188965),
(245240, 'PTHR47972:SF1', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14P', 188966),
(245241, 'PTHR24064:SF440', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188967),
(245242, 'PTHR31250:SF32', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM6-LIKE', 188968),
(245243, 'PTHR47530:SF5', NULL, NULL, NULL, NULL, 'BNAA01G25770D PROTEIN', 188969),
(245244, 'PTHR36837:SF2', NULL, NULL, NULL, NULL, 'POLY(3-HYDROXYALKANOATE) POLYMERASE SUBUNIT PHAC', 188970),
(245245, 'PTHR23502:SF22', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17840)-RELATED', 188971),
(245246, 'PTHR11941:SF150', NULL, NULL, NULL, NULL, 'RACEMASE, PUTATIVE-RELATED', 188972),
(245247, 'PTHR36498:SF1', NULL, NULL, NULL, NULL, 'TATA-BINDING PROTEIN-ASSOCIATED FACTOR 172', 188973);
INSERT INTO "PUBLIC"."MODEL" VALUES
(245248, 'PTHR45626:SF12', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD16', 188974),
(245249, 'PTHR18945:SF826', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID (GABA) A RECEPTOR, BETA 2-RELATED', 188975),
(245250, 'PTHR45648:SF119', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 188976),
(245251, 'PTHR11538:SF62', NULL, NULL, NULL, NULL, 'ATP-BINDING PROTEIN (DUF2431)', 188977),
(245252, 'PTHR22849:SF143', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 188978),
(245253, 'PTHR24361:SF824', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK6', 188979),
(245254, 'PTHR28653', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 188980),
(245255, 'PTHR22762:SF153', NULL, NULL, NULL, NULL, 'BNAA09G52350D PROTEIN', 188981),
(245256, 'PTHR31681:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 188982),
(245257, 'PTHR33120:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188983),
(245258, 'PTHR15225', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN 35/NMI N-MYC/STAT INTERACTING PROTEIN', 188984),
(245259, 'PTHR11193:SF9', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', 188985),
(245260, 'PTHR12675:SF7', NULL, NULL, NULL, NULL, 'MUSCLEBLIND-LIKE PROTEIN 1', 188986),
(245261, 'PTHR47928:SF132', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', 188987),
(245262, 'PTHR32059', NULL, NULL, NULL, NULL, 'RAB11-BINDING PROTEIN RELCH', 188988),
(245263, 'PTHR45639:SF21', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN', 188989),
(245264, 'PTHR24015:SF2002', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188990),
(245265, 'PTHR12683:SF10', NULL, NULL, NULL, NULL, 'OS09G0423300 PROTEIN', 188991),
(245266, 'PTHR43791:SF49', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G04250)-RELATED', 188992),
(245267, 'PTHR32448:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188993),
(245268, 'PTHR33696:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188994),
(245269, 'PTHR22838:SF21', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN/WD-40 REPEAT PROTEIN, PUTATIVE-RELATED', 188995),
(245270, 'PTHR14494', NULL, NULL, NULL, NULL, 'ALADIN/ADRACALIN/AAAS', 188996),
(245271, 'PTHR45642:SF77', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 188997),
(245272, 'PTHR43237', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME', 188998),
(245273, 'PTHR31513:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 188999),
(245274, 'PTHR12582', NULL, NULL, NULL, NULL, 'NETRIN RECEPTOR UNC5', 189000),
(245275, 'PTHR32468:SF79', NULL, NULL, NULL, NULL, 'EXCHANGER, PUTATIVE-RELATED', 189001),
(245276, 'PTHR34630:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 189002),
(245277, 'PTHR12665', NULL, NULL, NULL, NULL, 'ORMDL PROTEINS', 189003),
(245278, 'PTHR21704:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189004),
(245279, 'PTHR46100:SF11', NULL, NULL, NULL, NULL, 'BNAC06G14990D PROTEIN', 189005),
(245280, 'PTHR28065:SF1', NULL, NULL, NULL, NULL, 'FREQUENIN', 189006),
(245281, 'PTHR12606:SF121', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEASE', 189007),
(245282, 'PTHR47926:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189008),
(245283, 'PTHR36944:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG06990', 189009),
(245284, 'PTHR30055:SF197', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR BDCR', 189010),
(245285, 'PTHR48033:SF7', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 189011),
(245286, 'PTHR33470:SF38', NULL, NULL, NULL, NULL, 'BNAA09G40040D PROTEIN', 189012),
(245287, 'PTHR31221:SF209', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', 189013),
(245288, 'PTHR21471', NULL, NULL, NULL, NULL, 'GNAT FAMILY ACETYLTRANSFERASE-RELATED', 189014),
(245289, 'PTHR10996:SF253', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', 189015),
(245290, 'PTHR18953:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189016),
(245291, 'PTHR38591:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE', 189017),
(245292, 'PTHR21007:SF1', NULL, NULL, NULL, NULL, 'LIVER-EXPRESSED ANTIMICROBIAL PEPTIDE 2', 189018);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(245293, 'PTHR47493', NULL, NULL, NULL, NULL, 'OS08G0520200 PROTEIN', 189019),
(245294, 'PTHR10969:SF25', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8H', 189020),
(245295, 'PTHR27004:SF280', NULL, NULL, NULL, NULL, 'OS08G0266400 PROTEIN', 189021),
(245296, 'PTHR46656', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 189022),
(245297, 'PTHR31111:SF21', NULL, NULL, NULL, NULL, 'BNAANNG22740D PROTEIN', 189023),
(245298, 'PTHR39940', NULL, NULL, NULL, NULL, 'PROTHORACICOTROPIC HORMONE, ISOFORM F', 189024),
(245299, 'PTHR22996:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LUL4 ISOFORM X1-RELATED', 189025),
(245300, 'PTHR19433:SF111', NULL, NULL, NULL, NULL, 'NOVEL IMMUNE-TYPE RECEPTOR 13-RELATED', 189026),
(245301, 'PTHR18966:SF351', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, KAINATE 5', 189027),
(245302, 'PTHR15454:SF26', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 61', 189028),
(245303, 'PTHR24413:SF232', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189029),
(245304, 'PTHR39653:SF6', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 20-2', 189030),
(245305, 'PTHR33047:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TAR1', 189031),
(245306, 'PTHR12210:SF163', NULL, NULL, NULL, NULL, 'BNAC03G59470D PROTEIN', 189032),
(245307, 'PTHR13110:SF13', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM3', 189033),
(245308, 'PTHR12634:SF21', NULL, NULL, NULL, NULL, 'SIT4 PHOSPHATASE-ASSOCIATED FAMILY PROTEIN', 189034),
(245309, 'PTHR45857:SF6', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 189035),
(245310, 'PTHR23137:SF32', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', 189036),
(245311, 'PTHR31669:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189037),
(245312, 'PTHR33370:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189038),
(245313, 'PTHR21096:SF3', NULL, NULL, NULL, NULL, 'FAM136A-LIKE PROTEIN (DUF842)', 189039),
(245314, 'PTHR22934:SF13', NULL, NULL, NULL, NULL, 'PROTEIN ESC1', 189040),
(245315, 'PTHR47966:SF30', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE', 189041),
(245316, 'PTHR47990:SF15', NULL, NULL, NULL, NULL, 'BNAA01G28660D PROTEIN', 189042),
(245317, 'PTHR44170:SF18', NULL, NULL, NULL, NULL, 'CONTACTIN 3B-RELATED', 189043),
(245318, 'PTHR19317:SF63', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 189044),
(245319, 'PTHR11764:SF38', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 189045),
(245320, 'PTHR10024:SF239', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-1', 189046),
(245321, 'PTHR12542:SF83', NULL, NULL, NULL, NULL, 'OS06G0255900 PROTEIN', 189047),
(245322, 'PTHR46088:SF1', NULL, NULL, NULL, NULL, 'TUBULIN--TYROSINE LIGASE-LIKE PROTEIN 12', 189048),
(245323, 'PTHR31374:SF285', NULL, NULL, NULL, NULL, 'BNAC03G46960D PROTEIN', 189049),
(245324, 'PTHR31175:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189050),
(245325, 'PTHR43877:SF6', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, PUTATIVE-RELATED', 189051),
(245326, 'PTHR31734:SF190', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA11', 189052),
(245327, 'PTHR13194:SF19', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 189053),
(245328, 'PTHR23329:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189054),
(245329, 'PTHR11360:SF273', NULL, NULL, NULL, NULL, 'RE60337P', 189055),
(245330, 'PTHR23147:SF169', NULL, NULL, NULL, NULL, 'SERINE AND ARGININE-RICH-SPLICING FACTOR 4', 189056),
(245331, 'PTHR32278:SF40', NULL, NULL, NULL, NULL, 'OS02G0812600 PROTEIN', 189057),
(245332, 'PTHR13935:SF90', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH162', 189058),
(245333, 'PTHR31375', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 189059),
(245334, 'PTHR33227:SF30', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC PROTEIN STIG1-RELATED', 189060),
(245335, 'PTHR31080:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189061),
(245336, 'PTHR36338:SF1', NULL, NULL, NULL, NULL, 'OS02G0495900 PROTEIN', 189062),
(245337, 'PTHR16565:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189063),
(245338, 'PTHR24015:SF1730', NULL, NULL, NULL, NULL, 'OS05G0418500 PROTEIN', 189064);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(245339, 'PTHR13140:SF703', NULL, NULL, NULL, NULL, 'MYOSIN VIIAA-RELATED', 189065),
(245340, 'PTHR24373:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189066),
(245341, 'PTHR18934:SF208', NULL, NULL, NULL, NULL, 'OS05G0389800 PROTEIN', 189067),
(245342, 'PTHR43719:SF10', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE A', 189068),
(245343, 'PTHR24559:SF295', NULL, NULL, NULL, NULL, 'DNA/RNA POLYMERASES SUPERFAMILY PROTEIN', 189069),
(245344, 'PTHR47843:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189070),
(245345, 'PTHR45648:SF66', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 189071),
(245346, 'PTHR42918:SF9', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE', 189072),
(245347, 'PTHR31374:SF232', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN-LIKE PROTEIN', 189073),
(245348, 'PTHR32219:SF8', NULL, NULL, NULL, NULL, 'PROTON PUMP-INTERACTOR 2-RELATED', 189074),
(245349, 'PTHR23086:SF116', NULL, NULL, NULL, NULL, 'PIP5K1A AND PSMD4-LIKE PROTEIN-RELATED', 189075),
(245350, 'PTHR46093:SF8', NULL, NULL, NULL, NULL, 'KELCH MOTIF FAMILY PROTEIN, EXPRESSED', 189076),
(245351, 'PTHR31238:SF183', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 12-2', 189077),
(245352, 'PTHR33599:SF17', NULL, NULL, NULL, NULL, 'PROTEIN IDA-LIKE 3', 189078),
(245353, 'PTHR45752:SF59', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN 1-RELATED', 189079),
(245354, 'PTHR45714:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', 189080),
(245355, 'PTHR11739:SF32', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', 189081),
(245356, 'PTHR43294:SF6', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA-2', 189082),
(245357, 'PTHR11699:SF131', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 10-FORMYLTETRAHYDROFOLATE DEHYDROGENASE', 189083),
(245358, 'PTHR33358:SF3', NULL, NULL, NULL, NULL, 'PLANT-LIKE PROTEIN, PUTATIVE-RELATED', 189084),
(245359, 'PTHR31790:SF361', NULL, NULL, NULL, NULL, 'AND ASSOCIATED INTERACTION DOMAIN PROTEIN, PUTATIVE-RELATED', 189085),
(245360, 'PTHR36947', NULL, NULL, NULL, NULL, 'PROTEIN CBG04364', 189086),
(245361, 'PTHR43353:SF10', NULL, NULL, NULL, NULL, 'SUCCINATE-SEMIALDEHYDE DEHYDROGENASE (NADP+)', 189087),
(245362, 'PTHR18959:SF43', NULL, NULL, NULL, NULL, 'CALPONIN-1', 189088),
(245363, 'PTHR13428:SF12', NULL, NULL, NULL, NULL, 'INNER NUCLEAR MEMBRANE PROTEIN MAN1', 189089),
(245364, 'PTHR33133:SF51', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 189090),
(245365, 'PTHR10036:SF17', NULL, NULL, NULL, NULL, 'SECRETED LY-6/UPAR-RELATED PROTEIN 1', 189091),
(245366, 'PTHR24286:SF306', NULL, NULL, NULL, NULL, 'BNAA04G13470D PROTEIN', 189092),
(245367, 'PTHR10641:SF1055', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB76-LIKE', 189093),
(245368, 'PTHR24056:SF429', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE B1-2', 189094),
(245369, 'PTHR16181:SF17', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 83 MEMBER FB', 189095),
(245370, 'PTHR11177:SF140', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE 5-RELATED', 189096),
(245371, 'PTHR21654:SF89', NULL, NULL, NULL, NULL, 'BNAA08G06640D PROTEIN', 189097),
(245372, 'PTHR31048:SF101', NULL, NULL, NULL, NULL, 'OSMOTIN-LIKE PROTEIN OSM34', 189098),
(245373, 'PTHR10336:SF184', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', 189099),
(245374, 'PTHR15454:SF47', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 23', 189100),
(245375, 'PTHR34835:SF43', NULL, NULL, NULL, NULL, 'OS01G0152500 PROTEIN', 189101),
(245376, 'PTHR34055:SF9', NULL, NULL, NULL, NULL, 'NEUROFILAMENT MEDIUM POLYPEPTIDE-LIKE', 189102),
(245377, 'PTHR28604:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189103),
(245378, 'PTHR12062:SF31', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE A', 189104),
(245379, 'PTHR11732', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE', 189105),
(245380, 'PTHR11875:SF124', NULL, NULL, NULL, NULL, 'BNAC08G12120D PROTEIN', 189106),
(245381, 'PTHR31228:SF31', NULL, NULL, NULL, NULL, 'BNAC02G02480D PROTEIN', 189107); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(245382, 'PTHR36488:SF11', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 189108),
(245383, 'PTHR48019:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189109),
(245384, 'PTHR33463:SF91', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', 189110),
(245385, 'PTHR19134:SF451', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE', 189111),
(245386, 'PTHR11260:SF636', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', 189112),
(245387, 'PTHR11739', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', 189113),
(245388, 'PTHR24056:SF482', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', 189114),
(245389, 'PTHR10609:SF15', NULL, NULL, NULL, NULL, 'VASCULAR NON-INFLAMMATORY MOLECULE 2', 189115),
(245390, 'PTHR28185:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 34', 189116),
(245391, 'PTHR10457', NULL, NULL, NULL, NULL, 'MEVALONATE KINASE/GALACTOKINASE', 189117),
(245392, 'PTHR33047:SF18', NULL, NULL, NULL, NULL, 'REGULATOR OF RDNA TRANSCRIPTION PROTEIN 15', 189118),
(245393, 'PTHR10210:SF85', NULL, NULL, NULL, NULL, 'OS03G0100040 PROTEIN', 189119),
(245394, 'PTHR22835:SF244', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 2', 189120),
(245395, 'PTHR18953:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189121),
(245396, 'PTHR11733:SF128', NULL, NULL, NULL, NULL, 'KELL BLOOD GROUP GLYCOPROTEIN', 189122),
(245397, 'PTHR24056:SF425', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', 189123),
(245398, 'PTHR32026:SF10', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 24', 189124),
(245399, 'PTHR23351:SF23', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-3', 189125),
(245400, 'PTHR31636', NULL, NULL, NULL, NULL, 'OSJNBA0084A10.13 PROTEIN-RELATED', 189126),
(245401, 'PTHR32091:SF4', NULL, NULL, NULL, NULL, 'OS07G0546100 PROTEIN', 189127),
(245402, 'PTHR33395:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189128),
(245403, 'PTHR46267:SF5', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 189129),
(245404, 'PTHR22957:SF540', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', 189130),
(245405, 'PTHR24414:SF129', NULL, NULL, NULL, NULL, 'BNAA04G12380D PROTEIN', 189131),
(245406, 'PTHR15710:SF136', NULL, NULL, NULL, NULL, 'BNACNNG46920D PROTEIN', 189132),
(245407, 'PTHR45613:SF128', NULL, NULL, NULL, NULL, 'CHLOROPLAST RNA PROCESSING 1-LIKE PROTEIN', 189133),
(245408, 'PTHR38794:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189134),
(245409, 'PTHR16223:SF171', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH111', 189135),
(245410, 'PTHR16950', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER SLC39A7  HISTIDINE-RICH MEMBRANE PROTEIN KE4', 189136),
(245411, 'PTHR45980', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 189137),
(245412, 'PTHR46616:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF182-LIKE', 189138),
(245413, 'PTHR14191:SF7', NULL, NULL, NULL, NULL, 'NA(+)/H(+) EXCHANGE REGULATORY COFACTOR NHE-RF1', 189139),
(245414, 'PTHR24123:SF113', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', 189140),
(245415, 'PTHR11699:SF269', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE, MITOCHONDRIAL-LIKE PROTEIN', 189141),
(245416, 'PTHR24361:SF715', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 189142),
(245417, 'PTHR31717:SF53', NULL, NULL, NULL, NULL, 'BNAA07G24720D PROTEIN', 189143),
(245418, 'PTHR23113:SF16', NULL, NULL, NULL, NULL, 'RAS GUANYL-RELEASING PROTEIN 2', 189144),
(245419, 'PTHR11945:SF207', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', 189145),
(245420, 'PTHR35860:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM24A', 189146),
(245421, 'PTHR10003:SF31', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN] 3', 189147),
(245422, 'PTHR34836', NULL, NULL, NULL, NULL, 'OS06G0188250 PROTEIN', 189148),
(245423, 'PTHR13659:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FAM8A1', 189149),
(245424, 'PTHR11339:SF384', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189150),
(245425, 'PTHR46664:SF2', NULL, NULL, NULL, NULL, 'ATM INTERACTOR', 189151);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(245426, 'PTHR47830:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 189152),
(245427, 'PTHR34269:SF12', NULL, NULL, NULL, NULL, 'BNAA02G08730D PROTEIN', 189153),
(245428, 'PTHR38537:SF7', NULL, NULL, NULL, NULL, 'FILAMIN-B', 189154),
(245429, 'PTHR46146:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189155),
(245430, 'PTHR20879', NULL, NULL, NULL, NULL, 'INTERLEUKIN-27 SUBUNIT ALPHA', 189156),
(245431, 'PTHR22809:SF5', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE 3', 189157),
(245432, 'PTHR35829', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 189158),
(245433, 'PTHR24410:SF18', NULL, NULL, NULL, NULL, 'BTB DOMAIN CONTAINING 1', 189159),
(245434, 'PTHR24353:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189160),
(245435, 'PTHR22601:SF83', NULL, NULL, NULL, NULL, 'SEXUAL DIFFERENTIATION PROCESS PROTEIN ISP4', 189161),
(245436, 'PTHR23232:SF79', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 746', 189162),
(245437, 'PTHR47346', NULL, NULL, NULL, NULL, 'HYDROLASES, ACTING ON ESTER BOND', 189163),
(245438, 'PTHR38420:SF1', NULL, NULL, NULL, NULL, 'AP-4-A PHOSPHORYLASE II', 189164),
(245439, 'PTHR46991', NULL, NULL, NULL, NULL, '23.5 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', 189165),
(245440, 'PTHR30055:SF202', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR MCE3R', 189166),
(245441, 'PTHR34490', NULL, NULL, NULL, NULL, 'PROTEIN CBG12054-RELATED', 189167),
(245442, 'PTHR46087:SF14', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', 189168),
(245443, 'PTHR43601:SF17', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 1-2, CHLOROPLASTIC', 189169),
(245444, 'PTHR13047:SF4', NULL, NULL, NULL, NULL, 'CLEAVAGE/POLYADENYLATION SPECIFICITY FACTOR, 25KDA SUBUNIT-RELATED', 189170),
(245445, 'PTHR45921:SF1', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA HOMEOBOX PROTEIN 3', 189171),
(245446, 'PTHR31384:SF37', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 8', 189172),
(245447, 'PTHR16897', NULL, NULL, NULL, NULL, 'OS10G0105400 PROTEIN', 189173),
(245448, 'PTHR23118:SF23', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE ALPHA CHAIN PROTEIN 3', 189174),
(245449, 'PTHR45660:SF9', NULL, NULL, NULL, NULL, 'OS05G0490700 PROTEIN', 189175),
(245450, 'PTHR22990:SF30', NULL, NULL, NULL, NULL, 'PARALLEL BETA-HELIX REPEAT', 189176),
(245451, 'PTHR31719:SF127', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29', 189177),
(245452, 'PTHR23239:SF165', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA4', 189178),
(245453, 'PTHR11691:SF66', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-10-RELATED', 189179),
(245454, 'PTHR45623:SF32', NULL, NULL, NULL, NULL, 'CHROMATIN REMODELING 4-RELATED', 189180),
(245455, 'PTHR33678:SF1', NULL, NULL, NULL, NULL, 'BLL1576 PROTEIN', 189181),
(245456, 'PTHR46444:SF4', NULL, NULL, NULL, NULL, 'OS06G0227200 PROTEIN', 189182),
(245457, 'PTHR23270:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189183),
(245458, 'PTHR11915:SF426', NULL, NULL, NULL, NULL, 'DYSTROPHIN', 189184),
(245459, 'PTHR11208:SF114', NULL, NULL, NULL, NULL, 'STAR PROTEIN, HOMODIMERIZATION REGION-RELATED', 189185),
(245460, 'PTHR22765', NULL, NULL, NULL, NULL, 'RING FINGER AND PROTEASE ASSOCIATED DOMAIN-CONTAINING', 189186),
(245461, 'PTHR31403:SF55', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IBETA2, CHLOROPLASTIC-LIKE', 189187),
(245462, 'PTHR31032:SF12', NULL, NULL, NULL, NULL, 'BNAC01G14340D PROTEIN', 189188),
(245463, 'PTHR43859:SF25', NULL, NULL, NULL, NULL, 'BENZOATE--COA LIGASE, PEROXISOMAL-RELATED', 189189),
(245464, 'PTHR40562:SF1', NULL, NULL, NULL, NULL, 'NITRITE REDUCTASE (NADH) SMALL SUBUNIT', 189190),
(245465, 'PTHR46817:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC9-RELATED', 189191),
(245466, 'PTHR43321:SF13', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 189192),
(245467, 'PTHR28634:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER B-BOX DOMAIN-CONTAINING PROTEIN 1', 189193),
(245468, 'PTHR23020:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG19264', 189194),
(245469, 'PTHR42693:SF15', NULL, NULL, NULL, NULL, 'ARYLSULFATASE', 189195),
(245470, 'PTHR31636:SF264', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS, SCARECROW-LIKE PROTEIN 18/MONOCULM 1-RELATED', 189196);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(245471, 'PTHR27001:SF663', NULL, NULL, NULL, NULL, 'OS02G0136900 PROTEIN', 189197),
(245472, 'PTHR23112:SF8', NULL, NULL, NULL, NULL, 'CYCLIC AMP RECEPTOR-LIKE PROTEIN A', 189198),
(245473, 'PTHR33333:SF26', NULL, NULL, NULL, NULL, 'PROTEIN EGG APPARATUS-1', 189199),
(245474, 'PTHR15710:SF122', NULL, NULL, NULL, NULL, 'BNAA05G28120D PROTEIN', 189200),
(245475, 'PTHR31989:SF300', NULL, NULL, NULL, NULL, 'BNAC04G01390D PROTEIN', 189201),
(245476, 'PTHR24271:SF78', NULL, NULL, NULL, NULL, 'GRANZYME N', 189202),
(245477, 'PTHR31006:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG22119', 189203),
(245478, 'PTHR13551:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG24571', 189204),
(245479, 'PTHR37188:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT-RELATED', 189205),
(245480, 'PTHR28002:SF1', NULL, NULL, NULL, NULL, 'MIOREX COMPLEX COMPONENT 11', 189206),
(245481, 'PTHR23232:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189207),
(245482, 'PTHR23268:SF87', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 11-2', 189208),
(245483, 'PTHR31403:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IGAMMA3, CHLOROPLASTIC', 189209),
(245484, 'PTHR15351:SF4', NULL, NULL, NULL, NULL, 'ERLIN-2', 189210),
(245485, 'PTHR10766:SF109', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 3', 189211),
(245486, 'PTHR32308:SF0', NULL, NULL, NULL, NULL, 'LYASE BETA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13030)-RELATED', 189212),
(245487, 'PTHR11615:SF294', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 189213),
(245488, 'PTHR24249', NULL, NULL, NULL, NULL, 'HISTAMINE RECEPTOR-RELATED G-PROTEIN COUPLED RECEPTOR', 189214),
(245489, 'PTHR13445:SF5', NULL, NULL, NULL, NULL, 'BNAC09G30840D PROTEIN', 189215),
(245490, 'PTHR12411:SF780', NULL, NULL, NULL, NULL, 'OS01G0971400 PROTEIN', 189216),
(245491, 'PTHR45867:SF3', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE TYPE 7', 189217),
(245492, 'PTHR44427:SF3', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC BETA-1-GLYCOPROTEIN 8', 189218),
(245493, 'PTHR22804', NULL, NULL, NULL, NULL, 'AGGRECAN/VERSICAN PROTEOGLYCAN', 189219),
(245494, 'PTHR36950', NULL, NULL, NULL, NULL, 'PROTEIN CBG24898-RELATED', 189220),
(245495, 'PTHR23268:SF78', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 7-4-RELATED', 189221),
(245496, 'PTHR31210:SF51', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', 189222),
(245497, 'PTHR31279:SF43', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 4', 189223),
(245498, 'PTHR10910:SF58', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-SPECIFIC EDITASE 1', 189224),
(245499, 'PTHR46261:SF12', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 14', 189225),
(245500, 'PTHR12209:SF1', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT BUD32-LIKE ISOFORM X1', 189226),
(245501, 'PTHR11042:SF72', NULL, NULL, NULL, NULL, 'WEE1-LIKE PROTEIN KINASE', 189227),
(245502, 'PTHR21558:SF40', NULL, NULL, NULL, NULL, 'ENSMUSG00000072602 PROTEIN-RELATED', 189228),
(245503, 'PTHR23521', NULL, NULL, NULL, NULL, 'TRANSPORTER MFS SUPERFAMILY', 189229),
(245504, 'PTHR46521:SF13', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 3B-RELATED', 189230),
(245505, 'PTHR21646:SF71', NULL, NULL, NULL, NULL, 'BNAA06G13940D PROTEIN', 189231),
(245506, 'PTHR46539:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL42', 189232),
(245507, 'PTHR45668:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 5', 189233),
(245508, 'PTHR10996:SF246', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3', 189234),
(245509, 'PTHR13215:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189235),
(245510, 'PTHR27002:SF411', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189236),
(245511, 'PTHR43544:SF23', NULL, NULL, NULL, NULL, 'CHAIN OXIDOREDUCTASE (CSGA), PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00910)-RELATED', 189237),
(245512, 'PTHR48001:SF64', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 189238),
(245513, 'PTHR47277', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 7', 189239),
(245514, 'PTHR12943:SF7', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE-RESPONSIVE ENDOPLASMIC RETICULUM-RESIDENT UBIQUITIN-LIKE DOMAIN MEMBER 1 PROTEIN', 189240);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(245515, 'PTHR10540:SF16', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT F', 189241),
(245516, 'PTHR31050:SF12', NULL, NULL, NULL, NULL, 'BNAA09G46230D PROTEIN', 189242),
(245517, 'PTHR11829:SF341', NULL, NULL, NULL, NULL, 'FORKHEAD TRANSCRIPTION FACTOR FAMILY', 189243),
(245518, 'PTHR13140:SF783', NULL, NULL, NULL, NULL, 'MYOSIN, SH3-LIKE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', 189244),
(245519, 'PTHR13073:SF0', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 1', 189245),
(245520, 'PTHR12281:SF16', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN 2', 189246),
(245521, 'PTHR11877:SF51', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 2', 189247),
(245522, 'PTHR33565:SF11', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN HOMOLOG 1', 189248),
(245523, 'PTHR11206:SF309', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 189249),
(245524, 'PTHR26450:SF53', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51H1', 189250),
(245525, 'PTHR10797:SF37', NULL, NULL, NULL, NULL, 'CAF1 FAMILY RIBONUCLEASE CONTAINING PROTEIN', 189251),
(245526, 'PTHR46075:SF4', NULL, NULL, NULL, NULL, 'BETA-CHIMAERIN', 189252),
(245527, 'PTHR27006:SF334', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 189253),
(245528, 'PTHR47172:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 189254),
(245529, 'PTHR32176:SF69', NULL, NULL, NULL, NULL, 'PATATIN', 189255),
(245530, 'PTHR31116:SF17', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE I', 189256),
(245531, 'PTHR31636:SF12', NULL, NULL, NULL, NULL, 'PROTEIN SCARECROW', 189257),
(245532, 'PTHR12538:SF12', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', 189258),
(245533, 'PTHR15860', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED RING FINGER-CONTAINING PROTEIN', 189259),
(245534, 'PTHR47381:SF3', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 189260),
(245535, 'PTHR13084:SF5', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1-INTERACTING PROTEIN 4', 189261),
(245536, 'PTHR13890:SF35', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-3', 189262),
(245537, 'PTHR48054:SF2', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', 189263),
(245538, 'PTHR33390:SF5', NULL, NULL, NULL, NULL, 'STRESS UP-REGULATED NOD 19-RELATED', 189264),
(245539, 'PTHR33986:SF12', NULL, NULL, NULL, NULL, 'OS04G0414000 PROTEIN', 189265),
(245540, 'PTHR12358:SF88', NULL, NULL, NULL, NULL, 'SPHINGOSINE KINASE 1', 189266),
(245541, 'PTHR24264:SF48', NULL, NULL, NULL, NULL, 'TRYPSIN-3', 189267),
(245542, 'PTHR47995:SF11', NULL, NULL, NULL, NULL, 'BNACNNG49390D PROTEIN', 189268),
(245543, 'PTHR16134:SF113', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G02860)', 189269),
(245544, 'PTHR10603:SF7', NULL, NULL, NULL, NULL, 'SYNAPTIC FUNCTIONAL REGULATOR FMR1', 189270),
(245545, 'PTHR31888', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 19', 189271),
(245546, 'PTHR35546:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189272),
(245547, 'PTHR30177:SF28', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORT SYSTEM PERMEASE PROTEIN OPUBB', 189273),
(245548, 'PTHR45673:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2B CATALYTIC SUBUNIT BETA ISOFORM', 189274),
(245549, 'PTHR10383:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189275),
(245550, 'PTHR46524:SF13', NULL, NULL, NULL, NULL, 'BNAA09G40220D PROTEIN', 189276),
(245551, 'PTHR20870', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 1 PROTEIN', 189277),
(245552, 'PTHR21523:SF9', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', 189278),
(245553, 'PTHR31639:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189279),
(245554, 'PTHR33074:SF49', NULL, NULL, NULL, NULL, 'OS07G0258000 PROTEIN', 189280),
(245555, 'PTHR30083:SF0', NULL, NULL, NULL, NULL, '3''-PHOSPHOADENOSINE 5''-PHOSPHOSULFATE SULFOTRANSFERASE (PAPS REDUCTASE)/FAD SYNTHETASE-RELATED', 189281),
(245556, 'PTHR40043:SF1', NULL, NULL, NULL, NULL, 'UPF0719 INNER MEMBRANE PROTEIN YJFL', 189282);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(245557, 'PTHR12419:SF58', NULL, NULL, NULL, NULL, 'ALG13, UDP-N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT', 189283),
(245558, 'PTHR46065:SF5', NULL, NULL, NULL, NULL, 'MARCH (MEMBRANE-ASSOCIATED RING FINGER (C3HC4)) HOMOLOG', 189284),
(245559, 'PTHR11773:SF7', NULL, NULL, NULL, NULL, 'GLYCINE DEHYDROGENASE (DECARBOXYLATING)', 189285),
(245560, 'PTHR43327:SF32', NULL, NULL, NULL, NULL, 'STOMATIN-LIKE PROTEIN 2, MITOCHONDRIAL', 189286),
(245561, 'PTHR14360', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 189287),
(245562, 'PTHR12313:SF47', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN-RELATED', 189288),
(245563, 'PTHR45898:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189289),
(245564, 'PTHR11360:SF239', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 14', 189290),
(245565, 'PTHR34106:SF1', NULL, NULL, NULL, NULL, '1,4-BETA-MANNOSYL-N-ACETYLGLUCOSAMINE PHOSPHORYLASE', 189291),
(245566, 'PTHR31642:SF33', NULL, NULL, NULL, NULL, 'OS09G0422000 PROTEIN', 189292),
(245567, 'PTHR24351:SF99', NULL, NULL, NULL, NULL, 'PROTEIN CBG08151', 189293),
(245568, 'PTHR21136:SF207', NULL, NULL, NULL, NULL, 'BNAA08G28050D PROTEIN', 189294),
(245569, 'PTHR14009', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER-EF-HAND CONTAINING TRANSMEMBRANE PROTEIN', 189295),
(245570, 'PTHR11101:SF46', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORTER 1', 189296),
(245571, 'PTHR31434', NULL, NULL, NULL, NULL, 'S PHASE CYCLIN A-ASSOCIATED PROTEIN IN THE ENDOPLASMIC RETICULUM', 189297),
(245572, 'PTHR11732:SF460', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189298),
(245573, 'PTHR10639:SF28', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN B', 189299),
(245574, 'PTHR43330:SF22', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', 189300),
(245575, 'PTHR10367:SF19', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE 11 (RNA/RNP COMPLEX 1-INTERACTING)', 189301),
(245576, 'PTHR31528:SF14', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', 189302),
(245577, 'PTHR22883:SF372', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 189303),
(245578, 'PTHR40465', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 189304),
(245579, 'PTHR24291:SF161', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 315A1, MITOCHONDRIAL', 189305),
(245580, 'PTHR36204', NULL, NULL, NULL, NULL, 'N-ACETYLMANNOSAMINE-6-PHOSPHATE 2-EPIMERASE-RELATED', 189306),
(245581, 'PTHR31845:SF17', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 189307),
(245582, 'PTHR48022:SF23', NULL, NULL, NULL, NULL, 'TRANSPORT-RELATED PROTEIN, PUTATIVE-RELATED', 189308),
(245583, 'PTHR22744:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG07303', 189309),
(245584, 'PTHR46607:SF1', NULL, NULL, NULL, NULL, 'SEC14 DOMAIN AND SPECTRIN REPEAT-CONTAINING PROTEIN 1', 189310),
(245585, 'PTHR33122:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189311),
(245586, 'PTHR11616:SF100', NULL, NULL, NULL, NULL, 'TRANSPORTER', 189312),
(245587, 'PTHR35545:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189313),
(245588, 'PTHR46314:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 44', 189314),
(245589, 'PTHR11017:SF445', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN', 189315),
(245590, 'PTHR23310:SF112', NULL, NULL, NULL, NULL, 'BNAA03G46540D PROTEIN', 189316),
(245591, 'PTHR33063:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189317),
(245592, 'PTHR11239:SF19', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', 189318),
(245593, 'PTHR11426:SF223', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE CENTROMERIC PROTEIN HTR12', 189319),
(245594, 'PTHR15706:SF6', NULL, NULL, NULL, NULL, 'NEUTROPHIL CYTOSOL FACTOR 1-RELATED', 189320),
(245595, 'PTHR23022:SF120', NULL, NULL, NULL, NULL, 'SI:DKEY-77F5.3', 189321),
(245596, 'PTHR13112:SF9', NULL, NULL, NULL, NULL, 'BNACNNG22070D PROTEIN', 189322),
(245597, 'PTHR24247:SF16', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 1B', 189323),
(245598, 'PTHR46277:SF16', NULL, NULL, NULL, NULL, 'BNACNNG08810D PROTEIN', 189324),
(245599, 'PTHR10426:SF106', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 3', 189325);
INSERT INTO "PUBLIC"."MODEL" VALUES
(245600, 'PTHR10015:SF309', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-4D', 189326),
(245601, 'PTHR44145:SF4', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN (PROKARYOTIC HEAT SHOCK PROTEIN)', 189327),
(245602, 'PTHR12224:SF19', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 17-RELATED', 189328),
(245603, 'PTHR21463', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-LIKE PROTEIN 8', 189329),
(245604, 'PTHR13163:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 35A', 189330),
(245605, 'PTHR21555', NULL, NULL, NULL, NULL, 'SPECIFICALLY ANDROGEN-REGULATED GENE PROTEIN', 189331),
(245606, 'PTHR43072:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189332),
(245607, 'PTHR24559:SF362', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN, RIBONUCLEASE H-LIKE DOMAIN PROTEIN-RELATED', 189333),
(245608, 'PTHR48111:SF20', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM RESPONSE REGULATOR-RELATED', 189334),
(245609, 'PTHR10981:SF0', NULL, NULL, NULL, NULL, 'BATTENIN', 189335),
(245610, 'PTHR31815:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 200B', 189336),
(245611, 'PTHR45277:SF3', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', 189337),
(245612, 'PTHR35459:SF2', NULL, NULL, NULL, NULL, 'T1N6.14 PROTEIN', 189338),
(245613, 'PTHR47477:SF12', NULL, NULL, NULL, NULL, 'BNAA09G50570D PROTEIN', 189339),
(245614, 'PTHR43539:SF43', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA9-RELATED', 189340),
(245615, 'PTHR45855:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH119-RELATED', 189341),
(245616, 'PTHR11913:SF97', NULL, NULL, NULL, NULL, 'BNAA03G47540D PROTEIN', 189342),
(245617, 'PTHR11679', NULL, NULL, NULL, NULL, 'VESICLE PROTEIN SORTING-ASSOCIATED', 189343),
(245618, 'PTHR24376:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189344),
(245619, 'PTHR10527:SF21', NULL, NULL, NULL, NULL, 'TRANSPORTIN-1', 189345),
(245620, 'PTHR11206:SF422', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 189346),
(245621, 'PTHR12670:SF1', NULL, NULL, NULL, NULL, 'NEUTRAL CERAMIDASE-RELATED', 189347),
(245622, 'PTHR31561:SF158', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 189348),
(245623, 'PTHR23257:SF754', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE SPLB', 189349),
(245624, 'PTHR10903:SF118', NULL, NULL, NULL, NULL, 'SI:DKEY-23K10.5', 189350),
(245625, 'PTHR45023:SF5', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL FOLD, MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN-RELATED', 189351),
(245626, 'PTHR45651:SF42', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 6-RELATED', 189352),
(245627, 'PTHR33384:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189353),
(245628, 'PTHR31707:SF343', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 189354),
(245629, 'PTHR14491:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189355),
(245630, 'PTHR46050:SF13', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING THIOREDOXIN TTL2', 189356),
(245631, 'PTHR31312:SF5', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR2', 189357),
(245632, 'PTHR46733:SF5', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN, EXPRESSED', 189358),
(245633, 'PTHR11208:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CBG16603', 189359),
(245634, 'PTHR24224:SF18', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', 189360),
(245635, 'PTHR31282:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189361),
(245636, 'PTHR13857', NULL, NULL, NULL, NULL, 'MRNA EDITING ENZYME', 189362),
(245637, 'PTHR35133:SF3', NULL, NULL, NULL, NULL, 'BNAC04G00960D PROTEIN', 189363),
(245638, 'PTHR24349:SF399', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 1', 189364),
(245639, 'PTHR43349:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189365),
(245640, 'PTHR11008:SF32', NULL, NULL, NULL, NULL, 'CIRCADIAN CLOCK-CONTROLLED PROTEIN-RELATED', 189366),
(245641, 'PTHR33356:SF19', NULL, NULL, NULL, NULL, 'BNAC03G30580D PROTEIN', 189367),
(245642, 'PTHR44167:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 33', 189368),
(245643, 'PTHR31351:SF18', NULL, NULL, NULL, NULL, 'VAN3-BINDING PROTEIN', 189369);
INSERT INTO "PUBLIC"."MODEL" VALUES
(245644, 'PTHR33065:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189370),
(245645, 'PTHR11654:SF414', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 3.1-LIKE', 189371),
(245646, 'PTHR35099:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189372),
(245647, 'PTHR10644:SF2', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 1', 189373),
(245648, 'PTHR40393:SF1', NULL, NULL, NULL, NULL, 'LYSINE BIOSYNTHESIS PROTEIN-RELATED', 189374),
(245649, 'PTHR24034:SF144', NULL, NULL, NULL, NULL, 'CD248 MOLECULE', 189375),
(245650, 'PTHR10201:SF24', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-14', 189376),
(245651, 'PTHR11206:SF366', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 189377),
(245652, 'PTHR31072:SF160', NULL, NULL, NULL, NULL, 'BNAC04G04400D PROTEIN', 189378),
(245653, 'PTHR35308:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7', 189379),
(245654, 'PTHR48107', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALDEHYDE REDUCTASE-LIKE PROTEIN, CHLOROPLASTIC-RELATED', 189380),
(245655, 'PTHR12346:SF39', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 189381),
(245656, 'PTHR19848:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRAF7', 189382),
(245657, 'PTHR21495:SF214', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 189383),
(245658, 'PTHR15071:SF17', NULL, NULL, NULL, NULL, 'CATION-INDEPENDENT MANNOSE-6-PHOSPHATE RECEPTOR', 189384),
(245659, 'PTHR11913:SF18', NULL, NULL, NULL, NULL, 'DESTRIN', 189385),
(245660, 'PTHR44573:SF5', NULL, NULL, NULL, NULL, '2-METHYLENE-FURAN-3-ONE REDUCTASE-RELATED', 189386),
(245661, 'PTHR32054:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 189387),
(245662, 'PTHR10566:SF125', NULL, NULL, NULL, NULL, 'CADMIUM-TRANSPORTING ATPASE-RELATED', 189388),
(245663, 'PTHR11850:SF224', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 1', 189389),
(245664, 'PTHR22911:SF106', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 189390),
(245665, 'PTHR27005:SF303', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 16-RELATED', 189391),
(245666, 'PTHR34574:SF8', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND PROTEIN', 189392),
(245667, 'PTHR23500:SF126', NULL, NULL, NULL, NULL, 'OS02G0573500 PROTEIN', 189393),
(245668, 'PTHR33076:SF74', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 189394),
(245669, 'PTHR32285:SF242', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 189395),
(245670, 'PTHR24242:SF197', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 189396),
(245671, 'PTHR35790:SF5', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR', 189397),
(245672, 'PTHR35278:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 189398),
(245673, 'PTHR31105:SF44', NULL, NULL, NULL, NULL, 'BNAA09G35860D PROTEIN', 189399),
(245674, 'PTHR24376:SF180', NULL, NULL, NULL, NULL, 'FI03704P-RELATED', 189400),
(245675, 'PTHR46318:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189401),
(245676, 'PTHR48026:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189402),
(245677, 'PTHR31391:SF64', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS04G0386900', 189403),
(245678, 'PTHR46125:SF23', NULL, NULL, NULL, NULL, 'OS11G0572901 PROTEIN', 189404),
(245679, 'PTHR45865', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SHPRH FAMILY MEMBER', 189405),
(245680, 'PTHR46093:SF4', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN', 189406),
(245681, 'PTHR43182:SF2', NULL, NULL, NULL, NULL, 'PRECORRIN DECARBOCYLASE', 189407),
(245682, 'PTHR21726', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT P  DOWN SYNDROME CRITICAL REGION PROTEIN 5 -RELATED', 189408),
(245683, 'PTHR10994:SF67', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B16', 189409),
(245684, 'PTHR12585:SF55', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION 1 PROTEIN 3', 189410),
(245685, 'PTHR23244:SF462', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING PROTEIN', 189411),
(245686, 'PTHR35017:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG16223', 189412);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(245687, 'PTHR24376:SF100', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 646', 189413),
(245688, 'PTHR11556:SF37', NULL, NULL, NULL, NULL, 'BNAC04G11560D PROTEIN', 189414),
(245689, 'PTHR47975:SF40', NULL, NULL, NULL, NULL, 'OS01G0648600 PROTEIN', 189415),
(245690, 'PTHR31500:SF80', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 8', 189416),
(245691, 'PTHR22146', NULL, NULL, NULL, NULL, 'CAT EYE SYNDROME CRITICAL REGION PROTEIN 6', 189417),
(245692, 'PTHR14540', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 189418),
(245693, 'PTHR10688:SF5', NULL, NULL, NULL, NULL, 'F22F7.12 PROTEIN-RELATED', 189419),
(245694, 'PTHR34222:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189420),
(245695, 'PTHR45831:SF1', NULL, NULL, NULL, NULL, 'SMALL GLUTAMINE-RICH TETRATRICOPEPTIDE REPEAT-CONTAINING PROTEIN BETA', 189421),
(245696, 'PTHR13789:SF309', NULL, NULL, NULL, NULL, 'MONOOXYGENASE-RELATED', 189422),
(245697, 'PTHR36319:SF3', NULL, NULL, NULL, NULL, 'PROTEIN GIGANTEA-LIKE ISOFORM X1', 189423),
(245698, 'PTHR46422:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE BSL2', 189424),
(245699, 'PTHR45783:SF5', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN 3', 189425),
(245700, 'PTHR35711', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 189426),
(245701, 'PTHR45724:SF9', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP2-2', 189427),
(245702, 'PTHR23105:SF31', NULL, NULL, NULL, NULL, 'RIBOSOMAL L1 DOMAIN-CONTAINING PROTEIN 1', 189428),
(245703, 'PTHR35501', NULL, NULL, NULL, NULL, 'PROTEIN YY1', 189429),
(245704, 'PTHR46061', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE RECEPTOR', 189430),
(245705, 'PTHR31552:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 189431),
(245706, 'PTHR31894:SF0', NULL, NULL, NULL, NULL, 'UPF0461 PROTEIN C5ORF24', 189432),
(245707, 'PTHR47021:SF5', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD6-RELATED', 189433),
(245708, 'PTHR12428:SF52', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEIN OXA1-LIKE', 189434),
(245709, 'PTHR35038', NULL, NULL, NULL, NULL, 'DISSIMILATORY SULFITE REDUCTASE SIRA', 189435),
(245710, 'PTHR31973:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189436),
(245711, 'PTHR24028:SF93', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-3', 189437),
(245712, 'PTHR44843:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189438),
(245713, 'PTHR30128:SF49', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A1', 189439),
(245714, 'PTHR31282:SF138', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 70-RELATED', 189440),
(245715, 'PTHR33599:SF13', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 20', 189441),
(245716, 'PTHR46491:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189442),
(245717, 'PTHR23070:SF159', NULL, NULL, NULL, NULL, 'BNAA02G29340D PROTEIN', 189443),
(245718, 'PTHR33696:SF14', NULL, NULL, NULL, NULL, 'OS04G0433300 PROTEIN', 189444),
(245719, 'PTHR45620:SF2', NULL, NULL, NULL, NULL, 'CORTICOTROPIN-RELEASING FACTOR RECEPTOR 1', 189445),
(245720, 'PTHR11405', NULL, NULL, NULL, NULL, 'CARBAMOYLTRANSFERASE FAMILY MEMBER', 189446),
(245721, 'PTHR11017:SF303', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', 189447),
(245722, 'PTHR10574:SF406', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA', 189448),
(245723, 'PTHR23354:SF104', NULL, NULL, NULL, NULL, 'TLD-DOMAIN CONTAINING NUCLEOLAR PROTEIN', 189449),
(245724, 'PTHR43500', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-LYASE-RELATED', 189450),
(245725, 'PTHR15348:SF2', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 3C', 189451),
(245726, 'PTHR23430:SF50', NULL, NULL, NULL, NULL, 'F-BOX AND LEUCINE-RICH REPEAT PROTEIN 6-RELATED', 189452),
(245727, 'PTHR33091:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189453),
(245728, 'PTHR31541:SF33', NULL, NULL, NULL, NULL, 'DUF313 DOMAIN PROTEIN', 189454),
(245729, 'PTHR43080:SF19', NULL, NULL, NULL, NULL, 'BLR4116 PROTEIN', 189455),
(245730, 'PTHR45693:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA2.3-LIKE ISOFORM X1', 189456);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(245731, 'PTHR33044:SF97', NULL, NULL, NULL, NULL, 'PROTEASE INHIBITOR/SEED STORAGE/LTP FAMILY PROTEIN', 189457),
(245732, 'PTHR42683:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189458),
(245733, 'PTHR36114:SF1', NULL, NULL, NULL, NULL, '16.7 KDA PROTEIN IN WHIE LOCUS', 189459),
(245734, 'PTHR46944:SF1', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 33', 189460),
(245735, 'PTHR45648:SF1', NULL, NULL, NULL, NULL, 'ANTHER-SPECIFIC PROLINE-RICH PROTEIN APG', 189461),
(245736, 'PTHR21495:SF167', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 189462),
(245737, 'PTHR24291:SF124', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP4F15', 189463),
(245738, 'PTHR43327:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189464),
(245739, 'PTHR42683:SF14', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT ALCOHOL DEHYDROGENASE C', 189465),
(245740, 'PTHR24056:SF464', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189466),
(245741, 'PTHR30614:SF16', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE PROTEIN YXEN-RELATED', 189467),
(245742, 'PTHR42683:SF69', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE-RELATED', 189468),
(245743, 'PTHR46801:SF5', NULL, NULL, NULL, NULL, 'OS09G0482720 PROTEIN', 189469),
(245744, 'PTHR33591:SF5', NULL, NULL, NULL, NULL, 'BNAC09G11560D PROTEIN', 189470),
(245745, 'PTHR24241:SF144', NULL, NULL, NULL, NULL, 'TRISSIN RECEPTOR', 189471),
(245746, 'PTHR23275', NULL, NULL, NULL, NULL, 'CABRIOLET.-RELATED', 189472),
(245747, 'PTHR24346:SF64', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', 189473),
(245748, 'PTHR27002:SF795', NULL, NULL, NULL, NULL, 'OS07G0487300 PROTEIN', 189474),
(245749, 'PTHR32141:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189475),
(245750, 'PTHR31422:SF43', NULL, NULL, NULL, NULL, 'ZEIN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 189476),
(245751, 'PTHR31110:SF2', NULL, NULL, NULL, NULL, 'PESTICIDAL CRYSTAL CRY8BA PROTEIN', 189477),
(245752, 'PTHR34065:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 14', 189478),
(245753, 'PTHR14132:SF17', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR', 189479),
(245754, 'PTHR48011:SF76', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 15', 189480),
(245755, 'PTHR43981:SF8', NULL, NULL, NULL, NULL, 'TRANS-2-ENOYL-COA REDUCTASE, MITOCHONDRIAL-RELATED', 189481),
(245756, 'PTHR24356:SF375', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SGK-1', 189482),
(245757, 'PTHR11161:SF7', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 189483),
(245758, 'PTHR47728', NULL, NULL, NULL, NULL, 'RAB GTPASE-ACTIVATING PROTEIN 1-LIKE', 189484),
(245759, 'PTHR34615:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189485),
(245760, 'PTHR36459', NULL, NULL, NULL, NULL, 'ORF', 189486),
(245761, 'PTHR47991:SF84', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', 189487),
(245762, 'PTHR12942:SF3', NULL, NULL, NULL, NULL, 'BNAANNG09670D PROTEIN', 189488),
(245763, 'PTHR10417:SF6', NULL, NULL, NULL, NULL, 'GMEB (GLUCOCORTICOID MODULATORY ELEMENT BINDING PROTEIN) TRANSCRIPTIONAL REGULATOR HOMOLOG', 189489),
(245764, 'PTHR12625:SF1', NULL, NULL, NULL, NULL, 'LIMB REGION 1 PROTEIN HOMOLOG', 189490),
(245765, 'PTHR24028:SF87', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA 4', 189491),
(245766, 'PTHR14167:SF28', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN 21', 189492),
(245767, 'PTHR33347', NULL, NULL, NULL, NULL, 'OSJNBA0091C07.3 PROTEIN', 189493),
(245768, 'PTHR13115', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 189494),
(245769, 'PTHR10242', NULL, NULL, NULL, NULL, '8-OXOGUANINE DNA GLYCOSYLASE', 189495),
(245770, 'PTHR11620:SF80', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A', 189496),
(245771, 'PTHR45907:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J-RELATED', 189497),
(245772, 'PTHR10334:SF206', NULL, NULL, NULL, NULL, 'OS04G0289500 PROTEIN', 189498),
(245773, 'PTHR31669:SF199', NULL, NULL, NULL, NULL, 'OS03G0181600 PROTEIN', 189499),
(245774, 'PTHR45764:SF38', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', 189500);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(245775, 'PTHR27006:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189501),
(245776, 'PTHR33107:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189502),
(245777, 'PTHR47924:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189503),
(245778, 'PTHR10648:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 65 KDA REGULATORY SUBUNIT A BETA ISOFORM', 189504),
(245779, 'PTHR11738:SF159', NULL, NULL, NULL, NULL, 'ALPHA-1B-GLYCOPROTEIN', 189505),
(245780, 'PTHR45800:SF16', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 5', 189506),
(245781, 'PTHR46354', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 189507),
(245782, 'PTHR24126:SF52', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TNNI3K', 189508),
(245783, 'PTHR45650:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189509),
(245784, 'PTHR34224:SF17', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS-RELATED', 189510),
(245785, 'PTHR10641:SF1269', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB30', 189511),
(245786, 'PTHR45735:SF2', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR, 3'' PRE-RNA, SUBUNIT 2', 189512),
(245787, 'PTHR11136:SF13', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE', 189513),
(245788, 'PTHR33726', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 189514),
(245789, 'PTHR48022:SF65', NULL, NULL, NULL, NULL, 'MFS MALTOSE PERMEASE MALP', 189515),
(245790, 'PTHR33236:SF5', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 122 FAMILY PROTEIN', 189516),
(245791, 'PTHR23500:SF498', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', 189517),
(245792, 'PTHR48011:SF29', NULL, NULL, NULL, NULL, 'BNAA08G02690D PROTEIN', 189518),
(245793, 'PTHR44051:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL GLUTATHIONE S-TRANSFERASE LIKE PROTEIN', 189519),
(245794, 'PTHR31197:SF6', NULL, NULL, NULL, NULL, 'OS09G0451800 PROTEIN', 189520),
(245795, 'PTHR44013:SF2', NULL, NULL, NULL, NULL, 'OS09G0502500 PROTEIN', 189521),
(245796, 'PTHR48061:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1-LIKE', 189522),
(245797, 'PTHR39670:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189523),
(245798, 'PTHR34478:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 189524),
(245799, 'PTHR42799:SF13', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE', 189525),
(245800, 'PTHR34289:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189526),
(245801, 'PTHR24286:SF282', NULL, NULL, NULL, NULL, 'BNAA04G16900D PROTEIN', 189527),
(245802, 'PTHR30561:SF0', NULL, NULL, NULL, NULL, 'GUANIDINIUM EXPORTER', 189528),
(245803, 'PTHR43880:SF1', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1C', 189529),
(245804, 'PTHR15346:SF0', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 2', 189530),
(245805, 'PTHR10199:SF78', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-1', 189531),
(245806, 'PTHR31225:SF94', NULL, NULL, NULL, NULL, 'ALPHA-FARNESENE SYNTHASE', 189532),
(245807, 'PTHR34137:SF1', NULL, NULL, NULL, NULL, 'EXODEOXYRIBONUCLEASE 7 SMALL SUBUNIT', 189533),
(245808, 'PTHR12482:SF54', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 189534),
(245809, 'PTHR12791', NULL, NULL, NULL, NULL, 'GOLGI SNARE BET1-RELATED', 189535),
(245810, 'PTHR30055:SF205', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PKSA', 189536),
(245811, 'PTHR24637:SF269', NULL, NULL, NULL, NULL, 'COLLAGEN', 189537),
(245812, 'PTHR35546:SF79', NULL, NULL, NULL, NULL, 'OS10G0559550 PROTEIN', 189538),
(245813, 'PTHR16134:SF101', NULL, NULL, NULL, NULL, 'F-BOX/TPR REPEAT PROTEIN POF3', 189539),
(245814, 'PTHR46214:SF11', NULL, NULL, NULL, NULL, 'OS05G0207400 PROTEIN', 189540),
(245815, 'PTHR45977:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE RIE1-LIKE', 189541),
(245816, 'PTHR22914:SF12', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE CHS-1', 189542),
(245817, 'PTHR11938', NULL, NULL, NULL, NULL, 'FAD NADPH DEHYDROGENASE/OXIDOREDUCTASE', 189543),
(245818, 'PTHR33306:SF26', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 189544);
INSERT INTO "PUBLIC"."MODEL" VALUES
(245819, 'PTHR33021:SF412', NULL, NULL, NULL, NULL, 'BNACNNG07270D PROTEIN', 189545),
(245820, 'PTHR46105', NULL, NULL, NULL, NULL, 'AGAP004733-PA', 189546),
(245821, 'PTHR48022:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189547),
(245822, 'PTHR14758:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM110D', 189548),
(245823, 'PTHR10784:SF6', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 6', 189549),
(245824, 'PTHR19411:SF6', NULL, NULL, NULL, NULL, 'G10, PUTATIVE-RELATED', 189550),
(245825, 'PTHR31621:SF51', NULL, NULL, NULL, NULL, 'BNAA01G32990D PROTEIN', 189551),
(245826, 'PTHR32467:SF176', NULL, NULL, NULL, NULL, 'BNAC02G44180D PROTEIN', 189552),
(245827, 'PTHR31235:SF296', NULL, NULL, NULL, NULL, 'PEROXIDASE', 189553),
(245828, 'PTHR30128:SF65', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A2', 189554),
(245829, 'PTHR46057:SF11', NULL, NULL, NULL, NULL, 'OS06G0714800 PROTEIN', 189555),
(245830, 'PTHR44419:SF16', NULL, NULL, NULL, NULL, 'NADPH-PROTOCHLOROPHYLLIDE OXIDOREDUCTASE', 189556),
(245831, 'PTHR12015:SF110', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 14', 189557),
(245832, 'PTHR47926:SF139', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN ELI1, CHLOROPLASTIC-LIKE', 189558),
(245833, 'PTHR31072:SF162', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP2', 189559),
(245834, 'PTHR13596:SF1', NULL, NULL, NULL, NULL, 'SMALL EDRK-RICH FACTOR 1', 189560),
(245835, 'PTHR46167:SF1', NULL, NULL, NULL, NULL, 'N-LYSINE METHYLTRANSFERASE KMT5A', 189561),
(245836, 'PTHR47962:SF2', NULL, NULL, NULL, NULL, 'HELICASE-RELATED', 189562),
(245837, 'PTHR47953:SF4', NULL, NULL, NULL, NULL, 'BNAC03G30340D PROTEIN', 189563),
(245838, 'PTHR26453:SF176', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2S2', 189564),
(245839, 'PTHR21516:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG06240', 189565),
(245840, 'PTHR39560:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE FIC-RELATED', 189566),
(245841, 'PTHR46963:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA E130308A19', 189567),
(245842, 'PTHR43523:SF22', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE', 189568),
(245843, 'PTHR10766:SF102', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', 189569),
(245844, 'PTHR45778:SF11', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE 9-RELATED', 189570),
(245845, 'PTHR33191:SF32', NULL, NULL, NULL, NULL, 'KIWELLIN', 189571),
(245846, 'PTHR46910:SF26', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 189572),
(245847, 'PTHR11442:SF77', NULL, NULL, NULL, NULL, 'HEMOGLOBIN, ALPHA EMBRYONIC 5', 189573),
(245848, 'PTHR12131:SF2', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH16, MITOCHONDRIAL', 189574),
(245849, 'PTHR43651:SF3', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN-BRANCHING ENZYME', 189575),
(245850, 'PTHR10942:SF43', NULL, NULL, NULL, NULL, 'SURFACE PROTEASE HOMOLOG, PUTATIVE-RELATED', 189576),
(245851, 'PTHR46373:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189577),
(245852, 'PTHR45613:SF424', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189578),
(245853, 'PTHR11157:SF11', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN 3-LIKE', 189579),
(245854, 'PTHR11926:SF970', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 189580),
(245855, 'PTHR39441', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 189581),
(245856, 'PTHR11999:SF161', NULL, NULL, NULL, NULL, 'BNAA07G00220D PROTEIN', 189582),
(245857, 'PTHR20903', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 1-RELATED', 189583),
(245858, 'PTHR21646:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 3', 189584),
(245859, 'PTHR12135:SF0', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN COMPLEMENTING XP-C CELLS', 189585),
(245860, 'PTHR15710:SF41', NULL, NULL, NULL, NULL, 'OS06G0101300 PROTEIN', 189586),
(245861, 'PTHR31619:SF5', NULL, NULL, NULL, NULL, '4-HYDROXY-3-METHYLBUT-2-ENYL DIPHOSPHATE REDUCTASE, CHLOROPLASTIC', 189587),
(245862, 'PTHR31080:SF106', NULL, NULL, NULL, NULL, 'INHIBITOR, PUTATIVE-RELATED', 189588);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(245863, 'PTHR46159:SF6', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 4', 189589),
(245864, 'PTHR47640:SF21', NULL, NULL, NULL, NULL, 'OS02G0622500 PROTEIN', 189590),
(245865, 'PTHR44375:SF5', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7B-LIKE', 189591),
(245866, 'PTHR21616', NULL, NULL, NULL, NULL, 'CENTROSOME SPINDLE POLE ASSOCIATED PROTEIN', 189592),
(245867, 'PTHR10166:SF40', NULL, NULL, NULL, NULL, 'VWFA AND CACHE DOMAIN-CONTAINING PROTEIN 1', 189593),
(245868, 'PTHR24282:SF183', NULL, NULL, NULL, NULL, 'BNAA02G10910D PROTEIN', 189594),
(245869, 'PTHR13439:SF2', NULL, NULL, NULL, NULL, 'TLC DOMAIN-CONTAINING PROTEIN 2', 189595),
(245870, 'PTHR42912:SF24', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE, UBIE/COQ5 FAMILY', 189596),
(245871, 'PTHR13539:SF3', NULL, NULL, NULL, NULL, 'CALMODULIN-LYSINE N-METHYLTRANSFERASE', 189597),
(245872, 'PTHR47925:SF76', NULL, NULL, NULL, NULL, 'BNAA04G21330D PROTEIN', 189598),
(245873, 'PTHR24124:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY A PROTEIN 2', 189599),
(245874, 'PTHR10218:SF320', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(S) SUBUNIT ALPHA ISOFORMS XLAS', 189600),
(245875, 'PTHR23359:SF203', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 6, CHLOROPLASTIC-RELATED', 189601),
(245876, 'PTHR31683:SF133', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 189602),
(245877, 'PTHR46972:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189603),
(245878, 'PTHR46509:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOADENOSINE PHOSPHOSULFATE REDUCTASE', 189604),
(245879, 'PTHR45666:SF3', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 5', 189605),
(245880, 'PTHR33085:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189606),
(245881, 'PTHR46375:SF1', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB (POZ) DOMAIN CONTAINING 13', 189607),
(245882, 'PTHR11005:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189608),
(245883, 'PTHR43418:SF12', NULL, NULL, NULL, NULL, 'BNAA09G28350D PROTEIN', 189609),
(245884, 'PTHR36616:SF5', NULL, NULL, NULL, NULL, 'DIS3-EXONUCLEASE-LIKE PROTEIN', 189610),
(245885, 'PTHR43475:SF4', NULL, NULL, NULL, NULL, 'METHYLTHIORIBOSE-1-PHOSPHATE ISOMERASE', 189611),
(245886, 'PTHR11361:SF138', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MSH7', 189612),
(245887, 'PTHR48040:SF28', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 42-LIKE', 189613),
(245888, 'PTHR31147:SF48', NULL, NULL, NULL, NULL, 'BNAC03G77600D PROTEIN', 189614),
(245889, 'PTHR47988:SF16', NULL, NULL, NULL, NULL, 'LRR RECEPTOR KINASE BAK1', 189615),
(245890, 'PTHR48011:SF65', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 189616),
(245891, 'PTHR15818:SF2', NULL, NULL, NULL, NULL, 'G-PATCH DOMAIN AND KOW MOTIFS-CONTAINING PROTEIN', 189617),
(245892, 'PTHR11593:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189618),
(245893, 'PTHR18820:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189619),
(245894, 'PTHR14492:SF4', NULL, NULL, NULL, NULL, 'CILIOGENESIS AND PLANAR POLARITY EFFECTOR 1', 189620),
(245895, 'PTHR11362:SF31', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN21', 189621),
(245896, 'PTHR46171:SF3', NULL, NULL, NULL, NULL, 'GH10160P', 189622),
(245897, 'PTHR46129:SF3', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-14-RELATED', 189623),
(245898, 'PTHR43112:SF31', NULL, NULL, NULL, NULL, 'FERREDOXIN', 189624),
(245899, 'PTHR31221:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189625),
(245900, 'PTHR14164', NULL, NULL, NULL, NULL, 'PERICENTRIOLAR MATERIAL 1-RELATED', 189626),
(245901, 'PTHR11685:SF347', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 189627),
(245902, 'PTHR40460', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 189628),
(245903, 'PTHR11787:SF26', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', 189629),
(245904, 'PTHR24032:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189630),
(245905, 'PTHR33390:SF1', NULL, NULL, NULL, NULL, 'STRESS UP-REGULATED NOD 19 PROTEIN', 189631); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(245906, 'PTHR11782:SF80', NULL, NULL, NULL, NULL, 'NOD FACTOR-BINDING LECTIN-NUCLEOTIDE PHOSPHOHYDROLASE', 189632),
(245907, 'PTHR47992:SF104', NULL, NULL, NULL, NULL, 'BNAC01G38550D PROTEIN', 189633),
(245908, 'PTHR24384:SF87', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 195', 189634),
(245909, 'PTHR12336', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 189635),
(245910, 'PTHR15711:SF8', NULL, NULL, NULL, NULL, 'PH AND RAP-GAP DOMAIN-CONTAINING PROTEIN DDB_G0271806', 189636),
(245911, 'PTHR23253:SF63', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4G1, ISOFORM B-RELATED', 189637),
(245912, 'PTHR23239:SF44', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 23', 189638),
(245913, 'PTHR31639:SF170', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', 189639),
(245914, 'PTHR14614:SF13', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE METHYLTRANSFERASE METTL21C', 189640),
(245915, 'PTHR36350:SF4', NULL, NULL, NULL, NULL, 'BNAA05G09310D PROTEIN', 189641),
(245916, 'PTHR10159:SF309', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 1', 189642),
(245917, 'PTHR31235:SF307', NULL, NULL, NULL, NULL, 'PEROXIDASE', 189643),
(245918, 'PTHR45639', NULL, NULL, NULL, NULL, 'HSC70CB, ISOFORM G-RELATED', 189644),
(245919, 'PTHR48008:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE IMK3-RELATED', 189645),
(245920, 'PTHR24015:SF285', NULL, NULL, NULL, NULL, 'OS07G0588100 PROTEIN', 189646),
(245921, 'PTHR10572:SF36', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', 189647),
(245922, 'PTHR11673:SF39', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-3', 189648),
(245923, 'PTHR10078:SF32', NULL, NULL, NULL, NULL, 'INTERLEUKIN-36 RECEPTOR ANTAGONIST PROTEIN', 189649),
(245924, 'PTHR13962:SF17', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N4', 189650),
(245925, 'PTHR10802:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM40-2-RELATED', 189651),
(245926, 'PTHR33370:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-1, CHLOROPLASTIC', 189652),
(245927, 'PTHR43180:SF53', NULL, NULL, NULL, NULL, 'XANTHOXIN DEHYDROGENASE', 189653),
(245928, 'PTHR24356:SF367', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 189654),
(245929, 'PTHR47926:SF136', NULL, NULL, NULL, NULL, 'BNAA04G11950D PROTEIN', 189655),
(245930, 'PTHR46074:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PROTEIN 1', 189656),
(245931, 'PTHR23406:SF74', NULL, NULL, NULL, NULL, 'MALIC ENZYME', 189657),
(245932, 'PTHR48050:SF20', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 189658),
(245933, 'PTHR28552', NULL, NULL, NULL, NULL, 'SHADOW OF PRION PROTEIN', 189659),
(245934, 'PTHR46844', NULL, NULL, NULL, NULL, 'SLR5058 PROTEIN', 189660),
(245935, 'PTHR45614:SF160', NULL, NULL, NULL, NULL, 'BNAC06G43380D PROTEIN', 189661),
(245936, 'PTHR10155:SF5', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 7', 189662),
(245937, 'PTHR43257', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT BETA SUBUNIT', 189663),
(245938, 'PTHR35290:SF4', NULL, NULL, NULL, NULL, 'OS11G0323860 PROTEIN', 189664),
(245939, 'PTHR31235:SF227', NULL, NULL, NULL, NULL, 'PEROXIDASE 30', 189665),
(245940, 'PTHR36366:SF4', NULL, NULL, NULL, NULL, 'PROTEIN RDM1-LIKE ISOFORM X1', 189666),
(245941, 'PTHR30070:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C BIOGENESIS B', 189667),
(245942, 'PTHR31978:SF1', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 20 HOMOLOG', 189668),
(245943, 'PTHR32274:SF1', NULL, NULL, NULL, NULL, 'NEDD4-BINDING PROTEIN 3', 189669),
(245944, 'PTHR46675:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF182', 189670),
(245945, 'PTHR14198:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 4 L6 FAMILY MEMBER 5', 189671),
(245946, 'PTHR47927:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', 189672),
(245947, 'PTHR39168:SF2', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CMTR', 189673),
(245948, 'PTHR33564:SF15', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 189674);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(245949, 'PTHR45649:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189675),
(245950, 'PTHR48002:SF44', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4X1', 189676),
(245951, 'PTHR33964:SF2', NULL, NULL, NULL, NULL, 'IP09356P', 189677),
(245952, 'PTHR33469:SF21', NULL, NULL, NULL, NULL, 'OS08G0366300 PROTEIN', 189678),
(245953, 'PTHR10291:SF34', NULL, NULL, NULL, NULL, 'TRITRANS,POLYCIS-UNDECAPRENYL-DIPHOSPHATE SYNTHASE (GERANYLGERANYL-DIPHOSPHATE SPECIFIC)', 189679),
(245954, 'PTHR45654:SF47', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ROC6', 189680),
(245955, 'PTHR24096:SF296', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE ACSBG1', 189681),
(245956, 'PTHR43369:SF2', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL PURINE BIOSYNTHETIC PROTEIN ADENOSINE-3', 189682),
(245957, 'PTHR31419:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189683),
(245958, 'PTHR11177:SF363', NULL, NULL, NULL, NULL, 'BNAC03G63440D PROTEIN', 189684),
(245959, 'PTHR11362:SF90', NULL, NULL, NULL, NULL, 'RCN1-CORN CENTRORADIALIS/TFL1-LIKE PROTEIN', 189685),
(245960, 'PTHR24404:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 821', 189686),
(245961, 'PTHR46953', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR MTH-LIKE 1-RELATED', 189687),
(245962, 'PTHR46171:SF2', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 44', 189688),
(245963, 'PTHR31357:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-33', 189689),
(245964, 'PTHR45738:SF23', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC2-LIKE ISOFORM X1', 189690),
(245965, 'PTHR11709:SF377', NULL, NULL, NULL, NULL, 'LACCASE', 189691),
(245966, 'PTHR10366:SF597', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONAL-4-REDUCTASE 2', 189692),
(245967, 'PTHR31006:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG21015', 189693),
(245968, 'PTHR33362:SF2', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLATE TRANSPORT SYSTEM-RELATED', 189694),
(245969, 'PTHR10194:SF126', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN', 189695),
(245970, 'PTHR32212:SF350', NULL, NULL, NULL, NULL, 'BNAA09G46050D PROTEIN', 189696),
(245971, 'PTHR31080:SF120', NULL, NULL, NULL, NULL, 'INVERTASE INHIBITOR-RELATED', 189697),
(245972, 'PTHR12542:SF139', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 189698),
(245973, 'PTHR48002:SF5', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 189699),
(245974, 'PTHR46236:SF21', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN-RELATED', 189700),
(245975, 'PTHR19855', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN 12, 37', 189701),
(245976, 'PTHR42023', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 189702),
(245977, 'PTHR24056:SF436', NULL, NULL, NULL, NULL, 'BNACNNG51050D PROTEIN', 189703),
(245978, 'PTHR23504:SF28', NULL, NULL, NULL, NULL, 'OS12G0133000 PROTEIN', 189704),
(245979, 'PTHR18966:SF512', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2.1-RELATED', 189705),
(245980, 'PTHR11105', NULL, NULL, NULL, NULL, 'CITRATE LYASE SUBUNIT BETA-RELATED', 189706),
(245981, 'PTHR33127:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189707),
(245982, 'PTHR18896:SF167', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 189708),
(245983, 'PTHR11064:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189709),
(245984, 'PTHR31933:SF8', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE', 189710),
(245985, 'PTHR31026:SF1', NULL, NULL, NULL, NULL, 'ENHANCER OF UNCOORDINATION', 189711),
(245986, 'PTHR13832:SF236', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1M', 189712),
(245987, 'PTHR31920:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189713),
(245988, 'PTHR11850:SF318', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 4', 189714),
(245989, 'PTHR31642:SF32', NULL, NULL, NULL, NULL, 'OSJNBA0043L24.8 PROTEIN', 189715),
(245990, 'PTHR40659:SF1', NULL, NULL, NULL, NULL, 'NICKEL/COBALT EFFLUX SYSTEM RCNA', 189716),
(245991, 'PTHR15706', NULL, NULL, NULL, NULL, 'SH3 MULTIPLE DOMAIN', 189717),
(245992, 'PTHR35846:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG05131', 189718),
(245993, 'PTHR10977:SF6', NULL, NULL, NULL, NULL, 'DIPHOSPHOMEVALONATE DECARBOXYLASE', 189719);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(245994, 'PTHR27002:SF562', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 5', 189720),
(245995, 'PTHR35037:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189721),
(245996, 'PTHR12956:SF13', NULL, NULL, NULL, NULL, 'OS01G0210400 PROTEIN', 189722),
(245997, 'PTHR31194:SF135', NULL, NULL, NULL, NULL, 'BNAC07G48550D PROTEIN', 189723),
(245998, 'PTHR31072:SF69', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP19', 189724),
(245999, 'PTHR33463:SF44', NULL, NULL, NULL, NULL, 'OS04G0166000 PROTEIN', 189725),
(246000, 'PTHR45854:SF4', NULL, NULL, NULL, NULL, 'ARF-GAP WITH SH3 DOMAIN, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 2', 189726),
(246001, 'PTHR10694:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189727),
(246002, 'PTHR47999:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ODORANT1-LIKE', 189728),
(246003, 'PTHR31589:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189729),
(246004, 'PTHR24286:SF319', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY BRASSINOSTEROID OXIDASE', 189730),
(246005, 'PTHR31682:SF31', NULL, NULL, NULL, NULL, 'UDP-ARABINOPYRANOSE MUTASE 2-RELATED', 189731),
(246006, 'PTHR14187:SF61', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN SIMILAR TO VERTEBRATE HEAT SHOCK 70KDA PROTEIN 12A (HSPA12A)-RELATED', 189732),
(246007, 'PTHR47612', NULL, NULL, NULL, NULL, 'TRICHOHYALIN-LIKE PROTEIN 1', 189733),
(246008, 'PTHR22870:SF379', NULL, NULL, NULL, NULL, 'PH, RCC1 AND FYVE DOMAINS-CONTAINING PROTEIN 1', 189734),
(246009, 'PTHR24296:SF175', NULL, NULL, NULL, NULL, 'CYTOCHROMEC1', 189735),
(246010, 'PTHR24253:SF118', NULL, NULL, NULL, NULL, 'AGAP002422-PA', 189736),
(246011, 'PTHR24028:SF255', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-9', 189737),
(246012, 'PTHR33214:SF8', NULL, NULL, NULL, NULL, 'OS01G0691300 PROTEIN', 189738),
(246013, 'PTHR31143:SF2', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE (GNAT) FAMILY PROTEIN', 189739),
(246014, 'PTHR47415:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189740),
(246015, 'PTHR46066:SF1', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE', 189741),
(246016, 'PTHR16450:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF186', 189742),
(246017, 'PTHR43248:SF20', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE SUPERFAMILY PROTEIN', 189743),
(246018, 'PTHR33074:SF76', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 189744),
(246019, 'PTHR48047:SF19', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER', 189745),
(246020, 'PTHR46011:SF14', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 189746),
(246021, 'PTHR33389:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189747),
(246022, 'PTHR11206:SF282', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 189748),
(246023, 'PTHR46725:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 57', 189749),
(246024, 'PTHR36486', NULL, NULL, NULL, NULL, 'OS01G0977800 PROTEIN', 189750),
(246025, 'PTHR38591', NULL, NULL, NULL, NULL, 'HYDROLASE', 189751),
(246026, 'PTHR11689:SF155', NULL, NULL, NULL, NULL, 'BNAA06G32380D PROTEIN', 189752),
(246027, 'PTHR45732:SF9', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8A', 189753),
(246028, 'PTHR33265:SF7', NULL, NULL, NULL, NULL, 'OS05G0200700 PROTEIN', 189754),
(246029, 'PTHR45997', NULL, NULL, NULL, NULL, 'DNA LIGASE 4', 189755),
(246030, 'PTHR46998:SF6', NULL, NULL, NULL, NULL, 'BNAANNG41310D PROTEIN', 189756),
(246031, 'PTHR11467:SF24', NULL, NULL, NULL, NULL, 'HISTONE H1.5', 189757),
(246032, 'PTHR33480:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189758),
(246033, 'PTHR10725:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189759),
(246034, 'PTHR11412:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189760),
(246035, 'PTHR10366:SF295', NULL, NULL, NULL, NULL, 'GH25466P', 189761),
(246036, 'PTHR45096', NULL, NULL, NULL, NULL, 'PROTEIN NEDD1', 189762),
(246037, 'PTHR11902:SF1', NULL, NULL, NULL, NULL, 'ENOLASE', 189763),
(246038, 'PTHR31906:SF5', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 3, CHLOROPLASTIC-RELATED', 189764),
(246039, 'PTHR32119:SF3', NULL, NULL, NULL, NULL, '3-HEXULOSE-6-PHOSPHATE SYNTHASE', 189765);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(246040, 'PTHR24637:SF349', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189766),
(246041, 'PTHR34491:SF2', NULL, NULL, NULL, NULL, 'CENTRIOLIN', 189767),
(246042, 'PTHR46796:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR EUTR-RELATED', 189768),
(246043, 'PTHR19960', NULL, NULL, NULL, NULL, 'TEKTIN', 189769),
(246044, 'PTHR24373:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189770),
(246045, 'PTHR35552', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 8', 189771),
(246046, 'PTHR11200:SF277', NULL, NULL, NULL, NULL, 'BNAC08G44370D PROTEIN', 189772),
(246047, 'PTHR12701:SF13', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED PROTEIN 31-LIKE PROTEIN', 189773),
(246048, 'PTHR31234:SF34', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', 189774),
(246049, 'PTHR42206', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT HYDROLASE-RELATED', 189775),
(246050, 'PTHR21685:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1, REGULATORY SUBUNIT 18', 189776),
(246051, 'PTHR23308:SF60', NULL, NULL, NULL, NULL, 'NUCLEAR INHIBITOR OF PROTEIN PHOSPHATASE 1-LIKE', 189777),
(246052, 'PTHR16684:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189778),
(246053, 'PTHR11430:SF25', NULL, NULL, NULL, NULL, 'LIPOCALIN 11', 189779),
(246054, 'PTHR31235:SF279', NULL, NULL, NULL, NULL, 'PEROXIDASE', 189780),
(246055, 'PTHR31741:SF82', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE FAMILY PROTEIN', 189781),
(246056, 'PTHR38218:SF3', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 189782),
(246057, 'PTHR33214:SF56', NULL, NULL, NULL, NULL, 'BNAA04G26690D PROTEIN', 189783),
(246058, 'PTHR34207:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189784),
(246059, 'PTHR46029:SF3', NULL, NULL, NULL, NULL, 'C-TERMINAL-BINDING PROTEIN 2', 189785),
(246060, 'PTHR32467:SF177', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR SMZ-RELATED', 189786),
(246061, 'PTHR14224:SF25', NULL, NULL, NULL, NULL, '4732496O08RIK PROTEIN', 189787),
(246062, 'PTHR10924:SF27', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 49 MEMBER 4', 189788),
(246063, 'PTHR43874:SF150', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 189789),
(246064, 'PTHR21649', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A/B BINDING PROTEIN', 189790),
(246065, 'PTHR27008:SF379', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', 189791),
(246066, 'PTHR48006:SF5', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', 189792),
(246067, 'PTHR13401', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR1', 189793),
(246068, 'PTHR24023:SF1021', NULL, NULL, NULL, NULL, 'MACROPHAGE RECEPTOR WITH COLLAGENOUS STRUCTURE', 189794),
(246069, 'PTHR43880:SF31', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE 7', 189795),
(246070, 'PTHR46978:SF2', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN ISOFORM 1', 189796),
(246071, 'PTHR12345:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189797),
(246072, 'PTHR34362:SF7', NULL, NULL, NULL, NULL, 'MFP1 ATTACHMENT FACTOR 1', 189798),
(246073, 'PTHR43347:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE SHORT-CHAIN FAMILY MEMBER 3, MITOCHONDRIAL', 189799),
(246074, 'PTHR11715:SF27', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN 1, MITOCHONDRIAL-RELATED', 189800),
(246075, 'PTHR31257:SF19', NULL, NULL, NULL, NULL, 'OS01G0104400 PROTEIN', 189801),
(246076, 'PTHR45975', NULL, NULL, NULL, NULL, 'NUCLEOSOME-REMODELING FACTOR SUBUNIT BPTF', 189802),
(246077, 'PTHR12911:SF23', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 1', 189803),
(246078, 'PTHR11206:SF265', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 189804),
(246079, 'PTHR11036:SF17', NULL, NULL, NULL, NULL, 'SEMAPHORIN-4G', 189805),
(246080, 'PTHR43434:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE', 189806),
(246081, 'PTHR33714:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189807),
(246082, 'PTHR48041:SF87', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 12-RELATED', 189808);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(246083, 'PTHR44699:SF1', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 11', 189809),
(246084, 'PTHR10804:SF134', NULL, NULL, NULL, NULL, 'PROLIFERATION-ASSOCIATED 2G4-LIKE PROTEIN', 189810),
(246085, 'PTHR31828:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 3', 189811),
(246086, 'PTHR12121:SF11', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE NGL1', 189812),
(246087, 'PTHR15565:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189813),
(246088, 'PTHR48047:SF86', NULL, NULL, NULL, NULL, '7-DEOXYLOGANETIN GLUCOSYLTRANSFERASE-LIKE', 189814),
(246089, 'PTHR32208:SF75', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH, BETA-PROPELLER-RELATED', 189815),
(246090, 'PTHR35682:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 252', 189816),
(246091, 'PTHR23428:SF206', NULL, NULL, NULL, NULL, 'HISTONE H2B.5', 189817),
(246092, 'PTHR33326:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189818),
(246093, 'PTHR12400', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE KINASE', 189819),
(246094, 'PTHR32410:SF168', NULL, NULL, NULL, NULL, 'CHP-RICH ZINC FINGER PROTEIN-LIKE-RELATED', 189820),
(246095, 'PTHR12192:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE-SPECIFIC GAMMA-GLUTAMYLCYCLOTRANSFERASE 1', 189821),
(246096, 'PTHR16716:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7B, MITOCHONDRIAL', 189822),
(246097, 'PTHR36038', NULL, NULL, NULL, NULL, 'OS06G0102750 PROTEIN', 189823),
(246098, 'PTHR23213:SF338', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 6', 189824),
(246099, 'PTHR31430:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13848', 189825),
(246100, 'PTHR11661:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12', 189826),
(246101, 'PTHR31985', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF042-RELATED', 189827),
(246102, 'PTHR37011:SF1', NULL, NULL, NULL, NULL, 'POT FAMILY PEPTIDE TRANSPORT PROTEIN-RELATED', 189828),
(246103, 'PTHR27001:SF847', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY KINASE DOMAIN PROTEIN', 189829),
(246104, 'PTHR31929:SF57', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', 189830),
(246105, 'PTHR47040:SF2', NULL, NULL, NULL, NULL, 'PEPTIDASE S24/S26A/S26B/S26C FAMILY PROTEIN', 189831),
(246106, 'PTHR12424:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TWEETY', 189832),
(246107, 'PTHR23382:SF26', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', 189833),
(246108, 'PTHR13501:SF11', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L22/L17-RELATED', 189834),
(246109, 'PTHR28055', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 41, MITOCHONDRIAL', 189835),
(246110, 'PTHR33675:SF3', NULL, NULL, NULL, NULL, 'HOLOCARBOXYLASE SYNTHETASE', 189836),
(246111, 'PTHR33312:SF28', NULL, NULL, NULL, NULL, 'BNAA09G04310D PROTEIN', 189837),
(246112, 'PTHR36168:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189838),
(246113, 'PTHR31218:SF259', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 189839),
(246114, 'PTHR11528:SF81', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP 90-BETA-3-RELATED', 189840),
(246115, 'PTHR47731:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN D', 189841),
(246116, 'PTHR31529:SF46', NULL, NULL, NULL, NULL, 'BNAA03G19820D PROTEIN', 189842),
(246117, 'PTHR24282:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189843),
(246118, 'PTHR47488:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189844),
(246119, 'PTHR24224:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG23398', 189845),
(246120, 'PTHR31500:SF51', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 10-LIKE ISOFORM X1', 189846),
(246121, 'PTHR36835:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME BO(3) UBIQUINOL OXIDASE SUBUNIT 4', 189847),
(246122, 'PTHR13533:SF39', NULL, NULL, NULL, NULL, 'O-ACETYLTRANSFERASE FAMILY PROTEIN-RELATED', 189848),
(246123, 'PTHR11743:SF56', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN OF 34 KDA', 189849),
(246124, 'PTHR10168:SF273', NULL, NULL, NULL, NULL, 'BNAA05G11910D PROTEIN', 189850),
(246125, 'PTHR13806:SF23', NULL, NULL, NULL, NULL, 'FLOTILLIN-LIKE PROTEIN 2', 189851),
(246126, 'PTHR33228:SF47', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 6-LIKE', 189852); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(246127, 'PTHR14000:SF26', NULL, NULL, NULL, NULL, 'BNAC01G39810D PROTEIN', 189853),
(246128, 'PTHR31953:SF1', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV1-RELATED', 189854),
(246129, 'PTHR12320:SF61', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', 189855),
(246130, 'PTHR34686', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST PROTEIN', 189856),
(246131, 'PTHR45680:SF28', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', 189857),
(246132, 'PTHR43539:SF63', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 189858),
(246133, 'PTHR35201:SF4', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE', 189859),
(246134, 'PTHR15664:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 189860),
(246135, 'PTHR32100:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189861),
(246136, 'PTHR16784', NULL, NULL, NULL, NULL, 'ENAMELIN', 189862),
(246137, 'PTHR31916:SF49', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE C, MITOCHONDRIAL', 189863),
(246138, 'PTHR24115:SF338', NULL, NULL, NULL, NULL, 'KINESIN HEAVY CHAIN 73, ISOFORM E', 189864),
(246139, 'PTHR20963:SF44', NULL, NULL, NULL, NULL, 'MULTIPLE INOSITOL POLYPHOSPHATE PHOSPHATASE 1-LIKE', 189865),
(246140, 'PTHR11895:SF150', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT A-LIKE ISOFORM X1', 189866),
(246141, 'PTHR13903:SF27', NULL, NULL, NULL, NULL, 'BNAA05G34480D PROTEIN', 189867),
(246142, 'PTHR16188:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 14C', 189868),
(246143, 'PTHR12677:SF55', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE LIKE PROTEIN', 189869),
(246144, 'PTHR32295:SF112', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', 189870),
(246145, 'PTHR31756:SF7', NULL, NULL, NULL, NULL, 'BNAA05G34010D PROTEIN', 189871),
(246146, 'PTHR34294:SF10', NULL, NULL, NULL, NULL, 'BLR3219 PROTEIN', 189872),
(246147, 'PTHR31549:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189873),
(246148, 'PTHR13445:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TSSC4', 189874),
(246149, 'PTHR31692:SF56', NULL, NULL, NULL, NULL, 'EXPANSIN-B2-RELATED', 189875),
(246150, 'PTHR23501:SF176', NULL, NULL, NULL, NULL, 'VACUOLAR BASIC AMINO ACID TRANSPORTER 4', 189876),
(246151, 'PTHR42840:SF8', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', 189877),
(246152, 'PTHR24222:SF64', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 26, CHLOROPLASTIC', 189878),
(246153, 'PTHR32481:SF9', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 189879),
(246154, 'PTHR33398:SF4', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S20, CHLOROPLASTIC-LIKE', 189880),
(246155, 'PTHR10442:SF13', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', 189881),
(246156, 'PTHR32141:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189882),
(246157, 'PTHR45776:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR EB', 189883),
(246158, 'PTHR47990:SF118', NULL, NULL, NULL, NULL, 'INACTIVE FLAVONOL SYNTHASE 2-RELATED', 189884),
(246159, 'PTHR11679:SF81', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT SEC1B-RELATED', 189885),
(246160, 'PTHR31194:SF131', NULL, NULL, NULL, NULL, 'BNAA02G13950D PROTEIN', 189886),
(246161, 'PTHR45870:SF1', NULL, NULL, NULL, NULL, 'TUBULIN MONOGLYCYLASE TTLL3', 189887),
(246162, 'PTHR11265:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 15-RELATED', 189888),
(246163, 'PTHR13479:SF40', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S18C, MITOCHONDRIAL', 189889),
(246164, 'PTHR34591:SF13', NULL, NULL, NULL, NULL, 'OS03G0653100 PROTEIN', 189890),
(246165, 'PTHR12403:SF1', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 2-RELATED', 189891),
(246166, 'PTHR12475:SF10', NULL, NULL, NULL, NULL, 'PROTEIN THEM6', 189892),
(246167, 'PTHR24399:SF28', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 25', 189893),
(246168, 'PTHR47331:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189894),
(246169, 'PTHR27003:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189895),
(246170, 'PTHR43120:SF6', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE 3, CHLOROPLASTIC-RELATED', 189896);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(246171, 'PTHR35511:SF2', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR-LIKE PROTEIN', 189897),
(246172, 'PTHR36754:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM37', 189898),
(246173, 'PTHR14119:SF4', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE DOMAIN-CONTAINING PROTEIN 2A', 189899),
(246174, 'PTHR35734', NULL, NULL, NULL, NULL, 'OS01G0805200 PROTEIN', 189900),
(246175, 'PTHR16057:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LINES HOMOLOG 1', 189901),
(246176, 'PTHR48060:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 189902),
(246177, 'PTHR11206:SF310', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 189903),
(246178, 'PTHR33429:SF7', NULL, NULL, NULL, NULL, 'OS02G0708000 PROTEIN', 189904),
(246179, 'PTHR21068:SF32', NULL, NULL, NULL, NULL, 'SENESCENCE/SPARTIN-ASSOCIATED-RELATED', 189905),
(246180, 'PTHR11820:SF109', NULL, NULL, NULL, NULL, 'BNAC03G73960D PROTEIN', 189906),
(246181, 'PTHR21640:SF1', NULL, NULL, NULL, NULL, 'NESPRIN-4', 189907),
(246182, 'PTHR11008:SF18', NULL, NULL, NULL, NULL, 'BCDNA.GH05536-RELATED', 189908),
(246183, 'PTHR19143:SF327', NULL, NULL, NULL, NULL, 'ZGC:194887', 189909),
(246184, 'PTHR23257:SF700', NULL, NULL, NULL, NULL, 'FI16976P1-RELATED', 189910),
(246185, 'PTHR10179:SF82', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 3', 189911),
(246186, 'PTHR23521:SF2', NULL, NULL, NULL, NULL, 'TRANSPORTER MFS SUPERFAMILY', 189912),
(246187, 'PTHR30540:SF17', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 24', 189913),
(246188, 'PTHR31731:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189914),
(246189, 'PTHR31734:SF160', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 189915),
(246190, 'PTHR14326:SF9', NULL, NULL, NULL, NULL, 'PROTEIN TPX2-RELATED', 189916),
(246191, 'PTHR34112:SF11', NULL, NULL, NULL, NULL, 'MUCIN-17-LIKE', 189917),
(246192, 'PTHR31985:SF188', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF016', 189918),
(246193, 'PTHR11945:SF589', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 58-RELATED', 189919),
(246194, 'PTHR31282:SF74', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 30-RELATED', 189920),
(246195, 'PTHR31218:SF276', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 189921),
(246196, 'PTHR15180:SF1', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 1', 189922),
(246197, 'PTHR35101:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189923),
(246198, 'PTHR33085:SF32', NULL, NULL, NULL, NULL, 'OS03G0236675 PROTEIN', 189924),
(246199, 'PTHR11749:SF3', NULL, NULL, NULL, NULL, 'RIBULOSE-PHOSPHATE 3-EPIMERASE', 189925),
(246200, 'PTHR43386:SF13', NULL, NULL, NULL, NULL, 'TRANSPORT SYSTEM INTEGRAL MEMBRANE PROTEIN-RELATED', 189926),
(246201, 'PTHR33479:SF16', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 189927),
(246202, 'PTHR35253:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 152', 189928),
(246203, 'PTHR31089:SF40', NULL, NULL, NULL, NULL, 'BNAC04G31720D PROTEIN', 189929),
(246204, 'PTHR31027:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR SEGREGATION PROTEIN BFR1', 189930),
(246205, 'PTHR21687:SF6', NULL, NULL, NULL, NULL, 'PLASMALEMMA VESICLE-ASSOCIATED PROTEIN B', 189931),
(246206, 'PTHR35022:SF17', NULL, NULL, NULL, NULL, 'EXTENSIN-3-LIKE', 189932),
(246207, 'PTHR11178:SF39', NULL, NULL, NULL, NULL, 'FIXATION PROTEIN, PUTATIVE, EXPRESSED-RELATED', 189933),
(246208, 'PTHR31344:SF19', NULL, NULL, NULL, NULL, 'BNAA02G36730D PROTEIN', 189934),
(246209, 'PTHR33689:SF1', NULL, NULL, NULL, NULL, 'FAS-BINDING FACTOR 1', 189935),
(246210, 'PTHR11945:SF229', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL29', 189936),
(246211, 'PTHR15349', NULL, NULL, NULL, NULL, 'ENDOTHELIAL PROTEIN C RECEPTOR', 189937),
(246212, 'PTHR10263:SF5', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 16 KDA PROTEOLIPID SUBUNIT', 189938),
(246213, 'PTHR31852:SF185', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN-RELATED-LIKE', 189939),
(246214, 'PTHR10500:SF5', NULL, NULL, NULL, NULL, 'SI:CH211-69E13.6', 189940),
(246215, 'PTHR46881', NULL, NULL, NULL, NULL, 'PALMDELPHIN', 189941);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(246216, 'PTHR24216:SF62', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN DDB_G0271356', 189942),
(246217, 'PTHR13994:SF7', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE FAMILY PROTEIN', 189943),
(246218, 'PTHR24020:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189944),
(246219, 'PTHR10210:SF89', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE C', 189945),
(246220, 'PTHR43313:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189946),
(246221, 'PTHR18898:SF2', NULL, NULL, NULL, NULL, 'NUCLEOPROTEIN TPR', 189947),
(246222, 'PTHR24243:SF213', NULL, NULL, NULL, NULL, 'NMUR (NEUROMEDIN U RECEPTOR) HOMOLOG', 189948),
(246223, 'PTHR24068:SF159', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 3', 189949),
(246224, 'PTHR45690:SF13', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 9', 189950),
(246225, 'PTHR45632:SF11', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 9', 189951),
(246226, 'PTHR11533:SF156', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM AMINOPEPTIDASE 1', 189952),
(246227, 'PTHR45693:SF56', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA2-LIKE ISOFORM X1', 189953),
(246228, 'PTHR23526', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE TRANSPORT PROTEIN-RELATED', 189954),
(246229, 'PTHR27003:SF310', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', 189955),
(246230, 'PTHR31978', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 20 HOMOLOG', 189956),
(246231, 'PTHR43806:SF35', NULL, NULL, NULL, NULL, 'SERINE PROTEINASE 1, PUTATIVE-RELATED', 189957),
(246232, 'PTHR24072:SF120', NULL, NULL, NULL, NULL, 'RHO-RELATED BTB DOMAIN-CONTAINING PROTEIN 1', 189958),
(246233, 'PTHR32266:SF25', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE 4-RELATED', 189959),
(246234, 'PTHR31639:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189960),
(246235, 'PTHR24147:SF53', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 36-RELATED', 189961),
(246236, 'PTHR45752:SF114', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', 189962),
(246237, 'PTHR11260:SF515', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189963),
(246238, 'PTHR14897:SF10', NULL, NULL, NULL, NULL, 'WD REPEAT AND COILED-COIL-CONTAINING PROTEIN', 189964),
(246239, 'PTHR13683:SF810', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', 189965),
(246240, 'PTHR10252:SF116', NULL, NULL, NULL, NULL, 'BNAA06G16420D PROTEIN', 189966),
(246241, 'PTHR36366', NULL, NULL, NULL, NULL, 'PROTEIN RDM1', 189967),
(246242, 'PTHR45966:SF1', NULL, NULL, NULL, NULL, 'F15I1.5-RELATED', 189968),
(246243, 'PTHR33676:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189969),
(246244, 'PTHR31752:SF54', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 4', 189970),
(246245, 'PTHR31326', NULL, NULL, NULL, NULL, 'PROTEIN CLT2, CHLOROPLASTIC', 189971),
(246246, 'PTHR28286:SF2', NULL, NULL, NULL, NULL, 'BACTERIORHODOPSIN /OPSIN, NOPA (EUROFUNG)-RELATED', 189972),
(246247, 'PTHR47291', NULL, NULL, NULL, NULL, 'PEPTIDE UPSTREAM PROTEIN', 189973),
(246248, 'PTHR42893:SF39', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 189974),
(246249, 'PTHR39399', NULL, NULL, NULL, NULL, 'PROTEIN ZPS1', 189975),
(246250, 'PTHR13678:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189976),
(246251, 'PTHR46151:SF12', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', 189977),
(246252, 'PTHR31683:SF81', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 189978),
(246253, 'PTHR34156:SF11', NULL, NULL, NULL, NULL, 'LIPOPROTEIN BSMA', 189979),
(246254, 'PTHR12272', NULL, NULL, NULL, NULL, 'DEADENYLATION COMPLEX SUBUNIT PAN3', 189980),
(246255, 'PTHR21646:SF35', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASES FAMILY 2', 189981),
(246256, 'PTHR35509:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189982),
(246257, 'PTHR34963:SF4', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PSB28 PROTEIN', 189983),
(246258, 'PTHR17125:SF2', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 1', 189984),
(246259, 'PTHR33800:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189985);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(246260, 'PTHR43047:SF44', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 189986),
(246261, 'PTHR11588:SF55', NULL, NULL, NULL, NULL, 'TUBULIN BETA-8 CHAIN', 189987),
(246262, 'PTHR46675:SF1', NULL, NULL, NULL, NULL, 'ZGC:165481', 189988),
(246263, 'PTHR14136:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189989),
(246264, 'PTHR24242:SF354', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 189990),
(246265, 'PTHR12080:SF92', NULL, NULL, NULL, NULL, 'SLAM FAMILY MEMBER 8', 189991),
(246266, 'PTHR14030:SF15', NULL, NULL, NULL, NULL, 'MITOTIC CHECKPOINT SERINE/THREONINE-PROTEIN KINASE BUB1 BETA', 189992),
(246267, 'PTHR35294:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED/TRANSLATION ELONGATION FACTOR EF1B PROTEIN', 189993),
(246268, 'PTHR10957', NULL, NULL, NULL, NULL, 'RAP1 GTPASE-GDP DISSOCIATION STIMULATOR 1', 189994),
(246269, 'PTHR34538:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189995),
(246270, 'PTHR46386:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR BODY PROTEIN SP140-LIKE PROTEIN', 189996),
(246271, 'PTHR31008:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 189997),
(246272, 'PTHR11863:SF151', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 1-LIKE', 189998),
(246273, 'PTHR48004:SF17', NULL, NULL, NULL, NULL, 'OS01G0149700 PROTEIN', 189999),
(246274, 'PTHR43243:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190000),
(246275, 'PTHR22765:SF286', NULL, NULL, NULL, NULL, 'OS11G0582100 PROTEIN', 190001),
(246276, 'PTHR44329:SF22', NULL, NULL, NULL, NULL, 'RAF PROTO-ONCOGENE SERINE/THREONINE-PROTEIN KINASE', 190002),
(246277, 'PTHR43795:SF40', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE-LIKE PROTEIN 1', 190003),
(246278, 'PTHR31221:SF195', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 81', 190004),
(246279, 'PTHR48055', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1', 190005),
(246280, 'PTHR42840:SF10', NULL, NULL, NULL, NULL, 'BINDING ROSSMANN FOLD OXIDOREDUCTASE, PUTATIVE-RELATED', 190006),
(246281, 'PTHR11952:SF4', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLHEXOSAMINE PYROPHOSPHORYLASE', 190007),
(246282, 'PTHR46054', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT PROTEIN STAUFEN', 190008),
(246283, 'PTHR46038:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190009),
(246284, 'PTHR12652:SF23', NULL, NULL, NULL, NULL, 'MICROBODY (PEROXISOME) PROLIFERATION PROTEIN PEROXIN 11B (EUROFUNG)-RELATED', 190010),
(246285, 'PTHR12391:SF3', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 3', 190011),
(246286, 'PTHR10108:SF1138', NULL, NULL, NULL, NULL, 'BNAA08G27890D PROTEIN', 190012),
(246287, 'PTHR24303:SF32', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 513C1-RELATED', 190013),
(246288, 'PTHR24394:SF22', NULL, NULL, NULL, NULL, 'HYPERMETHYLATED IN CANCER 2 PROTEIN', 190014),
(246289, 'PTHR15464', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 19', 190015),
(246290, 'PTHR32227:SF333', NULL, NULL, NULL, NULL, 'BNAC08G26260D PROTEIN', 190016),
(246291, 'PTHR31471:SF47', NULL, NULL, NULL, NULL, 'REMORIN 4.1', 190017),
(246292, 'PTHR45649:SF8', NULL, NULL, NULL, NULL, 'PERMEASE, PUTATIVE-RELATED', 190018),
(246293, 'PTHR39427:SF1', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCITOL/SORBITOL-SPECIFIC EIIB COMPONENT', 190019),
(246294, 'PTHR23201:SF75', NULL, NULL, NULL, NULL, 'SNAKIN-2-LIKE', 190020),
(246295, 'PTHR14224:SF94', NULL, NULL, NULL, NULL, 'RIKEN CDNA A430089I19 GENE-RELATED', 190021),
(246296, 'PTHR39232', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 50', 190022),
(246297, 'PTHR31282:SF110', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING TRANSCRIPTION FACTOR 70', 190023),
(246298, 'PTHR47678', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 31', 190024),
(246299, 'PTHR31429:SF71', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', 190025),
(246300, 'PTHR27002:SF609', NULL, NULL, NULL, NULL, 'LECTIN PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 190026),
(246301, 'PTHR31506:SF28', NULL, NULL, NULL, NULL, 'BZR1-LIKE PROTEIN-RELATED', 190027),
(246302, 'PTHR13117', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM MULTISPAN TRANSMEMBRANE PROTEIN-RELATED', 190028);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(246303, 'PTHR24414:SF108', NULL, NULL, NULL, NULL, 'BNAA01G36490D PROTEIN', 190029),
(246304, 'PTHR24353:SF117', NULL, NULL, NULL, NULL, 'UT01108P-RELATED', 190030),
(246305, 'PTHR24071:SF0', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN', 190031),
(246306, 'PTHR48007:SF40', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 4', 190032),
(246307, 'PTHR30177', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE/L-PROLINE TRANSPORT SYSTEM PERMEASE PROTEIN PROW', 190033),
(246308, 'PTHR15629:SF8', NULL, NULL, NULL, NULL, 'DUF500 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G07310)', 190034),
(246309, 'PTHR10504:SF137', NULL, NULL, NULL, NULL, 'PROTEIN CBG03384', 190035),
(246310, 'PTHR10188:SF35', NULL, NULL, NULL, NULL, 'SI:DKEY-103J14.5', 190036),
(246311, 'PTHR13636:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 258-LIKE', 190037),
(246312, 'PTHR33702:SF4', NULL, NULL, NULL, NULL, 'OS01G0644900 PROTEIN', 190038),
(246313, 'PTHR10857:SF22', NULL, NULL, NULL, NULL, 'COPINE-3', 190039),
(246314, 'PTHR11062:SF200', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX10L-RELATED', 190040),
(246315, 'PTHR45819:SF2', NULL, NULL, NULL, NULL, 'ARF-GAP WITH GTPASE, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 3', 190041),
(246316, 'PTHR34291:SF15', NULL, NULL, NULL, NULL, 'BNAA09G07150D PROTEIN', 190042),
(246317, 'PTHR24139', NULL, NULL, NULL, NULL, 'CALCIUM-INDEPENDENT PHOSPHOLIPASE A2', 190043),
(246318, 'PTHR11722:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', 190044),
(246319, 'PTHR33968:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PET100 HOMOLOG, MITOCHONDRIAL', 190045),
(246320, 'PTHR30386:SF17', NULL, NULL, NULL, NULL, 'ALKALINE PROTEASE SECRETION PROTEIN APRE', 190046),
(246321, 'PTHR12191:SF2', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP8', 190047),
(246322, 'PTHR21736:SF37', NULL, NULL, NULL, NULL, 'PROTEIN OBERON 2', 190048),
(246323, 'PTHR12708:SF0', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON SUBUNIT 2', 190049),
(246324, 'PTHR13208', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 4', 190050),
(246325, 'PTHR33091:SF34', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR I-B', 190051),
(246326, 'PTHR47998:SF22', NULL, NULL, NULL, NULL, 'AND CPC, PUTATIVE-RELATED', 190052),
(246327, 'PTHR46192:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN AT74', 190053),
(246328, 'PTHR43854', NULL, NULL, NULL, NULL, 'INDOLEPYRUVATE OXIDOREDUCTASE SUBUNIT IORB', 190054),
(246329, 'PTHR45763:SF15', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 190055),
(246330, 'PTHR23244:SF454', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190056),
(246331, 'PTHR31044:SF100', NULL, NULL, NULL, NULL, 'BNAC02G42010D PROTEIN', 190057),
(246332, 'PTHR31828:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1', 190058),
(246333, 'PTHR11014:SF150', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1', 190059),
(246334, 'PTHR14155:SF263', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL6', 190060),
(246335, 'PTHR30457:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190061),
(246336, 'PTHR11081:SF55', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE 1', 190062),
(246337, 'PTHR38682', NULL, NULL, NULL, NULL, 'V-TYPE ATP SYNTHASE SUBUNIT C', 190063),
(246338, 'PTHR31404', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GENOME MAINTENANCE PROTEIN MGM101', 190064),
(246339, 'PTHR31636:SF248', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', 190065),
(246340, 'PTHR13270:SF11', NULL, NULL, NULL, NULL, 'SEX DETERMINATION AND DOSAGE COMPENSATION PROTEIN SDC-2', 190066),
(246341, 'PTHR47487:SF3', NULL, NULL, NULL, NULL, 'GLUTENIN, HIGH MOLECULAR WEIGHT SUBUNIT 12-LIKE', 190067),
(246342, 'PTHR42760:SF5', NULL, NULL, NULL, NULL, 'SORBOSE REDUCTASE SOU1', 190068),
(246343, 'PTHR34936:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190069),
(246344, 'PTHR23201:SF109', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 6', 190070),
(246345, 'PTHR23155:SF1108', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', 190071);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(246346, 'PTHR18868:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190072),
(246347, 'PTHR33165:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190073),
(246348, 'PTHR33044', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', 190074),
(246349, 'PTHR28158', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S35, MITOCHONDRIAL', 190075),
(246350, 'PTHR33146:SF16', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 3', 190076),
(246351, 'PTHR32166:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190077),
(246352, 'PTHR31415:SF89', NULL, NULL, NULL, NULL, 'PROTEIN NDR1-LIKE', 190078),
(246353, 'PTHR31251:SF95', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 10-RELATED', 190079),
(246354, 'PTHR24060:SF143', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, METABOTROPIC 2B', 190080),
(246355, 'PTHR12268:SF24', NULL, NULL, NULL, NULL, 'UTROPHIN', 190081),
(246356, 'PTHR24073:SF852', NULL, NULL, NULL, NULL, 'RAB5B, MEMBER RAS ONCOGENE FAMILY', 190082),
(246357, 'PTHR24023:SF910', NULL, NULL, NULL, NULL, 'COLLECTIN-12', 190083),
(246358, 'PTHR30532:SF2', NULL, NULL, NULL, NULL, 'FERRIENTEROBACTIN-BINDING PERIPLASMIC PROTEIN', 190084),
(246359, 'PTHR33175', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN HU', 190085),
(246360, 'PTHR32077:SF33', NULL, NULL, NULL, NULL, 'OS05G0563550 PROTEIN', 190086),
(246361, 'PTHR23333:SF16', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 2A', 190087),
(246362, 'PTHR38329:SF1', NULL, NULL, NULL, NULL, 'CECROPIN-A1-RELATED', 190088),
(246363, 'PTHR18953:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190089),
(246364, 'PTHR46547:SF17', NULL, NULL, NULL, NULL, 'BNACNNG44070D PROTEIN', 190090),
(246365, 'PTHR31352:SF39', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', 190091),
(246366, 'PTHR43866:SF6', NULL, NULL, NULL, NULL, 'METHYLMALONATE-SEMIALDEHYDE DEHYDROGENASE [ACYLATING], MITOCHONDRIAL-LIKE ISOFORM X1', 190092),
(246367, 'PTHR45908', NULL, NULL, NULL, NULL, 'PROTEIN CBG11750-RELATED', 190093),
(246368, 'PTHR13455', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR P66-RELATED', 190094),
(246369, 'PTHR34467:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190095),
(246370, 'PTHR35111:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 190096),
(246371, 'PTHR10811:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190097),
(246372, 'PTHR11332:SF5', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 1D MEMBER 1', 190098),
(246373, 'PTHR15535:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190099),
(246374, 'PTHR40943:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190100),
(246375, 'PTHR11909:SF407', NULL, NULL, NULL, NULL, 'BNAA02G04010D PROTEIN', 190101),
(246376, 'PTHR35546:SF74', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', 190102),
(246377, 'PTHR46166:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C8', 190103),
(246378, 'PTHR46128:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190104),
(246379, 'PTHR18953:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190105),
(246380, 'PTHR24096:SF352', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 1', 190106),
(246381, 'PTHR35463:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 190107),
(246382, 'PTHR19282:SF232', NULL, NULL, NULL, NULL, 'TETRASPANIN FAMILY-RELATED', 190108),
(246383, 'PTHR21261:SF15', NULL, NULL, NULL, NULL, 'BEAT-IIIA, ISOFORM D-RELATED', 190109),
(246384, 'PTHR47990:SF51', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 1-LIKE', 190110),
(246385, 'PTHR47079:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING PROTEIN-LIKE', 190111),
(246386, 'PTHR11017:SF319', NULL, NULL, NULL, NULL, 'BNAA02G24520D PROTEIN', 190112),
(246387, 'PTHR13265', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 1', 190113),
(246388, 'PTHR33304:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN, PUTATIVE-RELATED', 190114),
(246389, 'PTHR10395', NULL, NULL, NULL, NULL, 'URICASE AND TRANSTHYRETIN-RELATED', 190115),
(246390, 'PTHR46852:SF5', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE', 190116);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(246391, 'PTHR31662:SF50', NULL, NULL, NULL, NULL, 'TYROSINE SPECIFIC PROTEIN PHOSPHATASE-LIKE', 190117),
(246392, 'PTHR24124:SF6', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', 190118),
(246393, 'PTHR15712:SF23', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING 10', 190119),
(246394, 'PTHR23266:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190120),
(246395, 'PTHR11954:SF39', NULL, NULL, NULL, NULL, 'D-DOPACHROME DECARBOXYLASE-LIKE PROTEIN', 190121),
(246396, 'PTHR11711:SF370', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN SIMILAR TO VERTEBRATE ADP-RIBOSYLATION FACTOR 4 (ARF4) (ZGC:77650)', 190122),
(246397, 'PTHR11945:SF611', NULL, NULL, NULL, NULL, 'OS09G0116000 PROTEIN', 190123),
(246398, 'PTHR48201:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190124),
(246399, 'PTHR46454:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190125),
(246400, 'PTHR27009:SF186', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 190126),
(246401, 'PTHR11932:SF66', NULL, NULL, NULL, NULL, 'CULLIN-4B', 190127),
(246402, 'PTHR35667', NULL, NULL, NULL, NULL, 'LEUKEMIA NUP98 FUSION PARTNER 1', 190128),
(246403, 'PTHR11739:SF23', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE 2-RELATED', 190129),
(246404, 'PTHR33565:SF16', NULL, NULL, NULL, NULL, 'AUXIN-REPRESSED 12.5 KDA PROTEIN-LIKE', 190130),
(246405, 'PTHR31325:SF159', NULL, NULL, NULL, NULL, 'OSJNBB0045P24.5-LIKE PROTEIN', 190131),
(246406, 'PTHR47926:SF260', NULL, NULL, NULL, NULL, 'BNAC03G63100D PROTEIN', 190132),
(246407, 'PTHR33492:SF10', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASR3-LIKE', 190133),
(246408, 'PTHR32409:SF10', NULL, NULL, NULL, NULL, 'BNAC03G57640D PROTEIN', 190134),
(246409, 'PTHR47926:SF205', NULL, NULL, NULL, NULL, 'BNAC09G18050D PROTEIN', 190135),
(246410, 'PTHR19871:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190136),
(246411, 'PTHR48018:SF138', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 974', 190137),
(246412, 'PTHR46006:SF4', NULL, NULL, NULL, NULL, 'NEUROEPITHELIAL CELL-TRANSFORMING GENE 1 PROTEIN', 190138),
(246413, 'PTHR45138:SF18', NULL, NULL, NULL, NULL, 'BLL1362 PROTEIN', 190139),
(246414, 'PTHR48048:SF37', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71B1', 190140),
(246415, 'PTHR47027:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190141),
(246416, 'PTHR10649:SF9', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR', 190142),
(246417, 'PTHR11758:SF39', NULL, NULL, NULL, NULL, 'OS02G0478600 PROTEIN', 190143),
(246418, 'PTHR32263:SF19', NULL, NULL, NULL, NULL, 'OS03G0230300 PROTEIN', 190144),
(246419, 'PTHR10245:SF114', NULL, NULL, NULL, NULL, 'MULTIPROTEIN-BRIDGING FACTOR 1A', 190145),
(246420, 'PTHR47926:SF42', NULL, NULL, NULL, NULL, 'OSJNBB0004A17.12 PROTEIN', 190146),
(246421, 'PTHR28601', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 24', 190147),
(246422, 'PTHR19375:SF459', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 7-RELATED', 190148),
(246423, 'PTHR10536:SF0', NULL, NULL, NULL, NULL, 'DNA PRIMASE SMALL SUBUNIT', 190149),
(246424, 'PTHR22835:SF504', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190150),
(246425, 'PTHR12224:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190151),
(246426, 'PTHR33416:SF26', NULL, NULL, NULL, NULL, 'OS02G0177400 PROTEIN', 190152),
(246427, 'PTHR47958:SF66', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 40', 190153),
(246428, 'PTHR10003:SF87', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN]', 190154),
(246429, 'PTHR13268:SF0', NULL, NULL, NULL, NULL, 'BREAST CARCINOMA-AMPLIFIED SEQUENCE 3', 190155),
(246430, 'PTHR28564', NULL, NULL, NULL, NULL, 'STANNIN', 190156),
(246431, 'PTHR47222', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 532-RELATED', 190157),
(246432, 'PTHR10579:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190158),
(246433, 'PTHR27002:SF347', NULL, NULL, NULL, NULL, 'OS07G0537000 PROTEIN', 190159),
(246434, 'PTHR18902:SF27', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 164 KDA', 190160),
(246435, 'PTHR31867:SF195', NULL, NULL, NULL, NULL, 'EXPANSIN', 190161);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(246436, 'PTHR10133:SF27', NULL, NULL, NULL, NULL, 'DNA POLYMERASE THETA', 190162),
(246437, 'PTHR10278:SF0', NULL, NULL, NULL, NULL, 'CORTICOTROPIN-RELEASING FACTOR-BINDING PROTEIN', 190163),
(246438, 'PTHR33070:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190164),
(246439, 'PTHR47212:SF2', NULL, NULL, NULL, NULL, 'DUF3741 FAMILY PROTEIN', 190165),
(246440, 'PTHR24248:SF25', NULL, NULL, NULL, NULL, 'ALPHA-2C ADRENERGIC RECEPTOR', 190166),
(246441, 'PTHR47926:SF235', NULL, NULL, NULL, NULL, 'OS05G0212100 PROTEIN', 190167),
(246442, 'PTHR33191:SF18', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 6-RELATED', 190168),
(246443, 'PTHR16453:SF9', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN MIOS', 190169),
(246444, 'PTHR35761:SF1', NULL, NULL, NULL, NULL, 'ATR INTERACTING PROTEIN', 190170),
(246445, 'PTHR13134:SF3', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 13', 190171),
(246446, 'PTHR10782:SF4', NULL, NULL, NULL, NULL, 'TONALLI, ISOFORM B', 190172),
(246447, 'PTHR31627:SF36', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', 190173),
(246448, 'PTHR43685:SF3', NULL, NULL, NULL, NULL, 'SLR2126 PROTEIN', 190174),
(246449, 'PTHR35366', NULL, NULL, NULL, NULL, 'PROTEIN CBG18620', 190175),
(246450, 'PTHR30055:SF153', NULL, NULL, NULL, NULL, 'TETR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 190176),
(246451, 'PTHR11524', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7', 190177),
(246452, 'PTHR11709:SF383', NULL, NULL, NULL, NULL, 'LACCASE-12', 190178),
(246453, 'PTHR46347:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190179),
(246454, 'PTHR15241:SF350', NULL, NULL, NULL, NULL, 'ZGC:165603', 190180),
(246455, 'PTHR23050:SF421', NULL, NULL, NULL, NULL, 'BNAA06G12660D PROTEIN', 190181),
(246456, 'PTHR43391:SF59', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE 1B-LIKE ISOFORM X1', 190182),
(246457, 'PTHR12483:SF85', NULL, NULL, NULL, NULL, 'CTR FAMILY COPPER TRANSPORTER', 190183),
(246458, 'PTHR24637:SF251', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 90-RELATED', 190184),
(246459, 'PTHR31515:SF7', NULL, NULL, NULL, NULL, 'BNAC01G21930D PROTEIN', 190185),
(246460, 'PTHR20852:SF86', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE CYTOSOLIC ISOZYME 1-3', 190186),
(246461, 'PTHR34493:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG02471', 190187),
(246462, 'PTHR38602:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', 190188),
(246463, 'PTHR14155:SF490', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190189),
(246464, 'PTHR32141:SF65', NULL, NULL, NULL, NULL, 'OS09G0516450 PROTEIN', 190190),
(246465, 'PTHR21357', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 190191),
(246466, 'PTHR36733:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190192),
(246467, 'PTHR24074:SF40', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN 1', 190193),
(246468, 'PTHR31561:SF90', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 15', 190194),
(246469, 'PTHR42767', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,6-GALACTANASE', 190195),
(246470, 'PTHR22914:SF42', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 1', 190196),
(246471, 'PTHR37908:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 190197),
(246472, 'PTHR37389:SF22', NULL, NULL, NULL, NULL, 'OS02G0587800 PROTEIN', 190198),
(246473, 'PTHR31165:SF15', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE5', 190199),
(246474, 'PTHR18884:SF24', NULL, NULL, NULL, NULL, 'SPORULATION-REGULATED PROTEIN 3', 190200),
(246475, 'PTHR10585:SF62', NULL, NULL, NULL, NULL, 'LUMEN PROTEIN RETAINING RECEPTOR 1, PUTATIVE-RELATED', 190201),
(246476, 'PTHR33964:SF8', NULL, NULL, NULL, NULL, 'RE45066P', 190202),
(246477, 'PTHR13126', NULL, NULL, NULL, NULL, 'CHAPERONE ATP11', 190203),
(246478, 'PTHR19359:SF105', NULL, NULL, NULL, NULL, 'CYTOCHROME B5', 190204),
(246479, 'PTHR48025:SF6', NULL, NULL, NULL, NULL, 'CHLOROPLAST, PUTATIVE-RELATED', 190205),
(246480, 'PTHR31943:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190206),
(246481, 'PTHR33403:SF19', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1-LIKE 5', 190207),
(246482, 'PTHR11143', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L26 FAMILY MEMBER', 190208);
INSERT INTO "PUBLIC"."MODEL" VALUES
(246483, 'PTHR47746:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190209),
(246484, 'PTHR26452:SF220', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 190210),
(246485, 'PTHR43002', NULL, NULL, NULL, NULL, 'GLYCOGEN DEBRANCHING ENZYME', 190211),
(246486, 'PTHR33272:SF2', NULL, NULL, NULL, NULL, 'DAF-16/FOXO CONTROLLED, GERMLINE TUMOR AFFECTING', 190212),
(246487, 'PTHR41368:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YGHO', 190213),
(246488, 'PTHR24241:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190214),
(246489, 'PTHR31623:SF49', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', 190215),
(246490, 'PTHR31190:SF246', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 13', 190216),
(246491, 'PTHR30580:SF0', NULL, NULL, NULL, NULL, 'PRIMOSOMAL PROTEIN N''', 190217),
(246492, 'PTHR23430:SF303', NULL, NULL, NULL, NULL, 'HISTONE H2AX', 190218),
(246493, 'PTHR12411:SF699', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC PROTEIN ASY1', 190219),
(246494, 'PTHR46582', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 18', 190220),
(246495, 'PTHR46977:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FREE1-LIKE', 190221),
(246496, 'PTHR11384:SF24', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY D MEMBER 2', 190222),
(246497, 'PTHR31369', NULL, NULL, NULL, NULL, 'PROTEIN CBG02325-RELATED', 190223),
(246498, 'PTHR11850:SF307', NULL, NULL, NULL, NULL, 'BNAA10G27410D PROTEIN', 190224),
(246499, 'PTHR31165:SF68', NULL, NULL, NULL, NULL, 'BNACNNG37250D PROTEIN', 190225),
(246500, 'PTHR42905:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE FAMILY PROTEIN', 190226),
(246501, 'PTHR24128:SF56', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', 190227),
(246502, 'PTHR45708:SF25', NULL, NULL, NULL, NULL, 'OS01G0691000 PROTEIN', 190228),
(246503, 'PTHR47969:SF11', NULL, NULL, NULL, NULL, 'BNAC02G41890D PROTEIN', 190229),
(246504, 'PTHR24056:SF483', NULL, NULL, NULL, NULL, 'BNAC03G16360D PROTEIN', 190230),
(246505, 'PTHR22298:SF154', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 190231),
(246506, 'PTHR22762:SF95', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE', 190232),
(246507, 'PTHR45987', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L12', 190233),
(246508, 'PTHR24225', NULL, NULL, NULL, NULL, 'CHEMOTACTIC RECEPTOR', 190234),
(246509, 'PTHR46323', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', 190235),
(246510, 'PTHR31190:SF258', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', 190236),
(246511, 'PTHR33782:SF13', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT', 190237),
(246512, 'PTHR33784:SF13', NULL, NULL, NULL, NULL, 'BNAA05G34450D PROTEIN', 190238),
(246513, 'PTHR39948', NULL, NULL, NULL, NULL, 'GEO11419P1', 190239),
(246514, 'PTHR13800:SF36', NULL, NULL, NULL, NULL, 'TRP-CHANNEL-LIKE', 190240),
(246515, 'PTHR23266:SF328', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION 36-60', 190241),
(246516, 'PTHR18952:SF137', NULL, NULL, NULL, NULL, 'CAIX-RELATED', 190242),
(246517, 'PTHR33130:SF2', NULL, NULL, NULL, NULL, 'OS01G0689000 PROTEIN', 190243),
(246518, 'PTHR11726:SF36', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10', 190244),
(246519, 'PTHR45760:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', 190245),
(246520, 'PTHR38324:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 158', 190246),
(246521, 'PTHR46948', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P38', 190247),
(246522, 'PTHR46388', NULL, NULL, NULL, NULL, 'NHL REPEAT-CONTAINING PROTEIN 2', 190248),
(246523, 'PTHR46071', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND BTB/POZ DOMAIN-CONTAINING', 190249),
(246524, 'PTHR11909:SF326', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 9', 190250),
(246525, 'PTHR13257:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP88', 190251),
(246526, 'PTHR13809:SF21', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-4', 190252),
(246527, 'PTHR47968:SF6', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7O', 190253);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(246528, 'PTHR22811:SF175', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY/GOLD FAMILY PROTEIN-RELATED', 190254),
(246529, 'PTHR27003:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190255),
(246530, 'PTHR13388:SF25', NULL, NULL, NULL, NULL, 'SI:DKEY-112M2.1', 190256),
(246531, 'PTHR24072:SF136', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 42 HOMOLOG', 190257),
(246532, 'PTHR12815:SF45', NULL, NULL, NULL, NULL, 'BNAA10G12290D PROTEIN', 190258),
(246533, 'PTHR13140:SF798', NULL, NULL, NULL, NULL, 'BNAA10G07360D PROTEIN', 190259),
(246534, 'PTHR39476:SF1', NULL, NULL, NULL, NULL, 'NADH:UBIQUINONE OXIDOREDUCTASE 6.6KD SUBUNIT', 190260),
(246535, 'PTHR21505', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 190261),
(246536, 'PTHR32080:SF3', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 7', 190262),
(246537, 'PTHR35303:SF5', NULL, NULL, NULL, NULL, 'OS02G0197800 PROTEIN', 190263),
(246538, 'PTHR46046:SF4', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 190264),
(246539, 'PTHR23023:SF154', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING] 1', 190265),
(246540, 'PTHR45675:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB48', 190266),
(246541, 'PTHR27001:SF833', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190267),
(246542, 'PTHR32044:SF94', NULL, NULL, NULL, NULL, 'BNAA03G51630D PROTEIN', 190268),
(246543, 'PTHR34452:SF12', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', 190269),
(246544, 'PTHR31147:SF35', NULL, NULL, NULL, NULL, 'SPERMIDINE SINAPOYL-COA ACYLTRANSFERASE', 190270),
(246545, 'PTHR46931:SF4', NULL, NULL, NULL, NULL, 'OS06G0606401 PROTEIN', 190271),
(246546, 'PTHR33451:SF3', NULL, NULL, NULL, NULL, 'MALATE-2H(+)/NA(+)-LACTATE ANTIPORTER', 190272),
(246547, 'PTHR47928:SF74', NULL, NULL, NULL, NULL, 'OS08G0494350 PROTEIN', 190273),
(246548, 'PTHR47713:SF2', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', 190274),
(246549, 'PTHR46327:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190275),
(246550, 'PTHR32227:SF293', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-LIKE', 190276),
(246551, 'PTHR24300:SF316', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 519D1-RELATED', 190277),
(246552, 'PTHR37834', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G00620)', 190278),
(246553, 'PTHR23326:SF23', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX, SUBUNIT 3B', 190279),
(246554, 'PTHR45898:SF3', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 5', 190280),
(246555, 'PTHR11879:SF52', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, CYTOPLASMIC ISOZYME 1', 190281),
(246556, 'PTHR10707', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT IV', 190282),
(246557, 'PTHR31561:SF155', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 190283),
(246558, 'PTHR40712', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 153 MEMBER C-RELATED', 190284),
(246559, 'PTHR27008:SF428', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', 190285),
(246560, 'PTHR24092:SF192', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', 190286),
(246561, 'PTHR31589:SF142', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE (DUF239)-RELATED', 190287),
(246562, 'PTHR14679:SF1', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 7', 190288),
(246563, 'PTHR38109:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YCGL', 190289),
(246564, 'PTHR45979:SF17', NULL, NULL, NULL, NULL, 'POLYMERASE, NUCLEOTIDYL TRANSFERASE DOMAIN-CONTAINING PROTEIN-RELATED', 190290),
(246565, 'PTHR35741:SF1', NULL, NULL, NULL, NULL, 'FACTOR CWC22-LIKE PROTEIN, PUTATIVE (DUF3245)-RELATED', 190291),
(246566, 'PTHR32295:SF34', NULL, NULL, NULL, NULL, 'OS05G0541100 PROTEIN', 190292),
(246567, 'PTHR44329:SF14', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 13', 190293),
(246568, 'PTHR13462:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190294),
(246569, 'PTHR47950:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190295),
(246570, 'PTHR46036:SF2', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE GLX1', 190296);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(246571, 'PTHR32507:SF8', NULL, NULL, NULL, NULL, 'NA+/H+ ANTIPORTER-RELATED', 190297),
(246572, 'PTHR15592:SF35', NULL, NULL, NULL, NULL, 'POLYPYRIMIDINE TRACT-BINDING PROTEIN HOMOLOG 3', 190298),
(246573, 'PTHR40691:SF1', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', 190299),
(246574, 'PTHR31327:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG17607', 190300),
(246575, 'PTHR33800:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190301),
(246576, 'PTHR10334:SF432', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190302),
(246577, 'PTHR10328:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MAX', 190303),
(246578, 'PTHR12146:SF7', NULL, NULL, NULL, NULL, 'OS01G0962600 PROTEIN', 190304),
(246579, 'PTHR33450:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190305),
(246580, 'PTHR24291:SF155', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 301B1', 190306),
(246581, 'PTHR36842:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TOLB HOMOLOG', 190307),
(246582, 'PTHR12431:SF16', NULL, NULL, NULL, NULL, 'SORTING NEXIN-17', 190308),
(246583, 'PTHR19957:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190309),
(246584, 'PTHR24322:SF499', NULL, NULL, NULL, NULL, '17-BETA-HYDROXYSTEROID DEHYDROGENASE 13', 190310),
(246585, 'PTHR34683:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 190311),
(246586, 'PTHR11035:SF22', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE 1', 190312),
(246587, 'PTHR46781:SF4', NULL, NULL, NULL, NULL, '4-ALPHA-GALACTOSYLTRANSFERASE, PUTATIVE ISOFORM 1-RELATED', 190313),
(246588, 'PTHR43467', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-2 C(20)-METHYLTRANSFERASE', 190314),
(246589, 'PTHR35294', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED/TRANSLATION ELONGATION FACTOR EF1B PROTEIN', 190315),
(246590, 'PTHR34223:SF14', NULL, NULL, NULL, NULL, 'OS08G0150200 PROTEIN', 190316),
(246591, 'PTHR31602:SF68', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 4', 190317),
(246592, 'PTHR33476:SF24', NULL, NULL, NULL, NULL, 'PROTEIN POLAR LOCALIZATION DURING ASYMMETRIC DIVISION AND REDISTRIBUTION', 190318),
(246593, 'PTHR10438:SF415', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 190319),
(246594, 'PTHR11863:SF180', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 1-1', 190320),
(246595, 'PTHR47956:SF36', NULL, NULL, NULL, NULL, 'OS05G0424300 PROTEIN', 190321),
(246596, 'PTHR47983:SF33', NULL, NULL, NULL, NULL, 'OS01G0899000 PROTEIN', 190322),
(246597, 'PTHR10910:SF17', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-SPECIFIC EDITASE B2', 190323),
(246598, 'PTHR31973:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190324),
(246599, 'PTHR48053:SF44', NULL, NULL, NULL, NULL, 'PIRIFORMOSPORA INDICA-INSENSITIVE PROTEIN 2-LIKE', 190325),
(246600, 'PTHR31620:SF17', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 3, CHLOROPLASTIC-LIKE', 190326),
(246601, 'PTHR11054:SF20', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', 190327),
(246602, 'PTHR21055:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 36', 190328),
(246603, 'PTHR46087:SF13', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN-RELATED', 190329),
(246604, 'PTHR24093:SF463', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 190330),
(246605, 'PTHR13935:SF129', NULL, NULL, NULL, NULL, 'BNAC04G47550D PROTEIN', 190331),
(246606, 'PTHR37001:SF5', NULL, NULL, NULL, NULL, 'PHOSPHORYN, PUTATIVE-RELATED', 190332),
(246607, 'PTHR13018:SF53', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', 190333),
(246608, 'PTHR42773:SF1', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE FAMILY PROTEIN', 190334),
(246609, 'PTHR12393:SF7', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE 2', 190335),
(246610, 'PTHR31485:SF25', NULL, NULL, NULL, NULL, 'PEPTIDYL SERINE ALPHA-GALACTOSYLTRANSFERASE', 190336),
(246611, 'PTHR31945:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH35-LIKE PROTEIN', 190337),
(246612, 'PTHR31662', NULL, NULL, NULL, NULL, 'BNAANNG10740D PROTEIN-RELATED', 190338),
(246613, 'PTHR33969', NULL, NULL, NULL, NULL, 'SEGREGATION AND CONDENSATION PROTEIN A', 190339);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(246614, 'PTHR44169:SF3', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE', 190340),
(246615, 'PTHR43349:SF61', NULL, NULL, NULL, NULL, 'BNAC09G18390D PROTEIN', 190341),
(246616, 'PTHR33069:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', 190342),
(246617, 'PTHR31989:SF381', NULL, NULL, NULL, NULL, 'NAC (NO APICAL MERISTEM) DOMAIN TRANSCRIPTIONAL REGULATOR SUPERFAMILY PROTEIN-RELATED', 190343),
(246618, 'PTHR30575:SF3', NULL, NULL, NULL, NULL, 'P-AMINOBENZOYL-GLUTAMATE HYDROLASE SUBUNIT A', 190344),
(246619, 'PTHR31589:SF80', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PEPTIDASE', 190345),
(246620, 'PTHR12064:SF27', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER CNNM3', 190346),
(246621, 'PTHR23500:SF542', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190347),
(246622, 'PTHR24359', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SBK1', 190348),
(246623, 'PTHR10015:SF140', NULL, NULL, NULL, NULL, 'HEAT SHOCK TRANSCRIPTION FACTOR, X-LINKED MEMBER 3-RELATED', 190349),
(246624, 'PTHR48021:SF16', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 13-RELATED', 190350),
(246625, 'PTHR13318:SF184', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 190351),
(246626, 'PTHR31945:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190352),
(246627, 'PTHR24281:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190353),
(246628, 'PTHR23421:SF151', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 6', 190354),
(246629, 'PTHR15296:SF2', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 24', 190355),
(246630, 'PTHR23036:SF161', NULL, NULL, NULL, NULL, 'DOMELESS', 190356),
(246631, 'PTHR38140:SF3', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 19-8', 190357),
(246632, 'PTHR43903:SF2', NULL, NULL, NULL, NULL, 'NEUROLIGIN-1', 190358),
(246633, 'PTHR24298:SF825', NULL, NULL, NULL, NULL, 'OS01G0350200 PROTEIN', 190359),
(246634, 'PTHR31025:SF15', NULL, NULL, NULL, NULL, 'SI:CH211-193K19.2-RELATED', 190360),
(246635, 'PTHR16236', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 160', 190361),
(246636, 'PTHR36725:SF1', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN AAF, CHLOROLPLASTIC', 190362),
(246637, 'PTHR21503:SF8', NULL, NULL, NULL, NULL, 'SKN-1 DEPENDENT ZYGOTIC TRANSCRIPT', 190363),
(246638, 'PTHR14972:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAM117B', 190364),
(246639, 'PTHR45635:SF18', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1, MITOCHONDRIAL-RELATED', 190365),
(246640, 'PTHR45780:SF11', NULL, NULL, NULL, NULL, 'ROSSMANN-LIKE ALPHA/BETA/ALPHA SANDWICH FOLD PROTEIN-RELATED', 190366),
(246641, 'PTHR22937:SF141', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN, 69105-67310-RELATED', 190367),
(246642, 'PTHR31118:SF27', NULL, NULL, NULL, NULL, 'CYCLASE-LIKE PROTEIN 1', 190368),
(246643, 'PTHR30383:SF5', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03170)-RELATED', 190369),
(246644, 'PTHR45944:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HIVEP3', 190370),
(246645, 'PTHR31395:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-LIKE-2B', 190371),
(246646, 'PTHR23505:SF13', NULL, NULL, NULL, NULL, 'PROTEIN SPINSTER HOMOLOG 1', 190372),
(246647, 'PTHR23501:SF50', NULL, NULL, NULL, NULL, 'MFS SIDEROCHROME IRON TRANSPORTER MIRB (AFU_ORTHOLOGUE AFUA_3G03640)-RELATED', 190373),
(246648, 'PTHR46168:SF12', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 4-LIKE PROTEIN', 190374),
(246649, 'PTHR31676:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190375),
(246650, 'PTHR33711:SF6', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14270)-RELATED', 190376),
(246651, 'PTHR12611:SF5', NULL, NULL, NULL, NULL, 'PURINE-RICH ELEMENT-BINDING PROTEIN AB', 190377),
(246652, 'PTHR43948:SF14', NULL, NULL, NULL, NULL, 'OS07G0637100 PROTEIN', 190378),
(246653, 'PTHR35038:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE PROTEIN NRFB', 190379),
(246654, 'PTHR31509:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190380),
(246655, 'PTHR30250:SF16', NULL, NULL, NULL, NULL, 'LIPID III FLIPPASE', 190381);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(246656, 'PTHR44920:SF3', NULL, NULL, NULL, NULL, 'BNAC02G48490D PROTEIN', 190382),
(246657, 'PTHR26453:SF596', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 190383),
(246658, 'PTHR11890:SF22', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR ACCESSORY PROTEIN-LIKE 1', 190384),
(246659, 'PTHR21040:SF6', NULL, NULL, NULL, NULL, 'HEXOSAMINIDASE D', 190385),
(246660, 'PTHR11473:SF37', NULL, NULL, NULL, NULL, 'GH12537P', 190386),
(246661, 'PTHR13789:SF261', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17670)-RELATED', 190387),
(246662, 'PTHR14938:SF2', NULL, NULL, NULL, NULL, 'HCLS1-ASSOCIATED PROTEIN X-1', 190388),
(246663, 'PTHR38342', NULL, NULL, NULL, NULL, 'SLR5037 PROTEIN', 190389),
(246664, 'PTHR11945:SF408', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL8 HOMOLOG', 190390),
(246665, 'PTHR24020:SF48', NULL, NULL, NULL, NULL, 'PROTEIN CBG18899', 190391),
(246666, 'PTHR14759:SF29', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 6', 190392),
(246667, 'PTHR30239:SF17', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE SMALL SUBUNIT 2, CHLOROPLASTIC-LIKE', 190393),
(246668, 'PTHR26453:SF84', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 190394),
(246669, 'PTHR32077:SF38', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 12', 190395),
(246670, 'PTHR45988:SF33', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN AZF2', 190396),
(246671, 'PTHR11062:SF251', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE MUR3', 190397),
(246672, 'PTHR12884:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', 190398),
(246673, 'PTHR10811:SF57', NULL, NULL, NULL, NULL, 'F22L4.11 PROTEIN', 190399),
(246674, 'PTHR31874', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN, EXPRESSED', 190400),
(246675, 'PTHR13318:SF105', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 3', 190401),
(246676, 'PTHR22835:SF543', NULL, NULL, NULL, NULL, 'BNAA07G36520D PROTEIN', 190402),
(246677, 'PTHR33670:SF21', NULL, NULL, NULL, NULL, 'OS09G0539000 PROTEIN', 190403),
(246678, 'PTHR31558:SF29', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2-LIKE', 190404),
(246679, 'PTHR47222:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 687', 190405),
(246680, 'PTHR19375:SF466', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN', 190406),
(246681, 'PTHR14429:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190407),
(246682, 'PTHR43038:SF3', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY H, MEMBER 1', 190408),
(246683, 'PTHR46050:SF12', NULL, NULL, NULL, NULL, 'INACTIVE TPR REPEAT-CONTAINING THIOREDOXIN TTL3', 190409),
(246684, 'PTHR11703:SF1', NULL, NULL, NULL, NULL, 'DEOXYHYPUSINE SYNTHASE', 190410),
(246685, 'PTHR33052:SF80', NULL, NULL, NULL, NULL, 'BNAC07G31880D PROTEIN', 190411),
(246686, 'PTHR24118:SF65', NULL, NULL, NULL, NULL, 'POTE ANKYRIN DOMAIN FAMILY MEMBER B-RELATED', 190412),
(246687, 'PTHR13234:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG07974', 190413),
(246688, 'PTHR24095:SF232', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', 190414),
(246689, 'PTHR21724:SF92', NULL, NULL, NULL, NULL, 'PROTEIN CBG00624', 190415),
(246690, 'PTHR24061:SF422', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190416),
(246691, 'PTHR46103', NULL, NULL, NULL, NULL, 'RRNA METHYLTRANSFERASE 1, MITOCHONDRIAL', 190417),
(246692, 'PTHR31236:SF39', NULL, NULL, NULL, NULL, 'EMBRYONIC ABUNDANT-LIKE PROTEIN', 190418),
(246693, 'PTHR23070:SF173', NULL, NULL, NULL, NULL, 'AAA ATPASE-LIKE', 190419),
(246694, 'PTHR31623:SF73', NULL, NULL, NULL, NULL, 'BNAA04G13400D PROTEIN', 190420),
(246695, 'PTHR31852:SF197', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA-14-RELATED', 190421),
(246696, 'PTHR10519:SF70', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID (GABA) B RECEPTOR, 1A', 190422),
(246697, 'PTHR46179:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13050)-RELATED', 190423),
(246698, 'PTHR23077:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190424),
(246699, 'PTHR48006:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN ACR4', 190425);
INSERT INTO "PUBLIC"."MODEL" VALUES
(246700, 'PTHR31375:SF203', NULL, NULL, NULL, NULL, 'OS07G0208200 PROTEIN', 190426),
(246701, 'PTHR14944:SF3', NULL, NULL, NULL, NULL, 'SI:CH73-71D17.2', 190427),
(246702, 'PTHR34593:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190428),
(246703, 'PTHR47999:SF49', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', 190429),
(246704, 'PTHR26450:SF112', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51I2', 190430),
(246705, 'PTHR24055:SF260', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ICK', 190431),
(246706, 'PTHR45080:SF4', NULL, NULL, NULL, NULL, 'GH03113P', 190432),
(246707, 'PTHR14241:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190433),
(246708, 'PTHR18945:SF803', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190434),
(246709, 'PTHR28208:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190435),
(246710, 'PTHR12652:SF51', NULL, NULL, NULL, NULL, 'BNAC04G50420D PROTEIN', 190436),
(246711, 'PTHR48049:SF36', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 190437),
(246712, 'PTHR37079:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATM-LIKE ISOFORM X1', 190438),
(246713, 'PTHR12398:SF29', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE INHIBITOR 2 FAMILY MEMBER C', 190439),
(246714, 'PTHR23063:SF39', NULL, NULL, NULL, NULL, 'OS01G0307562 PROTEIN', 190440),
(246715, 'PTHR47983:SF23', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK13', 190441),
(246716, 'PTHR31707:SF337', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 190442),
(246717, 'PTHR31374:SF312', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190443),
(246718, 'PTHR10722:SF24', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', 190444),
(246719, 'PTHR30607:SF2', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE POTASSIUM-BINDING SUBUNIT', 190445),
(246720, 'PTHR48015:SF32', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 4', 190446),
(246721, 'PTHR34040:SF7', NULL, NULL, NULL, NULL, 'SURFACE PRESENTATION OF ANTIGENS PROTEIN SPAQ', 190447),
(246722, 'PTHR46671:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG00952', 190448),
(246723, 'PTHR10366:SF490', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', 190449),
(246724, 'PTHR42030:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190450),
(246725, 'PTHR47853:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190451),
(246726, 'PTHR18945:SF482', NULL, NULL, NULL, NULL, 'BETAINE RECEPTOR ACR-23', 190452),
(246727, 'PTHR24027', NULL, NULL, NULL, NULL, 'CADHERIN-23', 190453),
(246728, 'PTHR27005:SF399', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', 190454),
(246729, 'PTHR47999:SF65', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', 190455),
(246730, 'PTHR43414', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTG', 190456),
(246731, 'PTHR11556:SF40', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, CYTOSOLIC-LIKE', 190457),
(246732, 'PTHR23105:SF153', NULL, NULL, NULL, NULL, 'OS04G0500200 PROTEIN', 190458),
(246733, 'PTHR13890:SF34', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-E', 190459),
(246734, 'PTHR43127', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 190460),
(246735, 'PTHR23045:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190461),
(246736, 'PTHR31205:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190462),
(246737, 'PTHR47942:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190463),
(246738, 'PTHR13242:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT L', 190464),
(246739, 'PTHR33191:SF59', NULL, NULL, NULL, NULL, 'RLPA-LIKE DOUBLE-PSI BETA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', 190465),
(246740, 'PTHR31920:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190466),
(246741, 'PTHR11528:SF102', NULL, NULL, NULL, NULL, 'BNAA10G28410D PROTEIN', 190467),
(246742, 'PTHR33057:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190468),
(246743, 'PTHR43851:SF4', NULL, NULL, NULL, NULL, 'ATYPICAL KINASE COQ8B, MITOCHONDRIAL', 190469),
(246744, 'PTHR11712:SF330', NULL, NULL, NULL, NULL, '3-OXOACYL-(ACYL CARRIER) SYNTHASE II', 190470);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(246745, 'PTHR13392:SF5', NULL, NULL, NULL, NULL, 'ATAXIN-1', 190471),
(246746, 'PTHR19282:SF428', NULL, NULL, NULL, NULL, 'TETRASPANIN 68C, ISOFORM A', 190472),
(246747, 'PTHR24377:SF718', NULL, NULL, NULL, NULL, 'ZINC FINGER PRTOEIN 943', 190473),
(246748, 'PTHR12321:SF60', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 6', 190474),
(246749, 'PTHR34197:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190475),
(246750, 'PTHR43133:SF33', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGD', 190476),
(246751, 'PTHR26452:SF734', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 190477),
(246752, 'PTHR10769:SF3', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S28', 190478),
(246753, 'PTHR24341:SF8', NULL, NULL, NULL, NULL, 'T0150490 ISOFORM 1', 190479),
(246754, 'PTHR11955:SF76', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN 12', 190480),
(246755, 'PTHR31413:SF24', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN 6-LIKE', 190481),
(246756, 'PTHR37541', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 190482),
(246757, 'PTHR37391:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190483),
(246758, 'PTHR33254:SF17', NULL, NULL, NULL, NULL, '4-HYDROXY-4-METHYL-2-OXOGLUTARATE ALDOLASE 1-RELATED', 190484),
(246759, 'PTHR43698:SF1', NULL, NULL, NULL, NULL, 'RIBD C-TERMINAL DOMAIN CONTAINING PROTEIN', 190485),
(246760, 'PTHR14484:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 71', 190486),
(246761, 'PTHR12203:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190487),
(246762, 'PTHR23089:SF45', NULL, NULL, NULL, NULL, 'HISTIDINE TRIAD NUCLEOTIDE-BINDING PROTEIN 1', 190488),
(246763, 'PTHR43272:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190489),
(246764, 'PTHR43775:SF22', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE (JCVI)-RELATED', 190490),
(246765, 'PTHR23012:SF163', NULL, NULL, NULL, NULL, 'OS01G0686700 PROTEIN', 190491),
(246766, 'PTHR32448:SF137', NULL, NULL, NULL, NULL, 'CANNABIDIOLIC ACID SYNTHASE-LIKE 1-RELATED', 190492),
(246767, 'PTHR22884:SF491', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', 190493),
(246768, 'PTHR47971', NULL, NULL, NULL, NULL, 'KINESIN-RELATED PROTEIN 6', 190494),
(246769, 'PTHR12136:SF104', NULL, NULL, NULL, NULL, 'PLECKSTRIN-LIKE (PH) AND LIPID-BINDING START DOMAIN PROTEIN', 190495),
(246770, 'PTHR45676:SF121', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', 190496),
(246771, 'PTHR13743:SF115', NULL, NULL, NULL, NULL, 'NEUROBEACHIN-LIKE PROTEIN 1', 190497),
(246772, 'PTHR11064:SF149', NULL, NULL, NULL, NULL, 'OS01G0935100 PROTEIN', 190498),
(246773, 'PTHR45974:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190499),
(246774, 'PTHR33664', NULL, NULL, NULL, NULL, 'RCG26366', 190500),
(246775, 'PTHR20772:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FMP42', 190501),
(246776, 'PTHR19307:SF5', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN D55', 190502),
(246777, 'PTHR31985:SF90', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF014', 190503),
(246778, 'PTHR10890:SF25', NULL, NULL, NULL, NULL, 'CYSTEINE--TRNA LIGASE, CHLOROPLASTIC/MITOCHONDRIAL', 190504),
(246779, 'PTHR46443:SF13', NULL, NULL, NULL, NULL, 'PROTEIN MARD1', 190505),
(246780, 'PTHR43895:SF97', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 190506),
(246781, 'PTHR33087:SF19', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN EAF1 B', 190507),
(246782, 'PTHR24249:SF82', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 3-RELATED', 190508),
(246783, 'PTHR43706:SF15', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE-LIKE PROTEIN RV1812C', 190509),
(246784, 'PTHR12601', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT  EIF-3', 190510),
(246785, 'PTHR12317:SF59', NULL, NULL, NULL, NULL, 'OS02G0714100 PROTEIN', 190511),
(246786, 'PTHR24027:SF91', NULL, NULL, NULL, NULL, 'CADHERIN-7', 190512),
(246787, 'PTHR13103:SF4', NULL, NULL, NULL, NULL, 'ZGC:153615', 190513),
(246788, 'PTHR36595:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190514),
(246789, 'PTHR34206:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190515);
INSERT INTO "PUBLIC"."MODEL" VALUES
(246790, 'PTHR31734:SF159', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 190516),
(246791, 'PTHR10584:SF166', NULL, NULL, NULL, NULL, 'RIBOKINASE', 190517),
(246792, 'PTHR43353', NULL, NULL, NULL, NULL, 'SUCCINATE-SEMIALDEHYDE DEHYDROGENASE, MITOCHONDRIAL', 190518),
(246793, 'PTHR13301:SF164', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN G2', 190519),
(246794, 'PTHR10986:SF16', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L20', 190520),
(246795, 'PTHR23202:SF70', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G01730)', 190521),
(246796, 'PTHR43301:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190522),
(246797, 'PTHR48214', NULL, NULL, NULL, NULL, 'ZEIN-ALPHA PMS2', 190523),
(246798, 'PTHR12357:SF100', NULL, NULL, NULL, NULL, 'BNAC03G73650D PROTEIN', 190524),
(246799, 'PTHR11587:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190525),
(246800, 'PTHR12542:SF142', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 190526),
(246801, 'PTHR37815:SF3', NULL, NULL, NULL, NULL, 'UPF0397 PROTEIN BC_2624-RELATED', 190527),
(246802, 'PTHR31879:SF9', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING PROTEIN-RELATED', 190528),
(246803, 'PTHR21449:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13742', 190529),
(246804, 'PTHR11945:SF275', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 15', 190530),
(246805, 'PTHR24211:SF22', NULL, NULL, NULL, NULL, 'TESTIN', 190531),
(246806, 'PTHR45630', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE-RELATED', 190532),
(246807, 'PTHR43510:SF1', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE FUNCTION, HYPOTHETICAL (EUROFUNG)', 190533),
(246808, 'PTHR37463:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190534),
(246809, 'PTHR35099:SF14', NULL, NULL, NULL, NULL, 'BNAC06G40400D PROTEIN', 190535),
(246810, 'PTHR12335:SF6', NULL, NULL, NULL, NULL, 'PROTEIN TIPE', 190536),
(246811, 'PTHR11524:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7-RELATED', 190537),
(246812, 'PTHR43409:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 190538),
(246813, 'PTHR31680:SF17', NULL, NULL, NULL, NULL, 'DUF3741-ASSOCIATED SEQUENCE MOTIF PROTEIN-RELATED', 190539),
(246814, 'PTHR24346:SF61', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PSK1-RELATED', 190540),
(246815, 'PTHR12136:SF91', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2-LIKE', 190541),
(246816, 'PTHR24281:SF153', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D6', 190542),
(246817, 'PTHR24223:SF355', NULL, NULL, NULL, NULL, 'SI:CH211-221F10.2', 190543),
(246818, 'PTHR11537:SF23', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 2', 190544),
(246819, 'PTHR32100:SF64', NULL, NULL, NULL, NULL, 'OS07G0416900 PROTEIN', 190545),
(246820, 'PTHR23115:SF188', NULL, NULL, NULL, NULL, 'HBS1-LIKE PROTEIN', 190546),
(246821, 'PTHR11909:SF381', NULL, NULL, NULL, NULL, 'TAU TUBULIN KINASE', 190547),
(246822, 'PTHR11260:SF697', NULL, NULL, NULL, NULL, 'BNAA06G11510D PROTEIN', 190548),
(246823, 'PTHR12356:SF30', NULL, NULL, NULL, NULL, 'NUDC DOMAIN-CONTAINING PROTEIN 2', 190549),
(246824, 'PTHR32093:SF124', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 3', 190550),
(246825, 'PTHR28613:SF5', NULL, NULL, NULL, NULL, 'SI:CH211-232M10.4-RELATED', 190551),
(246826, 'PTHR10358:SF6', NULL, NULL, NULL, NULL, 'ENDOSULFINE, ISOFORM A', 190552),
(246827, 'PTHR24637:SF257', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN DPY-5', 190553),
(246828, 'PTHR11654:SF112', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.1', 190554),
(246829, 'PTHR10257:SF77', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 190555),
(246830, 'PTHR24331:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DBX1', 190556),
(246831, 'PTHR16209:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190557),
(246832, 'PTHR23132', NULL, NULL, NULL, NULL, 'D-ALANINE--D-ALANINE LIGASE', 190558),
(246833, 'PTHR26452:SF175', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 190559),
(246834, 'PTHR32175:SF17', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 190560);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(246835, 'PTHR23112:SF13', NULL, NULL, NULL, NULL, 'CYCLIC AMP RECEPTOR-LIKE PROTEIN C', 190561),
(246836, 'PTHR11388:SF139', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', 190562),
(246837, 'PTHR33074:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190563),
(246838, 'PTHR46128:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190564),
(246839, 'PTHR11937:SF278', NULL, NULL, NULL, NULL, 'BETA-ACTIN-LIKE PROTEIN 3-RELATED', 190565),
(246840, 'PTHR46485:SF2', NULL, NULL, NULL, NULL, 'ZGC:113162', 190566),
(246841, 'PTHR33067:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190567),
(246842, 'PTHR26450:SF367', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 190568),
(246843, 'PTHR21327:SF40', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL RIBOFLAVIN BIOSYNTHESIS PROTEIN RIBA 1, CHLOROPLASTIC', 190569),
(246844, 'PTHR31218:SF7', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 190570),
(246845, 'PTHR43874:SF82', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR20-RELATED', 190571),
(246846, 'PTHR10314:SF218', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', 190572),
(246847, 'PTHR31682:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190573),
(246848, 'PTHR10201:SF259', NULL, NULL, NULL, NULL, 'MATRIXIN PROTEIN', 190574),
(246849, 'PTHR13799', NULL, NULL, NULL, NULL, 'NGG1 INTERACTING FACTOR 3', 190575),
(246850, 'PTHR22978:SF5', NULL, NULL, NULL, NULL, 'PROTEIN BTG4', 190576),
(246851, 'PTHR27005:SF224', NULL, NULL, NULL, NULL, 'OS09G0561482 PROTEIN', 190577),
(246852, 'PTHR24342:SF15', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE 2', 190578),
(246853, 'PTHR23359:SF167', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 5, CHLOROPLASTIC', 190579),
(246854, 'PTHR35545:SF12', NULL, NULL, NULL, NULL, 'OS05G0541600 PROTEIN', 190580),
(246855, 'PTHR22996:SF11', NULL, NULL, NULL, NULL, 'MAHOGUNIN, RING FINGER 1-LIKE PROTEIN', 190581),
(246856, 'PTHR34706:SF2', NULL, NULL, NULL, NULL, 'RFEF', 190582),
(246857, 'PTHR21230:SF78', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE 11-RELATED', 190583),
(246858, 'PTHR36461:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190584),
(246859, 'PTHR43880:SF42', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE 3', 190585),
(246860, 'PTHR47401:SF1', NULL, NULL, NULL, NULL, 'INTERLEUKIN-4', 190586),
(246861, 'PTHR31737:SF3', NULL, NULL, NULL, NULL, 'CELL WALL PROTEIN YJL171C', 190587),
(246862, 'PTHR28097', NULL, NULL, NULL, NULL, 'PHEROMONE A FACTOR RECEPTOR', 190588),
(246863, 'PTHR12999:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 15B', 190589),
(246864, 'PTHR24320:SF187', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 190590),
(246865, 'PTHR30435:SF19', NULL, NULL, NULL, NULL, 'FLAGELLAR BASAL-BODY ROD PROTEIN FLGG', 190591),
(246866, 'PTHR35161:SF4', NULL, NULL, NULL, NULL, 'OS02G0303100 PROTEIN', 190592),
(246867, 'PTHR11177:SF345', NULL, NULL, NULL, NULL, 'CHITINASE', 190593),
(246868, 'PTHR21136:SF181', NULL, NULL, NULL, NULL, 'LONGIN-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 190594),
(246869, 'PTHR10984', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM-GOLGI INTERMEDIATE COMPARTMENT PROTEIN', 190595),
(246870, 'PTHR23155:SF1120', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RGA4', 190596),
(246871, 'PTHR12169:SF20', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 190597),
(246872, 'PTHR23304:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190598),
(246873, 'PTHR23257:SF877', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190599),
(246874, 'PTHR10283:SF129', NULL, NULL, NULL, NULL, 'TONOPLAST DICARBOXYLATE TRANSPORTER', 190600),
(246875, 'PTHR47976:SF26', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE SD2-5', 190601),
(246876, 'PTHR33159:SF26', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', 190602),
(246877, 'PTHR11711:SF137', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 4D', 190603),
(246878, 'PTHR30109:SF6', NULL, NULL, NULL, NULL, 'ACETYL-COA DECARBONYLASE/SYNTHASE COMPLEX SUBUNIT ALPHA', 190604);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(246879, 'PTHR22847:SF678', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190605),
(246880, 'PTHR10480:SF12', NULL, NULL, NULL, NULL, 'UNC-13, ISOFORM E', 190606),
(246881, 'PTHR10615:SF170', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATXR5', 190607),
(246882, 'PTHR45671:SF18', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PHOSPHATE CARRIER PROTEIN 3, MITOCHONDRIAL-LIKE', 190608),
(246883, 'PTHR34998', NULL, NULL, NULL, NULL, 'OS04G0357400 PROTEIN-RELATED', 190609),
(246884, 'PTHR11909:SF88', NULL, NULL, NULL, NULL, 'PROTEIN CBG20999', 190610),
(246885, 'PTHR22722:SF9', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 2A-RELATED', 190611),
(246886, 'PTHR31042:SF120', NULL, NULL, NULL, NULL, 'BNAA08G25540D PROTEIN', 190612),
(246887, 'PTHR31207:SF29', NULL, NULL, NULL, NULL, 'BNAA01G30680D PROTEIN', 190613),
(246888, 'PTHR47159:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG07705', 190614),
(246889, 'PTHR42709:SF10', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN', 190615),
(246890, 'PTHR31509:SF126', NULL, NULL, NULL, NULL, 'BNAA09G00020D PROTEIN', 190616),
(246891, 'PTHR31793:SF2', NULL, NULL, NULL, NULL, 'BLR6559 PROTEIN', 190617),
(246892, 'PTHR11977:SF119', NULL, NULL, NULL, NULL, 'SUPERVILLIN C', 190618),
(246893, 'PTHR19432:SF68', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUC2-LIKE', 190619),
(246894, 'PTHR45617:SF101', NULL, NULL, NULL, NULL, 'LEUCINE-RICH ALPHA-2-GLYCOPROTEIN', 190620),
(246895, 'PTHR33526:SF14', NULL, NULL, NULL, NULL, 'OS05G0512100 PROTEIN', 190621),
(246896, 'PTHR11384:SF36', NULL, NULL, NULL, NULL, 'FATTY ACID ABC TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', 190622),
(246897, 'PTHR31071:SF39', NULL, NULL, NULL, NULL, 'PROTEIN BRANCHLESS TRICHOME', 190623),
(246898, 'PTHR23338:SF44', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM4-RELATED', 190624),
(246899, 'PTHR45666:SF45', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 4 ISOFORM X1', 190625),
(246900, 'PTHR31021', NULL, NULL, NULL, NULL, 'ADENOMATOSIS POLYPOSIS COLI DOWN-REGULATED 1', 190626),
(246901, 'PTHR10438:SF432', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 190627),
(246902, 'PTHR11782:SF111', NULL, NULL, NULL, NULL, 'APYRASE', 190628),
(246903, 'PTHR11929:SF218', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN 3-ALPHA-L-FUCOSYLTRANSFERASE A', 190629),
(246904, 'PTHR33022:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190630),
(246905, 'PTHR12483:SF105', NULL, NULL, NULL, NULL, 'CTR FAMILY COPPER TRANSPORTER', 190631),
(246906, 'PTHR34970', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY PROTEIN', 190632),
(246907, 'PTHR21366:SF14', NULL, NULL, NULL, NULL, 'GLYOXALASE DOMAIN-CONTAINING PROTEIN 5', 190633),
(246908, 'PTHR43023', NULL, NULL, NULL, NULL, 'PROTEIN TRIGALACTOSYLDIACYLGLYCEROL 3, CHLOROPLASTIC', 190634),
(246909, 'PTHR11216:SF137', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND FAMILY PROTEIN', 190635),
(246910, 'PTHR11364:SF12', NULL, NULL, NULL, NULL, 'OS02G0167100 PROTEIN', 190636),
(246911, 'PTHR12514', NULL, NULL, NULL, NULL, 'ENHANCER OF YELLOW 2 TRANSCRIPTION FACTOR', 190637),
(246912, 'PTHR15182', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 5-RELATED', 190638),
(246913, 'PTHR11206:SF181', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 190639),
(246914, 'PTHR19269:SF45', NULL, NULL, NULL, NULL, 'TROPOMYOSIN-1, ISOFORMS 33/34', 190640),
(246915, 'PTHR43226:SF3', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE AN0832-RELATED', 190641),
(246916, 'PTHR34121:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190642),
(246917, 'PTHR24221:SF570', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 1', 190643),
(246918, 'PTHR13817:SF43', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN C, FAST TYPE B', 190644),
(246919, 'PTHR18034:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190645),
(246920, 'PTHR23421:SF131', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 16', 190646),
(246921, 'PTHR47038:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190647),
(246922, 'PTHR31375:SF119', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE/GLYCOSIDE HYDROLASE FAMILY PROTEIN', 190648);
INSERT INTO "PUBLIC"."MODEL" VALUES
(246923, 'PTHR11188:SF138', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING 1A-RELATED', 190649),
(246924, 'PTHR12307:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT GAC1-RELATED', 190650),
(246925, 'PTHR44924:SF1', NULL, NULL, NULL, NULL, 'DNAJ SUBFAMILY A MEMBER 2', 190651),
(246926, 'PTHR43078:SF8', NULL, NULL, NULL, NULL, 'CDP TYVULOSE EPIMERASE-RELATED', 190652),
(246927, 'PTHR30525', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE 5-PHOSPHATE REDUCTOISOMERASE', 190653),
(246928, 'PTHR13132:SF32', NULL, NULL, NULL, NULL, 'COATOMER PROTEIN', 190654),
(246929, 'PTHR31251:SF121', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 17', 190655),
(246930, 'PTHR23500:SF557', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 5-LIKE', 190656),
(246931, 'PTHR33564:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190657),
(246932, 'PTHR11920:SF40', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-14-RELATED', 190658),
(246933, 'PTHR13814:SF10', NULL, NULL, NULL, NULL, 'FETUIN-B', 190659),
(246934, 'PTHR46266:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TT8', 190660),
(246935, 'PTHR19981:SF1', NULL, NULL, NULL, NULL, 'RHEA, ISOFORM B', 190661),
(246936, 'PTHR43702:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190662),
(246937, 'PTHR47393:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-12', 190663),
(246938, 'PTHR30289:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190664),
(246939, 'PTHR32212:SF361', NULL, NULL, NULL, NULL, 'BNAA03G12150D PROTEIN', 190665),
(246940, 'PTHR43391', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE-RELATED', 190666),
(246941, 'PTHR11592', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', 190667),
(246942, 'PTHR15592:SF16', NULL, NULL, NULL, NULL, 'POLYPYRIMIDINE TRACT-BINDING PROTEIN 2', 190668),
(246943, 'PTHR31945:SF95', NULL, NULL, NULL, NULL, 'BNAA05G17860D PROTEIN', 190669),
(246944, 'PTHR45985', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 190670),
(246945, 'PTHR11685:SF229', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 190671),
(246946, 'PTHR34823', NULL, NULL, NULL, NULL, 'GLCNAC-BINDING PROTEIN A', 190672),
(246947, 'PTHR12429:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190673),
(246948, 'PTHR24356:SF332', NULL, NULL, NULL, NULL, 'AGC (CAMP-DEPENDENT, CGMP-DEPENDENT AND PROTEIN KINASE C) KINASE FAMILY PROTEIN', 190674),
(246949, 'PTHR13822:SF18', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT DELTA'', MITOCHONDRIAL-LIKE', 190675),
(246950, 'PTHR12542:SF26', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 190676),
(246951, 'PTHR10682:SF21', NULL, NULL, NULL, NULL, 'POLYMERASE, PUTATIVE-RELATED', 190677),
(246952, 'PTHR31042:SF73', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-16-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 190678),
(246953, 'PTHR33346:SF16', NULL, NULL, NULL, NULL, 'DEHYDRIN FAMILY PROTEIN', 190679),
(246954, 'PTHR11240:SF57', NULL, NULL, NULL, NULL, 'OS09G0538000 PROTEIN', 190680),
(246955, 'PTHR11014:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190681),
(246956, 'PTHR31989:SF233', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 26', 190682),
(246957, 'PTHR44899:SF3', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', 190683),
(246958, 'PTHR31548', NULL, NULL, NULL, NULL, 'CLARIN', 190684),
(246959, 'PTHR33490:SF6', NULL, NULL, NULL, NULL, 'BLR5614 PROTEIN', 190685),
(246960, 'PTHR31238:SF18', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 2 MEMBER 4', 190686),
(246961, 'PTHR13778:SF18', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 190687),
(246962, 'PTHR45687:SF40', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-1-RELATED', 190688),
(246963, 'PTHR30612:SF0', NULL, NULL, NULL, NULL, 'SI:DKEY-187J14.7-RELATED', 190689),
(246964, 'PTHR37069', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 190690),
(246965, 'PTHR47992:SF97', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 68-RELATED', 190691),
(246966, 'PTHR30468:SF29', NULL, NULL, NULL, NULL, 'FAMILY TAURINE DIOXYGENASE, PUTATIVE-RELATED', 190692),
(246967, 'PTHR11961:SF32', NULL, NULL, NULL, NULL, 'CYTOCHROME C', 190693);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(246968, 'PTHR31587', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN (DUF2215)', 190694),
(246969, 'PTHR45719:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190695),
(246970, 'PTHR31636:SF9', NULL, NULL, NULL, NULL, 'PROTEIN SHORT-ROOT', 190696),
(246971, 'PTHR47746:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190697),
(246972, 'PTHR46279:SF19', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL69-RELATED', 190698),
(246973, 'PTHR43580:SF3', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G11600)', 190699),
(246974, 'PTHR17630:SF83', NULL, NULL, NULL, NULL, 'ENDO-1,31,4-BETA-D-GLUCANASE-RELATED', 190700),
(246975, 'PTHR43606:SF6', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G03860)', 190701),
(246976, 'PTHR35298:SF4', NULL, NULL, NULL, NULL, 'BNAA01G32090D PROTEIN', 190702),
(246977, 'PTHR22835:SF496', NULL, NULL, NULL, NULL, 'OS01G0612900 PROTEIN', 190703),
(246978, 'PTHR31989:SF339', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29-LIKE', 190704),
(246979, 'PTHR34120:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190705),
(246980, 'PTHR14741:SF32', NULL, NULL, NULL, NULL, 'TRIMETHYLGUANOSINE SYNTHASE', 190706),
(246981, 'PTHR11426:SF207', NULL, NULL, NULL, NULL, 'HISTONE H3', 190707),
(246982, 'PTHR11675:SF38', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 17', 190708),
(246983, 'PTHR34196:SF4', NULL, NULL, NULL, NULL, 'BNAC09G20880D PROTEIN', 190709),
(246984, 'PTHR31889:SF72', NULL, NULL, NULL, NULL, 'BNAA06G38170D PROTEIN', 190710),
(246985, 'PTHR11909:SF302', NULL, NULL, NULL, NULL, 'OSJNBB0070J16.10 PROTEIN', 190711),
(246986, 'PTHR20863:SF60', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 3, MITOCHONDRIAL', 190712),
(246987, 'PTHR15907:SF148', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 2', 190713),
(246988, 'PTHR43015:SF1', NULL, NULL, NULL, NULL, 'D-RIBITOL-5-PHOSPHATE CYTIDYLYLTRANSFERASE', 190714),
(246989, 'PTHR22891:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190715),
(246990, 'PTHR42647:SF20', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', 190716),
(246991, 'PTHR45878:SF15', NULL, NULL, NULL, NULL, 'OS09G0307400 PROTEIN', 190717),
(246992, 'PTHR10159:SF513', NULL, NULL, NULL, NULL, 'SPECIFICITY PROTEIN PHOSPHATASE, PUTATIVE-RELATED', 190718),
(246993, 'PTHR31218:SF36', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 190719),
(246994, 'PTHR45776:SF4', NULL, NULL, NULL, NULL, 'MICROPHTHALMIA-ASSOCIATED TRANSCRIPTION FACTOR', 190720),
(246995, 'PTHR23107:SF19', NULL, NULL, NULL, NULL, 'GRF1-INTERACTING FACTOR 1-LIKE', 190721),
(246996, 'PTHR21109:SF12', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S21-RELATED', 190722),
(246997, 'PTHR11850:SF294', NULL, NULL, NULL, NULL, 'TGFB-INDUCED FACTOR HOMEOBOX 2-LIKE, X-LINKED 1', 190723),
(246998, 'PTHR11886:SF64', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', 190724),
(246999, 'PTHR43085:SF33', NULL, NULL, NULL, NULL, 'BNAC09G52860D PROTEIN', 190725),
(247000, 'PTHR22930:SF64', NULL, NULL, NULL, NULL, 'OS05G0184901 PROTEIN', 190726),
(247001, 'PTHR11439:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190727),
(247002, 'PTHR20855:SF116', NULL, NULL, NULL, NULL, 'HEPTAHELICAL TRANSMEMBRANE PROTEIN 1', 190728),
(247003, 'PTHR10677:SF51', NULL, NULL, NULL, NULL, 'BNAA07G03090D PROTEIN', 190729),
(247004, 'PTHR46288:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190730),
(247005, 'PTHR10372:SF25', NULL, NULL, NULL, NULL, 'PLAKOPHILIN-2', 190731),
(247006, 'PTHR28620:SF8', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN V-LIKE PROTEIN 2', 190732),
(247007, 'PTHR46101:SF15', NULL, NULL, NULL, NULL, 'BNAA09G15450D PROTEIN', 190733),
(247008, 'PTHR47926:SF217', NULL, NULL, NULL, NULL, 'OS09G0412900 PROTEIN', 190734),
(247009, 'PTHR31496:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAN2-RELATED', 190735),
(247010, 'PTHR47992:SF124', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', 190736),
(247011, 'PTHR11353:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190737);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(247012, 'PTHR23170:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 45', 190738),
(247013, 'PTHR32166:SF75', NULL, NULL, NULL, NULL, 'HAT TRANSPOSON SUPERFAMILY PROTEIN', 190739),
(247014, 'PTHR22957:SF589', NULL, NULL, NULL, NULL, 'RAB-GTPASE-TBC DOMAIN-CONTAINING PROTEIN-RELATED', 190740),
(247015, 'PTHR31435:SF9', NULL, NULL, NULL, NULL, 'PROTEIN NATD1', 190741),
(247016, 'PTHR47368:SF2', NULL, NULL, NULL, NULL, 'NUMB', 190742),
(247017, 'PTHR48049:SF19', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 190743),
(247018, 'PTHR45933:SF21', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 190744),
(247019, 'PTHR30474:SF13', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN E', 190745),
(247020, 'PTHR33065:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190746),
(247021, 'PTHR45621:SF123', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE PROTEIN-RELATED', 190747),
(247022, 'PTHR45715:SF3', NULL, NULL, NULL, NULL, 'ATPASE H+-TRANSPORTING V1 SUBUNIT E1A-RELATED', 190748),
(247023, 'PTHR31832:SF55', NULL, NULL, NULL, NULL, 'SALT TOLERANCE-LIKE PROTEIN', 190749),
(247024, 'PTHR19269', NULL, NULL, NULL, NULL, 'TROPOMYOSIN', 190750),
(247025, 'PTHR46805:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J1', 190751),
(247026, 'PTHR11142:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190752),
(247027, 'PTHR33164:SF40', NULL, NULL, NULL, NULL, 'MARR FAMILY TRANSCRIPTIONAL REGULATORY PROTEIN', 190753),
(247028, 'PTHR47496:SF1', NULL, NULL, NULL, NULL, 'CD27 ANTIGEN', 190754),
(247029, 'PTHR11668:SF300', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE-RELATED', 190755),
(247030, 'PTHR43365', NULL, NULL, NULL, NULL, 'BLR7806 PROTEIN', 190756),
(247031, 'PTHR30576:SF10', NULL, NULL, NULL, NULL, 'SLL5057 PROTEIN', 190757),
(247032, 'PTHR11465:SF47', NULL, NULL, NULL, NULL, 'CATALASE', 190758),
(247033, 'PTHR31126:SF43', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE DSP3', 190759),
(247034, 'PTHR24243:SF216', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE RECEPTOR-LIKE PROTEIN', 190760),
(247035, 'PTHR11073:SF30', NULL, NULL, NULL, NULL, 'CALNEXIN HOMOLOG', 190761),
(247036, 'PTHR10030:SF40', NULL, NULL, NULL, NULL, 'PLASMA ALPHA-L-FUCOSIDASE', 190762),
(247037, 'PTHR10257:SF94', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 190763),
(247038, 'PTHR10374', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE  GLYOXALASE I', 190764),
(247039, 'PTHR33228:SF5', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 2', 190765),
(247040, 'PTHR11814:SF16', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER', 190766),
(247041, 'PTHR36782:SF1', NULL, NULL, NULL, NULL, 'BNAC03G62080D PROTEIN', 190767),
(247042, 'PTHR24026:SF98', NULL, NULL, NULL, NULL, 'CADHERIN FAMILY', 190768),
(247043, 'PTHR10489:SF627', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 8', 190769),
(247044, 'PTHR11829:SF195', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 3-ALPHA', 190770),
(247045, 'PTHR46234:SF8', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 190771),
(247046, 'PTHR48065:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190772),
(247047, 'PTHR11909:SF419', NULL, NULL, NULL, NULL, 'PROTEIN CBG11274', 190773),
(247048, 'PTHR11926:SF1341', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 190774),
(247049, 'PTHR11654:SF541', NULL, NULL, NULL, NULL, 'OS02G0689900 PROTEIN', 190775),
(247050, 'PTHR43811:SF21', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP42-RELATED', 190776),
(247051, 'PTHR47990:SF74', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 190777),
(247052, 'PTHR31645:SF61', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL8-RELATED', 190778),
(247053, 'PTHR10218:SF210', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-13 SUBUNIT', 190779),
(247054, 'PTHR34491:SF17', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT 110', 190780),
(247055, 'PTHR31360:SF15', NULL, NULL, NULL, NULL, 'OIL BODY-ASSOCIATED PROTEIN 1A-LIKE', 190781);
INSERT INTO "PUBLIC"."MODEL" VALUES
(247056, 'PTHR31356:SF51', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 1, CYTOSOLIC', 190782),
(247057, 'PTHR23155:SF966', NULL, NULL, NULL, NULL, 'OS02G0475500 PROTEIN', 190783),
(247058, 'PTHR10814:SF31', NULL, NULL, NULL, NULL, 'TLE FAMILY MEMBER 5-RELATED', 190784),
(247059, 'PTHR40765', NULL, NULL, NULL, NULL, 'ESX-2 SECRETION SYSTEM ATPASE ECCB2', 190785),
(247060, 'PTHR42705:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190786),
(247061, 'PTHR31499:SF54', NULL, NULL, NULL, NULL, 'BNAA01G37390D PROTEIN', 190787),
(247062, 'PTHR12553:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190788),
(247063, 'PTHR21198', NULL, NULL, NULL, NULL, 'GLUTAMATE RACEMASE', 190789),
(247064, 'PTHR27002:SF520', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 29', 190790),
(247065, 'PTHR23358', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 190791),
(247066, 'PTHR19971:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190792),
(247067, 'PTHR43384:SF7', NULL, NULL, NULL, NULL, 'CARBON-MONOXIDE DEHYDROGENASE ACCESSORY PROTEIN', 190793),
(247068, 'PTHR11037:SF12', NULL, NULL, NULL, NULL, 'UPSTREAM-BINDING PROTEIN 1', 190794),
(247069, 'PTHR14234:SF21', NULL, NULL, NULL, NULL, 'RIMS-BINDING PROTEIN 3A-RELATED', 190795),
(247070, 'PTHR25462:SF257', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190796),
(247071, 'PTHR16271:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190797),
(247072, 'PTHR43261:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 12, WHOLE GENOME SHOTGUN SEQUENCE', 190798),
(247073, 'PTHR23291:SF94', NULL, NULL, NULL, NULL, 'SI:CH211-284O19.8', 190799),
(247074, 'PTHR33735:SF7', NULL, NULL, NULL, NULL, 'OS08G0483600 PROTEIN', 190800),
(247075, 'PTHR47403', NULL, NULL, NULL, NULL, 'LOC100145250 PROTEIN', 190801),
(247076, 'PTHR11017:SF365', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', 190802),
(247077, 'PTHR47239', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 190803),
(247078, 'PTHR11758:SF36', NULL, NULL, NULL, NULL, 'BNAA02G06730D PROTEIN', 190804),
(247079, 'PTHR11848:SF119', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 8A-RELATED', 190805),
(247080, 'PTHR27005:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190806),
(247081, 'PTHR43591:SF2', NULL, NULL, NULL, NULL, 'SLR1610 PROTEIN', 190807),
(247082, 'PTHR21433:SF8', NULL, NULL, NULL, NULL, 'BNACNNG39370D PROTEIN', 190808),
(247083, 'PTHR22835:SF544', NULL, NULL, NULL, NULL, 'OS10G0392900 PROTEIN', 190809),
(247084, 'PTHR11937:SF486', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 3', 190810),
(247085, 'PTHR24023:SF936', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE VI ALPHA 2 CHAIN', 190811),
(247086, 'PTHR22811:SF139', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY/GOLD PROTEIN', 190812),
(247087, 'PTHR47831', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR II-I REPEAT DOMAIN-CONTAINING PROTEIN 2', 190813),
(247088, 'PTHR17611', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 190814),
(247089, 'PTHR10994:SF153', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B3-RELATED', 190815),
(247090, 'PTHR23050:SF404', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', 190816),
(247091, 'PTHR31072:SF147', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP2-LIKE', 190817),
(247092, 'PTHR12472', NULL, NULL, NULL, NULL, 'RAB3-GAP REGULATORY DOMAIN', 190818),
(247093, 'PTHR33986:SF14', NULL, NULL, NULL, NULL, 'FISSION PROTEIN ELM1-LIKE PROTEIN-RELATED', 190819),
(247094, 'PTHR31301:SF117', NULL, NULL, NULL, NULL, 'LATERAL ORGAN BOUNDARIES (LOB) DOMAIN PROTEIN', 190820),
(247095, 'PTHR13161:SF4', NULL, NULL, NULL, NULL, 'CLK4-ASSOCIATING SERINE/ARGININE RICH PROTEIN', 190821),
(247096, 'PTHR45800:SF31', NULL, NULL, NULL, NULL, 'BNAC04G47440D PROTEIN', 190822),
(247097, 'PTHR42789', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G10090)', 190823),
(247098, 'PTHR10286:SF3', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE', 190824),
(247099, 'PTHR26454:SF23', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 807', 190825),
(247100, 'PTHR33732:SF11', NULL, NULL, NULL, NULL, 'BNAA07G25040D PROTEIN', 190826);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(247101, 'PTHR48056:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190827),
(247102, 'PTHR45754:SF6', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE', 190828),
(247103, 'PTHR13301:SF206', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 3 [UDP-FORMING]', 190829),
(247104, 'PTHR11616:SF283', NULL, NULL, NULL, NULL, 'TRANSPORTER', 190830),
(247105, 'PTHR21713:SF33', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA-LIKE PROTEIN 3', 190831),
(247106, 'PTHR31859:SF4', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 39B', 190832),
(247107, 'PTHR21576:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190833),
(247108, 'PTHR47549:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', 190834),
(247109, 'PTHR31945:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR FER-LIKE IRON DEFICIENCY-INDUCED TRANSCRIPTION FACTOR', 190835),
(247110, 'PTHR46781:SF8', NULL, NULL, NULL, NULL, 'ALPHA 1,4-GLYCOSYLTRANSFERASE FAMILY PROTEIN', 190836),
(247111, 'PTHR27009:SF166', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', 190837),
(247112, 'PTHR46805:SF2', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J1-A', 190838),
(247113, 'PTHR23160:SF22', NULL, NULL, NULL, NULL, 'BNAA02G11870D PROTEIN', 190839),
(247114, 'PTHR35373:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04547', 190840),
(247115, 'PTHR13809', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN GAMMA SUBUNIT', 190841),
(247116, 'PTHR24343:SF330', NULL, NULL, NULL, NULL, 'SNF1-ACTIVATING KINASE 1', 190842),
(247117, 'PTHR23411:SF22', NULL, NULL, NULL, NULL, 'TAPASIN', 190843),
(247118, 'PTHR23201:SF70', NULL, NULL, NULL, NULL, 'GIBBERELLIN-STIMULATED PROTEIN', 190844),
(247119, 'PTHR16675:SF155', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD1C', 190845),
(247120, 'PTHR46733', NULL, NULL, NULL, NULL, '26.5 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', 190846),
(247121, 'PTHR11205:SF50', NULL, NULL, NULL, NULL, 'BNAC03G73560D PROTEIN', 190847),
(247122, 'PTHR27007:SF319', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', 190848),
(247123, 'PTHR14326:SF25', NULL, NULL, NULL, NULL, 'OS12G0577000 PROTEIN', 190849),
(247124, 'PTHR46282:SF1', NULL, NULL, NULL, NULL, 'LD15753P', 190850),
(247125, 'PTHR31221:SF218', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 75-RELATED', 190851),
(247126, 'PTHR10176', NULL, NULL, NULL, NULL, 'GLYCOGEN SYNTHASE', 190852),
(247127, 'PTHR31692:SF69', NULL, NULL, NULL, NULL, 'EXPANSIN-B3-LIKE', 190853),
(247128, 'PTHR31942:SF69', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 190854),
(247129, 'PTHR43671:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK8', 190855),
(247130, 'PTHR11937:SF437', NULL, NULL, NULL, NULL, 'ACTIN-LIKE', 190856),
(247131, 'PTHR19317:SF68', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 190857),
(247132, 'PTHR13301:SF199', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 6 [UDP-FORMING]-RELATED', 190858),
(247133, 'PTHR23086:SF124', NULL, NULL, NULL, NULL, 'RPKA', 190859),
(247134, 'PTHR31414:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190860),
(247135, 'PTHR32154:SF32', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE SUBUNIT PORA', 190861),
(247136, 'PTHR12673:SF12', NULL, NULL, NULL, NULL, 'FYVE, RHOGEF AND PH DOMAIN-CONTAINING PROTEIN 6', 190862),
(247137, 'PTHR10106:SF0', NULL, NULL, NULL, NULL, 'LD36721P', 190863),
(247138, 'PTHR21090', NULL, NULL, NULL, NULL, 'AROM/DEHYDROQUINATE SYNTHASE', 190864),
(247139, 'PTHR34709:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190865),
(247140, 'PTHR28627:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 5', 190866),
(247141, 'PTHR19961:SF18', NULL, NULL, NULL, NULL, 'FI19014P1', 190867),
(247142, 'PTHR31945:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DYT1', 190868),
(247143, 'PTHR11764:SF27', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', 190869),
(247144, 'PTHR11334:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 152-RELATED', 190870);
INSERT INTO "PUBLIC"."MODEL" VALUES
(247145, 'PTHR32096:SF101', NULL, NULL, NULL, NULL, 'BNAC02G22950D PROTEIN', 190871),
(247146, 'PTHR13094:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 10', 190872),
(247147, 'PTHR33109:SF76', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 2', 190873),
(247148, 'PTHR11842:SF10', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE ASSEMBLY CHECKPOINT PROTEIN MAD2B', 190874),
(247149, 'PTHR11347:SF74', NULL, NULL, NULL, NULL, 'CAMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 4A', 190875),
(247150, 'PTHR43018', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', 190876),
(247151, 'PTHR43245:SF10', NULL, NULL, NULL, NULL, 'SUGAR DEHYDRATASE/EPIMERASE YFNG-RELATED', 190877),
(247152, 'PTHR31236:SF57', NULL, NULL, NULL, NULL, 'BNAA07G00140D PROTEIN', 190878),
(247153, 'PTHR43266', NULL, NULL, NULL, NULL, 'MACROLIDE-EFFLUX PROTEIN', 190879),
(247154, 'PTHR23382:SF0', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE 2, MITOCHONDRIAL-RELATED', 190880),
(247155, 'PTHR38646', NULL, NULL, NULL, NULL, 'YALI0F00814P', 190881),
(247156, 'PTHR24070:SF421', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-42', 190882),
(247157, 'PTHR24230:SF67', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR DAF-38', 190883),
(247158, 'PTHR32044:SF92', NULL, NULL, NULL, NULL, 'BNAC09G36340D PROTEIN', 190884),
(247159, 'PTHR33155:SF26', NULL, NULL, NULL, NULL, 'DUF3049 FAMILY PROTEIN', 190885),
(247160, 'PTHR33057:SF150', NULL, NULL, NULL, NULL, 'BNACNNG51140D PROTEIN', 190886),
(247161, 'PTHR11937:SF434', NULL, NULL, NULL, NULL, 'ACTIN-12', 190887),
(247162, 'PTHR43329:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190888),
(247163, 'PTHR32467:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190889),
(247164, 'PTHR23196:SF28', NULL, NULL, NULL, NULL, 'BRCT DOMAIN-CONTAINING DNA REPAIR PROTEIN', 190890),
(247165, 'PTHR12549:SF8', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 3B', 190891),
(247166, 'PTHR12263:SF6', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E1', 190892),
(247167, 'PTHR31945:SF118', NULL, NULL, NULL, NULL, 'BNAA03G52850D PROTEIN', 190893),
(247168, 'PTHR21528:SF4', NULL, NULL, NULL, NULL, 'BNAA08G25150D PROTEIN', 190894),
(247169, 'PTHR11055:SF42', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE', 190895),
(247170, 'PTHR31351:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190896),
(247171, 'PTHR46019:SF7', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B, MEMBER 5', 190897),
(247172, 'PTHR45619:SF37', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 190898),
(247173, 'PTHR46225:SF15', NULL, NULL, NULL, NULL, 'OS05G0179000 PROTEIN', 190899),
(247174, 'PTHR11808', NULL, NULL, NULL, NULL, 'TRANS-SULFURATION ENZYME FAMILY MEMBER', 190900),
(247175, 'PTHR46153:SF18', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', 190901),
(247176, 'PTHR48021:SF37', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 16', 190902),
(247177, 'PTHR43719:SF21', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR 3', 190903),
(247178, 'PTHR31100:SF73', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', 190904),
(247179, 'PTHR21388:SF9', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 1', 190905),
(247180, 'PTHR47731', NULL, NULL, NULL, NULL, 'UBIQUITIN D', 190906),
(247181, 'PTHR36074', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE', 190907),
(247182, 'PTHR45642:SF81', NULL, NULL, NULL, NULL, 'BNAC03G17570D PROTEIN', 190908),
(247183, 'PTHR33203:SF34', NULL, NULL, NULL, NULL, 'OLEOSIN', 190909),
(247184, 'PTHR45650:SF43', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 7-LIKE', 190910),
(247185, 'PTHR24567:SF26', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN YEIL', 190911),
(247186, 'PTHR11564:SF7', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN, CHLOROPLASTIC', 190912),
(247187, 'PTHR43171', NULL, NULL, NULL, NULL, 'EBONY', 190913),
(247188, 'PTHR10799:SF814', NULL, NULL, NULL, NULL, 'B-TFIID TATA-BOX-BINDING PROTEIN-ASSOCIATED FACTOR 1', 190914),
(247189, 'PTHR11132:SF352', NULL, NULL, NULL, NULL, 'OS06G0297600 PROTEIN', 190915); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(247190, 'PTHR35575:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG23599', 190916),
(247191, 'PTHR22870:SF399', NULL, NULL, NULL, NULL, 'OF CHROMOSOME CONDENSATION, PUTATIVE-RELATED', 190917),
(247192, 'PTHR12965:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 54', 190918),
(247193, 'PTHR38499', NULL, NULL, NULL, NULL, 'ADIPOGENIN', 190919),
(247194, 'PTHR31503:SF20', NULL, NULL, NULL, NULL, 'CA(2+)/H(+) EXCHANGER, PUTATIVE (EUROFUNG)-RELATED', 190920),
(247195, 'PTHR44216:SF3', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSYL-TRANSFERASE TMTC2', 190921),
(247196, 'PTHR48108:SF12', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX1, CHLOROPLASTIC-LIKE', 190922),
(247197, 'PTHR35870', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03330)-RELATED', 190923),
(247198, 'PTHR11255:SF48', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 1', 190924),
(247199, 'PTHR31713:SF67', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN60-RELATED', 190925),
(247200, 'PTHR21255:SF17', NULL, NULL, NULL, NULL, 'LIGHT CHAIN, PUTATIVE-RELATED', 190926),
(247201, 'PTHR44858', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 6', 190927),
(247202, 'PTHR24416:SF134', NULL, NULL, NULL, NULL, 'INACTIVE TYROSINE-PROTEIN KINASE TRANSMEMBRANE RECEPTOR ROR1', 190928),
(247203, 'PTHR11309:SF141', NULL, NULL, NULL, NULL, 'FRIZZLED CLASS RECEPTOR 5', 190929),
(247204, 'PTHR38683:SF1', NULL, NULL, NULL, NULL, 'CHORISMATE PYRUVATE-LYASE', 190930),
(247205, 'PTHR33876:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 190931),
(247206, 'PTHR42068:SF1', NULL, NULL, NULL, NULL, 'YALI0B18964P', 190932),
(247207, 'PTHR23262:SF184', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-10', 190933),
(247208, 'PTHR27007:SF352', NULL, NULL, NULL, NULL, 'LECTIN 1', 190934),
(247209, 'PTHR11353:SF187', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT EPSILON', 190935),
(247210, 'PTHR21588:SF17', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT', 190936),
(247211, 'PTHR23241', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT  PLANTS  LEA-RELATED', 190937),
(247212, 'PTHR47702:SF1', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG-LIKE PROTEIN 9', 190938),
(247213, 'PTHR43036:SF2', NULL, NULL, NULL, NULL, 'OSJNBB0011N17.9 PROTEIN', 190939),
(247214, 'PTHR24298:SF774', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190940),
(247215, 'PTHR21256:SF2', NULL, NULL, NULL, NULL, 'HISTIDINE BIOSYNTHESIS TRIFUNCTIONAL PROTEIN', 190941),
(247216, 'PTHR48007:SF53', NULL, NULL, NULL, NULL, 'OS02G0267766 PROTEIN', 190942),
(247217, 'PTHR43245:SF29', NULL, NULL, NULL, NULL, 'UDP-D-APIOSE/UDP-D-XYLOSE SYNTHASE 2-LIKE', 190943),
(247218, 'PTHR23263:SF4', NULL, NULL, NULL, NULL, 'SKIN-SPECIFIC PROTEIN 32', 190944),
(247219, 'PTHR19964:SF82', NULL, NULL, NULL, NULL, 'SI:CH211-250N8.1', 190945),
(247220, 'PTHR13158:SF5', NULL, NULL, NULL, NULL, 'NAD KINASE 2, MITOCHONDRIAL', 190946),
(247221, 'PTHR43330:SF19', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', 190947),
(247222, 'PTHR22977:SF9', NULL, NULL, NULL, NULL, 'COX ASSEMBLY MITOCHONDRIAL PROTEIN', 190948),
(247223, 'PTHR23330:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 190949),
(247224, 'PTHR45968:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 190950),
(247225, 'PTHR31087:SF100', NULL, NULL, NULL, NULL, 'BNAC08G49520D PROTEIN', 190951),
(247226, 'PTHR45653:SF6', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 2', 190952),
(247227, 'PTHR10543:SF99', NULL, NULL, NULL, NULL, 'BETA-CAROTENE 15,15''-MONOOXYGENASE', 190953),
(247228, 'PTHR22594:SF50', NULL, NULL, NULL, NULL, 'BNAC01G21050D PROTEIN', 190954),
(247229, 'PTHR26450:SF100', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 190955),
(247230, 'PTHR45089:SF26', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK AMINO-TERMINAL DOMAIN PROTEIN', 190956),
(247231, 'PTHR46688', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 16', 190957),
(247232, 'PTHR34663:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190958),
(247233, 'PTHR10127:SF825', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-23', 190959);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(247234, 'PTHR24286:SF276', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROPEROXIDE LYASE', 190960),
(247235, 'PTHR11709:SF331', NULL, NULL, NULL, NULL, 'BNAC05G37510D PROTEIN', 190961),
(247236, 'PTHR14248:SF33', NULL, NULL, NULL, NULL, 'CYCLIN-Y', 190962),
(247237, 'PTHR24299:SF21', NULL, NULL, NULL, NULL, 'OS09G0441600 PROTEIN', 190963),
(247238, 'PTHR11208:SF51', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING, RNA-BINDING, SIGNAL TRANSDUCTION-ASSOCIATED 1A', 190964),
(247239, 'PTHR11073:SF33', NULL, NULL, NULL, NULL, 'CALRETICULIN-LIKE', 190965),
(247240, 'PTHR48078', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE, MITOCHONDRIAL-RELATED', 190966),
(247241, 'PTHR23091:SF268', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 10', 190967),
(247242, 'PTHR43265:SF1', NULL, NULL, NULL, NULL, 'ESTERASE ESTD', 190968),
(247243, 'PTHR14110:SF17', NULL, NULL, NULL, NULL, 'OS09G0279300 PROTEIN', 190969),
(247244, 'PTHR10209:SF787', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 1', 190970),
(247245, 'PTHR11931:SF28', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE 1', 190971),
(247246, 'PTHR33101:SF43', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 6', 190972),
(247247, 'PTHR14167:SF31', NULL, NULL, NULL, NULL, 'NOSTRIN', 190973),
(247248, 'PTHR24637:SF351', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN DPY-10', 190974),
(247249, 'PTHR23077:SF132', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZN PROTEASE', 190975),
(247250, 'PTHR34049:SF11', NULL, NULL, NULL, NULL, 'BNAC05G08600D PROTEIN', 190976),
(247251, 'PTHR13774:SF30', NULL, NULL, NULL, NULL, 'BIOSYNTHESIS PROTEIN, PUTATIVE-RELATED', 190977),
(247252, 'PTHR45712:SF6', NULL, NULL, NULL, NULL, 'LUMICAN', 190978),
(247253, 'PTHR23050:SF221', NULL, NULL, NULL, NULL, 'GEO07854P1', 190979),
(247254, 'PTHR14694', NULL, NULL, NULL, NULL, 'CALCIUM-RESPONSIVE TRANSCRIPTION FACTOR', 190980),
(247255, 'PTHR11537:SF44', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 10', 190981),
(247256, 'PTHR31375:SF102', NULL, NULL, NULL, NULL, 'OS02G0196700 PROTEIN', 190982),
(247257, 'PTHR12818:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190983),
(247258, 'PTHR38034:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YPJD', 190984),
(247259, 'PTHR10795:SF570', NULL, NULL, NULL, NULL, 'OS09G0441000 PROTEIN', 190985),
(247260, 'PTHR36799', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 190986),
(247261, 'PTHR32444:SF136', NULL, NULL, NULL, NULL, 'S GLYCOPROTEIN', 190987),
(247262, 'PTHR11999:SF151', NULL, NULL, NULL, NULL, 'TYROSINE/DOPA DECARBOXYLASE', 190988),
(247263, 'PTHR45687:SF1', NULL, NULL, NULL, NULL, 'PIP1,2', 190989),
(247264, 'PTHR47924:SF18', NULL, NULL, NULL, NULL, 'BNAC05G27170D PROTEIN', 190990),
(247265, 'PTHR45752:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 190991),
(247266, 'PTHR46932:SF10', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN PROTEIN', 190992),
(247267, 'PTHR13738:SF2', NULL, NULL, NULL, NULL, 'TROPONIN I, CARDIAC MUSCLE', 190993),
(247268, 'PTHR35993', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 21B, CHLOROPLASTIC', 190994),
(247269, 'PTHR34368', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 190995),
(247270, 'PTHR31300:SF32', NULL, NULL, NULL, NULL, 'FACTOR C SUBUNIT, PUTATIVE (DUF620)-RELATED', 190996),
(247271, 'PTHR11885:SF23', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S15-RELATED', 190997),
(247272, 'PTHR31989:SF248', NULL, NULL, NULL, NULL, 'NAM-LIKE PROTEIN', 190998),
(247273, 'PTHR45623:SF33', NULL, NULL, NULL, NULL, 'OS01G0881000 PROTEIN', 190999),
(247274, 'PTHR46338:SF7', NULL, NULL, NULL, NULL, 'BROMODOMAIN TRANSCRIPTION FACTOR', 191000),
(247275, 'PTHR34194:SF19', NULL, NULL, NULL, NULL, 'BNAA05G29920D PROTEIN', 191001),
(247276, 'PTHR10353:SF220', NULL, NULL, NULL, NULL, 'FURCATIN HYDROLASE-LIKE', 191002),
(247277, 'PTHR20986:SF13', NULL, NULL, NULL, NULL, 'FMRF-LIKE PEPTIDE', 191003),
(247278, 'PTHR47152:SF4', NULL, NULL, NULL, NULL, 'SLR0445 PROTEIN', 191004),
(247279, 'PTHR13707:SF48', NULL, NULL, NULL, NULL, 'SUCCINYL-COA:3-KETOACID-COENZYME A TRANSFERASE', 191005);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(247280, 'PTHR45730:SF6', NULL, NULL, NULL, NULL, 'OS12G0581900 PROTEIN', 191006),
(247281, 'PTHR46608', NULL, NULL, NULL, NULL, 'T-CELL IMMUNOGLOBULIN AND MUCIN DOMAIN-CONTAINING PROTEIN 4', 191007),
(247282, 'PTHR45798:SF67', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL80-LIKE', 191008),
(247283, 'PTHR45647:SF72', NULL, NULL, NULL, NULL, 'U-BOX KINASE FAMILY PROTEIN', 191009),
(247284, 'PTHR21094:SF3', NULL, NULL, NULL, NULL, 'GOLGI SNAP RECEPTOR COMPLEX MEMBER 1', 191010),
(247285, 'PTHR12313:SF59', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA1', 191011),
(247286, 'PTHR35349', NULL, NULL, NULL, NULL, 'DYNACTIN-ASSOCIATED PROTEIN', 191012),
(247287, 'PTHR32448:SF35', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 26', 191013),
(247288, 'PTHR26450:SF391', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR, FAMILY A, SUBFAMILY 113, MEMBER 1-RELATED', 191014),
(247289, 'PTHR45688:SF4', NULL, NULL, NULL, NULL, 'ALANINE--GLYOXYLATE AMINOTRANSFERASE1', 191015),
(247290, 'PTHR10621:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191016),
(247291, 'PTHR13430:SF13', NULL, NULL, NULL, NULL, 'OSJNBA0091D06.22 PROTEIN', 191017),
(247292, 'PTHR43718', NULL, NULL, NULL, NULL, 'LON PROTEASE', 191018),
(247293, 'PTHR22734', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RIBONUCLEOPROTEIN PROTEIN IMP4', 191019),
(247294, 'PTHR16089:SF12', NULL, NULL, NULL, NULL, 'REST COREPRESSOR 2', 191020),
(247295, 'PTHR33596:SF13', NULL, NULL, NULL, NULL, 'COLD-REGULATED 413 PLASMA MEMBRANE PROTEIN 4', 191021),
(247296, 'PTHR13723:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191022),
(247297, 'PTHR24177:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191023),
(247298, 'PTHR24351:SF209', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 191024),
(247299, 'PTHR11588:SF329', NULL, NULL, NULL, NULL, 'TUBULIN BETA-4 CHAIN', 191025),
(247300, 'PTHR36478:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191026),
(247301, 'PTHR16267', NULL, NULL, NULL, NULL, 'BANK1/PIK3AP1 FAMILY MEMBER', 191027),
(247302, 'PTHR46639:SF3', NULL, NULL, NULL, NULL, 'DIENCEPHALON/MESENCEPHALON HOMEOBOX PROTEIN 1-A-RELATED', 191028),
(247303, 'PTHR27002:SF672', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN FAMILY PROTEIN, EXPRESSED', 191029),
(247304, 'PTHR16223:SF236', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH130', 191030),
(247305, 'PTHR38140:SF7', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 19-7', 191031),
(247306, 'PTHR24169:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RELB', 191032),
(247307, 'PTHR31009:SF71', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', 191033),
(247308, 'PTHR26450:SF67', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51V1', 191034),
(247309, 'PTHR11304', NULL, NULL, NULL, NULL, 'EPHRIN', 191035),
(247310, 'PTHR43124:SF4', NULL, NULL, NULL, NULL, 'SUGAR EFFLUX TRANSPORTER', 191036),
(247311, 'PTHR23262:SF212', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-6-RELATED', 191037),
(247312, 'PTHR36172:SF1', NULL, NULL, NULL, NULL, 'PARTIAL ORF FROM ISC1904', 191038),
(247313, 'PTHR33214:SF46', NULL, NULL, NULL, NULL, 'BNAA08G03050D PROTEIN', 191039),
(247314, 'PTHR32444:SF119', NULL, NULL, NULL, NULL, 'EP1-LIKE GLYCOPROTEIN 1', 191040),
(247315, 'PTHR42908:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191041),
(247316, 'PTHR11132:SF407', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-SUGAR TRANSPORTER FAMILY PROTEIN-RELATED', 191042),
(247317, 'PTHR34361:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191043),
(247318, 'PTHR31375:SF136', NULL, NULL, NULL, NULL, 'OS06G0611400 PROTEIN', 191044),
(247319, 'PTHR13789:SF304', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE YETM-RELATED', 191045),
(247320, 'PTHR31080:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191046),
(247321, 'PTHR33417:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191047),
(247322, 'PTHR35546:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191048),
(247323, 'PTHR30269:SF25', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN-RELATED', 191049);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(247324, 'PTHR32121', NULL, NULL, NULL, NULL, 'PCNA-INTERACTING PARTNER', 191050),
(247325, 'PTHR11781:SF22', NULL, NULL, NULL, NULL, 'TYPE I IODOTHYRONINE DEIODINASE', 191051),
(247326, 'PTHR24100:SF106', NULL, NULL, NULL, NULL, 'HERV-H LTR-ASSOCIATING PROTEIN 2', 191052),
(247327, 'PTHR10168:SF248', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C11-LIKE', 191053),
(247328, 'PTHR45707:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191054),
(247329, 'PTHR23105:SF163', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L7AE/L30E/S12E/GADD45 FAMILY PROTEIN', 191055),
(247330, 'PTHR24012:SF817', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191056),
(247331, 'PTHR21495:SF195', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 191057),
(247332, 'PTHR12419:SF7', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 3', 191058),
(247333, 'PTHR10024:SF348', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-17', 191059),
(247334, 'PTHR46529', NULL, NULL, NULL, NULL, 'TRNA WYBUTOSINE-SYNTHESIZING PROTEIN 4', 191060),
(247335, 'PTHR36062:SF5', NULL, NULL, NULL, NULL, 'BNAC03G65960D PROTEIN', 191061),
(247336, 'PTHR21337:SF29', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', 191062),
(247337, 'PTHR22933', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 191063),
(247338, 'PTHR18849:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 410-RELATED', 191064),
(247339, 'PTHR11848:SF241', NULL, NULL, NULL, NULL, 'ANTI-DORSALIZING MORPHOGENETIC PROTEIN', 191065),
(247340, 'PTHR21635:SF0', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER TRANSCRIPTION FACTOR-LIKE PROTEIN 1', 191066),
(247341, 'PTHR31727:SF3', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', 191067),
(247342, 'PTHR14233:SF4', NULL, NULL, NULL, NULL, 'ANTHOCYANIN-RELATED MEMBRANE PROTEIN 2-RELATED', 191068),
(247343, 'PTHR43205:SF5', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN REDUCTASE 2', 191069),
(247344, 'PTHR23139:SF105', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF LARGE SUBUNIT A', 191070),
(247345, 'PTHR11571:SF42', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', 191071),
(247346, 'PTHR19957:SF301', NULL, NULL, NULL, NULL, 'SYNTAXIN OF PLANTS 23-RELATED', 191072),
(247347, 'PTHR15124:SF18', NULL, NULL, NULL, NULL, 'SELENOPROTEIN W', 191073),
(247348, 'PTHR23111:SF68', NULL, NULL, NULL, NULL, 'TEX13 FAMILY MEMBER C3-RELATED', 191074),
(247349, 'PTHR46383:SF1', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', 191075),
(247350, 'PTHR11452:SF67', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE A-RELATED', 191076),
(247351, 'PTHR45812:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE ZETA CATALYTIC SUBUNIT', 191077),
(247352, 'PTHR15710:SF64', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHC1A-RELATED', 191078),
(247353, 'PTHR47966:SF19', NULL, NULL, NULL, NULL, 'NAPSIN A ASPARTIC PEPTIDASE', 191079),
(247354, 'PTHR10286:SF73', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE 6, CHLOROPLASTIC-LIKE', 191080),
(247355, 'PTHR11709:SF9', NULL, NULL, NULL, NULL, 'LACCASE-7', 191081),
(247356, 'PTHR45733:SF13', NULL, NULL, NULL, NULL, 'OS03G0428400 PROTEIN', 191082),
(247357, 'PTHR23255:SF63', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN RECEPTOR TYPE-2', 191083),
(247358, 'PTHR31190:SF240', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', 191084),
(247359, 'PTHR10666:SF319', NULL, NULL, NULL, NULL, 'NEDD8', 191085),
(247360, 'PTHR31009:SF103', NULL, NULL, NULL, NULL, 'SALICYLATE CARBOXYMETHYLTRANSFERASE-LIKE', 191086),
(247361, 'PTHR31734:SF192', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA9', 191087),
(247362, 'PTHR33122:SF13', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 4.1', 191088),
(247363, 'PTHR20988', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 191089),
(247364, 'PTHR12156', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN, FAMILY B, MEMBER 3', 191090),
(247365, 'PTHR34835:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191091),
(247366, 'PTHR11614:SF154', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN, EXPRESSED', 191092);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(247367, 'PTHR36978', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOTIDE TRIPHOSPHATE HYDROLASE', 191093),
(247368, 'PTHR10460:SF32', NULL, NULL, NULL, NULL, 'PROTEIN ABIL4', 191094),
(247369, 'PTHR33021:SF401', NULL, NULL, NULL, NULL, 'PLASTOCYANIN-LIKE DOMAIN PROTEIN', 191095),
(247370, 'PTHR27007:SF251', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.8', 191096),
(247371, 'PTHR23030:SF36', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING PROTEIN BRO1', 191097),
(247372, 'PTHR45648:SF117', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE ESM1', 191098),
(247373, 'PTHR11559:SF399', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE-RELATED', 191099),
(247374, 'PTHR11260:SF560', NULL, NULL, NULL, NULL, 'S-TRANSFERASE GSTU6, PUTATIVE, EXPRESSED-RELATED', 191100),
(247375, 'PTHR36749', NULL, NULL, NULL, NULL, 'F7O18.3 PROTEIN', 191101),
(247376, 'PTHR37557:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG10693', 191102),
(247377, 'PTHR33193:SF54', NULL, NULL, NULL, NULL, 'DUF3511 DOMAIN PROTEIN', 191103),
(247378, 'PTHR11640:SF107', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-LIKE CELL ADHESION MOLECULE FAMILY', 191104),
(247379, 'PTHR18966:SF421', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 191105),
(247380, 'PTHR46633:SF2', NULL, NULL, NULL, NULL, 'OS06G0233800 PROTEIN', 191106),
(247381, 'PTHR11502:SF23', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', 191107),
(247382, 'PTHR45974:SF201', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 191108),
(247383, 'PTHR10593:SF186', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN, PUTATIVE-RELATED', 191109),
(247384, 'PTHR31234:SF52', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA-14, IMMUNOGLOBULIN-LIKE FOLD PROTEIN-RELATED', 191110),
(247385, 'PTHR47303', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 191111),
(247386, 'PTHR45732:SF7', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8', 191112),
(247387, 'PTHR11909:SF176', NULL, NULL, NULL, NULL, 'KINASE I, EPSILON ISOFORM, PUTATIVE, EXPRESSED-RELATED', 191113),
(247388, 'PTHR21562:SF80', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 191114),
(247389, 'PTHR11654:SF317', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.3', 191115),
(247390, 'PTHR23360:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', 191116),
(247391, 'PTHR46843:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 16', 191117),
(247392, 'PTHR11802:SF203', NULL, NULL, NULL, NULL, 'OSJNBB0051N19.2 PROTEIN', 191118),
(247393, 'PTHR17206', NULL, NULL, NULL, NULL, 'PROLACTIN-RELEASING PEPTIDE', 191119),
(247394, 'PTHR46406:SF1', NULL, NULL, NULL, NULL, 'NITRIC OXIDE-ASSOCIATED PROTEIN 1', 191120),
(247395, 'PTHR10309:SF7', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE', 191121),
(247396, 'PTHR33624:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191122),
(247397, 'PTHR46825', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE-CARBOXYPEPTIDASE/ENDOPEPTIDASE AMPH', 191123),
(247398, 'PTHR31854', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE COMPLEX SUBUNIT 2', 191124),
(247399, 'PTHR10153:SF38', NULL, NULL, NULL, NULL, 'SMALL CONDUCTANCE CALCIUM-ACTIVATED POTASSIUM CHANNEL PROTEIN 1', 191125),
(247400, 'PTHR35000:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191126),
(247401, 'PTHR47444:SF2', NULL, NULL, NULL, NULL, 'BNAA03G16890D PROTEIN', 191127),
(247402, 'PTHR24071:SF17', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN', 191128),
(247403, 'PTHR31662:SF9', NULL, NULL, NULL, NULL, 'OS09G0126600 PROTEIN', 191129),
(247404, 'PTHR11769:SF23', NULL, NULL, NULL, NULL, 'HYALURONIDASE-1', 191130),
(247405, 'PTHR11895', NULL, NULL, NULL, NULL, 'TRANSAMIDASE', 191131),
(247406, 'PTHR34630:SF39', NULL, NULL, NULL, NULL, 'RESISTANCE DOMAIN PROTEIN', 191132),
(247407, 'PTHR47482:SF5', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', 191133),
(247408, 'PTHR13779:SF7', NULL, NULL, NULL, NULL, 'ATPASE WRNIP1', 191134),
(247409, 'PTHR36816:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN YMF19', 191135),
(247410, 'PTHR31471:SF55', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL REGION REMORIN', 191136); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(247411, 'PTHR39529:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191137),
(247412, 'PTHR13469:SF7', NULL, NULL, NULL, NULL, 'PROTEIN HEXIM1', 191138),
(247413, 'PTHR31589:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191139),
(247414, 'PTHR12489:SF17', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 4B', 191140),
(247415, 'PTHR24206:SF23', NULL, NULL, NULL, NULL, 'OS06G0237300 PROTEIN', 191141),
(247416, 'PTHR33264:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191142),
(247417, 'PTHR11017:SF401', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', 191143),
(247418, 'PTHR24064:SF113', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 1', 191144),
(247419, 'PTHR12015:SF5', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 1', 191145),
(247420, 'PTHR45745:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE-2', 191146),
(247421, 'PTHR31707:SF332', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 191147),
(247422, 'PTHR12276:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191148),
(247423, 'PTHR45811:SF49', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY-RELATED', 191149),
(247424, 'PTHR16771:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SEM1, ISOFORM 2-RELATED', 191150),
(247425, 'PTHR33074:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191151),
(247426, 'PTHR46044:SF11', NULL, NULL, NULL, NULL, 'NITRILASE 1-RELATED', 191152),
(247427, 'PTHR38768', NULL, NULL, NULL, NULL, 'UPF0502 PROTEIN YCEH', 191153),
(247428, 'PTHR43178:SF7', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE COMPONENT 2 OF PYRUVATE DEHYDROGENASE COMPLEX, MITOCHONDRIAL', 191154),
(247429, 'PTHR31042:SF70', NULL, NULL, NULL, NULL, 'OS01G0695200 PROTEIN', 191155),
(247430, 'PTHR34723:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191156),
(247431, 'PTHR10168:SF244', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C13', 191157),
(247432, 'PTHR31087:SF81', NULL, NULL, NULL, NULL, 'LURP-ONE-LIKE PROTEIN-RELATED', 191158),
(247433, 'PTHR24037:SF3', NULL, NULL, NULL, NULL, 'PROTEIN HEG HOMOLOG 1', 191159),
(247434, 'PTHR18896:SF137', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA 4', 191160),
(247435, 'PTHR31301:SF134', NULL, NULL, NULL, NULL, 'LATERAL ORGAN BOUNDARIES (LOB) DOMAIN PROTEIN', 191161),
(247436, 'PTHR12015:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191162),
(247437, 'PTHR46771', NULL, NULL, NULL, NULL, 'DETERIN', 191163),
(247438, 'PTHR21726:SF60', NULL, NULL, NULL, NULL, 'OS05G0551100 PROTEIN', 191164),
(247439, 'PTHR35580', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN (S-LAYER PROTEIN)-LIKE PROTEIN', 191165),
(247440, 'PTHR42751:SF4', NULL, NULL, NULL, NULL, 'K(+)/H(+) ANTIPORTER SUBUNIT KHTU', 191166),
(247441, 'PTHR12753', NULL, NULL, NULL, NULL, 'AD-003 - RELATED', 191167),
(247442, 'PTHR30251:SF10', NULL, NULL, NULL, NULL, 'FIMBRIAL CHAPERONE YEHC-RELATED', 191168),
(247443, 'PTHR31190:SF217', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', 191169),
(247444, 'PTHR24379:SF67', NULL, NULL, NULL, NULL, 'BLOODY FINGERS-RELATED', 191170),
(247445, 'PTHR34686:SF1', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST PROTEIN', 191171),
(247446, 'PTHR10910:SF143', NULL, NULL, NULL, NULL, 'AT07585P-RELATED', 191172),
(247447, 'PTHR45623:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191173),
(247448, 'PTHR47942:SF55', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 191174),
(247449, 'PTHR37455', NULL, NULL, NULL, NULL, 'GENE, 27021-RELATED', 191175),
(247450, 'PTHR11920:SF484', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE 2G', 191176),
(247451, 'PTHR47576', NULL, NULL, NULL, NULL, 'BRCT DOMAIN DNA REPAIR PROTEIN-RELATED', 191177),
(247452, 'PTHR14859:SF8', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', 191178),
(247453, 'PTHR19339:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191179),
(247454, 'PTHR47992:SF79', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1D', 191180),
(247455, 'PTHR31235:SF12', NULL, NULL, NULL, NULL, 'PEROXIDASE', 191181),
(247456, 'PTHR24413:SF108', NULL, NULL, NULL, NULL, 'TD AND POZ DOMAIN-CONTAINING PROTEIN 1-RELATED', 191182);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(247457, 'PTHR31989:SF347', NULL, NULL, NULL, NULL, 'NAC DOMAIN TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', 191183),
(247458, 'PTHR45730:SF66', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-RELATED', 191184),
(247459, 'PTHR14235', NULL, NULL, NULL, NULL, 'OSTEOCALCIN', 191185),
(247460, 'PTHR48043:SF55', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', 191186),
(247461, 'PTHR16243:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BANP', 191187),
(247462, 'PTHR14326:SF38', NULL, NULL, NULL, NULL, 'CELL CYCLE REGULATED MICROTUBULE-ASSOCIATED PROTEIN', 191188),
(247463, 'PTHR44749', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF RPS4-RLD 1', 191189),
(247464, 'PTHR22850:SF192', NULL, NULL, NULL, NULL, 'OS07G0139700 PROTEIN', 191190),
(247465, 'PTHR10352:SF51', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', 191191),
(247466, 'PTHR15672:SF27', NULL, NULL, NULL, NULL, 'BNAA01G31440D PROTEIN', 191192),
(247467, 'PTHR11561:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE [GTP]-RELATED', 191193),
(247468, 'PTHR11932:SF95', NULL, NULL, NULL, NULL, 'CULLIN-3A-RELATED', 191194),
(247469, 'PTHR43272:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191195),
(247470, 'PTHR32444:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191196),
(247471, 'PTHR11706:SF52', NULL, NULL, NULL, NULL, 'NATURAL RESISTANCE-ASSOCIATED MACROPHAGE PROTEIN 1', 191197),
(247472, 'PTHR15724:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 26', 191198),
(247473, 'PTHR46314:SF3', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 44A', 191199),
(247474, 'PTHR40704:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT4', 191200),
(247475, 'PTHR24253:SF33', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 48', 191201),
(247476, 'PTHR33172:SF44', NULL, NULL, NULL, NULL, 'OS02G0684400 PROTEIN', 191202),
(247477, 'PTHR14614:SF131', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE METHYLTRANSFERASE C42C1.13', 191203),
(247478, 'PTHR15710:SF47', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RZF1', 191204),
(247479, 'PTHR13198:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF25', 191205),
(247480, 'PTHR11736:SF91', NULL, NULL, NULL, NULL, 'MAGE-G2', 191206),
(247481, 'PTHR36015', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RESOLVASE MOC1, CHLOROPLASTIC-RELATED', 191207),
(247482, 'PTHR48040:SF20', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 39-LIKE ISOFORM X2', 191208),
(247483, 'PTHR31989:SF250', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', 191209),
(247484, 'PTHR31945:SF121', NULL, NULL, NULL, NULL, 'BNAA04G21550D PROTEIN', 191210),
(247485, 'PTHR48053:SF33', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 191211),
(247486, 'PTHR33911:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191212),
(247487, 'PTHR45988:SF45', NULL, NULL, NULL, NULL, 'BNAA09G27780D PROTEIN', 191213),
(247488, 'PTHR45732:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191214),
(247489, 'PTHR23213:SF361', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 191215),
(247490, 'PTHR31307:SF12', NULL, NULL, NULL, NULL, 'OS02G0565000 PROTEIN', 191216),
(247491, 'PTHR32345', NULL, NULL, NULL, NULL, 'MYB-RELATED TRANSCRIPTION FACTOR, PARTNER OF PROFILIN', 191217),
(247492, 'PTHR31642:SF28', NULL, NULL, NULL, NULL, 'OS06G0150550 PROTEIN', 191218),
(247493, 'PTHR12506:SF58', NULL, NULL, NULL, NULL, 'BNAC04G11770D PROTEIN', 191219),
(247494, 'PTHR33048:SF64', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', 191220),
(247495, 'PTHR31042:SF112', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14, CHITOBIASE/BETA-HEXOSAMINIDASE DOMAIN 2-LIKE PROTEIN-RELATED', 191221),
(247496, 'PTHR21540', NULL, NULL, NULL, NULL, 'RING FINGER AND SWIM DOMAIN-CONTAINING PROTEIN 2', 191222),
(247497, 'PTHR46154', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 191223),
(247498, 'PTHR32212:SF264', NULL, NULL, NULL, NULL, 'FBD-LIKE DOMAIN FAMILY PROTEIN', 191224),
(247499, 'PTHR22952:SF441', NULL, NULL, NULL, NULL, 'BNAC04G24820D PROTEIN', 191225);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(247500, 'PTHR15127:SF33', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING ADAPTER PROTEIN D', 191226),
(247501, 'PTHR42684', NULL, NULL, NULL, NULL, 'ADENOSYLMETHIONINE-8-AMINO-7-OXONONANOATE AMINOTRANSFERASE', 191227),
(247502, 'PTHR13878:SF122', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE 1-RELATED', 191228),
(247503, 'PTHR12308:SF22', NULL, NULL, NULL, NULL, 'ANOCTAMIN-7', 191229),
(247504, 'PTHR14894:SF0', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 3', 191230),
(247505, 'PTHR24177:SF314', NULL, NULL, NULL, NULL, 'ANKYRIN-3-LIKE', 191231),
(247506, 'PTHR11802:SF366', NULL, NULL, NULL, NULL, 'BNAC04G31880D PROTEIN', 191232),
(247507, 'PTHR13878:SF114', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 1', 191233),
(247508, 'PTHR43027:SF1', NULL, NULL, NULL, NULL, 'DOXORUBICIN RESISTANCE ABC TRANSPORTER PERMEASE PROTEIN DRRC-RELATED', 191234),
(247509, 'PTHR19328:SF36', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', 191235),
(247510, 'PTHR23226:SF195', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 202', 191236),
(247511, 'PTHR33047:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191237),
(247512, 'PTHR10502:SF226', NULL, NULL, NULL, NULL, 'ANNEXIN', 191238),
(247513, 'PTHR46128:SF62', NULL, NULL, NULL, NULL, 'BNAC01G19030D PROTEIN', 191239),
(247514, 'PTHR19331:SF464', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191240),
(247515, 'PTHR11079:SF149', NULL, NULL, NULL, NULL, 'TRNA-SPECIFIC ADENOSINE DEAMINASE 2', 191241),
(247516, 'PTHR24298:SF466', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81F2', 191242),
(247517, 'PTHR24379:SF97', NULL, NULL, NULL, NULL, 'ZNF440 ISOFORM 1', 191243),
(247518, 'PTHR10725:SF64', NULL, NULL, NULL, NULL, 'THAP DOMAIN CONTAINING 7', 191244),
(247519, 'PTHR43381:SF14', NULL, NULL, NULL, NULL, 'BNAA09G43830D PROTEIN', 191245),
(247520, 'PTHR11082:SF26', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(16) SYNTHASE', 191246),
(247521, 'PTHR31506:SF2', NULL, NULL, NULL, NULL, 'BES1/BZR1 HOMOLOG PROTEIN 3', 191247),
(247522, 'PTHR12224:SF9', NULL, NULL, NULL, NULL, 'BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 191248),
(247523, 'PTHR36245:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 191249),
(247524, 'PTHR11746:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191250),
(247525, 'PTHR34883:SF4', NULL, NULL, NULL, NULL, 'RICH PROTEIN, PUTATIVE-RELATED', 191251),
(247526, 'PTHR47986:SF11', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE TMK2', 191252),
(247527, 'PTHR31175:SF69', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR64', 191253),
(247528, 'PTHR19847:SF20', NULL, NULL, NULL, NULL, 'OS05G0407200 PROTEIN', 191254),
(247529, 'PTHR45977:SF33', NULL, NULL, NULL, NULL, 'BNACNNG67740D PROTEIN', 191255),
(247530, 'PTHR45724:SF29', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP4-2-RELATED', 191256),
(247531, 'PTHR11258:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191257),
(247532, 'PTHR24188:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191258),
(247533, 'PTHR15087:SF15', NULL, NULL, NULL, NULL, 'CUTINASE', 191259),
(247534, 'PTHR11232:SF68', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE 1 (NEURONAL) ADAPTOR PROTEIN A-RELATED', 191260),
(247535, 'PTHR33865:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM183A', 191261),
(247536, 'PTHR43205:SF57', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', 191262),
(247537, 'PTHR46408', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 63', 191263),
(247538, 'PTHR11831:SF32', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S9, PUTATIVE, EXPRESSED-RELATED', 191264),
(247539, 'PTHR14112:SF5', NULL, NULL, NULL, NULL, 'MCG1044712-RELATED', 191265),
(247540, 'PTHR30472:SF25', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN MJ0876-RELATED', 191266),
(247541, 'PTHR46043:SF8', NULL, NULL, NULL, NULL, 'ARMADILLO/BETA-CATENIN-LIKE REPEAT PROTEIN', 191267),
(247542, 'PTHR15600:SF37', NULL, NULL, NULL, NULL, 'SACSIN', 191268),
(247543, 'PTHR27009:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191269),
(247544, 'PTHR11972:SF161', NULL, NULL, NULL, NULL, 'BNAC02G38300D PROTEIN', 191270);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(247545, 'PTHR26374:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191271),
(247546, 'PTHR19965:SF70', NULL, NULL, NULL, NULL, 'CHROMATIN TARGET OF PRMT1 PROTEIN', 191272),
(247547, 'PTHR37816:SF1', NULL, NULL, NULL, NULL, 'DNA TOPOLOGY MODULATION PROTEIN FLAR-RELATED PROTEIN', 191273),
(247548, 'PTHR24100:SF2', NULL, NULL, NULL, NULL, 'CD276 ANTIGEN', 191274),
(247549, 'PTHR22937:SF164', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 191275),
(247550, 'PTHR46086:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191276),
(247551, 'PTHR47716', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 4', 191277),
(247552, 'PTHR43514', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 10', 191278),
(247553, 'PTHR47958:SF52', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 46', 191279),
(247554, 'PTHR11730:SF104', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1 MEMBER 2', 191280),
(247555, 'PTHR12702:SF5', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT', 191281),
(247556, 'PTHR14315:SF17', NULL, NULL, NULL, NULL, 'MIP21584P', 191282),
(247557, 'PTHR11566:SF133', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 1', 191283),
(247558, 'PTHR35403:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191284),
(247559, 'PTHR48047:SF24', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 191285),
(247560, 'PTHR30405:SF11', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSQ FOR INSERTION SEQUENCE ELEMENT IS609-RELATED', 191286),
(247561, 'PTHR10794:SF63', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE 1, ISOFORM A', 191287),
(247562, 'PTHR46086:SF9', NULL, NULL, NULL, NULL, 'FERULOYL ESTERASE A-LIKE', 191288),
(247563, 'PTHR43083:SF6', NULL, NULL, NULL, NULL, 'MANNAN POLYMERASE COMPLEXES SUBUNIT MNN9', 191289),
(247564, 'PTHR24128:SF38', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', 191290),
(247565, 'PTHR24281:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191291),
(247566, 'PTHR45618:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191292),
(247567, 'PTHR33076:SF138', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', 191293),
(247568, 'PTHR32212:SF354', NULL, NULL, NULL, NULL, 'BNAC03G13290D PROTEIN', 191294),
(247569, 'PTHR11227:SF61', NULL, NULL, NULL, NULL, 'BNAC06G18590D PROTEIN', 191295),
(247570, 'PTHR33265:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191296),
(247571, 'PTHR15653:SF0', NULL, NULL, NULL, NULL, 'CONNECTOR OF KINASE TO AP-1, ISOFORM E', 191297),
(247572, 'PTHR10983:SF13', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE-LIKE', 191298),
(247573, 'PTHR10791:SF179', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 191299),
(247574, 'PTHR11711:SF384', NULL, NULL, NULL, NULL, 'BNAA09G14150D PROTEIN', 191300),
(247575, 'PTHR45648:SF80', NULL, NULL, NULL, NULL, 'BNAA02G09320D PROTEIN', 191301),
(247576, 'PTHR22603:SF75', NULL, NULL, NULL, NULL, 'CHOLINE KINASE 3-RELATED', 191302),
(247577, 'PTHR10869:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191303),
(247578, 'PTHR12358:SF95', NULL, NULL, NULL, NULL, 'ZGC:158263', 191304),
(247579, 'PTHR15601:SF26', NULL, NULL, NULL, NULL, 'STRESS ASSOCIATED ENDOPLASMIC RETICULUM PROTEIN', 191305),
(247580, 'PTHR48019:SF53', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL17', 191306),
(247581, 'PTHR11654:SF492', NULL, NULL, NULL, NULL, 'BNAC07G13630D PROTEIN', 191307),
(247582, 'PTHR31638', NULL, NULL, NULL, NULL, 'DAZ-ASSOCIATED PROTEIN 2', 191308),
(247583, 'PTHR43317:SF8', NULL, NULL, NULL, NULL, 'BNAA02G04280D PROTEIN', 191309),
(247584, 'PTHR10108:SF1111', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT6-RELATED', 191310),
(247585, 'PTHR26450:SF385', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52K1', 191311),
(247586, 'PTHR37948', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 191312),
(247587, 'PTHR23054:SF75', NULL, NULL, NULL, NULL, 'BNAA09G41890D PROTEIN', 191313),
(247588, 'PTHR34769', NULL, NULL, NULL, NULL, 'RCG42593, ISOFORM CRA_A', 191314),
(247589, 'PTHR47629:SF3', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 191315);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(247590, 'PTHR22600:SF21', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE', 191316),
(247591, 'PTHR10845', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN SIGNALING', 191317),
(247592, 'PTHR47982:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191318),
(247593, 'PTHR13301:SF212', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191319),
(247594, 'PTHR10199:SF100', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN, ISOFORM A', 191320),
(247595, 'PTHR47958:SF91', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DBP2-LIKE', 191321),
(247596, 'PTHR11227', NULL, NULL, NULL, NULL, 'WD-REPEAT PROTEIN INTERACTING WITH PHOSPHOINOSIDES  WIPI -RELATED', 191322),
(247597, 'PTHR15592:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191323),
(247598, 'PTHR13400', NULL, NULL, NULL, NULL, 'CHEMOKINE C-C MOTIF RECEPTOR 1', 191324),
(247599, 'PTHR33127:SF48', NULL, NULL, NULL, NULL, 'BNACNNG76600D PROTEIN', 191325),
(247600, 'PTHR19433:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191326),
(247601, 'PTHR28141', NULL, NULL, NULL, NULL, '2'',3''-CYCLIC-NUCLEOTIDE 3''-PHOSPHODIESTERASE', 191327),
(247602, 'PTHR43464:SF3', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE-RELATED', 191328),
(247603, 'PTHR11668:SF285', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', 191329),
(247604, 'PTHR23249:SF17', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT-RELATED', 191330),
(247605, 'PTHR10826:SF31', NULL, NULL, NULL, NULL, 'BNAA03G12110D PROTEIN', 191331),
(247606, 'PTHR43443:SF1', NULL, NULL, NULL, NULL, '3-HEXULOSE-6-PHOSPHATE ISOMERASE', 191332),
(247607, 'PTHR34191:SF15', NULL, NULL, NULL, NULL, 'BNAA01G32930D PROTEIN', 191333),
(247608, 'PTHR31639:SF42', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', 191334),
(247609, 'PTHR31890:SF10', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 2-LIKE', 191335),
(247610, 'PTHR30258:SF26', NULL, NULL, NULL, NULL, 'MSHA BIOGENESIS PROTEIN MSHE', 191336),
(247611, 'PTHR22941:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 191337),
(247612, 'PTHR43826:SF2', NULL, NULL, NULL, NULL, 'HEXOSE-6-PHOSPHATE:PHOSPHATE ANTIPORTER', 191338),
(247613, 'PTHR46503:SF9', NULL, NULL, NULL, NULL, 'INTER ALPHA-TRYPSIN INHIBITOR, HEAVY CHAIN-LIKE PROTEIN', 191339),
(247614, 'PTHR43424:SF1', NULL, NULL, NULL, NULL, 'LOCUS PUTATIVE PROTEIN 1-RELATED', 191340),
(247615, 'PTHR21077:SF10', NULL, NULL, NULL, NULL, 'ESSENTIAL MEIOTIC STRUCTURE-SPECIFIC ENDONUCLEASE 1', 191341),
(247616, 'PTHR32100:SF49', NULL, NULL, NULL, NULL, 'DELTA(12)-FATTY-ACID DESATURASE', 191342),
(247617, 'PTHR13555:SF59', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700034E13 GENE', 191343),
(247618, 'PTHR15664:SF17', NULL, NULL, NULL, NULL, 'BNACNNG58570D PROTEIN', 191344),
(247619, 'PTHR46997', NULL, NULL, NULL, NULL, 'LOW AFFINITY TRYPTOPHAN PERMEASE-RELATED', 191345),
(247620, 'PTHR11040:SF131', NULL, NULL, NULL, NULL, 'ZINC-REGULATED TRANSPORTER 3', 191346),
(247621, 'PTHR13683:SF828', NULL, NULL, NULL, NULL, 'PROTEINASE NEPENTHESIN-2, PUTATIVE-RELATED', 191347),
(247622, 'PTHR36379', NULL, NULL, NULL, NULL, 'PROTEIN PRD1', 191348),
(247623, 'PTHR47520:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG08834', 191349),
(247624, 'PTHR11759:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191350),
(247625, 'PTHR46662:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191351),
(247626, 'PTHR46886:SF1', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR II', 191352),
(247627, 'PTHR24035', NULL, NULL, NULL, NULL, 'MULTIPLE EPIDERMAL GROWTH FACTOR-LIKE DOMAINS PROTEIN', 191353),
(247628, 'PTHR10108:SF1098', NULL, NULL, NULL, NULL, 'PMT26-LIKE PROTEIN, PUTATIVE-RELATED', 191354),
(247629, 'PTHR11652:SF57', NULL, NULL, NULL, NULL, 'BNAANNG32630D PROTEIN', 191355),
(247630, 'PTHR37610:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191356),
(247631, 'PTHR16223:SF202', NULL, NULL, NULL, NULL, 'BNACNNG37600D PROTEIN', 191357),
(247632, 'PTHR11071:SF484', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', 191358),
(247633, 'PTHR45000:SF4', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN-BINDING PROTEIN', 191359);
INSERT INTO "PUBLIC"."MODEL" VALUES
(247634, 'PTHR10885:SF15', NULL, NULL, NULL, NULL, 'OS05G0413400 PROTEIN', 191360),
(247635, 'PTHR33493:SF2', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 46', 191361),
(247636, 'PTHR35096:SF10', NULL, NULL, NULL, NULL, 'OS03G0308700 PROTEIN', 191362),
(247637, 'PTHR37443:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG23797', 191363),
(247638, 'PTHR12506:SF61', NULL, NULL, NULL, NULL, 'BNAA09G26730D PROTEIN', 191364),
(247639, 'PTHR31790:SF402', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED INTERACTION DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', 191365),
(247640, 'PTHR11165:SF124', NULL, NULL, NULL, NULL, 'S-PHASE KINASE-ASSOCIATED PROTEIN-RELATED', 191366),
(247641, 'PTHR22800:SF242', NULL, NULL, NULL, NULL, 'NKG2-A/NKG2-B TYPE II INTEGRAL MEMBRANE PROTEIN', 191367),
(247642, 'PTHR45463:SF4', NULL, NULL, NULL, NULL, 'OS09G0392200 PROTEIN', 191368),
(247643, 'PTHR31190:SF173', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED GENES TRANSCRIPTIONAL ACTIVATOR PTI5', 191369),
(247644, 'PTHR48111:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN CIAR', 191370),
(247645, 'PTHR10775:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191371),
(247646, 'PTHR10209:SF772', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191372),
(247647, 'PTHR11866:SF33', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E RECEPTOR 1C (SUBTYPE EP1)', 191373),
(247648, 'PTHR27006:SF326', NULL, NULL, NULL, NULL, 'BNAA06G32280D PROTEIN', 191374),
(247649, 'PTHR11926:SF751', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 191375),
(247650, 'PTHR48018:SF7', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8B8', 191376),
(247651, 'PTHR43592:SF21', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN-RELATED', 191377),
(247652, 'PTHR31325:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191378),
(247653, 'PTHR18919:SF12', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE RV0859-RELATED', 191379),
(247654, 'PTHR12151', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT PROTIN SCO1/SENC FAMILY MEMBER', 191380),
(247655, 'PTHR33181:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191381),
(247656, 'PTHR47155:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG24379', 191382),
(247657, 'PTHR35573', NULL, NULL, NULL, NULL, 'PROTEIN CBG22129', 191383),
(247658, 'PTHR19836:SF23', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S14', 191384),
(247659, 'PTHR23147:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191385),
(247660, 'PTHR14043', NULL, NULL, NULL, NULL, 'CCAAT DISPLACEMENT PROTEIN-RELATED', 191386),
(247661, 'PTHR10585:SF29', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR', 191387),
(247662, 'PTHR10949:SF32', NULL, NULL, NULL, NULL, 'LIPOYL SYNTHASE, CHLOROPLASTIC', 191388),
(247663, 'PTHR13180:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 50B', 191389),
(247664, 'PTHR11877:SF23', NULL, NULL, NULL, NULL, 'OS10G0168500 PROTEIN', 191390),
(247665, 'PTHR10106:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME B561', 191391),
(247666, 'PTHR37261:SF1', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', 191392),
(247667, 'PTHR35305:SF2', NULL, NULL, NULL, NULL, 'FAD-BINDING PROTEIN', 191393),
(247668, 'PTHR12815', NULL, NULL, NULL, NULL, 'SORTING AND ASSEMBLY MACHINERY SAMM50 PROTEIN FAMILY MEMBER', 191394),
(247669, 'PTHR47105:SF3', NULL, NULL, NULL, NULL, 'BNAC09G18280D PROTEIN', 191395),
(247670, 'PTHR33095:SF8', NULL, NULL, NULL, NULL, 'DUF1645 FAMILY PROTEIN', 191396),
(247671, 'PTHR15710:SF119', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 191397),
(247672, 'PTHR33147:SF43', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN P322', 191398),
(247673, 'PTHR46485:SF4', NULL, NULL, NULL, NULL, 'LIM DOMAIN KINASE 1', 191399),
(247674, 'PTHR23024:SF171', NULL, NULL, NULL, NULL, 'OS09G0461800 PROTEIN', 191400),
(247675, 'PTHR32286:SF10', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G6F', 191401),
(247676, 'PTHR32499', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 16', 191402),
(247677, 'PTHR35254', NULL, NULL, NULL, NULL, 'STIMULATED BY RETINOIC ACID GENE 8 PROTEIN HOMOLOG', 191403);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(247678, 'PTHR31232:SF109', NULL, NULL, NULL, NULL, 'BNAA08G12220D PROTEIN', 191404),
(247679, 'PTHR27003:SF370', NULL, NULL, NULL, NULL, 'BNAA10G12670D PROTEIN', 191405),
(247680, 'PTHR31509:SF115', NULL, NULL, NULL, NULL, 'BNAC04G04750D PROTEIN', 191406),
(247681, 'PTHR46288:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191407),
(247682, 'PTHR17005:SF3', NULL, NULL, NULL, NULL, 'MALE-ENHANCED ANTIGEN 1', 191408),
(247683, 'PTHR33091:SF41', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, POTATO INHIBITOR I-TYPE FAMILY PROTEIN-RELATED', 191409),
(247684, 'PTHR46887:SF1', NULL, NULL, NULL, NULL, 'TANDEM C2 DOMAINS NUCLEAR PROTEIN', 191410),
(247685, 'PTHR23088:SF56', NULL, NULL, NULL, NULL, 'LMO0792 PROTEIN', 191411),
(247686, 'PTHR31388:SF116', NULL, NULL, NULL, NULL, 'PEROXIDASE', 191412),
(247687, 'PTHR45665', NULL, NULL, NULL, NULL, 'AQUAPORIN-8', 191413),
(247688, 'PTHR12001:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191414),
(247689, 'PTHR21146:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MEF2BNB HOMOLOG', 191415),
(247690, 'PTHR11306:SF52', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL/PHOSPHATIDYLINOSITOL TRANSFER PROTEIN', 191416),
(247691, 'PTHR46195:SF24', NULL, NULL, NULL, NULL, 'BNAANNG30630D PROTEIN', 191417),
(247692, 'PTHR46285:SF9', NULL, NULL, NULL, NULL, 'BNAC03G70340D PROTEIN', 191418),
(247693, 'PTHR23036:SF156', NULL, NULL, NULL, NULL, 'INTERLEUKIN-12 SUBUNIT BETA', 191419),
(247694, 'PTHR11062:SF265', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', 191420),
(247695, 'PTHR11738:SF4', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN ALPHA FC RECEPTOR', 191421),
(247696, 'PTHR31235:SF190', NULL, NULL, NULL, NULL, 'PEROXIDASE', 191422),
(247697, 'PTHR11716:SF91', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(2)', 191423),
(247698, 'PTHR13848:SF74', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 191424),
(247699, 'PTHR33116:SF48', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 191425),
(247700, 'PTHR11945:SF187', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN AGAMOUS', 191426),
(247701, 'PTHR21014:SF5', NULL, NULL, NULL, NULL, 'TYPE 2 PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 4-PHOSPHATASE', 191427),
(247702, 'PTHR24070:SF393', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAP-1B-RELATED', 191428),
(247703, 'PTHR27005:SF344', NULL, NULL, NULL, NULL, 'BNAANNG18620D PROTEIN', 191429),
(247704, 'PTHR47600:SF1', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD-LIKE PROTEIN', 191430),
(247705, 'PTHR12406:SF22', NULL, NULL, NULL, NULL, '1-ACYLGLYCEROL-3-PHOSPHATE O-ACYLTRANSFERASE PNPLA3', 191431),
(247706, 'PTHR10707:SF10', NULL, NULL, NULL, NULL, 'AT07685P-RELATED', 191432),
(247707, 'PTHR45679:SF4', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', 191433),
(247708, 'PTHR43706:SF12', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE-LIKE PROTEIN YUTJ', 191434),
(247709, 'PTHR24282:SF150', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 709B2', 191435),
(247710, 'PTHR31388:SF189', NULL, NULL, NULL, NULL, 'PEROXIDASE', 191436),
(247711, 'PTHR43272:SF22', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE 4', 191437),
(247712, 'PTHR31731:SF120', NULL, NULL, NULL, NULL, 'OS06G0643500 PROTEIN', 191438),
(247713, 'PTHR33191:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191439),
(247714, 'PTHR31418:SF4', NULL, NULL, NULL, NULL, 'FATTY ACID/RETINOL BINDING PROTEIN', 191440),
(247715, 'PTHR15698:SF9', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA HYDROXYLASE-INTERACTING PROTEIN', 191441),
(247716, 'PTHR43097', NULL, NULL, NULL, NULL, 'GLUTAMINE-TRNA LIGASE', 191442),
(247717, 'PTHR12220:SF22', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L16-RELATED', 191443),
(247718, 'PTHR43895:SF113', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 191444),
(247719, 'PTHR46128:SF218', NULL, NULL, NULL, NULL, 'BNAA05G16710D PROTEIN', 191445),
(247720, 'PTHR15854:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG18583', 191446),
(247721, 'PTHR11071:SF222', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE 2', 191447),
(247722, 'PTHR31370', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FAMILY-LIKE', 191448);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(247723, 'PTHR11913:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191449),
(247724, 'PTHR10796:SF112', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 191450),
(247725, 'PTHR45677:SF14', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE 1B', 191451),
(247726, 'PTHR40394:SF2', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', 191452),
(247727, 'PTHR36465', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME-C REDUCTASE COMPLEX ASSEMBLY FACTOR 3', 191453),
(247728, 'PTHR19375:SF381', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN', 191454),
(247729, 'PTHR33827:SF6', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', 191455),
(247730, 'PTHR10992:SF1023', NULL, NULL, NULL, NULL, 'METHYLESTERASE 11, CHLOROPLASTIC ISOFORM X1-RELATED', 191456),
(247731, 'PTHR31865:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191457),
(247732, 'PTHR24343:SF461', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 191458),
(247733, 'PTHR21392:SF1', NULL, NULL, NULL, NULL, 'DTW DOMAIN-CONTAINING PROTEIN YFIP', 191459),
(247734, 'PTHR11208:SF34', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING, RNA-BINDING, SIGNAL TRANSDUCTION-ASSOCIATED PROTEIN 2', 191460),
(247735, 'PTHR37680', NULL, NULL, NULL, NULL, 'C130050O18RIK PROTEIN', 191461),
(247736, 'PTHR34567:SF9', NULL, NULL, NULL, NULL, 'CONTAINING PROTEIN, PUTATIVE-RELATED', 191462),
(247737, 'PTHR11783:SF196', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 191463),
(247738, 'PTHR40738', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 191464),
(247739, 'PTHR34378:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE, CHLOROPLASTIC', 191465),
(247740, 'PTHR31080:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191466),
(247741, 'PTHR32258:SF6', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1D ISOFORM X1', 191467),
(247742, 'PTHR11439:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191468),
(247743, 'PTHR34009', NULL, NULL, NULL, NULL, 'PROTEIN STAR', 191469),
(247744, 'PTHR45987:SF17', NULL, NULL, NULL, NULL, 'BNACNNG16350D PROTEIN', 191470),
(247745, 'PTHR48017:SF47', NULL, NULL, NULL, NULL, 'OSJNBA0084K11.20 PROTEIN', 191471),
(247746, 'PTHR18914:SF21', NULL, NULL, NULL, NULL, 'CATENIN ALPHA-3', 191472),
(247747, 'PTHR46765', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', 191473),
(247748, 'PTHR31412:SF2', NULL, NULL, NULL, NULL, 'ZINC METALLOPEPTIDASE EGY3, CHLOROPLASTIC-RELATED', 191474),
(247749, 'PTHR10480:SF2', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG C', 191475),
(247750, 'PTHR46122:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191476),
(247751, 'PTHR14076:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR ACTIVITY-MODIFYING PROTEIN 2', 191477),
(247752, 'PTHR45770:SF28', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 191478),
(247753, 'PTHR21726:SF57', NULL, NULL, NULL, NULL, 'GPI-ANCHORED ADHESIN-LIKE PROTEIN', 191479),
(247754, 'PTHR47670', NULL, NULL, NULL, NULL, 'ADENYLYLSULFATASE HINT3', 191480),
(247755, 'PTHR31236:SF37', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 5-LIKE', 191481),
(247756, 'PTHR23159:SF18', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 135 KDA', 191482),
(247757, 'PTHR31218:SF170', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 191483),
(247758, 'PTHR46366:SF2', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 7', 191484),
(247759, 'PTHR24177:SF324', NULL, NULL, NULL, NULL, 'BNAC05G02050D PROTEIN', 191485),
(247760, 'PTHR24062:SF31', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 191486),
(247761, 'PTHR42933:SF3', NULL, NULL, NULL, NULL, 'SLR6095 PROTEIN', 191487),
(247762, 'PTHR43272:SF28', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE 1', 191488),
(247763, 'PTHR44042:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191489),
(247764, 'PTHR31549:SF166', NULL, NULL, NULL, NULL, 'OS05G0198100 PROTEIN', 191490),
(247765, 'PTHR42899', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 20', 191491),
(247766, 'PTHR11216:SF1', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', 191492);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(247767, 'PTHR36047', NULL, NULL, NULL, NULL, 'OS01G0191000 PROTEIN', 191493),
(247768, 'PTHR33977:SF4', NULL, NULL, NULL, NULL, 'ZINC ION-BINDING PROTEIN', 191494),
(247769, 'PTHR14499:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG07773', 191495),
(247770, 'PTHR33448:SF5', NULL, NULL, NULL, NULL, 'TROPONIN T, SKELETAL MUSCLE-LIKE', 191496),
(247771, 'PTHR33052:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191497),
(247772, 'PTHR11808:SF77', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-LYASE METC', 191498),
(247773, 'PTHR33747:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191499),
(247774, 'PTHR12483:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191500),
(247775, 'PTHR47968:SF23', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7A', 191501),
(247776, 'PTHR38737:SF1', NULL, NULL, NULL, NULL, 'ACTIN-FRAGMIN KINASE DDB_G0279609-RELATED', 191502),
(247777, 'PTHR13318:SF167', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 5', 191503),
(247778, 'PTHR24054:SF42', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA-LIKE', 191504),
(247779, 'PTHR43874:SF93', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 191505),
(247780, 'PTHR10374:SF30', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE', 191506),
(247781, 'PTHR10336:SF51', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE ETA-1', 191507),
(247782, 'PTHR31639:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191508),
(247783, 'PTHR33264:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191509),
(247784, 'PTHR28015', NULL, NULL, NULL, NULL, 'ATP SYNTHASE ASSEMBLY FACTOR FMC1, MITOCHONDRIAL', 191510),
(247785, 'PTHR33772', NULL, NULL, NULL, NULL, 'THYMUS, BRAIN AND TESTES-ASSOCIATED', 191511),
(247786, 'PTHR23239:SF164', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 15', 191512),
(247787, 'PTHR30633', NULL, NULL, NULL, NULL, 'CYTOCHROME C-552 RESPIRATORY NITRITE REDUCTASE', 191513),
(247788, 'PTHR24068:SF193', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 N-LIKE', 191514),
(247789, 'PTHR32134', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 191515),
(247790, 'PTHR45824:SF6', NULL, NULL, NULL, NULL, 'GH16843P', 191516),
(247791, 'PTHR24343:SF340', NULL, NULL, NULL, NULL, 'SPERM MOTILITY KINASE W-RELATED', 191517),
(247792, 'PTHR15486:SF78', NULL, NULL, NULL, NULL, 'BNAA05G27110D PROTEIN', 191518),
(247793, 'PTHR45617:SF65', NULL, NULL, NULL, NULL, 'ACID LABILE SUBUNIT', 191519),
(247794, 'PTHR31602:SF65', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 1-LIKE', 191520),
(247795, 'PTHR11219', NULL, NULL, NULL, NULL, 'TENEURIN AND N-ACETYLGLUCOSAMINE-1-PHOSPHODIESTER ALPHA-N-ACETYLGLUCOSAMINIDASE', 191521),
(247796, 'PTHR10352:SF42', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN R', 191522),
(247797, 'PTHR46581:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 191523),
(247798, 'PTHR11595:SF27', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-DELTA 2', 191524),
(247799, 'PTHR23024:SF537', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191525),
(247800, 'PTHR34482:SF31', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG DOMAIN, ASPARTIC PEPTIDASE DOMAIN PROTEIN-RELATED', 191526),
(247801, 'PTHR37822:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191527),
(247802, 'PTHR15975:SF0', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 11', 191528),
(247803, 'PTHR11062:SF229', NULL, NULL, NULL, NULL, 'GLUCURONOXYLAN GLUCURONOSYLTRANSFERASE IRX7-RELATED', 191529),
(247804, 'PTHR23012:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191530),
(247805, 'PTHR47972:SF31', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14Q', 191531),
(247806, 'PTHR11941:SF127', NULL, NULL, NULL, NULL, 'ENOYL COA HYDRATASE-RELATED', 191532),
(247807, 'PTHR31238:SF162', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY T MEMBER 3', 191533),
(247808, 'PTHR31096:SF70', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN-RELATED', 191534),
(247809, 'PTHR45621:SF121', NULL, NULL, NULL, NULL, 'BNAA03G53450D PROTEIN', 191535),
(247810, 'PTHR43047:SF5', NULL, NULL, NULL, NULL, 'OSMOSENSING HISTIDINE PROTEIN KINASE SLN1', 191536);
INSERT INTO "PUBLIC"."MODEL" VALUES
(247811, 'PTHR47968:SF4', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12B', 191537),
(247812, 'PTHR22849:SF115', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 191538),
(247813, 'PTHR41148:SF1', NULL, NULL, NULL, NULL, 'LP09875P', 191539),
(247814, 'PTHR22811:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191540),
(247815, 'PTHR31376:SF10', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 5-RELATED', 191541),
(247816, 'PTHR23024:SF560', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191542),
(247817, 'PTHR33136:SF63', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR-LIKE', 191543),
(247818, 'PTHR11850:SF251', NULL, NULL, NULL, NULL, 'ASSOCIATED WITH HOX FAMILY PROTEIN', 191544),
(247819, 'PTHR22847:SF681', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN MET30', 191545),
(247820, 'PTHR31218:SF42', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 191546),
(247821, 'PTHR33063:SF10', NULL, NULL, NULL, NULL, 'OS02G0241300 PROTEIN', 191547),
(247822, 'PTHR24409:SF346', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 687B', 191548),
(247823, 'PTHR14773:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 76', 191549),
(247824, 'PTHR47352:SF1', NULL, NULL, NULL, NULL, 'CLASS I PEPTIDE CHAIN RELEASE FACTOR', 191550),
(247825, 'PTHR46710:SF5', NULL, NULL, NULL, NULL, 'ARMADILLO BTB ARABIDOPSIS PROTEIN 1', 191551),
(247826, 'PTHR44499:SF1', NULL, NULL, NULL, NULL, 'JOUBERIN', 191552),
(247827, 'PTHR39469:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 191553),
(247828, 'PTHR47990:SF155', NULL, NULL, NULL, NULL, 'BNAA06G08970D PROTEIN', 191554),
(247829, 'PTHR31585:SF6', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 2-RELATED', 191555),
(247830, 'PTHR23019', NULL, NULL, NULL, NULL, 'NUCLEAR PORE MEMBRANE GLYCOPROTEIN GP210-RELATED', 191556),
(247831, 'PTHR23300:SF14', NULL, NULL, NULL, NULL, 'BNAC08G08320D PROTEIN', 191557),
(247832, 'PTHR10035:SF2', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD3 ZETA CHAIN', 191558),
(247833, 'PTHR31121', NULL, NULL, NULL, NULL, 'ALPHA-1,2 MANNOSYLTRANSFERASE KTR1', 191559),
(247834, 'PTHR13147:SF5', NULL, NULL, NULL, NULL, 'FOUR-JOINTED BOX PROTEIN 1', 191560),
(247835, 'PTHR45033', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 191561),
(247836, 'PTHR11461:SF27', NULL, NULL, NULL, NULL, 'SERPIN H1', 191562),
(247837, 'PTHR13832:SF707', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 23-RELATED', 191563),
(247838, 'PTHR31356:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191564),
(247839, 'PTHR31828:SF19', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA-LIKE', 191565),
(247840, 'PTHR38032:SF1', NULL, NULL, NULL, NULL, 'POLYMERASE-RELATED', 191566),
(247841, 'PTHR43679:SF6', NULL, NULL, NULL, NULL, 'LIPOATE-PROTEIN LIGASE-RELATED', 191567),
(247842, 'PTHR31713:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0058G03.4 PROTEIN', 191568),
(247843, 'PTHR33057:SF157', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP2', 191569),
(247844, 'PTHR31213:SF153', NULL, NULL, NULL, NULL, 'BNAANNG40650D PROTEIN', 191570),
(247845, 'PTHR42884:SF7', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE SUBTILISIN/KEXIN TYPE 5', 191571),
(247846, 'PTHR24281:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191572),
(247847, 'PTHR10994:SF130', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 191573),
(247848, 'PTHR43429', NULL, NULL, NULL, NULL, 'PYRIDINE NUCLEOTIDE-DISULFIDE OXIDOREDUCTASE DOMAIN-CONTAINING', 191574),
(247849, 'PTHR21737:SF16', NULL, NULL, NULL, NULL, 'SI:CH211-191A24.4', 191575),
(247850, 'PTHR11995:SF27', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 7, MITOCHONDRIAL', 191576),
(247851, 'PTHR24020:SF61', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN CONTAINING 7', 191577),
(247852, 'PTHR31677:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191578),
(247853, 'PTHR22835:SF589', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', 191579),
(247854, 'PTHR10980:SF44', NULL, NULL, NULL, NULL, 'RHO PROTEIN GDP-DISSOCIATION INHIBITOR-RELATED', 191580);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(247855, 'PTHR43290:SF2', NULL, NULL, NULL, NULL, 'MEVALONATE KINASE', 191581),
(247856, 'PTHR32282:SF27', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 1A', 191582),
(247857, 'PTHR47658:SF2', NULL, NULL, NULL, NULL, 'HMG-BOX (HIGH MOBILITY GROUP) DNA-BINDING FAMILY PROTEIN', 191583),
(247858, 'PTHR46075', NULL, NULL, NULL, NULL, 'CHIMERIN FAMILY MEMBER', 191584),
(247859, 'PTHR44579', NULL, NULL, NULL, NULL, 'OS01G0730500 PROTEIN', 191585),
(247860, 'PTHR46527:SF1', NULL, NULL, NULL, NULL, 'NUCLEOPORIN-LIKE PROTEIN 2', 191586),
(247861, 'PTHR12300:SF152', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', 191587),
(247862, 'PTHR37943:SF1', NULL, NULL, NULL, NULL, 'PROTEIN VES', 191588),
(247863, 'PTHR31429:SF65', NULL, NULL, NULL, NULL, 'OS01G0185900 PROTEIN', 191589),
(247864, 'PTHR11880:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191590),
(247865, 'PTHR31403:SF38', NULL, NULL, NULL, NULL, 'CLASS 3 FAMILY PROTEIN, PUTATIVE-RELATED', 191591),
(247866, 'PTHR45860:SF3', NULL, NULL, NULL, NULL, 'NAGB/RPIA/COA TRANSFERASE-LIKE SUPERFAMILY PROTEIN', 191592),
(247867, 'PTHR31282:SF88', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 74-RELATED', 191593),
(247868, 'PTHR13527:SF0', NULL, NULL, NULL, NULL, 'SAYSVFN DOMAIN-CONTAINING PROTEIN 1', 191594),
(247869, 'PTHR43895:SF120', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 2', 191595),
(247870, 'PTHR31375:SF153', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', 191596),
(247871, 'PTHR43570:SF15', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE, DIMERIC NADP-PREFERRING', 191597),
(247872, 'PTHR31218:SF260', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 191598),
(247873, 'PTHR47926:SF148', NULL, NULL, NULL, NULL, 'OS07G0172600 PROTEIN', 191599),
(247874, 'PTHR30579:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LRHA-RELATED', 191600),
(247875, 'PTHR19370:SF203', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', 191601),
(247876, 'PTHR15715:SF17', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 170 KDA-RELATED', 191602),
(247877, 'PTHR45786:SF37', NULL, NULL, NULL, NULL, 'BNAC05G19830D PROTEIN', 191603),
(247878, 'PTHR46877', NULL, NULL, NULL, NULL, 'EPH RECEPTOR A5', 191604),
(247879, 'PTHR21255:SF7', NULL, NULL, NULL, NULL, 'TCTEX1 DOMAIN-CONTAINING PROTEIN 2', 191605),
(247880, 'PTHR31583', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 191606),
(247881, 'PTHR12411:SF739', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG39-LIKE', 191607),
(247882, 'PTHR41694:SF3', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP K MEMBER 10 POL PROTEIN-RELATED', 191608),
(247883, 'PTHR13301:SF185', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN CSLE', 191609),
(247884, 'PTHR11654:SF559', NULL, NULL, NULL, NULL, 'BNAA07G28390D PROTEIN', 191610),
(247885, 'PTHR43690:SF27', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE-RELATED', 191611),
(247886, 'PTHR42721:SF4', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 7-RELATED', 191612),
(247887, 'PTHR48018:SF82', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 191613),
(247888, 'PTHR32089:SF75', NULL, NULL, NULL, NULL, 'HEME-BASED AEROTACTIC TRANSDUCER HEMAT', 191614),
(247889, 'PTHR46261:SF15', NULL, NULL, NULL, NULL, 'OS02G0670400 PROTEIN', 191615),
(247890, 'PTHR46088', NULL, NULL, NULL, NULL, 'TUBULIN--TYROSINE LIGASE-LIKE PROTEIN 12', 191616),
(247891, 'PTHR46079:SF1', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 4B', 191617),
(247892, 'PTHR18929:SF132', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE A3', 191618),
(247893, 'PTHR14352', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 7', 191619),
(247894, 'PTHR13817:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191620),
(247895, 'PTHR28229', NULL, NULL, NULL, NULL, 'TRANSLOCATION PROTEIN SEC66', 191621),
(247896, 'PTHR11124:SF25', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 29', 191622),
(247897, 'PTHR10605:SF64', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE GLUCOSAMINE 3-O-SULFOTRANSFERASE 3A1', 191623),
(247898, 'PTHR24418:SF410', NULL, NULL, NULL, NULL, 'PROTEIN CBG05605', 191624);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(247899, 'PTHR42780', NULL, NULL, NULL, NULL, 'SOLEUCYL-TRNA SYNTHETASE', 191625),
(247900, 'PTHR12121:SF35', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 6-LIKE', 191626),
(247901, 'PTHR10285', NULL, NULL, NULL, NULL, 'URIDINE KINASE', 191627),
(247902, 'PTHR47993:SF141', NULL, NULL, NULL, NULL, 'OS05G0303900 PROTEIN', 191628),
(247903, 'PTHR12812:SF9', NULL, NULL, NULL, NULL, 'TYROSYLPROTEIN SULFOTRANSFERASE-RELATED', 191629),
(247904, 'PTHR10168', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN', 191630),
(247905, 'PTHR22800:SF247', NULL, NULL, NULL, NULL, 'NKG2-C TYPE II INTEGRAL MEMBRANE PROTEIN', 191631),
(247906, 'PTHR24221:SF563', NULL, NULL, NULL, NULL, 'BNAA03G47690D PROTEIN', 191632),
(247907, 'PTHR31325:SF123', NULL, NULL, NULL, NULL, 'OS01G0953100 PROTEIN', 191633),
(247908, 'PTHR33728:SF12', NULL, NULL, NULL, NULL, 'BNAC08G13880D PROTEIN', 191634),
(247909, 'PTHR31529:SF39', NULL, NULL, NULL, NULL, 'BNAC04G56950D PROTEIN', 191635),
(247910, 'PTHR22803:SF136', NULL, NULL, NULL, NULL, 'CD302 MOLECULE', 191636),
(247911, 'PTHR46022:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PATCHED HOMOLOG 2', 191637),
(247912, 'PTHR34666', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 191638),
(247913, 'PTHR47982:SF2', NULL, NULL, NULL, NULL, 'OS01G0227200 PROTEIN', 191639),
(247914, 'PTHR33021:SF411', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN-LIKE', 191640),
(247915, 'PTHR48107:SF9', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', 191641),
(247916, 'PTHR11347:SF85', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CAMP-SPECIFIC AND IBMX-INSENSITIVE 3'',5''-CYCLIC PHOSPHODIESTERASE 8A', 191642),
(247917, 'PTHR32102:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191643),
(247918, 'PTHR10799:SF971', NULL, NULL, NULL, NULL, 'RNA POLYMERASE-ASSOCIATED PROTEIN RAPA', 191644),
(247919, 'PTHR47746:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191645),
(247920, 'PTHR10438:SF405', NULL, NULL, NULL, NULL, 'THIOREDOXIN O1, MITOCHONDRIAL', 191646),
(247921, 'PTHR34223:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191647),
(247922, 'PTHR24373:SF162', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT NEURONAL PROTEIN 2', 191648),
(247923, 'PTHR24186:SF20', NULL, NULL, NULL, NULL, 'BNACNNG03360D PROTEIN', 191649),
(247924, 'PTHR23003:SF6', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN M', 191650),
(247925, 'PTHR24031:SF629', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE MRH4, MITOCHONDRIAL', 191651),
(247926, 'PTHR46093:SF7', NULL, NULL, NULL, NULL, 'ACYL-COA BINDING PROTEIN', 191652),
(247927, 'PTHR28680', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN X', 191653),
(247928, 'PTHR27007:SF335', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VIII.1-LIKE', 191654),
(247929, 'PTHR11711:SF368', NULL, NULL, NULL, NULL, 'OS01G0265100 PROTEIN', 191655),
(247930, 'PTHR31194:SF87', NULL, NULL, NULL, NULL, 'AP2/ERF DOMAIN TRANSCRIPTION FACTOR', 191656),
(247931, 'PTHR19957:SF123', NULL, NULL, NULL, NULL, 'SYNTAXIN-112', 191657),
(247932, 'PTHR19354:SF2', NULL, NULL, NULL, NULL, 'ZIPPER PUTATIVE TUMOR SUPPRESSOR 2 HOMOLOG-LIKE PROTEIN-RELATED', 191658),
(247933, 'PTHR15018:SF1', NULL, NULL, NULL, NULL, 'BCL-2-INTERACTING KILLER', 191659),
(247934, 'PTHR43047:SF48', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE RCSD', 191660),
(247935, 'PTHR15268:SF16', NULL, NULL, NULL, NULL, 'THYROID HORMONE RECEPTOR-ASSOCIATED PROTEIN 3', 191661),
(247936, 'PTHR44216', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSYL-TRANSFERASE TMTC2', 191662),
(247937, 'PTHR37293:SF7', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PHAGE PROTEIN', 191663),
(247938, 'PTHR45733:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191664),
(247939, 'PTHR46957:SF3', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR', 191665),
(247940, 'PTHR11242:SF2', NULL, NULL, NULL, NULL, 'ARYL-HYDROCARBON-INTERACTING PROTEIN-LIKE 1', 191666),
(247941, 'PTHR31790:SF195', NULL, NULL, NULL, NULL, 'BNAA09G55170D PROTEIN', 191667),
(247942, 'PTHR36245:SF1', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN DOT1-LIKE', 191668);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(247943, 'PTHR36927', NULL, NULL, NULL, NULL, 'BLR4337 PROTEIN', 191669),
(247944, 'PTHR38443', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 191670),
(247945, 'PTHR10048:SF30', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 3-KINASE C2 DOMAIN-CONTAINING SUBUNIT BETA', 191671),
(247946, 'PTHR45914:SF37', NULL, NULL, NULL, NULL, 'BNAC07G16340D PROTEIN', 191672),
(247947, 'PTHR24394:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 771', 191673),
(247948, 'PTHR23169:SF24', NULL, NULL, NULL, NULL, 'DYSTONIN', 191674),
(247949, 'PTHR11537:SF134', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY B MEMBER 2', 191675),
(247950, 'PTHR43133:SF8', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA-E FACTOR-RELATED', 191676),
(247951, 'PTHR11024', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN SEC13 / SEH1 FAMILY MEMBER', 191677),
(247952, 'PTHR11523:SF11', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA', 191678),
(247953, 'PTHR11055:SF53', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE', 191679),
(247954, 'PTHR42912:SF13', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TYPE 11', 191680),
(247955, 'PTHR23300:SF12', NULL, NULL, NULL, NULL, 'BNAA08G07540D PROTEIN', 191681),
(247956, 'PTHR31790:SF345', NULL, NULL, NULL, NULL, 'BNAC04G42640D PROTEIN', 191682),
(247957, 'PTHR48154:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 191683),
(247958, 'PTHR43675:SF8', NULL, NULL, NULL, NULL, 'CYCLOPROPANE-FATTY-ACYL-PHOSPHOLIPID SYNTHASE', 191684),
(247959, 'PTHR16058:SF4', NULL, NULL, NULL, NULL, 'DOUBLE ZINC RIBBON AND ANKYRIN REPEAT-CONTAINING PROTEIN 1', 191685),
(247960, 'PTHR36495:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191686),
(247961, 'PTHR32303', NULL, NULL, NULL, NULL, 'QUINOPROTEIN ALCOHOL DEHYDROGENASE (CYTOCHROME C)', 191687),
(247962, 'PTHR23418:SF12', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE 3', 191688),
(247963, 'PTHR43396', NULL, NULL, NULL, NULL, 'FLAVOHEMOPROTEIN', 191689),
(247964, 'PTHR11926:SF1381', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 85A7', 191690),
(247965, 'PTHR47988:SF35', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE 1-LIKE', 191691),
(247966, 'PTHR11040:SF181', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 1-LIKE', 191692),
(247967, 'PTHR19282:SF264', NULL, NULL, NULL, NULL, 'TETRASPANIN', 191693),
(247968, 'PTHR42964', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE', 191694),
(247969, 'PTHR47153', NULL, NULL, NULL, NULL, 'LACTATE UTILIZATION PROTEIN B', 191695),
(247970, 'PTHR13903:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191696),
(247971, 'PTHR34981:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN ZAPA', 191697),
(247972, 'PTHR31807:SF46', NULL, NULL, NULL, NULL, 'QWRF FAMILY-RELATED', 191698),
(247973, 'PTHR31669:SF21', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED IMPAIRED RESPONSE 1', 191699),
(247974, 'PTHR47074:SF29', NULL, NULL, NULL, NULL, 'OS04G0488900 PROTEIN', 191700),
(247975, 'PTHR16565', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-I', 191701),
(247976, 'PTHR34998:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191702),
(247977, 'PTHR24376:SF184', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 268', 191703),
(247978, 'PTHR11266:SF86', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PMP22', 191704),
(247979, 'PTHR12758:SF20', NULL, NULL, NULL, NULL, 'APOPTOSIS INHIBITOR 5-LIKE ISOFORM X1', 191705),
(247980, 'PTHR10183:SF30', NULL, NULL, NULL, NULL, 'CALPAIN-10', 191706),
(247981, 'PTHR48047:SF13', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 191707),
(247982, 'PTHR48019:SF56', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN AGAMOUS', 191708),
(247983, 'PTHR24361:SF414', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 1', 191709),
(247984, 'PTHR46955:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG21842', 191710),
(247985, 'PTHR31642:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191711),
(247986, 'PTHR42684:SF11', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRATE TRANSAMINASE 3, MITOCHONDRIAL-RELATED', 191712);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(247987, 'PTHR31707:SF192', NULL, NULL, NULL, NULL, 'PECTINESTERASE', 191713),
(247988, 'PTHR11228:SF7', NULL, NULL, NULL, NULL, 'PQQA PEPTIDE CYCLASE', 191714),
(247989, 'PTHR33562:SF2', NULL, NULL, NULL, NULL, 'ATILLA, ISOFORM B-RELATED', 191715),
(247990, 'PTHR11085:SF41', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', 191716),
(247991, 'PTHR23316', NULL, NULL, NULL, NULL, 'IMPORTIN ALPHA', 191717),
(247992, 'PTHR31234:SF3', NULL, NULL, NULL, NULL, 'OS01G0234700 PROTEIN', 191718),
(247993, 'PTHR13693:SF90', NULL, NULL, NULL, NULL, '2-AMINO-3-KETOBUTYRATE COENZYME A LIGASE', 191719),
(247994, 'PTHR32410:SF192', NULL, NULL, NULL, NULL, 'BNAA03G49740D PROTEIN', 191720),
(247995, 'PTHR31992:SF205', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN 4', 191721),
(247996, 'PTHR10574:SF412', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191722),
(247997, 'PTHR47141', NULL, NULL, NULL, NULL, 'CYSTATIN-F', 191723),
(247998, 'PTHR31357:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS A (ALPHA)', 191724),
(247999, 'PTHR12760:SF0', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 2', 191725),
(248000, 'PTHR30024:SF37', NULL, NULL, NULL, NULL, 'BINDING PROTEIN YTLA-RELATED', 191726),
(248001, 'PTHR33181:SF36', NULL, NULL, NULL, NULL, 'BNAA01G27970D PROTEIN', 191727),
(248002, 'PTHR39605:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191728),
(248003, 'PTHR32227:SF305', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN-RELATED', 191729),
(248004, 'PTHR48018:SF32', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5L1', 191730),
(248005, 'PTHR11848:SF39', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 10', 191731),
(248006, 'PTHR36740', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 191732),
(248007, 'PTHR31221:SF160', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 45-RELATED', 191733),
(248008, 'PTHR13068:SF112', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', 191734),
(248009, 'PTHR38629:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG12672', 191735),
(248010, 'PTHR48024:SF21', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN, PUTATIVE-RELATED', 191736),
(248011, 'PTHR19229:SF230', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY PROTEIN', 191737),
(248012, 'PTHR24115:SF886', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 191738),
(248013, 'PTHR47444:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 191739),
(248014, 'PTHR20851:SF2', NULL, NULL, NULL, NULL, 'DORSAL INTERACTING PROTEIN 3', 191740),
(248015, 'PTHR20863:SF64', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN, MITOCHONDRIAL', 191741),
(248016, 'PTHR13568', NULL, NULL, NULL, NULL, 'FAM11A, B PROTEIN', 191742),
(248017, 'PTHR12245:SF11', NULL, NULL, NULL, NULL, 'PROTEIN GUSTAVUS', 191743),
(248018, 'PTHR33390:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191744),
(248019, 'PTHR37749:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 191745),
(248020, 'PTHR23409:SF38', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE SMALL CHAIN', 191746),
(248021, 'PTHR16515:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191747),
(248022, 'PTHR24243:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191748),
(248023, 'PTHR42774:SF12', NULL, NULL, NULL, NULL, 'OS10G0465900 PROTEIN', 191749),
(248024, 'PTHR10438:SF379', NULL, NULL, NULL, NULL, 'THIOREDOXIN', 191750),
(248025, 'PTHR11361:SF99', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN-RELATED', 191751),
(248026, 'PTHR32060:SF22', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL-PROCESSING PEPTIDASE 1, CHLOROPLASTIC', 191752),
(248027, 'PTHR11926:SF863', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 191753),
(248028, 'PTHR35331', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN S', 191754),
(248029, 'PTHR47958:SF50', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX53-RELATED', 191755),
(248030, 'PTHR30314:SF25', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSZ HOMOLOG 2-2, CHLOROPLASTIC-LIKE ISOFORM X1', 191756),
(248031, 'PTHR48001:SF62', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 139', 191757);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(248032, 'PTHR24390:SF76', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 581', 191758),
(248033, 'PTHR23024:SF146', NULL, NULL, NULL, NULL, 'OS08G0474800 PROTEIN', 191759),
(248034, 'PTHR33057:SF161', NULL, NULL, NULL, NULL, 'OVATE TRANSCRIPTIONAL REPRESSOR', 191760),
(248035, 'PTHR43557:SF7', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR MITOCHONDRIA-ASSOCIATED 4', 191761),
(248036, 'PTHR36304', NULL, NULL, NULL, NULL, 'DOMAIN GTPASE-ACTIVATING PROTEIN, PUTATIVE-RELATED-RELATED', 191762),
(248037, 'PTHR43283:SF3', NULL, NULL, NULL, NULL, '(LOVD), PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00920)-RELATED', 191763),
(248038, 'PTHR11125:SF8', NULL, NULL, NULL, NULL, 'PROTEIN RNA-DIRECTED DNA METHYLATION 3', 191764),
(248039, 'PTHR31497:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191765),
(248040, 'PTHR12239:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CBG20215', 191766),
(248041, 'PTHR46617:SF5', NULL, NULL, NULL, NULL, 'FORKHEAD BOX G1', 191767),
(248042, 'PTHR47932:SF23', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT-CONTAINING PROTEIN', 191768),
(248043, 'PTHR31684:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 43', 191769),
(248044, 'PTHR12868:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 9', 191770),
(248045, 'PTHR40845', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 191771),
(248046, 'PTHR45627:SF11', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 6', 191772),
(248047, 'PTHR34798:SF1', NULL, NULL, NULL, NULL, 'TIC-LIKE PROTEIN', 191773),
(248048, 'PTHR27000:SF38', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE TYROSINE-PROTEIN KINASE PXC3', 191774),
(248049, 'PTHR12241:SF158', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', 191775),
(248050, 'PTHR45707:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191776),
(248051, 'PTHR22848:SF1', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', 191777),
(248052, 'PTHR36569:SF4', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', 191778),
(248053, 'PTHR11909:SF406', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 191779),
(248054, 'PTHR12287:SF23', NULL, NULL, NULL, NULL, 'AROUSER, ISOFORM A-RELATED', 191780),
(248055, 'PTHR23327:SF41', NULL, NULL, NULL, NULL, 'LON PEPTIDASE N-TERMINAL DOMAIN AND RING FINGER PROTEIN 3', 191781),
(248056, 'PTHR21230:SF67', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE 13-LIKE', 191782),
(248057, 'PTHR31734:SF148', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', 191783),
(248058, 'PTHR48018:SF127', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', 191784),
(248059, 'PTHR47714:SF1', NULL, NULL, NULL, NULL, 'CRS1/YHBY DOMAIN CONTAINING PROTEIN, EXPRESSED', 191785),
(248060, 'PTHR21503', NULL, NULL, NULL, NULL, 'F-BOX-CONTAINING HYPOTHETICAL PROTEIN  C.ELEGANS', 191786),
(248061, 'PTHR14002:SF18', NULL, NULL, NULL, NULL, 'ONCOPROTEIN-INDUCED TRANSCRIPT 3 PROTEIN', 191787),
(248062, 'PTHR33833:SF4', NULL, NULL, NULL, NULL, 'YCF49-LIKE PROTEIN', 191788),
(248063, 'PTHR21666:SF272', NULL, NULL, NULL, NULL, 'FAMILY M23 ZINC METALLOPEPTIDASE WITH OAPA DOMAIN', 191789),
(248064, 'PTHR22904:SF521', NULL, NULL, NULL, NULL, 'BNAA09G12780D PROTEIN', 191790),
(248065, 'PTHR48049:SF42', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 191791),
(248066, 'PTHR21017:SF23', NULL, NULL, NULL, NULL, 'PROTEIN NIPSNAP HOMOLOG 3A', 191792),
(248067, 'PTHR45621:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191793),
(248068, 'PTHR43107:SF23', NULL, NULL, NULL, NULL, 'ZGC:158482', 191794),
(248069, 'PTHR11132:SF403', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN, BI-FUNCTIONAL UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER-RELATED', 191795),
(248070, 'PTHR31960:SF8', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', 191796),
(248071, 'PTHR31769:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191797),
(248072, 'PTHR12025:SF11', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR D', 191798),
(248073, 'PTHR32507:SF7', NULL, NULL, NULL, NULL, 'K(+)/H(+) ANTIPORTER NHAP2', 191799),
(248074, 'PTHR22912:SF218', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', 191800);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(248075, 'PTHR11161:SF61', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', 191801),
(248076, 'PTHR10972:SF186', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 2A', 191802),
(248077, 'PTHR47656', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MIXL', 191803),
(248078, 'PTHR31775:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191804),
(248079, 'PTHR47062', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 191805),
(248080, 'PTHR31079:SF7', NULL, NULL, NULL, NULL, 'OS05G0563000 PROTEIN', 191806),
(248081, 'PTHR43283:SF7', NULL, NULL, NULL, NULL, 'BLL8153 PROTEIN', 191807),
(248082, 'PTHR33737:SF12', NULL, NULL, NULL, NULL, 'TRIO/F-ACTIN-BINDING PROTEIN', 191808),
(248083, 'PTHR46673:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-202G17.3', 191809),
(248084, 'PTHR16255:SF4', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN RMD8', 191810),
(248085, 'PTHR37206:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 191811),
(248086, 'PTHR43939:SF62', NULL, NULL, NULL, NULL, 'CARBOHYDRATE BINDING MODULE FAMILY 20', 191812),
(248087, 'PTHR24012:SF768', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', 191813),
(248088, 'PTHR46058:SF23', NULL, NULL, NULL, NULL, 'BNAA04G20570D PROTEIN', 191814),
(248089, 'PTHR22791:SF13', NULL, NULL, NULL, NULL, 'IM:7152348', 191815),
(248090, 'PTHR11236:SF40', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE COMPONENT 1', 191816),
(248091, 'PTHR28052:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191817),
(248092, 'PTHR33499:SF13', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PTTA/EN/SPM, PLANT-RELATED', 191818),
(248093, 'PTHR43606:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G08710)-RELATED', 191819),
(248094, 'PTHR36044:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191820),
(248095, 'PTHR33734:SF11', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING GPI-ANCHORED PROTEIN 2', 191821),
(248096, 'PTHR45432:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191822),
(248097, 'PTHR24384:SF192', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING 47A', 191823),
(248098, 'PTHR10411:SF5', NULL, NULL, NULL, NULL, 'GROWTH ARREST AND DNA DAMAGE-INDUCIBLE PROTEIN GADD45 BETA', 191824),
(248099, 'PTHR20855:SF28', NULL, NULL, NULL, NULL, 'PROGESTIN AND ADIPOQ RECEPTOR FAMILY', 191825),
(248100, 'PTHR38467:SF1', NULL, NULL, NULL, NULL, 'CONJUGATIVE TRANSFER: ASSEMBLY', 191826),
(248101, 'PTHR10048:SF34', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 3-KINASE CATALYTIC SUBUNIT GAMMA ISOFORM', 191827),
(248102, 'PTHR31267', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', 191828),
(248103, 'PTHR24133:SF33', NULL, NULL, NULL, NULL, 'ANKYRIN, ISOFORM B', 191829),
(248104, 'PTHR11945:SF382', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PROTEIN SEPALLATA 3', 191830),
(248105, 'PTHR22883:SF312', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 191831),
(248106, 'PTHR45618:SF48', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN BMCP', 191832),
(248107, 'PTHR13817:SF106', NULL, NULL, NULL, NULL, 'PALLADIN, CYTOSKELETAL ASSOCIATED PROTEIN', 191833),
(248108, 'PTHR47987:SF19', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-PROTEIN KINASE RBK1', 191834),
(248109, 'PTHR12203:SF101', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE-MODIFYING PROTEIN-RELATED', 191835),
(248110, 'PTHR48040:SF7', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 2', 191836),
(248111, 'PTHR12663:SF31', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', 191837),
(248112, 'PTHR15608:SF0', NULL, NULL, NULL, NULL, 'HIV TAT-SPECIFIC FACTOR 1', 191838),
(248113, 'PTHR22893:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191839),
(248114, 'PTHR22941:SF285', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 191840),
(248115, 'PTHR46713:SF10', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 1-LIKE', 191841),
(248116, 'PTHR22941:SF173', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 191842),
(248117, 'PTHR11157:SF116', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN-RELATED', 191843);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(248118, 'PTHR43244:SF2', NULL, NULL, NULL, NULL, 'CONSERVED HYPOTHETICAL ALANINE AND PROLINE-RICH PROTEIN', 191844),
(248119, 'PTHR18921:SF4', NULL, NULL, NULL, NULL, 'BNAA07G38200D PROTEIN', 191845),
(248120, 'PTHR31621:SF6', NULL, NULL, NULL, NULL, 'PROTEIN DMP7', 191846),
(248121, 'PTHR47071:SF6', NULL, NULL, NULL, NULL, 'TRM32-LIKE PROTEIN (DUF3741)', 191847),
(248122, 'PTHR11599:SF157', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', 191848),
(248123, 'PTHR10126:SF47', NULL, NULL, NULL, NULL, 'BNAC02G01920D PROTEIN', 191849),
(248124, 'PTHR31707:SF11', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 54-RELATED', 191850),
(248125, 'PTHR11815:SF18', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT BETA, MITOCHONDRIAL', 191851),
(248126, 'PTHR37429:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG19149', 191852),
(248127, 'PTHR43362:SF4', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE-RELATED', 191853),
(248128, 'PTHR42940', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1-RELATED', 191854),
(248129, 'PTHR30441:SF7', NULL, NULL, NULL, NULL, 'DUF748 REPEAT PROTEIN', 191855),
(248130, 'PTHR22799:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 11 MEMBER A', 191856),
(248131, 'PTHR45647:SF47', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', 191857),
(248132, 'PTHR10795:SF689', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE ENDOPEPTIDASE FAMILY PROTEIN', 191858),
(248133, 'PTHR24068:SF339', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 10', 191859),
(248134, 'PTHR36306:SF1', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE-RELATED', 191860),
(248135, 'PTHR43078:SF29', NULL, NULL, NULL, NULL, 'OS03G0280800 PROTEIN', 191861),
(248136, 'PTHR11100:SF20', NULL, NULL, NULL, NULL, 'PRO-NEUREGULIN-2, MEMBRANE-BOUND ISOFORM', 191862),
(248137, 'PTHR12137:SF30', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE', 191863),
(248138, 'PTHR30093:SF22', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN H-RELATED', 191864),
(248139, 'PTHR46530:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP4', 191865),
(248140, 'PTHR46077:SF3', NULL, NULL, NULL, NULL, 'TOPOISOMERASE I-BINDING, ARGININE/SERINE-RICH-LIKE', 191866),
(248141, 'PTHR10516:SF431', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', 191867),
(248142, 'PTHR10122:SF18', NULL, NULL, NULL, NULL, 'BNAC01G35940D PROTEIN', 191868),
(248143, 'PTHR46506:SF55', NULL, NULL, NULL, NULL, 'JACALIN-LIKE LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', 191869),
(248144, 'PTHR46325:SF28', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN-RELATED', 191870),
(248145, 'PTHR22847:SF712', NULL, NULL, NULL, NULL, 'DIVISION CONTROL PROTEIN CDC4, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13030)-RELATED', 191871),
(248146, 'PTHR39079:SF1', NULL, NULL, NULL, NULL, 'FI08034P-RELATED', 191872),
(248147, 'PTHR10445:SF4', NULL, NULL, NULL, NULL, 'BNACNNG67730D PROTEIN', 191873),
(248148, 'PTHR31727:SF18', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', 191874),
(248149, 'PTHR11528:SF54', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90-5, CHLOROPLASTIC', 191875),
(248150, 'PTHR14098:SF2', NULL, NULL, NULL, NULL, 'CYTOKINE-DEPENDENT HEMATOPOIETIC CELL LINKER', 191876),
(248151, 'PTHR42679:SF5', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PHOSPHORYLASE', 191877),
(248152, 'PTHR35104:SF17', NULL, NULL, NULL, NULL, 'BNAC06G41640D PROTEIN', 191878),
(248153, 'PTHR42973:SF13', NULL, NULL, NULL, NULL, 'DEPENDENT OXIDOREDUCTASE, PUTATIVE-RELATED', 191879),
(248154, 'PTHR24543:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191880),
(248155, 'PTHR23062:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', 191881),
(248156, 'PTHR27003:SF379', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HERK 1', 191882),
(248157, 'PTHR10064:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191883),
(248158, 'PTHR11475:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191884),
(248159, 'PTHR46316:SF12', NULL, NULL, NULL, NULL, 'BNAC07G33610D PROTEIN', 191885);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(248160, 'PTHR36726:SF7', NULL, NULL, NULL, NULL, 'BNAA02G14420D PROTEIN', 191886),
(248161, 'PTHR11595:SF25', NULL, NULL, NULL, NULL, 'EF-HAND AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', 191887),
(248162, 'PTHR34835:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191888),
(248163, 'PTHR16165:SF10', NULL, NULL, NULL, NULL, 'NXPE FAMILY MEMBER 2', 191889),
(248164, 'PTHR46539:SF8', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL4J', 191890),
(248165, 'PTHR33091:SF91', NULL, NULL, NULL, NULL, 'BNAA03G18180D PROTEIN', 191891),
(248166, 'PTHR24115:SF857', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', 191892),
(248167, 'PTHR48050:SF5', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE,STEROL TRANSFERASE', 191893),
(248168, 'PTHR23073:SF80', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 7 HOMOLOG B', 191894),
(248169, 'PTHR31656:SF6', NULL, NULL, NULL, NULL, 'OS01G0968200 PROTEIN', 191895),
(248170, 'PTHR46915', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEASE 4-RELATED', 191896),
(248171, 'PTHR36468:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 19, MITOCHONDRIAL', 191897),
(248172, 'PTHR10217:SF636', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL PROTEIN EAG', 191898),
(248173, 'PTHR32254:SF15', NULL, NULL, NULL, NULL, 'PLANT/T7A14-6 PROTEIN', 191899),
(248174, 'PTHR31639:SF124', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 25-LIKE', 191900),
(248175, 'PTHR31294:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191901),
(248176, 'PTHR15036:SF36', NULL, NULL, NULL, NULL, 'CONTACTIN-ASSOCIATED PROTEIN-LIKE 3-RELATED', 191902),
(248177, 'PTHR18063:SF20', NULL, NULL, NULL, NULL, 'BNAA01G12730D PROTEIN', 191903),
(248178, 'PTHR10445:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIF, BETA SUBUNIT', 191904),
(248179, 'PTHR21700:SF22', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-LIKE PROTEIN 2', 191905),
(248180, 'PTHR10498:SF22', NULL, NULL, NULL, NULL, 'SI:CH211-12E13.12', 191906),
(248181, 'PTHR11669:SF1', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C SUBUNIT 3', 191907),
(248182, 'PTHR31218:SF271', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 191908),
(248183, 'PTHR32246:SF67', NULL, NULL, NULL, NULL, 'PROTEIN SRC2-LIKE PROTEIN', 191909),
(248184, 'PTHR12606:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191910),
(248185, 'PTHR30239', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE SMALL SUBUNIT', 191911),
(248186, 'PTHR46336:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191912),
(248187, 'PTHR24221:SF233', NULL, NULL, NULL, NULL, 'ATP-BINDING/PERMEASE FUSION ABC TRANSPORTER-RELATED', 191913),
(248188, 'PTHR45798:SF25', NULL, NULL, NULL, NULL, 'OS05G0439000 PROTEIN', 191914),
(248189, 'PTHR37444:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG24900', 191915),
(248190, 'PTHR31676:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191916),
(248191, 'PTHR23257:SF718', NULL, NULL, NULL, NULL, 'RASGEF DOMAIN-CONTAINING SERINE/THREONINE-PROTEIN KINASE X', 191917),
(248192, 'PTHR21083', NULL, NULL, NULL, NULL, 'TWISTER', 191918),
(248193, 'PTHR24231:SF2', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 1', 191919),
(248194, 'PTHR22883:SF377', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', 191920),
(248195, 'PTHR47405:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 191921),
(248196, 'PTHR45908:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG21853', 191922),
(248197, 'PTHR27002:SF725', NULL, NULL, NULL, NULL, 'LECTIN PROTEIN KINASE FAMILY PROTEIN, PUTATIVE ISOFORM 2-RELATED', 191923),
(248198, 'PTHR37702:SF9', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', 191924),
(248199, 'PTHR42195', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 191925),
(248200, 'PTHR22708', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 191926),
(248201, 'PTHR14256:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT NDUFA4', 191927),
(248202, 'PTHR23068:SF34', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE DRM2', 191928),
(248203, 'PTHR23502:SF31', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER 1', 191929),
(248204, 'PTHR45660:SF5', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH1', 191930);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(248205, 'PTHR15284:SF0', NULL, NULL, NULL, NULL, 'GH23983P', 191931),
(248206, 'PTHR22442:SF10', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE, GNAT FAMILY-RELATED', 191932),
(248207, 'PTHR31907:SF50', NULL, NULL, NULL, NULL, 'BNAANNG33440D PROTEIN', 191933),
(248208, 'PTHR31062:SF166', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 7-RELATED', 191934),
(248209, 'PTHR12867', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', 191935),
(248210, 'PTHR46910:SF21', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 191936),
(248211, 'PTHR42643:SF17', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 31A, ISOFORM C-RELATED', 191937),
(248212, 'PTHR13743:SF127', NULL, NULL, NULL, NULL, 'LYSOSOMAL TRAFFICKING REGULATOR PROTEIN', 191938),
(248213, 'PTHR47855:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191939),
(248214, 'PTHR34153:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191940),
(248215, 'PTHR10125:SF27', NULL, NULL, NULL, NULL, 'P2X RECEPTOR A-RELATED', 191941),
(248216, 'PTHR36479', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 191942),
(248217, 'PTHR11571:SF219', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 3', 191943),
(248218, 'PTHR45662:SF15', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITIDE PHOSPHATASE SAC1-A-RELATED', 191944),
(248219, 'PTHR10796:SF97', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', 191945),
(248220, 'PTHR47426:SF4', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', 191946),
(248221, 'PTHR33622:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191947),
(248222, 'PTHR23012:SF197', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH7-LIKE', 191948),
(248223, 'PTHR43895:SF86', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 191949),
(248224, 'PTHR23024:SF523', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', 191950),
(248225, 'PTHR31676:SF150', NULL, NULL, NULL, NULL, 'BNAA03G46470D PROTEIN', 191951),
(248226, 'PTHR13066', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER NUCLEAR FACTOR 1 BLZF1  PROTEIN', 191952),
(248227, 'PTHR22975:SF29', NULL, NULL, NULL, NULL, 'BNAC05G47310D PROTEIN', 191953),
(248228, 'PTHR12107:SF1', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-2 SUBUNIT', 191954),
(248229, 'PTHR35713:SF1', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH-LIKE SPLICING FACTOR', 191955),
(248230, 'PTHR33389', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF2921)-RELATED', 191956),
(248231, 'PTHR34061:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191957),
(248232, 'PTHR43836:SF6', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00150)-RELATED', 191958),
(248233, 'PTHR31544:SF12', NULL, NULL, NULL, NULL, 'PROTEIN AIG2 A', 191959),
(248234, 'PTHR36712:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191960),
(248235, 'PTHR13019:SF19', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23 HOMOLOG', 191961),
(248236, 'PTHR31301:SF89', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 1-LIKE', 191962),
(248237, 'PTHR32089:SF102', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN SLL0041-RELATED', 191963),
(248238, 'PTHR33021:SF385', NULL, NULL, NULL, NULL, 'OS03G0758500 PROTEIN', 191964),
(248239, 'PTHR23118:SF31', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE BETA CHAIN PROTEIN 2 ISOFORM X1', 191965),
(248240, 'PTHR48107:SF6', NULL, NULL, NULL, NULL, 'GLUCOSE AND RIBITOL DEHYDROGENASE HOMOLOG 2', 191966),
(248241, 'PTHR45989:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT GAMMA', 191967),
(248242, 'PTHR12824:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG26099', 191968),
(248243, 'PTHR32133:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191969),
(248244, 'PTHR19325:SF468', NULL, NULL, NULL, NULL, 'MEMBRANE COFACTOR PROTEIN', 191970),
(248245, 'PTHR11861', NULL, NULL, NULL, NULL, 'MELANOCYTE PROTEIN PMEL 17-RELATED', 191971),
(248246, 'PTHR24300:SF79', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 191972),
(248247, 'PTHR31044:SF58', NULL, NULL, NULL, NULL, 'BNAANNG11800D PROTEIN', 191973);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(248248, 'PTHR43349:SF59', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 4-RELATED', 191974),
(248249, 'PTHR10903:SF77', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 9', 191975),
(248250, 'PTHR34067:SF17', NULL, NULL, NULL, NULL, 'OSJNBB0058J09.3-LIKE PROTEIN', 191976),
(248251, 'PTHR43875:SF10', NULL, NULL, NULL, NULL, 'BLL2173 PROTEIN', 191977),
(248252, 'PTHR27007:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191978),
(248253, 'PTHR22624:SF36', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE ATG4D', 191979),
(248254, 'PTHR20994', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 191980),
(248255, 'PTHR32285:SF64', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE PROTEIN-LIKE', 191981),
(248256, 'PTHR11247:SF50', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 191982),
(248257, 'PTHR43317:SF9', NULL, NULL, NULL, NULL, 'SPERMINE SYNTHASE', 191983),
(248258, 'PTHR31769:SF66', NULL, NULL, NULL, NULL, 'BNAC05G37760D PROTEIN', 191984),
(248259, 'PTHR37317', NULL, NULL, NULL, NULL, 'BLR8090 PROTEIN', 191985),
(248260, 'PTHR21717:SF78', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 5', 191986),
(248261, 'PTHR11802:SF400', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE PROTEIN', 191987),
(248262, 'PTHR45642:SF36', NULL, NULL, NULL, NULL, 'BNAA02G33660D PROTEIN', 191988),
(248263, 'PTHR30083', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 191989),
(248264, 'PTHR23036:SF105', NULL, NULL, NULL, NULL, 'LEUKEMIA INHIBITORY FACTOR RECEPTOR', 191990),
(248265, 'PTHR45634:SF24', NULL, NULL, NULL, NULL, 'DEACETYLASE, PUTATIVE-RELATED', 191991),
(248266, 'PTHR24298:SF701', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 191992),
(248267, 'PTHR42927:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 191993),
(248268, 'PTHR39179', NULL, NULL, NULL, NULL, 'SPORE COAT PROTEIN I', 191994),
(248269, 'PTHR11309', NULL, NULL, NULL, NULL, 'FRIZZLED', 191995),
(248270, 'PTHR31165:SF88', NULL, NULL, NULL, NULL, 'BNAA04G24610D PROTEIN', 191996),
(248271, 'PTHR10485:SF20', NULL, NULL, NULL, NULL, 'OS07G0604550 PROTEIN', 191997),
(248272, 'PTHR31220:SF1', NULL, NULL, NULL, NULL, 'GH21176P', 191998),
(248273, 'PTHR45915:SF6', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 191999),
(248274, 'PTHR33170:SF5', NULL, NULL, NULL, NULL, 'OS04G0189000 PROTEIN', 192000),
(248275, 'PTHR42830', NULL, NULL, NULL, NULL, 'OSMOTICALLY INDUCIBLE FAMILY PROTEIN', 192001),
(248276, 'PTHR15323', NULL, NULL, NULL, NULL, 'D123 PROTEIN', 192002),
(248277, 'PTHR31604:SF42', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 1-LIKE', 192003),
(248278, 'PTHR21146', NULL, NULL, NULL, NULL, 'MEF2B PROTEIN', 192004),
(248279, 'PTHR10953:SF227', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 1-LIKE', 192005),
(248280, 'PTHR30336:SF18', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 192006),
(248281, 'PTHR43706:SF4', NULL, NULL, NULL, NULL, 'OS07G0564500 PROTEIN', 192007),
(248282, 'PTHR27007:SF205', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.9', 192008),
(248283, 'PTHR30465', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER', 192009),
(248284, 'PTHR47926:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192010),
(248285, 'PTHR45770:SF39', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', 192011),
(248286, 'PTHR35170:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DD3-3', 192012),
(248287, 'PTHR11654:SF358', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.10', 192013),
(248288, 'PTHR11639:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192014),
(248289, 'PTHR43502:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE MJ1434-RELATED', 192015),
(248290, 'PTHR36782', NULL, NULL, NULL, NULL, 'BNAC03G62080D PROTEIN', 192016),
(248291, 'PTHR24286:SF294', NULL, NULL, NULL, NULL, 'BNAANNG05520D PROTEIN', 192017),
(248292, 'PTHR48005:SF8', NULL, NULL, NULL, NULL, 'REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', 192018),
(248293, 'PTHR15898:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PRT1', 192019);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(248294, 'PTHR30524', NULL, NULL, NULL, NULL, 'MANNITOL-1-PHOSPHATE 5-DEHYDROGENASE', 192020),
(248295, 'PTHR22306', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 192021),
(248296, 'PTHR33107:SF28', NULL, NULL, NULL, NULL, '21 KDA SEED PROTEIN-LIKE', 192022),
(248297, 'PTHR21245:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192023),
(248298, 'PTHR31415:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192024),
(248299, 'PTHR13061:SF30', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE 2, MITOCHONDRIAL', 192025),
(248300, 'PTHR31197:SF30', NULL, NULL, NULL, NULL, 'BNAA06G33240D PROTEIN', 192026),
(248301, 'PTHR10715:SF13', NULL, NULL, NULL, NULL, 'BNAANNG22110D PROTEIN', 192027),
(248302, 'PTHR21668:SF11', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD-LIKE PROTEIN', 192028),
(248303, 'PTHR10026:SF42', NULL, NULL, NULL, NULL, 'CYCLIN-T1', 192029),
(248304, 'PTHR34832', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN W', 192030),
(248305, 'PTHR35288:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 192031),
(248306, 'PTHR35306:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192032),
(248307, 'PTHR45732:SF17', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8A-RELATED', 192033),
(248308, 'PTHR46849:SF1', NULL, NULL, NULL, NULL, 'RCC1 DOMAIN-CONTAINING PROTEIN 1', 192034),
(248309, 'PTHR33127:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192035),
(248310, 'PTHR31719:SF140', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 71-LIKE', 192036),
(248311, 'PTHR10434:SF50', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', 192037),
(248312, 'PTHR31282:SF119', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR', 192038),
(248313, 'PTHR47297:SF2', NULL, NULL, NULL, NULL, 'NICOTINAMIDASE 1', 192039),
(248314, 'PTHR32122:SF1', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT A', 192040),
(248315, 'PTHR34451:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192041),
(248316, 'PTHR12771:SF56', NULL, NULL, NULL, NULL, 'ELMO/CED-12 FAMILY PROTEIN', 192042),
(248317, 'PTHR11995:SF22', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 7, MITOCHONDRIAL', 192043),
(248318, 'PTHR43157:SF27', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 12,-LIKE', 192044),
(248319, 'PTHR43788:SF6', NULL, NULL, NULL, NULL, 'RECBCD ENZYME SUBUNIT RECD', 192045),
(248320, 'PTHR16262', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY PROTEIN 26', 192046),
(248321, 'PTHR12381:SF66', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN U-LIKE PROTEIN 2', 192047),
(248322, 'PTHR12729:SF6', NULL, NULL, NULL, NULL, 'TRNA(HIS) GUANYLYLTRANSFERASE-RELATED', 192048),
(248323, 'PTHR28578', NULL, NULL, NULL, NULL, 'MITOTIC-SPINDLE ORGANIZING PROTEIN 2A-RELATED', 192049),
(248324, 'PTHR11709:SF372', NULL, NULL, NULL, NULL, 'LACCASE', 192050),
(248325, 'PTHR45648:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192051),
(248326, 'PTHR11963', NULL, NULL, NULL, NULL, 'LEUCINE AMINOPEPTIDASE-RELATED', 192052),
(248327, 'PTHR15909:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192053),
(248328, 'PTHR12674:SF6', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 5', 192054),
(248329, 'PTHR21136:SF196', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 7', 192055),
(248330, 'PTHR12406:SF41', NULL, NULL, NULL, NULL, 'BRUMMER, ISOFORM B-RELATED', 192056),
(248331, 'PTHR23201:SF116', NULL, NULL, NULL, NULL, 'BNAA09G09740D PROTEIN', 192057),
(248332, 'PTHR42714:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG19372', 192058),
(248333, 'PTHR19303:SF37', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', 192059),
(248334, 'PTHR38496:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 2', 192060),
(248335, 'PTHR47596', NULL, NULL, NULL, NULL, 'DVL13', 192061),
(248336, 'PTHR47659:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR OF GLUCONEOGENESIS ERT1', 192062),
(248337, 'PTHR11586:SF39', NULL, NULL, NULL, NULL, 'TYROSINE--TRNA LIGASE, CYTOPLASMIC', 192063);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(248338, 'PTHR10836:SF114', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', 192064),
(248339, 'PTHR30204:SF62', NULL, NULL, NULL, NULL, 'MERR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 192065),
(248340, 'PTHR31734:SF36', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA26', 192066),
(248341, 'PTHR32208:SF74', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN ARB_07867-LIKE', 192067),
(248342, 'PTHR35546:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192068),
(248343, 'PTHR13780:SF19', NULL, NULL, NULL, NULL, 'AMP-ACTIVATED PROTEIN KINASE GAMMA SUBUNIT', 192069),
(248344, 'PTHR31846:SF4', NULL, NULL, NULL, NULL, 'CRS1 / YHBY (CRM) DOMAIN-CONTAINING PROTEIN', 192070),
(248345, 'PTHR35127:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192071),
(248346, 'PTHR43369', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLGLYCINAMIDE FORMYLTRANSFERASE', 192072),
(248347, 'PTHR31140:SF65', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING TRANSCRIPTION REPRESSOR RAV2-LIKE', 192073),
(248348, 'PTHR41683', NULL, NULL, NULL, NULL, 'MUCIN-7', 192074),
(248349, 'PTHR24248:SF156', NULL, NULL, NULL, NULL, 'ADRENOCEPTOR ALPHA 1AB', 192075),
(248350, 'PTHR38595:SF2', NULL, NULL, NULL, NULL, 'TYPE VI SECRETION SYSTEM NEEDLE HUB PROTEIN TSSE', 192076),
(248351, 'PTHR34782', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE', 192077),
(248352, 'PTHR32370:SF4', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY2', 192078),
(248353, 'PTHR33921', NULL, NULL, NULL, NULL, 'CALVIN CYCLE PROTEIN CP12-2, CHLOROPLASTIC', 192079),
(248354, 'PTHR23063:SF1', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDYLCHOLINE ACYLTRANSFERASE 1', 192080),
(248355, 'PTHR36753', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 192081),
(248356, 'PTHR43670:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192082),
(248357, 'PTHR10641:SF1296', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB53', 192083),
(248358, 'PTHR31692:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192084),
(248359, 'PTHR32401:SF11', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN FAMILY PROTEIN', 192085),
(248360, 'PTHR22883:SF383', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', 192086),
(248361, 'PTHR35122:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0093F12.14 PROTEIN', 192087),
(248362, 'PTHR10615:SF179', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT7', 192088),
(248363, 'PTHR47800', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN', 192089),
(248364, 'PTHR46907:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192090),
(248365, 'PTHR34207:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BIC1', 192091),
(248366, 'PTHR36161:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG05619', 192092),
(248367, 'PTHR37317:SF1', NULL, NULL, NULL, NULL, 'BLR8090 PROTEIN', 192093),
(248368, 'PTHR26451:SF848', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 9.2', 192094),
(248369, 'PTHR43756:SF1', NULL, NULL, NULL, NULL, '3-PHENYLPROPIONATE/CINNAMIC ACID DIOXYGENASE SUBUNIT ALPHA', 192095),
(248370, 'PTHR31561:SF9', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 192096),
(248371, 'PTHR46611:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', 192097),
(248372, 'PTHR32295:SF188', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', 192098),
(248373, 'PTHR37715', NULL, NULL, NULL, NULL, 'OS01G0120700 PROTEIN', 192099),
(248374, 'PTHR24020:SF18', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(VI) CHAIN', 192100),
(248375, 'PTHR27009:SF208', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', 192101),
(248376, 'PTHR24296:SF138', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY-DEPENDENT FATTY ACID HYDROXYLASE', 192102),
(248377, 'PTHR12741:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192103),
(248378, 'PTHR31668:SF18', NULL, NULL, NULL, NULL, 'GLUCOSE TRANSPORT TRANSCRIPTION REGULATOR RGT1-RELATED', 192104),
(248379, 'PTHR15852:SF54', NULL, NULL, NULL, NULL, 'OSJNBA0086O06.7 PROTEIN', 192105),
(248380, 'PTHR10381:SF6', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT-RELATED PROTEIN 3, CHLOROPLASTIC', 192106);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(248381, 'PTHR31645:SF45', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', 192107),
(248382, 'PTHR24221:SF445', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 4', 192108),
(248383, 'PTHR24062:SF176', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 4', 192109),
(248384, 'PTHR32099:SF71', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 1', 192110),
(248385, 'PTHR11935:SF141', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE 1, MITOCHONDRIAL', 192111),
(248386, 'PTHR24014', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE AND IRON-DEPENDENT OXYGENASE DOMAIN-CONTAINING PROTEIN 2', 192112),
(248387, 'PTHR12264:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 12', 192113),
(248388, 'PTHR45868:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192114),
(248389, 'PTHR31088:SF9', NULL, NULL, NULL, NULL, 'PHAGE SHOCK PROTEIN A-RELATED', 192115),
(248390, 'PTHR32463', NULL, NULL, NULL, NULL, 'L-FUCOSE KINASE', 192116),
(248391, 'PTHR11214', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE', 192117),
(248392, 'PTHR31618:SF20', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 10', 192118),
(248393, 'PTHR31549:SF99', NULL, NULL, NULL, NULL, 'OS08G0395800 PROTEIN', 192119),
(248394, 'PTHR33386:SF20', NULL, NULL, NULL, NULL, 'BNAA06G13200D PROTEIN', 192120),
(248395, 'PTHR22599:SF21', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR 2', 192121),
(248396, 'PTHR24296:SF183', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 192122),
(248397, 'PTHR15710:SF108', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CIP8-LIKE ISOFORM X1', 192123),
(248398, 'PTHR19282:SF468', NULL, NULL, NULL, NULL, 'PERIPHERIN 2B (RETINAL DEGENERATION, SLOW)', 192124),
(248399, 'PTHR27002:SF825', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', 192125),
(248400, 'PTHR30268:SF0', NULL, NULL, NULL, NULL, 'L-RHAMNOSE ISOMERASE', 192126),
(248401, 'PTHR43858', NULL, NULL, NULL, NULL, 'ENERGY-DEPENDENT TRANSLATIONAL THROTTLE PROTEIN ETTA', 192127),
(248402, 'PTHR45632:SF3', NULL, NULL, NULL, NULL, 'LD33804P', 192128),
(248403, 'PTHR43791:SF47', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03750)-RELATED', 192129),
(248404, 'PTHR43822:SF15', NULL, NULL, NULL, NULL, 'BNACNNG15040D PROTEIN', 192130),
(248405, 'PTHR47906:SF5', NULL, NULL, NULL, NULL, 'OS05G0118600 PROTEIN', 192131),
(248406, 'PTHR14221:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 44', 192132),
(248407, 'PTHR31737:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TOS1', 192133),
(248408, 'PTHR12035:SF109', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 14', 192134),
(248409, 'PTHR34280:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 192135),
(248410, 'PTHR12167', NULL, NULL, NULL, NULL, 'C-TYPE NATRIURETIC PEPTIDE', 192136),
(248411, 'PTHR48111:SF13', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 192137),
(248412, 'PTHR10210:SF28', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYL PYROPHOSPHATE SYNTHASE-ASSOCIATED PROTEIN 1', 192138),
(248413, 'PTHR46195:SF20', NULL, NULL, NULL, NULL, 'BNAC07G33100D PROTEIN', 192139),
(248414, 'PTHR45624:SF10', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL BASIC AMINO ACIDS TRANSPORTER', 192140),
(248415, 'PTHR33102', NULL, NULL, NULL, NULL, 'DVL19-RELATED-RELATED', 192141),
(248416, 'PTHR28527:SF1', NULL, NULL, NULL, NULL, 'MATING-TYPE SWITCHING PROTEIN SWI2-RELATED', 192142),
(248417, 'PTHR26379:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192143),
(248418, 'PTHR48070:SF3', NULL, NULL, NULL, NULL, 'ESTERASE DBAE-RELATED', 192144),
(248419, 'PTHR33065:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192145),
(248420, 'PTHR46720:SF1', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G06050)-RELATED', 192146),
(248421, 'PTHR46696:SF1', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 192147),
(248422, 'PTHR24006:SF793', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 7', 192148),
(248423, 'PTHR31479:SF10', NULL, NULL, NULL, NULL, 'CLASS 3-RELATED PROTEIN, PUTATIVE-RELATED', 192149);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(248424, 'PTHR11071:SF416', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE E', 192150),
(248425, 'PTHR33625:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192151),
(248426, 'PTHR48040:SF16', NULL, NULL, NULL, NULL, 'OS02G0318500 PROTEIN', 192152),
(248427, 'PTHR11972:SF165', NULL, NULL, NULL, NULL, 'SUPEROXIDE-GENERATING NADPH OXIDASE HEAVY CHAIN SUBUNIT B', 192153),
(248428, 'PTHR22805', NULL, NULL, NULL, NULL, 'WDR41-RELATED', 192154),
(248429, 'PTHR46397:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', 192155),
(248430, 'PTHR45763:SF43', NULL, NULL, NULL, NULL, 'BNAA06G20910D PROTEIN', 192156),
(248431, 'PTHR33358:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192157),
(248432, 'PTHR11431:SF102', NULL, NULL, NULL, NULL, 'FERRITIN-3, CHLOROPLASTIC', 192158),
(248433, 'PTHR35602', NULL, NULL, NULL, NULL, 'ESTERASE YQIA-RELATED', 192159),
(248434, 'PTHR46090', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 13B', 192160),
(248435, 'PTHR11440:SF47', NULL, NULL, NULL, NULL, 'GROUP XV PHOSPHOLIPASE A2', 192161),
(248436, 'PTHR24373:SF299', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA ACTIVATOR LRRC33', 192162),
(248437, 'PTHR43544:SF26', NULL, NULL, NULL, NULL, 'STERIGMATOCYSTIN BIOSYNTHESIS KETOREDUCTASE STCE-RELATED', 192163),
(248438, 'PTHR24012:SF803', NULL, NULL, NULL, NULL, 'MEI2 C-TERMINAL RRM ONLY LIKE 1', 192164),
(248439, 'PTHR31181:SF62', NULL, NULL, NULL, NULL, 'PROLAMIN-LIKE PROTEIN (DUF1278)', 192165),
(248440, 'PTHR35972', NULL, NULL, NULL, NULL, 'SINGLE-PASS MEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 3', 192166),
(248441, 'PTHR48005:SF22', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', 192167),
(248442, 'PTHR10177:SF448', NULL, NULL, NULL, NULL, 'CYCLIN-B2-3', 192168),
(248443, 'PTHR35481:SF3', NULL, NULL, NULL, NULL, 'BNAANNG13270D PROTEIN', 192169),
(248444, 'PTHR45897:SF2', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CHOLINE TRANSPORTER 1', 192170),
(248445, 'PTHR42851:SF9', NULL, NULL, NULL, NULL, 'KETOSE-BISPHOSPHATE ALDOLASE CLASS-II FAMILY PROTEIN', 192171),
(248446, 'PTHR10963:SF43', NULL, NULL, NULL, NULL, 'GRAM-NEGATIVE BACTERIA-BINDING PROTEIN 1-RELATED', 192172),
(248447, 'PTHR11795:SF371', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT SYSTEM PERMEASE PROTEIN LIVH', 192173),
(248448, 'PTHR14095:SF16', NULL, NULL, NULL, NULL, 'ION BINDING PROTEIN, PUTATIVE-RELATED', 192174),
(248449, 'PTHR24061:SF495', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192175),
(248450, 'PTHR33831:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192176),
(248451, 'PTHR46067:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192177),
(248452, 'PTHR31314:SF119', NULL, NULL, NULL, NULL, 'BNAC03G72550D PROTEIN', 192178),
(248453, 'PTHR33154:SF25', NULL, NULL, NULL, NULL, 'ARSENICAL RESISTANCE OPERON REPRESSOR-RELATED', 192179),
(248454, 'PTHR11054:SF1', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-LIKE PROTEIN 1-RELATED', 192180),
(248455, 'PTHR45703:SF3', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 10', 192181),
(248456, 'PTHR31973:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192182),
(248457, 'PTHR13422:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192183),
(248458, 'PTHR22669', NULL, NULL, NULL, NULL, 'DELTA/SERRATE/LAG-2 DOMAIN PROTEIN', 192184),
(248459, 'PTHR47215:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192185),
(248460, 'PTHR22849:SF6', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', 192186),
(248461, 'PTHR48061:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192187),
(248462, 'PTHR24381:SF114', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 620', 192188),
(248463, 'PTHR24416:SF359', NULL, NULL, NULL, NULL, 'HYPOXIA INHIBITED RECEPTOR TYROSINE KINASE', 192189),
(248464, 'PTHR12663:SF38', NULL, NULL, NULL, NULL, 'BNAC02G33460D PROTEIN', 192190),
(248465, 'PTHR11685:SF325', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', 192191),
(248466, 'PTHR14882:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192192);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(248467, 'PTHR46252:SF5', NULL, NULL, NULL, NULL, 'SI:DKEY-283B1.7', 192193),
(248468, 'PTHR43401', NULL, NULL, NULL, NULL, 'L-THREONINE 3-DEHYDROGENASE', 192194),
(248469, 'PTHR11848:SF261', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 8B-LIKE PROTEIN', 192195),
(248470, 'PTHR24286:SF248', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 716A1-RELATED', 192196),
(248471, 'PTHR32077:SF68', NULL, NULL, NULL, NULL, 'OS05G0163300 PROTEIN', 192197),
(248472, 'PTHR21666:SF270', NULL, NULL, NULL, NULL, 'MUREIN DD-ENDOPEPTIDASE MEPM', 192198),
(248473, 'PTHR13935:SF118', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX DNA-BINDING SUPERFAMILY PROTEIN', 192199),
(248474, 'PTHR18896:SF156', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', 192200),
(248475, 'PTHR24340:SF34', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-3.2', 192201),
(248476, 'PTHR46654', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECTD3', 192202),
(248477, 'PTHR32077:SF64', NULL, NULL, NULL, NULL, 'BNAA06G36300D PROTEIN', 192203),
(248478, 'PTHR33076:SF106', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 11', 192204),
(248479, 'PTHR23084:SF230', NULL, NULL, NULL, NULL, 'HISTONE H3 K4-SPECIFIC METHYLTRANSFERASE SET7/9 FAMILY PROTEIN', 192205),
(248480, 'PTHR47777', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SEBOX', 192206),
(248481, 'PTHR47288:SF4', NULL, NULL, NULL, NULL, 'BNACNNG62530D PROTEIN', 192207),
(248482, 'PTHR21143:SF122', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR FOR BITTER TASTE 66A-RELATED', 192208),
(248483, 'PTHR21576:SF90', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', 192209),
(248484, 'PTHR11969:SF73', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', 192210),
(248485, 'PTHR46697', NULL, NULL, NULL, NULL, 'FORMIN-BINDING PROTEIN 4', 192211),
(248486, 'PTHR46224:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192212),
(248487, 'PTHR48013:SF20', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 4', 192213),
(248488, 'PTHR11481:SF12', NULL, NULL, NULL, NULL, 'HIGH AFFINITY IMMUNOGLOBULIN EPSILON RECEPTOR SUBUNIT ALPHA', 192214),
(248489, 'PTHR24062:SF154', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 192215),
(248490, 'PTHR36382:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0043L09.26 PROTEIN', 192216),
(248491, 'PTHR10161:SF34', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 3', 192217),
(248492, 'PTHR10678:SF6', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 11A', 192218),
(248493, 'PTHR23424:SF8', NULL, NULL, NULL, NULL, 'SERUM AMYLOID A-4 PROTEIN', 192219),
(248494, 'PTHR46210:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192220),
(248495, 'PTHR43650:SF15', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', 192221),
(248496, 'PTHR34945:SF4', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', 192222),
(248497, 'PTHR47424:SF3', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN GAL4', 192223),
(248498, 'PTHR31801:SF0', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 24, MITOCHONDRIAL', 192224),
(248499, 'PTHR32099:SF36', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 38-LIKE', 192225),
(248500, 'PTHR21310:SF43', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE ENZYME FAMILY PROTEIN', 192226),
(248501, 'PTHR17490:SF16', NULL, NULL, NULL, NULL, 'SI:CH211-153B23.4', 192227),
(248502, 'PTHR13683:SF846', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192228),
(248503, 'PTHR33193:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192229),
(248504, 'PTHR46358', NULL, NULL, NULL, NULL, 'TONSOKU-LIKE PROTEIN', 192230),
(248505, 'PTHR15526:SF5', NULL, NULL, NULL, NULL, 'MUSKELIN', 192231),
(248506, 'PTHR43272:SF52', NULL, NULL, NULL, NULL, '2-SUCCINYLBENZOATE--COA LIGASE', 192232),
(248507, 'PTHR43655:SF29', NULL, NULL, NULL, NULL, 'BNAA04G16890D PROTEIN', 192233),
(248508, 'PTHR11474:SF94', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE, CHLOROPLASTIC-LIKE', 192234),
(248509, 'PTHR12313:SF76', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 192235);
INSERT INTO "PUBLIC"."MODEL" VALUES
(248510, 'PTHR45669:SF47', NULL, NULL, NULL, NULL, 'BNAC02G02860D PROTEIN', 192236),
(248511, 'PTHR31301:SF19', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 5-RELATED', 192237),
(248512, 'PTHR47519:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-97', 192238),
(248513, 'PTHR13172', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM9B', 192239),
(248514, 'PTHR10926:SF0', NULL, NULL, NULL, NULL, 'FI04422P', 192240),
(248515, 'PTHR21562:SF74', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', 192241),
(248516, 'PTHR10994:SF139', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B2', 192242),
(248517, 'PTHR11654:SF387', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', 192243),
(248518, 'PTHR43069:SF6', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETASE', 192244),
(248519, 'PTHR31676:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192245),
(248520, 'PTHR24015:SF1700', NULL, NULL, NULL, NULL, 'OS03G0844000 PROTEIN', 192246),
(248521, 'PTHR28342:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192247),
(248522, 'PTHR13318:SF145', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 192248),
(248523, 'PTHR43035:SF4', NULL, NULL, NULL, NULL, 'NITROREDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G03530)', 192249),
(248524, 'PTHR37387:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SAMBA', 192250),
(248525, 'PTHR24096:SF320', NULL, NULL, NULL, NULL, 'BLR5963 PROTEIN', 192251),
(248526, 'PTHR33021:SF193', NULL, NULL, NULL, NULL, 'OS09G0469300 PROTEIN', 192252),
(248527, 'PTHR24340:SF33', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-2.1', 192253),
(248528, 'PTHR32295:SF203', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 15-RELATED', 192254),
(248529, 'PTHR13318:SF25', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 192255),
(248530, 'PTHR46442:SF4', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 192256),
(248531, 'PTHR45970:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A9A', 192257),
(248532, 'PTHR10648:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 65 KDA REGULATORY SUBUNIT A BETA ISOFORM', 192258),
(248533, 'PTHR11245:SF7', NULL, NULL, NULL, NULL, 'STANNIOCALCIN 1', 192259),
(248534, 'PTHR31889:SF68', NULL, NULL, NULL, NULL, '2-ALPHA-L-FUCOSYLTRANSFERASE, PUTATIVE-RELATED', 192260),
(248535, 'PTHR12329', NULL, NULL, NULL, NULL, 'BCL2-ASSOCIATED ATHANOGENE', 192261),
(248536, 'PTHR31235:SF220', NULL, NULL, NULL, NULL, 'PEROXIDASE', 192262),
(248537, 'PTHR45785', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR H-RELATED', 192263),
(248538, 'PTHR47993:SF86', NULL, NULL, NULL, NULL, 'OS04G0589300 PROTEIN', 192264),
(248539, 'PTHR19375:SF408', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192265),
(248540, 'PTHR46183:SF1', NULL, NULL, NULL, NULL, 'HSP-INTERACTING PROTEIN', 192266),
(248541, 'PTHR33918:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 192267),
(248542, 'PTHR31696:SF83', NULL, NULL, NULL, NULL, 'BNAC04G01990D PROTEIN', 192268),
(248543, 'PTHR45664:SF14', NULL, NULL, NULL, NULL, 'PROTEIN ZERKNUELLT 1-RELATED', 192269),
(248544, 'PTHR45658:SF46', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 9', 192270),
(248545, 'PTHR11599:SF14', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-5', 192271),
(248546, 'PTHR31992:SF229', NULL, NULL, NULL, NULL, 'BNACNNG28850D PROTEIN', 192272),
(248547, 'PTHR47993:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192273),
(248548, 'PTHR15046', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 192274),
(248549, 'PTHR26453:SF13', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 192275),
(248550, 'PTHR13832:SF672', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60 ISOFORM X1-RELATED', 192276),
(248551, 'PTHR24381:SF339', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 544', 192277),
(248552, 'PTHR15852:SF11', NULL, NULL, NULL, NULL, 'SSU-2 HOMOLOG, TANDEM DUPLICATE 2-RELATED', 192278),
(248553, 'PTHR34754', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 60', 192279),
(248554, 'PTHR34834:SF2', NULL, NULL, NULL, NULL, 'SPEM FAMILY MEMBER 2', 192280),
(248555, 'PTHR22751:SF63', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', 192281);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(248556, 'PTHR23155:SF947', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPM1', 192282),
(248557, 'PTHR18966:SF426', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', 192283),
(248558, 'PTHR31301:SF21', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 27-RELATED', 192284),
(248559, 'PTHR18896:SF57', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D1', 192285),
(248560, 'PTHR33144:SF18', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PTTA/EN/SPM, PLANT-RELATED', 192286),
(248561, 'PTHR31413:SF12', NULL, NULL, NULL, NULL, 'AFP HOMOLOG 2', 192287),
(248562, 'PTHR31102:SF5', NULL, NULL, NULL, NULL, 'SLC9B1-LIKE PROTEIN SLC9B1P1-RELATED', 192288),
(248563, 'PTHR47928:SF33', NULL, NULL, NULL, NULL, 'OS01G0912900 PROTEIN', 192289),
(248564, 'PTHR23192:SF66', NULL, NULL, NULL, NULL, 'COLMEDIN (COLLAGEN PLUS OLFACTOMEDIN) FAMILY', 192290),
(248565, 'PTHR37322', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 192291),
(248566, 'PTHR14972:SF7', NULL, NULL, NULL, NULL, 'PROTEIN FAM117A', 192292),
(248567, 'PTHR11811:SF58', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING', 192293),
(248568, 'PTHR44663:SF2', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE B', 192294),
(248569, 'PTHR21720:SF6', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK FACTOR', 192295),
(248570, 'PTHR47926:SF210', NULL, NULL, NULL, NULL, 'BNAA05G13440D PROTEIN', 192296),
(248571, 'PTHR31325:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192297),
(248572, 'PTHR19277:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192298),
(248573, 'PTHR38421', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN USGS', 192299),
(248574, 'PTHR31087:SF60', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 5', 192300),
(248575, 'PTHR31625:SF29', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', 192301),
(248576, 'PTHR16223:SF195', NULL, NULL, NULL, NULL, 'HLH DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', 192302),
(248577, 'PTHR22847:SF701', NULL, NULL, NULL, NULL, 'TNF RECEPTOR ASSOCIATED FACTOR 7', 192303),
(248578, 'PTHR18843:SF6', NULL, NULL, NULL, NULL, 'TORSIN-1A-INTERACTING PROTEIN 1', 192304),
(248579, 'PTHR24221:SF410', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN HOMOLOG 49', 192305),
(248580, 'PTHR11040:SF70', NULL, NULL, NULL, NULL, 'OS05G0316100 PROTEIN', 192306),
(248581, 'PTHR31499:SF47', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR APL-LIKE ISOFORM X1', 192307),
(248582, 'PTHR33170:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192308),
(248583, 'PTHR31218:SF25', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 192309),
(248584, 'PTHR32343:SF38', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 9', 192310),
(248585, 'PTHR10369:SF38', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L44-LIKE', 192311),
(248586, 'PTHR45621:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL12-RELATED', 192312),
(248587, 'PTHR10462:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192313),
(248588, 'PTHR31376:SF90', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 4-RELATED', 192314),
(248589, 'PTHR45907:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', 192315),
(248590, 'PTHR14060:SF4', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA/LYMPHOMA PROTEIN 1A', 192316),
(248591, 'PTHR11818:SF112', NULL, NULL, NULL, NULL, 'CRYGMX PROTEIN', 192317),
(248592, 'PTHR11431:SF108', NULL, NULL, NULL, NULL, 'FERRITIN-2, CHLOROPLASTIC-LIKE', 192318),
(248593, 'PTHR31945:SF102', NULL, NULL, NULL, NULL, 'BNAC03G56820D PROTEIN', 192319),
(248594, 'PTHR43617', NULL, NULL, NULL, NULL, 'L-AMINO ACID N-ACETYLTRANSFERASE', 192320),
(248595, 'PTHR47212:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192321),
(248596, 'PTHR10426:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192322),
(248597, 'PTHR22952:SF420', NULL, NULL, NULL, NULL, 'BNAA07G03000D PROTEIN', 192323),
(248598, 'PTHR23320:SF54', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 5', 192324),
(248599, 'PTHR46869:SF15', NULL, NULL, NULL, NULL, 'BNAC03G57420D PROTEIN', 192325);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(248600, 'PTHR24377:SF705', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 233', 192326),
(248601, 'PTHR16206', NULL, NULL, NULL, NULL, 'DEP DOMAIN-CONTAINING', 192327),
(248602, 'PTHR11782:SF33', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 2', 192328),
(248603, 'PTHR33203:SF49', NULL, NULL, NULL, NULL, 'OLEOSIN GRP-17', 192329),
(248604, 'PTHR24037:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192330),
(248605, 'PTHR11895:SF135', NULL, NULL, NULL, NULL, 'AMIDASE FAMILY PROTEIN, EXPRESSED', 192331),
(248606, 'PTHR31744:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192332),
(248607, 'PTHR28280:SF1', NULL, NULL, NULL, NULL, 'SHUTTLING PRE-60S FACTOR ECM1', 192333),
(248608, 'PTHR10688:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192334),
(248609, 'PTHR30055:SF193', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ETHR', 192335),
(248610, 'PTHR45945:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 12', 192336),
(248611, 'PTHR37397', NULL, NULL, NULL, NULL, 'SI:CH211-183D21.1', 192337),
(248612, 'PTHR14969:SF17', NULL, NULL, NULL, NULL, 'INACTIVE PHOSPHOLIPID PHOSPHATASE 7', 192338),
(248613, 'PTHR33513:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192339),
(248614, 'PTHR30126:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', 192340),
(248615, 'PTHR21678:SF7', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN R3HCC1L', 192341),
(248616, 'PTHR35259', NULL, NULL, NULL, NULL, 'BOMBESIN RECEPTOR-ACTIVATED PROTEIN C6ORF89', 192342),
(248617, 'PTHR23267:SF201', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-VI REGION J539-RELATED', 192343),
(248618, 'PTHR10237:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192344),
(248619, 'PTHR44170:SF17', NULL, NULL, NULL, NULL, 'CONTACTIN-5', 192345),
(248620, 'PTHR36007', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN-RELATED', 192346),
(248621, 'PTHR48217:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192347),
(248622, 'PTHR26452:SF769', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5F1', 192348),
(248623, 'PTHR47394', NULL, NULL, NULL, NULL, 'SMALL CELL ADHESION GLYCOPROTEIN', 192349),
(248624, 'PTHR16675:SF251', NULL, NULL, NULL, NULL, 'CLASS IB MHC ANTIGEN QA-2-RELATED', 192350),
(248625, 'PTHR31093:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192351),
(248626, 'PTHR10641:SF1282', NULL, NULL, NULL, NULL, 'BNAA09G05480D PROTEIN', 192352),
(248627, 'PTHR23319:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ASTER-A', 192353),
(248628, 'PTHR24206:SF63', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', 192354),
(248629, 'PTHR24070:SF253', NULL, NULL, NULL, NULL, 'GTPASE RHEBL1', 192355),
(248630, 'PTHR10454:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192356),
(248631, 'PTHR31044:SF88', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN PROTEIN', 192357),
(248632, 'PTHR12887:SF11', NULL, NULL, NULL, NULL, 'PROTEIN NANOS', 192358),
(248633, 'PTHR24067:SF303', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 7-LIKE', 192359),
(248634, 'PTHR46316:SF6', NULL, NULL, NULL, NULL, 'SNF1-RELATED KINASE REGULATORY SUBUNIT BETA-2', 192360),
(248635, 'PTHR31774:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-7', 192361),
(248636, 'PTHR46169:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192362),
(248637, 'PTHR31062:SF244', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 192363),
(248638, 'PTHR31250', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM3', 192364),
(248639, 'PTHR10910', NULL, NULL, NULL, NULL, 'EUKARYOTE SPECIFIC DSRNA BINDING PROTEIN', 192365),
(248640, 'PTHR30069:SF28', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR YNCD-RELATED', 192366),
(248641, 'PTHR31683:SF155', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 192367),
(248642, 'PTHR43874:SF161', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', 192368),
(248643, 'PTHR24286:SF235', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', 192369),
(248644, 'PTHR47992:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 15-RELATED', 192370);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(248645, 'PTHR31985:SF206', NULL, NULL, NULL, NULL, 'BNAC04G44720D PROTEIN', 192371),
(248646, 'PTHR31707:SF58', NULL, NULL, NULL, NULL, 'OS01G0377800 PROTEIN', 192372),
(248647, 'PTHR34722:SF1', NULL, NULL, NULL, NULL, 'HOMOLOG OF ODR-2 (TWO)', 192373),
(248648, 'PTHR30195', NULL, NULL, NULL, NULL, 'TYPE I SITE-SPECIFIC DEOXYRIBONUCLEASE PROTEIN SUBUNIT M AND R', 192374),
(248649, 'PTHR21659:SF65', NULL, NULL, NULL, NULL, 'OS03G0286900 PROTEIN', 192375),
(248650, 'PTHR33142:SF8', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR13', 192376),
(248651, 'PTHR12537:SF155', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 16-RELATED', 192377),
(248652, 'PTHR33766:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM181A', 192378),
(248653, 'PTHR19957:SF97', NULL, NULL, NULL, NULL, 'SYNTAXIN-4', 192379),
(248654, 'PTHR11588:SF350', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', 192380),
(248655, 'PTHR34203:SF11', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE FKBM', 192381),
(248656, 'PTHR15499:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192382),
(248657, 'PTHR11003:SF249', NULL, NULL, NULL, NULL, 'TWO PORE POTASSIUM CHANNEL PROTEIN SUP-9', 192383),
(248658, 'PTHR31236:SF54', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 5-LIKE', 192384),
(248659, 'PTHR10510:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A, MITOCHONDRIAL', 192385),
(248660, 'PTHR11630:SF46', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM3', 192386),
(248661, 'PTHR31485', NULL, NULL, NULL, NULL, 'PEPTIDYL SERINE ALPHA-GALACTOSYLTRANSFERASE', 192387),
(248662, 'PTHR30251:SF9', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CAF1M', 192388),
(248663, 'PTHR13861:SF2', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT F', 192389),
(248664, 'PTHR10352:SF37', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2B', 192390),
(248665, 'PTHR31415:SF137', NULL, NULL, NULL, NULL, 'PROTEIN YLS9-LIKE', 192391),
(248666, 'PTHR31692:SF111', NULL, NULL, NULL, NULL, 'BNAC07G50680D PROTEIN', 192392),
(248667, 'PTHR31605:SF0', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE O-ACYLTRANSFERASE 1', 192393),
(248668, 'PTHR11431:SF111', NULL, NULL, NULL, NULL, 'FERRITIN', 192394),
(248669, 'PTHR11920:SF349', NULL, NULL, NULL, NULL, 'RETINAL GUANYLYL CYCLASE 2', 192395),
(248670, 'PTHR42788:SF20', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', 192396),
(248671, 'PTHR12199:SF3', NULL, NULL, NULL, NULL, 'INTERPHOTORECEPTOR MATRIX PROTEOGLYCAN 1', 192397),
(248672, 'PTHR24232:SF36', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 4', 192398),
(248673, 'PTHR11533:SF239', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM AMINOPEPTIDASE 2', 192399),
(248674, 'PTHR31639:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192400),
(248675, 'PTHR33172:SF37', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE DDB_G0279831 ISOFORM X1-RELATED', 192401),
(248676, 'PTHR22774:SF18', NULL, NULL, NULL, NULL, 'AMINO-TERMINAL REGION OF CHOREIN, A TM VESICLE-MEDIATED SORTER', 192402),
(248677, 'PTHR12021:SF18', NULL, NULL, NULL, NULL, 'THYMOSIN BETA-4, Y-CHROMOSOMAL', 192403),
(248678, 'PTHR47874', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 192404),
(248679, 'PTHR34067:SF15', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 13', 192405),
(248680, 'PTHR42793', NULL, NULL, NULL, NULL, 'COA BINDING DOMAIN CONTAINING PROTEIN', 192406),
(248681, 'PTHR11926:SF324', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 192407),
(248682, 'PTHR31235:SF90', NULL, NULL, NULL, NULL, 'PEROXIDASE 44-RELATED', 192408),
(248683, 'PTHR34210:SF3', NULL, NULL, NULL, NULL, 'OS01G0252900 PROTEIN', 192409),
(248684, 'PTHR24028:SF252', NULL, NULL, NULL, NULL, 'CADHERIN FAMILY', 192410),
(248685, 'PTHR11926:SF1311', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 74F2', 192411),
(248686, 'PTHR39104:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192412),
(248687, 'PTHR45633:SF33', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CHAPERONE TCM62', 192413),
(248688, 'PTHR10749:SF4', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE B KINASE REGULATORY SUBUNIT ALPHA, SKELETAL MUSCLE ISOFORM', 192414);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(248689, 'PTHR23155:SF1114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192415),
(248690, 'PTHR14942:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192416),
(248691, 'PTHR11814:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192417),
(248692, 'PTHR11246:SF5', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR SYF1', 192418),
(248693, 'PTHR47293:SF56', NULL, NULL, NULL, NULL, 'BNAA06G13880D PROTEIN', 192419),
(248694, 'PTHR48017:SF182', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 2', 192420),
(248695, 'PTHR47932:SF36', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 192421),
(248696, 'PTHR33285:SF43', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 3-LIKE', 192422),
(248697, 'PTHR10464:SF9', NULL, NULL, NULL, NULL, 'UREA TRANSPORTER', 192423),
(248698, 'PTHR23403:SF25', NULL, NULL, NULL, NULL, 'TREHALASE', 192424),
(248699, 'PTHR46364:SF8', NULL, NULL, NULL, NULL, 'OS08G0421900 PROTEIN', 192425),
(248700, 'PTHR10827:SF77', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND FAMILY PROTEIN', 192426),
(248701, 'PTHR31756:SF8', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE REGULATORY PROTEIN, CHLOROPLASTIC', 192427),
(248702, 'PTHR24377:SF891', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 467', 192428),
(248703, 'PTHR31388:SF195', NULL, NULL, NULL, NULL, 'PEROXIDASE', 192429),
(248704, 'PTHR15083:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 6', 192430),
(248705, 'PTHR31016:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192431),
(248706, 'PTHR31250:SF47', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', 192432),
(248707, 'PTHR13683:SF838', NULL, NULL, NULL, NULL, 'PROTEIN ASPARTIC PROTEASE IN GUARD CELL 2-LIKE', 192433),
(248708, 'PTHR11009:SF33', NULL, NULL, NULL, NULL, 'DERLIN-2.1', 192434),
(248709, 'PTHR37709', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 192435),
(248710, 'PTHR31221:SF203', NULL, NULL, NULL, NULL, 'BNAA04G17420D PROTEIN', 192436),
(248711, 'PTHR16007:SF15', NULL, NULL, NULL, NULL, 'PROTEIN 45B, PUTATIVE-RELATED', 192437),
(248712, 'PTHR24072:SF168', NULL, NULL, NULL, NULL, 'RAS-LIKE GTP-BINDING PROTEIN RHO1', 192438),
(248713, 'PTHR19353:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE HEME/STEROID BINDING DOMAIN', 192439),
(248714, 'PTHR42745', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 192440),
(248715, 'PTHR47047:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE, PUTATIVE CYSTEINE PEPTIDASE, CLAN CA, FAMILY C2, PUTATIVE-RELATED', 192441),
(248716, 'PTHR16154:SF28', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 14', 192442),
(248717, 'PTHR33165:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192443),
(248718, 'PTHR16089:SF28', NULL, NULL, NULL, NULL, 'GEO13032P1-RELATED', 192444),
(248719, 'PTHR10024:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192445),
(248720, 'PTHR45933:SF11', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 1', 192446),
(248721, 'PTHR46757:SF10', NULL, NULL, NULL, NULL, 'BNAA03G55530D PROTEIN', 192447),
(248722, 'PTHR11844:SF25', NULL, NULL, NULL, NULL, 'TISSUE INHIBITOR OF METALLOPROTEINASE', 192448),
(248723, 'PTHR10869:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192449),
(248724, 'PTHR45890:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192450),
(248725, 'PTHR12542:SF153', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', 192451),
(248726, 'PTHR33979:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192452),
(248727, 'PTHR34706:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_7G06200)', 192453),
(248728, 'PTHR10219:SF75', NULL, NULL, NULL, NULL, 'PROTEIN PLEKHA9-RELATED', 192454),
(248729, 'PTHR37299:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', 192455),
(248730, 'PTHR18945:SF477', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT BETA', 192456),
(248731, 'PTHR31218:SF200', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 192457),
(248732, 'PTHR13857:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192458),
(248733, 'PTHR31585:SF11', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 3-RELATED', 192459);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(248734, 'PTHR11977:SF89', NULL, NULL, NULL, NULL, 'GELSOLIN-RELATED PROTEIN OF 125 KDA', 192460),
(248735, 'PTHR24128:SF68', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBOS35-RELATED', 192461),
(248736, 'PTHR42943:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE KAPPA 1', 192462),
(248737, 'PTHR10502:SF207', NULL, NULL, NULL, NULL, 'OS09G0368850 PROTEIN', 192463),
(248738, 'PTHR36362:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', 192464),
(248739, 'PTHR13343:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CREG2', 192465),
(248740, 'PTHR23201:SF49', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 6-LIKE', 192466),
(248741, 'PTHR11850:SF97', NULL, NULL, NULL, NULL, 'PRE-B-CELL LEUKEMIA TRANSCRIPTION FACTOR 3', 192467),
(248742, 'PTHR24399:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192468),
(248743, 'PTHR15348:SF0', NULL, NULL, NULL, NULL, 'PROTEIN DEAD RINGER', 192469),
(248744, 'PTHR47123:SF22', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', 192470),
(248745, 'PTHR34660:SF17', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN X', 192471),
(248746, 'PTHR38043:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HEMX', 192472),
(248747, 'PTHR47177:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192473),
(248748, 'PTHR34546:SF6', NULL, NULL, NULL, NULL, 'OS01G0759000 PROTEIN', 192474),
(248749, 'PTHR37170:SF1', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN', 192475),
(248750, 'PTHR45814:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD1A', 192476),
(248751, 'PTHR42938:SF5', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE', 192477),
(248752, 'PTHR37245:SF6', NULL, NULL, NULL, NULL, 'BNAC01G09990D PROTEIN', 192478),
(248753, 'PTHR11346:SF164', NULL, NULL, NULL, NULL, 'GALECTIN', 192479),
(248754, 'PTHR11599:SF181', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-2-B', 192480),
(248755, 'PTHR24093', NULL, NULL, NULL, NULL, 'CATION TRANSPORTING ATPASE', 192481),
(248756, 'PTHR46128:SF248', NULL, NULL, NULL, NULL, 'BNAA07G03390D PROTEIN', 192482),
(248757, 'PTHR19229:SF194', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 7', 192483),
(248758, 'PTHR48048:SF27', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 192484),
(248759, 'PTHR43414:SF6', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTG', 192485),
(248760, 'PTHR30620:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192486),
(248761, 'PTHR48043:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192487),
(248762, 'PTHR43885:SF1', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13290)-RELATED', 192488),
(248763, 'PTHR33910', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLOCASE SUBUNIT SECE', 192489),
(248764, 'PTHR47965:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192490),
(248765, 'PTHR28153', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 192491),
(248766, 'PTHR47260:SF3', NULL, NULL, NULL, NULL, 'THIOESTERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_7G03960)', 192492),
(248767, 'PTHR19876:SF54', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''-1', 192493),
(248768, 'PTHR13817:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192494),
(248769, 'PTHR13082:SF1', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP18', 192495),
(248770, 'PTHR47485:SF2', NULL, NULL, NULL, NULL, 'PENTAPEPTIDE REPEAT', 192496),
(248771, 'PTHR11627:SF69', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', 192497),
(248772, 'PTHR41324:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 192498),
(248773, 'PTHR15710:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192499),
(248774, 'PTHR24025:SF9', NULL, NULL, NULL, NULL, 'DESMOGLEIN-1', 192500),
(248775, 'PTHR10202:SF18', NULL, NULL, NULL, NULL, 'PRESENILIN-1', 192501),
(248776, 'PTHR11972:SF12', NULL, NULL, NULL, NULL, 'NADPH OXIDASE 3', 192502),
(248777, 'PTHR35778:SF1', NULL, NULL, NULL, NULL, 'SIGNALING MUCIN HKR1-RELATED', 192503),
(248778, 'PTHR32015', NULL, NULL, NULL, NULL, 'FASTING INDUCED LIPASE', 192504),
(248779, 'PTHR19854:SF15', NULL, NULL, NULL, NULL, 'TRANSDUCIN BETA-LIKE PROTEIN 3', 192505);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(248780, 'PTHR30009', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE SYNTHESIS PROTEIN AND PTS TRANSMEMBRANE COMPONENT', 192506),
(248781, 'PTHR23101:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192507),
(248782, 'PTHR31642:SF151', NULL, NULL, NULL, NULL, 'OS12G0134600 PROTEIN', 192508),
(248783, 'PTHR28066', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN MRP10, MITOCHONDRIAL', 192509),
(248784, 'PTHR47992:SF162', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 51-RELATED', 192510),
(248785, 'PTHR11958:SF45', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 192511),
(248786, 'PTHR28060:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT J, MITOCHONDRIAL', 192512),
(248787, 'PTHR22826:SF205', NULL, NULL, NULL, NULL, 'PROTEIN CBR-UNC-73', 192513),
(248788, 'PTHR34124:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192514),
(248789, 'PTHR45665:SF2', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP1-1', 192515),
(248790, 'PTHR11616:SF141', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT TAURINE TRANSPORTER', 192516),
(248791, 'PTHR45644:SF36', NULL, NULL, NULL, NULL, 'FI08533P-RELATED', 192517),
(248792, 'PTHR13301:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192518),
(248793, 'PTHR11949:SF7', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 8', 192519),
(248794, 'PTHR33472:SF13', NULL, NULL, NULL, NULL, 'BNAA09G55540D PROTEIN', 192520),
(248795, 'PTHR10283:SF66', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 13 MEMBER 2', 192521),
(248796, 'PTHR44321:SF1', NULL, NULL, NULL, NULL, 'TRANSDUCIN BETA-LIKE PROTEIN 2', 192522),
(248797, 'PTHR11214:SF267', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 3-RELATED', 192523),
(248798, 'PTHR32191:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192524),
(248799, 'PTHR31790:SF113', NULL, NULL, NULL, NULL, 'OS02G0783600 PROTEIN', 192525),
(248800, 'PTHR14211:SF9', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NOP53', 192526),
(248801, 'PTHR23359:SF187', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 7, MITOCHONDRIAL-RELATED', 192527),
(248802, 'PTHR33179:SF54', NULL, NULL, NULL, NULL, 'OS07G0686600 PROTEIN', 192528),
(248803, 'PTHR45891:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER HOMEOBOX PROTEIN 4', 192529),
(248804, 'PTHR34153:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-262H13.3-RELATED', 192530),
(248805, 'PTHR31105:SF37', NULL, NULL, NULL, NULL, 'EXTRA-LARGE G-LIKE PROTEIN', 192531),
(248806, 'PTHR14140', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UHRF-RELATED', 192532),
(248807, 'PTHR46655:SF3', NULL, NULL, NULL, NULL, 'BNAA01G18730D PROTEIN', 192533),
(248808, 'PTHR23213:SF344', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', 192534),
(248809, 'PTHR24228:SF62', NULL, NULL, NULL, NULL, 'AGAP001498-PA', 192535),
(248810, 'PTHR43158:SF9', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', 192536),
(248811, 'PTHR24067:SF301', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 1', 192537),
(248812, 'PTHR27006:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192538),
(248813, 'PTHR33546:SF1', NULL, NULL, NULL, NULL, 'LARGE, MULTIFUNCTIONAL SECRETED PROTEIN-RELATED', 192539),
(248814, 'PTHR36488:SF4', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', 192540),
(248815, 'PTHR47735', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY KQT MEMBER 4', 192541),
(248816, 'PTHR37175', NULL, NULL, NULL, NULL, 'BNAA08G28800D PROTEIN', 192542),
(248817, 'PTHR43719:SF27', NULL, NULL, NULL, NULL, 'AEROBIC RESPIRATION CONTROL SENSOR PROTEIN ARCB', 192543),
(248818, 'PTHR18966:SF405', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, N-METHYL D-ASPARTATE 2CA', 192544),
(248819, 'PTHR46938:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192545),
(248820, 'PTHR33067:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192546),
(248821, 'PTHR33675', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR FAMILY 2 GROUP C PROTEIN', 192547),
(248822, 'PTHR31219:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 28 C12ORF29 HOMOLOG', 192548),
(248823, 'PTHR31561:SF23', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', 192549);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(248824, 'PTHR47031', NULL, NULL, NULL, NULL, 'SAP DNA-BINDING DOMAIN-CONTAINING PROTEIN', 192550),
(248825, 'PTHR24067:SF254', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-17 KDA', 192551),
(248826, 'PTHR15241:SF300', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF', 192552),
(248827, 'PTHR46225:SF2', NULL, NULL, NULL, NULL, 'C3H4 TYPE ZINC FINGER PROTEIN', 192553),
(248828, 'PTHR21461:SF60', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', 192554),
(248829, 'PTHR12894', NULL, NULL, NULL, NULL, 'CNH DOMAIN CONTAINING', 192555),
(248830, 'PTHR22704:SF1', NULL, NULL, NULL, NULL, 'BMERB DOMAIN-CONTAINING PROTEIN 1', 192556),
(248831, 'PTHR42898:SF44', NULL, NULL, NULL, NULL, 'BNAA04G28660D PROTEIN', 192557),
(248832, 'PTHR24327:SF73', NULL, NULL, NULL, NULL, 'VENTRAL HOMEOBOX', 192558),
(248833, 'PTHR24177:SF12', NULL, NULL, NULL, NULL, 'CASKIN-1', 192559),
(248834, 'PTHR36071:SF1', NULL, NULL, NULL, NULL, 'DNA DOUBLE-STRAND BREAK REPAIR PROTEIN', 192560),
(248835, 'PTHR47980:SF34', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABE1C', 192561),
(248836, 'PTHR13793:SF134', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATX5', 192562),
(248837, 'PTHR31221:SF201', NULL, NULL, NULL, NULL, 'BNAC03G49470D PROTEIN', 192563),
(248838, 'PTHR11905:SF28', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 5-RELATED', 192564),
(248839, 'PTHR12064:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192565),
(248840, 'PTHR33193:SF7', NULL, NULL, NULL, NULL, 'OS06G0686600 PROTEIN', 192566),
(248841, 'PTHR11783:SF224', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 192567),
(248842, 'PTHR10353:SF246', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1-RELATED', 192568),
(248843, 'PTHR36034:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192569),
(248844, 'PTHR34146:SF5', NULL, NULL, NULL, NULL, 'OS11G0203800 PROTEIN', 192570),
(248845, 'PTHR24298:SF54', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 LIKE PROTEIN', 192571),
(248846, 'PTHR24174:SF8', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE 1 ADAPTOR PROTEIN', 192572),
(248847, 'PTHR16675:SF154', NULL, NULL, NULL, NULL, 'MHC CLASS I POLYPEPTIDE-RELATED SEQUENCE A-RELATED', 192573),
(248848, 'PTHR48044:SF57', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 192574),
(248849, 'PTHR43767:SF10', NULL, NULL, NULL, NULL, 'SURFACTIN SYNTHASE SUBUNIT 2', 192575),
(248850, 'PTHR22595:SF142', NULL, NULL, NULL, NULL, 'CHITINASE 6-LIKE', 192576),
(248851, 'PTHR24229:SF38', NULL, NULL, NULL, NULL, 'SOMATOSTATIN RECEPTOR TYPE 1', 192577),
(248852, 'PTHR18896:SF76', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE', 192578),
(248853, 'PTHR31501:SF7', NULL, NULL, NULL, NULL, 'CALCIUM RELEASE-ACTIVATED CALCIUM CHANNEL PROTEIN 1', 192579),
(248854, 'PTHR35106:SF4', NULL, NULL, NULL, NULL, 'OS09G0485800 PROTEIN', 192580),
(248855, 'PTHR31190:SF238', NULL, NULL, NULL, NULL, 'BNAC09G20090D PROTEIN', 192581),
(248856, 'PTHR13217:SF6', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 7', 192582),
(248857, 'PTHR11937:SF474', NULL, NULL, NULL, NULL, 'ACTIN', 192583),
(248858, 'PTHR36685:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192584),
(248859, 'PTHR10179:SF72', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-X-C MOTIF) LIGAND 18B', 192585),
(248860, 'PTHR48007:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE-RELATED', 192586),
(248861, 'PTHR48044:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 192587),
(248862, 'PTHR11363:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L3-LIKE', 192588),
(248863, 'PTHR31318:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192589),
(248864, 'PTHR10373:SF11', NULL, NULL, NULL, NULL, 'LYMPHOID ENHANCER-BINDING FACTOR 1', 192590),
(248865, 'PTHR11480:SF80', NULL, NULL, NULL, NULL, 'SAPOSIN-RELATED', 192591),
(248866, 'PTHR12992:SF32', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 15 MITOCHONDRIAL', 192592),
(248867, 'PTHR33085:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192593),
(248868, 'PTHR19918:SF39', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN/WD-40 REPEAT PROTEIN', 192594);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(248869, 'PTHR36973:SF5', NULL, NULL, NULL, NULL, 'SLL1173 PROTEIN', 192595),
(248870, 'PTHR31744:SF158', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 100-LIKE', 192596),
(248871, 'PTHR31225:SF112', NULL, NULL, NULL, NULL, 'GERANYL DIPHOSPHATE DIPHOSPHATASE-RELATED', 192597),
(248872, 'PTHR47992:SF113', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60 ISOFORM X1-RELATED', 192598),
(248873, 'PTHR43523:SF1', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE LARGE SUBUNIT 2, CYTOSOLIC', 192599),
(248874, 'PTHR31197:SF31', NULL, NULL, NULL, NULL, 'BNAA09G56860D PROTEIN', 192600),
(248875, 'PTHR24082:SF231', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP I MEMBER 3', 192601),
(248876, 'PTHR33530:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192602),
(248877, 'PTHR47993:SF18', NULL, NULL, NULL, NULL, 'BNAANNG14070D PROTEIN', 192603),
(248878, 'PTHR11750:SF26', NULL, NULL, NULL, NULL, 'PROTEIN N-TERMINAL AMIDASE', 192604),
(248879, 'PTHR45287:SF2', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', 192605),
(248880, 'PTHR36987:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 2-LIKE', 192606),
(248881, 'PTHR47993:SF75', NULL, NULL, NULL, NULL, 'OS07G0195300 PROTEIN', 192607),
(248882, 'PTHR47977:SF46', NULL, NULL, NULL, NULL, 'BNAA05G18680D PROTEIN', 192608),
(248883, 'PTHR43617:SF9', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', 192609),
(248884, 'PTHR12143:SF39', NULL, NULL, NULL, NULL, 'SECRETED ATP/GTP BINDING PROTEIN-RELATED', 192610),
(248885, 'PTHR31532:SF10', NULL, NULL, NULL, NULL, 'BIORIENTATION OF CHROMOSOMES IN CELL DIVISION PROTEIN 1-RELATED', 192611),
(248886, 'PTHR10802:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM40-1', 192612),
(248887, 'PTHR42924:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 192613),
(248888, 'PTHR37419:SF4', NULL, NULL, NULL, NULL, 'TOXIN-ANTITOXIN SYSTEM TOXIN HIPA FAMILY', 192614),
(248889, 'PTHR10997:SF8', NULL, NULL, NULL, NULL, 'EXPORTIN-2', 192615),
(248890, 'PTHR12400:SF21', NULL, NULL, NULL, NULL, 'KINASE', 192616),
(248891, 'PTHR10902:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35A-1-LIKE', 192617),
(248892, 'PTHR32018:SF8', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', 192618),
(248893, 'PTHR10815:SF5', NULL, NULL, NULL, NULL, 'METHYLATED-DNA--PROTEIN-CYSTEINE METHYLTRANSFERASE', 192619),
(248894, 'PTHR10046:SF67', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG 2, PEROXISOMAL', 192620),
(248895, 'PTHR47703:SF2', NULL, NULL, NULL, NULL, 'D-AMINOACID AMINOTRANSFERASE-LIKE PLP-DEPENDENT ENZYMES SUPERFAMILY PROTEIN', 192621),
(248896, 'PTHR32448:SF29', NULL, NULL, NULL, NULL, 'OS11G0495950 PROTEIN', 192622),
(248897, 'PTHR14663', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 192623),
(248898, 'PTHR30545', NULL, NULL, NULL, NULL, 'SUGAR FERMENTATION STIMULATION PROTEIN A', 192624),
(248899, 'PTHR24093:SF449', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', 192625),
(248900, 'PTHR43124:SF7', NULL, NULL, NULL, NULL, 'MFS PERMEASE', 192626),
(248901, 'PTHR21717:SF61', NULL, NULL, NULL, NULL, 'TELOMERE-BINDING PROTEIN 1', 192627),
(248902, 'PTHR12621:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192628),
(248903, 'PTHR32448:SF67', NULL, NULL, NULL, NULL, 'RETICULINE OXIDASE-LIKE PROTEIN', 192629),
(248904, 'PTHR11728:SF30', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)] GPDHC1, CYTOSOLIC', 192630),
(248905, 'PTHR10535:SF10', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES IV AND V SUBUNIT 5B', 192631),
(248906, 'PTHR24250:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192632),
(248907, 'PTHR14255:SF48', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-LIKE', 192633),
(248908, 'PTHR23259:SF60', NULL, NULL, NULL, NULL, 'PROTEIN CBG19175', 192634),
(248909, 'PTHR10458:SF19', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE', 192635),
(248910, 'PTHR23412:SF6', NULL, NULL, NULL, NULL, 'MESOTHELIN', 192636),
(248911, 'PTHR46303:SF2', NULL, NULL, NULL, NULL, 'CHORDIN-LIKE PROTEIN 1', 192637);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(248912, 'PTHR45906', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 192638),
(248913, 'PTHR32091:SF19', NULL, NULL, NULL, NULL, 'OS02G0595800 PROTEIN', 192639),
(248914, 'PTHR10390:SF68', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CEH-33', 192640),
(248915, 'PTHR31282:SF24', NULL, NULL, NULL, NULL, 'OS05G0478700 PROTEIN', 192641),
(248916, 'PTHR13878:SF132', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 2', 192642),
(248917, 'PTHR11132:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192643),
(248918, 'PTHR45635:SF20', NULL, NULL, NULL, NULL, 'ADPATP CARRIER PROTEIN 1 MITOCHONDRIAL', 192644),
(248919, 'PTHR36074:SF1', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE', 192645),
(248920, 'PTHR11743:SF53', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 2-LIKE', 192646),
(248921, 'PTHR21576:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192647),
(248922, 'PTHR14363:SF38', NULL, NULL, NULL, NULL, 'GLUCURONIDASE 2-RELATED', 192648),
(248923, 'PTHR24241:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 22', 192649),
(248924, 'PTHR11082:SF34', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE SYNTHASE', 192650),
(248925, 'PTHR23310:SF107', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING PROTEIN-LIKE', 192651),
(248926, 'PTHR10909:SF223', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', 192652),
(248927, 'PTHR34667:SF5', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE-LIKE ISOFORM X1', 192653),
(248928, 'PTHR24117:SF9', NULL, NULL, NULL, NULL, 'AGAP007537-PB', 192654),
(248929, 'PTHR47824:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192655),
(248930, 'PTHR11158:SF29', NULL, NULL, NULL, NULL, 'PRELI DOMAIN-CONTAINING PROTEIN 1, MITOCHONDRIAL', 192656),
(248931, 'PTHR47979:SF19', NULL, NULL, NULL, NULL, 'OS05G0564400 PROTEIN', 192657),
(248932, 'PTHR13620:SF83', NULL, NULL, NULL, NULL, 'WERNER SYNDROME-LIKE EXONUCLEASE', 192658),
(248933, 'PTHR33431:SF17', NULL, NULL, NULL, NULL, 'BNAC02G00610D PROTEIN', 192659),
(248934, 'PTHR31325:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192660),
(248935, 'PTHR10845:SF160', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 21', 192661),
(248936, 'PTHR31734:SF182', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA30', 192662),
(248937, 'PTHR24020:SF58', NULL, NULL, NULL, NULL, 'FIBRONECTIN ISOFORM X1', 192663),
(248938, 'PTHR11846:SF16', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE, CHLOROPLASTIC', 192664),
(248939, 'PTHR37456:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-266K2.1', 192665),
(248940, 'PTHR33021:SF387', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN-RELATED', 192666),
(248941, 'PTHR43671:SF66', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK4', 192667),
(248942, 'PTHR46019', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B MEMBER 4-RELATED', 192668),
(248943, 'PTHR22467', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 192669),
(248944, 'PTHR31282:SF150', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', 192670),
(248945, 'PTHR46326:SF17', NULL, NULL, NULL, NULL, 'BNAC01G19850D PROTEIN', 192671),
(248946, 'PTHR42908:SF6', NULL, NULL, NULL, NULL, '116 KDA U5 SMALL NUCLEAR RIBONUCLEOPROTEIN COMPONENT', 192672),
(248947, 'PTHR22924:SF95', NULL, NULL, NULL, NULL, 'OS05G0517600 PROTEIN', 192673),
(248948, 'PTHR44843:SF2', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', 192674),
(248949, 'PTHR11165:SF136', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 1A', 192675),
(248950, 'PTHR12565:SF381', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH49-LIKE', 192676),
(248951, 'PTHR22891:SF46', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN 1', 192677),
(248952, 'PTHR22844:SF369', NULL, NULL, NULL, NULL, 'COATOMER ALPHA SUBUNIT-RELATED', 192678),
(248953, 'PTHR33326', NULL, NULL, NULL, NULL, 'OS05G0543800 PROTEIN', 192679),
(248954, 'PTHR31867:SF141', NULL, NULL, NULL, NULL, 'EXPANSIN', 192680),
(248955, 'PTHR31834', NULL, NULL, NULL, NULL, 'INITIATION-SPECIFIC ALPHA-1,6-MANNOSYLTRANSFERASE', 192681),
(248956, 'PTHR24282:SF204', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', 192682);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(248957, 'PTHR36802', NULL, NULL, NULL, NULL, 'OS02G0815400 PROTEIN', 192683),
(248958, 'PTHR45988:SF39', NULL, NULL, NULL, NULL, 'BNAC06G02890D PROTEIN', 192684),
(248959, 'PTHR36716', NULL, NULL, NULL, NULL, 'F3H9.20 PROTEIN', 192685),
(248960, 'PTHR31818:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192686),
(248961, 'PTHR10334:SF390', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', 192687),
(248962, 'PTHR33908', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE YKCB-RELATED', 192688),
(248963, 'PTHR14155:SF526', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE OS03G0188200', 192689),
(248964, 'PTHR24373:SF349', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT NEURONAL PROTEIN 1-LIKE PROTEIN', 192690),
(248965, 'PTHR31539', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 19K CEP19', 192691),
(248966, 'PTHR43612:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192692),
(248967, 'PTHR39647', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA', 192693),
(248968, 'PTHR24232:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192694),
(248969, 'PTHR45564', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 192695),
(248970, 'PTHR47958:SF4', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX3X', 192696),
(248971, 'PTHR31451:SF59', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 5-LIKE', 192697),
(248972, 'PTHR23073:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192698),
(248973, 'PTHR46710:SF4', NULL, NULL, NULL, NULL, 'ARM REPEAT PROTEIN INTERACTING WITH ABF2 PROTEIN', 192699),
(248974, 'PTHR11960:SF43', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E', 192700),
(248975, 'PTHR43719:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192701),
(248976, 'PTHR26453:SF629', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 192702),
(248977, 'PTHR45981:SF6', NULL, NULL, NULL, NULL, 'MARCH (MEMBRANE-ASSOCIATED RING FINGER (C3HC4)) HOMOLOG', 192703),
(248978, 'PTHR33938', NULL, NULL, NULL, NULL, 'FERULOYL ESTERASE B-RELATED', 192704),
(248979, 'PTHR46975', NULL, NULL, NULL, NULL, 'PROTEIN SWEETIE', 192705),
(248980, 'PTHR15615:SF33', NULL, NULL, NULL, NULL, 'CYCLIN', 192706),
(248981, 'PTHR41335', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', 192707),
(248982, 'PTHR11736:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192708),
(248983, 'PTHR45676:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192709),
(248984, 'PTHR37320', NULL, NULL, NULL, NULL, 'AG-1 BLOOD STAGE MEMBRANE PROTEIN HOMOLOGUE', 192710),
(248985, 'PTHR13407:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 121', 192711),
(248986, 'PTHR19051:SF24', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 13-1-RELATED', 192712),
(248987, 'PTHR46516', NULL, NULL, NULL, NULL, 'TRNA-SPECIFIC ADENOSINE DEAMINASE 1', 192713),
(248988, 'PTHR47005:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192714),
(248989, 'PTHR21600:SF41', NULL, NULL, NULL, NULL, 'RNA PSEUDOURIDYLATE SYNTHASE DOMAIN-CONTAINING PROTEIN 1', 192715),
(248990, 'PTHR33509:SF28', NULL, NULL, NULL, NULL, 'PROTEIN SENESCENCE-ASSOCIATED GENE 21, MITOCHONDRIAL-LIKE', 192716),
(248991, 'PTHR43574:SF13', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 3,5-EPIMERASE', 192717),
(248992, 'PTHR35243:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192718),
(248993, 'PTHR43065:SF16', NULL, NULL, NULL, NULL, 'SENSORY HISTIDINE KINASE/PHOSPHATASE NTRB', 192719),
(248994, 'PTHR11183:SF135', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 192720),
(248995, 'PTHR33110:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192721),
(248996, 'PTHR43895:SF102', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 192722),
(248997, 'PTHR24348:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ULK2', 192723),
(248998, 'PTHR46341:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM84A', 192724),
(248999, 'PTHR48012:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 26', 192725),
(249000, 'PTHR10912', NULL, NULL, NULL, NULL, 'ADP-RIBOSYL CYCLASE', 192726);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(249001, 'PTHR11132:SF382', NULL, NULL, NULL, NULL, 'BNAA08G03480D PROTEIN', 192727),
(249002, 'PTHR13462', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN, MITOCHONDRIAL', 192728),
(249003, 'PTHR47976:SF20', NULL, NULL, NULL, NULL, 'OS04G0655000 PROTEIN', 192729),
(249004, 'PTHR31807:SF6', NULL, NULL, NULL, NULL, 'PROTEIN ENDOSPERM DEFECTIVE 1-RELATED', 192730),
(249005, 'PTHR31312:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR GLK1-LIKE ISOFORM X1', 192731),
(249006, 'PTHR43840:SF26', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 6', 192732),
(249007, 'PTHR24028:SF110', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A10', 192733),
(249008, 'PTHR24231:SF47', NULL, NULL, NULL, NULL, 'SI:DKEY-216E24.9', 192734),
(249009, 'PTHR21711', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE', 192735),
(249010, 'PTHR13710:SF139', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', 192736),
(249011, 'PTHR24056:SF415', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE G1', 192737),
(249012, 'PTHR10209:SF761', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192738),
(249013, 'PTHR11360:SF240', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER (EUROFUNG)-RELATED', 192739),
(249014, 'PTHR10015:SF297', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-2D', 192740),
(249015, 'PTHR36366:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192741),
(249016, 'PTHR11712:SF345', NULL, NULL, NULL, NULL, 'POLYKETIDE-TYPE POLYUNSATURATED FATTY ACID SYNTHASE, PFAA-RELATED', 192742),
(249017, 'PTHR11620:SF74', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A', 192743),
(249018, 'PTHR34286', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 192744),
(249019, 'PTHR10513:SF43', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', 192745),
(249020, 'PTHR12809:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 14', 192746),
(249021, 'PTHR45616:SF24', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 1B', 192747),
(249022, 'PTHR10545:SF61', NULL, NULL, NULL, NULL, 'N-HYDROXYCINNAMOYL-COA:TYRAMINE N-HYDROXYCINNAMOYL TRANSFERASE THT7-1', 192748),
(249023, 'PTHR23257:SF875', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE DDB_G0283397-RELATED', 192749),
(249024, 'PTHR24078:SF563', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 5', 192750),
(249025, 'PTHR46662:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192751),
(249026, 'PTHR32009:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192752),
(249027, 'PTHR40453', NULL, NULL, NULL, NULL, 'PROTEIN YOEF', 192753),
(249028, 'PTHR24637:SF275', NULL, NULL, NULL, NULL, 'COLLAGEN', 192754),
(249029, 'PTHR46014:SF2', NULL, NULL, NULL, NULL, 'BNAA01G06590D PROTEIN', 192755),
(249030, 'PTHR15574:SF38', NULL, NULL, NULL, NULL, 'OS06G0724500 PROTEIN', 192756),
(249031, 'PTHR31093:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192757),
(249032, 'PTHR43436', NULL, NULL, NULL, NULL, 'ARAC-FAMILY TRANSCRIPTIONAL REGULATOR', 192758),
(249033, 'PTHR11240:SF44', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3-LIKE', 192759),
(249034, 'PTHR45750:SF2', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT2B', 192760),
(249035, 'PTHR48017:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192761),
(249036, 'PTHR24286:SF255', NULL, NULL, NULL, NULL, 'ALLENE OXIDE SYNTHASE, CHLOROPLASTIC', 192762),
(249037, 'PTHR12700:SF18', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', 192763),
(249038, 'PTHR42737:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE REDUCTASE, MITOCHONDRIAL', 192764),
(249039, 'PTHR33474:SF28', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 192765),
(249040, 'PTHR10264:SF117', NULL, NULL, NULL, NULL, 'ZGC:112408', 192766),
(249041, 'PTHR23043:SF18', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE FACTOR 3-ALPHA', 192767),
(249042, 'PTHR28336', NULL, NULL, NULL, NULL, 'BA1-643', 192768),
(249043, 'PTHR31374:SF313', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', 192769),
(249044, 'PTHR48217:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192770);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(249045, 'PTHR15751:SF11', NULL, NULL, NULL, NULL, 'TRAFFICKING KINESIN-BINDING PROTEIN 1', 192771),
(249046, 'PTHR14969:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192772),
(249047, 'PTHR24062:SF175', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 1', 192773),
(249048, 'PTHR16024:SF13', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 9', 192774),
(249049, 'PTHR13734:SF5', NULL, NULL, NULL, NULL, 'CCA TRNA NUCLEOTIDYLTRANSFERASE, MITOCHONDRIAL', 192775),
(249050, 'PTHR48100:SF28', NULL, NULL, NULL, NULL, 'OS11G0138400 PROTEIN', 192776),
(249051, 'PTHR45649:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192777),
(249052, 'PTHR14614:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192778),
(249053, 'PTHR15427', NULL, NULL, NULL, NULL, 'EMILIN  ELASTIN MICROFIBRIL INTERFACE-LOCATED PROTEIN   ELASTIN MICROFIBRIL INTERFACER', 192779),
(249054, 'PTHR12247:SF88', NULL, NULL, NULL, NULL, 'POLYHOMEOTIC-LIKE PROTEIN 3', 192780),
(249055, 'PTHR47955:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', 192781),
(249056, 'PTHR15627:SF15', NULL, NULL, NULL, NULL, 'DTW DOMAIN-CONTAINING PROTEIN 1', 192782),
(249057, 'PTHR28678', NULL, NULL, NULL, NULL, 'CODANIN-1', 192783),
(249058, 'PTHR47067:SF14', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 7 ISOFORM X1', 192784),
(249059, 'PTHR32488:SF76', NULL, NULL, NULL, NULL, 'DEFECTIVE IN TIP FORMATION PROTEIN A-RELATED', 192785),
(249060, 'PTHR38103:SF1', NULL, NULL, NULL, NULL, 'RECOMBINATION-ASSOCIATED PROTEIN RDGC', 192786),
(249061, 'PTHR47999:SF60', NULL, NULL, NULL, NULL, 'BNAA09G03290D PROTEIN', 192787),
(249062, 'PTHR43318', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 4,6-DEHYDRATASE', 192788),
(249063, 'PTHR13808:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192789),
(249064, 'PTHR12015:SF149', NULL, NULL, NULL, NULL, 'REGAKINE-1', 192790),
(249065, 'PTHR15742:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SOGA3', 192791),
(249066, 'PTHR45752:SF35', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 30', 192792),
(249067, 'PTHR42904:SF9', NULL, NULL, NULL, NULL, 'ADP-RIBOSE PYROPHOSPHATASE-RELATED', 192793),
(249068, 'PTHR21700:SF48', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', 192794),
(249069, 'PTHR13286:SF8', NULL, NULL, NULL, NULL, 'OS04G0166600 PROTEIN', 192795),
(249070, 'PTHR27009:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192796),
(249071, 'PTHR24333', NULL, NULL, NULL, NULL, 'HOMEO BOX HB9 LIKE A-RELATED', 192797),
(249072, 'PTHR31589:SF144', NULL, NULL, NULL, NULL, 'BNACNNG59380D PROTEIN', 192798),
(249073, 'PTHR16529:SF3', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 101', 192799),
(249074, 'PTHR24300:SF278', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', 192800),
(249075, 'PTHR11475:SF60', NULL, NULL, NULL, NULL, 'THYROID PEROXIDASE', 192801),
(249076, 'PTHR15294', NULL, NULL, NULL, NULL, 'RETINOVIN-RELATED', 192802),
(249077, 'PTHR24326:SF599', NULL, NULL, NULL, NULL, 'BNAC06G12880D PROTEIN', 192803),
(249078, 'PTHR33086:SF6', NULL, NULL, NULL, NULL, 'OS01G0245532 PROTEIN', 192804),
(249079, 'PTHR31155:SF18', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 3, CHLOROPLASTIC', 192805),
(249080, 'PTHR43818:SF9', NULL, NULL, NULL, NULL, 'HYPOTHETICAL OXIDOREDUCTASE', 192806),
(249081, 'PTHR24223:SF422', NULL, NULL, NULL, NULL, 'OS12G0562700 PROTEIN', 192807),
(249082, 'PTHR23351:SF52', NULL, NULL, NULL, NULL, 'SI:CH211-153J24.3-RELATED', 192808),
(249083, 'PTHR10048:SF110', NULL, NULL, NULL, NULL, 'BNAA06G03180D PROTEIN', 192809),
(249084, 'PTHR23020:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG21079', 192810),
(249085, 'PTHR45752:SF94', NULL, NULL, NULL, NULL, 'BNAA03G53310D PROTEIN', 192811),
(249086, 'PTHR24247:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192812),
(249087, 'PTHR32370:SF30', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN SETH6', 192813),
(249088, 'PTHR31662:SF10', NULL, NULL, NULL, NULL, 'OS02G0288200 PROTEIN', 192814),
(249089, 'PTHR32009:SF50', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', 192815);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(249090, 'PTHR43539:SF74', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', 192816),
(249091, 'PTHR27009:SF147', NULL, NULL, NULL, NULL, 'OS05G0416701 PROTEIN', 192817),
(249092, 'PTHR15564:SF10', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN/RETINOIC ACID-INDUCIBLE NEURAL-SPECIFIC 3A, TANDEM DUPLICATE 1-RELATED', 192818),
(249093, 'PTHR13140:SF697', NULL, NULL, NULL, NULL, 'OS03G0860700 PROTEIN', 192819),
(249094, 'PTHR31722:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192820),
(249095, 'PTHR31465:SF17', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G09900)-RELATED', 192821),
(249096, 'PTHR24055:SF419', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', 192822),
(249097, 'PTHR48019:SF22', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL8-LIKE PROTEIN', 192823),
(249098, 'PTHR44083:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192824),
(249099, 'PTHR22847:SF698', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 48', 192825),
(249100, 'PTHR11206:SF383', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', 192826),
(249101, 'PTHR35104:SF14', NULL, NULL, NULL, NULL, 'BNAANNG27570D PROTEIN', 192827),
(249102, 'PTHR10412:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 192828),
(249103, 'PTHR23239:SF224', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA1-RELATED', 192829),
(249104, 'PTHR32467:SF113', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-7-LIKE ISOFORM X1', 192830),
(249105, 'PTHR24177:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192831),
(249106, 'PTHR21244', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S24', 192832),
(249107, 'PTHR12281:SF20', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', 192833),
(249108, 'PTHR35546:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192834),
(249109, 'PTHR22803:SF123', NULL, NULL, NULL, NULL, 'REGENERATING ISLET-DERIVED PROTEIN 3-ALPHA', 192835),
(249110, 'PTHR46132:SF1', NULL, NULL, NULL, NULL, 'DIGALACTOSYLDIACYLGLYCEROL SYNTHASE 2, CHLOROPLASTIC', 192836),
(249111, 'PTHR46565:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192837),
(249112, 'PTHR14388:SF9', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 2A', 192838),
(249113, 'PTHR30204:SF56', NULL, NULL, NULL, NULL, 'MERR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', 192839),
(249114, 'PTHR24349:SF353', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 34', 192840),
(249115, 'PTHR30485', NULL, NULL, NULL, NULL, 'NI/FE-HYDROGENASE 1 B-TYPE CYTOCHROME SUBUNIT', 192841),
(249116, 'PTHR34670:SF12', NULL, NULL, NULL, NULL, 'BNACNNG03710D PROTEIN', 192842),
(249117, 'PTHR31948:SF102', NULL, NULL, NULL, NULL, 'HOMEOBOX DOMAIN, ZF-HD CLASS PROTEIN', 192843),
(249118, 'PTHR24253:SF48', NULL, NULL, NULL, NULL, 'FI06405P', 192844),
(249119, 'PTHR10728:SF22', NULL, NULL, NULL, NULL, 'CYTOSOLIC PHOSPHOLIPASE A2 ZETA', 192845),
(249120, 'PTHR11556:SF35', NULL, NULL, NULL, NULL, 'SEDOHEPTULOSE-1,7-BISPHOSPHATASE, CHLOROPLASTIC', 192846),
(249121, 'PTHR23226:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192847),
(249122, 'PTHR42978:SF3', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE RV2300C-RELATED', 192848),
(249123, 'PTHR46236:SF7', NULL, NULL, NULL, NULL, 'PROTEIN RESTRICTED TEV MOVEMENT 3', 192849),
(249124, 'PTHR31501', NULL, NULL, NULL, NULL, 'CALCIUM RELEASE-ACTIVATED CALCIUM CHANNEL PROTEIN 1', 192850),
(249125, 'PTHR31158:SF9', NULL, NULL, NULL, NULL, 'DUAL OXIDASE MATURATION FACTOR 1-LIKE PROTEIN', 192851),
(249126, 'PTHR35296:SF5', NULL, NULL, NULL, NULL, 'BNAA05G08690D PROTEIN', 192852),
(249127, 'PTHR10153:SF41', NULL, NULL, NULL, NULL, 'INTERMEDIATE CONDUCTANCE CALCIUM-ACTIVATED POTASSIUM CHANNEL PROTEIN 4', 192853),
(249128, 'PTHR46442:SF9', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', 192854),
(249129, 'PTHR11119:SF110', NULL, NULL, NULL, NULL, 'BNAA09G06270D PROTEIN', 192855),
(249130, 'PTHR12941:SF10', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 8/9 HOMOLOG', 192856),
(249131, 'PTHR22941:SF167', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 192857);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(249132, 'PTHR12411:SF760', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192858),
(249133, 'PTHR12137', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE', 192859),
(249134, 'PTHR31707:SF271', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 64-RELATED', 192860),
(249135, 'PTHR45834:SF8', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 4', 192861),
(249136, 'PTHR47150:SF1', NULL, NULL, NULL, NULL, 'OS12G0169200 PROTEIN', 192862),
(249137, 'PTHR24273:SF31', NULL, NULL, NULL, NULL, 'FI04643P-RELATED', 192863),
(249138, 'PTHR24296:SF76', NULL, NULL, NULL, NULL, 'OS01G0183600 PROTEIN', 192864),
(249139, 'PTHR10168:SF72', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C13', 192865),
(249140, 'PTHR33928:SF6', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT3-LIKE PROTEIN', 192866),
(249141, 'PTHR38004:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 33', 192867),
(249142, 'PTHR31235:SF344', NULL, NULL, NULL, NULL, 'BNAANNG11280D PROTEIN', 192868),
(249143, 'PTHR42938:SF7', NULL, NULL, NULL, NULL, 'ERYTHRONATE-4-PHOSPHATE DEHYDROGENASE FAMILY PROTEIN', 192869),
(249144, 'PTHR43126:SF1', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE DIPEPTIDASE', 192870),
(249145, 'PTHR32338', NULL, NULL, NULL, NULL, 'N-ACETYL-GAMMA-GLUTAMYL-PHOSPHATE REDUCTASE, CHLOROPLASTIC-RELATED-RELATED', 192871),
(249146, 'PTHR11654:SF364', NULL, NULL, NULL, NULL, 'OS11G0282800 PROTEIN', 192872),
(249147, 'PTHR23429:SF16', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE', 192873),
(249148, 'PTHR10566:SF123', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', 192874),
(249149, 'PTHR45974:SF132', NULL, NULL, NULL, NULL, 'OS05G0486100 PROTEIN', 192875),
(249150, 'PTHR31580:SF29', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN', 192876),
(249151, 'PTHR10559', NULL, NULL, NULL, NULL, 'TRANSCOBALAMIN-1/GASTRIC INTRINSIC FACTOR', 192877),
(249152, 'PTHR43172', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE LYASE', 192878),
(249153, 'PTHR33248:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192879),
(249154, 'PTHR36837', NULL, NULL, NULL, NULL, 'POLY(3-HYDROXYALKANOATE) POLYMERASE SUBUNIT PHAC', 192880),
(249155, 'PTHR16029', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 192881),
(249156, 'PTHR14038:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PRRC2B', 192882),
(249157, 'PTHR30523:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE 4', 192883),
(249158, 'PTHR46001:SF3', NULL, NULL, NULL, NULL, 'PROTEIN STILL LIFE, ISOFORM SIF TYPE 1', 192884),
(249159, 'PTHR21163', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 192885),
(249160, 'PTHR21499:SF61', NULL, NULL, NULL, NULL, 'ASPARTOKINASE-RELATED', 192886),
(249161, 'PTHR46269:SF3', NULL, NULL, NULL, NULL, 'EPIPHYCAN', 192887),
(249162, 'PTHR11063:SF25', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', 192888),
(249163, 'PTHR24055:SF470', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', 192889),
(249164, 'PTHR45667:SF21', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE CARRIER 1, CHLOROPLASTIC/MITOCHONDRIAL', 192890),
(249165, 'PTHR11932:SF138', NULL, NULL, NULL, NULL, 'CULLIN-1-RELATED', 192891),
(249166, 'PTHR31992:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192892),
(249167, 'PTHR34451:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192893),
(249168, 'PTHR14248:SF32', NULL, NULL, NULL, NULL, 'CYCLIN-Y-LIKE PROTEIN 1-RELATED', 192894),
(249169, 'PTHR14387', NULL, NULL, NULL, NULL, 'THADA/DEATH RECEPTOR INTERACTING PROTEIN', 192895),
(249170, 'PTHR34722:SF6', NULL, NULL, NULL, NULL, 'HOMOLOG OF ODR-2 (TWO)', 192896),
(249171, 'PTHR10857:SF6', NULL, NULL, NULL, NULL, 'COPINE-7', 192897),
(249172, 'PTHR23267:SF6', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 14/DELTA VARIABLE 4', 192898),
(249173, 'PTHR22952:SF423', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 2', 192899),
(249174, 'PTHR16019:SF5', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN 1', 192900),
(249175, 'PTHR43349:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192901),
(249176, 'PTHR20929', NULL, NULL, NULL, NULL, 'LUNG ADENOMA SUSCEPTIBILITY 1-RELATED', 192902);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(249177, 'PTHR48049:SF81', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYL TRANSFERASE 73B2-RELATED', 192903),
(249178, 'PTHR21540:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192904),
(249179, 'PTHR22952:SF103', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 23', 192905),
(249180, 'PTHR37466', NULL, NULL, NULL, NULL, 'SLR1628 PROTEIN', 192906),
(249181, 'PTHR45994:SF1', NULL, NULL, NULL, NULL, 'FI21225P1', 192907),
(249182, 'PTHR34133:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192908),
(249183, 'PTHR46354:SF21', NULL, NULL, NULL, NULL, 'BNAC03G62790D PROTEIN', 192909),
(249184, 'PTHR14089:SF2', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED GENE 16', 192910),
(249185, 'PTHR11347:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192911),
(249186, 'PTHR16148:SF15', NULL, NULL, NULL, NULL, 'NF-KAPPA-B-REPRESSING FACTOR', 192912),
(249187, 'PTHR33470:SF21', NULL, NULL, NULL, NULL, 'NON-CLASSICAL ARABINOGALACTAN PROTEIN 31', 192913),
(249188, 'PTHR23236:SF83', NULL, NULL, NULL, NULL, 'BNAC04G56660D PROTEIN', 192914),
(249189, 'PTHR47332', NULL, NULL, NULL, NULL, 'SET DOMAIN-CONTAINING PROTEIN 5', 192915),
(249190, 'PTHR15508:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE-LIKE 1', 192916),
(249191, 'PTHR12103:SF19', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE DOMAIN-CONTAINING 2', 192917),
(249192, 'PTHR18945:SF774', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', 192918),
(249193, 'PTHR46142:SF13', NULL, NULL, NULL, NULL, 'OS04G0538900 PROTEIN', 192919),
(249194, 'PTHR24206:SF57', NULL, NULL, NULL, NULL, 'LIM DOMAIN AND ACTIN-BINDING PROTEIN 1', 192920),
(249195, 'PTHR42850', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE', 192921),
(249196, 'PTHR13914:SF0', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE DEHYDROGENASE', 192922),
(249197, 'PTHR11062:SF280', NULL, NULL, NULL, NULL, 'EXOSTOSIN-LIKE PROTEIN-RELATED', 192923),
(249198, 'PTHR15140:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192924),
(249199, 'PTHR32285:SF280', NULL, NULL, NULL, NULL, 'BNAA09G27070D PROTEIN', 192925),
(249200, 'PTHR42886:SF40', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 192926),
(249201, 'PTHR23083:SF475', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 7A', 192927),
(249202, 'PTHR24023:SF1002', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192928),
(249203, 'PTHR23232:SF69', NULL, NULL, NULL, NULL, 'KRAB DOMAIN-CONTAINING PROTEIN ZNF747', 192929),
(249204, 'PTHR10015:SF331', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR C-2B', 192930),
(249205, 'PTHR20875:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192931),
(249206, 'PTHR31662:SF68', NULL, NULL, NULL, NULL, 'BNACNNG38830D PROTEIN', 192932),
(249207, 'PTHR32468:SF19', NULL, NULL, NULL, NULL, 'OS09G0545000 PROTEIN', 192933),
(249208, 'PTHR45080:SF15', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE L1', 192934),
(249209, 'PTHR13800', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL, SUBFAMILY M, MEMBER 6', 192935),
(249210, 'PTHR32009:SF69', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', 192936),
(249211, 'PTHR23316:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192937),
(249212, 'PTHR12263:SF10', NULL, NULL, NULL, NULL, 'OSJNBA0015K02.15 PROTEIN', 192938),
(249213, 'PTHR38831', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN K', 192939),
(249214, 'PTHR34956', NULL, NULL, NULL, NULL, 'OS05G0397300 PROTEIN', 192940),
(249215, 'PTHR31752:SF65', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', 192941),
(249216, 'PTHR33797', NULL, NULL, NULL, NULL, 'ORGANIC HYDROPEROXIDE RESISTANCE PROTEIN-LIKE', 192942),
(249217, 'PTHR15615:SF93', NULL, NULL, NULL, NULL, 'CYCLIN', 192943),
(249218, 'PTHR23285:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MEX3D', 192944),
(249219, 'PTHR48044:SF52', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 192945),
(249220, 'PTHR27007:SF273', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.3-RELATED', 192946),
(249221, 'PTHR46072:SF6', NULL, NULL, NULL, NULL, 'AMIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14530)-RELATED', 192947);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(249222, 'PTHR11132:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192948),
(249223, 'PTHR46325:SF4', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC7-LIKE', 192949),
(249224, 'PTHR33753:SF6', NULL, NULL, NULL, NULL, '1,4-BETA-D-GLUCAN CELLOBIOHYDROLASE A-RELATED', 192950),
(249225, 'PTHR24209:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DA1-RELATED 2', 192951),
(249226, 'PTHR23291', NULL, NULL, NULL, NULL, 'BAX INHIBITOR-RELATED', 192952),
(249227, 'PTHR38926:SF34', NULL, NULL, NULL, NULL, 'BNAA02G05800D PROTEIN', 192953),
(249228, 'PTHR23423:SF78', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER SUBUNIT ALPHA-RELATED', 192954),
(249229, 'PTHR48017:SF163', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 8', 192955),
(249230, 'PTHR46347:SF4', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', 192956),
(249231, 'PTHR20968:SF2', NULL, NULL, NULL, NULL, 'INSULIN-LIKE PEPTIDE INSL5', 192957),
(249232, 'PTHR31839:SF27', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1E', 192958),
(249233, 'PTHR21569:SF19', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S9, CHLOROPLASTIC', 192959),
(249234, 'PTHR47536:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 5 MEMBER A', 192960),
(249235, 'PTHR10782:SF12', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE PIAS2', 192961),
(249236, 'PTHR37535', NULL, NULL, NULL, NULL, 'FLUG DOMAIN PROTEIN', 192962),
(249237, 'PTHR31225:SF118', NULL, NULL, NULL, NULL, '(E)-BETA-FARNESENE SYNTHASE', 192963),
(249238, 'PTHR28680:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN X', 192964),
(249239, 'PTHR15312:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE RECEPTOR TYPE C-ASSOCIATED PROTEIN', 192965),
(249240, 'PTHR31251:SF1', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 9', 192966),
(249241, 'PTHR43214:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RCSB', 192967),
(249242, 'PTHR46863:SF2', NULL, NULL, NULL, NULL, 'OS09G0572100 PROTEIN', 192968),
(249243, 'PTHR22760:SF4', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 3', 192969),
(249244, 'PTHR11042:SF165', NULL, NULL, NULL, NULL, 'PROTEIN CBG10316', 192970),
(249245, 'PTHR36789:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 192971),
(249246, 'PTHR24221:SF498', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 16-RELATED', 192972),
(249247, 'PTHR11769', NULL, NULL, NULL, NULL, 'HYALURONIDASE', 192973),
(249248, 'PTHR20930:SF4', NULL, NULL, NULL, NULL, 'NBR1 AUTOPHAGY CARGO RECEPTOR A', 192974),
(249249, 'PTHR19211:SF99', NULL, NULL, NULL, NULL, 'ATPASE COMPONENT OF ABC TRANSPORTER-RELATED', 192975),
(249250, 'PTHR31437', NULL, NULL, NULL, NULL, 'SREK1IP1 FAMILY MEMBER', 192976),
(249251, 'PTHR37249:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192977),
(249252, 'PTHR27003:SF376', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE KINASE KINASE, MLK1/MLK2/MLK4-RELATED', 192978),
(249253, 'PTHR46674:SF1', NULL, NULL, NULL, NULL, 'INACTIVE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP6', 192979),
(249254, 'PTHR31301:SF159', NULL, NULL, NULL, NULL, 'OS08G0517100 PROTEIN', 192980),
(249255, 'PTHR11157:SF106', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN', 192981),
(249256, 'PTHR32285:SF225', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', 192982),
(249257, 'PTHR24024:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192983),
(249258, 'PTHR48106:SF7', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, ZINC-CONTAINING, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G10220)-RELATED', 192984),
(249259, 'PTHR48014:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192985),
(249260, 'PTHR11599:SF13', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-4', 192986),
(249261, 'PTHR33544:SF3', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', 192987),
(249262, 'PTHR10887:SF471', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', 192988),
(249263, 'PTHR11360:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192989);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(249264, 'PTHR12505', NULL, NULL, NULL, NULL, 'PHD FINGER TRANSCRIPTION FACTOR', 192990),
(249265, 'PTHR31300:SF9', NULL, NULL, NULL, NULL, 'SPINDLE ASSEMBLY ABNORMAL PROTEIN (DUF620)', 192991),
(249266, 'PTHR44272:SF3', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN (PROKARYOTIC HEAT SHOCK PROTEIN)', 192992),
(249267, 'PTHR47991:SF8', NULL, NULL, NULL, NULL, 'BNAA06G11480D PROTEIN', 192993),
(249268, 'PTHR45024:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', 192994),
(249269, 'PTHR24356:SF350', NULL, NULL, NULL, NULL, 'OS07G0138100 PROTEIN', 192995),
(249270, 'PTHR10887:SF435', NULL, NULL, NULL, NULL, 'OS02G0684150 PROTEIN', 192996),
(249271, 'PTHR34303:SF3', NULL, NULL, NULL, NULL, 'OS09G0372600 PROTEIN', 192997),
(249272, 'PTHR24343:SF477', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 192998),
(249273, 'PTHR11969:SF68', NULL, NULL, NULL, NULL, 'BNAC06G24170D PROTEIN', 192999),
(249274, 'PTHR21407', NULL, NULL, NULL, NULL, 'RE43931P-RELATED', 193000),
(249275, 'PTHR33074:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193001),
(249276, 'PTHR11318', NULL, NULL, NULL, NULL, 'GUANYLIN FAMILY MEMBER', 193002),
(249277, 'PTHR24173:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 33B', 193003),
(249278, 'PTHR31048:SF150', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', 193004),
(249279, 'PTHR16186', NULL, NULL, NULL, NULL, 'SIGNAL-TRANSDUCING ADAPTOR PROTEIN-RELATED', 193005),
(249280, 'PTHR48050:SF3', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE-RELATED', 193006),
(249281, 'PTHR13254', NULL, NULL, NULL, NULL, 'GOLGI AUTOANTIGEN, GOLGIN SUBFAMILY A, 7', 193007),
(249282, 'PTHR27004:SF389', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 2', 193008),
(249283, 'PTHR47325:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUVR5', 193009),
(249284, 'PTHR24006:SF826', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', 193010),
(249285, 'PTHR43823:SF3', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN YKVU', 193011),
(249286, 'PTHR31218:SF265', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 193012),
(249287, 'PTHR15926:SF1', NULL, NULL, NULL, NULL, 'ALL-TRANS RETINOIC ACID-INDUCED DIFFERENTIATION FACTOR', 193013),
(249288, 'PTHR11064:SF98', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-11', 193014),
(249289, 'PTHR21705:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAM160B1', 193015),
(249290, 'PTHR46646:SF6', NULL, NULL, NULL, NULL, 'BNAA10G04150D PROTEIN', 193016),
(249291, 'PTHR33142:SF45', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR2', 193017),
(249292, 'PTHR13283:SF11', NULL, NULL, NULL, NULL, 'KREV INTERACTION TRAPPED PROTEIN 1', 193018),
(249293, 'PTHR23204', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFIC FACTOR', 193019),
(249294, 'PTHR17613:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAINS PROTEIN 2', 193020),
(249295, 'PTHR30472:SF2', NULL, NULL, NULL, NULL, 'FE(3+) DICITRATE TRANSPORT SYSTEM PERMEASE PROTEIN FECD', 193021),
(249296, 'PTHR11028:SF0', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT D 1', 193022),
(249297, 'PTHR31852:SF192', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', 193023),
(249298, 'PTHR12121:SF85', NULL, NULL, NULL, NULL, 'CARBON CATABOLITE REPRESSOR PROTEIN 4 HOMOLOG 6', 193024),
(249299, 'PTHR10795:SF335', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.8', 193025),
(249300, 'PTHR15852:SF62', NULL, NULL, NULL, NULL, 'BNAA04G20410D PROTEIN', 193026),
(249301, 'PTHR31942:SF81', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', 193027),
(249302, 'PTHR11852:SF4', NULL, NULL, NULL, NULL, 'LITTLE ELONGATION COMPLEX SUBUNIT 1', 193028),
(249303, 'PTHR23010:SF1', NULL, NULL, NULL, NULL, 'MIDNOLIN', 193029),
(249304, 'PTHR12305:SF91', NULL, NULL, NULL, NULL, 'BNAA01G26130D PROTEIN', 193030),
(249305, 'PTHR14096:SF57', NULL, NULL, NULL, NULL, 'SI:CH73-233K15.2', 193031),
(249306, 'PTHR13131:SF8', NULL, NULL, NULL, NULL, 'CYSTINOSIN-LIKE PROTEIN', 193032),
(249307, 'PTHR19317:SF80', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', 193033);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(249308, 'PTHR32227:SF86', NULL, NULL, NULL, NULL, 'OS01G0947000 PROTEIN', 193034),
(249309, 'PTHR10641:SF1099', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB34-LIKE', 193035),
(249310, 'PTHR11524:SF42', NULL, NULL, NULL, NULL, 'BNAA02G27070D PROTEIN', 193036),
(249311, 'PTHR15416:SF5', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE INHIBITOR GAMMA', 193037),
(249312, 'PTHR47706:SF2', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G05290)', 193038),
(249313, 'PTHR42715:SF11', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE F-RELATED', 193039),
(249314, 'PTHR34133:SF12', NULL, NULL, NULL, NULL, 'BNAC04G31620D PROTEIN', 193040),
(249315, 'PTHR43539:SF30', NULL, NULL, NULL, NULL, 'OS11G0207700 PROTEIN', 193041),
(249316, 'PTHR23031', NULL, NULL, NULL, NULL, 'RHOPHILIN', 193042),
(249317, 'PTHR11911:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193043),
(249318, 'PTHR22739:SF20', NULL, NULL, NULL, NULL, 'ACTIN-BINDING RHO-ACTIVATING PROTEIN', 193044),
(249319, 'PTHR31739:SF17', NULL, NULL, NULL, NULL, 'ENT-SANDARACOPIMARA-8(14),15-DIENE SYNTHASE', 193045),
(249320, 'PTHR43918:SF2', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', 193046),
(249321, 'PTHR31568:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193047),
(249322, 'PTHR26454:SF22', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 193048),
(249323, 'PTHR11046:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193049),
(249324, 'PTHR33789:SF11', NULL, NULL, NULL, NULL, 'OS05G0202300 PROTEIN', 193050),
(249325, 'PTHR43873', NULL, NULL, NULL, NULL, 'COBYRINATE A,C-DIAMIDE SYNTHASE', 193051),
(249326, 'PTHR23339:SF103', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE DSP8-RELATED', 193052),
(249327, 'PTHR46052:SF1', NULL, NULL, NULL, NULL, 'PHOSDUCIN-LIKE PROTEIN', 193053),
(249328, 'PTHR31362', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE STELLO1-RELATED', 193054),
(249329, 'PTHR32100:SF53', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE DOMAIN-CONTAINING PROTEIN-RELATED', 193055),
(249330, 'PTHR10774:SF200', NULL, NULL, NULL, NULL, 'BNAA08G31160D PROTEIN', 193056),
(249331, 'PTHR21277:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COACTIVATOR HFI1/TRANSCRIPTIONAL ADAPTER 1-RELATED', 193057),
(249332, 'PTHR23121', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT GLUCOSE TRANSPORTER 1', 193058),
(249333, 'PTHR46285:SF4', NULL, NULL, NULL, NULL, 'BNAC02G09150D PROTEIN', 193059),
(249334, 'PTHR33964:SF1', NULL, NULL, NULL, NULL, 'SALIVARY GLAND PEPTIDE, PUTATIVE-RELATED', 193060),
(249335, 'PTHR11017:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193061),
(249336, 'PTHR43774', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE', 193062),
(249337, 'PTHR31549:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 193063),
(249338, 'PTHR31221:SF204', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 4-RELATED', 193064),
(249339, 'PTHR34689:SF1', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING PROTEIN', 193065),
(249340, 'PTHR13930:SF0', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT TRNA 4-DEMETHYLWYOSINE SYNTHASE', 193066),
(249341, 'PTHR23355:SF30', NULL, NULL, NULL, NULL, 'DIS3-LIKE EXONUCLEASE 1', 193067),
(249342, 'PTHR10795:SF695', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE ENDOPEPTIDASE FAMILY PROTEIN', 193068),
(249343, 'PTHR10334:SF489', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN, ALLERGEN V5/TPX-1-RELATED PROTEIN-RELATED', 193069),
(249344, 'PTHR24064:SF471', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 7-LIKE', 193070),
(249345, 'PTHR33110:SF31', NULL, NULL, NULL, NULL, 'DOMAIN, PUTATIVE-RELATED', 193071),
(249346, 'PTHR43439', NULL, NULL, NULL, NULL, 'PHENYLACETATE-COENZYME A LIGASE', 193072),
(249347, 'PTHR31330:SF1', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP C', 193073),
(249348, 'PTHR36916:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', 193074),
(249349, 'PTHR11206:SF359', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 35', 193075),
(249350, 'PTHR13516', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P SUBUNIT P25', 193076);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(249351, 'PTHR30349:SF57', NULL, NULL, NULL, NULL, 'INTEGRASE/RECOMBINASE', 193077),
(249352, 'PTHR37210:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193078),
(249353, 'PTHR47048:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SCAF11', 193079),
(249354, 'PTHR46995:SF5', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', 193080),
(249355, 'PTHR48001:SF29', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-LIKE PROTEIN DTMT', 193081),
(249356, 'PTHR31713:SF62', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN', 193082),
(249357, 'PTHR24393:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 438', 193083),
(249358, 'PTHR48071', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 193084),
(249359, 'PTHR33992', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN COMPONENT', 193085),
(249360, 'PTHR33021:SF391', NULL, NULL, NULL, NULL, 'BNAA06G33970D PROTEIN', 193086),
(249361, 'PTHR33711:SF9', NULL, NULL, NULL, NULL, 'PROTOCATECHUATE 3,4-DIOXYGENASE ALPHA CHAIN', 193087),
(249362, 'PTHR35990:SF1', NULL, NULL, NULL, NULL, 'GAG1AT PROTEIN', 193088),
(249363, 'PTHR45719:SF8', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14C', 193089),
(249364, 'PTHR24012:SF816', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', 193090),
(249365, 'PTHR24115:SF863', NULL, NULL, NULL, NULL, 'KINESIN MOTOR CATALYTIC DOMAIN PROTEIN', 193091),
(249366, 'PTHR12850:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S25-1', 193092),
(249367, 'PTHR34438:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193093),
(249368, 'PTHR34264:SF3', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B, CHLOROPLASTIC', 193094),
(249369, 'PTHR46736:SF24', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', 193095),
(249370, 'PTHR46075:SF1', NULL, NULL, NULL, NULL, 'N-CHIMAERIN', 193096),
(249371, 'PTHR13355', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE', 193097),
(249372, 'PTHR13939', NULL, NULL, NULL, NULL, 'NICOTINAMIDE-NUCLEOTIDE AMIDOHYDROLASE PNCC', 193098),
(249373, 'PTHR37296:SF1', NULL, NULL, NULL, NULL, 'CONSERVED VIRULENCE FACTOR B', 193099),
(249374, 'PTHR24349:SF186', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 4', 193100),
(249375, 'PTHR47162:SF4', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN-RELATED', 193101),
(249376, 'PTHR23208:SF39', NULL, NULL, NULL, NULL, 'GH FAMILY 25 LYSOZYME 3-RELATED', 193102),
(249377, 'PTHR42971', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE(34)-2''-O)-METHYLTRANSFERASE', 193103),
(249378, 'PTHR12411:SF783', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RD19C-RELATED', 193104),
(249379, 'PTHR31485:SF23', NULL, NULL, NULL, NULL, 'BNAC09G43590D PROTEIN', 193105),
(249380, 'PTHR36938', NULL, NULL, NULL, NULL, 'PROTEIN CBG26935', 193106),
(249381, 'PTHR10177:SF396', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN S13-6', 193107),
(249382, 'PTHR31731:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193108),
(249383, 'PTHR24351:SF221', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', 193109),
(249384, 'PTHR19918:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193110),
(249385, 'PTHR22761:SF54', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 60.1', 193111),
(249386, 'PTHR27009:SF207', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE PROTEIN KINASE DOMAIN-CONTAINING GDPDL2', 193112),
(249387, 'PTHR10502:SF193', NULL, NULL, NULL, NULL, 'ANNEXIN D8', 193113),
(249388, 'PTHR23167:SF28', NULL, NULL, NULL, NULL, 'CALMIN', 193114),
(249389, 'PTHR22941:SF279', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 193115),
(249390, 'PTHR18887', NULL, NULL, NULL, NULL, 'GOLGI-ASSOCIATED PROTEIN GCP360-RELATED', 193116),
(249391, 'PTHR33232:SF9', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION B', 193117),
(249392, 'PTHR30461:SF19', NULL, NULL, NULL, NULL, 'RESOLVASE-RELATED', 193118),
(249393, 'PTHR47327:SF3', NULL, NULL, NULL, NULL, 'NOMPA HOMOLOG (DROSOPHILA NOMPA: NO MECHANORECEPTOR POTENTIAL A)', 193119),
(249394, 'PTHR45642:SF117', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', 193120);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(249395, 'PTHR23262:SF186', NULL, NULL, NULL, NULL, 'KRTAP1-1 PROTEIN', 193121),
(249396, 'PTHR34106:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193122),
(249397, 'PTHR39337', NULL, NULL, NULL, NULL, 'BLR5642 PROTEIN', 193123),
(249398, 'PTHR47985:SF16', NULL, NULL, NULL, NULL, 'OS01G0936100 PROTEIN', 193124),
(249399, 'PTHR23192:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193125),
(249400, 'PTHR24248:SF154', NULL, NULL, NULL, NULL, 'D(3) DOPAMINE RECEPTOR', 193126),
(249401, 'PTHR42982:SF5', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATE', 193127),
(249402, 'PTHR37012', NULL, NULL, NULL, NULL, 'B-ZIP TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', 193128),
(249403, 'PTHR31388:SF217', NULL, NULL, NULL, NULL, 'PEROXIDASE', 193129),
(249404, 'PTHR43422:SF10', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE, CHLOROPLASTIC', 193130),
(249405, 'PTHR48007:SF44', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 3', 193131),
(249406, 'PTHR21481:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPARENT TESTA 9', 193132),
(249407, 'PTHR31307:SF6', NULL, NULL, NULL, NULL, 'OS01G0718900 PROTEIN', 193133),
(249408, 'PTHR19343:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193134),
(249409, 'PTHR34269:SF2', NULL, NULL, NULL, NULL, 'BNAC03G29690D PROTEIN', 193135),
(249410, 'PTHR11909:SF100', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE VRK2', 193136),
(249411, 'PTHR10342:SF264', NULL, NULL, NULL, NULL, 'MIP05773P', 193137),
(249412, 'PTHR48085:SF3', NULL, NULL, NULL, NULL, 'HEAVY METAL ATPASE TRANSPORTER', 193138),
(249413, 'PTHR31992:SF131', NULL, NULL, NULL, NULL, 'DOF DOMAIN ZINC FINGER PROTEIN', 193139),
(249414, 'PTHR11787:SF3', NULL, NULL, NULL, NULL, 'RAB GDP DISSOCIATION INHIBITOR ALPHA', 193140),
(249415, 'PTHR31080:SF177', NULL, NULL, NULL, NULL, 'BNAC01G34810D PROTEIN', 193141),
(249416, 'PTHR35169', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 193142),
(249417, 'PTHR24343:SF7', NULL, NULL, NULL, NULL, 'SPERM MOTILITY KINASE 1-RELATED', 193143),
(249418, 'PTHR30237:SF3', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE VC_A0337-RELATED', 193144),
(249419, 'PTHR32208:SF91', NULL, NULL, NULL, NULL, 'BNAA02G04330D PROTEIN', 193145),
(249420, 'PTHR37169', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM ENDORIBONUCLEASE CSX1-RELATED', 193146),
(249421, 'PTHR23236:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193147),
(249422, 'PTHR10209:SF746', NULL, NULL, NULL, NULL, 'BNAA01G36310D PROTEIN', 193148),
(249423, 'PTHR36782:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193149),
(249424, 'PTHR10791:SF168', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', 193150),
(249425, 'PTHR45786:SF35', NULL, NULL, NULL, NULL, 'BNAA10G10480D PROTEIN', 193151),
(249426, 'PTHR24261:SF2', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN(A)-RELATED', 193152),
(249427, 'PTHR33623:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193153),
(249428, 'PTHR35154:SF1', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE FRAT1', 193154),
(249429, 'PTHR33172:SF15', NULL, NULL, NULL, NULL, 'OS08G0458200 PROTEIN', 193155),
(249430, 'PTHR47985:SF61', NULL, NULL, NULL, NULL, 'BNAC03G35060D PROTEIN', 193156),
(249431, 'PTHR24376', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', 193157),
(249432, 'PTHR46128:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193158),
(249433, 'PTHR19443:SF73', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', 193159),
(249434, 'PTHR38140:SF5', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 19-3-RELATED', 193160),
(249435, 'PTHR14928:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193161),
(249436, 'PTHR13182:SF21', NULL, NULL, NULL, NULL, 'CYTOPLASMIC 60S SUBUNIT BIOGENESIS FACTOR REI1', 193162),
(249437, 'PTHR18063:SF6', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE MIY1', 193163),
(249438, 'PTHR32246:SF20', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', 193164),
(249439, 'PTHR27006:SF125', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE/TYROSINE-PROTEIN KINASE SOBIR1', 193165);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(249440, 'PTHR47974:SF9', NULL, NULL, NULL, NULL, 'OS07G0415500 PROTEIN', 193166),
(249441, 'PTHR45757:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG09596', 193167),
(249442, 'PTHR33091:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193168),
(249443, 'PTHR48048:SF22', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 193169),
(249444, 'PTHR33936:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193170),
(249445, 'PTHR48017:SF98', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 2 ISOFORM X1', 193171),
(249446, 'PTHR15822:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193172),
(249447, 'PTHR45786', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN-LIKE', 193173),
(249448, 'PTHR11426:SF234', NULL, NULL, NULL, NULL, 'CENTROMERIC HISTONE 3', 193174),
(249449, 'PTHR43112:SF20', NULL, NULL, NULL, NULL, 'FERREDOXIN', 193175),
(249450, 'PTHR23273:SF77', NULL, NULL, NULL, NULL, 'BNAC04G32120D PROTEIN', 193176),
(249451, 'PTHR24281:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193177),
(249452, 'PTHR31562:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG18972', 193178),
(249453, 'PTHR35178:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG01935', 193179),
(249454, 'PTHR47127:SF1', NULL, NULL, NULL, NULL, '10A19I.15', 193180),
(249455, 'PTHR10185', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D - RELATED', 193181),
(249456, 'PTHR24134:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 40-LIKE', 193182),
(249457, 'PTHR12755:SF3', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE 5''-HYDROXYL-KINASE NOL9', 193183),
(249458, 'PTHR10807:SF76', NULL, NULL, NULL, NULL, 'LD28822P', 193184),
(249459, 'PTHR24404:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193185),
(249460, 'PTHR33935:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 193186),
(249461, 'PTHR43689:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193187),
(249462, 'PTHR12701:SF20', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED-LIKE PROTEIN', 193188),
(249463, 'PTHR16565:SF2', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-I', 193189),
(249464, 'PTHR13703:SF45', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 4', 193190),
(249465, 'PTHR13017', NULL, NULL, NULL, NULL, '5-FORMYLTETRAHYDROFOLATE CYCLO-LIGASE-RELATED', 193191),
(249466, 'PTHR15021', NULL, NULL, NULL, NULL, 'DISCONNECTED-RELATED', 193192),
(249467, 'PTHR35174', NULL, NULL, NULL, NULL, 'BLL7171 PROTEIN-RELATED', 193193),
(249468, 'PTHR46168:SF18', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', 193194),
(249469, 'PTHR31662:SF45', NULL, NULL, NULL, NULL, 'OS02G0768700 PROTEIN', 193195),
(249470, 'PTHR43096:SF22', NULL, NULL, NULL, NULL, 'MOLECULAR CHAPERONE HSP40/DNAJ FAMILY PROTEIN', 193196),
(249471, 'PTHR33428:SF10', NULL, NULL, NULL, NULL, 'CHLOROPHYLLASE-1', 193197),
(249472, 'PTHR32227:SF363', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17-RELATED', 193198),
(249473, 'PTHR12224:SF4', NULL, NULL, NULL, NULL, 'BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', 193199),
(249474, 'PTHR10572:SF14', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE 1', 193200),
(249475, 'PTHR34500', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 193201),
(249476, 'PTHR11731:SF192', NULL, NULL, NULL, NULL, 'IP17501P', 193202),
(249477, 'PTHR22829:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE-DEPENDENT RAC EXCHANGER 1 PROTEIN', 193203),
(249478, 'PTHR24168:SF0', NULL, NULL, NULL, NULL, 'KN MOTIF AND ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 2', 193204),
(249479, 'PTHR13720', NULL, NULL, NULL, NULL, 'WD-40 REPEAT PROTEIN', 193205),
(249480, 'PTHR19443:SF14', NULL, NULL, NULL, NULL, 'HEXOKINASE-9', 193206),
(249481, 'PTHR36324:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193207),
(249482, 'PTHR31221:SF187', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR', 193208),
(249483, 'PTHR34966:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0043L24.15 PROTEIN', 193209),
(249484, 'PTHR11486:SF63', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', 193210),
(249485, 'PTHR43114', NULL, NULL, NULL, NULL, 'ADENINE DEAMINASE', 193211);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(249486, 'PTHR26451:SF403', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', 193212),
(249487, 'PTHR46837:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193213),
(249488, 'PTHR11958:SF99', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', 193214),
(249489, 'PTHR35375', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP D', 193215),
(249490, 'PTHR45906:SF5', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE 5', 193216),
(249491, 'PTHR10366:SF732', NULL, NULL, NULL, NULL, 'BNAA06G37880D PROTEIN', 193217),
(249492, 'PTHR11486:SF86', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 1', 193218),
(249493, 'PTHR33478', NULL, NULL, NULL, NULL, 'EXTRACELLULAR METALLOPROTEINASE MEP', 193219),
(249494, 'PTHR43199:SF6', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLTRANSPEPTIDASE', 193220),
(249495, 'PTHR12565:SF395', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH63-LIKE', 193221),
(249496, 'PTHR10613:SF0', NULL, NULL, NULL, NULL, 'LEUKOCYTE SURFACE ANTIGEN CD47', 193222),
(249497, 'PTHR22957:SF195', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 4', 193223),
(249498, 'PTHR32285:SF22', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE', 193224),
(249499, 'PTHR21634:SF11', NULL, NULL, NULL, NULL, 'FOLLICULIN-INTERACTING PROTEIN 2', 193225),
(249500, 'PTHR45923:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG 2', 193226),
(249501, 'PTHR24412:SF456', NULL, NULL, NULL, NULL, 'INFLUENZA VIRUS NS1A (A) BINDING PROTEIN HOMOLOG', 193227),
(249502, 'PTHR47808:SF2', NULL, NULL, NULL, NULL, 'INNER NUCLEAR MEMBRANE PROTEIN HEH2-RELATED', 193228),
(249503, 'PTHR35157', NULL, NULL, NULL, NULL, 'PROTEIN FAM209A', 193229),
(249504, 'PTHR33463:SF72', NULL, NULL, NULL, NULL, 'NB-ARC-RELATED', 193230),
(249505, 'PTHR31080:SF66', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 193231),
(249506, 'PTHR33083:SF55', NULL, NULL, NULL, NULL, 'OS07G0512250 PROTEIN', 193232),
(249507, 'PTHR13832:SF749', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 9-RELATED', 193233),
(249508, 'PTHR24282:SF190', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', 193234),
(249509, 'PTHR10424:SF48', NULL, NULL, NULL, NULL, 'SYNCYTIN-1', 193235),
(249510, 'PTHR24269:SF21', NULL, NULL, NULL, NULL, 'CELL WALL INTEGRITY AND STRESS RESPONSE COMPONENT 3', 193236),
(249511, 'PTHR11132:SF239', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', 193237),
(249512, 'PTHR31086:SF17', NULL, NULL, NULL, NULL, 'OS01G0221600 PROTEIN', 193238),
(249513, 'PTHR10593:SF179', NULL, NULL, NULL, NULL, 'BNAA06G34340D PROTEIN', 193239),
(249514, 'PTHR31506:SF34', NULL, NULL, NULL, NULL, 'BZR1-LIKE PROTEIN-RELATED', 193240),
(249515, 'PTHR12548:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DP-1', 193241),
(249516, 'PTHR48001:SF142', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7A17', 193242),
(249517, 'PTHR12533:SF7', NULL, NULL, NULL, NULL, 'NFAT NUCLEAR FACTOR, ISOFORM B', 193243),
(249518, 'PTHR11905:SF13', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 23', 193244),
(249519, 'PTHR47859', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', 193245),
(249520, 'PTHR36530:SF1', NULL, NULL, NULL, NULL, 'INHIBITOR OF CYSTEINE PEPTIDASE', 193246),
(249521, 'PTHR31992:SF190', NULL, NULL, NULL, NULL, 'ZINC FINGER, DOF-TYPE-RELATED', 193247),
(249522, 'PTHR23155:SF1124', NULL, NULL, NULL, NULL, 'OS11G0481150 PROTEIN', 193248),
(249523, 'PTHR31385:SF9', NULL, NULL, NULL, NULL, 'BNACNNG35460D PROTEIN', 193249),
(249524, 'PTHR47712:SF2', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', 193250),
(249525, 'PTHR14465:SF0', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN H', 193251),
(249526, 'PTHR13462:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193252),
(249527, 'PTHR21450:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193253),
(249528, 'PTHR21683', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 193254),
(249529, 'PTHR23084:SF179', NULL, NULL, NULL, NULL, 'OS10G0565000 PROTEIN', 193255),
(249530, 'PTHR45778:SF15', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', 193256);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(249531, 'PTHR31235', NULL, NULL, NULL, NULL, 'PEROXIDASE 25-RELATED', 193257),
(249532, 'PTHR32378:SF14', NULL, NULL, NULL, NULL, 'G-PROTEIN GAMMA-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', 193258),
(249533, 'PTHR47928:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193259),
(249534, 'PTHR14359:SF18', NULL, NULL, NULL, NULL, 'DIHYDROMETHANOPTERIN REDUCTASE (ACCEPTOR)', 193260),
(249535, 'PTHR14402:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 193261),
(249536, 'PTHR30191:SF0', NULL, NULL, NULL, NULL, 'AUTONOMOUS GLYCYL RADICAL COFACTOR-RELATED', 193262),
(249537, 'PTHR16092', NULL, NULL, NULL, NULL, 'SEC3/SYNTAXIN-RELATED', 193263),
(249538, 'PTHR10519:SF20', NULL, NULL, NULL, NULL, 'METABOTROPIC GABA-B RECEPTOR SUBTYPE 2, ISOFORM C', 193264),
(249539, 'PTHR45730:SF32', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JAGGED', 193265),
(249540, 'PTHR24346:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193266),
(249541, 'PTHR38909:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193267),
(249542, 'PTHR31280:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193268),
(249543, 'PTHR12277:SF177', NULL, NULL, NULL, NULL, 'ESTERASE/LIPASE/THIOESTERASE', 193269),
(249544, 'PTHR24377:SF821', NULL, NULL, NULL, NULL, 'MYONEURIN', 193270),
(249545, 'PTHR35828:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193271),
(249546, 'PTHR28584:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM228B', 193272),
(249547, 'PTHR31218:SF31', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', 193273),
(249548, 'PTHR43327:SF10', NULL, NULL, NULL, NULL, 'STOMATIN-LIKE PROTEIN 2, MITOCHONDRIAL', 193274),
(249549, 'PTHR24062:SF160', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', 193275),
(249550, 'PTHR12560:SF42', NULL, NULL, NULL, NULL, '(LAG1) PROTEIN, PUTATIVE-RELATED', 193276),
(249551, 'PTHR10015:SF374', NULL, NULL, NULL, NULL, 'BNAC03G44290D PROTEIN', 193277),
(249552, 'PTHR36117:SF3', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE 3-MONOOXYGENASE-RELATED', 193278),
(249553, 'PTHR35971:SF2', NULL, NULL, NULL, NULL, 'OBSCURIN, CYTOSKELETAL CALMODULIN AND TITIN-INTERACTING RHOGEF', 193279),
(249554, 'PTHR45974:SF183', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE RECEPTOR 1', 193280),
(249555, 'PTHR11875:SF130', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN (NAP)-RELATED', 193281),
(249556, 'PTHR24027:SF423', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-16', 193282),
(249557, 'PTHR10881:SF7', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 8B', 193283),
(249558, 'PTHR20851', NULL, NULL, NULL, NULL, 'DORSAL INTERACTING PROTEIN 3', 193284),
(249559, 'PTHR46288:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193285),
(249560, 'PTHR28620:SF10', NULL, NULL, NULL, NULL, 'MSS4-LIKE PROTEIN-RELATED', 193286),
(249561, 'PTHR40261:SF1', NULL, NULL, NULL, NULL, 'BLR1753 PROTEIN', 193287),
(249562, 'PTHR33233:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193288),
(249563, 'PTHR43818:SF2', NULL, NULL, NULL, NULL, 'GLUCOSE-FRUCTOSE OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 1', 193289),
(249564, 'PTHR46709:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG23207', 193290),
(249565, 'PTHR10131:SF115', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR FAMILY PROTEIN DDB_G0267744-RELATED', 193291),
(249566, 'PTHR42859:SF4', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT PROTEIN YSAA-RELATED', 193292),
(249567, 'PTHR24367:SF17', NULL, NULL, NULL, NULL, 'LEUCINE-RICH GLIOMA-INACTIVATED PROTEIN 1', 193293),
(249568, 'PTHR46230:SF3', NULL, NULL, NULL, NULL, 'SUFE-LIKE PROTEIN 1, CHLOROPLASTIC/MITOCHONDRIAL', 193294),
(249569, 'PTHR42706', NULL, NULL, NULL, NULL, 'FORMYLTETRAHYDROFOLATE DEFORMYLASE', 193295),
(249570, 'PTHR37378:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193296),
(249571, 'PTHR33463:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193297),
(249572, 'PTHR31683:SF75', NULL, NULL, NULL, NULL, 'PECTATE LYASE', 193298),
(249573, 'PTHR34373:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 193299),
(249574, 'PTHR24418:SF197', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE FES/FPS', 193300);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(249575, 'PTHR21660:SF29', NULL, NULL, NULL, NULL, 'PX DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G07450)', 193301),
(249576, 'PTHR11449:SF24', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30-LIKE', 193302),
(249577, 'PTHR45080:SF18', NULL, NULL, NULL, NULL, '2 (ZWEI) IG DOMAIN PROTEIN', 193303),
(249578, 'PTHR10782:SF82', NULL, NULL, NULL, NULL, 'ZINC FINGER, MIZ-TYPE, ZINC FINGER, RING/FYVE/PHD-TYPE, E3 SUMO PROTEIN LIGASE-RELATED', 193304),
(249579, 'PTHR35394', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 193305),
(249580, 'PTHR43874:SF64', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE PRR37', 193306),
(249581, 'PTHR43418:SF11', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE BETA SUBUNIT 2, CHLOROPLASTIC-LIKE ISOFORM X1', 193307),
(249582, 'PTHR16517:SF113', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', 193308),
(249583, 'PTHR15141:SF76', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR B POLYPEPTIDE 3', 193309),
(249584, 'PTHR35144:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PACG', 193310),
(249585, 'PTHR46025:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193311),
(249586, 'PTHR31674:SF33', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM-LIKE 1', 193312),
(249587, 'PTHR31251:SF119', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 16', 193313),
(249588, 'PTHR27006:SF316', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 42', 193314),
(249589, 'PTHR11627:SF64', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE 2, CHLOROPLASTIC', 193315),
(249590, 'PTHR47199', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II STABILITY/ASSEMBLY FACTOR HCF136, CHLOROPLASTIC', 193316),
(249591, 'PTHR11771:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193317),
(249592, 'PTHR23407:SF6', NULL, NULL, NULL, NULL, 'ATPASE INHIBITOR, MITOCHONDRIAL', 193318),
(249593, 'PTHR14237:SF62', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE-LIKE ISOFORM X1', 193319),
(249594, 'PTHR11467:SF116', NULL, NULL, NULL, NULL, 'HMG-Y-RELATED PROTEIN A-LIKE', 193320),
(249595, 'PTHR10046:SF57', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT LON PROTEASE-RELATED', 193321),
(249596, 'PTHR14942:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE SUPERFAMILY PROTEIN', 193322),
(249597, 'PTHR31636:SF251', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 5', 193323),
(249598, 'PTHR24144:SF5', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', 193324),
(249599, 'PTHR48054:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 2-LIKE', 193325),
(249600, 'PTHR15422:SF41', NULL, NULL, NULL, NULL, 'CYTOCHROME B561/FERRIC REDUCTASE TRANSMEMBRANE-RELATED', 193326),
(249601, 'PTHR32410:SF191', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', 193327),
(249602, 'PTHR15592:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 638', 193328),
(249603, 'PTHR31902:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 193329),
(249604, 'PTHR43142:SF6', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_7G01710)-RELATED', 193330),
(249605, 'PTHR11834:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ENHANCER FACTOR TEF-5', 193331),
(249606, 'PTHR10358:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193332),
(249607, 'PTHR21408:SF1', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-ONLY PROTEIN', 193333),
(249608, 'PTHR12411:SF763', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', 193334),
(249609, 'PTHR47992:SF134', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 50 ISOFORM X1-RELATED', 193335),
(249610, 'PTHR47984:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', 193336),
(249611, 'PTHR31989:SF270', NULL, NULL, NULL, NULL, 'BNAA08G06490D PROTEIN', 193337),
(249612, 'PTHR36721:SF4', NULL, NULL, NULL, NULL, 'BNACNNG28470D PROTEIN', 193338),
(249613, 'PTHR10809:SF45', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 2-2', 193339),
(249614, 'PTHR46119:SF19', NULL, NULL, NULL, NULL, 'PROTEIN SODIUM POTASSIUM ROOT DEFECTIVE 1', 193340),
(249615, 'PTHR34538:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193341),
(249616, 'PTHR22978', NULL, NULL, NULL, NULL, 'B-CELL TRANSLOCATION GENE', 193342);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(249617, 'PTHR48111:SF51', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM REGULATORY PROTEIN', 193343),
(249618, 'PTHR34481:SF10', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN INHIBITOR WCI', 193344),
(249619, 'PTHR45763:SF21', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', 193345),
(249620, 'PTHR37528', NULL, NULL, NULL, NULL, 'UPF0149 PROTEIN YGFB', 193346),
(249621, 'PTHR23236:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193347),
(249622, 'PTHR11799:SF7', NULL, NULL, NULL, NULL, 'PON (PARAOXONASE) AND MEC-6 LIKE', 193348),
(249623, 'PTHR22298:SF148', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', 193349),
(249624, 'PTHR33985:SF30', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN-RELATED', 193350),
(249625, 'PTHR45978:SF5', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 2', 193351),
(249626, 'PTHR36743:SF1', NULL, NULL, NULL, NULL, 'OS04G0495300 PROTEIN', 193352),
(249627, 'PTHR34944:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM7-1', 193353),
(249628, 'PTHR31639:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193354),
(249629, 'PTHR47283', NULL, NULL, NULL, NULL, 'ENT-KAURENE OXIDASE, CHLOROPLASTIC', 193355),
(249630, 'PTHR31669:SF149', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 12-RELATED', 193356),
(249631, 'PTHR11820:SF86', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_7G07000)', 193357),
(249632, 'PTHR33558', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN C5ORF63 HOMOLOG', 193358),
(249633, 'PTHR36293', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 213', 193359),
(249634, 'PTHR47608:SF1', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 2', 193360),
(249635, 'PTHR11461:SF50', NULL, NULL, NULL, NULL, 'NEUROSERPIN', 193361),
(249636, 'PTHR31213:SF92', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN BET V I FAMILY PROTEIN', 193362),
(249637, 'PTHR33724:SF1', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 43 HOMOLOG', 193363),
(249638, 'PTHR43874:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193364),
(249639, 'PTHR16656', NULL, NULL, NULL, NULL, 'ALPHA-S2-CASEIN-LIKE B', 193365),
(249640, 'PTHR24184:SF17', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN YAHD-RELATED', 193366),
(249641, 'PTHR47617:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN-SIGNALING MODULATOR 3', 193367),
(249642, 'PTHR46371:SF26', NULL, NULL, NULL, NULL, 'BNAA06G35190D PROTEIN', 193368),
(249643, 'PTHR24381:SF341', NULL, NULL, NULL, NULL, 'ZFP30 ZINC FINGER PROTEIN', 193369),
(249644, 'PTHR46752', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 39', 193370),
(249645, 'PTHR21178:SF8', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 61', 193371),
(249646, 'PTHR16089:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL-REGULATING FACTOR 1', 193372),
(249647, 'PTHR19378', NULL, NULL, NULL, NULL, 'GOLGIN- RELATED', 193373),
(249648, 'PTHR34104', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 254', 193374),
(249649, 'PTHR27006:SF429', NULL, NULL, NULL, NULL, 'BNAC03G59390D PROTEIN', 193375),
(249650, 'PTHR12113:SF10', NULL, NULL, NULL, NULL, 'DICKKOPF-RELATED PROTEIN 4', 193376),
(249651, 'PTHR11564:SF5', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN', 193377),
(249652, 'PTHR33565:SF10', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN HOMOLOG 2', 193378),
(249653, 'PTHR13234:SF55', NULL, NULL, NULL, NULL, 'BNAA04G07200D PROTEIN', 193379),
(249654, 'PTHR45923:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SEY1', 193380),
(249655, 'PTHR10876:SF5', NULL, NULL, NULL, NULL, 'ZPR1 ZINC-FINGER DOMAIN PROTEIN', 193381),
(249656, 'PTHR47988:SF22', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', 193382),
(249657, 'PTHR21662:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01942', 193383),
(249658, 'PTHR24281:SF68', NULL, NULL, NULL, NULL, 'CYTOCHROME', 193384),
(249659, 'PTHR47938:SF18', NULL, NULL, NULL, NULL, 'OS10G0358700 PROTEIN', 193385),
(249660, 'PTHR23155:SF937', NULL, NULL, NULL, NULL, 'OS08G0296700 PROTEIN', 193386);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(249661, 'PTHR12266:SF22', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER MEMBRANE REGION-RELATED', 193387),
(249662, 'PTHR47155:SF2', NULL, NULL, NULL, NULL, 'DOWNSTREAM OF DAF-16 (REGULATED BY DAF-16)', 193388),
(249663, 'PTHR43670:SF69', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 2-LIKE', 193389),
(249664, 'PTHR11662:SF429', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193390),
(249665, 'PTHR24281:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193391),
(249666, 'PTHR34501:SF5', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PORE PROTEIN E', 193392),
(249667, 'PTHR12121:SF87', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', 193393),
(249668, 'PTHR22851:SF2', NULL, NULL, NULL, NULL, 'NUCLEOTIDE BINDING', 193394),
(249669, 'PTHR12598:SF0', NULL, NULL, NULL, NULL, 'COPPER HOMEOSTASIS PROTEIN CUTC HOMOLOG', 193395),
(249670, 'PTHR48021:SF43', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ESL1', 193396),
(249671, 'PTHR13547', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', 193397),
(249672, 'PTHR11581:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4, Y ISOFORM 2', 193398),
(249673, 'PTHR37331:SF1', NULL, NULL, NULL, NULL, 'YALI0F11671P', 193399),
(249674, 'PTHR15126:SF4', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING PROTEIN 2', 193400),
(249675, 'PTHR19961:SF71', NULL, NULL, NULL, NULL, 'OS02G0588300 PROTEIN', 193401),
(249676, 'PTHR11595:SF19', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA/1-DELTA 2-RELATED', 193402),
(249677, 'PTHR46448:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KINASE DOMAIN-CONTAINING, CYTOPLASMIC HOMOLOG, GENE 1', 193403),
(249678, 'PTHR36768:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE/DEOXYRIBONUCLEASE SUBUNIT B', 193404),
(249679, 'PTHR47855:SF6', NULL, NULL, NULL, NULL, 'OS01G0525701 PROTEIN', 193405),
(249680, 'PTHR12997:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193406),
(249681, 'PTHR16166:SF111', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13E-RELATED', 193407),
(249682, 'PTHR46536:SF1', NULL, NULL, NULL, NULL, 'ARL14 EFFECTOR PROTEIN', 193408),
(249683, 'PTHR31118', NULL, NULL, NULL, NULL, 'CYCLASE-LIKE PROTEIN 2', 193409),
(249684, 'PTHR31279:SF4', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 5', 193410),
(249685, 'PTHR27002:SF836', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN S6, PUTATIVE-RELATED', 193411),
(249686, 'PTHR13848:SF63', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', 193412),
(249687, 'PTHR11158:SF23', NULL, NULL, NULL, NULL, 'PRELI DOMAIN CONTAINING PROTEIN 3A', 193413),
(249688, 'PTHR33088:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193414),
(249689, 'PTHR24329:SF301', NULL, NULL, NULL, NULL, 'PAIRED MESODERM HOMEOBOX PROTEIN 2B', 193415),
(249690, 'PTHR44068:SF1', NULL, NULL, NULL, NULL, 'CYCLOARTENOL-C-24-METHYLTRANSFERASE', 193416),
(249691, 'PTHR44259:SF15', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', 193417),
(249692, 'PTHR10315:SF130', NULL, NULL, NULL, NULL, 'BNAA03G19700D PROTEIN', 193418),
(249693, 'PTHR33389:SF4', NULL, NULL, NULL, NULL, 'PII, URIDYLYLTRANSFERASE (DUF2921)', 193419),
(249694, 'PTHR33078', NULL, NULL, NULL, NULL, 'PROTEIN YCF2-RELATED', 193420),
(249695, 'PTHR19325:SF536', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT RECEPTOR 1-LIKE PROTEIN', 193421),
(249696, 'PTHR31317', NULL, NULL, NULL, NULL, 'OS08G0163500 PROTEIN', 193422),
(249697, 'PTHR31966:SF22', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN MT2085-LIKE', 193423),
(249698, 'PTHR46151:SF18', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN-LIKE 2', 193424),
(249699, 'PTHR12411:SF647', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG12', 193425),
(249700, 'PTHR12277:SF156', NULL, NULL, NULL, NULL, 'BNAC04G36550D PROTEIN', 193426),
(249701, 'PTHR34211:SF3', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN', 193427),
(249702, 'PTHR45642:SF62', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', 193428),
(249703, 'PTHR31062:SF190', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 2-RELATED', 193429);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(249704, 'PTHR37290:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YIAA-RELATED', 193430),
(249705, 'PTHR14269:SF17', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE DOMAIN-CONTAINING 5', 193431),
(249706, 'PTHR35298:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193432),
(249707, 'PTHR47590:SF3', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP25-LIKE', 193433),
(249708, 'PTHR24348:SF54', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATG1C-LIKE', 193434),
(249709, 'PTHR46058:SF27', NULL, NULL, NULL, NULL, 'BREVIS RADIX-LIKE PROTEIN-RELATED', 193435),
(249710, 'PTHR47956:SF33', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B19-RELATED', 193436),
(249711, 'PTHR31414:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193437),
(249712, 'PTHR37806:SF1', NULL, NULL, NULL, NULL, 'LMO0724 PROTEIN', 193438),
(249713, 'PTHR33789:SF10', NULL, NULL, NULL, NULL, 'OS01G0724700 PROTEIN', 193439),
(249714, 'PTHR30614:SF21', NULL, NULL, NULL, NULL, 'GLUTAMATE PERMEASE', 193440),
(249715, 'PTHR24241:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193441),
(249716, 'PTHR46294', NULL, NULL, NULL, NULL, 'SEGMENTATION PROTEIN EVEN-SKIPPED', 193442),
(249717, 'PTHR21733:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-244', 193443),
(249718, 'PTHR24231:SF48', NULL, NULL, NULL, NULL, 'CYSTEINYL LEUKOTRIENE RECEPTOR 2', 193444),
(249719, 'PTHR30538:SF1', NULL, NULL, NULL, NULL, 'L-LYSINE 2,3-AMINOMUTASE', 193445),
(249720, 'PTHR22943:SF26', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', 193446),
(249721, 'PTHR34210', NULL, NULL, NULL, NULL, 'OS01G0252900 PROTEIN', 193447),
(249722, 'PTHR12210:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193448),
(249723, 'PTHR33463:SF84', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN-CONTAINING DISEASE RESISTANCE PROTEIN', 193449),
(249724, 'PTHR11746:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193450),
(249725, 'PTHR11875:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193451),
(249726, 'PTHR31969:SF56', NULL, NULL, NULL, NULL, 'ABA-RESPONSIVE PROTEIN 1', 193452),
(249727, 'PTHR24221:SF213', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', 193453),
(249728, 'PTHR13191:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193454),
(249729, 'PTHR32116:SF92', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', 193455),
(249730, 'PTHR41930', NULL, NULL, NULL, NULL, 'UPF0200 PROTEIN MJ1399', 193456),
(249731, 'PTHR32341:SF2', NULL, NULL, NULL, NULL, 'INTERFERON-GAMMA-INDUCIBLE GTPASE IFGGA2 PROTEIN-RELATED', 193457),
(249732, 'PTHR10639:SF35', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', 193458),
(249733, 'PTHR31116:SF4', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE SUPERFAMILY PROTEIN', 193459),
(249734, 'PTHR31062:SF238', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', 193460),
(249735, 'PTHR27005:SF296', NULL, NULL, NULL, NULL, 'CALCIUM BINDING EGF DOMAIN CONTAINING PROTEIN, EXPRESSED', 193461),
(249736, 'PTHR34223:SF57', NULL, NULL, NULL, NULL, 'OS11G0200950 PROTEIN', 193462),
(249737, 'PTHR32448:SF144', NULL, NULL, NULL, NULL, 'BNAC03G75560D PROTEIN', 193463),
(249738, 'PTHR13258:SF0', NULL, NULL, NULL, NULL, 'SYNDETIN', 193464),
(249739, 'PTHR33487', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 54', 193465),
(249740, 'PTHR33545:SF5', NULL, NULL, NULL, NULL, 'UPF0750 MEMBRANE PROTEIN YITT', 193466),
(249741, 'PTHR23268:SF82', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA, VARIABLE 26-RELATED', 193467),
(249742, 'PTHR15487:SF5', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 2-BINDING PROTEIN', 193468),
(249743, 'PTHR23162:SF8', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 2', 193469),
(249744, 'PTHR28019:SF2', NULL, NULL, NULL, NULL, 'CELL MEMBRANE PROTEIN YLR413W-RELATED', 193470),
(249745, 'PTHR23078:SF5', NULL, NULL, NULL, NULL, 'BNAA03G50350D PROTEIN', 193471),
(249746, 'PTHR13130', NULL, NULL, NULL, NULL, '34 KDA TRANSCRIPTIONAL CO-ACTIVATOR-RELATED', 193472),
(249747, 'PTHR10694:SF105', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ15-RELATED', 193473); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(249748, 'PTHR33865:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM183B', 193474),
(249749, 'PTHR46352:SF2', NULL, NULL, NULL, NULL, 'C2H2 TRANSCRIPTION FACTOR', 193475),
(249750, 'PTHR24296:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193476),
(249751, 'PTHR46661:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZNRF1', 193477),
(249752, 'PTHR31194:SF118', NULL, NULL, NULL, NULL, 'OS07G0204000 PROTEIN', 193478),
(249753, 'PTHR33479:SF6', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK SERINE PROTEASE INHIBITOR FAMILY PROTEIN, EXPRESSED', 193479),
(249754, 'PTHR31164', NULL, NULL, NULL, NULL, 'RAD52 MOTIF-CONTAINING PROTEIN 1', 193480),
(249755, 'PTHR10906:SF29', NULL, NULL, NULL, NULL, 'BNAANNG21420D PROTEIN', 193481),
(249756, 'PTHR28532:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193482),
(249757, 'PTHR11550:SF13', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', 193483),
(249758, 'PTHR47982:SF39', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK7', 193484),
(249759, 'PTHR11732:SF402', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER A1-A', 193485),
(249760, 'PTHR31516:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193486),
(249761, 'PTHR26453:SF116', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2F1', 193487),
(249762, 'PTHR10543:SF117', NULL, NULL, NULL, NULL, 'BNAA09G41150D PROTEIN', 193488),
(249763, 'PTHR11132:SF313', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-SUGAR TRANSPORTER FAMILY PROTEIN', 193489),
(249764, 'PTHR31048:SF26', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 5', 193490),
(249765, 'PTHR31790:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193491),
(249766, 'PTHR11817:SF39', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', 193492),
(249767, 'PTHR37440:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG08766', 193493),
(249768, 'PTHR12629:SF65', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 4-LIKE', 193494),
(249769, 'PTHR33144:SF26', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PTTA/EN/SPM, PLANT, TRANSPOSASE, TNP1/EN/SPM-LIKE PROTEIN-RELATED', 193495),
(249770, 'PTHR31251:SF133', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 6 ISOFORM X1', 193496),
(249771, 'PTHR31972:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193497),
(249772, 'PTHR36968:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX-DDT DOMAIN PROTEIN RLT2', 193498),
(249773, 'PTHR13935:SF125', NULL, NULL, NULL, NULL, 'BNAA03G47380D PROTEIN', 193499),
(249774, 'PTHR10037:SF23', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 8 SUBUNIT ALPHA', 193500),
(249775, 'PTHR33103:SF55', NULL, NULL, NULL, NULL, 'BNAA07G28700D PROTEIN', 193501),
(249776, 'PTHR33913', NULL, NULL, NULL, NULL, 'ALEURONE LAYER MORPHOGENESIS PROTEIN', 193502),
(249777, 'PTHR45763:SF44', NULL, NULL, NULL, NULL, 'BNAA08G27060D PROTEIN', 193503),
(249778, 'PTHR31301', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 4-RELATED', 193504),
(249779, 'PTHR11346:SF158', NULL, NULL, NULL, NULL, 'GALECTIN', 193505),
(249780, 'PTHR44137:SF9', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN-LIKE', 193506),
(249781, 'PTHR12925:SF0', NULL, NULL, NULL, NULL, 'PROTEIN HIKESHI', 193507),
(249782, 'PTHR13697:SF14', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE, LIVER TYPE', 193508),
(249783, 'PTHR46216:SF3', NULL, NULL, NULL, NULL, 'PROSAPOSIN RECEPTOR GPR37', 193509),
(249784, 'PTHR12304:SF15', NULL, NULL, NULL, NULL, 'NON-SPECIFIC RIBONUCLEOSIDE HYDROLASE RIHC', 193510),
(249785, 'PTHR22893:SF112', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 3', 193511),
(249786, 'PTHR36390', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', 193512),
(249787, 'PTHR24300:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193513),
(249788, 'PTHR35293:SF7', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED PROTEIN 1.5', 193514),
(249789, 'PTHR28229:SF1', NULL, NULL, NULL, NULL, 'TRANSLOCATION PROTEIN SEC66', 193515),
(249790, 'PTHR21447:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11499', 193516),
(249791, 'PTHR13903:SF23', NULL, NULL, NULL, NULL, 'OS09G0484800 PROTEIN', 193517),
(249792, 'PTHR13556:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER 3', 193518);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(249793, 'PTHR33333:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 193519),
(249794, 'PTHR23324:SF87', NULL, NULL, NULL, NULL, 'CRAL-TRIO DOMAIN-CONTAINING PROTEIN C34C12.6', 193520),
(249795, 'PTHR30534', NULL, NULL, NULL, NULL, 'FLAGELLAR MOTOR SWITCH PROTEIN FLIG', 193521),
(249796, 'PTHR32044:SF65', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 10-RELATED', 193522),
(249797, 'PTHR22791:SF14', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 227', 193523),
(249798, 'PTHR45798:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193524),
(249799, 'PTHR31314:SF93', NULL, NULL, NULL, NULL, 'OS02G0672300 PROTEIN', 193525),
(249800, 'PTHR33133:SF37', NULL, NULL, NULL, NULL, 'SON OF SEVENLESS PROTEIN', 193526),
(249801, 'PTHR22957:SF579', NULL, NULL, NULL, NULL, 'BNAC05G44130D PROTEIN', 193527),
(249802, 'PTHR13388:SF24', NULL, NULL, NULL, NULL, 'SI:DKEY-215K6.1', 193528),
(249803, 'PTHR28234:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR CONTROL OF ATPASE PROTEIN 2', 193529),
(249804, 'PTHR38481:SF1', NULL, NULL, NULL, NULL, 'HYALURONATE LYASE', 193530),
(249805, 'PTHR31447:SF5', NULL, NULL, NULL, NULL, 'RNA DEMETHYLASE ALKBH9B', 193531),
(249806, 'PTHR39068:SF4', NULL, NULL, NULL, NULL, 'LARVAL/PUPAL CUTICLE PROTEIN H1C-LIKE PROTEIN', 193532),
(249807, 'PTHR33453:SF11', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', 193533),
(249808, 'PTHR12951:SF6', NULL, NULL, NULL, NULL, 'UNC-119 LIPID-BINDING CHAPERONE B HOMOLOG 2', 193534),
(249809, 'PTHR14064:SF6', NULL, NULL, NULL, NULL, 'LEUKOCYTE CELL-DERIVED CHEMOTAXIN 1', 193535),
(249810, 'PTHR24177:SF278', NULL, NULL, NULL, NULL, 'OS09G0341200 PROTEIN', 193536),
(249811, 'PTHR47985:SF29', NULL, NULL, NULL, NULL, 'BNAC03G41630D PROTEIN', 193537),
(249812, 'PTHR34970:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY PROTEIN', 193538),
(249813, 'PTHR10634:SF75', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 11', 193539),
(249814, 'PTHR46413:SF2', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3', 193540),
(249815, 'PTHR13946:SF36', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES II IV AND V SUBUNIT 11', 193541),
(249816, 'PTHR47262:SF1', NULL, NULL, NULL, NULL, 'OS02G0132600 PROTEIN', 193542),
(249817, 'PTHR11937:SF59', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN 7B', 193543),
(249818, 'PTHR34451:SF8', NULL, NULL, NULL, NULL, 'OS01G0292300 PROTEIN', 193544),
(249819, 'PTHR12570:SF25', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', 193545),
(249820, 'PTHR22761:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193546),
(249821, 'PTHR34057:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193547),
(249822, 'PTHR32099:SF41', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 4-RELATED', 193548),
(249823, 'PTHR30390:SF8', NULL, NULL, NULL, NULL, 'SUGAR ISOMERASE (SIS)', 193549),
(249824, 'PTHR31286:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193550),
(249825, 'PTHR36130', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4933430I17 GENE', 193551),
(249826, 'PTHR23333:SF35', NULL, NULL, NULL, NULL, 'BNAA09G20540D PROTEIN', 193552),
(249827, 'PTHR31501:SF5', NULL, NULL, NULL, NULL, 'PROTEIN ORAI-2', 193553),
(249828, 'PTHR22941:SF280', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', 193554),
(249829, 'PTHR14493:SF44', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 10', 193555),
(249830, 'PTHR10241:SF35', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT PROTEIN', 193556),
(249831, 'PTHR35099:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193557),
(249832, 'PTHR43329:SF114', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE-RELATED', 193558),
(249833, 'PTHR36370:SF3', NULL, NULL, NULL, NULL, 'BNAA10G29120D PROTEIN', 193559),
(249834, 'PTHR15970', NULL, NULL, NULL, NULL, 'ELL-ASSOCIATED FACTOR EAF', 193560),
(249835, 'PTHR34296:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN MED', 193561),
(249836, 'PTHR45844:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AIG1', 193562),
(249837, 'PTHR20275:SF26', NULL, NULL, NULL, NULL, 'NADH KINASE POS5, MITOCHONDRIAL', 193563);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(249838, 'PTHR11662:SF77', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY TRANSPORTER 17, ISOFORM F', 193564),
(249839, 'PTHR33044:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193565),
(249840, 'PTHR31113:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193566),
(249841, 'PTHR10263:SF54', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 16 KDA PROTEOLIPID SUBUNIT', 193567),
(249842, 'PTHR35361:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193568),
(249843, 'PTHR22898:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG02648', 193569),
(249844, 'PTHR13593:SF92', NULL, NULL, NULL, NULL, 'SI:DKEY-152B24.6-RELATED', 193570),
(249845, 'PTHR47982:SF53', NULL, NULL, NULL, NULL, 'BNACNNG49640D PROTEIN', 193571),
(249846, 'PTHR12634:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY SUBUNIT 2', 193572),
(249847, 'PTHR31415:SF16', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN 1 CONTAINING PROTEIN', 193573),
(249848, 'PTHR31636:SF229', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR-RELATED', 193574),
(249849, 'PTHR10082:SF59', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-NU', 193575),
(249850, 'PTHR34582:SF6', NULL, NULL, NULL, NULL, 'UPF0702 TRANSMEMBRANE PROTEIN YCAP', 193576),
(249851, 'PTHR48045:SF11', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 72B1', 193577),
(249852, 'PTHR16201:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193578),
(249853, 'PTHR31734:SF101', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA18', 193579),
(249854, 'PTHR12231:SF234', NULL, NULL, NULL, NULL, 'DPR-INTERACTING PROTEIN ETA, ISOFORM B', 193580),
(249855, 'PTHR33530:SF4', NULL, NULL, NULL, NULL, 'OS01G0145200 PROTEIN', 193581),
(249856, 'PTHR31066:SF31', NULL, NULL, NULL, NULL, 'OS03G0401100 PROTEIN', 193582),
(249857, 'PTHR24056:SF500', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193583),
(249858, 'PTHR31375:SF151', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE CLONE GBGA483-RELATED', 193584),
(249859, 'PTHR12818:SF0', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(37)-N6)-METHYLTRANSFERASE', 193585),
(249860, 'PTHR17068:SF3', NULL, NULL, NULL, NULL, 'MYELOID-ASSOCIATED DIFFERENTIATION MARKER', 193586),
(249861, 'PTHR24377:SF626', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 879', 193587),
(249862, 'PTHR24305:SF108', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', 193588),
(249863, 'PTHR11081:SF9', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE 1', 193589),
(249864, 'PTHR12411:SF730', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE', 193590),
(249865, 'PTHR11889:SF36', NULL, NULL, NULL, NULL, 'SONIC HEDGEHOG PROTEIN', 193591),
(249866, 'PTHR10986:SF22', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L20', 193592),
(249867, 'PTHR48047:SF78', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', 193593),
(249868, 'PTHR12735:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193594),
(249869, 'PTHR10257:SF83', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', 193595),
(249870, 'PTHR31221:SF182', NULL, NULL, NULL, NULL, 'BNAA09G07010D PROTEIN', 193596),
(249871, 'PTHR21533:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CHIBBY HOMOLOG 3', 193597),
(249872, 'PTHR30182:SF12', NULL, NULL, NULL, NULL, 'L-SERINE DEHYDRATASE, BETA CHAIN-RELATED', 193598),
(249873, 'PTHR36521:SF2', NULL, NULL, NULL, NULL, 'GEO07177P1', 193599),
(249874, 'PTHR48107:SF8', NULL, NULL, NULL, NULL, 'OS06G0185100 PROTEIN', 193600),
(249875, 'PTHR34935', NULL, NULL, NULL, NULL, 'PROTEIN TIC110, CHLOROPLASTIC', 193601),
(249876, 'PTHR23189:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193602),
(249877, 'PTHR11849:SF293', NULL, NULL, NULL, NULL, 'ETS VARIANT 2', 193603),
(249878, 'PTHR21402:SF11', NULL, NULL, NULL, NULL, 'FI16614P1-RELATED', 193604),
(249879, 'PTHR32212:SF315', NULL, NULL, NULL, NULL, 'BNAA09G46090D PROTEIN', 193605),
(249880, 'PTHR12994:SF16', NULL, NULL, NULL, NULL, 'SECERNIN-2', 193606),
(249881, 'PTHR45615:SF44', NULL, NULL, NULL, NULL, 'MYOSIN-13', 193607),
(249882, 'PTHR10812', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-2', 193608);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(249883, 'PTHR47991:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193609),
(249884, 'PTHR10562:SF56', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', 193610),
(249885, 'PTHR23413:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32', 193611),
(249886, 'PTHR19302:SF51', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT', 193612),
(249887, 'PTHR31213:SF65', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE', 193613),
(249888, 'PTHR23152:SF33', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE E1 COMPONENT-RELATED', 193614),
(249889, 'PTHR48068:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 9', 193615),
(249890, 'PTHR46168:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193616),
(249891, 'PTHR14167:SF84', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING RING FINGER 2', 193617),
(249892, 'PTHR24015:SF1745', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', 193618),
(249893, 'PTHR45824:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193619),
(249894, 'PTHR47302', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 3', 193620),
(249895, 'PTHR11863:SF184', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE GL1-3', 193621),
(249896, 'PTHR47002', NULL, NULL, NULL, NULL, 'AQUAPORIN-LIKE', 193622),
(249897, 'PTHR47746:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193623),
(249898, 'PTHR31066:SF73', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P FAMILY PROTEIN', 193624),
(249899, 'PTHR14191', NULL, NULL, NULL, NULL, 'PDZ DOMAIN CONTAINING PROTEIN', 193625),
(249900, 'PTHR31465:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193626),
(249901, 'PTHR11431:SF105', NULL, NULL, NULL, NULL, 'FERRITIN', 193627),
(249902, 'PTHR10024:SF265', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN', 193628),
(249903, 'PTHR12436:SF4', NULL, NULL, NULL, NULL, 'LEUKOCYTE RECEPTOR CLUSTER MEMBER 8', 193629),
(249904, 'PTHR45721:SF2', NULL, NULL, NULL, NULL, 'LAMIN-B2', 193630),
(249905, 'PTHR24281:SF161', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE-LIKE', 193631),
(249906, 'PTHR11690:SF153', NULL, NULL, NULL, NULL, 'DEGENERIN LIKE', 193632),
(249907, 'PTHR23075:SF4', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 3C', 193633),
(249908, 'PTHR33257:SF35', NULL, NULL, NULL, NULL, 'OS02G0461700 PROTEIN', 193634),
(249909, 'PTHR11417:SF7', NULL, NULL, NULL, NULL, 'PROLACTIN-5A1', 193635),
(249910, 'PTHR30576:SF20', NULL, NULL, NULL, NULL, 'QUINOVOSAMINEPHOSPHOTRANSFERAE-RELATED', 193636),
(249911, 'PTHR35123:SF5', NULL, NULL, NULL, NULL, 'BNAA06G39450D PROTEIN', 193637),
(249912, 'PTHR31235:SF178', NULL, NULL, NULL, NULL, 'PEROXIDASE', 193638),
(249913, 'PTHR12433', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 25', 193639),
(249914, 'PTHR22835:SF600', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193640),
(249915, 'PTHR45640:SF13', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 67B3-RELATED', 193641),
(249916, 'PTHR13832:SF781', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE, MG2+/MN2+-DEPENDENT, 1LA', 193642),
(249917, 'PTHR11880:SF47', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15', 193643),
(249918, 'PTHR14136:SF34', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', 193644),
(249919, 'PTHR31989:SF343', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 86-LIKE', 193645),
(249920, 'PTHR48112:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193646),
(249921, 'PTHR48090:SF2', NULL, NULL, NULL, NULL, 'SLR2120 PROTEIN', 193647),
(249922, 'PTHR32282:SF28', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 1B', 193648),
(249923, 'PTHR24103:SF611', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN-RELATED', 193649),
(249924, 'PTHR32141:SF104', NULL, NULL, NULL, NULL, 'OS07G0277000 PROTEIN', 193650),
(249925, 'PTHR34151:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG24195', 193651),
(249926, 'PTHR41287', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 193652),
(249927, 'PTHR43321:SF29', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', 193653),
(249928, 'PTHR34043:SF6', NULL, NULL, NULL, NULL, 'BNAC08G49970D PROTEIN', 193654);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(249929, 'PTHR13847:SF263', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT OXIDOREDUCTASE PA4991-RELATED', 193655),
(249930, 'PTHR31875:SF30', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 4-LIKE', 193656),
(249931, 'PTHR33730:SF16', NULL, NULL, NULL, NULL, 'OS01G0174100 PROTEIN', 193657),
(249932, 'PTHR38248', NULL, NULL, NULL, NULL, 'FUNK1 6', 193658),
(249933, 'PTHR32054:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193659),
(249934, 'PTHR33513:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193660),
(249935, 'PTHR28314', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 29', 193661),
(249936, 'PTHR13068:SF182', NULL, NULL, NULL, NULL, 'MITOCHODRIAL TRANSCRIPTION TERMINATION FACTOR-RELATED', 193662),
(249937, 'PTHR24099:SF14', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN CONTAINING PROTEIN 3C1-RELATED', 193663),
(249938, 'PTHR33203:SF45', NULL, NULL, NULL, NULL, 'OLEOSIN', 193664),
(249939, 'PTHR30013:SF7', NULL, NULL, NULL, NULL, 'HYDROGENASE-2 SMALL CHAIN', 193665),
(249940, 'PTHR31561:SF10', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 2-LIKE', 193666),
(249941, 'PTHR35894:SF5', NULL, NULL, NULL, NULL, 'MU-LIKE PROPHAGE FLUMU DNA TRANSPOSITION PROTEIN B', 193667),
(249942, 'PTHR27009:SF205', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK4 ISOFORM X1', 193668),
(249943, 'PTHR10113:SF32', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1-3-LIKE', 193669),
(249944, 'PTHR17598:SF13', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA SUBUNIT 3', 193670),
(249945, 'PTHR23089:SF48', NULL, NULL, NULL, NULL, 'BNAA09G35930D PROTEIN', 193671),
(249946, 'PTHR37958:SF1', NULL, NULL, NULL, NULL, 'SODIUM-POTASSIUM/PROTON ANTIPORTER CHAA', 193672),
(249947, 'PTHR10811:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193673),
(249948, 'PTHR46424:SF1', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 4', 193674),
(249949, 'PTHR11941:SF153', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 2, PEROXISOMAL-LIKE', 193675),
(249950, 'PTHR44427', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 19', 193676),
(249951, 'PTHR32024:SF4', NULL, NULL, NULL, NULL, 'KTR SYSTEM POTASSIUM UPTAKE PROTEIN D', 193677),
(249952, 'PTHR46761', NULL, NULL, NULL, NULL, 'RAN GTPASE-ACTIVATING PROTEIN 1', 193678),
(249953, 'PTHR46956', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE 6', 193679),
(249954, 'PTHR34781:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 193680),
(249955, 'PTHR28256', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP7', 193681),
(249956, 'PTHR10585:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193682),
(249957, 'PTHR33493:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0086O06.12 PROTEIN', 193683),
(249958, 'PTHR24281:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193684),
(249959, 'PTHR45977:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', 193685),
(249960, 'PTHR11566:SF149', NULL, NULL, NULL, NULL, 'GTPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11890)-RELATED', 193686),
(249961, 'PTHR18952:SF121', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 7', 193687),
(249962, 'PTHR33377:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193688),
(249963, 'PTHR10334:SF488', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1', 193689),
(249964, 'PTHR43688', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN LIPOAMIDASE SIRTUIN-4', 193690),
(249965, 'PTHR19288:SF43', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE DOMAIN-CONTAINING PROTEIN 2', 193691),
(249966, 'PTHR34156:SF1', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', 193692),
(249967, 'PTHR36107:SF1', NULL, NULL, NULL, NULL, 'SMALL, ACID-SOLUBLE SPORE PROTEIN A', 193693),
(249968, 'PTHR31920:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193694),
(249969, 'PTHR16057', NULL, NULL, NULL, NULL, 'WINS1, 2 PROTEIN', 193695),
(249970, 'PTHR19375:SF184', NULL, NULL, NULL, NULL, 'STRESS-70 PROTEIN, MITOCHONDRIAL', 193696);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(249971, 'PTHR28556:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 106A', 193697),
(249972, 'PTHR36897', NULL, NULL, NULL, NULL, 'OS10G0351100-LIKE PROTEIN', 193698),
(249973, 'PTHR24235:SF11', NULL, NULL, NULL, NULL, 'PROLACTIN-RELEASING PEPTIDE RECEPTOR', 193699),
(249974, 'PTHR11783:SF218', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', 193700),
(249975, 'PTHR21662:SF56', NULL, NULL, NULL, NULL, 'PROTEIN CBG27196', 193701),
(249976, 'PTHR24189:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193702),
(249977, 'PTHR31620:SF8', NULL, NULL, NULL, NULL, 'OS05G0388600 PROTEIN', 193703),
(249978, 'PTHR33676:SF21', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', 193704),
(249979, 'PTHR10974:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193705),
(249980, 'PTHR46119:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SODIUM POTASSIUM ROOT DEFECTIVE 3', 193706),
(249981, 'PTHR10464:SF4', NULL, NULL, NULL, NULL, 'UREA TRANSPORTER', 193707),
(249982, 'PTHR32468:SF72', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 19', 193708),
(249983, 'PTHR23074:SF17', NULL, NULL, NULL, NULL, 'FIDGETIN-LIKE PROTEIN 1', 193709),
(249984, 'PTHR14119', NULL, NULL, NULL, NULL, 'HYDROLASE', 193710),
(249985, 'PTHR43546:SF4', NULL, NULL, NULL, NULL, 'UPF0282 PROTEIN MJ1629', 193711),
(249986, 'PTHR46900', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 13', 193712),
(249987, 'PTHR26379:SF296', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193713),
(249988, 'PTHR43548:SF1', NULL, NULL, NULL, NULL, 'BLL1016 PROTEIN', 193714),
(249989, 'PTHR45649:SF26', NULL, NULL, NULL, NULL, 'OSJNBB0086G13.12 PROTEIN', 193715),
(249990, 'PTHR43900:SF6', NULL, NULL, NULL, NULL, 'OS01G0374000 PROTEIN', 193716),
(249991, 'PTHR24377:SF395', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 181', 193717),
(249992, 'PTHR11200:SF269', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 5-PHOSPHATASE INP51', 193718),
(249993, 'PTHR34615', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', 193719),
(249994, 'PTHR24343:SF209', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MARK-B-RELATED', 193720),
(249995, 'PTHR31251:SF33', NULL, NULL, NULL, NULL, 'TEOSINTE GLUME ARCHITECTURE 1', 193721),
(249996, 'PTHR24083:SF46', NULL, NULL, NULL, NULL, 'STEROID RECEPTOR SEVEN-UP, ISOFORM A', 193722),
(249997, 'PTHR11909:SF361', NULL, NULL, NULL, NULL, 'CASEIN KINASE I HOMOLOG 1-LIKE', 193723),
(249998, 'PTHR40326:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG13869', 193724),
(249999, 'PTHR24223:SF335', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER (EUROFUNG)', 193725),
(250000, 'PTHR47989:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN CCR1', 193726),
(250001, 'PTHR24061:SF5', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR FAMILY C GROUP 6 MEMBER A', 193727),
(250002, 'PTHR38218:SF8', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', 193728),
(250003, 'PTHR44548:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193729),
(250004, 'PTHR45287:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', 193730),
(250005, 'PTHR11954:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193731),
(250006, 'PTHR47389:SF5', NULL, NULL, NULL, NULL, 'OS09G0436700 PROTEIN', 193732),
(250007, 'PTHR33154:SF24', NULL, NULL, NULL, NULL, 'HTH5 FAMILY PROTEIN', 193733),
(250008, 'PTHR39324', NULL, NULL, NULL, NULL, 'CALCIUM DODECIN', 193734),
(250009, 'PTHR12270:SF23', NULL, NULL, NULL, NULL, 'LARGE XYLOSYL- AND GLUCURONYLTRANSFERASE 2', 193735),
(250010, 'PTHR21152', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE CLASS V', 193736),
(250011, 'PTHR11474:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193737),
(250012, 'PTHR15131', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RNA ACTIVATING COMPLEX, POLYPEPTIDE 1', 193738),
(250013, 'PTHR14402:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR-TRANSPORTING PROTEIN 3', 193739),
(250014, 'PTHR13177:SF3', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN 1', 193740),
(250015, 'PTHR45000:SF5', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', 193741),
(250016, 'PTHR11947:SF24', NULL, NULL, NULL, NULL, 'ATPASE, HISTIDINE KINASE, DNA GYRASE B-, AND HSP90-LIKE DOMAIN CONTAINING PROTEIN, EXPRESSED', 193742);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(250017, 'PTHR38446', NULL, NULL, NULL, NULL, 'BLL0914 PROTEIN', 193743),
(250018, 'PTHR23294', NULL, NULL, NULL, NULL, 'ET TRANSLATION PRODUCT-RELATED', 193744),
(250019, 'PTHR47991:SF88', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE', 193745),
(250020, 'PTHR24388:SF49', NULL, NULL, NULL, NULL, 'ZINC FINGER X-CHROMOSOMAL PROTEIN', 193746),
(250021, 'PTHR23167:SF69', NULL, NULL, NULL, NULL, 'FI18193P1', 193747),
(250022, 'PTHR12299:SF61', NULL, NULL, NULL, NULL, 'BNAC02G33290D PROTEIN', 193748),
(250023, 'PTHR22765:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193749),
(250024, 'PTHR11886:SF91', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN-RELATED', 193750),
(250025, 'PTHR45614:SF154', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB98', 193751),
(250026, 'PTHR46367:SF2', NULL, NULL, NULL, NULL, 'ATAXIN-7-LIKE PROTEIN 3', 193752),
(250027, 'PTHR11140:SF0', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING-SPLICING FACTOR 8', 193753),
(250028, 'PTHR47982', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK4', 193754),
(250029, 'PTHR33033:SF72', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', 193755),
(250030, 'PTHR31071:SF38', NULL, NULL, NULL, NULL, 'INTRACELLULAR PROTEIN TRANSPORT PROTEIN USO1-LIKE PROTEIN', 193756),
(250031, 'PTHR23273:SF75', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT C', 193757),
(250032, 'PTHR43406:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATE LYASE, CHLOROPLAST, PUTATIVE, EXPRESSED-RELATED', 193758),
(250033, 'PTHR31236:SF35', NULL, NULL, NULL, NULL, 'ABUNDANT PROTEIN, PUTATIVE-RELATED', 193759),
(250034, 'PTHR38792:SF1', NULL, NULL, NULL, NULL, 'BNR/ASP-BOX REPEAT PROTEIN', 193760),
(250035, 'PTHR32089:SF74', NULL, NULL, NULL, NULL, 'AEROTAXIS RECEPTOR AER', 193761),
(250036, 'PTHR46288:SF32', NULL, NULL, NULL, NULL, 'BNAANNG38420D PROTEIN', 193762),
(250037, 'PTHR45645:SF55', NULL, NULL, NULL, NULL, 'CUBILIN-RELATED', 193763),
(250038, 'PTHR11802:SF364', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', 193764),
(250039, 'PTHR32344:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193765),
(250040, 'PTHR11309:SF126', NULL, NULL, NULL, NULL, 'FRIZZLED-2', 193766),
(250041, 'PTHR31136:SF6', NULL, NULL, NULL, NULL, 'BNAC08G20280D PROTEIN', 193767),
(250042, 'PTHR43073', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINE DEHYDROGENASE [NADP(+)]', 193768),
(250043, 'PTHR27003:SF303', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', 193769),
(250044, 'PTHR11937:SF455', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', 193770),
(250045, 'PTHR14383:SF6', NULL, NULL, NULL, NULL, 'SWITCH-ASSOCIATED PROTEIN 70', 193771),
(250046, 'PTHR10366:SF675', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', 193772),
(250047, 'PTHR10578:SF133', NULL, NULL, NULL, NULL, 'BNAA01G29580D PROTEIN', 193773),
(250048, 'PTHR11689:SF152', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-C', 193774),
(250049, 'PTHR31875:SF31', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 4', 193775),
(250050, 'PTHR33509:SF36', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA5-TYPE-RELATED', 193776),
(250051, 'TIGR04033', NULL, 'export_SdpB: antimicrobial peptide system protein, SdpB family', 276, NULL, 'TIGR04033', 193777),
(250052, 'TIGR02063', NULL, 'RNase_R: ribonuclease R', 711, NULL, 'TIGR02063', 193778),
(250053, 'TIGR01425', NULL, 'SRP54_euk: signal recognition particle protein SRP54', 428, NULL, 'TIGR01425', 193779),
(250054, 'TIGR03682', NULL, 'arCOG04112: diphthamide biosynthesis enzyme Dph2', 308, NULL, 'TIGR03682', 193780),
(250055, 'TIGR01665', NULL, 'put_anti_recept: phage minor structural protein, N-terminal region', 316, NULL, 'TIGR01665', 193781),
(250056, 'TIGR01369', NULL, 'CPSaseII_lrg: carbamoyl-phosphate synthase, large subunit', 1052, NULL, 'TIGR01369', 193782),
(250057, 'TIGR04080', NULL, 'rSAM_pep_cyc: KxxxW cyclic peptide radical SAM maturase', 440, NULL, 'TIGR04080', 193783),
(250058, 'TIGR03579', NULL, 'EF_0833: conserved hypothetical protein EF_0833/AHA_3914', 209, NULL, 'TIGR03579', 193784);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(250059, 'TIGR00093', NULL, 'TIGR00093: pseudouridine synthase', 161, NULL, 'TIGR00093', 193785),
(250060, 'TIGR03202', NULL, 'pucB: xanthine dehydrogenase accessory protein pucB', 192, NULL, 'TIGR03202', 193786),
(250061, 'TIGR02016', NULL, 'BchX: chlorophyllide reductase iron protein subunit X', 296, NULL, 'TIGR02016', 193787),
(250062, 'TIGR03875', NULL, 'RNA_lig_partner: RNA ligase partner, MJ_0950 family', 206, NULL, 'TIGR03875', 193788),
(250063, 'TIGR01472', NULL, 'gmd: GDP-mannose 4,6-dehydratase', 342, NULL, 'TIGR01472', 193789),
(250064, 'TIGR04273', NULL, 'Y_sulf_Ax21: sulfation-dependent quorum factor, Ax21 family', 186, NULL, 'TIGR04273', 193790),
(250065, 'TIGR01618', NULL, 'phage_P_loop: phage nucleotide-binding protein', 220, NULL, 'TIGR01618', 193791),
(250066, 'TIGR00286', NULL, 'TIGR00286: arginine decarboxylase, pyruvoyl-dependent', 152, NULL, 'TIGR00286', 193792),
(250067, 'TIGR01721', NULL, 'AMN-like: putative AMP nucleosidase', 269, NULL, 'TIGR01721', 193793),
(250068, 'TIGR00538', NULL, 'hemN: oxygen-independent coproporphyrinogen III oxidase', 454, NULL, 'TIGR00538', 193794),
(250069, 'TIGR00046', NULL, 'TIGR00046: RNA methyltransferase, RsmE family', 240, NULL, 'TIGR00046', 193795),
(250070, 'TIGR01961', NULL, 'NuoC_fam: NADH (or F420H2) dehydrogenase, subunit C', 122, NULL, 'TIGR01961', 193796),
(250071, 'TIGR02209', NULL, 'ftsL_broad: cell division protein FtsL', 85, NULL, 'TIGR02209', 193797),
(250072, 'TIGR03828', NULL, 'pfkB: 1-phosphofructokinase', 305, NULL, 'TIGR03828', 193798),
(250073, 'TIGR04466', NULL, 'rSAM_BlsE: cytosylglucuronate decarboxylase', 327, NULL, 'TIGR04466', 193799),
(250074, 'TIGR01129', NULL, 'secD: protein-export membrane protein SecD', 397, NULL, 'TIGR01129', 193800),
(250075, 'TIGR00881', NULL, '2A0104: phosphoglycerate transporter family protein', 379, NULL, 'TIGR00881', 193801),
(250076, 'TIGR04226', NULL, 'RrgB_K2N_iso_D2: fimbrial isopeptide formation D2 domain', 123, NULL, 'TIGR04226', 193802),
(250077, 'TIGR02804', NULL, 'ExbD_2: TonB system transport protein ExbD', 121, NULL, 'TIGR02804', 193803),
(250078, 'TIGR03442', NULL, 'TIGR03442: ergothioneine biosynthesis protein EgtC', 251, NULL, 'TIGR03442', 193804),
(250079, 'TIGR02552', NULL, 'LcrH_SycD: type III secretion low calcium response chaperone LcrH/SycD', 136, NULL, 'TIGR02552', 193805),
(250080, 'TIGR03193', NULL, '4hydroxCoAred: 4-hydroxybenzoyl-CoA reductase, gamma subunit', 148, NULL, 'TIGR03193', 193806),
(250081, 'TIGR02611', NULL, 'TIGR02611: TIGR02611 family protein', 121, NULL, 'TIGR02611', 193807),
(250082, 'TIGR00479', NULL, 'rumA: 23S rRNA (uracil-5-)-methyltransferase RumA', 432, NULL, 'TIGR00479', 193808),
(250083, 'TIGR03635', NULL, 'uS17_bact: ribosomal protein uS17', 72, NULL, 'TIGR03635', 193809),
(250084, 'TIGR02988', NULL, 'YaaA_near_RecF: S4 domain protein YaaA', 60, NULL, 'TIGR02988', 193810),
(250085, 'TIGR04525', NULL, 'prot_M_MG281: IgG-blocking protein M', 526, NULL, 'TIGR04525', 193811),
(250086, 'TIGR02315', NULL, 'ABC_phnC: phosphonate ABC transporter, ATP-binding protein', 243, NULL, 'TIGR02315', 193812),
(250087, 'TIGR03143', NULL, 'AhpF_homolog: putative alkyl hydroperoxide reductase F subunit', 555, NULL, 'TIGR03143', 193813),
(250088, 'TIGR02505', NULL, 'RTPR: ribonucleoside-triphosphate reductase, adenosylcobalamin-dependent', 724, NULL, 'TIGR02505', 193814),
(250089, 'TIGR03383', NULL, 'urate_oxi: urate oxidase', 283, NULL, 'TIGR03383', 193815),
(250090, 'TIGR01173', NULL, 'glmU: UDP-N-acetylglucosamine diphosphorylase/glucosamine-1-phosphate N-acetyltransferase', 452, NULL, 'TIGR01173', 193816),
(250091, 'TIGR00105', NULL, 'L31: ribosomal protein bL31', 68, NULL, 'TIGR00105', 193817),
(250092, 'TIGR00535', NULL, 'SAM_DCase: S-adenosylmethionine decarboxylase proenzyme', 334, NULL, 'TIGR00535', 193818),
(250093, 'TIGR02362', NULL, 'dhaK1b: probable dihydroxyacetone kinase DhaK1b subunit', 326, NULL, 'TIGR02362', 193819),
(250094, 'TIGR00345', NULL, 'GET3_arsA_TRC40: transport-energizing ATPase, TRC40/GET3/ArsA family', 299, NULL, 'TIGR00345', 193820);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(250095, 'TIGR02499', NULL, 'HrpE_YscL_not: type III secretion apparatus protein, HrpE/YscL family', 166, NULL, 'TIGR02499', 193821),
(250096, 'TIGR02689', NULL, 'ars_reduc_gluta: arsenate reductase, glutathione/glutaredoxin type', 126, NULL, 'TIGR02689', 193822),
(250097, 'TIGR03934', NULL, 'TQXA_dom: TQXA domain', 42, NULL, 'TIGR03934', 193823),
(250098, 'TIGR01724', NULL, 'hmd_rel: H2-forming N(5),N(10)-methenyltetrahydromethanopterin dehydrogenase-related protein', 341, NULL, 'TIGR01724', 193824),
(250099, 'TIGR01914', NULL, 'cas_Csa4: CRISPR-associated protein Cas8a2/Csa4, subtype I-A/APERN', 353, NULL, 'TIGR01914', 193825),
(250100, 'TIGR02748', NULL, 'GerC3_HepT: heptaprenyl diphosphate synthase component II', 319, NULL, 'TIGR02748', 193826),
(250101, 'TIGR02792', NULL, 'PCA_ligA: protocatechuate 4,5-dioxygenase, alpha subunit', 117, NULL, 'TIGR02792', 193827),
(250102, 'TIGR02938', NULL, 'nifL_nitrog: nitrogen fixation negative regulator NifL', 494, NULL, 'TIGR02938', 193828),
(250103, 'TIGR00968', NULL, '3a0106s01: sulfate ABC transporter, ATP-binding protein', 237, NULL, 'TIGR00968', 193829),
(250104, 'TIGR02851', NULL, 'spore_V_T: stage V sporulation protein T', 180, NULL, 'TIGR02851', 193830),
(250105, 'TIGR00641', NULL, 'acid_CoA_mut_N: methylmalonyl-CoA mutase N-terminal domain', 528, NULL, 'TIGR00641', 193831),
(250106, 'TIGR03981', NULL, 'SAM_quin_mod: His-Xaa-Ser system putative quinone modification maturase', 411, NULL, 'TIGR03981', 193832),
(250107, 'TIGR00778', NULL, 'ahpD_dom: alkylhydroperoxidase AhpD family core domain', 51, NULL, 'TIGR00778', 193833),
(250108, 'TIGR02066', NULL, 'dsrB: sulfite reductase, dissimilatory-type beta subunit', 341, NULL, 'TIGR02066', 193834),
(250109, 'TIGR03529', NULL, 'GldK_short: gliding motility-associated lipoprotein GldK', 345, NULL, 'TIGR03529', 193835),
(250110, 'TIGR00831', NULL, 'a_cpa1: Na+/H+ antiporter', 525, NULL, 'TIGR00831', 193836),
(250111, 'TIGR02197', NULL, 'heptose_epim: ADP-glyceromanno-heptose 6-epimerase', 316, NULL, 'TIGR02197', 193837),
(250112, 'TIGR01422', NULL, 'phosphonatase: phosphonoacetaldehyde hydrolase', 253, NULL, 'TIGR01422', 193838),
(250113, 'TIGR01232', NULL, 'lacD: tagatose 1,6-diphosphate aldolase', 325, NULL, 'TIGR01232', 193839),
(250114, 'TIGR03339', NULL, 'phn_lysR: aminoethylphosphonate catabolism associated LysR family transcriptional regulator', 279, NULL, 'TIGR03339', 193840),
(250115, 'TIGR02256', NULL, 'ICE_VC0181: conserved hypothetical protein', 131, NULL, 'TIGR02256', 193841),
(250116, 'TIGR00392', NULL, 'ileS: isoleucine--tRNA ligase', 861, NULL, 'TIGR00392', 193842),
(250117, 'TIGR04463', NULL, 'rSAM_vs_C_rich: radical SAM/SPASM domain protein maturase', 438, NULL, 'TIGR04463', 193843),
(250118, 'TIGR03825', NULL, 'FliH_bacil: flagellar assembly protein FliH', 255, NULL, 'TIGR03825', 193844),
(250119, 'TIGR04083', NULL, 'rSAM_pep_methan: putative peptide-modifying radical SAM enzyme, Mhun_1560 family', 376, NULL, 'TIGR04083', 193845),
(250120, 'TIGR02013', NULL, 'rpoB: DNA-directed RNA polymerase, beta subunit', 1238, NULL, 'TIGR02013', 193846),
(250121, 'TIGR00043', NULL, 'TIGR00043: rRNA maturation RNase YbeY', 111, NULL, 'TIGR00043', 193847),
(250122, 'TIGR01475', NULL, 'ubiA_other: putative 4-hydroxybenzoate polyprenyltransferase', 282, NULL, 'TIGR01475', 193848),
(250123, 'TIGR01855', NULL, 'IMP_synth_hisH: imidazole glycerol phosphate synthase, glutamine amidotransferase subunit', 198, NULL, 'TIGR01855', 193849),
(250124, 'TIGR00700', NULL, 'GABAtrnsam: 4-aminobutyrate transaminase', 420, NULL, 'TIGR00700', 193850),
(250125, 'TIGR02854', NULL, 'spore_II_GA: sigma-E processing peptidase SpoIIGA', 293, NULL, 'TIGR02854', 193851),
(250126, 'TIGR03492', NULL, 'TIGR03492: conserved hypothetical protein', 396, NULL, 'TIGR03492', 193852),
(250127, 'TIGR02493', NULL, 'PFLA: pyruvate formate-lyase 1-activating enzyme', 235, NULL, 'TIGR02493', 193853),
(250128, 'TIGR01179', NULL, 'galE: UDP-glucose 4-epimerase GalE', 332, NULL, 'TIGR01179', 193854),
(250129, 'TIGR01559', NULL, 'squal_synth: farnesyl-diphosphate farnesyltransferase', 337, NULL, 'TIGR01559', 193855);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(250130, 'TIGR04036', NULL, 'LLM_CE1758_fam: putative luciferase-like monooxygenase, FMN-dependent, CE1758 family', 355, NULL, 'TIGR04036', 193856),
(250131, 'TIGR02910', NULL, 'sulfite_red_A: sulfite reductase, subunit A', 334, NULL, 'TIGR02910', 193857),
(250132, 'TIGR03084', NULL, 'TIGR03084: TIGR03084 family protein', 253, NULL, 'TIGR03084', 193858),
(250133, 'TIGR00090', NULL, 'rsfS_iojap_ybeB: ribosome silencing factor', 99, NULL, 'TIGR00090', 193859),
(250134, 'TIGR03685', NULL, 'ribo_P1_arch: 50S ribosomal protein P1', 105, NULL, 'TIGR03685', 193860),
(250135, 'TIGR02807', NULL, 'cas6_cmx6: CRISPR-associated protein Cas6, subtype MYXAN', 197, NULL, 'TIGR02807', 193861),
(250136, 'TIGR00884', NULL, 'guaA_Cterm: GMP synthase (glutamine-hydrolyzing), C-terminal domain', 310, NULL, 'TIGR00884', 193862),
(250137, 'TIGR01531', NULL, 'glyc_debranch: glycogen debranching enzyme', 1443, NULL, 'TIGR01531', 193863),
(250138, 'TIGR01911', NULL, 'HesB_rel_seleno: HesB-like selenoprotein', 92, NULL, 'TIGR01911', 193864),
(250139, 'TIGR02686', NULL, 'relax_trwC: conjugative relaxase domain', 286, NULL, 'TIGR02686', 193865),
(250140, 'TIGR00728', NULL, 'OPT_sfam: oligopeptide transporter, OPT superfamily', 659, NULL, 'TIGR00728', 193866),
(250141, 'TIGR03638', NULL, 'cas1_ECOLI: CRISPR-associated endonuclease Cas1, subtype I-E/ECOLI', 269, NULL, 'TIGR03638', 193867),
(250142, 'TIGR03501', NULL, 'GlyGly_CTERM: GlyGly-CTERM domain', 22, NULL, 'TIGR03501', 193868),
(250143, 'TIGR04276', NULL, 'FxsC_Cterm: FxsC C-terminal domain', 196, NULL, 'TIGR04276', 193869),
(250144, 'TIGR00940', NULL, '2a6301s01: monovalent cation:proton antiporter', 793, NULL, 'TIGR00940', 193870),
(250145, 'TIGR03140', NULL, 'AhpF: alkyl hydroperoxide reductase subunit F', 515, NULL, 'TIGR03140', 193871),
(250146, 'TIGR04416', NULL, 'group_II_RT_mat: group II intron reverse transcriptase/maturase', 353, NULL, 'TIGR04416', 193872),
(250147, 'TIGR01319', NULL, 'glmL_fam: conserved hypothetical protein', 456, NULL, 'TIGR01319', 193873),
(250148, 'TIGR00289', NULL, 'TIGR00289: TIGR00289 family protein', 222, NULL, 'TIGR00289', 193874),
(250149, 'TIGR00669', NULL, 'asnA: aspartate--ammonia ligase', 330, NULL, 'TIGR00669', 193875),
(250150, 'TIGR03445', NULL, 'mycothiol_MshB: N-acetyl-1-D-myo-inositol-2-amino-2-deoxy-alpha-D-glucopyranoside deacetylase', 284, NULL, 'TIGR03445', 193876),
(250151, 'TIGR00348', NULL, 'hsdR: type I site-specific deoxyribonuclease, HsdR family', 674, NULL, 'TIGR00348', 193877),
(250152, 'TIGR01774', NULL, 'PFL2-3: glycyl radical enzyme, PFL2/glycerol dehydratase family', 786, NULL, 'TIGR01774', 193878),
(250153, 'TIGR02745', NULL, 'ccoG_rdxA_fixG: cytochrome c oxidase accessory protein CcoG', 435, NULL, 'TIGR02745', 193879),
(250154, 'TIGR02795', NULL, 'tol_pal_ybgF: tol-pal system protein YbgF', 119, NULL, 'TIGR02795', 193880),
(250155, 'TIGR01123', NULL, 'ilvE_II: branched-chain amino acid aminotransferase', 313, NULL, 'TIGR01123', 193881),
(250156, 'TIGR00395', NULL, 'leuS_arch: leucine--tRNA ligase', 938, NULL, 'TIGR00395', 193882),
(250157, 'TIGR00239', NULL, '2oxo_dh_E1: oxoglutarate dehydrogenase (succinyl-transferring), E1 component', 931, NULL, 'TIGR00239', 193883),
(250158, 'TIGR03190', NULL, 'benz_CoA_bzdN: benzoyl-CoA reductase, bzd-type, N subunit', 377, NULL, 'TIGR03190', 193884),
(250159, 'TIGR02259', NULL, 'benz_CoA_red_A: benzoyl-CoA reductase, subunit A', 432, NULL, 'TIGR02259', 193885),
(250160, 'TIGR04522', NULL, 'EcfS_MSC_0063: putative energy coupling factor transporter S component', 152, NULL, 'TIGR04522', 193886),
(250161, 'TIGR02502', NULL, 'type_III_YscX: type III secretion protein, YscX family', 121, NULL, 'TIGR02502', 193887),
(250162, 'TIGR03336', NULL, 'IOR_alpha: indolepyruvate ferredoxin oxidoreductase, alpha subunit', 595, NULL, 'TIGR03336', 193888),
(250163, 'TIGR02365', NULL, 'dha_L_ycgS: dihydroxyacetone kinase, L subunit', 196, NULL, 'TIGR02365', 193889),
(250164, 'TIGR00152', NULL, 'TIGR00152: dephospho-CoA kinase', 188, NULL, 'TIGR00152', 193890),
(250165, 'TIGR00532', NULL, 'HMG_CoA_R_NAD: hydroxymethylglutaryl-CoA reductase, degradative', 395, NULL, 'TIGR00532', 193891);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(250166, 'TIGR04142', NULL, 'PCisTranLspir: putative peptidyl-prolyl cis-trans isomerase, LIC12922 family', 316, NULL, 'TIGR04142', 193892),
(250167, 'TIGR04229', NULL, 'geopeptide: putative radical SAM-modified peptide', 22, NULL, 'TIGR04229', 193893),
(250168, 'TIGR00211', NULL, 'glyS: glycine--tRNA ligase, beta subunit', 691, NULL, 'TIGR00211', 193894),
(250169, 'TIGR03551', NULL, 'F420_cofH: 7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase, CofH subunit', 345, NULL, 'TIGR03551', 193895),
(250170, 'TIGR03931', NULL, 'T7SS_Rv3446c: type VII secretion-associated protein, Rv3446c family', 194, NULL, 'TIGR03931', 193896),
(250171, 'TIGR01366', NULL, 'serC_3: putative phosphoserine aminotransferase', 361, NULL, 'TIGR01366', 193897),
(250172, 'TIGR02318', NULL, 'phosphono_phnM: phosphonate metabolism protein PhnM', 376, NULL, 'TIGR02318', 193898),
(250173, 'TIGR03277', NULL, 'methan_mark_9: putative methanogenesis marker domain 9', 109, NULL, 'TIGR03277', 193899),
(250174, 'TIGR02122', NULL, 'TRAP_TAXI: TRAP transporter solute receptor, TAXI family', 320, NULL, 'TIGR02122', 193900),
(250175, 'TIGR02639', NULL, 'ClpA: ATP-dependent Clp protease ATP-binding subunit ClpA', 734, NULL, 'TIGR02639', 193901),
(250176, 'TIGR03872', NULL, 'cytochrome_MoxG: cytochrome c(L), periplasmic', 133, NULL, 'TIGR03872', 193902),
(250177, 'TIGR02960', NULL, 'SigX5: RNA polymerase sigma-70 factor, TIGR02960 family', 322, NULL, 'TIGR02960', 193903),
(250178, 'TIGR00775', NULL, 'NhaD: Na+/H+ antiporter, NhaD family', 420, NULL, 'TIGR00775', 193904),
(250179, 'TIGR01727', NULL, 'oligo_HPY: oligopeptide/dipeptide ABC transporter, ATP-binding protein, C-terminal domain', 87, NULL, 'TIGR01727', 193905),
(250180, 'TIGR01170', NULL, 'rplA_mito: ribosomal protein uL1, mitochondrial', 140, NULL, 'TIGR01170', 193906),
(250181, 'TIGR01989', NULL, 'COQ6: ubiquinone biosynthesis monooxygenase COQ6', 437, NULL, 'TIGR01989', 193907),
(250182, 'TIGR00834', NULL, 'ae: anion exchange protein', 900, NULL, 'TIGR00834', 193908),
(250183, 'TIGR01668', NULL, 'YqeG_hyp_ppase: HAD phosphatase, family IIIA', 170, NULL, 'TIGR01668', 193909),
(250184, 'TIGR04413', NULL, 'MYXAN_cmx8: CRISPR type MYXAN-associated protein Cmx8', 537, NULL, 'TIGR04413', 193910),
(250185, 'TIGR00280', NULL, 'eL43_euk_arch: ribosomal protein eL43', 92, NULL, 'TIGR00280', 193911),
(250186, 'TIGR00647', NULL, 'DNA_bind_WhiA: DNA-binding protein WhiA', 304, NULL, 'TIGR00647', 193912),
(250187, 'TIGR01092', NULL, 'P5CS: delta l-pyrroline-5-carboxylate synthetase', 715, NULL, 'TIGR01092', 193913),
(250188, 'TIGR01805', NULL, 'CM_mono_grmpos: chorismate mutase', 81, NULL, 'TIGR01805', 193914),
(250189, 'TIGR02683', NULL, 'upstrm_HI1419: putative addiction module killer protein', 95, NULL, 'TIGR02683', 193915),
(250190, 'TIGR00510', NULL, 'lipA: lipoyl synthase', 302, NULL, 'TIGR00510', 193916),
(250191, 'TIGR00887', NULL, '2A0109: phosphate:H+ symporter', 502, NULL, 'TIGR00887', 193917),
(250192, 'TIGR02443', NULL, 'TIGR02443: conserved hypothetical protein', 59, NULL, 'TIGR02443', 193918),
(250193, 'TIGR03822', NULL, 'AblA_like_2: lysine-2,3-aminomutase-related protein', 321, NULL, 'TIGR03822', 193919),
(250194, 'TIGR00214', NULL, 'lipB: lipoyl(octanoyl) transferase', 187, NULL, 'TIGR00214', 193920),
(250195, 'TIGR03199', NULL, 'pucC: xanthine dehydrogenase C subunit', 264, NULL, 'TIGR03199', 193921),
(250196, 'TIGR00177', NULL, 'molyb_syn: molybdenum cofactor synthesis domain', 148, NULL, 'TIGR00177', 193922),
(250197, 'TIGR02250', NULL, 'FCP1_euk: FCP1-like phosphatase, phosphatase domain', 156, NULL, 'TIGR02250', 193923),
(250198, 'TIGR00990', NULL, '3a0801s09: mitochondrial precursor proteins import receptor', 615, NULL, 'TIGR00990', 193924),
(250199, 'TIGR02147', NULL, 'Fsuc_second: TIGR02147 family protein', 272, NULL, 'TIGR02147', 193925),
(250200, 'TIGR03274', NULL, 'methan_mark_7: putative methanogenesis marker protein 7', 302, NULL, 'TIGR03274', 193926),
(250201, 'TIGR01045', NULL, 'RPE1: rickettsial palindromic element RPE1 domain', 48, NULL, 'TIGR01045', 193927);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(250202, 'TIGR02720', NULL, 'pyruv_oxi_spxB: pyruvate oxidase', 575, NULL, 'TIGR02720', 193928),
(250203, 'TIGR01852', NULL, 'lipid_A_lpxA: acyl-[acyl-carrier-protein]-UDP-N-acetylglucosamine O-acyltransferase', 254, NULL, 'TIGR01852', 193929),
(250204, 'TIGR02617', NULL, 'tnaA_trp_ase: tryptophanase', 467, NULL, 'TIGR02617', 193930),
(250205, 'TIGR02471', NULL, 'sucr_syn_bact_C: sucrose-phosphate synthase, sucrose phosphatase-like domain', 236, NULL, 'TIGR02471', 193931),
(250206, 'TIGR01238', NULL, 'D1pyr5carbox3: delta-1-pyrroline-5-carboxylate dehydrogenase', 500, NULL, 'TIGR01238', 193932),
(250207, 'TIGR04357', NULL, 'CofD_rel_GAK: CofD-related protein, GAK system', 368, NULL, 'TIGR04357', 193933),
(250208, 'TIGR03448', NULL, 'mycothiol_MshD: mycothiol synthase', 294, NULL, 'TIGR03448', 193934),
(250209, 'TIGR00426', NULL, 'TIGR00426: competence protein ComEA helix-hairpin-helix repeat region', 69, NULL, 'TIGR00426', 193935),
(250210, 'TIGR03688', NULL, 'pupylate_PafA2: proteasome accessory factor PafA2', 485, NULL, 'TIGR03688', 193936),
(250211, 'TIGR04220', NULL, 'patB_acyB_mcaB: cyanobactin biosynthesis protein, PatB/AcyB/McaB family', 61, NULL, 'TIGR04220', 193937),
(250212, 'TIGR03311', NULL, 'Se_dep_XDH: selenium-dependent xanthine dehydrogenase', 848, NULL, 'TIGR03311', 193938),
(250213, 'TIGR00750', NULL, 'lao: LAO/AO transport system ATPase', 300, NULL, 'TIGR00750', 193939),
(250214, 'TIGR03062', NULL, 'pip_yhgE_Cterm: YhgE/Pip C-terminal domain', 208, NULL, 'TIGR03062', 193940),
(250215, 'TIGR03959', NULL, 'hyd_TM1266: putative iron-only hydrogenase system regulator', 76, NULL, 'TIGR03959', 193941),
(250216, 'TIGR00040', NULL, 'yfcE: phosphodiesterase, MJ0936 family', 158, NULL, 'TIGR00040', 193942),
(250217, 'TIGR00099', NULL, 'Cof-subfamily: Cof-like hydrolase', 256, NULL, 'TIGR00099', 193943),
(250218, 'TIGR00859', NULL, 'ENaC: sodium channel transporter', 596, NULL, 'TIGR00859', 193944),
(250219, 'TIGR01316', NULL, 'gltA: glutamate synthase (NADPH), homotetrameric', 449, NULL, 'TIGR01316', 193945),
(250220, 'TIGR02857', NULL, 'CydD: thiol reductant ABC exporter, CydD subunit', 529, NULL, 'TIGR02857', 193946),
(250221, 'TIGR01581', NULL, 'Mo_ABC_porter: NifC-like ABC-type porter', 225, NULL, 'TIGR01581', 193947),
(250222, 'TIGR02932', NULL, 'vnfK_nitrog: V-containing nitrogenase, beta subunit', 457, NULL, 'TIGR02932', 193948),
(250223, 'TIGR04279', NULL, 'TIGR04279: TIGR04279 domain', 316, NULL, 'TIGR04279', 193949),
(250224, 'TIGR03766', NULL, 'TIGR03766: conserved hypothetical integral membrane protein', 483, NULL, 'TIGR03766', 193950),
(250225, 'TIGR04145', NULL, 'Firmicu_CTERM: Firmicu-CTERM domain', 45, NULL, 'TIGR04145', 193951),
(250226, 'TIGR04335', NULL, 'AmmeMemoSam_A: AmmeMemoRadiSam system protein A', 175, NULL, 'TIGR04335', 193952),
(250227, 'TIGR03523', NULL, 'GldN: gliding motility associated protein GldN', 280, NULL, 'TIGR03523', 193953),
(250228, 'TIGR00962', NULL, 'atpA: ATP synthase F1, alpha subunit', 503, NULL, 'TIGR00962', 193954),
(250229, 'TIGR01344', NULL, 'malate_syn_A: malate synthase A', 511, NULL, 'TIGR01344', 193955),
(250230, 'TIGR02172', NULL, 'Fb_sc_TIGR02172: fibrobacter succinogenes paralogous family TIGR02172', 226, NULL, 'TIGR02172', 193956),
(250231, 'TIGR01880', NULL, 'Ac-peptdase-euk: N-acyl-L-amino-acid amidohydrolase', 401, NULL, 'TIGR01880', 193957),
(250232, 'TIGR03554', NULL, 'F420_G6P_DH: glucose-6-phosphate dehydrogenase (coenzyme-F420)', 331, NULL, 'TIGR03554', 193958),
(250233, 'TIGR03744', NULL, 'traC_PFL_4706: conjugative transfer ATPase, PFL_4706 family', 892, NULL, 'TIGR03744', 193959),
(250234, 'TIGR04114', NULL, 'tSAM_targ_Cxxx: modification target Cys-rich repeat', 18, NULL, 'TIGR04114', 193960),
(250235, 'TIGR00725', NULL, 'TIGR00725: TIGR00725 family protein', 159, NULL, 'TIGR00725', 193961),
(250236, 'TIGR02144', NULL, 'LysX_arch: lysine biosynthesis enzyme LysX', 281, NULL, 'TIGR02144', 193962),
(250237, 'TIGR01017', NULL, 'rpsD_bact: ribosomal protein uS4', 200, NULL, 'TIGR01017', 193963),
(250238, 'TIGR00753', NULL, 'undec_PP_bacA: undecaprenyl-diphosphatase UppP', 255, NULL, 'TIGR00753', 193964);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(250239, 'TIGR03850', NULL, 'bind_CPR_0540: carbohydrate ABC transporter substrate-binding protein, CPR_0540 family', 437, NULL, 'TIGR03850', 193965),
(250240, 'TIGR01796', NULL, 'CM_mono_aroH: chorismate mutase', 117, NULL, 'TIGR01796', 193966),
(250241, 'TIGR01986', NULL, 'glut_syn_euk: glutathione synthetase', 473, NULL, 'TIGR01986', 193967),
(250242, 'TIGR01101', NULL, 'V_ATP_synt_F: V-type ATPase, F subunit', 121, NULL, 'TIGR01101', 193968),
(250243, 'TIGR02963', NULL, 'xanthine_xdhA: xanthine dehydrogenase, small subunit', 468, NULL, 'TIGR02963', 193969),
(250244, 'TIGR04441', NULL, 'lept_O_ant_chp1: surface carbohydrate biosynthesis protein', 373, NULL, 'TIGR04441', 193970),
(250245, 'TIGR02387', NULL, 'rpoC1_cyan: DNA-directed RNA polymerase, gamma subunit', 619, NULL, 'TIGR02387', 193971),
(250246, 'TIGR02577', NULL, 'cas_TM1794_Cmr2: CRISPR-associated protein Cas10/Cmr2, subtype III-B', 510, NULL, 'TIGR02577', 193972),
(250247, 'TIGR00320', NULL, 'dfx_rbo: desulfoferrodoxin', 125, NULL, 'TIGR00320', 193973),
(250248, 'TIGR03018', NULL, 'pepcterm_TyrKin: exopolysaccharide/PEP-CTERM locus tyrosine autokinase', 207, NULL, 'TIGR03018', 193974),
(250249, 'TIGR03208', NULL, 'cyc_hxne_CoA_lg: cyclohexanecarboxylate-CoA ligase', 538, NULL, 'TIGR03208', 193975),
(250250, 'TIGR01553', NULL, 'formate-DH-alph: formate dehydrogenase-N alpha subunit', 1009, NULL, 'TIGR01553', 193976),
(250251, 'TIGR03987', NULL, 'TIGR03987: TIGR03987 family protein', 120, NULL, 'TIGR03987', 193977),
(250252, 'TIGR03031', NULL, 'cas_csx12: CRISPR system subtype II-B RNA-guided endonuclease Cas9/Csx12', 802, NULL, 'TIGR03031', 193978),
(250253, 'TIGR03205', NULL, 'pimA: dicarboxylate--CoA ligase PimA', 541, NULL, 'TIGR03205', 193979),
(250254, 'TIGR01235', NULL, 'pyruv_carbox: pyruvate carboxylase', 1143, NULL, 'TIGR01235', 193980),
(250255, 'TIGR02253', NULL, 'CTE7: HAD hydrolase, TIGR02253 family', 221, NULL, 'TIGR02253', 193981),
(250256, 'TIGR03271', NULL, 'methan_mark_5: putative methanogenesis marker protein 5', 142, NULL, 'TIGR03271', 193982),
(250257, 'TIGR02614', NULL, 'ftsW: cell division protein FtsW', 357, NULL, 'TIGR02614', 193983),
(250258, 'TIGR03632', NULL, 'uS11_bact: ribosomal protein uS11', 117, NULL, 'TIGR03632', 193984),
(250259, 'TIGR00283', NULL, 'arch_pth2: peptidyl-tRNA hydrolase', 115, NULL, 'TIGR00283', 193985),
(250260, 'TIGR00457', NULL, 'asnS: asparagine--tRNA ligase', 455, NULL, 'TIGR00457', 193986),
(250261, 'TIGR01808', NULL, 'CM_M_hiGC-arch: chorismate mutase', 74, NULL, 'TIGR01808', 193987),
(250262, 'TIGR01662', NULL, 'HAD-SF-IIIA: HAD hydrolase, family IIIA', 141, NULL, 'TIGR01662', 193988),
(250263, 'TIGR02440', NULL, 'FadJ: fatty oxidation complex, alpha subunit FadJ', 699, NULL, 'TIGR02440', 193989),
(250264, 'TIGR02281', NULL, 'clan_AA_DTGA: clan AA aspartic protease, TIGR02281 family', 121, NULL, 'TIGR02281', 193990),
(250265, 'TIGR00096', NULL, 'TIGR00096: 16S rRNA (cytidine(1402)-2''-O)-methyltransferase', 275, NULL, 'TIGR00096', 193991),
(250266, 'TIGR00856', NULL, 'pyrC_dimer: dihydroorotase, homodimeric type', 341, NULL, 'TIGR00856', 193992),
(250267, 'TIGR02723', NULL, 'phenyl_P_alpha: phenylphosphate carboxylase, alpha subunit', 485, NULL, 'TIGR02723', 193993),
(250268, 'TIGR00174', NULL, 'miaA: tRNA dimethylallyltransferase', 288, NULL, 'TIGR00174', 193994),
(250269, 'TIGR01771', NULL, 'L-LDH-NAD: L-lactate dehydrogenase', 299, NULL, 'TIGR01771', 193995),
(250270, 'TIGR03878', NULL, 'thermo_KaiC_2: KaiC domain protein, AF_0795 family', 259, NULL, 'TIGR03878', 193996),
(250271, 'TIGR04547', NULL, 'Mollicu_LP: MOLPALP family lipoprotein', 807, NULL, 'TIGR04547', 193997),
(250272, 'TIGR01048', NULL, 'lysA: diaminopimelate decarboxylase', 417, NULL, 'TIGR01048', 193998),
(250273, 'TIGR03196', NULL, 'pucD: xanthine dehydrogenase D subunit', 763, NULL, 'TIGR03196', 193999),
(250274, 'TIGR04410', NULL, 'Spiro_T2SS_lipo: type II secretion system-associated lipoprotein', 117, NULL, 'TIGR04410', 194000),
(250275, 'TIGR02041', NULL, 'CysI: sulfite reductase (NADPH) hemoprotein, beta-component', 541, NULL, 'TIGR02041', 194001);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(250276, 'TIGR00616', NULL, 'rect: recombinase, phage RecT family', 242, NULL, 'TIGR00616', 194002),
(250277, 'TIGR03769', NULL, 'P_ac_wall_RPT: actinobacterial surface-anchored protein domain', 41, NULL, 'TIGR03769', 194003),
(250278, 'TIGR01447', NULL, 'recD: exodeoxyribonuclease V, alpha subunit', 597, NULL, 'TIGR01447', 194004),
(250279, 'TIGR01450', NULL, 'recC: exodeoxyribonuclease V, gamma subunit', 1063, NULL, 'TIGR01450', 194005),
(250280, 'TIGR00993', NULL, '3a0901s04IAP86: chloroplast protein import component Toc86/159, G and M domains', 763, NULL, 'TIGR00993', 194006),
(250281, 'TIGR01126', NULL, 'pdi_dom: protein disulfide-isomerase domain', 105, NULL, 'TIGR01126', 194007),
(250282, 'TIGR00217', NULL, 'malQ: 4-alpha-glucanotransferase', 587, NULL, 'TIGR00217', 194008),
(250283, 'TIGR04469', NULL, 'CGA_synth_rel: CGA synthase-related protein', 297, NULL, 'TIGR04469', 194009),
(250284, 'TIGR02680', NULL, 'TIGR02680: TIGR02680 family protein', 1356, NULL, 'TIGR02680', 194010),
(250285, 'TIGR03956', NULL, 'rSAM_HydE: [FeFe] hydrogenase H-cluster radical SAM maturase HydE', 340, NULL, 'TIGR03956', 194011),
(250286, 'TIGR02801', NULL, 'tolR: protein TolR', 129, NULL, 'TIGR02801', 194012),
(250287, 'TIGR04148', NULL, 'GG_samocin_CFB: radical SAM peptide maturase, GG-Bacteroidales family', 411, NULL, 'TIGR04148', 194013),
(250288, 'TIGR04223', NULL, 'quorum_AgrD: cyclic lactone autoinducer peptide', 38, NULL, 'TIGR04223', 194014),
(250289, 'TIGR03314', NULL, 'Se_ssnA: putative selenium metabolism protein SsnA', 441, NULL, 'TIGR03314', 194015),
(250290, 'TIGR01313', NULL, 'therm_gnt_kin: carbohydrate kinase, thermoresistant glucokinase family', 164, NULL, 'TIGR01313', 194016),
(250291, 'TIGR01584', NULL, 'citF: citrate lyase, alpha subunit', 492, NULL, 'TIGR01584', 194017),
(250292, 'TIGR01917', NULL, 'gly_red_sel_B: glycine reductase, selenoprotein B', 431, NULL, 'TIGR01917', 194018),
(250293, 'TIGR03420', NULL, 'DnaA_homol_Hda: DnaA regulatory inactivator Hda', 226, NULL, 'TIGR03420', 194019),
(250294, 'TIGR03557', NULL, 'F420_G6P_family: F420-dependent oxidoreductase, G6PDH family', 316, NULL, 'TIGR03557', 194020),
(250295, 'TIGR03984', NULL, 'TIGR03984: CRISPR-associated protein, TIGR03984 family', 152, NULL, 'TIGR03984', 194021),
(250296, 'TIGR02935', NULL, 'TIGR02935: probable nitrogen fixation protein', 140, NULL, 'TIGR02935', 194022),
(250297, 'TIGR02038', NULL, 'protease_degS: periplasmic serine peptidase DegS', 351, NULL, 'TIGR02038', 194023),
(250298, 'TIGR04332', NULL, 'gamma_Glu_sys: poly-gamma-glutamate system protein', 307, NULL, 'TIGR04332', 194024),
(250299, 'TIGR02966', NULL, 'phoR_proteo: phosphate regulon sensor kinase PhoR', 333, NULL, 'TIGR02966', 194025),
(250300, 'TIGR03380', NULL, 'agmatine_aguA: agmatine deiminase', 357, NULL, 'TIGR03380', 194026),
(250301, 'TIGR00722', NULL, 'ttdA_fumA_fumB: hydrolyase, tartrate alpha subunit/fumarate domain protein, Fe-S type', 273, NULL, 'TIGR00722', 194027),
(250302, 'TIGR02069', NULL, 'cyanophycinase: cyanophycinase', 250, NULL, 'TIGR02069', 194028),
(250303, 'TIGR02175', NULL, 'PorC_KorC: 2-oxoacid:acceptor oxidoreductase, gamma subunit, pyruvate/2-ketoisovalerate family', 177, NULL, 'TIGR02175', 194029),
(250304, 'TIGR04011', NULL, 'poly_gGlu_PgsC: poly-gamma-glutamate biosynthesis protein PgsC', 132, NULL, 'TIGR04011', 194030),
(250305, 'TIGR04039', NULL, 'MXAN_0977_Heme2: di-heme enzyme, MXAN_0977 family', 336, NULL, 'TIGR04039', 194031),
(250306, 'TIGR03526', NULL, 'selenium_YgeY: putative selenium metabolism hydrolase', 395, NULL, 'TIGR03526', 194032),
(250307, 'TIGR01983', NULL, 'UbiG: 3-demethylubiquinone-9 3-O-methyltransferase', 228, NULL, 'TIGR01983', 194033),
(250308, 'TIGR00323', NULL, 'eIF-6: putative translation initiation factor eIF-6', 215, NULL, 'TIGR00323', 194034),
(250309, 'TIGR01341', NULL, 'aconitase_1: aconitate hydratase 1', 876, NULL, 'TIGR01341', 194035),
(250310, 'TIGR01478', NULL, 'STEVOR: variant surface antigen, stevor family', 308, NULL, 'TIGR01478', 194036),
(250311, 'TIGR01556', NULL, 'rhamnosyltran: rhamnosyltransferase', 281, NULL, 'TIGR01556', 194037);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(250312, 'TIGR04117', NULL, 'Syntroph_Cxxx: Cys-Xaa-Xaa-Xaa repeat radical SAM target protein', 98, NULL, 'TIGR04117', 194038),
(250313, 'TIGR00401', NULL, 'msrA: peptide-methionine (S)-S-oxide reductase', 153, NULL, 'TIGR00401', 194039),
(250314, 'TIGR03741', NULL, 'PRTRC_E: PRTRC system protein E', 106, NULL, 'TIGR03741', 194040),
(250315, 'TIGR03087', NULL, 'stp1: sugar transferase, PEP-CTERM/EpsH1 system associated', 397, NULL, 'TIGR03087', 194041),
(250316, 'TIGR02574', NULL, 'stabl_TIGR02574: putative addiction module component, TIGR02574 family', 65, NULL, 'TIGR02574', 194042),
(250317, 'TIGR02829', NULL, 'spore_III_AE: stage III sporulation protein AE', 381, NULL, 'TIGR02829', 194043),
(250318, 'TIGR02508', NULL, 'type_III_yscG: type III secretion protein, YscG family', 116, NULL, 'TIGR02508', 194044),
(250319, 'TIGR02010', NULL, 'IscR: iron-sulfur cluster assembly transcription factor IscR', 135, NULL, 'TIGR02010', 194045),
(250320, 'TIGR00644', NULL, 'recJ: single-stranded-DNA-specific exonuclease RecJ', 546, NULL, 'TIGR00644', 194046),
(250321, 'TIGR03165', NULL, 'F1F0_chp_2: F1/F0 ATPase, Methanosarcina type, subunit 2', 83, NULL, 'TIGR03165', 194047),
(250322, 'TIGR00068', NULL, 'glyox_I: lactoylglutathione lyase', 150, NULL, 'TIGR00068', 194048),
(250323, 'TIGR00965', NULL, 'dapD: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase', 271, NULL, 'TIGR00965', 194049),
(250324, 'TIGR01799', NULL, 'CM_T: chorismate mutase', 83, NULL, 'TIGR01799', 194050),
(250325, 'TIGR03221', NULL, 'muco_delta: muconolactone delta-isomerase', 90, NULL, 'TIGR03221', 194051),
(250326, 'TIGR03598', NULL, 'GTPase_YsxC: ribosome biogenesis GTP-binding protein YsxC', 186, NULL, 'TIGR03598', 194052),
(250327, 'TIGR02237', NULL, 'recomb_radB: DNA repair and recombination protein RadB', 210, NULL, 'TIGR02237', 194053),
(250328, 'TIGR02823', NULL, 'oxido_YhdH: putative quinone oxidoreductase, YhdH/YhfP family', 324, NULL, 'TIGR02823', 194054),
(250329, 'TIGR03461', NULL, 'pabC_Proteo: aminodeoxychorismate lyase', 262, NULL, 'TIGR03461', 194055),
(250330, 'TIGR02100', NULL, 'glgX_debranch: glycogen debranching enzyme GlgX', 688, NULL, 'TIGR02100', 194056),
(250331, 'TIGR00074', NULL, 'hypC_hupF: hydrogenase assembly chaperone HypC/HupF', 80, NULL, 'TIGR00074', 194057),
(250332, 'TIGR03118', NULL, 'PEPCTERM_chp_1: TIGR03118 family protein', 336, NULL, 'TIGR03118', 194058),
(250333, 'TIGR00420', NULL, 'trmU: tRNA (5-methylaminomethyl-2-thiouridylate)-methyltransferase', 351, NULL, 'TIGR00420', 194059),
(250334, 'TIGR03358', NULL, 'VI_chp_5: type VI secretion protein, VC_A0107 family', 160, NULL, 'TIGR03358', 194060),
(250335, 'TIGR00797', NULL, 'matE: MATE efflux family protein', 396, NULL, 'TIGR00797', 194061),
(250336, 'TIGR01942', NULL, 'pcnB: poly(A) polymerase', 425, NULL, 'TIGR01942', 194062),
(250337, 'TIGR03616', NULL, 'RutG: pyrimidine utilization transport protein G', 429, NULL, 'TIGR03616', 194063),
(250338, 'TIGR00557', NULL, 'pdxA: 4-hydroxythreonine-4-phosphate dehydrogenase PdxA', 320, NULL, 'TIGR00557', 194064),
(250339, 'TIGR02340', NULL, 'chap_CCT_alpha: T-complex protein 1, alpha subunit', 536, NULL, 'TIGR02340', 194065),
(250340, 'TIGR01839', NULL, 'PHA_synth_II: poly(R)-hydroxyalkanoic acid synthase, class II', 560, NULL, 'TIGR01839', 194066),
(250341, 'TIGR01453', NULL, 'grpIintron_endo: group I intron endonuclease', 215, NULL, 'TIGR01453', 194067),
(250342, 'TIGR01693', NULL, 'UTase_glnD: protein-P-II uridylyltransferase', 850, NULL, 'TIGR01693', 194068),
(250343, 'TIGR01444', NULL, 'fkbM_fam: methyltransferase, FkbM family', 143, NULL, 'TIGR01444', 194069),
(250344, 'TIGR04014', NULL, 'B12_SAM_MJ_0865: B12-binding domain/radical SAM domain protein, MJ_0865 family', 434, NULL, 'TIGR04014', 194070),
(250345, 'TIGR01204', NULL, 'bioW: 6-carboxyhexanoate--CoA ligase', 232, NULL, 'TIGR01204', 194071),
(250346, 'TIGR03124', NULL, 'citrate_citX: holo-ACP synthase CitX', 165, NULL, 'TIGR03124', 194072),
(250347, 'TIGR04485', NULL, 'thiosulf_SoxX: sulfur oxidation c-type cytochrome SoxX', 78, NULL, 'TIGR04485', 194073); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(250348, 'TIGR01637', NULL, 'phage_arpU: phage transcriptional regulator, ArpU family', 136, NULL, 'TIGR01637', 194074),
(250349, 'TIGR01195', NULL, 'oadG_fam: sodium pump decarboxylases, gamma subunit', 84, NULL, 'TIGR01195', 194075),
(250350, 'TIGR02477', NULL, 'PFKA_PPi: diphosphate--fructose-6-phosphate 1-phosphotransferase', 539, NULL, 'TIGR02477', 194076),
(250351, 'TIGR04544', NULL, '3metArgNH2trans: beta-methylarginine biosynthesis bifunctional aminotransferase', 366, NULL, 'TIGR04544', 194077),
(250352, 'TIGR01702', NULL, 'CO_DH_cata: carbon-monoxide dehydrogenase, catalytic subunit', 621, NULL, 'TIGR01702', 194078),
(250353, 'TIGR01260', NULL, 'ATP_synt_c: ATP synthase F0, C subunit', 58, NULL, 'TIGR01260', 194079),
(250354, 'TIGR03710', NULL, 'OAFO_sf: 2-oxoacid:acceptor oxidoreductase, alpha subunit', 561, NULL, 'TIGR03710', 194080),
(250355, 'TIGR00018', NULL, 'panC: pantoate--beta-alanine ligase', 283, NULL, 'TIGR00018', 194081),
(250356, 'TIGR03903', NULL, 'TOMM_kin_cyc: TOMM system kinase/cyclase fusion protein', 1267, NULL, 'TIGR03903', 194082),
(250357, 'TIGR00996', NULL, 'Mtu_fam_mce: virulence factor Mce family protein', 291, NULL, 'TIGR00996', 194083),
(250358, 'TIGR02919', NULL, 'TIGR02919: accessory Sec system glycosyltransferase GtfB', 438, NULL, 'TIGR02919', 194084),
(250359, 'TIGR02729', NULL, 'Obg_CgtA: Obg family GTPase CgtA', 329, NULL, 'TIGR02729', 194085),
(250360, 'TIGR00516', NULL, 'acpS: holo-[acyl-carrier-protein] synthase', 125, NULL, 'TIGR00516', 194086),
(250361, 'TIGR03713', NULL, 'acc_sec_asp1: accessory Sec system protein Asp1', 519, NULL, 'TIGR03713', 194087),
(250362, 'TIGR01500', NULL, 'sepiapter_red: sepiapterin reductase', 255, NULL, 'TIGR01500', 194088),
(250363, 'TIGR03174', NULL, 'cas_Csc3: CRISPR type I-D/CYANO-associated protein Csc3/Cas10d', 946, NULL, 'TIGR03174', 194089),
(250364, 'TIGR00326', NULL, 'eubact_ribD: riboflavin biosynthesis protein RibD', 343, NULL, 'TIGR00326', 194090),
(250365, 'TIGR01690', NULL, 'ICE_RAQPRD: integrative conjugative element protein, RAQPRD family', 96, NULL, 'TIGR01690', 194091),
(250366, 'TIGR02969', NULL, 'mam_aldehyde_ox: aldehyde oxidase', 1330, NULL, 'TIGR02969', 194092),
(250367, 'TIGR00498', NULL, 'lexA: repressor LexA', 203, NULL, 'TIGR00498', 194093),
(250368, 'TIGR04198', NULL, 'paramyx_RNAcap: mRNA capping enzyme', 938, NULL, 'TIGR04198', 194094),
(250369, 'TIGR04388', NULL, 'Lepto_longest: putative large structural protein', 1693, NULL, 'TIGR04388', 194095),
(250370, 'TIGR02381', NULL, 'cspD: cold shock domain protein CspD', 68, NULL, 'TIGR02381', 194096),
(250371, 'TIGR02571', NULL, 'ComEB: ComE operon protein 2', 151, NULL, 'TIGR02571', 194097),
(250372, 'TIGR00563', NULL, 'rsmB: 16S rRNA (cytosine(967)-C(5))-methyltransferase', 437, NULL, 'TIGR00563', 194098),
(250373, 'TIGR01397', NULL, 'fliM_switch: flagellar motor switch protein FliM', 320, NULL, 'TIGR01397', 194099),
(250374, 'TIGR01207', NULL, 'rmlA: glucose-1-phosphate thymidylyltransferase', 286, NULL, 'TIGR01207', 194100),
(250375, 'TIGR03364', NULL, 'HpnW_proposed: FAD dependent oxidoreductase TIGR03364', 365, NULL, 'TIGR03364', 194101),
(250376, 'TIGR01494', NULL, 'ATPase_P-type: HAD ATPase, P-type, family IC', 478, NULL, 'TIGR01494', 194102),
(250377, 'TIGR01403', NULL, 'fliQ_rel_III: type III secretion protein, HrpO family', 81, NULL, 'TIGR01403', 194103),
(250378, 'TIGR00373', NULL, 'TIGR00373: transcription factor E', 162, NULL, 'TIGR00373', 194104),
(250379, 'TIGR03915', NULL, 'SAM_7_link_chp: probable DNA metabolism protein', 243, NULL, 'TIGR03915', 194105),
(250380, 'TIGR01684', NULL, 'viral_ppase: viral phosphatase', 301, NULL, 'TIGR01684', 194106),
(250381, 'TIGR04251', NULL, 'SCM_rSAM_ScmF: SynChlorMet cassette radical SAM/SPASM protein ScmF', 353, NULL, 'TIGR04251', 194107),
(250382, 'TIGR02334', NULL, 'prpF: probable AcnD-accessory protein PrpF', 390, NULL, 'TIGR02334', 194108),
(250383, 'TIGR02524', NULL, 'dot_icm_DotB: Dot/Icm secretion system ATPase DotB', 358, NULL, 'TIGR02524', 194109),
(250384, 'TIGR03417', NULL, 'chol_sulfatase: choline-sulfatase', 500, NULL, 'TIGR03417', 194110);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(250385, 'TIGR04055', NULL, 'rSAM_NirJ2: putative heme d1 biosynthesis radical SAM protein NirJ2', 326, NULL, 'TIGR04055', 194111),
(250386, 'TIGR04245', NULL, 'nodulat_NodA: N-acyltransferase NodA', 193, NULL, 'TIGR04245', 194112),
(250387, 'TIGR02178', NULL, 'yeiP: elongation factor P-like protein YeiP', 186, NULL, 'TIGR02178', 194113),
(250388, 'TIGR01213', NULL, 'pseudo_Pus10arc: tRNA pseudouridine(54/55) synthase', 387, NULL, 'TIGR01213', 194114),
(250389, 'TIGR00065', NULL, 'ftsZ: cell division protein FtsZ', 353, NULL, 'TIGR00065', 194115),
(250390, 'TIGR02832', NULL, 'spo_yunB: sporulation protein YunB', 204, NULL, 'TIGR02832', 194116),
(250391, 'TIGR04061', NULL, 'AZL_007950_fam: AZL_007950 family protein', 164, NULL, 'TIGR04061', 194117),
(250392, 'TIGR01992', NULL, 'PTS-IIBC-Tre: PTS system, trehalose-specific IIBC component', 463, NULL, 'TIGR01992', 194118),
(250393, 'TIGR03856', NULL, 'F420_MSMEG_2906: probable F420-dependent oxidoreductase, MSMEG_2906 family', 249, NULL, 'TIGR03856', 194119),
(250394, 'TIGR03168', NULL, '1-PFK: hexose kinase, 1-phosphofructokinase family', 305, NULL, 'TIGR03168', 194120),
(250395, 'TIGR03548', NULL, 'mutarot_permut: cyclically-permuted mutarotase family protein', 323, NULL, 'TIGR03548', 194121),
(250396, 'TIGR02427', NULL, 'protocat_pcaD: 3-oxoadipate enol-lactonase', 251, NULL, 'TIGR02427', 194122),
(250397, 'TIGR03065', NULL, 'srtB_sig_QVPTGV: sortase B signal domain, QVPTGV class', 32, NULL, 'TIGR03065', 194123),
(250398, 'TIGR02287', NULL, 'PaaY: phenylacetic acid degradation protein PaaY', 192, NULL, 'TIGR02287', 194124),
(250399, 'TIGR00470', NULL, 'sepS: O-phosphoserine--tRNA ligase', 533, NULL, 'TIGR00470', 194125),
(250400, 'TIGR00987', NULL, 'himA: integration host factor, alpha subunit', 96, NULL, 'TIGR00987', 194126),
(250401, 'TIGR02047', NULL, 'CadR-PbrR: Cd(II)/Pb(II)-responsive transcriptional regulator', 127, NULL, 'TIGR02047', 194127),
(250402, 'TIGR00024', NULL, 'SbcD_rel_arch: putative phosphoesterase', 224, NULL, 'TIGR00024', 194128),
(250403, 'TIGR03308', NULL, 'phn_thr-fam: phosphonate metabolim protein, transferase hexapeptide repeat family', 204, NULL, 'TIGR03308', 194129),
(250404, 'TIGR00747', NULL, 'fabH: 3-oxoacyl-[acyl-carrier-protein] synthase III', 322, NULL, 'TIGR00747', 194130),
(250405, 'TIGR02150', NULL, 'IPP_isom_1: isopentenyl-diphosphate delta-isomerase', 159, NULL, 'TIGR02150', 194131),
(250406, 'TIGR03426', NULL, 'shape_MreD: rod shape-determining protein MreD', 154, NULL, 'TIGR03426', 194132),
(250407, 'TIGR00367', NULL, 'TIGR00367: K+-dependent Na+/Ca+ exchanger homolog', 312, NULL, 'TIGR00367', 194133),
(250408, 'TIGR01649', NULL, 'hnRNP-L_PTB: hnRNP-L/PTB/hephaestus splicing factor family', 493, NULL, 'TIGR01649', 194134),
(250409, 'TIGR03891', NULL, 'thiopep_ocin: thiopeptide-type bacteriocin biosynthesis domain', 263, NULL, 'TIGR03891', 194135),
(250410, 'TIGR01883', NULL, 'PepT-like: peptidase T-like protein', 361, NULL, 'TIGR01883', 194136),
(250411, 'TIGR04553', NULL, 'ABC_peri_selen: putative selenate ABC transporter periplasmic binding protein', 266, NULL, 'TIGR04553', 194137),
(250412, 'TIGR02530', NULL, 'flg_new: flagellar operon protein', 96, NULL, 'TIGR02530', 194138),
(250413, 'TIGR03806', NULL, 'chp_HNE_0200: conserved hypothetical protein, HNE_0200 family', 314, NULL, 'TIGR03806', 194139),
(250414, 'TIGR04491', NULL, 'reactive_PduG: diol dehydratase reactivase alpha subunit', 599, NULL, 'TIGR04491', 194140),
(250415, 'TIGR00865', NULL, 'bcl-2: apoptosis regulator', 213, NULL, 'TIGR00865', 194141),
(250416, 'TIGR02169', NULL, 'SMC_prok_A: chromosome segregation protein SMC', 1165, NULL, 'TIGR02169', 194142),
(250417, 'TIGR02032', NULL, 'GG-red-SF: geranylgeranyl reductase family', 297, NULL, 'TIGR02032', 194143),
(250418, 'TIGR01385', NULL, 'TFSII: transcription elongation factor S-II', 300, NULL, 'TIGR01385', 194144),
(250419, 'TIGR03520', NULL, 'GldE: gliding motility-associated protein GldE', 408, NULL, 'TIGR03520', 194145),
(250420, 'TIGR00230', NULL, 'sfsA: sugar fermentation stimulation protein', 234, NULL, 'TIGR00230', 194146);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(250421, 'TIGR01512', NULL, 'ATPase-IB2_Cd: cadmium-translocating P-type ATPase', 494, NULL, 'TIGR01512', 194147),
(250422, 'TIGR04295', NULL, 'B12_rSAM_oligo: B12-binding domain/radical SAM domain protein, rhizo-twelve system', 422, NULL, 'TIGR04295', 194148),
(250423, 'TIGR02873', NULL, 'spore_ylxY: probable sporulation protein, polysaccharide deacetylase family', 268, NULL, 'TIGR02873', 194149),
(250424, 'TIGR02667', NULL, 'moaB_proteo: molybdenum cofactor biosynthesis protein B', 163, NULL, 'TIGR02667', 194150),
(250425, 'TIGR00803', NULL, 'nst: UDP-galactose transporter', 222, NULL, 'TIGR00803', 194151),
(250426, 'TIGR04354', NULL, 'amphi-Trp: amphi-Trp domain', 67, NULL, 'TIGR04354', 194152),
(250427, 'TIGR02094', NULL, 'more_P_ylases: alpha-glucan phosphorylases', 600, NULL, 'TIGR02094', 194153),
(250428, 'TIGR03296', NULL, 'M6dom_TIGR03296: M6 family metalloprotease domain', 286, NULL, 'TIGR03296', 194154),
(250429, 'TIGR02278', NULL, 'PaaN-DH: phenylacetic acid degradation protein paaN', 664, NULL, 'TIGR02278', 194155),
(250430, 'TIGR02141', NULL, 'modB_ABC: molybdate ABC transporter, permease protein', 208, NULL, 'TIGR02141', 194156),
(250431, 'TIGR03747', NULL, 'conj_TIGR03747: integrating conjugative element membrane protein, PFL_4697 family', 233, NULL, 'TIGR03747', 194157),
(250432, 'TIGR00756', NULL, 'PPR: pentatricopeptide repeat domain', 35, NULL, 'TIGR00756', 194158),
(250433, 'TIGR00551', NULL, 'nadB: L-aspartate oxidase', 489, NULL, 'TIGR00551', 194159),
(250434, 'TIGR00912', NULL, '2A0309: spore germination protein (amino acid permease)', 357, NULL, 'TIGR00912', 194160),
(250435, 'TIGR01930', NULL, 'AcCoA-C-Actrans: acetyl-CoA C-acyltransferase', 385, NULL, 'TIGR01930', 194161),
(250436, 'TIGR03317', NULL, 'ygfZ_signature: folate-binding protein YgfZ', 67, NULL, 'TIGR03317', 194162),
(250437, 'TIGR00619', NULL, 'sbcd: exonuclease SbcCD, D subunit', 252, NULL, 'TIGR00619', 194163),
(250438, 'TIGR01104', NULL, 'V_PPase: V-type H(+)-translocating pyrophosphatase', 697, NULL, 'TIGR01104', 194164),
(250439, 'TIGR03112', NULL, '6_pyr_pter_rel: 6-pyruvoyl tetrahydropterin synthase-related domain', 113, NULL, 'TIGR03112', 194165),
(250440, 'TIGR03570', NULL, 'NeuD_NnaD: sugar O-acyltransferase, sialic acid O-acetyltransferase NeuD family', 202, NULL, 'TIGR03570', 194166),
(250441, 'TIGR03950', NULL, 'sidero_Fe_reduc: siderophore ferric iron reductase, AHA_1954 family', 223, NULL, 'TIGR03950', 194167),
(250442, 'TIGR03657', NULL, 'IsdB: heme uptake protein IsdB', 644, NULL, 'TIGR03657', 194168),
(250443, 'TIGR02776', NULL, 'NHEJ_ligase_prk: DNA ligase D', 587, NULL, 'TIGR02776', 194169),
(250444, 'TIGR00121', NULL, 'birA_ligase: biotin--[acetyl-CoA-carboxylase] ligase', 235, NULL, 'TIGR00121', 194170),
(250445, 'TIGR01793', NULL, 'cit_synth_euk: citrate (Si)-synthase, eukaryotic', 427, NULL, 'TIGR01793', 194171),
(250446, 'TIGR00133', NULL, 'gatB: aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, B subunit', 481, NULL, 'TIGR00133', 194172),
(250447, 'TIGR01151', NULL, 'psbA: photosystem II q(b) protein', 360, NULL, 'TIGR01151', 194173),
(250448, 'TIGR03473', NULL, 'HpnK: hopanoid biosynthesis associated protein HpnK', 283, NULL, 'TIGR03473', 194174),
(250449, 'TIGR00815', NULL, 'sulP: sulfate permease', 565, NULL, 'TIGR00815', 194175),
(250450, 'TIGR01288', NULL, 'nodI: nodulation ABC transporter NodI', 303, NULL, 'TIGR01288', 194176),
(250451, 'TIGR01746', NULL, 'Thioester-redct: thioester reductase domain', 371, NULL, 'TIGR01746', 194177),
(250452, 'TIGR04307', NULL, 'ProTailRpt: proline-rich tail region repeat', 23, NULL, 'TIGR04307', 194178),
(250453, 'TIGR02764', NULL, 'spore_ybaN_pdaB: polysaccharide deacetylase family sporulation protein PdaB', 191, NULL, 'TIGR02764', 194179),
(250454, 'TIGR04005', NULL, 'wcaL: colanic acid biosynthesis glycosyltransferase WcaL', 406, NULL, 'TIGR04005', 194180),
(250455, 'TIGR02082', NULL, 'metH: methionine synthase', 1182, NULL, 'TIGR02082', 194181),
(250456, 'TIGR04444', NULL, 'chori_FkbO_Hyg5: chorismatase, FkbO/Hyg5 family', 311, NULL, 'TIGR04444', 194182);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(250457, 'TIGR00454', NULL, 'TIGR00454: TIGR00454 family protein', 183, NULL, 'TIGR00454', 194183),
(250458, 'TIGR00317', NULL, 'cobS: cobalamin 5''-phosphate synthase', 241, NULL, 'TIGR00317', 194184),
(250459, 'TIGR03794', NULL, 'NHLM_micro_HlyD: NHLM bacteriocin system secretion protein', 421, NULL, 'TIGR03794', 194185),
(250460, 'TIGR04123', NULL, 'P_estr_lig_assc: metallophosphoesterase, DNA ligase-associated', 207, NULL, 'TIGR04123', 194186),
(250461, 'TIGR03610', NULL, 'RutC: pyrimidine utilization protein C', 127, NULL, 'TIGR03610', 194187),
(250462, 'TIGR04503', NULL, 'mft_etfB: electron transfer flavoprotein, mycofactocin-associated', 290, NULL, 'TIGR04503', 194188),
(250463, 'TIGR00258', NULL, 'TIGR00258: inosine/xanthosine triphosphatase', 168, NULL, 'TIGR00258', 194189),
(250464, 'TIGR02580', NULL, 'cas_RAMP_Cmr4: CRISPR type III-B/RAMP module RAMP protein Cmr4', 283, NULL, 'TIGR02580', 194190),
(250465, 'TIGR03015', NULL, 'pepcterm_ATPase: putative secretion ATPase, PEP-CTERM locus subfamily', 269, NULL, 'TIGR03015', 194191),
(250466, 'TIGR03978', NULL, 'rSAM_paired_1: His-Xaa-Ser system radical SAM maturase HxsB', 466, NULL, 'TIGR03978', 194192),
(250467, 'TIGR02203', NULL, 'MsbA_lipidA: lipid A export permease/ATP-binding protein MsbA', 572, NULL, 'TIGR02203', 194193),
(250468, 'TIGR04376', NULL, 'TIGR04376: TIGR04376 family protein', 189, NULL, 'TIGR04376', 194194),
(250469, 'TIGR00694', NULL, 'thiM: hydroxyethylthiazole kinase', 249, NULL, 'TIGR00694', 194195),
(250470, 'TIGR03255', NULL, 'PhnV: 2-aminoethylphosphonate ABC transport system, membrane component PhnV', 270, NULL, 'TIGR03255', 194196),
(250471, 'TIGR00407', NULL, 'proA: glutamate-5-semialdehyde dehydrogenase', 398, NULL, 'TIGR00407', 194197),
(250472, 'TIGR04170', NULL, 'RNR_1b_NrdE: ribonucleoside-diphosphate reductase, class 1b, alpha subunit', 698, NULL, 'TIGR04170', 194198),
(250473, 'TIGR00196', NULL, 'yjeF_cterm: YjeF family C-terminal domain', 277, NULL, 'TIGR00196', 194199),
(250474, 'TIGR01459', NULL, 'HAD-SF-IIA-hyp4: HAD hydrolase, TIGR01459 family', 242, NULL, 'TIGR01459', 194200),
(250475, 'TIGR01219', NULL, 'Pmev_kin_ERG8: phosphomevalonate kinase', 456, NULL, 'TIGR01219', 194201),
(250476, 'TIGR04136', NULL, 'rSAM_FibroRumin: radical SAM peptide maturase, FibroRumin system', 458, NULL, 'TIGR04136', 194202),
(250477, 'TIGR01575', NULL, 'rimI: ribosomal-protein-alanine acetyltransferase', 132, NULL, 'TIGR01575', 194203),
(250478, 'TIGR01562', NULL, 'FdhE: formate dehydrogenase accessory protein FdhE', 305, NULL, 'TIGR01562', 194204),
(250479, 'TIGR02838', NULL, 'spore_V_AC: stage V sporulation protein AC', 141, NULL, 'TIGR02838', 194205),
(250480, 'TIGR03495', NULL, 'phage_LysB: phage lysis regulatory protein, LysB family', 135, NULL, 'TIGR03495', 194206),
(250481, 'TIGR03965', NULL, 'mycofact_glyco: mycofactocin system glycosyltransferase', 467, NULL, 'TIGR03965', 194207),
(250482, 'TIGR00666', NULL, 'PBP4: D-alanyl-D-alanine carboxypeptidase/D-alanyl-D-alanine-endopeptidase', 397, NULL, 'TIGR00666', 194208),
(250483, 'TIGR01833', NULL, 'HMG-CoA-S_euk: hydroxymethylglutaryl-CoA synthase', 457, NULL, 'TIGR01833', 194209),
(250484, 'TIGR02231', NULL, 'TIGR02231: conserved hypothetical protein', 524, NULL, 'TIGR02231', 194210),
(250485, 'TIGR02913', NULL, 'HAF_rpt: probable extracellular repeat, HAF family', 39, NULL, 'TIGR02913', 194211),
(250486, 'TIGR01064', NULL, 'pyruv_kin: pyruvate kinase', 476, NULL, 'TIGR01064', 194212),
(250487, 'TIGR00918', NULL, '2A060602: transmembrane receptor Patched', 1145, NULL, 'TIGR00918', 194213),
(250488, 'TIGR01335', NULL, 'psaA: photosystem I core protein PsaA', 752, NULL, 'TIGR01335', 194214),
(250489, 'TIGR03249', NULL, 'KdgD: 5-dehydro-4-deoxyglucarate dehydratase', 299, NULL, 'TIGR03249', 194215),
(250490, 'TIGR02346', NULL, 'chap_CCT_theta: T-complex protein 1, theta subunit', 531, NULL, 'TIGR02346', 194216),
(250491, 'TIGR01322', NULL, 'scrB_fam: sucrose-6-phosphate hydrolase', 447, NULL, 'TIGR01322', 194217),
(250492, 'TIGR03330', NULL, 'SAM_DCase_Bsu: S-adenosylmethionine decarboxylase proenzyme', 112, NULL, 'TIGR03330', 194218);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(250493, 'TIGR01699', NULL, 'XAPA: xanthosine phosphorylase', 248, NULL, 'TIGR01699', 194219),
(250494, 'TIGR02415', NULL, '23BDH: acetoin reductases', 254, NULL, 'TIGR02415', 194220),
(250495, 'TIGR04164', NULL, 'cobo_pep: modified peptide precursor CbpA', 25, NULL, 'TIGR04164', 194221),
(250496, 'TIGR03841', NULL, 'F420_Rv3093c: probable F420-dependent oxidoreductase, Rv3093c family', 298, NULL, 'TIGR03841', 194222),
(250497, 'TIGR00482', NULL, 'TIGR00482: nicotinate (nicotinamide) nucleotide adenylyltransferase', 194, NULL, 'TIGR00482', 194223),
(250498, 'TIGR02490', NULL, 'flgF: flagellar basal-body rod protein FlgF', 218, NULL, 'TIGR02490', 194224),
(250499, 'TIGR00208', NULL, 'fliS: flagellar protein FliS', 124, NULL, 'TIGR00208', 194225),
(250500, 'TIGR01036', NULL, 'pyrD_sub2: dihydroorotate dehydrogenase (fumarate)', 356, NULL, 'TIGR01036', 194226),
(250501, 'TIGR01861', NULL, 'ANFD: nitrogenase iron-iron protein, alpha chain', 513, NULL, 'TIGR01861', 194227),
(250502, 'TIGR01363', NULL, 'strep_his_triad: streptococcal histidine triad protein', 348, NULL, 'TIGR01363', 194228),
(250503, 'TIGR00688', NULL, 'rarD: protein RarD', 256, NULL, 'TIGR00688', 194229),
(250504, 'TIGR00878', NULL, 'purM: phosphoribosylformylglycinamidine cyclo-ligase', 332, NULL, 'TIGR00878', 194230),
(250505, 'TIGR02191', NULL, 'RNaseIII: ribonuclease III', 219, NULL, 'TIGR02191', 194231),
(250506, 'TIGR00155', NULL, 'pqiA_fam: integral membrane protein, PqiA family', 403, NULL, 'TIGR00155', 194232),
(250507, 'TIGR00706', NULL, 'SppA_dom: signal peptide peptidase SppA, 36K type', 208, NULL, 'TIGR00706', 194233),
(250508, 'TIGR01534', NULL, 'GAPDH-I: glyceraldehyde-3-phosphate dehydrogenase, type I', 330, NULL, 'TIGR01534', 194234),
(250509, 'TIGR01998', NULL, 'PTS-II-BC-nag: PTS system, N-acetylglucosamine-specific IIBC component', 475, NULL, 'TIGR01998', 194235),
(250510, 'TIGR04422', NULL, 'PLP_IMCC1989: putative PLP-dependent aminotransferase', 315, NULL, 'TIGR04422', 194236),
(250511, 'TIGR03043', NULL, 'PS_II_psbZ: photosystem II core protein PsbZ', 58, NULL, 'TIGR03043', 194237),
(250512, 'TIGR02982', NULL, 'heterocyst_DevA: ABC exporter ATP-binding subunit, DevA family', 220, NULL, 'TIGR02982', 194238),
(250513, 'TIGR00183', NULL, 'prok_nadp_idh: isocitrate dehydrogenase, NADP-dependent', 417, NULL, 'TIGR00183', 194239),
(250514, 'TIGR02558', NULL, 'HrpB2: type III secretion protein HrpB2', 124, NULL, 'TIGR02558', 194240),
(250515, 'TIGR03037', NULL, 'anthran_nbaC: 3-hydroxyanthranilate 3,4-dioxygenase', 159, NULL, 'TIGR03037', 194241),
(250516, 'TIGR03227', NULL, 'PhnS: 2-aminoethylphosphonate ABC transporter, 2-aminoethylphosphonate binding protein', 360, NULL, 'TIGR03227', 194242),
(250517, 'TIGR02714', NULL, 'amido_AtzD_TrzD: ring-opening amidohydrolases', 366, NULL, 'TIGR02714', 194243),
(250518, 'TIGR02368', NULL, 'dimeth_PyL: dimethylamine:corrinoid methyltransferase', 466, NULL, 'TIGR02368', 194244),
(250519, 'TIGR03542', NULL, 'DAPAT_plant: LL-diaminopimelate aminotransferase', 402, NULL, 'TIGR03542', 194245),
(250520, 'TIGR03909', NULL, 'pyrrolys_PylC: pyrrolysine biosynthesis protein PylC', 374, NULL, 'TIGR03909', 194246),
(250521, 'TIGR03679', NULL, 'arCOG00187: arCOG00187 universal archaeal metal-binding-domain/4Fe-4S-binding-domain containing ABC transporter, ATP-binding protein', 218, NULL, 'TIGR03679', 194247),
(250522, 'TIGR03719', NULL, 'ABC_ABC_ChvD: ATP-binding cassette protein, ChvD family', 552, NULL, 'TIGR03719', 194248),
(250523, 'TIGR04192', NULL, 'GRASP_w_spasm: ATP-GRASP peptide maturase, grasp-with-spasm system', 318, NULL, 'TIGR04192', 194249),
(250524, 'TIGR04382', NULL, 'myo_inos_iolC_N: 5-dehydro-2-deoxygluconokinase', 309, NULL, 'TIGR04382', 194250),
(250525, 'TIGR01042', NULL, 'V-ATPase_V1_A: V-type ATPase, A subunit', 591, NULL, 'TIGR01042', 194251),
(250526, 'TIGR00981', NULL, 'rpsL_bact: ribosomal protein uS12', 124, NULL, 'TIGR00981', 194252),
(250527, 'TIGR02701', NULL, 'shell_carb_anhy: carboxysome shell carbonic anhydrase', 450, NULL, 'TIGR02701', 194253),
(250528, 'TIGR03535', NULL, 'DapD_actino: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase', 320, NULL, 'TIGR03535', 194254);
INSERT INTO "PUBLIC"."MODEL" VALUES
(250529, 'TIGR03725', NULL, 'T6A_YeaZ: tRNA threonylcarbamoyl adenosine modification protein YeaZ', 212, NULL, 'TIGR03725', 194255),
(250530, 'TIGR04559', NULL, 'SoxH_rel_PQQ_2: quinoprotein relay system zinc metallohydrolase 2', 283, NULL, 'TIGR04559', 194256),
(250531, 'TIGR03411', NULL, 'urea_trans_UrtD: urea ABC transporter, ATP-binding protein UrtD', 242, NULL, 'TIGR03411', 194257),
(250532, 'TIGR02633', NULL, 'xylG: D-xylose ABC transporter, ATP-binding protein', 500, NULL, 'TIGR02633', 194258),
(250533, 'TIGR03651', NULL, 'circ_ocin_uber: circular bacteriocin, circularin A/uberolysin family', 73, NULL, 'TIGR03651', 194259),
(250534, 'TIGR03788', NULL, 'marine_srt_targ: marine proteobacterial sortase target protein', 629, NULL, 'TIGR03788', 194260),
(250535, 'TIGR04566', NULL, 'myxo_TraA_Nterm: outer membrane exchange protein TraA, N-terminal region', 240, NULL, 'TIGR04566', 194261),
(250536, 'TIGR00264', NULL, 'TIGR00264: alpha-NAC homolog', 116, NULL, 'TIGR00264', 194262),
(250537, 'TIGR01029', NULL, 'rpsG_bact: ribosomal protein uS7', 154, NULL, 'TIGR01029', 194263),
(250538, 'TIGR00837', NULL, 'araaP: aromatic amino acid transport protein', 381, NULL, 'TIGR00837', 194264),
(250539, 'TIGR01615', NULL, 'A_thal_3542: uncharacterized plant-specific domain TIGR01615', 131, NULL, 'TIGR01615', 194265),
(250540, 'TIGR01752', NULL, 'flav_long: flavodoxin', 167, NULL, 'TIGR01752', 194266),
(250541, 'TIGR01145', NULL, 'ATP_synt_delta: ATP synthase F1, delta subunit', 172, NULL, 'TIGR01145', 194267),
(250542, 'TIGR01282', NULL, 'nifD: nitrogenase molybdenum-iron protein alpha chain', 466, NULL, 'TIGR01282', 194268),
(250543, 'TIGR04204', NULL, 'MAST_ArtA_sort: MAST domain', 183, NULL, 'TIGR04204', 194269),
(250544, 'TIGR02060', NULL, 'aprB: adenylylsulfate reductase, beta subunit', 132, NULL, 'TIGR02060', 194270),
(250545, 'TIGR00974', NULL, '3a0107s02c: phosphate ABC transporter, permease protein PstA', 272, NULL, 'TIGR00974', 194271),
(250546, 'TIGR00339', NULL, 'sopT: sulfate adenylyltransferase', 383, NULL, 'TIGR00339', 194272),
(250547, 'TIGR02661', NULL, 'MauD: methylamine dehydrogenase accessory protein MauD', 189, NULL, 'TIGR02661', 194273),
(250548, 'TIGR00476', NULL, 'selD: selenide, water dikinase', 311, NULL, 'TIGR00476', 194274),
(250549, 'TIGR02798', NULL, 'ligK_PcmE: 4-carboxy-4-hydroxy-2-oxoadipate aldolase/oxaloacetate decarboxylase', 222, NULL, 'TIGR02798', 194275),
(250550, 'TIGR02421', NULL, 'QEGLA: conserved hypothetical protein', 368, NULL, 'TIGR02421', 194276),
(250551, 'TIGR00236', NULL, 'wecB: UDP-N-acetylglucosamine 2-epimerase', 366, NULL, 'TIGR00236', 194277),
(250552, 'TIGR01643', NULL, 'YD_repeat_2x: YD repeat (two copies)', 42, NULL, 'TIGR01643', 194278),
(250553, 'TIGR01506', NULL, 'ribC_arch: riboflavin synthase', 151, NULL, 'TIGR01506', 194279),
(250554, 'TIGR02605', NULL, 'CxxC_CxxC_SSSS: putative regulatory protein, FmdB family', 52, NULL, 'TIGR02605', 194280),
(250555, 'TIGR02163', NULL, 'napH_: ferredoxin-type protein, NapH/MauN family', 255, NULL, 'TIGR02163', 194281),
(250556, 'TIGR01254', NULL, 'sfuA: ABC transporter periplasmic binding protein, thiB subfamily', 306, NULL, 'TIGR01254', 194282),
(250557, 'TIGR03439', NULL, 'methyl_EasF: probable methyltransferase domain, EasF family', 321, NULL, 'TIGR03439', 194283),
(250558, 'TIGR03897', NULL, 'lanti_2_LanM: type 2 lantibiotic biosynthesis protein LanM', 932, NULL, 'TIGR03897', 194284),
(250559, 'TIGR00734', NULL, 'hisAF_rel: hisA/hisF family protein', 221, NULL, 'TIGR00734', 194285),
(250560, 'TIGR00292', NULL, 'TIGR00292: thiazole biosynthesis enzyme', 254, NULL, 'TIGR00292', 194286),
(250561, 'TIGR01827', NULL, 'gatC_rel: putative Asp-tRNA(Asn)/Glu-tRNA(Gln) amidotransferase, subunit C', 73, NULL, 'TIGR01827', 194287),
(250562, 'TIGR02742', NULL, 'TrbC_Ftype: type-F conjugative transfer system pilin assembly protein TrbC', 130, NULL, 'TIGR02742', 194288),
(250563, 'TIGR01070', NULL, 'mutS1: DNA mismatch repair protein MutS', 840, NULL, 'TIGR01070', 194289),
(250564, 'TIGR01889', NULL, 'Staph_reg_Sar: staphylococcal accessory regulator family', 109, NULL, 'TIGR01889', 194290);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(250565, 'TIGR02156', NULL, 'PA_CoA_Oxy1: phenylacetate-CoA oxygenase, PaaG subunit', 289, NULL, 'TIGR02156', 194291),
(250566, 'TIGR02019', NULL, 'BchJ: bacteriochlorophyll 4-vinyl reductase', 188, NULL, 'TIGR02019', 194292),
(250567, 'TIGR01964', NULL, 'chpXY: CO2 hydration protein', 411, NULL, 'TIGR01964', 194293),
(250568, 'TIGR04089', NULL, 'exp_by_SipW_III: alternate signal-mediated exported protein, RER_14450 family', 179, NULL, 'TIGR04089', 194294),
(250569, 'TIGR03576', NULL, 'pyridox_MJ0158: pyridoxal phosphate enzyme, MJ0158 family', 346, NULL, 'TIGR03576', 194295),
(250570, 'TIGR01391', NULL, 'dnaG: DNA primase', 414, NULL, 'TIGR01391', 194296),
(250571, 'TIGR04129', NULL, 'CxxH_BA5709: CxxH/CxxC protein, BA_5709 family', 49, NULL, 'TIGR04129', 194297),
(250572, 'TIGR03507', NULL, 'decahem_SO1788: decaheme c-type cytochrome, OmcA/MtrC family', 672, NULL, 'TIGR03507', 194298),
(250573, 'TIGR00448', NULL, 'rpoE: DNA-directed RNA polymerase', 179, NULL, 'TIGR00448', 194299),
(250574, 'TIGR01466', NULL, 'cobJ_cbiH: precorrin-3B C17-methyltransferase', 239, NULL, 'TIGR01466', 194300),
(250575, 'TIGR00311', NULL, 'aIF-2beta: putative translation initiation factor aIF-2, beta subunit', 133, NULL, 'TIGR00311', 194301),
(250576, 'TIGR00946', NULL, '2a69: auxin efflux carrier', 336, NULL, 'TIGR00946', 194302),
(250577, 'TIGR00741', NULL, 'yfiA: ribosomal subunit interface protein', 102, NULL, 'TIGR00741', 194303),
(250578, 'TIGR02088', NULL, 'LEU3_arch: isopropylmalate/isohomocitrate dehydrogenases', 324, NULL, 'TIGR02088', 194304),
(250579, 'TIGR02312', NULL, 'HpaH: 2-oxo-hepta-3-ene-1,7-dioic acid hydratase', 267, NULL, 'TIGR02312', 194305),
(250580, 'TIGR03009', NULL, 'plancto_dom_2: Planctomycetes uncharacterized domain TIGR03009', 212, NULL, 'TIGR03009', 194306),
(250581, 'TIGR03467', NULL, 'HpnE: squalene-associated FAD-dependent desaturase', 430, NULL, 'TIGR03467', 194307),
(250582, 'TIGR00809', NULL, 'secB: protein-export chaperone SecB', 140, NULL, 'TIGR00809', 194308),
(250583, 'TIGR00087', NULL, 'surE: 5''/3''-nucleotidase SurE', 252, NULL, 'TIGR00087', 194309),
(250584, 'TIGR01431', NULL, 'adm_rel: adenosine deaminase-related growth factor', 479, NULL, 'TIGR01431', 194310),
(250585, 'TIGR03937', NULL, 'PgaC_IcaA: poly-beta-1,6 N-acetyl-D-glucosamine synthase', 407, NULL, 'TIGR03937', 194311),
(250586, 'TIGR02810', NULL, 'agaZ_gatZ: D-tagatose-bisphosphate aldolase, class II, non-catalytic subunit', 420, NULL, 'TIGR02810', 194312),
(250587, 'TIGR02586', NULL, 'cas5_cmx5_devS: CRISPR-associated protein Cas5/DevS, subtype MYXAN', 183, NULL, 'TIGR02586', 194313),
(250588, 'TIGR03760', NULL, 'ICE_TraI_Pfluor: integrating conjugative element relaxase, PFGI-1 class', 218, NULL, 'TIGR03760', 194314),
(250589, 'TIGR03283', NULL, 'thy_syn_methano: thymidylate synthase, methanogen type', 201, NULL, 'TIGR03283', 194315),
(250590, 'TIGR00625', NULL, 'tfb2: transcription factor Tfb2', 448, NULL, 'TIGR00625', 194316),
(250591, 'TIGR01098', NULL, '3A0109s03R: phosphate/phosphite/phosphonate ABC transporter, periplasmic binding protein', 253, NULL, 'TIGR01098', 194317),
(250592, 'TIGR02954', NULL, 'Sig70_famx3: RNA polymerase sigma-70 factor, TIGR02954 family', 170, NULL, 'TIGR02954', 194318),
(250593, 'TIGR03290', NULL, 'CoB_CoM_SS_C: CoB--CoM heterodisulfide reductase, subunit C', 144, NULL, 'TIGR03290', 194319),
(250594, 'TIGR02272', NULL, 'gentisate_1_2: gentisate 1,2-dioxygenase', 336, NULL, 'TIGR02272', 194320),
(250595, 'TIGR03146', NULL, 'cyt_nit_nrfB: cytochrome c nitrite reductase, pentaheme subunit', 145, NULL, 'TIGR03146', 194321),
(250596, 'TIGR02449', NULL, 'TIGR02449: TIGR02449 family protein', 65, NULL, 'TIGR02449', 194322),
(250597, 'TIGR01936', NULL, 'nqrA: NADH:ubiquinone oxidoreductase, Na(+)-translocating, A subunit', 446, NULL, 'TIGR01936', 194323),
(250598, 'TIGR02128', NULL, 'G6PI_arch: bifunctional phosphoglucose/phosphomannose isomerase', 308, NULL, 'TIGR02128', 194324),
(250599, 'TIGR03302', NULL, 'OM_YfiO: outer membrane assembly lipoprotein YfiO', 239, NULL, 'TIGR03302', 194325);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(250600, 'TIGR02593', NULL, 'CRISPR_cas5: CRISPR-associated protein Cas5', 43, NULL, 'TIGR02593', 194326),
(250601, 'TIGR02770', NULL, 'nickel_nikD: nickel import ATP-binding protein NikD', 230, NULL, 'TIGR02770', 194327),
(250602, 'TIGR00127', NULL, 'nadp_idh_euk: isocitrate dehydrogenase, NADP-dependent', 409, NULL, 'TIGR00127', 194328),
(250603, 'TIGR00585', NULL, 'mutl: DNA mismatch repair protein MutL', 313, NULL, 'TIGR00585', 194329),
(250604, 'TIGR04313', NULL, 'aro_clust_Mycop: aromatic cluster surface protein', 296, NULL, 'TIGR04313', 194330),
(250605, 'TIGR03800', NULL, 'PLP_synth_Pdx2: pyridoxal 5''-phosphate synthase, glutaminase subunit Pdx2', 184, NULL, 'TIGR03800', 194331),
(250606, 'TIGR02947', NULL, 'SigH_actino: RNA polymerase sigma-70 factor, TIGR02947 family', 193, NULL, 'TIGR02947', 194332),
(250607, 'TIGR00591', NULL, 'phr2: deoxyribodipyrimidine photolyase', 453, NULL, 'TIGR00591', 194333),
(250608, 'TIGR02546', NULL, 'III_secr_ATP: type III secretion apparatus H+-transporting two-sector ATPase', 423, NULL, 'TIGR02546', 194334),
(250609, 'TIGR03184', NULL, 'DNA_S_dndE: DNA sulfur modification protein DndE', 104, NULL, 'TIGR03184', 194335),
(250610, 'TIGR02561', NULL, 'HrpB1_HrpK: type III secretion protein HrpB1/HrpK', 183, NULL, 'TIGR02561', 194336),
(250611, 'TIGR02698', NULL, 'CopY_TcrY: copper transport repressor, CopY/TcrY family', 130, NULL, 'TIGR02698', 194337),
(250612, 'TIGR00576', NULL, 'dut: dUTP diphosphatase', 143, NULL, 'TIGR00576', 194338),
(250613, 'TIGR01079', NULL, 'rplX_bact: ribosomal protein uL24', 104, NULL, 'TIGR01079', 194339),
(250614, 'TIGR00304', NULL, 'TIGR00304: TIGR00304 family protein', 84, NULL, 'TIGR00304', 194340),
(250615, 'TIGR03000', NULL, 'plancto_dom_1: Planctomycetes uncharacterized domain TIGR03000', 75, NULL, 'TIGR03000', 194341),
(250616, 'TIGR02218', NULL, 'phg_TIGR02218: phage conserved hypothetical protein BR0599', 266, NULL, 'TIGR02218', 194342),
(250617, 'TIGR00784', NULL, 'citMHS: citrate transporter', 431, NULL, 'TIGR00784', 194343),
(250618, 'TIGR02514', NULL, 'type_III_yscP: type III secretion system needle length determinant', 129, NULL, 'TIGR02514', 194344),
(250619, 'TIGR00111', NULL, 'pelota: mRNA surveillance protein pelota', 351, NULL, 'TIGR00111', 194345),
(250620, 'TIGR03480', NULL, 'HpnN: hopanoid biosynthesis associated RND transporter like protein HpnN', 862, NULL, 'TIGR03480', 194346),
(250621, 'TIGR02979', NULL, 'phageshock_pspD: phage shock protein PspD', 59, NULL, 'TIGR02979', 194347),
(250622, 'TIGR03289', NULL, 'frhB: coenzyme F420 hydrogenase, subunit beta', 275, NULL, 'TIGR03289', 194348),
(250623, 'TIGR00529', NULL, 'AF0261: integral membrane protein, TIGR00529 family', 387, NULL, 'TIGR00529', 194349),
(250624, 'TIGR03700', NULL, 'mena_SCO4494: putative menaquinone biosynthesis radical SAM enzyme, SCO4494 family', 351, NULL, 'TIGR03700', 194350),
(250625, 'TIGR00190', NULL, 'thiC: phosphomethylpyrimidine synthase', 423, NULL, 'TIGR00190', 194351),
(250626, 'TIGR04475', NULL, 'Phe_D_beta_mut: phenylalanine aminomutase (D-beta-phenylalanine forming)', 510, NULL, 'TIGR04475', 194352),
(250627, 'TIGR02025', NULL, 'BchH: magnesium chelatase, H subunit', 1271, NULL, 'TIGR02025', 194353),
(250628, 'TIGR00632', NULL, 'vsr: DNA mismatch endonuclease Vsr', 119, NULL, 'TIGR00632', 194354),
(250629, 'TIGR00737', NULL, 'nifR3_yhdG: putative TIM-barrel protein, nifR3 family', 319, NULL, 'TIGR00737', 194355),
(250630, 'TIGR01270', NULL, 'Trp_5_monoox: tryptophan 5-monooxygenase', 464, NULL, 'TIGR01270', 194356),
(250631, 'TIGR01375', NULL, 'soxG: sarcosine oxidase, gamma subunit family', 152, NULL, 'TIGR01375', 194357),
(250632, 'TIGR00295', NULL, 'TIGR00295: TIGR00295 family protein', 164, NULL, 'TIGR00295', 194358),
(250633, 'TIGR00600', NULL, 'rad2: DNA excision repair protein (rad2)', 1039, NULL, 'TIGR00600', 194359),
(250634, 'TIGR04370', NULL, 'glyco_rpt_poly: oligosaccharide repeat unit polymerase', 396, NULL, 'TIGR04370', 194360),
(250635, 'TIGR02353', NULL, 'NRPS_term_dom: non-ribosomal peptide synthetase terminal domain of unknown function', 695, NULL, 'TIGR02353', 194361); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(250636, 'TIGR02994', NULL, 'ectoine_eutE: ectoine utilization protein EutE', 325, NULL, 'TIGR02994', 194362),
(250637, 'TIGR03137', NULL, 'AhpC: peroxiredoxin', 187, NULL, 'TIGR03137', 194363),
(250638, 'TIGR01715', NULL, 'phage_lam_T: phage tail assembly protein T', 111, NULL, 'TIGR01715', 194364),
(250639, 'TIGR04027', NULL, 'LLM_KPN_01858: putative FMN-dependent luciferase-like monooxygenase, KPN_01858 family', 326, NULL, 'TIGR04027', 194365),
(250640, 'TIGR03884', NULL, 'sel_bind_Methan: selenium-binding protein', 74, NULL, 'TIGR03884', 194366),
(250641, 'TIGR01899', NULL, 'cas_TM1807_csm5: CRISPR type III-A/MTUBE-associated RAMP protein Csm5', 364, NULL, 'TIGR01899', 194367),
(250642, 'TIGR01226', NULL, 'phe_am_lyase: phenylalanine ammonia-lyase', 680, NULL, 'TIGR01226', 194368),
(250643, 'TIGR01481', NULL, 'ccpA: catabolite control protein A', 330, NULL, 'TIGR01481', 194369),
(250644, 'TIGR00084', NULL, 'ruvA: Holliday junction DNA helicase RuvA', 192, NULL, 'TIGR00084', 194370),
(250645, 'TIGR04179', NULL, 'rhombo_lipo: rhombotail lipoprotein', 259, NULL, 'TIGR04179', 194371),
(250646, 'TIGR02054', NULL, 'MerD: mercuric resistence transcriptional repressor protein MerD', 120, NULL, 'TIGR02054', 194372),
(250647, 'TIGR02159', NULL, 'PA_CoA_Oxy4: phenylacetate-CoA oxygenase, PaaJ subunit', 146, NULL, 'TIGR02159', 194373),
(250648, 'TIGR03641', NULL, 'cas1_HMARI: CRISPR-associated endonuclease Cas1, subtype I-B/HMARI/TNEAP', 324, NULL, 'TIGR03641', 194374),
(250649, 'TIGR03691', NULL, '20S_bact_alpha: proteasome, alpha subunit', 229, NULL, 'TIGR03691', 194375),
(250650, 'TIGR01434', NULL, 'glu_cys_ligase: glutamate--cysteine ligase', 512, NULL, 'TIGR01434', 194376),
(250651, 'TIGR03778', NULL, 'VPDSG_CTERM: VPDSG-CTERM protein sorting domain', 24, NULL, 'TIGR03778', 194377),
(250652, 'TIGR04217', NULL, 'archae_ser_T: archaetidylserine synthase', 221, NULL, 'TIGR04217', 194378),
(250653, 'TIGR00635', NULL, 'ruvB: Holliday junction DNA helicase RuvB', 305, NULL, 'TIGR00635', 194379),
(250654, 'TIGR02072', NULL, 'BioC: malonyl-acyl carrier protein O-methyltransferase BioC', 244, NULL, 'TIGR02072', 194380),
(250655, 'TIGR00052', NULL, 'TIGR00052: nudix-type nucleoside diphosphatase, YffH/AdpP family', 188, NULL, 'TIGR00052', 194381),
(250656, 'TIGR01849', NULL, 'PHB_depoly_PhaZ: polyhydroxyalkanoate depolymerase, intracellular', 406, NULL, 'TIGR01849', 194382),
(250657, 'TIGR03922', NULL, 'T7SS_EccA: type VII secretion AAA-ATPase EccA', 557, NULL, 'TIGR03922', 194383),
(250658, 'TIGR04042', NULL, 'MSMEG_0570_fam: MSMEG_0570 family protein', 90, NULL, 'TIGR04042', 194384),
(250659, 'TIGR03626', NULL, 'L3_arch: ribosomal protein uL3', 331, NULL, 'TIGR03626', 194385),
(250660, 'TIGR00307', NULL, 'eS8: ribosomal protein eS8', 127, NULL, 'TIGR00307', 194386),
(250661, 'TIGR01762', NULL, 'chlorin-enz: chlorinating enzyme', 288, NULL, 'TIGR01762', 194387),
(250662, 'TIGR03345', NULL, 'VI_ClpV1: type VI secretion ATPase, ClpV1 family', 852, NULL, 'TIGR03345', 194388),
(250663, 'TIGR01730', NULL, 'RND_mfp: efflux transporter, RND family, MFP subunit', 322, NULL, 'TIGR01730', 194389),
(250664, 'TIGR03837', NULL, 'efp_adjacent_2: conserved hypothetical protein, PP_1857 family', 371, NULL, 'TIGR03837', 194390),
(250665, 'TIGR03050', NULL, 'PS_I_psaK_plant: photosystem I reaction center PsaK', 83, NULL, 'TIGR03050', 194391),
(250666, 'TIGR03673', NULL, 'uL14_arch: 50S ribosomal protein uL14', 131, NULL, 'TIGR03673', 194392),
(250667, 'TIGR03181', NULL, 'PDH_E1_alph_x: pyruvate dehydrogenase (acetyl-transferring) E1 component, alpha subunit', 341, NULL, 'TIGR03181', 194393),
(250668, 'TIGR00143', NULL, 'hypF: carbamoyltransferase HypF', 741, NULL, 'TIGR00143', 194394),
(250669, 'TIGR04428', NULL, 'B12_rSAM_trp_MT: tryptophan 2-C-methyltransferase', 558, NULL, 'TIGR04428', 194395),
(250670, 'TIGR00189', NULL, 'tesB: acyl-CoA thioesterase II', 282, NULL, 'TIGR00189', 194396),
(250671, 'TIGR02007', NULL, 'fdx_isc: ferredoxin, 2Fe-2S type, ISC system', 110, NULL, 'TIGR02007', 194397),
(250672, 'TIGR02511', NULL, 'type_III_tyeA: type III secretion effector delivery regulator, TyeA family', 82, NULL, 'TIGR02511', 194398);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(250673, 'TIGR02564', NULL, 'cas_Csy1: CRISPR type I-F/YPEST-associated protein Csy1', 385, NULL, 'TIGR02564', 194399),
(250674, 'TIGR00202', NULL, 'csrA: carbon storage regulator', 69, NULL, 'TIGR00202', 194400),
(250675, 'TIGR04323', NULL, 'SpoChoClust_1: sporadic carbohydrate cluster protein, LIC12192 family', 122, NULL, 'TIGR04323', 194401),
(250676, 'TIGR04264', NULL, 'hyperosmo_Ebh: hyperosmolarity resistance protein Ebh', 2354, NULL, 'TIGR04264', 194402),
(250677, 'TIGR01973', NULL, 'NuoG: NADH dehydrogenase (quinone), G subunit', 606, NULL, 'TIGR01973', 194403),
(250678, 'TIGR03239', NULL, 'GarL: 2-dehydro-3-deoxyglucarate aldolase', 249, NULL, 'TIGR03239', 194404),
(250679, 'TIGR00541', NULL, 'hisDCase_pyru: histidine decarboxylase, pyruvoyl type', 307, NULL, 'TIGR00541', 194405),
(250680, 'TIGR01958', NULL, 'nuoE_fam: NADH-quinone oxidoreductase, E subunit', 148, NULL, 'TIGR01958', 194406),
(250681, 'TIGR03102', NULL, 'halo_cynanin: halocyanin domain', 115, NULL, 'TIGR03102', 194407),
(250682, 'TIGR02596', NULL, 'TIGR02596: Verru_Chthon cassette protein D', 196, NULL, 'TIGR02596', 194408),
(250683, 'TIGR01821', NULL, '5aminolev_synth: 5-aminolevulinic acid synthase', 402, NULL, 'TIGR01821', 194409),
(250684, 'TIGR04326', NULL, 'O_ant_LIC13510: surface carbohydrate biosynthesis protein, LIC13510 family', 602, NULL, 'TIGR04326', 194410),
(250685, 'TIGR02268', NULL, 'TIGR02268: Myxococcus xanthus paralogous family TIGR02268', 295, NULL, 'TIGR02268', 194411),
(250686, 'TIGR03582', NULL, 'EF_0829: PRD domain protein, EF_0829/AHA_3910 family', 107, NULL, 'TIGR03582', 194412),
(250687, 'TIGR02976', NULL, 'phageshock_pspB: phage shock protein B', 75, NULL, 'TIGR02976', 194413),
(250688, 'TIGR03286', NULL, 'methan_mark_15: putative methanogenesis marker protein 15', 404, NULL, 'TIGR03286', 194414),
(250689, 'TIGR02131', NULL, 'phaP_Bmeg: polyhydroxyalkanoic acid inclusion protein PhaP', 165, NULL, 'TIGR02131', 194415),
(250690, 'TIGR02944', NULL, 'suf_reg_Xantho: FeS assembly SUF system regulator', 130, NULL, 'TIGR02944', 194416),
(250691, 'TIGR01765', NULL, 'tspaseT_teng_N: transposase, putative, N-terminal domain', 73, NULL, 'TIGR01765', 194417),
(250692, 'TIGR03567', NULL, 'FMN_reduc_SsuE: FMN reductase', 171, NULL, 'TIGR03567', 194418),
(250693, 'TIGR02648', NULL, 'rep_term_tus: DNA replication terminus site-binding protein', 300, NULL, 'TIGR02648', 194419),
(250694, 'TIGR02412', NULL, 'pepN_strep_liv: aminopeptidase N', 832, NULL, 'TIGR02412', 194420),
(250695, 'TIGR04519', NULL, 'MoCo_extend_TAT: MoCo/4Fe-4S cofactor protein extended Tat translocation domain', 45, NULL, 'TIGR04519', 194421),
(250696, 'TIGR01220', NULL, 'Pmev_kin_Gr_pos: phosphomevalonate kinase', 358, NULL, 'TIGR01220', 194422),
(250697, 'TIGR00298', NULL, 'TIGR00298: 2-phosphosulfolactate phosphatase', 216, NULL, 'TIGR00298', 194423),
(250698, 'TIGR00678', NULL, 'holB: DNA polymerase III, delta'' subunit', 188, NULL, 'TIGR00678', 194424),
(250699, 'TIGR04373', NULL, 'egtB_X_signatur: EgtB-related enzyme signature domain', 50, NULL, 'TIGR04373', 194425),
(250700, 'TIGR01300', NULL, 'CPA3_mnhG_phaG: monovalent cation/proton antiporter, MnhG/PhaG subunit', 97, NULL, 'TIGR01300', 194426),
(250701, 'TIGR02892', NULL, 'spore_yabP: sporulation protein YabP', 85, NULL, 'TIGR02892', 194427),
(250702, 'TIGR01437', NULL, 'selA_rel: uncharacterized pyridoxal phosphate-dependent enzyme', 363, NULL, 'TIGR01437', 194428),
(250703, 'TIGR01817', NULL, 'nifA: Nif-specific regulatory protein', 534, NULL, 'TIGR01817', 194429),
(250704, 'TIGR03775', NULL, 'RPE3: rickettsial palindromic element RPE3 domain', 43, NULL, 'TIGR03775', 194430),
(250705, 'TIGR03782', NULL, 'Bac_Flav_CT_J: Bacteroides conjugative transposon TraJ protein', 323, NULL, 'TIGR03782', 194431),
(250706, 'TIGR00787', NULL, 'dctP: TRAP transporter solute receptor, DctP family', 257, NULL, 'TIGR00787', 194432),
(250707, 'TIGR00822', NULL, 'EII-Sor: PTS system, mannose/fructose/sorbose family, IIC component', 267, NULL, 'TIGR00822', 194433),
(250708, 'TIGR03187', NULL, 'DGQHR: DGQHR domain', 276, NULL, 'TIGR03187', 194434);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(250709, 'TIGR00846', NULL, 'caca2: calcium/proton exchanger', 372, NULL, 'TIGR00846', 194435),
(250710, 'TIGR02549', NULL, 'CRISPR_DxTHG: CRISPR-associated DxTHG motif protein', 21, NULL, 'TIGR02549', 194436),
(250711, 'TIGR04534', NULL, 'ELWxxDGT_rpt: ELWxxDGT repeat', 47, NULL, 'TIGR04534', 194437),
(250712, 'TIGR04092', NULL, 'LTA_DltD: D-alanyl-lipoteichoic acid biosynthesis protein DltD', 383, NULL, 'TIGR04092', 194438),
(250713, 'TIGR00603', NULL, 'rad25: DNA repair helicase rad25', 734, NULL, 'TIGR00603', 194439),
(250714, 'TIGR04472', NULL, 'reg_rSAM_mob: mobile rSAM pair MarR family regulator', 141, NULL, 'TIGR04472', 194440),
(250715, 'TIGR00161', NULL, 'TIGR00161: TIGR00161 family protein', 239, NULL, 'TIGR00161', 194441),
(250716, 'TIGR02929', NULL, 'anfG_nitrog: Fe-only nitrogenase, delta subunit', 109, NULL, 'TIGR02929', 194442),
(250717, 'TIGR01758', NULL, 'MDH_euk_cyt: malate dehydrogenase, NAD-dependent', 324, NULL, 'TIGR01758', 194443),
(250718, 'TIGR02991', NULL, 'ectoine_eutB: ectoine utilization protein EutB', 317, NULL, 'TIGR02991', 194444),
(250719, 'TIGR00034', NULL, 'aroFGH: 3-deoxy-7-phosphoheptulonate synthase', 342, NULL, 'TIGR00034', 194445),
(250720, 'TIGR03676', NULL, 'aRF1/eRF1: peptide chain release factor 1, archaeal and eukaryotic forms', 403, NULL, 'TIGR03676', 194446),
(250721, 'TIGR04319', NULL, 'SerAla_Lrha_rpt: surface protein repeat Ser-Ala-175', 175, NULL, 'TIGR04319', 194447),
(250722, 'TIGR02608', NULL, 'delta_60_rpt: delta-60 repeat domain', 55, NULL, 'TIGR02608', 194448),
(250723, 'TIGR00638', NULL, 'Mop: molybdenum-pterin binding domain', 70, NULL, 'TIGR00638', 194449),
(250724, 'TIGR02901', NULL, 'QoxD: cytochrome aa3 quinol oxidase, subunit IV', 94, NULL, 'TIGR02901', 194450),
(250725, 'TIGR00501', NULL, 'met_pdase_II: methionine aminopeptidase, type II', 295, NULL, 'TIGR00501', 194451),
(250726, 'TIGR00931', NULL, 'antiport_nhaC: Na+/H+ antiporter NhaC', 454, NULL, 'TIGR00931', 194452),
(250727, 'TIGR01656', NULL, 'Histidinol-ppas: histidinol-phosphate phosphatase domain', 149, NULL, 'TIGR01656', 194453),
(250728, 'TIGR03348', NULL, 'VI_IcmF: type VI secretion protein IcmF', 1168, NULL, 'TIGR03348', 194454),
(250729, 'TIGR03629', NULL, 'uS13_arch: ribosomal protein uS13', 144, NULL, 'TIGR03629', 194455),
(250730, 'TIGR01484', NULL, 'HAD-SF-IIB: HAD hydrolase, family IIB', 221, NULL, 'TIGR01484', 194456),
(250731, 'TIGR01328', NULL, 'met_gam_lyase: methionine gamma-lyase', 391, NULL, 'TIGR01328', 194457),
(250732, 'TIGR04510', NULL, 'mod_pep_cyc: putative peptide modification system cyclase', 814, NULL, 'TIGR04510', 194458),
(250733, 'TIGR01621', NULL, 'RluA-like: pseudouridine synthase Rlu family protein, TIGR01621', 217, NULL, 'TIGR01621', 194459),
(250734, 'TIGR00357', NULL, 'TIGR00357: methionine-R-sulfoxide reductase', 134, NULL, 'TIGR00357', 194460),
(250735, 'TIGR02620', NULL, 'cas_VVA1548: putative CRISPR-associated protein, VVA1548 family', 93, NULL, 'TIGR02620', 194461),
(250736, 'TIGR03454', NULL, 'partition_RepB: plasmid partitioning protein RepB', 325, NULL, 'TIGR03454', 194462),
(250737, 'TIGR02455', NULL, 'TreS_stutzeri: trehalose synthase', 689, NULL, 'TIGR02455', 194463),
(250738, 'TIGR02757', NULL, 'TIGR02757: TIGR02757 family protein', 229, NULL, 'TIGR02757', 194464),
(250739, 'TIGR02462', NULL, 'pyranose_ox: pyranose oxidase', 548, NULL, 'TIGR02462', 194465),
(250740, 'TIGR03395', NULL, 'sphingomy: sphingomyelin phosphodiesterase', 286, NULL, 'TIGR03395', 194466),
(250741, 'TIGR00959', NULL, 'ffh: signal recognition particle protein', 428, NULL, 'TIGR00959', 194467),
(250742, 'TIGR04045', NULL, 'MSMEG_0567_GNAT: putative N-acetyltransferase, MSMEG_0567 N-terminal domain family', 153, NULL, 'TIGR04045', 194468),
(250743, 'TIGR04425', NULL, 'P_lya_rel_AroB: putative sugar phosphate phospholyase (cyclizing)', 348, NULL, 'TIGR04425', 194469),
(250744, 'TIGR03407', NULL, 'urea_ABC_UrtA: urea ABC transporter, urea binding protein', 361, NULL, 'TIGR03407', 194470),
(250745, 'TIGR00081', NULL, 'purC: phosphoribosylaminoimidazolesuccinocarboxamide synthase', 279, NULL, 'TIGR00081', 194471);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(250746, 'TIGR03728', NULL, 'glyco_access_1: glycosyltransferase, SP_1767 family', 265, NULL, 'TIGR03728', 194472),
(250747, 'TIGR02783', NULL, 'TrbL_P: P-type conjugative transfer protein TrbL', 298, NULL, 'TIGR02783', 194473),
(250748, 'TIGR04366', NULL, 'cupin_WbuC: cupin fold metalloprotein, WbuC family', 132, NULL, 'TIGR04366', 194474),
(250749, 'TIGR03211', NULL, 'catechol_2_3: catechol 2,3 dioxygenase', 303, NULL, 'TIGR03211', 194475),
(250750, 'TIGR03735', NULL, 'PRTRC_A: PRTRC system protein A', 192, NULL, 'TIGR03735', 194476),
(250751, 'TIGR04569', NULL, 'arch_SelU_Cterm: selenouridine synthase, SelU C-terminal-like subunit', 217, NULL, 'TIGR04569', 194477),
(250752, 'TIGR01923', NULL, 'menE: O-succinylbenzoate-CoA ligase', 442, NULL, 'TIGR01923', 194478),
(250753, 'TIGR03152', NULL, 'cyto_c552_HCOOH: formate-dependent cytochrome c nitrite reductase, c552 subunit', 441, NULL, 'TIGR03152', 194479),
(250754, 'TIGR00893', NULL, '2A0114: D-galactonate transporter', 399, NULL, 'TIGR00893', 194480),
(250755, 'TIGR02842', NULL, 'CyoC: cytochrome o ubiquinol oxidase, subunit III', 180, NULL, 'TIGR02842', 194481),
(250756, 'TIGR01528', NULL, 'NMN_trans_PnuC: nicotinamide mononucleotide transporter PnuC', 187, NULL, 'TIGR01528', 194482),
(250757, 'TIGR03601', NULL, 'B_an_ocin: bacteriocin, heterocycloanthracin/sonorensin family', 88, NULL, 'TIGR03601', 194483),
(250758, 'TIGR03564', NULL, 'F420_MSMEG_4879: F420-dependent oxidoreductase, MSMEG_4879 family', 265, NULL, 'TIGR03564', 194484),
(250759, 'TIGR03738', NULL, 'PRTRC_C: PRTRC system protein C', 66, NULL, 'TIGR03738', 194485),
(250760, 'TIGR01594', NULL, 'holin_lambda: phage holin, lambda family', 107, NULL, 'TIGR01594', 194486),
(250761, 'TIGR02097', NULL, 'yccV: hemimethylated DNA binding domain', 101, NULL, 'TIGR02097', 194487),
(250762, 'TIGR03532', NULL, 'DapD_Ac: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-acetyltransferase', 231, NULL, 'TIGR03532', 194488),
(250763, 'TIGR01543', NULL, 'proheadase_HK97: phage prohead protease, HK97 family', 142, NULL, 'TIGR01543', 194489),
(250764, 'TIGR02181', NULL, 'GRX_bact: glutaredoxin 3', 80, NULL, 'TIGR02181', 194490),
(250765, 'TIGR03236', NULL, 'dnd_assoc_1: DNA phosphorothioation-dependent restriction protein DptG', 363, NULL, 'TIGR03236', 194491),
(250766, 'TIGR02733', NULL, 'desat_CrtD: C-3'',4'' desaturase CrtD', 492, NULL, 'TIGR02733', 194492),
(250767, 'TIGR04155', NULL, 'cyano_PEP: PEP-CTERM protein sorting domain, cyanobacterial subclass', 27, NULL, 'TIGR04155', 194493),
(250768, 'TIGR03860', NULL, 'FMN_nitrolo: FMN-dependent oxidoreductase, nitrilotriacetate monooxygenase family', 422, NULL, 'TIGR03860', 194494),
(250769, 'TIGR00712', NULL, 'glpT: glycerol-3-phosphate transporter', 440, NULL, 'TIGR00712', 194495),
(250770, 'TIGR01590', NULL, 'yir-bir-cir_Pla: yir/bir/cir-family of variant antigens', 201, NULL, 'TIGR01590', 194496),
(250771, 'TIGR00252', NULL, 'TIGR00252: TIGR00252 family protein', 123, NULL, 'TIGR00252', 194497),
(250772, 'TIGR04363', NULL, 'LD_lanti_pre: FxLD family lantipeptide', 37, NULL, 'TIGR04363', 194498),
(250773, 'TIGR01161', NULL, 'purK: phosphoribosylaminoimidazole carboxylase, ATPase subunit', 362, NULL, 'TIGR01161', 194499),
(250774, 'TIGR01266', NULL, 'fum_ac_acetase: fumarylacetoacetase', 420, NULL, 'TIGR01266', 194500),
(250775, 'TIGR02134', NULL, 'transald_staph: transaldolase', 236, NULL, 'TIGR02134', 194501),
(250776, 'TIGR02941', NULL, 'Sigma_B: RNA polymerase sigma-B factor', 255, NULL, 'TIGR02941', 194502),
(250777, 'TIGR04288', NULL, 'CGP_CTERM: CGP-CTERM domain', 20, NULL, 'TIGR04288', 194503),
(250778, 'TIGR01382', NULL, 'PfpI: intracellular protease, PfpI family', 169, NULL, 'TIGR01382', 194504),
(250779, 'TIGR02327', NULL, 'int_mem_ywzB: conserved hypothetical integral membrane protein', 68, NULL, 'TIGR02327', 194505),
(250780, 'TIGR04095', NULL, 'dnd_restrict_1: DNA phosphorothioation system restriction enzyme', 451, NULL, 'TIGR04095', 194506),
(250781, 'TIGR04400', NULL, 'RK_trnsloc_Pase: Arg-Lys translocation region protein phosphatase', 358, NULL, 'TIGR04400', 194507); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(250782, 'TIGR04537', NULL, 'encap_target: encapsulation C-terminal sorting signal', 11, NULL, 'TIGR04537', 194508),
(250783, 'TIGR02599', NULL, 'TIGR02599: Verru_Chthon cassette protein C', 361, NULL, 'TIGR02599', 194509),
(250784, 'TIGR00675', NULL, 'dcm: DNA (cytosine-5-)-methyltransferase', 329, NULL, 'TIGR00675', 194510),
(250785, 'TIGR00924', NULL, 'yjdL_sub1_fam: amino acid/peptide transporter (Peptide:H+ symporter)', 475, NULL, 'TIGR00924', 194511),
(250786, 'TIGR01054', NULL, 'rgy: reverse gyrase', 1172, NULL, 'TIGR01054', 194512),
(250787, 'TIGR00685', NULL, 'T6PP: trehalose-phosphatase', 250, NULL, 'TIGR00685', 194513),
(250788, 'TIGR02670', NULL, 'cas_csx8: CRISPR-associated protein Cas8a1/Csx8, subtype I', 441, NULL, 'TIGR02670', 194514),
(250789, 'TIGR00220', NULL, 'mscL: large conductance mechanosensitive channel protein', 127, NULL, 'TIGR00220', 194515),
(250790, 'TIGR02300', NULL, 'FYDLN_acid: TIGR02300 family protein', 129, NULL, 'TIGR02300', 194516),
(250791, 'TIGR02405', NULL, 'trehalos_R_Ecol: trehalose operon repressor', 311, NULL, 'TIGR02405', 194517),
(250792, 'TIGR03946', NULL, 'viomycin_VioC: arginine beta-hydroxylase, Fe(II)/alpha-ketoglutarate-dependent', 333, NULL, 'TIGR03946', 194518),
(250793, 'TIGR04151', NULL, 'exosort_VPDSG: exosortase C, VPDSG-CTERM-specific', 306, NULL, 'TIGR04151', 194519),
(250794, 'TIGR00849', NULL, 'gutA: PTS system, glucitol/sorbitol-specific IIA component', 121, NULL, 'TIGR00849', 194520),
(250795, 'TIGR03246', NULL, 'arg_catab_astC: succinylornithine transaminase family', 397, NULL, 'TIGR03246', 194521),
(250796, 'TIGR03024', NULL, 'arch_PEF_CTERM: PEF-CTERM protein sorting domain', 25, NULL, 'TIGR03024', 194522),
(250797, 'TIGR00463', NULL, 'gltX_arch: glutamate--tRNA ligase', 560, NULL, 'TIGR00463', 194523),
(250798, 'TIGR01188', NULL, 'drrA: daunorubicin resistance ABC transporter, ATP-binding protein', 302, NULL, 'TIGR01188', 194524),
(250799, 'TIGR03261', NULL, 'phnS2: putative 2-aminoethylphosphonate ABC transporter, periplasmic 2-aminoethylphosphonate-binding protein', 334, NULL, 'TIGR03261', 194525),
(250800, 'TIGR03090', NULL, 'SASP_tlp: small, acid-soluble spore protein tlp', 70, NULL, 'TIGR03090', 194526),
(250801, 'TIGR01606', NULL, 'holin_BlyA: holin, BlyA family', 63, NULL, 'TIGR01606', 194527),
(250802, 'TIGR02539', NULL, 'SepCysS: O-phospho-L-seryl-tRNA:Cys-tRNA synthase', 370, NULL, 'TIGR02539', 194528),
(250803, 'TIGR00791', NULL, 'gntP: transporter, gluconate:H+ symporter (GntP) family', 439, NULL, 'TIGR00791', 194529),
(250804, 'TIGR00255', NULL, 'TIGR00255: TIGR00255 family protein', 291, NULL, 'TIGR00255', 194530),
(250805, 'TIGR02655', NULL, 'circ_KaiC: circadian clock protein KaiC', 484, NULL, 'TIGR02655', 194531),
(250806, 'TIGR03025', NULL, 'EPS_sugtrans: exopolysaccharide biosynthesis polyprenyl glycosylphosphotransferase', 445, NULL, 'TIGR03025', 194532),
(250807, 'TIGR00136', NULL, 'gidA: tRNA uridine 5-carboxymethylaminomethyl modification enzyme GidA', 616, NULL, 'TIGR00136', 194533),
(250808, 'TIGR01814', NULL, 'kynureninase: kynureninase', 400, NULL, 'TIGR01814', 194534),
(250809, 'TIGR01055', NULL, 'parE_Gneg: DNA topoisomerase IV, B subunit', 625, NULL, 'TIGR01055', 194535),
(250810, 'TIGR04435', NULL, 'restrict_AAA_1: restriction system-associated AAA family ATPase', 568, NULL, 'TIGR04435', 194536),
(250811, 'TIGR00432', NULL, 'arcsn_tRNA_tgt: tRNA-guanine(15) transglycosylase', 637, NULL, 'TIGR00432', 194537),
(250812, 'TIGR01874', NULL, 'cas_cas5a: CRISPR-associated protein Cas5, subtype I-A/APERN', 173, NULL, 'TIGR01874', 194538),
(250813, 'TIGR02393', NULL, 'RpoD_Cterm: RNA polymerase sigma factor RpoD', 238, NULL, 'TIGR02393', 194539),
(250814, 'TIGR02819', NULL, 'fdhA_non_GSH: formaldehyde dehydrogenase, glutathione-independent', 397, NULL, 'TIGR02819', 194540),
(250815, 'TIGR00897', NULL, '2A0118: polyol permease', 402, NULL, 'TIGR00897', 194541),
(250816, 'TIGR02885', NULL, 'spore_sigF: RNA polymerase sigma-F factor', 231, NULL, 'TIGR02885', 194542),
(250817, 'TIGR00909', NULL, '2A0306: amino acid transporter', 429, NULL, 'TIGR00909', 194543);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(250818, 'TIGR03489', NULL, 'cas_csp1: CRISPR-associated protein Cas7/Csp1, subtype PGING', 292, NULL, 'TIGR03489', 194544),
(250819, 'TIGR03352', NULL, 'VI_chp_3: type VI secretion lipoprotein, VC_A0113 family', 147, NULL, 'TIGR03352', 194545),
(250820, 'TIGR02119', NULL, 'panF: sodium/pantothenate symporter', 471, NULL, 'TIGR02119', 194546),
(250821, 'TIGR03666', NULL, 'Rv2061_F420: PPOX class probable F420-dependent enzyme, Rv2061 family', 132, NULL, 'TIGR03666', 194547),
(250822, 'TIGR03398', NULL, 'plc_access_R: phospholipase C accessory protein PlcR', 141, NULL, 'TIGR03398', 194548),
(250823, 'TIGR02904', NULL, 'spore_ysxE: spore coat protein YsxE', 309, NULL, 'TIGR02904', 194549),
(250824, 'TIGR04107', NULL, 'rSAM_HutW: putative heme utilization radical SAM enzyme HutW', 419, NULL, 'TIGR04107', 194550),
(250825, 'TIGR00464', NULL, 'gltX_bact: glutamate--tRNA ligase', 470, NULL, 'TIGR00464', 194551),
(250826, 'TIGR00569', NULL, 'ccl1: cyclin ccl1', 305, NULL, 'TIGR00569', 194552),
(250827, 'TIGR03430', NULL, 'trp_dimet_allyl: tryptophan dimethylallyltransferase', 419, NULL, 'TIGR03430', 194553),
(250828, 'TIGR01298', NULL, 'RNaseT: ribonuclease T', 200, NULL, 'TIGR01298', 194554),
(250829, 'TIGR02182', NULL, 'GRXB: glutaredoxin, GrxB family', 209, NULL, 'TIGR02182', 194555),
(250830, 'TIGR00955', NULL, '3a01204: pigment precursor permease', 617, NULL, 'TIGR00955', 194556),
(250831, 'TIGR03994', NULL, 'rSAM_HemZ: coproporphyrinogen dehydrogenase HemZ', 401, NULL, 'TIGR03994', 194557),
(250832, 'TIGR00906', NULL, '2A0303: cationic amino acid transport permease', 602, NULL, 'TIGR00906', 194558),
(250833, 'TIGR04120', NULL, 'DNA_lig_bact: DNA ligase, ATP-dependent, PP_1105 family', 526, NULL, 'TIGR04120', 194559),
(250834, 'TIGR04152', NULL, 'exosort_VPLPA: exosortase D, VPLPA-CTERM-specific', 486, NULL, 'TIGR04152', 194560),
(250835, 'TIGR01164', NULL, 'rplP_bact: ribosomal protein uL16', 126, NULL, 'TIGR01164', 194561),
(250836, 'TIGR04186', NULL, 'GRASP_targ: putative ATP-grasp target RiPP', 72, NULL, 'TIGR04186', 194562),
(250837, 'TIGR01372', NULL, 'soxA: sarcosine oxidase, alpha subunit family', 996, NULL, 'TIGR01372', 194563),
(250838, 'TIGR00573', NULL, 'dnaq: exonuclease, DNA polymerase III, epsilon subunit family', 217, NULL, 'TIGR00573', 194564),
(250839, 'TIGR01546', NULL, 'GAPDH-II_archae: glyceraldehyde-3-phosphate dehydrogenase, type II', 333, NULL, 'TIGR01546', 194565),
(250840, 'TIGR03703', NULL, 'plsB: glycerol-3-phosphate O-acyltransferase', 799, NULL, 'TIGR03703', 194566),
(250841, 'TIGR02116', NULL, 'toxin_Txe_YoeB: addiction module toxin, Txe/YoeB family', 80, NULL, 'TIGR02116', 194567),
(250842, 'TIGR00682', NULL, 'lpxK: tetraacyldisaccharide 4''-kinase', 324, NULL, 'TIGR00682', 194568),
(250843, 'TIGR03949', NULL, 'bact_IIb_cerein: class IIb bacteriocin, lactobin A/cerein 7B family', 45, NULL, 'TIGR03949', 194569),
(250844, 'TIGR00760', NULL, 'araD: L-ribulose-5-phosphate 4-epimerase', 228, NULL, 'TIGR00760', 194570),
(250845, 'TIGR02303', NULL, 'HpaG-C-term: 4-hydroxyphenylacetate degradation bifunctional isomerase/decarboxylase, C-terminal subunit', 245, NULL, 'TIGR02303', 194571),
(250846, 'TIGR03321', NULL, 'alt_F1F0_F0_B: alternate F1F0 ATPase, F0 subunit B', 246, NULL, 'TIGR03321', 194572),
(250847, 'TIGR03458', NULL, 'YgfH_subfam: succinate CoA transferase', 489, NULL, 'TIGR03458', 194573),
(250848, 'TIGR03370', NULL, 'VPLPA-CTERM: VPLPA-CTERM protein sorting domain', 25, NULL, 'TIGR03370', 194574),
(250849, 'TIGR01705', NULL, 'MTA/SAH-nuc-hyp: putative 5''-methylthioadenosine/S-adenosylhomocysteine nucleosidase', 212, NULL, 'TIGR01705', 194575),
(250850, 'TIGR01263', NULL, '4HPPD: 4-hydroxyphenylpyruvate dioxygenase', 353, NULL, 'TIGR01263', 194576),
(250851, 'TIGR03812', NULL, 'tyr_de_CO2_Arch: tyrosine decarboxylase MnfA', 375, NULL, 'TIGR03812', 194577),
(250852, 'TIGR00354', NULL, 'polC: DNA polymerase II, large subunit DP2', 1096, NULL, 'TIGR00354', 194578),
(250853, 'TIGR03059', NULL, 'psaOeuk: photosystem I protein PsaO', 82, NULL, 'TIGR03059', 194579);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(250854, 'TIGR01273', NULL, 'speA: arginine decarboxylase', 624, NULL, 'TIGR01273', 194580),
(250855, 'TIGR00037', NULL, 'eIF_5A: translation elongation factor IF5A', 130, NULL, 'TIGR00037', 194581),
(250856, 'TIGR00358', NULL, '3_prime_RNase: VacB and RNase II family 3''-5'' exoribonucleases', 657, NULL, 'TIGR00358', 194582),
(250857, 'TIGR00361', NULL, 'ComEC_Rec2: DNA internalization-related competence protein ComEC/Rec2', 663, NULL, 'TIGR00361', 194583),
(250858, 'TIGR01591', NULL, 'Fdh-alpha: formate dehydrogenase, alpha subunit', 672, NULL, 'TIGR01591', 194584),
(250859, 'TIGR02867', NULL, 'spore_II_P: stage II sporulation protein P', 196, NULL, 'TIGR02867', 194585),
(250860, 'TIGR01712', NULL, 'phage_N6A_met: phage N-6-adenine-methyltransferase', 165, NULL, 'TIGR01712', 194586),
(250861, 'TIGR04289', NULL, 'heavy_Cys: eight-cysteine-cluster domain', 52, NULL, 'TIGR04289', 194587),
(250862, 'TIGR02225', NULL, 'recomb_XerD: tyrosine recombinase XerD', 290, NULL, 'TIGR02225', 194588),
(250863, 'TIGR03134', NULL, 'malonate_gamma: biotin-independent malonate decarboxylase, gamma subunit', 258, NULL, 'TIGR03134', 194589),
(250864, 'TIGR03127', NULL, 'RuMP_HxlB: 6-phospho 3-hexuloisomerase', 179, NULL, 'TIGR03127', 194590),
(250865, 'TIGR02109', NULL, 'PQQ_syn_pqqE: coenzyme PQQ biosynthesis enzyme PqqE', 358, NULL, 'TIGR02109', 194591),
(250866, 'TIGR00139', NULL, 'h_aconitase: homoaconitase', 709, NULL, 'TIGR00139', 194592),
(250867, 'TIGR00566', NULL, 'trpG_papA: glutamine amidotransferase of anthranilate synthase or aminodeoxychorismate synthase', 192, NULL, 'TIGR00566', 194593),
(250868, 'TIGR02402', NULL, 'trehalose_TreZ: malto-oligosyltrehalose trehalohydrolase', 545, NULL, 'TIGR02402', 194594),
(250869, 'TIGR01051', NULL, 'topA_bact: DNA topoisomerase I', 632, NULL, 'TIGR01051', 194595),
(250870, 'TIGR02673', NULL, 'FtsE: cell division ATP-binding protein FtsE', 214, NULL, 'TIGR02673', 194596),
(250871, 'TIGR04077', NULL, 'expor_sig_YdyF: exported signaling peptide, YydF/SAG_2028 family', 49, NULL, 'TIGR04077', 194597),
(250872, 'TIGR02291', NULL, 'rimK_rel_E_lig: alpha-L-glutamate ligase homolog', 317, NULL, 'TIGR02291', 194598),
(250873, 'TIGR00894', NULL, '2A0114euk: Na(+)-dependent inorganic phosphate cotransporter', 465, NULL, 'TIGR00894', 194599),
(250874, 'TIGR01020', NULL, 'uS5_euk_arch: ribosomal protein uS5', 212, NULL, 'TIGR01020', 194600),
(250875, 'TIGR01086', NULL, 'fucA: L-fuculose phosphate aldolase', 214, NULL, 'TIGR01086', 194601),
(250876, 'TIGR03847', NULL, 'TIGR03847: conserved hypothetical protein', 177, NULL, 'TIGR03847', 194602),
(250877, 'TIGR01603', NULL, 'maj_tail_phi13: phage major tail protein, phi13 family', 190, NULL, 'TIGR01603', 194603),
(250878, 'TIGR02437', NULL, 'FadB: fatty oxidation complex, alpha subunit FadB', 714, NULL, 'TIGR02437', 194604),
(250879, 'TIGR00245', NULL, 'TIGR00245: TIGR00245 family protein', 248, NULL, 'TIGR00245', 194605),
(250880, 'TIGR03028', NULL, 'EpsE: polysaccharide export protein EpsE', 239, NULL, 'TIGR03028', 194606),
(250881, 'TIGR03519', NULL, 'T9SS_PorP_fam: type IX secretion system membrane protein, PorP/SprF family', 292, NULL, 'TIGR03519', 194607),
(250882, 'TIGR00467', NULL, 'lysS_arch: lysine--tRNA ligase', 515, NULL, 'TIGR00467', 194608),
(250883, 'TIGR03243', NULL, 'arg_catab_AOST: arginine and ornithine succinyltransferase subunits', 335, NULL, 'TIGR03243', 194609),
(250884, 'TIGR04261', NULL, 'rSAM_GlyRichRpt: radical SAM/SPASM domain protein, GRRM system', 363, NULL, 'TIGR04261', 194610),
(250885, 'TIGR01485', NULL, 'SPP_plant-cyano: sucrose phosphatase', 249, NULL, 'TIGR01485', 194611),
(250886, 'TIGR02730', NULL, 'carot_isom: carotene isomerase', 493, NULL, 'TIGR02730', 194612),
(250887, 'TIGR04398', NULL, 'SLAP_DUP: SLAP domain', 125, NULL, 'TIGR04398', 194613),
(250888, 'TIGR00330', NULL, 'glpX: fructose-1,6-bisphosphatase, class II', 334, NULL, 'TIGR00330', 194614),
(250889, 'TIGR01419', NULL, 'nitro_reg_IIA: PTS IIA-like nitrogen-regulatory protein PtsN', 145, NULL, 'TIGR01419', 194615),
(250890, 'TIGR01976', NULL, 'am_tr_V_VC1184: cysteine desulfurase family protein', 401, NULL, 'TIGR01976', 194616);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(250891, 'TIGR02390', NULL, 'RNA_pol_rpoA1: DNA-directed RNA polymerase subunit A''', 867, NULL, 'TIGR02390', 194617),
(250892, 'TIGR00002', NULL, 'S16: ribosomal protein bS16', 78, NULL, 'TIGR00002', 194618),
(250893, 'TIGR04254', NULL, 'OpituPEPCTERM_1: putative globular PEP-CTERM protein', 136, NULL, 'TIGR04254', 194619),
(250894, 'TIGR00821', NULL, 'EII-GUT: PTS system, glucitol/sorbitol-specific, IIC component', 181, NULL, 'TIGR00821', 194620),
(250895, 'TIGR01157', NULL, 'pufL: photosynthetic reaction center L subunit', 239, NULL, 'TIGR01157', 194621),
(250896, 'TIGR00389', NULL, 'glyS_dimeric: glycine--tRNA ligase', 565, NULL, 'TIGR00389', 194622),
(250897, 'TIGR01148', NULL, 'mtrC: tetrahydromethanopterin S-methyltransferase, subunit C', 264, NULL, 'TIGR01148', 194623),
(250898, 'TIGR01011', NULL, 'rpsB_bact: ribosomal protein uS2', 225, NULL, 'TIGR01011', 194624),
(250899, 'TIGR02132', NULL, 'phaR_Bmeg: polyhydroxyalkanoic acid synthase, PhaR subunit', 189, NULL, 'TIGR02132', 194625),
(250900, 'TIGR04207', NULL, 'halo_sig_pep: surface glycoprotein signal peptide', 30, NULL, 'TIGR04207', 194626),
(250901, 'TIGR03912', NULL, 'PylS_Nterm: pyrrolysine--tRNA ligase, N-terminal region', 89, NULL, 'TIGR03912', 194627),
(250902, 'TIGR04550', NULL, 'sMetMonox_MmoD: soluble methane monooxygenase-binding protein MmoD', 64, NULL, 'TIGR04550', 194628),
(250903, 'TIGR01163', NULL, 'rpe: ribulose-phosphate 3-epimerase', 211, NULL, 'TIGR01163', 194629),
(250904, 'TIGR02269', NULL, 'TIGR02269: Myxococcus xanthus paralogous lipoprotein family TIGR02269', 209, NULL, 'TIGR02269', 194630),
(250905, 'TIGR00525', NULL, 'folB: dihydroneopterin aldolase', 116, NULL, 'TIGR00525', 194631),
(250906, 'TIGR00370', NULL, 'TIGR00370: sensor histidine kinase inhibitor, KipI family', 202, NULL, 'TIGR00370', 194632),
(250907, 'TIGR02630', NULL, 'xylose_isom_A: xylose isomerase', 435, NULL, 'TIGR02630', 194633),
(250908, 'TIGR02928', NULL, 'TIGR02928: orc1/cdc6 family replication initiation protein', 366, NULL, 'TIGR02928', 194634),
(250909, 'TIGR00853', NULL, 'pts-lac: PTS system, lactose/cellobiose family IIB component', 140, NULL, 'TIGR00853', 194635),
(250910, 'TIGR00958', NULL, '3a01208: antigen peptide transporter 2', 711, NULL, 'TIGR00958', 194636),
(250911, 'TIGR00355', NULL, 'purH: phosphoribosylaminoimidazolecarboxamide formyltransferase/IMP cyclohydrolase', 511, NULL, 'TIGR00355', 194637),
(250912, 'TIGR01646', NULL, 'vgr_GE: Rhs element Vgr protein', 480, NULL, 'TIGR01646', 194638),
(250913, 'TIGR03068', NULL, 'srtB_sig_NPQTN: sortase B signal domain, NPQTN class', 33, NULL, 'TIGR03068', 194639),
(250914, 'TIGR03888', NULL, 'nitrile_beta: nitrile hydratase, beta subunit', 226, NULL, 'TIGR03888', 194640),
(250915, 'TIGR04052', NULL, 'AZL_007920_fam: AZL_007920/MXAN_0976 family protein', 206, NULL, 'TIGR04052', 194641),
(250916, 'TIGR04535', NULL, 'ferrit_encaps: ferritin-like protein', 114, NULL, 'TIGR04535', 194642),
(250917, 'TIGR00806', NULL, 'rfc: reduced folate carrier', 511, NULL, 'TIGR00806', 194643),
(250918, 'TIGR00308', NULL, 'TRM1: N2,N2-dimethylguanosine tRNA methyltransferase', 375, NULL, 'TIGR00308', 194644),
(250919, 'TIGR00364', NULL, 'TIGR00364: queuosine biosynthesis protein QueC', 201, NULL, 'TIGR00364', 194645),
(250920, 'TIGR02290', NULL, 'M3_fam_3: oligoendopeptidase, pepF/M3 family', 587, NULL, 'TIGR02290', 194646),
(250921, 'TIGR02782', NULL, 'TrbB_P: P-type conjugative transfer ATPase TrbB', 303, NULL, 'TIGR02782', 194647),
(250922, 'TIGR03894', NULL, 'chp_P_marinus_1: conserved hypothetical protein, TIGR03894 family', 95, NULL, 'TIGR03894', 194648),
(250923, 'TIGR01005', NULL, 'eps_transp_fam: exopolysaccharide transport protein family', 754, NULL, 'TIGR01005', 194649),
(250924, 'TIGR02726', NULL, 'phenyl_P_delta: phenylphosphate carboxylase, delta subunit', 169, NULL, 'TIGR02726', 194650),
(250925, 'TIGR03455', NULL, 'HisG_C-term: ATP phosphoribosyltransferase, C-terminal domain', 100, NULL, 'TIGR03455', 194651),
(250926, 'TIGR02284', NULL, 'TIGR02284: conserved hypothetical protein', 139, NULL, 'TIGR02284', 194652);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(250927, 'TIGR03566', NULL, 'FMN_reduc_MsuE: FMN reductase', 174, NULL, 'TIGR03566', 194653),
(250928, 'TIGR00862', NULL, 'O-ClC: intracellular chloride channel protein', 236, NULL, 'TIGR00862', 194654),
(250929, 'TIGR04213', NULL, 'PGF_pre_PGF: PGF-pre-PGF domain', 153, NULL, 'TIGR04213', 194655),
(250930, 'TIGR03396', NULL, 'PC_PLC: phospholipase C, phosphocholine-specific', 688, NULL, 'TIGR03396', 194656),
(250931, 'TIGR02621', NULL, 'cas3_GSU0051: CRISPR-associated helicase Cas3, subtype Dpsyc', 864, NULL, 'TIGR02621', 194657),
(250932, 'TIGR00027', NULL, 'mthyl_TIGR00027: methyltransferase, TIGR00027 family', 259, NULL, 'TIGR00027', 194658),
(250933, 'TIGR01974', NULL, 'NDH_I_L: proton-translocating NADH-quinone oxidoreductase, chain L', 630, NULL, 'TIGR01974', 194659),
(250934, 'TIGR02624', NULL, 'rhamnu_1P_ald: rhamnulose-1-phosphate aldolase', 270, NULL, 'TIGR02624', 194660),
(250935, 'TIGR01107', NULL, 'Na_K_ATPase_bet: Na+/K+ ATPase, beta subunit', 290, NULL, 'TIGR01107', 194661),
(250936, 'TIGR01605', NULL, 'PYST-D: Plasmodium yoelii subtelomeric family PYST-D', 55, NULL, 'TIGR01605', 194662),
(250937, 'TIGR01980', NULL, 'sufB: FeS assembly protein SufB', 448, NULL, 'TIGR01980', 194663),
(250938, 'TIGR03953', NULL, 'rplD_bact: 50S ribosomal protein uL4', 188, NULL, 'TIGR03953', 194664),
(250939, 'TIGR00083', NULL, 'ribF: riboflavin biosynthesis protein RibF', 290, NULL, 'TIGR00083', 194665),
(250940, 'TIGR04093', NULL, 'cas1_CYANO: CRISPR-associated endonuclease Cas1, subtype CYANO', 334, NULL, 'TIGR04093', 194666),
(250941, 'TIGR02486', NULL, 'RDH: reductive dehalogenase', 314, NULL, 'TIGR02486', 194667),
(250942, 'TIGR02275', NULL, 'DHB_AMP_lig: (2,3-dihydroxybenzoyl)adenylate synthase', 526, NULL, 'TIGR02275', 194668),
(250943, 'TIGR03470', NULL, 'HpnH: hopanoid biosynthesis associated radical SAM protein HpnH', 318, NULL, 'TIGR03470', 194669),
(250944, 'TIGR04263', NULL, 'SasC_Mrp_aggreg: SasC/Mrp/FmtB intercellular aggregation domain', 366, NULL, 'TIGR04263', 194670),
(250945, 'TIGR01652', NULL, 'ATPase-Plipid: phospholipid-translocating P-type ATPase, flippase', 1058, NULL, 'TIGR01652', 194671),
(250946, 'TIGR01482', NULL, 'SPP-subfamily: sucrose-phosphate phosphatase subfamily', 225, NULL, 'TIGR01482', 194672),
(250947, 'TIGR01587', NULL, 'cas3_core: CRISPR-associated helicase Cas3', 358, NULL, 'TIGR01587', 194673),
(250948, 'TIGR02439', NULL, 'catechol_proteo: catechol 1,2-dioxygenase', 285, NULL, 'TIGR02439', 194674),
(250949, 'TIGR02773', NULL, 'addB_Gpos: helicase-exonuclease AddAB, AddB subunit', 1159, NULL, 'TIGR02773', 194675),
(250950, 'TIGR02302', NULL, 'aProt_lowcomp: TIGR02302 family protein', 851, NULL, 'TIGR02302', 194676),
(250951, 'TIGR02328', NULL, 'TIGR02328: conserved hypothetical protein', 120, NULL, 'TIGR02328', 194677),
(250952, 'TIGR03423', NULL, 'pbp2_mrdA: penicillin-binding protein 2', 593, NULL, 'TIGR03423', 194678),
(250953, 'TIGR01789', NULL, 'lycopene_cycl: lycopene cyclase', 370, NULL, 'TIGR01789', 194679),
(250954, 'TIGR00314', NULL, 'cdhA: CO dehydrogenase/acetyl-CoA synthase complex, epsilon subunit', 784, NULL, 'TIGR00314', 194680),
(250955, 'TIGR02826', NULL, 'RNR_activ_nrdG3: anaerobic ribonucleoside-triphosphate reductase activating protein', 148, NULL, 'TIGR02826', 194681),
(250956, 'TIGR01089', NULL, 'fucI: L-fucose isomerase', 587, NULL, 'TIGR01089', 194682),
(250957, 'TIGR01927', NULL, 'menC_gamma/gm+: o-succinylbenzoate synthase', 307, NULL, 'TIGR01927', 194683),
(250958, 'TIGR01435', NULL, 'glu_cys_lig_rel: glutamate--cysteine ligase/glutathione synthase', 719, NULL, 'TIGR01435', 194684),
(250959, 'TIGR02767', NULL, 'TraG-Ti: Ti-type conjugative transfer system protein TraG', 623, NULL, 'TIGR02767', 194685),
(250960, 'TIGR03921', NULL, 'T7SS_mycosin: type VII secretion-associated serine protease mycosin', 353, NULL, 'TIGR03921', 194686),
(250961, 'TIGR00949', NULL, '2A76: homoserine/Threonine efflux protein', 185, NULL, 'TIGR00949', 194687),
(250962, 'TIGR03810', NULL, 'arg_ornith_anti: arginine-ornithine antiporter', 468, NULL, 'TIGR03810', 194688);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(250963, 'TIGR01933', NULL, 'hflK: HflK protein', 261, NULL, 'TIGR01933', 194689),
(250964, 'TIGR03751', NULL, 'conj_TIGR03751: conjugative transfer region lipoprotein, TIGR03751 family', 124, NULL, 'TIGR03751', 194690),
(250965, 'TIGR01593', NULL, 'holin_tox_secr: toxin secretion/phage lysis holin', 128, NULL, 'TIGR01593', 194691),
(250966, 'TIGR03619', NULL, 'F420_Rv2161c: probable F420-dependent oxidoreductase, Rv2161c family', 247, NULL, 'TIGR03619', 194692),
(250967, 'TIGR04257', NULL, 'nanowire_3heme: c(7)-type cytochrome triheme domain', 75, NULL, 'TIGR04257', 194693),
(250968, 'TIGR01198', NULL, 'pgl: 6-phosphogluconolactonase', 234, NULL, 'TIGR01198', 194694),
(250969, 'TIGR01696', NULL, 'deoB: phosphopentomutase', 381, NULL, 'TIGR01696', 194695),
(250970, 'TIGR03136', NULL, 'malonate_biotin: Na+-transporting malonate decarboxylase, carboxybiotin decarboxylase subunit', 399, NULL, 'TIGR03136', 194696),
(250971, 'TIGR03516', NULL, 'ppisom_GldI: peptidyl-prolyl isomerase, gliding motility-associated', 177, NULL, 'TIGR03516', 194697),
(250972, 'TIGR04154', NULL, 'archaeo_STT3: oligosaccharyl transferase, archaeosortase A system-associated', 831, NULL, 'TIGR04154', 194698),
(250973, 'TIGR01113', NULL, 'mtrE: tetrahydromethanopterin S-methyltransferase, subunit E', 283, NULL, 'TIGR01113', 194699),
(250974, 'TIGR02219', NULL, 'phage_NlpC_fam: putative phage cell wall peptidase, NlpC/P60 family', 134, NULL, 'TIGR02219', 194700),
(250975, 'TIGR00921', NULL, '2A067: efflux transporter, putative, hydrophobe/amphiphile efflux-3 (HAE3) family', 733, NULL, 'TIGR00921', 194701),
(250976, 'TIGR03947', NULL, 'viomycin_VioD: capreomycidine synthase', 359, NULL, 'TIGR03947', 194702),
(250977, 'TIGR02337', NULL, 'HpaR: homoprotocatechuate degradation operon regulator, HpaR', 130, NULL, 'TIGR02337', 194703),
(250978, 'TIGR03464', NULL, 'HpnC: squalene synthase HpnC', 267, NULL, 'TIGR03464', 194704),
(250979, 'TIGR01061', NULL, 'parC_Gpos: DNA topoisomerase IV, A subunit', 737, NULL, 'TIGR01061', 194705),
(250980, 'TIGR01441', NULL, 'GPR: GPR endopeptidase', 358, NULL, 'TIGR01441', 194706),
(250981, 'TIGR02717', NULL, 'AcCoA-syn-alpha: acetyl coenzyme A synthetase (ADP forming), alpha domain', 447, NULL, 'TIGR02717', 194707),
(250982, 'TIGR00794', NULL, 'kup: potassium uptake protein', 688, NULL, 'TIGR00794', 194708),
(250983, 'TIGR04139', NULL, 'CxxCx5CxxC_targ: putative peptide modification target, TIGR04139 family', 69, NULL, 'TIGR04139', 194709),
(250984, 'TIGR03844', NULL, 'cysteate_syn: cysteate synthase', 398, NULL, 'TIGR03844', 194710),
(250985, 'TIGR04482', NULL, 'D_pro_red_PrdD: proline reductase cluster protein PrdD', 246, NULL, 'TIGR04482', 194711),
(250986, 'TIGR01359', NULL, 'UMP_CMP_kin_fam: UMP-CMP kinase family', 185, NULL, 'TIGR01359', 194712),
(250987, 'TIGR00296', NULL, 'TIGR00296: uncharacterized protein, PH0010 family', 200, NULL, 'TIGR00296', 194713),
(250988, 'TIGR03962', NULL, 'mycofact_rSAM: mycofactocin radical SAM maturase', 339, NULL, 'TIGR03962', 194714),
(250989, 'TIGR00466', NULL, 'kdsB: 3-deoxy-D-manno-octulosonate cytidylyltransferase', 241, NULL, 'TIGR00466', 194715),
(250990, 'TIGR03183', NULL, 'DNA_S_dndC: putative sulfurtransferase DndC', 447, NULL, 'TIGR03183', 194716),
(250991, 'TIGR00423', NULL, 'TIGR00423: radical SAM domain protein, CofH subfamily', 310, NULL, 'TIGR00423', 194717),
(250992, 'TIGR01578', NULL, 'MiaB-like-B: MiaB-like tRNA modifying enzyme, archaeal-type', 421, NULL, 'TIGR01578', 194718),
(250993, 'TIGR04043', NULL, 'rSAM_MSMEG_0568: radical SAM protein, MSMEG_0568 family', 354, NULL, 'TIGR04043', 194719),
(250994, 'TIGR02009', NULL, 'PGMB-YQAB-SF: beta-phosphoglucomutase family hydrolase', 186, NULL, 'TIGR02009', 194720),
(250995, 'TIGR01052', NULL, 'top6b: DNA topoisomerase VI, B subunit', 488, NULL, 'TIGR01052', 194721),
(250996, 'TIGR02070', NULL, 'mono_pep_trsgly: monofunctional biosynthetic peptidoglycan transglycosylase', 224, NULL, 'TIGR02070', 194722),
(250997, 'TIGR02228', NULL, 'sigpep_I_arch: signal peptidase I', 158, NULL, 'TIGR02228', 194723);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(250998, 'TIGR02658', NULL, 'TTQ_MADH_Hv: methylamine dehydrogenase (amicyanin) heavy chain', 358, NULL, 'TIGR02658', 194724),
(250999, 'TIGR01503', NULL, 'MthylAspMut_E: methylaspartate mutase, E subunit', 480, NULL, 'TIGR01503', 194725),
(251000, 'TIGR04248', NULL, 'SCM_PqqD_rel: SynChlorMet cassette protein ScmD', 84, NULL, 'TIGR04248', 194726),
(251001, 'TIGR01189', NULL, 'ccmA: heme ABC exporter, ATP-binding protein CcmA', 198, NULL, 'TIGR01189', 194727),
(251002, 'TIGR04111', NULL, 'BcepMu_gp16: phage-associated protein, BcepMu gp16 family', 55, NULL, 'TIGR04111', 194728),
(251003, 'TIGR04161', NULL, 'VPEID-CTERM: VPEID-CTERM protein sorting domain', 31, NULL, 'TIGR04161', 194729),
(251004, 'TIGR02056', NULL, 'ChlG: chlorophyll synthase ChlG', 306, NULL, 'TIGR02056', 194730),
(251005, 'TIGR02023', NULL, 'BchP-ChlP: geranylgeranyl reductase', 388, NULL, 'TIGR02023', 194731),
(251006, 'TIGR04541', NULL, 'thiaminase_BcmE: thiamine pyridinylase', 381, NULL, 'TIGR04541', 194732),
(251007, 'TIGR00999', NULL, '8a0102: membrane fusion protein cluster 2 protein', 271, NULL, 'TIGR00999', 194733),
(251008, 'TIGR02882', NULL, 'QoxB: cytochrome aa3 quinol oxidase, subunit I', 643, NULL, 'TIGR02882', 194734),
(251009, 'TIGR01687', NULL, 'moaD_arch: MoaD family protein', 88, NULL, 'TIGR01687', 194735),
(251010, 'TIGR03074', NULL, 'PQQ_membr_DH: membrane-bound PQQ-dependent dehydrogenase, glucose/quinate/shikimate family', 783, NULL, 'TIGR03074', 194736),
(251011, 'TIGR00416', NULL, 'sms: DNA repair protein RadA', 454, NULL, 'TIGR00416', 194737),
(251012, 'TIGR01708', NULL, 'typeII_sec_gspH: type II secretion system protein H', 149, NULL, 'TIGR01708', 194738),
(251013, 'TIGR00036', NULL, 'dapB: 4-hydroxy-tetrahydrodipicolinate reductase', 270, NULL, 'TIGR00036', 194739),
(251014, 'TIGR02835', NULL, 'spore_sigmaE: RNA polymerase sigma-E factor', 234, NULL, 'TIGR02835', 194740),
(251015, 'TIGR02377', NULL, 'MocE_fam_FeS: Rieske [2Fe-2S] domain protein, MocE subfamily', 101, NULL, 'TIGR02377', 194741),
(251016, 'TIGR02240', NULL, 'PHA_depoly_arom: poly(3-hydroxyalkanoate) depolymerase', 276, NULL, 'TIGR02240', 194742),
(251017, 'TIGR02384', NULL, 'RelB_DinJ: addiction module antitoxin, RelB/DinJ family', 85, NULL, 'TIGR02384', 194743),
(251018, 'TIGR03027', NULL, 'pepcterm_export: putative polysaccharide export protein, PEP-CTERM sytem-associated', 166, NULL, 'TIGR03027', 194744),
(251019, 'TIGR01222', NULL, 'minC: septum site-determining protein MinC', 226, NULL, 'TIGR01222', 194745),
(251020, 'TIGR03853', NULL, 'matur_matur: putative metal-binding protein', 77, NULL, 'TIGR03853', 194746),
(251021, 'TIGR02200', NULL, 'GlrX_actino: glutaredoxin-like protein', 77, NULL, 'TIGR02200', 194747),
(251022, 'TIGR01550', NULL, 'DOC_P1: death-on-curing family protein', 122, NULL, 'TIGR01550', 194748),
(251023, 'TIGR03414', NULL, 'ABC_choline_bnd: choline ABC transporter, periplasmic binding protein', 291, NULL, 'TIGR03414', 194749),
(251024, 'TIGR01491', NULL, 'HAD-SF-IB-PSPlk: phosphoserine phosphatase-like hydrolase, archaeal', 201, NULL, 'TIGR01491', 194750),
(251025, 'TIGR03997', NULL, 'mycofact_OYE_2: mycofactocin system FadH/OYE family oxidoreductase 2', 645, NULL, 'TIGR03997', 194751),
(251026, 'TIGR03034', NULL, 'TIGR03034: conserved hypothetical protein', 274, NULL, 'TIGR03034', 194752),
(251027, 'TIGR02521', NULL, 'type_IV_pilW: type IV pilus biogenesis/stability protein PilW', 234, NULL, 'TIGR02521', 194753),
(251028, 'TIGR03355', NULL, 'VI_chp_2: type VI secretion protein, EvpB/VC_A0108 family', 473, NULL, 'TIGR03355', 194754),
(251029, 'TIGR04189', NULL, 'surface_SprA: cell surface protein SprA', 2319, NULL, 'TIGR04189', 194755),
(251030, 'TIGR00971', NULL, '3a0106s03: sulfate ABC transporter, sulfate-binding protein', 315, NULL, 'TIGR00971', 194756),
(251031, 'TIGR02166', NULL, 'dmsA_ynfE: anaerobic dimethyl sulfoxide reductase, A subunit, DmsA/YnfE family', 794, NULL, 'TIGR02166', 194757),
(251032, 'TIGR02992', NULL, 'ectoine_eutC: ectoine utilization protein EutC', 326, NULL, 'TIGR02992', 194758);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(251033, 'TIGR00145', NULL, 'TIGR00145: FTR1 family protein', 282, NULL, 'TIGR00145', 194759),
(251034, 'TIGR03150', NULL, 'fabF: beta-ketoacyl-acyl-carrier-protein synthase II', 407, NULL, 'TIGR03150', 194760),
(251035, 'TIGR03287', NULL, 'methan_mark_16: putative methanogenesis marker 16 metalloprotein', 391, NULL, 'TIGR03287', 194761),
(251036, 'TIGR03669', NULL, 'urea_ABC_arch: urea ABC transporter, substrate-binding protein', 375, NULL, 'TIGR03669', 194762),
(251037, 'TIGR02664', NULL, 'nitr_red_assoc: conserved hypothetical protein', 145, NULL, 'TIGR02664', 194763),
(251038, 'TIGR03081', NULL, 'metmalonyl_epim: methylmalonyl-CoA epimerase', 129, NULL, 'TIGR03081', 194764),
(251039, 'TIGR04104', NULL, 'cxxc_20_cxxc: cxxc_20_cxxc protein', 93, NULL, 'TIGR04104', 194765),
(251040, 'TIGR01114', NULL, 'mtrH: N5-methyltetrahydromethanopterin:coenzyme M methyltransferase subunit H', 314, NULL, 'TIGR01114', 194766),
(251041, 'TIGR02548', NULL, 'casB_cse2: CRISPR type I-E/ECOLI-associated protein CasB/Cse2', 159, NULL, 'TIGR02548', 194767),
(251042, 'TIGR01749', NULL, 'fabA: beta-hydroxyacyl-(acyl-carrier-protein) dehydratase FabA', 169, NULL, 'TIGR01749', 194768),
(251043, 'TIGR04432', NULL, 'rSAM_Cfr: 23S rRNA (adenine(2503)-C(8))-methyltransferase Cfr', 341, NULL, 'TIGR04432', 194769),
(251044, 'TIGR03785', NULL, 'marine_sort_HK: proteobacterial dedicated sortase system histidine kinase', 703, NULL, 'TIGR03785', 194770),
(251045, 'TIGR01824', NULL, 'PabB-clade2: aminodeoxychorismate synthase, component I', 355, NULL, 'TIGR01824', 194771),
(251046, 'TIGR00956', NULL, '3a01205: pleiotropic drug resistance family protein', 1394, NULL, 'TIGR00956', 194772),
(251047, 'TIGR00473', NULL, 'pssA: CDP-diacylglycerol-serine O-phosphatidyltransferase', 153, NULL, 'TIGR00473', 194773),
(251048, 'TIGR03305', NULL, 'alt_F1F0_F1_bet: alternate F1F0 ATPase, F1 subunit beta', 449, NULL, 'TIGR03305', 194774),
(251049, 'TIGR00398', NULL, 'metG: methionine--tRNA ligase', 530, NULL, 'TIGR00398', 194775),
(251050, 'TIGR04426', NULL, 'rSAM_desII: TDP-4-amino-4,6-dideoxy-D-glucose deaminase', 468, NULL, 'TIGR04426', 194776),
(251051, 'TIGR02876', NULL, 'spore_yqfD: sporulation protein YqfD', 382, NULL, 'TIGR02876', 194777),
(251052, 'TIGR04086', NULL, 'TIGR04086_membr: putative membrane protein, TIGR04086 family', 115, NULL, 'TIGR04086', 194778),
(251053, 'TIGR01326', NULL, 'OAH_OAS_sulfhy: O-acetylhomoserine aminocarboxypropyltransferase/cysteine synthase', 418, NULL, 'TIGR01326', 194779),
(251054, 'TIGR01755', NULL, 'flav_wrbA: NAD(P)H:quinone oxidoreductase, type IV', 197, NULL, 'TIGR01755', 194780),
(251055, 'TIGR00246', NULL, 'tRNA_RlmH_YbeA: rRNA large subunit m3Psi methyltransferase RlmH', 155, NULL, 'TIGR00246', 194781),
(251056, 'TIGR02411', NULL, 'leuko_A4_hydro: leukotriene A-4 hydrolase/aminopeptidase', 600, NULL, 'TIGR02411', 194782),
(251057, 'TIGR03517', NULL, 'GldM_gliding: gliding motility-associated protein GldM', 524, NULL, 'TIGR03517', 194783),
(251058, 'TIGR03075', NULL, 'PQQ_enz_alc_DH: PQQ-dependent dehydrogenase, methanol/ethanol family', 530, NULL, 'TIGR03075', 194784),
(251059, 'TIGR02241', NULL, 'TIGR02241: conserved hypothetical phage tail region protein', 141, NULL, 'TIGR02241', 194785),
(251060, 'TIGR01257', NULL, 'rim_protein: rim ABC transporter', 2272, NULL, 'TIGR01257', 194786),
(251061, 'TIGR00744', NULL, 'ROK_glcA_fam: ROK family protein (putative glucokinase)', 318, NULL, 'TIGR00744', 194787),
(251062, 'TIGR02950', NULL, 'SigM_subfam: RNA polymerase sigma factor, SigM family', 159, NULL, 'TIGR02950', 194788),
(251063, 'TIGR04298', NULL, 'his_histam_anti: histidine-histamine antiporter', 429, NULL, 'TIGR04298', 194789),
(251064, 'TIGR02623', NULL, 'G1P_cyt_trans: glucose-1-phosphate cytidylyltransferase', 255, NULL, 'TIGR02623', 194790),
(251065, 'TIGR03573', NULL, 'WbuX: N-acetyl sugar amidotransferase', 344, NULL, 'TIGR03573', 194791),
(251066, 'TIGR02452', NULL, 'TIGR02452: TIGR02452 family protein', 266, NULL, 'TIGR02452', 194792),
(251067, 'TIGR02589', NULL, 'cas_Csd2: CRISPR-associated protein Cas7/Csd2, subtype I-C/DVULG', 284, NULL, 'TIGR02589', 194793);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(251068, 'TIGR01120', NULL, 'rpiB: ribose 5-phosphate isomerase B', 143, NULL, 'TIGR01120', 194794),
(251069, 'TIGR01967', NULL, 'DEAH_box_HrpA: RNA helicase HrpA', 1284, NULL, 'TIGR01967', 194795),
(251070, 'TIGR02453', NULL, 'TIGR02453: TIGR02453 family protein', 218, NULL, 'TIGR02453', 194796),
(251071, 'TIGR00915', NULL, '2A0602: RND transporter, hydrophobe/amphiphile efflux-1 (HAE1) family', 1050, NULL, 'TIGR00915', 194797),
(251072, 'TIGR01004', NULL, 'PulS_OutS: lipoprotein, PulS/OutS family', 128, NULL, 'TIGR01004', 194798),
(251073, 'TIGR02951', NULL, 'DMSO_dmsB: dimethylsulfoxide reductase, chain B', 161, NULL, 'TIGR02951', 194799),
(251074, 'TIGR01469', NULL, 'cobA_cysG_Cterm: uroporphyrinogen-III C-methyltransferase', 238, NULL, 'TIGR01469', 194800),
(251075, 'TIGR02780', NULL, 'TrbJ_Ti: P-type conjugative transfer protein TrbJ', 253, NULL, 'TIGR02780', 194801),
(251076, 'TIGR03791', NULL, 'TTQ_mauG: tryptophan tryptophylquinone biosynthesis enzyme MauG', 291, NULL, 'TIGR03791', 194802),
(251077, 'TIGR01272', NULL, 'gluP: glucose/galactose transporter WARNING', 310, NULL, 'TIGR01272', 194803),
(251078, 'TIGR00601', NULL, 'rad23: UV excision repair protein Rad23', 381, NULL, 'TIGR00601', 194804),
(251079, 'TIGR04316', NULL, 'dhbA_paeA: 2,3-dihydro-2,3-dihydroxybenzoate dehydrogenase', 250, NULL, 'TIGR04316', 194805),
(251080, 'TIGR03457', NULL, 'sulphoacet_xsc: sulfoacetaldehyde acetyltransferase', 579, NULL, 'TIGR03457', 194806),
(251081, 'TIGR03803', NULL, 'Gloeo_Verruco: gloeo_Verruco repeat', 34, NULL, 'TIGR03803', 194807),
(251082, 'TIGR00896', NULL, 'CynX: cyanate transporter', 355, NULL, 'TIGR00896', 194808),
(251083, 'TIGR04002', NULL, 'TIGR04002: TIGR04002 family protein', 151, NULL, 'TIGR04002', 194809),
(251084, 'TIGR03293', NULL, 'PhnG_redo: phosphonate C-P lyase system protein PhnG', 144, NULL, 'TIGR03293', 194810),
(251085, 'TIGR00628', NULL, 'ung: uracil-DNA glycosylase', 210, NULL, 'TIGR00628', 194811),
(251086, 'TIGR00261', NULL, 'traB: TraB family protein', 380, NULL, 'TIGR00261', 194812),
(251087, 'TIGR02125', NULL, 'CytB-hydogenase: Ni/Fe-hydrogenase, b-type cytochrome subunit', 212, NULL, 'TIGR02125', 194813),
(251088, 'TIGR01612', NULL, '235kDa-fam: rhoptry protein', 2756, NULL, 'TIGR01612', 194814),
(251089, 'TIGR02446', NULL, 'FadI: acetyl-CoA C-acyltransferase FadI', 430, NULL, 'TIGR02446', 194815),
(251090, 'TIGR02562', NULL, 'cas3_yersinia: CRISPR-associated helicase Cas3, subtype I-F/YPEST', 1110, NULL, 'TIGR02562', 194816),
(251091, 'TIGR00575', NULL, 'dnlj: DNA ligase, NAD-dependent', 652, NULL, 'TIGR00575', 194817),
(251092, 'TIGR03580', NULL, 'EF_0832: conserved hypothetical protein EF_0832/AHA_3913', 257, NULL, 'TIGR03580', 194818),
(251093, 'TIGR00526', NULL, 'folB_dom: FolB domain', 122, NULL, 'TIGR00526', 194819),
(251094, 'TIGR02699', NULL, 'archaeo_AfpA: archaeoflavoprotein AfpA', 174, NULL, 'TIGR02699', 194820),
(251095, 'TIGR01544', NULL, 'HAD-SF-IE: HAD hydrolase, family IE', 283, NULL, 'TIGR01544', 194821),
(251096, 'TIGR04500', NULL, 'PpiC_rel_mature: putative peptide maturation system protein', 340, NULL, 'TIGR04500', 194822),
(251097, 'TIGR02234', NULL, 'trp_oprn_chp: membrane protein, TIGR02234 family', 202, NULL, 'TIGR02234', 194823),
(251098, 'TIGR03996', NULL, 'mycofact_OYE_1: mycofactocin system FadH/OYE family oxidoreductase 1', 633, NULL, 'TIGR03996', 194824),
(251099, 'TIGR04270', NULL, 'Rama_corrin_act: methylamine methyltransferase corrinoid protein reductive activase', 534, NULL, 'TIGR04270', 194825),
(251100, 'TIGR00193', NULL, 'urease_gam: urease, gamma subunit', 102, NULL, 'TIGR00193', 194826),
(251101, 'TIGR01926', NULL, 'peroxid_rel: uncharacterized peroxidase-related enzyme', 178, NULL, 'TIGR01926', 194827),
(251102, 'TIGR02841', NULL, 'spore_YyaC: putative sporulation protein YyaC', 140, NULL, 'TIGR02841', 194828),
(251103, 'TIGR02118', NULL, 'TIGR02118: conserved hypothetical protein', 103, NULL, 'TIGR02118', 194829),
(251104, 'TIGR03389', NULL, 'laccase: laccase', 539, NULL, 'TIGR03389', 194830),
(251105, 'TIGR01428', NULL, 'HAD_type_II: haloacid dehalogenase, type II', 197, NULL, 'TIGR01428', 194831);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(251106, 'TIGR00077', NULL, 'lspA: signal peptidase II', 164, NULL, 'TIGR00077', 194832),
(251107, 'TIGR03701', NULL, 'mena_SCO4490: menaquinone biosynthesis decarboxylase, SCO4490 family', 433, NULL, 'TIGR03701', 194833),
(251108, 'TIGR01325', NULL, 'O_suc_HS_sulf: O-succinylhomoserine sulfhydrylase', 380, NULL, 'TIGR01325', 194834),
(251109, 'TIGR02343', NULL, 'chap_CCT_epsi: T-complex protein 1, epsilon subunit', 532, NULL, 'TIGR02343', 194835),
(251110, 'TIGR04079', NULL, 'phero_cyc_pep: KxxxW-cyclized secreted peptide', 23, NULL, 'TIGR04079', 194836),
(251111, 'TIGR03750', NULL, 'conj_TIGR03750: conjugative transfer region protein, TIGR03750 family', 111, NULL, 'TIGR03750', 194837),
(251112, 'TIGR03887', NULL, 'thiocyan_alph: thiocyanate hydrolase, gamma subunit', 200, NULL, 'TIGR03887', 194838),
(251113, 'TIGR00691', NULL, 'spoT_relA: RelA/SpoT family protein', 687, NULL, 'TIGR00691', 194839),
(251114, 'TIGR02732', NULL, 'zeta_caro_desat: 9,9''-di-cis-zeta-carotene desaturase', 474, NULL, 'TIGR02732', 194840),
(251115, 'TIGR00417', NULL, 'speE: spermidine synthase', 271, NULL, 'TIGR00417', 194841),
(251116, 'TIGR03498', NULL, 'FliI_clade3: flagellar protein export ATPase FliI', 418, NULL, 'TIGR03498', 194842),
(251117, 'TIGR00738', NULL, 'rrf2_super: Rrf2 family protein', 132, NULL, 'TIGR00738', 194843),
(251118, 'TIGR02978', NULL, 'phageshock_pspC: phage shock protein C', 121, NULL, 'TIGR02978', 194844),
(251119, 'TIGR00908', NULL, '2A0305: ethanolamine permease', 442, NULL, 'TIGR00908', 194845),
(251120, 'TIGR01653', NULL, 'lactococcin_972: bacteriocin, lactococcin 972 family', 97, NULL, 'TIGR01653', 194846),
(251121, 'TIGR03252', NULL, 'TIGR03252: uncharacterized HhH-GPD family protein', 189, NULL, 'TIGR03252', 194847),
(251122, 'TIGR01830', NULL, '3oxo_ACP_reduc: 3-oxoacyl-[acyl-carrier-protein] reductase', 239, NULL, 'TIGR01830', 194848),
(251123, 'TIGR04528', NULL, 'acido_non_PQQ: acido-empty-quinoprotein group A', 493, NULL, 'TIGR04528', 194849),
(251124, 'TIGR01823', NULL, 'PabB-fungal: aminodeoxychorismate synthase', 742, NULL, 'TIGR01823', 194850),
(251125, 'TIGR01381', NULL, 'E1_like_apg7: E1-like protein-activating enzyme Gsa7p/Apg7p', 663, NULL, 'TIGR01381', 194851),
(251126, 'TIGR04105', NULL, 'FeFe_hydrog_B1: [FeFe] hydrogenase, group B1/B3', 462, NULL, 'TIGR04105', 194852),
(251127, 'TIGR01332', NULL, 'cyt_b559_alpha: cytochrome b559, alpha subunit', 80, NULL, 'TIGR01332', 194853),
(251128, 'TIGR03838', NULL, 'queuosine_YadB: glutamyl-queuosine tRNA(Asp) synthetase', 272, NULL, 'TIGR03838', 194854),
(251129, 'TIGR02487', NULL, 'NrdD: anaerobic ribonucleoside-triphosphate reductase', 581, NULL, 'TIGR02487', 194855),
(251130, 'TIGR02520', NULL, 'pilus_B_mal_scr: type IVB pilus formation outer membrane protein, R64 PilN family', 513, NULL, 'TIGR02520', 194856),
(251131, 'TIGR02555', NULL, 'OrgA_MxiK: type III secretion apparatus protein OrgA/MxiK', 185, NULL, 'TIGR02555', 194857),
(251132, 'TIGR02022', NULL, 'hutF: formiminoglutamate deiminase', 455, NULL, 'TIGR02022', 194858),
(251133, 'TIGR03729', NULL, 'acc_ester: putative phosphoesterase', 239, NULL, 'TIGR03729', 194859),
(251134, 'TIGR03245', NULL, 'arg_AOST_alph: arginine/ornithine succinyltransferase, alpha subunit', 336, NULL, 'TIGR03245', 194860),
(251135, 'TIGR03177', NULL, 'pilus_cpaB: Flp pilus assembly protein CpaB', 262, NULL, 'TIGR03177', 194861),
(251136, 'TIGR04195', NULL, 'S_glycosyl_SunS: peptide S-glycosyltransferase, SunS family', 421, NULL, 'TIGR04195', 194862),
(251137, 'TIGR02985', NULL, 'Sig70_bacteroi1: RNA polymerase sigma-70 factor, Bacteroides expansion family 1', 162, NULL, 'TIGR02985', 194863),
(251138, 'TIGR02671', NULL, 'cas_csx9: CRISPR-associated protein Cas8a2/Csx9, subtype I-A/APERN', 377, NULL, 'TIGR02671', 194864),
(251139, 'TIGR00684', NULL, 'narJ: nitrate reductase molybdenum cofactor assembly chaperone', 152, NULL, 'TIGR00684', 194865),
(251140, 'TIGR01223', NULL, 'Pmev_kin_anim: phosphomevalonate kinase', 185, NULL, 'TIGR01223', 194866),
(251141, 'TIGR02057', NULL, 'PAPS_reductase: phosphoadenosine phosphosulfate reductase', 224, NULL, 'TIGR02057', 194867);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(251142, 'TIGR00519', NULL, 'asnASE_I: L-asparaginase, type I', 337, NULL, 'TIGR00519', 194868),
(251143, 'TIGR02350', NULL, 'prok_dnaK: chaperone protein DnaK', 596, NULL, 'TIGR02350', 194869),
(251144, 'TIGR02378', NULL, 'nirD_assim_sml: nitrite reductase [NAD(P)H], small subunit', 105, NULL, 'TIGR02378', 194870),
(251145, 'TIGR01865', NULL, 'cas_Csn1: CRISPR subtype II RNA-guided endonuclease Cas9', 830, NULL, 'TIGR01865', 194871),
(251146, 'TIGR04214', NULL, 'CSLREA_Nterm: CSLREA domain', 27, NULL, 'TIGR04214', 194872),
(251147, 'TIGR04419', NULL, 'no_iron_rSAM: HemN-related non-iron pseudo-SAM protein PsgB', 378, NULL, 'TIGR04419', 194873),
(251148, 'TIGR01400', NULL, 'fliR: flagellar biosynthetic protein FliR', 245, NULL, 'TIGR01400', 194874),
(251149, 'TIGR03675', NULL, 'arCOG00543: arCOG00543 universal archaeal KH-domain/beta-lactamase-domain protein', 631, NULL, 'TIGR03675', 194875),
(251150, 'TIGR03906', NULL, 'quino_hemo_SAM: quinohemoprotein amine dehydrogenase maturation protein', 467, NULL, 'TIGR03906', 194876),
(251151, 'TIGR00703', NULL, 'TIGR00703: TIGR00703 family protein', 223, NULL, 'TIGR00703', 194877),
(251152, 'TIGR03408', NULL, 'urea_trans_UrtC: urea ABC transporter, permease protein UrtC', 313, NULL, 'TIGR03408', 194878),
(251153, 'TIGR01858', NULL, 'tag_bisphos_ald: class II aldolase, tagatose bisphosphate family', 282, NULL, 'TIGR01858', 194879),
(251154, 'TIGR00710', NULL, 'efflux_Bcr_CflA: drug resistance transporter, Bcr/CflA subfamily', 385, NULL, 'TIGR00710', 194880),
(251155, 'TIGR00847', NULL, 'ccoS: cytochrome oxidase maturation protein, cbb3-type', 51, NULL, 'TIGR00847', 194881),
(251156, 'TIGR00205', NULL, 'fliE: flagellar hook-basal body complex protein FliE', 109, NULL, 'TIGR00205', 194882),
(251157, 'TIGR01039', NULL, 'atpD: ATP synthase F1, beta subunit', 462, NULL, 'TIGR01039', 194883),
(251158, 'TIGR02869', NULL, 'spore_SleB: spore cortex-lytic enzyme', 201, NULL, 'TIGR02869', 194884),
(251159, 'TIGR01714', NULL, 'phage_rep_org_N: phage replisome organizer, putative, N-terminal region', 119, NULL, 'TIGR01714', 194885),
(251160, 'TIGR03361', NULL, 'VI_Rhs_Vgr: type VI secretion system Vgr family protein', 513, NULL, 'TIGR03361', 194886),
(251161, 'TIGR00186', NULL, 'rRNA_methyl_3: RNA methyltransferase, TrmH family, group 3', 240, NULL, 'TIGR00186', 194887),
(251162, 'TIGR01537', NULL, 'portal_HK97: phage portal protein, HK97 family', 343, NULL, 'TIGR01537', 194888),
(251163, 'TIGR04372', NULL, 'glycosyl_04372: putative glycosyltransferase, TIGR04372 family', 207, NULL, 'TIGR04372', 194889),
(251164, 'TIGR01216', NULL, 'ATP_synt_epsi: ATP synthase F1, epsilon subunit', 130, NULL, 'TIGR01216', 194890),
(251165, 'TIGR03770', NULL, 'anch_rpt_perm: anchored repeat-type ABC transporter, permease subunit', 270, NULL, 'TIGR03770', 194891),
(251166, 'TIGR00922', NULL, 'nusG: transcription termination/antitermination factor NusG', 172, NULL, 'TIGR00922', 194892),
(251167, 'TIGR01577', NULL, 'oligosac_amyl: oligosaccharide amylase', 616, NULL, 'TIGR01577', 194893),
(251168, 'TIGR03650', NULL, 'violacein_E: violacein biosynthesis enzyme VioE', 184, NULL, 'TIGR03650', 194894),
(251169, 'TIGR01457', NULL, 'HAD-SF-IIA-hyp2: HAD hydrolase, TIGR01457 family', 249, NULL, 'TIGR01457', 194895),
(251170, 'TIGR02095', NULL, 'glgA: glycogen/starch synthase, ADP-glucose type', 477, NULL, 'TIGR02095', 194896),
(251171, 'TIGR01337', NULL, 'apcB: allophycocyanin, beta subunit', 167, NULL, 'TIGR01337', 194897),
(251172, 'TIGR03890', NULL, 'nif11_cupin: nif11 domain/cupin domain protein', 171, NULL, 'TIGR03890', 194898),
(251173, 'TIGR02909', NULL, 'spore_YkwD: uncharacterized protein, YkwD family', 127, NULL, 'TIGR02909', 194899),
(251174, 'TIGR04258', NULL, '4helix_suffix: four helix bundle suffix domain', 49, NULL, 'TIGR04258', 194900),
(251175, 'TIGR03547', NULL, 'muta_rot_YjhT: mutatrotase, YjhT family', 346, NULL, 'TIGR03547', 194901),
(251176, 'TIGR04185', NULL, 'ATPgraspMvdC: ATP-grasp ribosomal peptide maturase, MvdC family', 318, NULL, 'TIGR04185', 194902),
(251177, 'TIGR00819', NULL, 'ydaH: AbgT transporter family', 521, NULL, 'TIGR00819', 194903);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(251178, 'TIGR04498', NULL, 'AbiV_defense: abortive infection protein, AbiV family', 143, NULL, 'TIGR04498', 194904),
(251179, 'TIGR01560', NULL, 'put_DNA_pack: uncharacterized phage protein (possible DNA packaging)', 91, NULL, 'TIGR01560', 194905),
(251180, 'TIGR02288', NULL, 'PaaN_2: phenylacetic acid degradation protein paaN', 551, NULL, 'TIGR02288', 194906),
(251181, 'TIGR00198', NULL, 'cat_per_HPI: catalase/peroxidase HPI', 716, NULL, 'TIGR00198', 194907),
(251182, 'TIGR03307', NULL, 'PhnP: phosphonate metabolism protein PhnP', 249, NULL, 'TIGR03307', 194908),
(251183, 'TIGR03963', NULL, 'rSAM_QueE_Clost: putative 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', 219, NULL, 'TIGR03963', 194909),
(251184, 'TIGR04065', NULL, 'ocin_CLI_3235: putative bacteriocin precursor, CLI_3235 family', 34, NULL, 'TIGR04065', 194910),
(251185, 'TIGR01217', NULL, 'ac_ac_CoA_syn: acetoacetate-CoA ligase', 652, NULL, 'TIGR01217', 194911),
(251186, 'TIGR04001', NULL, 'thiol_BshB1: bacillithiol biosynthesis deacetylase BshB1', 226, NULL, 'TIGR04001', 194912),
(251187, 'TIGR01680', NULL, 'Veg_Stor_Prot: vegetative storage protein', 270, NULL, 'TIGR01680', 194913),
(251188, 'TIGR04378', NULL, 'myo_inos_iolB: 5-deoxy-glucuronate isomerase', 247, NULL, 'TIGR04378', 194914),
(251189, 'TIGR03667', NULL, 'Rv3369: PPOX class probable F420-dependent enzyme, Rv3369 family', 130, NULL, 'TIGR03667', 194915),
(251190, 'TIGR02104', NULL, 'pulA_typeI: pullulanase, type I', 605, NULL, 'TIGR02104', 194916),
(251191, 'TIGR03114', NULL, 'cas8u_csf1: CRISPR type AFERR-associated protein Csf1', 202, NULL, 'TIGR03114', 194917),
(251192, 'TIGR04314', NULL, 'methano7heme: methanogenesis multiheme c-type cytochrome', 494, NULL, 'TIGR04314', 194918),
(251193, 'TIGR03354', NULL, 'VI_FHA: type VI secretion system FHA domain protein', 420, NULL, 'TIGR03354', 194919),
(251194, 'TIGR00014', NULL, 'arsC: arsenate reductase (glutaredoxin)', 114, NULL, 'TIGR00014', 194920),
(251195, 'TIGR01993', NULL, 'Pyr-5-nucltdase: pyrimidine 5''-nucleotidase', 183, NULL, 'TIGR01993', 194921),
(251196, 'TIGR01264', NULL, 'tyr_amTase_E: tyrosine aminotransferase', 403, NULL, 'TIGR01264', 194922),
(251197, 'TIGR01873', NULL, 'cas_CT1978: CRISPR-associated endoribonuclease Cas2, subtype I-E/ECOLI', 87, NULL, 'TIGR01873', 194923),
(251198, 'TIGR01706', NULL, 'NAPA: periplasmic nitrate reductase, large subunit', 830, NULL, 'TIGR01706', 194924),
(251199, 'TIGR01024', NULL, 'rplS_bact: ribosomal protein bL19', 114, NULL, 'TIGR01024', 194925),
(251200, 'TIGR03298', NULL, 'argP: transcriptional regulator, ArgP family', 292, NULL, 'TIGR03298', 194926),
(251201, 'TIGR00207', NULL, 'fliG: flagellar motor switch protein FliG', 338, NULL, 'TIGR00207', 194927),
(251202, 'TIGR02716', NULL, 'C20_methyl_CrtF: C-20 methyltransferase BchU', 306, NULL, 'TIGR02716', 194928),
(251203, 'TIGR02883', NULL, 'spore_cwlD: N-acetylmuramoyl-L-alanine amidase CwlD', 189, NULL, 'TIGR02883', 194929),
(251204, 'TIGR02570', NULL, 'cas7_GSU0053: CRISPR-associated protein GSU0053/csb1, Dpsyc system', 178, NULL, 'TIGR02570', 194930),
(251205, 'TIGR02760', NULL, 'TraI_TIGR: conjugative transfer relaxase protein TraI', 1960, NULL, 'TIGR02760', 194931),
(251206, 'TIGR00550', NULL, 'nadA: quinolinate synthetase complex, A subunit', 309, NULL, 'TIGR00550', 194932),
(251207, 'TIGR01829', NULL, 'AcAcCoA_reduct: acetoacetyl-CoA reductase', 242, NULL, 'TIGR01829', 194933),
(251208, 'TIGR02657', NULL, 'amicyanin: amicyanin', 83, NULL, 'TIGR02657', 194934),
(251209, 'TIGR00790', NULL, 'fnt: formate/nitrite transporter', 239, NULL, 'TIGR00790', 194935),
(251210, 'TIGR02467', NULL, 'CbiE: precorrin-6y C5,15-methyltransferase (decarboxylating), CbiE subunit', 204, NULL, 'TIGR02467', 194936),
(251211, 'TIGR00327', NULL, 'secE_euk_arch: protein translocase SEC61 complex gamma subunit, archaeal and eukaryotic', 61, NULL, 'TIGR00327', 194937),
(251212, 'TIGR01088', NULL, 'aroQ: 3-dehydroquinate dehydratase, type II', 141, NULL, 'TIGR01088', 194938),
(251213, 'TIGR04317', NULL, 'W_rSAM_matur: tungsten cofactor oxidoreducase radical SAM maturase', 349, NULL, 'TIGR04317', 194939);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(251214, 'TIGR04507', NULL, 'fluorinase: adenosyl-fluoride synthase', 286, NULL, 'TIGR04507', 194940),
(251215, 'TIGR00064', NULL, 'ftsY: signal recognition particle-docking protein FtsY', 279, NULL, 'TIGR00064', 194941),
(251216, 'TIGR02347', NULL, 'chap_CCT_zeta: T-complex protein 1, zeta subunit', 531, NULL, 'TIGR02347', 194942),
(251217, 'TIGR02537', NULL, 'arch_flag_Nterm: archaeal flagellin N-terminal-like domain', 24, NULL, 'TIGR02537', 194943),
(251218, 'TIGR03248', NULL, 'galactar-dH20: galactarate dehydratase', 507, NULL, 'TIGR03248', 194944),
(251219, 'TIGR02224', NULL, 'recomb_XerC: tyrosine recombinase XerC', 295, NULL, 'TIGR02224', 194945),
(251220, 'TIGR04244', NULL, 'nitrous_NosZ_RR: nitrous-oxide reductase, TAT-dependent', 627, NULL, 'TIGR04244', 194946),
(251221, 'TIGR04199', NULL, 'exosort_xrtJ: exosortase J', 522, NULL, 'TIGR04199', 194947),
(251222, 'TIGR02034', NULL, 'CysN: sulfate adenylyltransferase, large subunit', 406, NULL, 'TIGR02034', 194948),
(251223, 'TIGR03234', NULL, 'OH-pyruv-isom: hydroxypyruvate isomerase', 254, NULL, 'TIGR03234', 194949),
(251224, 'TIGR00863', NULL, 'P2X: cation transporter protein', 372, NULL, 'TIGR00863', 194950),
(251225, 'TIGR00805', NULL, 'oat: sodium-independent organic anion transporter', 639, NULL, 'TIGR00805', 194951),
(251226, 'TIGR00313', NULL, 'cobQ: cobyric acid synthase CobQ', 477, NULL, 'TIGR00313', 194952),
(251227, 'TIGR01278', NULL, 'DPOR_BchB: light-independent protochlorophyllide reductase, B subunit', 512, NULL, 'TIGR01278', 194953),
(251228, 'TIGR04015', NULL, 'WcaC: colanic acid biosynthesis glycosyltransferase WcaC', 405, NULL, 'TIGR04015', 194954),
(251229, 'TIGR00078', NULL, 'nadC: nicotinate-nucleotide diphosphorylase (carboxylating)', 269, NULL, 'TIGR00078', 194955),
(251230, 'TIGR03175', NULL, 'AllD: ureidoglycolate dehydrogenase', 349, NULL, 'TIGR03175', 194956),
(251231, 'TIGR01527', NULL, 'arch_NMN_Atrans: nicotinamide-nucleotide adenylyltransferase', 167, NULL, 'TIGR01527', 194957),
(251232, 'TIGR00497', NULL, 'hsdM: type I restriction-modification system, M subunit', 515, NULL, 'TIGR00497', 194958),
(251233, 'TIGR00869', NULL, 'sec62: protein translocation protein, Sec62 family', 232, NULL, 'TIGR00869', 194959),
(251234, 'TIGR01630', NULL, 'psiM2_ORF9: phage uncharacterized protein, C-terminal domain', 142, NULL, 'TIGR01630', 194960),
(251235, 'TIGR00749', NULL, 'glk: glucokinase', 315, NULL, 'TIGR00749', 194961),
(251236, 'TIGR00629', NULL, 'uvde: UV damage endonuclease UvdE', 312, NULL, 'TIGR00629', 194962),
(251237, 'TIGR01010', NULL, 'BexC_CtrB_KpsE: polysaccharide export inner-membrane protein, BexC/CtrB/KpsE family', 362, NULL, 'TIGR01010', 194963),
(251238, 'TIGR01267', NULL, 'Phe4hydrox_mono: phenylalanine-4-hydroxylase', 248, NULL, 'TIGR01267', 194964),
(251239, 'TIGR01387', NULL, 'cztR_silR_copR: heavy metal response regulator', 218, NULL, 'TIGR01387', 194965),
(251240, 'TIGR02165', NULL, 'cas5_6_GSU0054: CRISPR-associated protein GSU0054/csb2, Dpsyc system', 492, NULL, 'TIGR02165', 194966),
(251241, 'TIGR02719', NULL, 'repress_PhaQ: poly-beta-hydroxybutyrate-responsive repressor', 138, NULL, 'TIGR02719', 194967),
(251242, 'TIGR03357', NULL, 'VI_zyme: type VI secretion system lysozyme-like protein', 133, NULL, 'TIGR03357', 194968),
(251243, 'TIGR03600', NULL, 'phage_DnaB: phage replicative helicase, DnaB family', 421, NULL, 'TIGR03600', 194969),
(251244, 'TIGR01510', NULL, 'coaD_prev_kdtB: pantetheine-phosphate adenylyltransferase', 155, NULL, 'TIGR01510', 194970),
(251245, 'TIGR02478', NULL, '6PF1K_euk: 6-phosphofructokinase', 744, NULL, 'TIGR02478', 194971),
(251246, 'TIGR01323', NULL, 'nitrile_alph: nitrile hydratase, alpha subunit', 189, NULL, 'TIGR01323', 194972),
(251247, 'TIGR00388', NULL, 'glyQ: glycine--tRNA ligase, alpha subunit', 293, NULL, 'TIGR00388', 194973),
(251248, 'TIGR00676', NULL, 'fadh2: methylenetetrahydrofolate reductase [NAD(P)H]', 275, NULL, 'TIGR00676', 194974),
(251249, 'TIGR02766', NULL, 'crypt_chrom_pln: cryptochrome, plant family', 480, NULL, 'TIGR02766', 194975);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(251250, 'TIGR03100', NULL, 'hydr1_PEP: exosortase A system-associated hydrolase 1', 274, NULL, 'TIGR03100', 194976),
(251251, 'TIGR01194', NULL, 'cyc_pep_trnsptr: cyclic peptide transporter', 554, NULL, 'TIGR01194', 194977),
(251252, 'TIGR04255', NULL, 'sporadTIGR04255: TIGR04255 family protein', 252, NULL, 'TIGR04255', 194978),
(251253, 'TIGR03069', NULL, 'PS_II_S4: photosystem II S4 domain protein', 257, NULL, 'TIGR03069', 194979),
(251254, 'TIGR04364', NULL, 'methyltran_FxLD: methyltransferase, FxLD system', 394, NULL, 'TIGR04364', 194980),
(251255, 'TIGR02526', NULL, 'eut_PduT: PduT-like ethanolamine utilization protein', 182, NULL, 'TIGR02526', 194981),
(251256, 'TIGR03164', NULL, 'UHCUDC: OHCU decarboxylase', 157, NULL, 'TIGR03164', 194982),
(251257, 'TIGR03726', NULL, 'strep_RK_lipo: putative cross-wall-targeting lipoprotein signal', 34, NULL, 'TIGR03726', 194983),
(251258, 'TIGR03284', NULL, 'thym_sym: thymidylate synthase', 296, NULL, 'TIGR03284', 194984),
(251259, 'TIGR00204', NULL, 'dxs: 1-deoxy-D-xylulose-5-phosphate synthase', 616, NULL, 'TIGR00204', 194985),
(251260, 'TIGR04135', NULL, 'FibroRuminTarg: Cys-rich radical SAM target, FibroRumin family', 52, NULL, 'TIGR04135', 194986),
(251261, 'TIGR03471', NULL, 'HpnJ: hopanoid biosynthesis associated radical SAM protein HpnJ', 472, NULL, 'TIGR03471', 194987),
(251262, 'TIGR04423', NULL, 'casT3_TIGR04423: CRISPR type III-associated protein, TIGR04423 family', 124, NULL, 'TIGR04423', 194988),
(251263, 'TIGR02238', NULL, 'recomb_DMC1: meiotic recombinase Dmc1', 314, NULL, 'TIGR02238', 194989),
(251264, 'TIGR04557', NULL, 'fuse_rel_SoxYZ: quinoprotein dehydrogenase-associated SoxYZ-like carrier', 226, NULL, 'TIGR04557', 194990),
(251265, 'TIGR00983', NULL, '3a0801s02tim23: mitochondrial import inner membrane translocase subunit', 149, NULL, 'TIGR00983', 194991),
(251266, 'TIGR04328', NULL, 'cas4_PREFRAN: CRISPR-associated protein Cas4, subtype PREFRAN', 178, NULL, 'TIGR04328', 194992),
(251267, 'TIGR00187', NULL, 'ribE: riboflavin synthase, alpha subunit', 207, NULL, 'TIGR00187', 194993),
(251268, 'TIGR00567', NULL, '3mg: DNA-3-methyladenine glycosylase', 192, NULL, 'TIGR00567', 194994),
(251269, 'TIGR02587', NULL, 'TIGR02587: putative integral membrane protein TIGR02587', 271, NULL, 'TIGR02587', 194995),
(251270, 'TIGR01949', NULL, 'AroFGH_arch: predicted phospho-2-dehydro-3-deoxyheptonate aldolase', 255, NULL, 'TIGR01949', 194996),
(251271, 'TIGR02417', NULL, 'fruct_sucro_rep: D-fructose-responsive transcription factor', 327, NULL, 'TIGR02417', 194997),
(251272, 'TIGR03178', NULL, 'allantoinase: allantoinase', 441, NULL, 'TIGR03178', 194998),
(251273, 'TIGR02830', NULL, 'spore_III_AG: stage III sporulation protein AG', 186, NULL, 'TIGR02830', 194999),
(251274, 'TIGR02880', NULL, 'cbbX_cfxQ: CbbX protein', 284, NULL, 'TIGR02880', 195000),
(251275, 'TIGR03055', NULL, 'photo_alph_chp2: putative photosynthetic complex assembly protein 2', 245, NULL, 'TIGR03055', 195001),
(251276, 'TIGR00003', NULL, 'TIGR00003: copper ion binding protein', 66, NULL, 'TIGR00003', 195002),
(251277, 'TIGR01451', NULL, 'B_ant_repeat: conserved repeat domain', 53, NULL, 'TIGR01451', 195003),
(251278, 'TIGR04437', NULL, 'WaaZ_KDO_III: 3-deoxy-D-manno-oct-2-ulosonate III transferase WaaZ', 252, NULL, 'TIGR04437', 195004),
(251279, 'TIGR01446', NULL, 'DnaD_dom: DnaD domain protein', 73, NULL, 'TIGR01446', 195005),
(251280, 'TIGR03919', NULL, 'T7SS_EccB: type VII secretion protein EccB', 457, NULL, 'TIGR03919', 195006),
(251281, 'TIGR02710', NULL, 'TIGR02710: CRISPR-associated protein, TIGR02710 family', 384, NULL, 'TIGR02710', 195007),
(251282, 'TIGR00933', NULL, '2a38: potassium uptake protein, TrkH family', 391, NULL, 'TIGR00933', 195008),
(251283, 'TIGR01158', NULL, 'SUI1_rel: putative translation initiation factor SUI1', 102, NULL, 'TIGR01158', 195009),
(251284, 'TIGR00447', NULL, 'pth: aminoacyl-tRNA hydrolase', 188, NULL, 'TIGR00447', 195010),
(251285, 'TIGR01099', NULL, 'galU: UTP--glucose-1-phosphate uridylyltransferase', 261, NULL, 'TIGR01099', 195011);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(251286, 'TIGR02299', NULL, 'HpaE: 5-carboxymethyl-2-hydroxymuconate semialdehyde dehydrogenase', 488, NULL, 'TIGR02299', 195012),
(251287, 'TIGR04149', NULL, 'GG_sam_targ_CFB: natural product precursor, GG-Bacteroidales family', 43, NULL, 'TIGR04149', 195013),
(251288, 'TIGR00506', NULL, 'ribB: 3,4-dihydroxy-2-butanone-4-phosphate synthase', 204, NULL, 'TIGR00506', 195014),
(251289, 'TIGR02646', NULL, 'TIGR02646: TIGR02646 family protein', 144, NULL, 'TIGR02646', 195015),
(251290, 'TIGR02894', NULL, 'DNA_bind_RsfA: transcription factor, RsfA family', 161, NULL, 'TIGR02894', 195016),
(251291, 'TIGR02953', NULL, 'penta_MxKDx: pentapeptide MXKDX repeat protein', 78, NULL, 'TIGR02953', 195017),
(251292, 'TIGR03591', NULL, 'polynuc_phos: polyribonucleotide nucleotidyltransferase', 689, NULL, 'TIGR03591', 195018),
(251293, 'TIGR01203', NULL, 'HGPRTase: hypoxanthine phosphoribosyltransferase', 167, NULL, 'TIGR01203', 195019),
(251294, 'TIGR02358', NULL, 'thia_cytX: putative hydroxymethylpyrimidine transporter CytX', 386, NULL, 'TIGR02358', 195020),
(251295, 'TIGR03558', NULL, 'oxido_grp_1: luciferase family oxidoreductase, group 1', 325, NULL, 'TIGR03558', 195021),
(251296, 'TIGR02403', NULL, 'trehalose_treC: alpha,alpha-phosphotrehalase', 544, NULL, 'TIGR02403', 195022),
(251297, 'TIGR02115', NULL, 'potass_kdpF: K+-transporting ATPase, F subunit', 24, NULL, 'TIGR02115', 195023),
(251298, 'TIGR00808', NULL, 'malonate_madM: malonate transporter, MadM subunit', 254, NULL, 'TIGR00808', 195024),
(251299, 'TIGR01144', NULL, 'ATP_synt_b: ATP synthase F0, B subunit', 147, NULL, 'TIGR01144', 195025),
(251300, 'TIGR01373', NULL, 'soxB: sarcosine oxidase, beta subunit family', 407, NULL, 'TIGR01373', 195026),
(251301, 'TIGR00860', NULL, 'LIC: cation transporter family protein', 462, NULL, 'TIGR00860', 195027),
(251302, 'TIGR01982', NULL, 'UbiB: 2-polyprenylphenol 6-hydroxylase', 436, NULL, 'TIGR01982', 195028),
(251303, 'TIGR01085', NULL, 'murE: UDP-N-acetylmuramyl-tripeptide synthetase', 472, NULL, 'TIGR01085', 195029),
(251304, 'TIGR03905', NULL, 'TIGR03905_4_Cys: uncharacterized protein TIGR03905', 78, NULL, 'TIGR03905', 195030),
(251305, 'TIGR03617', NULL, 'F420_MSMEG_2256: probable F420-dependent oxidoreductase, MSMEG_2256 family', 318, NULL, 'TIGR03617', 195031),
(251306, 'TIGR00422', NULL, 'valS: valine--tRNA ligase', 863, NULL, 'TIGR00422', 195032),
(251307, 'TIGR00679', NULL, 'hpr-ser: HPr(Ser) kinase/phosphatase', 300, NULL, 'TIGR00679', 195033),
(251308, 'TIGR00799', NULL, 'mtp: Golgi 4-transmembrane spanning transporter', 258, NULL, 'TIGR00799', 195034),
(251309, 'TIGR00302', NULL, 'TIGR00302: phosphoribosylformylglycinamidine synthase, purS protein', 80, NULL, 'TIGR00302', 195035),
(251310, 'TIGR02769', NULL, 'nickel_nikE: nickel import ATP-binding protein NikE', 265, NULL, 'TIGR02769', 195036),
(251311, 'TIGR02705', NULL, 'nudix_YtkD: nucleoside triphosphatase YtkD', 156, NULL, 'TIGR02705', 195037),
(251312, 'TIGR02825', NULL, 'B4_12hDH: leukotriene B4 12-hydroxydehydrogenase/15-oxo-prostaglandin 13-reductase', 327, NULL, 'TIGR02825', 195038),
(251313, 'TIGR03223', NULL, 'Phn_opern_protn: putative phosphonate metabolism protein', 228, NULL, 'TIGR03223', 195039),
(251314, 'TIGR01253', NULL, 'thiP: thiamine/thiamine pyrophosphate ABC transporter, permease protein', 519, NULL, 'TIGR01253', 195040),
(251315, 'TIGR01133', NULL, 'murG: undecaprenyldiphospho-muramoylpentapeptide beta-N-acetylglucosaminyltransferase', 353, NULL, 'TIGR01133', 195041),
(251316, 'TIGR00218', NULL, 'manA: mannose-6-phosphate isomerase, class I', 359, NULL, 'TIGR00218', 195042),
(251317, 'TIGR02771', NULL, 'TraF_Ti: conjugative transfer signal peptidase TraF', 171, NULL, 'TIGR02771', 195043),
(251318, 'TIGR03066', NULL, 'Gem_osc_para_1: Gemmata obscuriglobus paralogous family TIGR03066', 121, NULL, 'TIGR03066', 195044),
(251319, 'TIGR03094', NULL, 'sulfo_cyanin: sulfocyanin', 195, NULL, 'TIGR03094', 195045),
(251320, 'TIGR02512', NULL, 'FeFe_hydrog_A: [FeFe] hydrogenase, group A', 375, NULL, 'TIGR02512', 195046),
(251321, 'TIGR02179', NULL, 'PorD_KorD: 2-oxoacid:acceptor oxidoreductase, delta subunit, pyruvate/2-ketoisovalerate family', 78, NULL, 'TIGR02179', 195047);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(251322, 'TIGR03854', NULL, 'F420_MSMEG_3544: probable F420-dependent oxidoreductase, MSMEG_3544 family', 290, NULL, 'TIGR03854', 195048),
(251323, 'TIGR00089', NULL, 'TIGR00089: radical SAM methylthiotransferase, MiaB/RimO family', 429, NULL, 'TIGR00089', 195049),
(251324, 'TIGR01764', NULL, 'excise: DNA binding domain, excisionase family', 49, NULL, 'TIGR01764', 195050),
(251325, 'TIGR03416', NULL, 'ABC_choXWV_perm: choline ABC transporter, permease protein', 267, NULL, 'TIGR03416', 195051),
(251326, 'TIGR02143', NULL, 'trmA_only: tRNA (uracil(54)-C(5))-methyltransferase', 352, NULL, 'TIGR02143', 195052),
(251327, 'TIGR04233', NULL, 'seadorna_VP8: seadornavirus VP8 protein', 291, NULL, 'TIGR04233', 195053),
(251328, 'TIGR00754', NULL, 'bfr: bacterioferritin', 157, NULL, 'TIGR00754', 195054),
(251329, 'TIGR03776', NULL, 'RPE5: rickettsial palindromic element RPE5 domain', 43, NULL, 'TIGR03776', 195055),
(251330, 'TIGR01938', NULL, 'nqrC: NADH:ubiquinone oxidoreductase, Na(+)-translocating, C subunit', 251, NULL, 'TIGR01938', 195056),
(251331, 'TIGR01686', NULL, 'FkbH: FkbH domain', 323, NULL, 'TIGR01686', 195057),
(251332, 'TIGR00810', NULL, 'secG: preprotein translocase, SecG subunit', 73, NULL, 'TIGR00810', 195058),
(251333, 'TIGR00740', NULL, 'TIGR00740: tRNA (cmo5U34)-methyltransferase', 239, NULL, 'TIGR00740', 195059),
(251334, 'TIGR03522', NULL, 'GldA_ABC_ATP: gliding motility-associated ABC transporter ATP-binding subunit GldA', 301, NULL, 'TIGR03522', 195060),
(251335, 'TIGR03779', NULL, 'Bac_Flav_CT_M: Bacteroides conjugative transposon TraM protein', 410, NULL, 'TIGR03779', 195061),
(251336, 'TIGR03318', NULL, 'YdfZ_fam: putative selenium-binding protein YdfZ', 65, NULL, 'TIGR03318', 195062),
(251337, 'TIGR04113', NULL, 'cas_csx17: CRISPR-associated protein Csx17, subtype Dpsyc', 718, NULL, 'TIGR04113', 195063),
(251338, 'TIGR00517', NULL, 'acyl_carrier: acyl carrier protein', 77, NULL, 'TIGR00517', 195064),
(251339, 'TIGR02277', NULL, 'PaaX_trns_reg: phenylacetic acid degradation operon negative regulatory protein PaaX', 279, NULL, 'TIGR02277', 195065),
(251340, 'TIGR02903', NULL, 'spore_lon_C: ATP-dependent protease, Lon family', 615, NULL, 'TIGR02903', 195066),
(251341, 'TIGR04473', NULL, 'taxol_Phe_23mut: phenylalanine aminomutase (L-beta-phenylalanine forming)', 687, NULL, 'TIGR04473', 195067),
(251342, 'TIGR01521', NULL, 'FruBisAldo_II_B: fructose-bisphosphate aldolase, class II, Calvin cycle subtype', 347, NULL, 'TIGR01521', 195068),
(251343, 'TIGR02263', NULL, 'benz_CoA_red_C: benzoyl-CoA reductase, subunit C', 380, NULL, 'TIGR02263', 195069),
(251344, 'TIGR03438', NULL, 'egtD_ergothio: dimethylhistidine N-methyltransferase', 301, NULL, 'TIGR03438', 195070),
(251345, 'TIGR04219', NULL, 'OMP_w_GlyGly: outer membrane protein', 234, NULL, 'TIGR04219', 195071),
(251346, 'TIGR03508', NULL, 'decahem_SO: decaheme c-type cytochrome, DmsE family', 258, NULL, 'TIGR03508', 195072),
(251347, 'TIGR03536', NULL, 'DapD_gpp: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase', 341, NULL, 'TIGR03536', 195073),
(251348, 'TIGR00293', NULL, 'TIGR00293: prefoldin, alpha subunit', 129, NULL, 'TIGR00293', 195074),
(251349, 'TIGR03189', NULL, 'dienoyl_CoA_hyt: cyclohexa-1,5-dienecarbonyl-CoA hydratase', 251, NULL, 'TIGR03189', 195075),
(251350, 'TIGR02059', NULL, 'swm_rep_I: cyanobacterial long protein repeat', 101, NULL, 'TIGR02059', 195076),
(251351, 'TIGR02249', NULL, 'integrase_gron: integron integrase', 315, NULL, 'TIGR02249', 195077),
(251352, 'TIGR02406', NULL, 'ectoine_EctA: diaminobutyrate acetyltransferase', 157, NULL, 'TIGR02406', 195078),
(251353, 'TIGR03482', NULL, 'DMSO_red_II_cha: DMSO reductase family type II enzyme chaperone', 197, NULL, 'TIGR03482', 195079),
(251354, 'TIGR01376', NULL, 'POMP_repeat: chlamydial polymorphic outer membrane protein repeat', 28, NULL, 'TIGR01376', 195080),
(251355, 'TIGR03908', NULL, 'QH_alpha: quinohemoprotein amine dehydrogenase, alpha subunit', 510, NULL, 'TIGR03908', 195081),
(251356, 'TIGR01566', NULL, 'ZF_HD_prot_N: ZF-HD homeobox protein Cys/His-rich dimerization domain', 53, NULL, 'TIGR01566', 195082);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(251357, 'TIGR04205', NULL, 'classIII_w_PIP: class III signal peptide protein, archaeosortase D/PIP-CTERM system', 67, NULL, 'TIGR04205', 195083),
(251358, 'TIGR03731', NULL, 'lantibio_gallid: lantibiotic, gallidermin/nisin family', 48, NULL, 'TIGR03731', 195084),
(251359, 'TIGR00425', NULL, 'CBF5: putative rRNA pseudouridine synthase', 322, NULL, 'TIGR00425', 195085),
(251360, 'TIGR01815', NULL, 'TrpE-clade3: anthranilate synthase', 717, NULL, 'TIGR01815', 195086),
(251361, 'TIGR03103', NULL, 'trio_acet_GNAT: GNAT-family acetyltransferase TIGR03103', 547, NULL, 'TIGR03103', 195087),
(251362, 'TIGR00556', NULL, 'pantethn_trn: phosphopantetheine--protein transferase domain', 128, NULL, 'TIGR00556', 195088),
(251363, 'TIGR04487', NULL, 'SoxY_para_1: SoxY-related AACIE arm protein', 146, NULL, 'TIGR04487', 195089),
(251364, 'TIGR02472', NULL, 'sucr_P_syn_N: sucrose-phosphate synthase, putative, glycosyltransferase domain', 439, NULL, 'TIGR02472', 195090),
(251365, 'TIGR03974', NULL, 'rSAM_six_Cys: SCIFF radical SAM maturase', 451, NULL, 'TIGR03974', 195091),
(251366, 'TIGR00785', NULL, 'dass: transporter, divalent anion:Na+ symporter (DASS) family', 444, NULL, 'TIGR00785', 195092),
(251367, 'TIGR01108', NULL, 'oadA: oxaloacetate decarboxylase alpha subunit', 582, NULL, 'TIGR01108', 195093),
(251368, 'TIGR02020', NULL, 'BchF: 2-vinyl bacteriochlorophyllide hydratase', 145, NULL, 'TIGR02020', 195094),
(251369, 'TIGR02839', NULL, 'spore_V_AE: stage V sporulation protein AE', 114, NULL, 'TIGR02839', 195095),
(251370, 'TIGR03960', NULL, 'rSAM_fuse_unch: radical SAM family uncharacterized protein', 605, NULL, 'TIGR03960', 195096),
(251371, 'TIGR00075', NULL, 'hypD: hydrogenase expression/formation protein HypD', 372, NULL, 'TIGR00075', 195097),
(251372, 'TIGR01750', NULL, 'fabZ: beta-hydroxyacyl-(acyl-carrier-protein) dehydratase FabZ', 141, NULL, 'TIGR01750', 195098),
(251373, 'TIGR01870', NULL, 'cas_TM1810_Csm2: CRISPR type III-A/MTUBE-associated protein Csm2', 96, NULL, 'TIGR01870', 195099),
(251374, 'TIGR03720', NULL, 'exospor_lead: exosporium leader peptide', 19, NULL, 'TIGR03720', 195100),
(251375, 'TIGR03080', NULL, 'CH4_NH3mon_ox_A: methane monooxygenase/ammonia monooxygenase, subunit A', 243, NULL, 'TIGR03080', 195101),
(251376, 'TIGR03840', NULL, 'TMPT_Se_Te: thiopurine S-methyltransferase, Se/Te detoxification family', 213, NULL, 'TIGR03840', 195102),
(251377, 'TIGR04448', NULL, 'creatininase: creatininase', 246, NULL, 'TIGR04448', 195103),
(251378, 'TIGR00972', NULL, '3a0107s01c2: phosphate ABC transporter, ATP-binding protein', 248, NULL, 'TIGR00972', 195104),
(251379, 'TIGR02959', NULL, 'SigZ: RNA polymerase sigma factor, SigZ family', 170, NULL, 'TIGR02959', 195105),
(251380, 'TIGR00129', NULL, 'fdhD_narQ: formate dehydrogenase family accessory protein FdhD', 237, NULL, 'TIGR00129', 195106),
(251381, 'TIGR01804', NULL, 'BADH: betaine-aldehyde dehydrogenase', 467, NULL, 'TIGR01804', 195107),
(251382, 'TIGR00408', NULL, 'proS_fam_I: proline--tRNA ligase', 475, NULL, 'TIGR00408', 195108),
(251383, 'TIGR04551', NULL, 'TIGR04551: TIGR04551 family protein', 519, NULL, 'TIGR04551', 195109),
(251384, 'TIGR00262', NULL, 'trpA: tryptophan synthase, alpha subunit', 256, NULL, 'TIGR00262', 195110),
(251385, 'TIGR00316', NULL, 'cdhC: CO dehydrogenase/CO-methylating acetyl-CoA synthase complex, beta subunit', 460, NULL, 'TIGR00316', 195111),
(251386, 'TIGR00545', NULL, 'lipoyltrans: lipoyltransferase and lipoate-protein ligase', 326, NULL, 'TIGR00545', 195112),
(251387, 'TIGR04568', NULL, 'arch_SelU_Nterm: selenouridine synthase, SelU N-terminal-like subunit', 215, NULL, 'TIGR04568', 195113),
(251388, 'TIGR02581', NULL, 'cas_cyan_RAMP: CRISPR-associated RAMP protein, SSO1426 family', 216, NULL, 'TIGR02581', 195114),
(251389, 'TIGR00989', NULL, '3a0801s07tom40: mitochondrial import receptor subunit', 161, NULL, 'TIGR00989', 195115),
(251390, 'TIGR02635', NULL, 'RhaI_grampos: L-rhamnose isomerase', 378, NULL, 'TIGR02635', 195116),
(251391, 'TIGR04124', NULL, 'archaeo_artE: archaeosortase family protein ArtE', 153, NULL, 'TIGR04124', 195117);
INSERT INTO "PUBLIC"."MODEL" VALUES
(251392, 'TIGR00491', NULL, 'aIF-2: translation initiation factor aIF-2', 594, NULL, 'TIGR00491', 195118),
(251393, 'TIGR01924', NULL, 'rsbW_low_gc: anti-sigma B factor', 159, NULL, 'TIGR01924', 195119),
(251394, 'TIGR03413', NULL, 'GSH_gloB: hydroxyacylglutathione hydrolase', 248, NULL, 'TIGR03413', 195120),
(251395, 'TIGR03304', NULL, 'OMP85_target: outer membrane insertion C-terminal signal', 10, NULL, 'TIGR03304', 195121),
(251396, 'TIGR01119', NULL, 'lacB: galactose-6-phosphate isomerase, LacB subunit', 171, NULL, 'TIGR01119', 195122),
(251397, 'TIGR01214', NULL, 'rmlD: dTDP-4-dehydrorhamnose reductase', 285, NULL, 'TIGR01214', 195123),
(251398, 'TIGR04476', NULL, 'exosort_XrtN: exosortase N', 406, NULL, 'TIGR04476', 195124),
(251399, 'TIGR04190', NULL, 'B12_SAM_Ta0216: B12-binding domain/radical SAM domain protein, Ta0216 family', 554, NULL, 'TIGR04190', 195125),
(251400, 'TIGR02369', NULL, 'trimeth_pyl: trimethylamine:corrinoid methyltransferase', 489, NULL, 'TIGR02369', 195126),
(251401, 'TIGR00436', NULL, 'era: GTP-binding protein Era', 270, NULL, 'TIGR00436', 195127),
(251402, 'TIGR00665', NULL, 'DnaB: replicative DNA helicase', 435, NULL, 'TIGR00665', 195128),
(251403, 'TIGR02352', NULL, 'thiamin_ThiO: glycine oxidase ThiO', 351, NULL, 'TIGR02352', 195129),
(251404, 'TIGR04004', NULL, 'WcaM: colanic acid biosynthesis protein WcaM', 464, NULL, 'TIGR04004', 195130),
(251405, 'TIGR02461', NULL, 'osmo_MPG_phos: mannosyl-3-phosphoglycerate phosphatase', 227, NULL, 'TIGR02461', 195131),
(251406, 'TIGR00184', NULL, 'purA: adenylosuccinate synthase', 425, NULL, 'TIGR00184', 195132),
(251407, 'TIGR00944', NULL, '2a6301s04: multicomponent K+:H+antiporter', 463, NULL, 'TIGR00944', 195133),
(251408, 'TIGR02045', NULL, 'P_fruct_ADP: ADP-specific phosphofructokinase', 446, NULL, 'TIGR02045', 195134),
(251409, 'TIGR02274', NULL, 'dCTP_deam: deoxycytidine triphosphate deaminase', 180, NULL, 'TIGR02274', 195135),
(251410, 'TIGR01709', NULL, 'typeII_sec_gspL: type II secretion system protein L', 389, NULL, 'TIGR01709', 195136),
(251411, 'TIGR04459', NULL, 'TisB_tox: type I toxin-antitoxin system toxin TisB', 29, NULL, 'TIGR04459', 195137),
(251412, 'TIGR01761', NULL, 'thiaz-red: thiazolinyl imide reductase', 350, NULL, 'TIGR01761', 195138),
(251413, 'TIGR01242', NULL, '26Sp45: 26S proteasome subunit P45 family', 364, NULL, 'TIGR01242', 195139),
(251414, 'TIGR02690', NULL, 'resist_ArsH: arsenical resistance protein ArsH', 219, NULL, 'TIGR02690', 195140),
(251415, 'TIGR01655', NULL, 'yxeA_fam: conserved hypothetical protein', 114, NULL, 'TIGR01655', 195141),
(251416, 'TIGR00500', NULL, 'met_pdase_I: methionine aminopeptidase, type I', 247, NULL, 'TIGR00500', 195142),
(251417, 'TIGR03899', NULL, 'TIGR03899: TIGR03899 family protein', 250, NULL, 'TIGR03899', 195143),
(251418, 'TIGR04367', NULL, 'HpnR_B12_rSAM: hopanoid C-3 methylase HpnR', 490, NULL, 'TIGR04367', 195144),
(251419, 'TIGR01228', NULL, 'hutU: urocanate hydratase', 545, NULL, 'TIGR01228', 195145),
(251420, 'TIGR01105', NULL, 'galF: regulatory protein GalF', 297, NULL, 'TIGR01105', 195146),
(251421, 'TIGR03212', NULL, 'uraD_N-term-dom: putative urate catabolism protein', 297, NULL, 'TIGR03212', 195147),
(251422, 'TIGR01348', NULL, 'PDHac_trf_long: dihydrolipoyllysine-residue acetyltransferase', 587, NULL, 'TIGR01348', 195148),
(251423, 'TIGR02383', NULL, 'Hfq: RNA chaperone Hfq', 61, NULL, 'TIGR02383', 195149),
(251424, 'TIGR02607', NULL, 'antidote_HigA: addiction module antidote protein, HigA family', 81, NULL, 'TIGR02607', 195150),
(251425, 'TIGR04353', NULL, 'PqqD_rel_X: PqqD family protein, HPr-rel-A system', 74, NULL, 'TIGR04353', 195151),
(251426, 'TIGR02900', NULL, 'spore_V_B: stage V sporulation protein B', 488, NULL, 'TIGR02900', 195152),
(251427, 'TIGR03611', NULL, 'RutD: pyrimidine utilization protein D', 258, NULL, 'TIGR03611', 195153),
(251428, 'TIGR04070', NULL, 'photo_TT_lyase: spore photoproduct lyase', 338, NULL, 'TIGR04070', 195154),
(251429, 'TIGR02501', NULL, 'type_III_yscE: type III secretion system protein, YseE family', 67, NULL, 'TIGR02501', 195155);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(251430, 'TIGR01818', NULL, 'ntrC: nitrogen regulation protein NR(I)', 463, NULL, 'TIGR01818', 195156),
(251431, 'TIGR04339', NULL, 'PQQ_MSMEG_3727: PQQ system protein', 151, NULL, 'TIGR04339', 195157),
(251432, 'TIGR02154', NULL, 'PhoB: phosphate regulon transcriptional regulatory protein PhoB', 226, NULL, 'TIGR02154', 195158),
(251433, 'TIGR03656', NULL, 'IsdC: heme uptake protein IsdC', 219, NULL, 'TIGR03656', 195159),
(251434, 'TIGR03885', NULL, 'flavin_revert: probable non-F420 flavinoid oxidoreductase', 315, NULL, 'TIGR03885', 195160),
(251435, 'TIGR01641', NULL, 'phageSPP1_gp7: phage head morphogenesis protein, SPP1 gp7 family', 109, NULL, 'TIGR01641', 195161),
(251436, 'TIGR00788', NULL, 'fbt: folate/biopterin transporter', 468, NULL, 'TIGR00788', 195162),
(251437, 'TIGR02515', NULL, 'IV_pilus_PilQ: type IV pilus secretin PilQ', 428, NULL, 'TIGR02515', 195163),
(251438, 'TIGR01013', NULL, '2a58: sodium-dependent inorganic phosphate (Pi) transporter', 456, NULL, 'TIGR01013', 195164),
(251439, 'TIGR00382', NULL, 'clpX: ATP-dependent Clp protease, ATP-binding subunit ClpX', 414, NULL, 'TIGR00382', 195165),
(251440, 'TIGR02168', NULL, 'SMC_prok_B: chromosome segregation protein SMC', 1181, NULL, 'TIGR02168', 195166),
(251441, 'TIGR00009', NULL, 'L28: ribosomal protein bL28', 58, NULL, 'TIGR00009', 195167),
(251442, 'TIGR04110', NULL, 'heme_HutZ: heme utilization protein HutZ', 168, NULL, 'TIGR04110', 195168),
(251443, 'TIGR03427', NULL, 'ABC_peri_uca: ABC transporter periplasmic binding protein, urea carboxylase region', 328, NULL, 'TIGR03427', 195169),
(251444, 'TIGR01884', NULL, 'cas_HTH: CRISPR locus-related DNA-binding protein', 202, NULL, 'TIGR01884', 195170),
(251445, 'TIGR02914', NULL, 'EpsI_fam: EpsI family protein', 174, NULL, 'TIGR02914', 195171),
(251446, 'TIGR02397', NULL, 'dnaX_nterm: DNA polymerase III, subunit gamma and tau', 355, NULL, 'TIGR02397', 195172),
(251447, 'TIGR01614', NULL, 'PME_inhib: pectinesterase inhibitor domain', 178, NULL, 'TIGR01614', 195173),
(251448, 'TIGR02492', NULL, 'flgK_ends: flagellar hook-associated protein FlgK', 437, NULL, 'TIGR02492', 195174),
(251449, 'TIGR03944', NULL, 'dehyd_SbnB_fam: 2,3-diaminopropionate biosynthesis protein SbnB', 327, NULL, 'TIGR03944', 195175),
(251450, 'TIGR00059', NULL, 'L17: ribosomal protein bL17', 112, NULL, 'TIGR00059', 195176),
(251451, 'TIGR00885', NULL, 'fucP: L-fucose:H+ symporter permease', 410, NULL, 'TIGR00885', 195177),
(251452, 'TIGR02252', NULL, 'DREG-2: HAD hydrolase, REG-2-like, family IA', 203, NULL, 'TIGR02252', 195178),
(251453, 'TIGR02975', NULL, 'phageshock_pspG: phage shock protein G', 64, NULL, 'TIGR02975', 195179),
(251454, 'TIGR03493', NULL, 'cellullose_BcsF: celllulose biosynthesis operon protein BcsF/YhjT', 62, NULL, 'TIGR03493', 195180),
(251455, 'TIGR04342', NULL, 'EXLDI: EXLDI protein', 124, NULL, 'TIGR04342', 195181),
(251456, 'TIGR01854', NULL, 'lipid_A_lpxH: UDP-2,3-diacylglucosamine diphosphatase', 231, NULL, 'TIGR01854', 195182),
(251457, 'TIGR03704', NULL, 'PrmC_rel_meth: putative protein-(glutamine-N5) methyltransferase, unknown substrate-specific', 251, NULL, 'TIGR03704', 195183),
(251458, 'TIGR04239', NULL, 'rhombo_GlpG: rhomboid family protease GlpG', 271, NULL, 'TIGR04239', 195184),
(251459, 'TIGR01541', NULL, 'tape_meas_lam_C: phage tail tape measure protein, lambda family', 332, NULL, 'TIGR01541', 195185),
(251460, 'TIGR02149', NULL, 'glgA_Coryne: glycogen synthase, Corynebacterium family', 391, NULL, 'TIGR02149', 195186),
(251461, 'TIGR02735', NULL, 'purC_vibrio: phosphoribosylaminoimidazole-succinocarboxamide synthase', 365, NULL, 'TIGR02735', 195187),
(251462, 'TIGR00332', NULL, 'neela_ferrous: desulfoferrodoxin ferrous iron-binding domain', 107, NULL, 'TIGR00332', 195188),
(251463, 'TIGR00162', NULL, 'TIGR00162: TIGR00162 family protein', 260, NULL, 'TIGR00162', 195189),
(251464, 'TIGR02422', NULL, 'protocat_beta: protocatechuate 3,4-dioxygenase, beta subunit', 220, NULL, 'TIGR02422', 195190),
(251465, 'TIGR00645', NULL, 'HI0507: TIGR00645 family protein', 167, NULL, 'TIGR00645', 195191);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(251466, 'TIGR03622', NULL, 'urea_t_UrtB_arc: urea ABC transporter, permease protein UrtB', 284, NULL, 'TIGR03622', 195192),
(251467, 'TIGR04020', NULL, 'seco_metab_LLM: natural product biosynthesis luciferase-like monooxygenase domain', 341, NULL, 'TIGR04020', 195193),
(251468, 'TIGR00967', NULL, '3a0501s007: preprotein translocase, SecY subunit', 414, NULL, 'TIGR00967', 195194),
(251469, 'TIGR01532', NULL, 'E4PD_g-proteo: erythrose-4-phosphate dehydrogenase', 325, NULL, 'TIGR01532', 195195),
(251470, 'TIGR00475', NULL, 'selB: selenocysteine-specific translation elongation factor', 581, NULL, 'TIGR00475', 195196),
(251471, 'TIGR03631', NULL, 'uS13_bact: ribosomal protein uS13', 113, NULL, 'TIGR03631', 195197),
(251472, 'TIGR02565', NULL, 'cas_Csy2: CRISPR type I-F/YPEST-associated protein Csy2', 296, NULL, 'TIGR02565', 195198),
(251473, 'TIGR03180', NULL, 'UraD_2: OHCU decarboxylase', 158, NULL, 'TIGR03180', 195199),
(251474, 'TIGR03999', NULL, 'thiol_BshA: N-acetyl-alpha-D-glucosaminyl L-malate synthase BshA', 375, NULL, 'TIGR03999', 195200),
(251475, 'TIGR01309', NULL, 'uL30_arch: ribosomal protein uL30', 151, NULL, 'TIGR01309', 195201),
(251476, 'TIGR00701', NULL, 'TIGR00701: TIGR00701 family protein', 142, NULL, 'TIGR00701', 195202),
(251477, 'TIGR01090', NULL, 'apt: adenine phosphoribosyltransferase', 169, NULL, 'TIGR01090', 195203),
(251478, 'TIGR03373', NULL, 'VI_minor_4: type VI secretion-associated protein, BMA_A0400 family', 136, NULL, 'TIGR03373', 195204),
(251479, 'TIGR01725', NULL, 'phge_HK97_gp10: phage protein, HK97 gp10 family', 120, NULL, 'TIGR01725', 195205),
(251480, 'TIGR03229', NULL, 'benzo_1_2_benA: benzoate 1,2-dioxygenase, large subunit', 433, NULL, 'TIGR03229', 195206),
(251481, 'TIGR01283', NULL, 'nifE: nitrogenase MoFe cofactor biosynthesis protein NifE', 459, NULL, 'TIGR01283', 195207),
(251482, 'TIGR00531', NULL, 'BCCP: acetyl-CoA carboxylase, biotin carboxyl carrier protein', 156, NULL, 'TIGR00531', 195208),
(251483, 'TIGR03815', NULL, 'CpaE_hom_Actino: helicase/secretion neighborhood CpaE-like protein', 340, NULL, 'TIGR03815', 195209),
(251484, 'TIGR00393', NULL, 'kpsF: sugar isomerase, KpsF/GutQ family', 268, NULL, 'TIGR00393', 195210),
(251485, 'TIGR01895', NULL, 'cas_Cas5t: CRISPR-associated protein Cas5, subtype I-B/TNEAP', 217, NULL, 'TIGR01895', 195211),
(251486, 'TIGR01172', NULL, 'cysE: serine O-acetyltransferase', 162, NULL, 'TIGR01172', 195212),
(251487, 'TIGR00844', NULL, 'c_cpa1: sodium/hydrogen antiporter', 810, NULL, 'TIGR00844', 195213),
(251488, 'TIGR01069', NULL, 'mutS2: MutS2 family protein', 771, NULL, 'TIGR01069', 195214),
(251489, 'TIGR02864', NULL, 'spore_sspO: small, acid-soluble spore protein O', 50, NULL, 'TIGR02864', 195215),
(251490, 'TIGR02006', NULL, 'IscS: cysteine desulfurase IscS', 402, NULL, 'TIGR02006', 195216),
(251491, 'TIGR03745', NULL, 'conj_TIGR03745: integrating conjugative element membrane protein, PFL_4702 family', 105, NULL, 'TIGR03745', 195217),
(251492, 'TIGR04383', NULL, 'acidic_w_LPXTA: processed acidic surface protein', 320, NULL, 'TIGR04383', 195218),
(251493, 'TIGR01362', NULL, 'KDO8P_synth: 3-deoxy-8-phosphooctulonate synthase', 258, NULL, 'TIGR01362', 195219),
(251494, 'TIGR00221', NULL, 'nagA: N-acetylglucosamine-6-phosphate deacetylase', 380, NULL, 'TIGR00221', 195220),
(251495, 'TIGR03194', NULL, '4hydrxCoA_A: 4-hydroxybenzoyl-CoA reductase, alpha subunit', 746, NULL, 'TIGR03194', 195221),
(251496, 'TIGR03575', NULL, 'selen_PSTK_euk: L-seryl-tRNA(Sec) kinase', 340, NULL, 'TIGR03575', 195222),
(251497, 'TIGR00917', NULL, '2A060601: Niemann-Pick C type protein family', 1204, NULL, 'TIGR00917', 195223),
(251498, 'TIGR04409', NULL, 'LptC_YrbK: LPS export ABC transporter periplasmic protein LptC', 180, NULL, 'TIGR04409', 195224),
(251499, 'TIGR02170', NULL, 'thyX: thymidylate synthase, flavin-dependent', 211, NULL, 'TIGR02170', 195225),
(251500, 'TIGR01965', NULL, 'VCBS_repeat: VCBS repeat', 99, NULL, 'TIGR01965', 195226),
(251501, 'TIGR01711', NULL, 'gspJ: type II secretion system protein J', 192, NULL, 'TIGR01711', 195227);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(251502, 'TIGR01239', NULL, 'galT_2: galactose-1-phosphate uridylyltransferase', 489, NULL, 'TIGR01239', 195228),
(251503, 'TIGR04512', NULL, 'Mycopla_NOT_gsn: STREFT protein', 1045, NULL, 'TIGR04512', 195229),
(251504, 'TIGR00229', NULL, 'sensory_box: PAS domain S-box protein', 126, NULL, 'TIGR00229', 195230),
(251505, 'TIGR01795', NULL, 'CM_mono_cladeE: chorismate mutase', 94, NULL, 'TIGR01795', 195231),
(251506, 'TIGR02878', NULL, 'spore_ypjB: sporulation protein YpjB', 233, NULL, 'TIGR02878', 195232),
(251507, 'TIGR03672', NULL, 'rpl4p_arch: 50S ribosomal protein uL4', 251, NULL, 'TIGR03672', 195233),
(251508, 'TIGR02551', NULL, 'SpaO_YscQ: type III secretion apparatus protein, YscQ/HrcQ family', 300, NULL, 'TIGR02551', 195234),
(251509, 'TIGR02073', NULL, 'PBP_1c: penicillin-binding protein 1C', 728, NULL, 'TIGR02073', 195235),
(251510, 'TIGR04401', NULL, 'TAT_Cys_rich: twin-arginine translocation signal/Cys-rich four helix bundle protein', 151, NULL, 'TIGR04401', 195236),
(251511, 'TIGR02721', NULL, 'ycfN_thiK: thiamine kinase', 256, NULL, 'TIGR02721', 195237),
(251512, 'TIGR00903', NULL, '2A0129: major facilitator 4 family protein', 368, NULL, 'TIGR00903', 195238),
(251513, 'TIGR01868', NULL, 'casD_Cas5e: CRISPR-associated protein Cas5/CasD, subtype I-E/ECOLI', 230, NULL, 'TIGR01868', 195239),
(251514, 'TIGR03686', NULL, 'pupylate_PafA: Pup--protein ligase', 457, NULL, 'TIGR03686', 195240),
(251515, 'TIGR00824', NULL, 'EIIA-man: PTS system, mannose/fructose/sorbose family, IIA component', 116, NULL, 'TIGR00824', 195241),
(251516, 'TIGR01160', NULL, 'SUI1_MOF2: translation initiation factor SUI1', 110, NULL, 'TIGR01160', 195242),
(251517, 'TIGR02243', NULL, 'TIGR02243: putative baseplate assembly protein', 659, NULL, 'TIGR02243', 195243),
(251518, 'TIGR02662', NULL, 'dinitro_DRAG: ADP-ribosyl-[dinitrogen reductase] hydrolase', 287, NULL, 'TIGR02662', 195244),
(251519, 'TIGR00654', NULL, 'PhzF_family: phenazine biosynthesis protein, PhzF family', 298, NULL, 'TIGR00654', 195245),
(251520, 'TIGR00112', NULL, 'proC: pyrroline-5-carboxylate reductase', 263, NULL, 'TIGR00112', 195246),
(251521, 'TIGR02785', NULL, 'addA_Gpos: helicase-exonuclease AddAB, AddA subunit', 1234, NULL, 'TIGR02785', 195247),
(251522, 'TIGR04272', NULL, 'cxxc_cxxc_Mbark: CxxC-x17-CxxC domain', 37, NULL, 'TIGR04272', 195248),
(251523, 'TIGR02202', NULL, 'Ehrlichia_rpt: Ehrlichia chaffeensis immunodominant surface protein repeat', 77, NULL, 'TIGR02202', 195249),
(251524, 'TIGR02925', NULL, 'cis_trans_EpsD: peptidyl-prolyl cis-trans isomerase, EpsD family', 232, NULL, 'TIGR02925', 195250),
(251525, 'TIGR03754', NULL, 'conj_TOL_TraD: conjugative coupling factor TraD, PFGI-1 class', 643, NULL, 'TIGR03754', 195251),
(251526, 'TIGR04081', NULL, 'selen_ocin: radical SAM modification target peptide, selenobiotic family', 37, NULL, 'TIGR04081', 195252),
(251527, 'TIGR03636', NULL, 'uL23_arch: ribosomal protein uL23', 77, NULL, 'TIGR03636', 195253),
(251528, 'TIGR00522', NULL, 'dph5: diphthine synthase', 258, NULL, 'TIGR00522', 195254),
(251529, 'TIGR01248', NULL, 'drrC: daunorubicin resistance protein C', 152, NULL, 'TIGR01248', 195255),
(251530, 'TIGR03338', NULL, 'phnR_burk: phosphonate utilization associated transcriptional regulator', 212, NULL, 'TIGR03338', 195256),
(251531, 'TIGR04442', NULL, 'TIGR04442: TIGR04442 family protein', 608, NULL, 'TIGR04442', 195257),
(251532, 'TIGR03010', NULL, 'sulf_tusC_dsrF: sulfur relay protein TusC/DsrF', 116, NULL, 'TIGR03010', 195258),
(251533, 'TIGR02120', NULL, 'GspF: type II secretion system protein F', 401, NULL, 'TIGR02120', 195259),
(251534, 'TIGR02497', NULL, 'yscI_hrpB_dom: type III secretion apparatus protein, YscI/HrpB, C-terminal domain', 39, NULL, 'TIGR02497', 195260),
(251535, 'TIGR04210', NULL, 'bunya_NSm: bunyavirus nonstructural protein NSm', 173, NULL, 'TIGR04210', 195261),
(251536, 'TIGR00279', NULL, 'uL16_euk_arch: ribosomal protein uL16', 172, NULL, 'TIGR00279', 195262),
(251537, 'TIGR02755', NULL, 'TraX_Ftype: type-F conjugative transfer system pilin acetylase TraX', 224, NULL, 'TIGR02755', 195263);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(251538, 'TIGR03393', NULL, 'indolpyr_decarb: indolepyruvate decarboxylase', 539, NULL, 'TIGR03393', 195264),
(251539, 'TIGR01600', NULL, 'phage_tail_L: phage minor tail protein L', 224, NULL, 'TIGR01600', 195265),
(251540, 'TIGR01977', NULL, 'am_tr_V_EF2568: cysteine desulfurase family protein', 376, NULL, 'TIGR01977', 195266),
(251541, 'TIGR02592', NULL, 'cas_Cas5h: CRISPR-associated protein Cas5, subtype I-B/HMARI', 241, NULL, 'TIGR02592', 195267),
(251542, 'TIGR02313', NULL, 'HpaI-NOT-DapA: 2,4-dihydroxyhept-2-ene-1,7-dioic acid aldolase', 294, NULL, 'TIGR02313', 195268),
(251543, 'TIGR03645', NULL, 'glyox_marine: lactoylglutathione lyase family protein', 162, NULL, 'TIGR03645', 195269),
(251544, 'TIGR00400', NULL, 'mgtE: magnesium transporter', 450, NULL, 'TIGR00400', 195270),
(251545, 'TIGR03563', NULL, 'perox_SACOL1771: peroxiredoxin, SACOL1771 subfamily', 138, NULL, 'TIGR03563', 195271),
(251546, 'TIGR01342', NULL, 'acon_putative: putative aconitate hydratase', 655, NULL, 'TIGR01342', 195272),
(251547, 'TIGR01555', NULL, 'phge_rel_HI1409: phage-associated protein, HI1409 family', 404, NULL, 'TIGR01555', 195273),
(251548, 'TIGR00695', NULL, 'uxuA: mannonate dehydratase', 394, NULL, 'TIGR00695', 195274),
(251549, 'TIGR01432', NULL, 'QOXA: cytochrome aa3 quinol oxidase, subunit II', 227, NULL, 'TIGR01432', 195275),
(251550, 'TIGR02934', NULL, 'nifT_nitrog: probable nitrogen fixation protein FixT', 68, NULL, 'TIGR02934', 195276),
(251551, 'TIGR03452', NULL, 'mycothione_red: mycothione reductase', 452, NULL, 'TIGR03452', 195277),
(251552, 'TIGR02483', NULL, 'PFK_mixed: phosphofructokinase', 325, NULL, 'TIGR02483', 195278),
(251553, 'TIGR01139', NULL, 'cysK: cysteine synthase A', 298, NULL, 'TIGR01139', 195279),
(251554, 'TIGR03159', NULL, 'cas_Csc1: CRISPR type I-D/CYANO-associated protein Csc1', 225, NULL, 'TIGR03159', 195280),
(251555, 'TIGR04090', NULL, 'exp_by_SipW_IV: alternate signal-mediated exported protein, CPF_0494 family', 241, NULL, 'TIGR04090', 195281),
(251556, 'TIGR03985', NULL, 'TIGR03985: CRISPR-associated protein, TIGR03985 family', 249, NULL, 'TIGR03985', 195282),
(251557, 'TIGR00584', NULL, 'mug: mismatch-specific thymine-DNA glycosylate (mug)', 328, NULL, 'TIGR00584', 195283),
(251558, 'TIGR01963', NULL, 'PHB_DH: 3-hydroxybutyrate dehydrogenase', 255, NULL, 'TIGR01963', 195284),
(251559, 'TIGR04163', NULL, 'rSAM_cobopep: peptide-modifying radical SAM enzyme CbpB', 428, NULL, 'TIGR04163', 195285),
(251560, 'TIGR01505', NULL, 'tartro_sem_red: 2-hydroxy-3-oxopropionate reductase', 291, NULL, 'TIGR01505', 195286),
(251561, 'TIGR03801', NULL, 'asp_4_decarbox: aspartate 4-decarboxylase', 521, NULL, 'TIGR03801', 195287),
(251562, 'TIGR01418', NULL, 'PEP_synth: phosphoenolpyruvate synthase', 784, NULL, 'TIGR01418', 195288),
(251563, 'TIGR00586', NULL, 'mutt: mutator mutT protein', 129, NULL, 'TIGR00586', 195289),
(251564, 'TIGR02948', NULL, 'SigW_bacill: RNA polymerase sigma-W factor', 187, NULL, 'TIGR02948', 195290),
(251565, 'TIGR01392', NULL, 'homoserO_Ac_trn: homoserine O-acetyltransferase', 351, NULL, 'TIGR01392', 195291),
(251566, 'TIGR04026', NULL, 'PPOX_FMN_cyano: PPOX class probable FMN-dependent enzyme, alr4036 family', 185, NULL, 'TIGR04026', 195292),
(251567, 'TIGR03577', NULL, 'EF_0830: conserved hypothetical protein EF_0830/AHA_3911', 115, NULL, 'TIGR03577', 195293),
(251568, 'TIGR02129', NULL, 'hisA_euk: phosphoribosylformimino-5-aminoimidazole carboxamide ribotide isomerase', 255, NULL, 'TIGR02129', 195294),
(251569, 'TIGR01602', NULL, 'PY-rept-46: Plasmodium yoelii repeat of length 46', 46, NULL, 'TIGR01602', 195295),
(251570, 'TIGR03924', NULL, 'T7SS_EccC_a: type VII secretion protein EccCa', 673, NULL, 'TIGR03924', 195296),
(251571, 'TIGR04260', NULL, 'Cyano_gly_rpt: rSAM-associated Gly-rich repeat protein', 118, NULL, 'TIGR04260', 195297),
(251572, 'TIGR02311', NULL, 'HpaI: 2,4-dihydroxyhept-2-ene-1,7-dioic acid aldolase', 249, NULL, 'TIGR02311', 195298),
(251573, 'TIGR03813', NULL, 'put_Glu_GABA_T: putative glutamate/gamma-aminobutyrate antiporter', 474, NULL, 'TIGR03813', 195299);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(251574, 'TIGR04451', NULL, 'lanti_SCO0268: lantipeptide, SCO0268 family', 53, NULL, 'TIGR04451', 195300),
(251575, 'TIGR03466', NULL, 'HpnA: hopanoid-associated sugar epimerase', 327, NULL, 'TIGR03466', 195301),
(251576, 'TIGR00461', NULL, 'gcvP: glycine dehydrogenase', 939, NULL, 'TIGR00461', 195302),
(251577, 'TIGR04333', NULL, 'Clo7Bot_mod_Cys: Cys-rich peptide, Clo7bot family', 34, NULL, 'TIGR04333', 195303),
(251578, 'TIGR01786', NULL, 'TonB-hemlactrns: TonB-dependent hemoglobin/transferrin/lactoferrin receptor family protein', 719, NULL, 'TIGR01786', 195304),
(251579, 'TIGR00631', NULL, 'uvrb: excinuclease ABC subunit B', 658, NULL, 'TIGR00631', 195305),
(251580, 'TIGR04274', NULL, 'hypoxanDNAglyco: DNA-deoxyinosine glycosylase', 150, NULL, 'TIGR04274', 195306),
(251581, 'TIGR03329', NULL, 'Phn_aa_oxid: putative aminophosphonate oxidoreductase', 460, NULL, 'TIGR03329', 195307),
(251582, 'TIGR01820', NULL, 'TrpE-arch: anthranilate synthase component I', 449, NULL, 'TIGR01820', 195308),
(251583, 'TIGR00905', NULL, '2A0302: transporter, basic amino acid/polyamine antiporter (APA) family', 473, NULL, 'TIGR00905', 195309),
(251584, 'TIGR03910', NULL, 'pyrrolys_PylB: pyrrolysine biosynthesis radical SAM protein', 347, NULL, 'TIGR03910', 195310),
(251585, 'TIGR03030', NULL, 'CelA: cellulose synthase catalytic subunit (UDP-forming)', 714, NULL, 'TIGR03030', 195311),
(251586, 'TIGR00025', NULL, 'Mtu_efflux: ABC transporter efflux protein, DrrB family', 238, NULL, 'TIGR00025', 195312),
(251587, 'TIGR03343', NULL, 'biphenyl_bphD: 2-hydroxy-6-oxo-6-phenylhexa-2,4-dienoate hydrolase', 282, NULL, 'TIGR03343', 195313),
(251588, 'TIGR03513', NULL, 'GldL_gliding: gliding motility-associated protein GldL', 247, NULL, 'TIGR03513', 195314),
(251589, 'TIGR00681', NULL, 'kdpC: K+-transporting ATPase, C subunit', 187, NULL, 'TIGR00681', 195315),
(251590, 'TIGR04224', NULL, 'ser_adhes_Nterm: serine-rich repeat adhesion glycoprotein', 50, NULL, 'TIGR04224', 195316),
(251591, 'TIGR01487', NULL, 'Pglycolate_arch: phosphoglycolate phosphatase, TA0175-type', 215, NULL, 'TIGR01487', 195317),
(251592, 'TIGR00735', NULL, 'hisF: imidazoleglycerol phosphate synthase, cyclase subunit', 254, NULL, 'TIGR00735', 195318),
(251593, 'TIGR03379', NULL, 'glycerol3P_GlpC: glycerol-3-phosphate dehydrogenase, anaerobic, C subunit', 397, NULL, 'TIGR03379', 195319),
(251594, 'TIGR03085', NULL, 'TIGR03085: TIGR03085 family protein', 201, NULL, 'TIGR03085', 195320),
(251595, 'TIGR01110', NULL, 'mdcA: malonate decarboxylase, alpha subunit', 543, NULL, 'TIGR01110', 195321),
(251596, 'TIGR01929', NULL, 'menB: naphthoate synthase', 259, NULL, 'TIGR01929', 195322),
(251597, 'TIGR02018', NULL, 'his_ut_repres: histidine utilization repressor', 230, NULL, 'TIGR02018', 195323),
(251598, 'TIGR04348', NULL, 'TIGR04348: putative glycosyltransferase, TIGR04348 family', 310, NULL, 'TIGR04348', 195324),
(251599, 'TIGR02258', NULL, '2_5_ligase: 2''-5'' RNA ligase', 180, NULL, 'TIGR02258', 195325),
(251600, 'TIGR02660', NULL, 'nifV_homocitr: homocitrate synthase', 365, NULL, 'TIGR02660', 195326),
(251601, 'TIGR04108', NULL, 'HutX: putative heme utilization carrier protein HutX', 154, NULL, 'TIGR04108', 195327),
(251602, 'TIGR01902', NULL, 'dapE-lys-deAc: N-acetyl-ornithine/N-acetyl-lysine deacetylase', 340, NULL, 'TIGR01902', 195328),
(251603, 'TIGR01410', NULL, 'tatB: twin arginine-targeting protein translocase TatB', 80, NULL, 'TIGR01410', 195329),
(251604, 'TIGR02696', NULL, 'pppGpp_PNP: guanosine pentaphosphate synthetase I/polyribonucleotide nucleotidyltransferase', 720, NULL, 'TIGR02696', 195330),
(251605, 'TIGR02844', NULL, 'spore_III_D: sporulation transcriptional regulator SpoIIID', 80, NULL, 'TIGR02844', 195331),
(251606, 'TIGR03740', NULL, 'galliderm_ABC: lantibiotic protection ABC transporter, ATP-binding subunit', 223, NULL, 'TIGR03740', 195332),
(251607, 'TIGR01650', NULL, 'PD_CobS: cobaltochelatase, CobS subunit', 327, NULL, 'TIGR01650', 195333),
(251608, 'TIGR03500', NULL, 'FliO_TIGR: flagellar biosynthetic protein FliO', 70, NULL, 'TIGR03500', 195334);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(251609, 'TIGR04492', NULL, 'VioB: iminophenyl-pyruvate dimer synthase VioB', 1003, NULL, 'TIGR04492', 195335),
(251610, 'TIGR03835', NULL, 'termin_org_DnaJ: terminal organelle assembly protein TopJ', 871, NULL, 'TIGR03835', 195336),
(251611, 'TIGR00338', NULL, 'serB: phosphoserine phosphatase SerB', 219, NULL, 'TIGR00338', 195337),
(251612, 'TIGR01745', NULL, 'asd_gamma: aspartate-semialdehyde dehydrogenase', 366, NULL, 'TIGR01745', 195338),
(251613, 'TIGR02061', NULL, 'aprA: adenylylsulfate reductase, alpha subunit', 616, NULL, 'TIGR02061', 195339),
(251614, 'TIGR00168', NULL, 'infC: translation initiation factor IF-3', 165, NULL, 'TIGR00168', 195340),
(251615, 'TIGR04518', NULL, 'ECF_S_folT_fam: ECF transporter S component, folate family', 163, NULL, 'TIGR04518', 195341),
(251616, 'TIGR00053', NULL, 'TIGR00053: addiction module toxin component, YafQ family', 92, NULL, 'TIGR00053', 195342),
(251617, 'TIGR02503', NULL, 'type_III_SycN: type III secretion chaperone SycN', 120, NULL, 'TIGR02503', 195343),
(251618, 'TIGR04076', NULL, 'TIGR04076: TIGR04076 family protein', 91, NULL, 'TIGR04076', 195344),
(251619, 'TIGR02428', NULL, 'pcaJ_scoB_fam: 3-oxoacid CoA-transferase, B subunit', 207, NULL, 'TIGR02428', 195345),
(251620, 'TIGR02674', NULL, 'cas_cyan_RAMP_2: CRISPR-associated RAMP protein, Csx10 family', 402, NULL, 'TIGR02674', 195346),
(251621, 'TIGR00413', NULL, 'rlpA: rare lipoprotein A', 208, NULL, 'TIGR00413', 195347),
(251622, 'TIGR01999', NULL, 'iscU: FeS cluster assembly scaffold IscU', 124, NULL, 'TIGR01999', 195348),
(251623, 'TIGR03849', NULL, 'arch_ComA: phosphosulfolactate synthase', 237, NULL, 'TIGR03849', 195349),
(251624, 'TIGR04040', NULL, 'glycyl_YjjI: glycine radical enzyme, YjjI family', 497, NULL, 'TIGR04040', 195350),
(251625, 'TIGR00223', NULL, 'panD: aspartate 1-decarboxylase', 126, NULL, 'TIGR00223', 195351),
(251626, 'TIGR00994', NULL, '3a0901s05TIC20: chloroplast protein import component, Tic20 family', 267, NULL, 'TIGR00994', 195352),
(251627, 'TIGR01364', NULL, 'serC_1: phosphoserine transaminase', 358, NULL, 'TIGR01364', 195353),
(251628, 'TIGR02866', NULL, 'CoxB: cytochrome c oxidase, subunit II', 202, NULL, 'TIGR02866', 195354),
(251629, 'TIGR03541', NULL, 'reg_near_HchA: LuxR family transcriptional regulatory, chaperone HchA-associated', 232, NULL, 'TIGR03541', 195355),
(251630, 'TIGR03863', NULL, 'PQQ_ABC_bind: ABC transporter, substrate binding protein, PQQ-dependent alcohol dehydrogenase system', 347, NULL, 'TIGR03863', 195356),
(251631, 'TIGR03071', NULL, 'couple_hipA: HipA N-terminal domain', 101, NULL, 'TIGR03071', 195357),
(251632, 'TIGR01035', NULL, 'hemA: glutamyl-tRNA reductase', 416, NULL, 'TIGR01035', 195358),
(251633, 'TIGR00858', NULL, 'bioF: 8-amino-7-oxononanoate synthase', 365, NULL, 'TIGR00858', 195359),
(251634, 'TIGR03200', NULL, 'dearomat_oah: 6-oxocyclohex-1-ene-1-carbonyl-CoA hydrolase', 360, NULL, 'TIGR03200', 195360),
(251635, 'TIGR01049', NULL, 'rpsJ_bact: ribosomal protein uS10', 99, NULL, 'TIGR01049', 195361),
(251636, 'TIGR04054', NULL, 'rSAM_NirJ1: putative heme d1 biosynthesis radical SAM protein NirJ1', 387, NULL, 'TIGR04054', 195362),
(251637, 'TIGR04389', NULL, 'Lepto_lipo_1: lipoprotein, tandem type', 201, NULL, 'TIGR04389', 195363),
(251638, 'TIGR04546', NULL, 'rSAM_ahbC_deAc: 12,18-didecarboxysiroheme deacetylase', 390, NULL, 'TIGR04546', 195364),
(251639, 'TIGR03044', NULL, 'PS_II_psb27: photosystem II protein Psb27', 135, NULL, 'TIGR03044', 195365),
(251640, 'TIGR01691', NULL, 'enolase-ppase: 2,3-diketo-5-methylthio-1-phosphopentane phosphatase', 224, NULL, 'TIGR01691', 195366),
(251641, 'TIGR02361', NULL, 'dak_ATP: dihydroxyacetone kinase', 583, NULL, 'TIGR02361', 195367),
(251642, 'TIGR00039', NULL, '6PTHBS: 6-pyruvoyl tetrahydropterin synthase/QueD family protein', 124, NULL, 'TIGR00039', 195368),
(251643, 'TIGR02531', NULL, 'yecD_yerC: TrpR homolog YerC/YecD', 88, NULL, 'TIGR02531', 195369),
(251644, 'TIGR00536', NULL, 'hemK_fam: methyltransferase, HemK family', 286, NULL, 'TIGR00536', 195370),
(251645, 'TIGR03876', NULL, 'cas_csaX: CRISPR type I-A/APERN-associated protein CsaX', 281, NULL, 'TIGR03876', 195371);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(251646, 'TIGR02374', NULL, 'nitri_red_nirB: nitrite reductase [NAD(P)H], large subunit', 794, NULL, 'TIGR02374', 195372),
(251647, 'TIGR03371', NULL, 'cellulose_yhjQ: cellulose synthase operon protein YhjQ', 246, NULL, 'TIGR03371', 195373),
(251648, 'TIGR00713', NULL, 'hemL: glutamate-1-semialdehyde-2,1-aminomutase', 423, NULL, 'TIGR00713', 195374),
(251649, 'TIGR03214', NULL, 'ura-cupin: putative allantoin catabolism protein', 260, NULL, 'TIGR03214', 195375),
(251650, 'TIGR01357', NULL, 'aroB: 3-dehydroquinate synthase', 344, NULL, 'TIGR01357', 195376),
(251651, 'TIGR00366', NULL, 'TIGR00366: TIGR00366 family protein', 438, NULL, 'TIGR00366', 195377),
(251652, 'TIGR02184', NULL, 'Myco_arth_vir_N: Mycoplasma virulence family signal region', 33, NULL, 'TIGR02184', 195378),
(251653, 'TIGR00406', NULL, 'prmA: ribosomal protein L11 methyltransferase', 288, NULL, 'TIGR00406', 195379),
(251654, 'TIGR02442', NULL, 'Cob-chelat-sub: cobaltochelatase subunit', 641, NULL, 'TIGR02442', 195380),
(251655, 'TIGR01664', NULL, 'DNA-3''-Pase: DNA 3''-phosphatase', 167, NULL, 'TIGR01664', 195381),
(251656, 'TIGR03597', NULL, 'GTPase_YqeH: ribosome biogenesis GTPase YqeH', 361, NULL, 'TIGR03597', 195382),
(251657, 'TIGR04532', NULL, 'PT_fungal_PKS: polyketide product template domain', 329, NULL, 'TIGR04532', 195383),
(251658, 'TIGR03153', NULL, 'cytochr_NrfH: cytochrome c nitrite reductase, small subunit', 138, NULL, 'TIGR03153', 195384),
(251659, 'TIGR04101', NULL, 'CCGSCS: CCGSCS motif protein', 59, NULL, 'TIGR04101', 195385),
(251660, 'TIGR04478', NULL, 'rSAM_YfkAB: radical SAM/CxCxxxxC motif protein YfkAB', 363, NULL, 'TIGR04478', 195386),
(251661, 'TIGR01063', NULL, 'gyrA: DNA gyrase, A subunit', 800, NULL, 'TIGR01063', 195387),
(251662, 'TIGR01806', NULL, 'CM_mono2: putative chorismate mutase', 114, NULL, 'TIGR01806', 195388),
(251663, 'TIGR03207', NULL, 'cyc_hxne_CoA_dh: cyclohexanecarboxyl-CoA dehydrogenase', 372, NULL, 'TIGR03207', 195389),
(251664, 'TIGR01780', NULL, 'SSADH: succinate-semialdehyde dehydrogenase', 448, NULL, 'TIGR01780', 195390),
(251665, 'TIGR01233', NULL, 'lacG: 6-phospho-beta-galactosidase', 472, NULL, 'TIGR01233', 195391),
(251666, 'TIGR01834', NULL, 'PHA_synth_III_E: poly(R)-hydroxyalkanoic acid synthase, class III, PhaE subunit', 324, NULL, 'TIGR01834', 195392),
(251667, 'TIGR02989', NULL, 'Sig-70_gvs1: RNA polymerase sigma-70 factor, Rhodopirellula/Verrucomicrobium family', 158, NULL, 'TIGR02989', 195393),
(251668, 'TIGR03323', NULL, 'alt_F1F0_F1_gam: alternate F1F0 ATPase, F1 subunit gamma', 285, NULL, 'TIGR03323', 195394),
(251669, 'TIGR02612', NULL, 'mob_myst_A: mobile mystery protein A', 150, NULL, 'TIGR02612', 195395),
(251670, 'TIGR02388', NULL, 'rpoC2_cyan: DNA-directed RNA polymerase, beta'''' subunit', 1230, NULL, 'TIGR02388', 195396),
(251671, 'TIGR00899', NULL, '2A0120: sugar efflux transporter', 375, NULL, 'TIGR00899', 195397),
(251672, 'TIGR01117', NULL, 'mmdA: methylmalonyl-CoA decarboxylase alpha subunit', 512, NULL, 'TIGR01117', 195398),
(251673, 'TIGR00427', NULL, 'TIGR00427: membrane protein, MarC family', 201, NULL, 'TIGR00427', 195399),
(251674, 'TIGR01008', NULL, 'uS3_euk_arch: ribosomal protein uS3', 195, NULL, 'TIGR01008', 195400),
(251675, 'TIGR03432', NULL, 'yjhG_yagF: putative dehydratase, YjhG/YagF family', 640, NULL, 'TIGR03432', 195401),
(251676, 'TIGR02517', NULL, 'type_II_gspD: type II secretion system protein D', 600, NULL, 'TIGR02517', 195402),
(251677, 'TIGR02912', NULL, 'sulfite_red_C: sulfite reductase, subunit C', 314, NULL, 'TIGR02912', 195403),
(251678, 'TIGR02470', NULL, 'sucr_synth: sucrose synthase', 784, NULL, 'TIGR02470', 195404),
(251679, 'TIGR03078', NULL, 'CH4_NH3mon_ox_C: methane monooxygenase/ammonia monooxygenase, subunit C', 231, NULL, 'TIGR03078', 195405),
(251680, 'TIGR00380', NULL, 'cobD: cobalamin biosynthesis protein CobD', 305, NULL, 'TIGR00380', 195406),
(251681, 'TIGR02333', NULL, '2met_isocit_dHY: 2-methylisocitrate dehydratase, Fe/S-dependent', 858, NULL, 'TIGR02333', 195407),
(251682, 'TIGR00148', NULL, 'TIGR00148: decarboxylase, UbiD family', 438, NULL, 'TIGR00148', 195408);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(251683, 'TIGR01398', NULL, 'FlhA: flagellar biosynthesis protein FlhA', 678, NULL, 'TIGR01398', 195409),
(251684, 'TIGR03488', NULL, 'cas_Cas5p: CRISPR-associated protein Cas5, subtype PGING', 236, NULL, 'TIGR03488', 195410),
(251685, 'TIGR03016', NULL, 'pepcterm_hypo_1: uncharacterized protein, PEP-CTERM system associated', 477, NULL, 'TIGR03016', 195411),
(251686, 'TIGR01473', NULL, 'cyoE_ctaB: protoheme IX farnesyltransferase', 281, NULL, 'TIGR01473', 195412),
(251687, 'TIGR01915', NULL, 'npdG: NADPH-dependent F420 reductase', 220, NULL, 'TIGR01915', 195413),
(251688, 'TIGR00243', NULL, 'Dxr: 1-deoxy-D-xylulose 5-phosphate reductoisomerase', 389, NULL, 'TIGR00243', 195414),
(251689, 'TIGR00604', NULL, 'rad3: DNA repair helicase (rad3)', 706, NULL, 'TIGR00604', 195415),
(251690, 'TIGR02640', NULL, 'gas_vesic_GvpN: gas vesicle protein GvpN', 262, NULL, 'TIGR02640', 195416),
(251691, 'TIGR00257', NULL, 'IMPACT_YIGZ: uncharacterized protein, YigZ family', 205, NULL, 'TIGR00257', 195417),
(251692, 'TIGR01759', NULL, 'MalateDH-SF1: malate dehydrogenase', 327, NULL, 'TIGR01759', 195418),
(251693, 'TIGR02293', NULL, 'TAS_TIGR02293: putative toxin-antitoxin system antitoxin component, TIGR02293 family', 133, NULL, 'TIGR02293', 195419),
(251694, 'TIGR01001', NULL, 'metA: homoserine O-succinyltransferase', 301, NULL, 'TIGR01001', 195420),
(251695, 'TIGR03795', NULL, 'RNP_Burkhold: ribosomal natural product, two-chain TOMM family', 114, NULL, 'TIGR03795', 195421),
(251696, 'TIGR01773', NULL, 'GABAperm: GABA permease', 452, NULL, 'TIGR01773', 195422),
(251697, 'TIGR03262', NULL, 'PhnU2: putative 2-aminoethylphosphonate ABC transporter, permease protein', 546, NULL, 'TIGR03262', 195423),
(251698, 'TIGR01582', NULL, 'FDH-beta: formate dehydrogenase, beta subunit', 283, NULL, 'TIGR01582', 195424),
(251699, 'TIGR00134', NULL, 'gatE_arch: glutamyl-tRNA(Gln) amidotransferase, subunit E', 622, NULL, 'TIGR00134', 195425),
(251700, 'TIGR01636', NULL, 'phage_rinA: phage transcriptional regulator, RinA family', 134, NULL, 'TIGR01636', 195426),
(251701, 'TIGR01289', NULL, 'LPOR: light-dependent protochlorophyllide reductase', 315, NULL, 'TIGR01289', 195427),
(251702, 'TIGR03125', NULL, 'citrate_citG: triphosphoribosyl-dephospho-CoA synthase CitG', 275, NULL, 'TIGR03125', 195428),
(251703, 'TIGR00776', NULL, 'RhaT: RhaT L-rhamnose-proton symporter family protein', 290, NULL, 'TIGR00776', 195429),
(251704, 'TIGR00080', NULL, 'pimt: protein-L-isoaspartate O-methyltransferase', 216, NULL, 'TIGR00080', 195430),
(251705, 'TIGR03767', NULL, 'P_acnes_RR: metallophosphoesterase, PPA1498 family', 496, NULL, 'TIGR03767', 195431),
(251706, 'TIGR00769', NULL, 'AAA: ADP/ATP carrier protein family', 472, NULL, 'TIGR00769', 195432),
(251707, 'TIGR02456', NULL, 'treS_nterm: trehalose synthase', 539, NULL, 'TIGR02456', 195433),
(251708, 'TIGR02319', NULL, 'CPEP_Pphonmut: carboxyvinyl-carboxyphosphonate phosphorylmutase', 294, NULL, 'TIGR02319', 195434),
(251709, 'TIGR02803', NULL, 'ExbD_1: TonB system transport protein ExbD', 122, NULL, 'TIGR02803', 195435),
(251710, 'TIGR04294', NULL, 'pre_pil_HX9DG: prepilin-type processing-associated H-X9-DG domain', 16, NULL, 'TIGR04294', 195436),
(251711, 'TIGR03781', NULL, 'Bac_Flav_CT_K: Bacteroides conjugative transposon TraK protein', 202, NULL, 'TIGR03781', 195437),
(251712, 'TIGR03958', NULL, 'monoFe_hyd_HmdC: 5,10-methenyltetrahydromethanopterin hydrogenase cofactor biosynthesis protein HmdC', 505, NULL, 'TIGR03958', 195438),
(251713, 'TIGR00271', NULL, 'TIGR00271: uncharacterized hydrophobic domain', 175, NULL, 'TIGR00271', 195439),
(251714, 'TIGR04457', NULL, 'lipo_LenA_lepto: lipoprotein LenA', 224, NULL, 'TIGR04457', 195440),
(251715, 'TIGR00094', NULL, 'tRNA_TruD_broad: tRNA pseudouridine synthase, TruD family', 413, NULL, 'TIGR00094', 195441),
(251716, 'TIGR01596', NULL, 'cas3_HD: CRISPR-associated endonuclease Cas3-HD', 178, NULL, 'TIGR01596', 195442),
(251717, 'TIGR01124', NULL, 'ilvA_2Cterm: threonine ammonia-lyase, biosynthetic', 499, NULL, 'TIGR01124', 195443),
(251718, 'TIGR01943', NULL, 'rnfA: electron transport complex, RnfABCDGE type, A subunit', 190, NULL, 'TIGR01943', 195444);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(251719, 'TIGR04464', NULL, 'chaper_lep: LipL41-expression chaperone Lep', 114, NULL, 'TIGR04464', 195445),
(251720, 'TIGR01301', NULL, 'GPH_sucrose: sucrose/H+ symporter', 476, NULL, 'TIGR01301', 195446),
(251721, 'TIGR03139', NULL, 'QueF-II: 7-cyano-7-deazaguanine reductase', 115, NULL, 'TIGR03139', 195447),
(251722, 'TIGR00939', NULL, '2a57: nucleoside Transporter', 439, NULL, 'TIGR00939', 195448),
(251723, 'TIGR00441', NULL, 'gmhA: phosphoheptose isomerase', 154, NULL, 'TIGR00441', 195449),
(251724, 'TIGR00216', NULL, 'ispH_lytB: 4-hydroxy-3-methylbut-2-enyl diphosphate reductase', 282, NULL, 'TIGR00216', 195450),
(251725, 'TIGR01908', NULL, 'cas_CXXC_CXXC: CRISPR-associated protein Cas8b1/Cst1, subtype I-B/TNEAP', 308, NULL, 'TIGR01908', 195451),
(251726, 'TIGR02426', NULL, 'protocat_pcaB: 3-carboxy-cis,cis-muconate cycloisomerase', 338, NULL, 'TIGR02426', 195452),
(251727, 'TIGR04516', NULL, 'glycosyl_450act: glycosyltransferase, activator-dependent family', 418, NULL, 'TIGR04516', 195453),
(251728, 'TIGR00368', NULL, 'TIGR00368: Mg chelatase-like protein', 499, NULL, 'TIGR00368', 195454),
(251729, 'TIGR02458', NULL, 'CbtA: cobalt transporter subunit CbtA (proposed)', 230, NULL, 'TIGR02458', 195455),
(251730, 'TIGR03096', NULL, 'nitroso_cyanin: nitrosocyanin', 135, NULL, 'TIGR03096', 195456),
(251731, 'TIGR00336', NULL, 'pyrE: orotate phosphoribosyltransferase', 173, NULL, 'TIGR00336', 195457),
(251732, 'TIGR03064', NULL, 'sortase_srtB: sortase, SrtB family', 235, NULL, 'TIGR03064', 195458),
(251733, 'TIGR04548', NULL, 'DnaD_Mollicutes: DnaD family protein', 178, NULL, 'TIGR04548', 195459),
(251734, 'TIGR00023', NULL, 'TIGR00023: acyl-phosphate glycerol 3-phosphate acyltransferase', 196, NULL, 'TIGR00023', 195460),
(251735, 'TIGR03377', NULL, 'glycerol3P_GlpA: glycerol-3-phosphate dehydrogenase, anaerobic, A subunit', 530, NULL, 'TIGR03377', 195461),
(251736, 'TIGR01850', NULL, 'argC: N-acetyl-gamma-glutamyl-phosphate reductase', 345, NULL, 'TIGR01850', 195462),
(251737, 'TIGR02578', NULL, 'cas_TM1811_Csm1: CRISPR-associated protein Cas10/Csm1, subtype III-A/MTUBE', 650, NULL, 'TIGR02578', 195463),
(251738, 'TIGR03940', NULL, 'PGA_PgaD: poly-beta-1,6-N-acetyl-D-glucosamine biosynthesis protein PgaD', 141, NULL, 'TIGR03940', 195464),
(251739, 'TIGR02306', NULL, 'RNA_lig_DRB0094: RNA ligase', 341, NULL, 'TIGR02306', 195465),
(251740, 'TIGR00488', NULL, 'TIGR00488: putative HD superfamily hydrolase', 173, NULL, 'TIGR00488', 195466),
(251741, 'TIGR01627', NULL, 'A_thal_3515: uncharacterized plant-specific domain TIGR01627', 225, NULL, 'TIGR01627', 195467),
(251742, 'TIGR02265', NULL, 'Mxa_TIGR02265: Myxococcales-restricted protein, TIGR02265 family', 184, NULL, 'TIGR02265', 195468),
(251743, 'TIGR00872', NULL, 'gnd_rel: 6-phosphogluconate dehydrogenase (decarboxylating)', 299, NULL, 'TIGR00872', 195469),
(251744, 'TIGR01135', NULL, 'glmS: glutamine-fructose-6-phosphate transaminase (isomerizing)', 607, NULL, 'TIGR01135', 195470),
(251745, 'TIGR02707', NULL, 'butyr_kinase: butyrate kinase', 351, NULL, 'TIGR02707', 195471),
(251746, 'TIGR00175', NULL, 'mito_nad_idh: isocitrate dehydrogenase, NAD-dependent', 334, NULL, 'TIGR00175', 195472),
(251747, 'TIGR03717', NULL, 'R_switched_YjbE: integral membrane protein, YjbE family', 176, NULL, 'TIGR03717', 195473),
(251748, 'TIGR03225', NULL, 'benzo_boxB: benzoyl-CoA oxygenase, B subunit', 471, NULL, 'TIGR03225', 195474),
(251749, 'TIGR00617', NULL, 'rpa1: replication factor-a protein 1 (rpa1)', 608, NULL, 'TIGR00617', 195475),
(251750, 'TIGR03105', NULL, 'gln_synth_III: glutamine synthetase, type III', 435, NULL, 'TIGR03105', 195476),
(251751, 'TIGR00649', NULL, 'MG423: beta-CASP ribonuclease, RNase J family', 546, NULL, 'TIGR00649', 195477),
(251752, 'TIGR01287', NULL, 'nifH: nitrogenase iron protein', 275, NULL, 'TIGR01287', 195478),
(251753, 'TIGR02113', NULL, 'coaC_strep: phosphopantothenoylcysteine decarboxylase', 177, NULL, 'TIGR02113', 195479),
(251754, 'TIGR01970', NULL, 'DEAH_box_HrpB: ATP-dependent helicase HrpB', 825, NULL, 'TIGR01970', 195480); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(251755, 'TIGR02962', NULL, 'hdxy_isourate: hydroxyisourate hydrolase', 113, NULL, 'TIGR02962', 195481),
(251756, 'TIGR04203', NULL, 'RPT_S_cricet: Streptococcal surface-anchored protein repeat, S. criceti family', 38, NULL, 'TIGR04203', 195482),
(251757, 'TIGR01015', NULL, 'hmgA: homogentisate 1,2-dioxygenase', 429, NULL, 'TIGR01015', 195483),
(251758, 'TIGR02739', NULL, 'TraF: type-F conjugative transfer system pilin assembly protein TraF', 256, NULL, 'TIGR02739', 195484),
(251759, 'TIGR04056', NULL, 'OMP_RagA_SusC: TonB-linked outer membrane protein, SusC/RagA family', 981, NULL, 'TIGR04056', 195485),
(251760, 'TIGR01568', NULL, 'A_thal_3678: uncharacterized plant-specific domain TIGR01568', 67, NULL, 'TIGR01568', 195486),
(251761, 'TIGR02297', NULL, 'HpaA: 4-hydroxyphenylacetate catabolism regulatory protein HpaA', 287, NULL, 'TIGR02297', 195487),
(251762, 'TIGR03972', NULL, 'rSAM_TYW1: wyosine biosynthesis protein TYW1', 297, NULL, 'TIGR03972', 195488),
(251763, 'TIGR01103', NULL, 'fliP: flagellar biosynthetic protein FliP', 197, NULL, 'TIGR01103', 195489),
(251764, 'TIGR04387', NULL, 'capsid_maj_N4: major capsid protein, N4-gp56 family', 324, NULL, 'TIGR04387', 195490),
(251765, 'TIGR02918', NULL, 'TIGR02918: accessory Sec system glycosylation protein GtfA', 500, NULL, 'TIGR02918', 195491),
(251766, 'TIGR01416', NULL, 'Rieske_proteo: ubiquinol-cytochrome c reductase, iron-sulfur subunit', 176, NULL, 'TIGR01416', 195492),
(251767, 'TIGR00708', NULL, 'cobA: cob(I)yrinic acid a,c-diamide adenosyltransferase', 177, NULL, 'TIGR00708', 195493),
(251768, 'TIGR04074', NULL, 'bacter_Hen1: 3'' terminal RNA ribose 2''-O-methyltransferase Hen1', 462, NULL, 'TIGR04074', 195494),
(251769, 'TIGR03881', NULL, 'KaiC_arch_4: KaiC domain protein, PAE1156 family', 231, NULL, 'TIGR03881', 195495),
(251770, 'TIGR01378', NULL, 'thi_PPkinase: thiamine pyrophosphokinase', 206, NULL, 'TIGR01378', 195496),
(251771, 'TIGR02399', NULL, 'salt_tol_Pase: glucosylglycerol 3-phosphatase', 389, NULL, 'TIGR02399', 195497),
(251772, 'TIGR03588', NULL, 'PseC: UDP-4-amino-4,6-dideoxy-N-acetyl-beta-L-altrosamine transaminase', 380, NULL, 'TIGR03588', 195498),
(251773, 'TIGR02177', NULL, 'PorB_KorB: 2-oxoacid:acceptor oxidoreductase, beta subunit, pyruvate/2-ketoisovalerate family', 286, NULL, 'TIGR02177', 195499),
(251774, 'TIGR00157', NULL, 'TIGR00157: ribosome small subunit-dependent GTPase A', 247, NULL, 'TIGR00157', 195500),
(251775, 'TIGR01448', NULL, 'recD_rel: helicase, RecD/TraA family', 720, NULL, 'TIGR01448', 195501),
(251776, 'TIGR03436', NULL, 'acidobact_VWFA: VWFA-related Acidobacterial domain', 324, NULL, 'TIGR03436', 195502),
(251777, 'TIGR01659', NULL, 'sex-lethal: sex-lethal family splicing factor', 346, NULL, 'TIGR01659', 195503),
(251778, 'TIGR04337', NULL, 'AmmeMemoSam_rS: AmmeMemoRadiSam system radical SAM enzyme', 349, NULL, 'TIGR04337', 195504),
(251779, 'TIGR02145', NULL, 'Fib_succ_major: fibrobacter succinogenes major paralogous domain', 176, NULL, 'TIGR02145', 195505),
(251780, 'TIGR01952', NULL, 'nusA_arch: NusA family KH domain protein, archaeal', 141, NULL, 'TIGR01952', 195506),
(251781, 'TIGR02590', NULL, 'cas_Csh2: CRISPR-associated protein Cas7/Csh2, subtype I-B/HMARI', 286, NULL, 'TIGR02590', 195507),
(251782, 'TIGR03155', NULL, 'sulfolob_CbsB: cytochrome b558/566, subunit B', 302, NULL, 'TIGR03155', 195508),
(251783, 'TIGR00005', NULL, 'rluA_subfam: pseudouridine synthase, RluA family', 298, NULL, 'TIGR00005', 195509),
(251784, 'TIGR03123', NULL, 'one_C_unchar_1: probable H4MPT-linked C1 transfer pathway protein', 327, NULL, 'TIGR03123', 195510),
(251785, 'TIGR01920', NULL, 'Shik_kin_archae: shikimate kinase', 266, NULL, 'TIGR01920', 195511),
(251786, 'TIGR02930', NULL, 'vnfG_nitrog: V-containing nitrogenase, delta subunit', 109, NULL, 'TIGR02930', 195512),
(251787, 'TIGR02367', NULL, 'PylS_Cterm: pyrrolysine--tRNA ligase, C-terminal region', 242, NULL, 'TIGR02367', 195513),
(251788, 'TIGR01507', NULL, 'hopene_cyclase: squalene-hopene cyclase', 640, NULL, 'TIGR01507', 195514),
(251789, 'TIGR00890', NULL, '2A0111: oxalate/formate antiporter family transporter', 377, NULL, 'TIGR00890', 195515);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(251790, 'TIGR02086', NULL, 'IPMI_arch: 3-isopropylmalate dehydratase, large subunit', 411, NULL, 'TIGR02086', 195516),
(251791, 'TIGR03869', NULL, 'F420-0_ABCperm: proposed F420-0 ABC transporter, permease protein', 325, NULL, 'TIGR03869', 195517),
(251792, 'TIGR02669', NULL, 'SpoIID_LytB: SpoIID/LytB domain', 270, NULL, 'TIGR02669', 195518),
(251793, 'TIGR04369', NULL, 'fusion_not_SelD: oxidoreductase/SelD-related fusion protein', 701, NULL, 'TIGR04369', 195519),
(251794, 'TIGR00438', NULL, 'rrmJ: ribosomal RNA large subunit methyltransferase J', 188, NULL, 'TIGR00438', 195520),
(251795, 'TIGR03404', NULL, 'bicupin_oxalic: bicupin, oxalate decarboxylase family', 367, NULL, 'TIGR03404', 195521),
(251796, 'TIGR01167', NULL, 'LPXTG_anchor: LPXTG cell wall anchor domain', 34, NULL, 'TIGR01167', 195522),
(251797, 'TIGR01671', NULL, 'phage_TIGR01671: phage conserved hypothetical protein TIGR01671', 151, NULL, 'TIGR01671', 195523),
(251798, 'TIGR01718', NULL, 'Uridine-psphlse: uridine phosphorylase', 245, NULL, 'TIGR01718', 195524),
(251799, 'TIGR02356', NULL, 'adenyl_thiF: thiazole biosynthesis adenylyltransferase ThiF', 203, NULL, 'TIGR02356', 195525),
(251800, 'TIGR02476', NULL, 'BluB: 5,6-dimethylbenzimidazole synthase', 205, NULL, 'TIGR02476', 195526),
(251801, 'TIGR03928', NULL, 'T7_EssCb_Firm: type VII secretion protein EssC', 1296, NULL, 'TIGR03928', 195527),
(251802, 'TIGR03808', NULL, 'RR_plus_rpt_1: twin-arg-translocated uncharacterized repeat protein', 455, NULL, 'TIGR03808', 195528),
(251803, 'TIGR04446', NULL, 'pren_cyc_PirE: prenylated cyclic peptide, anacyclamide/piricyclamide family', 51, NULL, 'TIGR04446', 195529),
(251804, 'TIGR01838', NULL, 'PHA_synth_I: poly(R)-hydroxyalkanoic acid synthase, class I', 532, NULL, 'TIGR01838', 195530),
(251805, 'TIGR00114', NULL, 'lumazine-synth: 6,7-dimethyl-8-ribityllumazine synthase', 138, NULL, 'TIGR00114', 195531),
(251806, 'TIGR01269', NULL, 'Tyr_3_monoox: tyrosine 3-monooxygenase', 457, NULL, 'TIGR01269', 195532),
(251807, 'TIGR02809', NULL, 'phasin_3: phasin family protein', 110, NULL, 'TIGR02809', 195533),
(251808, 'TIGR01076', NULL, 'sortase_fam: sortase', 136, NULL, 'TIGR01076', 195534),
(251809, 'TIGR01677', NULL, 'pln_FAD_oxido: plant-specific FAD-dependent oxidoreductase', 560, NULL, 'TIGR01677', 195535),
(251810, 'TIGR01389', NULL, 'recQ: ATP-dependent DNA helicase RecQ', 591, NULL, 'TIGR01389', 195536),
(251811, 'TIGR02011', NULL, 'IscA: iron-sulfur cluster assembly protein IscA', 105, NULL, 'TIGR02011', 195537),
(251812, 'TIGR00234', NULL, 'tyrS: tyrosine--tRNA ligase', 406, NULL, 'TIGR00234', 195538),
(251813, 'TIGR03166', NULL, 'alt_F1F0_F1_eps: alternate F1F0 ATPase, F1 subunit epsilon', 122, NULL, 'TIGR03166', 195539),
(251814, 'TIGR02075', NULL, 'pyrH_bact: UMP kinase', 233, NULL, 'TIGR02075', 195540),
(251815, 'TIGR02637', NULL, 'RhaS: rhamnose ABC transporter, rhamnose-binding protein', 302, NULL, 'TIGR02637', 195541),
(251816, 'TIGR03275', NULL, 'methan_mark_8: putative methanogenesis marker protein 8', 259, NULL, 'TIGR03275', 195542),
(251817, 'TIGR02195', NULL, 'heptsyl_trn_II: lipopolysaccharide heptosyltransferase II', 339, NULL, 'TIGR02195', 195543),
(251818, 'TIGR01205', NULL, 'D_ala_D_alaTIGR: D-alanine--D-alanine ligase', 318, NULL, 'TIGR01205', 195544),
(251819, 'TIGR00699', NULL, 'GABAtrns_euk: 4-aminobutyrate aminotransferase', 464, NULL, 'TIGR00699', 195545),
(251820, 'TIGR01800', NULL, 'cit_synth_II: 2-methylcitrate synthase/citrate synthase II', 368, NULL, 'TIGR01800', 195546),
(251821, 'TIGR03003', NULL, 'ectoine_ehuD: ectoine/hydroxyectoine ABC transporter, permease protein EhuD', 212, NULL, 'TIGR03003', 195547),
(251822, 'TIGR01460', NULL, 'HAD-SF-IIA: HAD hydrolase, family IIA', 246, NULL, 'TIGR01460', 195548),
(251823, 'TIGR04158', NULL, 'rSAM_MIA_synth: 3-methyl-2-indolic acid synthase', 368, NULL, 'TIGR04158', 195549),
(251824, 'TIGR03615', NULL, 'RutF: pyrimidine utilization flavin reductase protein F', 156, NULL, 'TIGR03615', 195550),
(251825, 'TIGR03870', NULL, 'ABC_MoxJ: methanol oxidation system protein MoxJ', 246, NULL, 'TIGR03870', 195551);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(251826, 'TIGR01729', NULL, 'taurine_ABC_bnd: taurine ABC transporter, periplasmic binding protein', 300, NULL, 'TIGR01729', 195552),
(251827, 'TIGR02408', NULL, 'ectoine_ThpD: ectoine hydroxylase', 277, NULL, 'TIGR02408', 195553),
(251828, 'TIGR03046', NULL, 'PS_II_psbV2: photosystem II cytochrome PsbV2', 157, NULL, 'TIGR03046', 195554),
(251829, 'TIGR03468', NULL, 'HpnG: hopanoid-associated phosphorylase', 212, NULL, 'TIGR03468', 195555),
(251830, 'TIGR03327', NULL, 'AMP_phos: AMP phosphorylase', 500, NULL, 'TIGR03327', 195556),
(251831, 'TIGR00515', NULL, 'accD: acetyl-CoA carboxylase, carboxyl transferase, beta subunit', 285, NULL, 'TIGR00515', 195557),
(251832, 'TIGR04560', NULL, 'ribo_THX: ribosomal small subunit protein bTHX', 26, NULL, 'TIGR04560', 195558),
(251833, 'TIGR04305', NULL, 'fol_rel_CADD: putative folate metabolism protein, CADD family', 212, NULL, 'TIGR04305', 195559),
(251834, 'TIGR02068', NULL, 'cya_phycin_syn: cyanophycin synthetase', 864, NULL, 'TIGR02068', 195560),
(251835, 'TIGR03799', NULL, 'NOD_PanD_pyr: putative pyridoxal-dependent aspartate 1-decarboxylase', 522, NULL, 'TIGR03799', 195561),
(251836, 'TIGR00770', NULL, 'Dcu: transporter, anaerobic C4-dicarboxylate uptake (Dcu) family', 430, NULL, 'TIGR00770', 195562),
(251837, 'TIGR01791', NULL, 'CM_archaeal: chorismate mutase', 83, NULL, 'TIGR01791', 195563),
(251838, 'TIGR01276', NULL, 'thiB: thiamin/thiamin pyrophosphate ABC transporter, thiamin/thiamin pyrophospate-binding protein', 324, NULL, 'TIGR01276', 195564),
(251839, 'TIGR02004', NULL, 'PTS-IIBC-malX: PTS system, maltose and glucose-specific IIBC component', 517, NULL, 'TIGR02004', 195565),
(251840, 'TIGR01498', NULL, 'folK: 2-amino-4-hydroxy-6-hydroxymethyldihydropteridine diphosphokinase', 128, NULL, 'TIGR01498', 195566),
(251841, 'TIGR03334', NULL, 'IOR_beta: indolepyruvate ferredoxin oxidoreductase, beta subunit', 189, NULL, 'TIGR03334', 195567),
(251842, 'TIGR01741', NULL, 'staph_tand_hypo: conserved hypothetical protein', 157, NULL, 'TIGR01741', 195568),
(251843, 'TIGR03506', NULL, 'FlgEFG_subfam: flagellar hook-basal body protein', 351, NULL, 'TIGR03506', 195569),
(251844, 'TIGR04439', NULL, 'histamin_N_OH: putative histamine N-monooxygenase', 431, NULL, 'TIGR04439', 195570),
(251845, 'TIGR04489', NULL, 'exosort_XrtO: exosortase O', 451, NULL, 'TIGR04489', 195571),
(251846, 'TIGR04267', NULL, 'mod_HExxH: HEXXH motif domain', 399, NULL, 'TIGR04267', 195572),
(251847, 'TIGR02247', NULL, 'HAD-1A3-hyp: epoxide hydrolase N-terminal domain-like phosphatase', 211, NULL, 'TIGR02247', 195573),
(251848, 'TIGR03749', NULL, 'conj_TIGR03749: integrating conjugative element protein, PFL_4704 family', 259, NULL, 'TIGR03749', 195574),
(251849, 'TIGR02535', NULL, 'hyp_Hser_kinase: proposed homoserine kinase', 397, NULL, 'TIGR02535', 195575),
(251850, 'TIGR03983', NULL, 'cas1_MYXAN: CRISPR-associated endonuclease Cas1, subtype MYXAN', 347, NULL, 'TIGR03983', 195576),
(251851, 'TIGR03053', NULL, 'PS_I_psaM: photosystem I reaction center subunit XII', 29, NULL, 'TIGR03053', 195577),
(251852, 'TIGR02540', NULL, 'gpx7: putative glutathione peroxidase Gpx7', 153, NULL, 'TIGR02540', 195578),
(251853, 'TIGR04024', NULL, 'F420_NP1902A: coenzyme F420-dependent oxidoreductase, NP1902A family', 330, NULL, 'TIGR04024', 195579),
(251854, 'TIGR00992', NULL, '3a0901s03IAP75: chloroplast envelope protein translocase, IAP75 family', 718, NULL, 'TIGR00992', 195580),
(251855, 'TIGR00055', NULL, 'uppS: di-trans,poly-cis-decaprenylcistransferase', 228, NULL, 'TIGR00055', 195581),
(251856, 'TIGR00277', NULL, 'HDIG: HDIG domain', 84, NULL, 'TIGR00277', 195582),
(251857, 'TIGR01779', NULL, 'TonB-B12: TonB-dependent vitamin B12 receptor', 614, NULL, 'TIGR01779', 195583),
(251858, 'TIGR02188', NULL, 'Ac_CoA_lig_AcsA: acetate--CoA ligase', 629, NULL, 'TIGR02188', 195584),
(251859, 'TIGR01033', NULL, 'TIGR01033: DNA-binding regulatory protein, YebC/PmpR family', 238, NULL, 'TIGR01033', 195585),
(251860, 'TIGR01557', NULL, 'myb_SHAQKYF: myb-like DNA-binding domain, SHAQKYF class', 57, NULL, 'TIGR01557', 195586);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(251861, 'TIGR01026', NULL, 'fliI_yscN: ATPase, FliI/YscN family', 440, NULL, 'TIGR01026', 195587),
(251862, 'TIGR02528', NULL, 'EutP: ethanolamine utilization protein, EutP', 142, NULL, 'TIGR02528', 195588),
(251863, 'TIGR00107', NULL, 'deoD: purine nucleoside phosphorylase', 232, NULL, 'TIGR00107', 195589),
(251864, 'TIGR02469', NULL, 'CbiT: precorrin-6Y C5,15-methyltransferase (decarboxylating), CbiT subunit', 124, NULL, 'TIGR02469', 195590),
(251865, 'TIGR03761', NULL, 'ICE_PFL4669: integrating conjugative element protein, PFL_4669 family', 216, NULL, 'TIGR03761', 195591),
(251866, 'TIGR03990', NULL, 'Arch_GlmM: phosphoglucosamine mutase', 444, NULL, 'TIGR03990', 195592),
(251867, 'TIGR01314', NULL, 'gntK_FGGY: gluconate kinase', 505, NULL, 'TIGR01314', 195593),
(251868, 'TIGR02816', NULL, 'pfaB_fam: PfaB family protein', 534, NULL, 'TIGR02816', 195594),
(251869, 'TIGR00284', NULL, 'TIGR00284: dihydropteroate synthase-related protein', 497, NULL, 'TIGR00284', 195595),
(251870, 'TIGR01609', NULL, 'PF_unchar_267: Plasmodium falciparum uncharacterized protein TIGR01609', 146, NULL, 'TIGR01609', 195596),
(251871, 'TIGR03858', NULL, 'LLM_2I7G: probable oxidoreductase, LLM family', 337, NULL, 'TIGR03858', 195597),
(251872, 'TIGR04067', NULL, 'oc_CLOSPO_01332: putative bacteriocin precursor, CLOSPO_01332 family', 59, NULL, 'TIGR04067', 195598),
(251873, 'TIGR01768', NULL, 'GGGP-family: geranylgeranylglyceryl phosphate synthase family protein', 224, NULL, 'TIGR01768', 195599),
(251874, 'TIGR01888', NULL, 'cas_cmr3: CRISPR type III-B/RAMP module-associated protein Cmr3', 346, NULL, 'TIGR01888', 195600),
(251875, 'TIGR03826', NULL, 'YvyF: flagellar operon protein TIGR03826', 137, NULL, 'TIGR03826', 195601),
(251876, 'TIGR03772', NULL, 'anch_rpt_subst: anchored repeat ABC transporter, substrate-binding protein', 486, NULL, 'TIGR03772', 195602),
(251877, 'TIGR01303', NULL, 'IMP_DH_rel_1: IMP dehydrogenase family protein', 475, NULL, 'TIGR01303', 195603),
(251878, 'TIGR00164', NULL, 'PS_decarb_rel: phosphatidylserine decarboxylase homolog', 215, NULL, 'TIGR00164', 195604),
(251879, 'TIGR00817', NULL, 'tpt: Tpt phosphate/phosphoenolpyruvate translocator', 302, NULL, 'TIGR00817', 195605),
(251880, 'TIGR02093', NULL, 'P_ylase: glycogen/starch/alpha-glucan phosphorylases', 804, NULL, 'TIGR02093', 195606),
(251881, 'TIGR01307', NULL, 'pgm_bpd_ind: phosphoglycerate mutase (2,3-diphosphoglycerate-independent)', 504, NULL, 'TIGR01307', 195607),
(251882, 'TIGR01682', NULL, 'moaD: molybdopterin converting factor, subunit 1', 80, NULL, 'TIGR01682', 195608),
(251883, 'TIGR02853', NULL, 'spore_dpaA: dipicolinic acid synthetase, A subunit', 287, NULL, 'TIGR02853', 195609),
(251884, 'TIGR01616', NULL, 'nitro_assoc: nitrogenase-associated protein', 126, NULL, 'TIGR01616', 195610),
(251885, 'TIGR00763', NULL, 'lon: endopeptidase La', 795, NULL, 'TIGR00763', 195611),
(251886, 'TIGR01736', NULL, 'FGAM_synth_II: phosphoribosylformylglycinamidine synthase II', 718, NULL, 'TIGR01736', 195612),
(251887, 'TIGR02907', NULL, 'spore_VI_D: stage VI sporulation protein D', 344, NULL, 'TIGR02907', 195613),
(251888, 'TIGR04312', NULL, 'choice_anch_B: choice-of-anchor B domain', 364, NULL, 'TIGR04312', 195614),
(251889, 'TIGR01423', NULL, 'trypano_reduc: trypanothione-disulfide reductase', 486, NULL, 'TIGR01423', 195615),
(251890, 'TIGR01058', NULL, 'parE_Gpos: DNA topoisomerase IV, B subunit', 637, NULL, 'TIGR01058', 195616),
(251891, 'TIGR03706', NULL, 'exo_poly_only: exopolyphosphatase', 300, NULL, 'TIGR03706', 195617),
(251892, 'TIGR03148', NULL, 'cyt_nit_nrfD: cytochrome c nitrite reductase, NrfD subunit', 316, NULL, 'TIGR03148', 195618),
(251893, 'TIGR03652', NULL, 'FeS_repair_RIC: iron-sulfur cluster repair di-iron protein', 216, NULL, 'TIGR03652', 195619),
(251894, 'TIGR04183', NULL, 'Por_Secre_tail: Por secretion system C-terminal sorting domain', 72, NULL, 'TIGR04183', 195620),
(251895, 'TIGR00570', NULL, 'cdk7: CDK-activating kinase assembly factor MAT1', 309, NULL, 'TIGR00570', 195621),
(251896, 'TIGR03697', NULL, 'NtcA_cyano: global nitrogen regulator NtcA', 193, NULL, 'TIGR03697', 195622);
INSERT INTO "PUBLIC"."MODEL" VALUES
(251897, 'TIGR02687', NULL, 'TIGR02687: TIGR02687 family protein', 844, NULL, 'TIGR02687', 195623),
(251898, 'TIGR04063', NULL, 'stp3: PEP-CTERM/exosortase A-associated glycosyltransferase, Daro_2409 family', 397, NULL, 'TIGR04063', 195624),
(251899, 'TIGR01178', NULL, 'ade: adenine deaminase', 552, NULL, 'TIGR01178', 195625),
(251900, 'TIGR02222', NULL, 'chap_CsaA: export-related chaperone protein CsaA', 107, NULL, 'TIGR02222', 195626),
(251901, 'TIGR04505', NULL, 'PtsS_plasma: phosphate ABC transporter substrate-binding protein', 334, NULL, 'TIGR04505', 195627),
(251902, 'TIGR00132', NULL, 'gatA: aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, A subunit', 466, NULL, 'TIGR00132', 195628),
(251903, 'TIGR03268', NULL, 'methan_mark_3: putative methanogenesis marker protein 3', 503, NULL, 'TIGR03268', 195629),
(251904, 'TIGR01083', NULL, 'nth: endonuclease III', 192, NULL, 'TIGR01083', 195630),
(251905, 'TIGR02317', NULL, 'prpB: methylisocitrate lyase', 285, NULL, 'TIGR02317', 195631),
(251906, 'TIGR01843', NULL, 'type_I_hlyD: type I secretion membrane fusion protein, HlyD family', 422, NULL, 'TIGR01843', 195632),
(251907, 'TIGR00937', NULL, '2A51: chromate efflux transporter', 368, NULL, 'TIGR00937', 195633),
(251908, 'TIGR00227', NULL, 'ribD_Cterm: riboflavin-specific deaminase C-terminal domain', 216, NULL, 'TIGR00227', 195634),
(251909, 'TIGR00597', NULL, 'rad10: DNA repair protein rad10', 112, NULL, 'TIGR00597', 195635),
(251910, 'TIGR03232', NULL, 'benzo_1_2_benB: benzoate 1,2-dioxygenase, small subunit', 155, NULL, 'TIGR03232', 195636),
(251911, 'TIGR03366', NULL, 'HpnZ_proposed: putative phosphonate catabolism associated alcohol dehydrogenase', 315, NULL, 'TIGR03366', 195637),
(251912, 'TIGR01396', NULL, 'FlgB: flagellar basal-body rod protein FlgB', 131, NULL, 'TIGR01396', 195638),
(251913, 'TIGR02433', NULL, 'lysidine_TilS_C: tRNA(Ile)-lysidine synthetase, C-terminal domain', 47, NULL, 'TIGR02433', 195639),
(251914, 'TIGR02349', NULL, 'DnaJ_bact: chaperone protein DnaJ', 354, NULL, 'TIGR02349', 195640),
(251915, 'TIGR03384', NULL, 'betaine_BetI: transcriptional repressor BetI', 189, NULL, 'TIGR03384', 195641),
(251916, 'TIGR04407', NULL, 'LptF_YjgP: LPS export ABC transporter permease LptF', 347, NULL, 'TIGR04407', 195642),
(251917, 'TIGR01174', NULL, 'ftsA: cell division protein FtsA', 371, NULL, 'TIGR01174', 195643),
(251918, 'TIGR03901', NULL, 'MYXO-CTERM: MYXO-CTERM domain', 33, NULL, 'TIGR03901', 195644),
(251919, 'TIGR02106', NULL, 'cyd_oper_ybgT: cyd operon protein YbgT', 30, NULL, 'TIGR02106', 195645),
(251920, 'TIGR02465', NULL, 'chlorocat_1_2: chlorocatechol 1,2-dioxygenase', 246, NULL, 'TIGR02465', 195646),
(251921, 'TIGR02610', NULL, 'PHA_gran_rgn: putative polyhydroxyalkanoic acid system protein', 91, NULL, 'TIGR02610', 195647),
(251922, 'TIGR00910', NULL, '2A0307_GadC: glutamate:gamma-aminobutyrate antiporter', 511, NULL, 'TIGR00910', 195648),
(251923, 'TIGR00504', NULL, 'pyro_pdase: pyroglutamyl-peptidase I', 213, NULL, 'TIGR00504', 195649),
(251924, 'TIGR04571', NULL, 'LmtA_Leptospira: lipid A Kdo2 1-phosphate O-methyltransferase', 252, NULL, 'TIGR04571', 195650),
(251925, 'TIGR00450', NULL, 'mnmE_trmE_thdF: tRNA modification GTPase TrmE', 446, NULL, 'TIGR00450', 195651),
(251926, 'TIGR02419', NULL, 'C4_traR_proteo: phage/conjugal plasmid C-4 type zinc finger protein, TraR family', 64, NULL, 'TIGR02419', 195652),
(251927, 'TIGR04165', NULL, 'methano_modCys: Cys-rich peptide, TIGR04165 family', 50, NULL, 'TIGR04165', 195653),
(251928, 'TIGR03608', NULL, 'L_ocin_972_ABC: putative bacteriocin export ABC transporter, lactococcin 972 group', 206, NULL, 'TIGR03608', 195654),
(251929, 'TIGR02000', NULL, 'NifU_proper: Fe-S cluster assembly protein NifU', 290, NULL, 'TIGR02000', 195655),
(251930, 'TIGR01580', NULL, 'narG: nitrate reductase, alpha subunit', 1235, NULL, 'TIGR01580', 195656),
(251931, 'TIGR04278', NULL, 'viperin: antiviral radical SAM protein viperin', 347, NULL, 'TIGR04278', 195657),
(251932, 'TIGR00969', NULL, '3a0106s02: sulfate ABC transporter, permease protein', 272, NULL, 'TIGR00969', 195658);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(251933, 'TIGR00477', NULL, 'tehB: tellurite resistance protein TehB', 238, NULL, 'TIGR00477', 195659),
(251934, 'TIGR00726', NULL, 'TIGR00726: YfiH family protein', 223, NULL, 'TIGR00726', 195660),
(251935, 'TIGR00379', NULL, 'cobB: cobyrinic acid a,c-diamide synthase', 449, NULL, 'TIGR00379', 195661),
(251936, 'TIGR00883', NULL, '2A0106: MFS transporter, metabolite:H+ symporter (MHS) family protein', 400, NULL, 'TIGR00883', 195662),
(251937, 'TIGR02642', NULL, 'phage_xxxx: uncharacterized phage protein', 267, NULL, 'TIGR02642', 195663),
(251938, 'TIGR03561', NULL, 'organ_hyd_perox: peroxiredoxin, Ohr subfamily', 134, NULL, 'TIGR03561', 195664),
(251939, 'TIGR00012', NULL, 'L29: ribosomal protein uL29', 56, NULL, 'TIGR00012', 195665),
(251940, 'TIGR01514', NULL, 'NAPRTase: nicotinate phosphoribosyltransferase', 399, NULL, 'TIGR01514', 195666),
(251941, 'TIGR01979', NULL, 'sufS: cysteine desulfurase, SufS family', 403, NULL, 'TIGR01979', 195667),
(251942, 'TIGR02898', NULL, 'spore_YhcN_YlaJ: sporulation lipoprotein, YhcN/YlaJ family', 158, NULL, 'TIGR02898', 195668),
(251943, 'TIGR03116', NULL, 'cas5_csf3: CRISPR type IV/AFERR-associated protein Csf3', 215, NULL, 'TIGR03116', 195669),
(251944, 'TIGR00781', NULL, 'ccoO: cytochrome c oxidase, cbb3-type, subunit II', 232, NULL, 'TIGR00781', 195670),
(251945, 'TIGR00835', NULL, 'agcS: amino acid carrier protein', 424, NULL, 'TIGR00835', 195671),
(251946, 'TIGR00661', NULL, 'MJ1255: conserved hypothetical protein', 321, NULL, 'TIGR00661', 195672),
(251947, 'TIGR04414', NULL, 'hepto_Aah_TibC: autotransporter strand-loop-strand O-heptosyltransferase', 374, NULL, 'TIGR04414', 195673),
(251948, 'TIGR04360', NULL, 'other_trbK: conjugative transfer region protein TrbK', 73, NULL, 'TIGR04360', 195674),
(251949, 'TIGR02204', NULL, 'MsbA_rel: ABC transporter, permease/ATP-binding protein', 576, NULL, 'TIGR02204', 195675),
(251950, 'TIGR04169', NULL, 'perox_w_seleSAM: alkylhydroperoxidase/carboxymuconolactone decarboxylase family protein', 109, NULL, 'TIGR04169', 195676),
(251951, 'TIGR01409', NULL, 'TAT_signal_seq: Tat (twin-arginine translocation) pathway signal sequence', 29, NULL, 'TIGR01409', 195677),
(251952, 'TIGR03359', NULL, 'VI_chp_6: type VI secretion protein, TIGR03359 family', 600, NULL, 'TIGR03359', 195678),
(251953, 'TIGR00715', NULL, 'precor6x_red: precorrin-6x reductase', 256, NULL, 'TIGR00715', 195679),
(251954, 'TIGR02871', NULL, 'spore_ylbJ: sporulation integral membrane protein YlbJ', 363, NULL, 'TIGR02871', 195680),
(251955, 'TIGR03014', NULL, 'EpsL: exopolysaccharide biosynthesis operon protein EpsL', 380, NULL, 'TIGR03014', 195681),
(251956, 'TIGR03595', NULL, 'Obg_CgtA_exten: Obg family GTPase CgtA, C-terminal extension', 70, NULL, 'TIGR03595', 195682),
(251957, 'TIGR01351', NULL, 'adk: adenylate kinase', 212, NULL, 'TIGR01351', 195683),
(251958, 'TIGR02270', NULL, 'TIGR02270: conserved hypothetical protein', 410, NULL, 'TIGR02270', 195684),
(251959, 'TIGR02805', NULL, 'exbB2: tonB-system energizer ExbB', 138, NULL, 'TIGR02805', 195685),
(251960, 'TIGR00719', NULL, 'sda_beta: L-serine dehydratase, iron-sulfur-dependent, beta subunit', 208, NULL, 'TIGR00719', 195686),
(251961, 'TIGR03441', NULL, 'urea_trans_yut: urea transporter', 292, NULL, 'TIGR03441', 195687),
(251962, 'TIGR03670', NULL, 'rpoB_arch: DNA-directed RNA polymerase subunit B', 599, NULL, 'TIGR03670', 195688),
(251963, 'TIGR02789', NULL, 'nickel_nikB: nickel ABC transporter, permease subunit NikB', 314, NULL, 'TIGR02789', 195689),
(251964, 'TIGR03479', NULL, 'DMSO_red_II_alp: DMSO reductase family type II enzyme, molybdopterin subunit', 913, NULL, 'TIGR03479', 195690),
(251965, 'TIGR04240', NULL, 'flavi_E_stem: flavivirus envelope glycoprotein E, stem/anchor domain', 97, NULL, 'TIGR04240', 195691),
(251966, 'TIGR02324', NULL, 'CP_lyasePhnL: phosphonate C-P lyase system protein PhnL', 224, NULL, 'TIGR02324', 195692),
(251967, 'TIGR02751', NULL, 'PEPCase_arch: phosphoenolpyruvate carboxylase', 506, NULL, 'TIGR02751', 195693),
(251968, 'TIGR03724', NULL, 'arch_bud32: Kae1-associated kinase Bud32', 199, NULL, 'TIGR03724', 195694);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(251969, 'TIGR04049', NULL, 'AIR_rel_sll0787: AIR synthase-related protein, sll0787 family', 318, NULL, 'TIGR04049', 195695),
(251970, 'TIGR01405', NULL, 'polC_Gram_pos: DNA polymerase III, alpha subunit, Gram-positive type', 1211, NULL, 'TIGR01405', 195696),
(251971, 'TIGR00125', NULL, 'cyt_tran_rel: cytidyltransferase-like domain', 65, NULL, 'TIGR00125', 195697),
(251972, 'TIGR03130', NULL, 'malonate_delta: malonate decarboxylase acyl carrier protein', 98, NULL, 'TIGR03130', 195698),
(251973, 'TIGR01945', NULL, 'rnfC: electron transport complex, RnfABCDGE type, C subunit', 435, NULL, 'TIGR01945', 195699),
(251974, 'TIGR01634', NULL, 'tail_P2_I: phage tail protein I', 139, NULL, 'TIGR01634', 195700),
(251975, 'TIGR02208', NULL, 'lipid_A_msbB: lipid A biosynthesis (KDO)2-(lauroyl)-lipid IVA acyltransferase', 305, NULL, 'TIGR02208', 195701),
(251976, 'TIGR01192', NULL, 'chvA: glucan exporter ATP-binding protein', 585, NULL, 'TIGR01192', 195702),
(251977, 'TIGR01525', NULL, 'ATPase-IB_hvy: heavy metal translocating P-type ATPase', 560, NULL, 'TIGR01525', 195703),
(251978, 'TIGR03550', NULL, 'F420_cofG: 7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase, CofG subunit', 322, NULL, 'TIGR03550', 195704),
(251979, 'TIGR04285', NULL, 'nucleoid_noc: nucleoid occlusion protein', 255, NULL, 'TIGR04285', 195705),
(251980, 'TIGR04403', NULL, 'rSAM_skfB: sporulation killing factor system radical SAM maturase', 402, NULL, 'TIGR04403', 195706),
(251981, 'TIGR00672', NULL, 'cdh: CDP-diacylglycerol diphosphatase', 250, NULL, 'TIGR00672', 195707),
(251982, 'TIGR00495', NULL, 'crvDNA_42K: DNA-binding protein, 42 kDa', 383, NULL, 'TIGR00495', 195708),
(251983, 'TIGR02860', NULL, 'spore_IV_B: stage IV sporulation protein B', 402, NULL, 'TIGR02860', 195709),
(251984, 'TIGR00266', NULL, 'TIGR00266: TIGR00266 family protein', 222, NULL, 'TIGR00266', 195710),
(251985, 'TIGR01185', NULL, 'devC: ABC exporter transmembrane subunit, DevC protein', 380, NULL, 'TIGR01185', 195711),
(251986, 'TIGR02215', NULL, 'phage_chp_gp8: phage conserved hypothetical protein, phiE125 gp8 family', 188, NULL, 'TIGR02215', 195712),
(251987, 'TIGR00030', NULL, 'S21p: ribosomal protein bS21', 58, NULL, 'TIGR00030', 195713),
(251988, 'TIGR03486', NULL, 'cas_csx13_C: CRISPR-associated protein Cas8a1/Csx13, MYXAN subtype, C-terminal region', 152, NULL, 'TIGR03486', 195714),
(251989, 'TIGR02744', NULL, 'TrbI_Ftype: type-F conjugative transfer system protein TrbI', 112, NULL, 'TIGR02744', 195715),
(251990, 'TIGR03007', NULL, 'pepcterm_ChnLen: polysaccharide chain length determinant protein, PEP-CTERM locus subfamily', 498, NULL, 'TIGR03007', 195716),
(251991, 'TIGR04509', NULL, 'mod_pep_NH_fam: putative modified peptide', 87, NULL, 'TIGR04509', 195717),
(251992, 'TIGR02331', NULL, 'rib_alpha: Rib/alpha/Esp surface antigen repeat', 80, NULL, 'TIGR02331', 195718),
(251993, 'TIGR00774', NULL, 'NhaB: Na+/H+ antiporter NhaB', 515, NULL, 'TIGR00774', 195719),
(251994, 'TIGR04301', NULL, 'ODC_inducible: ornithine decarboxylase SpeF', 719, NULL, 'TIGR04301', 195720),
(251995, 'TIGR00828', NULL, 'EIID-AGA: PTS system, mannose/fructose/sorbose family, IID component', 271, NULL, 'TIGR00828', 195721),
(251996, 'TIGR04523', NULL, 'Mplasa_alph_rch: helix-rich protein', 745, NULL, 'TIGR04523', 195722),
(251997, 'TIGR03819', NULL, 'heli_sec_ATPase: helicase/secretion neighborhood ATPase', 340, NULL, 'TIGR03819', 195723),
(251998, 'TIGR00016', NULL, 'ackA: acetate kinase', 405, NULL, 'TIGR00016', 195724),
(251999, 'TIGR00375', NULL, 'TIGR00375: TIGR00375 family protein', 374, NULL, 'TIGR00375', 195725),
(252000, 'TIGR01518', NULL, 'g3p_cytidyltrns: glycerol-3-phosphate cytidylyltransferase', 125, NULL, 'TIGR01518', 195726),
(252001, 'TIGR01877', NULL, 'cas_cas6: CRISPR-associated endoribonuclease Cas6', 200, NULL, 'TIGR01877', 195727),
(252002, 'TIGR00606', NULL, 'rad50: rad50', 1311, NULL, 'TIGR00606', 195728),
(252003, 'TIGR00259', NULL, 'thylakoid_BtpA: membrane complex biogenesis protein, BtpA family', 257, NULL, 'TIGR00259', 195729),
(252004, 'TIGR01294', NULL, 'P_lamban: phospholamban', 52, NULL, 'TIGR01294', 195730);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(252005, 'TIGR01811', NULL, 'sdhA_Bsu: succinate dehydrogenase or fumarate reductase, flavoprotein subunit', 603, NULL, 'TIGR01811', 195731),
(252006, 'TIGR03264', NULL, 'met_CoM_red_C: methyl-coenzyme M reductase I operon protein C', 194, NULL, 'TIGR03264', 195732),
(252007, 'TIGR03663', NULL, 'TIGR03663: TIGR03663 family protein', 435, NULL, 'TIGR03663', 195733),
(252008, 'TIGR01412', NULL, 'tat_substr_1: Tat-translocated enzyme', 420, NULL, 'TIGR01412', 195734),
(252009, 'TIGR01072', NULL, 'murA: UDP-N-acetylglucosamine 1-carboxyvinyltransferase', 416, NULL, 'TIGR01072', 195735),
(252010, 'TIGR02567', NULL, 'YscW: type III secretion system chaperone YscW', 124, NULL, 'TIGR02567', 195736),
(252011, 'TIGR02980', NULL, 'SigBFG: RNA polymerase sigma-70 factor, sigma-B/F/G subfamily', 227, NULL, 'TIGR02980', 195737),
(252012, 'TIGR01065', NULL, 'hlyIII: channel protein, hemolysin III family', 204, NULL, 'TIGR01065', 195738),
(252013, 'TIGR02796', NULL, 'tolQ: protein TolQ', 216, NULL, 'TIGR02796', 195739),
(252014, 'TIGR00552', NULL, 'nadE: NAD+ synthetase', 251, NULL, 'TIGR00552', 195740),
(252015, 'TIGR03257', NULL, 'met_CoM_red_bet: methyl-coenzyme M reductase, beta subunit', 433, NULL, 'TIGR03257', 195741),
(252016, 'TIGR04176', NULL, 'MarR_EPS: EPS-associated transcriptional regulator, MarR family', 105, NULL, 'TIGR04176', 195742),
(252017, 'TIGR02973', NULL, 'nitrate_rd_NapE: periplasmic nitrate reductase, NapE protein', 42, NULL, 'TIGR02973', 195743),
(252018, 'TIGR03604', NULL, 'TOMM_cyclo_SagD: thiazole/oxazole-forming peptide maturase, SagD family component', 377, NULL, 'TIGR03604', 195744),
(252019, 'TIGR03021', NULL, 'pilP_fam: type IV pilus biogenesis protein PilP', 119, NULL, 'TIGR03021', 195745),
(252020, 'TIGR02102', NULL, 'pullulan_Gpos: pullulanase, extracellular', 1113, NULL, 'TIGR02102', 195746),
(252021, 'TIGR02372', NULL, '4_coum_CoA_lig: 4-coumarate--CoA ligase', 386, NULL, 'TIGR02372', 195747),
(252022, 'TIGR00765', NULL, 'yihY_not_rbn: YihY family inner membrane protein', 259, NULL, 'TIGR00765', 195748),
(252023, 'TIGR03341', NULL, 'YhgI_GntY: IscR-regulated protein YhgI', 190, NULL, 'TIGR03341', 195749),
(252024, 'TIGR01734', NULL, 'D-ala-DACP-lig: D-alanine--poly(phosphoribitol) ligase, subunit 1', 504, NULL, 'TIGR01734', 195750),
(252025, 'TIGR02855', NULL, 'spore_yabG: sporulation peptidase YabG', 283, NULL, 'TIGR02855', 195751),
(252026, 'TIGR02703', NULL, 'carboxysome_A: carboxysome peptide A', 80, NULL, 'TIGR02703', 195752),
(252027, 'TIGR02220', NULL, 'phg_TIGR02220: phage conserved hypothetical protein, C-terminal domain', 77, NULL, 'TIGR02220', 195753),
(252028, 'TIGR00282', NULL, 'TIGR00282: metallophosphoesterase, MG_246/BB_0505 family', 266, NULL, 'TIGR00282', 195754),
(252029, 'TIGR01886', NULL, 'dipeptidase: dipeptidase PepV', 466, NULL, 'TIGR01886', 195755),
(252030, 'TIGR03976', NULL, 'chp_LLNDYxLRE: His-Xaa-Ser system protein HxsD', 90, NULL, 'TIGR03976', 195756),
(252031, 'TIGR04310', NULL, 'pantocin_A_pre: pantocin A family RiPP', 29, NULL, 'TIGR04310', 195757),
(252032, 'TIGR02029', NULL, 'AcsF: magnesium-protoporphyrin IX monomethyl ester aerobic oxidative cyclase', 337, NULL, 'TIGR02029', 195758),
(252033, 'TIGR04119', NULL, 'CXXX_matur: CXXX repeat peptide maturase', 210, NULL, 'TIGR04119', 195759),
(252034, 'TIGR04494', NULL, 'c550_PedF: cytochrome c-550 PedF', 133, NULL, 'TIGR04494', 195760),
(252035, 'TIGR01421', NULL, 'gluta_reduc_1: glutathione-disulfide reductase', 450, NULL, 'TIGR01421', 195761),
(252036, 'TIGR03511', NULL, 'GldH_lipo: gliding motility-associated lipoprotein GldH', 155, NULL, 'TIGR03511', 195762),
(252037, 'TIGR03824', NULL, 'FlgM_jcvi: flagellar biosynthesis anti-sigma factor FlgM', 98, NULL, 'TIGR03824', 195763),
(252038, 'TIGR01251', NULL, 'ribP_PPkin: ribose-phosphate diphosphokinase', 309, NULL, 'TIGR01251', 195764),
(252039, 'TIGR00109', NULL, 'hemH: ferrochelatase', 322, NULL, 'TIGR00109', 195765),
(252040, 'TIGR00443', NULL, 'hisZ_biosyn_reg: ATP phosphoribosyltransferase, regulatory subunit', 314, NULL, 'TIGR00443', 195766);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(252041, 'TIGR01564', NULL, 'S_layer_MJ: S-layer protein', 571, NULL, 'TIGR01564', 195767),
(252042, 'TIGR04181', NULL, 'NHT_00031: aminotransferase, LLPSF_NHT_00031 family', 359, NULL, 'TIGR04181', 195768),
(252043, 'TIGR03654', NULL, 'L6_bact: ribosomal protein uL6', 175, NULL, 'TIGR03654', 195769),
(252044, 'TIGR00452', NULL, 'TIGR00452: tRNA (mo5U34)-methyltransferase', 316, NULL, 'TIGR00452', 195770),
(252045, 'TIGR02533', NULL, 'type_II_gspE: type II secretion system protein E', 486, NULL, 'TIGR02533', 195771),
(252046, 'TIGR02091', NULL, 'glgC: glucose-1-phosphate adenylyltransferase', 364, NULL, 'TIGR02091', 195772),
(252047, 'TIGR02542', NULL, 'T_forsyth_147: TANFOR domain', 145, NULL, 'TIGR02542', 195773),
(252048, 'TIGR02998', NULL, 'RraA_entero: regulator of ribonuclease activity A', 161, NULL, 'TIGR02998', 195774),
(252049, 'TIGR00613', NULL, 'reco: DNA repair protein RecO', 239, NULL, 'TIGR00613', 195775),
(252050, 'TIGR04292', NULL, 'heavy_Cys_CGP: heavy-Cys/CGP-CTERM domain protein', 381, NULL, 'TIGR04292', 195776),
(252051, 'TIGR00171', NULL, 'leuD: 3-isopropylmalate dehydratase, small subunit', 188, NULL, 'TIGR00171', 195777),
(252052, 'TIGR04462', NULL, 'endura_MppP: enduracididine biosynthesis enzyme MppP', 289, NULL, 'TIGR04462', 195778),
(252053, 'TIGR00273', NULL, 'TIGR00273: iron-sulfur cluster-binding protein', 432, NULL, 'TIGR00273', 195779),
(252054, 'TIGR02261', NULL, 'benz_CoA_red_D: benzoyl-CoA reductase, subunit D', 262, NULL, 'TIGR02261', 195780),
(252055, 'TIGR02814', NULL, 'pfaD_fam: PfaD family protein', 444, NULL, 'TIGR02814', 195781),
(252056, 'TIGR00241', NULL, 'CoA_E_activ: putative CoA-substrate-specific enzyme activase', 248, NULL, 'TIGR00241', 195782),
(252057, 'TIGR03935', NULL, 'fragilysin: fragilysin', 386, NULL, 'TIGR03935', 195783),
(252058, 'TIGR01140', NULL, 'L_thr_O3P_dcar: threonine-phosphate decarboxylase', 331, NULL, 'TIGR01140', 195784),
(252059, 'TIGR01310', NULL, 'uL30_euk: 60S ribosomal protein uL30', 236, NULL, 'TIGR01310', 195785),
(252060, 'TIGR04283', NULL, 'glyco_like_mftF: transferase 2, rSAM/selenodomain-associated', 221, NULL, 'TIGR04283', 195786),
(252061, 'TIGR00622', NULL, 'ssl1: transcription factor ssl1', 112, NULL, 'TIGR00622', 195787),
(252062, 'TIGR03109', NULL, 'exosortase_1: exosortase A', 267, NULL, 'TIGR03109', 195788),
(252063, 'TIGR03765', NULL, 'ICE_PFL_4695: integrating conjugative element protein, PFL_4695 family', 105, NULL, 'TIGR03765', 195789),
(252064, 'TIGR04008', NULL, 'WcaF: colanic acid biosynthesis acetyltransferase WcaF', 180, NULL, 'TIGR04008', 195790),
(252065, 'TIGR00118', NULL, 'acolac_lg: acetolactate synthase, large subunit, biosynthetic type', 557, NULL, 'TIGR00118', 195791),
(252066, 'TIGR00876', NULL, 'tal_mycobact: transaldolase', 350, NULL, 'TIGR00876', 195792),
(252067, 'TIGR03300', NULL, 'assembly_YfgL: outer membrane assembly lipoprotein YfgL', 377, NULL, 'TIGR03300', 195793),
(252068, 'TIGR04453', NULL, 'Lepto_8Cys: Cys-rich protein, LA_1312 family', 85, NULL, 'TIGR04453', 195794),
(252069, 'TIGR01292', NULL, 'TRX_reduct: thioredoxin-disulfide reductase', 300, NULL, 'TIGR01292', 195795),
(252070, 'TIGR03502', NULL, 'lipase_Pla1_cef: extracellular lipase, Pla-1/cef family', 790, NULL, 'TIGR03502', 195796),
(252071, 'TIGR04140', NULL, 'chp_AF_0576: TIGR04140 family protein', 66, NULL, 'TIGR04140', 195797),
(252072, 'TIGR00935', NULL, '2a45: arsenite/antimonite efflux pump membrane protein', 426, NULL, 'TIGR00935', 195798),
(252073, 'TIGR01573', NULL, 'cas2: CRISPR-associated endonuclease Cas2', 96, NULL, 'TIGR01573', 195799),
(252074, 'TIGR01081', NULL, 'mpl: UDP-N-acetylmuramate:L-alanyl-gamma-D-glutamyl-meso-diaminopimelate ligase', 448, NULL, 'TIGR01081', 195800),
(252075, 'TIGR01462', NULL, 'greA: transcription elongation factor GreA', 151, NULL, 'TIGR01462', 195801),
(252076, 'TIGR03162', NULL, 'ribazole_cobC: alpha-ribazole phosphatase', 176, NULL, 'TIGR03162', 195802),
(252077, 'TIGR03613', NULL, 'RutR: pyrimidine utilization regulatory protein R', 202, NULL, 'TIGR03613', 195803);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(252078, 'TIGR00411', NULL, 'redox_disulf_1: redox-active disulfide protein 1', 82, NULL, 'TIGR00411', 195804),
(252079, 'TIGR02583', NULL, 'DevR_archaea: CRISPR-associated protein Cas7/Csa2, subtype I-A/APERN', 284, NULL, 'TIGR02583', 195805),
(252080, 'TIGR03967', NULL, 'mycofact_MftB: putative mycofactocin binding protein MftB', 81, NULL, 'TIGR03967', 195806),
(252081, 'TIGR02957', NULL, 'SigX4: RNA polymerase sigma-70 factor, TIGR02957 family', 281, NULL, 'TIGR02957', 195807),
(252082, 'TIGR00300', NULL, 'TIGR00300: TIGR00300 family protein', 407, NULL, 'TIGR00300', 195808),
(252083, 'TIGR01632', NULL, 'L11_bact: ribosomal protein uL11', 140, NULL, 'TIGR01632', 195809),
(252084, 'TIGR00130', NULL, 'frhD: coenzyme F420-reducing hydrogenase, FrhD protein', 153, NULL, 'TIGR00130', 195810),
(252085, 'TIGR01913', NULL, 'bet_lambda: phage recombination protein Bet', 188, NULL, 'TIGR01913', 195811),
(252086, 'TIGR03797', NULL, 'NHLM_micro_ABC2: NHLM bacteriocin system ABC transporter, ATP-binding protein', 686, NULL, 'TIGR03797', 195812),
(252087, 'TIGR01743', NULL, 'purR_Bsub: pur operon repressor PurR', 268, NULL, 'TIGR01743', 195813),
(252088, 'TIGR00595', NULL, 'priA: primosomal protein N''', 509, NULL, 'TIGR00595', 195814),
(252089, 'TIGR00071', NULL, 'hisT_truA: tRNA pseudouridine(38-40) synthase', 228, NULL, 'TIGR00071', 195815),
(252090, 'TIGR03332', NULL, 'salvage_mtnW: 2,3-diketo-5-methylthiopentyl-1-phosphate enolase', 407, NULL, 'TIGR03332', 195816),
(252091, 'TIGR00232', NULL, 'tktlase_bact: transketolase', 654, NULL, 'TIGR00232', 195817),
(252092, 'TIGR03874', NULL, '4cys_cytochr: c-type cytochrome, methanol metabolism-related', 143, NULL, 'TIGR03874', 195818),
(252093, 'TIGR04017', NULL, 'WcaA: colanic acid biosynthesis glycosyltransferase WcaA', 279, NULL, 'TIGR04017', 195819),
(252094, 'TIGR04392', NULL, 'haoB_nitrify: hydroxylamine oxidation protein HaoB', 320, NULL, 'TIGR04392', 195820),
(252095, 'TIGR03048', NULL, 'PS_I_psaC: photosystem I iron-sulfur protein PsaC', 80, NULL, 'TIGR03048', 195821),
(252096, 'TIGR01836', NULL, 'PHA_synth_III_C: poly(R)-hydroxyalkanoic acid synthase, class III, PhaC subunit', 350, NULL, 'TIGR01836', 195822),
(252097, 'TIGR02079', NULL, 'THD1: threonine dehydratase', 410, NULL, 'TIGR02079', 195823),
(252098, 'TIGR00180', NULL, 'parB_part: ParB/RepB/Spo0J family partition protein', 186, NULL, 'TIGR00180', 195824),
(252099, 'TIGR04394', NULL, 'choline_CutC: choline trimethylamine-lyase', 789, NULL, 'TIGR04394', 195825),
(252100, 'TIGR00350', NULL, 'lytR_cpsA_psr: cell envelope-related function transcriptional attenuator common domain', 152, NULL, 'TIGR00350', 195826),
(252101, 'TIGR00062', NULL, 'L27: ribosomal protein bL27', 83, NULL, 'TIGR00062', 195827),
(252102, 'TIGR00159', NULL, 'TIGR00159: TIGR00159 family protein', 254, NULL, 'TIGR00159', 195828),
(252103, 'TIGR01031', NULL, 'rpmF_bact: ribosomal protein bL32', 56, NULL, 'TIGR01031', 195829),
(252104, 'TIGR00976', NULL, '/NonD: hydrolase CocE/NonD family protein', 550, NULL, 'TIGR00976', 195830),
(252105, 'TIGR01040', NULL, 'V-ATPase_V1_B: V-type ATPase, B subunit', 467, NULL, 'TIGR01040', 195831),
(252106, 'TIGR03593', NULL, 'yidC_nterm: membrane protein insertase, YidC/Oxa1 family, N-terminal domain', 363, NULL, 'TIGR03593', 195832),
(252107, 'TIGR01954', NULL, 'nusA_Cterm_rpt: transcription termination factor NusA, C-terminal duplication', 50, NULL, 'TIGR01954', 195833),
(252108, 'TIGR03121', NULL, 'one_C_dehyd_A: formylmethanofuran dehydrogenase subunit A', 556, NULL, 'TIGR03121', 195834),
(252109, 'TIGR00511', NULL, 'ribulose_e2b2: ribose-1,5-bisphosphate isomerase, e2b2 family', 301, NULL, 'TIGR00511', 195835),
(252110, 'TIGR03209', NULL, 'P21_Cbot: transcriptional regulator BotR, P-21', 142, NULL, 'TIGR03209', 195836),
(252111, 'TIGR01666', NULL, 'YCCS: TIGR01666 family membrane protein', 705, NULL, 'TIGR01666', 195837),
(252112, 'TIGR03926', NULL, 'T7_EssB: type VII secretion protein EssB', 377, NULL, 'TIGR03926', 195838),
(252113, 'TIGR04564', NULL, 'Synergist_CTERM: Synergist-CTERM protein sorting domain', 27, NULL, 'TIGR04564', 195839);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(252114, 'TIGR00341', NULL, 'TIGR00341: TIGR00341 family protein', 325, NULL, 'TIGR00341', 195840),
(252115, 'TIGR02474', NULL, 'pec_lyase: pectate lyase', 295, NULL, 'TIGR02474', 195841),
(252116, 'TIGR03756', NULL, 'conj_TIGR03756: integrating conjugative element protein, PFL_4710 family', 298, NULL, 'TIGR03756', 195842),
(252117, 'TIGR02601', NULL, 'autotrns_rpt: autotransporter-associated beta strand repeat', 32, NULL, 'TIGR02601', 195843),
(252118, 'TIGR03039', NULL, 'PS_II_CP47: photosystem II chlorophyll-binding protein CP47', 504, NULL, 'TIGR03039', 195844),
(252119, 'TIGR03586', NULL, 'PseI: pseudaminic acid synthase', 327, NULL, 'TIGR03586', 195845),
(252120, 'TIGR01784', NULL, 'T_den_put_tspse: conserved hypothetical protein', 273, NULL, 'TIGR01784', 195846),
(252121, 'TIGR01496', NULL, 'DHPS: dihydropteroate synthase', 258, NULL, 'TIGR01496', 195847),
(252122, 'TIGR01201', NULL, 'HU_rel: putative DNA-binding protein', 170, NULL, 'TIGR01201', 195848),
(252123, 'TIGR02431', NULL, 'pcaR_pcaU: beta-ketoadipate pathway transcriptional regulators, PcaR/PcaU/PobR family', 248, NULL, 'TIGR02431', 195849),
(252124, 'TIGR02644', NULL, 'Y_phosphoryl: pyrimidine-nucleoside phosphorylase', 417, NULL, 'TIGR02644', 195850),
(252125, 'TIGR04385', NULL, 'B12_rSAM_cofa1: putative variant cofactor biosynthesis B12-binding domain/radical SAM domain protein 1', 438, NULL, 'TIGR04385', 195851),
(252126, 'TIGR00343', NULL, 'TIGR00343: pyridoxal 5''-phosphate synthase, synthase subunit Pdx1', 287, NULL, 'TIGR00343', 195852),
(252127, 'TIGR02363', NULL, 'dhaK1: dihydroxyacetone kinase, DhaK subunit', 329, NULL, 'TIGR02363', 195853),
(252128, 'TIGR02896', NULL, 'spore_III_AF: stage III sporulation protein AF', 106, NULL, 'TIGR02896', 195854),
(252129, 'TIGR01394', NULL, 'TypA_BipA: GTP-binding protein TypA/BipA', 594, NULL, 'TIGR01394', 195855),
(252130, 'TIGR03230', NULL, 'lipo_lipase: lipoprotein lipase', 442, NULL, 'TIGR03230', 195856),
(252131, 'TIGR03867', NULL, 'MprA_tail: MprA protease C-terminal rhombosortase-interaction domain', 27, NULL, 'TIGR03867', 195857),
(252132, 'TIGR01673', NULL, 'holin_LLH: phage holin, LL-H family', 108, NULL, 'TIGR01673', 195858),
(252133, 'TIGR03402', NULL, 'FeS_nifS: cysteine desulfurase NifS', 379, NULL, 'TIGR03402', 195859),
(252134, 'TIGR01845', NULL, 'outer_NodT: efflux transporter, outer membrane factor (OMF) lipoprotein, NodT family', 460, NULL, 'TIGR01845', 195860),
(252135, 'TIGR03400', NULL, '18S_RNA_Rcl1p: 18S rRNA biogenesis protein RCL1', 360, NULL, 'TIGR03400', 195861),
(252136, 'TIGR04201', NULL, 'Myxo_Cys_RPT: Cys-rich repeat, Myxococcales-type', 22, NULL, 'TIGR04201', 195862),
(252137, 'TIGR00874', NULL, 'talAB: transaldolase', 317, NULL, 'TIGR00874', 195863),
(252138, 'TIGR02712', NULL, 'urea_carbox: urea carboxylase', 1201, NULL, 'TIGR02712', 195864),
(252139, 'TIGR03695', NULL, 'menH_SHCHC: 2-succinyl-6-hydroxy-2,4-cyclohexadiene-1-carboxylate synthase', 252, NULL, 'TIGR03695', 195865),
(252140, 'TIGR00329', NULL, 'gcp_kae1: metallohydrolase, glycoprotease/Kae1 family', 305, NULL, 'TIGR00329', 195866),
(252141, 'TIGR01019', NULL, 'sucCoAalpha: succinate-CoA ligase, alpha subunit', 286, NULL, 'TIGR01019', 195867),
(252142, 'TIGR02481', NULL, 'hemeryth_dom: hemerythrin-like metal-binding domain', 126, NULL, 'TIGR02481', 195868),
(252143, 'TIGR03107', NULL, 'glu_aminopep: glutamyl aminopeptidase', 350, NULL, 'TIGR03107', 195869),
(252144, 'TIGR01210', NULL, 'TIGR01210: radical SAM enzyme, TIGR01210 family', 313, NULL, 'TIGR01210', 195870),
(252145, 'TIGR02193', NULL, 'heptsyl_trn_I: lipopolysaccharide heptosyltransferase I', 320, NULL, 'TIGR02193', 195871),
(252146, 'TIGR03865', NULL, 'PQQ_CXXCW: PQQ-dependent catabolism-associated CXXCW motif protein', 167, NULL, 'TIGR03865', 195872),
(252147, 'TIGR00513', NULL, 'accA: acetyl-CoA carboxylase, carboxyl transferase, alpha subunit', 321, NULL, 'TIGR00513', 195873),
(252148, 'TIGR03060', NULL, 'PS_II_psb29: photosystem II biogenesis protein Psp29', 214, NULL, 'TIGR03060', 195874),
(252149, 'TIGR04562', NULL, 'TIGR04562: TIGR04562 family protein', 356, NULL, 'TIGR04562', 195875);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(252150, 'TIGR03171', NULL, 'soxL2: Rieske iron-sulfur protein SoxL2', 321, NULL, 'TIGR03171', 195876),
(252151, 'TIGR00048', NULL, 'rRNA_mod_RlmN: 23S rRNA (adenine(2503)-C(2))-methyltransferase', 355, NULL, 'TIGR00048', 195877),
(252152, 'TIGR00985', NULL, '3a0801s04tom: mitochondrial import receptor subunit', 148, NULL, 'TIGR00985', 195878),
(252153, 'TIGR00173', NULL, 'menD: 2-succinyl-5-enolpyruvyl-6-hydroxy-3-cyclohexene-1-carboxylic-acid synthase', 435, NULL, 'TIGR00173', 195879),
(252154, 'TIGR01675', NULL, 'plant-AP: plant acid phosphatase', 229, NULL, 'TIGR01675', 195880),
(252155, 'TIGR00520', NULL, 'asnASE_II: L-asparaginase, type II', 352, NULL, 'TIGR00520', 195881),
(252156, 'TIGR00402', NULL, 'napF: ferredoxin-type protein NapF', 149, NULL, 'TIGR00402', 195882),
(252157, 'TIGR01904', NULL, 'GSu_C4xC__C2xCH: Geobacter sulfurreducens CxxxxCH...CXXCH domain', 42, NULL, 'TIGR01904', 195883),
(252158, 'TIGR04555', NULL, 'sulfite_DH_soxC: sulfite dehydrogenase', 408, NULL, 'TIGR04555', 195884),
(252159, 'TIGR03218', NULL, 'catechol_dmpH: 4-oxalocrotonate decarboxylase', 263, NULL, 'TIGR03218', 195885),
(252160, 'TIGR00697', NULL, 'TIGR00697: conserved hypothetical integral membrane protein', 201, NULL, 'TIGR00697', 195886),
(252161, 'TIGR00978', NULL, 'asd_EA: aspartate-semialdehyde dehydrogenase', 342, NULL, 'TIGR00978', 195887),
(252162, 'TIGR00867', NULL, 'deg-1: degenerin', 611, NULL, 'TIGR00867', 195888),
(252163, 'TIGR04496', NULL, 'rSAM_XyeB: radical SAM/SPASM domain peptide maturase, XyeB family', 385, NULL, 'TIGR04496', 195889),
(252164, 'TIGR01700', NULL, 'PNPH: purine nucleoside phosphorylase I, inosine and guanosine-specific', 249, NULL, 'TIGR01700', 195890),
(252165, 'TIGR00731', NULL, 'bL25_bact_ctc: ribosomal protein bL25, Ctc-form', 176, NULL, 'TIGR00731', 195891),
(252166, 'TIGR03429', NULL, 'arom_pren_DMATS: aromatic prenyltransferase, DMATS type', 408, NULL, 'TIGR03429', 195892),
(252167, 'TIGR02308', NULL, 'RNA_lig_T4_1: RNA ligase, T4 RnlA family', 373, NULL, 'TIGR02308', 195893),
(252168, 'TIGR02821', NULL, 'fghA_ester_D: S-formylglutathione hydrolase', 275, NULL, 'TIGR02821', 195894),
(252169, 'TIGR04344', NULL, 'ovoA_Nterm: 5-histidylcysteine sulfoxide synthase', 444, NULL, 'TIGR04344', 195895),
(252170, 'TIGR03375', NULL, 'type_I_sec_LssB: type I secretion system ATPase', 696, NULL, 'TIGR03375', 195896),
(252171, 'TIGR02254', NULL, 'YjjG/YfnB: noncanonical pyrimidine nucleotidase, YjjG family', 223, NULL, 'TIGR02254', 195897),
(252172, 'TIGR04031', NULL, 'Htur_1727_fam: rSAM-partnered protein, Htur_1727 family', 71, NULL, 'TIGR04031', 195898),
(252173, 'TIGR02424', NULL, 'TF_pcaQ: pca operon transcription factor PcaQ', 300, NULL, 'TIGR02424', 195899),
(252174, 'TIGR00486', NULL, 'YbgI_SA1388: dinuclear metal center protein, YbgI/SA1388 family', 250, NULL, 'TIGR00486', 195900),
(252175, 'TIGR02651', NULL, 'RNase_Z: ribonuclease Z', 302, NULL, 'TIGR02651', 195901),
(252176, 'TIGR02889', NULL, 'spore_YpeB: germination protein YpeB', 435, NULL, 'TIGR02889', 195902),
(252177, 'TIGR00901', NULL, '2A0125: AmpG-like permease', 357, NULL, 'TIGR00901', 195903),
(252178, 'TIGR00021', NULL, 'rpiA: ribose 5-phosphate isomerase A', 218, NULL, 'TIGR00021', 195904),
(252179, 'TIGR01169', NULL, 'rplA_bact: ribosomal protein uL1', 227, NULL, 'TIGR01169', 195905),
(252180, 'TIGR01142', NULL, 'purT: phosphoribosylglycinamide formyltransferase 2', 380, NULL, 'TIGR01142', 195906),
(252181, 'TIGR04269', NULL, 'SAM_SPASM_FxsB: radical SAM/SPASM domain protein, FxsB family', 363, NULL, 'TIGR04269', 195907),
(252182, 'TIGR00561', NULL, 'pntA: NAD(P)(+) transhydrogenase (AB-specific), alpha subunit', 511, NULL, 'TIGR00561', 195908),
(252183, 'TIGR00928', NULL, 'purB: adenylosuccinate lyase', 436, NULL, 'TIGR00928', 195909),
(252184, 'TIGR04514', NULL, 'GWxTD_dom: GWxTD domain', 105, NULL, 'TIGR04514', 195910),
(252185, 'TIGR03259', NULL, 'met_CoM_red_gam: methyl-coenzyme M reductase, gamma subunit', 244, NULL, 'TIGR03259', 195911),
(252186, 'TIGR00656', NULL, 'asp_kin_monofn: aspartate kinase, monofunctional class', 407, NULL, 'TIGR00656', 195912);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(252187, 'TIGR03504', NULL, 'FimV_Cterm: FimV C-terminal domain', 44, NULL, 'TIGR03504', 195913),
(252188, 'TIGR01509', NULL, 'HAD-SF-IA-v3: HAD hydrolase, family IA, variant 3', 154, NULL, 'TIGR01509', 195914),
(252189, 'TIGR03933', NULL, 'PIA_icaB: intercellular adhesin biosynthesis polysaccharide N-deacetylase', 245, NULL, 'TIGR03933', 195915),
(252190, 'TIGR03491', NULL, 'TIGR03491: putative RecB family nuclease, TM0106 family', 462, NULL, 'TIGR03491', 195916),
(252191, 'TIGR04099', NULL, 'biosn_Pnap_2097: probable biosynthetic protein, Pnap_2097 family', 259, NULL, 'TIGR04099', 195917),
(252192, 'TIGR01339', NULL, 'phycocy_beta: phycocyanin, beta subunit', 171, NULL, 'TIGR01339', 195918),
(252193, 'TIGR02084', NULL, 'leud: 3-isopropylmalate dehydratase, small subunit', 156, NULL, 'TIGR02084', 195919),
(252194, 'TIGR01571', NULL, 'A_thal_Cys_rich: uncharacterized Cys-rich domain', 105, NULL, 'TIGR01571', 195920),
(252195, 'TIGR04174', NULL, 'IPTL_CTERM: IPTL-CTERM protein sorting domain', 27, NULL, 'TIGR04174', 195921),
(252196, 'TIGR01414', NULL, 'autotrans_barl: outer membrane autotransporter barrel domain', 432, NULL, 'TIGR01414', 195922),
(252197, 'TIGR03661', NULL, 'T1SS_VCA0849: type I secretion C-terminal target domain (VC_A0849 subclass)', 91, NULL, 'TIGR03661', 195923),
(252198, 'TIGR03817', NULL, 'DECH_helic: helicase/secretion neighborhood putative DEAH-box helicase', 742, NULL, 'TIGR03817', 195924),
(252199, 'TIGR02794', NULL, 'tolA_full: protein TolA', 362, NULL, 'TIGR02794', 195925),
(252200, 'TIGR03969', NULL, 'mycofactocin: mycofactocin precursor', 23, NULL, 'TIGR03969', 195926),
(252201, 'TIGR03089', NULL, 'TIGR03089: TIGR03089 family protein', 227, NULL, 'TIGR03089', 195927),
(252202, 'TIGR03280', NULL, 'methan_mark_11: methanogenesis imperfect marker protein 11', 292, NULL, 'TIGR03280', 195928),
(252203, 'TIGR03005', NULL, 'ectoine_ehuA: ectoine/hydroxyectoine ABC transporter, ATP-binding protein EhuA', 252, NULL, 'TIGR03005', 195929),
(252204, 'TIGR01312', NULL, 'XylB: xylulokinase', 481, NULL, 'TIGR01312', 195930),
(252205, 'TIGR02746', NULL, 'TraC-F-type: type-IV secretion system protein TraC', 800, NULL, 'TIGR02746', 195931),
(252206, 'TIGR03763', NULL, 'cyanoexo_CrtA: cyanoexosortase A', 260, NULL, 'TIGR03763', 195932),
(252207, 'TIGR01947', NULL, 'rnfG: electron transport complex, RnfABCDGE type, G subunit', 187, NULL, 'TIGR01947', 195933),
(252208, 'TIGR00445', NULL, 'mraY: phospho-N-acetylmuramoyl-pentapeptide-transferase', 321, NULL, 'TIGR00445', 195934),
(252209, 'TIGR00391', NULL, 'hydA: hydrogenase (NiFe) small subunit (hydA)', 365, NULL, 'TIGR00391', 195935),
(252210, 'TIGR01777', NULL, 'yfcH: TIGR01777 family protein', 292, NULL, 'TIGR01777', 195936),
(252211, 'TIGR04126', NULL, 'PGF_CTERM: PGF-CTERM archaeal protein-sorting signal', 28, NULL, 'TIGR04126', 195937),
(252212, 'TIGR02964', NULL, 'xanthine_xdhC: xanthine dehydrogenase accessory protein XdhC', 246, NULL, 'TIGR02964', 195938),
(252213, 'TIGR02111', NULL, 'PQQ_syn_pqqC: coenzyme PQQ biosynthesis protein C', 239, NULL, 'TIGR02111', 195939),
(252214, 'TIGR00758', NULL, 'UDG_fam4: uracil-DNA glycosylase, family 4', 173, NULL, 'TIGR00758', 195940),
(252215, 'TIGR00275', NULL, 'TIGR00275: flavoprotein, HI0933 family', 401, NULL, 'TIGR00275', 195941),
(252216, 'TIGR01893', NULL, 'aa-his-dipept: Xaa-His dipeptidase', 478, NULL, 'TIGR01893', 195942),
(252217, 'TIGR03647', NULL, 'Na_symport_sm: putative solute:sodium symporter small subunit', 77, NULL, 'TIGR03647', 195943),
(252218, 'TIGR00588', NULL, 'ogg: 8-oxoguanine DNA-glycosylase (ogg)', 310, NULL, 'TIGR00588', 195944),
(252219, 'TIGR02138', NULL, 'phosphate_pstC: phosphate ABC transporter, permease protein PstC', 296, NULL, 'TIGR02138', 195945),
(252220, 'TIGR01128', NULL, 'holA: DNA polymerase III, delta subunit', 314, NULL, 'TIGR01128', 195946),
(252221, 'TIGR00615', NULL, 'recR: recombination protein RecR', 196, NULL, 'TIGR00615', 195947),
(252222, 'TIGR00123', NULL, 'cbiM: cobalamin biosynthesis protein CbiM', 214, NULL, 'TIGR00123', 195948);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(252223, 'TIGR03450', NULL, 'mycothiol_INO1: inositol 1-phosphate synthase', 355, NULL, 'TIGR03450', 195949),
(252224, 'TIGR04460', NULL, 'endura_MppR: enduracididine biosynthesis enzyme MppR', 257, NULL, 'TIGR04460', 195950),
(252225, 'TIGR01802', NULL, 'CM_pl-yst: chorismate mutase', 247, NULL, 'TIGR01802', 195951),
(252226, 'TIGR01625', NULL, 'YidE_YbjL_dupl: AspT/YidE/YbjL antiporter duplication domain', 154, NULL, 'TIGR01625', 195952),
(252227, 'TIGR01285', NULL, 'nifN: nitrogenase molybdenum-iron cofactor biosynthesis protein NifN', 433, NULL, 'TIGR01285', 195953),
(252228, 'TIGR04303', NULL, 'GeoRSP_rSAM: GeoRSP system radical SAM/SPASM protein', 325, NULL, 'TIGR04303', 195954),
(252229, 'TIGR00268', NULL, 'TIGR00268: TIGR00268 family protein', 253, NULL, 'TIGR00268', 195955),
(252230, 'TIGR04290', NULL, 'meth_Rta_06860: methyltransferase, Rta_06860 family', 226, NULL, 'TIGR04290', 195956),
(252231, 'TIGR03620', NULL, 'F420_MSMEG_4141: probable F420-dependent oxidoreductase, MSMEG_4141 family', 280, NULL, 'TIGR03620', 195957),
(252232, 'TIGR01455', NULL, 'glmM: phosphoglucosamine mutase', 442, NULL, 'TIGR01455', 195958),
(252233, 'TIGR00942', NULL, '2a6301s05: multicomponent Na+:H+ antiporter', 144, NULL, 'TIGR00942', 195959),
(252234, 'TIGR04133', NULL, 'rSAM_w_lipo: radical SAM enzyme, rSAM/lipoprotein system', 350, NULL, 'TIGR04133', 195960),
(252235, 'TIGR02322', NULL, 'phosphon_PhnN: phosphonate metabolism protein/1,5-bisphosphokinase (PRPP-forming) PhnN', 179, NULL, 'TIGR02322', 195961),
(252236, 'TIGR02753', NULL, 'sodN: superoxide dismutase, Ni', 145, NULL, 'TIGR02753', 195962),
(252237, 'TIGR03722', NULL, 'arch_KAE1: universal archaeal protein Kae1', 323, NULL, 'TIGR03722', 195963),
(252238, 'TIGR01407', NULL, 'dinG_rel: putative DnaQ family exonuclease/DinG family helicase', 889, NULL, 'TIGR01407', 195964),
(252239, 'TIGR03443', NULL, 'alpha_am_amid: L-aminoadipate-semialdehyde dehydrogenase', 1390, NULL, 'TIGR03443', 195965),
(252240, 'TIGR01353', NULL, 'dGTP_triPase: putative dGTPase', 389, NULL, 'TIGR01353', 195966),
(252241, 'TIGR02787', NULL, 'codY_Gpos: GTP-sensing transcriptional pleiotropic repressor CodY', 251, NULL, 'TIGR02787', 195967),
(252242, 'TIGR00833', NULL, 'actII: transport protein', 910, NULL, 'TIGR00833', 195968),
(252243, 'TIGR01988', NULL, 'Ubi-OHases: ubiquinone biosynthesis hydroxylase, UbiH/UbiF/VisC/COQ6 family', 387, NULL, 'TIGR01988', 195969),
(252244, 'TIGR03012', NULL, 'sulf_tusD_dsrE: sulfur relay protein TusD/DsrE', 127, NULL, 'TIGR03012', 195970),
(252245, 'TIGR04242', NULL, 'nodulat_NodC: chitooligosaccharide synthase NodC', 395, NULL, 'TIGR04242', 195971),
(252246, 'TIGR04167', NULL, 'rSAM_SeCys: radical SAM/Cys-rich domain protein', 303, NULL, 'TIGR04167', 195972),
(252247, 'TIGR00717', NULL, 'rpsA: ribosomal protein bS1', 516, NULL, 'TIGR00717', 195973),
(252248, 'TIGR02152', NULL, 'D_ribokin_bact: ribokinase', 298, NULL, 'TIGR02152', 195974),
(252249, 'TIGR04412', NULL, 'T2SS_GspM_XcpZ: type II secretion system protein M', 126, NULL, 'TIGR04412', 195975),
(252250, 'TIGR03477', NULL, 'DMSO_red_II_gam: DMSO reductase family type II enzyme, heme b subunit', 206, NULL, 'TIGR03477', 195976),
(252251, 'TIGR02206', NULL, 'intg_mem_TP0381: conserved hypothetical integral membrane protein TIGR02206', 222, NULL, 'TIGR02206', 195977),
(252252, 'TIGR00663', NULL, 'dnan: DNA polymerase III, beta subunit', 367, NULL, 'TIGR00663', 195978),
(252253, 'TIGR02923', NULL, 'AhaC: ATP synthase A1, C subunit', 348, NULL, 'TIGR02923', 195979),
(252254, 'TIGR00554', NULL, 'panK_bact: pantothenate kinase', 307, NULL, 'TIGR00554', 195980),
(252255, 'TIGR03606', NULL, 'non_repeat_PQQ: dehydrogenase, PQQ-dependent, s-GDH family', 454, NULL, 'TIGR03606', 195981),
(252256, 'TIGR00547', NULL, 'lolA: outer membrane lipoprotein carrier protein LolA', 204, NULL, 'TIGR00547', 195982),
(252257, 'TIGR01074', NULL, 'rep: ATP-dependent DNA helicase Rep', 668, NULL, 'TIGR01074', 195983),
(252258, 'TIGR00007', NULL, 'TIGR00007: 1-(5-phosphoribosyl)-5-[(5-phosphoribosylamino)methylideneamino]imidazole-4-carboxamide isomerase', 231, NULL, 'TIGR00007', 195984);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(252259, 'TIGR01237', NULL, 'D1pyr5carbox2: putative delta-1-pyrroline-5-carboxylate dehydrogenase', 511, NULL, 'TIGR01237', 195985),
(252260, 'TIGR04072', NULL, 'rSAM_ladder_B12: lipid biosynthesis B12-binding/radical SAM protein', 151, NULL, 'TIGR04072', 195986),
(252261, 'TIGR01067', NULL, 'rplN_bact: ribosomal protein uL14', 122, NULL, 'TIGR01067', 195987),
(252262, 'TIGR03831', NULL, 'YgiT_finger: YgiT-type zinc finger domain', 46, NULL, 'TIGR03831', 195988),
(252263, 'TIGR01244', NULL, 'TIGR01244: TIGR01244 family protein', 135, NULL, 'TIGR01244', 195989),
(252264, 'TIGR02916', NULL, 'PEP_his_kin: putative PEP-CTERM system histidine kinase', 679, NULL, 'TIGR02916', 195990),
(252265, 'TIGR00826', NULL, 'EIIB_glc: PTS system, glucose-like IIB component', 88, NULL, 'TIGR00826', 195991),
(252266, 'TIGR00384', NULL, 'dhsB: succinate dehydrogenase and fumarate reductase iron-sulfur protein', 222, NULL, 'TIGR00384', 195992),
(252267, 'TIGR04521', NULL, 'ECF_ATPase_2: energy-coupling factor transporter ATPase', 279, NULL, 'TIGR04521', 195993),
(252268, 'TIGR00377', NULL, 'ant_ant_sig: anti-anti-sigma factor', 108, NULL, 'TIGR00377', 195994),
(252269, 'TIGR01879', NULL, 'hydantase: amidase, hydantoinase/carbamoylase family', 401, NULL, 'TIGR01879', 195995),
(252270, 'TIGR03382', NULL, 'GC_trans_RRR: Myxococcales GC_trans_RRR domain', 27, NULL, 'TIGR03382', 195996),
(252271, 'TIGR00724', NULL, 'urea_amlyse_rel: biotin-dependent carboxylase uncharacterized domain', 315, NULL, 'TIGR00724', 195997),
(252272, 'TIGR04351', NULL, 'TOMM_nitrile_2: putative TOMM peptide', 48, NULL, 'TIGR04351', 195998),
(252273, 'TIGR04405', NULL, 'SkfF: sporulation killing factor system integral membrane protein', 472, NULL, 'TIGR04405', 195999),
(252274, 'TIGR00670', NULL, 'asp_carb_tr: aspartate carbamoyltransferase', 304, NULL, 'TIGR00670', 196000),
(252275, 'TIGR01346', NULL, 'isocit_lyase: isocitrate lyase', 527, NULL, 'TIGR01346', 196001),
(252276, 'TIGR02862', NULL, 'spore_BofA: pro-sigmaK processing inhibitor BofA', 83, NULL, 'TIGR02862', 196002),
(252277, 'TIGR02036', NULL, 'dsdC: D-serine deaminase transcriptional activator', 302, NULL, 'TIGR02036', 196003),
(252278, 'TIGR02692', NULL, 'tRNA_CCA_actino: CCA tRNA nucleotidyltransferase', 466, NULL, 'TIGR02692', 196004),
(252279, 'TIGR03538', NULL, 'DapC_gpp: succinyldiaminopimelate transaminase', 395, NULL, 'TIGR03538', 196005),
(252280, 'TIGR01176', NULL, 'fum_red_Fp: fumarate reductase (quinol), flavoprotein subunit', 580, NULL, 'TIGR01176', 196006),
(252281, 'TIGR02848', NULL, 'spore_III_AC: stage III sporulation protein AC', 64, NULL, 'TIGR02848', 196007),
(252282, 'TIGR01523', NULL, 'ATPase-IID_K-Na: potassium/sodium efflux P-type ATPase, fungal-type', 997, NULL, 'TIGR01523', 196008),
(252283, 'TIGR04228', NULL, 'isopep_sspB_C2: adhesin isopeptide-forming adherence domain', 173, NULL, 'TIGR04228', 196009),
(252284, 'TIGR02678', NULL, 'TIGR02678: TIGR02678 family protein', 376, NULL, 'TIGR02678', 196010),
(252285, 'TIGR03552', NULL, 'F420_cofC: 2-phospho-L-lactate guanylyltransferase', 196, NULL, 'TIGR03552', 196011),
(252286, 'TIGR01995', NULL, 'PTS-II-ABC-beta: PTS system, beta-glucoside-specific IIABC component', 618, NULL, 'TIGR01995', 196012),
(252287, 'TIGR00493', NULL, 'clpP: ATP-dependent Clp endopeptidase, proteolytic subunit ClpP', 192, NULL, 'TIGR00493', 196013),
(252288, 'TIGR02050', NULL, 'gshA_cyan_rel: carboxylate-amine ligase, YbdK family', 287, NULL, 'TIGR02050', 196014),
(252289, 'TIGR00840', NULL, 'b_cpa1: sodium/hydrogen exchanger 3', 559, NULL, 'TIGR00840', 196015),
(252290, 'TIGR04235', NULL, 'seadorna_VP4: seadornavirus VP4 protein', 618, NULL, 'TIGR04235', 196016),
(252291, 'TIGR01190', NULL, 'ccmB: heme exporter protein CcmB', 211, NULL, 'TIGR01190', 196017),
(252292, 'TIGR02213', NULL, 'lolE_release: lipoprotein releasing system, transmembrane protein LolE', 411, NULL, 'TIGR02213', 196018),
(252293, 'TIGR03715', NULL, 'KxYKxGKxW: KxYKxGKxW signal peptide', 23, NULL, 'TIGR03715', 196019),
(252294, 'TIGR01360', NULL, 'aden_kin_iso1: adenylate kinase', 188, NULL, 'TIGR01360', 196020);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(252295, 'TIGR03368', NULL, 'cellulose_yhjU: cellulose synthase operon protein YhjU', 518, NULL, 'TIGR03368', 196021),
(252296, 'TIGR01183', NULL, 'ntrB: nitrate ABC transporter, permease protein', 202, NULL, 'TIGR01183', 196022),
(252297, 'TIGR03198', NULL, 'pucE: xanthine dehydrogenase E subunit', 151, NULL, 'TIGR03198', 196023),
(252298, 'TIGR02043', NULL, 'ZntR: Zn(II)-responsive transcriptional regulator', 131, NULL, 'TIGR02043', 196024),
(252299, 'TIGR03545', NULL, 'TIGR03545: TIGR03545 family protein', 556, NULL, 'TIGR03545', 196025),
(252300, 'TIGR01530', NULL, 'nadN: NAD nucleotidase', 550, NULL, 'TIGR01530', 196026),
(252301, 'TIGR04058', NULL, 'AcACP_reductase: long-chain fatty acyl-ACP reductase (aldehyde-forming)', 339, NULL, 'TIGR04058', 196027),
(252302, 'TIGR02685', NULL, 'pter_reduc_Leis: pteridine reductase', 267, NULL, 'TIGR02685', 196028),
(252303, 'TIGR04153', NULL, 'cyanosortA_assc: cyanosortase A-associated protein', 185, NULL, 'TIGR04153', 196029),
(252304, 'TIGR01305', NULL, 'GMP_reduct_1: guanosine monophosphate reductase', 343, NULL, 'TIGR01305', 196030),
(252305, 'TIGR00954', NULL, '3a01203: peroxysomal long chain fatty acyl transporter', 660, NULL, 'TIGR00954', 196031),
(252306, 'TIGR01592', NULL, 'holin_SPP1: holin, SPP1 family', 78, NULL, 'TIGR01592', 196032),
(252307, 'TIGR03755', NULL, 'conj_TIGR03755: integrating conjugative element protein, PFL_4711 family', 419, NULL, 'TIGR03755', 196033),
(252308, 'TIGR00714', NULL, 'hscB: Fe-S protein assembly co-chaperone HscB', 156, NULL, 'TIGR00714', 196034),
(252309, 'TIGR04393', NULL, 'rpt_T5SS_PEPC: T5SS/PEP-CTERM-associated repeat', 49, NULL, 'TIGR04393', 196035),
(252310, 'TIGR03515', NULL, 'GldC: gliding motility-associated protein GldC', 108, NULL, 'TIGR03515', 196036),
(252311, 'TIGR01112', NULL, 'mtrD: tetrahydromethanopterin S-methyltransferase, subunit D', 223, NULL, 'TIGR01112', 196037),
(252312, 'TIGR04106', NULL, 'cas8c_GSU0052: CRISPR-associated protein GSU0052/csb3, Dpsyc system', 282, NULL, 'TIGR04106', 196038),
(252313, 'TIGR03459', NULL, 'crt_membr: carotene biosynthesis associated membrane protein', 470, NULL, 'TIGR03459', 196039),
(252314, 'TIGR01489', NULL, 'DKMTPPase-SF: 2,3-diketo-5-methylthio-1-phosphopentane phosphatase', 188, NULL, 'TIGR01489', 196040),
(252315, 'TIGR00907', NULL, '2A0304: amino acid permease', 482, NULL, 'TIGR00907', 196041),
(252316, 'TIGR02183', NULL, 'GRXA: glutaredoxin, GrxA family', 86, NULL, 'TIGR02183', 196042),
(252317, 'TIGR03708', NULL, 'poly_P_AMP_trns: polyphosphate:AMP phosphotransferase', 493, NULL, 'TIGR03708', 196043),
(252318, 'TIGR00761', NULL, 'argB: acetylglutamate kinase', 231, NULL, 'TIGR00761', 196044),
(252319, 'TIGR01785', NULL, 'TonB-hemin: TonB-dependent heme/hemoglobin receptor family protein', 677, NULL, 'TIGR01785', 196045),
(252320, 'TIGR01009', NULL, 'rpsC_bact: ribosomal protein uS3', 212, NULL, 'TIGR01009', 196046),
(252321, 'TIGR03562', NULL, 'osmo_induc_OsmC: peroxiredoxin, OsmC subfamily', 137, NULL, 'TIGR03562', 196047),
(252322, 'TIGR00521', NULL, 'coaBC_dfp: phosphopantothenoylcysteine decarboxylase / phosphopantothenate--cysteine ligase', 392, NULL, 'TIGR00521', 196048),
(252323, 'TIGR01978', NULL, 'sufC: FeS assembly ATPase SufC', 243, NULL, 'TIGR01978', 196049),
(252324, 'TIGR01296', NULL, 'asd_B: aspartate-semialdehyde dehydrogenase', 339, NULL, 'TIGR01296', 196050),
(252325, 'TIGR02971', NULL, 'heterocyst_DevB: ABC exporter membrane fusion protein, DevB family', 327, NULL, 'TIGR02971', 196051),
(252326, 'TIGR01601', NULL, 'PYST-C1: Plasmodium yoelii subtelomeric domain PYST-C1', 82, NULL, 'TIGR01601', 196052),
(252327, 'TIGR00898', NULL, '2A0119: cation transport protein', 506, NULL, 'TIGR00898', 196053),
(252328, 'TIGR03811', NULL, 'tyr_de_CO2_Ent: tyrosine decarboxylase', 608, NULL, 'TIGR03811', 196054),
(252329, 'TIGR02628', NULL, 'fuculo_kin_coli: L-fuculokinase', 465, NULL, 'TIGR02628', 196055),
(252330, 'TIGR02136', NULL, 'ptsS_2: phosphate binding protein', 295, NULL, 'TIGR02136', 196056),
(252331, 'TIGR03219', NULL, 'salicylate_mono: salicylate 1-monooxygenase', 414, NULL, 'TIGR03219', 196057);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(252332, 'TIGR01738', NULL, 'bioH: pimelyl-[acyl-carrier protein] methyl ester esterase', 245, NULL, 'TIGR01738', 196058),
(252333, 'TIGR02376', NULL, 'Cu_nitrite_red: nitrite reductase, copper-containing', 326, NULL, 'TIGR02376', 196059),
(252334, 'TIGR02569', NULL, 'TIGR02569_actnb: TIGR02569 family protein', 272, NULL, 'TIGR02569', 196060),
(252335, 'TIGR01352', NULL, 'tonB_Cterm: TonB family C-terminal domain', 76, NULL, 'TIGR01352', 196061),
(252336, 'TIGR00119', NULL, 'acolac_sm: acetolactate synthase, small subunit', 158, NULL, 'TIGR00119', 196062),
(252337, 'TIGR03995', NULL, 'target_X_rSAM: putative rSAM target protein, CGCGG family', 84, NULL, 'TIGR03995', 196063),
(252338, 'TIGR01545', NULL, 'YfhB_g-proteo: HAD hydrolase, family IF', 210, NULL, 'TIGR01545', 196064),
(252339, 'TIGR03026', NULL, 'NDP-sugDHase: nucleotide sugar dehydrogenase', 413, NULL, 'TIGR03026', 196065),
(252340, 'TIGR03023', NULL, 'WcaJ_sugtrans: undecaprenyl-phosphate glucose phosphotransferase', 453, NULL, 'TIGR03023', 196066),
(252341, 'TIGR00222', NULL, 'panB: 3-methyl-2-oxobutanoate hydroxymethyltransferase', 264, NULL, 'TIGR00222', 196067),
(252342, 'TIGR02242', NULL, 'tail_TIGR02242: phage tail protein domain', 131, NULL, 'TIGR02242', 196068),
(252343, 'TIGR02432', NULL, 'lysidine_TilS_N: tRNA(Ile)-lysidine synthetase', 189, NULL, 'TIGR02432', 196069),
(252344, 'TIGR00359', NULL, 'cello_pts_IIC: PTS system, cellobiose-specific IIC component', 424, NULL, 'TIGR00359', 196070),
(252345, 'TIGR00655', NULL, 'PurU: formyltetrahydrofolate deformylase', 280, NULL, 'TIGR00655', 196071),
(252346, 'TIGR02139', NULL, 'permease_CysT: sulfate ABC transporter, permease protein CysT', 265, NULL, 'TIGR02139', 196072),
(252347, 'TIGR04402', NULL, 'mob_CxxC_CxxC: mobilome CxxCx(11)CxxC protein', 186, NULL, 'TIGR04402', 196073),
(252348, 'TIGR00169', NULL, 'leuB: 3-isopropylmalate dehydrogenase', 349, NULL, 'TIGR00169', 196074),
(252349, 'TIGR03266', NULL, 'methan_mark_1: putative methanogenesis marker protein 1', 376, NULL, 'TIGR03266', 196075),
(252350, 'TIGR00465', NULL, 'ilvC: ketol-acid reductoisomerase', 314, NULL, 'TIGR00465', 196076),
(252351, 'TIGR02329', NULL, 'propionate_PrpR: propionate catabolism operon regulatory protein PrpR', 526, NULL, 'TIGR02329', 196077),
(252352, 'TIGR01651', NULL, 'CobT: cobaltochelatase, CobT subunit', 600, NULL, 'TIGR01651', 196078),
(252353, 'TIGR00608', NULL, 'radc: DNA repair protein RadC', 218, NULL, 'TIGR00608', 196079),
(252354, 'TIGR01841', NULL, 'phasin: phasin family protein', 88, NULL, 'TIGR01841', 196080),
(252355, 'TIGR03948', NULL, 'butyr_acet_CoA: butyryl-CoA:acetate CoA-transferase', 445, NULL, 'TIGR03948', 196081),
(252356, 'TIGR04349', NULL, 'rSAM_QueE_gams: putative 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', 210, NULL, 'TIGR04349', 196082),
(252357, 'TIGR04539', NULL, 'tRNA_cyclodipep: tRNA-dependent cyclodipeptide synthase', 220, NULL, 'TIGR04539', 196083),
(252358, 'TIGR00418', NULL, 'thrS: threonine--tRNA ligase', 565, NULL, 'TIGR00418', 196084),
(252359, 'TIGR01246', NULL, 'dapE_proteo: succinyl-diaminopimelate desuccinylase', 370, NULL, 'TIGR01246', 196085),
(252360, 'TIGR04212', NULL, 'GlyGly_RbtA: rhombotarget A', 605, NULL, 'TIGR04212', 196086),
(252361, 'TIGR01056', NULL, 'topB: DNA topoisomerase III', 706, NULL, 'TIGR01056', 196087),
(252362, 'TIGR03070', NULL, 'couple_hipB: transcriptional regulator, y4mF family', 58, NULL, 'TIGR03070', 196088),
(252363, 'TIGR03699', NULL, 'menaquin_MqnC: dehypoxanthine futalosine cyclase', 342, NULL, 'TIGR03699', 196089),
(252364, 'TIGR03889', NULL, 'nitrile_acc: nitrile hydratase accessory protein', 74, NULL, 'TIGR03889', 196090),
(252365, 'TIGR02924', NULL, 'ICDH_alpha: isocitrate dehydrogenase', 473, NULL, 'TIGR02924', 196091),
(252366, 'TIGR00032', NULL, 'argG: argininosuccinate synthase', 394, NULL, 'TIGR00032', 196092),
(252367, 'TIGR02675', NULL, 'tape_meas_nterm: tape measure domain', 75, NULL, 'TIGR02675', 196093),
(252368, 'TIGR02865', NULL, 'spore_II_E: stage II sporulation protein E', 764, NULL, 'TIGR02865', 196094);
INSERT INTO "PUBLIC"."MODEL" VALUES
(252369, 'TIGR04094', NULL, 'adjacent_YSIRK: YSIRK-targeted surface antigen transcriptional regulator', 383, NULL, 'TIGR04094', 196095),
(252370, 'TIGR03758', NULL, 'conj_TIGR03758: integrating conjugative element protein, PFL_4701 family', 76, NULL, 'TIGR03758', 196096),
(252371, 'TIGR01900', NULL, 'dapE-gram_pos: succinyl-diaminopimelate desuccinylase', 351, NULL, 'TIGR01900', 196097),
(252372, 'TIGR04343', NULL, 'egtE_PLP_lyase: ergothioneine biosynthesis PLP-dependent enzyme EgtE', 370, NULL, 'TIGR04343', 196098),
(252373, 'TIGR03945', NULL, 'PLP_SbnA_fam: 2,3-diaminopropionate biosynthesis protein SbnA', 304, NULL, 'TIGR03945', 196099),
(252374, 'TIGR02927', NULL, 'SucB_Actino: 2-oxoglutarate dehydrogenase, E2 component, dihydrolipoamide succinyltransferase', 579, NULL, 'TIGR02927', 196100),
(252375, 'TIGR03565', NULL, 'alk_sulf_monoox: alkanesulfonate monooxygenase, FMNH(2)-dependent', 346, NULL, 'TIGR03565', 196101),
(252376, 'TIGR01302', NULL, 'IMP_dehydrog: inosine-5''-monophosphate dehydrogenase', 450, NULL, 'TIGR01302', 196102),
(252377, 'TIGR00820', NULL, 'zip: ZIP zinc/iron transport family', 324, NULL, 'TIGR00820', 196103),
(252378, 'TIGR02077', NULL, 'thr_lead_pep: thr operon leader peptide', 23, NULL, 'TIGR02077', 196104),
(252379, 'TIGR03372', NULL, 'putres_am_tran: putrescine aminotransferase', 442, NULL, 'TIGR03372', 196105),
(252380, 'TIGR03752', NULL, 'conj_TIGR03752: integrating conjugative element protein, PFL_4705 family', 471, NULL, 'TIGR03752', 196106),
(252381, 'TIGR01975', NULL, 'isoAsp_dipep: beta-aspartyl peptidase', 389, NULL, 'TIGR01975', 196107),
(252382, 'TIGR02974', NULL, 'phageshock_pspF: psp operon transcriptional activator', 336, NULL, 'TIGR02974', 196108),
(252383, 'TIGR01595', NULL, 'cas_CT1132: CRISPR-associated protein, CT1132 family', 268, NULL, 'TIGR01595', 196109),
(252384, 'TIGR03518', NULL, 'ABC_perm_GldF: gliding motility-associated ABC transporter permease protein GldF', 240, NULL, 'TIGR03518', 196110),
(252385, 'TIGR00711', NULL, 'efflux_EmrB: drug resistance MFS transporter, drug:H+ antiporter-2 (14 Spanner) (DHA2) family', 485, NULL, 'TIGR00711', 196111),
(252386, 'TIGR01788', NULL, 'Glu-decarb-GAD: glutamate decarboxylase', 431, NULL, 'TIGR01788', 196112),
(252387, 'TIGR00331', NULL, 'hrcA: heat-inducible transcription repressor HrcA', 338, NULL, 'TIGR00331', 196113),
(252388, 'TIGR01928', NULL, 'menC_lowGC/arch: o-succinylbenzoate synthase', 325, NULL, 'TIGR01928', 196114),
(252389, 'TIGR02186', NULL, 'alph_Pro_TM: conserved hypothetical protein', 261, NULL, 'TIGR02186', 196115),
(252390, 'TIGR01486', NULL, 'HAD-SF-IIB-MPGP: mannosyl-3-phosphoglycerate phosphatase family', 257, NULL, 'TIGR01486', 196116),
(252391, 'TIGR00116', NULL, 'tsf: translation elongation factor Ts', 293, NULL, 'TIGR00116', 196117),
(252392, 'TIGR02818', NULL, 'adh_III_F_hyde: S-(hydroxymethyl)glutathione dehydrogenase/class III alcohol dehydrogenase', 368, NULL, 'TIGR02818', 196118),
(252393, 'TIGR03029', NULL, 'EpsG: chain length determinant protein tyrosine kinase EpsG', 274, NULL, 'TIGR03029', 196119),
(252394, 'TIGR04047', NULL, 'MSMEG_0565_glyc: glycosyltransferase, MSMEG_0565 family', 373, NULL, 'TIGR04047', 196120),
(252395, 'TIGR04109', NULL, 'heme_ox_HugZ: heme oxygenase, HugZ family', 243, NULL, 'TIGR04109', 196121),
(252396, 'TIGR01548', NULL, 'HAD-SF-IA-hyp1: HAD hydrolase, TIGR01548 family', 197, NULL, 'TIGR01548', 196122),
(252397, 'TIGR02566', NULL, 'cas_Csy3: CRISPR type I-F/YPEST-associated protein Csy3', 341, NULL, 'TIGR02566', 196123),
(252398, 'TIGR02781', NULL, 'VirB9: P-type conjugative transfer protein VirB9', 248, NULL, 'TIGR02781', 196124),
(252399, 'TIGR01411', NULL, 'tatAE: twin arginine-targeting protein translocase, TatA/E family', 47, NULL, 'TIGR01411', 196125),
(252400, 'TIGR00895', NULL, '2A0115: MFS transporter, aromatic acid:H+ symporter (AAHS) family', 398, NULL, 'TIGR00895', 196126),
(252401, 'TIGR02379', NULL, 'ECA_wecE: TDP-4-keto-6-deoxy-D-glucose transaminase', 376, NULL, 'TIGR02379', 196127),
(252402, 'TIGR01604', NULL, 'PYST-C2: Plasmodium yoelii subtelomeric domain PYST-C2', 150, NULL, 'TIGR01604', 196128);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(252403, 'TIGR03216', NULL, 'OH_muco_semi_DH: 2-hydroxymuconic semialdehyde dehydrogenase', 481, NULL, 'TIGR03216', 196129),
(252404, 'TIGR02759', NULL, 'TraD_Ftype: type IV conjugative transfer system coupling protein TraD', 566, NULL, 'TIGR02759', 196130),
(252405, 'TIGR03992', NULL, 'Arch_glmU: UDP-N-acetylglucosamine diphosphorylase/glucosamine-1-phosphate N-acetyltransferase', 393, NULL, 'TIGR03992', 196131),
(252406, 'TIGR02438', NULL, 'catachol_actin: catechol 1,2-dioxygenase', 281, NULL, 'TIGR02438', 196132),
(252407, 'TIGR03409', NULL, 'urea_trans_UrtB: urea ABC transporter, permease protein UrtB', 291, NULL, 'TIGR03409', 196133),
(252408, 'TIGR01293', NULL, 'Kv_beta: voltage-dependent potassium channel beta subunit', 319, NULL, 'TIGR01293', 196134),
(252409, 'TIGR00957', NULL, 'MRP_assoc_pro: multi drug resistance-associated protein (MRP)', 1522, NULL, 'TIGR00957', 196135),
(252410, 'TIGR02002', NULL, 'PTS-II-BC-glcB: PTS system, glucose-specific IIBC component', 502, NULL, 'TIGR02002', 196136),
(252411, 'TIGR03157', NULL, 'cas_Csc2: CRISPR type I-D/CYANO-associated protein Csc2', 282, NULL, 'TIGR03157', 196137),
(252412, 'TIGR04390', NULL, 'OMP_YaiO_dom: outer membrane protein, YaiO family', 230, NULL, 'TIGR04390', 196138),
(252413, 'TIGR04215', NULL, 'choice_anch_A: choice-of-anchor A domain', 255, NULL, 'TIGR04215', 196139),
(252414, 'TIGR02625', NULL, 'YiiL_rotase: L-rhamnose mutarotase', 102, NULL, 'TIGR02625', 196140),
(252415, 'TIGR03263', NULL, 'guanyl_kin: guanylate kinase', 180, NULL, 'TIGR03263', 196141),
(252416, 'TIGR00605', NULL, 'rad4: DNA repair protein rad4', 1047, NULL, 'TIGR00605', 196142),
(252417, 'TIGR00272', NULL, 'DPH2: diphthamide biosynthesis protein 2', 497, NULL, 'TIGR00272', 196143),
(252418, 'TIGR00652', NULL, 'DapF: diaminopimelate epimerase', 270, NULL, 'TIGR00652', 196144),
(252419, 'TIGR00789', NULL, 'flhB_rel: FlhB domain protein', 84, NULL, 'TIGR00789', 196145),
(252420, 'TIGR02245', NULL, 'HAD_IIID1: HAD hydrolase, family IIID', 195, NULL, 'TIGR02245', 196146),
(252421, 'TIGR03624', NULL, 'TIGR03624: putative hydrolase', 346, NULL, 'TIGR03624', 196147),
(252422, 'TIGR01243', NULL, 'CDC48: AAA family ATPase, CDC48 subfamily', 733, NULL, 'TIGR01243', 196148),
(252423, 'TIGR01654', NULL, 'bact_immun_7tm: bacteriocin-associated integral membrane protein', 681, NULL, 'TIGR01654', 196149),
(252424, 'TIGR03020', NULL, 'EpsA: transcriptional regulator EpsA', 247, NULL, 'TIGR03020', 196150),
(252425, 'TIGR00468', NULL, 'pheS: phenylalanine--tRNA ligase, alpha subunit', 324, NULL, 'TIGR00468', 196151),
(252426, 'TIGR00848', NULL, 'fruA: PTS system, fructose subfamily, IIA component', 129, NULL, 'TIGR00848', 196152),
(252427, 'TIGR00166', NULL, 'S6: ribosomal protein bS6', 95, NULL, 'TIGR00166', 196153),
(252428, 'TIGR02868', NULL, 'CydC: thiol reductant ABC exporter, CydC subunit', 530, NULL, 'TIGR02868', 196154),
(252429, 'TIGR04399', NULL, 'acc_Sec_SLAP: accessory Sec system S-layer assembly protein', 288, NULL, 'TIGR04399', 196155),
(252430, 'TIGR03886', NULL, 'lyase_spl_fam: spore photoproduct lyase family protein', 346, NULL, 'TIGR03886', 196156),
(252431, 'TIGR02731', NULL, 'phytoene_desat: phytoene desaturase', 453, NULL, 'TIGR02731', 196157),
(252432, 'TIGR03322', NULL, 'alt_F1F0_F0_C: alternate F1F0 ATPase, F0 subunit C', 86, NULL, 'TIGR03322', 196158),
(252433, 'TIGR03702', NULL, 'lip_kinase_YegS: lipid kinase YegS', 295, NULL, 'TIGR03702', 196159),
(252434, 'TIGR02672', NULL, 'cas_csm6: CRISPR type III-A/MTUBE-associated protein Csm6', 362, NULL, 'TIGR02672', 196160),
(252435, 'TIGR04536', NULL, 'geobac_encap: encapsulated protein', 194, NULL, 'TIGR04536', 196161),
(252436, 'TIGR01439', NULL, 'lp_hng_hel_AbrB: transcriptional regulator, AbrB family', 44, NULL, 'TIGR01439', 196162),
(252437, 'TIGR00225', NULL, 'prc: C-terminal processing peptidase', 335, NULL, 'TIGR00225', 196163),
(252438, 'TIGR01118', NULL, 'lacA: galactose-6-phosphate isomerase, LacA subunit', 141, NULL, 'TIGR01118', 196164),
(252439, 'TIGR04156', NULL, 'cyanoexo_CrtB: cyanoexosortase B', 280, NULL, 'TIGR04156', 196165);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(252440, 'TIGR01059', NULL, 'gyrB: DNA gyrase, B subunit', 639, NULL, 'TIGR01059', 196166),
(252441, 'TIGR04477', NULL, 'sorted_by_XrtN: XrtN system VIT domain protein', 822, NULL, 'TIGR04477', 196167),
(252442, 'TIGR02292', NULL, 'ygfB_yecA: yecA family protein', 179, NULL, 'TIGR02292', 196168),
(252443, 'TIGR03098', NULL, 'ligase_PEP_1: acyl-CoA ligase (AMP-forming), exosortase A-associated', 517, NULL, 'TIGR03098', 196169),
(252444, 'TIGR04533', NULL, 'cyanosortB_assc: cyanoexosortase B-associated protein', 221, NULL, 'TIGR04533', 196170),
(252445, 'TIGR02600', NULL, 'Verru_Chthon_A: Verru_Chthon cassette protein A', 1296, NULL, 'TIGR02600', 196171),
(252446, 'TIGR01972', NULL, 'NDH_I_M: proton-translocating NADH-quinone oxidoreductase, chain M', 486, NULL, 'TIGR01972', 196172),
(252447, 'TIGR02977', NULL, 'phageshock_pspA: phage shock protein A', 219, NULL, 'TIGR02977', 196173),
(252448, 'TIGR02370', NULL, 'pyl_corrinoid: methyltransferase cognate corrinoid proteins, Methanosarcina family', 197, NULL, 'TIGR02370', 196174),
(252449, 'TIGR02737', NULL, 'caa3_CtaG: cytochrome c oxidase assembly factor CtaG', 281, NULL, 'TIGR02737', 196175),
(252450, 'TIGR00593', NULL, 'pola: DNA polymerase I', 890, NULL, 'TIGR00593', 196176),
(252451, 'TIGR00057', NULL, 'TIGR00057: tRNA threonylcarbamoyl adenosine modification protein, Sua5/YciO/YrdC/YwlC family', 202, NULL, 'TIGR00057', 196177),
(252452, 'TIGR00334', NULL, '5S_RNA_mat_M5: ribonuclease M5', 174, NULL, 'TIGR00334', 196178),
(252453, 'TIGR02304', NULL, 'aden_form_hyp: putative adenylate-forming enzyme', 430, NULL, 'TIGR02304', 196179),
(252454, 'TIGR00160', NULL, 'MGSA: methylglyoxal synthase', 143, NULL, 'TIGR00160', 196180),
(252455, 'TIGR02267', NULL, 'TIGR02267: DUSAM domain', 123, NULL, 'TIGR02267', 196181),
(252456, 'TIGR03182', NULL, 'PDH_E1_alph_y: pyruvate dehydrogenase (acetyl-transferring) E1 component, alpha subunit', 315, NULL, 'TIGR03182', 196182),
(252457, 'TIGR03942', NULL, 'sulfatase_rSAM: anaerobic sulfatase maturase', 363, NULL, 'TIGR03942', 196183),
(252458, 'TIGR00527', NULL, 'gcvH: glycine cleavage system H protein', 129, NULL, 'TIGR00527', 196184),
(252459, 'TIGR02563', NULL, 'cas_Csy4: CRISPR-associated endoribonuclease Cas6/Csy4, subtype I-F/YPEST', 184, NULL, 'TIGR02563', 196185),
(252460, 'TIGR04237', NULL, 'seadorna_VP9: seadornavirus/coltivirus VP9 protein', 256, NULL, 'TIGR04237', 196186),
(252461, 'TIGR00306', NULL, 'apgM: phosphoglycerate mutase (2,3-diphosphoglycerate-independent), archaeal form', 396, NULL, 'TIGR00306', 196187),
(252462, 'TIGR03328', NULL, 'salvage_mtnB: methylthioribulose-1-phosphate dehydratase', 194, NULL, 'TIGR03328', 196188),
(252463, 'TIGR01184', NULL, 'ntrCD: nitrate ABC transporter, ATP-binding proteins C and D', 230, NULL, 'TIGR01184', 196189),
(252464, 'TIGR03431', NULL, 'PhnD: phosphonate ABC transporter, periplasmic phosphonate binding protein', 288, NULL, 'TIGR03431', 196190),
(252465, 'TIGR00630', NULL, 'uvra: excinuclease ABC subunit A', 924, NULL, 'TIGR00630', 196191),
(252466, 'TIGR01906', NULL, 'integ_TIGR01906: integral membrane protein TIGR01906', 207, NULL, 'TIGR01906', 196192),
(252467, 'TIGR01598', NULL, 'holin_phiLC3: holin, phage phi LC3 family', 79, NULL, 'TIGR01598', 196193),
(252468, 'TIGR01676', NULL, 'GLDHase: galactonolactone dehydrogenase', 541, NULL, 'TIGR01676', 196194),
(252469, 'TIGR02591', NULL, 'cas_Csh1: CRISPR-associated protein Cas8b/Csh1, subtype I-B/HMARI', 395, NULL, 'TIGR02591', 196195),
(252470, 'TIGR01221', NULL, 'rmlC: dTDP-4-dehydrorhamnose 3,5-epimerase', 176, NULL, 'TIGR01221', 196196),
(252471, 'TIGR01358', NULL, 'DAHP_synth_II: 3-deoxy-7-phosphoheptulonate synthase', 443, NULL, 'TIGR01358', 196197),
(252472, 'TIGR03154', NULL, 'sulfolob_CbsA: cytochrome b558/566, subunit A', 465, NULL, 'TIGR03154', 196198),
(252473, 'TIGR02130', NULL, 'dapB_plant: dihydrodipicolinate reductase', 275, NULL, 'TIGR02130', 196199),
(252474, 'TIGR02189', NULL, 'GlrX-like_plant: glutaredoxin-like family', 99, NULL, 'TIGR02189', 196200),
(252475, 'TIGR02949', NULL, 'anti_SigH_actin: anti-sigma factor, TIGR02949 family', 84, NULL, 'TIGR02949', 196201);
INSERT INTO "PUBLIC"."MODEL" VALUES
(252476, 'TIGR02840', NULL, 'spore_YtaF: putative sporulation protein YtaF', 206, NULL, 'TIGR02840', 196202),
(252477, 'TIGR03406', NULL, 'FeS_long_SufT: probable FeS assembly SUF system protein SufT', 174, NULL, 'TIGR03406', 196203),
(252478, 'TIGR03864', NULL, 'PQQ_ABC_ATP: ABC transporter, ATP-binding subunit, PQQ-dependent alcohol dehydrogenase system', 236, NULL, 'TIGR03864', 196204),
(252479, 'TIGR04321', NULL, 'spiroSPASM: spiro-SPASM protein', 510, NULL, 'TIGR04321', 196205),
(252480, 'TIGR00842', NULL, 'bcct: transporter, betaine/carnitine/choline transporter (BCCT) family', 452, NULL, 'TIGR00842', 196206),
(252481, 'TIGR00767', NULL, 'rho: transcription termination factor Rho', 415, NULL, 'TIGR00767', 196207),
(252482, 'TIGR03403', NULL, 'nifS_epsilon: cysteine desulfurase, NifS family', 382, NULL, 'TIGR03403', 196208),
(252483, 'TIGR04265', NULL, 'bac_cardiolipin: cardiolipin synthase', 483, NULL, 'TIGR04265', 196209),
(252484, 'TIGR04455', NULL, 'lipo_MXAN_6521: probable lipoprotein, LA_1396/MXAN_6521 family', 192, NULL, 'TIGR04455', 196210),
(252485, 'TIGR01894', NULL, 'cas_TM1795_cmr1: CRISPR type III-B/RAMP module RAMP protein Cmr1', 167, NULL, 'TIGR01894', 196211),
(252486, 'TIGR02485', NULL, 'CobZ_N-term: precorrin 3B synthase CobZ', 437, NULL, 'TIGR02485', 196212),
(252487, 'TIGR00845', NULL, 'caca: sodium/calcium exchanger 1', 921, NULL, 'TIGR00845', 196213),
(252488, 'TIGR01290', NULL, 'nifB: nitrogenase cofactor biosynthesis protein NifB', 441, NULL, 'TIGR01290', 196214),
(252489, 'TIGR01607', NULL, 'PST-A: Plasmodium subtelomeric family', 332, NULL, 'TIGR01607', 196215),
(252490, 'TIGR03730', NULL, 'tungstate_WtpA: tungstate ABC transporter binding protein WtpA', 275, NULL, 'TIGR03730', 196216),
(252491, 'TIGR00412', NULL, 'redox_disulf_2: redox-active disulfide protein 2', 78, NULL, 'TIGR00412', 196217),
(252492, 'TIGR00549', NULL, 'mevalon_kin: mevalonate kinase', 276, NULL, 'TIGR00549', 196218),
(252493, 'TIGR02295', NULL, 'HpaD: 3,4-dihydroxyphenylacetate 2,3-dioxygenase', 298, NULL, 'TIGR02295', 196219),
(252494, 'TIGR02812', NULL, 'fadR_gamma: fatty acid metabolism transcriptional regulator FadR', 235, NULL, 'TIGR02812', 196220),
(252495, 'TIGR03397', NULL, 'acid_phos_Burk: acid phosphatase, Burkholderia-type', 483, NULL, 'TIGR03397', 196221),
(252496, 'TIGR02052', NULL, 'MerP: mercuric transport protein periplasmic component', 92, NULL, 'TIGR02052', 196222),
(252497, 'TIGR00602', NULL, 'rad24: checkpoint protein rad24', 640, NULL, 'TIGR00602', 196223),
(252498, 'TIGR02709', NULL, 'branched_ptb: branched-chain phosphotransacylase', 271, NULL, 'TIGR02709', 196224),
(252499, 'TIGR03076', NULL, 'near_not_gcvH: chlamydial GcvH-like protein upstream region protein', 686, NULL, 'TIGR03076', 196225),
(252500, 'TIGR02519', NULL, 'pilus_MshL: pilus (MSHA type) biogenesis protein MshL', 290, NULL, 'TIGR02519', 196226),
(252501, 'TIGR00294', NULL, 'TIGR00294: GTP cyclohydrolase', 308, NULL, 'TIGR00294', 196227),
(252502, 'TIGR01436', NULL, 'glu_cys_lig_pln: glutamate--cysteine ligase', 446, NULL, 'TIGR01436', 196228),
(252503, 'TIGR04159', NULL, 'methbact_MbnB: methanobactin biosynthesis cassette protein MbnB', 91, NULL, 'TIGR04159', 196229),
(252504, 'TIGR03646', NULL, 'YtoQ_fam: YtoQ family protein', 144, NULL, 'TIGR03646', 196230),
(252505, 'TIGR03836', NULL, 'termin_org_HMW1: cytadherence high molecular weight protein 1 N-terminal region', 82, NULL, 'TIGR03836', 196231),
(252506, 'TIGR00228', NULL, 'ruvC: crossover junction endodeoxyribonuclease RuvC', 156, NULL, 'TIGR00228', 196232),
(252507, 'TIGR04022', NULL, 'sulfur_SfnB: sulfur acquisition oxidoreductase, SfnB family', 391, NULL, 'TIGR04022', 196233),
(252508, 'TIGR01461', NULL, 'greB: transcription elongation factor GreB', 156, NULL, 'TIGR01461', 196234),
(252509, 'TIGR03260', NULL, 'met_CoM_red_D: methyl-coenzyme M reductase operon protein D', 150, NULL, 'TIGR03260', 196235),
(252510, 'TIGR00870', NULL, 'trp: transient-receptor-potential calcium channel protein', 747, NULL, 'TIGR00870', 196236),
(252511, 'TIGR00739', NULL, 'yajC: preprotein translocase, YajC subunit', 84, NULL, 'TIGR00739', 196237);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(252512, 'TIGR00163', NULL, 'PS_decarb: phosphatidylserine decarboxylase', 243, NULL, 'TIGR00163', 196238),
(252513, 'TIGR04100', NULL, 'rSAM_pair_X: radical SAM enzyme, TIGR04100 family', 197, NULL, 'TIGR04100', 196239),
(252514, 'TIGR02027', NULL, 'rpoA: DNA-directed RNA polymerase, alpha subunit', 298, NULL, 'TIGR02027', 196240),
(252515, 'TIGR02603', NULL, 'CxxCH_TIGR02603: putative heme-binding domain', 134, NULL, 'TIGR02603', 196241),
(252516, 'TIGR01003', NULL, 'PTS_HPr_family: phosphocarrier, HPr family', 82, NULL, 'TIGR01003', 196242),
(252517, 'TIGR02734', NULL, 'crtI_fam: phytoene desaturase', 504, NULL, 'TIGR02734', 196243),
(252518, 'TIGR03568', NULL, 'NeuC_NnaA: UDP-N-acetyl-D-glucosamine 2-epimerase, UDP-hydrolysing', 365, NULL, 'TIGR03568', 196244),
(252519, 'TIGR03288', NULL, 'CoB_CoM_SS_B: CoB--CoM heterodisulfide reductase, subunit B', 290, NULL, 'TIGR03288', 196245),
(252520, 'TIGR03325', NULL, 'BphB_TodD: cis-2,3-dihydrobiphenyl-2,3-diol dehydrogenase', 263, NULL, 'TIGR03325', 196246),
(252521, 'TIGR01115', NULL, 'pufM: photosynthetic reaction center M subunit', 305, NULL, 'TIGR01115', 196247),
(252522, 'TIGR02133', NULL, 'RPI_actino: ribose 5-phosphate isomerase', 148, NULL, 'TIGR02133', 196248),
(252523, 'TIGR02307', NULL, 'RNA_lig_RNL2: RNA ligase, Rnl2 family', 326, NULL, 'TIGR02307', 196249),
(252524, 'TIGR00337', NULL, 'PyrG: CTP synthase', 526, NULL, 'TIGR00337', 196250),
(252525, 'TIGR00764', NULL, 'lon_rel: putative ATP-dependent protease', 608, NULL, 'TIGR00764', 196251),
(252526, 'TIGR01181', NULL, 'dTDP_gluc_dehyt: dTDP-glucose 4,6-dehydratase', 321, NULL, 'TIGR01181', 196252),
(252527, 'TIGR01782', NULL, 'TonB-Xanth-Caul: TonB-dependent receptor', 868, NULL, 'TIGR01782', 196253),
(252528, 'TIGR01542', NULL, 'A118_put_portal: phage portal protein, putative, A118 family', 476, NULL, 'TIGR01542', 196254),
(252529, 'TIGR04103', NULL, 'rSAM_nif11_3: nif11-class peptide radical SAM maturase 3', 412, NULL, 'TIGR04103', 196255),
(252530, 'TIGR02560', NULL, 'HrpB4: type III secretion protein HrpB4', 220, NULL, 'TIGR02560', 196256),
(252531, 'TIGR02697', NULL, 'WPE_wolbac: Wolbachia palindromic element domain', 36, NULL, 'TIGR02697', 196257),
(252532, 'TIGR01679', NULL, 'bact_FAD_ox: FAD-linked oxidoreductase', 419, NULL, 'TIGR01679', 196258),
(252533, 'TIGR00524', NULL, 'eIF-2B_rel: eIF-2B alpha/beta/delta-related uncharacterized proteins', 303, NULL, 'TIGR00524', 196259),
(252534, 'TIGR04530', NULL, 'hemophoreRv0203: hemophore', 118, NULL, 'TIGR04530', 196260),
(252535, 'TIGR01716', NULL, 'RGG_Cterm: transcriptional activator, Rgg/GadR/MutR family, C-terminal domain', 220, NULL, 'TIGR01716', 196261),
(252536, 'TIGR02373', NULL, 'photo_yellow: photoactive yellow protein', 124, NULL, 'TIGR02373', 196262),
(252537, 'TIGR00951', NULL, '2A43: lysosomal Cystine Transporter', 233, NULL, 'TIGR00951', 196263),
(252538, 'TIGR03649', NULL, 'ergot_EASG: ergot alkaloid biosynthesis protein, AFUA_2G17970 family', 287, NULL, 'TIGR03649', 196264),
(252539, 'TIGR03151', NULL, 'enACPred_II: putative enoyl-[acyl-carrier-protein] reductase II', 307, NULL, 'TIGR03151', 196265),
(252540, 'TIGR02843', NULL, 'CyoB: cytochrome o ubiquinol oxidase, subunit I', 646, NULL, 'TIGR02843', 196266),
(252541, 'TIGR03861', NULL, 'phenyl_ABC_PedC: alcohol ABC transporter, permease protein', 253, NULL, 'TIGR03861', 196267),
(252542, 'TIGR03621', NULL, 'F420_MSMEG_2516: probable F420-dependent oxidoreductase, MSMEG_2516 family', 295, NULL, 'TIGR03621', 196268),
(252543, 'TIGR03998', NULL, 'thiol_BshC: bacillithiol biosynthesis cysteine-adding enzyme BshC', 529, NULL, 'TIGR03998', 196269),
(252544, 'TIGR04131', NULL, 'Bac_Flav_CTERM: gliding motility-associated C-terminal domain', 85, NULL, 'TIGR04131', 196270),
(252545, 'TIGR00191', NULL, 'thrB: homoserine kinase', 304, NULL, 'TIGR00191', 196271),
(252546, 'TIGR00309', NULL, 'V_ATPase_subD: V-type ATPase, D subunit', 209, NULL, 'TIGR00309', 196272),
(252547, 'TIGR00200', NULL, 'cinA_nterm: competence/damage-inducible protein CinA N-terminal domain', 414, NULL, 'TIGR00200', 196273);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(252548, 'TIGR02706', NULL, 'P_butyryltrans: phosphate butyryltransferase', 294, NULL, 'TIGR02706', 196274),
(252549, 'TIGR04452', NULL, 'Lepto_Lipo_YY_C: small lipoprotein, LA_3946 family', 116, NULL, 'TIGR04452', 196275),
(252550, 'TIGR03540', NULL, 'DapC_direct: LL-diaminopimelate aminotransferase', 383, NULL, 'TIGR03540', 196276),
(252551, 'TIGR01355', NULL, 'cyt_deam_dimer: cytidine deaminase', 283, NULL, 'TIGR01355', 196277),
(252552, 'TIGR00590', NULL, 'pcna: proliferating cell nuclear antigen (pcna)', 259, NULL, 'TIGR00590', 196278),
(252553, 'TIGR04091', NULL, 'LTA_dltB: D-alanyl-lipoteichoic acid biosynthesis protein DltB', 380, NULL, 'TIGR04091', 196279),
(252554, 'TIGR01433', NULL, 'CyoA: ubiquinol oxidase, subunit II', 226, NULL, 'TIGR01433', 196280),
(252555, 'TIGR00082', NULL, 'rbfA: ribosome-binding factor A', 115, NULL, 'TIGR00082', 196281),
(252556, 'TIGR02055', NULL, 'APS_reductase: adenylylsulfate reductase, thioredoxin dependent', 194, NULL, 'TIGR02055', 196282),
(252557, 'TIGR03073', NULL, 'release_rtcB: release factor H-coupled RctB family protein', 356, NULL, 'TIGR03073', 196283),
(252558, 'TIGR01863', NULL, 'cas_Csd1: CRISPR-associated protein Cas8c/Csd1, subtype I-C/DVULG', 588, NULL, 'TIGR01863', 196284),
(252559, 'TIGR03970', NULL, 'Rv0697: dehydrogenase, Rv0697 family', 487, NULL, 'TIGR03970', 196285),
(252560, 'TIGR01570', NULL, 'A_thal_3588: uncharacterized plant-specific domain TIGR01570', 161, NULL, 'TIGR01570', 196286),
(252561, 'TIGR03434', NULL, 'ADOP: acidobacterial duplicated orphan permease', 803, NULL, 'TIGR03434', 196287),
(252562, 'TIGR00979', NULL, 'fumC_II: fumarate hydratase, class II', 458, NULL, 'TIGR00979', 196288),
(252563, 'TIGR03677', NULL, 'eL8_ribo: ribosomal protein eL8', 117, NULL, 'TIGR03677', 196289),
(252564, 'TIGR02298', NULL, 'HpaD_Fe: 3,4-dihydroxyphenylacetate 2,3-dioxygenase', 284, NULL, 'TIGR02298', 196290),
(252565, 'TIGR02815', NULL, 'agaS_fam: putative sugar isomerase, AgaS family', 372, NULL, 'TIGR02815', 196291),
(252566, 'TIGR04561', NULL, 'membra_charge: integral membrane protein', 82, NULL, 'TIGR04561', 196292),
(252567, 'TIGR00054', NULL, 'TIGR00054: RIP metalloprotease RseP', 421, NULL, 'TIGR00054', 196293),
(252568, 'TIGR01464', NULL, 'hemE: uroporphyrinogen decarboxylase', 338, NULL, 'TIGR01464', 196294),
(252569, 'TIGR01903', NULL, 'cas5_csm4: CRISPR type III-A/MTUBE-associated RAMP protein Csm4', 302, NULL, 'TIGR01903', 196295),
(252570, 'TIGR02161', NULL, 'napC_nirT: periplasmic nitrate (or nitrite) reductase c-type cytochrome, NapC/NirT family', 185, NULL, 'TIGR02161', 196296),
(252571, 'TIGR02921', NULL, 'PEP_integral: PEP-CTERM family integral membrane protein', 922, NULL, 'TIGR02921', 196297),
(252572, 'TIGR00736', NULL, 'nifR3_rel_arch: putative TIM-barrel protein', 231, NULL, 'TIGR00736', 196298),
(252573, 'TIGR00658', NULL, 'orni_carb_tr: ornithine carbamoyltransferase', 304, NULL, 'TIGR00658', 196299),
(252574, 'TIGR01891', NULL, 'amidohydrolases: amidohydrolase', 366, NULL, 'TIGR01891', 196300),
(252575, 'TIGR00873', NULL, 'gnd: 6-phosphogluconate dehydrogenase (decarboxylating)', 467, NULL, 'TIGR00873', 196301),
(252576, 'TIGR03394', NULL, 'indol_phenyl_DC: indolepyruvate/phenylpyruvate decarboxylase', 535, NULL, 'TIGR03394', 196302),
(252577, 'TIGR04268', NULL, 'FxSxx-COOH: FXSXX-COOH protein', 44, NULL, 'TIGR04268', 196303),
(252578, 'TIGR02024', NULL, 'FtcD: glutamate formiminotransferase', 298, NULL, 'TIGR02024', 196304),
(252579, 'TIGR01327', NULL, 'PGDH: phosphoglycerate dehydrogenase', 525, NULL, 'TIGR01327', 196305),
(252580, 'TIGR01006', NULL, 'polys_exp_MPA1: polysaccharide export protein, MPA1 family', 226, NULL, 'TIGR01006', 196306),
(252581, 'TIGR04424', NULL, 'metallo_McbB: McbB family protein', 286, NULL, 'TIGR04424', 196307),
(252582, 'TIGR01249', NULL, 'pro_imino_pep_1: prolyl aminopeptidase', 307, NULL, 'TIGR01249', 196308),
(252583, 'TIGR00297', NULL, 'TIGR00297: TIGR00297 family protein', 237, NULL, 'TIGR00297', 196309),
(252584, 'TIGR00415', NULL, 'serS_MJ: serine--tRNA ligase', 518, NULL, 'TIGR00415', 196310);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(252585, 'TIGR02482', NULL, 'PFKA_ATP: 6-phosphofructokinase', 301, NULL, 'TIGR02482', 196311),
(252586, 'TIGR04346', NULL, 'DotA_TraY: conjugal transfer/type IV secretion protein DotA/TraY', 656, NULL, 'TIGR04346', 196312),
(252587, 'TIGR03833', NULL, 'TIGR03833: conserved hypothetical protein', 62, NULL, 'TIGR03833', 196313),
(252588, 'TIGR04025', NULL, 'PPOX_FMN_DR2398: pyridoxamine 5''-phosphate oxidase, FMN-binding family', 197, NULL, 'TIGR04025', 196314),
(252589, 'TIGR03512', NULL, 'GldD_lipo: gliding motility-associated lipoprotein GldD', 186, NULL, 'TIGR03512', 196315),
(252590, 'TIGR04327', NULL, 'OMP_LA_2444: outer membrane protein, LA_2444/LA_4059 family', 291, NULL, 'TIGR04327', 196316),
(252591, 'TIGR01268', NULL, 'Phe4hydrox_tetr: phenylalanine-4-hydroxylase', 436, NULL, 'TIGR01268', 196317),
(252592, 'TIGR01028', NULL, 'uS7_euk_arch: ribosomal protein uS7', 186, NULL, 'TIGR01028', 196318),
(252593, 'TIGR00147', NULL, 'TIGR00147: lipid kinase, YegS/Rv2252/BmrU family', 296, NULL, 'TIGR00147', 196319),
(252594, 'TIGR01371', NULL, 'met_syn_B12ind: 5-methyltetrahydropteroyltriglutamate--homocysteine S-methyltransferase', 754, NULL, 'TIGR01371', 196320),
(252595, 'TIGR01719', NULL, 'euk_UDPppase: uridine phosphorylase', 287, NULL, 'TIGR01719', 196321),
(252596, 'TIGR00010', NULL, 'TIGR00010: hydrolase, TatD family', 253, NULL, 'TIGR00010', 196322),
(252597, 'TIGR00733', NULL, 'TIGR00733: oligopeptide transporter, OPT family', 589, NULL, 'TIGR00733', 196323),
(252598, 'TIGR01131', NULL, 'ATP_synt_6_or_A: ATP synthase F0, A subunit', 227, NULL, 'TIGR01131', 196324),
(252599, 'TIGR02510', NULL, 'NrdE-prime: ribonucleoside-diphosphate reductase, alpha chain', 560, NULL, 'TIGR02510', 196325),
(252600, 'TIGR04069', NULL, 'ocin_ACP_rel: peptide maturation system acyl carrier-related protein', 77, NULL, 'TIGR04069', 196326),
(252601, 'TIGR02887', NULL, 'spore_ger_x_C: germination protein, Ger(x)C family', 371, NULL, 'TIGR02887', 196327),
(252602, 'TIGR01526', NULL, 'nadR_NMN_Atrans: nicotinamide-nucleotide adenylyltransferase', 325, NULL, 'TIGR01526', 196328),
(252603, 'TIGR00250', NULL, 'RNAse_H_YqgF: putative transcription antitermination factor YqgF', 130, NULL, 'TIGR00250', 196329),
(252604, 'TIGR03534', NULL, 'RF_mod_PrmC: protein-(glutamine-N5) methyltransferase, release factor-specific', 253, NULL, 'TIGR03534', 196330),
(252605, 'TIGR02990', NULL, 'ectoine_eutA: ectoine utilization protein EutA', 239, NULL, 'TIGR02990', 196331),
(252606, 'TIGR03929', NULL, 'T7_esaA_Nterm: type VII secretion protein EsaA', 193, NULL, 'TIGR03929', 196332),
(252607, 'TIGR04430', NULL, 'OM_asym_MlaD: outer membrane lipid asymmetry maintenance protein MlaD', 146, NULL, 'TIGR04430', 196333),
(252608, 'TIGR02653', NULL, 'Lon_rel_chp: conserved hypothetical protein', 675, NULL, 'TIGR02653', 196334),
(252609, 'TIGR03291', NULL, 'methan_mark_17: putative methanogenesis marker protein 17', 185, NULL, 'TIGR03291', 196335),
(252610, 'TIGR02893', NULL, 'spore_yabQ: spore cortex biosynthesis protein YabQ', 130, NULL, 'TIGR02893', 196336),
(252611, 'TIGR00203', NULL, 'cydB: cytochrome d ubiquinol oxidase, subunit II', 378, NULL, 'TIGR00203', 196337),
(252612, 'TIGR03543', NULL, 'divI1A_rptt_fam: DivIVA domain repeat protein', 178, NULL, 'TIGR03543', 196338),
(252613, 'TIGR03045', NULL, 'PS_II_C550: cytochrome c-550', 159, NULL, 'TIGR03045', 196339),
(252614, 'TIGR03727', NULL, 'urea_t_UrtC_arc: urea ABC transporter, permease protein UrtC', 369, NULL, 'TIGR03727', 196340),
(252615, 'TIGR02647', NULL, 'DNA: TIGR02647 family protein', 77, NULL, 'TIGR02647', 196341),
(252616, 'TIGR04374', NULL, 'small_w_EgtBD: hercynine metabolism small protein', 73, NULL, 'TIGR04374', 196342),
(252617, 'TIGR02395', NULL, 'rpoN_sigma: RNA polymerase sigma-54 factor', 434, NULL, 'TIGR02395', 196343),
(252618, 'TIGR00387', NULL, 'glcD: glycolate oxidase, subunit GlcD', 413, NULL, 'TIGR00387', 196344),
(252619, 'TIGR00973', NULL, 'leuA_bact: 2-isopropylmalate synthase', 494, NULL, 'TIGR00973', 196345),
(252620, 'TIGR01034', NULL, 'metK: methionine adenosyltransferase', 377, NULL, 'TIGR01034', 196346);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(252621, 'TIGR00004', NULL, 'TIGR00004: reactive intermediate/imine deaminase', 125, NULL, 'TIGR00004', 196347),
(252622, 'TIGR03350', NULL, 'type_VI_ompA: type VI secretion system peptidoglycan-associated domain', 137, NULL, 'TIGR03350', 196348),
(252623, 'TIGR01997', NULL, 'sufA_proteo: FeS assembly scaffold SufA', 107, NULL, 'TIGR01997', 196349),
(252624, 'TIGR04567', NULL, 'RNAP_delt_lowGC: DNA-directed RNA polymerase delta subunit', 83, NULL, 'TIGR04567', 196350),
(252625, 'TIGR02348', NULL, 'GroEL: chaperonin GroL', 526, NULL, 'TIGR02348', 196351),
(252626, 'TIGR04231', NULL, 'seadorna_VP5: seadornavirus VP5 protein', 505, NULL, 'TIGR04231', 196352),
(252627, 'TIGR04558', NULL, 'SoxH_rel_PQQ_1: quinoprotein relay system zinc metallohydrolase 1', 285, NULL, 'TIGR04558', 196353),
(252628, 'TIGR01037', NULL, 'pyrD_sub1_fam: dihydroorotate dehydrogenase family protein', 300, NULL, 'TIGR01037', 196354),
(252629, 'TIGR02211', NULL, 'LolD_lipo_ex: lipoprotein releasing system, ATP-binding protein', 221, NULL, 'TIGR02211', 196355),
(252630, 'TIGR04368', NULL, 'Glu_2_3_NH3_mut: glutamate 2,3-aminomutase', 404, NULL, 'TIGR04368', 196356),
(252631, 'TIGR00051', NULL, 'TIGR00051: acyl-CoA thioester hydrolase, YbgC/YbaW family', 117, NULL, 'TIGR00051', 196357),
(252632, 'TIGR01227', NULL, 'hutG: formimidoylglutamase', 307, NULL, 'TIGR01227', 196358),
(252633, 'TIGR04128', NULL, 'exoso_Fjoh_1448: exosortase family protein XrtF', 174, NULL, 'TIGR04128', 196359),
(252634, 'TIGR00502', NULL, 'nagB: glucosamine-6-phosphate deaminase', 259, NULL, 'TIGR00502', 196360),
(252635, 'TIGR01330', NULL, 'bisphos_HAL2: 3''(2''),5''-bisphosphate nucleotidase', 359, NULL, 'TIGR01330', 196361),
(252636, 'TIGR00188', NULL, 'rnpA: ribonuclease P protein component', 111, NULL, 'TIGR00188', 196362),
(252637, 'TIGR01467', NULL, 'cobI_cbiL: precorrin-2 C(20)-methyltransferase', 230, NULL, 'TIGR01467', 196363),
(252638, 'TIGR01567', NULL, 'S_layer_rel_Mac: S-layer family duplication domain', 259, NULL, 'TIGR01567', 196364),
(252639, 'TIGR00982', NULL, 'uS12_E_A: ribosomal protein uS12', 139, NULL, 'TIGR00982', 196365),
(252640, 'TIGR02846', NULL, 'spore_sigmaK: RNA polymerase sigma-K factor', 227, NULL, 'TIGR02846', 196366),
(252641, 'TIGR01670', NULL, 'KdsC-phosphatas: 3-deoxy-D-manno-octulosonate 8-phosphate phosphatase, YrbI family', 154, NULL, 'TIGR01670', 196367),
(252642, 'TIGR00686', NULL, 'phnA: putative alkylphosphonate utilization operon protein PhnA', 109, NULL, 'TIGR00686', 196368),
(252643, 'TIGR01860', NULL, 'VNFD: nitrogenase vanadium-iron protein, alpha chain', 461, NULL, 'TIGR01860', 196369),
(252644, 'TIGR04075', NULL, 'bacter_Pnkp: polynucleotide kinase-phosphatase', 851, NULL, 'TIGR04075', 196370),
(252645, 'TIGR02694', NULL, 'arsenite_ox_S: arsenite oxidase, small subunit', 129, NULL, 'TIGR02694', 196371),
(252646, 'TIGR03110', NULL, 'exosort_Gpos: exosortase family protein XrtG', 187, NULL, 'TIGR03110', 196372),
(252647, 'TIGR03973', NULL, 'six_Cys_in_45: six-cysteine peptide SCIFF', 43, NULL, 'TIGR03973', 196373),
(252648, 'TIGR00484', NULL, 'EF-G: translation elongation factor G', 691, NULL, 'TIGR00484', 196374),
(252649, 'TIGR00674', NULL, 'dapA: 4-hydroxy-tetrahydrodipicolinate synthase', 286, NULL, 'TIGR00674', 196375),
(252650, 'TIGR02905', NULL, 'spore_yutH: spore coat protein YutH', 313, NULL, 'TIGR02905', 196376),
(252651, 'TIGR02223', NULL, 'ftsN: cell division protein FtsN', 299, NULL, 'TIGR02223', 196377),
(252652, 'TIGR03051', NULL, 'PS_I_psaG_plant: photosystem I reaction center subunit V', 89, NULL, 'TIGR03051', 196378),
(252653, 'TIGR03188', NULL, 'histidine_hisI: phosphoribosyl-ATP diphosphatase', 84, NULL, 'TIGR03188', 196379),
(252654, 'TIGR02407', NULL, 'ectoine_ectB: diaminobutyrate--2-oxoglutarate aminotransferase', 412, NULL, 'TIGR02407', 196380),
(252655, 'TIGR04172', NULL, 'DGQHR_dnd_1: DNA phosphorothioation-associated DGQHR protein 1', 381, NULL, 'TIGR04172', 196381),
(252656, 'TIGR04028', NULL, 'SBP_KPN_01854: ABC transporter substrate binding protein, KPN_01854 family', 509, NULL, 'TIGR04028', 196382);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(252657, 'TIGR00490', NULL, 'aEF-2: translation elongation factor aEF-2', 720, NULL, 'TIGR00490', 196383),
(252658, 'TIGR02164', NULL, 'torA: trimethylamine-N-oxide reductase TorA', 824, NULL, 'TIGR02164', 196384),
(252659, 'TIGR02354', NULL, 'thiF_fam2: thiamine biosynthesis protein ThiF', 200, NULL, 'TIGR02354', 196385),
(252660, 'TIGR03391', NULL, 'FeS_syn_CsdE: cysteine desulfurase, sulfur acceptor subunit CsdE', 139, NULL, 'TIGR03391', 196386),
(252661, 'TIGR02413', NULL, 'Bac_small_yrzI: Bacillus tandem small hypothetical protein', 46, NULL, 'TIGR02413', 196387),
(252662, 'TIGR03247', NULL, 'glucar-dehydr: glucarate dehydratase', 441, NULL, 'TIGR03247', 196388),
(252663, 'TIGR04421', NULL, 'FemAB_IMCC1989: FemAB family protein', 345, NULL, 'TIGR04421', 196389),
(252664, 'TIGR04137', NULL, 'Chlam_Ver_rRNA: Chlam_Verruc_Plancto small basic protein', 50, NULL, 'TIGR04137', 196390),
(252665, 'TIGR04517', NULL, 'rSAM_PoyD: radical SAM family RiPP maturation amino acid epimerase', 446, NULL, 'TIGR04517', 196391),
(252666, 'TIGR02096', NULL, 'TIGR02096: conserved hypothetical protein', 129, NULL, 'TIGR02096', 196392),
(252667, 'TIGR01078', NULL, 'arcA: arginine deiminase', 408, NULL, 'TIGR01078', 196393),
(252668, 'TIGR04000', NULL, 'thiol_BshB2: bacillithiol biosynthesis deacetylase BshB2', 217, NULL, 'TIGR04000', 196394),
(252669, 'TIGR00303', NULL, 'TIGR00303: TIGR00303 family protein', 334, NULL, 'TIGR00303', 196395),
(252670, 'TIGR01321', NULL, 'TrpR: trp operon repressor', 94, NULL, 'TIGR01321', 196396),
(252671, 'TIGR04019', NULL, 'B_thiol_YtxJ: bacillithiol system protein YtxJ', 105, NULL, 'TIGR04019', 196397),
(252672, 'TIGR01458', NULL, 'HAD-SF-IIA-hyp3: HAD hydrolase, TIGR01458 family', 257, NULL, 'TIGR01458', 196398),
(252673, 'TIGR01909', NULL, 'C_GCAxxG_C_C: C_GCAxxG_C_C family protein', 120, NULL, 'TIGR01909', 196399),
(252674, 'TIGR00197', NULL, 'yjeF_nterm: YjeF family N-terminal domain', 206, NULL, 'TIGR00197', 196400),
(252675, 'TIGR00060', NULL, 'L18_bact: ribosomal protein uL18', 114, NULL, 'TIGR00060', 196401),
(252676, 'TIGR00440', NULL, 'glnS: glutamine--tRNA ligase', 524, NULL, 'TIGR00440', 196402),
(252677, 'TIGR02457', NULL, 'TreS_Cterm: putative maltokinase', 529, NULL, 'TIGR02457', 196403),
(252678, 'TIGR02700', NULL, 'flavo_MJ0208: archaeoflavoprotein, MJ0208 family', 234, NULL, 'TIGR02700', 196404),
(252679, 'TIGR03138', NULL, 'QueF: queuine synthase', 275, NULL, 'TIGR03138', 196405),
(252680, 'TIGR00938', NULL, 'thrB_alt: homoserine kinase', 307, NULL, 'TIGR00938', 196406),
(252681, 'TIGR02594', NULL, 'TIGR02594: TIGR02594 family protein', 132, NULL, 'TIGR02594', 196407),
(252682, 'TIGR02946', NULL, 'acyl_WS_DGAT: acyltransferase, WS/DGAT/MGAT', 453, NULL, 'TIGR02946', 196408),
(252683, 'TIGR02955', NULL, 'TMAO_TorT: TMAO reductase system periplasmic protein TorT', 295, NULL, 'TIGR02955', 196409),
(252684, 'TIGR02264', NULL, 'gmx_para_CXXCG: Myxococcus xanthus double-CXXCG motif paralogous family', 237, NULL, 'TIGR02264', 196410),
(252685, 'TIGR00079', NULL, 'pept_deformyl: peptide deformylase', 161, NULL, 'TIGR00079', 196411),
(252686, 'TIGR03235', NULL, 'DNA_S_dndA: cysteine desulfurase DndA', 353, NULL, 'TIGR03235', 196412),
(252687, 'TIGR03475', NULL, 'tap_IncFII_lead: RepA leader peptide Tap', 25, NULL, 'TIGR03475', 196413),
(252688, 'TIGR00633', NULL, 'xth: exodeoxyribonuclease III (xth)', 255, NULL, 'TIGR00633', 196414),
(252689, 'TIGR03917', NULL, 'Frankia_40_dom: Frankia-40 domain', 40, NULL, 'TIGR03917', 196415),
(252690, 'TIGR04184', NULL, 'ATPgraspMvdD: ATP-grasp ribosomal peptide maturase, MvdD family', 321, NULL, 'TIGR04184', 196416),
(252691, 'TIGR02320', NULL, 'PEP_mutase: phosphoenolpyruvate mutase', 284, NULL, 'TIGR02320', 196417),
(252692, 'TIGR02585', NULL, 'cas_Cst2_DevR: CRISPR-associated protein Cas7/Cst2/DevR, subtype I-B/TNEAP', 321, NULL, 'TIGR02585', 196418),
(252693, 'TIGR02837', NULL, 'spore_II_R: stage II sporulation protein R', 168, NULL, 'TIGR02837', 196419),
(252694, 'TIGR00577', NULL, 'fpg: DNA-formamidopyrimidine glycosylase', 276, NULL, 'TIGR00577', 196420);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(252695, 'TIGR01430', NULL, 'aden_deam: adenosine deaminase', 323, NULL, 'TIGR01430', 196421),
(252696, 'TIGR02762', NULL, 'TraL_TIGR: type IV conjugative transfer system protein TraL', 95, NULL, 'TIGR02762', 196422),
(252697, 'TIGR03733', NULL, 'lanti_perm_MutG: lantibiotic protection ABC transporter permease subunit, MutG family', 248, NULL, 'TIGR03733', 196423),
(252698, 'TIGR00135', NULL, 'gatC: aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, C subunit', 93, NULL, 'TIGR00135', 196424),
(252699, 'TIGR04281', NULL, 'peripla_PGF_1: putative ABC transporter PGF-CTERM-modified substrate-binding protein', 330, NULL, 'TIGR04281', 196425),
(252700, 'TIGR00449', NULL, 'tgt_general: tRNA-guanine family transglycosylase', 367, NULL, 'TIGR00449', 196426),
(252701, 'TIGR00829', NULL, 'FRU: PTS system, Fru family, IIB component', 85, NULL, 'TIGR00829', 196427),
(252702, 'TIGR01623', NULL, 'put_zinc_LRP1: putative zinc finger domain, LRP1 type', 43, NULL, 'TIGR01623', 196428),
(252703, 'TIGR02778', NULL, 'ligD_pol: DNA ligase D, polymerase domain', 245, NULL, 'TIGR02778', 196429),
(252704, 'TIGR01760', NULL, 'tape_meas_TP901: phage tail tape measure protein, TP901 family, core region', 349, NULL, 'TIGR01760', 196430),
(252705, 'TIGR00879', NULL, 'SP: MFS transporter, sugar porter (SP) family', 510, NULL, 'TIGR00879', 196431),
(252706, 'TIGR03780', NULL, 'Bac_Flav_CT_N: Bacteroides conjugative transposon TraN protein', 285, NULL, 'TIGR03780', 196432),
(252707, 'TIGR00291', NULL, 'RNA_SBDS: rRNA metabolism protein, SBDS family', 231, NULL, 'TIGR00291', 196433),
(252708, 'TIGR04458', NULL, 'CYP450_TxtE: 4-nitrotryptophan synthase', 403, NULL, 'TIGR04458', 196434),
(252709, 'TIGR03282', NULL, 'methan_mark_13: putative methanogenesis marker 13 metalloprotein', 352, NULL, 'TIGR03282', 196435),
(252710, 'TIGR03487', NULL, 'cas_csp2: CRISPR-associated protein Cas8c/Csp2, subtype PGING', 483, NULL, 'TIGR03487', 196436),
(252711, 'TIGR01274', NULL, 'ACC_deam: 1-aminocyclopropane-1-carboxylate deaminase', 337, NULL, 'TIGR01274', 196437),
(252712, 'TIGR02108', NULL, 'PQQ_syn_pqqB: coenzyme PQQ biosynthesis protein B', 302, NULL, 'TIGR02108', 196438),
(252713, 'TIGR02273', NULL, '16S_RimM: 16S rRNA processing protein RimM', 166, NULL, 'TIGR02273', 196439),
(252714, 'TIGR00088', NULL, 'trmD: tRNA (guanine(37)-N(1))-methyltransferase', 233, NULL, 'TIGR00088', 196440),
(252715, 'TIGR01635', NULL, 'tail_comp_S: phage virion morphogenesis protein', 144, NULL, 'TIGR01635', 196441),
(252716, 'TIGR00244', NULL, 'TIGR00244: transcriptional regulator NrdR', 147, NULL, 'TIGR00244', 196442),
(252717, 'TIGR01262', NULL, 'maiA: maleylacetoacetate isomerase', 211, NULL, 'TIGR01262', 196443),
(252718, 'TIGR03584', NULL, 'PseF: pseudaminic acid cytidylyltransferase', 222, NULL, 'TIGR03584', 196444),
(252719, 'TIGR00926', NULL, '2A1704: oligopeptide transporter, peptide:H+ symporter', 671, NULL, 'TIGR00926', 196445),
(252720, 'TIGR01399', NULL, 'hrcV: type III secretion protein, HrcV family', 677, NULL, 'TIGR01399', 196446),
(252721, 'TIGR03303', NULL, 'OM_YaeT: outer membrane protein assembly complex, YaeT protein', 741, NULL, 'TIGR03303', 196447),
(252722, 'TIGR01137', NULL, 'cysta_beta: cystathionine beta-synthase', 457, NULL, 'TIGR01137', 196448),
(252723, 'TIGR00624', NULL, 'tag: DNA-3-methyladenine glycosylase I', 179, NULL, 'TIGR00624', 196449),
(252724, 'TIGR02155', NULL, 'PA_CoA_ligase: phenylacetate-CoA ligase', 422, NULL, 'TIGR02155', 196450),
(252725, 'TIGR01000', NULL, 'bacteriocin_acc: bacteriocin secretion accessory protein', 457, NULL, 'TIGR01000', 196451),
(252726, 'TIGR01819', NULL, 'F420_cofD: 2-phospho-L-lactate transferase', 301, NULL, 'TIGR01819', 196452),
(252727, 'TIGR00742', NULL, 'yjbN: tRNA dihydrouridine synthase A', 318, NULL, 'TIGR00742', 196453),
(252728, 'TIGR02606', NULL, 'antidote_CC2985: putative addiction module antidote protein, CC2985 family', 70, NULL, 'TIGR02606', 196454),
(252729, 'TIGR02750', NULL, 'TraN_Ftype: type-F conjugative transfer system mating-pair stabilization protein TraN', 572, NULL, 'TIGR02750', 196455);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(252730, 'TIGR01897', NULL, 'cas_MJ1666: CRISPR-associated protein, MJ1666 family', 417, NULL, 'TIGR01897', 196456),
(252731, 'TIGR01956', NULL, 'NusG_myco: NusG family protein', 257, NULL, 'TIGR01956', 196457),
(252732, 'TIGR03001', NULL, 'Sig-70_gmx1: RNA polymerase sigma-70 factor, Myxococcales family 1', 244, NULL, 'TIGR03001', 196458),
(252733, 'TIGR00801', NULL, 'ncs2: uracil-xanthine permease', 415, NULL, 'TIGR00801', 196459),
(252734, 'TIGR03643', NULL, 'TIGR03643: TIGR03643 family protein', 72, NULL, 'TIGR03643', 196460),
(252735, 'TIGR03964', NULL, 'mycofact_creat: mycofactocin system creatininase family protein', 228, NULL, 'TIGR03964', 196461),
(252736, 'TIGR03309', NULL, 'matur_yqeB: selenium-dependent molybdenum hydroxylase system protein, YqeB family', 256, NULL, 'TIGR03309', 196462),
(252737, 'TIGR00851', NULL, 'mtlA: PTS system, mannitol-specific IIC component', 340, NULL, 'TIGR00851', 196463),
(252738, 'TIGR02046', NULL, 'sdhC_b558_fam: succinate dehydrogenase (or fumarate reductase) cytochrome b subunit, b558 family', 212, NULL, 'TIGR02046', 196464),
(252739, 'TIGR00988', NULL, 'hip: integration host factor, beta subunit', 94, NULL, 'TIGR00988', 196465),
(252740, 'TIGR03549', NULL, 'TIGR03549: YcaO domain protein', 723, NULL, 'TIGR03549', 196466),
(252741, 'TIGR00611', NULL, 'recf: DNA replication and repair protein RecF', 365, NULL, 'TIGR00611', 196467),
(252742, 'TIGR00113', NULL, 'queA: S-adenosylmethionine:tRNA ribosyltransferase-isomerase', 345, NULL, 'TIGR00113', 196468),
(252743, 'TIGR00748', NULL, 'HMG_CoA_syn_Arc: putative hydroxymethylglutaryl-CoA synthase', 345, NULL, 'TIGR00748', 196469),
(252744, 'TIGR01165', NULL, 'cbiN: cobalt transport protein', 91, NULL, 'TIGR01165', 196470),
(252745, 'TIGR00353', NULL, 'nrfE: cytochrome c-type biogenesis protein CcmF', 578, NULL, 'TIGR00353', 196471),
(252746, 'TIGR00508', NULL, 'bioA: adenosylmethionine-8-amino-7-oxononanoate transaminase', 419, NULL, 'TIGR00508', 196472),
(252747, 'TIGR01732', NULL, 'tiny_TM_bacill: conserved hypothetical protein', 26, NULL, 'TIGR01732', 196473),
(252748, 'TIGR02286', NULL, 'PaaD: phenylacetic acid degradation protein PaaD', 114, NULL, 'TIGR02286', 196474),
(252749, 'TIGR01869', NULL, 'casC_Cse4: CRISPR-associated protein Cas7/Cse4/CasC, subtype I-E/ECOLI', 325, NULL, 'TIGR01869', 196475),
(252750, 'TIGR03665', NULL, 'arCOG04150: arCOG04150 universal archaeal KH domain protein', 173, NULL, 'TIGR03665', 196476),
(252751, 'TIGR01991', NULL, 'HscA: Fe-S protein assembly chaperone HscA', 600, NULL, 'TIGR01991', 196477),
(252752, 'TIGR04340', NULL, 'rSAM_ACGX: radical SAM/SPASM domain protein, ACGX system', 341, NULL, 'TIGR04340', 196478),
(252753, 'TIGR02784', NULL, 'addA_alphas: double-strand break repair helicase AddA', 1138, NULL, 'TIGR02784', 196479),
(252754, 'TIGR03671', NULL, 'cca_archaeal: CCA-adding enzyme', 410, NULL, 'TIGR03671', 196480),
(252755, 'TIGR00823', NULL, 'EIIA-LAC: PTS system, lactose-specific IIa component', 99, NULL, 'TIGR00823', 196481),
(252756, 'TIGR02756', NULL, 'TraK_Ftype: type-F conjugative transfer system secretin TraK', 232, NULL, 'TIGR02756', 196482),
(252757, 'TIGR03425', NULL, 'urea_degr_2: urea carboxylase-associated protein 2', 233, NULL, 'TIGR03425', 196483),
(252758, 'TIGR02516', NULL, 'type_III_yscC: type III secretion outer membrane pore, YscC/HrcC family', 463, NULL, 'TIGR02516', 196484),
(252759, 'TIGR00381', NULL, 'cdhD: CO dehydrogenase/acetyl-CoA synthase, delta subunit', 389, NULL, 'TIGR00381', 196485),
(252760, 'TIGR02074', NULL, 'PBP_1a_fam: penicillin-binding protein, 1A family', 535, NULL, 'TIGR02074', 196486),
(252761, 'TIGR03079', NULL, 'CH4_NH3mon_ox_B: methane monooxygenase/ammonia monooxygenase, subunit B', 399, NULL, 'TIGR03079', 196487),
(252762, 'TIGR01240', NULL, 'mevDPdecarb: diphosphomevalonate decarboxylase', 305, NULL, 'TIGR01240', 196488),
(252763, 'TIGR02572', NULL, 'LcrR: type III secretion system regulator LcrR', 139, NULL, 'TIGR02572', 196489),
(252764, 'TIGR00325', NULL, 'lpxC: UDP-3-O-[3-hydroxymyristoyl] N-acetylglucosamine deacetylase', 297, NULL, 'TIGR00325', 196490);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(252765, 'TIGR03173', NULL, 'pbuX: xanthine permease', 407, NULL, 'TIGR03173', 196491),
(252766, 'TIGR03412', NULL, 'iscX_yfhJ: FeS assembly protein IscX', 63, NULL, 'TIGR03412', 196492),
(252767, 'TIGR01159', NULL, 'DRP1: density-regulated protein DRP1', 168, NULL, 'TIGR01159', 196493),
(252768, 'TIGR03923', NULL, 'T7SS_EccE: type VII secretion protein EccE', 344, NULL, 'TIGR03923', 196494),
(252769, 'TIGR04436', NULL, 'SpoChoClust_3: putative 2OG-Fe(II) oxygenase', 300, NULL, 'TIGR04436', 196495),
(252770, 'TIGR02538', NULL, 'type_IV_pilB: type IV-A pilus assembly ATPase PilB', 564, NULL, 'TIGR02538', 196496),
(252771, 'TIGR02728', NULL, 'spore_gerQ: spore coat protein GerQ', 82, NULL, 'TIGR02728', 196497),
(252772, 'TIGR03213', NULL, '23dbph12diox: 2,3-dihydroxybiphenyl 1,2-dioxygenase', 287, NULL, 'TIGR03213', 196498),
(252773, 'TIGR04041', NULL, 'activase_YjjW: glycine radical enzyme activase, YjjW family', 276, NULL, 'TIGR04041', 196499),
(252774, 'TIGR02401', NULL, 'trehalose_TreY: malto-oligosyltrehalose synthase', 838, NULL, 'TIGR02401', 196500),
(252775, 'TIGR04178', NULL, 'exo_archaeo: exosortase/archaeosortase family protein', 97, NULL, 'TIGR04178', 196501),
(252776, 'TIGR03057', NULL, 'xxxLxxG_by_4: X-X-X-Leu-X-X-Gly heptad repeats', 28, NULL, 'TIGR03057', 196502),
(252777, 'TIGR00209', NULL, 'galT_1: galactose-1-phosphate uridylyltransferase', 349, NULL, 'TIGR00209', 196503),
(252778, 'TIGR00066', NULL, 'g_glut_trans: gamma-glutamyltransferase', 518, NULL, 'TIGR00066', 196504),
(252779, 'TIGR01657', NULL, 'P-ATPase-V: P-type ATPase of unknown pump specificity (type V)', 1055, NULL, 'TIGR01657', 196505),
(252780, 'TIGR02831', NULL, 'spo_II_M: stage II sporulation protein M', 200, NULL, 'TIGR02831', 196506),
(252781, 'TIGR01050', NULL, 'rpsS_bact: ribosomal protein uS19', 92, NULL, 'TIGR01050', 196507),
(252782, 'TIGR01417', NULL, 'PTS_I_fam: phosphoenolpyruvate-protein phosphotransferase', 565, NULL, 'TIGR01417', 196508),
(252783, 'TIGR01377', NULL, 'soxA_mon: sarcosine oxidase, monomeric form', 381, NULL, 'TIGR01377', 196509),
(252784, 'TIGR03711', NULL, 'acc_sec_asp3: accessory Sec system protein Asp3', 135, NULL, 'TIGR03711', 196510),
(252785, 'TIGR01480', NULL, 'copper_res_A: copper-resistance protein, CopA family', 593, NULL, 'TIGR01480', 196511),
(252786, 'TIGR01847', NULL, 'bacteriocin_sig: bacteriocin-type signal sequence', 15, NULL, 'TIGR01847', 196512),
(252787, 'TIGR03693', NULL, 'ocin_ThiF_like: putative thiazole-containing bacteriocin maturation protein', 637, NULL, 'TIGR03693', 196513),
(252788, 'TIGR01022', NULL, 'rpmJ_bact: ribosomal protein bL36', 37, NULL, 'TIGR01022', 196514),
(252789, 'TIGR03883', NULL, 'DUF2342_F420: uncharacterized protein, coenzyme F420 biosynthesis associated', 346, NULL, 'TIGR03883', 196515),
(252790, 'TIGR00496', NULL, 'frr: ribosome recycling factor', 176, NULL, 'TIGR00496', 196516),
(252791, 'TIGR01685', NULL, 'MDP-1: magnesium-dependent phosphatase-1', 174, NULL, 'TIGR01685', 196517),
(252792, 'TIGR01875', NULL, 'cas_MJ0381: CRISPR-associated autoregulator DevR family', 240, NULL, 'TIGR01875', 196518),
(252793, 'TIGR00864', NULL, 'PCC: polycystin cation channel protein', 2700, NULL, 'TIGR00864', 196519),
(252794, 'TIGR02996', NULL, 'rpt_mate_G_obs: repeat-companion domain TIGR02996', 45, NULL, 'TIGR02996', 196520),
(252795, 'TIGR02033', NULL, 'D-hydantoinase: dihydropyrimidinase', 454, NULL, 'TIGR02033', 196521),
(252796, 'TIGR00038', NULL, 'efp: translation elongation factor P', 184, NULL, 'TIGR00038', 196522),
(252797, 'TIGR02715', NULL, 'amido_AtzE: amidohydrolase, AtzE family', 452, NULL, 'TIGR02715', 196523),
(252798, 'TIGR01704', NULL, 'MTA/SAH-Nsdase: MTA/SAH nucleosidase', 229, NULL, 'TIGR01704', 196524),
(252799, 'TIGR01212', NULL, 'TIGR01212: radical SAM protein, TIGR01212 family', 302, NULL, 'TIGR01212', 196525),
(252800, 'TIGR00182', NULL, 'plsX: fatty acid/phospholipid synthesis protein PlsX', 337, NULL, 'TIGR00182', 196526),
(252801, 'TIGR01187', NULL, 'potA: polyamine ABC transporter, ATP-binding protein', 325, NULL, 'TIGR01187', 196527);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(252802, 'TIGR02544', NULL, 'III_secr_YscJ: type III secretion apparatus lipoprotein, YscJ/HrcJ family', 193, NULL, 'TIGR02544', 196528),
(252803, 'TIGR04218', NULL, 'TOMM_plantaz: ribosomal natural product, plantazolicin-class', 43, NULL, 'TIGR04218', 196529),
(252804, 'TIGR01520', NULL, 'FruBisAldo_II_A: fructose-bisphosphate aldolase, class II', 357, NULL, 'TIGR01520', 196530),
(252805, 'TIGR01710', NULL, 'typeII_sec_gspG: type II secretion system protein G', 134, NULL, 'TIGR01710', 196531),
(252806, 'TIGR04408', NULL, 'LptG_lptG: LPS export ABC transporter permease LptG', 351, NULL, 'TIGR04408', 196532),
(252807, 'TIGR02217', NULL, 'chp_TIGR02217: TIGR02217 family protein', 210, NULL, 'TIGR02217', 196533),
(252808, 'TIGR04362', NULL, 'choice_anch_C: choice-of-anchor C domain', 157, NULL, 'TIGR04362', 196534),
(252809, 'TIGR03378', NULL, 'glycerol3P_GlpB: glycerol-3-phosphate dehydrogenase, anaerobic, B subunit', 419, NULL, 'TIGR03378', 196535),
(252810, 'TIGR04552', NULL, 'TIGR04552: TIGR04552 family protein', 352, NULL, 'TIGR04552', 196536),
(252811, 'TIGR01193', NULL, 'bacteriocin_ABC: ABC-type bacteriocin transporter', 708, NULL, 'TIGR01193', 196537),
(252812, 'TIGR00680', NULL, 'kdpA: K+-transporting ATPase, A subunit', 563, NULL, 'TIGR00680', 196538),
(252813, 'TIGR03705', NULL, 'poly_P_kin: polyphosphate kinase 1', 673, NULL, 'TIGR03705', 196539),
(252814, 'TIGR01561', NULL, 'gde_arch: putative glycogen debranching enzyme, archaeal type', 569, NULL, 'TIGR01561', 196540),
(252815, 'TIGR01698', NULL, 'PUNP: purine nucleotide phosphorylase', 245, NULL, 'TIGR01698', 196541),
(252816, 'TIGR00318', NULL, 'cyaB: putative adenylyl cyclase CyaB', 174, NULL, 'TIGR00318', 196542),
(252817, 'TIGR00904', NULL, 'mreB: cell shape determining protein, MreB/Mrl family', 334, NULL, 'TIGR00904', 196543),
(252818, 'TIGR01336', NULL, 'psaB: photosystem I core protein PsaB', 734, NULL, 'TIGR01336', 196544),
(252819, 'TIGR00543', NULL, 'isochor_syn: isochorismate synthase', 349, NULL, 'TIGR00543', 196545),
(252820, 'TIGR02114', NULL, 'coaB_strep: phosphopantothenate--cysteine ligase', 228, NULL, 'TIGR02114', 196546),
(252821, 'TIGR04122', NULL, 'Xnuc_lig_assoc: putative exonuclease, DNA ligase-associated', 326, NULL, 'TIGR04122', 196547),
(252822, 'TIGR04150', NULL, 'pseudo_rSAM_GG: pseudo-rSAM protein, GG-Bacteroidales system', 407, NULL, 'TIGR04150', 196548),
(252823, 'TIGR01922', NULL, 'purO_arch: IMP cyclohydrolase', 199, NULL, 'TIGR01922', 196549),
(252824, 'TIGR03269', NULL, 'met_CoM_red_A2: methyl coenzyme M reductase system, component A2', 530, NULL, 'TIGR03269', 196550),
(252825, 'TIGR04499', NULL, 'abortive_AbiA: abortive infection protein, AbiA family', 615, NULL, 'TIGR04499', 196551),
(252826, 'TIGR04396', NULL, 'surf_polysacc: surface carbohydrate biosynthesis protein', 322, NULL, 'TIGR04396', 196552),
(252827, 'TIGR03842', NULL, 'F420_CPS_4043: F420-dependent oxidoreductase, CPS_4043 family', 329, NULL, 'TIGR03842', 196553),
(252828, 'TIGR03739', NULL, 'PRTRC_D: PRTRC system protein D', 320, NULL, 'TIGR03739', 196554),
(252829, 'TIGR03241', NULL, 'arg_catab_astB: succinylarginine dihydrolase', 443, NULL, 'TIGR03241', 196555),
(252830, 'TIGR03481', NULL, 'HpnM: hopanoid biosynthesis associated membrane protein HpnM', 200, NULL, 'TIGR03481', 196556),
(252831, 'TIGR00571', NULL, 'dam: DNA adenine methylase', 267, NULL, 'TIGR00571', 196557),
(252832, 'TIGR03344', NULL, 'VI_effect_Hcp1: type VI secretion system effector, Hcp1 family', 167, NULL, 'TIGR03344', 196558),
(252833, 'TIGR04013', NULL, 'B12_SAM_MJ_1487: B12-binding domain/radical SAM domain protein, MJ_1487 family', 382, NULL, 'TIGR04013', 196559),
(252834, 'TIGR02326', NULL, 'transamin_PhnW: 2-aminoethylphosphonate--pyruvate transaminase', 363, NULL, 'TIGR02326', 196560),
(252835, 'TIGR03104', NULL, 'trio_amidotrans: asparagine synthase family amidotransferase', 589, NULL, 'TIGR03104', 196561),
(252836, 'TIGR00073', NULL, 'hypB: hydrogenase accessory protein HypB', 217, NULL, 'TIGR00073', 196562),
(252837, 'TIGR04259', NULL, 'oxa_formateAnti: oxalate/formate antiporter', 405, NULL, 'TIGR04259', 196563);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(252838, 'TIGR00783', NULL, 'ccs: citrate carrier protein, CCS family', 420, NULL, 'TIGR00783', 196564),
(252839, 'TIGR03979', NULL, 'His_Ser_Rich: His-Xaa-Ser repeat protein HxsA', 190, NULL, 'TIGR03979', 196565),
(252840, 'TIGR04511', NULL, 'SagB_rel_DH_2: putative peptide maturation dehydrogenase', 380, NULL, 'TIGR04511', 196566),
(252841, 'TIGR02824', NULL, 'quinone_pig3: putative NAD(P)H quinone oxidoreductase, PIG3 family', 325, NULL, 'TIGR02824', 196567),
(252842, 'TIGR03602', NULL, 'streptolysinS: bacteriocin protoxin, streptolysin S family', 56, NULL, 'TIGR03602', 196568),
(252843, 'TIGR03160', NULL, 'cobT_DBIPRT: nicotinate-nucleotide--dimethylbenzimidazole phosphoribosyltransferase', 334, NULL, 'TIGR03160', 196569),
(252844, 'TIGR02005', NULL, 'PTS-IIBC-alpha: PTS system, alpha-glucoside-specific IIBC component', 524, NULL, 'TIGR02005', 196570),
(252845, 'TIGR02435', NULL, 'CobG: precorrin-3B synthase', 388, NULL, 'TIGR02435', 196571),
(252846, 'TIGR00892', NULL, '2A0113: monocarboxylate transporter', 455, NULL, 'TIGR00892', 196572),
(252847, 'TIGR03453', NULL, 'partition_RepA: plasmid partitioning protein RepA', 387, NULL, 'TIGR03453', 196573),
(252848, 'TIGR03951', NULL, 'Fe_III_red_FhuF: siderophore-iron reductase FhuF', 182, NULL, 'TIGR03951', 196574),
(252849, 'TIGR00462', NULL, 'genX: EF-P lysine aminoacylase GenX', 304, NULL, 'TIGR00462', 196575),
(252850, 'TIGR03316', NULL, 'ygeW: knotted carbamoyltransferase YgeW', 391, NULL, 'TIGR03316', 196576),
(252851, 'TIGR02968', NULL, 'succ_dehyd_anc: succinate dehydrogenase, hydrophobic membrane anchor protein', 105, NULL, 'TIGR02968', 196577),
(252852, 'TIGR00639', NULL, 'PurN: phosphoribosylglycinamide formyltransferase', 192, NULL, 'TIGR00639', 196578),
(252853, 'TIGR00599', NULL, 'rad18: DNA repair protein rad18', 397, NULL, 'TIGR00599', 196579),
(252854, 'TIGR01813', NULL, 'flavo_cyto_c: flavocytochrome c', 444, NULL, 'TIGR01813', 196580),
(252855, 'TIGR01950', NULL, 'SoxR: redox-sensitive transcriptional activator SoxR', 142, NULL, 'TIGR01950', 196581),
(252856, 'TIGR03814', NULL, 'Gln_ase: glutaminase A', 300, NULL, 'TIGR03814', 196582),
(252857, 'TIGR00755', NULL, 'ksgA: ribosomal RNA small subunit methyltransferase A', 256, NULL, 'TIGR00755', 196583),
(252858, 'TIGR01084', NULL, 'mutY: A/G-specific adenine glycosylase', 277, NULL, 'TIGR01084', 196584),
(252859, 'TIGR03590', NULL, 'PseG: UDP-2,4-diacetamido-2,4,6-trideoxy-beta-L-altropyranose hydrolase', 280, NULL, 'TIGR03590', 196585),
(252860, 'TIGR04006', NULL, 'wcaK: colanic acid biosynthesis pyruvyl transferase WcaK', 426, NULL, 'TIGR04006', 196586),
(252861, 'TIGR03092', NULL, 'SASP_sspI: small, acid-soluble spore protein I', 65, NULL, 'TIGR03092', 196587),
(252862, 'TIGR03297', NULL, 'Ppyr-DeCO2ase: phosphonopyruvate decarboxylase', 360, NULL, 'TIGR03297', 196588),
(252863, 'TIGR02142', NULL, 'modC_ABC: molybdate ABC transporter, ATP-binding protein', 353, NULL, 'TIGR02142', 196589),
(252864, 'TIGR04471', NULL, 'rSAM_mob_pairA: radical SAM mobile pair protein A', 220, NULL, 'TIGR04471', 196590),
(252865, 'TIGR02463', NULL, 'MPGP_rel: mannosyl-3-phosphoglycerate phosphatase homolog', 216, NULL, 'TIGR02463', 196591),
(252866, 'TIGR00278', NULL, 'TIGR00278: putative membrane protein insertion efficiency factor', 75, NULL, 'TIGR00278', 196592),
(252867, 'TIGR00434', NULL, 'cysH: phosophoadenylyl-sulfate reductase', 214, NULL, 'TIGR00434', 196593),
(252868, 'TIGR01445', NULL, 'intein_Nterm: intein N-terminal splicing region', 83, NULL, 'TIGR01445', 196594),
(252869, 'TIGR01308', NULL, 'rpmD_bact: ribosomal protein uL30', 55, NULL, 'TIGR01308', 196595),
(252870, 'TIGR01589', NULL, 'A_thal_3526: uncharacterized plant-specific domain TIGR01589', 57, NULL, 'TIGR01589', 196596),
(252871, 'TIGR01452', NULL, 'PGP_euk: phosphoglycolate/pyridoxal phosphate phosphatase family', 279, NULL, 'TIGR01452', 196597),
(252872, 'TIGR00932', NULL, '2a37: transporter, monovalent cation:proton antiporter-2 (CPA2) family', 275, NULL, 'TIGR00932', 196598),
(252873, 'TIGR02940', NULL, 'anfO_nitrog: Fe-only nitrogenase accessory protein AnfO', 214, NULL, 'TIGR02940', 196599);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(252874, 'TIGR01629', NULL, 'rep_II_X: phage/plasmid replication protein, gene II/X family', 407, NULL, 'TIGR01629', 196600),
(252875, 'TIGR04287', NULL, 'exosort_XrtK: exosortase K', 163, NULL, 'TIGR04287', 196601),
(252876, 'TIGR03132', NULL, 'malonate_mdcB: triphosphoribosyl-dephospho-CoA synthase MdcB', 272, NULL, 'TIGR03132', 196602),
(252877, 'TIGR02279', NULL, 'PaaC-3OHAcCoADH: 3-hydroxyacyl-CoA dehydrogenase PaaC', 503, NULL, 'TIGR02279', 196603),
(252878, 'TIGR01766', NULL, 'tspaseT_teng_C: transposase, IS605 OrfB family', 82, NULL, 'TIGR01766', 196604),
(252879, 'TIGR03774', NULL, 'RPE2: rickettsial palindromic element RPE2 domain', 35, NULL, 'TIGR03774', 196605),
(252880, 'TIGR00471', NULL, 'pheT_arch: phenylalanine--tRNA ligase, beta subunit', 551, NULL, 'TIGR00471', 196606),
(252881, 'TIGR02681', NULL, 'phage_pRha: phage regulatory protein, Rha family', 108, NULL, 'TIGR02681', 196607),
(252882, 'TIGR02666', NULL, 'moaA: molybdenum cofactor biosynthesis protein A', 336, NULL, 'TIGR02666', 196608),
(252883, 'TIGR03032', NULL, 'TIGR03032: TIGR03032 family protein', 335, NULL, 'TIGR03032', 196609),
(252884, 'TIGR03169', NULL, 'Nterm_to_SelD: pyridine nucleotide-disulfide oxidoreductase family protein', 365, NULL, 'TIGR03169', 196610),
(252885, 'TIGR02874', NULL, 'spore_ytfJ: sporulation protein YtfJ', 125, NULL, 'TIGR02874', 196611),
(252886, 'TIGR00424', NULL, 'APS_reduc: 5''-adenylylsulfate reductase, thioredoxin-independent', 464, NULL, 'TIGR00424', 196612),
(252887, 'TIGR00128', NULL, 'fabD: malonyl CoA-acyl carrier protein transacylase', 290, NULL, 'TIGR00128', 196613),
(252888, 'TIGR02619', NULL, 'TIGR02619: putative CRISPR-associated protein, APE2256 family', 149, NULL, 'TIGR02619', 196614),
(252889, 'TIGR03497', NULL, 'FliI_clade2: flagellar protein export ATPase FliI', 413, NULL, 'TIGR03497', 196615),
(252890, 'TIGR03017', NULL, 'EpsF: chain length determinant protein EpsF', 444, NULL, 'TIGR03017', 196616),
(252891, 'TIGR02201', NULL, 'heptsyl_trn_III: putative lipopolysaccharide heptosyltransferase III', 344, NULL, 'TIGR02201', 196617),
(252892, 'TIGR02827', NULL, 'RNR_anaer_Bdell: anaerobic ribonucleoside-triphosphate reductase', 596, NULL, 'TIGR02827', 196618),
(252893, 'TIGR03465', NULL, 'HpnD: squalene synthase HpnD', 267, NULL, 'TIGR03465', 196619),
(252894, 'TIGR00889', NULL, '2A0110: nucleoside transporter', 418, NULL, 'TIGR00889', 196620),
(252895, 'TIGR01610', NULL, 'phage_O_Nterm: phage replication protein O, N-terminal domain', 95, NULL, 'TIGR01610', 196621),
(252896, 'TIGR01882', NULL, 'peptidase-T: peptidase T', 410, NULL, 'TIGR01882', 196622),
(252897, 'TIGR02722', NULL, 'lp_: uncharacterized lipoprotein', 189, NULL, 'TIGR02722', 196623),
(252898, 'TIGR04443', NULL, 'F420_CofF: coenzyme gamma-F420-2:alpha-L-glutamate ligase', 283, NULL, 'TIGR04443', 196624),
(252899, 'TIGR03360', NULL, 'VI_minor_1: type VI secretion-associated protein, VC_A0118 family', 187, NULL, 'TIGR03360', 196625),
(252900, 'TIGR01539', NULL, 'portal_lambda: phage portal protein, lambda family', 457, NULL, 'TIGR01539', 196626),
(252901, 'TIGR01047', NULL, 'nspC: carboxynorspermidine decarboxylase', 380, NULL, 'TIGR01047', 196627),
(252902, 'TIGR04308', NULL, 'repeat_SSSPR51: surface protein repeat SSSPR-51', 49, NULL, 'TIGR04308', 196628),
(252903, 'TIGR02280', NULL, 'PaaB1: phenylacetate degradation probable enoyl-CoA hydratase PaaB', 256, NULL, 'TIGR02280', 196629),
(252904, 'TIGR02385', NULL, 'RelE_StbE: addiction module toxin, RelE/StbE family', 88, NULL, 'TIGR02385', 196630),
(252905, 'TIGR00263', NULL, 'trpB: tryptophan synthase, beta subunit', 385, NULL, 'TIGR00263', 196631),
(252906, 'TIGR04010', NULL, 'WcaD: putative colanic acid polymerase WcaD', 404, NULL, 'TIGR04010', 196632),
(252907, 'TIGR00705', NULL, 'SppA_67K: signal peptide peptidase SppA, 67K type', 590, NULL, 'TIGR00705', 196633),
(252908, 'TIGR01208', NULL, 'rmlA_long: glucose-1-phosphate thymidylyltransferase', 353, NULL, 'TIGR01208', 196634),
(252909, 'TIGR03989', NULL, 'Rxyl_3153: NDMA-dependent alcohol dehydrogenase, Rxyl_3153 family', 370, NULL, 'TIGR03989', 196635);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(252910, 'TIGR03805', NULL, 'beta_helix_1: parallel beta-helix repeat-containing protein', 314, NULL, 'TIGR03805', 196636),
(252911, 'TIGR04115', NULL, 'rSAM_Cxxx_rpt: radical SAM peptide maturase, CXXX-repeat target family', 359, NULL, 'TIGR04115', 196637),
(252912, 'TIGR00456', NULL, 'argS: arginine--tRNA ligase', 569, NULL, 'TIGR00456', 196638),
(252913, 'TIGR03658', NULL, 'IsdH_HarA: haptoglobin-binding heme uptake protein HarA', 895, NULL, 'TIGR03658', 196639),
(252914, 'TIGR00963', NULL, 'secA: preprotein translocase, SecA subunit', 787, NULL, 'TIGR00963', 196640),
(252915, 'TIGR03746', NULL, 'conj_TIGR03746: integrating conjugative element protein, PFL_4703 family', 202, NULL, 'TIGR03746', 196641),
(252916, 'TIGR03986', NULL, 'TIGR03986: CRISPR-associated protein', 568, NULL, 'TIGR03986', 196642),
(252917, 'TIGR04112', NULL, 'seleno_YedE: putative selenium metabolism protein, YedE family', 337, NULL, 'TIGR04112', 196643),
(252918, 'TIGR03556', NULL, 'photolyase_8HDF: deoxyribodipyrimidine photo-lyase, 8-HDF type', 471, NULL, 'TIGR03556', 196644),
(252919, 'TIGR00995', NULL, '3a0901s06TIC22: chloroplast protein import component, Tic22 family', 270, NULL, 'TIGR00995', 196645),
(252920, 'TIGR03418', NULL, 'chol_sulf_TF: putative choline sulfate-utilization transcription factor', 291, NULL, 'TIGR03418', 196646),
(252921, 'TIGR04296', NULL, 'PEFG-CTERM: PEFG-CTERM domain', 30, NULL, 'TIGR04296', 196647),
(252922, 'TIGR01153', NULL, 'psbC: photosystem II 44 kDa subunit reaction center protein', 432, NULL, 'TIGR01153', 196648),
(252923, 'TIGR04147', NULL, 'GGGPS_Halobact: phosphoglycerol geranylgeranyltransferase, putative', 229, NULL, 'TIGR04147', 196649),
(252924, 'TIGR04440', NULL, 'glyco_TIGR04440: glycosyltransferase domain', 215, NULL, 'TIGR04440', 196650),
(252925, 'TIGR03228', NULL, 'anthran_1_2_A: anthranilate 1,2-dioxygenase, large subunit', 438, NULL, 'TIGR03228', 196651),
(252926, 'TIGR00530', NULL, 'AGP_acyltrn: 1-acylglycerol-3-phosphate O-acyltransferases', 130, NULL, 'TIGR00530', 196652),
(252927, 'TIGR00720', NULL, 'sda_mono: L-serine ammonia-lyase', 450, NULL, 'TIGR00720', 196653),
(252928, 'TIGR03313', NULL, 'Se_sel_red_Mo: probable selenate reductase, molybdenum-binding subunit', 951, NULL, 'TIGR03313', 196654),
(252929, 'TIGR01258', NULL, 'pgm_1: phosphoglycerate mutase 1 family', 245, NULL, 'TIGR01258', 196655),
(252930, 'TIGR00260', NULL, 'thrC: threonine synthase', 340, NULL, 'TIGR00260', 196656),
(252931, 'TIGR03521', NULL, 'GldG: gliding-associated putative ABC transporter substrate-binding component GldG', 552, NULL, 'TIGR03521', 196657),
(252932, 'TIGR04355', NULL, 'HprK_rel_B: HprK-related kinase B', 351, NULL, 'TIGR04355', 196658),
(252933, 'TIGR01554', NULL, 'major_cap_HK97: phage major capsid protein, HK97 family', 385, NULL, 'TIGR01554', 196659),
(252934, 'TIGR00948', NULL, '2a75: L-lysine exporter', 177, NULL, 'TIGR00948', 196660),
(252935, 'TIGR00752', NULL, 'slp: outer membrane lipoprotein, Slp family', 182, NULL, 'TIGR00752', 196661),
(252936, 'TIGR04088', NULL, 'cognate_SipW: SipW-cognate class signal peptide', 34, NULL, 'TIGR04088', 196662),
(252937, 'TIGR04545', NULL, 'rSAM_ahbD_hemeb: heme b synthase', 339, NULL, 'TIGR04545', 196663),
(252938, 'TIGR00667', NULL, 'aat: leucyl/phenylalanyl-tRNA--protein transferase', 193, NULL, 'TIGR00667', 196664),
(252939, 'TIGR01390', NULL, 'CycNucDiestase: 2'',3''-cyclic-nucleotide 2''-phosphodiesterase', 626, NULL, 'TIGR01390', 196665),
(252940, 'TIGR02859', NULL, 'spore_sigH: RNA polymerase sigma-H factor', 198, NULL, 'TIGR02859', 196666),
(252941, 'TIGR01402', NULL, 'fliQ: flagellar biosynthetic protein FliQ', 88, NULL, 'TIGR01402', 196667),
(252942, 'TIGR02335', NULL, 'hydr_PhnA: phosphonoacetate hydrolase', 408, NULL, 'TIGR02335', 196668),
(252943, 'TIGR02740', NULL, 'TraF-like: TraF-like protein', 276, NULL, 'TIGR02740', 196669),
(252944, 'TIGR00916', NULL, '2A0604s01: protein-export membrane protein, SecD/SecF family', 231, NULL, 'TIGR00916', 196670),
(252945, 'TIGR00693', NULL, 'thiE: thiamine-phosphate diphosphorylase', 197, NULL, 'TIGR00693', 196671);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(252946, 'TIGR03954', NULL, 'integ_memb_HG: integral membrane protein', 85, NULL, 'TIGR03954', 196672),
(252947, 'TIGR00811', NULL, 'sit: silicon transporter', 548, NULL, 'TIGR00811', 196673),
(252948, 'TIGR01121', NULL, 'D_amino_aminoT: D-amino-acid transaminase', 276, NULL, 'TIGR01121', 196674),
(252949, 'TIGR00857', NULL, 'pyrC_multi: dihydroorotase, multifunctional complex type', 412, NULL, 'TIGR00857', 196675),
(252950, 'TIGR01586', NULL, 'yopT_cys_prot: cysteine protease domain, YopT-type', 199, NULL, 'TIGR01586', 196676),
(252951, 'TIGR03509', NULL, 'OMP_MtrB_PioB: decaheme-associated outer membrane protein, MtrB/PioB family', 662, NULL, 'TIGR03509', 196677),
(252952, 'TIGR01062', NULL, 'parC_Gneg: DNA topoisomerase IV, A subunit', 735, NULL, 'TIGR01062', 196678),
(252953, 'TIGR03119', NULL, 'one_C_fhcD: formylmethanofuran--tetrahydromethanopterin N-formyltransferase', 288, NULL, 'TIGR03119', 196679),
(252954, 'TIGR03254', NULL, 'oxalate_oxc: oxalyl-CoA decarboxylase', 554, NULL, 'TIGR03254', 196680),
(252955, 'TIGR00178', NULL, 'monomer_idh: isocitrate dehydrogenase, NADP-dependent', 744, NULL, 'TIGR00178', 196681),
(252956, 'TIGR00558', NULL, 'pdxH: pyridoxamine 5''-phosphate oxidase', 217, NULL, 'TIGR00558', 196682),
(252957, 'TIGR00886', NULL, '2A0108: nitrite transporter', 368, NULL, 'TIGR00886', 196683),
(252958, 'TIGR01196', NULL, 'edd: phosphogluconate dehydratase', 601, NULL, 'TIGR01196', 196684),
(252959, 'TIGR00041', NULL, 'DTMP_kinase: dTMP kinase', 196, NULL, 'TIGR00041', 196685),
(252960, 'TIGR00421', NULL, 'ubiX_pad: polyprenyl P-hydroxybenzoate and phenylacrylic acid decarboxylases', 181, NULL, 'TIGR00421', 196686),
(252961, 'TIGR04085', NULL, 'rSAM_more_4Fe4S: radical SAM additional 4Fe4S-binding SPASM domain', 93, NULL, 'TIGR04085', 196687),
(252962, 'TIGR03310', NULL, 'matur_MocA_YgfJ: molybdenum cofactor cytidylyltransferase', 188, NULL, 'TIGR03310', 196688),
(252963, 'TIGR02429', NULL, 'pcaI_scoA_fam: 3-oxoacid CoA-transferase, A subunit', 222, NULL, 'TIGR02429', 196689),
(252964, 'TIGR03855', NULL, 'NAD_NadX: aspartate dehydrogenase', 229, NULL, 'TIGR03855', 196690),
(252965, 'TIGR02663', NULL, 'nifX: nitrogen fixation protein NifX', 119, NULL, 'TIGR02663', 196691),
(252966, 'TIGR04206', NULL, 'near_ArtA: TIGR04206 family protein', 139, NULL, 'TIGR04206', 196692),
(252967, 'TIGR00702', NULL, 'TIGR00702: YcaO-type kinase domain', 377, NULL, 'TIGR00702', 196693),
(252968, 'TIGR02283', NULL, 'MltB_2: lytic murein transglycosylase', 300, NULL, 'TIGR02283', 196694),
(252969, 'TIGR01012', NULL, 'uS2_euk_arch: ribosomal protein uS2', 196, NULL, 'TIGR01012', 196695),
(252970, 'TIGR01692', NULL, 'HIBADH: 3-hydroxyisobutyrate dehydrogenase', 288, NULL, 'TIGR01692', 196696),
(252971, 'TIGR03907', NULL, 'QH_beta: quinohemoprotein amine dehydrogenase, beta subunit', 338, NULL, 'TIGR03907', 196697),
(252972, 'TIGR00459', NULL, 'aspS_bact: aspartate--tRNA ligase', 586, NULL, 'TIGR00459', 196698),
(252973, 'TIGR01097', NULL, 'PhnE: phosphonate ABC transporter, permease protein PhnE', 252, NULL, 'TIGR01097', 196699),
(252974, 'TIGR01477', NULL, 'RIFIN: variant surface antigen, rifin family', 356, NULL, 'TIGR01477', 196700),
(252975, 'TIGR04253', NULL, 'mesacon_CoA_iso: mesaconyl-CoA isomerase', 403, NULL, 'TIGR04253', 196701),
(252976, 'TIGR00322', NULL, 'diphth2_R: diphthamide biosynthesis enzyme Dph1/Dph2 domain', 320, NULL, 'TIGR00322', 196702),
(252977, 'TIGR00213', NULL, 'GmhB_yaeD: D,D-heptose 1,7-bisphosphate phosphatase', 176, NULL, 'TIGR00213', 196703),
(252978, 'TIGR02877', NULL, 'spore_yhbH: sporulation protein YhbH', 371, NULL, 'TIGR02877', 196704),
(252979, 'TIGR02127', NULL, 'pyrF_sub2: orotidine 5''-phosphate decarboxylase', 261, NULL, 'TIGR02127', 196705),
(252980, 'TIGR03848', NULL, 'MSMEG_4193: probable phosphomutase, MSMEG_4193 family', 204, NULL, 'TIGR03848', 196706),
(252981, 'TIGR04246', NULL, 'nitrous_NosZ_Gp: nitrous-oxide reductase, Sec-dependent', 578, NULL, 'TIGR04246', 196707),
(252982, 'TIGR01984', NULL, 'UbiH: 2-polyprenyl-6-methoxyphenol 4-hydroxylase', 382, NULL, 'TIGR01984', 196708);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(252983, 'TIGR00839', NULL, 'aspA: aspartate ammonia-lyase', 468, NULL, 'TIGR00839', 196709),
(252984, 'TIGR01149', NULL, 'mtrG: tetrahydromethanopterin S-methyltransferase, subunit G', 70, NULL, 'TIGR01149', 196710),
(252985, 'TIGR00397', NULL, 'mauM_napG: MauM/NapG family ferredoxin-type protein', 213, NULL, 'TIGR00397', 196711),
(252986, 'TIGR03527', NULL, 'selenium_YedF: selenium metabolism protein YedF', 194, NULL, 'TIGR03527', 196712),
(252987, 'TIGR02382', NULL, 'wecD_rffC: TDP-D-fucosamine acetyltransferase', 191, NULL, 'TIGR02382', 196713),
(252988, 'TIGR01536', NULL, 'asn_synth_AEB: asparagine synthase (glutamine-hydrolyzing)', 517, NULL, 'TIGR01536', 196714),
(252989, 'TIGR02174', NULL, 'CXXU_selWTH: selT/selW/selH selenoprotein domain', 74, NULL, 'TIGR02174', 196715),
(252990, 'TIGR04194', NULL, 'grasp_w_spasm_A: grasp-with-spasm leader A domain', 28, NULL, 'TIGR04194', 196716),
(252991, 'TIGR01106', NULL, 'ATPase-IIC_X-K: Na,H/K antiporter P-type ATPase, alpha subunit', 997, NULL, 'TIGR01106', 196717),
(252992, 'TIGR01156', NULL, 'cytb6/f_IV: cytb6/f complex subunit IV', 160, NULL, 'TIGR01156', 196718),
(252993, 'TIGR00154', NULL, 'ispE: 4-(cytidine 5''-diphospho)-2-C-methyl-D-erythritol kinase', 294, NULL, 'TIGR00154', 196719),
(252994, 'TIGR03126', NULL, 'one_C_fae: formaldehyde-activating enzyme', 160, NULL, 'TIGR03126', 196720),
(252995, 'TIGR02089', NULL, 'TTC: tartrate dehydrogenase', 352, NULL, 'TIGR02089', 196721),
(252996, 'TIGR04144', NULL, 'archaeo_VPXXXP: archaeosortase B', 156, NULL, 'TIGR04144', 196722),
(252997, 'TIGR00362', NULL, 'DnaA: chromosomal replication initiator protein DnaA', 437, NULL, 'TIGR00362', 196723),
(252998, 'TIGR00565', NULL, 'trpE_proteo: anthranilate synthase component I', 498, NULL, 'TIGR00565', 196724),
(252999, 'TIGR00069', NULL, 'hisD: histidinol dehydrogenase', 393, NULL, 'TIGR00069', 196725),
(253000, 'TIGR00966', NULL, '3a0501s07: protein-export membrane protein SecF', 246, NULL, 'TIGR00966', 196726),
(253001, 'TIGR00690', NULL, 'rpoZ: DNA-directed RNA polymerase, omega subunit', 60, NULL, 'TIGR00690', 196727),
(253002, 'TIGR03957', NULL, 'rSAM_HmdB: 5,10-methenyltetrahydromethanopterin hydrogenase cofactor biosynthesis protein HmdB', 317, NULL, 'TIGR03957', 196728),
(253003, 'TIGR04038', NULL, 'tatD_link_rSAM: radical SAM protein, TatD family-associated', 192, NULL, 'TIGR04038', 196729),
(253004, 'TIGR03820', NULL, 'lys_2_3_AblA: lysine-2,3-aminomutase', 417, NULL, 'TIGR03820', 196730),
(253005, 'TIGR01255', NULL, 'pyr_form_ly_1: formate acetyltransferase', 744, NULL, 'TIGR01255', 196731),
(253006, 'TIGR01340', NULL, 'aconitase_mito: aconitate hydratase, mitochondrial', 745, NULL, 'TIGR01340', 196732),
(253007, 'TIGR00100', NULL, 'hypA: hydrogenase nickel insertion protein HypA', 116, NULL, 'TIGR00100', 196733),
(253008, 'TIGR00409', NULL, 'proS_fam_II: proline--tRNA ligase', 568, NULL, 'TIGR00409', 196734),
(253009, 'TIGR02790', NULL, 'nickel_nikC: nickel ABC transporter, permease subunit NikC', 258, NULL, 'TIGR02790', 196735),
(253010, 'TIGR03447', NULL, 'mycothiol_MshC: cysteine--1-D-myo-inosityl 2-amino-2-deoxy-alpha-D-glucopyranoside ligase', 411, NULL, 'TIGR03447', 196736),
(253011, 'TIGR01281', NULL, 'DPOR_bchL: light-independent protochlorophyllide reductase, iron-sulfur ATP-binding protein', 268, NULL, 'TIGR01281', 196737),
(253012, 'TIGR01583', NULL, 'formate-DH-gamm: formate dehydrogenase, gamma subunit', 204, NULL, 'TIGR01583', 196738),
(253013, 'TIGR00029', NULL, 'S20: ribosomal protein bS20', 87, NULL, 'TIGR00029', 196739),
(253014, 'TIGR02613', NULL, 'mob_myst_B: mobile mystery protein B', 186, NULL, 'TIGR02613', 196740),
(253015, 'TIGR03388', NULL, 'ascorbase: L-ascorbate oxidase', 542, NULL, 'TIGR03388', 196741),
(253016, 'TIGR03067', NULL, 'Planc_TIGR03067: Planctomycetes uncharacterized domain TIGR03067', 107, NULL, 'TIGR03067', 196742),
(253017, 'TIGR01648', NULL, 'hnRNP-R-Q: hnRNP-R, Q splicing factor family', 577, NULL, 'TIGR01648', 196743),
(253018, 'TIGR03684', NULL, 'arCOG00985: arCOG04150 universal archaeal PUA-domain protein', 154, NULL, 'TIGR03684', 196744);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(253019, 'TIGR01511', NULL, 'ATPase-IB1_Cu: copper-translocating P-type ATPase', 542, NULL, 'TIGR01511', 196745),
(253020, 'TIGR03618', NULL, 'Rv1155_F420: PPOX class probable F420-dependent enzyme', 127, NULL, 'TIGR03618', 196746),
(253021, 'TIGR04187', NULL, 'GRASP_SAV_5884: ATP-grasp ribosomal peptide maturase, SAV_5884 family', 312, NULL, 'TIGR04187', 196747),
(253022, 'TIGR01474', NULL, 'ubiA_proteo: 4-hydroxybenzoate polyprenyl transferase', 282, NULL, 'TIGR01474', 196748),
(253023, 'TIGR04050', NULL, 'MSMEG_0567_Cter: AIR synthase-related protein, MSMEG_0567 C-terminal family', 296, NULL, 'TIGR04050', 196749),
(253024, 'TIGR02014', NULL, 'BchZ: chlorophyllide reductase subunit Z', 468, NULL, 'TIGR02014', 196750),
(253025, 'TIGR04271', NULL, 'ThiI_C_thiazole: thiazole biosynthesis domain', 101, NULL, 'TIGR04271', 196751),
(253026, 'TIGR01146', NULL, 'ATPsyn_F1gamma: ATP synthase F1, gamma subunit', 286, NULL, 'TIGR01146', 196752),
(253027, 'TIGR04209', NULL, 'sarcinarray: sarcinarray family protein', 144, NULL, 'TIGR04209', 196753),
(253028, 'TIGR00044', NULL, 'TIGR00044: pyridoxal phosphate enzyme, YggS family', 229, NULL, 'TIGR00044', 196754),
(253029, 'TIGR02065', NULL, 'ECX1: exosome complex exonuclease 1', 230, NULL, 'TIGR02065', 196755),
(253030, 'TIGR00804', NULL, 'nupC: nucleoside transporter, NupC family', 401, NULL, 'TIGR00804', 196756),
(253031, 'TIGR03356', NULL, 'BGL: beta-galactosidase', 427, NULL, 'TIGR03356', 196757),
(253032, 'TIGR02080', NULL, 'O_succ_thio_ly: O-succinylhomoserine (thiol)-lyase', 382, NULL, 'TIGR02080', 196758),
(253033, 'TIGR00920', NULL, '2A060605: 3-hydroxy-3-methylglutaryl-coenzyme A reductase', 887, NULL, 'TIGR00920', 196759),
(253034, 'TIGR02342', NULL, 'chap_CCT_delta: T-complex protein 1, delta subunit', 517, NULL, 'TIGR02342', 196760),
(253035, 'TIGR01215', NULL, 'minE: cell division topological specificity factor MinE', 81, NULL, 'TIGR01215', 196761),
(253036, 'TIGR03914', NULL, 'UDG_fam_dom: uracil-DNA glycosylase family domain', 231, NULL, 'TIGR03914', 196762),
(253037, 'TIGR02447', NULL, 'yiiD_Cterm: putative thioesterase domain', 138, NULL, 'TIGR02447', 196763),
(253038, 'TIGR02939', NULL, 'RpoE_Sigma70: RNA polymerase sigma factor RpoE', 190, NULL, 'TIGR02939', 196764),
(253039, 'TIGR03680', NULL, 'eif2g_arch: translation initiation factor 2, gamma subunit', 407, NULL, 'TIGR03680', 196765),
(253040, 'TIGR02310', NULL, 'HpaB-2: 4-hydroxyphenylacetate 3-monooxygenase, oxygenase component', 519, NULL, 'TIGR02310', 196766),
(253041, 'TIGR02765', NULL, 'crypto_DASH: cryptochrome, DASH family', 431, NULL, 'TIGR02765', 196767),
(253042, 'TIGR04417', NULL, 'PFTS_polysacc: polysaccharide biosynthesis PFTS motif protein', 522, NULL, 'TIGR04417', 196768),
(253043, 'TIGR01856', NULL, 'hisJ_fam: histidinol phosphate phosphatase, HisJ family', 252, NULL, 'TIGR01856', 196769),
(253044, 'TIGR02775', NULL, 'TrbG_Ti: P-type conjugative transfer protein TrbG', 206, NULL, 'TIGR02775', 196770),
(253045, 'TIGR00499', NULL, 'lysS_bact: lysine--tRNA ligase', 496, NULL, 'TIGR00499', 196771),
(253046, 'TIGR00580', NULL, 'mfd: transcription-repair coupling factor', 923, NULL, 'TIGR00580', 196772),
(253047, 'TIGR00256', NULL, 'TIGR00256: D-tyrosyl-tRNA(Tyr) deacylase', 146, NULL, 'TIGR00256', 196773),
(253048, 'TIGR03278', NULL, 'methan_mark_10: methanogenesis marker radical SAM protein', 404, NULL, 'TIGR03278', 196774),
(253049, 'TIGR00210', NULL, 'gltS: sodium/glutamate symporter', 398, NULL, 'TIGR00210', 196775),
(253050, 'TIGR00583', NULL, 'mre11: DNA repair protein (mre11)', 405, NULL, 'TIGR00583', 196776),
(253051, 'TIGR02983', NULL, 'SigE-fam_strep: RNA polymerase sigma-70 factor, sigma-E family', 162, NULL, 'TIGR02983', 196777),
(253052, 'TIGR01966', NULL, 'RNasePH: ribonuclease PH', 236, NULL, 'TIGR01966', 196778),
(253053, 'TIGR02229', NULL, 'caa3_sub_IV: caa(3)-type oxidase, subunit IV', 92, NULL, 'TIGR02229', 196779),
(253054, 'TIGR00104', NULL, 'tRNA_TsaA: tRNA-Thr(GGU) m(6)t(6)A37 methyltransferase TsaA', 143, NULL, 'TIGR00104', 196780),
(253055, 'TIGR03176', NULL, 'AllC: allantoate amidohydrolase', 406, NULL, 'TIGR03176', 196781);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(253056, 'TIGR00518', NULL, 'alaDH: alanine dehydrogenase', 370, NULL, 'TIGR00518', 196782),
(253057, 'TIGR00312', NULL, 'cbiD: cobalamin biosynthesis protein CbiD', 347, NULL, 'TIGR00312', 196783),
(253058, 'TIGR01638', NULL, 'Atha_cystat_rel: Arabidopsis thaliana cystatin-related protein', 94, NULL, 'TIGR01638', 196784),
(253059, 'TIGR03574', NULL, 'selen_PSTK: L-seryl-tRNA(Sec) kinase', 249, NULL, 'TIGR03574', 196785),
(253060, 'TIGR01501', NULL, 'MthylAspMutase: methylaspartate mutase, S subunit', 134, NULL, 'TIGR01501', 196786),
(253061, 'TIGR01109', NULL, 'Na_pump_decarbB: sodium ion-translocating decarboxylase, beta subunit', 354, NULL, 'TIGR01109', 196787),
(253062, 'TIGR04527', NULL, 'mycoplas_twoTM: two transmembrane protein', 248, NULL, 'TIGR04527', 196788),
(253063, 'TIGR00792', NULL, 'gph: sugar (Glycoside-Pentoside-Hexuronide) transporter', 437, NULL, 'TIGR00792', 196789),
(253064, 'TIGR03141', NULL, 'cytochro_ccmD: heme exporter protein CcmD', 47, NULL, 'TIGR03141', 196790),
(253065, 'TIGR01934', NULL, 'MenG_MenH_UbiE: ubiquinone/menaquinone biosynthesis methyltransferase', 223, NULL, 'TIGR01934', 196791),
(253066, 'TIGR00347', NULL, 'bioD: dethiobiotin synthase', 166, NULL, 'TIGR00347', 196792),
(253067, 'TIGR04060', NULL, 'formate_focA: formate transporter FocA', 268, NULL, 'TIGR04060', 196793),
(253068, 'TIGR04381', NULL, 'HTH_TypR: TyrR family helix-turn-helix domain', 49, NULL, 'TIGR04381', 196794),
(253069, 'TIGR00372', NULL, 'cas4: CRISPR-associated protein Cas4', 180, NULL, 'TIGR00372', 196795),
(253070, 'TIGR01317', NULL, 'GOGAT_sm_gam: glutamate synthase, NADH/NADPH, small subunit', 485, NULL, 'TIGR01317', 196796),
(253071, 'TIGR03895', NULL, 'protease_PatA: cyanobactin maturation protease, PatA/PatG family', 606, NULL, 'TIGR03895', 196797),
(253072, 'TIGR00640', NULL, 'acid_CoA_mut_C: methylmalonyl-CoA mutase C-terminal domain', 132, NULL, 'TIGR00640', 196798),
(253073, 'TIGR00150', NULL, 'T6A_YjeE: tRNA threonylcarbamoyl adenosine modification protein YjeE', 135, NULL, 'TIGR00150', 196799),
(253074, 'TIGR03790', NULL, 'TIGR03790: TIGR03790 family protein', 316, NULL, 'TIGR03790', 196800),
(253075, 'TIGR02420', NULL, 'dksA: RNA polymerase-binding protein DksA', 110, NULL, 'TIGR02420', 196801),
(253076, 'TIGR01723', NULL, 'hmd_TIGR: 5,10-methenyltetrahydromethanopterin hydrogenase', 340, NULL, 'TIGR01723', 196802),
(253077, 'TIGR02557', NULL, 'HpaP: type III secretion protein HpaP', 204, NULL, 'TIGR02557', 196803),
(253078, 'TIGR00287', NULL, 'cas1: CRISPR-associated endonuclease Cas1', 327, NULL, 'TIGR00287', 196804),
(253079, 'TIGR01645', NULL, 'half-pint: poly-U binding splicing factor, half-pint family', 607, NULL, 'TIGR01645', 196805),
(253080, 'TIGR02171', NULL, 'Fb_sc_TIGR02171: fibrobacter succinogenes paralogous family TIGR02171', 912, NULL, 'TIGR02171', 196806),
(253081, 'TIGR04035', NULL, 'glucan_65_rpt: glucan-binding repeat', 64, NULL, 'TIGR04035', 196807),
(253082, 'TIGR00019', NULL, 'prfA: peptide chain release factor 1', 361, NULL, 'TIGR00019', 196808),
(253083, 'TIGR02479', NULL, 'FliA_WhiG: RNA polymerase sigma factor, FliA/WhiG family', 224, NULL, 'TIGR02479', 196809),
(253084, 'TIGR03201', NULL, 'dearomat_had: 6-hydroxycyclohex-1-ene-1-carbonyl-CoA dehydrogenase', 349, NULL, 'TIGR03201', 196810),
(253085, 'TIGR01383', NULL, 'not_thiJ: DJ-1 family protein', 180, NULL, 'TIGR01383', 196811),
(253086, 'TIGR00026', NULL, 'hi_GC_TIGR00026: deazaflavin-dependent oxidoreductase, nitroreductase family', 111, NULL, 'TIGR00026', 196812),
(253087, 'TIGR01044', NULL, 'rplV_bact: ribosomal protein uL22', 103, NULL, 'TIGR01044', 196813),
(253088, 'TIGR01218', NULL, 'Gpos_tandem_5TM: tandem five-TM protein', 208, NULL, 'TIGR01218', 196814),
(253089, 'TIGR02062', NULL, 'RNase_B: exoribonuclease II', 646, NULL, 'TIGR02062', 196815),
(253090, 'TIGR02631', NULL, 'xylA_Arthro: xylose isomerase', 382, NULL, 'TIGR02631', 196816),
(253091, 'TIGR03786', NULL, 'strep_pil_rpt: streptococcal pilin isopeptide linkage domain', 70, NULL, 'TIGR03786', 196817),
(253092, 'TIGR01426', NULL, 'MGT: glycosyltransferase, MGT family', 393, NULL, 'TIGR01426', 196818);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(253093, 'TIGR00092', NULL, 'TIGR00092: GTP-binding protein YchF', 368, NULL, 'TIGR00092', 196819),
(253094, 'TIGR02236', NULL, 'recomb_radA: DNA repair and recombination protein RadA', 311, NULL, 'TIGR02236', 196820),
(253095, 'TIGR03911', NULL, 'pyrrolys_PylD: pyrrolysine biosynthesis protein PylD', 266, NULL, 'TIGR03911', 196821),
(253096, 'TIGR00627', NULL, 'tfb4: transcription factor tfb4', 284, NULL, 'TIGR00627', 196822),
(253097, 'TIGR04502', NULL, 'microcomp_EutL: microcompartment protein EutL', 214, NULL, 'TIGR04502', 196823),
(253098, 'TIGR01492', NULL, 'CPW_WPC: Plasmodium falciparum CPW-WPC domain', 62, NULL, 'TIGR01492', 196824),
(253099, 'TIGR02768', NULL, 'TraA_Ti: Ti-type conjugative transfer relaxase TraA', 751, NULL, 'TIGR02768', 196825),
(253100, 'TIGR01613', NULL, 'primase_Cterm: phage/plasmid primase, P4 family, C-terminal domain', 304, NULL, 'TIGR01613', 196826),
(253101, 'TIGR03035', NULL, 'trp_arylform: arylformamidase', 206, NULL, 'TIGR03035', 196827),
(253102, 'TIGR03462', NULL, 'CarR_dom_SF: lycopene cyclase domain', 89, NULL, 'TIGR03462', 196828),
(253103, 'TIGR00365', NULL, 'TIGR00365: monothiol glutaredoxin, Grx4 family', 99, NULL, 'TIGR00365', 196829),
(253104, 'TIGR00807', NULL, 'malonate_madL: malonate transporter, MadL subunit', 125, NULL, 'TIGR00807', 196830),
(253105, 'TIGR01754', NULL, 'flav_RNR: putative ribonucleotide reductase-associated flavodoxin', 140, NULL, 'TIGR01754', 196831),
(253106, 'TIGR04053', NULL, 'sam_11: radical SAM protein, BA_1875 family', 366, NULL, 'TIGR04053', 196832),
(253107, 'TIGR04315', NULL, 'octaheme_Shew: octaheme c-type cytochrome, tetrathionate reductase family', 440, NULL, 'TIGR04315', 196833),
(253108, 'TIGR01280', NULL, 'xseB: exodeoxyribonuclease VII, small subunit', 57, NULL, 'TIGR01280', 196834),
(253109, 'TIGR02772', NULL, 'Ku_bact: Ku protein', 259, NULL, 'TIGR02772', 196835),
(253110, 'TIGR04197', NULL, 'T7SS_SACOL2603: type VII secretion effector, TIGR04197 family', 85, NULL, 'TIGR04197', 196836),
(253111, 'TIGR03042', NULL, 'PS_II_psbQ_bact: photosystem II protein PsbQ', 142, NULL, 'TIGR03042', 196837),
(253112, 'TIGR03802', NULL, 'Asp_Ala_antiprt: aspartate-alanine antiporter', 562, NULL, 'TIGR03802', 196838),
(253113, 'TIGR02444', NULL, 'TIGR02444: TIGR02444 family protein', 116, NULL, 'TIGR02444', 196839),
(253114, 'TIGR03599', NULL, 'YloV: DAK2 domain fusion protein YloV', 530, NULL, 'TIGR03599', 196840),
(253115, 'TIGR01941', NULL, 'nqrF: NADH:ubiquinone oxidoreductase, Na(+)-translocating, F subunit', 405, NULL, 'TIGR01941', 196841),
(253116, 'TIGR03363', NULL, 'VI_chp_8: type VI secretion-associated protein, ImpA family', 353, NULL, 'TIGR03363', 196842),
(253117, 'TIGR02850', NULL, 'spore_sigG: RNA polymerase sigma-G factor', 254, NULL, 'TIGR02850', 196843),
(253118, 'TIGR02199', NULL, 'rfaE_dom_II: bifunctional protein RfaE, domain II', 144, NULL, 'TIGR02199', 196844),
(253119, 'TIGR01171', NULL, 'rplB_bact: ribosomal protein uL2', 275, NULL, 'TIGR01171', 196845),
(253120, 'TIGR02588', NULL, 'TIGR02588: TIGR02588 family protein', 122, NULL, 'TIGR02588', 196846),
(253121, 'TIGR01931', NULL, 'cysJ: sulfite reductase [NADPH] flavoprotein, alpha-component', 597, NULL, 'TIGR01931', 196847),
(253122, 'TIGR03144', NULL, 'cytochr_II_ccsB: cytochrome c-type biogenesis protein CcsB', 252, NULL, 'TIGR03144', 196848),
(253123, 'TIGR04162', NULL, 'exo_VPEID: exosortase E/protease, VPEID-CTERM system', 516, NULL, 'TIGR04162', 196849),
(253124, 'TIGR04299', NULL, 'antiport_PotE: putrescine-ornithine antiporter', 430, NULL, 'TIGR04299', 196850),
(253125, 'TIGR02123', NULL, 'TRAP_fused: TRAP transporter, 4TM/12TM fusion protein', 615, NULL, 'TIGR02123', 196851),
(253126, 'TIGR02881', NULL, 'spore_V_K: stage V sporulation protein K', 261, NULL, 'TIGR02881', 196852),
(253127, 'TIGR00913', NULL, '2A0310: amino acid permease (yeast)', 480, NULL, 'TIGR00913', 196853),
(253128, 'TIGR03793', NULL, 'TOMM_pelo: NHLP leader peptide domain', 77, NULL, 'TIGR03793', 196854),
(253129, 'TIGR00481', NULL, 'TIGR00481: Raf kinase inhibitor-like protein, YbhB/YbcL family', 142, NULL, 'TIGR00481', 196855);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(253130, 'TIGR02345', NULL, 'chap_CCT_eta: T-complex protein 1, eta subunit', 523, NULL, 'TIGR02345', 196856),
(253131, 'TIGR00101', NULL, 'ureG: urease accessory protein UreG', 199, NULL, 'TIGR00101', 196857),
(253132, 'TIGR03939', NULL, 'PGA_TPR_OMP: poly-beta-1,6 N-acetyl-D-glucosamine export porin PgaA', 800, NULL, 'TIGR03939', 196858),
(253133, 'TIGR03472', NULL, 'HpnI: hopanoid biosynthesis associated glycosyl transferase protein HpnI', 373, NULL, 'TIGR03472', 196859),
(253134, 'TIGR03904', NULL, 'SAM_YgiQ: uncharacterized radical SAM protein YgiQ', 558, NULL, 'TIGR03904', 196860),
(253135, 'TIGR02987', NULL, 'met_A_Alw26: type II restriction m6 adenine DNA methyltransferase, Alw26I/Eco31I/Esp3I family', 523, NULL, 'TIGR02987', 196861),
(253136, 'TIGR02522', NULL, 'pilus_cpaD: pilus (Caulobacter type) biogenesis lipoprotein CpaD', 198, NULL, 'TIGR02522', 196862),
(253137, 'TIGR02553', NULL, 'SipD_IpaD_SspD: type III effector protein IpaD/SipD/SspD', 317, NULL, 'TIGR02553', 196863),
(253138, 'TIGR01825', NULL, 'gly_Cac_T_rel: putative pyridoxal phosphate-dependent acyltransferase', 385, NULL, 'TIGR01825', 196864),
(253139, 'TIGR01747', NULL, 'diampropi_NH3ly: diaminopropionate ammonia-lyase family', 376, NULL, 'TIGR01747', 196865),
(253140, 'TIGR01832', NULL, 'kduD: 2-deoxy-D-gluconate 3-dehydrogenase', 248, NULL, 'TIGR01832', 196866),
(253141, 'TIGR00238', NULL, 'TIGR00238: KamA family protein', 331, NULL, 'TIGR00238', 196867),
(253142, 'TIGR01969', NULL, 'minD_arch: cell division ATPase MinD', 251, NULL, 'TIGR01969', 196868),
(253143, 'TIGR00729', NULL, 'TIGR00729: ribonuclease HII', 207, NULL, 'TIGR00729', 196869),
(253144, 'TIGR00814', NULL, 'stp: serine transporter', 397, NULL, 'TIGR00814', 196870),
(253145, 'TIGR04483', NULL, 'D_pro_red_PrdB: D-proline reductase (dithiol), PrdB protein', 238, NULL, 'TIGR04483', 196871),
(253146, 'TIGR00474', NULL, 'selA: L-seryl-tRNA(Sec) selenium transferase', 455, NULL, 'TIGR00474', 196872),
(253147, 'TIGR03892', NULL, 'thiopep_precurs: thiazolylpeptide-type bacteriocin precursor', 44, NULL, 'TIGR03892', 196873),
(253148, 'TIGR00795', NULL, 'lctP: transporter, lactate permease (LctP) family', 530, NULL, 'TIGR00795', 196874),
(253149, 'TIGR02659', NULL, 'TTQ_MADH_Lt: methylamine dehydrogenase (amicyanin) light chain', 186, NULL, 'TIGR02659', 196875),
(253150, 'TIGR03571', NULL, 'lucif_BA3436: luciferase-type oxidoreductase, BA3436 family', 304, NULL, 'TIGR03571', 196876),
(253151, 'TIGR04490', NULL, 'SoxZ_true: thiosulfate oxidation carrier complex protein SoxZ', 98, NULL, 'TIGR04490', 196877),
(253152, 'TIGR00153', NULL, 'TIGR00153: TIGR00153 family protein', 217, NULL, 'TIGR00153', 196878),
(253153, 'TIGR02017', NULL, 'hutG_amidohyd: N-formylglutamate deformylase', 263, NULL, 'TIGR02017', 196879),
(253154, 'TIGR01504', NULL, 'glyox_carbo_lig: glyoxylate carboligase', 589, NULL, 'TIGR01504', 196880),
(253155, 'TIGR03250', NULL, 'PhnAcAld_DH: putative phosphonoacetaldehyde dehydrogenase', 472, NULL, 'TIGR03250', 196881),
(253156, 'TIGR02338', NULL, 'gimC_beta: prefoldin, beta subunit', 110, NULL, 'TIGR02338', 196882),
(253157, 'TIGR04084', NULL, 'rSAM_AF0577: putative peptide-modifying radical SAM enzyme, AF0577 family', 347, NULL, 'TIGR04084', 196883),
(253158, 'TIGR00179', NULL, 'murB: UDP-N-acetylenolpyruvoylglucosamine reductase', 290, NULL, 'TIGR00179', 196884),
(253159, 'TIGR02117', NULL, 'chp_urease_rgn: conserved hypothetical protein', 208, NULL, 'TIGR02117', 196885),
(253160, 'TIGR03581', NULL, 'EF_0839: conserved hypothetical protein EF_0839/AHA_3917', 236, NULL, 'TIGR03581', 196886),
(253161, 'TIGR02597', NULL, 'TIGR02597: TIGR02597 family protein', 363, NULL, 'TIGR02597', 196887),
(253162, 'TIGR02615', NULL, 'spoVE: stage V sporulation protein E', 354, NULL, 'TIGR02615', 196888),
(253163, 'TIGR02943', NULL, 'Sig70_famx1: RNA polymerase sigma-70 factor, TIGR02943 family', 188, NULL, 'TIGR02943', 196889),
(253164, 'TIGR01822', NULL, '2am3keto_CoA: glycine C-acetyltransferase', 393, NULL, 'TIGR01822', 196890),
(253165, 'TIGR02460', NULL, 'osmo_MPGsynth: mannosyl-3-phosphoglycerate synthase', 383, NULL, 'TIGR02460', 196891); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(253166, 'TIGR01959', NULL, 'nuoF_fam: NADH oxidoreductase (quinone), F subunit', 410, NULL, 'TIGR01959', 196892),
(253167, 'TIGR03253', NULL, 'oxalate_frc: formyl-CoA transferase', 416, NULL, 'TIGR03253', 196893),
(253168, 'TIGR00042', NULL, 'TIGR00042: non-canonical purine NTP pyrophosphatase, RdgB/HAM1 family', 184, NULL, 'TIGR00042', 196894),
(253169, 'TIGR03736', NULL, 'PRTRC_ThiF: PRTRC system ThiF family protein', 245, NULL, 'TIGR03736', 196895),
(253170, 'TIGR02445', NULL, 'fadA: acetyl-CoA C-acyltransferase FadA', 385, NULL, 'TIGR02445', 196896),
(253171, 'TIGR01798', NULL, 'cit_synth_I: citrate (Si)-synthase', 412, NULL, 'TIGR01798', 196897),
(253172, 'TIGR04222', NULL, 'near_uncomplex: TIGR04222 domain', 229, NULL, 'TIGR04222', 196898),
(253173, 'TIGR03238', NULL, 'dnd_assoc_3: DNA phosphorothioation-dependent restriction protein DptF', 504, NULL, 'TIGR03238', 196899),
(253174, 'TIGR00540', NULL, 'TPR_hemY_coli: heme biosynthesis-associated TPR protein', 385, NULL, 'TIGR00540', 196900),
(253175, 'TIGR03783', NULL, 'Bac_Flav_CT_G: Bacteroides conjugation system ATPase, TraG family', 829, NULL, 'TIGR03783', 196901),
(253176, 'TIGR04380', NULL, 'myo_inos_iolG: inositol 2-dehydrogenase', 330, NULL, 'TIGR04380', 196902),
(253177, 'TIGR03285', NULL, 'methan_mark_14: putative methanogenesis marker protein 14', 446, NULL, 'TIGR03285', 196903),
(253178, 'TIGR01968', NULL, 'minD_bact: septum site-determining protein MinD', 261, NULL, 'TIGR01968', 196904),
(253179, 'TIGR00692', NULL, 'tdh: L-threonine 3-dehydrogenase', 340, NULL, 'TIGR00692', 196905),
(253180, 'TIGR04037', NULL, 'LLM_duo_CE1759: LLM-partnered FMN reductase, CE1759 family', 199, NULL, 'TIGR04037', 196906),
(253181, 'TIGR01476', NULL, 'chlor_syn_BchG: bacteriochlorophyll/chlorophyll synthetase', 283, NULL, 'TIGR01476', 196907),
(253182, 'TIGR01620', NULL, 'hyp_HI0043: TIGR01620 family protein', 289, NULL, 'TIGR01620', 196908),
(253183, 'TIGR02952', NULL, 'Sig70_famx2: RNA polymerase sigma-70 factor, TIGR02952 family', 170, NULL, 'TIGR02952', 196909),
(253184, 'TIGR02454', NULL, 'ECF_T_CbiQ: cobalt ECF transporter T component CbiQ', 200, NULL, 'TIGR02454', 196910),
(253185, 'TIGR00636', NULL, 'PduO_Nterm: ATP:cob(I)alamin adenosyltransferase', 171, NULL, 'TIGR00636', 196911),
(253186, 'TIGR03101', NULL, 'hydr2_PEP: exosortase A system-associated hydrolase 2', 266, NULL, 'TIGR03101', 196912),
(253187, 'TIGR00194', NULL, 'uvrC: excinuclease ABC subunit C', 574, NULL, 'TIGR00194', 196913),
(253188, 'TIGR02158', NULL, 'PA_CoA_Oxy3: phenylacetate-CoA oxygenase, PaaI subunit', 237, NULL, 'TIGR02158', 196914),
(253189, 'TIGR01122', NULL, 'ilvE_I: branched-chain amino acid aminotransferase', 298, NULL, 'TIGR01122', 196915),
(253190, 'TIGR02021', NULL, 'BchM-ChlM: magnesium protoporphyrin O-methyltransferase', 218, NULL, 'TIGR02021', 196916),
(253191, 'TIGR02984', NULL, 'Sig-70_plancto1: RNA polymerase sigma-70 factor, Planctomycetaceae-specific subfamily 1', 189, NULL, 'TIGR02984', 196917),
(253192, 'TIGR01259', NULL, 'comE: comEA protein', 120, NULL, 'TIGR01259', 196918),
(253193, 'TIGR04318', NULL, 'lacto_ODC_hypo: putative ornithine decarboxylase', 695, NULL, 'TIGR04318', 196919),
(253194, 'TIGR02451', NULL, 'anti_sig_ChrR: anti-sigma factor, putative, ChrR family', 216, NULL, 'TIGR02451', 196920),
(253195, 'TIGR02656', NULL, 'cyanin_plasto: plastocyanin', 99, NULL, 'TIGR02656', 196921),
(253196, 'TIGR03294', NULL, 'FrhG: coenzyme F420 hydrogenase, subunit gamma', 228, NULL, 'TIGR03294', 196922),
(253197, 'TIGR00138', NULL, 'rsmG_gidB: 16S rRNA (guanine(527)-N(7))-methyltransferase RsmG', 183, NULL, 'TIGR00138', 196923),
(253198, 'TIGR01757', NULL, 'Malate-DH_plant: malate dehydrogenase, NADP-dependent', 387, NULL, 'TIGR01757', 196924),
(253199, 'TIGR03777', NULL, 'RPE4: rickettsial palindromic element RPE4 domain', 32, NULL, 'TIGR03777', 196925),
(253200, 'TIGR02126', NULL, 'phgtail_TP901_1: phage major tail protein, TP901-1 family', 135, NULL, 'TIGR02126', 196926),
(253201, 'TIGR02800', NULL, 'propeller_TolB: Tol-Pal system beta propeller repeat protein TolB', 418, NULL, 'TIGR02800', 196927);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(253202, 'TIGR03279', NULL, 'cyano_FeS_chp: putative radical SAM enzyme, TIGR03279 family', 433, NULL, 'TIGR03279', 196928),
(253203, 'TIGR02609', NULL, 'doc_partner: putative addiction module antidote', 74, NULL, 'TIGR02609', 196929),
(253204, 'TIGR00581', NULL, 'moaC: molybdenum cofactor biosynthesis protein C', 148, NULL, 'TIGR00581', 196930),
(253205, 'TIGR01816', NULL, 'sdhA_forward: succinate dehydrogenase, flavoprotein subunit', 584, NULL, 'TIGR01816', 196931),
(253206, 'TIGR01429', NULL, 'AMP_deaminase: AMP deaminase', 611, NULL, 'TIGR01429', 196932),
(253207, 'TIGR03312', NULL, 'Se_sel_red_FAD: probable selenate reductase, FAD-binding subunit', 257, NULL, 'TIGR03312', 196933),
(253208, 'TIGR02884', NULL, 'spore_pdaA: delta-lactam-biosynthetic de-N-acetylase', 224, NULL, 'TIGR02884', 196934),
(253209, 'TIGR01763', NULL, 'MalateDH_bact: malate dehydrogenase, NAD-dependent', 305, NULL, 'TIGR01763', 196935),
(253210, 'TIGR00779', NULL, 'cad: cadmium resistance transporter family protein', 193, NULL, 'TIGR00779', 196936),
(253211, 'TIGR01318', NULL, 'gltD_gamma_fam: glutamate synthase, small subunit', 467, NULL, 'TIGR01318', 196937),
(253212, 'TIGR04087', NULL, 'YqxM_for_SipW: YqxM protein', 186, NULL, 'TIGR04087', 196938),
(253213, 'TIGR03640', NULL, 'cas1_DVULG: CRISPR-associated endonuclease Cas1, subtype I-C/DVULG', 340, NULL, 'TIGR03640', 196939),
(253214, 'TIGR01265', NULL, 'tyr_nico_aTase: tyrosine/nicotianamine family aminotransferase', 403, NULL, 'TIGR01265', 196940),
(253215, 'TIGR02937', NULL, 'sigma70-ECF: RNA polymerase sigma factor, sigma-70 family', 165, NULL, 'TIGR02937', 196941),
(253216, 'TIGR03083', NULL, 'TIGR03083: uncharacterized Actinobacterial protein TIGR03083', 202, NULL, 'TIGR03083', 196942),
(253217, 'TIGR01324', NULL, 'cysta_beta_ly_B: cystathionine beta-lyase', 377, NULL, 'TIGR01324', 196943),
(253218, 'TIGR02099', NULL, 'TIGR02099: TIGR02099 family protein', 1260, NULL, 'TIGR02099', 196944),
(253219, 'TIGR03142', NULL, 'cytochro_ccmI: cytochrome c-type biogenesis protein CcmI', 118, NULL, 'TIGR03142', 196945),
(253220, 'TIGR04480', NULL, 'D_pro_red_PrdA: D-proline reductase (dithiol), PrdA proprotein', 587, NULL, 'TIGR04480', 196946),
(253221, 'TIGR03683', NULL, 'A-tRNA_syn_arch: alanine--tRNA ligase', 902, NULL, 'TIGR03683', 196947),
(253222, 'TIGR03185', NULL, 'DNA_S_dndD: DNA sulfur modification protein DndD', 650, NULL, 'TIGR03185', 196948),
(253223, 'TIGR02410', NULL, 'carnitine_TMLD: trimethyllysine dioxygenase', 362, NULL, 'TIGR02410', 196949),
(253224, 'TIGR02547', NULL, 'casA_cse1: CRISPR type I-E/ECOLI-associated protein CasA/Cse1', 504, NULL, 'TIGR02547', 196950),
(253225, 'TIGR02665', NULL, 'molyb_mobA: molybdenum cofactor guanylyltransferase', 186, NULL, 'TIGR02665', 196951),
(253226, 'TIGR02049', NULL, 'gshA_ferroox: glutamate--cysteine ligase', 403, NULL, 'TIGR02049', 196952),
(253227, 'TIGR04324', NULL, 'SpoChoClust_2: sporadic carbohydrate cluster 2OG-Fe(II) oxygenase', 248, NULL, 'TIGR04324', 196953),
(253228, 'TIGR01611', NULL, 'tail_tube: phage major tail tube protein', 168, NULL, 'TIGR01611', 196954),
(253229, 'TIGR04309', NULL, 'amanitin: amanitin/phalloidin family toxin', 33, NULL, 'TIGR04309', 196955),
(253230, 'TIGR01857', NULL, 'FGAM-synthase: phosphoribosylformylglycinamidine synthase', 1239, NULL, 'TIGR01857', 196956),
(253231, 'TIGR02167', NULL, 'Liste_lipo_26: bacterial surface protein 26-residue repeat', 26, NULL, 'TIGR02167', 196957),
(253232, 'TIGR03634', NULL, 'arc_protsome_B: proteasome endopeptidase complex, archaeal, beta subunit', 185, NULL, 'TIGR03634', 196958),
(253233, 'TIGR04427', NULL, 'PLP_DesI: dTDP-4-dehydro-6-deoxyglucose aminotransferase', 390, NULL, 'TIGR04427', 196959),
(253234, 'TIGR03449', NULL, 'mycothiol_MshA: D-inositol-3-phosphate glycosyltransferase', 406, NULL, 'TIGR03449', 196960),
(253235, 'TIGR03353', NULL, 'VI_chp_4: type VI secretion protein, VC_A0114 family', 442, NULL, 'TIGR03353', 196961),
(253236, 'TIGR01859', NULL, 'fruc_bis_ald_: fructose-1,6-bisphosphate aldolase, class II', 282, NULL, 'TIGR01859', 196962);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(253237, 'TIGR04371', NULL, 'methyltran_NanM: putative sugar O-methyltransferase', 273, NULL, 'TIGR04371', 196963),
(253238, 'TIGR00253', NULL, 'RNA_bind_YhbY: putative RNA-binding protein, YhbY family', 96, NULL, 'TIGR00253', 196964),
(253239, 'TIGR02386', NULL, 'rpoC_TIGR: DNA-directed RNA polymerase, beta'' subunit', 1147, NULL, 'TIGR02386', 196965),
(253240, 'TIGR00751', NULL, 'menA: 1,4-dihydroxy-2-naphthoate octaprenyltransferase', 284, NULL, 'TIGR00751', 196966),
(253241, 'TIGR01722', NULL, 'MMSDH: methylmalonate-semialdehyde dehydrogenase (acylating)', 477, NULL, 'TIGR01722', 196967),
(253242, 'TIGR02828', NULL, 'TIGR02828: putative membrane fusion protein', 188, NULL, 'TIGR02828', 196968),
(253243, 'TIGR00888', NULL, 'guaA_Nterm: GMP synthase (glutamine-hydrolyzing), N-terminal domain', 188, NULL, 'TIGR00888', 196969),
(253244, 'TIGR01231', NULL, 'lacC: tagatose-6-phosphate kinase', 310, NULL, 'TIGR01231', 196970),
(253245, 'TIGR01368', NULL, 'CPSaseIIsmall: carbamoyl-phosphate synthase, small subunit', 361, NULL, 'TIGR01368', 196971),
(253246, 'TIGR01401', NULL, 'fliR_like_III: type III secretion apparatus protein SpaR/YscT/HrcT', 253, NULL, 'TIGR01401', 196972),
(253247, 'TIGR01224', NULL, 'hutI: imidazolonepropionase', 377, NULL, 'TIGR01224', 196973),
(253248, 'TIGR02556', NULL, 'cas_TM1802: CRISPR-associated protein, TM1802 family', 571, NULL, 'TIGR02556', 196974),
(253249, 'TIGR03851', NULL, 'chitin_NgcE: carbohydrate ABC transporter, N-acetylglucosamine/diacetylchitobiose-binding protein', 450, NULL, 'TIGR03851', 196975),
(253250, 'TIGR03674', NULL, 'fen_arch: flap structure-specific endonuclease', 338, NULL, 'TIGR03674', 196976),
(253251, 'TIGR01087', NULL, 'murD: UDP-N-acetylmuramoylalanine--D-glutamate ligase', 441, NULL, 'TIGR01087', 196977),
(253252, 'TIGR01748', NULL, 'rhaA: L-rhamnose isomerase', 414, NULL, 'TIGR01748', 196978),
(253253, 'TIGR02058', NULL, 'lin0512_fam: conserved hypothetical protein', 117, NULL, 'TIGR02058', 196979),
(253254, 'TIGR03792', NULL, 'TIGR03792: uncharacterized cyanobacterial protein, TIGR03792 family', 90, NULL, 'TIGR03792', 196980),
(253255, 'TIGR01529', NULL, 'argR_whole: arginine repressor', 146, NULL, 'TIGR01529', 196981),
(253256, 'TIGR01866', NULL, 'cas_Csn2: CRISPR type II-A/NMEMI-associated protein Csn2', 222, NULL, 'TIGR01866', 196982),
(253257, 'TIGR02554', NULL, 'PrgH: type III secretion apparatus protein PrgH/EprH', 389, NULL, 'TIGR02554', 196983),
(253258, 'TIGR01689', NULL, 'EcbF-BcbF: capsule biosynthesis phosphatase', 126, NULL, 'TIGR01689', 196984),
(253259, 'TIGR03192', NULL, 'benz_CoA_bzdQ: benzoyl-CoA reductase, bzd-type, Q subunit', 293, NULL, 'TIGR03192', 196985),
(253260, 'TIGR03572', NULL, 'WbuZ: glycosyl amidation-associated protein WbuZ', 232, NULL, 'TIGR03572', 196986),
(253261, 'TIGR00914', NULL, '2A0601: heavy metal efflux pump, CzcA family', 1051, NULL, 'TIGR00914', 196987),
(253262, 'TIGR00964', NULL, 'secE_bact: preprotein translocase, SecE subunit', 57, NULL, 'TIGR00964', 196988),
(253263, 'TIGR03690', NULL, '20S_bact_beta: proteasome, beta subunit', 222, NULL, 'TIGR03690', 196989),
(253264, 'TIGR00001', NULL, 'rpmI_bact: ribosomal protein bL35', 63, NULL, 'TIGR00001', 196990),
(253265, 'TIGR00534', NULL, 'OpcA: glucose-6-phosphate dehydrogenase assembly protein OpcA', 313, NULL, 'TIGR00534', 196991),
(253266, 'TIGR01918', NULL, 'various_sel_PB: selenoprotein B, glycine/betaine/sarcosine/D-proline reductase family', 431, NULL, 'TIGR01918', 196992),
(253267, 'TIGR02226', NULL, 'two_anch: N-terminal double-transmembrane domain', 82, NULL, 'TIGR02226', 196993),
(253268, 'TIGR01380', NULL, 'glut_syn: glutathione synthase', 312, NULL, 'TIGR01380', 196994),
(253269, 'TIGR02507', NULL, 'MtrF: tetrahydromethanopterin S-methyltransferase, F subunit', 65, NULL, 'TIGR02507', 196995),
(253270, 'TIGR00206', NULL, 'fliF: flagellar M-ring protein FliF', 555, NULL, 'TIGR00206', 196996),
(253271, 'TIGR01538', NULL, 'portal_SPP1: phage portal protein, SPP1 family', 426, NULL, 'TIGR01538', 196997),
(253272, 'TIGR00704', NULL, 'NaPi_cotrn_rel: Na/Pi-cotransporter II-related protein', 308, NULL, 'TIGR00704', 196998);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(253273, 'TIGR03742', NULL, 'PRTRC_F: PRTRC system protein F', 343, NULL, 'TIGR03742', 196999),
(253274, 'TIGR00185', NULL, 'tRNA_yibK_trmL: tRNA (cytidine(34)-2''-O)-methyltransferase', 154, NULL, 'TIGR00185', 197000),
(253275, 'TIGR01333', NULL, 'cyt_b559_beta: cytochrome b559, beta subunit', 43, NULL, 'TIGR01333', 197001),
(253276, 'TIGR01713', NULL, 'typeII_sec_gspC: type II secretion system protein C', 259, NULL, 'TIGR01713', 197002),
(253277, 'TIGR04418', NULL, 'PriB_gamma: primosomal replication protein PriB', 96, NULL, 'TIGR04418', 197003),
(253278, 'TIGR03499', NULL, 'FlhF: flagellar biosynthesis protein FlhF', 286, NULL, 'TIGR03499', 197004),
(253279, 'TIGR03879', NULL, 'near_KaiC_dom: probable regulatory domain', 91, NULL, 'TIGR03879', 197005),
(253280, 'TIGR02488', NULL, 'flgG_G_neg: flagellar basal-body rod protein FlgG', 259, NULL, 'TIGR02488', 197006),
(253281, 'TIGR02724', NULL, 'phenyl_P_beta: phenylphosphate carboxylase, beta subunit', 472, NULL, 'TIGR02724', 197007),
(253282, 'TIGR03362', NULL, 'VI_chp_7: type VI secretion-associated protein, VC_A0119 family', 476, NULL, 'TIGR03362', 197008),
(253283, 'TIGR02351', NULL, 'thiH: thiazole biosynthesis protein ThiH', 366, NULL, 'TIGR02351', 197009),
(253284, 'TIGR01831', NULL, 'fabG_rel: putative 3-oxoacyl-(acyl-carrier-protein) reductase', 239, NULL, 'TIGR01831', 197010),
(253285, 'TIGR00683', NULL, 'nanA: N-acetylneuraminate lyase', 293, NULL, 'TIGR00683', 197011),
(253286, 'TIGR04078', NULL, 'rSAM_yydG: peptide modification radical SAM enzyme, YydG family', 309, NULL, 'TIGR04078', 197012),
(253287, 'TIGR04529', NULL, 'MTB_hemophore: hemophore-related protein, Rv0203/Rv1174c family', 77, NULL, 'TIGR04529', 197013),
(253288, 'TIGR01661', NULL, 'ELAV_HUD_SF: ELAV/HuD family splicing factor', 351, NULL, 'TIGR01661', 197014),
(253289, 'TIGR03244', NULL, 'arg_catab_AstA: arginine N-succinyltransferase', 336, NULL, 'TIGR03244', 197015),
(253290, 'TIGR03525', NULL, 'GldK: gliding motility-associated lipoprotein GldK', 449, NULL, 'TIGR03525', 197016),
(253291, 'TIGR02986', NULL, 'restrict_Alw26I: type II restriction endonuclease, Alw26I/Eco31I/Esp3I family', 425, NULL, 'TIGR02986', 197017),
(253292, 'TIGR02993', NULL, 'ectoine_eutD: ectoine utilization protein EutD', 391, NULL, 'TIGR02993', 197018),
(253293, 'TIGR04359', NULL, 'TrbK_RP4: entry exclusion lipoprotein TrbK', 67, NULL, 'TIGR04359', 197019),
(253294, 'TIGR01720', NULL, 'NRPS-para261: non-ribosomal peptide synthase domain TIGR01720', 155, NULL, 'TIGR01720', 197020),
(253295, 'TIGR02030', NULL, 'BchI-ChlI: magnesium chelatase ATPase subunit I', 337, NULL, 'TIGR02030', 197021),
(253296, 'TIGR02495', NULL, 'NrdG2: anaerobic ribonucleoside-triphosphate reductase activating protein', 193, NULL, 'TIGR02495', 197022),
(253297, 'TIGR02875', NULL, 'spore_0_A: sporulation transcription factor Spo0A', 262, NULL, 'TIGR02875', 197023),
(253298, 'TIGR01060', NULL, 'eno: phosphopyruvate hydratase', 425, NULL, 'TIGR01060', 197024),
(253299, 'TIGR00091', NULL, 'TIGR00091: tRNA (guanine-N(7)-)-methyltransferase', 194, NULL, 'TIGR00091', 197025),
(253300, 'TIGR01197', NULL, 'nramp: metal ion transporter, metal ion (Mn2+/Fe2+) transporter (Nramp) family', 390, NULL, 'TIGR01197', 197026),
(253301, 'TIGR01940', NULL, 'nqrE: NADH:ubiquinone oxidoreductase, Na(+)-translocating, E subunit', 200, NULL, 'TIGR01940', 197027),
(253302, 'TIGR03135', NULL, 'malonate_mdcG: malonate decarboxylase holo-[acyl-carrier-protein] synthase', 205, NULL, 'TIGR03135', 197028),
(253303, 'TIGR00574', NULL, 'dnl1: DNA ligase I, ATP-dependent (dnl1)', 527, NULL, 'TIGR00574', 197029),
(253304, 'TIGR03204', NULL, 'pimC_large: pimeloyl-CoA dehydrogenase, large subunit', 395, NULL, 'TIGR03204', 197030),
(253305, 'TIGR03961', NULL, 'rSAM_PTO1314: archaeal radical SAM protein, PTO1314 family', 332, NULL, 'TIGR03961', 197031),
(253306, 'TIGR00643', NULL, 'recG: ATP-dependent DNA helicase RecG', 629, NULL, 'TIGR00643', 197032),
(253307, 'TIGR02494', NULL, 'PFLE_PFLC: glycyl-radical enzyme activating protein', 293, NULL, 'TIGR02494', 197033);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(253308, 'TIGR01695', NULL, 'murJ_mviN: murein biosynthesis integral membrane protein MurJ', 506, NULL, 'TIGR01695', 197034),
(253309, 'TIGR01579', NULL, 'MiaB-like-C: MiaB-like tRNA modifying enzyme', 416, NULL, 'TIGR01579', 197035),
(253310, 'TIGR04003', NULL, 'rSAM_BssD: [benzylsuccinate synthase]-activating enzyme', 314, NULL, 'TIGR04003', 197036),
(253311, 'TIGR03251', NULL, 'LAT_fam: L-lysine 6-transaminase', 433, NULL, 'TIGR03251', 197037),
(253312, 'TIGR03839', NULL, 'termin_org_P1: adhesin P1', 1425, NULL, 'TIGR03839', 197038),
(253313, 'TIGR01770', NULL, 'NDH_I_N: proton-translocating NADH-quinone oxidoreductase, chain N', 472, NULL, 'TIGR01770', 197039),
(253314, 'TIGR00315', NULL, 'cdhB: CO dehydrogenase/acetyl-CoA synthase complex, epsilon subunit', 162, NULL, 'TIGR00315', 197040),
(253315, 'TIGR03845', NULL, 'sulfopyru_alph: sulfopyruvate decarboxylase, alpha subunit', 160, NULL, 'TIGR03845', 197041),
(253316, 'TIGR00786', NULL, 'dctM: TRAP transporter, DctM subunit', 405, NULL, 'TIGR00786', 197042),
(253317, 'TIGR02336', NULL, 'TIGR02336: 1,3-beta-galactosyl-N-acetylhexosamine phosphorylase', 719, NULL, 'TIGR02336', 197043),
(253318, 'TIGR03019', NULL, 'pepcterm_femAB: FemAB-related protein, PEP-CTERM system-associated', 330, NULL, 'TIGR03019', 197044),
(253319, 'TIGR00813', NULL, 'sss: transporter, solute:sodium symporter (SSS) family', 411, NULL, 'TIGR00813', 197045),
(253320, 'TIGR01230', NULL, 'agmatinase: agmatinase', 275, NULL, 'TIGR01230', 197046),
(253321, 'TIGR00321', NULL, 'dhys: deoxyhypusine synthase', 301, NULL, 'TIGR00321', 197047),
(253322, 'TIGR04262', NULL, 'orph_peri_GRRM: extracellular substrate-binding orphan protein, GRRM family', 257, NULL, 'TIGR04262', 197048),
(253323, 'TIGR01427', NULL, 'PTS_IIC_fructo: PTS system, Fru family, IIC component', 346, NULL, 'TIGR01427', 197049),
(253324, 'TIGR00151', NULL, 'ispF: 2-C-methyl-D-erythritol 2,4-cyclodiphosphate synthase', 155, NULL, 'TIGR00151', 197050),
(253325, 'TIGR04501', NULL, 'microcomp_PduB: microcompartment protein PduB', 225, NULL, 'TIGR04501', 197051),
(253326, 'TIGR01925', NULL, 'spIIAB: anti-sigma F factor', 137, NULL, 'TIGR01925', 197052),
(253327, 'TIGR03347', NULL, 'VI_chp_1: type VI secretion protein, VC_A0111 family', 300, NULL, 'TIGR03347', 197053),
(253328, 'TIGR02834', NULL, 'spo_ytxC: putative sporulation protein YtxC', 276, NULL, 'TIGR02834', 197054),
(253329, 'TIGR04256', NULL, 'GxxExxY: GxxExxY protein', 116, NULL, 'TIGR04256', 197055),
(253330, 'TIGR04331', NULL, 'o_ant_LIC12162: putative transferase, LIC12162 family', 585, NULL, 'TIGR04331', 197056),
(253331, 'TIGR01502', NULL, 'B_methylAsp_ase: methylaspartate ammonia-lyase', 408, NULL, 'TIGR01502', 197057),
(253332, 'TIGR02124', NULL, 'hypE: hydrogenase expression/formation protein HypE', 332, NULL, 'TIGR02124', 197058),
(253333, 'TIGR03627', NULL, 'uS9_arch: ribosomal protein uS9', 130, NULL, 'TIGR03627', 197059),
(253334, 'TIGR00568', NULL, 'alkb: alkylated DNA repair protein AlkB', 173, NULL, 'TIGR00568', 197060),
(253335, 'TIGR03920', NULL, 'T7SS_EccD: type VII secretion integral membrane protein EccD', 455, NULL, 'TIGR03920', 197061),
(253336, 'TIGR04146', NULL, 'GGGPS_Afulg: phosphoglycerol geranylgeranyltransferase', 221, NULL, 'TIGR04146', 197062),
(253337, 'TIGR02506', NULL, 'NrdE_NrdA: ribonucleoside-diphosphate reductase, alpha subunit', 616, NULL, 'TIGR02506', 197063),
(253338, 'TIGR01639', NULL, 'P_fal_TIGR01639: Plasmodium falciparum uncharacterized domain TIGR01639', 61, NULL, 'TIGR01639', 197064),
(253339, 'TIGR02622', NULL, 'CDP_4_6_dhtase: CDP-glucose 4,6-dehydratase', 352, NULL, 'TIGR02622', 197065),
(253340, 'TIGR02936', NULL, 'fdxN_nitrog: ferredoxin III, nif-specific', 91, NULL, 'TIGR02936', 197066),
(253341, 'TIGR00288', NULL, 'TIGR00288: TIGR00288 family protein', 160, NULL, 'TIGR00288', 197067),
(253342, 'TIGR01919', NULL, 'hisA-trpF: bifunctional HisA/TrpF protein', 243, NULL, 'TIGR01919', 197068),
(253343, 'TIGR02774', NULL, 'rexB_recomb: ATP-dependent nuclease subunit B', 1076, NULL, 'TIGR02774', 197069);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(253344, 'TIGR00103', NULL, 'DNA_YbaB_EbfC: DNA-binding protein, YbaB/EbfC family', 104, NULL, 'TIGR00103', 197070),
(253345, 'TIGR04160', NULL, 'methbact_MbnC: methanobactin biosynthesis cassette protein MbnC', 87, NULL, 'TIGR04160', 197071),
(253346, 'TIGR02008', NULL, 'fdx_plant: ferredoxin [2Fe-2S]', 97, NULL, 'TIGR02008', 197072),
(253347, 'TIGR04468', NULL, 'arg_2_3_am_muta: arginine 2,3-aminomutase', 351, NULL, 'TIGR04468', 197073),
(253348, 'TIGR03955', NULL, 'rSAM_HydG: [FeFe] hydrogenase H-cluster radical SAM maturase HydG', 470, NULL, 'TIGR03955', 197074),
(253349, 'TIGR01809', NULL, 'Shik-DH-AROM: shikimate-5-dehydrogenase', 282, NULL, 'TIGR01809', 197075),
(253350, 'TIGR04330', NULL, 'cas_Cpf1: CRISPR-associated protein Cpf1, subtype PREFRAN', 1288, NULL, 'TIGR04330', 197076),
(253351, 'TIGR01271', NULL, 'CFTR_protein: cystic fibrosis transmembrane conductor regulator (CFTR)', 1490, NULL, 'TIGR01271', 197077),
(253352, 'TIGR03804', NULL, 'para_beta_helix: parallel beta-helix repeat', 44, NULL, 'TIGR03804', 197078),
(253353, 'TIGR00745', NULL, 'apbA_panE: 2-dehydropantoate 2-reductase', 305, NULL, 'TIGR00745', 197079),
(253354, 'TIGR02301', NULL, 'TIGR02301: TIGR02301 family protein', 121, NULL, 'TIGR02301', 197080),
(253355, 'TIGR04467', NULL, 'CGA_synthase: hydroxymethylcytosylglucuronate/cytosylglucuronate synthase', 382, NULL, 'TIGR04467', 197081),
(253356, 'TIGR04474', NULL, 'tcm_partner: three-Cys-motif partner protein', 263, NULL, 'TIGR04474', 197082),
(253357, 'TIGR00458', NULL, 'aspS_nondisc: aspartate--tRNA(Asn) ligase', 428, NULL, 'TIGR00458', 197083),
(253358, 'TIGR02276', NULL, 'beta_rpt_yvtn: 40-residue YVTN family beta-propeller repeat', 42, NULL, 'TIGR02276', 197084),
(253359, 'TIGR03306', NULL, 'altF1_A: alternate F1F0 ATPase, F0 subunit A', 217, NULL, 'TIGR03306', 197085),
(253360, 'TIGR03129', NULL, 'one_C_dehyd_B: formylmethanofuran dehydrogenase subunit B', 421, NULL, 'TIGR03129', 197086),
(253361, 'TIGR03633', NULL, 'arc_protsome_A: proteasome endopeptidase complex, archaeal, alpha subunit', 230, NULL, 'TIGR03633', 197087),
(253362, 'TIGR00110', NULL, 'ilvD: dihydroxy-acid dehydratase', 543, NULL, 'TIGR00110', 197088),
(253363, 'TIGR01442', NULL, 'SASP_gamma: small, acid-soluble spore protein, gamma-type', 86, NULL, 'TIGR01442', 197089),
(253364, 'TIGR04297', NULL, 'thauma_sortase: thaumarchaeosortase', 307, NULL, 'TIGR04297', 197090),
(253365, 'TIGR00431', NULL, 'TruB: tRNA pseudouridine(55) synthase', 210, NULL, 'TIGR00431', 197091),
(253366, 'TIGR02282', NULL, 'MltB: lytic murein transglycosylase B', 290, NULL, 'TIGR02282', 197092),
(253367, 'TIGR03463', NULL, 'osq_cycl: 2,3-oxidosqualene cyclase', 634, NULL, 'TIGR03463', 197093),
(253368, 'TIGR03668', NULL, 'Rv0121_F420: PPOX class probable F420-dependent enzyme, Rv0121 family', 141, NULL, 'TIGR03668', 197094),
(253369, 'TIGR02513', NULL, 'type_III_yscB: type III secretion system chaperone, YscB family', 140, NULL, 'TIGR02513', 197095),
(253370, 'TIGR00472', NULL, 'pheT_bact: phenylalanine--tRNA ligase, beta subunit', 798, NULL, 'TIGR00472', 197096),
(253371, 'TIGR03531', NULL, 'selenium_SpcS: O-phosphoseryl-tRNA(Sec) selenium transferase', 444, NULL, 'TIGR03531', 197097),
(253372, 'TIGR00970', NULL, 'leuA_yeast: 2-isopropylmalate synthase', 564, NULL, 'TIGR00970', 197098),
(253373, 'TIGR02616', NULL, 'tnaC_leader: tryptophanase leader peptide', 22, NULL, 'TIGR02616', 197099),
(253374, 'TIGR02064', NULL, 'dsrA: sulfite reductase, dissimilatory-type alpha subunit', 402, NULL, 'TIGR02064', 197100),
(253375, 'TIGR03082', NULL, 'Gneg_AbrB_dup: membrane protein AbrB duplication', 157, NULL, 'TIGR03082', 197101),
(253376, 'TIGR03203', NULL, 'pimD_small: pimeloyl-CoA dehydrogenase, small subunit', 378, NULL, 'TIGR03203', 197102),
(253377, 'TIGR02890', NULL, 'bacill_yteA: regulatory protein, yteA family', 159, NULL, 'TIGR02890', 197103),
(253378, 'TIGR00247', NULL, 'TIGR00247: conserved hypothetical protein, YceG family', 347, NULL, 'TIGR00247', 197104),
(253379, 'TIGR04358', NULL, 'XXXCH_domain: XXXCH domain', 90, NULL, 'TIGR04358', 197105);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(253380, 'TIGR01299', NULL, 'synapt_SV2: synaptic vesicle protein SV2', 742, NULL, 'TIGR01299', 197106),
(253381, 'TIGR00028', NULL, 'Mtu_PIN_fam: toxin-antitoxin system PIN domain toxin', 143, NULL, 'TIGR00028', 197107),
(253382, 'TIGR02180', NULL, 'GRX_euk: glutaredoxin', 84, NULL, 'TIGR02180', 197108),
(253383, 'TIGR04188', NULL, 'methyltr_grsp: methyltransferase, ATP-grasp peptide maturase system', 363, NULL, 'TIGR04188', 197109),
(253384, 'TIGR03033', NULL, 'phage_rel_nuc: putative phage-type endonuclease', 153, NULL, 'TIGR03033', 197110),
(253385, 'TIGR01374', NULL, 'soxD: sarcosine oxidase, delta subunit family', 83, NULL, 'TIGR01374', 197111),
(253386, 'TIGR01490', NULL, 'HAD-SF-IB-hyp1: HAD hydrolase, family IB', 202, NULL, 'TIGR01490', 197112),
(253387, 'TIGR00144', NULL, 'beta_RFAP_syn: beta-ribofuranosylaminobenzene 5''-phosphate synthase family', 325, NULL, 'TIGR00144', 197113),
(253388, 'TIGR02392', NULL, 'rpoH_proteo: alternative sigma factor RpoH', 270, NULL, 'TIGR02392', 197114),
(253389, 'TIGR01660', NULL, 'narH: nitrate reductase, beta subunit', 492, NULL, 'TIGR01660', 197115),
(253390, 'TIGR01797', NULL, 'CM_P_1: chorismate mutase', 83, NULL, 'TIGR01797', 197116),
(253391, 'TIGR03415', NULL, 'ABC_choXWV_ATP: choline ABC transporter, ATP-binding protein', 382, NULL, 'TIGR03415', 197117),
(253392, 'TIGR00642', NULL, 'mmCoA_mut_beta: methylmalonyl-CoA mutase, small subunit', 620, NULL, 'TIGR00642', 197118),
(253393, 'TIGR04433', NULL, 'UrcA_uranyl: UrcA family protein', 92, NULL, 'TIGR04433', 197119),
(253394, 'TIGR03913', NULL, 'rad_SAM_trio: Y_X(10)_GDL-associated radical SAM protein', 477, NULL, 'TIGR03913', 197120),
(253395, 'TIGR02015', NULL, 'BchY: chlorophyllide reductase subunit Y', 422, NULL, 'TIGR02015', 197121),
(253396, 'TIGR01162', NULL, 'purE: phosphoribosylaminoimidazole carboxylase, catalytic subunit', 156, NULL, 'TIGR01162', 197122),
(253397, 'TIGR03743', NULL, 'SXT_TraD: conjugative coupling factor TraD, SXT/TOL subfamily', 636, NULL, 'TIGR03743', 197123),
(253398, 'TIGR02071', NULL, 'PBP_1b: penicillin-binding protein 1B', 729, NULL, 'TIGR02071', 197124),
(253399, 'TIGR03422', NULL, 'mito_frataxin: frataxin', 100, NULL, 'TIGR03422', 197125),
(253400, 'TIGR04249', NULL, 'SCM_chp_ScmC: SynChlorMet cassette protein ScmC', 292, NULL, 'TIGR04249', 197126),
(253401, 'TIGR00533', NULL, 'HMG_CoA_R_NADP: hydroxymethylglutaryl-CoA reductase (NADPH)', 402, NULL, 'TIGR00533', 197127),
(253402, 'TIGR01981', NULL, 'sufD: FeS assembly protein SufD', 275, NULL, 'TIGR01981', 197128),
(253403, 'TIGR03524', NULL, 'GldJ: gliding motility-associated lipoprotein GldJ', 559, NULL, 'TIGR03524', 197129),
(253404, 'TIGR01209', NULL, 'TIGR01209: RNA ligase, Pab1020 family', 375, NULL, 'TIGR01209', 197130),
(253405, 'TIGR04542', NULL, 'GMC_mycofac_2: GMC family mycofactocin-associated oxidreductase', 425, NULL, 'TIGR04542', 197131),
(253406, 'TIGR01688', NULL, 'dltC: D-alanine--poly(phosphoribitol) ligase, subunit 2', 73, NULL, 'TIGR01688', 197132),
(253407, 'TIGR02173', NULL, 'cyt_kin_arch: putative cytidylate kinase', 169, NULL, 'TIGR02173', 197133),
(253408, 'TIGR02902', NULL, 'spore_lonB: ATP-dependent protease LonB', 531, NULL, 'TIGR02902', 197134),
(253409, 'TIGR01551', NULL, 'major_capsid_P2: phage major capsid protein, P2 family', 326, NULL, 'TIGR01551', 197135),
(253410, 'TIGR02227', NULL, 'sigpep_I_bact: signal peptidase I', 162, NULL, 'TIGR02227', 197136),
(253411, 'TIGR03210', NULL, 'badI: 2-ketocyclohexanecarboxyl-CoA hydrolase', 256, NULL, 'TIGR03210', 197137),
(253412, 'TIGR04044', NULL, 'MSMEG_0572_fam: MSMEG_0572 family protein', 159, NULL, 'TIGR04044', 197138),
(253413, 'TIGR04365', NULL, 'spare_glycyl: autonomous glycyl radical cofactor GrcA', 126, NULL, 'TIGR04365', 197139),
(253414, 'TIGR02404', NULL, 'trehalos_R_Bsub: trehalose operon repressor', 233, NULL, 'TIGR02404', 197140),
(253415, 'TIGR00861', NULL, 'MIP: MIP family channel proteins', 224, NULL, 'TIGR00861', 197141),
(253416, 'TIGR02725', NULL, 'phenyl_P_gamma: phenylphosphate carboxylase, gamma subunit', 84, NULL, 'TIGR02725', 197142);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(253417, 'TIGR01053', NULL, 'LSD1: zinc finger domain, LSD1 subclass', 31, NULL, 'TIGR01053', 197143),
(253418, 'TIGR03559', NULL, 'F420_Rv3520c: probable F420-dependent oxidoreductase, Rv3520c family', 325, NULL, 'TIGR03559', 197144),
(253419, 'TIGR01367', NULL, 'pyrE_Therm: orotate phosphoribosyltransferase', 187, NULL, 'TIGR01367', 197145),
(253420, 'TIGR00212', NULL, 'hemC: hydroxymethylbilane synthase', 293, NULL, 'TIGR00212', 197146),
(253421, 'TIGR03852', NULL, 'sucrose_gtfA: sucrose phosphorylase', 470, NULL, 'TIGR03852', 197147),
(253422, 'TIGR00363', NULL, 'TIGR00363: lipoprotein, YaeC family', 258, NULL, 'TIGR00363', 197148),
(253423, 'TIGR00854', NULL, 'pts-sorbose: PTS system, mannose/fructose/sorbose family, IIB component', 150, NULL, 'TIGR00854', 197149),
(253424, 'TIGR04221', NULL, 'SecA2_Mycobac: accessory Sec system translocase SecA2', 762, NULL, 'TIGR04221', 197150),
(253425, 'TIGR01046', NULL, 'uS10_euk_arch: ribosomal protein uS10', 99, NULL, 'TIGR01046', 197151),
(253426, 'TIGR01707', NULL, 'gspI: type II secretion system protein I', 101, NULL, 'TIGR01707', 197152),
(253427, 'TIGR02718', NULL, 'sider_RhtX_FptX: siderophore transporter, RhtX/FptX family', 390, NULL, 'TIGR02718', 197153),
(253428, 'TIGR03191', NULL, 'benz_CoA_bzdO: benzoyl-CoA reductase, bzd-type, O subunit', 430, NULL, 'TIGR03191', 197154),
(253429, 'TIGR00035', NULL, 'asp_race: aspartate racemase', 236, NULL, 'TIGR00035', 197155),
(253430, 'TIGR04051', NULL, 'rSAM_NirJ: heme d1 biosynthesis radical SAM protein NirJ', 354, NULL, 'TIGR04051', 197156),
(253431, 'TIGR00677', NULL, 'fadh2_euk: methylenetetrahydrofolate reductase', 281, NULL, 'TIGR00677', 197157),
(253432, 'TIGR00998', NULL, '8a0101: efflux pump membrane protein', 334, NULL, 'TIGR00998', 197158),
(253433, 'TIGR00802', NULL, 'nico: transition metal uptake transporter, Ni2+-Co2+ transporter (NiCoT) family', 281, NULL, 'TIGR00802', 197159),
(253434, 'TIGR01440', NULL, 'TIGR01440: TIGR01440 family protein', 172, NULL, 'TIGR01440', 197160),
(253435, 'TIGR01697', NULL, 'PNPH-PUNA-XAPA: inosine/guanosine/xanthosine phosphorylase family', 247, NULL, 'TIGR01697', 197161),
(253436, 'TIGR01320', NULL, 'mal_quin_oxido: malate dehydrogenase (acceptor)', 482, NULL, 'TIGR01320', 197162),
(253437, 'TIGR04018', NULL, 'Bthiol_YpdA: putative bacillithiol system oxidoreductase, YpdA family', 316, NULL, 'TIGR04018', 197163),
(253438, 'TIGR01200', NULL, 'GLPGLI: GLPGLI family protein', 229, NULL, 'TIGR01200', 197164),
(253439, 'TIGR03787', NULL, 'marine_sort_RR: proteobacterial dedicated sortase system response regulator', 227, NULL, 'TIGR03787', 197165),
(253440, 'TIGR04121', NULL, 'DEXH_lig_assoc: DEXH box helicase, DNA ligase-associated', 804, NULL, 'TIGR04121', 197166),
(253441, 'TIGR03410', NULL, 'urea_trans_UrtE: urea ABC transporter, ATP-binding protein UrtE', 230, NULL, 'TIGR03410', 197167),
(253442, 'TIGR04481', NULL, 'PR_assoc_PrdC: proline reductase-associated electron transfer protein PrdC', 425, NULL, 'TIGR04481', 197168),
(253443, 'TIGR02031', NULL, 'BchD-ChlD: magnesium chelatase ATPase subunit D', 608, NULL, 'TIGR02031', 197169),
(253444, 'TIGR04361', NULL, 'TrbK_Ti: entry exclusion protein TrbK', 64, NULL, 'TIGR04361', 197170),
(253445, 'TIGR03603', NULL, 'cyclo_dehy_ocin: thiazole/oxazole-forming peptide maturase, SagC family component', 319, NULL, 'TIGR03603', 197171),
(253446, 'TIGR01384', NULL, 'TFS_arch: transcription factor S', 101, NULL, 'TIGR01384', 197172),
(253447, 'TIGR02956', NULL, 'TMAO_torS: TMAO reductase sytem sensor TorS', 967, NULL, 'TIGR02956', 197173),
(253448, 'TIGR01513', NULL, 'NAPRTase_put: nicotinate phosphoribosyltransferase', 452, NULL, 'TIGR01513', 197174),
(253449, 'TIGR02391', NULL, 'hypoth_ymh: TIGR02391 family protein', 125, NULL, 'TIGR02391', 197175),
(253450, 'TIGR00793', NULL, 'kdgT: 2-keto-3-deoxygluconate transporter', 314, NULL, 'TIGR00793', 197176),
(253451, 'TIGR03916', NULL, 'rSAM_link_UDG: putative DNA modification/repair radical SAM protein', 415, NULL, 'TIGR03916', 197177),
(253452, 'TIGR04554', NULL, '3TM_mycoplas: three transmembrane helix protein', 105, NULL, 'TIGR04554', 197178);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(253453, 'TIGR00181', NULL, 'pepF: oligoendopeptidase F', 591, NULL, 'TIGR00181', 197179),
(253454, 'TIGR01191', NULL, 'ccmC: heme exporter protein CcmC', 184, NULL, 'TIGR01191', 197180),
(253455, 'TIGR03474', NULL, 'incFII_RepA: incFII family plasmid replication initiator RepA', 275, NULL, 'TIGR03474', 197181),
(253456, 'TIGR01633', NULL, 'phi3626_gp14_N: putative phage tail component, N-terminal domain', 123, NULL, 'TIGR01633', 197182),
(253457, 'TIGR02271', NULL, 'TIGR02271: conserved domain', 115, NULL, 'TIGR02271', 197183),
(253458, 'TIGR00986', NULL, '3a0801s05tom22: mitochondrial import receptor subunit', 145, NULL, 'TIGR00986', 197184),
(253459, 'TIGR02523', NULL, 'type_IV_pilV: type IV pilus modification protein PilV', 139, NULL, 'TIGR02523', 197185),
(253460, 'TIGR03723', NULL, 'T6A_TsaD_YgjD: tRNA threonylcarbamoyl adenosine modification protein TsaD', 314, NULL, 'TIGR03723', 197186),
(253461, 'TIGR02048', NULL, 'gshA_cyano: putative glutamate--cysteine ligase', 376, NULL, 'TIGR02048', 197187),
(253462, 'TIGR03281', NULL, 'methan_mark_12: putative methanogenesis marker protein 12', 326, NULL, 'TIGR03281', 197188),
(253463, 'TIGR02464', NULL, 'ribofla_fusion: conserved hypothetical protein', 153, NULL, 'TIGR02464', 197189),
(253464, 'TIGR04138', NULL, 'Plancto_Ver_chp: Verruc_Plancto-restricted protein', 123, NULL, 'TIGR04138', 197190),
(253465, 'TIGR00433', NULL, 'bioB: biotin synthase', 296, NULL, 'TIGR00433', 197191),
(253466, 'TIGR00374', NULL, 'TIGR00374: TIGR00374 family protein', 323, NULL, 'TIGR00374', 197192),
(253467, 'TIGR03530', NULL, 'GldJ_short: gliding motility-associated lipoprotein GldJ', 396, NULL, 'TIGR03530', 197193),
(253468, 'TIGR02897', NULL, 'QoxC: cytochrome aa3 quinol oxidase, subunit III', 190, NULL, 'TIGR02897', 197194),
(253469, 'TIGR00430', NULL, 'Q_tRNA_tgt: tRNA-guanine transglycosylase', 368, NULL, 'TIGR00430', 197195),
(253470, 'TIGR00687', NULL, 'pyridox_kin: pyridoxal kinase', 288, NULL, 'TIGR00687', 197196),
(253471, 'TIGR01932', NULL, 'hflC: HflC protein', 318, NULL, 'TIGR01932', 197197),
(253472, 'TIGR00137', NULL, 'gid_trmFO: tRNA:m(5)U-54 methyltransferase', 433, NULL, 'TIGR00137', 197198),
(253473, 'TIGR02400', NULL, 'trehalose_OtsA: alpha,alpha-trehalose-phosphate synthase (UDP-forming)', 456, NULL, 'TIGR02400', 197199),
(253474, 'TIGR03128', NULL, 'RuMP_HxlA: 3-hexulose-6-phosphate synthase', 206, NULL, 'TIGR03128', 197200),
(253475, 'TIGR04540', NULL, 'CLB_0814_fam: conserved hypothetical protein', 73, NULL, 'TIGR04540', 197201),
(253476, 'TIGR03902', NULL, 'rhom_GG_sort: rhombosortase', 154, NULL, 'TIGR03902', 197202),
(253477, 'TIGR00240', NULL, 'ATCase_reg: aspartate carbamoyltransferase, regulatory subunit', 150, NULL, 'TIGR00240', 197203),
(253478, 'TIGR03161', NULL, 'ribazole_CobZ: alpha-ribazole phosphatase CobZ', 140, NULL, 'TIGR03161', 197204),
(253479, 'TIGR03351', NULL, 'PhnX-like: phosphonatase-like hydrolase', 220, NULL, 'TIGR03351', 197205),
(253480, 'TIGR01141', NULL, 'hisC: histidinol-phosphate transaminase', 349, NULL, 'TIGR01141', 197206),
(253481, 'TIGR02643', NULL, 'T_phosphoryl: thymidine phosphorylase', 437, NULL, 'TIGR02643', 197207),
(253482, 'TIGR04420', NULL, 'Sec_Non_Glob: Sec region non-globular protein', 243, NULL, 'TIGR04420', 197208),
(253483, 'TIGR00360', NULL, 'ComEC_N-term: ComEC/Rec2-related protein', 171, NULL, 'TIGR00360', 197209),
(253484, 'TIGR02833', NULL, 'spore_III_AB: stage III sporulation protein AB', 170, NULL, 'TIGR02833', 197210),
(253485, 'TIGR03058', NULL, 'rpt_csmH: chlorosome envelope protein H', 27, NULL, 'TIGR03058', 197211),
(253486, 'TIGR04434', NULL, 'rSAM_Pput_1520: B12-binding domain/radical SAM domain protein', 515, NULL, 'TIGR04434', 197212),
(253487, 'TIGR03424', NULL, 'urea_degr_1: urea carboxylase-associated protein 1', 198, NULL, 'TIGR03424', 197213),
(253488, 'TIGR00673', NULL, 'cynS: cyanase', 150, NULL, 'TIGR00673', 197214),
(253489, 'TIGR02092', NULL, 'glgD: glucose-1-phosphate adenylyltransferase, GlgD subunit', 370, NULL, 'TIGR02092', 197215),
(253490, 'TIGR00746', NULL, 'arcC: carbamate kinase', 309, NULL, 'TIGR00746', 197216);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(253491, 'TIGR00254', NULL, 'GGDEF: diguanylate cyclase (GGDEF) domain', 168, NULL, 'TIGR00254', 197217),
(253492, 'TIGR01756', NULL, 'LDH_protist: lactate dehydrogenase', 313, NULL, 'TIGR01756', 197218),
(253493, 'TIGR02584', NULL, 'cas_NE0113: CRISPR-associated protein, NE0113 family', 209, NULL, 'TIGR02584', 197219),
(253494, 'TIGR00936', NULL, 'ahcY: adenosylhomocysteinase', 416, NULL, 'TIGR00936', 197220),
(253495, 'TIGR02394', NULL, 'rpoS_proteo: RNA polymerase sigma factor RpoS', 285, NULL, 'TIGR02394', 197221),
(253496, 'TIGR02151', NULL, 'IPP_isom_2: isopentenyl-diphosphate delta-isomerase, type 2', 338, NULL, 'TIGR02151', 197222),
(253497, 'TIGR03653', NULL, 'uL6_arch: ribosomal protein uL6', 170, NULL, 'TIGR03653', 197223),
(253498, 'TIGR00503', NULL, 'prfC: peptide chain release factor 3', 527, NULL, 'TIGR00503', 197224),
(253499, 'TIGR01946', NULL, 'rnfD: electron transport complex, RnfABCDGE type, D subunit', 327, NULL, 'TIGR01946', 197225),
(253500, 'TIGR03843', NULL, 'TIGR03843: conserved hypothetical protein', 253, NULL, 'TIGR03843', 197226),
(253501, 'TIGR03594', NULL, 'GTPase_EngA: ribosome-associated GTPase EngA', 432, NULL, 'TIGR03594', 197227),
(253502, 'TIGR03784', NULL, 'marine_sortase: sortase, marine proteobacterial type', 174, NULL, 'TIGR03784', 197228),
(253503, 'TIGR02210', NULL, 'rodA_shape: rod shape-determining protein RodA', 357, NULL, 'TIGR02210', 197229),
(253504, 'TIGR00612', NULL, 'ispG_gcpE: 4-hydroxy-3-methylbut-2-en-1-yl diphosphate synthase', 357, NULL, 'TIGR00612', 197230),
(253505, 'TIGR01250', NULL, 'pro_imino_pep_2: proline-specific peptidase', 288, NULL, 'TIGR01250', 197231),
(253506, 'TIGR01887', NULL, 'dipeptidaselike: putative dipeptidase', 447, NULL, 'TIGR01887', 197232),
(253507, 'TIGR02285', NULL, 'TIGR02285: conserved hypothetical protein', 268, NULL, 'TIGR02285', 197233),
(253508, 'TIGR01130', NULL, 'ER_PDI_fam: protein disulfide isomerase', 476, NULL, 'TIGR01130', 197234),
(253509, 'TIGR03737', NULL, 'PRTRC_B: PRTRC system protein B', 228, NULL, 'TIGR03737', 197235),
(253510, 'TIGR03220', NULL, 'catechol_dmpE: 2-oxopent-4-enoate hydratase', 255, NULL, 'TIGR03220', 197236),
(253511, 'TIGR01647', NULL, 'ATPase-IIIA_H: plasma-membrane proton-efflux P-type ATPase', 755, NULL, 'TIGR01647', 197237),
(253512, 'TIGR00732', NULL, 'dprA: DNA protecting protein DprA', 220, NULL, 'TIGR00732', 197238),
(253513, 'TIGR04375', NULL, 'cyano_w_EgtBD: hercynine metabolism protein', 155, NULL, 'TIGR04375', 197239),
(253514, 'TIGR04291', NULL, 'arsen_driv_ArsA: arsenical pump-driving ATPase', 565, NULL, 'TIGR04291', 197240),
(253515, 'TIGR00796', NULL, 'livcs: branched-chain amino acid transport system II carrier protein', 405, NULL, 'TIGR00796', 197241),
(253516, 'TIGR02098', NULL, 'MJ0042_CXXC: MJ0042 family finger-like domain', 38, NULL, 'TIGR02098', 197242),
(253517, 'TIGR02221', NULL, 'cas_TM1812: CRISPR-associated protein, TM1812 family', 218, NULL, 'TIGR02221', 197243),
(253518, 'TIGR01703', NULL, 'hybrid_clust: hydroxylamine reductase', 522, NULL, 'TIGR01703', 197244),
(253519, 'TIGR02101', NULL, 'IpaC_SipC: type III secretion target, IpaC/SipC family', 314, NULL, 'TIGR02101', 197245),
(253520, 'TIGR00131', NULL, 'gal_kin: galactokinase', 388, NULL, 'TIGR00131', 197246),
(253521, 'TIGR03117', NULL, 'cas_csf4: CRISPR type AFERR-associated DEAD/DEAH-box helicase Csf4', 676, NULL, 'TIGR03117', 197247),
(253522, 'TIGR03773', NULL, 'anch_rpt_wall: putative ABC transporter-associated repeat protein', 516, NULL, 'TIGR03773', 197248),
(253523, 'TIGR03893', NULL, 'lant_SP_1948: type 2 lantibiotic, SP_1948 family', 61, NULL, 'TIGR03893', 197249),
(253524, 'TIGR03544', NULL, 'DivI1A_domain: DivIVA domain', 34, NULL, 'TIGR03544', 197250),
(253525, 'TIGR01767', NULL, 'MTRK: S-methyl-5-thioribose kinase', 369, NULL, 'TIGR01767', 197251),
(253526, 'TIGR04062', NULL, 'dnd_assoc_4: dnd system-associated protein 4', 151, NULL, 'TIGR04062', 197252),
(253527, 'TIGR03966', NULL, 'actino_HemFlav: heme/flavin dehydrogenase, mycofactocin system', 385, NULL, 'TIGR03966', 197253);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(253528, 'TIGR01574', NULL, 'miaB-methiolase: tRNA-i(6)A37 thiotransferase enzyme MiaB', 437, NULL, 'TIGR01574', 197254),
(253529, 'TIGR01935', NULL, 'NOT-MenG: RraA family', 150, NULL, 'TIGR01935', 197255),
(253530, 'TIGR03664', NULL, 'fut_nucase: futalosine hydrolase', 228, NULL, 'TIGR03664', 197256),
(253531, 'TIGR01021', NULL, 'rpsE_bact: ribosomal protein uS5', 156, NULL, 'TIGR01021', 197257),
(253532, 'TIGR03091', NULL, 'SASP_sspK: small, acid-soluble spore protein K', 32, NULL, 'TIGR03091', 197258),
(253533, 'TIGR01876', NULL, 'cas_Cas5d: CRISPR-associated protein Cas5, subtype I-C/DVULG', 203, NULL, 'TIGR01876', 197259),
(253534, 'TIGR02693', NULL, 'arsenite_ox_L: arsenite oxidase, large subunit', 806, NULL, 'TIGR02693', 197260),
(253535, 'TIGR02847', NULL, 'CyoD: cytochrome o ubiquinol oxidase subunit IV', 96, NULL, 'TIGR02847', 197261),
(253536, 'TIGR02906', NULL, 'spore_CotS: spore coat protein, CotS family', 314, NULL, 'TIGR02906', 197262),
(253537, 'TIGR00310', NULL, 'ZPR1_znf: ZPR1 zinc finger domain', 192, NULL, 'TIGR00310', 197263),
(253538, 'TIGR01812', NULL, 'sdhA_frdA_Gneg: succinate dehydrogenase or fumarate reductase, flavoprotein subunit', 568, NULL, 'TIGR01812', 197264),
(253539, 'TIGR03952', NULL, 'metzin_BF0631: zinc-dependent metalloproteinase lipoprotein, BF0631 family', 351, NULL, 'TIGR03952', 197265),
(253540, 'TIGR03832', NULL, 'Tyr_2_3_mutase: tyrosine 2,3-aminomutase', 507, NULL, 'TIGR03832', 197266),
(253541, 'TIGR02330', NULL, 'prpD: 2-methylcitrate dehydratase', 468, NULL, 'TIGR02330', 197267),
(253542, 'TIGR04470', NULL, 'rSAM_mob_pairB: radical SAM mobile pair protein B', 285, NULL, 'TIGR04470', 197268),
(253543, 'TIGR00997', NULL, 'ispZ: intracellular septation protein A', 178, NULL, 'TIGR00997', 197269),
(253544, 'TIGR02450', NULL, 'TIGR02450: tryptophan-rich conserved hypothetical protein', 61, NULL, 'TIGR02450', 197270),
(253545, 'TIGR03485', NULL, 'cas_csx13_N: CRISPR-associated protein Cas8a1/Csx13, MYXAN subtype', 316, NULL, 'TIGR03485', 197271),
(253546, 'TIGR00017', NULL, 'cmk: cytidylate kinase', 217, NULL, 'TIGR00017', 197272),
(253547, 'TIGR00067', NULL, 'glut_race: glutamate racemase', 251, NULL, 'TIGR00067', 197273),
(253548, 'TIGR02037', NULL, 'degP_htrA_DO: peptidase Do', 434, NULL, 'TIGR02037', 197274),
(253549, 'TIGR01038', NULL, 'uL22_arch_euk: ribosomal protein uL22', 148, NULL, 'TIGR01038', 197275),
(253550, 'TIGR02967', NULL, 'guan_deamin: guanine deaminase', 401, NULL, 'TIGR02967', 197276),
(253551, 'TIGR03041', NULL, 'PS_antenn_a_b: chlorophyll a/b binding light-harvesting protein', 321, NULL, 'TIGR03041', 197277),
(253552, 'TIGR04543', NULL, 'ketoArg_3Met: 2-ketoarginine methyltransferase', 336, NULL, 'TIGR04543', 197278),
(253553, 'TIGR03421', NULL, 'FeS_CyaY: iron donor protein CyaY', 104, NULL, 'TIGR03421', 197279),
(253554, 'TIGR02573', NULL, 'LcrG_PcrG: type III secretion protein LcrG', 90, NULL, 'TIGR02573', 197280),
(253555, 'TIGR04196', NULL, 'glycopep_SunS: glycopeptide, sublancin family', 80, NULL, 'TIGR04196', 197281),
(253556, 'TIGR01996', NULL, 'PTS-II-BC-sucr: PTS system, sucrose-specific IIBC component', 461, NULL, 'TIGR01996', 197282),
(253557, 'TIGR00324', NULL, 'endA: tRNA-intron lyase', 177, NULL, 'TIGR00324', 197283),
(253558, 'TIGR01826', NULL, 'CofD_related: conserved hypothetical protein', 310, NULL, 'TIGR01826', 197284),
(253559, 'TIGR01071', NULL, 'rplO_bact: ribosomal protein uL15', 144, NULL, 'TIGR01071', 197285),
(253560, 'TIGR04012', NULL, 'poly_gGlu_PgsB: poly-gamma-glutamate synthase PgsB', 380, NULL, 'TIGR04012', 197286),
(253561, 'TIGR04484', NULL, 'thiosulf_SoxA: sulfur oxidation c-type cytochrome SoxA', 212, NULL, 'TIGR04484', 197287),
(253562, 'TIGR04182', NULL, 'glyco_TIGR04182: glycosyltransferase, TIGR04182 family', 293, NULL, 'TIGR04182', 197288),
(253563, 'TIGR03846', NULL, 'sulfopy_beta: sulfopyruvate decarboxylase, beta subunit', 182, NULL, 'TIGR03846', 197289),
(253564, 'TIGR00553', NULL, 'pabB: aminodeoxychorismate synthase, component I', 329, NULL, 'TIGR00553', 197290),
(253565, 'TIGR01524', NULL, 'ATPase-IIIB_Mg: magnesium-translocating P-type ATPase', 867, NULL, 'TIGR01524', 197291);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(253566, 'TIGR02344', NULL, 'chap_CCT_gamma: T-complex protein 1, gamma subunit', 526, NULL, 'TIGR02344', 197292),
(253567, 'TIGR00494', NULL, 'crcB: protein CrcB', 117, NULL, 'TIGR00494', 197293),
(253568, 'TIGR00192', NULL, 'urease_beta: urease, beta subunit', 103, NULL, 'TIGR00192', 197294),
(253569, 'TIGR04300', NULL, 'exosort_XrtM: exosortase family protein XrtM', 150, NULL, 'TIGR04300', 197295),
(253570, 'TIGR03237', NULL, 'dnd_assoc_2: DNA phosphorothioation-dependent restriction protein DptH', 1256, NULL, 'TIGR03237', 197296),
(253571, 'TIGR00251', NULL, 'TIGR00251: TIGR00251 family protein', 87, NULL, 'TIGR00251', 197297),
(253572, 'TIGR01753', NULL, 'flav_short: flavodoxin', 140, NULL, 'TIGR01753', 197298),
(253573, 'TIGR01694', NULL, 'MTAP: methylthioadenosine phosphorylase', 240, NULL, 'TIGR01694', 197299),
(253574, 'TIGR04241', NULL, 'adenoE3CR1rpt: mastadenovirus E3 CR1-alpha-1', 81, NULL, 'TIGR04241', 197300),
(253575, 'TIGR03008', NULL, 'pepcterm_CAAX: CAAX prenyl protease-related protein', 222, NULL, 'TIGR03008', 197301),
(253576, 'TIGR00385', NULL, 'dsbE: periplasmic protein thiol:disulfide oxidoreductases, DsbE subfamily', 173, NULL, 'TIGR00385', 197302),
(253577, 'TIGR03390', NULL, 'ascorbOXfungal: L-ascorbate oxidase', 538, NULL, 'TIGR03390', 197303),
(253578, 'TIGR00542', NULL, 'hxl6Piso_put: putative hexulose-6-phosphate isomerase', 279, NULL, 'TIGR00542', 197304),
(253579, 'TIGR03270', NULL, 'methan_mark_4: putative methanogen marker protein 4', 204, NULL, 'TIGR03270', 197305),
(253580, 'TIGR00439', NULL, 'ftsX: putative protein insertion permease FtsX', 310, NULL, 'TIGR00439', 197306),
(253581, 'TIGR00559', NULL, 'pdxJ: pyridoxine 5''-phosphate synthase', 239, NULL, 'TIGR00559', 197307),
(253582, 'TIGR02529', NULL, 'EutJ: ethanolamine utilization protein EutJ family protein', 239, NULL, 'TIGR02529', 197308),
(253583, 'TIGR02235', NULL, 'menA_cyano-plnt: 1,4-dihydroxy-2-naphthoate phytyltransferase', 285, NULL, 'TIGR02235', 197309),
(253584, 'TIGR00319', NULL, 'desulf_FeS4: desulfoferrodoxin FeS4 iron-binding domain', 34, NULL, 'TIGR00319', 197310),
(253585, 'TIGR04565', NULL, 'OMP_myx_plus: outer membrane beta-barrel protein', 161, NULL, 'TIGR04565', 197311),
(253586, 'TIGR03186', NULL, 'AKGDH_not_PDH: alpha-ketoglutarate dehydrogenase', 889, NULL, 'TIGR03186', 197312),
(253587, 'TIGR02475', NULL, 'CobW: cobalamin biosynthesis protein CobW', 342, NULL, 'TIGR02475', 197313),
(253588, 'TIGR02632', NULL, 'RhaD_aldol-ADH: rhamnulose-1-phosphate aldolase/alcohol dehydrogenase', 676, NULL, 'TIGR02632', 197314),
(253589, 'TIGR04325', NULL, 'MTase_LIC12133: putative methyltransferase, LIC12133 family', 234, NULL, 'TIGR04325', 197315),
(253590, 'TIGR01096', NULL, '3A0103s03R: lysine-arginine-ornithine-binding periplasmic protein', 250, NULL, 'TIGR01096', 197316),
(253591, 'TIGR02409', NULL, 'carnitine_bodg: gamma-butyrobetaine hydroxylase', 366, NULL, 'TIGR02409', 197317),
(253592, 'TIGR01644', NULL, 'phage_P2_V: phage baseplate assembly protein V', 192, NULL, 'TIGR01644', 197318),
(253593, 'TIGR00126', NULL, 'deoC: deoxyribose-phosphate aldolase', 211, NULL, 'TIGR00126', 197319),
(253594, 'TIGR00072', NULL, 'hydrog_prot: hydrogenase maturation protease', 145, NULL, 'TIGR00072', 197320),
(253595, 'TIGR02355', NULL, 'moeB: molybdopterin synthase sulfurylase MoeB', 240, NULL, 'TIGR02355', 197321),
(253596, 'TIGR04445', NULL, 'preny_LynF_TruF: peptide O-prenyltransferase, LynF/TruF/PatF family', 282, NULL, 'TIGR04445', 197322),
(253597, 'TIGR01801', NULL, 'CM_A: chorismate mutase', 102, NULL, 'TIGR01801', 197323),
(253598, 'TIGR03734', NULL, 'PRTRC_parB: PRTRC system ParB family protein', 555, NULL, 'TIGR03734', 197324),
(253599, 'TIGR02042', NULL, 'sir: sulfite reductase, ferredoxin dependent', 581, NULL, 'TIGR02042', 197325),
(253600, 'TIGR02604', NULL, 'Piru_Ver_Nterm: putative membrane-bound dehydrogenase domain', 367, NULL, 'TIGR02604', 197326),
(253601, 'TIGR00855', NULL, 'L12: ribosomal protein bL12', 125, NULL, 'TIGR00855', 197327),
(253602, 'TIGR01921', NULL, 'DAP-DH: diaminopimelate dehydrogenase', 324, NULL, 'TIGR01921', 197328);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(253603, 'TIGR01211', NULL, 'ELP3: radical SAM enzyme/protein acetyltransferase, ELP3 family', 522, NULL, 'TIGR01211', 197329),
(253604, 'TIGR04007', NULL, 'wcaI: colanic acid biosynthesis glycosyltransferase WcaI', 407, NULL, 'TIGR04007', 197330),
(253605, 'TIGR02945', NULL, 'SUF_assoc: FeS assembly SUF system protein', 99, NULL, 'TIGR02945', 197331),
(253606, 'TIGR03301', NULL, 'PhnW-AepZ: 2-aminoethylphosphonate aminotransferase', 355, NULL, 'TIGR03301', 197332),
(253607, 'TIGR01588', NULL, 'citE: citrate (pro-3S)-lyase, beta subunit', 288, NULL, 'TIGR01588', 197333),
(253608, 'TIGR02595', NULL, 'PEP_exosort: PEP-CTERM protein-sorting domain', 24, NULL, 'TIGR02595', 197334),
(253609, 'TIGR00050', NULL, 'rRNA_methyl_1: RNA methyltransferase, TrmH family, group 1', 233, NULL, 'TIGR00050', 197335),
(253610, 'TIGR01552', NULL, 'phd_fam: prevent-host-death family protein', 53, NULL, 'TIGR01552', 197336),
(253611, 'TIGR02380', NULL, 'ECA_wecA: undecaprenyl-phosphate alpha-N-acetylglucosaminyl 1-phosphatetransferase', 346, NULL, 'TIGR02380', 197337),
(253612, 'TIGR03882', NULL, 'cyclo_dehyd_2: bacteriocin biosynthesis cyclodehydratase domain', 164, NULL, 'TIGR03882', 197338),
(253613, 'TIGR01672', NULL, 'AphA: HAD phosphatase, family IIIB', 237, NULL, 'TIGR01672', 197339),
(253614, 'TIGR02087', NULL, 'LEUD_arch: 3-isopropylmalate dehydratase, small subunit', 157, NULL, 'TIGR02087', 197340),
(253615, 'TIGR04350', NULL, 'C_S_lyase_PatB: putative C-S lyase', 384, NULL, 'TIGR04350', 197341),
(253616, 'TIGR00877', NULL, 'purD: phosphoribosylamine--glycine ligase', 425, NULL, 'TIGR00877', 197342),
(253617, 'TIGR02727', NULL, 'MTHFS_bact: 5-formyltetrahydrofolate cyclo-ligase', 182, NULL, 'TIGR02727', 197343),
(253618, 'TIGR02917', NULL, 'PEP_TPR_lipo: putative PEP-CTERM system TPR-repeat lipoprotein', 899, NULL, 'TIGR02917', 197344),
(253619, 'TIGR04230', NULL, 'seadorna_VP11: seadornavirus VP11 protein', 175, NULL, 'TIGR04230', 197345),
(253620, 'TIGR01345', NULL, 'malate_syn_G: malate synthase G', 721, NULL, 'TIGR01345', 197346),
(253621, 'TIGR03628', NULL, 'arch_S11P: ribosomal protein uS11', 117, NULL, 'TIGR03628', 197347),
(253622, 'TIGR04073', NULL, 'exo_TIGR04073: putative exosortase-associated protein, TIGR04073 family', 75, NULL, 'TIGR04073', 197348),
(253623, 'TIGR00930', NULL, '2a30: K-Cl cotransporter', 936, NULL, 'TIGR00930', 197349),
(253624, 'TIGR04127', NULL, 'flavo_near_exo: exosortase F-associated protein', 136, NULL, 'TIGR04127', 197350),
(253625, 'TIGR03868', NULL, 'F420-O_ABCperi: proposed F420-0 ABC transporter, periplasmic F420-0 binding protein', 287, NULL, 'TIGR03868', 197351),
(253626, 'TIGR03988', NULL, 'antisig_RsrA: mycothiol system anti-sigma-R factor', 77, NULL, 'TIGR03988', 197352),
(253627, 'TIGR02931', NULL, 'anfK_nitrog: Fe-only nitrogenase, beta subunit', 461, NULL, 'TIGR02931', 197353),
(253628, 'TIGR01331', NULL, 'bisphos_cysQ: 3''(2''),5''-bisphosphate nucleotidase', 250, NULL, 'TIGR01331', 197354),
(253629, 'TIGR03896', NULL, 'cyc_nuc_ocin: bacteriocin-type transport-associated protein', 317, NULL, 'TIGR03896', 197355),
(253630, 'TIGR01225', NULL, 'hutH: histidine ammonia-lyase', 506, NULL, 'TIGR01225', 197356),
(253631, 'TIGR04193', NULL, 'SPASM_w_grasp: SPASM domain peptide maturase, grasp-with-spasm system', 342, NULL, 'TIGR04193', 197357),
(253632, 'TIGR03292', NULL, 'PhnH_redo: phosphonate C-P lyase system protein PhnH', 184, NULL, 'TIGR03292', 197358),
(253633, 'TIGR02157', NULL, 'PA_CoA_Oxy2: phenylacetate-CoA oxygenase, PaaH subunit', 90, NULL, 'TIGR02157', 197359),
(253634, 'TIGR03659', NULL, 'IsdE: heme ABC transporter, heme-binding protein isdE', 292, NULL, 'TIGR03659', 197360),
(253635, 'TIGR00170', NULL, 'leuC: 3-isopropylmalate dehydratase, large subunit', 466, NULL, 'TIGR00170', 197361),
(253636, 'TIGR03346', NULL, 'chaperone_ClpB: ATP-dependent chaperone protein ClpB', 853, NULL, 'TIGR03346', 197362),
(253637, 'TIGR04322', NULL, 'rSAM_QueE_Ecoli: putative 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', 215, NULL, 'TIGR04322', 197363);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(253638, 'TIGR01016', NULL, 'sucCoAbeta: succinate-CoA ligase, beta subunit', 386, NULL, 'TIGR01016', 197364),
(253639, 'TIGR02112', NULL, 'cyd_oper_ybgE: cyd operon protein YbgE', 93, NULL, 'TIGR02112', 197365),
(253640, 'TIGR01082', NULL, 'murC: UDP-N-acetylmuramate--L-alanine ligase', 449, NULL, 'TIGR01082', 197366),
(253641, 'TIGR01881', NULL, 'cas_Cmr5: CRISPR type III-B/RAMP module-associated protein Cmr5', 143, NULL, 'TIGR01881', 197367),
(253642, 'TIGR00006', NULL, 'TIGR00006: 16S rRNA (cytosine(1402)-N(4))-methyltransferase', 310, NULL, 'TIGR00006', 197368),
(253643, 'TIGR00634', NULL, 'recN: DNA repair protein RecN', 563, NULL, 'TIGR00634', 197369),
(253644, 'TIGR04029', NULL, 'CMD_Avi_7170: CMD domain protein, Avi_7170 family', 174, NULL, 'TIGR04029', 197370),
(253645, 'TIGR03614', NULL, 'RutB: pyrimidine utilization protein B', 226, NULL, 'TIGR03614', 197371),
(253646, 'TIGR01658', NULL, 'EYA-cons_domain: EYA conserved domain', 274, NULL, 'TIGR01658', 197372),
(253647, 'TIGR00399', NULL, 'metG_C_term: methionine--tRNA ligase, beta subunit', 139, NULL, 'TIGR00399', 197373),
(253648, 'TIGR02891', NULL, 'CtaD_CoxA: cytochrome c oxidase, subunit I', 504, NULL, 'TIGR02891', 197374),
(253649, 'TIGR00975', NULL, '3a0107s03: phosphate ABC transporter, phosphate-binding protein PstS', 315, NULL, 'TIGR00975', 197375),
(253650, 'TIGR02649', NULL, 'true_RNase_BN: ribonuclease BN', 304, NULL, 'TIGR02649', 197376),
(253651, 'TIGR01907', NULL, 'casE_Cse3: CRISPR-associated protein Cas6/Cse3/CasE, subtype I-E/ECOLI', 208, NULL, 'TIGR01907', 197377),
(253652, 'TIGR02341', NULL, 'chap_CCT_beta: T-complex protein 1, beta subunit', 519, NULL, 'TIGR02341', 197378),
(253653, 'TIGR00195', NULL, 'exoDNase_III: exodeoxyribonuclease III', 254, NULL, 'TIGR00195', 197379),
(253654, 'TIGR02822', NULL, 'adh_fam_2: zinc-binding alcohol dehydrogenase family protein', 329, NULL, 'TIGR02822', 197380),
(253655, 'TIGR03977', NULL, 'rSAM_pair_HxsC: His-Xaa-Ser system radical SAM maturase HxsC', 292, NULL, 'TIGR03977', 197381),
(253656, 'TIGR01093', NULL, 'aroD: 3-dehydroquinate dehydratase, type I', 229, NULL, 'TIGR01093', 197382),
(253657, 'TIGR01990', NULL, 'bPGM: beta-phosphoglucomutase', 187, NULL, 'TIGR01990', 197383),
(253658, 'TIGR01147', NULL, 'V_ATP_synt_G: V-type ATPase, G subunit', 113, NULL, 'TIGR01147', 197384),
(253659, 'TIGR03063', NULL, 'srtB_target: sortase B cell surface sorting signal', 29, NULL, 'TIGR03063', 197385),
(253660, 'TIGR03097', NULL, 'PEP_O_lig_1: probable O-glycosylation ligase, exosortase A-associated', 408, NULL, 'TIGR03097', 197386),
(253661, 'TIGR04311', NULL, 'rSAM_Geo_metal: putative metalloenzyme radical SAM/SPASM domain maturase', 423, NULL, 'TIGR04311', 197387),
(253662, 'TIGR01027', NULL, 'proB: glutamate 5-kinase', 363, NULL, 'TIGR01027', 197388),
(253663, 'TIGR01454', NULL, 'AHBA_synth_RP: AHBA synthesis associated protein', 205, NULL, 'TIGR01454', 197389),
(253664, 'TIGR03857', NULL, 'F420_MSMEG_2249: probable F420-dependent oxidoreductase, MSMEG_2249 family', 329, NULL, 'TIGR03857', 197390),
(253665, 'TIGR02702', NULL, 'SufR_cyano: iron-sulfur cluster biosynthesis transcriptional regulator SufR', 208, NULL, 'TIGR02702', 197391),
(253666, 'TIGR03226', NULL, 'PhnU: 2-aminoethylphosphonate ABC transporter, permease protein', 311, NULL, 'TIGR03226', 197392),
(253667, 'TIGR02232', NULL, 'myxo_disulf_rpt: Myxococcus cysteine-rich repeat', 38, NULL, 'TIGR02232', 197393),
(253668, 'TIGR01136', NULL, 'cysKM: cysteine synthase', 299, NULL, 'TIGR01136', 197394),
(253669, 'TIGR01683', NULL, 'thiS: thiamine biosynthesis protein ThiS', 64, NULL, 'TIGR01683', 197395),
(253670, 'TIGR01443', NULL, 'intein_Cterm: intein C-terminal splicing region', 24, NULL, 'TIGR01443', 197396),
(253671, 'TIGR02598', NULL, 'TIGR02598: Verru_Chthon cassette protein B', 151, NULL, 'TIGR02598', 197397),
(253672, 'TIGR02713', NULL, 'allophanate_hyd: allophanate hydrolase', 563, NULL, 'TIGR02713', 197398),
(253673, 'TIGR00528', NULL, 'gcvT: glycine cleavage system T protein', 362, NULL, 'TIGR00528', 197399);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(253674, 'TIGR03533', NULL, 'L3_gln_methyl: protein-(glutamine-N5) methyltransferase, ribosomal protein L3-specific', 284, NULL, 'TIGR03533', 197400),
(253675, 'TIGR01778', NULL, 'TonB-copper: TonB-dependent copper receptor', 637, NULL, 'TIGR01778', 197401),
(253676, 'TIGR00623', NULL, 'sula: cell division inhibitor SulA', 168, NULL, 'TIGR00623', 197402),
(253677, 'TIGR03625', NULL, 'L3_bact: 50S ribosomal protein uL3', 202, NULL, 'TIGR03625', 197403),
(253678, 'TIGR00852', NULL, 'pts-Glc: PTS system, maltose and glucose-specific subfamily, IIC component', 290, NULL, 'TIGR00852', 197404),
(253679, 'TIGR03052', NULL, 'PS_I_psaI: photosystem I reaction center subunit VIII', 31, NULL, 'TIGR03052', 197405),
(253680, 'TIGR00757', NULL, 'RNaseEG: ribonuclease, Rne/Rng family', 415, NULL, 'TIGR00757', 197406),
(253681, 'TIGR01499', NULL, 'folC: bifunctional protein FolC', 400, NULL, 'TIGR01499', 197407),
(253682, 'TIGR03762', NULL, 'archaeo_artC: archaeosortase C', 274, NULL, 'TIGR03762', 197408),
(253683, 'TIGR02260', NULL, 'benz_CoA_red_B: benzoyl-CoA reductase, subunit B', 413, NULL, 'TIGR02260', 197409),
(253684, 'TIGR00637', NULL, 'ModE_repress: ModE molybdate transport repressor domain', 100, NULL, 'TIGR00637', 197410),
(253685, 'TIGR01379', NULL, 'thiL: thiamine-phosphate kinase', 320, NULL, 'TIGR01379', 197411),
(253686, 'TIGR01792', NULL, 'urease_alph: urease, alpha subunit', 568, NULL, 'TIGR01792', 197412),
(253687, 'TIGR03642', NULL, 'cas_csx14: CRISPR-associated protein, Csx14 family', 124, NULL, 'TIGR03642', 197413),
(253688, 'TIGR04216', NULL, 'halo_surf_glyco: major cell surface glycoprotein', 784, NULL, 'TIGR04216', 197414),
(253689, 'TIGR03349', NULL, 'IV_VI_DotU: type IV/VI secretion system protein, DotU family', 211, NULL, 'TIGR03349', 197415),
(253690, 'TIGR03295', NULL, 'frhA: coenzyme F420 hydrogenase, subunit alpha', 412, NULL, 'TIGR03295', 197416),
(253691, 'TIGR02140', NULL, 'permease_CysW: sulfate ABC transporter, permease protein CysW', 261, NULL, 'TIGR02140', 197417),
(253692, 'TIGR00290', NULL, 'MJ0570_dom: MJ0570-related uncharacterized domain', 223, NULL, 'TIGR00290', 197418),
(253693, 'TIGR00651', NULL, 'pta: phosphate acetyltransferase', 304, NULL, 'TIGR00651', 197419),
(253694, 'TIGR00396', NULL, 'leuS_bact: leucine--tRNA ligase', 843, NULL, 'TIGR00396', 197420),
(253695, 'TIGR03505', NULL, 'FimV_core: FimV N-terminal domain', 74, NULL, 'TIGR03505', 197421),
(253696, 'TIGR02758', NULL, 'TraA_TIGR: type IV conjugative transfer system pilin TraA', 98, NULL, 'TIGR02758', 197422),
(253697, 'TIGR00514', NULL, 'accC: acetyl-CoA carboxylase, biotin carboxylase subunit', 449, NULL, 'TIGR00514', 197423),
(253698, 'TIGR01256', NULL, 'modA: molybdate ABC transporter, periplasmic molybdate-binding protein', 217, NULL, 'TIGR01256', 197424),
(253699, 'TIGR00743', NULL, 'TIGR00743: conserved hypothetical protein', 95, NULL, 'TIGR00743', 197425),
(253700, 'TIGR01898', NULL, 'cas_TM1791_cmr6: CRISPR type III-B/RAMP module RAMP protein Cmr6', 195, NULL, 'TIGR01898', 197426),
(253701, 'TIGR04247', NULL, 'NosD_copper_fam: nitrous oxide reductase family maturation protein NosD', 377, NULL, 'TIGR04247', 197427),
(253702, 'TIGR03106', NULL, 'trio_M42_hydro: hydrolase, peptidase M42 family', 343, NULL, 'TIGR03106', 197428),
(253703, 'TIGR02489', NULL, 'flgE_epsilon: flagellar hook protein FlgE', 719, NULL, 'TIGR02489', 197429),
(253704, 'TIGR01334', NULL, 'modD: modD protein', 277, NULL, 'TIGR01334', 197430),
(253705, 'TIGR03172', NULL, 'TIGR03172: putative selenium-dependent hydroxylase accessory protein YqeC', 232, NULL, 'TIGR03172', 197431),
(253706, 'TIGR04202', NULL, 'capSnatchArena: RNA endonuclease, cap-snatching', 61, NULL, 'TIGR04202', 197432),
(253707, 'TIGR02836', NULL, 'spore_IV_A: stage IV sporulation protein A', 492, NULL, 'TIGR02836', 197433),
(253708, 'TIGR04431', NULL, 'N6_acetyl_AAC6: aminoglycoside N(6'')-acetyltransferase, AacA4 family', 184, NULL, 'TIGR04431', 197434),
(253709, 'TIGR02246', NULL, 'TIGR02246: conserved hypothetical protein', 128, NULL, 'TIGR02246', 197435);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(253710, 'TIGR00061', NULL, 'L21: ribosomal protein bL21', 101, NULL, 'TIGR00061', 197436),
(253711, 'TIGR01910', NULL, 'DapE-ArgE: peptidase, ArgE/DapE family', 373, NULL, 'TIGR01910', 197437),
(253712, 'TIGR03748', NULL, 'conj_PilL: integrating conjugative element protein PilL, PFGI-1 class', 105, NULL, 'TIGR03748', 197438),
(253713, 'TIGR01563', NULL, 'gp16_SPP1: putative phage head-tail adaptor', 101, NULL, 'TIGR01563', 197439),
(253714, 'TIGR02389', NULL, 'RNA_pol_rpoA2: DNA-directed RNA polymerase, subunit A''''', 367, NULL, 'TIGR02389', 197440),
(253715, 'TIGR04479', NULL, 'bcpD_PhpK_rSAM: radical SAM P-methyltransferase, PhpK family', 504, NULL, 'TIGR04479', 197441),
(253716, 'TIGR04415', NULL, 'O_hepto_targRPT: autotransporter passenger strand-loop-strand repeat', 38, NULL, 'TIGR04415', 197442),
(253717, 'TIGR03991', NULL, 'alt_bact_glmU: UDP-N-acetylglucosamine diphosphorylase/glucosamine-1-phosphate N-acetyltransferase', 394, NULL, 'TIGR03991', 197443),
(253718, 'TIGR00838', NULL, 'argH: argininosuccinate lyase', 455, NULL, 'TIGR00838', 197444),
(253719, 'TIGR01043', NULL, 'ATP_syn_A_arch: ATP synthase archaeal, A subunit', 580, NULL, 'TIGR01043', 197445),
(253720, 'TIGR01438', NULL, 'TGR: thioredoxin and glutathione reductase', 485, NULL, 'TIGR01438', 197446),
(253721, 'TIGR03446', NULL, 'mycothiol_Mca: mycothiol conjugate amidase Mca', 283, NULL, 'TIGR03446', 197447),
(253722, 'TIGR03133', NULL, 'malonate_beta: biotin-independent malonate decarboxylase, beta subunit', 274, NULL, 'TIGR03133', 197448),
(253723, 'TIGR04157', NULL, 'glyco_rSAM_CFB: glycosyltransferase, GG-Bacteroidales peptide system', 406, NULL, 'TIGR04157', 197449),
(253724, 'TIGR01356', NULL, 'aroA: 3-phosphoshikimate 1-carboxyvinyltransferase', 415, NULL, 'TIGR01356', 197450),
(253725, 'TIGR02799', NULL, 'thio_ybgC: tol-pal system-associated acyl-CoA thioesterase', 126, NULL, 'TIGR02799', 197451),
(253726, 'TIGR03759', NULL, 'conj_TIGR03759: integrating conjugative element protein, PFL_4693 family', 200, NULL, 'TIGR03759', 197452),
(253727, 'TIGR04046', NULL, 'MSMEG_0569_nitr: flavin-dependent oxidoreductase, MSMEG_0569 family', 400, NULL, 'TIGR04046', 197453),
(253728, 'TIGR04397', NULL, 'SecA2_Bac_anthr: accessory Sec system translocase SecA2', 774, NULL, 'TIGR04397', 197454),
(253729, 'TIGR01549', NULL, 'HAD-SF-IA-v1: HAD hydrolase, family IA, variant 1', 149, NULL, 'TIGR01549', 197455),
(253730, 'TIGR02559', NULL, 'HrpB7: type III secretion protein HrpB7', 158, NULL, 'TIGR02559', 197456),
(253731, 'TIGR01669', NULL, 'phage_XkdX: phage uncharacterized protein, XkdX family', 45, NULL, 'TIGR01669', 197457),
(253732, 'TIGR04286', NULL, 'MSEP-CTERM: MSEP-CTERM protein', 920, NULL, 'TIGR04286', 197458),
(253733, 'TIGR00469', NULL, 'pheS_mito: phenylalanine--tRNA ligase', 451, NULL, 'TIGR00469', 197459),
(253734, 'TIGR03036', NULL, 'trp_2_3_diox: tryptophan 2,3-dioxygenase', 264, NULL, 'TIGR03036', 197460),
(253735, 'TIGR02196', NULL, 'GlrX_YruB: glutaredoxin-like protein, YruB-family', 74, NULL, 'TIGR02196', 197461),
(253736, 'TIGR03871', NULL, 'ABC_peri_MoxJ_2: quinoprotein dehydrogenase-associated probable ABC transporter substrate-binding protein', 232, NULL, 'TIGR03871', 197462),
(253737, 'TIGR02981', NULL, 'phageshock_pspE: phage shock operon rhodanese PspE', 101, NULL, 'TIGR02981', 197463),
(253738, 'TIGR01781', NULL, 'Trep_dent_lipo: Treponema denticola clustered lipoprotein', 412, NULL, 'TIGR01781', 197464),
(253739, 'TIGR00891', NULL, '2A0112: MFS transporter, sialate:H+ symporter (SHS) family', 405, NULL, 'TIGR00891', 197465),
(253740, 'TIGR04102', NULL, 'SWIM_PBPRA1643: SWIM/SEC-C metal-binding motif protein, PBPRA1643 family', 108, NULL, 'TIGR04102', 197466),
(253741, 'TIGR02366', NULL, 'DHAK_reg: probable dihydroxyacetone kinase regulator', 176, NULL, 'TIGR02366', 197467),
(253742, 'TIGR01116', NULL, 'ATPase-IIA1_Ca: calcium-translocating P-type ATPase, SERCA-type', 799, NULL, 'TIGR01116', 197468),
(253743, 'TIGR01951', NULL, 'nusB: transcription antitermination factor NusB', 131, NULL, 'TIGR01951', 197469);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(253744, 'TIGR02012', NULL, 'tigrfam_recA: protein RecA', 321, NULL, 'TIGR02012', 197470),
(253745, 'TIGR01807', NULL, 'CM_P2: chorismate mutase', 76, NULL, 'TIGR01807', 197471),
(253746, 'TIGR03206', NULL, 'benzo_BadH: 2-hydroxycyclohexanecarboxyl-CoA dehydrogenase', 250, NULL, 'TIGR03206', 197472),
(253747, 'TIGR00299', NULL, 'TIGR00299: TIGR00299 family protein', 382, NULL, 'TIGR00299', 197473),
(253748, 'TIGR01365', NULL, 'serC_2: phosphoserine aminotransferase', 374, NULL, 'TIGR01365', 197474),
(253749, 'TIGR01002', NULL, 'hlyII: beta-channel forming cytolysin', 313, NULL, 'TIGR01002', 197475),
(253750, 'TIGR01535', NULL, 'glucan_glucosid: glucan 1,4-alpha-glucosidase', 662, NULL, 'TIGR01535', 197476),
(253751, 'TIGR03692', NULL, 'ATP_dep_HslV: ATP-dependent protease HslVU, peptidase subunit', 171, NULL, 'TIGR03692', 197477),
(253752, 'TIGR03399', NULL, 'RNA_3prim_cycl: RNA 3''-phosphate cyclase', 326, NULL, 'TIGR03399', 197478),
(253753, 'TIGR03589', NULL, 'PseB: UDP-N-acetylglucosamine 4,6-dehydratase (inverting)', 324, NULL, 'TIGR03589', 197479),
(253754, 'TIGR00033', NULL, 'aroC: chorismate synthase', 351, NULL, 'TIGR00033', 197480),
(253755, 'TIGR01901', NULL, 'adhes_NPXG: filamentous hemagglutinin family N-terminal domain', 79, NULL, 'TIGR01901', 197481),
(253756, 'TIGR03405', NULL, 'Phn_Fe-ADH: phosphonate metabolism-associated iron-containing alcohol dehydrogenase', 355, NULL, 'TIGR03405', 197482),
(253757, 'TIGR02741', NULL, 'TraQ: type-F conjugative transfer system pilin chaperone TraQ', 93, NULL, 'TIGR02741', 197483),
(253758, 'TIGR01186', NULL, 'proV: glycine betaine/L-proline transport ATP binding subunit', 363, NULL, 'TIGR01186', 197484),
(253759, 'TIGR00727', NULL, 'ISP4_OPT: small oligopeptide transporter, OPT family', 681, NULL, 'TIGR00727', 197485),
(253760, 'TIGR00668', NULL, 'apaH: bis(5''-nucleosyl)-tetraphosphatase (symmetrical)', 279, NULL, 'TIGR00668', 197486),
(253761, 'TIGR02504', NULL, 'NrdJ_Z: ribonucleoside-diphosphate reductase, adenosylcobalamin-dependent', 606, NULL, 'TIGR02504', 197487),
(253762, 'TIGR01102', NULL, 'yscR: type III secretion apparatus protein, YscR/HrcR family', 202, NULL, 'TIGR01102', 197488),
(253763, 'TIGR03215', NULL, 'ac_ald_DH_ac: acetaldehyde dehydrogenase (acetylating)', 285, NULL, 'TIGR03215', 197489),
(253764, 'TIGR02067', NULL, 'his_9_HisN: histidinol-phosphatase', 252, NULL, 'TIGR02067', 197490),
(253765, 'TIGR03718', NULL, 'R_switched_Alx: integral membrane protein, TerC family', 303, NULL, 'TIGR03718', 197491),
(253766, 'TIGR00830', NULL, 'PTBA: PTS system, glucose subfamily, IIA component', 121, NULL, 'TIGR00830', 197492),
(253767, 'TIGR03077', NULL, 'not_gcvH: glycine cleavage protein H-like protein', 110, NULL, 'TIGR03077', 197493),
(253768, 'TIGR03528', NULL, '2_3_DAP_am_ly: diaminopropionate ammonia-lyase', 396, NULL, 'TIGR03528', 197494),
(253769, 'TIGR04356', NULL, 'grasp_GAK: ATP-grasp enzyme, GAK system', 287, NULL, 'TIGR04356', 197495),
(253770, 'TIGR00419', NULL, 'tim: triose-phosphate isomerase', 228, NULL, 'TIGR00419', 197496),
(253771, 'TIGR01737', NULL, 'FGAM_synth_I: phosphoribosylformylglycinamidine synthase I', 228, NULL, 'TIGR01737', 197497),
(253772, 'TIGR02688', NULL, 'TIGR02688: TIGR02688 family protein', 449, NULL, 'TIGR02688', 197498),
(253773, 'TIGR03862', NULL, 'flavo_PP4765: flavoprotein, TIGR03862 family', 376, NULL, 'TIGR03862', 197499),
(253774, 'TIGR01848', NULL, 'PHA_reg_PhaR: polyhydroxyalkanoate synthesis repressor PhaR', 107, NULL, 'TIGR01848', 197500),
(253775, 'TIGR02911', NULL, 'sulfite_red_B: sulfite reductase, subunit B', 261, NULL, 'TIGR02911', 197501),
(253776, 'TIGR00156', NULL, 'TIGR00156: TIGR00156 family protein', 128, NULL, 'TIGR00156', 197502),
(253777, 'TIGR00346', NULL, 'azlC: azaleucine resistance protein AzlC', 221, NULL, 'TIGR00346', 197503),
(253778, 'TIGR03496', NULL, 'FliI_clade1: flagellar protein export ATPase FliI', 414, NULL, 'TIGR03496', 197504),
(253779, 'TIGR00235', NULL, 'udk: uridine kinase', 207, NULL, 'TIGR00235', 197505),
(253780, 'TIGR04225', NULL, 'CshA_fibril_rpt: CshA-type fibril repeat', 104, NULL, 'TIGR04225', 197506);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(253781, 'TIGR01678', NULL, 'FAD_lactone_ox: sugar 1,4-lactone oxidases', 438, NULL, 'TIGR01678', 197507),
(253782, 'TIGR02053', NULL, 'MerA: mercury(II) reductase', 465, NULL, 'TIGR02053', 197508),
(253783, 'TIGR02852', NULL, 'spore_dpaB: dipicolinic acid synthetase, B subunit', 187, NULL, 'TIGR02852', 197509),
(253784, 'TIGR00405', NULL, 'KOW_elon_Spt5: transcription elongation factor Spt5', 145, NULL, 'TIGR00405', 197510),
(253785, 'TIGR00045', NULL, 'TIGR00045: glycerate kinase', 375, NULL, 'TIGR00045', 197511),
(253786, 'TIGR02518', NULL, 'EutH_ACDH: acetaldehyde dehydrogenase (acetylating)', 488, NULL, 'TIGR02518', 197512),
(253787, 'TIGR00176', NULL, 'mobB: molybdopterin-guanine dinucleotide biosynthesis protein B', 155, NULL, 'TIGR00176', 197513),
(253788, 'TIGR04526', NULL, 'predic_Ig_block: putative immunoglobulin-blocking virulence protein', 693, NULL, 'TIGR04526', 197514),
(253789, 'TIGR00489', NULL, 'aEF-1_beta: translation elongation factor aEF-1 beta', 88, NULL, 'TIGR00489', 197515),
(253790, 'TIGR00215', NULL, 'lpxB: lipid-A-disaccharide synthase', 382, NULL, 'TIGR00215', 197516),
(253791, 'TIGR02682', NULL, 'cas_csx11: CRISPR-associated protein, Csx11 family', 1007, NULL, 'TIGR02682', 197517),
(253792, 'TIGR03827', NULL, 'GNAT_ablB: putative beta-lysine N-acetyltransferase', 266, NULL, 'TIGR03827', 197518),
(253793, 'TIGR04465', NULL, 'ArgArg_F420: TAT-translocated F420-dependent dehydrogenase, FGD2 family', 364, NULL, 'TIGR04465', 197519),
(253794, 'TIGR02375', NULL, 'pseudoazurin: pseudoazurin', 116, NULL, 'TIGR02375', 197520),
(253795, 'TIGR02858', NULL, 'spore_III_AA: stage III sporulation protein AA', 272, NULL, 'TIGR02858', 197521),
(253796, 'TIGR02339', NULL, 'thermosome_arch: thermosome, various subunits, archaeal', 521, NULL, 'TIGR02339', 197522),
(253797, 'TIGR01628', NULL, 'PABP-1234: polyadenylate binding protein, human types 1, 2, 3, 4 family', 595, NULL, 'TIGR01628', 197523),
(253798, 'TIGR00249', NULL, 'sixA: phosphohistidine phosphatase SixA', 154, NULL, 'TIGR00249', 197524),
(253799, 'TIGR00768', NULL, 'rimK_fam: alpha-L-glutamate ligase, RimK family', 276, NULL, 'TIGR00768', 197525),
(253800, 'TIGR03256', NULL, 'met_CoM_red_alp: methyl-coenzyme M reductase, alpha subunit', 548, NULL, 'TIGR03256', 197526),
(253801, 'TIGR02257', NULL, 'cobalto_cobN: cobaltochelatase, CobN subunit', 1226, NULL, 'TIGR02257', 197527),
(253802, 'TIGR01057', NULL, 'topA_arch: DNA topoisomerase I', 618, NULL, 'TIGR01057', 197528),
(253803, 'TIGR03829', NULL, 'YokU_near_AblA: uncharacterized protein, YokU family', 89, NULL, 'TIGR03829', 197529),
(253804, 'TIGR03147', NULL, 'cyt_nit_nrfF: cytochrome c nitrite reductase, accessory protein NrfF', 126, NULL, 'TIGR03147', 197530),
(253805, 'TIGR04347', NULL, 'pseudo_SAM_Halo: pseudo-rSAM protein/SPASM domain protein', 390, NULL, 'TIGR04347', 197531),
(253806, 'TIGR01739', NULL, 'tegu_FGAM_synt: herpesvirus tegument protein/v-FGAM-synthase', 1206, NULL, 'TIGR01739', 197532),
(253807, 'TIGR01297', NULL, 'CDF: cation diffusion facilitator family transporter', 285, NULL, 'TIGR01297', 197533),
(253808, 'TIGR02995', NULL, 'ectoine_ehuB: ectoine/hydroxyectoine ABC transporter solute-binding protein EhuB', 275, NULL, 'TIGR02995', 197534),
(253809, 'TIGR00142', NULL, 'hycI: hydrogenase maturation peptidase HycI', 146, NULL, 'TIGR00142', 197535),
(253810, 'TIGR01840', NULL, 'esterase_phb: esterase, PHB depolymerase family', 213, NULL, 'TIGR01840', 197536),
(253811, 'TIGR02448', NULL, 'TIGR02448: conserverd hypothetical protein', 101, NULL, 'TIGR02448', 197537),
(253812, 'TIGR04538', NULL, 'P450_cycloAA_1: cytochrome P450, cyclodipeptide synthase-associated', 395, NULL, 'TIGR04538', 197538),
(253813, 'TIGR00721', NULL, 'tfx: DNA-binding protein, Tfx family', 137, NULL, 'TIGR00721', 197539),
(253814, 'TIGR02176', NULL, 'pyruv_ox_red: pyruvate:ferredoxin (flavodoxin) oxidoreductase', 1167, NULL, 'TIGR02176', 197540),
(253815, 'TIGR00305', NULL, 'TIGR00305: putative toxin-antitoxin system toxin component, PIN family', 115, NULL, 'TIGR00305', 197541);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(253816, 'TIGR02811', NULL, 'formate_TAT: formate dehydrogenase region TAT target', 66, NULL, 'TIGR02811', 197542),
(253817, 'TIGR00777', NULL, 'ahpD: alkylhydroperoxidase, AhpD family', 177, NULL, 'TIGR00777', 197543),
(253818, 'TIGR02618', NULL, 'tyr_phenol_ly: tyrosine phenol-lyase', 450, NULL, 'TIGR02618', 197544),
(253819, 'TIGR00659', NULL, 'TIGR00659: TIGR00659 family protein', 226, NULL, 'TIGR00659', 197545),
(253820, 'TIGR00086', NULL, 'smpB: SsrA-binding protein', 144, NULL, 'TIGR00086', 197546),
(253821, 'TIGR03419', NULL, 'NifU_clost: FeS cluster assembly scaffold protein NifU', 121, NULL, 'TIGR03419', 197547),
(253822, 'TIGR00414', NULL, 'serS: serine--tRNA ligase', 418, NULL, 'TIGR00414', 197548),
(253823, 'TIGR01916', NULL, 'F420_cofE: coenzyme F420-0:L-glutamate ligase', 244, NULL, 'TIGR01916', 197549),
(253824, 'TIGR00947', NULL, '2A73: putative bicarbonate transporter, IctB family', 425, NULL, 'TIGR00947', 197550),
(253825, 'TIGR03072', NULL, 'release_prfH: putative peptide chain release factor H', 200, NULL, 'TIGR03072', 197551),
(253826, 'TIGR01465', NULL, 'cobM_cbiF: precorrin-4 C11-methyltransferase', 247, NULL, 'TIGR01465', 197552),
(253827, 'TIGR03022', NULL, 'WbaP_sugtrans: undecaprenyl-phosphate galactose phosphotransferase WbaP', 456, NULL, 'TIGR03022', 197553),
(253828, 'TIGR04456', NULL, 'LruC_dom: LruC domain', 243, NULL, 'TIGR04456', 197554),
(253829, 'TIGR04524', NULL, 'mycoplas_M_dom: IgG-blocking virulence domain', 253, NULL, 'TIGR04524', 197555),
(253830, 'TIGR04177', NULL, 'exosort_XrtH: exosortase H, IPTLxxWG-CTERM-specific', 158, NULL, 'TIGR04177', 197556),
(253831, 'TIGR03145', NULL, 'cyt_nit_nrfE: cytochrome c nitrate reductase biogenesis protein NrfE', 631, NULL, 'TIGR03145', 197557),
(253832, 'TIGR00598', NULL, 'rad14: DNA repair protein', 171, NULL, 'TIGR00598', 197558),
(253833, 'TIGR01125', NULL, 'TIGR01125: ribosomal protein S12 methylthiotransferase RimO', 432, NULL, 'TIGR01125', 197559),
(253834, 'TIGR02627', NULL, 'rhamnulo_kin: rhamnulokinase', 454, NULL, 'TIGR02627', 197560),
(253835, 'TIGR03315', NULL, 'Se_ygfK: putative selenate reductase, YgfK subunit', 1012, NULL, 'TIGR03315', 197561),
(253836, 'TIGR03971', NULL, 'SDR_subfam_1: SDR family mycofactocin-dependent oxidoreductase', 271, NULL, 'TIGR03971', 197562),
(253837, 'TIGR00270', NULL, 'TIGR00270: TIGR00270 family protein', 154, NULL, 'TIGR00270', 197563),
(253838, 'TIGR01479', NULL, 'GMP_PMI: mannose-1-phosphate guanylyltransferase/mannose-6-phosphate isomerase', 467, NULL, 'TIGR01479', 197564),
(253839, 'TIGR01569', NULL, 'A_tha_TIGR01569: plant integral membrane protein TIGR01569', 154, NULL, 'TIGR01569', 197565),
(253840, 'TIGR01890', NULL, 'N-Ac-Glu-synth: amino-acid N-acetyltransferase', 429, NULL, 'TIGR01890', 197566),
(253841, 'TIGR03440', NULL, 'egtB_TIGR03440: ergothioneine biosynthesis protein EgtB', 406, NULL, 'TIGR03440', 197567),
(253842, 'TIGR04116', NULL, 'CXXX_rpt_assoc: CXXX repeat peptide modification system protein', 90, NULL, 'TIGR04116', 197568),
(253843, 'TIGR02509', NULL, 'type_III_yopR: type III secretion effector, YopR family', 131, NULL, 'TIGR02509', 197569),
(253844, 'TIGR01007', NULL, 'eps_fam: capsular exopolysaccharide family', 204, NULL, 'TIGR01007', 197570),
(253845, 'TIGR02802', NULL, 'Pal_lipo: peptidoglycan-associated lipoprotein', 104, NULL, 'TIGR02802', 197571),
(253846, 'TIGR03086', NULL, 'TIGR03086: TIGR03086 family protein', 180, NULL, 'TIGR03086', 197572),
(253847, 'TIGR01295', NULL, 'PedC_BrcD: putative bacteriocin transport accessory protein', 122, NULL, 'TIGR01295', 197573),
(253848, 'TIGR02920', NULL, 'acc_sec_Y2: accessory Sec system translocase SecY2', 395, NULL, 'TIGR02920', 197574),
(253849, 'TIGR03768', NULL, 'RPA4764: metallophosphoesterase, RPA4764 family', 547, NULL, 'TIGR03768', 197575),
(253850, 'TIGR01772', NULL, 'MDH_euk_gproteo: malate dehydrogenase, NAD-dependent', 313, NULL, 'TIGR01772', 197576),
(253851, 'TIGR02325', NULL, 'C_P_lyase_phnF: phosphonate metabolism transcriptional regulator PhnF', 238, NULL, 'TIGR02325', 197577);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(253852, 'TIGR00952', NULL, 'S15_bact: ribosomal protein uS15', 86, NULL, 'TIGR00952', 197578),
(253853, 'TIGR02436', NULL, 'TIGR02436: four helix bundle protein', 109, NULL, 'TIGR02436', 197579),
(253854, 'TIGR02266', NULL, 'gmx_TIGR02266: Myxococcus xanthus paralogous domain TIGR02266', 96, NULL, 'TIGR02266', 197580),
(253855, 'TIGR03938', NULL, 'deacetyl_PgaB: poly-beta-1,6-N-acetyl-D-glucosamine N-deacetylase PgaB', 618, NULL, 'TIGR03938', 197581),
(253856, 'TIGR01111', NULL, 'mtrA: tetrahydromethanopterin S-methyltransferase, subunit A', 238, NULL, 'TIGR01111', 197582),
(253857, 'TIGR01234', NULL, 'L-ribulokinase: ribulokinase', 536, NULL, 'TIGR01234', 197583),
(253858, 'TIGR02926', NULL, 'AhaH: ATP synthase archaeal, H subunit', 85, NULL, 'TIGR02926', 197584),
(253859, 'TIGR02872', NULL, 'spore_ytvI: sporulation integral membrane protein YtvI', 341, NULL, 'TIGR02872', 197585),
(253860, 'TIGR01957', NULL, 'nuoB_fam: NADH-quinone oxidoreductase, B subunit', 145, NULL, 'TIGR01957', 197586),
(253861, 'TIGR01663', NULL, 'PNK-3''Pase: polynucleotide kinase 3''-phosphatase', 520, NULL, 'TIGR01663', 197587),
(253862, 'TIGR04082', NULL, 'rSAM_for_selen: selenobiotic family peptide radical SAM maturase', 516, NULL, 'TIGR04082', 197588),
(253863, 'TIGR00836', NULL, 'amt: ammonium transporter', 406, NULL, 'TIGR00836', 197589),
(253864, 'TIGR01180', NULL, 'aman2_put: putative alpha-1,2-mannosidase', 749, NULL, 'TIGR01180', 197590),
(253865, 'TIGR03753', NULL, 'blh_monoox: beta-carotene 15,15''-monooxygenase, Brp/Blh family', 260, NULL, 'TIGR03753', 197591),
(253866, 'TIGR03993', NULL, 'hydrog_HybE: [NiFe] hydrogenase assembly chaperone, HybE family', 143, NULL, 'TIGR03993', 197592),
(253867, 'TIGR00782', NULL, 'ccoP: cytochrome c oxidase, cbb3-type, subunit III', 285, NULL, 'TIGR00782', 197593),
(253868, 'TIGR02668', NULL, 'moaA_archaeal: probable molybdenum cofactor biosynthesis protein A', 303, NULL, 'TIGR02668', 197594),
(253869, 'TIGR00201', NULL, 'comF: comF family protein', 190, NULL, 'TIGR00201', 197595),
(253870, 'TIGR02198', NULL, 'rfaE_dom_I: bifunctional protein RfaE, domain I', 315, NULL, 'TIGR02198', 197596),
(253871, 'TIGR00578', NULL, 'ku70: ATP-dependent DNA helicase II, 70 kDa subunit (ku70)', 586, NULL, 'TIGR00578', 197597),
(253872, 'TIGR03002', NULL, 'outer_YhbN_LptA: lipopolysaccharide transport periplasmic protein LptA', 142, NULL, 'TIGR03002', 197598),
(253873, 'TIGR01247', NULL, 'drrB: daunorubicin resistance ABC transporter membrane protein', 236, NULL, 'TIGR01247', 197599),
(253874, 'TIGR03242', NULL, 'arg_catab_astE: succinylglutamate desuccinylase', 319, NULL, 'TIGR03242', 197600),
(253875, 'TIGR04252', NULL, 'SCM_precur_ScmA: SynChlorMet cassette protein ScmA', 49, NULL, 'TIGR04252', 197601),
(253876, 'TIGR01404', NULL, 'FlhB_rel_III: type III secretion protein, YscU/HrpY family', 342, NULL, 'TIGR01404', 197602),
(253877, 'TIGR02162', NULL, 'torC: trimethylamine-N-oxide reductase c-type cytochrome TorC', 387, NULL, 'TIGR02162', 197603),
(253878, 'TIGR01493', NULL, 'HAD-SF-IA-v2: HAD hydrolase, family IA, variant 2', 161, NULL, 'TIGR01493', 197604),
(253879, 'TIGR01787', NULL, 'squalene_cyclas: squalene/oxidosqualene cyclases', 622, NULL, 'TIGR01787', 197605),
(253880, 'TIGR03877', NULL, 'thermo_KaiC_1: KaiC domain protein, Ph0284 family', 238, NULL, 'TIGR03877', 197606),
(253881, 'TIGR03583', NULL, 'EF_0837: putative amidohydrolase, EF_0837/AHA_3915 family', 365, NULL, 'TIGR03583', 197607),
(253882, 'TIGR00237', NULL, 'xseA: exodeoxyribonuclease VII, large subunit', 389, NULL, 'TIGR00237', 197608),
(253883, 'TIGR03678', NULL, 'het_cyc_patell: bacteriocin leader peptide, microcyclamide/patellamide family', 34, NULL, 'TIGR03678', 197609),
(253884, 'TIGR00911', NULL, '2A0308: L-type amino acid transporter', 505, NULL, 'TIGR00911', 197610),
(253885, 'TIGR03167', NULL, 'tRNA_sel_U_synt: tRNA 2-selenouridine synthase', 311, NULL, 'TIGR03167', 197611),
(253886, 'TIGR03609', NULL, 'S_layer_CsaB: polysaccharide pyruvyl transferase CsaB', 301, NULL, 'TIGR03609', 197612),
(253887, 'TIGR01077', NULL, 'L13_A_E: ribosomal protein uL13', 141, NULL, 'TIGR01077', 197613);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(253888, 'TIGR03337', NULL, 'phnR: phosphonate utilization transcriptional regulator PhnR', 231, NULL, 'TIGR03337', 197614),
(253889, 'TIGR01152', NULL, 'psbD: photosystem II D2 protein (photosystem q(a) protein)', 352, NULL, 'TIGR01152', 197615),
(253890, 'TIGR01519', NULL, 'plasmod_dom_1: Plasmodium falciparum uncharacterized domain', 70, NULL, 'TIGR01519', 197616),
(253891, 'TIGR02244', NULL, 'HAD-IG-Ncltidse: HAD superfamily (subfamily IG) hydrolase, 5''-nucleotidase', 343, NULL, 'TIGR02244', 197617),
(253892, 'TIGR00653', NULL, 'GlnA: glutamine synthetase, type I', 462, NULL, 'TIGR00653', 197618),
(253893, 'TIGR01862', NULL, 'N2-ase-Ialpha: nitrogenase component I, alpha chain', 444, NULL, 'TIGR01862', 197619),
(253894, 'TIGR03712', NULL, 'acc_sec_asp2: accessory Sec system protein Asp2', 511, NULL, 'TIGR03712', 197620),
(253895, 'TIGR00707', NULL, 'argD: transaminase, acetylornithine/succinylornithine family', 381, NULL, 'TIGR00707', 197621),
(253896, 'TIGR00980', NULL, '3a0801so1tim17: mitochondrial import inner membrane translocase subunit tim17', 170, NULL, 'TIGR00980', 197622),
(253897, 'TIGR03555', NULL, 'F420_mer: 5,10-methylenetetrahydromethanopterin reductase', 325, NULL, 'TIGR03555', 197623),
(253898, 'TIGR02484', NULL, 'CitB: CitB domain protein', 372, NULL, 'TIGR02484', 197624),
(253899, 'TIGR02190', NULL, 'GlrX-dom: glutaredoxin-family domain', 79, NULL, 'TIGR02190', 197625),
(253900, 'TIGR01533', NULL, 'lipo_e_P4: 5''-nucleotidase, lipoprotein e(P4) family', 273, NULL, 'TIGR01533', 197626),
(253901, 'TIGR00031', NULL, 'UDP-GALP_mutase: UDP-galactopyranose mutase', 378, NULL, 'TIGR00031', 197627),
(253902, 'TIGR00483', NULL, 'EF-1_alpha: translation elongation factor EF-1, subunit alpha', 427, NULL, 'TIGR00483', 197628),
(253903, 'TIGR00537', NULL, 'hemK_rel_arch: putative methylase', 179, NULL, 'TIGR00537', 197629),
(253904, 'TIGR02216', NULL, 'phage_TIGR02216: phage conserved hypothetical protein', 58, NULL, 'TIGR02216', 197630),
(253905, 'TIGR01206', NULL, 'lysW: lysine biosynthesis protein LysW', 54, NULL, 'TIGR01206', 197631),
(253906, 'TIGR02360', NULL, 'pbenz_hydroxyl: 4-hydroxybenzoate 3-monooxygenase', 390, NULL, 'TIGR02360', 197632),
(253907, 'TIGR02498', NULL, 'type_III_ssaH: type III secretion system protein, SsaH family', 79, NULL, 'TIGR02498', 197633),
(253908, 'TIGR01985', NULL, 'phasin_2: phasin', 123, NULL, 'TIGR01985', 197634),
(253909, 'TIGR03195', NULL, '4hydrxCoA_B: 4-hydroxybenzoyl-CoA reductase, beta subunit', 321, NULL, 'TIGR03195', 197635),
(253910, 'TIGR03385', NULL, 'CoA_CoA_reduc: CoA-disulfide reductase', 439, NULL, 'TIGR03385', 197636),
(253911, 'TIGR04211', NULL, 'SH3_and_anchor: SH3 domain protein', 198, NULL, 'TIGR04211', 197637),
(253912, 'TIGR00523', NULL, 'eIF-1A: translation initiation factor eIF-1A', 98, NULL, 'TIGR00523', 197638),
(253913, 'TIGR04048', NULL, 'nitrile_sll0784: putative nitrilase, sll0784 family', 301, NULL, 'TIGR04048', 197639),
(253914, 'TIGR01547', NULL, 'phage_term_2: phage terminase, large subunit, PBSX family', 396, NULL, 'TIGR01547', 197640),
(253915, 'TIGR03365', NULL, 'Bsubt_queE: 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', 238, NULL, 'TIGR03365', 197641),
(253916, 'TIGR01540', NULL, 'portal_PBSX: phage portal protein, PBSX family', 320, NULL, 'TIGR01540', 197642),
(253917, 'TIGR02708', NULL, 'L_lactate_ox: L-lactate oxidase', 367, NULL, 'TIGR02708', 197643),
(253918, 'TIGR01350', NULL, 'lipoamide_DH: dihydrolipoyl dehydrogenase', 461, NULL, 'TIGR01350', 197644),
(253919, 'TIGR01717', NULL, 'AMP-nucleosdse: AMP nucleosidase', 478, NULL, 'TIGR01717', 197645),
(253920, 'TIGR04238', NULL, 'seadorna_dsRNA: seadornavirus double-stranded RNA-binding protein', 201, NULL, 'TIGR04238', 197646),
(253921, 'TIGR01424', NULL, 'gluta_reduc_2: glutathione-disulfide reductase', 446, NULL, 'TIGR01424', 197647),
(253922, 'TIGR01370', NULL, 'TIGR01370: extracellular protein', 315, NULL, 'TIGR01370', 197648),
(253923, 'TIGR00455', NULL, 'apsK: adenylyl-sulfate kinase', 184, NULL, 'TIGR00455', 197649),
(253924, 'TIGR00646', NULL, 'MG010: DNA primase-like protein', 218, NULL, 'TIGR00646', 197650);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(253925, 'TIGR02491', NULL, 'NrdG: anaerobic ribonucleoside-triphosphate reductase activating protein', 154, NULL, 'TIGR02491', 197651),
(253926, 'TIGR02579', NULL, 'cas_csx3: CRISPR-associated protein, Csx3 family', 83, NULL, 'TIGR02579', 197652),
(253927, 'TIGR00509', NULL, 'bisC_fam: molybdopterin guanine dinucleotide-containing S/N-oxide reductases', 772, NULL, 'TIGR00509', 197653),
(253928, 'TIGR04068', NULL, 'rSAM_ocin_clost: Cys-rich peptide radical SAM maturase CcpM', 462, NULL, 'TIGR04068', 197654),
(253929, 'TIGR00592', NULL, 'pol2: DNA polymerase (pol2)', 1176, NULL, 'TIGR00592', 197655),
(253930, 'TIGR03514', NULL, 'GldB_lipo: gliding motility-associated lipoprotein GldB', 322, NULL, 'TIGR03514', 197656),
(253931, 'TIGR04171', NULL, 'RNR_1b_NrdF: ribonucleoside-diphosphate reductase, class 1b, beta subunit', 316, NULL, 'TIGR04171', 197657),
(253932, 'TIGR01971', NULL, 'NuoI: NADH-quinone oxidoreductase, chain I', 121, NULL, 'TIGR01971', 197658),
(253933, 'TIGR03460', NULL, 'crt_membr_arch: carotene biosynthesis associated membrane protein', 248, NULL, 'TIGR03460', 197659),
(253934, 'TIGR01091', NULL, 'upp: uracil phosphoribosyltransferase', 207, NULL, 'TIGR01091', 197660),
(253935, 'TIGR01166', NULL, 'cbiO: cobalt ABC transporter, ATP-binding protein', 190, NULL, 'TIGR01166', 197661),
(253936, 'TIGR01731', NULL, 'fil_hemag_20aa: adhesin HecA family 20-residue repeat (two copies)', 40, NULL, 'TIGR01731', 197662),
(253937, 'TIGR04429', NULL, 'Phr_nterm: Phr family secreted Rap phosphatase inhibitor', 28, NULL, 'TIGR04429', 197663),
(253938, 'TIGR03930', NULL, 'WXG100_ESAT6: WXG100 family type VII secretion target', 90, NULL, 'TIGR03930', 197664),
(253939, 'TIGR00011', NULL, 'YbaK_EbsC: Cys-tRNA(Pro) deacylase', 152, NULL, 'TIGR00011', 197665),
(253940, 'TIGR03099', NULL, 'dCO2ase_PEP1: pyridoxal-dependent decarboxylase, exosortase A system-associated', 398, NULL, 'TIGR03099', 197666),
(253941, 'TIGR00285', NULL, 'TIGR00285: DNA-binding protein Alba', 87, NULL, 'TIGR00285', 197667),
(253942, 'TIGR02026', NULL, 'BchE: magnesium-protoporphyrin IX monomethyl ester anaerobic oxidative cyclase', 497, NULL, 'TIGR02026', 197668),
(253943, 'TIGR04034', NULL, 'export_SdpA: antimicrobial peptide system protein, SdpA family', 157, NULL, 'TIGR04034', 197669),
(253944, 'TIGR03569', NULL, 'NeuB_NnaB: N-acetylneuraminate synthase', 329, NULL, 'TIGR03569', 197670),
(253945, 'TIGR02414', NULL, 'pepN_proteo: aminopeptidase N', 868, NULL, 'TIGR02414', 197671),
(253946, 'TIGR02654', NULL, 'circ_KaiB: circadian clock protein KaiB', 87, NULL, 'TIGR02654', 197672),
(253947, 'TIGR04504', NULL, 'SDR_subfam_2: SDR family mycofactocin-dependent oxidoreductase', 260, NULL, 'TIGR04504', 197673),
(253948, 'TIGR00871', NULL, 'zwf: glucose-6-phosphate dehydrogenase', 486, NULL, 'TIGR00871', 197674),
(253949, 'TIGR03821', NULL, 'EFP_modif_epmB: EF-P beta-lysylation protein EpmB', 321, NULL, 'TIGR03821', 197675),
(253950, 'TIGR02961', NULL, 'allantoicase: allantoicase', 324, NULL, 'TIGR02961', 197676),
(253951, 'TIGR04096', NULL, 'dnd_rel_methyl: DNA phosphorothioation-associated putative methyltransferase', 478, NULL, 'TIGR04096', 197677),
(253952, 'TIGR02886', NULL, 'spore_II_AA: anti-sigma F factor antagonist', 106, NULL, 'TIGR02886', 197678),
(253953, 'TIGR02791', NULL, 'VirB5: P-type DNA transfer protein VirB5', 220, NULL, 'TIGR02791', 197679),
(253954, 'TIGR02081', NULL, 'metW: methionine biosynthesis protein MetW', 194, NULL, 'TIGR02081', 197680),
(253955, 'TIGR03111', NULL, 'glyc2_xrt_Gpos1: putative glycosyltransferase, exosortase G-associated', 439, NULL, 'TIGR03111', 197681),
(253956, 'TIGR04341', NULL, 'target_ACGX: ACGX-repeat peptide', 65, NULL, 'TIGR04341', 197682),
(253957, 'TIGR04266', NULL, 'NDMA_methanol: NDMA-dependent methanol dehydrogenase', 420, NULL, 'TIGR04266', 197683),
(253958, 'TIGR00816', NULL, 'tdt: C4-dicarboxylate transporter/malic acid transport protein', 320, NULL, 'TIGR00816', 197684),
(253959, 'TIGR02251', NULL, 'HIF-SF_euk: dullard-like phosphatase domain', 168, NULL, 'TIGR02251', 197685);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(253960, 'TIGR01329', NULL, 'cysta_beta_ly_E: cystathionine beta-lyase', 383, NULL, 'TIGR01329', 197686),
(253961, 'TIGR02107', NULL, 'PQQ_syn_pqqA: coenzyme PQQ precursor peptide PqqA', 21, NULL, 'TIGR02107', 197687),
(253962, 'TIGR00564', NULL, 'trpE_most: anthranilate synthase component I', 455, NULL, 'TIGR00564', 197688),
(253963, 'TIGR02749', NULL, 'prenyl_cyano: solanesyl diphosphate synthase', 322, NULL, 'TIGR02749', 197689),
(253964, 'TIGR00120', NULL, 'ArgJ: glutamate N-acetyltransferase/amino-acid acetyltransferase', 405, NULL, 'TIGR00120', 197690),
(253965, 'TIGR01622', NULL, 'SF-CC1: splicing factor, CC1-like family', 500, NULL, 'TIGR01622', 197691),
(253966, 'TIGR02777', NULL, 'LigD_PE_dom: DNA ligase D, 3''-phosphoesterase domain', 156, NULL, 'TIGR02777', 197692),
(253967, 'TIGR04280', NULL, 'geopep_mat_rSAM: putative geopeptide radical SAM maturase', 428, NULL, 'TIGR04280', 197693),
(253968, 'TIGR00394', NULL, 'lac_pts_IIC: PTS system, lactose-specific IIC component', 412, NULL, 'TIGR00394', 197694),
(253969, 'TIGR01896', NULL, 'cas_AF1879: CRISPR-associated protein Cas4/Csa1, subtype I-A/APERN', 273, NULL, 'TIGR01896', 197695),
(253970, 'TIGR00106', NULL, 'TIGR00106: uncharacterized protein, MTH1187 family', 97, NULL, 'TIGR00106', 197696),
(253971, 'TIGR01138', NULL, 'cysM: cysteine synthase B', 290, NULL, 'TIGR01138', 197697),
(253972, 'TIGR04334', NULL, 'rSAM_Clo7bot: radical SAM/SPASM domain Clo7bot peptide maturase', 440, NULL, 'TIGR04334', 197698),
(253973, 'TIGR04320', NULL, 'Surf_Exclu_PgrA: SEC10/PgrA surface exclusion domain', 360, NULL, 'TIGR04320', 197699),
(253974, 'TIGR01261', NULL, 'hisB_Nterm: histidinol-phosphatase', 161, NULL, 'TIGR01261', 197700),
(253975, 'TIGR01608', NULL, 'citD: citrate lyase acyl carrier protein', 94, NULL, 'TIGR01608', 197701),
(253976, 'TIGR02817', NULL, 'adh_fam_1: zinc-binding alcohol dehydrogenase family protein', 336, NULL, 'TIGR02817', 197702),
(253977, 'TIGR03644', NULL, 'marine_trans_1: probable ammonium transporter, marine subtype', 404, NULL, 'TIGR03644', 197703),
(253978, 'TIGR02933', NULL, 'nifM_nitrog: nitrogen fixation protein NifM', 256, NULL, 'TIGR02933', 197704),
(253979, 'TIGR01315', NULL, '5C_CHO_kinase: FGGY-family pentulose kinase', 541, NULL, 'TIGR01315', 197705),
(253980, 'TIGR04450', NULL, 'Gpos_C8_like: putative immunity protein/bacteriocin', 240, NULL, 'TIGR04450', 197706),
(253981, 'TIGR03630', NULL, 'uS17_arch: ribosomal protein uS17', 102, NULL, 'TIGR03630', 197707),
(253982, 'TIGR04306', NULL, 'salvage_TenA: thiaminase II', 208, NULL, 'TIGR04306', 197708),
(253983, 'TIGR02121', NULL, 'Na_Pro_sym: sodium/proline symporter', 488, NULL, 'TIGR02121', 197709),
(253984, 'TIGR03623', NULL, 'TIGR03623: probable DNA repair protein', 876, NULL, 'TIGR03623', 197710),
(253985, 'TIGR03276', NULL, 'Phn-HD: phosphonate degradation operons associated HDIG domain protein', 179, NULL, 'TIGR03276', 197711),
(253986, 'TIGR02763', NULL, 'chlamy_scaf: scaffolding protein', 114, NULL, 'TIGR02763', 197712),
(253987, 'TIGR02135', NULL, 'phoU_full: phosphate transport system regulatory protein PhoU', 212, NULL, 'TIGR02135', 197713),
(253988, 'TIGR03637', NULL, 'cas1_YPEST: CRISPR-associated endonuclease Cas1, subtype I-F/YPEST', 307, NULL, 'TIGR03637', 197714),
(253989, 'TIGR04143', NULL, 'VPxxxP_CTERM: VPXXXP-CTERM protein sorting domain', 25, NULL, 'TIGR04143', 197715),
(253990, 'TIGR00618', NULL, 'sbcc: exonuclease SbcC', 1043, NULL, 'TIGR00618', 197716),
(253991, 'TIGR02305', NULL, 'HpaG-N-term: 4-hydroxyphenylacetate degradation bifunctional isomerase/decarboxylase, N-terminal subunit', 205, NULL, 'TIGR02305', 197717),
(253992, 'TIGR03807', NULL, 'RR_fam_repeat: putative cofactor-binding repeat', 27, NULL, 'TIGR03807', 197718),
(253993, 'TIGR01275', NULL, 'ACC_deam_rel: pyridoxal phosphate-dependent enzymes, D-cysteine desulfhydrase family', 321, NULL, 'TIGR01275', 197719),
(253994, 'TIGR00762', NULL, 'DegV: EDD domain protein, DegV family', 276, NULL, 'TIGR00762', 197720),
(253995, 'TIGR02786', NULL, 'addB_alphas: double-strand break repair protein AddB', 1024, NULL, 'TIGR02786', 197721);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(253996, 'TIGR01803', NULL, 'CM-like: chorismate mutase related enzymes', 82, NULL, 'TIGR01803', 197722),
(253997, 'TIGR02321', NULL, 'Pphn_pyruv_hyd: phosphonopyruvate hydrolase', 290, NULL, 'TIGR02321', 197723),
(253998, 'TIGR00231', NULL, 'small_GTP: small GTP-binding protein domain', 164, NULL, 'TIGR00231', 197724),
(253999, 'TIGR01955', NULL, 'RfaH: transcription elongation factor/antiterminator RfaH', 159, NULL, 'TIGR01955', 197725),
(254000, 'TIGR01182', NULL, 'eda: 2-dehydro-3-deoxyphosphogluconate aldolase/4-hydroxy-2-oxoglutarate aldolase', 204, NULL, 'TIGR01182', 197726),
(254001, 'TIGR02473', NULL, 'flagell_FliJ: flagellar export protein FliJ', 141, NULL, 'TIGR02473', 197727),
(254002, 'TIGR03272', NULL, 'methan_mark_6: putative methanogenesis marker protein 6', 132, NULL, 'TIGR03272', 197728),
(254003, 'TIGR00008', NULL, 'infA: translation initiation factor IF-1', 69, NULL, 'TIGR00008', 197729),
(254004, 'TIGR03120', NULL, 'one_C_mch: methenyltetrahydromethanopterin cyclohydrolase', 313, NULL, 'TIGR03120', 197730),
(254005, 'TIGR03392', NULL, 'FeS_syn_CsdA: cysteine desulfurase, catalytic subunit CsdA', 398, NULL, 'TIGR03392', 197731),
(254006, 'TIGR04563', NULL, 'TIGR04563: MXAN_4361/MXAN_4362 family small protein', 53, NULL, 'TIGR04563', 197732),
(254007, 'TIGR00696', NULL, 'wecG_tagA_cpsF: glycosyltransferase, WecB/TagA/CpsF family', 178, NULL, 'TIGR00696', 197733),
(254008, 'TIGR01030', NULL, 'rpmH_bact: ribosomal protein bL34', 44, NULL, 'TIGR01030', 197734),
(254009, 'TIGR02602', NULL, '8TM_EpsH: exosortase', 241, NULL, 'TIGR02602', 197735),
(254010, 'TIGR00383', NULL, 'corA: magnesium and cobalt transport protein CorA', 320, NULL, 'TIGR00383', 197736),
(254011, 'TIGR00070', NULL, 'hisG: ATP phosphoribosyltransferase', 183, NULL, 'TIGR00070', 197737),
(254012, 'TIGR01987', NULL, 'HI0074: nucleotidyltransferase substrate binding protein, HI0074 family', 123, NULL, 'TIGR01987', 197738),
(254013, 'TIGR00512', NULL, 'salvage_mtnA: S-methyl-5-thioribose-1-phosphate isomerase', 335, NULL, 'TIGR00512', 197739),
(254014, 'TIGR00977', NULL, 'citramal_synth: citramalate synthase', 526, NULL, 'TIGR00977', 197740),
(254015, 'TIGR00544', NULL, 'lgt: prolipoprotein diacylglyceryl transferase', 280, NULL, 'TIGR00544', 197741),
(254016, 'TIGR01463', NULL, 'mtaA_cmuA: methyltransferase, MtaA/CmuA family', 340, NULL, 'TIGR01463', 197742),
(254017, 'TIGR02192', NULL, 'HtrL_YibB: protein YibB', 270, NULL, 'TIGR02192', 197743),
(254018, 'TIGR03612', NULL, 'RutA: pyrimidine utilization protein A', 355, NULL, 'TIGR03612', 197744),
(254019, 'TIGR02634', NULL, 'xylF: D-xylose ABC transporter, D-xylose-binding protein', 302, NULL, 'TIGR02634', 197745),
(254020, 'TIGR04531', NULL, 'nonproteo_OH: putative nonproteinogenic amino acid hydroxylase', 277, NULL, 'TIGR04531', 197746),
(254021, 'TIGR01522', NULL, 'ATPase-IIA2_Ca: calcium-transporting P-type ATPase, PMR1-type', 854, NULL, 'TIGR01522', 197747),
(254022, 'TIGR02441', NULL, 'fa_ox_alpha_mit: fatty acid oxidation complex, alpha subunit, mitochondrial', 737, NULL, 'TIGR02441', 197748),
(254023, 'TIGR00351', NULL, 'narI: respiratory nitrate reductase, gamma subunit', 225, NULL, 'TIGR00351', 197749),
(254024, 'TIGR03049', NULL, 'PS_I_psaK: photosystem I reaction center subunit PsaK', 81, NULL, 'TIGR03049', 197750),
(254025, 'TIGR03553', NULL, 'F420_FbiB_CTERM: F420 biosynthesis protein FbiB, C-terminal domain', 194, NULL, 'TIGR03553', 197751),
(254026, 'TIGR04282', NULL, 'glyco_like_cofC: transferase 1, rSAM/selenodomain-associated', 189, NULL, 'TIGR04282', 197752),
(254027, 'TIGR02294', NULL, 'nickel_nikA: nickel ABC transporter, nickel/metallophore periplasmic binding protein', 501, NULL, 'TIGR02294', 197753),
(254028, 'TIGR03796', NULL, 'NHLM_micro_ABC1: NHLM bacteriocin system ABC transporter, peptidase/ATP-binding protein', 710, NULL, 'TIGR03796', 197754),
(254029, 'TIGR02039', NULL, 'CysD: sulfate adenylyltransferase, small subunit', 294, NULL, 'TIGR02039', 197755),
(254030, 'TIGR04009', NULL, 'wcaE: colanic acid biosynthesis glycosyltransferase WcaE', 248, NULL, 'TIGR04009', 197756);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(254031, 'TIGR02813', NULL, 'omega_3_PfaA: polyketide-type polyunsaturated fatty acid synthase PfaA', 2582, NULL, 'TIGR02813', 197757),
(254032, 'TIGR01311', NULL, 'glycerol_kin: glycerol kinase', 496, NULL, 'TIGR01311', 197758),
(254033, 'TIGR01624', NULL, 'LRP1_Cterm: LRP1 C-terminal domain', 50, NULL, 'TIGR01624', 197759),
(254034, 'TIGR02262', NULL, 'benz_CoA_lig: benzoate-CoA ligase family', 508, NULL, 'TIGR02262', 197760),
(254035, 'TIGR03451', NULL, 'mycoS_dep_FDH: S-(hydroxymethyl)mycothiol dehydrogenase', 358, NULL, 'TIGR03451', 197761),
(254036, 'TIGR00825', NULL, 'EIIBC-GUT: PTS system, glucitol/sorbitol-specific, IIBC component', 331, NULL, 'TIGR00825', 197762),
(254037, 'TIGR01744', NULL, 'XPRTase: xanthine phosphoribosyltransferase', 191, NULL, 'TIGR01744', 197763),
(254038, 'TIGR03732', NULL, 'lanti_perm_MutE: lantibiotic protection ABC transporter permease subunit, MutE/EpiE family', 241, NULL, 'TIGR03732', 197764),
(254039, 'TIGR01343', NULL, 'hacA_fam: homoaconitate hydratase family protein', 412, NULL, 'TIGR01343', 197765),
(254040, 'TIGR04191', NULL, 'YphP_YqiW: putative bacilliredoxin, YphP/YqiW family', 136, NULL, 'TIGR04191', 197766),
(254041, 'TIGR03331', NULL, 'SAM_DCase_Eco: S-adenosylmethionine decarboxylase proenzyme', 259, NULL, 'TIGR03331', 197767),
(254042, 'TIGR04250', NULL, 'SCM_rSAM_ScmE: SynChlorMet cassette radical SAM/SPASM protein ScmE', 358, NULL, 'TIGR04250', 197768),
(254043, 'TIGR00843', NULL, 'benE: benzoate transporter', 395, NULL, 'TIGR00843', 197769),
(254044, 'TIGR02997', NULL, 'Sig70-cyanoRpoD: RNA polymerase sigma factor, cyanobacterial RpoD-like family', 298, NULL, 'TIGR02997', 197770),
(254045, 'TIGR04232', NULL, 'seadorna_VP3: seadornavirus VP3 protein', 731, NULL, 'TIGR04232', 197771),
(254046, 'TIGR02695', NULL, 'azurin: azurin', 125, NULL, 'TIGR02695', 197772),
(254047, 'TIGR00562', NULL, 'proto_IX_ox: protoporphyrinogen oxidase', 470, NULL, 'TIGR00562', 197773),
(254048, 'TIGR01495', NULL, 'ETRAMP: early transcribed membrane protein (ETRAMP) family', 85, NULL, 'TIGR01495', 197774),
(254049, 'TIGR04513', NULL, 'VPAMP_CTERM: VPAMP-CTERM protein sorting domain', 28, NULL, 'TIGR04513', 197775),
(254050, 'TIGR02040', NULL, 'PpsR-CrtJ: transcriptional regulator PpsR', 442, NULL, 'TIGR02040', 197776),
(254051, 'TIGR03483', NULL, 'FtsZ_alphas_C: cell division protein FtsZ, alphaProteobacterial C-terminal extension', 121, NULL, 'TIGR03483', 197777),
(254052, 'TIGR02230', NULL, 'ATPase_gene1: putative F0F1-ATPase subunit', 100, NULL, 'TIGR02230', 197778),
(254053, 'TIGR02845', NULL, 'spore_V_AD: stage V sporulation protein AD', 327, NULL, 'TIGR02845', 197779),
(254054, 'TIGR02754', NULL, 'sod_Ni_protease: nickel-type superoxide dismutase maturation protease', 90, NULL, 'TIGR02754', 197780),
(254055, 'TIGR03240', NULL, 'arg_catab_astD: succinylglutamate-semialdehyde dehydrogenase', 484, NULL, 'TIGR03240', 197781),
(254056, 'TIGR03764', NULL, 'ICE_PFGI_1_parB: integrating conjugative element, PFGI_1 class, ParB family protein', 260, NULL, 'TIGR03764', 197782),
(254057, 'TIGR01835', NULL, 'HMG-CoA-S_prok: hydroxymethylglutaryl-CoA synthase', 382, NULL, 'TIGR01835', 197783),
(254058, 'TIGR01776', NULL, 'TonB-tbp-lbp: TonB-dependent lactoferrin and transferrin receptors', 946, NULL, 'TIGR01776', 197784),
(254059, 'TIGR00333', NULL, 'nrdI: nrdI protein', 127, NULL, 'TIGR00333', 197785),
(254060, 'TIGR02736', NULL, 'cbb3_Q_epsi: cytochrome c oxidase, cbb3-type, CcoQ subunit', 56, NULL, 'TIGR02736', 197786),
(254061, 'TIGR03374', NULL, 'ABALDH: 1-pyrroline dehydrogenase', 472, NULL, 'TIGR03374', 197787),
(254062, 'TIGR02856', NULL, 'spore_yqfC: sporulation protein YqfC', 85, NULL, 'TIGR02856', 197788),
(254063, 'TIGR00798', NULL, 'mtc: tricarboxylate carrier', 317, NULL, 'TIGR00798', 197789),
(254064, 'TIGR01701', NULL, 'Fdhalpha-like: oxidoreductase alpha (molybdopterin) subunit', 744, NULL, 'TIGR01701', 197790),
(254065, 'TIGR00766', NULL, 'TIGR00766: inner membrane protein YhjD', 263, NULL, 'TIGR00766', 197791),
(254066, 'TIGR03494', NULL, 'salicyl_syn: salicylate synthase', 425, NULL, 'TIGR03494', 197792);
INSERT INTO "PUBLIC"."MODEL" VALUES
(254067, 'TIGR03943', NULL, 'TIGR03943: TIGR03943 family protein', 221, NULL, 'TIGR03943', 197793),
(254068, 'TIGR01132', NULL, 'pgm: phosphoglucomutase, alpha-D-glucose phosphate-specific', 546, NULL, 'TIGR01132', 197794),
(254069, 'TIGR02028', NULL, 'ChlP: geranylgeranyl reductase', 398, NULL, 'TIGR02028', 197795),
(254070, 'TIGR02309', NULL, 'HpaB-1: 4-hydroxyphenylacetate 3-monooxygenase, oxygenase component', 477, NULL, 'TIGR02309', 197796),
(254071, 'TIGR02684', NULL, 'dnstrm_HI1420: probable addiction module antidote protein', 89, NULL, 'TIGR02684', 197797),
(254072, 'TIGR01885', NULL, 'Orn_aminotrans: ornithine--oxo-acid transaminase', 402, NULL, 'TIGR01885', 197798),
(254073, 'TIGR00614', NULL, 'recQ_fam: ATP-dependent DNA helicase, RecQ family', 470, NULL, 'TIGR00614', 197799),
(254074, 'TIGR04461', NULL, 'endura_MppQ: enduracididine biosynthesis enzyme MppQ', 392, NULL, 'TIGR04461', 197800),
(254075, 'TIGR00902', NULL, '2A0127: MFS transporter, phenyl propionate permease (PPP) family', 388, NULL, 'TIGR00902', 197801),
(254076, 'TIGR02500', NULL, 'type_III_yscD: type III secretion apparatus protein, YscD/HrpQ family', 413, NULL, 'TIGR02500', 197802),
(254077, 'TIGR00442', NULL, 'hisS: histidine--tRNA ligase', 406, NULL, 'TIGR00442', 197803),
(254078, 'TIGR01597', NULL, 'PYST-B: Plasmodium yoelii subtelomeric family PYST-B', 256, NULL, 'TIGR01597', 197804),
(254079, 'TIGR01420', NULL, 'pilT_fam: twitching motility protein', 343, NULL, 'TIGR01420', 197805),
(254080, 'TIGR04118', NULL, 'Cxxx_AC3_0185: modification target Cys-rich peptide, AC3_0185 family', 46, NULL, 'TIGR04118', 197806),
(254081, 'TIGR00485', NULL, 'EF-Tu: translation elongation factor Tu', 394, NULL, 'TIGR00485', 197807),
(254082, 'TIGR03655', NULL, 'anti_R_Lar: restriction alleviation protein, Lar family', 55, NULL, 'TIGR03655', 197808),
(254083, 'TIGR04180', NULL, 'EDH_00030: NAD dependent epimerase/dehydratase, LLPSF_EDH_00030 family', 297, NULL, 'TIGR04180', 197809),
(254084, 'TIGR02965', NULL, 'xanthine_xdhB: xanthine dehydrogenase, molybdopterin binding subunit', 758, NULL, 'TIGR02965', 197810),
(254085, 'TIGR01349', NULL, 'PDHac_trf_mito: pyruvate dehydrogenase complex dihydrolipoamide acetyltransferase', 437, NULL, 'TIGR01349', 197811),
(254086, 'TIGR02051', NULL, 'MerR: Hg(II)-responsive transcriptional regulator', 124, NULL, 'TIGR02051', 197812),
(254087, 'TIGR00020', NULL, 'prfB: peptide chain release factor 2', 365, NULL, 'TIGR00020', 197813),
(254088, 'TIGR02110', NULL, 'PQQ_syn_pqqF: coenzyme PQQ biosynthesis protein PqqF', 697, NULL, 'TIGR02110', 197814),
(254089, 'TIGR01080', NULL, 'rplX_A_E: ribosomal protein uL24', 116, NULL, 'TIGR01080', 197815),
(254090, 'TIGR01361', NULL, 'DAHP_synth_Bsub: 3-deoxy-7-phosphoheptulonate synthase', 260, NULL, 'TIGR01361', 197816),
(254091, 'TIGR01241', NULL, 'FtsH_fam: ATP-dependent metallopeptidase HflB', 496, NULL, 'TIGR01241', 197817),
(254092, 'TIGR04059', NULL, 'Ald_deCOase: long-chain fatty aldehyde decarbonylase', 220, NULL, 'TIGR04059', 197818),
(254093, 'TIGR01878', NULL, 'cas_Csa5: CRISPR type I-A/APERN-associated protein Csa5', 107, NULL, 'TIGR01878', 197819),
(254094, 'TIGR02212', NULL, 'lolCE: lipoprotein releasing system, transmembrane protein, LolC/E family', 411, NULL, 'TIGR02212', 197820),
(254095, 'TIGR03714', NULL, 'secA2: accessory Sec system translocase SecA2', 762, NULL, 'TIGR03714', 197821),
(254096, 'TIGR04352', NULL, 'HprK_rel_A: HprK-related kinase A', 280, NULL, 'TIGR04352', 197822),
(254097, 'TIGR00723', NULL, 'ttdB_fumA_fumB: hydrolyase, tartrate beta subunit/fumarate domain protein, Fe-S type', 169, NULL, 'TIGR00723', 197823),
(254098, 'TIGR02863', NULL, 'spore_sspJ: small, acid-soluble spore protein, SspJ family', 47, NULL, 'TIGR02863', 197824),
(254099, 'TIGR00945', NULL, 'tatC: twin arginine-targeting protein translocase TatC', 215, NULL, 'TIGR00945', 197825),
(254100, 'TIGR03834', NULL, 'EAGR_box: EAGR box', 28, NULL, 'TIGR03834', 197826),
(254101, 'TIGR02160', NULL, 'PA_CoA_Oxy5: phenylacetate-CoA oxygenase/reductase, PaaK subunit', 352, NULL, 'TIGR02160', 197827);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(254102, 'TIGR03662', NULL, 'Chlor_Arch_YYY: chlor_Arch_YYY domain', 727, NULL, 'TIGR03662', 197828),
(254103, 'TIGR01413', NULL, 'Dyp_perox_fam: Dyp-type peroxidase family', 323, NULL, 'TIGR01413', 197829),
(254104, 'TIGR02396', NULL, 'diverge_rpsU: rpsU-divergently transcribed protein', 186, NULL, 'TIGR02396', 197830),
(254105, 'TIGR03898', NULL, 'lanti_MRSA_kill: type 2 lantibiotic, mersacidin/lichenicidin family', 44, NULL, 'TIGR03898', 197831),
(254106, 'TIGR02915', NULL, 'PEP_resp_reg: PEP-CTERM-box response regulator transcription factor', 445, NULL, 'TIGR02915', 197832),
(254107, 'TIGR02332', NULL, 'HpaX: 4-hydroxyphenylacetate permease', 412, NULL, 'TIGR02332', 197833),
(254108, 'TIGR02743', NULL, 'TraW: type-F conjugative transfer system protein TraW', 202, NULL, 'TIGR02743', 197834),
(254109, 'TIGR03093', NULL, 'SASP_sspL: small, acid-soluble spore protein L', 37, NULL, 'TIGR03093', 197835),
(254110, 'TIGR04293', NULL, 'archaeo_artF: archaeosortase family protein ArtF', 166, NULL, 'TIGR04293', 197836),
(254111, 'TIGR01937', NULL, 'nqrB: NADH:ubiquinone oxidoreductase, Na(+)-translocating, B subunit', 413, NULL, 'TIGR01937', 197837),
(254112, 'TIGR02797', NULL, 'exbB: tonB-system energizer ExbB', 211, NULL, 'TIGR02797', 197838),
(254113, 'TIGR03433', NULL, 'padR_acidobact: transcriptional regulator, Acidobacterial, PadR-family', 101, NULL, 'TIGR03433', 197839),
(254114, 'TIGR04071', NULL, 'methanobac_OB3b: methanobactin precursor, Mb-OB3b family', 30, NULL, 'TIGR04071', 197840),
(254115, 'TIGR00140', NULL, 'hupD: hydrogenase expression/formation protein', 151, NULL, 'TIGR00140', 197841),
(254116, 'TIGR01642', NULL, 'U2AF_lg: U2 snRNP auxilliary factor, large subunit, splicing factor', 510, NULL, 'TIGR01642', 197842),
(254117, 'TIGR00435', NULL, 'cysS: cysteine--tRNA ligase', 466, NULL, 'TIGR00435', 197843),
(254118, 'TIGR04130', NULL, 'FnlA: UDP-N-acetylglucosamine 4,6-dehydratase/5-epimerase', 337, NULL, 'TIGR04130', 197844),
(254119, 'TIGR02148', NULL, 'Fibro_Slime: fibro-slime domain', 90, NULL, 'TIGR02148', 197845),
(254120, 'TIGR00664', NULL, 'DNA_III_psi: DNA polymerase III, psi subunit', 131, NULL, 'TIGR00664', 197846),
(254121, 'TIGR01229', NULL, 'rocF_arginase: arginase', 300, NULL, 'TIGR01229', 197847),
(254122, 'TIGR04411', NULL, 'T2SS_GspN_Lepto: type II secretion system protein N', 280, NULL, 'TIGR04411', 197848),
(254123, 'TIGR03381', NULL, 'agmatine_aguB: N-carbamoylputrescine amidase', 279, NULL, 'TIGR03381', 197849),
(254124, 'TIGR02207', NULL, 'lipid_A_htrB: lipid A biosynthesis lauroyl (or palmitoleoyl) acyltransferase', 303, NULL, 'TIGR02207', 197850),
(254125, 'TIGR03721', NULL, 'exospore_TM: BclB C-terminal domain', 169, NULL, 'TIGR03721', 197851),
(254126, 'TIGR01354', NULL, 'cyt_deam_tetra: cytidine deaminase', 126, NULL, 'TIGR01354', 197852),
(254127, 'TIGR03444', NULL, 'EgtA_Cys_ligase: ergothioneine biosynthesis glutamate--cysteine ligase EgtA', 390, NULL, 'TIGR03444', 197853),
(254128, 'TIGR01631', NULL, 'Trypano_RHS: trypanosome RHS family', 761, NULL, 'TIGR01631', 197854),
(254129, 'TIGR03324', NULL, 'alt_F1F0_F1_al: alternate F1F0 ATPase, F1 subunit alpha', 497, NULL, 'TIGR03324', 197855),
(254130, 'TIGR00716', NULL, 'rnhC: ribonuclease HIII', 284, NULL, 'TIGR00716', 197856),
(254131, 'TIGR01386', NULL, 'cztS_silS_copS: heavy metal sensor kinase', 457, NULL, 'TIGR01386', 197857),
(254132, 'TIGR01408', NULL, 'Ube1: ubiquitin-activating enzyme E1', 1008, NULL, 'TIGR01408', 197858),
(254133, 'TIGR04275', NULL, 'beta_prop_Msarc: beta propeller repeat', 40, NULL, 'TIGR04275', 197859),
(254134, 'TIGR04329', NULL, 'cas1_PREFRAN: CRISPR-associated endonuclease Cas1, subtype PREFRAN', 317, NULL, 'TIGR04329', 197860),
(254135, 'TIGR02185', NULL, 'Trep_Strep: putative ECF transporter S component, Trep_Strep family', 188, NULL, 'TIGR02185', 197861),
(254136, 'TIGR00800', NULL, 'ncs1: NCS1 nucleoside transporter family', 447, NULL, 'TIGR00800', 197862),
(254137, 'TIGR04391', NULL, 'CcmD_alt_fam: CcmD family protein', 36, NULL, 'TIGR04391', 197863),
(254138, 'TIGR00149', NULL, 'TIGR00149_YjbQ: secondary thiamine-phosphate synthase enzyme', 132, NULL, 'TIGR00149', 197864);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(254139, 'TIGR00555', NULL, 'panK_eukar: pantothenate kinase', 304, NULL, 'TIGR00555', 197865),
(254140, 'TIGR00095', NULL, 'TIGR00095: 16S rRNA (guanine(966)-N(2))-methyltransferase RsmD', 194, NULL, 'TIGR00095', 197866),
(254141, 'TIGR02239', NULL, 'recomb_RAD51: DNA repair protein RAD51', 316, NULL, 'TIGR02239', 197867),
(254142, 'TIGR00492', NULL, 'alr: alanine racemase', 369, NULL, 'TIGR00492', 197868),
(254143, 'TIGR01515', NULL, 'branching_enzym: 1,4-alpha-glucan branching enzyme', 607, NULL, 'TIGR01515', 197869),
(254144, 'TIGR03560', NULL, 'F420_Rv1855c: probable F420-dependent oxidoreductase, Rv1855c family', 227, NULL, 'TIGR03560', 197870),
(254145, 'TIGR00269', NULL, 'TIGR00269: TIGR00269 family protein', 104, NULL, 'TIGR00269', 197871),
(254146, 'TIGR03131', NULL, 'malonate_mdcH: malonate decarboxylase, epsilon subunit', 297, NULL, 'TIGR03131', 197872),
(254147, 'TIGR03592', NULL, 'yidC_oxa1_cterm: membrane protein insertase, YidC/Oxa1 family', 191, NULL, 'TIGR03592', 197873),
(254148, 'TIGR04243', NULL, 'nodulat_NodB: chitooligosaccharide deacetylase NodB', 197, NULL, 'TIGR04243', 197874),
(254149, 'TIGR00832', NULL, 'acr3: arsenical-resistance protein', 327, NULL, 'TIGR00832', 197875),
(254150, 'TIGR01944', NULL, 'rnfB: electron transport complex, RnfABCDGE type, B subunit', 190, NULL, 'TIGR01944', 197876),
(254151, 'TIGR01041', NULL, 'ATP_syn_B_arch: ATP synthase archaeal, B subunit', 458, NULL, 'TIGR01041', 197877),
(254152, 'TIGR02359', NULL, 'thiW: energy coupling factor transporter S component ThiW', 160, NULL, 'TIGR02359', 197878),
(254153, 'TIGR04449', NULL, 'halocin_C8_dom: halocin C8-like bacteriocin domain', 69, NULL, 'TIGR04449', 197879),
(254154, 'TIGR00122', NULL, 'birA_repr_reg: biotin operon repressor', 69, NULL, 'TIGR00122', 197880),
(254155, 'TIGR03596', NULL, 'GTPase_YlqF: ribosome biogenesis GTP-binding protein YlqF', 276, NULL, 'TIGR03596', 197881),
(254156, 'TIGR01751', NULL, 'crot-CoA-red: crotonyl-CoA carboxylase/reductase', 398, NULL, 'TIGR01751', 197882),
(254157, 'TIGR03789', NULL, 'pdsO: proteobacterial sortase system peptidoglycan-associated protein', 243, NULL, 'TIGR03789', 197883),
(254158, 'TIGR01948', NULL, 'rnfE: electron transport complex, RnfABCDGE type, E subunit', 196, NULL, 'TIGR01948', 197884),
(254159, 'TIGR02677', NULL, 'TIGR02677: TIGR02677 family protein', 494, NULL, 'TIGR02677', 197885),
(254160, 'TIGR00587', NULL, 'nfo: apurinic endonuclease (APN1)', 279, NULL, 'TIGR00587', 197886),
(254161, 'TIGR03056', NULL, 'bchO_mg_che_rel: putative magnesium chelatase accessory protein', 278, NULL, 'TIGR03056', 197887),
(254162, 'TIGR03816', NULL, 'tadE_like_DECH: helicase/secretion neighborhood TadE-like protein', 109, NULL, 'TIGR03816', 197888),
(254163, 'TIGR03936', NULL, 'sam_1_link_chp: radical SAM-linked protein', 209, NULL, 'TIGR03936', 197889),
(254164, 'TIGR01291', NULL, 'nodJ: ABC-2 type transporter, NodJ family', 253, NULL, 'TIGR01291', 197890),
(254165, 'TIGR02779', NULL, 'NHEJ_ligase_lig: DNA ligase D, ligase domain', 302, NULL, 'TIGR02779', 197891),
(254166, 'TIGR01828', NULL, 'pyru_phos_dikin: pyruvate, phosphate dikinase', 865, NULL, 'TIGR01828', 197892),
(254167, 'TIGR02434', NULL, 'CobF: precorrin-6A synthase (deacetylating)', 250, NULL, 'TIGR02434', 197893),
(254168, 'TIGR02641', NULL, 'gvpC_cyan_rpt: gas vesicle protein GvpC repeat', 33, NULL, 'TIGR02641', 197894),
(254169, 'TIGR00242', NULL, 'TIGR00242: division/cell wall cluster transcriptional repressor MraZ', 144, NULL, 'TIGR00242', 197895),
(254170, 'TIGR03038', NULL, 'PS_II_psbM: photosystem II reaction center protein PsbM', 33, NULL, 'TIGR03038', 197896),
(254171, 'TIGR02899', NULL, 'spore_safA: spore coat assembly protein SafA', 44, NULL, 'TIGR02899', 197897),
(254172, 'TIGR01842', NULL, 'type_I_sec_PrtD: type I secretion system ATPase', 544, NULL, 'TIGR01842', 197898),
(254173, 'TIGR02761', NULL, 'TraE_TIGR: type IV conjugative transfer system protein TraE', 181, NULL, 'TIGR02761', 197899),
(254174, 'TIGR02314', NULL, 'ABC_MetN: D-methionine ABC transporter, ATP-binding protein', 343, NULL, 'TIGR02314', 197900);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(254175, 'TIGR03233', NULL, 'DNA_S_dndB: DNA sulfur modification protein DndB', 355, NULL, 'TIGR03233', 197901),
(254176, 'TIGR01068', NULL, 'thioredoxin: thioredoxin', 101, NULL, 'TIGR01068', 197902),
(254177, 'TIGR04486', NULL, 'thiosulf_SoxB: thiosulfohydrolase SoxB', 556, NULL, 'TIGR04486', 197903),
(254178, 'TIGR04520', NULL, 'ECF_ATPase_1: energy-coupling factor transporter ATPase', 269, NULL, 'TIGR04520', 197904),
(254179, 'TIGR00609', NULL, 'recB: exodeoxyribonuclease V, beta subunit', 1175, NULL, 'TIGR00609', 197905),
(254180, 'TIGR01023', NULL, 'rpmG_bact: ribosomal protein bL33', 56, NULL, 'TIGR01023', 197906),
(254181, 'TIGR02525', NULL, 'plasmid_TraJ: plasmid transfer ATPase TraJ', 372, NULL, 'TIGR02525', 197907),
(254182, 'TIGR04173', NULL, 'PIP_CTERM: PIP-CTERM protein sorting domain', 27, NULL, 'TIGR04173', 197908),
(254183, 'TIGR04021', NULL, 'LLM_DMSO2_sfnG: dimethyl sulfone monooxygenase SfnG', 350, NULL, 'TIGR04021', 197909),
(254184, 'TIGR03980', NULL, 'prismane_assoc: hybrid cluster protein-associated redox disulfide domain', 58, NULL, 'TIGR03980', 197910),
(254185, 'TIGR00340', NULL, 'zpr1_rel: zinc finger protein ZPR1 homolog', 163, NULL, 'TIGR00340', 197911),
(254186, 'TIGR02105', NULL, 'III_needle: type III secretion apparatus needle protein', 72, NULL, 'TIGR02105', 197912),
(254187, 'TIGR02550', NULL, 'flagell_flgL: flagellar hook-associated protein 3', 387, NULL, 'TIGR02550', 197913),
(254188, 'TIGR02970', NULL, 'succ_dehyd_cytB: succinate dehydrogenase, cytochrome b556 subunit', 120, NULL, 'TIGR02970', 197914),
(254189, 'TIGR04395', NULL, 'cutC_activ_rSAM: choline TMA-lyase-activating enzyme', 309, NULL, 'TIGR04395', 197915),
(254190, 'TIGR01252', NULL, 'acetolac_decarb: alpha-acetolactate decarboxylase', 232, NULL, 'TIGR01252', 197916),
(254191, 'TIGR02747', NULL, 'TraV: type IV conjugative transfer system protein TraV', 145, NULL, 'TIGR02747', 197917),
(254192, 'TIGR03476', NULL, 'HpnL: putative membrane protein', 318, NULL, 'TIGR03476', 197918),
(254193, 'TIGR04493', NULL, 'microcomp_PduM: microcompartment protein PduM', 153, NULL, 'TIGR04493', 197919),
(254194, 'TIGR00058', NULL, 'Hemerythrin: hemerythrin family non-heme iron protein', 115, NULL, 'TIGR00058', 197920),
(254195, 'TIGR03823', NULL, 'FliZ: flagellar regulatory protein FliZ', 168, NULL, 'TIGR03823', 197921),
(254196, 'TIGR01488', NULL, 'HAD-SF-IB: HAD phosphoserine phosphatase-like hydrolase, family IB', 177, NULL, 'TIGR01488', 197922),
(254197, 'TIGR02793', NULL, 'nikR: nickel-responsive transcriptional regulator NikR', 129, NULL, 'TIGR02793', 197923),
(254198, 'TIGR03011', NULL, 'sulf_tusB_dsrH: sulfur relay protein TusB/DsrH', 95, NULL, 'TIGR03011', 197924),
(254199, 'TIGR01853', NULL, 'lipid_A_lpxD: UDP-3-O-[3-hydroxymyristoyl] glucosamine N-acyltransferase LpxD', 325, NULL, 'TIGR01853', 197925),
(254200, 'TIGR04377', NULL, 'myo_inos_iolD: 3,5/4-trihydroxycyclohexa-1,2-dione hydrolase', 616, NULL, 'TIGR04377', 197926),
(254201, 'TIGR01733', NULL, 'AA-adenyl-dom: amino acid adenylation domain', 409, NULL, 'TIGR01733', 197927),
(254202, 'TIGR03222', NULL, 'benzo_boxC: benzoyl-CoA-dihydrodiol lyase', 548, NULL, 'TIGR03222', 197928),
(254203, 'TIGR03342', NULL, 'dsrC_tusE_dsvC: sulfur relay protein, TusE/DsrC/DsvC family', 108, NULL, 'TIGR03342', 197929),
(254204, 'TIGR04032', NULL, 'toxin_SdpC: antimicrobial peptide, SdpC family', 172, NULL, 'TIGR04032', 197930),
(254205, 'TIGR04497', NULL, 'GRASP_targ_2: putative ATP-grasp target RiPP', 50, NULL, 'TIGR04497', 197931),
(254206, 'TIGR00453', NULL, 'ispD: 2-C-methyl-D-erythritol 4-phosphate cytidylyltransferase', 219, NULL, 'TIGR00453', 197932),
(254207, 'TIGR04098', NULL, 'biosyn_clust_1: biosynthesis cluster domain', 270, NULL, 'TIGR04098', 197933),
(254208, 'TIGR00594', NULL, 'polc: DNA polymerase III, alpha subunit', 1022, NULL, 'TIGR00594', 197934),
(254209, 'TIGR02543', NULL, 'List_Bact_rpt: repeat, TIGR02543 family', 44, NULL, 'TIGR02543', 197935),
(254210, 'TIGR03698', NULL, 'clan_AA_DTGF: clan AA aspartic protease, AF_0612 family', 107, NULL, 'TIGR03698', 197936);
INSERT INTO "PUBLIC"."MODEL" VALUES
(254211, 'TIGR01284', NULL, 'alt_nitrog_alph: nitrogenase alpha chain', 457, NULL, 'TIGR01284', 197937),
(254212, 'TIGR01143', NULL, 'murF: UDP-N-acetylmuramoyl-tripeptide--D-alanyl-D-alanine ligase', 418, NULL, 'TIGR01143', 197938),
(254213, 'TIGR00934', NULL, '2a38euk: potassium uptake protein, Trk family', 836, NULL, 'TIGR00934', 197939),
(254214, 'TIGR02532', NULL, 'IV_pilin_GFxxxE: prepilin-type N-terminal cleavage/methylation domain', 24, NULL, 'TIGR02532', 197940),
(254215, 'TIGR02090', NULL, 'LEU1_arch: isopropylmalate/citramalate/homocitrate synthases', 363, NULL, 'TIGR02090', 197941),
(254216, 'TIGR03687', NULL, 'pupylate_cterm: ubiquitin-like protein Pup', 33, NULL, 'TIGR03687', 197942),
(254217, 'TIGR00927', NULL, '2A1904: K+-dependent Na+/Ca+ exchanger', 1209, NULL, 'TIGR00927', 197943),
(254218, 'TIGR02137', NULL, 'HSK-PSP: phosphoserine phosphatase/homoserine phosphotransferase bifunctional protein', 203, NULL, 'TIGR02137', 197944),
(254219, 'TIGR03694', NULL, 'exosort_acyl: N-acyl amino acid synthase, PEP-CTERM/exosortase system-associated', 241, NULL, 'TIGR03694', 197945),
(254220, 'TIGR01617', NULL, 'arsC_related: transcriptional regulator, Spx/MgsR family', 117, NULL, 'TIGR01617', 197946),
(254221, 'TIGR00446', NULL, 'nop2p: NOL1/NOP2/sun family putative RNA methylase', 264, NULL, 'TIGR00446', 197947),
(254222, 'TIGR04141', NULL, 'TIGR04141: sporadically distributed protein, TIGR04141 family', 516, NULL, 'TIGR04141', 197948),
(254223, 'TIGR01306', NULL, 'GMP_reduct_2: guanosine monophosphate reductase', 321, NULL, 'TIGR01306', 197949),
(254224, 'TIGR02536', NULL, 'eut_hyp: ethanolamine utilization protein', 207, NULL, 'TIGR02536', 197950),
(254225, 'TIGR00224', NULL, 'pckA: phosphoenolpyruvate carboxykinase (ATP)', 532, NULL, 'TIGR00224', 197951),
(254226, 'TIGR01726', NULL, 'HEQRo_perm_3TM: amino ABC transporter, permease protein, 3-TM region, His/Glu/Gln/Arg/opine family', 99, NULL, 'TIGR01726', 197952),
(254227, 'TIGR00344', NULL, 'alaS: alanine--tRNA ligase', 847, NULL, 'TIGR00344', 197953),
(254228, 'TIGR01846', NULL, 'type_I_sec_HlyB: type I secretion system ATPase', 694, NULL, 'TIGR01846', 197954),
(254229, 'TIGR04438', NULL, 'small_Trp_rich: small Trp-rich protein', 76, NULL, 'TIGR04438', 197955),
(254230, 'TIGR02468', NULL, 'sucrsPsyn_pln: sucrose phosphate synthase', 1051, NULL, 'TIGR02468', 197956),
(254231, 'TIGR01740', NULL, 'pyrF: orotidine 5''-phosphate decarboxylase', 216, NULL, 'TIGR01740', 197957),
(254232, 'TIGR00689', NULL, 'rpiB_lacA_lacB: sugar-phosphate isomerase, RpiB/LacA/LacB family', 145, NULL, 'TIGR00689', 197958),
(254233, 'TIGR02895', NULL, 'spore_sigI: RNA polymerase sigma-I factor', 219, NULL, 'TIGR02895', 197959),
(254234, 'TIGR04384', NULL, 'putr_carbamoyl: putrescine carbamoyltransferase', 330, NULL, 'TIGR04384', 197960),
(254235, 'TIGR02416', NULL, 'CO_dehy_Mo_lg: carbon-monoxide dehydrogenase, large subunit', 770, NULL, 'TIGR02416', 197961),
(254236, 'TIGR03158', NULL, 'cas3_cyano: CRISPR-associated helicase Cas3, subtype CYANO', 357, NULL, 'TIGR03158', 197962),
(254237, 'TIGR00460', NULL, 'fmt: methionyl-tRNA formyltransferase', 315, NULL, 'TIGR00460', 197963),
(254238, 'TIGR00167', NULL, 'cbbA: ketose-bisphosphate aldolase', 290, NULL, 'TIGR00167', 197964),
(254239, 'TIGR02003', NULL, 'PTS-II-BC-unk1: PTS system, IIBC component', 547, NULL, 'TIGR02003', 197965),
(254240, 'TIGR03932', NULL, 'PIA_icaD: intracellular adhesion protein D', 88, NULL, 'TIGR03932', 197966),
(254241, 'TIGR00880', NULL, '2_A_01_02: multidrug resistance protein', 141, NULL, 'TIGR00880', 197967),
(254242, 'TIGR02083', NULL, 'LEU2: 3-isopropylmalate dehydratase, large subunit', 419, NULL, 'TIGR02083', 197968),
(254243, 'TIGR03585', NULL, 'PseH: UDP-4-amino-4,6-dideoxy-N-acetyl-beta-L-altrosamine N-acetyltransferase', 156, NULL, 'TIGR03585', 197969),
(254244, 'TIGR02645', NULL, 'ARCH_P_rylase: putative thymidine phosphorylase', 493, NULL, 'TIGR02645', 197970),
(254245, 'TIGR02430', NULL, 'pcaF: 3-oxoadipyl-CoA thiolase', 400, NULL, 'TIGR02430', 197971),
(254246, 'TIGR03925', NULL, 'T7SS_EccC_b: type VII secretion protein EccCb', 564, NULL, 'TIGR03925', 197972);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(254247, 'TIGR01150', NULL, 'puhA: photosynthetic reaction center H subunit', 252, NULL, 'TIGR01150', 197973),
(254248, 'TIGR01962', NULL, 'NuoD: NADH dehydrogenase (quinone), D subunit', 386, NULL, 'TIGR01962', 197974),
(254249, 'TIGR03113', NULL, 'exosortase_2: exosortase B', 268, NULL, 'TIGR03113', 197975),
(254250, 'TIGR03918', NULL, 'GTP_HydF: [FeFe] hydrogenase H-cluster maturation GTPase HydF', 392, NULL, 'TIGR03918', 197976),
(254251, 'TIGR03335', NULL, 'F390_ftsA: coenzyme F390 synthetase', 445, NULL, 'TIGR03335', 197977),
(254252, 'TIGR00507', NULL, 'aroE: shikimate dehydrogenase', 270, NULL, 'TIGR00507', 197978),
(254253, 'TIGR01393', NULL, 'lepA: elongation factor 4', 595, NULL, 'TIGR01393', 197979),
(254254, 'TIGR02888', NULL, 'spore_YlmC_YmxH: sporulation protein, YlmC/YmxH family', 76, NULL, 'TIGR02888', 197980),
(254255, 'TIGR03578', NULL, 'EF_0831: conserved hypothetical protein EF_0831/AHA_3912', 96, NULL, 'TIGR03578', 197981),
(254256, 'TIGR02423', NULL, 'protocat_alph: protocatechuate 3,4-dioxygenase, alpha subunit', 193, NULL, 'TIGR02423', 197982),
(254257, 'TIGR02652', NULL, 'TIGR02652: TIGR02652 family protein', 162, NULL, 'TIGR02652', 197983),
(254258, 'TIGR02076', NULL, 'pyrH_arch: putative uridylate kinase', 222, NULL, 'TIGR02076', 197984),
(254259, 'TIGR03478', NULL, 'DMSO_red_II_bet: DMSO reductase family type II enzyme, iron-sulfur subunit', 321, NULL, 'TIGR03478', 197985),
(254260, 'TIGR04447', NULL, 'PatC_TenC_TruC: cyanobactin cluster PatC/TenC/TruC protein', 34, NULL, 'TIGR04447', 197986),
(254261, 'TIGR02357', NULL, 'ECF_ThiT_YuaJ: energy-coupled thiamine transporter ThiT', 183, NULL, 'TIGR02357', 197987),
(254262, 'TIGR03326', NULL, 'rubisco_III: ribulose bisphosphate carboxylase, type III', 426, NULL, 'TIGR03326', 197988),
(254263, 'TIGR01236', NULL, 'D1pyr5carbox1: 1-pyrroline-5-carboxylate dehydrogenase', 533, NULL, 'TIGR01236', 197989),
(254264, 'TIGR03809', NULL, 'TIGR03809: TIGR03809 family protein', 172, NULL, 'TIGR03809', 197990),
(254265, 'TIGR02044', NULL, 'CueR: Cu(I)-responsive transcriptional regulator', 127, NULL, 'TIGR02044', 197991),
(254266, 'TIGR00437', NULL, 'feoB: ferrous iron transport protein B', 594, NULL, 'TIGR00437', 197992),
(254267, 'TIGR04134', NULL, 'lipo_with_rSAM: putative lipoprotein, rSAM/lipoprotein system', 150, NULL, 'TIGR04134', 197993),
(254268, 'TIGR00941', NULL, '2a6301s03: multicomponent Na+:H+ antiporter, MnhC subunit', 104, NULL, 'TIGR00941', 197994),
(254269, 'TIGR00267', NULL, 'TIGR00267: TIGR00267 family protein', 171, NULL, 'TIGR00267', 197995),
(254270, 'TIGR02527', NULL, 'dot_icm_IcmQ: Dot/Icm secretion system protein IcmQ', 179, NULL, 'TIGR02527', 197996),
(254271, 'TIGR03197', NULL, 'MnmC_Cterm: tRNA U-34 5-methylaminomethyl-2-thiouridine biosynthesis protein MnmC, C-terminal domain', 400, NULL, 'TIGR03197', 197997),
(254272, 'TIGR00950', NULL, '2A78: carboxylate/amino acid/amine transporter', 264, NULL, 'TIGR00950', 197998),
(254273, 'TIGR03648', NULL, 'Na_symport_lg: probable sodium:solute symporter, VC_2705 subfamily', 547, NULL, 'TIGR03648', 197999),
(254274, 'TIGR03639', NULL, 'cas1_NMENI: CRISPR-associated endonuclease Cas1, subtype II/NMENI', 278, NULL, 'TIGR03639', 198000),
(254275, 'TIGR00548', NULL, 'lolB: outer membrane lipoprotein LolB', 202, NULL, 'TIGR00548', 198001),
(254276, 'TIGR01558', NULL, 'sm_term_P27: putative phage terminase, small subunit, P27 family', 116, NULL, 'TIGR01558', 198002),
(254277, 'TIGR00607', NULL, 'rad52: recombination protein rad52', 161, NULL, 'TIGR00607', 198003),
(254278, 'TIGR02638', NULL, 'lactal_redase: lactaldehyde reductase', 379, NULL, 'TIGR02638', 198004),
(254279, 'TIGR00718', NULL, 'sda_alpha: L-serine dehydratase, iron-sulfur-dependent, alpha subunit', 300, NULL, 'TIGR00718', 198005),
(254280, 'TIGR00115', NULL, 'tig: trigger factor', 410, NULL, 'TIGR00115', 198006),
(254281, 'TIGR00276', NULL, 'TIGR00276: epoxyqueuosine reductase', 337, NULL, 'TIGR00276', 198007),
(254282, 'TIGR03013', NULL, 'EpsB_2: sugar transferase, PEP-CTERM system associated', 443, NULL, 'TIGR03013', 198008);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(254283, 'TIGR02205', NULL, 'septum_zipA: cell division protein ZipA', 284, NULL, 'TIGR02205', 198009),
(254284, 'TIGR02808', NULL, 'short_TIGR02808: TIGR02808 family protein', 42, NULL, 'TIGR02808', 198010),
(254285, 'TIGR02870', NULL, 'spore_II_D: stage II sporulation protein D', 338, NULL, 'TIGR02870', 198011),
(254286, 'TIGR03982', NULL, 'TIGR03982: His-Xaa-Ser system protein, TIGR03982 family', 117, NULL, 'TIGR03982', 198012),
(254287, 'TIGR00780', NULL, 'ccoN: cytochrome c oxidase, cbb3-type, subunit I', 474, NULL, 'TIGR00780', 198013),
(254288, 'TIGR04125', NULL, 'exosort_PGF_TRM: archaeosortase A', 271, NULL, 'TIGR04125', 198014),
(254289, 'TIGR01388', NULL, 'rnd: ribonuclease D', 363, NULL, 'TIGR01388', 198015),
(254290, 'TIGR01892', NULL, 'AcOrn-deacetyl: acetylornithine deacetylase (ArgE)', 365, NULL, 'TIGR01892', 198016),
(254291, 'TIGR02035', NULL, 'D_Ser_am_lyase: D-serine ammonia-lyase', 431, NULL, 'TIGR02035', 198017),
(254292, 'TIGR04488', NULL, 'SoxY_true_GGCGG: thiosulfate oxidation carrier protein SoxY', 149, NULL, 'TIGR04488', 198018),
(254293, 'TIGR01790', NULL, 'carotene-cycl: lycopene cyclase family protein', 387, NULL, 'TIGR01790', 198019),
(254294, 'TIGR00378', NULL, 'cax: calcium/proton exchanger', 349, NULL, 'TIGR00378', 198020),
(254295, 'TIGR01277', NULL, 'thiQ: thiamine ABC transporter, ATP-binding protein', 213, NULL, 'TIGR01277', 198021),
(254296, 'TIGR03818', NULL, 'MotA1: flagellar motor stator protein MotA', 282, NULL, 'TIGR03818', 198022),
(254297, 'TIGR04304', NULL, 'GeoRSP_SPASM: GeoRSP system SPASM domain protein', 293, NULL, 'TIGR04304', 198023),
(254298, 'TIGR03830', NULL, 'CxxCG_CxxCG_HTH: putative zinc finger/helix-turn-helix protein, YgiT family', 127, NULL, 'TIGR03830', 198024),
(254299, 'TIGR00771', NULL, 'DcuC: transporter, anaerobic C4-dicarboxylate uptake C (DcuC) family', 388, NULL, 'TIGR00771', 198025),
(254300, 'TIGR00478', NULL, 'tly: TlyA family rRNA methyltransferase/putative hemolysin', 228, NULL, 'TIGR00478', 198026),
(254301, 'TIGR03299', NULL, 'LGT_TIGR03299: phage/plasmid-like protein TIGR03299', 312, NULL, 'TIGR03299', 198027),
(254302, 'TIGR03004', NULL, 'ectoine_ehuC: ectoine/hydroxyectoine ABC transporter, permease protein EhuC', 214, NULL, 'TIGR03004', 198028),
(254303, 'TIGR03660', NULL, 'T1SS_rpt_143: T1SS-143 repeat domain', 143, NULL, 'TIGR03660', 198029),
(254304, 'TIGR02316', NULL, 'propion_prpE: propionate--CoA ligase', 628, NULL, 'TIGR02316', 198030),
(254305, 'TIGR01415', NULL, 'trpB_rel: pyridoxal-phosphate dependent TrpB-like enzyme', 419, NULL, 'TIGR01415', 198031),
(254306, 'TIGR02085', NULL, 'meth_trns_rumB: 23S rRNA (uracil-5-)-methyltransferase RumB', 374, NULL, 'TIGR02085', 198032),
(254307, 'TIGR03469', NULL, 'HpnB: hopene-associated glycosyltransferase HpnB', 386, NULL, 'TIGR03469', 198033),
(254308, 'TIGR02629', NULL, 'L_rham_iso_rhiz: L-rhamnose catabolism isomerase', 412, NULL, 'TIGR02629', 198034),
(254309, 'TIGR03267', NULL, 'methan_mark_2: putative methanogenesis marker protein 2', 323, NULL, 'TIGR03267', 198035),
(254310, 'TIGR04166', NULL, 'methano_MtrB: tetrahydromethanopterin S-methyltransferase, subunit B', 95, NULL, 'TIGR04166', 198036),
(254311, 'TIGR04277', NULL, 'squa_tetra_cyc: tetrahymanol synthase', 624, NULL, 'TIGR04277', 198037),
(254312, 'TIGR03156', NULL, 'GTP_HflX: GTP-binding protein HflX', 351, NULL, 'TIGR03156', 198038),
(254313, 'TIGR00589', NULL, 'ogt: methylated-DNA--[protein]-cysteine S-methyltransferase', 80, NULL, 'TIGR00589', 198039),
(254314, 'TIGR00097', NULL, 'HMP-P_kinase: hydroxymethylpyrimidine kinase/phosphomethylpyrimidine kinase', 254, NULL, 'TIGR00097', 198040),
(254315, 'TIGR01599', NULL, 'PYST-A: Plasmodium yoelii subtelomeric family PYST-A', 209, NULL, 'TIGR01599', 198041),
(254316, 'TIGR00124', NULL, 'cit_ly_ligase: [citrate (pro-3S)-lyase] ligase', 335, NULL, 'TIGR00124', 198042),
(254317, 'TIGR01508', NULL, 'rib_reduct_arch: diaminohydroxyphosphoribosylaminopyrimidine reductase', 210, NULL, 'TIGR01508', 198043),
(254318, 'TIGR01245', NULL, 'trpD: anthranilate phosphoribosyltransferase', 330, NULL, 'TIGR01245', 198044);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(254319, 'TIGR04506', NULL, 'F_threo_transal: fluorothreonine transaldolase', 609, NULL, 'TIGR04506', 198045),
(254320, 'TIGR00648', NULL, 'recU: recombination protein U', 169, NULL, 'TIGR00648', 198046),
(254321, 'TIGR00929', NULL, 'VirB4_CagE: type IV secretion/conjugal transfer ATPase, VirB4 family', 792, NULL, 'TIGR00929', 198047),
(254322, 'TIGR01075', NULL, 'uvrD: DNA helicase II', 715, NULL, 'TIGR01075', 198048),
(254323, 'TIGR01134', NULL, 'purF: amidophosphoribosyltransferase', 432, NULL, 'TIGR01134', 198049),
(254324, 'TIGR03607', NULL, 'TIGR03607: patatin-related protein', 732, NULL, 'TIGR03607', 198050),
(254325, 'TIGR04336', NULL, 'AmmeMemoSam_B: AmmeMemoRadiSam system protein B', 270, NULL, 'TIGR04336', 198051),
(254326, 'TIGR03941', NULL, 'tRNA_deam_assoc: putative tRNA adenosine deaminase-associated protein', 156, NULL, 'TIGR03941', 198052),
(254327, 'TIGR00759', NULL, 'aceE: pyruvate dehydrogenase (acetyl-transferring), homodimeric type', 885, NULL, 'TIGR00759', 198053),
(254328, 'TIGR03437', NULL, 'Soli_cterm: Solibacter uncharacterized C-terminal domain', 225, NULL, 'TIGR03437', 198054),
(254329, 'TIGR01338', NULL, 'phycocy_alpha: phycocyanin, alpha subunit', 161, NULL, 'TIGR01338', 198055),
(254330, 'TIGR00369', NULL, 'unchar_dom_1: uncharacterized domain 1', 117, NULL, 'TIGR00369', 198056),
(254331, 'TIGR01304', NULL, 'IMP_DH_rel_2: IMP dehydrogenase family protein', 365, NULL, 'TIGR01304', 198057),
(254332, 'TIGR02459', NULL, 'CbtB: cobalt transporter subunit CbtB (proposed)', 60, NULL, 'TIGR02459', 198058),
(254333, 'TIGR03771', NULL, 'anch_rpt_ABC: anchored repeat-type ABC transporter, ATP-binding subunit', 223, NULL, 'TIGR03771', 198059),
(254334, 'TIGR03376', NULL, 'glycerol3P_DH: glycerol-3-phosphate dehydrogenase (NAD(+))', 342, NULL, 'TIGR03376', 198060),
(254335, 'TIGR00560', NULL, 'pgsA: CDP-diacylglycerol--glycerol-3-phosphate 3-phosphatidyltransferase', 183, NULL, 'TIGR00560', 198061),
(254336, 'TIGR01286', NULL, 'nifK: nitrogenase molybdenum-iron protein beta chain', 516, NULL, 'TIGR01286', 198062),
(254337, 'TIGR03546', NULL, 'TIGR03546: TIGR03546 family protein', 154, NULL, 'TIGR03546', 198063),
(254338, 'TIGR01939', NULL, 'nqrD: NADH:ubiquinone oxidoreductase, Na(+)-translocating, D subunit', 207, NULL, 'TIGR01939', 198064),
(254339, 'TIGR04345', NULL, 'ovoA_Cterm: putative 4-mercaptohistidine N1-methyltranferase', 242, NULL, 'TIGR04345', 198065),
(254340, 'TIGR04515', NULL, 'P450_rel_GT_act: P450-derived glycosyltranferase activator', 386, NULL, 'TIGR04515', 198066),
(254341, 'TIGR02738', NULL, 'TrbB: type-F conjugative transfer system pilin assembly thiol-disulfide isomerase TrbB', 153, NULL, 'TIGR02738', 198067),
(254342, 'TIGR01769', NULL, 'GGGP: phosphoglycerol geranylgeranyltransferase', 205, NULL, 'TIGR01769', 198068),
(254343, 'TIGR02972', NULL, 'TMAO_torE: trimethylamine N-oxide reductase system, TorE protein', 49, NULL, 'TIGR02972', 198069),
(254344, 'TIGR03490', NULL, 'Mycoplas_LppA: mycoides cluster lipoprotein, LppA/P72 family', 541, NULL, 'TIGR03490', 198070),
(254345, 'TIGR00730', NULL, 'TIGR00730: TIGR00730 family protein', 178, NULL, 'TIGR00730', 198071),
(254346, 'TIGR01456', NULL, 'CECR5: HAD hydrolase, TIGR01456 family', 321, NULL, 'TIGR01456', 198072),
(254347, 'TIGR03428', NULL, 'ureacarb_perm: permease, urea carboxylase system', 475, NULL, 'TIGR03428', 198073),
(254348, 'TIGR01994', NULL, 'SUF_scaf_2: SUF system FeS assembly protein, NifU family', 137, NULL, 'TIGR01994', 198074),
(254349, 'TIGR04236', NULL, 'seadorna_VP2: seadornavirus VP2 protein', 953, NULL, 'TIGR04236', 198075),
(254350, 'TIGR00013', NULL, 'taut: 4-oxalocrotonate tautomerase family enzyme', 64, NULL, 'TIGR00013', 198076),
(254351, 'TIGR01168', NULL, 'YSIRK_signal: gram-positive signal peptide, YSIRK family', 40, NULL, 'TIGR01168', 198077),
(254352, 'TIGR02103', NULL, 'pullul_strch: alpha-1,6-glucosidases, pullulanase-type', 900, NULL, 'TIGR02103', 198078),
(254353, 'TIGR03258', NULL, 'PhnT: 2-aminoethylphosphonate ABC transport system, ATP-binding component PhnT', 359, NULL, 'TIGR03258', 198079);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(254354, 'TIGR04227', NULL, 'zmp_18_rpt: zinc metalloproteinase 18-residue repeat', 18, NULL, 'TIGR04227', 198080),
(254355, 'TIGR02146', NULL, 'LysS_fung_arch: homocitrate synthase', 344, NULL, 'TIGR02146', 198081),
(254356, 'TIGR03900', NULL, 'prc_long_Delta: putative carboxyl-terminal-processing protease, deltaproteobacterial', 973, NULL, 'TIGR03900', 198082),
(254357, 'TIGR00390', NULL, 'hslU: ATP-dependent protease HslVU, ATPase subunit', 441, NULL, 'TIGR00390', 198083),
(254358, 'TIGR03095', NULL, 'rusti_cyanin: rusticyanin', 148, NULL, 'TIGR03095', 198084),
(254359, 'TIGR03537', NULL, 'DapC: succinyldiaminopimelate transaminase', 350, NULL, 'TIGR03537', 198085),
(254360, 'TIGR04508', NULL, 'queE_Cx14CxxC: 7-carboxy-7-deazaguanine synthase', 208, NULL, 'TIGR04508', 198086),
(254361, 'TIGR01175', NULL, 'pilM: type IV pilus assembly protein PilM', 348, NULL, 'TIGR01175', 198087),
(254362, 'TIGR04066', NULL, 'nat_prod_clost: peptide maturation system protein, TIGR04066 family', 361, NULL, 'TIGR04066', 198088),
(254363, 'TIGR01810', NULL, 'betA: choline dehydrogenase', 532, NULL, 'TIGR01810', 198089),
(254364, 'TIGR03707', NULL, 'PPK2_P_aer: polyphosphate kinase 2', 230, NULL, 'TIGR03707', 198090),
(254365, 'TIGR03265', NULL, 'PhnT2: putative 2-aminoethylphosphonate ABC transporter, ATP-binding protein', 353, NULL, 'TIGR03265', 198091),
(254366, 'TIGR00827', NULL, 'EIIC-GAT: PTS system, galactitol-specific IIC component', 407, NULL, 'TIGR00827', 198092),
(254367, 'TIGR02398', NULL, 'gluc_glyc_Psyn: glucosylglycerol-phosphate synthase', 487, NULL, 'TIGR02398', 198093),
(254368, 'TIGR00376', NULL, 'TIGR00376: putative DNA helicase', 639, NULL, 'TIGR00376', 198094),
(254369, 'TIGR03539', NULL, 'DapC_actino: succinyldiaminopimelate transaminase', 357, NULL, 'TIGR03539', 198095),
(254370, 'TIGR04406', NULL, 'LPS_export_lptB: LPS export ABC transporter ATP-binding protein', 239, NULL, 'TIGR04406', 198096),
(254371, 'TIGR03088', NULL, 'stp2: sugar transferase, PEP-CTERM/EpsH1 system associated', 374, NULL, 'TIGR03088', 198097),
(254372, 'TIGR02691', NULL, 'arsC_pI258_fam: arsenate reductase (thioredoxin)', 129, NULL, 'TIGR02691', 198098),
(254373, 'TIGR03367', NULL, 'queuosine_QueD: queuosine biosynthesis protein QueD', 92, NULL, 'TIGR03367', 198099),
(254374, 'TIGR00841', NULL, 'bass: bile acid transporter', 321, NULL, 'TIGR00841', 198100),
(254375, 'TIGR03369', NULL, 'cellulose_bcsE: cellulose biosynthesis protein BcsE', 322, NULL, 'TIGR03369', 198101),
(254376, 'TIGR04234', NULL, 'seadorna_RNAP: RNA-directed RNA polymerase', 1144, NULL, 'TIGR04234', 198102),
(254377, 'TIGR02861', NULL, 'SASP_H: small acid-soluble spore protein, H-type', 58, NULL, 'TIGR02861', 198103),
(254378, 'TIGR02214', NULL, 'spoVD_pbp: stage V sporulation protein D', 636, NULL, 'TIGR02214', 198104),
(254379, 'TIGR00709', NULL, 'dat: 2,4-diaminobutyrate 4-transaminase', 442, NULL, 'TIGR00709', 198105),
(254380, 'TIGR02568', NULL, 'LcrE: type III secretion regulator YopN/LcrE/InvE/MxiC', 241, NULL, 'TIGR02568', 198106),
(254381, 'TIGR04404', NULL, 'RiPP_SkfA: sporulation killing factor', 53, NULL, 'TIGR04404', 198107),
(254382, 'TIGR00900', NULL, '2A0121: H+ Antiporter protein', 364, NULL, 'TIGR00900', 198108),
(254383, 'TIGR04175', NULL, 'archaeo_artD: archaeosortase D', 150, NULL, 'TIGR04175', 198109),
(254384, 'TIGR04057', NULL, 'SusC_RagA_signa: TonB-dependent outer membrane receptor, SusC/RagA subfamily, signature region', 31, NULL, 'TIGR04057', 198110),
(254385, 'TIGR00671', NULL, 'baf: pantothenate kinase, type III', 243, NULL, 'TIGR00671', 198111),
(254386, 'TIGR03716', NULL, 'R_switched_YkoY: integral membrane protein, YkoY family', 220, NULL, 'TIGR03716', 198112),
(254387, 'TIGR00539', NULL, 'hemN_rel: putative oxygen-independent coproporphyrinogen III oxidase', 361, NULL, 'TIGR00539', 198113),
(254388, 'TIGR01177', NULL, 'TIGR01177: putative methyltransferase, TIGR01177 family', 330, NULL, 'TIGR01177', 198114),
(254389, 'TIGR03709', NULL, 'PPK2_rel_1: polyphosphate:nucleotide phosphotransferase, PPK2 family', 264, NULL, 'TIGR03709', 198115);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(254390, 'TIGR00657', NULL, 'asp_kinases: aspartate kinase', 442, NULL, 'TIGR00657', 198116),
(254391, 'TIGR01066', NULL, 'rplM_bact: ribosomal protein uL13', 141, NULL, 'TIGR01066', 198117),
(254392, 'TIGR02679', NULL, 'TIGR02679: TIGR02679 family protein', 382, NULL, 'TIGR02679', 198118),
(254393, 'TIGR04064', NULL, 'rSAM_nif11: nif11-like peptide radical SAM maturase', 459, NULL, 'TIGR04064', 198119),
(254394, 'TIGR01406', NULL, 'dnaQ_proteo: DNA polymerase III, epsilon subunit', 231, NULL, 'TIGR01406', 198120),
(254395, 'TIGR02908', NULL, 'CoxD_Bacillus: cytochrome c oxidase, subunit IVB', 110, NULL, 'TIGR02908', 198121),
(254396, 'TIGR01517', NULL, 'ATPase-IIB_Ca: calcium-translocating P-type ATPase, PMCA-type', 882, NULL, 'TIGR01517', 198122),
(254397, 'TIGR00487', NULL, 'IF-2: translation initiation factor IF-2', 587, NULL, 'TIGR00487', 198123),
(254398, 'TIGR01347', NULL, 'sucB: dihydrolipoyllysine-residue succinyltransferase, E2 component of oxoglutarate dehydrogenase (succinyl-transferring) complex', 404, NULL, 'TIGR01347', 198124),
(254399, 'TIGR02849', NULL, 'spore_III_AD: stage III sporulation protein AD', 101, NULL, 'TIGR02849', 198125),
(254400, 'TIGR00199', NULL, 'PncC_domain: amidohydrolase, PncC family', 149, NULL, 'TIGR00199', 198126),
(254401, 'TIGR00022', NULL, 'TIGR00022: YhcH/YjgK/YiaL family protein', 155, NULL, 'TIGR00022', 198127),
(254402, 'TIGR00546', NULL, 'lnt: apolipoprotein N-acyltransferase', 395, NULL, 'TIGR00546', 198128),
(254403, 'TIGR02752', NULL, 'MenG_heptapren: demethylmenaquinone methyltransferase', 231, NULL, 'TIGR02752', 198129),
(254404, 'TIGR02806', NULL, 'clostrip: clostripain', 472, NULL, 'TIGR02806', 198130),
(254405, 'TIGR00868', NULL, 'hCaCC: calcium-activated chloride channel protein 1', 863, NULL, 'TIGR00868', 198131),
(254406, 'TIGR01783', NULL, 'TonB-siderophor: TonB-dependent siderophore receptor', 649, NULL, 'TIGR01783', 198132),
(254407, 'TIGR03927', NULL, 'T7SS_EssA_Firm: type VII secretion protein EssA', 151, NULL, 'TIGR03927', 198133),
(254408, 'TIGR03047', NULL, 'PS_II_psb28: photosystem II reaction center protein Psb28', 109, NULL, 'TIGR03047', 198134),
(254409, 'TIGR01837', NULL, 'PHA_granule_1: poly(hydroxyalkanoate) granule-associated protein', 118, NULL, 'TIGR01837', 198135),
(254410, 'TIGR01667', NULL, 'YCCS_YHJK: integral membrane protein, YccS/YhfK family', 701, NULL, 'TIGR01667', 198136),
(254411, 'TIGR04016', NULL, 'WcaB: colanic acid biosynthesis acetyltransferase WcaB', 146, NULL, 'TIGR04016', 198137),
(254412, 'TIGR03873', NULL, 'F420-0_ABC_ATP: proposed F420-0 ABC transporter, ATP-binding protein', 256, NULL, 'TIGR03873', 198138),
(254413, 'TIGR01202', NULL, 'bchC: chlorophyll synthesis pathway protein BchC', 308, NULL, 'TIGR01202', 198139),
(254414, 'TIGR03757', NULL, 'conj_TIGR03757: integrating conjugative element protein, PFL_4709 family', 113, NULL, 'TIGR03757', 198140),
(254415, 'TIGR04132', NULL, 'intra_fol_E_lig: putative folate metabolism gamma-glutamate ligase', 241, NULL, 'TIGR04132', 198141),
(254416, 'TIGR00063', NULL, 'folE: GTP cyclohydrolase I', 180, NULL, 'TIGR00063', 198142),
(254417, 'TIGR00158', NULL, 'L9: ribosomal protein bL9', 148, NULL, 'TIGR00158', 198143),
(254418, 'TIGR01073', NULL, 'pcrA: ATP-dependent DNA helicase PcrA', 725, NULL, 'TIGR01073', 198144),
(254419, 'TIGR00943', NULL, '2a6301s02: monovalent cation:proton antiporter', 107, NULL, 'TIGR00943', 198145),
(254420, 'TIGR02922', NULL, 'TIGR02922: TIGR02922 family protein', 67, NULL, 'TIGR02922', 198146),
(254421, 'TIGR02582', NULL, 'cas7_TM1809: CRISPR type III-A/MTUBE-associated RAMP protein Csm3', 203, NULL, 'TIGR02582', 198147),
(254422, 'TIGR02153', NULL, 'gatD_arch: glutamyl-tRNA(Gln) amidotransferase, subunit D', 405, NULL, 'TIGR02153', 198148),
(254423, 'TIGR01470', NULL, 'cysG_Nterm: siroheme synthase, N-terminal domain', 205, NULL, 'TIGR01470', 198149),
(254424, 'TIGR00403', NULL, 'ndhI: NADH-plastoquinone oxidoreductase, I subunit', 183, NULL, 'TIGR00403', 198150),
(254425, 'TIGR01912', NULL, 'TatC-Arch: Sec-independent protein translocase TatC', 234, NULL, 'TIGR01912', 198151); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(254426, 'TIGR03605', NULL, 'antibiot_sagB: SagB-type dehydrogenase domain', 173, NULL, 'TIGR03605', 198152),
(254427, 'TIGR00698', NULL, 'TIGR00698: conserved hypothetical protein', 335, NULL, 'TIGR00698', 198153),
(254428, 'TIGR04168', NULL, 'TIGR04168: TIGR04168 family protein', 269, NULL, 'TIGR04168', 198154),
(254429, 'TIGR02788', NULL, 'VirB11: P-type DNA transfer ATPase VirB11', 308, NULL, 'TIGR02788', 198155),
(254430, 'TIGR02078', NULL, 'AspKin_pair: putative Pyrococcus aspartate kinase subunit', 327, NULL, 'TIGR02078', 198156),
(254431, 'TIGR04338', NULL, 'HEXXH_Rv0185: putative metallohydrolase, TIGR04338 family', 161, NULL, 'TIGR04338', 198157),
(254432, 'TIGR01640', NULL, 'F_box_assoc_1: F-box protein interaction domain', 232, NULL, 'TIGR01640', 198158),
(254433, 'TIGR03435', NULL, 'Soli_TIGR03435: soil-associated protein, TIGR03435 family', 241, NULL, 'TIGR03435', 198159),
(254434, 'TIGR02248', NULL, 'mutH_TIGR: DNA mismatch repair endonuclease MutH', 217, NULL, 'TIGR02248', 198160),
(254435, 'TIGR00233', NULL, 'trpS: tryptophan--tRNA ligase', 328, NULL, 'TIGR00233', 198161),
(254436, 'TIGR02323', NULL, 'CP_lyasePhnK: phosphonate C-P lyase system protein PhnK', 239, NULL, 'TIGR02323', 198162),
(254437, 'TIGR00773', NULL, 'NhaA: Na+/H+ antiporter NhaA', 374, NULL, 'TIGR00773', 198163),
(254438, 'TIGR01395', NULL, 'FlgC: flagellar basal-body rod protein FlgC', 137, NULL, 'TIGR01395', 198164),
(254439, 'TIGR00328', NULL, 'flhB: flagellar biosynthetic protein FlhB', 348, NULL, 'TIGR00328', 198165),
(254440, 'TIGR00274', NULL, 'TIGR00274: N-acetylmuramic acid 6-phosphate etherase', 291, NULL, 'TIGR00274', 198166),
(254441, 'TIGR01742', NULL, 'SA_tandem_lipo: Staphylococcus tandem lipoproteins', 255, NULL, 'TIGR01742', 198167),
(254442, 'TIGR03333', NULL, 'salvage_mtnX: 2-hydroxy-3-keto-5-methylthiopentenyl-1-phosphate phosphatase', 214, NULL, 'TIGR03333', 198168),
(254443, 'TIGR03006', NULL, 'pepcterm_polyde: polysaccharide deacetylase family protein, PEP-CTERM locus subfamily', 272, NULL, 'TIGR03006', 198169),
(254444, 'TIGR02466', NULL, 'TIGR02466: conserved hypothetical protein', 201, NULL, 'TIGR02466', 198170),
(254445, 'TIGR01449', NULL, 'PGP_bact: phosphoglycolate phosphatase, bacterial', 213, NULL, 'TIGR01449', 198171),
(254446, 'TIGR04302', NULL, 'geo_PqqD_fam: GeoRSP system PqqD family protein', 102, NULL, 'TIGR04302', 198172),
(254447, 'TIGR02296', NULL, 'HpaC: 4-hydroxyphenylacetate 3-monooxygenase, reductase component', 154, NULL, 'TIGR02296', 198173),
(254448, 'TIGR03798', NULL, 'ocin_TIGR03798: nif11-like leader peptide domain', 68, NULL, 'TIGR03798', 198174),
(254449, 'TIGR03968', NULL, 'mycofact_TetR: mycofactocin system transcriptional regulator', 190, NULL, 'TIGR03968', 198175),
(254450, 'TIGR03587', NULL, 'Pse_Me-ase: pseudaminic acid biosynthesis-associated methylase', 204, NULL, 'TIGR03587', 198176),
(254451, 'TIGR01626', NULL, 'ytfJ_HI0045: conserved hypothetical protein YtfJ-family, TIGR01626', 184, NULL, 'TIGR01626', 198177),
(254452, 'TIGR01572', NULL, 'A_thl_para_3677: Arabidopsis paralogous family TIGR01572', 265, NULL, 'TIGR01572', 198178),
(254453, 'TIGR03503', NULL, 'TIGR03503: TIGR03503 family protein', 374, NULL, 'TIGR03503', 198179),
(254454, 'TIGR00596', NULL, 'rad1: DNA repair protein (rad1)', 813, NULL, 'TIGR00596', 198180),
(254455, 'TIGR00117', NULL, 'acnB: aconitate hydratase 2', 844, NULL, 'TIGR00117', 198181),
(254456, 'TIGR01619', NULL, 'hyp_HI0040: TIGR01619 family protein', 250, NULL, 'TIGR01619', 198182),
(254457, 'TIGR03122', NULL, 'one_C_dehyd_C: formylmethanofuran dehydrogenase subunit C', 260, NULL, 'TIGR03122', 198183),
(254458, 'TIGR00451', NULL, 'unchar_dom_2: uncharacterized domain 2', 107, NULL, 'TIGR00451', 198184),
(254459, 'TIGR01127', NULL, 'ilvA_1Cterm: threonine ammonia-lyase', 380, NULL, 'TIGR01127', 198185),
(254460, 'TIGR02001', NULL, 'gcw_chp: conserved hypothetical protein', 244, NULL, 'TIGR02001', 198186),
(254461, 'TIGR01279', NULL, 'DPOR_bchN: light-independent protochlorophyllide reductase, N subunit', 407, NULL, 'TIGR01279', 198187);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(254462, 'TIGR04284', NULL, 'aldehy_Rv0768: aldehyde dehydrogenase, Rv0768 family', 480, NULL, 'TIGR04284', 198188),
(254463, 'TIGR01953', NULL, 'NusA: transcription termination factor NusA', 340, NULL, 'TIGR01953', 198189),
(254464, 'TIGR00444', NULL, 'mazG: MazG family protein', 248, NULL, 'TIGR00444', 198190),
(254465, 'TIGR03319', NULL, 'RNase_Y: ribonuclease Y', 514, NULL, 'TIGR03319', 198191),
(254466, 'TIGR02636', NULL, 'galM_Leloir: galactose mutarotase', 336, NULL, 'TIGR02636', 198192),
(254467, 'TIGR00621', NULL, 'ssb: single-stranded DNA-binding protein', 166, NULL, 'TIGR00621', 198193),
(254468, 'TIGR03149', NULL, 'cyt_nit_nrfC: cytochrome c nitrite reductase, Fe-S protein', 225, NULL, 'TIGR03149', 198194),
(254469, 'TIGR04454', NULL, 'Lepto_4Cys: small lipoprotein, LB_250 family', 92, NULL, 'TIGR04454', 198195),
(254470, 'TIGR02289', NULL, 'M3_not_pepF: oligoendopeptidase, M3 family', 549, NULL, 'TIGR02289', 198196),
(254471, 'TIGR00335', NULL, 'primase_sml: putative DNA primase, eukaryotic-type, small subunit', 324, NULL, 'TIGR00335', 198197),
(254472, 'TIGR02425', NULL, 'decarb_PcaC: 4-carboxymuconolactone decarboxylase', 123, NULL, 'TIGR02425', 198198),
(254473, 'TIGR02371', NULL, 'ala_DH_arch: alanine dehydrogenase', 325, NULL, 'TIGR02371', 198199),
(254474, 'TIGR02704', NULL, 'carboxysome_B: carboxysome peptide B', 80, NULL, 'TIGR02704', 198200),
(254475, 'TIGR02650', NULL, 'RNase_Z_T_toga: ribonuclease Z, Thermotoga type', 277, NULL, 'TIGR02650', 198201),
(254476, 'TIGR00281', NULL, 'TIGR00281: segregation and condensation protein B', 186, NULL, 'TIGR00281', 198202),
(254477, 'TIGR03859', NULL, 'PQQ_PqqD: coenzyme PQQ biosynthesis protein PqqD', 81, NULL, 'TIGR03859', 198203),
(254478, 'TIGR02820', NULL, 'formald_GSH: S-(hydroxymethyl)glutathione synthase', 182, NULL, 'TIGR02820', 198204),
(254479, 'TIGR03975', NULL, 'rSAM_ocin_1: ribosomal peptide maturation radical SAM protein 1', 606, NULL, 'TIGR03975', 198205),
(254480, 'TIGR00882', NULL, '2A0105: oligosaccharide:H+ symporter', 396, NULL, 'TIGR00882', 198206),
(254481, 'TIGR01025', NULL, 'uS19_arch: ribosomal protein uS19', 135, NULL, 'TIGR01025', 198207),
(254482, 'TIGR03115', NULL, 'cas7_csf2: CRISPR type IV/AFERR-associated protein Csf2', 344, NULL, 'TIGR03115', 198208),
(254483, 'TIGR03061', NULL, 'pip_yhgE_Nterm: YhgE/Pip N-terminal domain', 164, NULL, 'TIGR03061', 198209),
(254484, 'TIGR00505', NULL, 'ribA: GTP cyclohydrolase II', 191, NULL, 'TIGR00505', 198210),
(254485, 'TIGR03510', NULL, 'XapX: XapX domain', 49, NULL, 'TIGR03510', 198211),
(254486, 'TIGR01960', NULL, 'ndhF3_CO2: NAD(P)H dehydrogenase, subunit NdhF3 family', 606, NULL, 'TIGR01960', 198212),
(254487, 'TIGR01565', NULL, 'homeo_ZF_HD: homeobox domain, ZF-HD class', 58, NULL, 'TIGR01565', 198213),
(254488, 'TIGR00410', NULL, 'lacE: PTS system, lactose/cellobiose family IIC component', 424, NULL, 'TIGR00410', 198214),
(254489, 'TIGR00165', NULL, 'S18: ribosomal protein bS18', 70, NULL, 'TIGR00165', 198215),
(254490, 'TIGR04030', NULL, 'perox_Avi_7169: alkylhydroperoxidase domain protein, Avi_7169 family', 185, NULL, 'TIGR04030', 198216),
(254491, 'TIGR00056', NULL, 'TIGR00056: ABC transport permease subunit', 260, NULL, 'TIGR00056', 198217),
(254492, 'TIGR01100', NULL, 'V_ATP_synt_C: V-type ATPase, C subunit', 108, NULL, 'TIGR01100', 198218),
(254493, 'TIGR04200', NULL, 'targ_of_XrtJ: XrtJ-associated TM-motif-TM protein', 60, NULL, 'TIGR04200', 198219),
(254494, 'TIGR04023', NULL, 'PPOX_MSMEG_5819: PPOX class F420-dependent enzyme, MSMEG_5819/OxyR family', 115, NULL, 'TIGR04023', 198220),
(254495, 'TIGR01905', NULL, 'paired_CXXCH_1: doubled CXXCH domain', 41, NULL, 'TIGR01905', 198221),
(254496, 'TIGR03108', NULL, 'eps_aminotran_1: exosortase A system-associated amidotransferase 1', 628, NULL, 'TIGR03108', 198222),
(254497, 'TIGR04495', NULL, 'RiPP_XyeA: putative rSAM-modified RiPP, XyeA family', 50, NULL, 'TIGR04495', 198223),
(254498, 'TIGR01735', NULL, 'FGAM_synt: phosphoribosylformylglycinamidine synthase', 1307, NULL, 'TIGR01735', 198224),
(254499, 'TIGR02480', NULL, 'fliN: flagellar motor switch protein FliN', 77, NULL, 'TIGR02480', 198225);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(254500, 'TIGR03170', NULL, 'flgA_cterm: flagella basal body P-ring formation protein FlgA', 137, NULL, 'TIGR03170', 198226),
(254501, 'TIGR00875', NULL, 'fsa_talC_mipB: fructose-6-phosphate aldolase', 213, NULL, 'TIGR00875', 198227),
(254502, 'TIGR03340', NULL, 'phn_DUF6: phosphonate utilization associated putative membrane protein', 281, NULL, 'TIGR03340', 198228),
(254503, 'TIGR04570', NULL, 'mollicut_2TM: small integral membrane protein', 87, NULL, 'TIGR04570', 198229),
(254504, 'TIGR01018', NULL, 'uS4_arch: ribosomal protein uS4', 162, NULL, 'TIGR01018', 198230),
(254505, 'TIGR02364', NULL, 'dha_pts: dihydroxyacetone kinase, phosphotransfer subunit', 125, NULL, 'TIGR02364', 198231),
(254506, 'TIGR03866', NULL, 'PQQ_ABC_repeats: PQQ-dependent catabolism-associated beta-propeller protein', 310, NULL, 'TIGR03866', 198232),
(254507, 'TIGR02418', NULL, 'acolac_catab: acetolactate synthase, catabolic', 539, NULL, 'TIGR02418', 198233),
(254508, 'TIGR03880', NULL, 'KaiC_arch_3: KaiC domain protein, AF_0351 family', 224, NULL, 'TIGR03880', 198234),
(254509, 'TIGR03401', NULL, 'cyanamide_fam: HD domain protein, cyanamide hydratase family', 228, NULL, 'TIGR03401', 198235),
(254510, 'TIGR00172', NULL, 'maf: septum formation protein Maf', 185, NULL, 'TIGR00172', 198236),
(254511, 'TIGR00049', NULL, 'TIGR00049: iron-sulfur cluster assembly accessory protein', 106, NULL, 'TIGR00049', 198237),
(254512, 'TIGR04556', NULL, 'PKS_assoc: polyketide synthase-associated domain', 226, NULL, 'TIGR04556', 198238),
(254513, 'TIGR01497', NULL, 'kdpB: K+-transporting ATPase, B subunit', 675, NULL, 'TIGR01497', 198239),
(254514, 'TIGR01728', NULL, 'SsuA_fam: ABC transporter, substrate-binding protein, aliphatic sulfonates family', 290, NULL, 'TIGR01728', 198240),
(254515, 'TIGR02999', NULL, 'Sig-70_X6: RNA polymerase sigma factor, TIGR02999 family', 183, NULL, 'TIGR02999', 198241),
(254516, 'TIGR04386', NULL, 'ThiC_like_1: ThiC-like protein 1', 426, NULL, 'TIGR04386', 198242),
(254517, 'TIGR01844', NULL, 'type_I_sec_TolC: type I secretion outer membrane protein, TolC family', 414, NULL, 'TIGR01844', 198243),
(254518, 'TIGR03231', NULL, 'anthran_1_2_B: anthranilate 1,2-dioxygenase, small subunit', 155, NULL, 'TIGR03231', 198244),
(254519, 'TIGR00342', NULL, 'TIGR00342: tRNA sulfurtransferase ThiI', 373, NULL, 'TIGR00342', 198245),
(254520, 'TIGR02541', NULL, 'flagell_FlgJ: flagellar rod assembly protein/muramidase FlgJ', 294, NULL, 'TIGR02541', 198246),
(254521, 'TIGR00984', NULL, '3a0801s03tim44: mitochondrial import inner membrane, translocase subunit', 376, NULL, 'TIGR00984', 198247),
(254522, 'TIGR02534', NULL, 'mucon_cyclo: muconate and chloromuconate cycloisomerases', 368, NULL, 'TIGR02534', 198248),
(254523, 'TIGR00991', NULL, '3a0901s02IAP34: GTP-binding protein', 313, NULL, 'TIGR00991', 198249),
(254524, 'TIGR02194', NULL, 'GlrX_NrdH: glutaredoxin-like protein NrdH', 72, NULL, 'TIGR02194', 198250),
(254525, 'TIGR03689', NULL, 'pup_AAA: proteasome ATPase', 512, NULL, 'TIGR03689', 198251),
(254526, 'TIGR03217', NULL, '4OH_2_O_val_ald: 4-hydroxy-2-oxovalerate aldolase', 334, NULL, 'TIGR03217', 198252),
(254527, 'TIGR00219', NULL, 'mreC: rod shape-determining protein MreC', 283, NULL, 'TIGR00219', 198253),
(254528, 'TIGR01032', NULL, 'rplT_bact: ribosomal protein bL20', 114, NULL, 'TIGR01032', 198254),
(254529, 'TIGR03696', NULL, 'Rhs_assc_core: RHS repeat-associated core domain', 76, NULL, 'TIGR03696', 198255),
(254530, 'TIGR02187', NULL, 'GlrX_arch: glutaredoxin-like domain protein', 216, NULL, 'TIGR02187', 198256),
(254531, 'TIGR01674', NULL, 'phage_lambda_G: phage minor tail protein G', 138, NULL, 'TIGR01674', 198257),
(254532, 'TIGR01851', NULL, 'argC_other: N-acetyl-gamma-glutamyl-phosphate reductase', 310, NULL, 'TIGR01851', 198258),
(254533, 'TIGR03054', NULL, 'photo_alph_chp1: putative photosynthetic complex assembly protein', 135, NULL, 'TIGR03054', 198259),
(254534, 'TIGR04379', NULL, 'myo_inos_iolE: myo-inosose-2 dehydratase', 290, NULL, 'TIGR04379', 198260),
(254535, 'TIGR01681', NULL, 'HAD-SF-IIIC: HAD phosphatase, family IIIC', 132, NULL, 'TIGR01681', 198261);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(254536, 'TIGR04549', NULL, 'LP_HExxH_w_tonB: substrate import-associated zinc metallohydrolase lipoprotein', 261, NULL, 'TIGR04549', 198262),
(254537, 'TIGR03224', NULL, 'benzo_boxA: benzoyl-CoA oxygenase/reductase, BoxA protein', 411, NULL, 'TIGR03224', 198263),
(254538, 'TIGR02711', NULL, 'symport_actP: cation/acetate symporter ActP', 549, NULL, 'TIGR02711', 198264),
(254539, 'SM00966', NULL, NULL, 47, NULL, 'SpoVT_AbrB_2_a', 198265),
(254540, 'SM00388', NULL, NULL, 89, NULL, 'HisKA_10', 198266),
(254541, 'SM00789', NULL, NULL, 57, NULL, 'ad_cyc_g_alpha', 198267),
(254542, 'SM00140', NULL, NULL, 131, NULL, 'NGF_2', 198268),
(254543, 'SM01230', NULL, NULL, 336, NULL, 'Gln_synt_C_2', 198269),
(254544, 'SM00696', NULL, NULL, 73, NULL, 'dm9', 198270),
(254545, 'SM00459', NULL, NULL, 55, NULL, 'sorbin_1', 198271),
(254546, 'SM00421', NULL, NULL, 57, NULL, 'luxrmega5', 198272),
(254547, 'SM00737', NULL, NULL, 121, NULL, 'pgtp_13', 198273),
(254548, 'SM00732', NULL, NULL, 117, NULL, 'rnase_8s', 198274),
(254549, 'SM00342', NULL, NULL, 84, NULL, 'aracneu4', 198275),
(254550, 'SM01030', NULL, NULL, 61, NULL, 'BHD_1_2', 198276),
(254551, 'SM00815', NULL, NULL, 536, NULL, 'ama_1', 198277),
(254552, 'SM00919', NULL, NULL, 300, NULL, 'Malic_M_2', 198278),
(254553, 'SM00428', NULL, NULL, 105, NULL, 'h35', 198279),
(254554, 'SM00098', NULL, NULL, 541, NULL, 'alk_phosph_2', 198280),
(254555, 'SM00774', NULL, NULL, 64, NULL, 'WRKY_cls', 198281),
(254556, 'SM00102', NULL, NULL, 145, NULL, 'adf_2', 198282),
(254557, 'SM00864', NULL, NULL, 232, NULL, 'Tubulin_4', 198283),
(254558, 'SM01147', NULL, NULL, 69, NULL, 'DUF1087_2', 198284),
(254559, 'SM00382', NULL, NULL, 92, NULL, 'AAA_5', 198285),
(254560, 'SM00471', NULL, NULL, 59, NULL, 'hd_13', 198286),
(254561, 'SM00558', NULL, NULL, 214, NULL, 'cupin_9', 198287),
(254562, 'SM00431', NULL, NULL, 113, NULL, 'ler4', 198288),
(254563, 'SM01246', NULL, NULL, 192, NULL, 'Josephin_2', 198289),
(254564, 'SM00982', NULL, NULL, 104, NULL, 'TRCF_a_2_a', 198290),
(254565, 'SM00499', NULL, NULL, 64, NULL, 'aai_6', 198291),
(254566, 'SM01146', NULL, NULL, 173, NULL, 'DUF1086_2', 198292),
(254567, 'SM01298', NULL, NULL, 113, NULL, 'KapB_2', 198293),
(254568, 'SM01025', NULL, NULL, 91, NULL, 'BEN_2', 198294),
(254569, 'SM01270', NULL, NULL, 104, NULL, 'Longin_2', 198295),
(254570, 'SM00630', NULL, NULL, 532, NULL, 'sema', 198296),
(254571, 'SM00543', NULL, NULL, 227, NULL, 'if4_15', 198297),
(254572, 'SM00679', NULL, NULL, 32, NULL, 'ctns', 198298),
(254573, 'SM01135', NULL, NULL, 113, NULL, 'DIRP_2', 198299),
(254574, 'SM00582', NULL, NULL, 146, NULL, '558neu5', 198300),
(254575, 'SM00614', NULL, NULL, 57, NULL, 'bed5', 198301),
(254576, 'SM01186', NULL, NULL, 136, NULL, 'eIF3_N_2', 198302),
(254577, 'SM00040', NULL, NULL, 121, NULL, 'CSF2_1', 198303),
(254578, 'SM01358', NULL, NULL, 270, NULL, 'HBM_sequencesselection_2', 198304),
(254579, 'SM00517', NULL, NULL, 66, NULL, 'poly_2', 198305),
(254580, 'SM01380', NULL, NULL, 91, NULL, 'Ribosomal_L31e_2', 198306),
(254581, 'SM00657', NULL, NULL, 136, NULL, 'rpol4neu2', 198307),
(254582, 'SM01001', NULL, NULL, 154, NULL, 'AIRC_2', 198308),
(254583, 'SM00048', NULL, NULL, 34, NULL, 'DEFSN_4', 198309),
(254584, 'SM00987', NULL, NULL, 125, NULL, 'UDG_2_a', 198310),
(254585, 'SM00564', NULL, NULL, 33, NULL, 'ire1_9', 198311),
(254586, 'SM00483', NULL, NULL, 410, NULL, 'polxneu3', 198312),
(254587, 'SM01317', NULL, NULL, 121, NULL, 'SPOB_ab_2', 198313),
(254588, 'SM00816', NULL, NULL, 44, NULL, 'amb_v_allergen', 198314),
(254589, 'SM00321', NULL, NULL, 103, NULL, 'SLG_2', 198315),
(254590, 'SM00318', NULL, NULL, 153, NULL, 'SNASE_2', 198316),
(254591, 'SM00521', NULL, NULL, 62, NULL, 'cbf3', 198317),
(254592, 'SM00833', NULL, NULL, 122, NULL, 'CobW_C_3', 198318),
(254593, 'SM00933', NULL, NULL, 286, NULL, 'NurA_2_a', 198319),
(254594, 'SM00165', NULL, NULL, 38, NULL, 'uba_6', 198320),
(254595, 'SM00608', NULL, NULL, 152, NULL, 'acr', 198321),
(254596, 'SM00182', NULL, NULL, 159, NULL, 'cul_2', 198322),
(254597, 'SM00831', NULL, NULL, 75, NULL, 'Cation_ATPase_N_a_2', 198323);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(254598, 'SM00812', NULL, NULL, 443, NULL, 'alpha_l_fucos', 198324),
(254599, 'SM01271', NULL, NULL, 108, NULL, 'LSM14_2', 198325),
(254600, 'SM01312', NULL, NULL, 135, NULL, 'RTC4_2', 198326),
(254601, 'SM00549', NULL, NULL, 94, NULL, 'nervy_1', 198327),
(254602, 'SM00204', NULL, NULL, 102, NULL, 'TGFB_2', 198328),
(254603, 'SM01397', NULL, NULL, 213, NULL, 'Ribosomal_S3Ae_2', 198329),
(254604, 'SM00740', NULL, NULL, 67, NULL, '2pasta', 198330),
(254605, 'SM00889', NULL, NULL, 142, NULL, 'EFG_IV_2', 198331),
(254606, 'SM01051', NULL, NULL, 144, NULL, 'CAMSAP_CKK_2', 198332),
(254607, 'SM01384', NULL, NULL, 194, NULL, 'Ribosomal_L15e_2', 198333),
(254608, 'SM00766', NULL, NULL, 136, NULL, 'dnag_dnab_bind_seq8d', 198334),
(254609, 'SM01378', NULL, NULL, 67, NULL, 'Romo1_2', 198335),
(254610, 'SM00990', NULL, NULL, 132, NULL, 'VRR_NUC_a_2', 198336),
(254611, 'SM00015', NULL, NULL, 23, NULL, 'iq_5', 198337),
(254612, 'SM00364', NULL, NULL, 20, NULL, 'LRR_bac_2', 198338),
(254613, 'SM01064', NULL, NULL, 34, NULL, 'CBM_10_2', 198339),
(254614, 'SM00078', NULL, NULL, 71, NULL, 'IlGF_1', 198340),
(254615, 'SM01373', NULL, NULL, 195, NULL, 'MAGE_2', 198341),
(254616, 'SM01399', NULL, NULL, 272, NULL, 'Sybindin_2', 198342),
(254617, 'SM00415', NULL, NULL, 115, NULL, 'hsfneu3', 198343),
(254618, 'SM00351', NULL, NULL, 125, NULL, 'pax3', 198344),
(254619, 'SM00571', NULL, NULL, 65, NULL, 'testlast3', 198345),
(254620, 'SM00436', NULL, NULL, 92, NULL, 'topIban2', 198346),
(254621, 'SM00186', NULL, NULL, 262, NULL, 'FBG_2', 198347),
(254622, 'SM01220', NULL, NULL, 716, NULL, 'FSA_C_2', 198348),
(254623, 'SM01335', NULL, NULL, 61, NULL, 'PADR1_2', 198349),
(254624, 'SM00934', NULL, NULL, 268, NULL, 'OMPdecase_2', 198350),
(254625, 'SM00089', NULL, NULL, 91, NULL, 'PKD_9', 198351),
(254626, 'SM00825', NULL, 'Beta-ketoacyl synthase', 535, NULL, 'PKS_KS', 198352),
(254627, 'SM00451', NULL, NULL, 37, NULL, 'ZnF_U1_5', 198353),
(254628, 'SM00324', NULL, NULL, 193, NULL, 'RhoGAP_3', 198354),
(254629, 'SM00275', NULL, NULL, 400, NULL, 'galpha_1', 198355),
(254630, 'SM01020', NULL, NULL, 125, NULL, 'B2_adapt_app_C_2', 198356),
(254631, 'SM00099', NULL, NULL, 110, NULL, 'btg1_nr', 198357),
(254632, 'SM00728', NULL, NULL, 46, NULL, 'chw', 198358),
(254633, 'SM01282', NULL, NULL, 144, NULL, 'DBB_2', 198359),
(254634, 'SM01350', NULL, NULL, 306, NULL, '6PGD_2', 198360),
(254635, 'SM01329', NULL, NULL, 432, NULL, 'Iso_dh_2', 198361),
(254636, 'SM01119', NULL, NULL, 114, NULL, 'D_ser_dehydrat_2', 198362),
(254637, 'SM00408', NULL, NULL, 56, NULL, 'igc2_5', 198363),
(254638, 'SM01043', NULL, NULL, 151, NULL, 'BTAD_2', 198364),
(254639, 'SM00313', NULL, NULL, 226, NULL, 'PXA_3', 198365),
(254640, 'SM01242', NULL, NULL, 98, NULL, 'Integrin_B_tail_2', 198366),
(254641, 'SM00615', NULL, NULL, 184, NULL, 'eph', 198367),
(254642, 'SM00865', NULL, NULL, 178, NULL, 'Tubulin_C_4', 198368),
(254643, 'SM00690', NULL, NULL, 106, NULL, 'dm5', 198369),
(254644, 'SM00755', NULL, NULL, 50, NULL, '1grip', 198370),
(254645, 'SM01330', NULL, NULL, 337, NULL, 'Frizzled_2', 198371),
(254646, 'SM01073', NULL, NULL, 98, NULL, 'CDC48_N_2', 198372),
(254647, 'SM00533', NULL, NULL, 335, NULL, 'DNAend', 198373),
(254648, 'SM01170', NULL, NULL, 168, NULL, 'DUF1944_2', 198374),
(254649, 'SM00267', NULL, NULL, 176, NULL, 'duf1_3', 198375),
(254650, 'SM00638', NULL, NULL, 791, NULL, 'lpd_n', 198376),
(254651, 'SM01028', NULL, NULL, 40, NULL, 'Beta-TrCP_D_2', 198377),
(254652, 'SM00562', NULL, NULL, 142, NULL, 'ndk_5', 198378),
(254653, 'SM00978', NULL, NULL, 167, NULL, 'Tim44_a_2', 198379),
(254654, 'SM00792', NULL, NULL, 144, NULL, 'agouti', 198380),
(254655, 'SM00910', NULL, NULL, 131, NULL, 'HIRAN_2', 198381),
(254656, 'SM00604', NULL, NULL, 172, NULL, 'md', 198382),
(254657, 'SM00188', NULL, NULL, 137, NULL, 'int10', 198383),
(254658, 'SM00460', NULL, NULL, 90, NULL, 'TG_5', 198384),
(254659, 'SM00822', NULL, 'This enzymatic domain is part of bacterial polyketide synthases and catalyses the first step in the reductive modification of the beta-carbonyl centres in the growing polyketide chain. It uses NADPH to reduce the keto group to a hydroxy group.', 839, NULL, 'PKS_KR', 198385);
INSERT INTO "PUBLIC"."MODEL" VALUES
(254660, 'SM01101', NULL, NULL, 262, NULL, 'CRISPR_assoc_2', 198386),
(254661, 'SM00557', NULL, NULL, 119, NULL, 'flmn_3', 198387),
(254662, 'SM00757', NULL, NULL, 119, NULL, 'toby_final6', 198388),
(254663, 'SM00153', NULL, NULL, 36, NULL, 'VHP_1', 198389),
(254664, 'SM01137', NULL, NULL, 125, NULL, 'DMAP_binding_2', 198390),
(254665, 'SM00575', NULL, NULL, 28, NULL, '26again6', 198391),
(254666, 'SM00446', NULL, NULL, 19, NULL, 'LRRcap_2', 198392),
(254667, 'SM01049', NULL, NULL, 104, NULL, 'Cache_2_2', 198393),
(254668, 'SM01057', NULL, NULL, 293, NULL, 'Carb_anhydrase_2a', 198394),
(254669, 'SM00285', NULL, NULL, 38, NULL, 'PBD_5', 198395),
(254670, 'SM00676', NULL, NULL, 126, NULL, 'dm10', 198396),
(254671, 'SM01155', NULL, NULL, 34, NULL, 'DUF1713_2', 198397),
(254672, 'SM00307', NULL, NULL, 207, NULL, 'ILWEQ_1', 198398),
(254673, 'SM01127', NULL, NULL, 332, NULL, 'DDHD_2a', 198399),
(254674, 'SM00852', NULL, NULL, 201, NULL, 'MoCF_biosynth_3a', 198400),
(254675, 'SM01029', NULL, NULL, 195, NULL, 'BetaGal_dom2_2', 198401),
(254676, 'SM00756', NULL, NULL, 170, NULL, 'vkor_5', 198402),
(254677, 'SM00194', NULL, NULL, 308, NULL, 'PTPc_3', 198403),
(254678, 'SM01237', NULL, NULL, 312, NULL, 'ICA69_2', 198404),
(254679, 'SM01031', NULL, NULL, 65, NULL, 'BHD_2_2', 198405),
(254680, 'SM00398', NULL, NULL, 71, NULL, 'hmgende2', 198406),
(254681, 'SM01019', NULL, NULL, 100, NULL, 'B3_2', 198407),
(254682, 'SM00722', NULL, NULL, 218, NULL, 'complete', 198408),
(254683, 'SM00520', NULL, NULL, 111, NULL, 'basic', 198409),
(254684, 'SM00540', NULL, NULL, 44, NULL, 'lem_2', 198410),
(254685, 'SM01219', NULL, NULL, 113, NULL, 'Frataxin_Cyay_2', 198411),
(254686, 'SM00368', NULL, NULL, 28, NULL, 'LRR_RI_2', 198412),
(254687, 'SM00634', NULL, NULL, 97, NULL, 'big_1', 198413),
(254688, 'SM01393', NULL, NULL, 108, NULL, 'Ribosomal_L32e_2', 198414),
(254689, 'SM00975', NULL, NULL, 147, NULL, 'Telomerase_RBD_2', 198415),
(254690, 'SM01089', NULL, NULL, 70, NULL, 'Connexin_CCC_2', 198416),
(254691, 'SM00959', NULL, NULL, 43, NULL, 'Rho_N_2_a', 198417),
(254692, 'SM00205', NULL, NULL, 224, NULL, 'tha2', 198418),
(254693, 'SM01331', NULL, NULL, 102, NULL, 'DUF3635_2', 198419),
(254694, 'SM00273', NULL, NULL, 137, NULL, 'enth_2', 198420),
(254695, 'SM00505', NULL, NULL, 59, NULL, 'gth_4', 198421),
(254696, 'SM01309', NULL, NULL, 119, NULL, 'RICTOR_phospho_2', 198422),
(254697, 'SM00882', NULL, NULL, 261, NULL, 'CoA_trans_3', 198423),
(254698, 'SM00685', NULL, NULL, 59, NULL, 'dm14', 198424),
(254699, 'SM00863', NULL, NULL, 69, NULL, 'tRNA_SAD_4', 198425),
(254700, 'SM00369', NULL, NULL, 24, NULL, 'LRR_typ_2', 198426),
(254701, 'SM00201', NULL, NULL, 53, NULL, 'SO_2', 198427),
(254702, 'SM01347', NULL, NULL, 221, NULL, 'Mre11_DNA_bind_2', 198428),
(254703, 'SM00468', NULL, NULL, 124, NULL, 'preset_2', 198429),
(254704, 'SM00193', NULL, NULL, 80, NULL, 'PTN_2', 198430),
(254705, 'SM01044', NULL, NULL, 150, NULL, 'Btz_2', 198431),
(254706, 'SM00386', NULL, NULL, 34, NULL, 'hat_new_1', 198432),
(254707, 'SM00843', NULL, NULL, 66, NULL, 'FtsK_gamma_2', 198433),
(254708, 'SM00287', NULL, NULL, 69, NULL, 'sh3_bac_9', 198434),
(254709, 'SM01173', NULL, NULL, 57, NULL, 'DUF4187_2', 198435),
(254710, 'SM00890', NULL, NULL, 63, NULL, 'EKR_2', 198436),
(254711, 'SM00023', NULL, NULL, 95, NULL, 'colipase2', 198437),
(254712, 'SM01115', NULL, NULL, 54, NULL, 'cwf21_2', 198438),
(254713, 'SM00960', NULL, NULL, 100, NULL, 'Robl_LC7_a_2', 198439),
(254714, 'SM00076', NULL, NULL, 120, NULL, 'inter3_nr', 198440),
(254715, 'SM00577', NULL, NULL, 173, NULL, 'forpap2', 198441),
(254716, 'SM01124', NULL, NULL, 198, NULL, 'DBR1_2', 198442),
(254717, 'SM00392', NULL, NULL, 171, NULL, 'prof_2', 198443),
(254718, 'SM01192', NULL, NULL, 320, NULL, 'Enolase_C_3', 198444),
(254719, 'SM00925', NULL, NULL, 179, NULL, 'MltA_2', 198445),
(254720, 'SM00085', NULL, NULL, 122, NULL, 'PA-fin', 198446),
(254721, 'SM00738', NULL, NULL, 119, NULL, 'nusgn_4', 198447),
(254722, 'SM01092', NULL, NULL, 118, NULL, 'CO_deh_flav_C_2', 198448),
(254723, 'SM00174', NULL, NULL, 180, NULL, 'rho_sub_3', 198449);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(254724, 'SM00084', NULL, NULL, 25, NULL, 'nmu2', 198450),
(254725, 'SM00850', NULL, NULL, 115, NULL, 'LytTR_3', 198451),
(254726, 'SM01121', NULL, NULL, 333, NULL, 'Dak1_2_2', 198452),
(254727, 'SM00279', NULL, NULL, 37, NULL, 'HhH_4', 198453),
(254728, 'SM01022', NULL, NULL, 143, NULL, 'ASCH_2', 198454),
(254729, 'SM01081', NULL, NULL, 179, NULL, 'CHB_HEX_2', 198455),
(254730, 'SM01169', NULL, NULL, 333, NULL, 'DUF1943_3', 198456),
(254731, 'SM00389', NULL, NULL, 63, NULL, 'HOX_1', 198457),
(254732, 'SM00809', NULL, NULL, 124, NULL, 'alpha_adaptinc2', 198458),
(254733, 'SM00836', NULL, NULL, 133, NULL, 'dalr_1_4', 198459),
(254734, 'SM00478', NULL, NULL, 179, NULL, 'endo3end', 198460),
(254735, 'SM01225', NULL, NULL, 139, NULL, 'G8_2', 198461),
(254736, 'SM00053', NULL, NULL, 246, NULL, 'dynamin_3', 198462),
(254737, 'SM00466', NULL, NULL, 179, NULL, 'G9a_1', 198463),
(254738, 'SM00335', NULL, NULL, 53, NULL, 'annex3', 198464),
(254739, 'SM00710', NULL, NULL, 22, NULL, 'pbh1', 198465),
(254740, 'SM00490', NULL, NULL, 86, NULL, 'helicmild6', 198466),
(254741, 'SM01210', NULL, NULL, 109, NULL, 'GARS_C_2', 198467),
(254742, 'SM00878', NULL, NULL, 143, NULL, 'Biotin_carb_C_2', 198468),
(254743, 'SM01208', NULL, NULL, 79, NULL, 'G5_2', 198469),
(254744, 'SM00568', NULL, NULL, 80, NULL, 'gram2001c', 198470),
(254745, 'SM00293', NULL, NULL, 84, NULL, 'PWWP_4', 198471),
(254746, 'SM00440', NULL, NULL, 40, NULL, 'Cys4_2', 198472),
(254747, 'SM00810', NULL, NULL, 62, NULL, 'alpha-amyl_c2', 198473),
(254748, 'SM01395', NULL, NULL, 68, NULL, 'Tbf5_2', 198474),
(254749, 'SM00767', NULL, NULL, 138, NULL, 'dcd', 198475),
(254750, 'SM00903', NULL, NULL, 182, NULL, 'Flavin_Reduct_2', 198476),
(254751, 'SM00112', NULL, NULL, 121, NULL, 'CA_2', 198477),
(254752, 'SM01287', NULL, NULL, 113, NULL, 'Rtt106_2', 198478),
(254753, 'SM00105', NULL, NULL, 139, NULL, 'arf_gap_3', 198479),
(254754, 'SM00918', NULL, NULL, 72, NULL, 'Lig_chan_Glu_bd_2', 198480),
(254755, 'SM01111', NULL, NULL, 135, NULL, 'CVNH_2', 198481),
(254756, 'SM00963', NULL, NULL, 95, NULL, 'SRP54_N_2', 198482),
(254757, 'SM01258', NULL, NULL, 45, NULL, 'KRBA1_2', 198483),
(254758, 'SM00206', NULL, NULL, 184, NULL, 'NTR_2', 198484),
(254759, 'SM01291', NULL, NULL, 178, NULL, 'N_SET_2', 198485),
(254760, 'SM01274', NULL, NULL, 183, NULL, 'malic_2', 198486),
(254761, 'SM00941', NULL, NULL, 75, NULL, 'PYNP_C_2', 198487),
(254762, 'SM00515', NULL, NULL, 92, NULL, '542_3', 198488),
(254763, 'SM00228', NULL, NULL, 80, NULL, 'pdz_new', 198489),
(254764, 'SM01276', NULL, NULL, 342, NULL, 'M60_like_2', 198490),
(254765, 'SM00829', NULL, NULL, 348, NULL, 'PKS_ER_names_mod', 198491),
(254766, 'SM00071', NULL, NULL, 104, NULL, 'galanin', 198492),
(254767, 'SM00242', NULL, NULL, 771, NULL, 'MYSc_2a', 198493),
(254768, 'SM00238', NULL, NULL, 81, NULL, 'bir_2', 198494),
(254769, 'SM00880', NULL, NULL, 281, NULL, 'CHAD_3', 198495),
(254770, 'SM01239', NULL, NULL, 38, NULL, 'IKKbetaNEMObind_2', 198496),
(254771, 'SM00914', NULL, NULL, 37, NULL, 'IDEAL_2', 198497),
(254772, 'SM00715', NULL, NULL, 92, NULL, 'la', 198498),
(254773, 'SM01189', NULL, NULL, 95, NULL, 'ELM2_2', 198499),
(254774, 'SM01375', NULL, NULL, 107, NULL, 'Dynein_light_2', 198500),
(254775, 'SM00251', NULL, NULL, 90, NULL, 'SAM2_3', 198501),
(254776, 'SM00034', NULL, NULL, 141, NULL, 'CLECT_2', 198502),
(254777, 'SM01305', NULL, NULL, 110, NULL, 'RESP18_2', 198503),
(254778, 'SM00319', NULL, NULL, 142, NULL, 'TAR_3', 198504),
(254779, 'SM00927', NULL, NULL, 109, NULL, 'MutH_2', 198505),
(254780, 'SM01204', NULL, NULL, 173, NULL, 'FIST_C_2', 198506),
(254781, 'SM00353', NULL, NULL, 61, NULL, 'finulus', 198507),
(254782, 'SM01037', NULL, NULL, 152, NULL, 'Bet_v_1_2', 198508),
(254783, 'SM00449', NULL, NULL, 145, NULL, 'SPRY_3', 198509),
(254784, 'SM01336', NULL, NULL, 88, NULL, 'zf_PARP_3', 198510),
(254785, 'SM00928', NULL, NULL, 46, NULL, 'NADH_4Fe_4S_2', 198511),
(254786, 'SM00086', NULL, NULL, 43, NULL, 'pac_2', 198512),
(254787, 'SM00547', NULL, NULL, 25, NULL, 'zf_4', 198513),
(254788, 'SM00225', NULL, NULL, 114, NULL, 'BTB_4', 198514);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(254789, 'SM01178', NULL, NULL, 71, NULL, 'DUF4217_3', 198515),
(254790, 'SM00667', NULL, NULL, 33, NULL, 'Lish', 198516),
(254791, 'SM00017', NULL, NULL, 309, NULL, 'osteo', 198517),
(254792, 'SM01406', NULL, NULL, 100, NULL, 'PAPA_1_2', 198518),
(254793, 'SM00576', NULL, NULL, 83, NULL, '17neu3', 198519),
(254794, 'SM00736', NULL, NULL, 108, NULL, 'cadg_13', 198520),
(254795, 'SM01125', NULL, NULL, 87, NULL, 'DCP2_2', 198521),
(254796, 'SM00813', NULL, NULL, 226, NULL, 'alpha_l_af_c', 198522),
(254797, 'SM00539', NULL, NULL, 185, NULL, 'ylk_9', 198523),
(254798, 'SM00703', NULL, NULL, 178, NULL, 'nrf', 198524),
(254799, 'SM01306', NULL, NULL, 219, NULL, 'RFX5_DNA_bdg_2', 198525),
(254800, 'SM00551', NULL, NULL, 102, NULL, 'TAZ_2', 198526),
(254801, 'SM00597', NULL, NULL, 117, NULL, '2118neu4', 198527),
(254802, 'SM00063', NULL, NULL, 130, NULL, 'FRI_4', 198528),
(254803, 'SM01354', NULL, NULL, 181, NULL, 'BLVR_2', 198529),
(254804, 'SM00031', NULL, NULL, 83, NULL, 'ded_6', 198530),
(254805, 'SM00427', NULL, NULL, 97, NULL, 'h2b3', 198531),
(254806, 'SM01277', NULL, NULL, 119, NULL, 'MAGUK_N_PEST_2', 198532),
(254807, 'SM01301', NULL, NULL, 175, NULL, 'PTPlike_phytase_2', 198533),
(254808, 'SM00879', NULL, NULL, 301, NULL, 'Brix_2', 198534),
(254809, 'SM00358', NULL, NULL, 68, NULL, 'DRBM_3', 198535),
(254810, 'SM00343', NULL, NULL, 17, NULL, 'c2hcfinal6', 198536),
(254811, 'SM00195', NULL, NULL, 172, NULL, 'dsp_5', 198537),
(254812, 'SM01299', NULL, NULL, 174, NULL, 'PIP49_N_2', 198538),
(254813, 'SM00455', NULL, NULL, 76, NULL, 'RBD_5', 198539),
(254814, 'SM00753', NULL, 'motif in proteasome subunits, Int-6, Nip-1 and TRIP-15', 92, NULL, 'PINT', 198540),
(254815, 'SM00146', NULL, NULL, 336, NULL, 'pi3k_hr1_6', 198541),
(254816, 'SM01314', NULL, NULL, 76, NULL, 'SnAC_2', 198542),
(254817, 'SM00954', NULL, NULL, 132, NULL, 'RelA_SpoT_2', 198543),
(254818, 'SM00714', NULL, NULL, 77, NULL, 'litaf', 198544),
(254819, 'SM00095', NULL, NULL, 121, NULL, 'transthy-fin', 198545),
(254820, 'SM01149', NULL, NULL, 438, NULL, 'DUF1237_2a', 198546),
(254821, 'SM01216', NULL, NULL, 533, NULL, 'Fmp27_WPPW_2', 198547),
(254822, 'SM00437', NULL, NULL, 309, NULL, 'topIaneu2', 198548),
(254823, 'SM00949', NULL, NULL, 159, NULL, 'PAZ_2_a_3', 198549),
(254824, 'SM00748', NULL, NULL, 123, NULL, '2HEPN', 198550),
(254825, 'SM00474', NULL, NULL, 202, NULL, '35exoneu6', 198551),
(254826, 'SM00407', NULL, NULL, 78, NULL, 'igc1_4', 198552),
(254827, 'SM00731', NULL, NULL, 182, NULL, 'sprt_6', 198553),
(254828, 'SM01085', NULL, NULL, 237, NULL, 'CK_II_beta_2', 198554),
(254829, 'SM00824', NULL, 'Thioesterase', 219, NULL, 'PKS_TE', 198555),
(254830, 'SM01324', NULL, NULL, 89, NULL, 'YARHG_2', 198556),
(254831, 'SM00414', NULL, NULL, 124, NULL, 'h2a4', 198557),
(254832, 'SM00980', NULL, NULL, 89, NULL, 'THAP_2', 198558),
(254833, 'SM00996', NULL, NULL, 469, NULL, 'AdoHcyase_2', 198559),
(254834, 'SM00588', NULL, NULL, 128, NULL, '27b', 198560),
(254835, 'SM00999', NULL, NULL, 387, NULL, 'Aerolysin_2', 198561),
(254836, 'SM00967', NULL, NULL, 96, NULL, 'SpoU_sub_bind_2', 198562),
(254837, 'SM01348', NULL, NULL, 66, NULL, 'Nbs1_C_2', 198563),
(254838, 'SM01009', NULL, NULL, 128, NULL, 'AlkA_N_2', 198564),
(254839, 'SM00211', NULL, NULL, 58, NULL, 'TY_2', 198565),
(254840, 'SM00853', NULL, NULL, 176, NULL, 'MutL_C_2', 198566),
(254841, 'SM00454', NULL, NULL, 67, NULL, 'SAM_4', 198567),
(254842, 'SM00993', NULL, NULL, 30, NULL, 'YL1_C_2', 198568),
(254843, 'SM00397', NULL, NULL, 68, NULL, 'tSNARE_6', 198569),
(254844, 'SM00686', NULL, NULL, 117, NULL, 'dm13', 198570),
(254845, 'SM00504', NULL, NULL, 72, NULL, 'Ubox_2', 198571),
(254846, 'SM01240', NULL, NULL, 495, NULL, 'IMPDH_2', 198572),
(254847, 'SM01334', NULL, NULL, 65, NULL, 'DUF3454_2', 198573),
(254848, 'SM00642', NULL, NULL, 547, NULL, 'aamy', 198574),
(254849, 'SM01145', NULL, NULL, 104, NULL, 'DUF1041_2a', 198575),
(254850, 'SM00230', NULL, NULL, 384, NULL, 'cys_prot_2', 198576),
(254851, 'SM00538', NULL, NULL, 99, NULL, 'pop4_2', 198577),
(254852, 'SM00801', NULL, NULL, 84, NULL, 'dDENN_cls', 198578); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(254853, 'SM01412', NULL, NULL, 285, NULL, 'Pro_rich_2', 198579),
(254854, 'SM00734', NULL, NULL, 27, NULL, 'c2hc_5', 198580),
(254855, 'SM00659', NULL, NULL, 46, NULL, 'rpolcxc3', 198581),
(254856, 'SM01162', NULL, NULL, 69, NULL, 'DUF1771_2', 198582),
(254857, 'SM00491', NULL, NULL, 160, NULL, 'Cxpdneu3', 198583),
(254858, 'SM00420', NULL, NULL, 53, NULL, 'deor2', 198584),
(254859, 'SM01318', NULL, NULL, 74, NULL, 'SVWC_2', 198585),
(254860, 'SM01093', NULL, NULL, 72, NULL, 'CP12_2', 198586),
(254861, 'SM00475', NULL, NULL, 276, NULL, '53exo3', 198587),
(254862, 'SM00252', NULL, NULL, 87, NULL, 'SH2_5', 198588),
(254863, 'SM01319', NULL, NULL, 192, NULL, 'Tankyrase_bdg_C_2', 198589),
(254864, 'SM00441', NULL, NULL, 64, NULL, 'FF_2', 198590),
(254865, 'SM00844', NULL, NULL, 60, NULL, 'GA_2', 198591),
(254866, 'SM00729', NULL, NULL, 246, NULL, 'MiaB', 198592),
(254867, 'SM00453', NULL, NULL, 72, NULL, 'wsn_4', 198593),
(254868, 'SM01337', NULL, NULL, 174, NULL, 'APC10_2', 198594),
(254869, 'SM00964', NULL, NULL, 129, NULL, 'STAT_int_2', 198595),
(254870, 'SM00654', NULL, NULL, 205, NULL, 'eIF6neu2', 198596),
(254871, 'SM00045', NULL, NULL, 195, NULL, 'dagk_c4b_2', 198597),
(254872, 'SM00406', NULL, NULL, 76, NULL, 'igv1_8', 198598),
(254873, 'SM00512', NULL, NULL, 126, NULL, 'skp1_3', 198599),
(254874, 'SM01154', NULL, NULL, 388, NULL, 'DUF1704_2', 198600),
(254875, 'SM00902', NULL, NULL, 64, NULL, 'Fe_hyd_SSU_2', 198601),
(254876, 'SM01120', NULL, NULL, 186, NULL, 'Dak2_2', 198602),
(254877, 'SM00953', NULL, NULL, 162, NULL, 'RES_2', 198603),
(254878, 'SM00207', NULL, NULL, 165, NULL, 'TNF_2', 198604),
(254879, 'SM00055', NULL, NULL, 103, NULL, 'fch_2', 198605),
(254880, 'SM00503', NULL, NULL, 127, NULL, 'SynN_4', 198606),
(254881, 'SM00969', NULL, NULL, 49, NULL, 'SOCS_box_2', 198607),
(254882, 'SM01059', NULL, NULL, 210, NULL, 'CAT_2a', 198608),
(254883, 'SM01315', NULL, NULL, 998, NULL, 'Spc7_N_2', 198609),
(254884, 'SM01077', NULL, NULL, 125, NULL, 'Cg6151_P_2', 198610),
(254885, 'SM01195', NULL, NULL, 50, NULL, 'FA_2', 198611),
(254886, 'SM00218', NULL, NULL, 115, NULL, 'zu_1', 198612),
(254887, 'SM00277', NULL, NULL, 58, NULL, 'GRAN_2', 198613),
(254888, 'SM00072', NULL, NULL, 203, NULL, 'gk_7', 198614),
(254889, 'SM00243', NULL, 'Growth-Arrest-Specific Protein 2 Domain', 76, NULL, 'GAS2', 198615),
(254890, 'SM00595', NULL, NULL, 98, NULL, '118neu2', 198616),
(254891, 'SM01320', NULL, NULL, 190, NULL, 'TRP_N_2', 198617),
(254892, 'SM00581', NULL, NULL, 62, NULL, 'testneu', 198618),
(254893, 'SM00115', NULL, NULL, 282, NULL, 'caspase_2', 198619),
(254894, 'SM00391', NULL, NULL, 87, NULL, 'TAM_2', 198620),
(254895, 'SM01141', NULL, NULL, 146, NULL, 'DRY_EERY_2', 198621),
(254896, 'SM01172', NULL, NULL, 231, NULL, 'DUF3700_2', 198622),
(254897, 'SM01116', NULL, NULL, 74, NULL, 'Cyanate_lyase_2', 198623),
(254898, 'SM00302', NULL, NULL, 97, NULL, 'GED_2', 198624),
(254899, 'SM00046', NULL, NULL, 157, NULL, 'dagk_c4a_7', 198625),
(254900, 'SM00145', NULL, NULL, 232, NULL, 'pi3k_hr2_4', 198626),
(254901, 'SM01391', NULL, NULL, 393, NULL, 'Filament_2', 198627),
(254902, 'SM00651', NULL, NULL, 66, NULL, 'Sm3', 198628),
(254903, 'SM00133', NULL, NULL, 79, NULL, 'pkinase_C_6', 198629),
(254904, 'SM00995', NULL, NULL, 95, NULL, 'AD_2', 198630),
(254905, 'SM00385', NULL, NULL, 90, NULL, 'cyclin_7', 198631),
(254906, 'SM00814', NULL, NULL, 368, NULL, 'alpha_tif', 198632),
(254907, 'SM00315', NULL, NULL, 121, NULL, 'RGS_3', 198633),
(254908, 'SM00113', NULL, NULL, 43, NULL, 'calci3_nr', 198634),
(254909, 'SM00847', NULL, NULL, 202, NULL, 'ha2_5', 198635),
(254910, 'SM00164', NULL, NULL, 310, NULL, 'tbc_4', 198636),
(254911, 'SM00908', NULL, NULL, 143, NULL, 'Gal_bind_lectin_2', 198637),
(254912, 'SM01129', NULL, NULL, 75, NULL, 'DELLA_2', 198638),
(254913, 'SM01150', NULL, NULL, 436, NULL, 'DUF1338_2', 198639),
(254914, 'SM00430', NULL, NULL, 158, NULL, 'holi', 198640),
(254915, 'SM00248', NULL, NULL, 30, NULL, 'ANK_2a', 198641),
(254916, 'SM01214', NULL, NULL, 170, NULL, 'Fmp27_GFWDK_2', 198642);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(254917, 'SM01253', NULL, NULL, 132, NULL, 'Kin17_mid_2', 198643),
(254918, 'SM01075', NULL, NULL, 206, NULL, 'CDT1_2', 198644),
(254919, 'SM01183', NULL, NULL, 113, NULL, 'EF1G_2', 198645),
(254920, 'SM00904', NULL, NULL, 137, NULL, 'Flavokinase_2', 198646),
(254921, 'SM00907', NULL, NULL, 89, NULL, 'GDNF_2', 198647),
(254922, 'SM00860', NULL, NULL, 60, NULL, 'SMI1_KNR4_3', 198648),
(254923, 'SM01175', NULL, NULL, 215, NULL, 'DUF4206_2', 198649),
(254924, 'SM00054', NULL, NULL, 29, NULL, 'efh_1', 198650),
(254925, 'SM00051', NULL, NULL, 66, NULL, 'dsl11', 198651),
(254926, 'SM01110', NULL, NULL, 236, NULL, 'Cutinase_3', 198652),
(254927, 'SM00956', NULL, NULL, 127, NULL, 'RQC_2', 198653),
(254928, 'SM00510', NULL, NULL, 118, NULL, 'mid_6', 198654),
(254929, 'SM01056', NULL, NULL, 266, NULL, 'Candida_ALS_N_2', 198655),
(254930, 'SM00607', NULL, NULL, 155, NULL, 'ftp', 198656),
(254931, 'SM00484', NULL, NULL, 80, NULL, 'xpgineu', 198657),
(254932, 'SM01328', NULL, NULL, 114, NULL, 'zf_3CxxC_2', 198658),
(254933, 'SM00367', NULL, NULL, 26, NULL, 'LRR_CC_2', 198659),
(254934, 'SM01041', NULL, NULL, 447, NULL, 'BRO1_2', 198660),
(254935, 'SM01010', NULL, NULL, 134, NULL, 'AMPKBI_2', 198661),
(254936, 'SM00870', NULL, NULL, 408, NULL, 'Asparaginase_2', 198662),
(254937, 'SM00399', NULL, NULL, 72, NULL, 'c4gold', 198663),
(254938, 'SM01404', NULL, NULL, 182, NULL, 'CIMR_2', 198664),
(254939, 'SM00226', NULL, NULL, 155, NULL, 'LMWPc_2', 198665),
(254940, 'SM00584', NULL, NULL, 261, NULL, '109ultra', 198666),
(254941, 'SM01353', NULL, NULL, 140, NULL, 'AIF_C_2', 198667),
(254942, 'SM00939', NULL, NULL, 363, NULL, 'PepX_C_2', 198668),
(254943, 'SM00280', NULL, NULL, 58, NULL, 'kazal_3', 198669),
(254944, 'SM00080', NULL, NULL, 179, NULL, 'ultra', 198670),
(254945, 'SM00828', NULL, 'Methyltransferase  in polyketide synthase (PKS) enzymes.', 275, NULL, 'PKS_MT', 198671),
(254946, 'SM00111', NULL, NULL, 116, NULL, 'C4_2', 198672),
(254947, 'SM00404', NULL, NULL, 92, NULL, 'ptp_7', 198673),
(254948, 'SM00346', NULL, NULL, 91, NULL, 'iclrneu', 198674),
(254949, 'SM00915', NULL, NULL, 151, NULL, 'Jacalin_2', 198675),
(254950, 'SM01302', NULL, NULL, 172, NULL, 'Raptor_N_2', 198676),
(254951, 'SM00612', NULL, NULL, 55, NULL, 'kelc_smart', 198677),
(254952, 'SM00329', NULL, NULL, 218, NULL, 'bpi2_2', 198678),
(254953, 'SM01003', NULL, NULL, 142, NULL, 'AlaDh_PNT_N_2', 198679),
(254954, 'SM01015', NULL, NULL, 258, NULL, 'Arfaptin_2', 198680),
(254955, 'SM00701', NULL, NULL, 151, NULL, 'pgrp', 198681),
(254956, 'SM01012', NULL, NULL, 56, NULL, 'ANTAR_2', 198682),
(254957, 'SM01304', NULL, NULL, 128, NULL, 'Ras_bdg_2_2', 198683),
(254958, 'SM01356', NULL, NULL, 114, NULL, 'AP4E_app_platf_2', 198684),
(254959, 'SM00896', NULL, NULL, 116, NULL, 'FDX_ACB_2', 198685),
(254960, 'SM00741', NULL, NULL, 84, NULL, 'sapb_4', 198686),
(254961, 'SM00947', NULL, NULL, 140, NULL, 'Pro_CA_2', 198687),
(254962, 'SM00555', NULL, NULL, 31, NULL, 'spa2_6', 198688),
(254963, 'SM01066', NULL, NULL, 96, NULL, 'CBM_25_3', 198689),
(254964, 'SM00594', NULL, NULL, 158, NULL, '45neu3', 198690),
(254965, 'SM00842', NULL, NULL, 195, NULL, 'FtsA._2', 198691),
(254966, 'SM00698', NULL, NULL, 22, NULL, 'morn', 198692),
(254967, 'SM00613', NULL, NULL, 98, NULL, 'cppneu5', 198693),
(254968, 'SM00579', NULL, NULL, 93, NULL, '9598neu4hmm', 198694),
(254969, 'SM00683', NULL, NULL, 55, NULL, 'dm16', 198695),
(254970, 'SM00110', NULL, NULL, 146, NULL, 'C1Q_2', 198696),
(254971, 'SM01133', NULL, NULL, 291, NULL, 'DeoC_2', 198697),
(254972, 'SM00192', NULL, NULL, 47, NULL, 'LDLa_2', 198698),
(254973, 'SM00233', NULL, NULL, 82, NULL, 'PH_update', 198699),
(254974, 'SM00694', NULL, NULL, 42, NULL, 'dysfc', 198700),
(254975, 'SM00783', NULL, NULL, 70, NULL, 'a_amylase_inhib2', 198701),
(254976, 'SM01340', NULL, NULL, 161, NULL, 'DNA_mis_repair_2', 198702),
(254977, 'SM00129', NULL, NULL, 404, NULL, 'kinesin_4', 198703),
(254978, 'SM00973', NULL, NULL, 409, NULL, 'Sec63_2', 198704),
(254979, 'SM00760', NULL, NULL, 70, NULL, 'bac_dnaa_c7seqb', 198705);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(254980, 'SM00554', NULL, NULL, 122, NULL, 'fasc_3', 198706),
(254981, 'SM01072', NULL, NULL, 71, NULL, 'CDC48_2_2', 198707),
(254982, 'SM00323', NULL, NULL, 390, NULL, 'RasGAP_2', 198708),
(254983, 'SM00411', NULL, NULL, 97, NULL, 'bhlneu', 198709),
(254984, 'SM01128', NULL, NULL, 215, NULL, 'DDRGK_2', 198710),
(254985, 'SM01223', NULL, NULL, 306, NULL, 'FTO_NTD_2', 198711),
(254986, 'SM00573', NULL, NULL, 73, NULL, 'bromneu2', 198712),
(254987, 'SM00008', NULL, NULL, 89, NULL, 'HormR_1', 198713),
(254988, 'SM01068', NULL, NULL, 68, NULL, 'CBM_X_2', 198714),
(254989, 'SM01109', NULL, NULL, 88, NULL, 'CUT_2', 198715),
(254990, 'SM01376', NULL, NULL, 76, NULL, 'eIF_5a_2', 198716),
(254991, 'SM00971', NULL, NULL, 105, NULL, 'SATase_N_2_a', 198717),
(254992, 'SM00920', NULL, NULL, 90, NULL, 'MHC_II_alpha_2', 198718),
(254993, 'SM01361', NULL, NULL, 98, NULL, 'A2M_recep_2', 198719),
(254994, 'SM01256', NULL, NULL, 56, NULL, 'KNOX2_2', 198720),
(254995, 'SM00886', NULL, NULL, 117, NULL, 'Dabb_2', 198721),
(254996, 'SM00542', NULL, NULL, 97, NULL, 'fyrc_3', 198722),
(254997, 'SM00794', NULL, NULL, 45, NULL, 'agrd', 198723),
(254998, 'SM00423', NULL, NULL, 56, NULL, 'psinew7', 198724),
(254999, 'SM00884', NULL, NULL, 69, NULL, 'Cullin_Nedd8_2', 198725),
(255000, 'SM01275', NULL, NULL, 61, NULL, 'MamL_1_2', 198726),
(255001, 'SM00482', NULL, NULL, 247, NULL, 'polaultra3', 198727),
(255002, 'SM00177', NULL, NULL, 181, NULL, 'arf_sub_2', 198728),
(255003, 'SM01118', NULL, NULL, 131, NULL, 'CYTH_2', 198729),
(255004, 'SM01407', NULL, NULL, 60, NULL, 'NAC_2', 198730),
(255005, 'SM01142', NULL, NULL, 187, NULL, 'DSHCT_2', 198731),
(255006, 'SM00496', NULL, NULL, 17, NULL, 'seet_6', 198732),
(255007, 'SM00461', NULL, NULL, 124, NULL, 'WH1_2', 198733),
(255008, 'SM01126', NULL, NULL, 164, NULL, 'DDE_Tnp_IS1595_2', 198734),
(255009, 'SM00493', NULL, NULL, 139, NULL, 'toprim5', 198735),
(255010, 'SM00743', NULL, NULL, 73, NULL, 'agenet_At_2', 198736),
(255011, 'SM01388', NULL, NULL, 204, NULL, 'Mob1_phocein_2', 198737),
(255012, 'SM01140', NULL, NULL, 244, NULL, 'Drf_GBD_2', 198738),
(255013, 'SM00661', NULL, NULL, 54, NULL, 'rpol9cneu', 198739),
(255014, 'SM01065', NULL, NULL, 120, NULL, 'CBM_20_2', 198740),
(255015, 'SM01252', NULL, NULL, 148, NULL, 'KilA_N_2', 198741),
(255016, 'SM00707', NULL, NULL, 26, NULL, 'rpel', 198742),
(255017, 'SM01103', NULL, NULL, 86, NULL, 'CRS1_YhbY_2', 198743),
(255018, 'SM00775', NULL, NULL, 159, NULL, 'lns2', 198744),
(255019, 'SM00592', NULL, NULL, 50, NULL, '122neu5', 198745),
(255020, 'SM00672', NULL, NULL, 334, NULL, 'cap10', 198746),
(255021, 'SM00826', NULL, NULL, 244, NULL, 'PKS_DH', 198747),
(255022, 'SM00771', NULL, NULL, 135, NULL, 'ZipA_C_cls', 198748),
(255023, 'SM01387', NULL, NULL, 93, NULL, 'Ribosomal_S15_2', 198749),
(255024, 'SM00784', NULL, NULL, 131, NULL, 'spt2', 198750),
(255025, 'SM00563', NULL, NULL, 135, NULL, 'plsc_2', 198751),
(255026, 'SM01088', NULL, NULL, 53, NULL, 'Col_cuticle_N_2', 198752),
(255027, 'SM00160', NULL, NULL, 143, NULL, 'ranbd_3', 198753),
(255028, 'SM00695', NULL, NULL, 114, NULL, 'dusp', 198754),
(255029, 'SM01086', NULL, NULL, 102, NULL, 'ClpB_D2_small_2', 198755),
(255030, 'SM00546', NULL, NULL, 43, NULL, 'cue_7', 198756),
(255031, 'SM01365', NULL, NULL, 31, NULL, 'Op_neuropeptide_2', 198757),
(255032, 'SM00150', NULL, NULL, 104, NULL, 'SPEC_4', 198758),
(255033, 'SM00862', NULL, NULL, 113, NULL, 'Trans_reg_C_3', 198759),
(255034, 'SM01104', NULL, NULL, 171, NULL, 'CTD_2', 198760),
(255035, 'SM00481', NULL, NULL, 75, NULL, 'npolultra', 198761),
(255036, 'SM00537', NULL, NULL, 96, NULL, 'doub1_11', 198762),
(255037, 'SM00197', NULL, NULL, 110, NULL, 'SAA_2', 198763),
(255038, 'SM00305', NULL, NULL, 49, NULL, 'HINTC_6', 198764),
(255039, 'SM00668', NULL, NULL, 60, NULL, 'ctlh', 198765),
(255040, 'SM00260', NULL, NULL, 152, NULL, 'chew_2', 198766),
(255041, 'SM00675', NULL, NULL, 165, NULL, 'dm11', 198767),
(255042, 'SM01152', NULL, NULL, 84, NULL, 'DUF167_2', 198768),
(255043, 'SM00220', NULL, NULL, 231, NULL, 'serkin_6', 198769);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(255044, 'SM00671', NULL, NULL, 43, NULL, 'sel1', 198770),
(255045, 'SM01300', NULL, NULL, 166, NULL, 'PEHE_2', 198771),
(255046, 'SM00773', NULL, NULL, 86, NULL, 'WGR_cls', 198772),
(255047, 'SM01094', NULL, NULL, 58, NULL, 'CpcD_2', 198773),
(255048, 'SM00916', NULL, NULL, 82, NULL, 'L51_S25_CI_B8_2', 198774),
(255049, 'SM00998', NULL, NULL, 89, NULL, 'ADSL_C_2', 198775),
(255050, 'SM00976', NULL, NULL, 161, NULL, 'Telo_bind_a_2', 198776),
(255051, 'SM00688', NULL, NULL, 102, NULL, 'dm7', 198777),
(255052, 'SM01342', NULL, NULL, 173, NULL, 'TAN_2', 198778),
(255053, 'SM01352', NULL, NULL, 252, NULL, 'APCDDC_2', 198779),
(255054, 'SM01159', NULL, NULL, 422, NULL, 'DUF1744_2', 198780),
(255055, 'SM00304', NULL, NULL, 53, NULL, 'HAMP_11', 198781),
(255056, 'SM01117', NULL, NULL, 126, NULL, 'Cyt_b5_2', 198782),
(255057, 'SM01333', NULL, NULL, 809, NULL, 'Tet_JBP_2', 198783),
(255058, 'SM00955', NULL, NULL, 477, NULL, 'RNB_2', 198784),
(255059, 'SM00247', NULL, NULL, 84, NULL, 'XTALbg_4', 198785),
(255060, 'SM00087', NULL, NULL, 36, NULL, 'para4', 198786),
(255061, 'SM00791', NULL, NULL, 156, NULL, 'agglutinin', 198787),
(255062, 'SM00961', NULL, NULL, 100, NULL, 'RuBisCO_small_2_a', 198788),
(255063, 'SM01364', NULL, NULL, 45, NULL, 'NPP_2', 198789),
(255064, 'SM00162', NULL, NULL, 34, NULL, 'sapA_2', 198790),
(255065, 'SM00648', NULL, NULL, 54, NULL, 'surpneu2', 198791),
(255066, 'SM00263', NULL, NULL, 129, NULL, 'lysozyme-fin', 198792),
(255067, 'SM01168', NULL, NULL, 293, NULL, 'DUF1907_2', 198793),
(255068, 'SM00498', NULL, NULL, 499, NULL, 'it6_source', 198794),
(255069, 'SM01405', NULL, NULL, 136, NULL, 'Ribosomal_S6e_2', 198795),
(255070, 'SM00061', NULL, NULL, 123, NULL, 'math_3', 198796),
(255071, 'SM00041', NULL, NULL, 94, NULL, 'CT_3', 198797),
(255072, 'SM00664', NULL, NULL, 112, NULL, 'DOMON_3', 198798),
(255073, 'SM00726', NULL, NULL, 20, NULL, 'uim', 198799),
(255074, 'SM01409', NULL, NULL, 39, NULL, 'RNA_pol_Rpb6_2', 198800),
(255075, 'SM00711', NULL, NULL, 16, NULL, 'tdu', 198801),
(255076, 'SM00702', NULL, NULL, 220, NULL, 'p4hc', 198802),
(255077, 'SM00157', NULL, NULL, 221, NULL, 'PRP_2', 198803),
(255078, 'SM00983', NULL, NULL, 74, NULL, 'TPK_B1_binding_a_2_a', 198804),
(255079, 'SM00786', NULL, NULL, 221, NULL, 'shr3_chaperone2', 198805),
(255080, 'SM00744', NULL, NULL, 55, NULL, 'ringv_2', 198806),
(255081, 'SM01401', NULL, NULL, 306, NULL, 'Sds3_2', 198807),
(255082, 'SM00837', NULL, NULL, 89, NULL, 'dpbb_1', 198808),
(255083, 'SM01231', NULL, NULL, 87, NULL, 'H_kinase_dim_2', 198809),
(255084, 'SM00035', NULL, NULL, 229, NULL, 'clus1a', 198810),
(255085, 'SM01323', NULL, NULL, 87, NULL, 'YajC_2', 198811),
(255086, 'SM00645', NULL, NULL, 340, NULL, 'pept_c1', 198812),
(255087, 'SM00241', NULL, NULL, 296, NULL, 'zp_4', 198813),
(255088, 'SM00706', NULL, NULL, 43, NULL, 'tecpr', 198814),
(255089, 'SM01078', NULL, NULL, 120, NULL, 'CGGC_2', 198815),
(255090, 'SM00208', NULL, NULL, 50, NULL, 'TNFR_3', 198816),
(255091, 'SM01345', NULL, NULL, 106, NULL, 'Rapamycin_bind_3', 198817),
(255092, 'SM00325', NULL, NULL, 211, NULL, 'RhoGEF_3', 198818),
(255093, 'SM00155', NULL, NULL, 30, NULL, 'pld_4', 198819),
(255094, 'SM01164', NULL, NULL, 51, NULL, 'DUF1856_2', 198820),
(255095, 'SM00224', NULL, NULL, 65, NULL, 'GGL_4', 198821),
(255096, 'SM00239', NULL, NULL, 92, NULL, 'C2_3c', 198822),
(255097, 'SM01332', NULL, NULL, 139, NULL, 'Cyclin_C_2', 198823),
(255098, 'SM00937', NULL, NULL, 138, NULL, 'PCRF_a_2', 198824),
(255099, 'SM00500', NULL, NULL, 53, NULL, 'pr04_2', 198825),
(255100, 'SM00718', NULL, NULL, 117, NULL, 'dm4_12', 198826),
(255101, 'SM01408', NULL, NULL, 87, NULL, 'ING_2', 198827),
(255102, 'SM00116', NULL, NULL, 47, NULL, 'cbs_1', 198828),
(255103, 'SM00138', NULL, NULL, 276, NULL, 'methyl_trans_3', 198829),
(255104, 'SM00798', NULL, NULL, 328, NULL, 'aicarft_impchas', 198830),
(255105, 'SM00021', NULL, NULL, 86, NULL, 'dax_2', 198831),
(255106, 'SM01130', NULL, NULL, 378, NULL, 'DHDPS_2', 198832),
(255107, 'SM00857', NULL, NULL, 186, NULL, 'resolvase_6', 198833);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(255108, 'SM00869', NULL, NULL, 309, NULL, 'Autotransporter_2', 198834),
(255109, 'SM00093', NULL, NULL, 372, NULL, 'serpin2', 198835),
(255110, 'SM01132', NULL, NULL, 122, NULL, 'DIL_2', 198836),
(255111, 'SM01033', NULL, NULL, 81, NULL, 'BING4CT_2', 198837),
(255112, 'SM01165', NULL, NULL, 150, NULL, 'DUF1866_2', 198838),
(255113, 'SM00435', NULL, NULL, 480, NULL, 'topeu', 198839),
(255114, 'SM00805', NULL, NULL, 170, NULL, 'agtrap2', 198840),
(255115, 'SM01363', NULL, NULL, 39, NULL, 'ACTH_domain_2', 198841),
(255116, 'SM00799', NULL, NULL, 204, NULL, 'DENN_cls', 198842),
(255117, 'SM00846', NULL, NULL, 183, NULL, 'gp_dh_n_7', 198843),
(255118, 'SM01262', NULL, NULL, 94, NULL, 'LAMTOR_2', 198844),
(255119, 'SM00871', NULL, NULL, 212, NULL, 'AraC_E_bind_2', 198845),
(255120, 'SM01193', NULL, NULL, 142, NULL, 'Enolase_N_3', 198846),
(255121, 'SM01398', NULL, NULL, 152, NULL, 'Cornichon_2', 198847),
(255122, 'SM00639', NULL, NULL, 93, NULL, 'psa', 198848),
(255123, 'SM01288', NULL, NULL, 73, NULL, 'FISNA_2', 198849),
(255124, 'SM01084', NULL, NULL, 79, NULL, 'CKS_2', 198850),
(255125, 'SM00840', NULL, NULL, 61, NULL, 'dalr_2_4', 198851),
(255126, 'SM00245', NULL, NULL, 209, NULL, 'tsp_4', 198852),
(255127, 'SM00443', NULL, NULL, 48, NULL, 'G-patch_5', 198853),
(255128, 'SM01392', NULL, NULL, 132, NULL, 'MAGE_N_2', 198854),
(255129, 'SM00531', NULL, NULL, 178, NULL, 'tfiie3', 198855),
(255130, 'SM00855', NULL, NULL, 73, NULL, 'PGAM_5', 198856),
(255131, 'SM00854', NULL, NULL, 274, NULL, 'PGA_cap_3', 198857),
(255132, 'SM00167', NULL, NULL, 120, NULL, 'vps9_2', 198858),
(255133, 'SM01383', NULL, NULL, 94, NULL, 'Ribosomal_L2_2', 198859),
(255134, 'SM01381', NULL, NULL, 284, NULL, '7TM_GPCR_Srsx_2', 198860),
(255135, 'SM00803', NULL, NULL, 68, NULL, 'TAF_cls', 198861),
(255136, 'SM00567', NULL, 'E-Z type HEAT repeats', 30, NULL, 'EZ_HEAT', 198862),
(255137, 'SM00151', NULL, NULL, 83, NULL, 'swib_2', 198863),
(255138, 'SM01310', NULL, NULL, 75, NULL, 'RICTOR_V_2', 198864),
(255139, 'SM00868', NULL, NULL, 33, NULL, 'zf_AD_2', 198865),
(255140, 'SM00154', NULL, NULL, 43, NULL, 'AN1_Zf_4', 198866),
(255141, 'SM00135', NULL, NULL, 51, NULL, 'LY_2', 198867),
(255142, 'SM00989', NULL, NULL, 67, NULL, 'V4R_2_a', 198868),
(255143, 'SM00747', NULL, NULL, 77, NULL, '2CFEM', 198869),
(255144, 'SM00472', NULL, NULL, 79, NULL, 'mir_2', 198870),
(255145, 'SM00633', NULL, NULL, 335, NULL, 'glyco_10', 198871),
(255146, 'SM01255', NULL, NULL, 46, NULL, 'KNOX1_2', 198872),
(255147, 'SM00333', NULL, NULL, 60, NULL, 'TUDOR_7', 198873),
(255148, 'SM00653', NULL, NULL, 115, NULL, 'eIF2Bneu4', 198874),
(255149, 'SM00697', NULL, NULL, 96, NULL, 'dm8', 198875),
(255150, 'SM01200', NULL, NULL, 70, NULL, 'FerA_2', 198876),
(255151, 'SM00463', NULL, NULL, 94, NULL, 'SMR_2', 198877),
(255152, 'SM01004', NULL, NULL, 325, NULL, 'ALAD_2', 198878),
(255153, 'SM01053', NULL, NULL, 79, NULL, 'CaMBD_2', 198879),
(255154, 'SM01176', NULL, NULL, 110, NULL, 'DUF4208_2', 198880),
(255155, 'SM00309', NULL, NULL, 37, NULL, 'PAH_1', 198881),
(255156, 'SM00811', NULL, NULL, 255, NULL, 'alpha_kinase', 198882),
(255157, 'SM01194', NULL, NULL, 158, NULL, 'eRF1_1_2', 198883),
(255158, 'SM00060', NULL, NULL, 69, NULL, 'FN3_2', 198884),
(255159, 'SM00152', NULL, NULL, 37, NULL, 'THY_2', 198885),
(255160, 'SM01400', NULL, NULL, 153, NULL, 'Pribosyltran_N_2', 198886),
(255161, 'SM01032', NULL, NULL, 89, NULL, 'BHD_3_2', 198887),
(255162, 'SM00262', NULL, NULL, 102, NULL, 'VILL_6', 198888),
(255163, 'SM00909', NULL, NULL, 100, NULL, 'Germane_2', 198889),
(255164, 'SM01226', NULL, NULL, 348, NULL, 'GAGA_bind_2', 198890),
(255165, 'SM00535', NULL, NULL, 140, NULL, 'riboneu5', 198891),
(255166, 'SM00103', NULL, NULL, 195, NULL, 'albumin-fin', 198892),
(255167, 'SM00290', NULL, NULL, 61, NULL, 'Zf_UBP_1', 198893),
(255168, 'SM01403', NULL, NULL, 110, NULL, 'Ribosomal_S10_2', 198894),
(255169, 'SM00292', NULL, NULL, 93, NULL, 'BRCT_7', 198895),
(255170, 'SM00673', NULL, NULL, 38, NULL, 'carp', 198896),
(255171, 'SM01184', NULL, NULL, 70, NULL, 'efhand_Ca_insen_2', 198897);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(255172, 'SM00727', NULL, NULL, 46, NULL, 'CBM', 198898),
(255173, 'SM01185', NULL, NULL, 59, NULL, 'EFP_2', 198899),
(255174, 'SM01374', NULL, NULL, 146, NULL, 'Ribosomal_L14_2', 198900),
(255175, 'SM00943', NULL, NULL, 220, NULL, 'Prim_Pol_2_a', 198901),
(255176, 'SM01382', NULL, NULL, 155, NULL, 'Ribosomal_L2_C_2', 198902),
(255177, 'SM00631', NULL, NULL, 324, NULL, 'zn_carb', 198903),
(255178, 'SM01090', NULL, NULL, 40, NULL, 'Copper_fist_2', 198904),
(255179, 'SM00586', NULL, NULL, 49, NULL, '3039neu', 198905),
(255180, 'SM00649', NULL, NULL, 135, NULL, 'rl11c', 198906),
(255181, 'SM01138', NULL, NULL, 172, NULL, 'DP_2', 198907),
(255182, 'SM00070', NULL, NULL, 27, NULL, 'gluca', 198908),
(255183, 'SM00019', NULL, NULL, 191, NULL, 'surpal', 198909),
(255184, 'SM01102', NULL, NULL, 377, NULL, 'CRM1_C_2', 198910),
(255185, 'SM01372', NULL, NULL, 102, NULL, 'E2F_TDP_2', 198911),
(255186, 'SM00479', NULL, NULL, 196, NULL, 'exoiiiendus', 198912),
(255187, 'SM00632', NULL, NULL, 96, NULL, 'Aamy_c', 198913),
(255188, 'SM01014', NULL, NULL, 97, NULL, 'ARID_2', 198914),
(255189, 'SM01260', NULL, NULL, 406, NULL, 'LANC_like_2', 198915),
(255190, 'SM01097', NULL, NULL, 151, NULL, 'CPSase_sm_chain_2', 198916),
(255191, 'SM00790', NULL, NULL, 216, NULL, 'afor_n', 198917),
(255192, 'SM00090', NULL, NULL, 253, NULL, 'rio_2', 198918),
(255193, 'SM00130', NULL, NULL, 90, NULL, 'KR_2', 198919),
(255194, 'SM00467', NULL, NULL, 31, NULL, 'GS_4', 198920),
(255195, 'SM00859', NULL, NULL, 174, NULL, 'Semialdhyde_dh_3', 198921),
(255196, 'SM00198', NULL, NULL, 190, NULL, 'SCP_3', 198922),
(255197, 'SM00439', NULL, NULL, 163, NULL, 'BAH_4', 198923),
(255198, 'SM01410', NULL, NULL, 135, NULL, 'DIM1_2', 198924),
(255199, 'SM01058', NULL, NULL, 124, NULL, 'CarD_TRCF_2', 198925),
(255200, 'SM00900', NULL, NULL, 138, NULL, 'FMN_bind_2', 198926),
(255201, 'SM00802', NULL, NULL, 115, NULL, 'UME_cls', 198927),
(255202, 'SM01076', NULL, NULL, 124, NULL, 'CG_1_2', 198928),
(255203, 'SM01362', NULL, NULL, 306, NULL, 'DUF663_2', 198929),
(255204, 'SM00337', NULL, NULL, 120, NULL, 'bclneu2', 198930),
(255205, 'SM01143', NULL, NULL, 62, NULL, 'DSX_dimer_2', 198931),
(255206, 'SM01254', NULL, NULL, 114, NULL, 'KLRAQ_2', 198932),
(255207, 'SM00380', NULL, NULL, 66, NULL, 'rav1_2', 198933),
(255208, 'SM01211', NULL, NULL, 300, NULL, 'GATase_5_2', 198934),
(255209, 'SM01251', NULL, NULL, 184, NULL, 'KbaA_2', 198935),
(255210, 'SM00929', NULL, NULL, 43, NULL, 'NADH_G_4Fe_4S_3_2', 198936),
(255211, 'SM00663', NULL, NULL, 316, NULL, 'rpolaneu7', 198937),
(255212, 'SM00180', NULL, NULL, 42, NULL, 'lamegf_3', 198938),
(255213, 'SM00745', NULL, NULL, 81, NULL, 'smart', 198939),
(255214, 'SM00647', NULL, NULL, 78, NULL, 'ibrneu5', 198940),
(255215, 'SM01153', NULL, NULL, 366, NULL, 'DUF1693_2', 198941),
(255216, 'SM01198', NULL, NULL, 216, NULL, 'FBA_2', 198942),
(255217, 'SM01228', NULL, NULL, 72, NULL, 'GIDA_assoc_3_2', 198943),
(255218, 'SM01344', NULL, NULL, 437, NULL, 'NUC194_2', 198944),
(255219, 'SM00545', NULL, NULL, 45, NULL, 'JmjN_1', 198945),
(255220, 'SM01224', NULL, NULL, 87, NULL, 'G_gamma_2', 198946),
(255221, 'SM00605', NULL, NULL, 159, NULL, 'cw', 198947),
(255222, 'SM00246', NULL, NULL, 19, NULL, 'wh2_8', 198948),
(255223, 'SM01338', NULL, NULL, 57, NULL, 'NOD_2', 198949),
(255224, 'SM00134', NULL, NULL, 103, NULL, 'LU_2', 198950),
(255225, 'SM01087', NULL, NULL, 751, NULL, 'COG6_2', 198951),
(255226, 'SM00885', NULL, NULL, 194, NULL, 'D5_N_2', 198952),
(255227, 'SM01166', NULL, NULL, 67, NULL, 'DUF1899_3', 198953),
(255228, 'SM00981', NULL, NULL, 117, NULL, 'THUMP_a_2', 198954),
(255229, 'SM00409', NULL, NULL, 58, NULL, 'IG_3c', 198955),
(255230, 'SM01244', NULL, NULL, 113, NULL, 'IRS_2', 198956),
(255231, 'SM01389', NULL, NULL, 81, NULL, 'Spt4_2', 198957),
(255232, 'SM01136', NULL, NULL, 59, NULL, 'DKCLD_2', 198958),
(255233, 'SM00341', NULL, NULL, 81, NULL, 'hrdc7', 198959),
(255234, 'SM01232', NULL, NULL, 119, NULL, 'H2TH_2', 198960),
(255235, 'SM01023', NULL, NULL, 89, NULL, 'BAF_2', 198961),
(255236, 'SM00393', NULL, NULL, 83, NULL, 'R3H_4', 198962);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(255237, 'SM00278', NULL, NULL, 20, NULL, 'HhH1_4', 198963),
(255238, 'SM01308', NULL, NULL, 414, NULL, 'RICTOR_N_3', 198964),
(255239, 'SM00891', NULL, NULL, 137, NULL, 'ERCC4_2', 198965),
(255240, 'SM01233', NULL, NULL, 109, NULL, 'HABP4_PAI_RBP1_2', 198966),
(255241, 'SM00326', NULL, NULL, 58, NULL, 'SH3_2', 198967),
(255242, 'SM01322', NULL, NULL, 182, NULL, 'YaeQ_2', 198968),
(255243, 'SM00265', NULL, NULL, 27, NULL, 'bh4_2', 198969),
(255244, 'SM00284', NULL, NULL, 349, NULL, 'olf_2', 198970),
(255245, 'SM00360', NULL, NULL, 121, NULL, 'rrm1_1', 198971),
(255246, 'SM00526', NULL, NULL, 70, NULL, 'h15plus2', 198972),
(255247, 'SM00749', NULL, NULL, 64, NULL, 'bon', 198973),
(255248, 'SM00361', NULL, NULL, 91, NULL, 'rrm2_1', 198974),
(255249, 'SM00043', NULL, NULL, 129, NULL, 'CY_4', 198975),
(255250, 'SM00254', NULL, NULL, 48, NULL, 'ShkT_1', 198976),
(255251, 'SM00259', NULL, NULL, 26, NULL, 'A20_3', 198977),
(255252, 'SM01187', NULL, NULL, 98, NULL, 'Elicitin_2', 198978),
(255253, 'SM00906', NULL, NULL, 59, NULL, 'Fungal_trans_2', 198979),
(255254, 'SM01039', NULL, NULL, 106, NULL, 'BRICHOS_2', 198980),
(255255, 'SM00004', NULL, NULL, 42, NULL, 'NL_2', 198981),
(255256, 'SM01080', NULL, NULL, 338, NULL, 'CHASE2_2', 198982),
(255257, 'SM00950', NULL, NULL, 356, NULL, 'Piwi_a_2', 198983),
(255258, 'SM00580', NULL, NULL, 66, NULL, 'PGNneu', 198984),
(255259, 'SM00650', NULL, NULL, 170, NULL, 'rADcneu6', 198985),
(255260, 'SM00952', NULL, NULL, 60, NULL, 'RAP_3', 198986),
(255261, 'SM00957', NULL, NULL, 457, NULL, 'SecA_DEAD_2', 198987),
(255262, 'SM01201', NULL, NULL, 82, NULL, 'FerB_2', 198988),
(255263, 'SM00770', NULL, NULL, 338, NULL, 'Zn_dep_PLPC_cls', 198989),
(255264, 'SM00144', NULL, NULL, 116, NULL, 'pi3k_ras_2', 198990),
(255265, 'SM00320', NULL, NULL, 46, NULL, 'WD40_4', 198991),
(255266, 'SM00641', NULL, NULL, 123, NULL, 'glyco_25', 198992),
(255267, 'SM00646', NULL, NULL, 163, NULL, 'ami_3', 198993),
(255268, 'SM01188', NULL, NULL, 22, NULL, 'ELK_2', 198994),
(255269, 'SM00354', NULL, NULL, 72, NULL, 'laci3', 198995),
(255270, 'SM00044', NULL, NULL, 231, NULL, 'cyc_6', 198996),
(255271, 'SM00935', NULL, NULL, 157, NULL, 'OmpH_2', 198997),
(255272, 'SM01079', NULL, NULL, 211, NULL, 'CHASE_2', 198998),
(255273, 'SM00456', NULL, NULL, 34, NULL, 'ww_5', 198999),
(255274, 'SM00721', NULL, NULL, 260, NULL, '5bar', 199000),
(255275, 'SM00114', NULL, NULL, 96, NULL, 'card_3', 199001),
(255276, 'SM00299', NULL, NULL, 161, NULL, 'CLH_2', 199002),
(255277, 'SM00609', NULL, NULL, 132, NULL, 'vit', 199003),
(255278, 'SM00946', NULL, NULL, 78, NULL, 'ProRS_C_1_2', 199004),
(255279, 'SM00944', NULL, NULL, 147, NULL, 'Pro_kuma_activ_2', 199005),
(255280, 'SM00025', NULL, NULL, 39, NULL, 'pum_5', 199006),
(255281, 'SM00253', NULL, NULL, 46, NULL, 'socs_2', 199007),
(255282, 'SM01293', NULL, NULL, 452, NULL, 'DUF3402_2', 199008),
(255283, 'SM01266', NULL, NULL, 65, NULL, 'Mac_2', 199009),
(255284, 'SM00067', NULL, NULL, 87, NULL, 'GHA_2', 199010),
(255285, 'SM01161', NULL, NULL, 98, NULL, 'DUF1767_2', 199011),
(255286, 'SM00310', NULL, NULL, 109, NULL, 'PTBI_2', 199012),
(255287, 'SM00018', NULL, NULL, 54, NULL, 'P_2', 199013),
(255288, 'SM00502', NULL, NULL, 132, NULL, 'RAD_5', 199014),
(255289, 'SM01144', NULL, NULL, 218, NULL, 'DTW_2a', 199015),
(255290, 'SM01179', NULL, NULL, 198, NULL, 'DUF862_2a', 199016),
(255291, 'SM00528', NULL, NULL, 48, NULL, 'hnsneu2', 199017),
(255292, 'SM01267', NULL, NULL, 202, NULL, 'LAG1_DNAbind_2', 199018),
(255293, 'SM01250', NULL, NULL, 340, NULL, 'KAT11_2', 199019),
(255294, 'SM00932', NULL, NULL, 96, NULL, 'Nfu_N_3a', 199020),
(255295, 'SM00823', NULL, 'Phosphopantetheine attachment site', 146, NULL, 'PKS_PP', 199021),
(255296, 'SM01357', NULL, NULL, 33, NULL, 'Antimicrobial21_2', 199022),
(255297, 'SM00469', NULL, NULL, 146, NULL, 'WIF_1', 199023),
(255298, 'SM00881', NULL, NULL, 125, NULL, 'CoA_binding_2', 199024),
(255299, 'SM01035', NULL, NULL, 284, NULL, 'BOP1NT_2', 199025),
(255300, 'SM00808', NULL, NULL, 153, NULL, 'fabda', 199026),
(255301, 'SM00985', NULL, NULL, 146, NULL, 'UBA_e1_C_a_2', 199027);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(255302, 'SM00027', NULL, NULL, 98, NULL, 'eh_3', 199028),
(255303, 'SM00091', NULL, NULL, 68, NULL, 'pas_2', 199029),
(255304, 'SM00501', NULL, NULL, 95, NULL, 'bright_3', 199030),
(255305, 'SM00107', NULL, NULL, 37, NULL, 'ph_extension_3', 199031),
(255306, 'SM00126', NULL, NULL, 156, NULL, 'IL6_2', 199032),
(255307, 'SM00804', NULL, NULL, 64, NULL, 'TAP_C_cls', 199033),
(255308, 'SM01042', NULL, NULL, 138, NULL, 'Brr6_like_C_C_2', 199034),
(255309, 'SM00678', NULL, NULL, 84, NULL, 'deltex', 199035),
(255310, 'SM00723', NULL, NULL, 205, NULL, 'amop', 199036),
(255311, 'SM01281', NULL, NULL, 64, NULL, 'Med12_2', 199037),
(255312, 'SM00059', NULL, NULL, 49, NULL, 'FN2_2', 199038),
(255313, 'SM00300', NULL, NULL, 73, NULL, 'ChS_2', 199039),
(255314, 'SM00179', NULL, NULL, 34, NULL, 'egfca_6', 199040),
(255315, 'SM00758', NULL, NULL, 170, NULL, 'pa14_novel', 199041),
(255316, 'SM01054', NULL, NULL, 123, NULL, 'CaM_binding_2', 199042),
(255317, 'SM00867', NULL, NULL, 228, NULL, 'YceI_2', 199043),
(255318, 'SM01005', NULL, NULL, 137, NULL, 'Ala_racemase_C_2', 199044),
(255319, 'SM00912', NULL, NULL, 146, NULL, 'Haemagg_act_2a', 199045),
(255320, 'SM00306', NULL, NULL, 113, NULL, 'hint_7', 199046),
(255321, 'SM00834', NULL, NULL, 45, NULL, 'CxxC_CXXC_SSSS_2', 199047),
(255322, 'SM00752', NULL, NULL, 317, NULL, 'EBI_submitted', 199048),
(255323, 'SM00931', NULL, NULL, 53, NULL, 'NOSIC_2', 199049),
(255324, 'SM00036', NULL, NULL, 375, NULL, 'nik_2', 199050),
(255325, 'SM01071', NULL, NULL, 202, NULL, 'CDC37_N_2', 199051),
(255326, 'SM00684', NULL, NULL, 42, NULL, 'dm15', 199052),
(255327, 'SM00101', NULL, NULL, 249, NULL, '1433_4', 199053),
(255328, 'SM01156', NULL, NULL, 115, NULL, 'DUF1716_2', 199054),
(255329, 'SM00704', NULL, NULL, 39, NULL, 'znf_cdgsh', 199055),
(255330, 'SM00128', NULL, NULL, 435, NULL, 'i5p_5', 199056),
(255331, 'SM00062', NULL, NULL, 244, NULL, 'AABind_6', 199057),
(255332, 'SM00591', NULL, NULL, 128, NULL, 'RWD2001b', 199058),
(255333, 'SM00700', NULL, NULL, 243, NULL, 'jhbp', 199059),
(255334, 'SM00442', NULL, NULL, 138, NULL, 'FGF_2', 199060),
(255335, 'SM01283', NULL, NULL, 82, NULL, 'Costars_2', 199061),
(255336, 'SM00400', NULL, NULL, 55, NULL, 'primzinc3', 199062),
(255337, 'SM00464', NULL, NULL, 241, NULL, 'lon_5', 199063),
(255338, 'SM01273', NULL, NULL, 27, NULL, 'Mago_bind_2', 199064),
(255339, 'SM00166', NULL, NULL, 97, NULL, 'ubx_3', 199065),
(255340, 'SM00997', NULL, NULL, 170, NULL, 'AdoHcyase_NAD_2', 199066),
(255341, 'SM00901', NULL, NULL, 125, NULL, 'FRG_2', 199067),
(255342, 'SM00096', NULL, NULL, 70, NULL, 'utero2', 199068),
(255343, 'SM01402', NULL, NULL, 49, NULL, 'Ribosomal_S27_2', 199069),
(255344, 'SM01180', NULL, NULL, 80, NULL, 'DWNN_2', 199070),
(255345, 'SM00473', NULL, NULL, 85, NULL, 'ntp_6', 199071),
(255346, 'SM00977', NULL, NULL, 86, NULL, 'TilS_C_a_2_a', 199072),
(255347, 'SM01062', NULL, NULL, 35, NULL, 'Ca_chan_IQ_2', 199073),
(255348, 'SM00974', NULL, NULL, 104, NULL, 'T5orf172_2', 199074),
(255349, 'SM00065', NULL, NULL, 142, NULL, 'gaf_1', 199075),
(255350, 'SM00682', NULL, NULL, 258, NULL, '1g2_nido', 199076),
(255351, 'SM00266', NULL, NULL, 76, NULL, 'CAD_1', 199077),
(255352, 'SM00288', NULL, NULL, 145, NULL, 'VHS_2', 199078),
(255353, 'SM00992', NULL, NULL, 126, NULL, 'YccV_like_2_a', 199079),
(255354, 'SM00384', NULL, NULL, 13, NULL, 'AT_hook_2', 199080),
(255355, 'SM00349', NULL, NULL, 62, NULL, 'krabfinus', 199081),
(255356, 'SM00708', NULL, NULL, 119, NULL, 'phbp', 199082),
(255357, 'SM00176', NULL, NULL, 202, NULL, 'ran_sub_2', 199083),
(255358, 'SM00883', NULL, NULL, 103, NULL, 'Cpn10_2', 199084),
(255359, 'SM00223', NULL, NULL, 87, NULL, 'APPLE_7', 199085),
(255360, 'SM00785', NULL, NULL, 89, NULL, 'aarp2cn2', 199086),
(255361, 'SM00359', NULL, NULL, 86, NULL, 'pua_5', 199087),
(255362, 'SM00357', NULL, NULL, 70, NULL, 'csp_8', 199088),
(255363, 'SM01238', NULL, NULL, 61, NULL, 'IGR_2', 199089),
(255364, 'SM01279', NULL, NULL, 51, NULL, 'Matrilin_ccoil_2', 199090),
(255365, 'SM01394', NULL, NULL, 43, NULL, 'S_100_2', 199091);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(255366, 'SM00968', NULL, NULL, 105, NULL, 'SMC_hinge_2', 199092),
(255367, 'SM01196', NULL, NULL, 124, NULL, 'FERM_C_3', 199093),
(255368, 'SM00127', NULL, NULL, 146, NULL, 'IL7_1', 199094),
(255369, 'SM00452', NULL, NULL, 198, NULL, 'kul_2', 199095),
(255370, 'SM01181', NULL, NULL, 95, NULL, 'E2_bind_2', 199096),
(255371, 'SM00487', NULL, NULL, 219, NULL, 'ultradead3', 199097),
(255372, 'SM00445', NULL, NULL, 107, NULL, 'LINK_2', 199098),
(255373, 'SM00637', NULL, NULL, 103, NULL, 'cbd_2', 199099),
(255374, 'SM00761', NULL, NULL, 103, NULL, 'hdac_interact2seq4b', 199100),
(255375, 'SM00948', NULL, NULL, 23, NULL, 'Proteasome_A_N_2', 199101),
(255376, 'SM00965', NULL, NULL, 58, NULL, 'STN_2', 199102),
(255377, 'SM00877', NULL, NULL, 85, NULL, 'BMC_2', 199103),
(255378, 'SM01074', NULL, NULL, 87, NULL, 'Cdc6_C_2', 199104),
(255379, 'SM00705', NULL, NULL, 20, NULL, 'theg', 199105),
(255380, 'SM00465', NULL, NULL, 102, NULL, 'uri_9', 199106),
(255381, 'SM01265', NULL, NULL, 351, NULL, 'Mab_21_2', 199107),
(255382, 'SM00050', NULL, NULL, 81, NULL, 'DISIN_2', 199108),
(255383, 'SM01050', NULL, NULL, 153, NULL, 'CactinC_cactus_3', 199109),
(255384, 'SM00413', NULL, NULL, 90, NULL, 'etsneu2', 199110),
(255385, 'SM00100', NULL, NULL, 123, NULL, 'cnmp_10', 199111),
(255386, 'SM00497', NULL, NULL, 53, NULL, 'intein_16', 199112),
(255387, 'SM00635', NULL, NULL, 86, NULL, 'bid_2', 199113),
(255388, 'SM00219', NULL, NULL, 280, NULL, 'tyrkin_6', 199114),
(255389, 'SM00486', NULL, NULL, 531, NULL, 'polmehr3', 199115),
(255390, 'SM00666', NULL, NULL, 95, NULL, 'PB1_new', 199116),
(255391, 'SM01234', NULL, NULL, 75, NULL, 'Haemolytic_2', 199117),
(255392, 'SM01021', NULL, NULL, 252, NULL, 'Bac_rhodopsin_2', 199118),
(255393, 'SM00281', NULL, NULL, 144, NULL, 'LamB_3a', 199119),
(255394, 'SM00776', NULL, NULL, 167, NULL, 'npcbm', 199120),
(255395, 'SM00185', NULL, NULL, 38, NULL, 'arm_5', 199121),
(255396, 'SM01325', NULL, NULL, 765, NULL, 'DUF3160_2', 199122),
(255397, 'SM01377', NULL, NULL, 53, NULL, 'Ribosomal_L40e_3', 199123),
(255398, 'SM00033', NULL, NULL, 100, NULL, 'ch_5', 199124),
(255399, 'SM00270', NULL, NULL, 43, NULL, 'ChitinBD_3', 199125),
(255400, 'SM00175', NULL, NULL, 172, NULL, 'rab_sub_5', 199126),
(255401, 'SM00119', NULL, NULL, 407, NULL, 'hect_3', 199127),
(255402, 'SM00049', NULL, NULL, 90, NULL, 'DEP_3', 199128),
(255403, 'SM00656', NULL, NULL, 267, NULL, 'amb_all', 199129),
(255404, 'SM01294', NULL, NULL, 67, NULL, '17clusters_betabranch_W', 199130),
(255405, 'SM00797', NULL, NULL, 284, NULL, 'ahs2', 199131),
(255406, 'SM01046', NULL, NULL, 97, NULL, 'c_SKI_SMAD_bind_2', 199132),
(255407, 'SM01036', NULL, NULL, 186, NULL, 'BP28CT_2', 199133),
(255408, 'SM00730', NULL, NULL, 348, NULL, 'psh_8', 199134),
(255409, 'SM00525', NULL, NULL, 21, NULL, 'ccc3', 199135),
(255410, 'SM01307', NULL, NULL, 244, NULL, 'RICTOR_M_2', 199136),
(255411, 'SM01024', NULL, NULL, 235, NULL, 'BCS1_N_2', 199137),
(255412, 'SM00778', NULL, NULL, 41, NULL, 'prim_zn_ribbon', 199138),
(255413, 'SM00235', NULL, NULL, 204, NULL, 'col_5', 199139),
(255414, 'SM00462', NULL, NULL, 156, NULL, 'PTB_9', 199140),
(255415, 'SM00742', NULL, NULL, 71, NULL, 'hr1_7', 199141),
(255416, 'SM00926', NULL, NULL, 99, NULL, 'Molybdop_Fe4S4_2', 199142),
(255417, 'SM00249', NULL, NULL, 39, NULL, 'PHD_3', 199143),
(255418, 'SM01295', NULL, NULL, 113, NULL, 'K167R_2', 199144),
(255419, 'SM00355', NULL, NULL, 23, NULL, 'c2h2final6', 199145),
(255420, 'SM00735', NULL, NULL, 26, NULL, 'zasp_3', 199146),
(255421, 'SM00507', NULL, NULL, 74, NULL, 'HNH_5', 199147),
(255422, 'SM00003', NULL, NULL, 79, NULL, 'NH_2', 199148),
(255423, 'SM00272', NULL, NULL, 22, NULL, 'END_2', 199149),
(255424, 'SM00332', NULL, NULL, 338, NULL, 'PP2C_4', 199150),
(255425, 'SM00606', NULL, NULL, 155, NULL, 'cbd', 199151),
(255426, 'SM00924', NULL, NULL, 106, NULL, 'MgtE_N_2', 199152),
(255427, 'SM00202', NULL, NULL, 118, NULL, 'SR_3', 199153),
(255428, 'SM00988', NULL, NULL, 70, NULL, 'UreE_n_2_a', 199154),
(255429, 'SM01123', NULL, NULL, 70, NULL, 'DBP10CT_2', 199155);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(255430, 'SM00231', NULL, NULL, 199, NULL, 'disc_4', 199156),
(255431, 'SM00147', NULL, NULL, 261, NULL, 'RasGEF_3', 199157),
(255432, 'SM00311', NULL, NULL, 78, NULL, 'pwi_2', 199158),
(255433, 'SM00751', NULL, NULL, 56, NULL, 'wurzfinal6', 199159),
(255434, 'SM01018', NULL, NULL, 84, NULL, 'B12_binding_2_2', 199160),
(255435, 'SM01245', NULL, NULL, 56, NULL, 'Jag_N_2', 199161),
(255436, 'SM00026', NULL, NULL, 196, NULL, 'ependymin2', 199162),
(255437, 'SM00217', NULL, NULL, 51, NULL, 'wap2', 199163),
(255438, 'SM00523', NULL, NULL, 124, NULL, 'dwAneu5', 199164),
(255439, 'SM00769', NULL, NULL, 121, NULL, 'why', 199165),
(255440, 'SM00298', NULL, NULL, 63, NULL, 'chromo_7', 199166),
(255441, 'SM00187', NULL, NULL, 447, NULL, 'INB_2', 199167),
(255442, 'SM00255', NULL, NULL, 147, NULL, 'till_3', 199168),
(255443, 'SM00848', NULL, NULL, 67, NULL, 'Inhibitor_I29_2', 199169),
(255444, 'SM01007', NULL, NULL, 283, NULL, 'Aldolase_II_2', 199170),
(255445, 'SM00872', NULL, NULL, 90, NULL, 'Alpha_mann_mid_2', 199171),
(255446, 'SM00488', NULL, NULL, 447, NULL, 'deadxpd', 199172),
(255447, 'SM01285', NULL, NULL, 180, NULL, 'FACT_Spt16_Nlob_2', 199173),
(255448, 'SM00257', NULL, NULL, 45, NULL, 'LysM_2', 199174),
(255449, 'SM00020', NULL, NULL, 226, NULL, 'trypsin_2', 199175),
(255450, 'SM00800', NULL, NULL, 114, NULL, 'uDENN_cls', 199176),
(255451, 'SM01385', NULL, NULL, 61, NULL, 'DSS1_SEM1_2', 199177),
(255452, 'SM00994', NULL, NULL, 43, NULL, 'zf_C4_ClpX_2', 199178),
(255453, 'SM00336', NULL, NULL, 51, NULL, 'bboxneu5', 199179),
(255454, 'SM00922', NULL, NULL, 121, NULL, 'MR_MLE_2', 199180),
(255455, 'SM00331', NULL, NULL, 250, NULL, 'PP2C_SIG_2', 199181),
(255456, 'SM00793', NULL, NULL, 194, NULL, 'agrb', 199182),
(255457, 'SM00895', NULL, NULL, 107, NULL, 'FCD_2', 199183),
(255458, 'SM00344', NULL, NULL, 112, NULL, 'asnc', 199184),
(255459, 'SM01303', NULL, NULL, 130, NULL, 'RasGEF_N_2_2', 199185),
(255460, 'SM01160', NULL, NULL, 107, NULL, 'DUF1751_2', 199186),
(255461, 'SM00759', NULL, NULL, 95, NULL, 'flu_m1_c2seq2', 199187),
(255462, 'SM00494', NULL, NULL, 66, NULL, 'chi_10', 199188),
(255463, 'SM00589', NULL, NULL, 56, NULL, '2212neu4', 199189),
(255464, 'SM01413', NULL, NULL, 142, NULL, 'Ribosomal_S19e_2', 199190),
(255465, 'SM00295', NULL, NULL, 232, NULL, 'B41_5', 199191),
(255466, 'SM01236', NULL, NULL, 107, NULL, 'Haem_oxygenas_2_2', 199192),
(255467, 'SM01131', NULL, NULL, 140, NULL, 'DHHA2_2', 199193),
(255468, 'SM00476', NULL, NULL, 300, NULL, 'dnai3', 199194),
(255469, 'SM00470', NULL, NULL, 104, NULL, 'ParB_7', 199195),
(255470, 'SM01313', NULL, NULL, 107, NULL, 'Sec3_PIP2_bind_2', 199196),
(255471, 'SM00068', NULL, NULL, 109, NULL, 'GHB_2', 199197),
(255472, 'SM00550', NULL, NULL, 72, NULL, '1qbj_4', 199198),
(255473, 'SM00052', NULL, NULL, 255, NULL, 'duf2_2', 199199),
(255474, 'SM01197', NULL, NULL, 78, NULL, 'FANCL_C_2', 199200),
(255475, 'SM01264', NULL, NULL, 271, NULL, 'M16C_assoc_2', 199201),
(255476, 'SM00830', NULL, NULL, 90, NULL, 'CM_2_4', 199202),
(255477, 'SM00058', NULL, NULL, 46, NULL, 'FN1_2', 199203),
(255478, 'SM00457', NULL, NULL, 232, NULL, 'MACPF_8', 199204),
(255479, 'SM00658', NULL, NULL, 163, NULL, 'rpol8neu', 199205),
(255480, 'SM01199', NULL, NULL, 126, NULL, 'FDF_2', 199206),
(255481, 'SM00725', NULL, NULL, 133, NULL, 'neat', 199207),
(255482, 'SM01070', NULL, NULL, 203, NULL, 'CDC37_M_2', 199208),
(255483, 'SM00899', NULL, NULL, 90, NULL, 'FeoA_2', 199209),
(255484, 'SM01327', NULL, NULL, 53, NULL, 'Zds_C_2', 199210),
(255485, 'SM00222', NULL, NULL, 226, NULL, 'sec7_5', 199211),
(255486, 'SM00892', NULL, NULL, 332, NULL, 'Endonuclease_NS_2', 199212),
(255487, 'SM00898', NULL, NULL, 209, NULL, 'Fapy_DNA_glyco_2', 199213),
(255488, 'SM00917', NULL, NULL, 135, NULL, 'LeuA_dimer_2', 199214),
(255489, 'SM00640', NULL, NULL, 583, NULL, 'glyco_32', 199215),
(255490, 'SM01272', NULL, NULL, 74, NULL, 'LsmAD_2', 199216),
(255491, 'SM01257', NULL, NULL, 189, NULL, 'KRAP_IP3R_bind_2', 199217),
(255492, 'SM01263', NULL, NULL, 161, NULL, 'Leuk_A4_hydro_C_2', 199218);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(255493, 'SM00029', NULL, NULL, 14, NULL, 'gastr3', 199219),
(255494, 'SM00570', NULL, NULL, 62, NULL, 'shorttest3', 199220),
(255495, 'SM00139', NULL, NULL, 166, NULL, 'MyTH4_1', 199221),
(255496, 'SM00553', NULL, NULL, 96, NULL, 'faf_3', 199222),
(255497, 'SM00283', NULL, NULL, 275, NULL, 'MA_2', 199223),
(255498, 'SM00559', NULL, NULL, 155, NULL, 'ku_4', 199224),
(255499, 'SM01177', NULL, NULL, 75, NULL, 'DUF4210_2', 199225),
(255500, 'SM00075', NULL, NULL, 98, NULL, 'hydro', 199226),
(255501, 'SM00754', NULL, NULL, 149, NULL, 'chrd_5', 199227),
(255502, 'SM00720', NULL, NULL, 160, NULL, '2cal', 199228),
(255503, 'SM00970', NULL, NULL, 140, NULL, 's48_45_2', 199229),
(255504, 'SM00092', NULL, NULL, 140, NULL, 'rnase-fin', 199230),
(255505, 'SM00032', NULL, NULL, 79, NULL, 'CCP_2', 199231),
(255506, 'SM00121', NULL, NULL, 95, NULL, 'IB_2', 199232),
(255507, 'SM01016', NULL, NULL, 97, NULL, 'Arg_tRNA_synt_N_2', 199233),
(255508, 'SM00327', NULL, NULL, 193, NULL, 'VWA_4', 199234),
(255509, 'SM01047', NULL, NULL, 68, NULL, 'C1_4_2', 199235),
(255510, 'SM01114', NULL, NULL, 42, NULL, 'CXC_2', 199236),
(255511, 'SM00330', NULL, NULL, 438, NULL, 'PIPK_2', 199237),
(255512, 'SM01351', NULL, NULL, 194, NULL, 'Aspzincin_M35_2', 199238),
(255513, 'SM01061', NULL, NULL, 59, NULL, 'CAT_RBD_2', 199239),
(255514, 'SM00209', NULL, NULL, 66, NULL, 'TSP1_2', 199240),
(255515, 'SM00352', NULL, NULL, 78, NULL, 'pou', 199241),
(255516, 'SM01202', NULL, NULL, 80, NULL, 'FerI_2', 199242),
(255517, 'SM00028', NULL, NULL, 34, NULL, 'tpr_5', 199243),
(255518, 'SM00513', NULL, NULL, 35, NULL, 'sap_9', 199244),
(255519, 'SM00236', NULL, NULL, 34, NULL, 'fcbd_2', 199245),
(255520, 'SM00250', NULL, NULL, 39, NULL, 'plec_5', 199246),
(255521, 'SM00190', NULL, NULL, 148, NULL, 'il4b_nr', 199247),
(255522, 'SM00356', NULL, NULL, 31, NULL, 'c3hfinal6', 199248),
(255523, 'SM00692', NULL, NULL, 69, NULL, 'dm3', 199249),
(255524, 'SM01411', NULL, NULL, 96, NULL, 'GCC2_GCC3_2', 199250),
(255525, 'SM00777', NULL, NULL, 133, NULL, 'mad3_bub1_i', 199251),
(255526, 'SM01289', NULL, NULL, 85, NULL, 'PYRIN_2', 199252),
(255527, 'SM01017', NULL, NULL, 139, NULL, 'Arrestin_C_2', 199253),
(255528, 'SM01268', NULL, NULL, 249, NULL, 'BTD_2', 199254),
(255529, 'SM00013', NULL, NULL, 38, NULL, 'lrrnt1', 199255),
(255530, 'SM01261', NULL, NULL, 49, NULL, 'Thymopoietin_2', 199256),
(255531, 'SM01099', NULL, NULL, 72, NULL, 'CPW_WPC_2', 199257),
(255532, 'SM00787', NULL, NULL, 335, NULL, 'spc73', 199258),
(255533, 'SM01060', NULL, NULL, 392, NULL, 'Catalase_2', 199259),
(255534, 'SM00765', NULL, NULL, 116, NULL, 'manec2seq9d', 199260),
(255535, 'SM01205', NULL, NULL, 123, NULL, 'FKS1_dom1_2', 199261),
(255536, 'SM00002', NULL, NULL, 63, NULL, 'myelin-fin', 199262),
(255537, 'SM01182', NULL, NULL, 28, NULL, 'EF-1_beta_acid_2', 199263),
(255538, 'SM01052', NULL, NULL, 87, NULL, 'CAP_GLY_2', 199264),
(255539, 'SM00888', NULL, NULL, 92, NULL, 'EF1_GNE_2', 199265),
(255540, 'SM00532', NULL, NULL, 459, NULL, 'ligaN3', 199266),
(255541, 'SM00930', NULL, NULL, 85, NULL, 'NIL_2', 199267),
(255542, 'SM00958', NULL, NULL, 143, NULL, 'SecA_PP_bind_2', 199268),
(255543, 'SM00832', NULL, NULL, 78, NULL, 'c8_a', 199269),
(255544, 'SM00849', NULL, NULL, 246, NULL, 'Lactamase_B_5a', 199270),
(255545, 'SM01067', NULL, NULL, 99, NULL, 'CBM_3_2', 199271),
(255546, 'SM00057', NULL, NULL, 78, NULL, 'fimac2', 199272),
(255547, 'SM00038', NULL, NULL, 240, NULL, 'COLFI_2', 199273),
(255548, 'SM00426', NULL, NULL, 72, NULL, 'tea2', 199274),
(255549, 'SM00433', NULL, NULL, 639, NULL, 'topII5', 199275),
(255550, 'SM00477', NULL, NULL, 262, NULL, 'endoplus', 199276),
(255551, 'SM00014', NULL, NULL, 161, NULL, 'acid_phosph_2', 199277),
(255552, 'SM01366', NULL, NULL, 31, NULL, 'c_clamp_2', 199278),
(255553, 'SM00480', NULL, NULL, 367, NULL, 'pol35', 199279),
(255554, 'SM00530', NULL, NULL, 56, NULL, 'mbf_short4', 199280),
(255555, 'SM01414', NULL, NULL, 36, NULL, 'P68HR_2', 199281),
(255556, 'SM00143', NULL, NULL, 80, NULL, 'pi3k_nt_2', 199282),
(255557, 'SM00396', NULL, NULL, 79, NULL, 'push_1', 199283);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(255558, 'SM01026', NULL, NULL, 304, NULL, 'Beach_2', 199284),
(255559, 'SM01206', NULL, NULL, 243, NULL, 'Fibrillarin_2', 199285),
(255560, 'SM00316', NULL, NULL, 72, NULL, 'S1_6', 199286),
(255561, 'SM00506', NULL, NULL, 156, NULL, 'YBR022w_8', 199287),
(255562, 'SM00210', NULL, NULL, 218, NULL, 'TSPN_2', 199288),
(255563, 'SM00670', NULL, NULL, 146, NULL, 'PIN_9', 199289),
(255564, 'SM01158', NULL, NULL, 244, NULL, 'DUF1741_2', 199290),
(255565, 'SM00348', NULL, NULL, 118, NULL, 'irfvirus2', 199291),
(255566, 'SM00438', NULL, NULL, 21, NULL, 'znfxneu3', 199292),
(255567, 'SM00856', NULL, NULL, 162, NULL, 'PMEI_2', 199293),
(255568, 'SM00644', NULL, NULL, 181, NULL, 'ami_2', 199294),
(255569, 'SM00082', NULL, NULL, 55, NULL, 'lrrct1', 199295),
(255570, 'SM01297', NULL, NULL, 835, NULL, 'KAP_2', 199296),
(255571, 'SM01343', NULL, NULL, 33, NULL, 'FATC_2', 199297),
(255572, 'SM00365', NULL, NULL, 22, NULL, 'LRR_sd22_2', 199298),
(255573, 'SM00448', NULL, NULL, 150, NULL, 'REC_2', 199299),
(255574, 'SM00345', NULL, NULL, 60, NULL, 'gntr3', 199300),
(255575, 'SM00951', NULL, NULL, 38, NULL, 'QLQ_2', 199301),
(255576, 'SM01027', NULL, NULL, 163, NULL, 'Beta_Casp_2', 199302),
(255577, 'SM00593', NULL, NULL, 68, NULL, '893paper3', 199303),
(255578, 'SM01013', NULL, NULL, 63, NULL, 'APC2_2', 199304),
(255579, 'SM00156', NULL, NULL, 321, NULL, 'pp2a_7', 199305),
(255580, 'SM01122', NULL, NULL, 139, NULL, 'DBC1_2', 199306),
(255581, 'SM01148', NULL, NULL, 73, NULL, 'DUF1220_2', 199307),
(255582, 'SM00693', NULL, NULL, 73, NULL, 'dysfn', 199308),
(255583, 'SM00709', NULL, NULL, 166, NULL, 'zpr1', 199309),
(255584, 'SM01360', NULL, NULL, 113, NULL, 'A2M_2', 199310),
(255585, 'SM00425', NULL, NULL, 206, NULL, 'tbox5', 199311),
(255586, 'SM01311', NULL, NULL, 364, NULL, 'RPOL_N_2', 199312),
(255587, 'SM00851', NULL, NULL, 137, NULL, 'MGS_2a', 199313),
(255588, 'SM00434', NULL, NULL, 516, NULL, 'topIV4', 199314),
(255589, 'SM00387', NULL, NULL, 130, NULL, 'HKATPase_4', 199315),
(255590, 'SM00713', NULL, NULL, 18, NULL, 'gyr', 199316),
(255591, 'SM00972', NULL, NULL, 64, NULL, 'SCPU_a_2_a', 199317),
(255592, 'SM00268', NULL, NULL, 487, NULL, 'actin_3', 199318),
(255593, 'SM00782', NULL, NULL, 47, NULL, 'phnA_zn_ribbon', 199319),
(255594, 'SM00806', NULL, NULL, 476, NULL, 'aip3', 199320),
(255595, 'SM01213', NULL, NULL, 163, NULL, 'Flo11_2', 199321),
(255596, 'SM00746', NULL, NULL, 41, NULL, '4TRASH', 199322),
(255597, 'SM01091', NULL, NULL, 110, NULL, 'CorC_HlyC_2', 199323),
(255598, 'SM00232', NULL, NULL, 156, NULL, 'pad1_6', 199324),
(255599, 'SM01002', NULL, NULL, 196, NULL, 'AlaDh_PNT_C_2', 199325),
(255600, 'SM00069', NULL, NULL, 66, NULL, 'gla_3', 199326),
(255601, 'SM00574', NULL, NULL, 148, NULL, 'prehox3', 199327),
(255602, 'SM01368', NULL, NULL, 216, NULL, 'RB_A_2', 199328),
(255603, 'SM00184', NULL, NULL, 23, NULL, 'ring_2', 199329),
(255604, 'SM01006', NULL, NULL, 52, NULL, 'AlcB_2', 199330),
(255605, 'SM00905', NULL, NULL, 130, NULL, 'FolB_2', 199331),
(255606, 'SM01227', NULL, NULL, 78, NULL, 'GCK_2', 199332),
(255607, 'SM01290', NULL, NULL, 210, NULL, 'N_glycanase_N_2', 199333),
(255608, 'SM00986', NULL, NULL, 125, NULL, 'UDG_2', 199334),
(255609, 'SM01386', NULL, NULL, 59, NULL, 'Ribosomal_S13_N_2', 199335),
(255610, 'SM01096', NULL, NULL, 124, NULL, 'CPSase_L_D3_2', 199336),
(255611, 'SM00077', NULL, NULL, 21, NULL, 'itam_5', 199337),
(255612, 'SM00518', NULL, NULL, 299, NULL, 'ap2real3', 199338),
(255613, 'SM00524', NULL, NULL, 212, NULL, 'dwBultra2', 199339),
(255614, 'SM00424', NULL, NULL, 111, NULL, 'ste', 199340),
(255615, 'SM00991', NULL, NULL, 63, NULL, 'WHEP_TRS_a_2_a_3_a', 199341),
(255616, 'SM00548', NULL, NULL, 18, NULL, 'irx_3', 199342),
(255617, 'SM00921', NULL, NULL, 80, NULL, 'MHC_II_beta_2', 199343),
(255618, 'SM01396', NULL, NULL, 69, NULL, 'BC10_2', 199344),
(255619, 'SM00178', NULL, NULL, 199, NULL, 'sar_sub_1', 199345),
(255620, 'SM01209', NULL, NULL, 210, NULL, 'GARS_A_3', 199346),
(255621, 'SM00724', NULL, NULL, 230, NULL, 'lag1_27', 199347),
(255622, 'SM00596', NULL, NULL, 92, NULL, '115neu5', 199348);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(255623, 'SM00458', NULL, NULL, 135, NULL, 'ricin_3', 199349),
(255624, 'SM00417', NULL, NULL, 62, NULL, 'h44', 199350),
(255625, 'SM01008', NULL, NULL, 136, NULL, 'Ald_Xan_dh_C_2', 199351),
(255626, 'SM00913', NULL, NULL, 87, NULL, 'IBN_N_2', 199352),
(255627, 'SM00227', NULL, NULL, 31, NULL, 'nebu_4', 199353),
(255628, 'SM00347', NULL, NULL, 101, NULL, 'marrlong4', 199354),
(255629, 'SM00412', NULL, NULL, 40, NULL, 'copper1', 199355),
(255630, 'SM00276', NULL, NULL, 138, NULL, 'galectin_3', 199356),
(255631, 'SM00132', NULL, NULL, 52, NULL, 'lim_4', 199357),
(255632, 'SM00289', NULL, NULL, 48, NULL, 'WR1_2', 199358),
(255633, 'SM00189', NULL, NULL, 169, NULL, 'int2_nr', 199359),
(255634, 'SM01326', NULL, NULL, 170, NULL, 'PTEN_C2_2', 199360),
(255635, 'SM00264', NULL, NULL, 91, NULL, 'BAG_1', 199361),
(255636, 'SM01045', NULL, NULL, 232, NULL, 'BURP_2', 199362),
(255637, 'SM00108', NULL, NULL, 126, NULL, 'blect_4', 199363),
(255638, 'SM00269', NULL, NULL, 60, NULL, 'BoBi_2', 199364),
(255639, 'SM00109', NULL, NULL, 61, NULL, 'c1_12', 199365),
(255640, 'SM00297', NULL, NULL, 118, NULL, 'bromo_6', 199366),
(255641, 'SM00271', NULL, NULL, 72, NULL, 'dnaj_3', 199367),
(255642, 'SM01346', NULL, NULL, 169, NULL, 'DUF3385_3', 199368),
(255643, 'SM01000', NULL, NULL, 160, NULL, 'Aha1_N_2', 199369),
(255644, 'SM00887', NULL, NULL, 355, NULL, 'EB_dh_2', 199370),
(255645, 'SM01221', NULL, NULL, 148, NULL, 'FTCD_2', 199371),
(255646, 'SM01292', NULL, NULL, 331, NULL, 'N1221_2', 199372),
(255647, 'SM00422', NULL, NULL, 72, NULL, 'merrmega3', 199373),
(255648, 'SM01157', NULL, NULL, 250, NULL, 'DUF1719_2', 199374),
(255649, 'SM00303', NULL, NULL, 51, NULL, 'GPS_3', 199375),
(255650, 'SM00136', NULL, NULL, 282, NULL, 'LamNT_2', 199376),
(255651, 'SM00215', NULL, NULL, 105, NULL, 'vwc2', 199377),
(255652, 'SM01100', NULL, NULL, 26, NULL, 'CRAL_TRIO_N_2', 199378),
(255653, 'SM00340', NULL, NULL, 44, NULL, 'halz', 199379),
(255654, 'SM01321', NULL, NULL, 152, NULL, 'Y1_Tnp_2', 199380),
(255655, 'SM00094', NULL, NULL, 383, NULL, 'transfer-fin', 199381),
(255656, 'SM01249', NULL, NULL, 59, NULL, 'KASH_2', 199382),
(255657, 'SM00079', NULL, NULL, 296, NULL, 'GluR_14', 199383),
(255658, 'SM00984', NULL, NULL, 141, NULL, 'UDPG_MGDP_dh_C_a_2_a', 199384),
(255659, 'SM00572', NULL, NULL, 263, NULL, 'rich3', 199385),
(255660, 'SM00450', NULL, NULL, 94, NULL, 'rhod_4', 199386),
(255661, 'SM00689', NULL, NULL, 171, NULL, 'dm6', 199387),
(255662, 'SM00603', NULL, NULL, 95, NULL, 'lcc', 199388),
(255663, 'SM00509', NULL, NULL, 82, NULL, 'TFS2_5', 199389),
(255664, 'SM00137', NULL, NULL, 192, NULL, 'MAM_2', 199390),
(255665, 'SM00739', NULL, NULL, 28, NULL, 'kow_9', 199391),
(255666, 'SM00652', NULL, NULL, 92, NULL, 'eIF1neu4', 199392),
(255667, 'SM01415', NULL, NULL, 248, NULL, 'DUF106_2', 199393),
(255668, 'SM01034', NULL, NULL, 96, NULL, 'BLUF_2', 199394),
(255669, 'SM01269', NULL, NULL, 39, NULL, 'Lipid_DES_2', 199395),
(255670, 'SM00796', NULL, NULL, 225, NULL, 'ahs1', 199396),
(255671, 'SM01040', NULL, NULL, 104, NULL, 'Bro_N_2', 199397),
(255672, 'SM00940', NULL, NULL, 160, NULL, 'PepX_N_2', 199398),
(255673, 'SM01284', NULL, NULL, 130, NULL, 'ECIST_Cterm_2', 199399),
(255674, 'SM00717', NULL, NULL, 53, NULL, 'sant', 199400),
(255675, 'SM01095', NULL, NULL, 42, NULL, 'Cpl_7_2', 199401),
(255676, 'SM00583', NULL, NULL, 118, NULL, 'backtest2', 199402),
(255677, 'SM00030', NULL, NULL, 219, NULL, 'clus1b', 199403),
(255678, 'SM00039', NULL, NULL, 44, NULL, 'clf2', 199404),
(255679, 'SM00511', NULL, NULL, 47, NULL, 'orange_5', 199405),
(255680, 'SM00750', NULL, NULL, 242, NULL, 'kind', 199406),
(255681, 'SM00897', NULL, NULL, 191, NULL, 'FIST_2', 199407),
(255682, 'SM00560', NULL, NULL, 197, NULL, 'LamGL_3', 199408),
(255683, 'SM01235', NULL, NULL, 142, NULL, 'Haem_bd_2', 199409),
(255684, 'SM00665', NULL, NULL, 142, NULL, '561_7', 199410),
(255685, 'SM01134', NULL, NULL, 163, NULL, 'DeoRC_2', 199411),
(255686, 'SM00818', NULL, NULL, 187, NULL, 'amelogenin', 199412),
(255687, 'SM00495', NULL, NULL, 52, NULL, 'chi_5', 199413);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(255688, 'SM00419', NULL, NULL, 50, NULL, 'crpmeuga4', 199414),
(255689, 'SM00314', NULL, NULL, 102, NULL, 'RA_5', 199415),
(255690, 'SM00938', NULL, NULL, 117, NULL, 'P_II_3', 199416),
(255691, 'SM00536', NULL, NULL, 133, NULL, 'toby4', 199417),
(255692, 'SM00680', NULL, NULL, 62, NULL, 'clip', 199418),
(255693, 'SM01167', NULL, NULL, 140, NULL, 'DUF1900_2', 199419),
(255694, 'SM00866', NULL, NULL, 179, NULL, 'UTRA_2', 199420),
(255695, 'SM00200', NULL, NULL, 130, NULL, 'SEA_3', 199421),
(255696, 'SM00199', NULL, NULL, 65, NULL, 'SCY_2', 199422),
(255697, 'SM00429', NULL, NULL, 111, NULL, 'iptmega2', 199423),
(255698, 'SM00768', NULL, NULL, 103, NULL, 'X8_cls', 199424),
(255699, 'SM00294', NULL, NULL, 19, NULL, '4.1m_4', 199425),
(255700, 'SM00191', NULL, NULL, 56, NULL, 'int_alpha_rpt', 199426),
(255701, 'SM00312', NULL, NULL, 142, NULL, 'PX_2', 199427),
(255702, 'SM00874', NULL, NULL, 106, NULL, 'B5_2', 199428),
(255703, 'SM00363', NULL, NULL, 63, NULL, 's4_6', 199429),
(255704, 'SM00244', NULL, NULL, 179, NULL, 'PHB_4', 199430),
(255705, 'SM00149', NULL, NULL, 119, NULL, 'plcy_3', 199431),
(255706, 'SM00073', NULL, NULL, 100, NULL, 'hpt_2', 199432),
(255707, 'SM00142', NULL, NULL, 133, NULL, 'pi3k_hr3_6', 199433),
(255708, 'SM00042', NULL, NULL, 144, NULL, 'CUB_2', 199434),
(255709, 'SM00037', NULL, NULL, 34, NULL, 'CNX_2', 199435),
(255710, 'SM01222', NULL, NULL, 192, NULL, 'FTCD_N_2', 199436),
(255711, 'SM00234', NULL, NULL, 248, NULL, 'START_1', 199437),
(255712, 'SM00432', NULL, NULL, 60, NULL, 'madsneu2', 199438),
(255713, 'SM01218', NULL, NULL, 94, NULL, 'FoP_duplication_2', 199439),
(255714, 'SM01367', NULL, NULL, 175, NULL, 'DUF3452_2', 199440),
(255715, 'SM00148', NULL, NULL, 182, NULL, 'plcx_3', 199441),
(255716, 'SM00229', NULL, NULL, 172, NULL, 'rasgefn_5', 199442),
(255717, 'SM01359', NULL, NULL, 209, NULL, 'A2M_N_2_2', 199443),
(255718, 'SM00552', NULL, NULL, 451, NULL, 'adara_8', 199444),
(255719, 'SM01248', NULL, NULL, 83, NULL, 'KaiB_2', 199445),
(255720, 'SM00858', NULL, NULL, 101, NULL, 'SAF_3', 199446),
(255721, 'SM01038', NULL, NULL, 308, NULL, 'Bgal_small_N_2', 199447),
(255722, 'SM01217', NULL, NULL, 108, NULL, 'Fn3_like_2', 199448),
(255723, 'SM00047', NULL, NULL, 184, NULL, 'Lysozyme_4', 199449),
(255724, 'SM01278', NULL, NULL, 125, NULL, 'MAPKK1_Int_3', 199450),
(255725, 'SM00763', NULL, NULL, 416, NULL, 'aaa_prka2seq5', 199451),
(255726, 'SM00894', NULL, NULL, 38, NULL, 'Excalibur_2', 199452),
(255727, 'SM01280', NULL, NULL, 399, NULL, 'Mcm10_2', 199453),
(255728, 'SM00258', NULL, NULL, 76, NULL, 'SAND_2', 199454),
(255729, 'SM00636', NULL, NULL, 521, NULL, '2g34', 199455),
(255730, 'SM00394', NULL, NULL, 39, NULL, 'akam_3', 199456),
(255731, 'SM00141', NULL, NULL, 91, NULL, 'PDGF_2', 199457),
(255732, 'SM01174', NULL, NULL, 438, NULL, 'DUF4205_3', 199458),
(255733, 'SM01212', NULL, NULL, 146, NULL, 'Fib_alpha_2', 199459),
(255734, 'SM00181', NULL, NULL, 32, NULL, 'egf_5', 199460),
(255735, 'SM00097', NULL, NULL, 345, NULL, 'wnt1_3', 199461),
(255736, 'SM01229', NULL, NULL, 52, NULL, 'GluR_Homer_bdg_2', 199462),
(255737, 'SM00301', NULL, NULL, 58, NULL, 'DM_3', 199463),
(255738, 'SM00131', NULL, NULL, 56, NULL, 'KU_2', 199464),
(255739, 'SM00979', NULL, NULL, 36, NULL, 'tify_2', 199465),
(255740, 'SM00418', NULL, NULL, 79, NULL, 'arsrmega2', 199466),
(255741, 'SM00807', NULL, NULL, 971, NULL, 'akap_110', 199467),
(255742, 'SM00104', NULL, NULL, 37, NULL, 'ANATO_2', 199468),
(255743, 'SM00390', NULL, NULL, 23, NULL, 'LGN_4', 199469),
(255744, 'SM00240', NULL, NULL, 49, NULL, 'FHA_2', 199470),
(255745, 'SM00005', NULL, NULL, 108, NULL, 'DEATH_4', 199471),
(255746, 'SM01098', NULL, NULL, 267, NULL, 'CPSF73_100_C_2', 199472),
(255747, 'SM00923', NULL, NULL, 53, NULL, 'MbtH_2', 199473),
(255748, 'SM00213', NULL, NULL, 72, NULL, 'ubq_7', 199474),
(255749, 'SM01055', NULL, NULL, 93, NULL, 'Cadherin_pro_2', 199475),
(255750, 'SM01163', NULL, NULL, 46, NULL, 'DUF1785_2', 199476),
(255751, 'SM00529', NULL, NULL, 101, NULL, 'dtx3', 199477),
(255752, 'SM00401', NULL, NULL, 54, NULL, 'GATA_3', 199478);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(255753, 'SM00945', NULL, NULL, 118, NULL, 'ProQ_a_2', 199479),
(255754, 'SM00544', NULL, NULL, 117, NULL, 'ma3_7', 199480),
(255755, 'SM01286', NULL, NULL, 173, NULL, 'SPT16_2', 199481),
(255756, 'SM00006', NULL, NULL, 180, NULL, 'A4_EXTRA_3', 199482),
(255757, 'SM00516', NULL, NULL, 184, NULL, 'sec14_4', 199483),
(255758, 'SM00911', NULL, NULL, 87, NULL, 'HWE_HK_2', 199484),
(255759, 'SM01191', NULL, NULL, 75, NULL, 'ENT_2', 199485),
(255760, 'SM00064', NULL, NULL, 81, NULL, 'fyve_4', 199486),
(255761, 'SM00322', NULL, NULL, 63, NULL, 'kh_6', 199487),
(255762, 'SM00845', NULL, NULL, 154, NULL, 'gatb_yqey_2', 199488),
(255763, 'SM00088', NULL, NULL, 92, NULL, 'PINT_4', 199489),
(255764, 'SM01069', NULL, NULL, 118, NULL, 'CDC37_C_2', 199490),
(255765, 'SM01349', NULL, NULL, 319, NULL, 'TOG_3', 199491),
(255766, 'SM00338', NULL, NULL, 65, NULL, 'brlzneu', 199492),
(255767, 'SM01243', NULL, NULL, 187, NULL, 'IRF_3_2', 199493),
(255768, 'SM01259', NULL, NULL, 72, NULL, 'LAB_N_2', 199494),
(255769, 'SM01379', NULL, NULL, 115, NULL, 'GAGE_2', 199495),
(255770, 'SM00942', NULL, NULL, 71, NULL, 'PriCT_1_2', 199496),
(255771, 'SM00317', NULL, NULL, 114, NULL, 'set_7', 199497),
(255772, 'SM00261', NULL, NULL, 48, NULL, 'furin_3', 199498),
(255773, 'SM00444', NULL, NULL, 59, NULL, 'gyf_5', 199499),
(255774, 'SM00602', NULL, NULL, 735, NULL, 'vps10', 199500),
(255775, 'SM00674', NULL, NULL, 72, NULL, 'cenpb', 199501),
(255776, 'SM01416', NULL, NULL, 144, NULL, 'Ribosomal_L19e_2', 199502),
(255777, 'SM01247', NULL, NULL, 301, NULL, 'KaiA_2', 199503),
(255778, 'SM01296', NULL, NULL, 358, NULL, 'N2227_2', 199504),
(255779, 'SM00214', NULL, NULL, 75, NULL, 'vwc', 199505),
(255780, 'SM00282', NULL, NULL, 137, NULL, 'LamG_3', 199506),
(255781, 'SM00237', NULL, NULL, 106, NULL, 'NIbeta_1', 199507),
(255782, 'SM01341', NULL, NULL, 42, NULL, 'Tower_2', 199508),
(255783, 'SM00733', NULL, NULL, 32, NULL, 'mt_12', 199509),
(255784, 'SM00780', NULL, NULL, 237, NULL, 'pig_x_1', 199510),
(255785, 'SM01011', NULL, NULL, 171, NULL, 'AMP_N_2', 199511),
(255786, 'SM00764', NULL, NULL, 188, NULL, 'citrate_ly_lig5', 199512),
(255787, 'SM00762', NULL, NULL, 377, NULL, 'cog4.2seq4', 199513),
(255788, 'SM00936', NULL, NULL, 107, NULL, 'PBP5_C_2', 199514),
(255789, 'SM00962', NULL, NULL, 257, NULL, 'SRP54_3', 199515),
(255790, 'SM00159', NULL, NULL, 213, NULL, 'PTX_2', 199516),
(255791, 'SM00827', NULL, 'Acyl transferase domain in polyketide synthase (PKS) enzymes.', 382, NULL, 'PKS_AT', 199517),
(255792, 'SM00216', NULL, NULL, 185, NULL, 'VWD_2', 199518),
(255793, 'SM00861', NULL, NULL, 265, NULL, 'Transket_pyr_3', 199519),
(255794, 'SM01207', NULL, NULL, 192, NULL, 'G3P_acyltransf_2', 199520),
(255795, 'SM01339', NULL, NULL, 64, NULL, 'NODP_2', 199521),
(255796, 'SM00308', NULL, NULL, 157, NULL, 'LH2_4', 199522),
(255797, 'SM00527', NULL, NULL, 102, NULL, 'hmg17neu4', 199523),
(255798, 'SM00817', NULL, NULL, 422, NULL, 'amelin', 199524),
(255799, 'SM00541', NULL, NULL, 46, NULL, 'fyrn_3', 199525),
(255800, 'SM00534', NULL, NULL, 199, NULL, 'mutATP5', 199526),
(255801, 'SM00508', NULL, NULL, 17, NULL, 'PostSET_3', 199527),
(255802, 'SM00256', NULL, NULL, 41, NULL, 'fbox_2', 199528),
(255803, 'SM00203', NULL, NULL, 11, NULL, 'tach2_nr', 199529),
(255804, 'SM00875', NULL, NULL, 133, NULL, 'BACK_2', 199530),
(255805, 'SM00066', NULL, NULL, 45, NULL, 'gal4_2', 199531),
(255806, 'SM00893', NULL, NULL, 231, NULL, 'ETF_2', 199532),
(255807, 'SM00719', NULL, NULL, 120, NULL, 'rtf1', 199533),
(255808, 'SM00662', NULL, NULL, 298, NULL, 'rpoldneu2', 199534),
(255809, 'SM00183', NULL, NULL, 24, NULL, 'natb', 199535),
(255810, 'SM01139', NULL, NULL, 257, NULL, 'Drf_FH3_2', 199536),
(255811, 'SM01083', NULL, NULL, 37, NULL, 'Cir_N_3', 199537),
(255812, 'SM00339', NULL, NULL, 99, NULL, 'forkneu4', 199538),
(255813, 'SM00291', NULL, NULL, 46, NULL, 'zz_5', 199539),
(255814, 'SM01241', NULL, NULL, 49, NULL, 'Integrin_b_cyt_2', 199540),
(255815, 'SM00173', NULL, NULL, 167, NULL, 'ras_sub_4', 199541),
(255816, 'SM00839', NULL, NULL, 265, NULL, 'ELFV_dehydrog_3', 199542);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(255817, 'SM01082', NULL, NULL, 39, NULL, 'CHZ_2', 199543),
(255818, 'SM00788', NULL, NULL, 422, NULL, 'adenylsucc_synt', 199544),
(255819, 'SM01151', NULL, NULL, 64, NULL, 'DUF1518_2', 199545),
(255820, 'SM00328', NULL, NULL, 261, NULL, 'bpi1_3', 199546),
(255821, 'SM01355', NULL, NULL, 169, NULL, 'AP3B1_C_2', 199547),
(255822, 'SM00873', NULL, NULL, 222, NULL, 'B3_4_2', 199548),
(255823, 'SM01048', NULL, NULL, 112, NULL, 'C6_2', 199549),
(255824, 'SM00022', NULL, NULL, 626, NULL, 'pla2_6', 199550),
(255825, 'SM00712', NULL, NULL, 69, NULL, 'pur', 199551),
(255826, 'SM01370', NULL, NULL, 173, NULL, 'TAFII55_N_2', 199552),
(255827, 'SM00587', NULL, NULL, 203, NULL, '121neu2hmm', 199553),
(255828, 'SM00286', NULL, NULL, 29, NULL, 'PTI_1', 199554),
(255829, 'SM00485', NULL, NULL, 111, NULL, 'xpgn3', 199555),
(255830, 'SM00838', NULL, NULL, 88, NULL, 'EFG_C_a', 199556),
(255831, 'SM00841', NULL, NULL, 57, NULL, 'Elong_fact_P_C_2', 199557),
(255832, 'SM00835', NULL, NULL, 162, NULL, 'Cupin_1_3', 199558),
(255833, 'SM01203', NULL, NULL, 163, NULL, 'DUF3585_4', 199559),
(255834, 'SM00350', NULL, NULL, 591, NULL, 'mcm', 199560),
(255835, 'SM01190', NULL, NULL, 267, NULL, 'EMP24_GP25L_2', 199561),
(255836, 'SM00125', NULL, NULL, 149, NULL, 'IL1_2', 199562),
(255837, 'SM00569', NULL, NULL, 62, NULL, 'L27_neu3', 199563),
(255838, 'SM00120', NULL, NULL, 51, NULL, 'HX_rpt_3', 199564),
(255839, 'SM00212', NULL, NULL, 144, NULL, 'ubc_7', 199565),
(255840, 'SM01390', NULL, NULL, 145, NULL, 'Ribosomal_S4_2', 199566),
(255841, 'SM01215', NULL, NULL, 106, NULL, 'Fmp27_SW_2', 199567),
(255842, 'SM00795', NULL, NULL, 783, NULL, 'agro_vird5', 199568),
(255843, 'SM00561', NULL, NULL, 121, NULL, 'l3mbt_4', 199569),
(255844, 'SM00876', NULL, NULL, 123, NULL, 'BATS_2', 199570),
(255845, 'SM00643', NULL, NULL, 124, NULL, 'c345c', 199571),
(255846, 'SM01063', NULL, NULL, 96, NULL, 'CBM49_2', 199572),
(255847, 'SM01371', NULL, NULL, 466, NULL, 'TFIIA_2', 199573),
(255848, 'SM01369', NULL, NULL, 157, NULL, 'Rb_C_2', 199574),
(255849, 'SM01316', NULL, NULL, 68, NULL, 'Spo7_2_N_2', 199575),
(255850, 'SM00274', NULL, NULL, 25, NULL, 'FOLN_3', 199576),
(255851, '0037242', NULL, NULL, 99, NULL, 'IHF-like DNA-binding proteins', 199577),
(255852, '0039024', NULL, NULL, 94, NULL, 'IHF-like DNA-binding proteins', 199577),
(255853, '0054346', NULL, NULL, 90, NULL, 'IHF-like DNA-binding proteins', 199577),
(255854, '0042179', NULL, NULL, 94, NULL, 'IHF-like DNA-binding proteins', 199577),
(255855, '0039023', NULL, NULL, 96, NULL, 'IHF-like DNA-binding proteins', 199577),
(255856, '0041092', NULL, NULL, 90, NULL, 'IHF-like DNA-binding proteins', 199577),
(255857, '0036536', NULL, NULL, 55, NULL, 'IHF-like DNA-binding proteins', 199577),
(255858, '0035413', NULL, NULL, 90, NULL, 'IHF-like DNA-binding proteins', 199577),
(255859, '0038734', NULL, NULL, 90, NULL, 'IHF-like DNA-binding proteins', 199577),
(255860, '0049253', NULL, NULL, 260, NULL, 'NHL repeat', 199578),
(255861, '0048898', NULL, NULL, 279, NULL, 'NHL repeat', 199578),
(255862, '0040630', NULL, NULL, 118, NULL, 'Replication modulator SeqA, C-terminal DNA-binding domain', 199579),
(255863, '0048471', NULL, NULL, 103, NULL, 'GlnB-like', 199580),
(255864, '0049066', NULL, NULL, 112, NULL, 'GlnB-like', 199580),
(255865, '0048360', NULL, NULL, 74, NULL, 'GlnB-like', 199580),
(255866, '0052354', NULL, NULL, 100, NULL, 'GlnB-like', 199580),
(255867, '0054032', NULL, NULL, 75, NULL, 'GlnB-like', 199580),
(255868, '0053273', NULL, NULL, 112, NULL, 'GlnB-like', 199580),
(255869, '0050169', NULL, NULL, 116, NULL, 'GlnB-like', 199580),
(255870, '0038760', NULL, NULL, 112, NULL, 'GlnB-like', 199580),
(255871, '0049929', NULL, NULL, 102, NULL, 'GlnB-like', 199580),
(255872, '0047113', NULL, NULL, 75, NULL, 'GlnB-like', 199580),
(255873, '0047861', NULL, NULL, 110, NULL, 'GlnB-like', 199580),
(255874, '0048313', NULL, NULL, 106, NULL, 'GlnB-like', 199580),
(255875, '0048489', NULL, NULL, 102, NULL, 'GlnB-like', 199580),
(255876, '0049936', NULL, NULL, 112, NULL, 'GlnB-like', 199580);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(255877, '0047018', NULL, NULL, 112, NULL, 'GlnB-like', 199580),
(255878, '0048679', NULL, NULL, 102, NULL, 'GlnB-like', 199580),
(255879, '0048636', NULL, NULL, 108, NULL, 'GlnB-like', 199580),
(255880, '0047281', NULL, NULL, 340, NULL, 'FAD-linked oxidases, C-terminal domain', 199581),
(255881, '0046341', NULL, NULL, 279, NULL, 'FAD-linked oxidases, C-terminal domain', 199581),
(255882, '0046671', NULL, NULL, 294, NULL, 'FAD-linked oxidases, C-terminal domain', 199581),
(255883, '0046489', NULL, NULL, 287, NULL, 'FAD-linked oxidases, C-terminal domain', 199581),
(255884, '0050336', NULL, NULL, 289, NULL, 'FAD-linked oxidases, C-terminal domain', 199581),
(255885, '0034955', NULL, NULL, 158, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255886, '0052188', NULL, NULL, 146, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255887, '0049950', NULL, NULL, 147, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255888, '0052011', NULL, NULL, 162, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255889, '0037504', NULL, NULL, 148, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255890, '0035107', NULL, NULL, 160, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255891, '0036119', NULL, NULL, 142, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255892, '0038028', NULL, NULL, 158, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255893, '0037677', NULL, NULL, 160, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255894, '0042754', NULL, NULL, 155, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255895, '0040222', NULL, NULL, 133, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255896, '0041322', NULL, NULL, 147, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255897, '0036370', NULL, NULL, 153, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255898, '0039466', NULL, NULL, 154, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255899, '0043660', NULL, NULL, 155, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255900, '0049711', NULL, NULL, 141, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255901, '0053272', NULL, NULL, 120, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255902, '0038292', NULL, NULL, 143, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255903, '0046686', NULL, NULL, 165, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255904, '0047323', NULL, NULL, 147, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255905, '0046601', NULL, NULL, 160, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255906, '0048943', NULL, NULL, 135, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', 199582),
(255907, '0050589', NULL, NULL, 127, NULL, 'DNA-binding domain of EIN3-like', 199583),
(255908, '0050131', NULL, NULL, 95, NULL, 'YccV-like', 199584),
(255909, '0049165', NULL, NULL, 164, NULL, '4-helical cytokines', 199585),
(255910, '0038728', NULL, NULL, 108, NULL, '4-helical cytokines', 199585),
(255911, '0038948', NULL, NULL, 129, NULL, '4-helical cytokines', 199585),
(255912, '0037217', NULL, NULL, 184, NULL, '4-helical cytokines', 199585),
(255913, '0039612', NULL, NULL, 112, NULL, '4-helical cytokines', 199585),
(255914, '0038842', NULL, NULL, 167, NULL, '4-helical cytokines', 199585),
(255915, '0036943', NULL, NULL, 166, NULL, '4-helical cytokines', 199585),
(255916, '0037414', NULL, NULL, 197, NULL, '4-helical cytokines', 199585),
(255917, '0035096', NULL, NULL, 166, NULL, '4-helical cytokines', 199585),
(255918, '0043546', NULL, NULL, 131, NULL, '4-helical cytokines', 199585),
(255919, '0045527', NULL, NULL, 128, NULL, '4-helical cytokines', 199585);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(255920, '0038587', NULL, NULL, 189, NULL, '4-helical cytokines', 199585),
(255921, '0040055', NULL, NULL, 190, NULL, '4-helical cytokines', 199585),
(255922, '0035199', NULL, NULL, 166, NULL, '4-helical cytokines', 199585),
(255923, '0041187', NULL, NULL, 156, NULL, '4-helical cytokines', 199585),
(255924, '0035253', NULL, NULL, 189, NULL, '4-helical cytokines', 199585),
(255925, '0037173', NULL, NULL, 134, NULL, '4-helical cytokines', 199585),
(255926, '0044650', NULL, NULL, 145, NULL, '4-helical cytokines', 199585),
(255927, '0044873', NULL, NULL, 142, NULL, '4-helical cytokines', 199585),
(255928, '0047986', NULL, NULL, 172, NULL, '4-helical cytokines', 199585),
(255929, '0054543', NULL, NULL, 114, NULL, '4-helical cytokines', 199585),
(255930, '0054763', NULL, NULL, 114, NULL, '4-helical cytokines', 199585),
(255931, '0046185', NULL, NULL, 177, NULL, '4-helical cytokines', 199585),
(255932, '0040618', NULL, NULL, 142, NULL, '4-helical cytokines', 199585),
(255933, '0035247', NULL, NULL, 144, NULL, '4-helical cytokines', 199585),
(255934, '0054828', NULL, NULL, 127, NULL, '4-helical cytokines', 199585),
(255935, '0036313', NULL, NULL, 121, NULL, '4-helical cytokines', 199585),
(255936, '0038637', NULL, NULL, 148, NULL, '4-helical cytokines', 199585),
(255937, '0054409', NULL, NULL, 133, NULL, '4-helical cytokines', 199585),
(255938, '0050703', NULL, NULL, 161, NULL, '4-helical cytokines', 199585),
(255939, '0038018', NULL, NULL, 113, NULL, '4-helical cytokines', 199585),
(255940, '0035360', NULL, NULL, 164, NULL, '4-helical cytokines', 199585),
(255941, '0045439', NULL, NULL, 119, NULL, '4-helical cytokines', 199585),
(255942, '0048829', NULL, NULL, 169, NULL, '4-helical cytokines', 199585),
(255943, '0045958', NULL, NULL, 165, NULL, '4-helical cytokines', 199585),
(255944, '0040780', NULL, NULL, 142, NULL, '4-helical cytokines', 199585),
(255945, '0041275', NULL, NULL, 199, NULL, '4-helical cytokines', 199585),
(255946, '0045959', NULL, NULL, 166, NULL, '4-helical cytokines', 199585),
(255947, '0037382', NULL, NULL, 178, NULL, '4-helical cytokines', 199585),
(255948, '0045298', NULL, NULL, 121, NULL, '4-helical cytokines', 199585),
(255949, '0045732', NULL, NULL, 180, NULL, '4-helical cytokines', 199585),
(255950, '0043234', NULL, NULL, 154, NULL, '4-helical cytokines', 199585),
(255951, '0045338', NULL, NULL, 155, NULL, '4-helical cytokines', 199585),
(255952, '0039968', NULL, NULL, 174, NULL, 'Arp2/3 complex 21 kDa subunit ARPC3', 199586),
(255953, '0040572', NULL, NULL, 187, NULL, 'DNA-glycosylase', 199587),
(255954, '0048358', NULL, NULL, 144, NULL, 'DNA-glycosylase', 199587),
(255955, '0043362', NULL, NULL, 221, NULL, 'DNA-glycosylase', 199587),
(255956, '0051070', NULL, NULL, 253, NULL, 'DNA-glycosylase', 199587),
(255957, '0045145', NULL, NULL, 211, NULL, 'DNA-glycosylase', 199587),
(255958, '0041094', NULL, NULL, 225, NULL, 'DNA-glycosylase', 199587),
(255959, '0050956', NULL, NULL, 245, NULL, 'DNA-glycosylase', 199587),
(255960, '0036894', NULL, NULL, 190, NULL, 'DNA-glycosylase', 199587),
(255961, '0042464', NULL, NULL, 217, NULL, 'DNA-glycosylase', 199587),
(255962, '0047788', NULL, NULL, 217, NULL, 'DNA-glycosylase', 199587),
(255963, '0041996', NULL, NULL, 214, NULL, 'DNA-glycosylase', 199587),
(255964, '0041038', NULL, NULL, 183, NULL, 'DNA-glycosylase', 199587),
(255965, '0049702', NULL, NULL, 102, NULL, 'Tlp20, baculovirus telokin-like protein', 199588),
(255966, '0051386', NULL, NULL, 121, NULL, 'CheY-like', 199589),
(255967, '0046294', NULL, NULL, 123, NULL, 'CheY-like', 199589),
(255968, '0051860', NULL, NULL, 133, NULL, 'CheY-like', 199589),
(255969, '0046075', NULL, NULL, 107, NULL, 'CheY-like', 199589),
(255970, '0045682', NULL, NULL, 138, NULL, 'CheY-like', 199589),
(255971, '0048231', NULL, NULL, 121, NULL, 'CheY-like', 199589),
(255972, '0049761', NULL, NULL, 118, NULL, 'CheY-like', 199589),
(255973, '0051229', NULL, NULL, 139, NULL, 'CheY-like', 199589),
(255974, '0043525', NULL, NULL, 190, NULL, 'CheY-like', 199589),
(255975, '0051859', NULL, NULL, 117, NULL, 'CheY-like', 199589);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(255976, '0046299', NULL, NULL, 134, NULL, 'CheY-like', 199589),
(255977, '0048656', NULL, NULL, 124, NULL, 'CheY-like', 199589),
(255978, '0048975', NULL, NULL, 140, NULL, 'CheY-like', 199589),
(255979, '0048997', NULL, NULL, 189, NULL, 'CheY-like', 199589),
(255980, '0047867', NULL, NULL, 123, NULL, 'CheY-like', 199589),
(255981, '0045700', NULL, NULL, 140, NULL, 'CheY-like', 199589),
(255982, '0050341', NULL, NULL, 139, NULL, 'CheY-like', 199589),
(255983, '0051573', NULL, NULL, 120, NULL, 'CheY-like', 199589),
(255984, '0054521', NULL, NULL, 119, NULL, 'CheY-like', 199589),
(255985, '0050342', NULL, NULL, 153, NULL, 'CheY-like', 199589),
(255986, '0051574', NULL, NULL, 119, NULL, 'CheY-like', 199589),
(255987, '0048465', NULL, NULL, 137, NULL, 'CheY-like', 199589),
(255988, '0048685', NULL, NULL, 120, NULL, 'CheY-like', 199589),
(255989, '0047296', NULL, NULL, 144, NULL, 'CheY-like', 199589),
(255990, '0048066', NULL, NULL, 135, NULL, 'CheY-like', 199589),
(255991, '0048463', NULL, NULL, 119, NULL, 'CheY-like', 199589),
(255992, '0050964', NULL, NULL, 121, NULL, 'CheY-like', 199589),
(255993, '0039925', NULL, NULL, 149, NULL, 'CheY-like', 199589),
(255994, '0051318', NULL, NULL, 128, NULL, 'CheY-like', 199589),
(255995, '0051898', NULL, NULL, 118, NULL, 'CheY-like', 199589),
(255996, '0046428', NULL, NULL, 123, NULL, 'CheY-like', 199589),
(255997, '0048705', NULL, NULL, 129, NULL, 'CheY-like', 199589),
(255998, '0047555', NULL, NULL, 128, NULL, 'CheY-like', 199589),
(255999, '0047753', NULL, NULL, 140, NULL, 'CheY-like', 199589),
(256000, '0049456', NULL, NULL, 119, NULL, 'CheY-like', 199589),
(256001, '0045852', NULL, NULL, 122, NULL, 'CheY-like', 199589),
(256002, '0047799', NULL, NULL, 122, NULL, 'CheY-like', 199589),
(256003, '0048129', NULL, NULL, 123, NULL, 'CheY-like', 199589),
(256004, '0051541', NULL, NULL, 264, NULL, 'ImpE-like', 199590),
(256005, '0038894', NULL, NULL, 129, NULL, 'Ribosomal protein S8', 199591),
(256006, '0038928', NULL, NULL, 138, NULL, 'Ribosomal protein S8', 199591),
(256007, '0043571', NULL, NULL, 130, NULL, 'Ribosomal protein S8', 199591),
(256008, '0035114', NULL, NULL, 136, NULL, 'Ribosomal protein S8', 199591),
(256009, '0043454', NULL, NULL, 126, NULL, 'Ribosomal protein S8', 199591),
(256010, '0049981', NULL, NULL, 1122, NULL, 'Viral ssDNA binding protein', 199592),
(256011, '0044900', NULL, NULL, 574, NULL, 'Acid phosphatase/Vanadium-dependent haloperoxidase', 199593),
(256012, '0042804', NULL, NULL, 555, NULL, 'Acid phosphatase/Vanadium-dependent haloperoxidase', 199593),
(256013, '0044476', NULL, NULL, 597, NULL, 'Acid phosphatase/Vanadium-dependent haloperoxidase', 199593),
(256014, '0042785', NULL, NULL, 595, NULL, 'Acid phosphatase/Vanadium-dependent haloperoxidase', 199593),
(256015, '0036249', NULL, NULL, 224, NULL, 'Acid phosphatase/Vanadium-dependent haloperoxidase', 199593),
(256016, '0052400', NULL, NULL, 85, NULL, 'SAM/Pointed domain', 199594),
(256017, '0053830', NULL, NULL, 78, NULL, 'SAM/Pointed domain', 199594),
(256018, '0049862', NULL, NULL, 81, NULL, 'SAM/Pointed domain', 199594),
(256019, '0046188', NULL, NULL, 68, NULL, 'SAM/Pointed domain', 199594),
(256020, '0049156', NULL, NULL, 67, NULL, 'SAM/Pointed domain', 199594),
(256021, '0052591', NULL, NULL, 64, NULL, 'SAM/Pointed domain', 199594),
(256022, '0050037', NULL, NULL, 78, NULL, 'SAM/Pointed domain', 199594),
(256023, '0049490', NULL, NULL, 91, NULL, 'SAM/Pointed domain', 199594),
(256024, '0050795', NULL, NULL, 78, NULL, 'SAM/Pointed domain', 199594),
(256025, '0049390', NULL, NULL, 67, NULL, 'SAM/Pointed domain', 199594),
(256026, '0050731', NULL, NULL, 78, NULL, 'SAM/Pointed domain', 199594),
(256027, '0054019', NULL, NULL, 71, NULL, 'SAM/Pointed domain', 199594),
(256028, '0043788', NULL, NULL, 97, NULL, 'SAM/Pointed domain', 199594),
(256029, '0045878', NULL, NULL, 74, NULL, 'SAM/Pointed domain', 199594),
(256030, '0039562', NULL, NULL, 77, NULL, 'SAM/Pointed domain', 199594),
(256031, '0042054', NULL, NULL, 60, NULL, 'SAM/Pointed domain', 199594),
(256032, '0049975', NULL, NULL, 85, NULL, 'SAM/Pointed domain', 199594);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(256033, '0049479', NULL, NULL, 82, NULL, 'SAM/Pointed domain', 199594),
(256034, '0045861', NULL, NULL, 72, NULL, 'SAM/Pointed domain', 199594),
(256035, '0047895', NULL, NULL, 70, NULL, 'SAM/Pointed domain', 199594),
(256036, '0048775', NULL, NULL, 63, NULL, 'SAM/Pointed domain', 199594),
(256037, '0049478', NULL, NULL, 77, NULL, 'SAM/Pointed domain', 199594),
(256038, '0045998', NULL, NULL, 110, NULL, 'SAM/Pointed domain', 199594),
(256039, '0048657', NULL, NULL, 62, NULL, 'SAM/Pointed domain', 199594),
(256040, '0053620', NULL, NULL, 331, NULL, 'Inosine monophosphate dehydrogenase (IMPDH)', 199595),
(256041, '0047561', NULL, NULL, 371, NULL, 'Inosine monophosphate dehydrogenase (IMPDH)', 199595),
(256042, '0046530', NULL, NULL, 388, NULL, 'Inosine monophosphate dehydrogenase (IMPDH)', 199595),
(256043, '0048832', NULL, NULL, 363, NULL, 'Inosine monophosphate dehydrogenase (IMPDH)', 199595),
(256044, '0051569', NULL, NULL, 366, NULL, 'Inosine monophosphate dehydrogenase (IMPDH)', 199595),
(256045, '0047664', NULL, NULL, 379, NULL, 'Inosine monophosphate dehydrogenase (IMPDH)', 199595),
(256046, '0053789', NULL, NULL, 369, NULL, 'Inosine monophosphate dehydrogenase (IMPDH)', 199595),
(256047, '0054770', NULL, NULL, 37, NULL, 'Ribosomal protein L36', 199596),
(256048, '0053071', NULL, NULL, 38, NULL, 'Ribosomal protein L36', 199596),
(256049, '0036403', NULL, NULL, 37, NULL, 'Ribosomal protein L36', 199596),
(256050, '0039452', NULL, NULL, 739, NULL, 'Photosystem I subunits PsaA/PsaB', 199597),
(256051, '0039451', NULL, NULL, 743, NULL, 'Photosystem I subunits PsaA/PsaB', 199597),
(256052, '0053742', NULL, NULL, 300, NULL, 'Metallo-dependent hydrolases', 199598),
(256053, '0051322', NULL, NULL, 265, NULL, 'Metallo-dependent hydrolases', 199598),
(256054, '0054113', NULL, NULL, 310, NULL, 'Metallo-dependent hydrolases', 199598),
(256055, '0046571', NULL, NULL, 386, NULL, 'Metallo-dependent hydrolases', 199598),
(256056, '0048352', NULL, NULL, 330, NULL, 'Metallo-dependent hydrolases', 199598),
(256057, '0052371', NULL, NULL, 329, NULL, 'Metallo-dependent hydrolases', 199598),
(256058, '0051086', NULL, NULL, 310, NULL, 'Metallo-dependent hydrolases', 199598),
(256059, '0054394', NULL, NULL, 325, NULL, 'Metallo-dependent hydrolases', 199598),
(256060, '0047785', NULL, NULL, 334, NULL, 'Metallo-dependent hydrolases', 199598),
(256061, '0048115', NULL, NULL, 358, NULL, 'Metallo-dependent hydrolases', 199598),
(256062, '0047865', NULL, NULL, 349, NULL, 'Metallo-dependent hydrolases', 199598),
(256063, '0054688', NULL, NULL, 313, NULL, 'Metallo-dependent hydrolases', 199598),
(256064, '0054489', NULL, NULL, 336, NULL, 'Metallo-dependent hydrolases', 199598),
(256065, '0048480', NULL, NULL, 288, NULL, 'Metallo-dependent hydrolases', 199598),
(256066, '0051135', NULL, NULL, 260, NULL, 'Metallo-dependent hydrolases', 199598),
(256067, '0054484', NULL, NULL, 324, NULL, 'Metallo-dependent hydrolases', 199598),
(256068, '0038137', NULL, NULL, 335, NULL, 'Metallo-dependent hydrolases', 199598),
(256069, '0051379', NULL, NULL, 297, NULL, 'Metallo-dependent hydrolases', 199598),
(256070, '0054604', NULL, NULL, 415, NULL, 'Metallo-dependent hydrolases', 199598),
(256071, '0051697', NULL, NULL, 628, NULL, 'Metallo-dependent hydrolases', 199598),
(256072, '0052789', NULL, NULL, 384, NULL, 'Metallo-dependent hydrolases', 199598),
(256073, '0054568', NULL, NULL, 301, NULL, 'Metallo-dependent hydrolases', 199598),
(256074, '0047519', NULL, NULL, 281, NULL, 'Metallo-dependent hydrolases', 199598),
(256075, '0047517', NULL, NULL, 451, NULL, 'Metallo-dependent hydrolases', 199598),
(256076, '0039386', NULL, NULL, 260, NULL, 'Metallo-dependent hydrolases', 199598),
(256077, '0047434', NULL, NULL, 369, NULL, 'Metallo-dependent hydrolases', 199598),
(256078, '0045611', NULL, NULL, 391, NULL, 'Metallo-dependent hydrolases', 199598),
(256079, '0052675', NULL, NULL, 271, NULL, 'Metallo-dependent hydrolases', 199598),
(256080, '0053002', NULL, NULL, 331, NULL, 'Metallo-dependent hydrolases', 199598),
(256081, '0039934', NULL, NULL, 320, NULL, 'Metallo-dependent hydrolases', 199598);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(256082, '0036862', NULL, NULL, 390, NULL, 'Metallo-dependent hydrolases', 199598),
(256083, '0054658', NULL, NULL, 311, NULL, 'Metallo-dependent hydrolases', 199598),
(256084, '0037271', NULL, NULL, 330, NULL, 'Metallo-dependent hydrolases', 199598),
(256085, '0045709', NULL, NULL, 349, NULL, 'Metallo-dependent hydrolases', 199598),
(256086, '0047006', NULL, NULL, 325, NULL, 'Metallo-dependent hydrolases', 199598),
(256087, '0048612', NULL, NULL, 284, NULL, 'Metallo-dependent hydrolases', 199598),
(256088, '0047525', NULL, NULL, 343, NULL, 'Metallo-dependent hydrolases', 199598),
(256089, '0051353', NULL, NULL, 332, NULL, 'Metallo-dependent hydrolases', 199598),
(256090, '0054148', NULL, NULL, 308, NULL, 'Metallo-dependent hydrolases', 199598),
(256091, '0052488', NULL, NULL, 325, NULL, 'Metallo-dependent hydrolases', 199598),
(256092, '0052760', NULL, NULL, 334, NULL, 'Metallo-dependent hydrolases', 199598),
(256093, '0051670', NULL, NULL, 259, NULL, 'Metallo-dependent hydrolases', 199598),
(256094, '0052605', NULL, NULL, 306, NULL, 'Metallo-dependent hydrolases', 199598),
(256095, '0052968', NULL, NULL, 342, NULL, 'Metallo-dependent hydrolases', 199598),
(256096, '0054628', NULL, NULL, 310, NULL, 'Metallo-dependent hydrolases', 199598),
(256097, '0054826', NULL, NULL, 303, NULL, 'Metallo-dependent hydrolases', 199598),
(256098, '0054549', NULL, NULL, 301, NULL, 'Metallo-dependent hydrolases', 199598),
(256099, '0039842', NULL, NULL, 332, NULL, 'Metallo-dependent hydrolases', 199598),
(256100, '0051799', NULL, NULL, 357, NULL, 'Metallo-dependent hydrolases', 199598),
(256101, '0045950', NULL, NULL, 291, NULL, 'Metallo-dependent hydrolases', 199598),
(256102, '0053093', NULL, NULL, 267, NULL, 'Metallo-dependent hydrolases', 199598),
(256103, '0049957', NULL, NULL, 301, NULL, 'Metallo-dependent hydrolases', 199598),
(256104, '0037397', NULL, NULL, 300, NULL, 'Interferon-induced guanylate-binding protein 1 (GBP1), C-terminal domain', 199599),
(256105, '0047150', NULL, NULL, 57, NULL, 'LEM domain', 199600),
(256106, '0038494', NULL, NULL, 56, NULL, 'LEM domain', 199600),
(256107, '0047566', NULL, NULL, 53, NULL, 'LEM domain', 199600),
(256108, '0048462', NULL, NULL, 132, NULL, 'Hypothetical protein VC0424', 199601),
(256109, '0054854', NULL, NULL, 324, NULL, 'Tex N-terminal region-like', 199602),
(256110, '0038593', NULL, NULL, 126, NULL, 'Transcription factor NusA, N-terminal domain', 199603),
(256111, '0039834', NULL, NULL, 104, NULL, 'Transcription factor NusA, N-terminal domain', 199603),
(256112, '0053388', NULL, NULL, 49, NULL, 'Oligomerization domain of hepatitis delta antigen', 199604),
(256113, '0052575', NULL, NULL, 107, NULL, 'GatB/YqeY motif', 199605),
(256114, '0041377', NULL, NULL, 148, NULL, 'GatB/YqeY motif', 199605),
(256115, '0052390', NULL, NULL, 59, NULL, 'GatB/YqeY motif', 199605),
(256116, '0051612', NULL, NULL, 56, NULL, 'GatB/YqeY motif', 199605),
(256117, '0041440', NULL, NULL, 124, NULL, 'Pre-protein crosslinking domain of SecA', 199606),
(256118, '0040823', NULL, NULL, 122, NULL, 'Pre-protein crosslinking domain of SecA', 199606),
(256119, '0047482', NULL, NULL, 69, NULL, 'Translation proteins SH3-like domain', 199607),
(256120, '0052497', NULL, NULL, 73, NULL, 'Translation proteins SH3-like domain', 199607),
(256121, '0054784', NULL, NULL, 108, NULL, 'Translation proteins SH3-like domain', 199607),
(256122, '0049873', NULL, NULL, 63, NULL, 'Translation proteins SH3-like domain', 199607),
(256123, '0054596', NULL, NULL, 145, NULL, 'Translation proteins SH3-like domain', 199607),
(256124, '0054771', NULL, NULL, 145, NULL, 'Translation proteins SH3-like domain', 199607),
(256125, '0046771', NULL, NULL, 119, NULL, 'Translation proteins SH3-like domain', 199607),
(256126, '0054175', NULL, NULL, 147, NULL, 'Translation proteins SH3-like domain', 199607),
(256127, '0054186', NULL, NULL, 101, NULL, 'Translation proteins SH3-like domain', 199607),
(256128, '0046770', NULL, NULL, 95, NULL, 'Translation proteins SH3-like domain', 199607),
(256129, '0049199', NULL, NULL, 70, NULL, 'Translation proteins SH3-like domain', 199607);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(256130, '0052975', NULL, NULL, 99, NULL, 'Translation proteins SH3-like domain', 199607),
(256131, '0050864', NULL, NULL, 68, NULL, 'Translation proteins SH3-like domain', 199607),
(256132, '0054238', NULL, NULL, 96, NULL, 'Translation proteins SH3-like domain', 199607),
(256133, '0054789', NULL, NULL, 110, NULL, 'Translation proteins SH3-like domain', 199607),
(256134, '0052479', NULL, NULL, 62, NULL, 'Translation proteins SH3-like domain', 199607),
(256135, '0052974', NULL, NULL, 114, NULL, 'Translation proteins SH3-like domain', 199607),
(256136, '0041642', NULL, NULL, 58, NULL, 'Translation proteins SH3-like domain', 199607),
(256137, '0047804', NULL, NULL, 76, NULL, 'Translation proteins SH3-like domain', 199607),
(256138, '0054183', NULL, NULL, 138, NULL, 'Translation proteins SH3-like domain', 199607),
(256139, '0046768', NULL, NULL, 147, NULL, 'Translation proteins SH3-like domain', 199607),
(256140, '0040731', NULL, NULL, 58, NULL, 'Translation proteins SH3-like domain', 199607),
(256141, '0045975', NULL, NULL, 71, NULL, 'Translation proteins SH3-like domain', 199607),
(256142, '0044522', NULL, NULL, 153, NULL, 'BTV NS2-like ssRNA-binding domain', 199608),
(256143, '0050917', NULL, NULL, 228, NULL, 'DBL homology domain (DH-domain)', 199609),
(256144, '0041563', NULL, NULL, 184, NULL, 'DBL homology domain (DH-domain)', 199609),
(256145, '0035771', NULL, NULL, 209, NULL, 'DBL homology domain (DH-domain)', 199609),
(256146, '0044151', NULL, NULL, 234, NULL, 'DBL homology domain (DH-domain)', 199609),
(256147, '0053817', NULL, NULL, 203, NULL, 'DBL homology domain (DH-domain)', 199609),
(256148, '0037708', NULL, NULL, 206, NULL, 'DBL homology domain (DH-domain)', 199609),
(256149, '0036335', NULL, NULL, 207, NULL, 'DBL homology domain (DH-domain)', 199609),
(256150, '0040329', NULL, NULL, 195, NULL, 'DBL homology domain (DH-domain)', 199609),
(256151, '0047812', NULL, NULL, 210, NULL, 'DBL homology domain (DH-domain)', 199609),
(256152, '0037403', NULL, NULL, 208, NULL, 'DBL homology domain (DH-domain)', 199609),
(256153, '0044528', NULL, NULL, 76, NULL, 'Lissencephaly-1 protein (Lis-1, PAF-AH alpha) N-terminal domain', 199610),
(256154, '0048062', NULL, NULL, 110, NULL, 'Cell growth inhibitor/plasmid maintenance toxic component', 199611),
(256155, '0049849', NULL, NULL, 110, NULL, 'Cell growth inhibitor/plasmid maintenance toxic component', 199611),
(256156, '0048342', NULL, NULL, 116, NULL, 'Cell growth inhibitor/plasmid maintenance toxic component', 199611),
(256157, '0051725', NULL, NULL, 80, NULL, 'Cell growth inhibitor/plasmid maintenance toxic component', 199611),
(256158, '0053339', NULL, NULL, 101, NULL, 'Cell growth inhibitor/plasmid maintenance toxic component', 199611),
(256159, '0054365', NULL, NULL, 152, NULL, 'AF1862-like', 199612),
(256160, '0053751', NULL, NULL, 100, NULL, 'Bacteriocin immunity protein-like', 199613),
(256161, '0049598', NULL, NULL, 111, NULL, 'Bacteriocin immunity protein-like', 199613),
(256162, '0044157', NULL, NULL, 254, NULL, 'VPS9 domain', 199614),
(256163, '0052064', NULL, NULL, 84, NULL, 'Hermes dimerisation domain', 199615),
(256164, '0042733', NULL, NULL, 288, NULL, 'gp9', 199616),
(256165, '0043855', NULL, NULL, 115, NULL, 'Lesion bypass DNA polymerase (Y-family), little finger domain', 199617),
(256166, '0049570', NULL, NULL, 105, NULL, 'Lesion bypass DNA polymerase (Y-family), little finger domain', 199617),
(256167, '0049960', NULL, NULL, 111, NULL, 'Lesion bypass DNA polymerase (Y-family), little finger domain', 199617),
(256168, '0047594', NULL, NULL, 120, NULL, 'Lesion bypass DNA polymerase (Y-family), little finger domain', 199617),
(256169, '0039846', NULL, NULL, 105, NULL, 'Lesion bypass DNA polymerase (Y-family), little finger domain', 199617),
(256170, '0039801', NULL, NULL, 101, NULL, 'Lesion bypass DNA polymerase (Y-family), little finger domain', 199617),
(256171, '0052276', NULL, NULL, 291, NULL, 'Topoisomerase V catalytic domain-like', 199618),
(256172, '0039952', NULL, NULL, 175, NULL, 'N-terminal domain of bifunctional PutA protein', 199619);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(256173, '0035370', NULL, NULL, 296, NULL, 'Creatinase/aminopeptidase', 199620),
(256174, '0035818', NULL, NULL, 262, NULL, 'Creatinase/aminopeptidase', 199620),
(256175, '0045044', NULL, NULL, 219, NULL, 'Creatinase/aminopeptidase', 199620),
(256176, '0040193', NULL, NULL, 246, NULL, 'Creatinase/aminopeptidase', 199620),
(256177, '0042482', NULL, NULL, 221, NULL, 'Creatinase/aminopeptidase', 199620),
(256178, '0052072', NULL, NULL, 264, NULL, 'Creatinase/aminopeptidase', 199620),
(256179, '0041657', NULL, NULL, 249, NULL, 'Creatinase/aminopeptidase', 199620),
(256180, '0035987', NULL, NULL, 246, NULL, 'Creatinase/aminopeptidase', 199620),
(256181, '0043037', NULL, NULL, 249, NULL, 'Creatinase/aminopeptidase', 199620),
(256182, '0051583', NULL, NULL, 413, NULL, 'Thermophilic metalloprotease-like', 199621),
(256183, '0051854', NULL, NULL, 406, NULL, 'Thermophilic metalloprotease-like', 199621),
(256184, '0048783', NULL, NULL, 72, NULL, 'Putative DNA-binding domain', 199622),
(256185, '0044064', NULL, NULL, 76, NULL, 'Putative DNA-binding domain', 199622),
(256186, '0039468', NULL, NULL, 106, NULL, 'Putative DNA-binding domain', 199622),
(256187, '0037930', NULL, NULL, 69, NULL, 'Putative DNA-binding domain', 199622),
(256188, '0039432', NULL, NULL, 68, NULL, 'Putative DNA-binding domain', 199622),
(256189, '0036272', NULL, NULL, 75, NULL, 'Putative DNA-binding domain', 199622),
(256190, '0040420', NULL, NULL, 101, NULL, 'Putative DNA-binding domain', 199622),
(256191, '0042546', NULL, NULL, 127, NULL, 'Putative DNA-binding domain', 199622),
(256192, '0037244', NULL, NULL, 118, NULL, 'Putative DNA-binding domain', 199622),
(256193, '0042547', NULL, NULL, 94, NULL, 'Putative DNA-binding domain', 199622),
(256194, '0041317', NULL, NULL, 49, NULL, 'Putative DNA-binding domain', 199622),
(256195, '0042521', NULL, NULL, 78, NULL, 'Putative DNA-binding domain', 199622),
(256196, '0042522', NULL, NULL, 75, NULL, 'Putative DNA-binding domain', 199622),
(256197, '0043545', NULL, NULL, 106, NULL, 'Putative DNA-binding domain', 199622),
(256198, '0051637', NULL, NULL, 207, NULL, 'PriB N-terminal domain-like', 199623),
(256199, '0047042', NULL, NULL, 141, NULL, 'Type II 3-dehydroquinate dehydratase', 199624),
(256200, '0052430', NULL, NULL, 141, NULL, 'Type II 3-dehydroquinate dehydratase', 199624),
(256201, '0046245', NULL, NULL, 150, NULL, 'Type II 3-dehydroquinate dehydratase', 199624),
(256202, '0047501', NULL, NULL, 158, NULL, 'Type II 3-dehydroquinate dehydratase', 199624),
(256203, '0049974', NULL, NULL, 146, NULL, 'Type II 3-dehydroquinate dehydratase', 199624),
(256204, '0043134', NULL, NULL, 214, NULL, 'Superantigen MAM', 199625),
(256205, '0051362', NULL, NULL, 114, NULL, 'AF0941-like', 199626),
(256206, '0050296', NULL, NULL, 235, NULL, 'ComB-like', 199627),
(256207, '0049274', NULL, NULL, 67, NULL, 'RNA polymerase subunits', 199628),
(256208, '0047308', NULL, NULL, 46, NULL, 'RNA polymerase subunits', 199628),
(256209, '0052015', NULL, NULL, 63, NULL, 'Phage replication organizer domain', 199629),
(256210, '0050462', NULL, NULL, 64, NULL, 'FYVE/PHD zinc finger', 199630),
(256211, '0050473', NULL, NULL, 91, NULL, 'FYVE/PHD zinc finger', 199630),
(256212, '0050472', NULL, NULL, 71, NULL, 'FYVE/PHD zinc finger', 199630),
(256213, '0050475', NULL, NULL, 78, NULL, 'FYVE/PHD zinc finger', 199630),
(256214, '0050463', NULL, NULL, 72, NULL, 'FYVE/PHD zinc finger', 199630),
(256215, '0050474', NULL, NULL, 88, NULL, 'FYVE/PHD zinc finger', 199630),
(256216, '0050496', NULL, NULL, 88, NULL, 'FYVE/PHD zinc finger', 199630),
(256217, '0048189', NULL, NULL, 61, NULL, 'FYVE/PHD zinc finger', 199630),
(256218, '0050172', NULL, NULL, 67, NULL, 'FYVE/PHD zinc finger', 199630),
(256219, '0037409', NULL, NULL, 51, NULL, 'FYVE/PHD zinc finger', 199630),
(256220, '0037717', NULL, NULL, 70, NULL, 'FYVE/PHD zinc finger', 199630),
(256221, '0051161', NULL, NULL, 51, NULL, 'FYVE/PHD zinc finger', 199630),
(256222, '0050471', NULL, NULL, 85, NULL, 'FYVE/PHD zinc finger', 199630),
(256223, '0050470', NULL, NULL, 79, NULL, 'FYVE/PHD zinc finger', 199630);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(256224, '0050591', NULL, NULL, 89, NULL, 'FYVE/PHD zinc finger', 199630),
(256225, '0036632', NULL, NULL, 72, NULL, 'FYVE/PHD zinc finger', 199630),
(256226, '0054703', NULL, NULL, 74, NULL, 'FYVE/PHD zinc finger', 199630),
(256227, '0038788', NULL, NULL, 65, NULL, 'FYVE/PHD zinc finger', 199630),
(256228, '0048190', NULL, NULL, 61, NULL, 'FYVE/PHD zinc finger', 199630),
(256229, '0050468', NULL, NULL, 71, NULL, 'FYVE/PHD zinc finger', 199630),
(256230, '0050467', NULL, NULL, 76, NULL, 'FYVE/PHD zinc finger', 199630),
(256231, '0045116', NULL, NULL, 124, NULL, 'FYVE/PHD zinc finger', 199630),
(256232, '0053960', NULL, NULL, 146, NULL, 'FLJ32549 C-terminal domain-like', 199631),
(256233, '0051668', NULL, NULL, 123, NULL, 'Enzyme I of the PEP:sugar phosphotransferase system HPr-binding (sub)domain', 199632),
(256234, '0053973', NULL, NULL, 67, NULL, 'YvfG-like', 199633),
(256235, '0037739', NULL, NULL, 76, NULL, 'Skp1 dimerisation domain-like', 199634),
(256236, '0041350', NULL, NULL, 70, NULL, 'Skp1 dimerisation domain-like', 199634),
(256237, '0037754', NULL, NULL, 67, NULL, 'Skp1 dimerisation domain-like', 199634),
(256238, '0047382', NULL, NULL, 221, NULL, 'Ankyrin repeat', 199635),
(256239, '0051277', NULL, NULL, 130, NULL, 'Ankyrin repeat', 199635),
(256240, '0048640', NULL, NULL, 209, NULL, 'Ankyrin repeat', 199635),
(256241, '0049488', NULL, NULL, 301, NULL, 'Ankyrin repeat', 199635),
(256242, '0047365', NULL, NULL, 156, NULL, 'Ankyrin repeat', 199635),
(256243, '0049331', NULL, NULL, 291, NULL, 'Ankyrin repeat', 199635),
(256244, '0050455', NULL, NULL, 285, NULL, 'Ankyrin repeat', 199635),
(256245, '0053922', NULL, NULL, 277, NULL, 'Ankyrin repeat', 199635),
(256246, '0045933', NULL, NULL, 156, NULL, 'Ankyrin repeat', 199635),
(256247, '0041145', NULL, NULL, 118, NULL, 'Ankyrin repeat', 199635),
(256248, '0045715', NULL, NULL, 156, NULL, 'Ankyrin repeat', 199635),
(256249, '0035240', NULL, NULL, 153, NULL, 'Ankyrin repeat', 199635),
(256250, '0047720', NULL, NULL, 228, NULL, 'Ankyrin repeat', 199635),
(256251, '0048259', NULL, NULL, 408, NULL, 'Ankyrin repeat', 199635),
(256252, '0045980', NULL, NULL, 160, NULL, 'Ankyrin repeat', 199635),
(256253, '0046301', NULL, NULL, 154, NULL, 'Ankyrin repeat', 199635),
(256254, '0049962', NULL, NULL, 223, NULL, 'Ankyrin repeat', 199635),
(256255, '0047469', NULL, NULL, 229, NULL, 'Ankyrin repeat', 199635),
(256256, '0047744', NULL, NULL, 258, NULL, 'Ankyrin repeat', 199635),
(256257, '0048054', NULL, NULL, 111, NULL, 'RNase A-like', 199636),
(256258, '0035307', NULL, NULL, 123, NULL, 'RNase A-like', 199636),
(256259, '0036677', NULL, NULL, 133, NULL, 'RNase A-like', 199636),
(256260, '0035378', NULL, NULL, 124, NULL, 'RNase A-like', 199636),
(256261, '0034782', NULL, NULL, 124, NULL, 'RNase A-like', 199636),
(256262, '0040290', NULL, NULL, 107, NULL, 'RNase A-like', 199636),
(256263, '0036667', NULL, NULL, 124, NULL, 'RNase A-like', 199636),
(256264, '0035041', NULL, NULL, 125, NULL, 'RNase A-like', 199636),
(256265, '0043315', NULL, NULL, 120, NULL, 'RNase A-like', 199636),
(256266, '0038598', NULL, NULL, 135, NULL, 'RNase A-like', 199636),
(256267, '0041881', NULL, NULL, 105, NULL, 'RNase A-like', 199636),
(256268, '0036683', NULL, NULL, 126, NULL, 'RNase A-like', 199636),
(256269, '0038286', NULL, NULL, 123, NULL, 'RNase A-like', 199636),
(256270, '0041936', NULL, NULL, 104, NULL, 'RNase A-like', 199636),
(256271, '0043357', NULL, NULL, 124, NULL, 'RNase A-like', 199636),
(256272, '0040796', NULL, NULL, 106, NULL, 'RNase A-like', 199636),
(256273, '0049361', NULL, NULL, 31, NULL, 'Scorpion toxin-like', 199637),
(256274, '0048871', NULL, NULL, 31, NULL, 'Scorpion toxin-like', 199637),
(256275, '0048671', NULL, NULL, 44, NULL, 'Scorpion toxin-like', 199637),
(256276, '0048792', NULL, NULL, 31, NULL, 'Scorpion toxin-like', 199637),
(256277, '0049684', NULL, NULL, 35, NULL, 'Scorpion toxin-like', 199637),
(256278, '0050679', NULL, NULL, 34, NULL, 'Scorpion toxin-like', 199637),
(256279, '0052259', NULL, NULL, 37, NULL, 'Scorpion toxin-like', 199637);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(256280, '0038661', NULL, NULL, 37, NULL, 'Scorpion toxin-like', 199637),
(256281, '0047704', NULL, NULL, 68, NULL, 'Scorpion toxin-like', 199637),
(256282, '0043549', NULL, NULL, 38, NULL, 'Scorpion toxin-like', 199637),
(256283, '0041000', NULL, NULL, 36, NULL, 'Scorpion toxin-like', 199637),
(256284, '0035594', NULL, NULL, 50, NULL, 'Scorpion toxin-like', 199637),
(256285, '0045928', NULL, NULL, 74, NULL, 'Scorpion toxin-like', 199637),
(256286, '0047709', NULL, NULL, 66, NULL, 'Scorpion toxin-like', 199637),
(256287, '0040271', NULL, NULL, 66, NULL, 'Scorpion toxin-like', 199637),
(256288, '0045760', NULL, NULL, 29, NULL, 'Scorpion toxin-like', 199637),
(256289, '0047344', NULL, NULL, 40, NULL, 'Scorpion toxin-like', 199637),
(256290, '0045842', NULL, NULL, 51, NULL, 'Scorpion toxin-like', 199637),
(256291, '0048835', NULL, NULL, 31, NULL, 'Scorpion toxin-like', 199637),
(256292, '0049408', NULL, NULL, 35, NULL, 'Scorpion toxin-like', 199637),
(256293, '0047623', NULL, NULL, 23, NULL, 'Scorpion toxin-like', 199637),
(256294, '0046184', NULL, NULL, 66, NULL, 'Scorpion toxin-like', 199637),
(256295, '0048282', NULL, NULL, 47, NULL, 'Scorpion toxin-like', 199637),
(256296, '0049493', NULL, NULL, 39, NULL, 'Scorpion toxin-like', 199637),
(256297, '0046183', NULL, NULL, 31, NULL, 'Scorpion toxin-like', 199637),
(256298, '0041929', NULL, NULL, 64, NULL, 'Scorpion toxin-like', 199637),
(256299, '0046141', NULL, NULL, 36, NULL, 'Scorpion toxin-like', 199637),
(256300, '0043271', NULL, NULL, 31, NULL, 'Scorpion toxin-like', 199637),
(256301, '0049375', NULL, NULL, 64, NULL, 'Scorpion toxin-like', 199637),
(256302, '0038218', NULL, NULL, 47, NULL, 'Scorpion toxin-like', 199637),
(256303, '0036554', NULL, NULL, 64, NULL, 'Scorpion toxin-like', 199637),
(256304, '0041054', NULL, NULL, 47, NULL, 'Scorpion toxin-like', 199637),
(256305, '0047038', NULL, NULL, 47, NULL, 'Scorpion toxin-like', 199637),
(256306, '0049899', NULL, NULL, 50, NULL, 'Scorpion toxin-like', 199637),
(256307, '0045892', NULL, NULL, 61, NULL, 'Scorpion toxin-like', 199637),
(256308, '0047314', NULL, NULL, 60, NULL, 'Scorpion toxin-like', 199637),
(256309, '0043672', NULL, NULL, 64, NULL, 'Scorpion toxin-like', 199637),
(256310, '0049732', NULL, NULL, 34, NULL, 'Scorpion toxin-like', 199637),
(256311, '0045971', NULL, NULL, 37, NULL, 'Scorpion toxin-like', 199637),
(256312, '0043673', NULL, NULL, 64, NULL, 'Scorpion toxin-like', 199637),
(256313, '0045775', NULL, NULL, 38, NULL, 'Scorpion toxin-like', 199637),
(256314, '0046073', NULL, NULL, 35, NULL, 'Scorpion toxin-like', 199637),
(256315, '0048299', NULL, NULL, 38, NULL, 'Scorpion toxin-like', 199637),
(256316, '0048772', NULL, NULL, 32, NULL, 'Scorpion toxin-like', 199637),
(256317, '0051824', NULL, NULL, 65, NULL, 'Scorpion toxin-like', 199637),
(256318, '0050697', NULL, NULL, 41, NULL, 'Scorpion toxin-like', 199637),
(256319, '0050259', NULL, NULL, 65, NULL, 'Scorpion toxin-like', 199637),
(256320, '0050654', NULL, NULL, 29, NULL, 'Scorpion toxin-like', 199637),
(256321, '0036460', NULL, NULL, 64, NULL, 'Scorpion toxin-like', 199637),
(256322, '0041144', NULL, NULL, 44, NULL, 'Scorpion toxin-like', 199637),
(256323, '0035055', NULL, NULL, 64, NULL, 'Scorpion toxin-like', 199637),
(256324, '0048979', NULL, NULL, 38, NULL, 'Scorpion toxin-like', 199637),
(256325, '0047205', NULL, NULL, 39, NULL, 'Scorpion toxin-like', 199637),
(256326, '0048338', NULL, NULL, 42, NULL, 'Scorpion toxin-like', 199637),
(256327, '0035605', NULL, NULL, 37, NULL, 'Scorpion toxin-like', 199637),
(256328, '0047293', NULL, NULL, 44, NULL, 'Scorpion toxin-like', 199637),
(256329, '0050661', NULL, NULL, 41, NULL, 'Scorpion toxin-like', 199637),
(256330, '0048069', NULL, NULL, 37, NULL, 'Scorpion toxin-like', 199637),
(256331, '0048221', NULL, NULL, 39, NULL, 'Scorpion toxin-like', 199637),
(256332, '0052009', NULL, NULL, 37, NULL, 'Scorpion toxin-like', 199637),
(256333, '0046080', NULL, NULL, 40, NULL, 'Scorpion toxin-like', 199637),
(256334, '0046804', NULL, NULL, 39, NULL, 'Scorpion toxin-like', 199637);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(256335, '0045915', NULL, NULL, 37, NULL, 'Scorpion toxin-like', 199637),
(256336, '0037581', NULL, NULL, 67, NULL, 'Scorpion toxin-like', 199637),
(256337, '0045871', NULL, NULL, 64, NULL, 'Scorpion toxin-like', 199637),
(256338, '0047973', NULL, NULL, 36, NULL, 'Scorpion toxin-like', 199637),
(256339, '0048744', NULL, NULL, 67, NULL, 'Scorpion toxin-like', 199637),
(256340, '0049513', NULL, NULL, 72, NULL, 'Scorpion toxin-like', 199637),
(256341, '0048422', NULL, NULL, 63, NULL, 'Scorpion toxin-like', 199637),
(256342, '0046400', NULL, NULL, 28, NULL, 'Scorpion toxin-like', 199637),
(256343, '0053171', NULL, NULL, 38, NULL, 'Scorpion toxin-like', 199637),
(256344, '0047977', NULL, NULL, 37, NULL, 'Scorpion toxin-like', 199637),
(256345, '0046006', NULL, NULL, 54, NULL, 'Scorpion toxin-like', 199637),
(256346, '0047615', NULL, NULL, 46, NULL, 'Scorpion toxin-like', 199637),
(256347, '0044676', NULL, NULL, 113, NULL, 'BolA-like', 199638),
(256348, '0041621', NULL, NULL, 97, NULL, 'BolA-like', 199638),
(256349, '0054776', NULL, NULL, 90, NULL, 'Ribosomal protein L6', 199639),
(256350, '0053786', NULL, NULL, 87, NULL, 'Ribosomal protein L6', 199639),
(256351, '0054599', NULL, NULL, 95, NULL, 'Ribosomal protein L6', 199639),
(256352, '0054179', NULL, NULL, 71, NULL, 'Ribosomal protein L6', 199639),
(256353, '0054598', NULL, NULL, 81, NULL, 'Ribosomal protein L6', 199639),
(256354, '0043293', NULL, NULL, 75, NULL, 'Ribosomal protein L6', 199639),
(256355, '0043294', NULL, NULL, 89, NULL, 'Ribosomal protein L6', 199639),
(256356, '0037526', NULL, NULL, 79, NULL, 'Ribosomal protein L6', 199639),
(256357, '0037527', NULL, NULL, 93, NULL, 'Ribosomal protein L6', 199639),
(256358, '0054180', NULL, NULL, 89, NULL, 'Ribosomal protein L6', 199639),
(256359, '0054777', NULL, NULL, 78, NULL, 'Ribosomal protein L6', 199639),
(256360, '0053965', NULL, NULL, 130, NULL, 'RPA2825-like', 199640),
(256361, '0051098', NULL, NULL, 157, NULL, 'RalF, C-terminal domain', 199641),
(256362, '0049115', NULL, NULL, 372, NULL, 'tRNA-guanine transglycosylase', 199642),
(256363, '0047415', NULL, NULL, 355, NULL, 'tRNA-guanine transglycosylase', 199642),
(256364, '0036233', NULL, NULL, 83, NULL, 'eIF1-like', 199643),
(256365, '0045333', NULL, NULL, 126, NULL, 'eIF1-like', 199643),
(256366, '0049560', NULL, NULL, 304, NULL, 'BEACH domain', 199644),
(256367, '0040941', NULL, NULL, 305, NULL, 'BEACH domain', 199644),
(256368, '0052805', NULL, NULL, 123, NULL, 'Coronavirus NSP10-like', 199645),
(256369, '0043704', NULL, NULL, 360, NULL, 'Chorismate synthase, AroC', 199646),
(256370, '0043034', NULL, NULL, 388, NULL, 'Chorismate synthase, AroC', 199646),
(256371, '0042573', NULL, NULL, 397, NULL, 'Chorismate synthase, AroC', 199646),
(256372, '0044435', NULL, NULL, 365, NULL, 'Chorismate synthase, AroC', 199646),
(256373, '0043127', NULL, NULL, 371, NULL, 'Chorismate synthase, AroC', 199646),
(256374, '0041873', NULL, NULL, 223, NULL, 'Eukaryotic DNA topoisomerase I, N-terminal DNA-binding fragment', 199647),
(256375, '0039911', NULL, NULL, 230, NULL, 'Eukaryotic DNA topoisomerase I, N-terminal DNA-binding fragment', 199647),
(256376, '0038350', NULL, NULL, 114, NULL, 'Calcium-mediated lectin', 199648),
(256377, '0044487', NULL, NULL, 113, NULL, 'Calcium-mediated lectin', 199648),
(256378, '0054699', NULL, NULL, 134, NULL, 'Nitrite/Sulfite reductase N-terminal domain-like', 199649),
(256379, '0054875', NULL, NULL, 119, NULL, 'Nitrite/Sulfite reductase N-terminal domain-like', 199649),
(256380, '0045801', NULL, NULL, 80, NULL, 'Nitrite/Sulfite reductase N-terminal domain-like', 199649),
(256381, '0054696', NULL, NULL, 166, NULL, 'Nitrite/Sulfite reductase N-terminal domain-like', 199649),
(256382, '0054872', NULL, NULL, 166, NULL, 'Nitrite/Sulfite reductase N-terminal domain-like', 199649),
(256383, '0053670', NULL, NULL, 152, NULL, 'Nitrite/Sulfite reductase N-terminal domain-like', 199649),
(256384, '0053669', NULL, NULL, 80, NULL, 'Nitrite/Sulfite reductase N-terminal domain-like', 199649),
(256385, '0045800', NULL, NULL, 65, NULL, 'Nitrite/Sulfite reductase N-terminal domain-like', 199649);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(256386, '0053699', NULL, NULL, 85, NULL, 'Nitrite/Sulfite reductase N-terminal domain-like', 199649),
(256387, '0053700', NULL, NULL, 153, NULL, 'Nitrite/Sulfite reductase N-terminal domain-like', 199649),
(256388, '0036041', NULL, NULL, 138, NULL, 'Core binding factor beta, CBF', 199650),
(256389, '0045416', NULL, NULL, 45, NULL, 'Crambin-like', 199651),
(256390, '0041297', NULL, NULL, 46, NULL, 'Crambin-like', 199651),
(256391, '0050716', NULL, NULL, 45, NULL, 'Crambin-like', 199651),
(256392, '0039634', NULL, NULL, 46, NULL, 'Crambin-like', 199651),
(256393, '0037038', NULL, NULL, 46, NULL, 'Crambin-like', 199651),
(256394, '0035557', NULL, NULL, 45, NULL, 'Crambin-like', 199651),
(256395, '0036910', NULL, NULL, 46, NULL, 'Crambin-like', 199651),
(256396, '0039635', NULL, NULL, 46, NULL, 'Crambin-like', 199651),
(256397, '0041995', NULL, NULL, 46, NULL, 'Crambin-like', 199651),
(256398, '0037674', NULL, NULL, 365, NULL, 'Outer capsid protein sigma 3', 199652),
(256399, '0049819', NULL, NULL, 138, NULL, 'I/LWEQ domain', 199653),
(256400, '0049410', NULL, NULL, 125, NULL, 'I/LWEQ domain', 199653),
(256401, '0043066', NULL, NULL, 194, NULL, 'I/LWEQ domain', 199653),
(256402, '0037205', NULL, NULL, 58, NULL, 'Cell division protein MinE topological specificity domain', 199654),
(256403, '0053974', NULL, NULL, 77, NULL, 'HP0062-like', 199655),
(256404, '0048287', NULL, NULL, 38, NULL, 'Zinc finger domain of DNA polymerase-alpha', 199656),
(256405, '0051330', NULL, NULL, 129, NULL, 'Mediator hinge subcomplex-like', 199657),
(256406, '0051329', NULL, NULL, 95, NULL, 'Mediator hinge subcomplex-like', 199657),
(256407, '0037055', NULL, NULL, 210, NULL, 'beta-carbonic anhydrase, cab', 199658),
(256408, '0038893', NULL, NULL, 214, NULL, 'beta-carbonic anhydrase, cab', 199658),
(256409, '0036375', NULL, NULL, 239, NULL, 'beta-carbonic anhydrase, cab', 199658),
(256410, '0036374', NULL, NULL, 242, NULL, 'beta-carbonic anhydrase, cab', 199658),
(256411, '0037944', NULL, NULL, 169, NULL, 'beta-carbonic anhydrase, cab', 199658),
(256412, '0045317', NULL, NULL, 71, NULL, 'HIPIP (high potential iron protein)', 199659),
(256413, '0038630', NULL, NULL, 75, NULL, 'HIPIP (high potential iron protein)', 199659),
(256414, '0039185', NULL, NULL, 62, NULL, 'HIPIP (high potential iron protein)', 199659),
(256415, '0038665', NULL, NULL, 71, NULL, 'HIPIP (high potential iron protein)', 199659),
(256416, '0037269', NULL, NULL, 83, NULL, 'HIPIP (high potential iron protein)', 199659),
(256417, '0039732', NULL, NULL, 89, NULL, 'HIPIP (high potential iron protein)', 199659),
(256418, '0045525', NULL, NULL, 82, NULL, 'HIPIP (high potential iron protein)', 199659),
(256419, '0053411', NULL, NULL, 52, NULL, 'Tetrabrachion', 199660),
(256420, '0048284', NULL, NULL, 249, NULL, 'Triosephosphate isomerase (TIM)', 199661),
(256421, '0049592', NULL, NULL, 248, NULL, 'Triosephosphate isomerase (TIM)', 199661),
(256422, '0049680', NULL, NULL, 255, NULL, 'Triosephosphate isomerase (TIM)', 199661),
(256423, '0052045', NULL, NULL, 251, NULL, 'Triosephosphate isomerase (TIM)', 199661),
(256424, '0053375', NULL, NULL, 247, NULL, 'Triosephosphate isomerase (TIM)', 199661),
(256425, '0048198', NULL, NULL, 257, NULL, 'Triosephosphate isomerase (TIM)', 199661),
(256426, '0051284', NULL, NULL, 246, NULL, 'Triosephosphate isomerase (TIM)', 199661),
(256427, '0045908', NULL, NULL, 252, NULL, 'Triosephosphate isomerase (TIM)', 199661),
(256428, '0035234', NULL, NULL, 255, NULL, 'Triosephosphate isomerase (TIM)', 199661),
(256429, '0038583', NULL, NULL, 224, NULL, 'Triosephosphate isomerase (TIM)', 199661),
(256430, '0044928', NULL, NULL, 226, NULL, 'Triosephosphate isomerase (TIM)', 199661),
(256431, '0049668', NULL, NULL, 250, NULL, 'Triosephosphate isomerase (TIM)', 199661),
(256432, '0047237', NULL, NULL, 248, NULL, 'Triosephosphate isomerase (TIM)', 199661),
(256433, '0048109', NULL, NULL, 260, NULL, 'Triosephosphate isomerase (TIM)', 199661),
(256434, '0049669', NULL, NULL, 245, NULL, 'Triosephosphate isomerase (TIM)', 199661),
(256435, '0040000', NULL, NULL, 224, NULL, 'beta-Roll', 199662);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(256436, '0043539', NULL, NULL, 225, NULL, 'beta-Roll', 199662),
(256437, '0038009', NULL, NULL, 219, NULL, 'beta-Roll', 199662),
(256438, '0039942', NULL, NULL, 221, NULL, 'beta-Roll', 199662),
(256439, '0054006', NULL, NULL, 56, NULL, 'Ribosomal protein L30p/L7e', 199663),
(256440, '0054794', NULL, NULL, 55, NULL, 'Ribosomal protein L30p/L7e', 199663),
(256441, '0035770', NULL, NULL, 60, NULL, 'Ribosomal protein L30p/L7e', 199663),
(256442, '0037548', NULL, NULL, 154, NULL, 'Ribosomal protein L30p/L7e', 199663),
(256443, '0049681', NULL, NULL, 105, NULL, 'TrpR-like', 199664),
(256444, '0047496', NULL, NULL, 94, NULL, 'TrpR-like', 199664),
(256445, '0054350', NULL, NULL, 93, NULL, 'TrpR-like', 199664),
(256446, '0047944', NULL, NULL, 110, NULL, 'TrpR-like', 199664),
(256447, '0052081', NULL, NULL, 174, NULL, 'RibA-like', 199665),
(256448, '0041015', NULL, NULL, 85, NULL, 'SRF-like', 199666),
(256449, '0041235', NULL, NULL, 93, NULL, 'SRF-like', 199666),
(256450, '0043734', NULL, NULL, 84, NULL, 'SRF-like', 199666),
(256451, '0036996', NULL, NULL, 71, NULL, 'SRF-like', 199666),
(256452, '0054215', NULL, NULL, 111, NULL, 'beta-Galactosidase/glucuronidase domain', 199667),
(256453, '0051366', NULL, NULL, 112, NULL, 'beta-Galactosidase/glucuronidase domain', 199667),
(256454, '0046375', NULL, NULL, 105, NULL, 'beta-Galactosidase/glucuronidase domain', 199667),
(256455, '0046374', NULL, NULL, 114, NULL, 'beta-Galactosidase/glucuronidase domain', 199667),
(256456, '0054738', NULL, NULL, 103, NULL, 'beta-Galactosidase/glucuronidase domain', 199667),
(256457, '0054737', NULL, NULL, 122, NULL, 'beta-Galactosidase/glucuronidase domain', 199667),
(256458, '0045963', NULL, NULL, 103, NULL, 'beta-Galactosidase/glucuronidase domain', 199667),
(256459, '0054736', NULL, NULL, 110, NULL, 'beta-Galactosidase/glucuronidase domain', 199667),
(256460, '0051367', NULL, NULL, 93, NULL, 'beta-Galactosidase/glucuronidase domain', 199667),
(256461, '0054216', NULL, NULL, 81, NULL, 'beta-Galactosidase/glucuronidase domain', 199667),
(256462, '0054217', NULL, NULL, 105, NULL, 'beta-Galactosidase/glucuronidase domain', 199667),
(256463, '0041788', NULL, NULL, 43, NULL, 'Mitochondrial cytochrome c oxidase subunit VIIIb (aka IX)', 199668),
(256464, '0044628', NULL, NULL, 126, NULL, 'KA1-like', 199669),
(256465, '0054704', NULL, NULL, 153, NULL, 'KA1-like', 199669),
(256466, '0044422', NULL, NULL, 102, NULL, 'KA1-like', 199669),
(256467, '0054613', NULL, NULL, 171, NULL, 'KA1-like', 199669),
(256468, '0054624', NULL, NULL, 127, NULL, 'KA1-like', 199669),
(256469, '0042258', NULL, NULL, 205, NULL, 'Osmotin, thaumatin-like protein', 199670),
(256470, '0035208', NULL, NULL, 208, NULL, 'Osmotin, thaumatin-like protein', 199670),
(256471, '0049235', NULL, NULL, 207, NULL, 'Osmotin, thaumatin-like protein', 199670),
(256472, '0036603', NULL, NULL, 206, NULL, 'Osmotin, thaumatin-like protein', 199670),
(256473, '0044655', NULL, NULL, 257, NULL, 'Creatininase', 199671),
(256474, '0040645', NULL, NULL, 174, NULL, 'Lipovitellin-phosvitin complex; beta-sheet shell regions', 199672),
(256475, '0040644', NULL, NULL, 452, NULL, 'Lipovitellin-phosvitin complex; beta-sheet shell regions', 199672),
(256476, '0040643', NULL, NULL, 268, NULL, 'Lipovitellin-phosvitin complex; beta-sheet shell regions', 199672),
(256477, '0041462', NULL, NULL, 247, NULL, 'NIF3 (NGG1p interacting factor 3)-like', 199673),
(256478, '0052808', NULL, NULL, 265, NULL, 'NIF3 (NGG1p interacting factor 3)-like', 199673),
(256479, '0052969', NULL, NULL, 370, NULL, 'NIF3 (NGG1p interacting factor 3)-like', 199673),
(256480, '0052794', NULL, NULL, 92, NULL, 'Sm-like ribonucleoproteins', 199674),
(256481, '0047980', NULL, NULL, 75, NULL, 'Sm-like ribonucleoproteins', 199674),
(256482, '0053242', NULL, NULL, 67, NULL, 'Sm-like ribonucleoproteins', 199674),
(256483, '0054255', NULL, NULL, 52, NULL, 'Sm-like ribonucleoproteins', 199674),
(256484, '0038922', NULL, NULL, 71, NULL, 'Sm-like ribonucleoproteins', 199674),
(256485, '0052637', NULL, NULL, 80, NULL, 'Sm-like ribonucleoproteins', 199674);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(256486, '0045867', NULL, NULL, 93, NULL, 'Sm-like ribonucleoproteins', 199674),
(256487, '0047126', NULL, NULL, 71, NULL, 'Sm-like ribonucleoproteins', 199674),
(256488, '0040799', NULL, NULL, 127, NULL, 'Sm-like ribonucleoproteins', 199674),
(256489, '0049628', NULL, NULL, 76, NULL, 'Sm-like ribonucleoproteins', 199674),
(256490, '0049770', NULL, NULL, 66, NULL, 'Sm-like ribonucleoproteins', 199674),
(256491, '0047193', NULL, NULL, 65, NULL, 'Sm-like ribonucleoproteins', 199674),
(256492, '0051278', NULL, NULL, 66, NULL, 'Sm-like ribonucleoproteins', 199674),
(256493, '0054664', NULL, NULL, 52, NULL, 'Sm-like ribonucleoproteins', 199674),
(256494, '0054224', NULL, NULL, 50, NULL, 'Sm-like ribonucleoproteins', 199674),
(256495, '0046263', NULL, NULL, 90, NULL, 'Sm-like ribonucleoproteins', 199674),
(256496, '0046262', NULL, NULL, 72, NULL, 'Sm-like ribonucleoproteins', 199674),
(256497, '0047299', NULL, NULL, 72, NULL, 'Sm-like ribonucleoproteins', 199674),
(256498, '0054661', NULL, NULL, 53, NULL, 'Sm-like ribonucleoproteins', 199674),
(256499, '0054824', NULL, NULL, 53, NULL, 'Sm-like ribonucleoproteins', 199674),
(256500, '0054668', NULL, NULL, 52, NULL, 'Sm-like ribonucleoproteins', 199674),
(256501, '0035325', NULL, NULL, 80, NULL, 'Sm-like ribonucleoproteins', 199674),
(256502, '0047853', NULL, NULL, 60, NULL, 'Sm-like ribonucleoproteins', 199674),
(256503, '0048307', NULL, NULL, 74, NULL, 'Sm-like ribonucleoproteins', 199674),
(256504, '0047557', NULL, NULL, 78, NULL, 'Sm-like ribonucleoproteins', 199674),
(256505, '0039967', NULL, NULL, 164, NULL, 'Arp2/3 complex subunits', 199675),
(256506, '0039969', NULL, NULL, 167, NULL, 'Arp2/3 complex subunits', 199675),
(256507, '0039966', NULL, NULL, 120, NULL, 'Arp2/3 complex subunits', 199675),
(256508, '0052531', NULL, NULL, 93, NULL, 'CcmK-like', 199676),
(256509, '0051681', NULL, NULL, 101, NULL, 'CcmK-like', 199676),
(256510, '0051677', NULL, NULL, 104, NULL, 'CcmK-like', 199676),
(256511, '0042228', NULL, NULL, 35, NULL, 'Notch domain', 199677),
(256512, '0045384', NULL, NULL, 136, NULL, 'Regulatory factor Nef', 199678),
(256513, '0036963', NULL, NULL, 133, NULL, 'Regulatory factor Nef', 199678),
(256514, '0054631', NULL, NULL, 169, NULL, 'BB2672-like', 199679),
(256515, '0054849', NULL, NULL, 191, NULL, 'BB2672-like', 199679),
(256516, '0047850', NULL, NULL, 79, NULL, 'Killer toxin KP6 alpha-subunit', 199680),
(256517, '0048130', NULL, NULL, 35, NULL, 'omega toxin-like', 199681),
(256518, '0046591', NULL, NULL, 30, NULL, 'omega toxin-like', 199681),
(256519, '0046153', NULL, NULL, 44, NULL, 'omega toxin-like', 199681),
(256520, '0047782', NULL, NULL, 27, NULL, 'omega toxin-like', 199681),
(256521, '0048376', NULL, NULL, 35, NULL, 'omega toxin-like', 199681),
(256522, '0047288', NULL, NULL, 37, NULL, 'omega toxin-like', 199681),
(256523, '0051186', NULL, NULL, 28, NULL, 'omega toxin-like', 199681),
(256524, '0046352', NULL, NULL, 37, NULL, 'omega toxin-like', 199681),
(256525, '0048034', NULL, NULL, 34, NULL, 'omega toxin-like', 199681),
(256526, '0050311', NULL, NULL, 42, NULL, 'omega toxin-like', 199681),
(256527, '0037891', NULL, NULL, 32, NULL, 'omega toxin-like', 199681),
(256528, '0047849', NULL, NULL, 36, NULL, 'omega toxin-like', 199681),
(256529, '0048039', NULL, NULL, 31, NULL, 'omega toxin-like', 199681),
(256530, '0048710', NULL, NULL, 37, NULL, 'omega toxin-like', 199681),
(256531, '0046695', NULL, NULL, 26, NULL, 'omega toxin-like', 199681),
(256532, '0047468', NULL, NULL, 27, NULL, 'omega toxin-like', 199681),
(256533, '0049689', NULL, NULL, 25, NULL, 'omega toxin-like', 199681),
(256534, '0046951', NULL, NULL, 45, NULL, 'omega toxin-like', 199681),
(256535, '0047245', NULL, NULL, 25, NULL, 'omega toxin-like', 199681),
(256536, '0047289', NULL, NULL, 34, NULL, 'omega toxin-like', 199681),
(256537, '0047685', NULL, NULL, 37, NULL, 'omega toxin-like', 199681),
(256538, '0048599', NULL, NULL, 27, NULL, 'omega toxin-like', 199681),
(256539, '0048973', NULL, NULL, 32, NULL, 'omega toxin-like', 199681),
(256540, '0046655', NULL, NULL, 30, NULL, 'omega toxin-like', 199681);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(256541, '0041106', NULL, NULL, 26, NULL, 'omega toxin-like', 199681),
(256542, '0048932', NULL, NULL, 42, NULL, 'omega toxin-like', 199681),
(256543, '0046086', NULL, NULL, 33, NULL, 'omega toxin-like', 199681),
(256544, '0047351', NULL, NULL, 33, NULL, 'omega toxin-like', 199681),
(256545, '0048000', NULL, NULL, 35, NULL, 'omega toxin-like', 199681),
(256546, '0050987', NULL, NULL, 47, NULL, 'omega toxin-like', 199681),
(256547, '0045837', NULL, NULL, 37, NULL, 'omega toxin-like', 199681),
(256548, '0047859', NULL, NULL, 38, NULL, 'omega toxin-like', 199681),
(256549, '0042823', NULL, NULL, 33, NULL, 'omega toxin-like', 199681),
(256550, '0045772', NULL, NULL, 34, NULL, 'omega toxin-like', 199681),
(256551, '0046861', NULL, NULL, 27, NULL, 'omega toxin-like', 199681),
(256552, '0041418', NULL, NULL, 33, NULL, 'omega toxin-like', 199681),
(256553, '0045774', NULL, NULL, 48, NULL, 'omega toxin-like', 199681),
(256554, '0046885', NULL, NULL, 25, NULL, 'omega toxin-like', 199681),
(256555, '0049215', NULL, NULL, 31, NULL, 'omega toxin-like', 199681),
(256556, '0050082', NULL, NULL, 29, NULL, 'omega toxin-like', 199681),
(256557, '0047950', NULL, NULL, 34, NULL, 'omega toxin-like', 199681),
(256558, '0046249', NULL, NULL, 35, NULL, 'omega toxin-like', 199681),
(256559, '0047999', NULL, NULL, 40, NULL, 'omega toxin-like', 199681),
(256560, '0036070', NULL, NULL, 26, NULL, 'omega toxin-like', 199681),
(256561, '0046567', NULL, NULL, 36, NULL, 'omega toxin-like', 199681),
(256562, '0048528', NULL, NULL, 48, NULL, 'omega toxin-like', 199681),
(256563, '0054609', NULL, NULL, 126, NULL, 'Dom34/Pelota N-terminal domain-like', 199682),
(256564, '0054715', NULL, NULL, 135, NULL, 'Dom34/Pelota N-terminal domain-like', 199682),
(256565, '0036847', NULL, NULL, 85, NULL, 'PAH2 domain', 199683),
(256566, '0037889', NULL, NULL, 89, NULL, 'PAH2 domain', 199683),
(256567, '0050276', NULL, NULL, 260, NULL, 'TM1631-like', 199684),
(256568, '0050279', NULL, NULL, 269, NULL, 'TM1631-like', 199684),
(256569, '0042631', NULL, NULL, 145, NULL, 'Invasion protein A (SipA) , C-terminal actin binding domain', 199685),
(256570, '0045179', NULL, NULL, 40, NULL, 'Amb V allergen', 199686),
(256571, '0052842', NULL, NULL, 305, NULL, 'CAC2185-like', 199687),
(256572, '0053475', NULL, NULL, 110, NULL, 'Rotavirus nonstructural proteins', 199688),
(256573, '0053419', NULL, NULL, 43, NULL, 'Rotavirus nonstructural proteins', 199688),
(256574, '0038696', NULL, NULL, 208, NULL, 'Leukotriene A4 hydrolase N-terminal domain', 199689),
(256575, '0054005', NULL, NULL, 84, NULL, 'Ribosomal L27 protein-like', 199690),
(256576, '0044669', NULL, NULL, 66, NULL, 'Ribosomal L27 protein-like', 199690),
(256577, '0054213', NULL, NULL, 59, NULL, 'Ribosomal L27 protein-like', 199690),
(256578, '0054277', NULL, NULL, 91, NULL, 'Ribosomal L27 protein-like', 199690),
(256579, '0054791', NULL, NULL, 84, NULL, 'Ribosomal L27 protein-like', 199690),
(256580, '0054283', NULL, NULL, 55, NULL, 'Ribosomal L27 protein-like', 199690),
(256581, '0053735', NULL, NULL, 51, NULL, 'Ribosomal L27 protein-like', 199690),
(256582, '0054280', NULL, NULL, 48, NULL, 'Ribosomal L27 protein-like', 199690),
(256583, '0046490', NULL, NULL, 268, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256584, '0054456', NULL, NULL, 98, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256585, '0047282', NULL, NULL, 217, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256586, '0054353', NULL, NULL, 87, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256587, '0046672', NULL, NULL, 265, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256588, '0054450', NULL, NULL, 85, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256589, '0054639', NULL, NULL, 84, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256590, '0054318', NULL, NULL, 78, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256591, '0050017', NULL, NULL, 198, NULL, 'FAD-binding/transporter-associated domain-like', 199691);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(256592, '0054932', NULL, NULL, 87, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256593, '0054678', NULL, NULL, 84, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256594, '0041229', NULL, NULL, 177, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256595, '0043862', NULL, NULL, 176, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256596, '0049208', NULL, NULL, 216, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256597, '0044931', NULL, NULL, 206, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256598, '0046342', NULL, NULL, 236, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256599, '0047231', NULL, NULL, 194, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256600, '0054286', NULL, NULL, 87, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256601, '0037703', NULL, NULL, 223, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256602, '0039727', NULL, NULL, 167, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256603, '0037565', NULL, NULL, 177, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256604, '0054328', NULL, NULL, 76, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256605, '0054525', NULL, NULL, 84, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256606, '0054524', NULL, NULL, 84, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256607, '0054460', NULL, NULL, 82, NULL, 'FAD-binding/transporter-associated domain-like', 199691),
(256608, '0039262', NULL, NULL, 179, NULL, 'Sporulation response regulatory protein Spo0B', 199692),
(256609, '0054839', NULL, NULL, 196, NULL, 'CdCA1 repeat-like', 199693),
(256610, '0054838', NULL, NULL, 209, NULL, 'CdCA1 repeat-like', 199693),
(256611, '0054013', NULL, NULL, 144, NULL, 'NEAT domain-like', 199694),
(256612, '0054156', NULL, NULL, 121, NULL, 'NEAT domain-like', 199694),
(256613, '0054338', NULL, NULL, 122, NULL, 'NEAT domain-like', 199694),
(256614, '0051018', NULL, NULL, 232, NULL, 'RNA-binding protein She2p', 199695),
(256615, '0043365', NULL, NULL, 66, NULL, 'Glycogen synthesis protein GlgS', 199696),
(256616, '0048043', NULL, NULL, 106, NULL, 't-snare proteins', 199697),
(256617, '0043526', NULL, NULL, 121, NULL, 't-snare proteins', 199697),
(256618, '0046792', NULL, NULL, 196, NULL, 't-snare proteins', 199697),
(256619, '0050140', NULL, NULL, 89, NULL, 't-snare proteins', 199697),
(256620, '0036510', NULL, NULL, 222, NULL, 't-snare proteins', 199697),
(256621, '0038698', NULL, NULL, 97, NULL, 't-snare proteins', 199697),
(256622, '0053389', NULL, NULL, 32, NULL, 'Leucine zipper domain', 199698),
(256623, '0053422', NULL, NULL, 32, NULL, 'Leucine zipper domain', 199698),
(256624, '0053444', NULL, NULL, 31, NULL, 'Leucine zipper domain', 199698),
(256625, '0053423', NULL, NULL, 64, NULL, 'Leucine zipper domain', 199698),
(256626, '0053564', NULL, NULL, 32, NULL, 'Leucine zipper domain', 199698),
(256627, '0053462', NULL, NULL, 35, NULL, 'Leucine zipper domain', 199698),
(256628, '0053463', NULL, NULL, 35, NULL, 'Leucine zipper domain', 199698),
(256629, '0054870', NULL, NULL, 32, NULL, 'Leucine zipper domain', 199698),
(256630, '0053461', NULL, NULL, 35, NULL, 'Leucine zipper domain', 199698),
(256631, '0053527', NULL, NULL, 33, NULL, 'Leucine zipper domain', 199698),
(256632, '0053528', NULL, NULL, 32, NULL, 'Leucine zipper domain', 199698),
(256633, '0054638', NULL, NULL, 25, NULL, 'Leucine zipper domain', 199698),
(256634, '0053602', NULL, NULL, 33, NULL, 'Leucine zipper domain', 199698),
(256635, '0053526', NULL, NULL, 32, NULL, 'Leucine zipper domain', 199698),
(256636, '0053548', NULL, NULL, 34, NULL, 'Leucine zipper domain', 199698),
(256637, '0053523', NULL, NULL, 32, NULL, 'Leucine zipper domain', 199698),
(256638, '0053545', NULL, NULL, 57, NULL, 'Leucine zipper domain', 199698),
(256639, '0053403', NULL, NULL, 55, NULL, 'Leucine zipper domain', 199698),
(256640, '0053434', NULL, NULL, 71, NULL, 'Leucine zipper domain', 199698);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(256641, '0053533', NULL, NULL, 33, NULL, 'Leucine zipper domain', 199698),
(256642, '0053398', NULL, NULL, 34, NULL, 'Leucine zipper domain', 199698),
(256643, '0053552', NULL, NULL, 29, NULL, 'Leucine zipper domain', 199698),
(256644, '0053399', NULL, NULL, 56, NULL, 'Leucine zipper domain', 199698),
(256645, '0053696', NULL, NULL, 33, NULL, 'Leucine zipper domain', 199698),
(256646, '0053495', NULL, NULL, 46, NULL, 'Leucine zipper domain', 199698),
(256647, '0053572', NULL, NULL, 31, NULL, 'Leucine zipper domain', 199698),
(256648, '0053397', NULL, NULL, 35, NULL, 'Leucine zipper domain', 199698),
(256649, '0053551', NULL, NULL, 31, NULL, 'Leucine zipper domain', 199698),
(256650, '0053570', NULL, NULL, 33, NULL, 'Leucine zipper domain', 199698),
(256651, '0054340', NULL, NULL, 32, NULL, 'Leucine zipper domain', 199698),
(256652, '0053518', NULL, NULL, 61, NULL, 'Leucine zipper domain', 199698),
(256653, '0053517', NULL, NULL, 62, NULL, 'Leucine zipper domain', 199698),
(256654, '0054869', NULL, NULL, 32, NULL, 'Leucine zipper domain', 199698),
(256655, '0053415', NULL, NULL, 60, NULL, 'Leucine zipper domain', 199698),
(256656, '0054868', NULL, NULL, 32, NULL, 'Leucine zipper domain', 199698),
(256657, '0054867', NULL, NULL, 32, NULL, 'Leucine zipper domain', 199698),
(256658, '0053457', NULL, NULL, 43, NULL, 'Leucine zipper domain', 199698),
(256659, '0053534', NULL, NULL, 34, NULL, 'Leucine zipper domain', 199698),
(256660, '0053556', NULL, NULL, 30, NULL, 'Leucine zipper domain', 199698),
(256661, '0053436', NULL, NULL, 57, NULL, 'Leucine zipper domain', 199698),
(256662, '0053557', NULL, NULL, 62, NULL, 'Leucine zipper domain', 199698),
(256663, '0053390', NULL, NULL, 32, NULL, 'Leucine zipper domain', 199698),
(256664, '0053490', NULL, NULL, 60, NULL, 'Leucine zipper domain', 199698),
(256665, '0046094', NULL, NULL, 171, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256666, '0048790', NULL, NULL, 124, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256667, '0050275', NULL, NULL, 155, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256668, '0046093', NULL, NULL, 114, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256669, '0044191', NULL, NULL, 145, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256670, '0049564', NULL, NULL, 143, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256671, '0052099', NULL, NULL, 149, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256672, '0054352', NULL, NULL, 143, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256673, '0053021', NULL, NULL, 156, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256674, '0052337', NULL, NULL, 138, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256675, '0051839', NULL, NULL, 142, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256676, '0049325', NULL, NULL, 129, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256677, '0047466', NULL, NULL, 130, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256678, '0048478', NULL, NULL, 137, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256679, '0046019', NULL, NULL, 139, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256680, '0051892', NULL, NULL, 154, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256681, '0052780', NULL, NULL, 118, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256682, '0051494', NULL, NULL, 132, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256683, '0051977', NULL, NULL, 152, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256684, '0051338', NULL, NULL, 142, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256685, '0051976', NULL, NULL, 178, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256686, '0048889', NULL, NULL, 142, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256687, '0048175', NULL, NULL, 171, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699);
INSERT INTO "PUBLIC"."MODEL" VALUES
(256688, '0054377', NULL, NULL, 131, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256689, '0049345', NULL, NULL, 126, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256690, '0052351', NULL, NULL, 132, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256691, '0053001', NULL, NULL, 142, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256692, '0052350', NULL, NULL, 127, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256693, '0052592', NULL, NULL, 111, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256694, '0052559', NULL, NULL, 136, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256695, '0050179', NULL, NULL, 138, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256696, '0051502', NULL, NULL, 146, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256697, '0052511', NULL, NULL, 149, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256698, '0052512', NULL, NULL, 98, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256699, '0042635', NULL, NULL, 151, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256700, '0041428', NULL, NULL, 133, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256701, '0049589', NULL, NULL, 104, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256702, '0049346', NULL, NULL, 154, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256703, '0048813', NULL, NULL, 131, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256704, '0049396', NULL, NULL, 153, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256705, '0053213', NULL, NULL, 159, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256706, '0052881', NULL, NULL, 134, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256707, '0054422', NULL, NULL, 203, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256708, '0051233', NULL, NULL, 164, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256709, '0051794', NULL, NULL, 130, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256710, '0047497', NULL, NULL, 116, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256711, '0051590', NULL, NULL, 126, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256712, '0052966', NULL, NULL, 116, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256713, '0052965', NULL, NULL, 135, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256714, '0054426', NULL, NULL, 109, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256715, '0051358', NULL, NULL, 145, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256716, '0054425', NULL, NULL, 147, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256717, '0053052', NULL, NULL, 144, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256718, '0054580', NULL, NULL, 130, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256719, '0050180', NULL, NULL, 138, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256720, '0047414', NULL, NULL, 132, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256721, '0048789', NULL, NULL, 148, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', 199699),
(256722, '0052385', NULL, NULL, 119, NULL, 'PUG domain-like', 199700),
(256723, '0040325', NULL, NULL, 123, NULL, 'Siroheme synthase middle domains-like', 199701),
(256724, '0042344', NULL, NULL, 102, NULL, 'Siroheme synthase middle domains-like', 199701),
(256725, '0041783', NULL, NULL, 84, NULL, 'Mitochondrial cytochrome c oxidase subunit VIa', 199702),
(256726, '0054262', NULL, NULL, 62, NULL, 'YqgQ-like', 199703),
(256727, '0035906', NULL, NULL, 487, NULL, 'HydB/Nqo4-like', 199704),
(256728, '0045288', NULL, NULL, 530, NULL, 'HydB/Nqo4-like', 199704),
(256729, '0037746', NULL, NULL, 543, NULL, 'HydB/Nqo4-like', 199704),
(256730, '0038381', NULL, NULL, 534, NULL, 'HydB/Nqo4-like', 199704);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(256731, '0036736', NULL, NULL, 537, NULL, 'HydB/Nqo4-like', 199704),
(256732, '0052775', NULL, NULL, 375, NULL, 'HydB/Nqo4-like', 199704),
(256733, '0041705', NULL, NULL, 87, NULL, 'Surface presentation of antigens (SPOA)', 199705),
(256734, '0041753', NULL, NULL, 71, NULL, 'Surface presentation of antigens (SPOA)', 199705),
(256735, '0043330', NULL, NULL, 87, NULL, 'Anti-sigma factor FlgM', 199706),
(256736, '0054314', NULL, NULL, 146, NULL, 'Galactose-binding domain-like', 199707),
(256737, '0038309', NULL, NULL, 153, NULL, 'Galactose-binding domain-like', 199707),
(256738, '0051368', NULL, NULL, 216, NULL, 'Galactose-binding domain-like', 199707),
(256739, '0052854', NULL, NULL, 108, NULL, 'Galactose-binding domain-like', 199707),
(256740, '0047060', NULL, NULL, 155, NULL, 'Galactose-binding domain-like', 199707),
(256741, '0039559', NULL, NULL, 150, NULL, 'Galactose-binding domain-like', 199707),
(256742, '0053743', NULL, NULL, 180, NULL, 'Galactose-binding domain-like', 199707),
(256743, '0042013', NULL, NULL, 139, NULL, 'Galactose-binding domain-like', 199707),
(256744, '0036483', NULL, NULL, 145, NULL, 'Galactose-binding domain-like', 199707),
(256745, '0041041', NULL, NULL, 233, NULL, 'Galactose-binding domain-like', 199707),
(256746, '0038180', NULL, NULL, 153, NULL, 'Galactose-binding domain-like', 199707),
(256747, '0048711', NULL, NULL, 136, NULL, 'Galactose-binding domain-like', 199707),
(256748, '0047740', NULL, NULL, 162, NULL, 'Galactose-binding domain-like', 199707),
(256749, '0048554', NULL, NULL, 171, NULL, 'Galactose-binding domain-like', 199707),
(256750, '0041602', NULL, NULL, 232, NULL, 'Galactose-binding domain-like', 199707),
(256751, '0041689', NULL, NULL, 188, NULL, 'Galactose-binding domain-like', 199707),
(256752, '0045964', NULL, NULL, 204, NULL, 'Galactose-binding domain-like', 199707),
(256753, '0047745', NULL, NULL, 168, NULL, 'Galactose-binding domain-like', 199707),
(256754, '0047789', NULL, NULL, 155, NULL, 'Galactose-binding domain-like', 199707),
(256755, '0054721', NULL, NULL, 171, NULL, 'Galactose-binding domain-like', 199707),
(256756, '0054720', NULL, NULL, 145, NULL, 'Galactose-binding domain-like', 199707),
(256757, '0045051', NULL, NULL, 151, NULL, 'Galactose-binding domain-like', 199707),
(256758, '0051052', NULL, NULL, 161, NULL, 'Galactose-binding domain-like', 199707),
(256759, '0053078', NULL, NULL, 180, NULL, 'Galactose-binding domain-like', 199707),
(256760, '0039546', NULL, NULL, 161, NULL, 'Galactose-binding domain-like', 199707),
(256761, '0050642', NULL, NULL, 151, NULL, 'Galactose-binding domain-like', 199707),
(256762, '0050401', NULL, NULL, 142, NULL, 'Galactose-binding domain-like', 199707),
(256763, '0041575', NULL, NULL, 176, NULL, 'Galactose-binding domain-like', 199707),
(256764, '0043558', NULL, NULL, 162, NULL, 'Galactose-binding domain-like', 199707),
(256765, '0043559', NULL, NULL, 158, NULL, 'Galactose-binding domain-like', 199707),
(256766, '0049619', NULL, NULL, 182, NULL, 'Galactose-binding domain-like', 199707),
(256767, '0047719', NULL, NULL, 158, NULL, 'Galactose-binding domain-like', 199707),
(256768, '0041690', NULL, NULL, 150, NULL, 'Galactose-binding domain-like', 199707),
(256769, '0044443', NULL, NULL, 184, NULL, 'Galactose-binding domain-like', 199707),
(256770, '0044564', NULL, NULL, 132, NULL, 'Galactose-binding domain-like', 199707),
(256771, '0046425', NULL, NULL, 156, NULL, 'Galactose-binding domain-like', 199707),
(256772, '0050013', NULL, NULL, 184, NULL, 'Galactose-binding domain-like', 199707),
(256773, '0050331', NULL, NULL, 120, NULL, 'Galactose-binding domain-like', 199707),
(256774, '0046230', NULL, NULL, 153, NULL, 'Galactose-binding domain-like', 199707),
(256775, '0049620', NULL, NULL, 163, NULL, 'Galactose-binding domain-like', 199707),
(256776, '0040408', NULL, NULL, 121, NULL, 'Galactose-binding domain-like', 199707),
(256777, '0050018', NULL, NULL, 131, NULL, 'Galactose-binding domain-like', 199707),
(256778, '0050414', NULL, NULL, 134, NULL, 'Galactose-binding domain-like', 199707),
(256779, '0054739', NULL, NULL, 184, NULL, 'Galactose-binding domain-like', 199707);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(256780, '0054218', NULL, NULL, 192, NULL, 'Galactose-binding domain-like', 199707),
(256781, '0038886', NULL, NULL, 161, NULL, 'Galactose-binding domain-like', 199707),
(256782, '0038168', NULL, NULL, 126, NULL, 'Galactose-binding domain-like', 199707),
(256783, '0038642', NULL, NULL, 210, NULL, 'Galactose-binding domain-like', 199707),
(256784, '0054621', NULL, NULL, 156, NULL, 'Galactose-binding domain-like', 199707),
(256785, '0050662', NULL, NULL, 195, NULL, 'Galactose-binding domain-like', 199707),
(256786, '0047057', NULL, NULL, 142, NULL, 'Galactose-binding domain-like', 199707),
(256787, '0048542', NULL, NULL, 132, NULL, 'Galactose-binding domain-like', 199707),
(256788, '0036533', NULL, NULL, 207, NULL, 'Galactose-binding domain-like', 199707),
(256789, '0036212', NULL, NULL, 160, NULL, 'Galactose-binding domain-like', 199707),
(256790, '0050025', NULL, NULL, 167, NULL, 'Galactose-binding domain-like', 199707),
(256791, '0041433', NULL, NULL, 171, NULL, 'Galactose-binding domain-like', 199707),
(256792, '0044988', NULL, NULL, 116, NULL, 'Galactose-binding domain-like', 199707),
(256793, '0040582', NULL, NULL, 213, NULL, 'Galactose-binding domain-like', 199707),
(256794, '0036298', NULL, NULL, 159, NULL, 'Galactose-binding domain-like', 199707),
(256795, '0039760', NULL, NULL, 223, NULL, 'Galactose-binding domain-like', 199707),
(256796, '0036010', NULL, NULL, 148, NULL, 'Galactose-binding domain-like', 199707),
(256797, '0038231', NULL, NULL, 194, NULL, 'Galactose-binding domain-like', 199707),
(256798, '0047533', NULL, NULL, 180, NULL, 'Galactose-binding domain-like', 199707),
(256799, '0048786', NULL, NULL, 183, NULL, 'Galactose-binding domain-like', 199707),
(256800, '0049713', NULL, NULL, 136, NULL, 'Galactose-binding domain-like', 199707),
(256801, '0052593', NULL, NULL, 176, NULL, 'TM0957-like', 199708),
(256802, '0050646', NULL, NULL, 293, NULL, 'Flagellar hook protein flgE', 199709),
(256803, '0051044', NULL, NULL, 151, NULL, 'LEA14-like', 199710),
(256804, '0040648', NULL, NULL, 59, NULL, 'TSP-1 type 1 repeat', 199711),
(256805, '0040647', NULL, NULL, 54, NULL, 'TSP-1 type 1 repeat', 199711),
(256806, '0042996', NULL, NULL, 84, NULL, 'Periplasmic chaperone C-domain', 199712),
(256807, '0053785', NULL, NULL, 85, NULL, 'Periplasmic chaperone C-domain', 199712),
(256808, '0042925', NULL, NULL, 91, NULL, 'Periplasmic chaperone C-domain', 199712),
(256809, '0040381', NULL, NULL, 85, NULL, 'Periplasmic chaperone C-domain', 199712),
(256810, '0042170', NULL, NULL, 86, NULL, 'Periplasmic chaperone C-domain', 199712),
(256811, '0040981', NULL, NULL, 59, NULL, 'Midkine', 199713),
(256812, '0040974', NULL, NULL, 43, NULL, 'Midkine', 199713),
(256813, '0037431', NULL, NULL, 87, NULL, 'TAZ domain', 199714),
(256814, '0040415', NULL, NULL, 95, NULL, 'TAZ domain', 199714),
(256815, '0040367', NULL, NULL, 101, NULL, 'TAZ domain', 199714),
(256816, '0040430', NULL, NULL, 170, NULL, 'Rotavirus NSP2 fragment, C-terminal domain', 199715),
(256817, '0053136', NULL, NULL, 297, NULL, 'PTPA-like', 199716),
(256818, '0053137', NULL, NULL, 316, NULL, 'PTPA-like', 199716),
(256819, '0052839', NULL, NULL, 301, NULL, 'PTPA-like', 199716),
(256820, '0048826', NULL, NULL, 146, NULL, 'FAT domain of focal adhesion kinase', 199717),
(256821, '0047711', NULL, NULL, 142, NULL, 'FAT domain of focal adhesion kinase', 199717),
(256822, '0052696', NULL, NULL, 93, NULL, 'Colicin D/E5 nuclease domain', 199718),
(256823, '0044644', NULL, NULL, 107, NULL, 'Colicin D/E5 nuclease domain', 199718),
(256824, '0054046', NULL, NULL, 54, NULL, 'Rho N-terminal domain-like', 199719),
(256825, '0054417', NULL, NULL, 38, NULL, 'Rho N-terminal domain-like', 199719),
(256826, '0045720', NULL, NULL, 47, NULL, 'Rho N-terminal domain-like', 199719),
(256827, '0036607', NULL, NULL, 69, NULL, 'Signal peptide-binding domain', 199720),
(256828, '0043060', NULL, NULL, 138, NULL, 'Signal peptide-binding domain', 199720),
(256829, '0038671', NULL, NULL, 104, NULL, 'Signal peptide-binding domain', 199720),
(256830, '0042692', NULL, NULL, 107, NULL, 'Signal peptide-binding domain', 199720);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(256831, '0045276', NULL, NULL, 100, NULL, 'Signal peptide-binding domain', 199720),
(256832, '0038443', NULL, NULL, 168, NULL, 'Mss4-like', 199721),
(256833, '0044153', NULL, NULL, 171, NULL, 'Mss4-like', 199721),
(256834, '0051019', NULL, NULL, 143, NULL, 'Mss4-like', 199721),
(256835, '0037813', NULL, NULL, 115, NULL, 'Mss4-like', 199721),
(256836, '0040349', NULL, NULL, 144, NULL, 'Mss4-like', 199721),
(256837, '0051445', NULL, NULL, 172, NULL, 'Mss4-like', 199721),
(256838, '0038777', NULL, NULL, 115, NULL, 'Mss4-like', 199721),
(256839, '0050863', NULL, NULL, 196, NULL, 'Mss4-like', 199721),
(256840, '0048031', NULL, NULL, 108, NULL, 'Bacterial enterotoxins', 199722),
(256841, '0047560', NULL, NULL, 121, NULL, 'Bacterial enterotoxins', 199722),
(256842, '0035115', NULL, NULL, 93, NULL, 'Bacterial enterotoxins', 199722),
(256843, '0054959', NULL, NULL, 102, NULL, 'Bacterial enterotoxins', 199722),
(256844, '0035850', NULL, NULL, 69, NULL, 'Bacterial enterotoxins', 199722),
(256845, '0046618', NULL, NULL, 120, NULL, 'Bacterial enterotoxins', 199722),
(256846, '0042438', NULL, NULL, 110, NULL, 'Bacterial enterotoxins', 199722),
(256847, '0042439', NULL, NULL, 98, NULL, 'Bacterial enterotoxins', 199722),
(256848, '0037096', NULL, NULL, 100, NULL, 'Bacterial enterotoxins', 199722),
(256849, '0053939', NULL, NULL, 83, NULL, 'Bacterial enterotoxins', 199722),
(256850, '0047301', NULL, NULL, 120, NULL, 'Bacterial enterotoxins', 199722),
(256851, '0044158', NULL, NULL, 96, NULL, 'Bacterial enterotoxins', 199722),
(256852, '0042434', NULL, NULL, 110, NULL, 'Bacterial enterotoxins', 199722),
(256853, '0048087', NULL, NULL, 96, NULL, 'Bacterial enterotoxins', 199722),
(256854, '0045194', NULL, NULL, 68, NULL, 'Bacterial enterotoxins', 199722),
(256855, '0053332', NULL, NULL, 121, NULL, 'Bacterial enterotoxins', 199722),
(256856, '0050029', NULL, NULL, 91, NULL, 'Bacterial enterotoxins', 199722),
(256857, '0051814', NULL, NULL, 118, NULL, 'Bacterial enterotoxins', 199722),
(256858, '0035767', NULL, NULL, 119, NULL, 'Bacterial enterotoxins', 199722),
(256859, '0053317', NULL, NULL, 103, NULL, 'Bacterial enterotoxins', 199722),
(256860, '0040146', NULL, NULL, 121, NULL, 'Bacterial enterotoxins', 199722),
(256861, '0046626', NULL, NULL, 97, NULL, 'Bacterial enterotoxins', 199722),
(256862, '0043119', NULL, NULL, 70, NULL, 'Bacterial enterotoxins', 199722),
(256863, '0046829', NULL, NULL, 107, NULL, 'Bacterial enterotoxins', 199722),
(256864, '0044022', NULL, NULL, 98, NULL, 'Bacterial enterotoxins', 199722),
(256865, '0054680', NULL, NULL, 93, NULL, 'Bacterial enterotoxins', 199722),
(256866, '0046623', NULL, NULL, 95, NULL, 'Bacterial enterotoxins', 199722),
(256867, '0048803', NULL, NULL, 110, NULL, 'Bacterial enterotoxins', 199722),
(256868, '0049470', NULL, NULL, 195, NULL, 'Hemopexin-like domain', 199723),
(256869, '0046971', NULL, NULL, 200, NULL, 'Hemopexin-like domain', 199723),
(256870, '0047435', NULL, NULL, 195, NULL, 'Hemopexin-like domain', 199723),
(256871, '0046742', NULL, NULL, 195, NULL, 'Hemopexin-like domain', 199723),
(256872, '0048961', NULL, NULL, 192, NULL, 'Hemopexin-like domain', 199723),
(256873, '0047257', NULL, NULL, 210, NULL, 'Hemopexin-like domain', 199723),
(256874, '0048745', NULL, NULL, 192, NULL, 'Hemopexin-like domain', 199723),
(256875, '0038570', NULL, NULL, 99, NULL, 'Cell-division inhibitor MinC, N-terminal domain', 199724),
(256876, '0035690', NULL, NULL, 124, NULL, 'Anticodon-binding domain of a subclass of class I aminoacyl-tRNA synthetases', 199725),
(256877, '0039069', NULL, NULL, 180, NULL, 'Anticodon-binding domain of a subclass of class I aminoacyl-tRNA synthetases', 199725),
(256878, '0042946', NULL, NULL, 160, NULL, 'Anticodon-binding domain of a subclass of class I aminoacyl-tRNA synthetases', 199725),
(256879, '0039121', NULL, NULL, 126, NULL, 'Anticodon-binding domain of a subclass of class I aminoacyl-tRNA synthetases', 199725),
(256880, '0052383', NULL, NULL, 152, NULL, 'Anticodon-binding domain of a subclass of class I aminoacyl-tRNA synthetases', 199725);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(256881, '0049755', NULL, NULL, 146, NULL, 'Anticodon-binding domain of a subclass of class I aminoacyl-tRNA synthetases', 199725),
(256882, '0038401', NULL, NULL, 128, NULL, 'Anticodon-binding domain of a subclass of class I aminoacyl-tRNA synthetases', 199725),
(256883, '0039227', NULL, NULL, 218, NULL, 'Anticodon-binding domain of a subclass of class I aminoacyl-tRNA synthetases', 199725),
(256884, '0037566', NULL, NULL, 273, NULL, 'Anticodon-binding domain of a subclass of class I aminoacyl-tRNA synthetases', 199725),
(256885, '0043347', NULL, NULL, 210, NULL, 'Anticodon-binding domain of a subclass of class I aminoacyl-tRNA synthetases', 199725),
(256886, '0054011', NULL, NULL, 186, NULL, 'PA1994-like', 199726),
(256887, '0036360', NULL, NULL, 57, NULL, 'Ribosomal protein L7/12, oligomerisation (N-terminal) domain', 199727),
(256888, '0043353', NULL, NULL, 51, NULL, 'Ribosomal protein L7/12, oligomerisation (N-terminal) domain', 199727),
(256889, '0050065', NULL, NULL, 65, NULL, 'SAP domain', 199728),
(256890, '0039508', NULL, NULL, 51, NULL, 'SAP domain', 199728),
(256891, '0051160', NULL, NULL, 44, NULL, 'SAP domain', 199728),
(256892, '0038368', NULL, NULL, 44, NULL, 'SAP domain', 199728),
(256893, '0040017', NULL, NULL, 36, NULL, 'SAP domain', 199728),
(256894, '0052478', NULL, NULL, 42, NULL, 'SAP domain', 199728),
(256895, '0051622', NULL, NULL, 37, NULL, 'SAP domain', 199728),
(256896, '0054731', NULL, NULL, 194, NULL, 'FMN-binding split barrel', 199729),
(256897, '0052694', NULL, NULL, 135, NULL, 'FMN-binding split barrel', 199729),
(256898, '0053043', NULL, NULL, 156, NULL, 'FMN-binding split barrel', 199729),
(256899, '0051825', NULL, NULL, 125, NULL, 'FMN-binding split barrel', 199729),
(256900, '0038821', NULL, NULL, 161, NULL, 'FMN-binding split barrel', 199729),
(256901, '0051821', NULL, NULL, 238, NULL, 'FMN-binding split barrel', 199729),
(256902, '0050236', NULL, NULL, 135, NULL, 'FMN-binding split barrel', 199729),
(256903, '0046934', NULL, NULL, 199, NULL, 'FMN-binding split barrel', 199729),
(256904, '0037651', NULL, NULL, 122, NULL, 'FMN-binding split barrel', 199729),
(256905, '0037036', NULL, NULL, 192, NULL, 'FMN-binding split barrel', 199729),
(256906, '0050968', NULL, NULL, 170, NULL, 'FMN-binding split barrel', 199729),
(256907, '0050409', NULL, NULL, 142, NULL, 'FMN-binding split barrel', 199729),
(256908, '0053062', NULL, NULL, 143, NULL, 'FMN-binding split barrel', 199729),
(256909, '0052782', NULL, NULL, 193, NULL, 'FMN-binding split barrel', 199729),
(256910, '0054146', NULL, NULL, 189, NULL, 'FMN-binding split barrel', 199729),
(256911, '0051690', NULL, NULL, 201, NULL, 'FMN-binding split barrel', 199729),
(256912, '0052681', NULL, NULL, 157, NULL, 'FMN-binding split barrel', 199729),
(256913, '0053033', NULL, NULL, 141, NULL, 'FMN-binding split barrel', 199729),
(256914, '0054287', NULL, NULL, 192, NULL, 'FMN-binding split barrel', 199729),
(256915, '0053034', NULL, NULL, 148, NULL, 'FMN-binding split barrel', 199729),
(256916, '0046143', NULL, NULL, 205, NULL, 'FMN-binding split barrel', 199729),
(256917, '0049155', NULL, NULL, 160, NULL, 'FMN-binding split barrel', 199729),
(256918, '0053098', NULL, NULL, 320, NULL, 'FMN-binding split barrel', 199729),
(256919, '0051356', NULL, NULL, 159, NULL, 'FMN-binding split barrel', 199729),
(256920, '0054546', NULL, NULL, 206, NULL, 'FMN-binding split barrel', 199729),
(256921, '0043438', NULL, NULL, 153, NULL, 'FMN-binding split barrel', 199729),
(256922, '0048424', NULL, NULL, 213, NULL, 'FMN-binding split barrel', 199729),
(256923, '0049578', NULL, NULL, 204, NULL, 'FMN-binding split barrel', 199729),
(256924, '0049738', NULL, NULL, 202, NULL, 'FMN-binding split barrel', 199729),
(256925, '0044501', NULL, NULL, 178, NULL, 'FMN-binding split barrel', 199729),
(256926, '0051988', NULL, NULL, 179, NULL, 'MFPT repeat-like', 199730),
(256927, '0051987', NULL, NULL, 170, NULL, 'MFPT repeat-like', 199730),
(256928, '0051989', NULL, NULL, 184, NULL, 'MFPT repeat-like', 199730),
(256929, '0051986', NULL, NULL, 170, NULL, 'MFPT repeat-like', 199730);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(256930, '0050328', NULL, NULL, 102, NULL, 'Alpha-hemoglobin stabilizing protein AHSP', 199731),
(256931, '0037168', NULL, NULL, 266, NULL, 'D-aminoacid aminotransferase-like PLP-dependent enzymes', 199732),
(256932, '0036320', NULL, NULL, 277, NULL, 'D-aminoacid aminotransferase-like PLP-dependent enzymes', 199732),
(256933, '0037053', NULL, NULL, 365, NULL, 'D-aminoacid aminotransferase-like PLP-dependent enzymes', 199732),
(256934, '0034852', NULL, NULL, 305, NULL, 'D-aminoacid aminotransferase-like PLP-dependent enzymes', 199732),
(256935, '0036908', NULL, NULL, 305, NULL, 'Replication terminator protein (Tus)', 199733),
(256936, '0054149', NULL, NULL, 198, NULL, 'YmcC-like', 199734),
(256937, '0043338', NULL, NULL, 145, NULL, 'Tombusvirus P19 core protein, VP19', 199735),
(256938, '0043180', NULL, NULL, 124, NULL, 'Tombusvirus P19 core protein, VP19', 199735),
(256939, '0049575', NULL, NULL, 178, NULL, 'MIR domain', 199736),
(256940, '0048281', NULL, NULL, 200, NULL, 'MIR domain', 199736),
(256941, '0039663', NULL, NULL, 141, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein C-terminal domain', 199737),
(256942, '0052031', NULL, NULL, 198, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein C-terminal domain', 199737),
(256943, '0048345', NULL, NULL, 138, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein C-terminal domain', 199737),
(256944, '0035988', NULL, NULL, 111, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein C-terminal domain', 199737),
(256945, '0040048', NULL, NULL, 134, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein C-terminal domain', 199737),
(256946, '0048371', NULL, NULL, 88, NULL, 'MesJ substrate recognition domain-like', 199738),
(256947, '0050747', NULL, NULL, 95, NULL, 'MesJ substrate recognition domain-like', 199738),
(256948, '0040144', NULL, NULL, 197, NULL, 'The spindle assembly checkpoint protein mad2', 199739),
(256949, '0042910', NULL, NULL, 302, NULL, 'Bacterial photosystem II reaction centre, L and M subunits', 199740),
(256950, '0037267', NULL, NULL, 280, NULL, 'Bacterial photosystem II reaction centre, L and M subunits', 199740),
(256951, '0036661', NULL, NULL, 323, NULL, 'Bacterial photosystem II reaction centre, L and M subunits', 199740),
(256952, '0036660', NULL, NULL, 273, NULL, 'Bacterial photosystem II reaction centre, L and M subunits', 199740),
(256953, '0053707', NULL, NULL, 335, NULL, 'Bacterial photosystem II reaction centre, L and M subunits', 199740),
(256954, '0037268', NULL, NULL, 318, NULL, 'Bacterial photosystem II reaction centre, L and M subunits', 199740),
(256955, '0042909', NULL, NULL, 281, NULL, 'Bacterial photosystem II reaction centre, L and M subunits', 199740),
(256956, '0053710', NULL, NULL, 340, NULL, 'Bacterial photosystem II reaction centre, L and M subunits', 199740),
(256957, '0037945', NULL, NULL, 266, NULL, 'Head and neck region of the ectodomain of NDV fusion glycoprotein', 199741),
(256958, '0044519', NULL, NULL, 70, NULL, 'Uteroglobin-like', 199742),
(256959, '0035911', NULL, NULL, 77, NULL, 'Uteroglobin-like', 199742),
(256960, '0048822', NULL, NULL, 72, NULL, 'Uteroglobin-like', 199742),
(256961, '0048823', NULL, NULL, 69, NULL, 'Uteroglobin-like', 199742),
(256962, '0035838', NULL, NULL, 76, NULL, 'Ubiquitin-like', 199743),
(256963, '0050750', NULL, NULL, 76, NULL, 'Ubiquitin-like', 199743),
(256964, '0052254', NULL, NULL, 96, NULL, 'Ubiquitin-like', 199743),
(256965, '0048151', NULL, NULL, 78, NULL, 'Ubiquitin-like', 199743),
(256966, '0046493', NULL, NULL, 180, NULL, 'Ubiquitin-like', 199743),
(256967, '0050756', NULL, NULL, 93, NULL, 'Ubiquitin-like', 199743),
(256968, '0050757', NULL, NULL, 84, NULL, 'Ubiquitin-like', 199743),
(256969, '0050510', NULL, NULL, 104, NULL, 'Ubiquitin-like', 199743),
(256970, '0043625', NULL, NULL, 71, NULL, 'Ubiquitin-like', 199743),
(256971, '0039275', NULL, NULL, 76, NULL, 'Ubiquitin-like', 199743),
(256972, '0043828', NULL, NULL, 90, NULL, 'Ubiquitin-like', 199743),
(256973, '0050629', NULL, NULL, 100, NULL, 'Ubiquitin-like', 199743);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(256974, '0040559', NULL, NULL, 106, NULL, 'Ubiquitin-like', 199743),
(256975, '0044597', NULL, NULL, 105, NULL, 'Ubiquitin-like', 199743),
(256976, '0046537', NULL, NULL, 88, NULL, 'Ubiquitin-like', 199743),
(256977, '0046977', NULL, NULL, 81, NULL, 'Ubiquitin-like', 199743),
(256978, '0047942', NULL, NULL, 94, NULL, 'Ubiquitin-like', 199743),
(256979, '0046536', NULL, NULL, 84, NULL, 'Ubiquitin-like', 199743),
(256980, '0052069', NULL, NULL, 73, NULL, 'Ubiquitin-like', 199743),
(256981, '0049373', NULL, NULL, 101, NULL, 'Ubiquitin-like', 199743),
(256982, '0046062', NULL, NULL, 77, NULL, 'Ubiquitin-like', 199743),
(256983, '0049690', NULL, NULL, 80, NULL, 'Ubiquitin-like', 199743),
(256984, '0044282', NULL, NULL, 76, NULL, 'Ubiquitin-like', 199743),
(256985, '0050086', NULL, NULL, 95, NULL, 'Ubiquitin-like', 199743),
(256986, '0048122', NULL, NULL, 73, NULL, 'Ubiquitin-like', 199743),
(256987, '0038417', NULL, NULL, 84, NULL, 'Ubiquitin-like', 199743),
(256988, '0050524', NULL, NULL, 116, NULL, 'Ubiquitin-like', 199743),
(256989, '0050923', NULL, NULL, 75, NULL, 'Ubiquitin-like', 199743),
(256990, '0050488', NULL, NULL, 94, NULL, 'Ubiquitin-like', 199743),
(256991, '0050520', NULL, NULL, 93, NULL, 'Ubiquitin-like', 199743),
(256992, '0038854', NULL, NULL, 95, NULL, 'Ubiquitin-like', 199743),
(256993, '0050523', NULL, NULL, 96, NULL, 'Ubiquitin-like', 199743),
(256994, '0052269', NULL, NULL, 84, NULL, 'Ubiquitin-like', 199743),
(256995, '0053634', NULL, NULL, 83, NULL, 'Ubiquitin-like', 199743),
(256996, '0054766', NULL, NULL, 119, NULL, 'Ubiquitin-like', 199743),
(256997, '0037201', NULL, NULL, 79, NULL, 'Ubiquitin-like', 199743),
(256998, '0038176', NULL, NULL, 117, NULL, 'Ubiquitin-like', 199743),
(256999, '0048367', NULL, NULL, 86, NULL, 'Ubiquitin-like', 199743),
(257000, '0050055', NULL, NULL, 102, NULL, 'Ubiquitin-like', 199743),
(257001, '0052076', NULL, NULL, 116, NULL, 'Ubiquitin-like', 199743),
(257002, '0052075', NULL, NULL, 109, NULL, 'Ubiquitin-like', 199743),
(257003, '0050459', NULL, NULL, 111, NULL, 'Ubiquitin-like', 199743),
(257004, '0050579', NULL, NULL, 95, NULL, 'Ubiquitin-like', 199743),
(257005, '0051789', NULL, NULL, 76, NULL, 'Ubiquitin-like', 199743),
(257006, '0050736', NULL, NULL, 83, NULL, 'Ubiquitin-like', 199743),
(257007, '0050735', NULL, NULL, 94, NULL, 'Ubiquitin-like', 199743),
(257008, '0050532', NULL, NULL, 100, NULL, 'Ubiquitin-like', 199743),
(257009, '0050773', NULL, NULL, 94, NULL, 'Ubiquitin-like', 199743),
(257010, '0052632', NULL, NULL, 76, NULL, 'Ubiquitin-like', 199743),
(257011, '0046958', NULL, NULL, 87, NULL, 'Ubiquitin-like', 199743),
(257012, '0047969', NULL, NULL, 87, NULL, 'Ubiquitin-like', 199743),
(257013, '0050607', NULL, NULL, 124, NULL, 'Ubiquitin-like', 199743),
(257014, '0047488', NULL, NULL, 92, NULL, 'Ubiquitin-like', 199743),
(257015, '0048335', NULL, NULL, 74, NULL, 'Ubiquitin-like', 199743),
(257016, '0049903', NULL, NULL, 100, NULL, 'Ubiquitin-like', 199743),
(257017, '0051792', NULL, NULL, 100, NULL, 'Ubiquitin-like', 199743),
(257018, '0051476', NULL, NULL, 76, NULL, 'Ubiquitin-like', 199743),
(257019, '0050067', NULL, NULL, 95, NULL, 'Ubiquitin-like', 199743),
(257020, '0046482', NULL, NULL, 179, NULL, 'Ubiquitin-like', 199743),
(257021, '0049310', NULL, NULL, 118, NULL, 'Ubiquitin-like', 199743),
(257022, '0050460', NULL, NULL, 115, NULL, 'Ubiquitin-like', 199743),
(257023, '0053295', NULL, NULL, 97, NULL, 'Ubiquitin-like', 199743),
(257024, '0043295', NULL, NULL, 90, NULL, 'Ubiquitin-like', 199743),
(257025, '0050543', NULL, NULL, 87, NULL, 'Ubiquitin-like', 199743),
(257026, '0050620', NULL, NULL, 97, NULL, 'Ubiquitin-like', 199743),
(257027, '0050740', NULL, NULL, 73, NULL, 'Ubiquitin-like', 199743),
(257028, '0051477', NULL, NULL, 76, NULL, 'Ubiquitin-like', 199743),
(257029, '0037105', NULL, NULL, 116, NULL, 'Ubiquitin-like', 199743),
(257030, '0050743', NULL, NULL, 81, NULL, 'Ubiquitin-like', 199743),
(257031, '0045716', NULL, NULL, 103, NULL, 'Ubiquitin-like', 199743),
(257032, '0038476', NULL, NULL, 82, NULL, 'Ubiquitin-like', 199743);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(257033, '0044307', NULL, NULL, 95, NULL, 'Ubiquitin-like', 199743),
(257034, '0042200', NULL, NULL, 78, NULL, 'Ubiquitin-like', 199743),
(257035, '0050738', NULL, NULL, 103, NULL, 'Ubiquitin-like', 199743),
(257036, '0044629', NULL, NULL, 90, NULL, 'Ubiquitin-like', 199743),
(257037, '0050539', NULL, NULL, 104, NULL, 'Ubiquitin-like', 199743),
(257038, '0050737', NULL, NULL, 73, NULL, 'Ubiquitin-like', 199743),
(257039, '0047534', NULL, NULL, 103, NULL, 'Ubiquitin-like', 199743),
(257040, '0046009', NULL, NULL, 73, NULL, 'Ubiquitin-like', 199743),
(257041, '0043331', NULL, NULL, 374, NULL, 'ERO1-like', 199744),
(257042, '0052678', NULL, NULL, 83, NULL, 'TSP9-like', 199745),
(257043, '0052767', NULL, NULL, 105, NULL, 'Nqo1C-terminal domain-like', 199746),
(257044, '0054528', NULL, NULL, 122, NULL, 'PspA lactotransferrin-binding region', 199747),
(257045, '0048587', NULL, NULL, 74, NULL, 'alpha-Amylase inhibitor tendamistat', 199748),
(257046, '0044344', NULL, NULL, 128, NULL, 'Domain from hypothetical 2610208m17rik protein', 199749),
(257047, '0046946', NULL, NULL, 176, NULL, 'OMPA-like', 199750),
(257048, '0041003', NULL, NULL, 170, NULL, 'OMPA-like', 199750),
(257049, '0048693', NULL, NULL, 155, NULL, 'OMPA-like', 199750),
(257050, '0051384', NULL, NULL, 155, NULL, 'OMPA-like', 199750),
(257051, '0053719', NULL, NULL, 242, NULL, 'OMPA-like', 199750),
(257052, '0048966', NULL, NULL, 148, NULL, 'OMPA-like', 199750),
(257053, '0050921', NULL, NULL, 313, NULL, 'AF0104/ALDC/Ptd012-like', 199751),
(257054, '0053051', NULL, NULL, 136, NULL, 'AF0104/ALDC/Ptd012-like', 199751),
(257055, '0052987', NULL, NULL, 138, NULL, 'AF0104/ALDC/Ptd012-like', 199751),
(257056, '0051117', NULL, NULL, 232, NULL, 'AF0104/ALDC/Ptd012-like', 199751),
(257057, '0035511', NULL, NULL, 167, NULL, 'STAT', 199752),
(257058, '0045952', NULL, NULL, 186, NULL, 'STAT', 199752),
(257059, '0050005', NULL, NULL, 118, NULL, 'STAT', 199752),
(257060, '0047762', NULL, NULL, 143, NULL, 'Arp2/3 complex 16 kDa subunit ARPC5', 199753),
(257061, '0054351', NULL, NULL, 96, NULL, 'BLRF2-like', 199754),
(257062, '0047423', NULL, NULL, 385, NULL, 'DHH phosphoesterases', 199755),
(257063, '0038902', NULL, NULL, 309, NULL, 'DHH phosphoesterases', 199755),
(257064, '0039854', NULL, NULL, 307, NULL, 'DHH phosphoesterases', 199755),
(257065, '0039853', NULL, NULL, 310, NULL, 'DHH phosphoesterases', 199755),
(257066, '0041101', NULL, NULL, 136, NULL, 'UDP-glucose/GDP-mannose dehydrogenase C-terminal domain', 199756),
(257067, '0046358', NULL, NULL, 108, NULL, 'UDP-glucose/GDP-mannose dehydrogenase C-terminal domain', 199756),
(257068, '0040168', NULL, NULL, 247, NULL, 'PLP-binding barrel', 199757),
(257069, '0038618', NULL, NULL, 265, NULL, 'PLP-binding barrel', 199757),
(257070, '0050171', NULL, NULL, 237, NULL, 'PLP-binding barrel', 199757),
(257071, '0049144', NULL, NULL, 226, NULL, 'PLP-binding barrel', 199757),
(257072, '0046278', NULL, NULL, 240, NULL, 'PLP-binding barrel', 199757),
(257073, '0049723', NULL, NULL, 264, NULL, 'PLP-binding barrel', 199757),
(257074, '0053309', NULL, NULL, 240, NULL, 'PLP-binding barrel', 199757),
(257075, '0053370', NULL, NULL, 240, NULL, 'PLP-binding barrel', 199757),
(257076, '0046211', NULL, NULL, 244, NULL, 'PLP-binding barrel', 199757),
(257077, '0045930', NULL, NULL, 233, NULL, 'PLP-binding barrel', 199757),
(257078, '0041147', NULL, NULL, 231, NULL, 'GFP-like', 199758),
(257079, '0051069', NULL, NULL, 230, NULL, 'GFP-like', 199758),
(257080, '0054675', NULL, NULL, 220, NULL, 'GFP-like', 199758),
(257081, '0044381', NULL, NULL, 225, NULL, 'GFP-like', 199758),
(257082, '0040194', NULL, NULL, 245, NULL, 'GFP-like', 199758),
(257083, '0038418', NULL, NULL, 233, NULL, 'GFP-like', 199758),
(257084, '0038095', NULL, NULL, 219, NULL, 'GFP-like', 199758),
(257085, '0041029', NULL, NULL, 221, NULL, 'GFP-like', 199758),
(257086, '0049187', NULL, NULL, 111, NULL, 'Dimeric alpha+beta barrel', 199759),
(257087, '0051166', NULL, NULL, 101, NULL, 'Dimeric alpha+beta barrel', 199759),
(257088, '0052377', NULL, NULL, 439, NULL, 'Dimeric alpha+beta barrel', 199759);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(257089, '0053961', NULL, NULL, 108, NULL, 'Dimeric alpha+beta barrel', 199759),
(257090, '0047284', NULL, NULL, 80, NULL, 'Dimeric alpha+beta barrel', 199759),
(257091, '0052136', NULL, NULL, 307, NULL, 'Dimeric alpha+beta barrel', 199759),
(257092, '0053640', NULL, NULL, 104, NULL, 'Dimeric alpha+beta barrel', 199759),
(257093, '0048013', NULL, NULL, 112, NULL, 'Dimeric alpha+beta barrel', 199759),
(257094, '0050293', NULL, NULL, 104, NULL, 'Dimeric alpha+beta barrel', 199759),
(257095, '0054497', NULL, NULL, 100, NULL, 'Dimeric alpha+beta barrel', 199759),
(257096, '0047442', NULL, NULL, 102, NULL, 'Dimeric alpha+beta barrel', 199759),
(257097, '0054134', NULL, NULL, 108, NULL, 'Dimeric alpha+beta barrel', 199759),
(257098, '0044097', NULL, NULL, 106, NULL, 'Dimeric alpha+beta barrel', 199759),
(257099, '0049441', NULL, NULL, 109, NULL, 'Dimeric alpha+beta barrel', 199759),
(257100, '0052757', NULL, NULL, 103, NULL, 'Dimeric alpha+beta barrel', 199759),
(257101, '0050908', NULL, NULL, 109, NULL, 'Dimeric alpha+beta barrel', 199759),
(257102, '0041120', NULL, NULL, 100, NULL, 'Dimeric alpha+beta barrel', 199759),
(257103, '0042616', NULL, NULL, 103, NULL, 'Dimeric alpha+beta barrel', 199759),
(257104, '0049743', NULL, NULL, 108, NULL, 'Dimeric alpha+beta barrel', 199759),
(257105, '0043520', NULL, NULL, 124, NULL, 'Dimeric alpha+beta barrel', 199759),
(257106, '0049704', NULL, NULL, 106, NULL, 'Dimeric alpha+beta barrel', 199759),
(257107, '0049703', NULL, NULL, 103, NULL, 'Dimeric alpha+beta barrel', 199759),
(257108, '0049174', NULL, NULL, 86, NULL, 'Dimeric alpha+beta barrel', 199759),
(257109, '0053111', NULL, NULL, 306, NULL, 'Dimeric alpha+beta barrel', 199759),
(257110, '0052162', NULL, NULL, 86, NULL, 'Dimeric alpha+beta barrel', 199759),
(257111, '0054363', NULL, NULL, 109, NULL, 'Dimeric alpha+beta barrel', 199759),
(257112, '0054385', NULL, NULL, 98, NULL, 'Dimeric alpha+beta barrel', 199759),
(257113, '0048188', NULL, NULL, 96, NULL, 'Dimeric alpha+beta barrel', 199759),
(257114, '0052703', NULL, NULL, 95, NULL, 'Dimeric alpha+beta barrel', 199759),
(257115, '0052967', NULL, NULL, 309, NULL, 'Dimeric alpha+beta barrel', 199759),
(257116, '0050289', NULL, NULL, 110, NULL, 'Dimeric alpha+beta barrel', 199759),
(257117, '0050149', NULL, NULL, 247, NULL, 'Dimeric alpha+beta barrel', 199759),
(257118, '0054503', NULL, NULL, 206, NULL, 'Dimeric alpha+beta barrel', 199759),
(257119, '0053018', NULL, NULL, 96, NULL, 'Dimeric alpha+beta barrel', 199759),
(257120, '0054403', NULL, NULL, 112, NULL, 'Dimeric alpha+beta barrel', 199759),
(257121, '0048903', NULL, NULL, 93, NULL, 'Dimeric alpha+beta barrel', 199759),
(257122, '0052160', NULL, NULL, 77, NULL, 'Dimeric alpha+beta barrel', 199759),
(257123, '0054361', NULL, NULL, 100, NULL, 'Dimeric alpha+beta barrel', 199759),
(257124, '0049512', NULL, NULL, 243, NULL, 'Dimeric alpha+beta barrel', 199759),
(257125, '0045015', NULL, NULL, 98, NULL, 'Dimeric alpha+beta barrel', 199759),
(257126, '0054381', NULL, NULL, 117, NULL, 'Dimeric alpha+beta barrel', 199759),
(257127, '0043826', NULL, NULL, 83, NULL, 'TmoB-like', 199760),
(257128, '0050186', NULL, NULL, 237, NULL, 'Purine and uridine phosphorylases', 199761),
(257129, '0048112', NULL, NULL, 288, NULL, 'Purine and uridine phosphorylases', 199761),
(257130, '0048860', NULL, NULL, 243, NULL, 'Purine and uridine phosphorylases', 199761),
(257131, '0046099', NULL, NULL, 273, NULL, 'Purine and uridine phosphorylases', 199761),
(257132, '0039819', NULL, NULL, 230, NULL, 'Purine and uridine phosphorylases', 199761),
(257133, '0050257', NULL, NULL, 265, NULL, 'Purine and uridine phosphorylases', 199761),
(257134, '0050047', NULL, NULL, 266, NULL, 'Purine and uridine phosphorylases', 199761),
(257135, '0051268', NULL, NULL, 246, NULL, 'Purine and uridine phosphorylases', 199761),
(257136, '0051743', NULL, NULL, 231, NULL, 'Purine and uridine phosphorylases', 199761),
(257137, '0048936', NULL, NULL, 266, NULL, 'Purine and uridine phosphorylases', 199761),
(257138, '0045902', NULL, NULL, 280, NULL, 'Purine and uridine phosphorylases', 199761);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(257139, '0047738', NULL, NULL, 253, NULL, 'Purine and uridine phosphorylases', 199761),
(257140, '0046908', NULL, NULL, 262, NULL, 'Purine and uridine phosphorylases', 199761),
(257141, '0039496', NULL, NULL, 234, NULL, 'Purine and uridine phosphorylases', 199761),
(257142, '0046520', NULL, NULL, 237, NULL, 'Purine and uridine phosphorylases', 199761),
(257143, '0049568', NULL, NULL, 477, NULL, 'Purine and uridine phosphorylases', 199761),
(257144, '0041801', NULL, NULL, 234, NULL, 'Purine and uridine phosphorylases', 199761),
(257145, '0039286', NULL, NULL, 83, NULL, 'C-terminal domain of DFF45/ICAD (DFF-C domain)', 199762),
(257146, '0043391', NULL, NULL, 192, NULL, 'CAPPD, an extracellular domain of amyloid beta A4 protein', 199763),
(257147, '0050078', NULL, NULL, 202, NULL, 'PHP domain-like', 199764),
(257148, '0048101', NULL, NULL, 244, NULL, 'PHP domain-like', 199764),
(257149, '0051802', NULL, NULL, 229, NULL, 'PHP domain-like', 199764),
(257150, '0042137', NULL, NULL, 215, NULL, 'MurD-like peptide ligases, catalytic domain', 199765),
(257151, '0038085', NULL, NULL, 214, NULL, 'MurD-like peptide ligases, catalytic domain', 199765),
(257152, '0045483', NULL, NULL, 204, NULL, 'MurD-like peptide ligases, catalytic domain', 199765),
(257153, '0046487', NULL, NULL, 234, NULL, 'MurD-like peptide ligases, catalytic domain', 199765),
(257154, '0047522', NULL, NULL, 207, NULL, 'MurD-like peptide ligases, catalytic domain', 199765),
(257155, '0052866', NULL, NULL, 296, NULL, 'MurD-like peptide ligases, catalytic domain', 199765),
(257156, '0041699', NULL, NULL, 296, NULL, 'MurD-like peptide ligases, catalytic domain', 199765),
(257157, '0053940', NULL, NULL, 130, NULL, 'Superantigen toxins, C-terminal domain', 199766),
(257158, '0046161', NULL, NULL, 118, NULL, 'Superantigen toxins, C-terminal domain', 199766),
(257159, '0035768', NULL, NULL, 115, NULL, 'Superantigen toxins, C-terminal domain', 199766),
(257160, '0037159', NULL, NULL, 113, NULL, 'Superantigen toxins, C-terminal domain', 199766),
(257161, '0035116', NULL, NULL, 113, NULL, 'Superantigen toxins, C-terminal domain', 199766),
(257162, '0053337', NULL, NULL, 101, NULL, 'Superantigen toxins, C-terminal domain', 199766),
(257163, '0037693', NULL, NULL, 114, NULL, 'Superantigen toxins, C-terminal domain', 199766),
(257164, '0040784', NULL, NULL, 104, NULL, 'Superantigen toxins, C-terminal domain', 199766),
(257165, '0037172', NULL, NULL, 109, NULL, 'Superantigen toxins, C-terminal domain', 199766),
(257166, '0037097', NULL, NULL, 112, NULL, 'Superantigen toxins, C-terminal domain', 199766),
(257167, '0037185', NULL, NULL, 113, NULL, 'Superantigen toxins, C-terminal domain', 199766),
(257168, '0049737', NULL, NULL, 108, NULL, 'Superantigen toxins, C-terminal domain', 199766),
(257169, '0044589', NULL, NULL, 105, NULL, 'Superantigen toxins, C-terminal domain', 199766),
(257170, '0045569', NULL, NULL, 117, NULL, 'Superantigen toxins, C-terminal domain', 199766),
(257171, '0040343', NULL, NULL, 49, NULL, 'Subunit XI (6.4 kDa protein) of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 199767),
(257172, '0040342', NULL, NULL, 53, NULL, 'Subunit XI (6.4 kDa protein) of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 199767),
(257173, '0047539', NULL, NULL, 343, NULL, 'UROD/MetE-like', 199768),
(257174, '0049982', NULL, NULL, 357, NULL, 'UROD/MetE-like', 199768),
(257175, '0049767', NULL, NULL, 394, NULL, 'UROD/MetE-like', 199768),
(257176, '0049768', NULL, NULL, 365, NULL, 'UROD/MetE-like', 199768),
(257177, '0039457', NULL, NULL, 38, NULL, 'Subunit VIII of photosystem I reaction centre, PsaI', 199769),
(257178, '0052552', NULL, NULL, 50, NULL, 'Dimerization-anchoring domain of cAMP-dependent PK regulatory subunit', 199770),
(257179, '0043099', NULL, NULL, 46, NULL, 'Dimerization-anchoring domain of cAMP-dependent PK regulatory subunit', 199770),
(257180, '0053519', NULL, NULL, 62, NULL, 'Fzo-like conserved region', 199771),
(257181, '0053981', NULL, NULL, 168, NULL, 'FwdE-like', 199772),
(257182, '0052922', NULL, NULL, 149, NULL, 'FwdE-like', 199772);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(257183, '0048063', NULL, NULL, 102, NULL, 'N-utilization substance G protein NusG, N-terminal domain', 199773),
(257184, '0048470', NULL, NULL, 119, NULL, 'N-utilization substance G protein NusG, N-terminal domain', 199773),
(257185, '0047916', NULL, NULL, 90, NULL, 'PKD domain', 199774),
(257186, '0050529', NULL, NULL, 123, NULL, 'PKD domain', 199774),
(257187, '0045880', NULL, NULL, 80, NULL, 'PKD domain', 199774),
(257188, '0050264', NULL, NULL, 77, NULL, 'XseB-like', 199775),
(257189, '0039280', NULL, NULL, 137, NULL, 'BRCA2 tower domain', 199776),
(257190, '0040952', NULL, NULL, 136, NULL, 'BRCA2 tower domain', 199776),
(257191, '0040963', NULL, NULL, 49, NULL, 'BRCA2 tower domain', 199776),
(257192, '0037263', NULL, NULL, 212, NULL, 'Chalcone isomerase', 199777),
(257193, '0046858', NULL, NULL, 148, NULL, 'Formylmethanofuran:tetrahydromethanopterin formyltransferase', 199778),
(257194, '0046859', NULL, NULL, 148, NULL, 'Formylmethanofuran:tetrahydromethanopterin formyltransferase', 199778),
(257195, '0048093', NULL, NULL, 145, NULL, 'Formylmethanofuran:tetrahydromethanopterin formyltransferase', 199778),
(257196, '0048094', NULL, NULL, 152, NULL, 'Formylmethanofuran:tetrahydromethanopterin formyltransferase', 199778),
(257197, '0048091', NULL, NULL, 145, NULL, 'Formylmethanofuran:tetrahydromethanopterin formyltransferase', 199778),
(257198, '0048092', NULL, NULL, 152, NULL, 'Formylmethanofuran:tetrahydromethanopterin formyltransferase', 199778),
(257199, '0048205', NULL, NULL, 111, NULL, 'PWI domain', 199779),
(257200, '0039775', NULL, NULL, 85, NULL, 'Integrin beta tail domain', 199780),
(257201, '0052212', NULL, NULL, 71, NULL, 'Cap-Gly domain', 199781),
(257202, '0048010', NULL, NULL, 95, NULL, 'Cap-Gly domain', 199781),
(257203, '0052213', NULL, NULL, 128, NULL, 'Cap-Gly domain', 199781),
(257204, '0052210', NULL, NULL, 83, NULL, 'Cap-Gly domain', 199781),
(257205, '0052211', NULL, NULL, 82, NULL, 'Cap-Gly domain', 199781),
(257206, '0047463', NULL, NULL, 104, NULL, 'Cap-Gly domain', 199781),
(257207, '0050558', NULL, NULL, 95, NULL, 'Cap-Gly domain', 199781),
(257208, '0052209', NULL, NULL, 109, NULL, 'Cap-Gly domain', 199781),
(257209, '0050557', NULL, NULL, 91, NULL, 'Cap-Gly domain', 199781),
(257210, '0052207', NULL, NULL, 88, NULL, 'Cap-Gly domain', 199781),
(257211, '0050559', NULL, NULL, 92, NULL, 'Cap-Gly domain', 199781),
(257212, '0052208', NULL, NULL, 99, NULL, 'Cap-Gly domain', 199781),
(257213, '0050554', NULL, NULL, 113, NULL, 'Cap-Gly domain', 199781),
(257214, '0050556', NULL, NULL, 102, NULL, 'Cap-Gly domain', 199781),
(257215, '0052214', NULL, NULL, 160, NULL, 'Cap-Gly domain', 199781),
(257216, '0050555', NULL, NULL, 102, NULL, 'Cap-Gly domain', 199781),
(257217, '0054039', NULL, NULL, 112, NULL, 'BH3980-like', 199782),
(257218, '0054331', NULL, NULL, 90, NULL, 'BH3980-like', 199782),
(257219, '0054330', NULL, NULL, 82, NULL, 'BH3980-like', 199782),
(257220, '0039456', NULL, NULL, 141, NULL, 'Subunit III of photosystem I reaction centre, PsaF', 199783),
(257221, '0042645', NULL, NULL, 66, NULL, 'Pre-PUA domain', 199784),
(257222, '0054566', NULL, NULL, 66, NULL, 'Pre-PUA domain', 199784),
(257223, '0043892', NULL, NULL, 94, NULL, 'Pre-PUA domain', 199784),
(257224, '0052339', NULL, NULL, 90, NULL, 'Pre-PUA domain', 199784),
(257225, '0047416', NULL, NULL, 145, NULL, 'Pre-PUA domain', 199784),
(257226, '0047086', NULL, NULL, 128, NULL, 'Clathrin adaptor appendage domain', 199785),
(257227, '0048848', NULL, NULL, 159, NULL, 'Clathrin adaptor appendage domain', 199785),
(257228, '0049103', NULL, NULL, 163, NULL, 'Clathrin adaptor appendage domain', 199785),
(257229, '0048311', NULL, NULL, 151, NULL, 'Clathrin adaptor appendage domain', 199785),
(257230, '0042154', NULL, NULL, 145, NULL, 'Clathrin adaptor appendage domain', 199785),
(257231, '0050393', NULL, NULL, 131, NULL, 'Clathrin adaptor appendage domain', 199785),
(257232, '0046453', NULL, NULL, 120, NULL, 'Clathrin adaptor appendage domain', 199785),
(257233, '0049038', NULL, NULL, 133, NULL, 'Clathrin adaptor appendage domain', 199785);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(257234, '0050225', NULL, NULL, 172, NULL, 'GlpP-like', 199786),
(257235, '0042854', NULL, NULL, 100, NULL, 'S-adenosylmethionine synthetase', 199787),
(257236, '0042855', NULL, NULL, 124, NULL, 'S-adenosylmethionine synthetase', 199787),
(257237, '0041133', NULL, NULL, 152, NULL, 'S-adenosylmethionine synthetase', 199787),
(257238, '0042856', NULL, NULL, 144, NULL, 'S-adenosylmethionine synthetase', 199787),
(257239, '0054443', NULL, NULL, 144, NULL, 'S-adenosylmethionine synthetase', 199787),
(257240, '0041132', NULL, NULL, 124, NULL, 'S-adenosylmethionine synthetase', 199787),
(257241, '0054442', NULL, NULL, 126, NULL, 'S-adenosylmethionine synthetase', 199787),
(257242, '0041131', NULL, NULL, 102, NULL, 'S-adenosylmethionine synthetase', 199787),
(257243, '0054441', NULL, NULL, 110, NULL, 'S-adenosylmethionine synthetase', 199787),
(257244, '0037562', NULL, NULL, 140, NULL, 'CO dehydrogenase molybdoprotein N-domain-like', 199788),
(257245, '0043859', NULL, NULL, 165, NULL, 'CO dehydrogenase molybdoprotein N-domain-like', 199788),
(257246, '0049205', NULL, NULL, 125, NULL, 'CO dehydrogenase molybdoprotein N-domain-like', 199788),
(257247, '0039728', NULL, NULL, 122, NULL, 'CO dehydrogenase molybdoprotein N-domain-like', 199788),
(257248, '0046832', NULL, NULL, 158, NULL, 'CO dehydrogenase molybdoprotein N-domain-like', 199788),
(257249, '0036416', NULL, NULL, 117, NULL, 'CO dehydrogenase molybdoprotein N-domain-like', 199788),
(257250, '0041226', NULL, NULL, 141, NULL, 'CO dehydrogenase molybdoprotein N-domain-like', 199788),
(257251, '0044865', NULL, NULL, 117, NULL, 'CO dehydrogenase molybdoprotein N-domain-like', 199788),
(257252, '0041450', NULL, NULL, 80, NULL, 'HSP40/DnaJ peptide-binding domain', 199789),
(257253, '0041449', NULL, NULL, 75, NULL, 'HSP40/DnaJ peptide-binding domain', 199789),
(257254, '0035834', NULL, NULL, 90, NULL, 'HSP40/DnaJ peptide-binding domain', 199789),
(257255, '0035833', NULL, NULL, 80, NULL, 'HSP40/DnaJ peptide-binding domain', 199789),
(257256, '0044081', NULL, NULL, 50, NULL, 'FnI-like domain', 199790),
(257257, '0037480', NULL, NULL, 46, NULL, 'FnI-like domain', 199790),
(257258, '0037481', NULL, NULL, 47, NULL, 'FnI-like domain', 199790),
(257259, '0042759', NULL, NULL, 44, NULL, 'FnI-like domain', 199790),
(257260, '0046485', NULL, NULL, 41, NULL, 'FnI-like domain', 199790),
(257261, '0049793', NULL, NULL, 73, NULL, 'FnI-like domain', 199790),
(257262, '0052163', NULL, NULL, 43, NULL, 'FnI-like domain', 199790),
(257263, '0042760', NULL, NULL, 49, NULL, 'FnI-like domain', 199790),
(257264, '0049635', NULL, NULL, 79, NULL, 'Cna protein B-type domain', 199791),
(257265, '0036246', NULL, NULL, 97, NULL, 'Cna protein B-type domain', 199791),
(257266, '0036245', NULL, NULL, 90, NULL, 'Cna protein B-type domain', 199791),
(257267, '0045084', NULL, NULL, 108, NULL, 'Cytochrome c', 199792),
(257268, '0047100', NULL, NULL, 90, NULL, 'Cytochrome c', 199792),
(257269, '0036446', NULL, NULL, 74, NULL, 'Cytochrome c', 199792),
(257270, '0036886', NULL, NULL, 159, NULL, 'Cytochrome c', 199792),
(257271, '0037177', NULL, NULL, 92, NULL, 'Cytochrome c', 199792),
(257272, '0037178', NULL, NULL, 98, NULL, 'Cytochrome c', 199792),
(257273, '0038388', NULL, NULL, 150, NULL, 'Cytochrome c', 199792),
(257274, '0038389', NULL, NULL, 111, NULL, 'Cytochrome c', 199792),
(257275, '0039356', NULL, NULL, 104, NULL, 'Cytochrome c', 199792),
(257276, '0037491', NULL, NULL, 80, NULL, 'Cytochrome c', 199792),
(257277, '0038140', NULL, NULL, 78, NULL, 'Cytochrome c', 199792),
(257278, '0037492', NULL, NULL, 94, NULL, 'Cytochrome c', 199792),
(257279, '0036087', NULL, NULL, 121, NULL, 'Cytochrome c', 199792),
(257280, '0037291', NULL, NULL, 199, NULL, 'Cytochrome c', 199792),
(257281, '0035909', NULL, NULL, 83, NULL, 'Cytochrome c', 199792),
(257282, '0038062', NULL, NULL, 85, NULL, 'Cytochrome c', 199792),
(257283, '0035869', NULL, NULL, 71, NULL, 'Cytochrome c', 199792),
(257284, '0035824', NULL, NULL, 116, NULL, 'Cytochrome c', 199792),
(257285, '0045374', NULL, NULL, 147, NULL, 'Cytochrome c', 199792);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(257286, '0047110', NULL, NULL, 138, NULL, 'Cytochrome c', 199792),
(257287, '0040281', NULL, NULL, 104, NULL, 'Cytochrome c', 199792),
(257288, '0037329', NULL, NULL, 88, NULL, 'Cytochrome c', 199792),
(257289, '0045615', NULL, NULL, 103, NULL, 'Cytochrome c', 199792),
(257290, '0046109', NULL, NULL, 111, NULL, 'Cytochrome c', 199792),
(257291, '0036151', NULL, NULL, 89, NULL, 'Cytochrome c', 199792),
(257292, '0040640', NULL, NULL, 91, NULL, 'Cytochrome c', 199792),
(257293, '0044968', NULL, NULL, 104, NULL, 'Cytochrome c', 199792),
(257294, '0039582', NULL, NULL, 80, NULL, 'Cytochrome c', 199792),
(257295, '0036078', NULL, NULL, 107, NULL, 'Cytochrome c', 199792),
(257296, '0038691', NULL, NULL, 105, NULL, 'Cytochrome c', 199792),
(257297, '0045496', NULL, NULL, 112, NULL, 'Cytochrome c', 199792),
(257298, '0048246', NULL, NULL, 131, NULL, 'Cytochrome c', 199792),
(257299, '0038370', NULL, NULL, 82, NULL, 'Cytochrome c', 199792),
(257300, '0036071', NULL, NULL, 86, NULL, 'Cytochrome c', 199792),
(257301, '0046788', NULL, NULL, 82, NULL, 'Cytochrome c', 199792),
(257302, '0040004', NULL, NULL, 97, NULL, 'Cytochrome c', 199792),
(257303, '0045581', NULL, NULL, 82, NULL, 'Cytochrome c', 199792),
(257304, '0048374', NULL, NULL, 112, NULL, 'Cytochrome c', 199792),
(257305, '0035454', NULL, NULL, 195, NULL, 'Cytochrome c', 199792),
(257306, '0035855', NULL, NULL, 131, NULL, 'Cytochrome c', 199792),
(257307, '0046190', NULL, NULL, 82, NULL, 'Cytochrome c', 199792),
(257308, '0046439', NULL, NULL, 135, NULL, 'Cytochrome c', 199792),
(257309, '0039131', NULL, NULL, 158, NULL, 'Cytochrome c', 199792),
(257310, '0041461', NULL, NULL, 160, NULL, 'Cytochrome c', 199792),
(257311, '0042837', NULL, NULL, 99, NULL, 'Cytochrome c', 199792),
(257312, '0046079', NULL, NULL, 79, NULL, 'Cytochrome c', 199792),
(257313, '0046233', NULL, NULL, 124, NULL, 'Cytochrome c', 199792),
(257314, '0046236', NULL, NULL, 90, NULL, 'Cytochrome c', 199792),
(257315, '0039492', NULL, NULL, 118, NULL, 'Cytochrome c', 199792),
(257316, '0045102', NULL, NULL, 112, NULL, 'Cytochrome c', 199792),
(257317, '0046513', NULL, NULL, 164, NULL, 'Cytochrome c', 199792),
(257318, '0046678', NULL, NULL, 129, NULL, 'Cytochrome c', 199792),
(257319, '0047602', NULL, NULL, 85, NULL, 'Cytochrome c', 199792),
(257320, '0048977', NULL, NULL, 127, NULL, 'Cytochrome c', 199792),
(257321, '0042874', NULL, NULL, 99, NULL, 'Cytochrome c', 199792),
(257322, '0046083', NULL, NULL, 88, NULL, 'Cytochrome c', 199792),
(257323, '0046084', NULL, NULL, 87, NULL, 'Cytochrome c', 199792),
(257324, '0045077', NULL, NULL, 108, NULL, 'Cytochrome c', 199792),
(257325, '0051351', NULL, NULL, 80, NULL, 'Cytochrome c', 199792),
(257326, '0039644', NULL, NULL, 77, NULL, 'Cytochrome c', 199792),
(257327, '0052127', NULL, NULL, 149, NULL, 'Cytochrome c', 199792),
(257328, '0046407', NULL, NULL, 82, NULL, 'Cytochrome c', 199792),
(257329, '0045713', NULL, NULL, 81, NULL, 'Cytochrome c', 199792),
(257330, '0047418', NULL, NULL, 150, NULL, 'Cytochrome c', 199792),
(257331, '0039643', NULL, NULL, 84, NULL, 'Cytochrome c', 199792),
(257332, '0046408', NULL, NULL, 112, NULL, 'Cytochrome c', 199792),
(257333, '0038594', NULL, NULL, 114, NULL, 'Cytochrome c', 199792),
(257334, '0048389', NULL, NULL, 166, NULL, 'Cytochrome c', 199792),
(257335, '0046488', NULL, NULL, 124, NULL, 'Cytochrome c', 199792),
(257336, '0040303', NULL, NULL, 81, NULL, 'Cytochrome c', 199792),
(257337, '0046405', NULL, NULL, 79, NULL, 'Cytochrome c', 199792),
(257338, '0045678', NULL, NULL, 134, NULL, 'Cytochrome c', 199792),
(257339, '0049132', NULL, NULL, 185, NULL, 'STI-like', 199793),
(257340, '0045738', NULL, NULL, 205, NULL, 'STI-like', 199793),
(257341, '0037124', NULL, NULL, 211, NULL, 'STI-like', 199793),
(257342, '0045494', NULL, NULL, 217, NULL, 'STI-like', 199793),
(257343, '0050426', NULL, NULL, 171, NULL, 'STI-like', 199793),
(257344, '0035224', NULL, NULL, 181, NULL, 'STI-like', 199793),
(257345, '0043176', NULL, NULL, 168, NULL, 'STI-like', 199793),
(257346, '0046654', NULL, NULL, 179, NULL, 'STI-like', 199793);
INSERT INTO "PUBLIC"."MODEL" VALUES
(257347, '0045831', NULL, NULL, 177, NULL, 'STI-like', 199793),
(257348, '0049639', NULL, NULL, 170, NULL, 'STI-like', 199793),
(257349, '0038317', NULL, NULL, 205, NULL, 'Smc hinge domain', 199794),
(257350, '0052550', NULL, NULL, 158, NULL, 'TRCF domain-like', 199795),
(257351, '0042477', NULL, NULL, 82, NULL, 'YgfY-like', 199796),
(257352, '0043785', NULL, NULL, 202, NULL, 'Glycolipid transfer protein, GLTP', 199797),
(257353, '0052521', NULL, NULL, 113, NULL, 'YfmB-like', 199798),
(257354, '0050176', NULL, NULL, 263, NULL, 'Zn-dependent exopeptidases', 199799),
(257355, '0049240', NULL, NULL, 291, NULL, 'Zn-dependent exopeptidases', 199799),
(257356, '0051762', NULL, NULL, 329, NULL, 'Zn-dependent exopeptidases', 199799),
(257357, '0046194', NULL, NULL, 300, NULL, 'Zn-dependent exopeptidases', 199799),
(257358, '0051343', NULL, NULL, 265, NULL, 'Zn-dependent exopeptidases', 199799),
(257359, '0046397', NULL, NULL, 303, NULL, 'Zn-dependent exopeptidases', 199799),
(257360, '0053284', NULL, NULL, 274, NULL, 'Zn-dependent exopeptidases', 199799),
(257361, '0048430', NULL, NULL, 306, NULL, 'Zn-dependent exopeptidases', 199799),
(257362, '0051427', NULL, NULL, 331, NULL, 'Zn-dependent exopeptidases', 199799),
(257363, '0051428', NULL, NULL, 322, NULL, 'Zn-dependent exopeptidases', 199799),
(257364, '0050015', NULL, NULL, 296, NULL, 'Zn-dependent exopeptidases', 199799),
(257365, '0051224', NULL, NULL, 323, NULL, 'Zn-dependent exopeptidases', 199799),
(257366, '0051389', NULL, NULL, 262, NULL, 'Zn-dependent exopeptidases', 199799),
(257367, '0050951', NULL, NULL, 258, NULL, 'Zn-dependent exopeptidases', 199799),
(257368, '0052853', NULL, NULL, 340, NULL, 'Zn-dependent exopeptidases', 199799),
(257369, '0039797', NULL, NULL, 179, NULL, 'Zn-dependent exopeptidases', 199799),
(257370, '0043109', NULL, NULL, 323, NULL, 'Zn-dependent exopeptidases', 199799),
(257371, '0046134', NULL, NULL, 277, NULL, 'Zn-dependent exopeptidases', 199799),
(257372, '0046310', NULL, NULL, 295, NULL, 'Zn-dependent exopeptidases', 199799),
(257373, '0040437', NULL, NULL, 325, NULL, 'Zn-dependent exopeptidases', 199799),
(257374, '0047901', NULL, NULL, 307, NULL, 'Zn-dependent exopeptidases', 199799),
(257375, '0052091', NULL, NULL, 312, NULL, 'Zn-dependent exopeptidases', 199799),
(257376, '0048899', NULL, NULL, 281, NULL, 'Zn-dependent exopeptidases', 199799),
(257377, '0048537', NULL, NULL, 323, NULL, 'Zn-dependent exopeptidases', 199799),
(257378, '0048735', NULL, NULL, 308, NULL, 'Zn-dependent exopeptidases', 199799),
(257379, '0049011', NULL, NULL, 277, NULL, 'Zn-dependent exopeptidases', 199799),
(257380, '0051474', NULL, NULL, 294, NULL, 'Zn-dependent exopeptidases', 199799),
(257381, '0051496', NULL, NULL, 304, NULL, 'Zn-dependent exopeptidases', 199799),
(257382, '0053258', NULL, NULL, 305, NULL, 'Zn-dependent exopeptidases', 199799),
(257383, '0050200', NULL, NULL, 299, NULL, 'Zn-dependent exopeptidases', 199799),
(257384, '0048085', NULL, NULL, 307, NULL, 'Zn-dependent exopeptidases', 199799),
(257385, '0050182', NULL, NULL, 276, NULL, 'Zn-dependent exopeptidases', 199799),
(257386, '0051051', NULL, NULL, 180, NULL, 'Zn-dependent exopeptidases', 199799),
(257387, '0051172', NULL, NULL, 256, NULL, 'Zn-dependent exopeptidases', 199799),
(257388, '0054364', NULL, NULL, 252, NULL, 'Zn-dependent exopeptidases', 199799),
(257389, '0050184', NULL, NULL, 249, NULL, 'Zn-dependent exopeptidases', 199799),
(257390, '0052020', NULL, NULL, 305, NULL, 'Zn-dependent exopeptidases', 199799),
(257391, '0054582', NULL, NULL, 280, NULL, 'Zn-dependent exopeptidases', 199799),
(257392, '0051954', NULL, NULL, 339, NULL, 'Zn-dependent exopeptidases', 199799),
(257393, '0052940', NULL, NULL, 234, NULL, 'Zn-dependent exopeptidases', 199799),
(257394, '0052787', NULL, NULL, 256, NULL, 'Zn-dependent exopeptidases', 199799),
(257395, '0053975', NULL, NULL, 307, NULL, 'Zn-dependent exopeptidases', 199799),
(257396, '0046827', NULL, NULL, 296, NULL, 'Zn-dependent exopeptidases', 199799),
(257397, '0038334', NULL, NULL, 325, NULL, 'Zn-dependent exopeptidases', 199799);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(257398, '0054085', NULL, NULL, 302, NULL, 'Zn-dependent exopeptidases', 199799),
(257399, '0047971', NULL, NULL, 273, NULL, 'Zn-dependent exopeptidases', 199799),
(257400, '0048989', NULL, NULL, 301, NULL, 'Zn-dependent exopeptidases', 199799),
(257401, '0047657', NULL, NULL, 317, NULL, 'Zn-dependent exopeptidases', 199799),
(257402, '0048938', NULL, NULL, 61, NULL, 'TGS-like', 199800),
(257403, '0048468', NULL, NULL, 59, NULL, 'TGS-like', 199800),
(257404, '0048368', NULL, NULL, 82, NULL, 'TGS-like', 199800),
(257405, '0047548', NULL, NULL, 85, NULL, 'TGS-like', 199800),
(257406, '0050742', NULL, NULL, 76, NULL, 'TGS-like', 199800),
(257407, '0044071', NULL, NULL, 57, NULL, 'BPTI-like', 199801),
(257408, '0044072', NULL, NULL, 63, NULL, 'BPTI-like', 199801),
(257409, '0035719', NULL, NULL, 61, NULL, 'BPTI-like', 199801),
(257410, '0035577', NULL, NULL, 56, NULL, 'BPTI-like', 199801),
(257411, '0035576', NULL, NULL, 54, NULL, 'BPTI-like', 199801),
(257412, '0034981', NULL, NULL, 56, NULL, 'BPTI-like', 199801),
(257413, '0035678', NULL, NULL, 51, NULL, 'BPTI-like', 199801),
(257414, '0035017', NULL, NULL, 71, NULL, 'BPTI-like', 199801),
(257415, '0039476', NULL, NULL, 65, NULL, 'BPTI-like', 199801),
(257416, '0045626', NULL, NULL, 58, NULL, 'BPTI-like', 199801),
(257417, '0039152', NULL, NULL, 61, NULL, 'BPTI-like', 199801),
(257418, '0040457', NULL, NULL, 58, NULL, 'BPTI-like', 199801),
(257419, '0042851', NULL, NULL, 58, NULL, 'BPTI-like', 199801),
(257420, '0046316', NULL, NULL, 60, NULL, 'BPTI-like', 199801),
(257421, '0035506', NULL, NULL, 60, NULL, 'BPTI-like', 199801),
(257422, '0053674', NULL, NULL, 63, NULL, 'BPTI-like', 199801),
(257423, '0054682', NULL, NULL, 51, NULL, 'BPTI-like', 199801),
(257424, '0036599', NULL, NULL, 59, NULL, 'BPTI-like', 199801),
(257425, '0036218', NULL, NULL, 60, NULL, 'BPTI-like', 199801),
(257426, '0037468', NULL, NULL, 55, NULL, 'BPTI-like', 199801),
(257427, '0053656', NULL, NULL, 56, NULL, 'BPTI-like', 199801),
(257428, '0043615', NULL, NULL, 55, NULL, 'BPTI-like', 199801),
(257429, '0037040', NULL, NULL, 58, NULL, 'BPTI-like', 199801),
(257430, '0036593', NULL, NULL, 57, NULL, 'BPTI-like', 199801),
(257431, '0047876', NULL, NULL, 58, NULL, 'BPTI-like', 199801),
(257432, '0044524', NULL, NULL, 56, NULL, 'BPTI-like', 199801),
(257433, '0049176', NULL, NULL, 127, NULL, 'ISP domain', 199802),
(257434, '0054248', NULL, NULL, 122, NULL, 'ISP domain', 199802),
(257435, '0054862', NULL, NULL, 108, NULL, 'ISP domain', 199802),
(257436, '0051453', NULL, NULL, 148, NULL, 'ISP domain', 199802),
(257437, '0054232', NULL, NULL, 108, NULL, 'ISP domain', 199802),
(257438, '0051878', NULL, NULL, 162, NULL, 'ISP domain', 199802),
(257439, '0037736', NULL, NULL, 109, NULL, 'ISP domain', 199802),
(257440, '0036982', NULL, NULL, 154, NULL, 'ISP domain', 199802),
(257441, '0039622', NULL, NULL, 202, NULL, 'ISP domain', 199802),
(257442, '0050685', NULL, NULL, 162, NULL, 'ISP domain', 199802),
(257443, '0052423', NULL, NULL, 142, NULL, 'ISP domain', 199802),
(257444, '0052006', NULL, NULL, 150, NULL, 'ISP domain', 199802),
(257445, '0037990', NULL, NULL, 133, NULL, 'ISP domain', 199802),
(257446, '0042667', NULL, NULL, 127, NULL, 'ISP domain', 199802),
(257447, '0044725', NULL, NULL, 134, NULL, 'ISP domain', 199802),
(257448, '0037293', NULL, NULL, 129, NULL, 'ISP domain', 199802),
(257449, '0044891', NULL, NULL, 109, NULL, 'ISP domain', 199802),
(257450, '0041626', NULL, NULL, 156, NULL, 'ISP domain', 199802),
(257451, '0043222', NULL, NULL, 127, NULL, 'ISP domain', 199802),
(257452, '0044425', NULL, NULL, 154, NULL, 'ISP domain', 199802),
(257453, '0035618', NULL, NULL, 192, NULL, 'Serum albumin-like', 199803),
(257454, '0035617', NULL, NULL, 192, NULL, 'Serum albumin-like', 199803),
(257455, '0039401', NULL, NULL, 188, NULL, 'Serum albumin-like', 199803),
(257456, '0035619', NULL, NULL, 194, NULL, 'Serum albumin-like', 199803),
(257457, '0039402', NULL, NULL, 71, NULL, 'Serum albumin-like', 199803),
(257458, '0040312', NULL, NULL, 198, NULL, 'Serum albumin-like', 199803);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(257459, '0053929', NULL, NULL, 125, NULL, 'NRDP1 C-terminal domain-like', 199804),
(257460, '0051045', NULL, NULL, 150, NULL, 'HSP20-like chaperones', 199805),
(257461, '0050494', NULL, NULL, 131, NULL, 'HSP20-like chaperones', 199805),
(257462, '0043290', NULL, NULL, 92, NULL, 'HSP20-like chaperones', 199805),
(257463, '0050540', NULL, NULL, 134, NULL, 'HSP20-like chaperones', 199805),
(257464, '0043616', NULL, NULL, 115, NULL, 'HSP20-like chaperones', 199805),
(257465, '0050536', NULL, NULL, 124, NULL, 'HSP20-like chaperones', 199805),
(257466, '0047015', NULL, NULL, 150, NULL, 'HSP20-like chaperones', 199805),
(257467, '0037037', NULL, NULL, 110, NULL, 'HSP20-like chaperones', 199805),
(257468, '0043945', NULL, NULL, 115, NULL, 'S13-like H2TH domain', 199806),
(257469, '0041471', NULL, NULL, 88, NULL, 'S13-like H2TH domain', 199806),
(257470, '0041084', NULL, NULL, 78, NULL, 'S13-like H2TH domain', 199806),
(257471, '0049091', NULL, NULL, 94, NULL, 'S13-like H2TH domain', 199806),
(257472, '0039948', NULL, NULL, 88, NULL, 'S13-like H2TH domain', 199806),
(257473, '0036934', NULL, NULL, 89, NULL, 'S13-like H2TH domain', 199806),
(257474, '0039898', NULL, NULL, 89, NULL, 'S13-like H2TH domain', 199806),
(257475, '0053988', NULL, NULL, 114, NULL, 'S13-like H2TH domain', 199806),
(257476, '0037623', NULL, NULL, 125, NULL, 'S13-like H2TH domain', 199806),
(257477, '0040732', NULL, NULL, 81, NULL, 'N-utilization substance G protein NusG, insert domain', 199807),
(257478, '0036366', NULL, NULL, 314, NULL, 'DNA primase core', 199808),
(257479, '0048449', NULL, NULL, 192, NULL, 'DNA primase core', 199808),
(257480, '0050352', NULL, NULL, 276, NULL, 'Restriction endonuclease-like', 199809),
(257481, '0051683', NULL, NULL, 129, NULL, 'Restriction endonuclease-like', 199809),
(257482, '0054379', NULL, NULL, 136, NULL, 'Restriction endonuclease-like', 199809),
(257483, '0054412', NULL, NULL, 179, NULL, 'Restriction endonuclease-like', 199809),
(257484, '0036506', NULL, NULL, 299, NULL, 'Restriction endonuclease-like', 199809),
(257485, '0051167', NULL, NULL, 209, NULL, 'Restriction endonuclease-like', 199809),
(257486, '0045286', NULL, NULL, 193, NULL, 'Restriction endonuclease-like', 199809),
(257487, '0047187', NULL, NULL, 132, NULL, 'Restriction endonuclease-like', 199809),
(257488, '0036344', NULL, NULL, 319, NULL, 'Restriction endonuclease-like', 199809),
(257489, '0051967', NULL, NULL, 133, NULL, 'Restriction endonuclease-like', 199809),
(257490, '0050355', NULL, NULL, 304, NULL, 'Restriction endonuclease-like', 199809),
(257491, '0049280', NULL, NULL, 165, NULL, 'Restriction endonuclease-like', 199809),
(257492, '0050698', NULL, NULL, 272, NULL, 'Restriction endonuclease-like', 199809),
(257493, '0038067', NULL, NULL, 120, NULL, 'Restriction endonuclease-like', 199809),
(257494, '0037212', NULL, NULL, 302, NULL, 'Restriction endonuclease-like', 199809),
(257495, '0035276', NULL, NULL, 226, NULL, 'Restriction endonuclease-like', 199809),
(257496, '0035231', NULL, NULL, 228, NULL, 'Restriction endonuclease-like', 199809),
(257497, '0041285', NULL, NULL, 220, NULL, 'Restriction endonuclease-like', 199809),
(257498, '0048532', NULL, NULL, 124, NULL, 'Restriction endonuclease-like', 199809),
(257499, '0051182', NULL, NULL, 168, NULL, 'Restriction endonuclease-like', 199809),
(257500, '0054150', NULL, NULL, 135, NULL, 'Restriction endonuclease-like', 199809),
(257501, '0040016', NULL, NULL, 257, NULL, 'Restriction endonuclease-like', 199809),
(257502, '0050442', NULL, NULL, 186, NULL, 'Restriction endonuclease-like', 199809),
(257503, '0037606', NULL, NULL, 286, NULL, 'Restriction endonuclease-like', 199809),
(257504, '0051030', NULL, NULL, 385, NULL, 'Restriction endonuclease-like', 199809),
(257505, '0036214', NULL, NULL, 197, NULL, 'Restriction endonuclease-like', 199809),
(257506, '0037109', NULL, NULL, 244, NULL, 'Restriction endonuclease-like', 199809),
(257507, '0036036', NULL, NULL, 261, NULL, 'Restriction endonuclease-like', 199809),
(257508, '0049370', NULL, NULL, 203, NULL, 'Restriction endonuclease-like', 199809);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(257509, '0035965', NULL, NULL, 283, NULL, 'Restriction endonuclease-like', 199809),
(257510, '0037863', NULL, NULL, 129, NULL, 'Restriction endonuclease-like', 199809),
(257511, '0039325', NULL, NULL, 131, NULL, 'Restriction endonuclease-like', 199809),
(257512, '0053933', NULL, NULL, 179, NULL, 'Restriction endonuclease-like', 199809),
(257513, '0051238', NULL, NULL, 125, NULL, 'Restriction endonuclease-like', 199809),
(257514, '0037341', NULL, NULL, 161, NULL, 'Restriction endonuclease-like', 199809),
(257515, '0036173', NULL, NULL, 155, NULL, 'Restriction endonuclease-like', 199809),
(257516, '0043536', NULL, NULL, 262, NULL, 'Restriction endonuclease-like', 199809),
(257517, '0040166', NULL, NULL, 290, NULL, 'Restriction endonuclease-like', 199809),
(257518, '0045917', NULL, NULL, 213, NULL, 'Restriction endonuclease-like', 199809),
(257519, '0046325', NULL, NULL, 223, NULL, 'Restriction endonuclease-like', 199809),
(257520, '0045557', NULL, NULL, 156, NULL, 'Restriction endonuclease-like', 199809),
(257521, '0045967', NULL, NULL, 30, NULL, 'Bromelain inhibitor VI (cysteine protease inhibitor)', 199810),
(257522, '0053748', NULL, NULL, 30, NULL, 'Bromelain inhibitor VI (cysteine protease inhibitor)', 199810),
(257523, '0051978', NULL, NULL, 24, NULL, 'Bromelain inhibitor VI (cysteine protease inhibitor)', 199810),
(257524, '0040366', NULL, NULL, 193, NULL, 'ssDNA-binding transcriptional regulator domain', 199811),
(257525, '0053124', NULL, NULL, 122, NULL, 'ssDNA-binding transcriptional regulator domain', 199811),
(257526, '0042252', NULL, NULL, 66, NULL, 'ssDNA-binding transcriptional regulator domain', 199811),
(257527, '0052904', NULL, NULL, 166, NULL, 'ssDNA-binding transcriptional regulator domain', 199811),
(257528, '0052905', NULL, NULL, 146, NULL, 'ssDNA-binding transcriptional regulator domain', 199811),
(257529, '0053215', NULL, NULL, 121, NULL, 'ssDNA-binding transcriptional regulator domain', 199811),
(257530, '0053532', NULL, NULL, 362, NULL, 'Variant surface glycoprotein (N-terminal domain)', 199812),
(257531, '0053576', NULL, NULL, 358, NULL, 'Variant surface glycoprotein (N-terminal domain)', 199812),
(257532, '0038506', NULL, NULL, 51, NULL, 'Pheromone ER-23', 199813),
(257533, '0053840', NULL, NULL, 47, NULL, 'B-box zinc-binding domain', 199814),
(257534, '0053819', NULL, NULL, 40, NULL, 'B-box zinc-binding domain', 199814),
(257535, '0053806', NULL, NULL, 51, NULL, 'B-box zinc-binding domain', 199814),
(257536, '0053807', NULL, NULL, 54, NULL, 'B-box zinc-binding domain', 199814),
(257537, '0037745', NULL, NULL, 39, NULL, 'B-box zinc-binding domain', 199814),
(257538, '0053822', NULL, NULL, 71, NULL, 'B-box zinc-binding domain', 199814),
(257539, '0053788', NULL, NULL, 59, NULL, 'B-box zinc-binding domain', 199814),
(257540, '0040970', NULL, NULL, 97, NULL, 'GIY-YIG endonuclease', 199815),
(257541, '0048076', NULL, NULL, 145, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257542, '0048179', NULL, NULL, 144, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257543, '0036941', NULL, NULL, 297, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257544, '0037934', NULL, NULL, 243, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257545, '0051429', NULL, NULL, 272, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257546, '0049260', NULL, NULL, 152, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257547, '0050432', NULL, NULL, 308, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257548, '0039614', NULL, NULL, 297, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257549, '0040695', NULL, NULL, 388, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257550, '0036282', NULL, NULL, 174, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257551, '0042113', NULL, NULL, 245, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257552, '0040439', NULL, NULL, 249, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257553, '0040438', NULL, NULL, 317, NULL, '(Phosphotyrosine protein) phosphatases II', 199816);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(257554, '0051082', NULL, NULL, 151, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257555, '0043147', NULL, NULL, 172, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257556, '0047943', NULL, NULL, 273, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257557, '0051299', NULL, NULL, 288, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257558, '0049772', NULL, NULL, 314, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257559, '0045098', NULL, NULL, 278, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257560, '0045450', NULL, NULL, 307, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257561, '0038934', NULL, NULL, 194, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257562, '0046846', NULL, NULL, 176, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257563, '0048567', NULL, NULL, 157, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257564, '0041856', NULL, NULL, 182, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257565, '0044763', NULL, NULL, 178, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257566, '0046845', NULL, NULL, 284, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257567, '0043336', NULL, NULL, 278, NULL, '(Phosphotyrosine protein) phosphatases II', 199816),
(257568, '0053923', NULL, NULL, 65, NULL, 'Phosphoprotein oligomerization domain-like', 199817),
(257569, '0051372', NULL, NULL, 278, NULL, 'AF0625-like', 199818),
(257570, '0052888', NULL, NULL, 274, NULL, 'AF0625-like', 199818),
(257571, '0054018', NULL, NULL, 109, NULL, 'YcgL-like', 199819),
(257572, '0046133', NULL, NULL, 162, NULL, 'HybD-like', 199820),
(257573, '0046091', NULL, NULL, 371, NULL, 'HybD-like', 199820),
(257574, '0044866', NULL, NULL, 597, NULL, 'Molybdenum cofactor-binding domain', 199821),
(257575, '0048288', NULL, NULL, 663, NULL, 'Molybdenum cofactor-binding domain', 199821),
(257576, '0039729', NULL, NULL, 654, NULL, 'Molybdenum cofactor-binding domain', 199821),
(257577, '0046330', NULL, NULL, 596, NULL, 'Molybdenum cofactor-binding domain', 199821),
(257578, '0049206', NULL, NULL, 636, NULL, 'Molybdenum cofactor-binding domain', 199821),
(257579, '0037702', NULL, NULL, 638, NULL, 'Molybdenum cofactor-binding domain', 199821),
(257580, '0046775', NULL, NULL, 657, NULL, 'Molybdenum cofactor-binding domain', 199821),
(257581, '0043860', NULL, NULL, 621, NULL, 'Molybdenum cofactor-binding domain', 199821),
(257582, '0053783', NULL, NULL, 89, NULL, '"Winged helix" DNA-binding domain', 199822),
(257583, '0043062', NULL, NULL, 92, NULL, '"Winged helix" DNA-binding domain', 199822),
(257584, '0050391', NULL, NULL, 117, NULL, '"Winged helix" DNA-binding domain', 199822),
(257585, '0052579', NULL, NULL, 142, NULL, '"Winged helix" DNA-binding domain', 199822),
(257586, '0053666', NULL, NULL, 82, NULL, '"Winged helix" DNA-binding domain', 199822),
(257587, '0038701', NULL, NULL, 115, NULL, '"Winged helix" DNA-binding domain', 199822),
(257588, '0045802', NULL, NULL, 78, NULL, '"Winged helix" DNA-binding domain', 199822),
(257589, '0045923', NULL, NULL, 69, NULL, '"Winged helix" DNA-binding domain', 199822),
(257590, '0042414', NULL, NULL, 114, NULL, '"Winged helix" DNA-binding domain', 199822),
(257591, '0054074', NULL, NULL, 95, NULL, '"Winged helix" DNA-binding domain', 199822),
(257592, '0042770', NULL, NULL, 76, NULL, '"Winged helix" DNA-binding domain', 199822),
(257593, '0049173', NULL, NULL, 60, NULL, '"Winged helix" DNA-binding domain', 199822),
(257594, '0051371', NULL, NULL, 87, NULL, '"Winged helix" DNA-binding domain', 199822),
(257595, '0050048', NULL, NULL, 100, NULL, '"Winged helix" DNA-binding domain', 199822),
(257596, '0044604', NULL, NULL, 120, NULL, '"Winged helix" DNA-binding domain', 199822),
(257597, '0043758', NULL, NULL, 87, NULL, '"Winged helix" DNA-binding domain', 199822),
(257598, '0049859', NULL, NULL, 74, NULL, '"Winged helix" DNA-binding domain', 199822),
(257599, '0053684', NULL, NULL, 158, NULL, '"Winged helix" DNA-binding domain', 199822);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(257600, '0051024', NULL, NULL, 103, NULL, '"Winged helix" DNA-binding domain', 199822),
(257601, '0051026', NULL, NULL, 73, NULL, '"Winged helix" DNA-binding domain', 199822),
(257602, '0050732', NULL, NULL, 94, NULL, '"Winged helix" DNA-binding domain', 199822),
(257603, '0046914', NULL, NULL, 61, NULL, '"Winged helix" DNA-binding domain', 199822),
(257604, '0050608', NULL, NULL, 120, NULL, '"Winged helix" DNA-binding domain', 199822),
(257605, '0047445', NULL, NULL, 92, NULL, '"Winged helix" DNA-binding domain', 199822),
(257606, '0051033', NULL, NULL, 78, NULL, '"Winged helix" DNA-binding domain', 199822),
(257607, '0052246', NULL, NULL, 88, NULL, '"Winged helix" DNA-binding domain', 199822),
(257608, '0052364', NULL, NULL, 109, NULL, '"Winged helix" DNA-binding domain', 199822),
(257609, '0043095', NULL, NULL, 94, NULL, '"Winged helix" DNA-binding domain', 199822),
(257610, '0049993', NULL, NULL, 92, NULL, '"Winged helix" DNA-binding domain', 199822),
(257611, '0045030', NULL, NULL, 74, NULL, '"Winged helix" DNA-binding domain', 199822),
(257612, '0041905', NULL, NULL, 120, NULL, '"Winged helix" DNA-binding domain', 199822),
(257613, '0049992', NULL, NULL, 88, NULL, '"Winged helix" DNA-binding domain', 199822),
(257614, '0045032', NULL, NULL, 127, NULL, '"Winged helix" DNA-binding domain', 199822),
(257615, '0052801', NULL, NULL, 162, NULL, '"Winged helix" DNA-binding domain', 199822),
(257616, '0036614', NULL, NULL, 86, NULL, '"Winged helix" DNA-binding domain', 199822),
(257617, '0040266', NULL, NULL, 151, NULL, '"Winged helix" DNA-binding domain', 199822),
(257618, '0051708', NULL, NULL, 139, NULL, '"Winged helix" DNA-binding domain', 199822),
(257619, '0045833', NULL, NULL, 110, NULL, '"Winged helix" DNA-binding domain', 199822),
(257620, '0046129', NULL, NULL, 67, NULL, '"Winged helix" DNA-binding domain', 199822),
(257621, '0054434', NULL, NULL, 71, NULL, '"Winged helix" DNA-binding domain', 199822),
(257622, '0045284', NULL, NULL, 143, NULL, '"Winged helix" DNA-binding domain', 199822),
(257623, '0047585', NULL, NULL, 138, NULL, '"Winged helix" DNA-binding domain', 199822),
(257624, '0049520', NULL, NULL, 110, NULL, '"Winged helix" DNA-binding domain', 199822),
(257625, '0045283', NULL, NULL, 139, NULL, '"Winged helix" DNA-binding domain', 199822),
(257626, '0047461', NULL, NULL, 89, NULL, '"Winged helix" DNA-binding domain', 199822),
(257627, '0045043', NULL, NULL, 77, NULL, '"Winged helix" DNA-binding domain', 199822),
(257628, '0043669', NULL, NULL, 98, NULL, '"Winged helix" DNA-binding domain', 199822),
(257629, '0045968', NULL, NULL, 63, NULL, '"Winged helix" DNA-binding domain', 199822),
(257630, '0036285', NULL, NULL, 94, NULL, '"Winged helix" DNA-binding domain', 199822),
(257631, '0049886', NULL, NULL, 84, NULL, '"Winged helix" DNA-binding domain', 199822),
(257632, '0047587', NULL, NULL, 71, NULL, '"Winged helix" DNA-binding domain', 199822),
(257633, '0047353', NULL, NULL, 105, NULL, '"Winged helix" DNA-binding domain', 199822),
(257634, '0046825', NULL, NULL, 112, NULL, '"Winged helix" DNA-binding domain', 199822),
(257635, '0051849', NULL, NULL, 144, NULL, '"Winged helix" DNA-binding domain', 199822),
(257636, '0044089', NULL, NULL, 90, NULL, '"Winged helix" DNA-binding domain', 199822),
(257637, '0049777', NULL, NULL, 108, NULL, '"Winged helix" DNA-binding domain', 199822),
(257638, '0047234', NULL, NULL, 74, NULL, '"Winged helix" DNA-binding domain', 199822),
(257639, '0051170', NULL, NULL, 89, NULL, '"Winged helix" DNA-binding domain', 199822),
(257640, '0045974', NULL, NULL, 95, NULL, '"Winged helix" DNA-binding domain', 199822),
(257641, '0047910', NULL, NULL, 107, NULL, '"Winged helix" DNA-binding domain', 199822),
(257642, '0053005', NULL, NULL, 97, NULL, '"Winged helix" DNA-binding domain', 199822),
(257643, '0050651', NULL, NULL, 187, NULL, '"Winged helix" DNA-binding domain', 199822),
(257644, '0048695', NULL, NULL, 125, NULL, '"Winged helix" DNA-binding domain', 199822),
(257645, '0037479', NULL, NULL, 89, NULL, '"Winged helix" DNA-binding domain', 199822);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(257646, '0052159', NULL, NULL, 63, NULL, '"Winged helix" DNA-binding domain', 199822),
(257647, '0046835', NULL, NULL, 100, NULL, '"Winged helix" DNA-binding domain', 199822),
(257648, '0046837', NULL, NULL, 110, NULL, '"Winged helix" DNA-binding domain', 199822),
(257649, '0046839', NULL, NULL, 101, NULL, '"Winged helix" DNA-binding domain', 199822),
(257650, '0045981', NULL, NULL, 120, NULL, '"Winged helix" DNA-binding domain', 199822),
(257651, '0047247', NULL, NULL, 74, NULL, '"Winged helix" DNA-binding domain', 199822),
(257652, '0045862', NULL, NULL, 64, NULL, '"Winged helix" DNA-binding domain', 199822),
(257653, '0049308', NULL, NULL, 143, NULL, '"Winged helix" DNA-binding domain', 199822),
(257654, '0039091', NULL, NULL, 75, NULL, '"Winged helix" DNA-binding domain', 199822),
(257655, '0054468', NULL, NULL, 85, NULL, '"Winged helix" DNA-binding domain', 199822),
(257656, '0046283', NULL, NULL, 81, NULL, '"Winged helix" DNA-binding domain', 199822),
(257657, '0049796', NULL, NULL, 94, NULL, '"Winged helix" DNA-binding domain', 199822),
(257658, '0041150', NULL, NULL, 134, NULL, '"Winged helix" DNA-binding domain', 199822),
(257659, '0054905', NULL, NULL, 85, NULL, '"Winged helix" DNA-binding domain', 199822),
(257660, '0052725', NULL, NULL, 73, NULL, '"Winged helix" DNA-binding domain', 199822),
(257661, '0051874', NULL, NULL, 91, NULL, '"Winged helix" DNA-binding domain', 199822),
(257662, '0038673', NULL, NULL, 76, NULL, '"Winged helix" DNA-binding domain', 199822),
(257663, '0051507', NULL, NULL, 70, NULL, '"Winged helix" DNA-binding domain', 199822),
(257664, '0037340', NULL, NULL, 99, NULL, '"Winged helix" DNA-binding domain', 199822),
(257665, '0052718', NULL, NULL, 64, NULL, '"Winged helix" DNA-binding domain', 199822),
(257666, '0052161', NULL, NULL, 63, NULL, '"Winged helix" DNA-binding domain', 199822),
(257667, '0052282', NULL, NULL, 115, NULL, '"Winged helix" DNA-binding domain', 199822),
(257668, '0049556', NULL, NULL, 77, NULL, '"Winged helix" DNA-binding domain', 199822),
(257669, '0049555', NULL, NULL, 85, NULL, '"Winged helix" DNA-binding domain', 199822),
(257670, '0049797', NULL, NULL, 74, NULL, '"Winged helix" DNA-binding domain', 199822),
(257671, '0035958', NULL, NULL, 82, NULL, '"Winged helix" DNA-binding domain', 199822),
(257672, '0053027', NULL, NULL, 62, NULL, '"Winged helix" DNA-binding domain', 199822),
(257673, '0054478', NULL, NULL, 69, NULL, '"Winged helix" DNA-binding domain', 199822),
(257674, '0054356', NULL, NULL, 81, NULL, '"Winged helix" DNA-binding domain', 199822),
(257675, '0053826', NULL, NULL, 68, NULL, '"Winged helix" DNA-binding domain', 199822),
(257676, '0051528', NULL, NULL, 137, NULL, '"Winged helix" DNA-binding domain', 199822),
(257677, '0053825', NULL, NULL, 78, NULL, '"Winged helix" DNA-binding domain', 199822),
(257678, '0037456', NULL, NULL, 76, NULL, '"Winged helix" DNA-binding domain', 199822),
(257679, '0051521', NULL, NULL, 108, NULL, '"Winged helix" DNA-binding domain', 199822),
(257680, '0052734', NULL, NULL, 100, NULL, '"Winged helix" DNA-binding domain', 199822),
(257681, '0053941', NULL, NULL, 122, NULL, '"Winged helix" DNA-binding domain', 199822),
(257682, '0040517', NULL, NULL, 144, NULL, '"Winged helix" DNA-binding domain', 199822),
(257683, '0053261', NULL, NULL, 194, NULL, '"Winged helix" DNA-binding domain', 199822),
(257684, '0045885', NULL, NULL, 74, NULL, '"Winged helix" DNA-binding domain', 199822),
(257685, '0043589', NULL, NULL, 70, NULL, '"Winged helix" DNA-binding domain', 199822),
(257686, '0053037', NULL, NULL, 145, NULL, '"Winged helix" DNA-binding domain', 199822),
(257687, '0052860', NULL, NULL, 81, NULL, '"Winged helix" DNA-binding domain', 199822),
(257688, '0053154', NULL, NULL, 69, NULL, '"Winged helix" DNA-binding domain', 199822),
(257689, '0049573', NULL, NULL, 111, NULL, '"Winged helix" DNA-binding domain', 199822),
(257690, '0053153', NULL, NULL, 70, NULL, '"Winged helix" DNA-binding domain', 199822),
(257691, '0054362', NULL, NULL, 91, NULL, '"Winged helix" DNA-binding domain', 199822);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(257692, '0052506', NULL, NULL, 114, NULL, '"Winged helix" DNA-binding domain', 199822),
(257693, '0053835', NULL, NULL, 91, NULL, '"Winged helix" DNA-binding domain', 199822),
(257694, '0053953', NULL, NULL, 105, NULL, '"Winged helix" DNA-binding domain', 199822),
(257695, '0047959', NULL, NULL, 90, NULL, '"Winged helix" DNA-binding domain', 199822),
(257696, '0044207', NULL, NULL, 145, NULL, '"Winged helix" DNA-binding domain', 199822),
(257697, '0044208', NULL, NULL, 68, NULL, '"Winged helix" DNA-binding domain', 199822),
(257698, '0047958', NULL, NULL, 74, NULL, '"Winged helix" DNA-binding domain', 199822),
(257699, '0043473', NULL, NULL, 92, NULL, '"Winged helix" DNA-binding domain', 199822),
(257700, '0049335', NULL, NULL, 103, NULL, '"Winged helix" DNA-binding domain', 199822),
(257701, '0041732', NULL, NULL, 142, NULL, '"Winged helix" DNA-binding domain', 199822),
(257702, '0046987', NULL, NULL, 75, NULL, '"Winged helix" DNA-binding domain', 199822),
(257703, '0047283', NULL, NULL, 60, NULL, '"Winged helix" DNA-binding domain', 199822),
(257704, '0054016', NULL, NULL, 79, NULL, '"Winged helix" DNA-binding domain', 199822),
(257705, '0048491', NULL, NULL, 73, NULL, '"Winged helix" DNA-binding domain', 199822),
(257706, '0047161', NULL, NULL, 155, NULL, '"Winged helix" DNA-binding domain', 199822),
(257707, '0052198', NULL, NULL, 82, NULL, '"Winged helix" DNA-binding domain', 199822),
(257708, '0050338', NULL, NULL, 79, NULL, '"Winged helix" DNA-binding domain', 199822),
(257709, '0051302', NULL, NULL, 178, NULL, '"Winged helix" DNA-binding domain', 199822),
(257710, '0051665', NULL, NULL, 73, NULL, '"Winged helix" DNA-binding domain', 199822),
(257711, '0052755', NULL, NULL, 102, NULL, '"Winged helix" DNA-binding domain', 199822),
(257712, '0053603', NULL, NULL, 60, NULL, '"Winged helix" DNA-binding domain', 199822),
(257713, '0052514', NULL, NULL, 140, NULL, '"Winged helix" DNA-binding domain', 199822),
(257714, '0054933', NULL, NULL, 140, NULL, '"Winged helix" DNA-binding domain', 199822),
(257715, '0050578', NULL, NULL, 72, NULL, '"Winged helix" DNA-binding domain', 199822),
(257716, '0052633', NULL, NULL, 76, NULL, '"Winged helix" DNA-binding domain', 199822),
(257717, '0048817', NULL, NULL, 88, NULL, '"Winged helix" DNA-binding domain', 199822),
(257718, '0042156', NULL, NULL, 125, NULL, '"Winged helix" DNA-binding domain', 199822),
(257719, '0052508', NULL, NULL, 89, NULL, '"Winged helix" DNA-binding domain', 199822),
(257720, '0044211', NULL, NULL, 124, NULL, '"Winged helix" DNA-binding domain', 199822),
(257721, '0051672', NULL, NULL, 82, NULL, '"Winged helix" DNA-binding domain', 199822),
(257722, '0052641', NULL, NULL, 136, NULL, '"Winged helix" DNA-binding domain', 199822),
(257723, '0052640', NULL, NULL, 137, NULL, '"Winged helix" DNA-binding domain', 199822),
(257724, '0048143', NULL, NULL, 138, NULL, '"Winged helix" DNA-binding domain', 199822),
(257725, '0038753', NULL, NULL, 71, NULL, '"Winged helix" DNA-binding domain', 199822),
(257726, '0047290', NULL, NULL, 73, NULL, '"Winged helix" DNA-binding domain', 199822),
(257727, '0054945', NULL, NULL, 80, NULL, '"Winged helix" DNA-binding domain', 199822),
(257728, '0054702', NULL, NULL, 149, NULL, '"Winged helix" DNA-binding domain', 199822),
(257729, '0052644', NULL, NULL, 172, NULL, '"Winged helix" DNA-binding domain', 199822),
(257730, '0043935', NULL, NULL, 94, NULL, '"Winged helix" DNA-binding domain', 199822),
(257731, '0048703', NULL, NULL, 82, NULL, '"Winged helix" DNA-binding domain', 199822),
(257732, '0049363', NULL, NULL, 122, NULL, '"Winged helix" DNA-binding domain', 199822),
(257733, '0054036', NULL, NULL, 78, NULL, '"Winged helix" DNA-binding domain', 199822),
(257734, '0051444', NULL, NULL, 114, NULL, '"Winged helix" DNA-binding domain', 199822),
(257735, '0054152', NULL, NULL, 133, NULL, '"Winged helix" DNA-binding domain', 199822),
(257736, '0040679', NULL, NULL, 61, NULL, '"Winged helix" DNA-binding domain', 199822),
(257737, '0047195', NULL, NULL, 125, NULL, '"Winged helix" DNA-binding domain', 199822);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(257738, '0048042', NULL, NULL, 64, NULL, '"Winged helix" DNA-binding domain', 199822),
(257739, '0054842', NULL, NULL, 135, NULL, '"Winged helix" DNA-binding domain', 199822),
(257740, '0048041', NULL, NULL, 73, NULL, '"Winged helix" DNA-binding domain', 199822),
(257741, '0037767', NULL, NULL, 80, NULL, '"Winged helix" DNA-binding domain', 199822),
(257742, '0037648', NULL, NULL, 98, NULL, '"Winged helix" DNA-binding domain', 199822),
(257743, '0038616', NULL, NULL, 106, NULL, '"Winged helix" DNA-binding domain', 199822),
(257744, '0053759', NULL, NULL, 136, NULL, '"Winged helix" DNA-binding domain', 199822),
(257745, '0051455', NULL, NULL, 71, NULL, '"Winged helix" DNA-binding domain', 199822),
(257746, '0054845', NULL, NULL, 78, NULL, '"Winged helix" DNA-binding domain', 199822),
(257747, '0051337', NULL, NULL, 138, NULL, '"Winged helix" DNA-binding domain', 199822),
(257748, '0035347', NULL, NULL, 75, NULL, '"Winged helix" DNA-binding domain', 199822),
(257749, '0045339', NULL, NULL, 109, NULL, '"Winged helix" DNA-binding domain', 199822),
(257750, '0040682', NULL, NULL, 60, NULL, '"Winged helix" DNA-binding domain', 199822),
(257751, '0039384', NULL, NULL, 65, NULL, '"Winged helix" DNA-binding domain', 199822),
(257752, '0048601', NULL, NULL, 100, NULL, '"Winged helix" DNA-binding domain', 199822),
(257753, '0040207', NULL, NULL, 75, NULL, '"Winged helix" DNA-binding domain', 199822),
(257754, '0048605', NULL, NULL, 61, NULL, '"Winged helix" DNA-binding domain', 199822),
(257755, '0054732', NULL, NULL, 70, NULL, '"Winged helix" DNA-binding domain', 199822),
(257756, '0049384', NULL, NULL, 109, NULL, '"Winged helix" DNA-binding domain', 199822),
(257757, '0050373', NULL, NULL, 110, NULL, '"Winged helix" DNA-binding domain', 199822),
(257758, '0054851', NULL, NULL, 84, NULL, '"Winged helix" DNA-binding domain', 199822),
(257759, '0054059', NULL, NULL, 69, NULL, '"Winged helix" DNA-binding domain', 199822),
(257760, '0054850', NULL, NULL, 84, NULL, '"Winged helix" DNA-binding domain', 199822),
(257761, '0048177', NULL, NULL, 75, NULL, '"Winged helix" DNA-binding domain', 199822),
(257762, '0044373', NULL, NULL, 109, NULL, '"Winged helix" DNA-binding domain', 199822),
(257763, '0037759', NULL, NULL, 94, NULL, '"Winged helix" DNA-binding domain', 199822),
(257764, '0036548', NULL, NULL, 69, NULL, '"Winged helix" DNA-binding domain', 199822),
(257765, '0042079', NULL, NULL, 62, NULL, '"Winged helix" DNA-binding domain', 199822),
(257766, '0036540', NULL, NULL, 76, NULL, '"Winged helix" DNA-binding domain', 199822),
(257767, '0043164', NULL, NULL, 90, NULL, '"Winged helix" DNA-binding domain', 199822),
(257768, '0047523', NULL, NULL, 57, NULL, '"Winged helix" DNA-binding domain', 199822),
(257769, '0054295', NULL, NULL, 85, NULL, '"Winged helix" DNA-binding domain', 199822),
(257770, '0054290', NULL, NULL, 143, NULL, '"Winged helix" DNA-binding domain', 199822),
(257771, '0046435', NULL, NULL, 90, NULL, '"Winged helix" DNA-binding domain', 199822),
(257772, '0044258', NULL, NULL, 100, NULL, '"Winged helix" DNA-binding domain', 199822),
(257773, '0054291', NULL, NULL, 117, NULL, '"Winged helix" DNA-binding domain', 199822),
(257774, '0044139', NULL, NULL, 86, NULL, '"Winged helix" DNA-binding domain', 199822),
(257775, '0049944', NULL, NULL, 190, NULL, '"Winged helix" DNA-binding domain', 199822),
(257776, '0049152', NULL, NULL, 103, NULL, '"Winged helix" DNA-binding domain', 199822),
(257777, '0054069', NULL, NULL, 84, NULL, '"Winged helix" DNA-binding domain', 199822),
(257778, '0049151', NULL, NULL, 129, NULL, '"Winged helix" DNA-binding domain', 199822),
(257779, '0051354', NULL, NULL, 88, NULL, '"Winged helix" DNA-binding domain', 199822),
(257780, '0048861', NULL, NULL, 88, NULL, '"Winged helix" DNA-binding domain', 199822),
(257781, '0039808', NULL, NULL, 98, NULL, '"Winged helix" DNA-binding domain', 199822),
(257782, '0047770', NULL, NULL, 100, NULL, '"Winged helix" DNA-binding domain', 199822),
(257783, '0049276', NULL, NULL, 85, NULL, '"Winged helix" DNA-binding domain', 199822);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(257784, '0054502', NULL, NULL, 92, NULL, '"Winged helix" DNA-binding domain', 199822),
(257785, '0040586', NULL, NULL, 141, NULL, '"Winged helix" DNA-binding domain', 199822),
(257786, '0037861', NULL, NULL, 115, NULL, '"Winged helix" DNA-binding domain', 199822),
(257787, '0042087', NULL, NULL, 110, NULL, '"Winged helix" DNA-binding domain', 199822),
(257788, '0054062', NULL, NULL, 73, NULL, '"Winged helix" DNA-binding domain', 199822),
(257789, '0045910', NULL, NULL, 127, NULL, '"Winged helix" DNA-binding domain', 199822),
(257790, '0053241', NULL, NULL, 109, NULL, 'Gated mechanosensitive channel', 199823),
(257791, '0044490', NULL, NULL, 81, NULL, 'HR1 repeat', 199824),
(257792, '0036192', NULL, NULL, 86, NULL, 'HR1 repeat', 199824),
(257793, '0048650', NULL, NULL, 161, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257794, '0051405', NULL, NULL, 158, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257795, '0051605', NULL, NULL, 175, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257796, '0051269', NULL, NULL, 179, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257797, '0053226', NULL, NULL, 267, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257798, '0048859', NULL, NULL, 289, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257799, '0048796', NULL, NULL, 183, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257800, '0048895', NULL, NULL, 160, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257801, '0044477', NULL, NULL, 177, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257802, '0046339', NULL, NULL, 361, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257803, '0052102', NULL, NULL, 175, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257804, '0047672', NULL, NULL, 181, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257805, '0051273', NULL, NULL, 245, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257806, '0036754', NULL, NULL, 175, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257807, '0042917', NULL, NULL, 179, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257808, '0052448', NULL, NULL, 177, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257809, '0040861', NULL, NULL, 252, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257810, '0038971', NULL, NULL, 256, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257811, '0036270', NULL, NULL, 177, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257812, '0042100', NULL, NULL, 179, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257813, '0046541', NULL, NULL, 124, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257814, '0048522', NULL, NULL, 123, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257815, '0043498', NULL, NULL, 235, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257816, '0046545', NULL, NULL, 124, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257817, '0047535', NULL, NULL, 323, NULL, 'DHS-like NAD/FAD-binding domain', 199825),
(257818, '0049462', NULL, NULL, 119, NULL, 'alpha-catenin/vinculin-like', 199826),
(257819, '0051871', NULL, NULL, 136, NULL, 'alpha-catenin/vinculin-like', 199826),
(257820, '0049466', NULL, NULL, 137, NULL, 'alpha-catenin/vinculin-like', 199826),
(257821, '0046372', NULL, NULL, 205, NULL, 'alpha-catenin/vinculin-like', 199826),
(257822, '0049465', NULL, NULL, 72, NULL, 'alpha-catenin/vinculin-like', 199826),
(257823, '0049464', NULL, NULL, 158, NULL, 'alpha-catenin/vinculin-like', 199826),
(257824, '0049463', NULL, NULL, 117, NULL, 'alpha-catenin/vinculin-like', 199826),
(257825, '0043279', NULL, NULL, 132, NULL, 'alpha-catenin/vinculin-like', 199826),
(257826, '0047128', NULL, NULL, 131, NULL, 'alpha-catenin/vinculin-like', 199826),
(257827, '0038436', NULL, NULL, 124, NULL, 'alpha-catenin/vinculin-like', 199826),
(257828, '0048976', NULL, NULL, 181, NULL, 'alpha-catenin/vinculin-like', 199826),
(257829, '0049191', NULL, NULL, 130, NULL, 'alpha-catenin/vinculin-like', 199826),
(257830, '0049000', NULL, NULL, 360, NULL, 'Aldolase', 199827),
(257831, '0052334', NULL, NULL, 319, NULL, 'Aldolase', 199827),
(257832, '0047183', NULL, NULL, 347, NULL, 'Aldolase', 199827);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(257833, '0050239', NULL, NULL, 295, NULL, 'Aldolase', 199827),
(257834, '0050359', NULL, NULL, 293, NULL, 'Aldolase', 199827),
(257835, '0050278', NULL, NULL, 218, NULL, 'Aldolase', 199827),
(257836, '0036525', NULL, NULL, 358, NULL, 'Aldolase', 199827),
(257837, '0035351', NULL, NULL, 326, NULL, 'Aldolase', 199827),
(257838, '0045763', NULL, NULL, 363, NULL, 'Aldolase', 199827),
(257839, '0048312', NULL, NULL, 291, NULL, 'Aldolase', 199827),
(257840, '0049247', NULL, NULL, 305, NULL, 'Aldolase', 199827),
(257841, '0046975', NULL, NULL, 343, NULL, 'Aldolase', 199827),
(257842, '0049848', NULL, NULL, 211, NULL, 'Aldolase', 199827),
(257843, '0043346', NULL, NULL, 303, NULL, 'Aldolase', 199827),
(257844, '0046338', NULL, NULL, 292, NULL, 'Aldolase', 199827),
(257845, '0051011', NULL, NULL, 292, NULL, 'Aldolase', 199827),
(257846, '0046461', NULL, NULL, 328, NULL, 'Aldolase', 199827),
(257847, '0048245', NULL, NULL, 216, NULL, 'Aldolase', 199827),
(257848, '0049453', NULL, NULL, 310, NULL, 'Aldolase', 199827),
(257849, '0051933', NULL, NULL, 462, NULL, 'Aldolase', 199827),
(257850, '0052702', NULL, NULL, 420, NULL, 'Aldolase', 199827),
(257851, '0047070', NULL, NULL, 284, NULL, 'Aldolase', 199827),
(257852, '0050246', NULL, NULL, 205, NULL, 'Aldolase', 199827),
(257853, '0051699', NULL, NULL, 256, NULL, 'Aldolase', 199827),
(257854, '0046628', NULL, NULL, 213, NULL, 'Aldolase', 199827),
(257855, '0041693', NULL, NULL, 295, NULL, 'Aldolase', 199827),
(257856, '0046665', NULL, NULL, 322, NULL, 'Aldolase', 199827),
(257857, '0046741', NULL, NULL, 360, NULL, 'Aldolase', 199827),
(257858, '0041658', NULL, NULL, 251, NULL, 'Aldolase', 199827),
(257859, '0051144', NULL, NULL, 296, NULL, 'Aldolase', 199827),
(257860, '0048294', NULL, NULL, 234, NULL, 'Aldolase', 199827),
(257861, '0049382', NULL, NULL, 236, NULL, 'Aldolase', 199827),
(257862, '0048453', NULL, NULL, 289, NULL, 'Aldolase', 199827),
(257863, '0048496', NULL, NULL, 281, NULL, 'Aldolase', 199827),
(257864, '0049661', NULL, NULL, 291, NULL, 'Aldolase', 199827),
(257865, '0050734', NULL, NULL, 211, NULL, 'Aldolase', 199827),
(257866, '0050339', NULL, NULL, 319, NULL, 'Aldolase', 199827),
(257867, '0051345', NULL, NULL, 341, NULL, 'Aldolase', 199827),
(257868, '0048611', NULL, NULL, 316, NULL, 'Aldolase', 199827),
(257869, '0046878', NULL, NULL, 263, NULL, 'Aldolase', 199827),
(257870, '0050143', NULL, NULL, 226, NULL, 'Aldolase', 199827),
(257871, '0049279', NULL, NULL, 338, NULL, 'Aldolase', 199827),
(257872, '0048586', NULL, NULL, 251, NULL, 'Aldolase', 199827),
(257873, '0050945', NULL, NULL, 342, NULL, 'Aldolase', 199827),
(257874, '0051114', NULL, NULL, 280, NULL, 'Aldolase', 199827),
(257875, '0045714', NULL, NULL, 342, NULL, 'Aldolase', 199827),
(257876, '0046606', NULL, NULL, 357, NULL, 'Aldolase', 199827),
(257877, '0039482', NULL, NULL, 252, NULL, 'Aldolase', 199827),
(257878, '0047939', NULL, NULL, 220, NULL, 'Aldolase', 199827),
(257879, '0041152', NULL, NULL, 225, NULL, 'Aldolase', 199827),
(257880, '0046288', NULL, NULL, 284, NULL, 'Aldolase', 199827),
(257881, '0046720', NULL, NULL, 293, NULL, 'Aldolase', 199827),
(257882, '0050181', NULL, NULL, 212, NULL, 'Aldolase', 199827),
(257883, '0048940', NULL, NULL, 252, NULL, 'Aldolase', 199827),
(257884, '0046689', NULL, NULL, 357, NULL, 'Aldolase', 199827),
(257885, '0045877', NULL, NULL, 323, NULL, 'Aldolase', 199827),
(257886, '0040960', NULL, NULL, 80, NULL, 'Cytochrome b5-like heme/steroid binding domain', 199828),
(257887, '0036519', NULL, NULL, 94, NULL, 'Cytochrome b5-like heme/steroid binding domain', 199828),
(257888, '0040012', NULL, NULL, 97, NULL, 'Cytochrome b5-like heme/steroid binding domain', 199828),
(257889, '0035243', NULL, NULL, 86, NULL, 'Cytochrome b5-like heme/steroid binding domain', 199828),
(257890, '0035258', NULL, NULL, 94, NULL, 'Cytochrome b5-like heme/steroid binding domain', 199828),
(257891, '0038614', NULL, NULL, 104, NULL, 'Cytochrome b5-like heme/steroid binding domain', 199828),
(257892, '0038968', NULL, NULL, 87, NULL, 'Cytochrome b5-like heme/steroid binding domain', 199828);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(257893, '0036191', NULL, NULL, 81, NULL, 'Cytochrome b5-like heme/steroid binding domain', 199828),
(257894, '0043686', NULL, NULL, 91, NULL, 'Cytochrome b5-like heme/steroid binding domain', 199828),
(257895, '0043820', NULL, NULL, 109, NULL, 'Cytochrome b5-like heme/steroid binding domain', 199828),
(257896, '0051265', NULL, NULL, 236, NULL, 'Carbamate kinase-like', 199829),
(257897, '0051682', NULL, NULL, 236, NULL, 'Carbamate kinase-like', 199829),
(257898, '0053148', NULL, NULL, 292, NULL, 'Carbamate kinase-like', 199829),
(257899, '0053112', NULL, NULL, 219, NULL, 'Carbamate kinase-like', 199829),
(257900, '0051530', NULL, NULL, 238, NULL, 'Carbamate kinase-like', 199829),
(257901, '0052013', NULL, NULL, 237, NULL, 'Carbamate kinase-like', 199829),
(257902, '0052046', NULL, NULL, 282, NULL, 'Carbamate kinase-like', 199829),
(257903, '0053023', NULL, NULL, 302, NULL, 'Carbamate kinase-like', 199829),
(257904, '0045891', NULL, NULL, 307, NULL, 'Carbamate kinase-like', 199829),
(257905, '0052030', NULL, NULL, 225, NULL, 'Carbamate kinase-like', 199829),
(257906, '0052151', NULL, NULL, 304, NULL, 'Carbamate kinase-like', 199829),
(257907, '0036708', NULL, NULL, 313, NULL, 'Carbamate kinase-like', 199829),
(257908, '0051788', NULL, NULL, 250, NULL, 'Carbamate kinase-like', 199829),
(257909, '0038241', NULL, NULL, 258, NULL, 'Carbamate kinase-like', 199829),
(257910, '0051807', NULL, NULL, 291, NULL, 'Carbamate kinase-like', 199829),
(257911, '0052050', NULL, NULL, 300, NULL, 'Carbamate kinase-like', 199829),
(257912, '0053834', NULL, NULL, 118, NULL, 'V-type ATPase subunit E-like', 199830),
(257913, '0041756', NULL, NULL, 128, NULL, 'AXH domain', 199831),
(257914, '0051165', NULL, NULL, 169, NULL, 'YceI-like', 199832),
(257915, '0050707', NULL, NULL, 176, NULL, 'YceI-like', 199832),
(257916, '0044733', NULL, NULL, 237, NULL, 'HlyD-like secretion proteins', 199833),
(257917, '0054410', NULL, NULL, 152, NULL, 'Ligand-binding domain in the NO signalling and Golgi transport', 199834),
(257918, '0050429', NULL, NULL, 161, NULL, 'Ligand-binding domain in the NO signalling and Golgi transport', 199834),
(257919, '0044205', NULL, NULL, 188, NULL, 'Ligand-binding domain in the NO signalling and Golgi transport', 199834),
(257920, '0054190', NULL, NULL, 168, NULL, 'Ligand-binding domain in the NO signalling and Golgi transport', 199834),
(257921, '0048123', NULL, NULL, 75, NULL, 'Prokaryotic SH3-related domain', 199835),
(257922, '0048124', NULL, NULL, 86, NULL, 'Prokaryotic SH3-related domain', 199835),
(257923, '0048125', NULL, NULL, 78, NULL, 'Prokaryotic SH3-related domain', 199835),
(257924, '0051050', NULL, NULL, 134, NULL, 'Prokaryotic SH3-related domain', 199835),
(257925, '0051786', NULL, NULL, 74, NULL, 'Prokaryotic SH3-related domain', 199835),
(257926, '0051785', NULL, NULL, 72, NULL, 'Prokaryotic SH3-related domain', 199835),
(257927, '0052525', NULL, NULL, 74, NULL, 'Prokaryotic SH3-related domain', 199835),
(257928, '0054895', NULL, NULL, 510, NULL, 'TPR-like', 199836),
(257929, '0052670', NULL, NULL, 179, NULL, 'TPR-like', 199836),
(257930, '0054057', NULL, NULL, 156, NULL, 'TPR-like', 199836),
(257931, '0046495', NULL, NULL, 185, NULL, 'TPR-like', 199836),
(257932, '0051240', NULL, NULL, 138, NULL, 'TPR-like', 199836),
(257933, '0054395', NULL, NULL, 529, NULL, 'TPR-like', 199836),
(257934, '0051845', NULL, NULL, 231, NULL, 'TPR-like', 199836),
(257935, '0051642', NULL, NULL, 145, NULL, 'TPR-like', 199836),
(257936, '0050358', NULL, NULL, 388, NULL, 'TPR-like', 199836),
(257937, '0042932', NULL, NULL, 290, NULL, 'TPR-like', 199836),
(257938, '0040251', NULL, NULL, 168, NULL, 'TPR-like', 199836),
(257939, '0039276', NULL, NULL, 133, NULL, 'TPR-like', 199836),
(257940, '0048699', NULL, NULL, 170, NULL, 'TPR-like', 199836),
(257941, '0048732', NULL, NULL, 152, NULL, 'TPR-like', 199836),
(257942, '0054096', NULL, NULL, 179, NULL, 'TPR-like', 199836),
(257943, '0046753', NULL, NULL, 323, NULL, 'TPR-like', 199836),
(257944, '0047366', NULL, NULL, 169, NULL, 'TPR-like', 199836),
(257945, '0049644', NULL, NULL, 95, NULL, 'TPR-like', 199836);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(257946, '0047272', NULL, NULL, 366, NULL, 'TPR-like', 199836),
(257947, '0054886', NULL, NULL, 507, NULL, 'TPR-like', 199836),
(257948, '0051253', NULL, NULL, 497, NULL, 'TPR-like', 199836),
(257949, '0052100', NULL, NULL, 201, NULL, 'TPR-like', 199836),
(257950, '0054961', NULL, NULL, 459, NULL, 'TPR-like', 199836),
(257951, '0045692', NULL, NULL, 159, NULL, 'TPR-like', 199836),
(257952, '0046583', NULL, NULL, 128, NULL, 'TPR-like', 199836),
(257953, '0051037', NULL, NULL, 259, NULL, 'TPR-like', 199836),
(257954, '0052646', NULL, NULL, 153, NULL, 'TPR-like', 199836),
(257955, '0046585', NULL, NULL, 117, NULL, 'TPR-like', 199836),
(257956, '0047256', NULL, NULL, 112, NULL, 'TPR-like', 199836),
(257957, '0049816', NULL, NULL, 249, NULL, '(2r)-phospho-3-sulfolactate synthase ComA', 199837),
(257958, '0049056', NULL, NULL, 251, NULL, '(2r)-phospho-3-sulfolactate synthase ComA', 199837),
(257959, '0047948', NULL, NULL, 99, NULL, 'Transglutaminase, two C-terminal domains', 199838),
(257960, '0047947', NULL, NULL, 114, NULL, 'Transglutaminase, two C-terminal domains', 199838),
(257961, '0046894', NULL, NULL, 101, NULL, 'Transglutaminase, two C-terminal domains', 199838),
(257962, '0047885', NULL, NULL, 117, NULL, 'Transglutaminase, two C-terminal domains', 199838),
(257963, '0046893', NULL, NULL, 112, NULL, 'Transglutaminase, two C-terminal domains', 199838),
(257964, '0047886', NULL, NULL, 102, NULL, 'Transglutaminase, two C-terminal domains', 199838),
(257965, '0046676', NULL, NULL, 112, NULL, 'Transglutaminase, two C-terminal domains', 199838),
(257966, '0046677', NULL, NULL, 101, NULL, 'Transglutaminase, two C-terminal domains', 199838),
(257967, '0054037', NULL, NULL, 109, NULL, 'YqcC-like', 199839),
(257968, '0053165', NULL, NULL, 140, NULL, 'Rv1873-like', 199840),
(257969, '0036608', NULL, NULL, 120, NULL, 'dUTPase-like', 199841),
(257970, '0051089', NULL, NULL, 193, NULL, 'dUTPase-like', 199841),
(257971, '0042623', NULL, NULL, 142, NULL, 'dUTPase-like', 199841),
(257972, '0049409', NULL, NULL, 153, NULL, 'dUTPase-like', 199841),
(257973, '0052041', NULL, NULL, 113, NULL, 'dUTPase-like', 199841),
(257974, '0052042', NULL, NULL, 136, NULL, 'dUTPase-like', 199841),
(257975, '0050315', NULL, NULL, 159, NULL, 'dUTPase-like', 199841),
(257976, '0037428', NULL, NULL, 133, NULL, 'dUTPase-like', 199841),
(257977, '0041842', NULL, NULL, 175, NULL, 'dUTPase-like', 199841),
(257978, '0049218', NULL, NULL, 152, NULL, 'dUTPase-like', 199841),
(257979, '0050518', NULL, NULL, 98, NULL, 'Putative methyltransferase TM0872, insert domain', 199842),
(257980, '0040828', NULL, NULL, 101, NULL, 'Putative methyltransferase TM0872, insert domain', 199842),
(257981, '0048419', NULL, NULL, 134, NULL, 'Growth factor receptor domain', 199843),
(257982, '0047362', NULL, NULL, 150, NULL, 'Growth factor receptor domain', 199843),
(257983, '0048303', NULL, NULL, 157, NULL, 'Growth factor receptor domain', 199843),
(257984, '0048304', NULL, NULL, 119, NULL, 'Growth factor receptor domain', 199843),
(257985, '0048103', NULL, NULL, 145, NULL, 'Growth factor receptor domain', 199843),
(257986, '0048301', NULL, NULL, 157, NULL, 'Growth factor receptor domain', 199843),
(257987, '0048104', NULL, NULL, 132, NULL, 'Growth factor receptor domain', 199843),
(257988, '0048302', NULL, NULL, 120, NULL, 'Growth factor receptor domain', 199843),
(257989, '0047449', NULL, NULL, 149, NULL, 'Growth factor receptor domain', 199843),
(257990, '0045987', NULL, NULL, 46, NULL, 'Growth factor receptor domain', 199843),
(257991, '0053842', NULL, NULL, 92, NULL, 'Growth factor receptor domain', 199843),
(257992, '0053854', NULL, NULL, 155, NULL, 'Growth factor receptor domain', 199843),
(257993, '0054841', NULL, NULL, 167, NULL, 'MtlR-like', 199844),
(257994, '0054877', NULL, NULL, 168, NULL, 'MtlR-like', 199844),
(257995, '0037549', NULL, NULL, 85, NULL, 'Ribosomal protein L31e', 199845),
(257996, '0052706', NULL, NULL, 74, NULL, 'YozE-like', 199846),
(257997, '0054337', NULL, NULL, 70, NULL, 'YozE-like', 199846),
(257998, '0053730', NULL, NULL, 121, NULL, 'ParB/Sulfiredoxin', 199847);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(257999, '0054066', NULL, NULL, 201, NULL, 'ParB/Sulfiredoxin', 199847),
(258000, '0044819', NULL, NULL, 232, NULL, 'ParB/Sulfiredoxin', 199847),
(258001, '0044920', NULL, NULL, 93, NULL, 'ParB/Sulfiredoxin', 199847),
(258002, '0054079', NULL, NULL, 169, NULL, 'HI0933 insert domain-like', 199848),
(258003, '0053968', NULL, NULL, 148, NULL, 'HI0933 insert domain-like', 199848),
(258004, '0050658', NULL, NULL, 88, NULL, 'RelE-like', 199849),
(258005, '0051527', NULL, NULL, 88, NULL, 'RelE-like', 199849),
(258006, '0051714', NULL, NULL, 83, NULL, 'RelE-like', 199849),
(258007, '0042849', NULL, NULL, 316, NULL, 'Methenyltetrahydromethanopterin cyclohydrolase', 199850),
(258008, '0043206', NULL, NULL, 221, NULL, 'Sec7 domain', 199851),
(258009, '0045924', NULL, NULL, 200, NULL, 'Sec7 domain', 199851),
(258010, '0042242', NULL, NULL, 195, NULL, 'Sec7 domain', 199851),
(258011, '0047880', NULL, NULL, 211, NULL, 'Sec7 domain', 199851),
(258012, '0051097', NULL, NULL, 197, NULL, 'Sec7 domain', 199851),
(258013, '0054637', NULL, NULL, 188, NULL, 'Sec7 domain', 199851),
(258014, '0047790', NULL, NULL, 218, NULL, 'Translin', 199852),
(258015, '0042586', NULL, NULL, 63, NULL, 'Phenylalanine zipper', 199853),
(258016, '0049482', NULL, NULL, 318, NULL, 'RuBisCo, C-terminal domain', 199854),
(258017, '0051333', NULL, NULL, 283, NULL, 'RuBisCo, C-terminal domain', 199854),
(258018, '0052386', NULL, NULL, 291, NULL, 'RuBisCo, C-terminal domain', 199854),
(258019, '0046969', NULL, NULL, 307, NULL, 'RuBisCo, C-terminal domain', 199854),
(258020, '0049140', NULL, NULL, 328, NULL, 'RuBisCo, C-terminal domain', 199854),
(258021, '0053330', NULL, NULL, 320, NULL, 'RuBisCo, C-terminal domain', 199854),
(258022, '0053361', NULL, NULL, 320, NULL, 'RuBisCo, C-terminal domain', 199854),
(258023, '0046036', NULL, NULL, 317, NULL, 'RuBisCo, C-terminal domain', 199854),
(258024, '0050437', NULL, NULL, 325, NULL, 'RuBisCo, C-terminal domain', 199854),
(258025, '0046026', NULL, NULL, 328, NULL, 'RuBisCo, C-terminal domain', 199854),
(258026, '0053380', NULL, NULL, 328, NULL, 'RuBisCo, C-terminal domain', 199854),
(258027, '0046999', NULL, NULL, 326, NULL, 'RuBisCo, C-terminal domain', 199854),
(258028, '0037266', NULL, NULL, 37, NULL, 'Photosystem II reaction centre subunit H, transmembrane region', 199855),
(258029, '0036659', NULL, NULL, 36, NULL, 'Photosystem II reaction centre subunit H, transmembrane region', 199855),
(258030, '0045434', NULL, NULL, 35, NULL, 'Photosystem II reaction centre subunit H, transmembrane region', 199855),
(258031, '0039560', NULL, NULL, 212, NULL, 'delta-Endotoxin (insectocide), middle domain', 199856),
(258032, '0036011', NULL, NULL, 206, NULL, 'delta-Endotoxin (insectocide), middle domain', 199856),
(258033, '0036484', NULL, NULL, 210, NULL, 'delta-Endotoxin (insectocide), middle domain', 199856),
(258034, '0047311', NULL, NULL, 209, NULL, 'delta-Endotoxin (insectocide), middle domain', 199856),
(258035, '0038205', NULL, NULL, 102, NULL, 'Glutamyl tRNA-reductase dimerization domain', 199857),
(258036, '0036496', NULL, NULL, 104, NULL, 'Alpha-L RNA-binding motif', 199858),
(258037, '0047871', NULL, NULL, 59, NULL, 'Alpha-L RNA-binding motif', 199858),
(258038, '0039540', NULL, NULL, 99, NULL, 'Alpha-L RNA-binding motif', 199858),
(258039, '0047115', NULL, NULL, 81, NULL, 'Alpha-L RNA-binding motif', 199858),
(258040, '0035794', NULL, NULL, 159, NULL, 'Alpha-L RNA-binding motif', 199858),
(258041, '0037616', NULL, NULL, 208, NULL, 'Alpha-L RNA-binding motif', 199858),
(258042, '0042206', NULL, NULL, 79, NULL, 'Alpha-L RNA-binding motif', 199858),
(258043, '0044787', NULL, NULL, 58, NULL, 'Alpha-L RNA-binding motif', 199858),
(258044, '0053986', NULL, NULL, 204, NULL, 'Alpha-L RNA-binding motif', 199858),
(258045, '0051865', NULL, NULL, 101, NULL, 'E2F-DP heterodimerization region', 199859),
(258046, '0051864', NULL, NULL, 148, NULL, 'E2F-DP heterodimerization region', 199859),
(258047, '0049983', NULL, NULL, 97, NULL, 'Acylphosphatase/BLUF domain-like', 199860),
(258048, '0045805', NULL, NULL, 98, NULL, 'Acylphosphatase/BLUF domain-like', 199860); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(258049, '0047079', NULL, NULL, 88, NULL, 'Acylphosphatase/BLUF domain-like', 199860),
(258050, '0051381', NULL, NULL, 114, NULL, 'Acylphosphatase/BLUF domain-like', 199860),
(258051, '0052052', NULL, NULL, 121, NULL, 'Acylphosphatase/BLUF domain-like', 199860),
(258052, '0052074', NULL, NULL, 136, NULL, 'Acylphosphatase/BLUF domain-like', 199860),
(258053, '0049941', NULL, NULL, 87, NULL, 'Acylphosphatase/BLUF domain-like', 199860),
(258054, '0050769', NULL, NULL, 142, NULL, 'Acylphosphatase/BLUF domain-like', 199860),
(258055, '0051747', NULL, NULL, 98, NULL, 'Acylphosphatase/BLUF domain-like', 199860),
(258056, '0050347', NULL, NULL, 90, NULL, 'Acylphosphatase/BLUF domain-like', 199860),
(258057, '0037540', NULL, NULL, 115, NULL, 'Ribosomal proteins L15p and L18e', 199861),
(258058, '0052972', NULL, NULL, 140, NULL, 'Ribosomal proteins L15p and L18e', 199861),
(258059, '0054780', NULL, NULL, 141, NULL, 'Ribosomal proteins L15p and L18e', 199861),
(258060, '0037538', NULL, NULL, 151, NULL, 'Ribosomal proteins L15p and L18e', 199861),
(258061, '0054182', NULL, NULL, 146, NULL, 'Ribosomal proteins L15p and L18e', 199861),
(258062, '0053754', NULL, NULL, 93, NULL, 'HP0242-like', 199862),
(258063, '0052695', NULL, NULL, 83, NULL, 'ImmE5-like', 199863),
(258064, '0047261', NULL, NULL, 41, NULL, 'Satiety factor CART (cocaine and amphetamine regulated transcript)', 199864),
(258065, '0038620', NULL, NULL, 86, NULL, 'Hairpin loop containing domain-like', 199865),
(258066, '0038925', NULL, NULL, 89, NULL, 'Hairpin loop containing domain-like', 199865),
(258067, '0035558', NULL, NULL, 92, NULL, 'Hairpin loop containing domain-like', 199865),
(258068, '0038850', NULL, NULL, 61, NULL, 'PABC (PABP) domain', 199866),
(258069, '0041463', NULL, NULL, 85, NULL, 'PABC (PABP) domain', 199866),
(258070, '0038011', NULL, NULL, 144, NULL, 'PABC (PABP) domain', 199866),
(258071, '0038997', NULL, NULL, 92, NULL, 'PABC (PABP) domain', 199866),
(258072, '0039536', NULL, NULL, 98, NULL, 'PABC (PABP) domain', 199866),
(258073, '0050495', NULL, NULL, 136, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258074, '0052179', NULL, NULL, 149, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258075, '0054798', NULL, NULL, 122, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258076, '0046395', NULL, NULL, 137, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258077, '0044591', NULL, NULL, 141, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258078, '0044929', NULL, NULL, 138, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258079, '0036566', NULL, NULL, 145, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258080, '0036565', NULL, NULL, 130, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258081, '0053329', NULL, NULL, 140, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258082, '0049161', NULL, NULL, 142, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258083, '0036823', NULL, NULL, 174, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258084, '0050498', NULL, NULL, 138, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258085, '0053207', NULL, NULL, 133, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258086, '0036844', NULL, NULL, 166, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258087, '0038166', NULL, NULL, 136, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258088, '0048916', NULL, NULL, 131, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258089, '0036281', NULL, NULL, 141, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258090, '0044352', NULL, NULL, 138, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258091, '0049647', NULL, NULL, 157, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258092, '0046160', NULL, NULL, 129, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(258093, '0054742', NULL, NULL, 142, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258094, '0053890', NULL, NULL, 126, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258095, '0035482', NULL, NULL, 123, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258096, '0049239', NULL, NULL, 143, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258097, '0045699', NULL, NULL, 132, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', 199867),
(258098, '0053244', NULL, NULL, 86, NULL, 'Mechanosensitive channel protein MscS (YggB), transmembrane region', 199868),
(258099, '0054067', NULL, NULL, 116, NULL, 'FinO-like', 199869),
(258100, '0036630', NULL, NULL, 152, NULL, 'FinO-like', 199869),
(258101, '0037907', NULL, NULL, 94, NULL, 'YlxR-like', 199870),
(258102, '0035025', NULL, NULL, 81, NULL, 'Chemotaxis receptor methyltransferase CheR, N-terminal domain', 199871),
(258103, '0047393', NULL, NULL, 74, NULL, 'YajQ-like', 199872),
(258104, '0047392', NULL, NULL, 88, NULL, 'YajQ-like', 199872),
(258105, '0053141', NULL, NULL, 91, NULL, 'Ribosomal protein L9 C-domain', 199873),
(258106, '0053996', NULL, NULL, 91, NULL, 'Ribosomal protein L9 C-domain', 199873),
(258107, '0036447', NULL, NULL, 94, NULL, 'Ribosomal protein L9 C-domain', 199873),
(258108, '0051639', NULL, NULL, 124, NULL, 'RNase III domain-like', 199874),
(258109, '0044214', NULL, NULL, 127, NULL, 'RNase III domain-like', 199874),
(258110, '0047579', NULL, NULL, 148, NULL, 'RNase III domain-like', 199874),
(258111, '0041655', NULL, NULL, 169, NULL, 'RNase III domain-like', 199874),
(258112, '0054120', NULL, NULL, 92, NULL, 'SpoVG-like', 199875),
(258113, '0054117', NULL, NULL, 84, NULL, 'SpoVG-like', 199875),
(258114, '0050897', NULL, NULL, 68, NULL, 'Accessory protein X4 (ORF8, ORF7a)', 199876),
(258115, '0054963', NULL, NULL, 127, NULL, 'BT0923-like', 199877),
(258116, '0054942', NULL, NULL, 126, NULL, 'BT0923-like', 199877),
(258117, '0044420', NULL, NULL, 81, NULL, 'SBT domain', 199878),
(258118, '0044421', NULL, NULL, 86, NULL, 'SBT domain', 199878),
(258119, '0050603', NULL, NULL, 58, NULL, 'SBT domain', 199878),
(258120, '0053829', NULL, NULL, 56, NULL, 'Zinc hairpin stack', 199879),
(258121, '0047052', NULL, NULL, 80, NULL, 'HMG-box', 199880),
(258122, '0053585', NULL, NULL, 77, NULL, 'HMG-box', 199880),
(258123, '0034978', NULL, NULL, 83, NULL, 'HMG-box', 199880),
(258124, '0053586', NULL, NULL, 79, NULL, 'HMG-box', 199880),
(258125, '0050064', NULL, NULL, 101, NULL, 'HMG-box', 199880),
(258126, '0053174', NULL, NULL, 86, NULL, 'HMG-box', 199880),
(258127, '0035973', NULL, NULL, 93, NULL, 'HMG-box', 199880),
(258128, '0039979', NULL, NULL, 91, NULL, 'HMG-box', 199880),
(258129, '0038826', NULL, NULL, 70, NULL, 'HMG-box', 199880),
(258130, '0050522', NULL, NULL, 90, NULL, 'HMG-box', 199880),
(258131, '0047509', NULL, NULL, 85, NULL, 'HMG-box', 199880),
(258132, '0044636', NULL, NULL, 108, NULL, 'HMG-box', 199880),
(258133, '0039362', NULL, NULL, 77, NULL, 'HMG-box', 199880),
(258134, '0049027', NULL, NULL, 73, NULL, 'HMG-box', 199880),
(258135, '0047504', NULL, NULL, 78, NULL, 'HMG-box', 199880),
(258136, '0040422', NULL, NULL, 84, NULL, 'HMG-box', 199880),
(258137, '0047732', NULL, NULL, 360, NULL, 'Tricorn protease domain 2', 199881),
(258138, '0052825', NULL, NULL, 77, NULL, 'PE/PPE dimer-like', 199882),
(258139, '0052826', NULL, NULL, 173, NULL, 'PE/PPE dimer-like', 199882),
(258140, '0037009', NULL, NULL, 33, NULL, 'Bacterial ba3 type cytochrome c oxidase subunit IIa', 199883),
(258141, '0054632', NULL, NULL, 312, NULL, 'NAD kinase/diacylglycerol kinase-like', 199884),
(258142, '0054453', NULL, NULL, 299, NULL, 'NAD kinase/diacylglycerol kinase-like', 199884),
(258143, '0044184', NULL, NULL, 302, NULL, 'NAD kinase/diacylglycerol kinase-like', 199884),
(258144, '0043771', NULL, NULL, 249, NULL, 'NAD kinase/diacylglycerol kinase-like', 199884),
(258145, '0053755', NULL, NULL, 295, NULL, 'NAD kinase/diacylglycerol kinase-like', 199884),
(258146, '0043724', NULL, NULL, 282, NULL, 'CbiD-like', 199885);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(258147, '0052880', NULL, NULL, 89, NULL, 'Vng1086c-like', 199886),
(258148, '0038551', NULL, NULL, 77, NULL, 'Chaperone J-domain', 199887),
(258149, '0039212', NULL, NULL, 88, NULL, 'Chaperone J-domain', 199887),
(258150, '0037729', NULL, NULL, 76, NULL, 'Chaperone J-domain', 199887),
(258151, '0048279', NULL, NULL, 182, NULL, 'Chaperone J-domain', 199887),
(258152, '0046983', NULL, NULL, 114, NULL, 'Chaperone J-domain', 199887),
(258153, '0045028', NULL, NULL, 75, NULL, 'Chaperone J-domain', 199887),
(258154, '0037467', NULL, NULL, 79, NULL, 'Chaperone J-domain', 199887),
(258155, '0050633', NULL, NULL, 94, NULL, 'Chaperone J-domain', 199887),
(258156, '0052688', NULL, NULL, 84, NULL, 'Rv2632c-like', 199888),
(258157, '0052772', NULL, NULL, 439, NULL, 'Formate dehydrogenase/DMSO reductase, domains 1-3', 199889),
(258158, '0037183', NULL, NULL, 622, NULL, 'Formate dehydrogenase/DMSO reductase, domains 1-3', 199889),
(258159, '0038360', NULL, NULL, 812, NULL, 'Formate dehydrogenase/DMSO reductase, domains 1-3', 199889),
(258160, '0045382', NULL, NULL, 597, NULL, 'Formate dehydrogenase/DMSO reductase, domains 1-3', 199889),
(258161, '0040209', NULL, NULL, 817, NULL, 'Formate dehydrogenase/DMSO reductase, domains 1-3', 199889),
(258162, '0037989', NULL, NULL, 679, NULL, 'Formate dehydrogenase/DMSO reductase, domains 1-3', 199889),
(258163, '0042561', NULL, NULL, 1074, NULL, 'Formate dehydrogenase/DMSO reductase, domains 1-3', 199889),
(258164, '0044013', NULL, NULL, 728, NULL, 'Formate dehydrogenase/DMSO reductase, domains 1-3', 199889),
(258165, '0044058', NULL, NULL, 627, NULL, 'Formate dehydrogenase/DMSO reductase, domains 1-3', 199889),
(258166, '0053129', NULL, NULL, 564, NULL, 'Formate dehydrogenase/DMSO reductase, domains 1-3', 199889),
(258167, '0036504', NULL, NULL, 623, NULL, 'Formate dehydrogenase/DMSO reductase, domains 1-3', 199889),
(258168, '0041852', NULL, NULL, 670, NULL, 'Formate dehydrogenase/DMSO reductase, domains 1-3', 199889),
(258169, '0041628', NULL, NULL, 163, NULL, 'FAS1 domain', 199890),
(258170, '0041721', NULL, NULL, 157, NULL, 'FAS1 domain', 199890),
(258171, '0041720', NULL, NULL, 140, NULL, 'FAS1 domain', 199890),
(258172, '0048461', NULL, NULL, 467, NULL, 'Seven-hairpin glycosidases', 199891),
(258173, '0046353', NULL, NULL, 511, NULL, 'Seven-hairpin glycosidases', 199891),
(258174, '0047864', NULL, NULL, 475, NULL, 'Seven-hairpin glycosidases', 199891),
(258175, '0047169', NULL, NULL, 488, NULL, 'Seven-hairpin glycosidases', 199891),
(258176, '0046831', NULL, NULL, 457, NULL, 'Seven-hairpin glycosidases', 199891),
(258177, '0052372', NULL, NULL, 229, NULL, 'Cullin repeat-like', 199892),
(258178, '0051932', NULL, NULL, 551, NULL, 'Cullin repeat-like', 199892),
(258179, '0047960', NULL, NULL, 394, NULL, 'Cullin repeat-like', 199892),
(258180, '0054070', NULL, NULL, 347, NULL, 'Cullin repeat-like', 199892),
(258181, '0043405', NULL, NULL, 174, NULL, 'DinB/YfiT-like putative metalloenzymes', 199893),
(258182, '0052571', NULL, NULL, 141, NULL, 'DinB/YfiT-like putative metalloenzymes', 199893),
(258183, '0054452', NULL, NULL, 142, NULL, 'DinB/YfiT-like putative metalloenzymes', 199893),
(258184, '0054297', NULL, NULL, 160, NULL, 'DinB/YfiT-like putative metalloenzymes', 199893),
(258185, '0054050', NULL, NULL, 147, NULL, 'DinB/YfiT-like putative metalloenzymes', 199893),
(258186, '0054407', NULL, NULL, 171, NULL, 'DinB/YfiT-like putative metalloenzymes', 199893),
(258187, '0054416', NULL, NULL, 183, NULL, 'DinB/YfiT-like putative metalloenzymes', 199893),
(258188, '0048872', NULL, NULL, 229, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258189, '0045925', NULL, NULL, 229, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258190, '0038685', NULL, NULL, 222, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258191, '0045927', NULL, NULL, 218, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258192, '0039395', NULL, NULL, 151, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258193, '0045926', NULL, NULL, 213, NULL, 'LuxS/MPP-like metallohydrolase', 199894);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(258194, '0035451', NULL, NULL, 204, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258195, '0039394', NULL, NULL, 161, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258196, '0047225', NULL, NULL, 237, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258197, '0039094', NULL, NULL, 151, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258198, '0048875', NULL, NULL, 240, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258199, '0047226', NULL, NULL, 217, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258200, '0048873', NULL, NULL, 228, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258201, '0047224', NULL, NULL, 220, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258202, '0048874', NULL, NULL, 240, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258203, '0052685', NULL, NULL, 196, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258204, '0052686', NULL, NULL, 268, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258205, '0052684', NULL, NULL, 258, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258206, '0046661', NULL, NULL, 202, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258207, '0046660', NULL, NULL, 217, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258208, '0039429', NULL, NULL, 154, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258209, '0035487', NULL, NULL, 215, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258210, '0052687', NULL, NULL, 257, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258211, '0037288', NULL, NULL, 150, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258212, '0035485', NULL, NULL, 233, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258213, '0045938', NULL, NULL, 204, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258214, '0045937', NULL, NULL, 213, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258215, '0037285', NULL, NULL, 213, NULL, 'LuxS/MPP-like metallohydrolase', 199894),
(258216, '0040176', NULL, NULL, 129, NULL, 'HprK N-terminal domain-like', 199895),
(258217, '0054151', NULL, NULL, 120, NULL, 'HprK N-terminal domain-like', 199895),
(258218, '0040169', NULL, NULL, 132, NULL, 'HprK N-terminal domain-like', 199895),
(258219, '0049172', NULL, NULL, 333, NULL, 'Putative isomerase YbhE', 199896),
(258220, '0040400', NULL, NULL, 121, NULL, 'Thiol:disulfide interchange protein DsbD, N-terminal domain (DsbD-alpha)', 199897),
(258221, '0053951', NULL, NULL, 164, NULL, 'NMB0488-like', 199898),
(258222, '0051608', NULL, NULL, 82, NULL, 'TTP0101/SSO1404-like', 199899),
(258223, '0054077', NULL, NULL, 84, NULL, 'TTP0101/SSO1404-like', 199899),
(258224, '0054163', NULL, NULL, 88, NULL, 'TTP0101/SSO1404-like', 199899),
(258225, '0053412', NULL, NULL, 32, NULL, 'Triple coiled coil domain of C-type lectins', 199900),
(258226, '0053483', NULL, NULL, 40, NULL, 'Triple coiled coil domain of C-type lectins', 199900),
(258227, '0053439', NULL, NULL, 24, NULL, 'Triple coiled coil domain of C-type lectins', 199900),
(258228, '0053505', NULL, NULL, 26, NULL, 'Triple coiled coil domain of C-type lectins', 199900),
(258229, '0053438', NULL, NULL, 28, NULL, 'Triple coiled coil domain of C-type lectins', 199900),
(258230, '0039973', NULL, NULL, 509, NULL, 'Adenylylcyclase toxin (the edema factor)', 199901),
(258231, '0035905', NULL, NULL, 227, NULL, 'CytB endotoxin-like', 199902),
(258232, '0042412', NULL, NULL, 194, NULL, 'CytB endotoxin-like', 199902),
(258233, '0048581', NULL, NULL, 136, NULL, 'Sensory domain-like', 199903),
(258234, '0054475', NULL, NULL, 172, NULL, 'Sensory domain-like', 199903),
(258235, '0051947', NULL, NULL, 145, NULL, 'Sensory domain-like', 199903),
(258236, '0054474', NULL, NULL, 93, NULL, 'Sensory domain-like', 199903),
(258237, '0054044', NULL, NULL, 219, NULL, 'Sensory domain-like', 199903),
(258238, '0048676', NULL, NULL, 131, NULL, 'Sensory domain-like', 199903),
(258239, '0053099', NULL, NULL, 166, NULL, 'UbiD C-terminal domain-like', 199904),
(258240, '0050396', NULL, NULL, 132, NULL, 'TK C-terminal domain-like', 199905),
(258241, '0042966', NULL, NULL, 134, NULL, 'TK C-terminal domain-like', 199905);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(258242, '0035298', NULL, NULL, 157, NULL, 'TK C-terminal domain-like', 199905),
(258243, '0039199', NULL, NULL, 136, NULL, 'TK C-terminal domain-like', 199905),
(258244, '0039060', NULL, NULL, 135, NULL, 'TK C-terminal domain-like', 199905),
(258245, '0044441', NULL, NULL, 137, NULL, 'TK C-terminal domain-like', 199905),
(258246, '0036598', NULL, NULL, 138, NULL, 'TK C-terminal domain-like', 199905),
(258247, '0049137', NULL, NULL, 143, NULL, 'TK C-terminal domain-like', 199905),
(258248, '0040414', NULL, NULL, 186, NULL, 'TK C-terminal domain-like', 199905),
(258249, '0041404', NULL, NULL, 138, NULL, 'TK C-terminal domain-like', 199905),
(258250, '0044103', NULL, NULL, 146, NULL, 'TK C-terminal domain-like', 199905),
(258251, '0042763', NULL, NULL, 136, NULL, 'TK C-terminal domain-like', 199905),
(258252, '0034977', NULL, NULL, 158, NULL, 'Influenza virus matrix protein M1', 199906),
(258253, '0047695', NULL, NULL, 226, NULL, 'Hedgehog/intein (Hint) domain', 199907),
(258254, '0035098', NULL, NULL, 199, NULL, 'Hedgehog/intein (Hint) domain', 199907),
(258255, '0036550', NULL, NULL, 169, NULL, 'Hedgehog/intein (Hint) domain', 199907),
(258256, '0035189', NULL, NULL, 145, NULL, 'Hedgehog/intein (Hint) domain', 199907),
(258257, '0038214', NULL, NULL, 229, NULL, 'Hedgehog/intein (Hint) domain', 199907),
(258258, '0048160', NULL, NULL, 158, NULL, 'Hedgehog/intein (Hint) domain', 199907),
(258259, '0046171', NULL, NULL, 166, NULL, 'PurM N-terminal domain-like', 199908),
(258260, '0043867', NULL, NULL, 200, NULL, 'PurM N-terminal domain-like', 199908),
(258261, '0054760', NULL, NULL, 113, NULL, 'PurM N-terminal domain-like', 199908),
(258262, '0050217', NULL, NULL, 162, NULL, 'PurM N-terminal domain-like', 199908),
(258263, '0050216', NULL, NULL, 165, NULL, 'PurM N-terminal domain-like', 199908),
(258264, '0050291', NULL, NULL, 137, NULL, 'PurM N-terminal domain-like', 199908),
(258265, '0049528', NULL, NULL, 209, NULL, 'PurM N-terminal domain-like', 199908),
(258266, '0054801', NULL, NULL, 152, NULL, 'PurM N-terminal domain-like', 199908),
(258267, '0039848', NULL, NULL, 41, NULL, 'A DNA-binding domain in eukaryotic transcription factors', 199909),
(258268, '0043644', NULL, NULL, 74, NULL, 'A DNA-binding domain in eukaryotic transcription factors', 199909),
(258269, '0044734', NULL, NULL, 215, NULL, 'Poly A polymerase C-terminal region-like', 199910),
(258270, '0042030', NULL, NULL, 204, NULL, 'Poly A polymerase C-terminal region-like', 199910),
(258271, '0040956', NULL, NULL, 265, NULL, 'Poly A polymerase C-terminal region-like', 199910),
(258272, '0042164', NULL, NULL, 427, NULL, 'CoA-transferase family III (CaiB/BaiF)', 199911),
(258273, '0050868', NULL, NULL, 359, NULL, 'CoA-transferase family III (CaiB/BaiF)', 199911),
(258274, '0042642', NULL, NULL, 417, NULL, 'CoA-transferase family III (CaiB/BaiF)', 199911),
(258275, '0050996', NULL, NULL, 402, NULL, 'CoA-transferase family III (CaiB/BaiF)', 199911),
(258276, '0035812', NULL, NULL, 217, NULL, 'gene 59 helicase assembly protein', 199912),
(258277, '0053262', NULL, NULL, 115, NULL, 'DOPA-like', 199913),
(258278, '0042501', NULL, NULL, 447, NULL, 'MFS general substrate transporter', 199914),
(258279, '0042480', NULL, NULL, 417, NULL, 'MFS general substrate transporter', 199914),
(258280, '0054629', NULL, NULL, 85, NULL, 'Ta0600-like', 199915),
(258281, '0054636', NULL, NULL, 88, NULL, 'Ta0600-like', 199915),
(258282, '0042646', NULL, NULL, 68, NULL, 'Blood coagulation inhibitor (disintegrin)', 199916),
(258283, '0041045', NULL, NULL, 41, NULL, 'Blood coagulation inhibitor (disintegrin)', 199916),
(258284, '0041221', NULL, NULL, 68, NULL, 'Blood coagulation inhibitor (disintegrin)', 199916),
(258285, '0043969', NULL, NULL, 62, NULL, 'Blood coagulation inhibitor (disintegrin)', 199916),
(258286, '0047500', NULL, NULL, 68, NULL, 'Blood coagulation inhibitor (disintegrin)', 199916),
(258287, '0045254', NULL, NULL, 49, NULL, 'Blood coagulation inhibitor (disintegrin)', 199916),
(258288, '0043970', NULL, NULL, 63, NULL, 'Blood coagulation inhibitor (disintegrin)', 199916);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(258289, '0043312', NULL, NULL, 64, NULL, 'Blood coagulation inhibitor (disintegrin)', 199916),
(258290, '0040378', NULL, NULL, 73, NULL, 'Blood coagulation inhibitor (disintegrin)', 199916),
(258291, '0051066', NULL, NULL, 231, NULL, 'YaeB-like', 199917),
(258292, '0036407', NULL, NULL, 31, NULL, 'Metallothionein', 199918),
(258293, '0040718', NULL, NULL, 28, NULL, 'Metallothionein', 199918),
(258294, '0045371', NULL, NULL, 31, NULL, 'Metallothionein', 199918),
(258295, '0040717', NULL, NULL, 30, NULL, 'Metallothionein', 199918),
(258296, '0045363', NULL, NULL, 30, NULL, 'Metallothionein', 199918),
(258297, '0036498', NULL, NULL, 28, NULL, 'Metallothionein', 199918),
(258298, '0039564', NULL, NULL, 37, NULL, 'Metallothionein', 199918),
(258299, '0037672', NULL, NULL, 40, NULL, 'Metallothionein', 199918),
(258300, '0039376', NULL, NULL, 28, NULL, 'Metallothionein', 199918),
(258301, '0039576', NULL, NULL, 52, NULL, 'Metallothionein', 199918),
(258302, '0036497', NULL, NULL, 31, NULL, 'Metallothionein', 199918),
(258303, '0042814', NULL, NULL, 36, NULL, 'Metallothionein', 199918),
(258304, '0039375', NULL, NULL, 30, NULL, 'Metallothionein', 199918),
(258305, '0042815', NULL, NULL, 28, NULL, 'Metallothionein', 199918),
(258306, '0040935', NULL, NULL, 31, NULL, 'Metallothionein', 199918),
(258307, '0045598', NULL, NULL, 61, NULL, 'Metallothionein', 199918),
(258308, '0049522', NULL, NULL, 25, NULL, 'Metallothionein', 199918),
(258309, '0046327', NULL, NULL, 30, NULL, 'Metallothionein', 199918),
(258310, '0052554', NULL, NULL, 71, NULL, 'ACT-like', 199919),
(258311, '0053024', NULL, NULL, 67, NULL, 'ACT-like', 199919),
(258312, '0053025', NULL, NULL, 100, NULL, 'ACT-like', 199919),
(258313, '0054311', NULL, NULL, 80, NULL, 'ACT-like', 199919),
(258314, '0054630', NULL, NULL, 90, NULL, 'ACT-like', 199919),
(258315, '0048893', NULL, NULL, 84, NULL, 'ACT-like', 199919),
(258316, '0052153', NULL, NULL, 75, NULL, 'ACT-like', 199919),
(258317, '0053264', NULL, NULL, 86, NULL, 'ACT-like', 199919),
(258318, '0053265', NULL, NULL, 77, NULL, 'ACT-like', 199919),
(258319, '0052152', NULL, NULL, 91, NULL, 'ACT-like', 199919),
(258320, '0054619', NULL, NULL, 80, NULL, 'ACT-like', 199919),
(258321, '0054936', NULL, NULL, 99, NULL, 'ACT-like', 199919),
(258322, '0051307', NULL, NULL, 78, NULL, 'ACT-like', 199919),
(258323, '0051984', NULL, NULL, 82, NULL, 'ACT-like', 199919),
(258324, '0052555', NULL, NULL, 70, NULL, 'ACT-like', 199919),
(258325, '0053149', NULL, NULL, 91, NULL, 'ACT-like', 199919),
(258326, '0048810', NULL, NULL, 84, NULL, 'ACT-like', 199919),
(258327, '0054885', NULL, NULL, 95, NULL, 'ACT-like', 199919),
(258328, '0052562', NULL, NULL, 76, NULL, 'ACT-like', 199919),
(258329, '0052683', NULL, NULL, 78, NULL, 'ACT-like', 199919),
(258330, '0052563', NULL, NULL, 86, NULL, 'ACT-like', 199919),
(258331, '0049597', NULL, NULL, 88, NULL, 'ACT-like', 199919),
(258332, '0052682', NULL, NULL, 83, NULL, 'ACT-like', 199919),
(258333, '0051230', NULL, NULL, 77, NULL, 'ACT-like', 199919),
(258334, '0051577', NULL, NULL, 60, NULL, 'ACT-like', 199919),
(258335, '0051654', NULL, NULL, 64, NULL, 'ACT-like', 199919),
(258336, '0054626', NULL, NULL, 97, NULL, 'ACT-like', 199919),
(258337, '0051653', NULL, NULL, 66, NULL, 'ACT-like', 199919),
(258338, '0051578', NULL, NULL, 66, NULL, 'ACT-like', 199919),
(258339, '0051607', NULL, NULL, 83, NULL, 'ACT-like', 199919),
(258340, '0053150', NULL, NULL, 64, NULL, 'ACT-like', 199919),
(258341, '0044223', NULL, NULL, 86, NULL, 'ACT-like', 199919),
(258342, '0044224', NULL, NULL, 93, NULL, 'ACT-like', 199919),
(258343, '0043950', NULL, NULL, 91, NULL, 'ACT-like', 199919),
(258344, '0042324', NULL, NULL, 97, NULL, 'ACT-like', 199919),
(258345, '0044120', NULL, NULL, 245, NULL, 'Tubulin nucleotide-binding domain-like', 199920),
(258346, '0050371', NULL, NULL, 194, NULL, 'Tubulin nucleotide-binding domain-like', 199920),
(258347, '0044122', NULL, NULL, 243, NULL, 'Tubulin nucleotide-binding domain-like', 199920),
(258348, '0043342', NULL, NULL, 198, NULL, 'Tubulin nucleotide-binding domain-like', 199920);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(258349, '0041832', NULL, NULL, 198, NULL, 'Tubulin nucleotide-binding domain-like', 199920),
(258350, '0053757', NULL, NULL, 244, NULL, 'Tubulin nucleotide-binding domain-like', 199920),
(258351, '0050368', NULL, NULL, 209, NULL, 'Tubulin nucleotide-binding domain-like', 199920),
(258352, '0052123', NULL, NULL, 204, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258353, '0048464', NULL, NULL, 235, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258354, '0053198', NULL, NULL, 224, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258355, '0052143', NULL, NULL, 192, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258356, '0053130', NULL, NULL, 220, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258357, '0051910', NULL, NULL, 404, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258358, '0051516', NULL, NULL, 301, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258359, '0050069', NULL, NULL, 254, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258360, '0052426', NULL, NULL, 250, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258361, '0051128', NULL, NULL, 247, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258362, '0038723', NULL, NULL, 381, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258363, '0041730', NULL, NULL, 331, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258364, '0053151', NULL, NULL, 235, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258365, '0052092', NULL, NULL, 196, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258366, '0044323', NULL, NULL, 412, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258367, '0054093', NULL, NULL, 261, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258368, '0047723', NULL, NULL, 310, NULL, 'Glycoside hydrolase/deacetylase', 199921),
(258369, '0044966', NULL, NULL, 87, NULL, 'GroEL-intermediate domain like', 199922),
(258370, '0042604', NULL, NULL, 108, NULL, 'GroEL-intermediate domain like', 199922),
(258371, '0041816', NULL, NULL, 98, NULL, 'GroEL-intermediate domain like', 199922),
(258372, '0049415', NULL, NULL, 90, NULL, 'GroEL-intermediate domain like', 199922),
(258373, '0034908', NULL, NULL, 108, NULL, 'GroEL-intermediate domain like', 199922),
(258374, '0039108', NULL, NULL, 98, NULL, 'GroEL-intermediate domain like', 199922),
(258375, '0045722', NULL, NULL, 106, NULL, 'GroEL-intermediate domain like', 199922),
(258376, '0052955', NULL, NULL, 122, NULL, 'Extracellular hemoglobin linker subunit, receptor domain', 199923),
(258377, '0052953', NULL, NULL, 128, NULL, 'Extracellular hemoglobin linker subunit, receptor domain', 199923),
(258378, '0052951', NULL, NULL, 124, NULL, 'Extracellular hemoglobin linker subunit, receptor domain', 199923),
(258379, '0037730', NULL, NULL, 95, NULL, 'HSC20 (HSCB), C-terminal oligomerisation domain', 199924),
(258380, '0039786', NULL, NULL, 72, NULL, 'Hemolysin expression modulating protein HHA', 199925),
(258381, '0054111', NULL, NULL, 221, NULL, 'XCC0632-like', 199926),
(258382, '0054154', NULL, NULL, 178, NULL, 'XCC0632-like', 199926),
(258383, '0043895', NULL, NULL, 124, NULL, 'Rbstp2229 protein', 199927),
(258384, '0037312', NULL, NULL, 155, NULL, 'Diphtheria toxin, C-terminal domain', 199928),
(258385, '0039134', NULL, NULL, 88, NULL, 'Hypothetical protein MTH1880', 199929),
(258386, '0039058', NULL, NULL, 122, NULL, 'Frizzled cysteine-rich domain', 199930),
(258387, '0039057', NULL, NULL, 125, NULL, 'Frizzled cysteine-rich domain', 199930),
(258388, '0049460', NULL, NULL, 48, NULL, 'Plexin repeat', 199931),
(258389, '0041917', NULL, NULL, 56, NULL, 'Plexin repeat', 199931),
(258390, '0049403', NULL, NULL, 49, NULL, 'Plexin repeat', 199931),
(258391, '0053613', NULL, NULL, 57, NULL, 'Plexin repeat', 199931),
(258392, '0035120', NULL, NULL, 27, NULL, 'Neurotoxin III (ATX III)', 199932),
(258393, '0049924', NULL, NULL, 110, NULL, 'WWE domain', 199933),
(258394, '0053688', NULL, NULL, 89, NULL, 'WWE domain', 199933),
(258395, '0053689', NULL, NULL, 80, NULL, 'WWE domain', 199933),
(258396, '0045856', NULL, NULL, 31, NULL, 'SinR repressor dimerisation domain-like', 199934);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(258397, '0045854', NULL, NULL, 35, NULL, 'SinR repressor dimerisation domain-like', 199934),
(258398, '0036704', NULL, NULL, 239, NULL, 'Family A G protein-coupled receptor-like', 199935),
(258399, '0037432', NULL, NULL, 348, NULL, 'Family A G protein-coupled receptor-like', 199935),
(258400, '0050980', NULL, NULL, 226, NULL, 'Family A G protein-coupled receptor-like', 199935),
(258401, '0035839', NULL, NULL, 222, NULL, 'Family A G protein-coupled receptor-like', 199935),
(258402, '0035878', NULL, NULL, 196, NULL, 'Family A G protein-coupled receptor-like', 199935),
(258403, '0047106', NULL, NULL, 225, NULL, 'Family A G protein-coupled receptor-like', 199935),
(258404, '0044248', NULL, NULL, 236, NULL, 'Family A G protein-coupled receptor-like', 199935),
(258405, '0046065', NULL, NULL, 134, NULL, 'TNF-like', 199936),
(258406, '0044063', NULL, NULL, 144, NULL, 'TNF-like', 199936),
(258407, '0054573', NULL, NULL, 116, NULL, 'TNF-like', 199936),
(258408, '0054584', NULL, NULL, 125, NULL, 'TNF-like', 199936),
(258409, '0045792', NULL, NULL, 146, NULL, 'TNF-like', 199936),
(258410, '0036412', NULL, NULL, 162, NULL, 'TNF-like', 199936),
(258411, '0051107', NULL, NULL, 137, NULL, 'TNF-like', 199936),
(258412, '0053308', NULL, NULL, 148, NULL, 'TNF-like', 199936),
(258413, '0053008', NULL, NULL, 126, NULL, 'TNF-like', 199936),
(258414, '0053009', NULL, NULL, 128, NULL, 'TNF-like', 199936),
(258415, '0039757', NULL, NULL, 155, NULL, 'TNF-like', 199936),
(258416, '0039541', NULL, NULL, 144, NULL, 'TNF-like', 199936),
(258417, '0038234', NULL, NULL, 132, NULL, 'TNF-like', 199936),
(258418, '0048519', NULL, NULL, 131, NULL, 'TNF-like', 199936),
(258419, '0045607', NULL, NULL, 148, NULL, 'TNF-like', 199936),
(258420, '0048776', NULL, NULL, 129, NULL, 'TNF-like', 199936),
(258421, '0042351', NULL, NULL, 133, NULL, 'TNF-like', 199936),
(258422, '0042352', NULL, NULL, 132, NULL, 'TNF-like', 199936),
(258423, '0043266', NULL, NULL, 140, NULL, 'TNF-like', 199936),
(258424, '0053445', NULL, NULL, 94, NULL, 'XRCC4, C-terminal oligomerization domain', 199937),
(258425, '0053581', NULL, NULL, 61, NULL, 'XRCC4, C-terminal oligomerization domain', 199937),
(258426, '0049039', NULL, NULL, 114, NULL, 'Subdomain of clathrin and coatomer appendage domain', 199938),
(258427, '0043123', NULL, NULL, 111, NULL, 'Subdomain of clathrin and coatomer appendage domain', 199938),
(258428, '0036758', NULL, NULL, 113, NULL, 'Subdomain of clathrin and coatomer appendage domain', 199938),
(258429, '0039633', NULL, NULL, 377, NULL, 'V-region of surface antigen I/II (SA I/II, PAC)', 199939),
(258430, '0044778', NULL, NULL, 55, NULL, 'Neurotoxin B-IV', 199940),
(258431, '0035624', NULL, NULL, 90, NULL, 'Methionine synthase domain', 199941),
(258432, '0051365', NULL, NULL, 131, NULL, 'C-type lectin-like', 199942),
(258433, '0049565', NULL, NULL, 143, NULL, 'C-type lectin-like', 199942),
(258434, '0042096', NULL, NULL, 131, NULL, 'C-type lectin-like', 199942),
(258435, '0050635', NULL, NULL, 150, NULL, 'C-type lectin-like', 199942),
(258436, '0035634', NULL, NULL, 178, NULL, 'C-type lectin-like', 199942),
(258437, '0049081', NULL, NULL, 119, NULL, 'C-type lectin-like', 199942),
(258438, '0037892', NULL, NULL, 118, NULL, 'C-type lectin-like', 199942),
(258439, '0039794', NULL, NULL, 124, NULL, 'C-type lectin-like', 199942),
(258440, '0038340', NULL, NULL, 139, NULL, 'C-type lectin-like', 199942),
(258441, '0042097', NULL, NULL, 123, NULL, 'C-type lectin-like', 199942),
(258442, '0047544', NULL, NULL, 122, NULL, 'C-type lectin-like', 199942),
(258443, '0041727', NULL, NULL, 98, NULL, 'C-type lectin-like', 199942),
(258444, '0044992', NULL, NULL, 140, NULL, 'C-type lectin-like', 199942),
(258445, '0048999', NULL, NULL, 133, NULL, 'C-type lectin-like', 199942),
(258446, '0050046', NULL, NULL, 125, NULL, 'C-type lectin-like', 199942),
(258447, '0051179', NULL, NULL, 129, NULL, 'C-type lectin-like', 199942),
(258448, '0037805', NULL, NULL, 125, NULL, 'C-type lectin-like', 199942),
(258449, '0035828', NULL, NULL, 135, NULL, 'C-type lectin-like', 199942);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(258450, '0039821', NULL, NULL, 135, NULL, 'C-type lectin-like', 199942),
(258451, '0044448', NULL, NULL, 125, NULL, 'C-type lectin-like', 199942),
(258452, '0046868', NULL, NULL, 133, NULL, 'C-type lectin-like', 199942),
(258453, '0039269', NULL, NULL, 123, NULL, 'C-type lectin-like', 199942),
(258454, '0039984', NULL, NULL, 128, NULL, 'C-type lectin-like', 199942),
(258455, '0043955', NULL, NULL, 126, NULL, 'C-type lectin-like', 199942),
(258456, '0044527', NULL, NULL, 150, NULL, 'C-type lectin-like', 199942),
(258457, '0038730', NULL, NULL, 117, NULL, 'C-type lectin-like', 199942),
(258458, '0039268', NULL, NULL, 129, NULL, 'C-type lectin-like', 199942),
(258459, '0051409', NULL, NULL, 210, NULL, 'C-type lectin-like', 199942),
(258460, '0051408', NULL, NULL, 210, NULL, 'C-type lectin-like', 199942),
(258461, '0046069', NULL, NULL, 125, NULL, 'C-type lectin-like', 199942),
(258462, '0047796', NULL, NULL, 136, NULL, 'C-type lectin-like', 199942),
(258463, '0048802', NULL, NULL, 83, NULL, 'C-type lectin-like', 199942),
(258464, '0053191', NULL, NULL, 112, NULL, 'C-type lectin-like', 199942),
(258465, '0046900', NULL, NULL, 118, NULL, 'C-type lectin-like', 199942),
(258466, '0046789', NULL, NULL, 122, NULL, 'C-type lectin-like', 199942),
(258467, '0042149', NULL, NULL, 122, NULL, 'C-type lectin-like', 199942),
(258468, '0044447', NULL, NULL, 135, NULL, 'C-type lectin-like', 199942),
(258469, '0036827', NULL, NULL, 117, NULL, 'C-type lectin-like', 199942),
(258470, '0049147', NULL, NULL, 111, NULL, 'C-type lectin-like', 199942),
(258471, '0049420', NULL, NULL, 179, NULL, 'C-type lectin-like', 199942),
(258472, '0036666', NULL, NULL, 168, NULL, 'C-type lectin-like', 199942),
(258473, '0036620', NULL, NULL, 128, NULL, 'C-type lectin-like', 199942),
(258474, '0035579', NULL, NULL, 129, NULL, 'C-type lectin-like', 199942),
(258475, '0038485', NULL, NULL, 115, NULL, 'C-type lectin-like', 199942),
(258476, '0042435', NULL, NULL, 86, NULL, 'C-type lectin-like', 199942),
(258477, '0044536', NULL, NULL, 140, NULL, 'C-type lectin-like', 199942),
(258478, '0042437', NULL, NULL, 86, NULL, 'C-type lectin-like', 199942),
(258479, '0035372', NULL, NULL, 121, NULL, 'C-type lectin-like', 199942),
(258480, '0047401', NULL, NULL, 123, NULL, 'C-type lectin-like', 199942),
(258481, '0046554', NULL, NULL, 135, NULL, 'C-type lectin-like', 199942),
(258482, '0047400', NULL, NULL, 129, NULL, 'C-type lectin-like', 199942),
(258483, '0044410', NULL, NULL, 131, NULL, 'C-type lectin-like', 199942),
(258484, '0036181', NULL, NULL, 100, NULL, 'C-type lectin-like', 199942),
(258485, '0044411', NULL, NULL, 124, NULL, 'C-type lectin-like', 199942),
(258486, '0049550', NULL, NULL, 109, NULL, 'C-type lectin-like', 199942),
(258487, '0046041', NULL, NULL, 123, NULL, 'C-type lectin-like', 199942),
(258488, '0044061', NULL, NULL, 137, NULL, 'C-type lectin-like', 199942),
(258489, '0049355', NULL, NULL, 127, NULL, 'C-type lectin-like', 199942),
(258490, '0049354', NULL, NULL, 132, NULL, 'C-type lectin-like', 199942),
(258491, '0045154', NULL, NULL, 129, NULL, 'C-type lectin-like', 199942),
(258492, '0051196', NULL, NULL, 267, NULL, 'C-type lectin-like', 199942),
(258493, '0040181', NULL, NULL, 172, NULL, 'C-type lectin-like', 199942),
(258494, '0042719', NULL, NULL, 144, NULL, 'C-type lectin-like', 199942),
(258495, '0035288', NULL, NULL, 121, NULL, 'C-type lectin-like', 199942),
(258496, '0037303', NULL, NULL, 98, NULL, 'C-type lectin-like', 199942),
(258497, '0051512', NULL, NULL, 286, NULL, 'C-type lectin-like', 199942),
(258498, '0038672', NULL, NULL, 123, NULL, 'C-type lectin-like', 199942),
(258499, '0038795', NULL, NULL, 124, NULL, 'C-type lectin-like', 199942),
(258500, '0047699', NULL, NULL, 123, NULL, 'C-type lectin-like', 199942),
(258501, '0040505', NULL, NULL, 116, NULL, 'C-type lectin-like', 199942),
(258502, '0040503', NULL, NULL, 115, NULL, 'C-type lectin-like', 199942),
(258503, '0040502', NULL, NULL, 113, NULL, 'C-type lectin-like', 199942),
(258504, '0037144', NULL, NULL, 38, NULL, 'Protozoan pheromone proteins', 199943); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(258505, '0038541', NULL, NULL, 37, NULL, 'Protozoan pheromone proteins', 199943),
(258506, '0037141', NULL, NULL, 40, NULL, 'Protozoan pheromone proteins', 199943),
(258507, '0045263', NULL, NULL, 40, NULL, 'Protozoan pheromone proteins', 199943),
(258508, '0037147', NULL, NULL, 39, NULL, 'Protozoan pheromone proteins', 199943),
(258509, '0038333', NULL, NULL, 178, NULL, 'Macro domain-like', 199944),
(258510, '0043702', NULL, NULL, 172, NULL, 'Macro domain-like', 199944),
(258511, '0051618', NULL, NULL, 186, NULL, 'Macro domain-like', 199944),
(258512, '0051619', NULL, NULL, 189, NULL, 'Macro domain-like', 199944),
(258513, '0051745', NULL, NULL, 168, NULL, 'Macro domain-like', 199944),
(258514, '0048378', NULL, NULL, 264, NULL, 'Macro domain-like', 199944),
(258515, '0038610', NULL, NULL, 192, NULL, 'Macro domain-like', 199944),
(258516, '0040436', NULL, NULL, 159, NULL, 'Macro domain-like', 199944),
(258517, '0052679', NULL, NULL, 154, NULL, 'Macro domain-like', 199944),
(258518, '0051014', NULL, NULL, 116, NULL, 'Voltage-gated potassium channels', 199945),
(258519, '0040580', NULL, NULL, 80, NULL, 'Voltage-gated potassium channels', 199945),
(258520, '0042184', NULL, NULL, 116, NULL, 'Voltage-gated potassium channels', 199945),
(258521, '0053690', NULL, NULL, 97, NULL, 'Voltage-gated potassium channels', 199945),
(258522, '0037417', NULL, NULL, 160, NULL, 'Voltage-gated potassium channels', 199945),
(258523, '0041998', NULL, NULL, 223, NULL, 'Voltage-gated potassium channels', 199945),
(258524, '0035014', NULL, NULL, 144, NULL, 'Zn-binding domains of ADDBP', 199946),
(258525, '0035013', NULL, NULL, 120, NULL, 'Zn-binding domains of ADDBP', 199946),
(258526, '0053558', NULL, NULL, 305, NULL, 'Methyl-accepting chemotaxis protein (MCP) signaling domain', 199947),
(258527, '0053501', NULL, NULL, 227, NULL, 'Methyl-accepting chemotaxis protein (MCP) signaling domain', 199947),
(258528, '0043439', NULL, NULL, 220, NULL, 'Sortase', 199948),
(258529, '0039050', NULL, NULL, 148, NULL, 'Sortase', 199948),
(258530, '0043027', NULL, NULL, 235, NULL, 'Sortase', 199948),
(258531, '0050032', NULL, NULL, 229, NULL, 'Electron transport accessory proteins', 199949),
(258532, '0047551', NULL, NULL, 69, NULL, 'Electron transport accessory proteins', 199949),
(258533, '0047076', NULL, NULL, 73, NULL, 'Electron transport accessory proteins', 199949),
(258534, '0052937', NULL, NULL, 59, NULL, 'Electron transport accessory proteins', 199949),
(258535, '0047424', NULL, NULL, 228, NULL, 'Electron transport accessory proteins', 199949),
(258536, '0049006', NULL, NULL, 70, NULL, 'Electron transport accessory proteins', 199949),
(258537, '0036454', NULL, NULL, 73, NULL, 'Electron transport accessory proteins', 199949),
(258538, '0048811', NULL, NULL, 69, NULL, 'Electron transport accessory proteins', 199949),
(258539, '0051765', NULL, NULL, 211, NULL, 'Electron transport accessory proteins', 199949),
(258540, '0045748', NULL, NULL, 138, NULL, 'Methylglyoxal synthase-like', 199950),
(258541, '0045907', NULL, NULL, 148, NULL, 'Methylglyoxal synthase-like', 199950),
(258542, '0051559', NULL, NULL, 157, NULL, 'Methylglyoxal synthase-like', 199950),
(258543, '0042363', NULL, NULL, 198, NULL, 'Methylglyoxal synthase-like', 199950),
(258544, '0044894', NULL, NULL, 156, NULL, 'Methylglyoxal synthase-like', 199950),
(258545, '0050669', NULL, NULL, 126, NULL, 'Methylglyoxal synthase-like', 199950),
(258546, '0037994', NULL, NULL, 197, NULL, 'Methylglyoxal synthase-like', 199950),
(258547, '0053431', NULL, NULL, 65, NULL, 'F1 ATPase inhibitor, IF1, C-terminal domain', 199951),
(258548, '0053491', NULL, NULL, 37, NULL, 'F1 ATPase inhibitor, IF1, C-terminal domain', 199951),
(258549, '0054288', NULL, NULL, 64, NULL, 'SO2669-like', 199952),
(258550, '0053979', NULL, NULL, 111, NULL, 'PG1857-like', 199953),
(258551, '0043231', NULL, NULL, 89, NULL, 'Resistin', 199954),
(258552, '0043237', NULL, NULL, 81, NULL, 'Resistin', 199954),
(258553, '0042281', NULL, NULL, 311, NULL, 'ABC transporter transmembrane region', 199955),
(258554, '0053060', NULL, NULL, 323, NULL, 'ABC transporter transmembrane region', 199955);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(258555, '0054812', NULL, NULL, 319, NULL, 'ABC transporter transmembrane region', 199955),
(258556, '0051111', NULL, NULL, 150, NULL, 'Diaminopimelate epimerase-like', 199956),
(258557, '0051110', NULL, NULL, 128, NULL, 'Diaminopimelate epimerase-like', 199956),
(258558, '0054021', NULL, NULL, 182, NULL, 'Diaminopimelate epimerase-like', 199956),
(258559, '0054022', NULL, NULL, 209, NULL, 'Diaminopimelate epimerase-like', 199956),
(258560, '0043560', NULL, NULL, 140, NULL, 'Diaminopimelate epimerase-like', 199956),
(258561, '0044177', NULL, NULL, 129, NULL, 'Diaminopimelate epimerase-like', 199956),
(258562, '0049368', NULL, NULL, 170, NULL, 'Diaminopimelate epimerase-like', 199956),
(258563, '0046029', NULL, NULL, 144, NULL, 'Diaminopimelate epimerase-like', 199956),
(258564, '0044048', NULL, NULL, 332, NULL, 'Diaminopimelate epimerase-like', 199956),
(258565, '0046028', NULL, NULL, 130, NULL, 'Diaminopimelate epimerase-like', 199956),
(258566, '0043521', NULL, NULL, 260, NULL, 'Diaminopimelate epimerase-like', 199956),
(258567, '0049758', NULL, NULL, 153, NULL, 'Diaminopimelate epimerase-like', 199956),
(258568, '0054236', NULL, NULL, 86, NULL, 'YbeD/HP0495-like', 199957),
(258569, '0049257', NULL, NULL, 87, NULL, 'YbeD/HP0495-like', 199957),
(258570, '0052697', NULL, NULL, 79, NULL, 'SP0561-like', 199958),
(258571, '0038694', NULL, NULL, 34, NULL, 'p53 tetramerization domain', 199959),
(258572, '0043538', NULL, NULL, 42, NULL, 'p53 tetramerization domain', 199959),
(258573, '0034831', NULL, NULL, 29, NULL, 'p53 tetramerization domain', 199959),
(258574, '0035795', NULL, NULL, 95, NULL, 'EF-hand', 199960),
(258575, '0037732', NULL, NULL, 190, NULL, 'EF-hand', 199960),
(258576, '0044955', NULL, NULL, 142, NULL, 'EF-hand', 199960),
(258577, '0043503', NULL, NULL, 178, NULL, 'EF-hand', 199960),
(258578, '0044956', NULL, NULL, 152, NULL, 'EF-hand', 199960),
(258579, '0049327', NULL, NULL, 182, NULL, 'EF-hand', 199960),
(258580, '0040758', NULL, NULL, 101, NULL, 'EF-hand', 199960),
(258581, '0046215', NULL, NULL, 34, NULL, 'EF-hand', 199960),
(258582, '0047425', NULL, NULL, 85, NULL, 'EF-hand', 199960),
(258583, '0043104', NULL, NULL, 89, NULL, 'EF-hand', 199960),
(258584, '0049328', NULL, NULL, 87, NULL, 'EF-hand', 199960),
(258585, '0046181', NULL, NULL, 73, NULL, 'EF-hand', 199960),
(258586, '0048241', NULL, NULL, 144, NULL, 'EF-hand', 199960),
(258587, '0048244', NULL, NULL, 89, NULL, 'EF-hand', 199960),
(258588, '0042817', NULL, NULL, 99, NULL, 'EF-hand', 199960),
(258589, '0048083', NULL, NULL, 146, NULL, 'EF-hand', 199960),
(258590, '0051413', NULL, NULL, 98, NULL, 'EF-hand', 199960),
(258591, '0038410', NULL, NULL, 84, NULL, 'EF-hand', 199960),
(258592, '0039467', NULL, NULL, 189, NULL, 'EF-hand', 199960),
(258593, '0038096', NULL, NULL, 144, NULL, 'EF-hand', 199960),
(258594, '0036594', NULL, NULL, 156, NULL, 'EF-hand', 199960),
(258595, '0040528', NULL, NULL, 146, NULL, 'EF-hand', 199960),
(258596, '0038094', NULL, NULL, 140, NULL, 'EF-hand', 199960),
(258597, '0041978', NULL, NULL, 77, NULL, 'EF-hand', 199960),
(258598, '0036627', NULL, NULL, 173, NULL, 'EF-hand', 199960),
(258599, '0049189', NULL, NULL, 110, NULL, 'EF-hand', 199960),
(258600, '0035893', NULL, NULL, 78, NULL, 'EF-hand', 199960),
(258601, '0039974', NULL, NULL, 89, NULL, 'EF-hand', 199960),
(258602, '0049061', NULL, NULL, 76, NULL, 'EF-hand', 199960),
(258603, '0049906', NULL, NULL, 189, NULL, 'EF-hand', 199960),
(258604, '0038125', NULL, NULL, 167, NULL, 'EF-hand', 199960),
(258605, '0037031', NULL, NULL, 187, NULL, 'EF-hand', 199960),
(258606, '0036461', NULL, NULL, 141, NULL, 'EF-hand', 199960),
(258607, '0047687', NULL, NULL, 172, NULL, 'EF-hand', 199960),
(258608, '0053282', NULL, NULL, 107, NULL, 'EF-hand', 199960),
(258609, '0046115', NULL, NULL, 108, NULL, 'EF-hand', 199960),
(258610, '0044062', NULL, NULL, 157, NULL, 'EF-hand', 199960),
(258611, '0047571', NULL, NULL, 192, NULL, 'EF-hand', 199960),
(258612, '0043372', NULL, NULL, 109, NULL, 'EF-hand', 199960),
(258613, '0036978', NULL, NULL, 97, NULL, 'EF-hand', 199960);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(258614, '0036977', NULL, NULL, 125, NULL, 'EF-hand', 199960),
(258615, '0048828', NULL, NULL, 109, NULL, 'EF-hand', 199960),
(258616, '0038475', NULL, NULL, 73, NULL, 'EF-hand', 199960),
(258617, '0042847', NULL, NULL, 92, NULL, 'EF-hand', 199960),
(258618, '0048820', NULL, NULL, 103, NULL, 'EF-hand', 199960),
(258619, '0049237', NULL, NULL, 108, NULL, 'EF-hand', 199960),
(258620, '0047730', NULL, NULL, 93, NULL, 'EF-hand', 199960),
(258621, '0045710', NULL, NULL, 92, NULL, 'EF-hand', 199960),
(258622, '0035639', NULL, NULL, 74, NULL, 'EF-hand', 199960),
(258623, '0054797', NULL, NULL, 170, NULL, 'EF-hand', 199960),
(258624, '0052892', NULL, NULL, 143, NULL, 'EF-hand', 199960),
(258625, '0045680', NULL, NULL, 90, NULL, 'EF-hand', 199960),
(258626, '0046010', NULL, NULL, 108, NULL, 'EF-hand', 199960),
(258627, '0035873', NULL, NULL, 68, NULL, 'EF-hand', 199960),
(258628, '0045207', NULL, NULL, 86, NULL, 'EF-hand', 199960),
(258629, '0045726', NULL, NULL, 106, NULL, 'EF-hand', 199960),
(258630, '0037250', NULL, NULL, 146, NULL, 'EF-hand', 199960),
(258631, '0045442', NULL, NULL, 185, NULL, 'EF-hand', 199960),
(258632, '0049489', NULL, NULL, 79, NULL, 'EF-hand', 199960),
(258633, '0045443', NULL, NULL, 174, NULL, 'EF-hand', 199960),
(258634, '0042454', NULL, NULL, 100, NULL, 'EF-hand', 199960),
(258635, '0041808', NULL, NULL, 147, NULL, 'EF-hand', 199960),
(258636, '0036831', NULL, NULL, 87, NULL, 'EF-hand', 199960),
(258637, '0053359', NULL, NULL, 109, NULL, 'EF-hand', 199960),
(258638, '0046706', NULL, NULL, 165, NULL, 'EF-hand', 199960),
(258639, '0035583', NULL, NULL, 181, NULL, 'EF-hand', 199960),
(258640, '0053194', NULL, NULL, 145, NULL, 'EF-hand', 199960),
(258641, '0047873', NULL, NULL, 93, NULL, 'EF-hand', 199960),
(258642, '0043035', NULL, NULL, 188, NULL, 'EF-hand', 199960),
(258643, '0053193', NULL, NULL, 145, NULL, 'EF-hand', 199960),
(258644, '0036390', NULL, NULL, 186, NULL, 'EF-hand', 199960),
(258645, '0043674', NULL, NULL, 99, NULL, 'EF-hand', 199960),
(258646, '0048602', NULL, NULL, 201, NULL, 'EF-hand', 199960),
(258647, '0048211', NULL, NULL, 90, NULL, 'EF-hand', 199960),
(258648, '0051184', NULL, NULL, 182, NULL, 'EF-hand', 199960),
(258649, '0049421', NULL, NULL, 181, NULL, 'EF-hand', 199960),
(258650, '0050653', NULL, NULL, 83, NULL, 'EF-hand', 199960),
(258651, '0039413', NULL, NULL, 86, NULL, 'EF-hand', 199960),
(258652, '0036425', NULL, NULL, 183, NULL, 'EF-hand', 199960),
(258653, '0041542', NULL, NULL, 101, NULL, 'EF-hand', 199960),
(258654, '0037597', NULL, NULL, 92, NULL, 'EF-hand', 199960),
(258655, '0049706', NULL, NULL, 118, NULL, 'EF-hand', 199960),
(258656, '0038680', NULL, NULL, 181, NULL, 'EF-hand', 199960),
(258657, '0039372', NULL, NULL, 94, NULL, 'EF-hand', 199960),
(258658, '0050649', NULL, NULL, 138, NULL, 'EF-hand', 199960),
(258659, '0043728', NULL, NULL, 151, NULL, 'EF-hand', 199960),
(258660, '0047768', NULL, NULL, 76, NULL, 'EF-hand', 199960),
(258661, '0053255', NULL, NULL, 81, NULL, 'EF-hand', 199960),
(258662, '0048981', NULL, NULL, 95, NULL, 'EF-hand', 199960),
(258663, '0037987', NULL, NULL, 187, NULL, 'EF-hand', 199960),
(258664, '0035206', NULL, NULL, 165, NULL, 'EF-hand', 199960),
(258665, '0037066', NULL, NULL, 194, NULL, 'EF-hand', 199960),
(258666, '0046726', NULL, NULL, 95, NULL, 'EF-hand', 199960),
(258667, '0039003', NULL, NULL, 75, NULL, 'EF-hand', 199960),
(258668, '0045999', NULL, NULL, 148, NULL, 'EF-hand', 199960),
(258669, '0043217', NULL, NULL, 148, NULL, 'EF-hand', 199960),
(258670, '0040067', NULL, NULL, 184, NULL, 'EF-hand', 199960),
(258671, '0039521', NULL, NULL, 134, NULL, 'EF-hand', 199960),
(258672, '0040064', NULL, NULL, 186, NULL, 'EF-hand', 199960),
(258673, '0047413', NULL, NULL, 110, NULL, 'EF-hand', 199960),
(258674, '0047377', NULL, NULL, 321, NULL, 'EF-hand', 199960),
(258675, '0048467', NULL, NULL, 176, NULL, 'EF-hand', 199960),
(258676, '0044028', NULL, NULL, 67, NULL, 'EF-hand', 199960),
(258677, '0041313', NULL, NULL, 162, NULL, 'EF-hand', 199960),
(258678, '0051142', NULL, NULL, 138, NULL, 'Ecotin, trypsin inhibitor', 199961);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(258679, '0053579', NULL, NULL, 131, NULL, 'Ecotin, trypsin inhibitor', 199961),
(258680, '0047184', NULL, NULL, 85, NULL, '4Fe-4S ferredoxins', 199962),
(258681, '0046170', NULL, NULL, 55, NULL, '4Fe-4S ferredoxins', 199962),
(258682, '0052774', NULL, NULL, 151, NULL, '4Fe-4S ferredoxins', 199962),
(258683, '0054698', NULL, NULL, 69, NULL, '4Fe-4S ferredoxins', 199962),
(258684, '0054874', NULL, NULL, 65, NULL, '4Fe-4S ferredoxins', 199962),
(258685, '0053368', NULL, NULL, 106, NULL, '4Fe-4S ferredoxins', 199962),
(258686, '0054695', NULL, NULL, 81, NULL, '4Fe-4S ferredoxins', 199962),
(258687, '0054871', NULL, NULL, 66, NULL, '4Fe-4S ferredoxins', 199962),
(258688, '0036609', NULL, NULL, 55, NULL, '4Fe-4S ferredoxins', 199962),
(258689, '0052658', NULL, NULL, 55, NULL, '4Fe-4S ferredoxins', 199962),
(258690, '0052779', NULL, NULL, 154, NULL, '4Fe-4S ferredoxins', 199962),
(258691, '0035614', NULL, NULL, 80, NULL, '4Fe-4S ferredoxins', 199962),
(258692, '0037513', NULL, NULL, 83, NULL, '4Fe-4S ferredoxins', 199962),
(258693, '0046879', NULL, NULL, 64, NULL, '4Fe-4S ferredoxins', 199962),
(258694, '0039453', NULL, NULL, 80, NULL, '4Fe-4S ferredoxins', 199962),
(258695, '0040210', NULL, NULL, 244, NULL, '4Fe-4S ferredoxins', 199962),
(258696, '0044815', NULL, NULL, 59, NULL, '4Fe-4S ferredoxins', 199962),
(258697, '0052928', NULL, NULL, 102, NULL, '4Fe-4S ferredoxins', 199962),
(258698, '0038361', NULL, NULL, 214, NULL, '4Fe-4S ferredoxins', 199962),
(258699, '0047149', NULL, NULL, 77, NULL, '4Fe-4S ferredoxins', 199962),
(258700, '0046874', NULL, NULL, 58, NULL, '4Fe-4S ferredoxins', 199962),
(258701, '0044015', NULL, NULL, 195, NULL, '4Fe-4S ferredoxins', 199962),
(258702, '0039666', NULL, NULL, 149, NULL, '4Fe-4S ferredoxins', 199962),
(258703, '0035446', NULL, NULL, 77, NULL, '4Fe-4S ferredoxins', 199962),
(258704, '0045859', NULL, NULL, 117, NULL, '4Fe-4S ferredoxins', 199962),
(258705, '0046749', NULL, NULL, 55, NULL, '4Fe-4S ferredoxins', 199962),
(258706, '0038470', NULL, NULL, 173, NULL, '4Fe-4S ferredoxins', 199962),
(258707, '0039142', NULL, NULL, 81, NULL, '4Fe-4S ferredoxins', 199962),
(258708, '0045037', NULL, NULL, 103, NULL, '4Fe-4S ferredoxins', 199962),
(258709, '0042562', NULL, NULL, 509, NULL, '4Fe-4S ferredoxins', 199962),
(258710, '0049159', NULL, NULL, 80, NULL, '4Fe-4S ferredoxins', 199962),
(258711, '0043631', NULL, NULL, 66, NULL, '4Fe-4S ferredoxins', 199962),
(258712, '0043719', NULL, NULL, 152, NULL, 'CheC-like', 199963),
(258713, '0051007', NULL, NULL, 205, NULL, 'CheC-like', 199963),
(258714, '0050110', NULL, NULL, 225, NULL, 'Tetrapyrrole methylase', 199964),
(258715, '0050440', NULL, NULL, 289, NULL, 'Tetrapyrrole methylase', 199964),
(258716, '0050153', NULL, NULL, 235, NULL, 'Tetrapyrrole methylase', 199964),
(258717, '0051949', NULL, NULL, 195, NULL, 'Tetrapyrrole methylase', 199964),
(258718, '0050755', NULL, NULL, 233, NULL, 'Tetrapyrrole methylase', 199964),
(258719, '0049314', NULL, NULL, 265, NULL, 'Tetrapyrrole methylase', 199964),
(258720, '0042343', NULL, NULL, 242, NULL, 'Tetrapyrrole methylase', 199964),
(258721, '0052425', NULL, NULL, 265, NULL, 'Tetrapyrrole methylase', 199964),
(258722, '0035898', NULL, NULL, 239, NULL, 'Tetrapyrrole methylase', 199964),
(258723, '0044765', NULL, NULL, 251, NULL, 'Tetrapyrrole methylase', 199964),
(258724, '0037860', NULL, NULL, 197, NULL, 'Fibrinogen C-terminal domain-like', 199965),
(258725, '0039477', NULL, NULL, 220, NULL, 'Fibrinogen C-terminal domain-like', 199965),
(258726, '0037859', NULL, NULL, 259, NULL, 'Fibrinogen C-terminal domain-like', 199965),
(258727, '0040703', NULL, NULL, 262, NULL, 'Fibrinogen C-terminal domain-like', 199965),
(258728, '0040702', NULL, NULL, 259, NULL, 'Fibrinogen C-terminal domain-like', 199965),
(258729, '0040735', NULL, NULL, 252, NULL, 'Fibrinogen C-terminal domain-like', 199965),
(258730, '0040734', NULL, NULL, 265, NULL, 'Fibrinogen C-terminal domain-like', 199965),
(258731, '0037600', NULL, NULL, 259, NULL, 'Fibrinogen C-terminal domain-like', 199965),
(258732, '0052872', NULL, NULL, 115, NULL, 'Enolase N-terminal domain-like', 199966);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(258733, '0048551', NULL, NULL, 140, NULL, 'Enolase N-terminal domain-like', 199966),
(258734, '0050712', NULL, NULL, 126, NULL, 'Enolase N-terminal domain-like', 199966),
(258735, '0050710', NULL, NULL, 126, NULL, 'Enolase N-terminal domain-like', 199966),
(258736, '0046517', NULL, NULL, 133, NULL, 'Enolase N-terminal domain-like', 199966),
(258737, '0040034', NULL, NULL, 160, NULL, 'Enolase N-terminal domain-like', 199966),
(258738, '0040132', NULL, NULL, 160, NULL, 'Enolase N-terminal domain-like', 199966),
(258739, '0041088', NULL, NULL, 127, NULL, 'Enolase N-terminal domain-like', 199966),
(258740, '0037593', NULL, NULL, 99, NULL, 'Enolase N-terminal domain-like', 199966),
(258741, '0049602', NULL, NULL, 139, NULL, 'Enolase N-terminal domain-like', 199966),
(258742, '0052171', NULL, NULL, 126, NULL, 'Enolase N-terminal domain-like', 199966),
(258743, '0043386', NULL, NULL, 126, NULL, 'Enolase N-terminal domain-like', 199966),
(258744, '0049749', NULL, NULL, 140, NULL, 'Enolase N-terminal domain-like', 199966),
(258745, '0045368', NULL, NULL, 130, NULL, 'Enolase N-terminal domain-like', 199966),
(258746, '0043071', NULL, NULL, 127, NULL, 'Enolase N-terminal domain-like', 199966),
(258747, '0047650', NULL, NULL, 116, NULL, 'Enolase N-terminal domain-like', 199966),
(258748, '0051293', NULL, NULL, 139, NULL, 'Enolase N-terminal domain-like', 199966),
(258749, '0050382', NULL, NULL, 137, NULL, 'Enolase N-terminal domain-like', 199966),
(258750, '0036853', NULL, NULL, 139, NULL, 'Enolase N-terminal domain-like', 199966),
(258751, '0048606', NULL, NULL, 141, NULL, 'Enolase N-terminal domain-like', 199966),
(258752, '0052918', NULL, NULL, 122, NULL, 'Enolase N-terminal domain-like', 199966),
(258753, '0048446', NULL, NULL, 126, NULL, 'Enolase N-terminal domain-like', 199966),
(258754, '0048743', NULL, NULL, 139, NULL, 'Enolase N-terminal domain-like', 199966),
(258755, '0047479', NULL, NULL, 136, NULL, 'Enolase N-terminal domain-like', 199966),
(258756, '0047652', NULL, NULL, 125, NULL, 'Enolase N-terminal domain-like', 199966),
(258757, '0049412', NULL, NULL, 125, NULL, 'Enolase N-terminal domain-like', 199966),
(258758, '0045995', NULL, NULL, 132, NULL, 'Enolase N-terminal domain-like', 199966),
(258759, '0043680', NULL, NULL, 24, NULL, 'Mini-collagen I, C-terminal domain', 199967),
(258760, '0039947', NULL, NULL, 36, NULL, 'Zinc-binding domain of translation initiation factor 2 beta', 199968),
(258761, '0041337', NULL, NULL, 37, NULL, 'Zinc-binding domain of translation initiation factor 2 beta', 199968),
(258762, '0035492', NULL, NULL, 106, NULL, '14 kDa protein of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 199969),
(258763, '0037295', NULL, NULL, 125, NULL, '14 kDa protein of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 199969),
(258764, '0035457', NULL, NULL, 100, NULL, '14 kDa protein of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 199969),
(258765, '0043216', NULL, NULL, 100, NULL, 'Eukaryotic initiation factor 4f subunit eIF4g, eIF4e-binding domain', 199970),
(258766, '0054001', NULL, NULL, 121, NULL, 'Ribosomal protein L14', 199971),
(258767, '0053143', NULL, NULL, 122, NULL, 'Ribosomal protein L14', 199971),
(258768, '0037536', NULL, NULL, 132, NULL, 'Ribosomal protein L14', 199971),
(258769, '0054779', NULL, NULL, 134, NULL, 'Ribosomal protein L14', 199971),
(258770, '0044974', NULL, NULL, 122, NULL, 'Ribosomal protein L14', 199971),
(258771, '0038860', NULL, NULL, 96, NULL, 'DNA-binding domain of intron-encoded endonucleases', 199972),
(258772, '0044202', NULL, NULL, 69, NULL, 'DNA-binding domain of intron-encoded endonucleases', 199972),
(258773, '0047643', NULL, NULL, 365, NULL, '3-carboxy-cis,cis-mucoante lactonizing enzyme', 199973),
(258774, '0047151', NULL, NULL, 30, NULL, 'Plant inhibitors of proteinases and amylases', 199974),
(258775, '0048141', NULL, NULL, 28, NULL, 'Plant inhibitors of proteinases and amylases', 199974),
(258776, '0047152', NULL, NULL, 30, NULL, 'Plant inhibitors of proteinases and amylases', 199974),
(258777, '0048142', NULL, NULL, 28, NULL, 'Plant inhibitors of proteinases and amylases', 199974);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(258778, '0046175', NULL, NULL, 32, NULL, 'Plant inhibitors of proteinases and amylases', 199974),
(258779, '0046692', NULL, NULL, 28, NULL, 'Plant inhibitors of proteinases and amylases', 199974),
(258780, '0052044', NULL, NULL, 29, NULL, 'Plant inhibitors of proteinases and amylases', 199974),
(258781, '0052110', NULL, NULL, 28, NULL, 'Plant inhibitors of proteinases and amylases', 199974),
(258782, '0053175', NULL, NULL, 28, NULL, 'Plant inhibitors of proteinases and amylases', 199974),
(258783, '0047102', NULL, NULL, 39, NULL, 'Plant inhibitors of proteinases and amylases', 199974),
(258784, '0047157', NULL, NULL, 34, NULL, 'Plant inhibitors of proteinases and amylases', 199974),
(258785, '0053307', NULL, NULL, 29, NULL, 'Plant inhibitors of proteinases and amylases', 199974),
(258786, '0048751', NULL, NULL, 56, NULL, 'Aspartate carbamoyltransferase, Regulatory-chain, C-terminal domain', 199975),
(258787, '0046243', NULL, NULL, 53, NULL, 'Aspartate carbamoyltransferase, Regulatory-chain, C-terminal domain', 199975),
(258788, '0051829', NULL, NULL, 52, NULL, 'Aspartate carbamoyltransferase, Regulatory-chain, C-terminal domain', 199975),
(258789, '0040997', NULL, NULL, 176, NULL, 'RuBisCo LSMT C-terminal, substrate-binding domain', 199976),
(258790, '0037229', NULL, NULL, 275, NULL, 'DNA repair protein MutS, domain III', 199977),
(258791, '0036747', NULL, NULL, 297, NULL, 'DNA repair protein MutS, domain III', 199977),
(258792, '0051900', NULL, NULL, 81, NULL, 'HIV integrase-binding domain', 199978),
(258793, '0050612', NULL, NULL, 124, NULL, 'CRISPR-associated protein', 199979),
(258794, '0050611', NULL, NULL, 87, NULL, 'CRISPR-associated protein', 199979),
(258795, '0054859', NULL, NULL, 109, NULL, 'EscU C-terminal domain-like', 199980),
(258796, '0054857', NULL, NULL, 109, NULL, 'EscU C-terminal domain-like', 199980),
(258797, '0054734', NULL, NULL, 103, NULL, 'EscU C-terminal domain-like', 199980),
(258798, '0035914', NULL, NULL, 56, NULL, 'Serine protease inhibitors', 199981),
(258799, '0045816', NULL, NULL, 62, NULL, 'Serine protease inhibitors', 199981),
(258800, '0038764', NULL, NULL, 60, NULL, 'Serine protease inhibitors', 199981),
(258801, '0046191', NULL, NULL, 85, NULL, 'Serine protease inhibitors', 199981),
(258802, '0036876', NULL, NULL, 61, NULL, 'Serine protease inhibitors', 199981),
(258803, '0046986', NULL, NULL, 71, NULL, 'Hypothetical protein MTH1184', 199982),
(258804, '0039433', NULL, NULL, 247, NULL, 'SurE-like', 199983),
(258805, '0040392', NULL, NULL, 276, NULL, 'SurE-like', 199983),
(258806, '0053064', NULL, NULL, 119, NULL, 'DeoB insert domain-like', 199984),
(258807, '0049827', NULL, NULL, 69, NULL, 'Cysteine alpha-hairpin motif', 199985),
(258808, '0053030', NULL, NULL, 68, NULL, 'Cysteine alpha-hairpin motif', 199985),
(258809, '0038215', NULL, NULL, 127, NULL, 'Inhibitor of vertebrate lysozyme, Ivy', 199986),
(258810, '0044535', NULL, NULL, 130, NULL, 'Inhibitor of vertebrate lysozyme, Ivy', 199986),
(258811, '0047915', NULL, NULL, 57, NULL, 'Sigma3 and sigma4 domains of RNA polymerase sigma factors', 199987),
(258812, '0049340', NULL, NULL, 106, NULL, 'Sigma3 and sigma4 domains of RNA polymerase sigma factors', 199987),
(258813, '0049224', NULL, NULL, 71, NULL, 'Sigma3 and sigma4 domains of RNA polymerase sigma factors', 199987),
(258814, '0051096', NULL, NULL, 106, NULL, 'Sigma3 and sigma4 domains of RNA polymerase sigma factors', 199987),
(258815, '0049223', NULL, NULL, 77, NULL, 'Sigma3 and sigma4 domains of RNA polymerase sigma factors', 199987),
(258816, '0049651', NULL, NULL, 68, NULL, 'Sigma3 and sigma4 domains of RNA polymerase sigma factors', 199987),
(258817, '0049695', NULL, NULL, 87, NULL, 'Sigma3 and sigma4 domains of RNA polymerase sigma factors', 199987),
(258818, '0047455', NULL, NULL, 61, NULL, 'Sigma3 and sigma4 domains of RNA polymerase sigma factors', 199987),
(258819, '0041987', NULL, NULL, 68, NULL, 'Sigma3 and sigma4 domains of RNA polymerase sigma factors', 199987),
(258820, '0039239', NULL, NULL, 105, NULL, 'Sigma3 and sigma4 domains of RNA polymerase sigma factors', 199987);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(258821, '0037420', NULL, NULL, 91, NULL, 'C-terminal domain of B transposition protein', 199988),
(258822, '0036629', NULL, NULL, 169, NULL, 'Functional domain of the splicing factor Prp18', 199989),
(258823, '0037222', NULL, NULL, 106, NULL, 'Frataxin/Nqo15-like', 199990),
(258824, '0037054', NULL, NULL, 119, NULL, 'Frataxin/Nqo15-like', 199990),
(258825, '0052857', NULL, NULL, 123, NULL, 'Frataxin/Nqo15-like', 199990),
(258826, '0052778', NULL, NULL, 127, NULL, 'Frataxin/Nqo15-like', 199990),
(258827, '0035827', NULL, NULL, 152, NULL, 'Mannose 6-phosphate receptor domain', 199991),
(258828, '0036793', NULL, NULL, 134, NULL, 'Mannose 6-phosphate receptor domain', 199991),
(258829, '0042582', NULL, NULL, 123, NULL, 'Mannose 6-phosphate receptor domain', 199991),
(258830, '0042583', NULL, NULL, 151, NULL, 'Mannose 6-phosphate receptor domain', 199991),
(258831, '0042584', NULL, NULL, 152, NULL, 'Mannose 6-phosphate receptor domain', 199991),
(258832, '0042479', NULL, NULL, 261, NULL, 'Hypothetical protein YwqG', 199992),
(258833, '0041906', NULL, NULL, 54, NULL, 'Phosphoprotein XD domain', 199993),
(258834, '0049100', NULL, NULL, 53, NULL, 'Phosphoprotein XD domain', 199993),
(258835, '0041786', NULL, NULL, 49, NULL, 'Mitochondrial cytochrome c oxidase subunit VIIb', 199994),
(258836, '0037657', NULL, NULL, 149, NULL, 'Molybdopterin synthase subunit MoaE', 199995),
(258837, '0035882', NULL, NULL, 79, NULL, 'F1F0 ATP synthase subunit C', 199996),
(258838, '0050561', NULL, NULL, 99, NULL, 'dsRNA-binding domain-like', 199997),
(258839, '0052443', NULL, NULL, 73, NULL, 'dsRNA-binding domain-like', 199997),
(258840, '0050560', NULL, NULL, 128, NULL, 'dsRNA-binding domain-like', 199997),
(258841, '0052224', NULL, NULL, 76, NULL, 'dsRNA-binding domain-like', 199997),
(258842, '0054588', NULL, NULL, 69, NULL, 'dsRNA-binding domain-like', 199997),
(258843, '0043193', NULL, NULL, 70, NULL, 'dsRNA-binding domain-like', 199997),
(258844, '0052472', NULL, NULL, 84, NULL, 'dsRNA-binding domain-like', 199997),
(258845, '0037618', NULL, NULL, 69, NULL, 'dsRNA-binding domain-like', 199997),
(258846, '0049542', NULL, NULL, 88, NULL, 'dsRNA-binding domain-like', 199997),
(258847, '0049541', NULL, NULL, 90, NULL, 'dsRNA-binding domain-like', 199997),
(258848, '0050800', NULL, NULL, 76, NULL, 'dsRNA-binding domain-like', 199997),
(258849, '0050799', NULL, NULL, 85, NULL, 'dsRNA-binding domain-like', 199997),
(258850, '0051935', NULL, NULL, 71, NULL, 'dsRNA-binding domain-like', 199997),
(258851, '0050801', NULL, NULL, 85, NULL, 'dsRNA-binding domain-like', 199997),
(258852, '0051934', NULL, NULL, 73, NULL, 'dsRNA-binding domain-like', 199997),
(258853, '0036436', NULL, NULL, 69, NULL, 'dsRNA-binding domain-like', 199997),
(258854, '0042985', NULL, NULL, 90, NULL, 'dsRNA-binding domain-like', 199997),
(258855, '0042986', NULL, NULL, 89, NULL, 'dsRNA-binding domain-like', 199997),
(258856, '0040155', NULL, NULL, 184, NULL, 'dsRNA-binding domain-like', 199997),
(258857, '0037064', NULL, NULL, 76, NULL, 'dsRNA-binding domain-like', 199997),
(258858, '0042361', NULL, NULL, 74, NULL, 'dsRNA-binding domain-like', 199997),
(258859, '0044374', NULL, NULL, 89, NULL, 'dsRNA-binding domain-like', 199997),
(258860, '0049914', NULL, NULL, 113, NULL, 'dsRNA-binding domain-like', 199997),
(258861, '0041656', NULL, NULL, 69, NULL, 'dsRNA-binding domain-like', 199997),
(258862, '0039956', NULL, NULL, 157, NULL, 'C-terminal domain of adenylylcyclase associated protein', 199998),
(258863, '0047855', NULL, NULL, 156, NULL, 'C-terminal domain of adenylylcyclase associated protein', 199998),
(258864, '0041113', NULL, NULL, 162, NULL, 'Hypothetical protein HI1480', 199999),
(258865, '0049653', NULL, NULL, 267, NULL, 'Tsx-like channel', 200000),
(258866, '0053745', NULL, NULL, 68, NULL, 'EspE N-terminal domain-like', 200001),
(258867, '0053798', NULL, NULL, 149, NULL, 'EspE N-terminal domain-like', 200001),
(258868, '0044695', NULL, NULL, 77, NULL, 'DNA topoisomerase I domain', 200002),
(258869, '0037573', NULL, NULL, 70, NULL, 'N-terminal domains of the minor coat protein g3p', 200003);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(258870, '0037919', NULL, NULL, 127, NULL, 'N-terminal domains of the minor coat protein g3p', 200003),
(258871, '0036453', NULL, NULL, 109, NULL, 'Ferredoxin thioredoxin reductase (FTR), catalytic beta chain', 200004),
(258872, '0052781', NULL, NULL, 130, NULL, 'FlgN-like', 200005),
(258873, '0048980', NULL, NULL, 43, NULL, 'Bacterial aa3 type cytochrome c oxidase subunit IV', 200006),
(258874, '0048090', NULL, NULL, 42, NULL, 'Bacterial aa3 type cytochrome c oxidase subunit IV', 200006),
(258875, '0047618', NULL, NULL, 137, NULL, 'Phosphotyrosine protein phosphatases I', 200007),
(258876, '0042188', NULL, NULL, 146, NULL, 'Phosphotyrosine protein phosphatases I', 200007),
(258877, '0046251', NULL, NULL, 159, NULL, 'Phosphotyrosine protein phosphatases I', 200007),
(258878, '0047572', NULL, NULL, 130, NULL, 'Phosphotyrosine protein phosphatases I', 200007),
(258879, '0048765', NULL, NULL, 154, NULL, 'Phosphotyrosine protein phosphatases I', 200007),
(258880, '0053360', NULL, NULL, 157, NULL, 'Phosphotyrosine protein phosphatases I', 200007),
(258881, '0051181', NULL, NULL, 124, NULL, 'Phosphotyrosine protein phosphatases I', 200007),
(258882, '0041480', NULL, NULL, 67, NULL, 'Replisome organizer (g39p helicase loader/inhibitor protein)', 200008),
(258883, '0048055', NULL, NULL, 72, NULL, 'D-ribose-5-phosphate isomerase (RpiA), lid domain', 200009),
(258884, '0049920', NULL, NULL, 74, NULL, 'D-ribose-5-phosphate isomerase (RpiA), lid domain', 200009),
(258885, '0047983', NULL, NULL, 80, NULL, 'D-ribose-5-phosphate isomerase (RpiA), lid domain', 200009),
(258886, '0047868', NULL, NULL, 72, NULL, 'D-ribose-5-phosphate isomerase (RpiA), lid domain', 200009),
(258887, '0053432', NULL, NULL, 100, NULL, 'Mitotic arrest deficient-like 1, Mad1', 200010),
(258888, '0050695', NULL, NULL, 225, NULL, 'AMMECR1-like', 200011),
(258889, '0050117', NULL, NULL, 203, NULL, 'AMMECR1-like', 200011),
(258890, '0051616', NULL, NULL, 199, NULL, 'AMMECR1-like', 200011),
(258891, '0046739', NULL, NULL, 150, NULL, 'PAP/OAS1 substrate-binding domain', 200012),
(258892, '0037393', NULL, NULL, 150, NULL, 'PAP/OAS1 substrate-binding domain', 200012),
(258893, '0042506', NULL, NULL, 146, NULL, 'PAP/OAS1 substrate-binding domain', 200012),
(258894, '0051903', NULL, NULL, 183, NULL, 'PAP/OAS1 substrate-binding domain', 200012),
(258895, '0054491', NULL, NULL, 145, NULL, 'PAP/OAS1 substrate-binding domain', 200012),
(258896, '0043167', NULL, NULL, 115, NULL, 'PAP/OAS1 substrate-binding domain', 200012),
(258897, '0049760', NULL, NULL, 86, NULL, 'CheY-binding domain of CheA', 200013),
(258898, '0046767', NULL, NULL, 68, NULL, 'CheY-binding domain of CheA', 200013),
(258899, '0043421', NULL, NULL, 164, NULL, 'Hypothetical protein yfbM', 200014),
(258900, '0040642', NULL, NULL, 336, NULL, 'Lipovitellin-phosvitin complex, superhelical domain', 200015),
(258901, '0054915', NULL, NULL, 130, NULL, 'Bacillus cereus metalloprotein-like', 200016),
(258902, '0054926', NULL, NULL, 135, NULL, 'Bacillus cereus metalloprotein-like', 200016),
(258903, '0054914', NULL, NULL, 134, NULL, 'Bacillus cereus metalloprotein-like', 200016),
(258904, '0054925', NULL, NULL, 121, NULL, 'Bacillus cereus metalloprotein-like', 200016),
(258905, '0042040', NULL, NULL, 45, NULL, 'H-NS histone-like proteins', 200017),
(258906, '0047212', NULL, NULL, 47, NULL, 'H-NS histone-like proteins', 200017),
(258907, '0040625', NULL, NULL, 57, NULL, 'H-NS histone-like proteins', 200017),
(258908, '0053717', NULL, NULL, 37, NULL, 'Photosystem II reaction center protein L, PsbL', 200018),
(258909, '0054479', NULL, NULL, 117, NULL, 'GAD domain-like', 200019),
(258910, '0046051', NULL, NULL, 133, NULL, 'GAD domain-like', 200019),
(258911, '0037937', NULL, NULL, 120, NULL, 'GAD domain-like', 200019),
(258912, '0052391', NULL, NULL, 125, NULL, 'GAD domain-like', 200019),
(258913, '0051613', NULL, NULL, 131, NULL, 'GAD domain-like', 200019),
(258914, '0041224', NULL, NULL, 82, NULL, 'CO dehydrogenase ISP C-domain like', 200020),
(258915, '0043857', NULL, NULL, 81, NULL, 'CO dehydrogenase ISP C-domain like', 200020);
INSERT INTO "PUBLIC"."MODEL" VALUES
(258916, '0037560', NULL, NULL, 76, NULL, 'CO dehydrogenase ISP C-domain like', 200020),
(258917, '0037698', NULL, NULL, 73, NULL, 'CO dehydrogenase ISP C-domain like', 200020),
(258918, '0049209', NULL, NULL, 76, NULL, 'CO dehydrogenase ISP C-domain like', 200020),
(258919, '0044863', NULL, NULL, 113, NULL, 'CO dehydrogenase ISP C-domain like', 200020),
(258920, '0039724', NULL, NULL, 82, NULL, 'CO dehydrogenase ISP C-domain like', 200020),
(258921, '0036414', NULL, NULL, 113, NULL, 'CO dehydrogenase ISP C-domain like', 200020),
(258922, '0043456', NULL, NULL, 176, NULL, 'N-terminal domain of adenylylcyclase associated protein, CAP', 200021),
(258923, '0050051', NULL, NULL, 386, NULL, 'Six-hairpin glycosidases', 200022),
(258924, '0047123', NULL, NULL, 485, NULL, 'Six-hairpin glycosidases', 200022),
(258925, '0054299', NULL, NULL, 426, NULL, 'Six-hairpin glycosidases', 200022),
(258926, '0052638', NULL, NULL, 492, NULL, 'Six-hairpin glycosidases', 200022),
(258927, '0040233', NULL, NULL, 433, NULL, 'Six-hairpin glycosidases', 200022),
(258928, '0049609', NULL, NULL, 460, NULL, 'Six-hairpin glycosidases', 200022),
(258929, '0038366', NULL, NULL, 404, NULL, 'Six-hairpin glycosidases', 200022),
(258930, '0046939', NULL, NULL, 454, NULL, 'Six-hairpin glycosidases', 200022),
(258931, '0050704', NULL, NULL, 376, NULL, 'Six-hairpin glycosidases', 200022),
(258932, '0046953', NULL, NULL, 472, NULL, 'Six-hairpin glycosidases', 200022),
(258933, '0040358', NULL, NULL, 642, NULL, 'Six-hairpin glycosidases', 200022),
(258934, '0047967', NULL, NULL, 397, NULL, 'Six-hairpin glycosidases', 200022),
(258935, '0054222', NULL, NULL, 511, NULL, 'Six-hairpin glycosidases', 200022),
(258936, '0046166', NULL, NULL, 441, NULL, 'Six-hairpin glycosidases', 200022),
(258937, '0038939', NULL, NULL, 431, NULL, 'Six-hairpin glycosidases', 200022),
(258938, '0050085', NULL, NULL, 531, NULL, 'Six-hairpin glycosidases', 200022),
(258939, '0051759', NULL, NULL, 411, NULL, 'Six-hairpin glycosidases', 200022),
(258940, '0037466', NULL, NULL, 629, NULL, 'Six-hairpin glycosidases', 200022),
(258941, '0050146', NULL, NULL, 377, NULL, 'Six-hairpin glycosidases', 200022),
(258942, '0050765', NULL, NULL, 319, NULL, 'Six-hairpin glycosidases', 200022),
(258943, '0054447', NULL, NULL, 443, NULL, 'Six-hairpin glycosidases', 200022),
(258944, '0047896', NULL, NULL, 363, NULL, 'Six-hairpin glycosidases', 200022),
(258945, '0048326', NULL, NULL, 363, NULL, 'Six-hairpin glycosidases', 200022),
(258946, '0046841', NULL, NULL, 402, NULL, 'Six-hairpin glycosidases', 200022),
(258947, '0049896', NULL, NULL, 413, NULL, 'Six-hairpin glycosidases', 200022),
(258948, '0049995', NULL, NULL, 511, NULL, 'Six-hairpin glycosidases', 200022),
(258949, '0052924', NULL, NULL, 140, NULL, 'Resolvase-like', 200023),
(258950, '0038061', NULL, NULL, 140, NULL, 'Resolvase-like', 200023),
(258951, '0053714', NULL, NULL, 35, NULL, 'Photosystem II reaction center protein I, PsbI', 200024),
(258952, '0048097', NULL, NULL, 108, NULL, 'FKBP-like', 200025),
(258953, '0052573', NULL, NULL, 79, NULL, 'FKBP-like', 200025),
(258954, '0043182', NULL, NULL, 118, NULL, 'FKBP-like', 200025),
(258955, '0040804', NULL, NULL, 107, NULL, 'FKBP-like', 200025),
(258956, '0041183', NULL, NULL, 125, NULL, 'FKBP-like', 200025),
(258957, '0052517', NULL, NULL, 79, NULL, 'FKBP-like', 200025),
(258958, '0040355', NULL, NULL, 106, NULL, 'FKBP-like', 200025),
(258959, '0039255', NULL, NULL, 151, NULL, 'FKBP-like', 200025),
(258960, '0042634', NULL, NULL, 210, NULL, 'FKBP-like', 200025),
(258961, '0044934', NULL, NULL, 116, NULL, 'FKBP-like', 200025),
(258962, '0040253', NULL, NULL, 115, NULL, 'FKBP-like', 200025),
(258963, '0040252', NULL, NULL, 111, NULL, 'FKBP-like', 200025),
(258964, '0040250', NULL, NULL, 115, NULL, 'FKBP-like', 200025),
(258965, '0039396', NULL, NULL, 120, NULL, 'FKBP-like', 200025),
(258966, '0042239', NULL, NULL, 116, NULL, 'FKBP-like', 200025),
(258967, '0042333', NULL, NULL, 119, NULL, 'FKBP-like', 200025),
(258968, '0045075', NULL, NULL, 113, NULL, 'FKBP-like', 200025);
INSERT INTO "PUBLIC"."MODEL" VALUES
(258969, '0037129', NULL, NULL, 96, NULL, 'FKBP-like', 200025),
(258970, '0038779', NULL, NULL, 85, NULL, 'FKBP-like', 200025),
(258971, '0035884', NULL, NULL, 107, NULL, 'FKBP-like', 200025),
(258972, '0039667', NULL, NULL, 92, NULL, 'FKBP-like', 200025),
(258973, '0037500', NULL, NULL, 204, NULL, 'FKBP-like', 200025),
(258974, '0038237', NULL, NULL, 79, NULL, 'FKBP-like', 200025),
(258975, '0035600', NULL, NULL, 107, NULL, 'FKBP-like', 200025),
(258976, '0039784', NULL, NULL, 160, NULL, 'FKBP-like', 200025),
(258977, '0042567', NULL, NULL, 117, NULL, 'FKBP-like', 200025),
(258978, '0043832', NULL, NULL, 113, NULL, 'FKBP-like', 200025),
(258979, '0049810', NULL, NULL, 125, NULL, 'FKBP-like', 200025),
(258980, '0040249', NULL, NULL, 106, NULL, 'FKBP-like', 200025),
(258981, '0041898', NULL, NULL, 72, NULL, 'FKBP-like', 200025),
(258982, '0043932', NULL, NULL, 66, NULL, 'Cysteine-rich domain', 200026),
(258983, '0050054', NULL, NULL, 89, NULL, 'Cysteine-rich domain', 200026),
(258984, '0053663', NULL, NULL, 59, NULL, 'Cysteine-rich domain', 200026),
(258985, '0043160', NULL, NULL, 84, NULL, 'Cysteine-rich domain', 200026),
(258986, '0037470', NULL, NULL, 52, NULL, 'Cysteine-rich domain', 200026),
(258987, '0047776', NULL, NULL, 49, NULL, 'Cysteine-rich domain', 200026),
(258988, '0042462', NULL, NULL, 50, NULL, 'Cysteine-rich domain', 200026),
(258989, '0050894', NULL, NULL, 62, NULL, 'Cysteine-rich domain', 200026),
(258990, '0041741', NULL, NULL, 94, NULL, 'Proguanylin', 200027),
(258991, '0052863', NULL, NULL, 82, NULL, 'EF2458-like', 200028),
(258992, '0054208', NULL, NULL, 69, NULL, 'PB2 C-terminal domain-like', 200029),
(258993, '0052344', NULL, NULL, 180, NULL, 'Class II aaRS ABD-related', 200030),
(258994, '0035004', NULL, NULL, 96, NULL, 'Class II aaRS ABD-related', 200030),
(258995, '0052834', NULL, NULL, 117, NULL, 'Class II aaRS ABD-related', 200030),
(258996, '0037946', NULL, NULL, 127, NULL, 'Class II aaRS ABD-related', 200030),
(258997, '0050405', NULL, NULL, 154, NULL, 'Class II aaRS ABD-related', 200030),
(258998, '0037214', NULL, NULL, 110, NULL, 'Class II aaRS ABD-related', 200030),
(258999, '0041631', NULL, NULL, 113, NULL, 'Class II aaRS ABD-related', 200030),
(259000, '0035193', NULL, NULL, 111, NULL, 'Class II aaRS ABD-related', 200030),
(259001, '0041420', NULL, NULL, 127, NULL, 'Class II aaRS ABD-related', 200030),
(259002, '0038521', NULL, NULL, 127, NULL, 'Class II aaRS ABD-related', 200030),
(259003, '0050705', NULL, NULL, 97, NULL, 'Class II aaRS ABD-related', 200030),
(259004, '0040151', NULL, NULL, 99, NULL, 'Class II aaRS ABD-related', 200030),
(259005, '0042728', NULL, NULL, 95, NULL, 'Class II aaRS ABD-related', 200030),
(259006, '0044672', NULL, NULL, 130, NULL, 'Class II aaRS ABD-related', 200030),
(259007, '0041424', NULL, NULL, 126, NULL, 'Class II aaRS ABD-related', 200030),
(259008, '0049143', NULL, NULL, 57, NULL, 'Crisp domain-like', 200031),
(259009, '0035825', NULL, NULL, 35, NULL, 'Crisp domain-like', 200031),
(259010, '0035541', NULL, NULL, 37, NULL, 'Crisp domain-like', 200031),
(259011, '0045942', NULL, NULL, 35, NULL, 'Crisp domain-like', 200031),
(259012, '0043747', NULL, NULL, 108, NULL, 'mRNA decapping enzyme DcpS N-terminal domain', 200032),
(259013, '0044882', NULL, NULL, 107, NULL, 'mRNA decapping enzyme DcpS N-terminal domain', 200032),
(259014, '0044935', NULL, NULL, 276, NULL, 'SAICAR synthase-like', 200033),
(259015, '0052189', NULL, NULL, 304, NULL, 'SAICAR synthase-like', 200033),
(259016, '0044167', NULL, NULL, 256, NULL, 'SAICAR synthase-like', 200033),
(259017, '0035636', NULL, NULL, 383, NULL, 'SAICAR synthase-like', 200033),
(259018, '0040269', NULL, NULL, 224, NULL, 'SAICAR synthase-like', 200033),
(259019, '0050521', NULL, NULL, 70, NULL, 'CSL zinc finger', 200034),
(259020, '0051433', NULL, NULL, 82, NULL, 'CSL zinc finger', 200034),
(259021, '0049059', NULL, NULL, 435, NULL, 'Phosphoglycerate mutase-like', 200035),
(259022, '0049178', NULL, NULL, 243, NULL, 'Phosphoglycerate mutase-like', 200035),
(259023, '0053031', NULL, NULL, 342, NULL, 'Phosphoglycerate mutase-like', 200035);
INSERT INTO "PUBLIC"."MODEL" VALUES
(259024, '0051064', NULL, NULL, 241, NULL, 'Phosphoglycerate mutase-like', 200035),
(259025, '0053607', NULL, NULL, 191, NULL, 'Phosphoglycerate mutase-like', 200035),
(259026, '0043909', NULL, NULL, 249, NULL, 'Phosphoglycerate mutase-like', 200035),
(259027, '0039931', NULL, NULL, 219, NULL, 'Phosphoglycerate mutase-like', 200035),
(259028, '0050036', NULL, NULL, 171, NULL, 'Phosphoglycerate mutase-like', 200035),
(259029, '0037864', NULL, NULL, 211, NULL, 'Phosphoglycerate mutase-like', 200035),
(259030, '0036777', NULL, NULL, 247, NULL, 'Phosphoglycerate mutase-like', 200035),
(259031, '0036887', NULL, NULL, 202, NULL, 'Phosphoglycerate mutase-like', 200035),
(259032, '0035570', NULL, NULL, 219, NULL, 'Phosphoglycerate mutase-like', 200035),
(259033, '0047369', NULL, NULL, 438, NULL, 'Phosphoglycerate mutase-like', 200035),
(259034, '0049226', NULL, NULL, 342, NULL, 'Phosphoglycerate mutase-like', 200035),
(259035, '0048439', NULL, NULL, 391, NULL, 'Phosphoglycerate mutase-like', 200035),
(259036, '0048946', NULL, NULL, 447, NULL, 'Phosphoglycerate mutase-like', 200035),
(259037, '0046349', NULL, NULL, 409, NULL, 'Phosphoglycerate mutase-like', 200035),
(259038, '0048955', NULL, NULL, 240, NULL, 'Phosphoglycerate mutase-like', 200035),
(259039, '0048568', NULL, NULL, 281, NULL, 'Major capsid protein gp5', 200036),
(259040, '0037617', NULL, NULL, 81, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259041, '0042490', NULL, NULL, 161, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259042, '0052055', NULL, NULL, 121, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259043, '0037619', NULL, NULL, 127, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259044, '0054274', NULL, NULL, 147, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259045, '0050714', NULL, NULL, 215, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259046, '0053987', NULL, NULL, 126, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259047, '0052932', NULL, NULL, 140, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259048, '0051205', NULL, NULL, 168, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259049, '0037810', NULL, NULL, 163, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259050, '0038464', NULL, NULL, 134, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259051, '0037014', NULL, NULL, 172, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259052, '0041085', NULL, NULL, 164, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259053, '0054272', NULL, NULL, 187, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259054, '0040911', NULL, NULL, 174, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259055, '0043463', NULL, NULL, 167, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259056, '0054270', NULL, NULL, 122, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259057, '0043148', NULL, NULL, 151, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259058, '0041171', NULL, NULL, 165, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259059, '0039904', NULL, NULL, 194, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259060, '0054209', NULL, NULL, 191, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259061, '0050966', NULL, NULL, 185, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259062, '0049170', NULL, NULL, 94, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259063, '0042146', NULL, NULL, 120, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259064, '0040285', NULL, NULL, 225, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259065, '0040129', NULL, NULL, 180, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259066, '0043358', NULL, NULL, 182, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259067, '0050450', NULL, NULL, 115, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259068, '0044291', NULL, NULL, 149, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259069, '0054211', NULL, NULL, 148, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259070, '0043249', NULL, NULL, 92, NULL, 'Ribosomal protein S5 domain 2-like', 200037);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(259071, '0037595', NULL, NULL, 188, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259072, '0044774', NULL, NULL, 135, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259073, '0036739', NULL, NULL, 137, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259074, '0052323', NULL, NULL, 123, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259075, '0036738', NULL, NULL, 149, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259076, '0054587', NULL, NULL, 81, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259077, '0054268', NULL, NULL, 181, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259078, '0043490', NULL, NULL, 176, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259079, '0052560', NULL, NULL, 86, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259080, '0052561', NULL, NULL, 97, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259081, '0054266', NULL, NULL, 145, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259082, '0042360', NULL, NULL, 71, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259083, '0054264', NULL, NULL, 184, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259084, '0053739', NULL, NULL, 176, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259085, '0042083', NULL, NULL, 151, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259086, '0053737', NULL, NULL, 144, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259087, '0051753', NULL, NULL, 95, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259088, '0051752', NULL, NULL, 84, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259089, '0036295', NULL, NULL, 117, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259090, '0044305', NULL, NULL, 148, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259091, '0042329', NULL, NULL, 205, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259092, '0035363', NULL, NULL, 115, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259093, '0044509', NULL, NULL, 256, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259094, '0041639', NULL, NULL, 109, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259095, '0034909', NULL, NULL, 113, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259096, '0041876', NULL, NULL, 163, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259097, '0040104', NULL, NULL, 172, NULL, 'Ribosomal protein S5 domain 2-like', 200037),
(259098, '0044678', NULL, NULL, 319, NULL, 'V-type ATP synthase subunit C', 200038),
(259099, '0052971', NULL, NULL, 52, NULL, 'Zn-binding ribosomal proteins', 200039),
(259100, '0053069', NULL, NULL, 56, NULL, 'Zn-binding ribosomal proteins', 200039),
(259101, '0054795', NULL, NULL, 58, NULL, 'Zn-binding ribosomal proteins', 200039),
(259102, '0049333', NULL, NULL, 73, NULL, 'Zn-binding ribosomal proteins', 200039),
(259103, '0054253', NULL, NULL, 55, NULL, 'Zn-binding ribosomal proteins', 200039),
(259104, '0053725', NULL, NULL, 56, NULL, 'Zn-binding ribosomal proteins', 200039),
(259105, '0037554', NULL, NULL, 92, NULL, 'Zn-binding ribosomal proteins', 200039),
(259106, '0049062', NULL, NULL, 58, NULL, 'Zn-binding ribosomal proteins', 200039),
(259107, '0054768', NULL, NULL, 53, NULL, 'Zn-binding ribosomal proteins', 200039),
(259108, '0046773', NULL, NULL, 73, NULL, 'Zn-binding ribosomal proteins', 200039),
(259109, '0054173', NULL, NULL, 45, NULL, 'Zn-binding ribosomal proteins', 200039),
(259110, '0046774', NULL, NULL, 56, NULL, 'Zn-binding ribosomal proteins', 200039),
(259111, '0047598', NULL, NULL, 73, NULL, 'Zn-binding ribosomal proteins', 200039),
(259112, '0054172', NULL, NULL, 59, NULL, 'Zn-binding ribosomal proteins', 200039),
(259113, '0037650', NULL, NULL, 155, NULL, 'TRAF domain-like', 200040),
(259114, '0040442', NULL, NULL, 155, NULL, 'TRAF domain-like', 200040),
(259115, '0052253', NULL, NULL, 146, NULL, 'TRAF domain-like', 200040),
(259116, '0039868', NULL, NULL, 190, NULL, 'TRAF domain-like', 200040),
(259117, '0036213', NULL, NULL, 152, NULL, 'TRAF domain-like', 200040),
(259118, '0043219', NULL, NULL, 344, NULL, 'L-sulfolactate dehydrogenase-like', 200041);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(259119, '0051081', NULL, NULL, 343, NULL, 'L-sulfolactate dehydrogenase-like', 200041),
(259120, '0041611', NULL, NULL, 332, NULL, 'L-sulfolactate dehydrogenase-like', 200041),
(259121, '0049518', NULL, NULL, 93, NULL, 'Chromosomal protein MC1', 200042),
(259122, '0041552', NULL, NULL, 256, NULL, 'Nop domain', 200043),
(259123, '0054436', NULL, NULL, 249, NULL, 'Nop domain', 200043),
(259124, '0043609', NULL, NULL, 48, NULL, 'Defensin-like', 200044),
(259125, '0035411', NULL, NULL, 42, NULL, 'Defensin-like', 200044),
(259126, '0035631', NULL, NULL, 38, NULL, 'Defensin-like', 200044),
(259127, '0054923', NULL, NULL, 37, NULL, 'Defensin-like', 200044),
(259128, '0036768', NULL, NULL, 37, NULL, 'Defensin-like', 200044),
(259129, '0038424', NULL, NULL, 42, NULL, 'Defensin-like', 200044),
(259130, '0054922', NULL, NULL, 37, NULL, 'Defensin-like', 200044),
(259131, '0036767', NULL, NULL, 36, NULL, 'Defensin-like', 200044),
(259132, '0036766', NULL, NULL, 35, NULL, 'Defensin-like', 200044),
(259133, '0040113', NULL, NULL, 45, NULL, 'Defensin-like', 200044),
(259134, '0045936', NULL, NULL, 43, NULL, 'Defensin-like', 200044),
(259135, '0037233', NULL, NULL, 32, NULL, 'Defensin-like', 200044),
(259136, '0049707', NULL, NULL, 32, NULL, 'Defensin-like', 200044),
(259137, '0035155', NULL, NULL, 49, NULL, 'Defensin-like', 200044),
(259138, '0035197', NULL, NULL, 46, NULL, 'Defensin-like', 200044),
(259139, '0035053', NULL, NULL, 49, NULL, 'Defensin-like', 200044),
(259140, '0036291', NULL, NULL, 42, NULL, 'Defensin-like', 200044),
(259141, '0046326', NULL, NULL, 30, NULL, 'Defensin-like', 200044),
(259142, '0046756', NULL, NULL, 41, NULL, 'Defensin-like', 200044),
(259143, '0044513', NULL, NULL, 38, NULL, 'Defensin-like', 200044),
(259144, '0047616', NULL, NULL, 325, NULL, 'S-adenosylmethionine decarboxylase', 200045),
(259145, '0044046', NULL, NULL, 117, NULL, 'S-adenosylmethionine decarboxylase', 200045),
(259146, '0040932', NULL, NULL, 324, NULL, 'S-adenosylmethionine decarboxylase', 200045),
(259147, '0042652', NULL, NULL, 192, NULL, '39 kda initiator binding protein, IBP39, C-terminal domains', 200046),
(259148, '0040491', NULL, NULL, 170, NULL, 'VSV matrix protein', 200047),
(259149, '0049473', NULL, NULL, 474, NULL, 'Calcium ATPase, transmembrane domain M', 200048),
(259150, '0052122', NULL, NULL, 294, NULL, 'Duffy binding domain-like', 200049),
(259151, '0051624', NULL, NULL, 314, NULL, 'Duffy binding domain-like', 200049),
(259152, '0051623', NULL, NULL, 275, NULL, 'Duffy binding domain-like', 200049),
(259153, '0036538', NULL, NULL, 31, NULL, 'Proteinase A inhibitor IA3', 200050),
(259154, '0052989', NULL, NULL, 108, NULL, 'ICP-like', 200051),
(259155, '0052105', NULL, NULL, 113, NULL, 'ICP-like', 200051),
(259156, '0053274', NULL, NULL, 94, NULL, 'Hypothetical protein PF0899', 200052),
(259157, '0054559', NULL, NULL, 113, NULL, 'Jann4075-like', 200053),
(259158, '0054092', NULL, NULL, 180, NULL, 'AF1531-like', 200054),
(259159, '0049812', NULL, NULL, 388, NULL, 'Vacuolar ATP synthase subunit C', 200055),
(259160, '0040558', NULL, NULL, 240, NULL, 'Plakin repeat', 200056),
(259161, '0040556', NULL, NULL, 196, NULL, 'Plakin repeat', 200056),
(259162, '0049988', NULL, NULL, 100, NULL, 'Transcriptional repressor TraM', 200057),
(259163, '0054119', NULL, NULL, 111, NULL, 'gpW/gp25-like', 200058),
(259164, '0034925', NULL, NULL, 74, NULL, 'tRNA-intron endonuclease N-terminal domain-like', 200059),
(259165, '0043081', NULL, NULL, 58, NULL, 'tRNA-intron endonuclease N-terminal domain-like', 200059),
(259166, '0043079', NULL, NULL, 75, NULL, 'tRNA-intron endonuclease N-terminal domain-like', 200059),
(259167, '0044925', NULL, NULL, 76, NULL, 'Mitochondrial ATP synthase coupling factor 6', 200060),
(259168, '0053456', NULL, NULL, 69, NULL, 'SNARE fusion complex', 200061),
(259169, '0053511', NULL, NULL, 69, NULL, 'SNARE fusion complex', 200061),
(259170, '0053465', NULL, NULL, 41, NULL, 'SNARE fusion complex', 200061),
(259171, '0053487', NULL, NULL, 54, NULL, 'SNARE fusion complex', 200061),
(259172, '0053430', NULL, NULL, 55, NULL, 'SNARE fusion complex', 200061);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(259173, '0053471', NULL, NULL, 75, NULL, 'SNARE fusion complex', 200061),
(259174, '0053472', NULL, NULL, 28, NULL, 'SNARE fusion complex', 200061),
(259175, '0053529', NULL, NULL, 58, NULL, 'SNARE fusion complex', 200061),
(259176, '0053428', NULL, NULL, 60, NULL, 'SNARE fusion complex', 200061),
(259177, '0053429', NULL, NULL, 60, NULL, 'SNARE fusion complex', 200061),
(259178, '0053514', NULL, NULL, 74, NULL, 'SNARE fusion complex', 200061),
(259179, '0053427', NULL, NULL, 54, NULL, 'SNARE fusion complex', 200061),
(259180, '0053468', NULL, NULL, 66, NULL, 'SNARE fusion complex', 200061),
(259181, '0053512', NULL, NULL, 77, NULL, 'SNARE fusion complex', 200061),
(259182, '0053469', NULL, NULL, 82, NULL, 'SNARE fusion complex', 200061),
(259183, '0053513', NULL, NULL, 72, NULL, 'SNARE fusion complex', 200061),
(259184, '0054810', NULL, NULL, 64, NULL, 'SNARE fusion complex', 200061),
(259185, '0054809', NULL, NULL, 54, NULL, 'SNARE fusion complex', 200061),
(259186, '0054808', NULL, NULL, 59, NULL, 'SNARE fusion complex', 200061),
(259187, '0053470', NULL, NULL, 73, NULL, 'SNARE fusion complex', 200061),
(259188, '0050129', NULL, NULL, 175, NULL, 'THUMP domain-like', 200062),
(259189, '0052118', NULL, NULL, 171, NULL, 'THUMP domain-like', 200062),
(259190, '0049192', NULL, NULL, 98, NULL, 'THUMP domain-like', 200062),
(259191, '0053821', NULL, NULL, 85, NULL, 'THUMP domain-like', 200062),
(259192, '0051188', NULL, NULL, 248, NULL, 'BAR/IMD domain-like', 200063),
(259193, '0053884', NULL, NULL, 279, NULL, 'BAR/IMD domain-like', 200063),
(259194, '0052378', NULL, NULL, 237, NULL, 'BAR/IMD domain-like', 200063),
(259195, '0053885', NULL, NULL, 288, NULL, 'BAR/IMD domain-like', 200063),
(259196, '0047298', NULL, NULL, 200, NULL, 'BAR/IMD domain-like', 200063),
(259197, '0050766', NULL, NULL, 200, NULL, 'BAR/IMD domain-like', 200063),
(259198, '0049984', NULL, NULL, 217, NULL, 'BAR/IMD domain-like', 200063),
(259199, '0053888', NULL, NULL, 268, NULL, 'BAR/IMD domain-like', 200063),
(259200, '0053936', NULL, NULL, 255, NULL, 'EreA/ChaN-like', 200064),
(259201, '0054607', NULL, NULL, 413, NULL, 'EreA/ChaN-like', 200064),
(259202, '0054805', NULL, NULL, 403, NULL, 'EreA/ChaN-like', 200064),
(259203, '0053876', NULL, NULL, 219, NULL, 'EreA/ChaN-like', 200064),
(259204, '0051628', NULL, NULL, 139, NULL, 'Bacteriophage trimeric proteins domain', 200065),
(259205, '0051407', NULL, NULL, 166, NULL, 'Bacteriophage trimeric proteins domain', 200065),
(259206, '0037056', NULL, NULL, 436, NULL, 'Amine oxidase catalytic domain', 200066),
(259207, '0050376', NULL, NULL, 417, NULL, 'Amine oxidase catalytic domain', 200066),
(259208, '0041276', NULL, NULL, 460, NULL, 'Amine oxidase catalytic domain', 200066),
(259209, '0040241', NULL, NULL, 441, NULL, 'Amine oxidase catalytic domain', 200066),
(259210, '0041758', NULL, NULL, 424, NULL, 'Amine oxidase catalytic domain', 200066),
(259211, '0040394', NULL, NULL, 77, NULL, 'PGBD-like', 200067),
(259212, '0036027', NULL, NULL, 77, NULL, 'PGBD-like', 200067),
(259213, '0049469', NULL, NULL, 67, NULL, 'PGBD-like', 200067),
(259214, '0051968', NULL, NULL, 81, NULL, 'PGBD-like', 200067),
(259215, '0040446', NULL, NULL, 83, NULL, 'PGBD-like', 200067),
(259216, '0043654', NULL, NULL, 65, NULL, 'PGBD-like', 200067),
(259217, '0053841', NULL, NULL, 64, NULL, 'YqaI-like', 200068),
(259218, '0043514', NULL, NULL, 194, NULL, 'Ribosomal proteins S24e, L23 and L15e', 200069),
(259219, '0051035', NULL, NULL, 101, NULL, 'Ribosomal proteins S24e, L23 and L15e', 200069),
(259220, '0041253', NULL, NULL, 96, NULL, 'Ribosomal proteins S24e, L23 and L15e', 200069),
(259221, '0039573', NULL, NULL, 194, NULL, 'Ribosomal proteins S24e, L23 and L15e', 200069),
(259222, '0054708', NULL, NULL, 93, NULL, 'Ribosomal proteins S24e, L23 and L15e', 200069),
(259223, '0037537', NULL, NULL, 194, NULL, 'Ribosomal proteins S24e, L23 and L15e', 200069),
(259224, '0037544', NULL, NULL, 78, NULL, 'Ribosomal proteins S24e, L23 and L15e', 200069),
(259225, '0051435', NULL, NULL, 102, NULL, 'Ribosomal proteins S24e, L23 and L15e', 200069);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(259226, '0052820', NULL, NULL, 98, NULL, 'Ribosomal proteins S24e, L23 and L15e', 200069),
(259227, '0054601', NULL, NULL, 93, NULL, 'Ribosomal proteins S24e, L23 and L15e', 200069),
(259228, '0054788', NULL, NULL, 93, NULL, 'Ribosomal proteins S24e, L23 and L15e', 200069),
(259229, '0046204', NULL, NULL, 269, NULL, 'TolB, C-terminal domain', 200070),
(259230, '0044290', NULL, NULL, 149, NULL, 'Actin depolymerizing proteins', 200071),
(259231, '0036224', NULL, NULL, 127, NULL, 'Actin depolymerizing proteins', 200071),
(259232, '0036223', NULL, NULL, 96, NULL, 'Actin depolymerizing proteins', 200071),
(259233, '0039398', NULL, NULL, 116, NULL, 'Actin depolymerizing proteins', 200071),
(259234, '0042657', NULL, NULL, 166, NULL, 'Actin depolymerizing proteins', 200071),
(259235, '0035078', NULL, NULL, 174, NULL, 'Actin depolymerizing proteins', 200071),
(259236, '0036222', NULL, NULL, 149, NULL, 'Actin depolymerizing proteins', 200071),
(259237, '0044639', NULL, NULL, 151, NULL, 'Actin depolymerizing proteins', 200071),
(259238, '0036221', NULL, NULL, 121, NULL, 'Actin depolymerizing proteins', 200071),
(259239, '0036220', NULL, NULL, 110, NULL, 'Actin depolymerizing proteins', 200071),
(259240, '0038681', NULL, NULL, 139, NULL, 'Actin depolymerizing proteins', 200071),
(259241, '0039551', NULL, NULL, 102, NULL, 'Actin depolymerizing proteins', 200071),
(259242, '0039550', NULL, NULL, 114, NULL, 'Actin depolymerizing proteins', 200071),
(259243, '0041507', NULL, NULL, 96, NULL, 'Actin depolymerizing proteins', 200071),
(259244, '0043781', NULL, NULL, 102, NULL, 'Actin depolymerizing proteins', 200071),
(259245, '0040776', NULL, NULL, 133, NULL, 'Actin depolymerizing proteins', 200071),
(259246, '0044994', NULL, NULL, 145, NULL, 'Actin depolymerizing proteins', 200071),
(259247, '0035967', NULL, NULL, 133, NULL, 'Actin depolymerizing proteins', 200071),
(259248, '0037429', NULL, NULL, 124, NULL, 'Actin depolymerizing proteins', 200071),
(259249, '0050504', NULL, NULL, 151, NULL, 'Actin depolymerizing proteins', 200071),
(259250, '0053314', NULL, NULL, 126, NULL, 'Actin depolymerizing proteins', 200071),
(259251, '0036074', NULL, NULL, 134, NULL, 'Actin depolymerizing proteins', 200071),
(259252, '0040022', NULL, NULL, 104, NULL, 'Actin depolymerizing proteins', 200071),
(259253, '0038372', NULL, NULL, 96, NULL, 'Actin depolymerizing proteins', 200071),
(259254, '0049533', NULL, NULL, 144, NULL, 'Actin depolymerizing proteins', 200071),
(259255, '0054480', NULL, NULL, 269, NULL, 'Cgl1923-like', 200072),
(259256, '0052089', NULL, NULL, 170, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073),
(259257, '0047430', NULL, NULL, 181, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073),
(259258, '0039219', NULL, NULL, 151, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073),
(259259, '0050326', NULL, NULL, 198, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073),
(259260, '0035713', NULL, NULL, 151, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073),
(259261, '0039700', NULL, NULL, 153, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073),
(259262, '0036987', NULL, NULL, 155, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073),
(259263, '0050325', NULL, NULL, 189, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073),
(259264, '0052369', NULL, NULL, 153, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073),
(259265, '0045539', NULL, NULL, 154, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073),
(259266, '0039175', NULL, NULL, 189, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073),
(259267, '0043628', NULL, NULL, 154, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073),
(259268, '0049821', NULL, NULL, 215, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073),
(259269, '0049931', NULL, NULL, 152, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073),
(259270, '0043101', NULL, NULL, 153, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073),
(259271, '0043402', NULL, NULL, 153, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', 200073);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(259272, '0038012', NULL, NULL, 317, NULL, 'gp120 core', 200074),
(259273, '0038014', NULL, NULL, 306, NULL, 'gp120 core', 200074),
(259274, '0053728', NULL, NULL, 339, NULL, 'gp120 core', 200074),
(259275, '0038574', NULL, NULL, 312, NULL, 'Fe-only hydrogenase', 200075),
(259276, '0037511', NULL, NULL, 365, NULL, 'Fe-only hydrogenase', 200075),
(259277, '0046727', NULL, NULL, 690, NULL, 'Lipoxigenase', 200076),
(259278, '0040593', NULL, NULL, 551, NULL, 'Lipoxigenase', 200076),
(259279, '0041261', NULL, NULL, 690, NULL, 'Lipoxigenase', 200076),
(259280, '0053832', NULL, NULL, 70, NULL, 'YopT-like', 200077),
(259281, '0037935', NULL, NULL, 82, NULL, 'Small-conductance potassium channel', 200078),
(259282, '0040125', NULL, NULL, 92, NULL, 'Small-conductance potassium channel', 200078),
(259283, '0049721', NULL, NULL, 247, NULL, 'CutC-like', 200079),
(259284, '0049997', NULL, NULL, 77, NULL, 'Sporulation related repeat', 200080),
(259285, '0036903', NULL, NULL, 34, NULL, 'Ectatomin subunits', 200081),
(259286, '0036902', NULL, NULL, 37, NULL, 'Ectatomin subunits', 200081),
(259287, '0035140', NULL, NULL, 395, NULL, 'Aldehyde ferredoxin oxidoreductase, C-terminal domains', 200082),
(259288, '0035314', NULL, NULL, 409, NULL, 'Aldehyde ferredoxin oxidoreductase, C-terminal domains', 200082),
(259289, '0038600', NULL, NULL, 274, NULL, 'Dipeptide transport protein', 200083),
(259290, '0053301', NULL, NULL, 108, NULL, 'SH2 domain', 200084),
(259291, '0048098', NULL, NULL, 132, NULL, 'SH2 domain', 200084),
(259292, '0049185', NULL, NULL, 100, NULL, 'SH2 domain', 200084),
(259293, '0050893', NULL, NULL, 141, NULL, 'SH2 domain', 200084),
(259294, '0034802', NULL, NULL, 106, NULL, 'SH2 domain', 200084),
(259295, '0047684', NULL, NULL, 109, NULL, 'SH2 domain', 200084),
(259296, '0048234', NULL, NULL, 120, NULL, 'SH2 domain', 200084),
(259297, '0048099', NULL, NULL, 124, NULL, 'SH2 domain', 200084),
(259298, '0040529', NULL, NULL, 105, NULL, 'SH2 domain', 200084),
(259299, '0053769', NULL, NULL, 103, NULL, 'SH2 domain', 200084),
(259300, '0038863', NULL, NULL, 103, NULL, 'SH2 domain', 200084),
(259301, '0034940', NULL, NULL, 129, NULL, 'SH2 domain', 200084),
(259302, '0035513', NULL, NULL, 126, NULL, 'SH2 domain', 200084),
(259303, '0039796', NULL, NULL, 97, NULL, 'SH2 domain', 200084),
(259304, '0040671', NULL, NULL, 108, NULL, 'SH2 domain', 200084),
(259305, '0045209', NULL, NULL, 88, NULL, 'SH2 domain', 200084),
(259306, '0037590', NULL, NULL, 112, NULL, 'SH2 domain', 200084),
(259307, '0036143', NULL, NULL, 112, NULL, 'SH2 domain', 200084),
(259308, '0054170', NULL, NULL, 112, NULL, 'SH2 domain', 200084),
(259309, '0044534', NULL, NULL, 131, NULL, 'SH2 domain', 200084),
(259310, '0049229', NULL, NULL, 86, NULL, 'SH2 domain', 200084),
(259311, '0052267', NULL, NULL, 106, NULL, 'SH2 domain', 200084),
(259312, '0043094', NULL, NULL, 97, NULL, 'SH2 domain', 200084),
(259313, '0045451', NULL, NULL, 109, NULL, 'SH2 domain', 200084),
(259314, '0035526', NULL, NULL, 141, NULL, 'SH2 domain', 200084),
(259315, '0035602', NULL, NULL, 110, NULL, 'SH2 domain', 200084),
(259316, '0037781', NULL, NULL, 111, NULL, 'SH2 domain', 200084),
(259317, '0045735', NULL, NULL, 125, NULL, 'SH2 domain', 200084),
(259318, '0039981', NULL, NULL, 101, NULL, 'SH2 domain', 200084),
(259319, '0036271', NULL, NULL, 104, NULL, 'SH2 domain', 200084),
(259320, '0045979', NULL, NULL, 114, NULL, 'SH2 domain', 200084),
(259321, '0042328', NULL, NULL, 112, NULL, 'SH2 domain', 200084),
(259322, '0035143', NULL, NULL, 106, NULL, 'SH2 domain', 200084),
(259323, '0042706', NULL, NULL, 103, NULL, 'SH2 domain', 200084),
(259324, '0040946', NULL, NULL, 104, NULL, 'SH2 domain', 200084),
(259325, '0048620', NULL, NULL, 101, NULL, 'SH2 domain', 200084),
(259326, '0041534', NULL, NULL, 105, NULL, 'SH2 domain', 200084),
(259327, '0045415', NULL, NULL, 105, NULL, 'SH2 domain', 200084),
(259328, '0041970', NULL, NULL, 112, NULL, 'FAD-dependent thiol oxidase', 200085),
(259329, '0039717', NULL, NULL, 105, NULL, 'FAD-dependent thiol oxidase', 200085),
(259330, '0039123', NULL, NULL, 96, NULL, 'Arginyl-tRNA synthetase (ArgRS), N-terminal ''additional'' domain', 200086);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(259331, '0035692', NULL, NULL, 131, NULL, 'Arginyl-tRNA synthetase (ArgRS), N-terminal ''additional'' domain', 200086),
(259332, '0045428', NULL, NULL, 193, NULL, 'Peptidyl-tRNA hydrolase-like', 200087),
(259333, '0043416', NULL, NULL, 191, NULL, 'Peptidyl-tRNA hydrolase-like', 200087),
(259334, '0044855', NULL, NULL, 236, NULL, 'Argininosuccinate synthetase, C-terminal domain', 200088),
(259335, '0039978', NULL, NULL, 256, NULL, 'Argininosuccinate synthetase, C-terminal domain', 200088),
(259336, '0040190', NULL, NULL, 225, NULL, 'Argininosuccinate synthetase, C-terminal domain', 200088),
(259337, '0052366', NULL, NULL, 119, NULL, 'DsrEFH-like', 200089),
(259338, '0052367', NULL, NULL, 95, NULL, 'DsrEFH-like', 200089),
(259339, '0053057', NULL, NULL, 132, NULL, 'DsrEFH-like', 200089),
(259340, '0052365', NULL, NULL, 128, NULL, 'DsrEFH-like', 200089),
(259341, '0053058', NULL, NULL, 101, NULL, 'DsrEFH-like', 200089),
(259342, '0053056', NULL, NULL, 130, NULL, 'DsrEFH-like', 200089),
(259343, '0050877', NULL, NULL, 87, NULL, 'DsrEFH-like', 200089),
(259344, '0047703', NULL, NULL, 117, NULL, 'DsrEFH-like', 200089),
(259345, '0047921', NULL, NULL, 111, NULL, 'DsrEFH-like', 200089),
(259346, '0042431', NULL, NULL, 386, NULL, 'Aerolisin/ETX pore-forming domain', 200090),
(259347, '0044565', NULL, NULL, 280, NULL, 'Aerolisin/ETX pore-forming domain', 200090),
(259348, '0046902', NULL, NULL, 31, NULL, 'Granulin repeat', 200091),
(259349, '0037812', NULL, NULL, 35, NULL, 'Granulin repeat', 200091),
(259350, '0048951', NULL, NULL, 30, NULL, 'Granulin repeat', 200091),
(259351, '0050878', NULL, NULL, 53, NULL, 'Hypothetical membrane protein Ta0354, soluble domain', 200092),
(259352, '0046590', NULL, NULL, 271, NULL, 'Carbon-nitrogen hydrolase', 200093),
(259353, '0039340', NULL, NULL, 262, NULL, 'Carbon-nitrogen hydrolase', 200093),
(259354, '0037433', NULL, NULL, 281, NULL, 'Carbon-nitrogen hydrolase', 200093),
(259355, '0037148', NULL, NULL, 303, NULL, 'Carbon-nitrogen hydrolase', 200093),
(259356, '0038641', NULL, NULL, 384, NULL, 'Chondroitin AC/alginate lyase', 200094),
(259357, '0037333', NULL, NULL, 371, NULL, 'Chondroitin AC/alginate lyase', 200094),
(259358, '0043392', NULL, NULL, 369, NULL, 'Chondroitin AC/alginate lyase', 200094),
(259359, '0046100', NULL, NULL, 310, NULL, 'Chondroitin AC/alginate lyase', 200094),
(259360, '0048918', NULL, NULL, 351, NULL, 'Chondroitin AC/alginate lyase', 200094),
(259361, '0039308', NULL, NULL, 361, NULL, 'Chondroitin AC/alginate lyase', 200094),
(259362, '0036993', NULL, NULL, 370, NULL, 'Chondroitin AC/alginate lyase', 200094),
(259363, '0050145', NULL, NULL, 62, NULL, 'Zinc beta-ribbon', 200095),
(259364, '0049068', NULL, NULL, 57, NULL, 'Zinc beta-ribbon', 200095),
(259365, '0050588', NULL, NULL, 85, NULL, 'Zinc beta-ribbon', 200095),
(259366, '0051787', NULL, NULL, 38, NULL, 'Zinc beta-ribbon', 200095),
(259367, '0045108', NULL, NULL, 57, NULL, 'Zinc beta-ribbon', 200095),
(259368, '0041574', NULL, NULL, 54, NULL, 'Zinc beta-ribbon', 200095),
(259369, '0048749', NULL, NULL, 50, NULL, 'Zinc beta-ribbon', 200095),
(259370, '0046355', NULL, NULL, 58, NULL, 'Zinc beta-ribbon', 200095),
(259371, '0049613', NULL, NULL, 50, NULL, 'Zinc beta-ribbon', 200095),
(259372, '0046246', NULL, NULL, 102, NULL, 'Zinc beta-ribbon', 200095),
(259373, '0047306', NULL, NULL, 73, NULL, 'Zinc beta-ribbon', 200095),
(259374, '0045107', NULL, NULL, 65, NULL, 'Zinc beta-ribbon', 200095),
(259375, '0047305', NULL, NULL, 49, NULL, 'Zinc beta-ribbon', 200095),
(259376, '0036927', NULL, NULL, 134, NULL, 'Alpha-macroglobulin receptor domain', 200096),
(259377, '0035269', NULL, NULL, 130, NULL, 'Alpha-macroglobulin receptor domain', 200096),
(259378, '0035724', NULL, NULL, 138, NULL, 'Alpha-macroglobulin receptor domain', 200096),
(259379, '0037808', NULL, NULL, 415, NULL, 'Phosphoglycerate kinase', 200097),
(259380, '0040047', NULL, NULL, 416, NULL, 'Phosphoglycerate kinase', 200097),
(259381, '0044903', NULL, NULL, 398, NULL, 'Phosphoglycerate kinase', 200097),
(259382, '0038550', NULL, NULL, 413, NULL, 'Phosphoglycerate kinase', 200097);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(259383, '0042919', NULL, NULL, 415, NULL, 'Phosphoglycerate kinase', 200097),
(259384, '0042321', NULL, NULL, 394, NULL, 'Phosphoglycerate kinase', 200097),
(259385, '0044642', NULL, NULL, 390, NULL, 'Phosphoglycerate kinase', 200097),
(259386, '0040654', NULL, NULL, 417, NULL, 'Phosphoglycerate kinase', 200097),
(259387, '0034787', NULL, NULL, 415, NULL, 'Phosphoglycerate kinase', 200097),
(259388, '0044505', NULL, NULL, 80, NULL, 'PCD-like', 200098),
(259389, '0036353', NULL, NULL, 99, NULL, 'PCD-like', 200098),
(259390, '0049243', NULL, NULL, 100, NULL, 'PCD-like', 200098),
(259391, '0051463', NULL, NULL, 51, NULL, 'Rabenosyn-5 Rab-binding domain-like', 200099),
(259392, '0051464', NULL, NULL, 61, NULL, 'Rabenosyn-5 Rab-binding domain-like', 200099),
(259393, '0051674', NULL, NULL, 118, NULL, 'Histidine-containing phosphotransfer domain, HPT domain', 200100),
(259394, '0051419', NULL, NULL, 142, NULL, 'Histidine-containing phosphotransfer domain, HPT domain', 200100),
(259395, '0044088', NULL, NULL, 105, NULL, 'Histidine-containing phosphotransfer domain, HPT domain', 200100),
(259396, '0049447', NULL, NULL, 116, NULL, 'Histidine-containing phosphotransfer domain, HPT domain', 200100),
(259397, '0046049', NULL, NULL, 166, NULL, 'Histidine-containing phosphotransfer domain, HPT domain', 200100),
(259398, '0051209', NULL, NULL, 114, NULL, 'Histidine-containing phosphotransfer domain, HPT domain', 200100),
(259399, '0054392', NULL, NULL, 104, NULL, 'Histidine-containing phosphotransfer domain, HPT domain', 200100),
(259400, '0038885', NULL, NULL, 128, NULL, 'Histidine-containing phosphotransfer domain, HPT domain', 200100),
(259401, '0050663', NULL, NULL, 131, NULL, 'Histidine-containing phosphotransfer domain, HPT domain', 200100),
(259402, '0043727', NULL, NULL, 152, NULL, '2-isopropylmalate synthase LeuA, allosteric (dimerisation) domain', 200101),
(259403, '0054115', NULL, NULL, 39, NULL, 'Sec-C motif', 200102),
(259404, '0054116', NULL, NULL, 25, NULL, 'Sec-C motif', 200102),
(259405, '0042099', NULL, NULL, 24, NULL, 'Sec-C motif', 200102),
(259406, '0049654', NULL, NULL, 22, NULL, 'Sec-C motif', 200102),
(259407, '0043786', NULL, NULL, 22, NULL, 'Sec-C motif', 200102),
(259408, '0054214', NULL, NULL, 69, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259409, '0052298', NULL, NULL, 91, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259410, '0054278', NULL, NULL, 80, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259411, '0052299', NULL, NULL, 84, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259412, '0052297', NULL, NULL, 82, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259413, '0050196', NULL, NULL, 71, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259414, '0052294', NULL, NULL, 81, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259415, '0052295', NULL, NULL, 90, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259416, '0036586', NULL, NULL, 73, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259417, '0054755', NULL, NULL, 87, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259418, '0047806', NULL, NULL, 89, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259419, '0044119', NULL, NULL, 104, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259420, '0046515', NULL, NULL, 87, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259421, '0052300', NULL, NULL, 81, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259422, '0050461', NULL, NULL, 104, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259423, '0050725', NULL, NULL, 70, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259424, '0053736', NULL, NULL, 84, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259425, '0051852', NULL, NULL, 71, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259426, '0051994', NULL, NULL, 134, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(259427, '0039845', NULL, NULL, 122, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259428, '0052225', NULL, NULL, 78, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259429, '0052721', NULL, NULL, 65, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259430, '0054206', NULL, NULL, 85, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259431, '0050815', NULL, NULL, 79, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259432, '0050814', NULL, NULL, 81, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259433, '0047512', NULL, NULL, 74, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259434, '0049699', NULL, NULL, 84, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259435, '0054281', NULL, NULL, 126, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259436, '0047513', NULL, NULL, 71, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', 200103),
(259437, '0052717', NULL, NULL, 240, NULL, 'SipA N-terminal domain-like', 200104),
(259438, '0049866', NULL, NULL, 51, NULL, 'Elafin-like', 200105),
(259439, '0053294', NULL, NULL, 57, NULL, 'Elafin-like', 200105),
(259440, '0050605', NULL, NULL, 71, NULL, 'WRKY DNA-binding domain', 200106),
(259441, '0037083', NULL, NULL, 147, NULL, 'DNA polymerase III chi subunit', 200107),
(259442, '0041827', NULL, NULL, 102, NULL, 'HAND domain of the nucleosome remodeling ATPase ISWI', 200108),
(259443, '0041441', NULL, NULL, 220, NULL, 'Helical scaffold and wing domains of SecA', 200109),
(259444, '0040824', NULL, NULL, 232, NULL, 'Helical scaffold and wing domains of SecA', 200109),
(259445, '0037024', NULL, NULL, 77, NULL, 'RPB5-like RNA polymerase subunit', 200110),
(259446, '0036685', NULL, NULL, 72, NULL, 'RPB5-like RNA polymerase subunit', 200110),
(259447, '0038639', NULL, NULL, 68, NULL, 'RPB5-like RNA polymerase subunit', 200110),
(259448, '0046277', NULL, NULL, 186, NULL, 'CBD9-like', 200111),
(259449, '0049898', NULL, NULL, 245, NULL, 'CBD9-like', 200111),
(259450, '0047326', NULL, NULL, 189, NULL, 'CBD9-like', 200111),
(259451, '0053972', NULL, NULL, 117, NULL, 'IVS-encoded protein-like', 200112),
(259452, '0054679', NULL, NULL, 115, NULL, 'IVS-encoded protein-like', 200112),
(259453, '0051550', NULL, NULL, 122, NULL, 'Transducin (alpha subunit), insertion domain', 200113),
(259454, '0043922', NULL, NULL, 121, NULL, 'Transducin (alpha subunit), insertion domain', 200113),
(259455, '0035280', NULL, NULL, 116, NULL, 'Transducin (alpha subunit), insertion domain', 200113),
(259456, '0051552', NULL, NULL, 126, NULL, 'Transducin (alpha subunit), insertion domain', 200113),
(259457, '0036001', NULL, NULL, 121, NULL, 'Transducin (alpha subunit), insertion domain', 200113),
(259458, '0051951', NULL, NULL, 117, NULL, 'Transducin (alpha subunit), insertion domain', 200113),
(259459, '0054078', NULL, NULL, 252, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259460, '0047022', NULL, NULL, 386, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259461, '0048199', NULL, NULL, 262, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259462, '0054879', NULL, NULL, 289, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259463, '0036889', NULL, NULL, 117, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259464, '0045881', NULL, NULL, 367, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259465, '0046973', NULL, NULL, 116, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259466, '0048356', NULL, NULL, 277, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259467, '0046972', NULL, NULL, 116, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259468, '0046579', NULL, NULL, 282, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259469, '0047029', NULL, NULL, 392, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259470, '0047270', NULL, NULL, 198, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259471, '0047271', NULL, NULL, 126, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259472, '0048365', NULL, NULL, 123, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259473, '0048364', NULL, NULL, 199, NULL, 'FAD/NAD(P)-binding domain', 200114);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(259474, '0050961', NULL, NULL, 122, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259475, '0050960', NULL, NULL, 168, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259476, '0037441', NULL, NULL, 371, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259477, '0046344', NULL, NULL, 156, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259478, '0047712', NULL, NULL, 293, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259479, '0048009', NULL, NULL, 119, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259480, '0048494', NULL, NULL, 400, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259481, '0053321', NULL, NULL, 230, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259482, '0053322', NULL, NULL, 119, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259483, '0049222', NULL, NULL, 278, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259484, '0047682', NULL, NULL, 352, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259485, '0048771', NULL, NULL, 306, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259486, '0052911', NULL, NULL, 311, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259487, '0053967', NULL, NULL, 254, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259488, '0041341', NULL, NULL, 331, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259489, '0046751', NULL, NULL, 141, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259490, '0046750', NULL, NULL, 187, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259491, '0047564', NULL, NULL, 234, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259492, '0047565', NULL, NULL, 122, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259493, '0046514', NULL, NULL, 224, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259494, '0046760', NULL, NULL, 241, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259495, '0053857', NULL, NULL, 450, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259496, '0042446', NULL, NULL, 162, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259497, '0040660', NULL, NULL, 501, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259498, '0038074', NULL, NULL, 218, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259499, '0046761', NULL, NULL, 117, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259500, '0045798', NULL, NULL, 117, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259501, '0046128', NULL, NULL, 386, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259502, '0045797', NULL, NULL, 239, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259503, '0054159', NULL, NULL, 348, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259504, '0047068', NULL, NULL, 225, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259505, '0049003', NULL, NULL, 318, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259506, '0038468', NULL, NULL, 153, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259507, '0040035', NULL, NULL, 361, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259508, '0052926', NULL, NULL, 381, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259509, '0046416', NULL, NULL, 222, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259510, '0050363', NULL, NULL, 299, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259511, '0035989', NULL, NULL, 306, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259512, '0050364', NULL, NULL, 235, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259513, '0048200', NULL, NULL, 121, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259514, '0048045', NULL, NULL, 115, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259515, '0054729', NULL, NULL, 266, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259516, '0037643', NULL, NULL, 185, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259517, '0039664', NULL, NULL, 357, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259518, '0048607', NULL, NULL, 260, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259519, '0049930', NULL, NULL, 47, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259520, '0040602', NULL, NULL, 230, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259521, '0040688', NULL, NULL, 221, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259522, '0040049', NULL, NULL, 312, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259523, '0046270', NULL, NULL, 323, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259524, '0046274', NULL, NULL, 337, NULL, 'FAD/NAD(P)-binding domain', 200114);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(259525, '0052032', NULL, NULL, 337, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259526, '0044098', NULL, NULL, 191, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259527, '0038449', NULL, NULL, 122, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259528, '0036301', NULL, NULL, 121, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259529, '0036300', NULL, NULL, 184, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259530, '0052313', NULL, NULL, 230, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259531, '0038285', NULL, NULL, 133, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259532, '0050927', NULL, NULL, 234, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259533, '0046834', NULL, NULL, 361, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259534, '0044413', NULL, NULL, 297, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259535, '0041940', NULL, NULL, 117, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259536, '0047133', NULL, NULL, 236, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259537, '0040619', NULL, NULL, 216, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259538, '0048583', NULL, NULL, 230, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259539, '0048584', NULL, NULL, 125, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259540, '0036016', NULL, NULL, 225, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259541, '0036654', NULL, NULL, 123, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259542, '0049150', NULL, NULL, 372, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259543, '0052964', NULL, NULL, 107, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259544, '0050148', NULL, NULL, 193, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259545, '0052600', NULL, NULL, 380, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259546, '0052963', NULL, NULL, 336, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259547, '0045518', NULL, NULL, 222, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259548, '0044705', NULL, NULL, 130, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259549, '0045519', NULL, NULL, 125, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259550, '0049679', NULL, NULL, 126, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259551, '0045870', NULL, NULL, 348, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259552, '0048865', NULL, NULL, 186, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259553, '0036092', NULL, NULL, 372, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259554, '0046446', NULL, NULL, 321, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259555, '0048866', NULL, NULL, 133, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259556, '0043577', NULL, NULL, 374, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259557, '0048108', NULL, NULL, 137, NULL, 'FAD/NAD(P)-binding domain', 200114),
(259558, '0053796', NULL, NULL, 118, NULL, 'Rnp2-like', 200115),
(259559, '0053705', NULL, NULL, 106, NULL, 'Rnp2-like', 200115),
(259560, '0054354', NULL, NULL, 147, NULL, 'RbsD-like', 200116),
(259561, '0041841', NULL, NULL, 131, NULL, 'RbsD-like', 200116),
(259562, '0052651', NULL, NULL, 114, NULL, 'Toprim domain', 200117),
(259563, '0043902', NULL, NULL, 108, NULL, 'Toprim domain', 200117),
(259564, '0053402', NULL, NULL, 54, NULL, 'N-terminal coiled coil domain from apc', 200118),
(259565, '0051443', NULL, NULL, 357, NULL, 'Heme-dependent peroxidases', 200119),
(259566, '0052494', NULL, NULL, 336, NULL, 'Heme-dependent peroxidases', 200119),
(259567, '0044250', NULL, NULL, 406, NULL, 'Heme-dependent peroxidases', 200119),
(259568, '0044251', NULL, NULL, 294, NULL, 'Heme-dependent peroxidases', 200119),
(259569, '0035393', NULL, NULL, 349, NULL, 'Heme-dependent peroxidases', 200119),
(259570, '0041762', NULL, NULL, 250, NULL, 'Heme-dependent peroxidases', 200119),
(259571, '0043547', NULL, NULL, 294, NULL, 'Heme-dependent peroxidases', 200119),
(259572, '0041122', NULL, NULL, 308, NULL, 'Heme-dependent peroxidases', 200119),
(259573, '0041121', NULL, NULL, 406, NULL, 'Heme-dependent peroxidases', 200119),
(259574, '0045642', NULL, NULL, 305, NULL, 'Heme-dependent peroxidases', 200119),
(259575, '0042217', NULL, NULL, 306, NULL, 'Heme-dependent peroxidases', 200119);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(259576, '0042916', NULL, NULL, 344, NULL, 'Heme-dependent peroxidases', 200119),
(259577, '0035542', NULL, NULL, 309, NULL, 'Heme-dependent peroxidases', 200119),
(259578, '0052523', NULL, NULL, 291, NULL, 'Heme-dependent peroxidases', 200119),
(259579, '0035161', NULL, NULL, 249, NULL, 'Heme-dependent peroxidases', 200119),
(259580, '0039189', NULL, NULL, 308, NULL, 'Heme-dependent peroxidases', 200119),
(259581, '0042766', NULL, NULL, 300, NULL, 'Heme-dependent peroxidases', 200119),
(259582, '0037585', NULL, NULL, 304, NULL, 'Heme-dependent peroxidases', 200119),
(259583, '0039285', NULL, NULL, 275, NULL, 'Heme-dependent peroxidases', 200119),
(259584, '0039188', NULL, NULL, 406, NULL, 'Heme-dependent peroxidases', 200119),
(259585, '0046223', NULL, NULL, 511, NULL, 'Heme-dependent peroxidases', 200119),
(259586, '0046200', NULL, NULL, 510, NULL, 'Heme-dependent peroxidases', 200119),
(259587, '0046365', NULL, NULL, 571, NULL, 'Heme-dependent peroxidases', 200119),
(259588, '0049776', NULL, NULL, 292, NULL, 'Heme-dependent peroxidases', 200119),
(259589, '0040547', NULL, NULL, 343, NULL, 'Heme-dependent peroxidases', 200119),
(259590, '0043632', NULL, NULL, 412, NULL, 'Heme-dependent peroxidases', 200119),
(259591, '0043633', NULL, NULL, 285, NULL, 'Heme-dependent peroxidases', 200119),
(259592, '0054153', NULL, NULL, 469, NULL, 'flu NP-like', 200120),
(259593, '0039458', NULL, NULL, 41, NULL, 'Subunit IX of photosystem I reaction centre, PsaJ', 200121),
(259594, '0047728', NULL, NULL, 124, NULL, 'gp5 N-terminal domain-like', 200122),
(259595, '0054462', NULL, NULL, 91, NULL, 'gp5 N-terminal domain-like', 200122),
(259596, '0053875', NULL, NULL, 300, NULL, 'PMT central region-like', 200123),
(259597, '0045608', NULL, NULL, 100, NULL, 'Urease, gamma-subunit', 200124),
(259598, '0037041', NULL, NULL, 100, NULL, 'Urease, gamma-subunit', 200124),
(259599, '0036861', NULL, NULL, 105, NULL, 'Urease, gamma-subunit', 200124),
(259600, '0052540', NULL, NULL, 128, NULL, 'MOSC N-terminal domain-like', 200125),
(259601, '0053921', NULL, NULL, 63, NULL, 'Lag-3 N-terminal region', 200126),
(259602, '0044727', NULL, NULL, 32, NULL, 'PetL subunit of the cytochrome b6f complex', 200127),
(259603, '0042670', NULL, NULL, 32, NULL, 'PetL subunit of the cytochrome b6f complex', 200127),
(259604, '0054204', NULL, NULL, 47, NULL, 'Ran binding protein zinc finger-like', 200128),
(259605, '0052255', NULL, NULL, 41, NULL, 'Ran binding protein zinc finger-like', 200128),
(259606, '0048377', NULL, NULL, 31, NULL, 'Ran binding protein zinc finger-like', 200128),
(259607, '0052121', NULL, NULL, 46, NULL, 'Ran binding protein zinc finger-like', 200128),
(259608, '0048257', NULL, NULL, 45, NULL, 'Ran binding protein zinc finger-like', 200128),
(259609, '0053966', NULL, NULL, 29, NULL, 'Ran binding protein zinc finger-like', 200128),
(259610, '0039346', NULL, NULL, 210, NULL, 'PEP carboxykinase N-terminal domain', 200129),
(259611, '0039037', NULL, NULL, 199, NULL, 'PEP carboxykinase N-terminal domain', 200129),
(259612, '0053254', NULL, NULL, 222, NULL, 'PEP carboxykinase N-terminal domain', 200129),
(259613, '0040081', NULL, NULL, 250, NULL, 'PEP carboxykinase N-terminal domain', 200129),
(259614, '0051360', NULL, NULL, 426, NULL, 'Activating enzymes of the ubiquitin-like proteins', 200130),
(259615, '0047696', NULL, NULL, 247, NULL, 'Activating enzymes of the ubiquitin-like proteins', 200130),
(259616, '0051359', NULL, NULL, 529, NULL, 'Activating enzymes of the ubiquitin-like proteins', 200130),
(259617, '0054025', NULL, NULL, 95, NULL, 'EutN/CcmL-like', 200131),
(259618, '0054634', NULL, NULL, 96, NULL, 'EutN/CcmL-like', 200131),
(259619, '0054667', NULL, NULL, 82, NULL, 'EutN/CcmL-like', 200131),
(259620, '0051187', NULL, NULL, 109, NULL, 'YbjQ-like', 200132),
(259621, '0050298', NULL, NULL, 103, NULL, 'YbjQ-like', 200132),
(259622, '0037997', NULL, NULL, 90, NULL, 'Tetraspanin', 200133),
(259623, '0047905', NULL, NULL, 108, NULL, 'Chemosensory protein Csp2', 200134),
(259624, '0051169', NULL, NULL, 78, NULL, 'YehU-like', 200135);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(259625, '0043316', NULL, NULL, 210, NULL, 'Prim-pol domain', 200136),
(259626, '0037965', NULL, NULL, 344, NULL, 'Prim-pol domain', 200136),
(259627, '0051636', NULL, NULL, 327, NULL, 'Prim-pol domain', 200136),
(259628, '0051833', NULL, NULL, 176, NULL, 'Prim-pol domain', 200136),
(259629, '0044601', NULL, NULL, 346, NULL, 'Prim-pol domain', 200136),
(259630, '0046020', NULL, NULL, 56, NULL, 'DNA helicase RuvA subunit, C-terminal domain', 200137),
(259631, '0047467', NULL, NULL, 50, NULL, 'DNA helicase RuvA subunit, C-terminal domain', 200137),
(259632, '0046216', NULL, NULL, 48, NULL, 'DNA helicase RuvA subunit, C-terminal domain', 200137),
(259633, '0050280', NULL, NULL, 57, NULL, 'CsrA-like', 200138),
(259634, '0041847', NULL, NULL, 261, NULL, 'Oxidoreductase molybdopterin-binding domain', 200139),
(259635, '0050934', NULL, NULL, 269, NULL, 'Oxidoreductase molybdopterin-binding domain', 200139),
(259636, '0043687', NULL, NULL, 250, NULL, 'Oxidoreductase molybdopterin-binding domain', 200139),
(259637, '0051059', NULL, NULL, 170, NULL, 'Hypothetical protein PA1324', 200140),
(259638, '0048648', NULL, NULL, 265, NULL, 'HCP-like', 200141),
(259639, '0047832', NULL, NULL, 133, NULL, 'HCP-like', 200141),
(259640, '0052907', NULL, NULL, 421, NULL, 'Rhabdovirus nucleoprotein-like', 200142),
(259641, '0052957', NULL, NULL, 443, NULL, 'Rhabdovirus nucleoprotein-like', 200142),
(259642, '0052609', NULL, NULL, 177, NULL, 'Fic-like', 200143),
(259643, '0052814', NULL, NULL, 177, NULL, 'Fic-like', 200143),
(259644, '0045039', NULL, NULL, 360, NULL, 'AF1104-like', 200144),
(259645, '0052676', NULL, NULL, 282, NULL, 'AF1104-like', 200144),
(259646, '0052852', NULL, NULL, 284, NULL, 'AF1104-like', 200144),
(259647, '0038969', NULL, NULL, 65, NULL, 'Thyroglobulin type-1 domain', 200145),
(259648, '0043310', NULL, NULL, 107, NULL, 'Thyroglobulin type-1 domain', 200145),
(259649, '0053844', NULL, NULL, 79, NULL, 'Thyroglobulin type-1 domain', 200145),
(259650, '0053843', NULL, NULL, 83, NULL, 'Thyroglobulin type-1 domain', 200145),
(259651, '0054500', NULL, NULL, 190, NULL, 'AhpD-like', 200146),
(259652, '0053233', NULL, NULL, 144, NULL, 'AhpD-like', 200146),
(259653, '0054431', NULL, NULL, 186, NULL, 'AhpD-like', 200146),
(259654, '0052929', NULL, NULL, 147, NULL, 'AhpD-like', 200146),
(259655, '0054540', NULL, NULL, 190, NULL, 'AhpD-like', 200146),
(259656, '0040162', NULL, NULL, 174, NULL, 'AhpD-like', 200146),
(259657, '0054570', NULL, NULL, 257, NULL, 'AhpD-like', 200146),
(259658, '0054419', NULL, NULL, 134, NULL, 'AhpD-like', 200146),
(259659, '0051758', NULL, NULL, 119, NULL, 'AhpD-like', 200146),
(259660, '0042190', NULL, NULL, 115, NULL, 'AhpD-like', 200146),
(259661, '0052335', NULL, NULL, 117, NULL, 'AhpD-like', 200146),
(259662, '0039641', NULL, NULL, 667, NULL, 'Membrane penetration protein mu1', 200147),
(259663, '0049158', NULL, NULL, 34, NULL, 'CCCH zinc finger', 200148),
(259664, '0052241', NULL, NULL, 56, NULL, 'CCCH zinc finger', 200148),
(259665, '0049157', NULL, NULL, 36, NULL, 'CCCH zinc finger', 200148),
(259666, '0052242', NULL, NULL, 29, NULL, 'CCCH zinc finger', 200148),
(259667, '0053908', NULL, NULL, 37, NULL, 'CCCH zinc finger', 200148),
(259668, '0040854', NULL, NULL, 40, NULL, 'CCCH zinc finger', 200148),
(259669, '0041384', NULL, NULL, 290, NULL, 'Antivirulence factor', 200149),
(259670, '0053763', NULL, NULL, 80, NULL, 'RING/U-box', 200150),
(259671, '0050592', NULL, NULL, 94, NULL, 'RING/U-box', 200150),
(259672, '0050318', NULL, NULL, 60, NULL, 'RING/U-box', 200150),
(259673, '0037895', NULL, NULL, 65, NULL, 'RING/U-box', 200150),
(259674, '0050433', NULL, NULL, 60, NULL, 'RING/U-box', 200150),
(259675, '0053820', NULL, NULL, 85, NULL, 'RING/U-box', 200150),
(259676, '0047962', NULL, NULL, 88, NULL, 'RING/U-box', 200150),
(259677, '0052291', NULL, NULL, 73, NULL, 'RING/U-box', 200150),
(259678, '0046458', NULL, NULL, 78, NULL, 'RING/U-box', 200150),
(259679, '0047625', NULL, NULL, 97, NULL, 'RING/U-box', 200150),
(259680, '0047624', NULL, NULL, 103, NULL, 'RING/U-box', 200150); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(259681, '0050087', NULL, NULL, 114, NULL, 'RING/U-box', 200150),
(259682, '0052268', NULL, NULL, 80, NULL, 'RING/U-box', 200150),
(259683, '0046140', NULL, NULL, 68, NULL, 'RING/U-box', 200150),
(259684, '0047475', NULL, NULL, 55, NULL, 'RING/U-box', 200150),
(259685, '0049212', NULL, NULL, 86, NULL, 'RING/U-box', 200150),
(259686, '0050469', NULL, NULL, 93, NULL, 'RING/U-box', 200150),
(259687, '0050527', NULL, NULL, 98, NULL, 'RING/U-box', 200150),
(259688, '0053934', NULL, NULL, 113, NULL, 'RING/U-box', 200150),
(259689, '0035646', NULL, NULL, 56, NULL, 'RING/U-box', 200150),
(259690, '0054129', NULL, NULL, 102, NULL, 'RING/U-box', 200150),
(259691, '0054689', NULL, NULL, 95, NULL, 'RING/U-box', 200150),
(259692, '0053909', NULL, NULL, 69, NULL, 'RING/U-box', 200150),
(259693, '0043836', NULL, NULL, 78, NULL, 'RING/U-box', 200150),
(259694, '0041252', NULL, NULL, 56, NULL, 'RING/U-box', 200150),
(259695, '0053608', NULL, NULL, 52, NULL, 'RING/U-box', 200150),
(259696, '0046745', NULL, NULL, 79, NULL, 'RING/U-box', 200150),
(259697, '0051834', NULL, NULL, 132, NULL, 'EF2947-like', 200151),
(259698, '0048230', NULL, NULL, 549, NULL, 'ssDNA viruses', 200152),
(259699, '0045196', NULL, NULL, 175, NULL, 'ssDNA viruses', 200152),
(259700, '0045195', NULL, NULL, 426, NULL, 'ssDNA viruses', 200152),
(259701, '0040716', NULL, NULL, 187, NULL, 'ssDNA viruses', 200152),
(259702, '0049320', NULL, NULL, 536, NULL, 'ssDNA viruses', 200152),
(259703, '0046092', NULL, NULL, 548, NULL, 'ssDNA viruses', 200152),
(259704, '0036514', NULL, NULL, 415, NULL, 'ssDNA viruses', 200152),
(259705, '0040289', NULL, NULL, 497, NULL, 'ssDNA viruses', 200152),
(259706, '0038077', NULL, NULL, 417, NULL, 'ssDNA viruses', 200152),
(259707, '0048006', NULL, NULL, 519, NULL, 'ssDNA viruses', 200152),
(259708, '0040715', NULL, NULL, 422, NULL, 'ssDNA viruses', 200152),
(259709, '0047743', NULL, NULL, 542, NULL, 'ssDNA viruses', 200152),
(259710, '0046974', NULL, NULL, 177, NULL, 'ssDNA viruses', 200152),
(259711, '0054284', NULL, NULL, 91, NULL, 'YdgH-like', 200153),
(259712, '0054228', NULL, NULL, 96, NULL, 'YdgH-like', 200153),
(259713, '0052341', NULL, NULL, 90, NULL, 'Barstar-related', 200154),
(259714, '0035259', NULL, NULL, 89, NULL, 'Barstar-related', 200154),
(259715, '0036260', NULL, NULL, 298, NULL, 'DNA topoisomerase IV, alpha subunit', 200155),
(259716, '0054237', NULL, NULL, 77, NULL, 'CPE0013-like', 200156),
(259717, '0038932', NULL, NULL, 205, NULL, 'Nicotinic receptor ligand binding domain-like', 200157),
(259718, '0042059', NULL, NULL, 66, NULL, 'Amyloid beta a4 protein copper binding domain (domain 2)', 200158),
(259719, '0046360', NULL, NULL, 309, NULL, 'Aromatic compound dioxygenase', 200159),
(259720, '0046593', NULL, NULL, 202, NULL, 'Aromatic compound dioxygenase', 200159),
(259721, '0049344', NULL, NULL, 256, NULL, 'Aromatic compound dioxygenase', 200159),
(259722, '0046594', NULL, NULL, 238, NULL, 'Aromatic compound dioxygenase', 200159),
(259723, '0053327', NULL, NULL, 236, NULL, 'Aromatic compound dioxygenase', 200159),
(259724, '0053326', NULL, NULL, 200, NULL, 'Aromatic compound dioxygenase', 200159),
(259725, '0053667', NULL, NULL, 212, NULL, 'Rv2827c C-terminal domain-like', 200160),
(259726, '0034858', NULL, NULL, 101, NULL, 'PK beta-barrel domain-like', 200161),
(259727, '0042358', NULL, NULL, 102, NULL, 'PK beta-barrel domain-like', 200161),
(259728, '0042000', NULL, NULL, 182, NULL, 'PK beta-barrel domain-like', 200161),
(259729, '0041702', NULL, NULL, 233, NULL, 'PK beta-barrel domain-like', 200161),
(259730, '0034866', NULL, NULL, 102, NULL, 'PK beta-barrel domain-like', 200161),
(259731, '0040512', NULL, NULL, 102, NULL, 'PK beta-barrel domain-like', 200161),
(259732, '0042355', NULL, NULL, 99, NULL, 'PK beta-barrel domain-like', 200161),
(259733, '0036700', NULL, NULL, 98, NULL, 'PK beta-barrel domain-like', 200161),
(259734, '0048172', NULL, NULL, 160, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259735, '0050233', NULL, NULL, 168, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(259736, '0043381', NULL, NULL, 230, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259737, '0054132', NULL, NULL, 134, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259738, '0039538', NULL, NULL, 299, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259739, '0050614', NULL, NULL, 135, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259740, '0052117', NULL, NULL, 218, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259741, '0036966', NULL, NULL, 246, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259742, '0039977', NULL, NULL, 188, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259743, '0051645', NULL, NULL, 211, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259744, '0047848', NULL, NULL, 165, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259745, '0046213', NULL, NULL, 324, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259746, '0048858', NULL, NULL, 296, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259747, '0054501', NULL, NULL, 230, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259748, '0045391', NULL, NULL, 271, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259749, '0047035', NULL, NULL, 197, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259750, '0048520', NULL, NULL, 261, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259751, '0049476', NULL, NULL, 215, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259752, '0052363', NULL, NULL, 226, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259753, '0046540', NULL, NULL, 183, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259754, '0049673', NULL, NULL, 147, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259755, '0050128', NULL, NULL, 132, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259756, '0050746', NULL, NULL, 216, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259757, '0052923', NULL, NULL, 171, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259758, '0051038', NULL, NULL, 255, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259759, '0036970', NULL, NULL, 188, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259760, '0050739', NULL, NULL, 274, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259761, '0047632', NULL, NULL, 140, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259762, '0048369', NULL, NULL, 227, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259763, '0048521', NULL, NULL, 192, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259764, '0046546', NULL, NULL, 252, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259765, '0042641', NULL, NULL, 138, NULL, 'Adenine nucleotide alpha hydrolases-like', 200162),
(259766, '0053631', NULL, NULL, 93, NULL, 'GAT-like domain', 200163),
(259767, '0053630', NULL, NULL, 90, NULL, 'GAT-like domain', 200163),
(259768, '0047255', NULL, NULL, 133, NULL, 'GAT-like domain', 200163),
(259769, '0038571', NULL, NULL, 132, NULL, 'GAT-like domain', 200163),
(259770, '0048660', NULL, NULL, 132, NULL, 'GAT-like domain', 200163),
(259771, '0039330', NULL, NULL, 41, NULL, 'GAT-like domain', 200163),
(259772, '0040740', NULL, NULL, 490, NULL, 'Amidase signature (AS) enzymes', 200164),
(259773, '0052574', NULL, NULL, 485, NULL, 'Amidase signature (AS) enzymes', 200164),
(259774, '0041075', NULL, NULL, 537, NULL, 'Amidase signature (AS) enzymes', 200164),
(259775, '0052903', NULL, NULL, 475, NULL, 'Amidase signature (AS) enzymes', 200164),
(259776, '0041778', NULL, NULL, 412, NULL, 'Amidase signature (AS) enzymes', 200164),
(259777, '0054094', NULL, NULL, 74, NULL, 'DnaD domain-like', 200165),
(259778, '0052545', NULL, NULL, 80, NULL, 'CarD-like', 200166),
(259779, '0054303', NULL, NULL, 61, NULL, 'AF2212/PG0164-like', 200167),
(259780, '0052412', NULL, NULL, 85, NULL, 'AF2212/PG0164-like', 200167),
(259781, '0052535', NULL, NULL, 189, NULL, 'DNA terminal protein', 200168);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(259782, '0044736', NULL, NULL, 217, NULL, 'FMN-dependent nitroreductase-like', 200169),
(259783, '0051432', NULL, NULL, 199, NULL, 'FMN-dependent nitroreductase-like', 200169),
(259784, '0053102', NULL, NULL, 199, NULL, 'FMN-dependent nitroreductase-like', 200169),
(259785, '0044848', NULL, NULL, 217, NULL, 'FMN-dependent nitroreductase-like', 200169),
(259786, '0041494', NULL, NULL, 200, NULL, 'FMN-dependent nitroreductase-like', 200169),
(259787, '0052748', NULL, NULL, 200, NULL, 'FMN-dependent nitroreductase-like', 200169),
(259788, '0036576', NULL, NULL, 217, NULL, 'FMN-dependent nitroreductase-like', 200169),
(259789, '0051924', NULL, NULL, 201, NULL, 'FMN-dependent nitroreductase-like', 200169),
(259790, '0037401', NULL, NULL, 240, NULL, 'FMN-dependent nitroreductase-like', 200169),
(259791, '0035601', NULL, NULL, 239, NULL, 'FMN-dependent nitroreductase-like', 200169),
(259792, '0041335', NULL, NULL, 216, NULL, 'FMN-dependent nitroreductase-like', 200169),
(259793, '0051556', NULL, NULL, 249, NULL, 'FMN-dependent nitroreductase-like', 200169),
(259794, '0045636', NULL, NULL, 52, NULL, 'Insulin-like', 200170),
(259795, '0034928', NULL, NULL, 51, NULL, 'Insulin-like', 200170),
(259796, '0036101', NULL, NULL, 52, NULL, 'Insulin-like', 200170),
(259797, '0040150', NULL, NULL, 52, NULL, 'Insulin-like', 200170),
(259798, '0036960', NULL, NULL, 60, NULL, 'Insulin-like', 200170),
(259799, '0038727', NULL, NULL, 51, NULL, 'Insulin-like', 200170),
(259800, '0039009', NULL, NULL, 67, NULL, 'Insulin-like', 200170),
(259801, '0049626', NULL, NULL, 52, NULL, 'Insulin-like', 200170),
(259802, '0035644', NULL, NULL, 49, NULL, 'Insulin-like', 200170),
(259803, '0045117', NULL, NULL, 53, NULL, 'Insulin-like', 200170),
(259804, '0045535', NULL, NULL, 83, NULL, 'Insulin-like', 200170),
(259805, '0052653', NULL, NULL, 157, NULL, 'Nucleotidyltransferase', 200171),
(259806, '0051344', NULL, NULL, 90, NULL, 'Nucleotidyltransferase', 200171),
(259807, '0051960', NULL, NULL, 203, NULL, 'Nucleotidyltransferase', 200171),
(259808, '0054333', NULL, NULL, 113, NULL, 'Nucleotidyltransferase', 200171),
(259809, '0039639', NULL, NULL, 208, NULL, 'Nucleotidyltransferase', 200171),
(259810, '0035658', NULL, NULL, 187, NULL, 'Nucleotidyltransferase', 200171),
(259811, '0044735', NULL, NULL, 136, NULL, 'Nucleotidyltransferase', 200171),
(259812, '0039654', NULL, NULL, 187, NULL, 'Nucleotidyltransferase', 200171),
(259813, '0048838', NULL, NULL, 200, NULL, 'Nucleotidyltransferase', 200171),
(259814, '0037394', NULL, NULL, 195, NULL, 'Nucleotidyltransferase', 200171),
(259815, '0041481', NULL, NULL, 100, NULL, 'Nucleotidyltransferase', 200171),
(259816, '0042031', NULL, NULL, 152, NULL, 'Nucleotidyltransferase', 200171),
(259817, '0040957', NULL, NULL, 139, NULL, 'Nucleotidyltransferase', 200171),
(259818, '0047842', NULL, NULL, 125, NULL, 'Nucleotidyltransferase', 200171),
(259819, '0054492', NULL, NULL, 135, NULL, 'Nucleotidyltransferase', 200171),
(259820, '0045003', NULL, NULL, 98, NULL, 'Nucleotidyltransferase', 200171),
(259821, '0054293', NULL, NULL, 167, NULL, 'Nucleotidyltransferase', 200171),
(259822, '0043168', NULL, NULL, 142, NULL, 'Nucleotidyltransferase', 200171),
(259823, '0044611', NULL, NULL, 285, NULL, 'Nucleotidyltransferase', 200171),
(259824, '0044799', NULL, NULL, 175, NULL, 'Nucleotidyltransferase', 200171),
(259825, '0054128', NULL, NULL, 120, NULL, 'Nucleotidyltransferase', 200171),
(259826, '0037463', NULL, NULL, 199, NULL, 'Nucleotidyltransferase', 200171),
(259827, '0039444', NULL, NULL, 174, NULL, 'Nucleotidyltransferase', 200171),
(259828, '0051904', NULL, NULL, 259, NULL, 'Nucleotidyltransferase', 200171),
(259829, '0043451', NULL, NULL, 190, NULL, 'Nucleotidyltransferase', 200171),
(259830, '0053163', NULL, NULL, 94, NULL, 'VPS28 C-terminal domain-like', 200172),
(259831, '0051847', NULL, NULL, 211, NULL, 'YjeF N-terminal domain-like', 200173),
(259832, '0039822', NULL, NULL, 243, NULL, 'YjeF N-terminal domain-like', 200173),
(259833, '0054313', NULL, NULL, 247, NULL, 'NagB/RpiA/CoA transferase-like', 200174);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(259834, '0053682', NULL, NULL, 374, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259835, '0048793', NULL, NULL, 317, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259836, '0043918', NULL, NULL, 340, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259837, '0054958', NULL, NULL, 255, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259838, '0050636', NULL, NULL, 175, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259839, '0052833', NULL, NULL, 175, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259840, '0043889', NULL, NULL, 340, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259841, '0044937', NULL, NULL, 403, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259842, '0052827', NULL, NULL, 221, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259843, '0052828', NULL, NULL, 274, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259844, '0046311', NULL, NULL, 266, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259845, '0048730', NULL, NULL, 220, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259846, '0043684', NULL, NULL, 194, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259847, '0043544', NULL, NULL, 164, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259848, '0050123', NULL, NULL, 274, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259849, '0051773', NULL, NULL, 247, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259850, '0039928', NULL, NULL, 219, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259851, '0040719', NULL, NULL, 148, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259852, '0051074', NULL, NULL, 236, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259853, '0048341', NULL, NULL, 281, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259854, '0051075', NULL, NULL, 269, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259855, '0053957', NULL, NULL, 262, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259856, '0051774', NULL, NULL, 273, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259857, '0054645', NULL, NULL, 258, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259858, '0042405', NULL, NULL, 260, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259859, '0040229', NULL, NULL, 147, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259860, '0054380', NULL, NULL, 250, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259861, '0040524', NULL, NULL, 150, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259862, '0044389', NULL, NULL, 152, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259863, '0040764', NULL, NULL, 222, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259864, '0040763', NULL, NULL, 250, NULL, 'NagB/RpiA/CoA transferase-like', 200174),
(259865, '0044075', NULL, NULL, 92, NULL, 'TolA/TonB C-terminal domain', 200175),
(259866, '0040624', NULL, NULL, 126, NULL, 'TolA/TonB C-terminal domain', 200175),
(259867, '0049753', NULL, NULL, 90, NULL, 'TolA/TonB C-terminal domain', 200175),
(259868, '0037234', NULL, NULL, 90, NULL, 'An insect antifreeze protein', 200176),
(259869, '0048118', NULL, NULL, 120, NULL, 'An insect antifreeze protein', 200176),
(259870, '0039331', NULL, NULL, 99, NULL, 'Myosin phosphatase inhibitor 17kDa protein, CPI-17', 200177),
(259871, '0054578', NULL, NULL, 127, NULL, 'Ricin B-like lectins', 200178),
(259872, '0049064', NULL, NULL, 138, NULL, 'Ricin B-like lectins', 200178),
(259873, '0049063', NULL, NULL, 145, NULL, 'Ricin B-like lectins', 200178),
(259874, '0049283', NULL, NULL, 127, NULL, 'Ricin B-like lectins', 200178),
(259875, '0054136', NULL, NULL, 154, NULL, 'Ricin B-like lectins', 200178),
(259876, '0049282', NULL, NULL, 135, NULL, 'Ricin B-like lectins', 200178),
(259877, '0034987', NULL, NULL, 127, NULL, 'Ricin B-like lectins', 200178),
(259878, '0048070', NULL, NULL, 136, NULL, 'Ricin B-like lectins', 200178),
(259879, '0050137', NULL, NULL, 133, NULL, 'Ricin B-like lectins', 200178),
(259880, '0054579', NULL, NULL, 134, NULL, 'Ricin B-like lectins', 200178),
(259881, '0046979', NULL, NULL, 126, NULL, 'Ricin B-like lectins', 200178),
(259882, '0040751', NULL, NULL, 126, NULL, 'Ricin B-like lectins', 200178);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(259883, '0050070', NULL, NULL, 133, NULL, 'Ricin B-like lectins', 200178),
(259884, '0044696', NULL, NULL, 150, NULL, 'Ricin B-like lectins', 200178),
(259885, '0046119', NULL, NULL, 122, NULL, 'Ricin B-like lectins', 200178),
(259886, '0049449', NULL, NULL, 167, NULL, 'Ricin B-like lectins', 200178),
(259887, '0047250', NULL, NULL, 133, NULL, 'Ricin B-like lectins', 200178),
(259888, '0049451', NULL, NULL, 154, NULL, 'Ricin B-like lectins', 200178),
(259889, '0049972', NULL, NULL, 131, NULL, 'Ricin B-like lectins', 200178),
(259890, '0046383', NULL, NULL, 134, NULL, 'Ricin B-like lectins', 200178),
(259891, '0046980', NULL, NULL, 128, NULL, 'Ricin B-like lectins', 200178),
(259892, '0052580', NULL, NULL, 154, NULL, 'Ricin B-like lectins', 200178),
(259893, '0051735', NULL, NULL, 127, NULL, 'Ricin B-like lectins', 200178),
(259894, '0051734', NULL, NULL, 135, NULL, 'Ricin B-like lectins', 200178),
(259895, '0038759', NULL, NULL, 131, NULL, 'Ricin B-like lectins', 200178),
(259896, '0054803', NULL, NULL, 130, NULL, 'Ricin B-like lectins', 200178),
(259897, '0047838', NULL, NULL, 129, NULL, 'Ricin B-like lectins', 200178),
(259898, '0048609', NULL, NULL, 126, NULL, 'Ricin B-like lectins', 200178),
(259899, '0050958', NULL, NULL, 131, NULL, 'Ricin B-like lectins', 200178),
(259900, '0048623', NULL, NULL, 137, NULL, 'Ricin B-like lectins', 200178),
(259901, '0048824', NULL, NULL, 125, NULL, 'Ricin B-like lectins', 200178),
(259902, '0048624', NULL, NULL, 126, NULL, 'Ricin B-like lectins', 200178),
(259903, '0045755', NULL, NULL, 140, NULL, 'Ricin B-like lectins', 200178),
(259904, '0049614', NULL, NULL, 122, NULL, 'Ricin B-like lectins', 200178),
(259905, '0052705', NULL, NULL, 290, NULL, 'FdhE-like', 200179),
(259906, '0044877', NULL, NULL, 264, NULL, 'Folate-binding domain', 200180),
(259907, '0042338', NULL, NULL, 315, NULL, 'Folate-binding domain', 200180),
(259908, '0051157', NULL, NULL, 117, NULL, 'Folate-binding domain', 200180),
(259909, '0045002', NULL, NULL, 278, NULL, 'Folate-binding domain', 200180),
(259910, '0050060', NULL, NULL, 310, NULL, 'Folate-binding domain', 200180),
(259911, '0041533', NULL, NULL, 243, NULL, 'Folate-binding domain', 200180),
(259912, '0041595', NULL, NULL, 101, NULL, 'HesB-like domain', 200181),
(259913, '0054454', NULL, NULL, 118, NULL, 'HesB-like domain', 200181),
(259914, '0043177', NULL, NULL, 97, NULL, 'HesB-like domain', 200181),
(259915, '0042688', NULL, NULL, 110, NULL, 'NAD-binding domain of HMG-CoA reductase', 200182),
(259916, '0046381', NULL, NULL, 117, NULL, 'NAD-binding domain of HMG-CoA reductase', 200182),
(259917, '0054586', NULL, NULL, 101, NULL, 'Ribosomal protein S3 C-terminal domain', 200183),
(259918, '0037615', NULL, NULL, 101, NULL, 'Ribosomal protein S3 C-terminal domain', 200183),
(259919, '0051766', NULL, NULL, 155, NULL, 'Coronavirus NSP8-like', 200184),
(259920, '0039587', NULL, NULL, 79, NULL, 'Quinohemoprotein amine dehydrogenase C chain', 200185),
(259921, '0039649', NULL, NULL, 77, NULL, 'Quinohemoprotein amine dehydrogenase C chain', 200185),
(259922, '0052883', NULL, NULL, 59, NULL, 'Tudor/PWWP/MBT', 200186),
(259923, '0053036', NULL, NULL, 90, NULL, 'Tudor/PWWP/MBT', 200186),
(259924, '0048574', NULL, NULL, 104, NULL, 'Tudor/PWWP/MBT', 200186),
(259925, '0052440', NULL, NULL, 97, NULL, 'Tudor/PWWP/MBT', 200186),
(259926, '0054230', NULL, NULL, 76, NULL, 'Tudor/PWWP/MBT', 200186),
(259927, '0048573', NULL, NULL, 103, NULL, 'Tudor/PWWP/MBT', 200186),
(259928, '0050626', NULL, NULL, 127, NULL, 'Tudor/PWWP/MBT', 200186),
(259929, '0052416', NULL, NULL, 97, NULL, 'Tudor/PWWP/MBT', 200186),
(259930, '0052438', NULL, NULL, 55, NULL, 'Tudor/PWWP/MBT', 200186),
(259931, '0050625', NULL, NULL, 107, NULL, 'Tudor/PWWP/MBT', 200186),
(259932, '0052413', NULL, NULL, 60, NULL, 'Tudor/PWWP/MBT', 200186),
(259933, '0054623', NULL, NULL, 56, NULL, 'Tudor/PWWP/MBT', 200186),
(259934, '0050627', NULL, NULL, 127, NULL, 'Tudor/PWWP/MBT', 200186),
(259935, '0051936', NULL, NULL, 110, NULL, 'Tudor/PWWP/MBT', 200186),
(259936, '0043739', NULL, NULL, 54, NULL, 'Tudor/PWWP/MBT', 200186);
INSERT INTO "PUBLIC"."MODEL" VALUES
(259937, '0048667', NULL, NULL, 110, NULL, 'Tudor/PWWP/MBT', 200186),
(259938, '0040933', NULL, NULL, 59, NULL, 'Tudor/PWWP/MBT', 200186),
(259939, '0048268', NULL, NULL, 96, NULL, 'Tudor/PWWP/MBT', 200186),
(259940, '0047119', NULL, NULL, 108, NULL, 'Tudor/PWWP/MBT', 200186),
(259941, '0043740', NULL, NULL, 69, NULL, 'Tudor/PWWP/MBT', 200186),
(259942, '0047802', NULL, NULL, 137, NULL, 'Tudor/PWWP/MBT', 200186),
(259943, '0048668', NULL, NULL, 108, NULL, 'Tudor/PWWP/MBT', 200186),
(259944, '0048669', NULL, NULL, 106, NULL, 'Tudor/PWWP/MBT', 200186),
(259945, '0043352', NULL, NULL, 185, NULL, 'Bacterial fluorinating enzyme, N-terminal domain', 200187),
(259946, '0054705', NULL, NULL, 83, NULL, 'AMPKBI-like', 200188),
(259947, '0054615', NULL, NULL, 107, NULL, 'AMPKBI-like', 200188),
(259948, '0054625', NULL, NULL, 93, NULL, 'AMPKBI-like', 200188),
(259949, '0053664', NULL, NULL, 38, NULL, 'UBA-like', 200189),
(259950, '0052455', NULL, NULL, 72, NULL, 'UBA-like', 200189),
(259951, '0050552', NULL, NULL, 64, NULL, 'UBA-like', 200189),
(259952, '0052474', NULL, NULL, 50, NULL, 'UBA-like', 200189),
(259953, '0052431', NULL, NULL, 63, NULL, 'UBA-like', 200189),
(259954, '0050150', NULL, NULL, 80, NULL, 'UBA-like', 200189),
(259955, '0047021', NULL, NULL, 69, NULL, 'UBA-like', 200189),
(259956, '0044670', NULL, NULL, 46, NULL, 'UBA-like', 200189),
(259957, '0050173', NULL, NULL, 73, NULL, 'UBA-like', 200189),
(259958, '0050615', NULL, NULL, 63, NULL, 'UBA-like', 200189),
(259959, '0050158', NULL, NULL, 83, NULL, 'UBA-like', 200189),
(259960, '0052216', NULL, NULL, 51, NULL, 'UBA-like', 200189),
(259961, '0052414', NULL, NULL, 41, NULL, 'UBA-like', 200189),
(259962, '0048193', NULL, NULL, 54, NULL, 'UBA-like', 200189),
(259963, '0050599', NULL, NULL, 73, NULL, 'UBA-like', 200189),
(259964, '0050610', NULL, NULL, 91, NULL, 'UBA-like', 200189),
(259965, '0052215', NULL, NULL, 41, NULL, 'UBA-like', 200189),
(259966, '0050528', NULL, NULL, 63, NULL, 'UBA-like', 200189),
(259967, '0050902', NULL, NULL, 56, NULL, 'UBA-like', 200189),
(259968, '0048854', NULL, NULL, 52, NULL, 'UBA-like', 200189),
(259969, '0049688', NULL, NULL, 55, NULL, 'UBA-like', 200189),
(259970, '0052068', NULL, NULL, 44, NULL, 'UBA-like', 200189),
(259971, '0050161', NULL, NULL, 84, NULL, 'UBA-like', 200189),
(259972, '0052263', NULL, NULL, 51, NULL, 'UBA-like', 200189),
(259973, '0050160', NULL, NULL, 61, NULL, 'UBA-like', 200189),
(259974, '0050526', NULL, NULL, 59, NULL, 'UBA-like', 200189),
(259975, '0051335', NULL, NULL, 42, NULL, 'UBA-like', 200189),
(259976, '0053932', NULL, NULL, 43, NULL, 'UBA-like', 200189),
(259977, '0052228', NULL, NULL, 51, NULL, 'UBA-like', 200189),
(259978, '0052204', NULL, NULL, 41, NULL, 'UBA-like', 200189),
(259979, '0046704', NULL, NULL, 45, NULL, 'UBA-like', 200189),
(259980, '0042026', NULL, NULL, 49, NULL, 'UBA-like', 200189),
(259981, '0035061', NULL, NULL, 52, NULL, 'UBA-like', 200189),
(259982, '0042142', NULL, NULL, 36, NULL, 'UBA-like', 200189),
(259983, '0042141', NULL, NULL, 47, NULL, 'UBA-like', 200189),
(259984, '0047355', NULL, NULL, 49, NULL, 'UBA-like', 200189),
(259985, '0048763', NULL, NULL, 47, NULL, 'UBA-like', 200189),
(259986, '0046543', NULL, NULL, 54, NULL, 'UBA-like', 200189),
(259987, '0048626', NULL, NULL, 44, NULL, 'UBA-like', 200189),
(259988, '0044645', NULL, NULL, 87, NULL, 'Colicin D immunity protein', 200190),
(259989, '0044328', NULL, NULL, 48, NULL, 'Dimerisation domain of CENP-B', 200191),
(259990, '0045481', NULL, NULL, 93, NULL, 'MurCD N-terminal domain', 200192),
(259991, '0047521', NULL, NULL, 89, NULL, 'MurCD N-terminal domain', 200192),
(259992, '0048687', NULL, NULL, 96, NULL, 'MurCD N-terminal domain', 200192),
(259993, '0053792', NULL, NULL, 63, NULL, 'MoaD/ThiS', 200193),
(259994, '0049256', NULL, NULL, 68, NULL, 'MoaD/ThiS', 200193),
(259995, '0049740', NULL, NULL, 65, NULL, 'MoaD/ThiS', 200193),
(259996, '0050209', NULL, NULL, 88, NULL, 'MoaD/ThiS', 200193),
(259997, '0054043', NULL, NULL, 77, NULL, 'MoaD/ThiS', 200193),
(259998, '0046674', NULL, NULL, 66, NULL, 'MoaD/ThiS', 200193);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(259999, '0050525', NULL, NULL, 114, NULL, 'MoaD/ThiS', 200193),
(260000, '0050092', NULL, NULL, 87, NULL, 'MoaD/ThiS', 200193),
(260001, '0046810', NULL, NULL, 81, NULL, 'MoaD/ThiS', 200193),
(260002, '0049270', NULL, NULL, 70, NULL, 'MoaD/ThiS', 200193),
(260003, '0054819', NULL, NULL, 239, NULL, 'Bacterial polysaccharide co-polymerase-like', 200194),
(260004, '0054818', NULL, NULL, 265, NULL, 'Bacterial polysaccharide co-polymerase-like', 200194),
(260005, '0054817', NULL, NULL, 267, NULL, 'Bacterial polysaccharide co-polymerase-like', 200194),
(260006, '0034973', NULL, NULL, 151, NULL, 'Carbamoyl phosphate synthetase, small subunit N-terminal domain', 200195),
(260007, '0041466', NULL, NULL, 159, NULL, 'Ribose/Galactose isomerase RpiB/AlsB', 200196),
(260008, '0044504', NULL, NULL, 157, NULL, 'Ribose/Galactose isomerase RpiB/AlsB', 200196),
(260009, '0041667', NULL, NULL, 145, NULL, 'Ribose/Galactose isomerase RpiB/AlsB', 200196),
(260010, '0050168', NULL, NULL, 92, NULL, 'Vanabin-like', 200197),
(260011, '0041164', NULL, NULL, 102, NULL, 'Cyanovirin-N', 200198),
(260012, '0045510', NULL, NULL, 101, NULL, 'Cyanovirin-N', 200198),
(260013, '0048890', NULL, NULL, 297, NULL, 'ClpP/crotonase', 200199),
(260014, '0052793', NULL, NULL, 258, NULL, 'ClpP/crotonase', 200199),
(260015, '0038805', NULL, NULL, 266, NULL, 'ClpP/crotonase', 200199),
(260016, '0051041', NULL, NULL, 263, NULL, 'ClpP/crotonase', 200199),
(260017, '0048476', NULL, NULL, 269, NULL, 'ClpP/crotonase', 200199),
(260018, '0051040', NULL, NULL, 258, NULL, 'ClpP/crotonase', 200199),
(260019, '0048770', NULL, NULL, 299, NULL, 'ClpP/crotonase', 200199),
(260020, '0049386', NULL, NULL, 249, NULL, 'ClpP/crotonase', 200199),
(260021, '0051228', NULL, NULL, 192, NULL, 'ClpP/crotonase', 200199),
(260022, '0050758', NULL, NULL, 263, NULL, 'ClpP/crotonase', 200199),
(260023, '0039416', NULL, NULL, 302, NULL, 'ClpP/crotonase', 200199),
(260024, '0051722', NULL, NULL, 271, NULL, 'ClpP/crotonase', 200199),
(260025, '0051721', NULL, NULL, 258, NULL, 'ClpP/crotonase', 200199),
(260026, '0048518', NULL, NULL, 249, NULL, 'ClpP/crotonase', 200199),
(260027, '0051719', NULL, NULL, 230, NULL, 'ClpP/crotonase', 200199),
(260028, '0052629', NULL, NULL, 263, NULL, 'ClpP/crotonase', 200199),
(260029, '0052608', NULL, NULL, 245, NULL, 'ClpP/crotonase', 200199),
(260030, '0052487', NULL, NULL, 259, NULL, 'ClpP/crotonase', 200199),
(260031, '0044160', NULL, NULL, 183, NULL, 'ClpP/crotonase', 200199),
(260032, '0052142', NULL, NULL, 179, NULL, 'ClpP/crotonase', 200199),
(260033, '0044384', NULL, NULL, 253, NULL, 'ClpP/crotonase', 200199),
(260034, '0050305', NULL, NULL, 251, NULL, 'ClpP/crotonase', 200199),
(260035, '0052628', NULL, NULL, 316, NULL, 'ClpP/crotonase', 200199),
(260036, '0050306', NULL, NULL, 264, NULL, 'ClpP/crotonase', 200199),
(260037, '0052604', NULL, NULL, 190, NULL, 'ClpP/crotonase', 200199),
(260038, '0038654', NULL, NULL, 263, NULL, 'ClpP/crotonase', 200199),
(260039, '0050444', NULL, NULL, 310, NULL, 'ClpP/crotonase', 200199),
(260040, '0051137', NULL, NULL, 257, NULL, 'ClpP/crotonase', 200199),
(260041, '0036954', NULL, NULL, 261, NULL, 'ClpP/crotonase', 200199),
(260042, '0046748', NULL, NULL, 295, NULL, 'ClpP/crotonase', 200199),
(260043, '0041794', NULL, NULL, 389, NULL, 'ClpP/crotonase', 200199),
(260044, '0041793', NULL, NULL, 331, NULL, 'ClpP/crotonase', 200199),
(260045, '0039881', NULL, NULL, 292, NULL, 'ClpP/crotonase', 200199),
(260046, '0046300', NULL, NULL, 275, NULL, 'ClpP/crotonase', 200199),
(260047, '0041934', NULL, NULL, 264, NULL, 'ClpP/crotonase', 200199),
(260048, '0041933', NULL, NULL, 253, NULL, 'ClpP/crotonase', 200199),
(260049, '0048769', NULL, NULL, 287, NULL, 'ClpP/crotonase', 200199),
(260050, '0049617', NULL, NULL, 193, NULL, 'ClpP/crotonase', 200199),
(260051, '0052711', NULL, NULL, 118, NULL, 'YjbR-like', 200200),
(260052, '0051686', NULL, NULL, 131, NULL, 'YjbR-like', 200200),
(260053, '0035203', NULL, NULL, 203, NULL, 'CRAL/TRIO domain', 200201),
(260054, '0041714', NULL, NULL, 199, NULL, 'CRAL/TRIO domain', 200201);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(260055, '0043136', NULL, NULL, 185, NULL, 'CRAL/TRIO domain', 200201),
(260056, '0044019', NULL, NULL, 76, NULL, 'Translation initiation factor IF3, N-terminal domain', 200202),
(260057, '0037314', NULL, NULL, 180, NULL, 'Diphtheria toxin, middle domain', 200203),
(260058, '0042419', NULL, NULL, 156, NULL, 'Peridinin-chlorophyll protein', 200204),
(260059, '0042420', NULL, NULL, 156, NULL, 'Peridinin-chlorophyll protein', 200204),
(260060, '0039068', NULL, NULL, 115, NULL, 'SCP-like', 200205),
(260061, '0053772', NULL, NULL, 126, NULL, 'SCP-like', 200205),
(260062, '0054298', NULL, NULL, 80, NULL, 'SCP-like', 200205),
(260063, '0050503', NULL, NULL, 143, NULL, 'SCP-like', 200205),
(260064, '0054064', NULL, NULL, 111, NULL, 'SCP-like', 200205),
(260065, '0054075', NULL, NULL, 106, NULL, 'SCP-like', 200205),
(260066, '0042531', NULL, NULL, 113, NULL, 'SCP-like', 200205),
(260067, '0054437', NULL, NULL, 105, NULL, 'SCP-like', 200205),
(260068, '0035842', NULL, NULL, 123, NULL, 'SCP-like', 200205),
(260069, '0034988', NULL, NULL, 74, NULL, 'Snake toxin-like', 200206),
(260070, '0052991', NULL, NULL, 77, NULL, 'Snake toxin-like', 200206),
(260071, '0047584', NULL, NULL, 66, NULL, 'Snake toxin-like', 200206),
(260072, '0044150', NULL, NULL, 73, NULL, 'Snake toxin-like', 200206),
(260073, '0037959', NULL, NULL, 62, NULL, 'Snake toxin-like', 200206),
(260074, '0052990', NULL, NULL, 75, NULL, 'Snake toxin-like', 200206),
(260075, '0040309', NULL, NULL, 62, NULL, 'Snake toxin-like', 200206),
(260076, '0048210', NULL, NULL, 68, NULL, 'Snake toxin-like', 200206),
(260077, '0050313', NULL, NULL, 65, NULL, 'Snake toxin-like', 200206),
(260078, '0045505', NULL, NULL, 62, NULL, 'Snake toxin-like', 200206),
(260079, '0037155', NULL, NULL, 86, NULL, 'Snake toxin-like', 200206),
(260080, '0040013', NULL, NULL, 60, NULL, 'Snake toxin-like', 200206),
(260081, '0040232', NULL, NULL, 107, NULL, 'Snake toxin-like', 200206),
(260082, '0041562', NULL, NULL, 60, NULL, 'Snake toxin-like', 200206),
(260083, '0035991', NULL, NULL, 60, NULL, 'Snake toxin-like', 200206),
(260084, '0042858', NULL, NULL, 61, NULL, 'Snake toxin-like', 200206),
(260085, '0037471', NULL, NULL, 61, NULL, 'Snake toxin-like', 200206),
(260086, '0045147', NULL, NULL, 74, NULL, 'Snake toxin-like', 200206),
(260087, '0046116', NULL, NULL, 77, NULL, 'Snake toxin-like', 200206),
(260088, '0050121', NULL, NULL, 61, NULL, 'Snake toxin-like', 200206),
(260089, '0048780', NULL, NULL, 122, NULL, 'Snake toxin-like', 200206),
(260090, '0052301', NULL, NULL, 71, NULL, 'Snake toxin-like', 200206),
(260091, '0050068', NULL, NULL, 62, NULL, 'Snake toxin-like', 200206),
(260092, '0035927', NULL, NULL, 60, NULL, 'Snake toxin-like', 200206),
(260093, '0037525', NULL, NULL, 60, NULL, 'Snake toxin-like', 200206),
(260094, '0038815', NULL, NULL, 60, NULL, 'Snake toxin-like', 200206),
(260095, '0053910', NULL, NULL, 80, NULL, 'Snake toxin-like', 200206),
(260096, '0052986', NULL, NULL, 75, NULL, 'Snake toxin-like', 200206),
(260097, '0054108', NULL, NULL, 101, NULL, 'Snake toxin-like', 200206),
(260098, '0035701', NULL, NULL, 96, NULL, 'Snake toxin-like', 200206),
(260099, '0053911', NULL, NULL, 87, NULL, 'Snake toxin-like', 200206),
(260100, '0037447', NULL, NULL, 63, NULL, 'Snake toxin-like', 200206),
(260101, '0037520', NULL, NULL, 65, NULL, 'Snake toxin-like', 200206),
(260102, '0036572', NULL, NULL, 59, NULL, 'Snake toxin-like', 200206),
(260103, '0040008', NULL, NULL, 66, NULL, 'Snake toxin-like', 200206),
(260104, '0040646', NULL, NULL, 66, NULL, 'Snake toxin-like', 200206),
(260105, '0041559', NULL, NULL, 72, NULL, 'Snake toxin-like', 200206),
(260106, '0044003', NULL, NULL, 60, NULL, 'Snake toxin-like', 200206),
(260107, '0041635', NULL, NULL, 93, NULL, 'Snake toxin-like', 200206),
(260108, '0047417', NULL, NULL, 61, NULL, 'Snake toxin-like', 200206),
(260109, '0045214', NULL, NULL, 60, NULL, 'Snake toxin-like', 200206),
(260110, '0043996', NULL, NULL, 60, NULL, 'Snake toxin-like', 200206),
(260111, '0035647', NULL, NULL, 132, NULL, 'LigA subunit of an aromatic-ring-opening dioxygenase LigAB', 200207);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(260112, '0037993', NULL, NULL, 149, NULL, 'Molybdenum cofactor biosynthesis proteins', 200208),
(260113, '0051200', NULL, NULL, 155, NULL, 'Molybdenum cofactor biosynthesis proteins', 200208),
(260114, '0036881', NULL, NULL, 160, NULL, 'Molybdenum cofactor biosynthesis proteins', 200208),
(260115, '0044572', NULL, NULL, 148, NULL, 'Molybdenum cofactor biosynthesis proteins', 200208),
(260116, '0050976', NULL, NULL, 143, NULL, 'Molybdenum cofactor biosynthesis proteins', 200208),
(260117, '0052616', NULL, NULL, 173, NULL, 'Molybdenum cofactor biosynthesis proteins', 200208),
(260118, '0050702', NULL, NULL, 144, NULL, 'Molybdenum cofactor biosynthesis proteins', 200208),
(260119, '0040986', NULL, NULL, 170, NULL, 'Molybdenum cofactor biosynthesis proteins', 200208),
(260120, '0043851', NULL, NULL, 155, NULL, 'Molybdenum cofactor biosynthesis proteins', 200208),
(260121, '0052822', NULL, NULL, 163, NULL, 'Molybdenum cofactor biosynthesis proteins', 200208),
(260122, '0036437', NULL, NULL, 190, NULL, 'Molybdenum cofactor biosynthesis proteins', 200208),
(260123, '0039613', NULL, NULL, 169, NULL, 'Molybdenum cofactor biosynthesis proteins', 200208),
(260124, '0054373', NULL, NULL, 128, NULL, 'YueI-like', 200209),
(260125, '0048986', NULL, NULL, 95, NULL, 'RNA 3''-terminal phosphate cyclase, RPTC, insert domain', 200210),
(260126, '0052598', NULL, NULL, 130, NULL, 'Transposase IS200-like', 200211),
(260127, '0052809', NULL, NULL, 130, NULL, 'Transposase IS200-like', 200211),
(260128, '0051712', NULL, NULL, 130, NULL, 'Transposase IS200-like', 200211),
(260129, '0042655', NULL, NULL, 108, NULL, 'GDNF receptor-like', 200212),
(260130, '0041587', NULL, NULL, 51, NULL, 'Transcription factor IIA (TFIIA), alpha-helical domain', 200213),
(260131, '0041585', NULL, NULL, 43, NULL, 'Transcription factor IIA (TFIIA), alpha-helical domain', 200213),
(260132, '0045103', NULL, NULL, 46, NULL, 'Transcription factor IIA (TFIIA), alpha-helical domain', 200213),
(260133, '0045105', NULL, NULL, 50, NULL, 'Transcription factor IIA (TFIIA), alpha-helical domain', 200213),
(260134, '0049250', NULL, NULL, 152, NULL, 'C-terminal domain of Ku80', 200214),
(260135, '0035063', NULL, NULL, 92, NULL, 'TATA-box binding protein-like', 200215),
(260136, '0041037', NULL, NULL, 101, NULL, 'TATA-box binding protein-like', 200215),
(260137, '0042875', NULL, NULL, 99, NULL, 'TATA-box binding protein-like', 200215),
(260138, '0041036', NULL, NULL, 92, NULL, 'TATA-box binding protein-like', 200215),
(260139, '0042876', NULL, NULL, 83, NULL, 'TATA-box binding protein-like', 200215),
(260140, '0035929', NULL, NULL, 81, NULL, 'TATA-box binding protein-like', 200215),
(260141, '0035928', NULL, NULL, 98, NULL, 'TATA-box binding protein-like', 200215),
(260142, '0035064', NULL, NULL, 89, NULL, 'TATA-box binding protein-like', 200215),
(260143, '0045101', NULL, NULL, 85, NULL, 'TATA-box binding protein-like', 200215),
(260144, '0045100', NULL, NULL, 95, NULL, 'TATA-box binding protein-like', 200215),
(260145, '0036895', NULL, NULL, 127, NULL, 'TATA-box binding protein-like', 200215),
(260146, '0041039', NULL, NULL, 99, NULL, 'TATA-box binding protein-like', 200215),
(260147, '0038726', NULL, NULL, 123, NULL, 'YopH tyrosine phosphatase N-terminal domain', 200216),
(260148, '0053167', NULL, NULL, 132, NULL, 'Regulator of G-protein signaling, RGS', 200217),
(260149, '0036068', NULL, NULL, 128, NULL, 'Regulator of G-protein signaling, RGS', 200217),
(260150, '0035044', NULL, NULL, 128, NULL, 'Regulator of G-protein signaling, RGS', 200217),
(260151, '0041925', NULL, NULL, 157, NULL, 'Regulator of G-protein signaling, RGS', 200217),
(260152, '0054140', NULL, NULL, 116, NULL, 'Regulator of G-protein signaling, RGS', 200217),
(260153, '0036467', NULL, NULL, 147, NULL, 'Regulator of G-protein signaling, RGS', 200217),
(260154, '0037735', NULL, NULL, 138, NULL, 'Regulator of G-protein signaling, RGS', 200217),
(260155, '0038715', NULL, NULL, 182, NULL, 'Regulator of G-protein signaling, RGS', 200217),
(260156, '0038947', NULL, NULL, 190, NULL, 'Regulator of G-protein signaling, RGS', 200217);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(260157, '0044706', NULL, NULL, 199, NULL, 'Recombination protein RecR', 200218),
(260158, '0039249', NULL, NULL, 223, NULL, 'Multidrug efflux transporter AcrB transmembrane domain', 200219),
(260159, '0039248', NULL, NULL, 200, NULL, 'Multidrug efflux transporter AcrB transmembrane domain', 200219),
(260160, '0036140', NULL, NULL, 435, NULL, 'Citrate synthase', 200220),
(260161, '0039891', NULL, NULL, 426, NULL, 'Citrate synthase', 200220),
(260162, '0036138', NULL, NULL, 433, NULL, 'Citrate synthase', 200220),
(260163, '0039109', NULL, NULL, 374, NULL, 'Citrate synthase', 200220),
(260164, '0034881', NULL, NULL, 377, NULL, 'Citrate synthase', 200220),
(260165, '0035069', NULL, NULL, 371, NULL, 'Citrate synthase', 200220),
(260166, '0041736', NULL, NULL, 367, NULL, 'Citrate synthase', 200220),
(260167, '0045234', NULL, NULL, 437, NULL, 'Citrate synthase', 200220),
(260168, '0039043', NULL, NULL, 75, NULL, 'Class II MHC-associated invariant chain ectoplasmic trimerization domain', 200221),
(260169, '0049739', NULL, NULL, 242, NULL, 'ThiG-like', 200222),
(260170, '0050717', NULL, NULL, 243, NULL, 'ThiG-like', 200222),
(260171, '0041622', NULL, NULL, 94, NULL, 'Antibiotic binding domain of TipA-like multidrug resistance regulators', 200223),
(260172, '0047961', NULL, NULL, 276, NULL, 'Cullin homology domain', 200224),
(260173, '0054071', NULL, NULL, 273, NULL, 'Cullin homology domain', 200224),
(260174, '0034868', NULL, NULL, 135, NULL, 'PK C-terminal domain-like', 200225),
(260175, '0050265', NULL, NULL, 190, NULL, 'PK C-terminal domain-like', 200225),
(260176, '0049547', NULL, NULL, 186, NULL, 'PK C-terminal domain-like', 200225),
(260177, '0034860', NULL, NULL, 134, NULL, 'PK C-terminal domain-like', 200225),
(260178, '0040514', NULL, NULL, 134, NULL, 'PK C-terminal domain-like', 200225),
(260179, '0036702', NULL, NULL, 117, NULL, 'PK C-terminal domain-like', 200225),
(260180, '0042357', NULL, NULL, 141, NULL, 'PK C-terminal domain-like', 200225),
(260181, '0042463', NULL, NULL, 91, NULL, 'Hypothetical protein MTH677', 200226),
(260182, '0044350', NULL, NULL, 83, NULL, 'Uracil-DNA glycosylase inhibitor protein', 200227),
(260183, '0041523', NULL, NULL, 122, NULL, 'DNA-binding protein Tfx', 200228),
(260184, '0043634', NULL, NULL, 167, NULL, 'A middle domain of Talin 1', 200229),
(260185, '0049086', NULL, NULL, 128, NULL, 'Cupredoxins', 200230),
(260186, '0036726', NULL, NULL, 153, NULL, 'Cupredoxins', 200230),
(260187, '0049367', NULL, NULL, 139, NULL, 'Cupredoxins', 200230),
(260188, '0047343', NULL, NULL, 112, NULL, 'Cupredoxins', 200230),
(260189, '0049366', NULL, NULL, 67, NULL, 'Cupredoxins', 200230),
(260190, '0052176', NULL, NULL, 105, NULL, 'Cupredoxins', 200230),
(260191, '0047780', NULL, NULL, 151, NULL, 'Cupredoxins', 200230),
(260192, '0049365', NULL, NULL, 116, NULL, 'Cupredoxins', 200230),
(260193, '0049364', NULL, NULL, 180, NULL, 'Cupredoxins', 200230),
(260194, '0041161', NULL, NULL, 153, NULL, 'Cupredoxins', 200230),
(260195, '0045919', NULL, NULL, 105, NULL, 'Cupredoxins', 200230),
(260196, '0035035', NULL, NULL, 99, NULL, 'Cupredoxins', 200230),
(260197, '0037814', NULL, NULL, 132, NULL, 'Cupredoxins', 200230),
(260198, '0040278', NULL, NULL, 165, NULL, 'Cupredoxins', 200230),
(260199, '0036161', NULL, NULL, 129, NULL, 'Cupredoxins', 200230),
(260200, '0038300', NULL, NULL, 216, NULL, 'Cupredoxins', 200230),
(260201, '0045803', NULL, NULL, 209, NULL, 'Cupredoxins', 200230),
(260202, '0035275', NULL, NULL, 129, NULL, 'Cupredoxins', 200230),
(260203, '0041162', NULL, NULL, 178, NULL, 'Cupredoxins', 200230),
(260204, '0047347', NULL, NULL, 106, NULL, 'Cupredoxins', 200230),
(260205, '0047784', NULL, NULL, 146, NULL, 'Cupredoxins', 200230),
(260206, '0045721', NULL, NULL, 131, NULL, 'Cupredoxins', 200230),
(260207, '0041325', NULL, NULL, 159, NULL, 'Cupredoxins', 200230),
(260208, '0044953', NULL, NULL, 109, NULL, 'Cupredoxins', 200230),
(260209, '0045766', NULL, NULL, 123, NULL, 'Cupredoxins', 200230),
(260210, '0040037', NULL, NULL, 102, NULL, 'Cupredoxins', 200230),
(260211, '0047074', NULL, NULL, 162, NULL, 'Cupredoxins', 200230);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(260212, '0053158', NULL, NULL, 179, NULL, 'Cupredoxins', 200230),
(260213, '0053159', NULL, NULL, 149, NULL, 'Cupredoxins', 200230),
(260214, '0052067', NULL, NULL, 173, NULL, 'Cupredoxins', 200230),
(260215, '0053156', NULL, NULL, 145, NULL, 'Cupredoxins', 200230),
(260216, '0053157', NULL, NULL, 207, NULL, 'Cupredoxins', 200230),
(260217, '0045174', NULL, NULL, 128, NULL, 'Cupredoxins', 200230),
(260218, '0039509', NULL, NULL, 110, NULL, 'Cupredoxins', 200230),
(260219, '0052066', NULL, NULL, 157, NULL, 'Cupredoxins', 200230),
(260220, '0053155', NULL, NULL, 192, NULL, 'Cupredoxins', 200230),
(260221, '0051890', NULL, NULL, 97, NULL, 'Cupredoxins', 200230),
(260222, '0048089', NULL, NULL, 160, NULL, 'Cupredoxins', 200230),
(260223, '0035148', NULL, NULL, 214, NULL, 'Cupredoxins', 200230),
(260224, '0035665', NULL, NULL, 124, NULL, 'Cupredoxins', 200230),
(260225, '0035146', NULL, NULL, 129, NULL, 'Cupredoxins', 200230),
(260226, '0035783', NULL, NULL, 99, NULL, 'Cupredoxins', 200230),
(260227, '0051775', NULL, NULL, 120, NULL, 'Cupredoxins', 200230),
(260228, '0034896', NULL, NULL, 172, NULL, 'Cupredoxins', 200230),
(260229, '0034897', NULL, NULL, 201, NULL, 'Cupredoxins', 200230),
(260230, '0040322', NULL, NULL, 199, NULL, 'Cupredoxins', 200230),
(260231, '0045417', NULL, NULL, 98, NULL, 'Cupredoxins', 200230),
(260232, '0038299', NULL, NULL, 181, NULL, 'Cupredoxins', 200230),
(260233, '0040321', NULL, NULL, 170, NULL, 'Cupredoxins', 200230),
(260234, '0040320', NULL, NULL, 130, NULL, 'Cupredoxins', 200230),
(260235, '0039064', NULL, NULL, 141, NULL, 'Cupredoxins', 200230),
(260236, '0045210', NULL, NULL, 96, NULL, 'Cupredoxins', 200230),
(260237, '0046621', NULL, NULL, 163, NULL, 'Cupredoxins', 200230),
(260238, '0049379', NULL, NULL, 105, NULL, 'Cupredoxins', 200230),
(260239, '0046106', NULL, NULL, 130, NULL, 'Cupredoxins', 200230),
(260240, '0046622', NULL, NULL, 176, NULL, 'Cupredoxins', 200230),
(260241, '0046427', NULL, NULL, 129, NULL, 'Cupredoxins', 200230),
(260242, '0042227', NULL, NULL, 120, NULL, 'Cupredoxins', 200230),
(260243, '0050694', NULL, NULL, 104, NULL, 'Cupredoxins', 200230),
(260244, '0038328', NULL, NULL, 199, NULL, 'Cupredoxins', 200230),
(260245, '0035179', NULL, NULL, 145, NULL, 'Cupredoxins', 200230),
(260246, '0038247', NULL, NULL, 174, NULL, 'Cupredoxins', 200230),
(260247, '0038248', NULL, NULL, 154, NULL, 'Cupredoxins', 200230),
(260248, '0047082', NULL, NULL, 170, NULL, 'Cupredoxins', 200230),
(260249, '0038326', NULL, NULL, 130, NULL, 'Cupredoxins', 200230),
(260250, '0037557', NULL, NULL, 166, NULL, 'Cupredoxins', 200230),
(260251, '0040014', NULL, NULL, 151, NULL, 'Cupredoxins', 200230),
(260252, '0039214', NULL, NULL, 98, NULL, 'Cupredoxins', 200230),
(260253, '0038246', NULL, NULL, 181, NULL, 'Cupredoxins', 200230),
(260254, '0048739', NULL, NULL, 98, NULL, 'Cupredoxins', 200230),
(260255, '0048336', NULL, NULL, 156, NULL, 'Cupredoxins', 200230),
(260256, '0048457', NULL, NULL, 128, NULL, 'Cupredoxins', 200230),
(260257, '0048337', NULL, NULL, 174, NULL, 'Cupredoxins', 200230),
(260258, '0046038', NULL, NULL, 91, NULL, 'Cupredoxins', 200230),
(260259, '0037391', NULL, NULL, 91, NULL, 'Cupredoxins', 200230),
(260260, '0047645', NULL, NULL, 128, NULL, 'Cupredoxins', 200230),
(260261, '0047887', NULL, NULL, 140, NULL, 'Cupredoxins', 200230),
(260262, '0042796', NULL, NULL, 139, NULL, 'Cupredoxins', 200230),
(260263, '0047888', NULL, NULL, 181, NULL, 'Cupredoxins', 200230),
(260264, '0048779', NULL, NULL, 97, NULL, 'Cupredoxins', 200230),
(260265, '0045393', NULL, NULL, 137, NULL, 'Cupredoxins', 200230),
(260266, '0053372', NULL, NULL, 98, NULL, 'Cupredoxins', 200230),
(260267, '0045671', NULL, NULL, 99, NULL, 'Cupredoxins', 200230),
(260268, '0049194', NULL, NULL, 129, NULL, 'Cupredoxins', 200230),
(260269, '0043618', NULL, NULL, 138, NULL, 'Cupredoxins', 200230),
(260270, '0048546', NULL, NULL, 177, NULL, 'Cupredoxins', 200230),
(260271, '0048788', NULL, NULL, 123, NULL, 'Cupredoxins', 200230),
(260272, '0044584', NULL, NULL, 136, NULL, 'Cupredoxins', 200230);
INSERT INTO "PUBLIC"."MODEL" VALUES
(260273, '0042880', NULL, NULL, 131, NULL, 'Cupredoxins', 200230),
(260274, '0044585', NULL, NULL, 168, NULL, 'Cupredoxins', 200230),
(260275, '0044586', NULL, NULL, 190, NULL, 'Cupredoxins', 200230),
(260276, '0045236', NULL, NULL, 135, NULL, 'Cupredoxins', 200230),
(260277, '0042368', NULL, NULL, 99, NULL, 'Cupredoxins', 200230),
(260278, '0046074', NULL, NULL, 35, NULL, 'Gurmarin-like', 200231),
(260279, '0048883', NULL, NULL, 36, NULL, 'Gurmarin-like', 200231),
(260280, '0046346', NULL, NULL, 38, NULL, 'Gurmarin-like', 200231),
(260281, '0049264', NULL, NULL, 105, NULL, '5'' to 3'' exonuclease, C-terminal subdomain', 200232),
(260282, '0045727', NULL, NULL, 108, NULL, '5'' to 3'' exonuclease, C-terminal subdomain', 200232),
(260283, '0051042', NULL, NULL, 105, NULL, '5'' to 3'' exonuclease, C-terminal subdomain', 200232),
(260284, '0048139', NULL, NULL, 112, NULL, '5'' to 3'' exonuclease, C-terminal subdomain', 200232),
(260285, '0045961', NULL, NULL, 116, NULL, '5'' to 3'' exonuclease, C-terminal subdomain', 200232),
(260286, '0045875', NULL, NULL, 120, NULL, '5'' to 3'' exonuclease, C-terminal subdomain', 200232),
(260287, '0043994', NULL, NULL, 123, NULL, '5'' to 3'' exonuclease, C-terminal subdomain', 200232),
(260288, '0049934', NULL, NULL, 140, NULL, '5'' to 3'' exonuclease, C-terminal subdomain', 200232),
(260289, '0051728', NULL, NULL, 167, NULL, 'CinA-like', 200233),
(260290, '0051546', NULL, NULL, 129, NULL, 'ORC1-binding domain', 200234),
(260291, '0049459', NULL, NULL, 102, NULL, 'NSFL1 (p97 ATPase) cofactor p47, SEP domain', 200235),
(260292, '0044687', NULL, NULL, 76, NULL, 'NSFL1 (p97 ATPase) cofactor p47, SEP domain', 200235),
(260293, '0044698', NULL, NULL, 149, NULL, 'Hemolytic lectin CEL-III, C-terminal domain', 200236),
(260294, '0047726', NULL, NULL, 61, NULL, 'Penicillin-binding protein 2x (pbp-2x), c-terminal domain', 200237),
(260295, '0039857', NULL, NULL, 58, NULL, 'Penicillin-binding protein 2x (pbp-2x), c-terminal domain', 200237),
(260296, '0043332', NULL, NULL, 58, NULL, 'Penicillin-binding protein 2x (pbp-2x), c-terminal domain', 200237),
(260297, '0042861', NULL, NULL, 61, NULL, 'Penicillin-binding protein 2x (pbp-2x), c-terminal domain', 200237),
(260298, '0042862', NULL, NULL, 58, NULL, 'Penicillin-binding protein 2x (pbp-2x), c-terminal domain', 200237),
(260299, '0043049', NULL, NULL, 111, NULL, 'Replicase NSP9', 200238),
(260300, '0040939', NULL, NULL, 167, NULL, 'Methane monooxygenase hydrolase, gamma subunit', 200239),
(260301, '0041080', NULL, NULL, 162, NULL, 'Methane monooxygenase hydrolase, gamma subunit', 200239),
(260302, '0054551', NULL, NULL, 128, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260303, '0054098', NULL, NULL, 103, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260304, '0052836', NULL, NULL, 110, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260305, '0037218', NULL, NULL, 160, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260306, '0037318', NULL, NULL, 99, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260307, '0036487', NULL, NULL, 98, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260308, '0054910', NULL, NULL, 134, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260309, '0035534', NULL, NULL, 172, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260310, '0040234', NULL, NULL, 124, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260311, '0049729', NULL, NULL, 155, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260312, '0044957', NULL, NULL, 125, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260313, '0044958', NULL, NULL, 95, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260314, '0040515', NULL, NULL, 206, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260315, '0048756', NULL, NULL, 297, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(260316, '0045524', NULL, NULL, 99, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260317, '0052564', NULL, NULL, 114, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260318, '0051872', NULL, NULL, 102, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260319, '0053659', NULL, NULL, 111, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260320, '0052328', NULL, NULL, 132, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260321, '0050268', NULL, NULL, 133, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260322, '0051796', NULL, NULL, 104, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260323, '0038855', NULL, NULL, 112, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260324, '0042865', NULL, NULL, 288, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260325, '0048408', NULL, NULL, 145, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260326, '0042306', NULL, NULL, 300, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260327, '0041099', NULL, NULL, 98, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', 200240),
(260328, '0038801', NULL, NULL, 58, NULL, 'Head-to-tail joining protein W, gpW', 200241),
(260329, '0054902', NULL, NULL, 192, NULL, 'DhaL-like', 200242),
(260330, '0044458', NULL, NULL, 215, NULL, 'DhaL-like', 200242),
(260331, '0048917', NULL, NULL, 327, NULL, 'PLC-like phosphodiesterases', 200243),
(260332, '0053275', NULL, NULL, 274, NULL, 'PLC-like phosphodiesterases', 200243),
(260333, '0049567', NULL, NULL, 328, NULL, 'PLC-like phosphodiesterases', 200243),
(260334, '0053280', NULL, NULL, 296, NULL, 'PLC-like phosphodiesterases', 200243),
(260335, '0041669', NULL, NULL, 226, NULL, 'PLC-like phosphodiesterases', 200243),
(260336, '0050147', NULL, NULL, 217, NULL, 'PLC-like phosphodiesterases', 200243),
(260337, '0051554', NULL, NULL, 240, NULL, 'PLC-like phosphodiesterases', 200243),
(260338, '0054800', NULL, NULL, 349, NULL, 'PLC-like phosphodiesterases', 200243),
(260339, '0052147', NULL, NULL, 99, NULL, 'Agglutinin HPA-like', 200244),
(260340, '0052131', NULL, NULL, 59, NULL, 'MxiH-like', 200245),
(260341, '0052816', NULL, NULL, 84, NULL, 'MxiH-like', 200245),
(260342, '0054514', NULL, NULL, 186, NULL, 'PrpR receptor domain-like', 200246),
(260343, '0050244', NULL, NULL, 266, NULL, 'Nicotinate/Quinolinate PRTase C-terminal domain-like', 200247),
(260344, '0048915', NULL, NULL, 167, NULL, 'Nicotinate/Quinolinate PRTase C-terminal domain-like', 200247),
(260345, '0051266', NULL, NULL, 266, NULL, 'Nicotinate/Quinolinate PRTase C-terminal domain-like', 200247),
(260346, '0053067', NULL, NULL, 279, NULL, 'Nicotinate/Quinolinate PRTase C-terminal domain-like', 200247),
(260347, '0048485', NULL, NULL, 170, NULL, 'Nicotinate/Quinolinate PRTase C-terminal domain-like', 200247),
(260348, '0049008', NULL, NULL, 169, NULL, 'Nicotinate/Quinolinate PRTase C-terminal domain-like', 200247),
(260349, '0051319', NULL, NULL, 255, NULL, 'Nicotinate/Quinolinate PRTase C-terminal domain-like', 200247),
(260350, '0052613', NULL, NULL, 345, NULL, 'Nicotinate/Quinolinate PRTase C-terminal domain-like', 200247),
(260351, '0051403', NULL, NULL, 270, NULL, 'Nicotinate/Quinolinate PRTase C-terminal domain-like', 200247),
(260352, '0047925', NULL, NULL, 168, NULL, 'Pheromone-binding domain of LuxR-like quorum-sensing transcription factors', 200248),
(260353, '0054231', NULL, NULL, 59, NULL, 'Trm112p-like', 200249),
(260354, '0054030', NULL, NULL, 59, NULL, 'Trm112p-like', 200249),
(260355, '0054515', NULL, NULL, 59, NULL, 'Trm112p-like', 200249),
(260356, '0051385', NULL, NULL, 106, NULL, 'C-terminal effector domain of the bipartite response regulators', 200250),
(260357, '0048684', NULL, NULL, 97, NULL, 'C-terminal effector domain of the bipartite response regulators', 200250),
(260358, '0049014', NULL, NULL, 104, NULL, 'C-terminal effector domain of the bipartite response regulators', 200250);
INSERT INTO "PUBLIC"."MODEL" VALUES
(260359, '0045681', NULL, NULL, 67, NULL, 'C-terminal effector domain of the bipartite response regulators', 200250),
(260360, '0048012', NULL, NULL, 115, NULL, 'C-terminal effector domain of the bipartite response regulators', 200250),
(260361, '0048694', NULL, NULL, 87, NULL, 'C-terminal effector domain of the bipartite response regulators', 200250),
(260362, '0051317', NULL, NULL, 70, NULL, 'C-terminal effector domain of the bipartite response regulators', 200250),
(260363, '0052669', NULL, NULL, 95, NULL, 'C-terminal effector domain of the bipartite response regulators', 200250),
(260364, '0048619', NULL, NULL, 99, NULL, 'C-terminal effector domain of the bipartite response regulators', 200250),
(260365, '0047924', NULL, NULL, 65, NULL, 'C-terminal effector domain of the bipartite response regulators', 200250),
(260366, '0047798', NULL, NULL, 102, NULL, 'C-terminal effector domain of the bipartite response regulators', 200250),
(260367, '0046851', NULL, NULL, 67, NULL, 'C-terminal effector domain of the bipartite response regulators', 200250),
(260368, '0046746', NULL, NULL, 119, NULL, 'C-terminal effector domain of the bipartite response regulators', 200250),
(260369, '0051484', NULL, NULL, 67, NULL, 'C-terminal domain of RNA polymerase alpha subunit', 200251),
(260370, '0046189', NULL, NULL, 81, NULL, 'C-terminal domain of RNA polymerase alpha subunit', 200251),
(260371, '0046369', NULL, NULL, 69, NULL, 'C-terminal domain of RNA polymerase alpha subunit', 200251),
(260372, '0042469', NULL, NULL, 94, NULL, 'YbaB-like', 200252),
(260373, '0039418', NULL, NULL, 92, NULL, 'YbaB-like', 200252),
(260374, '0036655', NULL, NULL, 123, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260375, '0036302', NULL, NULL, 97, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260376, '0037510', NULL, NULL, 128, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260377, '0039504', NULL, NULL, 123, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260378, '0050962', NULL, NULL, 62, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260379, '0042578', NULL, NULL, 103, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260380, '0050928', NULL, NULL, 118, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260381, '0041023', NULL, NULL, 140, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260382, '0038076', NULL, NULL, 115, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260383, '0038450', NULL, NULL, 133, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260384, '0040690', NULL, NULL, 123, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260385, '0041394', NULL, NULL, 126, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260386, '0035130', NULL, NULL, 130, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260387, '0036890', NULL, NULL, 115, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260388, '0040604', NULL, NULL, 124, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260389, '0037490', NULL, NULL, 74, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260390, '0045520', NULL, NULL, 115, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260391, '0040820', NULL, NULL, 131, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260392, '0041887', NULL, NULL, 128, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260393, '0045533', NULL, NULL, 124, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260394, '0041941', NULL, NULL, 119, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', 200253),
(260395, '0039373', NULL, NULL, 143, NULL, 'Nuclease A inhibitor (NuiA)', 200254);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(260396, '0047036', NULL, NULL, 121, NULL, 'GMP synthetase C-terminal dimerisation domain', 200255),
(260397, '0039718', NULL, NULL, 90, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260398, '0038819', NULL, NULL, 90, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260399, '0040859', NULL, NULL, 88, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260400, '0051207', NULL, NULL, 88, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260401, '0035695', NULL, NULL, 86, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260402, '0038984', NULL, NULL, 84, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260403, '0050424', NULL, NULL, 89, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260404, '0035151', NULL, NULL, 83, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260405, '0039179', NULL, NULL, 82, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260406, '0040123', NULL, NULL, 84, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260407, '0041013', NULL, NULL, 92, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260408, '0035286', NULL, NULL, 90, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260409, '0036584', NULL, NULL, 83, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260410, '0041142', NULL, NULL, 88, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260411, '0042185', NULL, NULL, 92, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260412, '0038282', NULL, NULL, 102, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260413, '0049958', NULL, NULL, 91, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260414, '0036080', NULL, NULL, 89, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260415, '0042884', NULL, NULL, 84, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', 200256),
(260416, '0035881', NULL, NULL, 265, NULL, 'Tubby C-terminal domain-like', 200257),
(260417, '0053290', NULL, NULL, 189, NULL, 'Tubby C-terminal domain-like', 200257),
(260418, '0047364', NULL, NULL, 416, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260419, '0048498', NULL, NULL, 260, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260420, '0046386', NULL, NULL, 519, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260421, '0047484', NULL, NULL, 299, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260422, '0047660', NULL, NULL, 936, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260423, '0048078', NULL, NULL, 262, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260424, '0042073', NULL, NULL, 262, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260425, '0041093', NULL, NULL, 289, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260426, '0050125', NULL, NULL, 356, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260427, '0049391', NULL, NULL, 231, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260428, '0036701', NULL, NULL, 247, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260429, '0054448', NULL, NULL, 197, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260430, '0037440', NULL, NULL, 427, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260431, '0038453', NULL, NULL, 366, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260432, '0045706', NULL, NULL, 265, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260433, '0045708', NULL, NULL, 283, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260434, '0049789', NULL, NULL, 223, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260435, '0048777', NULL, NULL, 259, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260436, '0048843', NULL, NULL, 291, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260437, '0046414', NULL, NULL, 253, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(260438, '0047659', NULL, NULL, 880, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260439, '0047978', NULL, NULL, 282, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260440, '0047777', NULL, NULL, 364, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260441, '0049923', NULL, NULL, 283, NULL, 'Phosphoenolpyruvate/pyruvate domain', 200258),
(260442, '0052861', NULL, NULL, 142, NULL, 'cAMP-binding domain-like', 200259),
(260443, '0054435', NULL, NULL, 134, NULL, 'cAMP-binding domain-like', 200259),
(260444, '0048340', NULL, NULL, 132, NULL, 'cAMP-binding domain-like', 200259),
(260445, '0050263', NULL, NULL, 133, NULL, 'cAMP-binding domain-like', 200259),
(260446, '0054017', NULL, NULL, 129, NULL, 'cAMP-binding domain-like', 200259),
(260447, '0050530', NULL, NULL, 137, NULL, 'cAMP-binding domain-like', 200259),
(260448, '0052199', NULL, NULL, 112, NULL, 'cAMP-binding domain-like', 200259),
(260449, '0048492', NULL, NULL, 129, NULL, 'cAMP-binding domain-like', 200259),
(260450, '0048882', NULL, NULL, 193, NULL, 'cAMP-binding domain-like', 200259),
(260451, '0046232', NULL, NULL, 147, NULL, 'cAMP-binding domain-like', 200259),
(260452, '0046231', NULL, NULL, 136, NULL, 'cAMP-binding domain-like', 200259),
(260453, '0054946', NULL, NULL, 139, NULL, 'cAMP-binding domain-like', 200259),
(260454, '0051666', NULL, NULL, 147, NULL, 'cAMP-binding domain-like', 200259),
(260455, '0048512', NULL, NULL, 155, NULL, 'cAMP-binding domain-like', 200259),
(260456, '0048600', NULL, NULL, 133, NULL, 'cAMP-binding domain-like', 200259),
(260457, '0047248', NULL, NULL, 137, NULL, 'cAMP-binding domain-like', 200259),
(260458, '0048513', NULL, NULL, 124, NULL, 'cAMP-binding domain-like', 200259),
(260459, '0046856', NULL, NULL, 132, NULL, 'cAMP-binding domain-like', 200259),
(260460, '0048339', NULL, NULL, 136, NULL, 'cAMP-binding domain-like', 200259),
(260461, '0051946', NULL, NULL, 261, NULL, 'EAL domain-like', 200260),
(260462, '0043810', NULL, NULL, 226, NULL, 'Mannose-6-phosphate receptor binding protein 1 (Tip47), C-terminal domain', 200261),
(260463, '0053695', NULL, NULL, 387, NULL, 'Sialidases', 200262),
(260464, '0046491', NULL, NULL, 446, NULL, 'Sialidases', 200262),
(260465, '0053333', NULL, NULL, 379, NULL, 'Sialidases', 200262),
(260466, '0049431', NULL, NULL, 374, NULL, 'Sialidases', 200262),
(260467, '0050026', NULL, NULL, 516, NULL, 'Sialidases', 200262),
(260468, '0050334', NULL, NULL, 365, NULL, 'Sialidases', 200262),
(260469, '0050039', NULL, NULL, 431, NULL, 'Sialidases', 200262),
(260470, '0050402', NULL, NULL, 356, NULL, 'Sialidases', 200262),
(260471, '0053303', NULL, NULL, 483, NULL, 'Sialidases', 200262),
(260472, '0041541', NULL, NULL, 390, NULL, 'Sialidases', 200262),
(260473, '0051948', NULL, NULL, 388, NULL, 'Sialidases', 200262),
(260474, '0041196', NULL, NULL, 406, NULL, 'Sialidases', 200262),
(260475, '0039096', NULL, NULL, 390, NULL, 'Sialidases', 200262),
(260476, '0048217', NULL, NULL, 398, NULL, 'Sialidases', 200262),
(260477, '0046723', NULL, NULL, 388, NULL, 'Sialidases', 200262),
(260478, '0053203', NULL, NULL, 112, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260479, '0051586', NULL, NULL, 105, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260480, '0054158', NULL, NULL, 109, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260481, '0053066', NULL, NULL, 116, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260482, '0054375', NULL, NULL, 130, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260483, '0052394', NULL, NULL, 118, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260484, '0052878', NULL, NULL, 118, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260485, '0051467', NULL, NULL, 149, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260486, '0052656', NULL, NULL, 104, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260487, '0052799', NULL, NULL, 122, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(260488, '0052831', NULL, NULL, 116, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260489, '0053205', NULL, NULL, 118, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260490, '0043601', NULL, NULL, 111, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260491, '0043843', NULL, NULL, 132, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260492, '0052849', NULL, NULL, 116, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260493, '0049546', NULL, NULL, 120, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260494, '0054073', NULL, NULL, 118, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260495, '0054049', NULL, NULL, 121, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260496, '0053236', NULL, NULL, 141, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260497, '0049196', NULL, NULL, 123, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260498, '0050189', NULL, NULL, 117, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260499, '0054861', NULL, NULL, 146, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260500, '0054342', NULL, NULL, 110, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260501, '0053097', NULL, NULL, 123, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260502, '0051515', NULL, NULL, 125, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260503, '0052648', NULL, NULL, 134, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260504, '0052846', NULL, NULL, 144, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260505, '0052844', NULL, NULL, 132, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260506, '0052743', NULL, NULL, 115, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260507, '0052886', NULL, NULL, 119, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260508, '0050080', NULL, NULL, 101, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260509, '0048726', NULL, NULL, 126, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260510, '0047678', NULL, NULL, 115, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260511, '0049911', NULL, NULL, 133, NULL, 'Tetracyclin repressor-like, C-terminal domain', 200263),
(260512, '0040453', NULL, NULL, 205, NULL, 'ENV polyprotein, receptor-binding domain', 200264),
(260513, '0035134', NULL, NULL, 228, NULL, 'ENV polyprotein, receptor-binding domain', 200264),
(260514, '0053713', NULL, NULL, 64, NULL, 'Photosystem II 10 kDa phosphoprotein PsbH', 200265),
(260515, '0044172', NULL, NULL, 322, NULL, 'PAZ domain', 200266),
(260516, '0049101', NULL, NULL, 168, NULL, 'PAZ domain', 200266),
(260517, '0043154', NULL, NULL, 126, NULL, 'PAZ domain', 200266),
(260518, '0043841', NULL, NULL, 123, NULL, 'PAZ domain', 200266),
(260519, '0049405', NULL, NULL, 126, NULL, 'PAZ domain', 200266),
(260520, '0051424', NULL, NULL, 311, NULL, 'PAZ domain', 200266),
(260521, '0037069', NULL, NULL, 208, NULL, 'Baseplate structural protein gp11', 200267),
(260522, '0042713', NULL, NULL, 163, NULL, 'N5-CAIR mutase (phosphoribosylaminoimidazole carboxylase, PurE)', 200268),
(260523, '0048487', NULL, NULL, 169, NULL, 'N5-CAIR mutase (phosphoribosylaminoimidazole carboxylase, PurE)', 200268),
(260524, '0044185', NULL, NULL, 159, NULL, 'N5-CAIR mutase (phosphoribosylaminoimidazole carboxylase, PurE)', 200268),
(260525, '0051027', NULL, NULL, 155, NULL, 'N5-CAIR mutase (phosphoribosylaminoimidazole carboxylase, PurE)', 200268),
(260526, '0036840', NULL, NULL, 46, NULL, 'Cellulose docking domain, dockering', 200269),
(260527, '0051940', NULL, NULL, 414, NULL, 'GckA/TtuD-like', 200270),
(260528, '0054174', NULL, NULL, 64, NULL, 'L35p-like', 200271),
(260529, '0054769', NULL, NULL, 63, NULL, 'L35p-like', 200271),
(260530, '0053070', NULL, NULL, 64, NULL, 'L35p-like', 200271),
(260531, '0050134', NULL, NULL, 126, NULL, 'Nudix', 200272);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(260532, '0052791', NULL, NULL, 135, NULL, 'Nudix', 200272),
(260533, '0050097', NULL, NULL, 158, NULL, 'Nudix', 200272),
(260534, '0051867', NULL, NULL, 147, NULL, 'Nudix', 200272),
(260535, '0050219', NULL, NULL, 131, NULL, 'Nudix', 200272),
(260536, '0051868', NULL, NULL, 155, NULL, 'Nudix', 200272),
(260537, '0052634', NULL, NULL, 147, NULL, 'Nudix', 200272),
(260538, '0037875', NULL, NULL, 209, NULL, 'Nudix', 200272),
(260539, '0052710', NULL, NULL, 161, NULL, 'Nudix', 200272),
(260540, '0047729', NULL, NULL, 152, NULL, 'Nudix', 200272),
(260541, '0041520', NULL, NULL, 187, NULL, 'Nudix', 200272),
(260542, '0051716', NULL, NULL, 151, NULL, 'Nudix', 200272),
(260543, '0043363', NULL, NULL, 127, NULL, 'Nudix', 200272),
(260544, '0047428', NULL, NULL, 156, NULL, 'Nudix', 200272),
(260545, '0040258', NULL, NULL, 137, NULL, 'Nudix', 200272),
(260546, '0048878', NULL, NULL, 292, NULL, 'Nudix', 200272),
(260547, '0050220', NULL, NULL, 97, NULL, 'Nudix', 200272),
(260548, '0047252', NULL, NULL, 176, NULL, 'Nudix', 200272),
(260549, '0049771', NULL, NULL, 196, NULL, 'Nudix', 200272),
(260550, '0050821', NULL, NULL, 142, NULL, 'Nudix', 200272),
(260551, '0051875', NULL, NULL, 146, NULL, 'Nudix', 200272),
(260552, '0044789', NULL, NULL, 189, NULL, 'Nudix', 200272),
(260553, '0043415', NULL, NULL, 160, NULL, 'Nudix', 200272),
(260554, '0044768', NULL, NULL, 186, NULL, 'Nudix', 200272),
(260555, '0041034', NULL, NULL, 202, NULL, 'Nudix', 200272),
(260556, '0052719', NULL, NULL, 202, NULL, 'Nudix', 200272),
(260557, '0051092', NULL, NULL, 153, NULL, 'Nudix', 200272),
(260558, '0048821', NULL, NULL, 129, NULL, 'Nudix', 200272),
(260559, '0046700', NULL, NULL, 165, NULL, 'Nudix', 200272),
(260560, '0048869', NULL, NULL, 171, NULL, 'Nudix', 200272),
(260561, '0049418', NULL, NULL, 158, NULL, 'Nudix', 200272),
(260562, '0045001', NULL, NULL, 83, NULL, 'Aminomethyltransferase beta-barrel domain', 200273),
(260563, '0050059', NULL, NULL, 89, NULL, 'Aminomethyltransferase beta-barrel domain', 200273),
(260564, '0048427', NULL, NULL, 82, NULL, 'Aminomethyltransferase beta-barrel domain', 200273),
(260565, '0042335', NULL, NULL, 88, NULL, 'Aminomethyltransferase beta-barrel domain', 200273),
(260566, '0044876', NULL, NULL, 100, NULL, 'Aminomethyltransferase beta-barrel domain', 200273),
(260567, '0051729', NULL, NULL, 134, NULL, 'USP8 N-terminal domain-like', 200274),
(260568, '0048152', NULL, NULL, 81, NULL, 'Methylated DNA-protein cysteine methyltransferase, C-terminal domain', 200275),
(260569, '0048993', NULL, NULL, 85, NULL, 'Methylated DNA-protein cysteine methyltransferase, C-terminal domain', 200275),
(260570, '0049380', NULL, NULL, 84, NULL, 'Methylated DNA-protein cysteine methyltransferase, C-terminal domain', 200275),
(260571, '0052513', NULL, NULL, 149, NULL, 'LemA-like', 200276),
(260572, '0038036', NULL, NULL, 111, NULL, 'Second domain of FERM', 200277),
(260573, '0041398', NULL, NULL, 111, NULL, 'Second domain of FERM', 200277),
(260574, '0048168', NULL, NULL, 114, NULL, 'Second domain of FERM', 200277),
(260575, '0051790', NULL, NULL, 123, NULL, 'Second domain of FERM', 200277),
(260576, '0038416', NULL, NULL, 111, NULL, 'Second domain of FERM', 200277),
(260577, '0051180', NULL, NULL, 100, NULL, 'Second domain of FERM', 200277),
(260578, '0046535', NULL, NULL, 111, NULL, 'Second domain of FERM', 200277),
(260579, '0046976', NULL, NULL, 106, NULL, 'Second domain of FERM', 200277),
(260580, '0051596', NULL, NULL, 282, NULL, 'SGNH hydrolase', 200278),
(260581, '0046880', NULL, NULL, 212, NULL, 'SGNH hydrolase', 200278),
(260582, '0037646', NULL, NULL, 272, NULL, 'SGNH hydrolase', 200278),
(260583, '0054927', NULL, NULL, 207, NULL, 'SGNH hydrolase', 200278),
(260584, '0036388', NULL, NULL, 233, NULL, 'SGNH hydrolase', 200278),
(260585, '0050207', NULL, NULL, 201, NULL, 'SGNH hydrolase', 200278),
(260586, '0054858', NULL, NULL, 248, NULL, 'SGNH hydrolase', 200278),
(260587, '0051447', NULL, NULL, 195, NULL, 'SGNH hydrolase', 200278),
(260588, '0054315', NULL, NULL, 208, NULL, 'SGNH hydrolase', 200278);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(260589, '0046616', NULL, NULL, 212, NULL, 'SGNH hydrolase', 200278),
(260590, '0051808', NULL, NULL, 244, NULL, 'SGNH hydrolase', 200278),
(260591, '0046617', NULL, NULL, 302, NULL, 'SGNH hydrolase', 200278),
(260592, '0054061', NULL, NULL, 211, NULL, 'SGNH hydrolase', 200278),
(260593, '0047668', NULL, NULL, 179, NULL, 'SGNH hydrolase', 200278),
(260594, '0045507', NULL, NULL, 84, NULL, 'Colicin E3 immunity protein', 200279),
(260595, '0051589', NULL, NULL, 79, NULL, 'HP1531-like', 200280),
(260596, '0048639', NULL, NULL, 114, NULL, 'Fungal immunomodulatory protein, FIP', 200281),
(260597, '0041530', NULL, NULL, 155, NULL, 'SNARE-like', 200282),
(260598, '0038994', NULL, NULL, 127, NULL, 'SNARE-like', 200282),
(260599, '0052690', NULL, NULL, 129, NULL, 'SNARE-like', 200282),
(260600, '0047143', NULL, NULL, 140, NULL, 'SNARE-like', 200282),
(260601, '0038406', NULL, NULL, 140, NULL, 'SNARE-like', 200282),
(260602, '0038303', NULL, NULL, 141, NULL, 'SNARE-like', 200282),
(260603, '0038304', NULL, NULL, 142, NULL, 'SNARE-like', 200282),
(260604, '0052146', NULL, NULL, 140, NULL, 'Carbohydrate-binding domain', 200283),
(260605, '0049741', NULL, NULL, 170, NULL, 'Carbohydrate-binding domain', 200283),
(260606, '0037927', NULL, NULL, 160, NULL, 'Carbohydrate-binding domain', 200283),
(260607, '0051999', NULL, NULL, 162, NULL, 'Carbohydrate-binding domain', 200283),
(260608, '0054727', NULL, NULL, 136, NULL, 'Carbohydrate-binding domain', 200283),
(260609, '0047180', NULL, NULL, 88, NULL, 'Carbohydrate-binding domain', 200283),
(260610, '0054439', NULL, NULL, 133, NULL, 'Carbohydrate-binding domain', 200283),
(260611, '0046648', NULL, NULL, 110, NULL, 'Carbohydrate-binding domain', 200283),
(260612, '0037981', NULL, NULL, 158, NULL, 'Carbohydrate-binding domain', 200283),
(260613, '0035131', NULL, NULL, 143, NULL, 'Carbohydrate-binding domain', 200283),
(260614, '0041294', NULL, NULL, 155, NULL, 'Carbohydrate-binding domain', 200283),
(260615, '0046464', NULL, NULL, 87, NULL, 'Carbohydrate-binding domain', 200283),
(260616, '0043055', NULL, NULL, 171, NULL, 'Carbohydrate-binding domain', 200283),
(260617, '0043980', NULL, NULL, 145, NULL, 'Carbohydrate-binding domain', 200283),
(260618, '0046898', NULL, NULL, 143, NULL, 'Carbohydrate-binding domain', 200283),
(260619, '0042696', NULL, NULL, 173, NULL, 'Carbohydrate-binding domain', 200283),
(260620, '0038169', NULL, NULL, 70, NULL, 'Urease metallochaperone UreE, N-terminal domain', 200284),
(260621, '0036879', NULL, NULL, 74, NULL, 'Urease metallochaperone UreE, N-terminal domain', 200284),
(260622, '0042308', NULL, NULL, 137, NULL, 'PHM/PNGase F', 200285),
(260623, '0048758', NULL, NULL, 174, NULL, 'PHM/PNGase F', 200285),
(260624, '0051313', NULL, NULL, 152, NULL, 'PHM/PNGase F', 200285),
(260625, '0051314', NULL, NULL, 157, NULL, 'PHM/PNGase F', 200285),
(260626, '0041782', NULL, NULL, 144, NULL, 'Mitochondrial cytochrome c oxidase subunit IV', 200286),
(260627, '0050019', NULL, NULL, 299, NULL, 'Autotransporter', 200287),
(260628, '0044921', NULL, NULL, 383, NULL, 'DmpA/ArgJ-like', 200288),
(260629, '0035366', NULL, NULL, 367, NULL, 'DmpA/ArgJ-like', 200288),
(260630, '0054225', NULL, NULL, 66, NULL, 'NifT/FixU-like', 200289),
(260631, '0043181', NULL, NULL, 196, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260632, '0046130', NULL, NULL, 156, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260633, '0047286', NULL, NULL, 192, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260634, '0042074', NULL, NULL, 221, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260635, '0051742', NULL, NULL, 218, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260636, '0050138', NULL, NULL, 250, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260637, '0047949', NULL, NULL, 288, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260638, '0049828', NULL, NULL, 221, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260639, '0051738', NULL, NULL, 195, NULL, 'Class I glutamine amidotransferase-like', 200290);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(260640, '0042273', NULL, NULL, 187, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260641, '0047324', NULL, NULL, 192, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260642, '0049505', NULL, NULL, 240, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260643, '0049527', NULL, NULL, 262, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260644, '0048482', NULL, NULL, 230, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260645, '0049495', NULL, NULL, 184, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260646, '0053950', NULL, NULL, 246, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260647, '0048285', NULL, NULL, 279, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260648, '0037903', NULL, NULL, 166, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260649, '0047771', NULL, NULL, 195, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260650, '0053594', NULL, NULL, 170, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260651, '0049298', NULL, NULL, 258, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260652, '0051592', NULL, NULL, 167, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260653, '0050645', NULL, NULL, 188, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260654, '0052900', NULL, NULL, 281, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260655, '0051730', NULL, NULL, 196, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260656, '0052668', NULL, NULL, 188, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260657, '0039988', NULL, NULL, 200, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260658, '0038211', NULL, NULL, 205, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260659, '0042722', NULL, NULL, 195, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260660, '0042648', NULL, NULL, 202, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260661, '0039782', NULL, NULL, 232, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260662, '0045752', NULL, NULL, 228, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260663, '0046884', NULL, NULL, 229, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260664, '0043013', NULL, NULL, 236, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260665, '0047898', NULL, NULL, 197, NULL, 'Class I glutamine amidotransferase-like', 200290),
(260666, '0051540', NULL, NULL, 197, NULL, 'PUA domain-like', 200291),
(260667, '0054831', NULL, NULL, 204, NULL, 'PUA domain-like', 200291),
(260668, '0054796', NULL, NULL, 209, NULL, 'PUA domain-like', 200291),
(260669, '0050072', NULL, NULL, 63, NULL, 'PUA domain-like', 200291),
(260670, '0049288', NULL, NULL, 110, NULL, 'PUA domain-like', 200291),
(260671, '0051801', NULL, NULL, 110, NULL, 'PUA domain-like', 200291),
(260672, '0038846', NULL, NULL, 169, NULL, 'PUA domain-like', 200291),
(260673, '0051822', NULL, NULL, 72, NULL, 'PUA domain-like', 200291),
(260674, '0039975', NULL, NULL, 62, NULL, 'PUA domain-like', 200291),
(260675, '0052338', NULL, NULL, 93, NULL, 'PUA domain-like', 200291),
(260676, '0043106', NULL, NULL, 81, NULL, 'PUA domain-like', 200291),
(260677, '0044757', NULL, NULL, 72, NULL, 'PUA domain-like', 200291),
(260678, '0043605', NULL, NULL, 57, NULL, 'PUA domain-like', 200291),
(260679, '0051817', NULL, NULL, 157, NULL, 'PUA domain-like', 200291),
(260680, '0049549', NULL, NULL, 76, NULL, 'PUA domain-like', 200291),
(260681, '0049603', NULL, NULL, 103, NULL, 'PUA domain-like', 200291),
(260682, '0050660', NULL, NULL, 145, NULL, 'PUA domain-like', 200291),
(260683, '0051036', NULL, NULL, 113, NULL, 'PUA domain-like', 200291),
(260684, '0054301', NULL, NULL, 80, NULL, 'PUA domain-like', 200291),
(260685, '0052541', NULL, NULL, 84, NULL, 'PUA domain-like', 200291),
(260686, '0054564', NULL, NULL, 68, NULL, 'PUA domain-like', 200291),
(260687, '0052482', NULL, NULL, 120, NULL, 'PUA domain-like', 200291),
(260688, '0050744', NULL, NULL, 64, NULL, 'PUA domain-like', 200291); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(260689, '0050865', NULL, NULL, 161, NULL, 'PUA domain-like', 200291),
(260690, '0052824', NULL, NULL, 148, NULL, 'PUA domain-like', 200291),
(260691, '0039128', NULL, NULL, 77, NULL, 'PUA domain-like', 200291),
(260692, '0051555', NULL, NULL, 146, NULL, 'PUA domain-like', 200291),
(260693, '0052524', NULL, NULL, 148, NULL, 'PUA domain-like', 200291),
(260694, '0037984', NULL, NULL, 167, NULL, 'PUA domain-like', 200291),
(260695, '0053955', NULL, NULL, 102, NULL, 'PUA domain-like', 200291),
(260696, '0051810', NULL, NULL, 85, NULL, 'PUA domain-like', 200291),
(260697, '0052864', NULL, NULL, 136, NULL, 'PUA domain-like', 200291),
(260698, '0042644', NULL, NULL, 85, NULL, 'PUA domain-like', 200291),
(260699, '0051929', NULL, NULL, 68, NULL, 'PUA domain-like', 200291),
(260700, '0039543', NULL, NULL, 173, NULL, 'PUA domain-like', 200291),
(260701, '0044608', NULL, NULL, 132, NULL, 'PUA domain-like', 200291),
(260702, '0043893', NULL, NULL, 166, NULL, 'PUA domain-like', 200291),
(260703, '0041612', NULL, NULL, 72, NULL, 'PUA domain-like', 200291),
(260704, '0043844', NULL, NULL, 179, NULL, 'MCP/YpsA-like', 200292),
(260705, '0050464', NULL, NULL, 171, NULL, 'MCP/YpsA-like', 200292),
(260706, '0053289', NULL, NULL, 184, NULL, 'MCP/YpsA-like', 200292),
(260707, '0043198', NULL, NULL, 170, NULL, 'MCP/YpsA-like', 200292),
(260708, '0053291', NULL, NULL, 183, NULL, 'MCP/YpsA-like', 200292),
(260709, '0050465', NULL, NULL, 208, NULL, 'MCP/YpsA-like', 200292),
(260710, '0054305', NULL, NULL, 177, NULL, 'MCP/YpsA-like', 200292),
(260711, '0053712', NULL, NULL, 35, NULL, 'Cytochrome b559 subunits', 200293),
(260712, '0053711', NULL, NULL, 82, NULL, 'Cytochrome b559 subunits', 200293),
(260713, '0053930', NULL, NULL, 409, NULL, 'LanC-like', 200294),
(260714, '0035826', NULL, NULL, 155, NULL, 'Lumazine synthase', 200295),
(260715, '0037034', NULL, NULL, 168, NULL, 'Lumazine synthase', 200295),
(260716, '0035841', NULL, NULL, 195, NULL, 'Lumazine synthase', 200295),
(260717, '0036434', NULL, NULL, 148, NULL, 'Lumazine synthase', 200295),
(260718, '0040328', NULL, NULL, 150, NULL, 'Lumazine synthase', 200295),
(260719, '0043387', NULL, NULL, 154, NULL, 'Lumazine synthase', 200295),
(260720, '0038676', NULL, NULL, 154, NULL, 'Lumazine synthase', 200295),
(260721, '0054325', NULL, NULL, 167, NULL, 'alpha/beta knot', 200296),
(260722, '0050073', NULL, NULL, 162, NULL, 'alpha/beta knot', 200296),
(260723, '0054693', NULL, NULL, 227, NULL, 'alpha/beta knot', 200296),
(260724, '0044065', NULL, NULL, 157, NULL, 'alpha/beta knot', 200296),
(260725, '0054617', NULL, NULL, 194, NULL, 'alpha/beta knot', 200296),
(260726, '0054635', NULL, NULL, 201, NULL, 'alpha/beta knot', 200296),
(260727, '0054822', NULL, NULL, 204, NULL, 'alpha/beta knot', 200296),
(260728, '0038338', NULL, NULL, 166, NULL, 'alpha/beta knot', 200296),
(260729, '0047409', NULL, NULL, 158, NULL, 'alpha/beta knot', 200296),
(260730, '0039893', NULL, NULL, 192, NULL, 'alpha/beta knot', 200296),
(260731, '0044746', NULL, NULL, 157, NULL, 'alpha/beta knot', 200296),
(260732, '0044758', NULL, NULL, 180, NULL, 'alpha/beta knot', 200296),
(260733, '0042210', NULL, NULL, 246, NULL, 'alpha/beta knot', 200296),
(260734, '0042076', NULL, NULL, 232, NULL, 'alpha/beta knot', 200296),
(260735, '0048501', NULL, NULL, 147, NULL, 'alpha/beta knot', 200296),
(260736, '0044596', NULL, NULL, 191, NULL, 'alpha/beta knot', 200296),
(260737, '0041613', NULL, NULL, 174, NULL, 'alpha/beta knot', 200296),
(260738, '0048429', NULL, NULL, 153, NULL, 'alpha/beta knot', 200296),
(260739, '0044237', NULL, NULL, 252, NULL, 'alpha/beta knot', 200296),
(260740, '0041137', NULL, NULL, 156, NULL, 'alpha/beta knot', 200296),
(260741, '0049220', NULL, NULL, 155, NULL, 'ASF1-like', 200297),
(260742, '0053793', NULL, NULL, 161, NULL, 'ASF1-like', 200297),
(260743, '0054083', NULL, NULL, 154, NULL, 'ASF1-like', 200297),
(260744, '0053455', NULL, NULL, 160, NULL, 'Influenza hemagglutinin (stalk)', 200298),
(260745, '0053521', NULL, NULL, 166, NULL, 'Influenza hemagglutinin (stalk)', 200298);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(260746, '0053500', NULL, NULL, 150, NULL, 'Influenza hemagglutinin (stalk)', 200298),
(260747, '0053561', NULL, NULL, 175, NULL, 'Influenza hemagglutinin (stalk)', 200298),
(260748, '0053507', NULL, NULL, 175, NULL, 'Influenza hemagglutinin (stalk)', 200298),
(260749, '0053508', NULL, NULL, 160, NULL, 'Influenza hemagglutinin (stalk)', 200298),
(260750, '0053413', NULL, NULL, 162, NULL, 'Influenza hemagglutinin (stalk)', 200298),
(260751, '0053435', NULL, NULL, 173, NULL, 'Influenza hemagglutinin (stalk)', 200298),
(260752, '0042807', NULL, NULL, 77, NULL, 'Fibre shaft of virus attachment proteins', 200299),
(260753, '0040126', NULL, NULL, 63, NULL, 'Fibre shaft of virus attachment proteins', 200299),
(260754, '0052087', NULL, NULL, 57, NULL, 'BAS1536-like', 200300),
(260755, '0052083', NULL, NULL, 54, NULL, 'BAS1536-like', 200300),
(260756, '0051220', NULL, NULL, 60, NULL, 'L27 domain', 200301),
(260757, '0051594', NULL, NULL, 54, NULL, 'L27 domain', 200301),
(260758, '0050166', NULL, NULL, 58, NULL, 'L27 domain', 200301),
(260759, '0051593', NULL, NULL, 50, NULL, 'L27 domain', 200301),
(260760, '0051218', NULL, NULL, 57, NULL, 'L27 domain', 200301),
(260761, '0051219', NULL, NULL, 62, NULL, 'L27 domain', 200301),
(260762, '0043366', NULL, NULL, 60, NULL, 'L27 domain', 200301),
(260763, '0043367', NULL, NULL, 56, NULL, 'L27 domain', 200301),
(260764, '0044732', NULL, NULL, 51, NULL, 'L27 domain', 200301),
(260765, '0046450', NULL, NULL, 153, NULL, 'DNA repair protein MutS, domain II', 200302),
(260766, '0046642', NULL, NULL, 146, NULL, 'DNA repair protein MutS, domain II', 200302),
(260767, '0052850', NULL, NULL, 225, NULL, 'HAD-like', 200303),
(260768, '0054355', NULL, NULL, 122, NULL, 'HAD-like', 200303),
(260769, '0047540', NULL, NULL, 210, NULL, 'HAD-like', 200303),
(260770, '0048396', NULL, NULL, 217, NULL, 'HAD-like', 200303),
(260771, '0051120', NULL, NULL, 232, NULL, 'HAD-like', 200303),
(260772, '0046572', NULL, NULL, 222, NULL, 'HAD-like', 200303),
(260773, '0051800', NULL, NULL, 243, NULL, 'HAD-like', 200303),
(260774, '0051888', NULL, NULL, 283, NULL, 'HAD-like', 200303),
(260775, '0042929', NULL, NULL, 245, NULL, 'HAD-like', 200303),
(260776, '0052933', NULL, NULL, 204, NULL, 'HAD-like', 200303),
(260777, '0051324', NULL, NULL, 195, NULL, 'HAD-like', 200303),
(260778, '0051764', NULL, NULL, 210, NULL, 'HAD-like', 200303),
(260779, '0052698', NULL, NULL, 187, NULL, 'HAD-like', 200303),
(260780, '0050797', NULL, NULL, 230, NULL, 'HAD-like', 200303),
(260781, '0053744', NULL, NULL, 291, NULL, 'HAD-like', 200303),
(260782, '0049203', NULL, NULL, 269, NULL, 'HAD-like', 200303),
(260783, '0051280', NULL, NULL, 253, NULL, 'HAD-like', 200303),
(260784, '0044796', NULL, NULL, 226, NULL, 'HAD-like', 200303),
(260785, '0052740', NULL, NULL, 161, NULL, 'HAD-like', 200303),
(260786, '0051495', NULL, NULL, 208, NULL, 'HAD-like', 200303),
(260787, '0050761', NULL, NULL, 243, NULL, 'HAD-like', 200303),
(260788, '0051058', NULL, NULL, 124, NULL, 'HAD-like', 200303),
(260789, '0052186', NULL, NULL, 273, NULL, 'HAD-like', 200303),
(260790, '0052660', NULL, NULL, 222, NULL, 'HAD-like', 200303),
(260791, '0054320', NULL, NULL, 209, NULL, 'HAD-like', 200303),
(260792, '0045131', NULL, NULL, 220, NULL, 'HAD-like', 200303),
(260793, '0050723', NULL, NULL, 253, NULL, 'HAD-like', 200303),
(260794, '0051416', NULL, NULL, 253, NULL, 'HAD-like', 200303),
(260795, '0053956', NULL, NULL, 182, NULL, 'HAD-like', 200303),
(260796, '0052665', NULL, NULL, 226, NULL, 'HAD-like', 200303),
(260797, '0040685', NULL, NULL, 221, NULL, 'HAD-like', 200303),
(260798, '0043957', NULL, NULL, 218, NULL, 'HAD-like', 200303),
(260799, '0049579', NULL, NULL, 181, NULL, 'HAD-like', 200303),
(260800, '0049814', NULL, NULL, 164, NULL, 'HAD-like', 200303),
(260801, '0050211', NULL, NULL, 261, NULL, 'HAD-like', 200303),
(260802, '0044171', NULL, NULL, 229, NULL, 'HAD-like', 200303),
(260803, '0051387', NULL, NULL, 253, NULL, 'HAD-like', 200303),
(260804, '0053003', NULL, NULL, 228, NULL, 'HAD-like', 200303),
(260805, '0037518', NULL, NULL, 256, NULL, 'HAD-like', 200303); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(260806, '0040925', NULL, NULL, 194, NULL, 'HAD-like', 200303),
(260807, '0049067', NULL, NULL, 380, NULL, 'HAD-like', 200303),
(260808, '0043284', NULL, NULL, 271, NULL, 'HAD-like', 200303),
(260809, '0050690', NULL, NULL, 230, NULL, 'HAD-like', 200303),
(260810, '0053649', NULL, NULL, 308, NULL, 'HAD-like', 200303),
(260811, '0051348', NULL, NULL, 260, NULL, 'HAD-like', 200303),
(260812, '0052115', NULL, NULL, 250, NULL, 'HAD-like', 200303),
(260813, '0053006', NULL, NULL, 207, NULL, 'HAD-like', 200303),
(260814, '0051937', NULL, NULL, 136, NULL, 'HAD-like', 200303),
(260815, '0047721', NULL, NULL, 177, NULL, 'HAD-like', 200303),
(260816, '0053041', NULL, NULL, 224, NULL, 'HAD-like', 200303),
(260817, '0040657', NULL, NULL, 149, NULL, 'HAD-like', 200303),
(260818, '0049302', NULL, NULL, 244, NULL, 'HAD-like', 200303),
(260819, '0043763', NULL, NULL, 169, NULL, 'HAD-like', 200303),
(260820, '0051870', NULL, NULL, 197, NULL, 'HAD-like', 200303),
(260821, '0049197', NULL, NULL, 206, NULL, 'HAD-like', 200303),
(260822, '0052884', NULL, NULL, 247, NULL, 'HAD-like', 200303),
(260823, '0048300', NULL, NULL, 209, NULL, 'HAD-like', 200303),
(260824, '0051956', NULL, NULL, 458, NULL, 'HAD-like', 200303),
(260825, '0051632', NULL, NULL, 253, NULL, 'HAD-like', 200303),
(260826, '0052765', NULL, NULL, 244, NULL, 'HAD-like', 200303),
(260827, '0041356', NULL, NULL, 267, NULL, 'HAD-like', 200303),
(260828, '0047938', NULL, NULL, 225, NULL, 'HAD-like', 200303),
(260829, '0048428', NULL, NULL, 285, NULL, 'HAD-like', 200303),
(260830, '0053971', NULL, NULL, 157, NULL, 'Ran-GTPase activating protein 1 (RanGAP1), C-terminal domain', 200304),
(260831, '0047852', NULL, NULL, 156, NULL, 'Ran-GTPase activating protein 1 (RanGAP1), C-terminal domain', 200304),
(260832, '0053895', NULL, NULL, 53, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260833, '0053900', NULL, NULL, 46, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260834, '0038668', NULL, NULL, 56, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260835, '0038364', NULL, NULL, 68, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260836, '0038552', NULL, NULL, 55, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260837, '0043933', NULL, NULL, 51, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260838, '0043934', NULL, NULL, 52, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260839, '0041571', NULL, NULL, 58, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260840, '0051518', NULL, NULL, 62, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260841, '0039232', NULL, NULL, 55, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260842, '0042251', NULL, NULL, 60, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260843, '0040627', NULL, NULL, 48, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260844, '0046016', NULL, NULL, 57, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260845, '0044002', NULL, NULL, 56, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260846, '0045399', NULL, NULL, 56, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260847, '0045542', NULL, NULL, 56, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260848, '0040469', NULL, NULL, 46, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260849, '0040148', NULL, NULL, 55, NULL, 'Kazal-type serine protease inhibitors', 200305),
(260850, '0044472', NULL, NULL, 105, NULL, 'Pyrimidine nucleoside phosphorylase C-terminal domain', 200306),
(260851, '0035686', NULL, NULL, 103, NULL, 'Pyrimidine nucleoside phosphorylase C-terminal domain', 200306),
(260852, '0045474', NULL, NULL, 105, NULL, 'Pyrimidine nucleoside phosphorylase C-terminal domain', 200306),
(260853, '0053541', NULL, NULL, 74, NULL, 'Intermediate filament protein, coiled coil region', 200307),
(260854, '0053426', NULL, NULL, 39, NULL, 'Intermediate filament protein, coiled coil region', 200307),
(260855, '0053424', NULL, NULL, 79, NULL, 'Intermediate filament protein, coiled coil region', 200307);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(260856, '0053425', NULL, NULL, 55, NULL, 'Intermediate filament protein, coiled coil region', 200307),
(260857, '0040364', NULL, NULL, 61, NULL, 'F1F0 ATP synthase subunit B, membrane domain', 200308),
(260858, '0052343', NULL, NULL, 167, NULL, 'RUN domain-like', 200309),
(260859, '0053720', NULL, NULL, 30, NULL, 'Photosystem II reaction center protein T, PsbT', 200310),
(260860, '0048274', NULL, NULL, 130, NULL, 'DEATH domain', 200311),
(260861, '0046261', NULL, NULL, 102, NULL, 'DEATH domain', 200311),
(260862, '0053685', NULL, NULL, 108, NULL, 'DEATH domain', 200311),
(260863, '0045580', NULL, NULL, 97, NULL, 'DEATH domain', 200311),
(260864, '0042393', NULL, NULL, 93, NULL, 'DEATH domain', 200311),
(260865, '0044274', NULL, NULL, 91, NULL, 'DEATH domain', 200311),
(260866, '0041381', NULL, NULL, 85, NULL, 'DEATH domain', 200311),
(260867, '0036368', NULL, NULL, 127, NULL, 'DEATH domain', 200311),
(260868, '0050656', NULL, NULL, 90, NULL, 'DEATH domain', 200311),
(260869, '0036756', NULL, NULL, 104, NULL, 'DEATH domain', 200311),
(260870, '0050544', NULL, NULL, 127, NULL, 'DEATH domain', 200311),
(260871, '0036251', NULL, NULL, 150, NULL, 'DEATH domain', 200311),
(260872, '0038970', NULL, NULL, 87, NULL, 'DEATH domain', 200311),
(260873, '0036193', NULL, NULL, 93, NULL, 'DEATH domain', 200311),
(260874, '0037465', NULL, NULL, 95, NULL, 'DEATH domain', 200311),
(260875, '0036420', NULL, NULL, 89, NULL, 'DEATH domain', 200311),
(260876, '0045697', NULL, NULL, 83, NULL, 'DEATH domain', 200311),
(260877, '0045502', NULL, NULL, 100, NULL, 'DEATH domain', 200311),
(260878, '0049295', NULL, NULL, 317, NULL, 'Apyrase', 200312),
(260879, '0051536', NULL, NULL, 128, NULL, 'L,D-transpeptidase catalytic domain-like', 200313),
(260880, '0051226', NULL, NULL, 116, NULL, 'L,D-transpeptidase catalytic domain-like', 200313),
(260881, '0046889', NULL, NULL, 149, NULL, 'Toll/Interleukin receptor TIR domain', 200314),
(260882, '0046888', NULL, NULL, 161, NULL, 'Toll/Interleukin receptor TIR domain', 200314),
(260883, '0046699', NULL, NULL, 158, NULL, 'TRADD, N-terminal domain', 200315),
(260884, '0046429', NULL, NULL, 455, NULL, 'Group I dsDNA viruses', 200316),
(260885, '0043624', NULL, NULL, 366, NULL, 'Group I dsDNA viruses', 200316),
(260886, '0043775', NULL, NULL, 348, NULL, 'Group I dsDNA viruses', 200316),
(260887, '0047460', NULL, NULL, 555, NULL, 'Cobalamin (vitamin B12)-dependent enzymes', 200317),
(260888, '0046111', NULL, NULL, 483, NULL, 'Cobalamin (vitamin B12)-dependent enzymes', 200317),
(260889, '0053373', NULL, NULL, 460, NULL, 'Cobalamin (vitamin B12)-dependent enzymes', 200317),
(260890, '0045650', NULL, NULL, 557, NULL, 'Cobalamin (vitamin B12)-dependent enzymes', 200317),
(260891, '0046533', NULL, NULL, 551, NULL, 'Cobalamin (vitamin B12)-dependent enzymes', 200317),
(260892, '0051083', NULL, NULL, 516, NULL, 'Cobalamin (vitamin B12)-dependent enzymes', 200317),
(260893, '0048260', NULL, NULL, 138, NULL, 'Bacterial adhesins', 200318),
(260894, '0049261', NULL, NULL, 143, NULL, 'Bacterial adhesins', 200318),
(260895, '0054685', NULL, NULL, 154, NULL, 'Bacterial adhesins', 200318),
(260896, '0054188', NULL, NULL, 150, NULL, 'Bacterial adhesins', 200318),
(260897, '0048289', NULL, NULL, 191, NULL, 'Bacterial adhesins', 200318),
(260898, '0043084', NULL, NULL, 172, NULL, 'Bacterial adhesins', 200318),
(260899, '0049046', NULL, NULL, 121, NULL, 'Bacterial adhesins', 200318),
(260900, '0042171', NULL, NULL, 136, NULL, 'Bacterial adhesins', 200318),
(260901, '0039425', NULL, NULL, 196, NULL, 'Bacterial adhesins', 200318),
(260902, '0053723', NULL, NULL, 121, NULL, 'Bacterial adhesins', 200318),
(260903, '0049082', NULL, NULL, 149, NULL, 'Bacterial adhesins', 200318),
(260904, '0042997', NULL, NULL, 158, NULL, 'Bacterial adhesins', 200318),
(260905, '0035111', NULL, NULL, 150, NULL, 'Bacterial adhesins', 200318),
(260906, '0041230', NULL, NULL, 141, NULL, 'Bacterial adhesins', 200318),
(260907, '0048741', NULL, NULL, 149, NULL, 'Bacterial adhesins', 200318),
(260908, '0048577', NULL, NULL, 178, NULL, 'Bacterial adhesins', 200318);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(260909, '0052190', NULL, NULL, 133, NULL, 'Bacterial adhesins', 200318),
(260910, '0044512', NULL, NULL, 140, NULL, 'Bacterial adhesins', 200318),
(260911, '0048526', NULL, NULL, 176, NULL, 'Bacterial adhesins', 200318),
(260912, '0041928', NULL, NULL, 61, NULL, 'Transducin (heterotrimeric G protein), gamma chain', 200319),
(260913, '0043930', NULL, NULL, 68, NULL, 'Transducin (heterotrimeric G protein), gamma chain', 200319),
(260914, '0051394', NULL, NULL, 83, NULL, 'Coronavirus NSP7-like', 200320),
(260915, '0049371', NULL, NULL, 83, NULL, 'DNA polymerase III theta subunit-like', 200321),
(260916, '0036602', NULL, NULL, 76, NULL, 'DNA polymerase III theta subunit-like', 200321),
(260917, '0039077', NULL, NULL, 179, NULL, 'Isochorismatase-like hydrolases', 200322),
(260918, '0041293', NULL, NULL, 253, NULL, 'Isochorismatase-like hydrolases', 200322),
(260919, '0045069', NULL, NULL, 204, NULL, 'Isochorismatase-like hydrolases', 200322),
(260920, '0039336', NULL, NULL, 188, NULL, 'Isochorismatase-like hydrolases', 200322),
(260921, '0041359', NULL, NULL, 207, NULL, 'Isochorismatase-like hydrolases', 200322),
(260922, '0045018', NULL, NULL, 192, NULL, 'Isochorismatase-like hydrolases', 200322),
(260923, '0040672', NULL, NULL, 71, NULL, 'beta-catenin-interacting protein ICAT', 200323),
(260924, '0040729', NULL, NULL, 70, NULL, 'beta-catenin-interacting protein ICAT', 200323),
(260925, '0036512', NULL, NULL, 269, NULL, 'Cryptochrome/photolyase FAD-binding domain', 200324),
(260926, '0044199', NULL, NULL, 300, NULL, 'Cryptochrome/photolyase FAD-binding domain', 200324),
(260927, '0048653', NULL, NULL, 271, NULL, 'Cryptochrome/photolyase FAD-binding domain', 200324),
(260928, '0039138', NULL, NULL, 245, NULL, 'Cryptochrome/photolyase FAD-binding domain', 200324),
(260929, '0041500', NULL, NULL, 279, NULL, 'Cryptochrome/photolyase FAD-binding domain', 200324),
(260930, '0042209', NULL, NULL, 290, NULL, 'CoaB-like', 200325),
(260931, '0049815', NULL, NULL, 223, NULL, 'CoaB-like', 200325),
(260932, '0049339', NULL, NULL, 158, NULL, 'Trimeric adhesin', 200326),
(260933, '0036938', NULL, NULL, 60, NULL, 'DsbC/DsbG N-terminal domain-like', 200327),
(260934, '0043846', NULL, NULL, 59, NULL, 'DsbC/DsbG N-terminal domain-like', 200327),
(260935, '0044620', NULL, NULL, 60, NULL, 'DsbC/DsbG N-terminal domain-like', 200327),
(260936, '0050883', NULL, NULL, 149, NULL, 'DR1885-like metal-binding protein', 200328),
(260937, '0035978', NULL, NULL, 105, NULL, 'Starch-binding domain-like', 200329),
(260938, '0054200', NULL, NULL, 102, NULL, 'Starch-binding domain-like', 200329),
(260939, '0036004', NULL, NULL, 105, NULL, 'Starch-binding domain-like', 200329),
(260940, '0048380', NULL, NULL, 87, NULL, 'Starch-binding domain-like', 200329),
(260941, '0036196', NULL, NULL, 106, NULL, 'Starch-binding domain-like', 200329),
(260942, '0042222', NULL, NULL, 104, NULL, 'Starch-binding domain-like', 200329),
(260943, '0036255', NULL, NULL, 103, NULL, 'Starch-binding domain-like', 200329),
(260944, '0053916', NULL, NULL, 131, NULL, 'Starch-binding domain-like', 200329),
(260945, '0036120', NULL, NULL, 99, NULL, 'Starch-binding domain-like', 200329),
(260946, '0047883', NULL, NULL, 108, NULL, 'Starch-binding domain-like', 200329),
(260947, '0054193', NULL, NULL, 114, NULL, 'Starch-binding domain-like', 200329),
(260948, '0042793', NULL, NULL, 110, NULL, 'Starch-binding domain-like', 200329),
(260949, '0054194', NULL, NULL, 103, NULL, 'Starch-binding domain-like', 200329),
(260950, '0054191', NULL, NULL, 107, NULL, 'Starch-binding domain-like', 200329),
(260951, '0054192', NULL, NULL, 112, NULL, 'Starch-binding domain-like', 200329),
(260952, '0048263', NULL, NULL, 470, NULL, 'DPP6 N-terminal domain-like', 200330),
(260953, '0050946', NULL, NULL, 465, NULL, 'DPP6 N-terminal domain-like', 200330),
(260954, '0048632', NULL, NULL, 470, NULL, 'DPP6 N-terminal domain-like', 200330),
(260955, '0042426', NULL, NULL, 91, NULL, 'Hypothetical protein SAV1430', 200331),
(260956, '0047140', NULL, NULL, 312, NULL, 'FMN-linked oxidoreductases', 200332);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(260957, '0049587', NULL, NULL, 349, NULL, 'FMN-linked oxidoreductases', 200332),
(260958, '0047242', NULL, NULL, 353, NULL, 'FMN-linked oxidoreductases', 200332),
(260959, '0038308', NULL, NULL, 374, NULL, 'FMN-linked oxidoreductases', 200332),
(260960, '0038429', NULL, NULL, 364, NULL, 'FMN-linked oxidoreductases', 200332),
(260961, '0051489', NULL, NULL, 337, NULL, 'FMN-linked oxidoreductases', 200332),
(260962, '0050135', NULL, NULL, 310, NULL, 'FMN-linked oxidoreductases', 200332),
(260963, '0052610', NULL, NULL, 231, NULL, 'FMN-linked oxidoreductases', 200332),
(260964, '0042611', NULL, NULL, 380, NULL, 'FMN-linked oxidoreductases', 200332),
(260965, '0049708', NULL, NULL, 409, NULL, 'FMN-linked oxidoreductases', 200332),
(260966, '0042110', NULL, NULL, 329, NULL, 'FMN-linked oxidoreductases', 200332),
(260967, '0046599', NULL, NULL, 311, NULL, 'FMN-linked oxidoreductases', 200332),
(260968, '0047026', NULL, NULL, 359, NULL, 'FMN-linked oxidoreductases', 200332),
(260969, '0052481', NULL, NULL, 311, NULL, 'FMN-linked oxidoreductases', 200332),
(260970, '0048661', NULL, NULL, 399, NULL, 'FMN-linked oxidoreductases', 200332),
(260971, '0036457', NULL, NULL, 340, NULL, 'FMN-linked oxidoreductases', 200332),
(260972, '0036258', NULL, NULL, 367, NULL, 'FMN-linked oxidoreductases', 200332),
(260973, '0051899', NULL, NULL, 312, NULL, 'FMN-linked oxidoreductases', 200332),
(260974, '0050003', NULL, NULL, 359, NULL, 'FMN-linked oxidoreductases', 200332),
(260975, '0050201', NULL, NULL, 229, NULL, 'FMN-linked oxidoreductases', 200332),
(260976, '0038972', NULL, NULL, 364, NULL, 'FMN-linked oxidoreductases', 200332),
(260977, '0044803', NULL, NULL, 361, NULL, 'FMN-linked oxidoreductases', 200332),
(260978, '0047996', NULL, NULL, 801, NULL, 'FMN-linked oxidoreductases', 200332),
(260979, '0048029', NULL, NULL, 414, NULL, 'FMN-linked oxidoreductases', 200332),
(260980, '0044760', NULL, NULL, 305, NULL, 'FMN-linked oxidoreductases', 200332),
(260981, '0046501', NULL, NULL, 771, NULL, 'FMN-linked oxidoreductases', 200332),
(260982, '0046721', NULL, NULL, 336, NULL, 'FMN-linked oxidoreductases', 200332),
(260983, '0042445', NULL, NULL, 330, NULL, 'FMN-linked oxidoreductases', 200332),
(260984, '0050659', NULL, NULL, 61, NULL, 'RelB-like', 200333),
(260985, '0054787', NULL, NULL, 127, NULL, 'Ribosomal protein L22', 200334),
(260986, '0035758', NULL, NULL, 110, NULL, 'Ribosomal protein L22', 200334),
(260987, '0054004', NULL, NULL, 106, NULL, 'Ribosomal protein L22', 200334),
(260988, '0037543', NULL, NULL, 150, NULL, 'Ribosomal protein L22', 200334),
(260989, '0054455', NULL, NULL, 153, NULL, 'Gam-like', 200335),
(260990, '0037550', NULL, NULL, 143, NULL, 'Ribosomal protein L32e', 200336),
(260991, '0038461', NULL, NULL, 103, NULL, 'Tubulin chaperone cofactor A', 200337),
(260992, '0042971', NULL, NULL, 102, NULL, 'Tubulin chaperone cofactor A', 200337),
(260993, '0035324', NULL, NULL, 67, NULL, 'Allophycocyanin linker chain (domain)', 200338),
(260994, '0038025', NULL, NULL, 137, NULL, 'Fertilization protein', 200339),
(260995, '0053178', NULL, NULL, 131, NULL, 'Fertilization protein', 200339),
(260996, '0045536', NULL, NULL, 122, NULL, 'Fertilization protein', 200339),
(260997, '0039877', NULL, NULL, 366, NULL, 'Glycerol-3-phosphate (1)-acyltransferase', 200340),
(260998, '0054358', NULL, NULL, 123, NULL, 'YdhG-like', 200341),
(260999, '0054106', NULL, NULL, 121, NULL, 'YdhG-like', 200341),
(261000, '0043399', NULL, NULL, 218, NULL, 'Chlorophyll a-b binding protein', 200342),
(261001, '0039957', NULL, NULL, 133, NULL, 'Small protein B (SmpB)', 200343),
(261002, '0039317', NULL, NULL, 123, NULL, 'Small protein B (SmpB)', 200343),
(261003, '0037100', NULL, NULL, 114, NULL, 'Elongation factor TFIIS domain 2', 200344),
(261004, '0040915', NULL, NULL, 97, NULL, 'Microbial ribonucleases', 200345),
(261005, '0037789', NULL, NULL, 106, NULL, 'Microbial ribonucleases', 200345),
(261006, '0034843', NULL, NULL, 108, NULL, 'Microbial ribonucleases', 200345),
(261007, '0038822', NULL, NULL, 104, NULL, 'Microbial ribonucleases', 200345); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(261008, '0046308', NULL, NULL, 150, NULL, 'Microbial ribonucleases', 200345),
(261009, '0042517', NULL, NULL, 96, NULL, 'Microbial ribonucleases', 200345),
(261010, '0049216', NULL, NULL, 105, NULL, 'Microbial ribonucleases', 200345),
(261011, '0038193', NULL, NULL, 109, NULL, 'Microbial ribonucleases', 200345),
(261012, '0043375', NULL, NULL, 114, NULL, 'Microbial ribonucleases', 200345),
(261013, '0045433', NULL, NULL, 108, NULL, 'Microbial ribonucleases', 200345),
(261014, '0049104', NULL, NULL, 136, NULL, 'Microbial ribonucleases', 200345),
(261015, '0043224', NULL, NULL, 96, NULL, 'Microbial ribonucleases', 200345),
(261016, '0045811', NULL, NULL, 149, NULL, 'Microbial ribonucleases', 200345),
(261017, '0041453', NULL, NULL, 104, NULL, 'Group V grass pollen allergen', 200346),
(261018, '0040372', NULL, NULL, 102, NULL, 'Group V grass pollen allergen', 200346),
(261019, '0048252', NULL, NULL, 138, NULL, 'Translation proteins', 200347),
(261020, '0053860', NULL, NULL, 87, NULL, 'Translation proteins', 200347),
(261021, '0054773', NULL, NULL, 205, NULL, 'Translation proteins', 200347),
(261022, '0054177', NULL, NULL, 205, NULL, 'Translation proteins', 200347),
(261023, '0052053', NULL, NULL, 121, NULL, 'Translation proteins', 200347),
(261024, '0051646', NULL, NULL, 92, NULL, 'Translation proteins', 200347),
(261025, '0051767', NULL, NULL, 114, NULL, 'Translation proteins', 200347),
(261026, '0037974', NULL, NULL, 101, NULL, 'Translation proteins', 200347),
(261027, '0037975', NULL, NULL, 128, NULL, 'Translation proteins', 200347),
(261028, '0046538', NULL, NULL, 92, NULL, 'Translation proteins', 200347),
(261029, '0037530', NULL, NULL, 337, NULL, 'Translation proteins', 200347),
(261030, '0039670', NULL, NULL, 95, NULL, 'Translation proteins', 200347),
(261031, '0040119', NULL, NULL, 121, NULL, 'Translation proteins', 200347),
(261032, '0049446', NULL, NULL, 87, NULL, 'Translation proteins', 200347),
(261033, '0049110', NULL, NULL, 95, NULL, 'Translation proteins', 200347),
(261034, '0052543', NULL, NULL, 73, NULL, 'Translation proteins', 200347),
(261035, '0050420', NULL, NULL, 92, NULL, 'Translation proteins', 200347),
(261036, '0053993', NULL, NULL, 209, NULL, 'Translation proteins', 200347),
(261037, '0036237', NULL, NULL, 98, NULL, 'Translation proteins', 200347),
(261038, '0050448', NULL, NULL, 103, NULL, 'Translation proteins', 200347),
(261039, '0037405', NULL, NULL, 94, NULL, 'Translation proteins', 200347),
(261040, '0037246', NULL, NULL, 100, NULL, 'Translation proteins', 200347),
(261041, '0050421', NULL, NULL, 79, NULL, 'Translation proteins', 200347),
(261042, '0049290', NULL, NULL, 118, NULL, 'Translation proteins', 200347),
(261043, '0052567', NULL, NULL, 89, NULL, 'Translation proteins', 200347),
(261044, '0036231', NULL, NULL, 99, NULL, 'Translation proteins', 200347),
(261045, '0045034', NULL, NULL, 91, NULL, 'Translation proteins', 200347),
(261046, '0044729', NULL, NULL, 27, NULL, 'PetN subunit of the cytochrome b6f complex', 200348),
(261047, '0042672', NULL, NULL, 31, NULL, 'PetN subunit of the cytochrome b6f complex', 200348),
(261048, '0053995', NULL, NULL, 177, NULL, 'RL5-like', 200349),
(261049, '0054775', NULL, NULL, 177, NULL, 'RL5-like', 200349),
(261050, '0039125', NULL, NULL, 179, NULL, 'RL5-like', 200349),
(261051, '0054561', NULL, NULL, 133, NULL, 'RL5-like', 200349),
(261052, '0040968', NULL, NULL, 180, NULL, 'RL5-like', 200349),
(261053, '0054294', NULL, NULL, 141, NULL, 'RL5-like', 200349),
(261054, '0054371', NULL, NULL, 141, NULL, 'RL5-like', 200349),
(261055, '0037532', NULL, NULL, 165, NULL, 'RL5-like', 200349),
(261056, '0054304', NULL, NULL, 142, NULL, 'RL5-like', 200349),
(261057, '0053709', NULL, NULL, 447, NULL, 'Photosystem II antenna protein-like', 200350),
(261058, '0053708', NULL, NULL, 488, NULL, 'Photosystem II antenna protein-like', 200350),
(261059, '0042276', NULL, NULL, 162, NULL, 'R1 subunit of ribonucleotide reductase, N-terminal domain', 200351),
(261060, '0049204', NULL, NULL, 212, NULL, 'R1 subunit of ribonucleotide reductase, N-terminal domain', 200351);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(261061, '0039995', NULL, NULL, 108, NULL, 'DNA-binding C-terminal domain of the transcription factor MotA', 200352),
(261062, '0054121', NULL, NULL, 113, NULL, 'Lp2179-like', 200353),
(261063, '0051108', NULL, NULL, 80, NULL, 'Variant surface glycoprotein MITAT 1.2, VSG 221, C-terminal domain', 200354),
(261064, '0051633', NULL, NULL, 156, NULL, 'MAL13P1.257-like', 200355),
(261065, '0036064', NULL, NULL, 85, NULL, 'DLC', 200356),
(261066, '0043208', NULL, NULL, 94, NULL, 'DLC', 200356),
(261067, '0053547', NULL, NULL, 90, NULL, 'Troponin coil-coiled subunits', 200357),
(261068, '0053446', NULL, NULL, 75, NULL, 'Troponin coil-coiled subunits', 200357),
(261069, '0053447', NULL, NULL, 152, NULL, 'Troponin coil-coiled subunits', 200357),
(261070, '0053546', NULL, NULL, 141, NULL, 'Troponin coil-coiled subunits', 200357),
(261071, '0053392', NULL, NULL, 47, NULL, 'Chicken cartilage matrix protein', 200358),
(261072, '0046394', NULL, NULL, 198, NULL, 'Outer arm dynein light chain 1', 200359),
(261073, '0054309', NULL, NULL, 270, NULL, 'TTHA0583/YokD-like', 200360),
(261074, '0044664', NULL, NULL, 193, NULL, 'TTHA0583/YokD-like', 200360),
(261075, '0042205', NULL, NULL, 189, NULL, 'Adhesin YadA, collagen-binding domain', 200361),
(261076, '0048086', NULL, NULL, 206, NULL, 'Cystine-knot cytokines', 200362),
(261077, '0050684', NULL, NULL, 96, NULL, 'Cystine-knot cytokines', 200362),
(261078, '0050683', NULL, NULL, 100, NULL, 'Cystine-knot cytokines', 200362),
(261079, '0035632', NULL, NULL, 109, NULL, 'Cystine-knot cytokines', 200362),
(261080, '0038527', NULL, NULL, 127, NULL, 'Cystine-knot cytokines', 200362),
(261081, '0037644', NULL, NULL, 107, NULL, 'Cystine-knot cytokines', 200362),
(261082, '0035633', NULL, NULL, 108, NULL, 'Cystine-knot cytokines', 200362),
(261083, '0037865', NULL, NULL, 100, NULL, 'Cystine-knot cytokines', 200362),
(261084, '0037154', NULL, NULL, 104, NULL, 'Cystine-knot cytokines', 200362),
(261085, '0045009', NULL, NULL, 114, NULL, 'Cystine-knot cytokines', 200362),
(261086, '0038531', NULL, NULL, 85, NULL, 'Cystine-knot cytokines', 200362),
(261087, '0040782', NULL, NULL, 112, NULL, 'Cystine-knot cytokines', 200362),
(261088, '0038532', NULL, NULL, 110, NULL, 'Cystine-knot cytokines', 200362),
(261089, '0039692', NULL, NULL, 121, NULL, 'Cystine-knot cytokines', 200362),
(261090, '0042265', NULL, NULL, 96, NULL, 'Cystine-knot cytokines', 200362),
(261091, '0035043', NULL, NULL, 97, NULL, 'Cystine-knot cytokines', 200362),
(261092, '0046809', NULL, NULL, 95, NULL, 'Cystine-knot cytokines', 200362),
(261093, '0047829', NULL, NULL, 112, NULL, 'Cystine-knot cytokines', 200362),
(261094, '0049623', NULL, NULL, 112, NULL, 'Cystine-knot cytokines', 200362),
(261095, '0045796', NULL, NULL, 175, NULL, 'Cystine-knot cytokines', 200362),
(261096, '0041636', NULL, NULL, 115, NULL, 'Cystine-knot cytokines', 200362),
(261097, '0045468', NULL, NULL, 112, NULL, 'Cystine-knot cytokines', 200362),
(261098, '0045943', NULL, NULL, 107, NULL, 'Cystine-knot cytokines', 200362),
(261099, '0054710', NULL, NULL, 131, NULL, 'Riboflavin kinase-like', 200363),
(261100, '0041165', NULL, NULL, 154, NULL, 'Riboflavin kinase-like', 200363),
(261101, '0054906', NULL, NULL, 131, NULL, 'Riboflavin kinase-like', 200363),
(261102, '0048215', NULL, NULL, 130, NULL, 'Riboflavin kinase-like', 200363),
(261103, '0042150', NULL, NULL, 147, NULL, 'Riboflavin kinase-like', 200363),
(261104, '0053824', NULL, NULL, 63, NULL, 'PRP4-like', 200364),
(261105, '0053467', NULL, NULL, 55, NULL, 'Tropomyosin', 200365),
(261106, '0053486', NULL, NULL, 37, NULL, 'Tropomyosin', 200365),
(261107, '0053440', NULL, NULL, 79, NULL, 'Tropomyosin', 200365),
(261108, '0053395', NULL, NULL, 284, NULL, 'Tropomyosin', 200365),
(261109, '0053560', NULL, NULL, 122, NULL, 'Tropomyosin', 200365),
(261110, '0050395', NULL, NULL, 192, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261111, '0052450', NULL, NULL, 229, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261112, '0050394', NULL, NULL, 365, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(261113, '0039738', NULL, NULL, 188, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261114, '0051963', NULL, NULL, 203, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261115, '0041167', NULL, NULL, 227, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261116, '0044439', NULL, NULL, 362, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261117, '0039059', NULL, NULL, 191, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261118, '0039197', NULL, NULL, 338, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261119, '0039198', NULL, NULL, 192, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261120, '0048897', NULL, NULL, 183, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261121, '0049028', NULL, NULL, 407, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261122, '0048896', NULL, NULL, 180, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261123, '0040413', NULL, NULL, 230, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261124, '0041403', NULL, NULL, 192, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261125, '0042410', NULL, NULL, 174, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261126, '0044478', NULL, NULL, 186, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261127, '0049968', NULL, NULL, 198, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261128, '0040412', NULL, NULL, 415, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261129, '0041402', NULL, NULL, 362, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261130, '0042411', NULL, NULL, 228, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261131, '0045129', NULL, NULL, 186, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261132, '0052103', NULL, NULL, 188, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261133, '0049136', NULL, NULL, 336, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261134, '0045130', NULL, NULL, 204, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261135, '0049135', NULL, NULL, 190, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261136, '0051271', NULL, NULL, 208, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261137, '0052449', NULL, NULL, 184, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261138, '0052104', NULL, NULL, 183, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261139, '0045857', NULL, NULL, 257, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261140, '0042102', NULL, NULL, 192, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261141, '0042965', NULL, NULL, 204, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261142, '0045858', NULL, NULL, 447, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261143, '0042101', NULL, NULL, 181, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261144, '0036596', NULL, NULL, 394, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261145, '0042045', NULL, NULL, 196, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261146, '0042044', NULL, NULL, 178, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261147, '0044440', NULL, NULL, 186, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261148, '0044101', NULL, NULL, 335, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261149, '0051270', NULL, NULL, 195, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261150, '0044102', NULL, NULL, 197, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261151, '0042761', NULL, NULL, 195, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261152, '0042487', NULL, NULL, 172, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(261153, '0042762', NULL, NULL, 331, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261154, '0042488', NULL, NULL, 196, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', 200366),
(261155, '0051781', NULL, NULL, 170, NULL, 'FucI/AraA C-terminal domain-like', 200367),
(261156, '0046863', NULL, NULL, 236, NULL, 'FucI/AraA C-terminal domain-like', 200367),
(261157, '0039469', NULL, NULL, 100, NULL, 'LCCL domain', 200368),
(261158, '0054118', NULL, NULL, 166, NULL, 'BH3703-like', 200369),
(261159, '0054848', NULL, NULL, 82, NULL, 'Cation efflux protein cytoplasmic domain-like', 200370),
(261160, '0054605', NULL, NULL, 82, NULL, 'Cation efflux protein cytoplasmic domain-like', 200370),
(261161, '0053808', NULL, NULL, 83, NULL, 'SMR domain-like', 200371),
(261162, '0050260', NULL, NULL, 189, NULL, 'ITPase-like', 200372),
(261163, '0035385', NULL, NULL, 184, NULL, 'ITPase-like', 200372),
(261164, '0052132', NULL, NULL, 194, NULL, 'ITPase-like', 200372),
(261165, '0039945', NULL, NULL, 209, NULL, 'ITPase-like', 200372),
(261166, '0049799', NULL, NULL, 170, NULL, 'ITPase-like', 200372),
(261167, '0049765', NULL, NULL, 169, NULL, 'ITPase-like', 200372),
(261168, '0044652', NULL, NULL, 186, NULL, 'ITPase-like', 200372),
(261169, '0046645', NULL, NULL, 185, NULL, 'ITPase-like', 200372),
(261170, '0051656', NULL, NULL, 173, NULL, 'ITPase-like', 200372),
(261171, '0051798', NULL, NULL, 201, NULL, 'ITPase-like', 200372),
(261172, '0053554', NULL, NULL, 81, NULL, 'MPN010-like', 200373),
(261173, '0044294', NULL, NULL, 156, NULL, 'Obg GTP-binding protein N-terminal domain', 200374),
(261174, '0040587', NULL, NULL, 157, NULL, 'Obg GTP-binding protein N-terminal domain', 200374),
(261175, '0052333', NULL, NULL, 299, NULL, 'Ferritin-like', 200375),
(261176, '0054357', NULL, NULL, 222, NULL, 'Ferritin-like', 200375),
(261177, '0040908', NULL, NULL, 171, NULL, 'Ferritin-like', 200375),
(261178, '0054155', NULL, NULL, 199, NULL, 'Ferritin-like', 200375),
(261179, '0048157', NULL, NULL, 383, NULL, 'Ferritin-like', 200375),
(261180, '0048355', NULL, NULL, 169, NULL, 'Ferritin-like', 200375),
(261181, '0047582', NULL, NULL, 160, NULL, 'Ferritin-like', 200375),
(261182, '0048397', NULL, NULL, 133, NULL, 'Ferritin-like', 200375),
(261183, '0043064', NULL, NULL, 171, NULL, 'Ferritin-like', 200375),
(261184, '0052977', NULL, NULL, 160, NULL, 'Ferritin-like', 200375),
(261185, '0039557', NULL, NULL, 144, NULL, 'Ferritin-like', 200375),
(261186, '0052811', NULL, NULL, 158, NULL, 'Ferritin-like', 200375),
(261187, '0039558', NULL, NULL, 142, NULL, 'Ferritin-like', 200375),
(261188, '0051644', NULL, NULL, 168, NULL, 'Ferritin-like', 200375),
(261189, '0047148', NULL, NULL, 180, NULL, 'Ferritin-like', 200375),
(261190, '0046379', NULL, NULL, 159, NULL, 'Ferritin-like', 200375),
(261191, '0048950', NULL, NULL, 150, NULL, 'Ferritin-like', 200375),
(261192, '0047502', NULL, NULL, 141, NULL, 'Ferritin-like', 200375),
(261193, '0048201', NULL, NULL, 180, NULL, 'Ferritin-like', 200375),
(261194, '0043194', NULL, NULL, 171, NULL, 'Ferritin-like', 200375),
(261195, '0054123', NULL, NULL, 142, NULL, 'Ferritin-like', 200375),
(261196, '0045770', NULL, NULL, 345, NULL, 'Ferritin-like', 200375),
(261197, '0047593', NULL, NULL, 146, NULL, 'Ferritin-like', 200375),
(261198, '0049497', NULL, NULL, 317, NULL, 'Ferritin-like', 200375),
(261199, '0050162', NULL, NULL, 163, NULL, 'Ferritin-like', 200375),
(261200, '0049090', NULL, NULL, 283, NULL, 'Ferritin-like', 200375),
(261201, '0051415', NULL, NULL, 166, NULL, 'Ferritin-like', 200375),
(261202, '0051533', NULL, NULL, 267, NULL, 'Ferritin-like', 200375),
(261203, '0052941', NULL, NULL, 159, NULL, 'Ferritin-like', 200375),
(261204, '0051609', NULL, NULL, 91, NULL, 'Ferritin-like', 200375),
(261205, '0035460', NULL, NULL, 158, NULL, 'Ferritin-like', 200375),
(261206, '0048645', NULL, NULL, 244, NULL, 'Ferritin-like', 200375),
(261207, '0048525', NULL, NULL, 162, NULL, 'Ferritin-like', 200375),
(261208, '0052156', NULL, NULL, 172, NULL, 'Ferritin-like', 200375),
(261209, '0036622', NULL, NULL, 147, NULL, 'Ferritin-like', 200375);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(261210, '0050978', NULL, NULL, 340, NULL, 'Ferritin-like', 200375),
(261211, '0051506', NULL, NULL, 191, NULL, 'Ferritin-like', 200375),
(261212, '0051505', NULL, NULL, 200, NULL, 'Ferritin-like', 200375),
(261213, '0052712', NULL, NULL, 154, NULL, 'Ferritin-like', 200375),
(261214, '0050214', NULL, NULL, 149, NULL, 'Ferritin-like', 200375),
(261215, '0037194', NULL, NULL, 161, NULL, 'Ferritin-like', 200375),
(261216, '0047609', NULL, NULL, 334, NULL, 'Ferritin-like', 200375),
(261217, '0052707', NULL, NULL, 151, NULL, 'Ferritin-like', 200375),
(261218, '0049426', NULL, NULL, 323, NULL, 'Ferritin-like', 200375),
(261219, '0054372', NULL, NULL, 152, NULL, 'Ferritin-like', 200375),
(261220, '0049309', NULL, NULL, 162, NULL, 'Ferritin-like', 200375),
(261221, '0044579', NULL, NULL, 282, NULL, 'Ferritin-like', 200375),
(261222, '0047097', NULL, NULL, 288, NULL, 'Ferritin-like', 200375),
(261223, '0051154', NULL, NULL, 170, NULL, 'Ferritin-like', 200375),
(261224, '0048222', NULL, NULL, 512, NULL, 'Ferritin-like', 200375),
(261225, '0049510', NULL, NULL, 491, NULL, 'Ferritin-like', 200375),
(261226, '0040938', NULL, NULL, 510, NULL, 'Ferritin-like', 200375),
(261227, '0048264', NULL, NULL, 149, NULL, 'Ferritin-like', 200375),
(261228, '0044868', NULL, NULL, 164, NULL, 'Ferritin-like', 200375),
(261229, '0045957', NULL, NULL, 173, NULL, 'Ferritin-like', 200375),
(261230, '0041078', NULL, NULL, 384, NULL, 'Ferritin-like', 200375),
(261231, '0051629', NULL, NULL, 171, NULL, 'Ferritin-like', 200375),
(261232, '0049511', NULL, NULL, 322, NULL, 'Ferritin-like', 200375),
(261233, '0049951', NULL, NULL, 151, NULL, 'Ferritin-like', 200375),
(261234, '0040226', NULL, NULL, 165, NULL, 'Ferritin-like', 200375),
(261235, '0047612', NULL, NULL, 266, NULL, 'Ferritin-like', 200375),
(261236, '0048625', NULL, NULL, 328, NULL, 'Ferritin-like', 200375),
(261237, '0054054', NULL, NULL, 152, NULL, 'PH1570-like', 200376),
(261238, '0054045', NULL, NULL, 66, NULL, 'YcfA/nrd intein domain', 200377),
(261239, '0036551', NULL, NULL, 79, NULL, 'YcfA/nrd intein domain', 200377),
(261240, '0050569', NULL, NULL, 70, NULL, 'YcfA/nrd intein domain', 200377),
(261241, '0054485', NULL, NULL, 137, NULL, 'Ribosomal protein L16p/L10e', 200378),
(261242, '0054781', NULL, NULL, 136, NULL, 'Ribosomal protein L16p/L10e', 200378),
(261243, '0047597', NULL, NULL, 167, NULL, 'Ribosomal protein L16p/L10e', 200378),
(261244, '0050637', NULL, NULL, 141, NULL, 'Ribosomal protein L16p/L10e', 200378),
(261245, '0037534', NULL, NULL, 157, NULL, 'Ribosomal protein L16p/L10e', 200378),
(261246, '0052973', NULL, NULL, 131, NULL, 'Ribosomal protein L16p/L10e', 200378),
(261247, '0043512', NULL, NULL, 171, NULL, 'Ribosomal protein L16p/L10e', 200378),
(261248, '0036905', NULL, NULL, 91, NULL, 'Chorismate mutase II', 200379),
(261249, '0052994', NULL, NULL, 94, NULL, 'Chorismate mutase II', 200379),
(261250, '0045614', NULL, NULL, 256, NULL, 'Chorismate mutase II', 200379),
(261251, '0051272', NULL, NULL, 74, NULL, 'Chorismate mutase II', 200379),
(261252, '0052958', NULL, NULL, 93, NULL, 'Chorismate mutase II', 200379),
(261253, '0052736', NULL, NULL, 165, NULL, 'Chorismate mutase II', 200379),
(261254, '0052401', NULL, NULL, 80, NULL, 'Chorismate mutase II', 200379),
(261255, '0046764', NULL, NULL, 173, NULL, 'Smac/diablo', 200380),
(261256, '0037967', NULL, NULL, 157, NULL, 'Smac/diablo', 200380),
(261257, '0054840', NULL, NULL, 91, NULL, 'MTH889-like', 200381),
(261258, '0054663', NULL, NULL, 93, NULL, 'MTH889-like', 200381),
(261259, '0049111', NULL, NULL, 105, NULL, 'Avirulence protein AvrPto', 200382),
(261260, '0052258', NULL, NULL, 83, NULL, 'MIT domain-like', 200383),
(261261, '0042666', NULL, NULL, 212, NULL, 'Transmembrane di-heme cytochromes', 200384),
(261262, '0035490', NULL, NULL, 260, NULL, 'Transmembrane di-heme cytochromes', 200384),
(261263, '0047858', NULL, NULL, 216, NULL, 'Transmembrane di-heme cytochromes', 200384),
(261264, '0037290', NULL, NULL, 261, NULL, 'Transmembrane di-heme cytochromes', 200384),
(261265, '0035453', NULL, NULL, 260, NULL, 'Transmembrane di-heme cytochromes', 200384);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(261266, '0044720', NULL, NULL, 202, NULL, 'Transmembrane di-heme cytochromes', 200384),
(261267, '0039459', NULL, NULL, 58, NULL, 'Photosystem I reaction center subunit X, PsaK', 200385),
(261268, '0051212', NULL, NULL, 151, NULL, 'GUN4-like', 200386),
(261269, '0051488', NULL, NULL, 148, NULL, 'GUN4-like', 200386),
(261270, '0043568', NULL, NULL, 112, NULL, 'Hypothetical protein YhaI', 200387),
(261271, '0044041', NULL, NULL, 189, NULL, 'SSo0622-like', 200388),
(261272, '0045511', NULL, NULL, 94, NULL, 'FKBP12-rapamycin-binding domain of FKBP-rapamycin-associated protein (FRAP)', 200389),
(261273, '0052577', NULL, NULL, 92, NULL, 'Glu-tRNAGln amidotransferase C subunit', 200390),
(261274, '0048729', NULL, NULL, 68, NULL, 'Bowman-Birk inhibitor, BBI', 200391),
(261275, '0049581', NULL, NULL, 62, NULL, 'Bowman-Birk inhibitor, BBI', 200391),
(261276, '0054641', NULL, NULL, 57, NULL, 'Bowman-Birk inhibitor, BBI', 200391),
(261277, '0047111', NULL, NULL, 57, NULL, 'Bowman-Birk inhibitor, BBI', 200391),
(261278, '0048233', NULL, NULL, 62, NULL, 'Bowman-Birk inhibitor, BBI', 200391),
(261279, '0046067', NULL, NULL, 59, NULL, 'Bowman-Birk inhibitor, BBI', 200391),
(261280, '0046320', NULL, NULL, 72, NULL, 'Bowman-Birk inhibitor, BBI', 200391),
(261281, '0053938', NULL, NULL, 56, NULL, 'Bowman-Birk inhibitor, BBI', 200391),
(261282, '0046066', NULL, NULL, 61, NULL, 'Bowman-Birk inhibitor, BBI', 200391),
(261283, '0048766', NULL, NULL, 61, NULL, 'Bowman-Birk inhibitor, BBI', 200391),
(261284, '0051950', NULL, NULL, 71, NULL, 'Bowman-Birk inhibitor, BBI', 200391),
(261285, '0046644', NULL, NULL, 214, NULL, 'Beta-D-glucan exohydrolase, C-terminal domain', 200392),
(261286, '0044030', NULL, NULL, 41, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261287, '0054594', NULL, NULL, 100, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261288, '0036002', NULL, NULL, 89, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261289, '0045122', NULL, NULL, 30, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261290, '0047389', NULL, NULL, 48, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261291, '0043072', NULL, NULL, 86, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261292, '0052461', NULL, NULL, 35, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261293, '0043073', NULL, NULL, 76, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261294, '0052462', NULL, NULL, 33, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261295, '0048881', NULL, NULL, 46, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261296, '0050846', NULL, NULL, 32, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261297, '0050845', NULL, NULL, 27, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261298, '0038533', NULL, NULL, 74, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261299, '0051139', NULL, NULL, 49, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261300, '0040769', NULL, NULL, 39, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261301, '0040768', NULL, NULL, 32, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261302, '0040006', NULL, NULL, 99, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261303, '0036190', NULL, NULL, 31, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261304, '0042543', NULL, NULL, 80, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261305, '0043116', NULL, NULL, 74, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261306, '0050855', NULL, NULL, 34, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261307, '0050854', NULL, NULL, 34, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261308, '0051943', NULL, NULL, 67, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393);
INSERT INTO "PUBLIC"."MODEL" VALUES
(261309, '0050856', NULL, NULL, 34, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261310, '0050851', NULL, NULL, 45, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261311, '0050850', NULL, NULL, 32, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261312, '0050853', NULL, NULL, 29, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261313, '0050852', NULL, NULL, 31, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261314, '0039333', NULL, NULL, 33, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261315, '0039332', NULL, NULL, 30, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261316, '0036189', NULL, NULL, 28, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261317, '0050848', NULL, NULL, 35, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261318, '0050847', NULL, NULL, 31, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261319, '0036583', NULL, NULL, 84, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261320, '0050849', NULL, NULL, 37, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261321, '0045386', NULL, NULL, 103, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261322, '0052191', NULL, NULL, 33, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261323, '0052192', NULL, NULL, 36, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261324, '0035409', NULL, NULL, 65, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261325, '0035408', NULL, NULL, 35, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261326, '0050585', NULL, NULL, 32, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261327, '0041629', NULL, NULL, 31, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261328, '0052407', NULL, NULL, 25, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261329, '0052408', NULL, NULL, 32, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261330, '0052405', NULL, NULL, 35, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261331, '0052406', NULL, NULL, 42, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261332, '0052403', NULL, NULL, 32, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261333, '0050586', NULL, NULL, 41, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261334, '0052404', NULL, NULL, 25, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261335, '0052126', NULL, NULL, 56, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261336, '0037546', NULL, NULL, 53, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261337, '0042049', NULL, NULL, 38, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261338, '0041630', NULL, NULL, 35, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261339, '0041473', NULL, NULL, 48, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261340, '0053982', NULL, NULL, 33, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261341, '0049246', NULL, NULL, 33, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261342, '0049245', NULL, NULL, 31, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261343, '0052418', NULL, NULL, 45, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261344, '0052417', NULL, NULL, 32, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261345, '0050752', NULL, NULL, 27, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261346, '0050751', NULL, NULL, 32, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261347, '0050907', NULL, NULL, 41, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261348, '0039950', NULL, NULL, 44, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(261349, '0043947', NULL, NULL, 44, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261350, '0040677', NULL, NULL, 65, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261351, '0037929', NULL, NULL, 35, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261352, '0045290', NULL, NULL, 66, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261353, '0037928', NULL, NULL, 35, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261354, '0052306', NULL, NULL, 30, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261355, '0052307', NULL, NULL, 33, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261356, '0034932', NULL, NULL, 32, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261357, '0049092', NULL, NULL, 46, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261358, '0036273', NULL, NULL, 36, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261359, '0040440', NULL, NULL, 71, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261360, '0038173', NULL, NULL, 46, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261361, '0045056', NULL, NULL, 36, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261362, '0045730', NULL, NULL, 28, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261363, '0044640', NULL, NULL, 41, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261364, '0044641', NULL, NULL, 40, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261365, '0050811', NULL, NULL, 27, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261366, '0052319', NULL, NULL, 31, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261367, '0050810', NULL, NULL, 32, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261368, '0053805', NULL, NULL, 86, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261369, '0050813', NULL, NULL, 30, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261370, '0052317', NULL, NULL, 32, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261371, '0050812', NULL, NULL, 29, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261372, '0052318', NULL, NULL, 35, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261373, '0038687', NULL, NULL, 80, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261374, '0052315', NULL, NULL, 31, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261375, '0052316', NULL, NULL, 27, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261376, '0045905', NULL, NULL, 43, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261377, '0045906', NULL, NULL, 49, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261378, '0052202', NULL, NULL, 31, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261379, '0036936', NULL, NULL, 56, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261380, '0052320', NULL, NULL, 25, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261381, '0034917', NULL, NULL, 78, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261382, '0045592', NULL, NULL, 66, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261383, '0037624', NULL, NULL, 60, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261384, '0053658', NULL, NULL, 96, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261385, '0050787', NULL, NULL, 32, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261386, '0052203', NULL, NULL, 35, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261387, '0052445', NULL, NULL, 31, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261388, '0050786', NULL, NULL, 35, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(261389, '0052446', NULL, NULL, 36, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261390, '0038158', NULL, NULL, 81, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261391, '0053809', NULL, NULL, 49, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261392, '0039082', NULL, NULL, 28, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261393, '0044540', NULL, NULL, 117, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261394, '0040589', NULL, NULL, 90, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', 200393),
(261395, '0048509', NULL, NULL, 96, NULL, 'Families 57/38 glycoside transferase middle domain', 200394),
(261396, '0051909', NULL, NULL, 114, NULL, 'Families 57/38 glycoside transferase middle domain', 200394),
(261397, '0039849', NULL, NULL, 74, NULL, 'Families 57/38 glycoside transferase middle domain', 200394),
(261398, '0044322', NULL, NULL, 105, NULL, 'Families 57/38 glycoside transferase middle domain', 200394),
(261399, '0047239', NULL, NULL, 111, NULL, 'Families 57/38 glycoside transferase middle domain', 200394),
(261400, '0046197', NULL, NULL, 68, NULL, 'HMA, heavy metal-associated domain', 200395),
(261401, '0049356', NULL, NULL, 64, NULL, 'HMA, heavy metal-associated domain', 200395),
(261402, '0049047', NULL, NULL, 72, NULL, 'HMA, heavy metal-associated domain', 200395),
(261403, '0047891', NULL, NULL, 79, NULL, 'HMA, heavy metal-associated domain', 200395),
(261404, '0045769', NULL, NULL, 72, NULL, 'HMA, heavy metal-associated domain', 200395),
(261405, '0046759', NULL, NULL, 66, NULL, 'HMA, heavy metal-associated domain', 200395),
(261406, '0047718', NULL, NULL, 73, NULL, 'HMA, heavy metal-associated domain', 200395),
(261407, '0048906', NULL, NULL, 84, NULL, 'HMA, heavy metal-associated domain', 200395),
(261408, '0048621', NULL, NULL, 76, NULL, 'HMA, heavy metal-associated domain', 200395),
(261409, '0048637', NULL, NULL, 72, NULL, 'HMA, heavy metal-associated domain', 200395),
(261410, '0046867', NULL, NULL, 72, NULL, 'HMA, heavy metal-associated domain', 200395),
(261411, '0047700', NULL, NULL, 80, NULL, 'HMA, heavy metal-associated domain', 200395),
(261412, '0048239', NULL, NULL, 73, NULL, 'HMA, heavy metal-associated domain', 200395),
(261413, '0045832', NULL, NULL, 72, NULL, 'HMA, heavy metal-associated domain', 200395),
(261414, '0046107', NULL, NULL, 72, NULL, 'HMA, heavy metal-associated domain', 200395),
(261415, '0045192', NULL, NULL, 85, NULL, 'Neurophysin II', 200396),
(261416, '0040387', NULL, NULL, 92, NULL, 'Neurophysin II', 200396),
(261417, '0049574', NULL, NULL, 163, NULL, 'MukF C-terminal domain-like', 200397),
(261418, '0046736', NULL, NULL, 158, NULL, '6-hydroxymethyl-7,8-dihydropterin pyrophosphokinase, HPPK', 200398),
(261419, '0046104', NULL, NULL, 160, NULL, '6-hydroxymethyl-7,8-dihydropterin pyrophosphokinase, HPPK', 200398),
(261420, '0052659', NULL, NULL, 92, NULL, 'AF2331-like', 200399),
(261421, '0053221', NULL, NULL, 405, NULL, 'Proton glutamate symport protein', 200400),
(261422, '0046280', NULL, NULL, 720, NULL, 'Malate synthase G', 200401),
(261423, '0048297', NULL, NULL, 726, NULL, 'Malate synthase G', 200401),
(261424, '0051485', NULL, NULL, 346, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261425, '0050274', NULL, NULL, 238, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261426, '0051486', NULL, NULL, 298, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261427, '0052691', NULL, NULL, 207, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261428, '0038144', NULL, NULL, 186, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261429, '0043986', NULL, NULL, 242, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261430, '0041443', NULL, NULL, 219, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261431, '0041442', NULL, NULL, 289, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(261432, '0044714', NULL, NULL, 206, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261433, '0039472', NULL, NULL, 195, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261434, '0038141', NULL, NULL, 250, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261435, '0038142', NULL, NULL, 248, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261436, '0040239', NULL, NULL, 165, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261437, '0040238', NULL, NULL, 319, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261438, '0040237', NULL, NULL, 269, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261439, '0050044', NULL, NULL, 239, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261440, '0049053', NULL, NULL, 387, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261441, '0051498', NULL, NULL, 244, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261442, '0051376', NULL, NULL, 244, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261443, '0045809', NULL, NULL, 288, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261444, '0049292', NULL, NULL, 196, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261445, '0051499', NULL, NULL, 230, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261446, '0052346', NULL, NULL, 184, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261447, '0051138', NULL, NULL, 141, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261448, '0053315', NULL, NULL, 194, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261449, '0037045', NULL, NULL, 170, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261450, '0040121', NULL, NULL, 195, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261451, '0037163', NULL, NULL, 311, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261452, '0053686', NULL, NULL, 277, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261453, '0051025', NULL, NULL, 284, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261454, '0046913', NULL, NULL, 237, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261455, '0043887', NULL, NULL, 168, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261456, '0042557', NULL, NULL, 232, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261457, '0043648', NULL, NULL, 276, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261458, '0046916', NULL, NULL, 208, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261459, '0042553', NULL, NULL, 209, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261460, '0052003', NULL, NULL, 136, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261461, '0052004', NULL, NULL, 305, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261462, '0051156', NULL, NULL, 160, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261463, '0052002', NULL, NULL, 174, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261464, '0050061', NULL, NULL, 258, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261465, '0049190', NULL, NULL, 173, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261466, '0049073', NULL, NULL, 207, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261467, '0052005', NULL, NULL, 175, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261468, '0037385', NULL, NULL, 278, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261469, '0041234', NULL, NULL, 167, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(261470, '0042202', NULL, NULL, 424, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261471, '0045717', NULL, NULL, 207, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261472, '0037384', NULL, NULL, 296, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261473, '0043651', NULL, NULL, 274, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261474, '0044740', NULL, NULL, 184, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261475, '0045954', NULL, NULL, 323, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261476, '0051289', NULL, NULL, 178, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261477, '0050194', NULL, NULL, 161, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261478, '0049080', NULL, NULL, 281, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261479, '0042214', NULL, NULL, 401, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261480, '0046815', NULL, NULL, 342, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261481, '0046936', NULL, NULL, 227, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261482, '0039672', NULL, NULL, 224, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261483, '0044990', NULL, NULL, 174, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261484, '0051056', NULL, NULL, 268, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261485, '0053350', NULL, NULL, 210, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261486, '0043790', NULL, NULL, 254, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261487, '0036279', NULL, NULL, 162, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261488, '0037248', NULL, NULL, 210, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261489, '0046945', NULL, NULL, 262, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261490, '0046826', NULL, NULL, 276, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261491, '0036155', NULL, NULL, 306, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261492, '0036153', NULL, NULL, 166, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261493, '0045970', NULL, NULL, 213, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261494, '0053591', NULL, NULL, 177, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261495, '0043792', NULL, NULL, 224, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261496, '0043794', NULL, NULL, 227, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261497, '0045731', NULL, NULL, 288, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261498, '0046941', NULL, NULL, 122, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261499, '0042345', NULL, NULL, 333, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261500, '0043798', NULL, NULL, 252, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261501, '0053247', NULL, NULL, 241, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261502, '0052155', NULL, NULL, 253, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261503, '0050095', NULL, NULL, 362, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261504, '0044416', NULL, NULL, 204, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261505, '0037230', NULL, NULL, 224, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261506, '0047808', NULL, NULL, 190, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261507, '0045860', NULL, NULL, 258, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(261508, '0042471', NULL, NULL, 273, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261509, '0043440', NULL, NULL, 198, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261510, '0044893', NULL, NULL, 213, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261511, '0046711', NULL, NULL, 277, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261512, '0054467', NULL, NULL, 327, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261513, '0038794', NULL, NULL, 232, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261514, '0035281', NULL, NULL, 224, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261515, '0038674', NULL, NULL, 238, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261516, '0043218', NULL, NULL, 172, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261517, '0041032', NULL, NULL, 182, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261518, '0047933', NULL, NULL, 165, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261519, '0046842', NULL, NULL, 289, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261520, '0047813', NULL, NULL, 191, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261521, '0042008', NULL, NULL, 331, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261522, '0053147', NULL, NULL, 168, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261523, '0053146', NULL, NULL, 222, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261524, '0052054', NULL, NULL, 276, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261525, '0039999', NULL, NULL, 167, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261526, '0035392', NULL, NULL, 784, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261527, '0044438', NULL, NULL, 364, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261528, '0036121', NULL, NULL, 277, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261529, '0054471', NULL, NULL, 201, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261530, '0047820', NULL, NULL, 199, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261531, '0054470', NULL, NULL, 202, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261532, '0042496', NULL, NULL, 289, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261533, '0046735', NULL, NULL, 342, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261534, '0047701', NULL, NULL, 306, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261535, '0043468', NULL, NULL, 266, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261536, '0041170', NULL, NULL, 341, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261537, '0036239', NULL, NULL, 196, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261538, '0046869', NULL, NULL, 280, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261539, '0038892', NULL, NULL, 364, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261540, '0047839', NULL, NULL, 171, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261541, '0041053', NULL, NULL, 177, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261542, '0046860', NULL, NULL, 211, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261543, '0047607', NULL, NULL, 205, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261544, '0048939', NULL, NULL, 194, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261545, '0048819', NULL, NULL, 188, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(261546, '0045785', NULL, NULL, 191, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261547, '0045788', NULL, NULL, 181, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261548, '0053059', NULL, NULL, 255, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261549, '0054387', NULL, NULL, 240, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261550, '0036699', NULL, NULL, 173, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261551, '0042280', NULL, NULL, 244, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261552, '0037787', NULL, NULL, 162, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261553, '0045559', NULL, NULL, 169, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261554, '0048706', NULL, NULL, 333, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261555, '0036452', NULL, NULL, 432, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261556, '0036451', NULL, NULL, 429, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261557, '0049919', NULL, NULL, 213, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261558, '0043012', NULL, NULL, 315, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261559, '0043133', NULL, NULL, 245, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261560, '0053170', NULL, NULL, 339, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261561, '0043258', NULL, NULL, 282, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261562, '0048702', NULL, NULL, 241, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261563, '0052098', NULL, NULL, 175, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261564, '0039715', NULL, NULL, 138, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261565, '0037412', NULL, NULL, 186, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261566, '0039713', NULL, NULL, 211, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261567, '0037898', NULL, NULL, 240, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261568, '0046539', NULL, NULL, 283, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261569, '0050906', NULL, NULL, 133, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261570, '0038740', NULL, NULL, 208, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261571, '0038741', NULL, NULL, 155, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261572, '0044233', NULL, NULL, 173, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261573, '0046895', NULL, NULL, 269, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261574, '0047988', NULL, NULL, 684, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261575, '0048956', NULL, NULL, 626, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261576, '0048957', NULL, NULL, 222, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261577, '0044482', NULL, NULL, 169, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261578, '0053196', NULL, NULL, 191, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261579, '0037407', NULL, NULL, 239, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261580, '0036318', NULL, NULL, 181, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261581, '0037884', NULL, NULL, 166, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261582, '0038731', NULL, NULL, 164, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261583, '0036317', NULL, NULL, 413, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(261584, '0038732', NULL, NULL, 180, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261585, '0036790', NULL, NULL, 308, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261586, '0048963', NULL, NULL, 178, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261587, '0044125', NULL, NULL, 205, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261588, '0046548', NULL, NULL, 549, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261589, '0047756', NULL, NULL, 213, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261590, '0049933', NULL, NULL, 196, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261591, '0046551', NULL, NULL, 179, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261592, '0038720', NULL, NULL, 158, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261593, '0042070', NULL, NULL, 242, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261594, '0037996', NULL, NULL, 333, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261595, '0048852', NULL, NULL, 254, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261596, '0046315', NULL, NULL, 241, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261597, '0047406', NULL, NULL, 243, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261598, '0049825', NULL, NULL, 263, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261599, '0047772', NULL, NULL, 169, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261600, '0046441', NULL, NULL, 210, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261601, '0050943', NULL, NULL, 330, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261602, '0037862', NULL, NULL, 176, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261603, '0049838', NULL, NULL, 333, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261604, '0042089', NULL, NULL, 200, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261605, '0042088', NULL, NULL, 206, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261606, '0043054', NULL, NULL, 94, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261607, '0046442', NULL, NULL, 329, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261608, '0047537', NULL, NULL, 211, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261609, '0048868', NULL, NULL, 294, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261610, '0049837', NULL, NULL, 306, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261611, '0047538', NULL, NULL, 195, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261612, '0047420', NULL, NULL, 231, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261613, '0046693', NULL, NULL, 293, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261614, '0042094', NULL, NULL, 293, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261615, '0047665', NULL, NULL, 240, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261616, '0046697', NULL, NULL, 232, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261617, '0049606', NULL, NULL, 194, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261618, '0046459', NULL, NULL, 180, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261619, '0047547', NULL, NULL, 278, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261620, '0035786', NULL, NULL, 202, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261621, '0037960', NULL, NULL, 323, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(261622, '0051927', NULL, NULL, 174, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261623, '0047797', NULL, NULL, 178, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261624, '0045376', NULL, NULL, 795, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261625, '0049611', NULL, NULL, 242, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261626, '0049853', NULL, NULL, 266, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261627, '0048885', NULL, NULL, 320, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261628, '0054084', NULL, NULL, 189, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261629, '0046105', NULL, NULL, 180, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261630, '0036748', NULL, NULL, 234, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261631, '0037958', NULL, NULL, 254, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261632, '0045383', NULL, NULL, 368, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261633, '0048410', NULL, NULL, 170, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261634, '0037955', NULL, NULL, 190, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261635, '0052914', NULL, NULL, 168, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261636, '0051704', NULL, NULL, 173, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261637, '0035779', NULL, NULL, 224, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261638, '0051942', NULL, NULL, 139, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261639, '0049503', NULL, NULL, 251, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261640, '0046478', NULL, NULL, 285, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261641, '0046479', NULL, NULL, 276, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261642, '0049506', NULL, NULL, 219, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261643, '0049868', NULL, NULL, 180, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261644, '0046001', NULL, NULL, 710, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261645, '0035641', NULL, NULL, 225, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261646, '0050989', NULL, NULL, 165, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261647, '0036850', NULL, NULL, 443, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261648, '0050867', NULL, NULL, 195, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261649, '0036857', NULL, NULL, 433, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261650, '0050741', NULL, NULL, 319, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261651, '0051832', NULL, NULL, 185, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261652, '0051831', NULL, NULL, 168, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261653, '0051952', NULL, NULL, 201, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261654, '0048545', NULL, NULL, 286, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261655, '0045157', NULL, NULL, 190, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261656, '0048549', NULL, NULL, 733, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261657, '0046248', NULL, NULL, 713, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261658, '0049759', NULL, NULL, 225, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261659, '0048426', NULL, NULL, 209, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(261660, '0049757', NULL, NULL, 267, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261661, '0036729', NULL, NULL, 258, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261662, '0037818', NULL, NULL, 276, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261663, '0040826', NULL, NULL, 175, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261664, '0049881', NULL, NULL, 191, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261665, '0052815', NULL, NULL, 338, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261666, '0051604', NULL, NULL, 176, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261667, '0052931', NULL, NULL, 198, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261668, '0051958', NULL, NULL, 176, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261669, '0049404', NULL, NULL, 202, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261670, '0047589', NULL, NULL, 240, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261671, '0048436', NULL, NULL, 301, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261672, '0046258', NULL, NULL, 246, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261673, '0036958', NULL, NULL, 197, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261674, '0037926', NULL, NULL, 443, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261675, '0044086', NULL, NULL, 400, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261676, '0052823', NULL, NULL, 168, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261677, '0051851', NULL, NULL, 164, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261678, '0047599', NULL, NULL, 251, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261679, '0049657', NULL, NULL, 214, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261680, '0048689', NULL, NULL, 178, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261681, '0049537', NULL, NULL, 258, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261682, '0048692', NULL, NULL, 181, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261683, '0046392', NULL, NULL, 181, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261684, '0049301', NULL, NULL, 171, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261685, '0049300', NULL, NULL, 206, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261686, '0046276', NULL, NULL, 203, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261687, '0052832', NULL, NULL, 172, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261688, '0050775', NULL, NULL, 169, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261689, '0046157', NULL, NULL, 286, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261690, '0047127', NULL, NULL, 257, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261691, '0049306', NULL, NULL, 183, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261692, '0035849', NULL, NULL, 174, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261693, '0035848', NULL, NULL, 408, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261694, '0047372', NULL, NULL, 350, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261695, '0046162', NULL, NULL, 225, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261696, '0048220', NULL, NULL, 241, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261697, '0052726', NULL, NULL, 283, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(261698, '0052724', NULL, NULL, 173, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261699, '0051510', NULL, NULL, 175, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261700, '0052841', NULL, NULL, 170, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261701, '0050423', NULL, NULL, 179, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261702, '0048226', NULL, NULL, 242, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261703, '0047259', NULL, NULL, 289, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261704, '0040747', NULL, NULL, 167, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261705, '0041834', NULL, NULL, 119, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261706, '0040984', NULL, NULL, 186, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261707, '0041830', NULL, NULL, 309, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261708, '0049317', NULL, NULL, 183, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261709, '0050792', NULL, NULL, 177, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261710, '0048593', NULL, NULL, 207, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261711, '0047023', NULL, NULL, 218, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261712, '0048113', NULL, NULL, 179, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261713, '0048111', NULL, NULL, 274, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261714, '0050316', NULL, NULL, 187, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261715, '0052859', NULL, NULL, 186, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261716, '0052735', NULL, NULL, 169, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261717, '0050317', NULL, NULL, 187, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261718, '0051648', NULL, NULL, 222, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261719, '0051769', NULL, NULL, 205, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261720, '0052615', NULL, NULL, 186, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261721, '0052855', NULL, NULL, 218, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261722, '0050677', NULL, NULL, 286, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261723, '0050676', NULL, NULL, 200, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261724, '0043901', NULL, NULL, 207, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261725, '0047394', NULL, NULL, 238, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261726, '0052625', NULL, NULL, 175, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261727, '0050449', NULL, NULL, 267, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261728, '0052502', NULL, NULL, 171, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261729, '0051535', NULL, NULL, 190, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261730, '0052501', NULL, NULL, 171, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261731, '0043912', NULL, NULL, 271, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261732, '0054917', NULL, NULL, 229, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261733, '0041617', NULL, NULL, 247, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261734, '0049577', NULL, NULL, 231, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261735, '0049582', NULL, NULL, 196, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(261736, '0035814', NULL, NULL, 167, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261737, '0051784', NULL, NULL, 299, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261738, '0048255', NULL, NULL, 242, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261739, '0049343', NULL, NULL, 205, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261740, '0050691', NULL, NULL, 238, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261741, '0050337', NULL, NULL, 427, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261742, '0052879', NULL, NULL, 173, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261743, '0054935', NULL, NULL, 240, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261744, '0054811', NULL, NULL, 253, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261745, '0040410', NULL, NULL, 231, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261746, '0051551', NULL, NULL, 197, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261747, '0051793', NULL, NULL, 165, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261748, '0048381', NULL, NULL, 194, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261749, '0051553', NULL, NULL, 201, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261750, '0048266', NULL, NULL, 362, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261751, '0048025', NULL, NULL, 207, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261752, '0040419', NULL, NULL, 213, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261753, '0052528', NULL, NULL, 171, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261754, '0050227', NULL, NULL, 258, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261755, '0034832', NULL, NULL, 136, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261756, '0034833', NULL, NULL, 299, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261757, '0047291', NULL, NULL, 183, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261758, '0052764', NULL, NULL, 173, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261759, '0042605', NULL, NULL, 223, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261760, '0039041', NULL, NULL, 370, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261761, '0048026', NULL, NULL, 288, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261762, '0042720', NULL, NULL, 212, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261763, '0051562', NULL, NULL, 164, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261764, '0050351', NULL, NULL, 395, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261765, '0050354', NULL, NULL, 470, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261766, '0048272', NULL, NULL, 204, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261767, '0050353', NULL, NULL, 347, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261768, '0048154', NULL, NULL, 183, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261769, '0050350', NULL, NULL, 485, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261770, '0049485', NULL, NULL, 195, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261771, '0051206', NULL, NULL, 174, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261772, '0051448', NULL, NULL, 168, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261773, '0050356', NULL, NULL, 359, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(261774, '0050357', NULL, NULL, 246, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261775, '0051325', NULL, NULL, 172, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261776, '0038188', NULL, NULL, 354, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261777, '0041400', NULL, NULL, 296, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261778, '0042735', NULL, NULL, 431, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261779, '0054829', NULL, NULL, 285, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261780, '0039270', NULL, NULL, 247, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261781, '0049369', NULL, NULL, 364, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261782, '0040315', NULL, NULL, 175, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261783, '0040678', NULL, NULL, 256, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261784, '0051331', NULL, NULL, 140, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261785, '0052785', NULL, NULL, 181, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261786, '0047073', NULL, NULL, 273, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261787, '0051332', NULL, NULL, 299, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261788, '0048047', NULL, NULL, 192, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261789, '0048044', NULL, NULL, 190, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261790, '0050361', NULL, NULL, 321, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261791, '0050482', NULL, NULL, 178, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261792, '0051450', NULL, NULL, 164, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261793, '0051459', NULL, NULL, 167, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261794, '0052548', NULL, NULL, 347, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261795, '0052549', NULL, NULL, 211, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261796, '0054726', NULL, NULL, 273, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261797, '0049491', NULL, NULL, 237, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261798, '0052546', NULL, NULL, 117, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261799, '0052547', NULL, NULL, 233, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261800, '0051458', NULL, NULL, 165, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261801, '0041412', NULL, NULL, 222, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261802, '0050374', NULL, NULL, 287, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261803, '0052795', NULL, NULL, 200, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261804, '0051462', NULL, NULL, 167, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261805, '0052796', NULL, NULL, 234, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261806, '0051580', NULL, NULL, 183, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261807, '0049266', NULL, NULL, 330, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261808, '0051461', NULL, NULL, 166, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261809, '0051582', NULL, NULL, 177, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261810, '0051460', NULL, NULL, 169, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261811, '0054616', NULL, NULL, 323, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(261812, '0051104', NULL, NULL, 167, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261813, '0048050', NULL, NULL, 152, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261814, '0038162', NULL, NULL, 264, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261815, '0038163', NULL, NULL, 206, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261816, '0043607', NULL, NULL, 200, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261817, '0049269', NULL, NULL, 203, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261818, '0049398', NULL, NULL, 173, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261819, '0051472', NULL, NULL, 179, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261820, '0051471', NULL, NULL, 164, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261821, '0052680', NULL, NULL, 165, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261822, '0048180', NULL, NULL, 171, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261823, '0051116', NULL, NULL, 293, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261824, '0039366', NULL, NULL, 432, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261825, '0036095', NULL, NULL, 269, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261826, '0038151', NULL, NULL, 249, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261827, '0040588', NULL, NULL, 185, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261828, '0043974', NULL, NULL, 265, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261829, '0044700', NULL, NULL, 272, NULL, 'P-loop containing nucleoside triphosphate hydrolases', 200402),
(261830, '0042325', NULL, NULL, 312, NULL, 'Aromatic aminoacid monoxygenases, catalytic and oligomerization domains', 200403),
(261831, '0040662', NULL, NULL, 277, NULL, 'Aromatic aminoacid monoxygenases, catalytic and oligomerization domains', 200403),
(261832, '0044074', NULL, NULL, 336, NULL, 'Aromatic aminoacid monoxygenases, catalytic and oligomerization domains', 200403),
(261833, '0040999', NULL, NULL, 290, NULL, 'Aromatic aminoacid monoxygenases, catalytic and oligomerization domains', 200403),
(261834, '0053473', NULL, NULL, 76, NULL, 'Apolipoprotein A-II', 200404),
(261835, '0038310', NULL, NULL, 175, NULL, 'Cytolysin/lectin', 200405),
(261836, '0050876', NULL, NULL, 145, NULL, 'Cytolysin/lectin', 200405),
(261837, '0051190', NULL, NULL, 142, NULL, 'Cytolysin/lectin', 200405),
(261838, '0038953', NULL, NULL, 175, NULL, 'Cytolysin/lectin', 200405),
(261839, '0040771', NULL, NULL, 216, NULL, 'Group II dsDNA viruses VP', 200406),
(261840, '0047254', NULL, NULL, 140, NULL, 'Group II dsDNA viruses VP', 200406),
(261841, '0048079', NULL, NULL, 197, NULL, 'Group II dsDNA viruses VP', 200406),
(261842, '0047253', NULL, NULL, 230, NULL, 'Group II dsDNA viruses VP', 200406),
(261843, '0048686', NULL, NULL, 312, NULL, 'Group II dsDNA viruses VP', 200406),
(261844, '0042129', NULL, NULL, 632, NULL, 'Group II dsDNA viruses VP', 200406),
(261845, '0042127', NULL, NULL, 646, NULL, 'Group II dsDNA viruses VP', 200406),
(261846, '0047159', NULL, NULL, 89, NULL, 'Acyl-CoA binding protein', 200407),
(261847, '0047158', NULL, NULL, 86, NULL, 'Acyl-CoA binding protein', 200407),
(261848, '0042710', NULL, NULL, 116, NULL, 'Cdc48 domain 2-like', 200408),
(261849, '0036123', NULL, NULL, 103, NULL, 'Cdc48 domain 2-like', 200408),
(261850, '0036202', NULL, NULL, 94, NULL, 'Cdc48 domain 2-like', 200408),
(261851, '0036730', NULL, NULL, 94, NULL, 'Cdc48 domain 2-like', 200408),
(261852, '0044984', NULL, NULL, 80, NULL, 'Cdc48 domain 2-like', 200408),
(261853, '0047914', NULL, NULL, 153, NULL, 'BRCT domain', 200409),
(261854, '0050485', NULL, NULL, 132, NULL, 'BRCT domain', 200409),
(261855, '0040406', NULL, NULL, 92, NULL, 'BRCT domain', 200409);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(261856, '0040339', NULL, NULL, 97, NULL, 'BRCT domain', 200409),
(261857, '0040338', NULL, NULL, 112, NULL, 'BRCT domain', 200409),
(261858, '0039090', NULL, NULL, 88, NULL, 'BRCT domain', 200409),
(261859, '0035932', NULL, NULL, 96, NULL, 'BRCT domain', 200409),
(261860, '0039669', NULL, NULL, 102, NULL, 'BRCT domain', 200409),
(261861, '0047091', NULL, NULL, 106, NULL, 'BRCT domain', 200409),
(261862, '0039668', NULL, NULL, 109, NULL, 'BRCT domain', 200409),
(261863, '0051283', NULL, NULL, 169, NULL, 'At5g01610-like', 200410),
(261864, '0034902', NULL, NULL, 172, NULL, 'Positive stranded ssRNA viruses', 200411),
(261865, '0034903', NULL, NULL, 165, NULL, 'Positive stranded ssRNA viruses', 200411),
(261866, '0034901', NULL, NULL, 176, NULL, 'Positive stranded ssRNA viruses', 200411),
(261867, '0049085', NULL, NULL, 238, NULL, 'Positive stranded ssRNA viruses', 200411),
(261868, '0050430', NULL, NULL, 421, NULL, 'Positive stranded ssRNA viruses', 200411),
(261869, '0047145', NULL, NULL, 289, NULL, 'Positive stranded ssRNA viruses', 200411),
(261870, '0048795', NULL, NULL, 340, NULL, 'Positive stranded ssRNA viruses', 200411),
(261871, '0049167', NULL, NULL, 273, NULL, 'Positive stranded ssRNA viruses', 200411),
(261872, '0049166', NULL, NULL, 299, NULL, 'Positive stranded ssRNA viruses', 200411),
(261873, '0050118', NULL, NULL, 196, NULL, 'Positive stranded ssRNA viruses', 200411),
(261874, '0049084', NULL, NULL, 283, NULL, 'Positive stranded ssRNA viruses', 200411),
(261875, '0053349', NULL, NULL, 222, NULL, 'Positive stranded ssRNA viruses', 200411),
(261876, '0035877', NULL, NULL, 219, NULL, 'Positive stranded ssRNA viruses', 200411),
(261877, '0049083', NULL, NULL, 273, NULL, 'Positive stranded ssRNA viruses', 200411),
(261878, '0046813', NULL, NULL, 219, NULL, 'Positive stranded ssRNA viruses', 200411),
(261879, '0045603', NULL, NULL, 236, NULL, 'Positive stranded ssRNA viruses', 200411),
(261880, '0036089', NULL, NULL, 323, NULL, 'Positive stranded ssRNA viruses', 200411),
(261881, '0053183', NULL, NULL, 231, NULL, 'Positive stranded ssRNA viruses', 200411),
(261882, '0039030', NULL, NULL, 492, NULL, 'Positive stranded ssRNA viruses', 200411),
(261883, '0046730', NULL, NULL, 396, NULL, 'Positive stranded ssRNA viruses', 200411),
(261884, '0053182', NULL, NULL, 268, NULL, 'Positive stranded ssRNA viruses', 200411),
(261885, '0041965', NULL, NULL, 267, NULL, 'Positive stranded ssRNA viruses', 200411),
(261886, '0040435', NULL, NULL, 174, NULL, 'Positive stranded ssRNA viruses', 200411),
(261887, '0046812', NULL, NULL, 290, NULL, 'Positive stranded ssRNA viruses', 200411),
(261888, '0045602', NULL, NULL, 273, NULL, 'Positive stranded ssRNA viruses', 200411),
(261889, '0045843', NULL, NULL, 238, NULL, 'Positive stranded ssRNA viruses', 200411),
(261890, '0035628', NULL, NULL, 189, NULL, 'Positive stranded ssRNA viruses', 200411),
(261891, '0035627', NULL, NULL, 182, NULL, 'Positive stranded ssRNA viruses', 200411),
(261892, '0047671', NULL, NULL, 189, NULL, 'Positive stranded ssRNA viruses', 200411),
(261893, '0037206', NULL, NULL, 317, NULL, 'Positive stranded ssRNA viruses', 200411),
(261894, '0041051', NULL, NULL, 271, NULL, 'Positive stranded ssRNA viruses', 200411),
(261895, '0041491', NULL, NULL, 348, NULL, 'Positive stranded ssRNA viruses', 200411),
(261896, '0037207', NULL, NULL, 281, NULL, 'Positive stranded ssRNA viruses', 200411),
(261897, '0035267', NULL, NULL, 285, NULL, 'Positive stranded ssRNA viruses', 200411),
(261898, '0035266', NULL, NULL, 297, NULL, 'Positive stranded ssRNA viruses', 200411),
(261899, '0037726', NULL, NULL, 293, NULL, 'Positive stranded ssRNA viruses', 200411),
(261900, '0035504', NULL, NULL, 268, NULL, 'Positive stranded ssRNA viruses', 200411),
(261901, '0035503', NULL, NULL, 285, NULL, 'Positive stranded ssRNA viruses', 200411),
(261902, '0037325', NULL, NULL, 190, NULL, 'Positive stranded ssRNA viruses', 200411),
(261903, '0038778', NULL, NULL, 297, NULL, 'Positive stranded ssRNA viruses', 200411),
(261904, '0046506', NULL, NULL, 331, NULL, 'Positive stranded ssRNA viruses', 200411);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(261905, '0045812', NULL, NULL, 235, NULL, 'Positive stranded ssRNA viruses', 200411),
(261906, '0046307', NULL, NULL, 188, NULL, 'Positive stranded ssRNA viruses', 200411),
(261907, '0046508', NULL, NULL, 235, NULL, 'Positive stranded ssRNA viruses', 200411),
(261908, '0046507', NULL, NULL, 278, NULL, 'Positive stranded ssRNA viruses', 200411),
(261909, '0041373', NULL, NULL, 218, NULL, 'Positive stranded ssRNA viruses', 200411),
(261910, '0043670', NULL, NULL, 222, NULL, 'Positive stranded ssRNA viruses', 200411),
(261911, '0049018', NULL, NULL, 220, NULL, 'Positive stranded ssRNA viruses', 200411),
(261912, '0049656', NULL, NULL, 232, NULL, 'Positive stranded ssRNA viruses', 200411),
(261913, '0041857', NULL, NULL, 600, NULL, 'Positive stranded ssRNA viruses', 200411),
(261914, '0049017', NULL, NULL, 210, NULL, 'Positive stranded ssRNA viruses', 200411),
(261915, '0049655', NULL, NULL, 256, NULL, 'Positive stranded ssRNA viruses', 200411),
(261916, '0048329', NULL, NULL, 296, NULL, 'Positive stranded ssRNA viruses', 200411),
(261917, '0042940', NULL, NULL, 290, NULL, 'Positive stranded ssRNA viruses', 200411),
(261918, '0046193', NULL, NULL, 238, NULL, 'Positive stranded ssRNA viruses', 200411),
(261919, '0046192', NULL, NULL, 269, NULL, 'Positive stranded ssRNA viruses', 200411),
(261920, '0046272', NULL, NULL, 238, NULL, 'Positive stranded ssRNA viruses', 200411),
(261921, '0045183', NULL, NULL, 344, NULL, 'Positive stranded ssRNA viruses', 200411),
(261922, '0046271', NULL, NULL, 284, NULL, 'Positive stranded ssRNA viruses', 200411),
(261923, '0044050', NULL, NULL, 281, NULL, 'Positive stranded ssRNA viruses', 200411),
(261924, '0041619', NULL, NULL, 182, NULL, 'Positive stranded ssRNA viruses', 200411),
(261925, '0044053', NULL, NULL, 299, NULL, 'Positive stranded ssRNA viruses', 200411),
(261926, '0044054', NULL, NULL, 276, NULL, 'Positive stranded ssRNA viruses', 200411),
(261927, '0036267', NULL, NULL, 322, NULL, 'Positive stranded ssRNA viruses', 200411),
(261928, '0045868', NULL, NULL, 260, NULL, 'Positive stranded ssRNA viruses', 200411),
(261929, '0041620', NULL, NULL, 187, NULL, 'Positive stranded ssRNA viruses', 200411),
(261930, '0045944', NULL, NULL, 242, NULL, 'Positive stranded ssRNA viruses', 200411),
(261931, '0037354', NULL, NULL, 212, NULL, 'Positive stranded ssRNA viruses', 200411),
(261932, '0045869', NULL, NULL, 255, NULL, 'Positive stranded ssRNA viruses', 200411),
(261933, '0045827', NULL, NULL, 189, NULL, 'Positive stranded ssRNA viruses', 200411),
(261934, '0038482', NULL, NULL, 321, NULL, 'Positive stranded ssRNA viruses', 200411),
(261935, '0038484', NULL, NULL, 238, NULL, 'Positive stranded ssRNA viruses', 200411),
(261936, '0045464', NULL, NULL, 321, NULL, 'Positive stranded ssRNA viruses', 200411),
(261937, '0045983', NULL, NULL, 185, NULL, 'Positive stranded ssRNA viruses', 200411),
(261938, '0048972', NULL, NULL, 179, NULL, 'Positive stranded ssRNA viruses', 200411),
(261939, '0048616', NULL, NULL, 238, NULL, 'Positive stranded ssRNA viruses', 200411),
(261940, '0043246', NULL, NULL, 236, NULL, 'Positive stranded ssRNA viruses', 200411),
(261941, '0046636', NULL, NULL, 239, NULL, 'Positive stranded ssRNA viruses', 200411),
(261942, '0037664', NULL, NULL, 207, NULL, 'Positive stranded ssRNA viruses', 200411),
(261943, '0035327', NULL, NULL, 340, NULL, 'Positive stranded ssRNA viruses', 200411),
(261944, '0036176', NULL, NULL, 149, NULL, 'Positive stranded ssRNA viruses', 200411),
(261945, '0048466', NULL, NULL, 189, NULL, 'Positive stranded ssRNA viruses', 200411),
(261946, '0042484', NULL, NULL, 335, NULL, 'Positive stranded ssRNA viruses', 200411),
(261947, '0041955', NULL, NULL, 271, NULL, 'Positive stranded ssRNA viruses', 200411),
(261948, '0042485', NULL, NULL, 279, NULL, 'Positive stranded ssRNA viruses', 200411),
(261949, '0046843', NULL, NULL, 269, NULL, 'Positive stranded ssRNA viruses', 200411),
(261950, '0041954', NULL, NULL, 321, NULL, 'Positive stranded ssRNA viruses', 200411),
(261951, '0042486', NULL, NULL, 235, NULL, 'Positive stranded ssRNA viruses', 200411);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(261952, '0045357', NULL, NULL, 308, NULL, 'Positive stranded ssRNA viruses', 200411),
(261953, '0046844', NULL, NULL, 237, NULL, 'Positive stranded ssRNA viruses', 200411),
(261954, '0034826', NULL, NULL, 28, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261955, '0052895', NULL, NULL, 58, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261956, '0050596', NULL, NULL, 121, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261957, '0050111', NULL, NULL, 29, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261958, '0053340', NULL, NULL, 30, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261959, '0050631', NULL, NULL, 31, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261960, '0050630', NULL, NULL, 35, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261961, '0052459', NULL, NULL, 30, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261962, '0052896', NULL, NULL, 36, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261963, '0045966', NULL, NULL, 38, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261964, '0043305', NULL, NULL, 30, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261965, '0052292', NULL, NULL, 53, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261966, '0052293', NULL, NULL, 30, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261967, '0052290', NULL, NULL, 60, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261968, '0043981', NULL, NULL, 31, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261969, '0043982', NULL, NULL, 31, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261970, '0045127', NULL, NULL, 25, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261971, '0045249', NULL, NULL, 37, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261972, '0052465', NULL, NULL, 30, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261973, '0052466', NULL, NULL, 27, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261974, '0052463', NULL, NULL, 26, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261975, '0052464', NULL, NULL, 28, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261976, '0045295', NULL, NULL, 30, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261977, '0045250', NULL, NULL, 26, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261978, '0045294', NULL, NULL, 33, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261979, '0045693', NULL, NULL, 29, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261980, '0052460', NULL, NULL, 36, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261981, '0045296', NULL, NULL, 31, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261982, '0050840', NULL, NULL, 28, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261983, '0052469', NULL, NULL, 28, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261984, '0053677', NULL, NULL, 72, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261985, '0050841', NULL, NULL, 29, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261986, '0053678', NULL, NULL, 55, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261987, '0049818', NULL, NULL, 33, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261988, '0042220', NULL, NULL, 30, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261989, '0045695', NULL, NULL, 29, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261990, '0045694', NULL, NULL, 29, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261991, '0047831', NULL, NULL, 30, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261992, '0045696', NULL, NULL, 28, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261993, '0049610', NULL, NULL, 29, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261994, '0049852', NULL, NULL, 28, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261995, '0045656', NULL, NULL, 30, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261996, '0052279', NULL, NULL, 53, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261997, '0052470', NULL, NULL, 26, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261998, '0052471', NULL, NULL, 29, NULL, 'beta-beta-alpha zinc fingers', 200412),
(261999, '0051621', NULL, NULL, 67, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262000, '0054735', NULL, NULL, 35, NULL, 'beta-beta-alpha zinc fingers', 200412);
INSERT INTO "PUBLIC"."MODEL" VALUES
(262001, '0054733', NULL, NULL, 61, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262002, '0043689', NULL, NULL, 31, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262003, '0037795', NULL, NULL, 36, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262004, '0037351', NULL, NULL, 39, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262005, '0041429', NULL, NULL, 37, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262006, '0044259', NULL, NULL, 28, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262007, '0052289', NULL, NULL, 36, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262008, '0054743', NULL, NULL, 48, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262009, '0050860', NULL, NULL, 75, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262010, '0053893', NULL, NULL, 35, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262011, '0052288', NULL, NULL, 28, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262012, '0053894', NULL, NULL, 39, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262013, '0044260', NULL, NULL, 28, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262014, '0045152', NULL, NULL, 31, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262015, '0053891', NULL, NULL, 53, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262016, '0044261', NULL, NULL, 30, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262017, '0053892', NULL, NULL, 32, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262018, '0045110', NULL, NULL, 54, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262019, '0050624', NULL, NULL, 41, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262020, '0050623', NULL, NULL, 24, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262021, '0050944', NULL, NULL, 29, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262022, '0050862', NULL, NULL, 36, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262023, '0052205', NULL, NULL, 27, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262024, '0052920', NULL, NULL, 29, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262025, '0050784', NULL, NULL, 61, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262026, '0050861', NULL, NULL, 37, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262027, '0052206', NULL, NULL, 38, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262028, '0050622', NULL, NULL, 42, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262029, '0048707', NULL, NULL, 37, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262030, '0037782', NULL, NULL, 36, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262031, '0041311', NULL, NULL, 47, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262032, '0043976', NULL, NULL, 31, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262033, '0043977', NULL, NULL, 30, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262034, '0052919', NULL, NULL, 32, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262035, '0043978', NULL, NULL, 31, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262036, '0035441', NULL, NULL, 28, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262037, '0050859', NULL, NULL, 26, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262038, '0050858', NULL, NULL, 33, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262039, '0051749', NULL, NULL, 29, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262040, '0052280', NULL, NULL, 44, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262041, '0040545', NULL, NULL, 28, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262042, '0043730', NULL, NULL, 35, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262043, '0049956', NULL, NULL, 30, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262044, '0045118', NULL, NULL, 32, NULL, 'beta-beta-alpha zinc fingers', 200412),
(262045, '0052667', NULL, NULL, 159, NULL, 'PA2201 C-terminal domain-like', 200413),
(262046, '0044728', NULL, NULL, 33, NULL, 'PetM subunit of the cytochrome b6f complex', 200414),
(262047, '0042671', NULL, NULL, 34, NULL, 'PetM subunit of the cytochrome b6f complex', 200414),
(262048, '0049154', NULL, NULL, 213, NULL, 'eIF4e-like', 200415),
(262049, '0051640', NULL, NULL, 234, NULL, 'eIF4e-like', 200415);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(262050, '0039118', NULL, NULL, 191, NULL, 'eIF4e-like', 200415),
(262051, '0037760', NULL, NULL, 183, NULL, 'LigT-like', 200416),
(262052, '0053115', NULL, NULL, 219, NULL, 'LigT-like', 200416),
(262053, '0039208', NULL, NULL, 183, NULL, 'LigT-like', 200416),
(262054, '0052753', NULL, NULL, 232, NULL, 'LigT-like', 200416),
(262055, '0047431', NULL, NULL, 267, NULL, 'Acyl-CoA dehydrogenase NM domain-like', 200417),
(262056, '0050327', NULL, NULL, 271, NULL, 'Acyl-CoA dehydrogenase NM domain-like', 200417),
(262057, '0036988', NULL, NULL, 232, NULL, 'Acyl-CoA dehydrogenase NM domain-like', 200417),
(262058, '0039701', NULL, NULL, 231, NULL, 'Acyl-CoA dehydrogenase NM domain-like', 200417),
(262059, '0049822', NULL, NULL, 275, NULL, 'Acyl-CoA dehydrogenase NM domain-like', 200417),
(262060, '0049932', NULL, NULL, 227, NULL, 'Acyl-CoA dehydrogenase NM domain-like', 200417),
(262061, '0046013', NULL, NULL, 232, NULL, 'Acyl-CoA dehydrogenase NM domain-like', 200417),
(262062, '0052370', NULL, NULL, 233, NULL, 'Acyl-CoA dehydrogenase NM domain-like', 200417),
(262063, '0045540', NULL, NULL, 231, NULL, 'Acyl-CoA dehydrogenase NM domain-like', 200417),
(262064, '0049259', NULL, NULL, 231, NULL, 'Acyl-CoA dehydrogenase NM domain-like', 200417),
(262065, '0043102', NULL, NULL, 210, NULL, 'Acyl-CoA dehydrogenase NM domain-like', 200417),
(262066, '0052090', NULL, NULL, 259, NULL, 'Acyl-CoA dehydrogenase NM domain-like', 200417),
(262067, '0049407', NULL, NULL, 236, NULL, 'Acyl-CoA dehydrogenase NM domain-like', 200417),
(262068, '0047447', NULL, NULL, 236, NULL, 'Acyl-CoA dehydrogenase NM domain-like', 200417),
(262069, '0053874', NULL, NULL, 58, NULL, 'PriA/YqbF domain', 200418),
(262070, '0054047', NULL, NULL, 49, NULL, 'PriA/YqbF domain', 200418),
(262071, '0053872', NULL, NULL, 87, NULL, 'PriA/YqbF domain', 200418),
(262072, '0053870', NULL, NULL, 61, NULL, 'PriA/YqbF domain', 200418),
(262073, '0054418', NULL, NULL, 67, NULL, 'PriA/YqbF domain', 200418),
(262074, '0035109', NULL, NULL, 514, NULL, 'Acetyl-CoA synthetase-like', 200419),
(262075, '0040451', NULL, NULL, 541, NULL, 'Acetyl-CoA synthetase-like', 200419),
(262076, '0042298', NULL, NULL, 643, NULL, 'Acetyl-CoA synthetase-like', 200419),
(262077, '0044590', NULL, NULL, 534, NULL, 'Acetyl-CoA synthetase-like', 200419),
(262078, '0043409', NULL, NULL, 640, NULL, 'Acetyl-CoA synthetase-like', 200419),
(262079, '0040895', NULL, NULL, 536, NULL, 'Acetyl-CoA synthetase-like', 200419),
(262080, '0043886', NULL, NULL, 503, NULL, 'Acetyl-CoA synthetase-like', 200419),
(262081, '0044218', NULL, NULL, 383, NULL, 'Ammonium transporter', 200420),
(262082, '0049791', NULL, NULL, 157, NULL, 'ArfGap/RecO-like zinc finger', 200421),
(262083, '0036355', NULL, NULL, 122, NULL, 'ArfGap/RecO-like zinc finger', 200421),
(262084, '0036819', NULL, NULL, 47, NULL, 'Epsilon subunit of mitochondrial F1F0-ATP synthase', 200422),
(262085, '0053214', NULL, NULL, 117, NULL, 'XisI-like', 200423),
(262086, '0053220', NULL, NULL, 112, NULL, 'XisI-like', 200423),
(262087, '0053197', NULL, NULL, 111, NULL, 'XisI-like', 200423),
(262088, '0039714', NULL, NULL, 90, NULL, 'Anti-sigma factor AsiA', 200424),
(262089, '0051217', NULL, NULL, 124, NULL, 'Kinase-associated protein B-like', 200425),
(262090, '0053499', NULL, NULL, 303, NULL, 'Bacterial hemolysins', 200426),
(262091, '0054292', NULL, NULL, 340, NULL, 'Bacterial hemolysins', 200426),
(262092, '0048002', NULL, NULL, 98, NULL, 'YhbY-like', 200427),
(262093, '0049232', NULL, NULL, 96, NULL, 'YhbY-like', 200427),
(262094, '0047641', NULL, NULL, 97, NULL, 'YhbY-like', 200427),
(262095, '0047937', NULL, NULL, 129, NULL, 'Retroviral matrix proteins', 200428),
(262096, '0039783', NULL, NULL, 137, NULL, 'Retroviral matrix proteins', 200428),
(262097, '0038565', NULL, NULL, 116, NULL, 'Retroviral matrix proteins', 200428),
(262098, '0041011', NULL, NULL, 95, NULL, 'Retroviral matrix proteins', 200428),
(262099, '0044370', NULL, NULL, 105, NULL, 'Retroviral matrix proteins', 200428),
(262100, '0034915', NULL, NULL, 87, NULL, 'Retroviral matrix proteins', 200428);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(262101, '0049585', NULL, NULL, 120, NULL, 'Retroviral matrix proteins', 200428),
(262102, '0052612', NULL, NULL, 94, NULL, 'Retroviral matrix proteins', 200428),
(262103, '0036911', NULL, NULL, 114, NULL, 'Retroviral matrix proteins', 200428),
(262104, '0044724', NULL, NULL, 37, NULL, 'Cytochrome f subunit of the cytochrome b6f complex, transmembrane anchor', 200429),
(262105, '0042665', NULL, NULL, 45, NULL, 'Cytochrome f subunit of the cytochrome b6f complex, transmembrane anchor', 200429),
(262106, '0052093', NULL, NULL, 222, NULL, 'Peptidoglycan deacetylase N-terminal noncatalytic region', 200430),
(262107, '0051652', NULL, NULL, 174, NULL, 'Allene oxide cyclase-like', 200431),
(262108, '0051526', NULL, NULL, 174, NULL, 'Allene oxide cyclase-like', 200431),
(262109, '0048185', NULL, NULL, 70, NULL, 'Probable ACP-binding domain of malonyl-CoA ACP transacylase', 200432),
(262110, '0048387', NULL, NULL, 62, NULL, 'Probable ACP-binding domain of malonyl-CoA ACP transacylase', 200432),
(262111, '0053409', NULL, NULL, 114, NULL, 'Multimerization domain of the phosphoprotein from sendai virus', 200433),
(262112, '0049554', NULL, NULL, 678, NULL, 'L-aspartase-like', 200434),
(262113, '0045086', NULL, NULL, 459, NULL, 'L-aspartase-like', 200434),
(262114, '0038817', NULL, NULL, 453, NULL, 'L-aspartase-like', 200434),
(262115, '0035400', NULL, NULL, 509, NULL, 'L-aspartase-like', 200434),
(262116, '0039747', NULL, NULL, 459, NULL, 'L-aspartase-like', 200434),
(262117, '0036521', NULL, NULL, 402, NULL, 'L-aspartase-like', 200434),
(262118, '0039358', NULL, NULL, 462, NULL, 'L-aspartase-like', 200434),
(262119, '0035216', NULL, NULL, 447, NULL, 'L-aspartase-like', 200434),
(262120, '0035831', NULL, NULL, 429, NULL, 'L-aspartase-like', 200434),
(262121, '0037788', NULL, NULL, 456, NULL, 'L-aspartase-like', 200434),
(262122, '0050346', NULL, NULL, 692, NULL, 'L-aspartase-like', 200434),
(262123, '0037332', NULL, NULL, 408, NULL, 'L-aspartase-like', 200434),
(262124, '0043207', NULL, NULL, 448, NULL, 'L-aspartase-like', 200434),
(262125, '0042625', NULL, NULL, 444, NULL, 'L-aspartase-like', 200434),
(262126, '0035142', NULL, NULL, 443, NULL, 'L-aspartase-like', 200434),
(262127, '0038780', NULL, NULL, 447, NULL, 'L-aspartase-like', 200434),
(262128, '0044708', NULL, NULL, 460, NULL, 'L-aspartase-like', 200434),
(262129, '0049643', NULL, NULL, 455, NULL, 'L-aspartase-like', 200434),
(262130, '0040728', NULL, NULL, 651, NULL, 'L-A virus major coat protein', 200435),
(262131, '0036292', NULL, NULL, 47, NULL, 'Cholecystokinin A receptor, N-domain', 200436),
(262132, '0046351', NULL, NULL, 118, NULL, 'Heat shock protein 70kD (HSP70), peptide-binding domain', 200437),
(262133, '0049751', NULL, NULL, 115, NULL, 'Heat shock protein 70kD (HSP70), peptide-binding domain', 200437),
(262134, '0036037', NULL, NULL, 159, NULL, 'Heat shock protein 70kD (HSP70), peptide-binding domain', 200437),
(262135, '0049131', NULL, NULL, 187, NULL, 'Typo IV secretion system protein TraC', 200438),
(262136, '0052576', NULL, NULL, 290, NULL, 'Glutamine synthetase/guanido kinase', 200439),
(262137, '0043170', NULL, NULL, 368, NULL, 'Glutamine synthetase/guanido kinase', 200439),
(262138, '0038718', NULL, NULL, 374, NULL, 'Glutamine synthetase/guanido kinase', 200439),
(262139, '0037877', NULL, NULL, 279, NULL, 'Glutamine synthetase/guanido kinase', 200439),
(262140, '0051614', NULL, NULL, 322, NULL, 'Glutamine synthetase/guanido kinase', 200439),
(262141, '0048061', NULL, NULL, 262, NULL, 'Glutamine synthetase/guanido kinase', 200439),
(262142, '0050113', NULL, NULL, 515, NULL, 'Glutamine synthetase/guanido kinase', 200439),
(262143, '0036128', NULL, NULL, 282, NULL, 'Glutamine synthetase/guanido kinase', 200439),
(262144, '0044108', NULL, NULL, 366, NULL, 'Glutamine synthetase/guanido kinase', 200439),
(262145, '0045229', NULL, NULL, 279, NULL, 'Glutamine synthetase/guanido kinase', 200439),
(262146, '0042822', NULL, NULL, 277, NULL, 'Glutamine synthetase/guanido kinase', 200439),
(262147, '0046708', NULL, NULL, 368, NULL, 'Glutamine synthetase/guanido kinase', 200439);
INSERT INTO "PUBLIC"."MODEL" VALUES
(262148, '0050309', NULL, NULL, 279, NULL, 'Glutamine synthetase/guanido kinase', 200439),
(262149, '0052392', NULL, NULL, 320, NULL, 'Glutamine synthetase/guanido kinase', 200439),
(262150, '0042782', NULL, NULL, 279, NULL, 'Glutamine synthetase/guanido kinase', 200439),
(262151, '0054029', NULL, NULL, 71, NULL, 'YorP-like', 200440),
(262152, '0036915', NULL, NULL, 45, NULL, 'Carbohydrate binding domain', 200441),
(262153, '0036705', NULL, NULL, 52, NULL, 'Carbohydrate binding domain', 200441),
(262154, '0035067', NULL, NULL, 62, NULL, 'Carbohydrate binding domain', 200441),
(262155, '0053224', NULL, NULL, 85, NULL, 'CBS-domain pair', 200442),
(262156, '0054677', NULL, NULL, 131, NULL, 'CBS-domain pair', 200442),
(262157, '0054930', NULL, NULL, 135, NULL, 'CBS-domain pair', 200442),
(262158, '0053588', NULL, NULL, 120, NULL, 'CBS-domain pair', 200442),
(262159, '0054752', NULL, NULL, 122, NULL, 'CBS-domain pair', 200442),
(262160, '0053883', NULL, NULL, 127, NULL, 'CBS-domain pair', 200442),
(262161, '0054751', NULL, NULL, 156, NULL, 'CBS-domain pair', 200442),
(262162, '0054750', NULL, NULL, 132, NULL, 'CBS-domain pair', 200442),
(262163, '0053648', NULL, NULL, 123, NULL, 'CBS-domain pair', 200442),
(262164, '0053668', NULL, NULL, 126, NULL, 'CBS-domain pair', 200442),
(262165, '0053801', NULL, NULL, 161, NULL, 'CBS-domain pair', 200442),
(262166, '0053589', NULL, NULL, 120, NULL, 'CBS-domain pair', 200442),
(262167, '0054316', NULL, NULL, 139, NULL, 'CBS-domain pair', 200442),
(262168, '0053601', NULL, NULL, 142, NULL, 'CBS-domain pair', 200442),
(262169, '0053619', NULL, NULL, 121, NULL, 'CBS-domain pair', 200442),
(262170, '0054929', NULL, NULL, 141, NULL, 'CBS-domain pair', 200442),
(262171, '0053653', NULL, NULL, 132, NULL, 'CBS-domain pair', 200442),
(262172, '0054203', NULL, NULL, 169, NULL, 'CBS-domain pair', 200442),
(262173, '0054402', NULL, NULL, 153, NULL, 'CBS-domain pair', 200442),
(262174, '0053599', NULL, NULL, 120, NULL, 'CBS-domain pair', 200442),
(262175, '0054401', NULL, NULL, 179, NULL, 'CBS-domain pair', 200442),
(262176, '0054665', NULL, NULL, 127, NULL, 'CBS-domain pair', 200442),
(262177, '0054421', NULL, NULL, 127, NULL, 'CBS-domain pair', 200442),
(262178, '0053593', NULL, NULL, 145, NULL, 'CBS-domain pair', 200442),
(262179, '0054707', NULL, NULL, 159, NULL, 'CBS-domain pair', 200442),
(262180, '0054706', NULL, NULL, 145, NULL, 'CBS-domain pair', 200442),
(262181, '0054747', NULL, NULL, 144, NULL, 'CBS-domain pair', 200442),
(262182, '0044637', NULL, NULL, 64, NULL, 'KRAB domain (Kruppel-associated box)', 200443),
(262183, '0054014', NULL, NULL, 62, NULL, 'YonK-like', 200444),
(262184, '0045552', NULL, NULL, 141, NULL, 'Phosphoglucomutase, C-terminal domain', 200445),
(262185, '0040060', NULL, NULL, 129, NULL, 'Phosphoglucomutase, C-terminal domain', 200445),
(262186, '0039876', NULL, NULL, 96, NULL, 'Phosphoglucomutase, C-terminal domain', 200445),
(262187, '0050632', NULL, NULL, 112, NULL, 'Phosphoglucomutase, C-terminal domain', 200445),
(262188, '0051342', NULL, NULL, 81, NULL, 'Aminopeptidase/glucanase lid domain', 200446),
(262189, '0051223', NULL, NULL, 133, NULL, 'Aminopeptidase/glucanase lid domain', 200446),
(262190, '0052939', NULL, NULL, 113, NULL, 'Aminopeptidase/glucanase lid domain', 200446),
(262191, '0044761', NULL, NULL, 83, NULL, 'Aminopeptidase/glucanase lid domain', 200446),
(262192, '0051171', NULL, NULL, 91, NULL, 'Aminopeptidase/glucanase lid domain', 200446),
(262193, '0044754', NULL, NULL, 90, NULL, 'Aminopeptidase/glucanase lid domain', 200446),
(262194, '0052786', NULL, NULL, 84, NULL, 'Aminopeptidase/glucanase lid domain', 200446),
(262195, '0038420', NULL, NULL, 111, NULL, 'SpoIIaa-like', 200447),
(262196, '0054576', NULL, NULL, 125, NULL, 'SpoIIaa-like', 200447),
(262197, '0054398', NULL, NULL, 125, NULL, 'SpoIIaa-like', 200447),
(262198, '0044690', NULL, NULL, 110, NULL, 'SpoIIaa-like', 200447),
(262199, '0035218', NULL, NULL, 116, NULL, 'SpoIIaa-like', 200447),
(262200, '0044005', NULL, NULL, 115, NULL, 'SpoIIaa-like', 200447);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(262201, '0047063', NULL, NULL, 67, NULL, 'MOP-like', 200448),
(262202, '0050043', NULL, NULL, 70, NULL, 'MOP-like', 200448),
(262203, '0047155', NULL, NULL, 77, NULL, 'MOP-like', 200448),
(262204, '0047156', NULL, NULL, 62, NULL, 'MOP-like', 200448),
(262205, '0047153', NULL, NULL, 73, NULL, 'MOP-like', 200448),
(262206, '0050042', NULL, NULL, 54, NULL, 'MOP-like', 200448),
(262207, '0047154', NULL, NULL, 68, NULL, 'MOP-like', 200448),
(262208, '0054916', NULL, NULL, 119, NULL, 'MOP-like', 200448),
(262209, '0046847', NULL, NULL, 67, NULL, 'MOP-like', 200448),
(262210, '0046904', NULL, NULL, 61, NULL, 'MOP-like', 200448),
(262211, '0046905', NULL, NULL, 71, NULL, 'MOP-like', 200448),
(262212, '0048857', NULL, NULL, 135, NULL, 'MOP-like', 200448),
(262213, '0048658', NULL, NULL, 110, NULL, 'MOP-like', 200448),
(262214, '0052167', NULL, NULL, 154, NULL, 'Hyaluronidase post-catalytic domain-like', 200449),
(262215, '0052138', NULL, NULL, 129, NULL, 'Hyaluronidase post-catalytic domain-like', 200449),
(262216, '0047273', NULL, NULL, 326, NULL, 'Terpenoid cyclases/Protein prenyltransferases', 200450),
(262217, '0053354', NULL, NULL, 200, NULL, 'Terpenoid cyclases/Protein prenyltransferases', 200450),
(262218, '0046282', NULL, NULL, 407, NULL, 'Terpenoid cyclases/Protein prenyltransferases', 200450),
(262219, '0048283', NULL, NULL, 346, NULL, 'Terpenoid cyclases/Protein prenyltransferases', 200450),
(262220, '0050380', NULL, NULL, 279, NULL, 'Terpenoid cyclases/Protein prenyltransferases', 200450),
(262221, '0046298', NULL, NULL, 329, NULL, 'Terpenoid cyclases/Protein prenyltransferases', 200450),
(262222, '0041184', NULL, NULL, 207, NULL, 'Terpenoid cyclases/Protein prenyltransferases', 200450),
(262223, '0049012', NULL, NULL, 277, NULL, 'Terpenoid cyclases/Protein prenyltransferases', 200450),
(262224, '0053305', NULL, NULL, 353, NULL, 'Terpenoid cyclases/Protein prenyltransferases', 200450),
(262225, '0053306', NULL, NULL, 271, NULL, 'Terpenoid cyclases/Protein prenyltransferases', 200450),
(262226, '0035832', NULL, NULL, 294, NULL, 'Terpenoid cyclases/Protein prenyltransferases', 200450),
(262227, '0050379', NULL, NULL, 449, NULL, 'Terpenoid cyclases/Protein prenyltransferases', 200450),
(262228, '0046578', NULL, NULL, 146, NULL, 'Molybdenum cofactor biosynthesis protein C, MoaC', 200451),
(262229, '0051174', NULL, NULL, 161, NULL, 'Hcp1-like', 200452),
(262230, '0051210', NULL, NULL, 177, NULL, 'Peptide deformylase', 200453),
(262231, '0040562', NULL, NULL, 154, NULL, 'Peptide deformylase', 200453),
(262232, '0035693', NULL, NULL, 168, NULL, 'Peptide deformylase', 200453),
(262233, '0050041', NULL, NULL, 182, NULL, 'Peptide deformylase', 200453),
(262234, '0039816', NULL, NULL, 179, NULL, 'Peptide deformylase', 200453),
(262235, '0040557', NULL, NULL, 202, NULL, 'Peptide deformylase', 200453),
(262236, '0040623', NULL, NULL, 184, NULL, 'Peptide deformylase', 200453),
(262237, '0040634', NULL, NULL, 165, NULL, 'Peptide deformylase', 200453),
(262238, '0040555', NULL, NULL, 194, NULL, 'Peptide deformylase', 200453),
(262239, '0041518', NULL, NULL, 115, NULL, 'Collagen-binding domain', 200454),
(262240, '0052594', NULL, NULL, 283, NULL, 'Acetamidase/Formamidase-like', 200455),
(262241, '0048383', NULL, NULL, 65, NULL, 'GLA-domain', 200456),
(262242, '0042600', NULL, NULL, 34, NULL, 'GLA-domain', 200456),
(262243, '0048382', NULL, NULL, 45, NULL, 'GLA-domain', 200456),
(262244, '0042658', NULL, NULL, 37, NULL, 'GLA-domain', 200456),
(262245, '0042111', NULL, NULL, 47, NULL, 'GLA-domain', 200456),
(262246, '0042296', NULL, NULL, 46, NULL, 'GLA-domain', 200456),
(262247, '0047402', NULL, NULL, 44, NULL, 'GLA-domain', 200456),
(262248, '0036323', NULL, NULL, 48, NULL, 'GLA-domain', 200456),
(262249, '0040622', NULL, NULL, 33, NULL, 'GLA-domain', 200456),
(262250, '0048572', NULL, NULL, 121, NULL, 'JAB1/MPN domain', 200457),
(262251, '0036077', NULL, NULL, 42, NULL, 'Zinc domain conserved in yeast copper-regulated transcription factors', 200458),
(262252, '0035022', NULL, NULL, 153, NULL, 'Apolipophorin-III', 200459);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(262253, '0037127', NULL, NULL, 166, NULL, 'Apolipophorin-III', 200459),
(262254, '0037992', NULL, NULL, 171, NULL, 'MoeA N-terminal region -like', 200460),
(262255, '0044571', NULL, NULL, 176, NULL, 'MoeA N-terminal region -like', 200460),
(262256, '0050701', NULL, NULL, 175, NULL, 'MoeA N-terminal region -like', 200460),
(262257, '0050975', NULL, NULL, 176, NULL, 'MoeA N-terminal region -like', 200460),
(262258, '0043850', NULL, NULL, 181, NULL, 'MoeA N-terminal region -like', 200460),
(262259, '0050300', NULL, NULL, 130, NULL, 'TM1622-like', 200461),
(262260, '0050107', NULL, NULL, 101, NULL, 'MAST3 pre-PK domain-like', 200462),
(262261, '0054031', NULL, NULL, 85, NULL, 'NE1680-like', 200463),
(262262, '0053574', NULL, NULL, 147, NULL, 'Sec2 N-terminal region', 200464),
(262263, '0046663', NULL, NULL, 95, NULL, 'Invasin/intimin cell-adhesion fragments', 200465),
(262264, '0046664', NULL, NULL, 89, NULL, 'Invasin/intimin cell-adhesion fragments', 200465),
(262265, '0046227', NULL, NULL, 96, NULL, 'Invasin/intimin cell-adhesion fragments', 200465),
(262266, '0046226', NULL, NULL, 94, NULL, 'Invasin/intimin cell-adhesion fragments', 200465),
(262267, '0036180', NULL, NULL, 91, NULL, 'Invasin/intimin cell-adhesion fragments', 200465),
(262268, '0046228', NULL, NULL, 103, NULL, 'Invasin/intimin cell-adhesion fragments', 200465),
(262269, '0048068', NULL, NULL, 75, NULL, 'Zn-finger domain of Sec23/24', 200466),
(262270, '0048072', NULL, NULL, 85, NULL, 'Zn-finger domain of Sec23/24', 200466),
(262271, '0048507', NULL, NULL, 82, NULL, 'Tp47 lipoprotein, middle and C-terminal domains', 200467),
(262272, '0048506', NULL, NULL, 126, NULL, 'Tp47 lipoprotein, middle and C-terminal domains', 200467),
(262273, '0048806', NULL, NULL, 311, NULL, 'Terpenoid synthases', 200468),
(262274, '0048261', NULL, NULL, 328, NULL, 'Terpenoid synthases', 200468),
(262275, '0053355', NULL, NULL, 328, NULL, 'Terpenoid synthases', 200468),
(262276, '0046340', NULL, NULL, 300, NULL, 'Terpenoid synthases', 200468),
(262277, '0047573', NULL, NULL, 354, NULL, 'Terpenoid synthases', 200468),
(262278, '0054583', NULL, NULL, 291, NULL, 'Terpenoid synthases', 200468),
(262279, '0043350', NULL, NULL, 299, NULL, 'Terpenoid synthases', 200468),
(262280, '0043373', NULL, NULL, 290, NULL, 'Terpenoid synthases', 200468),
(262281, '0049855', NULL, NULL, 348, NULL, 'Terpenoid synthases', 200468),
(262282, '0046658', NULL, NULL, 333, NULL, 'Terpenoid synthases', 200468),
(262283, '0044612', NULL, NULL, 280, NULL, 'Terpenoid synthases', 200468),
(262284, '0039566', NULL, NULL, 114, NULL, 'SRP19', 200469),
(262285, '0040287', NULL, NULL, 104, NULL, 'SRP19', 200469),
(262286, '0040576', NULL, NULL, 87, NULL, 'SRP19', 200469),
(262287, '0053101', NULL, NULL, 113, NULL, 'MK0786-like', 200470),
(262288, '0053075', NULL, NULL, 120, NULL, 'MK0786-like', 200470),
(262289, '0041339', NULL, NULL, 60, NULL, 'Hypothetical protein YoaG', 200471),
(262290, '0039652', NULL, NULL, 157, NULL, 'IpsF-like', 200472),
(262291, '0039813', NULL, NULL, 155, NULL, 'IpsF-like', 200472),
(262292, '0039216', NULL, NULL, 150, NULL, 'IpsF-like', 200472),
(262293, '0050367', NULL, NULL, 163, NULL, 'IpsF-like', 200472),
(262294, '0049504', NULL, NULL, 158, NULL, 'IpsF-like', 200472),
(262295, '0050258', NULL, NULL, 163, NULL, 'Vitelline membrane outer protein-I (VMO-I)', 200473),
(262296, '0048597', NULL, NULL, 478, NULL, 'Sema domain', 200474),
(262297, '0049402', NULL, NULL, 476, NULL, 'Sema domain', 200474),
(262298, '0048888', NULL, NULL, 495, NULL, 'Sema domain', 200474),
(262299, '0050767', NULL, NULL, 100, NULL, 'RGC domain-like', 200475),
(262300, '0051537', NULL, NULL, 122, NULL, 'L,D-transpeptidase pre-catalytic domain-like', 200476),
(262301, '0052673', NULL, NULL, 309, NULL, 'CofD-like', 200477),
(262302, '0053061', NULL, NULL, 311, NULL, 'CofD-like', 200477),
(262303, '0042148', NULL, NULL, 307, NULL, 'Origin of replication-binding domain, RBD-like', 200478),
(262304, '0040363', NULL, NULL, 118, NULL, 'Origin of replication-binding domain, RBD-like', 200478);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(262305, '0040790', NULL, NULL, 193, NULL, 'Origin of replication-binding domain, RBD-like', 200478),
(262306, '0043184', NULL, NULL, 145, NULL, 'Origin of replication-binding domain, RBD-like', 200478),
(262307, '0037306', NULL, NULL, 148, NULL, 'Origin of replication-binding domain, RBD-like', 200478),
(262308, '0041922', NULL, NULL, 293, NULL, 'Origin of replication-binding domain, RBD-like', 200478),
(262309, '0052766', NULL, NULL, 126, NULL, 'Origin of replication-binding domain, RBD-like', 200478),
(262310, '0054606', NULL, NULL, 204, NULL, 'Cation efflux protein transmembrane domain-like', 200479),
(262311, '0042540', NULL, NULL, 60, NULL, 'Docking domain B of the erythromycin polyketide synthase (DEBS)', 200480),
(262312, '0041989', NULL, NULL, 66, NULL, 'N-terminal, cytoplasmic domain of anti-sigmaE factor RseA', 200481),
(262313, '0044442', NULL, NULL, 362, NULL, 'Sulfolobus fructose-1,6-bisphosphatase-like', 200482),
(262314, '0048095', NULL, NULL, 161, NULL, 'Homing endonucleases', 200483),
(262315, '0035313', NULL, NULL, 80, NULL, 'Homing endonucleases', 200483),
(262316, '0035312', NULL, NULL, 93, NULL, 'Homing endonucleases', 200483),
(262317, '0042194', NULL, NULL, 125, NULL, 'Homing endonucleases', 200483),
(262318, '0035652', NULL, NULL, 152, NULL, 'Homing endonucleases', 200483),
(262319, '0036553', NULL, NULL, 109, NULL, 'Homing endonucleases', 200483),
(262320, '0036398', NULL, NULL, 117, NULL, 'Homing endonucleases', 200483),
(262321, '0036552', NULL, NULL, 98, NULL, 'Homing endonucleases', 200483),
(262322, '0036397', NULL, NULL, 118, NULL, 'Homing endonucleases', 200483),
(262323, '0041030', NULL, NULL, 153, NULL, 'Homing endonucleases', 200483),
(262324, '0049127', NULL, NULL, 205, NULL, 'Homing endonucleases', 200483),
(262325, '0049126', NULL, NULL, 118, NULL, 'Homing endonucleases', 200483),
(262326, '0048712', NULL, NULL, 129, NULL, 'Homing endonucleases', 200483),
(262327, '0049817', NULL, NULL, 81, NULL, 'YugE-like', 200484),
(262328, '0046281', NULL, NULL, 323, NULL, 'Protein prenylyltransferase', 200485),
(262329, '0046296', NULL, NULL, 335, NULL, 'Protein prenylyltransferase', 200485),
(262330, '0042669', NULL, NULL, 30, NULL, 'PetG subunit of the cytochrome b6f complex', 200486),
(262331, '0044730', NULL, NULL, 27, NULL, 'PetG subunit of the cytochrome b6f complex', 200486),
(262332, '0046371', NULL, NULL, 352, NULL, 'Periplasmic binding protein-like II', 200487),
(262333, '0051520', NULL, NULL, 204, NULL, 'Periplasmic binding protein-like II', 200487),
(262334, '0046370', NULL, NULL, 334, NULL, 'Periplasmic binding protein-like II', 200487),
(262335, '0048393', NULL, NULL, 308, NULL, 'Periplasmic binding protein-like II', 200487),
(262336, '0050155', NULL, NULL, 206, NULL, 'Periplasmic binding protein-like II', 200487),
(262337, '0051046', NULL, NULL, 504, NULL, 'Periplasmic binding protein-like II', 200487),
(262338, '0047464', NULL, NULL, 321, NULL, 'Periplasmic binding protein-like II', 200487),
(262339, '0043183', NULL, NULL, 309, NULL, 'Periplasmic binding protein-like II', 200487),
(262340, '0049487', NULL, NULL, 270, NULL, 'Periplasmic binding protein-like II', 200487),
(262341, '0052374', NULL, NULL, 352, NULL, 'Periplasmic binding protein-like II', 200487),
(262342, '0047462', NULL, NULL, 205, NULL, 'Periplasmic binding protein-like II', 200487),
(262343, '0038704', NULL, NULL, 238, NULL, 'Periplasmic binding protein-like II', 200487),
(262344, '0051126', NULL, NULL, 311, NULL, 'Periplasmic binding protein-like II', 200487),
(262345, '0036601', NULL, NULL, 356, NULL, 'Periplasmic binding protein-like II', 200487),
(262346, '0051127', NULL, NULL, 307, NULL, 'Periplasmic binding protein-like II', 200487),
(262347, '0046857', NULL, NULL, 262, NULL, 'Periplasmic binding protein-like II', 200487),
(262348, '0052806', NULL, NULL, 220, NULL, 'Periplasmic binding protein-like II', 200487),
(262349, '0046378', NULL, NULL, 507, NULL, 'Periplasmic binding protein-like II', 200487),
(262350, '0043543', NULL, NULL, 309, NULL, 'Periplasmic binding protein-like II', 200487);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(262351, '0049726', NULL, NULL, 249, NULL, 'Periplasmic binding protein-like II', 200487),
(262352, '0051099', NULL, NULL, 248, NULL, 'Periplasmic binding protein-like II', 200487),
(262353, '0054445', NULL, NULL, 136, NULL, 'Periplasmic binding protein-like II', 200487),
(262354, '0047112', NULL, NULL, 220, NULL, 'Periplasmic binding protein-like II', 200487),
(262355, '0054440', NULL, NULL, 228, NULL, 'Periplasmic binding protein-like II', 200487),
(262356, '0051251', NULL, NULL, 318, NULL, 'Periplasmic binding protein-like II', 200487),
(262357, '0051539', NULL, NULL, 260, NULL, 'Periplasmic binding protein-like II', 200487),
(262358, '0050446', NULL, NULL, 223, NULL, 'Periplasmic binding protein-like II', 200487),
(262359, '0052589', NULL, NULL, 247, NULL, 'Periplasmic binding protein-like II', 200487),
(262360, '0046627', NULL, NULL, 407, NULL, 'Periplasmic binding protein-like II', 200487),
(262361, '0045538', NULL, NULL, 370, NULL, 'Periplasmic binding protein-like II', 200487),
(262362, '0048727', NULL, NULL, 289, NULL, 'Periplasmic binding protein-like II', 200487),
(262363, '0047639', NULL, NULL, 332, NULL, 'Periplasmic binding protein-like II', 200487),
(262364, '0039785', NULL, NULL, 333, NULL, 'Periplasmic binding protein-like II', 200487),
(262365, '0045817', NULL, NULL, 231, NULL, 'Periplasmic binding protein-like II', 200487),
(262366, '0042263', NULL, NULL, 217, NULL, 'Periplasmic binding protein-like II', 200487),
(262367, '0047313', NULL, NULL, 212, NULL, 'Periplasmic binding protein-like II', 200487),
(262368, '0049612', NULL, NULL, 329, NULL, 'Periplasmic binding protein-like II', 200487),
(262369, '0044486', NULL, NULL, 487, NULL, 'Periplasmic binding protein-like II', 200487),
(262370, '0045575', NULL, NULL, 362, NULL, 'Periplasmic binding protein-like II', 200487),
(262371, '0051090', NULL, NULL, 240, NULL, 'Periplasmic binding protein-like II', 200487),
(262372, '0050299', NULL, NULL, 535, NULL, 'Periplasmic binding protein-like II', 200487),
(262373, '0048497', NULL, NULL, 203, NULL, 'Periplasmic binding protein-like II', 200487),
(262374, '0054694', NULL, NULL, 376, NULL, 'Periplasmic binding protein-like II', 200487),
(262375, '0054618', NULL, NULL, 184, NULL, 'Periplasmic binding protein-like II', 200487),
(262376, '0035894', NULL, NULL, 357, NULL, 'Periplasmic binding protein-like II', 200487),
(262377, '0039658', NULL, NULL, 342, NULL, 'Periplasmic binding protein-like II', 200487),
(262378, '0052357', NULL, NULL, 270, NULL, 'Periplasmic binding protein-like II', 200487),
(262379, '0052996', NULL, NULL, 325, NULL, 'Periplasmic binding protein-like II', 200487),
(262380, '0040650', NULL, NULL, 239, NULL, 'Periplasmic binding protein-like II', 200487),
(262381, '0041385', NULL, NULL, 210, NULL, 'Periplasmic binding protein-like II', 200487),
(262382, '0052509', NULL, NULL, 212, NULL, 'Periplasmic binding protein-like II', 200487),
(262383, '0049987', NULL, NULL, 298, NULL, 'Periplasmic binding protein-like II', 200487),
(262384, '0046398', NULL, NULL, 333, NULL, 'Periplasmic binding protein-like II', 200487),
(262385, '0037070', NULL, NULL, 380, NULL, 'Periplasmic binding protein-like II', 200487),
(262386, '0047567', NULL, NULL, 517, NULL, 'Periplasmic binding protein-like II', 200487),
(262387, '0048733', NULL, NULL, 333, NULL, 'Periplasmic binding protein-like II', 200487),
(262388, '0044496', NULL, NULL, 367, NULL, 'Periplasmic binding protein-like II', 200487),
(262389, '0042594', NULL, NULL, 318, NULL, 'Periplasmic binding protein-like II', 200487),
(262390, '0054095', NULL, NULL, 272, NULL, 'Periplasmic binding protein-like II', 200487),
(262391, '0045864', NULL, NULL, 356, NULL, 'Periplasmic binding protein-like II', 200487),
(262392, '0046117', NULL, NULL, 333, NULL, 'Periplasmic binding protein-like II', 200487),
(262393, '0046557', NULL, NULL, 324, NULL, 'Periplasmic binding protein-like II', 200487),
(262394, '0045863', NULL, NULL, 333, NULL, 'Periplasmic binding protein-like II', 200487),
(262395, '0045745', NULL, NULL, 341, NULL, 'Periplasmic binding protein-like II', 200487);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(262396, '0046118', NULL, NULL, 356, NULL, 'Periplasmic binding protein-like II', 200487),
(262397, '0047371', NULL, NULL, 226, NULL, 'Periplasmic binding protein-like II', 200487),
(262398, '0054389', NULL, NULL, 311, NULL, 'Periplasmic binding protein-like II', 200487),
(262399, '0045790', NULL, NULL, 237, NULL, 'Periplasmic binding protein-like II', 200487),
(262400, '0051197', NULL, NULL, 317, NULL, 'Periplasmic binding protein-like II', 200487),
(262401, '0049271', NULL, NULL, 324, NULL, 'Periplasmic binding protein-like II', 200487),
(262402, '0054307', NULL, NULL, 277, NULL, 'Periplasmic binding protein-like II', 200487),
(262403, '0042201', NULL, NULL, 255, NULL, 'Periplasmic binding protein-like II', 200487),
(262404, '0049916', NULL, NULL, 496, NULL, 'Periplasmic binding protein-like II', 200487),
(262405, '0051706', NULL, NULL, 278, NULL, 'Periplasmic binding protein-like II', 200487),
(262406, '0042407', NULL, NULL, 322, NULL, 'Periplasmic binding protein-like II', 200487),
(262407, '0046289', NULL, NULL, 309, NULL, 'Periplasmic binding protein-like II', 200487),
(262408, '0047137', NULL, NULL, 331, NULL, 'Periplasmic binding protein-like II', 200487),
(262409, '0049998', NULL, NULL, 219, NULL, 'Periplasmic binding protein-like II', 200487),
(262410, '0051191', NULL, NULL, 490, NULL, 'Periplasmic binding protein-like II', 200487),
(262411, '0045793', NULL, NULL, 231, NULL, 'Periplasmic binding protein-like II', 200487),
(262412, '0047138', NULL, NULL, 346, NULL, 'Periplasmic binding protein-like II', 200487),
(262413, '0049318', NULL, NULL, 257, NULL, 'Periplasmic binding protein-like II', 200487),
(262414, '0047899', NULL, NULL, 492, NULL, 'Periplasmic binding protein-like II', 200487),
(262415, '0048590', NULL, NULL, 91, NULL, 'gamma-Crystallin-like', 200488),
(262416, '0048591', NULL, NULL, 92, NULL, 'gamma-Crystallin-like', 200488),
(262417, '0047120', NULL, NULL, 88, NULL, 'gamma-Crystallin-like', 200488),
(262418, '0034883', NULL, NULL, 84, NULL, 'gamma-Crystallin-like', 200488),
(262419, '0038504', NULL, NULL, 87, NULL, 'gamma-Crystallin-like', 200488),
(262420, '0034884', NULL, NULL, 89, NULL, 'gamma-Crystallin-like', 200488),
(262421, '0038408', NULL, NULL, 85, NULL, 'gamma-Crystallin-like', 200488),
(262422, '0051406', NULL, NULL, 90, NULL, 'gamma-Crystallin-like', 200488),
(262423, '0038546', NULL, NULL, 100, NULL, 'gamma-Crystallin-like', 200488),
(262424, '0038100', NULL, NULL, 87, NULL, 'gamma-Crystallin-like', 200488),
(262425, '0045707', NULL, NULL, 89, NULL, 'gamma-Crystallin-like', 200488),
(262426, '0035792', NULL, NULL, 76, NULL, 'gamma-Crystallin-like', 200488),
(262427, '0037390', NULL, NULL, 84, NULL, 'gamma-Crystallin-like', 200488),
(262428, '0042432', NULL, NULL, 83, NULL, 'gamma-Crystallin-like', 200488),
(262429, '0048120', NULL, NULL, 85, NULL, 'gamma-Crystallin-like', 200488),
(262430, '0046582', NULL, NULL, 88, NULL, 'gamma-Crystallin-like', 200488),
(262431, '0046581', NULL, NULL, 85, NULL, 'gamma-Crystallin-like', 200488),
(262432, '0035104', NULL, NULL, 85, NULL, 'gamma-Crystallin-like', 200488),
(262433, '0035469', NULL, NULL, 176, NULL, 'gamma-Crystallin-like', 200488),
(262434, '0034930', NULL, NULL, 86, NULL, 'gamma-Crystallin-like', 200488),
(262435, '0035105', NULL, NULL, 89, NULL, 'gamma-Crystallin-like', 200488),
(262436, '0041510', NULL, NULL, 88, NULL, 'gamma-Crystallin-like', 200488),
(262437, '0035560', NULL, NULL, 102, NULL, 'gamma-Crystallin-like', 200488),
(262438, '0040847', NULL, NULL, 88, NULL, 'gamma-Crystallin-like', 200488),
(262439, '0044983', NULL, NULL, 88, NULL, 'gamma-Crystallin-like', 200488),
(262440, '0039497', NULL, NULL, 97, NULL, 'SirA-like', 200489),
(262441, '0039494', NULL, NULL, 98, NULL, 'SirA-like', 200489),
(262442, '0036351', NULL, NULL, 81, NULL, 'SirA-like', 200489),
(262443, '0042226', NULL, NULL, 78, NULL, 'SirA-like', 200489),
(262444, '0043535', NULL, NULL, 138, NULL, 'Stathmin', 200490),
(262445, '0053873', NULL, NULL, 145, NULL, 'GINS helical bundle-like', 200491),
(262446, '0053871', NULL, NULL, 105, NULL, 'GINS helical bundle-like', 200491);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(262447, '0053868', NULL, NULL, 144, NULL, 'GINS helical bundle-like', 200491),
(262448, '0053869', NULL, NULL, 112, NULL, 'GINS helical bundle-like', 200491),
(262449, '0036849', NULL, NULL, 174, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262450, '0039157', NULL, NULL, 217, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262451, '0039872', NULL, NULL, 292, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262452, '0043425', NULL, NULL, 250, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262453, '0039156', NULL, NULL, 213, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262454, '0043426', NULL, NULL, 244, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262455, '0039159', NULL, NULL, 233, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262456, '0039158', NULL, NULL, 244, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262457, '0043428', NULL, NULL, 242, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262458, '0043429', NULL, NULL, 233, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262459, '0050948', NULL, NULL, 238, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262460, '0049601', NULL, NULL, 253, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262461, '0046214', NULL, NULL, 192, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262462, '0047427', NULL, NULL, 220, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262463, '0042377', NULL, NULL, 221, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262464, '0043422', NULL, NULL, 222, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262465, '0043423', NULL, NULL, 233, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262466, '0047426', NULL, NULL, 243, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262467, '0040554', NULL, NULL, 422, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262468, '0043424', NULL, NULL, 243, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262469, '0047031', NULL, NULL, 234, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262470, '0054762', NULL, NULL, 180, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262471, '0053199', NULL, NULL, 537, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262472, '0052428', NULL, NULL, 542, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262473, '0042626', NULL, NULL, 227, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262474, '0042627', NULL, NULL, 268, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262475, '0053074', NULL, NULL, 516, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262476, '0043430', NULL, NULL, 244, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262477, '0043431', NULL, NULL, 205, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262478, '0043433', NULL, NULL, 204, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262479, '0043434', NULL, NULL, 198, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262480, '0043435', NULL, NULL, 212, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262481, '0047001', NULL, NULL, 766, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262482, '0037916', NULL, NULL, 173, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262483, '0039539', NULL, NULL, 206, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262484, '0053208', NULL, NULL, 534, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492);
INSERT INTO "PUBLIC"."MODEL" VALUES
(262485, '0036865', NULL, NULL, 422, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262486, '0046519', NULL, NULL, 249, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262487, '0039335', NULL, NULL, 202, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262488, '0039334', NULL, NULL, 243, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262489, '0042559', NULL, NULL, 204, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262490, '0045668', NULL, NULL, 294, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262491, '0049273', NULL, NULL, 222, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262492, '0049272', NULL, NULL, 241, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262493, '0054144', NULL, NULL, 229, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262494, '0048784', NULL, NULL, 203, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262495, '0035162', NULL, NULL, 303, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262496, '0036097', NULL, NULL, 751, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262497, '0039168', NULL, NULL, 199, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262498, '0039167', NULL, NULL, 204, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262499, '0039169', NULL, NULL, 201, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262500, '0039164', NULL, NULL, 245, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262501, '0039163', NULL, NULL, 238, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262502, '0039165', NULL, NULL, 202, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262503, '0039160', NULL, NULL, 250, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262504, '0045430', NULL, NULL, 342, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262505, '0039162', NULL, NULL, 234, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262506, '0048627', NULL, NULL, 675, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262507, '0040786', NULL, NULL, 171, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', 200492),
(262508, '0043151', NULL, NULL, 80, NULL, 'Flavivirus capsid protein C', 200493),
(262509, '0043584', NULL, NULL, 73, NULL, 'Flavivirus capsid protein C', 200493),
(262510, '0054506', NULL, NULL, 84, NULL, 'PH0987 N-terminal domain-like', 200494),
(262511, '0050593', NULL, NULL, 143, NULL, 'Band 7/SPFH domain', 200495),
(262512, '0044107', NULL, NULL, 316, NULL, 'Thymidylate synthase/dCMP hydroxymethylase', 200496),
(262513, '0038750', NULL, NULL, 288, NULL, 'Thymidylate synthase/dCMP hydroxymethylase', 200496),
(262514, '0042943', NULL, NULL, 264, NULL, 'Thymidylate synthase/dCMP hydroxymethylase', 200496),
(262515, '0039350', NULL, NULL, 326, NULL, 'Thymidylate synthase/dCMP hydroxymethylase', 200496),
(262516, '0043052', NULL, NULL, 341, NULL, 'Thymidylate synthase/dCMP hydroxymethylase', 200496),
(262517, '0035603', NULL, NULL, 278, NULL, 'Thymidylate synthase/dCMP hydroxymethylase', 200496),
(262518, '0044026', NULL, NULL, 286, NULL, 'Thymidylate synthase/dCMP hydroxymethylase', 200496),
(262519, '0045478', NULL, NULL, 281, NULL, 'Thymidylate synthase/dCMP hydroxymethylase', 200496),
(262520, '0035358', NULL, NULL, 241, NULL, 'Thymidylate synthase/dCMP hydroxymethylase', 200496),
(262521, '0035996', NULL, NULL, 295, NULL, 'Thymidylate synthase/dCMP hydroxymethylase', 200496),
(262522, '0046146', NULL, NULL, 89, NULL, 'Barrier-to-autointegration factor, BAF', 200497),
(262523, '0053880', NULL, NULL, 161, NULL, 'WSSV envelope protein-like', 200498),
(262524, '0053879', NULL, NULL, 170, NULL, 'WSSV envelope protein-like', 200498);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(262525, '0047182', NULL, NULL, 107, NULL, 'Cell-division inhibitor MinC, C-terminal domain', 200499),
(262526, '0048296', NULL, NULL, 67, NULL, 'Bifunctional inhibitor/lipid-transfer protein/seed storage 2S albumin', 200500),
(262527, '0048161', NULL, NULL, 91, NULL, 'Bifunctional inhibitor/lipid-transfer protein/seed storage 2S albumin', 200500),
(262528, '0038707', NULL, NULL, 120, NULL, 'Bifunctional inhibitor/lipid-transfer protein/seed storage 2S albumin', 200500),
(262529, '0035743', NULL, NULL, 90, NULL, 'Bifunctional inhibitor/lipid-transfer protein/seed storage 2S albumin', 200500),
(262530, '0042457', NULL, NULL, 125, NULL, 'Bifunctional inhibitor/lipid-transfer protein/seed storage 2S albumin', 200500),
(262531, '0046805', NULL, NULL, 93, NULL, 'Bifunctional inhibitor/lipid-transfer protein/seed storage 2S albumin', 200500),
(262532, '0043504', NULL, NULL, 103, NULL, 'Bifunctional inhibitor/lipid-transfer protein/seed storage 2S albumin', 200500),
(262533, '0035496', NULL, NULL, 116, NULL, 'Bifunctional inhibitor/lipid-transfer protein/seed storage 2S albumin', 200500),
(262534, '0040393', NULL, NULL, 69, NULL, 'Bifunctional inhibitor/lipid-transfer protein/seed storage 2S albumin', 200500),
(262535, '0047269', NULL, NULL, 75, NULL, 'Bifunctional inhibitor/lipid-transfer protein/seed storage 2S albumin', 200500),
(262536, '0042396', NULL, NULL, 107, NULL, 'Bifunctional inhibitor/lipid-transfer protein/seed storage 2S albumin', 200500),
(262537, '0044059', NULL, NULL, 117, NULL, 'Bifunctional inhibitor/lipid-transfer protein/seed storage 2S albumin', 200500),
(262538, '0043446', NULL, NULL, 91, NULL, 'Bifunctional inhibitor/lipid-transfer protein/seed storage 2S albumin', 200500),
(262539, '0041785', NULL, NULL, 58, NULL, 'Mitochondrial cytochrome c oxidase subunit VIIa', 200501),
(262540, '0040976', NULL, NULL, 371, NULL, 'Viral chemokine binding protein m3', 200502),
(262541, '0049422', NULL, NULL, 141, NULL, 'Riboflavin synthase domain-like', 200503),
(262542, '0052010', NULL, NULL, 133, NULL, 'Riboflavin synthase domain-like', 200503),
(262543, '0038027', NULL, NULL, 146, NULL, 'Riboflavin synthase domain-like', 200503),
(262544, '0038920', NULL, NULL, 93, NULL, 'Riboflavin synthase domain-like', 200503),
(262545, '0038921', NULL, NULL, 113, NULL, 'Riboflavin synthase domain-like', 200503),
(262546, '0040333', NULL, NULL, 92, NULL, 'Riboflavin synthase domain-like', 200503),
(262547, '0046758', NULL, NULL, 99, NULL, 'Riboflavin synthase domain-like', 200503),
(262548, '0041321', NULL, NULL, 123, NULL, 'Riboflavin synthase domain-like', 200503),
(262549, '0049949', NULL, NULL, 124, NULL, 'Riboflavin synthase domain-like', 200503),
(262550, '0046818', NULL, NULL, 136, NULL, 'Riboflavin synthase domain-like', 200503),
(262551, '0045224', NULL, NULL, 114, NULL, 'Riboflavin synthase domain-like', 200503),
(262552, '0040334', NULL, NULL, 110, NULL, 'Riboflavin synthase domain-like', 200503),
(262553, '0038912', NULL, NULL, 125, NULL, 'Riboflavin synthase domain-like', 200503),
(262554, '0034954', NULL, NULL, 99, NULL, 'Riboflavin synthase domain-like', 200503),
(262555, '0036118', NULL, NULL, 111, NULL, 'Riboflavin synthase domain-like', 200503),
(262556, '0040221', NULL, NULL, 100, NULL, 'Riboflavin synthase domain-like', 200503),
(262557, '0048947', NULL, NULL, 153, NULL, 'Riboflavin synthase domain-like', 200503),
(262558, '0045794', NULL, NULL, 276, NULL, 'Riboflavin synthase domain-like', 200503),
(262559, '0046685', NULL, NULL, 270, NULL, 'Riboflavin synthase domain-like', 200503),
(262560, '0053271', NULL, NULL, 103, NULL, 'Riboflavin synthase domain-like', 200503),
(262561, '0038291', NULL, NULL, 107, NULL, 'Riboflavin synthase domain-like', 200503),
(262562, '0049710', NULL, NULL, 109, NULL, 'Riboflavin synthase domain-like', 200503),
(262563, '0047554', NULL, NULL, 157, NULL, 'Riboflavin synthase domain-like', 200503),
(262564, '0046600', NULL, NULL, 101, NULL, 'Riboflavin synthase domain-like', 200503),
(262565, '0046305', NULL, NULL, 221, NULL, 'Riboflavin synthase domain-like', 200503);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(262566, '0042742', NULL, NULL, 97, NULL, 'Riboflavin synthase domain-like', 200503),
(262567, '0044483', NULL, NULL, 58, NULL, 'GRIP domain', 200504),
(262568, '0048075', NULL, NULL, 256, NULL, 'alpha/beta-Hydrolases', 200505),
(262569, '0051001', NULL, NULL, 258, NULL, 'alpha/beta-Hydrolases', 200505),
(262570, '0048194', NULL, NULL, 281, NULL, 'alpha/beta-Hydrolases', 200505),
(262571, '0051883', NULL, NULL, 247, NULL, 'alpha/beta-Hydrolases', 200505),
(262572, '0046573', NULL, NULL, 319, NULL, 'alpha/beta-Hydrolases', 200505),
(262573, '0051009', NULL, NULL, 286, NULL, 'alpha/beta-Hydrolases', 200505),
(262574, '0039914', NULL, NULL, 534, NULL, 'alpha/beta-Hydrolases', 200505),
(262575, '0046219', NULL, NULL, 293, NULL, 'alpha/beta-Hydrolases', 200505),
(262576, '0050947', NULL, NULL, 258, NULL, 'alpha/beta-Hydrolases', 200505),
(262577, '0047940', NULL, NULL, 318, NULL, 'alpha/beta-Hydrolases', 200505),
(262578, '0048633', NULL, NULL, 258, NULL, 'alpha/beta-Hydrolases', 200505),
(262579, '0047388', NULL, NULL, 208, NULL, 'alpha/beta-Hydrolases', 200505),
(262580, '0045886', NULL, NULL, 310, NULL, 'alpha/beta-Hydrolases', 200505),
(262581, '0050682', NULL, NULL, 421, NULL, 'alpha/beta-Hydrolases', 200505),
(262582, '0054522', NULL, NULL, 362, NULL, 'alpha/beta-Hydrolases', 200505),
(262583, '0050563', NULL, NULL, 410, NULL, 'alpha/beta-Hydrolases', 200505),
(262584, '0047034', NULL, NULL, 320, NULL, 'alpha/beta-Hydrolases', 200505),
(262585, '0048003', NULL, NULL, 405, NULL, 'alpha/beta-Hydrolases', 200505),
(262586, '0046221', NULL, NULL, 319, NULL, 'alpha/beta-Hydrolases', 200505),
(262587, '0044560', NULL, NULL, 186, NULL, 'alpha/beta-Hydrolases', 200505),
(262588, '0050206', NULL, NULL, 321, NULL, 'alpha/beta-Hydrolases', 200505),
(262589, '0054009', NULL, NULL, 202, NULL, 'alpha/beta-Hydrolases', 200505),
(262590, '0054008', NULL, NULL, 265, NULL, 'alpha/beta-Hydrolases', 200505),
(262591, '0054086', NULL, NULL, 218, NULL, 'alpha/beta-Hydrolases', 200505),
(262592, '0048126', NULL, NULL, 540, NULL, 'alpha/beta-Hydrolases', 200505),
(262593, '0046502', NULL, NULL, 532, NULL, 'alpha/beta-Hydrolases', 200505),
(262594, '0047317', NULL, NULL, 179, NULL, 'alpha/beta-Hydrolases', 200505),
(262595, '0048008', NULL, NULL, 337, NULL, 'alpha/beta-Hydrolases', 200505),
(262596, '0046624', NULL, NULL, 336, NULL, 'alpha/beta-Hydrolases', 200505),
(262597, '0047683', NULL, NULL, 347, NULL, 'alpha/beta-Hydrolases', 200505),
(262598, '0047200', NULL, NULL, 371, NULL, 'alpha/beta-Hydrolases', 200505),
(262599, '0053045', NULL, NULL, 260, NULL, 'alpha/beta-Hydrolases', 200505),
(262600, '0046077', NULL, NULL, 281, NULL, 'alpha/beta-Hydrolases', 200505),
(262601, '0053845', NULL, NULL, 122, NULL, 'alpha/beta-Hydrolases', 200505),
(262602, '0054656', NULL, NULL, 203, NULL, 'alpha/beta-Hydrolases', 200505),
(262603, '0045824', NULL, NULL, 218, NULL, 'alpha/beta-Hydrolases', 200505),
(262604, '0046639', NULL, NULL, 308, NULL, 'alpha/beta-Hydrolases', 200505),
(262605, '0054807', NULL, NULL, 209, NULL, 'alpha/beta-Hydrolases', 200505),
(262606, '0054493', NULL, NULL, 261, NULL, 'alpha/beta-Hydrolases', 200505),
(262607, '0047600', NULL, NULL, 255, NULL, 'alpha/beta-Hydrolases', 200505),
(262608, '0047444', NULL, NULL, 271, NULL, 'alpha/beta-Hydrolases', 200505),
(262609, '0042551', NULL, NULL, 297, NULL, 'alpha/beta-Hydrolases', 200505),
(262610, '0048935', NULL, NULL, 483, NULL, 'alpha/beta-Hydrolases', 200505),
(262611, '0047601', NULL, NULL, 311, NULL, 'alpha/beta-Hydrolases', 200505),
(262612, '0049591', NULL, NULL, 317, NULL, 'alpha/beta-Hydrolases', 200505),
(262613, '0049631', NULL, NULL, 302, NULL, 'alpha/beta-Hydrolases', 200505),
(262614, '0049630', NULL, NULL, 544, NULL, 'alpha/beta-Hydrolases', 200505),
(262615, '0047451', NULL, NULL, 452, NULL, 'alpha/beta-Hydrolases', 200505),
(262616, '0041193', NULL, NULL, 256, NULL, 'alpha/beta-Hydrolases', 200505),
(262617, '0050226', NULL, NULL, 263, NULL, 'alpha/beta-Hydrolases', 200505),
(262618, '0053336', NULL, NULL, 265, NULL, 'alpha/beta-Hydrolases', 200505);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(262619, '0039602', NULL, NULL, 358, NULL, 'alpha/beta-Hydrolases', 200505),
(262620, '0046928', NULL, NULL, 207, NULL, 'alpha/beta-Hydrolases', 200505),
(262621, '0053729', NULL, NULL, 357, NULL, 'alpha/beta-Hydrolases', 200505),
(262622, '0037021', NULL, NULL, 279, NULL, 'alpha/beta-Hydrolases', 200505),
(262623, '0047974', NULL, NULL, 265, NULL, 'alpha/beta-Hydrolases', 200505),
(262624, '0046126', NULL, NULL, 197, NULL, 'alpha/beta-Hydrolases', 200505),
(262625, '0046004', NULL, NULL, 277, NULL, 'alpha/beta-Hydrolases', 200505),
(262626, '0048945', NULL, NULL, 280, NULL, 'alpha/beta-Hydrolases', 200505),
(262627, '0048825', NULL, NULL, 299, NULL, 'alpha/beta-Hydrolases', 200505),
(262628, '0049638', NULL, NULL, 269, NULL, 'alpha/beta-Hydrolases', 200505),
(262629, '0049637', NULL, NULL, 271, NULL, 'alpha/beta-Hydrolases', 200505),
(262630, '0049087', NULL, NULL, 242, NULL, 'alpha/beta-Hydrolases', 200505),
(262631, '0054676', NULL, NULL, 283, NULL, 'alpha/beta-Hydrolases', 200505),
(262632, '0050112', NULL, NULL, 271, NULL, 'alpha/beta-Hydrolases', 200505),
(262633, '0046012', NULL, NULL, 338, NULL, 'alpha/beta-Hydrolases', 200505),
(262634, '0047220', NULL, NULL, 337, NULL, 'alpha/beta-Hydrolases', 200505),
(262635, '0049001', NULL, NULL, 394, NULL, 'alpha/beta-Hydrolases', 200505),
(262636, '0036443', NULL, NULL, 233, NULL, 'alpha/beta-Hydrolases', 200505),
(262637, '0041081', NULL, NULL, 290, NULL, 'alpha/beta-Hydrolases', 200505),
(262638, '0053348', NULL, NULL, 319, NULL, 'alpha/beta-Hydrolases', 200505),
(262639, '0038343', NULL, NULL, 534, NULL, 'alpha/beta-Hydrolases', 200505),
(262640, '0049928', NULL, NULL, 517, NULL, 'alpha/beta-Hydrolases', 200505),
(262641, '0037013', NULL, NULL, 293, NULL, 'alpha/beta-Hydrolases', 200505),
(262642, '0047627', NULL, NULL, 230, NULL, 'alpha/beta-Hydrolases', 200505),
(262643, '0042339', NULL, NULL, 268, NULL, 'alpha/beta-Hydrolases', 200505),
(262644, '0054709', NULL, NULL, 376, NULL, 'alpha/beta-Hydrolases', 200505),
(262645, '0046410', NULL, NULL, 262, NULL, 'alpha/beta-Hydrolases', 200505),
(262646, '0049128', NULL, NULL, 267, NULL, 'alpha/beta-Hydrolases', 200505),
(262647, '0049887', NULL, NULL, 238, NULL, 'alpha/beta-Hydrolases', 200505),
(262648, '0046412', NULL, NULL, 571, NULL, 'alpha/beta-Hydrolases', 200505),
(262649, '0048675', NULL, NULL, 526, NULL, 'alpha/beta-Hydrolases', 200505),
(262650, '0049005', NULL, NULL, 207, NULL, 'alpha/beta-Hydrolases', 200505),
(262651, '0041128', NULL, NULL, 532, NULL, 'alpha/beta-Hydrolases', 200505),
(262652, '0047592', NULL, NULL, 388, NULL, 'alpha/beta-Hydrolases', 200505),
(262653, '0047194', NULL, NULL, 279, NULL, 'alpha/beta-Hydrolases', 200505),
(262654, '0047078', NULL, NULL, 426, NULL, 'alpha/beta-Hydrolases', 200505),
(262655, '0054207', NULL, NULL, 360, NULL, 'alpha/beta-Hydrolases', 200505),
(262656, '0049094', NULL, NULL, 264, NULL, 'alpha/beta-Hydrolases', 200505),
(262657, '0050245', NULL, NULL, 322, NULL, 'alpha/beta-Hydrolases', 200505),
(262658, '0045736', NULL, NULL, 275, NULL, 'alpha/beta-Hydrolases', 200505),
(262659, '0040046', NULL, NULL, 267, NULL, 'alpha/beta-Hydrolases', 200505),
(262660, '0046388', NULL, NULL, 280, NULL, 'alpha/beta-Hydrolases', 200505),
(262661, '0045851', NULL, NULL, 313, NULL, 'alpha/beta-Hydrolases', 200505),
(262662, '0047879', NULL, NULL, 388, NULL, 'alpha/beta-Hydrolases', 200505),
(262663, '0048965', NULL, NULL, 256, NULL, 'alpha/beta-Hydrolases', 200505),
(262664, '0048207', NULL, NULL, 381, NULL, 'alpha/beta-Hydrolases', 200505),
(262665, '0048053', NULL, NULL, 317, NULL, 'alpha/beta-Hydrolases', 200505),
(262666, '0050010', NULL, NULL, 261, NULL, 'alpha/beta-Hydrolases', 200505),
(262667, '0049383', NULL, NULL, 288, NULL, 'alpha/beta-Hydrolases', 200505),
(262668, '0046670', NULL, NULL, 284, NULL, 'alpha/beta-Hydrolases', 200505),
(262669, '0046793', NULL, NULL, 229, NULL, 'alpha/beta-Hydrolases', 200505),
(262670, '0045186', NULL, NULL, 579, NULL, 'alpha/beta-Hydrolases', 200505),
(262671, '0037239', NULL, NULL, 285, NULL, 'alpha/beta-Hydrolases', 200505);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(262672, '0053804', NULL, NULL, 318, NULL, 'alpha/beta-Hydrolases', 200505),
(262673, '0053925', NULL, NULL, 218, NULL, 'alpha/beta-Hydrolases', 200505),
(262674, '0043326', NULL, NULL, 330, NULL, 'alpha/beta-Hydrolases', 200505),
(262675, '0046718', NULL, NULL, 533, NULL, 'alpha/beta-Hydrolases', 200505),
(262676, '0047764', NULL, NULL, 377, NULL, 'alpha/beta-Hydrolases', 200505),
(262677, '0045741', NULL, NULL, 274, NULL, 'alpha/beta-Hydrolases', 200505),
(262678, '0047003', NULL, NULL, 283, NULL, 'alpha/beta-Hydrolases', 200505),
(262679, '0045742', NULL, NULL, 273, NULL, 'alpha/beta-Hydrolases', 200505),
(262680, '0045984', NULL, NULL, 291, NULL, 'alpha/beta-Hydrolases', 200505),
(262681, '0048460', NULL, NULL, 385, NULL, 'alpha/beta-Hydrolases', 200505),
(262682, '0049037', NULL, NULL, 314, NULL, 'alpha/beta-Hydrolases', 200505),
(262683, '0048982', NULL, NULL, 318, NULL, 'alpha/beta-Hydrolases', 200505),
(262684, '0047495', NULL, NULL, 268, NULL, 'alpha/beta-Hydrolases', 200505),
(262685, '0039526', NULL, NULL, 260, NULL, 'alpha/beta-Hydrolases', 200505),
(262686, '0046729', NULL, NULL, 539, NULL, 'alpha/beta-Hydrolases', 200505),
(262687, '0046169', NULL, NULL, 534, NULL, 'alpha/beta-Hydrolases', 200505),
(262688, '0046202', NULL, NULL, 534, NULL, 'alpha/beta-Hydrolases', 200505),
(262689, '0045756', NULL, NULL, 483, NULL, 'alpha/beta-Hydrolases', 200505),
(262690, '0051685', NULL, NULL, 270, NULL, 'Bet v1-like', 200506),
(262691, '0054256', NULL, NULL, 183, NULL, 'Bet v1-like', 200506),
(262692, '0054496', NULL, NULL, 147, NULL, 'Bet v1-like', 200506),
(262693, '0046430', NULL, NULL, 159, NULL, 'Bet v1-like', 200506),
(262694, '0054296', NULL, NULL, 147, NULL, 'Bet v1-like', 200506),
(262695, '0053606', NULL, NULL, 269, NULL, 'Bet v1-like', 200506),
(262696, '0050953', NULL, NULL, 165, NULL, 'Bet v1-like', 200506),
(262697, '0052379', NULL, NULL, 146, NULL, 'Bet v1-like', 200506),
(262698, '0052677', NULL, NULL, 151, NULL, 'Bet v1-like', 200506),
(262699, '0049728', NULL, NULL, 147, NULL, 'Bet v1-like', 200506),
(262700, '0050926', NULL, NULL, 157, NULL, 'Bet v1-like', 200506),
(262701, '0047345', NULL, NULL, 155, NULL, 'Bet v1-like', 200506),
(262702, '0046017', NULL, NULL, 159, NULL, 'Bet v1-like', 200506),
(262703, '0046811', NULL, NULL, 159, NULL, 'Bet v1-like', 200506),
(262704, '0054545', NULL, NULL, 197, NULL, 'Bet v1-like', 200506),
(262705, '0053731', NULL, NULL, 137, NULL, 'Bet v1-like', 200506),
(262706, '0051990', NULL, NULL, 153, NULL, 'Bet v1-like', 200506),
(262707, '0051454', NULL, NULL, 279, NULL, 'Bet v1-like', 200506),
(262708, '0054620', NULL, NULL, 133, NULL, 'Bet v1-like', 200506),
(262709, '0047354', NULL, NULL, 155, NULL, 'Bet v1-like', 200506),
(262710, '0051032', NULL, NULL, 143, NULL, 'Bet v1-like', 200506),
(262711, '0054263', NULL, NULL, 160, NULL, 'Bet v1-like', 200506),
(262712, '0048001', NULL, NULL, 203, NULL, 'Bet v1-like', 200506),
(262713, '0051031', NULL, NULL, 138, NULL, 'Bet v1-like', 200506),
(262714, '0054143', NULL, NULL, 164, NULL, 'Bet v1-like', 200506),
(262715, '0050822', NULL, NULL, 132, NULL, 'Bet v1-like', 200506),
(262716, '0050208', NULL, NULL, 120, NULL, 'Bet v1-like', 200506),
(262717, '0051879', NULL, NULL, 279, NULL, 'Bet v1-like', 200506),
(262718, '0050686', NULL, NULL, 279, NULL, 'Bet v1-like', 200506),
(262719, '0051115', NULL, NULL, 163, NULL, 'Bet v1-like', 200506),
(262720, '0052007', NULL, NULL, 287, NULL, 'Bet v1-like', 200506),
(262721, '0054669', NULL, NULL, 155, NULL, 'Bet v1-like', 200506),
(262722, '0054900', NULL, NULL, 138, NULL, 'Bet v1-like', 200506),
(262723, '0052424', NULL, NULL, 242, NULL, 'Bet v1-like', 200506),
(262724, '0054964', NULL, NULL, 143, NULL, 'Bet v1-like', 200506),
(262725, '0046549', NULL, NULL, 293, NULL, 'Bet v1-like', 200506),
(262726, '0049937', NULL, NULL, 281, NULL, 'Bet v1-like', 200506),
(262727, '0051529', NULL, NULL, 143, NULL, 'Bet v1-like', 200506),
(262728, '0052916', NULL, NULL, 155, NULL, 'Bet v1-like', 200506),
(262729, '0046586', NULL, NULL, 214, NULL, 'Bet v1-like', 200506);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(262730, '0047675', NULL, NULL, 199, NULL, 'Bet v1-like', 200506),
(262731, '0049515', NULL, NULL, 148, NULL, 'Bet v1-like', 200506),
(262732, '0049142', NULL, NULL, 164, NULL, 'PR-1-like', 200507),
(262733, '0042890', NULL, NULL, 209, NULL, 'PR-1-like', 200507),
(262734, '0043663', NULL, NULL, 149, NULL, 'PR-1-like', 200507),
(262735, '0035964', NULL, NULL, 135, NULL, 'PR-1-like', 200507),
(262736, '0051465', NULL, NULL, 77, NULL, 'SPy1572-like', 200508),
(262737, '0048018', NULL, NULL, 81, NULL, 'RAP domain-like', 200509),
(262738, '0052758', NULL, NULL, 118, NULL, 'RAP domain-like', 200509),
(262739, '0054125', NULL, NULL, 158, NULL, 'SMI1/KNR4-like', 200510),
(262740, '0054487', NULL, NULL, 135, NULL, 'SMI1/KNR4-like', 200510),
(262741, '0054541', NULL, NULL, 152, NULL, 'SMI1/KNR4-like', 200510),
(262742, '0047508', NULL, NULL, 134, NULL, 'Roadblock/LC7 domain', 200511),
(262743, '0050164', NULL, NULL, 118, NULL, 'Roadblock/LC7 domain', 200511),
(262744, '0050163', NULL, NULL, 122, NULL, 'Roadblock/LC7 domain', 200511),
(262745, '0053647', NULL, NULL, 95, NULL, 'Roadblock/LC7 domain', 200511),
(262746, '0050321', NULL, NULL, 37, NULL, 'Rubredoxin-like', 200512),
(262747, '0052486', NULL, NULL, 52, NULL, 'Rubredoxin-like', 200512),
(262748, '0048398', NULL, NULL, 37, NULL, 'Rubredoxin-like', 200512),
(262749, '0045396', NULL, NULL, 98, NULL, 'Rubredoxin-like', 200512),
(262750, '0043471', NULL, NULL, 56, NULL, 'Rubredoxin-like', 200512),
(262751, '0035679', NULL, NULL, 53, NULL, 'Rubredoxin-like', 200512),
(262752, '0051414', NULL, NULL, 36, NULL, 'Rubredoxin-like', 200512),
(262753, '0036623', NULL, NULL, 44, NULL, 'Rubredoxin-like', 200512),
(262754, '0039201', NULL, NULL, 51, NULL, 'Rubredoxin-like', 200512),
(262755, '0045637', NULL, NULL, 45, NULL, 'Rubredoxin-like', 200512),
(262756, '0046329', NULL, NULL, 36, NULL, 'Rubredoxin-like', 200512),
(262757, '0042711', NULL, NULL, 53, NULL, 'Rubredoxin-like', 200512),
(262758, '0039154', NULL, NULL, 53, NULL, 'Rubredoxin-like', 200512),
(262759, '0043187', NULL, NULL, 52, NULL, 'Rubredoxin-like', 200512),
(262760, '0045630', NULL, NULL, 54, NULL, 'Rubredoxin-like', 200512),
(262761, '0045435', NULL, NULL, 52, NULL, 'Rubredoxin-like', 200512),
(262762, '0046413', NULL, NULL, 70, NULL, 'Rubredoxin-like', 200512),
(262763, '0046415', NULL, NULL, 36, NULL, 'Rubredoxin-like', 200512),
(262764, '0050286', NULL, NULL, 189, NULL, 'Penicillin binding protein dimerisation domain', 200513),
(262765, '0039858', NULL, NULL, 197, NULL, 'Penicillin binding protein dimerisation domain', 200513),
(262766, '0042863', NULL, NULL, 193, NULL, 'Penicillin binding protein dimerisation domain', 200513),
(262767, '0053565', NULL, NULL, 51, NULL, 'Heterotrimerisation domain of extracellular hemoglobin linker subunits', 200514),
(262768, '0053566', NULL, NULL, 51, NULL, 'Heterotrimerisation domain of extracellular hemoglobin linker subunits', 200514),
(262769, '0053567', NULL, NULL, 52, NULL, 'Heterotrimerisation domain of extracellular hemoglobin linker subunits', 200514),
(262770, '0042640', NULL, NULL, 297, NULL, 'LmbE-like', 200515),
(262771, '0044238', NULL, NULL, 227, NULL, 'LmbE-like', 200515),
(262772, '0048443', NULL, NULL, 457, NULL, 'Monomethylamine methyltransferase MtmB', 200516),
(262773, '0039680', NULL, NULL, 100, NULL, 'Ribosome-binding factor A, RbfA', 200517),
(262774, '0053859', NULL, NULL, 91, NULL, 'Ribosome-binding factor A, RbfA', 200517),
(262775, '0048720', NULL, NULL, 96, NULL, 'Ribosome-binding factor A, RbfA', 200517),
(262776, '0047823', NULL, NULL, 108, NULL, 'Ribosome-binding factor A, RbfA', 200517),
(262777, '0053866', NULL, NULL, 116, NULL, 'Ribosome-binding factor A, RbfA', 200517),
(262778, '0041784', NULL, NULL, 73, NULL, 'Mitochondrial cytochrome c oxidase subunit VIc', 200518),
(262779, '0040509', NULL, NULL, 177, NULL, 'Globin-like', 200519),
(262780, '0040508', NULL, NULL, 164, NULL, 'Globin-like', 200519),
(262781, '0035399', NULL, NULL, 177, NULL, 'Globin-like', 200519),
(262782, '0035398', NULL, NULL, 164, NULL, 'Globin-like', 200519);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(262783, '0037451', NULL, NULL, 172, NULL, 'Globin-like', 200519),
(262784, '0042778', NULL, NULL, 175, NULL, 'Globin-like', 200519),
(262785, '0037450', NULL, NULL, 162, NULL, 'Globin-like', 200519),
(262786, '0048236', NULL, NULL, 123, NULL, 'Globin-like', 200519),
(262787, '0048357', NULL, NULL, 126, NULL, 'Globin-like', 200519),
(262788, '0046853', NULL, NULL, 143, NULL, 'Globin-like', 200519),
(262789, '0040873', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262790, '0035426', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262791, '0039501', NULL, NULL, 143, NULL, 'Globin-like', 200519),
(262792, '0035425', NULL, NULL, 142, NULL, 'Globin-like', 200519),
(262793, '0036117', NULL, NULL, 150, NULL, 'Globin-like', 200519),
(262794, '0039500', NULL, NULL, 141, NULL, 'Globin-like', 200519),
(262795, '0039186', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262796, '0038097', NULL, NULL, 162, NULL, 'Globin-like', 200519),
(262797, '0038098', NULL, NULL, 172, NULL, 'Globin-like', 200519),
(262798, '0038490', NULL, NULL, 147, NULL, 'Globin-like', 200519),
(262799, '0047432', NULL, NULL, 141, NULL, 'Globin-like', 200519),
(262800, '0049698', NULL, NULL, 131, NULL, 'Globin-like', 200519),
(262801, '0034966', NULL, NULL, 145, NULL, 'Globin-like', 200519),
(262802, '0047160', NULL, NULL, 141, NULL, 'Globin-like', 200519),
(262803, '0052870', NULL, NULL, 153, NULL, 'Globin-like', 200519),
(262804, '0048134', NULL, NULL, 153, NULL, 'Globin-like', 200519),
(262805, '0039611', NULL, NULL, 147, NULL, 'Globin-like', 200519),
(262806, '0042036', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262807, '0046518', NULL, NULL, 136, NULL, 'Globin-like', 200519),
(262808, '0042035', NULL, NULL, 142, NULL, 'Globin-like', 200519),
(262809, '0045308', NULL, NULL, 147, NULL, 'Globin-like', 200519),
(262810, '0042318', NULL, NULL, 162, NULL, 'Globin-like', 200519),
(262811, '0044617', NULL, NULL, 143, NULL, 'Globin-like', 200519),
(262812, '0036100', NULL, NULL, 172, NULL, 'Globin-like', 200519),
(262813, '0037272', NULL, NULL, 164, NULL, 'Globin-like', 200519),
(262814, '0042319', NULL, NULL, 172, NULL, 'Globin-like', 200519),
(262815, '0044618', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262816, '0037273', NULL, NULL, 177, NULL, 'Globin-like', 200519),
(262817, '0047201', NULL, NULL, 158, NULL, 'Globin-like', 200519),
(262818, '0035092', NULL, NULL, 161, NULL, 'Globin-like', 200519),
(262819, '0046359', NULL, NULL, 121, NULL, 'Globin-like', 200519),
(262820, '0035091', NULL, NULL, 160, NULL, 'Globin-like', 200519),
(262821, '0041985', NULL, NULL, 169, NULL, 'Globin-like', 200519),
(262822, '0038916', NULL, NULL, 162, NULL, 'Globin-like', 200519),
(262823, '0038917', NULL, NULL, 172, NULL, 'Globin-like', 200519),
(262824, '0053691', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262825, '0042568', NULL, NULL, 148, NULL, 'Globin-like', 200519),
(262826, '0041879', NULL, NULL, 147, NULL, 'Globin-like', 200519),
(262827, '0047975', NULL, NULL, 153, NULL, 'Globin-like', 200519),
(262828, '0041116', NULL, NULL, 153, NULL, 'Globin-like', 200519),
(262829, '0053188', NULL, NULL, 153, NULL, 'Globin-like', 200519),
(262830, '0050879', NULL, NULL, 147, NULL, 'Globin-like', 200519),
(262831, '0038624', NULL, NULL, 157, NULL, 'Globin-like', 200519),
(262832, '0045725', NULL, NULL, 151, NULL, 'Globin-like', 200519),
(262833, '0040157', NULL, NULL, 161, NULL, 'Globin-like', 200519),
(262834, '0040156', NULL, NULL, 160, NULL, 'Globin-like', 200519),
(262835, '0038983', NULL, NULL, 127, NULL, 'Globin-like', 200519),
(262836, '0047863', NULL, NULL, 110, NULL, 'Globin-like', 200519),
(262837, '0046411', NULL, NULL, 152, NULL, 'Globin-like', 200519),
(262838, '0037094', NULL, NULL, 153, NULL, 'Globin-like', 200519),
(262839, '0044752', NULL, NULL, 144, NULL, 'Globin-like', 200519),
(262840, '0044511', NULL, NULL, 154, NULL, 'Globin-like', 200519),
(262841, '0045566', NULL, NULL, 145, NULL, 'Globin-like', 200519),
(262842, '0050880', NULL, NULL, 145, NULL, 'Globin-like', 200519),
(262843, '0050882', NULL, NULL, 140, NULL, 'Globin-like', 200519);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(262844, '0050881', NULL, NULL, 149, NULL, 'Globin-like', 200519),
(262845, '0035981', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262846, '0047071', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262847, '0044646', NULL, NULL, 141, NULL, 'Globin-like', 200519),
(262848, '0044647', NULL, NULL, 142, NULL, 'Globin-like', 200519),
(262849, '0043838', NULL, NULL, 142, NULL, 'Globin-like', 200519),
(262850, '0035185', NULL, NULL, 147, NULL, 'Globin-like', 200519),
(262851, '0043839', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262852, '0043550', NULL, NULL, 149, NULL, 'Globin-like', 200519),
(262853, '0043551', NULL, NULL, 150, NULL, 'Globin-like', 200519),
(262854, '0051063', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262855, '0051062', NULL, NULL, 142, NULL, 'Globin-like', 200519),
(262856, '0035972', NULL, NULL, 141, NULL, 'Globin-like', 200519),
(262857, '0035971', NULL, NULL, 141, NULL, 'Globin-like', 200519),
(262858, '0050016', NULL, NULL, 119, NULL, 'Globin-like', 200519),
(262859, '0041146', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262860, '0035292', NULL, NULL, 142, NULL, 'Globin-like', 200519),
(262861, '0038560', NULL, NULL, 141, NULL, 'Globin-like', 200519),
(262862, '0038561', NULL, NULL, 145, NULL, 'Globin-like', 200519),
(262863, '0045349', NULL, NULL, 149, NULL, 'Globin-like', 200519),
(262864, '0038959', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262865, '0046284', NULL, NULL, 165, NULL, 'Globin-like', 200519),
(262866, '0049399', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262867, '0035323', NULL, NULL, 161, NULL, 'Globin-like', 200519),
(262868, '0050304', NULL, NULL, 147, NULL, 'Globin-like', 200519),
(262869, '0034870', NULL, NULL, 141, NULL, 'Globin-like', 200519),
(262870, '0035322', NULL, NULL, 160, NULL, 'Globin-like', 200519),
(262871, '0037868', NULL, NULL, 141, NULL, 'Globin-like', 200519),
(262872, '0034871', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262873, '0037869', NULL, NULL, 145, NULL, 'Globin-like', 200519),
(262874, '0038958', NULL, NULL, 141, NULL, 'Globin-like', 200519),
(262875, '0037587', NULL, NULL, 141, NULL, 'Globin-like', 200519),
(262876, '0037588', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262877, '0037501', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262878, '0036492', NULL, NULL, 116, NULL, 'Globin-like', 200519),
(262879, '0037223', NULL, NULL, 137, NULL, 'Globin-like', 200519),
(262880, '0042244', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262881, '0042922', NULL, NULL, 141, NULL, 'Globin-like', 200519),
(262882, '0042923', NULL, NULL, 146, NULL, 'Globin-like', 200519),
(262883, '0036099', NULL, NULL, 162, NULL, 'Globin-like', 200519),
(262884, '0046962', NULL, NULL, 136, NULL, 'Globin-like', 200519),
(262885, '0046961', NULL, NULL, 140, NULL, 'Globin-like', 200519),
(262886, '0043695', NULL, NULL, 143, NULL, 'Globin-like', 200519),
(262887, '0043696', NULL, NULL, 147, NULL, 'Globin-like', 200519),
(262888, '0044268', NULL, NULL, 149, NULL, 'Globin-like', 200519),
(262889, '0049043', NULL, NULL, 197, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262890, '0035715', NULL, NULL, 197, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262891, '0047260', NULL, NULL, 168, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262892, '0053341', NULL, NULL, 201, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262893, '0035598', NULL, NULL, 255, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262894, '0036884', NULL, NULL, 177, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262895, '0039592', NULL, NULL, 158, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262896, '0042098', NULL, NULL, 141, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262897, '0035790', NULL, NULL, 165, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262898, '0053382', NULL, NULL, 316, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262899, '0043540', NULL, NULL, 243, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(262900, '0046136', NULL, NULL, 168, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262901, '0048517', NULL, NULL, 579, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262902, '0041006', NULL, NULL, 166, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262903, '0049097', NULL, NULL, 597, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262904, '0038739', NULL, NULL, 162, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262905, '0048880', NULL, NULL, 159, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262906, '0049211', NULL, NULL, 169, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262907, '0045495', NULL, NULL, 546, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262908, '0036710', NULL, NULL, 409, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262909, '0037125', NULL, NULL, 533, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262910, '0035666', NULL, NULL, 174, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262911, '0039943', NULL, NULL, 241, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262912, '0039343', NULL, NULL, 598, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262913, '0037882', NULL, NULL, 167, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262914, '0040001', NULL, NULL, 246, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262915, '0038697', NULL, NULL, 252, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262916, '0035660', NULL, NULL, 301, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262917, '0046509', NULL, NULL, 169, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262918, '0038130', NULL, NULL, 159, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262919, '0038010', NULL, NULL, 242, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262920, '0045818', NULL, NULL, 200, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262921, '0040568', NULL, NULL, 475, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262922, '0046743', NULL, NULL, 172, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262923, '0049785', NULL, NULL, 298, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262924, '0047882', NULL, NULL, 201, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262925, '0048333', NULL, NULL, 202, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262926, '0047285', NULL, NULL, 665, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262927, '0051020', NULL, NULL, 152, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262928, '0036505', NULL, NULL, 696, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262929, '0053887', NULL, NULL, 107, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262930, '0054898', NULL, NULL, 346, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262931, '0047529', NULL, NULL, 237, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262932, '0043847', NULL, NULL, 411, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262933, '0046234', NULL, NULL, 164, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262934, '0048413', NULL, NULL, 317, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262935, '0049107', NULL, NULL, 203, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262936, '0047769', NULL, NULL, 497, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262937, '0053376', NULL, NULL, 168, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262938, '0047530', NULL, NULL, 223, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262939, '0046088', NULL, NULL, 132, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(262940, '0050667', NULL, NULL, 198, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262941, '0054944', NULL, NULL, 113, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262942, '0047333', NULL, NULL, 200, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262943, '0049313', NULL, NULL, 654, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262944, '0049714', NULL, NULL, 150, NULL, 'Metalloproteases ("zincins"), catalytic domain', 200520),
(262945, '0043700', NULL, NULL, 109, NULL, 'Spermadhesin, CUB domain', 200521),
(262946, '0054622', NULL, NULL, 108, NULL, 'Spermadhesin, CUB domain', 200521),
(262947, '0043701', NULL, NULL, 112, NULL, 'Spermadhesin, CUB domain', 200521),
(262948, '0043807', NULL, NULL, 121, NULL, 'Spermadhesin, CUB domain', 200521),
(262949, '0041549', NULL, NULL, 114, NULL, 'Spermadhesin, CUB domain', 200521),
(262950, '0041548', NULL, NULL, 115, NULL, 'Spermadhesin, CUB domain', 200521),
(262951, '0043586', NULL, NULL, 111, NULL, 'Spermadhesin, CUB domain', 200521),
(262952, '0041645', NULL, NULL, 117, NULL, 'Spermadhesin, CUB domain', 200521),
(262953, '0035012', NULL, NULL, 90, NULL, 'Domain of early E2A DNA-binding protein, ADDBP', 200522),
(262954, '0040743', NULL, NULL, 177, NULL, 'beta-sandwich domain of Sec23/24', 200523),
(262955, '0040753', NULL, NULL, 250, NULL, 'beta-sandwich domain of Sec23/24', 200523),
(262956, '0049883', NULL, NULL, 151, NULL, 'Lamin A/C globular tail domain', 200524),
(262957, '0047450', NULL, NULL, 122, NULL, 'Lamin A/C globular tail domain', 200524),
(262958, '0051452', NULL, NULL, 83, NULL, 'RuvA domain 2-like', 200525),
(262959, '0054853', NULL, NULL, 73, NULL, 'RuvA domain 2-like', 200525),
(262960, '0054852', NULL, NULL, 90, NULL, 'RuvA domain 2-like', 200525),
(262961, '0051684', NULL, NULL, 78, NULL, 'RuvA domain 2-like', 200525),
(262962, '0052274', NULL, NULL, 55, NULL, 'RuvA domain 2-like', 200525),
(262963, '0047794', NULL, NULL, 56, NULL, 'RuvA domain 2-like', 200525),
(262964, '0052275', NULL, NULL, 55, NULL, 'RuvA domain 2-like', 200525),
(262965, '0053881', NULL, NULL, 91, NULL, 'RuvA domain 2-like', 200525),
(262966, '0052272', NULL, NULL, 59, NULL, 'RuvA domain 2-like', 200525),
(262967, '0052273', NULL, NULL, 57, NULL, 'RuvA domain 2-like', 200525),
(262968, '0035731', NULL, NULL, 71, NULL, 'RuvA domain 2-like', 200525),
(262969, '0050778', NULL, NULL, 68, NULL, 'RuvA domain 2-like', 200525),
(262970, '0051966', NULL, NULL, 70, NULL, 'RuvA domain 2-like', 200525),
(262971, '0036422', NULL, NULL, 181, NULL, 'RuvA domain 2-like', 200525),
(262972, '0036157', NULL, NULL, 78, NULL, 'RuvA domain 2-like', 200525),
(262973, '0053856', NULL, NULL, 65, NULL, 'RuvA domain 2-like', 200525),
(262974, '0039263', NULL, NULL, 73, NULL, 'RuvA domain 2-like', 200525),
(262975, '0041844', NULL, NULL, 199, NULL, 'Dextranase, N-terminal domain', 200526),
(262976, '0035727', NULL, NULL, 216, NULL, 'A virus capsid protein alpha-helical domain', 200527),
(262977, '0044317', NULL, NULL, 269, NULL, 'A virus capsid protein alpha-helical domain', 200527),
(262978, '0042786', NULL, NULL, 214, NULL, 'A virus capsid protein alpha-helical domain', 200527),
(262979, '0047926', NULL, NULL, 100, NULL, 'Cadherin-like', 200528),
(262980, '0047927', NULL, NULL, 113, NULL, 'Cadherin-like', 200528),
(262981, '0041310', NULL, NULL, 114, NULL, 'Cadherin-like', 200528),
(262982, '0048618', NULL, NULL, 136, NULL, 'Cadherin-like', 200528),
(262983, '0049774', NULL, NULL, 103, NULL, 'Cadherin-like', 200528),
(262984, '0036919', NULL, NULL, 112, NULL, 'Cadherin-like', 200528),
(262985, '0047928', NULL, NULL, 113, NULL, 'Cadherin-like', 200528),
(262986, '0047929', NULL, NULL, 107, NULL, 'Cadherin-like', 200528),
(262987, '0047930', NULL, NULL, 107, NULL, 'Cadherin-like', 200528),
(262988, '0048502', NULL, NULL, 105, NULL, 'Cadherin-like', 200528),
(262989, '0046524', NULL, NULL, 99, NULL, 'Cadherin-like', 200528),
(262990, '0048328', NULL, NULL, 102, NULL, 'Cadherin-like', 200528),
(262991, '0043809', NULL, NULL, 147, NULL, 'Her-1', 200529);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(262992, '0040578', NULL, NULL, 101, NULL, 'C-terminal domain of mollusc hemocyanin', 200530),
(262993, '0039735', NULL, NULL, 101, NULL, 'C-terminal domain of mollusc hemocyanin', 200530),
(262994, '0043580', NULL, NULL, 118, NULL, 'Hypothetical protein YfhH', 200531),
(262995, '0039840', NULL, NULL, 84, NULL, 'HPr-like', 200532),
(262996, '0042956', NULL, NULL, 88, NULL, 'HPr-like', 200532),
(262997, '0042253', NULL, NULL, 88, NULL, 'HPr-like', 200532),
(262998, '0039990', NULL, NULL, 88, NULL, 'HPr-like', 200532),
(262999, '0042460', NULL, NULL, 87, NULL, 'HPr-like', 200532),
(263000, '0053228', NULL, NULL, 87, NULL, 'HPr-like', 200532),
(263001, '0041964', NULL, NULL, 85, NULL, 'HPr-like', 200532),
(263002, '0043697', NULL, NULL, 87, NULL, 'HPr-like', 200532),
(263003, '0052636', NULL, NULL, 201, NULL, 'YojJ-like', 200533),
(263004, '0044459', NULL, NULL, 335, NULL, 'DAK1/DegV-like', 200534),
(263005, '0040914', NULL, NULL, 285, NULL, 'DAK1/DegV-like', 200534),
(263006, '0041866', NULL, NULL, 347, NULL, 'DAK1/DegV-like', 200534),
(263007, '0042544', NULL, NULL, 287, NULL, 'DAK1/DegV-like', 200534),
(263008, '0039279', NULL, NULL, 196, NULL, 'BRCA2 helical domain', 200535),
(263009, '0040951', NULL, NULL, 191, NULL, 'BRCA2 helical domain', 200535),
(263010, '0053103', NULL, NULL, 91, NULL, 'Translation initiation factor IF3, C-terminal domain', 200536),
(263011, '0044020', NULL, NULL, 88, NULL, 'Translation initiation factor IF3, C-terminal domain', 200536),
(263012, '0038931', NULL, NULL, 86, NULL, 'Translation initiation factor IF3, C-terminal domain', 200536),
(263013, '0051893', NULL, NULL, 160, NULL, 'YbiA-like', 200537),
(263014, '0047267', NULL, NULL, 118, NULL, 'Fumarylacetoacetate hydrolase, FAH, N-terminal domain', 200538),
(263015, '0044296', NULL, NULL, 76, NULL, 'Obg GTP-binding protein C-terminal domain', 200539),
(263016, '0053256', NULL, NULL, 157, NULL, 'Transferrin receptor-like dimerisation domain', 200540),
(263017, '0036379', NULL, NULL, 148, NULL, 'Transferrin receptor-like dimerisation domain', 200540),
(263018, '0049594', NULL, NULL, 103, NULL, 'Head decoration protein D (gpD, major capsid protein D)', 200541),
(263019, '0035860', NULL, NULL, 95, NULL, 'Head decoration protein D (gpD, major capsid protein D)', 200541),
(263020, '0042492', NULL, NULL, 301, NULL, 'Leukocidin-like', 200542),
(263021, '0043890', NULL, NULL, 282, NULL, 'Leukocidin-like', 200542),
(263022, '0044530', NULL, NULL, 184, NULL, 'Leukocidin-like', 200542),
(263023, '0045641', NULL, NULL, 293, NULL, 'Leukocidin-like', 200542),
(263024, '0045534', NULL, NULL, 299, NULL, 'Leukocidin-like', 200542),
(263025, '0053279', NULL, NULL, 174, NULL, 'Inorganic pyrophosphatase', 200543),
(263026, '0053379', NULL, NULL, 282, NULL, 'Inorganic pyrophosphatase', 200543),
(263027, '0048937', NULL, NULL, 170, NULL, 'Inorganic pyrophosphatase', 200543),
(263028, '0049865', NULL, NULL, 168, NULL, 'Inorganic pyrophosphatase', 200543),
(263029, '0048538', NULL, NULL, 175, NULL, 'Inorganic pyrophosphatase', 200543),
(263030, '0049724', NULL, NULL, 173, NULL, 'Inorganic pyrophosphatase', 200543),
(263031, '0037035', NULL, NULL, 419, NULL, 'EPT/RTPC-like', 200544),
(263032, '0042868', NULL, NULL, 240, NULL, 'EPT/RTPC-like', 200544),
(263033, '0044235', NULL, NULL, 418, NULL, 'EPT/RTPC-like', 200544),
(263034, '0037963', NULL, NULL, 427, NULL, 'EPT/RTPC-like', 200544),
(263035, '0043215', NULL, NULL, 427, NULL, 'EPT/RTPC-like', 200544),
(263036, '0037630', NULL, NULL, 159, NULL, 'PEBP-like', 200545),
(263037, '0037790', NULL, NULL, 165, NULL, 'PEBP-like', 200545),
(263038, '0053628', NULL, NULL, 219, NULL, 'PEBP-like', 200545),
(263039, '0034862', NULL, NULL, 185, NULL, 'PEBP-like', 200545),
(263040, '0042907', NULL, NULL, 164, NULL, 'PEBP-like', 200545),
(263041, '0035501', NULL, NULL, 184, NULL, 'PEBP-like', 200545),
(263042, '0040158', NULL, NULL, 180, NULL, 'PEBP-like', 200545),
(263043, '0051597', NULL, NULL, 218, NULL, 'BB1717-like', 200546),
(263044, '0051959', NULL, NULL, 217, NULL, 'BB1717-like', 200546),
(263045, '0051756', NULL, NULL, 243, NULL, 'BB1717-like', 200546);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(263046, '0052569', NULL, NULL, 231, NULL, 'BB1717-like', 200546),
(263047, '0053814', NULL, NULL, 80, NULL, 'TTHC002-like', 200547),
(263048, '0035717', NULL, NULL, 70, NULL, 'Cell cycle regulatory proteins', 200548),
(263049, '0036038', NULL, NULL, 74, NULL, 'Cell cycle regulatory proteins', 200548),
(263050, '0042693', NULL, NULL, 113, NULL, 'Cell cycle regulatory proteins', 200548),
(263051, '0042465', NULL, NULL, 101, NULL, 'Cell cycle regulatory proteins', 200548),
(263052, '0052505', NULL, NULL, 97, NULL, 'YoaC-like', 200549),
(263053, '0053323', NULL, NULL, 73, NULL, 'AFP III-like domain', 200550),
(263054, '0038585', NULL, NULL, 66, NULL, 'AFP III-like domain', 200550),
(263055, '0051113', NULL, NULL, 68, NULL, 'AFP III-like domain', 200550),
(263056, '0035874', NULL, NULL, 66, NULL, 'AFP III-like domain', 200550),
(263057, '0044870', NULL, NULL, 72, NULL, 'AFP III-like domain', 200550),
(263058, '0041966', NULL, NULL, 64, NULL, 'AFP III-like domain', 200550),
(263059, '0054063', NULL, NULL, 147, NULL, 'Smr-associated domain-like', 200551),
(263060, '0053583', NULL, NULL, 263, NULL, 'Di-copper centre-containing domain', 200552),
(263061, '0040538', NULL, NULL, 270, NULL, 'Di-copper centre-containing domain', 200552),
(263062, '0040577', NULL, NULL, 307, NULL, 'Di-copper centre-containing domain', 200552),
(263063, '0035699', NULL, NULL, 341, NULL, 'Di-copper centre-containing domain', 200552),
(263064, '0039734', NULL, NULL, 289, NULL, 'Di-copper centre-containing domain', 200552),
(263065, '0042821', NULL, NULL, 102, NULL, 'Guanido kinase N-terminal domain', 200553),
(263066, '0050308', NULL, NULL, 91, NULL, 'Guanido kinase N-terminal domain', 200553),
(263067, '0038818', NULL, NULL, 95, NULL, 'Guanido kinase N-terminal domain', 200553),
(263068, '0036127', NULL, NULL, 98, NULL, 'Guanido kinase N-terminal domain', 200553),
(263069, '0042781', NULL, NULL, 101, NULL, 'Guanido kinase N-terminal domain', 200553),
(263070, '0048060', NULL, NULL, 94, NULL, 'Guanido kinase N-terminal domain', 200553),
(263071, '0045228', NULL, NULL, 95, NULL, 'Guanido kinase N-terminal domain', 200553),
(263072, '0037876', NULL, NULL, 101, NULL, 'Guanido kinase N-terminal domain', 200553),
(263073, '0053771', NULL, NULL, 59, NULL, 'Type I dockerin domain', 200554),
(263074, '0051906', NULL, NULL, 60, NULL, 'Type I dockerin domain', 200554),
(263075, '0036328', NULL, NULL, 71, NULL, 'Type I dockerin domain', 200554),
(263076, '0036760', NULL, NULL, 96, NULL, 'Ribonuclease domain of colicin E3', 200555),
(263077, '0046144', NULL, NULL, 188, NULL, 'Cytochrome f, large domain', 200556),
(263078, '0053609', NULL, NULL, 189, NULL, 'Cytochrome f, large domain', 200556),
(263079, '0046443', NULL, NULL, 188, NULL, 'Cytochrome f, large domain', 200556),
(263080, '0047170', NULL, NULL, 188, NULL, 'Cytochrome f, large domain', 200556),
(263081, '0044722', NULL, NULL, 188, NULL, 'Cytochrome f, large domain', 200556),
(263082, '0038084', NULL, NULL, 98, NULL, 'MurE/MurF N-terminal domain', 200557),
(263083, '0036832', NULL, NULL, 101, NULL, 'MurE/MurF N-terminal domain', 200557),
(263084, '0040173', NULL, NULL, 157, NULL, 'NSP3 homodimer', 200558),
(263085, '0047581', NULL, NULL, 343, NULL, 'PLP-dependent transferases', 200559),
(263086, '0050076', NULL, NULL, 345, NULL, 'PLP-dependent transferases', 200559),
(263087, '0048074', NULL, NULL, 361, NULL, 'PLP-dependent transferases', 200559),
(263088, '0046056', NULL, NULL, 404, NULL, 'PLP-dependent transferases', 200559),
(263089, '0047340', NULL, NULL, 380, NULL, 'PLP-dependent transferases', 200559),
(263090, '0049486', NULL, NULL, 340, NULL, 'PLP-dependent transferases', 200559),
(263091, '0042806', NULL, NULL, 396, NULL, 'PLP-dependent transferases', 200559),
(263092, '0051723', NULL, NULL, 463, NULL, 'PLP-dependent transferases', 200559),
(263093, '0042809', NULL, NULL, 429, NULL, 'PLP-dependent transferases', 200559),
(263094, '0036406', NULL, NULL, 416, NULL, 'PLP-dependent transferases', 200559),
(263095, '0050157', NULL, NULL, 387, NULL, 'PLP-dependent transferases', 200559);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(263096, '0051323', NULL, NULL, 418, NULL, 'PLP-dependent transferases', 200559),
(263097, '0053867', NULL, NULL, 364, NULL, 'PLP-dependent transferases', 200559),
(263098, '0050754', NULL, NULL, 471, NULL, 'PLP-dependent transferases', 200559),
(263099, '0051601', NULL, NULL, 431, NULL, 'PLP-dependent transferases', 200559),
(263100, '0052731', NULL, NULL, 371, NULL, 'PLP-dependent transferases', 200559),
(263101, '0050753', NULL, NULL, 437, NULL, 'PLP-dependent transferases', 200559),
(263102, '0035073', NULL, NULL, 412, NULL, 'PLP-dependent transferases', 200559),
(263103, '0048952', NULL, NULL, 398, NULL, 'PLP-dependent transferases', 200559),
(263104, '0046255', NULL, NULL, 361, NULL, 'PLP-dependent transferases', 200559),
(263105, '0043583', NULL, NULL, 425, NULL, 'PLP-dependent transferases', 200559),
(263106, '0049524', NULL, NULL, 408, NULL, 'PLP-dependent transferases', 200559),
(263107, '0044595', NULL, NULL, 368, NULL, 'PLP-dependent transferases', 200559),
(263108, '0050390', NULL, NULL, 418, NULL, 'PLP-dependent transferases', 200559),
(263109, '0054765', NULL, NULL, 434, NULL, 'PLP-dependent transferases', 200559),
(263110, '0052862', NULL, NULL, 389, NULL, 'PLP-dependent transferases', 200559),
(263111, '0044083', NULL, NULL, 426, NULL, 'PLP-dependent transferases', 200559),
(263112, '0045171', NULL, NULL, 394, NULL, 'PLP-dependent transferases', 200559),
(263113, '0046584', NULL, NULL, 381, NULL, 'PLP-dependent transferases', 200559),
(263114, '0047670', NULL, NULL, 476, NULL, 'PLP-dependent transferases', 200559),
(263115, '0037569', NULL, NULL, 354, NULL, 'PLP-dependent transferases', 200559),
(263116, '0035586', NULL, NULL, 360, NULL, 'PLP-dependent transferases', 200559),
(263117, '0050768', NULL, NULL, 403, NULL, 'PLP-dependent transferases', 200559),
(263118, '0052943', NULL, NULL, 427, NULL, 'PLP-dependent transferases', 200559),
(263119, '0035700', NULL, NULL, 361, NULL, 'PLP-dependent transferases', 200559),
(263120, '0052302', NULL, NULL, 421, NULL, 'PLP-dependent transferases', 200559),
(263121, '0035589', NULL, NULL, 382, NULL, 'PLP-dependent transferases', 200559),
(263122, '0046747', NULL, NULL, 401, NULL, 'PLP-dependent transferases', 200559),
(263123, '0042144', NULL, NULL, 391, NULL, 'PLP-dependent transferases', 200559),
(263124, '0039341', NULL, NULL, 388, NULL, 'PLP-dependent transferases', 200559),
(263125, '0044807', NULL, NULL, 377, NULL, 'PLP-dependent transferases', 200559),
(263126, '0042383', NULL, NULL, 450, NULL, 'PLP-dependent transferases', 200559),
(263127, '0046024', NULL, NULL, 412, NULL, 'PLP-dependent transferases', 200559),
(263128, '0040526', NULL, NULL, 425, NULL, 'PLP-dependent transferases', 200559),
(263129, '0045973', NULL, NULL, 470, NULL, 'PLP-dependent transferases', 200559),
(263130, '0047956', NULL, NULL, 355, NULL, 'PLP-dependent transferases', 200559),
(263131, '0044523', NULL, NULL, 330, NULL, 'PLP-dependent transferases', 200559),
(263132, '0046547', NULL, NULL, 376, NULL, 'PLP-dependent transferases', 200559),
(263133, '0052157', NULL, NULL, 393, NULL, 'PLP-dependent transferases', 200559),
(263134, '0048571', NULL, NULL, 461, NULL, 'PLP-dependent transferases', 200559),
(263135, '0047441', NULL, NULL, 348, NULL, 'PLP-dependent transferases', 200559),
(263136, '0046154', NULL, NULL, 470, NULL, 'PLP-dependent transferases', 200559),
(263137, '0054692', NULL, NULL, 467, NULL, 'PLP-dependent transferases', 200559),
(263138, '0041260', NULL, NULL, 393, NULL, 'PLP-dependent transferases', 200559),
(263139, '0050977', NULL, NULL, 395, NULL, 'PLP-dependent transferases', 200559),
(263140, '0050696', NULL, NULL, 403, NULL, 'PLP-dependent transferases', 200559),
(263141, '0037039', NULL, NULL, 478, NULL, 'PLP-dependent transferases', 200559),
(263142, '0040134', NULL, NULL, 405, NULL, 'PLP-dependent transferases', 200559),
(263143, '0036780', NULL, NULL, 394, NULL, 'PLP-dependent transferases', 200559),
(263144, '0045068', NULL, NULL, 412, NULL, 'PLP-dependent transferases', 200559),
(263145, '0041704', NULL, NULL, 374, NULL, 'PLP-dependent transferases', 200559);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(263146, '0052070', NULL, NULL, 396, NULL, 'PLP-dependent transferases', 200559),
(263147, '0040897', NULL, NULL, 376, NULL, 'PLP-dependent transferases', 200559),
(263148, '0050340', NULL, NULL, 360, NULL, 'PLP-dependent transferases', 200559),
(263149, '0053335', NULL, NULL, 397, NULL, 'PLP-dependent transferases', 200559),
(263150, '0051993', NULL, NULL, 382, NULL, 'PLP-dependent transferases', 200559),
(263151, '0045392', NULL, NULL, 404, NULL, 'PLP-dependent transferases', 200559),
(263152, '0035846', NULL, NULL, 462, NULL, 'PLP-dependent transferases', 200559),
(263153, '0047095', NULL, NULL, 388, NULL, 'PLP-dependent transferases', 200559),
(263154, '0046087', NULL, NULL, 456, NULL, 'PLP-dependent transferases', 200559),
(263155, '0051195', NULL, NULL, 397, NULL, 'PLP-dependent transferases', 200559),
(263156, '0052164', NULL, NULL, 388, NULL, 'PLP-dependent transferases', 200559),
(263157, '0046089', NULL, NULL, 394, NULL, 'PLP-dependent transferases', 200559),
(263158, '0045231', NULL, NULL, 411, NULL, 'PLP-dependent transferases', 200559),
(263159, '0046165', NULL, NULL, 391, NULL, 'PLP-dependent transferases', 200559),
(263160, '0050261', NULL, NULL, 420, NULL, 'PLP-dependent transferases', 200559),
(263161, '0035401', NULL, NULL, 428, NULL, 'PLP-dependent transferases', 200559),
(263162, '0045909', NULL, NULL, 384, NULL, 'PLP-dependent transferases', 200559),
(263163, '0051757', NULL, NULL, 366, NULL, 'PLP-dependent transferases', 200559),
(263164, '0035246', NULL, NULL, 465, NULL, 'PLP-dependent transferases', 200559),
(263165, '0051517', NULL, NULL, 404, NULL, 'PLP-dependent transferases', 200559),
(263166, '0038952', NULL, NULL, 428, NULL, 'PLP-dependent transferases', 200559),
(263167, '0054823', NULL, NULL, 445, NULL, 'PLP-dependent transferases', 200559),
(263168, '0049070', NULL, NULL, 404, NULL, 'PLP-dependent transferases', 200559),
(263169, '0038034', NULL, NULL, 392, NULL, 'PLP-dependent transferases', 200559),
(263170, '0041674', NULL, NULL, 375, NULL, 'PLP-dependent transferases', 200559),
(263171, '0045639', NULL, NULL, 401, NULL, 'PLP-dependent transferases', 200559),
(263172, '0049754', NULL, NULL, 382, NULL, 'PLP-dependent transferases', 200559),
(263173, '0046007', NULL, NULL, 383, NULL, 'PLP-dependent transferases', 200559),
(263174, '0048747', NULL, NULL, 331, NULL, 'PLP-dependent transferases', 200559),
(263175, '0046206', NULL, NULL, 384, NULL, 'PLP-dependent transferases', 200559),
(263176, '0046965', NULL, NULL, 388, NULL, 'PLP-dependent transferases', 200559),
(263177, '0044267', NULL, NULL, 480, NULL, 'Hypothetical protein PH1602', 200560),
(263178, '0052201', NULL, NULL, 66, NULL, 'NOB1 zinc finger-like', 200561),
(263179, '0054223', NULL, NULL, 223, NULL, 'CYTH-like phosphatases', 200562),
(263180, '0051291', NULL, NULL, 163, NULL, 'CYTH-like phosphatases', 200562),
(263181, '0036307', NULL, NULL, 301, NULL, 'CYTH-like phosphatases', 200562),
(263182, '0052645', NULL, NULL, 150, NULL, 'CYTH-like phosphatases', 200562),
(263183, '0051744', NULL, NULL, 174, NULL, 'CYTH-like phosphatases', 200562),
(263184, '0049571', NULL, NULL, 75, NULL, 'Hypothetical protein AF0491, middle domain', 200563),
(263185, '0042211', NULL, NULL, 75, NULL, 'Hypothetical protein AF0491, middle domain', 200563),
(263186, '0035935', NULL, NULL, 54, NULL, 'Plant proteinase inhibitors', 200564),
(263187, '0045605', NULL, NULL, 51, NULL, 'Plant proteinase inhibitors', 200564),
(263188, '0042086', NULL, NULL, 116, NULL, 'Plant proteinase inhibitors', 200564),
(263189, '0037844', NULL, NULL, 55, NULL, 'Plant proteinase inhibitors', 200564),
(263190, '0037845', NULL, NULL, 56, NULL, 'Plant proteinase inhibitors', 200564),
(263191, '0042780', NULL, NULL, 47, NULL, 'Plant proteinase inhibitors', 200564),
(263192, '0042346', NULL, NULL, 57, NULL, 'Plant proteinase inhibitors', 200564),
(263193, '0044510', NULL, NULL, 142, NULL, 'Activator of Hsp90 ATPase, Aha1', 200565),
(263194, '0043888', NULL, NULL, 301, NULL, 'ADP-ribosylglycohydrolase', 200566),
(263195, '0053577', NULL, NULL, 325, NULL, 'Clostridium neurotoxins, "coiled-coil" domain', 200567);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(263196, '0053509', NULL, NULL, 328, NULL, 'Clostridium neurotoxins, "coiled-coil" domain', 200567),
(263197, '0051374', NULL, NULL, 101, NULL, 'MTH1187/YkoF-like', 200568),
(263198, '0050222', NULL, NULL, 93, NULL, 'MTH1187/YkoF-like', 200568),
(263199, '0043519', NULL, NULL, 186, NULL, 'MTH1187/YkoF-like', 200568),
(263200, '0053086', NULL, NULL, 90, NULL, 'MTH1187/YkoF-like', 200568),
(263201, '0048048', NULL, NULL, 104, NULL, 'MTH1187/YkoF-like', 200568),
(263202, '0048049', NULL, NULL, 99, NULL, 'MTH1187/YkoF-like', 200568),
(263203, '0037042', NULL, NULL, 101, NULL, 'Urease, beta-subunit', 200569),
(263204, '0053351', NULL, NULL, 122, NULL, 'Urease, beta-subunit', 200569),
(263205, '0046498', NULL, NULL, 133, NULL, 'Urease, beta-subunit', 200569),
(263206, '0041813', NULL, NULL, 260, NULL, 'Neurotransmitter-gated ion-channel transmembrane pore', 200570),
(263207, '0041812', NULL, NULL, 260, NULL, 'Neurotransmitter-gated ion-channel transmembrane pore', 200570),
(263208, '0041811', NULL, NULL, 250, NULL, 'Neurotransmitter-gated ion-channel transmembrane pore', 200570),
(263209, '0041810', NULL, NULL, 227, NULL, 'Neurotransmitter-gated ion-channel transmembrane pore', 200570),
(263210, '0051079', NULL, NULL, 52, NULL, 'Light-harvesting complex subunits', 200571),
(263211, '0040493', NULL, NULL, 43, NULL, 'Light-harvesting complex subunits', 200571),
(263212, '0040492', NULL, NULL, 56, NULL, 'Light-harvesting complex subunits', 200571),
(263213, '0039052', NULL, NULL, 40, NULL, 'Light-harvesting complex subunits', 200571),
(263214, '0039051', NULL, NULL, 46, NULL, 'Light-harvesting complex subunits', 200571),
(263215, '0040337', NULL, NULL, 41, NULL, 'Light-harvesting complex subunits', 200571),
(263216, '0036645', NULL, NULL, 48, NULL, 'Light-harvesting complex subunits', 200571),
(263217, '0041445', NULL, NULL, 53, NULL, 'Light-harvesting complex subunits', 200571),
(263218, '0047698', NULL, NULL, 200, NULL, 'Casein kinase II beta subunit', 200572),
(263219, '0053964', NULL, NULL, 90, NULL, 'Shew3726-like', 200573),
(263220, '0053651', NULL, NULL, 125, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263221, '0051393', NULL, NULL, 148, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263222, '0048223', NULL, NULL, 219, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263223, '0053133', NULL, NULL, 213, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263224, '0042491', NULL, NULL, 239, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263225, '0046033', NULL, NULL, 161, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263226, '0052097', NULL, NULL, 161, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263227, '0043939', NULL, NULL, 225, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263228, '0035784', NULL, NULL, 213, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263229, '0035339', NULL, NULL, 185, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263230, '0037015', NULL, NULL, 219, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263231, '0038974', NULL, NULL, 146, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263232, '0039624', NULL, NULL, 190, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263233, '0040344', NULL, NULL, 141, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263234, '0038146', NULL, NULL, 193, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263235, '0038465', NULL, NULL, 203, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(263236, '0035364', NULL, NULL, 218, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263237, '0043142', NULL, NULL, 156, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263238, '0043462', NULL, NULL, 168, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263239, '0043464', NULL, NULL, 213, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263240, '0040105', NULL, NULL, 212, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263241, '0044566', NULL, NULL, 211, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263242, '0043038', NULL, NULL, 266, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', 200574),
(263243, '0035610', NULL, NULL, 161, NULL, 'PTS IIb component', 200575),
(263244, '0041536', NULL, NULL, 163, NULL, 'PTS IIb component', 200575),
(263245, '0039326', NULL, NULL, 112, NULL, 'Peptidyl-tRNA hydrolase domain-like', 200576),
(263246, '0049116', NULL, NULL, 205, NULL, 'Putative cyclase', 200577),
(263247, '0051869', NULL, NULL, 186, NULL, 'Putative cyclase', 200577),
(263248, '0047913', NULL, NULL, 129, NULL, 'Major surface antigen p30, SAG1', 200578),
(263249, '0040336', NULL, NULL, 124, NULL, 'Major surface antigen p30, SAG1', 200578),
(263250, '0049734', NULL, NULL, 64, NULL, 'EB1 dimerisation domain-like', 200579),
(263251, '0054595', NULL, NULL, 55, NULL, 'Ribosomal protein S18', 200580),
(263252, '0038930', NULL, NULL, 82, NULL, 'Ribosomal protein S18', 200580),
(263253, '0050254', NULL, NULL, 83, NULL, 'all-alpha NTP pyrophosphatases', 200581),
(263254, '0051724', NULL, NULL, 91, NULL, 'all-alpha NTP pyrophosphatases', 200581),
(263255, '0052946', NULL, NULL, 110, NULL, 'all-alpha NTP pyrophosphatases', 200581),
(263256, '0053260', NULL, NULL, 84, NULL, 'all-alpha NTP pyrophosphatases', 200581),
(263257, '0050348', NULL, NULL, 229, NULL, 'all-alpha NTP pyrophosphatases', 200581),
(263258, '0051426', NULL, NULL, 92, NULL, 'all-alpha NTP pyrophosphatases', 200581),
(263259, '0051439', NULL, NULL, 88, NULL, 'all-alpha NTP pyrophosphatases', 200581),
(263260, '0051698', NULL, NULL, 113, NULL, 'all-alpha NTP pyrophosphatases', 200581),
(263261, '0041843', NULL, NULL, 270, NULL, 'all-alpha NTP pyrophosphatases', 200581),
(263262, '0051216', NULL, NULL, 87, NULL, 'all-alpha NTP pyrophosphatases', 200581),
(263263, '0043359', NULL, NULL, 385, NULL, 'Dehydroquinate synthase-like', 200582),
(263264, '0041672', NULL, NULL, 359, NULL, 'Dehydroquinate synthase-like', 200582),
(263265, '0048580', NULL, NULL, 390, NULL, 'Dehydroquinate synthase-like', 200582),
(263266, '0044392', NULL, NULL, 347, NULL, 'Dehydroquinate synthase-like', 200582),
(263267, '0036562', NULL, NULL, 388, NULL, 'Dehydroquinate synthase-like', 200582),
(263268, '0050240', NULL, NULL, 398, NULL, 'Dehydroquinate synthase-like', 200582),
(263269, '0047653', NULL, NULL, 366, NULL, 'Dehydroquinate synthase-like', 200582),
(263270, '0047854', NULL, NULL, 364, NULL, 'Dehydroquinate synthase-like', 200582),
(263271, '0039137', NULL, NULL, 200, NULL, 'Ribonuclease Rh-like', 200583),
(263272, '0039273', NULL, NULL, 208, NULL, 'Ribonuclease Rh-like', 200583),
(263273, '0035593', NULL, NULL, 190, NULL, 'Ribonuclease Rh-like', 200583),
(263274, '0039111', NULL, NULL, 196, NULL, 'Ribonuclease Rh-like', 200583),
(263275, '0035643', NULL, NULL, 222, NULL, 'Ribonuclease Rh-like', 200583),
(263276, '0036449', NULL, NULL, 208, NULL, 'Ribonuclease Rh-like', 200583),
(263277, '0039812', NULL, NULL, 207, NULL, 'Ribonuclease Rh-like', 200583),
(263278, '0043599', NULL, NULL, 206, NULL, 'Ribonuclease Rh-like', 200583),
(263279, '0049296', NULL, NULL, 399, NULL, 'Cytochrome P450', 200584),
(263280, '0044092', NULL, NULL, 472, NULL, 'Cytochrome P450', 200584),
(263281, '0036859', NULL, NULL, 449, NULL, 'Cytochrome P450', 200584),
(263282, '0038307', NULL, NULL, 403, NULL, 'Cytochrome P450', 200584);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(263283, '0036587', NULL, NULL, 460, NULL, 'Cytochrome P450', 200584),
(263284, '0054912', NULL, NULL, 463, NULL, 'Cytochrome P450', 200584),
(263285, '0037346', NULL, NULL, 399, NULL, 'Cytochrome P450', 200584),
(263286, '0035710', NULL, NULL, 455, NULL, 'Cytochrome P450', 200584),
(263287, '0036106', NULL, NULL, 412, NULL, 'Cytochrome P450', 200584),
(263288, '0041213', NULL, NULL, 395, NULL, 'Cytochrome P450', 200584),
(263289, '0039101', NULL, NULL, 366, NULL, 'Cytochrome P450', 200584),
(263290, '0039299', NULL, NULL, 411, NULL, 'Cytochrome P450', 200584),
(263291, '0040482', NULL, NULL, 394, NULL, 'Cytochrome P450', 200584),
(263292, '0036682', NULL, NULL, 404, NULL, 'Cytochrome P450', 200584),
(263293, '0041273', NULL, NULL, 385, NULL, 'Cytochrome P450', 200584),
(263294, '0041837', NULL, NULL, 462, NULL, 'Cytochrome P450', 200584),
(263295, '0044298', NULL, NULL, 367, NULL, 'Cytochrome P450', 200584),
(263296, '0041802', NULL, NULL, 401, NULL, 'Cytochrome P450', 200584),
(263297, '0046634', NULL, NULL, 403, NULL, 'Cytochrome P450', 200584),
(263298, '0042421', NULL, NULL, 463, NULL, 'Cytochrome P450', 200584),
(263299, '0042400', NULL, NULL, 465, NULL, 'Cytochrome P450', 200584),
(263300, '0042621', NULL, NULL, 401, NULL, 'Cytochrome P450', 200584),
(263301, '0044304', NULL, NULL, 403, NULL, 'Cytochrome P450', 200584),
(263302, '0049840', NULL, NULL, 131, NULL, 'TIMP-like', 200585),
(263303, '0049872', NULL, NULL, 181, NULL, 'TIMP-like', 200585),
(263304, '0051130', NULL, NULL, 151, NULL, 'TIMP-like', 200585),
(263305, '0046002', NULL, NULL, 182, NULL, 'TIMP-like', 200585),
(263306, '0047553', NULL, NULL, 127, NULL, 'TIMP-like', 200585),
(263307, '0045996', NULL, NULL, 184, NULL, 'TIMP-like', 200585),
(263308, '0053652', NULL, NULL, 228, NULL, 'Proteasome activator', 200586),
(263309, '0035229', NULL, NULL, 201, NULL, 'Proteasome activator', 200586),
(263310, '0053543', NULL, NULL, 140, NULL, 'Synuclein', 200587),
(263311, '0049645', NULL, NULL, 104, NULL, 'DnaK suppressor protein DksA, alpha-hairpin domain', 200588),
(263312, '0048483', NULL, NULL, 77, NULL, 'Glucose permease domain IIB', 200589),
(263313, '0043655', NULL, NULL, 270, NULL, 'VP4 membrane interaction domain', 200590),
(263314, '0038703', NULL, NULL, 109, NULL, 'Uridine diphospho-N-Acetylenolpyruvylglucosamine reductase, MurB, C-terminal domain', 200591),
(263315, '0044562', NULL, NULL, 142, NULL, 'Uridine diphospho-N-Acetylenolpyruvylglucosamine reductase, MurB, C-terminal domain', 200591),
(263316, '0036841', NULL, NULL, 50, NULL, 'Type X cellulose binding domain, CBDX', 200592),
(263317, '0046703', NULL, NULL, 139, NULL, 'Cell-division protein ZipA, C-terminal domain', 200593),
(263318, '0053722', NULL, NULL, 62, NULL, 'PsbZ-like', 200594),
(263319, '0041691', NULL, NULL, 200, NULL, 'Methenyltetrahydrofolate cyclohydrolase-like', 200595),
(263320, '0035029', NULL, NULL, 51, NULL, 'Antifungal protein (AGAFP)', 200596),
(263321, '0049475', NULL, NULL, 225, NULL, 'PhoU-like', 200597),
(263322, '0050141', NULL, NULL, 99, NULL, 'PhoU-like', 200597),
(263323, '0051131', NULL, NULL, 212, NULL, 'PhoU-like', 200597),
(263324, '0049559', NULL, NULL, 215, NULL, 'PhoU-like', 200597),
(263325, '0054458', NULL, NULL, 461, NULL, 'VPA0735-like', 200598),
(263326, '0051308', NULL, NULL, 135, NULL, 'Serine metabolism enzymes domain', 200599),
(263327, '0053082', NULL, NULL, 145, NULL, 'Serine metabolism enzymes domain', 200599),
(263328, '0036952', NULL, NULL, 55, NULL, 'RNA polymerase subunit RPB10', 200600),
(263329, '0047307', NULL, NULL, 65, NULL, 'RNA polymerase subunit RPB10', 200600),
(263330, '0049388', NULL, NULL, 75, NULL, 'ChaB-like', 200601),
(263331, '0038382', NULL, NULL, 267, NULL, 'HydA/Nqo6-like', 200602),
(263332, '0035907', NULL, NULL, 278, NULL, 'HydA/Nqo6-like', 200602),
(263333, '0045287', NULL, NULL, 261, NULL, 'HydA/Nqo6-like', 200602),
(263334, '0037747', NULL, NULL, 261, NULL, 'HydA/Nqo6-like', 200602),
(263335, '0052777', NULL, NULL, 161, NULL, 'HydA/Nqo6-like', 200602),
(263336, '0036735', NULL, NULL, 262, NULL, 'HydA/Nqo6-like', 200602);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(263337, '0050175', NULL, NULL, 161, NULL, 'Ta1353-like', 200603),
(263338, '0043297', NULL, NULL, 151, NULL, 'Ta1353-like', 200603),
(263339, '0043282', NULL, NULL, 36, NULL, 'Oligosaccharyltransferase subunit ost4p', 200604),
(263340, '0052666', NULL, NULL, 124, NULL, 'PA2201 N-terminal domain-like', 200605),
(263341, '0039754', NULL, NULL, 165, NULL, 'beta-lactamase-inhibitor protein, BLIP', 200606),
(263342, '0039344', NULL, NULL, 142, NULL, 'Ribosomal protein L13', 200607),
(263343, '0054000', NULL, NULL, 140, NULL, 'Ribosomal protein L13', 200607),
(263344, '0054181', NULL, NULL, 139, NULL, 'Ribosomal protein L13', 200607),
(263345, '0054778', NULL, NULL, 142, NULL, 'Ribosomal protein L13', 200607),
(263346, '0037535', NULL, NULL, 142, NULL, 'Ribosomal protein L13', 200607),
(263347, '0048394', NULL, NULL, 293, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263348, '0046052', NULL, NULL, 347, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263349, '0050375', NULL, NULL, 216, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263350, '0050295', NULL, NULL, 241, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263351, '0047165', NULL, NULL, 272, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263352, '0052835', NULL, NULL, 290, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263353, '0049183', NULL, NULL, 236, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263354, '0053767', NULL, NULL, 256, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263355, '0046638', NULL, NULL, 291, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263356, '0041422', NULL, NULL, 265, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263357, '0035194', NULL, NULL, 394, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263358, '0051519', NULL, NULL, 318, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263359, '0040152', NULL, NULL, 322, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263360, '0050706', NULL, NULL, 327, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263361, '0046597', NULL, NULL, 353, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263362, '0041426', NULL, NULL, 268, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263363, '0048934', NULL, NULL, 325, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263364, '0046437', NULL, NULL, 342, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263365, '0054444', NULL, NULL, 269, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263366, '0037947', NULL, NULL, 290, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263367, '0049378', NULL, NULL, 311, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263368, '0049994', NULL, NULL, 275, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263369, '0054461', NULL, NULL, 265, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263370, '0035005', NULL, NULL, 324, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263371, '0035444', NULL, NULL, 342, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263372, '0050689', NULL, NULL, 188, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263373, '0053816', NULL, NULL, 188, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263374, '0053636', NULL, NULL, 246, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263375, '0035568', NULL, NULL, 207, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263376, '0035382', NULL, NULL, 331, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263377, '0048309', NULL, NULL, 304, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263378, '0042525', NULL, NULL, 207, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263379, '0039382', NULL, NULL, 281, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263380, '0045676', NULL, NULL, 327, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263381, '0041634', NULL, NULL, 291, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263382, '0042520', NULL, NULL, 266, NULL, 'Class II aaRS and biotin synthetases', 200608);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(263383, '0045899', NULL, NULL, 335, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263384, '0046922', NULL, NULL, 357, NULL, 'Class II aaRS and biotin synthetases', 200608),
(263385, '0043093', NULL, NULL, 140, NULL, 'OmpA-like', 200609),
(263386, '0041764', NULL, NULL, 108, NULL, 'OmpA-like', 200609),
(263387, '0051776', NULL, NULL, 134, NULL, 'OmpA-like', 200609),
(263388, '0051373', NULL, NULL, 182, NULL, 'Mitochondrial glycoprotein MAM33-like', 200610),
(263389, '0042130', NULL, NULL, 209, NULL, 'Mitochondrial glycoprotein MAM33-like', 200610),
(263390, '0047017', NULL, NULL, 68, NULL, 'Urease metallochaperone UreE, C-terminal domain', 200611),
(263391, '0046510', NULL, NULL, 68, NULL, 'Urease metallochaperone UreE, C-terminal domain', 200611),
(263392, '0047274', NULL, NULL, 110, NULL, 'Actinoxanthin-like', 200612),
(263393, '0045761', NULL, NULL, 108, NULL, 'Actinoxanthin-like', 200612),
(263394, '0053181', NULL, NULL, 112, NULL, 'Actinoxanthin-like', 200612),
(263395, '0048401', NULL, NULL, 113, NULL, 'Actinoxanthin-like', 200612),
(263396, '0045787', NULL, NULL, 114, NULL, 'Actinoxanthin-like', 200612),
(263397, '0035837', NULL, NULL, 372, NULL, 'Arginase/deacetylase', 200613),
(263398, '0044998', NULL, NULL, 303, NULL, 'Arginase/deacetylase', 200613),
(263399, '0054863', NULL, NULL, 386, NULL, 'Arginase/deacetylase', 200613),
(263400, '0038224', NULL, NULL, 301, NULL, 'Arginase/deacetylase', 200613),
(263401, '0050949', NULL, NULL, 324, NULL, 'Arginase/deacetylase', 200613),
(263402, '0036259', NULL, NULL, 308, NULL, 'Arginase/deacetylase', 200613),
(263403, '0043894', NULL, NULL, 364, NULL, 'Arginase/deacetylase', 200613),
(263404, '0045215', NULL, NULL, 298, NULL, 'Arginase/deacetylase', 200613),
(263405, '0051675', NULL, NULL, 298, NULL, 'Arginase/deacetylase', 200613),
(263406, '0042422', NULL, NULL, 306, NULL, 'Arginase/deacetylase', 200613),
(263407, '0051754', NULL, NULL, 309, NULL, 'Arginase/deacetylase', 200613),
(263408, '0040283', NULL, NULL, 141, NULL, 'Yeast killer toxins', 200614),
(263409, '0040202', NULL, NULL, 105, NULL, 'Yeast killer toxins', 200614),
(263410, '0052014', NULL, NULL, 456, NULL, 'RNI-like', 200615),
(263411, '0037738', NULL, NULL, 286, NULL, 'RNI-like', 200615),
(263412, '0039098', NULL, NULL, 166, NULL, 'RNI-like', 200615),
(263413, '0048761', NULL, NULL, 167, NULL, 'RNI-like', 200615),
(263414, '0045099', NULL, NULL, 343, NULL, 'RNI-like', 200615),
(263415, '0045711', NULL, NULL, 460, NULL, 'RNI-like', 200615),
(263416, '0054169', NULL, NULL, 44, NULL, 'SOCS box-like', 200616),
(263417, '0053768', NULL, NULL, 50, NULL, 'SOCS box-like', 200616),
(263418, '0044680', NULL, NULL, 39, NULL, 'LDL receptor-like module', 200617),
(263419, '0037404', NULL, NULL, 41, NULL, 'LDL receptor-like module', 200617),
(263420, '0036124', NULL, NULL, 42, NULL, 'LDL receptor-like module', 200617),
(263421, '0052956', NULL, NULL, 41, NULL, 'LDL receptor-like module', 200617),
(263422, '0052954', NULL, NULL, 41, NULL, 'LDL receptor-like module', 200617),
(263423, '0037446', NULL, NULL, 39, NULL, 'LDL receptor-like module', 200617),
(263424, '0052952', NULL, NULL, 42, NULL, 'LDL receptor-like module', 200617),
(263425, '0039420', NULL, NULL, 44, NULL, 'LDL receptor-like module', 200617),
(263426, '0040464', NULL, NULL, 46, NULL, 'LDL receptor-like module', 200617),
(263427, '0039720', NULL, NULL, 47, NULL, 'LDL receptor-like module', 200617),
(263428, '0041242', NULL, NULL, 44, NULL, 'LDL receptor-like module', 200617),
(263429, '0036243', NULL, NULL, 45, NULL, 'LDL receptor-like module', 200617),
(263430, '0041241', NULL, NULL, 50, NULL, 'LDL receptor-like module', 200617),
(263431, '0041240', NULL, NULL, 41, NULL, 'LDL receptor-like module', 200617),
(263432, '0035070', NULL, NULL, 37, NULL, 'LDL receptor-like module', 200617),
(263433, '0048493', NULL, NULL, 210, NULL, 'PRTase-like', 200618),
(263434, '0052113', NULL, NULL, 160, NULL, 'PRTase-like', 200618),
(263435, '0052114', NULL, NULL, 184, NULL, 'PRTase-like', 200618),
(263436, '0046350', NULL, NULL, 150, NULL, 'PRTase-like', 200618);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(263437, '0046155', NULL, NULL, 228, NULL, 'PRTase-like', 200618),
(263438, '0050151', NULL, NULL, 153, NULL, 'PRTase-like', 200618),
(263439, '0051163', NULL, NULL, 191, NULL, 'PRTase-like', 200618),
(263440, '0046909', NULL, NULL, 178, NULL, 'PRTase-like', 200618),
(263441, '0038588', NULL, NULL, 173, NULL, 'PRTase-like', 200618),
(263442, '0050136', NULL, NULL, 174, NULL, 'PRTase-like', 200618),
(263443, '0036900', NULL, NULL, 243, NULL, 'PRTase-like', 200618),
(263444, '0051301', NULL, NULL, 178, NULL, 'PRTase-like', 200618),
(263445, '0050435', NULL, NULL, 208, NULL, 'PRTase-like', 200618),
(263446, '0051105', NULL, NULL, 215, NULL, 'PRTase-like', 200618),
(263447, '0042536', NULL, NULL, 183, NULL, 'PRTase-like', 200618),
(263448, '0047309', NULL, NULL, 208, NULL, 'PRTase-like', 200618),
(263449, '0035791', NULL, NULL, 214, NULL, 'PRTase-like', 200618),
(263450, '0036560', NULL, NULL, 230, NULL, 'PRTase-like', 200618),
(263451, '0048919', NULL, NULL, 236, NULL, 'PRTase-like', 200618),
(263452, '0048678', NULL, NULL, 210, NULL, 'PRTase-like', 200618),
(263453, '0046852', NULL, NULL, 233, NULL, 'PRTase-like', 200618),
(263454, '0044334', NULL, NULL, 178, NULL, 'PRTase-like', 200618),
(263455, '0040356', NULL, NULL, 181, NULL, 'PRTase-like', 200618),
(263456, '0041489', NULL, NULL, 179, NULL, 'PRTase-like', 200618),
(263457, '0041687', NULL, NULL, 202, NULL, 'PRTase-like', 200618),
(263458, '0047030', NULL, NULL, 231, NULL, 'PRTase-like', 200618),
(263459, '0050349', NULL, NULL, 182, NULL, 'PRTase-like', 200618),
(263460, '0034851', NULL, NULL, 178, NULL, 'PRTase-like', 200618),
(263461, '0038017', NULL, NULL, 177, NULL, 'PRTase-like', 200618),
(263462, '0050105', NULL, NULL, 208, NULL, 'PRTase-like', 200618),
(263463, '0051755', NULL, NULL, 208, NULL, 'PRTase-like', 200618),
(263464, '0035468', NULL, NULL, 224, NULL, 'PRTase-like', 200618),
(263465, '0041576', NULL, NULL, 150, NULL, 'PRTase-like', 200618),
(263466, '0041991', NULL, NULL, 179, NULL, 'PRTase-like', 200618),
(263467, '0036475', NULL, NULL, 159, NULL, 'PRTase-like', 200618),
(263468, '0049833', NULL, NULL, 129, NULL, 'PRTase-like', 200618),
(263469, '0048249', NULL, NULL, 216, NULL, 'PRTase-like', 200618),
(263470, '0049832', NULL, NULL, 155, NULL, 'PRTase-like', 200618),
(263471, '0041997', NULL, NULL, 213, NULL, 'PRTase-like', 200618),
(263472, '0049285', NULL, NULL, 57, NULL, 'PsbU/PolX domain-like', 200619),
(263473, '0047630', NULL, NULL, 60, NULL, 'PsbU/PolX domain-like', 200619),
(263474, '0045993', NULL, NULL, 57, NULL, 'PsbU/PolX domain-like', 200619),
(263475, '0047636', NULL, NULL, 58, NULL, 'PsbU/PolX domain-like', 200619),
(263476, '0053721', NULL, NULL, 98, NULL, 'PsbU/PolX domain-like', 200619),
(263477, '0050665', NULL, NULL, 127, NULL, 'TTHA1528-like', 200620),
(263478, '0053209', NULL, NULL, 189, NULL, 'Rhomboid-like', 200621),
(263479, '0053091', NULL, NULL, 182, NULL, 'Rhomboid-like', 200621),
(263480, '0045082', NULL, NULL, 63, NULL, 'SH3-domain', 200622),
(263481, '0048550', NULL, NULL, 59, NULL, 'SH3-domain', 200622),
(263482, '0049882', NULL, NULL, 93, NULL, 'SH3-domain', 200622),
(263483, '0053627', NULL, NULL, 66, NULL, 'SH3-domain', 200622),
(263484, '0052732', NULL, NULL, 63, NULL, 'SH3-domain', 200622),
(263485, '0047748', NULL, NULL, 62, NULL, 'SH3-domain', 200622),
(263486, '0047507', NULL, NULL, 74, NULL, 'SH3-domain', 200622),
(263487, '0049926', NULL, NULL, 76, NULL, 'SH3-domain', 200622),
(263488, '0044915', NULL, NULL, 136, NULL, 'SH3-domain', 200622),
(263489, '0044917', NULL, NULL, 145, NULL, 'SH3-domain', 200622),
(263490, '0050508', NULL, NULL, 74, NULL, 'SH3-domain', 200622),
(263491, '0047146', NULL, NULL, 63, NULL, 'SH3-domain', 200622),
(263492, '0047663', NULL, NULL, 79, NULL, 'SH3-domain', 200622),
(263493, '0045920', NULL, NULL, 83, NULL, 'SH3-domain', 200622),
(263494, '0050000', NULL, NULL, 57, NULL, 'SH3-domain', 200622),
(263495, '0049175', NULL, NULL, 77, NULL, 'SH3-domain', 200622),
(263496, '0049890', NULL, NULL, 92, NULL, 'SH3-domain', 200622),
(263497, '0051651', NULL, NULL, 56, NULL, 'SH3-domain', 200622);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(263498, '0047233', NULL, NULL, 71, NULL, 'SH3-domain', 200622),
(263499, '0049376', NULL, NULL, 58, NULL, 'SH3-domain', 200622),
(263500, '0044361', NULL, NULL, 79, NULL, 'SH3-domain', 200622),
(263501, '0036795', NULL, NULL, 61, NULL, 'SH3-domain', 200622),
(263502, '0052588', NULL, NULL, 59, NULL, 'SH3-domain', 200622),
(263503, '0045813', NULL, NULL, 60, NULL, 'SH3-domain', 200622),
(263504, '0036794', NULL, NULL, 59, NULL, 'SH3-domain', 200622),
(263505, '0046906', NULL, NULL, 62, NULL, 'SH3-domain', 200622),
(263506, '0041374', NULL, NULL, 118, NULL, 'SH3-domain', 200622),
(263507, '0042705', NULL, NULL, 65, NULL, 'SH3-domain', 200622),
(263508, '0041338', NULL, NULL, 65, NULL, 'SH3-domain', 200622),
(263509, '0047043', NULL, NULL, 61, NULL, 'SH3-domain', 200622),
(263510, '0036029', NULL, NULL, 57, NULL, 'SH3-domain', 200622),
(263511, '0046957', NULL, NULL, 74, NULL, 'SH3-domain', 200622),
(263512, '0048617', NULL, NULL, 58, NULL, 'SH3-domain', 200622),
(263513, '0049905', NULL, NULL, 69, NULL, 'SH3-domain', 200622),
(263514, '0047765', NULL, NULL, 71, NULL, 'SH3-domain', 200622),
(263515, '0049700', NULL, NULL, 61, NULL, 'SH3-domain', 200622),
(263516, '0047642', NULL, NULL, 58, NULL, 'SH3-domain', 200622),
(263517, '0047724', NULL, NULL, 78, NULL, 'SH3-domain', 200622),
(263518, '0047008', NULL, NULL, 67, NULL, 'SH3-domain', 200622),
(263519, '0042039', NULL, NULL, 65, NULL, 'SH3-domain', 200622),
(263520, '0049867', NULL, NULL, 98, NULL, 'SH3-domain', 200622),
(263521, '0049900', NULL, NULL, 72, NULL, 'SH3-domain', 200622),
(263522, '0050583', NULL, NULL, 96, NULL, 'SH3-domain', 200622),
(263523, '0038838', NULL, NULL, 106, NULL, 'SH3-domain', 200622),
(263524, '0049871', NULL, NULL, 80, NULL, 'SH3-domain', 200622),
(263525, '0053615', NULL, NULL, 71, NULL, 'SH3-domain', 200622),
(263526, '0038478', NULL, NULL, 57, NULL, 'SH3-domain', 200622),
(263527, '0037667', NULL, NULL, 64, NULL, 'SH3-domain', 200622),
(263528, '0045835', NULL, NULL, 67, NULL, 'SH3-domain', 200622),
(263529, '0043854', NULL, NULL, 107, NULL, 'SH3-domain', 200622),
(263530, '0049918', NULL, NULL, 58, NULL, 'SH3-domain', 200622),
(263531, '0045834', NULL, NULL, 77, NULL, 'SH3-domain', 200622),
(263532, '0043613', NULL, NULL, 59, NULL, 'SH3-domain', 200622),
(263533, '0047819', NULL, NULL, 96, NULL, 'SH3-domain', 200622),
(263534, '0046960', NULL, NULL, 69, NULL, 'SH3-domain', 200622),
(263535, '0042323', NULL, NULL, 83, NULL, 'SH3-domain', 200622),
(263536, '0049439', NULL, NULL, 72, NULL, 'SH3-domain', 200622),
(263537, '0045799', NULL, NULL, 60, NULL, 'SH3-domain', 200622),
(263538, '0054033', NULL, NULL, 106, NULL, 'PA1123-like', 200623),
(263539, '0047002', NULL, NULL, 120, NULL, 'Transthyretin (synonym: prealbumin)', 200624),
(263540, '0049687', NULL, NULL, 127, NULL, 'Transthyretin (synonym: prealbumin)', 200624),
(263541, '0048613', NULL, NULL, 116, NULL, 'Transthyretin (synonym: prealbumin)', 200624),
(263542, '0049615', NULL, NULL, 114, NULL, 'Transthyretin (synonym: prealbumin)', 200624),
(263543, '0050099', NULL, NULL, 292, NULL, 'FAD-linked oxidoreductase', 200625),
(263544, '0047760', NULL, NULL, 351, NULL, 'FAD-linked oxidoreductase', 200625),
(263545, '0045882', NULL, NULL, 275, NULL, 'FAD-linked oxidoreductase', 200625),
(263546, '0053200', NULL, NULL, 100, NULL, 'ERH-like', 200626),
(263547, '0051178', NULL, NULL, 80, NULL, 'N-terminal, heterodimerisation domain of RBP7 (RpoE)', 200627),
(263548, '0038182', NULL, NULL, 78, NULL, 'N-terminal, heterodimerisation domain of RBP7 (RpoE)', 200627),
(263549, '0052108', NULL, NULL, 77, NULL, 'N-terminal, heterodimerisation domain of RBP7 (RpoE)', 200627),
(263550, '0041176', NULL, NULL, 95, NULL, 'PHL pollen allergen', 200628),
(263551, '0044975', NULL, NULL, 94, NULL, 'PHL pollen allergen', 200628),
(263552, '0045362', NULL, NULL, 118, NULL, 'Hemerythrin-like', 200629),
(263553, '0045324', NULL, NULL, 113, NULL, 'Hemerythrin-like', 200629),
(263554, '0047227', NULL, NULL, 113, NULL, 'Hemerythrin-like', 200629),
(263555, '0047304', NULL, NULL, 113, NULL, 'Hemerythrin-like', 200629);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(263556, '0051561', NULL, NULL, 136, NULL, 'PF0523-like', 200630),
(263557, '0054246', NULL, NULL, 78, NULL, 'RplX-like', 200631),
(263558, '0049484', NULL, NULL, 108, NULL, 'RuBisCO, small subunit', 200632),
(263559, '0043190', NULL, NULL, 109, NULL, 'RuBisCO, small subunit', 200632),
(263560, '0035748', NULL, NULL, 138, NULL, 'RuBisCO, small subunit', 200632),
(263561, '0039144', NULL, NULL, 140, NULL, 'RuBisCO, small subunit', 200632),
(263562, '0039143', NULL, NULL, 123, NULL, 'RuBisCO, small subunit', 200632),
(263563, '0035764', NULL, NULL, 129, NULL, 'RuBisCO, small subunit', 200632),
(263564, '0050439', NULL, NULL, 122, NULL, 'RuBisCO, small subunit', 200632),
(263565, '0045565', NULL, NULL, 123, NULL, 'RuBisCO, small subunit', 200632),
(263566, '0053616', NULL, NULL, 134, NULL, 'RuBisCO, small subunit', 200632),
(263567, '0045666', NULL, NULL, 123, NULL, 'RuBisCO, small subunit', 200632),
(263568, '0048321', NULL, NULL, 165, NULL, 'Swiveling domain of dehydratase reactivase alpha subunit', 200633),
(263569, '0052358', NULL, NULL, 162, NULL, 'Swiveling domain of dehydratase reactivase alpha subunit', 200633),
(263570, '0038576', NULL, NULL, 88, NULL, 'Fe-only hydrogenase smaller subunit', 200634),
(263571, '0054197', NULL, NULL, 34, NULL, 'Apical membrane antigen 1', 200635),
(263572, '0038645', NULL, NULL, 110, NULL, 'Apical membrane antigen 1', 200635),
(263573, '0049362', NULL, NULL, 233, NULL, 'CoA-dependent acyltransferases', 200636),
(263574, '0051016', NULL, NULL, 218, NULL, 'CoA-dependent acyltransferases', 200636),
(263575, '0051015', NULL, NULL, 382, NULL, 'CoA-dependent acyltransferases', 200636),
(263576, '0047935', NULL, NULL, 174, NULL, 'CoA-dependent acyltransferases', 200636),
(263577, '0047936', NULL, NULL, 250, NULL, 'CoA-dependent acyltransferases', 200636),
(263578, '0041485', NULL, NULL, 213, NULL, 'CoA-dependent acyltransferases', 200636),
(263579, '0042636', NULL, NULL, 384, NULL, 'CoA-dependent acyltransferases', 200636),
(263580, '0036871', NULL, NULL, 243, NULL, 'CoA-dependent acyltransferases', 200636),
(263581, '0042637', NULL, NULL, 216, NULL, 'CoA-dependent acyltransferases', 200636),
(263582, '0035361', NULL, NULL, 242, NULL, 'CoA-dependent acyltransferases', 200636),
(263583, '0041319', NULL, NULL, 220, NULL, 'CoA-dependent acyltransferases', 200636),
(263584, '0041318', NULL, NULL, 376, NULL, 'CoA-dependent acyltransferases', 200636),
(263585, '0041459', NULL, NULL, 214, NULL, 'CoA-dependent acyltransferases', 200636),
(263586, '0041458', NULL, NULL, 377, NULL, 'CoA-dependent acyltransferases', 200636),
(263587, '0045500', NULL, NULL, 213, NULL, 'CoA-dependent acyltransferases', 200636),
(263588, '0042676', NULL, NULL, 175, NULL, 'CoA-dependent acyltransferases', 200636),
(263589, '0048911', NULL, NULL, 238, NULL, 'CoA-dependent acyltransferases', 200636),
(263590, '0034911', NULL, NULL, 150, NULL, 'Phoshotransferase/anion transport protein', 200637),
(263591, '0038790', NULL, NULL, 293, NULL, 'Phoshotransferase/anion transport protein', 200637),
(263592, '0034850', NULL, NULL, 145, NULL, 'Phoshotransferase/anion transport protein', 200637),
(263593, '0050986', NULL, NULL, 155, NULL, 'Phoshotransferase/anion transport protein', 200637),
(263594, '0048630', NULL, NULL, 126, NULL, 'Flagellar export chaperone FliS', 200638),
(263595, '0044750', NULL, NULL, 102, NULL, 'Flagellar export chaperone FliS', 200638),
(263596, '0052169', NULL, NULL, 122, NULL, 'beta-N-acetylhexosaminidase-like domain', 200639),
(263597, '0038663', NULL, NULL, 143, NULL, 'beta-N-acetylhexosaminidase-like domain', 200639),
(263598, '0052140', NULL, NULL, 138, NULL, 'beta-N-acetylhexosaminidase-like domain', 200639),
(263599, '0053949', NULL, NULL, 144, NULL, 'beta-N-acetylhexosaminidase-like domain', 200639),
(263600, '0038229', NULL, NULL, 147, NULL, 'beta-N-acetylhexosaminidase-like domain', 200639),
(263601, '0047767', NULL, NULL, 138, NULL, 'beta-N-acetylhexosaminidase-like domain', 200639),
(263602, '0048405', NULL, NULL, 145, NULL, 'beta-N-acetylhexosaminidase-like domain', 200639); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(263603, '0042698', NULL, NULL, 137, NULL, 'beta-N-acetylhexosaminidase-like domain', 200639),
(263604, '0045701', NULL, NULL, 220, NULL, 'Pyrrolidone carboxyl peptidase (pyroglutamate aminopeptidase)', 200640),
(263605, '0045822', NULL, NULL, 210, NULL, 'Pyrrolidone carboxyl peptidase (pyroglutamate aminopeptidase)', 200640),
(263606, '0047403', NULL, NULL, 208, NULL, 'Pyrrolidone carboxyl peptidase (pyroglutamate aminopeptidase)', 200640),
(263607, '0047437', NULL, NULL, 206, NULL, 'Pyrrolidone carboxyl peptidase (pyroglutamate aminopeptidase)', 200640),
(263608, '0039086', NULL, NULL, 107, NULL, 'Ribosome binding protein Y (YfiA homologue)', 200641),
(263609, '0040382', NULL, NULL, 112, NULL, 'Ribosome binding protein Y (YfiA homologue)', 200641),
(263610, '0054749', NULL, NULL, 95, NULL, 'Ribosome binding protein Y (YfiA homologue)', 200641),
(263611, '0034914', NULL, NULL, 295, NULL, 'PP2C-like', 200642),
(263612, '0049733', NULL, NULL, 235, NULL, 'PP2C-like', 200642),
(263613, '0054344', NULL, NULL, 220, NULL, '14-3-3 protein', 200643),
(263614, '0054960', NULL, NULL, 223, NULL, '14-3-3 protein', 200643),
(263615, '0048523', NULL, NULL, 236, NULL, '14-3-3 protein', 200643),
(263616, '0048967', NULL, NULL, 232, NULL, '14-3-3 protein', 200643),
(263617, '0051364', NULL, NULL, 307, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263618, '0050178', NULL, NULL, 246, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263619, '0053760', NULL, NULL, 542, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263620, '0050195', NULL, NULL, 255, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263621, '0038427', NULL, NULL, 290, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263622, '0054718', NULL, NULL, 540, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263623, '0038005', NULL, NULL, 250, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263624, '0038743', NULL, NULL, 248, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263625, '0052019', NULL, NULL, 381, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263626, '0038881', NULL, NULL, 225, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263627, '0046659', NULL, NULL, 224, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263628, '0047707', NULL, NULL, 229, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263629, '0038003', NULL, NULL, 277, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263630, '0040693', NULL, NULL, 295, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263631, '0042758', NULL, NULL, 255, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263632, '0038020', NULL, NULL, 282, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263633, '0037570', NULL, NULL, 261, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263634, '0053839', NULL, NULL, 231, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263635, '0038462', NULL, NULL, 245, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263636, '0040712', NULL, NULL, 283, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263637, '0048137', NULL, NULL, 291, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263638, '0047989', NULL, NULL, 263, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263639, '0047689', NULL, NULL, 501, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263640, '0046778', NULL, NULL, 272, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263641, '0046833', NULL, NULL, 343, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263642, '0046877', NULL, NULL, 292, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263643, '0044656', NULL, NULL, 252, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263644, '0054091', NULL, NULL, 208, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263645, '0050266', NULL, NULL, 221, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263646, '0050387', NULL, NULL, 226, NULL, 'Nucleotide-diphospho-sugar transferases', 200644);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(263647, '0047373', NULL, NULL, 289, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263648, '0049057', NULL, NULL, 228, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263649, '0043493', NULL, NULL, 339, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263650, '0053791', NULL, NULL, 268, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263651, '0050249', NULL, NULL, 516, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263652, '0050366', NULL, NULL, 205, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263653, '0050959', NULL, NULL, 328, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263654, '0054719', NULL, NULL, 542, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263655, '0053095', NULL, NULL, 378, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263656, '0046466', NULL, NULL, 188, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263657, '0044168', NULL, NULL, 259, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263658, '0048604', NULL, NULL, 265, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263659, '0044743', NULL, NULL, 226, NULL, 'Nucleotide-diphospho-sugar transferases', 200644),
(263660, '0042034', NULL, NULL, 210, NULL, 'His-Me finger endonucleases', 200645),
(263661, '0037998', NULL, NULL, 241, NULL, 'His-Me finger endonucleases', 200645),
(263662, '0044583', NULL, NULL, 245, NULL, 'His-Me finger endonucleases', 200645),
(263663, '0037092', NULL, NULL, 131, NULL, 'His-Me finger endonucleases', 200645),
(263664, '0034919', NULL, NULL, 162, NULL, 'His-Me finger endonucleases', 200645),
(263665, '0044201', NULL, NULL, 105, NULL, 'His-Me finger endonucleases', 200645),
(263666, '0045643', NULL, NULL, 127, NULL, 'His-Me finger endonucleases', 200645),
(263667, '0036822', NULL, NULL, 103, NULL, 'His-Me finger endonucleases', 200645),
(263668, '0054326', NULL, NULL, 240, NULL, 'His-Me finger endonucleases', 200645),
(263669, '0044713', NULL, NULL, 143, NULL, 'Hut operon positive regulatory protein HutP', 200646),
(263670, '0048894', NULL, NULL, 99, NULL, 'GTF2I-like repeat', 200647),
(263671, '0053506', NULL, NULL, 33, NULL, 'Proline/betaine transporter ProP, C-terminal cytoplasmic domain', 200648),
(263672, '0053779', NULL, NULL, 120, NULL, 'ATP synthase D chain-like', 200649),
(263673, '0048929', NULL, NULL, 254, NULL, 'Outer membrane phospholipase A (OMPLA)', 200650),
(263674, '0040205', NULL, NULL, 216, NULL, 'Thymidylate synthase-complementing protein Thy1', 200651),
(263675, '0053882', NULL, NULL, 247, NULL, 'N-(deoxy)ribosyltransferase-like', 200652),
(263676, '0039181', NULL, NULL, 250, NULL, 'N-(deoxy)ribosyltransferase-like', 200652),
(263677, '0046731', NULL, NULL, 156, NULL, 'N-(deoxy)ribosyltransferase-like', 200652),
(263678, '0043475', NULL, NULL, 167, NULL, 'N-(deoxy)ribosyltransferase-like', 200652),
(263679, '0049517', NULL, NULL, 119, NULL, 'N-(deoxy)ribosyltransferase-like', 200652),
(263680, '0052602', NULL, NULL, 152, NULL, 'N-(deoxy)ribosyltransferase-like', 200652),
(263681, '0040444', NULL, NULL, 250, NULL, 'N-(deoxy)ribosyltransferase-like', 200652),
(263682, '0051101', NULL, NULL, 116, NULL, 'PX domain', 200653),
(263683, '0047856', NULL, NULL, 140, NULL, 'PX domain', 200653),
(263684, '0041789', NULL, NULL, 132, NULL, 'PX domain', 200653),
(263685, '0040149', NULL, NULL, 117, NULL, 'PX domain', 200653),
(263686, '0038437', NULL, NULL, 143, NULL, 'PX domain', 200653),
(263687, '0045181', NULL, NULL, 355, NULL, 'YVTN repeat-like/Quinoprotein amine dehydrogenase', 200654),
(263688, '0047606', NULL, NULL, 337, NULL, 'YVTN repeat-like/Quinoprotein amine dehydrogenase', 200654),
(263689, '0047917', NULL, NULL, 301, NULL, 'YVTN repeat-like/Quinoprotein amine dehydrogenase', 200654),
(263690, '0048144', NULL, NULL, 368, NULL, 'YVTN repeat-like/Quinoprotein amine dehydrogenase', 200654),
(263691, '0039648', NULL, NULL, 346, NULL, 'YVTN repeat-like/Quinoprotein amine dehydrogenase', 200654),
(263692, '0053180', NULL, NULL, 373, NULL, 'YVTN repeat-like/Quinoprotein amine dehydrogenase', 200654);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(263693, '0053727', NULL, NULL, 344, NULL, 'Release factor', 200655),
(263694, '0043341', NULL, NULL, 333, NULL, 'Release factor', 200655),
(263695, '0038227', NULL, NULL, 362, NULL, 'Release factor', 200655),
(263696, '0048399', NULL, NULL, 106, NULL, 'Hypothetical protein YgiW', 200656),
(263697, '0037671', NULL, NULL, 206, NULL, 'Formyltransferase', 200657),
(263698, '0051571', NULL, NULL, 164, NULL, 'Formyltransferase', 200657),
(263699, '0052063', NULL, NULL, 203, NULL, 'Formyltransferase', 200657),
(263700, '0043482', NULL, NULL, 203, NULL, 'Formyltransferase', 200657),
(263701, '0040902', NULL, NULL, 205, NULL, 'Formyltransferase', 200657),
(263702, '0051998', NULL, NULL, 203, NULL, 'Formyltransferase', 200657),
(263703, '0047614', NULL, NULL, 209, NULL, 'Formyltransferase', 200657),
(263704, '0048181', NULL, NULL, 81, NULL, 'Probable GTPase Der, C-terminal domain', 200658),
(263705, '0052073', NULL, NULL, 132, NULL, 'Coronavirus RNA-binding domain', 200659),
(263706, '0052876', NULL, NULL, 138, NULL, 'Coronavirus RNA-binding domain', 200659),
(263707, '0043741', NULL, NULL, 158, NULL, 'Coronavirus RNA-binding domain', 200659),
(263708, '0039380', NULL, NULL, 127, NULL, 'MTH1598-like', 200660),
(263709, '0039787', NULL, NULL, 140, NULL, 'MTH1598-like', 200660),
(263710, '0037387', NULL, NULL, 60, NULL, 'ROP protein', 200661),
(263711, '0041431', NULL, NULL, 59, NULL, 'ROP protein', 200661),
(263712, '0047055', NULL, NULL, 62, NULL, 'ROP protein', 200661),
(263713, '0050673', NULL, NULL, 249, NULL, 'Heme oxygenase-like', 200662),
(263714, '0048277', NULL, NULL, 214, NULL, 'Heme oxygenase-like', 200662),
(263715, '0047453', NULL, NULL, 207, NULL, 'Heme oxygenase-like', 200662),
(263716, '0049145', NULL, NULL, 213, NULL, 'Heme oxygenase-like', 200662),
(263717, '0051692', NULL, NULL, 231, NULL, 'Heme oxygenase-like', 200662),
(263718, '0052581', NULL, NULL, 215, NULL, 'Heme oxygenase-like', 200662),
(263719, '0052925', NULL, NULL, 211, NULL, 'Heme oxygenase-like', 200662),
(263720, '0050457', NULL, NULL, 222, NULL, 'Heme oxygenase-like', 200662),
(263721, '0051513', NULL, NULL, 217, NULL, 'Heme oxygenase-like', 200662),
(263722, '0050729', NULL, NULL, 180, NULL, 'Heme oxygenase-like', 200662),
(263723, '0044286', NULL, NULL, 215, NULL, 'Heme oxygenase-like', 200662),
(263724, '0044069', NULL, NULL, 225, NULL, 'Heme oxygenase-like', 200662),
(263725, '0043377', NULL, NULL, 206, NULL, 'Heme oxygenase-like', 200662),
(263726, '0047524', NULL, NULL, 200, NULL, 'Heme oxygenase-like', 200662),
(263727, '0048646', NULL, NULL, 254, NULL, 'Heme oxygenase-like', 200662),
(263728, '0043643', NULL, NULL, 187, NULL, 'Heme oxygenase-like', 200662),
(263729, '0046404', NULL, NULL, 214, NULL, 'Heme oxygenase-like', 200662),
(263730, '0054345', NULL, NULL, 225, NULL, 'AGR C 984p-like', 200663),
(263731, '0043251', NULL, NULL, 65, NULL, 'Preprotein translocase SecE subunit', 200664),
(263732, '0050035', NULL, NULL, 118, NULL, 'Gamma-glutamyl cyclotransferase-like', 200665),
(263733, '0050970', NULL, NULL, 113, NULL, 'Gamma-glutamyl cyclotransferase-like', 200665),
(263734, '0044830', NULL, NULL, 151, NULL, 'Gamma-glutamyl cyclotransferase-like', 200665),
(263735, '0054097', NULL, NULL, 377, NULL, 'SSO1389-like', 200666),
(263736, '0052453', NULL, NULL, 95, NULL, 'Fibronectin type III', 200667),
(263737, '0050832', NULL, NULL, 98, NULL, 'Fibronectin type III', 200667),
(263738, '0037851', NULL, NULL, 98, NULL, 'Fibronectin type III', 200667),
(263739, '0050831', NULL, NULL, 111, NULL, 'Fibronectin type III', 200667),
(263740, '0051920', NULL, NULL, 96, NULL, 'Fibronectin type III', 200667),
(263741, '0050830', NULL, NULL, 100, NULL, 'Fibronectin type III', 200667),
(263742, '0051919', NULL, NULL, 95, NULL, 'Fibronectin type III', 200667),
(263743, '0041201', NULL, NULL, 104, NULL, 'Fibronectin type III', 200667),
(263744, '0050829', NULL, NULL, 113, NULL, 'Fibronectin type III', 200667),
(263745, '0051918', NULL, NULL, 104, NULL, 'Fibronectin type III', 200667),
(263746, '0041200', NULL, NULL, 102, NULL, 'Fibronectin type III', 200667);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(263747, '0050826', NULL, NULL, 107, NULL, 'Fibronectin type III', 200667),
(263748, '0035671', NULL, NULL, 115, NULL, 'Fibronectin type III', 200667),
(263749, '0050825', NULL, NULL, 94, NULL, 'Fibronectin type III', 200667),
(263750, '0035670', NULL, NULL, 95, NULL, 'Fibronectin type III', 200667),
(263751, '0050828', NULL, NULL, 119, NULL, 'Fibronectin type III', 200667),
(263752, '0051917', NULL, NULL, 98, NULL, 'Fibronectin type III', 200667),
(263753, '0050827', NULL, NULL, 103, NULL, 'Fibronectin type III', 200667),
(263754, '0049605', NULL, NULL, 90, NULL, 'Fibronectin type III', 200667),
(263755, '0050844', NULL, NULL, 102, NULL, 'Fibronectin type III', 200667),
(263756, '0050843', NULL, NULL, 98, NULL, 'Fibronectin type III', 200667),
(263757, '0050842', NULL, NULL, 96, NULL, 'Fibronectin type III', 200667),
(263758, '0037682', NULL, NULL, 90, NULL, 'Fibronectin type III', 200667),
(263759, '0037683', NULL, NULL, 89, NULL, 'Fibronectin type III', 200667),
(263760, '0046984', NULL, NULL, 114, NULL, 'Fibronectin type III', 200667),
(263761, '0049856', NULL, NULL, 109, NULL, 'Fibronectin type III', 200667),
(263762, '0047287', NULL, NULL, 100, NULL, 'Fibronectin type III', 200667),
(263763, '0052473', NULL, NULL, 94, NULL, 'Fibronectin type III', 200667),
(263764, '0050052', NULL, NULL, 108, NULL, 'Fibronectin type III', 200667),
(263765, '0037679', NULL, NULL, 91, NULL, 'Fibronectin type III', 200667),
(263766, '0053849', NULL, NULL, 102, NULL, 'Fibronectin type III', 200667),
(263767, '0035255', NULL, NULL, 106, NULL, 'Fibronectin type III', 200667),
(263768, '0035651', NULL, NULL, 104, NULL, 'Fibronectin type III', 200667),
(263769, '0052997', NULL, NULL, 101, NULL, 'Fibronectin type III', 200667),
(263770, '0035650', NULL, NULL, 99, NULL, 'Fibronectin type III', 200667),
(263771, '0050606', NULL, NULL, 117, NULL, 'Fibronectin type III', 200667),
(263772, '0048655', NULL, NULL, 93, NULL, 'Fibronectin type III', 200667),
(263773, '0034836', NULL, NULL, 103, NULL, 'Fibronectin type III', 200667),
(263774, '0053851', NULL, NULL, 125, NULL, 'Fibronectin type III', 200667),
(263775, '0053850', NULL, NULL, 196, NULL, 'Fibronectin type III', 200667),
(263776, '0050505', NULL, NULL, 123, NULL, 'Fibronectin type III', 200667),
(263777, '0035922', NULL, NULL, 106, NULL, 'Fibronectin type III', 200667),
(263778, '0035921', NULL, NULL, 107, NULL, 'Fibronectin type III', 200667),
(263779, '0050500', NULL, NULL, 117, NULL, 'Fibronectin type III', 200667),
(263780, '0048948', NULL, NULL, 103, NULL, 'Fibronectin type III', 200667),
(263781, '0045838', NULL, NULL, 99, NULL, 'Fibronectin type III', 200667),
(263782, '0049877', NULL, NULL, 127, NULL, 'Fibronectin type III', 200667),
(263783, '0047336', NULL, NULL, 96, NULL, 'Fibronectin type III', 200667),
(263784, '0049875', NULL, NULL, 125, NULL, 'Fibronectin type III', 200667),
(263785, '0045312', NULL, NULL, 106, NULL, 'Fibronectin type III', 200667),
(263786, '0037380', NULL, NULL, 95, NULL, 'Fibronectin type III', 200667),
(263787, '0040701', NULL, NULL, 96, NULL, 'Fibronectin type III', 200667),
(263788, '0049599', NULL, NULL, 92, NULL, 'Fibronectin type III', 200667),
(263789, '0049874', NULL, NULL, 117, NULL, 'Fibronectin type III', 200667),
(263790, '0046886', NULL, NULL, 114, NULL, 'Fibronectin type III', 200667),
(263791, '0045313', NULL, NULL, 112, NULL, 'Fibronectin type III', 200667),
(263792, '0047337', NULL, NULL, 101, NULL, 'Fibronectin type III', 200667),
(263793, '0041236', NULL, NULL, 109, NULL, 'Fibronectin type III', 200667),
(263794, '0052410', NULL, NULL, 105, NULL, 'Fibronectin type III', 200667),
(263795, '0052411', NULL, NULL, 107, NULL, 'Fibronectin type III', 200667),
(263796, '0045282', NULL, NULL, 95, NULL, 'Fibronectin type III', 200667),
(263797, '0046131', NULL, NULL, 100, NULL, 'Fibronectin type III', 200667),
(263798, '0053185', NULL, NULL, 92, NULL, 'Fibronectin type III', 200667),
(263799, '0046132', NULL, NULL, 105, NULL, 'Fibronectin type III', 200667),
(263800, '0037415', NULL, NULL, 96, NULL, 'Fibronectin type III', 200667);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(263801, '0037416', NULL, NULL, 103, NULL, 'Fibronectin type III', 200667),
(263802, '0050634', NULL, NULL, 137, NULL, 'Fibronectin type III', 200667),
(263803, '0038104', NULL, NULL, 99, NULL, 'Fibronectin type III', 200667),
(263804, '0050597', NULL, NULL, 111, NULL, 'Fibronectin type III', 200667),
(263805, '0050115', NULL, NULL, 109, NULL, 'Fibronectin type III', 200667),
(263806, '0038102', NULL, NULL, 103, NULL, 'Fibronectin type III', 200667),
(263807, '0039951', NULL, NULL, 88, NULL, 'Fibronectin type III', 200667),
(263808, '0046817', NULL, NULL, 91, NULL, 'Fibronectin type III', 200667),
(263809, '0050506', NULL, NULL, 120, NULL, 'Fibronectin type III', 200667),
(263810, '0046819', NULL, NULL, 94, NULL, 'Fibronectin type III', 200667),
(263811, '0053184', NULL, NULL, 92, NULL, 'Fibronectin type III', 200667),
(263812, '0046532', NULL, NULL, 104, NULL, 'Fibronectin type III', 200667),
(263813, '0049925', NULL, NULL, 120, NULL, 'Fibronectin type III', 200667),
(263814, '0050484', NULL, NULL, 108, NULL, 'Fibronectin type III', 200667),
(263815, '0052266', NULL, NULL, 97, NULL, 'Fibronectin type III', 200667),
(263816, '0052262', NULL, NULL, 107, NULL, 'Fibronectin type III', 200667),
(263817, '0043954', NULL, NULL, 86, NULL, 'Fibronectin type III', 200667),
(263818, '0045698', NULL, NULL, 102, NULL, 'Fibronectin type III', 200667),
(263819, '0046820', NULL, NULL, 89, NULL, 'Fibronectin type III', 200667),
(263820, '0046701', NULL, NULL, 124, NULL, 'Fibronectin type III', 200667),
(263821, '0046822', NULL, NULL, 90, NULL, 'Fibronectin type III', 200667),
(263822, '0043952', NULL, NULL, 93, NULL, 'Fibronectin type III', 200667),
(263823, '0052311', NULL, NULL, 101, NULL, 'Fibronectin type III', 200667),
(263824, '0052310', NULL, NULL, 102, NULL, 'Fibronectin type III', 200667),
(263825, '0049024', NULL, NULL, 88, NULL, 'Fibronectin type III', 200667),
(263826, '0049023', NULL, NULL, 87, NULL, 'Fibronectin type III', 200667),
(263827, '0050499', NULL, NULL, 106, NULL, 'Fibronectin type III', 200667),
(263828, '0036944', NULL, NULL, 109, NULL, 'Fibronectin type III', 200667),
(263829, '0053765', NULL, NULL, 116, NULL, 'Fibronectin type III', 200667),
(263830, '0039415', NULL, NULL, 106, NULL, 'Fibronectin type III', 200667),
(263831, '0048290', NULL, NULL, 103, NULL, 'Fibronectin type III', 200667),
(263832, '0052314', NULL, NULL, 93, NULL, 'Fibronectin type III', 200667),
(263833, '0042755', NULL, NULL, 92, NULL, 'Fibronectin type III', 200667),
(263834, '0046555', NULL, NULL, 101, NULL, 'Fibronectin type III', 200667),
(263835, '0042595', NULL, NULL, 89, NULL, 'Fibronectin type III', 200667),
(263836, '0053083', NULL, NULL, 95, NULL, 'Fibronectin type III', 200667),
(263837, '0052283', NULL, NULL, 117, NULL, 'Fibronectin type III', 200667),
(263838, '0054903', NULL, NULL, 93, NULL, 'Fibronectin type III', 200667),
(263839, '0050785', NULL, NULL, 105, NULL, 'Fibronectin type III', 200667),
(263840, '0050820', NULL, NULL, 108, NULL, 'Fibronectin type III', 200667),
(263841, '0050819', NULL, NULL, 101, NULL, 'Fibronectin type III', 200667),
(263842, '0050818', NULL, NULL, 93, NULL, 'Fibronectin type III', 200667),
(263843, '0045991', NULL, NULL, 104, NULL, 'Fibronectin type III', 200667),
(263844, '0047532', NULL, NULL, 99, NULL, 'Fibronectin type III', 200667),
(263845, '0047536', NULL, NULL, 94, NULL, 'Fibronectin type III', 200667),
(263846, '0053090', NULL, NULL, 107, NULL, 'Fibronectin type III', 200667),
(263847, '0053582', NULL, NULL, 131, NULL, 'Hemocyanin, N-terminal domain', 200668),
(263848, '0040537', NULL, NULL, 108, NULL, 'Hemocyanin, N-terminal domain', 200668),
(263849, '0054553', NULL, NULL, 184, NULL, 'Jann2411-like', 200669),
(263850, '0049030', NULL, NULL, 450, NULL, 'Bacterial muramidases', 200670),
(263851, '0047690', NULL, NULL, 160, NULL, 'Integrin domains', 200671),
(263852, '0047691', NULL, NULL, 139, NULL, 'Integrin domains', 200671),
(263853, '0047692', NULL, NULL, 219, NULL, 'Integrin domains', 200671),
(263854, '0053612', NULL, NULL, 136, NULL, 'Integrin domains', 200671);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(263855, '0044800', NULL, NULL, 168, NULL, 'YbaK/ProRS associated domain', 200672),
(263856, '0044834', NULL, NULL, 165, NULL, 'YbaK/ProRS associated domain', 200672),
(263857, '0036342', NULL, NULL, 157, NULL, 'YbaK/ProRS associated domain', 200672),
(263858, '0050454', NULL, NULL, 150, NULL, 'YbaK/ProRS associated domain', 200672),
(263859, '0039342', NULL, NULL, 333, NULL, 'Nicotinate mononucleotide:5,6-dimethylbenzimidazole phosphoribosyltransferase (CobT)', 200673),
(263860, '0036226', NULL, NULL, 346, NULL, 'Nicotinate mononucleotide:5,6-dimethylbenzimidazole phosphoribosyltransferase (CobT)', 200673),
(263861, '0042261', NULL, NULL, 54, NULL, 'Nonstructural protein ns2, Nep, M1-binding domain', 200674),
(263862, '0043196', NULL, NULL, 132, NULL, 'Alanine racemase C-terminal domain-like', 200675),
(263863, '0044144', NULL, NULL, 171, NULL, 'Alanine racemase C-terminal domain-like', 200675),
(263864, '0046698', NULL, NULL, 170, NULL, 'Alanine racemase C-terminal domain-like', 200675),
(263865, '0050170', NULL, NULL, 146, NULL, 'Alanine racemase C-terminal domain-like', 200675),
(263866, '0035464', NULL, NULL, 149, NULL, 'Alanine racemase C-terminal domain-like', 200675),
(263867, '0038617', NULL, NULL, 182, NULL, 'Alanine racemase C-terminal domain-like', 200675),
(263868, '0047840', NULL, NULL, 175, NULL, 'Alanine racemase C-terminal domain-like', 200675),
(263869, '0053369', NULL, NULL, 178, NULL, 'Alanine racemase C-terminal domain-like', 200675),
(263870, '0052776', NULL, NULL, 196, NULL, 'Nqo5-like', 200676),
(263871, '0050434', NULL, NULL, 162, NULL, 'AbfB domain', 200677),
(263872, '0035173', NULL, NULL, 85, NULL, 'Epsilon subunit of F1F0-ATP synthase N-terminal domain', 200678),
(263873, '0036818', NULL, NULL, 86, NULL, 'Epsilon subunit of F1F0-ATP synthase N-terminal domain', 200678),
(263874, '0047814', NULL, NULL, 193, NULL, 'GroEL apical domain-like', 200679),
(263875, '0045814', NULL, NULL, 152, NULL, 'GroEL apical domain-like', 200679),
(263876, '0047016', NULL, NULL, 168, NULL, 'GroEL apical domain-like', 200679),
(263877, '0049414', NULL, NULL, 184, NULL, 'GroEL apical domain-like', 200679),
(263878, '0050458', NULL, NULL, 184, NULL, 'GroEL apical domain-like', 200679),
(263879, '0048884', NULL, NULL, 153, NULL, 'GroEL apical domain-like', 200679),
(263880, '0047405', NULL, NULL, 176, NULL, 'GroEL apical domain-like', 200679),
(263881, '0045723', NULL, NULL, 152, NULL, 'GroEL apical domain-like', 200679),
(263882, '0051298', NULL, NULL, 51, NULL, 'AbrB/MazE/MraZ-like', 200680),
(263883, '0048250', NULL, NULL, 141, NULL, 'AbrB/MazE/MraZ-like', 200680),
(263884, '0049850', NULL, NULL, 75, NULL, 'AbrB/MazE/MraZ-like', 200680),
(263885, '0053927', NULL, NULL, 54, NULL, 'AbrB/MazE/MraZ-like', 200680),
(263886, '0035491', NULL, NULL, 69, NULL, 'ISP transmembrane anchor', 200681),
(263887, '0044726', NULL, NULL, 34, NULL, 'ISP transmembrane anchor', 200681),
(263888, '0037294', NULL, NULL, 56, NULL, 'ISP transmembrane anchor', 200681),
(263889, '0035456', NULL, NULL, 69, NULL, 'ISP transmembrane anchor', 200681),
(263890, '0042673', NULL, NULL, 39, NULL, 'ISP transmembrane anchor', 200681),
(263891, '0051782', NULL, NULL, 328, NULL, 'FucI/AraA N-terminal and middle domains', 200682),
(263892, '0037785', NULL, NULL, 355, NULL, 'FucI/AraA N-terminal and middle domains', 200682),
(263893, '0034788', NULL, NULL, 356, NULL, 'Conserved core of transcriptional regulatory protein vp16', 200683),
(263894, '0046364', NULL, NULL, 200, NULL, 'Cryptochrome/photolyase, N-terminal domain', 200684),
(263895, '0049782', NULL, NULL, 185, NULL, 'Cryptochrome/photolyase, N-terminal domain', 200684),
(263896, '0047421', NULL, NULL, 170, NULL, 'Cryptochrome/photolyase, N-terminal domain', 200684),
(263897, '0048411', NULL, NULL, 204, NULL, 'Cryptochrome/photolyase, N-terminal domain', 200684),
(263898, '0048654', NULL, NULL, 202, NULL, 'Cryptochrome/photolyase, N-terminal domain', 200684),
(263899, '0053396', NULL, NULL, 39, NULL, 'Trimerization domain of TRAF', 200685),
(263900, '0053414', NULL, NULL, 50, NULL, 'Trimerization domain of TRAF', 200685);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(263901, '0052652', NULL, NULL, 178, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263902, '0035638', NULL, NULL, 315, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263903, '0049884', NULL, NULL, 155, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263904, '0048674', NULL, NULL, 308, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263905, '0049641', NULL, NULL, 173, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263906, '0046177', NULL, NULL, 163, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263907, '0054076', NULL, NULL, 291, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263908, '0052858', NULL, NULL, 182, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263909, '0048390', NULL, NULL, 227, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263910, '0054438', NULL, NULL, 283, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263911, '0051326', NULL, NULL, 198, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263912, '0051248', NULL, NULL, 152, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263913, '0051600', NULL, NULL, 126, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263914, '0051915', NULL, NULL, 167, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263915, '0048876', NULL, NULL, 140, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263916, '0040636', NULL, NULL, 165, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263917, '0048433', NULL, NULL, 180, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263918, '0049804', NULL, NULL, 189, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263919, '0051375', NULL, NULL, 163, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263920, '0052664', NULL, NULL, 156, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263921, '0048084', NULL, NULL, 181, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263922, '0051377', NULL, NULL, 183, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263923, '0052342', NULL, NULL, 232, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263924, '0051492', NULL, NULL, 150, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263925, '0051252', NULL, NULL, 140, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263926, '0051493', NULL, NULL, 162, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263927, '0053076', NULL, NULL, 160, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263928, '0052704', NULL, NULL, 156, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263929, '0052701', NULL, NULL, 157, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263930, '0051777', NULL, NULL, 118, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263931, '0051336', NULL, NULL, 338, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263932, '0052347', NULL, NULL, 174, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263933, '0043712', NULL, NULL, 297, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263934, '0049338', NULL, NULL, 174, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263935, '0047911', NULL, NULL, 210, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263936, '0045896', NULL, NULL, 181, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263937, '0046988', NULL, NULL, 170, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263938, '0049219', NULL, NULL, 197, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263939, '0048174', NULL, NULL, 157, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263940, '0049263', NULL, NULL, 201, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263941, '0049262', NULL, NULL, 141, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263942, '0051421', NULL, NULL, 169, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263943, '0051420', NULL, NULL, 152, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263944, '0054056', NULL, NULL, 134, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263945, '0054055', NULL, NULL, 164, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263946, '0050733', NULL, NULL, 157, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(263947, '0052713', NULL, NULL, 146, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263948, '0053800', NULL, NULL, 130, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263949, '0047280', NULL, NULL, 157, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263950, '0052874', NULL, NULL, 164, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263951, '0051028', NULL, NULL, 95, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263952, '0051303', NULL, NULL, 164, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263953, '0052754', NULL, NULL, 164, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263954, '0043128', NULL, NULL, 102, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263955, '0051819', NULL, NULL, 196, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263956, '0041464', NULL, NULL, 165, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263957, '0052908', NULL, NULL, 271, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263958, '0052829', NULL, NULL, 137, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263959, '0045389', NULL, NULL, 237, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263960, '0046158', NULL, NULL, 166, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263961, '0045388', NULL, NULL, 185, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263962, '0045986', NULL, NULL, 137, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263963, '0051232', NULL, NULL, 133, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263964, '0049032', NULL, NULL, 160, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263965, '0049031', NULL, NULL, 150, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263966, '0051751', NULL, NULL, 161, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263967, '0048343', NULL, NULL, 164, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263968, '0048344', NULL, NULL, 171, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263969, '0049311', NULL, NULL, 147, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263970, '0050185', NULL, NULL, 165, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263971, '0054065', NULL, NULL, 285, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263972, '0048023', NULL, NULL, 183, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263973, '0051437', NULL, NULL, 151, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263974, '0051830', NULL, NULL, 137, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263975, '0050223', NULL, NULL, 149, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263976, '0052522', NULL, NULL, 153, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263977, '0053259', NULL, NULL, 270, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263978, '0050940', NULL, NULL, 149, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263979, '0046883', NULL, NULL, 273, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263980, '0052040', NULL, NULL, 145, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263981, '0053292', NULL, NULL, 167, NULL, 'Acyl-CoA N-acyltransferases (Nat)', 200686),
(263982, '0041278', NULL, NULL, 146, NULL, 'Amine oxidase N-terminal region', 200687),
(263983, '0040243', NULL, NULL, 108, NULL, 'Amine oxidase N-terminal region', 200687),
(263984, '0041277', NULL, NULL, 129, NULL, 'Amine oxidase N-terminal region', 200687),
(263985, '0037058', NULL, NULL, 121, NULL, 'Amine oxidase N-terminal region', 200687),
(263986, '0041760', NULL, NULL, 115, NULL, 'Amine oxidase N-terminal region', 200687),
(263987, '0047870', NULL, NULL, 93, NULL, 'Amine oxidase N-terminal region', 200687),
(263988, '0041759', NULL, NULL, 95, NULL, 'Amine oxidase N-terminal region', 200687),
(263989, '0046576', NULL, NULL, 99, NULL, 'Amine oxidase N-terminal region', 200687),
(263990, '0050378', NULL, NULL, 115, NULL, 'Amine oxidase N-terminal region', 200687),
(263991, '0050377', NULL, NULL, 88, NULL, 'Amine oxidase N-terminal region', 200687),
(263992, '0049583', NULL, NULL, 68, NULL, 'Histone-fold', 200688),
(263993, '0052078', NULL, NULL, 72, NULL, 'Histone-fold', 200688);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(263994, '0052079', NULL, NULL, 89, NULL, 'Histone-fold', 200688),
(263995, '0049584', NULL, NULL, 70, NULL, 'Histone-fold', 200688),
(263996, '0037139', NULL, NULL, 125, NULL, 'Histone-fold', 200688),
(263997, '0038404', NULL, NULL, 50, NULL, 'Histone-fold', 200688),
(263998, '0047904', NULL, NULL, 122, NULL, 'Histone-fold', 200688),
(263999, '0037410', NULL, NULL, 103, NULL, 'Histone-fold', 200688),
(264000, '0047903', NULL, NULL, 102, NULL, 'Histone-fold', 200688),
(264001, '0035550', NULL, NULL, 89, NULL, 'Histone-fold', 200688),
(264002, '0050728', NULL, NULL, 148, NULL, 'Histone-fold', 200688),
(264003, '0043120', NULL, NULL, 151, NULL, 'Histone-fold', 200688),
(264004, '0046611', NULL, NULL, 108, NULL, 'Histone-fold', 200688),
(264005, '0047348', NULL, NULL, 97, NULL, 'Histone-fold', 200688),
(264006, '0042675', NULL, NULL, 172, NULL, 'Histone-fold', 200688),
(264007, '0047349', NULL, NULL, 93, NULL, 'Histone-fold', 200688),
(264008, '0035549', NULL, NULL, 45, NULL, 'Histone-fold', 200688),
(264009, '0054243', NULL, NULL, 97, NULL, 'Histone-fold', 200688),
(264010, '0047574', NULL, NULL, 66, NULL, 'Histone-fold', 200688),
(264011, '0034938', NULL, NULL, 68, NULL, 'Histone-fold', 200688),
(264012, '0035368', NULL, NULL, 68, NULL, 'Histone-fold', 200688),
(264013, '0037328', NULL, NULL, 151, NULL, 'Histone-fold', 200688),
(264014, '0038978', NULL, NULL, 79, NULL, 'Histone-fold', 200688),
(264015, '0038979', NULL, NULL, 110, NULL, 'Histone-fold', 200688),
(264016, '0041191', NULL, NULL, 78, NULL, 'Histone-fold', 200688),
(264017, '0041190', NULL, NULL, 87, NULL, 'Histone-fold', 200688),
(264018, '0039520', NULL, NULL, 135, NULL, 'Histone-fold', 200688),
(264019, '0040265', NULL, NULL, 66, NULL, 'Histone-fold', 200688),
(264020, '0040306', NULL, NULL, 128, NULL, 'Histone-fold', 200688),
(264021, '0040304', NULL, NULL, 135, NULL, 'Histone-fold', 200688),
(264022, '0047118', NULL, NULL, 74, NULL, 'Histone-fold', 200688),
(264023, '0049779', NULL, NULL, 106, NULL, 'Histone-fold', 200688),
(264024, '0048912', NULL, NULL, 128, NULL, 'TT1751-like', 200689),
(264025, '0047505', NULL, NULL, 127, NULL, 'TT1751-like', 200689),
(264026, '0049448', NULL, NULL, 114, NULL, 'Heme chaperone CcmE', 200690),
(264027, '0047520', NULL, NULL, 100, NULL, 'Heme chaperone CcmE', 200690),
(264028, '0045554', NULL, NULL, 80, NULL, 'Alpha-lytic protease prodomain', 200691),
(264029, '0045555', NULL, NULL, 78, NULL, 'Alpha-lytic protease prodomain', 200691),
(264030, '0051606', NULL, NULL, 124, NULL, 'HisI-like', 200692),
(264031, '0035050', NULL, NULL, 245, NULL, 'Phospholipase C/P1 nuclease', 200693),
(264032, '0040089', NULL, NULL, 249, NULL, 'Phospholipase C/P1 nuclease', 200693),
(264033, '0035890', NULL, NULL, 249, NULL, 'Phospholipase C/P1 nuclease', 200693),
(264034, '0045784', NULL, NULL, 264, NULL, 'Phospholipase C/P1 nuclease', 200693),
(264035, '0041911', NULL, NULL, 249, NULL, 'Phospholipase C/P1 nuclease', 200693),
(264036, '0046915', NULL, NULL, 76, NULL, 'Iron-dependent repressor protein, dimerization domain', 200694),
(264037, '0037826', NULL, NULL, 80, NULL, 'Iron-dependent repressor protein, dimerization domain', 200694),
(264038, '0041932', NULL, NULL, 74, NULL, 'Iron-dependent repressor protein, dimerization domain', 200694),
(264039, '0054533', NULL, NULL, 220, NULL, 'HIT-like', 200695),
(264040, '0054376', NULL, NULL, 139, NULL, 'HIT-like', 200695),
(264041, '0049287', NULL, NULL, 114, NULL, 'HIT-like', 200695),
(264042, '0051185', NULL, NULL, 139, NULL, 'HIT-like', 200695),
(264043, '0051525', NULL, NULL, 156, NULL, 'HIT-like', 200695),
(264044, '0037605', NULL, NULL, 146, NULL, 'HIT-like', 200695),
(264045, '0051524', NULL, NULL, 173, NULL, 'HIT-like', 200695),
(264046, '0037089', NULL, NULL, 160, NULL, 'HIT-like', 200695),
(264047, '0043746', NULL, NULL, 192, NULL, 'HIT-like', 200695),
(264048, '0038272', NULL, NULL, 176, NULL, 'HIT-like', 200695),
(264049, '0038273', NULL, NULL, 171, NULL, 'HIT-like', 200695),
(264050, '0044881', NULL, NULL, 192, NULL, 'HIT-like', 200695),
(264051, '0051072', NULL, NULL, 113, NULL, 'HIT-like', 200695);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(264052, '0036462', NULL, NULL, 173, NULL, 'Heme-binding protein A (HasA)', 200696),
(264053, '0052935', NULL, NULL, 418, NULL, 'IlvD/EDD N-terminal domain-like', 200697),
(264054, '0054950', NULL, NULL, 120, NULL, 'BTG domain-like', 200698),
(264055, '0054756', NULL, NULL, 117, NULL, 'BTG domain-like', 200698),
(264056, '0036012', NULL, NULL, 223, NULL, 'delta-Endotoxin (insectocide), N-terminal domain', 200699),
(264057, '0036485', NULL, NULL, 229, NULL, 'delta-Endotoxin (insectocide), N-terminal domain', 200699),
(264058, '0039561', NULL, NULL, 227, NULL, 'delta-Endotoxin (insectocide), N-terminal domain', 200699),
(264059, '0038888', NULL, NULL, 263, NULL, 'delta-Endotoxin (insectocide), N-terminal domain', 200699),
(264060, '0042212', NULL, NULL, 85, NULL, 'FYSH domain', 200700),
(264061, '0041627', NULL, NULL, 111, NULL, 'FYSH domain', 200700),
(264062, '0041800', NULL, NULL, 158, NULL, 'GCM domain', 200701),
(264063, '0044805', NULL, NULL, 151, NULL, 'Hypothetical protein TM0160', 200702),
(264064, '0051501', NULL, NULL, 129, NULL, 'YidB-like', 200703),
(264065, '0049964', NULL, NULL, 64, NULL, 'Bubble protein', 200704),
(264066, '0036481', NULL, NULL, 104, NULL, 'Protein-L-isoaspartyl O-methyltransferase, C-terminal domain', 200705),
(264067, '0047452', NULL, NULL, 132, NULL, 'SEA domain', 200706),
(264068, '0050678', NULL, NULL, 168, NULL, 'YfbU-like', 200707),
(264069, '0043881', NULL, NULL, 58, NULL, 'Mollusk pheromone', 200708),
(264070, '0036951', NULL, NULL, 90, NULL, 'Moesin tail domain', 200709),
(264071, '0041413', NULL, NULL, 95, NULL, 'Hypothetical protein YjiA, C-terminal domain', 200710),
(264072, '0052783', NULL, NULL, 42, NULL, 'HIT/MYND zinc finger-like', 200711),
(264073, '0050816', NULL, NULL, 46, NULL, 'HIT/MYND zinc finger-like', 200711),
(264074, '0052447', NULL, NULL, 47, NULL, 'HIT/MYND zinc finger-like', 200711),
(264075, '0052402', NULL, NULL, 57, NULL, 'HIT/MYND zinc finger-like', 200711),
(264076, '0038399', NULL, NULL, 142, NULL, 'Histone H3 K4-specific methyltransferase SET7/9 N-terminal domain', 200712),
(264077, '0054034', NULL, NULL, 60, NULL, 'XkdW-like', 200713),
(264078, '0047997', NULL, NULL, 131, NULL, 'Antigen MPT63/MPB63 (immunoprotective extracellular protein)', 200714),
(264079, '0054574', NULL, NULL, 131, NULL, 'Ava3019-like', 200715),
(264080, '0054080', NULL, NULL, 129, NULL, 'MG296-like', 200716),
(264081, '0039719', NULL, NULL, 111, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264082, '0050425', NULL, NULL, 116, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264083, '0035696', NULL, NULL, 115, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264084, '0051208', NULL, NULL, 116, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264085, '0038820', NULL, NULL, 115, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264086, '0038985', NULL, NULL, 114, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264087, '0040124', NULL, NULL, 116, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264088, '0040860', NULL, NULL, 113, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264089, '0041014', NULL, NULL, 111, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264090, '0049959', NULL, NULL, 134, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264091, '0035287', NULL, NULL, 118, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264092, '0036585', NULL, NULL, 114, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264093, '0038283', NULL, NULL, 111, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264094, '0041143', NULL, NULL, 110, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264095, '0042186', NULL, NULL, 119, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264096, '0035152', NULL, NULL, 115, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(264097, '0045567', NULL, NULL, 107, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264098, '0036081', NULL, NULL, 122, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264099, '0039180', NULL, NULL, 110, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264100, '0042885', NULL, NULL, 107, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', 200717),
(264101, '0039709', NULL, NULL, 260, NULL, 'HemD-like', 200718),
(264102, '0050436', NULL, NULL, 254, NULL, 'HemD-like', 200718),
(264103, '0054259', NULL, NULL, 62, NULL, 'YegP-like', 200719),
(264104, '0054252', NULL, NULL, 58, NULL, 'YegP-like', 200719),
(264105, '0054261', NULL, NULL, 52, NULL, 'YegP-like', 200719),
(264106, '0054251', NULL, NULL, 52, NULL, 'YegP-like', 200719),
(264107, '0054260', NULL, NULL, 58, NULL, 'YegP-like', 200719),
(264108, '0054832', NULL, NULL, 56, NULL, 'YegP-like', 200719),
(264109, '0051881', NULL, NULL, 101, NULL, 'Atu1913-like', 200720),
(264110, '0051891', NULL, NULL, 151, NULL, 'Cytidine deaminase-like', 200721),
(264111, '0052851', NULL, NULL, 189, NULL, 'Cytidine deaminase-like', 200721),
(264112, '0054555', NULL, NULL, 251, NULL, 'Cytidine deaminase-like', 200721),
(264113, '0052373', NULL, NULL, 124, NULL, 'Cytidine deaminase-like', 200721),
(264114, '0053055', NULL, NULL, 147, NULL, 'Cytidine deaminase-like', 200721),
(264115, '0043140', NULL, NULL, 141, NULL, 'Cytidine deaminase-like', 200721),
(264116, '0044240', NULL, NULL, 151, NULL, 'Cytidine deaminase-like', 200721),
(264117, '0051560', NULL, NULL, 295, NULL, 'Cytidine deaminase-like', 200721),
(264118, '0050283', NULL, NULL, 193, NULL, 'Cytidine deaminase-like', 200721),
(264119, '0051482', NULL, NULL, 156, NULL, 'Cytidine deaminase-like', 200721),
(264120, '0052747', NULL, NULL, 136, NULL, 'Cytidine deaminase-like', 200721),
(264121, '0039755', NULL, NULL, 131, NULL, 'Cytidine deaminase-like', 200721),
(264122, '0050664', NULL, NULL, 125, NULL, 'Cytidine deaminase-like', 200721),
(264123, '0050730', NULL, NULL, 151, NULL, 'Cytidine deaminase-like', 200721),
(264124, '0037995', NULL, NULL, 393, NULL, 'Cytidine deaminase-like', 200721),
(264125, '0051897', NULL, NULL, 145, NULL, 'Cytidine deaminase-like', 200721),
(264126, '0035094', NULL, NULL, 144, NULL, 'Cytidine deaminase-like', 200721),
(264127, '0041046', NULL, NULL, 130, NULL, 'Cytidine deaminase-like', 200721),
(264128, '0035093', NULL, NULL, 150, NULL, 'Cytidine deaminase-like', 200721),
(264129, '0050639', NULL, NULL, 158, NULL, 'Cytidine deaminase-like', 200721),
(264130, '0051727', NULL, NULL, 130, NULL, 'Cytidine deaminase-like', 200721),
(264131, '0044829', NULL, NULL, 147, NULL, 'Cytidine deaminase-like', 200721),
(264132, '0042364', NULL, NULL, 392, NULL, 'Cytidine deaminase-like', 200721),
(264133, '0046380', NULL, NULL, 117, NULL, 'Tautomerase/MIF', 200722),
(264134, '0047185', NULL, NULL, 113, NULL, 'Tautomerase/MIF', 200722),
(264135, '0047087', NULL, NULL, 76, NULL, 'Tautomerase/MIF', 200722),
(264136, '0043460', NULL, NULL, 62, NULL, 'Tautomerase/MIF', 200722),
(264137, '0035587', NULL, NULL, 62, NULL, 'Tautomerase/MIF', 200722),
(264138, '0051736', NULL, NULL, 129, NULL, 'Tautomerase/MIF', 200722),
(264139, '0049293', NULL, NULL, 55, NULL, 'Tautomerase/MIF', 200722),
(264140, '0049829', NULL, NULL, 122, NULL, 'Tautomerase/MIF', 200722),
(264141, '0049917', NULL, NULL, 115, NULL, 'Tautomerase/MIF', 200722),
(264142, '0041123', NULL, NULL, 120, NULL, 'Tautomerase/MIF', 200722),
(264143, '0042022', NULL, NULL, 125, NULL, 'Tautomerase/MIF', 200722),
(264144, '0042021', NULL, NULL, 59, NULL, 'Tautomerase/MIF', 200722),
(264145, '0048148', NULL, NULL, 114, NULL, 'Tautomerase/MIF', 200722),
(264146, '0046964', NULL, NULL, 118, NULL, 'Tautomerase/MIF', 200722),
(264147, '0041052', NULL, NULL, 97, NULL, 'SAND domain-like', 200723),
(264148, '0044332', NULL, NULL, 94, NULL, 'SAND domain-like', 200723),
(264149, '0038425', NULL, NULL, 95, NULL, 'SAND domain-like', 200723),
(264150, '0041973', NULL, NULL, 90, NULL, 'SAND domain-like', 200723);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(264151, '0039461', NULL, NULL, 31, NULL, 'Subunit XII of photosystem I reaction centre, PsaM', 200724),
(264152, '0037883', NULL, NULL, 162, NULL, 'Ganglioside M2 (gm2) activator', 200725),
(264153, '0047383', NULL, NULL, 212, NULL, 'ADP-ribosylation', 200726),
(264154, '0048582', NULL, NULL, 212, NULL, 'ADP-ribosylation', 200726),
(264155, '0049098', NULL, NULL, 201, NULL, 'ADP-ribosylation', 200726),
(264156, '0049322', NULL, NULL, 235, NULL, 'ADP-ribosylation', 200726),
(264157, '0043470', NULL, NULL, 176, NULL, 'ADP-ribosylation', 200726),
(264158, '0044021', NULL, NULL, 224, NULL, 'ADP-ribosylation', 200726),
(264159, '0053230', NULL, NULL, 113, NULL, 'ADP-ribosylation', 200726),
(264160, '0034840', NULL, NULL, 216, NULL, 'ADP-ribosylation', 200726),
(264161, '0051835', NULL, NULL, 194, NULL, 'ADP-ribosylation', 200726),
(264162, '0037313', NULL, NULL, 187, NULL, 'ADP-ribosylation', 200726),
(264163, '0038116', NULL, NULL, 207, NULL, 'ADP-ribosylation', 200726),
(264164, '0038322', NULL, NULL, 223, NULL, 'ADP-ribosylation', 200726),
(264165, '0049927', NULL, NULL, 213, NULL, 'ADP-ribosylation', 200726),
(264166, '0037894', NULL, NULL, 211, NULL, 'ADP-ribosylation', 200726),
(264167, '0042967', NULL, NULL, 205, NULL, 'ADP-ribosylation', 200726),
(264168, '0038240', NULL, NULL, 217, NULL, 'ADP-ribosylation', 200726),
(264169, '0050509', NULL, NULL, 180, NULL, 'ADP-ribosylation', 200726),
(264170, '0040659', NULL, NULL, 227, NULL, 'ADP-ribosylation', 200726),
(264171, '0049029', NULL, NULL, 197, NULL, 'ADP-ribosylation', 200726),
(264172, '0047531', NULL, NULL, 287, NULL, 'ADP-ribosylation', 200726),
(264173, '0046994', NULL, NULL, 204, NULL, 'ADP-ribosylation', 200726),
(264174, '0042433', NULL, NULL, 234, NULL, 'ADP-ribosylation', 200726),
(264175, '0043318', NULL, NULL, 258, NULL, 'Alpha-2,3/8-sialyltransferase CstII', 200727),
(264176, '0041605', NULL, NULL, 124, NULL, 'Hypothetical protein MTH393', 200728),
(264177, '0046391', NULL, NULL, 323, NULL, 'Clavaminate synthase-like', 200729),
(264178, '0052278', NULL, NULL, 417, NULL, 'Clavaminate synthase-like', 200729),
(264179, '0054820', NULL, NULL, 109, NULL, 'Clavaminate synthase-like', 200729),
(264180, '0051173', NULL, NULL, 327, NULL, 'Clavaminate synthase-like', 200729),
(264181, '0050415', NULL, NULL, 307, NULL, 'Clavaminate synthase-like', 200729),
(264182, '0054938', NULL, NULL, 96, NULL, 'Clavaminate synthase-like', 200729),
(264183, '0047081', NULL, NULL, 279, NULL, 'Clavaminate synthase-like', 200729),
(264184, '0051687', NULL, NULL, 296, NULL, 'Clavaminate synthase-like', 200729),
(264185, '0052657', NULL, NULL, 200, NULL, 'Clavaminate synthase-like', 200729),
(264186, '0050303', NULL, NULL, 319, NULL, 'Clavaminate synthase-like', 200729),
(264187, '0052654', NULL, NULL, 308, NULL, 'Clavaminate synthase-like', 200729),
(264188, '0053127', NULL, NULL, 210, NULL, 'Clavaminate synthase-like', 200729),
(264189, '0041871', NULL, NULL, 288, NULL, 'Clavaminate synthase-like', 200729),
(264190, '0047027', NULL, NULL, 349, NULL, 'Clavaminate synthase-like', 200729),
(264191, '0047105', NULL, NULL, 335, NULL, 'Clavaminate synthase-like', 200729),
(264192, '0047666', NULL, NULL, 311, NULL, 'Clavaminate synthase-like', 200729),
(264193, '0046302', NULL, NULL, 311, NULL, 'Clavaminate synthase-like', 200729),
(264194, '0046468', NULL, NULL, 290, NULL, 'Clavaminate synthase-like', 200729),
(264195, '0041601', NULL, NULL, 271, NULL, 'Clavaminate synthase-like', 200729),
(264196, '0048968', NULL, NULL, 327, NULL, 'Clavaminate synthase-like', 200729),
(264197, '0047646', NULL, NULL, 155, NULL, 'Clavaminate synthase-like', 200729),
(264198, '0042132', NULL, NULL, 299, NULL, 'Baculovirus p35 protein', 200730),
(264199, '0041378', NULL, NULL, 60, NULL, 'Soluble domain of poliovirus core protein 3a', 200731),
(264200, '0054890', NULL, NULL, 110, NULL, 'GspK insert domain-like', 200732),
(264201, '0054889', NULL, NULL, 71, NULL, 'GspK insert domain-like', 200732),
(264202, '0039454', NULL, NULL, 138, NULL, 'Photosystem I subunit PsaD', 200733);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(264203, '0037770', NULL, NULL, 117, NULL, '4''-phosphopantetheinyl transferase', 200734),
(264204, '0042952', NULL, NULL, 127, NULL, '4''-phosphopantetheinyl transferase', 200734),
(264205, '0037427', NULL, NULL, 118, NULL, '4''-phosphopantetheinyl transferase', 200734),
(264206, '0042951', NULL, NULL, 101, NULL, '4''-phosphopantetheinyl transferase', 200734),
(264207, '0053346', NULL, NULL, 112, NULL, 'Purple acid phosphatase, N-terminal domain', 200735),
(264208, '0051158', NULL, NULL, 119, NULL, 'Purple acid phosphatase, N-terminal domain', 200735),
(264209, '0038596', NULL, NULL, 101, NULL, 'P-domain of calnexin/calreticulin', 200736),
(264210, '0047588', NULL, NULL, 142, NULL, 'P-domain of calnexin/calreticulin', 200736),
(264211, '0050930', NULL, NULL, 105, NULL, 'PPK N-terminal domain-like', 200737),
(264212, '0053237', NULL, NULL, 109, NULL, 'PPK N-terminal domain-like', 200737),
(264213, '0045548', NULL, NULL, 319, NULL, 'Phosphofructokinase', 200738),
(264214, '0042288', NULL, NULL, 320, NULL, 'Phosphofructokinase', 200738),
(264215, '0047912', NULL, NULL, 550, NULL, 'Phosphofructokinase', 200738),
(264216, '0038256', NULL, NULL, 274, NULL, 'AraD/HMP-PK domain-like', 200739),
(264217, '0036761', NULL, NULL, 206, NULL, 'AraD/HMP-PK domain-like', 200739),
(264218, '0054508', NULL, NULL, 180, NULL, 'AraD/HMP-PK domain-like', 200739),
(264219, '0039491', NULL, NULL, 223, NULL, 'AraD/HMP-PK domain-like', 200739),
(264220, '0054490', NULL, NULL, 184, NULL, 'AraD/HMP-PK domain-like', 200739),
(264221, '0042497', NULL, NULL, 232, NULL, 'AraD/HMP-PK domain-like', 200739),
(264222, '0051691', NULL, NULL, 142, NULL, 'GlcG-like', 200740),
(264223, '0051399', NULL, NULL, 101, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264224, '0050551', NULL, NULL, 157, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264225, '0051398', NULL, NULL, 136, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264226, '0049169', NULL, NULL, 144, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264227, '0046064', NULL, NULL, 161, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264228, '0049168', NULL, NULL, 149, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264229, '0044085', NULL, NULL, 119, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264230, '0044241', NULL, NULL, 143, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264231, '0049980', NULL, NULL, 120, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264232, '0051401', NULL, NULL, 130, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264233, '0051400', NULL, NULL, 157, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264234, '0038810', NULL, NULL, 154, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264235, '0046432', NULL, NULL, 135, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264236, '0042691', NULL, NULL, 178, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264237, '0043033', NULL, NULL, 137, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264238, '0038171', NULL, NULL, 108, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264239, '0046433', NULL, NULL, 136, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264240, '0049841', NULL, NULL, 141, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264241, '0049979', NULL, NULL, 147, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264242, '0041897', NULL, NULL, 139, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264243, '0041896', NULL, NULL, 156, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264244, '0043853', NULL, NULL, 132, NULL, 'Rhodanese/Cell cycle control phosphatase', 200741),
(264245, '0054753', NULL, NULL, 350, NULL, 'Cysteine proteinases', 200742),
(264246, '0050793', NULL, NULL, 320, NULL, 'Cysteine proteinases', 200742),
(264247, '0054476', NULL, NULL, 334, NULL, 'Cysteine proteinases', 200742),
(264248, '0051162', NULL, NULL, 291, NULL, 'Cysteine proteinases', 200742);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(264249, '0047662', NULL, NULL, 235, NULL, 'Cysteine proteinases', 200742),
(264250, '0036721', NULL, NULL, 274, NULL, 'Cysteine proteinases', 200742),
(264251, '0053901', NULL, NULL, 287, NULL, 'Cysteine proteinases', 200742),
(264252, '0050999', NULL, NULL, 302, NULL, 'Cysteine proteinases', 200742),
(264253, '0053622', NULL, NULL, 215, NULL, 'Cysteine proteinases', 200742),
(264254, '0036163', NULL, NULL, 173, NULL, 'Cysteine proteinases', 200742),
(264255, '0040275', NULL, NULL, 323, NULL, 'Cysteine proteinases', 200742),
(264256, '0043989', NULL, NULL, 228, NULL, 'Cysteine proteinases', 200742),
(264257, '0035230', NULL, NULL, 204, NULL, 'Cysteine proteinases', 200742),
(264258, '0048477', NULL, NULL, 208, NULL, 'Cysteine proteinases', 200742),
(264259, '0048830', NULL, NULL, 368, NULL, 'Cysteine proteinases', 200742),
(264260, '0045204', NULL, NULL, 453, NULL, 'Cysteine proteinases', 200742),
(264261, '0040950', NULL, NULL, 313, NULL, 'Cysteine proteinases', 200742),
(264262, '0050362', NULL, NULL, 277, NULL, 'Cysteine proteinases', 200742),
(264263, '0051256', NULL, NULL, 218, NULL, 'Cysteine proteinases', 200742),
(264264, '0054201', NULL, NULL, 232, NULL, 'Cysteine proteinases', 200742),
(264265, '0046780', NULL, NULL, 221, NULL, 'Cysteine proteinases', 200742),
(264266, '0051855', NULL, NULL, 383, NULL, 'Cysteine proteinases', 200742),
(264267, '0050922', NULL, NULL, 229, NULL, 'Cysteine proteinases', 200742),
(264268, '0051417', NULL, NULL, 241, NULL, 'Cysteine proteinases', 200742),
(264269, '0053877', NULL, NULL, 192, NULL, 'Cysteine proteinases', 200742),
(264270, '0037324', NULL, NULL, 325, NULL, 'Cysteine proteinases', 200742),
(264271, '0053117', NULL, NULL, 305, NULL, 'Cysteine proteinases', 200742),
(264272, '0036392', NULL, NULL, 354, NULL, 'Cysteine proteinases', 200742),
(264273, '0037200', NULL, NULL, 221, NULL, 'Cysteine proteinases', 200742),
(264274, '0044406', NULL, NULL, 188, NULL, 'Cysteine proteinases', 200742),
(264275, '0042902', NULL, NULL, 173, NULL, 'Cysteine proteinases', 200742),
(264276, '0035021', NULL, NULL, 218, NULL, 'Cysteine proteinases', 200742),
(264277, '0041295', NULL, NULL, 347, NULL, 'Cysteine proteinases', 200742),
(264278, '0052181', NULL, NULL, 225, NULL, 'Cysteine proteinases', 200742),
(264279, '0044004', NULL, NULL, 226, NULL, 'Cysteine proteinases', 200742),
(264280, '0054137', NULL, NULL, 138, NULL, 'Cysteine proteinases', 200742),
(264281, '0049065', NULL, NULL, 354, NULL, 'Cysteine proteinases', 200742),
(264282, '0054133', NULL, NULL, 182, NULL, 'Cysteine proteinases', 200742),
(264283, '0053121', NULL, NULL, 191, NULL, 'Cysteine proteinases', 200742),
(264284, '0046199', NULL, NULL, 216, NULL, 'Cysteine proteinases', 200742),
(264285, '0051581', NULL, NULL, 310, NULL, 'Cysteine proteinases', 200742),
(264286, '0051746', NULL, NULL, 218, NULL, 'Cysteine proteinases', 200742),
(264287, '0052516', NULL, NULL, 223, NULL, 'Cysteine proteinases', 200742),
(264288, '0037874', NULL, NULL, 321, NULL, 'Cysteine proteinases', 200742),
(264289, '0044814', NULL, NULL, 397, NULL, 'Cysteine proteinases', 200742),
(264290, '0036067', NULL, NULL, 229, NULL, 'Cysteine proteinases', 200742),
(264291, '0047807', NULL, NULL, 212, NULL, 'Cysteine proteinases', 200742),
(264292, '0045662', NULL, NULL, 229, NULL, 'Cysteine proteinases', 200742),
(264293, '0054051', NULL, NULL, 202, NULL, 'Cysteine proteinases', 200742),
(264294, '0048736', NULL, NULL, 311, NULL, 'Cysteine proteinases', 200742),
(264295, '0045544', NULL, NULL, 317, NULL, 'Cysteine proteinases', 200742),
(264296, '0046317', NULL, NULL, 275, NULL, 'Cysteine proteinases', 200742),
(264297, '0042510', NULL, NULL, 183, NULL, 'Cysteine proteinases', 200742),
(264298, '0048933', NULL, NULL, 253, NULL, 'Cysteine proteinases', 200742),
(264299, '0052048', NULL, NULL, 210, NULL, 'Cysteine proteinases', 200742),
(264300, '0051992', NULL, NULL, 212, NULL, 'Cysteine proteinases', 200742),
(264301, '0054026', NULL, NULL, 336, NULL, 'Cysteine proteinases', 200742),
(264302, '0052043', NULL, NULL, 270, NULL, 'Cysteine proteinases', 200742);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(264303, '0047010', NULL, NULL, 217, NULL, 'Cysteine proteinases', 200742),
(264304, '0052526', NULL, NULL, 148, NULL, 'Cysteine proteinases', 200742),
(264305, '0052887', NULL, NULL, 348, NULL, 'Cysteine proteinases', 200742),
(264306, '0051557', NULL, NULL, 321, NULL, 'Cysteine proteinases', 200742),
(264307, '0046209', NULL, NULL, 316, NULL, 'Cysteine proteinases', 200742),
(264308, '0046968', NULL, NULL, 216, NULL, 'Cysteine proteinases', 200742),
(264309, '0039200', NULL, NULL, 331, NULL, 'Cysteine proteinases', 200742),
(264310, '0045515', NULL, NULL, 458, NULL, 'Cysteine proteinases', 200742),
(264311, '0038312', NULL, NULL, 276, NULL, 'Cysteine proteinases', 200742),
(264312, '0040066', NULL, NULL, 354, NULL, 'Cysteine proteinases', 200742),
(264313, '0039241', NULL, NULL, 215, NULL, 'Cysteine proteinases', 200742),
(264314, '0040429', NULL, NULL, 320, NULL, 'Cysteine proteinases', 200742),
(264315, '0048105', NULL, NULL, 214, NULL, 'Cysteine proteinases', 200742),
(264316, '0043495', NULL, NULL, 224, NULL, 'Cysteine proteinases', 200742),
(264317, '0053371', NULL, NULL, 314, NULL, 'Cysteine proteinases', 200742),
(264318, '0047735', NULL, NULL, 234, NULL, 'Cysteine proteinases', 200742),
(264319, '0046688', NULL, NULL, 215, NULL, 'Cysteine proteinases', 200742),
(264320, '0043738', NULL, NULL, 122, NULL, 'YAP1 redox domain', 200743),
(264321, '0049042', NULL, NULL, 127, NULL, 'YjgF-like', 200744),
(264322, '0052332', NULL, NULL, 116, NULL, 'YjgF-like', 200744),
(264323, '0052530', NULL, NULL, 120, NULL, 'YjgF-like', 200744),
(264324, '0047562', NULL, NULL, 126, NULL, 'YjgF-like', 200744),
(264325, '0051889', NULL, NULL, 126, NULL, 'YjgF-like', 200744),
(264326, '0042282', NULL, NULL, 130, NULL, 'YjgF-like', 200744),
(264327, '0050777', NULL, NULL, 124, NULL, 'YjgF-like', 200744),
(264328, '0036333', NULL, NULL, 127, NULL, 'YjgF-like', 200744),
(264329, '0052325', NULL, NULL, 124, NULL, 'YjgF-like', 200744),
(264330, '0054414', NULL, NULL, 152, NULL, 'YjgF-like', 200744),
(264331, '0048608', NULL, NULL, 136, NULL, 'YjgF-like', 200744),
(264332, '0044338', NULL, NULL, 121, NULL, 'YjgF-like', 200744),
(264333, '0047528', NULL, NULL, 130, NULL, 'YjgF-like', 200744),
(264334, '0048914', NULL, NULL, 132, NULL, 'YjgF-like', 200744),
(264335, '0050969', NULL, NULL, 112, NULL, 'YjgF-like', 200744),
(264336, '0048930', NULL, NULL, 124, NULL, 'YjgF-like', 200744),
(264337, '0051080', NULL, NULL, 125, NULL, 'YjgF-like', 200744),
(264338, '0048417', NULL, NULL, 133, NULL, 'YjgF-like', 200744),
(264339, '0054269', NULL, NULL, 89, NULL, 'Ribonuclease PH domain 2-like', 200745),
(264340, '0054267', NULL, NULL, 90, NULL, 'Ribonuclease PH domain 2-like', 200745),
(264341, '0044292', NULL, NULL, 105, NULL, 'Ribonuclease PH domain 2-like', 200745),
(264342, '0053740', NULL, NULL, 79, NULL, 'Ribonuclease PH domain 2-like', 200745),
(264343, '0054210', NULL, NULL, 84, NULL, 'Ribonuclease PH domain 2-like', 200745),
(264344, '0054265', NULL, NULL, 118, NULL, 'Ribonuclease PH domain 2-like', 200745),
(264345, '0054275', NULL, NULL, 95, NULL, 'Ribonuclease PH domain 2-like', 200745),
(264346, '0053738', NULL, NULL, 99, NULL, 'Ribonuclease PH domain 2-like', 200745),
(264347, '0042084', NULL, NULL, 86, NULL, 'Ribonuclease PH domain 2-like', 200745),
(264348, '0036741', NULL, NULL, 111, NULL, 'Ribonuclease PH domain 2-like', 200745),
(264349, '0053756', NULL, NULL, 93, NULL, 'Ribonuclease PH domain 2-like', 200745),
(264350, '0054273', NULL, NULL, 94, NULL, 'Ribonuclease PH domain 2-like', 200745),
(264351, '0054271', NULL, NULL, 89, NULL, 'Ribonuclease PH domain 2-like', 200745),
(264352, '0046448', NULL, NULL, 96, NULL, 'Ribonuclease PH domain 2-like', 200745),
(264353, '0043149', NULL, NULL, 88, NULL, 'Ribonuclease PH domain 2-like', 200745),
(264354, '0047370', NULL, NULL, 323, NULL, 'PEP carboxykinase-like', 200746),
(264355, '0053253', NULL, NULL, 313, NULL, 'PEP carboxykinase-like', 200746),
(264356, '0047552', NULL, NULL, 173, NULL, 'PEP carboxykinase-like', 200746),
(264357, '0047841', NULL, NULL, 177, NULL, 'PEP carboxykinase-like', 200746);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(264358, '0047801', NULL, NULL, 363, NULL, 'PEP carboxykinase-like', 200746),
(264359, '0047503', NULL, NULL, 318, NULL, 'PEP carboxykinase-like', 200746),
(264360, '0047844', NULL, NULL, 169, NULL, 'PEP carboxykinase-like', 200746),
(264361, '0051286', NULL, NULL, 171, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264362, '0045240', NULL, NULL, 150, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264363, '0053020', NULL, NULL, 190, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264364, '0052979', NULL, NULL, 202, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264365, '0054519', NULL, NULL, 164, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264366, '0039315', NULL, NULL, 164, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264367, '0035953', NULL, NULL, 165, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264368, '0038023', NULL, NULL, 164, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264369, '0046978', NULL, NULL, 169, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264370, '0035390', NULL, NULL, 162, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264371, '0048557', NULL, NULL, 162, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264372, '0035946', NULL, NULL, 162, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264373, '0036439', NULL, NULL, 110, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264374, '0037521', NULL, NULL, 267, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264375, '0051576', NULL, NULL, 144, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264376, '0044889', NULL, NULL, 86, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264377, '0041771', NULL, NULL, 162, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264378, '0052819', NULL, NULL, 155, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264379, '0044045', NULL, NULL, 140, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264380, '0038051', NULL, NULL, 163, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264381, '0044841', NULL, NULL, 114, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264382, '0047635', NULL, NULL, 163, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264383, '0047085', NULL, NULL, 169, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264384, '0052355', NULL, NULL, 162, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264385, '0042828', NULL, NULL, 298, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264386, '0044809', NULL, NULL, 107, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264387, '0036543', NULL, NULL, 291, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264388, '0051902', NULL, NULL, 166, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264389, '0051148', NULL, NULL, 164, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264390, '0039377', NULL, NULL, 103, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264391, '0036580', NULL, NULL, 164, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264392, '0039896', NULL, NULL, 169, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(264393, '0041584', NULL, NULL, 155, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264394, '0038044', NULL, NULL, 118, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264395, '0049076', NULL, NULL, 138, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264396, '0047176', NULL, NULL, 163, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264397, '0050229', NULL, NULL, 163, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264398, '0039601', NULL, NULL, 115, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264399, '0039920', NULL, NULL, 149, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264400, '0053217', NULL, NULL, 219, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264401, '0052327', NULL, NULL, 165, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264402, '0038233', NULL, NULL, 111, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264403, '0041597', NULL, NULL, 224, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264404, '0050939', NULL, NULL, 144, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264405, '0045517', NULL, NULL, 164, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264406, '0036893', NULL, NULL, 190, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264407, '0046003', NULL, NULL, 221, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264408, '0040869', NULL, NULL, 222, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264409, '0044188', NULL, NULL, 105, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264410, '0042208', NULL, NULL, 109, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', 200747),
(264411, '0036926', NULL, NULL, 265, NULL, '(Trans)glycosidases', 200748),
(264412, '0050431', NULL, NULL, 462, NULL, '(Trans)glycosidases', 200748),
(264413, '0049162', NULL, NULL, 370, NULL, '(Trans)glycosidases', 200748),
(264414, '0048992', NULL, NULL, 344, NULL, '(Trans)glycosidases', 200748),
(264415, '0051481', NULL, NULL, 403, NULL, '(Trans)glycosidases', 200748),
(264416, '0052173', NULL, NULL, 274, NULL, '(Trans)glycosidases', 200748),
(264417, '0046176', NULL, NULL, 345, NULL, '(Trans)glycosidases', 200748),
(264418, '0053948', NULL, NULL, 362, NULL, '(Trans)glycosidases', 200748),
(264419, '0035310', NULL, NULL, 500, NULL, '(Trans)glycosidases', 200748),
(264420, '0045806', NULL, NULL, 306, NULL, '(Trans)glycosidases', 200748),
(264421, '0047545', NULL, NULL, 378, NULL, '(Trans)glycosidases', 200748),
(264422, '0048117', NULL, NULL, 396, NULL, '(Trans)glycosidases', 200748),
(264423, '0047025', NULL, NULL, 489, NULL, '(Trans)glycosidases', 200748),
(264424, '0047542', NULL, NULL, 376, NULL, '(Trans)glycosidases', 200748),
(264425, '0048598', NULL, NULL, 274, NULL, '(Trans)glycosidases', 200748),
(264426, '0049842', NULL, NULL, 273, NULL, '(Trans)glycosidases', 200748),
(264427, '0046455', NULL, NULL, 393, NULL, '(Trans)glycosidases', 200748),
(264428, '0046336', NULL, NULL, 403, NULL, '(Trans)glycosidases', 200748),
(264429, '0043588', NULL, NULL, 213, NULL, '(Trans)glycosidases', 200748),
(264430, '0049054', NULL, NULL, 367, NULL, '(Trans)glycosidases', 200748),
(264431, '0050167', NULL, NULL, 423, NULL, '(Trans)glycosidases', 200748),
(264432, '0044281', NULL, NULL, 390, NULL, '(Trans)glycosidases', 200748),
(264433, '0052585', NULL, NULL, 338, NULL, '(Trans)glycosidases', 200748),
(264434, '0046186', NULL, NULL, 283, NULL, '(Trans)glycosidases', 200748),
(264435, '0051370', NULL, NULL, 297, NULL, '(Trans)glycosidases', 200748),
(264436, '0046463', NULL, NULL, 492, NULL, '(Trans)glycosidases', 200748);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(264437, '0048242', NULL, NULL, 361, NULL, '(Trans)glycosidases', 200748),
(264438, '0050447', NULL, NULL, 490, NULL, '(Trans)glycosidases', 200748),
(264439, '0049050', NULL, NULL, 481, NULL, '(Trans)glycosidases', 200748),
(264440, '0046505', NULL, NULL, 382, NULL, '(Trans)glycosidases', 200748),
(264441, '0036198', NULL, NULL, 402, NULL, '(Trans)glycosidases', 200748),
(264442, '0046102', NULL, NULL, 490, NULL, '(Trans)glycosidases', 200748),
(264443, '0048402', NULL, NULL, 277, NULL, '(Trans)glycosidases', 200748),
(264444, '0049976', NULL, NULL, 350, NULL, '(Trans)glycosidases', 200748),
(264445, '0052061', NULL, NULL, 366, NULL, '(Trans)glycosidases', 200748),
(264446, '0048920', NULL, NULL, 443, NULL, '(Trans)glycosidases', 200748),
(264447, '0047795', NULL, NULL, 375, NULL, '(Trans)glycosidases', 200748),
(264448, '0046229', NULL, NULL, 500, NULL, '(Trans)glycosidases', 200748),
(264449, '0047436', NULL, NULL, 348, NULL, '(Trans)glycosidases', 200748),
(264450, '0040522', NULL, NULL, 294, NULL, '(Trans)glycosidases', 200748),
(264451, '0048404', NULL, NULL, 353, NULL, '(Trans)glycosidases', 200748),
(264452, '0040488', NULL, NULL, 298, NULL, '(Trans)glycosidases', 200748),
(264453, '0049977', NULL, NULL, 387, NULL, '(Trans)glycosidases', 200748),
(264454, '0047041', NULL, NULL, 561, NULL, '(Trans)glycosidases', 200748),
(264455, '0053049', NULL, NULL, 273, NULL, '(Trans)glycosidases', 200748),
(264456, '0046470', NULL, NULL, 358, NULL, '(Trans)glycosidases', 200748),
(264457, '0051146', NULL, NULL, 303, NULL, '(Trans)glycosidases', 200748),
(264458, '0048530', NULL, NULL, 391, NULL, '(Trans)glycosidases', 200748),
(264459, '0046471', NULL, NULL, 499, NULL, '(Trans)glycosidases', 200748),
(264460, '0052352', NULL, NULL, 312, NULL, '(Trans)glycosidases', 200748),
(264461, '0046595', NULL, NULL, 282, NULL, '(Trans)glycosidases', 200748),
(264462, '0052913', NULL, NULL, 394, NULL, '(Trans)glycosidases', 200748),
(264463, '0051664', NULL, NULL, 348, NULL, '(Trans)glycosidases', 200748),
(264464, '0039218', NULL, NULL, 653, NULL, '(Trans)glycosidases', 200748),
(264465, '0050215', NULL, NULL, 325, NULL, '(Trans)glycosidases', 200748),
(264466, '0043920', NULL, NULL, 301, NULL, '(Trans)glycosidases', 200748),
(264467, '0038123', NULL, NULL, 572, NULL, '(Trans)glycosidases', 200748),
(264468, '0045947', NULL, NULL, 475, NULL, '(Trans)glycosidases', 200748),
(264469, '0045828', NULL, NULL, 346, NULL, '(Trans)glycosidases', 200748),
(264470, '0049908', NULL, NULL, 346, NULL, '(Trans)glycosidases', 200748),
(264471, '0046993', NULL, NULL, 306, NULL, '(Trans)glycosidases', 200748),
(264472, '0049502', NULL, NULL, 314, NULL, '(Trans)glycosidases', 200748),
(264473, '0049744', NULL, NULL, 485, NULL, '(Trans)glycosidases', 200748),
(264474, '0049986', NULL, NULL, 364, NULL, '(Trans)glycosidases', 200748),
(264475, '0049622', NULL, NULL, 354, NULL, '(Trans)glycosidases', 200748),
(264476, '0046755', NULL, NULL, 321, NULL, '(Trans)glycosidases', 200748),
(264477, '0048418', NULL, NULL, 302, NULL, '(Trans)glycosidases', 200748),
(264478, '0052125', NULL, NULL, 370, NULL, '(Trans)glycosidases', 200748),
(264479, '0046122', NULL, NULL, 340, NULL, '(Trans)glycosidases', 200748),
(264480, '0037707', NULL, NULL, 334, NULL, '(Trans)glycosidases', 200748),
(264481, '0044581', NULL, NULL, 484, NULL, '(Trans)glycosidases', 200748),
(264482, '0051153', NULL, NULL, 320, NULL, '(Trans)glycosidases', 200748),
(264483, '0052086', NULL, NULL, 350, NULL, '(Trans)glycosidases', 200748),
(264484, '0051312', NULL, NULL, 344, NULL, '(Trans)glycosidases', 200748),
(264485, '0045956', NULL, NULL, 302, NULL, '(Trans)glycosidases', 200748),
(264486, '0046528', NULL, NULL, 359, NULL, '(Trans)glycosidases', 200748),
(264487, '0046924', NULL, NULL, 554, NULL, '(Trans)glycosidases', 200748),
(264488, '0047578', NULL, NULL, 217, NULL, '(Trans)glycosidases', 200748),
(264489, '0046643', NULL, NULL, 388, NULL, '(Trans)glycosidases', 200748),
(264490, '0040789', NULL, NULL, 478, NULL, '(Trans)glycosidases', 200748),
(264491, '0040700', NULL, NULL, 391, NULL, '(Trans)glycosidases', 200748);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(264492, '0046523', NULL, NULL, 380, NULL, '(Trans)glycosidases', 200748),
(264493, '0047217', NULL, NULL, 356, NULL, '(Trans)glycosidases', 200748),
(264494, '0044469', NULL, NULL, 479, NULL, '(Trans)glycosidases', 200748),
(264495, '0050870', NULL, NULL, 244, NULL, '(Trans)glycosidases', 200748),
(264496, '0052376', NULL, NULL, 394, NULL, '(Trans)glycosidases', 200748),
(264497, '0049124', NULL, NULL, 434, NULL, '(Trans)glycosidases', 200748),
(264498, '0052495', NULL, NULL, 285, NULL, '(Trans)glycosidases', 200748),
(264499, '0046891', NULL, NULL, 358, NULL, '(Trans)glycosidases', 200748),
(264500, '0052139', NULL, NULL, 317, NULL, '(Trans)glycosidases', 200748),
(264501, '0048959', NULL, NULL, 407, NULL, '(Trans)glycosidases', 200748),
(264502, '0046256', NULL, NULL, 331, NULL, '(Trans)glycosidases', 200748),
(264503, '0048314', NULL, NULL, 289, NULL, '(Trans)glycosidases', 200748),
(264504, '0046497', NULL, NULL, 303, NULL, '(Trans)glycosidases', 200748),
(264505, '0050071', NULL, NULL, 316, NULL, '(Trans)glycosidases', 200748),
(264506, '0045960', NULL, NULL, 447, NULL, '(Trans)glycosidases', 200748),
(264507, '0046139', NULL, NULL, 406, NULL, '(Trans)glycosidases', 200748),
(264508, '0045965', NULL, NULL, 304, NULL, '(Trans)glycosidases', 200748),
(264509, '0047591', NULL, NULL, 432, NULL, '(Trans)glycosidases', 200748),
(264510, '0049099', NULL, NULL, 292, NULL, '(Trans)glycosidases', 200748),
(264511, '0050760', NULL, NULL, 409, NULL, '(Trans)glycosidases', 200748),
(264512, '0049894', NULL, NULL, 426, NULL, '(Trans)glycosidases', 200748),
(264513, '0046023', NULL, NULL, 382, NULL, '(Trans)glycosidases', 200748),
(264514, '0046782', NULL, NULL, 312, NULL, '(Trans)glycosidases', 200748),
(264515, '0047198', NULL, NULL, 350, NULL, '(Trans)glycosidases', 200748),
(264516, '0050404', NULL, NULL, 347, NULL, '(Trans)glycosidases', 200748),
(264517, '0051737', NULL, NULL, 285, NULL, '(Trans)glycosidases', 200748),
(264518, '0050004', NULL, NULL, 410, NULL, '(Trans)glycosidases', 200748),
(264519, '0051733', NULL, NULL, 381, NULL, '(Trans)glycosidases', 200748),
(264520, '0051975', NULL, NULL, 420, NULL, '(Trans)glycosidases', 200748),
(264521, '0047190', NULL, NULL, 375, NULL, '(Trans)glycosidases', 200748),
(264522, '0050643', NULL, NULL, 297, NULL, '(Trans)glycosidases', 200748),
(264523, '0042224', NULL, NULL, 406, NULL, '(Trans)glycosidases', 200748),
(264524, '0046948', NULL, NULL, 354, NULL, '(Trans)glycosidases', 200748),
(264525, '0038179', NULL, NULL, 464, NULL, '(Trans)glycosidases', 200748),
(264526, '0047236', NULL, NULL, 347, NULL, '(Trans)glycosidases', 200748),
(264527, '0046266', NULL, NULL, 406, NULL, '(Trans)glycosidases', 200748),
(264528, '0047754', NULL, NULL, 302, NULL, '(Trans)glycosidases', 200748),
(264529, '0047875', NULL, NULL, 293, NULL, '(Trans)glycosidases', 200748),
(264530, '0048565', NULL, NULL, 354, NULL, '(Trans)glycosidases', 200748),
(264531, '0047637', NULL, NULL, 328, NULL, '(Trans)glycosidases', 200748),
(264532, '0047117', NULL, NULL, 422, NULL, '(Trans)glycosidases', 200748),
(264533, '0048295', NULL, NULL, 330, NULL, '(Trans)glycosidases', 200748),
(264534, '0053367', NULL, NULL, 300, NULL, '(Trans)glycosidases', 200748),
(264535, '0047122', NULL, NULL, 408, NULL, '(Trans)glycosidases', 200748),
(264536, '0038607', NULL, NULL, 332, NULL, '(Trans)glycosidases', 200748),
(264537, '0046152', NULL, NULL, 406, NULL, '(Trans)glycosidases', 200748),
(264538, '0038608', NULL, NULL, 295, NULL, '(Trans)glycosidases', 200748),
(264539, '0050130', NULL, NULL, 324, NULL, '(Trans)glycosidases', 200748),
(264540, '0038605', NULL, NULL, 332, NULL, '(Trans)glycosidases', 200748),
(264541, '0050774', NULL, NULL, 523, NULL, '(Trans)glycosidases', 200748),
(264542, '0054219', NULL, NULL, 348, NULL, '(Trans)glycosidases', 200748),
(264543, '0050412', NULL, NULL, 334, NULL, '(Trans)glycosidases', 200748),
(264544, '0042235', NULL, NULL, 468, NULL, '(Trans)glycosidases', 200748),
(264545, '0042911', NULL, NULL, 449, NULL, '(Trans)glycosidases', 200748),
(264546, '0053918', NULL, NULL, 563, NULL, '(Trans)glycosidases', 200748);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(264547, '0049424', NULL, NULL, 382, NULL, '(Trans)glycosidases', 200748),
(264548, '0047246', NULL, NULL, 393, NULL, '(Trans)glycosidases', 200748),
(264549, '0049705', NULL, NULL, 301, NULL, '(Trans)glycosidases', 200748),
(264550, '0046556', NULL, NULL, 291, NULL, '(Trans)glycosidases', 200748),
(264551, '0046559', NULL, NULL, 400, NULL, '(Trans)glycosidases', 200748),
(264552, '0047766', NULL, NULL, 537, NULL, '(Trans)glycosidases', 200748),
(264553, '0052168', NULL, NULL, 310, NULL, '(Trans)glycosidases', 200748),
(264554, '0047094', NULL, NULL, 189, NULL, '(Trans)glycosidases', 200748),
(264555, '0047491', NULL, NULL, 382, NULL, '(Trans)glycosidases', 200748),
(264556, '0054740', NULL, NULL, 339, NULL, '(Trans)glycosidases', 200748),
(264557, '0047099', NULL, NULL, 305, NULL, '(Trans)glycosidases', 200748),
(264558, '0036899', NULL, NULL, 358, NULL, '(Trans)glycosidases', 200748),
(264559, '0050028', NULL, NULL, 302, NULL, '(Trans)glycosidases', 200748),
(264560, '0052962', NULL, NULL, 381, NULL, '(Trans)glycosidases', 200748),
(264561, '0036535', NULL, NULL, 292, NULL, '(Trans)glycosidases', 200748),
(264562, '0046607', NULL, NULL, 394, NULL, '(Trans)glycosidases', 200748),
(264563, '0037464', NULL, NULL, 498, NULL, '(Trans)glycosidases', 200748),
(264564, '0045913', NULL, NULL, 417, NULL, '(Trans)glycosidases', 200748),
(264565, '0041792', NULL, NULL, 443, NULL, '(Trans)glycosidases', 200748),
(264566, '0047897', NULL, NULL, 393, NULL, '(Trans)glycosidases', 200748),
(264567, '0049678', NULL, NULL, 330, NULL, '(Trans)glycosidases', 200748),
(264568, '0045994', NULL, NULL, 302, NULL, '(Trans)glycosidases', 200748),
(264569, '0049716', NULL, NULL, 293, NULL, '(Trans)glycosidases', 200748),
(264570, '0046963', NULL, NULL, 357, NULL, '(Trans)glycosidases', 200748),
(264571, '0049836', NULL, NULL, 344, NULL, '(Trans)glycosidases', 200748),
(264572, '0048028', NULL, NULL, 361, NULL, 'Homocysteine S-methyltransferase', 200749),
(264573, '0049954', NULL, NULL, 390, NULL, 'Homocysteine S-methyltransferase', 200749),
(264574, '0048902', NULL, NULL, 300, NULL, 'Homocysteine S-methyltransferase', 200749),
(264575, '0041787', NULL, NULL, 47, NULL, 'Mitochondrial cytochrome c oxidase subunit VIIc (aka VIIIa)', 200750),
(264576, '0051422', NULL, NULL, 359, NULL, 'TROVE domain-like', 200751),
(264577, '0038562', NULL, NULL, 135, NULL, 'Bacterial GAP domain', 200752),
(264578, '0038782', NULL, NULL, 120, NULL, 'Bacterial GAP domain', 200752),
(264579, '0037933', NULL, NULL, 130, NULL, 'Bacterial GAP domain', 200752),
(264580, '0052768', NULL, NULL, 243, NULL, 'Nqo1 FMN-binding domain-like', 200753),
(264581, '0052287', NULL, NULL, 132, NULL, 'SMAD/FHA domain', 200754),
(264582, '0049041', NULL, NULL, 182, NULL, 'SMAD/FHA domain', 200754),
(264583, '0050650', NULL, NULL, 107, NULL, 'SMAD/FHA domain', 200754),
(264584, '0037914', NULL, NULL, 164, NULL, 'SMAD/FHA domain', 200754),
(264585, '0052671', NULL, NULL, 99, NULL, 'SMAD/FHA domain', 200754),
(264586, '0043096', NULL, NULL, 100, NULL, 'SMAD/FHA domain', 200754),
(264587, '0040092', NULL, NULL, 198, NULL, 'SMAD/FHA domain', 200754),
(264588, '0038313', NULL, NULL, 116, NULL, 'SMAD/FHA domain', 200754),
(264589, '0052821', NULL, NULL, 102, NULL, 'SMAD/FHA domain', 200754),
(264590, '0052027', NULL, NULL, 101, NULL, 'SMAD/FHA domain', 200754),
(264591, '0036359', NULL, NULL, 261, NULL, 'SMAD/FHA domain', 200754),
(264592, '0050719', NULL, NULL, 108, NULL, 'SMAD/FHA domain', 200754),
(264593, '0040495', NULL, NULL, 113, NULL, 'SMAD/FHA domain', 200754),
(264594, '0041155', NULL, NULL, 122, NULL, 'SMAD/FHA domain', 200754),
(264595, '0050718', NULL, NULL, 78, NULL, 'SMAD/FHA domain', 200754),
(264596, '0043024', NULL, NULL, 239, NULL, 'SMAD/FHA domain', 200754),
(264597, '0044400', NULL, NULL, 119, NULL, 'SMAD/FHA domain', 200754),
(264598, '0047810', NULL, NULL, 203, NULL, 'SMAD/FHA domain', 200754),
(264599, '0044369', NULL, NULL, 118, NULL, 'SMAD/FHA domain', 200754),
(264600, '0053924', NULL, NULL, 183, NULL, 'PhnH-like', 200755),
(264601, '0053189', NULL, NULL, 227, NULL, 'Enolase C-terminal domain-like', 200756);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(264602, '0052871', NULL, NULL, 256, NULL, 'Enolase C-terminal domain-like', 200756),
(264603, '0046496', NULL, NULL, 291, NULL, 'Enolase C-terminal domain-like', 200756),
(264604, '0041817', NULL, NULL, 291, NULL, 'Enolase C-terminal domain-like', 200756),
(264605, '0041937', NULL, NULL, 295, NULL, 'Enolase C-terminal domain-like', 200756),
(264606, '0042271', NULL, NULL, 294, NULL, 'Enolase C-terminal domain-like', 200756),
(264607, '0050711', NULL, NULL, 244, NULL, 'Enolase C-terminal domain-like', 200756),
(264608, '0050709', NULL, NULL, 241, NULL, 'Enolase C-terminal domain-like', 200756),
(264609, '0046516', NULL, NULL, 309, NULL, 'Enolase C-terminal domain-like', 200756),
(264610, '0047649', NULL, NULL, 208, NULL, 'Enolase C-terminal domain-like', 200756),
(264611, '0047825', NULL, NULL, 251, NULL, 'Enolase C-terminal domain-like', 200756),
(264612, '0047786', NULL, NULL, 253, NULL, 'Enolase C-terminal domain-like', 200756),
(264613, '0049248', NULL, NULL, 255, NULL, 'Enolase C-terminal domain-like', 200756),
(264614, '0052170', NULL, NULL, 244, NULL, 'Enolase C-terminal domain-like', 200756),
(264615, '0043960', NULL, NULL, 294, NULL, 'Enolase C-terminal domain-like', 200756),
(264616, '0049748', NULL, NULL, 247, NULL, 'Enolase C-terminal domain-like', 200756),
(264617, '0049077', NULL, NULL, 243, NULL, 'Enolase C-terminal domain-like', 200756),
(264618, '0049411', NULL, NULL, 242, NULL, 'Enolase C-terminal domain-like', 200756),
(264619, '0050381', NULL, NULL, 296, NULL, 'Enolase C-terminal domain-like', 200756),
(264620, '0047651', NULL, NULL, 234, NULL, 'Enolase C-terminal domain-like', 200756),
(264621, '0035662', NULL, NULL, 279, NULL, 'Enolase C-terminal domain-like', 200756),
(264622, '0052917', NULL, NULL, 278, NULL, 'Enolase C-terminal domain-like', 200756),
(264623, '0047478', NULL, NULL, 295, NULL, 'Enolase C-terminal domain-like', 200756),
(264624, '0046786', NULL, NULL, 221, NULL, 'Enolase C-terminal domain-like', 200756),
(264625, '0048224', NULL, NULL, 242, NULL, 'Enolase C-terminal domain-like', 200756),
(264626, '0051292', NULL, NULL, 252, NULL, 'Enolase C-terminal domain-like', 200756),
(264627, '0048445', NULL, NULL, 243, NULL, 'Enolase C-terminal domain-like', 200756),
(264628, '0042721', NULL, NULL, 422, NULL, 'ADC synthase', 200757),
(264629, '0052520', NULL, NULL, 428, NULL, 'ADC synthase', 200757),
(264630, '0038839', NULL, NULL, 512, NULL, 'ADC synthase', 200757),
(264631, '0052838', NULL, NULL, 435, NULL, 'ADC synthase', 200757),
(264632, '0039827', NULL, NULL, 453, NULL, 'ADC synthase', 200757),
(264633, '0038914', NULL, NULL, 517, NULL, 'ADC synthase', 200757),
(264634, '0052723', NULL, NULL, 433, NULL, 'ADC synthase', 200757),
(264635, '0037084', NULL, NULL, 110, NULL, 'DNA polymerase III psi subunit', 200758),
(264636, '0048051', NULL, NULL, 339, NULL, 'Acid proteases', 200759),
(264637, '0045161', NULL, NULL, 325, NULL, 'Acid proteases', 200759),
(264638, '0037639', NULL, NULL, 391, NULL, 'Acid proteases', 200759),
(264639, '0045262', NULL, NULL, 330, NULL, 'Acid proteases', 200759),
(264640, '0040949', NULL, NULL, 373, NULL, 'Acid proteases', 200759),
(264641, '0045164', NULL, NULL, 356, NULL, 'Acid proteases', 200759),
(264642, '0041040', NULL, NULL, 357, NULL, 'Acid proteases', 200759),
(264643, '0036544', NULL, NULL, 329, NULL, 'Acid proteases', 200759),
(264644, '0036329', NULL, NULL, 99, NULL, 'Acid proteases', 200759),
(264645, '0035359', NULL, NULL, 327, NULL, 'Acid proteases', 200759),
(264646, '0038745', NULL, NULL, 203, NULL, 'Acid proteases', 200759),
(264647, '0039932', NULL, NULL, 99, NULL, 'Acid proteases', 200759),
(264648, '0038981', NULL, NULL, 99, NULL, 'Acid proteases', 200759),
(264649, '0043668', NULL, NULL, 335, NULL, 'Acid proteases', 200759),
(264650, '0038961', NULL, NULL, 325, NULL, 'Acid proteases', 200759),
(264651, '0035430', NULL, NULL, 124, NULL, 'Acid proteases', 200759),
(264652, '0036266', NULL, NULL, 99, NULL, 'Acid proteases', 200759),
(264653, '0035099', NULL, NULL, 324, NULL, 'Acid proteases', 200759),
(264654, '0039295', NULL, NULL, 323, NULL, 'Acid proteases', 200759);
INSERT INTO "PUBLIC"."MODEL" VALUES
(264655, '0041065', NULL, NULL, 99, NULL, 'Acid proteases', 200759),
(264656, '0042297', NULL, NULL, 375, NULL, 'Acid proteases', 200759),
(264657, '0039397', NULL, NULL, 334, NULL, 'Acid proteases', 200759),
(264658, '0040638', NULL, NULL, 328, NULL, 'Acid proteases', 200759),
(264659, '0049227', NULL, NULL, 99, NULL, 'Acid proteases', 200759),
(264660, '0045441', NULL, NULL, 124, NULL, 'Acid proteases', 200759),
(264661, '0042452', NULL, NULL, 326, NULL, 'Acid proteases', 200759),
(264662, '0045501', NULL, NULL, 323, NULL, 'Acid proteases', 200759),
(264663, '0041545', NULL, NULL, 107, NULL, 'Acid proteases', 200759),
(264664, '0049593', NULL, NULL, 99, NULL, 'Acid proteases', 200759),
(264665, '0049394', NULL, NULL, 99, NULL, 'Acid proteases', 200759),
(264666, '0050640', NULL, NULL, 340, NULL, 'Acid proteases', 200759),
(264667, '0045590', NULL, NULL, 113, NULL, 'Acid proteases', 200759),
(264668, '0035868', NULL, NULL, 99, NULL, 'Acid proteases', 200759),
(264669, '0038719', NULL, NULL, 373, NULL, 'Acid proteases', 200759),
(264670, '0036872', NULL, NULL, 342, NULL, 'Acid proteases', 200759),
(264671, '0054526', NULL, NULL, 141, NULL, 'Acid proteases', 200759),
(264672, '0035765', NULL, NULL, 323, NULL, 'Acid proteases', 200759),
(264673, '0043898', NULL, NULL, 381, NULL, 'Acid proteases', 200759),
(264674, '0035480', NULL, NULL, 99, NULL, 'Acid proteases', 200759),
(264675, '0037661', NULL, NULL, 104, NULL, 'Acid proteases', 200759),
(264676, '0042724', NULL, NULL, 338, NULL, 'Acid proteases', 200759),
(264677, '0038690', NULL, NULL, 337, NULL, 'Acid proteases', 200759),
(264678, '0045556', NULL, NULL, 370, NULL, 'Acid proteases', 200759),
(264679, '0052556', NULL, NULL, 82, NULL, 'YdhA-like', 200760),
(264680, '0047596', NULL, NULL, 105, NULL, 'beta-Barrel protease inhibitors', 200761),
(264681, '0049425', NULL, NULL, 100, NULL, 'beta-Barrel protease inhibitors', 200761),
(264682, '0041624', NULL, NULL, 111, NULL, 'beta-Barrel protease inhibitors', 200761),
(264683, '0041854', NULL, NULL, 109, NULL, 'beta-Barrel protease inhibitors', 200761),
(264684, '0053621', NULL, NULL, 88, NULL, 'S15/NS1 RNA-binding domain', 200762),
(264685, '0037893', NULL, NULL, 88, NULL, 'S15/NS1 RNA-binding domain', 200762),
(264686, '0034846', NULL, NULL, 85, NULL, 'S15/NS1 RNA-binding domain', 200762),
(264687, '0036463', NULL, NULL, 86, NULL, 'S15/NS1 RNA-binding domain', 200762),
(264688, '0043152', NULL, NULL, 54, NULL, 'S15/NS1 RNA-binding domain', 200762),
(264689, '0035059', NULL, NULL, 70, NULL, 'S15/NS1 RNA-binding domain', 200762),
(264690, '0036236', NULL, NULL, 56, NULL, 'S15/NS1 RNA-binding domain', 200762),
(264691, '0050942', NULL, NULL, 89, NULL, 'S15/NS1 RNA-binding domain', 200762),
(264692, '0037853', NULL, NULL, 57, NULL, 'S15/NS1 RNA-binding domain', 200762),
(264693, '0049693', NULL, NULL, 107, NULL, 'SWIB/MDM2 domain', 200763),
(264694, '0045079', NULL, NULL, 85, NULL, 'SWIB/MDM2 domain', 200763),
(264695, '0044367', NULL, NULL, 93, NULL, 'SWIB/MDM2 domain', 200763),
(264696, '0044599', NULL, NULL, 93, NULL, 'SWIB/MDM2 domain', 200763),
(264697, '0044600', NULL, NULL, 101, NULL, 'SWIB/MDM2 domain', 200763),
(264698, '0043766', NULL, NULL, 633, NULL, 'Prismane protein-like', 200764),
(264699, '0038175', NULL, NULL, 543, NULL, 'Prismane protein-like', 200764),
(264700, '0040966', NULL, NULL, 728, NULL, 'Prismane protein-like', 200764),
(264701, '0040965', NULL, NULL, 672, NULL, 'Prismane protein-like', 200764),
(264702, '0039702', NULL, NULL, 610, NULL, 'Prismane protein-like', 200764),
(264703, '0043379', NULL, NULL, 728, NULL, 'Prismane protein-like', 200764),
(264704, '0036722', NULL, NULL, 553, NULL, 'Prismane protein-like', 200764),
(264705, '0053959', NULL, NULL, 172, NULL, 'FLJ32549 domain-like', 200765),
(264706, '0053405', NULL, NULL, 101, NULL, 'Coiled-coil domain of nucleotide exchange factor GrpE', 200766),
(264707, '0053642', NULL, NULL, 72, NULL, 'Ribosomal protein L11, C-terminal domain', 200767),
(264708, '0047166', NULL, NULL, 74, NULL, 'Ribosomal protein L11, C-terminal domain', 200767);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(264709, '0054892', NULL, NULL, 67, NULL, 'Ribosomal protein L11, C-terminal domain', 200767),
(264710, '0049332', NULL, NULL, 70, NULL, 'Ribosomal protein L11, C-terminal domain', 200767),
(264711, '0048192', NULL, NULL, 70, NULL, 'Ribosomal protein L11, C-terminal domain', 200767),
(264712, '0053998', NULL, NULL, 68, NULL, 'Ribosomal protein L11, C-terminal domain', 200767),
(264713, '0045208', NULL, NULL, 131, NULL, 'N-terminal domain of cbl (N-cbl)', 200768),
(264714, '0050008', NULL, NULL, 80, NULL, 'General secretion pathway protein M, EpsM', 200769),
(264715, '0050154', NULL, NULL, 226, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264716, '0047386', NULL, NULL, 225, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264717, '0052693', NULL, NULL, 182, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264718, '0049442', NULL, NULL, 284, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264719, '0054473', NULL, NULL, 225, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264720, '0051885', NULL, NULL, 312, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264721, '0051884', NULL, NULL, 324, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264722, '0050038', NULL, NULL, 297, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264723, '0041444', NULL, NULL, 245, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264724, '0040196', NULL, NULL, 285, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264725, '0046696', NULL, NULL, 321, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264726, '0044550', NULL, NULL, 358, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264727, '0047303', NULL, NULL, 322, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264728, '0047945', NULL, NULL, 261, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264729, '0041326', NULL, NULL, 197, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264730, '0052982', NULL, NULL, 250, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264731, '0054520', NULL, NULL, 252, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264732, '0035026', NULL, NULL, 193, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264733, '0051657', NULL, NULL, 229, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264734, '0052749', NULL, NULL, 260, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264735, '0049171', NULL, NULL, 252, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264736, '0051930', NULL, NULL, 317, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264737, '0048805', NULL, NULL, 226, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264738, '0052618', NULL, NULL, 328, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264739, '0052739', NULL, NULL, 183, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264740, '0047676', NULL, NULL, 207, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264741, '0052182', NULL, NULL, 214, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264742, '0048524', NULL, NULL, 249, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264743, '0046744', NULL, NULL, 230, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264744, '0044689', NULL, NULL, 224, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264745, '0050693', NULL, NULL, 171, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264746, '0049186', NULL, NULL, 328, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264747, '0051143', NULL, NULL, 234, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(264748, '0052510', NULL, NULL, 152, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264749, '0054378', NULL, NULL, 425, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264750, '0052992', NULL, NULL, 190, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264751, '0051261', NULL, NULL, 250, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264752, '0049069', NULL, NULL, 252, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264753, '0043085', NULL, NULL, 223, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264754, '0051823', NULL, NULL, 324, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264755, '0051944', NULL, NULL, 293, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264756, '0048490', NULL, NULL, 266, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264757, '0037952', NULL, NULL, 256, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264758, '0051816', NULL, NULL, 524, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264759, '0041580', NULL, NULL, 271, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264760, '0046354', NULL, NULL, 213, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264761, '0048774', NULL, NULL, 201, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264762, '0047329', NULL, NULL, 264, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264763, '0052001', NULL, NULL, 232, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264764, '0049074', NULL, NULL, 256, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264765, '0047211', NULL, NULL, 261, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264766, '0052484', NULL, NULL, 275, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264767, '0049474', NULL, NULL, 227, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264768, '0050745', NULL, NULL, 318, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264769, '0052649', NULL, NULL, 204, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264770, '0036610', NULL, NULL, 194, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264771, '0051679', NULL, NULL, 257, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264772, '0050988', NULL, NULL, 290, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264773, '0053855', NULL, NULL, 375, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264774, '0036976', NULL, NULL, 279, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264775, '0046923', NULL, NULL, 343, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264776, '0049915', NULL, NULL, 312, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264777, '0041593', NULL, NULL, 328, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264778, '0052084', NULL, NULL, 229, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264779, '0042682', NULL, NULL, 235, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264780, '0047851', NULL, NULL, 291, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264781, '0047580', NULL, NULL, 215, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264782, '0052894', NULL, NULL, 281, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264783, '0054432', NULL, NULL, 250, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264784, '0040829', NULL, NULL, 193, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264785, '0049122', NULL, NULL, 289, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(264786, '0051449', NULL, NULL, 204, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264787, '0053107', NULL, NULL, 183, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264788, '0050234', NULL, NULL, 231, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264789, '0051840', NULL, NULL, 219, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264790, '0052536', NULL, NULL, 222, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264791, '0053229', NULL, NULL, 285, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264792, '0051842', NULL, NULL, 246, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264793, '0054557', NULL, NULL, 395, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264794, '0050749', NULL, NULL, 201, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264795, '0052807', NULL, NULL, 311, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264796, '0047465', NULL, NULL, 313, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264797, '0047862', NULL, NULL, 218, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264798, '0049885', NULL, NULL, 254, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264799, '0054391', NULL, NULL, 271, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264800, '0046931', NULL, NULL, 328, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264801, '0048438', NULL, NULL, 209, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264802, '0050242', NULL, NULL, 208, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264803, '0047471', NULL, NULL, 274, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264804, '0054686', NULL, NULL, 297, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264805, '0049532', NULL, NULL, 274, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264806, '0053077', NULL, NULL, 198, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264807, '0053110', NULL, NULL, 309, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264808, '0050762', NULL, NULL, 251, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264809, '0050919', NULL, NULL, 229, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264810, '0047919', NULL, NULL, 272, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264811, '0050519', NULL, NULL, 183, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264812, '0049778', NULL, NULL, 406, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264813, '0040327', NULL, NULL, 243, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264814, '0040964', NULL, NULL, 276, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264815, '0046303', NULL, NULL, 324, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264816, '0045060', NULL, NULL, 292, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264817, '0054332', NULL, NULL, 282, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264818, '0053087', NULL, NULL, 223, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264819, '0051588', NULL, NULL, 365, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264820, '0051103', NULL, NULL, 254, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264821, '0045109', NULL, NULL, 245, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264822, '0045988', NULL, NULL, 320, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264823, '0046838', NULL, NULL, 244, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(264824, '0051617', NULL, NULL, 278, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264825, '0052709', NULL, NULL, 280, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264826, '0042197', NULL, NULL, 268, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264827, '0052949', NULL, NULL, 194, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264828, '0039093', NULL, NULL, 295, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264829, '0047923', NULL, NULL, 186, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264830, '0048856', NULL, NULL, 259, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264831, '0049671', NULL, NULL, 285, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264832, '0051239', NULL, NULL, 246, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264833, '0049719', NULL, NULL, 253, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264834, '0037982', NULL, NULL, 227, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264835, '0048629', NULL, NULL, 316, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264836, '0050935', NULL, NULL, 239, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264837, '0048106', NULL, NULL, 359, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264838, '0046840', NULL, NULL, 244, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264839, '0046568', NULL, NULL, 180, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264840, '0045633', NULL, NULL, 327, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264841, '0047656', NULL, NULL, 280, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', 200770),
(264842, '0039790', NULL, NULL, 114, NULL, 'N-terminal domain of DnaB helicase', 200771),
(264843, '0053846', NULL, NULL, 80, NULL, 'TTHA1013/TTHA0281-like', 200772),
(264844, '0050720', NULL, NULL, 71, NULL, 'TTHA1013/TTHA0281-like', 200772),
(264845, '0054655', NULL, NULL, 235, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264846, '0054653', NULL, NULL, 238, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264847, '0044272', NULL, NULL, 192, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264848, '0053122', NULL, NULL, 298, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264849, '0054495', NULL, NULL, 213, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264850, '0035376', NULL, NULL, 198, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264851, '0035215', NULL, NULL, 204, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264852, '0038243', NULL, NULL, 192, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264853, '0047408', NULL, NULL, 210, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264854, '0050408', NULL, NULL, 267, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264855, '0046632', NULL, NULL, 246, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264856, '0047322', NULL, NULL, 206, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264857, '0046656', NULL, NULL, 206, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264858, '0046457', NULL, NULL, 211, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264859, '0044434', NULL, NULL, 214, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264860, '0044852', NULL, NULL, 220, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264861, '0045447', NULL, NULL, 238, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264862, '0036618', NULL, NULL, 216, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264863, '0034972', NULL, NULL, 244, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(264864, '0037006', NULL, NULL, 228, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264865, '0050127', NULL, NULL, 380, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264866, '0038251', NULL, NULL, 224, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264867, '0047135', NULL, NULL, 405, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264868, '0040724', NULL, NULL, 374, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264869, '0045751', NULL, NULL, 275, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264870, '0047779', NULL, NULL, 375, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264871, '0045315', NULL, NULL, 371, NULL, 'Glutathione synthetase ATP-binding domain-like', 200773),
(264872, '0035156', NULL, NULL, 74, NULL, 'TB module/8-cys domain', 200774),
(264873, '0040247', NULL, NULL, 75, NULL, 'TB module/8-cys domain', 200774),
(264874, '0044578', NULL, NULL, 76, NULL, 'TB module/8-cys domain', 200774),
(264875, '0035847', NULL, NULL, 161, NULL, 'Ornithine decarboxylase C-terminal domain', 200775),
(264876, '0052285', NULL, NULL, 161, NULL, 'Succinyl-CoA synthetase domains', 200776),
(264877, '0053297', NULL, NULL, 165, NULL, 'Succinyl-CoA synthetase domains', 200776),
(264878, '0048575', NULL, NULL, 167, NULL, 'Succinyl-CoA synthetase domains', 200776),
(264879, '0052286', NULL, NULL, 163, NULL, 'Succinyl-CoA synthetase domains', 200776),
(264880, '0053298', NULL, NULL, 147, NULL, 'Succinyl-CoA synthetase domains', 200776),
(264881, '0046630', NULL, NULL, 176, NULL, 'Succinyl-CoA synthetase domains', 200776),
(264882, '0046631', NULL, NULL, 148, NULL, 'Succinyl-CoA synthetase domains', 200776),
(264883, '0046292', NULL, NULL, 100, NULL, 'Viral DNA-binding domain', 200777),
(264884, '0049130', NULL, NULL, 87, NULL, 'Viral DNA-binding domain', 200777),
(264885, '0046040', NULL, NULL, 80, NULL, 'Viral DNA-binding domain', 200777),
(264886, '0045729', NULL, NULL, 82, NULL, 'Viral DNA-binding domain', 200777),
(264887, '0035341', NULL, NULL, 147, NULL, 'Viral DNA-binding domain', 200777),
(264888, '0046732', NULL, NULL, 81, NULL, 'Viral DNA-binding domain', 200777),
(264889, '0036828', NULL, NULL, 60, NULL, 'Kringle-like', 200778),
(264890, '0047144', NULL, NULL, 42, NULL, 'Kringle-like', 200778),
(264891, '0035938', NULL, NULL, 80, NULL, 'Kringle-like', 200778),
(264892, '0036829', NULL, NULL, 59, NULL, 'Kringle-like', 200778),
(264893, '0042382', NULL, NULL, 86, NULL, 'Kringle-like', 200778),
(264894, '0036026', NULL, NULL, 58, NULL, 'Kringle-like', 200778),
(264895, '0039409', NULL, NULL, 60, NULL, 'Kringle-like', 200778),
(264896, '0036025', NULL, NULL, 61, NULL, 'Kringle-like', 200778),
(264897, '0035559', NULL, NULL, 84, NULL, 'Kringle-like', 200778),
(264898, '0039525', NULL, NULL, 119, NULL, 'Kringle-like', 200778),
(264899, '0040397', NULL, NULL, 59, NULL, 'Kringle-like', 200778),
(264900, '0045529', NULL, NULL, 79, NULL, 'Kringle-like', 200778),
(264901, '0040396', NULL, NULL, 57, NULL, 'Kringle-like', 200778),
(264902, '0038481', NULL, NULL, 46, NULL, 'Kringle-like', 200778),
(264903, '0040395', NULL, NULL, 59, NULL, 'Kringle-like', 200778),
(264904, '0040097', NULL, NULL, 83, NULL, 'Kringle-like', 200778),
(264905, '0045618', NULL, NULL, 84, NULL, 'Kringle-like', 200778),
(264906, '0040096', NULL, NULL, 87, NULL, 'Kringle-like', 200778),
(264907, '0034809', NULL, NULL, 109, NULL, 'Kringle-like', 200778),
(264908, '0040228', NULL, NULL, 59, NULL, 'Kringle-like', 200778),
(264909, '0053081', NULL, NULL, 83, NULL, 'Kringle-like', 200778),
(264910, '0045401', NULL, NULL, 91, NULL, 'Kringle-like', 200778),
(264911, '0040225', NULL, NULL, 79, NULL, 'Kringle-like', 200778),
(264912, '0045327', NULL, NULL, 79, NULL, 'Kringle-like', 200778),
(264913, '0053896', NULL, NULL, 280, NULL, 'Lipase chaperone-like', 200779),
(264914, '0049393', NULL, NULL, 139, NULL, 'Hypothetical protein c14orf129, hspc210', 200780),
(264915, '0038329', NULL, NULL, 62, NULL, 'GYF domain', 200781);
INSERT INTO "PUBLIC"."MODEL" VALUES
(264916, '0050542', NULL, NULL, 78, NULL, 'GYF domain', 200781),
(264917, '0037289', NULL, NULL, 124, NULL, 'a domain/subunit of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 200782),
(264918, '0035452', NULL, NULL, 119, NULL, 'a domain/subunit of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 200782),
(264919, '0048907', NULL, NULL, 156, NULL, 'a domain/subunit of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 200782),
(264920, '0035489', NULL, NULL, 119, NULL, 'a domain/subunit of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 200782),
(264921, '0053865', NULL, NULL, 160, NULL, 'a domain/subunit of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 200782),
(264922, '0042723', NULL, NULL, 104, NULL, 'Saposin', 200783),
(264923, '0041232', NULL, NULL, 78, NULL, 'Saposin', 200783),
(264924, '0040726', NULL, NULL, 84, NULL, 'Saposin', 200783),
(264925, '0041824', NULL, NULL, 77, NULL, 'Saposin', 200783),
(264926, '0040425', NULL, NULL, 74, NULL, 'Saposin', 200783),
(264927, '0041435', NULL, NULL, 78, NULL, 'Saposin', 200783),
(264928, '0050483', NULL, NULL, 118, NULL, 'Prokaryotic type KH domain (KH-domain type II)', 200784),
(264929, '0047716', NULL, NULL, 79, NULL, 'Prokaryotic type KH domain (KH-domain type II)', 200784),
(264930, '0047188', NULL, NULL, 78, NULL, 'Prokaryotic type KH domain (KH-domain type II)', 200784),
(264931, '0054585', NULL, NULL, 105, NULL, 'Prokaryotic type KH domain (KH-domain type II)', 200784),
(264932, '0038592', NULL, NULL, 68, NULL, 'Prokaryotic type KH domain (KH-domain type II)', 200784),
(264933, '0046552', NULL, NULL, 113, NULL, 'Prokaryotic type KH domain (KH-domain type II)', 200784),
(264934, '0046797', NULL, NULL, 105, NULL, 'Prokaryotic type KH domain (KH-domain type II)', 200784),
(264935, '0050549', NULL, NULL, 92, NULL, 'Prokaryotic type KH domain (KH-domain type II)', 200784),
(264936, '0036740', NULL, NULL, 54, NULL, 'Prokaryotic type KH domain (KH-domain type II)', 200784),
(264937, '0039833', NULL, NULL, 67, NULL, 'Prokaryotic type KH domain (KH-domain type II)', 200784),
(264938, '0053048', NULL, NULL, 190, NULL, 'Probable bacterial effector-binding domain', 200785),
(264939, '0035649', NULL, NULL, 158, NULL, 'Probable bacterial effector-binding domain', 200785),
(264940, '0036288', NULL, NULL, 173, NULL, 'Probable bacterial effector-binding domain', 200785),
(264941, '0039814', NULL, NULL, 155, NULL, 'Probable bacterial effector-binding domain', 200785),
(264942, '0037564', NULL, NULL, 110, NULL, 'CO dehydrogenase flavoprotein C-terminal domain-like', 200786),
(264943, '0037701', NULL, NULL, 117, NULL, 'CO dehydrogenase flavoprotein C-terminal domain-like', 200786),
(264944, '0039726', NULL, NULL, 117, NULL, 'CO dehydrogenase flavoprotein C-terminal domain-like', 200786),
(264945, '0041228', NULL, NULL, 109, NULL, 'CO dehydrogenase flavoprotein C-terminal domain-like', 200786),
(264946, '0043861', NULL, NULL, 109, NULL, 'CO dehydrogenase flavoprotein C-terminal domain-like', 200786),
(264947, '0049207', NULL, NULL, 107, NULL, 'CO dehydrogenase flavoprotein C-terminal domain-like', 200786),
(264948, '0047803', NULL, NULL, 264, NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase catalytic domain', 200787),
(264949, '0053310', NULL, NULL, 265, NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase catalytic domain', 200787),
(264950, '0048481', NULL, NULL, 273, NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase catalytic domain', 200787),
(264951, '0046005', NULL, NULL, 260, NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase catalytic domain', 200787),
(264952, '0049963', NULL, NULL, 273, NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase catalytic domain', 200787),
(264953, '0050093', NULL, NULL, 264, NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase catalytic domain', 200787),
(264954, '0050033', NULL, NULL, 83, NULL, 'Thioredoxin-like', 200788),
(264955, '0052730', NULL, NULL, 87, NULL, 'Thioredoxin-like', 200788),
(264956, '0052452', NULL, NULL, 133, NULL, 'Thioredoxin-like', 200788);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(264957, '0050672', NULL, NULL, 119, NULL, 'Thioredoxin-like', 200788),
(264958, '0051123', NULL, NULL, 166, NULL, 'Thioredoxin-like', 200788),
(264959, '0049048', NULL, NULL, 105, NULL, 'Thioredoxin-like', 200788),
(264960, '0052692', NULL, NULL, 80, NULL, 'Thioredoxin-like', 200788),
(264961, '0046295', NULL, NULL, 107, NULL, 'Thioredoxin-like', 200788),
(264962, '0052451', NULL, NULL, 116, NULL, 'Thioredoxin-like', 200788),
(264963, '0046694', NULL, NULL, 79, NULL, 'Thioredoxin-like', 200788),
(264964, '0048594', NULL, NULL, 85, NULL, 'Thioredoxin-like', 200788),
(264965, '0048990', NULL, NULL, 197, NULL, 'Thioredoxin-like', 200788),
(264966, '0051483', NULL, NULL, 114, NULL, 'Thioredoxin-like', 200788),
(264967, '0038306', NULL, NULL, 83, NULL, 'Thioredoxin-like', 200788),
(264968, '0051129', NULL, NULL, 111, NULL, 'Thioredoxin-like', 200788),
(264969, '0052617', NULL, NULL, 184, NULL, 'Thioredoxin-like', 200788),
(264970, '0051923', NULL, NULL, 143, NULL, 'Thioredoxin-like', 200788),
(264971, '0037972', NULL, NULL, 75, NULL, 'Thioredoxin-like', 200788),
(264972, '0050950', NULL, NULL, 114, NULL, 'Thioredoxin-like', 200788),
(264973, '0051125', NULL, NULL, 153, NULL, 'Thioredoxin-like', 200788),
(264974, '0037970', NULL, NULL, 122, NULL, 'Thioredoxin-like', 200788),
(264975, '0051914', NULL, NULL, 119, NULL, 'Thioredoxin-like', 200788),
(264976, '0039073', NULL, NULL, 77, NULL, 'Thioredoxin-like', 200788),
(264977, '0049720', NULL, NULL, 77, NULL, 'Thioredoxin-like', 200788),
(264978, '0046733', NULL, NULL, 112, NULL, 'Thioredoxin-like', 200788),
(264979, '0045523', NULL, NULL, 84, NULL, 'Thioredoxin-like', 200788),
(264980, '0041722', NULL, NULL, 144, NULL, 'Thioredoxin-like', 200788),
(264981, '0042775', NULL, NULL, 137, NULL, 'Thioredoxin-like', 200788),
(264982, '0052983', NULL, NULL, 170, NULL, 'Thioredoxin-like', 200788),
(264983, '0051497', NULL, NULL, 136, NULL, 'Thioredoxin-like', 200788),
(264984, '0053311', NULL, NULL, 217, NULL, 'Thioredoxin-like', 200788),
(264985, '0049697', NULL, NULL, 77, NULL, 'Thioredoxin-like', 200788),
(264986, '0052340', NULL, NULL, 160, NULL, 'Thioredoxin-like', 200788),
(264987, '0047310', NULL, NULL, 144, NULL, 'Thioredoxin-like', 200788),
(264988, '0048366', NULL, NULL, 75, NULL, 'Thioredoxin-like', 200788),
(264989, '0048363', NULL, NULL, 85, NULL, 'Thioredoxin-like', 200788),
(264990, '0050680', NULL, NULL, 133, NULL, 'Thioredoxin-like', 200788),
(264991, '0052504', NULL, NULL, 119, NULL, 'Thioredoxin-like', 200788),
(264992, '0053833', NULL, NULL, 147, NULL, 'Thioredoxin-like', 200788),
(264993, '0051532', NULL, NULL, 113, NULL, 'Thioredoxin-like', 200788),
(264994, '0051931', NULL, NULL, 169, NULL, 'Thioredoxin-like', 200788),
(264995, '0048529', NULL, NULL, 122, NULL, 'Thioredoxin-like', 200788),
(264996, '0048804', NULL, NULL, 220, NULL, 'Thioredoxin-like', 200788),
(264997, '0042825', NULL, NULL, 143, NULL, 'Thioredoxin-like', 200788),
(264998, '0050957', NULL, NULL, 111, NULL, 'Thioredoxin-like', 200788),
(264999, '0046982', NULL, NULL, 107, NULL, 'Thioredoxin-like', 200788),
(265000, '0042387', NULL, NULL, 80, NULL, 'Thioredoxin-like', 200788),
(265001, '0047714', NULL, NULL, 86, NULL, 'Thioredoxin-like', 200788),
(265002, '0043753', NULL, NULL, 137, NULL, 'Thioredoxin-like', 200788),
(265003, '0049857', NULL, NULL, 124, NULL, 'Thioredoxin-like', 200788),
(265004, '0045810', NULL, NULL, 76, NULL, 'Thioredoxin-like', 200788),
(265005, '0041456', NULL, NULL, 74, NULL, 'Thioredoxin-like', 200788),
(265006, '0052631', NULL, NULL, 86, NULL, 'Thioredoxin-like', 200788),
(265007, '0052112', NULL, NULL, 84, NULL, 'Thioredoxin-like', 200788),
(265008, '0047046', NULL, NULL, 85, NULL, 'Thioredoxin-like', 200788),
(265009, '0049102', NULL, NULL, 221, NULL, 'Thioredoxin-like', 200788),
(265010, '0053320', NULL, NULL, 84, NULL, 'Thioredoxin-like', 200788),
(265011, '0039616', NULL, NULL, 84, NULL, 'Thioredoxin-like', 200788),
(265012, '0034961', NULL, NULL, 119, NULL, 'Thioredoxin-like', 200788),
(265013, '0035499', NULL, NULL, 181, NULL, 'Thioredoxin-like', 200788);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(265014, '0051701', NULL, NULL, 117, NULL, 'Thioredoxin-like', 200788),
(265015, '0039618', NULL, NULL, 90, NULL, 'Thioredoxin-like', 200788),
(265016, '0051703', NULL, NULL, 156, NULL, 'Thioredoxin-like', 200788),
(265017, '0037710', NULL, NULL, 201, NULL, 'Thioredoxin-like', 200788),
(265018, '0051667', NULL, NULL, 158, NULL, 'Thioredoxin-like', 200788),
(265019, '0037799', NULL, NULL, 188, NULL, 'Thioredoxin-like', 200788),
(265020, '0038800', NULL, NULL, 96, NULL, 'Thioredoxin-like', 200788),
(265021, '0050456', NULL, NULL, 166, NULL, 'Thioredoxin-like', 200788),
(265022, '0044619', NULL, NULL, 169, NULL, 'Thioredoxin-like', 200788),
(265023, '0035251', NULL, NULL, 80, NULL, 'Thioredoxin-like', 200788),
(265024, '0042395', NULL, NULL, 83, NULL, 'Thioredoxin-like', 200788),
(265025, '0047048', NULL, NULL, 79, NULL, 'Thioredoxin-like', 200788),
(265026, '0044455', NULL, NULL, 195, NULL, 'Thioredoxin-like', 200788),
(265027, '0045302', NULL, NULL, 75, NULL, 'Thioredoxin-like', 200788),
(265028, '0040257', NULL, NULL, 105, NULL, 'Thioredoxin-like', 200788),
(265029, '0048812', NULL, NULL, 163, NULL, 'Thioredoxin-like', 200788),
(265030, '0047173', NULL, NULL, 161, NULL, 'Thioredoxin-like', 200788),
(265031, '0051671', NULL, NULL, 134, NULL, 'Thioredoxin-like', 200788),
(265032, '0047050', NULL, NULL, 84, NULL, 'Thioredoxin-like', 200788),
(265033, '0047056', NULL, NULL, 84, NULL, 'Thioredoxin-like', 200788),
(265034, '0048146', NULL, NULL, 120, NULL, 'Thioredoxin-like', 200788),
(265035, '0048388', NULL, NULL, 163, NULL, 'Thioredoxin-like', 200788),
(265036, '0043130', NULL, NULL, 85, NULL, 'Thioredoxin-like', 200788),
(265037, '0037704', NULL, NULL, 85, NULL, 'Thioredoxin-like', 200788),
(265038, '0050108', NULL, NULL, 130, NULL, 'Thioredoxin-like', 200788),
(265039, '0052802', NULL, NULL, 143, NULL, 'Thioredoxin-like', 200788),
(265040, '0050985', NULL, NULL, 179, NULL, 'Thioredoxin-like', 200788),
(265041, '0042047', NULL, NULL, 122, NULL, 'Thioredoxin-like', 200788),
(265042, '0050617', NULL, NULL, 100, NULL, 'Thioredoxin-like', 200788),
(265043, '0038196', NULL, NULL, 185, NULL, 'Thioredoxin-like', 200788),
(265044, '0048664', NULL, NULL, 84, NULL, 'Thioredoxin-like', 200788),
(265045, '0049633', NULL, NULL, 113, NULL, 'Thioredoxin-like', 200788),
(265046, '0049632', NULL, NULL, 108, NULL, 'Thioredoxin-like', 200788),
(265047, '0043137', NULL, NULL, 90, NULL, 'Thioredoxin-like', 200788),
(265048, '0036606', NULL, NULL, 80, NULL, 'Thioredoxin-like', 200788),
(265049, '0052012', NULL, NULL, 169, NULL, 'Thioredoxin-like', 200788),
(265050, '0047062', NULL, NULL, 77, NULL, 'Thioredoxin-like', 200788),
(265051, '0052893', NULL, NULL, 160, NULL, 'Thioredoxin-like', 200788),
(265052, '0049125', NULL, NULL, 74, NULL, 'Thioredoxin-like', 200788),
(265053, '0050590', NULL, NULL, 109, NULL, 'Thioredoxin-like', 200788),
(265054, '0047981', NULL, NULL, 79, NULL, 'Thioredoxin-like', 200788),
(265055, '0052770', NULL, NULL, 178, NULL, 'Thioredoxin-like', 200788),
(265056, '0048033', NULL, NULL, 134, NULL, 'Thioredoxin-like', 200788),
(265057, '0049089', NULL, NULL, 113, NULL, 'Thioredoxin-like', 200788),
(265058, '0051602', NULL, NULL, 170, NULL, 'Thioredoxin-like', 200788),
(265059, '0035238', NULL, NULL, 81, NULL, 'Thioredoxin-like', 200788),
(265060, '0053106', NULL, NULL, 105, NULL, 'Thioredoxin-like', 200788),
(265061, '0035590', NULL, NULL, 110, NULL, 'Thioredoxin-like', 200788),
(265062, '0039431', NULL, NULL, 138, NULL, 'Thioredoxin-like', 200788),
(265063, '0049249', NULL, NULL, 114, NULL, 'Thioredoxin-like', 200788),
(265064, '0044115', NULL, NULL, 75, NULL, 'Thioredoxin-like', 200788),
(265065, '0049009', NULL, NULL, 173, NULL, 'Thioredoxin-like', 200788),
(265066, '0051694', NULL, NULL, 120, NULL, 'Thioredoxin-like', 200788),
(265067, '0050002', NULL, NULL, 194, NULL, 'Thioredoxin-like', 200788),
(265068, '0051850', NULL, NULL, 225, NULL, 'Thioredoxin-like', 200788),
(265069, '0045690', NULL, NULL, 218, NULL, 'Thioredoxin-like', 200788),
(265070, '0049377', NULL, NULL, 135, NULL, 'Thioredoxin-like', 200788);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(265071, '0047472', NULL, NULL, 74, NULL, 'Thioredoxin-like', 200788),
(265072, '0040838', NULL, NULL, 107, NULL, 'Thioredoxin-like', 200788),
(265073, '0043030', NULL, NULL, 164, NULL, 'Thioredoxin-like', 200788),
(265074, '0037807', NULL, NULL, 83, NULL, 'Thioredoxin-like', 200788),
(265075, '0041805', NULL, NULL, 81, NULL, 'Thioredoxin-like', 200788),
(265076, '0049496', NULL, NULL, 103, NULL, 'Thioredoxin-like', 200788),
(265077, '0035346', NULL, NULL, 78, NULL, 'Thioredoxin-like', 200788),
(265078, '0039826', NULL, NULL, 102, NULL, 'Thioredoxin-like', 200788),
(265079, '0052945', NULL, NULL, 76, NULL, 'Thioredoxin-like', 200788),
(265080, '0038457', NULL, NULL, 76, NULL, 'Thioredoxin-like', 200788),
(265081, '0039303', NULL, NULL, 100, NULL, 'Thioredoxin-like', 200788),
(265082, '0037363', NULL, NULL, 109, NULL, 'Thioredoxin-like', 200788),
(265083, '0039300', NULL, NULL, 118, NULL, 'Thioredoxin-like', 200788),
(265084, '0038178', NULL, NULL, 84, NULL, 'Thioredoxin-like', 200788),
(265085, '0039301', NULL, NULL, 107, NULL, 'Thioredoxin-like', 200788),
(265086, '0045739', NULL, NULL, 119, NULL, 'Thioredoxin-like', 200788),
(265087, '0040163', NULL, NULL, 144, NULL, 'Thioredoxin-like', 200788),
(265088, '0036792', NULL, NULL, 80, NULL, 'Thioredoxin-like', 200788),
(265089, '0050915', NULL, NULL, 219, NULL, 'Thioredoxin-like', 200788),
(265090, '0046783', NULL, NULL, 80, NULL, 'Thioredoxin-like', 200788),
(265091, '0041935', NULL, NULL, 174, NULL, 'Thioredoxin-like', 200788),
(265092, '0050770', NULL, NULL, 241, NULL, 'Thioredoxin-like', 200788),
(265093, '0048057', NULL, NULL, 76, NULL, 'Thioredoxin-like', 200788),
(265094, '0034808', NULL, NULL, 80, NULL, 'Thioredoxin-like', 200788),
(265095, '0048298', NULL, NULL, 186, NULL, 'Thioredoxin-like', 200788),
(265096, '0051504', NULL, NULL, 166, NULL, 'Thioredoxin-like', 200788),
(265097, '0036940', NULL, NULL, 98, NULL, 'Thioredoxin-like', 200788),
(265098, '0051503', NULL, NULL, 172, NULL, 'Thioredoxin-like', 200788),
(265099, '0046836', NULL, NULL, 82, NULL, 'Thioredoxin-like', 200788),
(265100, '0037474', NULL, NULL, 104, NULL, 'Thioredoxin-like', 200788),
(265101, '0043845', NULL, NULL, 150, NULL, 'Thioredoxin-like', 200788),
(265102, '0037350', NULL, NULL, 80, NULL, 'Thioredoxin-like', 200788),
(265103, '0049305', NULL, NULL, 85, NULL, 'Thioredoxin-like', 200788),
(265104, '0049667', NULL, NULL, 162, NULL, 'Thioredoxin-like', 200788),
(265105, '0045740', NULL, NULL, 107, NULL, 'Thioredoxin-like', 200788),
(265106, '0049544', NULL, NULL, 105, NULL, 'Thioredoxin-like', 200788),
(265107, '0045743', NULL, NULL, 124, NULL, 'Thioredoxin-like', 200788),
(265108, '0045744', NULL, NULL, 102, NULL, 'Thioredoxin-like', 200788),
(265109, '0051595', NULL, NULL, 115, NULL, 'Thioredoxin-like', 200788),
(265110, '0052322', NULL, NULL, 187, NULL, 'Thioredoxin-like', 200788),
(265111, '0036937', NULL, NULL, 156, NULL, 'Thioredoxin-like', 200788),
(265112, '0053013', NULL, NULL, 132, NULL, 'Thioredoxin-like', 200788),
(265113, '0048740', NULL, NULL, 75, NULL, 'Thioredoxin-like', 200788),
(265114, '0047011', NULL, NULL, 78, NULL, 'Thioredoxin-like', 200788),
(265115, '0051911', NULL, NULL, 140, NULL, 'Thioredoxin-like', 200788),
(265116, '0039527', NULL, NULL, 176, NULL, 'Thioredoxin-like', 200788),
(265117, '0051913', NULL, NULL, 125, NULL, 'Thioredoxin-like', 200788),
(265118, '0051912', NULL, NULL, 98, NULL, 'Thioredoxin-like', 200788),
(265119, '0038799', NULL, NULL, 102, NULL, 'Thioredoxin-like', 200788),
(265120, '0045879', NULL, NULL, 105, NULL, 'Thioredoxin-like', 200788),
(265121, '0048908', NULL, NULL, 164, NULL, 'Thioredoxin-like', 200788),
(265122, '0046445', NULL, NULL, 167, NULL, 'Thioredoxin-like', 200788),
(265123, '0045754', NULL, NULL, 87, NULL, 'Thioredoxin-like', 200788),
(265124, '0046603', NULL, NULL, 112, NULL, 'Thioredoxin-like', 200788),
(265125, '0052630', NULL, NULL, 158, NULL, 'Chorismate lyase-like', 200789),
(265126, '0037809', NULL, NULL, 164, NULL, 'Chorismate lyase-like', 200789),
(265127, '0054302', NULL, NULL, 160, NULL, 'Chorismate lyase-like', 200789);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(265128, '0054662', NULL, NULL, 180, NULL, 'Chorismate lyase-like', 200789),
(265129, '0054142', NULL, NULL, 153, NULL, 'Chorismate lyase-like', 200789),
(265130, '0054396', NULL, NULL, 161, NULL, 'Chorismate lyase-like', 200789),
(265131, '0054451', NULL, NULL, 148, NULL, 'Chorismate lyase-like', 200789),
(265132, '0054370', NULL, NULL, 144, NULL, 'Chorismate lyase-like', 200789),
(265133, '0054517', NULL, NULL, 141, NULL, 'Chorismate lyase-like', 200789),
(265134, '0054846', NULL, NULL, 145, NULL, 'Chorismate lyase-like', 200789),
(265135, '0054899', NULL, NULL, 162, NULL, 'Chorismate lyase-like', 200789),
(265136, '0054931', NULL, NULL, 143, NULL, 'Chorismate lyase-like', 200789),
(265137, '0053790', NULL, NULL, 67, NULL, 'Guanosine diphospho-D-mannose pyrophosphorylase/mannose-6-phosphate isomerase linker domain', 200790),
(265138, '0054510', NULL, NULL, 256, NULL, 'PSTPO5379-like', 200791),
(265139, '0053697', NULL, NULL, 115, NULL, 'L30e-like', 200792),
(265140, '0054611', NULL, NULL, 95, NULL, 'L30e-like', 200792),
(265141, '0053753', NULL, NULL, 100, NULL, 'L30e-like', 200792),
(265142, '0046480', NULL, NULL, 125, NULL, 'L30e-like', 200792),
(265143, '0049200', NULL, NULL, 113, NULL, 'L30e-like', 200792),
(265144, '0036589', NULL, NULL, 146, NULL, 'L30e-like', 200792),
(265145, '0038339', NULL, NULL, 87, NULL, 'L30e-like', 200792),
(265146, '0053639', NULL, NULL, 111, NULL, 'L30e-like', 200792),
(265147, '0054717', NULL, NULL, 104, NULL, 'L30e-like', 200792),
(265148, '0053703', NULL, NULL, 126, NULL, 'L30e-like', 200792),
(265149, '0039117', NULL, NULL, 105, NULL, 'L30e-like', 200792),
(265150, '0037533', NULL, NULL, 118, NULL, 'L30e-like', 200792),
(265151, '0038463', NULL, NULL, 99, NULL, 'L30e-like', 200792),
(265152, '0049508', NULL, NULL, 97, NULL, 'L30e-like', 200792),
(265153, '0053907', NULL, NULL, 124, NULL, 'L30e-like', 200792),
(265154, '0043564', NULL, NULL, 115, NULL, 'L30e-like', 200792),
(265155, '0043511', NULL, NULL, 119, NULL, 'L30e-like', 200792),
(265156, '0042511', NULL, NULL, 128, NULL, 'L30e-like', 200792),
(265157, '0052715', NULL, NULL, 285, NULL, 'Kelch motif', 200793),
(265158, '0039174', NULL, NULL, 185, NULL, 'Ribosome recycling factor, RRF', 200794),
(265159, '0038065', NULL, NULL, 184, NULL, 'Ribosome recycling factor, RRF', 200794),
(265160, '0036362', NULL, NULL, 184, NULL, 'Ribosome recycling factor, RRF', 200794),
(265161, '0053629', NULL, NULL, 183, NULL, 'Ribosome recycling factor, RRF', 200794),
(265162, '0050587', NULL, NULL, 84, NULL, 'Ribosome recycling factor, RRF', 200794),
(265163, '0036999', NULL, NULL, 185, NULL, 'Ribosome recycling factor, RRF', 200794),
(265164, '0037049', NULL, NULL, 185, NULL, 'Ribosome recycling factor, RRF', 200794),
(265165, '0044514', NULL, NULL, 166, NULL, 'NAC domain', 200795),
(265166, '0041114', NULL, NULL, 220, NULL, 'YebC-like', 200796),
(265167, '0040484', NULL, NULL, 243, NULL, 'YebC-like', 200796),
(265168, '0040186', NULL, NULL, 244, NULL, 'YebC-like', 200796),
(265169, '0042776', NULL, NULL, 76, NULL, 'Non-globular alpha+beta subunits of globular proteins', 200797),
(265170, '0042777', NULL, NULL, 67, NULL, 'Non-globular alpha+beta subunits of globular proteins', 200797),
(265171, '0040341', NULL, NULL, 57, NULL, 'Non-globular alpha+beta subunits of globular proteins', 200797),
(265172, '0039818', NULL, NULL, 102, NULL, 'Non-globular alpha+beta subunits of globular proteins', 200797),
(265173, '0042417', NULL, NULL, 47, NULL, 'Non-globular alpha+beta subunits of globular proteins', 200797),
(265174, '0040441', NULL, NULL, 228, NULL, 'Uracil-DNA glycosylase-like', 200798),
(265175, '0054565', NULL, NULL, 150, NULL, 'Uracil-DNA glycosylase-like', 200798),
(265176, '0041089', NULL, NULL, 165, NULL, 'Uracil-DNA glycosylase-like', 200798),
(265177, '0041892', NULL, NULL, 223, NULL, 'Uracil-DNA glycosylase-like', 200798),
(265178, '0054202', NULL, NULL, 230, NULL, 'Uracil-DNA glycosylase-like', 200798),
(265179, '0045509', NULL, NULL, 225, NULL, 'Uracil-DNA glycosylase-like', 200798),
(265180, '0049909', NULL, NULL, 192, NULL, 'Uracil-DNA glycosylase-like', 200798);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(265181, '0053053', NULL, NULL, 223, NULL, 'Uracil-DNA glycosylase-like', 200798),
(265182, '0040423', NULL, NULL, 191, NULL, 'Uracil-DNA glycosylase-like', 200798),
(265183, '0048547', NULL, NULL, 245, NULL, 'Uracil-DNA glycosylase-like', 200798),
(265184, '0050888', NULL, NULL, 182, NULL, 'DNA mismatch repair protein MutL', 200799),
(265185, '0044170', NULL, NULL, 141, NULL, 'NusB-like', 200800),
(265186, '0048904', NULL, NULL, 140, NULL, 'NusB-like', 200800),
(265187, '0037270', NULL, NULL, 131, NULL, 'NusB-like', 200800),
(265188, '0037257', NULL, NULL, 139, NULL, 'NusB-like', 200800),
(265189, '0043710', NULL, NULL, 140, NULL, 'NusB-like', 200800),
(265190, '0047167', NULL, NULL, 118, NULL, 'Actin-crosslinking proteins', 200801),
(265191, '0046322', NULL, NULL, 119, NULL, 'Actin-crosslinking proteins', 200801),
(265192, '0046321', NULL, NULL, 133, NULL, 'Actin-crosslinking proteins', 200801),
(265193, '0046324', NULL, NULL, 111, NULL, 'Actin-crosslinking proteins', 200801),
(265194, '0046323', NULL, NULL, 123, NULL, 'Actin-crosslinking proteins', 200801),
(265195, '0052572', NULL, NULL, 75, NULL, 'GreA transcript cleavage protein, N-terminal domain', 200802),
(265196, '0047044', NULL, NULL, 78, NULL, 'GreA transcript cleavage protein, N-terminal domain', 200802),
(265197, '0053643', NULL, NULL, 71, NULL, 'Ribosomal L11/L12e N-terminal domain', 200803),
(265198, '0054893', NULL, NULL, 70, NULL, 'Ribosomal L11/L12e N-terminal domain', 200803),
(265199, '0050580', NULL, NULL, 92, NULL, 'Ribosomal L11/L12e N-terminal domain', 200803),
(265200, '0041008', NULL, NULL, 63, NULL, 'Ribosomal L11/L12e N-terminal domain', 200803),
(265201, '0053999', NULL, NULL, 71, NULL, 'Ribosomal L11/L12e N-terminal domain', 200803),
(265202, '0037032', NULL, NULL, 107, NULL, 'Wiscott-Aldrich syndrome protein, WASP, C-terminal domain', 200804),
(265203, '0037023', NULL, NULL, 72, NULL, 'Double-stranded DNA-binding domain', 200805),
(265204, '0052265', NULL, NULL, 105, NULL, 'Double-stranded DNA-binding domain', 200805),
(265205, '0046680', NULL, NULL, 162, NULL, 'Outer surface protein C (OspC)', 200806),
(265206, '0046927', NULL, NULL, 164, NULL, 'Outer surface protein C (OspC)', 200806),
(265207, '0046981', NULL, NULL, 162, NULL, 'Outer surface protein C (OspC)', 200806),
(265208, '0054466', NULL, NULL, 241, NULL, 'PH0156-like', 200807),
(265209, '0049483', NULL, NULL, 127, NULL, 'RuBisCO, large subunit, small (N-terminal) domain', 200808),
(265210, '0049141', NULL, NULL, 139, NULL, 'RuBisCO, large subunit, small (N-terminal) domain', 200808),
(265211, '0035747', NULL, NULL, 144, NULL, 'RuBisCO, large subunit, small (N-terminal) domain', 200808),
(265212, '0052387', NULL, NULL, 126, NULL, 'RuBisCO, large subunit, small (N-terminal) domain', 200808),
(265213, '0053331', NULL, NULL, 126, NULL, 'RuBisCO, large subunit, small (N-terminal) domain', 200808),
(265214, '0047000', NULL, NULL, 143, NULL, 'RuBisCO, large subunit, small (N-terminal) domain', 200808),
(265215, '0053362', NULL, NULL, 136, NULL, 'RuBisCO, large subunit, small (N-terminal) domain', 200808),
(265216, '0053381', NULL, NULL, 139, NULL, 'RuBisCO, large subunit, small (N-terminal) domain', 200808),
(265217, '0046970', NULL, NULL, 125, NULL, 'RuBisCO, large subunit, small (N-terminal) domain', 200808),
(265218, '0046037', NULL, NULL, 128, NULL, 'RuBisCO, large subunit, small (N-terminal) domain', 200808),
(265219, '0050438', NULL, NULL, 140, NULL, 'RuBisCO, large subunit, small (N-terminal) domain', 200808),
(265220, '0051334', NULL, NULL, 142, NULL, 'RuBisCO, large subunit, small (N-terminal) domain', 200808),
(265221, '0041673', NULL, NULL, 126, NULL, 'Nucleotidyltransferase substrate binding subunit/domain', 200809),
(265222, '0040171', NULL, NULL, 128, NULL, 'Nucleotidyltransferase substrate binding subunit/domain', 200809),
(265223, '0047644', NULL, NULL, 135, NULL, 'Nucleotidyltransferase substrate binding subunit/domain', 200809),
(265224, '0044324', NULL, NULL, 127, NULL, 'Nucleotidyltransferase substrate binding subunit/domain', 200809);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(265225, '0044610', NULL, NULL, 151, NULL, 'Nucleotidyltransferase substrate binding subunit/domain', 200809),
(265226, '0050699', NULL, NULL, 116, NULL, 'Nucleotidyltransferase substrate binding subunit/domain', 200809),
(265227, '0053277', NULL, NULL, 122, NULL, 'DNA clamp', 200810),
(265228, '0050271', NULL, NULL, 120, NULL, 'DNA clamp', 200810),
(265229, '0046361', NULL, NULL, 150, NULL, 'DNA clamp', 200810),
(265230, '0044283', NULL, NULL, 119, NULL, 'DNA clamp', 200810),
(265231, '0053276', NULL, NULL, 122, NULL, 'DNA clamp', 200810),
(265232, '0048781', NULL, NULL, 126, NULL, 'DNA clamp', 200810),
(265233, '0044284', NULL, NULL, 119, NULL, 'DNA clamp', 200810),
(265234, '0050273', NULL, NULL, 123, NULL, 'DNA clamp', 200810),
(265235, '0042371', NULL, NULL, 132, NULL, 'DNA clamp', 200810),
(265236, '0050272', NULL, NULL, 123, NULL, 'DNA clamp', 200810),
(265237, '0036501', NULL, NULL, 141, NULL, 'DNA clamp', 200810),
(265238, '0036208', NULL, NULL, 118, NULL, 'DNA clamp', 200810),
(265239, '0036207', NULL, NULL, 110, NULL, 'DNA clamp', 200810),
(265240, '0035249', NULL, NULL, 129, NULL, 'DNA clamp', 200810),
(265241, '0046967', NULL, NULL, 116, NULL, 'DNA clamp', 200810),
(265242, '0043899', NULL, NULL, 126, NULL, 'DNA clamp', 200810),
(265243, '0043900', NULL, NULL, 135, NULL, 'DNA clamp', 200810),
(265244, '0045836', NULL, NULL, 126, NULL, 'DNA clamp', 200810),
(265245, '0045418', NULL, NULL, 122, NULL, 'DNA clamp', 200810),
(265246, '0038064', NULL, NULL, 122, NULL, 'DNA clamp', 200810),
(265247, '0035384', NULL, NULL, 118, NULL, 'DNA clamp', 200810),
(265248, '0035383', NULL, NULL, 110, NULL, 'DNA clamp', 200810),
(265249, '0049258', NULL, NULL, 122, NULL, 'DNA clamp', 200810),
(265250, '0043400', NULL, NULL, 122, NULL, 'DNA clamp', 200810),
(265251, '0038543', NULL, NULL, 94, NULL, 'Penicillin-binding protein associated domain', 200811),
(265252, '0051054', NULL, NULL, 93, NULL, 'Penicillin-binding protein associated domain', 200811),
(265253, '0044133', NULL, NULL, 68, NULL, 'Penicillin-binding protein associated domain', 200811),
(265254, '0054563', NULL, NULL, 133, NULL, 'SO1590-like', 200812),
(265255, '0054397', NULL, NULL, 133, NULL, 'SO1590-like', 200812),
(265256, '0050936', NULL, NULL, 108, NULL, 'Nucleoplasmin-like core domain', 200813),
(265257, '0048385', NULL, NULL, 105, NULL, 'Nucleoplasmin-like core domain', 200813),
(265258, '0047752', NULL, NULL, 105, NULL, 'Nucleoplasmin-like core domain', 200813),
(265259, '0047492', NULL, NULL, 118, NULL, 'Hyaluronate lyase-like, C-terminal domain', 200814),
(265260, '0049252', NULL, NULL, 113, NULL, 'Hyaluronate lyase-like, C-terminal domain', 200814),
(265261, '0046101', NULL, NULL, 101, NULL, 'Hyaluronate lyase-like, C-terminal domain', 200814),
(265262, '0036994', NULL, NULL, 79, NULL, 'Hyaluronate lyase-like, C-terminal domain', 200814),
(265263, '0047207', NULL, NULL, 122, NULL, 'Hyaluronate lyase-like, C-terminal domain', 200814),
(265264, '0037335', NULL, NULL, 65, NULL, 'Hyaluronate lyase-like, C-terminal domain', 200814),
(265265, '0051243', NULL, NULL, 221, NULL, 'Trypsin-like serine proteases', 200815),
(265266, '0050034', NULL, NULL, 223, NULL, 'Trypsin-like serine proteases', 200815),
(265267, '0053300', NULL, NULL, 181, NULL, 'Trypsin-like serine proteases', 200815),
(265268, '0037734', NULL, NULL, 227, NULL, 'Trypsin-like serine proteases', 200815),
(265269, '0035673', NULL, NULL, 234, NULL, 'Trypsin-like serine proteases', 200815),
(265270, '0046290', NULL, NULL, 254, NULL, 'Trypsin-like serine proteases', 200815),
(265271, '0040353', NULL, NULL, 180, NULL, 'Trypsin-like serine proteases', 200815),
(265272, '0042134', NULL, NULL, 215, NULL, 'Trypsin-like serine proteases', 200815),
(265273, '0042416', NULL, NULL, 218, NULL, 'Trypsin-like serine proteases', 200815),
(265274, '0040351', NULL, NULL, 228, NULL, 'Trypsin-like serine proteases', 200815),
(265275, '0040590', NULL, NULL, 221, NULL, 'Trypsin-like serine proteases', 200815),
(265276, '0046575', NULL, NULL, 235, NULL, 'Trypsin-like serine proteases', 200815);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(265277, '0043220', NULL, NULL, 235, NULL, 'Trypsin-like serine proteases', 200815),
(265278, '0048635', NULL, NULL, 223, NULL, 'Trypsin-like serine proteases', 200815),
(265279, '0048877', NULL, NULL, 239, NULL, 'Trypsin-like serine proteases', 200815),
(265280, '0037607', NULL, NULL, 275, NULL, 'Trypsin-like serine proteases', 200815),
(265281, '0037609', NULL, NULL, 277, NULL, 'Trypsin-like serine proteases', 200815),
(265282, '0036116', NULL, NULL, 180, NULL, 'Trypsin-like serine proteases', 200815),
(265283, '0038419', NULL, NULL, 224, NULL, 'Trypsin-like serine proteases', 200815),
(265284, '0037840', NULL, NULL, 228, NULL, 'Trypsin-like serine proteases', 200815),
(265285, '0053039', NULL, NULL, 139, NULL, 'Trypsin-like serine proteases', 200815),
(265286, '0047957', NULL, NULL, 205, NULL, 'Trypsin-like serine proteases', 200815),
(265287, '0052619', NULL, NULL, 237, NULL, 'Trypsin-like serine proteases', 200815),
(265288, '0043596', NULL, NULL, 233, NULL, 'Trypsin-like serine proteases', 200815),
(265289, '0040887', NULL, NULL, 223, NULL, 'Trypsin-like serine proteases', 200815),
(265290, '0045413', NULL, NULL, 233, NULL, 'Trypsin-like serine proteases', 200815),
(265291, '0054138', NULL, NULL, 172, NULL, 'Trypsin-like serine proteases', 200815),
(265292, '0048133', NULL, NULL, 198, NULL, 'Trypsin-like serine proteases', 200815),
(265293, '0051141', NULL, NULL, 237, NULL, 'Trypsin-like serine proteases', 200815),
(265294, '0038086', NULL, NULL, 240, NULL, 'Trypsin-like serine proteases', 200815),
(265295, '0046511', NULL, NULL, 241, NULL, 'Trypsin-like serine proteases', 200815),
(265296, '0046995', NULL, NULL, 257, NULL, 'Trypsin-like serine proteases', 200815),
(265297, '0046356', NULL, NULL, 298, NULL, 'Trypsin-like serine proteases', 200815),
(265298, '0049863', NULL, NULL, 297, NULL, 'Trypsin-like serine proteases', 200815),
(265299, '0048262', NULL, NULL, 202, NULL, 'Trypsin-like serine proteases', 200815),
(265300, '0053299', NULL, NULL, 191, NULL, 'Trypsin-like serine proteases', 200815),
(265301, '0041509', NULL, NULL, 225, NULL, 'Trypsin-like serine proteases', 200815),
(265302, '0043371', NULL, NULL, 261, NULL, 'Trypsin-like serine proteases', 200815),
(265303, '0037786', NULL, NULL, 221, NULL, 'Trypsin-like serine proteases', 200815),
(265304, '0038512', NULL, NULL, 216, NULL, 'Trypsin-like serine proteases', 200815),
(265305, '0045318', NULL, NULL, 230, NULL, 'Trypsin-like serine proteases', 200815),
(265306, '0043779', NULL, NULL, 160, NULL, 'Trypsin-like serine proteases', 200815),
(265307, '0035122', NULL, NULL, 237, NULL, 'Trypsin-like serine proteases', 200815),
(265308, '0042606', NULL, NULL, 242, NULL, 'Trypsin-like serine proteases', 200815),
(265309, '0047218', NULL, NULL, 187, NULL, 'Trypsin-like serine proteases', 200815),
(265310, '0044104', NULL, NULL, 224, NULL, 'Trypsin-like serine proteases', 200815),
(265311, '0048392', NULL, NULL, 224, NULL, 'Trypsin-like serine proteases', 200815),
(265312, '0048030', NULL, NULL, 243, NULL, 'Trypsin-like serine proteases', 200815),
(265313, '0045561', NULL, NULL, 224, NULL, 'Trypsin-like serine proteases', 200815),
(265314, '0044076', NULL, NULL, 235, NULL, 'Trypsin-like serine proteases', 200815),
(265315, '0042293', NULL, NULL, 235, NULL, 'Trypsin-like serine proteases', 200815),
(265316, '0053746', NULL, NULL, 199, NULL, 'Trypsin-like serine proteases', 200815),
(265317, '0037131', NULL, NULL, 222, NULL, 'Trypsin-like serine proteases', 200815),
(265318, '0047907', NULL, NULL, 249, NULL, 'Trypsin-like serine proteases', 200815),
(265319, '0049401', NULL, NULL, 228, NULL, 'Trypsin-like serine proteases', 200815),
(265320, '0045688', NULL, NULL, 244, NULL, 'Trypsin-like serine proteases', 200815),
(265321, '0040038', NULL, NULL, 226, NULL, 'Trypsin-like serine proteases', 200815),
(265322, '0042215', NULL, NULL, 300, NULL, 'Trypsin-like serine proteases', 200815),
(265323, '0034935', NULL, NULL, 221, NULL, 'Trypsin-like serine proteases', 200815),
(265324, '0049010', NULL, NULL, 198, NULL, 'Trypsin-like serine proteases', 200815);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(265325, '0034812', NULL, NULL, 223, NULL, 'Trypsin-like serine proteases', 200815),
(265326, '0035500', NULL, NULL, 177, NULL, 'Trypsin-like serine proteases', 200815),
(265327, '0038219', NULL, NULL, 252, NULL, 'Trypsin-like serine proteases', 200815),
(265328, '0047191', NULL, NULL, 223, NULL, 'Trypsin-like serine proteases', 200815),
(265329, '0035182', NULL, NULL, 263, NULL, 'Trypsin-like serine proteases', 200815),
(265330, '0038059', NULL, NULL, 224, NULL, 'Trypsin-like serine proteases', 200815),
(265331, '0036154', NULL, NULL, 201, NULL, 'Trypsin-like serine proteases', 200815),
(265332, '0038297', NULL, NULL, 237, NULL, 'Trypsin-like serine proteases', 200815),
(265333, '0041537', NULL, NULL, 192, NULL, 'Trypsin-like serine proteases', 200815),
(265334, '0046306', NULL, NULL, 247, NULL, 'Trypsin-like serine proteases', 200815),
(265335, '0042588', NULL, NULL, 299, NULL, 'Trypsin-like serine proteases', 200815),
(265336, '0043039', NULL, NULL, 216, NULL, 'Trypsin-like serine proteases', 200815),
(265337, '0049389', NULL, NULL, 228, NULL, 'Trypsin-like serine proteases', 200815),
(265338, '0045461', NULL, NULL, 222, NULL, 'Trypsin-like serine proteases', 200815),
(265339, '0037635', NULL, NULL, 234, NULL, 'Trypsin-like serine proteases', 200815),
(265340, '0050139', NULL, NULL, 149, NULL, 'Trypsin-like serine proteases', 200815),
(265341, '0037599', NULL, NULL, 227, NULL, 'Trypsin-like serine proteases', 200815),
(265342, '0034885', NULL, NULL, 265, NULL, 'Trypsin-like serine proteases', 200815),
(265343, '0035578', NULL, NULL, 228, NULL, 'Trypsin-like serine proteases', 200815),
(265344, '0035974', NULL, NULL, 224, NULL, 'Trypsin-like serine proteases', 200815),
(265345, '0037077', NULL, NULL, 259, NULL, 'Trypsin-like serine proteases', 200815),
(265346, '0043603', NULL, NULL, 185, NULL, 'Trypsin-like serine proteases', 200815),
(265347, '0035210', NULL, NULL, 240, NULL, 'Trypsin-like serine proteases', 200815),
(265348, '0040692', NULL, NULL, 299, NULL, 'Trypsin-like serine proteases', 200815),
(265349, '0037075', NULL, NULL, 236, NULL, 'Trypsin-like serine proteases', 200815),
(265350, '0040858', NULL, NULL, 241, NULL, 'Trypsin-like serine proteases', 200815),
(265351, '0037192', NULL, NULL, 224, NULL, 'Trypsin-like serine proteases', 200815),
(265352, '0048697', NULL, NULL, 254, NULL, 'Trypsin-like serine proteases', 200815),
(265353, '0043683', NULL, NULL, 213, NULL, 'Trypsin-like serine proteases', 200815),
(265354, '0047648', NULL, NULL, 305, NULL, 'Trypsin-like serine proteases', 200815),
(265355, '0041149', NULL, NULL, 240, NULL, 'Trypsin-like serine proteases', 200815),
(265356, '0049034', NULL, NULL, 246, NULL, 'Trypsin-like serine proteases', 200815),
(265357, '0035283', NULL, NULL, 226, NULL, 'Trypsin-like serine proteases', 200815),
(265358, '0040102', NULL, NULL, 241, NULL, 'Trypsin-like serine proteases', 200815),
(265359, '0048628', NULL, NULL, 232, NULL, 'Trypsin-like serine proteases', 200815),
(265360, '0035683', NULL, NULL, 241, NULL, 'Trypsin-like serine proteases', 200815),
(265361, '0042528', NULL, NULL, 248, NULL, 'Trypsin-like serine proteases', 200815),
(265362, '0042529', NULL, NULL, 251, NULL, 'Trypsin-like serine proteases', 200815),
(265363, '0035042', NULL, NULL, 242, NULL, 'Trypsin-like serine proteases', 200815),
(265364, '0041958', NULL, NULL, 234, NULL, 'Trypsin-like serine proteases', 200815),
(265365, '0046722', NULL, NULL, 223, NULL, 'Trypsin-like serine proteases', 200815),
(265366, '0042882', NULL, NULL, 240, NULL, 'Trypsin-like serine proteases', 200815),
(265367, '0046602', NULL, NULL, 156, NULL, 'Trypsin-like serine proteases', 200815),
(265368, '0047741', NULL, NULL, 387, NULL, 'Galactose oxidase, central domain', 200816),
(265369, '0051907', NULL, NULL, 96, NULL, 'Carboxypeptidase regulatory domain-like', 200817),
(265370, '0050014', NULL, NULL, 107, NULL, 'Carboxypeptidase regulatory domain-like', 200817),
(265371, '0048988', NULL, NULL, 79, NULL, 'Carboxypeptidase regulatory domain-like', 200817),
(265372, '0053394', NULL, NULL, 68, NULL, 'Fibritin', 200818);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(265373, '0053492', NULL, NULL, 108, NULL, 'Fibritin', 200818),
(265374, '0053391', NULL, NULL, 113, NULL, 'Fibritin', 200818),
(265375, '0037361', NULL, NULL, 147, NULL, 'Pepsin inhibitor-3', 200819),
(265376, '0052059', NULL, NULL, 361, NULL, 'Glycosyl hydrolases family 6, cellulases', 200820),
(265377, '0052024', NULL, NULL, 285, NULL, 'Glycosyl hydrolases family 6, cellulases', 200820),
(265378, '0048971', NULL, NULL, 362, NULL, 'Glycosyl hydrolases family 6, cellulases', 200820),
(265379, '0049965', NULL, NULL, 301, NULL, 'Glycosyl hydrolases family 6, cellulases', 200820),
(265380, '0046426', NULL, NULL, 345, NULL, 'Glycosyl hydrolases family 6, cellulases', 200820),
(265381, '0051772', NULL, NULL, 89, NULL, 'eIF-2-alpha, C-terminal domain', 200821),
(265382, '0042661', NULL, NULL, 117, NULL, 'eIF-2-alpha, C-terminal domain', 200821),
(265383, '0052624', NULL, NULL, 121, NULL, 'PTSIIA/GutA-like', 200822),
(265384, '0053113', NULL, NULL, 145, NULL, 'TTHA0068-like', 200823),
(265385, '0052336', NULL, NULL, 94, NULL, 'TTHA0068-like', 200823),
(265386, '0052738', NULL, NULL, 214, NULL, 'YwmB-like', 200824),
(265387, '0048372', NULL, NULL, 328, NULL, 'Carbohydrate phosphatase', 200825),
(265388, '0047396', NULL, NULL, 400, NULL, 'Carbohydrate phosphatase', 200825),
(265389, '0037769', NULL, NULL, 327, NULL, 'Carbohydrate phosphatase', 200825),
(265390, '0036465', NULL, NULL, 252, NULL, 'Carbohydrate phosphatase', 200825),
(265391, '0037748', NULL, NULL, 327, NULL, 'Carbohydrate phosphatase', 200825),
(265392, '0050973', NULL, NULL, 249, NULL, 'Carbohydrate phosphatase', 200825),
(265393, '0039685', NULL, NULL, 304, NULL, 'Carbohydrate phosphatase', 200825),
(265394, '0044712', NULL, NULL, 253, NULL, 'Carbohydrate phosphatase', 200825),
(265395, '0042779', NULL, NULL, 354, NULL, 'Carbohydrate phosphatase', 200825),
(265396, '0035592', NULL, NULL, 332, NULL, 'Carbohydrate phosphatase', 200825),
(265397, '0046304', NULL, NULL, 346, NULL, 'Carbohydrate phosphatase', 200825),
(265398, '0045316', NULL, NULL, 272, NULL, 'Carbohydrate phosphatase', 200825),
(265399, '0047954', NULL, NULL, 252, NULL, 'Carbohydrate phosphatase', 200825),
(265400, '0049438', NULL, NULL, 353, NULL, 'Carbohydrate phosphatase', 200825),
(265401, '0036684', NULL, NULL, 139, NULL, 'Eukaryotic RPB5 N-terminal domain', 200826),
(265402, '0036649', NULL, NULL, 150, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265403, '0036611', NULL, NULL, 150, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265404, '0048182', NULL, NULL, 157, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265405, '0036612', NULL, NULL, 183, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265406, '0039730', NULL, NULL, 163, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265407, '0042024', NULL, NULL, 170, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265408, '0042299', NULL, NULL, 146, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265409, '0042023', NULL, NULL, 151, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265410, '0051827', NULL, NULL, 151, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265411, '0036650', NULL, NULL, 185, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265412, '0051826', NULL, NULL, 144, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265413, '0049701', NULL, NULL, 311, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265414, '0040987', NULL, NULL, 150, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265415, '0045168', NULL, NULL, 155, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265416, '0047669', NULL, NULL, 161, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265417, '0044884', NULL, NULL, 152, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265418, '0042300', NULL, NULL, 153, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265419, '0044885', NULL, NULL, 161, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(265420, '0048833', NULL, NULL, 150, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265421, '0048834', NULL, NULL, 163, NULL, 'Aspartate/ornithine carbamoyltransferase', 200827),
(265422, '0041307', NULL, NULL, 116, NULL, 'Hypothetical protein TM1070', 200828),
(265423, '0054896', NULL, NULL, 317, NULL, 'Periplasmic binding protein-like I', 200829),
(265424, '0053377', NULL, NULL, 305, NULL, 'Periplasmic binding protein-like I', 200829),
(265425, '0052792', NULL, NULL, 305, NULL, 'Periplasmic binding protein-like I', 200829),
(265426, '0045352', NULL, NULL, 344, NULL, 'Periplasmic binding protein-like I', 200829),
(265427, '0044032', NULL, NULL, 316, NULL, 'Periplasmic binding protein-like I', 200829),
(265428, '0049650', NULL, NULL, 296, NULL, 'Periplasmic binding protein-like I', 200829),
(265429, '0039803', NULL, NULL, 338, NULL, 'Periplasmic binding protein-like I', 200829),
(265430, '0036339', NULL, NULL, 282, NULL, 'Periplasmic binding protein-like I', 200829),
(265431, '0036537', NULL, NULL, 425, NULL, 'Periplasmic binding protein-like I', 200829),
(265432, '0053227', NULL, NULL, 275, NULL, 'Periplasmic binding protein-like I', 200829),
(265433, '0046959', NULL, NULL, 309, NULL, 'Periplasmic binding protein-like I', 200829),
(265434, '0039493', NULL, NULL, 401, NULL, 'Periplasmic binding protein-like I', 200829),
(265435, '0035780', NULL, NULL, 255, NULL, 'Periplasmic binding protein-like I', 200829),
(265436, '0046641', NULL, NULL, 477, NULL, 'Periplasmic binding protein-like I', 200829),
(265437, '0048996', NULL, NULL, 373, NULL, 'Periplasmic binding protein-like I', 200829),
(265438, '0045248', NULL, NULL, 271, NULL, 'Periplasmic binding protein-like I', 200829),
(265439, '0043335', NULL, NULL, 288, NULL, 'Periplasmic binding protein-like I', 200829),
(265440, '0049989', NULL, NULL, 346, NULL, 'Periplasmic binding protein-like I', 200829),
(265441, '0043103', NULL, NULL, 70, NULL, 'Hydrophobin II, HfbII', 200830),
(265442, '0038383', NULL, NULL, 60, NULL, 'Htr2 transmembrane domain-like', 200831),
(265443, '0040409', NULL, NULL, 324, NULL, 'ABC transporter involved in vitamin B12 uptake, BtuC', 200832),
(265444, '0048827', NULL, NULL, 117, NULL, 'Creatinase/prolidase N-terminal domain', 200833),
(265445, '0046142', NULL, NULL, 155, NULL, 'Creatinase/prolidase N-terminal domain', 200833),
(265446, '0040192', NULL, NULL, 156, NULL, 'Creatinase/prolidase N-terminal domain', 200833),
(265447, '0052071', NULL, NULL, 176, NULL, 'Creatinase/prolidase N-terminal domain', 200833),
(265448, '0054041', NULL, NULL, 149, NULL, 'DsbB-like', 200834),
(265449, '0050384', NULL, NULL, 120, NULL, 'DUSP-like', 200835),
(265450, '0046715', NULL, NULL, 103, NULL, 'Bromodomain', 200836),
(265451, '0046609', NULL, NULL, 128, NULL, 'Bromodomain', 200836),
(265452, '0046608', NULL, NULL, 139, NULL, 'Bromodomain', 200836),
(265453, '0047674', NULL, NULL, 121, NULL, 'Bromodomain', 200836),
(265454, '0046469', NULL, NULL, 111, NULL, 'Bromodomain', 200836),
(265455, '0048291', NULL, NULL, 115, NULL, 'Bromodomain', 200836),
(265456, '0042524', NULL, NULL, 104, NULL, 'Anticodon-binding domain of PheRS', 200837),
(265457, '0049284', NULL, NULL, 61, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265458, '0051388', NULL, NULL, 88, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265459, '0052277', NULL, NULL, 88, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265460, '0038966', NULL, NULL, 94, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265461, '0051844', NULL, NULL, 65, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265462, '0050779', NULL, NULL, 87, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265463, '0054537', NULL, NULL, 62, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265464, '0051249', NULL, NULL, 79, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265465, '0052016', NULL, NULL, 71, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265466, '0053325', NULL, NULL, 65, NULL, 'lambda repressor-like DNA-binding domains', 200838);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(265467, '0049180', NULL, NULL, 97, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265468, '0051985', NULL, NULL, 62, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265469, '0044558', NULL, NULL, 59, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265470, '0036085', NULL, NULL, 66, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265471, '0051837', NULL, NULL, 67, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265472, '0043707', NULL, NULL, 64, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265473, '0053040', NULL, NULL, 57, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265474, '0043143', NULL, NULL, 63, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265475, '0045765', NULL, NULL, 76, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265476, '0041348', NULL, NULL, 74, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265477, '0054369', NULL, NULL, 82, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265478, '0054127', NULL, NULL, 87, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265479, '0051234', NULL, NULL, 69, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265480, '0051630', NULL, NULL, 78, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265481, '0054323', NULL, NULL, 89, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265482, '0052264', NULL, NULL, 65, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265483, '0050602', NULL, NULL, 101, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265484, '0050546', NULL, NULL, 101, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265485, '0035201', NULL, NULL, 72, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265486, '0036752', NULL, NULL, 75, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265487, '0050548', NULL, NULL, 111, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265488, '0050823', NULL, NULL, 78, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265489, '0054428', NULL, NULL, 162, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265490, '0036955', NULL, NULL, 59, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265491, '0051711', NULL, NULL, 69, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265492, '0051908', NULL, NULL, 77, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265493, '0046409', NULL, NULL, 86, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265494, '0044906', NULL, NULL, 56, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265495, '0049316', NULL, NULL, 120, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265496, '0049337', NULL, NULL, 80, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265497, '0042440', NULL, NULL, 56, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265498, '0045855', NULL, NULL, 68, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265499, '0049999', NULL, NULL, 66, NULL, 'lambda repressor-like DNA-binding domains', 200838),
(265500, '0036935', NULL, NULL, 121, NULL, 'N-terminal domain of MutM-like DNA repair proteins', 200839),
(265501, '0043946', NULL, NULL, 130, NULL, 'N-terminal domain of MutM-like DNA repair proteins', 200839),
(265502, '0039949', NULL, NULL, 128, NULL, 'N-terminal domain of MutM-like DNA repair proteins', 200839),
(265503, '0041472', NULL, NULL, 131, NULL, 'N-terminal domain of MutM-like DNA repair proteins', 200839),
(265504, '0040360', NULL, NULL, 133, NULL, 'N-terminal domain of MutM-like DNA repair proteins', 200839),
(265505, '0039899', NULL, NULL, 124, NULL, 'N-terminal domain of MutM-like DNA repair proteins', 200839),
(265506, '0043236', NULL, NULL, 32, NULL, 'Sec-beta subunit', 200840),
(265507, '0054556', NULL, NULL, 114, NULL, 'YugN-like', 200841),
(265508, '0051049', NULL, NULL, 84, NULL, 'EspA/CesA-like', 200842),
(265509, '0051048', NULL, NULL, 160, NULL, 'EspA/CesA-like', 200842);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(265510, '0049341', NULL, NULL, 121, NULL, 'Phospholipase A2, PLA2', 200843),
(265511, '0035718', NULL, NULL, 120, NULL, 'Phospholipase A2, PLA2', 200843),
(265512, '0044450', NULL, NULL, 122, NULL, 'Phospholipase A2, PLA2', 200843),
(265513, '0042095', NULL, NULL, 120, NULL, 'Phospholipase A2, PLA2', 200843),
(265514, '0036549', NULL, NULL, 118, NULL, 'Phospholipase A2, PLA2', 200843),
(265515, '0035019', NULL, NULL, 119, NULL, 'Phospholipase A2, PLA2', 200843),
(265516, '0040575', NULL, NULL, 119, NULL, 'Phospholipase A2, PLA2', 200843),
(265517, '0042413', NULL, NULL, 122, NULL, 'Phospholipase A2, PLA2', 200843),
(265518, '0043502', NULL, NULL, 119, NULL, 'Phospholipase A2, PLA2', 200843),
(265519, '0045405', NULL, NULL, 124, NULL, 'Phospholipase A2, PLA2', 200843),
(265520, '0042058', NULL, NULL, 118, NULL, 'Phospholipase A2, PLA2', 200843),
(265521, '0041980', NULL, NULL, 122, NULL, 'Phospholipase A2, PLA2', 200843),
(265522, '0042057', NULL, NULL, 118, NULL, 'Phospholipase A2, PLA2', 200843),
(265523, '0035133', NULL, NULL, 122, NULL, 'Phospholipase A2, PLA2', 200843),
(265524, '0038185', NULL, NULL, 121, NULL, 'Phospholipase A2, PLA2', 200843),
(265525, '0039053', NULL, NULL, 123, NULL, 'Phospholipase A2, PLA2', 200843),
(265526, '0040470', NULL, NULL, 123, NULL, 'Phospholipase A2, PLA2', 200843),
(265527, '0036043', NULL, NULL, 121, NULL, 'Phospholipase A2, PLA2', 200843),
(265528, '0037472', NULL, NULL, 122, NULL, 'Phospholipase A2, PLA2', 200843),
(265529, '0046918', NULL, NULL, 123, NULL, 'Phospholipase A2, PLA2', 200843),
(265530, '0047620', NULL, NULL, 122, NULL, 'Phospholipase A2, PLA2', 200843),
(265531, '0048119', NULL, NULL, 124, NULL, 'Phospholipase A2, PLA2', 200843),
(265532, '0043501', NULL, NULL, 119, NULL, 'Phospholipase A2, PLA2', 200843),
(265533, '0045390', NULL, NULL, 119, NULL, 'Phospholipase A2, PLA2', 200843),
(265534, '0037909', NULL, NULL, 118, NULL, 'Phospholipase A2, PLA2', 200843),
(265535, '0037507', NULL, NULL, 118, NULL, 'Phospholipase A2, PLA2', 200843),
(265536, '0037880', NULL, NULL, 118, NULL, 'Phospholipase A2, PLA2', 200843),
(265537, '0042104', NULL, NULL, 121, NULL, 'Phospholipase A2, PLA2', 200843),
(265538, '0042402', NULL, NULL, 118, NULL, 'Phospholipase A2, PLA2', 200843),
(265539, '0040288', NULL, NULL, 124, NULL, 'Phospholipase A2, PLA2', 200843),
(265540, '0042403', NULL, NULL, 134, NULL, 'Phospholipase A2, PLA2', 200843),
(265541, '0040881', NULL, NULL, 122, NULL, 'Phospholipase A2, PLA2', 200843),
(265542, '0039565', NULL, NULL, 122, NULL, 'Phospholipase A2, PLA2', 200843),
(265543, '0035584', NULL, NULL, 122, NULL, 'Phospholipase A2, PLA2', 200843),
(265544, '0042187', NULL, NULL, 124, NULL, 'Phospholipase A2, PLA2', 200843),
(265545, '0042848', NULL, NULL, 121, NULL, 'Phospholipase A2, PLA2', 200843),
(265546, '0038198', NULL, NULL, 124, NULL, 'Phospholipase A2, PLA2', 200843),
(265547, '0040924', NULL, NULL, 119, NULL, 'Phospholipase A2, PLA2', 200843),
(265548, '0040846', NULL, NULL, 119, NULL, 'Phospholipase A2, PLA2', 200843),
(265549, '0041979', NULL, NULL, 122, NULL, 'Phospholipase A2, PLA2', 200843),
(265550, '0040922', NULL, NULL, 119, NULL, 'Phospholipase A2, PLA2', 200843),
(265551, '0038172', NULL, NULL, 122, NULL, 'Phospholipase A2, PLA2', 200843),
(265552, '0040921', NULL, NULL, 119, NULL, 'Phospholipase A2, PLA2', 200843),
(265553, '0044685', NULL, NULL, 123, NULL, 'Phospholipase A2, PLA2', 200843),
(265554, '0042401', NULL, NULL, 118, NULL, 'Phospholipase A2, PLA2', 200843),
(265555, '0044788', NULL, NULL, 121, NULL, 'Phospholipase A2, PLA2', 200843),
(265556, '0041950', NULL, NULL, 144, NULL, 'Mago nashi protein', 200844),
(265557, '0042122', NULL, NULL, 144, NULL, 'Mago nashi protein', 200844),
(265558, '0054413', NULL, NULL, 62, NULL, 'YejL-like', 200845),
(265559, '0054245', NULL, NULL, 72, NULL, 'YejL-like', 200845),
(265560, '0054244', NULL, NULL, 72, NULL, 'YejL-like', 200845),
(265561, '0054242', NULL, NULL, 75, NULL, 'YejL-like', 200845),
(265562, '0054240', NULL, NULL, 75, NULL, 'YejL-like', 200845),
(265563, '0053992', NULL, NULL, 83, NULL, 'Ribosomal protein S20', 200846);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(265564, '0037628', NULL, NULL, 99, NULL, 'Ribosomal protein S20', 200846),
(265565, '0044500', NULL, NULL, 201, NULL, 'Hsp90 co-chaperone CDC37', 200847),
(265566, '0035037', NULL, NULL, 493, NULL, 'ALDH-like', 200848),
(265567, '0035565', NULL, NULL, 499, NULL, 'ALDH-like', 200848),
(265568, '0035003', NULL, NULL, 446, NULL, 'ALDH-like', 200848),
(265569, '0034877', NULL, NULL, 503, NULL, 'ALDH-like', 200848),
(265570, '0035766', NULL, NULL, 494, NULL, 'ALDH-like', 200848),
(265571, '0050666', NULL, NULL, 474, NULL, 'ALDH-like', 200848),
(265572, '0036174', NULL, NULL, 494, NULL, 'ALDH-like', 200848),
(265573, '0037277', NULL, NULL, 504, NULL, 'ALDH-like', 200848),
(265574, '0041750', NULL, NULL, 494, NULL, 'ALDH-like', 200848),
(265575, '0041670', NULL, NULL, 414, NULL, 'ALDH-like', 200848),
(265576, '0044574', NULL, NULL, 516, NULL, 'ALDH-like', 200848),
(265577, '0037193', NULL, NULL, 474, NULL, 'ALDH-like', 200848),
(265578, '0040316', NULL, NULL, 499, NULL, 'ALDH-like', 200848),
(265579, '0044883', NULL, NULL, 436, NULL, 'ALDH-like', 200848),
(265580, '0047758', NULL, NULL, 431, NULL, 'ALDH-like', 200848),
(265581, '0039001', NULL, NULL, 85, NULL, 'Thiamin pyrophosphokinase, substrate-binding domain', 200849),
(265582, '0047356', NULL, NULL, 96, NULL, 'Thiamin pyrophosphokinase, substrate-binding domain', 200849),
(265583, '0049149', NULL, NULL, 122, NULL, 'Translational regulator protein regA', 200850),
(265584, '0050230', NULL, NULL, 372, NULL, 'Pentein', 200851),
(265585, '0052532', NULL, NULL, 369, NULL, 'Pentein', 200851),
(265586, '0051002', NULL, NULL, 353, NULL, 'Pentein', 200851),
(265587, '0047563', NULL, NULL, 360, NULL, 'Pentein', 200851),
(265588, '0051350', NULL, NULL, 440, NULL, 'Pentein', 200851),
(265589, '0053780', NULL, NULL, 330, NULL, 'Pentein', 200851),
(265590, '0054220', NULL, NULL, 364, NULL, 'Pentein', 200851),
(265591, '0035742', NULL, NULL, 348, NULL, 'Pentein', 200851),
(265592, '0037954', NULL, NULL, 224, NULL, 'Pentein', 200851),
(265593, '0051543', NULL, NULL, 339, NULL, 'Pentein', 200851),
(265594, '0037953', NULL, NULL, 225, NULL, 'Pentein', 200851),
(265595, '0044954', NULL, NULL, 370, NULL, 'Pentein', 200851),
(265596, '0043408', NULL, NULL, 412, NULL, 'Pentein', 200851),
(265597, '0047136', NULL, NULL, 255, NULL, 'Pentein', 200851),
(265598, '0043530', NULL, NULL, 409, NULL, 'Pentein', 200851),
(265599, '0047096', NULL, NULL, 165, NULL, 'ADC-like', 200852),
(265600, '0036728', NULL, NULL, 86, NULL, 'ADC-like', 200852),
(265601, '0052771', NULL, NULL, 82, NULL, 'ADC-like', 200852),
(265602, '0045381', NULL, NULL, 123, NULL, 'ADC-like', 200852),
(265603, '0046362', NULL, NULL, 156, NULL, 'ADC-like', 200852),
(265604, '0044362', NULL, NULL, 122, NULL, 'ADC-like', 200852),
(265605, '0042709', NULL, NULL, 86, NULL, 'ADC-like', 200852),
(265606, '0053128', NULL, NULL, 151, NULL, 'ADC-like', 200852),
(265607, '0041851', NULL, NULL, 120, NULL, 'ADC-like', 200852),
(265608, '0036122', NULL, NULL, 82, NULL, 'ADC-like', 200852),
(265609, '0048798', NULL, NULL, 118, NULL, 'ADC-like', 200852),
(265610, '0042560', NULL, NULL, 170, NULL, 'ADC-like', 200852),
(265611, '0049634', NULL, NULL, 147, NULL, 'ADC-like', 200852),
(265612, '0046942', NULL, NULL, 143, NULL, 'ADC-like', 200852),
(265613, '0046237', NULL, NULL, 91, NULL, 'ADC-like', 200852),
(265614, '0047857', NULL, NULL, 165, NULL, 'ADC-like', 200852),
(265615, '0046625', NULL, NULL, 155, NULL, 'ADC-like', 200852),
(265616, '0049658', NULL, NULL, 167, NULL, 'ADC-like', 200852),
(265617, '0044985', NULL, NULL, 87, NULL, 'ADC-like', 200852),
(265618, '0037819', NULL, NULL, 108, NULL, 'C-terminal domain of alpha and beta subunits of F1 ATP synthase', 200853),
(265619, '0043646', NULL, NULL, 131, NULL, 'C-terminal domain of alpha and beta subunits of F1 ATP synthase', 200853),
(265620, '0036814', NULL, NULL, 118, NULL, 'C-terminal domain of alpha and beta subunits of F1 ATP synthase', 200853),
(265621, '0043649', NULL, NULL, 114, NULL, 'C-terminal domain of alpha and beta subunits of F1 ATP synthase', 200853);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(265622, '0037816', NULL, NULL, 129, NULL, 'C-terminal domain of alpha and beta subunits of F1 ATP synthase', 200853),
(265623, '0036812', NULL, NULL, 131, NULL, 'C-terminal domain of alpha and beta subunits of F1 ATP synthase', 200853),
(265624, '0051363', NULL, NULL, 135, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265625, '0048541', NULL, NULL, 182, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265626, '0047244', NULL, NULL, 201, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265627, '0049025', NULL, NULL, 210, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265628, '0053166', NULL, NULL, 262, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265629, '0050899', NULL, NULL, 208, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265630, '0050963', NULL, NULL, 172, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265631, '0052621', NULL, NULL, 320, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265632, '0039338', NULL, NULL, 259, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265633, '0054843', NULL, NULL, 193, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265634, '0043848', NULL, NULL, 262, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265635, '0044607', NULL, NULL, 173, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265636, '0049600', NULL, NULL, 256, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265637, '0053094', NULL, NULL, 83, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265638, '0047206', NULL, NULL, 208, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265639, '0047822', NULL, NULL, 207, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265640, '0047866', NULL, NULL, 200, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265641, '0043743', NULL, NULL, 241, NULL, 'Trimeric LpxA-like enzymes', 200854),
(265642, '0047320', NULL, NULL, 297, NULL, 'OMPT-like', 200855),
(265643, '0047725', NULL, NULL, 249, NULL, 'OMPT-like', 200855),
(265644, '0045040', NULL, NULL, 256, NULL, 'CNF1/YfiH-like putative cysteine hydrolases', 200856),
(265645, '0038670', NULL, NULL, 295, NULL, 'CNF1/YfiH-like putative cysteine hydrolases', 200856),
(265646, '0053906', NULL, NULL, 157, NULL, 'CNF1/YfiH-like putative cysteine hydrolases', 200856),
(265647, '0043384', NULL, NULL, 242, NULL, 'CNF1/YfiH-like putative cysteine hydrolases', 200856),
(265648, '0045023', NULL, NULL, 242, NULL, 'CNF1/YfiH-like putative cysteine hydrolases', 200856),
(265649, '0043908', NULL, NULL, 272, NULL, 'CNF1/YfiH-like putative cysteine hydrolases', 200856),
(265650, '0043389', NULL, NULL, 243, NULL, 'CNF1/YfiH-like putative cysteine hydrolases', 200856),
(265651, '0047827', NULL, NULL, 94, NULL, 'eIF2alpha middle domain-like', 200857),
(265652, '0051770', NULL, NULL, 91, NULL, 'eIF2alpha middle domain-like', 200857),
(265653, '0048886', NULL, NULL, 87, NULL, 'eIF2alpha middle domain-like', 200857),
(265654, '0044674', NULL, NULL, 332, NULL, 'Formin homology 2 domain (FH2 domain)', 200858),
(265655, '0044554', NULL, NULL, 411, NULL, 'Formin homology 2 domain (FH2 domain)', 200858),
(265656, '0044756', NULL, NULL, 157, NULL, 'Hedgehog/DD-peptidase', 200859),
(265657, '0053084', NULL, NULL, 149, NULL, 'Hedgehog/DD-peptidase', 200859),
(265658, '0054728', NULL, NULL, 148, NULL, 'Hedgehog/DD-peptidase', 200859),
(265659, '0043112', NULL, NULL, 202, NULL, 'Hedgehog/DD-peptidase', 200859),
(265660, '0044169', NULL, NULL, 255, NULL, 'Hedgehog/DD-peptidase', 200859),
(265661, '0047953', NULL, NULL, 130, NULL, 'Hedgehog/DD-peptidase', 200859),
(265662, '0041059', NULL, NULL, 280, NULL, 'Methyl-coenzyme M reductase alpha and beta chain C-terminal domain', 200860),
(265663, '0036803', NULL, NULL, 253, NULL, 'Methyl-coenzyme M reductase alpha and beta chain C-terminal domain', 200860),
(265664, '0036809', NULL, NULL, 248, NULL, 'Methyl-coenzyme M reductase alpha and beta chain C-terminal domain', 200860),
(265665, '0036807', NULL, NULL, 286, NULL, 'Methyl-coenzyme M reductase alpha and beta chain C-terminal domain', 200860),
(265666, '0041061', NULL, NULL, 255, NULL, 'Methyl-coenzyme M reductase alpha and beta chain C-terminal domain', 200860),
(265667, '0036801', NULL, NULL, 280, NULL, 'Methyl-coenzyme M reductase alpha and beta chain C-terminal domain', 200860);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(265668, '0040635', NULL, NULL, 65, NULL, 'tRNA-binding arm', 200861),
(265669, '0043575', NULL, NULL, 110, NULL, 'tRNA-binding arm', 200861),
(265670, '0039226', NULL, NULL, 66, NULL, 'tRNA-binding arm', 200861),
(265671, '0037028', NULL, NULL, 79, NULL, 'tRNA-binding arm', 200861),
(265672, '0051430', NULL, NULL, 28, NULL, 'WW domain', 200862),
(265673, '0052454', NULL, NULL, 38, NULL, 'WW domain', 200862),
(265674, '0053863', NULL, NULL, 50, NULL, 'WW domain', 200862),
(265675, '0036979', NULL, NULL, 38, NULL, 'WW domain', 200862),
(265676, '0041718', NULL, NULL, 46, NULL, 'WW domain', 200862),
(265677, '0041717', NULL, NULL, 29, NULL, 'WW domain', 200862),
(265678, '0052570', NULL, NULL, 30, NULL, 'WW domain', 200862),
(265679, '0036698', NULL, NULL, 27, NULL, 'WW domain', 200862),
(265680, '0036697', NULL, NULL, 37, NULL, 'WW domain', 200862),
(265681, '0037434', NULL, NULL, 42, NULL, 'WW domain', 200862),
(265682, '0048391', NULL, NULL, 44, NULL, 'WW domain', 200862),
(265683, '0051620', NULL, NULL, 28, NULL, 'WW domain', 200862),
(265684, '0039636', NULL, NULL, 46, NULL, 'WW domain', 200862),
(265685, '0054744', NULL, NULL, 26, NULL, 'WW domain', 200862),
(265686, '0038884', NULL, NULL, 50, NULL, 'WW domain', 200862),
(265687, '0044033', NULL, NULL, 45, NULL, 'WW domain', 200862),
(265688, '0049648', NULL, NULL, 43, NULL, 'WW domain', 200862),
(265689, '0040532', NULL, NULL, 104, NULL, 'Head-binding domain of phage P22 tailspike protein', 200863),
(265690, '0053531', NULL, NULL, 46, NULL, 'Assembly domain of cartilage oligomeric matrix protein', 200864),
(265691, '0048362', NULL, NULL, 143, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265692, '0051068', NULL, NULL, 182, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265693, '0050392', NULL, NULL, 151, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265694, '0046562', NULL, NULL, 143, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265695, '0050982', NULL, NULL, 149, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265696, '0051631', NULL, NULL, 152, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265697, '0051862', NULL, NULL, 152, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265698, '0051941', NULL, NULL, 128, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265699, '0047706', NULL, NULL, 149, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265700, '0050638', NULL, NULL, 137, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265701, '0045939', NULL, NULL, 151, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265702, '0048435', NULL, NULL, 152, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265703, '0047204', NULL, NULL, 150, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265704, '0052491', NULL, NULL, 153, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265705, '0047746', NULL, NULL, 135, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265706, '0049319', NULL, NULL, 153, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265707, '0048316', NULL, NULL, 149, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265708, '0048448', NULL, NULL, 151, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265709, '0048778', NULL, NULL, 148, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265710, '0049823', NULL, NULL, 149, NULL, 'Nucleoside diphosphate kinase, NDK', 200865),
(265711, '0036858', NULL, NULL, 59, NULL, 'Trefoil', 200866),
(265712, '0038599', NULL, NULL, 60, NULL, 'Trefoil', 200866),
(265713, '0045426', NULL, NULL, 53, NULL, 'Trefoil', 200866),
(265714, '0045425', NULL, NULL, 53, NULL, 'Trefoil', 200866),
(265715, '0054646', NULL, NULL, 248, NULL, 'MalF N-terminal region-like', 200867),
(265716, '0049164', NULL, NULL, 91, NULL, 'Immunoglobulin', 200868),
(265717, '0047783', NULL, NULL, 102, NULL, 'Immunoglobulin', 200868),
(265718, '0040903', NULL, NULL, 101, NULL, 'Immunoglobulin', 200868),
(265719, '0038946', NULL, NULL, 82, NULL, 'Immunoglobulin', 200868),
(265720, '0037979', NULL, NULL, 105, NULL, 'Immunoglobulin', 200868);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(265721, '0038149', NULL, NULL, 89, NULL, 'Immunoglobulin', 200868),
(265722, '0038942', NULL, NULL, 108, NULL, 'Immunoglobulin', 200868),
(265723, '0050952', NULL, NULL, 131, NULL, 'Immunoglobulin', 200868),
(265724, '0037854', NULL, NULL, 115, NULL, 'Immunoglobulin', 200868),
(265725, '0037299', NULL, NULL, 127, NULL, 'Immunoglobulin', 200868),
(265726, '0044716', NULL, NULL, 111, NULL, 'Immunoglobulin', 200868),
(265727, '0044717', NULL, NULL, 113, NULL, 'Immunoglobulin', 200868),
(265728, '0039594', NULL, NULL, 98, NULL, 'Immunoglobulin', 200868),
(265729, '0046212', NULL, NULL, 118, NULL, 'Immunoglobulin', 200868),
(265730, '0044276', NULL, NULL, 99, NULL, 'Immunoglobulin', 200868),
(265731, '0039470', NULL, NULL, 86, NULL, 'Immunoglobulin', 200868),
(265732, '0048631', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265733, '0048753', NULL, NULL, 100, NULL, 'Immunoglobulin', 200868),
(265734, '0048995', NULL, NULL, 119, NULL, 'Immunoglobulin', 200868),
(265735, '0047667', NULL, NULL, 122, NULL, 'Immunoglobulin', 200868),
(265736, '0045008', NULL, NULL, 105, NULL, 'Immunoglobulin', 200868),
(265737, '0040598', NULL, NULL, 115, NULL, 'Immunoglobulin', 200868),
(265738, '0045007', NULL, NULL, 103, NULL, 'Immunoglobulin', 200868),
(265739, '0049851', NULL, NULL, 114, NULL, 'Immunoglobulin', 200868),
(265740, '0045132', NULL, NULL, 106, NULL, 'Immunoglobulin', 200868),
(265741, '0047792', NULL, NULL, 101, NULL, 'Immunoglobulin', 200868),
(265742, '0049177', NULL, NULL, 125, NULL, 'Immunoglobulin', 200868),
(265743, '0037723', NULL, NULL, 103, NULL, 'Immunoglobulin', 200868),
(265744, '0035664', NULL, NULL, 122, NULL, 'Immunoglobulin', 200868),
(265745, '0036511', NULL, NULL, 102, NULL, 'Immunoglobulin', 200868),
(265746, '0037724', NULL, NULL, 105, NULL, 'Immunoglobulin', 200868),
(265747, '0035668', NULL, NULL, 90, NULL, 'Immunoglobulin', 200868),
(265748, '0042304', NULL, NULL, 120, NULL, 'Immunoglobulin', 200868),
(265749, '0044969', NULL, NULL, 111, NULL, 'Immunoglobulin', 200868),
(265750, '0047556', NULL, NULL, 100, NULL, 'Immunoglobulin', 200868),
(265751, '0045133', NULL, NULL, 86, NULL, 'Immunoglobulin', 200868),
(265752, '0040007', NULL, NULL, 117, NULL, 'Immunoglobulin', 200868),
(265753, '0042663', NULL, NULL, 121, NULL, 'Immunoglobulin', 200868),
(265754, '0045932', NULL, NULL, 113, NULL, 'Immunoglobulin', 200868),
(265755, '0045931', NULL, NULL, 111, NULL, 'Immunoglobulin', 200868),
(265756, '0038807', NULL, NULL, 127, NULL, 'Immunoglobulin', 200868),
(265757, '0040926', NULL, NULL, 95, NULL, 'Immunoglobulin', 200868),
(265758, '0049860', NULL, NULL, 96, NULL, 'Immunoglobulin', 200868),
(265759, '0050174', NULL, NULL, 122, NULL, 'Immunoglobulin', 200868),
(265760, '0038808', NULL, NULL, 117, NULL, 'Immunoglobulin', 200868),
(265761, '0049188', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265762, '0038924', NULL, NULL, 106, NULL, 'Immunoglobulin', 200868),
(265763, '0051029', NULL, NULL, 66, NULL, 'Immunoglobulin', 200868),
(265764, '0052909', NULL, NULL, 177, NULL, 'Immunoglobulin', 200868),
(265765, '0045266', NULL, NULL, 132, NULL, 'Immunoglobulin', 200868),
(265766, '0047325', NULL, NULL, 117, NULL, 'Immunoglobulin', 200868),
(265767, '0045267', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265768, '0045941', NULL, NULL, 113, NULL, 'Immunoglobulin', 200868),
(265769, '0041349', NULL, NULL, 119, NULL, 'Immunoglobulin', 200868),
(265770, '0047208', NULL, NULL, 101, NULL, 'Immunoglobulin', 200868),
(265771, '0040259', NULL, NULL, 119, NULL, 'Immunoglobulin', 200868),
(265772, '0045269', NULL, NULL, 111, NULL, 'Immunoglobulin', 200868),
(265773, '0042554', NULL, NULL, 102, NULL, 'Immunoglobulin', 200868),
(265774, '0041909', NULL, NULL, 95, NULL, 'Immunoglobulin', 200868),
(265775, '0045270', NULL, NULL, 102, NULL, 'Immunoglobulin', 200868),
(265776, '0045273', NULL, NULL, 88, NULL, 'Immunoglobulin', 200868),
(265777, '0046363', NULL, NULL, 105, NULL, 'Immunoglobulin', 200868),
(265778, '0038918', NULL, NULL, 110, NULL, 'Immunoglobulin', 200868),
(265779, '0036974', NULL, NULL, 100, NULL, 'Immunoglobulin', 200868);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(265780, '0035642', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265781, '0050983', NULL, NULL, 91, NULL, 'Immunoglobulin', 200868),
(265782, '0052128', NULL, NULL, 96, NULL, 'Immunoglobulin', 200868),
(265783, '0052800', NULL, NULL, 127, NULL, 'Immunoglobulin', 200868),
(265784, '0050984', NULL, NULL, 74, NULL, 'Immunoglobulin', 200868),
(265785, '0040024', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265786, '0040023', NULL, NULL, 101, NULL, 'Immunoglobulin', 200868),
(265787, '0045839', NULL, NULL, 118, NULL, 'Immunoglobulin', 200868),
(265788, '0047334', NULL, NULL, 121, NULL, 'Immunoglobulin', 200868),
(265789, '0036170', NULL, NULL, 109, NULL, 'Immunoglobulin', 200868),
(265790, '0035080', NULL, NULL, 114, NULL, 'Immunoglobulin', 200868),
(265791, '0045951', NULL, NULL, 95, NULL, 'Immunoglobulin', 200868),
(265792, '0043532', NULL, NULL, 96, NULL, 'Immunoglobulin', 200868),
(265793, '0043412', NULL, NULL, 99, NULL, 'Immunoglobulin', 200868),
(265794, '0035519', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265795, '0053104', NULL, NULL, 92, NULL, 'Immunoglobulin', 200868),
(265796, '0051168', NULL, NULL, 109, NULL, 'Immunoglobulin', 200868),
(265797, '0053222', NULL, NULL, 97, NULL, 'Immunoglobulin', 200868),
(265798, '0053223', NULL, NULL, 84, NULL, 'Immunoglobulin', 200868),
(265799, '0049642', NULL, NULL, 89, NULL, 'Immunoglobulin', 200868),
(265800, '0041915', NULL, NULL, 92, NULL, 'Immunoglobulin', 200868),
(265801, '0052251', NULL, NULL, 101, NULL, 'Immunoglobulin', 200868),
(265802, '0036169', NULL, NULL, 102, NULL, 'Immunoglobulin', 200868),
(265803, '0037378', NULL, NULL, 87, NULL, 'Immunoglobulin', 200868),
(265804, '0051841', NULL, NULL, 110, NULL, 'Immunoglobulin', 200868),
(265805, '0038347', NULL, NULL, 97, NULL, 'Immunoglobulin', 200868),
(265806, '0053108', NULL, NULL, 112, NULL, 'Immunoglobulin', 200868),
(265807, '0041365', NULL, NULL, 101, NULL, 'Immunoglobulin', 200868),
(265808, '0041364', NULL, NULL, 121, NULL, 'Immunoglobulin', 200868),
(265809, '0041363', NULL, NULL, 104, NULL, 'Immunoglobulin', 200868),
(265810, '0037371', NULL, NULL, 123, NULL, 'Immunoglobulin', 200868),
(265811, '0041362', NULL, NULL, 108, NULL, 'Immunoglobulin', 200868),
(265812, '0037372', NULL, NULL, 119, NULL, 'Immunoglobulin', 200868),
(265813, '0047906', NULL, NULL, 125, NULL, 'Immunoglobulin', 200868),
(265814, '0041361', NULL, NULL, 113, NULL, 'Immunoglobulin', 200868),
(265815, '0041360', NULL, NULL, 113, NULL, 'Immunoglobulin', 200868),
(265816, '0042571', NULL, NULL, 131, NULL, 'Immunoglobulin', 200868),
(265817, '0045840', NULL, NULL, 119, NULL, 'Immunoglobulin', 200868),
(265818, '0042572', NULL, NULL, 113, NULL, 'Immunoglobulin', 200868),
(265819, '0048434', NULL, NULL, 111, NULL, 'Immunoglobulin', 200868),
(265820, '0040832', NULL, NULL, 100, NULL, 'Immunoglobulin', 200868),
(265821, '0048319', NULL, NULL, 105, NULL, 'Immunoglobulin', 200868),
(265822, '0050084', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265823, '0047352', NULL, NULL, 135, NULL, 'Immunoglobulin', 200868),
(265824, '0048320', NULL, NULL, 122, NULL, 'Immunoglobulin', 200868),
(265825, '0035621', NULL, NULL, 98, NULL, 'Immunoglobulin', 200868),
(265826, '0049095', NULL, NULL, 96, NULL, 'Immunoglobulin', 200868),
(265827, '0052029', NULL, NULL, 108, NULL, 'Immunoglobulin', 200868),
(265828, '0039547', NULL, NULL, 108, NULL, 'Immunoglobulin', 200868),
(265829, '0052149', NULL, NULL, 111, NULL, 'Immunoglobulin', 200868),
(265830, '0037121', NULL, NULL, 92, NULL, 'Immunoglobulin', 200868),
(265831, '0051848', NULL, NULL, 114, NULL, 'Immunoglobulin', 200868),
(265832, '0037120', NULL, NULL, 97, NULL, 'Immunoglobulin', 200868),
(265833, '0046709', NULL, NULL, 126, NULL, 'Immunoglobulin', 200868),
(265834, '0048325', NULL, NULL, 110, NULL, 'Immunoglobulin', 200868),
(265835, '0045972', NULL, NULL, 89, NULL, 'Immunoglobulin', 200868),
(265836, '0046027', NULL, NULL, 109, NULL, 'Immunoglobulin', 200868),
(265837, '0046148', NULL, NULL, 105, NULL, 'Immunoglobulin', 200868),
(265838, '0046389', NULL, NULL, 105, NULL, 'Immunoglobulin', 200868);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(265839, '0046821', NULL, NULL, 96, NULL, 'Immunoglobulin', 200868),
(265840, '0046149', NULL, NULL, 72, NULL, 'Immunoglobulin', 200868),
(265841, '0049539', NULL, NULL, 112, NULL, 'Immunoglobulin', 200868),
(265842, '0046823', NULL, NULL, 89, NULL, 'Immunoglobulin', 200868),
(265843, '0047360', NULL, NULL, 115, NULL, 'Immunoglobulin', 200868),
(265844, '0035859', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265845, '0048332', NULL, NULL, 112, NULL, 'Immunoglobulin', 200868),
(265846, '0048696', NULL, NULL, 98, NULL, 'Immunoglobulin', 200868),
(265847, '0048330', NULL, NULL, 98, NULL, 'Immunoglobulin', 200868),
(265848, '0048451', NULL, NULL, 109, NULL, 'Immunoglobulin', 200868),
(265849, '0048331', NULL, NULL, 119, NULL, 'Immunoglobulin', 200868),
(265850, '0049540', NULL, NULL, 117, NULL, 'Immunoglobulin', 200868),
(265851, '0035057', NULL, NULL, 120, NULL, 'Immunoglobulin', 200868),
(265852, '0037356', NULL, NULL, 89, NULL, 'Immunoglobulin', 200868),
(265853, '0038563', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265854, '0040178', NULL, NULL, 97, NULL, 'Immunoglobulin', 200868),
(265855, '0042359', NULL, NULL, 126, NULL, 'Immunoglobulin', 200868),
(265856, '0040056', NULL, NULL, 105, NULL, 'Immunoglobulin', 200868),
(265857, '0041024', NULL, NULL, 119, NULL, 'Immunoglobulin', 200868),
(265858, '0037355', NULL, NULL, 82, NULL, 'Immunoglobulin', 200868),
(265859, '0052150', NULL, NULL, 112, NULL, 'Immunoglobulin', 200868),
(265860, '0041945', NULL, NULL, 97, NULL, 'Immunoglobulin', 200868),
(265861, '0046950', NULL, NULL, 129, NULL, 'Immunoglobulin', 200868),
(265862, '0046952', NULL, NULL, 109, NULL, 'Immunoglobulin', 200868),
(265863, '0043444', NULL, NULL, 133, NULL, 'Immunoglobulin', 200868),
(265864, '0045866', NULL, NULL, 117, NULL, 'Immunoglobulin', 200868),
(265865, '0046713', NULL, NULL, 124, NULL, 'Immunoglobulin', 200868),
(265866, '0043445', NULL, NULL, 111, NULL, 'Immunoglobulin', 200868),
(265867, '0049670', NULL, NULL, 112, NULL, 'Immunoglobulin', 200868),
(265868, '0035725', NULL, NULL, 116, NULL, 'Immunoglobulin', 200868),
(265869, '0035169', NULL, NULL, 105, NULL, 'Immunoglobulin', 200868),
(265870, '0035047', NULL, NULL, 129, NULL, 'Immunoglobulin', 200868),
(265871, '0036136', NULL, NULL, 89, NULL, 'Immunoglobulin', 200868),
(265872, '0036377', NULL, NULL, 94, NULL, 'Immunoglobulin', 200868),
(265873, '0035966', NULL, NULL, 119, NULL, 'Immunoglobulin', 200868),
(265874, '0038555', NULL, NULL, 98, NULL, 'Immunoglobulin', 200868),
(265875, '0038314', NULL, NULL, 130, NULL, 'Immunoglobulin', 200868),
(265876, '0051876', NULL, NULL, 124, NULL, 'Immunoglobulin', 200868),
(265877, '0047816', NULL, NULL, 111, NULL, 'Immunoglobulin', 200868),
(265878, '0045757', NULL, NULL, 110, NULL, 'Immunoglobulin', 200868),
(265879, '0038553', NULL, NULL, 103, NULL, 'Immunoglobulin', 200868),
(265880, '0038796', NULL, NULL, 94, NULL, 'Immunoglobulin', 200868),
(265881, '0036133', NULL, NULL, 97, NULL, 'Immunoglobulin', 200868),
(265882, '0047818', NULL, NULL, 100, NULL, 'Immunoglobulin', 200868),
(265883, '0046047', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265884, '0046048', NULL, NULL, 122, NULL, 'Immunoglobulin', 200868),
(265885, '0042009', NULL, NULL, 98, NULL, 'Immunoglobulin', 200868),
(265886, '0045512', NULL, NULL, 91, NULL, 'Immunoglobulin', 200868),
(265887, '0045997', NULL, NULL, 119, NULL, 'Immunoglobulin', 200868),
(265888, '0053026', NULL, NULL, 123, NULL, 'Immunoglobulin', 200868),
(265889, '0046172', NULL, NULL, 121, NULL, 'Immunoglobulin', 200868),
(265890, '0045085', NULL, NULL, 123, NULL, 'Immunoglobulin', 200868),
(265891, '0041839', NULL, NULL, 115, NULL, 'Immunoglobulin', 200868),
(265892, '0048595', NULL, NULL, 93, NULL, 'Immunoglobulin', 200868),
(265893, '0041959', NULL, NULL, 125, NULL, 'Immunoglobulin', 200868),
(265894, '0040072', NULL, NULL, 112, NULL, 'Immunoglobulin', 200868),
(265895, '0038423', NULL, NULL, 113, NULL, 'Immunoglobulin', 200868),
(265896, '0050798', NULL, NULL, 90, NULL, 'Immunoglobulin', 200868),
(265897, '0037210', NULL, NULL, 110, NULL, 'Immunoglobulin', 200868);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(265898, '0041960', NULL, NULL, 106, NULL, 'Immunoglobulin', 200868),
(265899, '0037695', NULL, NULL, 115, NULL, 'Immunoglobulin', 200868),
(265900, '0040073', NULL, NULL, 112, NULL, 'Immunoglobulin', 200868),
(265901, '0047941', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265902, '0045764', NULL, NULL, 104, NULL, 'Immunoglobulin', 200868),
(265903, '0046061', NULL, NULL, 117, NULL, 'Immunoglobulin', 200868),
(265904, '0046060', NULL, NULL, 125, NULL, 'Immunoglobulin', 200868),
(265905, '0053038', NULL, NULL, 111, NULL, 'Immunoglobulin', 200868),
(265906, '0034856', NULL, NULL, 123, NULL, 'Immunoglobulin', 200868),
(265907, '0034857', NULL, NULL, 120, NULL, 'Immunoglobulin', 200868),
(265908, '0049213', NULL, NULL, 119, NULL, 'Immunoglobulin', 200868),
(265909, '0047395', NULL, NULL, 114, NULL, 'Immunoglobulin', 200868),
(265910, '0037448', NULL, NULL, 102, NULL, 'Immunoglobulin', 200868),
(265911, '0052869', NULL, NULL, 110, NULL, 'Immunoglobulin', 200868),
(265912, '0037449', NULL, NULL, 110, NULL, 'Immunoglobulin', 200868),
(265913, '0036114', NULL, NULL, 101, NULL, 'Immunoglobulin', 200868),
(265914, '0037209', NULL, NULL, 101, NULL, 'Immunoglobulin', 200868),
(265915, '0036912', NULL, NULL, 94, NULL, 'Immunoglobulin', 200868),
(265916, '0038775', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265917, '0051411', NULL, NULL, 118, NULL, 'Immunoglobulin', 200868),
(265918, '0045779', NULL, NULL, 112, NULL, 'Immunoglobulin', 200868),
(265919, '0038772', NULL, NULL, 120, NULL, 'Immunoglobulin', 200868),
(265920, '0037684', NULL, NULL, 84, NULL, 'Immunoglobulin', 200868),
(265921, '0038773', NULL, NULL, 86, NULL, 'Immunoglobulin', 200868),
(265922, '0041299', NULL, NULL, 104, NULL, 'Immunoglobulin', 200868),
(265923, '0038774', NULL, NULL, 123, NULL, 'Immunoglobulin', 200868),
(265924, '0048926', NULL, NULL, 128, NULL, 'Immunoglobulin', 200868),
(265925, '0036352', NULL, NULL, 111, NULL, 'Immunoglobulin', 200868),
(265926, '0042262', NULL, NULL, 94, NULL, 'Immunoglobulin', 200868),
(265927, '0046740', NULL, NULL, 123, NULL, 'Immunoglobulin', 200868),
(265928, '0039061', NULL, NULL, 126, NULL, 'Immunoglobulin', 200868),
(265929, '0048128', NULL, NULL, 108, NULL, 'Immunoglobulin', 200868),
(265930, '0048004', NULL, NULL, 112, NULL, 'Immunoglobulin', 200868),
(265931, '0052180', NULL, NULL, 123, NULL, 'Immunoglobulin', 200868),
(265932, '0040404', NULL, NULL, 96, NULL, 'Immunoglobulin', 200868),
(265933, '0048005', NULL, NULL, 118, NULL, 'Immunoglobulin', 200868),
(265934, '0040403', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265935, '0048800', NULL, NULL, 99, NULL, 'Immunoglobulin', 200868),
(265936, '0048256', NULL, NULL, 108, NULL, 'Immunoglobulin', 200868),
(265937, '0045660', NULL, NULL, 103, NULL, 'Immunoglobulin', 200868),
(265938, '0035498', NULL, NULL, 125, NULL, 'Immunoglobulin', 200868),
(265939, '0038649', NULL, NULL, 78, NULL, 'Immunoglobulin', 200868),
(265940, '0052635', NULL, NULL, 127, NULL, 'Immunoglobulin', 200868),
(265941, '0042158', NULL, NULL, 84, NULL, 'Immunoglobulin', 200868),
(265942, '0037673', NULL, NULL, 102, NULL, 'Immunoglobulin', 200868),
(265943, '0043802', NULL, NULL, 81, NULL, 'Immunoglobulin', 200868),
(265944, '0040890', NULL, NULL, 111, NULL, 'Immunoglobulin', 200868),
(265945, '0037791', NULL, NULL, 100, NULL, 'Immunoglobulin', 200868),
(265946, '0043241', NULL, NULL, 85, NULL, 'Immunoglobulin', 200868),
(265947, '0043484', NULL, NULL, 112, NULL, 'Immunoglobulin', 200868),
(265948, '0044694', NULL, NULL, 90, NULL, 'Immunoglobulin', 200868),
(265949, '0043243', NULL, NULL, 130, NULL, 'Immunoglobulin', 200868),
(265950, '0046752', NULL, NULL, 85, NULL, 'Immunoglobulin', 200868),
(265951, '0040777', NULL, NULL, 97, NULL, 'Immunoglobulin', 200868),
(265952, '0046082', NULL, NULL, 106, NULL, 'Immunoglobulin', 200868),
(265953, '0048384', NULL, NULL, 112, NULL, 'Immunoglobulin', 200868),
(265954, '0052642', NULL, NULL, 118, NULL, 'Immunoglobulin', 200868),
(265955, '0035923', NULL, NULL, 96, NULL, 'Immunoglobulin', 200868),
(265956, '0048140', NULL, NULL, 117, NULL, 'Immunoglobulin', 200868);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(265957, '0048267', NULL, NULL, 93, NULL, 'Immunoglobulin', 200868),
(265958, '0053296', NULL, NULL, 114, NULL, 'Immunoglobulin', 200868),
(265959, '0042160', NULL, NULL, 84, NULL, 'Immunoglobulin', 200868),
(265960, '0035123', NULL, NULL, 115, NULL, 'Immunoglobulin', 200868),
(265961, '0050900', NULL, NULL, 104, NULL, 'Immunoglobulin', 200868),
(265962, '0035009', NULL, NULL, 108, NULL, 'Immunoglobulin', 200868),
(265963, '0039721', NULL, NULL, 106, NULL, 'Immunoglobulin', 200868),
(265964, '0046081', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265965, '0052643', NULL, NULL, 109, NULL, 'Immunoglobulin', 200868),
(265966, '0036570', NULL, NULL, 95, NULL, 'Immunoglobulin', 200868),
(265967, '0039960', NULL, NULL, 96, NULL, 'Immunoglobulin', 200868),
(265968, '0042284', NULL, NULL, 111, NULL, 'Immunoglobulin', 200868),
(265969, '0046887', NULL, NULL, 112, NULL, 'Immunoglobulin', 200868),
(265970, '0042961', NULL, NULL, 128, NULL, 'Immunoglobulin', 200868),
(265971, '0047976', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265972, '0041511', NULL, NULL, 116, NULL, 'Immunoglobulin', 200868),
(265973, '0050594', NULL, NULL, 113, NULL, 'Immunoglobulin', 200868),
(265974, '0050595', NULL, NULL, 72, NULL, 'Immunoglobulin', 200868),
(265975, '0035919', NULL, NULL, 94, NULL, 'Immunoglobulin', 200868),
(265976, '0035918', NULL, NULL, 78, NULL, 'Immunoglobulin', 200868),
(265977, '0035917', NULL, NULL, 93, NULL, 'Immunoglobulin', 200868),
(265978, '0042052', NULL, NULL, 108, NULL, 'Immunoglobulin', 200868),
(265979, '0038989', NULL, NULL, 101, NULL, 'Immunoglobulin', 200868),
(265980, '0042051', NULL, NULL, 101, NULL, 'Immunoglobulin', 200868),
(265981, '0052419', NULL, NULL, 113, NULL, 'Immunoglobulin', 200868),
(265982, '0039958', NULL, NULL, 99, NULL, 'Immunoglobulin', 200868),
(265983, '0050598', NULL, NULL, 93, NULL, 'Immunoglobulin', 200868),
(265984, '0037655', NULL, NULL, 95, NULL, 'Immunoglobulin', 200868),
(265985, '0038987', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265986, '0043942', NULL, NULL, 112, NULL, 'Immunoglobulin', 200868),
(265987, '0043943', NULL, NULL, 90, NULL, 'Immunoglobulin', 200868),
(265988, '0038862', NULL, NULL, 126, NULL, 'Immunoglobulin', 200868),
(265989, '0036563', NULL, NULL, 117, NULL, 'Immunoglobulin', 200868),
(265990, '0043705', NULL, NULL, 112, NULL, 'Immunoglobulin', 200868),
(265991, '0052409', NULL, NULL, 94, NULL, 'Immunoglobulin', 200868),
(265992, '0046531', NULL, NULL, 113, NULL, 'Immunoglobulin', 200868),
(265993, '0045321', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(265994, '0047982', NULL, NULL, 119, NULL, 'Immunoglobulin', 200868),
(265995, '0046776', NULL, NULL, 108, NULL, 'Immunoglobulin', 200868),
(265996, '0047626', NULL, NULL, 259, NULL, 'Immunoglobulin', 200868),
(265997, '0040314', NULL, NULL, 119, NULL, 'Immunoglobulin', 200868),
(265998, '0051572', NULL, NULL, 113, NULL, 'Immunoglobulin', 200868),
(265999, '0046781', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(266000, '0037888', NULL, NULL, 98, NULL, 'Immunoglobulin', 200868),
(266001, '0039149', NULL, NULL, 107, NULL, 'Immunoglobulin', 200868),
(266002, '0041090', NULL, NULL, 99, NULL, 'Immunoglobulin', 200868),
(266003, '0038612', NULL, NULL, 108, NULL, 'Immunoglobulin', 200868),
(266004, '0036315', NULL, NULL, 110, NULL, 'Immunoglobulin', 200868),
(266005, '0045219', NULL, NULL, 109, NULL, 'Immunoglobulin', 200868),
(266006, '0039148', NULL, NULL, 103, NULL, 'Immunoglobulin', 200868),
(266007, '0039147', NULL, NULL, 101, NULL, 'Immunoglobulin', 200868),
(266008, '0039021', NULL, NULL, 116, NULL, 'Immunoglobulin', 200868),
(266009, '0042748', NULL, NULL, 118, NULL, 'Immunoglobulin', 200868),
(266010, '0046784', NULL, NULL, 102, NULL, 'Immunoglobulin', 200868),
(266011, '0045331', NULL, NULL, 108, NULL, 'Immunoglobulin', 200868),
(266012, '0047878', NULL, NULL, 114, NULL, 'Immunoglobulin', 200868),
(266013, '0047998', NULL, NULL, 126, NULL, 'Immunoglobulin', 200868),
(266014, '0050012', NULL, NULL, 108, NULL, 'Immunoglobulin', 200868),
(266015, '0050133', NULL, NULL, 109, NULL, 'Immunoglobulin', 200868);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(266016, '0049268', NULL, NULL, 114, NULL, 'Immunoglobulin', 200868),
(266017, '0046790', NULL, NULL, 119, NULL, 'Immunoglobulin', 200868),
(266018, '0047640', NULL, NULL, 117, NULL, 'Immunoglobulin', 200868),
(266019, '0045220', NULL, NULL, 110, NULL, 'Immunoglobulin', 200868),
(266020, '0037878', NULL, NULL, 96, NULL, 'Immunoglobulin', 200868),
(266021, '0037879', NULL, NULL, 101, NULL, 'Immunoglobulin', 200868),
(266022, '0035574', NULL, NULL, 97, NULL, 'Immunoglobulin', 200868),
(266023, '0039018', NULL, NULL, 102, NULL, 'Immunoglobulin', 200868),
(266024, '0039017', NULL, NULL, 119, NULL, 'Immunoglobulin', 200868),
(266025, '0038965', NULL, NULL, 108, NULL, 'Immunoglobulin', 200868),
(266026, '0051347', NULL, NULL, 119, NULL, 'Immunoglobulin', 200868),
(266027, '0035573', NULL, NULL, 111, NULL, 'Immunoglobulin', 200868),
(266028, '0035572', NULL, NULL, 94, NULL, 'Immunoglobulin', 200868),
(266029, '0042638', NULL, NULL, 102, NULL, 'Immunoglobulin', 200868),
(266030, '0042639', NULL, NULL, 106, NULL, 'Immunoglobulin', 200868),
(266031, '0044132', NULL, NULL, 116, NULL, 'Immunoglobulin', 200868),
(266032, '0044255', NULL, NULL, 113, NULL, 'Immunoglobulin', 200868),
(266033, '0042750', NULL, NULL, 121, NULL, 'Immunoglobulin', 200868),
(266034, '0043047', NULL, NULL, 100, NULL, 'Immunoglobulin', 200868),
(266035, '0049947', NULL, NULL, 117, NULL, 'Immunoglobulin', 200868),
(266036, '0042751', NULL, NULL, 108, NULL, 'Immunoglobulin', 200868),
(266037, '0049278', NULL, NULL, 130, NULL, 'Immunoglobulin', 200868),
(266038, '0038834', NULL, NULL, 102, NULL, 'Immunoglobulin', 200868),
(266039, '0039923', NULL, NULL, 100, NULL, 'Immunoglobulin', 200868),
(266040, '0052689', NULL, NULL, 124, NULL, 'Immunoglobulin', 200868),
(266041, '0050941', NULL, NULL, 116, NULL, 'Immunoglobulin', 200868),
(266042, '0038833', NULL, NULL, 103, NULL, 'Immunoglobulin', 200868),
(266043, '0046208', NULL, NULL, 91, NULL, 'Immunoglobulin', 200868),
(266044, '0045914', NULL, NULL, 115, NULL, 'Immunoglobulin', 200868),
(266045, '0049839', NULL, NULL, 114, NULL, 'Immunoglobulin', 200868),
(266046, '0047419', NULL, NULL, 117, NULL, 'Immunoglobulin', 200868),
(266047, '0035440', NULL, NULL, 109, NULL, 'Immunoglobulin', 200868),
(266048, '0045111', NULL, NULL, 94, NULL, 'Immunoglobulin', 200868),
(266049, '0049830', NULL, NULL, 110, NULL, 'Immunoglobulin', 200868),
(266050, '0041436', NULL, NULL, 127, NULL, 'Immunoglobulin', 200868),
(266051, '0046207', NULL, NULL, 105, NULL, 'Immunoglobulin', 200868),
(266052, '0048924', NULL, NULL, 101, NULL, 'FliG', 200869),
(266053, '0047987', NULL, NULL, 213, NULL, 'FliG', 200869),
(266054, '0037815', NULL, NULL, 459, NULL, 'Nitrous oxide reductase, N-terminal domain', 200870),
(266055, '0048991', NULL, NULL, 441, NULL, 'Nitrous oxide reductase, N-terminal domain', 200870),
(266056, '0040894', NULL, NULL, 121, NULL, 'Methylamine dehydrogenase, L chain', 200871),
(266057, '0045182', NULL, NULL, 125, NULL, 'Methylamine dehydrogenase, L chain', 200871),
(266058, '0034993', NULL, NULL, 722, NULL, 'Anthrax protective antigen', 200872),
(266059, '0045969', NULL, NULL, 47, NULL, 'C-terminal domain of transcriptional repressors', 200873),
(266060, '0054012', NULL, NULL, 75, NULL, 'C-terminal domain of transcriptional repressors', 200873),
(266061, '0046044', NULL, NULL, 97, NULL, 'C-terminal domain of transcriptional repressors', 200873),
(266062, '0047363', NULL, NULL, 60, NULL, 'C-terminal domain of transcriptional repressors', 200873),
(266063, '0046873', NULL, NULL, 86, NULL, 'C-terminal domain of transcriptional repressors', 200873),
(266064, '0053944', NULL, NULL, 75, NULL, 'C-terminal domain of transcriptional repressors', 200873),
(266065, '0050688', NULL, NULL, 47, NULL, 'C-terminal domain of transcriptional repressors', 200873),
(266066, '0036948', NULL, NULL, 137, NULL, 'Diol dehydratase, gamma subunit', 200874),
(266067, '0039254', NULL, NULL, 138, NULL, 'Diol dehydratase, gamma subunit', 200874),
(266068, '0046182', NULL, NULL, 127, NULL, 'p53-like transcription factors', 200875);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(266069, '0048196', NULL, NULL, 303, NULL, 'p53-like transcription factors', 200875),
(266070, '0047380', NULL, NULL, 173, NULL, 'p53-like transcription factors', 200875),
(266071, '0049543', NULL, NULL, 196, NULL, 'p53-like transcription factors', 200875),
(266072, '0048353', NULL, NULL, 212, NULL, 'p53-like transcription factors', 200875),
(266073, '0034796', NULL, NULL, 178, NULL, 'p53-like transcription factors', 200875),
(266074, '0038725', NULL, NULL, 186, NULL, 'p53-like transcription factors', 200875),
(266075, '0034898', NULL, NULL, 178, NULL, 'p53-like transcription factors', 200875),
(266076, '0038434', NULL, NULL, 184, NULL, 'p53-like transcription factors', 200875),
(266077, '0050006', NULL, NULL, 217, NULL, 'p53-like transcription factors', 200875),
(266078, '0045080', NULL, NULL, 191, NULL, 'p53-like transcription factors', 200875),
(266079, '0045705', NULL, NULL, 184, NULL, 'p53-like transcription factors', 200875),
(266080, '0045949', NULL, NULL, 252, NULL, 'p53-like transcription factors', 200875),
(266081, '0044112', NULL, NULL, 185, NULL, 'p53-like transcription factors', 200875),
(266082, '0046018', NULL, NULL, 175, NULL, 'p53-like transcription factors', 200875),
(266083, '0046997', NULL, NULL, 175, NULL, 'p53-like transcription factors', 200875),
(266084, '0045953', NULL, NULL, 254, NULL, 'p53-like transcription factors', 200875),
(266085, '0039080', NULL, NULL, 180, NULL, 'p53-like transcription factors', 200875),
(266086, '0045029', NULL, NULL, 184, NULL, 'p53-like transcription factors', 200875),
(266087, '0050891', NULL, NULL, 246, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266088, '0050370', NULL, NULL, 458, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266089, '0053342', NULL, NULL, 256, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266090, '0046452', NULL, NULL, 243, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266091, '0048110', NULL, NULL, 251, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266092, '0052119', NULL, NULL, 385, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266093, '0046070', NULL, NULL, 358, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266094, '0038744', NULL, NULL, 346, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266095, '0051964', NULL, NULL, 453, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266096, '0052534', NULL, NULL, 456, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266097, '0046615', NULL, NULL, 260, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266098, '0047727', NULL, NULL, 368, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266099, '0046014', NULL, NULL, 265, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266100, '0040978', NULL, NULL, 328, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266101, '0038040', NULL, NULL, 364, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266102, '0048511', NULL, NULL, 267, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266103, '0049225', NULL, NULL, 368, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266104, '0044213', NULL, NULL, 309, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266105, '0046438', NULL, NULL, 278, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266106, '0051055', NULL, NULL, 269, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266107, '0052144', NULL, NULL, 262, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266108, '0052485', NULL, NULL, 362, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266109, '0050287', NULL, NULL, 341, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266110, '0047175', NULL, NULL, 260, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266111, '0045791', NULL, NULL, 263, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266112, '0054384', NULL, NULL, 400, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266113, '0053815', NULL, NULL, 388, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266114, '0037741', NULL, NULL, 361, NULL, 'beta-lactamase/transpeptidase-like', 200876);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(266115, '0050388', NULL, NULL, 467, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266116, '0048080', NULL, NULL, 263, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266117, '0038811', NULL, NULL, 264, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266118, '0046929', NULL, NULL, 266, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266119, '0048985', NULL, NULL, 357, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266120, '0049712', NULL, NULL, 301, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266121, '0046343', NULL, NULL, 258, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266122, '0047476', NULL, NULL, 261, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266123, '0046147', NULL, NULL, 377, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266124, '0046422', NULL, NULL, 267, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266125, '0046565', NULL, NULL, 333, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266126, '0048423', NULL, NULL, 246, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266127, '0047733', NULL, NULL, 241, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266128, '0048305', NULL, NULL, 265, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266129, '0046008', NULL, NULL, 266, NULL, 'beta-lactamase/transpeptidase-like', 200876),
(266130, '0053660', NULL, NULL, 152, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266131, '0039919', NULL, NULL, 152, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266132, '0054518', NULL, NULL, 176, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266133, '0050955', NULL, NULL, 257, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266134, '0035316', NULL, NULL, 234, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266135, '0051006', NULL, NULL, 272, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266136, '0042534', NULL, NULL, 154, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266137, '0043507', NULL, NULL, 169, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266138, '0038022', NULL, NULL, 167, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266139, '0046574', NULL, NULL, 346, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266140, '0048755', NULL, NULL, 178, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266141, '0045243', NULL, NULL, 197, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266142, '0040910', NULL, NULL, 255, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266143, '0043068', NULL, NULL, 151, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266144, '0048516', NULL, NULL, 177, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266145, '0048757', NULL, NULL, 176, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266146, '0049845', NULL, NULL, 241, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266147, '0049966', NULL, NULL, 161, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266148, '0053794', NULL, NULL, 173, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266149, '0049730', NULL, NULL, 180, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266150, '0050040', NULL, NULL, 182, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266151, '0051491', NULL, NULL, 347, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266152, '0047550', NULL, NULL, 212, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266153, '0035543', NULL, NULL, 255, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266154, '0038814', NULL, NULL, 241, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266155, '0050967', NULL, NULL, 274, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266156, '0038379', NULL, NULL, 172, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266157, '0035305', NULL, NULL, 254, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266158, '0050721', NULL, NULL, 355, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266159, '0036194', NULL, NULL, 242, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(266160, '0048409', NULL, NULL, 182, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266161, '0041692', NULL, NULL, 234, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266162, '0042429', NULL, NULL, 244, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266163, '0051925', NULL, NULL, 312, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266164, '0044044', NULL, NULL, 167, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266165, '0044840', NULL, NULL, 398, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266166, '0051264', NULL, NULL, 174, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266167, '0046472', NULL, NULL, 315, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266168, '0046592', NULL, NULL, 297, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266169, '0051260', NULL, NULL, 244, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266170, '0047681', NULL, NULL, 285, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266171, '0054099', NULL, NULL, 153, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266172, '0051702', NULL, NULL, 241, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266173, '0036746', NULL, NULL, 163, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266174, '0051147', NULL, NULL, 182, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266175, '0035535', NULL, NULL, 184, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266176, '0036744', NULL, NULL, 150, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266177, '0052116', NULL, NULL, 363, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266178, '0037278', NULL, NULL, 146, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266179, '0048414', NULL, NULL, 181, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266180, '0046357', NULL, NULL, 196, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266181, '0047443', NULL, NULL, 136, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266182, '0049864', NULL, NULL, 338, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266183, '0046114', NULL, NULL, 175, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266184, '0048533', NULL, NULL, 171, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266185, '0044853', NULL, NULL, 281, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266186, '0048416', NULL, NULL, 167, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266187, '0049198', NULL, NULL, 356, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266188, '0046483', NULL, NULL, 284, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266189, '0045153', NULL, NULL, 259, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266190, '0051955', NULL, NULL, 240, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266191, '0052803', NULL, NULL, 129, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266192, '0035405', NULL, NULL, 156, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266193, '0051279', NULL, NULL, 250, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266194, '0052368', NULL, NULL, 248, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266195, '0053216', NULL, NULL, 238, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266196, '0038232', NULL, NULL, 244, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266197, '0041596', NULL, NULL, 148, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266198, '0049519', NULL, NULL, 347, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266199, '0045718', NULL, NULL, 140, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266200, '0046123', NULL, NULL, 148, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266201, '0046367', NULL, NULL, 294, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266202, '0042207', NULL, NULL, 137, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266203, '0046801', NULL, NULL, 257, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266204, '0048673', NULL, NULL, 174, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877);
INSERT INTO "PUBLIC"."MODEL" VALUES
(266205, '0054552', NULL, NULL, 152, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266206, '0051285', NULL, NULL, 185, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266207, '0046253', NULL, NULL, 176, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266208, '0051965', NULL, NULL, 268, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266209, '0039314', NULL, NULL, 169, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266210, '0039438', NULL, NULL, 259, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266211, '0038342', NULL, NULL, 302, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266212, '0041366', NULL, NULL, 244, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266213, '0047909', NULL, NULL, 150, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266214, '0050869', NULL, NULL, 340, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266215, '0047346', NULL, NULL, 153, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266216, '0048799', NULL, NULL, 183, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266217, '0049766', NULL, NULL, 288, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266218, '0041129', NULL, NULL, 193, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266219, '0047470', NULL, NULL, 258, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266220, '0053356', NULL, NULL, 160, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266221, '0052382', NULL, NULL, 139, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266222, '0037128', NULL, NULL, 307, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266223, '0043678', NULL, NULL, 248, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266224, '0044526', NULL, NULL, 168, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266225, '0039780', NULL, NULL, 144, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266226, '0040043', NULL, NULL, 346, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266227, '0052818', NULL, NULL, 180, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266228, '0042340', NULL, NULL, 168, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266229, '0042342', NULL, NULL, 113, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266230, '0047481', NULL, NULL, 171, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266231, '0050890', NULL, NULL, 176, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266232, '0053363', NULL, NULL, 160, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266233, '0048454', NULL, NULL, 158, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266234, '0051183', NULL, NULL, 342, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266235, '0046034', NULL, NULL, 350, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266236, '0042906', NULL, NULL, 130, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266237, '0052837', NULL, NULL, 171, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266238, '0038324', NULL, NULL, 383, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266239, '0038567', NULL, NULL, 176, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266240, '0035733', NULL, NULL, 238, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266241, '0050655', NULL, NULL, 275, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266242, '0050776', NULL, NULL, 260, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266243, '0039650', NULL, NULL, 172, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266244, '0050090', NULL, NULL, 163, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266245, '0047124', NULL, NULL, 260, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266246, '0048455', NULL, NULL, 177, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266247, '0035290', NULL, NULL, 166, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266248, '0045621', NULL, NULL, 154, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266249, '0049428', NULL, NULL, 248, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877);
INSERT INTO "PUBLIC"."MODEL" VALUES
(266250, '0051991', NULL, NULL, 232, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266251, '0048585', NULL, NULL, 142, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266252, '0048102', NULL, NULL, 189, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266253, '0041828', NULL, NULL, 220, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266254, '0045076', NULL, NULL, 270, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266255, '0052284', NULL, NULL, 129, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266256, '0034872', NULL, NULL, 170, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266257, '0038559', NULL, NULL, 236, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266258, '0051511', NULL, NULL, 257, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266259, '0052722', NULL, NULL, 230, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266260, '0053019', NULL, NULL, 145, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266261, '0051873', NULL, NULL, 242, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266262, '0051996', NULL, NULL, 342, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266263, '0043337', NULL, NULL, 321, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266264, '0045516', NULL, NULL, 171, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266265, '0046725', NULL, NULL, 174, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266266, '0040868', NULL, NULL, 148, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266267, '0048227', NULL, NULL, 202, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266268, '0048469', NULL, NULL, 170, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266269, '0045873', NULL, NULL, 163, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266270, '0042366', NULL, NULL, 171, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266271, '0048107', NULL, NULL, 176, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266272, '0036806', NULL, NULL, 255, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266273, '0046291', NULL, NULL, 357, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266274, '0053266', NULL, NULL, 274, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266275, '0049686', NULL, NULL, 167, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266276, '0047263', NULL, NULL, 146, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266277, '0053383', NULL, NULL, 159, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266278, '0052978', NULL, NULL, 155, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266279, '0036922', NULL, NULL, 244, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266280, '0038545', NULL, NULL, 253, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266281, '0051763', NULL, NULL, 245, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266282, '0054911', NULL, NULL, 162, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266283, '0035952', NULL, NULL, 172, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266284, '0036007', NULL, NULL, 182, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266285, '0038547', NULL, NULL, 170, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266286, '0039871', NULL, NULL, 256, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266287, '0044559', NULL, NULL, 142, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266288, '0038784', NULL, NULL, 145, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266289, '0042131', NULL, NULL, 284, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266290, '0046059', NULL, NULL, 201, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266291, '0045645', NULL, NULL, 175, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266292, '0048361', NULL, NULL, 290, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266293, '0035945', NULL, NULL, 170, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266294, '0047276', NULL, NULL, 160, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877);
INSERT INTO "PUBLIC"."MODEL" VALUES
(266295, '0047032', NULL, NULL, 159, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266296, '0048243', NULL, NULL, 266, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266297, '0052988', NULL, NULL, 268, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266298, '0052744', NULL, NULL, 259, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266299, '0050443', NULL, NULL, 186, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266300, '0052745', NULL, NULL, 209, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266301, '0050204', NULL, NULL, 187, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266302, '0050203', NULL, NULL, 182, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266303, '0046629', NULL, NULL, 130, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266304, '0048808', NULL, NULL, 188, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266305, '0038770', NULL, NULL, 253, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266306, '0052183', NULL, NULL, 145, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266307, '0047278', NULL, NULL, 159, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266308, '0045894', NULL, NULL, 179, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266309, '0051093', NULL, NULL, 274, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266310, '0047955', NULL, NULL, 173, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266311, '0041610', NULL, NULL, 251, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266312, '0052873', NULL, NULL, 254, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266313, '0051542', NULL, NULL, 302, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266314, '0047040', NULL, NULL, 298, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266315, '0053286', NULL, NULL, 259, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266316, '0053287', NULL, NULL, 252, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266317, '0044691', NULL, NULL, 170, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266318, '0037437', NULL, NULL, 183, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266319, '0051305', NULL, NULL, 184, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266320, '0050212', NULL, NULL, 193, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266321, '0035018', NULL, NULL, 258, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266322, '0038761', NULL, NULL, 293, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266323, '0040651', NULL, NULL, 134, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266324, '0047847', NULL, NULL, 195, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266325, '0038087', NULL, NULL, 190, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266326, '0047963', NULL, NULL, 148, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266327, '0041868', NULL, NULL, 121, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266328, '0049902', NULL, NULL, 329, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266329, '0046635', NULL, NULL, 239, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266330, '0047965', NULL, NULL, 230, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266331, '0047294', NULL, NULL, 152, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266332, '0047178', NULL, NULL, 205, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266333, '0047054', NULL, NULL, 239, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266334, '0052085', NULL, NULL, 251, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266335, '0050228', NULL, NULL, 177, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266336, '0052529', NULL, NULL, 247, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266337, '0050103', NULL, NULL, 242, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266338, '0051797', NULL, NULL, 152, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266339, '0039600', NULL, NULL, 411, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877);
INSERT INTO "PUBLIC"."MODEL" VALUES
(266340, '0036579', NULL, NULL, 170, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266341, '0048949', NULL, NULL, 257, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266342, '0037662', NULL, NULL, 255, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266343, '0047979', NULL, NULL, 286, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266344, '0040540', NULL, NULL, 149, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266345, '0046529', NULL, NULL, 171, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266346, '0045319', NULL, NULL, 142, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266347, '0053172', NULL, NULL, 159, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266348, '0049117', NULL, NULL, 322, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266349, '0047059', NULL, NULL, 189, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266350, '0048027', NULL, NULL, 132, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266351, '0041757', NULL, NULL, 259, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266352, '0041999', NULL, NULL, 338, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266353, '0049357', NULL, NULL, 341, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266354, '0051440', NULL, NULL, 297, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266355, '0048035', NULL, NULL, 191, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266356, '0047066', NULL, NULL, 142, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266357, '0035477', NULL, NULL, 155, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266358, '0051327', NULL, NULL, 174, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266359, '0050235', NULL, NULL, 222, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266360, '0051203', NULL, NULL, 265, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266361, '0048270', NULL, NULL, 298, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266362, '0052415', NULL, NULL, 171, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266363, '0050237', NULL, NULL, 251, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266364, '0051568', NULL, NULL, 260, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266365, '0038068', NULL, NULL, 255, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266366, '0047869', NULL, NULL, 167, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266367, '0040551', NULL, NULL, 166, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266368, '0043703', NULL, NULL, 264, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266369, '0035471', NULL, NULL, 276, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266370, '0047742', NULL, NULL, 191, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266371, '0049007', NULL, NULL, 181, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266372, '0045444', NULL, NULL, 121, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266373, '0046897', NULL, NULL, 352, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266374, '0050241', NULL, NULL, 321, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266375, '0050365', NULL, NULL, 259, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266376, '0051575', NULL, NULL, 182, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266377, '0051696', NULL, NULL, 212, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266378, '0047992', NULL, NULL, 143, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266379, '0048286', NULL, NULL, 288, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266380, '0042180', NULL, NULL, 171, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266381, '0036438', NULL, NULL, 163, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266382, '0038853', NULL, NULL, 190, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266383, '0051213', NULL, NULL, 142, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266384, '0050247', NULL, NULL, 129, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877);
INSERT INTO "PUBLIC"."MODEL" VALUES
(266385, '0038057', NULL, NULL, 191, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266386, '0042866', NULL, NULL, 226, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266387, '0041770', NULL, NULL, 174, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266388, '0042505', NULL, NULL, 252, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266389, '0050914', NULL, NULL, 126, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266390, '0053195', NULL, NULL, 188, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266391, '0038050', NULL, NULL, 172, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266392, '0047993', NULL, NULL, 305, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266393, '0043276', NULL, NULL, 168, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266394, '0047510', NULL, NULL, 197, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266395, '0047516', NULL, NULL, 133, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266396, '0048293', NULL, NULL, 339, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266397, '0049026', NULL, NULL, 390, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266398, '0043041', NULL, NULL, 307, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266399, '0043042', NULL, NULL, 312, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266400, '0039935', NULL, NULL, 350, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266401, '0044808', NULL, NULL, 276, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266402, '0036664', NULL, NULL, 199, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266403, '0036785', NULL, NULL, 183, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266404, '0036542', NULL, NULL, 196, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266405, '0051109', NULL, NULL, 269, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266406, '0051901', NULL, NULL, 167, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266407, '0038042', NULL, NULL, 261, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266408, '0048974', NULL, NULL, 204, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266409, '0049943', NULL, NULL, 256, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266410, '0046673', NULL, NULL, 192, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266411, '0049942', NULL, NULL, 242, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266412, '0038281', NULL, NULL, 142, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266413, '0049820', NULL, NULL, 170, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266414, '0049824', NULL, NULL, 167, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266415, '0048614', NULL, NULL, 235, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266416, '0050022', NULL, NULL, 237, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266417, '0048186', NULL, NULL, 144, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266418, '0052565', NULL, NULL, 165, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266419, '0051355', NULL, NULL, 250, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266420, '0050383', NULL, NULL, 294, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266421, '0052329', NULL, NULL, 156, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266422, '0052326', NULL, NULL, 184, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266423, '0051235', NULL, NULL, 116, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266424, '0038711', NULL, NULL, 150, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266425, '0050269', NULL, NULL, 161, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266426, '0036892', NULL, NULL, 169, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266427, '0050938', NULL, NULL, 168, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266428, '0035680', NULL, NULL, 147, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266429, '0047655', NULL, NULL, 174, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877);
INSERT INTO "PUBLIC"."MODEL" VALUES
(266430, '0048863', NULL, NULL, 168, NULL, 'NAD(P)-binding Rossmann-fold domains', 200877),
(266431, '0049692', NULL, NULL, 161, NULL, 'DNA-binding protein LAG-1 (CSL)', 200878),
(266432, '0048088', NULL, NULL, 217, NULL, 'BAH domain', 200879),
(266433, '0041709', NULL, NULL, 232, NULL, 'Herpes virus serine proteinase, assemblin', 200880),
(266434, '0044926', NULL, NULL, 211, NULL, 'Herpes virus serine proteinase, assemblin', 200880),
(266435, '0037642', NULL, NULL, 229, NULL, 'Herpes virus serine proteinase, assemblin', 200880),
(266436, '0035190', NULL, NULL, 231, NULL, 'Herpes virus serine proteinase, assemblin', 200880),
(266437, '0045005', NULL, NULL, 248, NULL, 'Herpes virus serine proteinase, assemblin', 200880),
(266438, '0050142', NULL, NULL, 94, NULL, 'TrkA C-terminal domain-like', 200881),
(266439, '0052804', NULL, NULL, 92, NULL, 'TrkA C-terminal domain-like', 200881),
(266440, '0035462', NULL, NULL, 80, NULL, 'mu transposase, C-terminal domain', 200882),
(266441, '0054681', NULL, NULL, 146, NULL, 'MAPEG domain-like', 200883),
(266442, '0054581', NULL, NULL, 139, NULL, 'MAPEG domain-like', 200883),
(266443, '0054020', NULL, NULL, 139, NULL, 'MAPEG domain-like', 200883),
(266444, '0042656', NULL, NULL, 308, NULL, 'Nucleoside hydrolase', 200884),
(266445, '0037284', NULL, NULL, 312, NULL, 'Nucleoside hydrolase', 200884),
(266446, '0038660', NULL, NULL, 328, NULL, 'Nucleoside hydrolase', 200884),
(266447, '0045355', NULL, NULL, 313, NULL, 'Nucleoside hydrolase', 200884),
(266448, '0053919', NULL, NULL, 64, NULL, 'E6 C-terminal domain-like', 200885),
(266449, '0044306', NULL, NULL, 120, NULL, 'GHMP Kinase, C-terminal domain', 200886),
(266450, '0037596', NULL, NULL, 203, NULL, 'GHMP Kinase, C-terminal domain', 200886),
(266451, '0048150', NULL, NULL, 193, NULL, 'GHMP Kinase, C-terminal domain', 200886),
(266452, '0047892', NULL, NULL, 169, NULL, 'GHMP Kinase, C-terminal domain', 200886),
(266453, '0050715', NULL, NULL, 176, NULL, 'GHMP Kinase, C-terminal domain', 200886),
(266454, '0037811', NULL, NULL, 133, NULL, 'GHMP Kinase, C-terminal domain', 200886),
(266455, '0049315', NULL, NULL, 171, NULL, 'GHMP Kinase, C-terminal domain', 200886),
(266456, '0042330', NULL, NULL, 183, NULL, 'GHMP Kinase, C-terminal domain', 200886),
(266457, '0041877', NULL, NULL, 120, NULL, 'GHMP Kinase, C-terminal domain', 200886),
(266458, '0047747', NULL, NULL, 135, NULL, 'GHMP Kinase, C-terminal domain', 200886),
(266459, '0047824', NULL, NULL, 137, NULL, 'GHMP Kinase, C-terminal domain', 200886),
(266460, '0052135', NULL, NULL, 65, NULL, 'Endosomal sorting complex assembly domain', 200887),
(266461, '0052134', NULL, NULL, 101, NULL, 'Endosomal sorting complex assembly domain', 200887),
(266462, '0052607', NULL, NULL, 104, NULL, 'Endosomal sorting complex assembly domain', 200887),
(266463, '0052606', NULL, NULL, 64, NULL, 'Endosomal sorting complex assembly domain', 200887),
(266464, '0052603', NULL, NULL, 65, NULL, 'Endosomal sorting complex assembly domain', 200887),
(266465, '0037130', NULL, NULL, 189, NULL, 'Mog1p/PsbP-like', 200888),
(266466, '0044594', NULL, NULL, 171, NULL, 'Mog1p/PsbP-like', 200888),
(266467, '0044116', NULL, NULL, 144, NULL, 'Mog1p/PsbP-like', 200888),
(266468, '0054107', NULL, NULL, 147, NULL, 'Mog1p/PsbP-like', 200888),
(266469, '0036694', NULL, NULL, 46, NULL, 'N-terminal Zn binding domain of HIV integrase', 200889),
(266470, '0050613', NULL, NULL, 55, NULL, 'N-terminal Zn binding domain of HIV integrase', 200889),
(266471, '0053823', NULL, NULL, 73, NULL, 'Mib/herc2 domain-like', 200890),
(266472, '0051320', NULL, NULL, 141, NULL, 'Nicotinate/Quinolinate PRTase N-terminal domain-like', 200891),
(266473, '0042921', NULL, NULL, 115, NULL, 'Nicotinate/Quinolinate PRTase N-terminal domain-like', 200891),
(266474, '0051267', NULL, NULL, 160, NULL, 'Nicotinate/Quinolinate PRTase N-terminal domain-like', 200891),
(266475, '0053068', NULL, NULL, 110, NULL, 'Nicotinate/Quinolinate PRTase N-terminal domain-like', 200891),
(266476, '0050243', NULL, NULL, 149, NULL, 'Nicotinate/Quinolinate PRTase N-terminal domain-like', 200891);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(266477, '0048486', NULL, NULL, 103, NULL, 'Nicotinate/Quinolinate PRTase N-terminal domain-like', 200891),
(266478, '0051404', NULL, NULL, 119, NULL, 'Nicotinate/Quinolinate PRTase N-terminal domain-like', 200891),
(266479, '0052614', NULL, NULL, 137, NULL, 'Nicotinate/Quinolinate PRTase N-terminal domain-like', 200891),
(266480, '0042684', NULL, NULL, 122, NULL, 'Nicotinate/Quinolinate PRTase N-terminal domain-like', 200891),
(266481, '0051641', NULL, NULL, 60, NULL, 'Homeodomain-like', 200892),
(266482, '0052177', NULL, NULL, 63, NULL, 'Homeodomain-like', 200892),
(266483, '0048195', NULL, NULL, 77, NULL, 'Homeodomain-like', 200892),
(266484, '0050954', NULL, NULL, 63, NULL, 'Homeodomain-like', 200892),
(266485, '0051803', NULL, NULL, 120, NULL, 'Homeodomain-like', 200892),
(266486, '0052856', NULL, NULL, 102, NULL, 'Homeodomain-like', 200892),
(266487, '0050796', NULL, NULL, 47, NULL, 'Homeodomain-like', 200892),
(266488, '0037176', NULL, NULL, 98, NULL, 'Homeodomain-like', 200892),
(266489, '0045889', NULL, NULL, 88, NULL, 'Homeodomain-like', 200892),
(266490, '0047429', NULL, NULL, 64, NULL, 'Homeodomain-like', 200892),
(266491, '0039196', NULL, NULL, 67, NULL, 'Homeodomain-like', 200892),
(266492, '0054072', NULL, NULL, 75, NULL, 'Homeodomain-like', 200892),
(266493, '0052741', NULL, NULL, 85, NULL, 'Homeodomain-like', 200892),
(266494, '0036751', NULL, NULL, 57, NULL, 'Homeodomain-like', 200892),
(266495, '0038534', NULL, NULL, 52, NULL, 'Homeodomain-like', 200892),
(266496, '0052742', NULL, NULL, 69, NULL, 'Homeodomain-like', 200892),
(266497, '0046907', NULL, NULL, 61, NULL, 'Homeodomain-like', 200892),
(266498, '0047677', NULL, NULL, 71, NULL, 'Homeodomain-like', 200892),
(266499, '0040923', NULL, NULL, 55, NULL, 'Homeodomain-like', 200892),
(266500, '0049336', NULL, NULL, 50, NULL, 'Homeodomain-like', 200892),
(266501, '0047439', NULL, NULL, 78, NULL, 'Homeodomain-like', 200892),
(266502, '0045778', NULL, NULL, 68, NULL, 'Homeodomain-like', 200892),
(266503, '0053202', NULL, NULL, 65, NULL, 'Homeodomain-like', 200892),
(266504, '0050573', NULL, NULL, 71, NULL, 'Homeodomain-like', 200892),
(266505, '0045264', NULL, NULL, 75, NULL, 'Homeodomain-like', 200892),
(266506, '0054374', NULL, NULL, 79, NULL, 'Homeodomain-like', 200892),
(266507, '0047440', NULL, NULL, 66, NULL, 'Homeodomain-like', 200892),
(266508, '0052877', NULL, NULL, 70, NULL, 'Homeodomain-like', 200892),
(266509, '0053204', NULL, NULL, 69, NULL, 'Homeodomain-like', 200892),
(266510, '0049907', NULL, NULL, 72, NULL, 'Homeodomain-like', 200892),
(266511, '0048818', NULL, NULL, 77, NULL, 'Homeodomain-like', 200892),
(266512, '0047203', NULL, NULL, 65, NULL, 'Homeodomain-like', 200892),
(266513, '0052194', NULL, NULL, 63, NULL, 'Homeodomain-like', 200892),
(266514, '0047202', NULL, NULL, 66, NULL, 'Homeodomain-like', 200892),
(266515, '0048379', NULL, NULL, 77, NULL, 'Homeodomain-like', 200892),
(266516, '0045820', NULL, NULL, 58, NULL, 'Homeodomain-like', 200892),
(266517, '0054027', NULL, NULL, 56, NULL, 'Homeodomain-like', 200892),
(266518, '0053698', NULL, NULL, 97, NULL, 'Homeodomain-like', 200892),
(266519, '0047051', NULL, NULL, 63, NULL, 'Homeodomain-like', 200892),
(266520, '0049195', NULL, NULL, 81, NULL, 'Homeodomain-like', 200892),
(266521, '0050188', NULL, NULL, 72, NULL, 'Homeodomain-like', 200892),
(266522, '0053176', NULL, NULL, 100, NULL, 'Homeodomain-like', 200892),
(266523, '0047970', NULL, NULL, 82, NULL, 'Homeodomain-like', 200892),
(266524, '0048540', NULL, NULL, 67, NULL, 'Homeodomain-like', 200892),
(266525, '0052647', NULL, NULL, 79, NULL, 'Homeodomain-like', 200892),
(266526, '0049590', NULL, NULL, 51, NULL, 'Homeodomain-like', 200892),
(266527, '0052249', NULL, NULL, 59, NULL, 'Homeodomain-like', 200892),
(266528, '0052885', NULL, NULL, 77, NULL, 'Homeodomain-like', 200892),
(266529, '0038474', NULL, NULL, 57, NULL, 'Homeodomain-like', 200892),
(266530, '0046802', NULL, NULL, 65, NULL, 'Homeodomain-like', 200892),
(266531, '0038473', NULL, NULL, 55, NULL, 'Homeodomain-like', 200892),
(266532, '0049910', NULL, NULL, 71, NULL, 'Homeodomain-like', 200892);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(266533, '0047179', NULL, NULL, 63, NULL, 'Homeodomain-like', 200892),
(266534, '0049236', NULL, NULL, 94, NULL, 'Homeodomain-like', 200892),
(266535, '0046765', NULL, NULL, 59, NULL, 'Homeodomain-like', 200892),
(266536, '0047064', NULL, NULL, 50, NULL, 'Homeodomain-like', 200892),
(266537, '0052257', NULL, NULL, 58, NULL, 'Homeodomain-like', 200892),
(266538, '0050079', NULL, NULL, 74, NULL, 'Homeodomain-like', 200892),
(266539, '0052496', NULL, NULL, 76, NULL, 'Homeodomain-like', 200892),
(266540, '0054157', NULL, NULL, 71, NULL, 'Homeodomain-like', 200892),
(266541, '0052252', NULL, NULL, 59, NULL, 'Homeodomain-like', 200892),
(266542, '0052250', NULL, NULL, 60, NULL, 'Homeodomain-like', 200892),
(266543, '0047583', NULL, NULL, 57, NULL, 'Homeodomain-like', 200892),
(266544, '0052493', NULL, NULL, 57, NULL, 'Homeodomain-like', 200892),
(266545, '0053065', NULL, NULL, 69, NULL, 'Homeodomain-like', 200892),
(266546, '0037778', NULL, NULL, 70, NULL, 'Homeodomain-like', 200892),
(266547, '0035079', NULL, NULL, 78, NULL, 'Homeodomain-like', 200892),
(266548, '0038986', NULL, NULL, 54, NULL, 'Homeodomain-like', 200892),
(266549, '0037777', NULL, NULL, 68, NULL, 'Homeodomain-like', 200892),
(266550, '0051446', NULL, NULL, 60, NULL, 'Homeodomain-like', 200892),
(266551, '0052655', NULL, NULL, 76, NULL, 'Homeodomain-like', 200892),
(266552, '0045724', NULL, NULL, 66, NULL, 'Homeodomain-like', 200892),
(266553, '0036286', NULL, NULL, 54, NULL, 'Homeodomain-like', 200892),
(266554, '0049809', NULL, NULL, 50, NULL, 'Homeodomain-like', 200892),
(266555, '0049523', NULL, NULL, 88, NULL, 'Homeodomain-like', 200892),
(266556, '0048555', NULL, NULL, 128, NULL, 'Homeodomain-like', 200892),
(266557, '0049891', NULL, NULL, 95, NULL, 'Homeodomain-like', 200892),
(266558, '0053235', NULL, NULL, 66, NULL, 'Homeodomain-like', 200892),
(266559, '0048162', NULL, NULL, 152, NULL, 'Homeodomain-like', 200892),
(266560, '0054048', NULL, NULL, 70, NULL, 'Homeodomain-like', 200892),
(266561, '0048440', NULL, NULL, 91, NULL, 'Homeodomain-like', 200892),
(266562, '0052261', NULL, NULL, 57, NULL, 'Homeodomain-like', 200892),
(266563, '0052308', NULL, NULL, 68, NULL, 'Homeodomain-like', 200892),
(266564, '0052309', NULL, NULL, 82, NULL, 'Homeodomain-like', 200892),
(266565, '0051615', NULL, NULL, 67, NULL, 'Homeodomain-like', 200892),
(266566, '0052305', NULL, NULL, 65, NULL, 'Homeodomain-like', 200892),
(266567, '0053878', NULL, NULL, 76, NULL, 'Homeodomain-like', 200892),
(266568, '0054327', NULL, NULL, 83, NULL, 'Homeodomain-like', 200892),
(266569, '0045977', NULL, NULL, 62, NULL, 'Homeodomain-like', 200892),
(266570, '0039940', NULL, NULL, 61, NULL, 'Homeodomain-like', 200892),
(266571, '0050913', NULL, NULL, 68, NULL, 'Homeodomain-like', 200892),
(266572, '0046025', NULL, NULL, 66, NULL, 'Homeodomain-like', 200892),
(266573, '0047358', NULL, NULL, 58, NULL, 'Homeodomain-like', 200892),
(266574, '0048725', NULL, NULL, 72, NULL, 'Homeodomain-like', 200892),
(266575, '0046702', NULL, NULL, 61, NULL, 'Homeodomain-like', 200892),
(266576, '0047361', NULL, NULL, 86, NULL, 'Homeodomain-like', 200892),
(266577, '0052312', NULL, NULL, 101, NULL, 'Homeodomain-like', 200892),
(266578, '0052551', NULL, NULL, 99, NULL, 'Homeodomain-like', 200892),
(266579, '0053365', NULL, NULL, 68, NULL, 'Homeodomain-like', 200892),
(266580, '0051585', NULL, NULL, 72, NULL, 'Homeodomain-like', 200892),
(266581, '0053366', NULL, NULL, 65, NULL, 'Homeodomain-like', 200892),
(266582, '0039939', NULL, NULL, 63, NULL, 'Homeodomain-like', 200892),
(266583, '0052393', NULL, NULL, 68, NULL, 'Homeodomain-like', 200892),
(266584, '0046275', NULL, NULL, 65, NULL, 'Homeodomain-like', 200892),
(266585, '0050538', NULL, NULL, 73, NULL, 'Homeodomain-like', 200892),
(266586, '0034887', NULL, NULL, 55, NULL, 'Homeodomain-like', 200892),
(266587, '0051466', NULL, NULL, 68, NULL, 'Homeodomain-like', 200892),
(266588, '0052830', NULL, NULL, 72, NULL, 'Homeodomain-like', 200892),
(266589, '0034886', NULL, NULL, 55, NULL, 'Homeodomain-like', 200892),
(266590, '0052798', NULL, NULL, 73, NULL, 'Homeodomain-like', 200892);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(266591, '0045901', NULL, NULL, 58, NULL, 'Homeodomain-like', 200892),
(266592, '0045900', NULL, NULL, 73, NULL, 'Homeodomain-like', 200892),
(266593, '0039012', NULL, NULL, 149, NULL, 'Homeodomain-like', 200892),
(266594, '0046399', NULL, NULL, 64, NULL, 'Homeodomain-like', 200892),
(266595, '0041825', NULL, NULL, 52, NULL, 'Homeodomain-like', 200892),
(266596, '0049545', NULL, NULL, 73, NULL, 'Homeodomain-like', 200892),
(266597, '0035607', NULL, NULL, 54, NULL, 'Homeodomain-like', 200892),
(266598, '0050781', NULL, NULL, 62, NULL, 'Homeodomain-like', 200892),
(266599, '0050780', NULL, NULL, 52, NULL, 'Homeodomain-like', 200892),
(266600, '0054226', NULL, NULL, 89, NULL, 'Homeodomain-like', 200892),
(266601, '0052200', NULL, NULL, 111, NULL, 'Homeodomain-like', 200892),
(266602, '0053132', NULL, NULL, 65, NULL, 'Homeodomain-like', 200892),
(266603, '0054860', NULL, NULL, 75, NULL, 'Homeodomain-like', 200892),
(266604, '0054341', NULL, NULL, 78, NULL, 'Homeodomain-like', 200892),
(266605, '0050547', NULL, NULL, 80, NULL, 'Homeodomain-like', 200892),
(266606, '0051514', NULL, NULL, 75, NULL, 'Homeodomain-like', 200892),
(266607, '0052848', NULL, NULL, 74, NULL, 'Homeodomain-like', 200892),
(266608, '0050824', NULL, NULL, 49, NULL, 'Homeodomain-like', 200892),
(266609, '0052845', NULL, NULL, 68, NULL, 'Homeodomain-like', 200892),
(266610, '0049392', NULL, NULL, 73, NULL, 'Homeodomain-like', 200892),
(266611, '0052843', NULL, NULL, 65, NULL, 'Homeodomain-like', 200892),
(266612, '0050545', NULL, NULL, 80, NULL, 'Homeodomain-like', 200892),
(266613, '0053777', NULL, NULL, 83, NULL, 'Homeodomain-like', 200892),
(266614, '0053096', NULL, NULL, 68, NULL, 'Homeodomain-like', 200892),
(266615, '0049952', NULL, NULL, 60, NULL, 'Homeodomain-like', 200892),
(266616, '0048742', NULL, NULL, 123, NULL, 'Homeodomain-like', 200892),
(266617, '0046966', NULL, NULL, 43, NULL, 'Homeodomain-like', 200892),
(266618, '0052847', NULL, NULL, 68, NULL, 'TraM-like', 200893),
(266619, '0040609', NULL, NULL, 52, NULL, 'Cysteine-rich DNA binding domain, (DM domain)', 200894),
(266620, '0054368', NULL, NULL, 245, NULL, 'YacF-like', 200895),
(266621, '0054015', NULL, NULL, 132, NULL, 'TerB-like', 200896),
(266622, '0054415', NULL, NULL, 160, NULL, 'TerB-like', 200896),
(266623, '0054235', NULL, NULL, 184, NULL, 'SopE-like GEF domain', 200897),
(266624, '0043145', NULL, NULL, 168, NULL, 'SopE-like GEF domain', 200897),
(266625, '0038349', NULL, NULL, 165, NULL, 'SopE-like GEF domain', 200897),
(266626, '0053687', NULL, NULL, 509, NULL, 'SNF-like', 200898),
(266627, '0040581', NULL, NULL, 145, NULL, 'X-Prolyl dipeptidyl aminopeptidase PepX, N-terminal domain', 200899),
(266628, '0044043', NULL, NULL, 161, NULL, 'YutG-like', 200900),
(266629, '0043223', NULL, NULL, 164, NULL, 'YutG-like', 200900),
(266630, '0051247', NULL, NULL, 159, NULL, 'YutG-like', 200900),
(266631, '0043736', NULL, NULL, 50, NULL, 'Pollen allergen ole e 6', 200901),
(266632, '0042375', NULL, NULL, 117, NULL, 'Superantigen (mitogen) Ypm', 200902),
(266633, '0046000', NULL, NULL, 46, NULL, 'Myosin S1 fragment, N-terminal domain', 200903),
(266634, '0045895', NULL, NULL, 48, NULL, 'Myosin S1 fragment, N-terminal domain', 200903),
(266635, '0046247', NULL, NULL, 46, NULL, 'Myosin S1 fragment, N-terminal domain', 200903),
(266636, '0053192', NULL, NULL, 46, NULL, 'Myosin S1 fragment, N-terminal domain', 200903),
(266637, '0039799', NULL, NULL, 44, NULL, 'Myosin S1 fragment, N-terminal domain', 200903),
(266638, '0048548', NULL, NULL, 58, NULL, 'Myosin S1 fragment, N-terminal domain', 200903),
(266639, '0048131', NULL, NULL, 130, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266640, '0035604', NULL, NULL, 108, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266641, '0043370', NULL, NULL, 505, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266642, '0044393', NULL, NULL, 144, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266643, '0048132', NULL, NULL, 113, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266644, '0035125', NULL, NULL, 116, NULL, 'Calponin-homology domain, CH-domain', 200904);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(266645, '0035124', NULL, NULL, 131, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266646, '0050621', NULL, NULL, 124, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266647, '0042512', NULL, NULL, 500, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266648, '0038432', NULL, NULL, 108, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266649, '0046419', NULL, NULL, 111, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266650, '0035551', NULL, NULL, 108, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266651, '0048721', NULL, NULL, 130, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266652, '0046420', NULL, NULL, 127, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266653, '0048700', NULL, NULL, 159, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266654, '0048913', NULL, NULL, 121, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266655, '0044622', NULL, NULL, 115, NULL, 'Calponin-homology domain, CH-domain', 200904),
(266656, '0047134', NULL, NULL, 132, NULL, 'Phosphohistidine domain', 200905),
(266657, '0051669', NULL, NULL, 125, NULL, 'Phosphohistidine domain', 200905),
(266658, '0047778', NULL, NULL, 133, NULL, 'Phosphohistidine domain', 200905),
(266659, '0050126', NULL, NULL, 135, NULL, 'Phosphohistidine domain', 200905),
(266660, '0051945', NULL, NULL, 32, NULL, 'Viral leader polypeptide zinc finger', 200906),
(266661, '0054786', NULL, NULL, 94, NULL, 'L21p-like', 200907),
(266662, '0054185', NULL, NULL, 101, NULL, 'L21p-like', 200907),
(266663, '0053072', NULL, NULL, 103, NULL, 'L21p-like', 200907),
(266664, '0051715', NULL, NULL, 94, NULL, 'Dcp2 domain-like', 200908),
(266665, '0048020', NULL, NULL, 98, NULL, 'Fungal elicitin', 200909),
(266666, '0040519', NULL, NULL, 98, NULL, 'Fungal elicitin', 200909),
(266667, '0040270', NULL, NULL, 202, NULL, 'Archaeal IMP cyclohydrolase PurO', 200910),
(266668, '0046875', NULL, NULL, 107, NULL, 'Prefoldin', 200911),
(266669, '0037832', NULL, NULL, 133, NULL, 'Prefoldin', 200911),
(266670, '0045702', NULL, NULL, 147, NULL, 'Satellite viruses', 200912),
(266671, '0052051', NULL, NULL, 184, NULL, 'Satellite viruses', 200912),
(266672, '0049467', NULL, NULL, 141, NULL, 'Satellite viruses', 200912),
(266673, '0041249', NULL, NULL, 186, NULL, 'Gametocyte protein Pfg27', 200913),
(266674, '0053510', NULL, NULL, 69, NULL, 'G protein-binding domain', 200914),
(266675, '0053522', NULL, NULL, 51, NULL, 'G protein-binding domain', 200914),
(266676, '0053540', NULL, NULL, 90, NULL, 'G protein-binding domain', 200914),
(266677, '0053525', NULL, NULL, 69, NULL, 'G protein-binding domain', 200914),
(266678, '0053813', NULL, NULL, 55, NULL, 'Orange domain-like', 200915),
(266679, '0053704', NULL, NULL, 54, NULL, 'HAMP domain-like', 200916),
(266680, '0053795', NULL, NULL, 218, NULL, 'TBP-interacting protein-like', 200917),
(266681, '0036083', NULL, NULL, 197, NULL, 'Colicin', 200918),
(266682, '0036000', NULL, NULL, 174, NULL, 'Colicin', 200918),
(266683, '0034942', NULL, NULL, 297, NULL, 'Colicin', 200918),
(266684, '0049160', NULL, NULL, 199, NULL, 'Colicin', 200918),
(266685, '0050058', NULL, NULL, 85, NULL, 'GAS2 domain-like', 200919),
(266686, '0041569', NULL, NULL, 136, NULL, 'Staphylocoagulase', 200920),
(266687, '0041568', NULL, NULL, 145, NULL, 'Staphylocoagulase', 200920),
(266688, '0037297', NULL, NULL, 74, NULL, 'Non-heme 11 kDa protein of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 200921),
(266689, '0040340', NULL, NULL, 78, NULL, 'Non-heme 11 kDa protein of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 200921),
(266690, '0047456', NULL, NULL, 97, NULL, 'Multidrug efflux transporter AcrB pore domain; PN1, PN2, PC1 and PC2 subdomains', 200922),
(266691, '0047457', NULL, NULL, 105, NULL, 'Multidrug efflux transporter AcrB pore domain; PN1, PN2, PC1 and PC2 subdomains', 200922),
(266692, '0047458', NULL, NULL, 107, NULL, 'Multidrug efflux transporter AcrB pore domain; PN1, PN2, PC1 and PC2 subdomains', 200922),
(266693, '0047459', NULL, NULL, 99, NULL, 'Multidrug efflux transporter AcrB pore domain; PN1, PN2, PC1 and PC2 subdomains', 200922);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(266694, '0050884', NULL, NULL, 272, NULL, 'ATP-dependent DNA ligase DNA-binding domain', 200923),
(266695, '0049461', NULL, NULL, 51, NULL, 'Somatomedin B domain', 200924),
(266696, '0043818', NULL, NULL, 81, NULL, 'YggX-like', 200925),
(266697, '0051091', NULL, NULL, 91, NULL, 'YggX-like', 200925),
(266698, '0037362', NULL, NULL, 162, NULL, 'Olfactory marker protein', 200926),
(266699, '0035141', NULL, NULL, 210, NULL, 'Aldehyde ferredoxin oxidoreductase, N-terminal domain', 200927),
(266700, '0035315', NULL, NULL, 210, NULL, 'Aldehyde ferredoxin oxidoreductase, N-terminal domain', 200927),
(266701, '0048731', NULL, NULL, 162, NULL, 'eEF1-gamma domain', 200928),
(266702, '0040175', NULL, NULL, 159, NULL, 'C-terminal autoproteolytic domain of nucleoporin nup98', 200929),
(266703, '0034922', NULL, NULL, 207, NULL, 'PIN domain-like', 200930),
(266704, '0050398', NULL, NULL, 155, NULL, 'PIN domain-like', 200930),
(266705, '0050100', NULL, NULL, 148, NULL, 'PIN domain-like', 200930),
(266706, '0052662', NULL, NULL, 130, NULL, 'PIN domain-like', 200930),
(266707, '0045055', NULL, NULL, 167, NULL, 'PIN domain-like', 200930),
(266708, '0049265', NULL, NULL, 217, NULL, 'PIN domain-like', 200930),
(266709, '0050096', NULL, NULL, 132, NULL, 'PIN domain-like', 200930),
(266710, '0051236', NULL, NULL, 147, NULL, 'PIN domain-like', 200930),
(266711, '0035546', NULL, NULL, 173, NULL, 'PIN domain-like', 200930),
(266712, '0052984', NULL, NULL, 138, NULL, 'PIN domain-like', 200930),
(266713, '0041679', NULL, NULL, 125, NULL, 'PIN domain-like', 200930),
(266714, '0049616', NULL, NULL, 169, NULL, 'PIN domain-like', 200930),
(266715, '0049935', NULL, NULL, 216, NULL, 'PIN domain-like', 200930),
(266716, '0040885', NULL, NULL, 219, NULL, 'PIN domain-like', 200930),
(266717, '0045876', NULL, NULL, 219, NULL, 'PIN domain-like', 200930),
(266718, '0047454', NULL, NULL, 95, NULL, 'RPB6/omega subunit-like', 200931),
(266719, '0038875', NULL, NULL, 84, NULL, 'RPB6/omega subunit-like', 200931),
(266720, '0047316', NULL, NULL, 98, NULL, 'RPB6/omega subunit-like', 200931),
(266721, '0042830', NULL, NULL, 127, NULL, 'RPB6/omega subunit-like', 200931),
(266722, '0047391', NULL, NULL, 44, NULL, 'Colipase-like', 200932),
(266723, '0048738', NULL, NULL, 44, NULL, 'Colipase-like', 200932),
(266724, '0048007', NULL, NULL, 46, NULL, 'Colipase-like', 200932),
(266725, '0047390', NULL, NULL, 36, NULL, 'Colipase-like', 200932),
(266726, '0037298', NULL, NULL, 55, NULL, 'Subunit X (non-heme 7 kDa protein) of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 200933),
(266727, '0048797', NULL, NULL, 62, NULL, 'Subunit X (non-heme 7 kDa protein) of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 200933),
(266728, '0042633', NULL, NULL, 107, NULL, 'KaiA/RbsU domain', 200934),
(266729, '0044943', NULL, NULL, 84, NULL, 'KaiA/RbsU domain', 200934),
(266730, '0043173', NULL, NULL, 106, NULL, 'KaiA/RbsU domain', 200934),
(266731, '0044598', NULL, NULL, 106, NULL, 'KaiA/RbsU domain', 200934),
(266732, '0043138', NULL, NULL, 98, NULL, 'KaiA/RbsU domain', 200934),
(266733, '0037309', NULL, NULL, 246, NULL, 'Phospholipase D/nuclease', 200935),
(266734, '0042590', NULL, NULL, 215, NULL, 'Phospholipase D/nuclease', 200935),
(266735, '0053240', NULL, NULL, 186, NULL, 'Phospholipase D/nuclease', 200935),
(266736, '0042591', NULL, NULL, 237, NULL, 'Phospholipase D/nuclease', 200935),
(266737, '0050932', NULL, NULL, 187, NULL, 'Phospholipase D/nuclease', 200935),
(266738, '0053903', NULL, NULL, 137, NULL, 'Phospholipase D/nuclease', 200935),
(266739, '0035785', NULL, NULL, 152, NULL, 'Phospholipase D/nuclease', 200935),
(266740, '0050933', NULL, NULL, 187, NULL, 'Phospholipase D/nuclease', 200935),
(266741, '0046667', NULL, NULL, 258, NULL, 'Phospholipase D/nuclease', 200935),
(266742, '0039810', NULL, NULL, 206, NULL, 'Phospholipase D/nuclease', 200935),
(266743, '0053239', NULL, NULL, 188, NULL, 'Phospholipase D/nuclease', 200935),
(266744, '0039811', NULL, NULL, 258, NULL, 'Phospholipase D/nuclease', 200935),
(266745, '0048561', NULL, NULL, 312, NULL, 'Fucose-specific lectin', 200936);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(266746, '0046652', NULL, NULL, 92, NULL, 'Ada DNA repair protein, N-terminal domain (N-Ada 10)', 200937),
(266747, '0053970', NULL, NULL, 112, NULL, 'NSP3A-like', 200938),
(266748, '0054897', NULL, NULL, 264, NULL, 'Acetoacetate decarboxylase-like', 200939),
(266749, '0054878', NULL, NULL, 250, NULL, 'Acetoacetate decarboxylase-like', 200939),
(266750, '0043518', NULL, NULL, 106, NULL, 'Multidrug resistance efflux transporter EmrE', 200940),
(266751, '0053655', NULL, NULL, 65, NULL, 'RILP dimerisation region', 200941),
(266752, '0053605', NULL, NULL, 87, NULL, 'Kix domain of CBP (creb binding protein)', 200942),
(266753, '0049880', NULL, NULL, 228, NULL, 'Metallo-dependent phosphatases', 200943),
(266754, '0053225', NULL, NULL, 293, NULL, 'Metallo-dependent phosphatases', 200943),
(266755, '0054894', NULL, NULL, 173, NULL, 'Metallo-dependent phosphatases', 200943),
(266756, '0051021', NULL, NULL, 188, NULL, 'Metallo-dependent phosphatases', 200943),
(266757, '0049342', NULL, NULL, 324, NULL, 'Metallo-dependent phosphatases', 200943),
(266758, '0054913', NULL, NULL, 271, NULL, 'Metallo-dependent phosphatases', 200943),
(266759, '0054758', NULL, NULL, 302, NULL, 'Metallo-dependent phosphatases', 200943),
(266760, '0053347', NULL, NULL, 312, NULL, 'Metallo-dependent phosphatases', 200943),
(266761, '0051688', NULL, NULL, 193, NULL, 'Metallo-dependent phosphatases', 200943),
(266762, '0045823', NULL, NULL, 473, NULL, 'Metallo-dependent phosphatases', 200943),
(266763, '0044518', NULL, NULL, 302, NULL, 'Metallo-dependent phosphatases', 200943),
(266764, '0043485', NULL, NULL, 165, NULL, 'Metallo-dependent phosphatases', 200943),
(266765, '0049468', NULL, NULL, 184, NULL, 'Metallo-dependent phosphatases', 200943),
(266766, '0049330', NULL, NULL, 309, NULL, 'Metallo-dependent phosphatases', 200943),
(266767, '0052321', NULL, NULL, 252, NULL, 'Metallo-dependent phosphatases', 200943),
(266768, '0054882', NULL, NULL, 322, NULL, 'Metallo-dependent phosphatases', 200943),
(266769, '0054068', NULL, NULL, 256, NULL, 'Metallo-dependent phosphatases', 200943),
(266770, '0037943', NULL, NULL, 219, NULL, 'Metallo-dependent phosphatases', 200943),
(266771, '0051159', NULL, NULL, 305, NULL, 'Metallo-dependent phosphatases', 200943),
(266772, '0054306', NULL, NULL, 320, NULL, 'Metallo-dependent phosphatases', 200943),
(266773, '0054745', NULL, NULL, 257, NULL, 'Metallo-dependent phosphatases', 200943),
(266774, '0051479', NULL, NULL, 182, NULL, 'Metallo-dependent phosphatases', 200943),
(266775, '0046803', NULL, NULL, 294, NULL, 'Metallo-dependent phosphatases', 200943),
(266776, '0049558', NULL, NULL, 281, NULL, 'Metallo-dependent phosphatases', 200943),
(266777, '0049557', NULL, NULL, 255, NULL, 'Metallo-dependent phosphatases', 200943),
(266778, '0039040', NULL, NULL, 333, NULL, 'Metallo-dependent phosphatases', 200943),
(266779, '0048962', NULL, NULL, 300, NULL, 'Metallo-dependent phosphatases', 200943),
(266780, '0047216', NULL, NULL, 328, NULL, 'Metallo-dependent phosphatases', 200943),
(266781, '0041478', NULL, NULL, 251, NULL, 'Metallo-dependent phosphatases', 200943),
(266782, '0036470', NULL, NULL, 59, NULL, 'Head domain of nucleotide exchange factor GrpE', 200944),
(266783, '0050497', NULL, NULL, 74, NULL, 'AN1-like Zinc finger', 200945),
(266784, '0050491', NULL, NULL, 85, NULL, 'AN1-like Zinc finger', 200945),
(266785, '0050490', NULL, NULL, 86, NULL, 'AN1-like Zinc finger', 200945),
(266786, '0050493', NULL, NULL, 64, NULL, 'AN1-like Zinc finger', 200945),
(266787, '0050513', NULL, NULL, 64, NULL, 'AN1-like Zinc finger', 200945),
(266788, '0050501', NULL, NULL, 74, NULL, 'AN1-like Zinc finger', 200945),
(266789, '0054126', NULL, NULL, 328, NULL, 'AttH-like', 200946),
(266790, '0049649', NULL, NULL, 235, NULL, 'Tachylectin-2', 200947),
(266791, '0041247', NULL, NULL, 555, NULL, 'Adsorption protein p2', 200948),
(266792, '0052034', NULL, NULL, 133, NULL, 'alpha-helical ferredoxin', 200949),
(266793, '0038466', NULL, NULL, 182, NULL, 'alpha-helical ferredoxin', 200949),
(266794, '0047791', NULL, NULL, 138, NULL, 'alpha-helical ferredoxin', 200949);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(266795, '0048346', NULL, NULL, 132, NULL, 'alpha-helical ferredoxin', 200949),
(266796, '0041025', NULL, NULL, 67, NULL, 'Dodecin-like', 200950),
(266797, '0054684', NULL, NULL, 66, NULL, 'Dodecin-like', 200950),
(266798, '0049275', NULL, NULL, 120, NULL, 'ARID-like', 200951),
(266799, '0046063', NULL, NULL, 128, NULL, 'ARID-like', 200951),
(266800, '0047826', NULL, NULL, 102, NULL, 'ARID-like', 200951),
(266801, '0047357', NULL, NULL, 107, NULL, 'ARID-like', 200951),
(266802, '0051980', NULL, NULL, 308, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266803, '0050252', NULL, NULL, 250, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266804, '0051022', NULL, NULL, 254, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266805, '0048073', NULL, NULL, 219, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266806, '0051102', NULL, NULL, 304, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266807, '0050210', NULL, NULL, 209, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266808, '0045185', NULL, NULL, 221, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266809, '0053827', NULL, NULL, 431, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266810, '0050873', NULL, NULL, 228, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266811, '0051863', NULL, NULL, 183, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266812, '0048716', NULL, NULL, 294, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266813, '0050726', NULL, NULL, 280, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266814, '0036363', NULL, NULL, 216, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266815, '0047843', NULL, NULL, 230, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266816, '0043666', NULL, NULL, 266, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266817, '0054104', NULL, NULL, 451, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266818, '0051275', NULL, NULL, 249, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266819, '0054105', NULL, NULL, 515, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266820, '0053773', NULL, NULL, 505, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266821, '0051591', NULL, NULL, 244, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266822, '0051194', NULL, NULL, 307, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266823, '0052141', NULL, NULL, 305, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266824, '0039825', NULL, NULL, 262, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266825, '0051638', NULL, NULL, 207, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266826, '0053954', NULL, NULL, 264, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266827, '0054603', NULL, NULL, 251, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266828, '0054569', NULL, NULL, 298, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266829, '0046465', NULL, NULL, 249, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266830, '0054482', NULL, NULL, 200, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266831, '0042783', NULL, NULL, 260, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266832, '0045733', NULL, NULL, 227, NULL, 'Metallo-hydrolase/oxidoreductase', 200952),
(266833, '0047213', NULL, NULL, 242, NULL, 'Pyridoxine 5''-phosphate synthase', 200953),
(266834, '0048370', NULL, NULL, 118, NULL, 'PheT/TilS domain', 200954),
(266835, '0042526', NULL, NULL, 209, NULL, 'PheT/TilS domain', 200954),
(266836, '0043146', NULL, NULL, 295, NULL, 'Virulence-associated V antigen', 200955),
(266837, '0035455', NULL, NULL, 46, NULL, 'Cytochrome c1 subunit of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase), transmembrane anchor', 200956),
(266838, '0037292', NULL, NULL, 46, NULL, 'Cytochrome c1 subunit of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase), transmembrane anchor', 200956),
(266839, '0049561', NULL, NULL, 110, NULL, 'PH domain-like', 200957),
(266840, '0051047', NULL, NULL, 114, NULL, 'PH domain-like', 200957),
(266841, '0052133', NULL, NULL, 131, NULL, 'PH domain-like', 200957),
(266842, '0039917', NULL, NULL, 146, NULL, 'PH domain-like', 200957);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(266843, '0038905', NULL, NULL, 109, NULL, 'PH domain-like', 200957),
(266844, '0044152', NULL, NULL, 114, NULL, 'PH domain-like', 200957),
(266845, '0054198', NULL, NULL, 133, NULL, 'PH domain-like', 200957),
(266846, '0050998', NULL, NULL, 118, NULL, 'PH domain-like', 200957),
(266847, '0037213', NULL, NULL, 111, NULL, 'PH domain-like', 200957),
(266848, '0052456', NULL, NULL, 147, NULL, 'PH domain-like', 200957),
(266849, '0039316', NULL, NULL, 119, NULL, 'PH domain-like', 200957),
(266850, '0051204', NULL, NULL, 114, NULL, 'PH domain-like', 200957),
(266851, '0054799', NULL, NULL, 131, NULL, 'PH domain-like', 200957),
(266852, '0041564', NULL, NULL, 121, NULL, 'PH domain-like', 200957),
(266853, '0039313', NULL, NULL, 99, NULL, 'PH domain-like', 200957),
(266854, '0041561', NULL, NULL, 152, NULL, 'PH domain-like', 200957),
(266855, '0042935', NULL, NULL, 104, NULL, 'PH domain-like', 200957),
(266856, '0045807', NULL, NULL, 166, NULL, 'PH domain-like', 200957),
(266857, '0053818', NULL, NULL, 162, NULL, 'PH domain-like', 200957),
(266858, '0048159', NULL, NULL, 109, NULL, 'PH domain-like', 200957),
(266859, '0044630', NULL, NULL, 117, NULL, 'PH domain-like', 200957),
(266860, '0046779', NULL, NULL, 127, NULL, 'PH domain-like', 200957),
(266861, '0044633', NULL, NULL, 132, NULL, 'PH domain-like', 200957),
(266862, '0050088', NULL, NULL, 130, NULL, 'PH domain-like', 200957),
(266863, '0035704', NULL, NULL, 106, NULL, 'PH domain-like', 200957),
(266864, '0050089', NULL, NULL, 118, NULL, 'PH domain-like', 200957),
(266865, '0049773', NULL, NULL, 119, NULL, 'PH domain-like', 200957),
(266866, '0049013', NULL, NULL, 103, NULL, 'PH domain-like', 200957),
(266867, '0049970', NULL, NULL, 107, NULL, 'PH domain-like', 200957),
(266868, '0050722', NULL, NULL, 133, NULL, 'PH domain-like', 200957),
(266869, '0050604', NULL, NULL, 156, NULL, 'PH domain-like', 200957),
(266870, '0052868', NULL, NULL, 238, NULL, 'PH domain-like', 200957),
(266871, '0035702', NULL, NULL, 169, NULL, 'PH domain-like', 200957),
(266872, '0051136', NULL, NULL, 117, NULL, 'PH domain-like', 200957),
(266873, '0052349', NULL, NULL, 129, NULL, 'PH domain-like', 200957),
(266874, '0036997', NULL, NULL, 115, NULL, 'PH domain-like', 200957),
(266875, '0050918', NULL, NULL, 140, NULL, 'PH domain-like', 200957),
(266876, '0036672', NULL, NULL, 113, NULL, 'PH domain-like', 200957),
(266877, '0042143', NULL, NULL, 148, NULL, 'PH domain-like', 200957),
(266878, '0050517', NULL, NULL, 150, NULL, 'PH domain-like', 200957),
(266879, '0039182', NULL, NULL, 126, NULL, 'PH domain-like', 200957),
(266880, '0052260', NULL, NULL, 137, NULL, 'PH domain-like', 200957),
(266881, '0048169', NULL, NULL, 92, NULL, 'PH domain-like', 200957),
(266882, '0048923', NULL, NULL, 113, NULL, 'PH domain-like', 200957),
(266883, '0048603', NULL, NULL, 119, NULL, 'PH domain-like', 200957),
(266884, '0046390', NULL, NULL, 122, NULL, 'PH domain-like', 200957),
(266885, '0050571', NULL, NULL, 126, NULL, 'PH domain-like', 200957),
(266886, '0050772', NULL, NULL, 116, NULL, 'PH domain-like', 200957),
(266887, '0050056', NULL, NULL, 126, NULL, 'PH domain-like', 200957),
(266888, '0050771', NULL, NULL, 136, NULL, 'PH domain-like', 200957),
(266889, '0052197', NULL, NULL, 95, NULL, 'PH domain-like', 200957),
(266890, '0050053', NULL, NULL, 136, NULL, 'PH domain-like', 200957),
(266891, '0052195', NULL, NULL, 99, NULL, 'PH domain-like', 200957),
(266892, '0053042', NULL, NULL, 129, NULL, 'PH domain-like', 200957),
(266893, '0043361', NULL, NULL, 134, NULL, 'PH domain-like', 200957),
(266894, '0052196', NULL, NULL, 102, NULL, 'PH domain-like', 200957),
(266895, '0036787', NULL, NULL, 148, NULL, 'PH domain-like', 200957),
(266896, '0050535', NULL, NULL, 136, NULL, 'PH domain-like', 200957),
(266897, '0051547', NULL, NULL, 109, NULL, 'PH domain-like', 200957),
(266898, '0054814', NULL, NULL, 190, NULL, 'PH domain-like', 200957),
(266899, '0050531', NULL, NULL, 109, NULL, 'PH domain-like', 200957),
(266900, '0053889', NULL, NULL, 101, NULL, 'PH domain-like', 200957),
(266901, '0050335', NULL, NULL, 147, NULL, 'PH domain-like', 200957);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(266902, '0040694', NULL, NULL, 125, NULL, 'PH domain-like', 200957),
(266903, '0040099', NULL, NULL, 142, NULL, 'PH domain-like', 200957),
(266904, '0040330', NULL, NULL, 147, NULL, 'PH domain-like', 200957),
(266905, '0052708', NULL, NULL, 102, NULL, 'PH domain-like', 200957),
(266906, '0054928', NULL, NULL, 116, NULL, 'PH domain-like', 200957),
(266907, '0038081', NULL, NULL, 92, NULL, 'PH domain-like', 200957),
(266908, '0052193', NULL, NULL, 112, NULL, 'PH domain-like', 200957),
(266909, '0049788', NULL, NULL, 209, NULL, 'PH domain-like', 200957),
(266910, '0049787', NULL, NULL, 106, NULL, 'PH domain-like', 200957),
(266911, '0040975', NULL, NULL, 114, NULL, 'PH domain-like', 200957),
(266912, '0046512', NULL, NULL, 103, NULL, 'PH domain-like', 200957),
(266913, '0042632', NULL, NULL, 207, NULL, 'PH domain-like', 200957),
(266914, '0037709', NULL, NULL, 162, NULL, 'PH domain-like', 200957),
(266915, '0047292', NULL, NULL, 145, NULL, 'PH domain-like', 200957),
(266916, '0051750', NULL, NULL, 106, NULL, 'PH domain-like', 200957),
(266917, '0051073', NULL, NULL, 129, NULL, 'PH domain-like', 200957),
(266918, '0047098', NULL, NULL, 117, NULL, 'PH domain-like', 200957),
(266919, '0051791', NULL, NULL, 110, NULL, 'PH domain-like', 200957),
(266920, '0048782', NULL, NULL, 113, NULL, 'PH domain-like', 200957),
(266921, '0049397', NULL, NULL, 195, NULL, 'PH domain-like', 200957),
(266922, '0036336', NULL, NULL, 133, NULL, 'PH domain-like', 200957),
(266923, '0037589', NULL, NULL, 119, NULL, 'PH domain-like', 200957),
(266924, '0037469', NULL, NULL, 100, NULL, 'PH domain-like', 200957),
(266925, '0042168', NULL, NULL, 107, NULL, 'PH domain-like', 200957),
(266926, '0045916', NULL, NULL, 119, NULL, 'PH domain-like', 200957),
(266927, '0042287', NULL, NULL, 108, NULL, 'PH domain-like', 200957),
(266928, '0050619', NULL, NULL, 123, NULL, 'PH domain-like', 200957),
(266929, '0036373', NULL, NULL, 135, NULL, 'PH domain-like', 200957),
(266930, '0049677', NULL, NULL, 133, NULL, 'PH domain-like', 200957),
(266931, '0040866', NULL, NULL, 119, NULL, 'PH domain-like', 200957),
(266932, '0048704', NULL, NULL, 111, NULL, 'PH domain-like', 200957),
(266933, '0049120', NULL, NULL, 114, NULL, 'KorB DNA-binding domain-like', 200958),
(266934, '0050319', NULL, NULL, 93, NULL, 'KorB DNA-binding domain-like', 200958),
(266935, '0038452', NULL, NULL, 82, NULL, 'Phage fibre proteins', 200959),
(266936, '0039861', NULL, NULL, 223, NULL, 'Phage fibre proteins', 200959),
(266937, '0053764', NULL, NULL, 330, NULL, 'Phage fibre proteins', 200959),
(266938, '0051627', NULL, NULL, 21, NULL, 'Phage fibre proteins', 200959),
(266939, '0052558', NULL, NULL, 46, NULL, 'Phage fibre proteins', 200959),
(266940, '0050027', NULL, NULL, 150, NULL, 'Phage fibre proteins', 200959),
(266941, '0050990', NULL, NULL, 320, NULL, 'Protein kinase-like (PK-like)', 200960),
(266942, '0046494', NULL, NULL, 367, NULL, 'Protein kinase-like (PK-like)', 200960),
(266943, '0041719', NULL, NULL, 277, NULL, 'Protein kinase-like (PK-like)', 200960),
(266944, '0046210', NULL, NULL, 293, NULL, 'Protein kinase-like (PK-like)', 200960),
(266945, '0044907', NULL, NULL, 299, NULL, 'Protein kinase-like (PK-like)', 200960),
(266946, '0035157', NULL, NULL, 341, NULL, 'Protein kinase-like (PK-like)', 200960),
(266947, '0038940', NULL, NULL, 275, NULL, 'Protein kinase-like (PK-like)', 200960),
(266948, '0037731', NULL, NULL, 275, NULL, 'Protein kinase-like (PK-like)', 200960),
(266949, '0054833', NULL, NULL, 318, NULL, 'Protein kinase-like (PK-like)', 200960),
(266950, '0037572', NULL, NULL, 299, NULL, 'Protein kinase-like (PK-like)', 200960),
(266951, '0041048', NULL, NULL, 283, NULL, 'Protein kinase-like (PK-like)', 200960),
(266952, '0040670', NULL, NULL, 301, NULL, 'Protein kinase-like (PK-like)', 200960),
(266953, '0039870', NULL, NULL, 258, NULL, 'Protein kinase-like (PK-like)', 200960),
(266954, '0050905', NULL, NULL, 277, NULL, 'Protein kinase-like (PK-like)', 200960),
(266955, '0039792', NULL, NULL, 336, NULL, 'Protein kinase-like (PK-like)', 200960);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(266956, '0044036', NULL, NULL, 321, NULL, 'Protein kinase-like (PK-like)', 200960),
(266957, '0041767', NULL, NULL, 286, NULL, 'Protein kinase-like (PK-like)', 200960),
(266958, '0043269', NULL, NULL, 325, NULL, 'Protein kinase-like (PK-like)', 200960),
(266959, '0051133', NULL, NULL, 273, NULL, 'Protein kinase-like (PK-like)', 200960),
(266960, '0041927', NULL, NULL, 364, NULL, 'Protein kinase-like (PK-like)', 200960),
(266961, '0043074', NULL, NULL, 311, NULL, 'Protein kinase-like (PK-like)', 200960),
(266962, '0041095', NULL, NULL, 261, NULL, 'Protein kinase-like (PK-like)', 200960),
(266963, '0038659', NULL, NULL, 362, NULL, 'Protein kinase-like (PK-like)', 200960),
(266964, '0037803', NULL, NULL, 309, NULL, 'Protein kinase-like (PK-like)', 200960),
(266965, '0038413', NULL, NULL, 286, NULL, 'Protein kinase-like (PK-like)', 200960),
(266966, '0046180', NULL, NULL, 346, NULL, 'Protein kinase-like (PK-like)', 200960),
(266967, '0037369', NULL, NULL, 294, NULL, 'Protein kinase-like (PK-like)', 200960),
(266968, '0036031', NULL, NULL, 299, NULL, 'Protein kinase-like (PK-like)', 200960),
(266969, '0039145', NULL, NULL, 303, NULL, 'Protein kinase-like (PK-like)', 200960),
(266970, '0044407', NULL, NULL, 355, NULL, 'Protein kinase-like (PK-like)', 200960),
(266971, '0044924', NULL, NULL, 322, NULL, 'Protein kinase-like (PK-like)', 200960),
(266972, '0038373', NULL, NULL, 289, NULL, 'Protein kinase-like (PK-like)', 200960),
(266973, '0044203', NULL, NULL, 273, NULL, 'Protein kinase-like (PK-like)', 200960),
(266974, '0048206', NULL, NULL, 273, NULL, 'Protein kinase-like (PK-like)', 200960),
(266975, '0049538', NULL, NULL, 270, NULL, 'Protein kinase-like (PK-like)', 200960),
(266976, '0034801', NULL, NULL, 307, NULL, 'Protein kinase-like (PK-like)', 200960),
(266977, '0035615', NULL, NULL, 305, NULL, 'Protein kinase-like (PK-like)', 200960),
(266978, '0048011', NULL, NULL, 327, NULL, 'Protein kinase-like (PK-like)', 200960),
(266979, '0047088', NULL, NULL, 298, NULL, 'Protein kinase-like (PK-like)', 200960),
(266980, '0040727', NULL, NULL, 325, NULL, 'Protein kinase-like (PK-like)', 200960),
(266981, '0053681', NULL, NULL, 325, NULL, 'Protein kinase-like (PK-like)', 200960),
(266982, '0053164', NULL, NULL, 269, NULL, 'Protein kinase-like (PK-like)', 200960),
(266983, '0042707', NULL, NULL, 282, NULL, 'Protein kinase-like (PK-like)', 200960),
(266984, '0037714', NULL, NULL, 316, NULL, 'Protein kinase-like (PK-like)', 200960),
(266985, '0054536', NULL, NULL, 316, NULL, 'Protein kinase-like (PK-like)', 200960),
(266986, '0044090', NULL, NULL, 192, NULL, 'Protein kinase-like (PK-like)', 200960),
(266987, '0035371', NULL, NULL, 326, NULL, 'Protein kinase-like (PK-like)', 200960),
(266988, '0040179', NULL, NULL, 350, NULL, 'Protein kinase-like (PK-like)', 200960),
(266989, '0042315', NULL, NULL, 277, NULL, 'Protein kinase-like (PK-like)', 200960),
(266990, '0049348', NULL, NULL, 322, NULL, 'Protein kinase-like (PK-like)', 200960),
(266991, '0049347', NULL, NULL, 334, NULL, 'Protein kinase-like (PK-like)', 200960),
(266992, '0049786', NULL, NULL, 285, NULL, 'Protein kinase-like (PK-like)', 200960),
(266993, '0042354', NULL, NULL, 303, NULL, 'Protein kinase-like (PK-like)', 200960),
(266994, '0046998', NULL, NULL, 298, NULL, 'Protein kinase-like (PK-like)', 200960),
(266995, '0054221', NULL, NULL, 288, NULL, 'Protein kinase-like (PK-like)', 200960),
(266996, '0046042', NULL, NULL, 262, NULL, 'Protein kinase-like (PK-like)', 200960),
(266997, '0047332', NULL, NULL, 278, NULL, 'Protein kinase-like (PK-like)', 200960),
(266998, '0049795', NULL, NULL, 309, NULL, 'Protein kinase-like (PK-like)', 200960),
(266999, '0037668', NULL, NULL, 285, NULL, 'Protein kinase-like (PK-like)', 200960),
(267000, '0051877', NULL, NULL, 355, NULL, 'Protein kinase-like (PK-like)', 200960),
(267001, '0040180', NULL, NULL, 353, NULL, 'Protein kinase-like (PK-like)', 200960),
(267002, '0042918', NULL, NULL, 272, NULL, 'Protein kinase-like (PK-like)', 200960),
(267003, '0052889', NULL, NULL, 348, NULL, 'Protein kinase-like (PK-like)', 200960);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(267004, '0036014', NULL, NULL, 342, NULL, 'Protein kinase-like (PK-like)', 200960),
(267005, '0039408', NULL, NULL, 263, NULL, 'Protein kinase-like (PK-like)', 200960),
(267006, '0039603', NULL, NULL, 293, NULL, 'Protein kinase-like (PK-like)', 200960),
(267007, '0054547', NULL, NULL, 392, NULL, 'Protein kinase-like (PK-like)', 200960),
(267008, '0044547', NULL, NULL, 276, NULL, 'Protein kinase-like (PK-like)', 200960),
(267009, '0043658', NULL, NULL, 263, NULL, 'Protein kinase-like (PK-like)', 200960),
(267010, '0038477', NULL, NULL, 352, NULL, 'Protein kinase-like (PK-like)', 200960),
(267011, '0039686', NULL, NULL, 299, NULL, 'Protein kinase-like (PK-like)', 200960),
(267012, '0041592', NULL, NULL, 395, NULL, 'Protein kinase-like (PK-like)', 200960),
(267013, '0048785', NULL, NULL, 345, NULL, 'Protein kinase-like (PK-like)', 200960),
(267014, '0041315', NULL, NULL, 255, NULL, 'Protein kinase-like (PK-like)', 200960),
(267015, '0040302', NULL, NULL, 340, NULL, 'Protein kinase-like (PK-like)', 200960),
(267016, '0041710', NULL, NULL, 337, NULL, 'Protein kinase-like (PK-like)', 200960),
(267017, '0047734', NULL, NULL, 299, NULL, 'Protein kinase-like (PK-like)', 200960),
(267018, '0049834', NULL, NULL, 299, NULL, 'Protein kinase-like (PK-like)', 200960),
(267019, '0040595', NULL, NULL, 55, NULL, 'Bacterial immunoglobulin/albumin-binding domains', 200961),
(267020, '0049607', NULL, NULL, 53, NULL, 'Bacterial immunoglobulin/albumin-binding domains', 200961),
(267021, '0038121', NULL, NULL, 65, NULL, 'Bacterial immunoglobulin/albumin-binding domains', 200961),
(267022, '0051119', NULL, NULL, 56, NULL, 'Bacterial immunoglobulin/albumin-binding domains', 200961),
(267023, '0051118', NULL, NULL, 70, NULL, 'Bacterial immunoglobulin/albumin-binding domains', 200961),
(267024, '0046313', NULL, NULL, 51, NULL, 'Bacterial immunoglobulin/albumin-binding domains', 200961),
(267025, '0049457', NULL, NULL, 62, NULL, 'Bacterial immunoglobulin/albumin-binding domains', 200961),
(267026, '0046525', NULL, NULL, 56, NULL, 'Bacterial immunoglobulin/albumin-binding domains', 200961),
(267027, '0047141', NULL, NULL, 197, NULL, 'Nucleotide-binding domain', 200962),
(267028, '0048807', NULL, NULL, 180, NULL, 'Nucleotide-binding domain', 200962),
(267029, '0053749', NULL, NULL, 315, NULL, 'Nucleotide-binding domain', 200962),
(267030, '0046057', NULL, NULL, 269, NULL, 'Nucleotide-binding domain', 200962),
(267031, '0046156', NULL, NULL, 231, NULL, 'Nucleotide-binding domain', 200962),
(267032, '0045795', NULL, NULL, 248, NULL, 'Nucleotide-binding domain', 200962),
(267033, '0048016', NULL, NULL, 240, NULL, 'Nucleotide-binding domain', 200962),
(267034, '0036459', NULL, NULL, 234, NULL, 'Nucleotide-binding domain', 200962),
(267035, '0047327', NULL, NULL, 299, NULL, 'Nucleotide-binding domain', 200962),
(267036, '0050345', NULL, NULL, 131, NULL, 'Trigger factor ribosome-binding domain', 200963),
(267037, '0043831', NULL, NULL, 129, NULL, 'Trigger factor ribosome-binding domain', 200963),
(267038, '0053126', NULL, NULL, 64, NULL, 'Magnesium transport protein CorA, transmembrane region', 200964),
(267039, '0049440', NULL, NULL, 393, NULL, 'WD40 repeat-like', 200965),
(267040, '0054424', NULL, NULL, 342, NULL, 'WD40 repeat-like', 200965),
(267041, '0048681', NULL, NULL, 293, NULL, 'WD40 repeat-like', 200965),
(267042, '0048420', NULL, NULL, 311, NULL, 'WD40 repeat-like', 200965),
(267043, '0047024', NULL, NULL, 339, NULL, 'WD40 repeat-like', 200965),
(267044, '0047761', NULL, NULL, 371, NULL, 'WD40 repeat-like', 200965),
(267045, '0048421', NULL, NULL, 299, NULL, 'WD40 repeat-like', 200965),
(267046, '0049784', NULL, NULL, 340, NULL, 'WD40 repeat-like', 200965),
(267047, '0047077', NULL, NULL, 337, NULL, 'WD40 repeat-like', 200965),
(267048, '0048760', NULL, NULL, 287, NULL, 'WD40 repeat-like', 200965),
(267049, '0053623', NULL, NULL, 317, NULL, 'WD40 repeat-like', 200965),
(267050, '0046612', NULL, NULL, 388, NULL, 'WD40 repeat-like', 200965),
(267051, '0048759', NULL, NULL, 325, NULL, 'WD40 repeat-like', 200965),
(267052, '0048349', NULL, NULL, 355, NULL, 'WD40 repeat-like', 200965);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(267053, '0049400', NULL, NULL, 181, NULL, 'vWA-like', 200966),
(267054, '0048276', NULL, NULL, 189, NULL, 'vWA-like', 200966),
(267055, '0051423', NULL, NULL, 174, NULL, 'vWA-like', 200966),
(267056, '0053614', NULL, NULL, 196, NULL, 'vWA-like', 200966),
(267057, '0053249', NULL, NULL, 253, NULL, 'vWA-like', 200966),
(267058, '0039774', NULL, NULL, 248, NULL, 'vWA-like', 200966),
(267059, '0035144', NULL, NULL, 201, NULL, 'vWA-like', 200966),
(267060, '0036024', NULL, NULL, 193, NULL, 'vWA-like', 200966),
(267061, '0046828', NULL, NULL, 196, NULL, 'vWA-like', 200966),
(267062, '0045819', NULL, NULL, 184, NULL, 'vWA-like', 200966),
(267063, '0040480', NULL, NULL, 183, NULL, 'vWA-like', 200966),
(267064, '0048147', NULL, NULL, 194, NULL, 'vWA-like', 200966),
(267065, '0040744', NULL, NULL, 271, NULL, 'vWA-like', 200966),
(267066, '0040754', NULL, NULL, 252, NULL, 'vWA-like', 200966),
(267067, '0047568', NULL, NULL, 220, NULL, 'vWA-like', 200966),
(267068, '0047569', NULL, NULL, 236, NULL, 'vWA-like', 200966),
(267069, '0048922', NULL, NULL, 192, NULL, 'vWA-like', 200966),
(267070, '0053775', NULL, NULL, 115, NULL, 'Nucleocapsid protein dimerization domain', 200967),
(267071, '0052130', NULL, NULL, 109, NULL, 'Nucleocapsid protein dimerization domain', 200967),
(267072, '0054110', NULL, NULL, 56, NULL, 'Nucleocapsid protein dimerization domain', 200967),
(267073, '0042173', NULL, NULL, 57, NULL, 'Nucleocapsid protein dimerization domain', 200967),
(267074, '0052875', NULL, NULL, 107, NULL, 'Nucleocapsid protein dimerization domain', 200967),
(267075, '0051124', NULL, NULL, 124, NULL, 'ApaG-like', 200968),
(267076, '0051061', NULL, NULL, 123, NULL, 'ApaG-like', 200968),
(267077, '0049746', NULL, NULL, 132, NULL, 'ApaG-like', 200968),
(267078, '0051579', NULL, NULL, 433, NULL, 'Oxysterol-binding protein-like', 200969),
(267079, '0054347', NULL, NULL, 187, NULL, 'GAF domain-like', 200970),
(267080, '0054864', NULL, NULL, 192, NULL, 'GAF domain-like', 200970),
(267081, '0054399', NULL, NULL, 194, NULL, 'GAF domain-like', 200970),
(267082, '0048178', NULL, NULL, 171, NULL, 'GAF domain-like', 200970),
(267083, '0050183', NULL, NULL, 159, NULL, 'GAF domain-like', 200970),
(267084, '0048135', NULL, NULL, 187, NULL, 'GAF domain-like', 200970),
(267085, '0049595', NULL, NULL, 179, NULL, 'GAF domain-like', 200970),
(267086, '0054713', NULL, NULL, 188, NULL, 'GAF domain-like', 200970),
(267087, '0054249', NULL, NULL, 170, NULL, 'GAF domain-like', 200970),
(267088, '0054712', NULL, NULL, 196, NULL, 'GAF domain-like', 200970),
(267089, '0054865', NULL, NULL, 185, NULL, 'GAF domain-like', 200970),
(267090, '0049608', NULL, NULL, 184, NULL, 'GAF domain-like', 200970),
(267091, '0043759', NULL, NULL, 236, NULL, 'GAF domain-like', 200970),
(267092, '0048136', NULL, NULL, 154, NULL, 'GAF domain-like', 200970),
(267093, '0046710', NULL, NULL, 176, NULL, 'GAF domain-like', 200970),
(267094, '0054465', NULL, NULL, 119, NULL, 'TM1646-like', 200971),
(267095, '0043191', NULL, NULL, 231, NULL, 'Aquaporin-like', 200972),
(267096, '0037740', NULL, NULL, 226, NULL, 'Aquaporin-like', 200972),
(267097, '0039367', NULL, NULL, 249, NULL, 'Aquaporin-like', 200972),
(267098, '0037828', NULL, NULL, 254, NULL, 'Aquaporin-like', 200972),
(267099, '0043681', NULL, NULL, 235, NULL, 'Aquaporin-like', 200972),
(267100, '0042622', NULL, NULL, 156, NULL, 'Pili subunits', 200973),
(267101, '0041982', NULL, NULL, 144, NULL, 'Pili subunits', 200973),
(267102, '0041981', NULL, NULL, 171, NULL, 'Pili subunits', 200973),
(267103, '0054671', NULL, NULL, 166, NULL, 'Pili subunits', 200973),
(267104, '0054891', NULL, NULL, 107, NULL, 'Pili subunits', 200973),
(267105, '0052938', NULL, NULL, 101, NULL, 'Pili subunits', 200973),
(267106, '0054670', NULL, NULL, 81, NULL, 'Pili subunits', 200973),
(267107, '0038669', NULL, NULL, 129, NULL, 'Pili subunits', 200973),
(267108, '0049569', NULL, NULL, 108, NULL, 'Pili subunits', 200973),
(267109, '0045412', NULL, NULL, 158, NULL, 'Pili subunits', 200973),
(267110, '0054888', NULL, NULL, 154, NULL, 'Pili subunits', 200973);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(267111, '0054887', NULL, NULL, 84, NULL, 'Pili subunits', 200973),
(267112, '0050419', NULL, NULL, 94, NULL, 'EsxAB dimer-like', 200974),
(267113, '0050418', NULL, NULL, 99, NULL, 'EsxAB dimer-like', 200974),
(267114, '0050748', NULL, NULL, 161, NULL, 'Hypothetical protein ST1625', 200975),
(267115, '0053706', NULL, NULL, 156, NULL, 'FlhC-like', 200976),
(267116, '0046406', NULL, NULL, 145, NULL, 'ENTH/VHS domain', 200977),
(267117, '0046580', NULL, NULL, 153, NULL, 'ENTH/VHS domain', 200977),
(267118, '0047397', NULL, NULL, 148, NULL, 'ENTH/VHS domain', 200977),
(267119, '0049499', NULL, NULL, 144, NULL, 'ENTH/VHS domain', 200977),
(267120, '0038572', NULL, NULL, 131, NULL, 'ENTH/VHS domain', 200977),
(267121, '0038769', NULL, NULL, 140, NULL, 'ENTH/VHS domain', 200977),
(267122, '0040934', NULL, NULL, 143, NULL, 'ENTH/VHS domain', 200977),
(267123, '0046653', NULL, NULL, 144, NULL, 'ENTH/VHS domain', 200977),
(267124, '0047697', NULL, NULL, 140, NULL, 'ENTH/VHS domain', 200977),
(267125, '0039767', NULL, NULL, 151, NULL, 'ENTH/VHS domain', 200977),
(267126, '0053945', NULL, NULL, 115, NULL, 'SARS Nsp1-like', 200978),
(267127, '0040390', NULL, NULL, 490, NULL, 'Aconitase iron-sulfur domain', 200979),
(267128, '0051895', NULL, NULL, 629, NULL, 'Aconitase iron-sulfur domain', 200979),
(267129, '0034996', NULL, NULL, 527, NULL, 'Aconitase iron-sulfur domain', 200979),
(267130, '0053530', NULL, NULL, 42, NULL, 'Vasodilator-stimulated phosphoprotein, VASP, tetramerisation domain', 200980),
(267131, '0046769', NULL, NULL, 186, NULL, 'Translational machinery components', 200981),
(267132, '0054610', NULL, NULL, 117, NULL, 'Translational machinery components', 200981),
(267133, '0048651', NULL, NULL, 97, NULL, 'Translational machinery components', 200981),
(267134, '0054783', NULL, NULL, 104, NULL, 'Translational machinery components', 200981),
(267135, '0054002', NULL, NULL, 113, NULL, 'Translational machinery components', 200981),
(267136, '0047384', NULL, NULL, 90, NULL, 'Translational machinery components', 200981),
(267137, '0046396', NULL, NULL, 134, NULL, 'Translational machinery components', 200981),
(267138, '0054592', NULL, NULL, 117, NULL, 'Translational machinery components', 200981),
(267139, '0054716', NULL, NULL, 142, NULL, 'Translational machinery components', 200981),
(267140, '0046799', NULL, NULL, 119, NULL, 'Translational machinery components', 200981),
(267141, '0051441', NULL, NULL, 77, NULL, 'MIT domain', 200982),
(267142, '0052227', NULL, NULL, 104, NULL, 'MIT domain', 200982),
(267143, '0050489', NULL, NULL, 93, NULL, 'MIT domain', 200982),
(267144, '0045989', NULL, NULL, 298, NULL, 'LigB-like', 200983),
(267145, '0054554', NULL, NULL, 258, NULL, 'LigB-like', 200983),
(267146, '0054457', NULL, NULL, 197, NULL, 'PG1388-like', 200984),
(267147, '0050165', NULL, NULL, 62, NULL, 'Rudiment single hybrid motif', 200985),
(267148, '0053610', NULL, NULL, 66, NULL, 'Rudiment single hybrid motif', 200985),
(267149, '0047171', NULL, NULL, 63, NULL, 'Rudiment single hybrid motif', 200985),
(267150, '0035374', NULL, NULL, 79, NULL, 'Rudiment single hybrid motif', 200985),
(267151, '0037274', NULL, NULL, 74, NULL, 'Rudiment single hybrid motif', 200985),
(267152, '0046145', NULL, NULL, 62, NULL, 'Rudiment single hybrid motif', 200985),
(267153, '0050406', NULL, NULL, 116, NULL, 'Rudiment single hybrid motif', 200985),
(267154, '0046444', NULL, NULL, 64, NULL, 'Rudiment single hybrid motif', 200985),
(267155, '0044432', NULL, NULL, 123, NULL, 'Rudiment single hybrid motif', 200985),
(267156, '0044850', NULL, NULL, 86, NULL, 'Rudiment single hybrid motif', 200985),
(267157, '0046402', NULL, NULL, 116, NULL, 'Rudiment single hybrid motif', 200985),
(267158, '0038249', NULL, NULL, 99, NULL, 'Rudiment single hybrid motif', 200985),
(267159, '0038871', NULL, NULL, 1449, NULL, 'beta and beta-prime subunits of DNA dependent RNA-polymerase', 200986),
(267160, '0038872', NULL, NULL, 1207, NULL, 'beta and beta-prime subunits of DNA dependent RNA-polymerase', 200986),
(267161, '0039236', NULL, NULL, 1504, NULL, 'beta and beta-prime subunits of DNA dependent RNA-polymerase', 200986);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(267162, '0039235', NULL, NULL, 1119, NULL, 'beta and beta-prime subunits of DNA dependent RNA-polymerase', 200986),
(267163, '0053657', NULL, NULL, 1238, NULL, 'beta and beta-prime subunits of DNA dependent RNA-polymerase', 200986),
(267164, '0038897', NULL, NULL, 1113, NULL, 'beta and beta-prime subunits of DNA dependent RNA-polymerase', 200986),
(267165, '0038898', NULL, NULL, 1234, NULL, 'beta and beta-prime subunits of DNA dependent RNA-polymerase', 200986),
(267166, '0035087', NULL, NULL, 143, NULL, 'Scaffolding protein gpD of bacteriophage procapsid', 200987),
(267167, '0037634', NULL, NULL, 188, NULL, 'Methuselah ectodomain', 200988),
(267168, '0043815', NULL, NULL, 473, NULL, '2-methylcitrate dehydratase PrpD', 200989),
(267169, '0037110', NULL, NULL, 77, NULL, 'Retrovirus capsid dimerization domain-like', 200990),
(267170, '0051231', NULL, NULL, 96, NULL, 'Retrovirus capsid dimerization domain-like', 200990),
(267171, '0045255', NULL, NULL, 75, NULL, 'Retrovirus capsid dimerization domain-like', 200990),
(267172, '0034953', NULL, NULL, 70, NULL, 'Retrovirus capsid dimerization domain-like', 200990),
(267173, '0042960', NULL, NULL, 84, NULL, 'Retrovirus capsid dimerization domain-like', 200990),
(267174, '0036227', NULL, NULL, 80, NULL, 'Retrovirus capsid dimerization domain-like', 200990),
(267175, '0052699', NULL, NULL, 92, NULL, 'Retrovirus capsid dimerization domain-like', 200990),
(267176, '0041791', NULL, NULL, 198, NULL, 'Receptor-binding domain of short tail fibre protein gp12', 200991),
(267177, '0038451', NULL, NULL, 80, NULL, 'Receptor-binding domain of short tail fibre protein gp12', 200991),
(267178, '0040443', NULL, NULL, 146, NULL, 'N-acetylmuramoyl-L-alanine amidase-like', 200992),
(267179, '0051276', NULL, NULL, 167, NULL, 'N-acetylmuramoyl-L-alanine amidase-like', 200992),
(267180, '0052586', NULL, NULL, 166, NULL, 'N-acetylmuramoyl-L-alanine amidase-like', 200992),
(267181, '0049494', NULL, NULL, 173, NULL, 'N-acetylmuramoyl-L-alanine amidase-like', 200992),
(267182, '0052587', NULL, NULL, 165, NULL, 'N-acetylmuramoyl-L-alanine amidase-like', 200992),
(267183, '0051969', NULL, NULL, 173, NULL, 'N-acetylmuramoyl-L-alanine amidase-like', 200992),
(267184, '0039348', NULL, NULL, 187, NULL, 'N-acetylmuramoyl-L-alanine amidase-like', 200992),
(267185, '0043642', NULL, NULL, 163, NULL, 'N-acetylmuramoyl-L-alanine amidase-like', 200992),
(267186, '0048569', NULL, NULL, 174, NULL, 'N-acetylmuramoyl-L-alanine amidase-like', 200992),
(267187, '0052137', NULL, NULL, 171, NULL, 'N-acetylmuramoyl-L-alanine amidase-like', 200992),
(267188, '0051259', NULL, NULL, 157, NULL, 'N-acetylmuramoyl-L-alanine amidase-like', 200992),
(267189, '0034967', NULL, NULL, 153, NULL, 'Carbamoyl phosphate synthetase, large subunit connection domain', 200993),
(267190, '0054550', NULL, NULL, 144, NULL, 'Sama2622-like', 200994),
(267191, '0053169', NULL, NULL, 105, NULL, 'YeeU-like', 200995),
(267192, '0053119', NULL, NULL, 117, NULL, 'YeeU-like', 200995),
(267193, '0052985', NULL, NULL, 107, NULL, 'YeeU-like', 200995),
(267194, '0043481', NULL, NULL, 104, NULL, 'FMT C-terminal domain-like', 200996),
(267195, '0037670', NULL, NULL, 108, NULL, 'FMT C-terminal domain-like', 200996),
(267196, '0051570', NULL, NULL, 62, NULL, 'FMT C-terminal domain-like', 200996),
(267197, '0037228', NULL, NULL, 214, NULL, 'FMT C-terminal domain-like', 200996),
(267198, '0052062', NULL, NULL, 104, NULL, 'FMT C-terminal domain-like', 200996),
(267199, '0051997', NULL, NULL, 101, NULL, 'FMT C-terminal domain-like', 200996),
(267200, '0054234', NULL, NULL, 130, NULL, 'YehR-like', 200997),
(267201, '0053400', NULL, NULL, 428, NULL, 'Colicin Ia, N-terminal domain', 200998),
(267202, '0050794', NULL, NULL, 57, NULL, 'XPC-binding domain', 200999),
(267203, '0049666', NULL, NULL, 59, NULL, 'XPC-binding domain', 200999),
(267204, '0042489', NULL, NULL, 72, NULL, 'XPC-binding domain', 200999),
(267205, '0049121', NULL, NULL, 66, NULL, 'Ribosomal protein L29 (L29p)', 201000),
(267206, '0054038', NULL, NULL, 67, NULL, 'Ribosomal protein L29 (L29p)', 201000);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(267207, '0054793', NULL, NULL, 66, NULL, 'Ribosomal protein L29 (L29p)', 201000),
(267208, '0046772', NULL, NULL, 65, NULL, 'Ribosomal protein L29 (L29p)', 201000),
(267209, '0052976', NULL, NULL, 60, NULL, 'Ribosomal protein L29 (L29p)', 201000),
(267210, '0051857', NULL, NULL, 301, NULL, 'NAP-like', 201001),
(267211, '0053864', NULL, NULL, 222, NULL, 'NAP-like', 201001),
(267212, '0051836', NULL, NULL, 156, NULL, 'LD-carboxypeptidase A C-terminal domain-like', 201002),
(267213, '0049477', NULL, NULL, 304, NULL, 'GyrA/ParC C-terminal domain-like', 201003),
(267214, '0050675', NULL, NULL, 323, NULL, 'GyrA/ParC C-terminal domain-like', 201003),
(267215, '0042046', NULL, NULL, 107, NULL, 'ERP29 C domain-like', 201004),
(267216, '0037969', NULL, NULL, 106, NULL, 'ERP29 C domain-like', 201004),
(267217, '0046481', NULL, NULL, 54, NULL, 'Recombination endonuclease VII, C-terminal and dimerization domains', 201005),
(267218, '0048670', NULL, NULL, 147, NULL, 'SecB-like', 201006),
(267219, '0053595', NULL, NULL, 144, NULL, 'SecB-like', 201006),
(267220, '0054052', NULL, NULL, 124, NULL, 'SecB-like', 201006),
(267221, '0043044', NULL, NULL, 134, NULL, 'SecB-like', 201006),
(267222, '0054319', NULL, NULL, 124, NULL, 'SecB-like', 201006),
(267223, '0040794', NULL, NULL, 265, NULL, 'Cytochrome c oxidase subunit III-like', 201007),
(267224, '0042845', NULL, NULL, 273, NULL, 'Cytochrome c oxidase subunit III-like', 201007),
(267225, '0041781', NULL, NULL, 261, NULL, 'Cytochrome c oxidase subunit III-like', 201007),
(267226, '0037559', NULL, NULL, 185, NULL, 'Cytochrome c oxidase subunit III-like', 201007),
(267227, '0046373', NULL, NULL, 309, NULL, 'Chelatase', 201008),
(267228, '0049646', NULL, NULL, 125, NULL, 'Chelatase', 201008),
(267229, '0047952', NULL, NULL, 356, NULL, 'Chelatase', 201008),
(267230, '0048953', NULL, NULL, 257, NULL, 'Chelatase', 201008),
(267231, '0047228', NULL, NULL, 359, NULL, 'Chelatase', 201008),
(267232, '0041119', NULL, NULL, 96, NULL, 'A heparin-binding domain', 201009),
(267233, '0044663', NULL, NULL, 78, NULL, 'MoaD-related protein, C-terminal domain', 201010),
(267234, '0052000', NULL, NULL, 181, NULL, 'Pentapeptide repeat-like', 201011),
(267235, '0052590', NULL, NULL, 132, NULL, 'Pentapeptide repeat-like', 201011),
(267236, '0053162', NULL, NULL, 175, NULL, 'Pentapeptide repeat-like', 201011),
(267237, '0054321', NULL, NULL, 248, NULL, 'ApbE-like', 201012),
(267238, '0050307', NULL, NULL, 309, NULL, 'ApbE-like', 201012),
(267239, '0045482', NULL, NULL, 140, NULL, 'MurD-like peptide ligases, peptide-binding domain', 201013),
(267240, '0048688', NULL, NULL, 152, NULL, 'MurD-like peptide ligases, peptide-binding domain', 201013),
(267241, '0046486', NULL, NULL, 160, NULL, 'MurD-like peptide ligases, peptide-binding domain', 201013),
(267242, '0038083', NULL, NULL, 135, NULL, 'MurD-like peptide ligases, peptide-binding domain', 201013),
(267243, '0039392', NULL, NULL, 151, NULL, 'MurD-like peptide ligases, peptide-binding domain', 201013),
(267244, '0052865', NULL, NULL, 129, NULL, 'MurD-like peptide ligases, peptide-binding domain', 201013),
(267245, '0041698', NULL, NULL, 137, NULL, 'MurD-like peptide ligases, peptide-binding domain', 201013),
(267246, '0042508', NULL, NULL, 48, NULL, 'CCHHC domain', 201014),
(267247, '0053497', NULL, NULL, 31, NULL, 'Tetramerization domain of the Mnt repressor', 201015),
(267248, '0037152', NULL, NULL, 151, NULL, 'EV matrix protein', 201016),
(267249, '0037153', NULL, NULL, 121, NULL, 'EV matrix protein', 201016),
(267250, '0048065', NULL, NULL, 109, NULL, 'PapD-like', 201017),
(267251, '0053784', NULL, NULL, 128, NULL, 'PapD-like', 201017),
(267252, '0047045', NULL, NULL, 124, NULL, 'PapD-like', 201017),
(267253, '0042924', NULL, NULL, 124, NULL, 'PapD-like', 201017),
(267254, '0050581', NULL, NULL, 152, NULL, 'PapD-like', 201017),
(267255, '0049045', NULL, NULL, 121, NULL, 'PapD-like', 201017),
(267256, '0049221', NULL, NULL, 107, NULL, 'PapD-like', 201017),
(267257, '0048701', NULL, NULL, 141, NULL, 'PapD-like', 201017),
(267258, '0047932', NULL, NULL, 120, NULL, 'PapD-like', 201017);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(267259, '0048218', NULL, NULL, 124, NULL, 'PapD-like', 201017),
(267260, '0040431', NULL, NULL, 143, NULL, 'Rotavirus NSP2 fragment, N-terminal domain', 201018),
(267261, '0043048', NULL, NULL, 213, NULL, 'YcfC-like', 201019),
(267262, '0048750', NULL, NULL, 94, NULL, 'Aspartate carbamoyltransferase, Regulatory-chain, N-terminal domain', 201020),
(267263, '0046242', NULL, NULL, 100, NULL, 'Aspartate carbamoyltransferase, Regulatory-chain, N-terminal domain', 201020),
(267264, '0051828', NULL, NULL, 100, NULL, 'Aspartate carbamoyltransferase, Regulatory-chain, N-terminal domain', 201020),
(267265, '0047480', NULL, NULL, 132, NULL, 'GroES-like', 201021),
(267266, '0046252', NULL, NULL, 198, NULL, 'GroES-like', 201021),
(267267, '0049685', NULL, NULL, 163, NULL, 'GroES-like', 201021),
(267268, '0051263', NULL, NULL, 151, NULL, 'GroES-like', 201021),
(267269, '0048672', NULL, NULL, 199, NULL, 'GroES-like', 201021),
(267270, '0036743', NULL, NULL, 227, NULL, 'GroES-like', 201021),
(267271, '0042905', NULL, NULL, 148, NULL, 'GroES-like', 201021),
(267272, '0035135', NULL, NULL, 97, NULL, 'GroES-like', 201021),
(267273, '0037912', NULL, NULL, 107, NULL, 'GroES-like', 201021),
(267274, '0047181', NULL, NULL, 199, NULL, 'GroES-like', 201021),
(267275, '0039779', NULL, NULL, 178, NULL, 'GroES-like', 201021),
(267276, '0040476', NULL, NULL, 99, NULL, 'GroES-like', 201021),
(267277, '0038267', NULL, NULL, 176, NULL, 'GroES-like', 201021),
(267278, '0046113', NULL, NULL, 200, NULL, 'GroES-like', 201021),
(267279, '0047104', NULL, NULL, 172, NULL, 'GroES-like', 201021),
(267280, '0046314', NULL, NULL, 199, NULL, 'GroES-like', 201021),
(267281, '0047846', NULL, NULL, 202, NULL, 'GroES-like', 201021),
(267282, '0042138', NULL, NULL, 99, NULL, 'GroES-like', 201021),
(267283, '0045092', NULL, NULL, 189, NULL, 'GroES-like', 201021),
(267284, '0050001', NULL, NULL, 180, NULL, 'GroES-like', 201021),
(267285, '0047232', NULL, NULL, 199, NULL, 'GroES-like', 201021),
(267286, '0040817', NULL, NULL, 198, NULL, 'GroES-like', 201021),
(267287, '0053618', NULL, NULL, 167, NULL, 'GroES-like', 201021),
(267288, '0050889', NULL, NULL, 153, NULL, 'GroES-like', 201021),
(267289, '0050202', NULL, NULL, 185, NULL, 'GroES-like', 201021),
(267290, '0044605', NULL, NULL, 148, NULL, 'GroES-like', 201021),
(267291, '0044967', NULL, NULL, 96, NULL, 'GroES-like', 201021),
(267292, '0047654', NULL, NULL, 178, NULL, 'GroES-like', 201021),
(267293, '0041738', NULL, NULL, 147, NULL, 'GroES-like', 201021),
(267294, '0043275', NULL, NULL, 172, NULL, 'GroES-like', 201021),
(267295, '0048862', NULL, NULL, 193, NULL, 'GroES-like', 201021),
(267296, '0047235', NULL, NULL, 199, NULL, 'GroES-like', 201021),
(267297, '0047994', NULL, NULL, 176, NULL, 'GroES-like', 201021),
(267298, '0042365', NULL, NULL, 186, NULL, 'GroES-like', 201021),
(267299, '0046449', NULL, NULL, 179, NULL, 'GroES-like', 201021),
(267300, '0046724', NULL, NULL, 195, NULL, 'GroES-like', 201021),
(267301, '0038508', NULL, NULL, 63, NULL, 'EGF/Laminin', 201022),
(267302, '0048473', NULL, NULL, 42, NULL, 'EGF/Laminin', 201022),
(267303, '0036644', NULL, NULL, 40, NULL, 'EGF/Laminin', 201022),
(267304, '0042294', NULL, NULL, 40, NULL, 'EGF/Laminin', 201022),
(267305, '0050997', NULL, NULL, 39, NULL, 'EGF/Laminin', 201022),
(267306, '0038148', NULL, NULL, 40, NULL, 'EGF/Laminin', 201022),
(267307, '0048718', NULL, NULL, 54, NULL, 'EGF/Laminin', 201022),
(267308, '0045804', NULL, NULL, 53, NULL, 'EGF/Laminin', 201022),
(267309, '0039114', NULL, NULL, 50, NULL, 'EGF/Laminin', 201022),
(267310, '0042295', NULL, NULL, 60, NULL, 'EGF/Laminin', 201022),
(267311, '0053580', NULL, NULL, 55, NULL, 'EGF/Laminin', 201022),
(267312, '0043221', NULL, NULL, 57, NULL, 'EGF/Laminin', 201022),
(267313, '0045767', NULL, NULL, 40, NULL, 'EGF/Laminin', 201022),
(267314, '0048437', NULL, NULL, 45, NULL, 'EGF/Laminin', 201022),
(267315, '0046899', NULL, NULL, 40, NULL, 'EGF/Laminin', 201022),
(267316, '0044080', NULL, NULL, 41, NULL, 'EGF/Laminin', 201022),
(267317, '0053592', NULL, NULL, 48, NULL, 'EGF/Laminin', 201022);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(267318, '0053152', NULL, NULL, 39, NULL, 'EGF/Laminin', 201022),
(267319, '0035423', NULL, NULL, 44, NULL, 'EGF/Laminin', 201022),
(267320, '0036113', NULL, NULL, 42, NULL, 'EGF/Laminin', 201022),
(267321, '0040564', NULL, NULL, 44, NULL, 'EGF/Laminin', 201022),
(267322, '0046901', NULL, NULL, 39, NULL, 'EGF/Laminin', 201022),
(267323, '0037086', NULL, NULL, 43, NULL, 'EGF/Laminin', 201022),
(267324, '0048204', NULL, NULL, 49, NULL, 'EGF/Laminin', 201022),
(267325, '0048447', NULL, NULL, 25, NULL, 'EGF/Laminin', 201022),
(267326, '0046224', NULL, NULL, 41, NULL, 'EGF/Laminin', 201022),
(267327, '0046589', NULL, NULL, 39, NULL, 'EGF/Laminin', 201022),
(267328, '0046108', NULL, NULL, 42, NULL, 'EGF/Laminin', 201022),
(267329, '0040565', NULL, NULL, 42, NULL, 'EGF/Laminin', 201022),
(267330, '0049664', NULL, NULL, 39, NULL, 'EGF/Laminin', 201022),
(267331, '0048531', NULL, NULL, 51, NULL, 'EGF/Laminin', 201022),
(267332, '0049663', NULL, NULL, 42, NULL, 'EGF/Laminin', 201022),
(267333, '0036621', NULL, NULL, 45, NULL, 'EGF/Laminin', 201022),
(267334, '0035212', NULL, NULL, 50, NULL, 'EGF/Laminin', 201022),
(267335, '0038803', NULL, NULL, 41, NULL, 'EGF/Laminin', 201022),
(267336, '0035211', NULL, NULL, 48, NULL, 'EGF/Laminin', 201022),
(267337, '0038126', NULL, NULL, 49, NULL, 'EGF/Laminin', 201022),
(267338, '0037555', NULL, NULL, 46, NULL, 'EGF/Laminin', 201022),
(267339, '0039776', NULL, NULL, 31, NULL, 'EGF/Laminin', 201022),
(267340, '0048292', NULL, NULL, 44, NULL, 'EGF/Laminin', 201022),
(267341, '0041189', NULL, NULL, 47, NULL, 'EGF/Laminin', 201022),
(267342, '0041188', NULL, NULL, 44, NULL, 'EGF/Laminin', 201022),
(267343, '0039055', NULL, NULL, 50, NULL, 'EGF/Laminin', 201022),
(267344, '0046553', NULL, NULL, 53, NULL, 'EGF/Laminin', 201022),
(267345, '0048017', NULL, NULL, 25, NULL, 'EGF/Laminin', 201022),
(267346, '0049500', NULL, NULL, 45, NULL, 'EGF/Laminin', 201022),
(267347, '0049665', NULL, NULL, 35, NULL, 'EGF/Laminin', 201022),
(267348, '0044576', NULL, NULL, 43, NULL, 'EGF/Laminin', 201022),
(267349, '0053080', NULL, NULL, 40, NULL, 'EGF/Laminin', 201022),
(267350, '0040138', NULL, NULL, 61, NULL, 'EGF/Laminin', 201022),
(267351, '0044577', NULL, NULL, 43, NULL, 'EGF/Laminin', 201022),
(267352, '0046120', NULL, NULL, 45, NULL, 'EGF/Laminin', 201022),
(267353, '0047694', NULL, NULL, 43, NULL, 'EGF/Laminin', 201022),
(267354, '0045033', NULL, NULL, 41, NULL, 'EGF/Laminin', 201022),
(267355, '0046121', NULL, NULL, 51, NULL, 'EGF/Laminin', 201022),
(267356, '0045912', NULL, NULL, 45, NULL, 'EGF/Laminin', 201022),
(267357, '0039882', NULL, NULL, 46, NULL, 'EGF/Laminin', 201022),
(267358, '0047815', NULL, NULL, 51, NULL, 'EGF/Laminin', 201022),
(267359, '0040142', NULL, NULL, 51, NULL, 'EGF/Laminin', 201022),
(267360, '0040141', NULL, NULL, 56, NULL, 'EGF/Laminin', 201022),
(267361, '0040140', NULL, NULL, 55, NULL, 'EGF/Laminin', 201022),
(267362, '0045115', NULL, NULL, 44, NULL, 'EGF/Laminin', 201022),
(267363, '0046526', NULL, NULL, 39, NULL, 'EGF/Laminin', 201022),
(267364, '0047931', NULL, NULL, 41, NULL, 'EGF/Laminin', 201022),
(267365, '0047570', NULL, NULL, 319, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267366, '0051795', NULL, NULL, 324, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267367, '0046098', NULL, NULL, 315, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267368, '0048014', NULL, NULL, 346, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267369, '0049058', NULL, NULL, 312, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267370, '0049299', NULL, NULL, 315, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267371, '0050262', NULL, NULL, 284, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267372, '0048562', NULL, NULL, 298, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267373, '0048892', NULL, NULL, 322, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267374, '0046848', NULL, NULL, 315, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267375, '0048842', NULL, NULL, 311, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267376, '0045771', NULL, NULL, 319, NULL, 'NAD(P)-linked oxidoreductase', 201023);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(267377, '0046225', NULL, NULL, 324, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267378, '0047069', NULL, NULL, 324, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267379, '0049985', NULL, NULL, 314, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267380, '0047367', NULL, NULL, 320, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267381, '0048247', NULL, NULL, 274, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267382, '0045776', NULL, NULL, 315, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267383, '0048846', NULL, NULL, 333, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267384, '0046647', NULL, NULL, 326, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267385, '0047249', NULL, NULL, 262, NULL, 'NAD(P)-linked oxidoreductase', 201023),
(267386, '0040990', NULL, NULL, 134, NULL, 'OsmC-like', 201024),
(267387, '0044506', NULL, NULL, 137, NULL, 'OsmC-like', 201024),
(267388, '0044408', NULL, NULL, 141, NULL, 'OsmC-like', 201024),
(267389, '0054386', NULL, NULL, 139, NULL, 'OsmC-like', 201024),
(267390, '0040616', NULL, NULL, 141, NULL, 'OsmC-like', 201024),
(267391, '0054529', NULL, NULL, 132, NULL, 'OsmC-like', 201024),
(267392, '0041625', NULL, NULL, 162, NULL, 'OsmC-like', 201024),
(267393, '0053803', NULL, NULL, 155, NULL, 'OsmC-like', 201024),
(267394, '0044862', NULL, NULL, 144, NULL, 'OsmC-like', 201024),
(267395, '0041204', NULL, NULL, 142, NULL, 'OsmC-like', 201024),
(267396, '0054404', NULL, NULL, 182, NULL, 'OsmC-like', 201024),
(267397, '0050343', NULL, NULL, 162, NULL, 'Nucleotide cyclase', 201025),
(267398, '0045849', NULL, NULL, 190, NULL, 'Nucleotide cyclase', 201025),
(267399, '0046870', NULL, NULL, 235, NULL, 'Nucleotide cyclase', 201025),
(267400, '0046871', NULL, NULL, 231, NULL, 'Nucleotide cyclase', 201025),
(267401, '0050428', NULL, NULL, 199, NULL, 'Nucleotide cyclase', 201025),
(267402, '0045850', NULL, NULL, 199, NULL, 'Nucleotide cyclase', 201025),
(267403, '0040352', NULL, NULL, 721, NULL, 'PFL-like glycyl radical enzymes', 201026),
(267404, '0042277', NULL, NULL, 525, NULL, 'PFL-like glycyl radical enzymes', 201026),
(267405, '0054023', NULL, NULL, 440, NULL, 'PFL-like glycyl radical enzymes', 201026),
(267406, '0049134', NULL, NULL, 786, NULL, 'PFL-like glycyl radical enzymes', 201026),
(267407, '0046178', NULL, NULL, 759, NULL, 'PFL-like glycyl radical enzymes', 201026),
(267408, '0047139', NULL, NULL, 562, NULL, 'PFL-like glycyl radical enzymes', 201026),
(267409, '0043302', NULL, NULL, 525, NULL, 'PFL-like glycyl radical enzymes', 201026),
(267410, '0049163', NULL, NULL, 330, NULL, 'Bacterial luciferase-like', 201027),
(267411, '0048354', NULL, NULL, 228, NULL, 'Bacterial luciferase-like', 201027),
(267412, '0048036', NULL, NULL, 355, NULL, 'Bacterial luciferase-like', 201027),
(267413, '0046662', NULL, NULL, 347, NULL, 'Bacterial luciferase-like', 201027),
(267414, '0048037', NULL, NULL, 320, NULL, 'Bacterial luciferase-like', 201027),
(267415, '0046666', NULL, NULL, 321, NULL, 'Bacterial luciferase-like', 201027),
(267416, '0049715', NULL, NULL, 430, NULL, 'Bacterial luciferase-like', 201027),
(267417, '0046866', NULL, NULL, 231, NULL, 'Bacterial luciferase-like', 201027),
(267418, '0048081', NULL, NULL, 361, NULL, 'Bacterial luciferase-like', 201027),
(267419, '0049792', NULL, NULL, 107, NULL, 'Prion-like', 201028),
(267420, '0051189', NULL, NULL, 113, NULL, 'Prion-like', 201028),
(267421, '0037705', NULL, NULL, 107, NULL, 'Prion-like', 201028),
(267422, '0051151', NULL, NULL, 111, NULL, 'Prion-like', 201028),
(267423, '0051150', NULL, NULL, 111, NULL, 'Prion-like', 201028),
(267424, '0038829', NULL, NULL, 107, NULL, 'Prion-like', 201028),
(267425, '0049783', NULL, NULL, 117, NULL, 'Prion-like', 201028),
(267426, '0051152', NULL, NULL, 112, NULL, 'Prion-like', 201028),
(267427, '0040490', NULL, NULL, 99, NULL, 'Prion-like', 201028),
(267428, '0051106', NULL, NULL, 102, NULL, 'Prion-like', 201028),
(267429, '0035303', NULL, NULL, 104, NULL, 'Prion-like', 201028),
(267430, '0038866', NULL, NULL, 108, NULL, 'Prion-like', 201028),
(267431, '0052936', NULL, NULL, 154, NULL, 'Duplicated hybrid motif', 201029); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(267432, '0047037', NULL, NULL, 158, NULL, 'Duplicated hybrid motif', 201029),
(267433, '0047009', NULL, NULL, 168, NULL, 'Duplicated hybrid motif', 201029),
(267434, '0043026', NULL, NULL, 270, NULL, 'Duplicated hybrid motif', 201029),
(267435, '0041713', NULL, NULL, 124, NULL, 'Supernatant protein factor (SPF), C-terminal domain', 201030),
(267436, '0037976', NULL, NULL, 131, NULL, 'Initiation factor IF2/eIF5b, domain 3', 201031),
(267437, '0040011', NULL, NULL, 59, NULL, 'Nuclear receptor coactivator interlocking domain', 201032),
(267438, '0040010', NULL, NULL, 47, NULL, 'Nuclear receptor coactivator interlocking domain', 201032),
(267439, '0053766', NULL, NULL, 51, NULL, 'Nuclear receptor coactivator interlocking domain', 201032),
(267440, '0054324', NULL, NULL, 197, NULL, 'Virus attachment protein globular domain', 201033),
(267441, '0042800', NULL, NULL, 195, NULL, 'Virus attachment protein globular domain', 201033),
(267442, '0039994', NULL, NULL, 185, NULL, 'Virus attachment protein globular domain', 201033),
(267443, '0038471', NULL, NULL, 191, NULL, 'Virus attachment protein globular domain', 201033),
(267444, '0040161', NULL, NULL, 186, NULL, 'Virus attachment protein globular domain', 201033),
(267445, '0054187', NULL, NULL, 182, NULL, 'Virus attachment protein globular domain', 201033),
(267446, '0051626', NULL, NULL, 103, NULL, 'Virus attachment protein globular domain', 201033),
(267447, '0052557', NULL, NULL, 101, NULL, 'Virus attachment protein globular domain', 201033),
(267448, '0040127', NULL, NULL, 143, NULL, 'Virus attachment protein globular domain', 201033),
(267449, '0044557', NULL, NULL, 185, NULL, 'Virus attachment protein globular domain', 201033),
(267450, '0036393', NULL, NULL, 420, NULL, 'Nitric oxide (NO) synthase oxygenase domain', 201034),
(267451, '0036914', NULL, NULL, 416, NULL, 'Nitric oxide (NO) synthase oxygenase domain', 201034),
(267452, '0040839', NULL, NULL, 363, NULL, 'Nitric oxide (NO) synthase oxygenase domain', 201034),
(267453, '0040969', NULL, NULL, 346, NULL, 'Nitric oxide (NO) synthase oxygenase domain', 201034),
(267454, '0040714', NULL, NULL, 418, NULL, 'Nitric oxide (NO) synthase oxygenase domain', 201034),
(267455, '0045599', NULL, NULL, 421, NULL, 'Nitric oxide (NO) synthase oxygenase domain', 201034),
(267456, '0046196', NULL, NULL, 129, NULL, 'Cytochromes', 201035),
(267457, '0049289', NULL, NULL, 129, NULL, 'Cytochromes', 201035),
(267458, '0046484', NULL, NULL, 125, NULL, 'Cytochromes', 201035),
(267459, '0045136', NULL, NULL, 106, NULL, 'Cytochromes', 201035),
(267460, '0038226', NULL, NULL, 130, NULL, 'Cytochromes', 201035),
(267461, '0045734', NULL, NULL, 125, NULL, 'Cytochromes', 201035),
(267462, '0045921', NULL, NULL, 131, NULL, 'Cytochromes', 201035),
(267463, '0047546', NULL, NULL, 128, NULL, 'Cytochromes', 201035),
(267464, '0052148', NULL, NULL, 127, NULL, 'Cytochromes', 201035),
(267465, '0052256', NULL, NULL, 126, NULL, 'WGR domain-like', 201036),
(267466, '0046719', NULL, NULL, 262, NULL, 'Dihydropteroate synthetase-like', 201037),
(267467, '0045781', NULL, NULL, 282, NULL, 'Dihydropteroate synthetase-like', 201037),
(267468, '0046651', NULL, NULL, 270, NULL, 'Dihydropteroate synthetase-like', 201037),
(267469, '0045762', NULL, NULL, 264, NULL, 'Dihydropteroate synthetase-like', 201037),
(267470, '0048901', NULL, NULL, 259, NULL, 'Dihydropteroate synthetase-like', 201037),
(267471, '0049727', NULL, NULL, 273, NULL, 'Dihydropteroate synthetase-like', 201037),
(267472, '0052902', NULL, NULL, 183, NULL, 'SARS receptor-binding domain-like', 201038),
(267473, '0050763', NULL, NULL, 298, NULL, 'NadA-like', 201039),
(267474, '0053782', NULL, NULL, 409, NULL, 'Viral glycoprotein ectodomain-like', 201040),
(267475, '0053980', NULL, NULL, 615, NULL, 'Viral glycoprotein ectodomain-like', 201040),
(267476, '0054575', NULL, NULL, 155, NULL, 'UraD-Like', 201041),
(267477, '0054343', NULL, NULL, 165, NULL, 'UraD-Like', 201041),
(267478, '0054339', NULL, NULL, 165, NULL, 'UraD-Like', 201041),
(267479, '0049531', NULL, NULL, 134, NULL, 'DNA primase DnaG, C-terminal domain', 201042);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(267480, '0050031', NULL, NULL, 203, NULL, 'Nitrile hydratase alpha chain', 201043),
(267481, '0045155', NULL, NULL, 200, NULL, 'Nitrile hydratase alpha chain', 201043),
(267482, '0039150', NULL, NULL, 203, NULL, 'Nitrile hydratase alpha chain', 201043),
(267483, '0035381', NULL, NULL, 147, NULL, 'Aspartate/glutamate racemase', 201044),
(267484, '0045890', NULL, NULL, 105, NULL, 'Aspartate/glutamate racemase', 201044),
(267485, '0047575', NULL, NULL, 115, NULL, 'Aspartate/glutamate racemase', 201044),
(267486, '0047576', NULL, NULL, 113, NULL, 'Aspartate/glutamate racemase', 201044),
(267487, '0047438', NULL, NULL, 111, NULL, 'Aspartate/glutamate racemase', 201044),
(267488, '0047084', NULL, NULL, 106, NULL, 'Multiheme cytochromes', 201045),
(267489, '0052296', NULL, NULL, 107, NULL, 'Multiheme cytochromes', 201045),
(267490, '0049002', NULL, NULL, 101, NULL, 'Multiheme cytochromes', 201045),
(267491, '0046418', NULL, NULL, 332, NULL, 'Multiheme cytochromes', 201045),
(267492, '0037571', NULL, NULL, 499, NULL, 'Multiheme cytochromes', 201045),
(267493, '0046850', NULL, NULL, 471, NULL, 'Multiheme cytochromes', 201045),
(267494, '0048634', NULL, NULL, 71, NULL, 'Multiheme cytochromes', 201045),
(267495, '0048931', NULL, NULL, 473, NULL, 'Multiheme cytochromes', 201045),
(267496, '0047103', NULL, NULL, 506, NULL, 'Multiheme cytochromes', 201045),
(267497, '0049967', NULL, NULL, 107, NULL, 'Multiheme cytochromes', 201045),
(267498, '0046855', NULL, NULL, 211, NULL, 'Multiheme cytochromes', 201045),
(267499, '0048064', NULL, NULL, 90, NULL, 'Multiheme cytochromes', 201045),
(267500, '0047493', NULL, NULL, 108, NULL, 'Multiheme cytochromes', 201045),
(267501, '0048560', NULL, NULL, 293, NULL, 'Multiheme cytochromes', 201045),
(267502, '0049433', NULL, NULL, 442, NULL, 'Multiheme cytochromes', 201045),
(267503, '0049254', NULL, NULL, 81, NULL, 'Multiheme cytochromes', 201045),
(267504, '0036731', NULL, NULL, 102, NULL, 'Multiheme cytochromes', 201045),
(267505, '0035167', NULL, NULL, 110, NULL, 'Multiheme cytochromes', 201045),
(267506, '0037345', NULL, NULL, 68, NULL, 'Multiheme cytochromes', 201045),
(267507, '0052348', NULL, NULL, 118, NULL, 'Multiheme cytochromes', 201045),
(267508, '0037264', NULL, NULL, 310, NULL, 'Multiheme cytochromes', 201045),
(267509, '0038376', NULL, NULL, 240, NULL, 'Multiheme cytochromes', 201045),
(267510, '0047319', NULL, NULL, 107, NULL, 'Multiheme cytochromes', 201045),
(267511, '0044945', NULL, NULL, 111, NULL, 'Multiheme cytochromes', 201045),
(267512, '0039660', NULL, NULL, 68, NULL, 'Multiheme cytochromes', 201045),
(267513, '0045497', NULL, NULL, 102, NULL, 'Multiheme cytochromes', 201045),
(267514, '0046269', NULL, NULL, 102, NULL, 'Multiheme cytochromes', 201045),
(267515, '0046401', NULL, NULL, 289, NULL, 'Multiheme cytochromes', 201045),
(267516, '0047058', NULL, NULL, 441, NULL, 'Multiheme cytochromes', 201045),
(267517, '0048527', NULL, NULL, 482, NULL, 'Multiheme cytochromes', 201045),
(267518, '0045679', NULL, NULL, 292, NULL, 'Multiheme cytochromes', 201045),
(267519, '0041853', NULL, NULL, 127, NULL, 'Multiheme cytochromes', 201045),
(267520, '0043647', NULL, NULL, 75, NULL, 'N-terminal domain of alpha and beta subunits of F1 ATP synthase', 201046),
(267521, '0037817', NULL, NULL, 72, NULL, 'N-terminal domain of alpha and beta subunits of F1 ATP synthase', 201046),
(267522, '0048127', NULL, NULL, 81, NULL, 'N-terminal domain of alpha and beta subunits of F1 ATP synthase', 201046),
(267523, '0043650', NULL, NULL, 82, NULL, 'N-terminal domain of alpha and beta subunits of F1 ATP synthase', 201046),
(267524, '0037820', NULL, NULL, 79, NULL, 'N-terminal domain of alpha and beta subunits of F1 ATP synthase', 201046),
(267525, '0040863', NULL, NULL, 86, NULL, 'N-terminal domain of alpha and beta subunits of F1 ATP synthase', 201046),
(267526, '0041238', NULL, NULL, 105, NULL, 'Hypothetical protein Yml108w', 201047),
(267527, '0041919', NULL, NULL, 95, NULL, 'Mitochondrial import receptor subunit Tom20', 201048),
(267528, '0036361', NULL, NULL, 71, NULL, 'ClpS-like', 201049);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(267529, '0036150', NULL, NULL, 68, NULL, 'ClpS-like', 201049),
(267530, '0040877', NULL, NULL, 87, NULL, 'ClpS-like', 201049),
(267531, '0054767', NULL, NULL, 71, NULL, 'ClpS-like', 201049),
(267532, '0050783', NULL, NULL, 87, NULL, 'BSD domain-like', 201050),
(267533, '0052439', NULL, NULL, 48, NULL, 'BSD domain-like', 201050),
(267534, '0047061', NULL, NULL, 140, NULL, 'GST C-terminal domain-like', 201051),
(267535, '0047221', NULL, NULL, 154, NULL, 'GST C-terminal domain-like', 201051),
(267536, '0044592', NULL, NULL, 125, NULL, 'GST C-terminal domain-like', 201051),
(267537, '0035237', NULL, NULL, 135, NULL, 'GST C-terminal domain-like', 201051),
(267538, '0038305', NULL, NULL, 138, NULL, 'GST C-terminal domain-like', 201051),
(267539, '0039277', NULL, NULL, 124, NULL, 'GST C-terminal domain-like', 201051),
(267540, '0037971', NULL, NULL, 140, NULL, 'GST C-terminal domain-like', 201051),
(267541, '0035352', NULL, NULL, 133, NULL, 'GST C-terminal domain-like', 201051),
(267542, '0038264', NULL, NULL, 133, NULL, 'GST C-terminal domain-like', 201051),
(267543, '0052729', NULL, NULL, 149, NULL, 'GST C-terminal domain-like', 201051),
(267544, '0041804', NULL, NULL, 123, NULL, 'GST C-terminal domain-like', 201051),
(267545, '0045522', NULL, NULL, 140, NULL, 'GST C-terminal domain-like', 201051),
(267546, '0042259', NULL, NULL, 124, NULL, 'GST C-terminal domain-like', 201051),
(267547, '0051531', NULL, NULL, 161, NULL, 'GST C-terminal domain-like', 201051),
(267548, '0039829', NULL, NULL, 149, NULL, 'GST C-terminal domain-like', 201051),
(267549, '0049696', NULL, NULL, 131, NULL, 'GST C-terminal domain-like', 201051),
(267550, '0037806', NULL, NULL, 125, NULL, 'GST C-terminal domain-like', 201051),
(267551, '0035345', NULL, NULL, 143, NULL, 'GST C-terminal domain-like', 201051),
(267552, '0052944', NULL, NULL, 131, NULL, 'GST C-terminal domain-like', 201051),
(267553, '0038177', NULL, NULL, 126, NULL, 'GST C-terminal domain-like', 201051),
(267554, '0040520', NULL, NULL, 165, NULL, 'GST C-terminal domain-like', 201051),
(267555, '0037365', NULL, NULL, 143, NULL, 'GST C-terminal domain-like', 201051),
(267556, '0038252', NULL, NULL, 133, NULL, 'GST C-terminal domain-like', 201051),
(267557, '0036791', NULL, NULL, 133, NULL, 'GST C-terminal domain-like', 201051),
(267558, '0052111', NULL, NULL, 133, NULL, 'GST C-terminal domain-like', 201051),
(267559, '0054058', NULL, NULL, 118, NULL, 'GST C-terminal domain-like', 201051),
(267560, '0034807', NULL, NULL, 121, NULL, 'GST C-terminal domain-like', 201051),
(267561, '0048056', NULL, NULL, 127, NULL, 'GST C-terminal domain-like', 201051),
(267562, '0035412', NULL, NULL, 180, NULL, 'GST C-terminal domain-like', 201051),
(267563, '0035533', NULL, NULL, 174, NULL, 'GST C-terminal domain-like', 201051),
(267564, '0039615', NULL, NULL, 123, NULL, 'GST C-terminal domain-like', 201051),
(267565, '0039617', NULL, NULL, 127, NULL, 'GST C-terminal domain-like', 201051),
(267566, '0035250', NULL, NULL, 129, NULL, 'GST C-terminal domain-like', 201051),
(267567, '0046637', NULL, NULL, 143, NULL, 'GST C-terminal domain-like', 201051),
(267568, '0038244', NULL, NULL, 142, NULL, 'GST C-terminal domain-like', 201051),
(267569, '0043129', NULL, NULL, 129, NULL, 'GST C-terminal domain-like', 201051),
(267570, '0035175', NULL, NULL, 133, NULL, 'GST C-terminal domain-like', 201051),
(267571, '0042394', NULL, NULL, 126, NULL, 'GST C-terminal domain-like', 201051),
(267572, '0045301', NULL, NULL, 127, NULL, 'GST C-terminal domain-like', 201051),
(267573, '0045305', NULL, NULL, 133, NULL, 'GST C-terminal domain-like', 201051),
(267574, '0041907', NULL, NULL, 126, NULL, 'GST C-terminal domain-like', 201051),
(267575, '0048663', NULL, NULL, 145, NULL, 'GST C-terminal domain-like', 201051),
(267576, '0044141', NULL, NULL, 129, NULL, 'GST C-terminal domain-like', 201051),
(267577, '0036939', NULL, NULL, 139, NULL, 'GST C-terminal domain-like', 201051),
(267578, '0045593', NULL, NULL, 133, NULL, 'GST C-terminal domain-like', 201051),
(267579, '0037349', NULL, NULL, 121, NULL, 'GST C-terminal domain-like', 201051);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(267580, '0037583', NULL, NULL, 134, NULL, 'GST C-terminal domain-like', 201051),
(267581, '0038156', NULL, NULL, 131, NULL, 'GST C-terminal domain-like', 201051),
(267582, '0041395', NULL, NULL, 144, NULL, 'GST C-terminal domain-like', 201051),
(267583, '0048787', NULL, NULL, 121, NULL, 'GST C-terminal domain-like', 201051),
(267584, '0040989', NULL, NULL, 142, NULL, 'GST C-terminal domain-like', 201051),
(267585, '0045279', NULL, NULL, 136, NULL, 'GST C-terminal domain-like', 201051),
(267586, '0043165', NULL, NULL, 103, NULL, 'Bacillus phage protein', 201052),
(267587, '0052058', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267588, '0034827', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267589, '0040827', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267590, '0038944', NULL, NULL, 87, NULL, 'MHC antigen-recognition domain', 201053),
(267591, '0035752', NULL, NULL, 90, NULL, 'MHC antigen-recognition domain', 201053),
(267592, '0039959', NULL, NULL, 82, NULL, 'MHC antigen-recognition domain', 201053),
(267593, '0038700', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267594, '0039955', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267595, '0035039', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267596, '0038943', NULL, NULL, 82, NULL, 'MHC antigen-recognition domain', 201053),
(267597, '0042931', NULL, NULL, 180, NULL, 'MHC antigen-recognition domain', 201053),
(267598, '0038861', NULL, NULL, 120, NULL, 'MHC antigen-recognition domain', 201053),
(267599, '0037256', NULL, NULL, 173, NULL, 'MHC antigen-recognition domain', 201053),
(267600, '0039593', NULL, NULL, 84, NULL, 'MHC antigen-recognition domain', 201053),
(267601, '0039595', NULL, NULL, 92, NULL, 'MHC antigen-recognition domain', 201053),
(267602, '0046058', NULL, NULL, 164, NULL, 'MHC antigen-recognition domain', 201053),
(267603, '0045486', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267604, '0036280', NULL, NULL, 91, NULL, 'MHC antigen-recognition domain', 201053),
(267605, '0042893', NULL, NULL, 180, NULL, 'MHC antigen-recognition domain', 201053),
(267606, '0040116', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267607, '0046614', NULL, NULL, 87, NULL, 'MHC antigen-recognition domain', 201053),
(267608, '0053675', NULL, NULL, 180, NULL, 'MHC antigen-recognition domain', 201053),
(267609, '0053676', NULL, NULL, 176, NULL, 'MHC antigen-recognition domain', 201053),
(267610, '0036715', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267611, '0036913', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267612, '0049096', NULL, NULL, 164, NULL, 'MHC antigen-recognition domain', 201053),
(267613, '0050009', NULL, NULL, 92, NULL, 'MHC antigen-recognition domain', 201053),
(267614, '0053319', NULL, NULL, 178, NULL, 'MHC antigen-recognition domain', 201053),
(267615, '0039865', NULL, NULL, 82, NULL, 'MHC antigen-recognition domain', 201053),
(267616, '0034899', NULL, NULL, 88, NULL, 'MHC antigen-recognition domain', 201053),
(267617, '0038699', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267618, '0038657', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267619, '0039866', NULL, NULL, 87, NULL, 'MHC antigen-recognition domain', 201053),
(267620, '0051534', NULL, NULL, 179, NULL, 'MHC antigen-recognition domain', 201053),
(267621, '0045332', NULL, NULL, 89, NULL, 'MHC antigen-recognition domain', 201053),
(267622, '0048801', NULL, NULL, 139, NULL, 'MHC antigen-recognition domain', 201053),
(267623, '0054532', NULL, NULL, 178, NULL, 'MHC antigen-recognition domain', 201053),
(267624, '0040927', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267625, '0053680', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267626, '0035334', NULL, NULL, 180, NULL, 'MHC antigen-recognition domain', 201053),
(267627, '0037792', NULL, NULL, 79, NULL, 'MHC antigen-recognition domain', 201053);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(267628, '0040256', NULL, NULL, 120, NULL, 'MHC antigen-recognition domain', 201053),
(267629, '0037794', NULL, NULL, 92, NULL, 'MHC antigen-recognition domain', 201053),
(267630, '0043009', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267631, '0044538', NULL, NULL, 83, NULL, 'MHC antigen-recognition domain', 201053),
(267632, '0039499', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267633, '0046112', NULL, NULL, 179, NULL, 'MHC antigen-recognition domain', 201053),
(267634, '0041946', NULL, NULL, 177, NULL, 'MHC antigen-recognition domain', 201053),
(267635, '0040019', NULL, NULL, 178, NULL, 'MHC antigen-recognition domain', 201053),
(267636, '0040458', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267637, '0040930', NULL, NULL, 180, NULL, 'MHC antigen-recognition domain', 201053),
(267638, '0050385', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267639, '0053654', NULL, NULL, 180, NULL, 'MHC antigen-recognition domain', 201053),
(267640, '0053617', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267641, '0036973', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267642, '0036378', NULL, NULL, 178, NULL, 'MHC antigen-recognition domain', 201053),
(267643, '0036615', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267644, '0047092', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267645, '0038556', NULL, NULL, 85, NULL, 'MHC antigen-recognition domain', 201053),
(267646, '0037149', NULL, NULL, 84, NULL, 'MHC antigen-recognition domain', 201053),
(267647, '0051953', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267648, '0040585', NULL, NULL, 120, NULL, 'MHC antigen-recognition domain', 201053),
(267649, '0040584', NULL, NULL, 83, NULL, 'MHC antigen-recognition domain', 201053),
(267650, '0041354', NULL, NULL, 181, NULL, 'MHC antigen-recognition domain', 201053),
(267651, '0038554', NULL, NULL, 81, NULL, 'MHC antigen-recognition domain', 201053),
(267652, '0039961', NULL, NULL, 94, NULL, 'MHC antigen-recognition domain', 201053),
(267653, '0035166', NULL, NULL, 89, NULL, 'MHC antigen-recognition domain', 201053),
(267654, '0038990', NULL, NULL, 81, NULL, 'MHC antigen-recognition domain', 201053),
(267655, '0047577', NULL, NULL, 174, NULL, 'MHC antigen-recognition domain', 201053),
(267656, '0040621', NULL, NULL, 172, NULL, 'MHC antigen-recognition domain', 201053),
(267657, '0043533', NULL, NULL, 83, NULL, 'MHC antigen-recognition domain', 201053),
(267658, '0043534', NULL, NULL, 92, NULL, 'MHC antigen-recognition domain', 201053),
(267659, '0052037', NULL, NULL, 73, NULL, 'Tim10-like', 201054),
(267660, '0052038', NULL, NULL, 65, NULL, 'Tim10-like', 201054),
(267661, '0051000', NULL, NULL, 139, NULL, 'Lipocalins', 201055),
(267662, '0050277', NULL, NULL, 351, NULL, 'Lipocalins', 201055),
(267663, '0051321', NULL, NULL, 131, NULL, 'Lipocalins', 201055),
(267664, '0035357', NULL, NULL, 133, NULL, 'Lipocalins', 201055),
(267665, '0036126', NULL, NULL, 134, NULL, 'Lipocalins', 201055),
(267666, '0036686', NULL, NULL, 148, NULL, 'Lipocalins', 201055),
(267667, '0052611', NULL, NULL, 127, NULL, 'Lipocalins', 201055),
(267668, '0054239', NULL, NULL, 126, NULL, 'Lipocalins', 201055),
(267669, '0046935', NULL, NULL, 131, NULL, 'Lipocalins', 201055),
(267670, '0040311', NULL, NULL, 171, NULL, 'Lipocalins', 201055),
(267671, '0045526', NULL, NULL, 131, NULL, 'Lipocalins', 201055),
(267672, '0037772', NULL, NULL, 133, NULL, 'Lipocalins', 201055),
(267673, '0044914', NULL, NULL, 135, NULL, 'Lipocalins', 201055),
(267674, '0037251', NULL, NULL, 160, NULL, 'Lipocalins', 201055),
(267675, '0042174', NULL, NULL, 125, NULL, 'Lipocalins', 201055),
(267676, '0047302', NULL, NULL, 181, NULL, 'Lipocalins', 201055),
(267677, '0044077', NULL, NULL, 131, NULL, 'Lipocalins', 201055),
(267678, '0046613', NULL, NULL, 184, NULL, 'Lipocalins', 201055),
(267679, '0041962', NULL, NULL, 133, NULL, 'Lipocalins', 201055),
(267680, '0049055', NULL, NULL, 167, NULL, 'Lipocalins', 201055);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(267681, '0035749', NULL, NULL, 132, NULL, 'Lipocalins', 201055),
(267682, '0051695', NULL, NULL, 158, NULL, 'Lipocalins', 201055),
(267683, '0047275', NULL, NULL, 156, NULL, 'Lipocalins', 201055),
(267684, '0052746', NULL, NULL, 161, NULL, 'Lipocalins', 201055),
(267685, '0052867', NULL, NULL, 178, NULL, 'Lipocalins', 201055),
(267686, '0035900', NULL, NULL, 136, NULL, 'Lipocalins', 201055),
(267687, '0051412', NULL, NULL, 162, NULL, 'Lipocalins', 201055),
(267688, '0036878', NULL, NULL, 127, NULL, 'Lipocalins', 201055),
(267689, '0040483', NULL, NULL, 127, NULL, 'Lipocalins', 201055),
(267690, '0042749', NULL, NULL, 175, NULL, 'Lipocalins', 201055),
(267691, '0035581', NULL, NULL, 150, NULL, 'Lipocalins', 201055),
(267692, '0047874', NULL, NULL, 175, NULL, 'Lipocalins', 201055),
(267693, '0040605', NULL, NULL, 133, NULL, 'Lipocalins', 201055),
(267694, '0043076', NULL, NULL, 146, NULL, 'Lipocalins', 201055),
(267695, '0047710', NULL, NULL, 157, NULL, 'Lipocalins', 201055),
(267696, '0041814', NULL, NULL, 187, NULL, 'Lipocalins', 201055),
(267697, '0042384', NULL, NULL, 131, NULL, 'Lipocalins', 201055),
(267698, '0046467', NULL, NULL, 149, NULL, 'Lipocalins', 201055),
(267699, '0048407', NULL, NULL, 184, NULL, 'Lipocalins', 201055),
(267700, '0048251', NULL, NULL, 173, NULL, 'Lipocalins', 201055),
(267701, '0054336', NULL, NULL, 132, NULL, 'Lipocalins', 201055),
(267702, '0054335', NULL, NULL, 137, NULL, 'Lipocalins', 201055),
(267703, '0049020', NULL, NULL, 174, NULL, 'Lipocalins', 201055),
(267704, '0052750', NULL, NULL, 136, NULL, 'Lipocalins', 201055),
(267705, '0052756', NULL, NULL, 125, NULL, 'Lipocalins', 201055),
(267706, '0038129', NULL, NULL, 174, NULL, 'Lipocalins', 201055),
(267707, '0038089', NULL, NULL, 134, NULL, 'Lipocalins', 201055),
(267708, '0038640', NULL, NULL, 131, NULL, 'Lipocalins', 201055),
(267709, '0047968', NULL, NULL, 171, NULL, 'Lipocalins', 201055),
(267710, '0042679', NULL, NULL, 180, NULL, 'Lipocalins', 201055),
(267711, '0049349', NULL, NULL, 106, NULL, 'Lipocalins', 201055),
(267712, '0040216', NULL, NULL, 134, NULL, 'Lipocalins', 201055),
(267713, '0046633', NULL, NULL, 180, NULL, 'Lipocalins', 201055),
(267714, '0040896', NULL, NULL, 131, NULL, 'Lipocalins', 201055),
(267715, '0041743', NULL, NULL, 133, NULL, 'Lipocalins', 201055),
(267716, '0048536', NULL, NULL, 158, NULL, 'Lipocalins', 201055),
(267717, '0041104', NULL, NULL, 125, NULL, 'Lipocalins', 201055),
(267718, '0041665', NULL, NULL, 127, NULL, 'Lipocalins', 201055),
(267719, '0051673', NULL, NULL, 131, NULL, 'Lipocalins', 201055),
(267720, '0051470', NULL, NULL, 189, NULL, 'Lipocalins', 201055),
(267721, '0047376', NULL, NULL, 174, NULL, 'Lipocalins', 201055),
(267722, '0035442', NULL, NULL, 173, NULL, 'Lipocalins', 201055),
(267723, '0051678', NULL, NULL, 153, NULL, 'Lipocalins', 201055),
(267724, '0037502', NULL, NULL, 131, NULL, 'Lipocalins', 201055),
(267725, '0046604', NULL, NULL, 160, NULL, 'Lipocalins', 201055),
(267726, '0038993', NULL, NULL, 131, NULL, 'Lipocalins', 201055),
(267727, '0046640', NULL, NULL, 159, NULL, 'Lipocalins', 201055),
(267728, '0047014', NULL, NULL, 158, NULL, 'Lipocalins', 201055),
(267729, '0045830', NULL, NULL, 142, NULL, 'Lipocalins', 201055),
(267730, '0048212', NULL, NULL, 268, NULL, 'Methyl-coenzyme M reductase subunits', 201056),
(267731, '0046474', NULL, NULL, 183, NULL, 'Methyl-coenzyme M reductase subunits', 201056),
(267732, '0046473', NULL, NULL, 265, NULL, 'Methyl-coenzyme M reductase subunits', 201056),
(267733, '0046476', NULL, NULL, 282, NULL, 'Methyl-coenzyme M reductase subunits', 201056),
(267734, '0046475', NULL, NULL, 248, NULL, 'Methyl-coenzyme M reductase subunits', 201056),
(267735, '0048213', NULL, NULL, 187, NULL, 'Methyl-coenzyme M reductase subunits', 201056),
(267736, '0046477', NULL, NULL, 184, NULL, 'Methyl-coenzyme M reductase subunits', 201056),
(267737, '0048214', NULL, NULL, 247, NULL, 'Methyl-coenzyme M reductase subunits', 201056),
(267738, '0036811', NULL, NULL, 247, NULL, 'Methyl-coenzyme M reductase subunits', 201056),
(267739, '0051565', NULL, NULL, 301, NULL, 'Prenyltransferase-like', 201057);
INSERT INTO "PUBLIC"."MODEL" VALUES
(267740, '0051057', NULL, NULL, 59, NULL, 'RecA protein, C-terminal domain', 201058),
(267741, '0049854', NULL, NULL, 60, NULL, 'RecA protein, C-terminal domain', 201058),
(267742, '0046896', NULL, NULL, 60, NULL, 'RecA protein, C-terminal domain', 201058),
(267743, '0049826', NULL, NULL, 60, NULL, 'RecA protein, C-terminal domain', 201058),
(267744, '0052362', NULL, NULL, 392, NULL, 'Indolic compounds 2,3-dioxygenase-like', 201059),
(267745, '0053218', NULL, NULL, 262, NULL, 'Indolic compounds 2,3-dioxygenase-like', 201059),
(267746, '0051567', NULL, NULL, 387, NULL, 'Indolic compounds 2,3-dioxygenase-like', 201059),
(267747, '0035816', NULL, NULL, 83, NULL, 'Complement control module/SCR domain', 201060),
(267748, '0049044', NULL, NULL, 60, NULL, 'Complement control module/SCR domain', 201060),
(267749, '0051584', NULL, NULL, 53, NULL, 'Complement control module/SCR domain', 201060),
(267750, '0046991', NULL, NULL, 66, NULL, 'Complement control module/SCR domain', 201060),
(267751, '0051922', NULL, NULL, 63, NULL, 'Complement control module/SCR domain', 201060),
(267752, '0051921', NULL, NULL, 64, NULL, 'Complement control module/SCR domain', 201060),
(267753, '0053600', NULL, NULL, 68, NULL, 'Complement control module/SCR domain', 201060),
(267754, '0038525', NULL, NULL, 59, NULL, 'Complement control module/SCR domain', 201060),
(267755, '0037078', NULL, NULL, 68, NULL, 'Complement control module/SCR domain', 201060),
(267756, '0046917', NULL, NULL, 62, NULL, 'Complement control module/SCR domain', 201060),
(267757, '0038220', NULL, NULL, 68, NULL, 'Complement control module/SCR domain', 201060),
(267758, '0046992', NULL, NULL, 68, NULL, 'Complement control module/SCR domain', 201060),
(267759, '0042990', NULL, NULL, 58, NULL, 'Complement control module/SCR domain', 201060),
(267760, '0042991', NULL, NULL, 63, NULL, 'Complement control module/SCR domain', 201060),
(267761, '0054544', NULL, NULL, 69, NULL, 'Complement control module/SCR domain', 201060),
(267762, '0054764', NULL, NULL, 78, NULL, 'Complement control module/SCR domain', 201060),
(267763, '0037925', NULL, NULL, 59, NULL, 'Complement control module/SCR domain', 201060),
(267764, '0053251', NULL, NULL, 61, NULL, 'Complement control module/SCR domain', 201060),
(267765, '0053252', NULL, NULL, 68, NULL, 'Complement control module/SCR domain', 201060),
(267766, '0037922', NULL, NULL, 64, NULL, 'Complement control module/SCR domain', 201060),
(267767, '0037924', NULL, NULL, 58, NULL, 'Complement control module/SCR domain', 201060),
(267768, '0038577', NULL, NULL, 62, NULL, 'Complement control module/SCR domain', 201060),
(267769, '0038353', NULL, NULL, 63, NULL, 'Complement control module/SCR domain', 201060),
(267770, '0038134', NULL, NULL, 64, NULL, 'Complement control module/SCR domain', 201060),
(267771, '0041891', NULL, NULL, 64, NULL, 'Complement control module/SCR domain', 201060),
(267772, '0042989', NULL, NULL, 62, NULL, 'Complement control module/SCR domain', 201060),
(267773, '0036033', NULL, NULL, 64, NULL, 'Complement control module/SCR domain', 201060),
(267774, '0036032', NULL, NULL, 62, NULL, 'Complement control module/SCR domain', 201060),
(267775, '0038132', NULL, NULL, 70, NULL, 'Complement control module/SCR domain', 201060),
(267776, '0038352', NULL, NULL, 62, NULL, 'Complement control module/SCR domain', 201060),
(267777, '0042607', NULL, NULL, 75, NULL, 'Complement control module/SCR domain', 201060),
(267778, '0047039', NULL, NULL, 76, NULL, 'Complement control module/SCR domain', 201060),
(267779, '0049458', NULL, NULL, 68, NULL, 'Complement control module/SCR domain', 201060),
(267780, '0053250', NULL, NULL, 62, NULL, 'Complement control module/SCR domain', 201060),
(267781, '0041599', NULL, NULL, 67, NULL, 'Complement control module/SCR domain', 201060),
(267782, '0053828', NULL, NULL, 74, NULL, 'CHY zinc finger-like', 201061),
(267783, '0053913', NULL, NULL, 131, NULL, 'Smp-1-like', 201062),
(267784, '0043158', NULL, NULL, 121, NULL, 'Smp-1-like', 201062),
(267785, '0037232', NULL, NULL, 120, NULL, 'DNA repair protein MutS, domain I', 201063); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(267786, '0036750', NULL, NULL, 115, NULL, 'DNA repair protein MutS, domain I', 201063),
(267787, '0043524', NULL, NULL, 106, NULL, 'B-form DNA mimic Ocr', 201064),
(267788, '0048456', NULL, NULL, 168, NULL, 'Peptide methionine sulfoxide reductase', 201065),
(267789, '0046766', NULL, NULL, 211, NULL, 'Peptide methionine sulfoxide reductase', 201065),
(267790, '0046864', NULL, NULL, 192, NULL, 'Peptide methionine sulfoxide reductase', 201065),
(267791, '0041883', NULL, NULL, 52, NULL, 'NblA-like', 201066),
(267792, '0040115', NULL, NULL, 152, NULL, 'Hypothetical protein MTH777 (MT0777)', 201067),
(267793, '0053920', NULL, NULL, 116, NULL, 'ENT-like', 201068),
(267794, '0038752', NULL, NULL, 152, NULL, 'GntR ligand-binding domain-like', 201069),
(267795, '0054060', NULL, NULL, 138, NULL, 'GntR ligand-binding domain-like', 201069),
(267796, '0038955', NULL, NULL, 90, NULL, 'YhbC-like, N-terminal domain', 201070),
(267797, '0038147', NULL, NULL, 32, NULL, 'PMP inhibitors', 201071),
(267798, '0040110', NULL, NULL, 35, NULL, 'PMP inhibitors', 201071),
(267799, '0040075', NULL, NULL, 35, NULL, 'PMP inhibitors', 201071),
(267800, '0040106', NULL, NULL, 35, NULL, 'PMP inhibitors', 201071),
(267801, '0047007', NULL, NULL, 34, NULL, 'PMP inhibitors', 201071),
(267802, '0044997', NULL, NULL, 35, NULL, 'PMP inhibitors', 201071),
(267803, '0051262', NULL, NULL, 166, NULL, 'YktB/PF0168-like', 201072),
(267804, '0051726', NULL, NULL, 210, NULL, 'YktB/PF0168-like', 201072),
(267805, '0050441', NULL, NULL, 344, NULL, 'QueA-like', 201073),
(267806, '0044849', NULL, NULL, 332, NULL, 'QueA-like', 201073),
(267807, '0050628', NULL, NULL, 103, NULL, 'Conserved domain common to transcription factors TFIIS, elongin A, CRSP70', 201074),
(267808, '0037103', NULL, NULL, 77, NULL, 'Conserved domain common to transcription factors TFIIS, elongin A, CRSP70', 201074),
(267809, '0047053', NULL, NULL, 94, NULL, 'Porphobilinogen deaminase (hydroxymethylbilane synthase), C-terminal domain', 201075),
(267810, '0041591', NULL, NULL, 481, NULL, 'Ras GEF', 201076),
(267811, '0049286', NULL, NULL, 123, NULL, 'Peptidyl-tRNA hydrolase II', 201077),
(267812, '0042649', NULL, NULL, 117, NULL, 'Peptidyl-tRNA hydrolase II', 201077),
(267813, '0043300', NULL, NULL, 116, NULL, 'Peptidyl-tRNA hydrolase II', 201077),
(267814, '0053943', NULL, NULL, 135, NULL, 'Peptidyl-tRNA hydrolase II', 201077),
(267815, '0053466', NULL, NULL, 209, NULL, 'Chemotaxis phosphatase CheZ', 201078),
(267816, '0039296', NULL, NULL, 170, NULL, 'YgfB-like', 201079),
(267817, '0040736', NULL, NULL, 236, NULL, 'Suppressor of Fused, N-terminal domain', 201080),
(267818, '0053489', NULL, NULL, 77, NULL, 'Head morphogenesis protein gp7', 201081),
(267819, '0046174', NULL, NULL, 528, NULL, 'DNA/RNA polymerases', 201082),
(267820, '0047189', NULL, NULL, 664, NULL, 'DNA/RNA polymerases', 201082),
(267821, '0044175', NULL, NULL, 476, NULL, 'DNA/RNA polymerases', 201082),
(267822, '0041083', NULL, NULL, 427, NULL, 'DNA/RNA polymerases', 201082),
(267823, '0044909', NULL, NULL, 426, NULL, 'DNA/RNA polymerases', 201082),
(267824, '0050972', NULL, NULL, 388, NULL, 'DNA/RNA polymerases', 201082),
(267825, '0042798', NULL, NULL, 403, NULL, 'DNA/RNA polymerases', 201082),
(267826, '0042977', NULL, NULL, 409, NULL, 'DNA/RNA polymerases', 201082),
(267827, '0047809', NULL, NULL, 497, NULL, 'DNA/RNA polymerases', 201082),
(267828, '0043905', NULL, NULL, 494, NULL, 'DNA/RNA polymerases', 201082),
(267829, '0049525', NULL, NULL, 273, NULL, 'DNA/RNA polymerases', 201082),
(267830, '0049324', NULL, NULL, 415, NULL, 'DNA/RNA polymerases', 201082),
(267831, '0047702', NULL, NULL, 240, NULL, 'DNA/RNA polymerases', 201082),
(267832, '0047722', NULL, NULL, 239, NULL, 'DNA/RNA polymerases', 201082),
(267833, '0044996', NULL, NULL, 411, NULL, 'DNA/RNA polymerases', 201082),
(267834, '0051078', NULL, NULL, 460, NULL, 'DNA/RNA polymerases', 201082),
(267835, '0049395', NULL, NULL, 502, NULL, 'DNA/RNA polymerases', 201082),
(267836, '0051077', NULL, NULL, 460, NULL, 'DNA/RNA polymerases', 201082);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(267837, '0053016', NULL, NULL, 408, NULL, 'DNA/RNA polymerases', 201082),
(267838, '0049251', NULL, NULL, 451, NULL, 'DNA/RNA polymerases', 201082),
(267839, '0047595', NULL, NULL, 389, NULL, 'DNA/RNA polymerases', 201082),
(267840, '0049312', NULL, NULL, 588, NULL, 'DNA/RNA polymerases', 201082),
(267841, '0051076', NULL, NULL, 460, NULL, 'DNA/RNA polymerases', 201082),
(267842, '0035949', NULL, NULL, 878, NULL, 'DNA/RNA polymerases', 201082),
(267843, '0036278', NULL, NULL, 386, NULL, 'DNA/RNA polymerases', 201082),
(267844, '0038511', NULL, NULL, 216, NULL, 'DNA/RNA polymerases', 201082),
(267845, '0041091', NULL, NULL, 1264, NULL, 'DNA/RNA polymerases', 201082),
(267846, '0054504', NULL, NULL, 774, NULL, 'DNA/RNA polymerases', 201082),
(267847, '0043914', NULL, NULL, 333, NULL, 'DNA/RNA polymerases', 201082),
(267848, '0040062', NULL, NULL, 410, NULL, 'DNA/RNA polymerases', 201082),
(267849, '0046068', NULL, NULL, 563, NULL, 'DNA/RNA polymerases', 201082),
(267850, '0044001', NULL, NULL, 426, NULL, 'DNA/RNA polymerases', 201082),
(267851, '0042660', NULL, NULL, 394, NULL, 'DNA/RNA polymerases', 201082),
(267852, '0049138', NULL, NULL, 461, NULL, 'DNA/RNA polymerases', 201082),
(267853, '0051815', NULL, NULL, 57, NULL, 'Nop10-like SnoRNP', 201083),
(267854, '0051812', NULL, NULL, 55, NULL, 'Nop10-like SnoRNP', 201083),
(267855, '0052544', NULL, NULL, 52, NULL, 'Nop10-like SnoRNP', 201083),
(267856, '0048592', NULL, NULL, 106, NULL, 'Actin-like ATPase domain', 201084),
(267857, '0050671', NULL, NULL, 124, NULL, 'Actin-like ATPase domain', 201084),
(267858, '0050670', NULL, NULL, 129, NULL, 'Actin-like ATPase domain', 201084),
(267859, '0046054', NULL, NULL, 229, NULL, 'Actin-like ATPase domain', 201084),
(267860, '0046053', NULL, NULL, 146, NULL, 'Actin-like ATPase domain', 201084),
(267861, '0036765', NULL, NULL, 191, NULL, 'Actin-like ATPase domain', 201084),
(267862, '0036764', NULL, NULL, 193, NULL, 'Actin-like ATPase domain', 201084),
(267863, '0053028', NULL, NULL, 169, NULL, 'Actin-like ATPase domain', 201084),
(267864, '0053029', NULL, NULL, 128, NULL, 'Actin-like ATPase domain', 201084),
(267865, '0039478', NULL, NULL, 140, NULL, 'Actin-like ATPase domain', 201084),
(267866, '0048237', NULL, NULL, 157, NULL, 'Actin-like ATPase domain', 201084),
(267867, '0048238', NULL, NULL, 163, NULL, 'Actin-like ATPase domain', 201084),
(267868, '0051254', NULL, NULL, 229, NULL, 'Actin-like ATPase domain', 201084),
(267869, '0035709', NULL, NULL, 246, NULL, 'Actin-like ATPase domain', 201084),
(267870, '0052627', NULL, NULL, 114, NULL, 'Actin-like ATPase domain', 201084),
(267871, '0052626', NULL, NULL, 134, NULL, 'Actin-like ATPase domain', 201084),
(267872, '0050049', NULL, NULL, 205, NULL, 'Actin-like ATPase domain', 201084),
(267873, '0045934', NULL, NULL, 208, NULL, 'Actin-like ATPase domain', 201084),
(267874, '0037166', NULL, NULL, 141, NULL, 'Actin-like ATPase domain', 201084),
(267875, '0037167', NULL, NULL, 229, NULL, 'Actin-like ATPase domain', 201084),
(267876, '0051805', NULL, NULL, 117, NULL, 'Actin-like ATPase domain', 201084),
(267877, '0051804', NULL, NULL, 186, NULL, 'Actin-like ATPase domain', 201084),
(267878, '0046348', NULL, NULL, 198, NULL, 'Actin-like ATPase domain', 201084),
(267879, '0047559', NULL, NULL, 196, NULL, 'Actin-like ATPase domain', 201084),
(267880, '0046347', NULL, NULL, 183, NULL, 'Actin-like ATPase domain', 201084),
(267881, '0051661', NULL, NULL, 104, NULL, 'Actin-like ATPase domain', 201084),
(267882, '0052751', NULL, NULL, 161, NULL, 'Actin-like ATPase domain', 201084),
(267883, '0052752', NULL, NULL, 164, NULL, 'Actin-like ATPase domain', 201084),
(267884, '0051662', NULL, NULL, 174, NULL, 'Actin-like ATPase domain', 201084),
(267885, '0050050', NULL, NULL, 243, NULL, 'Actin-like ATPase domain', 201084),
(267886, '0051548', NULL, NULL, 114, NULL, 'Actin-like ATPase domain', 201084),
(267887, '0035531', NULL, NULL, 241, NULL, 'Actin-like ATPase domain', 201084),
(267888, '0035530', NULL, NULL, 206, NULL, 'Actin-like ATPase domain', 201084),
(267889, '0051549', NULL, NULL, 171, NULL, 'Actin-like ATPase domain', 201084);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(267890, '0051544', NULL, NULL, 176, NULL, 'Actin-like ATPase domain', 201084),
(267891, '0052359', NULL, NULL, 242, NULL, 'Actin-like ATPase domain', 201084),
(267892, '0038006', NULL, NULL, 156, NULL, 'Actin-like ATPase domain', 201084),
(267893, '0038007', NULL, NULL, 242, NULL, 'Actin-like ATPase domain', 201084),
(267894, '0051545', NULL, NULL, 107, NULL, 'Actin-like ATPase domain', 201084),
(267895, '0041902', NULL, NULL, 110, NULL, 'Actin-like ATPase domain', 201084),
(267896, '0046238', NULL, NULL, 243, NULL, 'Actin-like ATPase domain', 201084),
(267897, '0049109', NULL, NULL, 235, NULL, 'Actin-like ATPase domain', 201084),
(267898, '0046239', NULL, NULL, 205, NULL, 'Actin-like ATPase domain', 201084),
(267899, '0049108', NULL, NULL, 252, NULL, 'Actin-like ATPase domain', 201084),
(267900, '0049352', NULL, NULL, 172, NULL, 'Actin-like ATPase domain', 201084),
(267901, '0035529', NULL, NULL, 243, NULL, 'Actin-like ATPase domain', 201084),
(267902, '0053211', NULL, NULL, 126, NULL, 'Actin-like ATPase domain', 201084),
(267903, '0046240', NULL, NULL, 243, NULL, 'Actin-like ATPase domain', 201084),
(267904, '0053210', NULL, NULL, 82, NULL, 'Actin-like ATPase domain', 201084),
(267905, '0052360', NULL, NULL, 203, NULL, 'Actin-like ATPase domain', 201084),
(267906, '0049353', NULL, NULL, 203, NULL, 'Actin-like ATPase domain', 201084),
(267907, '0039964', NULL, NULL, 190, NULL, 'Actin-like ATPase domain', 201084),
(267908, '0039963', NULL, NULL, 258, NULL, 'Actin-like ATPase domain', 201084),
(267909, '0051710', NULL, NULL, 90, NULL, 'Actin-like ATPase domain', 201084),
(267910, '0045955', NULL, NULL, 222, NULL, 'Actin-like ATPase domain', 201084),
(267911, '0051709', NULL, NULL, 103, NULL, 'Actin-like ATPase domain', 201084),
(267912, '0039962', NULL, NULL, 158, NULL, 'Actin-like ATPase domain', 201084),
(267913, '0046011', NULL, NULL, 251, NULL, 'Actin-like ATPase domain', 201084),
(267914, '0036203', NULL, NULL, 207, NULL, 'Actin-like ATPase domain', 201084),
(267915, '0035476', NULL, NULL, 237, NULL, 'Actin-like ATPase domain', 201084),
(267916, '0050912', NULL, NULL, 176, NULL, 'Actin-like ATPase domain', 201084),
(267917, '0050911', NULL, NULL, 118, NULL, 'Actin-like ATPase domain', 201084),
(267918, '0049808', NULL, NULL, 177, NULL, 'Actin-like ATPase domain', 201084),
(267919, '0049807', NULL, NULL, 124, NULL, 'Actin-like ATPase domain', 201084),
(267920, '0046015', NULL, NULL, 185, NULL, 'Actin-like ATPase domain', 201084),
(267921, '0051971', NULL, NULL, 144, NULL, 'Actin-like ATPase domain', 201084),
(267922, '0051970', NULL, NULL, 94, NULL, 'Actin-like ATPase domain', 201084),
(267923, '0048322', NULL, NULL, 240, NULL, 'Actin-like ATPase domain', 201084),
(267924, '0049498', NULL, NULL, 319, NULL, 'Actin-like ATPase domain', 201084),
(267925, '0052947', NULL, NULL, 118, NULL, 'Actin-like ATPase domain', 201084),
(267926, '0051456', NULL, NULL, 197, NULL, 'Actin-like ATPase domain', 201084),
(267927, '0051731', NULL, NULL, 119, NULL, 'Actin-like ATPase domain', 201084),
(267928, '0047192', NULL, NULL, 186, NULL, 'Actin-like ATPase domain', 201084),
(267929, '0051457', NULL, NULL, 128, NULL, 'Actin-like ATPase domain', 201084),
(267930, '0051732', NULL, NULL, 170, NULL, 'Actin-like ATPase domain', 201084),
(267931, '0048323', NULL, NULL, 202, NULL, 'Actin-like ATPase domain', 201084),
(267932, '0047359', NULL, NULL, 207, NULL, 'Actin-like ATPase domain', 201084),
(267933, '0047243', NULL, NULL, 259, NULL, 'Actin-like ATPase domain', 201084),
(267934, '0038604', NULL, NULL, 194, NULL, 'Actin-like ATPase domain', 201084),
(267935, '0052948', NULL, NULL, 127, NULL, 'Actin-like ATPase domain', 201084),
(267936, '0052960', NULL, NULL, 114, NULL, 'Actin-like ATPase domain', 201084),
(267937, '0045070', NULL, NULL, 143, NULL, 'Actin-like ATPase domain', 201084),
(267938, '0052961', NULL, NULL, 175, NULL, 'Actin-like ATPase domain', 201084),
(267939, '0052166', NULL, NULL, 117, NULL, 'Actin-like ATPase domain', 201084),
(267940, '0054102', NULL, NULL, 212, NULL, 'Actin-like ATPase domain', 201084);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(267941, '0054103', NULL, NULL, 141, NULL, 'Actin-like ATPase domain', 201084),
(267942, '0054100', NULL, NULL, 146, NULL, 'Actin-like ATPase domain', 201084),
(267943, '0052165', NULL, NULL, 227, NULL, 'Actin-like ATPase domain', 201084),
(267944, '0054101', NULL, NULL, 212, NULL, 'Actin-like ATPase domain', 201084),
(267945, '0049552', NULL, NULL, 180, NULL, 'Actin-like ATPase domain', 201084),
(267946, '0045198', NULL, NULL, 229, NULL, 'Actin-like ATPase domain', 201084),
(267947, '0049551', NULL, NULL, 126, NULL, 'Actin-like ATPase domain', 201084),
(267948, '0050789', NULL, NULL, 189, NULL, 'Actin-like ATPase domain', 201084),
(267949, '0050788', NULL, NULL, 205, NULL, 'Actin-like ATPase domain', 201084),
(267950, '0039007', NULL, NULL, 262, NULL, 'Actin-like ATPase domain', 201084),
(267951, '0035722', NULL, NULL, 193, NULL, 'Actin-like ATPase domain', 201084),
(267952, '0053898', NULL, NULL, 267, NULL, 'Actin-like ATPase domain', 201084),
(267953, '0051508', NULL, NULL, 129, NULL, 'Actin-like ATPase domain', 201084),
(267954, '0051509', NULL, NULL, 196, NULL, 'Actin-like ATPase domain', 201084),
(267955, '0049921', NULL, NULL, 64, NULL, 'IscX-like', 201085),
(267956, '0045703', NULL, NULL, 72, NULL, 'Eukaryotic DNA topoisomerase I, dispensable insert domain', 201086),
(267957, '0053861', NULL, NULL, 129, NULL, 'ThrRS/AlaRS common domain', 201087),
(267958, '0042737', NULL, NULL, 179, NULL, 'ThrRS/AlaRS common domain', 201087),
(267959, '0044651', NULL, NULL, 155, NULL, 'ThrRS/AlaRS common domain', 201087),
(267960, '0041633', NULL, NULL, 179, NULL, 'ThrRS/AlaRS common domain', 201087),
(267961, '0046173', NULL, NULL, 375, NULL, 'Ribonuclease H-like', 201088),
(267962, '0051245', NULL, NULL, 228, NULL, 'Ribonuclease H-like', 201088),
(267963, '0049323', NULL, NULL, 410, NULL, 'Ribonuclease H-like', 201088),
(267964, '0049961', NULL, NULL, 286, NULL, 'Ribonuclease H-like', 201088),
(267965, '0047541', NULL, NULL, 184, NULL, 'Ribonuclease H-like', 201088),
(267966, '0046055', NULL, NULL, 168, NULL, 'Ribonuclease H-like', 201088),
(267967, '0049562', NULL, NULL, 204, NULL, 'Ribonuclease H-like', 201088),
(267968, '0041082', NULL, NULL, 126, NULL, 'Ribonuclease H-like', 201088),
(267969, '0051402', NULL, NULL, 180, NULL, 'Ribonuclease H-like', 201088),
(267970, '0037052', NULL, NULL, 225, NULL, 'Ribonuclease H-like', 201088),
(267971, '0045929', NULL, NULL, 223, NULL, 'Ribonuclease H-like', 201088),
(267972, '0049844', NULL, NULL, 211, NULL, 'Ribonuclease H-like', 201088),
(267973, '0051650', NULL, NULL, 301, NULL, 'Ribonuclease H-like', 201088),
(267974, '0052620', NULL, NULL, 202, NULL, 'Ribonuclease H-like', 201088),
(267975, '0047793', NULL, NULL, 195, NULL, 'Ribonuclease H-like', 201088),
(267976, '0052065', NULL, NULL, 447, NULL, 'Ribonuclease H-like', 201088),
(267977, '0047398', NULL, NULL, 213, NULL, 'Ribonuclease H-like', 201088),
(267978, '0048960', NULL, NULL, 347, NULL, 'Ribonuclease H-like', 201088),
(267979, '0049179', NULL, NULL, 147, NULL, 'Ribonuclease H-like', 201088),
(267980, '0050648', NULL, NULL, 173, NULL, 'Ribonuclease H-like', 201088),
(267981, '0051538', NULL, NULL, 132, NULL, 'Ribonuclease H-like', 201088),
(267982, '0045815', NULL, NULL, 162, NULL, 'Ribonuclease H-like', 201088),
(267983, '0036277', NULL, NULL, 347, NULL, 'Ribonuclease H-like', 201088),
(267984, '0048444', NULL, NULL, 138, NULL, 'Ribonuclease H-like', 201088),
(267985, '0048406', NULL, NULL, 372, NULL, 'Ribonuclease H-like', 201088),
(267986, '0047514', NULL, NULL, 174, NULL, 'Ribonuclease H-like', 201088),
(267987, '0050330', NULL, NULL, 200, NULL, 'Ribonuclease H-like', 201088),
(267988, '0053000', NULL, NULL, 292, NULL, 'Ribonuclease H-like', 201088),
(267989, '0053802', NULL, NULL, 252, NULL, 'Ribonuclease H-like', 201088),
(267990, '0052515', NULL, NULL, 221, NULL, 'Ribonuclease H-like', 201088),
(267991, '0038606', NULL, NULL, 158, NULL, 'Ribonuclease H-like', 201088),
(267992, '0035416', NULL, NULL, 154, NULL, 'Ribonuclease H-like', 201088),
(267993, '0050411', NULL, NULL, 316, NULL, 'Ribonuclease H-like', 201088);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(267994, '0054813', NULL, NULL, 226, NULL, 'Ribonuclease H-like', 201088),
(267995, '0050971', NULL, NULL, 183, NULL, 'Ribonuclease H-like', 201088),
(267996, '0054856', NULL, NULL, 149, NULL, 'Ribonuclease H-like', 201088),
(267997, '0051425', NULL, NULL, 392, NULL, 'Ribonuclease H-like', 201088),
(267998, '0044818', NULL, NULL, 206, NULL, 'Ribonuclease H-like', 201088),
(267999, '0049624', NULL, NULL, 347, NULL, 'Ribonuclease H-like', 201088),
(268000, '0047446', NULL, NULL, 98, NULL, 'Ribonuclease H-like', 201088),
(268001, '0040018', NULL, NULL, 218, NULL, 'Ribonuclease H-like', 201088),
(268002, '0041666', NULL, NULL, 138, NULL, 'Ribonuclease H-like', 201088),
(268003, '0050187', NULL, NULL, 140, NULL, 'Ribonuclease H-like', 201088),
(268004, '0051397', NULL, NULL, 193, NULL, 'Ribonuclease H-like', 201088),
(268005, '0053015', NULL, NULL, 171, NULL, 'Ribonuclease H-like', 201088),
(268006, '0047295', NULL, NULL, 200, NULL, 'Ribonuclease H-like', 201088),
(268007, '0046085', NULL, NULL, 159, NULL, 'Ribonuclease H-like', 201088),
(268008, '0049752', NULL, NULL, 447, NULL, 'Ribonuclease H-like', 201088),
(268009, '0046881', NULL, NULL, 470, NULL, 'Ribonuclease H-like', 201088),
(268010, '0049035', NULL, NULL, 130, NULL, 'Ribonuclease H-like', 201088),
(268011, '0050668', NULL, NULL, 347, NULL, 'Ribonuclease H-like', 201088),
(268012, '0054949', NULL, NULL, 253, NULL, 'Ribonuclease H-like', 201088),
(268013, '0054948', NULL, NULL, 257, NULL, 'Ribonuclease H-like', 201088),
(268014, '0046649', NULL, NULL, 154, NULL, 'Ribonuclease H-like', 201088),
(268015, '0048905', NULL, NULL, 388, NULL, 'Ribonuclease H-like', 201088),
(268016, '0047617', NULL, NULL, 150, NULL, 'Ribonuclease H-like', 201088),
(268017, '0046687', NULL, NULL, 152, NULL, 'Ribonuclease H-like', 201088),
(268018, '0048225', NULL, NULL, 474, NULL, 'Ribonuclease H-like', 201088),
(268019, '0038145', NULL, NULL, 148, NULL, 'alpha-ketoacid dehydrogenase kinase, N-terminal domain', 201089),
(268020, '0053650', NULL, NULL, 164, NULL, 'alpha-ketoacid dehydrogenase kinase, N-terminal domain', 201089),
(268021, '0039623', NULL, NULL, 167, NULL, 'alpha-ketoacid dehydrogenase kinase, N-terminal domain', 201089),
(268022, '0053144', NULL, NULL, 284, NULL, 'IpaD-like', 201090),
(268023, '0053138', NULL, NULL, 267, NULL, 'IpaD-like', 201090),
(268024, '0053035', NULL, NULL, 176, NULL, 'Heme iron utilization protein-like', 201091),
(268025, '0053145', NULL, NULL, 338, NULL, 'Heme iron utilization protein-like', 201091),
(268026, '0053032', NULL, NULL, 337, NULL, 'Heme iron utilization protein-like', 201091),
(268027, '0054691', NULL, NULL, 87, NULL, 'BRK domain-like', 201092),
(268028, '0054690', NULL, NULL, 55, NULL, 'BRK domain-like', 201092),
(268029, '0053776', NULL, NULL, 60, NULL, 'BRK domain-like', 201092),
(268030, '0053831', NULL, NULL, 70, NULL, 'BRK domain-like', 201092),
(268031, '0036706', NULL, NULL, 88, NULL, 'Chitinase insertion domain', 201093),
(268032, '0036925', NULL, NULL, 73, NULL, 'Chitinase insertion domain', 201093),
(268033, '0038609', NULL, NULL, 68, NULL, 'Chitinase insertion domain', 201093),
(268034, '0051087', NULL, NULL, 68, NULL, 'Chitinase insertion domain', 201093),
(268035, '0036855', NULL, NULL, 70, NULL, 'Chitinase insertion domain', 201093),
(268036, '0050413', NULL, NULL, 62, NULL, 'Chitinase insertion domain', 201093),
(268037, '0040069', NULL, NULL, 61, NULL, 'Chitinase insertion domain', 201093),
(268038, '0043998', NULL, NULL, 68, NULL, 'Chitinase insertion domain', 201093),
(268039, '0047638', NULL, NULL, 92, NULL, 'Chitinase insertion domain', 201093),
(268040, '0042056', NULL, NULL, 68, NULL, 'Chitinase insertion domain', 201093),
(268041, '0039195', NULL, NULL, 72, NULL, 'Chitinase insertion domain', 201093),
(268042, '0046257', NULL, NULL, 62, NULL, 'Chitinase insertion domain', 201093),
(268043, '0040523', NULL, NULL, 68, NULL, 'Chitinase insertion domain', 201093),
(268044, '0040489', NULL, NULL, 68, NULL, 'Chitinase insertion domain', 201093),
(268045, '0037652', NULL, NULL, 128, NULL, 'lambda integrase-like, N-terminal domain', 201094);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(268046, '0053344', NULL, NULL, 110, NULL, 'lambda integrase-like, N-terminal domain', 201094),
(268047, '0045689', NULL, NULL, 98, NULL, 'lambda integrase-like, N-terminal domain', 201094),
(268048, '0050681', NULL, NULL, 336, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268049, '0050255', NULL, NULL, 329, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268050, '0047222', NULL, NULL, 423, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268051, '0049112', NULL, NULL, 329, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268052, '0046187', NULL, NULL, 363, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268053, '0043174', NULL, NULL, 327, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268054, '0051856', NULL, NULL, 356, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268055, '0050238', NULL, NULL, 362, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268056, '0050920', NULL, NULL, 324, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268057, '0050329', NULL, NULL, 337, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268058, '0050895', NULL, NULL, 345, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268059, '0049072', NULL, NULL, 332, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268060, '0050896', NULL, NULL, 345, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268061, '0049509', NULL, NULL, 414, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268062, '0048816', NULL, NULL, 329, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268063, '0046179', NULL, NULL, 363, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268064, '0039193', NULL, NULL, 740, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268065, '0050190', NULL, NULL, 334, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268066, '0045683', NULL, NULL, 357, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268067, '0040698', NULL, NULL, 413, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268068, '0049813', NULL, NULL, 329, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268069, '0048724', NULL, NULL, 416, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', 201095),
(268070, '0049231', NULL, NULL, 62, NULL, 'Rps17e-like', 201096),
(268071, '0036816', NULL, NULL, 272, NULL, 'ATP synthase (F1-ATPase), gamma subunit', 201097),
(268072, '0037751', NULL, NULL, 230, NULL, 'ATP synthase (F1-ATPase), gamma subunit', 201097),
(268073, '0040865', NULL, NULL, 270, NULL, 'ATP synthase (F1-ATPase), gamma subunit', 201097),
(268074, '0053778', NULL, NULL, 105, NULL, 'ATP synthase B chain-like', 201098),
(268075, '0042268', NULL, NULL, 129, NULL, 'PTS system fructose IIA component-like', 201099),
(268076, '0054827', NULL, NULL, 132, NULL, 'PTS system fructose IIA component-like', 201099),
(268077, '0054904', NULL, NULL, 123, NULL, 'PTS system fructose IIA component-like', 201099),
(268078, '0054804', NULL, NULL, 132, NULL, 'PTS system fructose IIA component-like', 201099),
(268079, '0045063', NULL, NULL, 71, NULL, 'C-terminal domain of arginine repressor', 201100),
(268080, '0035348', NULL, NULL, 71, NULL, 'C-terminal domain of arginine repressor', 201100),
(268081, '0037457', NULL, NULL, 71, NULL, 'C-terminal domain of arginine repressor', 201100),
(268082, '0051838', NULL, NULL, 84, NULL, 'NE0471 N-terminal domain-like', 201101),
(268083, '0039662', NULL, NULL, 101, NULL, 'Oncogene products', 201102),
(268084, '0039742', NULL, NULL, 111, NULL, 'Oncogene products', 201102),
(268085, '0034835', NULL, NULL, 106, NULL, 'Oncogene products', 201102),
(268086, '0041387', NULL, NULL, 87, NULL, 'AlbA-like', 201103),
(268087, '0044293', NULL, NULL, 88, NULL, 'AlbA-like', 201103),
(268088, '0038363', NULL, NULL, 89, NULL, 'AlbA-like', 201103),
(268089, '0041369', NULL, NULL, 87, NULL, 'AlbA-like', 201103),
(268090, '0044887', NULL, NULL, 99, NULL, 'AlbA-like', 201103);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(268091, '0052271', NULL, NULL, 55, NULL, 'PhtA domain-like', 201104),
(268092, '0052375', NULL, NULL, 87, NULL, 'Glycosyl hydrolase domain', 201105),
(268093, '0051480', NULL, NULL, 93, NULL, 'Glycosyl hydrolase domain', 201105),
(268094, '0038748', NULL, NULL, 90, NULL, 'Glycosyl hydrolase domain', 201105),
(268095, '0038622', NULL, NULL, 92, NULL, 'Glycosyl hydrolase domain', 201105),
(268096, '0041486', NULL, NULL, 107, NULL, 'Glycosyl hydrolase domain', 201105),
(268097, '0039554', NULL, NULL, 83, NULL, 'Glycosyl hydrolase domain', 201105),
(268098, '0046454', NULL, NULL, 90, NULL, 'Glycosyl hydrolase domain', 201105),
(268099, '0046335', NULL, NULL, 93, NULL, 'Glycosyl hydrolase domain', 201105),
(268100, '0046138', NULL, NULL, 88, NULL, 'Glycosyl hydrolase domain', 201105),
(268101, '0044280', NULL, NULL, 90, NULL, 'Glycosyl hydrolase domain', 201105),
(268102, '0052584', NULL, NULL, 80, NULL, 'Glycosyl hydrolase domain', 201105),
(268103, '0046265', NULL, NULL, 90, NULL, 'Glycosyl hydrolase domain', 201105),
(268104, '0046022', NULL, NULL, 83, NULL, 'Glycosyl hydrolase domain', 201105),
(268105, '0041849', NULL, NULL, 144, NULL, 'Glycosyl hydrolase domain', 201105),
(268106, '0050403', NULL, NULL, 153, NULL, 'Glycosyl hydrolase domain', 201105),
(268107, '0035222', NULL, NULL, 57, NULL, 'Glycosyl hydrolase domain', 201105),
(268108, '0051974', NULL, NULL, 72, NULL, 'Glycosyl hydrolase domain', 201105),
(268109, '0037001', NULL, NULL, 67, NULL, 'Glycosyl hydrolase domain', 201105),
(268110, '0041134', NULL, NULL, 74, NULL, 'Glycosyl hydrolase domain', 201105),
(268111, '0046947', NULL, NULL, 94, NULL, 'Glycosyl hydrolase domain', 201105),
(268112, '0050759', NULL, NULL, 79, NULL, 'Glycosyl hydrolase domain', 201105),
(268113, '0044243', NULL, NULL, 89, NULL, 'Glycosyl hydrolase domain', 201105),
(268114, '0043113', NULL, NULL, 98, NULL, 'Glycosyl hydrolase domain', 201105),
(268115, '0040842', NULL, NULL, 106, NULL, 'Glycosyl hydrolase domain', 201105),
(268116, '0046504', NULL, NULL, 80, NULL, 'Glycosyl hydrolase domain', 201105),
(268117, '0048723', NULL, NULL, 90, NULL, 'Glycosyl hydrolase domain', 201105),
(268118, '0046151', NULL, NULL, 89, NULL, 'Glycosyl hydrolase domain', 201105),
(268119, '0043161', NULL, NULL, 70, NULL, 'Glycosyl hydrolase domain', 201105),
(268120, '0044371', NULL, NULL, 155, NULL, 'Glycosyl hydrolase domain', 201105),
(268121, '0045140', NULL, NULL, 95, NULL, 'Glycosyl hydrolase domain', 201105),
(268122, '0052912', NULL, NULL, 87, NULL, 'Glycosyl hydrolase domain', 201105),
(268123, '0039217', NULL, NULL, 67, NULL, 'Glycosyl hydrolase domain', 201105),
(268124, '0038122', NULL, NULL, 64, NULL, 'Glycosyl hydrolase domain', 201105),
(268125, '0038047', NULL, NULL, 61, NULL, 'Glycosyl hydrolase domain', 201105),
(268126, '0040254', NULL, NULL, 95, NULL, 'Glycosyl hydrolase domain', 201105),
(268127, '0045946', NULL, NULL, 113, NULL, 'Glycosyl hydrolase domain', 201105),
(268128, '0040295', NULL, NULL, 54, NULL, 'Glycosyl hydrolase domain', 201105),
(268129, '0053917', NULL, NULL, 118, NULL, 'Glycosyl hydrolase domain', 201105),
(268130, '0045463', NULL, NULL, 97, NULL, 'Glycosyl hydrolase domain', 201105),
(268131, '0049501', NULL, NULL, 103, NULL, 'Glycosyl hydrolase domain', 201105),
(268132, '0046235', NULL, NULL, 89, NULL, 'Glycosyl hydrolase domain', 201105),
(268133, '0049423', NULL, NULL, 83, NULL, 'Glycosyl hydrolase domain', 201105),
(268134, '0049621', NULL, NULL, 175, NULL, 'Glycosyl hydrolase domain', 201105),
(268135, '0042794', NULL, NULL, 88, NULL, 'Glycosyl hydrolase domain', 201105),
(268136, '0040699', NULL, NULL, 50, NULL, 'Glycosyl hydrolase domain', 201105),
(268137, '0052124', NULL, NULL, 132, NULL, 'Glycosyl hydrolase domain', 201105),
(268138, '0047490', NULL, NULL, 83, NULL, 'Glycosyl hydrolase domain', 201105),
(268139, '0037941', NULL, NULL, 74, NULL, 'Glycosyl hydrolase domain', 201105),
(268140, '0038712', NULL, NULL, 57, NULL, 'Glycosyl hydrolase domain', 201105),
(268141, '0038397', NULL, NULL, 83, NULL, 'Glycosyl hydrolase domain', 201105);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(268142, '0039440', NULL, NULL, 93, NULL, 'Glycosyl hydrolase domain', 201105),
(268143, '0040788', NULL, NULL, 78, NULL, 'Glycosyl hydrolase domain', 201105),
(268144, '0043015', NULL, NULL, 131, NULL, 'Glycosyl hydrolase domain', 201105),
(268145, '0049835', NULL, NULL, 78, NULL, 'Glycosyl hydrolase domain', 201105),
(268146, '0044468', NULL, NULL, 79, NULL, 'Glycosyl hydrolase domain', 201105),
(268147, '0044461', NULL, NULL, 35, NULL, 'VHP, Villin headpiece domain', 201106),
(268148, '0042949', NULL, NULL, 67, NULL, 'VHP, Villin headpiece domain', 201106),
(268149, '0044396', NULL, NULL, 88, NULL, 'VHP, Villin headpiece domain', 201106),
(268150, '0044462', NULL, NULL, 36, NULL, 'VHP, Villin headpiece domain', 201106),
(268151, '0043056', NULL, NULL, 68, NULL, 'VHP, Villin headpiece domain', 201106),
(268152, '0048375', NULL, NULL, 426, NULL, 'C-terminal (heme d1) domain of cytochrome cd1-nitrite reductase', 201107),
(268153, '0048978', NULL, NULL, 432, NULL, 'C-terminal (heme d1) domain of cytochrome cd1-nitrite reductase', 201107),
(268154, '0039312', NULL, NULL, 78, NULL, 'Crustacean CHH/MIH/GIH neurohormone', 201108),
(268155, '0054697', NULL, NULL, 190, NULL, 'Nitrite and sulphite reductase 4Fe-4S domain-like', 201109),
(268156, '0054873', NULL, NULL, 186, NULL, 'Nitrite and sulphite reductase 4Fe-4S domain-like', 201109),
(268157, '0053671', NULL, NULL, 149, NULL, 'Nitrite and sulphite reductase 4Fe-4S domain-like', 201109),
(268158, '0053672', NULL, NULL, 165, NULL, 'Nitrite and sulphite reductase 4Fe-4S domain-like', 201109),
(268159, '0053701', NULL, NULL, 126, NULL, 'Nitrite and sulphite reductase 4Fe-4S domain-like', 201109),
(268160, '0053702', NULL, NULL, 171, NULL, 'Nitrite and sulphite reductase 4Fe-4S domain-like', 201109),
(268161, '0035139', NULL, NULL, 145, NULL, 'Nitrite and sulphite reductase 4Fe-4S domain-like', 201109),
(268162, '0035138', NULL, NULL, 197, NULL, 'Nitrite and sulphite reductase 4Fe-4S domain-like', 201109),
(268163, '0054700', NULL, NULL, 178, NULL, 'Nitrite and sulphite reductase 4Fe-4S domain-like', 201109),
(268164, '0054876', NULL, NULL, 180, NULL, 'Nitrite and sulphite reductase 4Fe-4S domain-like', 201109),
(268165, '0052185', NULL, NULL, 78, NULL, '''SARS ORF9b-like', 201110),
(268166, '0039486', NULL, NULL, 208, NULL, 'YrdC/RibB', 201111),
(268167, '0038693', NULL, NULL, 186, NULL, 'YrdC/RibB', 201111),
(268168, '0039907', NULL, NULL, 216, NULL, 'YrdC/RibB', 201111),
(268169, '0037940', NULL, NULL, 209, NULL, 'YrdC/RibB', 201111),
(268170, '0044038', NULL, NULL, 202, NULL, 'YrdC/RibB', 201111),
(268171, '0039944', NULL, NULL, 206, NULL, 'YrdC/RibB', 201111),
(268172, '0042499', NULL, NULL, 219, NULL, 'YrdC/RibB', 201111),
(268173, '0038294', NULL, NULL, 88, NULL, 'Plasmid maintenance system epsilon/zeta, antidote epsilon subunit', 201112),
(268174, '0047486', NULL, NULL, 163, NULL, 'An anticodon-binding domain of class I aminoacyl-tRNA synthetases', 201113),
(268175, '0039170', NULL, NULL, 204, NULL, 'An anticodon-binding domain of class I aminoacyl-tRNA synthetases', 201113),
(268176, '0048171', NULL, NULL, 113, NULL, 'Doublecortin (DC)', 201114),
(268177, '0049879', NULL, NULL, 116, NULL, 'Doublecortin (DC)', 201114),
(268178, '0049618', NULL, NULL, 97, NULL, 'Beta-galactosidase LacA, domain 3', 201115),
(268179, '0053401', NULL, NULL, 101, NULL, 'Coiled-coil dimerization domain from cortexillin I', 201116),
(268180, '0053493', NULL, NULL, 29, NULL, 'Coiled-coil dimerization domain from cortexillin I', 201116),
(268181, '0041355', NULL, NULL, 324, NULL, 'GTPase activation domain, GAP', 201117),
(268182, '0050892', NULL, NULL, 196, NULL, 'GTPase activation domain, GAP', 201117),
(268183, '0042243', NULL, NULL, 184, NULL, 'GTPase activation domain, GAP', 201117),
(268184, '0037426', NULL, NULL, 191, NULL, 'GTPase activation domain, GAP', 201117),
(268185, '0044971', NULL, NULL, 324, NULL, 'GTPase activation domain, GAP', 201117),
(268186, '0044148', NULL, NULL, 196, NULL, 'GTPase activation domain, GAP', 201117),
(268187, '0054227', NULL, NULL, 96, NULL, 'YkvR-like', 201118);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(268188, '0047012', NULL, NULL, 99, NULL, 'RecG, N-terminal domain', 201119),
(268189, '0041663', NULL, NULL, 70, NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase N-terminal domain', 201120),
(268190, '0044470', NULL, NULL, 68, NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase N-terminal domain', 201120),
(268191, '0045472', NULL, NULL, 70, NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase N-terminal domain', 201120),
(268192, '0040083', NULL, NULL, 69, NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase N-terminal domain', 201120),
(268193, '0035684', NULL, NULL, 70, NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase N-terminal domain', 201120),
(268194, '0044665', NULL, NULL, 65, NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase N-terminal domain', 201120),
(268195, '0054195', NULL, NULL, 134, NULL, 'Taf5 N-terminal domain-like', 201121),
(268196, '0054196', NULL, NULL, 131, NULL, 'Taf5 N-terminal domain-like', 201121),
(268197, '0054308', NULL, NULL, 149, NULL, 'Taf5 N-terminal domain-like', 201121),
(268198, '0053288', NULL, NULL, 317, NULL, 'Annexin', 201122),
(268199, '0053100', NULL, NULL, 318, NULL, 'Annexin', 201122),
(268200, '0047297', NULL, NULL, 309, NULL, 'Annexin', 201122),
(268201, '0038746', NULL, NULL, 313, NULL, 'Annexin', 201122),
(268202, '0035256', NULL, NULL, 323, NULL, 'Annexin', 201122),
(268203, '0036466', NULL, NULL, 316, NULL, 'Annexin', 201122),
(268204, '0050389', NULL, NULL, 319, NULL, 'Annexin', 201122),
(268205, '0035227', NULL, NULL, 321, NULL, 'Annexin', 201122),
(268206, '0035226', NULL, NULL, 341, NULL, 'Annexin', 201122),
(268207, '0038635', NULL, NULL, 343, NULL, 'Annexin', 201122),
(268208, '0035060', NULL, NULL, 314, NULL, 'Annexin', 201122),
(268209, '0035089', NULL, NULL, 316, NULL, 'Annexin', 201122),
(268210, '0036495', NULL, NULL, 315, NULL, 'Annexin', 201122),
(268211, '0041163', NULL, NULL, 318, NULL, 'Annexin', 201122),
(268212, '0040853', NULL, NULL, 323, NULL, 'Annexin', 201122),
(268213, '0040852', NULL, NULL, 341, NULL, 'Annexin', 201122),
(268214, '0054589', NULL, NULL, 100, NULL, 'Ribosomal protein S6', 201123),
(268215, '0054199', NULL, NULL, 106, NULL, 'Ribosomal protein S6', 201123),
(268216, '0050251', NULL, NULL, 107, NULL, 'Ribosomal protein S6', 201123),
(268217, '0046201', NULL, NULL, 98, NULL, 'Ribosomal protein S6', 201123),
(268218, '0043988', NULL, NULL, 142, NULL, 'Elongation factor Ts (EF-Ts), dimerisation domain', 201124),
(268219, '0050903', NULL, NULL, 111, NULL, 'Elongation factor Ts (EF-Ts), dimerisation domain', 201124),
(268220, '0050904', NULL, NULL, 109, NULL, 'Elongation factor Ts (EF-Ts), dimerisation domain', 201124),
(268221, '0046542', NULL, NULL, 143, NULL, 'Elongation factor Ts (EF-Ts), dimerisation domain', 201124),
(268222, '0046544', NULL, NULL, 85, NULL, 'Elongation factor Ts (EF-Ts), dimerisation domain', 201124),
(268223, '0050177', NULL, NULL, 113, NULL, 'Bacterial exopeptidase dimerisation domain', 201125),
(268224, '0051475', NULL, NULL, 117, NULL, 'Bacterial exopeptidase dimerisation domain', 201125),
(268225, '0053285', NULL, NULL, 119, NULL, 'Bacterial exopeptidase dimerisation domain', 201125),
(268226, '0046135', NULL, NULL, 113, NULL, 'Bacterial exopeptidase dimerisation domain', 201125),
(268227, '0043110', NULL, NULL, 116, NULL, 'Bacterial exopeptidase dimerisation domain', 201125),
(268228, '0047972', NULL, NULL, 196, NULL, 'Bacterial exopeptidase dimerisation domain', 201125),
(268229, '0051390', NULL, NULL, 115, NULL, 'Bacterial exopeptidase dimerisation domain', 201125),
(268230, '0037689', NULL, NULL, 113, NULL, 'Bacterial exopeptidase dimerisation domain', 201125),
(268231, '0054053', NULL, NULL, 126, NULL, 'NosL/MerB-like', 201126),
(268232, '0053604', NULL, NULL, 132, NULL, 'NosL/MerB-like', 201126),
(268233, '0047339', NULL, NULL, 74, NULL, 'YhbC-like, C-terminal domain', 201127),
(268234, '0053433', NULL, NULL, 58, NULL, 'Virus ectodomain', 201128),
(268235, '0053544', NULL, NULL, 53, NULL, 'Virus ectodomain', 201128),
(268236, '0053420', NULL, NULL, 91, NULL, 'Virus ectodomain', 201128);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(268237, '0053453', NULL, NULL, 73, NULL, 'Virus ectodomain', 201128),
(268238, '0053410', NULL, NULL, 76, NULL, 'Virus ectodomain', 201128),
(268239, '0053421', NULL, NULL, 157, NULL, 'Virus ectodomain', 201128),
(268240, '0053454', NULL, NULL, 78, NULL, 'Virus ectodomain', 201128),
(268241, '0053575', NULL, NULL, 71, NULL, 'Virus ectodomain', 201128),
(268242, '0053451', NULL, NULL, 75, NULL, 'Virus ectodomain', 201128),
(268243, '0053484', NULL, NULL, 85, NULL, 'Virus ectodomain', 201128),
(268244, '0053485', NULL, NULL, 53, NULL, 'Virus ectodomain', 201128),
(268245, '0053496', NULL, NULL, 122, NULL, 'Virus ectodomain', 201128),
(268246, '0053406', NULL, NULL, 111, NULL, 'Virus ectodomain', 201128),
(268247, '0053516', NULL, NULL, 38, NULL, 'Virus ectodomain', 201128),
(268248, '0053407', NULL, NULL, 121, NULL, 'Virus ectodomain', 201128),
(268249, '0053515', NULL, NULL, 64, NULL, 'Virus ectodomain', 201128),
(268250, '0053928', NULL, NULL, 90, NULL, 'Virus ectodomain', 201128),
(268251, '0053442', NULL, NULL, 53, NULL, 'Inovirus (filamentous phage) major coat protein', 201129),
(268252, '0053443', NULL, NULL, 44, NULL, 'Inovirus (filamentous phage) major coat protein', 201129),
(268253, '0053498', NULL, NULL, 46, NULL, 'Inovirus (filamentous phage) major coat protein', 201129),
(268254, '0053441', NULL, NULL, 51, NULL, 'Inovirus (filamentous phage) major coat protein', 201129),
(268255, '0053573', NULL, NULL, 46, NULL, 'Inovirus (filamentous phage) major coat protein', 201129),
(268256, '0053437', NULL, NULL, 46, NULL, 'Inovirus (filamentous phage) major coat protein', 201129),
(268257, '0053559', NULL, NULL, 50, NULL, 'Inovirus (filamentous phage) major coat protein', 201129),
(268258, '0054406', NULL, NULL, 103, NULL, 'HIN-2000 domain-like', 201130),
(268259, '0054405', NULL, NULL, 88, NULL, 'HIN-2000 domain-like', 201130),
(268260, '0050023', NULL, NULL, 340, NULL, 'Calcium-dependent phosphotriesterase', 201131),
(268261, '0052427', NULL, NULL, 319, NULL, 'Calcium-dependent phosphotriesterase', 201131),
(268262, '0052901', NULL, NULL, 295, NULL, 'Calcium-dependent phosphotriesterase', 201131),
(268263, '0046436', NULL, NULL, 312, NULL, 'Calcium-dependent phosphotriesterase', 201131),
(268264, '0054459', NULL, NULL, 302, NULL, 'Calcium-dependent phosphotriesterase', 201131),
(268265, '0054334', NULL, NULL, 131, NULL, 'NMB0513-like', 201132),
(268266, '0034839', NULL, NULL, 135, NULL, 'Domain of poly(ADP-ribose) polymerase', 201133),
(268267, '0044402', NULL, NULL, 137, NULL, 'Domain of poly(ADP-ribose) polymerase', 201133),
(268268, '0038239', NULL, NULL, 134, NULL, 'Domain of poly(ADP-ribose) polymerase', 201133),
(268269, '0044195', NULL, NULL, 143, NULL, 'OmpH-like', 201134),
(268270, '0035983', NULL, NULL, 198, NULL, 'Methylesterase CheB, C-terminal domain', 201135),
(268271, '0039067', NULL, NULL, 143, NULL, 'Exotoxin A, middle domain', 201136),
(268272, '0053378', NULL, NULL, 186, NULL, 'Dihydrofolate reductase-like', 201137),
(268273, '0053343', NULL, NULL, 202, NULL, 'Dihydrofolate reductase-like', 201137),
(268274, '0043051', NULL, NULL, 178, NULL, 'Dihydrofolate reductase-like', 201137),
(268275, '0053054', NULL, NULL, 198, NULL, 'Dihydrofolate reductase-like', 201137),
(268276, '0051866', NULL, NULL, 219, NULL, 'Dihydrofolate reductase-like', 201137),
(268277, '0053318', NULL, NULL, 162, NULL, 'Dihydrofolate reductase-like', 201137),
(268278, '0051896', NULL, NULL, 214, NULL, 'Dihydrofolate reductase-like', 201137),
(268279, '0036228', NULL, NULL, 164, NULL, 'Dihydrofolate reductase-like', 201137),
(268280, '0035127', NULL, NULL, 192, NULL, 'Dihydrofolate reductase-like', 201137),
(268281, '0039349', NULL, NULL, 231, NULL, 'Dihydrofolate reductase-like', 201137),
(268282, '0046319', NULL, NULL, 159, NULL, 'Dihydrofolate reductase-like', 201137),
(268283, '0047688', NULL, NULL, 193, NULL, 'Dihydrofolate reductase-like', 201137),
(268284, '0049139', NULL, NULL, 159, NULL, 'Dihydrofolate reductase-like', 201137),
(268285, '0047835', NULL, NULL, 186, NULL, 'Dihydrofolate reductase-like', 201137);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(268286, '0044710', NULL, NULL, 157, NULL, 'Dihydrofolate reductase-like', 201137),
(268287, '0046095', NULL, NULL, 87, NULL, 'CAD & PB1 domains', 201138),
(268288, '0050144', NULL, NULL, 89, NULL, 'CAD & PB1 domains', 201138),
(268289, '0047342', NULL, NULL, 89, NULL, 'CAD & PB1 domains', 201138),
(268290, '0048552', NULL, NULL, 82, NULL, 'CAD & PB1 domains', 201138),
(268291, '0052120', NULL, NULL, 80, NULL, 'CAD & PB1 domains', 201138),
(268292, '0046691', NULL, NULL, 100, NULL, 'CAD & PB1 domains', 201138),
(268293, '0048553', NULL, NULL, 105, NULL, 'CAD & PB1 domains', 201138),
(268294, '0050570', NULL, NULL, 113, NULL, 'CAD & PB1 domains', 201138),
(268295, '0047341', NULL, NULL, 81, NULL, 'CAD & PB1 domains', 201138),
(268296, '0050657', NULL, NULL, 82, NULL, 'CAD & PB1 domains', 201138),
(268297, '0052303', NULL, NULL, 90, NULL, 'CAD & PB1 domains', 201138),
(268298, '0050609', NULL, NULL, 101, NULL, 'CAD & PB1 domains', 201138),
(268299, '0039115', NULL, NULL, 85, NULL, 'CAD & PB1 domains', 201138),
(268300, '0048864', NULL, NULL, 98, NULL, 'CAD & PB1 domains', 201138),
(268301, '0046268', NULL, NULL, 122, NULL, 'CAD & PB1 domains', 201138),
(268302, '0039879', NULL, NULL, 281, NULL, 'Tricorn protease N-terminal domain', 201139),
(268303, '0048794', NULL, NULL, 353, NULL, 'Thermostable phytase (3-phytase)', 201140),
(268304, '0036696', NULL, NULL, 48, NULL, 'LysM domain', 201141),
(268305, '0051227', NULL, NULL, 48, NULL, 'LysM domain', 201141),
(268306, '0047717', NULL, NULL, 151, NULL, 'CheW-like', 201142),
(268307, '0045872', NULL, NULL, 132, NULL, 'CheW-like', 201142),
(268308, '0048927', NULL, NULL, 179, NULL, 'Formiminotransferase domain of formiminotransferase-cyclodeaminase.', 201143),
(268309, '0048928', NULL, NULL, 146, NULL, 'Formiminotransferase domain of formiminotransferase-cyclodeaminase.', 201143),
(268310, '0045471', NULL, NULL, 226, NULL, 'Thiamin phosphate synthase', 201144),
(268311, '0045046', NULL, NULL, 206, NULL, 'Thiamin phosphate synthase', 201144),
(268312, '0035493', NULL, NULL, 81, NULL, 'Ubiquinone-binding protein QP-C of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 201145),
(268313, '0037296', NULL, NULL, 93, NULL, 'Ubiquinone-binding protein QP-C of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 201145),
(268314, '0035458', NULL, NULL, 78, NULL, 'Ubiquinone-binding protein QP-C of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', 201145),
(268315, '0050066', NULL, NULL, 435, NULL, 'Subtilisin-like', 201146),
(268316, '0042193', NULL, NULL, 334, NULL, 'Subtilisin-like', 201146),
(268317, '0035548', NULL, NULL, 274, NULL, 'Subtilisin-like', 201146),
(268318, '0036867', NULL, NULL, 310, NULL, 'Subtilisin-like', 201146),
(268319, '0036139', NULL, NULL, 274, NULL, 'Subtilisin-like', 201146),
(268320, '0036337', NULL, NULL, 280, NULL, 'Subtilisin-like', 201146),
(268321, '0038019', NULL, NULL, 369, NULL, 'Subtilisin-like', 201146),
(268322, '0044008', NULL, NULL, 279, NULL, 'Subtilisin-like', 201146),
(268323, '0042014', NULL, NULL, 338, NULL, 'Subtilisin-like', 201146),
(268324, '0038257', NULL, NULL, 357, NULL, 'Subtilisin-like', 201146),
(268325, '0044989', NULL, NULL, 318, NULL, 'Subtilisin-like', 201146),
(268326, '0038041', NULL, NULL, 269, NULL, 'Subtilisin-like', 201146),
(268327, '0043627', NULL, NULL, 357, NULL, 'Subtilisin-like', 201146),
(268328, '0053283', NULL, NULL, 279, NULL, 'Subtilisin-like', 201146),
(268329, '0040900', NULL, NULL, 275, NULL, 'Subtilisin-like', 201146),
(268330, '0049659', NULL, NULL, 281, NULL, 'Subtilisin-like', 201146),
(268331, '0049119', NULL, NULL, 671, NULL, 'Subtilisin-like', 201146),
(268332, '0053942', NULL, NULL, 468, NULL, 'Poly(A) polymerase catalytic subunit-like', 201147),
(268333, '0037245', NULL, NULL, 79, NULL, 'DnaJ/Hsp40 cysteine-rich domain', 201148),
(268334, '0041451', NULL, NULL, 74, NULL, 'DnaJ/Hsp40 cysteine-rich domain', 201148),
(268335, '0043732', NULL, NULL, 336, NULL, 'Rap/Ran-GAP', 201149),
(268336, '0049182', NULL, NULL, 221, NULL, 'Putative anticodon-binding domain of alanyl-tRNA synthetase (AlaRS)', 201150);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(268337, '0053537', NULL, NULL, 78, NULL, 'Geminin coiled-coil domain', 201151),
(268338, '0053524', NULL, NULL, 61, NULL, 'Geminin coiled-coil domain', 201151),
(268339, '0046203', NULL, NULL, 450, NULL, 'Soluble quinoprotein glucose dehydrogenase', 201152),
(268340, '0052353', NULL, NULL, 118, NULL, 'MTH938-like', 201153),
(268341, '0051739', NULL, NULL, 121, NULL, 'MTH938-like', 201153),
(268342, '0039031', NULL, NULL, 113, NULL, 'MTH938-like', 201153),
(268343, '0052790', NULL, NULL, 127, NULL, 'MTH938-like', 201153),
(268344, '0052700', NULL, NULL, 118, NULL, 'MTH938-like', 201153),
(268345, '0046796', NULL, NULL, 237, NULL, 'Ribosomal protein S2', 201154),
(268346, '0050191', NULL, NULL, 193, NULL, 'Ribosomal protein S2', 201154),
(268347, '0053985', NULL, NULL, 218, NULL, 'Ribosomal protein S2', 201154),
(268348, '0054388', NULL, NULL, 252, NULL, 'MetI-like', 201155),
(268349, '0054918', NULL, NULL, 248, NULL, 'MetI-like', 201155),
(268350, '0054648', NULL, NULL, 290, NULL, 'MetI-like', 201155),
(268351, '0054934', NULL, NULL, 203, NULL, 'MetI-like', 201155),
(268352, '0054647', NULL, NULL, 244, NULL, 'MetI-like', 201155),
(268353, '0049294', NULL, NULL, 94, NULL, 'TM1457-like', 201156),
(268354, '0054131', NULL, NULL, 112, NULL, 'TM1457-like', 201156),
(268355, '0054481', NULL, NULL, 106, NULL, 'TM1457-like', 201156),
(268356, '0053931', NULL, NULL, 111, NULL, 'TM1457-like', 201156),
(268357, '0041482', NULL, NULL, 562, NULL, 'Major capsid protein VP5', 201157),
(268358, '0040388', NULL, NULL, 160, NULL, 'Aconitase B, N-terminal domain', 201158),
(268359, '0053761', NULL, NULL, 132, NULL, 'Plus3-like', 201159),
(268360, '0051818', NULL, NULL, 161, NULL, 'Regulatory protein AraC', 201160),
(268361, '0053994', NULL, NULL, 198, NULL, 'Ribosomal protein L4', 201161),
(268362, '0054774', NULL, NULL, 197, NULL, 'Ribosomal protein L4', 201161),
(268363, '0037531', NULL, NULL, 246, NULL, 'Ribosomal protein L4', 201161),
(268364, '0054178', NULL, NULL, 208, NULL, 'Ribosomal protein L4', 201161),
(268365, '0036499', NULL, NULL, 225, NULL, 'Ribosomal protein L4', 201161),
(268366, '0043865', NULL, NULL, 152, NULL, 'PurS-like', 201162),
(268367, '0050284', NULL, NULL, 86, NULL, 'PurS-like', 201162),
(268368, '0038258', NULL, NULL, 82, NULL, 'PurS-like', 201162),
(268369, '0043874', NULL, NULL, 80, NULL, 'PurS-like', 201162),
(268370, '0054499', NULL, NULL, 108, NULL, 'RbcX-like', 201163),
(268371, '0054498', NULL, NULL, 115, NULL, 'RbcX-like', 201163),
(268372, '0054558', NULL, NULL, 120, NULL, 'RbcX-like', 201163),
(268373, '0040112', NULL, NULL, 109, NULL, 'alpha-D-mannose-specific plant lectins', 201164),
(268374, '0035319', NULL, NULL, 119, NULL, 'alpha-D-mannose-specific plant lectins', 201164),
(268375, '0036491', NULL, NULL, 120, NULL, 'alpha-D-mannose-specific plant lectins', 201164),
(268376, '0039687', NULL, NULL, 108, NULL, 'alpha-D-mannose-specific plant lectins', 201164),
(268377, '0040111', NULL, NULL, 109, NULL, 'alpha-D-mannose-specific plant lectins', 201164),
(268378, '0036490', NULL, NULL, 115, NULL, 'alpha-D-mannose-specific plant lectins', 201164),
(268379, '0050925', NULL, NULL, 110, NULL, 'alpha-D-mannose-specific plant lectins', 201164),
(268380, '0050924', NULL, NULL, 112, NULL, 'alpha-D-mannose-specific plant lectins', 201164),
(268381, '0041508', NULL, NULL, 109, NULL, 'alpha-D-mannose-specific plant lectins', 201164),
(268382, '0035745', NULL, NULL, 109, NULL, 'alpha-D-mannose-specific plant lectins', 201164),
(268383, '0035744', NULL, NULL, 106, NULL, 'alpha-D-mannose-specific plant lectins', 201164),
(268384, '0039251', NULL, NULL, 177, NULL, 'Prokaryotic lipoproteins and lipoprotein localization factors', 201165),
(268385, '0039250', NULL, NULL, 182, NULL, 'Prokaryotic lipoproteins and lipoprotein localization factors', 201165),
(268386, '0052080', NULL, NULL, 188, NULL, 'Prokaryotic lipoproteins and lipoprotein localization factors', 201165),
(268387, '0044837', NULL, NULL, 292, NULL, 'Indigoidine synthase A-like', 201166),
(268388, '0052175', NULL, NULL, 179, NULL, 'Cloroperoxidase', 201167);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(268389, '0052174', NULL, NULL, 120, NULL, 'Cloroperoxidase', 201167),
(268390, '0039423', NULL, NULL, 84, NULL, 'Domain of the SRP/SRP receptor G-proteins', 201168),
(268391, '0048024', NULL, NULL, 88, NULL, 'Domain of the SRP/SRP receptor G-proteins', 201168),
(268392, '0050250', NULL, NULL, 81, NULL, 'Domain of the SRP/SRP receptor G-proteins', 201168),
(268393, '0041903', NULL, NULL, 58, NULL, 'Domain of the SRP/SRP receptor G-proteins', 201168),
(268394, '0050537', NULL, NULL, 99, NULL, 'Domain of the SRP/SRP receptor G-proteins', 201168),
(268395, '0043267', NULL, NULL, 69, NULL, 'Domain of the SRP/SRP receptor G-proteins', 201168),
(268396, '0037775', NULL, NULL, 84, NULL, 'Domain of the SRP/SRP receptor G-proteins', 201168),
(268397, '0043059', NULL, NULL, 87, NULL, 'Domain of the SRP/SRP receptor G-proteins', 201168),
(268398, '0049075', NULL, NULL, 95, NULL, '1-deoxy-D-xylulose-5-phosphate reductoisomerase, C-terminal domain', 201169),
(268399, '0047751', NULL, NULL, 98, NULL, '1-deoxy-D-xylulose-5-phosphate reductoisomerase, C-terminal domain', 201169),
(268400, '0049660', NULL, NULL, 64, NULL, 'CI-2 family of serine protease inhibitors', 201170),
(268401, '0036991', NULL, NULL, 70, NULL, 'CI-2 family of serine protease inhibitors', 201170),
(268402, '0047266', NULL, NULL, 69, NULL, 'CI-2 family of serine protease inhibitors', 201170),
(268403, '0045096', NULL, NULL, 64, NULL, 'CI-2 family of serine protease inhibitors', 201170),
(268404, '0036637', NULL, NULL, 69, NULL, 'CI-2 family of serine protease inhibitors', 201170),
(268405, '0045456', NULL, NULL, 64, NULL, 'CI-2 family of serine protease inhibitors', 201170),
(268406, '0046078', NULL, NULL, 350, NULL, 'Hect, E3 ligase catalytic domain', 201171),
(268407, '0048334', NULL, NULL, 374, NULL, 'Hect, E3 ligase catalytic domain', 201171),
(268408, '0043014', NULL, NULL, 102, NULL, 'Hypothetical protein Ta1206', 201172),
(268409, '0049088', NULL, NULL, 37, NULL, 'Cyclotides', 201173),
(268410, '0046318', NULL, NULL, 30, NULL, 'Cyclotides', 201173),
(268411, '0047608', NULL, NULL, 29, NULL, 'Cyclotides', 201173),
(268412, '0048815', NULL, NULL, 29, NULL, 'Cyclotides', 201173),
(268413, '0048265', NULL, NULL, 29, NULL, 'Cyclotides', 201173),
(268414, '0048315', NULL, NULL, 29, NULL, 'Cyclotides', 201173),
(268415, '0047773', NULL, NULL, 29, NULL, 'Cyclotides', 201173),
(268416, '0048318', NULL, NULL, 30, NULL, 'Cyclotides', 201173),
(268417, '0035547', NULL, NULL, 30, NULL, 'Cyclotides', 201173),
(268418, '0050124', NULL, NULL, 30, NULL, 'Cyclotides', 201173),
(268419, '0053004', NULL, NULL, 326, NULL, 'HD-domain/PDEase-like', 201174),
(268420, '0054512', NULL, NULL, 215, NULL, 'HD-domain/PDEase-like', 201174),
(268421, '0054941', NULL, NULL, 212, NULL, 'HD-domain/PDEase-like', 201174),
(268422, '0050288', NULL, NULL, 286, NULL, 'HD-domain/PDEase-like', 201174),
(268423, '0053047', NULL, NULL, 258, NULL, 'HD-domain/PDEase-like', 201174),
(268424, '0053234', NULL, NULL, 453, NULL, 'HD-domain/PDEase-like', 201174),
(268425, '0051140', NULL, NULL, 172, NULL, 'HD-domain/PDEase-like', 201174),
(268426, '0049586', NULL, NULL, 357, NULL, 'HD-domain/PDEase-like', 201174),
(268427, '0049430', NULL, NULL, 415, NULL, 'HD-domain/PDEase-like', 201174),
(268428, '0053263', NULL, NULL, 186, NULL, 'HD-domain/PDEase-like', 201174),
(268429, '0054608', NULL, NULL, 216, NULL, 'HD-domain/PDEase-like', 201174),
(268430, '0054806', NULL, NULL, 201, NULL, 'HD-domain/PDEase-like', 201174),
(268431, '0051349', NULL, NULL, 167, NULL, 'HD-domain/PDEase-like', 201174),
(268432, '0054937', NULL, NULL, 213, NULL, 'HD-domain/PDEase-like', 201174),
(268433, '0054539', NULL, NULL, 217, NULL, 'HD-domain/PDEase-like', 201174),
(268434, '0049193', NULL, NULL, 326, NULL, 'HD-domain/PDEase-like', 201174),
(268435, '0054007', NULL, NULL, 200, NULL, 'HD-domain/PDEase-like', 201174),
(268436, '0053007', NULL, NULL, 369, NULL, 'HD-domain/PDEase-like', 201174),
(268437, '0049806', NULL, NULL, 197, NULL, 'HD-domain/PDEase-like', 201174),
(268438, '0053085', NULL, NULL, 249, NULL, 'HD-domain/PDEase-like', 201174);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(268439, '0048665', NULL, NULL, 334, NULL, 'HD-domain/PDEase-like', 201174),
(268440, '0049588', NULL, NULL, 326, NULL, 'HD-domain/PDEase-like', 201174),
(268441, '0044798', NULL, NULL, 192, NULL, 'HD-domain/PDEase-like', 201174),
(268442, '0046668', NULL, NULL, 357, NULL, 'HD-domain/PDEase-like', 201174),
(268443, '0053718', NULL, NULL, 36, NULL, 'Photosystem II reaction center protein M, PsbM', 201175),
(268444, '0036957', NULL, NULL, 97, NULL, 'EF-Tu/eEF-1alpha/eIF2-gamma C-terminal domain', 201176),
(268445, '0046254', NULL, NULL, 103, NULL, 'EF-Tu/eEF-1alpha/eIF2-gamma C-terminal domain', 201176),
(268446, '0039671', NULL, NULL, 107, NULL, 'EF-Tu/eEF-1alpha/eIF2-gamma C-terminal domain', 201176),
(268447, '0051647', NULL, NULL, 105, NULL, 'EF-Tu/eEF-1alpha/eIF2-gamma C-terminal domain', 201176),
(268448, '0051768', NULL, NULL, 95, NULL, 'EF-Tu/eEF-1alpha/eIF2-gamma C-terminal domain', 201176),
(268449, '0043132', NULL, NULL, 68, NULL, 'EF-Tu/eEF-1alpha/eIF2-gamma C-terminal domain', 201176),
(268450, '0037406', NULL, NULL, 107, NULL, 'EF-Tu/eEF-1alpha/eIF2-gamma C-terminal domain', 201176),
(268451, '0050422', NULL, NULL, 116, NULL, 'EF-Tu/eEF-1alpha/eIF2-gamma C-terminal domain', 201176),
(268452, '0037247', NULL, NULL, 93, NULL, 'EF-Tu/eEF-1alpha/eIF2-gamma C-terminal domain', 201176),
(268453, '0047821', NULL, NULL, 89, NULL, 'EF-Tu/eEF-1alpha/eIF2-gamma C-terminal domain', 201176),
(268454, '0049291', NULL, NULL, 90, NULL, 'EF-Tu/eEF-1alpha/eIF2-gamma C-terminal domain', 201176),
(268455, '0053797', NULL, NULL, 104, NULL, 'AtpF-like', 201177),
(268456, '0054087', NULL, NULL, 76, NULL, 'AtpF-like', 201177),
(268457, '0036595', NULL, NULL, 202, NULL, 'E2 regulatory, transactivation domain', 201178),
(268458, '0043150', NULL, NULL, 196, NULL, 'E2 regulatory, transactivation domain', 201178),
(268459, '0042936', NULL, NULL, 144, NULL, 'E2 regulatory, transactivation domain', 201178),
(268460, '0044126', NULL, NULL, 194, NULL, 'E2 regulatory, transactivation domain', 201178),
(268461, '0042563', NULL, NULL, 225, NULL, 'Respiratory nitrate reductase 1 gamma chain', 201179),
(268462, '0036507', NULL, NULL, 237, NULL, 'Carbonic anhydrase', 201180),
(268463, '0040188', NULL, NULL, 252, NULL, 'Carbonic anhydrase', 201180),
(268464, '0039488', NULL, NULL, 260, NULL, 'Carbonic anhydrase', 201180),
(268465, '0045490', NULL, NULL, 258, NULL, 'Carbonic anhydrase', 201180),
(268466, '0043265', NULL, NULL, 259, NULL, 'Carbonic anhydrase', 201180),
(268467, '0037649', NULL, NULL, 259, NULL, 'Carbonic anhydrase', 201180),
(268468, '0048038', NULL, NULL, 259, NULL, 'Carbonic anhydrase', 201180),
(268469, '0044675', NULL, NULL, 259, NULL, 'Carbonic anhydrase', 201180),
(268470, '0045126', NULL, NULL, 262, NULL, 'Carbonic anhydrase', 201180),
(268471, '0038524', NULL, NULL, 258, NULL, 'Carbonic anhydrase', 201180),
(268472, '0046046', NULL, NULL, 144, NULL, 'Apolipoprotein', 201181),
(268473, '0050132', NULL, NULL, 254, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268474, '0052356', NULL, NULL, 206, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268475, '0036628', NULL, NULL, 239, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268476, '0052672', NULL, NULL, 332, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268477, '0051442', NULL, NULL, 230, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268478, '0049004', NULL, NULL, 267, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268479, '0047101', NULL, NULL, 220, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268480, '0048432', NULL, NULL, 205, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268481, '0049146', NULL, NULL, 261, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268482, '0051164', NULL, NULL, 222, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268483, '0052714', NULL, NULL, 217, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268484, '0039992', NULL, NULL, 251, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268485, '0049629', NULL, NULL, 253, NULL, 'Ribulose-phoshate binding barrel', 201182);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(268486, '0036340', NULL, NULL, 237, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268487, '0049228', NULL, NULL, 230, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268488, '0047300', NULL, NULL, 251, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268489, '0047125', NULL, NULL, 252, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268490, '0050290', NULL, NULL, 198, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268491, '0047889', NULL, NULL, 213, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268492, '0048998', NULL, NULL, 241, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268493, '0049922', NULL, NULL, 271, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268494, '0052661', NULL, NULL, 324, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268495, '0049675', NULL, NULL, 221, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268496, '0050062', NULL, NULL, 200, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268497, '0049674', NULL, NULL, 221, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268498, '0037027', NULL, NULL, 231, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268499, '0050322', NULL, NULL, 239, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268500, '0051598', NULL, NULL, 254, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268501, '0050916', NULL, NULL, 267, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268502, '0039781', NULL, NULL, 323, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268503, '0053293', NULL, NULL, 323, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268504, '0046387', NULL, NULL, 267, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268505, '0038072', NULL, NULL, 248, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268506, '0045712', NULL, NULL, 247, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268507, '0048767', NULL, NULL, 198, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268508, '0048768', NULL, NULL, 254, NULL, 'Ribulose-phoshate binding barrel', 201182),
(268509, '0054382', NULL, NULL, 122, NULL, 'PG0775 C-terminal domain-like', 201183),
(268510, '0046738', NULL, NULL, 172, NULL, 'PAP/Archaeal CCA-adding enzyme, C-terminal domain', 201184),
(268511, '0037392', NULL, NULL, 134, NULL, 'PAP/Archaeal CCA-adding enzyme, C-terminal domain', 201184),
(268512, '0049129', NULL, NULL, 180, NULL, 'PAP/Archaeal CCA-adding enzyme, C-terminal domain', 201184),
(268513, '0051564', NULL, NULL, 115, NULL, 'FimD N-terminal domain-like', 201185),
(268514, '0051566', NULL, NULL, 125, NULL, 'FimD N-terminal domain-like', 201185),
(268515, '0052769', NULL, NULL, 84, NULL, 'Nqo1 middle domain-like', 201186),
(268516, '0037265', NULL, NULL, 201, NULL, 'PRC-barrel domain', 201187),
(268517, '0044351', NULL, NULL, 141, NULL, 'PRC-barrel domain', 201187),
(268518, '0042374', NULL, NULL, 78, NULL, 'PRC-barrel domain', 201187),
(268519, '0042908', NULL, NULL, 215, NULL, 'PRC-barrel domain', 201187),
(268520, '0036658', NULL, NULL, 222, NULL, 'PRC-barrel domain', 201187),
(268521, '0052566', NULL, NULL, 75, NULL, 'PRC-barrel domain', 201187),
(268522, '0054400', NULL, NULL, 114, NULL, 'PYP-like sensor domain (PAS domain)', 201188),
(268523, '0046045', NULL, NULL, 110, NULL, 'PYP-like sensor domain (PAS domain)', 201188),
(268524, '0037219', NULL, NULL, 130, NULL, 'PYP-like sensor domain (PAS domain)', 201188),
(268525, '0050109', NULL, NULL, 113, NULL, 'PYP-like sensor domain (PAS domain)', 201188),
(268526, '0054714', NULL, NULL, 127, NULL, 'PYP-like sensor domain (PAS domain)', 201188),
(268527, '0054866', NULL, NULL, 113, NULL, 'PYP-like sensor domain (PAS domain)', 201188),
(268528, '0054348', NULL, NULL, 127, NULL, 'PYP-like sensor domain (PAS domain)', 201188),
(268529, '0041279', NULL, NULL, 109, NULL, 'PYP-like sensor domain (PAS domain)', 201188),
(268530, '0046903', NULL, NULL, 104, NULL, 'PYP-like sensor domain (PAS domain)', 201188),
(268531, '0046377', NULL, NULL, 116, NULL, 'PYP-like sensor domain (PAS domain)', 201188),
(268532, '0048248', NULL, NULL, 110, NULL, 'PYP-like sensor domain (PAS domain)', 201188);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(268533, '0048644', NULL, NULL, 105, NULL, 'PYP-like sensor domain (PAS domain)', 201188),
(268534, '0048579', NULL, NULL, 109, NULL, 'PYP-like sensor domain (PAS domain)', 201188),
(268535, '0040536', NULL, NULL, 114, NULL, 'PYP-like sensor domain (PAS domain)', 201188),
(268536, '0048715', NULL, NULL, 114, NULL, 'PYP-like sensor domain (PAS domain)', 201188),
(268537, '0048459', NULL, NULL, 125, NULL, 'PYP-like sensor domain (PAS domain)', 201188),
(268538, '0054571', NULL, NULL, 176, NULL, 'Sec63 N-terminal domain-like', 201189),
(268539, '0054469', NULL, NULL, 198, NULL, 'Sec63 N-terminal domain-like', 201189),
(268540, '0039385', NULL, NULL, 107, NULL, 'Putative transcriptional regulator TM1602, C-terminal domain', 201190),
(268541, '0046989', NULL, NULL, 79, NULL, 'Single hybrid motif', 201191),
(268542, '0038124', NULL, NULL, 81, NULL, 'Single hybrid motif', 201191),
(268543, '0048969', NULL, NULL, 80, NULL, 'Single hybrid motif', 201191),
(268544, '0048508', NULL, NULL, 84, NULL, 'Single hybrid motif', 201191),
(268545, '0051241', NULL, NULL, 102, NULL, 'Single hybrid motif', 201191),
(268546, '0047951', NULL, NULL, 80, NULL, 'Single hybrid motif', 201191),
(268547, '0042385', NULL, NULL, 80, NULL, 'Single hybrid motif', 201191),
(268548, '0038716', NULL, NULL, 131, NULL, 'Single hybrid motif', 201191),
(268549, '0047477', NULL, NULL, 79, NULL, 'Single hybrid motif', 201191),
(268550, '0047763', NULL, NULL, 87, NULL, 'Single hybrid motif', 201191),
(268551, '0048610', NULL, NULL, 127, NULL, 'Single hybrid motif', 201191),
(268552, '0035479', NULL, NULL, 80, NULL, 'Single hybrid motif', 201191),
(268553, '0049022', NULL, NULL, 230, NULL, 'Flavoproteins', 201192),
(268554, '0048395', NULL, NULL, 171, NULL, 'Flavoproteins', 201192),
(268555, '0049241', NULL, NULL, 174, NULL, 'Flavoproteins', 201192),
(268556, '0049202', NULL, NULL, 135, NULL, 'Flavoproteins', 201192),
(268557, '0049201', NULL, NULL, 179, NULL, 'Flavoproteins', 201192),
(268558, '0049640', NULL, NULL, 203, NULL, 'Flavoproteins', 201192),
(268559, '0051328', NULL, NULL, 146, NULL, 'Flavoproteins', 201192),
(268560, '0052813', NULL, NULL, 233, NULL, 'Flavoproteins', 201192),
(268561, '0035735', NULL, NULL, 152, NULL, 'Flavoproteins', 201192),
(268562, '0052810', NULL, NULL, 137, NULL, 'Flavoproteins', 201192),
(268563, '0051820', NULL, NULL, 184, NULL, 'Flavoproteins', 201192),
(268564, '0046417', NULL, NULL, 273, NULL, 'Flavoproteins', 201192),
(268565, '0042957', NULL, NULL, 273, NULL, 'Flavoproteins', 201192),
(268566, '0048535', NULL, NULL, 169, NULL, 'Flavoproteins', 201192),
(268567, '0051281', NULL, NULL, 201, NULL, 'Flavoproteins', 201192),
(268568, '0047543', NULL, NULL, 177, NULL, 'Flavoproteins', 201192),
(268569, '0049507', NULL, NULL, 185, NULL, 'Flavoproteins', 201192),
(268570, '0044895', NULL, NULL, 148, NULL, 'Flavoproteins', 201192),
(268571, '0049548', NULL, NULL, 201, NULL, 'Flavoproteins', 201192),
(268572, '0049652', NULL, NULL, 202, NULL, 'Flavoproteins', 201192),
(268573, '0051274', NULL, NULL, 149, NULL, 'Flavoproteins', 201192),
(268574, '0045274', NULL, NULL, 173, NULL, 'Flavoproteins', 201192),
(268575, '0051357', NULL, NULL, 179, NULL, 'Flavoproteins', 201192),
(268576, '0036778', NULL, NULL, 152, NULL, 'Flavoproteins', 201192),
(268577, '0053358', NULL, NULL, 138, NULL, 'Flavoproteins', 201192),
(268578, '0046705', NULL, NULL, 147, NULL, 'Flavoproteins', 201192),
(268579, '0036210', NULL, NULL, 169, NULL, 'Flavoproteins', 201192),
(268580, '0051705', NULL, NULL, 196, NULL, 'Flavoproteins', 201192),
(268581, '0043718', NULL, NULL, 232, NULL, 'Flavoproteins', 201192),
(268582, '0046267', NULL, NULL, 273, NULL, 'Flavoproteins', 201192),
(268583, '0045773', NULL, NULL, 175, NULL, 'Flavoproteins', 201192),
(268584, '0046862', NULL, NULL, 163, NULL, 'Flavoproteins', 201192),
(268585, '0052483', NULL, NULL, 133, NULL, 'CalX-like', 201193),
(268586, '0052797', NULL, NULL, 157, NULL, 'CalX-like', 201193),
(268587, '0053555', NULL, NULL, 83, NULL, 'Coronavirus S2 glycoprotein', 201194),
(268588, '0053563', NULL, NULL, 54, NULL, 'Coronavirus S2 glycoprotein', 201194);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(268589, '0053550', NULL, NULL, 75, NULL, 'Coronavirus S2 glycoprotein', 201194),
(268590, '0053538', NULL, NULL, 110, NULL, 'Coronavirus S2 glycoprotein', 201194),
(268591, '0053549', NULL, NULL, 85, NULL, 'Coronavirus S2 glycoprotein', 201194),
(268592, '0053539', NULL, NULL, 127, NULL, 'Coronavirus S2 glycoprotein', 201194),
(268593, '0053536', NULL, NULL, 93, NULL, 'Coronavirus S2 glycoprotein', 201194),
(268594, '0053535', NULL, NULL, 92, NULL, 'Coronavirus S2 glycoprotein', 201194),
(268595, '0054420', NULL, NULL, 130, NULL, 'MgtE N-terminal domain-like', 201195),
(268596, '0054746', NULL, NULL, 125, NULL, 'MgtE N-terminal domain-like', 201195),
(268597, '0039141', NULL, NULL, 201, NULL, 'Ribosomal protein S7', 201196),
(268598, '0054590', NULL, NULL, 150, NULL, 'Ribosomal protein S7', 201196),
(268599, '0038733', NULL, NULL, 139, NULL, 'Ribosomal protein S7', 201196),
(268600, '0043368', NULL, NULL, 145, NULL, 'Ribosomal protein S7', 201196),
(268601, '0054511', NULL, NULL, 123, NULL, 'YheA/YmcA-like', 201197),
(268602, '0054367', NULL, NULL, 113, NULL, 'YheA/YmcA-like', 201197),
(268603, '0054366', NULL, NULL, 110, NULL, 'YheA/YmcA-like', 201197),
(268604, '0054122', NULL, NULL, 111, NULL, 'YheA/YmcA-like', 201197),
(268605, '0035936', NULL, NULL, 241, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268606, '0054577', NULL, NULL, 247, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268607, '0035956', NULL, NULL, 249, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268608, '0040749', NULL, NULL, 248, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268609, '0049281', NULL, NULL, 259, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268610, '0034985', NULL, NULL, 251, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268611, '0040597', NULL, NULL, 254, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268612, '0035154', NULL, NULL, 261, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268613, '0054908', NULL, NULL, 246, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268614, '0042475', NULL, NULL, 249, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268615, '0035687', NULL, NULL, 247, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268616, '0038757', NULL, NULL, 251, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268617, '0041058', NULL, NULL, 247, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268618, '0043118', NULL, NULL, 297, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268619, '0041057', NULL, NULL, 246, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268620, '0042803', NULL, NULL, 253, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268621, '0039320', NULL, NULL, 261, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268622, '0036494', NULL, NULL, 287, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268623, '0043991', NULL, NULL, 240, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268624, '0049973', NULL, NULL, 263, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268625, '0040546', NULL, NULL, 262, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268626, '0041415', NULL, NULL, 247, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268627, '0036290', NULL, NULL, 262, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268628, '0041975', NULL, NULL, 248, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268629, '0038090', NULL, NULL, 234, NULL, 'Ribosome inactivating proteins (RIP)', 201198),
(268630, '0053246', NULL, NULL, 105, NULL, 'Cytochrome c oxidase subunit E', 201199),
(268631, '0036817', NULL, NULL, 45, NULL, 'Epsilon subunit of F1F0-ATP synthase C-terminal domain', 201200),
(268632, '0045808', NULL, NULL, 50, NULL, 'Epsilon subunit of F1F0-ATP synthase C-terminal domain', 201200),
(268633, '0050021', NULL, NULL, 74, NULL, 'MoeA C-terminal domain-like', 201201),
(268634, '0043849', NULL, NULL, 83, NULL, 'MoeA C-terminal domain-like', 201201),
(268635, '0050700', NULL, NULL, 72, NULL, 'MoeA C-terminal domain-like', 201201);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(268636, '0050974', NULL, NULL, 72, NULL, 'MoeA C-terminal domain-like', 201201),
(268637, '0046943', NULL, NULL, 83, NULL, 'MoeA C-terminal domain-like', 201201),
(268638, '0043404', NULL, NULL, 123, NULL, 'Avidin/streptavidin', 201202),
(268639, '0041031', NULL, NULL, 127, NULL, 'Avidin/streptavidin', 201202),
(268640, '0043784', NULL, NULL, 126, NULL, 'Avidin/streptavidin', 201202),
(268641, '0045203', NULL, NULL, 124, NULL, 'Avidin/streptavidin', 201202),
(268642, '0048163', NULL, NULL, 525, NULL, '"Helical backbone" metal receptor', 201203),
(268643, '0036959', NULL, NULL, 262, NULL, '"Helical backbone" metal receptor', 201203),
(268644, '0048164', NULL, NULL, 457, NULL, '"Helical backbone" metal receptor', 201203),
(268645, '0044070', NULL, NULL, 277, NULL, '"Helical backbone" metal receptor', 201203),
(268646, '0051121', NULL, NULL, 279, NULL, '"Helical backbone" metal receptor', 201203),
(268647, '0048271', NULL, NULL, 245, NULL, '"Helical backbone" metal receptor', 201203),
(268648, '0053187', NULL, NULL, 522, NULL, '"Helical backbone" metal receptor', 201203),
(268649, '0053186', NULL, NULL, 476, NULL, '"Helical backbone" metal receptor', 201203),
(268650, '0054509', NULL, NULL, 277, NULL, '"Helical backbone" metal receptor', 201203),
(268651, '0042458', NULL, NULL, 286, NULL, '"Helical backbone" metal receptor', 201203),
(268652, '0052519', NULL, NULL, 334, NULL, '"Helical backbone" metal receptor', 201203),
(268653, '0052172', NULL, NULL, 287, NULL, '"Helical backbone" metal receptor', 201203),
(268654, '0048954', NULL, NULL, 478, NULL, '"Helical backbone" metal receptor', 201203),
(268655, '0042774', NULL, NULL, 519, NULL, '"Helical backbone" metal receptor', 201203),
(268656, '0042423', NULL, NULL, 289, NULL, '"Helical backbone" metal receptor', 201203),
(268657, '0053587', NULL, NULL, 69, NULL, 'Interleukin 8-like chemokines', 201204),
(268658, '0052499', NULL, NULL, 74, NULL, 'Interleukin 8-like chemokines', 201204),
(268659, '0038729', NULL, NULL, 69, NULL, 'Interleukin 8-like chemokines', 201204),
(268660, '0036523', NULL, NULL, 72, NULL, 'Interleukin 8-like chemokines', 201204),
(268661, '0035356', NULL, NULL, 69, NULL, 'Interleukin 8-like chemokines', 201204),
(268662, '0038505', NULL, NULL, 70, NULL, 'Interleukin 8-like chemokines', 201204),
(268663, '0035332', NULL, NULL, 67, NULL, 'Interleukin 8-like chemokines', 201204),
(268664, '0035635', NULL, NULL, 76, NULL, 'Interleukin 8-like chemokines', 201204),
(268665, '0037458', NULL, NULL, 65, NULL, 'Interleukin 8-like chemokines', 201204),
(268666, '0042732', NULL, NULL, 71, NULL, 'Interleukin 8-like chemokines', 201204),
(268667, '0038002', NULL, NULL, 77, NULL, 'Interleukin 8-like chemokines', 201204),
(268668, '0036062', NULL, NULL, 68, NULL, 'Interleukin 8-like chemokines', 201204),
(268669, '0039434', NULL, NULL, 93, NULL, 'Interleukin 8-like chemokines', 201204),
(268670, '0045309', NULL, NULL, 66, NULL, 'Interleukin 8-like chemokines', 201204),
(268671, '0043321', NULL, NULL, 72, NULL, 'Interleukin 8-like chemokines', 201204),
(268672, '0041524', NULL, NULL, 67, NULL, 'Interleukin 8-like chemokines', 201204),
(268673, '0046734', NULL, NULL, 81, NULL, 'Interleukin 8-like chemokines', 201204),
(268674, '0037908', NULL, NULL, 71, NULL, 'Interleukin 8-like chemokines', 201204),
(268675, '0034819', NULL, NULL, 67, NULL, 'Interleukin 8-like chemokines', 201204),
(268676, '0040916', NULL, NULL, 73, NULL, 'Interleukin 8-like chemokines', 201204),
(268677, '0043273', NULL, NULL, 73, NULL, 'Interleukin 8-like chemokines', 201204),
(268678, '0037022', NULL, NULL, 73, NULL, 'Interleukin 8-like chemokines', 201204),
(268679, '0037165', NULL, NULL, 76, NULL, 'Interleukin 8-like chemokines', 201204),
(268680, '0042369', NULL, NULL, 63, NULL, 'Interleukin 8-like chemokines', 201204),
(268681, '0042289', NULL, NULL, 68, NULL, 'Interleukin 8-like chemokines', 201204),
(268682, '0035320', NULL, NULL, 77, NULL, 'Interleukin 8-like chemokines', 201204),
(268683, '0037065', NULL, NULL, 74, NULL, 'Interleukin 8-like chemokines', 201204);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(268684, '0041737', NULL, NULL, 75, NULL, 'Interleukin 8-like chemokines', 201204),
(268685, '0040844', NULL, NULL, 61, NULL, 'Interleukin 8-like chemokines', 201204),
(268686, '0040943', NULL, NULL, 73, NULL, 'Interleukin 8-like chemokines', 201204),
(268687, '0042883', NULL, NULL, 69, NULL, 'Interleukin 8-like chemokines', 201204),
(268688, '0042161', NULL, NULL, 110, NULL, 'SRCR-like', 201205),
(268689, '0035772', NULL, NULL, 116, NULL, 'SRCR-like', 201205),
(268690, '0036592', NULL, NULL, 61, NULL, 'Carboxypeptidase inhibitor', 201206),
(268691, '0053692', NULL, NULL, 59, NULL, 'Carboxypeptidase inhibitor', 201206),
(268692, '0042248', NULL, NULL, 141, NULL, 'NinB', 201207),
(268693, '0045584', NULL, NULL, 359, NULL, 'Bacteriochlorophyll A protein', 201208),
(268694, '0040236', NULL, NULL, 357, NULL, 'Bacteriochlorophyll A protein', 201208),
(268695, '0042746', NULL, NULL, 430, NULL, 'Peptidase/esterase ''gauge'' domain', 201209),
(268696, '0053044', NULL, NULL, 313, NULL, 'Peptidase/esterase ''gauge'' domain', 201209),
(268697, '0046440', NULL, NULL, 102, NULL, 'Enzyme IIa from lactose specific PTS, IIa-lac', 201210),
(268698, '0048472', NULL, NULL, 112, NULL, 'Oxygen-evolving enhancer protein 3,', 201211),
(268699, '0041477', NULL, NULL, 107, NULL, 'Putative dsDNA mimic', 201212),
(268700, '0052021', NULL, NULL, 98, NULL, 'Cystatin/monellin', 201213),
(268701, '0052022', NULL, NULL, 119, NULL, 'Cystatin/monellin', 201213),
(268702, '0050887', NULL, NULL, 171, NULL, 'Cystatin/monellin', 201213),
(268703, '0053976', NULL, NULL, 63, NULL, 'Cystatin/monellin', 201213),
(268704, '0037137', NULL, NULL, 102, NULL, 'Cystatin/monellin', 201213),
(268705, '0053977', NULL, NULL, 65, NULL, 'Cystatin/monellin', 201213),
(268706, '0043756', NULL, NULL, 98, NULL, 'Cystatin/monellin', 201213),
(268707, '0043319', NULL, NULL, 111, NULL, 'Cystatin/monellin', 201213),
(268708, '0046949', NULL, NULL, 111, NULL, 'Cystatin/monellin', 201213),
(268709, '0048202', NULL, NULL, 94, NULL, 'Cystatin/monellin', 201213),
(268710, '0046125', NULL, NULL, 108, NULL, 'Cystatin/monellin', 201213),
(268711, '0047900', NULL, NULL, 98, NULL, 'Cystatin/monellin', 201213),
(268712, '0048317', NULL, NULL, 98, NULL, 'Cystatin/monellin', 201213),
(268713, '0054233', NULL, NULL, 106, NULL, 'Hormone receptor domain', 201214),
(268714, '0044198', NULL, NULL, 119, NULL, 'Hormone receptor domain', 201214),
(268715, '0034957', NULL, NULL, 221, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268716, '0050120', NULL, NULL, 131, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268717, '0052840', NULL, NULL, 139, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268718, '0035418', NULL, NULL, 119, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268719, '0051175', NULL, NULL, 163, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268720, '0039329', NULL, NULL, 154, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268721, '0050119', NULL, NULL, 156, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268722, '0050713', NULL, NULL, 185, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268723, '0051676', NULL, NULL, 163, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268724, '0037473', NULL, NULL, 196, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268725, '0041300', NULL, NULL, 118, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268726, '0036431', NULL, NULL, 121, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268727, '0043717', NULL, NULL, 120, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268728, '0049106', NULL, NULL, 160, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268729, '0045884', NULL, NULL, 138, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268730, '0049105', NULL, NULL, 136, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215),
(268731, '0047499', NULL, NULL, 152, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', 201215);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(268732, '0051979', NULL, NULL, 233, NULL, 'Cell wall binding repeat', 201216),
(268733, '0047093', NULL, NULL, 149, NULL, 'Cell wall binding repeat', 201216),
(268734, '0038536', NULL, NULL, 127, NULL, 'Cell wall binding repeat', 201216),
(268735, '0052597', NULL, NULL, 161, NULL, 'UBC-like', 201217),
(268736, '0051563', NULL, NULL, 151, NULL, 'UBC-like', 201217),
(268737, '0052596', NULL, NULL, 157, NULL, 'UBC-like', 201217),
(268738, '0046890', NULL, NULL, 149, NULL, 'UBC-like', 201217),
(268739, '0045484', NULL, NULL, 164, NULL, 'UBC-like', 201217),
(268740, '0038907', NULL, NULL, 146, NULL, 'UBC-like', 201217),
(268741, '0042708', NULL, NULL, 148, NULL, 'UBC-like', 201217),
(268742, '0051649', NULL, NULL, 162, NULL, 'UBC-like', 201217),
(268743, '0051720', NULL, NULL, 117, NULL, 'UBC-like', 201217),
(268744, '0051962', NULL, NULL, 154, NULL, 'UBC-like', 201217),
(268745, '0052733', NULL, NULL, 109, NULL, 'UBC-like', 201217),
(268746, '0035854', NULL, NULL, 144, NULL, 'UBC-like', 201217),
(268747, '0051700', NULL, NULL, 139, NULL, 'UBC-like', 201217),
(268748, '0051843', NULL, NULL, 125, NULL, 'UBC-like', 201217),
(268749, '0044417', NULL, NULL, 137, NULL, 'UBC-like', 201217),
(268750, '0045144', NULL, NULL, 150, NULL, 'UBC-like', 201217),
(268751, '0051380', NULL, NULL, 148, NULL, 'UBC-like', 201217),
(268752, '0047526', NULL, NULL, 140, NULL, 'UBC-like', 201217),
(268753, '0048879', NULL, NULL, 149, NULL, 'UBC-like', 201217),
(268754, '0047527', NULL, NULL, 149, NULL, 'UBC-like', 201217),
(268755, '0047549', NULL, NULL, 152, NULL, 'UBC-like', 201217),
(268756, '0045844', NULL, NULL, 153, NULL, 'UBC-like', 201217),
(268757, '0051297', NULL, NULL, 158, NULL, 'UBC-like', 201217),
(268758, '0051310', NULL, NULL, 152, NULL, 'UBC-like', 201217),
(268759, '0054300', NULL, NULL, 176, NULL, 'UBC-like', 201217),
(268760, '0044580', NULL, NULL, 152, NULL, 'UBC-like', 201217),
(268761, '0045252', NULL, NULL, 156, NULL, 'UBC-like', 201217),
(268762, '0051858', NULL, NULL, 146, NULL, 'UBC-like', 201217),
(268763, '0039447', NULL, NULL, 152, NULL, 'UBC-like', 201217),
(268764, '0051478', NULL, NULL, 147, NULL, 'UBC-like', 201217),
(268765, '0053811', NULL, NULL, 140, NULL, 'UBC-like', 201217),
(268766, '0053118', NULL, NULL, 162, NULL, 'UBC-like', 201217),
(268767, '0053812', NULL, NULL, 115, NULL, 'UBC-like', 201217),
(268768, '0039449', NULL, NULL, 136, NULL, 'UBC-like', 201217),
(268769, '0050764', NULL, NULL, 150, NULL, 'UBC-like', 201217),
(268770, '0051215', NULL, NULL, 148, NULL, 'UBC-like', 201217),
(268771, '0053810', NULL, NULL, 141, NULL, 'UBC-like', 201217),
(268772, '0040200', NULL, NULL, 144, NULL, 'UBC-like', 201217),
(268773, '0051309', NULL, NULL, 154, NULL, 'UBC-like', 201217),
(268774, '0042542', NULL, NULL, 161, NULL, 'UBC-like', 201217),
(268775, '0049978', NULL, NULL, 147, NULL, 'UBC-like', 201217),
(268776, '0044227', NULL, NULL, 160, NULL, 'UBC-like', 201217),
(268777, '0054423', NULL, NULL, 102, NULL, 'F-box domain', 201218),
(268778, '0041352', NULL, NULL, 100, NULL, 'F-box domain', 201218),
(268779, '0042120', NULL, NULL, 118, NULL, 'F-box domain', 201218),
(268780, '0037737', NULL, NULL, 39, NULL, 'F-box domain', 201218),
(268781, '0037752', NULL, NULL, 41, NULL, 'F-box domain', 201218),
(268782, '0034913', NULL, NULL, 72, NULL, 'Protein serine/threonine phosphatase 2C, C-terminal domain', 201219),
(268783, '0051023', NULL, NULL, 457, NULL, 'ARM repeat', 201220),
(268784, '0046492', NULL, NULL, 201, NULL, 'ARM repeat', 201220),
(268785, '0051487', NULL, NULL, 87, NULL, 'ARM repeat', 201220),
(268786, '0047241', NULL, NULL, 243, NULL, 'ARM repeat', 201220),
(268787, '0050417', NULL, NULL, 959, NULL, 'ARM repeat', 201220),
(268788, '0050416', NULL, NULL, 503, NULL, 'ARM repeat', 201220),
(268789, '0038302', NULL, NULL, 579, NULL, 'ARM repeat', 201220),
(268790, '0052018', NULL, NULL, 343, NULL, 'ARM repeat', 201220),
(268791, '0053206', NULL, NULL, 388, NULL, 'ARM repeat', 201220),
(268792, '0050410', NULL, NULL, 321, NULL, 'ARM repeat', 201220),
(268793, '0046912', NULL, NULL, 531, NULL, 'ARM repeat', 201220);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(268794, '0038440', NULL, NULL, 296, NULL, 'ARM repeat', 201220),
(268795, '0042771', NULL, NULL, 876, NULL, 'ARM repeat', 201220),
(268796, '0049802', NULL, NULL, 1207, NULL, 'ARM repeat', 201220),
(268797, '0047107', NULL, NULL, 262, NULL, 'ARM repeat', 201220),
(268798, '0047129', NULL, NULL, 264, NULL, 'ARM repeat', 201220),
(268799, '0047075', NULL, NULL, 584, NULL, 'ARM repeat', 201220),
(268800, '0048021', NULL, NULL, 233, NULL, 'ARM repeat', 201220),
(268801, '0051473', NULL, NULL, 361, NULL, 'ARM repeat', 201220),
(268802, '0052026', NULL, NULL, 861, NULL, 'ARM repeat', 201220),
(268803, '0051211', NULL, NULL, 82, NULL, 'ARM repeat', 201220),
(268804, '0053212', NULL, NULL, 129, NULL, 'ARM repeat', 201220),
(268805, '0044481', NULL, NULL, 330, NULL, 'ARM repeat', 201220),
(268806, '0045990', NULL, NULL, 157, NULL, 'ARM repeat', 201220),
(268807, '0047230', NULL, NULL, 150, NULL, 'ARM repeat', 201220),
(268808, '0048121', NULL, NULL, 339, NULL, 'ARM repeat', 201220),
(268809, '0049277', NULL, NULL, 130, NULL, 'ARM repeat', 201220),
(268810, '0049893', NULL, NULL, 127, NULL, 'ARM repeat', 201220),
(268811, '0049892', NULL, NULL, 193, NULL, 'ARM repeat', 201220),
(268812, '0038439', NULL, NULL, 190, NULL, 'ARM repeat', 201220),
(268813, '0054109', NULL, NULL, 121, NULL, 'ARM repeat', 201220),
(268814, '0042225', NULL, NULL, 161, NULL, 'ARM repeat', 201220),
(268815, '0042067', NULL, NULL, 108, NULL, 'ARM repeat', 201220),
(268816, '0051926', NULL, NULL, 213, NULL, 'ARM repeat', 201220),
(268817, '0043958', NULL, NULL, 111, NULL, 'ARM repeat', 201220),
(268818, '0043817', NULL, NULL, 235, NULL, 'ARM repeat', 201220),
(268819, '0047214', NULL, NULL, 477, NULL, 'ARM repeat', 201220),
(268820, '0047335', NULL, NULL, 453, NULL, 'ARM repeat', 201220),
(268821, '0048666', NULL, NULL, 276, NULL, 'ARM repeat', 201220),
(268822, '0051071', NULL, NULL, 264, NULL, 'ARM repeat', 201220),
(268823, '0045897', NULL, NULL, 336, NULL, 'ARM repeat', 201220),
(268824, '0044543', NULL, NULL, 248, NULL, 'ARM repeat', 201220),
(268825, '0045874', NULL, NULL, 588, NULL, 'ARM repeat', 201220),
(268826, '0048921', NULL, NULL, 888, NULL, 'ARM repeat', 201220),
(268827, '0044910', NULL, NULL, 158, NULL, 'TMV-like viral coat proteins', 201221),
(268828, '0049217', NULL, NULL, 156, NULL, 'TMV-like viral coat proteins', 201221),
(268829, '0046566', NULL, NULL, 158, NULL, 'TMV-like viral coat proteins', 201221),
(268830, '0035976', NULL, NULL, 160, NULL, 'TMV-like viral coat proteins', 201221),
(268831, '0049019', NULL, NULL, 138, NULL, 'Staphylokinase/streptokinase', 201222),
(268832, '0045982', NULL, NULL, 137, NULL, 'Staphylokinase/streptokinase', 201222),
(268833, '0047934', NULL, NULL, 136, NULL, 'Staphylokinase/streptokinase', 201222),
(268834, '0035623', NULL, NULL, 88, NULL, 'Staphylokinase/streptokinase', 201222),
(268835, '0043742', NULL, NULL, 136, NULL, 'Staphylokinase/streptokinase', 201222),
(268836, '0051145', NULL, NULL, 135, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268837, '0049444', NULL, NULL, 210, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268838, '0049443', NULL, NULL, 149, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268839, '0051065', NULL, NULL, 113, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268840, '0049683', NULL, NULL, 129, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268841, '0054513', NULL, NULL, 111, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268842, '0046737', NULL, NULL, 135, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268843, '0044219', NULL, NULL, 134, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268844, '0036022', NULL, NULL, 203, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268845, '0047984', NULL, NULL, 131, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(268846, '0049800', NULL, NULL, 156, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268847, '0047985', NULL, NULL, 156, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268848, '0052095', NULL, NULL, 139, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268849, '0046159', NULL, NULL, 150, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268850, '0048015', NULL, NULL, 134, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268851, '0048412', NULL, NULL, 140, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268852, '0049803', NULL, NULL, 137, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268853, '0048855', NULL, NULL, 212, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268854, '0049725', NULL, NULL, 137, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268855, '0039909', NULL, NULL, 190, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268856, '0053079', NULL, NULL, 115, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268857, '0046043', NULL, NULL, 122, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268858, '0047893', NULL, NULL, 132, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268859, '0049036', NULL, NULL, 122, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268860, '0046683', NULL, NULL, 176, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268861, '0046682', NULL, NULL, 146, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268862, '0049133', NULL, NULL, 130, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268863, '0051635', NULL, NULL, 170, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268864, '0051634', NULL, NULL, 144, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268865, '0043737', NULL, NULL, 149, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268866, '0047830', NULL, NULL, 128, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268867, '0046684', NULL, NULL, 144, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268868, '0048964', NULL, NULL, 176, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268869, '0049436', NULL, NULL, 396, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268870, '0049535', NULL, NULL, 199, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268871, '0047894', NULL, NULL, 156, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268872, '0049435', NULL, NULL, 224, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268873, '0049534', NULL, NULL, 163, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268874, '0046521', NULL, NULL, 120, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268875, '0049434', NULL, NULL, 172, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268876, '0048208', NULL, NULL, 145, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268877, '0048209', NULL, NULL, 162, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223),
(268878, '0047558', NULL, NULL, 145, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', 201223);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(268879, '0040793', NULL, NULL, 100, NULL, 'Cytochrome c oxidase subunit II-like, transmembrane region', 201224),
(268880, '0053245', NULL, NULL, 90, NULL, 'Cytochrome c oxidase subunit II-like, transmembrane region', 201224),
(268881, '0037008', NULL, NULL, 38, NULL, 'Cytochrome c oxidase subunit II-like, transmembrane region', 201224),
(268882, '0037558', NULL, NULL, 91, NULL, 'Cytochrome c oxidase subunit II-like, transmembrane region', 201224),
(268883, '0035180', NULL, NULL, 107, NULL, 'Cytochrome c oxidase subunit II-like, transmembrane region', 201224),
(268884, '0051122', NULL, NULL, 246, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268885, '0054633', NULL, NULL, 233, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268886, '0043281', NULL, NULL, 252, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268887, '0048850', NULL, NULL, 233, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268888, '0039913', NULL, NULL, 244, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268889, '0035697', NULL, NULL, 251, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268890, '0050898', NULL, NULL, 235, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268891, '0042270', NULL, NULL, 230, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268892, '0042191', NULL, NULL, 244, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268893, '0034841', NULL, NULL, 251, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268894, '0038502', NULL, NULL, 224, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268895, '0036469', NULL, NULL, 235, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268896, '0038584', NULL, NULL, 265, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268897, '0042831', NULL, NULL, 241, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268898, '0042832', NULL, NULL, 236, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268899, '0045306', NULL, NULL, 266, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268900, '0037497', NULL, NULL, 236, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268901, '0040276', NULL, NULL, 222, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268902, '0042011', NULL, NULL, 229, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268903, '0045508', NULL, NULL, 246, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268904, '0039072', NULL, NULL, 290, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268905, '0042350', NULL, NULL, 242, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268906, '0045026', NULL, NULL, 235, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268907, '0045423', NULL, NULL, 271, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268908, '0040676', NULL, NULL, 229, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268909, '0043092', NULL, NULL, 243, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268910, '0037904', NULL, NULL, 256, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268911, '0039946', NULL, NULL, 267, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268912, '0038857', NULL, NULL, 246, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268913, '0041290', NULL, NULL, 263, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268914, '0051039', NULL, NULL, 232, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268915, '0037660', NULL, NULL, 232, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268916, '0041397', NULL, NULL, 247, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268917, '0036330', NULL, NULL, 253, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268918, '0041251', NULL, NULL, 251, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268919, '0042042', NULL, NULL, 265, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268920, '0044364', NULL, NULL, 240, NULL, 'Nuclear receptor ligand-binding domain', 201225),
(268921, '0042006', NULL, NULL, 231, NULL, 'Nuclear receptor ligand-binding domain', 201225); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(268922, '0041581', NULL, NULL, 51, NULL, 'post-HMGL domain-like', 201226),
(268923, '0049233', NULL, NULL, 168, NULL, 'post-HMGL domain-like', 201226),
(268924, '0049452', NULL, NULL, 55, NULL, 'post-HMGL domain-like', 201226),
(268925, '0051341', NULL, NULL, 115, NULL, 'PilZ domain-like', 201227),
(268926, '0051340', NULL, NULL, 111, NULL, 'PilZ domain-like', 201227),
(268927, '0051434', NULL, NULL, 125, NULL, 'PilZ domain-like', 201227),
(268928, '0051778', NULL, NULL, 148, NULL, 'BH3618-like', 201228),
(268929, '0048652', NULL, NULL, 156, NULL, 'Spectrin repeat', 201229),
(268930, '0049794', NULL, NULL, 110, NULL, 'Spectrin repeat', 201229),
(268931, '0049304', NULL, NULL, 105, NULL, 'Spectrin repeat', 201229),
(268932, '0047168', NULL, NULL, 125, NULL, 'Spectrin repeat', 201229),
(268933, '0049303', NULL, NULL, 106, NULL, 'Spectrin repeat', 201229),
(268934, '0038529', NULL, NULL, 114, NULL, 'Spectrin repeat', 201229),
(268935, '0043003', NULL, NULL, 124, NULL, 'Spectrin repeat', 201229),
(268936, '0043004', NULL, NULL, 124, NULL, 'Spectrin repeat', 201229),
(268937, '0046218', NULL, NULL, 104, NULL, 'Spectrin repeat', 201229),
(268938, '0046217', NULL, NULL, 109, NULL, 'Spectrin repeat', 201229),
(268939, '0053304', NULL, NULL, 107, NULL, 'Spectrin repeat', 201229),
(268940, '0043476', NULL, NULL, 180, NULL, 'Cag-Z', 201230),
(268941, '0048831', NULL, NULL, 36, NULL, 'Hypothetical protein Ta0289 C-terminal domain', 201231),
(268942, '0052389', NULL, NULL, 352, NULL, 'Glutaminase/Asparaginase', 201232),
(268943, '0035046', NULL, NULL, 331, NULL, 'Glutaminase/Asparaginase', 201232),
(268944, '0045006', NULL, NULL, 328, NULL, 'Glutaminase/Asparaginase', 201232),
(268945, '0045589', NULL, NULL, 326, NULL, 'Glutaminase/Asparaginase', 201232),
(268946, '0045600', NULL, NULL, 330, NULL, 'Glutaminase/Asparaginase', 201232),
(268947, '0038578', NULL, NULL, 324, NULL, 'Glutaminase/Asparaginase', 201232),
(268948, '0051611', NULL, NULL, 363, NULL, 'Glutaminase/Asparaginase', 201232),
(268949, '0054359', NULL, NULL, 336, NULL, 'Glutaminase/Asparaginase', 201232),
(268950, '0037091', NULL, NULL, 83, NULL, 'Colicin E immunity proteins', 201233),
(268951, '0044464', NULL, NULL, 87, NULL, 'Colicin E immunity proteins', 201233),
(268952, '0038315', NULL, NULL, 85, NULL, 'Colicin E immunity proteins', 201233),
(268953, '0049530', NULL, NULL, 124, NULL, 'Nitrogenase accessory factor-like', 201234),
(268954, '0049148', NULL, NULL, 116, NULL, 'Nitrogenase accessory factor-like', 201234),
(268955, '0037104', NULL, NULL, 124, NULL, 'Nitrogenase accessory factor-like', 201234),
(268956, '0048713', NULL, NULL, 123, NULL, 'Nitrogenase accessory factor-like', 201234),
(268957, '0047033', NULL, NULL, 143, NULL, 'Glutamyl tRNA-reductase catalytic, N-terminal domain', 201235),
(268958, '0040058', NULL, NULL, 118, NULL, 'Phosphoglucomutase, first 3 domains', 201236),
(268959, '0045549', NULL, NULL, 190, NULL, 'Phosphoglucomutase, first 3 domains', 201236),
(268960, '0040057', NULL, NULL, 203, NULL, 'Phosphoglucomutase, first 3 domains', 201236),
(268961, '0039874', NULL, NULL, 104, NULL, 'Phosphoglucomutase, first 3 domains', 201236),
(268962, '0039873', NULL, NULL, 150, NULL, 'Phosphoglucomutase, first 3 domains', 201236),
(268963, '0045550', NULL, NULL, 113, NULL, 'Phosphoglucomutase, first 3 domains', 201236),
(268964, '0045551', NULL, NULL, 117, NULL, 'Phosphoglucomutase, first 3 domains', 201236),
(268965, '0039875', NULL, NULL, 109, NULL, 'Phosphoglucomutase, first 3 domains', 201236),
(268966, '0040059', NULL, NULL, 120, NULL, 'Phosphoglucomutase, first 3 domains', 201236),
(268967, '0043645', NULL, NULL, 64, NULL, 'Hypothetical protein D-63', 201237),
(268968, '0053716', NULL, NULL, 37, NULL, 'Photosystem II reaction center protein K, PsbK', 201238),
(268969, '0048067', NULL, NULL, 139, NULL, 'C-terminal, gelsolin-like domain of Sec23/24', 201239),
(268970, '0040755', NULL, NULL, 173, NULL, 'C-terminal, gelsolin-like domain of Sec23/24', 201239),
(268971, '0052674', NULL, NULL, 78, NULL, 'YkuJ-like', 201240);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(268972, '0041895', NULL, NULL, 297, NULL, 'Viral glycoprotein, central and dimerisation domains', 201241),
(268973, '0049481', NULL, NULL, 302, NULL, 'Viral glycoprotein, central and dimerisation domains', 201241),
(268974, '0038936', NULL, NULL, 292, NULL, 'Viral glycoprotein, central and dimerisation domains', 201241),
(268975, '0050253', NULL, NULL, 136, NULL, 'YjbQ-like', 201242),
(268976, '0050270', NULL, NULL, 138, NULL, 'YjbQ-like', 201242),
(268977, '0050256', NULL, NULL, 139, NULL, 'YjbQ-like', 201242),
(268978, '0045027', NULL, NULL, 131, NULL, 'YjbQ-like', 201242),
(268979, '0043927', NULL, NULL, 67, NULL, 'TAF(II)230 TBP-binding fragment', 201243),
(268980, '0034803', NULL, NULL, 63, NULL, 'HLH, helix-loop-helix DNA-binding domain', 201244),
(268981, '0041452', NULL, NULL, 79, NULL, 'HLH, helix-loop-helix DNA-binding domain', 201244),
(268982, '0038629', NULL, NULL, 80, NULL, 'HLH, helix-loop-helix DNA-binding domain', 201244),
(268983, '0044409', NULL, NULL, 61, NULL, 'HLH, helix-loop-helix DNA-binding domain', 201244),
(268984, '0043065', NULL, NULL, 87, NULL, 'HLH, helix-loop-helix DNA-binding domain', 201244),
(268985, '0035113', NULL, NULL, 65, NULL, 'HLH, helix-loop-helix DNA-binding domain', 201244),
(268986, '0035101', NULL, NULL, 80, NULL, 'HLH, helix-loop-helix DNA-binding domain', 201244),
(268987, '0035112', NULL, NULL, 86, NULL, 'HLH, helix-loop-helix DNA-binding domain', 201244),
(268988, '0040898', NULL, NULL, 68, NULL, 'HLH, helix-loop-helix DNA-binding domain', 201244),
(268989, '0041437', NULL, NULL, 88, NULL, 'HLH, helix-loop-helix DNA-binding domain', 201244),
(268990, '0053494', NULL, NULL, 75, NULL, 'Dimerization motif of sir4', 201245),
(268991, '0047995', NULL, NULL, 268, NULL, 'Alpha subunit of glutamate synthase, C-terminal domain', 201246),
(268992, '0046500', NULL, NULL, 270, NULL, 'Alpha subunit of glutamate synthase, C-terminal domain', 201246),
(268993, '0045825', NULL, NULL, 55, NULL, 'SacY-like RNA-binding domain', 201247),
(268994, '0047918', NULL, NULL, 55, NULL, 'SacY-like RNA-binding domain', 201247),
(268995, '0053937', NULL, NULL, 112, NULL, 'YgaC/TfoX-N like', 201248),
(268996, '0054360', NULL, NULL, 103, NULL, 'YgaC/TfoX-N like', 201248),
(268997, '0040561', NULL, NULL, 150, NULL, 'VHL', 201249),
(268998, '0051155', NULL, NULL, 174, NULL, 'TrmE connector domain', 201250),
(268999, '0037050', NULL, NULL, 428, NULL, 'Outer membrane efflux proteins (OEP)', 201251),
(269000, '0050674', NULL, NULL, 456, NULL, 'Outer membrane efflux proteins (OEP)', 201251),
(269001, '0042580', NULL, NULL, 70, NULL, 'DEK C-terminal domain', 201252),
(269002, '0052915', NULL, NULL, 134, NULL, 'Phage tail protein-like', 201253),
(269003, '0051468', NULL, NULL, 129, NULL, 'Phage tail protein-like', 201253),
(269004, '0035437', NULL, NULL, 71, NULL, 'DNA-binding domain', 201254),
(269005, '0038039', NULL, NULL, 63, NULL, 'DNA-binding domain', 201254),
(269006, '0049847', NULL, NULL, 125, NULL, 'DNA-binding domain', 201254),
(269007, '0036316', NULL, NULL, 75, NULL, 'DNA-binding domain', 201254),
(269008, '0040114', NULL, NULL, 49, NULL, 'DNA-binding domain', 201254),
(269009, '0048153', NULL, NULL, 88, NULL, 'Methylated DNA-protein cysteine methyltransferase domain', 201255),
(269010, '0048994', NULL, NULL, 86, NULL, 'Methylated DNA-protein cysteine methyltransferase domain', 201255),
(269011, '0049381', NULL, NULL, 81, NULL, 'Methylated DNA-protein cysteine methyltransferase domain', 201255),
(269012, '0038109', NULL, NULL, 81, NULL, 'DNA damage-inducible protein DinI', 201256),
(269013, '0044316', NULL, NULL, 967, NULL, 'Reovirus inner layer core protein p3', 201257),
(269014, '0045200', NULL, NULL, 845, NULL, 'Reovirus inner layer core protein p3', 201257),
(269015, '0052476', NULL, NULL, 66, NULL, 'Chromo domain-like', 201258),
(269016, '0050791', NULL, NULL, 55, NULL, 'Chromo domain-like', 201258),
(269017, '0052477', NULL, NULL, 52, NULL, 'Chromo domain-like', 201258),
(269018, '0050782', NULL, NULL, 45, NULL, 'Chromo domain-like', 201258),
(269019, '0047065', NULL, NULL, 73, NULL, 'Chromo domain-like', 201258);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(269020, '0050790', NULL, NULL, 54, NULL, 'Chromo domain-like', 201258),
(269021, '0051887', NULL, NULL, 95, NULL, 'Chromo domain-like', 201258),
(269022, '0052049', NULL, NULL, 88, NULL, 'Chromo domain-like', 201258),
(269023, '0052489', NULL, NULL, 81, NULL, 'Chromo domain-like', 201258),
(269024, '0052599', NULL, NULL, 83, NULL, 'Chromo domain-like', 201258),
(269025, '0052720', NULL, NULL, 68, NULL, 'Chromo domain-like', 201258),
(269026, '0050533', NULL, NULL, 133, NULL, 'Chromo domain-like', 201258),
(269027, '0051886', NULL, NULL, 80, NULL, 'Chromo domain-like', 201258),
(269028, '0036680', NULL, NULL, 70, NULL, 'Chromo domain-like', 201258),
(269029, '0045848', NULL, NULL, 66, NULL, 'Chromo domain-like', 201258),
(269030, '0047837', NULL, NULL, 52, NULL, 'Chromo domain-like', 201258),
(269031, '0045948', NULL, NULL, 63, NULL, 'Chromo domain-like', 201258),
(269032, '0052490', NULL, NULL, 69, NULL, 'Chromo domain-like', 201258),
(269033, '0046431', NULL, NULL, 61, NULL, 'Chromo domain-like', 201258),
(269034, '0046932', NULL, NULL, 70, NULL, 'Chromo domain-like', 201258),
(269035, '0048746', NULL, NULL, 55, NULL, 'Chromo domain-like', 201258),
(269036, '0054600', NULL, NULL, 120, NULL, 'Prokaryotic ribosomal protein L17', 201259),
(269037, '0054782', NULL, NULL, 113, NULL, 'Prokaryotic ribosomal protein L17', 201259),
(269038, '0038055', NULL, NULL, 105, NULL, 'Prokaryotic ribosomal protein L17', 201259),
(269039, '0053787', NULL, NULL, 109, NULL, 'Prokaryotic ribosomal protein L17', 201259),
(269040, '0047860', NULL, NULL, 270, NULL, 'Nucleotidylyl transferase', 201260),
(269041, '0048275', NULL, NULL, 339, NULL, 'Nucleotidylyl transferase', 201260),
(269042, '0040507', NULL, NULL, 315, NULL, 'Nucleotidylyl transferase', 201260),
(269043, '0048452', NULL, NULL, 233, NULL, 'Nucleotidylyl transferase', 201260),
(269044, '0048474', NULL, NULL, 286, NULL, 'Nucleotidylyl transferase', 201260),
(269045, '0038847', NULL, NULL, 220, NULL, 'Nucleotidylyl transferase', 201260),
(269046, '0038403', NULL, NULL, 495, NULL, 'Nucleotidylyl transferase', 201260),
(269047, '0043348', NULL, NULL, 362, NULL, 'Nucleotidylyl transferase', 201260),
(269048, '0037452', NULL, NULL, 164, NULL, 'Nucleotidylyl transferase', 201260),
(269049, '0039032', NULL, NULL, 282, NULL, 'Nucleotidylyl transferase', 201260),
(269050, '0039570', NULL, NULL, 323, NULL, 'Nucleotidylyl transferase', 201260),
(269051, '0038263', NULL, NULL, 331, NULL, 'Nucleotidylyl transferase', 201260),
(269052, '0035691', NULL, NULL, 348, NULL, 'Nucleotidylyl transferase', 201260),
(269053, '0039171', NULL, NULL, 317, NULL, 'Nucleotidylyl transferase', 201260),
(269054, '0039071', NULL, NULL, 453, NULL, 'Nucleotidylyl transferase', 201260),
(269055, '0048216', NULL, NULL, 157, NULL, 'Nucleotidylyl transferase', 201260),
(269056, '0047487', NULL, NULL, 305, NULL, 'Nucleotidylyl transferase', 201260),
(269057, '0047586', NULL, NULL, 223, NULL, 'Nucleotidylyl transferase', 201260),
(269058, '0048499', NULL, NULL, 163, NULL, 'Nucleotidylyl transferase', 201260),
(269059, '0046259', NULL, NULL, 326, NULL, 'Nucleotidylyl transferase', 201260),
(269060, '0044335', NULL, NULL, 276, NULL, 'Nucleotidylyl transferase', 201260),
(269061, '0045888', NULL, NULL, 157, NULL, 'Nucleotidylyl transferase', 201260),
(269062, '0053312', NULL, NULL, 319, NULL, 'Nucleotidylyl transferase', 201260),
(269063, '0050045', NULL, NULL, 214, NULL, 'Nucleotidylyl transferase', 201260),
(269064, '0048046', NULL, NULL, 163, NULL, 'Nucleotidylyl transferase', 201260),
(269065, '0052384', NULL, NULL, 348, NULL, 'Nucleotidylyl transferase', 201260),
(269066, '0039908', NULL, NULL, 213, NULL, 'Nucleotidylyl transferase', 201260),
(269067, '0050866', NULL, NULL, 235, NULL, 'Nucleotidylyl transferase', 201260),
(269068, '0037568', NULL, NULL, 451, NULL, 'Nucleotidylyl transferase', 201260),
(269069, '0039322', NULL, NULL, 306, NULL, 'Nucleotidylyl transferase', 201260),
(269070, '0043997', NULL, NULL, 157, NULL, 'Nucleotidylyl transferase', 201260),
(269071, '0036094', NULL, NULL, 126, NULL, 'Nucleotidylyl transferase', 201260);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(269072, '0044869', NULL, NULL, 157, NULL, 'Nucleotidylyl transferase', 201260),
(269073, '0038030', NULL, NULL, 426, NULL, 'Nucleotidylyl transferase', 201260),
(269074, '0042947', NULL, NULL, 352, NULL, 'Nucleotidylyl transferase', 201260),
(269075, '0047412', NULL, NULL, 370, NULL, 'Nucleotidylyl transferase', 201260),
(269076, '0049118', NULL, NULL, 386, NULL, 'Nucleotidylyl transferase', 201260),
(269077, '0046940', NULL, NULL, 221, NULL, 'Nucleotidylyl transferase', 201260),
(269078, '0047114', NULL, NULL, 343, NULL, 'Nucleotidylyl transferase', 201260),
(269079, '0047774', NULL, NULL, 189, NULL, 'Nucleotidylyl transferase', 201260),
(269080, '0048269', NULL, NULL, 288, NULL, 'Nucleotidylyl transferase', 201260),
(269081, '0048544', NULL, NULL, 160, NULL, 'Nucleotidylyl transferase', 201260),
(269082, '0046569', NULL, NULL, 167, NULL, 'Nucleotidylyl transferase', 201260),
(269083, '0048373', NULL, NULL, 148, NULL, 'Cobalamin adenosyltransferase-like', 201261),
(269084, '0048403', NULL, NULL, 149, NULL, 'Cobalamin adenosyltransferase-like', 201261),
(269085, '0043378', NULL, NULL, 180, NULL, 'Cobalamin adenosyltransferase-like', 201261),
(269086, '0037541', NULL, NULL, 143, NULL, 'Ribosomal protein L19 (L19e)', 201262),
(269087, '0050011', NULL, NULL, 102, NULL, 'Fe-S cluster assembly (FSCA) domain-like', 201263),
(269088, '0050965', NULL, NULL, 88, NULL, 'Fe-S cluster assembly (FSCA) domain-like', 201263),
(269089, '0052304', NULL, NULL, 91, NULL, 'Fe-S cluster assembly (FSCA) domain-like', 201263),
(269090, '0049627', NULL, NULL, 73, NULL, 'Fe-S cluster assembly (FSCA) domain-like', 201263),
(269091, '0050159', NULL, NULL, 92, NULL, 'Fe-S cluster assembly (FSCA) domain-like', 201263),
(269092, '0047381', NULL, NULL, 113, NULL, 'E set domains', 201264),
(269093, '0051882', NULL, NULL, 148, NULL, 'E set domains', 201264),
(269094, '0047387', NULL, NULL, 101, NULL, 'E set domains', 201264),
(269095, '0053661', NULL, NULL, 87, NULL, 'E set domains', 201264),
(269096, '0047385', NULL, NULL, 95, NULL, 'E set domains', 201264),
(269097, '0035950', NULL, NULL, 173, NULL, 'E set domains', 201264),
(269098, '0052458', NULL, NULL, 89, NULL, 'E set domains', 201264),
(269099, '0047946', NULL, NULL, 140, NULL, 'E set domains', 201264),
(269100, '0048116', NULL, NULL, 110, NULL, 'E set domains', 201264),
(269101, '0046854', NULL, NULL, 138, NULL, 'E set domains', 201264),
(269102, '0049329', NULL, NULL, 115, NULL, 'E set domains', 201264),
(269103, '0052345', NULL, NULL, 82, NULL, 'E set domains', 201264),
(269104, '0049691', NULL, NULL, 119, NULL, 'E set domains', 201264),
(269105, '0051013', NULL, NULL, 161, NULL, 'E set domains', 201264),
(269106, '0051134', NULL, NULL, 129, NULL, 'E set domains', 201264),
(269107, '0048082', NULL, NULL, 102, NULL, 'E set domains', 201264),
(269108, '0052467', NULL, NULL, 111, NULL, 'E set domains', 201264),
(269109, '0052468', NULL, NULL, 103, NULL, 'E set domains', 201264),
(269110, '0036195', NULL, NULL, 83, NULL, 'E set domains', 201264),
(269111, '0040240', NULL, NULL, 149, NULL, 'E set domains', 201264),
(269112, '0046222', NULL, NULL, 82, NULL, 'E set domains', 201264),
(269113, '0049731', NULL, NULL, 115, NULL, 'E set domains', 201264),
(269114, '0052060', NULL, NULL, 94, NULL, 'E set domains', 201264),
(269115, '0047834', NULL, NULL, 138, NULL, 'E set domains', 201264),
(269116, '0046503', NULL, NULL, 121, NULL, 'E set domains', 201264),
(269117, '0048773', NULL, NULL, 111, NULL, 'E set domains', 201264),
(269118, '0045945', NULL, NULL, 162, NULL, 'E set domains', 201264),
(269119, '0045704', NULL, NULL, 101, NULL, 'E set domains', 201264),
(269120, '0046919', NULL, NULL, 171, NULL, 'E set domains', 201264),
(269121, '0047603', NULL, NULL, 78, NULL, 'E set domains', 201264),
(269122, '0046996', NULL, NULL, 100, NULL, 'E set domains', 201264),
(269123, '0047604', NULL, NULL, 138, NULL, 'E set domains', 201264),
(269124, '0034795', NULL, NULL, 102, NULL, 'E set domains', 201264),
(269125, '0047739', NULL, NULL, 102, NULL, 'E set domains', 201264),
(269126, '0046527', NULL, NULL, 109, NULL, 'E set domains', 201264);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(269127, '0048708', NULL, NULL, 158, NULL, 'E set domains', 201264),
(269128, '0048941', NULL, NULL, 104, NULL, 'E set domains', 201264),
(269129, '0048942', NULL, NULL, 108, NULL, 'E set domains', 201264),
(269130, '0046368', NULL, NULL, 200, NULL, 'E set domains', 201264),
(269131, '0049996', NULL, NULL, 98, NULL, 'E set domains', 201264),
(269132, '0046920', NULL, NULL, 218, NULL, 'E set domains', 201264),
(269133, '0046127', NULL, NULL, 211, NULL, 'E set domains', 201264),
(269134, '0048306', NULL, NULL, 202, NULL, 'E set domains', 201264),
(269135, '0053584', NULL, NULL, 255, NULL, 'E set domains', 201264),
(269136, '0046892', NULL, NULL, 135, NULL, 'E set domains', 201264),
(269137, '0049480', NULL, NULL, 93, NULL, 'E set domains', 201264),
(269138, '0051961', NULL, NULL, 170, NULL, 'E set domains', 201264),
(269139, '0048958', NULL, NULL, 81, NULL, 'E set domains', 201264),
(269140, '0046137', NULL, NULL, 85, NULL, 'E set domains', 201264),
(269141, '0044234', NULL, NULL, 92, NULL, 'E set domains', 201264),
(269142, '0042695', NULL, NULL, 105, NULL, 'E set domains', 201264),
(269143, '0052025', NULL, NULL, 92, NULL, 'E set domains', 201264),
(269144, '0047072', NULL, NULL, 123, NULL, 'E set domains', 201264),
(269145, '0047590', NULL, NULL, 122, NULL, 'E set domains', 201264),
(269146, '0046021', NULL, NULL, 120, NULL, 'E set domains', 201264),
(269147, '0048564', NULL, NULL, 127, NULL, 'E set domains', 201264),
(269148, '0046264', NULL, NULL, 87, NULL, 'E set domains', 201264),
(269149, '0047990', NULL, NULL, 249, NULL, 'E set domains', 201264),
(269150, '0053914', NULL, NULL, 115, NULL, 'E set domains', 201264),
(269151, '0053915', NULL, NULL, 125, NULL, 'E set domains', 201264),
(269152, '0050647', NULL, NULL, 101, NULL, 'E set domains', 201264),
(269153, '0050400', NULL, NULL, 103, NULL, 'E set domains', 201264),
(269154, '0051973', NULL, NULL, 97, NULL, 'E set domains', 201264),
(269155, '0054967', NULL, NULL, 118, NULL, 'E set domains', 201264),
(269156, '0052028', NULL, NULL, 93, NULL, 'E set domains', 201264),
(269157, '0047116', NULL, NULL, 93, NULL, 'E set domains', 201264),
(269158, '0047633', NULL, NULL, 131, NULL, 'E set domains', 201264),
(269159, '0048722', NULL, NULL, 86, NULL, 'E set domains', 201264),
(269160, '0049897', NULL, NULL, 89, NULL, 'E set domains', 201264),
(269161, '0047877', NULL, NULL, 129, NULL, 'E set domains', 201264),
(269162, '0052399', NULL, NULL, 98, NULL, 'E set domains', 201264),
(269163, '0052433', NULL, NULL, 98, NULL, 'E set domains', 201264),
(269164, '0046393', NULL, NULL, 179, NULL, 'E set domains', 201264),
(269165, '0052397', NULL, NULL, 98, NULL, 'E set domains', 201264),
(269166, '0046150', NULL, NULL, 83, NULL, 'E set domains', 201264),
(269167, '0048052', NULL, NULL, 104, NULL, 'E set domains', 201264),
(269168, '0052398', NULL, NULL, 99, NULL, 'E set domains', 201264),
(269169, '0052395', NULL, NULL, 102, NULL, 'E set domains', 201264),
(269170, '0050094', NULL, NULL, 106, NULL, 'E set domains', 201264),
(269171, '0052396', NULL, NULL, 80, NULL, 'E set domains', 201264),
(269172, '0054572', NULL, NULL, 114, NULL, 'E set domains', 201264),
(269173, '0051500', NULL, NULL, 93, NULL, 'E set domains', 201264),
(269174, '0052436', NULL, NULL, 115, NULL, 'E set domains', 201264),
(269175, '0052437', NULL, NULL, 98, NULL, 'E set domains', 201264),
(269176, '0054614', NULL, NULL, 87, NULL, 'E set domains', 201264),
(269177, '0052434', NULL, NULL, 118, NULL, 'E set domains', 201264),
(269178, '0052435', NULL, NULL, 100, NULL, 'E set domains', 201264),
(269179, '0042075', NULL, NULL, 135, NULL, 'E set domains', 201264),
(269180, '0047489', NULL, NULL, 123, NULL, 'E set domains', 201264),
(269181, '0046675', NULL, NULL, 186, NULL, 'E set domains', 201264),
(269182, '0047884', NULL, NULL, 131, NULL, 'E set domains', 201264),
(269183, '0046558', NULL, NULL, 90, NULL, 'E set domains', 201264),
(269184, '0047130', NULL, NULL, 81, NULL, 'E set domains', 201264),
(269185, '0049153', NULL, NULL, 99, NULL, 'E set domains', 201264),
(269186, '0052444', NULL, NULL, 101, NULL, 'E set domains', 201264);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(269187, '0050024', NULL, NULL, 96, NULL, 'E set domains', 201264),
(269188, '0046681', NULL, NULL, 78, NULL, 'E set domains', 201264),
(269189, '0049432', NULL, NULL, 123, NULL, 'E set domains', 201264),
(269190, '0054189', NULL, NULL, 88, NULL, 'E set domains', 201264),
(269191, '0047131', NULL, NULL, 81, NULL, 'E set domains', 201264),
(269192, '0039645', NULL, NULL, 82, NULL, 'E set domains', 201264),
(269193, '0053899', NULL, NULL, 89, NULL, 'E set domains', 201264),
(269194, '0048589', NULL, NULL, 97, NULL, 'E set domains', 201264),
(269195, '0046167', NULL, NULL, 100, NULL, 'E set domains', 201264),
(269196, '0046563', NULL, NULL, 94, NULL, 'E set domains', 201264),
(269197, '0048348', NULL, NULL, 130, NULL, 'E set domains', 201264),
(269198, '0048504', NULL, NULL, 80, NULL, 'E set domains', 201264),
(269199, '0042290', NULL, NULL, 471, NULL, 'Perfringolysin', 201265),
(269200, '0046447', NULL, NULL, 83, NULL, 'Polynucleotide phosphorylase/guanosine pentaphosphate synthase (PNPase/GPSI), domain 3', 201266),
(269201, '0050564', NULL, NULL, 104, NULL, 'Polynucleotide phosphorylase/guanosine pentaphosphate synthase (PNPase/GPSI), domain 3', 201266),
(269202, '0041271', NULL, NULL, 108, NULL, 'YggU-like', 201267),
(269203, '0039723', NULL, NULL, 104, NULL, 'YggU-like', 201267),
(269204, '0053983', NULL, NULL, 122, NULL, 'tRNA-intron endonuclease catalytic domain-like', 201268),
(269205, '0045728', NULL, NULL, 97, NULL, 'tRNA-intron endonuclease catalytic domain-like', 201268),
(269206, '0049079', NULL, NULL, 91, NULL, 'tRNA-intron endonuclease catalytic domain-like', 201268),
(269207, '0049078', NULL, NULL, 78, NULL, 'tRNA-intron endonuclease catalytic domain-like', 201268),
(269208, '0054329', NULL, NULL, 389, NULL, 'CV3147-like', 201269),
(269209, '0049184', NULL, NULL, 148, NULL, 'Plant invertase/pectin methylesterase inhibitor', 201270),
(269210, '0050874', NULL, NULL, 149, NULL, 'Plant invertase/pectin methylesterase inhibitor', 201270),
(269211, '0049385', NULL, NULL, 24, NULL, 'TNF receptor-like', 201271),
(269212, '0051112', NULL, NULL, 46, NULL, 'TNF receptor-like', 201271),
(269213, '0053011', NULL, NULL, 24, NULL, 'TNF receptor-like', 201271),
(269214, '0046273', NULL, NULL, 46, NULL, 'TNF receptor-like', 201271),
(269215, '0053012', NULL, NULL, 54, NULL, 'TNF receptor-like', 201271),
(269216, '0046650', NULL, NULL, 59, NULL, 'TNF receptor-like', 201271),
(269217, '0043591', NULL, NULL, 55, NULL, 'TNF receptor-like', 201271),
(269218, '0043592', NULL, NULL, 39, NULL, 'TNF receptor-like', 201271),
(269219, '0053010', NULL, NULL, 60, NULL, 'TNF receptor-like', 201271),
(269220, '0039629', NULL, NULL, 46, NULL, 'TNF receptor-like', 201271),
(269221, '0039628', NULL, NULL, 56, NULL, 'TNF receptor-like', 201271),
(269222, '0037253', NULL, NULL, 44, NULL, 'TNF receptor-like', 201271),
(269223, '0041972', NULL, NULL, 31, NULL, 'TNF receptor-like', 201271),
(269224, '0037254', NULL, NULL, 57, NULL, 'TNF receptor-like', 201271),
(269225, '0036276', NULL, NULL, 31, NULL, 'TNF receptor-like', 201271),
(269226, '0036275', NULL, NULL, 40, NULL, 'TNF receptor-like', 201271),
(269227, '0048622', NULL, NULL, 39, NULL, 'TNF receptor-like', 201271),
(269228, '0043593', NULL, NULL, 42, NULL, 'TNF receptor-like', 201271),
(269229, '0054449', NULL, NULL, 165, NULL, 'FomD-like', 201272),
(269230, '0054516', NULL, NULL, 80, NULL, 'T-antigen specific domain-like', 201273),
(269231, '0054024', NULL, NULL, 109, NULL, 'FlaG-like', 201274),
(269232, '0036109', NULL, NULL, 224, NULL, 'Soluble secreted chemokine inhibitor, VCCI', 201275),
(269233, '0049033', NULL, NULL, 387, NULL, 'Xylose isomerase-like', 201276),
(269234, '0046032', NULL, NULL, 387, NULL, 'Xylose isomerase-like', 201276),
(269235, '0046285', NULL, NULL, 416, NULL, 'Xylose isomerase-like', 201276),
(269236, '0046031', NULL, NULL, 387, NULL, 'Xylose isomerase-like', 201276),
(269237, '0054562', NULL, NULL, 271, NULL, 'Xylose isomerase-like', 201276),
(269238, '0053353', NULL, NULL, 393, NULL, 'Xylose isomerase-like', 201276),
(269239, '0034805', NULL, NULL, 437, NULL, 'Xylose isomerase-like', 201276);            
INSERT INTO "PUBLIC"."MODEL" VALUES
(269240, '0051053', NULL, NULL, 297, NULL, 'Xylose isomerase-like', 201276),
(269241, '0051438', NULL, NULL, 250, NULL, 'Xylose isomerase-like', 201276),
(269242, '0049040', NULL, NULL, 285, NULL, 'Xylose isomerase-like', 201276),
(269243, '0052921', NULL, NULL, 387, NULL, 'Xylose isomerase-like', 201276),
(269244, '0047759', NULL, NULL, 260, NULL, 'Xylose isomerase-like', 201276),
(269245, '0036651', NULL, NULL, 388, NULL, 'Xylose isomerase-like', 201276),
(269246, '0050979', NULL, NULL, 392, NULL, 'Xylose isomerase-like', 201276),
(269247, '0052817', NULL, NULL, 275, NULL, 'Xylose isomerase-like', 201276),
(269248, '0045684', NULL, NULL, 437, NULL, 'Xylose isomerase-like', 201276),
(269249, '0049745', NULL, NULL, 353, NULL, 'Xylose isomerase-like', 201276),
(269250, '0045685', NULL, NULL, 443, NULL, 'Xylose isomerase-like', 201276),
(269251, '0047312', NULL, NULL, 278, NULL, 'Xylose isomerase-like', 201276),
(269252, '0046707', NULL, NULL, 100, NULL, 'Glutamine synthetase, N-terminal domain', 201277),
(269253, '0047238', NULL, NULL, 100, NULL, 'Glutamine synthetase, N-terminal domain', 201277),
(269254, '0050991', NULL, NULL, 62, NULL, 'HSP33 redox switch-like', 201278),
(269255, '0050282', NULL, NULL, 57, NULL, 'HSP33 redox switch-like', 201278),
(269256, '0050324', NULL, NULL, 57, NULL, 'HSP33 redox switch-like', 201278),
(269257, '0036409', NULL, NULL, 94, NULL, 'Ribosomal protein L25-like', 201279),
(269258, '0038262', NULL, NULL, 209, NULL, 'Ribosomal protein L25-like', 201279),
(269259, '0054790', NULL, NULL, 175, NULL, 'Ribosomal protein L25-like', 201279),
(269260, '0037515', NULL, NULL, 185, NULL, 'Ribosomal protein L25-like', 201279),
(269261, '0047374', NULL, NULL, 84, NULL, 'Hypothetical protein MTH865', 201280),
(269262, '0040928', NULL, NULL, 123, NULL, 'SMAD MH1 domain', 201281),
(269263, '0051760', NULL, NULL, 333, NULL, 'Ribokinase-like', 201282),
(269264, '0052553', NULL, NULL, 313, NULL, 'Ribokinase-like', 201282),
(269265, '0046030', NULL, NULL, 342, NULL, 'Ribokinase-like', 201282),
(269266, '0050193', NULL, NULL, 288, NULL, 'Ribokinase-like', 201282),
(269267, '0044196', NULL, NULL, 450, NULL, 'Ribokinase-like', 201282),
(269268, '0051780', NULL, NULL, 319, NULL, 'Ribokinase-like', 201282),
(269269, '0044230', NULL, NULL, 454, NULL, 'Ribokinase-like', 201282),
(269270, '0050218', NULL, NULL, 288, NULL, 'Ribokinase-like', 201282),
(269271, '0051846', NULL, NULL, 278, NULL, 'Ribokinase-like', 201282),
(269272, '0051741', NULL, NULL, 306, NULL, 'Ribokinase-like', 201282),
(269273, '0047705', NULL, NULL, 266, NULL, 'Ribokinase-like', 201282),
(269274, '0047908', NULL, NULL, 275, NULL, 'Ribokinase-like', 201282),
(269275, '0046332', NULL, NULL, 354, NULL, 'Ribokinase-like', 201282),
(269276, '0046577', NULL, NULL, 269, NULL, 'Ribokinase-like', 201282),
(269277, '0049742', NULL, NULL, 304, NULL, 'Ribokinase-like', 201282),
(269278, '0049846', NULL, NULL, 258, NULL, 'Ribokinase-like', 201282),
(269279, '0052784', NULL, NULL, 308, NULL, 'Ribokinase-like', 201282),
(269280, '0052420', NULL, NULL, 308, NULL, 'Ribokinase-like', 201282),
(269281, '0050248', NULL, NULL, 299, NULL, 'Ribokinase-like', 201282),
(269282, '0038035', NULL, NULL, 467, NULL, 'Ribokinase-like', 201282),
(269283, '0040362', NULL, NULL, 451, NULL, 'Ribokinase-like', 201282),
(269284, '0044661', NULL, NULL, 264, NULL, 'Ribokinase-like', 201282),
(269285, '0043278', NULL, NULL, 306, NULL, 'Ribokinase-like', 201282),
(269286, '0044587', NULL, NULL, 302, NULL, 'Ribokinase-like', 201282),
(269287, '0040500', NULL, NULL, 309, NULL, 'Ribokinase-like', 201282),
(269288, '0045397', NULL, NULL, 79, NULL, 'Cytochrome c oxidase subunit h', 201283),
(269289, '0046714', NULL, NULL, 90, NULL, 'eEF-1beta-like', 201284),
(269290, '0045883', NULL, NULL, 91, NULL, 'eEF-1beta-like', 201284),
(269291, '0046985', NULL, NULL, 89, NULL, 'eEF-1beta-like', 201284),
(269292, '0045846', NULL, NULL, 36, NULL, 'Cellulose-binding domain', 201285),
(269293, '0045845', NULL, NULL, 36, NULL, 'Cellulose-binding domain', 201285),
(269294, '0045847', NULL, NULL, 36, NULL, 'Cellulose-binding domain', 201285);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(269295, '0053243', NULL, NULL, 101, NULL, 'Mechanosensitive channel protein MscS (YggB), C-terminal domain', 201286),
(269296, '0035299', NULL, NULL, 253, NULL, 'Pyruvate-ferredoxin oxidoreductase, PFOR, domain III', 201287),
(269297, '0047817', NULL, NULL, 74, NULL, 'Anaphylotoxins (complement system)', 201288),
(269298, '0035858', NULL, NULL, 66, NULL, 'Anaphylotoxins (complement system)', 201288),
(269299, '0042772', NULL, NULL, 142, NULL, 'Hepatitis B viral capsid (hbcag)', 201289),
(269300, '0046205', NULL, NULL, 134, NULL, 'TolB, N-terminal domain', 201290),
(269301, '0047265', NULL, NULL, 46, NULL, 'Agouti-related protein', 201291),
(269302, '0035588', NULL, NULL, 760, NULL, 'Type II DNA topoisomerase', 201292),
(269303, '0034983', NULL, NULL, 477, NULL, 'Type II DNA topoisomerase', 201292),
(269304, '0053598', NULL, NULL, 283, NULL, 'DNA breaking-rejoining enzymes', 201293),
(269305, '0034815', NULL, NULL, 182, NULL, 'DNA breaking-rejoining enzymes', 201293),
(269306, '0034845', NULL, NULL, 243, NULL, 'DNA breaking-rejoining enzymes', 201293),
(269307, '0034861', NULL, NULL, 230, NULL, 'DNA breaking-rejoining enzymes', 201293),
(269308, '0035058', NULL, NULL, 170, NULL, 'DNA breaking-rejoining enzymes', 201293),
(269309, '0037653', NULL, NULL, 289, NULL, 'DNA breaking-rejoining enzymes', 201293),
(269310, '0043356', NULL, NULL, 237, NULL, 'DNA breaking-rejoining enzymes', 201293),
(269311, '0045588', NULL, NULL, 212, NULL, 'DNA breaking-rejoining enzymes', 201293),
(269312, '0039910', NULL, NULL, 264, NULL, 'DNA breaking-rejoining enzymes', 201293),
(269313, '0052023', NULL, NULL, 94, NULL, 'Protease propeptides/inhibitors', 201294),
(269314, '0049360', NULL, NULL, 71, NULL, 'Protease propeptides/inhibitors', 201294),
(269315, '0048431', NULL, NULL, 89, NULL, 'Protease propeptides/inhibitors', 201294),
(269316, '0047836', NULL, NULL, 73, NULL, 'Protease propeptides/inhibitors', 201294),
(269317, '0047902', NULL, NULL, 95, NULL, 'Protease propeptides/inhibitors', 201294),
(269318, '0048728', NULL, NULL, 81, NULL, 'Protease propeptides/inhibitors', 201294),
(269319, '0049437', NULL, NULL, 71, NULL, 'Protease propeptides/inhibitors', 201294),
(269320, '0047433', NULL, NULL, 77, NULL, 'Protease propeptides/inhibitors', 201294),
(269321, '0047658', NULL, NULL, 92, NULL, 'Protease propeptides/inhibitors', 201294),
(269322, '0045841', NULL, NULL, 94, NULL, 'Protease propeptides/inhibitors', 201294),
(269323, '0048734', NULL, NULL, 94, NULL, 'Protease propeptides/inhibitors', 201294),
(269324, '0049516', NULL, NULL, 179, NULL, 'Protease propeptides/inhibitors', 201294),
(269325, '0048845', NULL, NULL, 94, NULL, 'Protease propeptides/inhibitors', 201294),
(269326, '0043813', NULL, NULL, 64, NULL, 'Rad51 N-terminal domain-like', 201295),
(269327, '0049536', NULL, NULL, 60, NULL, 'Rad51 N-terminal domain-like', 201295),
(269328, '0048851', NULL, NULL, 61, NULL, 'Rad51 N-terminal domain-like', 201295),
(269329, '0049831', NULL, NULL, 68, NULL, 'Rad51 N-terminal domain-like', 201295),
(269330, '0045865', NULL, NULL, 70, NULL, 'Rad51 N-terminal domain-like', 201295),
(269331, '0051237', NULL, NULL, 59, NULL, 'Rad51 N-terminal domain-like', 201295),
(269332, '0039665', NULL, NULL, 145, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein, catalytic domain', 201296),
(269333, '0042899', NULL, NULL, 146, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein, catalytic domain', 201296),
(269334, '0041342', NULL, NULL, 120, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein, catalytic domain', 201296),
(269335, '0035990', NULL, NULL, 116, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein, catalytic domain', 201296),
(269336, '0036265', NULL, NULL, 146, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein, catalytic domain', 201296),
(269337, '0052033', NULL, NULL, 121, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein, catalytic domain', 201296),
(269338, '0040050', NULL, NULL, 132, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein, catalytic domain', 201296);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(269339, '0036733', NULL, NULL, 146, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein, catalytic domain', 201296),
(269340, '0047174', NULL, NULL, 275, NULL, 'DNase I-like', 201297),
(269341, '0049450', NULL, NULL, 261, NULL, 'DNase I-like', 201297),
(269342, '0052422', NULL, NULL, 299, NULL, 'DNase I-like', 201297),
(269343, '0050453', NULL, NULL, 228, NULL, 'DNase I-like', 201297),
(269344, '0052475', NULL, NULL, 260, NULL, 'DNase I-like', 201297),
(269345, '0047330', NULL, NULL, 345, NULL, 'DNase I-like', 201297),
(269346, '0048441', NULL, NULL, 280, NULL, 'DNase I-like', 201297),
(269347, '0035081', NULL, NULL, 268, NULL, 'DNase I-like', 201297),
(269348, '0050312', NULL, NULL, 236, NULL, 'DNase I-like', 201297),
(269349, '0052568', NULL, NULL, 250, NULL, 'DNase I-like', 201297),
(269350, '0051655', NULL, NULL, 293, NULL, 'DNase I-like', 201297),
(269351, '0040211', NULL, NULL, 45, NULL, 'Iron-sulfur subunit of formate dehydrogenase N, transmembrane anchor', 201298),
(269352, '0049049', NULL, NULL, 282, NULL, 'F420-dependent methylenetetrahydromethanopterin dehydrogenase (MTD)', 201299),
(269353, '0046728', NULL, NULL, 144, NULL, 'Lipase/lipooxygenase domain (PLAT/LH2 domain)', 201300),
(269354, '0040594', NULL, NULL, 111, NULL, 'Lipase/lipooxygenase domain (PLAT/LH2 domain)', 201300),
(269355, '0035891', NULL, NULL, 121, NULL, 'Lipase/lipooxygenase domain (PLAT/LH2 domain)', 201300),
(269356, '0037174', NULL, NULL, 112, NULL, 'Lipase/lipooxygenase domain (PLAT/LH2 domain)', 201300),
(269357, '0041262', NULL, NULL, 159, NULL, 'Lipase/lipooxygenase domain (PLAT/LH2 domain)', 201300),
(269358, '0038208', NULL, NULL, 112, NULL, 'Lipase/lipooxygenase domain (PLAT/LH2 domain)', 201300),
(269359, '0041912', NULL, NULL, 121, NULL, 'Lipase/lipooxygenase domain (PLAT/LH2 domain)', 201300),
(269360, '0040090', NULL, NULL, 121, NULL, 'Lipase/lipooxygenase domain (PLAT/LH2 domain)', 201300),
(269361, '0047219', NULL, NULL, 112, NULL, 'Lipase/lipooxygenase domain (PLAT/LH2 domain)', 201300),
(269362, '0035711', NULL, NULL, 114, NULL, 'Lipase/lipooxygenase domain (PLAT/LH2 domain)', 201300),
(269363, '0043325', NULL, NULL, 111, NULL, 'Lipase/lipooxygenase domain (PLAT/LH2 domain)', 201300),
(269364, '0053553', NULL, NULL, 139, NULL, 'Colicin E3 receptor domain', 201301),
(269365, '0034847', NULL, NULL, 174, NULL, 'Cyclophilin-like', 201302),
(269366, '0051660', NULL, NULL, 124, NULL, 'Cyclophilin-like', 201302),
(269367, '0052158', NULL, NULL, 162, NULL, 'Cyclophilin-like', 201302),
(269368, '0051982', NULL, NULL, 164, NULL, 'Cyclophilin-like', 201302),
(269369, '0051043', NULL, NULL, 166, NULL, 'Cyclophilin-like', 201302),
(269370, '0045440', NULL, NULL, 182, NULL, 'Cyclophilin-like', 201302),
(269371, '0054659', NULL, NULL, 161, NULL, 'Cyclophilin-like', 201302),
(269372, '0050399', NULL, NULL, 165, NULL, 'Cyclophilin-like', 201302),
(269373, '0051587', NULL, NULL, 178, NULL, 'Cyclophilin-like', 201302),
(269374, '0051149', NULL, NULL, 160, NULL, 'Cyclophilin-like', 201302),
(269375, '0051523', NULL, NULL, 186, NULL, 'Cyclophilin-like', 201302),
(269376, '0036200', NULL, NULL, 178, NULL, 'Cyclophilin-like', 201302),
(269377, '0042879', NULL, NULL, 170, NULL, 'Cyclophilin-like', 201302),
(269378, '0040592', NULL, NULL, 164, NULL, 'Cyclophilin-like', 201302),
(269379, '0038362', NULL, NULL, 182, NULL, 'Cyclophilin-like', 201302),
(269380, '0051132', NULL, NULL, 166, NULL, 'Cyclophilin-like', 201302),
(269381, '0051693', NULL, NULL, 164, NULL, 'Cyclophilin-like', 201302),
(269382, '0052763', NULL, NULL, 155, NULL, 'Cyclophilin-like', 201302),
(269383, '0050386', NULL, NULL, 171, NULL, 'Cyclophilin-like', 201302),
(269384, '0050106', NULL, NULL, 166, NULL, 'Cyclophilin-like', 201302),
(269385, '0052507', NULL, NULL, 181, NULL, 'Cyclophilin-like', 201302),
(269386, '0052109', NULL, NULL, 171, NULL, 'Cyclophilin-like', 201302),
(269387, '0054505', NULL, NULL, 132, NULL, 'Cyclophilin-like', 201302),
(269388, '0036678', NULL, NULL, 172, NULL, 'Cyclophilin-like', 201302),
(269389, '0039026', NULL, NULL, 195, NULL, 'Cyclophilin-like', 201302);        
INSERT INTO "PUBLIC"."MODEL" VALUES
(269390, '0042900', NULL, NULL, 173, NULL, 'Cyclophilin-like', 201302),
(269391, '0051928', NULL, NULL, 169, NULL, 'Cyclophilin-like', 201302),
(269392, '0045013', NULL, NULL, 117, NULL, 'Cyclophilin-like', 201302),
(269393, '0039184', NULL, NULL, 161, NULL, 'Cyclophilin-like', 201302),
(269394, '0037026', NULL, NULL, 111, NULL, 'Hypothetical protein MTH538', 201303),
(269395, '0038441', NULL, NULL, 204, NULL, 'Telomeric repeat binding factor (TRF) dimerisation domain', 201304),
(269396, '0038442', NULL, NULL, 203, NULL, 'Telomeric repeat binding factor (TRF) dimerisation domain', 201304),
(269397, '0042539', NULL, NULL, 60, NULL, 'Docking domain A of the erythromycin polyketide synthase (DEBS)', 201305),
(269398, '0046911', NULL, NULL, 32, NULL, 'Dimerization cofactor of HNF-1 alpha', 201306),
(269399, '0046910', NULL, NULL, 31, NULL, 'Dimerization cofactor of HNF-1 alpha', 201306),
(269400, '0036789', NULL, NULL, 70, NULL, 'Bacteriocin AS-48', 201307),
(269401, '0054028', NULL, NULL, 42, NULL, 'YnzC-like', 201308),
(269402, '0054446', NULL, NULL, 148, NULL, 'PSPTO4464-like', 201309),
(269403, '0038402', NULL, NULL, 192, NULL, 'ValRS/IleRS/LeuRS editing domain', 201310),
(269404, '0049869', NULL, NULL, 179, NULL, 'ValRS/IleRS/LeuRS editing domain', 201310),
(269405, '0037567', NULL, NULL, 194, NULL, 'ValRS/IleRS/LeuRS editing domain', 201310),
(269406, '0046954', NULL, NULL, 153, NULL, 'ValRS/IleRS/LeuRS editing domain', 201310),
(269407, '0051861', NULL, NULL, 70, NULL, 'FHV B2 protein-like', 201311),
(269408, '0049861', NULL, NULL, 494, NULL, 'Phase 1 flagellin', 201312),
(269409, '0038492', NULL, NULL, 115, NULL, 'PTS-regulatory domain, PRD', 201313),
(269410, '0038493', NULL, NULL, 107, NULL, 'PTS-regulatory domain, PRD', 201313),
(269411, '0050817', NULL, NULL, 80, NULL, 'ISY1 domain-like', 201314),
(269412, '0036636', NULL, NULL, 70, NULL, 'Cyanase C-terminal domain', 201315),
(269413, '0047605', NULL, NULL, 108, NULL, 'Quinohemoprotein amine dehydrogenase A chain, domain 3', 201316),
(269414, '0047634', NULL, NULL, 119, NULL, 'Quinohemoprotein amine dehydrogenase A chain, domain 3', 201316),
(269415, '0050601', NULL, NULL, 164, NULL, 'Hook domain', 201317),
(269416, '0047350', NULL, NULL, 359, NULL, 'Pectin lyase-like', 201318),
(269417, '0047680', NULL, NULL, 361, NULL, 'Pectin lyase-like', 201318),
(269418, '0036209', NULL, NULL, 335, NULL, 'Pectin lyase-like', 201318),
(269419, '0046293', NULL, NULL, 481, NULL, 'Pectin lyase-like', 201318),
(269420, '0047331', NULL, NULL, 339, NULL, 'Pectin lyase-like', 201318),
(269421, '0048563', NULL, NULL, 373, NULL, 'Pectin lyase-like', 201318),
(269422, '0048970', NULL, NULL, 342, NULL, 'Pectin lyase-like', 201318),
(269423, '0047750', NULL, NULL, 333, NULL, 'Pectin lyase-like', 201318),
(269424, '0047142', NULL, NULL, 464, NULL, 'Pectin lyase-like', 201318),
(269425, '0047186', NULL, NULL, 349, NULL, 'Pectin lyase-like', 201318),
(269426, '0049244', NULL, NULL, 400, NULL, 'Pectin lyase-like', 201318),
(269427, '0049255', NULL, NULL, 297, NULL, 'Pectin lyase-like', 201318),
(269428, '0038225', NULL, NULL, 319, NULL, 'Pectin lyase-like', 201318),
(269429, '0036933', NULL, NULL, 197, NULL, 'Pectin lyase-like', 201318),
(269430, '0041388', NULL, NULL, 336, NULL, 'Pectin lyase-like', 201318),
(269431, '0048925', NULL, NULL, 359, NULL, 'Pectin lyase-like', 201318),
(269432, '0036321', NULL, NULL, 539, NULL, 'Pectin lyase-like', 201318),
(269433, '0042926', NULL, NULL, 554, NULL, 'Pectin lyase-like', 201318),
(269434, '0048840', NULL, NULL, 346, NULL, 'Pectin lyase-like', 201318),
(269435, '0049214', NULL, NULL, 422, NULL, 'Pectin lyase-like', 201318),
(269436, '0045985', NULL, NULL, 399, NULL, 'Pectin lyase-like', 201318),
(269437, '0045962', NULL, NULL, 376, NULL, 'Pectin lyase-like', 201318),
(269438, '0048737', NULL, NULL, 355, NULL, 'Pectin lyase-like', 201318),
(269439, '0048515', NULL, NULL, 353, NULL, 'Pectin lyase-like', 201318),
(269440, '0054956', NULL, NULL, 207, NULL, 'CbiG N-terminal domain-like', 201319),
(269441, '0049572', NULL, NULL, 73, NULL, 'EF-G C-terminal domain-like', 201320);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(269442, '0050451', NULL, NULL, 96, NULL, 'EF-G C-terminal domain-like', 201320),
(269443, '0046824', NULL, NULL, 79, NULL, 'EF-G C-terminal domain-like', 201320),
(269444, '0048719', NULL, NULL, 73, NULL, 'EF-G C-terminal domain-like', 201320),
(269445, '0052056', NULL, NULL, 75, NULL, 'EF-G C-terminal domain-like', 201320),
(269446, '0050452', NULL, NULL, 77, NULL, 'EF-G C-terminal domain-like', 201320),
(269447, '0052057', NULL, NULL, 89, NULL, 'EF-G C-terminal domain-like', 201320),
(269448, '0048253', NULL, NULL, 79, NULL, 'EF-G C-terminal domain-like', 201320),
(269449, '0048254', NULL, NULL, 117, NULL, 'EF-G C-terminal domain-like', 201320),
(269450, '0050192', NULL, NULL, 71, NULL, 'EF-G C-terminal domain-like', 201320),
(269451, '0052324', NULL, NULL, 67, NULL, 'EF-G C-terminal domain-like', 201320),
(269452, '0053452', NULL, NULL, 59, NULL, 'Eea1 homodimerisation domain', 201321),
(269453, '0054310', NULL, NULL, 117, NULL, 'SspB-like', 201322),
(269454, '0042032', NULL, NULL, 121, NULL, 'SspB-like', 201322),
(269455, '0042064', NULL, NULL, 107, NULL, 'SspB-like', 201322),
(269456, '0047890', NULL, NULL, 560, NULL, 'Quinoprotein alcohol dehydrogenase-like', 201323),
(269457, '0048022', NULL, NULL, 600, NULL, 'Quinoprotein alcohol dehydrogenase-like', 201323),
(269458, '0046808', NULL, NULL, 582, NULL, 'Quinoprotein alcohol dehydrogenase-like', 201323),
(269459, '0047121', NULL, NULL, 595, NULL, 'Quinoprotein alcohol dehydrogenase-like', 201323),
(269460, '0047775', NULL, NULL, 573, NULL, 'Quinoprotein alcohol dehydrogenase-like', 201323),
(269461, '0046933', NULL, NULL, 571, NULL, 'Quinoprotein alcohol dehydrogenase-like', 201323),
(269462, '0040071', NULL, NULL, 60, NULL, 'Necrosis inducing protein 1, NIP1', 201324),
(269463, '0046050', NULL, NULL, 106, NULL, 'Nucleic acid-binding proteins', 201325),
(269464, '0054754', NULL, NULL, 88, NULL, 'Nucleic acid-binding proteins', 201325),
(269465, '0054597', NULL, NULL, 64, NULL, 'Nucleic acid-binding proteins', 201325),
(269466, '0046451', NULL, NULL, 62, NULL, 'Nucleic acid-binding proteins', 201325),
(269467, '0050030', NULL, NULL, 111, NULL, 'Nucleic acid-binding proteins', 201325),
(269468, '0054593', NULL, NULL, 123, NULL, 'Nucleic acid-binding proteins', 201325),
(269469, '0037576', NULL, NULL, 118, NULL, 'Nucleic acid-binding proteins', 201325),
(269470, '0045922', NULL, NULL, 144, NULL, 'Nucleic acid-binding proteins', 201325),
(269471, '0047828', NULL, NULL, 86, NULL, 'Nucleic acid-binding proteins', 201325),
(269472, '0047028', NULL, NULL, 218, NULL, 'Nucleic acid-binding proteins', 201325),
(269473, '0049722', NULL, NULL, 145, NULL, 'Nucleic acid-binding proteins', 201325),
(269474, '0047147', NULL, NULL, 79, NULL, 'Nucleic acid-binding proteins', 201325),
(269475, '0041327', NULL, NULL, 68, NULL, 'Nucleic acid-binding proteins', 201325),
(269476, '0042019', NULL, NULL, 213, NULL, 'Nucleic acid-binding proteins', 201325),
(269477, '0048514', NULL, NULL, 115, NULL, 'Nucleic acid-binding proteins', 201325),
(269478, '0051771', NULL, NULL, 84, NULL, 'Nucleic acid-binding proteins', 201325),
(269479, '0049455', NULL, NULL, 76, NULL, 'Nucleic acid-binding proteins', 201325),
(269480, '0049576', NULL, NULL, 67, NULL, 'Nucleic acid-binding proteins', 201325),
(269481, '0048641', NULL, NULL, 168, NULL, 'Nucleic acid-binding proteins', 201325),
(269482, '0045011', NULL, NULL, 79, NULL, 'Nucleic acid-binding proteins', 201325),
(269483, '0053958', NULL, NULL, 137, NULL, 'Nucleic acid-binding proteins', 201325),
(269484, '0051418', NULL, NULL, 69, NULL, 'Nucleic acid-binding proteins', 201325),
(269485, '0049051', NULL, NULL, 145, NULL, 'Nucleic acid-binding proteins', 201325),
(269486, '0052107', NULL, NULL, 94, NULL, 'Nucleic acid-binding proteins', 201325),
(269487, '0052503', NULL, NULL, 67, NULL, 'Nucleic acid-binding proteins', 201325),
(269488, '0047715', NULL, NULL, 76, NULL, 'Nucleic acid-binding proteins', 201325),
(269489, '0048887', NULL, NULL, 87, NULL, 'Nucleic acid-binding proteins', 201325),
(269490, '0041615', NULL, NULL, 71, NULL, 'Nucleic acid-binding proteins', 201325);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(269491, '0048642', NULL, NULL, 124, NULL, 'Nucleic acid-binding proteins', 201325),
(269492, '0048643', NULL, NULL, 167, NULL, 'Nucleic acid-binding proteins', 201325),
(269493, '0045777', NULL, NULL, 71, NULL, 'Nucleic acid-binding proteins', 201325),
(269494, '0045898', NULL, NULL, 103, NULL, 'Nucleic acid-binding proteins', 201325),
(269495, '0047679', NULL, NULL, 102, NULL, 'Nucleic acid-binding proteins', 201325),
(269496, '0054651', NULL, NULL, 401, NULL, 'Nucleic acid-binding proteins', 201325),
(269497, '0054772', NULL, NULL, 95, NULL, 'Nucleic acid-binding proteins', 201325),
(269498, '0053683', NULL, NULL, 210, NULL, 'Nucleic acid-binding proteins', 201325),
(269499, '0054650', NULL, NULL, 58, NULL, 'Nucleic acid-binding proteins', 201325),
(269500, '0037797', NULL, NULL, 104, NULL, 'Nucleic acid-binding proteins', 201325),
(269501, '0039578', NULL, NULL, 102, NULL, 'Nucleic acid-binding proteins', 201325),
(269502, '0050575', NULL, NULL, 119, NULL, 'Nucleic acid-binding proteins', 201325),
(269503, '0049181', NULL, NULL, 81, NULL, 'Nucleic acid-binding proteins', 201325),
(269504, '0052237', NULL, NULL, 82, NULL, 'Nucleic acid-binding proteins', 201325),
(269505, '0046596', NULL, NULL, 134, NULL, 'Nucleic acid-binding proteins', 201325),
(269506, '0043000', NULL, NULL, 127, NULL, 'Nucleic acid-binding proteins', 201325),
(269507, '0043001', NULL, NULL, 114, NULL, 'Nucleic acid-binding proteins', 201325),
(269508, '0044179', NULL, NULL, 66, NULL, 'Nucleic acid-binding proteins', 201325),
(269509, '0047328', NULL, NULL, 104, NULL, 'Nucleic acid-binding proteins', 201325),
(269510, '0040655', NULL, NULL, 239, NULL, 'Nucleic acid-binding proteins', 201325),
(269511, '0049870', NULL, NULL, 118, NULL, 'Nucleic acid-binding proteins', 201325),
(269512, '0050502', NULL, NULL, 89, NULL, 'Nucleic acid-binding proteins', 201325),
(269513, '0053734', NULL, NULL, 83, NULL, 'Nucleic acid-binding proteins', 201325),
(269514, '0053338', NULL, NULL, 115, NULL, 'Nucleic acid-binding proteins', 201325),
(269515, '0049071', NULL, NULL, 170, NULL, 'Nucleic acid-binding proteins', 201325),
(269516, '0036299', NULL, NULL, 143, NULL, 'Nucleic acid-binding proteins', 201325),
(269517, '0050616', NULL, NULL, 145, NULL, 'Nucleic acid-binding proteins', 201325),
(269518, '0039281', NULL, NULL, 133, NULL, 'Nucleic acid-binding proteins', 201325),
(269519, '0038590', NULL, NULL, 72, NULL, 'Nucleic acid-binding proteins', 201325),
(269520, '0048308', NULL, NULL, 93, NULL, 'Nucleic acid-binding proteins', 201325),
(269521, '0046800', NULL, NULL, 125, NULL, 'Nucleic acid-binding proteins', 201325),
(269522, '0046921', NULL, NULL, 104, NULL, 'Nucleic acid-binding proteins', 201325),
(269523, '0052498', NULL, NULL, 59, NULL, 'Nucleic acid-binding proteins', 201325),
(269524, '0054279', NULL, NULL, 95, NULL, 'Nucleic acid-binding proteins', 201325),
(269525, '0054276', NULL, NULL, 88, NULL, 'Nucleic acid-binding proteins', 201325),
(269526, '0046097', NULL, NULL, 66, NULL, 'Nucleic acid-binding proteins', 201325),
(269527, '0050994', NULL, NULL, 140, NULL, 'Nucleic acid-binding proteins', 201325),
(269528, '0050995', NULL, NULL, 151, NULL, 'Nucleic acid-binding proteins', 201325),
(269529, '0048839', NULL, NULL, 111, NULL, 'Nucleic acid-binding proteins', 201325),
(269530, '0040310', NULL, NULL, 187, NULL, 'Nucleic acid-binding proteins', 201325),
(269531, '0045686', NULL, NULL, 109, NULL, 'Nucleic acid-binding proteins', 201325),
(269532, '0047223', NULL, NULL, 71, NULL, 'Nucleic acid-binding proteins', 201325),
(269533, '0046777', NULL, NULL, 128, NULL, 'Nucleic acid-binding proteins', 201325),
(269534, '0046930', NULL, NULL, 66, NULL, 'Nucleic acid-binding proteins', 201325),
(269535, '0040675', NULL, NULL, 85, NULL, 'Nucleic acid-binding proteins', 201325),
(269536, '0051177', NULL, NULL, 91, NULL, 'Nucleic acid-binding proteins', 201325),
(269537, '0049372', NULL, NULL, 231, NULL, 'Nucleic acid-binding proteins', 201325),
(269538, '0054168', NULL, NULL, 385, NULL, 'Nucleic acid-binding proteins', 201325),
(269539, '0037529', NULL, NULL, 90, NULL, 'Nucleic acid-binding proteins', 201325);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(269540, '0047474', NULL, NULL, 138, NULL, 'Nucleic acid-binding proteins', 201325),
(269541, '0048167', NULL, NULL, 133, NULL, 'Nucleic acid-binding proteins', 201325),
(269542, '0048442', NULL, NULL, 171, NULL, 'Nucleic acid-binding proteins', 201325),
(269543, '0051294', NULL, NULL, 68, NULL, 'Nucleic acid-binding proteins', 201325),
(269544, '0053990', NULL, NULL, 78, NULL, 'Nucleic acid-binding proteins', 201325),
(269545, '0054166', NULL, NULL, 79, NULL, 'Nucleic acid-binding proteins', 201325),
(269546, '0054167', NULL, NULL, 87, NULL, 'Nucleic acid-binding proteins', 201325),
(269547, '0048165', NULL, NULL, 133, NULL, 'Nucleic acid-binding proteins', 201325),
(269548, '0047473', NULL, NULL, 112, NULL, 'Nucleic acid-binding proteins', 201325),
(269549, '0048166', NULL, NULL, 113, NULL, 'Nucleic acid-binding proteins', 201325),
(269550, '0054165', NULL, NULL, 90, NULL, 'Nucleic acid-binding proteins', 201325),
(269551, '0034894', NULL, NULL, 78, NULL, 'Nucleic acid-binding proteins', 201325),
(269552, '0036158', NULL, NULL, 64, NULL, 'Nucleic acid-binding proteins', 201325),
(269553, '0054725', NULL, NULL, 416, NULL, 'Nucleic acid-binding proteins', 201325),
(269554, '0054724', NULL, NULL, 148, NULL, 'Nucleic acid-binding proteins', 201325),
(269555, '0054205', NULL, NULL, 90, NULL, 'Nucleic acid-binding proteins', 201325),
(269556, '0054723', NULL, NULL, 88, NULL, 'Nucleic acid-binding proteins', 201325),
(269557, '0036711', NULL, NULL, 143, NULL, 'Nucleic acid-binding proteins', 201325),
(269558, '0050885', NULL, NULL, 148, NULL, 'Nucleic acid-binding proteins', 201325),
(269559, '0054722', NULL, NULL, 95, NULL, 'Nucleic acid-binding proteins', 201325),
(269560, '0037641', NULL, NULL, 164, NULL, 'Nucleic acid-binding proteins', 201325),
(269561, '0038054', NULL, NULL, 109, NULL, 'Nucleic acid-binding proteins', 201325),
(269562, '0038296', NULL, NULL, 87, NULL, 'Nucleic acid-binding proteins', 201325),
(269563, '0039264', NULL, NULL, 62, NULL, 'Nucleic acid-binding proteins', 201325),
(269564, '0048841', NULL, NULL, 107, NULL, 'Nucleic acid-binding proteins', 201325),
(269565, '0054282', NULL, NULL, 125, NULL, 'Nucleic acid-binding proteins', 201325),
(269566, '0045976', NULL, NULL, 65, NULL, 'Nucleic acid-binding proteins', 201325),
(269567, '0048844', NULL, NULL, 113, NULL, 'Nucleic acid-binding proteins', 201325),
(269568, '0051100', NULL, NULL, 78, NULL, 'Nucleic acid-binding proteins', 201325),
(269569, '0054212', NULL, NULL, 87, NULL, 'Nucleic acid-binding proteins', 201325),
(269570, '0047483', NULL, NULL, 67, NULL, 'Nucleic acid-binding proteins', 201325),
(269571, '0048176', NULL, NULL, 107, NULL, 'Nucleic acid-binding proteins', 201325),
(269572, '0054176', NULL, NULL, 125, NULL, 'Nucleic acid-binding proteins', 201325),
(269573, '0036423', NULL, NULL, 86, NULL, 'Nucleic acid-binding proteins', 201325),
(269574, '0048170', NULL, NULL, 69, NULL, 'Nucleic acid-binding proteins', 201325),
(269575, '0054855', NULL, NULL, 94, NULL, 'Nucleic acid-binding proteins', 201325),
(269576, '0035732', NULL, NULL, 63, NULL, 'Nucleic acid-binding proteins', 201325),
(269577, '0039498', NULL, NULL, 197, NULL, 'Nucleic acid-binding proteins', 201325),
(269578, '0047805', NULL, NULL, 71, NULL, 'Nucleic acid-binding proteins', 201325),
(269579, '0042114', NULL, NULL, 145, NULL, 'Nucleic acid-binding proteins', 201325),
(269580, '0039892', NULL, NULL, 71, NULL, 'Nucleic acid-binding proteins', 201325),
(269581, '0047920', NULL, NULL, 178, NULL, 'Nucleic acid-binding proteins', 201325),
(269582, '0049427', NULL, NULL, 87, NULL, 'Nucleic acid-binding proteins', 201325),
(269583, '0049790', NULL, NULL, 79, NULL, 'Nucleic acid-binding proteins', 201325),
(269584, '0043292', NULL, NULL, 66, NULL, 'Nucleic acid-binding proteins', 201325),
(269585, '0046163', NULL, NULL, 89, NULL, 'Nucleic acid-binding proteins', 201325),
(269586, '0047013', NULL, NULL, 180, NULL, 'Nucleic acid-binding proteins', 201325),
(269587, '0037626', NULL, NULL, 104, NULL, 'Nucleic acid-binding proteins', 201325),
(269588, '0037226', NULL, NULL, 114, NULL, 'Nucleic acid-binding proteins', 201325); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(269589, '0044549', NULL, NULL, 60, NULL, 'Nucleic acid-binding proteins', 201325),
(269590, '0048748', NULL, NULL, 78, NULL, 'Nucleic acid-binding proteins', 201325),
(269591, '0044302', NULL, NULL, 63, NULL, 'Nucleic acid-binding proteins', 201325),
(269592, '0044303', NULL, NULL, 58, NULL, 'Nucleic acid-binding proteins', 201325),
(269593, '0047019', NULL, NULL, 106, NULL, 'Nucleic acid-binding proteins', 201325),
(269594, '0039233', NULL, NULL, 107, NULL, 'RBP11-like subunits of RNA polymerase', 201326),
(269595, '0038873', NULL, NULL, 136, NULL, 'RBP11-like subunits of RNA polymerase', 201326),
(269596, '0038895', NULL, NULL, 102, NULL, 'RBP11-like subunits of RNA polymerase', 201326),
(269597, '0035473', NULL, NULL, 106, NULL, 'RBP11-like subunits of RNA polymerase', 201326),
(269598, '0038879', NULL, NULL, 114, NULL, 'RBP11-like subunits of RNA polymerase', 201326),
(269599, '0051060', NULL, NULL, 99, NULL, 'RBP11-like subunits of RNA polymerase', 201326),
(269600, '0044822', NULL, NULL, 179, NULL, 'PurM C-terminal domain-like', 201327),
(269601, '0044823', NULL, NULL, 96, NULL, 'PurM C-terminal domain-like', 201327),
(269602, '0036051', NULL, NULL, 175, NULL, 'PurM C-terminal domain-like', 201327),
(269603, '0043869', NULL, NULL, 217, NULL, 'PurM C-terminal domain-like', 201327),
(269604, '0054761', NULL, NULL, 179, NULL, 'PurM C-terminal domain-like', 201327),
(269605, '0050292', NULL, NULL, 163, NULL, 'PurM C-terminal domain-like', 201327),
(269606, '0049529', NULL, NULL, 187, NULL, 'PurM C-terminal domain-like', 201327),
(269607, '0054802', NULL, NULL, 182, NULL, 'PurM C-terminal domain-like', 201327),
(269608, '0054952', NULL, NULL, 157, NULL, 'NTF2-like', 201328),
(269609, '0051880', NULL, NULL, 167, NULL, 'NTF2-like', 201328),
(269610, '0053984', NULL, NULL, 128, NULL, 'NTF2-like', 201328),
(269611, '0054951', NULL, NULL, 131, NULL, 'NTF2-like', 201328),
(269612, '0053662', NULL, NULL, 129, NULL, 'NTF2-like', 201328),
(269613, '0054114', NULL, NULL, 113, NULL, 'NTF2-like', 201328),
(269614, '0054673', NULL, NULL, 133, NULL, 'NTF2-like', 201328),
(269615, '0052330', NULL, NULL, 182, NULL, 'NTF2-like', 201328),
(269616, '0054672', NULL, NULL, 153, NULL, 'NTF2-like', 201328),
(269617, '0049321', NULL, NULL, 139, NULL, 'NTF2-like', 201328),
(269618, '0051680', NULL, NULL, 132, NULL, 'NTF2-like', 201328),
(269619, '0042608', NULL, NULL, 174, NULL, 'NTF2-like', 201328),
(269620, '0053947', NULL, NULL, 144, NULL, 'NTF2-like', 201328),
(269621, '0042609', NULL, NULL, 205, NULL, 'NTF2-like', 201328),
(269622, '0053904', NULL, NULL, 129, NULL, 'NTF2-like', 201328),
(269623, '0053747', NULL, NULL, 139, NULL, 'NTF2-like', 201328),
(269624, '0053946', NULL, NULL, 138, NULL, 'NTF2-like', 201328),
(269625, '0054836', NULL, NULL, 124, NULL, 'NTF2-like', 201328),
(269626, '0054957', NULL, NULL, 149, NULL, 'NTF2-like', 201328),
(269627, '0054954', NULL, NULL, 128, NULL, 'NTF2-like', 201328),
(269628, '0054953', NULL, NULL, 130, NULL, 'NTF2-like', 201328),
(269629, '0039599', NULL, NULL, 186, NULL, 'NTF2-like', 201328),
(269630, '0042813', NULL, NULL, 125, NULL, 'NTF2-like', 201328),
(269631, '0054909', NULL, NULL, 162, NULL, 'NTF2-like', 201328),
(269632, '0044078', NULL, NULL, 126, NULL, 'NTF2-like', 201328),
(269633, '0053752', NULL, NULL, 132, NULL, 'NTF2-like', 201328),
(269634, '0047196', NULL, NULL, 141, NULL, 'NTF2-like', 201328),
(269635, '0050285', NULL, NULL, 112, NULL, 'NTF2-like', 201328),
(269636, '0054643', NULL, NULL, 122, NULL, 'NTF2-like', 201328),
(269637, '0054962', NULL, NULL, 159, NULL, 'NTF2-like', 201328),
(269638, '0053673', NULL, NULL, 117, NULL, 'NTF2-like', 201328),
(269639, '0054683', NULL, NULL, 135, NULL, 'NTF2-like', 201328),
(269640, '0054924', NULL, NULL, 132, NULL, 'NTF2-like', 201328),
(269641, '0054966', NULL, NULL, 118, NULL, 'NTF2-like', 201328),
(269642, '0054965', NULL, NULL, 127, NULL, 'NTF2-like', 201328),
(269643, '0050687', NULL, NULL, 182, NULL, 'NTF2-like', 201328),
(269644, '0049938', NULL, NULL, 177, NULL, 'NTF2-like', 201328),
(269645, '0053905', NULL, NULL, 140, NULL, 'NTF2-like', 201328);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(269646, '0048566', NULL, NULL, 125, NULL, 'NTF2-like', 201328),
(269647, '0049417', NULL, NULL, 142, NULL, 'NTF2-like', 201328),
(269648, '0044127', NULL, NULL, 131, NULL, 'NTF2-like', 201328),
(269649, '0054254', NULL, NULL, 123, NULL, 'NTF2-like', 201328),
(269650, '0046550', NULL, NULL, 193, NULL, 'NTF2-like', 201328),
(269651, '0053926', NULL, NULL, 192, NULL, 'NTF2-like', 201328),
(269652, '0054816', NULL, NULL, 144, NULL, 'NTF2-like', 201328),
(269653, '0054815', NULL, NULL, 121, NULL, 'NTF2-like', 201328),
(269654, '0047080', NULL, NULL, 121, NULL, 'NTF2-like', 201328),
(269655, '0054612', NULL, NULL, 139, NULL, 'NTF2-like', 201328),
(269656, '0042033', NULL, NULL, 125, NULL, 'NTF2-like', 201328),
(269657, '0048458', NULL, NULL, 145, NULL, 'NTF2-like', 201328),
(269658, '0041823', NULL, NULL, 165, NULL, 'NTF2-like', 201328),
(269659, '0041822', NULL, NULL, 221, NULL, 'NTF2-like', 201328),
(269660, '0040851', NULL, NULL, 142, NULL, 'NTF2-like', 201328),
(269661, '0053774', NULL, NULL, 167, NULL, 'NTF2-like', 201328),
(269662, '0054666', NULL, NULL, 127, NULL, 'NTF2-like', 201328),
(269663, '0053334', NULL, NULL, 162, NULL, 'NTF2-like', 201328),
(269664, '0054940', NULL, NULL, 133, NULL, 'NTF2-like', 201328),
(269665, '0053770', NULL, NULL, 140, NULL, 'NTF2-like', 201328),
(269666, '0054145', NULL, NULL, 155, NULL, 'NTF2-like', 201328),
(269667, '0054947', NULL, NULL, 163, NULL, 'NTF2-like', 201328),
(269668, '0054901', NULL, NULL, 153, NULL, 'NTF2-like', 201328),
(269669, '0052008', NULL, NULL, 194, NULL, 'NTF2-like', 201328),
(269670, '0054427', NULL, NULL, 128, NULL, 'NTF2-like', 201328),
(269671, '0054943', NULL, NULL, 117, NULL, 'NTF2-like', 201328),
(269672, '0054821', NULL, NULL, 121, NULL, 'NTF2-like', 201328),
(269673, '0054939', NULL, NULL, 135, NULL, 'NTF2-like', 201328),
(269674, '0047611', NULL, NULL, 139, NULL, 'NTF2-like', 201328),
(269675, '0039390', NULL, NULL, 197, NULL, 'Methionine synthase activation domain-like', 201329),
(269676, '0041070', NULL, NULL, 327, NULL, 'Methionine synthase activation domain-like', 201329),
(269677, '0054042', NULL, NULL, 180, NULL, 'SP0830-like', 201330),
(269678, '0042699', NULL, NULL, 132, NULL, 'RNA bacteriophage capsid protein', 201331),
(269679, '0052047', NULL, NULL, 129, NULL, 'RNA bacteriophage capsid protein', 201331),
(269680, '0037750', NULL, NULL, 129, NULL, 'RNA bacteriophage capsid protein', 201331),
(269681, '0036638', NULL, NULL, 127, NULL, 'RNA bacteriophage capsid protein', 201331),
(269682, '0044460', NULL, NULL, 129, NULL, 'RNA bacteriophage capsid protein', 201331),
(269683, '0050550', NULL, NULL, 105, NULL, 'PDZ domain-like', 201332),
(269684, '0051242', NULL, NULL, 88, NULL, 'PDZ domain-like', 201332),
(269685, '0052650', NULL, NULL, 96, NULL, 'PDZ domain-like', 201332),
(269686, '0044391', NULL, NULL, 117, NULL, 'PDZ domain-like', 201332),
(269687, '0049521', NULL, NULL, 92, NULL, 'PDZ domain-like', 201332),
(269688, '0038828', NULL, NULL, 130, NULL, 'PDZ domain-like', 201332),
(269689, '0054035', NULL, NULL, 103, NULL, 'PDZ domain-like', 201332),
(269690, '0050833', NULL, NULL, 101, NULL, 'PDZ domain-like', 201332),
(269691, '0051603', NULL, NULL, 93, NULL, 'PDZ domain-like', 201332),
(269692, '0050516', NULL, NULL, 127, NULL, 'PDZ domain-like', 201332),
(269693, '0050835', NULL, NULL, 97, NULL, 'PDZ domain-like', 201332),
(269694, '0050114', NULL, NULL, 100, NULL, 'PDZ domain-like', 201332),
(269695, '0051643', NULL, NULL, 109, NULL, 'PDZ domain-like', 201332),
(269696, '0050553', NULL, NULL, 100, NULL, 'PDZ domain-like', 201332),
(269697, '0050116', NULL, NULL, 111, NULL, 'PDZ domain-like', 201332),
(269698, '0040399', NULL, NULL, 95, NULL, 'PDZ domain-like', 201332),
(269699, '0041246', NULL, NULL, 103, NULL, 'PDZ domain-like', 201332),
(269700, '0041243', NULL, NULL, 95, NULL, 'PDZ domain-like', 201332),
(269701, '0044638', NULL, NULL, 118, NULL, 'PDZ domain-like', 201332),
(269702, '0050507', NULL, NULL, 103, NULL, 'PDZ domain-like', 201332),
(269703, '0040319', NULL, NULL, 88, NULL, 'PDZ domain-like', 201332);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(269704, '0040317', NULL, NULL, 94, NULL, 'PDZ domain-like', 201332),
(269705, '0044310', NULL, NULL, 103, NULL, 'PDZ domain-like', 201332),
(269706, '0044398', NULL, NULL, 111, NULL, 'PDZ domain-like', 201332),
(269707, '0044311', NULL, NULL, 123, NULL, 'PDZ domain-like', 201332),
(269708, '0044399', NULL, NULL, 96, NULL, 'PDZ domain-like', 201332),
(269709, '0044315', NULL, NULL, 128, NULL, 'PDZ domain-like', 201332),
(269710, '0052663', NULL, NULL, 92, NULL, 'PDZ domain-like', 201332),
(269711, '0053596', NULL, NULL, 99, NULL, 'PDZ domain-like', 201332),
(269712, '0050486', NULL, NULL, 103, NULL, 'PDZ domain-like', 201332),
(269713, '0054088', NULL, NULL, 102, NULL, 'PDZ domain-like', 201332),
(269714, '0039028', NULL, NULL, 94, NULL, 'PDZ domain-like', 201332),
(269715, '0050487', NULL, NULL, 94, NULL, 'PDZ domain-like', 201332),
(269716, '0042269', NULL, NULL, 96, NULL, 'PDZ domain-like', 201332),
(269717, '0037485', NULL, NULL, 92, NULL, 'PDZ domain-like', 201332),
(269718, '0038015', NULL, NULL, 91, NULL, 'PDZ domain-like', 201332),
(269719, '0040042', NULL, NULL, 93, NULL, 'PDZ domain-like', 201332),
(269720, '0050836', NULL, NULL, 99, NULL, 'PDZ domain-like', 201332),
(269721, '0044366', NULL, NULL, 107, NULL, 'PDZ domain-like', 201332),
(269722, '0044688', NULL, NULL, 94, NULL, 'PDZ domain-like', 201332),
(269723, '0041775', NULL, NULL, 84, NULL, 'PDZ domain-like', 201332),
(269724, '0049781', NULL, NULL, 94, NULL, 'PDZ domain-like', 201332),
(269725, '0050572', NULL, NULL, 104, NULL, 'PDZ domain-like', 201332),
(269726, '0049780', NULL, NULL, 87, NULL, 'PDZ domain-like', 201332),
(269727, '0050057', NULL, NULL, 122, NULL, 'PDZ domain-like', 201332),
(269728, '0050574', NULL, NULL, 96, NULL, 'PDZ domain-like', 201332),
(269729, '0040806', NULL, NULL, 91, NULL, 'PDZ domain-like', 201332),
(269730, '0052077', NULL, NULL, 94, NULL, 'PDZ domain-like', 201332),
(269731, '0050492', NULL, NULL, 131, NULL, 'PDZ domain-like', 201332),
(269732, '0050857', NULL, NULL, 107, NULL, 'PDZ domain-like', 201332),
(269733, '0049948', NULL, NULL, 113, NULL, 'PDZ domain-like', 201332),
(269734, '0045904', NULL, NULL, 127, NULL, 'PDZ domain-like', 201332),
(269735, '0040294', NULL, NULL, 88, NULL, 'PDZ domain-like', 201332),
(269736, '0048138', NULL, NULL, 95, NULL, 'PDZ domain-like', 201332),
(269737, '0052270', NULL, NULL, 106, NULL, 'PDZ domain-like', 201332),
(269738, '0043682', NULL, NULL, 99, NULL, 'PDZ domain-like', 201332),
(269739, '0045940', NULL, NULL, 115, NULL, 'PDZ domain-like', 201332),
(269740, '0049946', NULL, NULL, 110, NULL, 'PDZ domain-like', 201332),
(269741, '0040455', NULL, NULL, 100, NULL, 'PDZ domain-like', 201332),
(269742, '0042116', NULL, NULL, 99, NULL, 'PDZ domain-like', 201332),
(269743, '0044337', NULL, NULL, 103, NULL, 'PDZ domain-like', 201332),
(269744, '0050541', NULL, NULL, 124, NULL, 'PDZ domain-like', 201332),
(269745, '0050584', NULL, NULL, 126, NULL, 'PDZ domain-like', 201332),
(269746, '0044382', NULL, NULL, 117, NULL, 'PDZ domain-like', 201332),
(269747, '0050063', NULL, NULL, 117, NULL, 'PDZ domain-like', 201332),
(269748, '0052727', NULL, NULL, 88, NULL, 'PDZ domain-like', 201332),
(269749, '0042601', NULL, NULL, 104, NULL, 'PDZ domain-like', 201332),
(269750, '0042844', NULL, NULL, 95, NULL, 'PDZ domain-like', 201332),
(269751, '0050618', NULL, NULL, 90, NULL, 'PDZ domain-like', 201332),
(269752, '0047731', NULL, NULL, 91, NULL, 'PDZ domain-like', 201332),
(269753, '0052281', NULL, NULL, 104, NULL, 'PDZ domain-like', 201332),
(269754, '0049876', NULL, NULL, 114, NULL, 'PDZ domain-like', 201332),
(269755, '0043410', NULL, NULL, 128, NULL, 'PDZ domain-like', 201332),
(269756, '0041357', NULL, NULL, 123, NULL, 'PDZ domain-like', 201332),
(269757, '0041555', NULL, NULL, 82, NULL, 'PDZ domain-like', 201332),
(269758, '0048900', NULL, NULL, 108, NULL, 'PDZ domain-like', 201332),
(269759, '0042687', NULL, NULL, 90, NULL, 'PDZ domain-like', 201332),
(269760, '0049878', NULL, NULL, 101, NULL, 'PDZ domain-like', 201332),
(269761, '0044623', NULL, NULL, 103, NULL, 'PDZ domain-like', 201332);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(269762, '0039035', NULL, NULL, 52, NULL, 'DNA-binding domain of retroviral integrase', 201333),
(269763, '0035801', NULL, NULL, 53, NULL, 'DNA-binding domain of retroviral integrase', 201333),
(269764, '0035866', NULL, NULL, 55, NULL, 'DNA-binding domain of retroviral integrase', 201333),
(269765, '0046646', NULL, NULL, 48, NULL, 'DNA-binding domain of retroviral integrase', 201333),
(269766, '0052993', NULL, NULL, 155, NULL, 'EndoU-like', 201334),
(269767, '0052950', NULL, NULL, 153, NULL, 'EndoU-like', 201334),
(269768, '0052094', NULL, NULL, 284, NULL, 'EndoU-like', 201334),
(269769, '0049709', NULL, NULL, 327, NULL, 'Radical SAM enzymes', 201335),
(269770, '0048596', NULL, NULL, 441, NULL, 'Radical SAM enzymes', 201335),
(269771, '0043105', NULL, NULL, 312, NULL, 'Radical SAM enzymes', 201335),
(269772, '0042700', NULL, NULL, 101, NULL, 'Inhibitor of apoptosis (IAP) repeat', 201336),
(269773, '0036727', NULL, NULL, 136, NULL, 'Inhibitor of apoptosis (IAP) repeat', 201336),
(269774, '0042068', NULL, NULL, 99, NULL, 'Inhibitor of apoptosis (IAP) repeat', 201336),
(269775, '0039490', NULL, NULL, 105, NULL, 'Inhibitor of apoptosis (IAP) repeat', 201336),
(269776, '0053073', NULL, NULL, 90, NULL, 'Inhibitor of apoptosis (IAP) repeat', 201336),
(269777, '0050901', NULL, NULL, 101, NULL, 'Inhibitor of apoptosis (IAP) repeat', 201336),
(269778, '0037913', NULL, NULL, 117, NULL, 'Inhibitor of apoptosis (IAP) repeat', 201336),
(269779, '0040778', NULL, NULL, 112, NULL, 'Inhibitor of apoptosis (IAP) repeat', 201336),
(269780, '0043565', NULL, NULL, 97, NULL, 'Inhibitor of apoptosis (IAP) repeat', 201336),
(269781, '0035887', NULL, NULL, 117, NULL, 'Inhibitor of apoptosis (IAP) repeat', 201336),
(269782, '0054322', NULL, NULL, 79, NULL, 'SMc04008-like', 201337),
(269783, '0048280', NULL, NULL, 167, NULL, 'IP3 receptor type 1 binding core, domain 2', 201338),
(269784, '0053474', NULL, NULL, 102, NULL, 'Rad50 coiled-coil Zn hook', 201339),
(269785, '0037281', NULL, NULL, 82, NULL, 'Insect cysteine-rich antifreeze protein', 201340),
(269786, '0052582', NULL, NULL, 108, NULL, 'Putative glucosidase YicI, C-terminal domain', 201341),
(269787, '0053632', NULL, NULL, 170, NULL, 'Phage tail proteins', 201342),
(269788, '0054884', NULL, NULL, 179, NULL, 'Phage tail proteins', 201342),
(269789, '0054883', NULL, NULL, 168, NULL, 'Phage tail proteins', 201342),
(269790, '0054464', NULL, NULL, 176, NULL, 'Phage tail proteins', 201342),
(269791, '0039828', NULL, NULL, 117, NULL, 'Phage tail proteins', 201342),
(269792, '0054463', NULL, NULL, 187, NULL, 'Phage tail proteins', 201342),
(269793, '0053978', NULL, NULL, 139, NULL, 'Phage tail proteins', 201342),
(269794, '0039864', NULL, NULL, 176, NULL, 'Phage tail proteins', 201342),
(269795, '0053633', NULL, NULL, 174, NULL, 'Phage tail proteins', 201342),
(269796, '0054535', NULL, NULL, 93, NULL, 'Phage tail proteins', 201342),
(269797, '0054920', NULL, NULL, 169, NULL, 'Phage tail proteins', 201342),
(269798, '0039863', NULL, NULL, 197, NULL, 'Phage tail proteins', 201342),
(269799, '0054919', NULL, NULL, 173, NULL, 'Phage tail proteins', 201342),
(269800, '0048240', NULL, NULL, 134, NULL, 'Formate/glycerate dehydrogenase catalytic domain-like', 201343),
(269801, '0045380', NULL, NULL, 187, NULL, 'Formate/glycerate dehydrogenase catalytic domain-like', 201343),
(269802, '0034926', NULL, NULL, 269, NULL, 'Formate/glycerate dehydrogenase catalytic domain-like', 201343),
(269803, '0051306', NULL, NULL, 131, NULL, 'Formate/glycerate dehydrogenase catalytic domain-like', 201343),
(269804, '0037438', NULL, NULL, 202, NULL, 'Formate/glycerate dehydrogenase catalytic domain-like', 201343),
(269805, '0052457', NULL, NULL, 141, NULL, 'Formate/glycerate dehydrogenase catalytic domain-like', 201343),
(269806, '0038058', NULL, NULL, 130, NULL, 'Formate/glycerate dehydrogenase catalytic domain-like', 201343),
(269807, '0048809', NULL, NULL, 133, NULL, 'Formate/glycerate dehydrogenase catalytic domain-like', 201343),
(269808, '0042915', NULL, NULL, 122, NULL, 'Formate/glycerate dehydrogenase catalytic domain-like', 201343);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(269809, '0046421', NULL, NULL, 132, NULL, 'Formate/glycerate dehydrogenase catalytic domain-like', 201343),
(269810, '0047511', NULL, NULL, 135, NULL, 'Formate/glycerate dehydrogenase catalytic domain-like', 201343),
(269811, '0050091', NULL, NULL, 314, NULL, 'Formate/glycerate dehydrogenase catalytic domain-like', 201343),
(269812, '0042341', NULL, NULL, 194, NULL, 'Formate/glycerate dehydrogenase catalytic domain-like', 201343),
(269813, '0050397', NULL, NULL, 192, NULL, 'L domain-like', 201344),
(269814, '0046297', NULL, NULL, 124, NULL, 'L domain-like', 201344),
(269815, '0053646', NULL, NULL, 242, NULL, 'L domain-like', 201344),
(269816, '0053105', NULL, NULL, 156, NULL, 'L domain-like', 201344),
(269817, '0039014', NULL, NULL, 149, NULL, 'L domain-like', 201344),
(269818, '0041268', NULL, NULL, 166, NULL, 'L domain-like', 201344),
(269819, '0045746', NULL, NULL, 162, NULL, 'L domain-like', 201344),
(269820, '0041267', NULL, NULL, 165, NULL, 'L domain-like', 201344),
(269821, '0039015', NULL, NULL, 179, NULL, 'L domain-like', 201344),
(269822, '0041264', NULL, NULL, 166, NULL, 'L domain-like', 201344),
(269823, '0041263', NULL, NULL, 165, NULL, 'L domain-like', 201344),
(269824, '0041848', NULL, NULL, 313, NULL, 'L domain-like', 201344),
(269825, '0046830', NULL, NULL, 160, NULL, 'L domain-like', 201344),
(269826, '0048059', NULL, NULL, 266, NULL, 'L domain-like', 201344),
(269827, '0040812', NULL, NULL, 169, NULL, 'L domain-like', 201344),
(269828, '0040811', NULL, NULL, 158, NULL, 'L domain-like', 201344),
(269829, '0053852', NULL, NULL, 153, NULL, 'L domain-like', 201344),
(269830, '0051010', NULL, NULL, 305, NULL, 'L domain-like', 201344),
(269831, '0047132', NULL, NULL, 227, NULL, 'L domain-like', 201344),
(269832, '0053853', NULL, NULL, 156, NULL, 'L domain-like', 201344),
(269833, '0039223', NULL, NULL, 169, NULL, 'L domain-like', 201344),
(269834, '0039222', NULL, NULL, 161, NULL, 'L domain-like', 201344),
(269835, '0047619', NULL, NULL, 353, NULL, 'L domain-like', 201344),
(269836, '0042103', NULL, NULL, 284, NULL, 'L domain-like', 201344),
(269837, '0046244', NULL, NULL, 207, NULL, 'L domain-like', 201344),
(269838, '0048505', NULL, NULL, 384, NULL, 'L domain-like', 201344),
(269839, '0053715', NULL, NULL, 34, NULL, 'Photosystem II reaction center protein J, PsbJ', 201345),
(269840, '0039844', NULL, NULL, 67, NULL, 'Bcr-Abl oncoprotein oligomerization domain', 201346),
(269841, '0048691', NULL, NULL, 140, NULL, 'Outer surface protein', 201347),
(269842, '0042010', NULL, NULL, 251, NULL, 'Outer surface protein', 201347),
(269843, '0049021', NULL, NULL, 35, NULL, 'Methionyl-tRNA synthetase (MetRS), Zn-domain', 201348),
(269844, '0048145', NULL, NULL, 28, NULL, 'Methionyl-tRNA synthetase (MetRS), Zn-domain', 201348),
(269845, '0049234', NULL, NULL, 35, NULL, 'Methionyl-tRNA synthetase (MetRS), Zn-domain', 201348),
(269846, '0052812', NULL, NULL, 78, NULL, 'TM0693-like', 201349),
(269847, '0037779', NULL, NULL, 117, NULL, 'XRCC4, N-terminal domain', 201350),
(269848, '0045453', NULL, NULL, 107, NULL, 'Subtilisin inhibitor', 201351),
(269849, '0049093', NULL, NULL, 202, NULL, 'Mob1/phocein', 201352),
(269850, '0037625', NULL, NULL, 83, NULL, 'Ribosomal protein S16', 201353),
(269851, '0053989', NULL, NULL, 78, NULL, 'Ribosomal protein S16', 201353),
(269852, '0054837', NULL, NULL, 101, NULL, 'Ribosomal protein S16', 201353),
(269853, '0048156', NULL, NULL, 65, NULL, 'Immunoglobulin-binding domains', 201354),
(269854, '0048762', NULL, NULL, 70, NULL, 'Immunoglobulin-binding domains', 201354),
(269855, '0048155', NULL, NULL, 63, NULL, 'Immunoglobulin-binding domains', 201354),
(269856, '0053109', NULL, NULL, 64, NULL, 'Immunoglobulin-binding domains', 201354),
(269857, '0047628', NULL, NULL, 72, NULL, 'Immunoglobulin-binding domains', 201354),
(269858, '0047749', NULL, NULL, 72, NULL, 'Immunoglobulin-binding domains', 201354),
(269859, '0048754', NULL, NULL, 56, NULL, 'Immunoglobulin-binding domains', 201354),
(269860, '0046588', NULL, NULL, 56, NULL, 'Immunoglobulin-binding domains', 201354);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(269861, '0048158', NULL, NULL, 61, NULL, 'Immunoglobulin-binding domains', 201354),
(269862, '0053281', NULL, NULL, 78, NULL, 'Immunoglobulin-binding domains', 201354),
(269863, '0046754', NULL, NULL, 56, NULL, 'Immunoglobulin-binding domains', 201354),
(269864, '0046757', NULL, NULL, 57, NULL, 'Immunoglobulin-binding domains', 201354),
(269865, '0046955', NULL, NULL, 57, NULL, 'Immunoglobulin-binding domains', 201354),
(269866, '0047800', NULL, NULL, 65, NULL, 'Immunoglobulin-binding domains', 201354),
(269867, '0048229', NULL, NULL, 56, NULL, 'Immunoglobulin-binding domains', 201354),
(269868, '0043277', NULL, NULL, 33, NULL, 'Pym (Within the bgcn gene intron protein, WIBG), N-terminal domain', 201355),
(269869, '0044068', NULL, NULL, 371, NULL, 'Glycerate kinase I', 201356),
(269870, '0052218', NULL, NULL, 101, NULL, 'RNA-binding domain, RBD', 201357),
(269871, '0050834', NULL, NULL, 101, NULL, 'RNA-binding domain, RBD', 201357),
(269872, '0052219', NULL, NULL, 85, NULL, 'RNA-binding domain, RBD', 201357),
(269873, '0052217', NULL, NULL, 86, NULL, 'RNA-binding domain, RBD', 201357),
(269874, '0049843', NULL, NULL, 77, NULL, 'RNA-binding domain, RBD', 201357),
(269875, '0047422', NULL, NULL, 75, NULL, 'RNA-binding domain, RBD', 201357),
(269876, '0052223', NULL, NULL, 86, NULL, 'RNA-binding domain, RBD', 201357),
(269877, '0053313', NULL, NULL, 85, NULL, 'RNA-binding domain, RBD', 201357),
(269878, '0052221', NULL, NULL, 94, NULL, 'RNA-binding domain, RBD', 201357),
(269879, '0052222', NULL, NULL, 89, NULL, 'RNA-binding domain, RBD', 201357),
(269880, '0049334', NULL, NULL, 103, NULL, 'RNA-binding domain, RBD', 201357),
(269881, '0046220', NULL, NULL, 80, NULL, 'RNA-binding domain, RBD', 201357),
(269882, '0045373', NULL, NULL, 75, NULL, 'RNA-binding domain, RBD', 201357),
(269883, '0050568', NULL, NULL, 97, NULL, 'RNA-binding domain, RBD', 201357),
(269884, '0052229', NULL, NULL, 102, NULL, 'RNA-binding domain, RBD', 201357),
(269885, '0050565', NULL, NULL, 100, NULL, 'RNA-binding domain, RBD', 201357),
(269886, '0050567', NULL, NULL, 111, NULL, 'RNA-binding domain, RBD', 201357),
(269887, '0050566', NULL, NULL, 99, NULL, 'RNA-binding domain, RBD', 201357),
(269888, '0052622', NULL, NULL, 114, NULL, 'RNA-binding domain, RBD', 201357),
(269889, '0050837', NULL, NULL, 90, NULL, 'RNA-binding domain, RBD', 201357),
(269890, '0050839', NULL, NULL, 93, NULL, 'RNA-binding domain, RBD', 201357),
(269891, '0050838', NULL, NULL, 83, NULL, 'RNA-binding domain, RBD', 201357),
(269892, '0045893', NULL, NULL, 82, NULL, 'RNA-binding domain, RBD', 201357),
(269893, '0048400', NULL, NULL, 78, NULL, 'RNA-binding domain, RBD', 201357),
(269894, '0052234', NULL, NULL, 101, NULL, 'RNA-binding domain, RBD', 201357),
(269895, '0052235', NULL, NULL, 93, NULL, 'RNA-binding domain, RBD', 201357),
(269896, '0052232', NULL, NULL, 90, NULL, 'RNA-binding domain, RBD', 201357),
(269897, '0052233', NULL, NULL, 88, NULL, 'RNA-binding domain, RBD', 201357),
(269898, '0052230', NULL, NULL, 103, NULL, 'RNA-binding domain, RBD', 201357),
(269899, '0052231', NULL, NULL, 102, NULL, 'RNA-binding domain, RBD', 201357),
(269900, '0037834', NULL, NULL, 85, NULL, 'RNA-binding domain, RBD', 201357),
(269901, '0053726', NULL, NULL, 83, NULL, 'RNA-binding domain, RBD', 201357),
(269902, '0050576', NULL, NULL, 75, NULL, 'RNA-binding domain, RBD', 201357),
(269903, '0052238', NULL, NULL, 89, NULL, 'RNA-binding domain, RBD', 201357),
(269904, '0052239', NULL, NULL, 83, NULL, 'RNA-binding domain, RBD', 201357),
(269905, '0052236', NULL, NULL, 101, NULL, 'RNA-binding domain, RBD', 201357),
(269906, '0050577', NULL, NULL, 104, NULL, 'RNA-binding domain, RBD', 201357),
(269907, '0050727', NULL, NULL, 81, NULL, 'RNA-binding domain, RBD', 201357),
(269908, '0054250', NULL, NULL, 104, NULL, 'RNA-binding domain, RBD', 201357),
(269909, '0046876', NULL, NULL, 82, NULL, 'RNA-binding domain, RBD', 201357),
(269910, '0047845', NULL, NULL, 96, NULL, 'RNA-binding domain, RBD', 201357),
(269911, '0052245', NULL, NULL, 90, NULL, 'RNA-binding domain, RBD', 201357);             
INSERT INTO "PUBLIC"."MODEL" VALUES
(269912, '0052243', NULL, NULL, 90, NULL, 'RNA-binding domain, RBD', 201357),
(269913, '0047172', NULL, NULL, 75, NULL, 'RNA-binding domain, RBD', 201357),
(269914, '0052244', NULL, NULL, 80, NULL, 'RNA-binding domain, RBD', 201357),
(269915, '0052240', NULL, NULL, 103, NULL, 'RNA-binding domain, RBD', 201357),
(269916, '0050466', NULL, NULL, 112, NULL, 'RNA-binding domain, RBD', 201357),
(269917, '0052248', NULL, NULL, 86, NULL, 'RNA-binding domain, RBD', 201357),
(269918, '0052082', NULL, NULL, 79, NULL, 'RNA-binding domain, RBD', 201357),
(269919, '0053862', NULL, NULL, 85, NULL, 'RNA-binding domain, RBD', 201357),
(269920, '0050514', NULL, NULL, 98, NULL, 'RNA-binding domain, RBD', 201357),
(269921, '0050515', NULL, NULL, 104, NULL, 'RNA-binding domain, RBD', 201357),
(269922, '0050477', NULL, NULL, 104, NULL, 'RNA-binding domain, RBD', 201357),
(269923, '0052898', NULL, NULL, 75, NULL, 'RNA-binding domain, RBD', 201357),
(269924, '0050476', NULL, NULL, 104, NULL, 'RNA-binding domain, RBD', 201357),
(269925, '0052899', NULL, NULL, 86, NULL, 'RNA-binding domain, RBD', 201357),
(269926, '0050479', NULL, NULL, 88, NULL, 'RNA-binding domain, RBD', 201357),
(269927, '0050512', NULL, NULL, 88, NULL, 'RNA-binding domain, RBD', 201357),
(269928, '0050478', NULL, NULL, 102, NULL, 'RNA-binding domain, RBD', 201357),
(269929, '0052897', NULL, NULL, 81, NULL, 'RNA-binding domain, RBD', 201357),
(269930, '0036165', NULL, NULL, 89, NULL, 'RNA-binding domain, RBD', 201357),
(269931, '0049888', NULL, NULL, 95, NULL, 'RNA-binding domain, RBD', 201357),
(269932, '0047108', NULL, NULL, 146, NULL, 'RNA-binding domain, RBD', 201357),
(269933, '0049769', NULL, NULL, 183, NULL, 'RNA-binding domain, RBD', 201357),
(269934, '0049801', NULL, NULL, 139, NULL, 'RNA-binding domain, RBD', 201357),
(269935, '0048680', NULL, NULL, 104, NULL, 'RNA-binding domain, RBD', 201357),
(269936, '0049492', NULL, NULL, 97, NULL, 'RNA-binding domain, RBD', 201357),
(269937, '0050480', NULL, NULL, 110, NULL, 'RNA-binding domain, RBD', 201357),
(269938, '0047197', NULL, NULL, 143, NULL, 'RNA-binding domain, RBD', 201357),
(269939, '0048682', NULL, NULL, 92, NULL, 'RNA-binding domain, RBD', 201357),
(269940, '0050481', NULL, NULL, 98, NULL, 'RNA-binding domain, RBD', 201357),
(269941, '0052429', NULL, NULL, 73, NULL, 'RNA-binding domain, RBD', 201357),
(269942, '0042061', NULL, NULL, 113, NULL, 'RNA-binding domain, RBD', 201357),
(269943, '0050802', NULL, NULL, 95, NULL, 'RNA-binding domain, RBD', 201357),
(269944, '0041653', NULL, NULL, 104, NULL, 'RNA-binding domain, RBD', 201357),
(269945, '0046785', NULL, NULL, 116, NULL, 'RNA-binding domain, RBD', 201357),
(269946, '0047631', NULL, NULL, 104, NULL, 'RNA-binding domain, RBD', 201357),
(269947, '0049775', NULL, NULL, 90, NULL, 'RNA-binding domain, RBD', 201357),
(269948, '0042860', NULL, NULL, 88, NULL, 'RNA-binding domain, RBD', 201357),
(269949, '0049416', NULL, NULL, 108, NULL, 'RNA-binding domain, RBD', 201357),
(269950, '0051748', NULL, NULL, 98, NULL, 'RNA-binding domain, RBD', 201357),
(269951, '0045747', NULL, NULL, 94, NULL, 'RNA-binding domain, RBD', 201357),
(269952, '0050808', NULL, NULL, 96, NULL, 'RNA-binding domain, RBD', 201357),
(269953, '0050807', NULL, NULL, 99, NULL, 'RNA-binding domain, RBD', 201357),
(269954, '0050809', NULL, NULL, 98, NULL, 'RNA-binding domain, RBD', 201357),
(269955, '0050804', NULL, NULL, 95, NULL, 'RNA-binding domain, RBD', 201357),
(269956, '0050803', NULL, NULL, 103, NULL, 'RNA-binding domain, RBD', 201357),
(269957, '0050806', NULL, NULL, 72, NULL, 'RNA-binding domain, RBD', 201357),
(269958, '0050805', NULL, NULL, 89, NULL, 'RNA-binding domain, RBD', 201357),
(269959, '0046795', NULL, NULL, 96, NULL, 'RNA-binding domain, RBD', 201357),
(269960, '0046794', NULL, NULL, 101, NULL, 'RNA-binding domain, RBD', 201357),
(269961, '0052441', NULL, NULL, 96, NULL, 'RNA-binding domain, RBD', 201357),
(269962, '0052442', NULL, NULL, 99, NULL, 'RNA-binding domain, RBD', 201357),
(269963, '0046287', NULL, NULL, 85, NULL, 'RNA-binding domain, RBD', 201357); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(269964, '0046286', NULL, NULL, 89, NULL, 'RNA-binding domain, RBD', 201357),
(269965, '0048984', NULL, NULL, 110, NULL, 'RNA-binding domain, RBD', 201357),
(269966, '0044542', NULL, NULL, 91, NULL, 'RNA-binding domain, RBD', 201357),
(269967, '0045479', NULL, NULL, 88, NULL, 'RNA-binding domain, RBD', 201357),
(269968, '0054390', NULL, NULL, 75, NULL, 'AF1782-like', 201358),
(269969, '0054527', NULL, NULL, 75, NULL, 'AF1782-like', 201358),
(269970, '0039531', NULL, NULL, 83, NULL, 'GTP cyclohydrolase I feedback regulatory protein, GFRP', 201359),
(269971, '0040199', NULL, NULL, 430, NULL, 'Clc chloride channel', 201360),
(269972, '0040198', NULL, NULL, 450, NULL, 'Clc chloride channel', 201360),
(269973, '0050221', NULL, NULL, 29, NULL, 'NADH pyrophosphatase intervening domain', 201361),
(269974, '0044049', NULL, NULL, 137, NULL, 'Hypothetical protein MG354', 201362),
(269975, '0044856', NULL, NULL, 433, NULL, 'Putative modulator of DNA gyrase, PmbA/TldD', 201363),
(269976, '0050267', NULL, NULL, 439, NULL, 'Putative modulator of DNA gyrase, PmbA/TldD', 201363),
(269977, '0053404', NULL, NULL, 77, NULL, 'Delta-sleep-inducing peptide immunoreactive peptide', 201364),
(269978, '0039462', NULL, NULL, 29, NULL, 'Subunit PsaX of photosystem I reaction centre', 201365),
(269979, '0054654', NULL, NULL, 99, NULL, 'PreATP-grasp domain', 201366),
(269980, '0050232', NULL, NULL, 90, NULL, 'PreATP-grasp domain', 201366),
(269981, '0053014', NULL, NULL, 102, NULL, 'PreATP-grasp domain', 201366),
(269982, '0054652', NULL, NULL, 123, NULL, 'PreATP-grasp domain', 201366),
(269983, '0047321', NULL, NULL, 102, NULL, 'PreATP-grasp domain', 201366),
(269984, '0048058', NULL, NULL, 108, NULL, 'PreATP-grasp domain', 201366),
(269985, '0046561', NULL, NULL, 132, NULL, 'PreATP-grasp domain', 201366),
(269986, '0053120', NULL, NULL, 118, NULL, 'PreATP-grasp domain', 201366),
(269987, '0054494', NULL, NULL, 96, NULL, 'PreATP-grasp domain', 201366),
(269988, '0037275', NULL, NULL, 111, NULL, 'PreATP-grasp domain', 201366),
(269989, '0045749', NULL, NULL, 127, NULL, 'PreATP-grasp domain', 201366),
(269990, '0045826', NULL, NULL, 102, NULL, 'PreATP-grasp domain', 201366),
(269991, '0047407', NULL, NULL, 96, NULL, 'PreATP-grasp domain', 201366),
(269992, '0050407', NULL, NULL, 170, NULL, 'PreATP-grasp domain', 201366),
(269993, '0045750', NULL, NULL, 121, NULL, 'PreATP-grasp domain', 201366),
(269994, '0047049', NULL, NULL, 105, NULL, 'PreATP-grasp domain', 201366),
(269995, '0046456', NULL, NULL, 130, NULL, 'PreATP-grasp domain', 201366),
(269996, '0047047', NULL, NULL, 122, NULL, 'PreATP-grasp domain', 201366),
(269997, '0046403', NULL, NULL, 114, NULL, 'PreATP-grasp domain', 201366),
(269998, '0049858', NULL, NULL, 88, NULL, 'PreATP-grasp domain', 201366),
(269999, '0049945', NULL, NULL, 114, NULL, 'PreATP-grasp domain', 201366),
(270000, '0045887', NULL, NULL, 78, NULL, 'PreATP-grasp domain', 201366),
(270001, '0048096', NULL, NULL, 174, NULL, 'Triger factor/SurA peptide-binding domain-like', 201367),
(270002, '0050344', NULL, NULL, 185, NULL, 'Triger factor/SurA peptide-binding domain-like', 201367),
(270003, '0043830', NULL, NULL, 129, NULL, 'Triger factor/SurA peptide-binding domain-like', 201367),
(270004, '0050562', NULL, NULL, 124, NULL, 'R3H domain', 201368),
(270005, '0049895', NULL, NULL, 87, NULL, 'R3H domain', 201368),
(270006, '0048219', NULL, NULL, 62, NULL, 'R3H domain', 201368),
(270007, '0053177', NULL, NULL, 157, NULL, 'Aspartate receptor, ligand-binding domain', 201369),
(270008, '0045165', NULL, NULL, 142, NULL, 'Aspartate receptor, ligand-binding domain', 201369),
(270009, '0044548', NULL, NULL, 554, NULL, 'Urocanase', 201370),
(270010, '0050872', NULL, NULL, 545, NULL, 'Urocanase', 201370),
(270011, '0054748', NULL, NULL, 173, NULL, 'MgtE membrane domain-like', 201371),
(270012, '0039247', NULL, NULL, 88, NULL, 'Multidrug efflux transporter AcrB TolC docking domain; DN and DC subdomains', 201372),
(270013, '0039246', NULL, NULL, 92, NULL, 'Multidrug efflux transporter AcrB TolC docking domain; DN and DC subdomains', 201372);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(270014, '0051713', NULL, NULL, 83, NULL, 'YefM-like', 201373),
(270015, '0053248', NULL, NULL, 51, NULL, 'YefM-like', 201373),
(270016, '0041336', NULL, NULL, 98, NULL, 'Translation initiation factor 2 beta, aIF2beta, N-terminal domain', 201374),
(270017, '0039954', NULL, NULL, 52, NULL, 'Translation initiation factor 2 beta, aIF2beta, N-terminal domain', 201374),
(270018, '0045758', NULL, NULL, 125, NULL, 'Profilin (actin-binding protein)', 201375),
(270019, '0048791', NULL, NULL, 139, NULL, 'Profilin (actin-binding protein)', 201375),
(270020, '0053324', NULL, NULL, 130, NULL, 'Profilin (actin-binding protein)', 201375),
(270021, '0046250', NULL, NULL, 138, NULL, 'Profilin (actin-binding protein)', 201375),
(270022, '0046690', NULL, NULL, 125, NULL, 'Profilin (actin-binding protein)', 201375),
(270023, '0046926', NULL, NULL, 130, NULL, 'Profilin (actin-binding protein)', 201375),
(270024, '0046791', NULL, NULL, 139, NULL, 'Profilin (actin-binding protein)', 201375),
(270025, '0045097', NULL, NULL, 125, NULL, 'Profilin (actin-binding protein)', 201375),
(270026, '0046198', NULL, NULL, 132, NULL, 'Profilin (actin-binding protein)', 201375),
(270027, '0041248', NULL, NULL, 328, NULL, 'Baseplate structural protein gp8', 201376),
(270028, '0051809', NULL, NULL, 149, NULL, 'PG0816-like', 201377),
(270029, '0048071', NULL, NULL, 107, NULL, 'Helical domain of Sec23/24', 201378),
(270030, '0040742', NULL, NULL, 103, NULL, 'Helical domain of Sec23/24', 201378),
(270031, '0049123', NULL, NULL, 408, NULL, 'Family 10 polysaccharide lyase', 201379),
(270032, '0038318', NULL, NULL, 324, NULL, 'Family 10 polysaccharide lyase', 201379),
(270033, '0039351', NULL, NULL, 164, NULL, 'RraA-like', 201380),
(270034, '0041607', NULL, NULL, 156, NULL, 'RraA-like', 201380),
(270035, '0042629', NULL, NULL, 160, NULL, 'RraA-like', 201380),
(270036, '0044772', NULL, NULL, 162, NULL, 'RraA-like', 201380),
(270037, '0037135', NULL, NULL, 234, NULL, '2,3-Bisphosphoglycerate-independent phosphoglycerate mutase, substrate-binding domain', 201381),
(270038, '0053278', NULL, NULL, 301, NULL, 'Porins', 201382),
(270039, '0034817', NULL, NULL, 413, NULL, 'Porins', 201382),
(270040, '0046462', NULL, NULL, 332, NULL, 'Porins', 201382),
(270041, '0053328', NULL, NULL, 289, NULL, 'Porins', 201382),
(270042, '0045768', NULL, NULL, 421, NULL, 'Porins', 201382),
(270043, '0043833', NULL, NULL, 427, NULL, 'Porins', 201382),
(270044, '0047258', NULL, NULL, 340, NULL, 'Porins', 201382),
(270045, '0041517', NULL, NULL, 589, NULL, 'Porins', 201382),
(270046, '0046763', NULL, NULL, 714, NULL, 'Porins', 201382),
(270047, '0048764', NULL, NULL, 330, NULL, 'Porins', 201382),
(270048, '0053190', NULL, NULL, 427, NULL, 'Porins', 201382),
(270049, '0046039', NULL, NULL, 697, NULL, 'Porins', 201382),
(270050, '0048638', NULL, NULL, 342, NULL, 'Porins', 201382),
(270051, '0047833', NULL, NULL, 661, NULL, 'Porins', 201382),
(270052, '0052542', NULL, NULL, 245, NULL, 'Pseudouridine synthase', 201383),
(270053, '0043107', NULL, NULL, 228, NULL, 'Pseudouridine synthase', 201383),
(270054, '0050199', NULL, NULL, 174, NULL, 'Pseudouridine synthase', 201383),
(270055, '0043606', NULL, NULL, 233, NULL, 'Pseudouridine synthase', 201383),
(270056, '0043816', NULL, NULL, 341, NULL, 'Pseudouridine synthase', 201383),
(270057, '0036450', NULL, NULL, 264, NULL, 'Pseudouridine synthase', 201383),
(270058, '0051811', NULL, NULL, 230, NULL, 'Pseudouridine synthase', 201383),
(270059, '0047872', NULL, NULL, 172, NULL, 'Pseudouridine synthase', 201383),
(270060, '0042443', NULL, NULL, 252, NULL, 'Pseudouridine synthase', 201383),
(270061, '0050102', NULL, NULL, 227, NULL, 'Pseudouridine synthase', 201383),
(270062, '0039976', NULL, NULL, 242, NULL, 'Pseudouridine synthase', 201383),
(270063, '0039683', NULL, NULL, 67, NULL, 'Homodimeric domain of signal transducing histidine kinase', 201384),
(270064, '0052096', NULL, NULL, 89, NULL, 'Homodimeric domain of signal transducing histidine kinase', 201384),
(270065, '0035337', NULL, NULL, 62, NULL, 'Homodimeric domain of signal transducing histidine kinase', 201384);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(270066, '0047485', NULL, NULL, 270, NULL, 'Subunits of heterodimeric actin filament capping protein Capz', 201385),
(270067, '0039297', NULL, NULL, 275, NULL, 'Subunits of heterodimeric actin filament capping protein Capz', 201385),
(270068, '0034989', NULL, NULL, 105, NULL, 'N-terminal domain of the delta subunit of the F1F0-ATP synthase', 201386),
(270069, '0041761', NULL, NULL, 86, NULL, 'Copper amine oxidase, domain N', 201387),
(270070, '0039753', NULL, NULL, 273, NULL, 'RCC1/BLIP-II', 201388),
(270071, '0045691', NULL, NULL, 401, NULL, 'RCC1/BLIP-II', 201388),
(270072, '0054081', NULL, NULL, 185, NULL, 'MM3350-like', 201389),
(270073, '0054258', NULL, NULL, 108, NULL, 'BC4932-like', 201390),
(270074, '0054257', NULL, NULL, 96, NULL, 'BC4932-like', 201390),
(270075, '0053542', NULL, NULL, 107, NULL, 'occludin/ELL-like', 201391),
(270076, '0051451', NULL, NULL, 412, NULL, 'YgbK-like', 201392),
(270077, '0037330', NULL, NULL, 245, NULL, 'Caspase-like', 201393),
(270078, '0036096', NULL, NULL, 243, NULL, 'Caspase-like', 201393),
(270079, '0039807', NULL, NULL, 278, NULL, 'Caspase-like', 201393),
(270080, '0042978', NULL, NULL, 243, NULL, 'Caspase-like', 201393),
(270081, '0042519', NULL, NULL, 258, NULL, 'Caspase-like', 201393),
(270082, '0049359', NULL, NULL, 262, NULL, 'Caspase-like', 201393),
(270083, '0036168', NULL, NULL, 350, NULL, 'Caspase-like', 201393),
(270084, '0040830', NULL, NULL, 256, NULL, 'Caspase-like', 201393),
(270085, '0047378', NULL, NULL, 266, NULL, 'YWTD domain', 201394),
(270086, '0048415', NULL, NULL, 263, NULL, 'YWTD domain', 201394),
(270087, '0049472', NULL, NULL, 239, NULL, 'Metal cation-transporting ATPase, ATP-binding domain N', 201395),
(270088, '0041020', NULL, NULL, 213, NULL, 'Metal cation-transporting ATPase, ATP-binding domain N', 201395),
(270089, '0051938', NULL, NULL, 113, NULL, 'Metal cation-transporting ATPase, ATP-binding domain N', 201395),
(270090, '0044221', NULL, NULL, 136, NULL, 'Metal cation-transporting ATPase, ATP-binding domain N', 201395),
(270091, '0042598', NULL, NULL, 214, NULL, 'Metal cation-transporting ATPase, ATP-binding domain N', 201395),
(270092, '0050281', NULL, NULL, 230, NULL, 'Hsp33 domain', 201396),
(270093, '0050323', NULL, NULL, 233, NULL, 'Hsp33 domain', 201396),
(270094, '0038755', NULL, NULL, 229, NULL, 'Hsp33 domain', 201396),
(270095, '0037010', NULL, NULL, 48, NULL, 'Heat-stable enterotoxin B', 201397),
(270096, '0054312', NULL, NULL, 349, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270097, '0035835', NULL, NULL, 351, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270098, '0051981', NULL, NULL, 437, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270099, '0053762', NULL, NULL, 450, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270100, '0047375', NULL, NULL, 401, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270101, '0053693', NULL, NULL, 461, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270102, '0042392', NULL, NULL, 391, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270103, '0053131', NULL, NULL, 370, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270104, '0052623', NULL, NULL, 166, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270105, '0054538', NULL, NULL, 473, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270106, '0052910', NULL, NULL, 824, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270107, '0051304', NULL, NULL, 876, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270108, '0052533', NULL, NULL, 387, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270109, '0054711', NULL, NULL, 471, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270110, '0046716', NULL, NULL, 376, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270111, '0044616', NULL, NULL, 373, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270112, '0038341', NULL, NULL, 456, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(270113, '0049238', NULL, NULL, 401, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270114, '0048983', NULL, NULL, 796, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270115, '0043452', NULL, NULL, 477, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270116, '0046587', NULL, NULL, 809, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270117, '0048500', NULL, NULL, 377, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270118, '0048814', NULL, NULL, 348, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270119, '0046669', NULL, NULL, 351, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', 201398),
(270120, '0053046', NULL, NULL, 120, NULL, 'YppE-like', 201399),
(270121, '0052518', NULL, NULL, 110, NULL, 'YppE-like', 201399),
(270122, '0053116', NULL, NULL, 123, NULL, 'YppE-like', 201399),
(270123, '0039563', NULL, NULL, 111, NULL, 'DsrC, the gamma subunit of dissimilatory sulfite reductase', 201400),
(270124, '0054701', NULL, NULL, 103, NULL, 'DsrC, the gamma subunit of dissimilatory sulfite reductase', 201400),
(270125, '0042664', NULL, NULL, 118, NULL, 'Holliday junction resolvase RusA', 201401),
(270126, '0053114', NULL, NULL, 148, NULL, 'Cytokine', 201402),
(270127, '0048450', NULL, NULL, 139, NULL, 'Cytokine', 201402),
(270128, '0049015', NULL, NULL, 132, NULL, 'Cytokine', 201402),
(270129, '0049267', NULL, NULL, 151, NULL, 'Cytokine', 201402),
(270130, '0047494', NULL, NULL, 157, NULL, 'Cytokine', 201402),
(270131, '0053912', NULL, NULL, 147, NULL, 'Cytokine', 201402),
(270132, '0045978', NULL, NULL, 155, NULL, 'Cytokine', 201402),
(270133, '0046816', NULL, NULL, 132, NULL, 'Cytokine', 201402),
(270134, '0040892', NULL, NULL, 154, NULL, 'Cytokine', 201402),
(270135, '0045918', NULL, NULL, 127, NULL, 'Cytokine', 201402),
(270136, '0047368', NULL, NULL, 157, NULL, 'Cytokine', 201402),
(270137, '0047379', NULL, NULL, 128, NULL, 'Cytokine', 201402),
(270138, '0045661', NULL, NULL, 146, NULL, 'Cytokine', 201402),
(270139, '0039074', NULL, NULL, 145, NULL, 'Cytokine', 201402),
(270140, '0049016', NULL, NULL, 131, NULL, 'Cytokine', 201402),
(270141, '0047922', NULL, NULL, 149, NULL, 'Cytokine', 201402),
(270142, '0048836', NULL, NULL, 136, NULL, 'Cytokine', 201402),
(270143, '0048867', NULL, NULL, 138, NULL, 'Cytokine', 201402),
(270144, '0047262', NULL, NULL, 168, NULL, 'LDH C-terminal domain-like', 201403),
(270145, '0047067', NULL, NULL, 163, NULL, 'LDH C-terminal domain-like', 201403),
(270146, '0053022', NULL, NULL, 161, NULL, 'LDH C-terminal domain-like', 201403),
(270147, '0053364', NULL, NULL, 169, NULL, 'LDH C-terminal domain-like', 201403),
(270148, '0047264', NULL, NULL, 163, NULL, 'LDH C-terminal domain-like', 201403),
(270149, '0053384', NULL, NULL, 172, NULL, 'LDH C-terminal domain-like', 201403),
(270150, '0050213', NULL, NULL, 278, NULL, 'LDH C-terminal domain-like', 201403),
(270151, '0036008', NULL, NULL, 192, NULL, 'LDH C-terminal domain-like', 201403),
(270152, '0045903', NULL, NULL, 171, NULL, 'LDH C-terminal domain-like', 201403),
(270153, '0043508', NULL, NULL, 270, NULL, 'LDH C-terminal domain-like', 201403),
(270154, '0048534', NULL, NULL, 308, NULL, 'LDH C-terminal domain-like', 201403),
(270155, '0044475', NULL, NULL, 253, NULL, 'LDH C-terminal domain-like', 201403),
(270156, '0041889', NULL, NULL, 152, NULL, 'LDH C-terminal domain-like', 201403),
(270157, '0048539', NULL, NULL, 166, NULL, 'LDH C-terminal domain-like', 201403),
(270158, '0047964', NULL, NULL, 168, NULL, 'LDH C-terminal domain-like', 201403),
(270159, '0045646', NULL, NULL, 188, NULL, 'LDH C-terminal domain-like', 201403),
(270160, '0046657', NULL, NULL, 171, NULL, 'LDH C-terminal domain-like', 201403),
(270161, '0053357', NULL, NULL, 179, NULL, 'LDH C-terminal domain-like', 201403),
(270162, '0047991', NULL, NULL, 172, NULL, 'LDH C-terminal domain-like', 201403),
(270163, '0047277', NULL, NULL, 172, NULL, 'LDH C-terminal domain-like', 201403),
(270164, '0048187', NULL, NULL, 169, NULL, 'LDH C-terminal domain-like', 201403);         
INSERT INTO "PUBLIC"."MODEL" VALUES
(270165, '0052184', NULL, NULL, 167, NULL, 'LDH C-terminal domain-like', 201403),
(270166, '0051214', NULL, NULL, 169, NULL, 'LDH C-terminal domain-like', 201403),
(270167, '0038277', NULL, NULL, 163, NULL, 'LDH C-terminal domain-like', 201403),
(270168, '0038278', NULL, NULL, 163, NULL, 'LDH C-terminal domain-like', 201403),
(270169, '0045935', NULL, NULL, 172, NULL, 'LDH C-terminal domain-like', 201403),
(270170, '0048849', NULL, NULL, 172, NULL, 'LDH C-terminal domain-like', 201403),
(270171, '0045719', NULL, NULL, 172, NULL, 'LDH C-terminal domain-like', 201403),
(270172, '0046124', NULL, NULL, 166, NULL, 'LDH C-terminal domain-like', 201403),
(270173, '0053173', NULL, NULL, 172, NULL, 'LDH C-terminal domain-like', 201403),
(270174, '0047279', NULL, NULL, 172, NULL, 'LDH C-terminal domain-like', 201403),
(270175, '0044226', NULL, NULL, 276, NULL, 'LDH C-terminal domain-like', 201403),
(270176, '0040543', NULL, NULL, 170, NULL, 'LDH C-terminal domain-like', 201403),
(270177, '0051255', NULL, NULL, 151, NULL, 'Cu,Zn superoxide dismutase-like', 201404),
(270178, '0049454', NULL, NULL, 154, NULL, 'Cu,Zn superoxide dismutase-like', 201404),
(270179, '0049662', NULL, NULL, 156, NULL, 'Cu,Zn superoxide dismutase-like', 201404),
(270180, '0051813', NULL, NULL, 155, NULL, 'Cu,Zn superoxide dismutase-like', 201404),
(270181, '0046366', NULL, NULL, 154, NULL, 'Cu,Zn superoxide dismutase-like', 201404),
(270182, '0047610', NULL, NULL, 172, NULL, 'Cu,Zn superoxide dismutase-like', 201404),
(270183, '0048149', NULL, NULL, 153, NULL, 'Cu,Zn superoxide dismutase-like', 201404),
(270184, '0048853', NULL, NULL, 171, NULL, 'Cu,Zn superoxide dismutase-like', 201404),
(270185, '0046610', NULL, NULL, 155, NULL, 'Cu,Zn superoxide dismutase-like', 201404),
(270186, '0051094', NULL, NULL, 150, NULL, 'Cu,Zn superoxide dismutase-like', 201404),
(270187, '0046103', NULL, NULL, 151, NULL, 'Cu,Zn superoxide dismutase-like', 201404),
(270188, '0046620', NULL, NULL, 154, NULL, 'Cu,Zn superoxide dismutase-like', 201404),
(270189, '0046679', NULL, NULL, 153, NULL, 'Cu,Zn superoxide dismutase-like', 201404),
(270190, '0048570', NULL, NULL, 172, NULL, 'Bcl-2 inhibitors of programmed cell death', 201405),
(270191, '0051740', NULL, NULL, 131, NULL, 'Bcl-2 inhibitors of programmed cell death', 201405),
(270192, '0048173', NULL, NULL, 178, NULL, 'Bcl-2 inhibitors of programmed cell death', 201405),
(270193, '0053168', NULL, NULL, 162, NULL, 'Bcl-2 inhibitors of programmed cell death', 201405),
(270194, '0051392', NULL, NULL, 173, NULL, 'Bcl-2 inhibitors of programmed cell death', 201405),
(270195, '0036367', NULL, NULL, 195, NULL, 'Bcl-2 inhibitors of programmed cell death', 201405),
(270196, '0045190', NULL, NULL, 197, NULL, 'Bcl-2 inhibitors of programmed cell death', 201405),
(270197, '0037326', NULL, NULL, 192, NULL, 'Bcl-2 inhibitors of programmed cell death', 201405),
(270198, '0046925', NULL, NULL, 164, NULL, 'Bcl-2 inhibitors of programmed cell death', 201405),
(270199, '0039890', NULL, NULL, 146, NULL, 'Bcl-2 inhibitors of programmed cell death', 201405),
(270200, '0048479', NULL, NULL, 188, NULL, 'Bcl-2 inhibitors of programmed cell death', 201405),
(270201, '0046035', NULL, NULL, 221, NULL, 'Bcl-2 inhibitors of programmed cell death', 201405),
(270202, '0042620', NULL, NULL, 172, NULL, 'Bcl-2 inhibitors of programmed cell death', 201405),
(270203, '0041421', NULL, NULL, 71, NULL, 'C-terminal domain of ProRS', 201406),
(270204, '0038523', NULL, NULL, 74, NULL, 'C-terminal domain of ProRS', 201406),
(270205, '0041425', NULL, NULL, 62, NULL, 'C-terminal domain of ProRS', 201406),
(270206, '0044093', NULL, NULL, 216, NULL, 'Thiolase-like', 201407),
(270207, '0044094', NULL, NULL, 205, NULL, 'Thiolase-like', 201407),
(270208, '0044095', NULL, NULL, 208, NULL, 'Thiolase-like', 201407),
(270209, '0049763', NULL, NULL, 156, NULL, 'Thiolase-like', 201407),
(270210, '0052890', NULL, NULL, 250, NULL, 'Thiolase-like', 201407),
(270211, '0049762', NULL, NULL, 233, NULL, 'Thiolase-like', 201407),
(270212, '0052891', NULL, NULL, 161, NULL, 'Thiolase-like', 201407);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(270213, '0039354', NULL, NULL, 159, NULL, 'Thiolase-like', 201407),
(270214, '0047209', NULL, NULL, 174, NULL, 'Thiolase-like', 201407),
(270215, '0036365', NULL, NULL, 153, NULL, 'Thiolase-like', 201407),
(270216, '0036783', NULL, NULL, 161, NULL, 'Thiolase-like', 201407),
(270217, '0035033', NULL, NULL, 124, NULL, 'Thiolase-like', 201407),
(270218, '0036364', NULL, NULL, 253, NULL, 'Thiolase-like', 201407),
(270219, '0036782', NULL, NULL, 250, NULL, 'Thiolase-like', 201407),
(270220, '0035032', NULL, NULL, 269, NULL, 'Thiolase-like', 201407),
(270221, '0039353', NULL, NULL, 249, NULL, 'Thiolase-like', 201407),
(270222, '0049764', NULL, NULL, 225, NULL, 'Thiolase-like', 201407),
(270223, '0044256', NULL, NULL, 172, NULL, 'Thiolase-like', 201407),
(270224, '0049940', NULL, NULL, 125, NULL, 'Thiolase-like', 201407),
(270225, '0044257', NULL, NULL, 149, NULL, 'Thiolase-like', 201407),
(270226, '0049604', NULL, NULL, 372, NULL, 'Thiolase-like', 201407),
(270227, '0044181', NULL, NULL, 200, NULL, 'Thiolase-like', 201407),
(270228, '0053134', NULL, NULL, 270, NULL, 'Thiolase-like', 201407),
(270229, '0044182', NULL, NULL, 148, NULL, 'Thiolase-like', 201407),
(270230, '0053135', NULL, NULL, 161, NULL, 'Thiolase-like', 201407),
(270231, '0047210', NULL, NULL, 143, NULL, 'Thiolase-like', 201407),
(270232, '0036930', NULL, NULL, 216, NULL, 'Thiolase-like', 201407),
(270233, '0038812', NULL, NULL, 184, NULL, 'Thiolase-like', 201407),
(270234, '0042063', NULL, NULL, 158, NULL, 'Thiolase-like', 201407),
(270235, '0038813', NULL, NULL, 148, NULL, 'Thiolase-like', 201407),
(270236, '0042062', NULL, NULL, 256, NULL, 'Thiolase-like', 201407),
(270237, '0035564', NULL, NULL, 154, NULL, 'Thiolase-like', 201407),
(270238, '0035563', NULL, NULL, 235, NULL, 'Thiolase-like', 201407),
(270239, '0036931', NULL, NULL, 160, NULL, 'Thiolase-like', 201407),
(270240, '0050445', NULL, NULL, 262, NULL, 'Thiolase-like', 201407),
(270241, '0049939', NULL, NULL, 273, NULL, 'Thiolase-like', 201407),
(270242, '0042745', NULL, NULL, 124, NULL, 'Thiolase-like', 201407),
(270243, '0049718', NULL, NULL, 221, NULL, 'Thiolase-like', 201407),
(270244, '0049717', NULL, NULL, 166, NULL, 'Thiolase-like', 201407),
(270245, '0041154', NULL, NULL, 153, NULL, 'Thiolase-like', 201407),
(270246, '0041153', NULL, NULL, 181, NULL, 'Thiolase-like', 201407),
(270247, '0049676', NULL, NULL, 194, NULL, 'Thiolase-like', 201407),
(270248, '0044962', NULL, NULL, 128, NULL, 'Thiolase-like', 201407),
(270249, '0048944', NULL, NULL, 265, NULL, 'Thiolase-like', 201407),
(270250, '0043235', NULL, NULL, 422, NULL, 'Preprotein translocase SecY subunit', 201408),
(270251, '0044679', NULL, NULL, 317, NULL, 'DNA ligase/mRNA capping enzyme, catalytic domain', 201409),
(270252, '0050929', NULL, NULL, 265, NULL, 'DNA ligase/mRNA capping enzyme, catalytic domain', 201409),
(270253, '0049580', NULL, NULL, 313, NULL, 'DNA ligase/mRNA capping enzyme, catalytic domain', 201409),
(270254, '0046164', NULL, NULL, 228, NULL, 'DNA ligase/mRNA capping enzyme, catalytic domain', 201409),
(270255, '0035285', NULL, NULL, 312, NULL, 'DNA ligase/mRNA capping enzyme, catalytic domain', 201409),
(270256, '0036424', NULL, NULL, 314, NULL, 'DNA ligase/mRNA capping enzyme, catalytic domain', 201409),
(270257, '0048677', NULL, NULL, 245, NULL, 'DNA ligase/mRNA capping enzyme, catalytic domain', 201409),
(270258, '0049326', NULL, NULL, 233, NULL, 'DNA ligase/mRNA capping enzyme, catalytic domain', 201409),
(270259, '0046865', NULL, NULL, 188, NULL, 'DNA ligase/mRNA capping enzyme, catalytic domain', 201409),
(270260, '0045687', NULL, NULL, 239, NULL, 'DNA ligase/mRNA capping enzyme, catalytic domain', 201409),
(270261, '0050886', NULL, NULL, 220, NULL, 'DNA ligase/mRNA capping enzyme, catalytic domain', 201409),
(270262, '0039894', NULL, NULL, 113, NULL, 'Type III secretory system chaperone-like', 201410),
(270263, '0043414', NULL, NULL, 133, NULL, 'Type III secretory system chaperone-like', 201410),
(270264, '0054523', NULL, NULL, 152, NULL, 'Type III secretory system chaperone-like', 201410);
INSERT INTO "PUBLIC"."MODEL" VALUES
(270265, '0040365', NULL, NULL, 57, NULL, 'Type III secretory system chaperone-like', 201410),
(270266, '0047737', NULL, NULL, 146, NULL, 'Type III secretory system chaperone-like', 201410),
(270267, '0047708', NULL, NULL, 130, NULL, 'Type III secretory system chaperone-like', 201410),
(270268, '0049694', NULL, NULL, 118, NULL, 'Type III secretory system chaperone-like', 201410),
(270269, '0043472', NULL, NULL, 130, NULL, 'Type III secretory system chaperone-like', 201410),
(270270, '0052716', NULL, NULL, 134, NULL, 'Type III secretory system chaperone-like', 201410),
(270271, '0047757', NULL, NULL, 130, NULL, 'Type III secretory system chaperone-like', 201410),
(270272, '0051005', NULL, NULL, 126, NULL, 'Type III secretory system chaperone-like', 201410),
(270273, '0051004', NULL, NULL, 121, NULL, 'Type III secretory system chaperone-like', 201410),
(270274, '0053464', NULL, NULL, 53, NULL, 'Outer membrane lipoprotein', 201411),
(270275, '0053520', NULL, NULL, 51, NULL, 'Outer membrane lipoprotein', 201411),
(270276, '0053450', NULL, NULL, 52, NULL, 'Outer membrane lipoprotein', 201411),
(270277, '0053408', NULL, NULL, 56, NULL, 'Outer membrane lipoprotein', 201411),
(270278, '0053449', NULL, NULL, 51, NULL, 'Outer membrane lipoprotein', 201411),
(270279, '0053568', NULL, NULL, 56, NULL, 'Outer membrane lipoprotein', 201411),
(270280, '0037715', NULL, NULL, 275, NULL, 'Upper collar protein gp10 (connector protein)', 201412),
(270281, '0054591', NULL, NULL, 98, NULL, 'Ribosomal protein S10', 201413),
(270282, '0046798', NULL, NULL, 98, NULL, 'Ribosomal protein S10', 201413),
(270283, '0043232', NULL, NULL, 303, NULL, 'Cloacin translocation domain', 201414),
(270284, '0039480', NULL, NULL, 232, NULL, 'Cloacin translocation domain', 201414),
(270285, '0049114', NULL, NULL, 132, NULL, 'Connexin43', 201415),
(270286, '0036509', NULL, NULL, 589, NULL, 'Sec1/munc18-like (SM) proteins', 201416),
(270287, '0037122', NULL, NULL, 590, NULL, 'Sec1/munc18-like (SM) proteins', 201416),
(270288, '0041050', NULL, NULL, 653, NULL, 'Sec1/munc18-like (SM) proteins', 201416),
(270289, '0036839', NULL, NULL, 94, NULL, 'Signal recognition particle alu RNA binding heterodimer, SRP9/14', 201417),
(270290, '0036838', NULL, NULL, 74, NULL, 'Signal recognition particle alu RNA binding heterodimer, SRP9/14', 201417),
(270291, '0034791', NULL, NULL, 78, NULL, 'Signal recognition particle alu RNA binding heterodimer, SRP9/14', 201417),
(270292, '0034792', NULL, NULL, 97, NULL, 'Signal recognition particle alu RNA binding heterodimer, SRP9/14', 201417),
(270293, '0047629', NULL, NULL, 95, NULL, 'DNA polymerase beta, N-terminal domain-like', 201418),
(270294, '0048475', NULL, NULL, 86, NULL, 'DNA polymerase beta, N-terminal domain-like', 201418),
(270295, '0045992', NULL, NULL, 82, NULL, 'DNA polymerase beta, N-terminal domain-like', 201418),
(270296, '0046345', NULL, NULL, 87, NULL, 'DNA polymerase beta, N-terminal domain-like', 201418),
(270297, '0042478', NULL, NULL, 46, NULL, 'Sporulation inhibitor Sda', 201419),
(270298, '0052981', NULL, NULL, 187, NULL, 'VC0467-like', 201420),
(270299, '0052480', NULL, NULL, 186, NULL, 'VC0467-like', 201420),
(270300, '0052527', NULL, NULL, 175, NULL, 'VC0467-like', 201420),
(270301, '0052942', NULL, NULL, 193, NULL, 'VC0467-like', 201420),
(270302, '0052995', NULL, NULL, 178, NULL, 'VC0467-like', 201420),
(270303, '0043579', NULL, NULL, 115, NULL, 'HSP90 C-terminal domain', 201421),
(270304, '0048578', NULL, NULL, 82, NULL, 'CRAL/TRIO N-terminal domain', 201422),
(270305, '0048503', NULL, NULL, 75, NULL, 'CRAL/TRIO N-terminal domain', 201422),
(270306, '0045821', NULL, NULL, 93, NULL, 'CRAL/TRIO N-terminal domain', 201422),
(270307, '0044946', NULL, NULL, 68, NULL, 'TRAP-like', 201423),
(270308, '0051361', NULL, NULL, 240, NULL, 'TRAP-like', 201423),
(270309, '0048752', NULL, NULL, 227, NULL, 'TRAP-like', 201423),
(270310, '0035888', NULL, NULL, 69, NULL, 'TRAP-like', 201423),
(270311, '0051067', NULL, NULL, 378, NULL, 'Serpins', 201424),
(270312, '0034927', NULL, NULL, 378, NULL, 'Serpins', 201424);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(270313, '0042041', NULL, NULL, 385, NULL, 'Serpins', 201424),
(270314, '0035774', NULL, NULL, 381, NULL, 'Serpins', 201424),
(270315, '0038626', NULL, NULL, 376, NULL, 'Serpins', 201424),
(270316, '0037307', NULL, NULL, 342, NULL, 'Serpins', 201424),
(270317, '0039986', NULL, NULL, 376, NULL, 'Serpins', 201424),
(270318, '0036689', NULL, NULL, 429, NULL, 'Serpins', 201424),
(270319, '0035184', NULL, NULL, 370, NULL, 'Serpins', 201424),
(270320, '0039630', NULL, NULL, 420, NULL, 'Serpins', 201424),
(270321, '0039087', NULL, NULL, 383, NULL, 'Serpins', 201424),
(270322, '0041076', NULL, NULL, 356, NULL, 'Serpins', 201424),
(270323, '0035196', NULL, NULL, 421, NULL, 'Serpins', 201424),
(270324, '0043572', NULL, NULL, 376, NULL, 'Serpins', 201424),
(270325, '0039580', NULL, NULL, 336, NULL, 'Serpins', 201424),
(270326, '0040612', NULL, NULL, 359, NULL, 'Serpins', 201424),
(270327, '0042850', NULL, NULL, 372, NULL, 'Serpins', 201424),
(270328, '0044813', NULL, NULL, 302, NULL, 'Coproporphyrinogen III oxidase', 201425),
(270329, '0044037', NULL, NULL, 325, NULL, 'Coproporphyrinogen III oxidase', 201425),
(270330, '0053962', NULL, NULL, 61, NULL, 'Efb C-domain-like', 201426),
(270331, '0054285', NULL, NULL, 58, NULL, 'Efb C-domain-like', 201426),
(270332, '0051034', NULL, NULL, 131, NULL, 'Hypothetical protein YqbG', 201427),
(270333, '0054730', NULL, NULL, 128, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270334, '0038927', NULL, NULL, 69, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270335, '0048495', NULL, NULL, 112, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270336, '0039759', NULL, NULL, 170, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270337, '0035355', NULL, NULL, 132, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270338, '0035955', NULL, NULL, 196, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270339, '0035118', NULL, NULL, 93, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270340, '0037711', NULL, NULL, 101, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270341, '0036284', NULL, NULL, 97, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270342, '0044415', NULL, NULL, 98, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270343, '0042337', NULL, NULL, 119, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270344, '0038201', NULL, NULL, 196, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270345, '0035331', NULL, NULL, 112, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270346, '0052927', NULL, NULL, 99, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270347, '0047787', NULL, NULL, 181, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270348, '0035805', NULL, NULL, 95, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270349, '0053750', NULL, NULL, 69, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270350, '0054880', NULL, NULL, 111, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270351, '0053858', NULL, NULL, 109, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270352, '0052601', NULL, NULL, 198, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270353, '0037068', NULL, NULL, 104, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270354, '0037442', NULL, NULL, 113, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270355, '0040661', NULL, NULL, 113, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270356, '0041376', NULL, NULL, 88, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270357, '0054160', NULL, NULL, 108, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270358, '0036093', NULL, NULL, 132, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270359, '0047713', NULL, NULL, 102, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270360, '0043212', NULL, NULL, 113, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270361, '0038190', NULL, NULL, 112, NULL, 'FAD-linked reductases, C-terminal domain', 201428);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(270362, '0043578', NULL, NULL, 112, NULL, 'FAD-linked reductases, C-terminal domain', 201428),
(270363, '0041427', NULL, NULL, 118, NULL, 'Hypothetical protein YojF', 201429),
(270364, '0040398', NULL, NULL, 159, NULL, 'Retrovirus capsid protein, N-terminal core domain', 201430),
(270365, '0048709', NULL, NULL, 176, NULL, 'Retrovirus capsid protein, N-terminal core domain', 201430),
(270366, '0042959', NULL, NULL, 131, NULL, 'Retrovirus capsid protein, N-terminal core domain', 201430),
(270367, '0049811', NULL, NULL, 131, NULL, 'Retrovirus capsid protein, N-terminal core domain', 201430),
(270368, '0037867', NULL, NULL, 134, NULL, 'Retrovirus capsid protein, N-terminal core domain', 201430),
(270369, '0045256', NULL, NULL, 131, NULL, 'Retrovirus capsid protein, N-terminal core domain', 201430),
(270370, '0047240', NULL, NULL, 522, NULL, 'Galactose mutarotase-like', 201431),
(270371, '0048040', NULL, NULL, 329, NULL, 'Galactose mutarotase-like', 201431),
(270372, '0051663', NULL, NULL, 177, NULL, 'Galactose mutarotase-like', 201431),
(270373, '0052583', NULL, NULL, 247, NULL, 'Galactose mutarotase-like', 201431),
(270374, '0043394', NULL, NULL, 272, NULL, 'Galactose mutarotase-like', 201431),
(270375, '0036995', NULL, NULL, 274, NULL, 'Galactose mutarotase-like', 201431),
(270376, '0038644', NULL, NULL, 281, NULL, 'Galactose mutarotase-like', 201431),
(270377, '0037336', NULL, NULL, 300, NULL, 'Galactose mutarotase-like', 201431),
(270378, '0035897', NULL, NULL, 264, NULL, 'Galactose mutarotase-like', 201431),
(270379, '0051369', NULL, NULL, 302, NULL, 'Galactose mutarotase-like', 201431),
(270380, '0039850', NULL, NULL, 275, NULL, 'Galactose mutarotase-like', 201431),
(270381, '0044349', NULL, NULL, 272, NULL, 'Galactose mutarotase-like', 201431),
(270382, '0039310', NULL, NULL, 273, NULL, 'Galactose mutarotase-like', 201431),
(270383, '0038422', NULL, NULL, 268, NULL, 'Galactose mutarotase-like', 201431),
(270384, '0039682', NULL, NULL, 269, NULL, 'Galactose mutarotase-like', 201431),
(270385, '0040407', NULL, NULL, 339, NULL, 'Galactose mutarotase-like', 201431),
(270386, '0046376', NULL, NULL, 293, NULL, 'Galactose mutarotase-like', 201431),
(270387, '0044155', NULL, NULL, 374, NULL, 'Galactose mutarotase-like', 201431),
(270388, '0048510', NULL, NULL, 492, NULL, 'Galactose mutarotase-like', 201431),
(270389, '0051490', NULL, NULL, 342, NULL, 'Galactose mutarotase-like', 201431),
(270390, '0049429', NULL, NULL, 344, NULL, 'Galactose mutarotase-like', 201431),
(270391, '0044654', NULL, NULL, 270, NULL, 'Galactose mutarotase-like', 201431),
(270392, '0040478', NULL, NULL, 277, NULL, 'Galactose mutarotase-like', 201431),
(270393, '0041434', NULL, NULL, 250, NULL, 'Galactose mutarotase-like', 201431),
(270394, '0048588', NULL, NULL, 292, NULL, 'Mitochondrial carrier', 201432),
(270395, '0054411', NULL, NULL, 90, NULL, 'HupF/HypC-like', 201433),
(270396, '0054759', NULL, NULL, 71, NULL, 'HupF/HypC-like', 201433),
(270397, '0054921', NULL, NULL, 76, NULL, 'HupF/HypC-like', 201433),
(270398, '0043679', NULL, NULL, 131, NULL, 'Ctag/Cox11', 201434),
(270399, '0037983', NULL, NULL, 98, NULL, 'Flagellar transcriptional activator FlhD', 201435),
(270400, '0044748', NULL, NULL, 413, NULL, 'Stabilizer of iron transporter SufD', 201436),
(270401, '0037553', NULL, NULL, 49, NULL, 'Ribosomal protein L39e', 201437),
(270402, '0037881', NULL, NULL, 102, NULL, 'Monooxygenase (hydroxylase) regulatory protein', 201438),
(270403, '0038675', NULL, NULL, 90, NULL, 'Monooxygenase (hydroxylase) regulatory protein', 201438),
(270404, '0036039', NULL, NULL, 141, NULL, 'Monooxygenase (hydroxylase) regulatory protein', 201438),
(270405, '0045369', NULL, NULL, 94, NULL, 'Monooxygenase (hydroxylase) regulatory protein', 201438),
(270406, '0044340', NULL, NULL, 88, NULL, 'Surp module (SWAP domain)', 201439),
(270407, '0053848', NULL, NULL, 84, NULL, 'Surp module (SWAP domain)', 201439),
(270408, '0053637', NULL, NULL, 65, NULL, 'Surp module (SWAP domain)', 201439),
(270409, '0053638', NULL, NULL, 53, NULL, 'Surp module (SWAP domain)', 201439);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(270410, '0053847', NULL, NULL, 63, NULL, 'Surp module (SWAP domain)', 201439),
(270411, '0052331', NULL, NULL, 34, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270412, '0053387', NULL, NULL, 42, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270413, '0046560', NULL, NULL, 44, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270414, '0053385', NULL, NULL, 52, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270415, '0044360', NULL, NULL, 40, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270416, '0053386', NULL, NULL, 34, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270417, '0050534', NULL, NULL, 43, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270418, '0048191', NULL, NULL, 30, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270419, '0044428', NULL, NULL, 42, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270420, '0037003', NULL, NULL, 45, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270421, '0048717', NULL, NULL, 41, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270422, '0049904', NULL, NULL, 42, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270423, '0044429', NULL, NULL, 41, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270424, '0037095', NULL, NULL, 45, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270425, '0048909', NULL, NULL, 43, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270426, '0044430', NULL, NULL, 43, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270427, '0045674', NULL, NULL, 43, NULL, 'Plant lectins/antimicrobial peptides', 201440),
(270428, '0048273', NULL, NULL, 119, NULL, 'SET domain', 201441),
(270429, '0048183', NULL, NULL, 284, NULL, 'SET domain', 201441),
(270430, '0041233', NULL, NULL, 168, NULL, 'SET domain', 201441),
(270431, '0040998', NULL, NULL, 261, NULL, 'SET domain', 201441),
(270432, '0048228', NULL, NULL, 269, NULL, 'SET domain', 201441),
(270433, '0054741', NULL, NULL, 139, NULL, 'CobE/GbiG C-terminal domain-like', 201442),
(270434, '0054847', NULL, NULL, 123, NULL, 'CobE/GbiG C-terminal domain-like', 201442),
(270435, '0054955', NULL, NULL, 121, NULL, 'CobE/GbiG C-terminal domain-like', 201442),
(270436, '0036042', NULL, NULL, 32, NULL, 'Retrovirus zinc finger-like domains', 201443),
(270437, '0036581', NULL, NULL, 31, NULL, 'Retrovirus zinc finger-like domains', 201443),
(270438, '0046717', NULL, NULL, 55, NULL, 'Retrovirus zinc finger-like domains', 201443),
(270439, '0049805', NULL, NULL, 56, NULL, 'Retrovirus zinc finger-like domains', 201443),
(270440, '0046619', NULL, NULL, 42, NULL, 'Retrovirus zinc finger-like domains', 201443),
(270441, '0036578', NULL, NULL, 21, NULL, 'Retrovirus zinc finger-like domains', 201443),
(270442, '0045753', NULL, NULL, 55, NULL, 'Retrovirus zinc finger-like domains', 201443),
(270443, '0048327', NULL, NULL, 29, NULL, 'Retrovirus zinc finger-like domains', 201443),
(270444, '0045307', NULL, NULL, 43, NULL, 'Zn2/Cys6 DNA-binding domain', 201444),
(270445, '0042516', NULL, NULL, 42, NULL, 'Zn2/Cys6 DNA-binding domain', 201444),
(270446, '0046168', NULL, NULL, 33, NULL, 'Zn2/Cys6 DNA-binding domain', 201444),
(270447, '0035235', NULL, NULL, 43, NULL, 'Zn2/Cys6 DNA-binding domain', 201444),
(270448, '0045125', NULL, NULL, 36, NULL, 'Zn2/Cys6 DNA-binding domain', 201444),
(270449, '0036289', NULL, NULL, 41, NULL, 'Zn2/Cys6 DNA-binding domain', 201444),
(270450, '0045159', NULL, NULL, 65, NULL, 'Zn2/Cys6 DNA-binding domain', 201444),
(270451, '0054881', NULL, NULL, 224, NULL, '5''-nucleotidase (syn. UDP-sugar hydrolase), C-terminal domain', 201445),
(270452, '0047215', NULL, NULL, 188, NULL, '5''-nucleotidase (syn. UDP-sugar hydrolase), C-terminal domain', 201445),
(270453, '0054757', NULL, NULL, 205, NULL, '5''-nucleotidase (syn. UDP-sugar hydrolase), C-terminal domain', 201445),
(270454, '0044556', NULL, NULL, 124, NULL, 'TSP type-3 repeat', 201446),
(270455, '0036346', NULL, NULL, 110, NULL, 'Rab geranylgeranyltransferase alpha-subunit, insert domain', 201447),
(270456, '0034869', NULL, NULL, 488, NULL, 'Heme-dependent catalase-like', 201448);
INSERT INTO "PUBLIC"."MODEL" VALUES
(270457, '0043623', NULL, NULL, 474, NULL, 'Heme-dependent catalase-like', 201448),
(270458, '0036848', NULL, NULL, 476, NULL, 'Heme-dependent catalase-like', 201448),
(270459, '0040837', NULL, NULL, 484, NULL, 'Heme-dependent catalase-like', 201448),
(270460, '0036413', NULL, NULL, 497, NULL, 'Heme-dependent catalase-like', 201448),
(270461, '0043021', NULL, NULL, 491, NULL, 'Heme-dependent catalase-like', 201448),
(270462, '0045585', NULL, NULL, 499, NULL, 'Heme-dependent catalase-like', 201448),
(270463, '0035960', NULL, NULL, 571, NULL, 'Heme-dependent catalase-like', 201448),
(270464, '0038517', NULL, NULL, 498, NULL, 'Heme-dependent catalase-like', 201448),
(270465, '0049798', NULL, NULL, 366, NULL, 'Heme-dependent catalase-like', 201448),
(270466, '0051391', NULL, NULL, 55, NULL, 'Calcyclin-binding protein-like', 201449),
(270467, '0051689', NULL, NULL, 47, NULL, 'Calcyclin-binding protein-like', 201449),
(270468, '0041725', NULL, NULL, 200, NULL, 'Tp47 lipoprotein, N-terminal domain', 201450),
(270469, '0037220', NULL, NULL, 479, NULL, 'Alkaline phosphatase-like', 201451),
(270470, '0042147', NULL, NULL, 553, NULL, 'Alkaline phosphatase-like', 201451),
(270471, '0047177', NULL, NULL, 525, NULL, 'Alkaline phosphatase-like', 201451),
(270472, '0037019', NULL, NULL, 406, NULL, 'Alkaline phosphatase-like', 201451),
(270473, '0053063', NULL, NULL, 284, NULL, 'Alkaline phosphatase-like', 201451),
(270474, '0046522', NULL, NULL, 449, NULL, 'Alkaline phosphatase-like', 201451),
(270475, '0035207', NULL, NULL, 485, NULL, 'Alkaline phosphatase-like', 201451),
(270476, '0037136', NULL, NULL, 275, NULL, 'Alkaline phosphatase-like', 201451),
(270477, '0037763', NULL, NULL, 492, NULL, 'Alkaline phosphatase-like', 201451),
(270478, '0039941', NULL, NULL, 476, NULL, 'Alkaline phosphatase-like', 201451),
(270479, '0053448', NULL, NULL, 242, NULL, 'C-terminal domain of PLC-beta', 201452),
(270480, '0038852', NULL, NULL, 277, NULL, 'Second domain of Mu2 adaptin subunit (ap50) of ap2 adaptor', 201453),
(270481, '0037364', NULL, NULL, 101, NULL, 'LexA/Signal peptidase', 201454),
(270482, '0044449', NULL, NULL, 105, NULL, 'LexA/Signal peptidase', 201454),
(270483, '0039545', NULL, NULL, 126, NULL, 'LexA/Signal peptidase', 201454),
(270484, '0035304', NULL, NULL, 247, NULL, 'LexA/Signal peptidase', 201454),
(270485, '0054542', NULL, NULL, 296, NULL, 'YerB-like', 201455),
(270486, '0051779', NULL, NULL, 346, NULL, 'Pseudo ankyrin repeat-like', 201456),
(270487, '0043715', NULL, NULL, 427, NULL, 'Oligoxyloglucan reducing end-specific cellobiohydrolase', 201457),
(270488, '0049445', NULL, NULL, 356, NULL, 'Oligoxyloglucan reducing end-specific cellobiohydrolase', 201457),
(270489, '0053665', NULL, NULL, 177, NULL, 'Ribosomal protein L10-like', 201458),
(270490, '0042689', NULL, NULL, 316, NULL, 'Substrate-binding domain of HMG-CoA reductase', 201459),
(270491, '0038756', NULL, NULL, 305, NULL, 'Substrate-binding domain of HMG-CoA reductase', 201459),
(270492, '0050582', NULL, NULL, 117, NULL, 'DNA-binding pseudobarrel domain', 201460),
(270493, '0048310', NULL, NULL, 175, NULL, 'DNA-binding pseudobarrel domain', 201460),
(270494, '0051290', NULL, NULL, 102, NULL, 'DNA-binding pseudobarrel domain', 201460),
(270495, '0051806', NULL, NULL, 185, NULL, 'MW0975(SA0943)-like', 201461),
(270496, '0049351', NULL, NULL, 217, NULL, 'FAH', 201462),
(270497, '0038911', NULL, NULL, 216, NULL, 'FAH', 201462),
(270498, '0047268', NULL, NULL, 298, NULL, 'FAH', 201462),
(270499, '0041438', NULL, NULL, 257, NULL, 'FAH', 201462),
(270500, '0041525', NULL, NULL, 221, NULL, 'FAH', 201462),
(270501, '0043774', NULL, NULL, 261, NULL, 'FAH', 201462),
(270502, '0038910', NULL, NULL, 213, NULL, 'FAH', 201462),
(270503, '0039511', NULL, NULL, 281, NULL, 'SPOC domain-like', 201463),
(270504, '0042053', NULL, NULL, 170, NULL, 'SPOC domain-like', 201463),
(270505, '0039513', NULL, NULL, 304, NULL, 'SPOC domain-like', 201463),
(270506, '0044965', NULL, NULL, 256, NULL, 'GroEL equatorial domain-like', 201464),
(270507, '0042602', NULL, NULL, 259, NULL, 'GroEL equatorial domain-like', 201464);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(270508, '0034906', NULL, NULL, 244, NULL, 'GroEL equatorial domain-like', 201464),
(270509, '0034904', NULL, NULL, 246, NULL, 'GroEL equatorial domain-like', 201464),
(270510, '0041815', NULL, NULL, 252, NULL, 'GroEL equatorial domain-like', 201464),
(270511, '0049413', NULL, NULL, 181, NULL, 'GroEL equatorial domain-like', 201464),
(270512, '0047404', NULL, NULL, 253, NULL, 'GroEL equatorial domain-like', 201464),
(270513, '0041454', NULL, NULL, 254, NULL, 'FabD/lysophospholipase-like', 201465),
(270514, '0048184', NULL, NULL, 236, NULL, 'FabD/lysophospholipase-like', 201465),
(270515, '0036023', NULL, NULL, 580, NULL, 'FabD/lysophospholipase-like', 201465),
(270516, '0048659', NULL, NULL, 360, NULL, 'FabD/lysophospholipase-like', 201465),
(270517, '0037224', NULL, NULL, 217, NULL, 'Bactericidal permeability-increasing protein, BPI', 201466),
(270518, '0037225', NULL, NULL, 239, NULL, 'Bactericidal permeability-increasing protein, BPI', 201466),
(270519, '0054010', NULL, NULL, 251, NULL, 'Dhaf3308-like', 201467),
(270520, '0041186', NULL, NULL, 207, NULL, 'TorD-like', 201468),
(270521, '0054130', NULL, NULL, 160, NULL, 'TorD-like', 201468),
(270522, '0043531', NULL, NULL, 207, NULL, 'TorD-like', 201468),
(270523, '0054349', NULL, NULL, 153, NULL, 'TorD-like', 201468),
(270524, '0039253', NULL, NULL, 184, NULL, 'B12-dependent dehydatase associated subunit', 201469),
(270525, '0052361', NULL, NULL, 108, NULL, 'B12-dependent dehydatase associated subunit', 201469),
(270526, '0048324', NULL, NULL, 113, NULL, 'B12-dependent dehydatase associated subunit', 201469),
(270527, '0046534', NULL, NULL, 178, NULL, 'B12-dependent dehydatase associated subunit', 201469),
(270528, '0036619', NULL, NULL, 80, NULL, 'ACP-like', 201470),
(270529, '0037430', NULL, NULL, 74, NULL, 'ACP-like', 201470),
(270530, '0044845', NULL, NULL, 85, NULL, 'ACP-like', 201470),
(270531, '0040143', NULL, NULL, 115, NULL, 'ACP-like', 201470),
(270532, '0054530', NULL, NULL, 76, NULL, 'ACP-like', 201470),
(270533, '0054241', NULL, NULL, 83, NULL, 'ACP-like', 201470),
(270534, '0035027', NULL, NULL, 86, NULL, 'ACP-like', 201470),
(270535, '0041515', NULL, NULL, 95, NULL, 'ACP-like', 201470),
(270536, '0049566', NULL, NULL, 77, NULL, 'ACP-like', 201470),
(270537, '0036515', NULL, NULL, 76, NULL, 'ACP-like', 201470),
(270538, '0041986', NULL, NULL, 82, NULL, 'ACP-like', 201470),
(270539, '0053125', NULL, NULL, 277, NULL, 'CorA soluble domain-like', 201471),
(270540, '0040421', NULL, NULL, 322, NULL, 'Variable surface antigen VlsE', 201472),
(270541, '0044451', NULL, NULL, 128, NULL, 'Polo-box domain', 201473),
(270542, '0049953', NULL, NULL, 95, NULL, 'Polo-box domain', 201473),
(270543, '0040878', NULL, NULL, 75, NULL, 'Polo-box domain', 201473),
(270544, '0039234', NULL, NULL, 123, NULL, 'Insert subdomain of RNA polymerase alpha subunit', 201474),
(270545, '0035474', NULL, NULL, 126, NULL, 'Insert subdomain of RNA polymerase alpha subunit', 201474),
(270546, '0038874', NULL, NULL, 131, NULL, 'Insert subdomain of RNA polymerase alpha subunit', 201474),
(270547, '0047315', NULL, NULL, 123, NULL, 'Insert subdomain of RNA polymerase alpha subunit', 201474),
(270548, '0052773', NULL, NULL, 95, NULL, '2Fe-2S ferredoxin-like', 201475),
(270549, '0050692', NULL, NULL, 93, NULL, '2Fe-2S ferredoxin-like', 201475),
(270550, '0052035', NULL, NULL, 106, NULL, '2Fe-2S ferredoxin-like', 201475),
(270551, '0052178', NULL, NULL, 97, NULL, '2Fe-2S ferredoxin-like', 201475),
(270552, '0038906', NULL, NULL, 109, NULL, '2Fe-2S ferredoxin-like', 201475),
(270553, '0040391', NULL, NULL, 93, NULL, '2Fe-2S ferredoxin-like', 201475),
(270554, '0036522', NULL, NULL, 128, NULL, '2Fe-2S ferredoxin-like', 201475),
(270555, '0036703', NULL, NULL, 128, NULL, '2Fe-2S ferredoxin-like', 201475),
(270556, '0037830', NULL, NULL, 96, NULL, '2Fe-2S ferredoxin-like', 201475),
(270557, '0037699', NULL, NULL, 90, NULL, '2Fe-2S ferredoxin-like', 201475),
(270558, '0041344', NULL, NULL, 106, NULL, '2Fe-2S ferredoxin-like', 201475),
(270559, '0038026', NULL, NULL, 98, NULL, '2Fe-2S ferredoxin-like', 201475);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(270560, '0040052', NULL, NULL, 105, NULL, '2Fe-2S ferredoxin-like', 201475),
(270561, '0039693', NULL, NULL, 98, NULL, '2Fe-2S ferredoxin-like', 201475),
(270562, '0048556', NULL, NULL, 95, NULL, '2Fe-2S ferredoxin-like', 201475),
(270563, '0041225', NULL, NULL, 79, NULL, '2Fe-2S ferredoxin-like', 201475),
(270564, '0046241', NULL, NULL, 98, NULL, '2Fe-2S ferredoxin-like', 201475),
(270565, '0037749', NULL, NULL, 95, NULL, '2Fe-2S ferredoxin-like', 201475),
(270566, '0034918', NULL, NULL, 97, NULL, '2Fe-2S ferredoxin-like', 201475),
(270567, '0045591', NULL, NULL, 98, NULL, '2Fe-2S ferredoxin-like', 201475),
(270568, '0049210', NULL, NULL, 81, NULL, '2Fe-2S ferredoxin-like', 201475),
(270569, '0039725', NULL, NULL, 84, NULL, '2Fe-2S ferredoxin-like', 201475),
(270570, '0036856', NULL, NULL, 106, NULL, '2Fe-2S ferredoxin-like', 201475),
(270571, '0039204', NULL, NULL, 98, NULL, '2Fe-2S ferredoxin-like', 201475),
(270572, '0036415', NULL, NULL, 80, NULL, '2Fe-2S ferredoxin-like', 201475),
(270573, '0051017', NULL, NULL, 106, NULL, '2Fe-2S ferredoxin-like', 201475),
(270574, '0035261', NULL, NULL, 103, NULL, '2Fe-2S ferredoxin-like', 201475),
(270575, '0037561', NULL, NULL, 79, NULL, '2Fe-2S ferredoxin-like', 201475),
(270576, '0040223', NULL, NULL, 104, NULL, '2Fe-2S ferredoxin-like', 201475),
(270577, '0045911', NULL, NULL, 105, NULL, '2Fe-2S ferredoxin-like', 201475),
(270578, '0046849', NULL, NULL, 98, NULL, '2Fe-2S ferredoxin-like', 201475),
(270579, '0043858', NULL, NULL, 81, NULL, '2Fe-2S ferredoxin-like', 201475),
(270580, '0035241', NULL, NULL, 94, NULL, '2Fe-2S ferredoxin-like', 201475),
(270581, '0042285', NULL, NULL, 96, NULL, '2Fe-2S ferredoxin-like', 201475),
(270582, '0046762', NULL, NULL, 126, NULL, '2Fe-2S ferredoxin-like', 201475),
(270583, '0045410', NULL, NULL, 98, NULL, '2Fe-2S ferredoxin-like', 201475),
(270584, '0044864', NULL, NULL, 80, NULL, '2Fe-2S ferredoxin-like', 201475),
(270585, '0046071', NULL, NULL, 145, NULL, 'Mannose-binding lectins', 201476),
(270586, '0039368', NULL, NULL, 149, NULL, 'Mannose-binding lectins', 201476),
(270587, '0039681', NULL, NULL, 150, NULL, 'Mannose-binding lectins', 201476),
(270588, '0052959', NULL, NULL, 121, NULL, 'Mannose-binding lectins', 201476),
(270589, '0048649', NULL, NULL, 151, NULL, 'Mannose-binding lectins', 201476),
(270590, '0049901', NULL, NULL, 149, NULL, 'Mannose-binding lectins', 201476),
(270591, '0051199', NULL, NULL, 353, NULL, 'Arabinanase/levansucrase/invertase', 201477),
(270592, '0047083', NULL, NULL, 318, NULL, 'Arabinanase/levansucrase/invertase', 201477),
(270593, '0051222', NULL, NULL, 321, NULL, 'Arabinanase/levansucrase/invertase', 201477),
(270594, '0048662', NULL, NULL, 440, NULL, 'Arabinanase/levansucrase/invertase', 201477),
(270595, '0050020', NULL, NULL, 294, NULL, 'Arabinanase/levansucrase/invertase', 201477),
(270596, '0051383', NULL, NULL, 317, NULL, 'Arabinanase/levansucrase/invertase', 201477),
(270597, '0051905', NULL, NULL, 310, NULL, 'Arabinanase/levansucrase/invertase', 201477),
(270598, '0052539', NULL, NULL, 322, NULL, 'Arabinanase/levansucrase/invertase', 201477),
(270599, '0050007', NULL, NULL, 291, NULL, 'Arabinanase/levansucrase/invertase', 201477),
(270600, '0051316', NULL, NULL, 323, NULL, 'Arabinanase/levansucrase/invertase', 201477),
(270601, '0050224', NULL, NULL, 327, NULL, 'Arabinanase/levansucrase/invertase', 201477),
(270602, '0050644', NULL, NULL, 312, NULL, 'Arabinanase/levansucrase/invertase', 201477),
(270603, '0046814', NULL, NULL, 137, NULL, 'Cobalamin (vitamin B12)-binding domain', 201478),
(270604, '0053374', NULL, NULL, 163, NULL, 'Cobalamin (vitamin B12)-binding domain', 201478),
(270605, '0051084', NULL, NULL, 160, NULL, 'Cobalamin (vitamin B12)-binding domain', 201478),
(270606, '0046110', NULL, NULL, 137, NULL, 'Cobalamin (vitamin B12)-binding domain', 201478),
(270607, '0045651', NULL, NULL, 168, NULL, 'Cobalamin (vitamin B12)-binding domain', 201478),
(270608, '0035625', NULL, NULL, 156, NULL, 'Cobalamin (vitamin B12)-binding domain', 201478),
(270609, '0053482', NULL, NULL, 110, NULL, 'Tumor suppressor gene product Apc', 201479); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(270610, '0046806', NULL, NULL, 194, NULL, 'Ypt/Rab-GAP domain of gyp1p', 201480),
(270611, '0037638', NULL, NULL, 188, NULL, 'Ypt/Rab-GAP domain of gyp1p', 201480),
(270612, '0050931', NULL, NULL, 208, NULL, 'PHP14-like', 201481),
(270613, '0053050', NULL, NULL, 118, NULL, 'PHP14-like', 201481),
(270614, '0053238', NULL, NULL, 205, NULL, 'PHP14-like', 201481),
(270615, '0041345', NULL, NULL, 129, NULL, 'Fumarate reductase respiratory complex transmembrane subunits', 201482),
(270616, '0052036', NULL, NULL, 254, NULL, 'Fumarate reductase respiratory complex transmembrane subunits', 201482),
(270617, '0040054', NULL, NULL, 119, NULL, 'Fumarate reductase respiratory complex transmembrane subunits', 201482),
(270618, '0040053', NULL, NULL, 130, NULL, 'Fumarate reductase respiratory complex transmembrane subunits', 201482),
(270619, '0048347', NULL, NULL, 113, NULL, 'Fumarate reductase respiratory complex transmembrane subunits', 201482),
(270620, '0035809', NULL, NULL, 171, NULL, 'F1F0 ATP synthase subunit A', 201483),
(270621, '0054534', NULL, NULL, 107, NULL, 'TAFH domain-like', 201484),
(270622, '0054472', NULL, NULL, 97, NULL, 'TAFH domain-like', 201484),
(270623, '0036891', NULL, NULL, 41, NULL, 'Peripheral subunit-binding domain of 2-oxo acid dehydrogenase complex', 201485),
(270624, '0035432', NULL, NULL, 51, NULL, 'Peripheral subunit-binding domain of 2-oxo acid dehydrogenase complex', 201485),
(270625, '0039597', NULL, NULL, 145, NULL, 'DTD-like', 201486),
(270626, '0043938', NULL, NULL, 187, NULL, 'DTD-like', 201486),
(270627, '0039406', NULL, NULL, 144, NULL, 'DTD-like', 201486),
(270628, '0046096', NULL, NULL, 328, NULL, 'Clathrin heavy-chain terminal domain', 201487),
(270629, '0054135', NULL, NULL, 212, NULL, 'Lysozyme-like', 201488),
(270630, '0045261', NULL, NULL, 129, NULL, 'Lysozyme-like', 201488),
(270631, '0046990', NULL, NULL, 130, NULL, 'Lysozyme-like', 201488),
(270632, '0037418', NULL, NULL, 123, NULL, 'Lysozyme-like', 201488),
(270633, '0034789', NULL, NULL, 164, NULL, 'Lysozyme-like', 201488),
(270634, '0050993', NULL, NULL, 178, NULL, 'Lysozyme-like', 201488),
(270635, '0034786', NULL, NULL, 162, NULL, 'Lysozyme-like', 201488),
(270636, '0039756', NULL, NULL, 178, NULL, 'Lysozyme-like', 201488),
(270637, '0053645', NULL, NULL, 86, NULL, 'Lysozyme-like', 201488),
(270638, '0040570', NULL, NULL, 129, NULL, 'Lysozyme-like', 201488),
(270639, '0038582', NULL, NULL, 123, NULL, 'Lysozyme-like', 201488),
(270640, '0043002', NULL, NULL, 322, NULL, 'Lysozyme-like', 201488),
(270641, '0042970', NULL, NULL, 168, NULL, 'Lysozyme-like', 201488),
(270642, '0035090', NULL, NULL, 122, NULL, 'Lysozyme-like', 201488),
(270643, '0040610', NULL, NULL, 162, NULL, 'Lysozyme-like', 201488),
(270644, '0042950', NULL, NULL, 130, NULL, 'Lysozyme-like', 201488),
(270645, '0047448', NULL, NULL, 130, NULL, 'Lysozyme-like', 201488),
(270646, '0054289', NULL, NULL, 192, NULL, 'Lysozyme-like', 201488),
(270647, '0053597', NULL, NULL, 164, NULL, 'Lysozyme-like', 201488),
(270648, '0047673', NULL, NULL, 129, NULL, 'Lysozyme-like', 201488),
(270649, '0035984', NULL, NULL, 238, NULL, 'Lysozyme-like', 201488),
(270650, '0042085', NULL, NULL, 173, NULL, 'Lysozyme-like', 201488),
(270651, '0034793', NULL, NULL, 162, NULL, 'Lysozyme-like', 201488),
(270652, '0053219', NULL, NULL, 130, NULL, 'Lysozyme-like', 201488),
(270653, '0054408', NULL, NULL, 187, NULL, 'Lysozyme-like', 201488),
(270654, '0035420', NULL, NULL, 123, NULL, 'Lysozyme-like', 201488),
(270655, '0036652', NULL, NULL, 242, NULL, 'Lysozyme-like', 201488),
(270656, '0038595', NULL, NULL, 129, NULL, 'Lysozyme-like', 201488),
(270657, '0040641', NULL, NULL, 144, NULL, 'Lysozyme-like', 201488),
(270658, '0042765', NULL, NULL, 259, NULL, 'Lysozyme-like', 201488),
(270659, '0039764', NULL, NULL, 125, NULL, 'Lysozyme-like', 201488),
(270660, '0036072', NULL, NULL, 243, NULL, 'Lysozyme-like', 201488),
(270661, '0039048', NULL, NULL, 120, NULL, 'Lysozyme-like', 201488),
(270662, '0039862', NULL, NULL, 216, NULL, 'Lysozyme-like', 201488),
(270663, '0035100', NULL, NULL, 154, NULL, 'Lysozyme-like', 201488);   
INSERT INTO "PUBLIC"."MODEL" VALUES
(270664, '0046807', NULL, NULL, 124, NULL, 'Lysozyme-like', 201488),
(270665, '0038053', NULL, NULL, 119, NULL, 'Lysozyme-like', 201488),
(270666, '0034790', NULL, NULL, 164, NULL, 'Lysozyme-like', 201488),
(270667, '0042163', NULL, NULL, 166, NULL, 'Lysozyme-like', 201488),
(270668, '0054383', NULL, NULL, 225, NULL, 'Lysozyme-like', 201488),
(270669, '0054141', NULL, NULL, 163, NULL, 'Lysozyme-like', 201488),
(270670, '0045677', NULL, NULL, 185, NULL, 'Lysozyme-like', 201488),
(270671, '0041358', NULL, NULL, 123, NULL, 'Lysozyme-like', 201488),
(270672, '0046072', NULL, NULL, 108, NULL, 'Insect pheromone/odorant-binding proteins', 201489),
(270673, '0046382', NULL, NULL, 137, NULL, 'Insect pheromone/odorant-binding proteins', 201489),
(270674, '0049113', NULL, NULL, 117, NULL, 'Insect pheromone/odorant-binding proteins', 201489),
(270675, '0048683', NULL, NULL, 119, NULL, 'Insect pheromone/odorant-binding proteins', 201489),
(270676, '0048615', NULL, NULL, 126, NULL, 'Insect pheromone/odorant-binding proteins', 201489),
(270677, '0049060', NULL, NULL, 142, NULL, 'Insect pheromone/odorant-binding proteins', 201489),
(270678, '0041272', NULL, NULL, 343, NULL, 'P40 nucleoprotein', 201490),
(270679, '0051287', NULL, NULL, 193, NULL, 'DNA methylase specificity domain', 201491),
(270680, '0051288', NULL, NULL, 181, NULL, 'DNA methylase specificity domain', 201491),
(270681, '0053088', NULL, NULL, 170, NULL, 'DNA methylase specificity domain', 201491),
(270682, '0051296', NULL, NULL, 205, NULL, 'DNA methylase specificity domain', 201491),
(270683, '0051295', NULL, NULL, 220, NULL, 'DNA methylase specificity domain', 201491),
(270684, '0050101', NULL, NULL, 204, NULL, 'Precorrin-8X methylmutase CbiC/CobH', 201492),
(270685, '0037360', NULL, NULL, 209, NULL, 'Precorrin-8X methylmutase CbiC/CobH', 201492),
(270686, '0048647', NULL, NULL, 190, NULL, 'Precorrin-8X methylmutase CbiC/CobH', 201492),
(270687, '0036773', NULL, NULL, 56, NULL, 'C-terminal UvrC-binding domain of UvrB', 201493),
(270688, '0053393', NULL, NULL, 201, NULL, 'Apolipoprotein A-I', 201494),
(270689, '0042145', NULL, NULL, 183, NULL, 'Homo-oligomeric flavin-containing Cys decarboxylases, HFCD', 201495),
(270690, '0037949', NULL, NULL, 174, NULL, 'Homo-oligomeric flavin-containing Cys decarboxylases, HFCD', 201495),
(270691, '0049358', NULL, NULL, 186, NULL, 'Homo-oligomeric flavin-containing Cys decarboxylases, HFCD', 201495),
(270692, '0043058', NULL, NULL, 181, NULL, 'Homo-oligomeric flavin-containing Cys decarboxylases, HFCD', 201495),
(270693, '0036713', NULL, NULL, 185, NULL, 'Homo-oligomeric flavin-containing Cys decarboxylases, HFCD', 201495),
(270694, '0041671', NULL, NULL, 149, NULL, 'Hypothetical protein TM0875', 201496),
(270695, '0044742', NULL, NULL, 55, NULL, 'Heparin-binding domain from vascular endothelial growth factor', 201497),
(270696, '0053345', NULL, NULL, 65, NULL, 'Leech antihemostatic proteins', 201498),
(270697, '0046570', NULL, NULL, 53, NULL, 'Leech antihemostatic proteins', 201498),
(270698, '0046434', NULL, NULL, 57, NULL, 'Leech antihemostatic proteins', 201498),
(270699, '0046312', NULL, NULL, 39, NULL, 'Leech antihemostatic proteins', 201498),
(270700, '0047229', NULL, NULL, 65, NULL, 'Leech antihemostatic proteins', 201498),
(270701, '0043652', NULL, NULL, 52, NULL, 'Leech antihemostatic proteins', 201498),
(270702, '0049419', NULL, NULL, 52, NULL, 'Leech antihemostatic proteins', 201498),
(270703, '0035754', NULL, NULL, 51, NULL, 'Leech antihemostatic proteins', 201498),
(270704, '0041586', NULL, NULL, 47, NULL, 'Transcription factor IIA (TFIIA), beta-barrel domain', 201499),
(270705, '0048359', NULL, NULL, 59, NULL, 'Transcription factor IIA (TFIIA), beta-barrel domain', 201499),
(270706, '0041588', NULL, NULL, 46, NULL, 'Transcription factor IIA (TFIIA), beta-barrel domain', 201499),
(270707, '0045106', NULL, NULL, 65, NULL, 'Transcription factor IIA (TFIIA), beta-barrel domain', 201499),
(270708, '0043420', NULL, NULL, 69, NULL, 'Hypothetical protein YjbJ', 201500),
(270709, '0049526', NULL, NULL, 68, NULL, 'FGAM synthase PurL, linker domain', 201501);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(270710, '0047647', NULL, NULL, 149, NULL, 'Staphylococcal nuclease', 201502),
(270711, '0042548', NULL, NULL, 117, NULL, 'Nickel-containing superoxide dismutase, NiSOD', 201503),
(270712, '0043903', NULL, NULL, 117, NULL, 'Nickel-containing superoxide dismutase, NiSOD', 201503),
(270713, '0052970', NULL, NULL, 127, NULL, 'Ns1 effector domain-like', 201504),
(270714, '0040850', NULL, NULL, 174, NULL, 'Orange carotenoid protein, N-terminal domain', 201505),
(270715, '0038400', NULL, NULL, 75, NULL, 'Sigma2 domain of RNA polymerase sigma factors', 201506),
(270716, '0043329', NULL, NULL, 87, NULL, 'Sigma2 domain of RNA polymerase sigma factors', 201506),
(270717, '0047881', NULL, NULL, 180, NULL, 'Sigma2 domain of RNA polymerase sigma factors', 201506),
(270718, '0039240', NULL, NULL, 184, NULL, 'Sigma2 domain of RNA polymerase sigma factors', 201506),
(270719, '0041988', NULL, NULL, 113, NULL, 'Sigma2 domain of RNA polymerase sigma factors', 201506),
(270720, '0049406', NULL, NULL, 334, NULL, 'Sigma2 domain of RNA polymerase sigma factors', 201506),
(270721, '0049052', NULL, NULL, 145, NULL, 'Double Clp-N motif', 201507),
(270722, '0047755', NULL, NULL, 142, NULL, 'Double Clp-N motif', 201507),
(270723, '0047811', NULL, NULL, 139, NULL, 'Double Clp-N motif', 201507),
(270724, '0054003', NULL, NULL, 115, NULL, 'Ribosomal protein L20', 201508),
(270725, '0054785', NULL, NULL, 117, NULL, 'Ribosomal protein L20', 201508),
(270726, '0054184', NULL, NULL, 117, NULL, 'Ribosomal protein L20', 201508),
(270727, '0038337', NULL, NULL, 60, NULL, 'Ribosomal protein L20', 201508),
(270728, '0041157', NULL, NULL, 217, NULL, 'Ribosomal protein L1', 201509),
(270729, '0035002', NULL, NULL, 224, NULL, 'Ribosomal protein L1', 201509),
(270730, '0036641', NULL, NULL, 213, NULL, 'Ribosomal protein L1', 201509),
(270731, '0036019', NULL, NULL, 213, NULL, 'Ribosomal protein L1', 201509),
(270732, '0039684', NULL, NULL, 228, NULL, 'Undecaprenyl diphosphate synthase', 201510),
(270733, '0037424', NULL, NULL, 229, NULL, 'Undecaprenyl diphosphate synthase', 201510),
(270734, '0053477', NULL, NULL, 55, NULL, 'Fibrinogen coiled-coil and central regions', 201511),
(270735, '0053478', NULL, NULL, 99, NULL, 'Fibrinogen coiled-coil and central regions', 201511),
(270736, '0053476', NULL, NULL, 56, NULL, 'Fibrinogen coiled-coil and central regions', 201511),
(270737, '0053460', NULL, NULL, 47, NULL, 'Fibrinogen coiled-coil and central regions', 201511),
(270738, '0053417', NULL, NULL, 52, NULL, 'Fibrinogen coiled-coil and central regions', 201511),
(270739, '0053418', NULL, NULL, 81, NULL, 'Fibrinogen coiled-coil and central regions', 201511),
(270740, '0053459', NULL, NULL, 51, NULL, 'Fibrinogen coiled-coil and central regions', 201511),
(270741, '0053503', NULL, NULL, 42, NULL, 'Fibrinogen coiled-coil and central regions', 201511),
(270742, '0053416', NULL, NULL, 54, NULL, 'Fibrinogen coiled-coil and central regions', 201511),
(270743, '0053504', NULL, NULL, 44, NULL, 'Fibrinogen coiled-coil and central regions', 201511),
(270744, '0053479', NULL, NULL, 192, NULL, 'Fibrinogen coiled-coil and central regions', 201511),
(270745, '0053458', NULL, NULL, 43, NULL, 'Fibrinogen coiled-coil and central regions', 201511),
(270746, '0053502', NULL, NULL, 50, NULL, 'Fibrinogen coiled-coil and central regions', 201511),
(270747, '0053480', NULL, NULL, 138, NULL, 'Fibrinogen coiled-coil and central regions', 201511),
(270748, '0053481', NULL, NULL, 137, NULL, 'Fibrinogen coiled-coil and central regions', 201511),
(270749, '0036294', NULL, NULL, 609, NULL, 'Prokaryotic type I DNA topoisomerase', 201512),
(270750, '0038143', NULL, NULL, 556, NULL, 'Prokaryotic type I DNA topoisomerase', 201512),
(270751, '0048235', NULL, NULL, 591, NULL, 'Prokaryotic type I DNA topoisomerase', 201512),
(270752, '0053488', NULL, NULL, 76, NULL, 'Myosin rod fragments', 201513),
(270753, '0053562', NULL, NULL, 126, NULL, 'Myosin rod fragments', 201513),
(270754, '0047621', NULL, NULL, 153, NULL, 'Agglutinin', 201514),
(270755, '0047622', NULL, NULL, 146, NULL, 'Agglutinin', 201514);               
INSERT INTO "PUBLIC"."MODEL" VALUES
(270756, '0047020', NULL, NULL, 107, NULL, 'HRDC-like', 201515),
(270757, '0050708', NULL, NULL, 77, NULL, 'HRDC-like', 201515),
(270758, '0051176', NULL, NULL, 176, NULL, 'HRDC-like', 201515),
(270759, '0051396', NULL, NULL, 81, NULL, 'HRDC-like', 201515),
(270760, '0051395', NULL, NULL, 101, NULL, 'HRDC-like', 201515),
(270761, '0052492', NULL, NULL, 94, NULL, 'HRDC-like', 201515),
(270762, '0052999', NULL, NULL, 96, NULL, 'HRDC-like', 201515),
(270763, '0046279', NULL, NULL, 81, NULL, 'HRDC-like', 201515),
(270764, '0052106', NULL, NULL, 129, NULL, 'HRDC-like', 201515),
(270765, '0052226', NULL, NULL, 113, NULL, 'HRDC-like', 201515),
(270766, '0053781', NULL, NULL, 23, NULL, 'VhTI-like', 201516),
(270767, '0053897', NULL, NULL, 52, NULL, 'E7 C-terminal domain-like', 201517),
(270768, '0053733', NULL, NULL, 52, NULL, 'E7 C-terminal domain-like', 201517),
(270769, '0051436', NULL, NULL, 74, NULL, 'PA2021-like', 201518),
(270770, '0050098', NULL, NULL, 386, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270771, '0050156', NULL, NULL, 310, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270772, '0050122', NULL, NULL, 428, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270773, '0050075', NULL, NULL, 318, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270774, '0050152', NULL, NULL, 302, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270775, '0051225', NULL, NULL, 310, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270776, '0051522', NULL, NULL, 320, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270777, '0050641', NULL, NULL, 382, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270778, '0051972', NULL, NULL, 292, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270779, '0036788', NULL, NULL, 477, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270780, '0037348', NULL, NULL, 341, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270781, '0040135', NULL, NULL, 511, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270782, '0039302', NULL, NULL, 325, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270783, '0048837', NULL, NULL, 327, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270784, '0039474', NULL, NULL, 355, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270785, '0043948', NULL, NULL, 331, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270786, '0037494', NULL, NULL, 302, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270787, '0042904', NULL, NULL, 390, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270788, '0048698', NULL, NULL, 319, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270789, '0043354', NULL, NULL, 338, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270790, '0050081', NULL, NULL, 351, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270791, '0041688', NULL, NULL, 293, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', 201519),
(270792, '0036391', NULL, NULL, 159, NULL, 'Calpain large subunit, middle domain (domain III)', 201520),
(270793, '0040065', NULL, NULL, 159, NULL, 'Calpain large subunit, middle domain (domain III)', 201520),
(270794, '0043036', NULL, NULL, 159, NULL, 'Calpain large subunit, middle domain (domain III)', 201520),
(270795, '0053991', NULL, NULL, 79, NULL, 'Ribosomal protein S19', 201521),
(270796, '0037627', NULL, NULL, 84, NULL, 'Ribosomal protein S19', 201521),
(270797, '0053142', NULL, NULL, 55, NULL, 'L9 N-domain-like', 201522),
(270798, '0042790', NULL, NULL, 47, NULL, 'L9 N-domain-like', 201522);  
INSERT INTO "PUBLIC"."MODEL" VALUES
(270799, '0053578', NULL, NULL, 56, NULL, 'L9 N-domain-like', 201522),
(270800, '0053997', NULL, NULL, 58, NULL, 'L9 N-domain-like', 201522),
(270801, '0049750', NULL, NULL, 112, NULL, 'Heat shock protein 70kD (HSP70), C-terminal subdomain', 201523),
(270802, '0036477', NULL, NULL, 97, NULL, 'Heat shock protein 70kD (HSP70), C-terminal subdomain', 201523),
(270803, '0044279', NULL, NULL, 84, NULL, 'Heat shock protein 70kD (HSP70), C-terminal subdomain', 201523),
(270804, '0050314', NULL, NULL, 111, NULL, 'Phosphoprotein M1, C-terminal domain', 201524),
(270805, '0040368', NULL, NULL, 123, NULL, 'DNA-binding domain of Mlu1-box binding protein MBP1', 201525),
(270806, '0050197', NULL, NULL, 192, NULL, 'SIS domain', 201526),
(270807, '0048077', NULL, NULL, 186, NULL, 'SIS domain', 201526),
(270808, '0046385', NULL, NULL, 555, NULL, 'SIS domain', 201526),
(270809, '0039507', NULL, NULL, 177, NULL, 'SIS domain', 201526),
(270810, '0046090', NULL, NULL, 442, NULL, 'SIS domain', 201526),
(270811, '0047090', NULL, NULL, 554, NULL, 'SIS domain', 201526),
(270812, '0050600', NULL, NULL, 284, NULL, 'SIS domain', 201526),
(270813, '0050875', NULL, NULL, 194, NULL, 'SIS domain', 201526),
(270814, '0039383', NULL, NULL, 329, NULL, 'SIS domain', 201526),
(270815, '0049514', NULL, NULL, 556, NULL, 'SIS domain', 201526),
(270816, '0049756', NULL, NULL, 556, NULL, 'SIS domain', 201526),
(270817, '0048425', NULL, NULL, 248, NULL, 'SIS domain', 201526),
(270818, '0044035', NULL, NULL, 188, NULL, 'SIS domain', 201526),
(270819, '0048203', NULL, NULL, 366, NULL, 'SIS domain', 201526),
(270820, '0045017', NULL, NULL, 191, NULL, 'SIS domain', 201526),
(270821, '0049747', NULL, NULL, 301, NULL, 'SIS domain', 201526),
(270822, '0047338', NULL, NULL, 556, NULL, 'SIS domain', 201526),
(270823, '0054229', NULL, NULL, 71, NULL, 'YfgJ-like', 201527),
(270824, '0051085', NULL, NULL, 52, NULL, 'D-lysine 5,6-aminomutase beta subunit KamE, N-terminal domain', 201528),
(270825, '0035728', NULL, NULL, 134, NULL, 'Viral protein domain', 201529),
(270826, '0053089', NULL, NULL, 321, NULL, 'Viral protein domain', 201529),
(270827, '0043382', NULL, NULL, 324, NULL, 'Viral protein domain', 201529),
(270828, '0039739', NULL, NULL, 317, NULL, 'Viral protein domain', 201529),
(270829, '0039743', NULL, NULL, 321, NULL, 'Viral protein domain', 201529),
(270830, '0037645', NULL, NULL, 156, NULL, 'Viral protein domain', 201529),
(270831, '0042787', NULL, NULL, 184, NULL, 'Viral protein domain', 201529),
(270832, '0044318', NULL, NULL, 153, NULL, 'Viral protein domain', 201529),
(270833, '0035056', NULL, NULL, 126, NULL, 'Viral protein domain', 201529),
(270834, '0045488', NULL, NULL, 320, NULL, 'Viral protein domain', 201529),
(270835, '0043200', NULL, NULL, 328, NULL, 'Viral protein domain', 201529),
(270836, '0043388', NULL, NULL, 323, NULL, 'Viral protein domain', 201529),
(270837, '0041049', NULL, NULL, 318, NULL, 'Viral protein domain', 201529),
(270838, '0049636', NULL, NULL, 314, NULL, 'Viral protein domain', 201529),
(270839, '0050992', NULL, NULL, 147, NULL, 'SufE/NifU', 201530),
(270840, '0042614', NULL, NULL, 134, NULL, 'SufE/NifU', 201530),
(270841, '0041151', NULL, NULL, 144, NULL, 'SufE/NifU', 201530),
(270842, '0050294', NULL, NULL, 88, NULL, 'SufE/NifU', 201530),
(270843, '0041407', NULL, NULL, 149, NULL, 'SufE/NifU', 201530),
(270844, '0043760', NULL, NULL, 136, NULL, 'SufE/NifU', 201530),
(270845, '0053635', NULL, NULL, 91, NULL, 'SufE/NifU', 201530),
(270846, '0050511', NULL, NULL, 130, NULL, 'SufE/NifU', 201530),
(270847, '0050981', NULL, NULL, 381, NULL, 'Nucleoporin domain', 201531),
(270848, '0051008', NULL, NULL, 403, NULL, 'Nucleoporin domain', 201531),
(270849, '0044193', NULL, NULL, 125, NULL, 'Dystroglycan, domain 2', 201532),
(270850, '0049889', NULL, NULL, 83, NULL, 'HBS1-like domain', 201533),
(270851, '0054247', NULL, NULL, 70, NULL, 'L28p-like', 201534),
(270852, '0050310', NULL, NULL, 70, NULL, 'L28p-like', 201534),
(270853, '0054792', NULL, NULL, 72, NULL, 'L28p-like', 201534),
(270854, '0054171', NULL, NULL, 50, NULL, 'L28p-like', 201534);     
INSERT INTO "PUBLIC"."MODEL" VALUES
(270855, '0054602', NULL, NULL, 77, NULL, 'L28p-like', 201534),
(270856, '0053139', NULL, NULL, 89, NULL, 'L28p-like', 201534),
(270857, '0054430', NULL, NULL, 85, NULL, 'BH2638-like', 201535),
(270858, '0036590', NULL, NULL, 138, NULL, 'N-terminal domain of eukaryotic peptide chain release factor subunit 1, ERF1', 201536),
(270859, '0053571', NULL, NULL, 54, NULL, 'Eferin C-derminal domain-like', 201537),
(270860, '0053569', NULL, NULL, 35, NULL, 'Eferin C-derminal domain-like', 201537),
(270861, '0036518', NULL, NULL, 259, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270862, '0036929', NULL, NULL, 146, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270863, '0035544', NULL, NULL, 194, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270864, '0041590', NULL, NULL, 110, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270865, '0034873', NULL, NULL, 125, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270866, '0042181', NULL, NULL, 101, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270867, '0035317', NULL, NULL, 175, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270868, '0035734', NULL, NULL, 178, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270869, '0035811', NULL, NULL, 148, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270870, '0037204', NULL, NULL, 177, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270871, '0050104', NULL, NULL, 176, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270872, '0038223', NULL, NULL, 257, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270873, '0038762', NULL, NULL, 208, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270874, '0040474', NULL, NULL, 134, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270875, '0035291', NULL, NULL, 121, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270876, '0044859', NULL, NULL, 154, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270877, '0040549', NULL, NULL, 294, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270878, '0041638', NULL, NULL, 101, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270879, '0041505', NULL, NULL, 106, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270880, '0038260', NULL, NULL, 178, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270881, '0040667', NULL, NULL, 96, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270882, '0041513', NULL, NULL, 102, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', 201538),
(270883, '0047661', NULL, NULL, 118, NULL, 'Dipeptidyl peptidase I (cathepsin C), exclusion domain', 201539),
(270884, '0047736', NULL, NULL, 119, NULL, 'Dipeptidyl peptidase I (cathepsin C), exclusion domain', 201539),
(270885, '0037918', NULL, NULL, 106, NULL, 'Cyclin-like', 201540),
(270886, '0050198', NULL, NULL, 124, NULL, 'Cyclin-like', 201540),
(270887, '0045780', NULL, NULL, 95, NULL, 'Cyclin-like', 201540),
(270888, '0037917', NULL, NULL, 132, NULL, 'Cyclin-like', 201540),
(270889, '0053624', NULL, NULL, 130, NULL, 'Cyclin-like', 201540),
(270890, '0054835', NULL, NULL, 146, NULL, 'Cyclin-like', 201540),
(270891, '0053625', NULL, NULL, 140, NULL, 'Cyclin-like', 201540),
(270892, '0054834', NULL, NULL, 109, NULL, 'Cyclin-like', 201540),
(270893, '0052578', NULL, NULL, 140, NULL, 'Cyclin-like', 201540),
(270894, '0054090', NULL, NULL, 110, NULL, 'Cyclin-like', 201540),
(270895, '0046712', NULL, NULL, 141, NULL, 'Cyclin-like', 201540),
(270896, '0035706', NULL, NULL, 102, NULL, 'Cyclin-like', 201540),
(270897, '0052145', NULL, NULL, 128, NULL, 'Cyclin-like', 201540),
(270898, '0054089', NULL, NULL, 144, NULL, 'Cyclin-like', 201540),
(270899, '0039605', NULL, NULL, 151, NULL, 'Cyclin-like', 201540),
(270900, '0037400', NULL, NULL, 106, NULL, 'Cyclin-like', 201540),
(270901, '0038414', NULL, NULL, 147, NULL, 'Cyclin-like', 201540);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(270902, '0039746', NULL, NULL, 123, NULL, 'Cyclin-like', 201540),
(270903, '0038276', NULL, NULL, 141, NULL, 'Cyclin-like', 201540),
(270904, '0044901', NULL, NULL, 95, NULL, 'Cyclin-like', 201540),
(270905, '0044902', NULL, NULL, 109, NULL, 'Cyclin-like', 201540),
(270906, '0035065', NULL, NULL, 98, NULL, 'Cyclin-like', 201540),
(270907, '0038275', NULL, NULL, 198, NULL, 'Cyclin-like', 201540),
(270908, '0054162', NULL, NULL, 113, NULL, 'Cyclin-like', 201540),
(270909, '0054161', NULL, NULL, 143, NULL, 'Cyclin-like', 201540),
(270910, '0047613', NULL, NULL, 126, NULL, 'Cyclin-like', 201540),
(270911, '0044404', NULL, NULL, 111, NULL, 'BAG domain', 201541),
(270912, '0047251', NULL, NULL, 112, NULL, 'BAG domain', 201541),
(270913, '0049563', NULL, NULL, 129, NULL, 'BAG domain', 201541),
(270914, '0048100', NULL, NULL, 87, NULL, 'BAG domain', 201541),
(270915, '0044355', NULL, NULL, 99, NULL, 'BAG domain', 201541),
(270916, '0047318', NULL, NULL, 135, NULL, 'BAG domain', 201541),
(270917, '0051346', NULL, NULL, 100, NULL, 'GK1464-like', 201542),
(270918, '0044825', NULL, NULL, 121, NULL, 'Hypothetical protein At3g22680', 201543),
(270919, '0052432', NULL, NULL, 202, NULL, 'FtsH protease domain-like', 201544),
(270920, '0052154', NULL, NULL, 193, NULL, 'FtsH protease domain-like', 201544),
(270921, '0050231', NULL, NULL, 97, NULL, 'PTS system IIB component-like', 201545),
(270922, '0054644', NULL, NULL, 103, NULL, 'PTS system IIB component-like', 201545),
(270923, '0054642', NULL, NULL, 103, NULL, 'PTS system IIB component-like', 201545),
(270924, '0039042', NULL, NULL, 103, NULL, 'PTS system IIB component-like', 201545),
(270925, '0044905', NULL, NULL, 45, NULL, 'HIV-1 VPU cytoplasmic domain', 201546),
(270926, '0048197', NULL, NULL, 66, NULL, 'Ribbon-helix-helix', 201547),
(270927, '0051088', NULL, NULL, 35, NULL, 'Ribbon-helix-helix', 201547),
(270928, '0035318', NULL, NULL, 53, NULL, 'Ribbon-helix-helix', 201547),
(270929, '0053641', NULL, NULL, 43, NULL, 'Ribbon-helix-helix', 201547),
(270930, '0054674', NULL, NULL, 121, NULL, 'Ribbon-helix-helix', 201547),
(270931, '0052220', NULL, NULL, 43, NULL, 'Ribbon-helix-helix', 201547),
(270932, '0051658', NULL, NULL, 86, NULL, 'Ribbon-helix-helix', 201547),
(270933, '0051246', NULL, NULL, 81, NULL, 'Ribbon-helix-helix', 201547),
(270934, '0053724', NULL, NULL, 43, NULL, 'Ribbon-helix-helix', 201547),
(270935, '0051983', NULL, NULL, 50, NULL, 'Ribbon-helix-helix', 201547),
(270936, '0053886', NULL, NULL, 82, NULL, 'Ribbon-helix-helix', 201547),
(270937, '0052039', NULL, NULL, 69, NULL, 'Ribbon-helix-helix', 201547),
(270938, '0035481', NULL, NULL, 52, NULL, 'Ribbon-helix-helix', 201547),
(270939, '0036063', NULL, NULL, 104, NULL, 'Ribbon-helix-helix', 201547),
(270940, '0039155', NULL, NULL, 48, NULL, 'Ribbon-helix-helix', 201547),
(270941, '0042628', NULL, NULL, 48, NULL, 'Ribbon-helix-helix', 201547),
(270942, '0048714', NULL, NULL, 76, NULL, 'Ribbon-helix-helix', 201547),
(270943, '0042513', NULL, NULL, 310, NULL, 'Pyruvoyl-dependent histidine and arginine decarboxylases', 201548),
(270944, '0041180', NULL, NULL, 159, NULL, 'Pyruvoyl-dependent histidine and arginine decarboxylases', 201548),
(270945, '0054640', NULL, NULL, 233, NULL, 'ATP12-like', 201549),
(270946, '0054649', NULL, NULL, 261, NULL, 'ATP12-like', 201549),
(270947, '0040791', NULL, NULL, 547, NULL, 'Cytochrome c oxidase subunit I-like', 201550),
(270948, '0041780', NULL, NULL, 514, NULL, 'Cytochrome c oxidase subunit I-like', 201550),
(270949, '0035178', NULL, NULL, 529, NULL, 'Cytochrome c oxidase subunit I-like', 201550),
(270950, '0037556', NULL, NULL, 501, NULL, 'Cytochrome c oxidase subunit I-like', 201550),
(270951, '0037007', NULL, NULL, 549, NULL, 'Cytochrome c oxidase subunit I-like', 201550),
(270952, '0050724', NULL, NULL, 86, NULL, 'Expressed protein At2g23090/F21P24.15', 201551),
(270953, '0051894', NULL, NULL, 259, NULL, 'LeuD/IlvD-like', 201552),
(270954, '0045759', NULL, NULL, 226, NULL, 'LeuD/IlvD-like', 201552),
(270955, '0050083', NULL, NULL, 162, NULL, 'LeuD/IlvD-like', 201552);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(270956, '0052934', NULL, NULL, 190, NULL, 'LeuD/IlvD-like', 201552),
(270957, '0053017', NULL, NULL, 132, NULL, 'LeuD/IlvD-like', 201552),
(270958, '0040389', NULL, NULL, 212, NULL, 'LeuD/IlvD-like', 201552),
(270959, '0047498', NULL, NULL, 98, NULL, 'Hypothetical protein TT1725', 201553),
(270960, '0052388', NULL, NULL, 72, NULL, 'GatD N-terminal domain-like', 201554),
(270961, '0051610', NULL, NULL, 74, NULL, 'GatD N-terminal domain-like', 201554),
(270962, '0048690', NULL, NULL, 35, NULL, 'Microbial and mitochondrial ADK, insert "zinc finger" domain', 201555),
(270963, '0051783', NULL, NULL, 37, NULL, 'Microbial and mitochondrial ADK, insert "zinc finger" domain', 201555),
(270964, '0046460', NULL, NULL, 35, NULL, 'Microbial and mitochondrial ADK, insert "zinc finger" domain', 201555),
(270965, '0045114', NULL, NULL, 31, NULL, 'Microbial and mitochondrial ADK, insert "zinc finger" domain', 201555),
(270966, '0045124', NULL, NULL, 35, NULL, 'Microbial and mitochondrial ADK, insert "zinc finger" domain', 201555),
(270967, '0045786', NULL, NULL, 30, NULL, 'Microbial and mitochondrial ADK, insert "zinc finger" domain', 201555),
(270968, '0045789', NULL, NULL, 38, NULL, 'Microbial and mitochondrial ADK, insert "zinc finger" domain', 201555),
(270969, '0049307', NULL, NULL, 35, NULL, 'Microbial and mitochondrial ADK, insert "zinc finger" domain', 201555),
(270970, '0053837', NULL, NULL, 70, NULL, 'FF domain', 201556),
(270971, '0053838', NULL, NULL, 72, NULL, 'FF domain', 201556),
(270972, '0044575', NULL, NULL, 69, NULL, 'FF domain', 201556),
(270973, '0053836', NULL, NULL, 69, NULL, 'FF domain', 201556),
(270974, '0053732', NULL, NULL, 56, NULL, 'FF domain', 201556),
(270975, '0052247', NULL, NULL, 64, NULL, 'FF domain', 201556),
(270976, '0045582', NULL, NULL, 69, NULL, 'Methanol dehydrogenase subunit', 201557),
(270977, '0038412', NULL, NULL, 73, NULL, 'Methanol dehydrogenase subunit', 201557),
(270978, '0040633', NULL, NULL, 83, NULL, 'Methanol dehydrogenase subunit', 201557),
(270979, '0049297', NULL, NULL, 107, NULL, 'POZ domain', 201558),
(270980, '0043834', NULL, NULL, 100, NULL, 'POZ domain', 201558),
(270981, '0040560', NULL, NULL, 96, NULL, 'POZ domain', 201558),
(270982, '0041351', NULL, NULL, 72, NULL, 'POZ domain', 201558),
(270983, '0042727', NULL, NULL, 99, NULL, 'POZ domain', 201558),
(270984, '0037241', NULL, NULL, 91, NULL, 'POZ domain', 201558),
(270985, '0035720', NULL, NULL, 121, NULL, 'POZ domain', 201558),
(270986, '0043098', NULL, NULL, 122, NULL, 'POZ domain', 201558),
(270987, '0045530', NULL, NULL, 103, NULL, 'POZ domain', 201558),
(270988, '0038738', NULL, NULL, 99, NULL, 'POZ domain', 201558),
(270989, '0037753', NULL, NULL, 61, NULL, 'POZ domain', 201558),
(270990, '0041467', NULL, NULL, 105, NULL, 'POZ domain', 201558),
(270991, '0047693', NULL, NULL, 438, NULL, 'Integrin alpha N-terminal domain', 201559),
(270992, '0053611', NULL, NULL, 452, NULL, 'Integrin alpha N-terminal domain', 201559),
(270993, '0049596', NULL, NULL, 286, NULL, 'Hypothetical protein MPN330', 201560),
(270994, '0052762', NULL, NULL, 59, NULL, 'Kinetochore globular domain', 201561),
(270995, '0052761', NULL, NULL, 89, NULL, 'Kinetochore globular domain', 201561),
(270996, '0039002', NULL, NULL, 169, NULL, 'Thiamin pyrophosphokinase, catalytic domain', 201562),
(270997, '0039000', NULL, NULL, 221, NULL, 'Thiamin pyrophosphokinase, catalytic domain', 201562),
(270998, '0037374', NULL, NULL, 118, NULL, 'Rap30/74 interaction domains', 201563),
(270999, '0037375', NULL, NULL, 162, NULL, 'Rap30/74 interaction domains', 201563),
(271000, '0053902', NULL, NULL, 92, NULL, 'TrmB C-terminal domain-like', 201564),
(271001, '0053123', NULL, NULL, 178, NULL, 'FumA C-terminal domain-like', 201565),
(271002, '0039274', NULL, NULL, 36, NULL, 'Invertebrate chitin-binding proteins', 201566),
(271003, '0036556', NULL, NULL, 73, NULL, 'Invertebrate chitin-binding proteins', 201566),
(271004, '0046564', NULL, NULL, 103, NULL, 'D-aminopeptidase, middle and C-terminal domains', 201567),
(271005, '0037016', NULL, NULL, 82, NULL, 'D-aminopeptidase, middle and C-terminal domains', 201567);              
INSERT INTO "PUBLIC"."MODEL" VALUES
(271006, '0043870', NULL, NULL, 92, NULL, 'Cell division protein ZapA-like', 201568),
(271007, '0049471', NULL, NULL, 115, NULL, 'Calcium ATPase, transduction domain A', 201569),
(271008, '0054040', NULL, NULL, 127, NULL, 'YdfO-like', 201570),
(271009, '0035539', NULL, NULL, 124, NULL, 'Transcription factor STAT-4 N-domain', 201571),
(271010, '0050320', NULL, NULL, 88, NULL, 'Superoxide reductase-like', 201572),
(271011, '0046384', NULL, NULL, 124, NULL, 'Superoxide reductase-like', 201572),
(271012, '0046328', NULL, NULL, 89, NULL, 'Superoxide reductase-like', 201572),
(271013, '0053270', NULL, NULL, 248, NULL, 'CofE-like', 201573),
(271014, '0054830', NULL, NULL, 184, NULL, 'post-AAA+ oligomerization domain-like', 201574),
(271015, '0034889', NULL, NULL, 123, NULL, 'post-AAA+ oligomerization domain-like', 201574),
(271016, '0054660', NULL, NULL, 186, NULL, 'post-AAA+ oligomerization domain-like', 201574),
(271017, '0039710', NULL, NULL, 126, NULL, 'post-AAA+ oligomerization domain-like', 201574),
(271018, '0039712', NULL, NULL, 127, NULL, 'post-AAA+ oligomerization domain-like', 201574),
(271019, '0052930', NULL, NULL, 98, NULL, 'post-AAA+ oligomerization domain-like', 201574),
(271020, '0039135', NULL, NULL, 95, NULL, 'post-AAA+ oligomerization domain-like', 201574),
(271021, '0043789', NULL, NULL, 146, NULL, 'post-AAA+ oligomerization domain-like', 201574),
(271022, '0054907', NULL, NULL, 163, NULL, 'post-AAA+ oligomerization domain-like', 201574),
(271023, '0043791', NULL, NULL, 93, NULL, 'post-AAA+ oligomerization domain-like', 201574),
(271024, '0043793', NULL, NULL, 95, NULL, 'post-AAA+ oligomerization domain-like', 201574),
(271025, '0043795', NULL, NULL, 91, NULL, 'post-AAA+ oligomerization domain-like', 201574),
(271026, '0043797', NULL, NULL, 99, NULL, 'post-AAA+ oligomerization domain-like', 201574),
(271027, '0049242', NULL, NULL, 184, NULL, 'RmlC-like cupins', 201575),
(271028, '0053268', NULL, NULL, 200, NULL, 'RmlC-like cupins', 201575),
(271029, '0053269', NULL, NULL, 162, NULL, 'RmlC-like cupins', 201575),
(271030, '0050871', NULL, NULL, 190, NULL, 'RmlC-like cupins', 201575),
(271031, '0054433', NULL, NULL, 93, NULL, 'RmlC-like cupins', 201575),
(271032, '0050074', NULL, NULL, 105, NULL, 'RmlC-like cupins', 201575),
(271033, '0036688', NULL, NULL, 183, NULL, 'RmlC-like cupins', 201575),
(271034, '0039319', NULL, NULL, 288, NULL, 'RmlC-like cupins', 201575),
(271035, '0037258', NULL, NULL, 439, NULL, 'RmlC-like cupins', 201575),
(271036, '0054317', NULL, NULL, 144, NULL, 'RmlC-like cupins', 201575),
(271037, '0052017', NULL, NULL, 122, NULL, 'RmlC-like cupins', 201575),
(271038, '0047506', NULL, NULL, 187, NULL, 'RmlC-like cupins', 201575),
(271039, '0043706', NULL, NULL, 273, NULL, 'RmlC-like cupins', 201575),
(271040, '0051916', NULL, NULL, 186, NULL, 'RmlC-like cupins', 201575),
(271041, '0046333', NULL, NULL, 169, NULL, 'RmlC-like cupins', 201575),
(271042, '0043023', NULL, NULL, 315, NULL, 'RmlC-like cupins', 201575),
(271043, '0046334', NULL, NULL, 178, NULL, 'RmlC-like cupins', 201575),
(271044, '0043585', NULL, NULL, 245, NULL, 'RmlC-like cupins', 201575),
(271045, '0049969', NULL, NULL, 201, NULL, 'RmlC-like cupins', 201575),
(271046, '0048558', NULL, NULL, 202, NULL, 'RmlC-like cupins', 201575),
(271047, '0049374', NULL, NULL, 250, NULL, 'RmlC-like cupins', 201575),
(271048, '0051410', NULL, NULL, 158, NULL, 'RmlC-like cupins', 201575),
(271049, '0054124', NULL, NULL, 185, NULL, 'RmlC-like cupins', 201575),
(271050, '0043192', NULL, NULL, 253, NULL, 'RmlC-like cupins', 201575),
(271051, '0051250', NULL, NULL, 99, NULL, 'RmlC-like cupins', 201575),
(271052, '0054486', NULL, NULL, 135, NULL, 'RmlC-like cupins', 201575),
(271053, '0051095', NULL, NULL, 160, NULL, 'RmlC-like cupins', 201575),
(271054, '0041608', NULL, NULL, 194, NULL, 'RmlC-like cupins', 201575),
(271055, '0048484', NULL, NULL, 115, NULL, 'RmlC-like cupins', 201575),
(271056, '0042381', NULL, NULL, 440, NULL, 'RmlC-like cupins', 201575),
(271057, '0054560', NULL, NULL, 128, NULL, 'RmlC-like cupins', 201575); 
INSERT INTO "PUBLIC"."MODEL" VALUES
(271058, '0051339', NULL, NULL, 195, NULL, 'RmlC-like cupins', 201575),
(271059, '0050205', NULL, NULL, 114, NULL, 'RmlC-like cupins', 201575),
(271060, '0051659', NULL, NULL, 299, NULL, 'RmlC-like cupins', 201575),
(271061, '0053679', NULL, NULL, 175, NULL, 'RmlC-like cupins', 201575),
(271062, '0037841', NULL, NULL, 239, NULL, 'RmlC-like cupins', 201575),
(271063, '0053952', NULL, NULL, 192, NULL, 'RmlC-like cupins', 201575),
(271064, '0054844', NULL, NULL, 355, NULL, 'RmlC-like cupins', 201575),
(271065, '0053799', NULL, NULL, 308, NULL, 'RmlC-like cupins', 201575),
(271066, '0047515', NULL, NULL, 372, NULL, 'RmlC-like cupins', 201575),
(271067, '0046787', NULL, NULL, 201, NULL, 'RmlC-like cupins', 201575),
(271068, '0045016', NULL, NULL, 267, NULL, 'RmlC-like cupins', 201575),
(271069, '0050297', NULL, NULL, 179, NULL, 'RmlC-like cupins', 201575),
(271070, '0051300', NULL, NULL, 174, NULL, 'RmlC-like cupins', 201575),
(271071, '0052595', NULL, NULL, 134, NULL, 'RmlC-like cupins', 201575),
(271072, '0051625', NULL, NULL, 179, NULL, 'RmlC-like cupins', 201575),
(271073, '0050652', NULL, NULL, 176, NULL, 'RmlC-like cupins', 201575),
(271074, '0040530', NULL, NULL, 89, NULL, 'RmlC-like cupins', 201575),
(271075, '0051939', NULL, NULL, 108, NULL, 'RmlC-like cupins', 201575),
(271076, '0046598', NULL, NULL, 183, NULL, 'RmlC-like cupins', 201575),
(271077, '0047686', NULL, NULL, 348, NULL, 'RmlC-like cupins', 201575),
(271078, '0048019', NULL, NULL, 160, NULL, 'RmlC-like cupins', 201575),
(271079, '0051311', NULL, NULL, 112, NULL, 'RmlC-like cupins', 201575),
(271080, '0051431', NULL, NULL, 260, NULL, 'RmlC-like cupins', 201575),
(271081, '0052088', NULL, NULL, 190, NULL, 'RmlC-like cupins', 201575),
(271082, '0049672', NULL, NULL, 231, NULL, 'RmlC-like cupins', 201575),
(271083, '0051957', NULL, NULL, 166, NULL, 'RmlC-like cupins', 201575),
(271084, '0054507', NULL, NULL, 351, NULL, 'RmlC-like cupins', 201575),
(271085, '0051599', NULL, NULL, 140, NULL, 'RmlC-like cupins', 201575),
(271086, '0041796', NULL, NULL, 245, NULL, 'RmlC-like cupins', 201575),
(271087, '0050937', NULL, NULL, 194, NULL, 'RmlC-like cupins', 201575),
(271088, '0046882', NULL, NULL, 174, NULL, 'RmlC-like cupins', 201575),
(271089, '0047410', NULL, NULL, 168, NULL, 'RmlC-like cupins', 201575),
(271090, '0048543', NULL, NULL, 173, NULL, 'RmlC-like cupins', 201575),
(271091, '0047411', NULL, NULL, 211, NULL, 'RmlC-like cupins', 201575),
(271092, '0051192', NULL, NULL, 330, NULL, 'RmlC-like cupins', 201575),
(271093, '0049913', NULL, NULL, 185, NULL, 'RmlC-like cupins', 201575),
(271094, '0049912', NULL, NULL, 203, NULL, 'RmlC-like cupins', 201575),
(271095, '0054477', NULL, NULL, 133, NULL, 'YopX-like', 201576),
(271096, '0054429', NULL, NULL, 143, NULL, 'YopX-like', 201576),
(271097, '0054082', NULL, NULL, 134, NULL, 'YopX-like', 201576),
(271098, '0049682', NULL, NULL, 98, NULL, 'Rof/RNase P subunit-like', 201577),
(271099, '0050077', NULL, NULL, 92, NULL, 'Rof/RNase P subunit-like', 201577),
(271100, '0049387', NULL, NULL, 86, NULL, 'Rof/RNase P subunit-like', 201577),
(271101, '0041974', NULL, NULL, 78, NULL, 'Rof/RNase P subunit-like', 201577),
(271102, '0048576', NULL, NULL, 24, NULL, 'DPY module', 201578),
(271103, '0053257', NULL, NULL, 233, NULL, 'PA domain', 201579),
(271104, '0046309', NULL, NULL, 193, NULL, 'PA domain', 201579),
(271105, '0053161', NULL, NULL, 115, NULL, 'STIV B116-like', 201580),
(271106, '0053160', NULL, NULL, 109, NULL, 'STIV B116-like', 201580),
(271107, '0053969', NULL, NULL, 98, NULL, 'YNR034W-A-like', 201581),
(271108, '0045260', NULL, NULL, 210, NULL, 'Barwin-like endoglucanases', 201582),
(271109, '0054531', NULL, NULL, 365, NULL, 'Barwin-like endoglucanases', 201582),
(271110, '0053694', NULL, NULL, 335, NULL, 'Barwin-like endoglucanases', 201582),
(271111, '0035740', NULL, NULL, 125, NULL, 'Barwin-like endoglucanases', 201582),
(271112, '0040416', NULL, NULL, 207, NULL, 'Barwin-like endoglucanases', 201582),
(271113, '0053626', NULL, NULL, 180, NULL, 'Barwin-like endoglucanases', 201582);      
INSERT INTO "PUBLIC"."MODEL" VALUES
(271114, '0048258', NULL, NULL, 143, NULL, 'Barwin-like endoglucanases', 201582),
(271115, '0053935', NULL, NULL, 402, NULL, 'Barwin-like endoglucanases', 201582),
(271116, '0043351', NULL, NULL, 106, NULL, 'Bacterial fluorinating enzyme, C-terminal domain', 201583),
(271117, '0052537', NULL, NULL, 72, NULL, 'NfeD domain-like', 201584),
(271118, '0053963', NULL, NULL, 72, NULL, 'MbtH-like', 201585),
(271119, '0054139', NULL, NULL, 280, NULL, 'Api92-like', 201586),
(271120, '0039460', NULL, NULL, 151, NULL, 'Photosystem I reaction center subunit XI, PsaL', 201587),
(271121, '0044952', NULL, NULL, 181, NULL, 'Peptidylarginine deiminase Pad4, middle domain', 201588),
(271122, '0045259', NULL, NULL, 137, NULL, 'T4 endonuclease V', 201589),
(271123, '0036455', NULL, NULL, 79, NULL, 'Protein HNS-dependent expression A; HdeA', 201590),
(271124, '0051282', NULL, NULL, 66, NULL, 'TFB5-like', 201591),
(271125, '0053302', NULL, NULL, 196, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271126, '0051761', NULL, NULL, 213, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271127, '0053267', NULL, NULL, 232, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271128, '0046331', NULL, NULL, 237, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271129, '0048232', NULL, NULL, 236, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271130, '0048870', NULL, NULL, 434, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271131, '0038386', NULL, NULL, 191, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271132, '0037694', NULL, NULL, 237, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271133, '0037454', NULL, NULL, 234, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271134, '0040231', NULL, NULL, 223, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271135, '0040472', NULL, NULL, 243, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271136, '0040591', NULL, NULL, 227, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271137, '0041680', NULL, NULL, 270, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271138, '0052728', NULL, NULL, 217, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271139, '0041968', NULL, NULL, 223, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271140, '0046337', NULL, NULL, 204, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271141, '0042498', NULL, NULL, 194, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271142, '0044555', NULL, NULL, 216, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271143, '0044950', NULL, NULL, 319, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271144, '0048910', NULL, NULL, 435, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271145, '0045095', NULL, NULL, 194, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271146, '0049971', NULL, NULL, 266, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271147, '0052187', NULL, NULL, 237, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271148, '0053316', NULL, NULL, 207, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271149, '0052500', NULL, NULL, 206, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271150, '0041211', NULL, NULL, 241, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271151, '0039065', NULL, NULL, 250, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271152, '0047399', NULL, NULL, 228, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271153, '0048488', NULL, NULL, 295, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271154, '0043474', NULL, NULL, 206, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271155, '0044686', NULL, NULL, 222, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271156, '0042784', NULL, NULL, 207, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271157, '0044568', NULL, NULL, 138, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271158, '0046195', NULL, NULL, 214, NULL, 'Concanavalin A-like lectins/glucanases', 201592);       
INSERT INTO "PUBLIC"."MODEL" VALUES
(271159, '0050332', NULL, NULL, 192, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271160, '0035813', NULL, NULL, 135, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271161, '0053201', NULL, NULL, 137, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271162, '0046076', NULL, NULL, 180, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271163, '0051382', NULL, NULL, 205, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271164, '0048891', NULL, NULL, 195, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271165, '0052639', NULL, NULL, 188, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271166, '0050333', NULL, NULL, 197, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271167, '0038008', NULL, NULL, 251, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271168, '0038486', NULL, NULL, 218, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271169, '0039178', NULL, NULL, 134, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271170, '0041102', NULL, NULL, 243, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271171, '0041068', NULL, NULL, 224, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271172, '0038367', NULL, NULL, 191, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271173, '0045829', NULL, NULL, 226, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271174, '0037395', NULL, NULL, 199, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271175, '0045783', NULL, NULL, 212, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271176, '0046872', NULL, NULL, 240, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271177, '0045387', NULL, NULL, 222, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271178, '0045782', NULL, NULL, 214, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271179, '0045543', NULL, NULL, 400, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271180, '0047966', NULL, NULL, 229, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271181, '0049350', NULL, NULL, 204, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271182, '0053179', NULL, NULL, 230, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271183, '0048386', NULL, NULL, 237, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271184, '0052129', NULL, NULL, 163, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271185, '0036338', NULL, NULL, 239, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271186, '0051315', NULL, NULL, 209, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271187, '0036975', NULL, NULL, 371, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271188, '0043656', NULL, NULL, 133, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271189, '0039321', NULL, NULL, 228, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271190, '0038356', NULL, NULL, 227, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271191, '0038351', NULL, NULL, 134, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271192, '0041195', NULL, NULL, 222, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271193, '0051707', NULL, NULL, 239, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271194, '0041913', NULL, NULL, 224, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271195, '0041755', NULL, NULL, 222, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271196, '0041754', NULL, NULL, 218, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271197, '0040785', NULL, NULL, 197, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271198, '0048032', NULL, NULL, 253, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271199, '0048278', NULL, NULL, 233, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271200, '0052538', NULL, NULL, 211, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271201, '0046937', NULL, NULL, 253, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271202, '0051717', NULL, NULL, 218, NULL, 'Concanavalin A-like lectins/glucanases', 201592);    
INSERT INTO "PUBLIC"."MODEL" VALUES
(271203, '0046938', NULL, NULL, 141, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271204, '0051718', NULL, NULL, 221, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271205, '0047109', NULL, NULL, 218, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271206, '0044236', NULL, NULL, 223, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271207, '0052421', NULL, NULL, 185, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271208, '0046260', NULL, NULL, 170, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271209, '0047199', NULL, NULL, 129, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271210, '0045053', NULL, NULL, 190, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271211, '0054164', NULL, NULL, 179, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271212, '0039549', NULL, NULL, 250, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271213, '0036674', NULL, NULL, 271, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271214, '0051853', NULL, NULL, 214, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271215, '0045737', NULL, NULL, 247, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271216, '0043956', NULL, NULL, 190, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271217, '0042869', NULL, NULL, 132, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271218, '0036671', NULL, NULL, 398, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271219, '0046423', NULL, NULL, 189, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271220, '0045853', NULL, NULL, 206, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271221, '0046424', NULL, NULL, 185, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271222, '0048847', NULL, NULL, 195, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271223, '0046944', NULL, NULL, 233, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271224, '0051221', NULL, NULL, 210, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271225, '0034923', NULL, NULL, 134, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271226, '0047089', NULL, NULL, 239, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271227, '0045066', NULL, NULL, 178, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271228, '0038204', NULL, NULL, 431, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271229, '0038601', NULL, NULL, 185, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271230, '0038287', NULL, NULL, 228, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271231, '0046956', NULL, NULL, 214, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271232, '0039013', NULL, NULL, 205, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271233, '0040215', NULL, NULL, 160, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271234, '0035606', NULL, NULL, 135, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271235, '0051198', NULL, NULL, 164, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271236, '0049553', NULL, NULL, 182, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271237, '0050427', NULL, NULL, 237, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271238, '0038677', NULL, NULL, 236, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271239, '0046605', NULL, NULL, 218, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271240, '0037101', NULL, NULL, 190, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271241, '0042889', NULL, NULL, 237, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271242, '0051193', NULL, NULL, 204, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271243, '0048987', NULL, NULL, 231, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271244, '0044424', NULL, NULL, 150, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271245, '0049955', NULL, NULL, 267, NULL, 'Concanavalin A-like lectins/glucanases', 201592),
(271246, '0051012', NULL, NULL, 91, NULL, 'Type III secretion system domain', 201593);           
INSERT INTO "PUBLIC"."MODEL" VALUES
(271247, '0051003', NULL, NULL, 197, NULL, 'Type III secretion system domain', 201593),
(271248, '0051469', NULL, NULL, 104, NULL, 'Type III secretion system domain', 201593),
(271249, '0049230', NULL, NULL, 107, NULL, 'Tubulin C-terminal domain-like', 201594),
(271250, '0050372', NULL, NULL, 121, NULL, 'Tubulin C-terminal domain-like', 201594),
(271251, '0044121', NULL, NULL, 195, NULL, 'Tubulin C-terminal domain-like', 201594),
(271252, '0044123', NULL, NULL, 184, NULL, 'Tubulin C-terminal domain-like', 201594),
(271253, '0053758', NULL, NULL, 180, NULL, 'Tubulin C-terminal domain-like', 201594),
(271254, '0050369', NULL, NULL, 123, NULL, 'Tubulin C-terminal domain-like', 201594),
(271255, '0048559', NULL, NULL, 109, NULL, 'Tubulin C-terminal domain-like', 201594),
(271256, '0053741', NULL, NULL, 114, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271257, '0054112', NULL, NULL, 110, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271258, '0052759', NULL, NULL, 151, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271259, '0039933', NULL, NULL, 104, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271260, '0053644', NULL, NULL, 113, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271261, '0054657', NULL, NULL, 103, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271262, '0041367', NULL, NULL, 128, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271263, '0040031', NULL, NULL, 143, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271264, '0047005', NULL, NULL, 127, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271265, '0054393', NULL, NULL, 141, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271266, '0048114', NULL, NULL, 61, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271267, '0046499', NULL, NULL, 181, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271268, '0047004', NULL, NULL, 124, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271269, '0040833', NULL, NULL, 55, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271270, '0044456', NULL, NULL, 92, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271271, '0054567', NULL, NULL, 104, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271272, '0051352', NULL, NULL, 128, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271273, '0054687', NULL, NULL, 132, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271274, '0054488', NULL, NULL, 140, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271275, '0054147', NULL, NULL, 78, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271276, '0053352', NULL, NULL, 181, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271277, '0041948', NULL, NULL, 106, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271278, '0054483', NULL, NULL, 119, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271279, '0054627', NULL, NULL, 97, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271280, '0054825', NULL, NULL, 96, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271281, '0052788', NULL, NULL, 157, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271282, '0051378', NULL, NULL, 86, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271283, '0054548', NULL, NULL, 104, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271284, '0047518', NULL, NULL, 127, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271285, '0037043', NULL, NULL, 182, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271286, '0053590', NULL, NULL, 129, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271287, '0041659', NULL, NULL, 77, NULL, 'Composite domain of metallo-dependent hydrolases', 201595);          
INSERT INTO "PUBLIC"."MODEL" VALUES
(271288, '0053092', NULL, NULL, 102, NULL, 'Composite domain of metallo-dependent hydrolases', 201595),
(271289, 'SignalP-noTM', NULL, NULL, NULL, NULL, 'SignalP-noTM', 201596),
(271290, 'SignalP-TM', NULL, NULL, NULL, NULL, 'SignalP-TM', 201597),
(271291, 'SignalP-TM', NULL, NULL, NULL, NULL, 'SignalP-TM', 201598),
(271292, 'SignalP-noTM', NULL, NULL, NULL, NULL, 'SignalP-noTM', 201599),
(271293, 'SignalP-noTM', NULL, NULL, NULL, NULL, 'SignalP-noTM', 201600),
(271294, 'SignalP-TM', NULL, NULL, NULL, NULL, 'SignalP-TM', 201601);    
CREATE INDEX "PUBLIC"."MODEL_AC_IDX" ON "PUBLIC"."MODEL"("ACCESSION");         
CREATE INDEX "PUBLIC"."MODEL_NAME_IDX" ON "PUBLIC"."MODEL"("MODEL_NAME");      
CREATE INDEX "PUBLIC"."MODEL_MD5_IDX" ON "PUBLIC"."MODEL"("MD5");              
CREATE CACHED TABLE "PUBLIC"."MODEL_DEFINITION_CHUNK"(
    "MODEL_ID" BIGINT NOT NULL,
    "DEFINITION_CHUNK" VARCHAR(4000),
    "CHUNK_INDEX" INTEGER NOT NULL
);             
ALTER TABLE "PUBLIC"."MODEL_DEFINITION_CHUNK" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_92" PRIMARY KEY("MODEL_ID", "CHUNK_INDEX");  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.MODEL_DEFINITION_CHUNK;   
CREATE CACHED TABLE "PUBLIC"."MODEL_DESCRIPTION_CHUNK"(
    "MODEL_ID" BIGINT NOT NULL,
    "DESCRIPTION_CHUNK" VARCHAR(4000),
    "CHUNK_INDEX" INTEGER NOT NULL
);           
ALTER TABLE "PUBLIC"."MODEL_DESCRIPTION_CHUNK" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_76" PRIMARY KEY("MODEL_ID", "CHUNK_INDEX"); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.MODEL_DESCRIPTION_CHUNK;  
CREATE CACHED TABLE "PUBLIC"."NUCLEOTIDE_SEQUENCE_CHUNK"(
    "NUCLEOTIDE_SEQUENCE_ID" BIGINT NOT NULL,
    "SEQUENCE_CHUNKS" VARCHAR(4000),
    "CHUNK_INDEX" INTEGER NOT NULL
);             
ALTER TABLE "PUBLIC"."NUCLEOTIDE_SEQUENCE_CHUNK" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_C9" PRIMARY KEY("NUCLEOTIDE_SEQUENCE_ID", "CHUNK_INDEX"); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.NUCLEOTIDE_SEQUENCE_CHUNK;
CREATE CACHED TABLE "PUBLIC"."NUCLEOTIDE_SEQUENCE"(
    "ID" BIGINT NOT NULL,
    "MD5" VARCHAR(32) NOT NULL,
    "SEQUENCE_FIRST_CHUNK" VARCHAR(4000) NOT NULL
);             
ALTER TABLE "PUBLIC"."NUCLEOTIDE_SEQUENCE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_4B" PRIMARY KEY("ID");          
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.NUCLEOTIDE_SEQUENCE;      
CREATE CACHED TABLE "PUBLIC"."NUCLEOTIDE_SEQUENCE_XREF"(
    "ID" BIGINT NOT NULL,
    "DATABASE_NAME" VARCHAR(255),
    "IDENTIFIER" VARCHAR(255) NOT NULL,
    "NAME" VARCHAR(255),
    "SEQUENCE_ID" BIGINT NOT NULL
);     
ALTER TABLE "PUBLIC"."NUCLEOTIDE_SEQUENCE_XREF" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_48" PRIMARY KEY("ID");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.NUCLEOTIDE_SEQUENCE_XREF; 
CREATE INDEX "PUBLIC"."IDX7LWATP16IYMAUIY0X0U22PJ19" ON "PUBLIC"."NUCLEOTIDE_SEQUENCE_XREF"("IDENTIFIER");     
CREATE CACHED TABLE "PUBLIC"."OPEN_READING_FRAME"(
    "ID" BIGINT NOT NULL,
    "ORF_END" INTEGER NOT NULL,
    "ORF_START" INTEGER NOT NULL,
    "STRAND" VARCHAR(255) NOT NULL,
    "NUCLEOTIDE_SEQUENCE_ID" BIGINT NOT NULL,
    "PROTEIN_ID" BIGINT NOT NULL
);           
ALTER TABLE "PUBLIC"."OPEN_READING_FRAME" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_47" PRIMARY KEY("ID");           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.OPEN_READING_FRAME;       
CREATE CACHED TABLE "PUBLIC"."PANTHER_LOCATION"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "MATCH_ID" BIGINT NOT NULL,
    "ENVELOPE_END" INTEGER NOT NULL,
    "ENVELOPE_START" INTEGER NOT NULL,
    "HMM_BOUNDS" VARCHAR(2) NOT NULL,
    "HMM_END" INTEGER NOT NULL,
    "HMM_LENGTH" INTEGER NOT NULL,
    "HMM_START" INTEGER NOT NULL
);          
ALTER TABLE "PUBLIC"."PANTHER_LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_93" PRIMARY KEY("ID");             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PANTHER_LOCATION;         
CREATE CACHED TABLE "PUBLIC"."PANTHER_LOCATION_FRAGMENT"(
    "ID" BIGINT NOT NULL,
    "DC_STATUS" VARCHAR(255) NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);              
ALTER TABLE "PUBLIC"."PANTHER_LOCATION_FRAGMENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_E" PRIMARY KEY("ID");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PANTHER_LOCATION_FRAGMENT;
CREATE CACHED TABLE "PUBLIC"."PANTHER_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "ENVELOPE_END" INTEGER NOT NULL,
    "ENVELOPE_START" INTEGER NOT NULL,
    "EVALUE" DOUBLE,
    "FAMILY_NAME" VARCHAR(255),
    "HMM_BOUNDS" VARCHAR(2),
    "HMM_END" INTEGER NOT NULL,
    "HMM_LENGTH" INTEGER NOT NULL,
    "HMM_START" INTEGER NOT NULL,
    "SCORE" DOUBLE
);             
ALTER TABLE "PUBLIC"."PANTHER_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_F7" PRIMARY KEY("ID");            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PANTHER_RAW_MATCH;        
CREATE INDEX "PUBLIC"."PANTHER_RW_SEQ_IDX" ON "PUBLIC"."PANTHER_RAW_MATCH"("SEQUENCE_ID");     
CREATE INDEX "PUBLIC"."PANTHER_RW_NUM_SEQ_IDX" ON "PUBLIC"."PANTHER_RAW_MATCH"("NUMERIC_SEQUENCE_ID");         
CREATE INDEX "PUBLIC"."PANTHER_RW_MODEL_IDX" ON "PUBLIC"."PANTHER_RAW_MATCH"("MODEL_ID");      
CREATE INDEX "PUBLIC"."PANTHER_RW_SIGLIB_IDX" ON "PUBLIC"."PANTHER_RAW_MATCH"("SIGNATURE_LIBRARY");            
CREATE INDEX "PUBLIC"."PANTHER_RW_SIGLIB_REL_IDX" ON "PUBLIC"."PANTHER_RAW_MATCH"("SIG_LIB_RELEASE");          
CREATE CACHED TABLE "PUBLIC"."PANTHER_MATCH"(
    "ID" BIGINT NOT NULL,
    "SIGNATURE_MODELS" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL,
    "SIGNATURE_ID" BIGINT NOT NULL,
    "EVALUE" DOUBLE NOT NULL,
    "FAMILY_NAME" VARCHAR(255) NOT NULL,
    "SCORE" DOUBLE NOT NULL
);       
ALTER TABLE "PUBLIC"."PANTHER_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_4D" PRIMARY KEY("ID");
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PANTHER_MATCH;            
CREATE CACHED TABLE "PUBLIC"."PATHWAY_XREF"(
    "ID" BIGINT NOT NULL,
    "DATABASE_NAME" VARCHAR(255),
    "IDENTIFIER" VARCHAR(255) NOT NULL,
    "NAME" VARCHAR(255)
);    
ALTER TABLE "PUBLIC"."PATHWAY_XREF" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_6A" PRIMARY KEY("ID"); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PATHWAY_XREF;             
CREATE INDEX "PUBLIC"."IDXF7EQ58XO5QEGQBYNS44T7TVI1" ON "PUBLIC"."PATHWAY_XREF"("IDENTIFIER"); 
CREATE CACHED TABLE "PUBLIC"."PATTERN_SCAN_LOCATION"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "MATCH_ID" BIGINT NOT NULL,
    "CIGAR_ALIGN" VARCHAR(255) NOT NULL,
    "LOCATION_LEVEL" INTEGER NOT NULL
);            
ALTER TABLE "PUBLIC"."PATTERN_SCAN_LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_26" PRIMARY KEY("ID");        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PATTERN_SCAN_LOCATION;    
CREATE CACHED TABLE "PUBLIC"."PATTERN_SCAN_LOCATION_FRAGMENT"(
    "ID" BIGINT NOT NULL,
    "DC_STATUS" VARCHAR(255) NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);         
ALTER TABLE "PUBLIC"."PATTERN_SCAN_LOCATION_FRAGMENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_17" PRIMARY KEY("ID");               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PATTERN_SCAN_LOCATION_FRAGMENT;           
CREATE CACHED TABLE "PUBLIC"."PATTERN_SCAN_MATCH"(
    "ID" BIGINT NOT NULL,
    "SIGNATURE_MODELS" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL,
    "SIGNATURE_ID" BIGINT NOT NULL
);      
ALTER TABLE "PUBLIC"."PATTERN_SCAN_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_6E" PRIMARY KEY("ID");           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PATTERN_SCAN_MATCH;       
CREATE CACHED TABLE "PUBLIC"."PFAM_HMMER3_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "EVALUE" DOUBLE NOT NULL,
    "HMM_BOUNDS" VARCHAR(2),
    "HMM_END" INTEGER NOT NULL,
    "HMM_START" INTEGER NOT NULL,
    "LOCATION_SCORE" DOUBLE NOT NULL,
    "SCORE" DOUBLE NOT NULL,
    "DOMAIN_BIAS" DOUBLE NOT NULL,
    "DOMAIN_CE_VALUE" DOUBLE NOT NULL,
    "DOMAIN_IE_VALUE" DOUBLE NOT NULL,
    "ENVELOPE_END" INTEGER NOT NULL,
    "ENVELOPE_START" INTEGER NOT NULL,
    "EXPECTED_ACCURACY" DOUBLE NOT NULL,
    "FULL_SEQUENCE_BIAS" DOUBLE NOT NULL,
    "SPLIT_GROUP" BINARY
);      
ALTER TABLE "PUBLIC"."PFAM_HMMER3_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_84" PRIMARY KEY("ID");        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PFAM_HMMER3_RAW_MATCH;    
CREATE INDEX "PUBLIC"."PFAM_RW_SEQ_IDX" ON "PUBLIC"."PFAM_HMMER3_RAW_MATCH"("SEQUENCE_ID");    
CREATE INDEX "PUBLIC"."PFAM_RW_NUM_SEQ_IDX" ON "PUBLIC"."PFAM_HMMER3_RAW_MATCH"("NUMERIC_SEQUENCE_ID");        
CREATE INDEX "PUBLIC"."PFAM_RW_MODEL_IDX" ON "PUBLIC"."PFAM_HMMER3_RAW_MATCH"("MODEL_ID");     
CREATE INDEX "PUBLIC"."PFAM_RW_SIGLIB_IDX" ON "PUBLIC"."PFAM_HMMER3_RAW_MATCH"("SIGNATURE_LIBRARY");           
CREATE INDEX "PUBLIC"."PFAM_RW_SIGLIB_REL_IDX" ON "PUBLIC"."PFAM_HMMER3_RAW_MATCH"("SIG_LIB_RELEASE");         
CREATE CACHED TABLE "PUBLIC"."PHOBIUS_LOCATION"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "MATCH_ID" BIGINT NOT NULL
); 
ALTER TABLE "PUBLIC"."PHOBIUS_LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_6F4" PRIMARY KEY("ID");            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PHOBIUS_LOCATION;         
CREATE CACHED TABLE "PUBLIC"."PHOBIUS_LOCATION_FRAGMENT"(
    "ID" BIGINT NOT NULL,
    "DC_STATUS" VARCHAR(255) NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);              
ALTER TABLE "PUBLIC"."PHOBIUS_LOCATION_FRAGMENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_F78" PRIMARY KEY("ID");   
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PHOBIUS_LOCATION_FRAGMENT;
CREATE CACHED TABLE "PUBLIC"."PHOBIUS_MATCH"(
    "ID" BIGINT NOT NULL,
    "SIGNATURE_MODELS" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL,
    "SIGNATURE_ID" BIGINT NOT NULL
);           
ALTER TABLE "PUBLIC"."PHOBIUS_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_32" PRIMARY KEY("ID");
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PHOBIUS_MATCH;            
CREATE CACHED TABLE "PUBLIC"."PIRSF_HMMER2_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "EVALUE" DOUBLE NOT NULL,
    "HMM_BOUNDS" VARCHAR(2),
    "HMM_END" INTEGER NOT NULL,
    "HMM_START" INTEGER NOT NULL,
    "LOCATION_SCORE" DOUBLE NOT NULL,
    "SCORE" DOUBLE NOT NULL,
    "LOCATION_EVALUE" DOUBLE
); 
ALTER TABLE "PUBLIC"."PIRSF_HMMER2_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_931" PRIMARY KEY("ID");      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PIRSF_HMMER2_RAW_MATCH;   
CREATE INDEX "PUBLIC"."PIRSF2_RW_SEQ_IDX" ON "PUBLIC"."PIRSF_HMMER2_RAW_MATCH"("SEQUENCE_ID"); 
CREATE INDEX "PUBLIC"."PIRSF2_RW_NUM_SEQ_IDX" ON "PUBLIC"."PIRSF_HMMER2_RAW_MATCH"("NUMERIC_SEQUENCE_ID");     
CREATE INDEX "PUBLIC"."PIRSF2_RW_MODEL_IDX" ON "PUBLIC"."PIRSF_HMMER2_RAW_MATCH"("MODEL_ID");  
CREATE INDEX "PUBLIC"."PIRSF2_RW_SIGLIB_IDX" ON "PUBLIC"."PIRSF_HMMER2_RAW_MATCH"("SIGNATURE_LIBRARY");        
CREATE INDEX "PUBLIC"."PIRSF2_RW_SIGLIB_REL_IDX" ON "PUBLIC"."PIRSF_HMMER2_RAW_MATCH"("SIG_LIB_RELEASE");      
CREATE CACHED TABLE "PUBLIC"."PIRSF_HMMER3_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "EVALUE" DOUBLE NOT NULL,
    "HMM_BOUNDS" VARCHAR(2),
    "HMM_END" INTEGER NOT NULL,
    "HMM_START" INTEGER NOT NULL,
    "LOCATION_SCORE" DOUBLE NOT NULL,
    "SCORE" DOUBLE NOT NULL,
    "DOMAIN_BIAS" DOUBLE NOT NULL,
    "DOMAIN_CE_VALUE" DOUBLE NOT NULL,
    "DOMAIN_IE_VALUE" DOUBLE NOT NULL,
    "ENVELOPE_END" INTEGER NOT NULL,
    "ENVELOPE_START" INTEGER NOT NULL,
    "EXPECTED_ACCURACY" DOUBLE NOT NULL,
    "FULL_SEQUENCE_BIAS" DOUBLE NOT NULL,
    "SPLIT_GROUP" BINARY
);     
ALTER TABLE "PUBLIC"."PIRSF_HMMER3_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_27" PRIMARY KEY("ID");       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PIRSF_HMMER3_RAW_MATCH;   
CREATE INDEX "PUBLIC"."PIRSF3_RW_SEQ_IDX" ON "PUBLIC"."PIRSF_HMMER3_RAW_MATCH"("SEQUENCE_ID"); 
CREATE INDEX "PUBLIC"."PIRSF3_RW_NUM_SEQ_IDX" ON "PUBLIC"."PIRSF_HMMER3_RAW_MATCH"("NUMERIC_SEQUENCE_ID");     
CREATE INDEX "PUBLIC"."PIRSF3_RW_MODEL_IDX" ON "PUBLIC"."PIRSF_HMMER3_RAW_MATCH"("MODEL_ID");  
CREATE INDEX "PUBLIC"."PIRSF3_RW_SIGLIB_IDX" ON "PUBLIC"."PIRSF_HMMER3_RAW_MATCH"("SIGNATURE_LIBRARY");        
CREATE INDEX "PUBLIC"."PIRSF3_RW_SIGLIB_REL_IDX" ON "PUBLIC"."PIRSF_HMMER3_RAW_MATCH"("SIG_LIB_RELEASE");      
CREATE CACHED TABLE "PUBLIC"."PIRSR_HMMER3_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "EVALUE" DOUBLE NOT NULL,
    "HMM_BOUNDS" VARCHAR(2),
    "HMM_END" INTEGER NOT NULL,
    "HMM_START" INTEGER NOT NULL,
    "LOCATION_SCORE" DOUBLE NOT NULL,
    "SCORE" DOUBLE NOT NULL,
    "DOMAIN_BIAS" DOUBLE NOT NULL,
    "DOMAIN_CE_VALUE" DOUBLE NOT NULL,
    "DOMAIN_IE_VALUE" DOUBLE NOT NULL,
    "ENVELOPE_END" INTEGER NOT NULL,
    "ENVELOPE_START" INTEGER NOT NULL,
    "EXPECTED_ACCURACY" DOUBLE NOT NULL,
    "FULL_SEQUENCE_BIAS" DOUBLE NOT NULL,
    "SPLIT_GROUP" BINARY,
    "HMM_ALIGNMENT" VARCHAR(255),
    "SCOPE" VARCHAR(255),
    "SEQ_ALIGNMENT" VARCHAR(255)
);       
ALTER TABLE "PUBLIC"."PIRSR_HMMER3_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_5E" PRIMARY KEY("ID");       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PIRSR_HMMER3_RAW_MATCH;   
CREATE INDEX "PUBLIC"."PIRSR_RW_SEQ_IDX" ON "PUBLIC"."PIRSR_HMMER3_RAW_MATCH"("SEQUENCE_ID");  
CREATE INDEX "PUBLIC"."PIRSR_RW_NUM_SEQ_IDX" ON "PUBLIC"."PIRSR_HMMER3_RAW_MATCH"("NUMERIC_SEQUENCE_ID");      
CREATE INDEX "PUBLIC"."PIRSR_RW_MODEL_IDX" ON "PUBLIC"."PIRSR_HMMER3_RAW_MATCH"("MODEL_ID");   
CREATE INDEX "PUBLIC"."PIRSR_RW_SIGLIB_IDX" ON "PUBLIC"."PIRSR_HMMER3_RAW_MATCH"("SIGNATURE_LIBRARY");         
CREATE INDEX "PUBLIC"."PIRSR_RW_SIGLIB_REL_IDX" ON "PUBLIC"."PIRSR_HMMER3_RAW_MATCH"("SIG_LIB_RELEASE");       
CREATE CACHED TABLE "PUBLIC"."PIRSR_HMMER3_RAW_SITE"(
    "ID" BIGINT NOT NULL,
    "FIRST_START" INTEGER,
    "LAST_END" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "RESIDUES" VARCHAR(6000) NOT NULL,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "TITLE" VARCHAR(255),
    "SITE_GROUP" INTEGER,
    "HMM_END" INTEGER,
    "HMM_START" INTEGER,
    "SITE_LABEL" VARCHAR(255),
    "RULE_ALIGN_END" INTEGER NOT NULL,
    "RULE_ALIGN_START" INTEGER NOT NULL,
    "RULE_CONDITION" VARCHAR(255)
);     
ALTER TABLE "PUBLIC"."PIRSR_HMMER3_RAW_SITE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_D9" PRIMARY KEY("ID");        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PIRSR_HMMER3_RAW_SITE;    
CREATE INDEX "PUBLIC"."PIRSR_RW_S_SEQ_IDX" ON "PUBLIC"."PIRSR_HMMER3_RAW_SITE"("SEQUENCE_ID"); 
CREATE INDEX "PUBLIC"."PIRSR_RW_S_NUM_SEQ_IDX" ON "PUBLIC"."PIRSR_HMMER3_RAW_SITE"("NUMERIC_SEQUENCE_ID");     
CREATE INDEX "PUBLIC"."PIRSR_RW_S_MODEL_IDX" ON "PUBLIC"."PIRSR_HMMER3_RAW_SITE"("MODEL_ID");  
CREATE INDEX "PUBLIC"."PIRSR_RW_S_SIGLIB_IDX" ON "PUBLIC"."PIRSR_HMMER3_RAW_SITE"("SIGNATURE_LIBRARY");        
CREATE INDEX "PUBLIC"."PIRSR_RW_S_SIGLIB_REL_IDX" ON "PUBLIC"."PIRSR_HMMER3_RAW_SITE"("SIG_LIB_RELEASE");      
CREATE CACHED TABLE "PUBLIC"."PRINTS_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "EVALUE" DOUBLE,
    "GRAPHSCAN" VARCHAR(25) NOT NULL,
    "MOTIF_COUNT" INTEGER,
    "MOTIF_NUMBER" INTEGER,
    "PVALUE" DOUBLE,
    "SCORE" DOUBLE
);          
ALTER TABLE "PUBLIC"."PRINTS_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_4C" PRIMARY KEY("ID");             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PRINTS_RAW_MATCH;         
CREATE INDEX "PUBLIC"."PRINTS_RW_SEQ_IDX" ON "PUBLIC"."PRINTS_RAW_MATCH"("SEQUENCE_ID");       
CREATE INDEX "PUBLIC"."PRINTS_RW_NUM_SEQ_IDX" ON "PUBLIC"."PRINTS_RAW_MATCH"("NUMERIC_SEQUENCE_ID");           
CREATE INDEX "PUBLIC"."PRINTS_RW_MODEL_IDX" ON "PUBLIC"."PRINTS_RAW_MATCH"("MODEL_ID");        
CREATE INDEX "PUBLIC"."PRINTS_RW_SIGLIB_IDX" ON "PUBLIC"."PRINTS_RAW_MATCH"("SIGNATURE_LIBRARY");              
CREATE INDEX "PUBLIC"."PRINTS_RW_SIGLIB_REL_IDX" ON "PUBLIC"."PRINTS_RAW_MATCH"("SIG_LIB_RELEASE");            
CREATE CACHED TABLE "PUBLIC"."PRODOM_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "EVALUE" DOUBLE,
    "METHOD_NAME" VARCHAR(255),
    "NUM_DOMAINS_IN_FAMILY" INTEGER,
    "SCORE" INTEGER,
    "SIG_MATCH_LOCATION_END" INTEGER,
    "SIG_MATCH_LOCATION_START" INTEGER,
    "SP_ID" VARCHAR(255)
);              
ALTER TABLE "PUBLIC"."PRODOM_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_A2" PRIMARY KEY("ID");             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PRODOM_RAW_MATCH;         
CREATE INDEX "PUBLIC"."PRODOM_RW_SEQ_IDX" ON "PUBLIC"."PRODOM_RAW_MATCH"("SEQUENCE_ID");       
CREATE INDEX "PUBLIC"."PRODOM_RW_NUM_SEQ_IDX" ON "PUBLIC"."PRODOM_RAW_MATCH"("NUMERIC_SEQUENCE_ID");           
CREATE INDEX "PUBLIC"."PRODOM_RW_MODEL_IDX" ON "PUBLIC"."PRODOM_RAW_MATCH"("MODEL_ID");        
CREATE INDEX "PUBLIC"."PRODOM_RW_SIGLIB_IDX" ON "PUBLIC"."PRODOM_RAW_MATCH"("SIGNATURE_LIBRARY");              
CREATE INDEX "PUBLIC"."PRODOM_RW_SIGLIB_REL_IDX" ON "PUBLIC"."PRODOM_RAW_MATCH"("SIG_LIB_RELEASE");            
CREATE CACHED TABLE "PUBLIC"."PROFILE_SCAN_LOCATION"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "MATCH_ID" BIGINT NOT NULL,
    "CIGAR_ALIGNMENT" VARCHAR(4000) NOT NULL,
    "SCORE" DOUBLE NOT NULL
); 
ALTER TABLE "PUBLIC"."PROFILE_SCAN_LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_94" PRIMARY KEY("ID");        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROFILE_SCAN_LOCATION;    
CREATE CACHED TABLE "PUBLIC"."PROFILE_SCAN_LOCATION_FRAGMENT"(
    "ID" BIGINT NOT NULL,
    "DC_STATUS" VARCHAR(255) NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);         
ALTER TABLE "PUBLIC"."PROFILE_SCAN_LOCATION_FRAGMENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_11" PRIMARY KEY("ID");               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROFILE_SCAN_LOCATION_FRAGMENT;           
CREATE CACHED TABLE "PUBLIC"."PROFILE_SCAN_MATCH"(
    "ID" BIGINT NOT NULL,
    "SIGNATURE_MODELS" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL,
    "SIGNATURE_ID" BIGINT NOT NULL
);      
ALTER TABLE "PUBLIC"."PROFILE_SCAN_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_23" PRIMARY KEY("ID");           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROFILE_SCAN_MATCH;       
CREATE CACHED TABLE "PUBLIC"."PROSITE_PAT_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "CIGAR_ALIGNMENT" VARCHAR(4000) NOT NULL,
    "PATTERN_LEVEL" VARCHAR(255) NOT NULL
);       
ALTER TABLE "PUBLIC"."PROSITE_PAT_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_E0" PRIMARY KEY("ID");        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROSITE_PAT_RAW_MATCH;    
CREATE INDEX "PUBLIC"."PROSITE_PAT_RW_SEQ_IDX" ON "PUBLIC"."PROSITE_PAT_RAW_MATCH"("SEQUENCE_ID");             
CREATE INDEX "PUBLIC"."PROSITE_PAT_RW_NUM_SEQ_IDX" ON "PUBLIC"."PROSITE_PAT_RAW_MATCH"("NUMERIC_SEQUENCE_ID"); 
CREATE INDEX "PUBLIC"."PROSITE_PAT_RW_MODEL_IDX" ON "PUBLIC"."PROSITE_PAT_RAW_MATCH"("MODEL_ID");              
CREATE INDEX "PUBLIC"."PROSITE_PAT_RW_SIGLIB_IDX" ON "PUBLIC"."PROSITE_PAT_RAW_MATCH"("SIGNATURE_LIBRARY");    
CREATE INDEX "PUBLIC"."PROSITE_PAT_RW_SIGLIB_REL_IDX" ON "PUBLIC"."PROSITE_PAT_RAW_MATCH"("SIG_LIB_RELEASE");  
CREATE CACHED TABLE "PUBLIC"."PROSITE_PROF_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "CIGAR_ALIGNMENT" VARCHAR(4000) NOT NULL,
    "PF_SCAN_LEVEL" VARCHAR(255) NOT NULL,
    "SCORE" DOUBLE
);  
ALTER TABLE "PUBLIC"."PROSITE_PROF_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_1D" PRIMARY KEY("ID");       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROSITE_PROF_RAW_MATCH;   
CREATE INDEX "PUBLIC"."PRSITE_PROF_RW_SEQ_IDX" ON "PUBLIC"."PROSITE_PROF_RAW_MATCH"("SEQUENCE_ID");            
CREATE INDEX "PUBLIC"."PRSITE_PROF_RW_NUM_SEQ_IDX" ON "PUBLIC"."PROSITE_PROF_RAW_MATCH"("NUMERIC_SEQUENCE_ID");
CREATE INDEX "PUBLIC"."PRSITE_PROF_RW_MODEL_IDX" ON "PUBLIC"."PROSITE_PROF_RAW_MATCH"("MODEL_ID");             
CREATE INDEX "PUBLIC"."PRSITE_PROF_RW_SIGLIB_IDX" ON "PUBLIC"."PROSITE_PROF_RAW_MATCH"("SIGNATURE_LIBRARY");   
CREATE INDEX "PUBLIC"."PRSITE_PROF_RW_SIGLIB_REL_IDX" ON "PUBLIC"."PROSITE_PROF_RAW_MATCH"("SIG_LIB_RELEASE"); 
CREATE CACHED TABLE "PUBLIC"."PROTEIN"(
    "ID" BIGINT NOT NULL,
    "MD5" VARCHAR(32) NOT NULL,
    "SEQUENCE_FIRST_CHUNK" VARCHAR(4000) NOT NULL
);         
ALTER TABLE "PUBLIC"."PROTEIN" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_186" PRIMARY KEY("ID");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROTEIN;  
CREATE CACHED TABLE "PUBLIC"."PROTEIN_SEQUENCE_CHUNK"(
    "PROTEIN_ID" BIGINT NOT NULL,
    "SEQUENCE_CHUNKS" VARCHAR(4000),
    "CHUNK_INDEX" INTEGER NOT NULL
);            
ALTER TABLE "PUBLIC"."PROTEIN_SEQUENCE_CHUNK" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_98" PRIMARY KEY("PROTEIN_ID", "CHUNK_INDEX");
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROTEIN_SEQUENCE_CHUNK;   
CREATE CACHED TABLE "PUBLIC"."PROTEIN_XREF"(
    "ID" BIGINT NOT NULL,
    "DATABASE_NAME" VARCHAR(255),
    "IDENTIFIER" VARCHAR(255) NOT NULL,
    "NAME" VARCHAR(255),
    "DESCRIPTION" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL
);  
ALTER TABLE "PUBLIC"."PROTEIN_XREF" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_C1" PRIMARY KEY("ID"); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROTEIN_XREF;             
CREATE INDEX "PUBLIC"."IDXMT3YVUCS4VEIFBJRJ7RI3KGDM" ON "PUBLIC"."PROTEIN_XREF"("IDENTIFIER"); 
CREATE CACHED TABLE "PUBLIC"."RELEASE"(
    "ID" BIGINT NOT NULL,
    "VERSION" VARCHAR(255) NOT NULL
);       
ALTER TABLE "PUBLIC"."RELEASE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_6B" PRIMARY KEY("ID");      
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.RELEASE;  
INSERT INTO "PUBLIC"."RELEASE" VALUES
(1, '87.0');             
CREATE CACHED TABLE "PUBLIC"."RESIDUE_LOCATION"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "RESIDUE" VARCHAR(255) NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "SITE_ID" BIGINT NOT NULL
);             
ALTER TABLE "PUBLIC"."RESIDUE_LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_AF" PRIMARY KEY("ID");             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RESIDUE_LOCATION;         
CREATE CACHED TABLE "PUBLIC"."RPSBLAST_LOCATION"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "MATCH_ID" BIGINT NOT NULL,
    "EVALUE" DOUBLE NOT NULL,
    "SCORE" DOUBLE NOT NULL
);     
ALTER TABLE "PUBLIC"."RPSBLAST_LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_87" PRIMARY KEY("ID");            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RPSBLAST_LOCATION;        
CREATE CACHED TABLE "PUBLIC"."RPSBLAST_LOCATION_FRAGMENT"(
    "ID" BIGINT NOT NULL,
    "DC_STATUS" VARCHAR(255) NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);             
ALTER TABLE "PUBLIC"."RPSBLAST_LOCATION_FRAGMENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_79" PRIMARY KEY("ID");   
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RPSBLAST_LOCATION_FRAGMENT;               
CREATE CACHED TABLE "PUBLIC"."RPSBLAST_MATCH"(
    "ID" BIGINT NOT NULL,
    "SIGNATURE_MODELS" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL,
    "SIGNATURE_ID" BIGINT NOT NULL
);          
ALTER TABLE "PUBLIC"."RPSBLAST_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_9E" PRIMARY KEY("ID");               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RPSBLAST_MATCH;           
CREATE CACHED TABLE "PUBLIC"."RPSBLAST_SITE"(
    "ID" BIGINT NOT NULL,
    "DESCRIPTION" VARCHAR(255),
    "NUM_LOCATIONS" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);             
ALTER TABLE "PUBLIC"."RPSBLAST_SITE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_2E" PRIMARY KEY("ID");
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RPSBLAST_SITE;            
CREATE CACHED TABLE "PUBLIC"."SFLD_HMMER3_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "EVALUE" DOUBLE NOT NULL,
    "HMM_BOUNDS" VARCHAR(2),
    "HMM_END" INTEGER NOT NULL,
    "HMM_START" INTEGER NOT NULL,
    "LOCATION_SCORE" DOUBLE NOT NULL,
    "SCORE" DOUBLE NOT NULL,
    "DOMAIN_BIAS" DOUBLE NOT NULL,
    "DOMAIN_CE_VALUE" DOUBLE NOT NULL,
    "DOMAIN_IE_VALUE" DOUBLE NOT NULL,
    "ENVELOPE_END" INTEGER NOT NULL,
    "ENVELOPE_START" INTEGER NOT NULL,
    "EXPECTED_ACCURACY" DOUBLE NOT NULL,
    "FULL_SEQUENCE_BIAS" DOUBLE NOT NULL,
    "SPLIT_GROUP" BINARY
);      
ALTER TABLE "PUBLIC"."SFLD_HMMER3_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_97" PRIMARY KEY("ID");        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SFLD_HMMER3_RAW_MATCH;    
CREATE INDEX "PUBLIC"."SFLD_RW_SEQ_IDX" ON "PUBLIC"."SFLD_HMMER3_RAW_MATCH"("SEQUENCE_ID");    
CREATE INDEX "PUBLIC"."SFLD_RW_NUM_SEQ_IDX" ON "PUBLIC"."SFLD_HMMER3_RAW_MATCH"("NUMERIC_SEQUENCE_ID");        
CREATE INDEX "PUBLIC"."SFLD_RW_MODEL_IDX" ON "PUBLIC"."SFLD_HMMER3_RAW_MATCH"("MODEL_ID");     
CREATE INDEX "PUBLIC"."SFLD_RW_SIGLIB_IDX" ON "PUBLIC"."SFLD_HMMER3_RAW_MATCH"("SIGNATURE_LIBRARY");           
CREATE INDEX "PUBLIC"."SFLD_RW_SIGLIB_REL_IDX" ON "PUBLIC"."SFLD_HMMER3_RAW_MATCH"("SIG_LIB_RELEASE");         
CREATE CACHED TABLE "PUBLIC"."SFLD_HMMER3_RAW_SITE"(
    "ID" BIGINT NOT NULL,
    "FIRST_START" INTEGER,
    "LAST_END" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "RESIDUES" VARCHAR(6000) NOT NULL,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "TITLE" VARCHAR(255)
);  
ALTER TABLE "PUBLIC"."SFLD_HMMER3_RAW_SITE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_89" PRIMARY KEY("ID");         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SFLD_HMMER3_RAW_SITE;     
CREATE INDEX "PUBLIC"."SFLD_RW_S_SEQ_IDX" ON "PUBLIC"."SFLD_HMMER3_RAW_SITE"("SEQUENCE_ID");   
CREATE INDEX "PUBLIC"."SFLD_RW_S_NUM_SEQ_IDX" ON "PUBLIC"."SFLD_HMMER3_RAW_SITE"("NUMERIC_SEQUENCE_ID");       
CREATE INDEX "PUBLIC"."SFLD_RW_S_MODEL_IDX" ON "PUBLIC"."SFLD_HMMER3_RAW_SITE"("MODEL_ID");    
CREATE INDEX "PUBLIC"."SFLD_RW_S_SIGLIB_IDX" ON "PUBLIC"."SFLD_HMMER3_RAW_SITE"("SIGNATURE_LIBRARY");          
CREATE INDEX "PUBLIC"."SFLD_RW_S_SIGLIB_REL_IDX" ON "PUBLIC"."SFLD_HMMER3_RAW_SITE"("SIG_LIB_RELEASE");        
CREATE CACHED TABLE "PUBLIC"."SIGNALP_LOCATION"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "MATCH_ID" BIGINT NOT NULL,
    "SCORE" DOUBLE
);             
ALTER TABLE "PUBLIC"."SIGNALP_LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_36" PRIMARY KEY("ID");             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SIGNALP_LOCATION;         
CREATE CACHED TABLE "PUBLIC"."SIGNALP_LOCATION_FRAGMENT"(
    "ID" BIGINT NOT NULL,
    "DC_STATUS" VARCHAR(255) NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);              
ALTER TABLE "PUBLIC"."SIGNALP_LOCATION_FRAGMENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_8A" PRIMARY KEY("ID");    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SIGNALP_LOCATION_FRAGMENT;
CREATE CACHED TABLE "PUBLIC"."SIGNALP_MATCH"(
    "ID" BIGINT NOT NULL,
    "SIGNATURE_MODELS" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL,
    "SIGNATURE_ID" BIGINT NOT NULL,
    "ORG_TYPE" INTEGER
);   
ALTER TABLE "PUBLIC"."SIGNALP_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_EA" PRIMARY KEY("ID");
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SIGNALP_MATCH;            
CREATE CACHED TABLE "PUBLIC"."SIGNATURE"(
    "ID" BIGINT NOT NULL SELECTIVITY 100,
    "ABSTRACT_FIRST_CHUNK" VARCHAR(4000) SELECTIVITY 1,
    "ACCESSION" VARCHAR(255) NOT NULL SELECTIVITY 100,
    "SIGNATURE_COMMENT" VARCHAR(255) SELECTIVITY 1,
    "CREATED" TIMESTAMP SELECTIVITY 1,
    "DESCRIPTION_FIRST_CHUNK" VARCHAR(4000) SELECTIVITY 99,
    "MD5" VARCHAR(255) SELECTIVITY 1,
    "SIG_NAME" VARCHAR(4000) SELECTIVITY 99,
    "TYPE" VARCHAR(255) SELECTIVITY 1,
    "UPDATED" TIMESTAMP SELECTIVITY 1,
    "ENTRY_ID" BIGINT SELECTIVITY 2,
    "SIGNATURE_LIBRARY_RELEASE_ID" BIGINT SELECTIVITY 1
);     
ALTER TABLE "PUBLIC"."SIGNATURE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_E6" PRIMARY KEY("ID");    
-- 201601 +/- SELECT COUNT(*) FROM PUBLIC.SIGNATURE;           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1, NULL, 'cd05108', NULL, NULL, 'PTKc_EGFR', NULL, 'PTKc_EGFR', NULL, NULL, NULL, 1),
(2, NULL, 'cd09908', NULL, NULL, 'H3TH_EXO1', NULL, 'H3TH_EXO1', NULL, NULL, 35370, 1),
(3, NULL, 'cd01098', NULL, NULL, 'PAN_AP_plant', NULL, 'PAN_AP_plant', NULL, NULL, NULL, 1),
(4, NULL, 'cd19194', NULL, NULL, 'PR-SET_PRDM10', NULL, 'PR-SET_PRDM10', NULL, NULL, 39717, 1),
(5, NULL, 'cd12077', NULL, NULL, 'SH3_Tks5_2', NULL, 'SH3_Tks5_2', NULL, NULL, 20709, 1),
(6, NULL, 'cd12570', NULL, NULL, 'RRM5_MRD1', NULL, 'RRM5_MRD1', NULL, NULL, NULL, 1),
(7, NULL, 'cd07989', NULL, NULL, 'LPLAT_AGPAT-like', NULL, 'LPLAT_AGPAT-like', NULL, NULL, NULL, 1),
(8, NULL, 'cd08638', NULL, NULL, 'DNA_pol_A_theta', NULL, 'DNA_pol_A_theta', NULL, NULL, NULL, 1),
(9, NULL, 'cd04332', NULL, NULL, 'YbaK_like', NULL, 'YbaK_like', NULL, NULL, NULL, 1),
(10, NULL, 'cd14347', NULL, NULL, 'UBA_Cezanne_like', NULL, 'UBA_Cezanne_like', NULL, NULL, NULL, 1),
(11, NULL, 'cd05385', NULL, NULL, 'CAP_GLIPR1-like', NULL, 'CAP_GLIPR1-like', NULL, NULL, 2949, 1),
(12, NULL, 'cd04220', NULL, NULL, 'Halocyanin', NULL, 'Halocyanin', NULL, NULL, NULL, 1),
(13, NULL, 'cd17157', NULL, NULL, 'DCX2_DCDC5', NULL, 'DCX2_DCDC5', NULL, NULL, NULL, 1),
(14, NULL, 'cd11371', NULL, NULL, 'RNase_PH_MTR3', NULL, 'RNase_PH_MTR3', NULL, NULL, NULL, 1),
(15, NULL, 'cd11485', NULL, NULL, 'SLC-NCS1sbd_YbbW-like', NULL, 'SLC-NCS1sbd_YbbW-like', NULL, NULL, NULL, 1),
(16, NULL, 'cd09079', NULL, NULL, 'RgfB-like', NULL, 'RgfB-like', NULL, NULL, NULL, 1),
(17, NULL, 'cd14060', NULL, NULL, 'STKc_MLTK', NULL, 'STKc_MLTK', NULL, NULL, NULL, 1),
(18, NULL, 'cd12270', NULL, NULL, 'RRM_MTHFSD', NULL, 'RRM_MTHFSD', NULL, NULL, 1081, 1),
(19, NULL, 'cd11235', NULL, NULL, 'Sema_semaphorin', NULL, 'Sema_semaphorin', NULL, NULL, NULL, 1),
(20, NULL, 'cd11899', NULL, NULL, 'SH3_Nck2_1', NULL, 'SH3_Nck2_1', NULL, NULL, 36020, 1),
(21, NULL, 'cd07290', NULL, NULL, 'PX_PI3K_C2_beta', NULL, 'PX_PI3K_C2_beta', NULL, NULL, 39852, 1),
(22, NULL, 'cd14279', NULL, NULL, 'CUE', NULL, 'CUE', NULL, NULL, NULL, 1),
(23, NULL, 'cd04739', NULL, NULL, 'DHOD_like', NULL, 'DHOD_like', NULL, NULL, NULL, 1),
(24, NULL, 'cd09998', NULL, NULL, 'HDAC_Hos3', NULL, 'HDAC_Hos3', NULL, NULL, NULL, 1),
(25, NULL, 'cd01071', NULL, NULL, 'PBP2_PhnD_like', NULL, 'PBP2_PhnD_like', NULL, NULL, NULL, 1),
(26, NULL, 'cd09544', NULL, NULL, 'SAM_EPH-A3', NULL, 'SAM_EPH-A3', NULL, NULL, NULL, 1),
(27, NULL, 'cd12013', NULL, NULL, 'SH3_RIM-BP_3', NULL, 'SH3_RIM-BP_3', NULL, NULL, 32701, 1),
(28, NULL, 'cd13542', NULL, NULL, 'PBP2_FutA1_ilke', NULL, 'PBP2_FutA1_ilke', NULL, NULL, NULL, 1),
(29, NULL, 'cd08816', NULL, NULL, 'CARD_RIG-I_r1', NULL, 'CARD_RIG-I_r1', NULL, NULL, NULL, 1),
(30, NULL, 'cd07345', NULL, NULL, 'M48A_Ste24p-like', NULL, 'M48A_Ste24p-like', NULL, NULL, NULL, 1),
(31, NULL, 'cd12775', NULL, NULL, 'RRM2_HuB', NULL, 'RRM2_HuB', NULL, NULL, 14972, 1),
(32, NULL, 'cd14561', NULL, NULL, 'PTP_tensin-3', NULL, 'PTP_tensin-3', NULL, NULL, NULL, 1),
(33, NULL, 'cd05007', NULL, NULL, 'SIS_Etherase', NULL, 'SIS_Etherase', NULL, NULL, 843, 1),
(34, NULL, 'cd09516', NULL, NULL, 'SAM_sec23ip-like', NULL, 'SAM_sec23ip-like', NULL, NULL, NULL, 1),
(35, NULL, 'cd13233', NULL, NULL, 'PH_ARHGAP9-like', NULL, 'PH_ARHGAP9-like', NULL, NULL, NULL, 1),
(36, NULL, 'cd13131', NULL, NULL, 'MATE_NorM_like', NULL, 'MATE_NorM_like', NULL, NULL, NULL, 1),
(37, NULL, 'cd09491', NULL, NULL, 'SAM_Ship2', NULL, 'SAM_Ship2', NULL, NULL, NULL, 1),
(38, NULL, 'cd15328', NULL, NULL, '7tmA_5-HT5', NULL, '7tmA_5-HT5', NULL, NULL, NULL, 1),
(39, NULL, 'cd00895', NULL, NULL, 'PI3Kc_C2_beta', NULL, 'PI3Kc_C2_beta', NULL, NULL, NULL, 1),
(40, NULL, 'cd05141', NULL, NULL, 'Barstar_evA4336-like', NULL, 'Barstar_evA4336-like', NULL, NULL, NULL, 1),
(41, NULL, 'cd13875', NULL, NULL, 'CuRO_2_LCC_plant', NULL, 'CuRO_2_LCC_plant', NULL, NULL, 21459, 1),
(42, NULL, 'cd16518', NULL, NULL, 'RING-HC_MEX3', NULL, 'RING-HC_MEX3', NULL, NULL, NULL, 1),
(43, NULL, 'cd04517', NULL, NULL, 'TLF', NULL, 'TLF', NULL, NULL, 9434, 1),
(44, NULL, 'cd02603', NULL, NULL, 'HAD_sEH-N_like', NULL, 'HAD_sEH-N_like', NULL, NULL, NULL, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45, NULL, 'cd04059', NULL, NULL, 'Peptidases_S8_Protein_convertases_Kexins_Furin...', NULL, 'Peptidases_S8_Protein_convertases_Kexins_Furin-like', NULL, NULL, 23222, 1),
(46, NULL, 'cd17504', NULL, NULL, 'MFS_MMR_MDR_like', NULL, 'MFS_MMR_MDR_like', NULL, NULL, NULL, 1),
(47, NULL, 'cd02980', NULL, NULL, 'TRX_Fd_family', NULL, 'TRX_Fd_family', NULL, NULL, NULL, 1),
(48, NULL, 'cd10318', NULL, NULL, 'RGL11', NULL, 'RGL11', NULL, NULL, 6212, 1),
(49, NULL, 'cd17066', NULL, NULL, 'Ubl_KPC2', NULL, 'Ubl_KPC2', NULL, NULL, NULL, 1),
(50, NULL, 'cd12193', NULL, NULL, 'bZIP_GCN4', NULL, 'bZIP_GCN4', NULL, NULL, NULL, 1),
(51, NULL, 'cd17427', NULL, NULL, 'MFS_MCT2', NULL, 'MFS_MCT2', NULL, NULL, NULL, 1),
(52, NULL, 'cd18232', NULL, NULL, 'BTB_POZ_ZBTB48_TZAP_KR3', NULL, 'BTB_POZ_ZBTB48_TZAP_KR3', NULL, NULL, NULL, 1),
(53, NULL, 'cd00447', NULL, NULL, 'NusB_Sun', NULL, 'NusB_Sun', NULL, NULL, NULL, 1),
(54, NULL, 'cd14159', NULL, NULL, 'STKc_IRAK1', NULL, 'STKc_IRAK1', NULL, NULL, NULL, 1),
(55, NULL, 'cd06217', NULL, NULL, 'FNR_iron_sulfur_binding_3', NULL, 'FNR_iron_sulfur_binding_3', NULL, NULL, NULL, 1),
(56, NULL, 'cd09074', NULL, NULL, 'INPP5c', NULL, 'INPP5c', NULL, NULL, NULL, 1),
(57, NULL, 'cd16608', NULL, NULL, 'RING-HC_TRIM62_C-IV', NULL, 'RING-HC_TRIM62_C-IV', NULL, NULL, NULL, 1),
(58, NULL, 'cd21646', NULL, NULL, 'CoV_Nsp5_Mpro', NULL, 'CoV_Nsp5_Mpro', NULL, NULL, NULL, 1),
(59, NULL, 'cd16105', NULL, NULL, 'Ubl_ASPSCR1_like', NULL, 'Ubl_ASPSCR1_like', NULL, NULL, NULL, 1),
(60, NULL, 'cd16402', NULL, NULL, 'ParB_N_like_MT', NULL, 'ParB_N_like_MT', NULL, NULL, NULL, 1),
(61, NULL, 'cd19197', NULL, NULL, 'PR-SET_PRDM13', NULL, 'PR-SET_PRDM13', NULL, NULL, 37129, 1),
(62, NULL, 'cd03166', NULL, NULL, 'CD63_LEL', NULL, 'CD63_LEL', NULL, NULL, 33221, 1),
(63, NULL, 'cd16208', NULL, NULL, 'EFh_PI-PLCbeta1', NULL, 'EFh_PI-PLCbeta1', NULL, NULL, NULL, 1),
(64, NULL, 'cd14255', NULL, NULL, 'Dockerin_III', NULL, 'Dockerin_III', NULL, NULL, NULL, 1),
(65, NULL, 'cd17637', NULL, NULL, 'ACLS-CaiC', NULL, 'ACLS-CaiC', NULL, NULL, NULL, 1),
(66, NULL, 'cd08446', NULL, NULL, 'PBP2_Chlorocatechol', NULL, 'PBP2_Chlorocatechol', NULL, NULL, NULL, 1),
(67, NULL, 'cd08958', NULL, NULL, 'FR_SDR_e', NULL, 'FR_SDR_e', NULL, NULL, NULL, 1),
(68, NULL, 'cd11863', NULL, NULL, 'SH3_CACNB', NULL, 'SH3_CACNB', NULL, NULL, NULL, 1),
(69, NULL, 'cd15858', NULL, NULL, 'SNARE_VAM7', NULL, 'SNARE_VAM7', NULL, NULL, NULL, 1),
(70, NULL, 'cd12410', NULL, NULL, 'RRM2_RRT5', NULL, 'RRM2_RRT5', NULL, NULL, 7168, 1),
(71, NULL, 'cd12204', NULL, NULL, 'CBD_like', NULL, 'CBD_like', NULL, NULL, NULL, 1),
(72, NULL, 'cd17520', NULL, NULL, 'RMtype1_S_HmoORF3075P-TRD1-CR1_like', NULL, 'RMtype1_S_HmoORF3075P-TRD1-CR1_like', NULL, NULL, NULL, 1),
(73, NULL, 'cd05142', NULL, NULL, 'Barstar', NULL, 'Barstar', NULL, NULL, NULL, 1),
(74, NULL, 'cd03779', NULL, NULL, 'MATH_TRAF1', NULL, 'MATH_TRAF1', NULL, NULL, 29598, 1),
(75, NULL, 'cd01595', NULL, NULL, 'Adenylsuccinate_lyase_like', NULL, 'Adenylsuccinate_lyase_like', NULL, NULL, NULL, 1),
(76, NULL, 'cd05199', NULL, NULL, 'SDH_like', NULL, 'SDH_like', NULL, NULL, NULL, 1),
(77, NULL, 'cd12408', NULL, NULL, 'RRM_eIF3G_like', NULL, 'RRM_eIF3G_like', NULL, NULL, 7102, 1),
(78, NULL, 'cd06066', NULL, NULL, 'H2MP_NAD-link-bidir', NULL, 'H2MP_NAD-link-bidir', NULL, NULL, NULL, 1),
(79, NULL, 'cd06442', NULL, NULL, 'DPM1_like', NULL, 'DPM1_like', NULL, NULL, 33608, 1),
(80, NULL, 'cd09167', NULL, NULL, 'PLDc_EcPPK1_C2_like', NULL, 'PLDc_EcPPK1_C2_like', NULL, NULL, NULL, 1),
(81, NULL, 'cd05498', NULL, NULL, 'Bromo_Brdt_II_like', NULL, 'Bromo_Brdt_II_like', NULL, NULL, 37384, 1),
(82, NULL, 'cd06253', NULL, NULL, 'M14_ASTE_ASPA-like', NULL, 'M14_ASTE_ASPA-like', NULL, NULL, NULL, 1),
(83, NULL, 'cd16415', NULL, NULL, 'HAD_dREG-2_like', NULL, 'HAD_dREG-2_like', NULL, NULL, NULL, 1),
(84, NULL, 'cd08824', NULL, NULL, 'LOTUS', NULL, 'LOTUS', NULL, NULL, NULL, 1),
(85, NULL, 'cd13548', NULL, NULL, 'PBP2_AEPn_like', NULL, 'PBP2_AEPn_like', NULL, NULL, NULL, 1),
(86, NULL, 'cd07729', NULL, NULL, 'AHL_lactonase_MBL-fold', NULL, 'AHL_lactonase_MBL-fold', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87, NULL, 'cd15752', NULL, NULL, 'FYVE_SlaC2-a', NULL, 'FYVE_SlaC2-a', NULL, NULL, 35541, 1),
(88, NULL, 'cd00562', NULL, NULL, 'NifX_NifB', NULL, 'NifX_NifB', NULL, NULL, NULL, 1),
(89, NULL, 'cd14657', NULL, NULL, 'Imelysin_IrpA-like', NULL, 'Imelysin_IrpA-like', NULL, NULL, NULL, 1),
(90, NULL, 'cd16316', NULL, NULL, 'BlaB-like_MBL-B1', NULL, 'BlaB-like_MBL-B1', NULL, NULL, NULL, 1),
(91, NULL, 'cd18306', NULL, NULL, 'BTB_POZ_NS1BP', NULL, 'BTB_POZ_NS1BP', NULL, NULL, NULL, 1),
(92, NULL, 'cd08763', NULL, NULL, 'Cyt_b561_CYB561', NULL, 'Cyt_b561_CYB561', NULL, NULL, NULL, 1),
(93, NULL, 'cd09148', NULL, NULL, 'PLDc_vPLD4_2', NULL, 'PLDc_vPLD4_2', NULL, NULL, NULL, 1),
(94, NULL, 'cd05832', NULL, NULL, 'Ribosomal_L12p', NULL, 'Ribosomal_L12p', NULL, NULL, 15931, 1),
(95, NULL, 'cd13688', NULL, NULL, 'PBP2_GltI_DEBP', NULL, 'PBP2_GltI_DEBP', NULL, NULL, NULL, 1),
(96, NULL, 'cd03872', NULL, NULL, 'M14_CPA6', NULL, 'M14_CPA6', NULL, NULL, 31860, 1),
(97, NULL, 'cd16983', NULL, NULL, 'CID_SCAF8_like', NULL, 'CID_SCAF8_like', NULL, NULL, NULL, 1),
(98, NULL, 'cd00325', NULL, NULL, 'chitinase_GH19', NULL, 'chitinase_GH19', NULL, NULL, NULL, 1),
(99, NULL, 'cd10459', NULL, NULL, 'PUB_PNGase', NULL, 'PUB_PNGase', NULL, NULL, NULL, 1),
(100, NULL, 'cd14959', NULL, NULL, 'NHL_brat_like', NULL, 'NHL_brat_like', NULL, NULL, NULL, 1),
(101, NULL, 'cd13311', NULL, NULL, 'PH_Slm1', NULL, 'PH_Slm1', NULL, NULL, 38386, 1),
(102, NULL, 'cd00180', NULL, NULL, 'PKc', NULL, 'PKc', NULL, NULL, NULL, 1),
(103, NULL, 'cd00218', NULL, NULL, 'GlcAT-I', NULL, 'GlcAT-I', NULL, NULL, 1366, 1),
(104, NULL, 'cd00578', NULL, NULL, 'L-fuc_L-ara-isomerases', NULL, 'L-fuc_L-ara-isomerases', NULL, NULL, NULL, 1),
(105, NULL, 'cd07901', NULL, NULL, 'Adenylation_DNA_ligase_Arch_LigB', NULL, 'Adenylation_DNA_ligase_Arch_LigB', NULL, NULL, NULL, 1),
(106, NULL, 'cd19471', NULL, NULL, 'FABP9', NULL, 'FABP9', NULL, NULL, NULL, 1),
(107, NULL, 'cd01638', NULL, NULL, 'CysQ', NULL, 'CysQ', NULL, NULL, NULL, 1),
(108, NULL, 'cd04584', NULL, NULL, 'CBS_pair_AcuB_like', NULL, 'CBS_pair_AcuB_like', NULL, NULL, NULL, 1),
(109, NULL, 'cd13983', NULL, NULL, 'STKc_WNK', NULL, 'STKc_WNK', NULL, NULL, NULL, 1),
(110, NULL, 'cd16628', NULL, NULL, 'RING-HC_RBR_RNF14', NULL, 'RING-HC_RBR_RNF14', NULL, NULL, NULL, 1),
(111, NULL, 'cd14372', NULL, NULL, 'CUE_Cue5p_like', NULL, 'CUE_Cue5p_like', NULL, NULL, 33182, 1),
(112, NULL, 'cd14778', NULL, NULL, 'VtHb-like_SDgb', NULL, 'VtHb-like_SDgb', NULL, NULL, NULL, 1),
(113, NULL, 'cd20244', NULL, NULL, 'Toddler', NULL, 'Toddler', NULL, NULL, NULL, 1),
(114, NULL, 'cd19451', NULL, NULL, 'lipocalin_AGP-like', NULL, 'lipocalin_AGP-like', NULL, NULL, NULL, 1),
(115, NULL, 'cd15381', NULL, NULL, '7tmA_BK-2', NULL, '7tmA_BK-2', NULL, NULL, NULL, 1),
(116, NULL, 'cd00052', NULL, NULL, 'EH', NULL, 'EH', NULL, NULL, 1297, 1),
(117, NULL, 'cd19881', NULL, NULL, 'DSRM_STAU1_rpt2', NULL, 'DSRM_STAU1_rpt2', NULL, NULL, NULL, 1),
(118, NULL, 'cd10560', NULL, NULL, 'FDH-O_like', NULL, 'FDH-O_like', NULL, NULL, NULL, 1),
(119, NULL, 'cd09541', NULL, NULL, 'SAM_KIF24-like', NULL, 'SAM_KIF24-like', NULL, NULL, NULL, 1),
(120, NULL, 'cd06364', NULL, NULL, 'PBP1_CaSR', NULL, 'PBP1_CaSR', NULL, NULL, NULL, 1),
(121, NULL, 'cd21478', NULL, NULL, 'HKU1-like_CoV_Spike_S1_RBD', NULL, 'HKU1-like_CoV_Spike_S1_RBD', NULL, NULL, NULL, 1),
(122, NULL, 'cd21643', NULL, NULL, 'ORF8-Ig_bat_SARS-CoV_HKU3-1_type-III-like', NULL, 'ORF8-Ig_bat_SARS-CoV_HKU3-1_type-III-like', NULL, NULL, 39150, 1),
(123, NULL, 'cd06889', NULL, NULL, 'PX_NoxO1', NULL, 'PX_NoxO1', NULL, NULL, NULL, 1),
(124, NULL, 'cd08278', NULL, NULL, 'benzyl_alcohol_DH', NULL, 'benzyl_alcohol_DH', NULL, NULL, NULL, 1),
(125, NULL, 'cd07519', NULL, NULL, 'HAD_PTase', NULL, 'HAD_PTase', NULL, NULL, NULL, 1),
(126, NULL, 'cd14052', NULL, NULL, 'PTKc_Wee1_fungi', NULL, 'PTKc_Wee1_fungi', NULL, NULL, NULL, 1),
(127, NULL, 'cd16367', NULL, NULL, 'DMSOR_beta_like', NULL, 'DMSOR_beta_like', NULL, NULL, NULL, 1),
(128, NULL, 'cd17075', NULL, NULL, 'UBX1_UBXN9', NULL, 'UBX1_UBXN9', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129, NULL, 'cd19745', NULL, NULL, 'bHLH_TS_ASCL3', NULL, 'bHLH_TS_ASCL3', NULL, NULL, NULL, 1),
(130, NULL, 'cd05337', NULL, NULL, 'BKR_1_SDR_c', NULL, 'BKR_1_SDR_c', NULL, NULL, NULL, 1),
(131, NULL, 'cd13991', NULL, NULL, 'STKc_NIK', NULL, 'STKc_NIK', NULL, NULL, 36926, 1),
(132, NULL, 'cd09427', NULL, NULL, 'LIM2_FHL3', NULL, 'LIM2_FHL3', NULL, NULL, NULL, 1),
(133, NULL, 'cd07500', NULL, NULL, 'HAD_PSP', NULL, 'HAD_PSP', NULL, NULL, NULL, 1),
(134, NULL, 'cd15052', NULL, NULL, '7tmA_5-HT2', NULL, '7tmA_5-HT2', NULL, NULL, NULL, 1),
(135, NULL, 'cd08676', NULL, NULL, 'C2A_Munc13-like', NULL, 'C2A_Munc13-like', NULL, NULL, NULL, 1),
(136, NULL, 'cd06530', NULL, NULL, 'S26_SPase_I', NULL, 'S26_SPase_I', NULL, NULL, 19140, 1),
(137, NULL, 'cd11380', NULL, NULL, 'Ribosomal_S8e_like', NULL, 'Ribosomal_S8e_like', NULL, NULL, NULL, 1),
(138, NULL, 'cd19688', NULL, NULL, 'bHLHzip_MLXIP', NULL, 'bHLHzip_MLXIP', NULL, NULL, NULL, 1),
(139, NULL, 'cd07982', NULL, NULL, 'TAF10', NULL, 'TAF10', NULL, NULL, 6240, 1),
(140, NULL, 'cd19728', NULL, NULL, 'bHLH-PAS_HIF2a_PASD2', NULL, 'bHLH-PAS_HIF2a_PASD2', NULL, NULL, NULL, 1),
(141, NULL, 'cd00181', NULL, NULL, 'Tar_Tsr_LBD', NULL, 'Tar_Tsr_LBD', NULL, NULL, 2702, 1),
(142, NULL, 'cd12342', NULL, NULL, 'RRM_Nab3p', NULL, 'RRM_Nab3p', NULL, NULL, 3387, 1),
(143, NULL, 'cd07485', NULL, NULL, 'Peptidases_S8_Fervidolysin_like', NULL, 'Peptidases_S8_Fervidolysin_like', NULL, NULL, 29787, 1),
(144, NULL, 'cd19761', NULL, NULL, 'Bbox2_TRIM5-like', NULL, 'Bbox2_TRIM5-like', NULL, NULL, NULL, 1),
(145, NULL, 'cd07820', NULL, NULL, 'SRPBCC_3', NULL, 'SRPBCC_3', NULL, NULL, NULL, 1),
(146, NULL, 'cd09191', NULL, NULL, 'PLDc_DNaseII_alpha_2', NULL, 'PLDc_DNaseII_alpha_2', NULL, NULL, NULL, 1),
(147, NULL, 'cd00331', NULL, NULL, 'IGPS', NULL, 'IGPS', NULL, NULL, 9882, 1),
(148, NULL, 'cd02682', NULL, NULL, 'MIT_AAA_Arch', NULL, 'MIT_AAA_Arch', NULL, NULL, NULL, 1),
(149, NULL, 'cd09432', NULL, NULL, 'LIM6_LIMPETin', NULL, 'LIM6_LIMPETin', NULL, NULL, NULL, 1),
(150, NULL, 'cd08818', NULL, NULL, 'CARD_MDA5_r1', NULL, 'CARD_MDA5_r1', NULL, NULL, NULL, 1),
(151, NULL, 'cd13642', NULL, NULL, 'PBP2_BCP_1', NULL, 'PBP2_BCP_1', NULL, NULL, NULL, 1),
(152, NULL, 'cd18410', NULL, NULL, 'BTB_POZ_Shaker-like', NULL, 'BTB_POZ_Shaker-like', NULL, NULL, NULL, 1),
(153, NULL, 'cd20256', NULL, NULL, 'Stannin_family', NULL, 'Stannin_family', NULL, NULL, NULL, 1),
(154, NULL, 'cd06082', NULL, NULL, 'KOW_Spt5_2', NULL, 'KOW_Spt5_2', NULL, NULL, 33444, 1),
(155, NULL, 'cd18186', NULL, NULL, 'BTB_POZ_ZBTB_KLHL-like', NULL, 'BTB_POZ_ZBTB_KLHL-like', NULL, NULL, NULL, 1),
(156, NULL, 'cd14632', NULL, NULL, 'R-PTPc-U-1', NULL, 'R-PTPc-U-1', NULL, NULL, NULL, 1),
(157, NULL, 'cd00038', NULL, NULL, 'CAP_ED', NULL, 'CAP_ED', NULL, NULL, 5678, 1),
(158, NULL, 'cd02699', NULL, NULL, 'M4_M36', NULL, 'M4_M36', NULL, NULL, NULL, 1),
(159, NULL, 'cd00201', NULL, NULL, 'WW', NULL, 'WW', NULL, NULL, 1194, 1),
(160, NULL, 'cd01513', NULL, NULL, 'Translation_factor_III', NULL, 'Translation_factor_III', NULL, NULL, NULL, 1),
(161, NULL, 'cd18092', NULL, NULL, 'SpoU-like_TrmH', NULL, 'SpoU-like_TrmH', NULL, NULL, 32353, 1),
(162, NULL, 'cd03149', NULL, NULL, 'alpha_CA_VII', NULL, 'alpha_CA_VII', NULL, NULL, 32016, 1),
(163, NULL, 'cd02185', NULL, NULL, 'AroH', NULL, 'AroH', NULL, NULL, 590, 1),
(164, NULL, 'cd04120', NULL, NULL, 'Rab12', NULL, 'Rab12', NULL, NULL, 32997, 1),
(165, NULL, 'cd12647', NULL, NULL, 'RRM_UHM_SPF45', NULL, 'RRM_UHM_SPF45', NULL, NULL, 33197, 1),
(166, NULL, 'cd02511', NULL, NULL, 'Beta4Glucosyltransferase', NULL, 'Beta4Glucosyltransferase', NULL, NULL, NULL, 1),
(167, NULL, 'cd18180', NULL, NULL, 'ATP-synt_Vo_Ao_c_NTPK_rpt2', NULL, 'ATP-synt_Vo_Ao_c_NTPK_rpt2', NULL, NULL, NULL, 1),
(168, NULL, 'cd17710', NULL, NULL, 'BRCT_PAXIP1_rpt2', NULL, 'BRCT_PAXIP1_rpt2', NULL, NULL, NULL, 1),
(169, NULL, 'cd08024', NULL, NULL, 'GH16_CCF', NULL, 'GH16_CCF', NULL, NULL, NULL, 1),
(170, NULL, 'cd18448', NULL, NULL, 'BACK_KLHL8', NULL, 'BACK_KLHL8', NULL, NULL, NULL, 1),
(171, NULL, 'cd00502', NULL, NULL, 'DHQase_I', NULL, 'DHQase_I', NULL, NULL, 6674, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172, NULL, 'cd00836', NULL, NULL, 'FERM_C-lobe', NULL, 'FERM_C-lobe', NULL, NULL, NULL, 1),
(173, NULL, 'cd14117', NULL, NULL, 'STKc_Aurora-B_like', NULL, 'STKc_Aurora-B_like', NULL, NULL, NULL, 1),
(174, NULL, 'cd12786', NULL, NULL, 'RRM2_hnRPLL', NULL, 'RRM2_hnRPLL', NULL, NULL, 19153, 1),
(175, NULL, 'cd07852', NULL, NULL, 'STKc_MAPK15-like', NULL, 'STKc_MAPK15-like', NULL, NULL, NULL, 1),
(176, NULL, 'cd14252', NULL, NULL, 'Dockerin_like', NULL, 'Dockerin_like', NULL, NULL, NULL, 1),
(177, NULL, 'cd19122', NULL, NULL, 'AKR_AKR3E1', NULL, 'AKR_AKR3E1', NULL, NULL, NULL, 1),
(178, NULL, 'cd15243', NULL, NULL, '7tm_Halorhodopsin', NULL, '7tm_Halorhodopsin', NULL, NULL, NULL, 1),
(179, NULL, 'cd18208', NULL, NULL, 'BTB_POZ_ZBTB20_DPZF', NULL, 'BTB_POZ_ZBTB20_DPZF', NULL, NULL, NULL, 1),
(180, NULL, 'cd08420', NULL, NULL, 'PBP2_CysL_like', NULL, 'PBP2_CysL_like', NULL, NULL, NULL, 1),
(181, NULL, 'cd05972', NULL, NULL, 'MACS_like', NULL, 'MACS_like', NULL, NULL, NULL, 1),
(182, NULL, 'cd11701', NULL, NULL, 'DHR2_DOCK8', NULL, 'DHR2_DOCK8', NULL, NULL, NULL, 1),
(183, NULL, 'cd05783', NULL, NULL, 'DNA_polB_B1_exo', NULL, 'DNA_polB_B1_exo', NULL, NULL, NULL, 1),
(184, NULL, 'cd19054', NULL, NULL, 'LGIC_TM_GABAAR_gamma', NULL, 'LGIC_TM_GABAAR_gamma', NULL, NULL, NULL, 1),
(185, NULL, 'cd14149', NULL, NULL, 'STKc_C-Raf', NULL, 'STKc_C-Raf', NULL, NULL, NULL, 1),
(186, NULL, 'cd16474', NULL, NULL, 'RING-H2_RNF111_like', NULL, 'RING-H2_RNF111_like', NULL, NULL, NULL, 1),
(187, NULL, 'cd02417', NULL, NULL, 'Peptidase_C39_likeA', NULL, 'Peptidase_C39_likeA', NULL, NULL, 35919, 1),
(188, NULL, 'cd09132', NULL, NULL, 'PLDc_unchar4', NULL, 'PLDc_unchar4', NULL, NULL, NULL, 1),
(189, NULL, 'cd07804', NULL, NULL, 'FGGY_XK_like_1', NULL, 'FGGY_XK_like_1', NULL, NULL, NULL, 1),
(190, NULL, 'cd11931', NULL, NULL, 'SH3_SH3RF3_2', NULL, 'SH3_SH3RF3_2', NULL, NULL, NULL, 1),
(191, NULL, 'cd17119', NULL, NULL, 'Ubl_HERP2', NULL, 'Ubl_HERP2', NULL, NULL, NULL, 1),
(192, NULL, 'cd14124', NULL, NULL, 'PK_VRK3', NULL, 'PK_VRK3', NULL, NULL, NULL, 1),
(193, NULL, 'cd07957', NULL, NULL, 'Anticodon_Ia_Met', NULL, 'Anticodon_Ia_Met', NULL, NULL, 32738, 1),
(194, NULL, 'cd00233', NULL, NULL, 'VIP2', NULL, 'VIP2', NULL, NULL, NULL, 1),
(195, NULL, 'cd18983', NULL, NULL, 'CBD_MSL3_like', NULL, 'CBD_MSL3_like', NULL, NULL, NULL, 1),
(196, NULL, 'cd13151', NULL, NULL, 'DAXX_helical_bundle', NULL, 'DAXX_helical_bundle', NULL, NULL, 22382, 1),
(197, NULL, 'cd18755', NULL, NULL, 'PIN_MtVapC3_VapC21-like', NULL, 'PIN_MtVapC3_VapC21-like', NULL, NULL, NULL, 1),
(198, NULL, 'cd07666', NULL, NULL, 'BAR_SNX7', NULL, 'BAR_SNX7', NULL, NULL, 39826, 1),
(199, NULL, 'cd06468', NULL, NULL, 'p23_CacyBP', NULL, 'p23_CacyBP', NULL, NULL, 29032, 1),
(200, NULL, 'cd14473', NULL, NULL, 'FERM_B-lobe', NULL, 'FERM_B-lobe', NULL, NULL, 21158, 1),
(201, NULL, 'cd01681', NULL, NULL, 'aeEF2_snRNP_like_IV', NULL, 'aeEF2_snRNP_like_IV', NULL, NULL, NULL, 1),
(202, NULL, 'cd06407', NULL, NULL, 'PB1_NLP', NULL, 'PB1_NLP', NULL, NULL, 32427, 1),
(203, NULL, 'cd01641', NULL, NULL, 'Bacterial_IMPase_like_1', NULL, 'Bacterial_IMPase_like_1', NULL, NULL, NULL, 1),
(204, NULL, 'cd15233', NULL, NULL, '7tmA_OR3A-like', NULL, '7tmA_OR3A-like', NULL, NULL, NULL, 1),
(205, NULL, 'cd20301', NULL, NULL, 'cupin_ChrR', NULL, 'cupin_ChrR', NULL, NULL, 12909, 1),
(206, NULL, 'cd12955', NULL, NULL, 'SKA2', NULL, 'SKA2', NULL, NULL, NULL, 1),
(207, NULL, 'cd16176', NULL, NULL, 'EFh_HEF_CB', NULL, 'EFh_HEF_CB', NULL, NULL, NULL, 1),
(208, NULL, 'cd07367', NULL, NULL, 'CarBb', NULL, 'CarBb', NULL, NULL, 20647, 1),
(209, NULL, 'cd15901', NULL, NULL, 'EFh_DMD_DYTN_DTN', NULL, 'EFh_DMD_DYTN_DTN', NULL, NULL, NULL, 1),
(210, NULL, 'cd11375', NULL, NULL, 'Peptidase_M54', NULL, 'Peptidase_M54', NULL, NULL, 12409, 1),
(211, NULL, 'cd15064', NULL, NULL, '7tmA_5-HT1_5_7', NULL, '7tmA_5-HT1_5_7', NULL, NULL, NULL, 1),
(212, NULL, 'cd05502', NULL, NULL, 'Bromo_tif1_like', NULL, 'Bromo_tif1_like', NULL, NULL, NULL, 1),
(213, NULL, 'cd00561', NULL, NULL, 'CobA_CobO_BtuR', NULL, 'CobA_CobO_BtuR', NULL, NULL, 6248, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(214, NULL, 'cd08561', NULL, NULL, 'GDPD_cytoplasmic_ScUgpQ2_like', NULL, 'GDPD_cytoplasmic_ScUgpQ2_like', NULL, NULL, NULL, 1),
(215, NULL, 'cd10579', NULL, NULL, 'TNFRSF6', NULL, 'TNFRSF6', NULL, NULL, 16939, 1),
(216, NULL, 'cd14937', NULL, NULL, 'MYSc_Myo24A', NULL, 'MYSc_Myo24A', NULL, NULL, NULL, 1),
(217, NULL, 'cd11801', NULL, NULL, 'SH3_JIP1_like', NULL, 'SH3_JIP1_like', NULL, NULL, NULL, 1),
(218, NULL, 'cd18091', NULL, NULL, 'SpoU-like_TRM3-like', NULL, 'SpoU-like_TRM3-like', NULL, NULL, 37195, 1),
(219, NULL, 'cd19976', NULL, NULL, 'PBP1_DegA_Like', NULL, 'PBP1_DegA_Like', NULL, NULL, NULL, 1),
(220, NULL, 'cd07455', NULL, NULL, 'CRD_Collagen_XVIII', NULL, 'CRD_Collagen_XVIII', NULL, NULL, 35501, 1),
(221, NULL, 'cd08919', NULL, NULL, 'PBP-like', NULL, 'PBP-like', NULL, NULL, NULL, 1),
(222, NULL, 'cd00029', NULL, NULL, 'C1', NULL, 'C1', NULL, NULL, 5500, 1),
(223, NULL, 'cd05841', NULL, NULL, 'BS69_related', NULL, 'BS69_related', NULL, NULL, 35955, 1),
(224, NULL, 'cd17355', NULL, NULL, 'MFS_YcxA_like', NULL, 'MFS_YcxA_like', NULL, NULL, NULL, 1),
(225, NULL, 'cd16598', NULL, NULL, 'RING-HC_TRIM26_C-IV', NULL, 'RING-HC_TRIM26_C-IV', NULL, NULL, NULL, 1),
(226, NULL, 'cd05904', NULL, NULL, '4CL', NULL, '4CL', NULL, NULL, NULL, 1),
(227, NULL, 'cd02772', NULL, NULL, 'MopB_NDH-1_NuoG2', NULL, 'MopB_NDH-1_NuoG2', NULL, NULL, NULL, 1),
(228, NULL, 'cd16807', NULL, NULL, 'RING_CH-C4HC3_MARCH8', NULL, 'RING_CH-C4HC3_MARCH8', NULL, NULL, NULL, 1),
(229, NULL, 'cd08064', NULL, NULL, 'MPN_eIF3f', NULL, 'MPN_eIF3f', NULL, NULL, 26795, 1),
(230, NULL, 'cd06457', NULL, NULL, 'M3A_MIP', NULL, 'M3A_MIP', NULL, NULL, NULL, 1),
(231, NULL, 'cd06944', NULL, NULL, 'NR_LBD_Ftz-F1_like', NULL, 'NR_LBD_Ftz-F1_like', NULL, NULL, NULL, 1),
(232, NULL, 'cd03520', NULL, NULL, 'Link_domain_CSPGs_modules_2_4', NULL, 'Link_domain_CSPGs_modules_2_4', NULL, NULL, NULL, 1),
(233, NULL, 'cd12718', NULL, NULL, 'RRM_BRAP2', NULL, 'RRM_BRAP2', NULL, NULL, 31579, 1),
(234, NULL, 'cd02856', NULL, NULL, 'E_set_GDE_Isoamylase_N', NULL, 'E_set_GDE_Isoamylase_N', NULL, NULL, 37998, 1),
(235, NULL, 'cd07050', NULL, NULL, 'BMC_EutL_repeat2', NULL, 'BMC_EutL_repeat2', NULL, NULL, NULL, 1),
(236, NULL, 'cd18815', NULL, NULL, 'CAP_R3HDML', NULL, 'CAP_R3HDML', NULL, NULL, NULL, 1),
(237, NULL, 'cd03591', NULL, NULL, 'CLECT_collectin_like', NULL, 'CLECT_collectin_like', NULL, NULL, 31285, 1),
(238, NULL, 'cd08230', NULL, NULL, 'glucose_DH', NULL, 'glucose_DH', NULL, NULL, NULL, 1),
(239, NULL, 'cd10413', NULL, NULL, 'SH2_Grb7', NULL, 'SH2_Grb7', NULL, NULL, NULL, 1),
(240, NULL, 'cd01278', NULL, NULL, 'aprataxin_related', NULL, 'aprataxin_related', NULL, NULL, NULL, 1),
(241, NULL, 'cd03603', NULL, NULL, 'CLECT_VCBS', NULL, 'CLECT_VCBS', NULL, NULL, 31554, 1),
(242, NULL, 'cd05010', NULL, NULL, 'SIS_AgaS_like', NULL, 'SIS_AgaS_like', NULL, NULL, 31252, 1),
(243, NULL, 'cd06085', NULL, NULL, 'KOW_Spt5_5', NULL, 'KOW_Spt5_5', NULL, NULL, 33095, 1),
(244, NULL, 'cd11999', NULL, NULL, 'SH3_PACSIN_like', NULL, 'SH3_PACSIN_like', NULL, NULL, NULL, 1),
(245, NULL, 'cd12616', NULL, NULL, 'RRM1_TIAR', NULL, 'RRM1_TIAR', NULL, NULL, 34751, 1),
(246, NULL, 'cd09389', NULL, NULL, 'LIM2_LMO1_LMO3', NULL, 'LIM2_LMO1_LMO3', NULL, NULL, NULL, 1),
(247, NULL, 'cd06460', NULL, NULL, 'M32_Taq', NULL, 'M32_Taq', NULL, NULL, NULL, 1),
(248, NULL, 'cd15185', NULL, NULL, '7tmA_CCR3', NULL, '7tmA_CCR3', NULL, NULL, NULL, 1),
(249, NULL, 'cd03314', NULL, NULL, 'MAL', NULL, 'MAL', NULL, NULL, 5729, 1),
(250, NULL, 'cd07612', NULL, NULL, 'BAR_Bin2', NULL, 'BAR_Bin2', NULL, NULL, NULL, 1),
(251, NULL, 'cd16516', NULL, NULL, 'RING-HC_malin', NULL, 'RING-HC_malin', NULL, NULL, NULL, 1),
(252, NULL, 'cd14864', NULL, NULL, 'Fe-ADH-like', NULL, 'Fe-ADH-like', NULL, NULL, NULL, 1),
(253, NULL, 'cd18248', NULL, NULL, 'BTB_POZ_KLHL19_KEAP1', NULL, 'BTB_POZ_KLHL19_KEAP1', NULL, NULL, NULL, 1),
(254, NULL, 'cd07342', NULL, NULL, 'M48C_Oma1_like', NULL, 'M48C_Oma1_like', NULL, NULL, NULL, 1),
(255, NULL, 'cd00313', NULL, NULL, 'ATP-synt_Fo_Vo_Ao_c', NULL, 'ATP-synt_Fo_Vo_Ao_c', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(256, NULL, 'cd14119', NULL, NULL, 'STKc_LKB1', NULL, 'STKc_LKB1', NULL, NULL, 35920, 1),
(257, NULL, 'cd16556', NULL, NULL, 'RING-HC_RNF183_like', NULL, 'RING-HC_RNF183_like', NULL, NULL, NULL, 1),
(258, NULL, 'cd04327', NULL, NULL, 'ZnMc_MMP_like_3', NULL, 'ZnMc_MMP_like_3', NULL, NULL, NULL, 1),
(259, NULL, 'cd15822', NULL, NULL, 'SPRY_PRY_TRIM5', NULL, 'SPRY_PRY_TRIM5', NULL, NULL, NULL, 1),
(260, NULL, 'cd10349', NULL, NULL, 'SH2_SH2D2A_SH2D7', NULL, 'SH2_SH2D2A_SH2D7', NULL, NULL, NULL, 1),
(261, NULL, 'cd03052', NULL, NULL, 'GST_N_GDAP1', NULL, 'GST_N_GDAP1', NULL, NULL, NULL, 1),
(262, NULL, 'cd15032', NULL, NULL, '7tmF_FZD6', NULL, '7tmF_FZD6', NULL, NULL, NULL, 1),
(263, NULL, 'cd18021', NULL, NULL, 'DEXHc_Brr2_2', NULL, 'DEXHc_Brr2_2', NULL, NULL, NULL, 1),
(264, NULL, 'cd00107', NULL, NULL, 'Knot1', NULL, 'Knot1', NULL, NULL, 519, 1),
(265, NULL, 'cd08902', NULL, NULL, 'START_STARD4-like', NULL, 'START_STARD4-like', NULL, NULL, NULL, 1),
(266, NULL, 'cd06828', NULL, NULL, 'PLPDE_III_DapDC', NULL, 'PLPDE_III_DapDC', NULL, NULL, 7447, 1),
(267, NULL, 'cd18315', NULL, NULL, 'BTB_POZ_BAB-like', NULL, 'BTB_POZ_BAB-like', NULL, NULL, NULL, 1),
(268, NULL, 'cd03119', NULL, NULL, 'alpha_CA_I_II_III_XIII', NULL, 'alpha_CA_I_II_III_XIII', NULL, NULL, NULL, 1),
(269, NULL, 'cd16586', NULL, NULL, 'RING-HC_TRIM2_like_C-VII', NULL, 'RING-HC_TRIM2_like_C-VII', NULL, NULL, NULL, 1),
(270, NULL, 'cd04906', NULL, NULL, 'ACT_ThrD-I_1', NULL, 'ACT_ThrD-I_1', NULL, NULL, NULL, 1),
(271, NULL, 'cd19708', NULL, NULL, 'bHLH_TS_dHLH3B_like', NULL, 'bHLH_TS_dHLH3B_like', NULL, NULL, NULL, 1),
(272, NULL, 'cd20285', NULL, NULL, 'cupin_7S_11S_C', NULL, 'cupin_7S_11S_C', NULL, NULL, NULL, 1),
(273, NULL, 'cd09689', NULL, NULL, 'Cas7_I-C', NULL, 'Cas7_I-C', NULL, NULL, NULL, 1),
(274, NULL, 'cd14307', NULL, NULL, 'UBA_RUP1p', NULL, 'UBA_RUP1p', NULL, NULL, 32504, 1),
(275, NULL, 'cd19780', NULL, NULL, 'Bbox2_TRIM39-like', NULL, 'Bbox2_TRIM39-like', NULL, NULL, NULL, 1),
(276, NULL, 'cd15878', NULL, NULL, 'SNARE_syntaxin11', NULL, 'SNARE_syntaxin11', NULL, NULL, 37063, 1),
(277, NULL, 'cd04763', NULL, NULL, 'HTH_MlrA-like', NULL, 'HTH_MlrA-like', NULL, NULL, NULL, 1),
(278, NULL, 'cd14782', NULL, NULL, 'FHb-globin_2', NULL, 'FHb-globin_2', NULL, NULL, NULL, 1),
(279, NULL, 'cd07276', NULL, NULL, 'PX_SNX16', NULL, 'PX_SNX16', NULL, NULL, 33887, 1),
(280, NULL, 'cd09612', NULL, NULL, 'Jacalin', NULL, 'Jacalin', NULL, NULL, 29755, 1),
(281, NULL, 'cd12161', NULL, NULL, 'GDH_like_1', NULL, 'GDH_like_1', NULL, NULL, NULL, 1),
(282, NULL, 'cd12578', NULL, NULL, 'RRM1_hnRNPA_like', NULL, 'RRM1_hnRNPA_like', NULL, NULL, NULL, 1),
(283, NULL, 'cd01986', NULL, NULL, 'Alpha_ANH_like', NULL, 'Alpha_ANH_like', NULL, NULL, NULL, 1),
(284, NULL, 'cd18892', NULL, NULL, 'TET', NULL, 'TET', NULL, NULL, NULL, 1),
(285, NULL, 'cd05774', NULL, NULL, 'Ig_CEACAM_D1', NULL, 'Ig_CEACAM_D1', NULL, NULL, NULL, 1),
(286, NULL, 'cd07339', NULL, NULL, 'M48B_HtpX_like', NULL, 'M48B_HtpX_like', NULL, NULL, NULL, 1),
(287, NULL, 'cd16494', NULL, NULL, 'RING-CH-C4HC3_ZSWM2', NULL, 'RING-CH-C4HC3_ZSWM2', NULL, NULL, NULL, 1),
(288, NULL, 'cd14972', NULL, NULL, '7tmA_EDG-like', NULL, '7tmA_EDG-like', NULL, NULL, NULL, 1),
(289, NULL, 'cd11374', NULL, NULL, 'CE4_u10', NULL, 'CE4_u10', NULL, NULL, NULL, 1),
(290, NULL, 'cd05262', NULL, NULL, 'SDR_a7', NULL, 'SDR_a7', NULL, NULL, NULL, 1),
(291, NULL, 'cd09382', NULL, NULL, 'LIM2_Lhx6', NULL, 'LIM2_Lhx6', NULL, NULL, NULL, 1),
(292, NULL, 'cd07794', NULL, NULL, 'FGGY_GK_like_proteobact', NULL, 'FGGY_GK_like_proteobact', NULL, NULL, 32685, 1),
(293, NULL, 'cd01861', NULL, NULL, 'Rab6', NULL, 'Rab6', NULL, NULL, NULL, 1),
(294, NULL, 'cd01983', NULL, NULL, 'SIMIBI', NULL, 'SIMIBI', NULL, NULL, NULL, 1),
(295, NULL, 'cd17526', NULL, NULL, 'RMtype1_S_Cje2232P-TRD2-CR2_like', NULL, 'RMtype1_S_Cje2232P-TRD2-CR2_like', NULL, NULL, NULL, 1),
(296, NULL, 'cd19398', NULL, NULL, 'TGF_beta_BMP8', NULL, 'TGF_beta_BMP8', NULL, NULL, NULL, 1),
(297, NULL, 'cd07402', NULL, NULL, 'MPP_GpdQ', NULL, 'MPP_GpdQ', NULL, NULL, 27043, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(298, NULL, 'cd21479', NULL, NULL, 'MERS-like_CoV_Spike_S1_RBD', NULL, 'MERS-like_CoV_Spike_S1_RBD', NULL, NULL, 38962, 1),
(299, NULL, 'cd04048', NULL, NULL, 'C2A_Copine', NULL, 'C2A_Copine', NULL, NULL, NULL, 1),
(300, NULL, 'cd06846', NULL, NULL, 'Adenylation_DNA_ligase_like', NULL, 'Adenylation_DNA_ligase_like', NULL, NULL, NULL, 1),
(301, NULL, 'cd07850', NULL, NULL, 'STKc_JNK', NULL, 'STKc_JNK', NULL, NULL, NULL, 1),
(302, NULL, 'cd11538', NULL, NULL, 'NTP-PPase_u1', NULL, 'NTP-PPase_u1', NULL, NULL, NULL, 1),
(303, NULL, 'cd03186', NULL, NULL, 'GST_C_SspA', NULL, 'GST_C_SspA', NULL, NULL, 20602, 1),
(304, NULL, 'cd16785', NULL, NULL, 'mRING-HC-C3HC5_NEU1A', NULL, 'mRING-HC-C3HC5_NEU1A', NULL, NULL, NULL, 1),
(305, NULL, 'cd05866', NULL, NULL, 'Ig1_NCAM-2', NULL, 'Ig1_NCAM-2', NULL, NULL, NULL, 1),
(306, NULL, 'cd13271', NULL, NULL, 'PH2_TAPP1_2', NULL, 'PH2_TAPP1_2', NULL, NULL, NULL, 1),
(307, NULL, 'cd03602', NULL, NULL, 'CLECT_1', NULL, 'CLECT_1', NULL, NULL, NULL, 1),
(308, NULL, 'cd16251', NULL, NULL, 'EFh_parvalbumin_like', NULL, 'EFh_parvalbumin_like', NULL, NULL, NULL, 1),
(309, NULL, 'cd07699', NULL, NULL, 'IgC_L', NULL, 'IgC_L', NULL, NULL, NULL, 1),
(310, NULL, 'cd12314', NULL, NULL, 'RRM1_RBM6', NULL, 'RRM1_RBM6', NULL, NULL, 32546, 1),
(311, NULL, 'cd18750', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(312, NULL, 'cd00164', NULL, NULL, 'S1_like', NULL, 'S1_like', NULL, NULL, NULL, 1),
(313, NULL, 'cd17746', NULL, NULL, 'BRCT_Rad4_rpt2', NULL, 'BRCT_Rad4_rpt2', NULL, NULL, NULL, 1),
(314, NULL, 'cd02165', NULL, NULL, 'NMNAT', NULL, 'NMNAT', NULL, NULL, 11245, 1),
(315, NULL, 'cd16273', NULL, NULL, 'SNM1A-1C-like_MBL-fold', NULL, 'SNM1A-1C-like_MBL-fold', NULL, NULL, NULL, 1),
(316, NULL, 'cd10292', NULL, NULL, 'GST_C_YghU_like', NULL, 'GST_C_YghU_like', NULL, NULL, NULL, 1),
(317, NULL, 'cd14319', NULL, NULL, 'UBA_NBR1', NULL, 'UBA_NBR1', NULL, NULL, NULL, 1),
(318, NULL, 'cd17536', NULL, NULL, 'REC_YesN-like', NULL, 'REC_YesN-like', NULL, NULL, NULL, 1),
(319, NULL, 'cd02418', NULL, NULL, 'Peptidase_C39B', NULL, 'Peptidase_C39B', NULL, NULL, NULL, 1),
(320, NULL, 'cd00110', NULL, NULL, 'LamG', NULL, 'LamG', NULL, NULL, 3412, 1),
(321, NULL, 'cd01215', NULL, NULL, 'PTB_Dab', NULL, 'PTB_Dab', NULL, NULL, NULL, 1),
(322, NULL, 'cd03324', NULL, NULL, 'rTSbeta_L-fuconate_dehydratase', NULL, 'rTSbeta_L-fuconate_dehydratase', NULL, NULL, 11820, 1),
(323, NULL, 'cd12298', NULL, NULL, 'RRM3_Prp24', NULL, 'RRM3_Prp24', NULL, NULL, NULL, 1),
(324, NULL, 'cd14142', NULL, NULL, 'STKc_ACVR1_ALK1', NULL, 'STKc_ACVR1_ALK1', NULL, NULL, NULL, 1),
(325, NULL, 'cd15881', NULL, NULL, 'SNARE_syntaxin3', NULL, 'SNARE_syntaxin3', NULL, NULL, NULL, 1),
(326, NULL, 'cd03751', NULL, NULL, 'proteasome_alpha_type_3', NULL, 'proteasome_alpha_type_3', NULL, NULL, NULL, 1),
(327, NULL, 'cd15308', NULL, NULL, '7tmA_D4_dopamine_R', NULL, '7tmA_D4_dopamine_R', NULL, NULL, NULL, 1),
(328, NULL, 'cd18318', NULL, NULL, 'BTB_POZ_KCTD20-like', NULL, 'BTB_POZ_KCTD20-like', NULL, NULL, NULL, 1),
(329, NULL, 'cd04101', NULL, NULL, 'RabL4', NULL, 'RabL4', NULL, NULL, 21828, 1),
(330, NULL, 'cd05358', NULL, NULL, 'GlcDH_SDR_c', NULL, 'GlcDH_SDR_c', NULL, NULL, NULL, 1),
(331, NULL, 'cd07376', NULL, NULL, 'PLPDE_III_DSD_D-TA_like', NULL, 'PLPDE_III_DSD_D-TA_like', NULL, NULL, NULL, 1),
(332, NULL, 'cd10567', NULL, NULL, 'SWIB-MDM2_like', NULL, 'SWIB-MDM2_like', NULL, NULL, NULL, 1),
(333, NULL, 'cd14500', NULL, NULL, 'PTP-IVa', NULL, 'PTP-IVa', NULL, NULL, NULL, 1),
(334, NULL, 'cd08378', NULL, NULL, 'C2B_MCTP_PRT_plant', NULL, 'C2B_MCTP_PRT_plant', NULL, NULL, NULL, 1),
(335, NULL, 'cd18629', NULL, NULL, 'CD2_cpSRP43_like', NULL, 'CD2_cpSRP43_like', NULL, NULL, NULL, 1),
(336, NULL, 'cd16742', NULL, NULL, 'RING-HC_RNFT2', NULL, 'RING-HC_RNFT2', NULL, NULL, NULL, 1),
(337, NULL, 'cd17925', NULL, NULL, 'DEXDc_ComFA', NULL, 'DEXDc_ComFA', NULL, NULL, NULL, 1),
(338, NULL, 'cd00239', NULL, NULL, 'PapG_CBD', NULL, 'PapG_CBD', NULL, NULL, 5265, 1),
(339, NULL, 'cd15216', NULL, NULL, '7tmA_SREB1_GPR27', NULL, '7tmA_SREB1_GPR27', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(340, NULL, 'cd03322', NULL, NULL, 'RspA', NULL, 'RspA', NULL, NULL, NULL, 1),
(341, NULL, 'cd03122', NULL, NULL, 'alpha_CARP_receptor_like', NULL, 'alpha_CARP_receptor_like', NULL, NULL, 32527, 1),
(342, NULL, 'cd04195', NULL, NULL, 'GT2_AmsE_like', NULL, 'GT2_AmsE_like', NULL, NULL, NULL, 1),
(343, NULL, 'cd11677', NULL, NULL, 'Gemin7', NULL, 'Gemin7', NULL, NULL, 19983, 1),
(344, NULL, 'cd08739', NULL, NULL, 'RGS_RGS9', NULL, 'RGS_RGS9', NULL, NULL, NULL, 1),
(345, NULL, 'cd17419', NULL, NULL, 'MFS_NPF7', NULL, 'MFS_NPF7', NULL, NULL, NULL, 1),
(346, NULL, 'cd18582', NULL, NULL, 'ABC_6TM_ATM1_ABCB7', NULL, 'ABC_6TM_ATM1_ABCB7', NULL, NULL, NULL, 1),
(347, NULL, 'cd16444', NULL, NULL, 'LipB', NULL, 'LipB', NULL, NULL, 5998, 1),
(348, NULL, 'cd06388', NULL, NULL, 'PBP1_iGluR_AMPA_GluR4', NULL, 'PBP1_iGluR_AMPA_GluR4', NULL, NULL, NULL, 1),
(349, NULL, 'cd07677', NULL, NULL, 'F-BAR_FCHSD2', NULL, 'F-BAR_FCHSD2', NULL, NULL, NULL, 1),
(350, NULL, 'cd17081', NULL, NULL, 'RAWUL_PCGF1', NULL, 'RAWUL_PCGF1', NULL, NULL, NULL, 1),
(351, NULL, 'cd01935', NULL, NULL, 'Ntn_CGH_like', NULL, 'Ntn_CGH_like', NULL, NULL, NULL, 1),
(352, NULL, 'cd02172', NULL, NULL, 'RfaE_N', NULL, 'RfaE_N', NULL, NULL, NULL, 1),
(353, NULL, 'cd08488', NULL, NULL, 'PBP2_AmpR', NULL, 'PBP2_AmpR', NULL, NULL, NULL, 1),
(354, NULL, 'cd04661', NULL, NULL, 'MRP_L46', NULL, 'MRP_L46', NULL, NULL, 31262, 1),
(355, NULL, 'cd14822', NULL, NULL, 'BACK_BTBD9', NULL, 'BACK_BTBD9', NULL, NULL, 23130, 1),
(356, NULL, 'cd15917', NULL, NULL, '7tmA_OR51_52-like', NULL, '7tmA_OR51_52-like', NULL, NULL, NULL, 1),
(357, NULL, 'cd15950', NULL, NULL, '7tmA_OR52I-like', NULL, '7tmA_OR52I-like', NULL, NULL, NULL, 1),
(358, NULL, 'cd18622', NULL, NULL, 'GH32_Inu-like', NULL, 'GH32_Inu-like', NULL, NULL, NULL, 1),
(359, NULL, 'cd13701', NULL, NULL, 'PBP2_ml15202_like', NULL, 'PBP2_ml15202_like', NULL, NULL, NULL, 1),
(360, NULL, 'cd01984', NULL, NULL, 'AANH_like', NULL, 'AANH_like', NULL, NULL, NULL, 1),
(361, NULL, 'cd18797', NULL, NULL, 'SF2_C_Hrq', NULL, 'SF2_C_Hrq', NULL, NULL, NULL, 1),
(362, NULL, 'cd06269', NULL, NULL, 'PBP1_glutamate_receptors-like', NULL, 'PBP1_glutamate_receptors-like', NULL, NULL, NULL, 1),
(363, NULL, 'cd18054', NULL, NULL, 'DEXHc_CHD2', NULL, 'DEXHc_CHD2', NULL, NULL, NULL, 1),
(364, NULL, 'cd10785', NULL, NULL, 'GH38-57_N_LamB_YdjC_SF', NULL, 'GH38-57_N_LamB_YdjC_SF', NULL, NULL, NULL, 1),
(365, NULL, 'cd17190', NULL, NULL, 'FERM_F1_FARP2', NULL, 'FERM_F1_FARP2', NULL, NULL, NULL, 1),
(366, NULL, 'cd11847', NULL, NULL, 'SH3_Brk', NULL, 'SH3_Brk', NULL, NULL, NULL, 1),
(367, NULL, 'cd08637', NULL, NULL, 'DNA_pol_A_pol_I_C', NULL, 'DNA_pol_A_pol_I_C', NULL, NULL, NULL, 1),
(368, NULL, 'cd18511', NULL, NULL, 'BACK_KLHL5', NULL, 'BACK_KLHL5', NULL, NULL, NULL, 1),
(369, NULL, 'cd08771', NULL, NULL, 'DLP_1', NULL, 'DLP_1', NULL, NULL, 3297, 1),
(370, NULL, 'cd10479', NULL, NULL, 'EphR_LBD_A1', NULL, 'EphR_LBD_A1', NULL, NULL, 24229, 1),
(371, NULL, 'cd10976', NULL, NULL, 'CE4_CDA_like_3', NULL, 'CE4_CDA_like_3', NULL, NULL, NULL, 1),
(372, NULL, 'cd21162', NULL, NULL, 'NendoU_tv_PToV-like', NULL, 'NendoU_tv_PToV-like', NULL, NULL, 37319, 1),
(373, NULL, 'cd14234', NULL, NULL, 'GAT_GGA_meta', NULL, 'GAT_GGA_meta', NULL, NULL, NULL, 1),
(374, NULL, 'cd18088', NULL, NULL, 'Nep1-like', NULL, 'Nep1-like', NULL, NULL, 5103, 1),
(375, NULL, 'cd01485', NULL, NULL, 'E1-1_like', NULL, 'E1-1_like', NULL, NULL, NULL, 1),
(376, NULL, 'cd00814', NULL, NULL, 'MetRS_core', NULL, 'MetRS_core', NULL, NULL, 36135, 1),
(377, NULL, 'cd07018', NULL, NULL, 'S49_SppA_67K_type', NULL, 'S49_SppA_67K_type', NULL, NULL, NULL, 1),
(378, NULL, 'cd19568', NULL, NULL, 'serpinB9_CAP-3', NULL, 'serpinB9_CAP-3', NULL, NULL, NULL, 1),
(379, NULL, 'cd06429', NULL, NULL, 'GT8_like_1', NULL, 'GT8_like_1', NULL, NULL, NULL, 1),
(380, NULL, 'cd05859', NULL, NULL, 'Ig4_PDGFR', NULL, 'Ig4_PDGFR', NULL, NULL, NULL, 1),
(381, NULL, 'cd09729', NULL, NULL, 'Cse1_I-E', NULL, 'Cse1_I-E', NULL, NULL, NULL, 1),
(382, NULL, 'cd00280', NULL, NULL, 'TRFH', NULL, 'TRFH', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(383, NULL, 'cd12789', NULL, NULL, 'RasGAP_plexin_C1', NULL, 'RasGAP_plexin_C1', NULL, NULL, NULL, 1),
(384, NULL, 'cd15520', NULL, NULL, 'PHD3_Lid2p_like', NULL, 'PHD3_Lid2p_like', NULL, NULL, NULL, 1),
(385, NULL, 'cd21554', NULL, NULL, 'CoV_N-NTD', NULL, 'CoV_N-NTD', NULL, NULL, 36767, 1),
(386, NULL, 'cd14571', NULL, NULL, 'DSP_slingshot_3', NULL, 'DSP_slingshot_3', NULL, NULL, NULL, 1),
(387, NULL, 'cd19615', NULL, NULL, 'lipocalin_NP7', NULL, 'lipocalin_NP7', NULL, NULL, NULL, 1),
(388, NULL, 'cd01257', NULL, NULL, 'PH_IRS', NULL, 'PH_IRS', NULL, NULL, NULL, 1),
(389, NULL, 'cd01128', NULL, NULL, 'rho_factor', NULL, 'rho_factor', NULL, NULL, 33242, 1),
(390, NULL, 'cd09686', NULL, NULL, 'Csx1_III-U', NULL, 'Csx1_III-U', NULL, NULL, NULL, 1),
(391, NULL, 'cd02965', NULL, NULL, 'HyaE', NULL, 'HyaE', NULL, NULL, 11995, 1),
(392, NULL, 'cd12504', NULL, NULL, 'RRM2_hnRNPH_like', NULL, 'RRM2_hnRNPH_like', NULL, NULL, NULL, 1),
(393, NULL, 'cd13232', NULL, NULL, 'Ig-PH_SCAB1', NULL, 'Ig-PH_SCAB1', NULL, NULL, NULL, 1),
(394, NULL, 'cd12084', NULL, NULL, 'DD_R_PKA', NULL, 'DD_R_PKA', NULL, NULL, NULL, 1),
(395, NULL, 'cd02889', NULL, NULL, 'SQCY', NULL, 'SQCY', NULL, NULL, NULL, 1),
(396, NULL, 'cd13356', NULL, NULL, 'PH-GRAM_MTMR2_mammal-like', NULL, 'PH-GRAM_MTMR2_mammal-like', NULL, NULL, NULL, 1),
(397, NULL, 'cd03261', NULL, NULL, 'ABC_Org_Solvent_Resistant', NULL, 'ABC_Org_Solvent_Resistant', NULL, NULL, NULL, 1),
(398, NULL, 'cd02736', NULL, NULL, 'RNAP_III_Rpc1_C', NULL, 'RNAP_III_Rpc1_C', NULL, NULL, 33615, 1),
(399, NULL, 'cd11669', NULL, NULL, 'TTHB210-like', NULL, 'TTHB210-like', NULL, NULL, 34431, 1),
(400, NULL, 'cd03592', NULL, NULL, 'CLECT_selectins_like', NULL, 'CLECT_selectins_like', NULL, NULL, 22761, 1),
(401, NULL, 'cd16998', NULL, NULL, 'VHS_GGA_fungi', NULL, 'VHS_GGA_fungi', NULL, NULL, NULL, 1),
(402, NULL, 'cd19844', NULL, NULL, 'Bbox1_TRIM67_C-I', NULL, 'Bbox1_TRIM67_C-I', NULL, NULL, NULL, 1),
(403, NULL, 'cd14332', NULL, NULL, 'UBA_RuvA_C', NULL, 'UBA_RuvA_C', NULL, NULL, 11343, 1),
(404, NULL, 'cd07377', NULL, NULL, 'WHTH_GntR', NULL, 'WHTH_GntR', NULL, NULL, 5846, 1),
(405, NULL, 'cd08482', NULL, NULL, 'PBP2_TrpI', NULL, 'PBP2_TrpI', NULL, NULL, 32384, 1),
(406, NULL, 'cd15689', NULL, NULL, 'PHD1_MORF', NULL, 'PHD1_MORF', NULL, NULL, NULL, 1),
(407, NULL, 'cd08477', NULL, NULL, 'PBP2_CrgA_like_8', NULL, 'PBP2_CrgA_like_8', NULL, NULL, NULL, 1),
(408, NULL, 'cd09181', NULL, NULL, 'PLDc_FAM83A_N', NULL, 'PLDc_FAM83A_N', NULL, NULL, NULL, 1),
(409, NULL, 'cd18333', NULL, NULL, 'BTB_POZ_ZBTB29_HIC1', NULL, 'BTB_POZ_ZBTB29_HIC1', NULL, NULL, NULL, 1),
(410, NULL, 'cd01188', NULL, NULL, 'INT_RitA_C_like', NULL, 'INT_RitA_C_like', NULL, NULL, NULL, 1),
(411, NULL, 'cd10364', NULL, NULL, 'SH2_Src_Lyn', NULL, 'SH2_Src_Lyn', NULL, NULL, 35860, 1),
(412, NULL, 'cd02249', NULL, NULL, 'ZZ', NULL, 'ZZ', NULL, NULL, NULL, 1),
(413, NULL, 'cd04605', NULL, NULL, 'CBS_pair_arch_MET2_assoc', NULL, 'CBS_pair_arch_MET2_assoc', NULL, NULL, NULL, 1),
(414, NULL, 'cd14945', NULL, NULL, 'Myo5-like_CBD', NULL, 'Myo5-like_CBD', NULL, NULL, NULL, 1),
(415, NULL, 'cd03519', NULL, NULL, 'Link_domain_HAPLN_module_2', NULL, 'Link_domain_HAPLN_module_2', NULL, NULL, NULL, 1),
(416, NULL, 'cd10041', NULL, NULL, 'Reelin_repeat_5_subrepeat_1', NULL, 'Reelin_repeat_5_subrepeat_1', NULL, NULL, NULL, 1),
(417, NULL, 'cd13537', NULL, NULL, 'PBP2_YvgL_like', NULL, 'PBP2_YvgL_like', NULL, NULL, 32952, 1),
(418, NULL, 'cd02003', NULL, NULL, 'TPP_IolD', NULL, 'TPP_IolD', NULL, NULL, NULL, 1),
(419, NULL, 'cd05876', NULL, NULL, 'Ig3_L1-CAM', NULL, 'Ig3_L1-CAM', NULL, NULL, NULL, 1),
(420, NULL, 'cd18293', NULL, NULL, 'BTB_POZ_BTBD18', NULL, 'BTB_POZ_BTBD18', NULL, NULL, NULL, 1),
(421, NULL, 'cd16672', NULL, NULL, 'RING-H2_DTX2', NULL, 'RING-H2_DTX2', NULL, NULL, NULL, 1),
(422, NULL, 'cd06449', NULL, NULL, 'ACCD', NULL, 'ACCD', NULL, NULL, NULL, 1),
(423, NULL, 'cd07898', NULL, NULL, 'Adenylation_DNA_ligase', NULL, 'Adenylation_DNA_ligase', NULL, NULL, NULL, 1),
(424, NULL, 'cd08211', NULL, NULL, 'RuBisCO_large_II', NULL, 'RuBisCO_large_II', NULL, NULL, 21009, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(425, NULL, 'cd07294', NULL, NULL, 'PX_SNX12', NULL, 'PX_SNX12', NULL, NULL, NULL, 1),
(426, NULL, 'cd00619', NULL, NULL, 'Terminator_NusB', NULL, 'Terminator_NusB', NULL, NULL, NULL, 1),
(427, NULL, 'cd01275', NULL, NULL, 'FHIT', NULL, 'FHIT', NULL, NULL, 31707, 1),
(428, NULL, 'cd05164', NULL, NULL, 'PIKKc', NULL, 'PIKKc', NULL, NULL, NULL, 1),
(429, NULL, 'cd16437', NULL, NULL, 'beta_Kdo_transferase_KpsC', NULL, 'beta_Kdo_transferase_KpsC', NULL, NULL, NULL, 1),
(430, NULL, 'cd13205', NULL, NULL, 'FERM_C_fermitin', NULL, 'FERM_C_fermitin', NULL, NULL, NULL, 1),
(431, NULL, 'cd04219', NULL, NULL, 'Plastocyanin', NULL, 'Plastocyanin', NULL, NULL, 6306, 1),
(432, NULL, 'cd08609', NULL, NULL, 'GDPD_GDE3', NULL, 'GDPD_GDE3', NULL, NULL, NULL, 1),
(433, NULL, 'cd15312', NULL, NULL, '7tmA_TAAR2_3_4', NULL, '7tmA_TAAR2_3_4', NULL, NULL, NULL, 1),
(434, NULL, 'cd09496', NULL, NULL, 'SAM_liprin-kazrin_repeat3', NULL, 'SAM_liprin-kazrin_repeat3', NULL, NULL, NULL, 1),
(435, NULL, 'cd14726', NULL, NULL, 'TraB_PrgY-like', NULL, 'TraB_PrgY-like', NULL, NULL, NULL, 1),
(436, NULL, 'cd18414', NULL, NULL, 'BTB_KCNC1_3', NULL, 'BTB_KCNC1_3', NULL, NULL, NULL, 1),
(437, NULL, 'cd02752', NULL, NULL, 'MopB_Formate-Dh-Na-like', NULL, 'MopB_Formate-Dh-Na-like', NULL, NULL, NULL, 1),
(438, NULL, 'cd04891', NULL, NULL, 'ACT_AK-LysC-DapG-like_1', NULL, 'ACT_AK-LysC-DapG-like_1', NULL, NULL, NULL, 1),
(439, NULL, 'cd14197', NULL, NULL, 'STKc_DRAK1', NULL, 'STKc_DRAK1', NULL, NULL, 38222, 1),
(440, NULL, 'cd15170', NULL, NULL, '7tmA_FFAR2_FFAR3', NULL, '7tmA_FFAR2_FFAR3', NULL, NULL, NULL, 1),
(441, NULL, 'cd07284', NULL, NULL, 'PX_SNX7', NULL, 'PX_SNX7', NULL, NULL, 39729, 1),
(442, NULL, 'cd19434', NULL, NULL, 'lipocalin_YxeF', NULL, 'lipocalin_YxeF', NULL, NULL, 19145, 1),
(443, NULL, 'cd02208', NULL, NULL, 'cupin_RmlC-like', NULL, 'cupin_RmlC-like', NULL, NULL, NULL, 1),
(444, NULL, 'cd02698', NULL, NULL, 'Peptidase_C1A_CathepsinX', NULL, 'Peptidase_C1A_CathepsinX', NULL, NULL, 35319, 1),
(445, NULL, 'cd14233', NULL, NULL, 'GAT_TOM1_like', NULL, 'GAT_TOM1_like', NULL, NULL, NULL, 1),
(446, NULL, 'cd05252', NULL, NULL, 'CDP_GD_SDR_e', NULL, 'CDP_GD_SDR_e', NULL, NULL, 9246, 1),
(447, NULL, 'cd12219', NULL, NULL, 'Ubl_TBK1_like', NULL, 'Ubl_TBK1_like', NULL, NULL, NULL, 1),
(448, NULL, 'cd13734', NULL, NULL, 'SPRY_PRY_C-II', NULL, 'SPRY_PRY_C-II', NULL, NULL, NULL, 1),
(449, NULL, 'cd12679', NULL, NULL, 'RRM_SAFB1_SAFB2', NULL, 'RRM_SAFB1_SAFB2', NULL, NULL, NULL, 1),
(450, NULL, 'cd01090', NULL, NULL, 'Creatinase', NULL, 'Creatinase', NULL, NULL, 36003, 1),
(451, NULL, 'cd01908', NULL, NULL, 'YafJ', NULL, 'YafJ', NULL, NULL, NULL, 1),
(452, NULL, 'cd12683', NULL, NULL, 'RRM_RBPMS2', NULL, 'RRM_RBPMS2', NULL, NULL, 19314, 1),
(453, NULL, 'cd04305', NULL, NULL, 'HAD_Neu5Ac-Pase_like', NULL, 'HAD_Neu5Ac-Pase_like', NULL, NULL, NULL, 1),
(454, NULL, 'cd07952', NULL, NULL, 'ED_3B_like', NULL, 'ED_3B_like', NULL, NULL, NULL, 1),
(455, NULL, 'cd17723', NULL, NULL, 'BRCT_Rad4_rpt4', NULL, 'BRCT_Rad4_rpt4', NULL, NULL, NULL, 1),
(456, NULL, 'cd14157', NULL, NULL, 'STKc_IRAK2', NULL, 'STKc_IRAK2', NULL, NULL, NULL, 1),
(457, NULL, 'cd19697', NULL, NULL, 'bHLH-PAS_NPAS4_PASD10', NULL, 'bHLH-PAS_NPAS4_PASD10', NULL, NULL, NULL, 1),
(458, NULL, 'cd13915', NULL, NULL, 'CuRO_HCO_II_like_2', NULL, 'CuRO_HCO_II_like_2', NULL, NULL, NULL, 1),
(459, NULL, 'cd05094', NULL, NULL, 'PTKc_TrkC', NULL, 'PTKc_TrkC', NULL, NULL, NULL, 1),
(460, NULL, 'cd10044', NULL, NULL, 'Reelin_repeat_8_subrepeat_1', NULL, 'Reelin_repeat_8_subrepeat_1', NULL, NULL, NULL, 1),
(461, NULL, 'cd13170', NULL, NULL, 'RanBD_NUP50', NULL, 'RanBD_NUP50', NULL, NULL, NULL, 1),
(462, NULL, 'cd04632', NULL, NULL, 'CBS_pair_arch1_repeat2', NULL, 'CBS_pair_arch1_repeat2', NULL, NULL, NULL, 1),
(463, NULL, 'cd07104', NULL, NULL, 'ALDH_BenzADH-like', NULL, 'ALDH_BenzADH-like', NULL, NULL, NULL, 1),
(464, NULL, 'cd15712', NULL, NULL, 'ePHD_PHF11', NULL, 'ePHD_PHF11', NULL, NULL, NULL, 1),
(465, NULL, 'cd19454', NULL, NULL, 'lipocalin_NP3', NULL, 'lipocalin_NP3', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(466, NULL, 'cd19867', NULL, NULL, 'DSRM_DGCR8_rpt1', NULL, 'DSRM_DGCR8_rpt1', NULL, NULL, NULL, 1),
(467, NULL, 'cd16515', NULL, NULL, 'RING-HC_LRSAM1', NULL, 'RING-HC_LRSAM1', NULL, NULL, NULL, 1),
(468, NULL, 'cd09556', NULL, NULL, 'SAM_VTS1_fungal', NULL, 'SAM_VTS1_fungal', NULL, NULL, 34806, 1),
(469, NULL, 'cd03181', NULL, NULL, 'GST_C_EF1Bgamma_like', NULL, 'GST_C_EF1Bgamma_like', NULL, NULL, NULL, 1),
(470, NULL, 'cd18206', NULL, NULL, 'BTB_POZ_ZBTB17_MIZ1', NULL, 'BTB_POZ_ZBTB17_MIZ1', NULL, NULL, NULL, 1),
(471, NULL, 'cd08210', NULL, NULL, 'RLP_RrRLP', NULL, 'RLP_RrRLP', NULL, NULL, NULL, 1),
(472, NULL, 'cd12572', NULL, NULL, 'RRM2_MSI1', NULL, 'RRM2_MSI1', NULL, NULL, NULL, 1),
(473, NULL, 'cd12629', NULL, NULL, 'RRM2_IGF2BP2', NULL, 'RRM2_IGF2BP2', NULL, NULL, NULL, 1),
(474, NULL, 'cd06378', NULL, NULL, 'PBP1_iGluR_NMDA_NR2', NULL, 'PBP1_iGluR_NMDA_NR2', NULL, NULL, NULL, 1),
(475, NULL, 'cd01184', NULL, NULL, 'INT_C_like_1', NULL, 'INT_C_like_1', NULL, NULL, NULL, 1),
(476, NULL, 'cd08011', NULL, NULL, 'M20_ArgE_DapE-like', NULL, 'M20_ArgE_DapE-like', NULL, NULL, NULL, 1),
(477, NULL, 'cd15102', NULL, NULL, '7tmA_S1PR', NULL, '7tmA_S1PR', NULL, NULL, NULL, 1),
(478, NULL, 'cd04196', NULL, NULL, 'GT_2_like_d', NULL, 'GT_2_like_d', NULL, NULL, NULL, 1),
(479, NULL, 'cd10001', NULL, NULL, 'HDAC_classII_APAH', NULL, 'HDAC_classII_APAH', NULL, NULL, NULL, 1),
(480, NULL, 'cd14890', NULL, NULL, 'MYSc_Myo29', NULL, 'MYSc_Myo29', NULL, NULL, NULL, 1),
(481, NULL, 'cd13350', NULL, NULL, 'PH-GRAM1_TBC1D8B', NULL, 'PH-GRAM1_TBC1D8B', NULL, NULL, 30053, 1),
(482, NULL, 'cd14859', NULL, NULL, 'PMEI_like', NULL, 'PMEI_like', NULL, NULL, NULL, 1),
(483, NULL, 'cd14957', NULL, NULL, 'NHL_like_2', NULL, 'NHL_like_2', NULL, NULL, NULL, 1),
(484, NULL, 'cd07254', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(485, NULL, 'cd05114', NULL, NULL, 'PTKc_Tec_Rlk', NULL, 'PTKc_Tec_Rlk', NULL, NULL, NULL, 1),
(486, NULL, 'cd06232', NULL, NULL, 'M14-like', NULL, 'M14-like', NULL, NULL, NULL, 1),
(487, NULL, 'cd05642', NULL, NULL, 'M28_like', NULL, 'M28_like', NULL, NULL, NULL, 1),
(488, NULL, 'cd13764', NULL, NULL, 'TGF_beta_GDF1_3_like', NULL, 'TGF_beta_GDF1_3_like', NULL, NULL, NULL, 1),
(489, NULL, 'cd08018', NULL, NULL, 'M20_Acy1_amhX-like', NULL, 'M20_Acy1_amhX-like', NULL, NULL, 29777, 1),
(490, NULL, 'cd15556', NULL, NULL, 'PHD_MMD1_like', NULL, 'PHD_MMD1_like', NULL, NULL, NULL, 1),
(491, NULL, 'cd01735', NULL, NULL, 'LSm12_N', NULL, 'LSm12_N', NULL, NULL, NULL, 1),
(492, NULL, 'cd00058', NULL, NULL, 'FGF', NULL, 'FGF', NULL, NULL, 6380, 1),
(493, NULL, 'cd16508', NULL, NULL, 'RING-HC_HAKAI_like', NULL, 'RING-HC_HAKAI_like', NULL, NULL, 30686, 1),
(494, NULL, 'cd07631', NULL, NULL, 'BAR_APPL1', NULL, 'BAR_APPL1', NULL, NULL, 35256, 1),
(495, NULL, 'cd08318', NULL, NULL, 'Death_NMPP84', NULL, 'Death_NMPP84', NULL, NULL, NULL, 1),
(496, NULL, 'cd19003', NULL, NULL, 'LGIC_ECD_GABAAR_theta', NULL, 'LGIC_ECD_GABAAR_theta', NULL, NULL, NULL, 1),
(497, NULL, 'cd17461', NULL, NULL, 'MFS_SLCO2A_OATP2A', NULL, 'MFS_SLCO2A_OATP2A', NULL, NULL, NULL, 1),
(498, NULL, 'cd05852', NULL, NULL, 'Ig5_Contactin-1', NULL, 'Ig5_Contactin-1', NULL, NULL, NULL, 1),
(499, NULL, 'cd15608', NULL, NULL, 'PHD2_KDM5C_5D', NULL, 'PHD2_KDM5C_5D', NULL, NULL, NULL, 1),
(500, NULL, 'cd06144', NULL, NULL, 'REX4_like', NULL, 'REX4_like', NULL, NULL, 33236, 1),
(501, NULL, 'cd16887', NULL, NULL, 'YEATS', NULL, 'YEATS', NULL, NULL, NULL, 1),
(502, NULL, 'cd04726', NULL, NULL, 'KGPDC_HPS', NULL, 'KGPDC_HPS', NULL, NULL, 33104, 1),
(503, NULL, 'cd16301', NULL, NULL, 'IMP_DIM-like_MBL-B1', NULL, 'IMP_DIM-like_MBL-B1', NULL, NULL, NULL, 1),
(504, NULL, 'cd00443', NULL, NULL, 'ADA_AMPD', NULL, 'ADA_AMPD', NULL, NULL, NULL, 1),
(505, NULL, 'cd02266', NULL, NULL, 'SDR', NULL, 'SDR', NULL, NULL, NULL, 1),
(506, NULL, 'cd00077', NULL, NULL, 'HDc', NULL, 'HDc', NULL, NULL, 667, 1),
(507, NULL, 'cd15758', NULL, NULL, 'FYVE_RUFY1', NULL, 'FYVE_RUFY1', NULL, NULL, NULL, 1),
(508, NULL, 'cd16470', NULL, NULL, 'RING-H2_RNF25', NULL, 'RING-H2_RNF25', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(509, NULL, 'cd17411', NULL, NULL, 'MFS_SLC15A2', NULL, 'MFS_SLC15A2', NULL, NULL, 37852, 1),
(510, NULL, 'cd14741', NULL, NULL, 'PAAR_5', NULL, 'PAAR_5', NULL, NULL, NULL, 1),
(511, NULL, 'cd04702', NULL, NULL, 'ASRGL1_like', NULL, 'ASRGL1_like', NULL, NULL, 34133, 1),
(512, NULL, 'cd08471', NULL, NULL, 'PBP2_CrgA_like_2', NULL, 'PBP2_CrgA_like_2', NULL, NULL, NULL, 1),
(513, NULL, 'cd08984', NULL, NULL, 'GH43-like', NULL, 'GH43-like', NULL, NULL, NULL, 1),
(514, NULL, 'cd01015', NULL, NULL, 'CSHase', NULL, 'CSHase', NULL, NULL, NULL, 1),
(515, NULL, 'cd15550', NULL, NULL, 'PHD_MLL5', NULL, 'PHD_MLL5', NULL, NULL, NULL, 1),
(516, NULL, 'cd13945', NULL, NULL, 'Chs5_N', NULL, 'Chs5_N', NULL, NULL, 23182, 1),
(517, NULL, 'cd09629', NULL, NULL, 'DOMON_CIL1_like', NULL, 'DOMON_CIL1_like', NULL, NULL, 39810, 1),
(518, NULL, 'cd03577', NULL, NULL, 'NTR_TIMP_like', NULL, 'NTR_TIMP_like', NULL, NULL, NULL, 1),
(519, NULL, 'cd06600', NULL, NULL, 'GH31_MGAM-like', NULL, 'GH31_MGAM-like', NULL, NULL, NULL, 1),
(520, NULL, 'cd15799', NULL, NULL, 'PMEI-like_4', NULL, 'PMEI-like_4', NULL, NULL, NULL, 1),
(521, NULL, 'cd03190', NULL, NULL, 'GST_C_Omega_like', NULL, 'GST_C_Omega_like', NULL, NULL, NULL, 1),
(522, NULL, 'cd15252', NULL, NULL, '7tmB2_Latrophilin_Adhesion_I', NULL, '7tmB2_Latrophilin_Adhesion_I', NULL, NULL, NULL, 1),
(523, NULL, 'cd00258', NULL, NULL, 'GM2-AP', NULL, 'GM2-AP', NULL, NULL, NULL, 1),
(524, NULL, 'cd08773', NULL, NULL, 'FpgNei_N', NULL, 'FpgNei_N', NULL, NULL, NULL, 1),
(525, NULL, 'cd12218', NULL, NULL, 'Csn2', NULL, 'Csn2', NULL, NULL, NULL, 1),
(526, NULL, 'cd03371', NULL, NULL, 'TPP_PpyrDC', NULL, 'TPP_PpyrDC', NULL, NULL, NULL, 1),
(527, NULL, 'cd15161', NULL, NULL, '7tmA_GPR17', NULL, '7tmA_GPR17', NULL, NULL, NULL, 1),
(528, NULL, 'cd12065', NULL, NULL, 'SH3_GRAF2', NULL, 'SH3_GRAF2', NULL, NULL, 17589, 1),
(529, NULL, 'cd06459', NULL, NULL, 'M3B_PepF', NULL, 'M3B_PepF', NULL, NULL, NULL, 1),
(530, NULL, 'cd08947', NULL, NULL, 'NmrA_TMR_like_SDR_a', NULL, 'NmrA_TMR_like_SDR_a', NULL, NULL, NULL, 1),
(531, NULL, 'cd00116', NULL, NULL, 'LRR_RI', NULL, 'LRR_RI', NULL, NULL, NULL, 1),
(532, NULL, 'cd04608', NULL, NULL, 'CBS_pair_CBS', NULL, 'CBS_pair_CBS', NULL, NULL, NULL, 1),
(533, NULL, 'cd16956', NULL, NULL, 'HATPase_YehU-like', NULL, 'HATPase_YehU-like', NULL, NULL, NULL, 1),
(534, NULL, 'cd19727', NULL, NULL, 'bHLH-PAS_HIF1a_PASD8', NULL, 'bHLH-PAS_HIF1a_PASD8', NULL, NULL, NULL, 1),
(535, NULL, 'cd05736', NULL, NULL, 'Ig2_Follistatin_like', NULL, 'Ig2_Follistatin_like', NULL, NULL, NULL, 1),
(536, NULL, 'cd12364', NULL, NULL, 'RRM_RDM1', NULL, 'RRM_RDM1', NULL, NULL, 18531, 1),
(537, NULL, 'cd10525', NULL, NULL, 'SET_SUV39H1', NULL, 'SET_SUV39H1', NULL, NULL, NULL, 1),
(538, NULL, 'cd19450', NULL, NULL, 'lipocalin_ApoM', NULL, 'lipocalin_ApoM', NULL, NULL, NULL, 1),
(539, NULL, 'cd19974', NULL, NULL, 'PBP1_LacI-like', NULL, 'PBP1_LacI-like', NULL, NULL, NULL, 1),
(540, NULL, 'cd19904', NULL, NULL, 'DSRM_EIF2AK2_rpt2', NULL, 'DSRM_EIF2AK2_rpt2', NULL, NULL, 38791, 1),
(541, NULL, 'cd00108', NULL, NULL, 'KR', NULL, 'KR', NULL, NULL, 1561, 1),
(542, NULL, 'cd05169', NULL, NULL, 'PIKKc_TOR', NULL, 'PIKKc_TOR', NULL, NULL, NULL, 1),
(543, NULL, 'cd15661', NULL, NULL, 'PHD5_NSD3', NULL, 'PHD5_NSD3', NULL, NULL, NULL, 1),
(544, NULL, 'cd05380', NULL, NULL, 'CAP_euk', NULL, 'CAP_euk', NULL, NULL, NULL, 1),
(545, NULL, 'cd19947', NULL, NULL, 'NifU_Fer2_BFD-like', NULL, 'NifU_Fer2_BFD-like', NULL, NULL, NULL, 1),
(546, NULL, 'cd00953', NULL, NULL, 'KDG_aldolase', NULL, 'KDG_aldolase', NULL, NULL, NULL, 1),
(547, NULL, 'cd15915', NULL, NULL, '7tmA_OR12D-like', NULL, '7tmA_OR12D-like', NULL, NULL, NULL, 1),
(548, NULL, 'cd04909', NULL, NULL, 'ACT_PDH-BS', NULL, 'ACT_PDH-BS', NULL, NULL, NULL, 1),
(549, NULL, 'cd03448', NULL, NULL, 'HDE_HSD', NULL, 'HDE_HSD', NULL, NULL, NULL, 1),
(550, NULL, 'cd01477', NULL, NULL, 'vWA_F09G8-8_type', NULL, 'vWA_F09G8-8_type', NULL, NULL, NULL, 1),
(551, NULL, 'cd10577', NULL, NULL, 'TNFRSF1B', NULL, 'TNFRSF1B', NULL, NULL, 31861, 1),
(552, NULL, 'cd04222', NULL, NULL, 'CuRO_1_ceruloplasmin', NULL, 'CuRO_1_ceruloplasmin', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(553, NULL, 'cd11841', NULL, NULL, 'SH3_SH3YL1_like', NULL, 'SH3_SH3YL1_like', NULL, NULL, 18189, 1),
(554, NULL, 'cd14454', NULL, NULL, 'CuRO_4_FV_like', NULL, 'CuRO_4_FV_like', NULL, NULL, NULL, 1),
(555, NULL, 'cd17783', NULL, NULL, 'CBS_pair_bac', NULL, 'CBS_pair_bac', NULL, NULL, NULL, 1),
(556, NULL, 'cd07650', NULL, NULL, 'F-BAR_Syp1p_like', NULL, 'F-BAR_Syp1p_like', NULL, NULL, NULL, 1),
(557, NULL, 'cd13677', NULL, NULL, 'PBP2_TRAP_SBP_like_6', NULL, 'PBP2_TRAP_SBP_like_6', NULL, NULL, NULL, 1),
(558, NULL, 'cd07704', NULL, NULL, 'Ig2_Nectin-3-4_like', NULL, 'Ig2_Nectin-3-4_like', NULL, NULL, NULL, 1),
(559, NULL, 'cd16027', NULL, NULL, 'SGSH', NULL, 'SGSH', NULL, NULL, NULL, 1),
(560, NULL, 'cd12411', NULL, NULL, 'RRM_ist3_like', NULL, 'RRM_ist3_like', NULL, NULL, 38939, 1),
(561, NULL, 'cd04045', NULL, NULL, 'C2C_Tricalbin-like', NULL, 'C2C_Tricalbin-like', NULL, NULL, 35119, 1),
(562, NULL, 'cd05521', NULL, NULL, 'Bromo_Rsc1_2_I', NULL, 'Bromo_Rsc1_2_I', NULL, NULL, 35154, 1),
(563, NULL, 'cd15983', NULL, NULL, '7tmB1_PTH3R', NULL, '7tmB1_PTH3R', NULL, NULL, NULL, 1),
(564, NULL, 'cd16003', NULL, NULL, '7tmA_NKR_NK3R', NULL, '7tmA_NKR_NK3R', NULL, NULL, NULL, 1),
(565, NULL, 'cd07719', NULL, NULL, 'arylsulfatase_AtsA-like_MBL-fold', NULL, 'arylsulfatase_AtsA-like_MBL-fold', NULL, NULL, 37965, 1),
(566, NULL, 'cd08029', NULL, NULL, 'LA_like_fungal', NULL, 'LA_like_fungal', NULL, NULL, NULL, 1),
(567, NULL, 'cd19171', NULL, NULL, 'SET_KMT2C_2D', NULL, 'SET_KMT2C_2D', NULL, NULL, NULL, 1),
(568, NULL, 'cd18551', NULL, NULL, 'ABC_6TM_LmrA_like', NULL, 'ABC_6TM_LmrA_like', NULL, NULL, NULL, 1),
(569, NULL, 'cd01803', NULL, NULL, 'Ubl_ubiquitin', NULL, 'Ubl_ubiquitin', NULL, NULL, NULL, 1),
(570, NULL, 'cd14921', NULL, NULL, 'MYSc_Myh11', NULL, 'MYSc_Myh11', NULL, NULL, NULL, 1),
(571, NULL, 'cd17273', NULL, NULL, 'RMtype1_S_EcoJA69PI-TRD1-CR1_like', NULL, 'RMtype1_S_EcoJA69PI-TRD1-CR1_like', NULL, NULL, NULL, 1),
(572, NULL, 'cd07289', NULL, NULL, 'PX_PI3K_C2_alpha', NULL, 'PX_PI3K_C2_alpha', NULL, NULL, 39591, 1),
(573, NULL, 'cd08333', NULL, NULL, 'DED_Caspase_8_r1', NULL, 'DED_Caspase_8_r1', NULL, NULL, NULL, 1),
(574, NULL, 'cd09670', NULL, NULL, 'Cse2_I-E', NULL, 'Cse2_I-E', NULL, NULL, 11772, 1),
(575, NULL, 'cd01093', NULL, NULL, 'CRIB_PAK_like', NULL, 'CRIB_PAK_like', NULL, NULL, 29360, 1),
(576, NULL, 'cd01133', NULL, NULL, 'F1-ATPase_beta', NULL, 'F1-ATPase_beta', NULL, NULL, NULL, 1),
(577, NULL, 'cd15947', NULL, NULL, '7tmA_OR2B-like', NULL, '7tmA_OR2B-like', NULL, NULL, NULL, 1),
(578, NULL, 'cd20378', NULL, NULL, 'PBP1_SBP-like', NULL, 'PBP1_SBP-like', NULL, NULL, NULL, 1),
(579, NULL, 'cd16546', NULL, NULL, 'RING-HC_RNF146', NULL, 'RING-HC_RNF146', NULL, NULL, 36570, 1),
(580, NULL, 'cd14748', NULL, NULL, 'PBP2_UgpB', NULL, 'PBP2_UgpB', NULL, NULL, NULL, 1),
(581, NULL, 'cd18928', NULL, NULL, 'bHLHzip_TFE3', NULL, 'bHLHzip_TFE3', NULL, NULL, NULL, 1),
(582, NULL, 'cd08968', NULL, NULL, 'MeNeil2_N', NULL, 'MeNeil2_N', NULL, NULL, NULL, 1),
(583, NULL, 'cd09721', NULL, NULL, 'Cas1_I-C', NULL, 'Cas1_I-C', NULL, NULL, 15499, 1),
(584, NULL, 'cd02679', NULL, NULL, 'MIT_spastin', NULL, 'MIT_spastin', NULL, NULL, NULL, 1),
(585, NULL, 'cd14656', NULL, NULL, 'Imelysin-like_EfeO', NULL, 'Imelysin-like_EfeO', NULL, NULL, 18201, 1),
(586, NULL, 'cd15960', NULL, NULL, '7tmA_GPR185-like', NULL, '7tmA_GPR185-like', NULL, NULL, NULL, 1),
(587, NULL, 'cd12527', NULL, NULL, 'RRM2_EAR1_like', NULL, 'RRM2_EAR1_like', NULL, NULL, NULL, 1),
(588, NULL, 'cd03116', NULL, NULL, 'MobB', NULL, 'MobB', NULL, NULL, NULL, 1),
(589, NULL, 'cd16641', NULL, NULL, 'mRING-HC-C3HC3D_TRAF4', NULL, 'mRING-HC-C3HC3D_TRAF4', NULL, NULL, NULL, 1),
(590, NULL, 'cd17550', NULL, NULL, 'REC_NtrX-like', NULL, 'REC_NtrX-like', NULL, NULL, NULL, 1),
(591, NULL, 'cd00329', NULL, NULL, 'TopoII_MutL_Trans', NULL, 'TopoII_MutL_Trans', NULL, NULL, NULL, 1),
(592, NULL, 'cd13908', NULL, NULL, 'CuRO_3_MCO_like_2', NULL, 'CuRO_3_MCO_like_2', NULL, NULL, NULL, 1),
(593, NULL, 'cd16381', NULL, NULL, 'YitT_C_like_1', NULL, 'YitT_C_like_1', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(594, NULL, 'cd04982', NULL, NULL, 'IgV_TCR_gamma', NULL, 'IgV_TCR_gamma', NULL, NULL, NULL, 1),
(595, NULL, 'cd02959', NULL, NULL, 'ERp19', NULL, 'ERp19', NULL, NULL, 35589, 1),
(596, NULL, 'cd16499', NULL, NULL, 'RING-HC_BRE1_like', NULL, 'RING-HC_BRE1_like', NULL, NULL, NULL, 1),
(597, NULL, 'cd17149', NULL, NULL, 'DCX1_DCDC2', NULL, 'DCX1_DCDC2', NULL, NULL, NULL, 1),
(598, NULL, 'cd04124', NULL, NULL, 'RabL2', NULL, 'RabL2', NULL, NULL, 34444, 1),
(599, NULL, 'cd01879', NULL, NULL, 'FeoB', NULL, 'FeoB', NULL, NULL, 26103, 1),
(600, NULL, 'cd07885', NULL, NULL, 'RHD-n_RelA', NULL, 'RHD-n_RelA', NULL, NULL, NULL, 1),
(601, NULL, 'cd01137', NULL, NULL, 'PsaA', NULL, 'PsaA', NULL, NULL, NULL, 1),
(602, NULL, 'cd11257', NULL, NULL, 'Sema_4B', NULL, 'Sema_4B', NULL, NULL, NULL, 1),
(603, NULL, 'cd19160', NULL, NULL, 'AKR_KCAB3B_AKR6A9-like', NULL, 'AKR_KCAB3B_AKR6A9-like', NULL, NULL, NULL, 1),
(604, NULL, 'cd04207', NULL, NULL, 'CuRO_3_LCC_like', NULL, 'CuRO_3_LCC_like', NULL, NULL, NULL, 1),
(605, NULL, 'cd04107', NULL, NULL, 'Rab32_Rab38', NULL, 'Rab32_Rab38', NULL, NULL, 22623, 1),
(606, NULL, 'cd13748', NULL, NULL, 'CBM29_CBM65', NULL, 'CBM29_CBM65', NULL, NULL, NULL, 1),
(607, NULL, 'cd09203', NULL, NULL, 'PLDc_N_DEXD_b1', NULL, 'PLDc_N_DEXD_b1', NULL, NULL, NULL, 1),
(608, NULL, 'cd08751', NULL, NULL, 'RGS_GRK6', NULL, 'RGS_GRK6', NULL, NULL, NULL, 1),
(609, NULL, 'cd07510', NULL, NULL, 'HAD_Pase_UmpH-like', NULL, 'HAD_Pase_UmpH-like', NULL, NULL, NULL, 1),
(610, NULL, 'cd07793', NULL, NULL, 'FGGY_GK5_metazoa', NULL, 'FGGY_GK5_metazoa', NULL, NULL, 34528, 1),
(611, NULL, 'cd08836', NULL, NULL, 'ArfGap_AGAP', NULL, 'ArfGap_AGAP', NULL, NULL, NULL, 1),
(612, NULL, 'cd18683', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(613, NULL, 'cd18560', NULL, NULL, 'ABC_6TM_ATM1_ABCB7_HMT1_ABCB6', NULL, 'ABC_6TM_ATM1_ABCB7_HMT1_ABCB6', NULL, NULL, NULL, 1),
(614, NULL, 'cd19982', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(615, NULL, 'cd11625', NULL, NULL, 'HR1_PKN_3', NULL, 'HR1_PKN_3', NULL, NULL, NULL, 1),
(616, NULL, 'cd12366', NULL, NULL, 'RRM1_RBM45', NULL, 'RRM1_RBM45', NULL, NULL, 18615, 1),
(617, NULL, 'cd08582', NULL, NULL, 'GDPD_like_2', NULL, 'GDPD_like_2', NULL, NULL, NULL, 1),
(618, NULL, 'cd21657', NULL, NULL, 'deltaCoV_Nsp14', NULL, 'deltaCoV_Nsp14', NULL, NULL, 37162, 1),
(619, NULL, 'cd04434', NULL, NULL, 'LanC_like', NULL, 'LanC_like', NULL, NULL, NULL, 1),
(620, NULL, 'cd05515', NULL, NULL, 'Bromo_polybromo_V', NULL, 'Bromo_polybromo_V', NULL, NULL, 33991, 1),
(621, NULL, 'cd08786', NULL, NULL, 'CARD_RIP2_CARD3', NULL, 'CARD_RIP2_CARD3', NULL, NULL, 39519, 1),
(622, NULL, 'cd14529', NULL, NULL, 'TpbA-like', NULL, 'TpbA-like', NULL, NULL, NULL, 1),
(623, NULL, 'cd06159', NULL, NULL, 'S2P-M50_PDZ_Arch', NULL, 'S2P-M50_PDZ_Arch', NULL, NULL, NULL, 1),
(624, NULL, 'cd07906', NULL, NULL, 'Adenylation_DNA_ligase_LigD_LigC', NULL, 'Adenylation_DNA_ligase_LigD_LigC', NULL, NULL, NULL, 1),
(625, NULL, 'cd08971', NULL, NULL, 'AcNei2_N', NULL, 'AcNei2_N', NULL, NULL, 37376, 1),
(626, NULL, 'cd04408', NULL, NULL, 'RhoGAP_GMIP', NULL, 'RhoGAP_GMIP', NULL, NULL, NULL, 1),
(627, NULL, 'cd07079', NULL, NULL, 'ALDH_F18-19_ProA-GPR', NULL, 'ALDH_F18-19_ProA-GPR', NULL, NULL, 61, 1),
(628, NULL, 'cd16644', NULL, NULL, 'mRING-HC-C3HC3D_TRAF7', NULL, 'mRING-HC-C3HC3D_TRAF7', NULL, NULL, NULL, 1),
(629, NULL, 'cd19382', NULL, NULL, 'TGF_beta_Persephin', NULL, 'TGF_beta_Persephin', NULL, NULL, NULL, 1),
(630, NULL, 'cd08599', NULL, NULL, 'PI-PLCc_plant', NULL, 'PI-PLCc_plant', NULL, NULL, NULL, 1),
(631, NULL, 'cd16216', NULL, NULL, 'EFh_PI-PLCgamma1_like', NULL, 'EFh_PI-PLCgamma1_like', NULL, NULL, NULL, 1),
(632, NULL, 'cd12820', NULL, NULL, 'LbR_YadA-like', NULL, 'LbR_YadA-like', NULL, NULL, NULL, 1),
(633, NULL, 'cd11693', NULL, NULL, 'HRI1_C_like', NULL, 'HRI1_C_like', NULL, NULL, NULL, 1),
(634, NULL, 'cd13967', NULL, NULL, 'PT_UbiA_5', NULL, 'PT_UbiA_5', NULL, NULL, NULL, 1),
(635, NULL, 'cd10806', NULL, NULL, 'YdjC_like_2', NULL, 'YdjC_like_2', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(636, NULL, 'cd02903', NULL, NULL, 'Macro_BAL-like', NULL, 'Macro_BAL-like', NULL, NULL, NULL, 1),
(637, NULL, 'cd16921', NULL, NULL, 'HATPase_FilI-like', NULL, 'HATPase_FilI-like', NULL, NULL, NULL, 1),
(638, NULL, 'cd05775', NULL, NULL, 'Ig_CD2_like_N', NULL, 'Ig_CD2_like_N', NULL, NULL, NULL, 1),
(639, NULL, 'cd03297', NULL, NULL, 'ABC_ModC_molybdenum_transporter', NULL, 'ABC_ModC_molybdenum_transporter', NULL, NULL, NULL, 1),
(640, NULL, 'cd01860', NULL, NULL, 'Rab5_related', NULL, 'Rab5_related', NULL, NULL, NULL, 1),
(641, NULL, 'cd11440', NULL, NULL, 'bHLH-O_Cwo_like', NULL, 'bHLH-O_Cwo_like', NULL, NULL, NULL, 1),
(642, NULL, 'cd10372', NULL, NULL, 'SH2_STAT1', NULL, 'SH2_STAT1', NULL, NULL, 34538, 1),
(643, NULL, 'cd09569', NULL, NULL, 'SAM_liprin-beta1,2_repeat3', NULL, 'SAM_liprin-beta1,2_repeat3', NULL, NULL, 34706, 1),
(644, NULL, 'cd13317', NULL, NULL, 'PH_PLEKHO1_PLEKHO2', NULL, 'PH_PLEKHO1_PLEKHO2', NULL, NULL, NULL, 1),
(645, NULL, 'cd12933', NULL, NULL, 'eIF3G', NULL, 'eIF3G', NULL, NULL, 187, 1),
(646, NULL, 'cd00802', NULL, NULL, 'class_I_aaRS_core', NULL, 'class_I_aaRS_core', NULL, NULL, NULL, 1),
(647, NULL, 'cd13610', NULL, NULL, 'PBP2_ChoS', NULL, 'PBP2_ChoS', NULL, NULL, NULL, 1),
(648, NULL, 'cd01886', NULL, NULL, 'EF-G', NULL, 'EF-G', NULL, NULL, NULL, 1),
(649, NULL, 'cd18320', NULL, NULL, 'BTB_POZ_KBTBD13', NULL, 'BTB_POZ_KBTBD13', NULL, NULL, NULL, 1),
(650, NULL, 'cd18745', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(651, NULL, 'cd09124', NULL, NULL, 'PLDc_like_TrmB_middle', NULL, 'PLDc_like_TrmB_middle', NULL, NULL, NULL, 1),
(652, NULL, 'cd12024', NULL, NULL, 'SH3_NoxO1_2', NULL, 'SH3_NoxO1_2', NULL, NULL, 32969, 1),
(653, NULL, 'cd14626', NULL, NULL, 'R-PTPc-F-1', NULL, 'R-PTPc-F-1', NULL, NULL, NULL, 1),
(654, NULL, 'cd20757', NULL, NULL, 'capping_2-OMTase_Rotavirus', NULL, 'capping_2-OMTase_Rotavirus', NULL, NULL, 11246, 1),
(655, NULL, 'cd15515', NULL, NULL, 'PHD1_KDM5A_like', NULL, 'PHD1_KDM5A_like', NULL, NULL, NULL, 1),
(656, NULL, 'cd18509', NULL, NULL, 'BACK_KLHL1', NULL, 'BACK_KLHL1', NULL, NULL, NULL, 1),
(657, NULL, 'cd13430', NULL, NULL, 'LDT_IgD_like', NULL, 'LDT_IgD_like', NULL, NULL, NULL, 1),
(658, NULL, 'cd18418', NULL, NULL, 'BTB_POZ_KCND2', NULL, 'BTB_POZ_KCND2', NULL, NULL, NULL, 1),
(659, NULL, 'cd06178', NULL, NULL, 'MFS_unc93-like', NULL, 'MFS_unc93-like', NULL, NULL, NULL, 1),
(660, NULL, 'cd16510', NULL, NULL, 'RING-HC_IAPs', NULL, 'RING-HC_IAPs', NULL, NULL, NULL, 1),
(661, NULL, 'cd03040', NULL, NULL, 'GST_N_mPGES2', NULL, 'GST_N_mPGES2', NULL, NULL, NULL, 1),
(662, NULL, 'cd15475', NULL, NULL, 'MyosinXI_CBD', NULL, 'MyosinXI_CBD', NULL, NULL, 29205, 1),
(663, NULL, 'cd16902', NULL, NULL, 'pesticin_lyz', NULL, 'pesticin_lyz', NULL, NULL, 27096, 1),
(664, NULL, 'cd04599', NULL, NULL, 'CBS_pair_GGDEF_assoc', NULL, 'CBS_pair_GGDEF_assoc', NULL, NULL, NULL, 1),
(665, NULL, 'cd09417', NULL, NULL, 'LIM2_LIMPETin_like', NULL, 'LIM2_LIMPETin_like', NULL, NULL, NULL, 1),
(666, NULL, 'cd06434', NULL, NULL, 'GT2_HAS', NULL, 'GT2_HAS', NULL, NULL, NULL, 1),
(667, NULL, 'cd16762', NULL, NULL, 'RING-HC_TRIM13_C-V', NULL, 'RING-HC_TRIM13_C-V', NULL, NULL, NULL, 1),
(668, NULL, 'cd14384', NULL, NULL, 'UBA1_UBP13', NULL, 'UBA1_UBP13', NULL, NULL, NULL, 1),
(669, NULL, 'cd16552', NULL, NULL, 'RING-HC_NEURL3', NULL, 'RING-HC_NEURL3', NULL, NULL, NULL, 1),
(670, NULL, 'cd17227', NULL, NULL, 'RA_ARAP2', NULL, 'RA_ARAP2', NULL, NULL, NULL, 1),
(671, NULL, 'cd14056', NULL, NULL, 'STKc_TGFbR_I', NULL, 'STKc_TGFbR_I', NULL, NULL, NULL, 1),
(672, NULL, 'cd01342', NULL, NULL, 'Translation_Factor_II_like', NULL, 'Translation_Factor_II_like', NULL, NULL, NULL, 1),
(673, NULL, 'cd01436', NULL, NULL, 'Dipth_tox_like', NULL, 'Dipth_tox_like', NULL, NULL, 8541, 1),
(674, NULL, 'cd09499', NULL, NULL, 'SAM_AIDA1AB-like_repeat1', NULL, 'SAM_AIDA1AB-like_repeat1', NULL, NULL, 32405, 1),
(675, NULL, 'cd15755', NULL, NULL, 'FYVE_PKHF2', NULL, 'FYVE_PKHF2', NULL, NULL, NULL, 1),
(676, NULL, 'cd17737', NULL, NULL, 'BRCT_TopBP1_rpt1', NULL, 'BRCT_TopBP1_rpt1', NULL, NULL, 37689, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(677, NULL, 'cd04706', NULL, NULL, 'PLA2_plant', NULL, 'PLA2_plant', NULL, NULL, NULL, 1),
(678, NULL, 'cd01747', NULL, NULL, 'GATase1_Glutamyl_Hydrolase', NULL, 'GATase1_Glutamyl_Hydrolase', NULL, NULL, NULL, 1),
(679, NULL, 'cd08526', NULL, NULL, 'Reelin_subrepeat_2', NULL, 'Reelin_subrepeat_2', NULL, NULL, NULL, 1),
(680, NULL, 'cd06237', NULL, NULL, 'M14_Nna1-like', NULL, 'M14_Nna1-like', NULL, NULL, NULL, 1),
(681, NULL, 'cd15448', NULL, NULL, '7tmC_mGluR3', NULL, '7tmC_mGluR3', NULL, NULL, NULL, 1),
(682, NULL, 'cd13437', NULL, NULL, 'SPFH_alloslipin', NULL, 'SPFH_alloslipin', NULL, NULL, NULL, 1),
(683, NULL, 'cd02517', NULL, NULL, 'CMP-KDO-Synthetase', NULL, 'CMP-KDO-Synthetase', NULL, NULL, 1630, 1),
(684, NULL, 'cd15648', NULL, NULL, 'PHD1_NSD1_2', NULL, 'PHD1_NSD1_2', NULL, NULL, NULL, 1),
(685, NULL, 'cd02076', NULL, NULL, 'P-type_ATPase_H', NULL, 'P-type_ATPase_H', NULL, NULL, 447, 1),
(686, NULL, 'cd10569', NULL, NULL, 'FERM_C_Talin', NULL, 'FERM_C_Talin', NULL, NULL, NULL, 1),
(687, NULL, 'cd07779', NULL, NULL, 'FGGY_ygcE_like', NULL, 'FGGY_ygcE_like', NULL, NULL, NULL, 1),
(688, NULL, 'cd11603', NULL, NULL, 'ThermoDBP', NULL, 'ThermoDBP', NULL, NULL, 34219, 1),
(689, NULL, 'cd00430', NULL, NULL, 'PLPDE_III_AR', NULL, 'PLPDE_III_AR', NULL, NULL, NULL, 1),
(690, NULL, 'cd03723', NULL, NULL, 'SOCS_ASB4_ASB18', NULL, 'SOCS_ASB4_ASB18', NULL, NULL, NULL, 1),
(691, NULL, 'cd15366', NULL, NULL, '7tmA_GPR4', NULL, '7tmA_GPR4', NULL, NULL, NULL, 1),
(692, NULL, 'cd16108', NULL, NULL, 'Ubl_ATG8_like', NULL, 'Ubl_ATG8_like', NULL, NULL, NULL, 1),
(693, NULL, 'cd18595', NULL, NULL, 'ABC_6TM_MRP1_2_3_6_D1_like', NULL, 'ABC_6TM_MRP1_2_3_6_D1_like', NULL, NULL, NULL, 1),
(694, NULL, 'cd03173', NULL, NULL, 'DUF619-like', NULL, 'DUF619-like', NULL, NULL, NULL, 1),
(695, NULL, 'cd03579', NULL, NULL, 'NTR_netrin-1_like', NULL, 'NTR_netrin-1_like', NULL, NULL, NULL, 1),
(696, NULL, 'cd04249', NULL, NULL, 'AAK_NAGK-NC', NULL, 'AAK_NAGK-NC', NULL, NULL, 33415, 1),
(697, NULL, 'cd08961', NULL, NULL, 'GH64-TLP-SF', NULL, 'GH64-TLP-SF', NULL, NULL, NULL, 1),
(698, NULL, 'cd05729', NULL, NULL, 'Ig2_FGFR_like', NULL, 'Ig2_FGFR_like', NULL, NULL, NULL, 1),
(699, NULL, 'cd04036', NULL, NULL, 'C2_cPLA2', NULL, 'C2_cPLA2', NULL, NULL, 32796, 1),
(700, NULL, 'cd06321', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(701, NULL, 'sd00008', NULL, NULL, 'TPR_YbbN', NULL, 'TPR_YbbN', NULL, NULL, NULL, 1),
(702, NULL, 'cd20274', NULL, NULL, 'Sarcolamban', NULL, 'Sarcolamban', NULL, NULL, NULL, 1),
(703, NULL, 'cd00039', NULL, NULL, 'COLIPASE', NULL, 'COLIPASE', NULL, NULL, 2259, 1),
(704, NULL, 'cd16657', NULL, NULL, 'RING-Ubox_UBE4A', NULL, 'RING-Ubox_UBE4A', NULL, NULL, NULL, 1),
(705, NULL, 'cd00219', NULL, NULL, 'ToxGAP', NULL, 'ToxGAP', NULL, NULL, 12930, 1),
(706, NULL, 'cd08421', NULL, NULL, 'PBP2_LTTR_like_1', NULL, 'PBP2_LTTR_like_1', NULL, NULL, NULL, 1),
(707, NULL, 'cd18558', NULL, NULL, 'ABC_6TM_Pgp_ABCB1', NULL, 'ABC_6TM_Pgp_ABCB1', NULL, NULL, NULL, 1),
(708, NULL, 'cd01408', NULL, NULL, 'SIRT1', NULL, 'SIRT1', NULL, NULL, NULL, 1),
(709, NULL, 'cd07072', NULL, NULL, 'NR_LBD_DHR38_like', NULL, 'NR_LBD_DHR38_like', NULL, NULL, NULL, 1),
(710, NULL, 'cd11632', NULL, NULL, 'HR1_PKN3_2', NULL, 'HR1_PKN3_2', NULL, NULL, NULL, 1),
(711, NULL, 'cd11743', NULL, NULL, 'Cthe_2751_like', NULL, 'Cthe_2751_like', NULL, NULL, NULL, 1),
(712, NULL, 'cd17356', NULL, NULL, 'MFS_HXT', NULL, 'MFS_HXT', NULL, NULL, NULL, 1),
(713, NULL, 'cd07017', NULL, NULL, 'S14_ClpP_2', NULL, 'S14_ClpP_2', NULL, NULL, 2183, 1),
(714, NULL, 'cd18719', NULL, NULL, 'PIN_Zc3h12a-N4BP1-like', NULL, 'PIN_Zc3h12a-N4BP1-like', NULL, NULL, NULL, 1),
(715, NULL, 'cd13731', NULL, NULL, 'PBP2_iGluR_delta_2', NULL, 'PBP2_iGluR_delta_2', NULL, NULL, NULL, 1),
(716, NULL, 'cd02021', NULL, NULL, 'GntK', NULL, 'GntK', NULL, NULL, 1313, 1),
(717, NULL, 'cd08288', NULL, NULL, 'MDR_yhdh', NULL, 'MDR_yhdh', NULL, NULL, NULL, 1),
(718, NULL, 'cd17624', NULL, NULL, 'REC_OmpR_PmrA-like', NULL, 'REC_OmpR_PmrA-like', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(719, NULL, 'cd16739', NULL, NULL, 'RING-HC_RING1', NULL, 'RING-HC_RING1', NULL, NULL, 37507, 1),
(720, NULL, 'cd03224', NULL, NULL, 'ABC_TM1139_LivF_branched', NULL, 'ABC_TM1139_LivF_branched', NULL, NULL, NULL, 1),
(721, NULL, 'cd10011', NULL, NULL, 'HDAC2', NULL, 'HDAC2', NULL, NULL, NULL, 1),
(722, NULL, 'cd17281', NULL, NULL, 'RMtype1_S_HpyAXIII_TRD1-CR1_like', NULL, 'RMtype1_S_HpyAXIII_TRD1-CR1_like', NULL, NULL, NULL, 1),
(723, NULL, 'cd00392', NULL, NULL, 'Ribosomal_L13', NULL, 'Ribosomal_L13', NULL, NULL, 5945, 1),
(724, NULL, 'cd10310', NULL, NULL, 'GST_C_CysRS_N', NULL, 'GST_C_CysRS_N', NULL, NULL, NULL, 1),
(725, NULL, 'cd16289', NULL, NULL, 'L1_POM-1-like_MBL-B3', NULL, 'L1_POM-1-like_MBL-B3', NULL, NULL, NULL, 1),
(726, NULL, 'cd05673', NULL, NULL, 'M20_Acy1L2_AbgB', NULL, 'M20_Acy1L2_AbgB', NULL, NULL, NULL, 1),
(727, NULL, 'cd09549', NULL, NULL, 'SAM_EPH-A10', NULL, 'SAM_EPH-A10', NULL, NULL, NULL, 1),
(728, NULL, 'cd00916', NULL, NULL, 'Npc2_like', NULL, 'Npc2_like', NULL, NULL, 36032, 1),
(729, NULL, 'cd05260', NULL, NULL, 'GDP_MD_SDR_e', NULL, 'GDP_MD_SDR_e', NULL, NULL, NULL, 1),
(730, NULL, 'cd16035', NULL, NULL, 'sulfatase_like', NULL, 'sulfatase_like', NULL, NULL, NULL, 1),
(731, NULL, 'cd10375', NULL, NULL, 'SH2_STAT4', NULL, 'SH2_STAT4', NULL, NULL, 34831, 1),
(732, NULL, 'cd17488', NULL, NULL, 'MFS_UhpC', NULL, 'MFS_UhpC', NULL, NULL, NULL, 1),
(733, NULL, 'cd04645', NULL, NULL, 'LbH_gamma_CA_like', NULL, 'LbH_gamma_CA_like', NULL, NULL, NULL, 1),
(734, NULL, 'cd16619', NULL, NULL, 'mRING-HC-C4C4_TRIM37_C-VIII', NULL, 'mRING-HC-C4C4_TRIM37_C-VIII', NULL, NULL, NULL, 1),
(735, NULL, 'cd06604', NULL, NULL, 'GH31_glucosidase_II_MalA', NULL, 'GH31_glucosidase_II_MalA', NULL, NULL, NULL, 1),
(736, NULL, 'cd19104', NULL, NULL, 'AKR_unchar', NULL, 'AKR_unchar', NULL, NULL, NULL, 1),
(737, NULL, 'cd14367', NULL, NULL, 'CUE_CUED2', NULL, 'CUE_CUED2', NULL, NULL, 29554, 1),
(738, NULL, 'cd09905', NULL, NULL, 'H3TH_GEN1', NULL, 'H3TH_GEN1', NULL, NULL, NULL, 1),
(739, NULL, 'cd19871', NULL, NULL, 'DSRM_DUS2L', NULL, 'DSRM_DUS2L', NULL, NULL, 37334, 1),
(740, NULL, 'cd04732', NULL, NULL, 'HisA', NULL, 'HisA', NULL, NULL, 15277, 1),
(741, NULL, 'cd00800', NULL, NULL, 'INT_Lambda_C', NULL, 'INT_Lambda_C', NULL, NULL, NULL, 1),
(742, NULL, 'cd03108', NULL, NULL, 'AdSS', NULL, 'AdSS', NULL, NULL, 1018, 1),
(743, NULL, 'cd02134', NULL, NULL, 'NusA_KH', NULL, 'NusA_KH', NULL, NULL, NULL, 1),
(744, NULL, 'cd09391', NULL, NULL, 'LIM1_Lrg1p_like', NULL, 'LIM1_Lrg1p_like', NULL, NULL, NULL, 1),
(745, NULL, 'cd21561', NULL, NULL, 'deltaCoV-Nsp6', NULL, 'deltaCoV-Nsp6', NULL, NULL, 37552, 1),
(746, NULL, 'cd04054', NULL, NULL, 'C2A_Rasal1_RasA4', NULL, 'C2A_Rasal1_RasA4', NULL, NULL, NULL, 1),
(747, NULL, 'cd10027', NULL, NULL, 'UDG-F1-like', NULL, 'UDG-F1-like', NULL, NULL, 1436, 1),
(748, NULL, 'cd00641', NULL, NULL, 'GTP_cyclohydro2', NULL, 'GTP_cyclohydro2', NULL, NULL, 3009, 1),
(749, NULL, 'cd12381', NULL, NULL, 'RRM4_I_PABPs', NULL, 'RRM4_I_PABPs', NULL, NULL, NULL, 1),
(750, NULL, 'cd18221', NULL, NULL, 'BTB_POZ_ZBTB35_ZNF131', NULL, 'BTB_POZ_ZBTB35_ZNF131', NULL, NULL, NULL, 1),
(751, NULL, 'cd19581', NULL, NULL, 'serpinL_nematode', NULL, 'serpinL_nematode', NULL, NULL, NULL, 1),
(752, NULL, 'cd19878', NULL, NULL, 'DSRM_AtDRB-like', NULL, 'DSRM_AtDRB-like', NULL, NULL, NULL, 1),
(753, NULL, 'cd18065', NULL, NULL, 'DEXHc_SMARCA1', NULL, 'DEXHc_SMARCA1', NULL, NULL, 36563, 1),
(754, NULL, 'cd11793', NULL, NULL, 'SH3_ephexin1_like', NULL, 'SH3_ephexin1_like', NULL, NULL, NULL, 1),
(755, NULL, 'cd17026', NULL, NULL, 'T3SC_IA_SpcU-like', NULL, 'T3SC_IA_SpcU-like', NULL, NULL, NULL, 1),
(756, NULL, 'cd09433', NULL, NULL, 'LIM4_FHL2', NULL, 'LIM4_FHL2', NULL, NULL, NULL, 1),
(757, NULL, 'cd12403', NULL, NULL, 'RRM1_NCL', NULL, 'RRM1_NCL', NULL, NULL, 33340, 1),
(758, NULL, 'cd00590', NULL, NULL, 'RRM_SF', NULL, 'RRM_SF', NULL, NULL, NULL, 1),
(759, NULL, 'cd11587', NULL, NULL, 'Arginase-like', NULL, 'Arginase-like', NULL, NULL, NULL, 1),
(760, NULL, 'cd18403', NULL, NULL, 'BTB_POZ_KCNA2_KCNA3', NULL, 'BTB_POZ_KCNA2_KCNA3', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(761, NULL, 'cd15469', NULL, NULL, 'HN', NULL, 'HN', NULL, NULL, 19839, 1),
(762, NULL, 'cd13934', NULL, NULL, 'RNase_H_Dikarya_like', NULL, 'RNase_H_Dikarya_like', NULL, NULL, NULL, 1),
(763, NULL, 'cd12194', NULL, NULL, 'Kcc4p_like_C', NULL, 'Kcc4p_like_C', NULL, NULL, NULL, 1),
(764, NULL, 'cd16457', NULL, NULL, 'RING-H2_BRAP2', NULL, 'RING-H2_BRAP2', NULL, NULL, NULL, 1),
(765, NULL, 'cd17636', NULL, NULL, 'PtmA', NULL, 'PtmA', NULL, NULL, NULL, 1),
(766, NULL, 'cd05030', NULL, NULL, 'calgranulins', NULL, 'calgranulins', NULL, NULL, NULL, 1),
(767, NULL, 'cd08931', NULL, NULL, 'SDR_c9', NULL, 'SDR_c9', NULL, NULL, NULL, 1),
(768, NULL, 'cd01752', NULL, NULL, 'PLAT_polycystin', NULL, 'PLAT_polycystin', NULL, NULL, 32605, 1),
(769, NULL, 'cd08633', NULL, NULL, 'PI-PLCc_eta2', NULL, 'PI-PLCc_eta2', NULL, NULL, NULL, 1),
(770, NULL, 'cd18775', NULL, NULL, 'SafA-like', NULL, 'SafA-like', NULL, NULL, 15515, 1),
(771, NULL, 'cd14975', NULL, NULL, '7tmA_LTB4R', NULL, '7tmA_LTB4R', NULL, NULL, NULL, 1),
(772, NULL, 'cd13245', NULL, NULL, 'PH_PLEKHG7', NULL, 'PH_PLEKHG7', NULL, NULL, NULL, 1),
(773, NULL, 'cd07685', NULL, NULL, 'F-BAR_Fes', NULL, 'F-BAR_Fes', NULL, NULL, NULL, 1),
(774, NULL, 'cd01417', NULL, NULL, 'Ribosomal_L19e_E', NULL, 'Ribosomal_L19e_E', NULL, NULL, 33202, 1),
(775, NULL, 'cd02895', NULL, NULL, 'GGTase-I', NULL, 'GGTase-I', NULL, NULL, 33467, 1),
(776, NULL, 'cd18406', NULL, NULL, 'BTB_POZ_KCNA5', NULL, 'BTB_POZ_KCNA5', NULL, NULL, NULL, 1),
(777, NULL, 'cd14392', NULL, NULL, 'UBA_Cbl-b', NULL, 'UBA_Cbl-b', NULL, NULL, NULL, 1),
(778, NULL, 'cd17316', NULL, NULL, 'MFS_SV2_like', NULL, 'MFS_SV2_like', NULL, NULL, NULL, 1),
(779, NULL, 'cd16148', NULL, NULL, 'sulfatase_like', NULL, 'sulfatase_like', NULL, NULL, NULL, 1),
(780, NULL, 'cd19594', NULL, NULL, 'serpin_crustaceans_chelicerates_insects', NULL, 'serpin_crustaceans_chelicerates_insects', NULL, NULL, NULL, 1),
(781, NULL, 'cd10430', NULL, NULL, 'BI-1', NULL, 'BI-1', NULL, NULL, NULL, 1),
(782, NULL, 'cd20014', NULL, NULL, 'PBP1_RPA0668_benzoate-like', NULL, 'PBP1_RPA0668_benzoate-like', NULL, NULL, NULL, 1),
(783, NULL, 'cd05718', NULL, NULL, 'Ig1_PVR_like', NULL, 'Ig1_PVR_like', NULL, NULL, NULL, 1),
(784, NULL, 'cd18439', NULL, NULL, 'BRCT_BRC1_like_rpt6', NULL, 'BRCT_BRC1_like_rpt6', NULL, NULL, NULL, 1),
(785, NULL, 'cd09512', NULL, NULL, 'SAM_Neurabin-like', NULL, 'SAM_Neurabin-like', NULL, NULL, NULL, 1),
(786, NULL, 'cd11521', NULL, NULL, 'SLC6sbd_NTT4', NULL, 'SLC6sbd_NTT4', NULL, NULL, NULL, 1),
(787, NULL, 'cd05698', NULL, NULL, 'S1_Rrp5_repeat_hs6_sc5', NULL, 'S1_Rrp5_repeat_hs6_sc5', NULL, NULL, NULL, 1),
(788, NULL, 'cd03382', NULL, NULL, 'PAP2_dolichyldiphosphatase', NULL, 'PAP2_dolichyldiphosphatase', NULL, NULL, 29308, 1),
(789, NULL, 'cd16668', NULL, NULL, 'RING-H2_GRAIL', NULL, 'RING-H2_GRAIL', NULL, NULL, NULL, 1),
(790, NULL, 'cd19120', NULL, NULL, 'AKR_AKR3C2-3', NULL, 'AKR_AKR3C2-3', NULL, NULL, 37398, 1),
(791, NULL, 'cd08985', NULL, NULL, 'GH43_CtGH43-like', NULL, 'GH43_CtGH43-like', NULL, NULL, NULL, 1),
(792, NULL, 'cd16957', NULL, NULL, 'HATPase_LytS-like', NULL, 'HATPase_LytS-like', NULL, NULL, NULL, 1),
(793, NULL, 'cd17449', NULL, NULL, 'MFS_SLC46A1_PCFT', NULL, 'MFS_SLC46A1_PCFT', NULL, NULL, NULL, 1),
(794, NULL, 'cd00994', NULL, NULL, 'PBP2_GlnH', NULL, 'PBP2_GlnH', NULL, NULL, 39271, 1),
(795, NULL, 'cd12463', NULL, NULL, 'RRM_G3BP1', NULL, 'RRM_G3BP1', NULL, NULL, 1546, 1),
(796, NULL, 'cd01162', NULL, NULL, 'IBD', NULL, 'IBD', NULL, NULL, 11657, 1),
(797, NULL, 'cd12587', NULL, NULL, 'RRM1_PSF', NULL, 'RRM1_PSF', NULL, NULL, 34734, 1),
(798, NULL, 'cd11530', NULL, NULL, 'NTP-PPase_DR2231_like', NULL, 'NTP-PPase_DR2231_like', NULL, NULL, 32802, 1),
(799, NULL, 'cd01489', NULL, NULL, 'Uba2_SUMO', NULL, 'Uba2_SUMO', NULL, NULL, NULL, 1),
(800, NULL, 'cd18249', NULL, NULL, 'BTB_POZ_KLHL20_KLEIP', NULL, 'BTB_POZ_KLHL20_KLEIP', NULL, NULL, NULL, 1),
(801, NULL, 'cd02223', NULL, NULL, 'cupin_Bh2720-like', NULL, 'cupin_Bh2720-like', NULL, NULL, NULL, 1),
(802, NULL, 'cd07841', NULL, NULL, 'STKc_CDK7', NULL, 'STKc_CDK7', NULL, NULL, 33633, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(803, NULL, 'cd12562', NULL, NULL, 'RRM2_RBM5_like', NULL, 'RRM2_RBM5_like', NULL, NULL, NULL, 1),
(804, NULL, 'cd19350', NULL, NULL, 'wnt_Wnt7b', NULL, 'wnt_Wnt7b', NULL, NULL, NULL, 1),
(805, NULL, 'cd06008', NULL, NULL, 'NF-X1-zinc-finger', NULL, 'NF-X1-zinc-finger', NULL, NULL, NULL, 1),
(806, NULL, 'cd03004', NULL, NULL, 'PDI_a_ERdj5_C', NULL, 'PDI_a_ERdj5_C', NULL, NULL, 35511, 1),
(807, NULL, 'cd15850', NULL, NULL, 'SNARE_syntaxin18', NULL, 'SNARE_syntaxin18', NULL, NULL, NULL, 1),
(808, NULL, 'cd13321', NULL, NULL, 'PH_PLEKHM1', NULL, 'PH_PLEKHM1', NULL, NULL, 37570, 1),
(809, NULL, 'cd14635', NULL, NULL, 'R-PTPc-M-2', NULL, 'R-PTPc-M-2', NULL, NULL, NULL, 1),
(810, NULL, 'cd19589', NULL, NULL, 'serpin_tengpin-like', NULL, 'serpin_tengpin-like', NULL, NULL, NULL, 1),
(811, NULL, 'cd15756', NULL, NULL, 'FYVE_WDFY1', NULL, 'FYVE_WDFY1', NULL, NULL, 38378, 1),
(812, NULL, 'cd07025', NULL, NULL, 'Peptidase_S66', NULL, 'Peptidase_S66', NULL, NULL, NULL, 1),
(813, NULL, 'cd07229', NULL, NULL, 'Pat_TGL3_like', NULL, 'Pat_TGL3_like', NULL, NULL, NULL, 1),
(814, NULL, 'cd14602', NULL, NULL, 'PTPc-N22', NULL, 'PTPc-N22', NULL, NULL, NULL, 1),
(815, NULL, 'cd17035', NULL, NULL, 'T3SC_IB_Spa15-like', NULL, 'T3SC_IB_Spa15-like', NULL, NULL, NULL, 1),
(816, NULL, 'cd16145', NULL, NULL, 'ARS_like', NULL, 'ARS_like', NULL, NULL, NULL, 1),
(817, NULL, 'cd08735', NULL, NULL, 'RGS_AKAP2_1', NULL, 'RGS_AKAP2_1', NULL, NULL, NULL, 1),
(818, NULL, 'cd15927', NULL, NULL, '7tmA_Bombesin_R-like', NULL, '7tmA_Bombesin_R-like', NULL, NULL, NULL, 1),
(819, NULL, 'cd16936', NULL, NULL, 'HATPase_RsbW-like', NULL, 'HATPase_RsbW-like', NULL, NULL, NULL, 1),
(820, NULL, 'cd14911', NULL, NULL, 'MYSc_Myh2_insects_mollusks', NULL, 'MYSc_Myh2_insects_mollusks', NULL, NULL, NULL, 1),
(821, NULL, 'cd03342', NULL, NULL, 'TCP1_zeta', NULL, 'TCP1_zeta', NULL, NULL, 11926, 1),
(822, NULL, 'cd04664', NULL, NULL, 'Nudix_Hydrolase_7', NULL, 'Nudix_Hydrolase_7', NULL, NULL, NULL, 1),
(823, NULL, 'cd13582', NULL, NULL, 'PBP2_AlgQ_like_3', NULL, 'PBP2_AlgQ_like_3', NULL, NULL, NULL, 1),
(824, NULL, 'cd04261', NULL, NULL, 'AAK_AKii-LysC-BS', NULL, 'AAK_AKii-LysC-BS', NULL, NULL, 33226, 1),
(825, NULL, 'cd13646', NULL, NULL, 'PBP2_EcHMBS_like', NULL, 'PBP2_EcHMBS_like', NULL, NULL, NULL, 1),
(826, NULL, 'cd01450', NULL, NULL, 'vWFA_subfamily_ECM', NULL, 'vWFA_subfamily_ECM', NULL, NULL, NULL, 1),
(827, NULL, 'cd09452', NULL, NULL, 'LIM1_Enigma', NULL, 'LIM1_Enigma', NULL, NULL, NULL, 1),
(828, NULL, 'cd01840', NULL, NULL, 'SGNH_hydrolase_yrhL_like', NULL, 'SGNH_hydrolase_yrhL_like', NULL, NULL, NULL, 1),
(829, NULL, 'cd02552', NULL, NULL, 'PseudoU_synth_TruD_like', NULL, 'PseudoU_synth_TruD_like', NULL, NULL, NULL, 1),
(830, NULL, 'cd08644', NULL, NULL, 'FMT_core_ArnA_N', NULL, 'FMT_core_ArnA_N', NULL, NULL, NULL, 1),
(831, NULL, 'cd12476', NULL, NULL, 'RRM1_SNF', NULL, 'RRM1_SNF', NULL, NULL, NULL, 1),
(832, NULL, 'cd06115', NULL, NULL, 'AthCS_per_like', NULL, 'AthCS_per_like', NULL, NULL, NULL, 1),
(833, NULL, 'cd15948', NULL, NULL, '7tmA_OR52K-like', NULL, '7tmA_OR52K-like', NULL, NULL, NULL, 1),
(834, NULL, 'cd19355', NULL, NULL, 'Wnt_Wnt10a', NULL, 'Wnt_Wnt10a', NULL, NULL, NULL, 1),
(835, NULL, 'cd12837', NULL, NULL, 'EcCorA-like_u1', NULL, 'EcCorA-like_u1', NULL, NULL, NULL, 1),
(836, NULL, 'cd13627', NULL, NULL, 'PBP2_AA_binding_like_2', NULL, 'PBP2_AA_binding_like_2', NULL, NULL, NULL, 1),
(837, NULL, 'cd07809', NULL, NULL, 'FGGY_D-XK_1', NULL, 'FGGY_D-XK_1', NULL, NULL, NULL, 1),
(838, NULL, 'cd05838', NULL, NULL, 'WHSC1_related', NULL, 'WHSC1_related', NULL, NULL, NULL, 1),
(839, NULL, 'cd18492', NULL, NULL, 'BACK_BTBD16', NULL, 'BACK_BTBD16', NULL, NULL, NULL, 1),
(840, NULL, 'cd16331', NULL, NULL, 'YjgA-like', NULL, 'YjgA-like', NULL, NULL, 4249, 1),
(841, NULL, 'cd14943', NULL, NULL, 'TRAPPC5_Trs31', NULL, 'TRAPPC5_Trs31', NULL, NULL, 20899, 1),
(842, NULL, 'cd08411', NULL, NULL, 'PBP2_OxyR', NULL, 'PBP2_OxyR', NULL, NULL, NULL, 1),
(843, NULL, 'cd18387', NULL, NULL, 'BTB_POZ_KCTD1', NULL, 'BTB_POZ_KCTD1', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(844, NULL, 'cd05685', NULL, NULL, 'S1_Tex', NULL, 'S1_Tex', NULL, NULL, 37872, 1),
(845, NULL, 'cd05731', NULL, NULL, 'Ig3_L1-CAM_like', NULL, 'Ig3_L1-CAM_like', NULL, NULL, NULL, 1),
(846, NULL, 'cd00321', NULL, NULL, 'SO_family_Moco', NULL, 'SO_family_Moco', NULL, NULL, NULL, 1),
(847, NULL, 'cd14358', NULL, NULL, 'UBA_NAC_euk', NULL, 'UBA_NAC_euk', NULL, NULL, NULL, 1),
(848, NULL, 'cd12044', NULL, NULL, 'SH3_SKAP1', NULL, 'SH3_SKAP1', NULL, NULL, 34310, 1),
(849, NULL, 'cd14823', NULL, NULL, 'AP_longin-like', NULL, 'AP_longin-like', NULL, NULL, NULL, 1),
(850, NULL, 'cd15495', NULL, NULL, 'PHD_ATX3_4_5_like', NULL, 'PHD_ATX3_4_5_like', NULL, NULL, 32690, 1),
(851, NULL, 'cd09979', NULL, NULL, 'LOTUS_3_Limkain_b1', NULL, 'LOTUS_3_Limkain_b1', NULL, NULL, NULL, 1),
(852, NULL, 'cd07836', NULL, NULL, 'STKc_Pho85', NULL, 'STKc_Pho85', NULL, NULL, NULL, 1),
(853, NULL, 'cd17403', NULL, NULL, 'MFS_SLCO4_OATP4', NULL, 'MFS_SLCO4_OATP4', NULL, NULL, NULL, 1),
(854, NULL, 'cd00319', NULL, NULL, 'Ribosomal_S12_like', NULL, 'Ribosomal_S12_like', NULL, NULL, NULL, 1),
(855, NULL, 'cd07646', NULL, NULL, 'I-BAR_IMD_IRSp53', NULL, 'I-BAR_IMD_IRSp53', NULL, NULL, NULL, 1),
(856, NULL, 'cd14446', NULL, NULL, 'bt3222_like', NULL, 'bt3222_like', NULL, NULL, 28464, 1),
(857, NULL, 'cd18468', NULL, NULL, 'BACK_KLHL29_KBTBD9', NULL, 'BACK_KLHL29_KBTBD9', NULL, NULL, NULL, 1),
(858, NULL, 'cd00807', NULL, NULL, 'GlnRS_core', NULL, 'GlnRS_core', NULL, NULL, NULL, 1),
(859, NULL, 'cd06895', NULL, NULL, 'PX_PLD', NULL, 'PX_PLD', NULL, NULL, NULL, 1),
(860, NULL, 'cd19395', NULL, NULL, 'TGF_beta_BMP5', NULL, 'TGF_beta_BMP5', NULL, NULL, NULL, 1),
(861, NULL, 'cd04038', NULL, NULL, 'C2_ArfGAP', NULL, 'C2_ArfGAP', NULL, NULL, NULL, 1),
(862, NULL, 'cd18355', NULL, NULL, 'BTB1_POZ_RHOBTB1', NULL, 'BTB1_POZ_RHOBTB1', NULL, NULL, NULL, 1),
(863, NULL, 'cd15803', NULL, NULL, 'RLR_C_like', NULL, 'RLR_C_like', NULL, NULL, NULL, 1),
(864, NULL, 'cd10391', NULL, NULL, 'SH2_SHE', NULL, 'SH2_SHE', NULL, NULL, 9209, 1),
(865, NULL, 'cd18546', NULL, NULL, 'ABC_6TM_Rv0194_D2_like', NULL, 'ABC_6TM_Rv0194_D2_like', NULL, NULL, NULL, 1),
(866, NULL, 'cd01755', NULL, NULL, 'PLAT_lipase', NULL, 'PLAT_lipase', NULL, NULL, NULL, 1),
(867, NULL, 'cd03241', NULL, NULL, 'ABC_RecN', NULL, 'ABC_RecN', NULL, NULL, NULL, 1),
(868, NULL, 'cd13994', NULL, NULL, 'STKc_HAL4_like', NULL, 'STKc_HAL4_like', NULL, NULL, NULL, 1),
(869, NULL, 'cd19168', NULL, NULL, 'SET_EZH-like', NULL, 'SET_EZH-like', NULL, NULL, NULL, 1),
(870, NULL, 'cd05084', NULL, NULL, 'PTKc_Fes', NULL, 'PTKc_Fes', NULL, NULL, NULL, 1),
(871, NULL, 'cd16923', NULL, NULL, 'HATPase_VanS-like', NULL, 'HATPase_VanS-like', NULL, NULL, NULL, 1),
(872, NULL, 'cd18452', NULL, NULL, 'BACK_KLHL12', NULL, 'BACK_KLHL12', NULL, NULL, NULL, 1),
(873, NULL, 'cd09820', NULL, NULL, 'dual_peroxidase_like', NULL, 'dual_peroxidase_like', NULL, NULL, 36400, 1),
(874, NULL, 'cd04335', NULL, NULL, 'PrdX_deacylase', NULL, 'PrdX_deacylase', NULL, NULL, NULL, 1),
(875, NULL, 'cd15916', NULL, NULL, '7tmA_OR10G-like', NULL, '7tmA_OR10G-like', NULL, NULL, NULL, 1),
(876, NULL, 'cd11282', NULL, NULL, 'ADF_coactosin_like', NULL, 'ADF_coactosin_like', NULL, NULL, NULL, 1),
(877, NULL, 'cd12509', NULL, NULL, 'RRM3_ESRPs_Fusilli', NULL, 'RRM3_ESRPs_Fusilli', NULL, NULL, NULL, 1),
(878, NULL, 'cd01138', NULL, NULL, 'FeuA', NULL, 'FeuA', NULL, NULL, NULL, 1),
(879, NULL, 'cd12098', NULL, NULL, 'DD_R_PKA_fungi', NULL, 'DD_R_PKA_fungi', NULL, NULL, NULL, 1),
(880, NULL, 'cd14797', NULL, NULL, 'DUF302', NULL, 'DUF302', NULL, NULL, NULL, 1),
(881, NULL, 'cd02187', NULL, NULL, 'beta_tubulin', NULL, 'beta_tubulin', NULL, NULL, NULL, 1),
(882, NULL, 'cd15048', NULL, NULL, '7tmA_Histamine_H3R_H4R', NULL, '7tmA_Histamine_H3R_H4R', NULL, NULL, NULL, 1),
(883, NULL, 'cd02857', NULL, NULL, 'E_set_CDase_PDE_N', NULL, 'E_set_CDase_PDE_N', NULL, NULL, 2725, 1),
(884, NULL, 'cd08994', NULL, NULL, 'GH43_62_32_68_117_130-like', NULL, 'GH43_62_32_68_117_130-like', NULL, NULL, NULL, 1),
(885, NULL, 'cd04769', NULL, NULL, 'HTH_MerR2', NULL, 'HTH_MerR2', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(886, NULL, 'cd01731', NULL, NULL, 'archaeal_Sm1', NULL, 'archaeal_Sm1', NULL, NULL, 17232, 1),
(887, NULL, 'cd01949', NULL, NULL, 'GGDEF', NULL, 'GGDEF', NULL, NULL, 1825, 1),
(888, NULL, 'cd16718', NULL, NULL, 'RING-HC_LNX3', NULL, 'RING-HC_LNX3', NULL, NULL, NULL, 1),
(889, NULL, 'cd01147', NULL, NULL, 'HemV-2', NULL, 'HemV-2', NULL, NULL, NULL, 1),
(890, NULL, 'cd07038', NULL, NULL, 'TPP_PYR_PDC_IPDC_like', NULL, 'TPP_PYR_PDC_IPDC_like', NULL, NULL, NULL, 1),
(891, NULL, 'cd04496', NULL, NULL, 'SSB_OBF', NULL, 'SSB_OBF', NULL, NULL, 6744, 1),
(892, NULL, 'cd11245', NULL, NULL, 'Sema_plexin_B', NULL, 'Sema_plexin_B', NULL, NULL, NULL, 1),
(893, NULL, 'cd20240', NULL, NULL, 'PFM_aerolysin-like', NULL, 'PFM_aerolysin-like', NULL, NULL, NULL, 1),
(894, NULL, 'cd00245', NULL, NULL, 'Glm_e', NULL, 'Glm_e', NULL, NULL, 5910, 1),
(895, NULL, 'cd01048', NULL, NULL, 'Ferritin_like_AB2', NULL, 'Ferritin_like_AB2', NULL, NULL, 20240, 1),
(896, NULL, 'cd00075', NULL, NULL, 'HATPase', NULL, 'HATPase', NULL, NULL, NULL, 1),
(897, NULL, 'cd18178', NULL, NULL, 'ATP-synt_Vo_c_ATP6F_rpt2', NULL, 'ATP-synt_Vo_c_ATP6F_rpt2', NULL, NULL, NULL, 1),
(898, NULL, 'cd17302', NULL, NULL, 'PIPKc_AtPIP5K_like', NULL, 'PIPKc_AtPIP5K_like', NULL, NULL, NULL, 1),
(899, NULL, 'cd06173', NULL, NULL, 'MFS_MefA_like', NULL, 'MFS_MefA_like', NULL, NULL, NULL, 1),
(900, NULL, 'cd06316', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(901, NULL, 'cd04880', NULL, NULL, 'ACT_AAAH-PDT-like', NULL, 'ACT_AAAH-PDT-like', NULL, NULL, NULL, 1),
(902, NULL, 'cd19385', NULL, NULL, 'TGF_beta_TGFB2', NULL, 'TGF_beta_TGFB2', NULL, NULL, NULL, 1),
(903, NULL, 'cd18790', NULL, NULL, 'SF2_C_UvrB', NULL, 'SF2_C_UvrB', NULL, NULL, NULL, 1),
(904, NULL, 'cd17961', NULL, NULL, 'DEADc_DDX56', NULL, 'DEADc_DDX56', NULL, NULL, NULL, 1),
(905, NULL, 'cd17984', NULL, NULL, 'DEXHc_DHX40', NULL, 'DEXHc_DHX40', NULL, NULL, NULL, 1),
(906, NULL, 'cd03144', NULL, NULL, 'GATase1_ScBLP_like', NULL, 'GATase1_ScBLP_like', NULL, NULL, NULL, 1),
(907, NULL, 'cd13920', NULL, NULL, 'Stellacyanin', NULL, 'Stellacyanin', NULL, NULL, NULL, 1),
(908, NULL, 'cd11953', NULL, NULL, 'SH3_ASPP2', NULL, 'SH3_ASPP2', NULL, NULL, NULL, 1),
(909, NULL, 'cd13933', NULL, NULL, 'harmonin_N_like_u1', NULL, 'harmonin_N_like_u1', NULL, NULL, NULL, 1),
(910, NULL, 'cd19698', NULL, NULL, 'bHLH_AtMEE8_like', NULL, 'bHLH_AtMEE8_like', NULL, NULL, NULL, 1),
(911, NULL, 'cd03468', NULL, NULL, 'PolY_like', NULL, 'PolY_like', NULL, NULL, NULL, 1),
(912, NULL, 'cd20215', NULL, NULL, 'PFM_LSL-like', NULL, 'PFM_LSL-like', NULL, NULL, NULL, 1),
(913, NULL, 'cd08000', NULL, NULL, 'NGN', NULL, 'NGN', NULL, NULL, NULL, 1),
(914, NULL, 'cd08187', NULL, NULL, 'BDH', NULL, 'BDH', NULL, NULL, 39450, 1),
(915, NULL, 'cd03350', NULL, NULL, 'LbH_THP_succinylT', NULL, 'LbH_THP_succinylT', NULL, NULL, NULL, 1),
(916, NULL, 'cd03424', NULL, NULL, 'ADPRase_NUDT5', NULL, 'ADPRase_NUDT5', NULL, NULL, NULL, 1),
(917, NULL, 'cd11292', NULL, NULL, 'gelsolin_S3_like', NULL, 'gelsolin_S3_like', NULL, NULL, NULL, 1),
(918, NULL, 'cd17944', NULL, NULL, 'DEADc_DDX21_DDX50', NULL, 'DEADc_DDX21_DDX50', NULL, NULL, NULL, 1),
(919, NULL, 'cd05683', NULL, NULL, 'M20_peptT_like', NULL, 'M20_peptT_like', NULL, NULL, NULL, 1),
(920, NULL, 'cd12007', NULL, NULL, 'SH3_Yes', NULL, 'SH3_Yes', NULL, NULL, 32529, 1),
(921, NULL, 'cd12487', NULL, NULL, 'RRM1_DND1', NULL, 'RRM1_DND1', NULL, NULL, 14140, 1),
(922, NULL, 'cd07634', NULL, NULL, 'BAR_GAP10-like', NULL, 'BAR_GAP10-like', NULL, NULL, NULL, 1),
(923, NULL, 'cd13622', NULL, NULL, 'PBP2_Arg_3', NULL, 'PBP2_Arg_3', NULL, NULL, NULL, 1),
(924, NULL, 'cd18469', NULL, NULL, 'BACK_KLHL30', NULL, 'BACK_KLHL30', NULL, NULL, NULL, 1),
(925, NULL, 'cd19591', NULL, NULL, 'serpin_like', NULL, 'serpin_like', NULL, NULL, NULL, 1),
(926, NULL, 'cd09388', NULL, NULL, 'LIM1_LMO1_LMO3', NULL, 'LIM1_LMO1_LMO3', NULL, NULL, NULL, 1),
(927, NULL, 'cd12706', NULL, NULL, 'RRM_LARP5', NULL, 'RRM_LARP5', NULL, NULL, 17528, 1),
(928, NULL, 'cd19734', NULL, NULL, 'bHLH-PAS_CLOCK', NULL, 'bHLH-PAS_CLOCK', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(929, NULL, 'cd07987', NULL, NULL, 'LPLAT_MGAT-like', NULL, 'LPLAT_MGAT-like', NULL, NULL, NULL, 1),
(930, NULL, 'cd00126', NULL, NULL, 'PAH', NULL, 'PAH', NULL, NULL, 2207, 1),
(931, NULL, 'cd01177', NULL, NULL, 'IPT_NFkappaB', NULL, 'IPT_NFkappaB', NULL, NULL, 29169, 1),
(932, NULL, 'cd09173', NULL, NULL, 'PLDc_Nuc_like_unchar1_2', NULL, 'PLDc_Nuc_like_unchar1_2', NULL, NULL, NULL, 1),
(933, NULL, 'cd07359', NULL, NULL, 'PCA_45_Doxase_B_like', NULL, 'PCA_45_Doxase_B_like', NULL, NULL, NULL, 1),
(934, NULL, 'cd08612', NULL, NULL, 'GDPD_GDE4', NULL, 'GDPD_GDE4', NULL, NULL, NULL, 1),
(935, NULL, 'cd11729', NULL, NULL, 'ADDz_Dnmt3a', NULL, 'ADDz_Dnmt3a', NULL, NULL, 36558, 1),
(936, NULL, 'cd02890', NULL, NULL, 'PTase', NULL, 'PTase', NULL, NULL, NULL, 1),
(937, NULL, 'cd11981', NULL, NULL, 'SH3_VAV3_1', NULL, 'SH3_VAV3_1', NULL, NULL, NULL, 1),
(938, NULL, 'cd01120', NULL, NULL, 'RecA-like_NTPases', NULL, 'RecA-like_NTPases', NULL, NULL, NULL, 1),
(939, NULL, 'cd03581', NULL, NULL, 'NTR_Sfrp3_like', NULL, 'NTR_Sfrp3_like', NULL, NULL, 33612, 1),
(940, NULL, 'cd19538', NULL, NULL, 'LCL_NRPS', NULL, 'LCL_NRPS', NULL, NULL, NULL, 1),
(941, NULL, 'cd02786', NULL, NULL, 'MopB_CT_3', NULL, 'MopB_CT_3', NULL, NULL, 35010, 1),
(942, NULL, 'cd14011', NULL, NULL, 'PK_SCY1_like', NULL, 'PK_SCY1_like', NULL, NULL, NULL, 1),
(943, NULL, 'cd12883', NULL, NULL, 'SPRY_RING', NULL, 'SPRY_RING', NULL, NULL, 34653, 1),
(944, NULL, 'cd01214', NULL, NULL, 'PTB_FAM43A', NULL, 'PTB_FAM43A', NULL, NULL, 30426, 1),
(945, NULL, 'cd13669', NULL, NULL, 'PBP2_TRAP_TM0322_like', NULL, 'PBP2_TRAP_TM0322_like', NULL, NULL, NULL, 1),
(946, NULL, 'cd16118', NULL, NULL, 'UBX2_UBXN9', NULL, 'UBX2_UBXN9', NULL, NULL, NULL, 1),
(947, NULL, 'cd16123', NULL, NULL, 'RA_RASSF7_like', NULL, 'RA_RASSF7_like', NULL, NULL, NULL, 1),
(948, NULL, 'cd05854', NULL, NULL, 'Ig6_Contactin-2', NULL, 'Ig6_Contactin-2', NULL, NULL, NULL, 1),
(949, NULL, 'cd07564', NULL, NULL, 'nitrilases_CHs', NULL, 'nitrilases_CHs', NULL, NULL, 36800, 1),
(950, NULL, 'cd10006', NULL, NULL, 'HDAC4', NULL, 'HDAC4', NULL, NULL, NULL, 1),
(951, NULL, 'cd16265', NULL, NULL, 'Translation_Factor_II', NULL, 'Translation_Factor_II', NULL, NULL, NULL, 1),
(952, NULL, 'cd01797', NULL, NULL, 'Ubl_UHRF', NULL, 'Ubl_UHRF', NULL, NULL, NULL, 1),
(953, NULL, 'cd06365', NULL, NULL, 'PBP1_pheromone_receptor', NULL, 'PBP1_pheromone_receptor', NULL, NULL, NULL, 1),
(954, NULL, 'cd16319', NULL, NULL, 'MraZ', NULL, 'MraZ', NULL, NULL, NULL, 1),
(955, NULL, 'cd09430', NULL, NULL, 'LIM5_LIMPETin', NULL, 'LIM5_LIMPETin', NULL, NULL, NULL, 1),
(956, NULL, 'cd18444', NULL, NULL, 'BACK_KLHL1_like', NULL, 'BACK_KLHL1_like', NULL, NULL, NULL, 1),
(957, NULL, 'cd16778', NULL, NULL, 'mRING-HC-C4C4_RBR_RNF144B', NULL, 'mRING-HC-C4C4_RBR_RNF144B', NULL, NULL, NULL, 1),
(958, NULL, 'cd04079', NULL, NULL, 'CBM6_agarase-like', NULL, 'CBM6_agarase-like', NULL, NULL, NULL, 1),
(959, NULL, 'cd00596', NULL, NULL, 'Peptidase_M14_like', NULL, 'Peptidase_M14_like', NULL, NULL, NULL, 1),
(960, NULL, 'cd11713', NULL, NULL, 'GINS_A_psf3', NULL, 'GINS_A_psf3', NULL, NULL, NULL, 1),
(961, NULL, 'cd15397', NULL, NULL, '7tmA_NPY4R', NULL, '7tmA_NPY4R', NULL, NULL, NULL, 1),
(962, NULL, 'cd03208', NULL, NULL, 'GST_C_Alpha', NULL, 'GST_C_Alpha', NULL, NULL, NULL, 1),
(963, NULL, 'cd10574', NULL, NULL, 'EVH1_SPRED-like', NULL, 'EVH1_SPRED-like', NULL, NULL, 32492, 1),
(964, NULL, 'cd17106', NULL, NULL, 'FERM_F1_EPB41L', NULL, 'FERM_F1_EPB41L', NULL, NULL, NULL, 1),
(965, NULL, 'cd07934', NULL, NULL, 'RHD-n_NFkB2', NULL, 'RHD-n_NFkB2', NULL, NULL, NULL, 1),
(966, NULL, 'cd11264', NULL, NULL, 'Sema_5B', NULL, 'Sema_5B', NULL, NULL, NULL, 1),
(967, NULL, 'cd01060', NULL, NULL, 'Membrane-FADS-like', NULL, 'Membrane-FADS-like', NULL, NULL, NULL, 1),
(968, NULL, 'cd15166', NULL, NULL, '7tmA_NAGly_R_GPR18', NULL, '7tmA_NAGly_R_GPR18', NULL, NULL, NULL, 1),
(969, NULL, 'cd15807', NULL, NULL, 'MDA5_C', NULL, 'MDA5_C', NULL, NULL, NULL, 1),
(970, NULL, 'cd06444', NULL, NULL, 'DNA_pol_A', NULL, 'DNA_pol_A', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(971, NULL, 'cd09639', NULL, NULL, 'Cas3_I', NULL, 'Cas3_I', NULL, NULL, NULL, 1),
(972, NULL, 'cd15631', NULL, NULL, 'PHD_PHF23', NULL, 'PHD_PHF23', NULL, NULL, NULL, 1),
(973, NULL, 'cd15876', NULL, NULL, 'SNARE_syntaxin12', NULL, 'SNARE_syntaxin12', NULL, NULL, NULL, 1),
(974, NULL, 'cd05883', NULL, NULL, 'Ig2_Necl-2', NULL, 'Ig2_Necl-2', NULL, NULL, NULL, 1),
(975, NULL, 'cd16692', NULL, NULL, 'mRING-H2-C3H3C2_WDR59', NULL, 'mRING-H2-C3H3C2_WDR59', NULL, NULL, 33198, 1),
(976, NULL, 'cd14343', NULL, NULL, 'UBA_F100B_like', NULL, 'UBA_F100B_like', NULL, NULL, NULL, 1),
(977, NULL, 'cd07108', NULL, NULL, 'ALDH_MGR_2402', NULL, 'ALDH_MGR_2402', NULL, NULL, NULL, 1),
(978, NULL, 'cd09712', NULL, NULL, 'Cas10d_I-D', NULL, 'Cas10d_I-D', NULL, NULL, NULL, 1),
(979, NULL, 'cd11322', NULL, NULL, 'AmyAc_Glg_BE', NULL, 'AmyAc_Glg_BE', NULL, NULL, NULL, 1),
(980, NULL, 'cd02255', NULL, NULL, 'Peptidase_C12', NULL, 'Peptidase_C12', NULL, NULL, 34883, 1),
(981, NULL, 'cd00900', NULL, NULL, 'PH-like', NULL, 'PH-like', NULL, NULL, NULL, 1),
(982, NULL, 'cd08474', NULL, NULL, 'PBP2_CrgA_like_5', NULL, 'PBP2_CrgA_like_5', NULL, NULL, NULL, 1),
(983, NULL, 'cd00031', NULL, NULL, 'CA_like', NULL, 'CA_like', NULL, NULL, NULL, 1),
(984, NULL, 'cd15349', NULL, NULL, '7tmA_S1PR4_Edg6', NULL, '7tmA_S1PR4_Edg6', NULL, NULL, NULL, 1),
(985, NULL, 'cd03671', NULL, NULL, 'Ap4A_hydrolase_plant_like', NULL, 'Ap4A_hydrolase_plant_like', NULL, NULL, 14815, 1),
(986, NULL, 'cd17266', NULL, NULL, 'RMtype1_S_Sau1132ORF3780P-TRD2-CR2_like', NULL, 'RMtype1_S_Sau1132ORF3780P-TRD2-CR2_like', NULL, NULL, NULL, 1),
(987, NULL, 'cd03010', NULL, NULL, 'TlpA_like_DsbE', NULL, 'TlpA_like_DsbE', NULL, NULL, 5651, 1),
(988, NULL, 'cd12435', NULL, NULL, 'RRM_GW182_like', NULL, 'RRM_GW182_like', NULL, NULL, NULL, 1),
(989, NULL, 'cd05921', NULL, NULL, 'FCS', NULL, 'FCS', NULL, NULL, NULL, 1),
(990, NULL, 'cd13366', NULL, NULL, 'PH_ABR', NULL, 'PH_ABR', NULL, NULL, 29855, 1),
(991, NULL, 'cd02029', NULL, NULL, 'PRK_like', NULL, 'PRK_like', NULL, NULL, NULL, 1),
(992, NULL, 'cd09571', NULL, NULL, 'SAM_tumor-p73', NULL, 'SAM_tumor-p73', NULL, NULL, 33441, 1),
(993, NULL, 'cd09547', NULL, NULL, 'SAM_EPH-A6', NULL, 'SAM_EPH-A6', NULL, NULL, 37499, 1),
(994, NULL, 'cd15890', NULL, NULL, 'SNARE_Vti1b', NULL, 'SNARE_Vti1b', NULL, NULL, NULL, 1),
(995, NULL, 'cd13179', NULL, NULL, 'RanBD_RanBP1', NULL, 'RanBD_RanBP1', NULL, NULL, 39794, 1),
(996, NULL, 'cd02874', NULL, NULL, 'GH18_CFLE_spore_hydrolase', NULL, 'GH18_CFLE_spore_hydrolase', NULL, NULL, 33410, 1),
(997, NULL, 'cd07750', NULL, NULL, 'PolyPPase_VTC_like', NULL, 'PolyPPase_VTC_like', NULL, NULL, NULL, 1),
(998, NULL, 'cd12882', NULL, NULL, 'SPRY_RNF123', NULL, 'SPRY_RNF123', NULL, NULL, 34755, 1),
(999, NULL, 'cd02637', NULL, NULL, 'R3H_PARN', NULL, 'R3H_PARN', NULL, NULL, 28512, 1),
(1000, NULL, 'cd11646', NULL, NULL, 'Precorrin_3B_C17_MT', NULL, 'Precorrin_3B_C17_MT', NULL, NULL, 5598, 1),
(1001, NULL, 'cd17110', NULL, NULL, 'FERM_F1_Myo10_like', NULL, 'FERM_F1_Myo10_like', NULL, NULL, NULL, 1),
(1002, NULL, 'cd13345', NULL, NULL, 'PH-GRAM_MTMR8', NULL, 'PH-GRAM_MTMR8', NULL, NULL, NULL, 1),
(1003, NULL, 'cd09933', NULL, NULL, 'SH2_Src_family', NULL, 'SH2_Src_family', NULL, NULL, NULL, 1),
(1004, NULL, 'cd00883', NULL, NULL, 'beta_CA_cladeA', NULL, 'beta_CA_cladeA', NULL, NULL, NULL, 1),
(1005, NULL, 'cd01029', NULL, NULL, 'TOPRIM_primases', NULL, 'TOPRIM_primases', NULL, NULL, 27909, 1),
(1006, NULL, 'cd19565', NULL, NULL, 'serpinB6_CAP', NULL, 'serpinB6_CAP', NULL, NULL, NULL, 1),
(1007, NULL, 'cd03372', NULL, NULL, 'TPP_ComE', NULL, 'TPP_ComE', NULL, NULL, 16774, 1),
(1008, NULL, 'cd19775', NULL, NULL, 'Bbox2_TIF1_C-VI', NULL, 'Bbox2_TIF1_C-VI', NULL, NULL, NULL, 1),
(1009, NULL, 'cd13524', NULL, NULL, 'PBP2_Thiaminase_I', NULL, 'PBP2_Thiaminase_I', NULL, NULL, NULL, 1),
(1010, NULL, 'cd18749', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(1011, NULL, 'cd12040', NULL, NULL, 'SH3_CACNB2', NULL, 'SH3_CACNB2', NULL, NULL, 35702, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1012, NULL, 'cd08056', NULL, NULL, 'MPN_PRP8', NULL, 'MPN_PRP8', NULL, NULL, NULL, 1),
(1013, NULL, 'cd06901', NULL, NULL, 'lectin_VIP36_VIPL', NULL, 'lectin_VIP36_VIPL', NULL, NULL, 35798, 1),
(1014, NULL, 'cd16734', NULL, NULL, 'RING-HC_PCGF2', NULL, 'RING-HC_PCGF2', NULL, NULL, NULL, 1),
(1015, NULL, 'cd17421', NULL, NULL, 'MFS_MCT5', NULL, 'MFS_MCT5', NULL, NULL, NULL, 1),
(1016, NULL, 'cd02968', NULL, NULL, 'SCO', NULL, 'SCO', NULL, NULL, 3127, 1),
(1017, NULL, 'cd19998', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(1018, NULL, 'cd14161', NULL, NULL, 'STKc_NUAK2', NULL, 'STKc_NUAK2', NULL, NULL, NULL, 1),
(1019, NULL, 'cd03754', NULL, NULL, 'proteasome_alpha_type_6', NULL, 'proteasome_alpha_type_6', NULL, NULL, 6359, 1),
(1020, NULL, 'cd06574', NULL, NULL, 'TM_PBP1_branched-chain-AA_like', NULL, 'TM_PBP1_branched-chain-AA_like', NULL, NULL, NULL, 1),
(1021, NULL, 'cd09511', NULL, NULL, 'SAM_CNK1,2,3-suppressor', NULL, 'SAM_CNK1,2,3-suppressor', NULL, NULL, NULL, 1),
(1022, NULL, 'cd13595', NULL, NULL, 'PBP2_HisGs', NULL, 'PBP2_HisGs', NULL, NULL, 17872, 1),
(1023, NULL, 'cd04819', NULL, NULL, 'PA_2', NULL, 'PA_2', NULL, NULL, NULL, 1),
(1024, NULL, 'cd02518', NULL, NULL, 'GT2_SpsF', NULL, 'GT2_SpsF', NULL, NULL, NULL, 1),
(1025, NULL, 'cd08532', NULL, NULL, 'SAM_PNT-PDEF-like', NULL, 'SAM_PNT-PDEF-like', NULL, NULL, NULL, 1),
(1026, NULL, 'cd16744', NULL, NULL, 'RING-HC_RNF185', NULL, 'RING-HC_RNF185', NULL, NULL, NULL, 1),
(1027, NULL, 'cd14703', NULL, NULL, 'bZIP_plant_RF2', NULL, 'bZIP_plant_RF2', NULL, NULL, 36673, 1),
(1028, NULL, 'cd09706', NULL, NULL, 'Csf2_U', NULL, 'Csf2_U', NULL, NULL, NULL, 1),
(1029, NULL, 'cd05663', NULL, NULL, 'M28_like_PA_PDZ_associated', NULL, 'M28_like_PA_PDZ_associated', NULL, NULL, NULL, 1),
(1030, NULL, 'cd05913', NULL, NULL, 'PaaK', NULL, 'PaaK', NULL, NULL, 8529, 1),
(1031, NULL, 'cd06819', NULL, NULL, 'PLPDE_III_LS_D-TA', NULL, 'PLPDE_III_LS_D-TA', NULL, NULL, NULL, 1),
(1032, NULL, 'cd00257', NULL, NULL, 'Fascin', NULL, 'Fascin', NULL, NULL, 20015, 1),
(1033, NULL, 'cd19080', NULL, NULL, 'AKR_AKR9A_9B', NULL, 'AKR_AKR9A_9B', NULL, NULL, NULL, 1),
(1034, NULL, 'cd14123', NULL, NULL, 'STKc_VRK2', NULL, 'STKc_VRK2', NULL, NULL, NULL, 1),
(1035, NULL, 'cd03213', NULL, NULL, 'ABCG_EPDR', NULL, 'ABCG_EPDR', NULL, NULL, NULL, 1),
(1036, NULL, 'cd18585', NULL, NULL, 'ABC_6TM_CydC', NULL, 'ABC_6TM_CydC', NULL, NULL, NULL, 1),
(1037, NULL, 'cd04758', NULL, NULL, 'Commd10', NULL, 'Commd10', NULL, NULL, 35443, 1),
(1038, NULL, 'cd00777', NULL, NULL, 'AspRS_core', NULL, 'AspRS_core', NULL, NULL, NULL, 1),
(1039, NULL, 'cd06609', NULL, NULL, 'STKc_MST3_like', NULL, 'STKc_MST3_like', NULL, NULL, NULL, 1),
(1040, NULL, 'cd19030', NULL, NULL, 'LGIC_ECD_nAChR_E', NULL, 'LGIC_ECD_nAChR_E', NULL, NULL, NULL, 1),
(1041, NULL, 'cd14394', NULL, NULL, 'UBA_BIRC2_3', NULL, 'UBA_BIRC2_3', NULL, NULL, 32086, 1),
(1042, NULL, 'cd03452', NULL, NULL, 'MaoC_C', NULL, 'MaoC_C', NULL, NULL, NULL, 1),
(1043, NULL, 'cd08865', NULL, NULL, 'SRPBCC_10', NULL, 'SRPBCC_10', NULL, NULL, NULL, 1),
(1044, NULL, 'cd17569', NULL, NULL, 'REC_HupR-like', NULL, 'REC_HupR-like', NULL, NULL, NULL, 1),
(1045, NULL, 'cd07135', NULL, NULL, 'ALDH_F14-YMR110C', NULL, 'ALDH_F14-YMR110C', NULL, NULL, NULL, 1),
(1046, NULL, 'cd16798', NULL, NULL, 'RING-H2_RNF43', NULL, 'RING-H2_RNF43', NULL, NULL, 37305, 1),
(1047, NULL, 'cd08594', NULL, NULL, 'PI-PLCc_eta', NULL, 'PI-PLCc_eta', NULL, NULL, NULL, 1),
(1048, NULL, 'cd05359', NULL, NULL, 'ChcA_like_SDR_c', NULL, 'ChcA_like_SDR_c', NULL, NULL, NULL, 1),
(1049, NULL, 'cd14184', NULL, NULL, 'STKc_DCKL2', NULL, 'STKc_DCKL2', NULL, NULL, NULL, 1),
(1050, NULL, 'cd12141', NULL, NULL, 'SH3_DNMBP_C2', NULL, 'SH3_DNMBP_C2', NULL, NULL, NULL, 1),
(1051, NULL, 'cd19749', NULL, NULL, 'bHLH-O_DEC1', NULL, 'bHLH-O_DEC1', NULL, NULL, NULL, 1),
(1052, NULL, 'cd10344', NULL, NULL, 'SH2_SLAP', NULL, 'SH2_SLAP', NULL, NULL, 9650, 1),
(1053, NULL, 'cd16795', NULL, NULL, 'dRING_RMD5B', NULL, 'dRING_RMD5B', NULL, NULL, 29709, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1054, NULL, 'cd07349', NULL, NULL, 'NR_LBD_SHP', NULL, 'NR_LBD_SHP', NULL, NULL, NULL, 1),
(1055, NULL, 'cd09013', NULL, NULL, 'BphC-JF8_N_like', NULL, 'BphC-JF8_N_like', NULL, NULL, NULL, 1),
(1056, NULL, 'cd08414', NULL, NULL, 'PBP2_LTTR_aromatics_like', NULL, 'PBP2_LTTR_aromatics_like', NULL, NULL, NULL, 1),
(1057, NULL, 'cd16266', NULL, NULL, 'IF2_aeIF5B_IV', NULL, 'IF2_aeIF5B_IV', NULL, NULL, NULL, 1),
(1058, NULL, 'cd06960', NULL, NULL, 'NR_DBD_HNF4A', NULL, 'NR_DBD_HNF4A', NULL, NULL, NULL, 1),
(1059, NULL, 'cd17620', NULL, NULL, 'REC_OmpR_KdpE-like', NULL, 'REC_OmpR_KdpE-like', NULL, NULL, NULL, 1),
(1060, NULL, 'cd15526', NULL, NULL, 'PHD1_MOZ_d4', NULL, 'PHD1_MOZ_d4', NULL, NULL, NULL, 1),
(1061, NULL, 'cd14283', NULL, NULL, 'UBA_TNR6C', NULL, 'UBA_TNR6C', NULL, NULL, 32115, 1),
(1062, NULL, 'cd08243', NULL, NULL, 'quinone_oxidoreductase_like_1', NULL, 'quinone_oxidoreductase_like_1', NULL, NULL, NULL, 1),
(1063, NULL, 'cd10537', NULL, NULL, 'SET_SETD9', NULL, 'SET_SETD9', NULL, NULL, NULL, 1),
(1064, NULL, 'cd12574', NULL, NULL, 'RRM1_DAZAP1', NULL, 'RRM1_DAZAP1', NULL, NULL, 21422, 1),
(1065, NULL, 'cd02037', NULL, NULL, 'Mrp_NBP35', NULL, 'Mrp_NBP35', NULL, NULL, NULL, 1),
(1066, NULL, 'cd08490', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_3', NULL, 'PBP2_NikA_DppA_OppA_like_3', NULL, NULL, NULL, 1),
(1067, NULL, 'cd11604', NULL, NULL, 'RTT106_N', NULL, 'RTT106_N', NULL, NULL, 30611, 1),
(1068, NULL, 'cd19744', NULL, NULL, 'bHLH_TS_dAS-C_like', NULL, 'bHLH_TS_dAS-C_like', NULL, NULL, NULL, 1),
(1069, NULL, 'cd09767', NULL, NULL, 'Csx17_I-U', NULL, 'Csx17_I-U', NULL, NULL, NULL, 1),
(1070, NULL, 'cd12600', NULL, NULL, 'RRM2_SRSF4_like', NULL, 'RRM2_SRSF4_like', NULL, NULL, NULL, 1),
(1071, NULL, 'cd10280', NULL, NULL, 'PQQ_mGDH', NULL, 'PQQ_mGDH', NULL, NULL, 21725, 1),
(1072, NULL, 'cd15792', NULL, NULL, 'PH1_FGD5', NULL, 'PH1_FGD5', NULL, NULL, NULL, 1),
(1073, NULL, 'cd00220', NULL, NULL, 'VMO-I', NULL, 'VMO-I', NULL, NULL, 1837, 1),
(1074, NULL, 'cd15365', NULL, NULL, '7tmA_GPR65_TDAG8', NULL, '7tmA_GPR65_TDAG8', NULL, NULL, NULL, 1),
(1075, NULL, 'cd09634', NULL, NULL, 'Cas1_I-II-III', NULL, 'Cas1_I-II-III', NULL, NULL, NULL, 1),
(1076, NULL, 'cd08286', NULL, NULL, 'FDH_like_ADH2', NULL, 'FDH_like_ADH2', NULL, NULL, NULL, 1),
(1077, NULL, 'cd16010', NULL, NULL, 'iPGM', NULL, 'iPGM', NULL, NULL, 1013, 1),
(1078, NULL, 'cd00998', NULL, NULL, 'PBP2_iGluR_ligand_binding', NULL, 'PBP2_iGluR_ligand_binding', NULL, NULL, NULL, 1),
(1079, NULL, 'cd06375', NULL, NULL, 'PBP1_mGluR_groupII', NULL, 'PBP1_mGluR_groupII', NULL, NULL, NULL, 1),
(1080, NULL, 'cd17727', NULL, NULL, 'BRCT_TopBP1_rpt6', NULL, 'BRCT_TopBP1_rpt6', NULL, NULL, NULL, 1),
(1081, NULL, 'cd13258', NULL, NULL, 'PH_PLEKHJ1', NULL, 'PH_PLEKHJ1', NULL, NULL, NULL, 1),
(1082, NULL, 'cd17443', NULL, NULL, 'MFS_SLC22A31', NULL, 'MFS_SLC22A31', NULL, NULL, NULL, 1),
(1083, NULL, 'cd11758', NULL, NULL, 'SH3_CRK_N', NULL, 'SH3_CRK_N', NULL, NULL, 20535, 1),
(1084, NULL, 'cd06106', NULL, NULL, 'ScCit3_like', NULL, 'ScCit3_like', NULL, NULL, NULL, 1),
(1085, NULL, 'cd09237', NULL, NULL, 'V_ScBro1_like', NULL, 'V_ScBro1_like', NULL, NULL, NULL, 1),
(1086, NULL, 'cd17622', NULL, NULL, 'REC_OmpR_kpRstA-like', NULL, 'REC_OmpR_kpRstA-like', NULL, NULL, NULL, 1),
(1087, NULL, 'cd00719', NULL, NULL, 'GIY-YIG_SF', NULL, 'GIY-YIG_SF', NULL, NULL, NULL, 1),
(1088, NULL, 'cd09750', NULL, NULL, 'Csa5_I-A', NULL, 'Csa5_I-A', NULL, NULL, NULL, 1),
(1089, NULL, 'cd05211', NULL, NULL, 'NAD_bind_Glu_Leu_Phe_Val', NULL, 'NAD_bind_Glu_Leu_Phe_Val', NULL, NULL, NULL, 1),
(1090, NULL, 'cd12115', NULL, NULL, 'A_NRPS_Sfm_like', NULL, 'A_NRPS_Sfm_like', NULL, NULL, NULL, 1),
(1091, NULL, 'cd04015', NULL, NULL, 'C2_plant_PLD', NULL, 'C2_plant_PLD', NULL, NULL, NULL, 1),
(1092, NULL, 'cd07145', NULL, NULL, 'ALDH_LactADH_F420-Bios', NULL, 'ALDH_LactADH_F420-Bios', NULL, NULL, NULL, 1),
(1093, NULL, 'cd13516', NULL, NULL, 'HHD_CCM2', NULL, 'HHD_CCM2', NULL, NULL, 22025, 1),
(1094, NULL, 'cd03772', NULL, NULL, 'MATH_HAUSP', NULL, 'MATH_HAUSP', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1095, NULL, 'cd08221', NULL, NULL, 'STKc_Nek9', NULL, 'STKc_Nek9', NULL, NULL, 37869, 1),
(1096, NULL, 'cd08256', NULL, NULL, 'Zn_ADH2', NULL, 'Zn_ADH2', NULL, NULL, NULL, 1),
(1097, NULL, 'cd11667', NULL, NULL, 'GH38N_Man2A2', NULL, 'GH38N_Man2A2', NULL, NULL, NULL, 1),
(1098, NULL, 'sd00034', NULL, NULL, 'LRR_AMN1', NULL, 'LRR_AMN1', NULL, NULL, NULL, 1),
(1099, NULL, 'cd15984', NULL, NULL, '7tmB1_PTH1R', NULL, '7tmB1_PTH1R', NULL, NULL, NULL, 1),
(1100, NULL, 'cd14976', NULL, NULL, '7tmA_RNL3R', NULL, '7tmA_RNL3R', NULL, NULL, NULL, 1),
(1101, NULL, 'cd18285', NULL, NULL, 'BTB1_POZ_BTBD8', NULL, 'BTB1_POZ_BTBD8', NULL, NULL, NULL, 1),
(1102, NULL, 'cd07596', NULL, NULL, 'BAR_SNX', NULL, 'BAR_SNX', NULL, NULL, NULL, 1),
(1103, NULL, 'cd12102', NULL, NULL, 'DD_RIbeta_PKA', NULL, 'DD_RIbeta_PKA', NULL, NULL, 39497, 1),
(1104, NULL, 'cd08800', NULL, NULL, 'Death_UNC5A', NULL, 'Death_UNC5A', NULL, NULL, 36731, 1),
(1105, NULL, 'cd19536', NULL, NULL, 'DCL_NRPS-like', NULL, 'DCL_NRPS-like', NULL, NULL, NULL, 1),
(1106, NULL, 'cd19995', NULL, NULL, 'PBP1_ABC_xylose_binding-like', NULL, 'PBP1_ABC_xylose_binding-like', NULL, NULL, NULL, 1),
(1107, NULL, 'cd05760', NULL, NULL, 'Ig2_PTK7', NULL, 'Ig2_PTK7', NULL, NULL, NULL, 1),
(1108, NULL, 'cd06448', NULL, NULL, 'L-Ser-dehyd', NULL, 'L-Ser-dehyd', NULL, NULL, NULL, 1),
(1109, NULL, 'cd07076', NULL, NULL, 'NR_LBD_GR', NULL, 'NR_LBD_GR', NULL, NULL, NULL, 1),
(1110, NULL, 'cd15404', NULL, NULL, '7tmA_GPR63', NULL, '7tmA_GPR63', NULL, NULL, NULL, 1),
(1111, NULL, 'cd16528', NULL, NULL, 'RING-HC_prokRING', NULL, 'RING-HC_prokRING', NULL, NULL, NULL, 1),
(1112, NULL, 'cd08156', NULL, NULL, 'catalase_clade_3', NULL, 'catalase_clade_3', NULL, NULL, 30161, 1),
(1113, NULL, 'cd19597', NULL, NULL, 'serpin28D-like_insects', NULL, 'serpin28D-like_insects', NULL, NULL, NULL, 1),
(1114, NULL, 'cd05754', NULL, NULL, 'Ig_Perlecan_like', NULL, 'Ig_Perlecan_like', NULL, NULL, NULL, 1),
(1115, NULL, 'cd07205', NULL, NULL, 'Pat_PNPLA6_PNPLA7_NTE1_like', NULL, 'Pat_PNPLA6_PNPLA7_NTE1_like', NULL, NULL, NULL, 1),
(1116, NULL, 'cd18216', NULL, NULL, 'BTB_POZ_ZBTB29-like', NULL, 'BTB_POZ_ZBTB29-like', NULL, NULL, NULL, 1),
(1117, NULL, 'cd00862', NULL, NULL, 'ProRS_anticodon_zinc', NULL, 'ProRS_anticodon_zinc', NULL, NULL, NULL, 1),
(1118, NULL, 'cd00955', NULL, NULL, 'Transaldolase_like', NULL, 'Transaldolase_like', NULL, NULL, 3718, 1),
(1119, NULL, 'cd10444', NULL, NULL, 'GIY-YIG_SegABCDEFG', NULL, 'GIY-YIG_SegABCDEFG', NULL, NULL, NULL, 1),
(1120, NULL, 'cd07386', NULL, NULL, 'MPP_DNA_pol_II_small_archeal_C', NULL, 'MPP_DNA_pol_II_small_archeal_C', NULL, NULL, NULL, 1),
(1121, NULL, 'cd11379', NULL, NULL, 'DUF4425', NULL, 'DUF4425', NULL, NULL, 27572, 1),
(1122, NULL, 'cd06529', NULL, NULL, 'S24_LexA-like', NULL, 'S24_LexA-like', NULL, NULL, 29991, 1),
(1123, NULL, 'cd09842', NULL, NULL, 'PLDc_vPLD1_1', NULL, 'PLDc_vPLD1_1', NULL, NULL, NULL, 1),
(1124, NULL, 'sd00018', NULL, NULL, 'ZF_C2H2', NULL, 'ZF_C2H2', NULL, NULL, NULL, 1),
(1125, NULL, 'cd15985', NULL, NULL, '7tmB1_GlucagonR-like_1', NULL, '7tmB1_GlucagonR-like_1', NULL, NULL, NULL, 1),
(1126, NULL, 'cd10948', NULL, NULL, 'CE4_BsPdaA_like', NULL, 'CE4_BsPdaA_like', NULL, NULL, 10534, 1),
(1127, NULL, 'cd16849', NULL, NULL, 'STAT5_DBD', NULL, 'STAT5_DBD', NULL, NULL, NULL, 1),
(1128, NULL, 'cd02998', NULL, NULL, 'PDI_a_ERp38', NULL, 'PDI_a_ERp38', NULL, NULL, NULL, 1),
(1129, NULL, 'cd10385', NULL, NULL, 'SH2_SOCS4', NULL, 'SH2_SOCS4', NULL, NULL, 34295, 1),
(1130, NULL, 'cd06470', NULL, NULL, 'ACD_IbpA-B_like', NULL, 'ACD_IbpA-B_like', NULL, NULL, 33642, 1),
(1131, NULL, 'cd16214', NULL, NULL, 'EFh_PI-PLCgamma1', NULL, 'EFh_PI-PLCgamma1', NULL, NULL, NULL, 1),
(1132, NULL, 'cd17462', NULL, NULL, 'MFS_SLCO4A_OATP4A', NULL, 'MFS_SLCO4A_OATP4A', NULL, NULL, 39887, 1),
(1133, NULL, 'cd01271', NULL, NULL, 'PTB2_Fe65', NULL, 'PTB2_Fe65', NULL, NULL, NULL, 1),
(1134, NULL, 'cd19209', NULL, NULL, 'SET_KMT2D', NULL, 'SET_KMT2D', NULL, NULL, NULL, 1),
(1135, NULL, 'cd07775', NULL, NULL, 'FGGY_AI-2K', NULL, 'FGGY_AI-2K', NULL, NULL, 31989, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1136, NULL, 'cd16781', NULL, NULL, 'mRING-HC-C3HC3D_Roquin1', NULL, 'mRING-HC-C3HC3D_Roquin1', NULL, NULL, NULL, 1),
(1137, NULL, 'cd13415', NULL, NULL, 'TNFRSF13B', NULL, 'TNFRSF13B', NULL, NULL, 15579, 1),
(1138, NULL, 'cd02410', NULL, NULL, 'archeal_CPSF_KH', NULL, 'archeal_CPSF_KH', NULL, NULL, NULL, 1),
(1139, NULL, 'cd09381', NULL, NULL, 'LIM1_Lhx7_Lhx8', NULL, 'LIM1_Lhx7_Lhx8', NULL, NULL, NULL, 1),
(1140, NULL, 'cd11849', NULL, NULL, 'SH3_SPIN90', NULL, 'SH3_SPIN90', NULL, NULL, 30029, 1),
(1141, NULL, 'cd02970', NULL, NULL, 'PRX_like2', NULL, 'PRX_like2', NULL, NULL, NULL, 1),
(1142, NULL, 'cd11480', NULL, NULL, 'SLC5sbd_u4', NULL, 'SLC5sbd_u4', NULL, NULL, NULL, 1),
(1143, NULL, 'cd15649', NULL, NULL, 'PHD1_NSD3', NULL, 'PHD1_NSD3', NULL, NULL, NULL, 1),
(1144, NULL, 'cd01817', NULL, NULL, 'RBD1_RGS12_like', NULL, 'RBD1_RGS12_like', NULL, NULL, NULL, 1),
(1145, NULL, 'cd17141', NULL, NULL, 'DCX1_DCLK2', NULL, 'DCX1_DCLK2', NULL, NULL, NULL, 1),
(1146, NULL, 'cd07591', NULL, NULL, 'BAR_Rvs161p', NULL, 'BAR_Rvs161p', NULL, NULL, 36243, 1),
(1147, NULL, 'cd11268', NULL, NULL, 'Sema_6C', NULL, 'Sema_6C', NULL, NULL, NULL, 1),
(1148, NULL, 'cd09684', NULL, NULL, 'Csm3_III-A', NULL, 'Csm3_III-A', NULL, NULL, 9414, 1),
(1149, NULL, 'cd12564', NULL, NULL, 'RRM1_RBM19', NULL, 'RRM1_RBM19', NULL, NULL, 12616, 1),
(1150, NULL, 'cd10340', NULL, NULL, 'SH2_N-SH2_SHP_like', NULL, 'SH2_N-SH2_SHP_like', NULL, NULL, NULL, 1),
(1151, NULL, 'cd16450', NULL, NULL, 'mRING-C3HGC3_RFWD3', NULL, 'mRING-C3HGC3_RFWD3', NULL, NULL, NULL, 1),
(1152, NULL, 'cd06928', NULL, NULL, 'RNAP_alpha_NTD', NULL, 'RNAP_alpha_NTD', NULL, NULL, NULL, 1),
(1153, NULL, 'cd08989', NULL, NULL, 'GH43_XYL-like', NULL, 'GH43_XYL-like', NULL, NULL, NULL, 1),
(1154, NULL, 'cd13644', NULL, NULL, 'PBP2_HemC_archaea', NULL, 'PBP2_HemC_archaea', NULL, NULL, NULL, 1),
(1155, NULL, 'cd19823', NULL, NULL, 'Bbox2_MID2_C-I', NULL, 'Bbox2_MID2_C-I', NULL, NULL, NULL, 1),
(1156, NULL, 'cd18607', NULL, NULL, 'GH130', NULL, 'GH130', NULL, NULL, NULL, 1),
(1157, NULL, 'cd04927', NULL, NULL, 'ACT_ACR-like_2', NULL, 'ACT_ACR-like_2', NULL, NULL, NULL, 1),
(1158, NULL, 'cd04152', NULL, NULL, 'Arl4_Arl7', NULL, 'Arl4_Arl7', NULL, NULL, NULL, 1),
(1159, NULL, 'cd16633', NULL, NULL, 'mRING-HC-C3HC3D_RBR_HOIL1', NULL, 'mRING-HC-C3HC3D_RBR_HOIL1', NULL, NULL, NULL, 1),
(1160, NULL, 'cd17074', NULL, NULL, 'Ubl_CysO_like', NULL, 'Ubl_CysO_like', NULL, NULL, NULL, 1),
(1161, NULL, 'cd00875', NULL, NULL, 'RNA_Cyclase_Class_I', NULL, 'RNA_Cyclase_Class_I', NULL, NULL, 15958, 1),
(1162, NULL, 'cd13960', NULL, NULL, 'PT_UbiA_HPT1', NULL, 'PT_UbiA_HPT1', NULL, NULL, 38105, 1),
(1163, NULL, 'cd05653', NULL, NULL, 'M20_ArgE_LysK', NULL, 'M20_ArgE_LysK', NULL, NULL, NULL, 1),
(1164, NULL, 'cd05763', NULL, NULL, 'Ig_1', NULL, 'Ig_1', NULL, NULL, NULL, 1),
(1165, NULL, 'cd16102', NULL, NULL, 'RAWUL_PCGF_like', NULL, 'RAWUL_PCGF_like', NULL, NULL, NULL, 1),
(1166, NULL, 'cd17744', NULL, NULL, 'BRCT_MDC1_rpt1', NULL, 'BRCT_MDC1_rpt1', NULL, NULL, NULL, 1),
(1167, NULL, 'cd05877', NULL, NULL, 'Ig_LP_like', NULL, 'Ig_LP_like', NULL, NULL, NULL, 1),
(1168, NULL, 'cd01159', NULL, NULL, 'NcnH', NULL, 'NcnH', NULL, NULL, NULL, 1),
(1169, NULL, 'cd00684', NULL, NULL, 'Terpene_cyclase_plant_C1', NULL, 'Terpene_cyclase_plant_C1', NULL, NULL, 37930, 1),
(1170, NULL, 'cd09632', NULL, NULL, 'PliI_like', NULL, 'PliI_like', NULL, NULL, 23571, 1),
(1171, NULL, 'cd04095', NULL, NULL, 'CysN_NoDQ_III', NULL, 'CysN_NoDQ_III', NULL, NULL, 38694, 1),
(1172, NULL, 'cd08627', NULL, NULL, 'PI-PLCc_gamma1', NULL, 'PI-PLCc_gamma1', NULL, NULL, NULL, 1),
(1173, NULL, 'cd04282', NULL, NULL, 'ZnMc_meprin', NULL, 'ZnMc_meprin', NULL, NULL, 28084, 1),
(1174, NULL, 'cd14321', NULL, NULL, 'UBA_IAPs', NULL, 'UBA_IAPs', NULL, NULL, NULL, 1),
(1175, NULL, 'cd02865', NULL, NULL, 'Heme_Cu_Oxidase_III_2', NULL, 'Heme_Cu_Oxidase_III_2', NULL, NULL, NULL, 1),
(1176, NULL, 'cd12414', NULL, NULL, 'RRM2_RBM28_like', NULL, 'RRM2_RBM28_like', NULL, NULL, NULL, 1),
(1177, NULL, 'cd08426', NULL, NULL, 'PBP2_LTTR_like_5', NULL, 'PBP2_LTTR_like_5', NULL, NULL, NULL, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1178, NULL, 'cd02345', NULL, NULL, 'ZZ_dah', NULL, 'ZZ_dah', NULL, NULL, NULL, 1),
(1179, NULL, 'cd12526', NULL, NULL, 'RRM1_EAR1_like', NULL, 'RRM1_EAR1_like', NULL, NULL, NULL, 1),
(1180, NULL, 'cd19782', NULL, NULL, 'Bbox2_TRIM42_C-III', NULL, 'Bbox2_TRIM42_C-III', NULL, NULL, NULL, 1),
(1181, NULL, 'cd02652', NULL, NULL, 'nuc_hydro_2', NULL, 'nuc_hydro_2', NULL, NULL, NULL, 1),
(1182, NULL, 'cd05475', NULL, NULL, 'nucellin_like', NULL, 'nucellin_like', NULL, NULL, 32867, 1),
(1183, NULL, 'cd19125', NULL, NULL, 'AKR_AKR4C1-15', NULL, 'AKR_AKR4C1-15', NULL, NULL, 37842, 1),
(1184, NULL, 'cd16244', NULL, NULL, 'EFh_DTN', NULL, 'EFh_DTN', NULL, NULL, NULL, 1),
(1185, NULL, 'cd01985', NULL, NULL, 'ETF', NULL, 'ETF', NULL, NULL, NULL, 1),
(1186, NULL, 'cd17016', NULL, NULL, 'ING_Pho23p_like', NULL, 'ING_Pho23p_like', NULL, NULL, NULL, 1),
(1187, NULL, 'cd04983', NULL, NULL, 'IgV_TCR_alpha', NULL, 'IgV_TCR_alpha', NULL, NULL, NULL, 1),
(1188, NULL, 'cd18261', NULL, NULL, 'BTB_POZ_KLHL32', NULL, 'BTB_POZ_KLHL32', NULL, NULL, NULL, 1),
(1189, NULL, 'cd01365', NULL, NULL, 'KISc_KIF1A_KIF1B', NULL, 'KISc_KIF1A_KIF1B', NULL, NULL, NULL, 1),
(1190, NULL, 'cd01444', NULL, NULL, 'GlpE_ST', NULL, 'GlpE_ST', NULL, NULL, 11864, 1),
(1191, NULL, 'cd07398', NULL, NULL, 'MPP_YbbF-LpxH', NULL, 'MPP_YbbF-LpxH', NULL, NULL, NULL, 1),
(1192, NULL, 'cd05733', NULL, NULL, 'Ig_L1-CAM_like', NULL, 'Ig_L1-CAM_like', NULL, NULL, NULL, 1),
(1193, NULL, 'cd01115', NULL, NULL, 'SLC13_permease', NULL, 'SLC13_permease', NULL, NULL, NULL, 1),
(1194, NULL, 'cd03210', NULL, NULL, 'GST_C_Pi', NULL, 'GST_C_Pi', NULL, NULL, NULL, 1),
(1195, NULL, 'cd11725', NULL, NULL, 'ADDz_Dnmt3', NULL, 'ADDz_Dnmt3', NULL, NULL, NULL, 1),
(1196, NULL, 'cd06114', NULL, NULL, 'EcCS_like', NULL, 'EcCS_like', NULL, NULL, 1535, 1),
(1197, NULL, 'cd19413', NULL, NULL, 'RsbR_N-like', NULL, 'RsbR_N-like', NULL, NULL, NULL, 1),
(1198, NULL, 'cd04082', NULL, NULL, 'CBM35_pectate_lyase-like', NULL, 'CBM35_pectate_lyase-like', NULL, NULL, NULL, 1),
(1199, NULL, 'cd05809', NULL, NULL, 'CBM20_beta_amylase', NULL, 'CBM20_beta_amylase', NULL, NULL, 10393, 1),
(1200, NULL, 'cd08847', NULL, NULL, 'ArfGap_GIT2', NULL, 'ArfGap_GIT2', NULL, NULL, NULL, 1),
(1201, NULL, 'cd18140', NULL, NULL, 'HLD_clamp_RFC', NULL, 'HLD_clamp_RFC', NULL, NULL, NULL, 1),
(1202, NULL, 'cd09851', NULL, NULL, 'HTLV-1-like_HR1-HR2', NULL, 'HTLV-1-like_HR1-HR2', NULL, NULL, NULL, 1),
(1203, NULL, 'cd17472', NULL, NULL, 'MFS_YajR_like', NULL, 'MFS_YajR_like', NULL, NULL, NULL, 1),
(1204, NULL, 'cd02059', NULL, NULL, 'serpinB14_OVA', NULL, 'serpinB14_OVA', NULL, NULL, NULL, 1),
(1205, NULL, 'cd00322', NULL, NULL, 'FNR_like', NULL, 'FNR_like', NULL, NULL, NULL, 1),
(1206, NULL, 'cd11453', NULL, NULL, 'bHLH_AtBIM_like', NULL, 'bHLH_AtBIM_like', NULL, NULL, NULL, 1),
(1207, NULL, 'cd07655', NULL, NULL, 'F-BAR_PACSIN', NULL, 'F-BAR_PACSIN', NULL, NULL, NULL, 1),
(1208, NULL, 'cd17108', NULL, NULL, 'FERM_F1_EPB41L5_like', NULL, 'FERM_F1_EPB41L5_like', NULL, NULL, NULL, 1),
(1209, NULL, 'cd18547', NULL, NULL, 'ABC_6TM_Tm288_like', NULL, 'ABC_6TM_Tm288_like', NULL, NULL, NULL, 1),
(1210, NULL, 'cd13386', NULL, NULL, 'PH1_FGD2', NULL, 'PH1_FGD2', NULL, NULL, 34556, 1),
(1211, NULL, 'cd00448', NULL, NULL, 'YjgF_YER057c_UK114_family', NULL, 'YjgF_YER057c_UK114_family', NULL, NULL, NULL, 1),
(1212, NULL, 'cd08218', NULL, NULL, 'STKc_Nek1', NULL, 'STKc_Nek1', NULL, NULL, NULL, 1),
(1213, NULL, 'cd11300', NULL, NULL, 'Fut8_like', NULL, 'Fut8_like', NULL, NULL, NULL, 1),
(1214, NULL, 'cd17757', NULL, NULL, 'MCM6', NULL, 'MCM6', NULL, NULL, NULL, 1),
(1215, NULL, 'cd07041', NULL, NULL, 'STAS_RsbR_RsbS_like', NULL, 'STAS_RsbR_RsbS_like', NULL, NULL, NULL, 1),
(1216, NULL, 'cd15098', NULL, NULL, '7tmA_Gal1_R', NULL, '7tmA_Gal1_R', NULL, NULL, NULL, 1),
(1217, NULL, 'cd03509', NULL, NULL, 'DesA_FADS-like', NULL, 'DesA_FADS-like', NULL, NULL, NULL, 1),
(1218, NULL, 'cd05278', NULL, NULL, 'FDH_like', NULL, 'FDH_like', NULL, NULL, NULL, 1),
(1219, NULL, 'cd05903', NULL, NULL, 'CHC_CoA_lg', NULL, 'CHC_CoA_lg', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1220, NULL, 'cd06390', NULL, NULL, 'PBP1_iGluR_AMPA_GluR1', NULL, 'PBP1_iGluR_AMPA_GluR1', NULL, NULL, NULL, 1),
(1221, NULL, 'cd05844', NULL, NULL, 'GT4-like', NULL, 'GT4-like', NULL, NULL, NULL, 1),
(1222, NULL, 'cd16477', NULL, NULL, 'RING-H2_RNF214', NULL, 'RING-H2_RNF214', NULL, NULL, NULL, 1),
(1223, NULL, 'cd02588', NULL, NULL, 'HAD_L2-DEX', NULL, 'HAD_L2-DEX', NULL, NULL, 4924, 1),
(1224, NULL, 'cd02875', NULL, NULL, 'GH18_chitobiase', NULL, 'GH18_chitobiase', NULL, NULL, NULL, 1),
(1225, NULL, 'cd18678', NULL, NULL, 'PIN_MtVapC25_VapC33-like', NULL, 'PIN_MtVapC25_VapC33-like', NULL, NULL, NULL, 1),
(1226, NULL, 'cd05467', NULL, NULL, 'CBM20', NULL, 'CBM20', NULL, NULL, NULL, 1),
(1227, NULL, 'cd05891', NULL, NULL, 'Ig_M-protein_C', NULL, 'Ig_M-protein_C', NULL, NULL, NULL, 1),
(1228, NULL, 'cd08496', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_9', NULL, 'PBP2_NikA_DppA_OppA_like_9', NULL, NULL, NULL, 1),
(1229, NULL, 'cd21559', NULL, NULL, 'gammaCoV-Nsp6', NULL, 'gammaCoV-Nsp6', NULL, NULL, 38609, 1),
(1230, NULL, 'cd04205', NULL, NULL, 'CuRO_2_LCC_like', NULL, 'CuRO_2_LCC_like', NULL, NULL, NULL, 1),
(1231, NULL, 'cd14509', NULL, NULL, 'PTP_PTEN', NULL, 'PTP_PTEN', NULL, NULL, 39153, 1),
(1232, NULL, 'cd19033', NULL, NULL, 'LGIC_ECD_nAChR_proto-like', NULL, 'LGIC_ECD_nAChR_proto-like', NULL, NULL, NULL, 1),
(1233, NULL, 'cd05830', NULL, NULL, 'Sortase_E', NULL, 'Sortase_E', NULL, NULL, 33082, 1),
(1234, NULL, 'cd08536', NULL, NULL, 'SAM_PNT-Mae', NULL, 'SAM_PNT-Mae', NULL, NULL, NULL, 1),
(1235, NULL, 'cd09728', NULL, NULL, 'Csx1_III-U', NULL, 'Csx1_III-U', NULL, NULL, NULL, 1),
(1236, NULL, 'cd19579', NULL, NULL, 'serpin1K-like', NULL, 'serpin1K-like', NULL, NULL, NULL, 1),
(1237, NULL, 'cd06342', NULL, NULL, 'PBP1_ABC_LIVBP-like', NULL, 'PBP1_ABC_LIVBP-like', NULL, NULL, NULL, 1),
(1238, NULL, 'cd08888', NULL, NULL, 'SRPBCC_PITPNA-B_like', NULL, 'SRPBCC_PITPNA-B_like', NULL, NULL, NULL, 1),
(1239, NULL, 'cd05659', NULL, NULL, 'M18_API', NULL, 'M18_API', NULL, NULL, NULL, 1),
(1240, NULL, 'cd12047', NULL, NULL, 'SH3_Noxa1_C', NULL, 'SH3_Noxa1_C', NULL, NULL, NULL, 1),
(1241, NULL, 'cd01996', NULL, NULL, 'Alpha_ANH_like_III', NULL, 'Alpha_ANH_like_III', NULL, NULL, NULL, 1),
(1242, NULL, 'cd04887', NULL, NULL, 'ACT_MalLac-Enz', NULL, 'ACT_MalLac-Enz', NULL, NULL, NULL, 1),
(1243, NULL, 'sd00006', NULL, NULL, 'TPR', NULL, 'TPR', NULL, NULL, NULL, 1),
(1244, NULL, 'cd14508', NULL, NULL, 'PTP_tensin', NULL, 'PTP_tensin', NULL, NULL, NULL, 1),
(1245, NULL, 'cd06087', NULL, NULL, 'KOW_RPS4', NULL, 'KOW_RPS4', NULL, NULL, 32768, 1),
(1246, NULL, 'cd13150', NULL, NULL, 'DAXX_histone_binding', NULL, 'DAXX_histone_binding', NULL, NULL, NULL, 1),
(1247, NULL, 'cd16191', NULL, NULL, 'EFh_PEF_CAPN8', NULL, 'EFh_PEF_CAPN8', NULL, NULL, NULL, 1),
(1248, NULL, 'cd03728', NULL, NULL, 'SOCS_ASB_9_11', NULL, 'SOCS_ASB_9_11', NULL, NULL, 32125, 1),
(1249, NULL, 'cd15628', NULL, NULL, 'PHD_BAZ1B', NULL, 'PHD_BAZ1B', NULL, NULL, NULL, 1),
(1250, NULL, 'cd03885', NULL, NULL, 'M20_CPDG2', NULL, 'M20_CPDG2', NULL, NULL, NULL, 1),
(1251, NULL, 'cd04865', NULL, NULL, 'LigD_Pol_like_2', NULL, 'LigD_Pol_like_2', NULL, NULL, NULL, 1),
(1252, NULL, 'cd05504', NULL, NULL, 'Bromo_Acf1_like', NULL, 'Bromo_Acf1_like', NULL, NULL, 34643, 1),
(1253, NULL, 'cd10978', NULL, NULL, 'CE4_Sll1306_like', NULL, 'CE4_Sll1306_like', NULL, NULL, NULL, 1),
(1254, NULL, 'cd15941', NULL, NULL, '7tmA_OR10S1-like', NULL, '7tmA_OR10S1-like', NULL, NULL, NULL, 1),
(1255, NULL, 'cd17063', NULL, NULL, 'Ubl_ANKRD60', NULL, 'Ubl_ANKRD60', NULL, NULL, NULL, 1),
(1256, NULL, 'cd14664', NULL, NULL, 'STK_BAK1_like', NULL, 'STK_BAK1_like', NULL, NULL, NULL, 1),
(1257, NULL, 'cd16159', NULL, NULL, 'ES', NULL, 'ES', NULL, NULL, NULL, 1),
(1258, NULL, 'cd10388', NULL, NULL, 'SH2_SOCS7', NULL, 'SH2_SOCS7', NULL, NULL, 34205, 1),
(1259, NULL, 'cd04513', NULL, NULL, 'Glycosylasparaginase', NULL, 'Glycosylasparaginase', NULL, NULL, NULL, 1),
(1260, NULL, 'cd14934', NULL, NULL, 'MYSc_Myh16', NULL, 'MYSc_Myh16', NULL, NULL, NULL, 1),
(1261, NULL, 'cd01359', NULL, NULL, 'Argininosuccinate_lyase', NULL, 'Argininosuccinate_lyase', NULL, NULL, 6128, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1262, NULL, 'cd16233', NULL, NULL, 'EFh_SPARC_FSTL1', NULL, 'EFh_SPARC_FSTL1', NULL, NULL, NULL, 1),
(1263, NULL, 'cd16372', NULL, NULL, 'DMSOR_beta_like', NULL, 'DMSOR_beta_like', NULL, NULL, NULL, 1),
(1264, NULL, 'cd08355', NULL, NULL, 'TioX_like', NULL, 'TioX_like', NULL, NULL, NULL, 1),
(1265, NULL, 'cd11928', NULL, NULL, 'SH3_SH3RF3_1', NULL, 'SH3_SH3RF3_1', NULL, NULL, NULL, 1),
(1266, NULL, 'cd00743', NULL, NULL, 'lipocalin_RBP_like', NULL, 'lipocalin_RBP_like', NULL, NULL, NULL, 1),
(1267, NULL, 'cd06208', NULL, NULL, 'CYPOR_like_FNR', NULL, 'CYPOR_like_FNR', NULL, NULL, NULL, 1),
(1268, NULL, 'cd03272', NULL, NULL, 'ABC_SMC3_euk', NULL, 'ABC_SMC3_euk', NULL, NULL, 33147, 1),
(1269, NULL, 'cd02010', NULL, NULL, 'TPP_ALS', NULL, 'TPP_ALS', NULL, NULL, NULL, 1),
(1270, NULL, 'cd06829', NULL, NULL, 'PLPDE_III_CANSDC', NULL, 'PLPDE_III_CANSDC', NULL, NULL, 4602, 1),
(1271, NULL, 'cd00374', NULL, NULL, 'RNase_T2', NULL, 'RNase_T2', NULL, NULL, NULL, 1),
(1272, NULL, 'cd11572', NULL, NULL, 'RlmI_M_like', NULL, 'RlmI_M_like', NULL, NULL, NULL, 1),
(1273, NULL, 'cd00503', NULL, NULL, 'Frataxin', NULL, 'Frataxin', NULL, NULL, NULL, 1),
(1274, NULL, 'cd14520', NULL, NULL, 'DSP_DUSP12', NULL, 'DSP_DUSP12', NULL, NULL, NULL, 1),
(1275, NULL, 'cd10476', NULL, NULL, 'EphR_LBD_B1', NULL, 'EphR_LBD_B1', NULL, NULL, 29049, 1),
(1276, NULL, 'cd09875', NULL, NULL, 'PIN_VapC-FitB-like', NULL, 'PIN_VapC-FitB-like', NULL, NULL, NULL, 1),
(1277, NULL, 'cd04042', NULL, NULL, 'C2A_MCTP_PRT', NULL, 'C2A_MCTP_PRT', NULL, NULL, NULL, 1),
(1278, NULL, 'cd19000', NULL, NULL, 'LGIC_ECD_GABAAR_G', NULL, 'LGIC_ECD_GABAAR_G', NULL, NULL, NULL, 1),
(1279, NULL, 'cd17586', NULL, NULL, 'REC_PFxFATGY', NULL, 'REC_PFxFATGY', NULL, NULL, NULL, 1),
(1280, NULL, 'cd05864', NULL, NULL, 'Ig_VEGFR-2', NULL, 'Ig_VEGFR-2', NULL, NULL, NULL, 1),
(1281, NULL, 'cd11416', NULL, NULL, 'bHLH_TS_ceHLH13_like', NULL, 'bHLH_TS_ceHLH13_like', NULL, NULL, NULL, 1),
(1282, NULL, 'cd19921', NULL, NULL, 'REC_1_GGDEF', NULL, 'REC_1_GGDEF', NULL, NULL, NULL, 1),
(1283, NULL, 'cd04203', NULL, NULL, 'Cupredoxin_like_3', NULL, 'Cupredoxin_like_3', NULL, NULL, NULL, 1),
(1284, NULL, 'cd00879', NULL, NULL, 'Sar1', NULL, 'Sar1', NULL, NULL, NULL, 1),
(1285, NULL, 'cd01787', NULL, NULL, 'RA_MRL', NULL, 'RA_MRL', NULL, NULL, NULL, 1),
(1286, NULL, 'cd14400', NULL, NULL, 'UBA_Gts1p_like', NULL, 'UBA_Gts1p_like', NULL, NULL, NULL, 1),
(1287, NULL, 'cd08727', NULL, NULL, 'RGS_RGS22_2', NULL, 'RGS_RGS22_2', NULL, NULL, NULL, 1),
(1288, NULL, 'cd12512', NULL, NULL, 'RRM3_RBM12', NULL, 'RRM3_RBM12', NULL, NULL, 8895, 1),
(1289, NULL, 'cd12900', NULL, NULL, 'SPRY_PRY_TRIM21', NULL, 'SPRY_PRY_TRIM21', NULL, NULL, 34924, 1),
(1290, NULL, 'cd18090', NULL, NULL, 'Arginine_MT_Sfm1', NULL, 'Arginine_MT_Sfm1', NULL, NULL, NULL, 1),
(1291, NULL, 'cd09253', NULL, NULL, 'AP-4_Mu4_Cterm', NULL, 'AP-4_Mu4_Cterm', NULL, NULL, NULL, 1),
(1292, NULL, 'cd15548', NULL, NULL, 'PHD_ASH1L', NULL, 'PHD_ASH1L', NULL, NULL, 36845, 1),
(1293, NULL, 'cd11299', NULL, NULL, 'O-FucT_plant', NULL, 'O-FucT_plant', NULL, NULL, 13269, 1),
(1294, NULL, 'cd13247', NULL, NULL, 'BAR-PH_APPL', NULL, 'BAR-PH_APPL', NULL, NULL, NULL, 1),
(1295, NULL, 'cd15488', NULL, NULL, 'Tm-1-like', NULL, 'Tm-1-like', NULL, NULL, 37745, 1),
(1296, NULL, 'cd12917', NULL, NULL, 'VKOR_euk', NULL, 'VKOR_euk', NULL, NULL, 39602, 1),
(1297, NULL, 'cd03240', NULL, NULL, 'ABC_Rad50', NULL, 'ABC_Rad50', NULL, NULL, 39850, 1),
(1298, NULL, 'cd11770', NULL, NULL, 'SH3_Nephrocystin', NULL, 'SH3_Nephrocystin', NULL, NULL, 24580, 1),
(1299, NULL, 'cd00831', NULL, NULL, 'CHS_like', NULL, 'CHS_like', NULL, NULL, NULL, 1),
(1300, NULL, 'cd03358', NULL, NULL, 'LbH_WxcM_N_like', NULL, 'LbH_WxcM_N_like', NULL, NULL, NULL, 1),
(1301, NULL, 'cd16710', NULL, NULL, 'RING-HC_Cbl-c', NULL, 'RING-HC_Cbl-c', NULL, NULL, NULL, 1),
(1302, NULL, 'cd21568', NULL, NULL, 'HCoV-like_M', NULL, 'HCoV-like_M', NULL, NULL, 38517, 1),
(1303, NULL, 'cd04019', NULL, NULL, 'C2C_MCTP_PRT_plant', NULL, 'C2C_MCTP_PRT_plant', NULL, NULL, NULL, 1),
(1304, NULL, 'cd11464', NULL, NULL, 'bHLH_TS_TWIST', NULL, 'bHLH_TS_TWIST', NULL, NULL, NULL, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1305, NULL, 'cd00287', NULL, NULL, 'ribokinase_pfkB_like', NULL, 'ribokinase_pfkB_like', NULL, NULL, NULL, 1),
(1306, NULL, 'cd01992', NULL, NULL, 'PP-ATPase', NULL, 'PP-ATPase', NULL, NULL, 10204, 1),
(1307, NULL, 'cd00490', NULL, NULL, 'Met_repressor_MetJ', NULL, 'Met_repressor_MetJ', NULL, NULL, 1452, 1),
(1308, NULL, 'cd13237', NULL, NULL, 'PH2_FGD5_FGD6', NULL, 'PH2_FGD5_FGD6', NULL, NULL, NULL, 1),
(1309, NULL, 'cd02899', NULL, NULL, 'PLAT_SR', NULL, 'PLAT_SR', NULL, NULL, NULL, 1),
(1310, NULL, 'cd09320', NULL, NULL, 'TDT_like_2', NULL, 'TDT_like_2', NULL, NULL, NULL, 1),
(1311, NULL, 'cd11933', NULL, NULL, 'SH3_Nebulin_C', NULL, 'SH3_Nebulin_C', NULL, NULL, 36441, 1),
(1312, NULL, 'cd17392', NULL, NULL, 'MFS_MFSD2', NULL, 'MFS_MFSD2', NULL, NULL, NULL, 1),
(1313, NULL, 'cd07625', NULL, NULL, 'BAR_Vps17p', NULL, 'BAR_Vps17p', NULL, NULL, NULL, 1),
(1314, NULL, 'cd08514', NULL, NULL, 'PBP2_AppA_like', NULL, 'PBP2_AppA_like', NULL, NULL, NULL, 1),
(1315, NULL, 'cd09812', NULL, NULL, '3b-HSD_like_1_SDR_e', NULL, '3b-HSD_like_1_SDR_e', NULL, NULL, NULL, 1),
(1316, NULL, 'cd17139', NULL, NULL, 'RBD2_RGS14', NULL, 'RBD2_RGS14', NULL, NULL, NULL, 1),
(1317, NULL, 'cd17352', NULL, NULL, 'MFS_MCT_SLC16', NULL, 'MFS_MCT_SLC16', NULL, NULL, NULL, 1),
(1318, NULL, 'cd04028', NULL, NULL, 'C2B_RIM1alpha', NULL, 'C2B_RIM1alpha', NULL, NULL, NULL, 1),
(1319, NULL, 'cd15545', NULL, NULL, 'PHD_BAZ2A_like', NULL, 'PHD_BAZ2A_like', NULL, NULL, NULL, 1),
(1320, NULL, 'cd18693', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(1321, NULL, 'cd08448', NULL, NULL, 'PBP2_LTTR_aromatics_like_2', NULL, 'PBP2_LTTR_aromatics_like_2', NULL, NULL, NULL, 1),
(1322, NULL, 'cd17007', NULL, NULL, 'ANTH_N_Sla2p', NULL, 'ANTH_N_Sla2p', NULL, NULL, NULL, 1),
(1323, NULL, 'cd18972', NULL, NULL, 'CD_POL_like', NULL, 'CD_POL_like', NULL, NULL, NULL, 1),
(1324, NULL, 'cd15396', NULL, NULL, '7tmA_NPY6R', NULL, '7tmA_NPY6R', NULL, NULL, NULL, 1),
(1325, NULL, 'cd01230', NULL, NULL, 'PH1_Tiam1_2', NULL, 'PH1_Tiam1_2', NULL, NULL, NULL, 1),
(1326, NULL, 'cd09001', NULL, NULL, 'GH43_FsAxh1-like', NULL, 'GH43_FsAxh1-like', NULL, NULL, NULL, 1),
(1327, NULL, 'cd09731', NULL, NULL, 'Cse2_I-E', NULL, 'Cse2_I-E', NULL, NULL, NULL, 1),
(1328, NULL, 'cd18644', NULL, NULL, 'CD_polycomb', NULL, 'CD_polycomb', NULL, NULL, NULL, 1),
(1329, NULL, 'cd17481', NULL, NULL, 'MFS_MFSD13A', NULL, 'MFS_MFSD13A', NULL, NULL, NULL, 1),
(1330, NULL, 'cd14568', NULL, NULL, 'DSP_MKP_classIII', NULL, 'DSP_MKP_classIII', NULL, NULL, NULL, 1),
(1331, NULL, 'cd19849', NULL, NULL, 'Bbox1_TRIM46_C-I', NULL, 'Bbox1_TRIM46_C-I', NULL, NULL, NULL, 1),
(1332, NULL, 'cd12089', NULL, NULL, 'Hef_ID', NULL, 'Hef_ID', NULL, NULL, 34242, 1),
(1333, NULL, 'cd01538', NULL, NULL, 'PBP1_ABC_xylose_binding-like', NULL, 'PBP1_ABC_xylose_binding-like', NULL, NULL, NULL, 1),
(1334, NULL, 'cd20304', NULL, NULL, 'cupin_OxDC_N', NULL, 'cupin_OxDC_N', NULL, NULL, NULL, 1),
(1335, NULL, 'cd09106', NULL, NULL, 'PLDc_vPLD3_4_5_like_1', NULL, 'PLDc_vPLD3_4_5_like_1', NULL, NULL, NULL, 1),
(1336, NULL, 'cd14229', NULL, NULL, 'STKc_HIPK3', NULL, 'STKc_HIPK3', NULL, NULL, NULL, 1),
(1337, NULL, 'cd14444', NULL, NULL, 'AlgX_N_like_1', NULL, 'AlgX_N_like_1', NULL, NULL, NULL, 1),
(1338, NULL, 'cd12938', NULL, NULL, 'GUCT_Hera', NULL, 'GUCT_Hera', NULL, NULL, NULL, 1),
(1339, NULL, 'cd05693', NULL, NULL, 'S1_Rrp5_repeat_hs1_sc1', NULL, 'S1_Rrp5_repeat_hs1_sc1', NULL, NULL, NULL, 1),
(1340, NULL, 'cd16111', NULL, NULL, 'DCX_DCLK3', NULL, 'DCX_DCLK3', NULL, NULL, NULL, 1),
(1341, NULL, 'cd01171', NULL, NULL, 'YXKO-related', NULL, 'YXKO-related', NULL, NULL, 5589, 1),
(1342, NULL, 'cd04515', NULL, NULL, 'Alpha_kinase', NULL, 'Alpha_kinase', NULL, NULL, NULL, 1),
(1343, NULL, 'cd07525', NULL, NULL, 'HAD_like', NULL, 'HAD_like', NULL, NULL, NULL, 1),
(1344, NULL, 'cd11340', NULL, NULL, 'AmyAc_bac_CMD_like_3', NULL, 'AmyAc_bac_CMD_like_3', NULL, NULL, NULL, 1),
(1345, NULL, 'cd17170', NULL, NULL, 'FERM_F1_FRMPD4', NULL, 'FERM_F1_FRMPD4', NULL, NULL, NULL, 1),
(1346, NULL, 'cd05933', NULL, NULL, 'ACSBG_like', NULL, 'ACSBG_like', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1347, NULL, 'cd06882', NULL, NULL, 'PX_p40phox', NULL, 'PX_p40phox', NULL, NULL, 11073, 1),
(1348, NULL, 'cd14751', NULL, NULL, 'PBP2_GacH', NULL, 'PBP2_GacH', NULL, NULL, NULL, 1),
(1349, NULL, 'cd07945', NULL, NULL, 'DRE_TIM_CMS', NULL, 'DRE_TIM_CMS', NULL, NULL, NULL, 1),
(1350, NULL, 'cd14298', NULL, NULL, 'UBA2_scUBP14_like', NULL, 'UBA2_scUBP14_like', NULL, NULL, 36145, 1),
(1351, NULL, 'cd16407', NULL, NULL, 'ParB_N_like', NULL, 'ParB_N_like', NULL, NULL, NULL, 1),
(1352, NULL, 'cd04946', NULL, NULL, 'GT4_AmsK-like', NULL, 'GT4_AmsK-like', NULL, NULL, NULL, 1),
(1353, NULL, 'cd05323', NULL, NULL, 'ADH_SDR_c_like', NULL, 'ADH_SDR_c_like', NULL, NULL, NULL, 1),
(1354, NULL, 'cd16737', NULL, NULL, 'RING-HC_PCGF5', NULL, 'RING-HC_PCGF5', NULL, NULL, NULL, 1),
(1355, NULL, 'cd05656', NULL, NULL, 'M42_Frv', NULL, 'M42_Frv', NULL, NULL, NULL, 1),
(1356, NULL, 'cd07880', NULL, NULL, 'STKc_p38gamma', NULL, 'STKc_p38gamma', NULL, NULL, 33810, 1),
(1357, NULL, 'cd17312', NULL, NULL, 'MFS_OPA_SLC37', NULL, 'MFS_OPA_SLC37', NULL, NULL, NULL, 1),
(1358, NULL, 'cd04372', NULL, NULL, 'RhoGAP_chimaerin', NULL, 'RhoGAP_chimaerin', NULL, NULL, 34615, 1),
(1359, NULL, 'cd08226', NULL, NULL, 'PK_STRAD_beta', NULL, 'PK_STRAD_beta', NULL, NULL, NULL, 1),
(1360, NULL, 'cd16881', NULL, NULL, 'ARID_Dri-like', NULL, 'ARID_Dri-like', NULL, NULL, NULL, 1),
(1361, NULL, 'cd19774', NULL, NULL, 'Bbox2_TRIM23_C-IX_rpt2', NULL, 'Bbox2_TRIM23_C-IX_rpt2', NULL, NULL, NULL, 1),
(1362, NULL, 'cd08207', NULL, NULL, 'RLP_NonPhot', NULL, 'RLP_NonPhot', NULL, NULL, NULL, 1),
(1363, NULL, 'cd06654', NULL, NULL, 'STKc_PAK1', NULL, 'STKc_PAK1', NULL, NULL, NULL, 1),
(1364, NULL, 'cd18960', NULL, NULL, 'CD_HP1_like', NULL, 'CD_HP1_like', NULL, NULL, NULL, 1),
(1365, NULL, 'cd10295', NULL, NULL, 'GST_C_Sigma', NULL, 'GST_C_Sigma', NULL, NULL, NULL, 1),
(1366, NULL, 'cd00157', NULL, NULL, 'Rho', NULL, 'Rho', NULL, NULL, NULL, 1),
(1367, NULL, 'cd10940', NULL, NULL, 'CE4_PuuE_HpPgdA_like_1', NULL, 'CE4_PuuE_HpPgdA_like_1', NULL, NULL, NULL, 1),
(1368, NULL, 'cd00054', NULL, NULL, 'EGF_CA', NULL, 'EGF_CA', NULL, NULL, NULL, 1),
(1369, NULL, 'cd19777', NULL, NULL, 'Bbox2_TRIM35_C-IV', NULL, 'Bbox2_TRIM35_C-IV', NULL, NULL, NULL, 1),
(1370, NULL, 'cd11410', NULL, NULL, 'bHLH_O_HES', NULL, 'bHLH_O_HES', NULL, NULL, NULL, 1),
(1371, NULL, 'cd12316', NULL, NULL, 'RRM3_RBM19_RRM2_MRD1', NULL, 'RRM3_RBM19_RRM2_MRD1', NULL, NULL, NULL, 1),
(1372, NULL, 'cd15343', NULL, NULL, '7tmA_LPAR3_Edg7', NULL, '7tmA_LPAR3_Edg7', NULL, NULL, NULL, 1),
(1373, NULL, 'cd11804', NULL, NULL, 'SH3_GRB2_like_N', NULL, 'SH3_GRB2_like_N', NULL, NULL, NULL, 1),
(1374, NULL, 'cd01087', NULL, NULL, 'Prolidase', NULL, 'Prolidase', NULL, NULL, NULL, 1),
(1375, NULL, 'cd05231', NULL, NULL, 'NmrA_TMR_like_1_SDR_a', NULL, 'NmrA_TMR_like_1_SDR_a', NULL, NULL, NULL, 1),
(1376, NULL, 'cd12772', NULL, NULL, 'RRM1_HuC', NULL, 'RRM1_HuC', NULL, NULL, NULL, 1),
(1377, NULL, 'cd17422', NULL, NULL, 'MFS_MCT7', NULL, 'MFS_MCT7', NULL, NULL, NULL, 1),
(1378, NULL, 'cd02930', NULL, NULL, 'DCR_FMN', NULL, 'DCR_FMN', NULL, NULL, NULL, 1),
(1379, NULL, 'cd10487', NULL, NULL, 'EphR_LBD_A10', NULL, 'EphR_LBD_A10', NULL, NULL, NULL, 1),
(1380, NULL, 'cd19156', NULL, NULL, 'AKR_AKR5A1_2', NULL, 'AKR_AKR5A1_2', NULL, NULL, 37822, 1),
(1381, NULL, 'cd12369', NULL, NULL, 'RRM4_RBM45', NULL, 'RRM4_RBM45', NULL, NULL, 21376, 1),
(1382, NULL, 'cd03698', NULL, NULL, 'eRF3_II_like', NULL, 'eRF3_II_like', NULL, NULL, NULL, 1),
(1383, NULL, 'cd18528', NULL, NULL, 'BACK_RCBTB1', NULL, 'BACK_RCBTB1', NULL, NULL, NULL, 1),
(1384, NULL, 'cd07087', NULL, NULL, 'ALDH_F3-13-14_CALDH-like', NULL, 'ALDH_F3-13-14_CALDH-like', NULL, NULL, NULL, 1),
(1385, NULL, 'cd17372', NULL, NULL, 'MFS_SVOP_like', NULL, 'MFS_SVOP_like', NULL, NULL, NULL, 1),
(1386, NULL, 'cd09365', NULL, NULL, 'LIM2_LIMK', NULL, 'LIM2_LIMK', NULL, NULL, NULL, 1),
(1387, NULL, 'cd12110', NULL, NULL, 'PHP_HisPPase_Hisj_like', NULL, 'PHP_HisPPase_Hisj_like', NULL, NULL, NULL, 1),
(1388, NULL, 'cd01528', NULL, NULL, 'RHOD_2', NULL, 'RHOD_2', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1389, NULL, 'cd17339', NULL, NULL, 'MFS_NIMT_CynX_like', NULL, 'MFS_NIMT_CynX_like', NULL, NULL, NULL, 1),
(1390, NULL, 'cd17778', NULL, NULL, 'CBS_arch_repeat2', NULL, 'CBS_arch_repeat2', NULL, NULL, NULL, 1),
(1391, NULL, 'cd15533', NULL, NULL, 'PHD1_PHF12', NULL, 'PHD1_PHF12', NULL, NULL, NULL, 1),
(1392, NULL, 'cd12940', NULL, NULL, 'LEM_LAP2_LEMD1', NULL, 'LEM_LAP2_LEMD1', NULL, NULL, NULL, 1),
(1393, NULL, 'cd04242', NULL, NULL, 'AAK_G5K_ProB', NULL, 'AAK_G5K_ProB', NULL, NULL, 33193, 1),
(1394, NULL, 'cd16358', NULL, NULL, 'GlxI_Ni', NULL, 'GlxI_Ni', NULL, NULL, NULL, 1),
(1395, NULL, 'cd06523', NULL, NULL, 'GH25_PlyB-like', NULL, 'GH25_PlyB-like', NULL, NULL, NULL, 1),
(1396, NULL, 'cd12247', NULL, NULL, 'RRM2_U1A_like', NULL, 'RRM2_U1A_like', NULL, NULL, NULL, 1),
(1397, NULL, 'cd17116', NULL, NULL, 'RA_Radil_like', NULL, 'RA_Radil_like', NULL, NULL, NULL, 1),
(1398, NULL, 'cd14333', NULL, NULL, 'UBA_unchar_Eumetazoa', NULL, 'UBA_unchar_Eumetazoa', NULL, NULL, NULL, 1),
(1399, NULL, 'cd15037', NULL, NULL, '7tmF_FZD10', NULL, '7tmF_FZD10', NULL, NULL, NULL, 1),
(1400, NULL, 'cd04014', NULL, NULL, 'C2_PKC_epsilon', NULL, 'C2_PKC_epsilon', NULL, NULL, NULL, 1),
(1401, NULL, 'cd17010', NULL, NULL, 'VHS_GGA2', NULL, 'VHS_GGA2', NULL, NULL, NULL, 1),
(1402, NULL, 'cd15122', NULL, NULL, '7tmA_LTB4R2', NULL, '7tmA_LTB4R2', NULL, NULL, NULL, 1),
(1403, NULL, 'cd08404', NULL, NULL, 'C2B_Synaptotagmin-4', NULL, 'C2B_Synaptotagmin-4', NULL, NULL, NULL, 1),
(1404, NULL, 'cd12261', NULL, NULL, 'RRM1_3_MRN1', NULL, 'RRM1_3_MRN1', NULL, NULL, NULL, 1),
(1405, NULL, 'cd00733', NULL, NULL, 'GlyRS_alpha_core', NULL, 'GlyRS_alpha_core', NULL, NULL, 6956, 1),
(1406, NULL, 'cd09270', NULL, NULL, 'RNase_H2-B', NULL, 'RNase_H2-B', NULL, NULL, 35433, 1),
(1407, NULL, 'cd02674', NULL, NULL, 'Peptidase_C19R', NULL, 'Peptidase_C19R', NULL, NULL, NULL, 1),
(1408, NULL, 'cd14847', NULL, NULL, 'DD-carboxypeptidase_like', NULL, 'DD-carboxypeptidase_like', NULL, NULL, NULL, 1),
(1409, NULL, 'cd15223', NULL, NULL, '7tmA_OR56-like', NULL, '7tmA_OR56-like', NULL, NULL, NULL, 1),
(1410, NULL, 'cd15445', NULL, NULL, '7tmB1_CRF-R1', NULL, '7tmB1_CRF-R1', NULL, NULL, NULL, 1),
(1411, NULL, 'cd16330', NULL, NULL, 'LolA_VioE', NULL, 'LolA_VioE', NULL, NULL, 12389, 1),
(1412, NULL, 'cd12912', NULL, NULL, 'PDC2_MCP_like', NULL, 'PDC2_MCP_like', NULL, NULL, NULL, 1),
(1413, NULL, 'cd13187', NULL, NULL, 'FERM_C_PTPH13', NULL, 'FERM_C_PTPH13', NULL, NULL, NULL, 1),
(1414, NULL, 'cd20208', NULL, NULL, 'Bbox1_DUF2009', NULL, 'Bbox1_DUF2009', NULL, NULL, NULL, 1),
(1415, NULL, 'cd13378', NULL, NULL, 'PH_RhoGAP2', NULL, 'PH_RhoGAP2', NULL, NULL, NULL, 1),
(1416, NULL, 'cd12423', NULL, NULL, 'RRM3_PTBP1_like', NULL, 'RRM3_PTBP1_like', NULL, NULL, NULL, 1),
(1417, NULL, 'cd13685', NULL, NULL, 'PBP2_iGluR_non_NMDA_like', NULL, 'PBP2_iGluR_non_NMDA_like', NULL, NULL, NULL, 1),
(1418, NULL, 'cd17516', NULL, NULL, 'RMtype1_S_HinAWORF1578P-TRD2-CR2_like', NULL, 'RMtype1_S_HinAWORF1578P-TRD2-CR2_like', NULL, NULL, NULL, 1),
(1419, NULL, 'cd01823', NULL, NULL, 'SEST_like', NULL, 'SEST_like', NULL, NULL, 35578, 1),
(1420, NULL, 'cd12454', NULL, NULL, 'RRM2_RIM4_like', NULL, 'RRM2_RIM4_like', NULL, NULL, NULL, 1),
(1421, NULL, 'cd08886', NULL, NULL, 'RHO_alpha_C_2', NULL, 'RHO_alpha_C_2', NULL, NULL, NULL, 1),
(1422, NULL, 'cd14352', NULL, NULL, 'UBA_DCN1', NULL, 'UBA_DCN1', NULL, NULL, NULL, 1),
(1423, NULL, 'cd11943', NULL, NULL, 'SH3_JIP1', NULL, 'SH3_JIP1', NULL, NULL, 30341, 1),
(1424, NULL, 'cd11935', NULL, NULL, 'SH3_Nebulette_C', NULL, 'SH3_Nebulette_C', NULL, NULL, 36235, 1),
(1425, NULL, 'cd09753', NULL, NULL, 'Cas5_I-A', NULL, 'Cas5_I-A', NULL, NULL, NULL, 1),
(1426, NULL, 'cd18114', NULL, NULL, 'ATP-synt_flagellum-secretory_path_III_C', NULL, 'ATP-synt_flagellum-secretory_path_III_C', NULL, NULL, NULL, 1),
(1427, NULL, 'cd11779', NULL, NULL, 'SH3_Irsp53_BAIAP2L', NULL, 'SH3_Irsp53_BAIAP2L', NULL, NULL, NULL, 1),
(1428, NULL, 'cd08327', NULL, NULL, 'CARD_RAIDD', NULL, 'CARD_RAIDD', NULL, NULL, 39722, 1),
(1429, NULL, 'cd09844', NULL, NULL, 'PLDc_vPLD1_2', NULL, 'PLDc_vPLD1_2', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1430, NULL, 'cd02659', NULL, NULL, 'peptidase_C19C', NULL, 'peptidase_C19C', NULL, NULL, NULL, 1),
(1431, NULL, 'cd04821', NULL, NULL, 'PA_M28_1_2', NULL, 'PA_M28_1_2', NULL, NULL, NULL, 1),
(1432, NULL, 'cd05849', NULL, NULL, 'Ig1_Contactin-1', NULL, 'Ig1_Contactin-1', NULL, NULL, NULL, 1),
(1433, NULL, 'cd07601', NULL, NULL, 'BAR_APPL', NULL, 'BAR_APPL', NULL, NULL, NULL, 1),
(1434, NULL, 'cd11623', NULL, NULL, 'HR1_PKN_2', NULL, 'HR1_PKN_2', NULL, NULL, NULL, 1),
(1435, NULL, 'cd14182', NULL, NULL, 'STKc_PhKG1', NULL, 'STKc_PhKG1', NULL, NULL, NULL, 1),
(1436, NULL, 'cd14670', NULL, NULL, 'BslA_like', NULL, 'BslA_like', NULL, NULL, 5562, 1),
(1437, NULL, 'cd19898', NULL, NULL, 'DSRM_RED1_rpt2', NULL, 'DSRM_RED1_rpt2', NULL, NULL, 37744, 1),
(1438, NULL, 'cd01310', NULL, NULL, 'TatD_DNAse', NULL, 'TatD_DNAse', NULL, NULL, 1537, 1),
(1439, NULL, 'cd15230', NULL, NULL, '7tmA_OR5-like', NULL, '7tmA_OR5-like', NULL, NULL, NULL, 1),
(1440, NULL, 'cd00037', NULL, NULL, 'CLECT', NULL, 'CLECT', NULL, NULL, NULL, 1),
(1441, NULL, 'cd05289', NULL, NULL, 'MDR_like_2', NULL, 'MDR_like_2', NULL, NULL, NULL, 1),
(1442, NULL, 'cd16132', NULL, NULL, 'RA_RASSF10', NULL, 'RA_RASSF10', NULL, NULL, NULL, 1),
(1443, NULL, 'cd05519', NULL, NULL, 'Bromo_SNF2', NULL, 'Bromo_SNF2', NULL, NULL, NULL, 1),
(1444, NULL, 'cd08754', NULL, NULL, 'RGS_LARG', NULL, 'RGS_LARG', NULL, NULL, 34746, 1),
(1445, NULL, 'cd17053', NULL, NULL, 'Ubl2_FAT10', NULL, 'Ubl2_FAT10', NULL, NULL, NULL, 1),
(1446, NULL, 'cd16114', NULL, NULL, 'Ubl_SUMO1', NULL, 'Ubl_SUMO1', NULL, NULL, 39711, 1),
(1447, NULL, 'cd00934', NULL, NULL, 'PTB', NULL, 'PTB', NULL, NULL, NULL, 1),
(1448, NULL, 'cd12474', NULL, NULL, 'RRM2_MSSP2', NULL, 'RRM2_MSSP2', NULL, NULL, NULL, 1),
(1449, NULL, 'cd09867', NULL, NULL, 'PIN_FEN1', NULL, 'PIN_FEN1', NULL, NULL, NULL, 1),
(1450, NULL, 'cd01732', NULL, NULL, 'LSm5', NULL, 'LSm5', NULL, NULL, 31847, 1),
(1451, NULL, 'cd07713', NULL, NULL, 'DHPS-like_MBL-fold', NULL, 'DHPS-like_MBL-fold', NULL, NULL, 32211, 1),
(1452, NULL, 'cd09824', NULL, NULL, 'myeloperoxidase_like', NULL, 'myeloperoxidase_like', NULL, NULL, NULL, 1),
(1453, NULL, 'cd01870', NULL, NULL, 'RhoA_like', NULL, 'RhoA_like', NULL, NULL, NULL, 1),
(1454, NULL, 'cd16948', NULL, NULL, 'HATPase_BceS-YxdK-YvcQ-like', NULL, 'HATPase_BceS-YxdK-YvcQ-like', NULL, NULL, NULL, 1),
(1455, NULL, 'cd00112', NULL, NULL, 'LDLa', NULL, 'LDLa', NULL, NULL, 5122, 1),
(1456, NULL, 'cd09337', NULL, NULL, 'LIM2_Paxillin_like', NULL, 'LIM2_Paxillin_like', NULL, NULL, NULL, 1),
(1457, NULL, 'cd09534', NULL, NULL, 'SAM_Ste11_fungal', NULL, 'SAM_Ste11_fungal', NULL, NULL, NULL, 1),
(1458, NULL, 'cd15959', NULL, NULL, '7tmA_Beta3_AR', NULL, '7tmA_Beta3_AR', NULL, NULL, NULL, 1),
(1459, NULL, 'cd07858', NULL, NULL, 'STKc_TEY_MAPK', NULL, 'STKc_TEY_MAPK', NULL, NULL, NULL, 1),
(1460, NULL, 'cd08487', NULL, NULL, 'PBP2_BlaA', NULL, 'PBP2_BlaA', NULL, NULL, 32235, 1),
(1461, NULL, 'cd15375', NULL, NULL, '7tmA_OXGR1', NULL, '7tmA_OXGR1', NULL, NULL, NULL, 1),
(1462, NULL, 'cd08890', NULL, NULL, 'SRPBCC_PITPNC1_like', NULL, 'SRPBCC_PITPNC1_like', NULL, NULL, NULL, 1),
(1463, NULL, 'cd05503', NULL, NULL, 'Bromo_BAZ2A_B_like', NULL, 'Bromo_BAZ2A_B_like', NULL, NULL, 29629, 1),
(1464, NULL, 'cd00464', NULL, NULL, 'SK', NULL, 'SK', NULL, NULL, 5951, 1),
(1465, NULL, 'cd14385', NULL, NULL, 'UBA1_spUBP14_like', NULL, 'UBA1_spUBP14_like', NULL, NULL, NULL, 1),
(1466, NULL, 'cd16235', NULL, NULL, 'EFh_SPARC_SPARC', NULL, 'EFh_SPARC_SPARC', NULL, NULL, NULL, 1),
(1467, NULL, 'cd02750', NULL, NULL, 'MopB_Nitrate-R-NarG-like', NULL, 'MopB_Nitrate-R-NarG-like', NULL, NULL, NULL, 1),
(1468, NULL, 'cd06900', NULL, NULL, 'lectin_VcfQ', NULL, 'lectin_VcfQ', NULL, NULL, 35621, 1),
(1469, NULL, 'cd16764', NULL, NULL, 'RING-HC_TIF1alpha', NULL, 'RING-HC_TIF1alpha', NULL, NULL, NULL, 1),
(1470, NULL, 'cd03706', NULL, NULL, 'mtEFTU_III', NULL, 'mtEFTU_III', NULL, NULL, NULL, 1),
(1471, NULL, 'cd19456', NULL, NULL, 'lipocalin_NP4', NULL, 'lipocalin_NP4', NULL, NULL, NULL, 1),
(1472, NULL, 'cd17670', NULL, NULL, 'R-PTP-G-2', NULL, 'R-PTP-G-2', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1473, NULL, 'cd11278', NULL, NULL, 'Sema_MET', NULL, 'Sema_MET', NULL, NULL, NULL, 1),
(1474, NULL, 'cd17036', NULL, NULL, 'T3SC_YbjN-like_1', NULL, 'T3SC_YbjN-like_1', NULL, NULL, NULL, 1),
(1475, NULL, 'cd05936', NULL, NULL, 'FC-FACS_FadD_like', NULL, 'FC-FACS_FadD_like', NULL, NULL, NULL, 1),
(1476, NULL, 'cd19203', NULL, NULL, 'SET_SMYD3', NULL, 'SET_SMYD3', NULL, NULL, 37821, 1),
(1477, NULL, 'cd00644', NULL, NULL, 'HMG-CoA_reductase_classII', NULL, 'HMG-CoA_reductase_classII', NULL, NULL, 726, 1),
(1478, NULL, 'cd14092', NULL, NULL, 'STKc_MSK_C', NULL, 'STKc_MSK_C', NULL, NULL, NULL, 1),
(1479, NULL, 'cd20302', NULL, NULL, 'cupin_DAD', NULL, 'cupin_DAD', NULL, NULL, NULL, 1),
(1480, NULL, 'cd07326', NULL, NULL, 'M56_BlaR1_MecR1_like', NULL, 'M56_BlaR1_MecR1_like', NULL, NULL, NULL, 1),
(1481, NULL, 'cd02868', NULL, NULL, 'PseudoU_synth_hTruB2_like', NULL, 'PseudoU_synth_hTruB2_like', NULL, NULL, NULL, 1),
(1482, NULL, 'cd02759', NULL, NULL, 'MopB_Acetylene-hydratase', NULL, 'MopB_Acetylene-hydratase', NULL, NULL, 33433, 1),
(1483, NULL, 'cd05587', NULL, NULL, 'STKc_cPKC', NULL, 'STKc_cPKC', NULL, NULL, NULL, 1),
(1484, NULL, 'cd09121', NULL, NULL, 'PLDc_DNaseII_2', NULL, 'PLDc_DNaseII_2', NULL, NULL, NULL, 1),
(1485, NULL, 'cd16416', NULL, NULL, 'HAD_BsYqeG-like', NULL, 'HAD_BsYqeG-like', NULL, NULL, NULL, 1),
(1486, NULL, 'cd10404', NULL, NULL, 'SH2_STAP2', NULL, 'SH2_STAP2', NULL, NULL, 35996, 1),
(1487, NULL, 'cd12724', NULL, NULL, 'RRM1_CPEB2_like', NULL, 'RRM1_CPEB2_like', NULL, NULL, NULL, 1),
(1488, NULL, 'cd15905', NULL, NULL, '7tmA_GPBAR1', NULL, '7tmA_GPBAR1', NULL, NULL, NULL, 1),
(1489, NULL, 'cd07225', NULL, NULL, 'Pat_PNPLA6_PNPLA7', NULL, 'Pat_PNPLA6_PNPLA7', NULL, NULL, NULL, 1),
(1490, NULL, 'cd12201', NULL, NULL, 'MARK2_C', NULL, 'MARK2_C', NULL, NULL, NULL, 1),
(1491, NULL, 'cd11372', NULL, NULL, 'RNase_PH_RRP46', NULL, 'RNase_PH_RRP46', NULL, NULL, NULL, 1),
(1492, NULL, 'cd08690', NULL, NULL, 'C2_Freud-1', NULL, 'C2_Freud-1', NULL, NULL, 30909, 1),
(1493, NULL, 'cd12552', NULL, NULL, 'RRM_Nop15p', NULL, 'RRM_Nop15p', NULL, NULL, 11782, 1),
(1494, NULL, 'cd05050', NULL, NULL, 'PTKc_Musk', NULL, 'PTKc_Musk', NULL, NULL, NULL, 1),
(1495, NULL, 'cd14743', NULL, NULL, 'PAAR_CT_1', NULL, 'PAAR_CT_1', NULL, NULL, NULL, 1),
(1496, NULL, 'cd15636', NULL, NULL, 'PHD_PYGO2', NULL, 'PHD_PYGO2', NULL, NULL, NULL, 1),
(1497, NULL, 'cd06367', NULL, NULL, 'PBP1_iGluR_NMDA', NULL, 'PBP1_iGluR_NMDA', NULL, NULL, NULL, 1),
(1498, NULL, 'cd10416', NULL, NULL, 'SH2_SH2D2A', NULL, 'SH2_SH2D2A', NULL, NULL, 35036, 1),
(1499, NULL, 'cd16961', NULL, NULL, 'RMtype1_S_TRD-CR_like', NULL, 'RMtype1_S_TRD-CR_like', NULL, NULL, NULL, 1),
(1500, NULL, 'cd18396', NULL, NULL, 'BTB_POZ_KCTD8', NULL, 'BTB_POZ_KCTD8', NULL, NULL, NULL, 1),
(1501, NULL, 'cd07968', NULL, NULL, 'OBF_DNA_ligase_IV', NULL, 'OBF_DNA_ligase_IV', NULL, NULL, NULL, 1),
(1502, NULL, 'cd06127', NULL, NULL, 'DEDDh', NULL, 'DEDDh', NULL, NULL, NULL, 1),
(1503, NULL, 'cd01376', NULL, NULL, 'KISc_KID_like', NULL, 'KISc_KID_like', NULL, NULL, NULL, 1),
(1504, NULL, 'cd01778', NULL, NULL, 'RA_RASSF1_like', NULL, 'RA_RASSF1_like', NULL, NULL, NULL, 1),
(1505, NULL, 'cd13658', NULL, NULL, 'PBP2_CMBP', NULL, 'PBP2_CMBP', NULL, NULL, NULL, 1),
(1506, NULL, 'cd17363', NULL, NULL, 'MFS_SV2', NULL, 'MFS_SV2', NULL, NULL, NULL, 1),
(1507, NULL, 'cd11474', NULL, NULL, 'SLC5sbd_CHT', NULL, 'SLC5sbd_CHT', NULL, NULL, NULL, 1),
(1508, NULL, 'cd19731', NULL, NULL, 'bHLH-PAS_NPAS1_PASD5', NULL, 'bHLH-PAS_NPAS1_PASD5', NULL, NULL, NULL, 1),
(1509, NULL, 'cd01536', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(1510, NULL, 'cd00877', NULL, NULL, 'Ran', NULL, 'Ran', NULL, NULL, NULL, 1),
(1511, NULL, 'cd15662', NULL, NULL, 'ePHD_ATX1_2_like', NULL, 'ePHD_ATX1_2_like', NULL, NULL, 32376, 1),
(1512, NULL, 'cd06221', NULL, NULL, 'sulfite_reductase_like', NULL, 'sulfite_reductase_like', NULL, NULL, NULL, 1),
(1513, NULL, 'cd17973', NULL, NULL, 'DEXHc_DHX15', NULL, 'DEXHc_DHX15', NULL, NULL, 36630, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1514, NULL, 'cd09602', NULL, NULL, 'M1_APN', NULL, 'M1_APN', NULL, NULL, NULL, 1),
(1515, NULL, 'cd16396', NULL, NULL, 'Noc_N', NULL, 'Noc_N', NULL, NULL, NULL, 1),
(1516, NULL, 'cd03709', NULL, NULL, 'lepA_C', NULL, 'lepA_C', NULL, NULL, 35215, 1),
(1517, NULL, 'cd01493', NULL, NULL, 'APPBP1_RUB', NULL, 'APPBP1_RUB', NULL, NULL, NULL, 1),
(1518, NULL, 'cd14037', NULL, NULL, 'STKc_NAK_like', NULL, 'STKc_NAK_like', NULL, NULL, NULL, 1),
(1519, NULL, 'cd14146', NULL, NULL, 'STKc_MLK4', NULL, 'STKc_MLK4', NULL, NULL, NULL, 1),
(1520, NULL, 'cd14329', NULL, NULL, 'UBA_SWA2p_like', NULL, 'UBA_SWA2p_like', NULL, NULL, 10960, 1),
(1521, NULL, 'cd09160', NULL, NULL, 'PLDc_SMU_988_like_2', NULL, 'PLDc_SMU_988_like_2', NULL, NULL, NULL, 1),
(1522, NULL, 'cd17127', NULL, NULL, 'Ubl_TBK1', NULL, 'Ubl_TBK1', NULL, NULL, NULL, 1),
(1523, NULL, 'cd18765', NULL, NULL, 'PIN_MtVapC3-like', NULL, 'PIN_MtVapC3-like', NULL, NULL, NULL, 1),
(1524, NULL, 'cd05240', NULL, NULL, 'UDP_G4E_3_SDR_e', NULL, 'UDP_G4E_3_SDR_e', NULL, NULL, NULL, 1),
(1525, NULL, 'cd16611', NULL, NULL, 'RING-HC_TRIM69_C-IV', NULL, 'RING-HC_TRIM69_C-IV', NULL, NULL, NULL, 1),
(1526, NULL, 'cd07031', NULL, NULL, 'RNAP_II_RPB3', NULL, 'RNAP_II_RPB3', NULL, NULL, NULL, 1),
(1527, NULL, 'cd12239', NULL, NULL, 'RRM2_RBM40_like', NULL, 'RRM2_RBM40_like', NULL, NULL, NULL, 1),
(1528, NULL, 'cd21590', NULL, NULL, 'deltaCoV_RdRp', NULL, 'deltaCoV_RdRp', NULL, NULL, 36850, 1),
(1529, NULL, 'cd18083', NULL, NULL, 'aTrm56-like', NULL, 'aTrm56-like', NULL, NULL, NULL, 1),
(1530, NULL, 'cd00927', NULL, NULL, 'Cyt_c_Oxidase_VIc', NULL, 'Cyt_c_Oxidase_VIc', NULL, NULL, 3577, 1),
(1531, NULL, 'cd12436', NULL, NULL, 'RRM1_2_MATR3_like', NULL, 'RRM1_2_MATR3_like', NULL, NULL, NULL, 1),
(1532, NULL, 'cd07410', NULL, NULL, 'MPP_CpdB_N', NULL, 'MPP_CpdB_N', NULL, NULL, 32848, 1),
(1533, NULL, 'cd11745', NULL, NULL, 'Yos9_DD', NULL, 'Yos9_DD', NULL, NULL, NULL, 1),
(1534, NULL, 'cd18286', NULL, NULL, 'BTB2_POZ_BTBD8', NULL, 'BTB2_POZ_BTBD8', NULL, NULL, NULL, 1),
(1535, NULL, 'cd07563', NULL, NULL, 'Peptidase_S41_IRBP', NULL, 'Peptidase_S41_IRBP', NULL, NULL, NULL, 1),
(1536, NULL, 'cd15521', NULL, NULL, 'PHD_VIN3_plant', NULL, 'PHD_VIN3_plant', NULL, NULL, NULL, 1),
(1537, NULL, 'cd18175', NULL, NULL, 'ATP-synt_Vo_c_ATP6C_rpt1', NULL, 'ATP-synt_Vo_c_ATP6C_rpt1', NULL, NULL, NULL, 1),
(1538, NULL, 'cd09848', NULL, NULL, 'M28_TfR', NULL, 'M28_TfR', NULL, NULL, NULL, 1),
(1539, NULL, 'cd01668', NULL, NULL, 'TGS_RSH', NULL, 'TGS_RSH', NULL, NULL, 33185, 1),
(1540, NULL, 'cd04086', NULL, NULL, 'CBM35_mannanase-like', NULL, 'CBM35_mannanase-like', NULL, NULL, NULL, 1),
(1541, NULL, 'cd07030', NULL, NULL, 'RNAP_D', NULL, 'RNAP_D', NULL, NULL, NULL, 1),
(1542, NULL, 'cd01057', NULL, NULL, 'AAMH_A', NULL, 'AAMH_A', NULL, NULL, NULL, 1),
(1543, NULL, 'cd01744', NULL, NULL, 'GATase1_CPSase', NULL, 'GATase1_CPSase', NULL, NULL, 33730, 1),
(1544, NULL, 'cd03196', NULL, NULL, 'GST_C_5', NULL, 'GST_C_5', NULL, NULL, NULL, 1),
(1545, NULL, 'cd13704', NULL, NULL, 'PBP2_HisK', NULL, 'PBP2_HisK', NULL, NULL, NULL, 1),
(1546, NULL, 'cd05100', NULL, NULL, 'PTKc_FGFR3', NULL, 'PTKc_FGFR3', NULL, NULL, NULL, 1),
(1547, NULL, 'cd08412', NULL, NULL, 'PBP2_PAO1_like', NULL, 'PBP2_PAO1_like', NULL, NULL, NULL, 1),
(1548, NULL, 'cd19736', NULL, NULL, 'bHLH-PAS_PASD1', NULL, 'bHLH-PAS_PASD1', NULL, NULL, NULL, 1),
(1549, NULL, 'cd15300', NULL, NULL, '7tmA_mAChR_M5', NULL, '7tmA_mAChR_M5', NULL, NULL, NULL, 1),
(1550, NULL, 'cd18041', NULL, NULL, 'DEXXQc_DNA2', NULL, 'DEXXQc_DNA2', NULL, NULL, NULL, 1),
(1551, NULL, 'cd04757', NULL, NULL, 'Commd9', NULL, 'Commd9', NULL, NULL, NULL, 1),
(1552, NULL, 'cd08296', NULL, NULL, 'CAD_like', NULL, 'CAD_like', NULL, NULL, NULL, 1),
(1553, NULL, 'cd16302', NULL, NULL, 'CcrA-like_MBL-B1', NULL, 'CcrA-like_MBL-B1', NULL, NULL, NULL, 1),
(1554, NULL, 'cd03142', NULL, NULL, 'GATase1_ThuA', NULL, 'GATase1_ThuA', NULL, NULL, NULL, 1),
(1555, NULL, 'cd19044', NULL, NULL, 'LGIC_ECD_GABAAR_G2', NULL, 'LGIC_ECD_GABAAR_G2', NULL, NULL, NULL, 1),
(1556, NULL, 'cd00827', NULL, NULL, 'init_cond_enzymes', NULL, 'init_cond_enzymes', NULL, NULL, NULL, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1557, NULL, 'cd09911', NULL, NULL, 'Lin0431_like', NULL, 'Lin0431_like', NULL, NULL, NULL, 1),
(1558, NULL, 'cd19539', NULL, NULL, 'SgcC5_NRPS-like', NULL, 'SgcC5_NRPS-like', NULL, NULL, NULL, 1),
(1559, NULL, 'cd00656', NULL, NULL, 'Zn-ribbon', NULL, 'Zn-ribbon', NULL, NULL, NULL, 1),
(1560, NULL, 'cd08261', NULL, NULL, 'Zn_ADH7', NULL, 'Zn_ADH7', NULL, NULL, NULL, 1),
(1561, NULL, 'cd01943', NULL, NULL, 'MAK32', NULL, 'MAK32', NULL, NULL, 11349, 1),
(1562, NULL, 'cd00091', NULL, NULL, 'NUC', NULL, 'NUC', NULL, NULL, NULL, 1),
(1563, NULL, 'cd08391', NULL, NULL, 'C2A_C2C_Synaptotagmin_like', NULL, 'C2A_C2C_Synaptotagmin_like', NULL, NULL, 35703, 1),
(1564, NULL, 'cd15498', NULL, NULL, 'PHD2_Snt2p_like', NULL, 'PHD2_Snt2p_like', NULL, NULL, NULL, 1),
(1565, NULL, 'cd12737', NULL, NULL, 'RRM1_ESRP2', NULL, 'RRM1_ESRP2', NULL, NULL, NULL, 1),
(1566, NULL, 'cd07562', NULL, NULL, 'Peptidase_S41_TRI', NULL, 'Peptidase_S41_TRI', NULL, NULL, NULL, 1),
(1567, NULL, 'cd12018', NULL, NULL, 'SH3_Tks4_4', NULL, 'SH3_Tks4_4', NULL, NULL, 16514, 1),
(1568, NULL, 'cd19073', NULL, NULL, 'AKR_AKR3F2_3', NULL, 'AKR_AKR3F2_3', NULL, NULL, NULL, 1),
(1569, NULL, 'cd00870', NULL, NULL, 'PI3Ka_III', NULL, 'PI3Ka_III', NULL, NULL, NULL, 1),
(1570, NULL, 'cd06951', NULL, NULL, 'NR_LBD_Dax1_like', NULL, 'NR_LBD_Dax1_like', NULL, NULL, NULL, 1),
(1571, NULL, 'cd15751', NULL, NULL, 'FYVE_BSN_PCLO', NULL, 'FYVE_BSN_PCLO', NULL, NULL, NULL, 1),
(1572, NULL, 'cd04145', NULL, NULL, 'M_R_Ras_like', NULL, 'M_R_Ras_like', NULL, NULL, NULL, 1),
(1573, NULL, 'cd17112', NULL, NULL, 'RA_MRL_like', NULL, 'RA_MRL_like', NULL, NULL, NULL, 1),
(1574, NULL, 'cd18277', NULL, NULL, 'BTB_POZ_BACH1', NULL, 'BTB_POZ_BACH1', NULL, NULL, NULL, 1),
(1575, NULL, 'cd02897', NULL, NULL, 'A2M_2', NULL, 'A2M_2', NULL, NULL, 33190, 1),
(1576, NULL, 'cd12641', NULL, NULL, 'RRM_TRA2B', NULL, 'RRM_TRA2B', NULL, NULL, NULL, 1),
(1577, NULL, 'cd15144', NULL, NULL, '7tmA_PGE2_EP1', NULL, '7tmA_PGE2_EP1', NULL, NULL, NULL, 1),
(1578, NULL, 'cd01148', NULL, NULL, 'TroA_a', NULL, 'TroA_a', NULL, NULL, NULL, 1),
(1579, NULL, 'cd06201', NULL, NULL, 'SiR_like2', NULL, 'SiR_like2', NULL, NULL, NULL, 1),
(1580, NULL, 'cd02193', NULL, NULL, 'PurL', NULL, 'PurL', NULL, NULL, NULL, 1),
(1581, NULL, 'cd14044', NULL, NULL, 'PK_GC-C', NULL, 'PK_GC-C', NULL, NULL, 37956, 1),
(1582, NULL, 'cd12266', NULL, NULL, 'RRM_like_XS', NULL, 'RRM_like_XS', NULL, NULL, 6431, 1),
(1583, NULL, 'cd07883', NULL, NULL, 'RHD-n_NFkB', NULL, 'RHD-n_NFkB', NULL, NULL, NULL, 1),
(1584, NULL, 'cd09119', NULL, NULL, 'PLDc_FAM83_N', NULL, 'PLDc_FAM83_N', NULL, NULL, NULL, 1),
(1585, NULL, 'cd01382', NULL, NULL, 'MYSc_Myo6', NULL, 'MYSc_Myo6', NULL, NULL, 35871, 1),
(1586, NULL, 'cd01268', NULL, NULL, 'PTB_Numb', NULL, 'PTB_Numb', NULL, NULL, NULL, 1),
(1587, NULL, 'cd04215', NULL, NULL, 'Nitrosocyanin', NULL, 'Nitrosocyanin', NULL, NULL, 15016, 1),
(1588, NULL, 'cd09126', NULL, NULL, 'PLDc_C_DEXD_like', NULL, 'PLDc_C_DEXD_like', NULL, NULL, NULL, 1),
(1589, NULL, 'cd05882', NULL, NULL, 'Ig1_Necl-1', NULL, 'Ig1_Necl-1', NULL, NULL, NULL, 1),
(1590, NULL, 'cd14403', NULL, NULL, 'UBA_AID_AAPK1', NULL, 'UBA_AID_AAPK1', NULL, NULL, 25363, 1),
(1591, NULL, 'cd03767', NULL, NULL, 'SR_Res_par', NULL, 'SR_Res_par', NULL, NULL, NULL, 1),
(1592, NULL, 'cd11573', NULL, NULL, 'GH99_GH71_like', NULL, 'GH99_GH71_like', NULL, NULL, NULL, 1),
(1593, NULL, 'cd14342', NULL, NULL, 'UBA_TAP-C', NULL, 'UBA_TAP-C', NULL, NULL, 2975, 1),
(1594, NULL, 'cd21523', NULL, NULL, 'SUD_C_MERS-CoV_Nsp3', NULL, 'SUD_C_MERS-CoV_Nsp3', NULL, NULL, 39098, 1),
(1595, NULL, 'cd05513', NULL, NULL, 'Bromo_brd7_like', NULL, 'Bromo_brd7_like', NULL, NULL, NULL, 1),
(1596, NULL, 'cd06278', NULL, NULL, 'PBP1_LacI-like', NULL, 'PBP1_LacI-like', NULL, NULL, NULL, 1),
(1597, NULL, 'cd12640', NULL, NULL, 'RRM3_Bruno_like', NULL, 'RRM3_Bruno_like', NULL, NULL, NULL, 1),
(1598, NULL, 'cd04490', NULL, NULL, 'PolII_SU_OBF', NULL, 'PolII_SU_OBF', NULL, NULL, NULL, 1),
(1599, NULL, 'cd15524', NULL, NULL, 'PHD_PHF21B', NULL, 'PHD_PHF21B', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1600, NULL, 'cd13238', NULL, NULL, 'PH2_FGD4_insect-like', NULL, 'PH2_FGD4_insect-like', NULL, NULL, NULL, 1),
(1601, NULL, 'cd11331', NULL, NULL, 'AmyAc_OligoGlu_like', NULL, 'AmyAc_OligoGlu_like', NULL, NULL, NULL, 1),
(1602, NULL, 'cd03363', NULL, NULL, 'TOPRIM_TopoIA_TopoI', NULL, 'TOPRIM_TopoIA_TopoI', NULL, NULL, 26835, 1),
(1603, NULL, 'cd06848', NULL, NULL, 'GCS_H', NULL, 'GCS_H', NULL, NULL, 33952, 1),
(1604, NULL, 'cd07649', NULL, NULL, 'F-BAR_GAS7', NULL, 'F-BAR_GAS7', NULL, NULL, 30662, 1),
(1605, NULL, 'cd17589', NULL, NULL, 'REC_TPR', NULL, 'REC_TPR', NULL, NULL, NULL, 1),
(1606, NULL, 'cd04279', NULL, NULL, 'ZnMc_MMP_like_1', NULL, 'ZnMc_MMP_like_1', NULL, NULL, NULL, 1),
(1607, NULL, 'cd14811', NULL, NULL, 'bZIP_u2', NULL, 'bZIP_u2', NULL, NULL, NULL, 1),
(1608, NULL, 'cd02024', NULL, NULL, 'NRK1', NULL, 'NRK1', NULL, NULL, NULL, 1),
(1609, NULL, 'cd12806', NULL, NULL, 'Esterase_713_like', NULL, 'Esterase_713_like', NULL, NULL, NULL, 1),
(1610, NULL, 'cd16751', NULL, NULL, 'RING-HC_SIAH1', NULL, 'RING-HC_SIAH1', NULL, NULL, NULL, 1),
(1611, NULL, 'cd09519', NULL, NULL, 'SAM_ANKS3', NULL, 'SAM_ANKS3', NULL, NULL, NULL, 1),
(1612, NULL, 'cd02340', NULL, NULL, 'ZZ_NBR1_like', NULL, 'ZZ_NBR1_like', NULL, NULL, NULL, 1),
(1613, NULL, 'cd04727', NULL, NULL, 'pdxS', NULL, 'pdxS', NULL, NULL, 4280, 1),
(1614, NULL, 'cd08170', NULL, NULL, 'GlyDH', NULL, 'GlyDH', NULL, NULL, NULL, 1),
(1615, NULL, 'cd07131', NULL, NULL, 'ALDH_AldH-CAJ73105', NULL, 'ALDH_AldH-CAJ73105', NULL, NULL, NULL, 1),
(1616, NULL, 'cd12659', NULL, NULL, 'RRM2_hnRNPM', NULL, 'RRM2_hnRNPM', NULL, NULL, NULL, 1),
(1617, NULL, 'cd10523', NULL, NULL, 'SET_SETDB2', NULL, 'SET_SETDB2', NULL, NULL, NULL, 1),
(1618, NULL, 'cd14051', NULL, NULL, 'PTKc_Wee1', NULL, 'PTKc_Wee1', NULL, NULL, NULL, 1),
(1619, NULL, 'cd21645', NULL, NULL, 'MERS-CoV-like_ORF5', NULL, 'MERS-CoV-like_ORF5', NULL, NULL, 38541, 1),
(1620, NULL, 'cd19116', NULL, NULL, 'AKR_AKR2E1-5', NULL, 'AKR_AKR2E1-5', NULL, NULL, 37350, 1),
(1621, NULL, 'cd18329', NULL, NULL, 'BTB_POZ_ZBTB8A_BOZF1', NULL, 'BTB_POZ_ZBTB8A_BOZF1', NULL, NULL, NULL, 1),
(1622, NULL, 'cd05372', NULL, NULL, 'ENR_SDR', NULL, 'ENR_SDR', NULL, NULL, 11578, 1),
(1623, NULL, 'cd04223', NULL, NULL, 'N2OR_C', NULL, 'N2OR_C', NULL, NULL, 7362, 1),
(1624, NULL, 'cd12580', NULL, NULL, 'RRM2_hnRNPA1', NULL, 'RRM2_hnRNPA1', NULL, NULL, 35299, 1),
(1625, NULL, 'cd15093', NULL, NULL, '7tmA_SSTR', NULL, '7tmA_SSTR', NULL, NULL, NULL, 1),
(1626, NULL, 'cd05119', NULL, NULL, 'RIO', NULL, 'RIO', NULL, NULL, NULL, 1),
(1627, NULL, 'cd13885', NULL, NULL, 'CuRO_2_CumA_like', NULL, 'CuRO_2_CumA_like', NULL, NULL, NULL, 1),
(1628, NULL, 'cd11762', NULL, NULL, 'SH3_FCHSD_2', NULL, 'SH3_FCHSD_2', NULL, NULL, NULL, 1),
(1629, NULL, 'cd01276', NULL, NULL, 'PKCI_related', NULL, 'PKCI_related', NULL, NULL, NULL, 1),
(1630, NULL, 'cd19852', NULL, NULL, 'FABP_pancrustacea', NULL, 'FABP_pancrustacea', NULL, NULL, NULL, 1),
(1631, NULL, 'cd05062', NULL, NULL, 'PTKc_IGF-1R', NULL, 'PTKc_IGF-1R', NULL, NULL, NULL, 1),
(1632, NULL, 'cd02510', NULL, NULL, 'pp-GalNAc-T', NULL, 'pp-GalNAc-T', NULL, NULL, 36858, 1),
(1633, NULL, 'cd11545', NULL, NULL, 'NTP-PPase_YP_001813558', NULL, 'NTP-PPase_YP_001813558', NULL, NULL, NULL, 1),
(1634, NULL, 'cd14239', NULL, NULL, 'GAT_GGA1_GGA2', NULL, 'GAT_GGA1_GGA2', NULL, NULL, NULL, 1),
(1635, NULL, 'cd12730', NULL, NULL, 'RRM1_GRSF1', NULL, 'RRM1_GRSF1', NULL, NULL, 13462, 1),
(1636, NULL, 'cd21482', NULL, NULL, 'HKU1_N5-like_CoV_Spike_S1_RBD', NULL, 'HKU1_N5-like_CoV_Spike_S1_RBD', NULL, NULL, 38748, 1),
(1637, NULL, 'cd04333', NULL, NULL, 'ProX_deacylase', NULL, 'ProX_deacylase', NULL, NULL, NULL, 1),
(1638, NULL, 'cd02421', NULL, NULL, 'Peptidase_C39_likeD', NULL, 'Peptidase_C39_likeD', NULL, NULL, NULL, 1),
(1639, NULL, 'cd12501', NULL, NULL, 'RRM_EcDbpA_like', NULL, 'RRM_EcDbpA_like', NULL, NULL, NULL, 1),
(1640, NULL, 'cd15210', NULL, NULL, '7tmA_GPR84-like', NULL, '7tmA_GPR84-like', NULL, NULL, NULL, 1),
(1641, NULL, 'cd18045', NULL, NULL, 'DEADc_EIF4AIII_DDX48', NULL, 'DEADc_EIF4AIII_DDX48', NULL, NULL, NULL, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1642, NULL, 'cd09522', NULL, NULL, 'SAM_SLP76', NULL, 'SAM_SLP76', NULL, NULL, NULL, 1),
(1643, NULL, 'cd04649', NULL, NULL, 'LbH_THP_succinylT_putative', NULL, 'LbH_THP_succinylT_putative', NULL, NULL, NULL, 1),
(1644, NULL, 'cd16357', NULL, NULL, 'GLOD4_C', NULL, 'GLOD4_C', NULL, NULL, 37112, 1),
(1645, NULL, 'cd15196', NULL, NULL, '7tmA_Vasopressin_Oxytocin', NULL, '7tmA_Vasopressin_Oxytocin', NULL, NULL, NULL, 1),
(1646, NULL, 'cd06391', NULL, NULL, 'PBP1_iGluR_delta_2', NULL, 'PBP1_iGluR_delta_2', NULL, NULL, NULL, 1),
(1647, NULL, 'cd18987', NULL, NULL, 'LGIC_ECD_anion', NULL, 'LGIC_ECD_anion', NULL, NULL, NULL, 1),
(1648, NULL, 'cd09715', NULL, NULL, 'Csp2_I-U', NULL, 'Csp2_I-U', NULL, NULL, NULL, 1),
(1649, NULL, 'cd02619', NULL, NULL, 'Peptidase_C1', NULL, 'Peptidase_C1', NULL, NULL, NULL, 1),
(1650, NULL, 'cd12080', NULL, NULL, 'SH3_MPP1', NULL, 'SH3_MPP1', NULL, NULL, 15659, 1),
(1651, NULL, 'cd09291', NULL, NULL, 'Photo-RC_M', NULL, 'Photo-RC_M', NULL, NULL, 5703, 1),
(1652, NULL, 'cd18119', NULL, NULL, 'ATP-synt_V_A-type_alpha_N', NULL, 'ATP-synt_V_A-type_alpha_N', NULL, NULL, NULL, 1),
(1653, NULL, 'cd06986', NULL, NULL, 'cupin_MmsR-like_N', NULL, 'cupin_MmsR-like_N', NULL, NULL, NULL, 1),
(1654, NULL, 'cd18895', NULL, NULL, 'TET1', NULL, 'TET1', NULL, NULL, NULL, 1),
(1655, NULL, 'cd03510', NULL, NULL, 'Rhizobitoxine-FADS-like', NULL, 'Rhizobitoxine-FADS-like', NULL, NULL, NULL, 1),
(1656, NULL, 'cd13985', NULL, NULL, 'STKc_GAK_like', NULL, 'STKc_GAK_like', NULL, NULL, NULL, 1),
(1657, NULL, 'cd02974', NULL, NULL, 'AhpF_NTD_N', NULL, 'AhpF_NTD_N', NULL, NULL, 37985, 1),
(1658, NULL, 'cd14633', NULL, NULL, 'R-PTPc-M-1', NULL, 'R-PTPc-M-1', NULL, NULL, 40001, 1),
(1659, NULL, 'cd07379', NULL, NULL, 'MPP_239FB', NULL, 'MPP_239FB', NULL, NULL, NULL, 1),
(1660, NULL, 'cd06354', NULL, NULL, 'PBP1_PrnA-like', NULL, 'PBP1_PrnA-like', NULL, NULL, NULL, 1),
(1661, NULL, 'cd03082', NULL, NULL, 'TRX_Fd_NuoE_W_FDH_beta', NULL, 'TRX_Fd_NuoE_W_FDH_beta', NULL, NULL, NULL, 1),
(1662, NULL, 'cd07051', NULL, NULL, 'BMC_like_1_repeat1', NULL, 'BMC_like_1_repeat1', NULL, NULL, NULL, 1),
(1663, NULL, 'cd03469', NULL, NULL, 'Rieske_RO_Alpha_N', NULL, 'Rieske_RO_Alpha_N', NULL, NULL, NULL, 1),
(1664, NULL, 'cd14733', NULL, NULL, 'BACK', NULL, 'BACK', NULL, NULL, NULL, 1),
(1665, NULL, 'cd03311', NULL, NULL, 'CIMS_C_terminal_like', NULL, 'CIMS_C_terminal_like', NULL, NULL, 2925, 1),
(1666, NULL, 'cd01540', NULL, NULL, 'PBP1_arabinose_binding', NULL, 'PBP1_arabinose_binding', NULL, NULL, 23686, 1),
(1667, NULL, 'cd13766', NULL, NULL, 'TGF_beta_GDF5_6_7', NULL, 'TGF_beta_GDF5_6_7', NULL, NULL, NULL, 1),
(1668, NULL, 'cd01776', NULL, NULL, 'RA_Rin', NULL, 'RA_Rin', NULL, NULL, NULL, 1),
(1669, NULL, 'cd10321', NULL, NULL, 'RNase_Ire1_like', NULL, 'RNase_Ire1_like', NULL, NULL, NULL, 1),
(1670, NULL, 'cd14550', NULL, NULL, 'R5-PTP-2', NULL, 'R5-PTP-2', NULL, NULL, NULL, 1),
(1671, NULL, 'cd15152', NULL, NULL, '7tmA_GPR174-like', NULL, '7tmA_GPR174-like', NULL, NULL, NULL, 1),
(1672, NULL, 'cd01328', NULL, NULL, 'FSL_SPARC', NULL, 'FSL_SPARC', NULL, NULL, NULL, 1),
(1673, NULL, 'cd17069', NULL, NULL, 'DCX2', NULL, 'DCX2', NULL, NULL, NULL, 1),
(1674, NULL, 'cd00912', NULL, NULL, 'ML', NULL, 'ML', NULL, NULL, NULL, 1),
(1675, NULL, 'cd09610', NULL, NULL, 'M3B_PepF', NULL, 'M3B_PepF', NULL, NULL, NULL, 1),
(1676, NULL, 'cd17324', NULL, NULL, 'MFS_NepI_like', NULL, 'MFS_NepI_like', NULL, NULL, NULL, 1),
(1677, NULL, 'cd07123', NULL, NULL, 'ALDH_F4-17_P5CDH', NULL, 'ALDH_F4-17_P5CDH', NULL, NULL, 34, 1),
(1678, NULL, 'cd14815', NULL, NULL, 'BA_2398_like', NULL, 'BA_2398_like', NULL, NULL, 32586, 1),
(1679, NULL, 'cd05293', NULL, NULL, 'LDH_1', NULL, 'LDH_1', NULL, NULL, NULL, 1),
(1680, NULL, 'cd07472', NULL, NULL, 'HmuY_like', NULL, 'HmuY_like', NULL, NULL, NULL, 1),
(1681, NULL, 'cd18658', NULL, NULL, 'CSD_HP1a_insect', NULL, 'CSD_HP1a_insect', NULL, NULL, NULL, 1),
(1682, NULL, 'cd01903', NULL, NULL, 'Ntn_AC_NAAA', NULL, 'Ntn_AC_NAAA', NULL, NULL, NULL, 1),
(1683, NULL, 'cd14049', NULL, NULL, 'STKc_EIF2AK1_HRI', NULL, 'STKc_EIF2AK1_HRI', NULL, NULL, NULL, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1684, NULL, 'cd19929', NULL, NULL, 'psREC_Atg32', NULL, 'psREC_Atg32', NULL, NULL, NULL, 1),
(1685, NULL, 'cd03077', NULL, NULL, 'GST_N_Alpha', NULL, 'GST_N_Alpha', NULL, NULL, NULL, 1),
(1686, NULL, 'cd19142', NULL, NULL, 'AKR_AKR6B1', NULL, 'AKR_AKR6B1', NULL, NULL, NULL, 1),
(1687, NULL, 'cd05588', NULL, NULL, 'STKc_aPKC', NULL, 'STKc_aPKC', NULL, NULL, 30824, 1),
(1688, NULL, 'cd15880', NULL, NULL, 'SNARE_syntaxin1', NULL, 'SNARE_syntaxin1', NULL, NULL, NULL, 1),
(1689, NULL, 'cd08399', NULL, NULL, 'C2_PI3K_class_I_gamma', NULL, 'C2_PI3K_class_I_gamma', NULL, NULL, NULL, 1),
(1690, NULL, 'cd01051', NULL, NULL, 'Mn_catalase', NULL, 'Mn_catalase', NULL, NULL, 30369, 1),
(1691, NULL, 'cd18057', NULL, NULL, 'DEXHc_CHD5', NULL, 'DEXHc_CHD5', NULL, NULL, NULL, 1),
(1692, NULL, 'cd18421', NULL, NULL, 'BTB_POZ_KCNG1_2', NULL, 'BTB_POZ_KCNG1_2', NULL, NULL, NULL, 1),
(1693, NULL, 'cd07074', NULL, NULL, 'NR_LBD_PR', NULL, 'NR_LBD_PR', NULL, NULL, NULL, 1),
(1694, NULL, 'cd09442', NULL, NULL, 'LIM_Eplin_like', NULL, 'LIM_Eplin_like', NULL, NULL, NULL, 1),
(1695, NULL, 'cd16353', NULL, NULL, 'CheC_CheX_FliY', NULL, 'CheC_CheX_FliY', NULL, NULL, NULL, 1),
(1696, NULL, 'cd09252', NULL, NULL, 'AP-3_Mu3_Cterm', NULL, 'AP-3_Mu3_Cterm', NULL, NULL, NULL, 1),
(1697, NULL, 'cd12049', NULL, NULL, 'SH3_DOCK4_B', NULL, 'SH3_DOCK4_B', NULL, NULL, 34481, 1),
(1698, NULL, 'cd03715', NULL, NULL, 'RT_ZFREV_like', NULL, 'RT_ZFREV_like', NULL, NULL, NULL, 1),
(1699, NULL, 'cd04449', NULL, NULL, 'DEP_DEPDC5-like', NULL, 'DEP_DEPDC5-like', NULL, NULL, NULL, 1),
(1700, NULL, 'cd09980', NULL, NULL, 'LOTUS_4_Limkain_b1', NULL, 'LOTUS_4_Limkain_b1', NULL, NULL, NULL, 1),
(1701, NULL, 'cd15610', NULL, NULL, 'PHD3_KDM5A_like', NULL, 'PHD3_KDM5A_like', NULL, NULL, NULL, 1),
(1702, NULL, 'cd17061', NULL, NULL, 'Ubl_IQUB', NULL, 'Ubl_IQUB', NULL, NULL, NULL, 1),
(1703, NULL, 'cd11533', NULL, NULL, 'NTP-PPase_Af0060_like', NULL, 'NTP-PPase_Af0060_like', NULL, NULL, 37939, 1),
(1704, NULL, 'cd18223', NULL, NULL, 'BTB_POZ_ZBTB38_CIBZ', NULL, 'BTB_POZ_ZBTB38_CIBZ', NULL, NULL, NULL, 1),
(1705, NULL, 'cd14094', NULL, NULL, 'STKc_CASK', NULL, 'STKc_CASK', NULL, NULL, NULL, 1),
(1706, NULL, 'cd08613', NULL, NULL, 'GDPD_GDE4_like_1', NULL, 'GDPD_GDE4_like_1', NULL, NULL, NULL, 1),
(1707, NULL, 'cd02006', NULL, NULL, 'TPP_Gcl', NULL, 'TPP_Gcl', NULL, NULL, NULL, 1),
(1708, NULL, 'cd08877', NULL, NULL, 'START_2', NULL, 'START_2', NULL, NULL, NULL, 1),
(1709, NULL, 'cd04435', NULL, NULL, 'DEP_fRom2', NULL, 'DEP_fRom2', NULL, NULL, NULL, 1),
(1710, NULL, 'cd10232', NULL, NULL, 'ScSsz1p_like_NBD', NULL, 'ScSsz1p_like_NBD', NULL, NULL, NULL, 1),
(1711, NULL, 'cd03585', NULL, NULL, 'NTR_TIMP', NULL, 'NTR_TIMP', NULL, NULL, NULL, 1),
(1712, NULL, 'cd15770', NULL, NULL, 'FYVE_CARP2', NULL, 'FYVE_CARP2', NULL, NULL, NULL, 1),
(1713, NULL, 'cd19081', NULL, NULL, 'AKR_AKR9C1', NULL, 'AKR_AKR9C1', NULL, NULL, NULL, 1),
(1714, NULL, 'cd11790', NULL, NULL, 'SH3_Amphiphysin', NULL, 'SH3_Amphiphysin', NULL, NULL, NULL, 1),
(1715, NULL, 'cd14095', NULL, NULL, 'STKc_DCKL', NULL, 'STKc_DCKL', NULL, NULL, NULL, 1),
(1716, NULL, 'cd09458', NULL, NULL, 'LIM3_Enigma', NULL, 'LIM3_Enigma', NULL, NULL, NULL, 1),
(1717, NULL, 'cd05238', NULL, NULL, 'Gne_like_SDR_e', NULL, 'Gne_like_SDR_e', NULL, NULL, NULL, 1),
(1718, NULL, 'cd17055', NULL, NULL, 'Ubl_AtNPL4_like', NULL, 'Ubl_AtNPL4_like', NULL, NULL, NULL, 1),
(1719, NULL, 'cd01186', NULL, NULL, 'INT_tnpA_C_Tn554', NULL, 'INT_tnpA_C_Tn554', NULL, NULL, 39335, 1),
(1720, NULL, 'cd06180', NULL, NULL, 'MFS_YjiJ', NULL, 'MFS_YjiJ', NULL, NULL, NULL, 1),
(1721, NULL, 'cd14868', NULL, NULL, 'uS7_Mitochondria_Fungi', NULL, 'uS7_Mitochondria_Fungi', NULL, NULL, NULL, 1),
(1722, NULL, 'cd21595', NULL, NULL, 'CoV_N-CTD', NULL, 'CoV_N-CTD', NULL, NULL, 36687, 1),
(1723, NULL, 'cd09520', NULL, NULL, 'SAM_BICC1', NULL, 'SAM_BICC1', NULL, NULL, 34533, 1),
(1724, NULL, 'cd03320', NULL, NULL, 'OSBS', NULL, 'OSBS', NULL, NULL, NULL, 1),
(1725, NULL, 'cd16624', NULL, NULL, 'RING-HC_RBR_CUL9', NULL, 'RING-HC_RBR_CUL9', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1726, NULL, 'cd01007', NULL, NULL, 'PBP2_BvgS_HisK_like', NULL, 'PBP2_BvgS_HisK_like', NULL, NULL, NULL, 1),
(1727, NULL, 'cd00005', NULL, NULL, 'CBM9_like_1', NULL, 'CBM9_like_1', NULL, NULL, NULL, 1),
(1728, NULL, 'cd07432', NULL, NULL, 'PHP_HisPPase', NULL, 'PHP_HisPPase', NULL, NULL, NULL, 1),
(1729, NULL, 'cd01926', NULL, NULL, 'cyclophilin_ABH_like', NULL, 'cyclophilin_ABH_like', NULL, NULL, NULL, 1),
(1730, NULL, 'cd08875', NULL, NULL, 'START_ArGLABRA2_like', NULL, 'START_ArGLABRA2_like', NULL, NULL, NULL, 1),
(1731, NULL, 'cd07114', NULL, NULL, 'ALDH_DhaS', NULL, 'ALDH_DhaS', NULL, NULL, NULL, 1),
(1732, NULL, 'cd18453', NULL, NULL, 'BACK_KLHL14', NULL, 'BACK_KLHL14', NULL, NULL, NULL, 1),
(1733, NULL, 'cd17086', NULL, NULL, 'RAWUL_RING1_like', NULL, 'RAWUL_RING1_like', NULL, NULL, NULL, 1),
(1734, NULL, 'cd13623', NULL, NULL, 'PBP2_AA_hypothetical', NULL, 'PBP2_AA_hypothetical', NULL, NULL, NULL, 1),
(1735, NULL, 'cd18332', NULL, NULL, 'BTB_POZ_ZBTB28_BCL6B', NULL, 'BTB_POZ_ZBTB28_BCL6B', NULL, NULL, NULL, 1),
(1736, NULL, 'cd14305', NULL, NULL, 'UBA_UBAC2', NULL, 'UBA_UBAC2', NULL, NULL, 32324, 1),
(1737, NULL, 'cd09355', NULL, NULL, 'LIM2_Ajuba_like', NULL, 'LIM2_Ajuba_like', NULL, NULL, NULL, 1),
(1738, NULL, 'cd16364', NULL, NULL, 'T3SC_I_like', NULL, 'T3SC_I_like', NULL, NULL, NULL, 1),
(1739, NULL, 'cd12480', NULL, NULL, 'RRM2_U1A', NULL, 'RRM2_U1A', NULL, NULL, 15725, 1),
(1740, NULL, 'cd14834', NULL, NULL, 'AP3_sigma', NULL, 'AP3_sigma', NULL, NULL, 28613, 1),
(1741, NULL, 'cd06287', NULL, NULL, 'PBP1_LacI-like', NULL, 'PBP1_LacI-like', NULL, NULL, NULL, 1),
(1742, NULL, 'cd13900', NULL, NULL, 'CuRO_3_Tth-MCO_like', NULL, 'CuRO_3_Tth-MCO_like', NULL, NULL, NULL, 1),
(1743, NULL, 'cd12746', NULL, NULL, 'RRM2_RBM12B', NULL, 'RRM2_RBM12B', NULL, NULL, 30265, 1),
(1744, NULL, 'cd11946', NULL, NULL, 'SH3_GRB2_N', NULL, 'SH3_GRB2_N', NULL, NULL, 30057, 1),
(1745, NULL, 'cd13191', NULL, NULL, 'FERM_C_FRMD4A_FRMD4B', NULL, 'FERM_C_FRMD4A_FRMD4B', NULL, NULL, 32108, 1),
(1746, NULL, 'cd03263', NULL, NULL, 'ABC_subfamily_A', NULL, 'ABC_subfamily_A', NULL, NULL, NULL, 1),
(1747, NULL, 'cd18172', NULL, NULL, 'M14_CP_plant', NULL, 'M14_CP_plant', NULL, NULL, NULL, 1),
(1748, NULL, 'cd16773', NULL, NULL, 'RING-HC_RBR_TRIAD1', NULL, 'RING-HC_RBR_TRIAD1', NULL, NULL, NULL, 1),
(1749, NULL, 'cd08964', NULL, NULL, 'L-asparaginase_II', NULL, 'L-asparaginase_II', NULL, NULL, 709, 1),
(1750, NULL, 'cd04373', NULL, NULL, 'RhoGAP_p190', NULL, 'RhoGAP_p190', NULL, NULL, NULL, 1),
(1751, NULL, 'cd06384', NULL, NULL, 'PBP1_NPR_B', NULL, 'PBP1_NPR_B', NULL, NULL, NULL, 1),
(1752, NULL, 'cd09157', NULL, NULL, 'PLDc_CLS_unchar2_1', NULL, 'PLDc_CLS_unchar2_1', NULL, NULL, NULL, 1),
(1753, NULL, 'cd06268', NULL, NULL, 'PBP1_ABC_transporter_LIVBP-like', NULL, 'PBP1_ABC_transporter_LIVBP-like', NULL, NULL, NULL, 1),
(1754, NULL, 'cd13316', NULL, NULL, 'PH_Boi', NULL, 'PH_Boi', NULL, NULL, NULL, 1),
(1755, NULL, 'cd14951', NULL, NULL, 'NHL-2_like', NULL, 'NHL-2_like', NULL, NULL, 39721, 1),
(1756, NULL, 'cd00147', NULL, NULL, 'cPLA2_like', NULL, 'cPLA2_like', NULL, NULL, NULL, 1),
(1757, NULL, 'cd00537', NULL, NULL, 'MTHFR', NULL, 'MTHFR', NULL, NULL, 1695, 1),
(1758, NULL, 'cd05511', NULL, NULL, 'Bromo_TFIID', NULL, 'Bromo_TFIID', NULL, NULL, NULL, 1),
(1759, NULL, 'cd10048', NULL, NULL, 'Reelin_repeat_4_subrepeat_2', NULL, 'Reelin_repeat_4_subrepeat_2', NULL, NULL, NULL, 1),
(1760, NULL, 'cd13130', NULL, NULL, 'MATE_rft1', NULL, 'MATE_rft1', NULL, NULL, NULL, 1),
(1761, NULL, 'cd10035', NULL, NULL, 'UDG_like', NULL, 'UDG_like', NULL, NULL, NULL, 1),
(1762, NULL, 'cd14373', NULL, NULL, 'CUE_Cue3p_like', NULL, 'CUE_Cue3p_like', NULL, NULL, 33165, 1),
(1763, NULL, 'cd07874', NULL, NULL, 'STKc_JNK3', NULL, 'STKc_JNK3', NULL, NULL, NULL, 1),
(1764, NULL, 'cd08395', NULL, NULL, 'C2C_Munc13', NULL, 'C2C_Munc13', NULL, NULL, NULL, 1),
(1765, NULL, 'cd12611', NULL, NULL, 'RRM1_NGR1_NAM8_like', NULL, 'RRM1_NGR1_NAM8_like', NULL, NULL, NULL, 1),
(1766, NULL, 'cd01799', NULL, NULL, 'Ubl_HOIL1', NULL, 'Ubl_HOIL1', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1767, NULL, 'cd08028', NULL, NULL, 'LARP_3', NULL, 'LARP_3', NULL, NULL, NULL, 1),
(1768, NULL, 'cd07742', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, NULL, 1),
(1769, NULL, 'cd09091', NULL, NULL, 'INPP5c_SHIP', NULL, 'INPP5c_SHIP', NULL, NULL, NULL, 1),
(1770, NULL, 'cd05285', NULL, NULL, 'sorbitol_DH', NULL, 'sorbitol_DH', NULL, NULL, 39589, 1),
(1771, NULL, 'cd01467', NULL, NULL, 'vWA_BatA_type', NULL, 'vWA_BatA_type', NULL, NULL, 33753, 1),
(1772, NULL, 'cd02669', NULL, NULL, 'Peptidase_C19M', NULL, 'Peptidase_C19M', NULL, NULL, 31708, 1),
(1773, NULL, 'cd06545', NULL, NULL, 'GH18_3CO4_chitinase', NULL, 'GH18_3CO4_chitinase', NULL, NULL, NULL, 1),
(1774, NULL, 'cd12731', NULL, NULL, 'RRM2_hnRNPH_hnRNPH2_hnRNPF', NULL, 'RRM2_hnRNPH_hnRNPH2_hnRNPF', NULL, NULL, NULL, 1),
(1775, NULL, 'cd09822', NULL, NULL, 'peroxinectin_like_bacterial', NULL, 'peroxinectin_like_bacterial', NULL, NULL, NULL, 1),
(1776, NULL, 'cd17175', NULL, NULL, 'FERM_F0_SHANK1', NULL, 'FERM_F0_SHANK1', NULL, NULL, NULL, 1),
(1777, NULL, 'cd12017', NULL, NULL, 'SH3_Tks_3', NULL, 'SH3_Tks_3', NULL, NULL, NULL, 1),
(1778, NULL, 'cd01377', NULL, NULL, 'MYSc_class_II', NULL, 'MYSc_class_II', NULL, NULL, NULL, 1),
(1779, NULL, 'cd10024', NULL, NULL, '14-3-3_gamma', NULL, '14-3-3_gamma', NULL, NULL, NULL, 1),
(1780, NULL, 'cd17616', NULL, NULL, 'REC_OmpR_CtrA', NULL, 'REC_OmpR_CtrA', NULL, NULL, NULL, 1),
(1781, NULL, 'cd05490', NULL, NULL, 'Cathepsin_D2', NULL, 'Cathepsin_D2', NULL, NULL, 8368, 1),
(1782, NULL, 'cd19720', NULL, NULL, 'bHLH_TS_NeuroD2', NULL, 'bHLH_TS_NeuroD2', NULL, NULL, NULL, 1),
(1783, NULL, 'cd02684', NULL, NULL, 'MIT_2', NULL, 'MIT_2', NULL, NULL, NULL, 1),
(1784, NULL, 'cd07683', NULL, NULL, 'F-BAR_srGAP1', NULL, 'F-BAR_srGAP1', NULL, NULL, 30996, 1),
(1785, NULL, 'cd10809', NULL, NULL, 'GH38N_AMII_GMII_SfManIII_like', NULL, 'GH38N_AMII_GMII_SfManIII_like', NULL, NULL, NULL, 1),
(1786, NULL, 'cd07047', NULL, NULL, 'BMC_PduB_repeat1', NULL, 'BMC_PduB_repeat1', NULL, NULL, NULL, 1),
(1787, NULL, 'cd09373', NULL, NULL, 'LIM1_AWH', NULL, 'LIM1_AWH', NULL, NULL, NULL, 1),
(1788, NULL, 'cd02993', NULL, NULL, 'PDI_a_APS_reductase', NULL, 'PDI_a_APS_reductase', NULL, NULL, NULL, 1),
(1789, NULL, 'cd03559', NULL, NULL, 'LGIC_TM', NULL, 'LGIC_TM', NULL, NULL, NULL, 1),
(1790, NULL, 'cd10419', NULL, NULL, 'SH2_Src_Fyn_isoform_b_like', NULL, 'SH2_Src_Fyn_isoform_b_like', NULL, NULL, NULL, 1),
(1791, NULL, 'cd09967', NULL, NULL, 'UP_II', NULL, 'UP_II', NULL, NULL, 8320, 1),
(1792, NULL, 'cd04399', NULL, NULL, 'RhoGAP_fRGD2', NULL, 'RhoGAP_fRGD2', NULL, NULL, NULL, 1),
(1793, NULL, 'cd08039', NULL, NULL, 'Adenylation_DNA_ligase_Fungal', NULL, 'Adenylation_DNA_ligase_Fungal', NULL, NULL, NULL, 1),
(1794, NULL, 'cd11364', NULL, NULL, 'RNase_PH_PNPase_2', NULL, 'RNase_PH_PNPase_2', NULL, NULL, NULL, 1),
(1795, NULL, 'cd00774', NULL, NULL, 'GlyRS-like_core', NULL, 'GlyRS-like_core', NULL, NULL, 35492, 1),
(1796, NULL, 'cd13624', NULL, NULL, 'PBP2_Arg_Lys_His', NULL, 'PBP2_Arg_Lys_His', NULL, NULL, NULL, 1),
(1797, NULL, 'cd16238', NULL, NULL, 'EFh_SPARC_TICN2', NULL, 'EFh_SPARC_TICN2', NULL, NULL, NULL, 1),
(1798, NULL, 'cd17484', NULL, NULL, 'MFS_FBT', NULL, 'MFS_FBT', NULL, NULL, NULL, 1),
(1799, NULL, 'cd11963', NULL, NULL, 'SH3_STAM2', NULL, 'SH3_STAM2', NULL, NULL, 33374, 1),
(1800, NULL, 'cd18497', NULL, NULL, 'BACK_ABTB1_BPOZ', NULL, 'BACK_ABTB1_BPOZ', NULL, NULL, NULL, 1),
(1801, NULL, 'cd00735', NULL, NULL, 'T4-like_lys', NULL, 'T4-like_lys', NULL, NULL, NULL, 1),
(1802, NULL, 'cd17056', NULL, NULL, 'Ubl_FAF1', NULL, 'Ubl_FAF1', NULL, NULL, NULL, 1),
(1803, NULL, 'cd03771', NULL, NULL, 'MATH_Meprin', NULL, 'MATH_Meprin', NULL, NULL, NULL, 1),
(1804, NULL, 'cd15329', NULL, NULL, '7tmA_5-HT7', NULL, '7tmA_5-HT7', NULL, NULL, NULL, 1),
(1805, NULL, 'cd06965', NULL, NULL, 'NR_DBD_Ppar', NULL, 'NR_DBD_Ppar', NULL, NULL, NULL, 1),
(1806, NULL, 'cd08229', NULL, NULL, 'STKc_Nek7', NULL, 'STKc_Nek7', NULL, NULL, NULL, 1),
(1807, NULL, 'cd05031', NULL, NULL, 'S-100A10_like', NULL, 'S-100A10_like', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1808, NULL, 'cd06472', NULL, NULL, 'ACD_ScHsp26_like', NULL, 'ACD_ScHsp26_like', NULL, NULL, NULL, 1),
(1809, NULL, 'cd15734', NULL, NULL, 'FYVE_ZFYV1', NULL, 'FYVE_ZFYV1', NULL, NULL, NULL, 1),
(1810, NULL, 'cd00834', NULL, NULL, 'KAS_I_II', NULL, 'KAS_I_II', NULL, NULL, 4625, 1),
(1811, NULL, 'cd11455', NULL, NULL, 'bHLH_AtAIG1_like', NULL, 'bHLH_AtAIG1_like', NULL, NULL, NULL, 1),
(1812, NULL, 'cd19577', NULL, NULL, 'serpinJ_IRS-2-like', NULL, 'serpinJ_IRS-2-like', NULL, NULL, NULL, 1),
(1813, NULL, 'cd09214', NULL, NULL, 'GH64-like', NULL, 'GH64-like', NULL, NULL, NULL, 1),
(1814, NULL, 'cd05129', NULL, NULL, 'RasGAP_RAP6', NULL, 'RasGAP_RAP6', NULL, NULL, NULL, 1),
(1815, NULL, 'cd02566', NULL, NULL, 'PseudoU_synth_RluE', NULL, 'PseudoU_synth_RluE', NULL, NULL, NULL, 1),
(1816, NULL, 'cd11377', NULL, NULL, 'Pro-peptidase_S53', NULL, 'Pro-peptidase_S53', NULL, NULL, 14341, 1),
(1817, NULL, 'cd11495', NULL, NULL, 'SLC5sbd_NIS-like_u3', NULL, 'SLC5sbd_NIS-like_u3', NULL, NULL, NULL, 1),
(1818, NULL, 'cd21405', NULL, NULL, 'ZBD_av_Nsp10-like', NULL, 'ZBD_av_Nsp10-like', NULL, NULL, 28647, 1),
(1819, NULL, 'cd11864', NULL, NULL, 'SH3_PEX13_eumet', NULL, 'SH3_PEX13_eumet', NULL, NULL, NULL, 1),
(1820, NULL, 'cd07862', NULL, NULL, 'STKc_CDK6', NULL, 'STKc_CDK6', NULL, NULL, 28735, 1),
(1821, NULL, 'cd01249', NULL, NULL, 'BAR-PH_GRAF_family', NULL, 'BAR-PH_GRAF_family', NULL, NULL, NULL, 1),
(1822, NULL, 'cd01629', NULL, NULL, 'HAD_EP', NULL, 'HAD_EP', NULL, NULL, 10068, 1),
(1823, NULL, 'cd07372', NULL, NULL, '2A5CPDO_B', NULL, '2A5CPDO_B', NULL, NULL, 20675, 1),
(1824, NULL, 'cd09076', NULL, NULL, 'L1-EN', NULL, 'L1-EN', NULL, NULL, NULL, 1),
(1825, NULL, 'cd08849', NULL, NULL, 'ArfGap_ASAP2', NULL, 'ArfGap_ASAP2', NULL, NULL, NULL, 1),
(1826, NULL, 'cd18036', NULL, NULL, 'DEXHc_RLR', NULL, 'DEXHc_RLR', NULL, NULL, NULL, 1),
(1827, NULL, 'cd16314', NULL, NULL, 'AIM-1-like_MBL-B3', NULL, 'AIM-1-like_MBL-B3', NULL, NULL, NULL, 1),
(1828, NULL, 'cd16821', NULL, NULL, 'SP-RING_PIAS4', NULL, 'SP-RING_PIAS4', NULL, NULL, NULL, 1),
(1829, NULL, 'cd09014', NULL, NULL, 'BphC-JF8_C_like', NULL, 'BphC-JF8_C_like', NULL, NULL, NULL, 1),
(1830, NULL, 'cd07036', NULL, NULL, 'TPP_PYR_E1-PDHc-beta_like', NULL, 'TPP_PYR_E1-PDHc-beta_like', NULL, NULL, NULL, 1),
(1831, NULL, 'cd18334', NULL, NULL, 'BTB_POZ_ZBTB30_HIC2', NULL, 'BTB_POZ_ZBTB30_HIC2', NULL, NULL, NULL, 1),
(1832, NULL, 'cd07374', NULL, NULL, 'CYTH-like_Pase', NULL, 'CYTH-like_Pase', NULL, NULL, NULL, 1),
(1833, NULL, 'cd13424', NULL, NULL, 'TNFRSF9_teleost', NULL, 'TNFRSF9_teleost', NULL, NULL, 335, 1),
(1834, NULL, 'cd13706', NULL, NULL, 'PBP2_HisK_like_1', NULL, 'PBP2_HisK_like_1', NULL, NULL, NULL, 1),
(1835, NULL, 'cd13251', NULL, NULL, 'PH_ASAP', NULL, 'PH_ASAP', NULL, NULL, 33051, 1),
(1836, NULL, 'cd04161', NULL, NULL, 'Arl2l1_Arl13_like', NULL, 'Arl2l1_Arl13_like', NULL, NULL, NULL, 1),
(1837, NULL, 'cd07266', NULL, NULL, 'HPCD_N_class_II', NULL, 'HPCD_N_class_II', NULL, NULL, NULL, 1),
(1838, NULL, 'cd00215', NULL, NULL, 'PTS_IIA_lac', NULL, 'PTS_IIA_lac', NULL, NULL, 3187, 1),
(1839, NULL, 'cd06258', NULL, NULL, 'M3_like', NULL, 'M3_like', NULL, NULL, NULL, 1),
(1840, NULL, 'cd18422', NULL, NULL, 'BTB_POZ_KCNG3', NULL, 'BTB_POZ_KCNG3', NULL, NULL, NULL, 1),
(1841, NULL, 'cd19159', NULL, NULL, 'AKR_KCAB1B_AKR6A3-like', NULL, 'AKR_KCAB1B_AKR6A3-like', NULL, NULL, NULL, 1),
(1842, NULL, 'cd19438', NULL, NULL, 'lipocalin_Blc-like', NULL, 'lipocalin_Blc-like', NULL, NULL, NULL, 1),
(1843, NULL, 'cd19822', NULL, NULL, 'Bbox2_MID1_C-I', NULL, 'Bbox2_MID1_C-I', NULL, NULL, NULL, 1),
(1844, NULL, 'cd15288', NULL, NULL, '7tmC_TAS1R2', NULL, '7tmC_TAS1R2', NULL, NULL, NULL, 1),
(1845, NULL, 'cd11392', NULL, NULL, 'bHLH_ScPHO4_like', NULL, 'bHLH_ScPHO4_like', NULL, NULL, NULL, 1),
(1846, NULL, 'cd14756', NULL, NULL, 'TrHb', NULL, 'TrHb', NULL, NULL, NULL, 1),
(1847, NULL, 'cd19467', NULL, NULL, 'FABP4', NULL, 'FABP4', NULL, NULL, NULL, 1),
(1848, NULL, 'cd08923', NULL, NULL, 'class1-2_nsHbs_Lbs', NULL, 'class1-2_nsHbs_Lbs', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1849, NULL, 'cd18943', NULL, NULL, 'bHLH_E-protein_E47-like', NULL, 'bHLH_E-protein_E47-like', NULL, NULL, NULL, 1),
(1850, NULL, 'cd15156', NULL, NULL, '7tmA_LPAR6_P2Y5', NULL, '7tmA_LPAR6_P2Y5', NULL, NULL, NULL, 1),
(1851, NULL, 'cd16014', NULL, NULL, 'PLC', NULL, 'PLC', NULL, NULL, NULL, 1),
(1852, NULL, 'cd04918', NULL, NULL, 'ACT_AK1-AT_2', NULL, 'ACT_AK1-AT_2', NULL, NULL, NULL, 1),
(1853, NULL, 'cd01096', NULL, NULL, 'Alkanal_monooxygenase', NULL, 'Alkanal_monooxygenase', NULL, NULL, 29344, 1),
(1854, NULL, 'cd14855', NULL, NULL, 'TRAPPC1_MUM2', NULL, 'TRAPPC1_MUM2', NULL, NULL, NULL, 1),
(1855, NULL, 'cd06861', NULL, NULL, 'PX_Vps5p', NULL, 'PX_Vps5p', NULL, NULL, 35008, 1),
(1856, NULL, 'cd04660', NULL, NULL, 'nsLTP_like', NULL, 'nsLTP_like', NULL, NULL, 37660, 1),
(1857, NULL, 'cd11876', NULL, NULL, 'SH3_MLK', NULL, 'SH3_MLK', NULL, NULL, NULL, 1),
(1858, NULL, 'cd01410', NULL, NULL, 'SIRT7', NULL, 'SIRT7', NULL, NULL, NULL, 1),
(1859, NULL, 'cd19441', NULL, NULL, 'CRABP', NULL, 'CRABP', NULL, NULL, NULL, 1),
(1860, NULL, 'cd09591', NULL, NULL, 'SAM_DLC1', NULL, 'SAM_DLC1', NULL, NULL, NULL, 1),
(1861, NULL, 'cd07615', NULL, NULL, 'BAR_Endophilin_A3', NULL, 'BAR_Endophilin_A3', NULL, NULL, 7743, 1),
(1862, NULL, 'cd00142', NULL, NULL, 'PI3Kc_like', NULL, 'PI3Kc_like', NULL, NULL, NULL, 1),
(1863, NULL, 'cd05906', NULL, NULL, 'A_NRPS_TubE_like', NULL, 'A_NRPS_TubE_like', NULL, NULL, NULL, 1),
(1864, NULL, 'cd10227', NULL, NULL, 'ParM_like', NULL, 'ParM_like', NULL, NULL, 32592, 1),
(1865, NULL, 'cd06663', NULL, NULL, 'Biotinyl_lipoyl_domains', NULL, 'Biotinyl_lipoyl_domains', NULL, NULL, NULL, 1),
(1866, NULL, 'cd14164', NULL, NULL, 'STKc_TSSK6-like', NULL, 'STKc_TSSK6-like', NULL, NULL, 38048, 1),
(1867, NULL, 'cd11939', NULL, NULL, 'SH3_ephexin1', NULL, 'SH3_ephexin1', NULL, NULL, 36287, 1),
(1868, NULL, 'cd19099', NULL, NULL, 'AKR_unchar', NULL, 'AKR_unchar', NULL, NULL, NULL, 1),
(1869, NULL, 'cd20005', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(1870, NULL, 'cd00541', NULL, NULL, 'OMPLA', NULL, 'OMPLA', NULL, NULL, 3470, 1),
(1871, NULL, 'cd02646', NULL, NULL, 'R3H_G-patch', NULL, 'R3H_G-patch', NULL, NULL, 29334, 1),
(1872, NULL, 'cd11294', NULL, NULL, 'E_set_Esterase_like_N', NULL, 'E_set_Esterase_like_N', NULL, NULL, NULL, 1),
(1873, NULL, 'cd02766', NULL, NULL, 'MopB_3', NULL, 'MopB_3', NULL, NULL, NULL, 1),
(1874, NULL, 'cd19019', NULL, NULL, 'LGIC_ECD_nAChR_A6', NULL, 'LGIC_ECD_nAChR_A6', NULL, NULL, NULL, 1),
(1875, NULL, 'cd15923', NULL, NULL, '7tmA_GPR35_55-like', NULL, '7tmA_GPR35_55-like', NULL, NULL, NULL, 1),
(1876, NULL, 'cd12833', NULL, NULL, 'ZntB-like_1', NULL, 'ZntB-like_1', NULL, NULL, NULL, 1),
(1877, NULL, 'cd09484', NULL, NULL, 'LIM1_Prickle_2', NULL, 'LIM1_Prickle_2', NULL, NULL, NULL, 1),
(1878, NULL, 'cd16804', NULL, NULL, 'RING-H2_RNF149', NULL, 'RING-H2_RNF149', NULL, NULL, 36953, 1),
(1879, NULL, 'cd10559', NULL, NULL, 'W-FDH', NULL, 'W-FDH', NULL, NULL, NULL, 1),
(1880, NULL, 'cd09007', NULL, NULL, 'NP-I_spr0068', NULL, 'NP-I_spr0068', NULL, NULL, NULL, 1),
(1881, NULL, 'cd17368', NULL, NULL, 'MFS_CitA', NULL, 'MFS_CitA', NULL, NULL, NULL, 1),
(1882, NULL, 'cd04679', NULL, NULL, 'Nudix_Hydrolase_20', NULL, 'Nudix_Hydrolase_20', NULL, NULL, NULL, 1),
(1883, NULL, 'cd15566', NULL, NULL, 'PHD3_NSD', NULL, 'PHD3_NSD', NULL, NULL, NULL, 1),
(1884, NULL, 'cd17062', NULL, NULL, 'Ubl_NUB1', NULL, 'Ubl_NUB1', NULL, NULL, NULL, 1),
(1885, NULL, 'cd11837', NULL, NULL, 'SH3_Intersectin_2', NULL, 'SH3_Intersectin_2', NULL, NULL, NULL, 1),
(1886, NULL, 'cd17132', NULL, NULL, 'Ubl_TMUB2', NULL, 'Ubl_TMUB2', NULL, NULL, NULL, 1),
(1887, NULL, 'cd17185', NULL, NULL, 'FERM_F1_KIND3', NULL, 'FERM_F1_KIND3', NULL, NULL, NULL, 1),
(1888, NULL, 'cd19779', NULL, NULL, 'Bbox2_TRIM37_C-VIII', NULL, 'Bbox2_TRIM37_C-VIII', NULL, NULL, NULL, 1),
(1889, NULL, 'cd09368', NULL, NULL, 'LIM1_Lhx3_Lhx4', NULL, 'LIM1_Lhx3_Lhx4', NULL, NULL, NULL, 1),
(1890, NULL, 'cd02981', NULL, NULL, 'PDI_b_family', NULL, 'PDI_b_family', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1891, NULL, 'cd13633', NULL, NULL, 'PBP2_Sa-PDT_like', NULL, 'PBP2_Sa-PDT_like', NULL, NULL, NULL, 1),
(1892, NULL, 'cd15033', NULL, NULL, '7tmF_FZD3', NULL, '7tmF_FZD3', NULL, NULL, NULL, 1),
(1893, NULL, 'cd19046', NULL, NULL, 'LGIC_ECD_GABAAR_rho1', NULL, 'LGIC_ECD_GABAAR_rho1', NULL, NULL, NULL, 1),
(1894, NULL, 'cd14860', NULL, NULL, '4HBD_NAD', NULL, '4HBD_NAD', NULL, NULL, NULL, 1),
(1895, NULL, 'cd13361', NULL, NULL, 'PH_PLC_beta', NULL, 'PH_PLC_beta', NULL, NULL, 34035, 1),
(1896, NULL, 'cd15224', NULL, NULL, '7tmA_OR6B-like', NULL, '7tmA_OR6B-like', NULL, NULL, NULL, 1),
(1897, NULL, 'cd06454', NULL, NULL, 'KBL_like', NULL, 'KBL_like', NULL, NULL, NULL, 1),
(1898, NULL, 'cd08025', NULL, NULL, 'RNR_PFL_like_DUF711', NULL, 'RNR_PFL_like_DUF711', NULL, NULL, 2361, 1),
(1899, NULL, 'cd10912', NULL, NULL, 'PIN_YacP-like', NULL, 'PIN_YacP-like', NULL, NULL, NULL, 1),
(1900, NULL, 'cd04275', NULL, NULL, 'ZnMc_pappalysin_like', NULL, 'ZnMc_pappalysin_like', NULL, NULL, 12327, 1),
(1901, NULL, 'cd09002', NULL, NULL, 'GH43_XYL-like', NULL, 'GH43_XYL-like', NULL, NULL, NULL, 1),
(1902, NULL, 'cd06298', NULL, NULL, 'PBP1_CcpA', NULL, 'PBP1_CcpA', NULL, NULL, NULL, 1),
(1903, NULL, 'cd18914', NULL, NULL, 'bHLH_AtORG2_like', NULL, 'bHLH_AtORG2_like', NULL, NULL, NULL, 1),
(1904, NULL, 'cd02220', NULL, NULL, 'cupin_ABP1', NULL, 'cupin_ABP1', NULL, NULL, NULL, 1),
(1905, NULL, 'cd10451', NULL, NULL, 'GIY-YIG_LuxR_like', NULL, 'GIY-YIG_LuxR_like', NULL, NULL, NULL, 1),
(1906, NULL, 'cd11975', NULL, NULL, 'SH3_ARHGEF9', NULL, 'SH3_ARHGEF9', NULL, NULL, 30442, 1),
(1907, NULL, 'cd03111', NULL, NULL, 'CpaE-like', NULL, 'CpaE-like', NULL, NULL, NULL, 1),
(1908, NULL, 'cd16130', NULL, NULL, 'RA_Rin3', NULL, 'RA_Rin3', NULL, NULL, NULL, 1),
(1909, NULL, 'cd14798', NULL, NULL, 'RX-CC_like', NULL, 'RX-CC_like', NULL, NULL, 35763, 1),
(1910, NULL, 'cd03215', NULL, NULL, 'ABC_Carb_Monos_II', NULL, 'ABC_Carb_Monos_II', NULL, NULL, NULL, 1),
(1911, NULL, 'cd01575', NULL, NULL, 'PBP1_GntR', NULL, 'PBP1_GntR', NULL, NULL, NULL, 1),
(1912, NULL, 'cd18313', NULL, NULL, 'BTB_POZ_BT', NULL, 'BTB_POZ_BT', NULL, NULL, NULL, 1),
(1913, NULL, 'cd00547', NULL, NULL, 'QFR_TypeD_subunitD', NULL, 'QFR_TypeD_subunitD', NULL, NULL, 5288, 1),
(1914, NULL, 'cd18031', NULL, NULL, 'DEXHc_UvsW', NULL, 'DEXHc_UvsW', NULL, NULL, NULL, 1),
(1915, NULL, 'cd14749', NULL, NULL, 'PBP2_XBP1_like', NULL, 'PBP2_XBP1_like', NULL, NULL, NULL, 1),
(1916, NULL, 'cd15291', NULL, NULL, '7tmC_GABA-B-R1', NULL, '7tmC_GABA-B-R1', NULL, NULL, 7162, 1),
(1917, NULL, 'cd16717', NULL, NULL, 'vRING-HC_IRF2BPL', NULL, 'vRING-HC_IRF2BPL', NULL, NULL, NULL, 1),
(1918, NULL, 'cd17013', NULL, NULL, 'ANTH_N_HIP1', NULL, 'ANTH_N_HIP1', NULL, NULL, NULL, 1),
(1919, NULL, 'cd06587', NULL, NULL, 'VOC', NULL, 'VOC', NULL, NULL, NULL, 1),
(1920, NULL, 'cd08595', NULL, NULL, 'PI-PLCc_zeta', NULL, 'PI-PLCc_zeta', NULL, NULL, NULL, 1),
(1921, NULL, 'cd13308', NULL, NULL, 'PH_3BP2', NULL, 'PH_3BP2', NULL, NULL, NULL, 1),
(1922, NULL, 'cd15809', NULL, NULL, 'SPRY_PRY_TRIM4', NULL, 'SPRY_PRY_TRIM4', NULL, NULL, 34627, 1),
(1923, NULL, 'cd16757', NULL, NULL, 'RING-HC_TRIM46', NULL, 'RING-HC_TRIM46', NULL, NULL, NULL, 1),
(1924, NULL, 'cd16204', NULL, NULL, 'EFh_PI-PLCzeta', NULL, 'EFh_PI-PLCzeta', NULL, NULL, NULL, 1),
(1925, NULL, 'cd00480', NULL, NULL, 'malate_synt', NULL, 'malate_synt', NULL, NULL, NULL, 1),
(1926, NULL, 'cd04159', NULL, NULL, 'Arl10_like', NULL, 'Arl10_like', NULL, NULL, 36683, 1),
(1927, NULL, 'cd04773', NULL, NULL, 'HTH_TioE_rpt2', NULL, 'HTH_TioE_rpt2', NULL, NULL, NULL, 1),
(1928, NULL, 'cd05265', NULL, NULL, 'SDR_a1', NULL, 'SDR_a1', NULL, NULL, NULL, 1),
(1929, NULL, 'cd08596', NULL, NULL, 'PI-PLCc_epsilon', NULL, 'PI-PLCc_epsilon', NULL, NULL, NULL, 1),
(1930, NULL, 'cd11497', NULL, NULL, 'SLC6sbd_SERT-like', NULL, 'SLC6sbd_SERT-like', NULL, NULL, NULL, 1),
(1931, NULL, 'sd00041', NULL, NULL, 'GyrA-ParC_C', NULL, 'GyrA-ParC_C', NULL, NULL, NULL, 1),
(1932, NULL, 'cd03451', NULL, NULL, 'FkbR2', NULL, 'FkbR2', NULL, NULL, NULL, 1),
(1933, NULL, 'cd17648', NULL, NULL, 'A_NRPS_ACVS-like', NULL, 'A_NRPS_ACVS-like', NULL, NULL, NULL, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1934, NULL, 'cd07641', NULL, NULL, 'BAR_ASAP1', NULL, 'BAR_ASAP1', NULL, NULL, 35452, 1),
(1935, NULL, 'cd06090', NULL, NULL, 'KOW_RPL27', NULL, 'KOW_RPL27', NULL, NULL, 32839, 1),
(1936, NULL, 'cd05686', NULL, NULL, 'S1_pNO40', NULL, 'S1_pNO40', NULL, NULL, NULL, 1),
(1937, NULL, 'cd09915', NULL, NULL, 'Rag', NULL, 'Rag', NULL, NULL, NULL, 1),
(1938, NULL, 'cd01580', NULL, NULL, 'AcnA_IRP_Swivel', NULL, 'AcnA_IRP_Swivel', NULL, NULL, 37971, 1),
(1939, NULL, 'cd01739', NULL, NULL, 'LSm11_M', NULL, 'LSm11_M', NULL, NULL, 21602, 1),
(1940, NULL, 'cd01835', NULL, NULL, 'SGNH_hydrolase_like_3', NULL, 'SGNH_hydrolase_like_3', NULL, NULL, NULL, 1),
(1941, NULL, 'cd08755', NULL, NULL, 'RGS_p115RhoGEF', NULL, 'RGS_p115RhoGEF', NULL, NULL, 34523, 1),
(1942, NULL, 'cd15373', NULL, NULL, '7tmA_P2Y2', NULL, '7tmA_P2Y2', NULL, NULL, NULL, 1),
(1943, NULL, 'cd19861', NULL, NULL, 'DSRM_STAU_rpt5', NULL, 'DSRM_STAU_rpt5', NULL, NULL, NULL, 1),
(1944, NULL, 'cd12607', NULL, NULL, 'RRM2_RBM4', NULL, 'RRM2_RBM4', NULL, NULL, 31845, 1),
(1945, NULL, 'cd15111', NULL, NULL, '7tmA_MrgprG', NULL, '7tmA_MrgprG', NULL, NULL, 23370, 1),
(1946, NULL, 'cd14990', NULL, NULL, '7tmA_GPR146', NULL, '7tmA_GPR146', NULL, NULL, NULL, 1),
(1947, NULL, 'cd09701', NULL, NULL, 'Cas10_III', NULL, 'Cas10_III', NULL, NULL, NULL, 1),
(1948, NULL, 'cd15431', NULL, NULL, '7tmA_OR13H-like', NULL, '7tmA_OR13H-like', NULL, NULL, NULL, 1),
(1949, NULL, 'cd03697', NULL, NULL, 'EFTU_II', NULL, 'EFTU_II', NULL, NULL, 33628, 1),
(1950, NULL, 'cd12931', NULL, NULL, 'eNOPS_SF', NULL, 'eNOPS_SF', NULL, NULL, NULL, 1),
(1951, NULL, 'cd16973', NULL, NULL, 'Alpha_kinase_ALPK3', NULL, 'Alpha_kinase_ALPK3', NULL, NULL, NULL, 1),
(1952, NULL, 'cd19765', NULL, NULL, 'Bbox2_TRIM10-like', NULL, 'Bbox2_TRIM10-like', NULL, NULL, NULL, 1),
(1953, NULL, 'cd16593', NULL, NULL, 'RING-HC_TRIM10_C-IV', NULL, 'RING-HC_TRIM10_C-IV', NULL, NULL, 37080, 1),
(1954, NULL, 'cd19723', NULL, NULL, 'bHLH_TS_ASCL1_like', NULL, 'bHLH_TS_ASCL1_like', NULL, NULL, NULL, 1),
(1955, NULL, 'cd07861', NULL, NULL, 'STKc_CDK1_euk', NULL, 'STKc_CDK1_euk', NULL, NULL, NULL, 1),
(1956, NULL, 'cd21570', NULL, NULL, 'batCoV_HKU9-like_M', NULL, 'batCoV_HKU9-like_M', NULL, NULL, 38399, 1),
(1957, NULL, 'cd13564', NULL, NULL, 'PBP2_ThiY_THI5_like', NULL, 'PBP2_ThiY_THI5_like', NULL, NULL, NULL, 1),
(1958, NULL, 'sd00043', NULL, NULL, 'ARM', NULL, 'ARM', NULL, NULL, NULL, 1),
(1959, NULL, 'cd01701', NULL, NULL, 'PolY_Rev1', NULL, 'PolY_Rev1', NULL, NULL, NULL, 1),
(1960, NULL, 'cd11740', NULL, NULL, 'YajQ_like', NULL, 'YajQ_like', NULL, NULL, 3776, 1),
(1961, NULL, 'cd05396', NULL, NULL, 'An_peroxidase_like', NULL, 'An_peroxidase_like', NULL, NULL, NULL, 1),
(1962, NULL, 'cd18229', NULL, NULL, 'BTB_POZ_ZBTB45', NULL, 'BTB_POZ_ZBTB45', NULL, NULL, NULL, 1),
(1963, NULL, 'cd17306', NULL, NULL, 'PIPKc_PIP5K1A_like', NULL, 'PIPKc_PIP5K1A_like', NULL, NULL, NULL, 1),
(1964, NULL, 'cd18479', NULL, NULL, 'BACK_KBTBD2', NULL, 'BACK_KBTBD2', NULL, NULL, NULL, 1),
(1965, NULL, 'cd04712', NULL, NULL, 'BAH_DCM_I', NULL, 'BAH_DCM_I', NULL, NULL, NULL, 1),
(1966, NULL, 'cd12404', NULL, NULL, 'RRM2_NCL', NULL, 'RRM2_NCL', NULL, NULL, 33490, 1),
(1967, NULL, 'cd19338', NULL, NULL, 'Wnt_Wnt6', NULL, 'Wnt_Wnt6', NULL, NULL, NULL, 1),
(1968, NULL, 'cd14906', NULL, NULL, 'MYSc_Myo45', NULL, 'MYSc_Myo45', NULL, NULL, NULL, 1),
(1969, NULL, 'cd05805', NULL, NULL, 'MPG1_transferase', NULL, 'MPG1_transferase', NULL, NULL, NULL, 1),
(1970, NULL, 'cd14081', NULL, NULL, 'STKc_BRSK1_2', NULL, 'STKc_BRSK1_2', NULL, NULL, NULL, 1),
(1971, NULL, 'cd19470', NULL, NULL, 'FABP7', NULL, 'FABP7', NULL, NULL, NULL, 1),
(1972, NULL, 'cd17367', NULL, NULL, 'MFS_KgtP', NULL, 'MFS_KgtP', NULL, NULL, NULL, 1),
(1973, NULL, 'cd00755', NULL, NULL, 'YgdL_like', NULL, 'YgdL_like', NULL, NULL, NULL, 1),
(1974, NULL, 'cd15553', NULL, NULL, 'PHD_Cfp1', NULL, 'PHD_Cfp1', NULL, NULL, NULL, 1),
(1975, NULL, 'cd00203', NULL, NULL, 'ZnMc', NULL, 'ZnMc', NULL, NULL, NULL, 1),
(1976, NULL, 'cd07993', NULL, NULL, 'LPLAT_DHAPAT-like', NULL, 'LPLAT_DHAPAT-like', NULL, NULL, 32328, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(1977, NULL, 'cd01718', NULL, NULL, 'Sm_E', NULL, 'Sm_E', NULL, NULL, 27183, 1),
(1978, NULL, 'cd01256', NULL, NULL, 'PH_dynamin', NULL, 'PH_dynamin', NULL, NULL, NULL, 1),
(1979, NULL, 'cd14377', NULL, NULL, 'UBA1_Rad23', NULL, 'UBA1_Rad23', NULL, NULL, 33041, 1),
(1980, NULL, 'cd18554', NULL, NULL, 'ABC_6TM_Sav1866_like', NULL, 'ABC_6TM_Sav1866_like', NULL, NULL, NULL, 1),
(1981, NULL, 'cd11354', NULL, NULL, 'AmyAc_bac_CMD_like', NULL, 'AmyAc_bac_CMD_like', NULL, NULL, NULL, 1),
(1982, NULL, 'cd07971', NULL, NULL, 'OBF_DNA_ligase_LigD', NULL, 'OBF_DNA_ligase_LigD', NULL, NULL, NULL, 1),
(1983, NULL, 'cd17278', NULL, NULL, 'RMtype1_S_LdeBORF1052P-TRD2-CR2', NULL, 'RMtype1_S_LdeBORF1052P-TRD2-CR2', NULL, NULL, NULL, 1),
(1984, NULL, 'cd02205', NULL, NULL, 'CBS_pair_SF', NULL, 'CBS_pair_SF', NULL, NULL, NULL, 1),
(1985, NULL, 'cd17871', NULL, NULL, 'GPN2', NULL, 'GPN2', NULL, NULL, NULL, 1),
(1986, NULL, 'cd18626', NULL, NULL, 'CD_eEF3', NULL, 'CD_eEF3', NULL, NULL, NULL, 1),
(1987, NULL, 'cd05073', NULL, NULL, 'PTKc_Hck', NULL, 'PTKc_Hck', NULL, NULL, NULL, 1),
(1988, NULL, 'cd18988', NULL, NULL, 'LGIC_ECD_bact', NULL, 'LGIC_ECD_bact', NULL, NULL, NULL, 1),
(1989, NULL, 'cd02999', NULL, NULL, 'PDI_a_ERp44_like', NULL, 'PDI_a_ERp44_like', NULL, NULL, NULL, 1),
(1990, NULL, 'cd18201', NULL, NULL, 'BTB_POZ_ZBTB10', NULL, 'BTB_POZ_ZBTB10', NULL, NULL, NULL, 1),
(1991, NULL, 'cd06995', NULL, NULL, 'cupin_YkgD-like_N', NULL, 'cupin_YkgD-like_N', NULL, NULL, NULL, 1),
(1992, NULL, 'cd07769', NULL, NULL, 'FGGY_GK', NULL, 'FGGY_GK', NULL, NULL, NULL, 1),
(1993, NULL, 'cd13834', NULL, NULL, 'HU_like', NULL, 'HU_like', NULL, NULL, NULL, 1),
(1994, NULL, 'cd11276', NULL, NULL, 'Sema_plexin_B2', NULL, 'Sema_plexin_B2', NULL, NULL, NULL, 1),
(1995, NULL, 'cd03109', NULL, NULL, 'DTBS', NULL, 'DTBS', NULL, NULL, NULL, 1),
(1996, NULL, 'cd07606', NULL, NULL, 'BAR_SFC_plant', NULL, 'BAR_SFC_plant', NULL, NULL, 35431, 1),
(1997, NULL, 'cd13625', NULL, NULL, 'PBP2_AA_binding_like_1', NULL, 'PBP2_AA_binding_like_1', NULL, NULL, NULL, 1),
(1998, NULL, 'cd12290', NULL, NULL, 'RRM1_LARP7', NULL, 'RRM1_LARP7', NULL, NULL, 10888, 1),
(1999, NULL, 'cd14273', NULL, NULL, 'UBA_TAP-C_like', NULL, 'UBA_TAP-C_like', NULL, NULL, NULL, 1),
(2000, NULL, 'cd05626', NULL, NULL, 'STKc_LATS2', NULL, 'STKc_LATS2', NULL, NULL, NULL, 1),
(2001, NULL, 'cd02337', NULL, NULL, 'ZZ_CBP', NULL, 'ZZ_CBP', NULL, NULL, NULL, 1),
(2002, NULL, 'cd14645', NULL, NULL, 'DSP_DUSP8', NULL, 'DSP_DUSP8', NULL, NULL, NULL, 1),
(2003, NULL, 'cd01006', NULL, NULL, 'PBP2_phosphate_binding', NULL, 'PBP2_phosphate_binding', NULL, NULL, NULL, 1),
(2004, NULL, 'cd09274', NULL, NULL, 'RNase_HI_RT_Ty3', NULL, 'RNase_HI_RT_Ty3', NULL, NULL, NULL, 1),
(2005, NULL, 'cd18075', NULL, NULL, 'DEXHc_RLR-3', NULL, 'DEXHc_RLR-3', NULL, NULL, NULL, 1),
(2006, NULL, 'cd13746', NULL, NULL, 'Sir4p-SID_like', NULL, 'Sir4p-SID_like', NULL, NULL, 25033, 1),
(2007, NULL, 'cd04084', NULL, NULL, 'CBM6_xylanase-like', NULL, 'CBM6_xylanase-like', NULL, NULL, NULL, 1),
(2008, NULL, 'cd00484', NULL, NULL, 'PEPCK_ATP', NULL, 'PEPCK_ATP', NULL, NULL, 5043, 1),
(2009, NULL, 'cd02757', NULL, NULL, 'MopB_Arsenate-R', NULL, 'MopB_Arsenate-R', NULL, NULL, NULL, 1),
(2010, NULL, 'cd14910', NULL, NULL, 'MYSc_Myh1_mammals', NULL, 'MYSc_Myh1_mammals', NULL, NULL, NULL, 1),
(2011, NULL, 'cd03335', NULL, NULL, 'TCP1_alpha', NULL, 'TCP1_alpha', NULL, NULL, 11863, 1),
(2012, NULL, 'cd02113', NULL, NULL, 'bact_SoxC_Moco', NULL, 'bact_SoxC_Moco', NULL, NULL, NULL, 1),
(2013, NULL, 'cd06811', NULL, NULL, 'PLPDE_III_yhfX_like', NULL, 'PLPDE_III_yhfX_like', NULL, NULL, NULL, 1),
(2014, NULL, 'cd08316', NULL, NULL, 'Death_FAS_TNFRSF6', NULL, 'Death_FAS_TNFRSF6', NULL, NULL, 34390, 1),
(2015, NULL, 'cd15011', NULL, NULL, '7tmA_GPR149', NULL, '7tmA_GPR149', NULL, NULL, NULL, 1),
(2016, NULL, 'cd09197', NULL, NULL, 'PLDc_pPLDalpha_1', NULL, 'PLDc_pPLDalpha_1', NULL, NULL, NULL, 1),
(2017, NULL, 'cd03825', NULL, NULL, 'GT4_WcaC-like', NULL, 'GT4_WcaC-like', NULL, NULL, NULL, 1),
(2018, NULL, 'cd13575', NULL, NULL, 'PBP2_PnhD', NULL, 'PBP2_PnhD', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2019, NULL, 'cd17091', NULL, NULL, 'FERM_F0_SHANK', NULL, 'FERM_F0_SHANK', NULL, NULL, NULL, 1),
(2020, NULL, 'cd10552', NULL, NULL, 'TH_beta_N', NULL, 'TH_beta_N', NULL, NULL, NULL, 1),
(2021, NULL, 'cd20331', NULL, NULL, 'JBP-like', NULL, 'JBP-like', NULL, NULL, NULL, 1),
(2022, NULL, 'cd00069', NULL, NULL, 'GHB_like', NULL, 'GHB_like', NULL, NULL, 3244, 1),
(2023, NULL, 'cd08587', NULL, NULL, 'PI-PLCXDc_like', NULL, 'PI-PLCXDc_like', NULL, NULL, NULL, 1),
(2024, NULL, 'cd01173', NULL, NULL, 'pyridoxal_pyridoxamine_kinase', NULL, 'pyridoxal_pyridoxamine_kinase', NULL, NULL, 2375, 1),
(2025, NULL, 'cd02001', NULL, NULL, 'TPP_ComE_PpyrDC', NULL, 'TPP_ComE_PpyrDC', NULL, NULL, NULL, 1),
(2026, NULL, 'cd18465', NULL, NULL, 'BACK_KLHL26', NULL, 'BACK_KLHL26', NULL, NULL, NULL, 1),
(2027, NULL, 'cd01273', NULL, NULL, 'PTB_CED-6', NULL, 'PTB_CED-6', NULL, NULL, NULL, 1),
(2028, NULL, 'cd02523', NULL, NULL, 'PC_cytidylyltransferase', NULL, 'PC_cytidylyltransferase', NULL, NULL, NULL, 1),
(2029, NULL, 'cd00275', NULL, NULL, 'C2_PLC_like', NULL, 'C2_PLC_like', NULL, NULL, NULL, 1),
(2030, NULL, 'cd04519', NULL, NULL, 'RasGAP', NULL, 'RasGAP', NULL, NULL, NULL, 1),
(2031, NULL, 'cd13972', NULL, NULL, 'UbiB', NULL, 'UbiB', NULL, NULL, 37478, 1),
(2032, NULL, 'cd08823', NULL, NULL, 'FMT_core_like_5', NULL, 'FMT_core_like_5', NULL, NULL, NULL, 1),
(2033, NULL, 'cd10448', NULL, NULL, 'GIY-YIG_unchar_3', NULL, 'GIY-YIG_unchar_3', NULL, NULL, NULL, 1),
(2034, NULL, 'cd18940', NULL, NULL, 'bHLH_TS_OLIG2', NULL, 'bHLH_TS_OLIG2', NULL, NULL, NULL, 1),
(2035, NULL, 'cd09462', NULL, NULL, 'LIM1_LIMK1', NULL, 'LIM1_LIMK1', NULL, NULL, NULL, 1),
(2036, NULL, 'cd13872', NULL, NULL, 'CuRO_2_AAO_like_1', NULL, 'CuRO_2_AAO_like_1', NULL, NULL, 25507, 1),
(2037, NULL, 'cd17435', NULL, NULL, 'MFS_GLUT12_Class3', NULL, 'MFS_GLUT12_Class3', NULL, NULL, NULL, 1),
(2038, NULL, 'cd18382', NULL, NULL, 'BTB_POZ_Kv6_KCNG', NULL, 'BTB_POZ_Kv6_KCNG', NULL, NULL, NULL, 1),
(2039, NULL, 'cd13124', NULL, NULL, 'MATE_SpoVB_like', NULL, 'MATE_SpoVB_like', NULL, NULL, 25926, 1),
(2040, NULL, 'cd04322', NULL, NULL, 'LysRS_N', NULL, 'LysRS_N', NULL, NULL, 38919, 1),
(2041, NULL, 'cd05259', NULL, NULL, 'PCBER_SDR_a', NULL, 'PCBER_SDR_a', NULL, NULL, 39283, 1),
(2042, NULL, 'cd05943', NULL, NULL, 'AACS', NULL, 'AACS', NULL, NULL, NULL, 1),
(2043, NULL, 'cd11771', NULL, NULL, 'SH3_Pex13p_fungal', NULL, 'SH3_Pex13p_fungal', NULL, NULL, NULL, 1),
(2044, NULL, 'cd02411', NULL, NULL, 'archeal_30S_S3_KH', NULL, 'archeal_30S_S3_KH', NULL, NULL, NULL, 1),
(2045, NULL, 'cd05494', NULL, NULL, 'Bromodomain_1', NULL, 'Bromodomain_1', NULL, NULL, NULL, 1),
(2046, NULL, 'cd06966', NULL, NULL, 'NR_DBD_CAR', NULL, 'NR_DBD_CAR', NULL, NULL, NULL, 1),
(2047, NULL, 'cd15920', NULL, NULL, '7tmA_GPR34-like', NULL, '7tmA_GPR34-like', NULL, NULL, NULL, 1),
(2048, NULL, 'cd08738', NULL, NULL, 'RGS_RGS7', NULL, 'RGS_RGS7', NULL, NULL, NULL, 1),
(2049, NULL, 'cd09938', NULL, NULL, 'SH2_N-SH2_Zap70_Syk_like', NULL, 'SH2_N-SH2_Zap70_Syk_like', NULL, NULL, 34012, 1),
(2050, NULL, 'cd10422', NULL, NULL, 'RNase_Ire1', NULL, 'RNase_Ire1', NULL, NULL, NULL, 1),
(2051, NULL, 'cd21659', NULL, NULL, 'betaCoV_Nsp14', NULL, 'betaCoV_Nsp14', NULL, NULL, 38743, 1),
(2052, NULL, 'cd07959', NULL, NULL, 'Anticodon_Ia_Leu_AEc', NULL, 'Anticodon_Ia_Leu_AEc', NULL, NULL, NULL, 1),
(2053, NULL, 'cd00894', NULL, NULL, 'PI3Kc_IB_gamma', NULL, 'PI3Kc_IB_gamma', NULL, NULL, NULL, 1),
(2054, NULL, 'cd09123', NULL, NULL, 'PLDc_Tdp1_2', NULL, 'PLDc_Tdp1_2', NULL, NULL, NULL, 1),
(2055, NULL, 'cd14334', NULL, NULL, 'UBA_SNF1_fungi', NULL, 'UBA_SNF1_fungi', NULL, NULL, 18037, 1),
(2056, NULL, 'cd15082', NULL, NULL, '7tmA_VA_opsin', NULL, '7tmA_VA_opsin', NULL, NULL, NULL, 1),
(2057, NULL, 'cd07665', NULL, NULL, 'BAR_SNX1', NULL, 'BAR_SNX1', NULL, NULL, NULL, 1),
(2058, NULL, 'cd09617', NULL, NULL, 'Peptidase_C12_UCH37_BAP1', NULL, 'Peptidase_C12_UCH37_BAP1', NULL, NULL, NULL, 1),
(2059, NULL, 'cd14691', NULL, NULL, 'bZIP_XBP1', NULL, 'bZIP_XBP1', NULL, NULL, NULL, 1),
(2060, NULL, 'cd12677', NULL, NULL, 'RRM4_Nop4p', NULL, 'RRM4_Nop4p', NULL, NULL, 35392, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2061, NULL, 'cd17407', NULL, NULL, 'MFS_MFSD11', NULL, 'MFS_MFSD11', NULL, NULL, NULL, 1),
(2062, NULL, 'cd15528', NULL, NULL, 'PHD1_PHF10', NULL, 'PHD1_PHF10', NULL, NULL, NULL, 1),
(2063, NULL, 'cd17718', NULL, NULL, 'BRCT_TopBP1_rpt3', NULL, 'BRCT_TopBP1_rpt3', NULL, NULL, NULL, 1),
(2064, NULL, 'cd15654', NULL, NULL, 'PHD3_NSD2', NULL, 'PHD3_NSD2', NULL, NULL, NULL, 1),
(2065, NULL, 'cd02783', NULL, NULL, 'MopB_CT_2', NULL, 'MopB_CT_2', NULL, NULL, NULL, 1),
(2066, NULL, 'cd09447', NULL, NULL, 'LIM_LASP', NULL, 'LIM_LASP', NULL, NULL, NULL, 1),
(2067, NULL, 'cd10564', NULL, NULL, 'NapF_like', NULL, 'NapF_like', NULL, NULL, 1528, 1),
(2068, NULL, 'cd11950', NULL, NULL, 'SH3_GRAP2_C', NULL, 'SH3_GRAP2_C', NULL, NULL, 30382, 1),
(2069, NULL, 'cd03758', NULL, NULL, 'proteasome_beta_type_2', NULL, 'proteasome_beta_type_2', NULL, NULL, 9346, 1),
(2070, NULL, 'cd11575', NULL, NULL, 'GH99_GH71_like_3', NULL, 'GH99_GH71_like_3', NULL, NULL, NULL, 1),
(2071, NULL, 'cd13949', NULL, NULL, '7tm_V1R_pheromone', NULL, '7tm_V1R_pheromone', NULL, NULL, NULL, 1),
(2072, NULL, 'cd06603', NULL, NULL, 'GH31_GANC_GANAB_alpha', NULL, 'GH31_GANC_GANAB_alpha', NULL, NULL, NULL, 1),
(2073, NULL, 'cd02420', NULL, NULL, 'Peptidase_C39D', NULL, 'Peptidase_C39D', NULL, NULL, NULL, 1),
(2074, NULL, 'cd21529', NULL, NULL, 'CoV_M', NULL, 'CoV_M', NULL, NULL, NULL, 1),
(2075, NULL, 'cd09145', NULL, NULL, 'PLDc_vPLD4_1', NULL, 'PLDc_vPLD4_1', NULL, NULL, NULL, 1),
(2076, NULL, 'cd02054', NULL, NULL, 'serpinA8_AGT', NULL, 'serpinA8_AGT', NULL, NULL, 34270, 1),
(2077, NULL, 'cd12881', NULL, NULL, 'SPRY_HERC1', NULL, 'SPRY_HERC1', NULL, NULL, 34865, 1),
(2078, NULL, 'cd17615', NULL, NULL, 'REC_OmpR_MtPhoP-like', NULL, 'REC_OmpR_MtPhoP-like', NULL, NULL, NULL, 1),
(2079, NULL, 'cd02775', NULL, NULL, 'MopB_CT', NULL, 'MopB_CT', NULL, NULL, NULL, 1),
(2080, NULL, 'cd03202', NULL, NULL, 'GST_C_etherase_LigE', NULL, 'GST_C_etherase_LigE', NULL, NULL, NULL, 1),
(2081, NULL, 'cd04114', NULL, NULL, 'Rab30', NULL, 'Rab30', NULL, NULL, 32972, 1),
(2082, NULL, 'cd11982', NULL, NULL, 'SH3_Shank1', NULL, 'SH3_Shank1', NULL, NULL, 30225, 1),
(2083, NULL, 'cd05679', NULL, NULL, 'M20_dipept_like', NULL, 'M20_dipept_like', NULL, NULL, NULL, 1),
(2084, NULL, 'cd15682', NULL, NULL, 'PHD_ING1', NULL, 'PHD_ING1', NULL, NULL, NULL, 1),
(2085, NULL, 'cd03328', NULL, NULL, 'MR_like_3', NULL, 'MR_like_3', NULL, NULL, NULL, 1),
(2086, NULL, 'cd18702', NULL, NULL, 'PIN_VapC_like', NULL, 'PIN_VapC_like', NULL, NULL, NULL, 1),
(2087, NULL, 'cd06492', NULL, NULL, 'p23_mNUDC_like', NULL, 'p23_mNUDC_like', NULL, NULL, NULL, 1),
(2088, NULL, 'cd19560', NULL, NULL, 'serpinB1_LEI', NULL, 'serpinB1_LEI', NULL, NULL, NULL, 1),
(2089, NULL, 'cd09823', NULL, NULL, 'peroxinectin_like', NULL, 'peroxinectin_like', NULL, NULL, NULL, 1),
(2090, NULL, 'cd05707', NULL, NULL, 'S1_Rrp5_repeat_sc11', NULL, 'S1_Rrp5_repeat_sc11', NULL, NULL, NULL, 1),
(2091, NULL, 'cd14293', NULL, NULL, 'UBA3_NUB1', NULL, 'UBA3_NUB1', NULL, NULL, NULL, 1),
(2092, NULL, 'cd18563', NULL, NULL, 'ABC_6TM_exporter_like', NULL, 'ABC_6TM_exporter_like', NULL, NULL, NULL, 1),
(2093, NULL, 'cd13976', NULL, NULL, 'PK_TRB', NULL, 'PK_TRB', NULL, NULL, NULL, 1),
(2094, NULL, 'cd13249', NULL, NULL, 'PH_rhotekin2', NULL, 'PH_rhotekin2', NULL, NULL, NULL, 1),
(2095, NULL, 'cd07169', NULL, NULL, 'NR_DBD_GCNF_like', NULL, 'NR_DBD_GCNF_like', NULL, NULL, NULL, 1),
(2096, NULL, 'cd10300', NULL, NULL, 'GST_C_CLIC1', NULL, 'GST_C_CLIC1', NULL, NULL, NULL, 1),
(2097, NULL, 'cd03470', NULL, NULL, 'Rieske_cytochrome_bc1', NULL, 'Rieske_cytochrome_bc1', NULL, NULL, NULL, 1),
(2098, NULL, 'cd14290', NULL, NULL, 'UBA_PUB_plant', NULL, 'UBA_PUB_plant', NULL, NULL, NULL, 1),
(2099, NULL, 'cd01105', NULL, NULL, 'HTH_GlnR-like', NULL, 'HTH_GlnR-like', NULL, NULL, NULL, 1),
(2100, NULL, 'cd03401', NULL, NULL, 'SPFH_prohibitin', NULL, 'SPFH_prohibitin', NULL, NULL, 1701, 1),
(2101, NULL, 'cd18029', NULL, NULL, 'DEXHc_XPB', NULL, 'DEXHc_XPB', NULL, NULL, NULL, 1),
(2102, NULL, 'cd11405', NULL, NULL, 'bHLHzip_MLXIP_like', NULL, 'bHLHzip_MLXIP_like', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2103, NULL, 'cd18923', NULL, NULL, 'bHLHzip_USF2', NULL, 'bHLHzip_USF2', NULL, NULL, NULL, 1),
(2104, NULL, 'cd15273', NULL, NULL, '7tmB1_NPR_B7_insect-like', NULL, '7tmB1_NPR_B7_insect-like', NULL, NULL, NULL, 1),
(2105, NULL, 'cd17085', NULL, NULL, 'RAWUL_PCGF6', NULL, 'RAWUL_PCGF6', NULL, NULL, NULL, 1),
(2106, NULL, 'cd11912', NULL, NULL, 'SH3_Bzz1_1', NULL, 'SH3_Bzz1_1', NULL, NULL, 15069, 1),
(2107, NULL, 'cd07872', NULL, NULL, 'STKc_PCTAIRE2', NULL, 'STKc_PCTAIRE2', NULL, NULL, NULL, 1),
(2108, NULL, 'cd07923', NULL, NULL, 'Gallate_dioxygenase_C', NULL, 'Gallate_dioxygenase_C', NULL, NULL, 12316, 1),
(2109, NULL, 'cd14071', NULL, NULL, 'STKc_SIK', NULL, 'STKc_SIK', NULL, NULL, 19311, 1),
(2110, NULL, 'cd09536', NULL, NULL, 'SAM_Ste50_fungal', NULL, 'SAM_Ste50_fungal', NULL, NULL, 13599, 1),
(2111, NULL, 'cd15452', NULL, NULL, '7tmC_mGluR4', NULL, '7tmC_mGluR4', NULL, NULL, NULL, 1),
(2112, NULL, 'cd07890', NULL, NULL, 'CYTH-like_AC_IV-like', NULL, 'CYTH-like_AC_IV-like', NULL, NULL, 7018, 1),
(2113, NULL, 'cd03823', NULL, NULL, 'GT4_ExpE7-like', NULL, 'GT4_ExpE7-like', NULL, NULL, NULL, 1),
(2114, NULL, 'cd02896', NULL, NULL, 'complement_C3_C4_C5', NULL, 'complement_C3_C4_C5', NULL, NULL, NULL, 1),
(2115, NULL, 'cd06071', NULL, NULL, 'Beach', NULL, 'Beach', NULL, NULL, 247, 1),
(2116, NULL, 'cd11489', NULL, NULL, 'SLC5sbd_SGLT5', NULL, 'SLC5sbd_SGLT5', NULL, NULL, NULL, 1),
(2117, NULL, 'cd11942', NULL, NULL, 'SH3_JIP2', NULL, 'SH3_JIP2', NULL, NULL, 30100, 1),
(2118, NULL, 'cd17335', NULL, NULL, 'MFS_MFSD6', NULL, 'MFS_MFSD6', NULL, NULL, NULL, 1),
(2119, NULL, 'cd08246', NULL, NULL, 'crotonyl_coA_red', NULL, 'crotonyl_coA_red', NULL, NULL, 2272, 1),
(2120, NULL, 'cd15140', NULL, NULL, '7tmA_PGD2', NULL, '7tmA_PGD2', NULL, NULL, NULL, 1),
(2121, NULL, 'cd06133', NULL, NULL, 'ERI-1_3''hExo_like', NULL, 'ERI-1_3''hExo_like', NULL, NULL, NULL, 1),
(2122, NULL, 'cd15508', NULL, NULL, 'PHD3_KMT2A_like', NULL, 'PHD3_KMT2A_like', NULL, NULL, NULL, 1),
(2123, NULL, 'cd18068', NULL, NULL, 'DEXHc_ATRX', NULL, 'DEXHc_ATRX', NULL, NULL, NULL, 1),
(2124, NULL, 'cd18078', NULL, NULL, 'DEXXQc_Mov10L1', NULL, 'DEXXQc_Mov10L1', NULL, NULL, NULL, 1),
(2125, NULL, 'cd19882', NULL, NULL, 'DSRM_STAU2_rpt2', NULL, 'DSRM_STAU2_rpt2', NULL, NULL, 38575, 1),
(2126, NULL, 'cd15096', NULL, NULL, '7tmA_AstA_R_insect', NULL, '7tmA_AstA_R_insect', NULL, NULL, NULL, 1),
(2127, NULL, 'cd09168', NULL, NULL, 'PLDc_PaPPK1_C2_like', NULL, 'PLDc_PaPPK1_C2_like', NULL, NULL, NULL, 1),
(2128, NULL, 'cd14502', NULL, NULL, 'RNA_5''-triphosphatase', NULL, 'RNA_5''-triphosphatase', NULL, NULL, NULL, 1),
(2129, NULL, 'cd00818', NULL, NULL, 'IleRS_core', NULL, 'IleRS_core', NULL, NULL, NULL, 1),
(2130, NULL, 'cd01091', NULL, NULL, 'CDC68-like', NULL, 'CDC68-like', NULL, NULL, 33420, 1),
(2131, NULL, 'cd09108', NULL, NULL, 'PLDc_PMFPLD_like_1', NULL, 'PLDc_PMFPLD_like_1', NULL, NULL, NULL, 1),
(2132, NULL, 'cd09609', NULL, NULL, 'M3B_PepF', NULL, 'M3B_PepF', NULL, NULL, 34121, 1),
(2133, NULL, 'cd10427', NULL, NULL, 'FGGY_GK_1', NULL, 'FGGY_GK_1', NULL, NULL, NULL, 1),
(2134, NULL, 'cd00019', NULL, NULL, 'AP2Ec', NULL, 'AP2Ec', NULL, NULL, 3433, 1),
(2135, NULL, 'cd03479', NULL, NULL, 'Rieske_RO_Alpha_PhDO_like', NULL, 'Rieske_RO_Alpha_PhDO_like', NULL, NULL, NULL, 1),
(2136, NULL, 'cd07621', NULL, NULL, 'BAR_SNX5_6', NULL, 'BAR_SNX5_6', NULL, NULL, NULL, 1),
(2137, NULL, 'cd14891', NULL, NULL, 'MYSc_Myo30', NULL, 'MYSc_Myo30', NULL, NULL, NULL, 1),
(2138, NULL, 'cd04271', NULL, NULL, 'ZnMc_ADAM_fungal', NULL, 'ZnMc_ADAM_fungal', NULL, NULL, 14977, 1),
(2139, NULL, 'cd09454', NULL, NULL, 'LIM1_ZASP_Cypher', NULL, 'LIM1_ZASP_Cypher', NULL, NULL, NULL, 1),
(2140, NULL, 'cd16915', NULL, NULL, 'HATPase_DpiB-CitA-like', NULL, 'HATPase_DpiB-CitA-like', NULL, NULL, NULL, 1),
(2141, NULL, 'cd07658', NULL, NULL, 'F-BAR_NOSTRIN', NULL, 'F-BAR_NOSTRIN', NULL, NULL, NULL, 1),
(2142, NULL, 'cd17501', NULL, NULL, 'RMtype1_S_Vch69ORF1407P_TRD2-CR2_like', NULL, 'RMtype1_S_Vch69ORF1407P_TRD2-CR2_like', NULL, NULL, NULL, 1),
(2143, NULL, 'cd06386', NULL, NULL, 'PBP1_NPR_C', NULL, 'PBP1_NPR_C', NULL, NULL, NULL, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2144, NULL, 'cd16325', NULL, NULL, 'LolA', NULL, 'LolA', NULL, NULL, 756, 1),
(2145, NULL, 'cd05347', NULL, NULL, 'Ga5DH-like_SDR_c', NULL, 'Ga5DH-like_SDR_c', NULL, NULL, NULL, 1),
(2146, NULL, 'cd16387', NULL, NULL, 'ParB_N_Srx', NULL, 'ParB_N_Srx', NULL, NULL, NULL, 1),
(2147, NULL, 'cd02848', NULL, NULL, 'E_set_Chitinase_N', NULL, 'E_set_Chitinase_N', NULL, NULL, NULL, 1),
(2148, NULL, 'cd14113', NULL, NULL, 'STKc_Trio_C', NULL, 'STKc_Trio_C', NULL, NULL, NULL, 1),
(2149, NULL, 'cd05235', NULL, NULL, 'SDR_e1', NULL, 'SDR_e1', NULL, NULL, 2379, 1),
(2150, NULL, 'cd12291', NULL, NULL, 'RRM1_La', NULL, 'RRM1_La', NULL, NULL, NULL, 1),
(2151, NULL, 'cd09247', NULL, NULL, 'BRO1_Alix_like_2', NULL, 'BRO1_Alix_like_2', NULL, NULL, NULL, 1),
(2152, NULL, 'cd04630', NULL, NULL, 'CBS_pair_bac', NULL, 'CBS_pair_bac', NULL, NULL, NULL, 1),
(2153, NULL, 'cd05042', NULL, NULL, 'PTKc_Aatyk', NULL, 'PTKc_Aatyk', NULL, NULL, NULL, 1),
(2154, NULL, 'cd05008', NULL, NULL, 'SIS_GlmS_GlmD_1', NULL, 'SIS_GlmS_GlmD_1', NULL, NULL, 35122, 1),
(2155, NULL, 'cd06812', NULL, NULL, 'PLPDE_III_DSD_D-TA_like_1', NULL, 'PLPDE_III_DSD_D-TA_like_1', NULL, NULL, NULL, 1),
(2156, NULL, 'cd14112', NULL, NULL, 'STKc_Unc-89_rpt2', NULL, 'STKc_Unc-89_rpt2', NULL, NULL, NULL, 1),
(2157, NULL, 'cd18628', NULL, NULL, 'CD3_cpSRP43_like', NULL, 'CD3_cpSRP43_like', NULL, NULL, NULL, 1),
(2158, NULL, 'cd20485', NULL, NULL, 'USP25_USP28_C-like', NULL, 'USP25_USP28_C-like', NULL, NULL, NULL, 1),
(2159, NULL, 'cd18389', NULL, NULL, 'BTB_POZ_KCTD2', NULL, 'BTB_POZ_KCTD2', NULL, NULL, NULL, 1),
(2160, NULL, 'cd13190', NULL, NULL, 'FERM_C_FAK1', NULL, 'FERM_C_FAK1', NULL, NULL, 32210, 1),
(2161, NULL, 'cd07844', NULL, NULL, 'STKc_PCTAIRE_like', NULL, 'STKc_PCTAIRE_like', NULL, NULL, NULL, 1),
(2162, NULL, 'cd07496', NULL, NULL, 'Peptidases_S8_13', NULL, 'Peptidases_S8_13', NULL, NULL, 23291, 1),
(2163, NULL, 'cd06307', NULL, NULL, 'PBP1_sugar_binding', NULL, 'PBP1_sugar_binding', NULL, NULL, NULL, 1),
(2164, NULL, 'cd13831', NULL, NULL, 'HU', NULL, 'HU', NULL, NULL, NULL, 1),
(2165, NULL, 'cd15658', NULL, NULL, 'PHD4_NSD3', NULL, 'PHD4_NSD3', NULL, NULL, NULL, 1),
(2166, NULL, 'cd02862', NULL, NULL, 'NorE_like', NULL, 'NorE_like', NULL, NULL, NULL, 1),
(2167, NULL, 'cd06503', NULL, NULL, 'ATP-synt_Fo_b', NULL, 'ATP-synt_Fo_b', NULL, NULL, NULL, 1),
(2168, NULL, 'cd08663', NULL, NULL, 'DAP_dppA_1', NULL, 'DAP_dppA_1', NULL, NULL, NULL, 1),
(2169, NULL, 'cd05530', NULL, NULL, 'POLBc_B1', NULL, 'POLBc_B1', NULL, NULL, NULL, 1),
(2170, NULL, 'cd05821', NULL, NULL, 'TLP_Transthyretin', NULL, 'TLP_Transthyretin', NULL, NULL, NULL, 1),
(2171, NULL, 'cd15085', NULL, NULL, '7tmA_Parietopsin', NULL, '7tmA_Parietopsin', NULL, NULL, NULL, 1),
(2172, NULL, 'cd15721', NULL, NULL, 'FYVE_RUFY1_like', NULL, 'FYVE_RUFY1_like', NULL, NULL, NULL, 1),
(2173, NULL, 'cd05282', NULL, NULL, 'ETR_like', NULL, 'ETR_like', NULL, NULL, NULL, 1),
(2174, NULL, 'cd14900', NULL, NULL, 'MYSc_Myo39', NULL, 'MYSc_Myo39', NULL, NULL, NULL, 1),
(2175, NULL, 'cd16897', NULL, NULL, 'LYZ_C', NULL, 'LYZ_C', NULL, NULL, NULL, 1),
(2176, NULL, 'cd07684', NULL, NULL, 'F-BAR_srGAP3', NULL, 'F-BAR_srGAP3', NULL, NULL, NULL, 1),
(2177, NULL, 'cd13128', NULL, NULL, 'MATE_Wzx_like', NULL, 'MATE_Wzx_like', NULL, NULL, NULL, 1),
(2178, NULL, 'cd16435', NULL, NULL, 'BPL_LplA_LipB', NULL, 'BPL_LplA_LipB', NULL, NULL, NULL, 1),
(2179, NULL, 'cd08548', NULL, NULL, 'Type_I_cohesin_like', NULL, 'Type_I_cohesin_like', NULL, NULL, NULL, 1),
(2180, NULL, 'cd18104', NULL, NULL, 'SpoU-like_RNA-MTase', NULL, 'SpoU-like_RNA-MTase', NULL, NULL, NULL, 1),
(2181, NULL, 'cd19701', NULL, NULL, 'bHLH_TS_HEN1', NULL, 'bHLH_TS_HEN1', NULL, NULL, NULL, 1),
(2182, NULL, 'cd10298', NULL, NULL, 'GST_C_CLIC2', NULL, 'GST_C_CLIC2', NULL, NULL, NULL, 1),
(2183, NULL, 'cd09906', NULL, NULL, 'H3TH_YEN1', NULL, 'H3TH_YEN1', NULL, NULL, 35409, 1),
(2184, NULL, 'cd05929', NULL, NULL, 'BACL_like', NULL, 'BACL_like', NULL, NULL, NULL, 1),
(2185, NULL, 'cd14090', NULL, NULL, 'STKc_Mnk', NULL, 'STKc_Mnk', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2186, NULL, 'cd04974', NULL, NULL, 'Ig3_FGFR', NULL, 'Ig3_FGFR', NULL, NULL, NULL, 1),
(2187, NULL, 'cd08828', NULL, NULL, 'SPFH_SLP-3', NULL, 'SPFH_SLP-3', NULL, NULL, NULL, 1),
(2188, NULL, 'cd15925', NULL, NULL, '7tmA_RNL3R2', NULL, '7tmA_RNL3R2', NULL, NULL, NULL, 1),
(2189, NULL, 'cd06490', NULL, NULL, 'p23_NCB5OR', NULL, 'p23_NCB5OR', NULL, NULL, 31278, 1),
(2190, NULL, 'cd07689', NULL, NULL, 'Ig_VCAM-1', NULL, 'Ig_VCAM-1', NULL, NULL, NULL, 1),
(2191, NULL, 'cd19215', NULL, NULL, 'PR-SET_ZFPM1', NULL, 'PR-SET_ZFPM1', NULL, NULL, NULL, 1),
(2192, NULL, 'cd04230', NULL, NULL, 'Sulfocyanin', NULL, 'Sulfocyanin', NULL, NULL, 20065, 1),
(2193, NULL, 'cd08769', NULL, NULL, 'DAP_dppA_2', NULL, 'DAP_dppA_2', NULL, NULL, NULL, 1),
(2194, NULL, 'cd11492', NULL, NULL, 'SLC5sbd_NIS-SMVT', NULL, 'SLC5sbd_NIS-SMVT', NULL, NULL, NULL, 1),
(2195, NULL, 'cd15860', NULL, NULL, 'SNARE_USE1', NULL, 'SNARE_USE1', NULL, NULL, NULL, 1),
(2196, NULL, 'cd19357', NULL, NULL, 'TenA_E_At3g16990-like', NULL, 'TenA_E_At3g16990-like', NULL, NULL, NULL, 1),
(2197, NULL, 'cd08667', NULL, NULL, 'APC10-ZZEF1', NULL, 'APC10-ZZEF1', NULL, NULL, NULL, 1),
(2198, NULL, 'cd06359', NULL, NULL, 'PBP1_Nba-like', NULL, 'PBP1_Nba-like', NULL, NULL, NULL, 1),
(2199, NULL, 'cd08418', NULL, NULL, 'PBP2_TdcA', NULL, 'PBP2_TdcA', NULL, NULL, NULL, 1),
(2200, NULL, 'cd06374', NULL, NULL, 'PBP1_mGluR_groupI', NULL, 'PBP1_mGluR_groupI', NULL, NULL, NULL, 1),
(2201, NULL, 'cd13382', NULL, NULL, 'PH_OCRL1', NULL, 'PH_OCRL1', NULL, NULL, 34571, 1),
(2202, NULL, 'cd05697', NULL, NULL, 'S1_Rrp5_repeat_hs5', NULL, 'S1_Rrp5_repeat_hs5', NULL, NULL, NULL, 1),
(2203, NULL, 'cd09158', NULL, NULL, 'PLDc_EcCLS_like_2', NULL, 'PLDc_EcCLS_like_2', NULL, NULL, NULL, 1),
(2204, NULL, 'cd02022', NULL, NULL, 'DPCK', NULL, 'DPCK', NULL, NULL, NULL, 1),
(2205, NULL, 'cd18688', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(2206, NULL, 'cd11731', NULL, NULL, 'Lin1944_like_SDR_c', NULL, 'Lin1944_like_SDR_c', NULL, NULL, NULL, 1),
(2207, NULL, 'cd04594', NULL, NULL, 'CBS_pair_voltage-gated_CLC_archaea', NULL, 'CBS_pair_voltage-gated_CLC_archaea', NULL, NULL, NULL, 1),
(2208, NULL, 'cd16533', NULL, NULL, 'RING-HC_RNF4', NULL, 'RING-HC_RNF4', NULL, NULL, 37109, 1),
(2209, NULL, 'cd05388', NULL, NULL, 'CobB_N', NULL, 'CobB_N', NULL, NULL, NULL, 1),
(2210, NULL, 'cd17164', NULL, NULL, 'RAWUL_PCGF2', NULL, 'RAWUL_PCGF2', NULL, NULL, NULL, 1),
(2211, NULL, 'cd10022', NULL, NULL, '14-3-3_beta_zeta', NULL, '14-3-3_beta_zeta', NULL, NULL, NULL, 1),
(2212, NULL, 'cd12070', NULL, NULL, 'SH3_ARHGAP12', NULL, 'SH3_ARHGAP12', NULL, NULL, 16567, 1),
(2213, NULL, 'cd08765', NULL, NULL, 'Cyt_b561_CYBRD1', NULL, 'Cyt_b561_CYBRD1', NULL, NULL, NULL, 1),
(2214, NULL, 'cd00299', NULL, NULL, 'GST_C_family', NULL, 'GST_C_family', NULL, NULL, NULL, 1),
(2215, NULL, 'cd00212', NULL, NULL, 'PTS_IIB_glc', NULL, 'PTS_IIB_glc', NULL, NULL, 829, 1),
(2216, NULL, 'cd18438', NULL, NULL, 'BRCT_BRC1_like_rpt4', NULL, 'BRCT_BRC1_like_rpt4', NULL, NULL, NULL, 1),
(2217, NULL, 'cd17015', NULL, NULL, 'ING_plant', NULL, 'ING_plant', NULL, NULL, NULL, 1),
(2218, NULL, 'cd12830', NULL, NULL, 'MtCorA-like', NULL, 'MtCorA-like', NULL, NULL, NULL, 1),
(2219, NULL, 'cd17788', NULL, NULL, 'CBS_pair_bac', NULL, 'CBS_pair_bac', NULL, NULL, NULL, 1),
(2220, NULL, 'cd11802', NULL, NULL, 'SH3_Endophilin_B', NULL, 'SH3_Endophilin_B', NULL, NULL, NULL, 1),
(2221, NULL, 'cd09288', NULL, NULL, 'Photosystem-II_D2', NULL, 'Photosystem-II_D2', NULL, NULL, 6553, 1),
(2222, NULL, 'cd19055', NULL, NULL, 'LGIC_TM_GABAAR_delta', NULL, 'LGIC_TM_GABAAR_delta', NULL, NULL, NULL, 1),
(2223, NULL, 'cd01494', NULL, NULL, 'AAT_I', NULL, 'AAT_I', NULL, NULL, NULL, 1),
(2224, NULL, 'cd14570', NULL, NULL, 'DSP_slingshot_1', NULL, 'DSP_slingshot_1', NULL, NULL, NULL, 1),
(2225, NULL, 'cd00588', NULL, NULL, 'CheW_like', NULL, 'CheW_like', NULL, NULL, NULL, 1),
(2226, NULL, 'cd05152', NULL, NULL, 'MPH2''', NULL, 'MPH2''', NULL, NULL, NULL, 1),
(2227, NULL, 'cd12897', NULL, NULL, 'SPRY_PRY_TRIM50_72', NULL, 'SPRY_PRY_TRIM50_72', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2228, NULL, 'cd20073', NULL, NULL, 'SET_SUV39H_Clr4-like', NULL, 'SET_SUV39H_Clr4-like', NULL, NULL, NULL, 1),
(2229, NULL, 'cd04678', NULL, NULL, 'Nudix_Hydrolase_19', NULL, 'Nudix_Hydrolase_19', NULL, NULL, NULL, 1),
(2230, NULL, 'cd17051', NULL, NULL, 'Ubl2_ANKUB1', NULL, 'Ubl2_ANKUB1', NULL, NULL, NULL, 1),
(2231, NULL, 'cd04737', NULL, NULL, 'LOX_like_FMN', NULL, 'LOX_like_FMN', NULL, NULL, NULL, 1),
(2232, NULL, 'cd12164', NULL, NULL, 'GDH_like_2', NULL, 'GDH_like_2', NULL, NULL, NULL, 1),
(2233, NULL, 'cd17239', NULL, NULL, 'FERM_F1_Ezrin', NULL, 'FERM_F1_Ezrin', NULL, NULL, NULL, 1),
(2234, NULL, 'cd13263', NULL, NULL, 'PH_RhoGap25-like', NULL, 'PH_RhoGap25-like', NULL, NULL, NULL, 1),
(2235, NULL, 'cd14345', NULL, NULL, 'UBA_UBXD7', NULL, 'UBA_UBXD7', NULL, NULL, NULL, 1),
(2236, NULL, 'cd00853', NULL, NULL, 'NifX', NULL, 'NifX', NULL, NULL, 13588, 1),
(2237, NULL, 'cd05804', NULL, NULL, 'StaR_like', NULL, 'StaR_like', NULL, NULL, 34079, 1),
(2238, NULL, 'cd18996', NULL, NULL, 'LGIC_ECD_5-HT3', NULL, 'LGIC_ECD_5-HT3', NULL, NULL, NULL, 1),
(2239, NULL, 'cd05584', NULL, NULL, 'STKc_p70S6K', NULL, 'STKc_p70S6K', NULL, NULL, NULL, 1),
(2240, NULL, 'cd17786', NULL, NULL, 'CBS_pair_Thermoplasmatales', NULL, 'CBS_pair_Thermoplasmatales', NULL, NULL, NULL, 1),
(2241, NULL, 'cd06637', NULL, NULL, 'STKc_TNIK', NULL, 'STKc_TNIK', NULL, NULL, NULL, 1),
(2242, NULL, 'cd06916', NULL, NULL, 'NR_DBD_like', NULL, 'NR_DBD_like', NULL, NULL, NULL, 1),
(2243, NULL, 'cd07947', NULL, NULL, 'DRE_TIM_Re_CS', NULL, 'DRE_TIM_Re_CS', NULL, NULL, NULL, 1),
(2244, NULL, 'cd00780', NULL, NULL, 'NTF2', NULL, 'NTF2', NULL, NULL, 7747, 1),
(2245, NULL, 'cd04121', NULL, NULL, 'Rab40', NULL, 'Rab40', NULL, NULL, NULL, 1),
(2246, NULL, 'cd14204', NULL, NULL, 'PTKc_Mer', NULL, 'PTKc_Mer', NULL, NULL, NULL, 1),
(2247, NULL, 'cd07055', NULL, NULL, 'BMC_like_2', NULL, 'BMC_like_2', NULL, NULL, NULL, 1),
(2248, NULL, 'cd03582', NULL, NULL, 'NTR_complement_C5', NULL, 'NTR_complement_C5', NULL, NULL, NULL, 1),
(2249, NULL, 'cd07679', NULL, NULL, 'F-BAR_PACSIN2', NULL, 'F-BAR_PACSIN2', NULL, NULL, 30945, 1),
(2250, NULL, 'cd15639', NULL, NULL, 'PHD_DIDO1_like', NULL, 'PHD_DIDO1_like', NULL, NULL, NULL, 1),
(2251, NULL, 'cd16539', NULL, NULL, 'RING-HC_RNF113A_B', NULL, 'RING-HC_RNF113A_B', NULL, NULL, NULL, 1),
(2252, NULL, 'cd07323', NULL, NULL, 'LAM', NULL, 'LAM', NULL, NULL, NULL, 1),
(2253, NULL, 'cd10365', NULL, NULL, 'SH2_Src_Src', NULL, 'SH2_Src_Src', NULL, NULL, NULL, 1),
(2254, NULL, 'cd08244', NULL, NULL, 'MDR_enoyl_red', NULL, 'MDR_enoyl_red', NULL, NULL, NULL, 1),
(2255, NULL, 'cd15322', NULL, NULL, '7tmA_alpha2A_AR', NULL, '7tmA_alpha2A_AR', NULL, NULL, NULL, 1),
(2256, NULL, 'cd00859', NULL, NULL, 'HisRS_anticodon', NULL, 'HisRS_anticodon', NULL, NULL, 31726, 1),
(2257, NULL, 'cd20259', NULL, NULL, 'pgc', NULL, 'pgc', NULL, NULL, NULL, 1),
(2258, NULL, 'cd04484', NULL, NULL, 'polC_OBF', NULL, 'polC_OBF', NULL, NULL, NULL, 1),
(2259, NULL, 'cd18000', NULL, NULL, 'DEXHc_ERCC6', NULL, 'DEXHc_ERCC6', NULL, NULL, NULL, 1),
(2260, NULL, 'cd13869', NULL, NULL, 'CuRO_2_PHS', NULL, 'CuRO_2_PHS', NULL, NULL, NULL, 1),
(2261, NULL, 'cd16597', NULL, NULL, 'RING-HC_TRIM25_C-IV', NULL, 'RING-HC_TRIM25_C-IV', NULL, NULL, NULL, 1),
(2262, NULL, 'cd04968', NULL, NULL, 'Ig3_Contactin', NULL, 'Ig3_Contactin', NULL, NULL, NULL, 1),
(2263, NULL, 'cd17491', NULL, NULL, 'MFS_MFSD12', NULL, 'MFS_MFSD12', NULL, NULL, NULL, 1),
(2264, NULL, 'cd13286', NULL, NULL, 'PH_OPR5_ORP8', NULL, 'PH_OPR5_ORP8', NULL, NULL, NULL, 1),
(2265, NULL, 'cd08531', NULL, NULL, 'SAM_PNT-ERG_FLI-1', NULL, 'SAM_PNT-ERG_FLI-1', NULL, NULL, NULL, 1),
(2266, NULL, 'cd00633', NULL, NULL, 'Secretoglobin', NULL, 'Secretoglobin', NULL, NULL, 11452, 1),
(2267, NULL, 'cd01750', NULL, NULL, 'GATase1_CobQ', NULL, 'GATase1_CobQ', NULL, NULL, 35234, 1),
(2268, NULL, 'cd09361', NULL, NULL, 'LIM1_Enigma_like', NULL, 'LIM1_Enigma_like', NULL, NULL, NULL, 1),
(2269, NULL, 'cd08997', NULL, NULL, 'GH68', NULL, 'GH68', NULL, NULL, 6405, 1),
(2270, NULL, 'cd18536', NULL, NULL, 'PTP-IVa2', NULL, 'PTP-IVa2', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2271, NULL, 'cd12948', NULL, NULL, 'NOPS_PSF', NULL, 'NOPS_PSF', NULL, NULL, 34915, 1),
(2272, NULL, 'cd03498', NULL, NULL, 'SQR_TypeB_2_TM', NULL, 'SQR_TypeB_2_TM', NULL, NULL, NULL, 1),
(2273, NULL, 'cd06902', NULL, NULL, 'lectin_ERGIC-53_ERGL', NULL, 'lectin_ERGIC-53_ERGL', NULL, NULL, NULL, 1),
(2274, NULL, 'cd09559', NULL, NULL, 'SAM_SASH1_repeat1', NULL, 'SAM_SASH1_repeat1', NULL, NULL, 34844, 1),
(2275, NULL, 'cd04217', NULL, NULL, 'Cupredoxin_Fibrocystin-L_like', NULL, 'Cupredoxin_Fibrocystin-L_like', NULL, NULL, NULL, 1),
(2276, NULL, 'cd14589', NULL, NULL, 'PTP-MTMR13', NULL, 'PTP-MTMR13', NULL, NULL, NULL, 1),
(2277, NULL, 'cd14794', NULL, NULL, 'RNLA_N_1', NULL, 'RNLA_N_1', NULL, NULL, NULL, 1),
(2278, NULL, 'cd11437', NULL, NULL, 'bHLH-PAS_ARNT_like', NULL, 'bHLH-PAS_ARNT_like', NULL, NULL, NULL, 1),
(2279, NULL, 'cd14973', NULL, NULL, '7tmA_Mrgpr', NULL, '7tmA_Mrgpr', NULL, NULL, NULL, 1),
(2280, NULL, 'cd15030', NULL, NULL, '7tmF_SMO_homolog', NULL, '7tmF_SMO_homolog', NULL, NULL, 29064, 1),
(2281, NULL, 'cd15898', NULL, NULL, 'EFh_PI-PLC', NULL, 'EFh_PI-PLC', NULL, NULL, NULL, 1),
(2282, NULL, 'cd04035', NULL, NULL, 'C2A_Rabphilin_Doc2', NULL, 'C2A_Rabphilin_Doc2', NULL, NULL, NULL, 1),
(2283, NULL, 'cd11569', NULL, NULL, 'FAT-like_BCAR1_C', NULL, 'FAT-like_BCAR1_C', NULL, NULL, NULL, 1),
(2284, NULL, 'cd10350', NULL, NULL, 'SH2_SH2D4A', NULL, 'SH2_SH2D4A', NULL, NULL, NULL, 1),
(2285, NULL, 'cd13913', NULL, NULL, 'ba3_CcO_II_C', NULL, 'ba3_CcO_II_C', NULL, NULL, 31872, 1),
(2286, NULL, 'cd13217', NULL, NULL, 'PH-GRAM1_TCB1D8_TCB1D9_family', NULL, 'PH-GRAM1_TCB1D8_TCB1D9_family', NULL, NULL, NULL, 1),
(2287, NULL, 'cd11888', NULL, NULL, 'SH3_ARHGAP9_like', NULL, 'SH3_ARHGAP9_like', NULL, NULL, NULL, 1),
(2288, NULL, 'cd12493', NULL, NULL, 'RRM2_DND1', NULL, 'RRM2_DND1', NULL, NULL, NULL, 1),
(2289, NULL, 'cd15825', NULL, NULL, 'SPRY_PRY_TRIM34', NULL, 'SPRY_PRY_TRIM34', NULL, NULL, 33756, 1),
(2290, NULL, 'cd15339', NULL, NULL, '7tmA_MCHR2', NULL, '7tmA_MCHR2', NULL, NULL, NULL, 1),
(2291, NULL, 'cd13628', NULL, NULL, 'PBP2_Ala', NULL, 'PBP2_Ala', NULL, NULL, NULL, 1),
(2292, NULL, 'cd15058', NULL, NULL, '7tmA_Beta_AR', NULL, '7tmA_Beta_AR', NULL, NULL, NULL, 1),
(2293, NULL, 'cd16138', NULL, NULL, 'RA_MRL_MIG10', NULL, 'RA_MRL_MIG10', NULL, NULL, NULL, 1),
(2294, NULL, 'cd00064', NULL, NULL, 'FU', NULL, 'FU', NULL, NULL, 11382, 1),
(2295, NULL, 'cd00501', NULL, NULL, 'Peptidase_C15', NULL, 'Peptidase_C15', NULL, NULL, 6754, 1),
(2296, NULL, 'cd01122', NULL, NULL, 'GP4d_helicase', NULL, 'GP4d_helicase', NULL, NULL, NULL, 1),
(2297, NULL, 'cd02800', NULL, NULL, 'tRNA_bind_EcMetRS_like', NULL, 'tRNA_bind_EcMetRS_like', NULL, NULL, 1592, 1),
(2298, NULL, 'cd16423', NULL, NULL, 'HAD_BPGM-like', NULL, 'HAD_BPGM-like', NULL, NULL, NULL, 1),
(2299, NULL, 'cd15437', NULL, NULL, '7tmB2_ETL', NULL, '7tmB2_ETL', NULL, NULL, NULL, 1),
(2300, NULL, 'cd01719', NULL, NULL, 'Sm_G', NULL, 'Sm_G', NULL, NULL, 11459, 1),
(2301, NULL, 'cd16730', NULL, NULL, 'RING-HC_MKRN1_3', NULL, 'RING-HC_MKRN1_3', NULL, NULL, NULL, 1),
(2302, NULL, 'cd09695', NULL, NULL, 'Csx16_III-U', NULL, 'Csx16_III-U', NULL, NULL, NULL, 1),
(2303, NULL, 'cd15376', NULL, NULL, '7tmA_P2Y11', NULL, '7tmA_P2Y11', NULL, NULL, NULL, 1),
(2304, NULL, 'cd08065', NULL, NULL, 'MPN_eIF3h', NULL, 'MPN_eIF3h', NULL, NULL, 26989, 1),
(2305, NULL, 'cd10533', NULL, NULL, 'SET_EHMT2', NULL, 'SET_EHMT2', NULL, NULL, NULL, 1),
(2306, NULL, 'cd00308', NULL, NULL, 'enolase_like', NULL, 'enolase_like', NULL, NULL, NULL, 1),
(2307, NULL, 'cd19805', NULL, NULL, 'Bbox1_TIF1', NULL, 'Bbox1_TIF1', NULL, NULL, NULL, 1),
(2308, NULL, 'cd02240', NULL, NULL, 'cupin_OxDC', NULL, 'cupin_OxDC', NULL, NULL, NULL, 1),
(2309, NULL, 'cd13517', NULL, NULL, 'PBP2_ModA3_like', NULL, 'PBP2_ModA3_like', NULL, NULL, NULL, 1),
(2310, NULL, 'cd01576', NULL, NULL, 'AcnB_Swivel', NULL, 'AcnB_Swivel', NULL, NULL, 9594, 1),
(2311, NULL, 'cd16438', NULL, NULL, 'beta_Kdo_transferase_KpsS_like', NULL, 'beta_Kdo_transferase_KpsS_like', NULL, NULL, NULL, 1),
(2312, NULL, 'cd20237', NULL, NULL, 'PFM_LIN24-like', NULL, 'PFM_LIN24-like', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2313, NULL, 'cd14477', NULL, NULL, 'SPX_XPR1_like', NULL, 'SPX_XPR1_like', NULL, NULL, NULL, 1),
(2314, NULL, 'cd13177', NULL, NULL, 'RanBD2_RanBP2-like', NULL, 'RanBD2_RanBP2-like', NULL, NULL, NULL, 1),
(2315, NULL, 'cd01657', NULL, NULL, 'Ribosomal_L7_archeal_euk', NULL, 'Ribosomal_L7_archeal_euk', NULL, NULL, 30117, 1),
(2316, NULL, 'cd16869', NULL, NULL, 'ARID_ARID5', NULL, 'ARID_ARID5', NULL, NULL, NULL, 1),
(2317, NULL, 'cd16305', NULL, NULL, 'Sfh-1-like_MBL-B2', NULL, 'Sfh-1-like_MBL-B2', NULL, NULL, NULL, 1),
(2318, NULL, 'cd18687', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(2319, NULL, 'cd01041', NULL, NULL, 'Rubrerythrin', NULL, 'Rubrerythrin', NULL, NULL, 2865, 1),
(2320, NULL, 'cd13852', NULL, NULL, 'CuRO_1_McoP_like', NULL, 'CuRO_1_McoP_like', NULL, NULL, NULL, 1),
(2321, NULL, 'cd14584', NULL, NULL, 'PTP-MTMR8', NULL, 'PTP-MTMR8', NULL, NULL, NULL, 1),
(2322, NULL, 'cd12553', NULL, NULL, 'RRM1_RBM15', NULL, 'RRM1_RBM15', NULL, NULL, 11825, 1),
(2323, NULL, 'cd15870', NULL, NULL, 'R-SNARE_VAMP2', NULL, 'R-SNARE_VAMP2', NULL, NULL, NULL, 1),
(2324, NULL, 'cd07264', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(2325, NULL, 'cd12483', NULL, NULL, 'RRM1_hnRNPQ', NULL, 'RRM1_hnRNPQ', NULL, NULL, 3314, 1),
(2326, NULL, 'cd12954', NULL, NULL, 'MMP_TTHA0227_like_1', NULL, 'MMP_TTHA0227_like_1', NULL, NULL, NULL, 1),
(2327, NULL, 'cd16113', NULL, NULL, 'DCX2_DCDC2_like', NULL, 'DCX2_DCDC2_like', NULL, NULL, NULL, 1),
(2328, NULL, 'cd13228', NULL, NULL, 'PHear_NECAP', NULL, 'PHear_NECAP', NULL, NULL, 14786, 1),
(2329, NULL, 'cd15821', NULL, NULL, 'SPRY_PRY_RFPL', NULL, 'SPRY_PRY_RFPL', NULL, NULL, 33761, 1),
(2330, NULL, 'cd05294', NULL, NULL, 'LDH-like_MDH_nadp', NULL, 'LDH-like_MDH_nadp', NULL, NULL, NULL, 1),
(2331, NULL, 'cd09143', NULL, NULL, 'PLDc_vPLD1_2_like_bac_2', NULL, 'PLDc_vPLD1_2_like_bac_2', NULL, NULL, NULL, 1),
(2332, NULL, 'cd01531', NULL, NULL, 'Acr2p', NULL, 'Acr2p', NULL, NULL, NULL, 1),
(2333, NULL, 'cd18936', NULL, NULL, 'bHLH_TS_MYOD1_Myf3', NULL, 'bHLH_TS_MYOD1_Myf3', NULL, NULL, NULL, 1),
(2334, NULL, 'cd04671', NULL, NULL, 'Nudix_Hydrolase_13', NULL, 'Nudix_Hydrolase_13', NULL, NULL, 37628, 1),
(2335, NULL, 'cd15051', NULL, NULL, '7tmA_Histamine_H2R', NULL, '7tmA_Histamine_H2R', NULL, NULL, NULL, 1),
(2336, NULL, 'cd04897', NULL, NULL, 'ACT_ACR_3', NULL, 'ACT_ACR_3', NULL, NULL, NULL, 1),
(2337, NULL, 'cd18741', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(2338, NULL, 'cd03524', NULL, NULL, 'RPA2_OBF_family', NULL, 'RPA2_OBF_family', NULL, NULL, NULL, 1),
(2339, NULL, 'cd11959', NULL, NULL, 'SH3_Cortactin', NULL, 'SH3_Cortactin', NULL, NULL, 33653, 1),
(2340, NULL, 'cd00672', NULL, NULL, 'CysRS_core', NULL, 'CysRS_core', NULL, NULL, 18961, 1),
(2341, NULL, 'cd17073', NULL, NULL, 'KHA', NULL, 'KHA', NULL, NULL, NULL, 1),
(2342, NULL, 'cd02028', NULL, NULL, 'UMPK_like', NULL, 'UMPK_like', NULL, NULL, NULL, 1),
(2343, NULL, 'cd08037', NULL, NULL, 'LARP_1', NULL, 'LARP_1', NULL, NULL, NULL, 1),
(2344, NULL, 'cd03894', NULL, NULL, 'M20_ArgE', NULL, 'M20_ArgE', NULL, NULL, NULL, 1),
(2345, NULL, 'cd05652', NULL, NULL, 'M20_ArgE_DapE-like_fungal', NULL, 'M20_ArgE_DapE-like_fungal', NULL, NULL, NULL, 1),
(2346, NULL, 'cd08916', NULL, NULL, 'TrHb3_P', NULL, 'TrHb3_P', NULL, NULL, NULL, 1),
(2347, NULL, 'cd14023', NULL, NULL, 'PK_TRB1', NULL, 'PK_TRB1', NULL, NULL, NULL, 1),
(2348, NULL, 'cd15582', NULL, NULL, 'PHD2_PHF1', NULL, 'PHD2_PHF1', NULL, NULL, NULL, 1),
(2349, NULL, 'cd00474', NULL, NULL, 'eIF1_SUI1_like', NULL, 'eIF1_SUI1_like', NULL, NULL, NULL, 1),
(2350, NULL, 'cd13439', NULL, NULL, 'CamS_repeat', NULL, 'CamS_repeat', NULL, NULL, NULL, 1),
(2351, NULL, 'cd01643', NULL, NULL, 'Bacterial_IMPase_like_2', NULL, 'Bacterial_IMPase_like_2', NULL, NULL, NULL, 1),
(2352, NULL, 'cd02764', NULL, NULL, 'MopB_PHLH', NULL, 'MopB_PHLH', NULL, NULL, NULL, 1),
(2353, NULL, 'cd03425', NULL, NULL, 'MutT_pyrophosphohydrolase', NULL, 'MutT_pyrophosphohydrolase', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2354, NULL, 'cd19111', NULL, NULL, 'AKR_AKR1G1_1I', NULL, 'AKR_AKR1G1_1I', NULL, NULL, NULL, 1),
(2355, NULL, 'cd13718', NULL, NULL, 'PBP2_iGluR_NMDA_Nr2', NULL, 'PBP2_iGluR_NMDA_Nr2', NULL, NULL, NULL, 1),
(2356, NULL, 'cd01465', NULL, NULL, 'vWA_subgroup', NULL, 'vWA_subgroup', NULL, NULL, NULL, 1),
(2357, NULL, 'cd17298', NULL, NULL, 'DUF1907', NULL, 'DUF1907', NULL, NULL, NULL, 1),
(2358, NULL, 'cd01158', NULL, NULL, 'SCAD_SBCAD', NULL, 'SCAD_SBCAD', NULL, NULL, NULL, 1),
(2359, NULL, 'cd19145', NULL, NULL, 'AKR_AKR13D1', NULL, 'AKR_AKR13D1', NULL, NULL, NULL, 1),
(2360, NULL, 'cd01313', NULL, NULL, 'Met_dep_hydrolase_E', NULL, 'Met_dep_hydrolase_E', NULL, NULL, NULL, 1),
(2361, NULL, 'cd14620', NULL, NULL, 'R-PTPc-E-1', NULL, 'R-PTPc-E-1', NULL, NULL, NULL, 1),
(2362, NULL, 'cd01100', NULL, NULL, 'APPLE_Factor_XI_like', NULL, 'APPLE_Factor_XI_like', NULL, NULL, 1685, 1),
(2363, NULL, 'cd11697', NULL, NULL, 'DHR2_DOCK_A', NULL, 'DHR2_DOCK_A', NULL, NULL, NULL, 1),
(2364, NULL, 'cd14618', NULL, NULL, 'R-PTPc-V', NULL, 'R-PTPc-V', NULL, NULL, NULL, 1),
(2365, NULL, 'cd12813', NULL, NULL, 'LbR-like', NULL, 'LbR-like', NULL, NULL, NULL, 1),
(2366, NULL, 'cd13695', NULL, NULL, 'PBP2_Mlr3796_like', NULL, 'PBP2_Mlr3796_like', NULL, NULL, NULL, 1),
(2367, NULL, 'cd18760', NULL, NULL, 'PIN_MtVapC3-like', NULL, 'PIN_MtVapC3-like', NULL, NULL, NULL, 1),
(2368, NULL, 'cd01102', NULL, NULL, 'Link_Domain', NULL, 'Link_Domain', NULL, NULL, NULL, 1),
(2369, NULL, 'cd08809', NULL, NULL, 'CARD_CARD9', NULL, 'CARD_CARD9', NULL, NULL, 36344, 1),
(2370, NULL, 'cd15565', NULL, NULL, 'PHD2_NSD', NULL, 'PHD2_NSD', NULL, NULL, NULL, 1),
(2371, NULL, 'cd12496', NULL, NULL, 'RRM3_RBM46', NULL, 'RRM3_RBM46', NULL, NULL, NULL, 1),
(2372, NULL, 'cd15590', NULL, NULL, 'PHD2_KMT2A', NULL, 'PHD2_KMT2A', NULL, NULL, 33046, 1),
(2373, NULL, 'cd06854', NULL, NULL, 'GT_WbpL_WbcO_like', NULL, 'GT_WbpL_WbcO_like', NULL, NULL, NULL, 1),
(2374, NULL, 'cd10786', NULL, NULL, 'GH38N_AMII_like', NULL, 'GH38N_AMII_like', NULL, NULL, NULL, 1),
(2375, NULL, 'cd15932', NULL, NULL, '7tmB2_GPR116-like_Adhesion_VI', NULL, '7tmB2_GPR116-like_Adhesion_VI', NULL, NULL, NULL, 1),
(2376, NULL, 'cd08777', NULL, NULL, 'Death_RIP1', NULL, 'Death_RIP1', NULL, NULL, 35421, 1),
(2377, NULL, 'cd07245', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(2378, NULL, 'cd14676', NULL, NULL, 'PH_DOK1,2,3', NULL, 'PH_DOK1,2,3', NULL, NULL, NULL, 1),
(2379, NULL, 'cd03860', NULL, NULL, 'M14_CP_A-B_like', NULL, 'M14_CP_A-B_like', NULL, NULL, NULL, 1),
(2380, NULL, 'cd17257', NULL, NULL, 'RMtype1_S_EcoBI-TRD1-CR1_like', NULL, 'RMtype1_S_EcoBI-TRD1-CR1_like', NULL, NULL, NULL, 1),
(2381, NULL, 'cd06976', NULL, NULL, 'cupin_MtlR-like_N', NULL, 'cupin_MtlR-like_N', NULL, NULL, NULL, 1),
(2382, NULL, 'cd09468', NULL, NULL, 'LIM1_Lhx4', NULL, 'LIM1_Lhx4', NULL, NULL, NULL, 1),
(2383, NULL, 'cd10442', NULL, NULL, 'GIY-YIG_PLEs', NULL, 'GIY-YIG_PLEs', NULL, NULL, NULL, 1),
(2384, NULL, 'cd12216', NULL, NULL, 'Csn2_like', NULL, 'Csn2_like', NULL, NULL, NULL, 1),
(2385, NULL, 'cd07627', NULL, NULL, 'BAR_Vps5p', NULL, 'BAR_Vps5p', NULL, NULL, 35610, 1),
(2386, NULL, 'cd03793', NULL, NULL, 'GT3_GSY2-like', NULL, 'GT3_GSY2-like', NULL, NULL, NULL, 1),
(2387, NULL, 'cd18110', NULL, NULL, 'ATP-synt_F1_beta_C', NULL, 'ATP-synt_F1_beta_C', NULL, NULL, NULL, 1),
(2388, NULL, 'cd18670', NULL, NULL, 'PIN_Mut7-C-like', NULL, 'PIN_Mut7-C-like', NULL, NULL, NULL, 1),
(2389, NULL, 'cd13157', NULL, NULL, 'PTB_tensin-related', NULL, 'PTB_tensin-related', NULL, NULL, NULL, 1),
(2390, NULL, 'cd15094', NULL, NULL, '7tmA_AstC_insect', NULL, '7tmA_AstC_insect', NULL, NULL, NULL, 1),
(2391, NULL, 'cd01262', NULL, NULL, 'PH_PDK1', NULL, 'PH_PDK1', NULL, NULL, 30194, 1),
(2392, NULL, 'cd04742', NULL, NULL, 'NPD_FabD', NULL, 'NPD_FabD', NULL, NULL, 8898, 1),
(2393, NULL, 'cd14007', NULL, NULL, 'STKc_Aurora', NULL, 'STKc_Aurora', NULL, NULL, NULL, 1),
(2394, NULL, 'cd07056', NULL, NULL, 'BMC_PduK', NULL, 'BMC_PduK', NULL, NULL, NULL, 1),
(2395, NULL, 'cd03145', NULL, NULL, 'GAT1_cyanophycinase', NULL, 'GAT1_cyanophycinase', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2396, NULL, 'cd12762', NULL, NULL, 'RRM1_hnRNPA2B1', NULL, 'RRM1_hnRNPA2B1', NULL, NULL, 4153, 1),
(2397, NULL, 'cd16472', NULL, NULL, 'RING-H2_RNF38_like', NULL, 'RING-H2_RNF38_like', NULL, NULL, NULL, 1),
(2398, NULL, 'cd01666', NULL, NULL, 'TGS_DRG', NULL, 'TGS_DRG', NULL, NULL, NULL, 1),
(2399, NULL, 'cd03399', NULL, NULL, 'SPFH_flotillin', NULL, 'SPFH_flotillin', NULL, NULL, NULL, 1),
(2400, NULL, 'cd16653', NULL, NULL, 'RING-like_Rtf2', NULL, 'RING-like_Rtf2', NULL, NULL, 23194, 1),
(2401, NULL, 'cd16560', NULL, NULL, 'RING-HC_RNF212_like', NULL, 'RING-HC_RNF212_like', NULL, NULL, NULL, 1),
(2402, NULL, 'cd00177', NULL, NULL, 'START', NULL, 'START', NULL, NULL, NULL, 1),
(2403, NULL, 'cd10360', NULL, NULL, 'SH2_Srm', NULL, 'SH2_Srm', NULL, NULL, NULL, 1),
(2404, NULL, 'cd15753', NULL, NULL, 'FYVE_SlaC2-c', NULL, 'FYVE_SlaC2-c', NULL, NULL, NULL, 1),
(2405, NULL, 'cd16769', NULL, NULL, 'RING-HC_UHRF1', NULL, 'RING-HC_UHRF1', NULL, NULL, NULL, 1),
(2406, NULL, 'cd10470', NULL, NULL, 'FAM20B_C', NULL, 'FAM20B_C', NULL, NULL, NULL, 1),
(2407, NULL, 'cd16583', NULL, NULL, 'RING-HC_TRIM40-C-V', NULL, 'RING-HC_TRIM40-C-V', NULL, NULL, NULL, 1),
(2408, NULL, 'cd19535', NULL, NULL, 'Cyc_NRPS', NULL, 'Cyc_NRPS', NULL, NULL, NULL, 1),
(2409, NULL, 'cd14475', NULL, NULL, 'SPX_SYG1_like', NULL, 'SPX_SYG1_like', NULL, NULL, NULL, 1),
(2410, NULL, 'cd10934', NULL, NULL, 'CE4_cadherin_MopE_like_N', NULL, 'CE4_cadherin_MopE_like_N', NULL, NULL, NULL, 1),
(2411, NULL, 'cd10346', NULL, NULL, 'SH2_SH2B_family', NULL, 'SH2_SH2B_family', NULL, NULL, 17154, 1),
(2412, NULL, 'cd19763', NULL, NULL, 'Bbox2_TRIM8_C-V', NULL, 'Bbox2_TRIM8_C-V', NULL, NULL, NULL, 1),
(2413, NULL, 'cd07263', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(2414, NULL, 'cd16890', NULL, NULL, 'lyz_i', NULL, 'lyz_i', NULL, NULL, 14260, 1),
(2415, NULL, 'cd00210', NULL, NULL, 'PTS_IIA_glc', NULL, 'PTS_IIA_glc', NULL, NULL, NULL, 1),
(2416, NULL, 'cd19580', NULL, NULL, 'serpin_silkworm16_18_22', NULL, 'serpin_silkworm16_18_22', NULL, NULL, NULL, 1),
(2417, NULL, 'cd12351', NULL, NULL, 'RRM4_SHARP', NULL, 'RRM4_SHARP', NULL, NULL, 4167, 1),
(2418, NULL, 'cd00991', NULL, NULL, 'PDZ_archaeal_metalloprotease', NULL, 'PDZ_archaeal_metalloprotease', NULL, NULL, NULL, 1),
(2419, NULL, 'cd03499', NULL, NULL, 'SQR_TypeC_SdhC', NULL, 'SQR_TypeC_SdhC', NULL, NULL, NULL, 1),
(2420, NULL, 'cd11989', NULL, NULL, 'SH3_Intersectin1_2', NULL, 'SH3_Intersectin1_2', NULL, NULL, NULL, 1),
(2421, NULL, 'cd17451', NULL, NULL, 'MFS_NLS1_MFSD2A', NULL, 'MFS_NLS1_MFSD2A', NULL, NULL, NULL, 1),
(2422, NULL, 'cd20267', NULL, NULL, 'Complex1_LYR_LYRM7', NULL, 'Complex1_LYR_LYRM7', NULL, NULL, 39745, 1),
(2423, NULL, 'cd02423', NULL, NULL, 'Peptidase_C39G', NULL, 'Peptidase_C39G', NULL, NULL, NULL, 1),
(2424, NULL, 'cd07393', NULL, NULL, 'MPP_DR1119', NULL, 'MPP_DR1119', NULL, NULL, NULL, 1),
(2425, NULL, 'cd12764', NULL, NULL, 'RRM2_SRSF4', NULL, 'RRM2_SRSF4', NULL, NULL, NULL, 1),
(2426, NULL, 'cd09990', NULL, NULL, 'Agmatinase-like', NULL, 'Agmatinase-like', NULL, NULL, NULL, 1),
(2427, NULL, 'cd11967', NULL, NULL, 'SH3_SASH1', NULL, 'SH3_SASH1', NULL, NULL, 33676, 1),
(2428, NULL, 'cd00949', NULL, NULL, 'FBP_aldolase_I_bact', NULL, 'FBP_aldolase_I_bact', NULL, NULL, 15455, 1),
(2429, NULL, 'cd03402', NULL, NULL, 'SPFH_like_u2', NULL, 'SPFH_like_u2', NULL, NULL, NULL, 1),
(2430, NULL, 'cd12332', NULL, NULL, 'RRM1_p54nrb_like', NULL, 'RRM1_p54nrb_like', NULL, NULL, NULL, 1),
(2431, NULL, 'cd16461', NULL, NULL, 'RING-H2_EL5_like', NULL, 'RING-H2_EL5_like', NULL, NULL, NULL, 1),
(2432, NULL, 'cd15068', NULL, NULL, '7tmA_Adenosine_R_A2A', NULL, '7tmA_Adenosine_R_A2A', NULL, NULL, NULL, 1),
(2433, NULL, 'cd19914', NULL, NULL, 'DSRM_DRADA_rpt2', NULL, 'DSRM_DRADA_rpt2', NULL, NULL, NULL, 1),
(2434, NULL, 'cd15597', NULL, NULL, 'PHD3_KMT2D', NULL, 'PHD3_KMT2D', NULL, NULL, NULL, 1),
(2435, NULL, 'cd10037', NULL, NULL, 'Reelin_repeat_1_subrepeat_1', NULL, 'Reelin_repeat_1_subrepeat_1', NULL, NULL, NULL, 1),
(2436, NULL, 'cd05602', NULL, NULL, 'STKc_SGK1', NULL, 'STKc_SGK1', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2437, NULL, 'cd15828', NULL, NULL, 'SPRY_PRY_TRIM60', NULL, 'SPRY_PRY_TRIM60', NULL, NULL, 35464, 1),
(2438, NULL, 'cd12406', NULL, NULL, 'RRM4_NCL', NULL, 'RRM4_NCL', NULL, NULL, 33115, 1),
(2439, NULL, 'cd04667', NULL, NULL, 'Nudix_Hydrolase_10', NULL, 'Nudix_Hydrolase_10', NULL, NULL, NULL, 1),
(2440, NULL, 'cd13278', NULL, NULL, 'PH_Bud4', NULL, 'PH_Bud4', NULL, NULL, NULL, 1),
(2441, NULL, 'cd13987', NULL, NULL, 'STKc_SBK1', NULL, 'STKc_SBK1', NULL, NULL, NULL, 1),
(2442, NULL, 'cd18599', NULL, NULL, 'ABC_6TM_MRP5_8_9_D2', NULL, 'ABC_6TM_MRP5_8_9_D2', NULL, NULL, NULL, 1),
(2443, NULL, 'cd02202', NULL, NULL, 'CetZ_tubulin-like', NULL, 'CetZ_tubulin-like', NULL, NULL, NULL, 1),
(2444, NULL, 'cd13637', NULL, NULL, 'PBP2_Ca3427_like', NULL, 'PBP2_Ca3427_like', NULL, NULL, NULL, 1),
(2445, NULL, 'cd01947', NULL, NULL, 'Guanosine_kinase_like', NULL, 'Guanosine_kinase_like', NULL, NULL, NULL, 1),
(2446, NULL, 'cd17385', NULL, NULL, 'MFS_SLC18B1', NULL, 'MFS_SLC18B1', NULL, NULL, NULL, 1),
(2447, NULL, 'cd07341', NULL, NULL, 'M56_BlaR1_MecR1_like', NULL, 'M56_BlaR1_MecR1_like', NULL, NULL, NULL, 1),
(2448, NULL, 'cd07529', NULL, NULL, 'HAD_AtGPP-like', NULL, 'HAD_AtGPP-like', NULL, NULL, 37190, 1),
(2449, NULL, 'cd09258', NULL, NULL, 'AP-1_Mu1A_Cterm', NULL, 'AP-1_Mu1A_Cterm', NULL, NULL, NULL, 1),
(2450, NULL, 'cd14718', NULL, NULL, 'bZIP_Maf_large', NULL, 'bZIP_Maf_large', NULL, NULL, NULL, 1),
(2451, NULL, 'cd14687', NULL, NULL, 'bZIP_ATF2', NULL, 'bZIP_ATF2', NULL, NULL, NULL, 1),
(2452, NULL, 'cd04715', NULL, NULL, 'BAH_Orc1p_like', NULL, 'BAH_Orc1p_like', NULL, NULL, NULL, 1),
(2453, NULL, 'cd12799', NULL, NULL, 'pesticin_lyz-like', NULL, 'pesticin_lyz-like', NULL, NULL, NULL, 1),
(2454, NULL, 'cd17145', NULL, NULL, 'DCX1_RP1', NULL, 'DCX1_RP1', NULL, NULL, NULL, 1),
(2455, NULL, 'cd08899', NULL, NULL, 'SRPBCC_CalC_Aha1-like_6', NULL, 'SRPBCC_CalC_Aha1-like_6', NULL, NULL, NULL, 1),
(2456, NULL, 'cd19113', NULL, NULL, 'AKR_AKR2B1-10', NULL, 'AKR_AKR2B1-10', NULL, NULL, 37900, 1),
(2457, NULL, 'cd00890', NULL, NULL, 'Prefoldin', NULL, 'Prefoldin', NULL, NULL, NULL, 1),
(2458, NULL, 'cd06105', NULL, NULL, 'ScCit1-2_like', NULL, 'ScCit1-2_like', NULL, NULL, NULL, 1),
(2459, NULL, 'cd00455', NULL, NULL, 'nuc_hydro', NULL, 'nuc_hydro', NULL, NULL, NULL, 1),
(2460, NULL, 'cd15412', NULL, NULL, '7tmA_OR5M-like', NULL, '7tmA_OR5M-like', NULL, NULL, NULL, 1),
(2461, NULL, 'cd16502', NULL, NULL, 'RING-HC_Cbl_like', NULL, 'RING-HC_Cbl_like', NULL, NULL, NULL, 1),
(2462, NULL, 'cd14522', NULL, NULL, 'DSP_STYX', NULL, 'DSP_STYX', NULL, NULL, NULL, 1),
(2463, NULL, 'cd14422', NULL, NULL, 'CUE_RIN3_plant', NULL, 'CUE_RIN3_plant', NULL, NULL, 35391, 1),
(2464, NULL, 'cd10985', NULL, NULL, 'MH2_SMAD_2_3', NULL, 'MH2_SMAD_2_3', NULL, NULL, NULL, 1),
(2465, NULL, 'cd14043', NULL, NULL, 'PK_GC-2D', NULL, 'PK_GC-2D', NULL, NULL, NULL, 1),
(2466, NULL, 'cd18530', NULL, NULL, 'BACK_RHOBTB1', NULL, 'BACK_RHOBTB1', NULL, NULL, NULL, 1),
(2467, NULL, 'cd03891', NULL, NULL, 'M20_DapE_proteobac', NULL, 'M20_DapE_proteobac', NULL, NULL, NULL, 1),
(2468, NULL, 'cd04768', NULL, NULL, 'HTH_BmrR-like', NULL, 'HTH_BmrR-like', NULL, NULL, NULL, 1),
(2469, NULL, 'cd03159', NULL, NULL, 'TM4SF9_like_LEL', NULL, 'TM4SF9_like_LEL', NULL, NULL, NULL, 1),
(2470, NULL, 'cd18395', NULL, NULL, 'BTB_POZ_KCTD21', NULL, 'BTB_POZ_KCTD21', NULL, NULL, NULL, 1),
(2471, NULL, 'cd00025', NULL, NULL, 'BPI1', NULL, 'BPI1', NULL, NULL, NULL, 1),
(2472, NULL, 'cd13139', NULL, NULL, 'MATE_like_14', NULL, 'MATE_like_14', NULL, NULL, NULL, 1),
(2473, NULL, 'cd08665', NULL, NULL, 'APC10-CUL7', NULL, 'APC10-CUL7', NULL, NULL, NULL, 1),
(2474, NULL, 'cd10926', NULL, NULL, 'CE4_u2', NULL, 'CE4_u2', NULL, NULL, NULL, 1),
(2475, NULL, 'cd16687', NULL, NULL, 'RING-H2_Vps8', NULL, 'RING-H2_Vps8', NULL, NULL, NULL, 1),
(2476, NULL, 'cd18118', NULL, NULL, 'ATP-synt_V_A-type_beta_N', NULL, 'ATP-synt_V_A-type_beta_N', NULL, NULL, NULL, 1),
(2477, NULL, 'cd19714', NULL, NULL, 'bHLH_TS_ATOH7', NULL, 'bHLH_TS_ATOH7', NULL, NULL, NULL, 1),
(2478, NULL, 'cd15507', NULL, NULL, 'PHD2_KMT2A_like', NULL, 'PHD2_KMT2A_like', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2479, NULL, 'cd06343', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(2480, NULL, 'cd14353', NULL, NULL, 'UBA_FAF', NULL, 'UBA_FAF', NULL, NULL, NULL, 1),
(2481, NULL, 'cd13938', NULL, NULL, 'PANDER_like_TMEM2', NULL, 'PANDER_like_TMEM2', NULL, NULL, 36231, 1),
(2482, NULL, 'cd02082', NULL, NULL, 'P-type_ATPase_cation', NULL, 'P-type_ATPase_cation', NULL, NULL, NULL, 1),
(2483, NULL, 'cd19803', NULL, NULL, 'Bbox1_TRIM9-like_C-I', NULL, 'Bbox1_TRIM9-like_C-I', NULL, NULL, NULL, 1),
(2484, NULL, 'cd07849', NULL, NULL, 'STKc_ERK1_2_like', NULL, 'STKc_ERK1_2_like', NULL, NULL, NULL, 1),
(2485, NULL, 'cd08439', NULL, NULL, 'PBP2_LrhA_like', NULL, 'PBP2_LrhA_like', NULL, NULL, NULL, 1),
(2486, NULL, 'cd09180', NULL, NULL, 'PLDc_N_DEXD_b', NULL, 'PLDc_N_DEXD_b', NULL, NULL, NULL, 1),
(2487, NULL, 'cd05781', NULL, NULL, 'DNA_polB_B3_exo', NULL, 'DNA_polB_B3_exo', NULL, NULL, NULL, 1),
(2488, NULL, 'cd06318', NULL, NULL, 'PBP1_ABC_D-talitol-like', NULL, 'PBP1_ABC_D-talitol-like', NULL, NULL, NULL, 1),
(2489, NULL, 'cd13392', NULL, NULL, 'PH_AKAP13', NULL, 'PH_AKAP13', NULL, NULL, NULL, 1),
(2490, NULL, 'cd04077', NULL, NULL, 'Peptidases_S8_PCSK9_ProteinaseK_like', NULL, 'Peptidases_S8_PCSK9_ProteinaseK_like', NULL, NULL, 10643, 1),
(2491, NULL, 'cd08651', NULL, NULL, 'FMT_core_like_4', NULL, 'FMT_core_like_4', NULL, NULL, NULL, 1),
(2492, NULL, 'cd08519', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_20', NULL, 'PBP2_NikA_DppA_OppA_like_20', NULL, NULL, NULL, 1),
(2493, NULL, 'cd09649', NULL, NULL, 'Cas5_I-A', NULL, 'Cas5_I-A', NULL, NULL, NULL, 1),
(2494, NULL, 'cd15744', NULL, NULL, 'FYVE_RUFY3', NULL, 'FYVE_RUFY3', NULL, NULL, NULL, 1),
(2495, NULL, 'cd10508', NULL, NULL, 'Zn-ribbon_RPB9', NULL, 'Zn-ribbon_RPB9', NULL, NULL, 13816, 1),
(2496, NULL, 'cd19360', NULL, NULL, 'TenA_C_SaTenA-like', NULL, 'TenA_C_SaTenA-like', NULL, NULL, NULL, 1),
(2497, NULL, 'cd06091', NULL, NULL, 'KOW_NusG', NULL, 'KOW_NusG', NULL, NULL, NULL, 1),
(2498, NULL, 'cd13849', NULL, NULL, 'CuRO_1_LCC_plant', NULL, 'CuRO_1_LCC_plant', NULL, NULL, 26187, 1),
(2499, NULL, 'cd15547', NULL, NULL, 'PHD_SHPRH', NULL, 'PHD_SHPRH', NULL, NULL, NULL, 1),
(2500, NULL, 'cd11399', NULL, NULL, 'bHLHzip_scHMS1_like', NULL, 'bHLHzip_scHMS1_like', NULL, NULL, NULL, 1),
(2501, NULL, 'cd01003', NULL, NULL, 'PBP2_YckB', NULL, 'PBP2_YckB', NULL, NULL, NULL, 1),
(2502, NULL, 'cd08479', NULL, NULL, 'PBP2_CrgA_like_9', NULL, 'PBP2_CrgA_like_9', NULL, NULL, NULL, 1),
(2503, NULL, 'cd00261', NULL, NULL, 'AAI_SS', NULL, 'AAI_SS', NULL, NULL, 37562, 1),
(2504, NULL, 'cd16362', NULL, NULL, 'TflA', NULL, 'TflA', NULL, NULL, NULL, 1),
(2505, NULL, 'cd15450', NULL, NULL, '7tmC_mGluR5', NULL, '7tmC_mGluR5', NULL, NULL, NULL, 1),
(2506, NULL, 'cd08413', NULL, NULL, 'PBP2_CysB_like', NULL, 'PBP2_CysB_like', NULL, NULL, 32257, 1),
(2507, NULL, 'cd05677', NULL, NULL, 'M20_dipept_like_DUG2_type', NULL, 'M20_dipept_like_DUG2_type', NULL, NULL, NULL, 1),
(2508, NULL, 'cd11621', NULL, NULL, 'HR1_PKC-like_1_fungi', NULL, 'HR1_PKC-like_1_fungi', NULL, NULL, NULL, 1),
(2509, NULL, 'cd14977', NULL, NULL, '7tmA_ET_R-like', NULL, '7tmA_ET_R-like', NULL, NULL, NULL, 1),
(2510, NULL, 'cd16162', NULL, NULL, 'OCRE_RBM5_like', NULL, 'OCRE_RBM5_like', NULL, NULL, NULL, 1),
(2511, NULL, 'cd18796', NULL, NULL, 'SF2_C_LHR', NULL, 'SF2_C_LHR', NULL, NULL, NULL, 1),
(2512, NULL, 'cd15113', NULL, NULL, '7tmA_MAS1L', NULL, '7tmA_MAS1L', NULL, NULL, NULL, 1),
(2513, NULL, 'cd05082', NULL, NULL, 'PTKc_Csk', NULL, 'PTKc_Csk', NULL, NULL, NULL, 1),
(2514, NULL, 'cd21159', NULL, NULL, 'XendoU', NULL, 'XendoU', NULL, NULL, 16225, 1),
(2515, NULL, 'cd00013', NULL, NULL, 'ADF_gelsolin', NULL, 'ADF_gelsolin', NULL, NULL, NULL, 1),
(2516, NULL, 'cd08674', NULL, NULL, 'Cdt1_m', NULL, 'Cdt1_m', NULL, NULL, 14086, 1),
(2517, NULL, 'cd01537', NULL, NULL, 'PBP1_repressor_sugar_binding-like', NULL, 'PBP1_repressor_sugar_binding-like', NULL, NULL, NULL, 1),
(2518, NULL, 'cd21530', NULL, NULL, 'CoV_RdRp', NULL, 'CoV_RdRp', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2519, NULL, 'cd02826', NULL, NULL, 'Piwi-like', NULL, 'Piwi-like', NULL, NULL, NULL, 1),
(2520, NULL, 'cd18193', NULL, NULL, 'BTB_POZ_ZBTB2', NULL, 'BTB_POZ_ZBTB2', NULL, NULL, NULL, 1),
(2521, NULL, 'cd15077', NULL, NULL, '7tmA_SWS2_opsin', NULL, '7tmA_SWS2_opsin', NULL, NULL, NULL, 1),
(2522, NULL, 'cd16261', NULL, NULL, 'EF2_snRNP_III', NULL, 'EF2_snRNP_III', NULL, NULL, NULL, 1),
(2523, NULL, 'cd17216', NULL, NULL, 'RA_Myosin-IXa', NULL, 'RA_Myosin-IXa', NULL, NULL, NULL, 1),
(2524, NULL, 'cd17938', NULL, NULL, 'DEADc_DDX1', NULL, 'DEADc_DDX1', NULL, NULL, NULL, 1),
(2525, NULL, 'cd12079', NULL, NULL, 'SH3_Tks5_3', NULL, 'SH3_Tks5_3', NULL, NULL, 20816, 1),
(2526, NULL, 'cd01239', NULL, NULL, 'PH_PKD', NULL, 'PH_PKD', NULL, NULL, NULL, 1),
(2527, NULL, 'cd14423', NULL, NULL, 'CUE_UBR5', NULL, 'CUE_UBR5', NULL, NULL, 1347, 1),
(2528, NULL, 'cd17192', NULL, NULL, 'FERM_F1_PTPN21', NULL, 'FERM_F1_PTPN21', NULL, NULL, NULL, 1),
(2529, NULL, 'cd19543', NULL, NULL, 'DCL_NRPS', NULL, 'DCL_NRPS', NULL, NULL, NULL, 1),
(2530, NULL, 'cd10747', NULL, NULL, 'DnaJ_C', NULL, 'DnaJ_C', NULL, NULL, NULL, 1),
(2531, NULL, 'cd17433', NULL, NULL, 'MFS_GLUT8_Class3', NULL, 'MFS_GLUT8_Class3', NULL, NULL, NULL, 1),
(2532, NULL, 'cd12682', NULL, NULL, 'RRM_RBPMS', NULL, 'RRM_RBPMS', NULL, NULL, NULL, 1),
(2533, NULL, 'cd17991', NULL, NULL, 'DEXHc_TRCF', NULL, 'DEXHc_TRCF', NULL, NULL, NULL, 1),
(2534, NULL, 'cd19533', NULL, NULL, 'starter-C_NRPS', NULL, 'starter-C_NRPS', NULL, NULL, NULL, 1),
(2535, NULL, 'cd07518', NULL, NULL, 'HAD_YbiV-Like', NULL, 'HAD_YbiV-Like', NULL, NULL, NULL, 1),
(2536, NULL, 'cd06588', NULL, NULL, 'PhnB_like', NULL, 'PhnB_like', NULL, NULL, 29009, 1),
(2537, NULL, 'cd16851', NULL, NULL, 'STAT1_CCD', NULL, 'STAT1_CCD', NULL, NULL, NULL, 1),
(2538, NULL, 'cd05032', NULL, NULL, 'PTKc_InsR_like', NULL, 'PTKc_InsR_like', NULL, NULL, NULL, 1),
(2539, NULL, 'cd05858', NULL, NULL, 'Ig3_FGFR-2', NULL, 'Ig3_FGFR-2', NULL, NULL, NULL, 1),
(2540, NULL, 'cd12166', NULL, NULL, '2-Hacid_dh_7', NULL, '2-Hacid_dh_7', NULL, NULL, NULL, 1),
(2541, NULL, 'cd08577', NULL, NULL, 'PI-PLCc_GDPD_SF_unchar3', NULL, 'PI-PLCc_GDPD_SF_unchar3', NULL, NULL, 35681, 1),
(2542, NULL, 'cd01463', NULL, NULL, 'vWA_VGCC_like', NULL, 'vWA_VGCC_like', NULL, NULL, NULL, 1),
(2543, NULL, 'cd14840', NULL, NULL, 'D-Ala-D-Ala_dipeptidase_Aad', NULL, 'D-Ala-D-Ala_dipeptidase_Aad', NULL, NULL, NULL, 1),
(2544, NULL, 'cd16845', NULL, NULL, 'STAT1_DBD', NULL, 'STAT1_DBD', NULL, NULL, NULL, 1),
(2545, NULL, 'cd08605', NULL, NULL, 'GDPD_GDE5_like_1_plant', NULL, 'GDPD_GDE5_like_1_plant', NULL, NULL, NULL, 1),
(2546, NULL, 'cd01524', NULL, NULL, 'RHOD_Pyr_redox', NULL, 'RHOD_Pyr_redox', NULL, NULL, NULL, 1),
(2547, NULL, 'cd12801', NULL, NULL, 'HopAB_KID', NULL, 'HopAB_KID', NULL, NULL, NULL, 1),
(2548, NULL, 'cd08503', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_17', NULL, 'PBP2_NikA_DppA_OppA_like_17', NULL, NULL, NULL, 1),
(2549, NULL, 'cd03225', NULL, NULL, 'ABC_cobalt_CbiO_domain1', NULL, 'ABC_cobalt_CbiO_domain1', NULL, NULL, 13252, 1),
(2550, NULL, 'cd11017', NULL, NULL, 'Phytocyanin_like_1', NULL, 'Phytocyanin_like_1', NULL, NULL, NULL, 1),
(2551, NULL, 'cd06948', NULL, NULL, 'NR_LBD_COUP-TF', NULL, 'NR_LBD_COUP-TF', NULL, NULL, NULL, 1),
(2552, NULL, 'cd18474', NULL, NULL, 'BACK_KLHL35', NULL, 'BACK_KLHL35', NULL, NULL, NULL, 1),
(2553, NULL, 'cd04876', NULL, NULL, 'ACT_RelA-SpoT', NULL, 'ACT_RelA-SpoT', NULL, NULL, NULL, 1),
(2554, NULL, 'cd07687', NULL, NULL, 'IgC_TCR_delta', NULL, 'IgC_TCR_delta', NULL, NULL, NULL, 1),
(2555, NULL, 'cd12029', NULL, NULL, 'SH3_DLG3', NULL, 'SH3_DLG3', NULL, NULL, 34111, 1),
(2556, NULL, 'cd02639', NULL, NULL, 'R3H_RRM', NULL, 'R3H_RRM', NULL, NULL, 13430, 1),
(2557, NULL, 'cd05857', NULL, NULL, 'Ig2_FGFR', NULL, 'Ig2_FGFR', NULL, NULL, NULL, 1),
(2558, NULL, 'cd04600', NULL, NULL, 'CBS_pair_HPP_assoc', NULL, 'CBS_pair_HPP_assoc', NULL, NULL, NULL, 1),
(2559, NULL, 'cd00742', NULL, NULL, 'FABP', NULL, 'FABP', NULL, NULL, NULL, 1),
(2560, NULL, 'cd18759', NULL, NULL, 'PIN_MtVapC3-like', NULL, 'PIN_MtVapC3-like', NULL, NULL, NULL, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2561, NULL, 'cd18637', NULL, NULL, 'CD_Swi6_like', NULL, 'CD_Swi6_like', NULL, NULL, NULL, 1),
(2562, NULL, 'cd02509', NULL, NULL, 'GDP-M1P_Guanylyltransferase', NULL, 'GDP-M1P_Guanylyltransferase', NULL, NULL, NULL, 1),
(2563, NULL, 'cd19460', NULL, NULL, 'CRABP1', NULL, 'CRABP1', NULL, NULL, NULL, 1),
(2564, NULL, 'cd21537', NULL, NULL, 'SUD_C_HKU9_CoV_Nsp3', NULL, 'SUD_C_HKU9_CoV_Nsp3', NULL, NULL, 36672, 1),
(2565, NULL, 'cd13558', NULL, NULL, 'PBP2_SsuA_like_2', NULL, 'PBP2_SsuA_like_2', NULL, NULL, NULL, 1),
(2566, NULL, 'cd08204', NULL, NULL, 'ArfGap', NULL, 'ArfGap', NULL, NULL, NULL, 1),
(2567, NULL, 'cd04908', NULL, NULL, 'ACT_Bt0572_1', NULL, 'ACT_Bt0572_1', NULL, NULL, NULL, 1),
(2568, NULL, 'cd01285', NULL, NULL, 'nucleoside_deaminase', NULL, 'nucleoside_deaminase', NULL, NULL, NULL, 1),
(2569, NULL, 'cd03060', NULL, NULL, 'GST_N_Omega_like', NULL, 'GST_N_Omega_like', NULL, NULL, NULL, 1),
(2570, NULL, 'cd17429', NULL, NULL, 'MFS_MCT14', NULL, 'MFS_MCT14', NULL, NULL, NULL, 1),
(2571, NULL, 'cd07691', NULL, NULL, 'Ig_CD3_gamma_delta', NULL, 'Ig_CD3_gamma_delta', NULL, NULL, NULL, 1),
(2572, NULL, 'cd14456', NULL, NULL, 'Menin', NULL, 'Menin', NULL, NULL, 1487, 1),
(2573, NULL, 'sd00005', NULL, NULL, 'TPR', NULL, 'TPR', NULL, NULL, NULL, 1),
(2574, NULL, 'cd03407', NULL, NULL, 'SPFH_like_u4', NULL, 'SPFH_like_u4', NULL, NULL, NULL, 1),
(2575, NULL, 'cd04438', NULL, NULL, 'DEP_dishevelled', NULL, 'DEP_dishevelled', NULL, NULL, NULL, 1),
(2576, NULL, 'cd20481', NULL, NULL, 'phage_tailspike_middle', NULL, 'phage_tailspike_middle', NULL, NULL, NULL, 1),
(2577, NULL, 'cd14155', NULL, NULL, 'PKc_TESK', NULL, 'PKc_TESK', NULL, NULL, NULL, 1),
(2578, NULL, 'cd06196', NULL, NULL, 'FNR_like_1', NULL, 'FNR_like_1', NULL, NULL, NULL, 1),
(2579, NULL, 'cd14730', NULL, NULL, 'LodA_like', NULL, 'LodA_like', NULL, NULL, 32505, 1),
(2580, NULL, 'cd06371', NULL, NULL, 'PBP1_sensory_GC_DEF-like', NULL, 'PBP1_sensory_GC_DEF-like', NULL, NULL, NULL, 1),
(2581, NULL, 'cd07012', NULL, NULL, 'PBP2_Bug_TTT', NULL, 'PBP2_Bug_TTT', NULL, NULL, NULL, 1),
(2582, NULL, 'cd12696', NULL, NULL, 'RRM3_PTBP2', NULL, 'RRM3_PTBP2', NULL, NULL, 35302, 1),
(2583, NULL, 'cd14476', NULL, NULL, 'SPX_PHO1_like', NULL, 'SPX_PHO1_like', NULL, NULL, 23463, 1),
(2584, NULL, 'cd03253', NULL, NULL, 'ABCC_ATM1_transporter', NULL, 'ABCC_ATM1_transporter', NULL, NULL, NULL, 1),
(2585, NULL, 'cd08436', NULL, NULL, 'PBP2_LTTR_like_3', NULL, 'PBP2_LTTR_like_3', NULL, NULL, NULL, 1),
(2586, NULL, 'cd08678', NULL, NULL, 'C2_C21orf25-like', NULL, 'C2_C21orf25-like', NULL, NULL, NULL, 1),
(2587, NULL, 'cd20239', NULL, NULL, 'PFM_aerolysin-like', NULL, 'PFM_aerolysin-like', NULL, NULL, NULL, 1),
(2588, NULL, 'cd12388', NULL, NULL, 'RRM1_RAVER', NULL, 'RRM1_RAVER', NULL, NULL, NULL, 1),
(2589, NULL, 'cd17503', NULL, NULL, 'MFS_LmrB_MDR_like', NULL, 'MFS_LmrB_MDR_like', NULL, NULL, NULL, 1),
(2590, NULL, 'cd06242', NULL, NULL, 'M14-like', NULL, 'M14-like', NULL, NULL, NULL, 1),
(2591, NULL, 'cd11753', NULL, NULL, 'GH94N_ChvB_NdvB_2_like', NULL, 'GH94N_ChvB_NdvB_2_like', NULL, NULL, 32342, 1),
(2592, NULL, 'cd15934', NULL, NULL, '7tmC_mGluRs_group2_3', NULL, '7tmC_mGluRs_group2_3', NULL, NULL, NULL, 1),
(2593, NULL, 'cd18456', NULL, NULL, 'BACK_KLHL17', NULL, 'BACK_KLHL17', NULL, NULL, NULL, 1),
(2594, NULL, 'cd04629', NULL, NULL, 'CBS_pair_bac', NULL, 'CBS_pair_bac', NULL, NULL, 37976, 1),
(2595, NULL, 'cd09326', NULL, NULL, 'LIM_CRP_like', NULL, 'LIM_CRP_like', NULL, NULL, NULL, 1),
(2596, NULL, 'cd05889', NULL, NULL, 'Ig1_DNAM-1_like', NULL, 'Ig1_DNAM-1_like', NULL, NULL, NULL, 1),
(2597, NULL, 'cd05510', NULL, NULL, 'Bromo_SPT7_like', NULL, 'Bromo_SPT7_like', NULL, NULL, NULL, 1),
(2598, NULL, 'cd08458', NULL, NULL, 'PBP2_NocR', NULL, 'PBP2_NocR', NULL, NULL, NULL, 1),
(2599, NULL, 'cd10002', NULL, NULL, 'HDAC10_HDAC6-dom1', NULL, 'HDAC10_HDAC6-dom1', NULL, NULL, NULL, 1),
(2600, NULL, 'cd17709', NULL, NULL, 'BRCT_pescadillo_like', NULL, 'BRCT_pescadillo_like', NULL, NULL, NULL, 1),
(2601, NULL, 'cd19435', NULL, NULL, 'lipocalin_Bacteroides', NULL, 'lipocalin_Bacteroides', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2602, NULL, 'cd09831', NULL, NULL, 'CBS_pair_ABC_Gly_Pro_assoc', NULL, 'CBS_pair_ABC_Gly_Pro_assoc', NULL, NULL, NULL, 1),
(2603, NULL, 'cd13532', NULL, NULL, 'PBP2_PDT_like', NULL, 'PBP2_PDT_like', NULL, NULL, NULL, 1),
(2604, NULL, 'cd19820', NULL, NULL, 'Bbox1_ZFYVE1_rpt2', NULL, 'Bbox1_ZFYVE1_rpt2', NULL, NULL, NULL, 1),
(2605, NULL, 'cd19932', NULL, NULL, 'REC_PdtaR-like', NULL, 'REC_PdtaR-like', NULL, NULL, NULL, 1),
(2606, NULL, 'cd13739', NULL, NULL, 'SPRY_PRY_TRIM1', NULL, 'SPRY_PRY_TRIM1', NULL, NULL, 33184, 1),
(2607, NULL, 'cd13435', NULL, NULL, 'SPFH_SLP-4', NULL, 'SPFH_SLP-4', NULL, NULL, NULL, 1),
(2608, NULL, 'cd04418', NULL, NULL, 'NDPk5', NULL, 'NDPk5', NULL, NULL, NULL, 1),
(2609, NULL, 'cd20167', NULL, NULL, 'Peptidase_M90-like', NULL, 'Peptidase_M90-like', NULL, NULL, NULL, 1),
(2610, NULL, 'cd11394', NULL, NULL, 'bHLHzip_SREBP', NULL, 'bHLHzip_SREBP', NULL, NULL, NULL, 1),
(2611, NULL, 'cd17719', NULL, NULL, 'BRCT_Rev1', NULL, 'BRCT_Rev1', NULL, NULL, NULL, 1),
(2612, NULL, 'cd16342', NULL, NULL, 'FusC_FusB', NULL, 'FusC_FusB', NULL, NULL, NULL, 1),
(2613, NULL, 'cd11528', NULL, NULL, 'NTP-PPase_MazG_Nterm', NULL, 'NTP-PPase_MazG_Nterm', NULL, NULL, NULL, 1),
(2614, NULL, 'cd10363', NULL, NULL, 'SH2_Src_HCK', NULL, 'SH2_Src_HCK', NULL, NULL, 35988, 1),
(2615, NULL, 'cd03500', NULL, NULL, 'SQR_TypeA_SdhD_like', NULL, 'SQR_TypeA_SdhD_like', NULL, NULL, NULL, 1),
(2616, NULL, 'cd15107', NULL, NULL, '7tmA_MrgprB', NULL, '7tmA_MrgprB', NULL, NULL, NULL, 1),
(2617, NULL, 'cd16406', NULL, NULL, 'ParB_N_like', NULL, 'ParB_N_like', NULL, NULL, NULL, 1),
(2618, NULL, 'cd07722', NULL, NULL, 'LACTB2-like_MBL-fold', NULL, 'LACTB2-like_MBL-fold', NULL, NULL, NULL, 1),
(2619, NULL, 'cd11347', NULL, NULL, 'AmyAc_1', NULL, 'AmyAc_1', NULL, NULL, NULL, 1),
(2620, NULL, 'cd18596', NULL, NULL, 'ABC_6TM_VMR1_D1_like', NULL, 'ABC_6TM_VMR1_D1_like', NULL, NULL, NULL, 1),
(2621, NULL, 'cd00692', NULL, NULL, 'ligninase', NULL, 'ligninase', NULL, NULL, 5403, 1),
(2622, NULL, 'cd02142', NULL, NULL, 'McbC_SagB-like_oxidoreductase', NULL, 'McbC_SagB-like_oxidoreductase', NULL, NULL, NULL, 1),
(2623, NULL, 'cd03798', NULL, NULL, 'GT4_WlbH-like', NULL, 'GT4_WlbH-like', NULL, NULL, NULL, 1),
(2624, NULL, 'cd04905', NULL, NULL, 'ACT_CM-PDT', NULL, 'ACT_CM-PDT', NULL, NULL, NULL, 1),
(2625, NULL, 'cd07202', NULL, NULL, 'cPLA2_Grp-IVC', NULL, 'cPLA2_Grp-IVC', NULL, NULL, NULL, 1),
(2626, NULL, 'cd12278', NULL, NULL, 'RRM_eIF3B', NULL, 'RRM_eIF3B', NULL, NULL, 3631, 1),
(2627, NULL, 'cd02990', NULL, NULL, 'UAS_FAF1', NULL, 'UAS_FAF1', NULL, NULL, NULL, 1),
(2628, NULL, 'cd09492', NULL, NULL, 'SAM_SASH1_repeat2', NULL, 'SAM_SASH1_repeat2', NULL, NULL, 34529, 1),
(2629, NULL, 'cd09903', NULL, NULL, 'H3TH_FEN1-Arc', NULL, 'H3TH_FEN1-Arc', NULL, NULL, NULL, 1),
(2630, NULL, 'cd19816', NULL, NULL, 'Bbox1_CYLD', NULL, 'Bbox1_CYLD', NULL, NULL, NULL, 1),
(2631, NULL, 'cd07791', NULL, NULL, 'FGGY_GK2_bacteria', NULL, 'FGGY_GK2_bacteria', NULL, NULL, 32581, 1),
(2632, NULL, 'cd15165', NULL, NULL, '7tmA_GPR55-like', NULL, '7tmA_GPR55-like', NULL, NULL, NULL, 1),
(2633, NULL, 'cd04171', NULL, NULL, 'SelB', NULL, 'SelB', NULL, NULL, NULL, 1),
(2634, NULL, 'cd19545', NULL, NULL, 'FUM14_C_NRPS-like', NULL, 'FUM14_C_NRPS-like', NULL, NULL, NULL, 1),
(2635, NULL, 'cd21163', NULL, NULL, 'M_cv_Nsp15-NTD_av_Nsp11-like', NULL, 'M_cv_Nsp15-NTD_av_Nsp11-like', NULL, NULL, NULL, 1),
(2636, NULL, 'cd03871', NULL, NULL, 'M14_CPB', NULL, 'M14_CPB', NULL, NULL, 13832, 1),
(2637, NULL, 'cd05366', NULL, NULL, 'meso-BDH-like_SDR_c', NULL, 'meso-BDH-like_SDR_c', NULL, NULL, NULL, 1),
(2638, NULL, 'cd19971', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(2639, NULL, 'cd01195', NULL, NULL, 'INT_C_like_5', NULL, 'INT_C_like_5', NULL, NULL, NULL, 1),
(2640, NULL, 'cd04638', NULL, NULL, 'CBS_pair_arch2_repeat1', NULL, 'CBS_pair_arch2_repeat1', NULL, NULL, NULL, 1),
(2641, NULL, 'cd08486', NULL, NULL, 'PBP2_CbnR', NULL, 'PBP2_CbnR', NULL, NULL, NULL, 1),
(2642, NULL, 'cd18266', NULL, NULL, 'BTB_POZ_KLHL36', NULL, 'BTB_POZ_KLHL36', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2643, NULL, 'cd01777', NULL, NULL, 'FERM_F1_SNX27', NULL, 'FERM_F1_SNX27', NULL, NULL, 32042, 1),
(2644, NULL, 'cd09974', NULL, NULL, 'LOTUS_3_TDRD7', NULL, 'LOTUS_3_TDRD7', NULL, NULL, 34762, 1),
(2645, NULL, 'cd04754', NULL, NULL, 'Commd6', NULL, 'Commd6', NULL, NULL, NULL, 1),
(2646, NULL, 'cd09698', NULL, NULL, 'Cas8a2_I-A', NULL, 'Cas8a2_I-A', NULL, NULL, NULL, 1),
(2647, NULL, 'cd07348', NULL, NULL, 'NR_LBD_NGFI-B', NULL, 'NR_LBD_NGFI-B', NULL, NULL, NULL, 1),
(2648, NULL, 'cd00092', NULL, NULL, 'HTH_CRP', NULL, 'HTH_CRP', NULL, NULL, NULL, 1),
(2649, NULL, 'cd14158', NULL, NULL, 'STKc_IRAK4', NULL, 'STKc_IRAK4', NULL, NULL, NULL, 1),
(2650, NULL, 'cd14738', NULL, NULL, 'PAAR_2', NULL, 'PAAR_2', NULL, NULL, NULL, 1),
(2651, NULL, 'cd02660', NULL, NULL, 'Peptidase_C19D', NULL, 'Peptidase_C19D', NULL, NULL, NULL, 1),
(2652, NULL, 'cd13724', NULL, NULL, 'PBP2_iGluR_kainate_KA1', NULL, 'PBP2_iGluR_kainate_KA1', NULL, NULL, NULL, 1),
(2653, NULL, 'cd18584', NULL, NULL, 'ABC_6TM_AarD_CydD', NULL, 'ABC_6TM_AarD_CydD', NULL, NULL, NULL, 1),
(2654, NULL, 'cd07099', NULL, NULL, 'ALDH_DDALDH', NULL, 'ALDH_DDALDH', NULL, NULL, NULL, 1),
(2655, NULL, 'cd11954', NULL, NULL, 'SH3_ASPP1', NULL, 'SH3_ASPP1', NULL, NULL, NULL, 1),
(2656, NULL, 'cd14107', NULL, NULL, 'STKc_obscurin_rpt1', NULL, 'STKc_obscurin_rpt1', NULL, NULL, NULL, 1),
(2657, NULL, 'cd19983', NULL, NULL, 'PBP1_ABC_HAAT-like', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, NULL, 1),
(2658, NULL, 'cd08821', NULL, NULL, 'FMT_core_like_1', NULL, 'FMT_core_like_1', NULL, NULL, NULL, 1),
(2659, NULL, 'cd08041', NULL, NULL, 'OBF_kDNA_ligase_like', NULL, 'OBF_kDNA_ligase_like', NULL, NULL, NULL, 1),
(2660, NULL, 'cd16953', NULL, NULL, 'HATPase_BvrS-ChvG-like', NULL, 'HATPase_BvrS-ChvG-like', NULL, NULL, NULL, 1),
(2661, NULL, 'cd12051', NULL, NULL, 'SH3_DOCK1_5_A', NULL, 'SH3_DOCK1_5_A', NULL, NULL, NULL, 1),
(2662, NULL, 'cd06259', NULL, NULL, 'YdcF-like', NULL, 'YdcF-like', NULL, NULL, 3253, 1),
(2663, NULL, 'cd12174', NULL, NULL, 'PGDH_like_3', NULL, 'PGDH_like_3', NULL, NULL, NULL, 1),
(2664, NULL, 'cd17625', NULL, NULL, 'REC_OmpR_DrrD-like', NULL, 'REC_OmpR_DrrD-like', NULL, NULL, NULL, 1),
(2665, NULL, 'cd15386', NULL, NULL, '7tmA_V1bR', NULL, '7tmA_V1bR', NULL, NULL, NULL, 1),
(2666, NULL, 'cd08489', NULL, NULL, 'PBP2_NikA', NULL, 'PBP2_NikA', NULL, NULL, 13042, 1),
(2667, NULL, 'cd15794', NULL, NULL, 'PH_ARHGEF18', NULL, 'PH_ARHGEF18', NULL, NULL, 30814, 1),
(2668, NULL, 'cd08585', NULL, NULL, 'GDPD_like_3', NULL, 'GDPD_like_3', NULL, NULL, NULL, 1),
(2669, NULL, 'cd06568', NULL, NULL, 'GH20_SpHex_like', NULL, 'GH20_SpHex_like', NULL, NULL, NULL, 1),
(2670, NULL, 'cd16231', NULL, NULL, 'EFh_SPARC_like', NULL, 'EFh_SPARC_like', NULL, NULL, NULL, 1),
(2671, NULL, 'cd14106', NULL, NULL, 'STKc_DRAK', NULL, 'STKc_DRAK', NULL, NULL, NULL, 1),
(2672, NULL, 'cd15801', NULL, NULL, 'PMEI-like_1', NULL, 'PMEI-like_1', NULL, NULL, NULL, 1),
(2673, NULL, 'cd17654', NULL, NULL, 'A_NRPS_acs4', NULL, 'A_NRPS_acs4', NULL, NULL, NULL, 1),
(2674, NULL, 'cd17270', NULL, NULL, 'RMtype1_S_Sba223ORF3470P-TRD1-CR1_like', NULL, 'RMtype1_S_Sba223ORF3470P-TRD1-CR1_like', NULL, NULL, NULL, 1),
(2675, NULL, 'cd03211', NULL, NULL, 'GST_C_Metaxin2', NULL, 'GST_C_Metaxin2', NULL, NULL, NULL, 1),
(2676, NULL, 'cd09386', NULL, NULL, 'LIM1_LMO4', NULL, 'LIM1_LMO4', NULL, NULL, NULL, 1),
(2677, NULL, 'cd19381', NULL, NULL, 'TGF_beta_Artemin', NULL, 'TGF_beta_Artemin', NULL, NULL, NULL, 1),
(2678, NULL, 'cd11865', NULL, NULL, 'SH3_Nbp2-like', NULL, 'SH3_Nbp2-like', NULL, NULL, NULL, 1),
(2679, NULL, 'cd09488', NULL, NULL, 'SAM_EPH-R', NULL, 'SAM_EPH-R', NULL, NULL, NULL, 1),
(2680, NULL, 'cd13261', NULL, NULL, 'PH_RasGRF1_2', NULL, 'PH_RasGRF1_2', NULL, NULL, NULL, 1),
(2681, NULL, 'cd14615', NULL, NULL, 'R-PTPc-J', NULL, 'R-PTPc-J', NULL, NULL, NULL, 1),
(2682, NULL, 'cd05768', NULL, NULL, 'IgC_CH3_IgAGD_CH4_IgAEM', NULL, 'IgC_CH3_IgAGD_CH4_IgAEM', NULL, NULL, NULL, 1),
(2683, NULL, 'cd12253', NULL, NULL, 'RRM_PIN4_like', NULL, 'RRM_PIN4_like', NULL, NULL, 16248, 1),
(2684, NULL, 'cd21660', NULL, NULL, 'alphaCoV_Nsp14', NULL, 'alphaCoV_Nsp14', NULL, NULL, 38904, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2685, NULL, 'cd09984', NULL, NULL, 'LOTUS_8_Limkain_b1', NULL, 'LOTUS_8_Limkain_b1', NULL, NULL, NULL, 1),
(2686, NULL, 'cd12001', NULL, NULL, 'SH3_BCAR1', NULL, 'SH3_BCAR1', NULL, NULL, 30189, 1),
(2687, NULL, 'cd03737', NULL, NULL, 'SOCS_SOCS3', NULL, 'SOCS_SOCS3', NULL, NULL, NULL, 1),
(2688, NULL, 'cd13636', NULL, NULL, 'PBP2_Af1704', NULL, 'PBP2_Af1704', NULL, NULL, NULL, 1),
(2689, NULL, 'cd19342', NULL, NULL, 'Wnt_Wnt10', NULL, 'Wnt_Wnt10', NULL, NULL, NULL, 1),
(2690, NULL, 'cd01213', NULL, NULL, 'PTB_tensin', NULL, 'PTB_tensin', NULL, NULL, 30300, 1),
(2691, NULL, 'cd11754', NULL, NULL, 'GH94N_CBP_like', NULL, 'GH94N_CBP_like', NULL, NULL, 34378, 1),
(2692, NULL, 'cd16019', NULL, NULL, 'GPI_EPT', NULL, 'GPI_EPT', NULL, NULL, NULL, 1),
(2693, NULL, 'cd15350', NULL, NULL, '7tmA_MC2R_ACTH_R', NULL, '7tmA_MC2R_ACTH_R', NULL, NULL, NULL, 1),
(2694, NULL, 'cd16250', NULL, NULL, 'EFh_DTNB', NULL, 'EFh_DTNB', NULL, NULL, NULL, 1),
(2695, NULL, 'cd04823', NULL, NULL, 'ALAD_PBGS_aspartate_rich', NULL, 'ALAD_PBGS_aspartate_rich', NULL, NULL, NULL, 1),
(2696, NULL, 'cd01416', NULL, NULL, 'SAICAR_synt_Ade5', NULL, 'SAICAR_synt_Ade5', NULL, NULL, NULL, 1),
(2697, NULL, 'cd01756', NULL, NULL, 'PLAT_repeat', NULL, 'PLAT_repeat', NULL, NULL, NULL, 1),
(2698, NULL, 'cd12082', NULL, NULL, 'MATE_like', NULL, 'MATE_like', NULL, NULL, NULL, 1),
(2699, NULL, 'cd04369', NULL, NULL, 'Bromodomain', NULL, 'Bromodomain', NULL, NULL, NULL, 1),
(2700, NULL, 'cd04184', NULL, NULL, 'GT2_RfbC_Mx_like', NULL, 'GT2_RfbC_Mx_like', NULL, NULL, NULL, 1),
(2701, NULL, 'cd09764', NULL, NULL, 'Csb3_I-U', NULL, 'Csb3_I-U', NULL, NULL, NULL, 1),
(2702, NULL, 'cd13911', NULL, NULL, 'CuRO_3_MCO_like_5', NULL, 'CuRO_3_MCO_like_5', NULL, NULL, NULL, 1),
(2703, NULL, 'cd13759', NULL, NULL, 'TGF_beta_NODAL', NULL, 'TGF_beta_NODAL', NULL, NULL, NULL, 1),
(2704, NULL, 'cd14250', NULL, NULL, 'ESP36_like', NULL, 'ESP36_like', NULL, NULL, NULL, 1),
(2705, NULL, 'cd15482', NULL, NULL, 'Sialidase_non-viral', NULL, 'Sialidase_non-viral', NULL, NULL, NULL, 1),
(2706, NULL, 'cd03378', NULL, NULL, 'beta_CA_cladeC', NULL, 'beta_CA_cladeC', NULL, NULL, NULL, 1),
(2707, NULL, 'cd06627', NULL, NULL, 'STKc_Cdc7_like', NULL, 'STKc_Cdc7_like', NULL, NULL, NULL, 1),
(2708, NULL, 'cd12109', NULL, NULL, 'Hr_FBXL5', NULL, 'Hr_FBXL5', NULL, NULL, 36638, 1),
(2709, NULL, 'cd20003', NULL, NULL, 'PBP1_LsrB_Quorum_Sensing', NULL, 'PBP1_LsrB_Quorum_Sensing', NULL, NULL, 23896, 1),
(2710, NULL, 'cd04714', NULL, NULL, 'BAH_BAHCC1', NULL, 'BAH_BAHCC1', NULL, NULL, NULL, 1),
(2711, NULL, 'cd08185', NULL, NULL, 'Fe-ADH-like', NULL, 'Fe-ADH-like', NULL, NULL, NULL, 1),
(2712, NULL, 'cd12608', NULL, NULL, 'RRM1_CoAA', NULL, 'RRM1_CoAA', NULL, NULL, 21252, 1),
(2713, NULL, 'cd14309', NULL, NULL, 'UBA_scDdi1_like', NULL, 'UBA_scDdi1_like', NULL, NULL, NULL, 1),
(2714, NULL, 'cd00095', NULL, NULL, 'IFab', NULL, 'IFab', NULL, NULL, 5769, 1),
(2715, NULL, 'cd07593', NULL, NULL, 'BAR_MUG137_fungi', NULL, 'BAR_MUG137_fungi', NULL, NULL, NULL, 1),
(2716, NULL, 'cd04751', NULL, NULL, 'Commd3', NULL, 'Commd3', NULL, NULL, NULL, 1),
(2717, NULL, 'cd12904', NULL, NULL, 'SPRY_BSPRY', NULL, 'SPRY_BSPRY', NULL, NULL, NULL, 1),
(2718, NULL, 'cd08601', NULL, NULL, 'GDPD_SaGlpQ_like', NULL, 'GDPD_SaGlpQ_like', NULL, NULL, NULL, 1),
(2719, NULL, 'cd13783', NULL, NULL, 'SPACA1', NULL, 'SPACA1', NULL, NULL, 29817, 1),
(2720, NULL, 'cd14696', NULL, NULL, 'bZIP_Jun', NULL, 'bZIP_Jun', NULL, NULL, NULL, 1),
(2721, NULL, 'cd01887', NULL, NULL, 'IF2_eIF5B', NULL, 'IF2_eIF5B', NULL, NULL, NULL, 1),
(2722, NULL, 'cd03258', NULL, NULL, 'ABC_MetN_methionine_transporter', NULL, 'ABC_MetN_methionine_transporter', NULL, NULL, 32022, 1),
(2723, NULL, 'cd13341', NULL, NULL, 'PH-GRAM_MTMR3', NULL, 'PH-GRAM_MTMR3', NULL, NULL, 34191, 1),
(2724, NULL, 'cd04257', NULL, NULL, 'AAK_AK-HSDH', NULL, 'AAK_AK-HSDH', NULL, NULL, 32559, 1),
(2725, NULL, 'cd03238', NULL, NULL, 'ABC_UvrA', NULL, 'ABC_UvrA', NULL, NULL, NULL, 1),
(2726, NULL, 'cd16153', NULL, NULL, 'sulfatase_like', NULL, 'sulfatase_like', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2727, NULL, 'cd08216', NULL, NULL, 'PK_STRAD', NULL, 'PK_STRAD', NULL, NULL, NULL, 1),
(2728, NULL, 'cd19042', NULL, NULL, 'LGIC_ECD_GABAAR_B3', NULL, 'LGIC_ECD_GABAAR_B3', NULL, NULL, NULL, 1),
(2729, NULL, 'cd03888', NULL, NULL, 'M20_PepV', NULL, 'M20_PepV', NULL, NULL, NULL, 1),
(2730, NULL, 'cd11422', NULL, NULL, 'bHLH_TS_FIGLA', NULL, 'bHLH_TS_FIGLA', NULL, NULL, NULL, 1),
(2731, NULL, 'cd16294', NULL, NULL, 'Int9-like_MBL-fold', NULL, 'Int9-like_MBL-fold', NULL, NULL, NULL, 1),
(2732, NULL, 'cd04659', NULL, NULL, 'Piwi_piwi-like_ProArk', NULL, 'Piwi_piwi-like_ProArk', NULL, NULL, NULL, 1),
(2733, NULL, 'cd06573', NULL, NULL, 'PASTA', NULL, 'PASTA', NULL, NULL, NULL, 1),
(2734, NULL, 'cd15967', NULL, NULL, '7tmA_P2Y1-like', NULL, '7tmA_P2Y1-like', NULL, NULL, NULL, 1),
(2735, NULL, 'cd18220', NULL, NULL, 'BTB_POZ_ZBTB34', NULL, 'BTB_POZ_ZBTB34', NULL, NULL, NULL, 1),
(2736, NULL, 'cd02790', NULL, NULL, 'MopB_CT_Formate-Dh_H', NULL, 'MopB_CT_Formate-Dh_H', NULL, NULL, 33327, 1),
(2737, NULL, 'cd15931', NULL, NULL, '7tmB2_EMR_Adhesion_II', NULL, '7tmB2_EMR_Adhesion_II', NULL, NULL, NULL, 1),
(2738, NULL, 'cd07362', NULL, NULL, 'HPCD_like', NULL, 'HPCD_like', NULL, NULL, NULL, 1),
(2739, NULL, 'cd04303', NULL, NULL, 'HAD_PGPase', NULL, 'HAD_PGPase', NULL, NULL, NULL, 1),
(2740, NULL, 'cd12958', NULL, NULL, 'SKA1_N', NULL, 'SKA1_N', NULL, NULL, NULL, 1),
(2741, NULL, 'cd07777', NULL, NULL, 'FGGY_SHK_like', NULL, 'FGGY_SHK_like', NULL, NULL, 32746, 1),
(2742, NULL, 'cd09931', NULL, NULL, 'SH2_C-SH2_SHP_like', NULL, 'SH2_C-SH2_SHP_like', NULL, NULL, NULL, 1),
(2743, NULL, 'cd03764', NULL, NULL, 'proteasome_beta_archeal', NULL, 'proteasome_beta_archeal', NULL, NULL, 12119, 1),
(2744, NULL, 'cd04623', NULL, NULL, 'CBS_pair_bac_euk', NULL, 'CBS_pair_bac_euk', NULL, NULL, 37292, 1),
(2745, NULL, 'cd02929', NULL, NULL, 'TMADH_HD_FMN', NULL, 'TMADH_HD_FMN', NULL, NULL, 31179, 1),
(2746, NULL, 'cd15616', NULL, NULL, 'PHD_UHRF1', NULL, 'PHD_UHRF1', NULL, NULL, NULL, 1),
(2747, NULL, 'cd14705', NULL, NULL, 'bZIP_Zip1', NULL, 'bZIP_Zip1', NULL, NULL, NULL, 1),
(2748, NULL, 'cd15316', NULL, NULL, '7tmA_TAAR6_8_9', NULL, '7tmA_TAAR6_8_9', NULL, NULL, NULL, 1),
(2749, NULL, 'cd15914', NULL, NULL, '7tmA_OR6N-like', NULL, '7tmA_OR6N-like', NULL, NULL, NULL, 1),
(2750, NULL, 'cd19183', NULL, NULL, 'SET_SpSET3-like', NULL, 'SET_SpSET3-like', NULL, NULL, 38854, 1),
(2751, NULL, 'cd14168', NULL, NULL, 'STKc_CaMKI_delta', NULL, 'STKc_CaMKI_delta', NULL, NULL, NULL, 1),
(2752, NULL, 'cd09249', NULL, NULL, 'BRO1_Rhophilin_2', NULL, 'BRO1_Rhophilin_2', NULL, NULL, NULL, 1),
(2753, NULL, 'cd08584', NULL, NULL, 'PI-PLCc_GDPD_SF_unchar2', NULL, 'PI-PLCc_GDPD_SF_unchar2', NULL, NULL, NULL, 1),
(2754, NULL, 'cd13735', NULL, NULL, 'SPRY_HECT_like', NULL, 'SPRY_HECT_like', NULL, NULL, 34763, 1),
(2755, NULL, 'cd05401', NULL, NULL, 'NT_GlnE_GlnD_like', NULL, 'NT_GlnE_GlnD_like', NULL, NULL, NULL, 1),
(2756, NULL, 'cd00788', NULL, NULL, 'KU70', NULL, 'KU70', NULL, NULL, NULL, 1),
(2757, NULL, 'cd01425', NULL, NULL, 'RPS2', NULL, 'RPS2', NULL, NULL, 4175, 1),
(2758, NULL, 'cd04717', NULL, NULL, 'BAH_polybromo', NULL, 'BAH_polybromo', NULL, NULL, NULL, 1),
(2759, NULL, 'cd12531', NULL, NULL, 'RRM3_MEI2_like', NULL, 'RRM3_MEI2_like', NULL, NULL, 30789, 1),
(2760, NULL, 'cd06623', NULL, NULL, 'PKc_MAPKK_plant_like', NULL, 'PKc_MAPKK_plant_like', NULL, NULL, NULL, 1),
(2761, NULL, 'cd02039', NULL, NULL, 'cytidylyltransferase_like', NULL, 'cytidylyltransferase_like', NULL, NULL, NULL, 1),
(2762, NULL, 'cd14414', NULL, NULL, 'UBA_FAF2', NULL, 'UBA_FAF2', NULL, NULL, NULL, 1),
(2763, NULL, 'cd14871', NULL, NULL, 'uS7_Chloroplast', NULL, 'uS7_Chloroplast', NULL, NULL, NULL, 1),
(2764, NULL, 'cd11008', NULL, NULL, 'M35_deuterolysin_like', NULL, 'M35_deuterolysin_like', NULL, NULL, NULL, 1),
(2765, NULL, 'cd04859', NULL, NULL, 'Prim_Pol', NULL, 'Prim_Pol', NULL, NULL, NULL, 1),
(2766, NULL, 'cd18023', NULL, NULL, 'DEXHc_HFM1', NULL, 'DEXHc_HFM1', NULL, NULL, NULL, 1),
(2767, NULL, 'cd15473', NULL, NULL, 'Myo5p-like_CBD_DIL_ANK', NULL, 'Myo5p-like_CBD_DIL_ANK', NULL, NULL, 35956, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2768, NULL, 'cd03278', NULL, NULL, 'ABC_SMC_barmotin', NULL, 'ABC_SMC_barmotin', NULL, NULL, NULL, 1),
(2769, NULL, 'cd16884', NULL, NULL, 'ARID_ARID5A', NULL, 'ARID_ARID5A', NULL, NULL, NULL, 1),
(2770, NULL, 'cd01597', NULL, NULL, 'pCLME', NULL, 'pCLME', NULL, NULL, NULL, 1),
(2771, NULL, 'cd02982', NULL, NULL, 'PDI_b''_family', NULL, 'PDI_b''_family', NULL, NULL, NULL, 1),
(2772, NULL, 'cd03695', NULL, NULL, 'CysN_NodQ_II', NULL, 'CysN_NodQ_II', NULL, NULL, 37332, 1),
(2773, NULL, 'cd16559', NULL, NULL, 'RING-HC_RNF208', NULL, 'RING-HC_RNF208', NULL, NULL, 34307, 1),
(2774, NULL, 'cd12748', NULL, NULL, 'RRM4_RBM12B', NULL, 'RRM4_RBM12B', NULL, NULL, NULL, 1),
(2775, NULL, 'cd16669', NULL, NULL, 'RING-H2_RNF181', NULL, 'RING-H2_RNF181', NULL, NULL, NULL, 1),
(2776, NULL, 'cd16206', NULL, NULL, 'EFh_PRIP', NULL, 'EFh_PRIP', NULL, NULL, NULL, 1),
(2777, NULL, 'cd02583', NULL, NULL, 'RNAP_III_RPC1_N', NULL, 'RNAP_III_RPC1_N', NULL, NULL, 33505, 1),
(2778, NULL, 'cd06862', NULL, NULL, 'PX_SNX9_18_like', NULL, 'PX_SNX9_18_like', NULL, NULL, NULL, 1),
(2779, NULL, 'cd07935', NULL, NULL, 'RHD-n_NFkB1', NULL, 'RHD-n_NFkB1', NULL, NULL, NULL, 1),
(2780, NULL, 'cd07940', NULL, NULL, 'DRE_TIM_IPMS', NULL, 'DRE_TIM_IPMS', NULL, NULL, NULL, 1),
(2781, NULL, 'cd05057', NULL, NULL, 'PTKc_EGFR_like', NULL, 'PTKc_EGFR_like', NULL, NULL, NULL, 1),
(2782, NULL, 'cd11797', NULL, NULL, 'SH3_DNMBP_N4', NULL, 'SH3_DNMBP_N4', NULL, NULL, NULL, 1),
(2783, NULL, 'cd17138', NULL, NULL, 'RBD2_RGS12', NULL, 'RBD2_RGS12', NULL, NULL, NULL, 1),
(2784, NULL, 'cd16761', NULL, NULL, 'RING-HC_MuRF3', NULL, 'RING-HC_MuRF3', NULL, NULL, 36960, 1),
(2785, NULL, 'cd17716', NULL, NULL, 'BRCT_microcephalin_rpt1', NULL, 'BRCT_microcephalin_rpt1', NULL, NULL, NULL, 1),
(2786, NULL, 'cd00917', NULL, NULL, 'PG-PI_TP', NULL, 'PG-PI_TP', NULL, NULL, 36326, 1),
(2787, NULL, 'cd07103', NULL, NULL, 'ALDH_F5_SSADH_GabD', NULL, 'ALDH_F5_SSADH_GabD', NULL, NULL, NULL, 1),
(2788, NULL, 'cd04232', NULL, NULL, 'CuRO_1_CueO_FtsP', NULL, 'CuRO_1_CueO_FtsP', NULL, NULL, NULL, 1),
(2789, NULL, 'cd11818', NULL, NULL, 'SH3_Eve1_5', NULL, 'SH3_Eve1_5', NULL, NULL, NULL, 1),
(2790, NULL, 'cd17909', NULL, NULL, 'CheC_ClassI', NULL, 'CheC_ClassI', NULL, NULL, NULL, 1),
(2791, NULL, 'cd06291', NULL, NULL, 'PBP1_Qymf-like', NULL, 'PBP1_Qymf-like', NULL, NULL, NULL, 1),
(2792, NULL, 'cd15581', NULL, NULL, 'PHD2_PHF19', NULL, 'PHD2_PHF19', NULL, NULL, 33368, 1),
(2793, NULL, 'cd10417', NULL, NULL, 'SH2_SH2D7', NULL, 'SH2_SH2D7', NULL, NULL, 35112, 1),
(2794, NULL, 'cd12610', NULL, NULL, 'RRM1_SECp43', NULL, 'RRM1_SECp43', NULL, NULL, NULL, 1),
(2795, NULL, 'cd07652', NULL, NULL, 'F-BAR_Rgd1', NULL, 'F-BAR_Rgd1', NULL, NULL, NULL, 1),
(2796, NULL, 'cd15485', NULL, NULL, 'ZIP_Cat8', NULL, 'ZIP_Cat8', NULL, NULL, NULL, 1),
(2797, NULL, 'cd13996', NULL, NULL, 'STKc_EIF2AK', NULL, 'STKc_EIF2AK', NULL, NULL, NULL, 1),
(2798, NULL, 'cd19464', NULL, NULL, 'CRBP3', NULL, 'CRBP3', NULL, NULL, NULL, 1),
(2799, NULL, 'cd00401', NULL, NULL, 'SAHH', NULL, 'SAHH', NULL, NULL, 3724, 1),
(2800, NULL, 'cd01200', NULL, NULL, 'WHEPGMRS_RNA', NULL, 'WHEPGMRS_RNA', NULL, NULL, NULL, 1),
(2801, NULL, 'cd00237', NULL, NULL, 'p23', NULL, 'p23', NULL, NULL, NULL, 1),
(2802, NULL, 'cd02339', NULL, NULL, 'ZZ_Mind_bomb', NULL, 'ZZ_Mind_bomb', NULL, NULL, 34409, 1),
(2803, NULL, 'cd14519', NULL, NULL, 'DSP_DUSP22_15', NULL, 'DSP_DUSP22_15', NULL, NULL, NULL, 1),
(2804, NULL, 'cd06657', NULL, NULL, 'STKc_PAK4', NULL, 'STKc_PAK4', NULL, NULL, NULL, 1),
(2805, NULL, 'cd10406', NULL, NULL, 'SH2_Vav2', NULL, 'SH2_Vav2', NULL, NULL, 35090, 1),
(2806, NULL, 'cd17447', NULL, NULL, 'MFS_SLC22A7_OAT2', NULL, 'MFS_SLC22A7_OAT2', NULL, NULL, NULL, 1),
(2807, NULL, 'cd01330', NULL, NULL, 'KAZAL_SLC21', NULL, 'KAZAL_SLC21', NULL, NULL, NULL, 1),
(2808, NULL, 'cd06117', NULL, NULL, 'Ec2MCS_like_1', NULL, 'Ec2MCS_like_1', NULL, NULL, NULL, 1),
(2809, NULL, 'cd10237', NULL, NULL, 'HSPA13-like_NBD', NULL, 'HSPA13-like_NBD', NULL, NULL, 32755, 1),
(2810, NULL, 'cd09599', NULL, NULL, 'M1_LTA4H', NULL, 'M1_LTA4H', NULL, NULL, 24710, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2811, NULL, 'cd01124', NULL, NULL, 'KaiC', NULL, 'KaiC', NULL, NULL, NULL, 1),
(2812, NULL, 'cd07325', NULL, NULL, 'M48_Ste24p_like', NULL, 'M48_Ste24p_like', NULL, NULL, NULL, 1),
(2813, NULL, 'cd08626', NULL, NULL, 'PI-PLCc_beta4', NULL, 'PI-PLCc_beta4', NULL, NULL, NULL, 1),
(2814, NULL, 'cd05356', NULL, NULL, '17beta-HSD1_like_SDR_c', NULL, '17beta-HSD1_like_SDR_c', NULL, NULL, NULL, 1),
(2815, NULL, 'cd04198', NULL, NULL, 'eIF-2B_gamma_N', NULL, 'eIF-2B_gamma_N', NULL, NULL, NULL, 1),
(2816, NULL, 'cd19100', NULL, NULL, 'AKR_unchar', NULL, 'AKR_unchar', NULL, NULL, NULL, 1),
(2817, NULL, 'cd01468', NULL, NULL, 'trunk_domain', NULL, 'trunk_domain', NULL, NULL, NULL, 1),
(2818, NULL, 'cd17376', NULL, NULL, 'MFS_SLC22A4_5_OCTN1_2', NULL, 'MFS_SLC22A4_5_OCTN1_2', NULL, NULL, 40019, 1),
(2819, NULL, 'cd15954', NULL, NULL, '7tmA_OR52N-like', NULL, '7tmA_OR52N-like', NULL, NULL, NULL, 1),
(2820, NULL, 'cd02177', NULL, NULL, 'GH16_kappa_carrageenase', NULL, 'GH16_kappa_carrageenase', NULL, NULL, NULL, 1),
(2821, NULL, 'cd18108', NULL, NULL, 'SpoU-like_NHR', NULL, 'SpoU-like_NHR', NULL, NULL, NULL, 1),
(2822, NULL, 'cd08556', NULL, NULL, 'GDPD', NULL, 'GDPD', NULL, NULL, NULL, 1),
(2823, NULL, 'cd19004', NULL, NULL, 'LGIC_ECD_GABAAR_pi', NULL, 'LGIC_ECD_GABAAR_pi', NULL, NULL, NULL, 1),
(2824, NULL, 'cd12158', NULL, NULL, 'ErythrP_dh', NULL, 'ErythrP_dh', NULL, NULL, 14567, 1),
(2825, NULL, 'cd04816', NULL, NULL, 'PA_SaNapH_like', NULL, 'PA_SaNapH_like', NULL, NULL, NULL, 1),
(2826, NULL, 'cd18549', NULL, NULL, 'ABC_6TM_YwjA_like', NULL, 'ABC_6TM_YwjA_like', NULL, NULL, NULL, 1),
(2827, NULL, 'cd17090', NULL, NULL, 'FERM_F1_TLN', NULL, 'FERM_F1_TLN', NULL, NULL, NULL, 1),
(2828, NULL, 'cd10585', NULL, NULL, 'CE4_SF', NULL, 'CE4_SF', NULL, NULL, NULL, 1),
(2829, NULL, 'cd15531', NULL, NULL, 'PHD1_CHD_II', NULL, 'PHD1_CHD_II', NULL, NULL, NULL, 1),
(2830, NULL, 'cd16620', NULL, NULL, 'vRING-HC-C4C4_RBBP6', NULL, 'vRING-HC-C4C4_RBBP6', NULL, NULL, NULL, 1),
(2831, NULL, 'cd11902', NULL, NULL, 'SH3_Nck2_2', NULL, 'SH3_Nck2_2', NULL, NULL, 36085, 1),
(2832, NULL, 'cd04404', NULL, NULL, 'RhoGAP-p50rhoGAP', NULL, 'RhoGAP-p50rhoGAP', NULL, NULL, NULL, 1),
(2833, NULL, 'cd04056', NULL, NULL, 'Peptidases_S53', NULL, 'Peptidases_S53', NULL, NULL, 26853, 1),
(2834, NULL, 'cd07153', NULL, NULL, 'Fur_like', NULL, 'Fur_like', NULL, NULL, 680, 1),
(2835, NULL, 'cd00063', NULL, NULL, 'FN3', NULL, 'FN3', NULL, NULL, 7492, 1),
(2836, NULL, 'cd14496', NULL, NULL, 'PTP_paladin', NULL, 'PTP_paladin', NULL, NULL, NULL, 1),
(2837, NULL, 'cd16908', NULL, NULL, 'YEATS_Yaf9_like', NULL, 'YEATS_Yaf9_like', NULL, NULL, NULL, 1),
(2838, NULL, 'cd17345', NULL, NULL, 'MFS_GlpT', NULL, 'MFS_GlpT', NULL, NULL, NULL, 1),
(2839, NULL, 'cd12638', NULL, NULL, 'RRM3_CELF1_2', NULL, 'RRM3_CELF1_2', NULL, NULL, 7247, 1),
(2840, NULL, 'cd08270', NULL, NULL, 'MDR4', NULL, 'MDR4', NULL, NULL, NULL, 1),
(2841, NULL, 'cd17514', NULL, NULL, 'RMtype1_S_Eco2747I_MmaC7ORF19P-TRD-CR_like', NULL, 'RMtype1_S_Eco2747I_MmaC7ORF19P-TRD-CR_like', NULL, NULL, NULL, 1),
(2842, NULL, 'cd18241', NULL, NULL, 'BTB_POZ_KLHL11', NULL, 'BTB_POZ_KLHL11', NULL, NULL, NULL, 1),
(2843, NULL, 'cd01852', NULL, NULL, 'AIG1', NULL, 'AIG1', NULL, NULL, NULL, 1),
(2844, NULL, 'cd17642', NULL, NULL, 'Firefly_Luc', NULL, 'Firefly_Luc', NULL, NULL, NULL, 1),
(2845, NULL, 'cd10395', NULL, NULL, 'SH2_RIN3', NULL, 'SH2_RIN3', NULL, NULL, 31367, 1),
(2846, NULL, 'cd11878', NULL, NULL, 'SH3_Bem1p_1', NULL, 'SH3_Bem1p_1', NULL, NULL, 32966, 1),
(2847, NULL, 'cd14322', NULL, NULL, 'UBA_LATS', NULL, 'UBA_LATS', NULL, NULL, NULL, 1),
(2848, NULL, 'cd08798', NULL, NULL, 'Death_NFkB2_p100', NULL, 'Death_NFkB2_p100', NULL, NULL, NULL, 1),
(2849, NULL, 'cd09117', NULL, NULL, 'PLDc_Bfil_DEXD_like', NULL, 'PLDc_Bfil_DEXD_like', NULL, NULL, NULL, 1),
(2850, NULL, 'cd04620', NULL, NULL, 'CBS_two-component_sensor_histidine_kinase_repeat1', NULL, 'CBS_two-component_sensor_histidine_kinase_repeat1', NULL, NULL, NULL, 1),
(2851, NULL, 'cd12321', NULL, NULL, 'RRM1_TDP43', NULL, 'RRM1_TDP43', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2852, NULL, 'cd00006', NULL, NULL, 'PTS_IIA_man', NULL, 'PTS_IIA_man', NULL, NULL, 33043, 1),
(2853, NULL, 'cd05886', NULL, NULL, 'Ig1_Nectin-1_like', NULL, 'Ig1_Nectin-1_like', NULL, NULL, 32882, 1),
(2854, NULL, 'cd02222', NULL, NULL, 'cupin_TM1459-like', NULL, 'cupin_TM1459-like', NULL, NULL, NULL, 1),
(2855, NULL, 'cd06436', NULL, NULL, 'GlcNAc-1-P_transferase', NULL, 'GlcNAc-1-P_transferase', NULL, NULL, NULL, 1),
(2856, NULL, 'cd06355', NULL, NULL, 'PBP1_FmdD-like', NULL, 'PBP1_FmdD-like', NULL, NULL, 19210, 1),
(2857, NULL, 'cd03405', NULL, NULL, 'SPFH_HflC', NULL, 'SPFH_HflC', NULL, NULL, 4314, 1),
(2858, NULL, 'cd02396', NULL, NULL, 'PCBP_like_KH', NULL, 'PCBP_like_KH', NULL, NULL, NULL, 1),
(2859, NULL, 'cd15240', NULL, NULL, '7tm_ASR-like', NULL, '7tm_ASR-like', NULL, NULL, NULL, 1),
(2860, NULL, 'cd06636', NULL, NULL, 'STKc_MAP4K4_6_N', NULL, 'STKc_MAP4K4_6_N', NULL, NULL, NULL, 1),
(2861, NULL, 'cd19772', NULL, NULL, 'Bbox2_TRIM21_C-IV', NULL, 'Bbox2_TRIM21_C-IV', NULL, NULL, NULL, 1),
(2862, NULL, 'cd09523', NULL, NULL, 'SAM_TAL', NULL, 'SAM_TAL', NULL, NULL, NULL, 1),
(2863, NULL, 'cd16185', NULL, NULL, 'EFh_PEF_ALG-2_like', NULL, 'EFh_PEF_ALG-2_like', NULL, NULL, NULL, 1),
(2864, NULL, 'cd01806', NULL, NULL, 'Ubl_NEDD8', NULL, 'Ubl_NEDD8', NULL, NULL, 31383, 1),
(2865, NULL, 'cd02967', NULL, NULL, 'mauD', NULL, 'mauD', NULL, NULL, NULL, 1),
(2866, NULL, 'cd13839', NULL, NULL, 'MEF2_binding', NULL, 'MEF2_binding', NULL, NULL, 9915, 1),
(2867, NULL, 'cd01212', NULL, NULL, 'PTB_JIP', NULL, 'PTB_JIP', NULL, NULL, NULL, 1),
(2868, NULL, 'cd01449', NULL, NULL, 'TST_Repeat_2', NULL, 'TST_Repeat_2', NULL, NULL, NULL, 1),
(2869, NULL, 'cd12753', NULL, NULL, 'RRM1_RBM10', NULL, 'RRM1_RBM10', NULL, NULL, NULL, 1),
(2870, NULL, 'cd08293', NULL, NULL, 'PTGR2', NULL, 'PTGR2', NULL, NULL, 35269, 1),
(2871, NULL, 'cd09239', NULL, NULL, 'BRO1_HD-PTP_like', NULL, 'BRO1_HD-PTP_like', NULL, NULL, NULL, 1),
(2872, NULL, 'cd03344', NULL, NULL, 'GroEL', NULL, 'GroEL', NULL, NULL, 4368, 1),
(2873, NULL, 'cd11427', NULL, NULL, 'bHLH_TS_NeuroD', NULL, 'bHLH_TS_NeuroD', NULL, NULL, NULL, 1),
(2874, NULL, 'cd12199', NULL, NULL, 'AMPKA1_C', NULL, 'AMPKA1_C', NULL, NULL, 30848, 1),
(2875, NULL, 'cd17303', NULL, NULL, 'PIPKc_PIP5K_yeast_like', NULL, 'PIPKc_PIP5K_yeast_like', NULL, NULL, NULL, 1),
(2876, NULL, 'cd14419', NULL, NULL, 'CUE_DMA_DMRTA3', NULL, 'CUE_DMA_DMRTA3', NULL, NULL, NULL, 1),
(2877, NULL, 'cd11971', NULL, NULL, 'SH3_Abi1', NULL, 'SH3_Abi1', NULL, NULL, 30208, 1),
(2878, NULL, 'cd10437', NULL, NULL, 'GIY-YIG_HE_I-TevI_like', NULL, 'GIY-YIG_HE_I-TevI_like', NULL, NULL, NULL, 1),
(2879, NULL, 'cd14405', NULL, NULL, 'UBA_MARK1', NULL, 'UBA_MARK1', NULL, NULL, NULL, 1),
(2880, NULL, 'cd07803', NULL, NULL, 'FGGY_D-XK', NULL, 'FGGY_D-XK', NULL, NULL, NULL, 1),
(2881, NULL, 'cd12121', NULL, NULL, 'MARK_C_like', NULL, 'MARK_C_like', NULL, NULL, NULL, 1),
(2882, NULL, 'cd15704', NULL, NULL, 'ePHD_JADE1', NULL, 'ePHD_JADE1', NULL, NULL, NULL, 1),
(2883, NULL, 'cd14015', NULL, NULL, 'STKc_VRK', NULL, 'STKc_VRK', NULL, NULL, NULL, 1),
(2884, NULL, 'cd00460', NULL, NULL, 'RNAP_RPB11_RPB3', NULL, 'RNAP_RPB11_RPB3', NULL, NULL, NULL, 1),
(2885, NULL, 'cd15265', NULL, NULL, '7tmB1_PTHR', NULL, '7tmB1_PTHR', NULL, NULL, NULL, 1),
(2886, NULL, 'cd13655', NULL, NULL, 'PBP2_oligosaccharide_1', NULL, 'PBP2_oligosaccharide_1', NULL, NULL, NULL, 1),
(2887, NULL, 'cd05395', NULL, NULL, 'RasGAP_RASA4', NULL, 'RasGAP_RASA4', NULL, NULL, NULL, 1),
(2888, NULL, 'cd05591', NULL, NULL, 'STKc_nPKC_epsilon', NULL, 'STKc_nPKC_epsilon', NULL, NULL, 36086, 1),
(2889, NULL, 'cd05756', NULL, NULL, 'Ig1_IL1R_like', NULL, 'Ig1_IL1R_like', NULL, NULL, NULL, 1),
(2890, NULL, 'cd19760', NULL, NULL, 'Bbox2_TRIM4-like', NULL, 'Bbox2_TRIM4-like', NULL, NULL, NULL, 1),
(2891, NULL, 'cd04936', NULL, NULL, 'ACT_AKii-LysC-BS-like_2', NULL, 'ACT_AKii-LysC-BS-like_2', NULL, NULL, NULL, 1),
(2892, NULL, 'cd18331', NULL, NULL, 'BTB_POZ_ZBTB27_BCL6', NULL, 'BTB_POZ_ZBTB27_BCL6', NULL, NULL, NULL, 1),
(2893, NULL, 'cd17011', NULL, NULL, 'CID_RPRD1A', NULL, 'CID_RPRD1A', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2894, NULL, 'cd13587', NULL, NULL, 'PBP2_polyamine_2', NULL, 'PBP2_polyamine_2', NULL, NULL, NULL, 1),
(2895, NULL, 'cd18345', NULL, NULL, 'BTB_POZ_roadkill-like', NULL, 'BTB_POZ_roadkill-like', NULL, NULL, NULL, 1),
(2896, NULL, 'cd14651', NULL, NULL, 'ZIP_Put3', NULL, 'ZIP_Put3', NULL, NULL, NULL, 1),
(2897, NULL, 'cd16760', NULL, NULL, 'RING-HC_MuRF2', NULL, 'RING-HC_MuRF2', NULL, NULL, NULL, 1),
(2898, NULL, 'cd19891', NULL, NULL, 'DSRM_PRKRA_rpt2', NULL, 'DSRM_PRKRA_rpt2', NULL, NULL, 36945, 1),
(2899, NULL, 'cd04674', NULL, NULL, 'Nudix_Hydrolase_16', NULL, 'Nudix_Hydrolase_16', NULL, NULL, NULL, 1),
(2900, NULL, 'sd00035', NULL, NULL, 'LRR_NTF', NULL, 'LRR_NTF', NULL, NULL, NULL, 1),
(2901, NULL, 'cd10432', NULL, NULL, 'BI-1-like_bacterial', NULL, 'BI-1-like_bacterial', NULL, NULL, NULL, 1),
(2902, NULL, 'cd14162', NULL, NULL, 'STKc_TSSK4-like', NULL, 'STKc_TSSK4-like', NULL, NULL, NULL, 1),
(2903, NULL, 'cd14747', NULL, NULL, 'PBP2_MalE', NULL, 'PBP2_MalE', NULL, NULL, NULL, 1),
(2904, NULL, 'cd12725', NULL, NULL, 'RRM2_CPEB1', NULL, 'RRM2_CPEB1', NULL, NULL, NULL, 1),
(2905, NULL, 'cd18182', NULL, NULL, 'ATP-synt_Fo_c_ATP5G3', NULL, 'ATP-synt_Fo_c_ATP5G3', NULL, NULL, NULL, 1),
(2906, NULL, 'cd08631', NULL, NULL, 'PI-PLCc_delta4', NULL, 'PI-PLCc_delta4', NULL, NULL, NULL, 1),
(2907, NULL, 'cd15283', NULL, NULL, '7tmC_V2R_pheromone', NULL, '7tmC_V2R_pheromone', NULL, NULL, NULL, 1),
(2908, NULL, 'cd06168', NULL, NULL, 'LSMD1', NULL, 'LSMD1', NULL, NULL, 21507, 1),
(2909, NULL, 'cd15041', NULL, NULL, '7tmB1_hormone_R', NULL, '7tmB1_hormone_R', NULL, NULL, NULL, 1),
(2910, NULL, 'cd12283', NULL, NULL, 'RRM1_RBM39_like', NULL, 'RRM1_RBM39_like', NULL, NULL, NULL, 1),
(2911, NULL, 'cd04375', NULL, NULL, 'RhoGAP_DLC1', NULL, 'RhoGAP_DLC1', NULL, NULL, NULL, 1),
(2912, NULL, 'cd12831', NULL, NULL, 'TmCorA-like_u2', NULL, 'TmCorA-like_u2', NULL, NULL, NULL, 1),
(2913, NULL, 'cd05928', NULL, NULL, 'MACS_euk', NULL, 'MACS_euk', NULL, NULL, NULL, 1),
(2914, NULL, 'cd16866', NULL, NULL, 'ARID_ARID2', NULL, 'ARID_ARID2', NULL, NULL, NULL, 1),
(2915, NULL, 'cd04218', NULL, NULL, 'Pseudoazurin', NULL, 'Pseudoazurin', NULL, NULL, 9343, 1),
(2916, NULL, 'cd16731', NULL, NULL, 'RING-HC_MKRN2', NULL, 'RING-HC_MKRN2', NULL, NULL, NULL, 1),
(2917, NULL, 'cd00939', NULL, NULL, 'MetRS_RNA', NULL, 'MetRS_RNA', NULL, NULL, NULL, 1),
(2918, NULL, 'cd14386', NULL, NULL, 'UBA2_UBP5', NULL, 'UBA2_UBP5', NULL, NULL, NULL, 1),
(2919, NULL, 'cd16591', NULL, NULL, 'RING-HC_TRIM5_like-C-IV', NULL, 'RING-HC_TRIM5_like-C-IV', NULL, NULL, NULL, 1),
(2920, NULL, 'cd04949', NULL, NULL, 'GT4_GtfA-like', NULL, 'GT4_GtfA-like', NULL, NULL, NULL, 1),
(2921, NULL, 'cd12783', NULL, NULL, 'RRM2_PTBP2', NULL, 'RRM2_PTBP2', NULL, NULL, NULL, 1),
(2922, NULL, 'cd19771', NULL, NULL, 'Bbox2_TRIM20', NULL, 'Bbox2_TRIM20', NULL, NULL, NULL, 1),
(2923, NULL, 'cd14873', NULL, NULL, 'MYSc_Myo10', NULL, 'MYSc_Myo10', NULL, NULL, 34149, 1),
(2924, NULL, 'cd07839', NULL, NULL, 'STKc_CDK5', NULL, 'STKc_CDK5', NULL, NULL, NULL, 1),
(2925, NULL, 'cd13638', NULL, NULL, 'PBP2_EcProx_like', NULL, 'PBP2_EcProx_like', NULL, NULL, NULL, 1),
(2926, NULL, 'cd16621', NULL, NULL, 'vRING-HC-C4C4_RFPL1_like', NULL, 'vRING-HC-C4C4_RFPL1_like', NULL, NULL, NULL, 1),
(2927, NULL, 'cd00728', NULL, NULL, 'malate_synt_G', NULL, 'malate_synt_G', NULL, NULL, 3566, 1),
(2928, NULL, 'cd12819', NULL, NULL, 'LbR_vir_like', NULL, 'LbR_vir_like', NULL, NULL, NULL, 1),
(2929, NULL, 'cd18795', NULL, NULL, 'SF2_C_Ski2', NULL, 'SF2_C_Ski2', NULL, NULL, NULL, 1),
(2930, NULL, 'cd16691', NULL, NULL, 'mRING-H2-C3H3C2_Mio', NULL, 'mRING-H2-C3H3C2_Mio', NULL, NULL, 23125, 1),
(2931, NULL, 'cd05329', NULL, NULL, 'TR_SDR_c', NULL, 'TR_SDR_c', NULL, NULL, NULL, 1),
(2932, NULL, 'cd14979', NULL, NULL, '7tmA_NTSR-like', NULL, '7tmA_NTSR-like', NULL, NULL, NULL, 1),
(2933, NULL, 'cd08873', NULL, NULL, 'START_STARD14_15-like', NULL, 'START_STARD14_15-like', NULL, NULL, NULL, 1),
(2934, NULL, 'cd14033', NULL, NULL, 'STKc_WNK4', NULL, 'STKc_WNK4', NULL, NULL, NULL, 1),
(2935, NULL, 'cd17213', NULL, NULL, 'RA_PHLPP', NULL, 'RA_PHLPP', NULL, NULL, NULL, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2936, NULL, 'cd14002', NULL, NULL, 'STKc_STK36', NULL, 'STKc_STK36', NULL, NULL, NULL, 1),
(2937, NULL, 'cd19039', NULL, NULL, 'LGIC_ECD_GABAAR_A6', NULL, 'LGIC_ECD_GABAAR_A6', NULL, NULL, NULL, 1),
(2938, NULL, 'cd00330', NULL, NULL, 'phosphagen_kinases', NULL, 'phosphagen_kinases', NULL, NULL, NULL, 1),
(2939, NULL, 'cd07006', NULL, NULL, 'cupin_XcTcmJ-like', NULL, 'cupin_XcTcmJ-like', NULL, NULL, NULL, 1),
(2940, NULL, 'cd04444', NULL, NULL, 'DEP_PLEK2', NULL, 'DEP_PLEK2', NULL, NULL, 29652, 1),
(2941, NULL, 'cd12529', NULL, NULL, 'RRM2_MEI2_like', NULL, 'RRM2_MEI2_like', NULL, NULL, NULL, 1),
(2942, NULL, 'cd15179', NULL, NULL, '7tmA_CXCR4', NULL, '7tmA_CXCR4', NULL, NULL, NULL, 1),
(2943, NULL, 'cd07737', NULL, NULL, 'YcbL-like_MBL-fold', NULL, 'YcbL-like_MBL-fold', NULL, NULL, NULL, 1),
(2944, NULL, 'cd08992', NULL, NULL, 'GH117', NULL, 'GH117', NULL, NULL, NULL, 1),
(2945, NULL, 'cd05516', NULL, NULL, 'Bromo_SNF2L2', NULL, 'Bromo_SNF2L2', NULL, NULL, NULL, 1),
(2946, NULL, 'cd14320', NULL, NULL, 'UBA_SQSTM', NULL, 'UBA_SQSTM', NULL, NULL, 33456, 1),
(2947, NULL, 'cd02988', NULL, NULL, 'Phd_like_VIAF', NULL, 'Phd_like_VIAF', NULL, NULL, NULL, 1),
(2948, NULL, 'cd10399', NULL, NULL, 'SH2_Tec_Bmx', NULL, 'SH2_Tec_Bmx', NULL, NULL, 35960, 1),
(2949, NULL, 'cd06129', NULL, NULL, 'RNaseD_like', NULL, 'RNaseD_like', NULL, NULL, NULL, 1),
(2950, NULL, 'cd18032', NULL, NULL, 'DEXHc_RE_I_III_res', NULL, 'DEXHc_RE_I_III_res', NULL, NULL, NULL, 1),
(2951, NULL, 'cd13260', NULL, NULL, 'PH_RASA1', NULL, 'PH_RASA1', NULL, NULL, NULL, 1),
(2952, NULL, 'cd18525', NULL, NULL, 'BACK_BTBD6', NULL, 'BACK_BTBD6', NULL, NULL, NULL, 1),
(2953, NULL, 'cd09738', NULL, NULL, 'Csb1_I-U', NULL, 'Csb1_I-U', NULL, NULL, NULL, 1),
(2954, NULL, 'cd00306', NULL, NULL, 'Peptidases_S8_S53', NULL, 'Peptidases_S8_S53', NULL, NULL, NULL, 1),
(2955, NULL, 'cd07332', NULL, NULL, 'M48C_Oma1_like', NULL, 'M48C_Oma1_like', NULL, NULL, NULL, 1),
(2956, NULL, 'cd03249', NULL, NULL, 'ABC_MTABC3_MDL1_MDL2', NULL, 'ABC_MTABC3_MDL1_MDL2', NULL, NULL, NULL, 1),
(2957, NULL, 'cd11366', NULL, NULL, 'RNase_PH_archRRP41', NULL, 'RNase_PH_archRRP41', NULL, NULL, 13327, 1),
(2958, NULL, 'cd05680', NULL, NULL, 'M20_dipept_like', NULL, 'M20_dipept_like', NULL, NULL, NULL, 1),
(2959, NULL, 'cd09745', NULL, NULL, 'Cas8a2_I-A', NULL, 'Cas8a2_I-A', NULL, NULL, NULL, 1),
(2960, NULL, 'cd00660', NULL, NULL, 'Topoisomer_IB_N', NULL, 'Topoisomer_IB_N', NULL, NULL, NULL, 1),
(2961, NULL, 'cd19925', NULL, NULL, 'REC_citrate_TCS', NULL, 'REC_citrate_TCS', NULL, NULL, NULL, 1),
(2962, NULL, 'cd14610', NULL, NULL, 'R-PTP-N2', NULL, 'R-PTP-N2', NULL, NULL, NULL, 1),
(2963, NULL, 'cd16594', NULL, NULL, 'RING-HC_TRIM11_like_C-IV', NULL, 'RING-HC_TRIM11_like_C-IV', NULL, NULL, NULL, 1),
(2964, NULL, 'cd03726', NULL, NULL, 'SOCS_ASB7', NULL, 'SOCS_ASB7', NULL, NULL, 33293, 1),
(2965, NULL, 'cd01166', NULL, NULL, 'KdgK', NULL, 'KdgK', NULL, NULL, NULL, 1),
(2966, NULL, 'cd03219', NULL, NULL, 'ABC_Mj1267_LivG_branched', NULL, 'ABC_Mj1267_LivG_branched', NULL, NULL, NULL, 1),
(2967, NULL, 'cd12924', NULL, NULL, 'iSH2_PIK3R1', NULL, 'iSH2_PIK3R1', NULL, NULL, 36600, 1),
(2968, NULL, 'cd07436', NULL, NULL, 'PHP_PolX', NULL, 'PHP_PolX', NULL, NULL, NULL, 1),
(2969, NULL, 'cd17195', NULL, NULL, 'FERM_F1_PTPN13', NULL, 'FERM_F1_PTPN13', NULL, NULL, NULL, 1),
(2970, NULL, 'cd04950', NULL, NULL, 'GT4_TuaH-like', NULL, 'GT4_TuaH-like', NULL, NULL, NULL, 1),
(2971, NULL, 'cd14732', NULL, NULL, 'LodA', NULL, 'LodA', NULL, NULL, 32889, 1),
(2972, NULL, 'cd01104', NULL, NULL, 'HTH_MlrA-CarA', NULL, 'HTH_MlrA-CarA', NULL, NULL, NULL, 1),
(2973, NULL, 'cd08279', NULL, NULL, 'Zn_ADH_class_III', NULL, 'Zn_ADH_class_III', NULL, NULL, NULL, 1),
(2974, NULL, 'cd17509', NULL, NULL, 'Alpha_kinase', NULL, 'Alpha_kinase', NULL, NULL, NULL, 1),
(2975, NULL, 'cd11870', NULL, NULL, 'SH3_p67phox-like_C', NULL, 'SH3_p67phox-like_C', NULL, NULL, NULL, 1),
(2976, NULL, 'cd02203', NULL, NULL, 'PurL_repeat1', NULL, 'PurL_repeat1', NULL, NULL, NULL, 1),
(2977, NULL, 'cd14130', NULL, NULL, 'STKc_TTBK1', NULL, 'STKc_TTBK1', NULL, NULL, 38682, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(2978, NULL, 'cd07335', NULL, NULL, 'M48B_HtpX_like', NULL, 'M48B_HtpX_like', NULL, NULL, NULL, 1),
(2979, NULL, 'cd17471', NULL, NULL, 'MFS_Set', NULL, 'MFS_Set', NULL, NULL, NULL, 1),
(2980, NULL, 'cd01684', NULL, NULL, 'Tet_like_IV', NULL, 'Tet_like_IV', NULL, NULL, NULL, 1),
(2981, NULL, 'cd03293', NULL, NULL, 'ABC_NrtD_SsuB_transporters', NULL, 'ABC_NrtD_SsuB_transporters', NULL, NULL, NULL, 1),
(2982, NULL, 'cd20230', NULL, NULL, 'PFM_EP37-like', NULL, 'PFM_EP37-like', NULL, NULL, NULL, 1),
(2983, NULL, 'cd17486', NULL, NULL, 'MFS_AmpG_like', NULL, 'MFS_AmpG_like', NULL, NULL, NULL, 1),
(2984, NULL, 'cd19401', NULL, NULL, 'TGF_beta_BMP10', NULL, 'TGF_beta_BMP10', NULL, NULL, NULL, 1),
(2985, NULL, 'cd12083', NULL, NULL, 'DD_cGKI', NULL, 'DD_cGKI', NULL, NULL, NULL, 1),
(2986, NULL, 'cd07350', NULL, NULL, 'NR_LBD_Dax1', NULL, 'NR_LBD_Dax1', NULL, NULL, NULL, 1),
(2987, NULL, 'cd09394', NULL, NULL, 'LIM1_Rga', NULL, 'LIM1_Rga', NULL, NULL, NULL, 1),
(2988, NULL, 'cd05724', NULL, NULL, 'Ig2_Robo', NULL, 'Ig2_Robo', NULL, NULL, NULL, 1),
(2989, NULL, 'cd00769', NULL, NULL, 'PheRS_beta_core', NULL, 'PheRS_beta_core', NULL, NULL, 33376, 1),
(2990, NULL, 'cd12009', NULL, NULL, 'SH3_Blk', NULL, 'SH3_Blk', NULL, NULL, NULL, 1),
(2991, NULL, 'cd08660', NULL, NULL, 'M20_Acy1-like', NULL, 'M20_Acy1-like', NULL, NULL, NULL, 1),
(2992, NULL, 'cd14443', NULL, NULL, 'AlgX_N_like_2', NULL, 'AlgX_N_like_2', NULL, NULL, NULL, 1),
(2993, NULL, 'cd02073', NULL, NULL, 'P-type_ATPase_APLT_Dnf-like', NULL, 'P-type_ATPase_APLT_Dnf-like', NULL, NULL, NULL, 1),
(2994, NULL, 'cd07115', NULL, NULL, 'ALDH_HMSADH_HapE', NULL, 'ALDH_HMSADH_HapE', NULL, NULL, NULL, 1),
(2995, NULL, 'cd06569', NULL, NULL, 'GH20_Sm-chitobiase-like', NULL, 'GH20_Sm-chitobiase-like', NULL, NULL, NULL, 1),
(2996, NULL, 'cd10568', NULL, NULL, 'SWIB_like', NULL, 'SWIB_like', NULL, NULL, NULL, 1),
(2997, NULL, 'cd00512', NULL, NULL, 'MM_CoA_mutase', NULL, 'MM_CoA_mutase', NULL, NULL, NULL, 1),
(2998, NULL, 'cd05075', NULL, NULL, 'PTKc_Axl', NULL, 'PTKc_Axl', NULL, NULL, NULL, 1),
(2999, NULL, 'cd01663', NULL, NULL, 'Cyt_c_Oxidase_I', NULL, 'Cyt_c_Oxidase_I', NULL, NULL, 31741, 1),
(3000, NULL, 'cd06876', NULL, NULL, 'PX_MDM1p', NULL, 'PX_MDM1p', NULL, NULL, NULL, 1),
(3001, NULL, 'cd13573', NULL, NULL, 'PBP2_PnhD_3', NULL, 'PBP2_PnhD_3', NULL, NULL, NULL, 1),
(3002, NULL, 'cd20264', NULL, NULL, 'Complex1_LYR_LYRM4', NULL, 'Complex1_LYR_LYRM4', NULL, NULL, 39546, 1),
(3003, NULL, 'cd00072', NULL, NULL, 'GYF', NULL, 'GYF', NULL, NULL, 1906, 1),
(3004, NULL, 'cd05264', NULL, NULL, 'UDP_G4E_5_SDR_e', NULL, 'UDP_G4E_5_SDR_e', NULL, NULL, NULL, 1),
(3005, NULL, 'cd07307', NULL, NULL, 'BAR', NULL, 'BAR', NULL, NULL, NULL, 1),
(3006, NULL, 'cd04888', NULL, NULL, 'ACT_PheB-BS', NULL, 'ACT_PheB-BS', NULL, NULL, NULL, 1),
(3007, NULL, 'cd15667', NULL, NULL, 'ePHD_Snt2p_like', NULL, 'ePHD_Snt2p_like', NULL, NULL, NULL, 1),
(3008, NULL, 'cd15674', NULL, NULL, 'ePHD_PHF14', NULL, 'ePHD_PHF14', NULL, NULL, NULL, 1),
(3009, NULL, 'cd16549', NULL, NULL, 'RING-HC_RNF166', NULL, 'RING-HC_RNF166', NULL, NULL, NULL, 1),
(3010, NULL, 'cd13848', NULL, NULL, 'CuRO_1_CopA', NULL, 'CuRO_1_CopA', NULL, NULL, 21226, 1),
(3011, NULL, 'cd06422', NULL, NULL, 'NTP_transferase_like_1', NULL, 'NTP_transferase_like_1', NULL, NULL, NULL, 1),
(3012, NULL, 'cd08802', NULL, NULL, 'Death_UNC5B', NULL, 'Death_UNC5B', NULL, NULL, 36627, 1),
(3013, NULL, 'cd17398', NULL, NULL, 'MFS_FLVCR_like', NULL, 'MFS_FLVCR_like', NULL, NULL, NULL, 1),
(3014, NULL, 'cd18102', NULL, NULL, 'Trm10_MRRP1', NULL, 'Trm10_MRRP1', NULL, NULL, NULL, 1),
(3015, NULL, 'cd05175', NULL, NULL, 'PI3Kc_IA_alpha', NULL, 'PI3Kc_IA_alpha', NULL, NULL, 33782, 1),
(3016, NULL, 'cd05505', NULL, NULL, 'Bromo_WSTF_like', NULL, 'Bromo_WSTF_like', NULL, NULL, 29559, 1),
(3017, NULL, 'cd00298', NULL, NULL, 'ACD_sHsps_p23-like', NULL, 'ACD_sHsps_p23-like', NULL, NULL, NULL, 1),
(3018, NULL, 'cd04441', NULL, NULL, 'DEP_2_DEP6', NULL, 'DEP_2_DEP6', NULL, NULL, 30147, 1),
(3019, NULL, 'cd10453', NULL, NULL, 'GIY-YIG_RE_Cfr42I', NULL, 'GIY-YIG_RE_Cfr42I', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3020, NULL, 'cd18822', NULL, NULL, 'GH43_CtGH43-like', NULL, 'GH43_CtGH43-like', NULL, NULL, NULL, 1),
(3021, NULL, 'cd16793', NULL, NULL, 'SP-RING_ScSiz_like', NULL, 'SP-RING_ScSiz_like', NULL, NULL, NULL, 1),
(3022, NULL, 'cd04052', NULL, NULL, 'C2B_Tricalbin-like', NULL, 'C2B_Tricalbin-like', NULL, NULL, 36252, 1),
(3023, NULL, 'cd09254', NULL, NULL, 'AP_delta-COPI_MHD', NULL, 'AP_delta-COPI_MHD', NULL, NULL, NULL, 1),
(3024, NULL, 'cd12272', NULL, NULL, 'RRM2_PHIP1', NULL, 'RRM2_PHIP1', NULL, NULL, 1003, 1),
(3025, NULL, 'cd12155', NULL, NULL, 'PGDH_1', NULL, 'PGDH_1', NULL, NULL, NULL, 1),
(3026, NULL, 'cd15192', NULL, NULL, '7tmA_AT1R', NULL, '7tmA_AT1R', NULL, NULL, NULL, 1),
(3027, NULL, 'cd04915', NULL, NULL, 'ACT_AK-Ectoine_2', NULL, 'ACT_AK-Ectoine_2', NULL, NULL, NULL, 1),
(3028, NULL, 'cd03877', NULL, NULL, 'M28_like', NULL, 'M28_like', NULL, NULL, NULL, 1),
(3029, NULL, 'cd13721', NULL, NULL, 'PBP2_iGluR_Kainate_GluR6', NULL, 'PBP2_iGluR_Kainate_GluR6', NULL, NULL, NULL, 1),
(3030, NULL, 'cd17630', NULL, NULL, 'OSB_MenE-like', NULL, 'OSB_MenE-like', NULL, NULL, NULL, 1),
(3031, NULL, 'cd12451', NULL, NULL, 'RRM2_NUCLs', NULL, 'RRM2_NUCLs', NULL, NULL, 608, 1),
(3032, NULL, 'cd05824', NULL, NULL, 'LbH_M1P_guanylylT_C', NULL, 'LbH_M1P_guanylylT_C', NULL, NULL, NULL, 1),
(3033, NULL, 'cd07113', NULL, NULL, 'ALDH_PADH_NahF', NULL, 'ALDH_PADH_NahF', NULL, NULL, NULL, 1),
(3034, NULL, 'cd02525', NULL, NULL, 'Succinoglycan_BP_ExoA', NULL, 'Succinoglycan_BP_ExoA', NULL, NULL, NULL, 1),
(3035, NULL, 'cd05047', NULL, NULL, 'PTKc_Tie', NULL, 'PTKc_Tie', NULL, NULL, NULL, 1),
(3036, NULL, 'cd12770', NULL, NULL, 'RRM1_HuD', NULL, 'RRM1_HuD', NULL, NULL, NULL, 1),
(3037, NULL, 'cd14410', NULL, NULL, 'UBA_SIK3', NULL, 'UBA_SIK3', NULL, NULL, NULL, 1),
(3038, NULL, 'cd18500', NULL, NULL, 'BACK_IBtk', NULL, 'BACK_IBtk', NULL, NULL, NULL, 1),
(3039, NULL, 'cd02012', NULL, NULL, 'TPP_TK', NULL, 'TPP_TK', NULL, NULL, 637, 1),
(3040, NULL, 'cd03177', NULL, NULL, 'GST_C_Delta_Epsilon', NULL, 'GST_C_Delta_Epsilon', NULL, NULL, NULL, 1),
(3041, NULL, 'cd17510', NULL, NULL, 'T3SC_YbjN-like_2', NULL, 'T3SC_YbjN-like_2', NULL, NULL, NULL, 1),
(3042, NULL, 'cd00488', NULL, NULL, 'PCD_DCoH', NULL, 'PCD_DCoH', NULL, NULL, NULL, 1),
(3043, NULL, 'cd16825', NULL, NULL, 'RING_CH-C4HC3_MARCH9', NULL, 'RING_CH-C4HC3_MARCH9', NULL, NULL, NULL, 1),
(3044, NULL, 'cd03078', NULL, NULL, 'GST_N_Metaxin1_like', NULL, 'GST_N_Metaxin1_like', NULL, NULL, NULL, 1),
(3045, NULL, 'cd01646', NULL, NULL, 'RT_Bac_retron_I', NULL, 'RT_Bac_retron_I', NULL, NULL, NULL, 1),
(3046, NULL, 'cd12147', NULL, NULL, 'Cep3_C', NULL, 'Cep3_C', NULL, NULL, NULL, 1),
(3047, NULL, 'cd04233', NULL, NULL, 'Auracyanin', NULL, 'Auracyanin', NULL, NULL, NULL, 1),
(3048, NULL, 'cd14956', NULL, NULL, 'NHL_like_3', NULL, 'NHL_like_3', NULL, NULL, NULL, 1),
(3049, NULL, 'cd17868', NULL, NULL, 'GPN', NULL, 'GPN', NULL, NULL, NULL, 1),
(3050, NULL, 'cd21481', NULL, NULL, 'SARS-CoV_Spike_S1_RBD', NULL, 'SARS-CoV_Spike_S1_RBD', NULL, NULL, 38771, 1),
(3051, NULL, 'cd04762', NULL, NULL, 'HTH_MerR-trunc', NULL, 'HTH_MerR-trunc', NULL, NULL, NULL, 1),
(3052, NULL, 'cd09234', NULL, NULL, 'V_HD-PTP_like', NULL, 'V_HD-PTP_like', NULL, NULL, NULL, 1),
(3053, NULL, 'cd15663', NULL, NULL, 'ePHD_ATX3_4_5_like', NULL, 'ePHD_ATX3_4_5_like', NULL, NULL, 32291, 1),
(3054, NULL, 'cd04247', NULL, NULL, 'AAK_AK-Hom3', NULL, 'AAK_AK-Hom3', NULL, NULL, 32310, 1),
(3055, NULL, 'cd17386', NULL, NULL, 'MFS_SLC46', NULL, 'MFS_SLC46', NULL, NULL, NULL, 1),
(3056, NULL, 'cd00438', NULL, NULL, 'cupin_RmlC', NULL, 'cupin_RmlC', NULL, NULL, NULL, 1),
(3057, NULL, 'cd08274', NULL, NULL, 'MDR9', NULL, 'MDR9', NULL, NULL, NULL, 1),
(3058, NULL, 'cd05807', NULL, NULL, 'CBM20_CGTase', NULL, 'CBM20_CGTase', NULL, NULL, NULL, 1),
(3059, NULL, 'cd01308', NULL, NULL, 'Isoaspartyl-dipeptidase', NULL, 'Isoaspartyl-dipeptidase', NULL, NULL, 33620, 1),
(3060, NULL, 'cd07514', NULL, NULL, 'HAD_Pase', NULL, 'HAD_Pase', NULL, NULL, NULL, 1),
(3061, NULL, 'cd17148', NULL, NULL, 'DCX2_RP1L1', NULL, 'DCX2_RP1L1', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3062, NULL, 'cd05151', NULL, NULL, 'ChoK-like', NULL, 'ChoK-like', NULL, NULL, NULL, 1),
(3063, NULL, 'cd07396', NULL, NULL, 'MPP_Nbla03831', NULL, 'MPP_Nbla03831', NULL, NULL, 32596, 1),
(3064, NULL, 'cd07610', NULL, NULL, 'FCH_F-BAR', NULL, 'FCH_F-BAR', NULL, NULL, NULL, 1),
(3065, NULL, 'cd00736', NULL, NULL, 'lambda_lys-like', NULL, 'lambda_lys-like', NULL, NULL, NULL, 1),
(3066, NULL, 'cd00266', NULL, NULL, 'MADS_SRF_like', NULL, 'MADS_SRF_like', NULL, NULL, 29160, 1),
(3067, NULL, 'cd08549', NULL, NULL, 'G1PDH_related', NULL, 'G1PDH_related', NULL, NULL, NULL, 1),
(3068, NULL, 'cd16685', NULL, NULL, 'RING-H2_UBR1', NULL, 'RING-H2_UBR1', NULL, NULL, NULL, 1),
(3069, NULL, 'cd03357', NULL, NULL, 'LbH_MAT_GAT', NULL, 'LbH_MAT_GAT', NULL, NULL, NULL, 1),
(3070, NULL, 'cd06377', NULL, NULL, 'PBP1_iGluR_NMDA_NR3', NULL, 'PBP1_iGluR_NMDA_NR3', NULL, NULL, NULL, 1),
(3071, NULL, 'cd15568', NULL, NULL, 'PHD5_NSD', NULL, 'PHD5_NSD', NULL, NULL, NULL, 1),
(3072, NULL, 'cd09152', NULL, NULL, 'PLDc_EcCLS_like_1', NULL, 'PLDc_EcCLS_like_1', NULL, NULL, NULL, 1),
(3073, NULL, 'cd15834', NULL, NULL, 'TNFRSF1A_teleost', NULL, 'TNFRSF1A_teleost', NULL, NULL, 8420, 1),
(3074, NULL, 'cd11970', NULL, NULL, 'SH3_PLCgamma1', NULL, 'SH3_PLCgamma1', NULL, NULL, 33967, 1),
(3075, NULL, 'cd13426', NULL, NULL, 'Peptidase_G1', NULL, 'Peptidase_G1', NULL, NULL, NULL, 1),
(3076, NULL, 'cd02115', NULL, NULL, 'AAK', NULL, 'AAK', NULL, NULL, NULL, 1),
(3077, NULL, 'cd15489', NULL, NULL, 'PHD_SF', NULL, 'PHD_SF', NULL, NULL, NULL, 1),
(3078, NULL, 'cd20282', NULL, NULL, 'cupin_DddQ', NULL, 'cupin_DddQ', NULL, NULL, NULL, 1),
(3079, NULL, 'cd20290', NULL, NULL, 'cupin_Mj0764-like', NULL, 'cupin_Mj0764-like', NULL, NULL, NULL, 1),
(3080, NULL, 'cd03172', NULL, NULL, 'SORL_classII', NULL, 'SORL_classII', NULL, NULL, NULL, 1),
(3081, NULL, 'cd05054', NULL, NULL, 'PTKc_VEGFR', NULL, 'PTKc_VEGFR', NULL, NULL, NULL, 1),
(3082, NULL, 'cd10160', NULL, NULL, 'CsoR-like_DUF156_3', NULL, 'CsoR-like_DUF156_3', NULL, NULL, NULL, 1),
(3083, NULL, 'cd12472', NULL, NULL, 'RRM1_RBMS3', NULL, 'RRM1_RBMS3', NULL, NULL, NULL, 1),
(3084, NULL, 'cd18705', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(3085, NULL, 'cd17237', NULL, NULL, 'FERM_F1_Moesin', NULL, 'FERM_F1_Moesin', NULL, NULL, NULL, 1),
(3086, NULL, 'cd14021', NULL, NULL, 'ChoK-like_euk', NULL, 'ChoK-like_euk', NULL, NULL, NULL, 1),
(3087, NULL, 'cd17142', NULL, NULL, 'DCX2_DCX', NULL, 'DCX2_DCX', NULL, NULL, NULL, 1),
(3088, NULL, 'cd00395', NULL, NULL, 'Tyr_Trp_RS_core', NULL, 'Tyr_Trp_RS_core', NULL, NULL, NULL, 1),
(3089, NULL, 'cd05911', NULL, NULL, 'Firefly_Luc_like', NULL, 'Firefly_Luc_like', NULL, NULL, NULL, 1),
(3090, NULL, 'cd11407', NULL, NULL, 'bHLH-O_HERP', NULL, 'bHLH-O_HERP', NULL, NULL, NULL, 1),
(3091, NULL, 'cd15029', NULL, NULL, '7tm_SRI_SRII', NULL, '7tm_SRI_SRII', NULL, NULL, NULL, 1),
(3092, NULL, 'cd19439', NULL, NULL, 'lipocalin_Ex-FABP-like', NULL, 'lipocalin_Ex-FABP-like', NULL, NULL, NULL, 1),
(3093, NULL, 'cd09300', NULL, NULL, 'DEAD-like_helicase_C', NULL, 'DEAD-like_helicase_C', NULL, NULL, NULL, 1),
(3094, NULL, 'cd07894', NULL, NULL, 'Adenylation_RNA_ligase', NULL, 'Adenylation_RNA_ligase', NULL, NULL, 1212, 1),
(3095, NULL, 'cd09354', NULL, NULL, 'LIM2_LPP', NULL, 'LIM2_LPP', NULL, NULL, NULL, 1),
(3096, NULL, 'cd04180', NULL, NULL, 'UGPase_euk_like', NULL, 'UGPase_euk_like', NULL, NULL, NULL, 1),
(3097, NULL, 'cd18769', NULL, NULL, 'PIN_Mut7-C-like', NULL, 'PIN_Mut7-C-like', NULL, NULL, NULL, 1),
(3098, NULL, 'cd03523', NULL, NULL, 'NTR_like', NULL, 'NTR_like', NULL, NULL, NULL, 1),
(3099, NULL, 'cd13853', NULL, NULL, 'CuRO_1_Tth-MCO_like', NULL, 'CuRO_1_Tth-MCO_like', NULL, NULL, NULL, 1),
(3100, NULL, 'cd01881', NULL, NULL, 'Obg_like', NULL, 'Obg_like', NULL, NULL, NULL, 1),
(3101, NULL, 'cd00770', NULL, NULL, 'SerRS_core', NULL, 'SerRS_core', NULL, NULL, 35143, 1),
(3102, NULL, 'cd18573', NULL, NULL, 'ABC_6TM_ABCB10_like', NULL, 'ABC_6TM_ABCB10_like', NULL, NULL, NULL, 1),
(3103, NULL, 'cd10323', NULL, NULL, 'SLC-NCS1sbd', NULL, 'SLC-NCS1sbd', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3104, NULL, 'cd06450', NULL, NULL, 'DOPA_deC_like', NULL, 'DOPA_deC_like', NULL, NULL, NULL, 1),
(3105, NULL, 'cd19810', NULL, NULL, 'Bbox1_TRIM56_C-V', NULL, 'Bbox1_TRIM56_C-V', NULL, NULL, NULL, 1),
(3106, NULL, 'cd15601', NULL, NULL, 'PHD5_KMT2D', NULL, 'PHD5_KMT2D', NULL, NULL, NULL, 1),
(3107, NULL, 'cd09645', NULL, NULL, 'Cas5_I-E', NULL, 'Cas5_I-E', NULL, NULL, NULL, 1),
(3108, NULL, 'cd12255', NULL, NULL, 'RRM1_LKAP', NULL, 'RRM1_LKAP', NULL, NULL, 5664, 1),
(3109, NULL, 'cd04646', NULL, NULL, 'LbH_Dynactin_6', NULL, 'LbH_Dynactin_6', NULL, NULL, NULL, 1),
(3110, NULL, 'cd17477', NULL, NULL, 'MFS_YcaD_like', NULL, 'MFS_YcaD_like', NULL, NULL, NULL, 1),
(3111, NULL, 'cd06250', NULL, NULL, 'M14_PaAOTO_like', NULL, 'M14_PaAOTO_like', NULL, NULL, NULL, 1),
(3112, NULL, 'cd15299', NULL, NULL, '7tmA_mAChR_M3', NULL, '7tmA_mAChR_M3', NULL, NULL, NULL, 1),
(3113, NULL, 'cd08850', NULL, NULL, 'ArfGap_ACAP3', NULL, 'ArfGap_ACAP3', NULL, NULL, NULL, 1),
(3114, NULL, 'cd00569', NULL, NULL, 'HTH_Hin_like', NULL, 'HTH_Hin_like', NULL, NULL, NULL, 1),
(3115, NULL, 'cd11692', NULL, NULL, 'HRI1_N_like', NULL, 'HRI1_N_like', NULL, NULL, 34202, 1),
(3116, NULL, 'cd01111', NULL, NULL, 'HTH_MerD', NULL, 'HTH_MerD', NULL, NULL, NULL, 1),
(3117, NULL, 'cd07955', NULL, NULL, 'Anticodon_Ia_Cys_like', NULL, 'Anticodon_Ia_Cys_like', NULL, NULL, NULL, 1),
(3118, NULL, 'cd03069', NULL, NULL, 'PDI_b_ERp57', NULL, 'PDI_b_ERp57', NULL, NULL, 32872, 1),
(3119, NULL, 'cd09669', NULL, NULL, 'Cse1_I-E', NULL, 'Cse1_I-E', NULL, NULL, 11893, 1),
(3120, NULL, 'cd04731', NULL, NULL, 'HisF', NULL, 'HisF', NULL, NULL, 2566, 1),
(3121, NULL, 'cd05060', NULL, NULL, 'PTKc_Syk_like', NULL, 'PTKc_Syk_like', NULL, NULL, NULL, 1),
(3122, NULL, 'cd06128', NULL, NULL, 'DNA_polA_exo', NULL, 'DNA_polA_exo', NULL, NULL, NULL, 1),
(3123, NULL, 'cd09255', NULL, NULL, 'AP-like_stonins_MHD', NULL, 'AP-like_stonins_MHD', NULL, NULL, NULL, 1),
(3124, NULL, 'cd01519', NULL, NULL, 'RHOD_HSP67B2', NULL, 'RHOD_HSP67B2', NULL, NULL, NULL, 1),
(3125, NULL, 'cd13281', NULL, NULL, 'PH_PLEKHD1', NULL, 'PH_PLEKHD1', NULL, NULL, NULL, 1),
(3126, NULL, 'cd15579', NULL, NULL, 'PHD1_PHF19', NULL, 'PHD1_PHF19', NULL, NULL, NULL, 1),
(3127, NULL, 'cd06282', NULL, NULL, 'PBP1_LacI-like', NULL, 'PBP1_LacI-like', NULL, NULL, NULL, 1),
(3128, NULL, 'cd00830', NULL, NULL, 'KAS_III', NULL, 'KAS_III', NULL, NULL, NULL, 1),
(3129, NULL, 'cd16588', NULL, NULL, 'RING-HC_TRIM45-C-VII', NULL, 'RING-HC_TRIM45-C-VII', NULL, NULL, NULL, 1),
(3130, NULL, 'cd03362', NULL, NULL, 'TOPRIM_TopoIA_TopoIII', NULL, 'TOPRIM_TopoIA_TopoIII', NULL, NULL, 5877, 1),
(3131, NULL, 'cd16421', NULL, NULL, 'HAD_PGPase', NULL, 'HAD_PGPase', NULL, NULL, NULL, 1),
(3132, NULL, 'cd18787', NULL, NULL, 'SF2_C_DEAD', NULL, 'SF2_C_DEAD', NULL, NULL, NULL, 1),
(3133, NULL, 'cd17420', NULL, NULL, 'MFS_MCT8_10', NULL, 'MFS_MCT8_10', NULL, NULL, NULL, 1),
(3134, NULL, 'cd00449', NULL, NULL, 'PLPDE_IV', NULL, 'PLPDE_IV', NULL, NULL, NULL, 1),
(3135, NULL, 'cd13910', NULL, NULL, 'CuRO_3_MCO_like_4', NULL, 'CuRO_3_MCO_like_4', NULL, NULL, NULL, 1),
(3136, NULL, 'cd16269', NULL, NULL, 'GBP_C', NULL, 'GBP_C', NULL, NULL, 29798, 1),
(3137, NULL, 'cd08339', NULL, NULL, 'DED_DEDD-like', NULL, 'DED_DEDD-like', NULL, NULL, NULL, 1),
(3138, NULL, 'cd12598', NULL, NULL, 'RRM1_SRSF9', NULL, 'RRM1_SRSF9', NULL, NULL, 21364, 1),
(3139, NULL, 'cd01670', NULL, NULL, 'Death', NULL, 'Death', NULL, NULL, NULL, 1),
(3140, NULL, 'cd15534', NULL, NULL, 'PHD2_PHF12_Rco1', NULL, 'PHD2_PHF12_Rco1', NULL, NULL, NULL, 1),
(3141, NULL, 'cd03792', NULL, NULL, 'GT4_trehalose_phosphorylase', NULL, 'GT4_trehalose_phosphorylase', NULL, NULL, NULL, 1),
(3142, NULL, 'cd06860', NULL, NULL, 'PX_SNX7_30_like', NULL, 'PX_SNX7_30_like', NULL, NULL, NULL, 1),
(3143, NULL, 'cd00454', NULL, NULL, 'TrHb1_N', NULL, 'TrHb1_N', NULL, NULL, NULL, 1),
(3144, NULL, 'cd01483', NULL, NULL, 'E1_enzyme_family', NULL, 'E1_enzyme_family', NULL, NULL, NULL, 1),
(3145, NULL, 'cd12328', NULL, NULL, 'RRM2_hnRNPA_like', NULL, 'RRM2_hnRNPA_like', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3146, NULL, 'cd16220', NULL, NULL, 'EFh_PI-PLCeta1', NULL, 'EFh_PI-PLCeta1', NULL, NULL, NULL, 1),
(3147, NULL, 'cd06332', NULL, NULL, 'PBP1_aromatic_compounds-like', NULL, 'PBP1_aromatic_compounds-like', NULL, NULL, NULL, 1),
(3148, NULL, 'cd11571', NULL, NULL, 'FAT-like_EFS_C', NULL, 'FAT-like_EFS_C', NULL, NULL, NULL, 1),
(3149, NULL, 'cd16986', NULL, NULL, 'ANTH_N_Sla2p_HIP1_like', NULL, 'ANTH_N_Sla2p_HIP1_like', NULL, NULL, NULL, 1),
(3150, NULL, 'cd03332', NULL, NULL, 'LMO_FMN', NULL, 'LMO_FMN', NULL, NULL, 31259, 1),
(3151, NULL, 'cd09727', NULL, NULL, 'Cas6_I-E', NULL, 'Cas6_I-E', NULL, NULL, NULL, 1),
(3152, NULL, 'cd17468', NULL, NULL, 'T3SS_HrpP_C', NULL, 'T3SS_HrpP_C', NULL, NULL, NULL, 1),
(3153, NULL, 'cd09518', NULL, NULL, 'SAM_ANKS6', NULL, 'SAM_ANKS6', NULL, NULL, NULL, 1),
(3154, NULL, 'cd16084', NULL, NULL, 'IgC_CH2_IgD', NULL, 'IgC_CH2_IgD', NULL, NULL, NULL, 1),
(3155, NULL, 'cd12524', NULL, NULL, 'RRM1_MEI2_like', NULL, 'RRM1_MEI2_like', NULL, NULL, 30624, 1),
(3156, NULL, 'cd13868', NULL, NULL, 'CuRO_2_CotA_like', NULL, 'CuRO_2_CotA_like', NULL, NULL, NULL, 1),
(3157, NULL, 'cd18116', NULL, NULL, 'ATP-synt_F1_alpha_N', NULL, 'ATP-synt_F1_alpha_N', NULL, NULL, NULL, 1),
(3158, NULL, 'cd14207', NULL, NULL, 'PTKc_VEGFR1', NULL, 'PTKc_VEGFR1', NULL, NULL, NULL, 1),
(3159, NULL, 'cd12925', NULL, NULL, 'iSH2_PIK3R3', NULL, 'iSH2_PIK3R3', NULL, NULL, NULL, 1),
(3160, NULL, 'cd03870', NULL, NULL, 'M14_CPA', NULL, 'M14_CPA', NULL, NULL, 18584, 1),
(3161, NULL, 'cd05800', NULL, NULL, 'PGM_like2', NULL, 'PGM_like2', NULL, NULL, NULL, 1),
(3162, NULL, 'cd11670', NULL, NULL, 'Sp_RAP1_RCT', NULL, 'Sp_RAP1_RCT', NULL, NULL, NULL, 1),
(3163, NULL, 'cd07299', NULL, NULL, 'PX_TCGAP', NULL, 'PX_TCGAP', NULL, NULL, NULL, 1),
(3164, NULL, 'cd16753', NULL, NULL, 'RING-HC_MID1', NULL, 'RING-HC_MID1', NULL, NULL, NULL, 1),
(3165, NULL, 'cd08766', NULL, NULL, 'Cyt_b561_ACYB-1_like', NULL, 'Cyt_b561_ACYB-1_like', NULL, NULL, NULL, 1),
(3166, NULL, 'cd05107', NULL, NULL, 'PTKc_PDGFR_beta', NULL, 'PTKc_PDGFR_beta', NULL, NULL, NULL, 1),
(3167, NULL, 'cd04696', NULL, NULL, 'Nudix_Hydrolase_37', NULL, 'Nudix_Hydrolase_37', NULL, NULL, NULL, 1),
(3168, NULL, 'cd07830', NULL, NULL, 'STKc_MAK_like', NULL, 'STKc_MAK_like', NULL, NULL, NULL, 1),
(3169, NULL, 'cd00594', NULL, NULL, 'KU', NULL, 'KU', NULL, NULL, NULL, 1),
(3170, NULL, 'cd05055', NULL, NULL, 'PTKc_PDGFR', NULL, 'PTKc_PDGFR', NULL, NULL, NULL, 1),
(3171, NULL, 'cd17494', NULL, NULL, 'RMtype1_S_Sma198ORF994P-TRD2-CR2_like', NULL, 'RMtype1_S_Sma198ORF994P-TRD2-CR2_like', NULL, NULL, NULL, 1),
(3172, NULL, 'cd09700', NULL, NULL, 'Csx10', NULL, 'Csx10', NULL, NULL, NULL, 1),
(3173, NULL, 'cd13653', NULL, NULL, 'PBP2_phosphate_like_1', NULL, 'PBP2_phosphate_like_1', NULL, NULL, NULL, 1),
(3174, NULL, 'cd16373', NULL, NULL, 'DMSOR_beta_like', NULL, 'DMSOR_beta_like', NULL, NULL, NULL, 1),
(3175, NULL, 'cd11857', NULL, NULL, 'SH3_DBS', NULL, 'SH3_DBS', NULL, NULL, 30887, 1),
(3176, NULL, 'cd16964', NULL, NULL, 'YqgF', NULL, 'YqgF', NULL, NULL, 11048, 1),
(3177, NULL, 'cd01406', NULL, NULL, 'SIR2-like', NULL, 'SIR2-like', NULL, NULL, NULL, 1),
(3178, NULL, 'cd05738', NULL, NULL, 'Ig2_RPTP_IIa_LAR_like', NULL, 'Ig2_RPTP_IIa_LAR_like', NULL, NULL, NULL, 1),
(3179, NULL, 'cd04904', NULL, NULL, 'ACT_AAAH', NULL, 'ACT_AAAH', NULL, NULL, NULL, 1),
(3180, NULL, 'cd06621', NULL, NULL, 'PKc_Pek1_like', NULL, 'PKc_Pek1_like', NULL, NULL, NULL, 1),
(3181, NULL, 'cd12330', NULL, NULL, 'RRM2_Hrp1p', NULL, 'RRM2_Hrp1p', NULL, NULL, 13688, 1),
(3182, NULL, 'cd19602', NULL, NULL, 'serpin_mollusks', NULL, 'serpin_mollusks', NULL, NULL, NULL, 1),
(3183, NULL, 'cd11024', NULL, NULL, 'CuRO_1_2DMCO_NIR_like', NULL, 'CuRO_1_2DMCO_NIR_like', NULL, NULL, NULL, 1),
(3184, NULL, 'cd13543', NULL, NULL, 'PBP2_Fbp', NULL, 'PBP2_Fbp', NULL, NULL, NULL, 1),
(3185, NULL, 'cd00117', NULL, NULL, 'LU', NULL, 'LU', NULL, NULL, 9106, 1),
(3186, NULL, 'cd01437', NULL, NULL, 'parp_like', NULL, 'parp_like', NULL, NULL, NULL, 1),
(3187, NULL, 'cd00544', NULL, NULL, 'CobU', NULL, 'CobU', NULL, NULL, 3385, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3188, NULL, 'cd11974', NULL, NULL, 'SH3_ASEF2', NULL, 'SH3_ASEF2', NULL, NULL, NULL, 1),
(3189, NULL, 'cd09509', NULL, NULL, 'SAM_Polycomb', NULL, 'SAM_Polycomb', NULL, NULL, NULL, 1),
(3190, NULL, 'cd10489', NULL, NULL, 'MH1_SMAD_6_7', NULL, 'MH1_SMAD_6_7', NULL, NULL, NULL, 1),
(3191, NULL, 'cd08425', NULL, NULL, 'PBP2_CynR', NULL, 'PBP2_CynR', NULL, NULL, 35065, 1),
(3192, NULL, 'cd17750', NULL, NULL, 'BRCT_SLF1', NULL, 'BRCT_SLF1', NULL, NULL, NULL, 1),
(3193, NULL, 'cd14505', NULL, NULL, 'CDKN3-like', NULL, 'CDKN3-like', NULL, NULL, NULL, 1),
(3194, NULL, 'cd09371', NULL, NULL, 'LIM1_Lmx1b', NULL, 'LIM1_Lmx1b', NULL, NULL, NULL, 1),
(3195, NULL, 'cd11606', NULL, NULL, 'COE_DBD', NULL, 'COE_DBD', NULL, NULL, 25935, 1),
(3196, NULL, 'cd05063', NULL, NULL, 'PTKc_EphR_A2', NULL, 'PTKc_EphR_A2', NULL, NULL, NULL, 1),
(3197, NULL, 'cd10518', NULL, NULL, 'SET_SETD1-like', NULL, 'SET_SETD1-like', NULL, NULL, NULL, 1),
(3198, NULL, 'cd07321', NULL, NULL, 'Extradiol_Dioxygenase_3A_like', NULL, 'Extradiol_Dioxygenase_3A_like', NULL, NULL, NULL, 1),
(3199, NULL, 'cd13981', NULL, NULL, 'STKc_Bub1_BubR1', NULL, 'STKc_Bub1_BubR1', NULL, NULL, NULL, 1),
(3200, NULL, 'cd04734', NULL, NULL, 'OYE_like_3_FMN', NULL, 'OYE_like_3_FMN', NULL, NULL, NULL, 1),
(3201, NULL, 'cd06921', NULL, NULL, 'ChtBD1_GH19_hevein', NULL, 'ChtBD1_GH19_hevein', NULL, NULL, NULL, 1),
(3202, NULL, 'cd15842', NULL, NULL, 'SNARE_Qb', NULL, 'SNARE_Qb', NULL, NULL, NULL, 1),
(3203, NULL, 'cd19549', NULL, NULL, 'serpinA_A1AT-like', NULL, 'serpinA_A1AT-like', NULL, NULL, NULL, 1),
(3204, NULL, 'cd08686', NULL, NULL, 'C2_ABR', NULL, 'C2_ABR', NULL, NULL, NULL, 1),
(3205, NULL, 'cd13288', NULL, NULL, 'PH_Ses', NULL, 'PH_Ses', NULL, NULL, NULL, 1),
(3206, NULL, 'cd20486', NULL, NULL, 'USP25_C', NULL, 'USP25_C', NULL, NULL, NULL, 1),
(3207, NULL, 'cd00990', NULL, NULL, 'PDZ_glycyl_aminopeptidase', NULL, 'PDZ_glycyl_aminopeptidase', NULL, NULL, 31910, 1),
(3208, NULL, 'cd07347', NULL, NULL, 'harmonin_N_like', NULL, 'harmonin_N_like', NULL, NULL, NULL, 1),
(3209, NULL, 'cd18598', NULL, NULL, 'ABC_6TM_MRP7_D1_like', NULL, 'ABC_6TM_MRP7_D1_like', NULL, NULL, NULL, 1),
(3210, NULL, 'cd15092', NULL, NULL, '7tmA_NOFQ_opioid_R', NULL, '7tmA_NOFQ_opioid_R', NULL, NULL, NULL, 1),
(3211, NULL, 'cd12739', NULL, NULL, 'RRM2_ESRP1', NULL, 'RRM2_ESRP1', NULL, NULL, NULL, 1),
(3212, NULL, 'cd16930', NULL, NULL, 'HATPase_TopII-like', NULL, 'HATPase_TopII-like', NULL, NULL, NULL, 1),
(3213, NULL, 'cd01316', NULL, NULL, 'CAD_DHOase', NULL, 'CAD_DHOase', NULL, NULL, NULL, 1),
(3214, NULL, 'cd17229', NULL, NULL, 'RA1_PLC-epsilon', NULL, 'RA1_PLC-epsilon', NULL, NULL, NULL, 1),
(3215, NULL, 'cd04723', NULL, NULL, 'HisA_HisF', NULL, 'HisA_HisF', NULL, NULL, NULL, 1),
(3216, NULL, 'cd01745', NULL, NULL, 'GATase1_2', NULL, 'GATase1_2', NULL, NULL, NULL, 1),
(3217, NULL, 'cd04134', NULL, NULL, 'Rho3', NULL, 'Rho3', NULL, NULL, NULL, 1),
(3218, NULL, 'cd05580', NULL, NULL, 'STKc_PKA_like', NULL, 'STKc_PKA_like', NULL, NULL, NULL, 1),
(3219, NULL, 'cd17255', NULL, NULL, 'RMtype1_S_Fco49512ORF2615P-TRD2-CR2_like', NULL, 'RMtype1_S_Fco49512ORF2615P-TRD2-CR2_like', NULL, NULL, NULL, 1),
(3220, NULL, 'cd18909', NULL, NULL, 'bHLH_TCFL5', NULL, 'bHLH_TCFL5', NULL, NULL, NULL, 1),
(3221, NULL, 'cd13590', NULL, NULL, 'PBP2_PotD_PotF_like', NULL, 'PBP2_PotD_PotF_like', NULL, NULL, NULL, 1),
(3222, NULL, 'cd00070', NULL, NULL, 'GLECT', NULL, 'GLECT', NULL, NULL, 2491, 1),
(3223, NULL, 'cd08623', NULL, NULL, 'PI-PLCc_beta1', NULL, 'PI-PLCc_beta1', NULL, NULL, NULL, 1),
(3224, NULL, 'cd09893', NULL, NULL, 'NGN_SP_TaA', NULL, 'NGN_SP_TaA', NULL, NULL, NULL, 1),
(3225, NULL, 'cd00528', NULL, NULL, 'MoaC', NULL, 'MoaC', NULL, NULL, NULL, 1),
(3226, NULL, 'cd02336', NULL, NULL, 'ZZ_RSC8', NULL, 'ZZ_RSC8', NULL, NULL, 33029, 1),
(3227, NULL, 'cd07604', NULL, NULL, 'BAR_ASAPs', NULL, 'BAR_ASAPs', NULL, NULL, NULL, 1),
(3228, NULL, 'cd17726', NULL, NULL, 'BRCT_PARP4_like', NULL, 'BRCT_PARP4_like', NULL, NULL, NULL, 1),
(3229, NULL, 'cd06649', NULL, NULL, 'PKc_MEK2', NULL, 'PKc_MEK2', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3230, NULL, 'cd02164', NULL, NULL, 'PPAT_CoAS', NULL, 'PPAT_CoAS', NULL, NULL, NULL, 1),
(3231, NULL, 'cd00882', NULL, NULL, 'Ras_like_GTPase', NULL, 'Ras_like_GTPase', NULL, NULL, NULL, 1),
(3232, NULL, 'cd14276', NULL, NULL, 'UBA_UBP25_like', NULL, 'UBA_UBP25_like', NULL, NULL, NULL, 1),
(3233, NULL, 'cd00090', NULL, NULL, 'HTH_ARSR', NULL, 'HTH_ARSR', NULL, NULL, 12773, 1),
(3234, NULL, 'cd00914', NULL, NULL, 'PCD_DCoH_subfamily_b', NULL, 'PCD_DCoH_subfamily_b', NULL, NULL, NULL, 1),
(3235, NULL, 'cd11554', NULL, NULL, 'SLC6sbd_u2', NULL, 'SLC6sbd_u2', NULL, NULL, NULL, 1),
(3236, NULL, 'cd20225', NULL, NULL, 'PFM_lysenin-like', NULL, 'PFM_lysenin-like', NULL, NULL, NULL, 1),
(3237, NULL, 'cd13621', NULL, NULL, 'PBP2_AA_binding_like_3', NULL, 'PBP2_AA_binding_like_3', NULL, NULL, NULL, 1),
(3238, NULL, 'cd15012', NULL, NULL, '7tmA_Trissin_R', NULL, '7tmA_Trissin_R', NULL, NULL, NULL, 1),
(3239, NULL, 'cd07559', NULL, NULL, 'ALDH_ACDHII_AcoD-like', NULL, 'ALDH_ACDHII_AcoD-like', NULL, NULL, NULL, 1),
(3240, NULL, 'cd17397', NULL, NULL, 'MFS_DIRC2', NULL, 'MFS_DIRC2', NULL, NULL, NULL, 1),
(3241, NULL, 'cd03786', NULL, NULL, 'GTB_UDP-GlcNAc_2-Epimerase', NULL, 'GTB_UDP-GlcNAc_2-Epimerase', NULL, NULL, NULL, 1),
(3242, NULL, 'cd00693', NULL, NULL, 'secretory_peroxidase', NULL, 'secretory_peroxidase', NULL, NULL, 33554, 1),
(3243, NULL, 'cd00851', NULL, NULL, 'MTH1175', NULL, 'MTH1175', NULL, NULL, 36284, 1),
(3244, NULL, 'cd13956', NULL, NULL, 'PT_UbiA', NULL, 'PT_UbiA', NULL, NULL, NULL, 1),
(3245, NULL, 'cd12347', NULL, NULL, 'RRM_PPIE', NULL, 'RRM_PPIE', NULL, NULL, 3106, 1),
(3246, NULL, 'cd14785', NULL, NULL, 'V-ATPase_C', NULL, 'V-ATPase_C', NULL, NULL, 1539, 1),
(3247, NULL, 'cd07303', NULL, NULL, 'Porin3', NULL, 'Porin3', NULL, NULL, NULL, 1),
(3248, NULL, 'cd12557', NULL, NULL, 'RRM3_RBM15', NULL, 'RRM3_RBM15', NULL, NULL, 12428, 1),
(3249, NULL, 'cd09611', NULL, NULL, 'Jacalin_ZG16_like', NULL, 'Jacalin_ZG16_like', NULL, NULL, NULL, 1),
(3250, NULL, 'cd08338', NULL, NULL, 'DED_PEA15', NULL, 'DED_PEA15', NULL, NULL, 26755, 1),
(3251, NULL, 'cd14154', NULL, NULL, 'STKc_LIMK', NULL, 'STKc_LIMK', NULL, NULL, NULL, 1),
(3252, NULL, 'cd07645', NULL, NULL, 'I-BAR_IMD_BAIAP2L1', NULL, 'I-BAR_IMD_BAIAP2L1', NULL, NULL, NULL, 1),
(3253, NULL, 'cd18380', NULL, NULL, 'BTB_POZ_Kv4_KCND', NULL, 'BTB_POZ_Kv4_KCND', NULL, NULL, NULL, 1),
(3254, NULL, 'cd16743', NULL, NULL, 'RING-HC_RNF5', NULL, 'RING-HC_RNF5', NULL, NULL, NULL, 1),
(3255, NULL, 'cd12327', NULL, NULL, 'RRM2_DAZAP1', NULL, 'RRM2_DAZAP1', NULL, NULL, 21282, 1),
(3256, NULL, 'cd16600', NULL, NULL, 'RING-HC_TRIM38_C-IV', NULL, 'RING-HC_TRIM38_C-IV', NULL, NULL, NULL, 1),
(3257, NULL, 'cd01560', NULL, NULL, 'Thr-synth_2', NULL, 'Thr-synth_2', NULL, NULL, NULL, 1),
(3258, NULL, 'cd16018', NULL, NULL, 'Enpp', NULL, 'Enpp', NULL, NULL, NULL, 1),
(3259, NULL, 'cd03483', NULL, NULL, 'MutL_Trans_MLH1', NULL, 'MutL_Trans_MLH1', NULL, NULL, NULL, 1),
(3260, NULL, 'cd06421', NULL, NULL, 'CESA_CelA_like', NULL, 'CESA_CelA_like', NULL, NULL, NULL, 1),
(3261, NULL, 'cd07422', NULL, NULL, 'MPP_ApaH', NULL, 'MPP_ApaH', NULL, NULL, 2300, 1),
(3262, NULL, 'cd13563', NULL, NULL, 'PBP2_SsuA_like_6', NULL, 'PBP2_SsuA_like_6', NULL, NULL, NULL, 1),
(3263, NULL, 'cd03395', NULL, NULL, 'PAP2_like_4', NULL, 'PAP2_like_4', NULL, NULL, NULL, 1),
(3264, NULL, 'cd16615', NULL, NULL, 'RING-HC_ZNF598', NULL, 'RING-HC_ZNF598', NULL, NULL, 32185, 1),
(3265, NULL, 'cd06634', NULL, NULL, 'STKc_TAO2', NULL, 'STKc_TAO2', NULL, NULL, NULL, 1),
(3266, NULL, 'cd16195', NULL, NULL, 'EFh_PEF_CAPN13_14', NULL, 'EFh_PEF_CAPN13_14', NULL, NULL, NULL, 1),
(3267, NULL, 'cd01190', NULL, NULL, 'INT_StrepXerD_C_like', NULL, 'INT_StrepXerD_C_like', NULL, NULL, NULL, 1),
(3268, NULL, 'cd15017', NULL, NULL, '7tm_TAS2R16', NULL, '7tm_TAS2R16', NULL, NULL, NULL, 1),
(3269, NULL, 'cd04651', NULL, NULL, 'LbH_G1P_AT_C', NULL, 'LbH_G1P_AT_C', NULL, NULL, NULL, 1),
(3270, NULL, 'cd16425', NULL, NULL, 'TrbF', NULL, 'TrbF', NULL, NULL, 29595, 1),
(3271, NULL, 'cd21557', NULL, NULL, 'Macro_X_Nsp3-like', NULL, 'Macro_X_Nsp3-like', NULL, NULL, 38510, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3272, NULL, 'cd00243', NULL, NULL, 'Lysin-Sp18', NULL, 'Lysin-Sp18', NULL, NULL, 6959, 1),
(3273, NULL, 'cd10718', NULL, NULL, 'SH2_CIS', NULL, 'SH2_CIS', NULL, NULL, 35300, 1),
(3274, NULL, 'cd18953', NULL, NULL, 'bHLH_TS_bHLHe23_bHLHb4', NULL, 'bHLH_TS_bHLHe23_bHLHb4', NULL, NULL, NULL, 1),
(3275, NULL, 'cd14944', NULL, NULL, 'TRAPPC6A_Trs33', NULL, 'TRAPPC6A_Trs33', NULL, NULL, 30908, 1),
(3276, NULL, 'cd00732', NULL, NULL, 'CheW', NULL, 'CheW', NULL, NULL, NULL, 1),
(3277, NULL, 'cd00860', NULL, NULL, 'ThrRS_anticodon', NULL, 'ThrRS_anticodon', NULL, NULL, NULL, 1),
(3278, NULL, 'cd05630', NULL, NULL, 'STKc_GRK6', NULL, 'STKc_GRK6', NULL, NULL, NULL, 1),
(3279, NULL, 'cd06346', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(3280, NULL, 'cd13777', NULL, NULL, 'Aar2_N', NULL, 'Aar2_N', NULL, NULL, 32858, 1),
(3281, NULL, 'cd12717', NULL, NULL, 'RRM_ETP1', NULL, 'RRM_ETP1', NULL, NULL, 31716, 1),
(3282, NULL, 'cd06273', NULL, NULL, 'PBP1_LacI-like', NULL, 'PBP1_LacI-like', NULL, NULL, NULL, 1),
(3283, NULL, 'cd08268', NULL, NULL, 'MDR2', NULL, 'MDR2', NULL, NULL, NULL, 1),
(3284, NULL, 'cd09739', NULL, NULL, 'Cas6_I-F', NULL, 'Cas6_I-F', NULL, NULL, 11823, 1),
(3285, NULL, 'cd00193', NULL, NULL, 'SNARE', NULL, 'SNARE', NULL, NULL, NULL, 1),
(3286, NULL, 'cd13315', NULL, NULL, 'PH_Sec3', NULL, 'PH_Sec3', NULL, NULL, NULL, 1),
(3287, NULL, 'cd13995', NULL, NULL, 'STKc_MAP3K8', NULL, 'STKc_MAP3K8', NULL, NULL, NULL, 1),
(3288, NULL, 'cd20291', NULL, NULL, 'cupin_CucA-like', NULL, 'cupin_CucA-like', NULL, NULL, NULL, 1),
(3289, NULL, 'cd17240', NULL, NULL, 'RA_PHLPP1', NULL, 'RA_PHLPP1', NULL, NULL, NULL, 1),
(3290, NULL, 'cd06464', NULL, NULL, 'ACD_sHsps-like', NULL, 'ACD_sHsps-like', NULL, NULL, NULL, 1),
(3291, NULL, 'cd09568', NULL, NULL, 'SAM_liprin-alpha1,2,3,4_repeat3', NULL, 'SAM_liprin-alpha1,2,3,4_repeat3', NULL, NULL, 34922, 1),
(3292, NULL, 'cd01951', NULL, NULL, 'lectin_L-type', NULL, 'lectin_L-type', NULL, NULL, NULL, 1),
(3293, NULL, 'cd13359', NULL, NULL, 'PH_ELMO1_CED-12', NULL, 'PH_ELMO1_CED-12', NULL, NULL, NULL, 1),
(3294, NULL, 'cd00067', NULL, NULL, 'GAL4', NULL, 'GAL4', NULL, NULL, 2124, 1),
(3295, NULL, 'cd04231', NULL, NULL, 'Rusticyanin', NULL, 'Rusticyanin', NULL, NULL, 628, 1),
(3296, NULL, 'cd05362', NULL, NULL, 'THN_reductase-like_SDR_c', NULL, 'THN_reductase-like_SDR_c', NULL, NULL, NULL, 1),
(3297, NULL, 'cd05035', NULL, NULL, 'PTKc_TAM', NULL, 'PTKc_TAM', NULL, NULL, NULL, 1),
(3298, NULL, 'cd01828', NULL, NULL, 'sialate_O-acetylesterase_like2', NULL, 'sialate_O-acetylesterase_like2', NULL, NULL, NULL, 1),
(3299, NULL, 'cd07166', NULL, NULL, 'NR_DBD_REV_ERB', NULL, 'NR_DBD_REV_ERB', NULL, NULL, NULL, 1),
(3300, NULL, 'cd08975', NULL, NULL, 'BaFpgNei_N_3', NULL, 'BaFpgNei_N_3', NULL, NULL, NULL, 1),
(3301, NULL, 'cd17314', NULL, NULL, 'MFS_MCT_like', NULL, 'MFS_MCT_like', NULL, NULL, NULL, 1),
(3302, NULL, 'cd17735', NULL, NULL, 'BRCT_BRCA1_rpt1', NULL, 'BRCT_BRCA1_rpt1', NULL, NULL, NULL, 1),
(3303, NULL, 'cd01129', NULL, NULL, 'PulE-GspE', NULL, 'PulE-GspE', NULL, NULL, NULL, 1),
(3304, NULL, 'cd17542', NULL, NULL, 'REC_CheY', NULL, 'REC_CheY', NULL, NULL, NULL, 1),
(3305, NULL, 'cd18347', NULL, NULL, 'BTB_POZ_BTBD2', NULL, 'BTB_POZ_BTBD2', NULL, NULL, NULL, 1),
(3306, NULL, 'cd09166', NULL, NULL, 'PLDc_PPK1_C1_unchar', NULL, 'PLDc_PPK1_C1_unchar', NULL, NULL, NULL, 1),
(3307, NULL, 'cd08049', NULL, NULL, 'TAF8', NULL, 'TAF8', NULL, NULL, 17776, 1),
(3308, NULL, 'cd06561', NULL, NULL, 'AlkD_like', NULL, 'AlkD_like', NULL, NULL, NULL, 1),
(3309, NULL, 'cd07865', NULL, NULL, 'STKc_CDK9', NULL, 'STKc_CDK9', NULL, NULL, NULL, 1),
(3310, NULL, 'cd09565', NULL, NULL, 'SAM_liprin-alpha1,2,3,4_repeat2', NULL, 'SAM_liprin-alpha1,2,3,4_repeat2', NULL, NULL, 34531, 1),
(3311, NULL, 'cd18070', NULL, NULL, 'DEXQc_SHPRH', NULL, 'DEXQc_SHPRH', NULL, NULL, NULL, 1),
(3312, NULL, 'cd08072', NULL, NULL, 'MPN_archaeal', NULL, 'MPN_archaeal', NULL, NULL, NULL, 1),
(3313, NULL, 'cd09947', NULL, NULL, 'Ebola_HIV-1-like_HR1-HR2', NULL, 'Ebola_HIV-1-like_HR1-HR2', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3314, NULL, 'cd03856', NULL, NULL, 'M14_Nna1-like', NULL, 'M14_Nna1-like', NULL, NULL, NULL, 1),
(3315, NULL, 'cd07287', NULL, NULL, 'PX_RPK118_like', NULL, 'PX_RPK118_like', NULL, NULL, 39570, 1),
(3316, NULL, 'cd04748', NULL, NULL, 'Commd', NULL, 'Commd', NULL, NULL, NULL, 1),
(3317, NULL, 'cd12095', NULL, NULL, 'TM_ErbB3', NULL, 'TM_ErbB3', NULL, NULL, NULL, 1),
(3318, NULL, 'cd16356', NULL, NULL, 'PsjN_like', NULL, 'PsjN_like', NULL, NULL, NULL, 1),
(3319, NULL, 'cd00614', NULL, NULL, 'CGS_like', NULL, 'CGS_like', NULL, NULL, 578, 1),
(3320, NULL, 'cd06206', NULL, NULL, 'bifunctional_CYPOR', NULL, 'bifunctional_CYPOR', NULL, NULL, NULL, 1),
(3321, NULL, 'cd15955', NULL, NULL, '7tmA_OR52A-like', NULL, '7tmA_OR52A-like', NULL, NULL, NULL, 1),
(3322, NULL, 'cd04092', NULL, NULL, 'mtEFG2_II_like', NULL, 'mtEFG2_II_like', NULL, NULL, NULL, 1),
(3323, NULL, 'cd06362', NULL, NULL, 'PBP1_mGluR', NULL, 'PBP1_mGluR', NULL, NULL, NULL, 1),
(3324, NULL, 'cd16234', NULL, NULL, 'EFh_SPARC_SMOC', NULL, 'EFh_SPARC_SMOC', NULL, NULL, NULL, 1),
(3325, NULL, 'cd19443', NULL, NULL, 'FABP3-like', NULL, 'FABP3-like', NULL, NULL, NULL, 1),
(3326, NULL, 'cd01126', NULL, NULL, 'TraG_VirD4', NULL, 'TraG_VirD4', NULL, NULL, NULL, 1),
(3327, NULL, 'cd02231', NULL, NULL, 'cupin_BLL6423-like', NULL, 'cupin_BLL6423-like', NULL, NULL, NULL, 1),
(3328, NULL, 'cd11681', NULL, NULL, 'HDAC_classIIa', NULL, 'HDAC_classIIa', NULL, NULL, NULL, 1),
(3329, NULL, 'cd17728', NULL, NULL, 'BRCT_TopBP1_rpt8', NULL, 'BRCT_TopBP1_rpt8', NULL, NULL, NULL, 1),
(3330, NULL, 'cd11614', NULL, NULL, 'SAF_CpaB_FlgA_like', NULL, 'SAF_CpaB_FlgA_like', NULL, NULL, NULL, 1),
(3331, NULL, 'cd11705', NULL, NULL, 'DHR2_DOCK4', NULL, 'DHR2_DOCK4', NULL, NULL, NULL, 1),
(3332, NULL, 'cd02774', NULL, NULL, 'MopB_Res-Cmplx1_Nad11-M', NULL, 'MopB_Res-Cmplx1_Nad11-M', NULL, NULL, NULL, 1),
(3333, NULL, 'cd01130', NULL, NULL, 'VirB11-like_ATPase', NULL, 'VirB11-like_ATPase', NULL, NULL, NULL, 1),
(3334, NULL, 'cd19862', NULL, NULL, 'DSRM_PRKRA-like_rpt1', NULL, 'DSRM_PRKRA-like_rpt1', NULL, NULL, NULL, 1),
(3335, NULL, 'cd05772', NULL, NULL, 'IgC_SIRP_domain_2', NULL, 'IgC_SIRP_domain_2', NULL, NULL, NULL, 1),
(3336, NULL, 'cd10790', NULL, NULL, 'GH38N_AMII_1', NULL, 'GH38N_AMII_1', NULL, NULL, NULL, 1),
(3337, NULL, 'cd07227', NULL, NULL, 'Pat_Fungal_NTE1', NULL, 'Pat_Fungal_NTE1', NULL, NULL, NULL, 1),
(3338, NULL, 'cd09357', NULL, NULL, 'LIM3_Zyxin_like', NULL, 'LIM3_Zyxin_like', NULL, NULL, NULL, 1),
(3339, NULL, 'cd00390', NULL, NULL, 'Urease_gamma', NULL, 'Urease_gamma', NULL, NULL, 5388, 1),
(3340, NULL, 'cd19784', NULL, NULL, 'Bbox2_TRIM44', NULL, 'Bbox2_TRIM44', NULL, NULL, NULL, 1),
(3341, NULL, 'cd02083', NULL, NULL, 'P-type_ATPase_SERCA', NULL, 'P-type_ATPase_SERCA', NULL, NULL, NULL, 1),
(3342, NULL, 'cd14077', NULL, NULL, 'STKc_Kin1_2', NULL, 'STKc_Kin1_2', NULL, NULL, NULL, 1),
(3343, NULL, 'cd02872', NULL, NULL, 'GH18_chitolectin_chitotriosidase', NULL, 'GH18_chitolectin_chitotriosidase', NULL, NULL, NULL, 1),
(3344, NULL, 'cd15106', NULL, NULL, '7tmA_MrgprX-like', NULL, '7tmA_MrgprX-like', NULL, NULL, NULL, 1),
(3345, NULL, 'cd18668', NULL, NULL, 'CD1_tandem_CHD5-9_like', NULL, 'CD1_tandem_CHD5-9_like', NULL, NULL, NULL, 1),
(3346, NULL, 'cd06630', NULL, NULL, 'STKc_MEKK1', NULL, 'STKc_MEKK1', NULL, NULL, NULL, 1),
(3347, NULL, 'cd11773', NULL, NULL, 'SH3_Sla1p_1', NULL, 'SH3_Sla1p_1', NULL, NULL, 35368, 1),
(3348, NULL, 'cd13534', NULL, NULL, 'PBP2_MqnD_like', NULL, 'PBP2_MqnD_like', NULL, NULL, NULL, 1),
(3349, NULL, 'cd03701', NULL, NULL, 'IF2_IF5B_II', NULL, 'IF2_IF5B_II', NULL, NULL, NULL, 1),
(3350, NULL, 'cd00098', NULL, NULL, 'IgC', NULL, 'IgC', NULL, NULL, NULL, 1),
(3351, NULL, 'cd06153', NULL, NULL, 'YjgF_YER057c_UK114_like_5', NULL, 'YjgF_YER057c_UK114_like_5', NULL, NULL, NULL, 1),
(3352, NULL, 'cd11593', NULL, NULL, 'Agmatinase-like_2', NULL, 'Agmatinase-like_2', NULL, NULL, NULL, 1),
(3353, NULL, 'cd02062', NULL, NULL, 'Nitro_FMN_reductase', NULL, 'Nitro_FMN_reductase', NULL, NULL, NULL, 1),
(3354, NULL, 'cd11280', NULL, NULL, 'gelsolin_like', NULL, 'gelsolin_like', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3355, NULL, 'cd15084', NULL, NULL, '7tmA_Pinopsin', NULL, '7tmA_Pinopsin', NULL, NULL, NULL, 1),
(3356, NULL, 'cd12125', NULL, NULL, 'APC_alpha', NULL, 'APC_alpha', NULL, NULL, NULL, 1),
(3357, NULL, 'cd13162', NULL, NULL, 'PTB_RGS12', NULL, 'PTB_RGS12', NULL, NULL, NULL, 1),
(3358, NULL, 'cd07994', NULL, NULL, 'WGR', NULL, 'WGR', NULL, NULL, NULL, 1),
(3359, NULL, 'cd11511', NULL, NULL, 'SLC6sbd_BGT1', NULL, 'SLC6sbd_BGT1', NULL, NULL, NULL, 1),
(3360, NULL, 'cd02753', NULL, NULL, 'MopB_Formate-Dh-H', NULL, 'MopB_Formate-Dh-H', NULL, NULL, 33140, 1),
(3361, NULL, 'cd10418', NULL, NULL, 'SH2_Src_Fyn_isoform_a_like', NULL, 'SH2_Src_Fyn_isoform_a_like', NULL, NULL, NULL, 1),
(3362, NULL, 'cd12634', NULL, NULL, 'RRM2_CELF1_2', NULL, 'RRM2_CELF1_2', NULL, NULL, 7464, 1),
(3363, NULL, 'cd16604', NULL, NULL, 'RING-HC_TRIM47_C-IV', NULL, 'RING-HC_TRIM47_C-IV', NULL, NULL, NULL, 1),
(3364, NULL, 'cd15701', NULL, NULL, 'ePHD_BRPF1', NULL, 'ePHD_BRPF1', NULL, NULL, 34464, 1),
(3365, NULL, 'cd09661', NULL, NULL, 'Cmr6_III-B', NULL, 'Cmr6_III-B', NULL, NULL, NULL, 1),
(3366, NULL, 'cd14210', NULL, NULL, 'PKc_DYRK', NULL, 'PKc_DYRK', NULL, NULL, NULL, 1),
(3367, NULL, 'cd00394', NULL, NULL, 'Clp_protease_like', NULL, 'Clp_protease_like', NULL, NULL, NULL, 1),
(3368, NULL, 'cd07493', NULL, NULL, 'Peptidases_S8_9', NULL, 'Peptidases_S8_9', NULL, NULL, NULL, 1),
(3369, NULL, 'cd12269', NULL, NULL, 'RRM_Vip1_like', NULL, 'RRM_Vip1_like', NULL, NULL, 1044, 1),
(3370, NULL, 'cd00616', NULL, NULL, 'AHBA_syn', NULL, 'AHBA_syn', NULL, NULL, 4103, 1),
(3371, NULL, 'cd16933', NULL, NULL, 'HATPase_TopVIB-like', NULL, 'HATPase_TopVIB-like', NULL, NULL, NULL, 1),
(3372, NULL, 'cd19915', NULL, NULL, 'DSRM_DRADA_rpt3', NULL, 'DSRM_DRADA_rpt3', NULL, NULL, 37780, 1),
(3373, NULL, 'cd03688', NULL, NULL, 'eIF2_gamma_II', NULL, 'eIF2_gamma_II', NULL, NULL, 37787, 1),
(3374, NULL, 'cd01768', NULL, NULL, 'RA_FERM_F0_F1_like', NULL, 'RA_FERM_F0_F1_like', NULL, NULL, NULL, 1),
(3375, NULL, 'cd05730', NULL, NULL, 'Ig3_NCAM-1_like', NULL, 'Ig3_NCAM-1_like', NULL, NULL, NULL, 1),
(3376, NULL, 'cd15815', NULL, NULL, 'SPRY_PRY_TRIM38', NULL, 'SPRY_PRY_TRIM38', NULL, NULL, 35490, 1),
(3377, NULL, 'cd17529', NULL, NULL, 'HAMP_I', NULL, 'HAMP_I', NULL, NULL, NULL, 1),
(3378, NULL, 'cd00648', NULL, NULL, 'Periplasmic_Binding_Protein_Type_2', NULL, 'Periplasmic_Binding_Protein_Type_2', NULL, NULL, NULL, 1),
(3379, NULL, 'cd11760', NULL, NULL, 'SH3_MIA_like', NULL, 'SH3_MIA_like', NULL, NULL, NULL, 1),
(3380, NULL, 'cd10944', NULL, NULL, 'CE4_SmPgdA_like', NULL, 'CE4_SmPgdA_like', NULL, NULL, NULL, 1),
(3381, NULL, 'cd16758', NULL, NULL, 'RING-HC_TRIM67', NULL, 'RING-HC_TRIM67', NULL, NULL, NULL, 1),
(3382, NULL, 'cd16115', NULL, NULL, 'Ubl_SUMO2_3_4', NULL, 'Ubl_SUMO2_3_4', NULL, NULL, NULL, 1),
(3383, NULL, 'cd04397', NULL, NULL, 'RhoGAP_fLRG1', NULL, 'RhoGAP_fLRG1', NULL, NULL, NULL, 1),
(3384, NULL, 'cd14903', NULL, NULL, 'MYSc_Myo42', NULL, 'MYSc_Myo42', NULL, NULL, NULL, 1),
(3385, NULL, 'cd03161', NULL, NULL, 'TM4SF2_6_like_LEL', NULL, 'TM4SF2_6_like_LEL', NULL, NULL, NULL, 1),
(3386, NULL, 'cd09162', NULL, NULL, 'PLDc_CLS_unchar1_2', NULL, 'PLDc_CLS_unchar1_2', NULL, NULL, NULL, 1),
(3387, NULL, 'cd11478', NULL, NULL, 'SLC5sbd_u2', NULL, 'SLC5sbd_u2', NULL, NULL, NULL, 1),
(3388, NULL, 'cd02111', NULL, NULL, 'eukary_SO_Moco', NULL, 'eukary_SO_Moco', NULL, NULL, NULL, 1),
(3389, NULL, 'cd08336', NULL, NULL, 'DED_FADD', NULL, 'DED_FADD', NULL, NULL, NULL, 1),
(3390, NULL, 'cd18744', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(3391, NULL, 'cd16454', NULL, NULL, 'RING-H2_PA-TM-RING', NULL, 'RING-H2_PA-TM-RING', NULL, NULL, NULL, 1),
(3392, NULL, 'cd15360', NULL, NULL, '7tmA_FSH-R', NULL, '7tmA_FSH-R', NULL, NULL, NULL, 1),
(3393, NULL, 'cd15907', NULL, NULL, '7tmA_GPR153', NULL, '7tmA_GPR153', NULL, NULL, NULL, 1),
(3394, NULL, 'cd08590', NULL, NULL, 'PI-PLCc_Rv2075c_like', NULL, 'PI-PLCc_Rv2075c_like', NULL, NULL, NULL, 1),
(3395, NULL, 'cd21400', NULL, NULL, 'ZBD_UPF1-like', NULL, 'ZBD_UPF1-like', NULL, NULL, 16127, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3396, NULL, 'cd09562', NULL, NULL, 'SAM_liprin-alpha1,2,3,4_repeat1', NULL, 'SAM_liprin-alpha1,2,3,4_repeat1', NULL, NULL, 34648, 1),
(3397, NULL, 'cd17098', NULL, NULL, 'FERM_F1_FARP1_like', NULL, 'FERM_F1_FARP1_like', NULL, NULL, NULL, 1),
(3398, NULL, 'cd01579', NULL, NULL, 'AcnA_Bact_Swivel', NULL, 'AcnA_Bact_Swivel', NULL, NULL, NULL, 1),
(3399, NULL, 'cd05311', NULL, NULL, 'NAD_bind_2_malic_enz', NULL, 'NAD_bind_2_malic_enz', NULL, NULL, 38966, 1),
(3400, NULL, 'cd15982', NULL, NULL, '7tmB1_PTH2R', NULL, '7tmB1_PTH2R', NULL, NULL, NULL, 1),
(3401, NULL, 'cd17121', NULL, NULL, 'Ubl_UBTD2', NULL, 'Ubl_UBTD2', NULL, NULL, NULL, 1),
(3402, NULL, 'cd12337', NULL, NULL, 'RRM1_SRSF4_like', NULL, 'RRM1_SRSF4_like', NULL, NULL, 31980, 1),
(3403, NULL, 'cd14504', NULL, NULL, 'DUSP23', NULL, 'DUSP23', NULL, NULL, NULL, 1),
(3404, NULL, 'cd06329', NULL, NULL, 'PBP1_SBP-like', NULL, 'PBP1_SBP-like', NULL, NULL, NULL, 1),
(3405, NULL, 'cd06662', NULL, NULL, 'SURF1', NULL, 'SURF1', NULL, NULL, 7283, 1),
(3406, NULL, 'cd09451', NULL, NULL, 'LIM_RIL', NULL, 'LIM_RIL', NULL, NULL, NULL, 1),
(3407, NULL, 'cd11470', NULL, NULL, 'bHLH_TS_TCF15_paraxis', NULL, 'bHLH_TS_TCF15_paraxis', NULL, NULL, NULL, 1),
(3408, NULL, 'cd08804', NULL, NULL, 'Death_ank2', NULL, 'Death_ank2', NULL, NULL, NULL, 1),
(3409, NULL, 'cd18699', NULL, NULL, 'PIN_VapC_like', NULL, 'PIN_VapC_like', NULL, NULL, NULL, 1),
(3410, NULL, 'cd06337', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(3411, NULL, 'cd04177', NULL, NULL, 'RSR1', NULL, 'RSR1', NULL, NULL, 32999, 1),
(3412, NULL, 'cd15963', NULL, NULL, '7tmA_GPR3', NULL, '7tmA_GPR3', NULL, NULL, NULL, 1),
(3413, NULL, 'cd05622', NULL, NULL, 'STKc_ROCK1', NULL, 'STKc_ROCK1', NULL, NULL, NULL, 1),
(3414, NULL, 'cd16098', NULL, NULL, 'FliS', NULL, 'FliS', NULL, NULL, 2038, 1),
(3415, NULL, 'cd17540', NULL, NULL, 'REC_PhyR', NULL, 'REC_PhyR', NULL, NULL, NULL, 1),
(3416, NULL, 'cd12453', NULL, NULL, 'RRM1_RIM4_like', NULL, 'RRM1_RIM4_like', NULL, NULL, 853, 1),
(3417, NULL, 'cd02412', NULL, NULL, '30S_S3_KH', NULL, '30S_S3_KH', NULL, NULL, NULL, 1),
(3418, NULL, 'cd16486', NULL, NULL, 'mRING-H2-C3H2C2D_ZSWM2', NULL, 'mRING-H2-C3H2C2D_ZSWM2', NULL, NULL, NULL, 1),
(3419, NULL, 'cd06660', NULL, NULL, 'AKR_SF', NULL, 'AKR_SF', NULL, NULL, NULL, 1),
(3420, NULL, 'cd03431', NULL, NULL, 'DNA_Glycosylase_C', NULL, 'DNA_Glycosylase_C', NULL, NULL, 27532, 1),
(3421, NULL, 'cd08922', NULL, NULL, 'FHb-globin', NULL, 'FHb-globin', NULL, NULL, NULL, 1),
(3422, NULL, 'cd19607', NULL, NULL, 'GTA_TIM-barrel-like', NULL, 'GTA_TIM-barrel-like', NULL, NULL, NULL, 1),
(3423, NULL, 'cd10052', NULL, NULL, 'Reelin_repeat_8_subrepeat_2', NULL, 'Reelin_repeat_8_subrepeat_2', NULL, NULL, NULL, 1),
(3424, NULL, 'cd05870', NULL, NULL, 'Ig_NCAM-2', NULL, 'Ig_NCAM-2', NULL, NULL, NULL, 1),
(3425, NULL, 'cd12085', NULL, NULL, 'DD_cGKI-alpha', NULL, 'DD_cGKI-alpha', NULL, NULL, NULL, 1),
(3426, NULL, 'cd12413', NULL, NULL, 'RRM1_RBM28_like', NULL, 'RRM1_RBM28_like', NULL, NULL, NULL, 1),
(3427, NULL, 'cd18780', NULL, NULL, 'ABC_6TM_AtABCB27_like', NULL, 'ABC_6TM_AtABCB27_like', NULL, NULL, NULL, 1),
(3428, NULL, 'cd17754', NULL, NULL, 'MCM3', NULL, 'MCM3', NULL, NULL, NULL, 1),
(3429, NULL, 'cd17002', NULL, NULL, 'CID_RPRD1', NULL, 'CID_RPRD1', NULL, NULL, NULL, 1),
(3430, NULL, 'cd06095', NULL, NULL, 'RP_RTVL_H_like', NULL, 'RP_RTVL_H_like', NULL, NULL, NULL, 1),
(3431, NULL, 'cd15317', NULL, NULL, '7tmA_TAAR5-like', NULL, '7tmA_TAAR5-like', NULL, NULL, NULL, 1),
(3432, NULL, 'cd07964', NULL, NULL, 'RBP-H', NULL, 'RBP-H', NULL, NULL, NULL, 1),
(3433, NULL, 'cd14887', NULL, NULL, 'MYSc_Myo26', NULL, 'MYSc_Myo26', NULL, NULL, NULL, 1),
(3434, NULL, 'cd15837', NULL, NULL, 'TNFRSF26', NULL, 'TNFRSF26', NULL, NULL, 8060, 1),
(3435, NULL, 'cd11808', NULL, NULL, 'SH3_Alpha_Spectrin', NULL, 'SH3_Alpha_Spectrin', NULL, NULL, 30383, 1),
(3436, NULL, 'cd19192', NULL, NULL, 'PR-SET_PRDM8', NULL, 'PR-SET_PRDM8', NULL, NULL, 37323, 1),
(3437, NULL, 'cd17023', NULL, NULL, 'T3SC_IA_CesT-like', NULL, 'T3SC_IA_CesT-like', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3438, NULL, 'cd00026', NULL, NULL, 'BPI2', NULL, 'BPI2', NULL, NULL, NULL, 1),
(3439, NULL, 'cd16226', NULL, NULL, 'EFh_CREC_Calumenin_like', NULL, 'EFh_CREC_Calumenin_like', NULL, NULL, NULL, 1),
(3440, NULL, 'cd15351', NULL, NULL, '7tmA_MC1R', NULL, '7tmA_MC1R', NULL, NULL, NULL, 1),
(3441, NULL, 'cd19391', NULL, NULL, 'TGF_beta_BMP4_BMP2B', NULL, 'TGF_beta_BMP4_BMP2B', NULL, NULL, NULL, 1),
(3442, NULL, 'cd07300', NULL, NULL, 'PX_SNX20', NULL, 'PX_SNX20', NULL, NULL, NULL, 1),
(3443, NULL, 'cd18224', NULL, NULL, 'BTB_POZ_ZBTB39', NULL, 'BTB_POZ_ZBTB39', NULL, NULL, NULL, 1),
(3444, NULL, 'cd04736', NULL, NULL, 'MDH_FMN', NULL, 'MDH_FMN', NULL, NULL, NULL, 1),
(3445, NULL, 'cd07409', NULL, NULL, 'MPP_CD73_N', NULL, 'MPP_CD73_N', NULL, NULL, NULL, 1),
(3446, NULL, 'cd10382', NULL, NULL, 'SH2_SOCS1', NULL, 'SH2_SOCS1', NULL, NULL, 30472, 1),
(3447, NULL, 'cd15374', NULL, NULL, '7tmA_P2Y4', NULL, '7tmA_P2Y4', NULL, NULL, NULL, 1),
(3448, NULL, 'cd05394', NULL, NULL, 'RasGAP_RASA2', NULL, 'RasGAP_RASA2', NULL, NULL, NULL, 1),
(3449, NULL, 'cd17342', NULL, NULL, 'MFS_SLC37A3', NULL, 'MFS_SLC37A3', NULL, NULL, NULL, 1),
(3450, NULL, 'cd07781', NULL, NULL, 'FGGY_RBK', NULL, 'FGGY_RBK', NULL, NULL, 213, 1),
(3451, NULL, 'cd04687', NULL, NULL, 'Nudix_Hydrolase_28', NULL, 'Nudix_Hydrolase_28', NULL, NULL, NULL, 1),
(3452, NULL, 'cd02110', NULL, NULL, 'SO_family_Moco_dimer', NULL, 'SO_family_Moco_dimer', NULL, NULL, NULL, 1),
(3453, NULL, 'cd06070', NULL, NULL, 'H2MP_like-2', NULL, 'H2MP_like-2', NULL, NULL, NULL, 1),
(3454, NULL, 'cd16414', NULL, NULL, 'dndB_like', NULL, 'dndB_like', NULL, NULL, NULL, 1),
(3455, NULL, 'cd07416', NULL, NULL, 'MPP_PP2B', NULL, 'MPP_PP2B', NULL, NULL, 32681, 1),
(3456, NULL, 'cd08050', NULL, NULL, 'TAF6C', NULL, 'TAF6C', NULL, NULL, NULL, 1),
(3457, NULL, 'cd12456', NULL, NULL, 'RRM_p65', NULL, 'RRM_p65', NULL, NULL, NULL, 1),
(3458, NULL, 'cd14567', NULL, NULL, 'DSP_DUSP10', NULL, 'DSP_DUSP10', NULL, NULL, NULL, 1),
(3459, NULL, 'cd11540', NULL, NULL, 'NTP-PPase_u3', NULL, 'NTP-PPase_u3', NULL, NULL, NULL, 1),
(3460, NULL, 'cd18238', NULL, NULL, 'BTB_POZ_KLHL8', NULL, 'BTB_POZ_KLHL8', NULL, NULL, NULL, 1),
(3461, NULL, 'cd07283', NULL, NULL, 'PX_SNX30', NULL, 'PX_SNX30', NULL, NULL, NULL, 1),
(3462, NULL, 'cd15444', NULL, NULL, '7tmB2_GPR64', NULL, '7tmB2_GPR64', NULL, NULL, NULL, 1),
(3463, NULL, 'cd17923', NULL, NULL, 'DEXHc_Hrq1-like', NULL, 'DEXHc_Hrq1-like', NULL, NULL, NULL, 1),
(3464, NULL, 'cd00043', NULL, NULL, 'CYCLIN', NULL, 'CYCLIN', NULL, NULL, 7963, 1),
(3465, NULL, 'cd07709', NULL, NULL, 'flavodiiron_proteins_MBL-fold', NULL, 'flavodiiron_proteins_MBL-fold', NULL, NULL, NULL, 1),
(3466, NULL, 'cd00948', NULL, NULL, 'FBP_aldolase_I_a', NULL, 'FBP_aldolase_I_a', NULL, NULL, NULL, 1),
(3467, NULL, 'cd14874', NULL, NULL, 'MYSc_Myo12', NULL, 'MYSc_Myo12', NULL, NULL, NULL, 1),
(3468, NULL, 'cd13323', NULL, NULL, 'PH_PLEKHN1', NULL, 'PH_PLEKHN1', NULL, NULL, 32335, 1),
(3469, NULL, 'cd08546', NULL, NULL, 'cohesin_like', NULL, 'cohesin_like', NULL, NULL, NULL, 1),
(3470, NULL, 'cd14688', NULL, NULL, 'bZIP_YAP', NULL, 'bZIP_YAP', NULL, NULL, NULL, 1),
(3471, NULL, 'cd13122', NULL, NULL, 'MSL2_CXC', NULL, 'MSL2_CXC', NULL, NULL, 26534, 1),
(3472, NULL, 'cd12101', NULL, NULL, 'DD_RIalpha_PKA', NULL, 'DD_RIalpha_PKA', NULL, NULL, NULL, 1),
(3473, NULL, 'cd17920', NULL, NULL, 'DEXHc_RecQ', NULL, 'DEXHc_RecQ', NULL, NULL, NULL, 1),
(3474, NULL, 'cd06411', NULL, NULL, 'PB1_p51', NULL, 'PB1_p51', NULL, NULL, NULL, 1),
(3475, NULL, 'cd12467', NULL, NULL, 'RRM_Srp1p_like', NULL, 'RRM_Srp1p_like', NULL, NULL, 15557, 1),
(3476, NULL, 'cd04454', NULL, NULL, 'S1_Rrp4_like', NULL, 'S1_Rrp4_like', NULL, NULL, NULL, 1),
(3477, NULL, 'cd02516', NULL, NULL, 'CDP-ME_synthetase', NULL, 'CDP-ME_synthetase', NULL, NULL, 19030, 1),
(3478, NULL, 'cd16009', NULL, NULL, 'PPM', NULL, 'PPM', NULL, NULL, 5239, 1),
(3479, NULL, 'cd00539', NULL, NULL, 'MCR_gamma', NULL, 'MCR_gamma', NULL, NULL, 2552, 1),
(3480, NULL, 'cd11955', NULL, NULL, 'SH3_srGAP1-3', NULL, 'SH3_srGAP1-3', NULL, NULL, 30497, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3481, NULL, 'cd19146', NULL, NULL, 'AKR_AKR9A1-2', NULL, 'AKR_AKR9A1-2', NULL, NULL, NULL, 1),
(3482, NULL, 'cd00938', NULL, NULL, 'HisRS_RNA', NULL, 'HisRS_RNA', NULL, NULL, NULL, 1),
(3483, NULL, 'cd18507', NULL, NULL, 'BACK_GPRS_like', NULL, 'BACK_GPRS_like', NULL, NULL, NULL, 1),
(3484, NULL, 'cd09578', NULL, NULL, 'SAM_Scm', NULL, 'SAM_Scm', NULL, NULL, NULL, 1),
(3485, NULL, 'cd05353', NULL, NULL, 'hydroxyacyl-CoA-like_DH_SDR_c-like', NULL, 'hydroxyacyl-CoA-like_DH_SDR_c-like', NULL, NULL, NULL, 1),
(3486, NULL, 'cd18808', NULL, NULL, 'SF1_C_Upf1', NULL, 'SF1_C_Upf1', NULL, NULL, 32675, 1),
(3487, NULL, 'cd02758', NULL, NULL, 'MopB_Tetrathionate-Ra', NULL, 'MopB_Tetrathionate-Ra', NULL, NULL, 33396, 1),
(3488, NULL, 'cd19089', NULL, NULL, 'AKR_AKR14A1_2', NULL, 'AKR_AKR14A1_2', NULL, NULL, NULL, 1),
(3489, NULL, 'cd16388', NULL, NULL, 'SbnI_like_N', NULL, 'SbnI_like_N', NULL, NULL, 33237, 1),
(3490, NULL, 'cd08368', NULL, NULL, 'LIM', NULL, 'LIM', NULL, NULL, NULL, 1),
(3491, NULL, 'cd08578', NULL, NULL, 'GDPD_NUC-2_fungi', NULL, 'GDPD_NUC-2_fungi', NULL, NULL, NULL, 1),
(3492, NULL, 'cd13301', NULL, NULL, 'PH1_Pleckstrin_2', NULL, 'PH1_Pleckstrin_2', NULL, NULL, NULL, 1),
(3493, NULL, 'cd07042', NULL, NULL, 'STAS_SulP_like_sulfate_transporter', NULL, 'STAS_SulP_like_sulfate_transporter', NULL, NULL, NULL, 1),
(3494, NULL, 'cd06113', NULL, NULL, 'citrate_synt_like_1_2', NULL, 'citrate_synt_like_1_2', NULL, NULL, NULL, 1),
(3495, NULL, 'cd09657', NULL, NULL, 'Cmr1_III-B', NULL, 'Cmr1_III-B', NULL, NULL, NULL, 1),
(3496, NULL, 'cd08491', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_12', NULL, 'PBP2_NikA_DppA_OppA_like_12', NULL, NULL, NULL, 1),
(3497, NULL, 'cd14870', NULL, NULL, 'uS7_Mitochondria_Mammalian', NULL, 'uS7_Mitochondria_Mammalian', NULL, NULL, NULL, 1),
(3498, NULL, 'cd16169', NULL, NULL, 'Tau138_eWH', NULL, 'Tau138_eWH', NULL, NULL, 36011, 1),
(3499, NULL, 'cd07542', NULL, NULL, 'P-type_ATPase_cation', NULL, 'P-type_ATPase_cation', NULL, NULL, NULL, 1),
(3500, NULL, 'cd00717', NULL, NULL, 'URO-D', NULL, 'URO-D', NULL, NULL, 5512, 1),
(3501, NULL, 'cd00924', NULL, NULL, 'Cyt_c_Oxidase_Vb', NULL, 'Cyt_c_Oxidase_Vb', NULL, NULL, 5371, 1),
(3502, NULL, 'cd11431', NULL, NULL, 'bHLH_TS_taxi_Dei', NULL, 'bHLH_TS_taxi_Dei', NULL, NULL, NULL, 1),
(3503, NULL, 'cd16814', NULL, NULL, 'RING-HC_RNF20', NULL, 'RING-HC_RNF20', NULL, NULL, NULL, 1),
(3504, NULL, 'cd18556', NULL, NULL, 'ABC_6TM_McjD_like', NULL, 'ABC_6TM_McjD_like', NULL, NULL, NULL, 1),
(3505, NULL, 'cd01800', NULL, NULL, 'Ubl_SF3a120', NULL, 'Ubl_SF3a120', NULL, NULL, 30818, 1),
(3506, NULL, 'cd06267', NULL, NULL, 'PBP1_LacI_sugar_binding-like', NULL, 'PBP1_LacI_sugar_binding-like', NULL, NULL, NULL, 1),
(3507, NULL, 'cd13367', NULL, NULL, 'PH_BCR_vertebrate', NULL, 'PH_BCR_vertebrate', NULL, NULL, NULL, 1),
(3508, NULL, 'cd00378', NULL, NULL, 'SHMT', NULL, 'SHMT', NULL, NULL, 2286, 1),
(3509, NULL, 'cd19845', NULL, NULL, 'Bbox1_TIF1a_C-VI', NULL, 'Bbox1_TIF1a_C-VI', NULL, NULL, NULL, 1),
(3510, NULL, 'cd19885', NULL, NULL, 'DSRM_STAU1_rpt4', NULL, 'DSRM_STAU1_rpt4', NULL, NULL, NULL, 1),
(3511, NULL, 'cd04037', NULL, NULL, 'C2E_Ferlin', NULL, 'C2E_Ferlin', NULL, NULL, 35056, 1),
(3512, NULL, 'cd18101', NULL, NULL, 'Trm10euk_A', NULL, 'Trm10euk_A', NULL, NULL, NULL, 1),
(3513, NULL, 'cd03822', NULL, NULL, 'GT4_mannosyltransferase-like', NULL, 'GT4_mannosyltransferase-like', NULL, NULL, NULL, 1),
(3514, NULL, 'cd08275', NULL, NULL, 'MDR3', NULL, 'MDR3', NULL, NULL, NULL, 1),
(3515, NULL, 'cd18997', NULL, NULL, 'LGIC_ECD_nAChR', NULL, 'LGIC_ECD_nAChR', NULL, NULL, NULL, 1),
(3516, NULL, 'cd18918', NULL, NULL, 'bHLH_AtMYC1_like', NULL, 'bHLH_AtMYC1_like', NULL, NULL, 39858, 1),
(3517, NULL, 'cd13922', NULL, NULL, 'Azurin', NULL, 'Azurin', NULL, NULL, 13541, 1),
(3518, NULL, 'cd14554', NULL, NULL, 'R-PTP-LAR-2', NULL, 'R-PTP-LAR-2', NULL, NULL, NULL, 1),
(3519, NULL, 'cd06275', NULL, NULL, 'PBP1_PurR', NULL, 'PBP1_PurR', NULL, NULL, NULL, 1),
(3520, NULL, 'cd18811', NULL, NULL, 'SF2_C_RecG', NULL, 'SF2_C_RecG', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3521, NULL, 'cd09113', NULL, NULL, 'PLDc_ymdC_like_2', NULL, 'PLDc_ymdC_like_2', NULL, NULL, NULL, 1),
(3522, NULL, 'cd01571', NULL, NULL, 'NAPRTase_B', NULL, 'NAPRTase_B', NULL, NULL, 31002, 1),
(3523, NULL, 'cd19926', NULL, NULL, 'REC_PilR', NULL, 'REC_PilR', NULL, NULL, NULL, 1),
(3524, NULL, 'cd03487', NULL, NULL, 'RT_Bac_retron_II', NULL, 'RT_Bac_retron_II', NULL, NULL, 1907, 1),
(3525, NULL, 'cd13528', NULL, NULL, 'PBP2_osmoprotectants', NULL, 'PBP2_osmoprotectants', NULL, NULL, NULL, 1),
(3526, NULL, 'cd14086', NULL, NULL, 'STKc_CaMKII', NULL, 'STKc_CaMKII', NULL, NULL, NULL, 1),
(3527, NULL, 'cd18386', NULL, NULL, 'BTB_POZ_KCTD20', NULL, 'BTB_POZ_KCTD20', NULL, NULL, NULL, 1),
(3528, NULL, 'cd18445', NULL, NULL, 'BACK_KLHL2_like', NULL, 'BACK_KLHL2_like', NULL, NULL, NULL, 1),
(3529, NULL, 'cd16917', NULL, NULL, 'HATPase_UhpB-NarQ-NarX-like', NULL, 'HATPase_UhpB-NarQ-NarX-like', NULL, NULL, NULL, 1),
(3530, NULL, 'cd03493', NULL, NULL, 'SQR_QFR_TM', NULL, 'SQR_QFR_TM', NULL, NULL, NULL, 1),
(3531, NULL, 'cd09614', NULL, NULL, 'griffithsin_like', NULL, 'griffithsin_like', NULL, NULL, NULL, 1),
(3532, NULL, 'cd15845', NULL, NULL, 'SNARE_syntaxin16', NULL, 'SNARE_syntaxin16', NULL, NULL, NULL, 1),
(3533, NULL, 'cd16448', NULL, NULL, 'RING-H2', NULL, 'RING-H2', NULL, NULL, NULL, 1),
(3534, NULL, 'cd18798', NULL, NULL, 'SF2_C_reverse_gyrase', NULL, 'SF2_C_reverse_gyrase', NULL, NULL, NULL, 1),
(3535, NULL, 'cd03118', NULL, NULL, 'alpha_CA_V', NULL, 'alpha_CA_V', NULL, NULL, NULL, 1),
(3536, NULL, 'cd09485', NULL, NULL, 'LIM_Eplin_alpha_beta', NULL, 'LIM_Eplin_alpha_beta', NULL, NULL, NULL, 1),
(3537, NULL, 'cd00131', NULL, NULL, 'PAX', NULL, 'PAX', NULL, NULL, 5940, 1),
(3538, NULL, 'cd07445', NULL, NULL, 'CRD_corin_1', NULL, 'CRD_corin_1', NULL, NULL, 32399, 1),
(3539, NULL, 'cd09839', NULL, NULL, 'M1_like_TAF2', NULL, 'M1_like_TAF2', NULL, NULL, NULL, 1),
(3540, NULL, 'cd12663', NULL, NULL, 'RRM1_RAVER1', NULL, 'RRM1_RAVER1', NULL, NULL, 12622, 1),
(3541, NULL, 'cd05625', NULL, NULL, 'STKc_LATS1', NULL, 'STKc_LATS1', NULL, NULL, 38720, 1),
(3542, NULL, 'cd14223', NULL, NULL, 'STKc_GRK2', NULL, 'STKc_GRK2', NULL, NULL, NULL, 1),
(3543, NULL, 'cd03427', NULL, NULL, 'MTH1', NULL, 'MTH1', NULL, NULL, NULL, 1),
(3544, NULL, 'cd11703', NULL, NULL, 'DHR2_DOCK7', NULL, 'DHR2_DOCK7', NULL, NULL, NULL, 1),
(3545, NULL, 'cd13841', NULL, NULL, 'ABBA-PTs', NULL, 'ABBA-PTs', NULL, NULL, NULL, 1),
(3546, NULL, 'cd19586', NULL, NULL, 'serpin_mimivirus', NULL, 'serpin_mimivirus', NULL, NULL, NULL, 1),
(3547, NULL, 'cd09030', NULL, NULL, 'DUF1425', NULL, 'DUF1425', NULL, NULL, 11152, 1),
(3548, NULL, 'cd04777', NULL, NULL, 'HTH_MerR-like_sg1', NULL, 'HTH_MerR-like_sg1', NULL, NULL, NULL, 1),
(3549, NULL, 'cd07235', NULL, NULL, 'MRD', NULL, 'MRD', NULL, NULL, NULL, 1),
(3550, NULL, 'cd15688', NULL, NULL, 'PHD1_MOZ', NULL, 'PHD1_MOZ', NULL, NULL, NULL, 1),
(3551, NULL, 'cd07106', NULL, NULL, 'ALDH_AldA-AAD23400', NULL, 'ALDH_AldA-AAD23400', NULL, NULL, 37479, 1),
(3552, NULL, 'cd04182', NULL, NULL, 'GT_2_like_f', NULL, 'GT_2_like_f', NULL, NULL, NULL, 1),
(3553, NULL, 'cd01454', NULL, NULL, 'vWA_norD_type', NULL, 'vWA_norD_type', NULL, NULL, NULL, 1),
(3554, NULL, 'cd18323', NULL, NULL, 'BTB_POZ_ZBTB3', NULL, 'BTB_POZ_ZBTB3', NULL, NULL, NULL, 1),
(3555, NULL, 'cd07161', NULL, NULL, 'NR_DBD_EcR', NULL, 'NR_DBD_EcR', NULL, NULL, NULL, 1),
(3556, NULL, 'cd12292', NULL, NULL, 'RRM2_La_like', NULL, 'RRM2_La_like', NULL, NULL, NULL, 1),
(3557, NULL, 'cd14543', NULL, NULL, 'PTPc-N9', NULL, 'PTPc-N9', NULL, NULL, NULL, 1),
(3558, NULL, 'cd13198', NULL, NULL, 'FERM_C1_MyoVII', NULL, 'FERM_C1_MyoVII', NULL, NULL, 32633, 1),
(3559, NULL, 'cd05966', NULL, NULL, 'ACS', NULL, 'ACS', NULL, NULL, NULL, 1),
(3560, NULL, 'cd13538', NULL, NULL, 'PBP2_ModA_like_1', NULL, 'PBP2_ModA_like_1', NULL, NULL, NULL, 1),
(3561, NULL, 'cd16728', NULL, NULL, 'RING2-HC_MIB2', NULL, 'RING2-HC_MIB2', NULL, NULL, NULL, 1),
(3562, NULL, 'cd06222', NULL, NULL, 'RNase_H_like', NULL, 'RNase_H_like', NULL, NULL, 37599, 1),
(3563, NULL, 'cd10462', NULL, NULL, 'PUB_UBA', NULL, 'PUB_UBA', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3564, NULL, 'cd19962', NULL, NULL, 'PBP1_ABC_RfuA-like', NULL, 'PBP1_ABC_RfuA-like', NULL, NULL, NULL, 1),
(3565, NULL, 'cd18538', NULL, NULL, 'PFA-DSP_unk', NULL, 'PFA-DSP_unk', NULL, NULL, NULL, 1),
(3566, NULL, 'cd05576', NULL, NULL, 'STKc_RPK118_like', NULL, 'STKc_RPK118_like', NULL, NULL, 10871, 1),
(3567, NULL, 'cd14960', NULL, NULL, 'NHL_TRIM2_like', NULL, 'NHL_TRIM2_like', NULL, NULL, NULL, 1),
(3568, NULL, 'cd16577', NULL, NULL, 'RING-HC_MuRF_C-II', NULL, 'RING-HC_MuRF_C-II', NULL, NULL, NULL, 1),
(3569, NULL, 'cd09281', NULL, NULL, 'UPF0066', NULL, 'UPF0066', NULL, NULL, 15792, 1),
(3570, NULL, 'cd12417', NULL, NULL, 'RRM_SAFB_like', NULL, 'RRM_SAFB_like', NULL, NULL, NULL, 1),
(3571, NULL, 'cd17791', NULL, NULL, 'HipA-like', NULL, 'HipA-like', NULL, NULL, NULL, 1),
(3572, NULL, 'cd18778', NULL, NULL, 'ABC_6TM_exporter_like', NULL, 'ABC_6TM_exporter_like', NULL, NULL, NULL, 1),
(3573, NULL, 'cd08788', NULL, NULL, 'CARD_NOD2_2_CARD15', NULL, 'CARD_NOD2_2_CARD15', NULL, NULL, NULL, 1),
(3574, NULL, 'cd01966', NULL, NULL, 'Nitrogenase_NifN_1', NULL, 'Nitrogenase_NifN_1', NULL, NULL, 1374, 1),
(3575, NULL, 'cd15231', NULL, NULL, '7tmA_OR5V1-like', NULL, '7tmA_OR5V1-like', NULL, NULL, NULL, 1),
(3576, NULL, 'cd20174', NULL, NULL, 'GH18_LinChi78-like_UFR', NULL, 'GH18_LinChi78-like_UFR', NULL, NULL, NULL, 1),
(3577, NULL, 'cd05855', NULL, NULL, 'Ig_TrkB_d5', NULL, 'Ig_TrkB_d5', NULL, NULL, NULL, 1),
(3578, NULL, 'cd02963', NULL, NULL, 'TRX_DnaJ', NULL, 'TRX_DnaJ', NULL, NULL, 37415, 1),
(3579, NULL, 'cd14193', NULL, NULL, 'STKc_MLCK4', NULL, 'STKc_MLCK4', NULL, NULL, NULL, 1),
(3580, NULL, 'cd17989', NULL, NULL, 'DEXHc_HrpA', NULL, 'DEXHc_HrpA', NULL, NULL, NULL, 1),
(3581, NULL, 'cd14341', NULL, NULL, 'UBA_MELK', NULL, 'UBA_MELK', NULL, NULL, NULL, 1),
(3582, NULL, 'cd06653', NULL, NULL, 'STKc_MEKK3_like_u1', NULL, 'STKc_MEKK3_like_u1', NULL, NULL, NULL, 1),
(3583, NULL, 'cd04183', NULL, NULL, 'GT2_BcE_like', NULL, 'GT2_BcE_like', NULL, NULL, NULL, 1),
(3584, NULL, 'cd09421', NULL, NULL, 'LIM3_LIMPETin', NULL, 'LIM3_LIMPETin', NULL, NULL, NULL, 1),
(3585, NULL, 'cd06538', NULL, NULL, 'CIDE_N_FSP27', NULL, 'CIDE_N_FSP27', NULL, NULL, NULL, 1),
(3586, NULL, 'cd05741', NULL, NULL, 'Ig_CEACAM_like', NULL, 'Ig_CEACAM_like', NULL, NULL, NULL, 1),
(3587, NULL, 'cd00194', NULL, NULL, 'UBA_like_SF', NULL, 'UBA_like_SF', NULL, NULL, NULL, 1),
(3588, NULL, 'cd14421', NULL, NULL, 'CUE_AMFR', NULL, 'CUE_AMFR', NULL, NULL, NULL, 1),
(3589, NULL, 'cd03013', NULL, NULL, 'PRX5_like', NULL, 'PRX5_like', NULL, NULL, 32362, 1),
(3590, NULL, 'cd21649', NULL, NULL, 'SARS-CoV_ORF3b', NULL, 'SARS-CoV_ORF3b', NULL, NULL, 21387, 1),
(3591, NULL, 'cd18093', NULL, NULL, 'SpoU-like_TrmJ', NULL, 'SpoU-like_TrmJ', NULL, NULL, NULL, 1),
(3592, NULL, 'cd09343', NULL, NULL, 'LIM1_FHL', NULL, 'LIM1_FHL', NULL, NULL, NULL, 1),
(3593, NULL, 'cd14228', NULL, NULL, 'STKc_HIPK1', NULL, 'STKc_HIPK1', NULL, NULL, NULL, 1),
(3594, NULL, 'cd15504', NULL, NULL, 'PHD_PRHA_like', NULL, 'PHD_PRHA_like', NULL, NULL, 37258, 1),
(3595, NULL, 'cd12042', NULL, NULL, 'SH3_CACNB3', NULL, 'SH3_CACNB3', NULL, NULL, 32651, 1),
(3596, NULL, 'cd02150', NULL, NULL, 'nitroreductase', NULL, 'nitroreductase', NULL, NULL, NULL, 1),
(3597, NULL, 'cd13859', NULL, NULL, 'CuRO_D1_2dMcoN_like', NULL, 'CuRO_D1_2dMcoN_like', NULL, NULL, NULL, 1),
(3598, NULL, 'cd10140', NULL, NULL, 'PFM_aerolysin_family', NULL, 'PFM_aerolysin_family', NULL, NULL, NULL, 1),
(3599, NULL, 'cd17351', NULL, NULL, 'MFS_NPF', NULL, 'MFS_NPF', NULL, NULL, NULL, 1),
(3600, NULL, 'cd15336', NULL, NULL, '7tmA_Melanopsin', NULL, '7tmA_Melanopsin', NULL, NULL, NULL, 1),
(3601, NULL, 'cd16458', NULL, NULL, 'RING-H2_Dmap_like', NULL, 'RING-H2_Dmap_like', NULL, NULL, 37529, 1),
(3602, NULL, 'cd13712', NULL, NULL, 'PBP2_FliY', NULL, 'PBP2_FliY', NULL, NULL, NULL, 1),
(3603, NULL, 'cd09996', NULL, NULL, 'HDAC_classII_1', NULL, 'HDAC_classII_1', NULL, NULL, NULL, 1),
(3604, NULL, 'cd16239', NULL, NULL, 'EFh_SPARC_TICN3', NULL, 'EFh_SPARC_TICN3', NULL, NULL, NULL, 1),
(3605, NULL, 'cd05628', NULL, NULL, 'STKc_NDR1', NULL, 'STKc_NDR1', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3606, NULL, 'cd07941', NULL, NULL, 'DRE_TIM_LeuA3', NULL, 'DRE_TIM_LeuA3', NULL, NULL, NULL, 1),
(3607, NULL, 'cd18498', NULL, NULL, 'BACK_RCBTB1_2', NULL, 'BACK_RCBTB1_2', NULL, NULL, NULL, 1),
(3608, NULL, 'cd04705', NULL, NULL, 'PLA2_group_III_like', NULL, 'PLA2_group_III_like', NULL, NULL, NULL, 1),
(3609, NULL, 'cd18951', NULL, NULL, 'bHLH_TS_scleraxis', NULL, 'bHLH_TS_scleraxis', NULL, NULL, NULL, 1),
(3610, NULL, 'cd08350', NULL, NULL, 'BLMT_like', NULL, 'BLMT_like', NULL, NULL, NULL, 1),
(3611, NULL, 'cd12016', NULL, NULL, 'SH3_Tks_2', NULL, 'SH3_Tks_2', NULL, NULL, NULL, 1),
(3612, NULL, 'cd16413', NULL, NULL, 'DGQHR_domain', NULL, 'DGQHR_domain', NULL, NULL, NULL, 1),
(3613, NULL, 'cd11386', NULL, NULL, 'MCP_signal', NULL, 'MCP_signal', NULL, NULL, NULL, 1),
(3614, NULL, 'cd04234', NULL, NULL, 'AAK_AK', NULL, 'AAK_AK', NULL, NULL, NULL, 1),
(3615, NULL, 'cd12620', NULL, NULL, 'RRM3_TIAR', NULL, 'RRM3_TIAR', NULL, NULL, 34674, 1),
(3616, NULL, 'cd11253', NULL, NULL, 'Sema_3E', NULL, 'Sema_3E', NULL, NULL, NULL, 1),
(3617, NULL, 'cd12729', NULL, NULL, 'RRM1_hnRNPH_hnRNPH2_hnRNPF', NULL, 'RRM1_hnRNPH_hnRNPH2_hnRNPF', NULL, NULL, NULL, 1),
(3618, NULL, 'cd14659', NULL, NULL, 'Imelysin-like_IPPA', NULL, 'Imelysin-like_IPPA', NULL, NULL, 20026, 1),
(3619, NULL, 'cd10845', NULL, NULL, 'DSRM_RNAse_III_family', NULL, 'DSRM_RNAse_III_family', NULL, NULL, NULL, 1),
(3620, NULL, 'cd00996', NULL, NULL, 'PBP2_AatB_like', NULL, 'PBP2_AatB_like', NULL, NULL, NULL, 1),
(3621, NULL, 'cd07567', NULL, NULL, 'biotinidase_like', NULL, 'biotinidase_like', NULL, NULL, 13495, 1),
(3622, NULL, 'cd07217', NULL, NULL, 'Pat17_PNPLA8_PNPLA9_like4', NULL, 'Pat17_PNPLA8_PNPLA9_like4', NULL, NULL, NULL, 1),
(3623, NULL, 'cd08810', NULL, NULL, 'CARD_BCL10', NULL, 'CARD_BCL10', NULL, NULL, 36439, 1),
(3624, NULL, 'cd11909', NULL, NULL, 'SH3_PI3K_p85beta', NULL, 'SH3_PI3K_p85beta', NULL, NULL, 36356, 1),
(3625, NULL, 'cd17480', NULL, NULL, 'MFS_SLC40A1_like', NULL, 'MFS_SLC40A1_like', NULL, NULL, 12109, 1),
(3626, NULL, 'cd18542', NULL, NULL, 'ABC_6TM_YknU_like', NULL, 'ABC_6TM_YknU_like', NULL, NULL, NULL, 1),
(3627, NULL, 'cd01906', NULL, NULL, 'proteasome_protease_HslV', NULL, 'proteasome_protease_HslV', NULL, NULL, NULL, 1),
(3628, NULL, 'cd05792', NULL, NULL, 'S1_eIF1AD_like', NULL, 'S1_eIF1AD_like', NULL, NULL, NULL, 1),
(3629, NULL, 'cd12053', NULL, NULL, 'SH3_CD2AP_1', NULL, 'SH3_CD2AP_1', NULL, NULL, 34192, 1),
(3630, NULL, 'cd12334', NULL, NULL, 'RRM1_SF3B4', NULL, 'RRM1_SF3B4', NULL, NULL, 14309, 1),
(3631, NULL, 'cd17619', NULL, NULL, 'REC_OmpR_ArcA_TorR-like', NULL, 'REC_OmpR_ArcA_TorR-like', NULL, NULL, NULL, 1),
(3632, NULL, 'cd14368', NULL, NULL, 'CUE_DEF1_like', NULL, 'CUE_DEF1_like', NULL, NULL, 33372, 1),
(3633, NULL, 'cd18816', NULL, NULL, 'CAP_CRISPLD2', NULL, 'CAP_CRISPLD2', NULL, NULL, NULL, 1),
(3634, NULL, 'cd13322', NULL, NULL, 'PH_PHLPP-like', NULL, 'PH_PHLPP-like', NULL, NULL, NULL, 1),
(3635, NULL, 'cd21167', NULL, NULL, 'M_alpha_beta_cv_Nsp15-like', NULL, 'M_alpha_beta_cv_Nsp15-like', NULL, NULL, 38915, 1),
(3636, NULL, 'cd00491', NULL, NULL, '4Oxalocrotonate_Tautomerase', NULL, '4Oxalocrotonate_Tautomerase', NULL, NULL, 19120, 1),
(3637, NULL, 'cd01515', NULL, NULL, 'Arch_FBPase_1', NULL, 'Arch_FBPase_1', NULL, NULL, NULL, 1),
(3638, NULL, 'cd06664', NULL, NULL, 'IscU_like', NULL, 'IscU_like', NULL, NULL, 5649, 1),
(3639, NULL, 'cd14527', NULL, NULL, 'DSP_bac', NULL, 'DSP_bac', NULL, NULL, NULL, 1),
(3640, NULL, 'cd04886', NULL, NULL, 'ACT_ThrD-II-like', NULL, 'ACT_ThrD-II-like', NULL, NULL, 38821, 1),
(3641, NULL, 'cd05024', NULL, NULL, 'S-100A10', NULL, 'S-100A10', NULL, NULL, 28480, 1),
(3642, NULL, 'cd16830', NULL, NULL, 'HemS-like_N', NULL, 'HemS-like_N', NULL, NULL, NULL, 1),
(3643, NULL, 'cd01205', NULL, NULL, 'EVH1_WASP-like', NULL, 'EVH1_WASP-like', NULL, NULL, 30819, 1),
(3644, NULL, 'cd12264', NULL, NULL, 'RRM_AKAP17A', NULL, 'RRM_AKAP17A', NULL, NULL, NULL, 1),
(3645, NULL, 'cd01046', NULL, NULL, 'Rubrerythrin_like', NULL, 'Rubrerythrin_like', NULL, NULL, 39693, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3646, NULL, 'cd06831', NULL, NULL, 'PLPDE_III_ODC_like_AZI', NULL, 'PLPDE_III_ODC_like_AZI', NULL, NULL, NULL, 1),
(3647, NULL, 'cd13268', NULL, NULL, 'PH_Brdg1', NULL, 'PH_Brdg1', NULL, NULL, NULL, 1),
(3648, NULL, 'cd15206', NULL, NULL, '7tmA_CCK_R', NULL, '7tmA_CCK_R', NULL, NULL, NULL, 1),
(3649, NULL, 'cd19009', NULL, NULL, 'LGIC_ECD_GlyR_alpha', NULL, 'LGIC_ECD_GlyR_alpha', NULL, NULL, NULL, 1),
(3650, NULL, 'cd09950', NULL, NULL, 'ENVV1-like_HR1-HR2', NULL, 'ENVV1-like_HR1-HR2', NULL, NULL, NULL, 1),
(3651, NULL, 'cd02058', NULL, NULL, 'serpinB_MENT-like', NULL, 'serpinB_MENT-like', NULL, NULL, NULL, 1),
(3652, NULL, 'cd05537', NULL, NULL, 'POLBc_Pol_II', NULL, 'POLBc_Pol_II', NULL, NULL, NULL, 1),
(3653, NULL, 'cd14253', NULL, NULL, 'Dockerin', NULL, 'Dockerin', NULL, NULL, NULL, 1),
(3654, NULL, 'cd11660', NULL, NULL, 'SANT_TRF', NULL, 'SANT_TRF', NULL, NULL, NULL, 1),
(3655, NULL, 'cd01231', NULL, NULL, 'PH_SH2B_family', NULL, 'PH_SH2B_family', NULL, NULL, NULL, 1),
(3656, NULL, 'cd15622', NULL, NULL, 'PHD_TIF1alpha', NULL, 'PHD_TIF1alpha', NULL, NULL, NULL, 1),
(3657, NULL, 'cd01914', NULL, NULL, 'HCP', NULL, 'HCP', NULL, NULL, 5406, 1),
(3658, NULL, 'cd00598', NULL, NULL, 'GH18_chitinase-like', NULL, 'GH18_chitinase-like', NULL, NULL, NULL, 1),
(3659, NULL, 'cd18770', NULL, NULL, 'PIN_Mut7-C-like', NULL, 'PIN_Mut7-C-like', NULL, NULL, NULL, 1),
(3660, NULL, 'cd12320', NULL, NULL, 'RRM6_RBM19_RRM5_MRD1', NULL, 'RRM6_RBM19_RRM5_MRD1', NULL, NULL, NULL, 1),
(3661, NULL, 'cd14066', NULL, NULL, 'STKc_IRAK', NULL, 'STKc_IRAK', NULL, NULL, NULL, 1),
(3662, NULL, 'cd16951', NULL, NULL, 'HATPase_EL346-LOV-HK-like', NULL, 'HATPase_EL346-LOV-HK-like', NULL, NULL, NULL, 1),
(3663, NULL, 'cd09887', NULL, NULL, 'NGN_Arch', NULL, 'NGN_Arch', NULL, NULL, NULL, 1),
(3664, NULL, 'cd14967', NULL, NULL, '7tmA_amine_R-like', NULL, '7tmA_amine_R-like', NULL, NULL, NULL, 1),
(3665, NULL, 'cd05493', NULL, NULL, 'Bromo_ALL-1', NULL, 'Bromo_ALL-1', NULL, NULL, NULL, 1),
(3666, NULL, 'cd11498', NULL, NULL, 'SLC6sbd_GlyT1', NULL, 'SLC6sbd_GlyT1', NULL, NULL, NULL, 1),
(3667, NULL, 'cd15399', NULL, NULL, '7tmA_NPY2R', NULL, '7tmA_NPY2R', NULL, NULL, NULL, 1),
(3668, NULL, 'cd12078', NULL, NULL, 'SH3_Tks4_3', NULL, 'SH3_Tks4_3', NULL, NULL, 16186, 1),
(3669, NULL, 'cd07911', NULL, NULL, 'RNRR2_Rv0233_like', NULL, 'RNRR2_Rv0233_like', NULL, NULL, 29588, 1),
(3670, NULL, 'cd08070', NULL, NULL, 'MPN_like', NULL, 'MPN_like', NULL, NULL, NULL, 1),
(3671, NULL, 'cd03068', NULL, NULL, 'PDI_b_ERp72', NULL, 'PDI_b_ERp72', NULL, NULL, 32285, 1),
(3672, NULL, 'cd11844', NULL, NULL, 'SH3_CAS', NULL, 'SH3_CAS', NULL, NULL, NULL, 1),
(3673, NULL, 'cd18916', NULL, NULL, 'bHLH-O_ESM5_like', NULL, 'bHLH-O_ESM5_like', NULL, NULL, NULL, 1),
(3674, NULL, 'cd16007', NULL, NULL, '7tmB2_Latrophilin-1', NULL, '7tmB2_Latrophilin-1', NULL, NULL, NULL, 1),
(3675, NULL, 'cd12567', NULL, NULL, 'RRM3_RBM19', NULL, 'RRM3_RBM19', NULL, NULL, 13423, 1),
(3676, NULL, 'cd13605', NULL, NULL, 'PBP2_TRAP_DctP_like_2', NULL, 'PBP2_TRAP_DctP_like_2', NULL, NULL, NULL, 1),
(3677, NULL, 'cd11815', NULL, NULL, 'SH3_Eve1_2', NULL, 'SH3_Eve1_2', NULL, NULL, NULL, 1),
(3678, NULL, 'cd08768', NULL, NULL, 'Cdc6_C', NULL, 'Cdc6_C', NULL, NULL, 9839, 1),
(3679, NULL, 'cd12117', NULL, NULL, 'A_NRPS_Srf_like', NULL, 'A_NRPS_Srf_like', NULL, NULL, NULL, 1),
(3680, NULL, 'cd15354', NULL, NULL, '7tmA_MC5R', NULL, '7tmA_MC5R', NULL, NULL, NULL, 1),
(3681, NULL, 'cd04971', NULL, NULL, 'Ig_TrKABC_d5', NULL, 'Ig_TrKABC_d5', NULL, NULL, NULL, 1),
(3682, NULL, 'cd07149', NULL, NULL, 'ALDH_y4uC', NULL, 'ALDH_y4uC', NULL, NULL, NULL, 1),
(3683, NULL, 'cd19833', NULL, NULL, 'Bbox2_MuRF3_C-II', NULL, 'Bbox2_MuRF3_C-II', NULL, NULL, NULL, 1),
(3684, NULL, 'cd04149', NULL, NULL, 'Arf6', NULL, 'Arf6', NULL, NULL, 32724, 1),
(3685, NULL, 'cd12358', NULL, NULL, 'RRM1_VICKZ', NULL, 'RRM1_VICKZ', NULL, NULL, NULL, 1),
(3686, NULL, 'cd15886', NULL, NULL, 'SNARE_SEC9N', NULL, 'SNARE_SEC9N', NULL, NULL, NULL, 1),
(3687, NULL, 'cd03016', NULL, NULL, 'PRX_1cys', NULL, 'PRX_1cys', NULL, NULL, 38073, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3688, NULL, 'cd18437', NULL, NULL, 'BRCT_BRC1_like_rpt3', NULL, 'BRCT_BRC1_like_rpt3', NULL, NULL, NULL, 1),
(3689, NULL, 'cd00899', NULL, NULL, 'b4GalT', NULL, 'b4GalT', NULL, NULL, NULL, 1),
(3690, NULL, 'cd09006', NULL, NULL, 'PNP_EcPNPI-like', NULL, 'PNP_EcPNPI-like', NULL, NULL, 5784, 1),
(3691, NULL, 'cd04138', NULL, NULL, 'H_N_K_Ras_like', NULL, 'H_N_K_Ras_like', NULL, NULL, NULL, 1),
(3692, NULL, 'cd13939', NULL, NULL, 'PANDER_FAM3B', NULL, 'PANDER_FAM3B', NULL, NULL, NULL, 1),
(3693, NULL, 'cd12834', NULL, NULL, 'ZntB_u1', NULL, 'ZntB_u1', NULL, NULL, NULL, 1),
(3694, NULL, 'cd06439', NULL, NULL, 'CESA_like_1', NULL, 'CESA_like_1', NULL, NULL, NULL, 1),
(3695, NULL, 'cd04013', NULL, NULL, 'C2_SynGAP_like', NULL, 'C2_SynGAP_like', NULL, NULL, NULL, 1),
(3696, NULL, 'cd01535', NULL, NULL, '4RHOD_Repeat_4', NULL, '4RHOD_Repeat_4', NULL, NULL, NULL, 1),
(3697, NULL, 'cd06137', NULL, NULL, 'DEDDh_RNase', NULL, 'DEDDh_RNase', NULL, NULL, NULL, 1),
(3698, NULL, 'cd18271', NULL, NULL, 'BTB_POZ_KBTBD3_BKLHD3', NULL, 'BTB_POZ_KBTBD3_BKLHD3', NULL, NULL, NULL, 1),
(3699, NULL, 'cd00089', NULL, NULL, 'HR1', NULL, 'HR1', NULL, NULL, NULL, 1),
(3700, NULL, 'cd02209', NULL, NULL, 'cupin_XRE_C', NULL, 'cupin_XRE_C', NULL, NULL, NULL, 1),
(3701, NULL, 'cd07528', NULL, NULL, 'HAD_CbbY-like', NULL, 'HAD_CbbY-like', NULL, NULL, NULL, 1),
(3702, NULL, 'cd17602', NULL, NULL, 'REC_PatA-like', NULL, 'REC_PatA-like', NULL, NULL, NULL, 1),
(3703, NULL, 'cd19149', NULL, NULL, 'AKR_AKR11B2', NULL, 'AKR_AKR11B2', NULL, NULL, NULL, 1),
(3704, NULL, 'cd03024', NULL, NULL, 'DsbA_FrnE', NULL, 'DsbA_FrnE', NULL, NULL, NULL, 1),
(3705, NULL, 'cd21515', NULL, NULL, 'cv_beta_Nsp2_SARS_MHV-like', NULL, 'cv_beta_Nsp2_SARS_MHV-like', NULL, NULL, NULL, 1),
(3706, NULL, 'cd01941', NULL, NULL, 'YeiC_kinase_like', NULL, 'YeiC_kinase_like', NULL, NULL, NULL, 1),
(3707, NULL, 'cd08382', NULL, NULL, 'C2_Smurf-like', NULL, 'C2_Smurf-like', NULL, NULL, NULL, 1),
(3708, NULL, 'cd07295', NULL, NULL, 'PX_Grd19', NULL, 'PX_Grd19', NULL, NULL, 36748, 1),
(3709, NULL, 'cd12131', NULL, NULL, 'HGbI-like', NULL, 'HGbI-like', NULL, NULL, NULL, 1),
(3710, NULL, 'cd03868', NULL, NULL, 'M14_CPD_I', NULL, 'M14_CPD_I', NULL, NULL, NULL, 1),
(3711, NULL, 'cd12809', NULL, NULL, 'Esterase_713_like-2', NULL, 'Esterase_713_like-2', NULL, NULL, NULL, 1),
(3712, NULL, 'cd17969', NULL, NULL, 'DEAHc_XPD', NULL, 'DEAHc_XPD', NULL, NULL, NULL, 1),
(3713, NULL, 'cd14282', NULL, NULL, 'UBA_TDRD3', NULL, 'UBA_TDRD3', NULL, NULL, 32442, 1),
(3714, NULL, 'cd05195', NULL, NULL, 'enoyl_red', NULL, 'enoyl_red', NULL, NULL, NULL, 1),
(3715, NULL, 'cd12594', NULL, NULL, 'RRM1_SRSF4', NULL, 'RRM1_SRSF4', NULL, NULL, NULL, 1),
(3716, NULL, 'cd15819', NULL, NULL, 'SPRY_PRY_BTN1_2', NULL, 'SPRY_PRY_BTN1_2', NULL, NULL, 35574, 1),
(3717, NULL, 'cd18660', NULL, NULL, 'CD1_tandem', NULL, 'CD1_tandem', NULL, NULL, NULL, 1),
(3718, NULL, 'cd12240', NULL, NULL, 'RRM_NCBP2', NULL, 'RRM_NCBP2', NULL, NULL, 21647, 1),
(3719, NULL, 'cd10294', NULL, NULL, 'GST_C_ValRS_N', NULL, 'GST_C_ValRS_N', NULL, NULL, NULL, 1),
(3720, NULL, 'cd15790', NULL, NULL, 'PH-GRAM_MTMR11', NULL, 'PH-GRAM_MTMR11', NULL, NULL, NULL, 1),
(3721, NULL, 'cd19965', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(3722, NULL, 'cd02598', NULL, NULL, 'HAD_BPGM', NULL, 'HAD_BPGM', NULL, NULL, 2158, 1),
(3723, NULL, 'cd19696', NULL, NULL, 'bHLH-PAS_AhR_like', NULL, 'bHLH-PAS_AhR_like', NULL, NULL, NULL, 1),
(3724, NULL, 'cd05923', NULL, NULL, 'CBAL', NULL, 'CBAL', NULL, NULL, NULL, 1),
(3725, NULL, 'cd06322', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(3726, NULL, 'cd21477', NULL, NULL, 'SARS-CoV-like_Spike_S1_RBD', NULL, 'SARS-CoV-like_Spike_S1_RBD', NULL, NULL, NULL, 1),
(3727, NULL, 'cd04446', NULL, NULL, 'DEP_DEPDC4', NULL, 'DEP_DEPDC4', NULL, NULL, NULL, 1),
(3728, NULL, 'cd04078', NULL, NULL, 'CBM36_xylanase-like', NULL, 'CBM36_xylanase-like', NULL, NULL, NULL, 1),
(3729, NULL, 'cd05079', NULL, NULL, 'PTKc_Jak1_rpt2', NULL, 'PTKc_Jak1_rpt2', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3730, NULL, 'cd12315', NULL, NULL, 'RRM1_RBM19_MRD1', NULL, 'RRM1_RBM19_MRD1', NULL, NULL, NULL, 1),
(3731, NULL, 'cd02064', NULL, NULL, 'FAD_synthetase_N', NULL, 'FAD_synthetase_N', NULL, NULL, 13213, 1),
(3732, NULL, 'cd08033', NULL, NULL, 'LARP_6', NULL, 'LARP_6', NULL, NULL, NULL, 1),
(3733, NULL, 'cd15378', NULL, NULL, '7tmA_SUCNR1_GPR91', NULL, '7tmA_SUCNR1_GPR91', NULL, NULL, NULL, 1),
(3734, NULL, 'cd18896', NULL, NULL, 'TET2', NULL, 'TET2', NULL, NULL, NULL, 1),
(3735, NULL, 'cd14288', NULL, NULL, 'UBA_HUWE1', NULL, 'UBA_HUWE1', NULL, NULL, 32286, 1),
(3736, NULL, 'cd02873', NULL, NULL, 'GH18_IDGF', NULL, 'GH18_IDGF', NULL, NULL, 8214, 1),
(3737, NULL, 'cd00439', NULL, NULL, 'Transaldolase', NULL, 'Transaldolase', NULL, NULL, NULL, 1),
(3738, NULL, 'cd19590', NULL, NULL, 'serpin_thermopin-like', NULL, 'serpin_thermopin-like', NULL, NULL, NULL, 1),
(3739, NULL, 'cd11323', NULL, NULL, 'AmyAc_AGS', NULL, 'AmyAc_AGS', NULL, NULL, NULL, 1),
(3740, NULL, 'cd14721', NULL, NULL, 'bZIP_Fos', NULL, 'bZIP_Fos', NULL, NULL, NULL, 1),
(3741, NULL, 'cd19546', NULL, NULL, 'X-Domain_NRPS', NULL, 'X-Domain_NRPS', NULL, NULL, NULL, 1),
(3742, NULL, 'cd07824', NULL, NULL, 'SRPBCC_6', NULL, 'SRPBCC_6', NULL, NULL, NULL, 1),
(3743, NULL, 'cd12059', NULL, NULL, 'SH3_MLK1-3', NULL, 'SH3_MLK1-3', NULL, NULL, 34221, 1),
(3744, NULL, 'cd00270', NULL, NULL, 'MATH_TRAF_C', NULL, 'MATH_TRAF_C', NULL, NULL, NULL, 1),
(3745, NULL, 'cd18481', NULL, NULL, 'BACK_KBTBD4', NULL, 'BACK_KBTBD4', NULL, NULL, 38396, 1),
(3746, NULL, 'cd05304', NULL, NULL, 'Rubrum_tdh', NULL, 'Rubrum_tdh', NULL, NULL, NULL, 1),
(3747, NULL, 'cd16200', NULL, NULL, 'EFh_PI-PLCbeta', NULL, 'EFh_PI-PLCbeta', NULL, NULL, NULL, 1),
(3748, NULL, 'cd16720', NULL, NULL, 'RING-HC_MEX3A', NULL, 'RING-HC_MEX3A', NULL, NULL, NULL, 1),
(3749, NULL, 'cd12394', NULL, NULL, 'RRM1_RBM34', NULL, 'RRM1_RBM34', NULL, NULL, 21892, 1),
(3750, NULL, 'cd15141', NULL, NULL, '7tmA_PGI2', NULL, '7tmA_PGI2', NULL, NULL, NULL, 1),
(3751, NULL, 'cd13845', NULL, NULL, 'CuRO_1_AAO', NULL, 'CuRO_1_AAO', NULL, NULL, 31627, 1),
(3752, NULL, 'cd04127', NULL, NULL, 'Rab27A', NULL, 'Rab27A', NULL, NULL, 34457, 1),
(3753, NULL, 'cd21651', NULL, NULL, 'ORF4b_MERS-CoV-like', NULL, 'ORF4b_MERS-CoV-like', NULL, NULL, 37683, 1),
(3754, NULL, 'cd11746', NULL, NULL, 'GH94N_like', NULL, 'GH94N_like', NULL, NULL, NULL, 1),
(3755, NULL, 'cd02798', NULL, NULL, 'tRNA_bind_CsaA', NULL, 'tRNA_bind_CsaA', NULL, NULL, NULL, 1),
(3756, NULL, 'cd15040', NULL, NULL, '7tmB2_Adhesion', NULL, '7tmB2_Adhesion', NULL, NULL, NULL, 1),
(3757, NULL, 'cd15580', NULL, NULL, 'PHD2_MTF2', NULL, 'PHD2_MTF2', NULL, NULL, 33476, 1),
(3758, NULL, 'cd03313', NULL, NULL, 'enolase', NULL, 'enolase', NULL, NULL, 3112, 1),
(3759, NULL, 'cd18411', NULL, NULL, 'BTB_POZ_KCNB1', NULL, 'BTB_POZ_KCNB1', NULL, NULL, NULL, 1),
(3760, NULL, 'cd00515', NULL, NULL, 'HAM1', NULL, 'HAM1', NULL, NULL, 2587, 1),
(3761, NULL, 'cd08782', NULL, NULL, 'Death_DAPK1', NULL, 'Death_DAPK1', NULL, NULL, NULL, 1),
(3762, NULL, 'cd11460', NULL, NULL, 'bHLH-O_HES6', NULL, 'bHLH-O_HES6', NULL, NULL, NULL, 1),
(3763, NULL, 'cd11518', NULL, NULL, 'SLC6sbd_SIT1', NULL, 'SLC6sbd_SIT1', NULL, NULL, NULL, 1),
(3764, NULL, 'cd13291', NULL, NULL, 'PH_ORP10_ORP11', NULL, 'PH_ORP10_ORP11', NULL, NULL, NULL, 1),
(3765, NULL, 'cd05089', NULL, NULL, 'PTKc_Tie1', NULL, 'PTKc_Tie1', NULL, NULL, NULL, 1),
(3766, NULL, 'cd15866', NULL, NULL, 'R-SNARE_SEC22', NULL, 'R-SNARE_SEC22', NULL, NULL, NULL, 1),
(3767, NULL, 'cd17021', NULL, NULL, 'T3SC_IA_SicP-like', NULL, 'T3SC_IA_SicP-like', NULL, NULL, 37372, 1),
(3768, NULL, 'cd12633', NULL, NULL, 'RRM1_FCA', NULL, 'RRM1_FCA', NULL, NULL, NULL, 1),
(3769, NULL, 'cd16966', NULL, NULL, 'Alpha_kinase_ALPK2_3', NULL, 'Alpha_kinase_ALPK2_3', NULL, NULL, NULL, 1),
(3770, NULL, 'cd04969', NULL, NULL, 'Ig5_Contactin', NULL, 'Ig5_Contactin', NULL, NULL, NULL, 1),
(3771, NULL, 'cd01052', NULL, NULL, 'DPSL', NULL, 'DPSL', NULL, NULL, 33820, 1),
(3772, NULL, 'cd11664', NULL, NULL, 'LamB_YcsF_like_2', NULL, 'LamB_YcsF_like_2', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3773, NULL, 'cd16725', NULL, NULL, 'RING2-HC_MIB1', NULL, 'RING2-HC_MIB1', NULL, NULL, NULL, 1),
(3774, NULL, 'cd07101', NULL, NULL, 'ALDH_SSADH2_GabD2', NULL, 'ALDH_SSADH2_GabD2', NULL, NULL, NULL, 1),
(3775, NULL, 'cd09403', NULL, NULL, 'LIM2_CRP', NULL, 'LIM2_CRP', NULL, NULL, NULL, 1),
(3776, NULL, 'cd02120', NULL, NULL, 'PA_subtilisin_like', NULL, 'PA_subtilisin_like', NULL, NULL, NULL, 1),
(3777, NULL, 'cd14493', NULL, NULL, 'lipocalin_MxiM', NULL, 'lipocalin_MxiM', NULL, NULL, NULL, 1),
(3778, NULL, 'cd09539', NULL, NULL, 'SAM_TNK-like', NULL, 'SAM_TNK-like', NULL, NULL, NULL, 1),
(3779, NULL, 'cd20254', NULL, NULL, 'CASIMO1_SMIM5', NULL, 'CASIMO1_SMIM5', NULL, NULL, NULL, 1),
(3780, NULL, 'cd11647', NULL, NULL, 'DHP5_DphB', NULL, 'DHP5_DphB', NULL, NULL, 786, 1),
(3781, NULL, 'cd17179', NULL, NULL, 'FERM_F1_PLEKHH2', NULL, 'FERM_F1_PLEKHH2', NULL, NULL, NULL, 1),
(3782, NULL, 'cd12033', NULL, NULL, 'SH3_MPP7', NULL, 'SH3_MPP7', NULL, NULL, 36163, 1),
(3783, NULL, 'cd20207', NULL, NULL, 'Bbox2_GefO-like', NULL, 'Bbox2_GefO-like', NULL, NULL, NULL, 1),
(3784, NULL, 'cd07044', NULL, NULL, 'CofD_YvcK', NULL, 'CofD_YvcK', NULL, NULL, NULL, 1),
(3785, NULL, 'cd12235', NULL, NULL, 'RRM_PPIL4', NULL, 'RRM_PPIL4', NULL, NULL, NULL, 1),
(3786, NULL, 'cd06576', NULL, NULL, 'PASTA_Pbp2x-like_1', NULL, 'PASTA_Pbp2x-like_1', NULL, NULL, NULL, 1),
(3787, NULL, 'cd12951', NULL, NULL, 'RRP7_Rrp7A', NULL, 'RRP7_Rrp7A', NULL, NULL, NULL, 1),
(3788, NULL, 'cd15145', NULL, NULL, '7tmA_FP', NULL, '7tmA_FP', NULL, NULL, NULL, 1),
(3789, NULL, 'cd13114', NULL, NULL, 'POLO_box_Plk4_1', NULL, 'POLO_box_Plk4_1', NULL, NULL, 31760, 1),
(3790, NULL, 'cd03459', NULL, NULL, '3,4-PCD', NULL, '3,4-PCD', NULL, NULL, 29188, 1),
(3791, NULL, 'cd15271', NULL, NULL, '7tmB1_GHRHR2', NULL, '7tmB1_GHRHR2', NULL, NULL, NULL, 1),
(3792, NULL, 'cd04244', NULL, NULL, 'AAK_AK-LysC-like', NULL, 'AAK_AK-LysC-like', NULL, NULL, 32275, 1),
(3793, NULL, 'cd08191', NULL, NULL, 'Fe-ADH-like', NULL, 'Fe-ADH-like', NULL, NULL, NULL, 1),
(3794, NULL, 'cd15274', NULL, NULL, '7tmB1_calcitonin_R', NULL, '7tmB1_calcitonin_R', NULL, NULL, NULL, 1),
(3795, NULL, 'cd07298', NULL, NULL, 'PX_RICS', NULL, 'PX_RICS', NULL, NULL, 38702, 1),
(3796, NULL, 'cd08276', NULL, NULL, 'MDR7', NULL, 'MDR7', NULL, NULL, NULL, 1),
(3797, NULL, 'cd16401', NULL, NULL, 'ParB_N_like_MT', NULL, 'ParB_N_like_MT', NULL, NULL, NULL, 1),
(3798, NULL, 'cd17143', NULL, NULL, 'DCX2_DCLK1', NULL, 'DCX2_DCLK1', NULL, NULL, NULL, 1),
(3799, NULL, 'cd03317', NULL, NULL, 'NAAAR', NULL, 'NAAAR', NULL, NULL, 4180, 1),
(3800, NULL, 'cd01464', NULL, NULL, 'vWA_subfamily', NULL, 'vWA_subfamily', NULL, NULL, NULL, 1),
(3801, NULL, 'cd06599', NULL, NULL, 'GH31_glycosidase_Aec37', NULL, 'GH31_glycosidase_Aec37', NULL, NULL, NULL, 1),
(3802, NULL, 'cd05919', NULL, NULL, 'BCL_like', NULL, 'BCL_like', NULL, NULL, NULL, 1),
(3803, NULL, 'cd00881', NULL, NULL, 'GTP_translation_factor', NULL, 'GTP_translation_factor', NULL, NULL, NULL, 1),
(3804, NULL, 'cd21408', NULL, NULL, '1B_Sen1p-like', NULL, '1B_Sen1p-like', NULL, NULL, 36567, 1),
(3805, NULL, 'cd10792', NULL, NULL, 'GH57N_AmyC_like', NULL, 'GH57N_AmyC_like', NULL, NULL, NULL, 1),
(3806, NULL, 'cd18786', NULL, NULL, 'SF1_C', NULL, 'SF1_C', NULL, NULL, NULL, 1),
(3807, NULL, 'cd14826', NULL, NULL, 'SR_alpha_SRX', NULL, 'SR_alpha_SRX', NULL, NULL, NULL, 1),
(3808, NULL, 'cd09436', NULL, NULL, 'LIM3_TRIP6', NULL, 'LIM3_TRIP6', NULL, NULL, NULL, 1),
(3809, NULL, 'cd13331', NULL, NULL, 'PH_Avo1', NULL, 'PH_Avo1', NULL, NULL, NULL, 1),
(3810, NULL, 'cd05598', NULL, NULL, 'STKc_LATS', NULL, 'STKc_LATS', NULL, NULL, NULL, 1),
(3811, NULL, 'cd02245', NULL, NULL, 'cupin_7S_vicilin-like_C', NULL, 'cupin_7S_vicilin-like_C', NULL, NULL, NULL, 1),
(3812, NULL, 'cd03154', NULL, NULL, 'TM4SF3_like_LEL', NULL, 'TM4SF3_like_LEL', NULL, NULL, NULL, 1),
(3813, NULL, 'cd13399', NULL, NULL, 'Slt35-like', NULL, 'Slt35-like', NULL, NULL, NULL, 1),
(3814, NULL, 'cd09175', NULL, NULL, 'PLDc_Bfil', NULL, 'PLDc_Bfil', NULL, NULL, NULL, 1),
(3815, NULL, 'cd15699', NULL, NULL, 'ePHD_TCF20', NULL, 'ePHD_TCF20', NULL, NULL, 32688, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3816, NULL, 'cd11782', NULL, NULL, 'SH3_Sorbs_2', NULL, 'SH3_Sorbs_2', NULL, NULL, NULL, 1),
(3817, NULL, 'cd01422', NULL, NULL, 'MGS', NULL, 'MGS', NULL, NULL, 5781, 1),
(3818, NULL, 'cd08704', NULL, NULL, 'Met_tRNA_FMT_C', NULL, 'Met_tRNA_FMT_C', NULL, NULL, 38883, 1),
(3819, NULL, 'cd01062', NULL, NULL, 'RNase_T2_prok', NULL, 'RNase_T2_prok', NULL, NULL, 30242, 1),
(3820, NULL, 'cd00048', NULL, NULL, 'DSRM_SF', NULL, 'DSRM_SF', NULL, NULL, NULL, 1),
(3821, NULL, 'cd16224', NULL, NULL, 'EFh_CREC_RCN2', NULL, 'EFh_CREC_RCN2', NULL, NULL, NULL, 1),
(3822, NULL, 'cd05291', NULL, NULL, 'HicDH_like', NULL, 'HicDH_like', NULL, NULL, NULL, 1),
(3823, NULL, 'cd13527', NULL, NULL, 'PBP2_TRAP', NULL, 'PBP2_TRAP', NULL, NULL, NULL, 1),
(3824, NULL, 'cd00145', NULL, NULL, 'POLBc', NULL, 'POLBc', NULL, NULL, NULL, 1),
(3825, NULL, 'cd03201', NULL, NULL, 'GST_C_DHAR', NULL, 'GST_C_DHAR', NULL, NULL, NULL, 1),
(3826, NULL, 'cd09817', NULL, NULL, 'linoleate_diol_synthase_like', NULL, 'linoleate_diol_synthase_like', NULL, NULL, 16459, 1),
(3827, NULL, 'cd16000', NULL, NULL, '7tmB2_GPR123', NULL, '7tmB2_GPR123', NULL, NULL, NULL, 1),
(3828, NULL, 'cd18991', NULL, NULL, 'LGIC_ECD_GlyR', NULL, 'LGIC_ECD_GlyR', NULL, NULL, NULL, 1),
(3829, NULL, 'cd05484', NULL, NULL, 'retropepsin_like_LTR_2', NULL, 'retropepsin_like_LTR_2', NULL, NULL, 28508, 1),
(3830, NULL, 'cd07328', NULL, NULL, 'M48_Ste24p_like', NULL, 'M48_Ste24p_like', NULL, NULL, NULL, 1),
(3831, NULL, 'cd01916', NULL, NULL, 'ACS_1', NULL, 'ACS_1', NULL, NULL, 7412, 1),
(3832, NULL, 'cd12602', NULL, NULL, 'RRM2_SF2_plant_like', NULL, 'RRM2_SF2_plant_like', NULL, NULL, NULL, 1),
(3833, NULL, 'cd08444', NULL, NULL, 'PBP2_Cbl', NULL, 'PBP2_Cbl', NULL, NULL, 31143, 1),
(3834, NULL, 'cd14775', NULL, NULL, 'TrHb2_O-like', NULL, 'TrHb2_O-like', NULL, NULL, NULL, 1),
(3835, NULL, 'cd01318', NULL, NULL, 'DHOase_IIb', NULL, 'DHOase_IIb', NULL, NULL, NULL, 1),
(3836, NULL, 'cd17402', NULL, NULL, 'MFS_SLCO3_OATP3', NULL, 'MFS_SLCO3_OATP3', NULL, NULL, NULL, 1),
(3837, NULL, 'cd07931', NULL, NULL, 'eukaryotic_phosphagen_kinases', NULL, 'eukaryotic_phosphagen_kinases', NULL, NULL, NULL, 1),
(3838, NULL, 'cd12513', NULL, NULL, 'RRM3_RBM12B', NULL, 'RRM3_RBM12B', NULL, NULL, 8893, 1),
(3839, NULL, 'cd16847', NULL, NULL, 'STAT3_DBD', NULL, 'STAT3_DBD', NULL, NULL, NULL, 1),
(3840, NULL, 'cd01445', NULL, NULL, 'TST_Repeats', NULL, 'TST_Repeats', NULL, NULL, NULL, 1),
(3841, NULL, 'cd18638', NULL, NULL, 'CD_EhHp1_like', NULL, 'CD_EhHp1_like', NULL, NULL, NULL, 1),
(3842, NULL, 'cd00272', NULL, NULL, 'Chemokine_CC', NULL, 'Chemokine_CC', NULL, NULL, NULL, 1),
(3843, NULL, 'cd11526', NULL, NULL, 'SYLF_FYVE', NULL, 'SYLF_FYVE', NULL, NULL, NULL, 1),
(3844, NULL, 'cd16945', NULL, NULL, 'HATPase_CreC-like', NULL, 'HATPase_CreC-like', NULL, NULL, NULL, 1),
(3845, NULL, 'cd02023', NULL, NULL, 'UMPK', NULL, 'UMPK', NULL, NULL, 3897, 1),
(3846, NULL, 'cd16544', NULL, NULL, 'RING-HC_RNF138', NULL, 'RING-HC_RNF138', NULL, NULL, NULL, 1),
(3847, NULL, 'cd13419', NULL, NULL, 'TNFRSF19L', NULL, 'TNFRSF19L', NULL, NULL, 9718, 1),
(3848, NULL, 'cd16179', NULL, NULL, 'EFh_HEF_CBN', NULL, 'EFh_HEF_CBN', NULL, NULL, 33672, 1),
(3849, NULL, 'cd00451', NULL, NULL, 'GH38N_AMII_euk', NULL, 'GH38N_AMII_euk', NULL, NULL, NULL, 1),
(3850, NULL, 'cd12613', NULL, NULL, 'RRM2_NGR1_NAM8_like', NULL, 'RRM2_NGR1_NAM8_like', NULL, NULL, NULL, 1),
(3851, NULL, 'cd01620', NULL, NULL, 'Ala_dh_like', NULL, 'Ala_dh_like', NULL, NULL, NULL, 1),
(3852, NULL, 'cd07366', NULL, NULL, '3MGA_Dioxygenase', NULL, '3MGA_Dioxygenase', NULL, NULL, 31614, 1),
(3853, NULL, 'cd01345', NULL, NULL, 'OM_channels', NULL, 'OM_channels', NULL, NULL, NULL, 1),
(3854, NULL, 'cd03182', NULL, NULL, 'GST_C_GTT2_like', NULL, 'GST_C_GTT2_like', NULL, NULL, 16478, 1),
(3855, NULL, 'cd14560', NULL, NULL, 'PTP_tensin-1', NULL, 'PTP_tensin-1', NULL, NULL, NULL, 1),
(3856, NULL, 'cd16187', NULL, NULL, 'EFh_PEF_sorcin', NULL, 'EFh_PEF_sorcin', NULL, NULL, NULL, 1),
(3857, NULL, 'cd18676', NULL, NULL, 'PIN_asteroid-like', NULL, 'PIN_asteroid-like', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3858, NULL, 'cd05974', NULL, NULL, 'MACS_like_1', NULL, 'MACS_like_1', NULL, NULL, NULL, 1),
(3859, NULL, 'cd15848', NULL, NULL, 'SNARE_syntaxin1-like', NULL, 'SNARE_syntaxin1-like', NULL, NULL, NULL, 1),
(3860, NULL, 'cd18013', NULL, NULL, 'DEXQc_bact_SNF2', NULL, 'DEXQc_bact_SNF2', NULL, NULL, NULL, 1),
(3861, NULL, 'cd13765', NULL, NULL, 'TGF_beta_ADMP', NULL, 'TGF_beta_ADMP', NULL, NULL, NULL, 1),
(3862, NULL, 'cd04975', NULL, NULL, 'Ig4_SCFR_like', NULL, 'Ig4_SCFR_like', NULL, NULL, NULL, 1),
(3863, NULL, 'cd00004', NULL, NULL, 'Sortase', NULL, 'Sortase', NULL, NULL, NULL, 1),
(3864, NULL, 'cd16168', NULL, NULL, 'OCRE_RBM5', NULL, 'OCRE_RBM5', NULL, NULL, NULL, 1),
(3865, NULL, 'cd07404', NULL, NULL, 'MPP_MS158', NULL, 'MPP_MS158', NULL, NULL, NULL, 1),
(3866, NULL, 'cd06301', NULL, NULL, 'PBP1_rhizopine_binding-like', NULL, 'PBP1_rhizopine_binding-like', NULL, NULL, NULL, 1),
(3867, NULL, 'cd11397', NULL, NULL, 'bHLHzip_MITF_like', NULL, 'bHLHzip_MITF_like', NULL, NULL, NULL, 1),
(3868, NULL, 'cd17445', NULL, NULL, 'MFS_SLC22A17', NULL, 'MFS_SLC22A17', NULL, NULL, NULL, 1),
(3869, NULL, 'cd07150', NULL, NULL, 'ALDH_VaniDH_like', NULL, 'ALDH_VaniDH_like', NULL, NULL, NULL, 1),
(3870, NULL, 'cd16906', NULL, NULL, 'YEATS_AF-9_like', NULL, 'YEATS_AF-9_like', NULL, NULL, NULL, 1),
(3871, NULL, 'cd10929', NULL, NULL, 'CE4_u5', NULL, 'CE4_u5', NULL, NULL, NULL, 1),
(3872, NULL, 'cd14313', NULL, NULL, 'UBA_II_E2_UBE2K_like', NULL, 'UBA_II_E2_UBE2K_like', NULL, NULL, NULL, 1),
(3873, NULL, 'cd20001', NULL, NULL, 'PBP1_LsrB_Quorum_Sensing-like', NULL, 'PBP1_LsrB_Quorum_Sensing-like', NULL, NULL, NULL, 1),
(3874, NULL, 'cd13554', NULL, NULL, 'PBP2_DszB', NULL, 'PBP2_DszB', NULL, NULL, NULL, 1),
(3875, NULL, 'cd08034', NULL, NULL, 'LARP_1_2', NULL, 'LARP_1_2', NULL, NULL, NULL, 1),
(3876, NULL, 'cd04105', NULL, NULL, 'SR_beta', NULL, 'SR_beta', NULL, NULL, 16146, 1),
(3877, NULL, 'cd12916', NULL, NULL, 'VKOR_1', NULL, 'VKOR_1', NULL, NULL, 37578, 1),
(3878, NULL, 'cd09364', NULL, NULL, 'LIM1_LIMK', NULL, 'LIM1_LIMK', NULL, NULL, NULL, 1),
(3879, NULL, 'cd16028', NULL, NULL, 'PMH', NULL, 'PMH', NULL, NULL, NULL, 1),
(3880, NULL, 'cd16856', NULL, NULL, 'STAT6_CCD', NULL, 'STAT6_CCD', NULL, NULL, NULL, 1),
(3881, NULL, 'cd05402', NULL, NULL, 'NT_PAP_TUTase', NULL, 'NT_PAP_TUTase', NULL, NULL, NULL, 1),
(3882, NULL, 'cd10494', NULL, NULL, 'MH1_SMAD_7', NULL, 'MH1_SMAD_7', NULL, NULL, NULL, 1),
(3883, NULL, 'cd05064', NULL, NULL, 'PTKc_EphR_A10', NULL, 'PTKc_EphR_A10', NULL, NULL, NULL, 1),
(3884, NULL, 'cd08987', NULL, NULL, 'GH62', NULL, 'GH62', NULL, NULL, 6079, 1),
(3885, NULL, 'cd04407', NULL, NULL, 'RhoGAP_myosin_IXB', NULL, 'RhoGAP_myosin_IXB', NULL, NULL, NULL, 1),
(3886, NULL, 'cd08319', NULL, NULL, 'Death_RAIDD', NULL, 'Death_RAIDD', NULL, NULL, 34392, 1),
(3887, NULL, 'cd17977', NULL, NULL, 'DEXHc_DHX32', NULL, 'DEXHc_DHX32', NULL, NULL, NULL, 1),
(3888, NULL, 'cd19340', NULL, NULL, 'Wnt_Wnt8', NULL, 'Wnt_Wnt8', NULL, NULL, NULL, 1),
(3889, NULL, 'cd06565', NULL, NULL, 'GH20_GcnA-like', NULL, 'GH20_GcnA-like', NULL, NULL, NULL, 1),
(3890, NULL, 'cd08874', NULL, NULL, 'START_STARD9-like', NULL, 'START_STARD9-like', NULL, NULL, NULL, 1),
(3891, NULL, 'cd01397', NULL, NULL, 'HAT_MBD', NULL, 'HAT_MBD', NULL, NULL, NULL, 1),
(3892, NULL, 'cd18820', NULL, NULL, 'GH43_LbAraf43-like', NULL, 'GH43_LbAraf43-like', NULL, NULL, NULL, 1),
(3893, NULL, 'cd02586', NULL, NULL, 'HAD_PHN', NULL, 'HAD_PHN', NULL, NULL, 4712, 1),
(3894, NULL, 'cd02033', NULL, NULL, 'BchX', NULL, 'BchX', NULL, NULL, NULL, 1),
(3895, NULL, 'cd15001', NULL, NULL, '7tmA_GPRnna14-like', NULL, '7tmA_GPRnna14-like', NULL, NULL, NULL, 1),
(3896, NULL, 'cd03276', NULL, NULL, 'ABC_SMC6_euk', NULL, 'ABC_SMC6_euk', NULL, NULL, NULL, 1),
(3897, NULL, 'cd07597', NULL, NULL, 'BAR_SNX8', NULL, 'BAR_SNX8', NULL, NULL, NULL, 1),
(3898, NULL, 'cd18393', NULL, NULL, 'BTB_POZ_SHKBP1', NULL, 'BTB_POZ_SHKBP1', NULL, NULL, NULL, 1),
(3899, NULL, 'cd04396', NULL, NULL, 'RhoGAP_fSAC7_BAG7', NULL, 'RhoGAP_fSAC7_BAG7', NULL, NULL, NULL, 1),
(3900, NULL, 'cd12744', NULL, NULL, 'RRM1_RBM12B', NULL, 'RRM1_RBM12B', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3901, NULL, 'cd15320', NULL, NULL, '7tmA_D1A_dopamine_R', NULL, '7tmA_D1A_dopamine_R', NULL, NULL, NULL, 1),
(3902, NULL, 'cd02931', NULL, NULL, 'ER_like_FMN', NULL, 'ER_like_FMN', NULL, NULL, NULL, 1),
(3903, NULL, 'cd03325', NULL, NULL, 'D-galactonate_dehydratase', NULL, 'D-galactonate_dehydratase', NULL, NULL, 16949, 1),
(3904, NULL, 'cd13904', NULL, NULL, 'CuRO_3_Diphenol_Ox', NULL, 'CuRO_3_Diphenol_Ox', NULL, NULL, NULL, 1),
(3905, NULL, 'cd05579', NULL, NULL, 'STKc_MAST_like', NULL, 'STKc_MAST_like', NULL, NULL, NULL, 1),
(3906, NULL, 'cd12304', NULL, NULL, 'RRM_Set1', NULL, 'RRM_Set1', NULL, NULL, NULL, 1),
(3907, NULL, 'cd07261', NULL, NULL, 'EhpR_like', NULL, 'EhpR_like', NULL, NULL, NULL, 1),
(3908, NULL, 'cd17985', NULL, NULL, 'DEXHc_DHX57', NULL, 'DEXHc_DHX57', NULL, NULL, NULL, 1),
(3909, NULL, 'cd19556', NULL, NULL, 'serpinA9_centerin', NULL, 'serpinA9_centerin', NULL, NULL, NULL, 1),
(3910, NULL, 'cd13227', NULL, NULL, 'PH-GRAM-like_Vps36', NULL, 'PH-GRAM-like_Vps36', NULL, NULL, NULL, 1),
(3911, NULL, 'cd05360', NULL, NULL, 'SDR_c3', NULL, 'SDR_c3', NULL, NULL, NULL, 1),
(3912, NULL, 'cd07864', NULL, NULL, 'STKc_CDK12', NULL, 'STKc_CDK12', NULL, NULL, NULL, 1),
(3913, NULL, 'cd08761', NULL, NULL, 'Cyt_b561_CYB561D2_like', NULL, 'Cyt_b561_CYB561D2_like', NULL, NULL, NULL, 1),
(3914, NULL, 'cd13118', NULL, NULL, 'POLO_box_1', NULL, 'POLO_box_1', NULL, NULL, 30685, 1),
(3915, NULL, 'cd13180', NULL, NULL, 'RanBD_RanBP3', NULL, 'RanBD_RanBP3', NULL, NULL, NULL, 1),
(3916, NULL, 'cd06586', NULL, NULL, 'TPP_enzyme_PYR', NULL, 'TPP_enzyme_PYR', NULL, NULL, NULL, 1),
(3917, NULL, 'cd04740', NULL, NULL, 'DHOD_1B_like', NULL, 'DHOD_1B_like', NULL, NULL, 29936, 1),
(3918, NULL, 'cd14489', NULL, NULL, 'CBM_SBP_bac_1_like', NULL, 'CBM_SBP_bac_1_like', NULL, NULL, NULL, 1),
(3919, NULL, 'cd13409', NULL, NULL, 'TNFRSF8', NULL, 'TNFRSF8', NULL, NULL, 15143, 1),
(3920, NULL, 'cd11520', NULL, NULL, 'SLC5sbd_SMCT2', NULL, 'SLC5sbd_SMCT2', NULL, NULL, 38317, 1),
(3921, NULL, 'cd14636', NULL, NULL, 'R-PTPc-K-2', NULL, 'R-PTPc-K-2', NULL, NULL, NULL, 1),
(3922, NULL, 'cd18416', NULL, NULL, 'BTB_Shaw-like', NULL, 'BTB_Shaw-like', NULL, NULL, NULL, 1),
(3923, NULL, 'cd14135', NULL, NULL, 'STKc_PRP4', NULL, 'STKc_PRP4', NULL, NULL, 37695, 1),
(3924, NULL, 'cd12919', NULL, NULL, 'VKOR_2', NULL, 'VKOR_2', NULL, NULL, NULL, 1),
(3925, NULL, 'cd11830', NULL, NULL, 'SH3_VAV_2', NULL, 'SH3_VAV_2', NULL, NULL, NULL, 1),
(3926, NULL, 'cd12957', NULL, NULL, 'SKA3_N', NULL, 'SKA3_N', NULL, NULL, NULL, 1),
(3927, NULL, 'cd14174', NULL, NULL, 'STKc_Mnk1', NULL, 'STKc_Mnk1', NULL, NULL, NULL, 1),
(3928, NULL, 'cd03814', NULL, NULL, 'GT4-like', NULL, 'GT4-like', NULL, NULL, NULL, 1),
(3929, NULL, 'cd12005', NULL, NULL, 'SH3_Lck', NULL, 'SH3_Lck', NULL, NULL, 32659, 1),
(3930, NULL, 'cd10233', NULL, NULL, 'HSPA1-2_6-8-like_NBD', NULL, 'HSPA1-2_6-8-like_NBD', NULL, NULL, NULL, 1),
(3931, NULL, 'cd14983', NULL, NULL, '7tmA_FFAR', NULL, '7tmA_FFAR', NULL, NULL, NULL, 1),
(3932, NULL, 'cd02737', NULL, NULL, 'RNAP_IV_NRPD1_C', NULL, 'RNAP_IV_NRPD1_C', NULL, NULL, 30235, 1),
(3933, NULL, 'cd10361', NULL, NULL, 'SH2_Fps_family', NULL, 'SH2_Fps_family', NULL, NULL, 34914, 1),
(3934, NULL, 'cd08915', NULL, NULL, 'V_Alix_like', NULL, 'V_Alix_like', NULL, NULL, NULL, 1),
(3935, NULL, 'cd17511', NULL, NULL, 'YbjN_AmyR-like', NULL, 'YbjN_AmyR-like', NULL, NULL, NULL, 1),
(3936, NULL, 'cd02338', NULL, NULL, 'ZZ_PCMF_like', NULL, 'ZZ_PCMF_like', NULL, NULL, NULL, 1),
(3937, NULL, 'cd13639', NULL, NULL, 'PBP2_OpuAC_like', NULL, 'PBP2_OpuAC_like', NULL, NULL, NULL, 1),
(3938, NULL, 'cd07247', NULL, NULL, 'SgaA_N_like', NULL, 'SgaA_N_like', NULL, NULL, NULL, 1),
(3939, NULL, 'cd09260', NULL, NULL, 'AP-3_Mu3A_Cterm', NULL, 'AP-3_Mu3A_Cterm', NULL, NULL, NULL, 1),
(3940, NULL, 'cd00185', NULL, NULL, 'TNFRSF', NULL, 'TNFRSF', NULL, NULL, NULL, 1),
(3941, NULL, 'cd04462', NULL, NULL, 'S1_RNAPII_Rpb7', NULL, 'S1_RNAPII_Rpb7', NULL, NULL, NULL, 1),
(3942, NULL, 'cd19704', NULL, NULL, 'bHLH_TS_TCF21_capsulin', NULL, 'bHLH_TS_TCF21_capsulin', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3943, NULL, 'cd06381', NULL, NULL, 'PBP1_iGluR_delta-like', NULL, 'PBP1_iGluR_delta-like', NULL, NULL, NULL, 1),
(3944, NULL, 'cd09439', NULL, NULL, 'LIM_Mical', NULL, 'LIM_Mical', NULL, NULL, NULL, 1),
(3945, NULL, 'cd15652', NULL, NULL, 'PHD2_NSD3', NULL, 'PHD2_NSD3', NULL, NULL, NULL, 1),
(3946, NULL, 'cd04118', NULL, NULL, 'Rab24', NULL, 'Rab24', NULL, NULL, 32814, 1),
(3947, NULL, 'cd09005', NULL, NULL, 'NP-I', NULL, 'NP-I', NULL, NULL, NULL, 1),
(3948, NULL, 'cd01254', NULL, NULL, 'PH_PLD', NULL, 'PH_PLD', NULL, NULL, NULL, 1),
(3949, NULL, 'cd07520', NULL, NULL, 'HAD_like', NULL, 'HAD_like', NULL, NULL, NULL, 1),
(3950, NULL, 'cd04495', NULL, NULL, 'BRCA2DBD_OB3', NULL, 'BRCA2DBD_OB3', NULL, NULL, 10538, 1),
(3951, NULL, 'cd08591', NULL, NULL, 'PI-PLCc_beta', NULL, 'PI-PLCc_beta', NULL, NULL, NULL, 1),
(3952, NULL, 'cd14177', NULL, NULL, 'STKc_RSK4_C', NULL, 'STKc_RSK4_C', NULL, NULL, NULL, 1),
(3953, NULL, 'cd07712', NULL, NULL, 'MBLAC2-like_MBL-fold', NULL, 'MBLAC2-like_MBL-fold', NULL, NULL, NULL, 1),
(3954, NULL, 'cd08535', NULL, NULL, 'SAM_PNT-Tel_Yan', NULL, 'SAM_PNT-Tel_Yan', NULL, NULL, NULL, 1),
(3955, NULL, 'cd03485', NULL, NULL, 'MutL_Trans_hPMS_1_like', NULL, 'MutL_Trans_hPMS_1_like', NULL, NULL, NULL, 1),
(3956, NULL, 'cd03747', NULL, NULL, 'Ntn_PGA_like', NULL, 'Ntn_PGA_like', NULL, NULL, NULL, 1),
(3957, NULL, 'cd05112', NULL, NULL, 'PTKc_Itk', NULL, 'PTKc_Itk', NULL, NULL, 37583, 1),
(3958, NULL, 'cd11415', NULL, NULL, 'bHLH_TS_FERD3L_NATO3', NULL, 'bHLH_TS_FERD3L_NATO3', NULL, NULL, NULL, 1),
(3959, NULL, 'cd14722', NULL, NULL, 'bZIP_ATF3', NULL, 'bZIP_ATF3', NULL, NULL, NULL, 1),
(3960, NULL, 'cd14830', NULL, NULL, 'Delta_COP_N', NULL, 'Delta_COP_N', NULL, NULL, NULL, 1),
(3961, NULL, 'cd05861', NULL, NULL, 'Ig_PDGFR-alphabeta', NULL, 'Ig_PDGFR-alphabeta', NULL, NULL, NULL, 1),
(3962, NULL, 'cd06199', NULL, NULL, 'SiR', NULL, 'SiR', NULL, NULL, NULL, 1),
(3963, NULL, 'cd07054', NULL, NULL, 'BMC_PduT_repeat2', NULL, 'BMC_PduT_repeat2', NULL, NULL, NULL, 1),
(3964, NULL, 'cd02894', NULL, NULL, 'GGTase-II', NULL, 'GGTase-II', NULL, NULL, 28501, 1),
(3965, NULL, 'cd01455', NULL, NULL, 'vWA_F11C1-5a_type', NULL, 'vWA_F11C1-5a_type', NULL, NULL, NULL, 1),
(3966, NULL, 'cd10531', NULL, NULL, 'SET_SETD2-like', NULL, 'SET_SETD2-like', NULL, NULL, NULL, 1),
(3967, NULL, 'cd01385', NULL, NULL, 'MYSc_Myo9', NULL, 'MYSc_Myo9', NULL, NULL, 32089, 1),
(3968, NULL, 'cd02609', NULL, NULL, 'P-type_ATPase', NULL, 'P-type_ATPase', NULL, NULL, NULL, 1),
(3969, NULL, 'cd01679', NULL, NULL, 'RNR_I', NULL, 'RNR_I', NULL, NULL, NULL, 1),
(3970, NULL, 'cd07511', NULL, NULL, 'HAD_like', NULL, 'HAD_like', NULL, NULL, NULL, 1),
(3971, NULL, 'cd18379', NULL, NULL, 'BTB_POZ_Kv3_KCNC', NULL, 'BTB_POZ_Kv3_KCNC', NULL, NULL, NULL, 1),
(3972, NULL, 'cd01829', NULL, NULL, 'SGNH_hydrolase_peri2', NULL, 'SGNH_hydrolase_peri2', NULL, NULL, 3790, 1),
(3973, NULL, 'cd19943', NULL, NULL, 'NirB_Fer2_BFD-like_1', NULL, 'NirB_Fer2_BFD-like_1', NULL, NULL, NULL, 1),
(3974, NULL, 'cd12692', NULL, NULL, 'RRM2_PTBPH3', NULL, 'RRM2_PTBPH3', NULL, NULL, 35152, 1),
(3975, NULL, 'cd18063', NULL, NULL, 'DEXHc_SMARCA2', NULL, 'DEXHc_SMARCA2', NULL, NULL, NULL, 1),
(3976, NULL, 'cd03584', NULL, NULL, 'NTR_complement_C4', NULL, 'NTR_complement_C4', NULL, NULL, NULL, 1),
(3977, NULL, 'cd00838', NULL, NULL, 'MPP_superfamily', NULL, 'MPP_superfamily', NULL, NULL, NULL, 1),
(3978, NULL, 'cd05872', NULL, NULL, 'Ig_Sema4B_like', NULL, 'Ig_Sema4B_like', NULL, NULL, NULL, 1),
(3979, NULL, 'cd04126', NULL, NULL, 'Rab20', NULL, 'Rab20', NULL, NULL, 34427, 1),
(3980, NULL, 'cd09243', NULL, NULL, 'BRO1_Brox_like', NULL, 'BRO1_Brox_like', NULL, NULL, NULL, 1),
(3981, NULL, 'cd16540', NULL, NULL, 'RING-HC_RNF114', NULL, 'RING-HC_RNF114', NULL, NULL, 39107, 1),
(3982, NULL, 'cd00640', NULL, NULL, 'Trp-synth-beta_II', NULL, 'Trp-synth-beta_II', NULL, NULL, NULL, 1),
(3983, NULL, 'cd03865', NULL, NULL, 'M14_CPE', NULL, 'M14_CPE', NULL, NULL, 23002, 1),
(3984, NULL, 'cd16290', NULL, NULL, 'AIM-1_SMB-1-like_MBL-B3', NULL, 'AIM-1_SMB-1-like_MBL-B3', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(3985, NULL, 'cd14763', NULL, NULL, 'SSDgbs_1', NULL, 'SSDgbs_1', NULL, NULL, NULL, 1),
(3986, NULL, 'cd19994', NULL, NULL, 'PBP1_ChvE', NULL, 'PBP1_ChvE', NULL, NULL, NULL, 1),
(3987, NULL, 'cd15943', NULL, NULL, '7tmA_OR5AP2-like', NULL, '7tmA_OR5AP2-like', NULL, NULL, NULL, 1),
(3988, NULL, 'cd16141', NULL, NULL, 'RA_GRB10', NULL, 'RA_GRB10', NULL, NULL, NULL, 1),
(3989, NULL, 'cd04475', NULL, NULL, 'RPA1_DBD_B', NULL, 'RPA1_DBD_B', NULL, NULL, NULL, 1),
(3990, NULL, 'cd15387', NULL, NULL, '7tmA_OT_R', NULL, '7tmA_OT_R', NULL, NULL, NULL, 1),
(3991, NULL, 'cd18071', NULL, NULL, 'DEXHc_HLTF1_SMARC3', NULL, 'DEXHc_HLTF1_SMARC3', NULL, NULL, NULL, 1),
(3992, NULL, 'cd14534', NULL, NULL, 'PTP-MTMR5-like', NULL, 'PTP-MTMR5-like', NULL, NULL, NULL, 1),
(3993, NULL, 'cd04793', NULL, NULL, 'LanC', NULL, 'LanC', NULL, NULL, 32468, 1),
(3994, NULL, 'cd13618', NULL, NULL, 'PBP2_transferrin_N', NULL, 'PBP2_transferrin_N', NULL, NULL, NULL, 1),
(3995, NULL, 'cd13844', NULL, NULL, 'CuRO_1_BOD_CotA_like', NULL, 'CuRO_1_BOD_CotA_like', NULL, NULL, NULL, 1),
(3996, NULL, 'cd17982', NULL, NULL, 'DEXHc_DHX37', NULL, 'DEXHc_DHX37', NULL, NULL, NULL, 1),
(3997, NULL, 'cd13381', NULL, NULL, 'PH_Skap-hom_Skap2', NULL, 'PH_Skap-hom_Skap2', NULL, NULL, NULL, 1),
(3998, NULL, 'cd07172', NULL, NULL, 'NR_DBD_GR_PR', NULL, 'NR_DBD_GR_PR', NULL, NULL, NULL, 1),
(3999, NULL, 'cd07857', NULL, NULL, 'STKc_MPK1', NULL, 'STKc_MPK1', NULL, NULL, NULL, 1),
(4000, NULL, 'cd18977', NULL, NULL, 'CD_POL_like', NULL, 'CD_POL_like', NULL, NULL, NULL, 1),
(4001, NULL, 'cd15829', NULL, NULL, 'SPRY_PRY_TRIM75', NULL, 'SPRY_PRY_TRIM75', NULL, NULL, 35353, 1),
(4002, NULL, 'cd11756', NULL, NULL, 'GH94N_ChvB_NdvB_1_like', NULL, 'GH94N_ChvB_NdvB_1_like', NULL, NULL, 31800, 1),
(4003, NULL, 'cd05646', NULL, NULL, 'M20_AcylaseI_like', NULL, 'M20_AcylaseI_like', NULL, NULL, NULL, 1),
(4004, NULL, 'cd10536', NULL, NULL, 'SET_SMYD4', NULL, 'SET_SMYD4', NULL, NULL, 38738, 1),
(4005, NULL, 'cd00764', NULL, NULL, 'Eukaryotic_PFK', NULL, 'Eukaryotic_PFK', NULL, NULL, 32711, 1),
(4006, NULL, 'cd09481', NULL, NULL, 'LIM1_CRP3', NULL, 'LIM1_CRP3', NULL, NULL, NULL, 1),
(4007, NULL, 'cd01044', NULL, NULL, 'Ferritin_CCC1_N', NULL, 'Ferritin_CCC1_N', NULL, NULL, 30422, 1),
(4008, NULL, 'cd01121', NULL, NULL, 'Sms', NULL, 'Sms', NULL, NULL, 1517, 1),
(4009, NULL, 'cd09170', NULL, NULL, 'PLDc_Nuc', NULL, 'PLDc_Nuc', NULL, NULL, NULL, 1),
(4010, NULL, 'cd04506', NULL, NULL, 'SGNH_hydrolase_YpmR_like', NULL, 'SGNH_hydrolase_YpmR_like', NULL, NULL, NULL, 1),
(4011, NULL, 'cd03418', NULL, NULL, 'GRX_GRXb_1_3_like', NULL, 'GRX_GRXb_1_3_like', NULL, NULL, 12104, 1),
(4012, NULL, 'cd08422', NULL, NULL, 'PBP2_CrgA_like', NULL, 'PBP2_CrgA_like', NULL, NULL, NULL, 1),
(4013, NULL, 'cd19133', NULL, NULL, 'AKR_AKR5F1', NULL, 'AKR_AKR5F1', NULL, NULL, NULL, 1),
(4014, NULL, 'cd06351', NULL, NULL, 'PBP1_iGluR_N_LIVBP-like', NULL, 'PBP1_iGluR_N_LIVBP-like', NULL, NULL, NULL, 1),
(4015, NULL, 'cd16175', NULL, NULL, 'EFh_MICU3', NULL, 'EFh_MICU3', NULL, NULL, NULL, 1),
(4016, NULL, 'cd05867', NULL, NULL, 'Ig4_L1-CAM_like', NULL, 'Ig4_L1-CAM_like', NULL, NULL, NULL, 1),
(4017, NULL, 'cd02046', NULL, NULL, 'serpinH1_CBP1', NULL, 'serpinH1_CBP1', NULL, NULL, 35865, 1),
(4018, NULL, 'cd15502', NULL, NULL, 'PHD_Phf1p_Phf2p_like', NULL, 'PHD_Phf1p_Phf2p_like', NULL, NULL, NULL, 1),
(4019, NULL, 'cd06109', NULL, NULL, 'BsCS-I_like', NULL, 'BsCS-I_like', NULL, NULL, NULL, 1),
(4020, NULL, 'cd19785', NULL, NULL, 'Bbox2_TRIM45_C-X', NULL, 'Bbox2_TRIM45_C-X', NULL, NULL, NULL, 1),
(4021, NULL, 'cd17877', NULL, NULL, 'NP_MTAN-like', NULL, 'NP_MTAN-like', NULL, NULL, NULL, 1),
(4022, NULL, 'cd09286', NULL, NULL, 'NMNAT_Eukarya', NULL, 'NMNAT_Eukarya', NULL, NULL, 39007, 1),
(4023, NULL, 'cd02507', NULL, NULL, 'eIF-2B_gamma_N_like', NULL, 'eIF-2B_gamma_N_like', NULL, NULL, NULL, 1),
(4024, NULL, 'cd18665', NULL, NULL, 'CD1_tandem_CHD1_yeast_like', NULL, 'CD1_tandem_CHD1_yeast_like', NULL, NULL, NULL, 1),
(4025, NULL, 'sd00010', NULL, NULL, 'SLR', NULL, 'SLR', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4026, NULL, 'cd11821', NULL, NULL, 'SH3_ASAP', NULL, 'SH3_ASAP', NULL, NULL, 29694, 1),
(4027, NULL, 'cd06218', NULL, NULL, 'DHOD_e_trans', NULL, 'DHOD_e_trans', NULL, NULL, NULL, 1),
(4028, NULL, 'cd17657', NULL, NULL, 'CDC14_N', NULL, 'CDC14_N', NULL, NULL, 22383, 1),
(4029, NULL, 'cd01140', NULL, NULL, 'FatB', NULL, 'FatB', NULL, NULL, 35054, 1),
(4030, NULL, 'cd01927', NULL, NULL, 'cyclophilin_WD40', NULL, 'cyclophilin_WD40', NULL, NULL, NULL, 1),
(4031, NULL, 'cd15618', NULL, NULL, 'PHD1_MOZ_MORF', NULL, 'PHD1_MOZ_MORF', NULL, NULL, NULL, 1),
(4032, NULL, 'cd03200', NULL, NULL, 'GST_C_AIMP2', NULL, 'GST_C_AIMP2', NULL, NULL, NULL, 1),
(4033, NULL, 'cd14916', NULL, NULL, 'MYSc_Myh6', NULL, 'MYSc_Myh6', NULL, NULL, NULL, 1),
(4034, NULL, 'cd02085', NULL, NULL, 'P-type_ATPase_SPCA', NULL, 'P-type_ATPase_SPCA', NULL, NULL, NULL, 1),
(4035, NULL, 'cd08604', NULL, NULL, 'GDPD_SHV3_repeat_2', NULL, 'GDPD_SHV3_repeat_2', NULL, NULL, NULL, 1),
(4036, NULL, 'cd03347', NULL, NULL, 'eu_PheOH', NULL, 'eu_PheOH', NULL, NULL, 32169, 1),
(4037, NULL, 'cd09498', NULL, NULL, 'SAM_caskin1,2_repeat2', NULL, 'SAM_caskin1,2_repeat2', NULL, NULL, 16959, 1),
(4038, NULL, 'cd03260', NULL, NULL, 'ABC_PstB_phosphate_transporter', NULL, 'ABC_PstB_phosphate_transporter', NULL, NULL, 3690, 1),
(4039, NULL, 'cd03595', NULL, NULL, 'CLECT_chondrolectin_like', NULL, 'CLECT_chondrolectin_like', NULL, NULL, NULL, 1),
(4040, NULL, 'cd07942', NULL, NULL, 'DRE_TIM_LeuA', NULL, 'DRE_TIM_LeuA', NULL, NULL, 33126, 1),
(4041, NULL, 'cd09677', NULL, NULL, 'Csy3_I-F', NULL, 'Csy3_I-F', NULL, NULL, NULL, 1),
(4042, NULL, 'cd04699', NULL, NULL, 'Nudix_Hydrolase_39', NULL, 'Nudix_Hydrolase_39', NULL, NULL, NULL, 1),
(4043, NULL, 'cd18174', NULL, NULL, 'M14_ASTE_ASPA_like', NULL, 'M14_ASTE_ASPA_like', NULL, NULL, NULL, 1),
(4044, NULL, 'cd18283', NULL, NULL, 'BTB1_POZ_BTBD7', NULL, 'BTB1_POZ_BTBD7', NULL, NULL, NULL, 1),
(4045, NULL, 'cd04518', NULL, NULL, 'TBP_archaea', NULL, 'TBP_archaea', NULL, NULL, 34885, 1),
(4046, NULL, 'cd19212', NULL, NULL, 'SET_NSD3', NULL, 'SET_NSD3', NULL, NULL, NULL, 1),
(4047, NULL, 'cd12119', NULL, NULL, 'ttLC_FACS_AlkK_like', NULL, 'ttLC_FACS_AlkK_like', NULL, NULL, NULL, 1),
(4048, NULL, 'cd05269', NULL, NULL, 'TMR_SDR_a', NULL, 'TMR_SDR_a', NULL, NULL, NULL, 1),
(4049, NULL, 'cd13667', NULL, NULL, 'PBP2_TRAP_DctP1', NULL, 'PBP2_TRAP_DctP1', NULL, NULL, NULL, 1),
(4050, NULL, 'cd10971', NULL, NULL, 'CE4_DAC_u2_5s', NULL, 'CE4_DAC_u2_5s', NULL, NULL, NULL, 1),
(4051, NULL, 'cd09552', NULL, NULL, 'SAM_EPH-B2', NULL, 'SAM_EPH-B2', NULL, NULL, NULL, 1),
(4052, NULL, 'cd00981', NULL, NULL, 'arch_gltB', NULL, 'arch_gltB', NULL, NULL, 35802, 1),
(4053, NULL, 'cd04263', NULL, NULL, 'DUF619-NAGK-FABP', NULL, 'DUF619-NAGK-FABP', NULL, NULL, NULL, 1),
(4054, NULL, 'cd02053', NULL, NULL, 'serpinF2_A2AP', NULL, 'serpinF2_A2AP', NULL, NULL, 34447, 1),
(4055, NULL, 'cd18191', NULL, NULL, 'BTB_POZ_ARMC5', NULL, 'BTB_POZ_ARMC5', NULL, NULL, NULL, 1),
(4056, NULL, 'cd08427', NULL, NULL, 'PBP2_LTTR_like_2', NULL, 'PBP2_LTTR_like_2', NULL, NULL, NULL, 1),
(4057, NULL, 'cd08820', NULL, NULL, 'FMT_core_like_6', NULL, 'FMT_core_like_6', NULL, NULL, NULL, 1),
(4058, NULL, 'cd11395', NULL, NULL, 'bHLHzip_SREBP_like', NULL, 'bHLHzip_SREBP_like', NULL, NULL, NULL, 1),
(4059, NULL, 'cd07835', NULL, NULL, 'STKc_CDK1_CdkB_like', NULL, 'STKc_CDK1_CdkB_like', NULL, NULL, NULL, 1),
(4060, NULL, 'cd17197', NULL, NULL, 'FERM_F1_FRMD1', NULL, 'FERM_F1_FRMD1', NULL, NULL, NULL, 1),
(4061, NULL, 'cd11239', NULL, NULL, 'Sema_3', NULL, 'Sema_3', NULL, NULL, NULL, 1),
(4062, NULL, 'cd15562', NULL, NULL, 'PHD2_PHF14', NULL, 'PHD2_PHF14', NULL, NULL, NULL, 1),
(4063, NULL, 'cd10535', NULL, NULL, 'SET_EHMT1', NULL, 'SET_EHMT1', NULL, NULL, NULL, 1),
(4064, NULL, 'cd05770', NULL, NULL, 'IgC_beta2m', NULL, 'IgC_beta2m', NULL, NULL, 11701, 1),
(4065, NULL, 'cd01577', NULL, NULL, 'IPMI_Swivel', NULL, 'IPMI_Swivel', NULL, NULL, 31801, 1),
(4066, NULL, 'cd11698', NULL, NULL, 'DHR2_DOCK9', NULL, 'DHR2_DOCK9', NULL, NULL, NULL, 1),
(4067, NULL, 'cd18026', NULL, NULL, 'DEXHc_POLQ-like', NULL, 'DEXHc_POLQ-like', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4068, NULL, 'cd18042', NULL, NULL, 'DEXXQc_SETX', NULL, 'DEXXQc_SETX', NULL, NULL, NULL, 1),
(4069, NULL, 'cd02127', NULL, NULL, 'PA_hPAP21_like', NULL, 'PA_hPAP21_like', NULL, NULL, 35788, 1),
(4070, NULL, 'cd15736', NULL, NULL, 'FYVE_scVPS27p_Vac1p_like', NULL, 'FYVE_scVPS27p_Vac1p_like', NULL, NULL, NULL, 1),
(4071, NULL, 'cd13200', NULL, NULL, 'FERM_C_KCBP', NULL, 'FERM_C_KCBP', NULL, NULL, NULL, 1),
(4072, NULL, 'cd14629', NULL, NULL, 'R-PTP-F-2', NULL, 'R-PTP-F-2', NULL, NULL, NULL, 1),
(4073, NULL, 'cd04088', NULL, NULL, 'EFG_mtEFG_II', NULL, 'EFG_mtEFG_II', NULL, NULL, NULL, 1),
(4074, NULL, 'cd08442', NULL, NULL, 'PBP2_YofA_SoxR_like', NULL, 'PBP2_YofA_SoxR_like', NULL, NULL, NULL, 1),
(4075, NULL, 'cd15335', NULL, NULL, '7tmA_5-HT1E', NULL, '7tmA_5-HT1E', NULL, NULL, NULL, 1),
(4076, NULL, 'cd17475', NULL, NULL, 'MFS_MT3072_like', NULL, 'MFS_MT3072_like', NULL, NULL, NULL, 1),
(4077, NULL, 'cd15407', NULL, NULL, '7tmA_OR5B-like', NULL, '7tmA_OR5B-like', NULL, NULL, NULL, 1),
(4078, NULL, 'cd19347', NULL, NULL, 'Wnt_Wnt5a', NULL, 'Wnt_Wnt5a', NULL, NULL, NULL, 1),
(4079, NULL, 'cd08848', NULL, NULL, 'ArfGap_ASAP1', NULL, 'ArfGap_ASAP1', NULL, NULL, NULL, 1),
(4080, NULL, 'cd07429', NULL, NULL, 'Cby_like', NULL, 'Cby_like', NULL, NULL, 22553, 1),
(4081, NULL, 'cd10816', NULL, NULL, 'GH57N_BE_TK1436_like', NULL, 'GH57N_BE_TK1436_like', NULL, NULL, NULL, 1),
(4082, NULL, 'cd16170', NULL, NULL, 'MvaT_DBD', NULL, 'MvaT_DBD', NULL, NULL, 31331, 1),
(4083, NULL, 'cd05041', NULL, NULL, 'PTKc_Fes_like', NULL, 'PTKc_Fes_like', NULL, NULL, NULL, 1),
(4084, NULL, 'cd14287', NULL, NULL, 'UBA_At3g58460_like', NULL, 'UBA_At3g58460_like', NULL, NULL, NULL, 1),
(4085, NULL, 'cd20266', NULL, NULL, 'Complex1_LYR_NDUFA6_LYRM6', NULL, 'Complex1_LYR_NDUFA6_LYRM6', NULL, NULL, 39761, 1),
(4086, NULL, 'cd08393', NULL, NULL, 'C2A_SLP-1_2', NULL, 'C2A_SLP-1_2', NULL, NULL, NULL, 1),
(4087, NULL, 'cd04258', NULL, NULL, 'AAK_AKiii-LysC-EC', NULL, 'AAK_AKiii-LysC-EC', NULL, NULL, 32413, 1),
(4088, NULL, 'cd09379', NULL, NULL, 'LIM2_AWH', NULL, 'LIM2_AWH', NULL, NULL, NULL, 1),
(4089, NULL, 'cd12122', NULL, NULL, 'AMPKA_C', NULL, 'AMPKA_C', NULL, NULL, NULL, 1),
(4090, NULL, 'cd12184', NULL, NULL, 'HGDH_like', NULL, 'HGDH_like', NULL, NULL, NULL, 1),
(4091, NULL, 'cd00229', NULL, NULL, 'SGNH_hydrolase', NULL, 'SGNH_hydrolase', NULL, NULL, NULL, 1),
(4092, NULL, 'cd02569', NULL, NULL, 'PseudoU_synth_ScPus3', NULL, 'PseudoU_synth_ScPus3', NULL, NULL, 33331, 1),
(4093, NULL, 'cd12346', NULL, NULL, 'RRM3_NGR1_NAM8_like', NULL, 'RRM3_NGR1_NAM8_like', NULL, NULL, NULL, 1),
(4094, NULL, 'cd19341', NULL, NULL, 'Wnt_Wnt9', NULL, 'Wnt_Wnt9', NULL, NULL, NULL, 1),
(4095, NULL, 'cd01938', NULL, NULL, 'ADPGK_ADPPFK', NULL, 'ADPGK_ADPPFK', NULL, NULL, NULL, 1),
(4096, NULL, 'cd12191', NULL, NULL, 'gal11_coact', NULL, 'gal11_coact', NULL, NULL, 34401, 1),
(4097, NULL, 'cd01774', NULL, NULL, 'UBX_UBXN8', NULL, 'UBX_UBXN8', NULL, NULL, NULL, 1),
(4098, NULL, 'cd13785', NULL, NULL, 'CARD_BinCARD_like', NULL, 'CARD_BinCARD_like', NULL, NULL, 36187, 1),
(4099, NULL, 'cd21172', NULL, NULL, 'NTD_dcv_Nsp15-like', NULL, 'NTD_dcv_Nsp15-like', NULL, NULL, 37896, 1),
(4100, NULL, 'cd13169', NULL, NULL, 'RanBD_NUP50_plant', NULL, 'RanBD_NUP50_plant', NULL, NULL, 39273, 1),
(4101, NULL, 'cd13884', NULL, NULL, 'CuRO_2_tcLCC_insect_like', NULL, 'CuRO_2_tcLCC_insect_like', NULL, NULL, NULL, 1),
(4102, NULL, 'cd12236', NULL, NULL, 'RRM_snRNP70', NULL, 'RRM_snRNP70', NULL, NULL, 10972, 1),
(4103, NULL, 'cd16384', NULL, NULL, 'VirB8_like', NULL, 'VirB8_like', NULL, NULL, NULL, 1),
(4104, NULL, 'cd18254', NULL, NULL, 'BTB_POZ_KLHL25', NULL, 'BTB_POZ_KLHL25', NULL, NULL, NULL, 1),
(4105, NULL, 'cd12331', NULL, NULL, 'RRM_NRD1_SEB1_like', NULL, 'RRM_NRD1_SEB1_like', NULL, NULL, 11476, 1),
(4106, NULL, 'cd16989', NULL, NULL, 'ENTH_EpsinR', NULL, 'ENTH_EpsinR', NULL, NULL, NULL, 1),
(4107, NULL, 'cd18308', NULL, NULL, 'BTB1_POZ_LZTR1', NULL, 'BTB1_POZ_LZTR1', NULL, NULL, NULL, 1),
(4108, NULL, 'cd06570', NULL, NULL, 'GH20_chitobiase-like_1', NULL, 'GH20_chitobiase-like_1', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4109, NULL, 'cd07657', NULL, NULL, 'F-BAR_Fes_Fer', NULL, 'F-BAR_Fes_Fer', NULL, NULL, NULL, 1),
(4110, NULL, 'cd11246', NULL, NULL, 'Sema_plexin_C1', NULL, 'Sema_plexin_C1', NULL, NULL, 33281, 1),
(4111, NULL, 'cd21587', NULL, NULL, 'gammaCoV_RdRp', NULL, 'gammaCoV_RdRp', NULL, NULL, 37799, 1),
(4112, NULL, 'cd19608', NULL, NULL, 'GH113_mannanase-like', NULL, 'GH113_mannanase-like', NULL, NULL, NULL, 1),
(4113, NULL, 'cd07614', NULL, NULL, 'BAR_Endophilin_A2', NULL, 'BAR_Endophilin_A2', NULL, NULL, NULL, 1),
(4114, NULL, 'cd12590', NULL, NULL, 'RRM2_PSF', NULL, 'RRM2_PSF', NULL, NULL, NULL, 1),
(4115, NULL, 'cd00398', NULL, NULL, 'Aldolase_II', NULL, 'Aldolase_II', NULL, NULL, NULL, 1),
(4116, NULL, 'cd05586', NULL, NULL, 'STKc_Sck1_like', NULL, 'STKc_Sck1_like', NULL, NULL, NULL, 1),
(4117, NULL, 'cd07026', NULL, NULL, 'Ribosomal_L20', NULL, 'Ribosomal_L20', NULL, NULL, 5994, 1),
(4118, NULL, 'cd12418', NULL, NULL, 'RRM_Aly_REF_like', NULL, 'RRM_Aly_REF_like', NULL, NULL, NULL, 1),
(4119, NULL, 'cd00432', NULL, NULL, 'Ribosomal_L18_L5e', NULL, 'Ribosomal_L18_L5e', NULL, NULL, NULL, 1),
(4120, NULL, 'cd05538', NULL, NULL, 'POLBc_Pol_II_B', NULL, 'POLBc_Pol_II_B', NULL, NULL, NULL, 1),
(4121, NULL, 'cd02234', NULL, NULL, 'cupin_BLR7677-like', NULL, 'cupin_BLR7677-like', NULL, NULL, NULL, 1),
(4122, NULL, 'cd09826', NULL, NULL, 'peroxidasin_like', NULL, 'peroxidasin_like', NULL, NULL, 36256, 1),
(4123, NULL, 'cd10528', NULL, NULL, 'SET_SETD8', NULL, 'SET_SETD8', NULL, NULL, NULL, 1),
(4124, NULL, 'cd06915', NULL, NULL, 'NTP_transferase_WcbM_like', NULL, 'NTP_transferase_WcbM_like', NULL, NULL, NULL, 1),
(4125, NULL, 'cd03083', NULL, NULL, 'TRX_Fd_NuoE_hoxF', NULL, 'TRX_Fd_NuoE_hoxF', NULL, NULL, NULL, 1),
(4126, NULL, 'cd16563', NULL, NULL, 'RING-HC_RNF220', NULL, 'RING-HC_RNF220', NULL, NULL, 29959, 1),
(4127, NULL, 'cd19598', NULL, NULL, 'serpin77Ba-like_insects', NULL, 'serpin77Ba-like_insects', NULL, NULL, NULL, 1),
(4128, NULL, 'cd16345', NULL, NULL, 'LMWP_ArsC', NULL, 'LMWP_ArsC', NULL, NULL, NULL, 1),
(4129, NULL, 'cd19939', NULL, NULL, 'REC_OmpR_BfmR-like', NULL, 'REC_OmpR_BfmR-like', NULL, NULL, NULL, 1),
(4130, NULL, 'cd08906', NULL, NULL, 'START_STARD3-like', NULL, 'START_STARD3-like', NULL, NULL, 22570, 1),
(4131, NULL, 'cd12076', NULL, NULL, 'SH3_Tks4_2', NULL, 'SH3_Tks4_2', NULL, NULL, 16486, 1),
(4132, NULL, 'cd19015', NULL, NULL, 'LGIC_ECD_nAChR_A2', NULL, 'LGIC_ECD_nAChR_A2', NULL, NULL, NULL, 1),
(4133, NULL, 'cd01399', NULL, NULL, 'GlcN6P_deaminase', NULL, 'GlcN6P_deaminase', NULL, NULL, 761, 1),
(4134, NULL, 'cd02665', NULL, NULL, 'Peptidase_C19I', NULL, 'Peptidase_C19I', NULL, NULL, NULL, 1),
(4135, NULL, 'cd05843', NULL, NULL, 'Peptidase_M48_M56', NULL, 'Peptidase_M48_M56', NULL, NULL, NULL, 1),
(4136, NULL, 'cd17019', NULL, NULL, 'T3SC_IA_ShcA-like', NULL, 'T3SC_IA_ShcA-like', NULL, NULL, NULL, 1),
(4137, NULL, 'cd01765', NULL, NULL, 'FERM_F0_F1', NULL, 'FERM_F0_F1', NULL, NULL, NULL, 1),
(4138, NULL, 'cd11684', NULL, NULL, 'DHR2_DOCK', NULL, 'DHR2_DOCK', NULL, NULL, NULL, 1),
(4139, NULL, 'cd05597', NULL, NULL, 'STKc_DMPK_like', NULL, 'STKc_DMPK_like', NULL, NULL, NULL, 1),
(4140, NULL, 'cd09333', NULL, NULL, 'LIM3_PINCH', NULL, 'LIM3_PINCH', NULL, NULL, NULL, 1),
(4141, NULL, 'cd17301', NULL, NULL, 'PIPKc_PIP5KI', NULL, 'PIPKc_PIP5KI', NULL, NULL, NULL, 1),
(4142, NULL, 'cd19371', NULL, NULL, 'UDG-F1-like', NULL, 'UDG-F1-like', NULL, NULL, NULL, 1),
(4143, NULL, 'cd18218', NULL, NULL, 'BTB_POZ_ZBTB32_FAZF_TZFP', NULL, 'BTB_POZ_ZBTB32_FAZF_TZFP', NULL, NULL, NULL, 1),
(4144, NULL, 'cd14166', NULL, NULL, 'STKc_CaMKI_gamma', NULL, 'STKc_CaMKI_gamma', NULL, NULL, NULL, 1),
(4145, NULL, 'cd04814', NULL, NULL, 'PA_M28_1', NULL, 'PA_M28_1', NULL, NULL, NULL, 1),
(4146, NULL, 'cd04911', NULL, NULL, 'ACT_AKiii-YclM-BS_1', NULL, 'ACT_AKiii-YclM-BS_1', NULL, NULL, NULL, 1),
(4147, NULL, 'cd05122', NULL, NULL, 'PKc_STE', NULL, 'PKc_STE', NULL, NULL, NULL, 1),
(4148, NULL, 'cd19718', NULL, NULL, 'bHLH_TS_NGN3_ATOH5', NULL, 'bHLH_TS_NGN3_ATOH5', NULL, NULL, NULL, 1),
(4149, NULL, 'cd11814', NULL, NULL, 'SH3_Eve1_1', NULL, 'SH3_Eve1_1', NULL, NULL, 29519, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4150, NULL, 'cd18682', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(4151, NULL, 'cd16375', NULL, NULL, 'Avd_IVP_like', NULL, 'Avd_IVP_like', NULL, NULL, NULL, 1),
(4152, NULL, 'cd01648', NULL, NULL, 'TERT', NULL, 'TERT', NULL, NULL, NULL, 1),
(4153, NULL, 'cd03256', NULL, NULL, 'ABC_PhnC_transporter', NULL, 'ABC_PhnC_transporter', NULL, NULL, 11888, 1),
(4154, NULL, 'cd07988', NULL, NULL, 'LPLAT_ABO13168-like', NULL, 'LPLAT_ABO13168-like', NULL, NULL, NULL, 1),
(4155, NULL, 'cd15868', NULL, NULL, 'R-SNARE_VAMP8', NULL, 'R-SNARE_VAMP8', NULL, NULL, NULL, 1),
(4156, NULL, 'cd19900', NULL, NULL, 'DSRM_A1CF', NULL, 'DSRM_A1CF', NULL, NULL, 37596, 1),
(4157, NULL, 'cd15259', NULL, NULL, '7tmB2_GPR124-like_Adhesion_III', NULL, '7tmB2_GPR124-like_Adhesion_III', NULL, NULL, NULL, 1),
(4158, NULL, 'cd17247', NULL, NULL, 'RMtype1_S_Eco2747I-TRD2-CR2_like', NULL, 'RMtype1_S_Eco2747I-TRD2-CR2_like', NULL, NULL, NULL, 1),
(4159, NULL, 'cd04669', NULL, NULL, 'Nudix_Hydrolase_11', NULL, 'Nudix_Hydrolase_11', NULL, NULL, NULL, 1),
(4160, NULL, 'cd05145', NULL, NULL, 'RIO1_like', NULL, 'RIO1_like', NULL, NULL, NULL, 1),
(4161, NULL, 'cd15321', NULL, NULL, '7tmA_alpha2B_AR', NULL, '7tmA_alpha2B_AR', NULL, NULL, NULL, 1),
(4162, NULL, 'cd19601', NULL, NULL, 'serpin42Da-like', NULL, 'serpin42Da-like', NULL, NULL, NULL, 1),
(4163, NULL, 'cd03700', NULL, NULL, 'EF2_snRNP_like_II', NULL, 'EF2_snRNP_like_II', NULL, NULL, NULL, 1),
(4164, NULL, 'cd08976', NULL, NULL, 'BaFpgNei_N_4', NULL, 'BaFpgNei_N_4', NULL, NULL, NULL, 1),
(4165, NULL, 'cd17905', NULL, NULL, 'CheC-like', NULL, 'CheC-like', NULL, NULL, NULL, 1),
(4166, NULL, 'cd12159', NULL, NULL, '2-Hacid_dh_2', NULL, '2-Hacid_dh_2', NULL, NULL, NULL, 1),
(4167, NULL, 'cd00897', NULL, NULL, 'UGPase_euk', NULL, 'UGPase_euk', NULL, NULL, 19924, 1),
(4168, NULL, 'cd04021', NULL, NULL, 'C2_E3_ubiquitin_ligase', NULL, 'C2_E3_ubiquitin_ligase', NULL, NULL, NULL, 1),
(4169, NULL, 'cd17489', NULL, NULL, 'MFS_YfcJ_like', NULL, 'MFS_YfcJ_like', NULL, NULL, NULL, 1),
(4170, NULL, 'cd17289', NULL, NULL, 'RMtype1_S_BamJRS5ORF1993P-TRD1-CR1_like', NULL, 'RMtype1_S_BamJRS5ORF1993P-TRD1-CR1_like', NULL, NULL, NULL, 1),
(4171, NULL, 'cd03312', NULL, NULL, 'CIMS_N_terminal_like', NULL, 'CIMS_N_terminal_like', NULL, NULL, NULL, 1),
(4172, NULL, 'cd09321', NULL, NULL, 'TDT_like_3', NULL, 'TDT_like_3', NULL, NULL, NULL, 1),
(4173, NULL, 'cd08999', NULL, NULL, 'GH43_ABN-like', NULL, 'GH43_ABN-like', NULL, NULL, NULL, 1),
(4174, NULL, 'cd10581', NULL, NULL, 'TNFRSF11B', NULL, 'TNFRSF11B', NULL, NULL, NULL, 1),
(4175, NULL, 'cd10152', NULL, NULL, 'SaCsoR-like_DUF156', NULL, 'SaCsoR-like_DUF156', NULL, NULL, NULL, 1),
(4176, NULL, 'cd13289', NULL, NULL, 'PH_Osh3p_yeast', NULL, 'PH_Osh3p_yeast', NULL, NULL, NULL, 1),
(4177, NULL, 'cd05036', NULL, NULL, 'PTKc_ALK_LTK', NULL, 'PTKc_ALK_LTK', NULL, NULL, NULL, 1),
(4178, NULL, 'cd04278', NULL, NULL, 'ZnMc_MMP', NULL, 'ZnMc_MMP', NULL, NULL, 33402, 1),
(4179, NULL, 'cd07950', NULL, NULL, 'Gallate_Doxase_N', NULL, 'Gallate_Doxase_N', NULL, NULL, 12105, 1),
(4180, NULL, 'cd11558', NULL, NULL, 'W2_eIF2B_epsilon', NULL, 'W2_eIF2B_epsilon', NULL, NULL, 37715, 1),
(4181, NULL, 'cd09392', NULL, NULL, 'LIM2_Lrg1p_like', NULL, 'LIM2_Lrg1p_like', NULL, NULL, NULL, 1),
(4182, NULL, 'cd00123', NULL, NULL, 'DmpA_OAT', NULL, 'DmpA_OAT', NULL, NULL, NULL, 1),
(4183, NULL, 'cd10843', NULL, NULL, 'DSRM_DICER', NULL, 'DSRM_DICER', NULL, NULL, 37677, 1),
(4184, NULL, 'cd19021', NULL, NULL, 'LGIC_ECD_nAChR_A7L', NULL, 'LGIC_ECD_nAChR_A7L', NULL, NULL, NULL, 1),
(4185, NULL, 'cd19768', NULL, NULL, 'Bbox2_TRIM14', NULL, 'Bbox2_TRIM14', NULL, NULL, NULL, 1),
(4186, NULL, 'cd18038', NULL, NULL, 'DEXXQc_Helz-like', NULL, 'DEXXQc_Helz-like', NULL, NULL, NULL, 1),
(4187, NULL, 'cd18454', NULL, NULL, 'BACK_KLHL15', NULL, 'BACK_KLHL15', NULL, NULL, NULL, 1),
(4188, NULL, 'cd08196', NULL, NULL, 'Fe-ADH-like', NULL, 'Fe-ADH-like', NULL, NULL, NULL, 1),
(4189, NULL, 'cd00852', NULL, NULL, 'NifB', NULL, 'NifB', NULL, NULL, 14362, 1),
(4190, NULL, 'cd07881', NULL, NULL, 'RHD-n_NFAT', NULL, 'RHD-n_NFAT', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4191, NULL, 'cd05471', NULL, NULL, 'pepsin_like', NULL, 'pepsin_like', NULL, NULL, 23498, 1),
(4192, NULL, 'cd17049', NULL, NULL, 'Ubl_Sacsin', NULL, 'Ubl_Sacsin', NULL, NULL, NULL, 1),
(4193, NULL, 'cd19062', NULL, NULL, 'LGIC_TM_GluCl', NULL, 'LGIC_TM_GluCl', NULL, NULL, 37396, 1),
(4194, NULL, 'cd18211', NULL, NULL, 'BTB_POZ_ZBTB23_GZF1', NULL, 'BTB_POZ_ZBTB23_GZF1', NULL, NULL, NULL, 1),
(4195, NULL, 'cd03482', NULL, NULL, 'MutL_Trans_MutL', NULL, 'MutL_Trans_MutL', NULL, NULL, NULL, 1),
(4196, NULL, 'cd04108', NULL, NULL, 'Rab36_Rab34', NULL, 'Rab36_Rab34', NULL, NULL, NULL, 1),
(4197, NULL, 'cd07623', NULL, NULL, 'BAR_SNX1_2', NULL, 'BAR_SNX1_2', NULL, NULL, NULL, 1),
(4198, NULL, 'cd04598', NULL, NULL, 'CBS_pair_GGDEF_EAL', NULL, 'CBS_pair_GGDEF_EAL', NULL, NULL, NULL, 1),
(4199, NULL, 'cd14453', NULL, NULL, 'CuRO_2_FV_like', NULL, 'CuRO_2_FV_like', NULL, NULL, NULL, 1),
(4200, NULL, 'cd17767', NULL, NULL, 'UP_EcUdp-like', NULL, 'UP_EcUdp-like', NULL, NULL, NULL, 1),
(4201, NULL, 'cd14606', NULL, NULL, 'PTPc-N6', NULL, 'PTPc-N6', NULL, NULL, NULL, 1),
(4202, NULL, 'cd04265', NULL, NULL, 'DUF619-NAGS-U', NULL, 'DUF619-NAGS-U', NULL, NULL, NULL, 1),
(4203, NULL, 'sd00030', NULL, NULL, 'zf-RanBP2', NULL, 'zf-RanBP2', NULL, NULL, NULL, 1),
(4204, NULL, 'cd12458', NULL, NULL, 'RRM_AtC3H46_like', NULL, 'RRM_AtC3H46_like', NULL, NULL, 4062, 1),
(4205, NULL, 'cd03365', NULL, NULL, 'TOPRIM_TopoIIA', NULL, 'TOPRIM_TopoIIA', NULL, NULL, 23106, 1),
(4206, NULL, 'cd02156', NULL, NULL, 'nt_trans', NULL, 'nt_trans', NULL, NULL, NULL, 1),
(4207, NULL, 'cd18488', NULL, NULL, 'BACK_BTBD3_like', NULL, 'BACK_BTBD3_like', NULL, NULL, NULL, 1),
(4208, NULL, 'cd05173', NULL, NULL, 'PI3Kc_IA_beta', NULL, 'PI3Kc_IA_beta', NULL, NULL, 33986, 1),
(4209, NULL, 'cd17327', NULL, NULL, 'MFS_FEN2_like', NULL, 'MFS_FEN2_like', NULL, NULL, NULL, 1),
(4210, NULL, 'cd00731', NULL, NULL, 'CheA_reg', NULL, 'CheA_reg', NULL, NULL, NULL, 1),
(4211, NULL, 'cd00868', NULL, NULL, 'Terpene_cyclase_C1', NULL, 'Terpene_cyclase_C1', NULL, NULL, NULL, 1),
(4212, NULL, 'cd11527', NULL, NULL, 'NTP-PPase_dUTPase', NULL, 'NTP-PPase_dUTPase', NULL, NULL, NULL, 1),
(4213, NULL, 'cd09897', NULL, NULL, 'H3TH_FEN1-XPG-like', NULL, 'H3TH_FEN1-XPG-like', NULL, NULL, NULL, 1),
(4214, NULL, 'cd13285', NULL, NULL, 'PH_ORP1', NULL, 'PH_ORP1', NULL, NULL, NULL, 1),
(4215, NULL, 'cd16557', NULL, NULL, 'RING-HC_RNF186', NULL, 'RING-HC_RNF186', NULL, NULL, NULL, 1),
(4216, NULL, 'cd09271', NULL, NULL, 'RNase_H2-C', NULL, 'RNase_H2-C', NULL, NULL, 14269, 1),
(4217, NULL, 'cd08764', NULL, NULL, 'Cyt_b561_CG1275_like', NULL, 'Cyt_b561_CG1275_like', NULL, NULL, NULL, 1),
(4218, NULL, 'cd01196', NULL, NULL, 'INT_C_like_6', NULL, 'INT_C_like_6', NULL, NULL, NULL, 1),
(4219, NULL, 'cd05900', NULL, NULL, 'Ig_Aggrecan', NULL, 'Ig_Aggrecan', NULL, NULL, NULL, 1),
(4220, NULL, 'cd00483', NULL, NULL, 'HPPK', NULL, 'HPPK', NULL, NULL, 5776, 1),
(4221, NULL, 'cd00389', NULL, NULL, 'microbial_RNases', NULL, 'microbial_RNases', NULL, NULL, NULL, 1),
(4222, NULL, 'cd08776', NULL, NULL, 'DED_Caspase-like_r1', NULL, 'DED_Caspase-like_r1', NULL, NULL, NULL, 1),
(4223, NULL, 'cd18706', NULL, NULL, 'PIN_STKc_like', NULL, 'PIN_STKc_like', NULL, NULL, NULL, 1),
(4224, NULL, 'cd05070', NULL, NULL, 'PTKc_Fyn', NULL, 'PTKc_Fyn', NULL, NULL, NULL, 1),
(4225, NULL, 'cd14708', NULL, NULL, 'bZIP_HBP1b-like', NULL, 'bZIP_HBP1b-like', NULL, NULL, NULL, 1),
(4226, NULL, 'cd03349', NULL, NULL, 'LbH_XAT', NULL, 'LbH_XAT', NULL, NULL, NULL, 1),
(4227, NULL, 'cd05890', NULL, NULL, 'Ig2_Nectin-1_like', NULL, 'Ig2_Nectin-1_like', NULL, NULL, 32808, 1),
(4228, NULL, 'cd17724', NULL, NULL, 'BRCT_p53bp1_rpt2', NULL, 'BRCT_p53bp1_rpt2', NULL, NULL, NULL, 1),
(4229, NULL, 'cd18390', NULL, NULL, 'BTB_POZ_KCTD5', NULL, 'BTB_POZ_KCTD5', NULL, NULL, NULL, 1),
(4230, NULL, 'cd11241', NULL, NULL, 'Sema_5', NULL, 'Sema_5', NULL, NULL, NULL, 1),
(4231, NULL, 'cd17008', NULL, NULL, 'VHS_GGA3', NULL, 'VHS_GGA3', NULL, NULL, NULL, 1),
(4232, NULL, 'cd07218', NULL, NULL, 'Pat_iPLA2', NULL, 'Pat_iPLA2', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4233, NULL, 'cd12449', NULL, NULL, 'RRM_CIRBP_RBM3', NULL, 'RRM_CIRBP_RBM3', NULL, NULL, 6386, 1),
(4234, NULL, 'cd04478', NULL, NULL, 'RPA2_DBD_D', NULL, 'RPA2_DBD_D', NULL, NULL, NULL, 1),
(4235, NULL, 'cd07338', NULL, NULL, 'M48B_HtpX_like', NULL, 'M48B_HtpX_like', NULL, NULL, NULL, 1),
(4236, NULL, 'cd12571', NULL, NULL, 'RRM6_RBM19', NULL, 'RRM6_RBM19', NULL, NULL, 13153, 1),
(4237, NULL, 'cd07208', NULL, NULL, 'Pat_hypo_Ecoli_yjju_like', NULL, 'Pat_hypo_Ecoli_yjju_like', NULL, NULL, 29898, 1),
(4238, NULL, 'cd17947', NULL, NULL, 'DEADc_DDX27', NULL, 'DEADc_DDX27', NULL, NULL, NULL, 1),
(4239, NULL, 'cd12840', NULL, NULL, 'CarS', NULL, 'CarS', NULL, NULL, 31765, 1),
(4240, NULL, 'cd04025', NULL, NULL, 'C2B_RasA1_RasA4', NULL, 'C2B_RasA1_RasA4', NULL, NULL, NULL, 1),
(4241, NULL, 'cd08998', NULL, NULL, 'GH43_Arb43a-like', NULL, 'GH43_Arb43a-like', NULL, NULL, NULL, 1),
(4242, NULL, 'cd01265', NULL, NULL, 'PH_TBC1D2A', NULL, 'PH_TBC1D2A', NULL, NULL, NULL, 1),
(4243, NULL, 'cd18653', NULL, NULL, 'CD_HP1a_insect', NULL, 'CD_HP1a_insect', NULL, NULL, NULL, 1),
(4244, NULL, 'cd09668', NULL, NULL, 'Csx1_III-U', NULL, 'Csx1_III-U', NULL, NULL, NULL, 1),
(4245, NULL, 'cd11929', NULL, NULL, 'SH3_SH3RF2_1', NULL, 'SH3_SH3RF2_1', NULL, NULL, 35159, 1),
(4246, NULL, 'cd14662', NULL, NULL, 'STKc_SnRK2', NULL, 'STKc_SnRK2', NULL, NULL, NULL, 1),
(4247, NULL, 'cd08262', NULL, NULL, 'Zn_ADH8', NULL, 'Zn_ADH8', NULL, NULL, NULL, 1),
(4248, NULL, 'cd07091', NULL, NULL, 'ALDH_F1-2_Ald2-like', NULL, 'ALDH_F1-2_Ald2-like', NULL, NULL, NULL, 1),
(4249, NULL, 'cd18028', NULL, NULL, 'DEXHc_archSki2', NULL, 'DEXHc_archSki2', NULL, NULL, NULL, 1),
(4250, NULL, 'cd12107', NULL, NULL, 'Hemerythrin', NULL, 'Hemerythrin', NULL, NULL, 12872, 1),
(4251, NULL, 'cd00008', NULL, NULL, 'PIN_53EXO-like', NULL, 'PIN_53EXO-like', NULL, NULL, NULL, 1),
(4252, NULL, 'cd01150', NULL, NULL, 'AXO', NULL, 'AXO', NULL, NULL, 13968, 1),
(4253, NULL, 'cd01676', NULL, NULL, 'RNR_II_monomer', NULL, 'RNR_II_monomer', NULL, NULL, NULL, 1),
(4254, NULL, 'cd04170', NULL, NULL, 'EF-G_bact', NULL, 'EF-G_bact', NULL, NULL, NULL, 1),
(4255, NULL, 'cd19370', NULL, NULL, 'TenA_PqqC', NULL, 'TenA_PqqC', NULL, NULL, NULL, 1),
(4256, NULL, 'cd12054', NULL, NULL, 'SH3_CD2AP_2', NULL, 'SH3_CD2AP_2', NULL, NULL, 34022, 1),
(4257, NULL, 'cd16157', NULL, NULL, 'GALNS', NULL, 'GALNS', NULL, NULL, 36479, 1),
(4258, NULL, 'cd16843', NULL, NULL, 'Ig_LILR_KIR_like', NULL, 'Ig_LILR_KIR_like', NULL, NULL, NULL, 1),
(4259, NULL, 'cd09864', NULL, NULL, 'PIN_Fcf1-like', NULL, 'PIN_Fcf1-like', NULL, NULL, 30823, 1),
(4260, NULL, 'cd17787', NULL, NULL, 'CBS_pair_ACT', NULL, 'CBS_pair_ACT', NULL, NULL, NULL, 1),
(4261, NULL, 'cd05528', NULL, NULL, 'Bromo_AAA', NULL, 'Bromo_AAA', NULL, NULL, NULL, 1),
(4262, NULL, 'cd18954', NULL, NULL, 'bHLH_TS_bHLHe22_bHLHb5', NULL, 'bHLH_TS_bHLHe22_bHLHb5', NULL, NULL, NULL, 1),
(4263, NULL, 'cd06147', NULL, NULL, 'Rrp6p_like_exo', NULL, 'Rrp6p_like_exo', NULL, NULL, NULL, 1),
(4264, NULL, 'cd07896', NULL, NULL, 'Adenylation_kDNA_ligase_like', NULL, 'Adenylation_kDNA_ligase_like', NULL, NULL, NULL, 1),
(4265, NULL, 'cd08271', NULL, NULL, 'MDR5', NULL, 'MDR5', NULL, NULL, NULL, 1),
(4266, NULL, 'cd16892', NULL, NULL, 'LT_VirB1-like', NULL, 'LT_VirB1-like', NULL, NULL, NULL, 1),
(4267, NULL, 'cd09083', NULL, NULL, 'EEP-1', NULL, 'EEP-1', NULL, NULL, NULL, 1),
(4268, NULL, 'cd01305', NULL, NULL, 'archeal_chlorohydrolases', NULL, 'archeal_chlorohydrolases', NULL, NULL, NULL, 1),
(4269, NULL, 'cd00534', NULL, NULL, 'DHNA_DHNTPE', NULL, 'DHNA_DHNTPE', NULL, NULL, 10124, 1),
(4270, NULL, 'cd14481', NULL, NULL, 'SPX_AtSPX1_like', NULL, 'SPX_AtSPX1_like', NULL, NULL, NULL, 1),
(4271, NULL, 'cd15987', NULL, NULL, '7tmB1_PACAP-R1', NULL, '7tmB1_PACAP-R1', NULL, NULL, NULL, 1),
(4272, NULL, 'cd15046', NULL, NULL, '7tmC_TAS1R', NULL, '7tmC_TAS1R', NULL, NULL, NULL, 1),
(4273, NULL, 'cd10393', NULL, NULL, 'SH2_RIN1', NULL, 'SH2_RIN1', NULL, NULL, 34018, 1),
(4274, NULL, 'cd17934', NULL, NULL, 'DEXXQc_Upf1-like', NULL, 'DEXXQc_Upf1-like', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4275, NULL, 'cd15227', NULL, NULL, '7tmA_OR14-like', NULL, '7tmA_OR14-like', NULL, NULL, NULL, 1),
(4276, NULL, 'cd19569', NULL, NULL, 'serpinB10_bomapin', NULL, 'serpinB10_bomapin', NULL, NULL, NULL, 1),
(4277, NULL, 'cd08277', NULL, NULL, 'liver_alcohol_DH_like', NULL, 'liver_alcohol_DH_like', NULL, NULL, NULL, 1),
(4278, NULL, 'cd04981', NULL, NULL, 'IgV_H', NULL, 'IgV_H', NULL, NULL, NULL, 1),
(4279, NULL, 'cd06658', NULL, NULL, 'STKc_PAK5', NULL, 'STKc_PAK5', NULL, NULL, NULL, 1),
(4280, NULL, 'cd05331', NULL, NULL, 'DH-DHB-DH_SDR_c', NULL, 'DH-DHB-DH_SDR_c', NULL, NULL, 350, 1),
(4281, NULL, 'cd13668', NULL, NULL, 'PBP2_TRAP_UehA_TeaA', NULL, 'PBP2_TRAP_UehA_TeaA', NULL, NULL, NULL, 1),
(4282, NULL, 'cd07675', NULL, NULL, 'F-BAR_FNBP1L', NULL, 'F-BAR_FNBP1L', NULL, NULL, 16709, 1),
(4283, NULL, 'cd14999', NULL, NULL, '7tmA_UII-R', NULL, '7tmA_UII-R', NULL, NULL, NULL, 1),
(4284, NULL, 'cd09149', NULL, NULL, 'PLDc_vPLD5_2', NULL, 'PLDc_vPLD5_2', NULL, NULL, NULL, 1),
(4285, NULL, 'cd01201', NULL, NULL, 'PH_BEACH', NULL, 'PH_BEACH', NULL, NULL, 19535, 1),
(4286, NULL, 'cd01243', NULL, NULL, 'PH_MRCK', NULL, 'PH_MRCK', NULL, NULL, NULL, 1),
(4287, NULL, 'cd09182', NULL, NULL, 'PLDc_FAM83B_N', NULL, 'PLDc_FAM83B_N', NULL, NULL, NULL, 1),
(4288, NULL, 'cd18746', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(4289, NULL, 'cd19166', NULL, NULL, 'HemeO-bac', NULL, 'HemeO-bac', NULL, NULL, NULL, 1),
(4290, NULL, 'cd18656', NULL, NULL, 'CSD_HP1gamma_Cbx3', NULL, 'CSD_HP1gamma_Cbx3', NULL, NULL, NULL, 1),
(4291, NULL, 'cd16784', NULL, NULL, 'mRING-HC-C2H2C4_MDM4', NULL, 'mRING-HC-C2H2C4_MDM4', NULL, NULL, NULL, 1),
(4292, NULL, 'cd12735', NULL, NULL, 'RRM3_hnRNPH3', NULL, 'RRM3_hnRNPH3', NULL, NULL, 29184, 1),
(4293, NULL, 'cd19427', NULL, NULL, 'lipocalin_OBP-like', NULL, 'lipocalin_OBP-like', NULL, NULL, NULL, 1),
(4294, NULL, 'cd01156', NULL, NULL, 'IVD', NULL, 'IVD', NULL, NULL, 27683, 1),
(4295, NULL, 'cd04890', NULL, NULL, 'ACT_AK-like_1', NULL, 'ACT_AK-like_1', NULL, NULL, NULL, 1),
(4296, NULL, 'cd07545', NULL, NULL, 'P-type_ATPase_Cd-like', NULL, 'P-type_ATPase_Cd-like', NULL, NULL, NULL, 1),
(4297, NULL, 'cd11791', NULL, NULL, 'SH3_UBASH3', NULL, 'SH3_UBASH3', NULL, NULL, NULL, 1),
(4298, NULL, 'cd15902', NULL, NULL, 'EFh_HEF', NULL, 'EFh_HEF', NULL, NULL, NULL, 1),
(4299, NULL, 'cd03896', NULL, NULL, 'M20_PAAh_like', NULL, 'M20_PAAh_like', NULL, NULL, NULL, 1),
(4300, NULL, 'cd04374', NULL, NULL, 'RhoGAP_Graf', NULL, 'RhoGAP_Graf', NULL, NULL, NULL, 1),
(4301, NULL, 'cd19715', NULL, NULL, 'bHLH_TS_amos_like', NULL, 'bHLH_TS_amos_like', NULL, NULL, NULL, 1),
(4302, NULL, 'cd04139', NULL, NULL, 'RalA_RalB', NULL, 'RalA_RalB', NULL, NULL, NULL, 1),
(4303, NULL, 'cd09216', NULL, NULL, 'GH64-LPHase-like', NULL, 'GH64-LPHase-like', NULL, NULL, NULL, 1),
(4304, NULL, 'cd09479', NULL, NULL, 'LIM1_CRP1', NULL, 'LIM1_CRP1', NULL, NULL, NULL, 1),
(4305, NULL, 'cd05612', NULL, NULL, 'STKc_PRKX_like', NULL, 'STKc_PRKX_like', NULL, NULL, NULL, 1),
(4306, NULL, 'cd12728', NULL, NULL, 'RRM_like_Smg4_UPF3B', NULL, 'RRM_like_Smg4_UPF3B', NULL, NULL, 33538, 1),
(4307, NULL, 'cd13833', NULL, NULL, 'HU_IHF_like', NULL, 'HU_IHF_like', NULL, NULL, NULL, 1),
(4308, NULL, 'cd17760', NULL, NULL, 'MCM9', NULL, 'MCM9', NULL, NULL, NULL, 1),
(4309, NULL, 'cd19906', NULL, NULL, 'DSRM_ADAD2', NULL, 'DSRM_ADAD2', NULL, NULL, 37905, 1),
(4310, NULL, 'cd05517', NULL, NULL, 'Bromo_polybromo_II', NULL, 'Bromo_polybromo_II', NULL, NULL, NULL, 1),
(4311, NULL, 'cd09651', NULL, NULL, 'Cas5_I-C', NULL, 'Cas5_I-C', NULL, NULL, NULL, 1),
(4312, NULL, 'cd11892', NULL, NULL, 'SH3_MIA2', NULL, 'SH3_MIA2', NULL, NULL, 36005, 1),
(4313, NULL, 'cd06098', NULL, NULL, 'phytepsin', NULL, 'phytepsin', NULL, NULL, 29739, 1),
(4314, NULL, 'cd08516', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_11', NULL, 'PBP2_NikA_DppA_OppA_like_11', NULL, NULL, NULL, 1),
(4315, NULL, 'cd12173', NULL, NULL, 'PGDH_4', NULL, 'PGDH_4', NULL, NULL, NULL, 1),
(4316, NULL, 'cd14588', NULL, NULL, 'PTP-MTMR5', NULL, 'PTP-MTMR5', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4317, NULL, 'cd14904', NULL, NULL, 'MYSc_Myo43', NULL, 'MYSc_Myo43', NULL, NULL, NULL, 1),
(4318, NULL, 'cd14966', NULL, NULL, '7tmD_STE3', NULL, '7tmD_STE3', NULL, NULL, NULL, 1),
(4319, NULL, 'cd15238', NULL, NULL, '7tm_ARII-like', NULL, '7tm_ARII-like', NULL, NULL, NULL, 1),
(4320, NULL, 'cd13254', NULL, NULL, 'PH2_ARAP', NULL, 'PH2_ARAP', NULL, NULL, NULL, 1),
(4321, NULL, 'cd13145', NULL, NULL, 'MATE_like_5', NULL, 'MATE_like_5', NULL, NULL, NULL, 1),
(4322, NULL, 'cd05934', NULL, NULL, 'FACL_DitJ_like', NULL, 'FACL_DitJ_like', NULL, NULL, NULL, 1),
(4323, NULL, 'cd19988', NULL, NULL, 'PBP1_ABC_HAAT-like', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, NULL, 1),
(4324, NULL, 'cd12225', NULL, NULL, 'RRM1_2_CID8_like', NULL, 'RRM1_2_CID8_like', NULL, NULL, NULL, 1),
(4325, NULL, 'cd14004', NULL, NULL, 'STKc_PASK', NULL, 'STKc_PASK', NULL, NULL, NULL, 1),
(4326, NULL, 'cd02691', NULL, NULL, 'PurM-like2', NULL, 'PurM-like2', NULL, NULL, 9523, 1),
(4327, NULL, 'cd19426', NULL, NULL, 'lipocalin_6', NULL, 'lipocalin_6', NULL, NULL, NULL, 1),
(4328, NULL, 'cd14499', NULL, NULL, 'CDC14_C', NULL, 'CDC14_C', NULL, NULL, 38881, 1),
(4329, NULL, 'cd01339', NULL, NULL, 'LDH-like_MDH', NULL, 'LDH-like_MDH', NULL, NULL, 10399, 1),
(4330, NULL, 'cd03310', NULL, NULL, 'CIMS_like', NULL, 'CIMS_like', NULL, NULL, NULL, 1),
(4331, NULL, 'cd18342', NULL, NULL, 'BTB_POZ_SPOP', NULL, 'BTB_POZ_SPOP', NULL, NULL, NULL, 1),
(4332, NULL, 'cd09841', NULL, NULL, 'LIM1_Prickle_3', NULL, 'LIM1_Prickle_3', NULL, NULL, NULL, 1),
(4333, NULL, 'cd14863', NULL, NULL, 'Fe-ADH-like', NULL, 'Fe-ADH-like', NULL, NULL, NULL, 1),
(4334, NULL, 'cd18646', NULL, NULL, 'CD_Cbx7', NULL, 'CD_Cbx7', NULL, NULL, NULL, 1),
(4335, NULL, 'cd06162', NULL, NULL, 'S2P-M50_PDZ_SREBP', NULL, 'S2P-M50_PDZ_SREBP', NULL, NULL, NULL, 1),
(4336, NULL, 'cd12379', NULL, NULL, 'RRM2_I_PABPs', NULL, 'RRM2_I_PABPs', NULL, NULL, 39608, 1),
(4337, NULL, 'cd02140', NULL, NULL, 'Frm2-like', NULL, 'Frm2-like', NULL, NULL, 33344, 1),
(4338, NULL, 'cd00136', NULL, NULL, 'PDZ', NULL, 'PDZ', NULL, NULL, NULL, 1),
(4339, NULL, 'cd08993', NULL, NULL, 'GH130', NULL, 'GH130', NULL, NULL, NULL, 1),
(4340, NULL, 'cd11654', NULL, NULL, 'TRF2_RBM', NULL, 'TRF2_RBM', NULL, NULL, 22555, 1),
(4341, NULL, 'cd13365', NULL, NULL, 'PH_PLC_plant-like', NULL, 'PH_PLC_plant-like', NULL, NULL, NULL, 1),
(4342, NULL, 'cd12874', NULL, NULL, 'SPRY_PRY', NULL, 'SPRY_PRY', NULL, NULL, NULL, 1),
(4343, NULL, 'cd12169', NULL, NULL, 'PGDH_like_1', NULL, 'PGDH_like_1', NULL, NULL, NULL, 1),
(4344, NULL, 'cd05833', NULL, NULL, 'Ribosomal_P2', NULL, 'Ribosomal_P2', NULL, NULL, 37731, 1),
(4345, NULL, 'cd11979', NULL, NULL, 'SH3_VAV1_1', NULL, 'SH3_VAV1_1', NULL, NULL, 30085, 1),
(4346, NULL, 'cd13195', NULL, NULL, 'FERM_C_MYLIP_IDOL', NULL, 'FERM_C_MYLIP_IDOL', NULL, NULL, 32715, 1),
(4347, NULL, 'cd15910', NULL, NULL, '7tmF_FZD3_FZD6-like', NULL, '7tmF_FZD3_FZD6-like', NULL, NULL, NULL, 1),
(4348, NULL, 'cd09948', NULL, NULL, 'Ebola_RSV-like_HR1-HR2', NULL, 'Ebola_RSV-like_HR1-HR2', NULL, NULL, NULL, 1),
(4349, NULL, 'cd07962', NULL, NULL, 'Anticodon_Ia_Val', NULL, 'Anticodon_Ia_Val', NULL, NULL, 34054, 1),
(4350, NULL, 'cd09120', NULL, NULL, 'PLDc_DNaseII_1', NULL, 'PLDc_DNaseII_1', NULL, NULL, NULL, 1),
(4351, NULL, 'cd01637', NULL, NULL, 'IMPase_like', NULL, 'IMPase_like', NULL, NULL, NULL, 1),
(4352, NULL, 'cd03501', NULL, NULL, 'SQR_TypeA_SdhC_like', NULL, 'SQR_TypeA_SdhC_like', NULL, NULL, NULL, 1),
(4353, NULL, 'cd05334', NULL, NULL, 'DHPR_SDR_c_like', NULL, 'DHPR_SDR_c_like', NULL, NULL, NULL, 1),
(4354, NULL, 'cd04750', NULL, NULL, 'Commd2', NULL, 'Commd2', NULL, NULL, 31345, 1),
(4355, NULL, 'cd06633', NULL, NULL, 'STKc_TAO3', NULL, 'STKc_TAO3', NULL, NULL, NULL, 1),
(4356, NULL, 'cd06254', NULL, NULL, 'M14_ASTE_ASPA-like', NULL, 'M14_ASTE_ASPA-like', NULL, NULL, NULL, 1),
(4357, NULL, 'cd07408', NULL, NULL, 'MPP_SA0022_N', NULL, 'MPP_SA0022_N', NULL, NULL, 32785, 1),
(4358, NULL, 'cd12120', NULL, NULL, 'AMPKA_C_like', NULL, 'AMPKA_C_like', NULL, NULL, NULL, 1),
(4359, NULL, 'cd17950', NULL, NULL, 'DEADc_DDX39', NULL, 'DEADc_DDX39', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4360, NULL, 'cd02554', NULL, NULL, 'PseudoU_synth_RluF', NULL, 'PseudoU_synth_RluF', NULL, NULL, NULL, 1),
(4361, NULL, 'cd13641', NULL, NULL, 'PBP2_HisX_like', NULL, 'PBP2_HisX_like', NULL, NULL, NULL, 1),
(4362, NULL, 'cd06559', NULL, NULL, 'Endonuclease_V', NULL, 'Endonuclease_V', NULL, NULL, 1973, 1),
(4363, NULL, 'cd16680', NULL, NULL, 'RING-H2_RNF44', NULL, 'RING-H2_RNF44', NULL, NULL, NULL, 1),
(4364, NULL, 'cd17080', NULL, NULL, 'Ubl_SLD2_Esc2_like', NULL, 'Ubl_SLD2_Esc2_like', NULL, NULL, NULL, 1),
(4365, NULL, 'cd21666', NULL, NULL, 'betaCoV_Nsp5_Mpro', NULL, 'betaCoV_Nsp5_Mpro', NULL, NULL, 12131, 1),
(4366, NULL, 'cd18583', NULL, NULL, 'ABC_6TM_HMT1', NULL, 'ABC_6TM_HMT1', NULL, NULL, NULL, 1),
(4367, NULL, 'cd06981', NULL, NULL, 'cupin_reut_a1446', NULL, 'cupin_reut_a1446', NULL, NULL, NULL, 1),
(4368, NULL, 'cd13443', NULL, NULL, 'CDI_inhibitor_Bp1026b_like', NULL, 'CDI_inhibitor_Bp1026b_like', NULL, NULL, 31540, 1),
(4369, NULL, 'cd16303', NULL, NULL, 'VIM_type_MBL-B1', NULL, 'VIM_type_MBL-B1', NULL, NULL, NULL, 1),
(4370, NULL, 'cd00264', NULL, NULL, 'BPI', NULL, 'BPI', NULL, NULL, NULL, 1),
(4371, NULL, 'cd18046', NULL, NULL, 'DEADc_EIF4AII_EIF4AI_DDX2', NULL, 'DEADc_EIF4AII_EIF4AI_DDX2', NULL, NULL, 39245, 1),
(4372, NULL, 'cd04264', NULL, NULL, 'DUF619-NAGS', NULL, 'DUF619-NAGS', NULL, NULL, NULL, 1),
(4373, NULL, 'cd15772', NULL, NULL, 'FYVE2_BSN_PCLO', NULL, 'FYVE2_BSN_PCLO', NULL, NULL, NULL, 1),
(4374, NULL, 'cd08789', NULL, NULL, 'CARD_IPS-1_RIG-I', NULL, 'CARD_IPS-1_RIG-I', NULL, NULL, NULL, 1),
(4375, NULL, 'cd19361', NULL, NULL, 'TenA_C_HP1287-like', NULL, 'TenA_C_HP1287-like', NULL, NULL, NULL, 1),
(4376, NULL, 'cd18949', NULL, NULL, 'bHLH-PAS_NCoA3_SRC3', NULL, 'bHLH-PAS_NCoA3_SRC3', NULL, NULL, NULL, 1),
(4377, NULL, 'cd12254', NULL, NULL, 'RRM_hnRNPH_ESRPs_RBM12_like', NULL, 'RRM_hnRNPH_ESRPs_RBM12_like', NULL, NULL, NULL, 1),
(4378, NULL, 'cd11345', NULL, NULL, 'AmyAc_SLC3A2', NULL, 'AmyAc_SLC3A2', NULL, NULL, NULL, 1),
(4379, NULL, 'cd03015', NULL, NULL, 'PRX_Typ2cys', NULL, 'PRX_Typ2cys', NULL, NULL, NULL, 1),
(4380, NULL, 'cd20295', NULL, NULL, 'cupin_Pac13-like', NULL, 'cupin_Pac13-like', NULL, NULL, NULL, 1),
(4381, NULL, 'cd12694', NULL, NULL, 'RRM2_hnRNPL_like', NULL, 'RRM2_hnRNPL_like', NULL, NULL, NULL, 1),
(4382, NULL, 'cd09369', NULL, NULL, 'LIM1_Lhx2_Lhx9', NULL, 'LIM1_Lhx2_Lhx9', NULL, NULL, NULL, 1),
(4383, NULL, 'cd09110', NULL, NULL, 'PLDc_CLS_1', NULL, 'PLDc_CLS_1', NULL, NULL, NULL, 1),
(4384, NULL, 'cd04050', NULL, NULL, 'C2B_Synaptotagmin-like', NULL, 'C2B_Synaptotagmin-like', NULL, NULL, 34492, 1),
(4385, NULL, 'cd14181', NULL, NULL, 'STKc_PhKG2', NULL, 'STKc_PhKG2', NULL, NULL, NULL, 1),
(4386, NULL, 'cd17561', NULL, NULL, 'REC_Spo0A', NULL, 'REC_Spo0A', NULL, NULL, NULL, 1),
(4387, NULL, 'cd18621', NULL, NULL, 'GH32_XdINV-like', NULL, 'GH32_XdINV-like', NULL, NULL, NULL, 1),
(4388, NULL, 'cd02169', NULL, NULL, 'Citrate_lyase_ligase', NULL, 'Citrate_lyase_ligase', NULL, NULL, 10545, 1),
(4389, NULL, 'cd05496', NULL, NULL, 'Bromo_WDR9_II', NULL, 'Bromo_WDR9_II', NULL, NULL, NULL, 1),
(4390, NULL, 'cd09140', NULL, NULL, 'PLDc_vPLD1_2_like_bac_1', NULL, 'PLDc_vPLD1_2_like_bac_1', NULL, NULL, NULL, 1),
(4391, NULL, 'cd18367', NULL, NULL, 'BTB_POZ_KCTD8-like', NULL, 'BTB_POZ_KCTD8-like', NULL, NULL, NULL, 1),
(4392, NULL, 'cd05274', NULL, NULL, 'KR_FAS_SDR_x', NULL, 'KR_FAS_SDR_x', NULL, NULL, NULL, 1),
(4393, NULL, 'cd18365', NULL, NULL, 'BTB_POZ_KCTD6_like', NULL, 'BTB_POZ_KCTD6_like', NULL, NULL, NULL, 1),
(4394, NULL, 'cd08857', NULL, NULL, 'ArfGap_AGFG1', NULL, 'ArfGap_AGFG1', NULL, NULL, NULL, 1),
(4395, NULL, 'cd04764', NULL, NULL, 'HTH_MlrA-like_sg1', NULL, 'HTH_MlrA-like_sg1', NULL, NULL, NULL, 1),
(4396, NULL, 'cd19764', NULL, NULL, 'Bbox2_TRIM9-like', NULL, 'Bbox2_TRIM9-like', NULL, NULL, NULL, 1),
(4397, NULL, 'cd01568', NULL, NULL, 'QPRTase_NadC', NULL, 'QPRTase_NadC', NULL, NULL, NULL, 1),
(4398, NULL, 'cd18354', NULL, NULL, 'BTB_POZ_RCBTB2_CHC1L', NULL, 'BTB_POZ_RCBTB2_CHC1L', NULL, NULL, NULL, 1),
(4399, NULL, 'cd14281', NULL, NULL, 'UBA2_Rad23_like', NULL, 'UBA2_Rad23_like', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4400, NULL, 'cd19465', NULL, NULL, 'CRBP4', NULL, 'CRBP4', NULL, NULL, NULL, 1),
(4401, NULL, 'cd03266', NULL, NULL, 'ABC_NatA_sodium_exporter', NULL, 'ABC_NatA_sodium_exporter', NULL, NULL, NULL, 1),
(4402, NULL, 'cd16979', NULL, NULL, 'VHS_Vps27', NULL, 'VHS_Vps27', NULL, NULL, NULL, 1),
(4403, NULL, 'cd01248', NULL, NULL, 'PH_PLC_ELMO1', NULL, 'PH_PLC_ELMO1', NULL, NULL, NULL, 1),
(4404, NULL, 'cd17712', NULL, NULL, 'BRCT_PAXIP1_rpt5', NULL, 'BRCT_PAXIP1_rpt5', NULL, NULL, NULL, 1),
(4405, NULL, 'cd09675', NULL, NULL, 'Csy1_I-F', NULL, 'Csy1_I-F', NULL, NULL, NULL, 1),
(4406, NULL, 'cd19343', NULL, NULL, 'Wnt_Wnt11', NULL, 'Wnt_Wnt11', NULL, NULL, NULL, 1),
(4407, NULL, 'cd03760', NULL, NULL, 'proteasome_beta_type_4', NULL, 'proteasome_beta_type_4', NULL, NULL, 19979, 1),
(4408, NULL, 'cd05241', NULL, NULL, '3b-HSD-like_SDR_e', NULL, '3b-HSD-like_SDR_e', NULL, NULL, NULL, 1),
(4409, NULL, 'cd04972', NULL, NULL, 'Ig_TrkABC_d4', NULL, 'Ig_TrkABC_d4', NULL, NULL, NULL, 1),
(4410, NULL, 'cd01885', NULL, NULL, 'EF2', NULL, 'EF2', NULL, NULL, NULL, 1),
(4411, NULL, 'cd13631', NULL, NULL, 'PBP2_Ct-PDT_like', NULL, 'PBP2_Ct-PDT_like', NULL, NULL, NULL, 1),
(4412, NULL, 'cd00071', NULL, NULL, 'GMPK', NULL, 'GMPK', NULL, NULL, NULL, 1),
(4413, NULL, 'cd08859', NULL, NULL, 'ArfGap_SMAP2', NULL, 'ArfGap_SMAP2', NULL, NULL, NULL, 1),
(4414, NULL, 'cd06309', NULL, NULL, 'PBP1_galactofuranose_YtfQ-like', NULL, 'PBP1_galactofuranose_YtfQ-like', NULL, NULL, NULL, 1),
(4415, NULL, 'cd14398', NULL, NULL, 'UBA_LATS2', NULL, 'UBA_LATS2', NULL, NULL, NULL, 1),
(4416, NULL, 'cd06169', NULL, NULL, 'BMC', NULL, 'BMC', NULL, NULL, NULL, 1),
(4417, NULL, 'cd09575', NULL, NULL, 'SAM_DGK-delta', NULL, 'SAM_DGK-delta', NULL, NULL, 33351, 1),
(4418, NULL, 'cd16442', NULL, NULL, 'BPL', NULL, 'BPL', NULL, NULL, 5929, 1),
(4419, NULL, 'cd13585', NULL, NULL, 'PBP2_TMBP_like', NULL, 'PBP2_TMBP_like', NULL, NULL, NULL, 1),
(4420, NULL, 'cd01407', NULL, NULL, 'SIR2-fam', NULL, 'SIR2-fam', NULL, NULL, NULL, 1),
(4421, NULL, 'cd18111', NULL, NULL, 'ATP-synt_V_A-type_alpha_C', NULL, 'ATP-synt_V_A-type_alpha_C', NULL, NULL, NULL, 1),
(4422, NULL, 'cd00773', NULL, NULL, 'HisRS-like_core', NULL, 'HisRS-like_core', NULL, NULL, 32994, 1),
(4423, NULL, 'cd13153', NULL, NULL, 'KOW_GPKOW_B', NULL, 'KOW_GPKOW_B', NULL, NULL, 32930, 1),
(4424, NULL, 'cd05005', NULL, NULL, 'SIS_PHI', NULL, 'SIS_PHI', NULL, NULL, 15340, 1),
(4425, NULL, 'cd00919', NULL, NULL, 'Heme_Cu_Oxidase_I', NULL, 'Heme_Cu_Oxidase_I', NULL, NULL, NULL, 1),
(4426, NULL, 'cd13697', NULL, NULL, 'PBP2_ArtJ_like', NULL, 'PBP2_ArtJ_like', NULL, NULL, NULL, 1),
(4427, NULL, 'cd14833', NULL, NULL, 'AP2_sigma', NULL, 'AP2_sigma', NULL, NULL, 28930, 1),
(4428, NULL, 'cd13722', NULL, NULL, 'PBP2_iGluR_Kainate_GluR5', NULL, 'PBP2_iGluR_Kainate_GluR5', NULL, NULL, NULL, 1),
(4429, NULL, 'cd18634', NULL, NULL, 'CD_CDY', NULL, 'CD_CDY', NULL, NULL, NULL, 1),
(4430, NULL, 'cd06372', NULL, NULL, 'PBP1_GC_G-like', NULL, 'PBP1_GC_G-like', NULL, NULL, NULL, 1),
(4431, NULL, 'cd10796', NULL, NULL, 'GH57N_APU', NULL, 'GH57N_APU', NULL, NULL, NULL, 1),
(4432, NULL, 'cd08357', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(4433, NULL, 'cd09456', NULL, NULL, 'LIM2_Enigma', NULL, 'LIM2_Enigma', NULL, NULL, NULL, 1),
(4434, NULL, 'cd04756', NULL, NULL, 'Commd8', NULL, 'Commd8', NULL, NULL, NULL, 1),
(4435, NULL, 'cd13753', NULL, NULL, 'TGF_beta_TGFbeta1_2_3', NULL, 'TGF_beta_TGFbeta1_2_3', NULL, NULL, NULL, 1),
(4436, NULL, 'cd08905', NULL, NULL, 'START_STARD1-like', NULL, 'START_STARD1-like', NULL, NULL, 22766, 1),
(4437, NULL, 'cd00819', NULL, NULL, 'PEPCK_GTP', NULL, 'PEPCK_GTP', NULL, NULL, 7013, 1),
(4438, NULL, 'cd05881', NULL, NULL, 'Ig1_Necl-2', NULL, 'Ig1_Necl-2', NULL, NULL, NULL, 1),
(4439, NULL, 'cd19687', NULL, NULL, 'bHLHzip_Mlx', NULL, 'bHLHzip_Mlx', NULL, NULL, NULL, 1),
(4440, NULL, 'cd18349', NULL, NULL, 'BTB_POZ_BTBD6', NULL, 'BTB_POZ_BTBD6', NULL, NULL, NULL, 1),
(4441, NULL, 'cd00840', NULL, NULL, 'MPP_Mre11_N', NULL, 'MPP_Mre11_N', NULL, NULL, 32721, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4442, NULL, 'cd11925', NULL, NULL, 'SH3_SH3RF3_3', NULL, 'SH3_SH3RF3_3', NULL, NULL, 30064, 1),
(4443, NULL, 'cd12888', NULL, NULL, 'SPRY_PRY_TRIM7_like', NULL, 'SPRY_PRY_TRIM7_like', NULL, NULL, NULL, 1),
(4444, NULL, 'cd14919', NULL, NULL, 'MYSc_Myh9', NULL, 'MYSc_Myh9', NULL, NULL, NULL, 1),
(4445, NULL, 'cd09449', NULL, NULL, 'LIM_Mystique', NULL, 'LIM_Mystique', NULL, NULL, NULL, 1),
(4446, NULL, 'cd18567', NULL, NULL, 'ABC_6TM_CvaB_RaxB_like', NULL, 'ABC_6TM_CvaB_RaxB_like', NULL, NULL, NULL, 1),
(4447, NULL, 'cd04864', NULL, NULL, 'LigD_Pol_like_1', NULL, 'LigD_Pol_like_1', NULL, NULL, NULL, 1),
(4448, NULL, 'cd09694', NULL, NULL, 'Csm6_III-A', NULL, 'Csm6_III-A', NULL, NULL, NULL, 1),
(4449, NULL, 'cd04930', NULL, NULL, 'ACT_TH', NULL, 'ACT_TH', NULL, NULL, NULL, 1),
(4450, NULL, 'cd08507', NULL, NULL, 'PBP2_SgrR_like', NULL, 'PBP2_SgrR_like', NULL, NULL, NULL, 1),
(4451, NULL, 'cd09813', NULL, NULL, '3b-HSD-NSDHL-like_SDR_e', NULL, '3b-HSD-NSDHL-like_SDR_e', NULL, NULL, NULL, 1),
(4452, NULL, 'cd08058', NULL, NULL, 'MPN_euk_mb', NULL, 'MPN_euk_mb', NULL, NULL, NULL, 1),
(4453, NULL, 'cd15199', NULL, NULL, '7tmA_GPR31', NULL, '7tmA_GPR31', NULL, NULL, NULL, 1),
(4454, NULL, 'cd07782', NULL, NULL, 'FGGY_YpCarbK_like', NULL, 'FGGY_YpCarbK_like', NULL, NULL, 1310, 1),
(4455, NULL, 'cd18782', NULL, NULL, 'ABC_6TM_PrtD_LapB_HlyB_like', NULL, 'ABC_6TM_PrtD_LapB_HlyB_like', NULL, NULL, NULL, 1),
(4456, NULL, 'cd12459', NULL, NULL, 'RRM1_CID8_like', NULL, 'RRM1_CID8_like', NULL, NULL, 36389, 1),
(4457, NULL, 'cd03254', NULL, NULL, 'ABCC_Glucan_exporter_like', NULL, 'ABCC_Glucan_exporter_like', NULL, NULL, NULL, 1),
(4458, NULL, 'cd17418', NULL, NULL, 'MFS_NPF8', NULL, 'MFS_NPF8', NULL, NULL, NULL, 1),
(4459, NULL, 'cd04461', NULL, NULL, 'S1_Rrp5_repeat_hs8_sc7', NULL, 'S1_Rrp5_repeat_hs8_sc7', NULL, NULL, NULL, 1),
(4460, NULL, 'cd07569', NULL, NULL, 'DCase', NULL, 'DCase', NULL, NULL, NULL, 1),
(4461, NULL, 'cd08567', NULL, NULL, 'GDPD_SpGDE_like', NULL, 'GDPD_SpGDE_like', NULL, NULL, NULL, 1),
(4462, NULL, 'cd08289', NULL, NULL, 'MDR_yhfp_like', NULL, 'MDR_yhfp_like', NULL, NULL, NULL, 1),
(4463, NULL, 'cd17485', NULL, NULL, 'MFS_MFSD3', NULL, 'MFS_MFSD3', NULL, NULL, NULL, 1),
(4464, NULL, 'cd08201', NULL, NULL, 'plant_peroxidase_like_1', NULL, 'plant_peroxidase_like_1', NULL, NULL, NULL, 1),
(4465, NULL, 'cd18399', NULL, NULL, 'BTB_POZ_KCTD10_BACURD3', NULL, 'BTB_POZ_KCTD10_BACURD3', NULL, NULL, NULL, 1),
(4466, NULL, 'cd15666', NULL, NULL, 'ePHD2_KMT2C_like', NULL, 'ePHD2_KMT2C_like', NULL, NULL, NULL, 1),
(4467, NULL, 'cd01185', NULL, NULL, 'INTN1_C_like', NULL, 'INTN1_C_like', NULL, NULL, NULL, 1),
(4468, NULL, 'cd00470', NULL, NULL, 'PTPS', NULL, 'PTPS', NULL, NULL, NULL, 1),
(4469, NULL, 'cd05226', NULL, NULL, 'SDR_e_a', NULL, 'SDR_e_a', NULL, NULL, NULL, 1),
(4470, NULL, 'cd04378', NULL, NULL, 'RhoGAP_GMIP_PARG1', NULL, 'RhoGAP_GMIP_PARG1', NULL, NULL, NULL, 1),
(4471, NULL, 'cd06477', NULL, NULL, 'ACD_HspB3_Like', NULL, 'ACD_HspB3_Like', NULL, NULL, 35430, 1),
(4472, NULL, 'cd11446', NULL, NULL, 'bHLH_AtILR3_like', NULL, 'bHLH_AtILR3_like', NULL, NULL, NULL, 1),
(4473, NULL, 'cd00082', NULL, NULL, 'HisKA', NULL, 'HisKA', NULL, NULL, 1486, 1),
(4474, NULL, 'cd13283', NULL, NULL, 'PH_GPBP', NULL, 'PH_GPBP', NULL, NULL, NULL, 1),
(4475, NULL, 'cd06532', NULL, NULL, 'Glyco_transf_25', NULL, 'Glyco_transf_25', NULL, NULL, 2966, 1),
(4476, NULL, 'cd14374', NULL, NULL, 'CUE1_Cue2p_like', NULL, 'CUE1_Cue2p_like', NULL, NULL, 33431, 1),
(4477, NULL, 'cd08884', NULL, NULL, 'RHO_alpha_C_GbcA-like', NULL, 'RHO_alpha_C_GbcA-like', NULL, NULL, NULL, 1),
(4478, NULL, 'cd14371', NULL, NULL, 'CUE_CID7_like', NULL, 'CUE_CID7_like', NULL, NULL, 33455, 1),
(4479, NULL, 'cd07382', NULL, NULL, 'MPP_DR1281', NULL, 'MPP_DR1281', NULL, NULL, NULL, 1),
(4480, NULL, 'cd14438', NULL, NULL, 'Hip_N', NULL, 'Hip_N', NULL, NULL, 5508, 1),
(4481, NULL, 'cd04618', NULL, NULL, 'CBS_euAMPK_gamma-like_repeat1', NULL, 'CBS_euAMPK_gamma-like_repeat1', NULL, NULL, NULL, 1),
(4482, NULL, 'cd01723', NULL, NULL, 'LSm4', NULL, 'LSm4', NULL, NULL, 11215, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4483, NULL, 'cd13665', NULL, NULL, 'PBP2_TRAP_Dctp3_4', NULL, 'PBP2_TRAP_Dctp3_4', NULL, NULL, NULL, 1),
(4484, NULL, 'cd10464', NULL, NULL, 'PUB_RNF31', NULL, 'PUB_RNF31', NULL, NULL, NULL, 1),
(4485, NULL, 'cd18709', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(4486, NULL, 'cd09199', NULL, NULL, 'PLDc_pPLDalpha_2', NULL, 'PLDc_pPLDalpha_2', NULL, NULL, NULL, 1),
(4487, NULL, 'cd00246', NULL, NULL, 'RabGEF', NULL, 'RabGEF', NULL, NULL, 10928, 1),
(4488, NULL, 'cd13552', NULL, NULL, 'PBP2_Fbp_like_6', NULL, 'PBP2_Fbp_like_6', NULL, NULL, NULL, 1),
(4489, NULL, 'cd14167', NULL, NULL, 'STKc_CaMKI_alpha', NULL, 'STKc_CaMKI_alpha', NULL, NULL, NULL, 1),
(4490, NULL, 'cd20236', NULL, NULL, 'PFM_SP17-like', NULL, 'PFM_SP17-like', NULL, NULL, NULL, 1),
(4491, NULL, 'cd13388', NULL, NULL, 'PH1_FGD1-4_like', NULL, 'PH1_FGD1-4_like', NULL, NULL, NULL, 1),
(4492, NULL, 'cd18237', NULL, NULL, 'BTB_POZ_KLHL7', NULL, 'BTB_POZ_KLHL7', NULL, NULL, NULL, 1),
(4493, NULL, 'cd03124', NULL, NULL, 'alpha_CA_prokaryotic_like', NULL, 'alpha_CA_prokaryotic_like', NULL, NULL, 32191, 1),
(4494, NULL, 'cd18613', NULL, NULL, 'GH130', NULL, 'GH130', NULL, NULL, NULL, 1),
(4495, NULL, 'cd18531', NULL, NULL, 'BACK_RHOBTB2', NULL, 'BACK_RHOBTB2', NULL, NULL, NULL, 1),
(4496, NULL, 'cd13986', NULL, NULL, 'STKc_16', NULL, 'STKc_16', NULL, NULL, NULL, 1),
(4497, NULL, 'cd00568', NULL, NULL, 'TPP_enzymes', NULL, 'TPP_enzymes', NULL, NULL, NULL, 1),
(4498, NULL, 'cd05643', NULL, NULL, 'M28_like', NULL, 'M28_like', NULL, NULL, NULL, 1),
(4499, NULL, 'cd14344', NULL, NULL, 'UBA_TYDP2', NULL, 'UBA_TYDP2', NULL, NULL, NULL, 1),
(4500, NULL, 'cd13284', NULL, NULL, 'PH_OSBP_ORP4', NULL, 'PH_OSBP_ORP4', NULL, NULL, NULL, 1),
(4501, NULL, 'cd03858', NULL, NULL, 'M14_CP_N-E_like', NULL, 'M14_CP_N-E_like', NULL, NULL, NULL, 1),
(4502, NULL, 'cd06946', NULL, NULL, 'NR_LBD_ERR', NULL, 'NR_LBD_ERR', NULL, NULL, NULL, 1),
(4503, NULL, 'cd12118', NULL, NULL, 'ttLC_FACS_AEE21_like', NULL, 'ttLC_FACS_AEE21_like', NULL, NULL, NULL, 1),
(4504, NULL, 'cd01895', NULL, NULL, 'EngA2', NULL, 'EngA2', NULL, NULL, NULL, 1),
(4505, NULL, 'cd07197', NULL, NULL, 'nitrilase', NULL, 'nitrilase', NULL, NULL, NULL, 1),
(4506, NULL, 'cd13865', NULL, NULL, 'CuRO_1_LCC_like_3', NULL, 'CuRO_1_LCC_like_3', NULL, NULL, NULL, 1),
(4507, NULL, 'cd05578', NULL, NULL, 'STKc_Yank1', NULL, 'STKc_Yank1', NULL, NULL, NULL, 1),
(4508, NULL, 'cd18559', NULL, NULL, 'ABC_6TM_ABCC', NULL, 'ABC_6TM_ABCC', NULL, NULL, NULL, 1),
(4509, NULL, 'cd16484', NULL, NULL, 'RING-H2_Vps', NULL, 'RING-H2_Vps', NULL, NULL, NULL, 1),
(4510, NULL, 'cd06550', NULL, NULL, 'TM_ABC_iron-siderophores_like', NULL, 'TM_ABC_iron-siderophores_like', NULL, NULL, NULL, 1),
(4511, NULL, 'cd14139', NULL, NULL, 'PTKc_Wee1b', NULL, 'PTKc_Wee1b', NULL, NULL, NULL, 1),
(4512, NULL, 'cd07715', NULL, NULL, 'TaR3-like_MBL-fold', NULL, 'TaR3-like_MBL-fold', NULL, NULL, NULL, 1),
(4513, NULL, 'cd14191', NULL, NULL, 'STKc_MLCK1', NULL, 'STKc_MLCK1', NULL, NULL, 11805, 1),
(4514, NULL, 'cd05176', NULL, NULL, 'PI3Kc_C2_alpha', NULL, 'PI3Kc_C2_alpha', NULL, NULL, 33629, 1),
(4515, NULL, 'cd11441', NULL, NULL, 'bHLH-PAS_CLOCK_like', NULL, 'bHLH-PAS_CLOCK_like', NULL, NULL, NULL, 1),
(4516, NULL, 'cd04201', NULL, NULL, 'CuRO_1_CuNIR_like', NULL, 'CuRO_1_CuNIR_like', NULL, NULL, NULL, 1),
(4517, NULL, 'cd16570', NULL, NULL, 'RING-HC_SH3RFs', NULL, 'RING-HC_SH3RFs', NULL, NULL, NULL, 1),
(4518, NULL, 'cd09482', NULL, NULL, 'LIM2_CRP3', NULL, 'LIM2_CRP3', NULL, NULL, NULL, 1),
(4519, NULL, 'cd08953', NULL, NULL, 'KR_2_SDR_x', NULL, 'KR_2_SDR_x', NULL, NULL, NULL, 1),
(4520, NULL, 'cd10915', NULL, NULL, 'Peptidase_C25_N_2', NULL, 'Peptidase_C25_N_2', NULL, NULL, NULL, 1),
(4521, NULL, 'cd12652', NULL, NULL, 'RRM2_Hu', NULL, 'RRM2_Hu', NULL, NULL, NULL, 1),
(4522, NULL, 'cd07452', NULL, NULL, 'CRD_sizzled', NULL, 'CRD_sizzled', NULL, NULL, 32611, 1),
(4523, NULL, 'cd02541', NULL, NULL, 'UGPase_prokaryotic', NULL, 'UGPase_prokaryotic', NULL, NULL, 4857, 1),
(4524, NULL, 'cd17057', NULL, NULL, 'Ubl_TMUB1_like', NULL, 'Ubl_TMUB1_like', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4525, NULL, 'cd19005', NULL, NULL, 'LGIC_ECD_GABAAR_rho', NULL, 'LGIC_ECD_GABAAR_rho', NULL, NULL, NULL, 1),
(4526, NULL, 'cd08940', NULL, NULL, 'HBDH_SDR_c', NULL, 'HBDH_SDR_c', NULL, NULL, NULL, 1),
(4527, NULL, 'cd06883', NULL, NULL, 'PX_PI3K_C2', NULL, 'PX_PI3K_C2', NULL, NULL, NULL, 1),
(4528, NULL, 'cd08568', NULL, NULL, 'GDPD_TmGDE_like', NULL, 'GDPD_TmGDE_like', NULL, NULL, NULL, 1),
(4529, NULL, 'cd19106', NULL, NULL, 'AKR_AKR1A1-4', NULL, 'AKR_AKR1A1-4', NULL, NULL, 36675, 1),
(4530, NULL, 'cd08460', NULL, NULL, 'PBP2_DntR_like_1', NULL, 'PBP2_DntR_like_1', NULL, NULL, NULL, 1),
(4531, NULL, 'cd12668', NULL, NULL, 'RRM3_RAVER2', NULL, 'RRM3_RAVER2', NULL, NULL, NULL, 1),
(4532, NULL, 'cd11493', NULL, NULL, 'SLC5sbd_NIS-like_u1', NULL, 'SLC5sbd_NIS-like_u1', NULL, NULL, NULL, 1),
(4533, NULL, 'cd09317', NULL, NULL, 'TDT_Mae1_like', NULL, 'TDT_Mae1_like', NULL, NULL, 24951, 1),
(4534, NULL, 'cd08969', NULL, NULL, 'MeNeil3_N', NULL, 'MeNeil3_N', NULL, NULL, NULL, 1),
(4535, NULL, 'cd12660', NULL, NULL, 'RRM2_MYEF2', NULL, 'RRM2_MYEF2', NULL, NULL, NULL, 1),
(4536, NULL, 'cd19060', NULL, NULL, 'LGIC_TM_GlyR_alpha', NULL, 'LGIC_TM_GlyR_alpha', NULL, NULL, NULL, 1),
(4537, NULL, 'cd09378', NULL, NULL, 'LIM2_Lmx1a_Lmx1b', NULL, 'LIM2_Lmx1a_Lmx1b', NULL, NULL, NULL, 1),
(4538, NULL, 'cd18190', NULL, NULL, 'BTB_POZ_ETO1-like', NULL, 'BTB_POZ_ETO1-like', NULL, NULL, NULL, 1),
(4539, NULL, 'cd04913', NULL, NULL, 'ACT_AKii-LysC-BS-like_1', NULL, 'ACT_AKii-LysC-BS-like_1', NULL, NULL, NULL, 1),
(4540, NULL, 'cd16519', NULL, NULL, 'RING-HC_MIBs', NULL, 'RING-HC_MIBs', NULL, NULL, NULL, 1),
(4541, NULL, 'cd08217', NULL, NULL, 'STKc_Nek2', NULL, 'STKc_Nek2', NULL, NULL, NULL, 1),
(4542, NULL, 'cd08904', NULL, NULL, 'START_STARD6-like', NULL, 'START_STARD6-like', NULL, NULL, NULL, 1),
(4543, NULL, 'cd05590', NULL, NULL, 'STKc_nPKC_eta', NULL, 'STKc_nPKC_eta', NULL, NULL, 32020, 1),
(4544, NULL, 'cd11644', NULL, NULL, 'Precorrin-6Y-MT', NULL, 'Precorrin-6Y-MT', NULL, NULL, 12603, 1),
(4545, NULL, 'cd14576', NULL, NULL, 'DSP_iDUSP27', NULL, 'DSP_iDUSP27', NULL, NULL, NULL, 1),
(4546, NULL, 'cd19152', NULL, NULL, 'AKR_AKR15A', NULL, 'AKR_AKR15A', NULL, NULL, NULL, 1),
(4547, NULL, 'cd01630', NULL, NULL, 'HAD_KDO-like', NULL, 'HAD_KDO-like', NULL, NULL, NULL, 1),
(4548, NULL, 'cd16120', NULL, NULL, 'UBX_UBXN3B', NULL, 'UBX_UBXN3B', NULL, NULL, NULL, 1),
(4549, NULL, 'cd02144', NULL, NULL, 'iodotyrosine_dehalogenase', NULL, 'iodotyrosine_dehalogenase', NULL, NULL, NULL, 1),
(4550, NULL, 'cd02948', NULL, NULL, 'TRX_NDPK', NULL, 'TRX_NDPK', NULL, NULL, NULL, 1),
(4551, NULL, 'cd11600', NULL, NULL, 'HDAC_Clr3', NULL, 'HDAC_Clr3', NULL, NULL, NULL, 1),
(4552, NULL, 'cd14643', NULL, NULL, 'DSP_DUSP7', NULL, 'DSP_DUSP7', NULL, NULL, NULL, 1),
(4553, NULL, 'cd03280', NULL, NULL, 'ABC_MutS2', NULL, 'ABC_MutS2', NULL, NULL, 4540, 1),
(4554, NULL, 'cd06135', NULL, NULL, 'Orn', NULL, 'Orn', NULL, NULL, 17472, 1),
(4555, NULL, 'cd19094', NULL, NULL, 'AKR_Tas-like', NULL, 'AKR_Tas-like', NULL, NULL, NULL, 1),
(4556, NULL, 'cd07768', NULL, NULL, 'FGGY_RBK_like', NULL, 'FGGY_RBK_like', NULL, NULL, NULL, 1),
(4557, NULL, 'cd09188', NULL, NULL, 'PLDc_FAM83H_N', NULL, 'PLDc_FAM83H_N', NULL, NULL, 33134, 1),
(4558, NULL, 'cd17126', NULL, NULL, 'Ubl_HR23A', NULL, 'Ubl_HR23A', NULL, NULL, NULL, 1),
(4559, NULL, 'cd04730', NULL, NULL, 'NPD_like', NULL, 'NPD_like', NULL, NULL, 2792, 1),
(4560, NULL, 'cd18789', NULL, NULL, 'SF2_C_XPB', NULL, 'SF2_C_XPB', NULL, NULL, NULL, 1),
(4561, NULL, 'cd00829', NULL, NULL, 'SCP-x_thiolase', NULL, 'SCP-x_thiolase', NULL, NULL, NULL, 1),
(4562, NULL, 'cd04766', NULL, NULL, 'HTH_HspR', NULL, 'HTH_HspR', NULL, NULL, NULL, 1),
(4563, NULL, 'cd08600', NULL, NULL, 'GDPD_EcGlpQ_like', NULL, 'GDPD_EcGlpQ_like', NULL, NULL, NULL, 1),
(4564, NULL, 'cd08914', NULL, NULL, 'START_STARD15-like', NULL, 'START_STARD15-like', NULL, NULL, NULL, 1),
(4565, NULL, 'cd13405', NULL, NULL, 'TNFRSF14_teleost', NULL, 'TNFRSF14_teleost', NULL, NULL, NULL, 1),
(4566, NULL, 'cd03301', NULL, NULL, 'ABC_MalK_N', NULL, 'ABC_MalK_N', NULL, NULL, 13075, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4567, NULL, 'cd17113', NULL, NULL, 'RA_ARAPs', NULL, 'RA_ARAPs', NULL, NULL, NULL, 1),
(4568, NULL, 'cd15338', NULL, NULL, '7tmA_MCHR1', NULL, '7tmA_MCHR1', NULL, NULL, NULL, 1),
(4569, NULL, 'cd07441', NULL, NULL, 'CRD_SFRP3', NULL, 'CRD_SFRP3', NULL, NULL, 34367, 1),
(4570, NULL, 'cd00751', NULL, NULL, 'thiolase', NULL, 'thiolase', NULL, NULL, 188, 1),
(4571, NULL, 'cd14506', NULL, NULL, 'PTP_PTPDC1', NULL, 'PTP_PTPDC1', NULL, NULL, NULL, 1),
(4572, NULL, 'cd19037', NULL, NULL, 'LGIC_ECD_GABAAR_A4', NULL, 'LGIC_ECD_GABAAR_A4', NULL, NULL, NULL, 1),
(4573, NULL, 'cd14261', NULL, NULL, 'PUFD', NULL, 'PUFD', NULL, NULL, NULL, 1),
(4574, NULL, 'cd15480', NULL, NULL, 'fMyo2p_CBD', NULL, 'fMyo2p_CBD', NULL, NULL, NULL, 1),
(4575, NULL, 'cd01596', NULL, NULL, 'Aspartase_like', NULL, 'Aspartase_like', NULL, NULL, NULL, 1),
(4576, NULL, 'cd12584', NULL, NULL, 'RRM2_hnRNPAB', NULL, 'RRM2_hnRNPAB', NULL, NULL, NULL, 1),
(4577, NULL, 'cd13541', NULL, NULL, 'PBP2_ModA_like_2', NULL, 'PBP2_ModA_like_2', NULL, NULL, NULL, 1),
(4578, NULL, 'cd01669', NULL, NULL, 'TGS_MJ1332_like', NULL, 'TGS_MJ1332_like', NULL, NULL, NULL, 1),
(4579, NULL, 'cd06233', NULL, NULL, 'M14-like', NULL, 'M14-like', NULL, NULL, NULL, 1),
(4580, NULL, 'cd01368', NULL, NULL, 'KISc_KIF23_like', NULL, 'KISc_KIF23_like', NULL, NULL, NULL, 1),
(4581, NULL, 'cd01583', NULL, NULL, 'IPMI', NULL, 'IPMI', NULL, NULL, 31607, 1),
(4582, NULL, 'cd07292', NULL, NULL, 'PX_SNX6', NULL, 'PX_SNX6', NULL, NULL, 39529, 1),
(4583, NULL, 'cd12376', NULL, NULL, 'RRM2_Hu_like', NULL, 'RRM2_Hu_like', NULL, NULL, NULL, 1),
(4584, NULL, 'cd15938', NULL, NULL, '7tmA_OR4Q2-like', NULL, '7tmA_OR4Q2-like', NULL, NULL, NULL, 1),
(4585, NULL, 'cd01730', NULL, NULL, 'LSm3', NULL, 'LSm3', NULL, NULL, 3348, 1),
(4586, NULL, 'cd17162', NULL, NULL, 'UBX_UBXN2C', NULL, 'UBX_UBXN2C', NULL, NULL, NULL, 1),
(4587, NULL, 'cd08518', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_19', NULL, 'PBP2_NikA_DppA_OppA_like_19', NULL, NULL, NULL, 1),
(4588, NULL, 'cd01868', NULL, NULL, 'Rab11_like', NULL, 'Rab11_like', NULL, NULL, NULL, 1),
(4589, NULL, 'cd09161', NULL, NULL, 'PLDc_PaCLS_like_2', NULL, 'PLDc_PaCLS_like_2', NULL, NULL, NULL, 1),
(4590, NULL, 'cd13599', NULL, NULL, 'PBP2_lipoprotein_Gna1946', NULL, 'PBP2_lipoprotein_Gna1946', NULL, NULL, NULL, 1),
(4591, NULL, 'cd15357', NULL, NULL, '7tmA_NMU-R2', NULL, '7tmA_NMU-R2', NULL, NULL, NULL, 1),
(4592, NULL, 'cd02751', NULL, NULL, 'MopB_DMSOR-like', NULL, 'MopB_DMSOR-like', NULL, NULL, NULL, 1),
(4593, NULL, 'cd11414', NULL, NULL, 'bHLH_TS_HEN', NULL, 'bHLH_TS_HEN', NULL, NULL, NULL, 1),
(4594, NULL, 'cd01746', NULL, NULL, 'GATase1_CTP_Synthase', NULL, 'GATase1_CTP_Synthase', NULL, NULL, 32884, 1),
(4595, NULL, 'cd12359', NULL, NULL, 'RRM2_VICKZ', NULL, 'RRM2_VICKZ', NULL, NULL, NULL, 1),
(4596, NULL, 'cd11927', NULL, NULL, 'SH3_SH3RF1_1', NULL, 'SH3_SH3RF1_1', NULL, NULL, NULL, 1),
(4597, NULL, 'cd06445', NULL, NULL, 'ATase', NULL, 'ATase', NULL, NULL, 9557, 1),
(4598, NULL, 'cd14929', NULL, NULL, 'MYSc_Myh15_mammals', NULL, 'MYSc_Myh15_mammals', NULL, NULL, NULL, 1),
(4599, NULL, 'cd14140', NULL, NULL, 'STKc_ACVR2b', NULL, 'STKc_ACVR2b', NULL, NULL, NULL, 1),
(4600, NULL, 'cd16723', NULL, NULL, 'RING-HC_MEX3D', NULL, 'RING-HC_MEX3D', NULL, NULL, NULL, 1),
(4601, NULL, 'cd17952', NULL, NULL, 'DEADc_DDX42', NULL, 'DEADc_DDX42', NULL, NULL, NULL, 1),
(4602, NULL, 'cd05193', NULL, NULL, 'AR_like_SDR_e', NULL, 'AR_like_SDR_e', NULL, NULL, NULL, 1),
(4603, NULL, 'cd11774', NULL, NULL, 'SH3_Sla1p_2', NULL, 'SH3_Sla1p_2', NULL, NULL, NULL, 1),
(4604, NULL, 'cd07306', NULL, NULL, 'Porin3_VDAC', NULL, 'Porin3_VDAC', NULL, NULL, 4122, 1),
(4605, NULL, 'cd17012', NULL, NULL, 'CID_RPRD1B', NULL, 'CID_RPRD1B', NULL, NULL, NULL, 1),
(4606, NULL, 'cd08856', NULL, NULL, 'ArfGap_ARAP2', NULL, 'ArfGap_ARAP2', NULL, NULL, NULL, 1),
(4607, NULL, 'cd11279', NULL, NULL, 'Sema_RON', NULL, 'Sema_RON', NULL, NULL, 29876, 1),
(4608, NULL, 'cd00170', NULL, NULL, 'SEC14', NULL, 'SEC14', NULL, NULL, 6978, 1),
(4609, NULL, 'cd07721', NULL, NULL, 'yflN-like_MBL-fold', NULL, 'yflN-like_MBL-fold', NULL, NULL, NULL, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4610, NULL, 'cd16171', NULL, NULL, 'ARSK', NULL, 'ARSK', NULL, NULL, NULL, 1),
(4611, NULL, 'cd12750', NULL, NULL, 'RRM5_RBM12B', NULL, 'RRM5_RBM12B', NULL, NULL, NULL, 1),
(4612, NULL, 'cd00707', NULL, NULL, 'Pancreat_lipase_like', NULL, 'Pancreat_lipase_like', NULL, NULL, 33975, 1),
(4613, NULL, 'cd06879', NULL, NULL, 'PX_UP1_plant', NULL, 'PX_UP1_plant', NULL, NULL, NULL, 1),
(4614, NULL, 'cd13581', NULL, NULL, 'PBP2_AlgQ_like_2', NULL, 'PBP2_AlgQ_like_2', NULL, NULL, NULL, 1),
(4615, NULL, 'cd00368', NULL, NULL, 'Molybdopterin-Binding', NULL, 'Molybdopterin-Binding', NULL, NULL, NULL, 1),
(4616, NULL, 'cd00051', NULL, NULL, 'EFh', NULL, 'EFh', NULL, NULL, 1197, 1),
(4617, NULL, 'cd06336', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(4618, NULL, 'cd12354', NULL, NULL, 'RRM3_TIA1_like', NULL, 'RRM3_TIA1_like', NULL, NULL, NULL, 1),
(4619, NULL, 'cd07473', NULL, NULL, 'Peptidases_S8_Subtilisin_like', NULL, 'Peptidases_S8_Subtilisin_like', NULL, NULL, 5867, 1),
(4620, NULL, 'cd13687', NULL, NULL, 'PBP2_iGluR_NMDA', NULL, 'PBP2_iGluR_NMDA', NULL, NULL, NULL, 1),
(4621, NULL, 'cd12153', NULL, NULL, 'F1-ATPase_epsilon', NULL, 'F1-ATPase_epsilon', NULL, NULL, 2499, 1),
(4622, NULL, 'cd15816', NULL, NULL, 'SPRY_PRY_TRIM58', NULL, 'SPRY_PRY_TRIM58', NULL, NULL, 35274, 1),
(4623, NULL, 'cd14596', NULL, NULL, 'PTPc-N20', NULL, 'PTPc-N20', NULL, NULL, NULL, 1),
(4624, NULL, 'cd05197', NULL, NULL, 'GH4_glycoside_hydrolases', NULL, 'GH4_glycoside_hydrolases', NULL, NULL, NULL, 1),
(4625, NULL, 'cd19433', NULL, NULL, 'lipocalin_CpcS-CpeS', NULL, 'lipocalin_CpcS-CpeS', NULL, NULL, NULL, 1),
(4626, NULL, 'cd14063', NULL, NULL, 'PK_KSR', NULL, 'PK_KSR', NULL, NULL, NULL, 1),
(4627, NULL, 'cd07523', NULL, NULL, 'HAD_YsbA-like', NULL, 'HAD_YsbA-like', NULL, NULL, NULL, 1),
(4628, NULL, 'cd01362', NULL, NULL, 'Fumarase_classII', NULL, 'Fumarase_classII', NULL, NULL, 3751, 1),
(4629, NULL, 'cd21625', NULL, NULL, 'MHV-like_Spike_S1_NTD', NULL, 'MHV-like_Spike_S1_NTD', NULL, NULL, 36520, 1),
(4630, NULL, 'cd15466', NULL, NULL, 'CLU-central', NULL, 'CLU-central', NULL, NULL, 30410, 1),
(4631, NULL, 'cd01207', NULL, NULL, 'EVH1_Ena_VASP-like', NULL, 'EVH1_Ena_VASP-like', NULL, NULL, NULL, 1),
(4632, NULL, 'cd08227', NULL, NULL, 'PK_STRAD_alpha', NULL, 'PK_STRAD_alpha', NULL, NULL, NULL, 1),
(4633, NULL, 'cd18950', NULL, NULL, 'bHLH-PAS_NCoA2_SRC2', NULL, 'bHLH-PAS_NCoA2_SRC2', NULL, NULL, NULL, 1),
(4634, NULL, 'cd13223', NULL, NULL, 'PH-GRAM_MTM-like', NULL, 'PH-GRAM_MTM-like', NULL, NULL, NULL, 1),
(4635, NULL, 'cd15171', NULL, NULL, '7tmA_CCRL2', NULL, '7tmA_CCRL2', NULL, NULL, NULL, 1),
(4636, NULL, 'cd18655', NULL, NULL, 'CSD_HP1alpha_Cbx5', NULL, 'CSD_HP1alpha_Cbx5', NULL, NULL, NULL, 1),
(4637, NULL, 'cd16469', NULL, NULL, 'RING-H2_RNF24_like', NULL, 'RING-H2_RNF24_like', NULL, NULL, NULL, 1),
(4638, NULL, 'cd11780', NULL, NULL, 'SH3_Sorbs_3', NULL, 'SH3_Sorbs_3', NULL, NULL, NULL, 1),
(4639, NULL, 'cd15261', NULL, NULL, '7tmB1_PDFR', NULL, '7tmB1_PDFR', NULL, NULL, NULL, 1),
(4640, NULL, 'cd02124', NULL, NULL, 'PA_PoS1_like', NULL, 'PA_PoS1_like', NULL, NULL, NULL, 1),
(4641, NULL, 'cd17222', NULL, NULL, 'RA_RASSF4', NULL, 'RA_RASSF4', NULL, NULL, NULL, 1),
(4642, NULL, 'cd13937', NULL, NULL, 'PANDER_GnT-1_2_like', NULL, 'PANDER_GnT-1_2_like', NULL, NULL, 36359, 1),
(4643, NULL, 'cd07242', NULL, NULL, 'VOC_BsYqjT', NULL, 'VOC_BsYqjT', NULL, NULL, NULL, 1),
(4644, NULL, 'cd12273', NULL, NULL, 'RRM1_NEFsp', NULL, 'RRM1_NEFsp', NULL, NULL, NULL, 1),
(4645, NULL, 'cd13931', NULL, NULL, 'PT-CloQ_NphB', NULL, 'PT-CloQ_NphB', NULL, NULL, 15890, 1),
(4646, NULL, 'cd00518', NULL, NULL, 'H2MP', NULL, 'H2MP', NULL, NULL, NULL, 1),
(4647, NULL, 'cd05745', NULL, NULL, 'Ig3_Peroxidasin', NULL, 'Ig3_Peroxidasin', NULL, NULL, NULL, 1),
(4648, NULL, 'cd14260', NULL, NULL, 'PUFD_like_1', NULL, 'PUFD_like_1', NULL, NULL, NULL, 1),
(4649, NULL, 'cd07301', NULL, NULL, 'PX_SNX21', NULL, 'PX_SNX21', NULL, NULL, NULL, 1),
(4650, NULL, 'cd00620', NULL, NULL, 'Methyltransferase_Sun', NULL, 'Methyltransferase_Sun', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4651, NULL, 'cd04173', NULL, NULL, 'Rnd2_Rho7', NULL, 'Rnd2_Rho7', NULL, NULL, 32890, 1),
(4652, NULL, 'cd04899', NULL, NULL, 'ACT_ACR-UUR-like_2', NULL, 'ACT_ACR-UUR-like_2', NULL, NULL, NULL, 1),
(4653, NULL, 'cd07100', NULL, NULL, 'ALDH_SSADH1_GabD1', NULL, 'ALDH_SSADH1_GabD1', NULL, NULL, 38690, 1),
(4654, NULL, 'cd14592', NULL, NULL, 'PTP-MTMR1', NULL, 'PTP-MTMR1', NULL, NULL, NULL, 1),
(4655, NULL, 'cd19963', NULL, NULL, 'PBP1_BMP-like', NULL, 'PBP1_BMP-like', NULL, NULL, NULL, 1),
(4656, NULL, 'cd15647', NULL, NULL, 'PHD_CBP', NULL, 'PHD_CBP', NULL, NULL, NULL, 1),
(4657, NULL, 'cd19912', NULL, NULL, 'DSRM_ILF3_rpt2', NULL, 'DSRM_ILF3_rpt2', NULL, NULL, NULL, 1),
(4658, NULL, 'cd05739', NULL, NULL, 'Ig3_RPTP_IIa_LAR_like', NULL, 'Ig3_RPTP_IIa_LAR_like', NULL, NULL, NULL, 1),
(4659, NULL, 'cd12345', NULL, NULL, 'RRM2_SECp43_like', NULL, 'RRM2_SECp43_like', NULL, NULL, NULL, 1),
(4660, NULL, 'cd09854', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(4661, NULL, 'cd06213', NULL, NULL, 'oxygenase_e_transfer_subunit', NULL, 'oxygenase_e_transfer_subunit', NULL, NULL, NULL, 1),
(4662, NULL, 'cd02503', NULL, NULL, 'MobA', NULL, 'MobA', NULL, NULL, 10019, 1),
(4663, NULL, 'cd07062', NULL, NULL, 'Peptidase_S66_mccF_like', NULL, 'Peptidase_S66_mccF_like', NULL, NULL, NULL, 1),
(4664, NULL, 'cd04631', NULL, NULL, 'CBS_archAMPK_gamma-repeat2', NULL, 'CBS_archAMPK_gamma-repeat2', NULL, NULL, NULL, 1),
(4665, NULL, 'cd08364', NULL, NULL, 'FosX', NULL, 'FosX', NULL, NULL, 33369, 1),
(4666, NULL, 'cd03079', NULL, NULL, 'GST_N_Metaxin2', NULL, 'GST_N_Metaxin2', NULL, NULL, NULL, 1),
(4667, NULL, 'cd09469', NULL, NULL, 'LIM1_Lhx2', NULL, 'LIM1_Lhx2', NULL, NULL, NULL, 1),
(4668, NULL, 'cd12168', NULL, NULL, 'Mand_dh_like', NULL, 'Mand_dh_like', NULL, NULL, NULL, 1),
(4669, NULL, 'cd15207', NULL, NULL, '7tmA_NPFFR', NULL, '7tmA_NPFFR', NULL, NULL, NULL, 1),
(4670, NULL, 'cd03593', NULL, NULL, 'CLECT_NK_receptors_like', NULL, 'CLECT_NK_receptors_like', NULL, NULL, 10502, 1),
(4671, NULL, 'cd10787', NULL, NULL, 'LamB_YcsF_like', NULL, 'LamB_YcsF_like', NULL, NULL, NULL, 1),
(4672, NULL, 'cd00295', NULL, NULL, 'RNA_Cyclase', NULL, 'RNA_Cyclase', NULL, NULL, NULL, 1),
(4673, NULL, 'cd09278', NULL, NULL, 'RNase_HI_prokaryote_like', NULL, 'RNase_HI_prokaryote_like', NULL, NULL, 17402, 1),
(4674, NULL, 'cd11721', NULL, NULL, 'FANCD2', NULL, 'FANCD2', NULL, NULL, 27315, 1),
(4675, NULL, 'cd17759', NULL, NULL, 'MCM8', NULL, 'MCM8', NULL, NULL, NULL, 1),
(4676, NULL, 'cd08290', NULL, NULL, 'ETR', NULL, 'ETR', NULL, NULL, NULL, 1),
(4677, NULL, 'cd17490', NULL, NULL, 'MFS_YxlH_like', NULL, 'MFS_YxlH_like', NULL, NULL, NULL, 1),
(4678, NULL, 'cd02655', NULL, NULL, 'RNAP_beta''_C', NULL, 'RNAP_beta''_C', NULL, NULL, NULL, 1),
(4679, NULL, 'cd09467', NULL, NULL, 'LIM1_Lhx3b', NULL, 'LIM1_Lhx3b', NULL, NULL, NULL, 1),
(4680, NULL, 'cd11505', NULL, NULL, 'SLC5sbd_SMCT', NULL, 'SLC5sbd_SMCT', NULL, NULL, NULL, 1),
(4681, NULL, 'cd00022', NULL, NULL, 'BIR', NULL, 'BIR', NULL, NULL, 2096, 1),
(4682, NULL, 'cd15732', NULL, NULL, 'FYVE_MTMR3', NULL, 'FYVE_MTMR3', NULL, NULL, NULL, 1),
(4683, NULL, 'cd01346', NULL, NULL, 'Maltoporin-like', NULL, 'Maltoporin-like', NULL, NULL, 3251, 1),
(4684, NULL, 'cd02844', NULL, NULL, 'PAZ_CAF_like', NULL, 'PAZ_CAF_like', NULL, NULL, NULL, 1),
(4685, NULL, 'cd07431', NULL, NULL, 'PHP_PolIIIA', NULL, 'PHP_PolIIIA', NULL, NULL, NULL, 1),
(4686, NULL, 'cd05941', NULL, NULL, 'MCS', NULL, 'MCS', NULL, NULL, NULL, 1),
(4687, NULL, 'cd20221', NULL, NULL, 'PFM_Dln1-like', NULL, 'PFM_Dln1-like', NULL, NULL, NULL, 1),
(4688, NULL, 'cd10277', NULL, NULL, 'PQQ_ADH_I', NULL, 'PQQ_ADH_I', NULL, NULL, 31114, 1),
(4689, NULL, 'cd04301', NULL, NULL, 'NAT_SF', NULL, 'NAT_SF', NULL, NULL, NULL, 1),
(4690, NULL, 'cd19140', NULL, NULL, 'AKR_AKR3F3', NULL, 'AKR_AKR3F3', NULL, NULL, NULL, 1),
(4691, NULL, 'cd07353', NULL, NULL, 'harmonin_N', NULL, 'harmonin_N', NULL, NULL, NULL, 1),
(4692, NULL, 'cd01169', NULL, NULL, 'HMPP_kinase', NULL, 'HMPP_kinase', NULL, NULL, 5670, 1),
(4693, NULL, 'cd02782', NULL, NULL, 'MopB_CT_1', NULL, 'MopB_CT_1', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4694, NULL, 'cd21403', NULL, NULL, 'ZBD_tv_SF1_Hel-like', NULL, 'ZBD_tv_SF1_Hel-like', NULL, NULL, 36923, 1),
(4695, NULL, 'cd13594', NULL, NULL, 'PBP2_HisGL4', NULL, 'PBP2_HisGL4', NULL, NULL, NULL, 1),
(4696, NULL, 'cd03157', NULL, NULL, 'TM4SF12_like_LEL', NULL, 'TM4SF12_like_LEL', NULL, NULL, NULL, 1),
(4697, NULL, 'cd12738', NULL, NULL, 'RRM1_Fusilli', NULL, 'RRM1_Fusilli', NULL, NULL, NULL, 1),
(4698, NULL, 'cd05322', NULL, NULL, 'SDH_SDR_c_like', NULL, 'SDH_SDR_c_like', NULL, NULL, NULL, 1),
(4699, NULL, 'cd06815', NULL, NULL, 'PLPDE_III_AR_like_1', NULL, 'PLPDE_III_AR_like_1', NULL, NULL, NULL, 1),
(4700, NULL, 'cd05361', NULL, NULL, 'haloalcohol_DH_SDR_c-like', NULL, 'haloalcohol_DH_SDR_c-like', NULL, NULL, NULL, 1),
(4701, NULL, 'cd05937', NULL, NULL, 'FATP_chFAT1_like', NULL, 'FATP_chFAT1_like', NULL, NULL, NULL, 1),
(4702, NULL, 'cd09318', NULL, NULL, 'TDT_SSU1', NULL, 'TDT_SSU1', NULL, NULL, NULL, 1),
(4703, NULL, 'cd05143', NULL, NULL, 'Barstar_SaI14_like', NULL, 'Barstar_SaI14_like', NULL, NULL, NULL, 1),
(4704, NULL, 'cd06234', NULL, NULL, 'M14_PaCCP-like', NULL, 'M14_PaCCP-like', NULL, NULL, NULL, 1),
(4705, NULL, 'cd07334', NULL, NULL, 'M48C_loiP_like', NULL, 'M48C_loiP_like', NULL, NULL, NULL, 1),
(4706, NULL, 'cd00100', NULL, NULL, 'IL1', NULL, 'IL1', NULL, NULL, NULL, 1),
(4707, NULL, 'cd02620', NULL, NULL, 'Peptidase_C1A_CathepsinB', NULL, 'Peptidase_C1A_CathepsinB', NULL, NULL, NULL, 1),
(4708, NULL, 'cd10356', NULL, NULL, 'SH2_ShkA_ShkC', NULL, 'SH2_ShkA_ShkC', NULL, NULL, 34975, 1),
(4709, NULL, 'cd00011', NULL, NULL, 'BAR_Arfaptin_like', NULL, 'BAR_Arfaptin_like', NULL, NULL, NULL, 1),
(4710, NULL, 'cd15015', NULL, NULL, '7tm_TAS2R39', NULL, '7tm_TAS2R39', NULL, NULL, NULL, 1),
(4711, NULL, 'cd10522', NULL, NULL, 'SET_LegAS4-like', NULL, 'SET_LegAS4-like', NULL, NULL, 37828, 1),
(4712, NULL, 'cd08680', NULL, NULL, 'C2_Kibra', NULL, 'C2_Kibra', NULL, NULL, 33055, 1),
(4713, NULL, 'cd17200', NULL, NULL, 'FERM_F1_FRMD4B', NULL, 'FERM_F1_FRMD4B', NULL, NULL, NULL, 1),
(4714, NULL, 'cd04896', NULL, NULL, 'ACT_ACR-like_3', NULL, 'ACT_ACR-like_3', NULL, NULL, NULL, 1),
(4715, NULL, 'cd05078', NULL, NULL, 'PTK_Jak2_rpt1', NULL, 'PTK_Jak2_rpt1', NULL, NULL, 29296, 1),
(4716, NULL, 'cd17974', NULL, NULL, 'DEXHc_DHX16', NULL, 'DEXHc_DHX16', NULL, NULL, NULL, 1),
(4717, NULL, 'cd07903', NULL, NULL, 'Adenylation_DNA_ligase_IV', NULL, 'Adenylation_DNA_ligase_IV', NULL, NULL, 39884, 1),
(4718, NULL, 'cd10436', NULL, NULL, 'GIY-YIG_EndoII_Hpy188I_like', NULL, 'GIY-YIG_EndoII_Hpy188I_like', NULL, NULL, 38676, 1),
(4719, NULL, 'cd14803', NULL, NULL, 'RAP', NULL, 'RAP', NULL, NULL, NULL, 1),
(4720, NULL, 'cd07157', NULL, NULL, '2DBD_NR_DBD1', NULL, '2DBD_NR_DBD1', NULL, NULL, NULL, 1),
(4721, NULL, 'cd07451', NULL, NULL, 'CRD_SMO', NULL, 'CRD_SMO', NULL, NULL, 32909, 1),
(4722, NULL, 'cd08287', NULL, NULL, 'FDH_like_ADH3', NULL, 'FDH_like_ADH3', NULL, NULL, NULL, 1),
(4723, NULL, 'cd17748', NULL, NULL, 'BRCT_DNA_ligase_like', NULL, 'BRCT_DNA_ligase_like', NULL, NULL, NULL, 1),
(4724, NULL, 'cd08967', NULL, NULL, 'MeNeil1_N', NULL, 'MeNeil1_N', NULL, NULL, NULL, 1),
(4725, NULL, 'cd05723', NULL, NULL, 'Ig4_Neogenin', NULL, 'Ig4_Neogenin', NULL, NULL, NULL, 1),
(4726, NULL, 'cd14896', NULL, NULL, 'MYSc_Myo35', NULL, 'MYSc_Myo35', NULL, NULL, NULL, 1),
(4727, NULL, 'cd04206', NULL, NULL, 'CuRO_1_LCC_like', NULL, 'CuRO_1_LCC_like', NULL, NULL, NULL, 1),
(4728, NULL, 'cd01306', NULL, NULL, 'PhnM', NULL, 'PhnM', NULL, NULL, 11649, 1),
(4729, NULL, 'cd04097', NULL, NULL, 'mtEFG1_C', NULL, 'mtEFG1_C', NULL, NULL, 34019, 1),
(4730, NULL, 'cd07847', NULL, NULL, 'STKc_CDKL1_4', NULL, 'STKc_CDKL1_4', NULL, NULL, NULL, 1),
(4731, NULL, 'cd15869', NULL, NULL, 'R-SNARE_VAMP4', NULL, 'R-SNARE_VAMP4', NULL, NULL, NULL, 1),
(4732, NULL, 'cd12918', NULL, NULL, 'VKOR_arc', NULL, 'VKOR_arc', NULL, NULL, NULL, 1),
(4733, NULL, 'cd14970', NULL, NULL, '7tmA_Opioid_R-like', NULL, '7tmA_Opioid_R-like', NULL, NULL, NULL, 1),
(4734, NULL, 'cd09515', NULL, NULL, 'SAM_SGMS1-like', NULL, 'SAM_SGMS1-like', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4735, NULL, 'cd09560', NULL, NULL, 'SAM_SASH3', NULL, 'SAM_SASH3', NULL, NULL, NULL, 1),
(4736, NULL, 'cd09387', NULL, NULL, 'LIM2_LMO4', NULL, 'LIM2_LMO4', NULL, NULL, NULL, 1),
(4737, NULL, 'cd01270', NULL, NULL, 'PTB_CAPON-like', NULL, 'PTB_CAPON-like', NULL, NULL, NULL, 1),
(4738, NULL, 'cd01286', NULL, NULL, 'deoxycytidylate_deaminase', NULL, 'deoxycytidylate_deaminase', NULL, NULL, 15941, 1),
(4739, NULL, 'cd19074', NULL, NULL, 'Aldo_ket_red_shaker-like', NULL, 'Aldo_ket_red_shaker-like', NULL, NULL, NULL, 1),
(4740, NULL, 'cd01136', NULL, NULL, 'ATPase_flagellum-secretory_path_III', NULL, 'ATPase_flagellum-secretory_path_III', NULL, NULL, NULL, 1),
(4741, NULL, 'cd13889', NULL, NULL, 'CuRO_3_BOD', NULL, 'CuRO_3_BOD', NULL, NULL, NULL, 1),
(4742, NULL, 'cd05146', NULL, NULL, 'RIO3_euk', NULL, 'RIO3_euk', NULL, NULL, NULL, 1),
(4743, NULL, 'cd18540', NULL, NULL, 'ABC_6TM_exporter_like', NULL, 'ABC_6TM_exporter_like', NULL, NULL, NULL, 1),
(4744, NULL, 'cd17333', NULL, NULL, 'MFS_FucP_MFSD4_like', NULL, 'MFS_FucP_MFSD4_like', NULL, NULL, NULL, 1),
(4745, NULL, 'cd05593', NULL, NULL, 'STKc_PKB_gamma', NULL, 'STKc_PKB_gamma', NULL, NULL, 19278, 1),
(4746, NULL, 'cd07181', NULL, NULL, 'RNase_HII_eukaryota_like', NULL, 'RNase_HII_eukaryota_like', NULL, NULL, NULL, 1),
(4747, NULL, 'cd03143', NULL, NULL, 'A4_beta-galactosidase_middle_domain', NULL, 'A4_beta-galactosidase_middle_domain', NULL, NULL, NULL, 1),
(4748, NULL, 'cd14408', NULL, NULL, 'UBA_SIK1', NULL, 'UBA_SIK1', NULL, NULL, NULL, 1),
(4749, NULL, 'cd12715', NULL, NULL, 'RRM2_MATR3', NULL, 'RRM2_MATR3', NULL, NULL, 31653, 1),
(4750, NULL, 'cd00172', NULL, NULL, 'serpin', NULL, 'serpin', NULL, NULL, NULL, 1),
(4751, NULL, 'cd07517', NULL, NULL, 'HAD_HPP', NULL, 'HAD_HPP', NULL, NULL, NULL, 1),
(4752, NULL, 'cd07392', NULL, NULL, 'MPP_PAE1087', NULL, 'MPP_PAE1087', NULL, NULL, 32424, 1),
(4753, NULL, 'cd18348', NULL, NULL, 'BTB_POZ_BTBD3', NULL, 'BTB_POZ_BTBD3', NULL, NULL, NULL, 1),
(4754, NULL, 'cd18463', NULL, NULL, 'BACK_KLHL24', NULL, 'BACK_KLHL24', NULL, NULL, NULL, 1),
(4755, NULL, 'cd11694', NULL, NULL, 'DHR2_DOCK_D', NULL, 'DHR2_DOCK_D', NULL, NULL, NULL, 1),
(4756, NULL, 'cd17024', NULL, NULL, 'T3SC_IA_DspF-like', NULL, 'T3SC_IA_DspF-like', NULL, NULL, NULL, 1),
(4757, NULL, 'cd06246', NULL, NULL, 'M14_CPB2', NULL, 'M14_CPB2', NULL, NULL, 34623, 1),
(4758, NULL, 'cd17667', NULL, NULL, 'R-PTPc-G-1', NULL, 'R-PTPc-G-1', NULL, NULL, NULL, 1),
(4759, NULL, 'cd08500', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_4', NULL, 'PBP2_NikA_DppA_OppA_like_4', NULL, NULL, NULL, 1),
(4760, NULL, 'cd11469', NULL, NULL, 'bHLH-PAS_ARNTL2_PASD9', NULL, 'bHLH-PAS_ARNTL2_PASD9', NULL, NULL, NULL, 1),
(4761, NULL, 'cd05014', NULL, NULL, 'SIS_Kpsf', NULL, 'SIS_Kpsf', NULL, NULL, 31351, 1),
(4762, NULL, 'cd20243', NULL, NULL, 'NoBody', NULL, 'NoBody', NULL, NULL, NULL, 1),
(4763, NULL, 'cd15946', NULL, NULL, '7tmA_OR1330-like', NULL, '7tmA_OR1330-like', NULL, NULL, NULL, 1),
(4764, NULL, 'cd05755', NULL, NULL, 'Ig2_ICAM-1_like', NULL, 'Ig2_ICAM-1_like', NULL, NULL, NULL, 1),
(4765, NULL, 'cd16429', NULL, NULL, 'VirB10', NULL, 'VirB10', NULL, NULL, 684, 1),
(4766, NULL, 'cd08389', NULL, NULL, 'C2A_Synaptotagmin-14_16', NULL, 'C2A_Synaptotagmin-14_16', NULL, NULL, NULL, 1),
(4767, NULL, 'cd13586', NULL, NULL, 'PBP2_Maltose_binding_like', NULL, 'PBP2_Maltose_binding_like', NULL, NULL, NULL, 1),
(4768, NULL, 'cd07034', NULL, NULL, 'TPP_PYR_PFOR_IOR-alpha_like', NULL, 'TPP_PYR_PFOR_IOR-alpha_like', NULL, NULL, 5631, 1),
(4769, NULL, 'cd04410', NULL, NULL, 'DMSOR_beta-like', NULL, 'DMSOR_beta-like', NULL, NULL, NULL, 1),
(4770, NULL, 'cd07480', NULL, NULL, 'Peptidases_S8_12', NULL, 'Peptidases_S8_12', NULL, NULL, NULL, 1),
(4771, NULL, 'cd09804', NULL, NULL, 'Dcp1', NULL, 'Dcp1', NULL, NULL, NULL, 1),
(4772, NULL, 'cd03165', NULL, NULL, 'NET-5_like_LEL', NULL, 'NET-5_like_LEL', NULL, NULL, NULL, 1),
(4773, NULL, 'cd12707', NULL, NULL, 'RRM_LARP4', NULL, 'RRM_LARP4', NULL, NULL, 17668, 1),
(4774, NULL, 'cd19001', NULL, NULL, 'LGIC_ECD_GABAAR_delta', NULL, 'LGIC_ECD_GABAAR_delta', NULL, NULL, NULL, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4775, NULL, 'cd06179', NULL, NULL, 'MFS_TRI12_like', NULL, 'MFS_TRI12_like', NULL, NULL, NULL, 1),
(4776, NULL, 'cd17946', NULL, NULL, 'DEADc_DDX24', NULL, 'DEADc_DDX24', NULL, NULL, NULL, 1),
(4777, NULL, 'cd14899', NULL, NULL, 'MYSc_Myo38', NULL, 'MYSc_Myo38', NULL, NULL, NULL, 1),
(4778, NULL, 'cd18458', NULL, NULL, 'BACK_KLHL19_KEAP1', NULL, 'BACK_KLHL19_KEAP1', NULL, NULL, NULL, 1),
(4779, NULL, 'cd02070', NULL, NULL, 'corrinoid_protein_B12-BD', NULL, 'corrinoid_protein_B12-BD', NULL, NULL, NULL, 1),
(4780, NULL, 'cd09563', NULL, NULL, 'SAM_liprin-beta1,2_repeat1', NULL, 'SAM_liprin-beta1,2_repeat1', NULL, NULL, 34591, 1),
(4781, NULL, 'cd11885', NULL, NULL, 'SH3_SH3TC', NULL, 'SH3_SH3TC', NULL, NULL, NULL, 1),
(4782, NULL, 'cd12465', NULL, NULL, 'RRM_UHMK1', NULL, 'RRM_UHMK1', NULL, NULL, 33446, 1),
(4783, NULL, 'cd14387', NULL, NULL, 'UBA2_UBP13', NULL, 'UBA2_UBP13', NULL, NULL, NULL, 1),
(4784, NULL, 'cd14814', NULL, NULL, 'Peptidase_M15', NULL, 'Peptidase_M15', NULL, NULL, NULL, 1),
(4785, NULL, 'cd06452', NULL, NULL, 'SepCysS', NULL, 'SepCysS', NULL, NULL, NULL, 1),
(4786, NULL, 'cd00957', NULL, NULL, 'Transaldolase_TalAB', NULL, 'Transaldolase_TalAB', NULL, NULL, 3639, 1),
(4787, NULL, 'cd08506', NULL, NULL, 'PBP2_clavulanate_OppA2', NULL, 'PBP2_clavulanate_OppA2', NULL, NULL, NULL, 1),
(4788, NULL, 'cd09429', NULL, NULL, 'LIM3_FHL1', NULL, 'LIM3_FHL1', NULL, NULL, NULL, 1),
(4789, NULL, 'cd15213', NULL, NULL, '7tmA_PSP24-like', NULL, '7tmA_PSP24-like', NULL, NULL, NULL, 1),
(4790, NULL, 'cd01772', NULL, NULL, 'UBX_UBXN1', NULL, 'UBX_UBXN1', NULL, NULL, NULL, 1),
(4791, NULL, 'cd05357', NULL, NULL, 'PR_SDR_c', NULL, 'PR_SDR_c', NULL, NULL, NULL, 1),
(4792, NULL, 'cd02677', NULL, NULL, 'MIT_SNX15', NULL, 'MIT_SNX15', NULL, NULL, NULL, 1),
(4793, NULL, 'cd02584', NULL, NULL, 'RNAP_II_Rpb1_C', NULL, 'RNAP_II_Rpb1_C', NULL, NULL, NULL, 1),
(4794, NULL, 'cd16500', NULL, NULL, 'RING-HC_CARP', NULL, 'RING-HC_CARP', NULL, NULL, NULL, 1),
(4795, NULL, 'cd20281', NULL, NULL, 'cupin_QDO_C', NULL, 'cupin_QDO_C', NULL, NULL, NULL, 1),
(4796, NULL, 'cd12702', NULL, NULL, 'RRM4_PTBP2', NULL, 'RRM4_PTBP2', NULL, NULL, 35325, 1),
(4797, NULL, 'cd05283', NULL, NULL, 'CAD1', NULL, 'CAD1', NULL, NULL, NULL, 1),
(4798, NULL, 'cd09238', NULL, NULL, 'V_Alix_like_1', NULL, 'V_Alix_like_1', NULL, NULL, NULL, 1),
(4799, NULL, 'cd09406', NULL, NULL, 'LIM1_Leupaxin', NULL, 'LIM1_Leupaxin', NULL, NULL, NULL, 1),
(4800, NULL, 'cd11882', NULL, NULL, 'SH3_GRAF-like', NULL, 'SH3_GRAF-like', NULL, NULL, NULL, 1),
(4801, NULL, 'cd09414', NULL, NULL, 'LIM1_LIMPETin', NULL, 'LIM1_LIMPETin', NULL, NULL, NULL, 1),
(4802, NULL, 'cd01902', NULL, NULL, 'Ntn_CGH', NULL, 'Ntn_CGH', NULL, NULL, NULL, 1),
(4803, NULL, 'cd19831', NULL, NULL, 'Bbox2_MuRF1_C-II', NULL, 'Bbox2_MuRF1_C-II', NULL, NULL, NULL, 1),
(4804, NULL, 'cd15968', NULL, NULL, '7tmA_P2Y6_P2Y3-like', NULL, '7tmA_P2Y6_P2Y3-like', NULL, NULL, NULL, 1),
(4805, NULL, 'cd05559', NULL, NULL, 'CAP_PI16_HrTT-1', NULL, 'CAP_PI16_HrTT-1', NULL, NULL, NULL, 1),
(4806, NULL, 'cd11244', NULL, NULL, 'Sema_plexin_A', NULL, 'Sema_plexin_A', NULL, NULL, NULL, 1),
(4807, NULL, 'cd19567', NULL, NULL, 'serpinB8_CAP-2', NULL, 'serpinB8_CAP-2', NULL, NULL, NULL, 1),
(4808, NULL, 'cd21639', NULL, NULL, 'NS7a_deltaCoV_HKU30-like', NULL, 'NS7a_deltaCoV_HKU30-like', NULL, NULL, 38689, 1),
(4809, NULL, 'cd00727', NULL, NULL, 'malate_synt_A', NULL, 'malate_synt_A', NULL, NULL, 3828, 1),
(4810, NULL, 'cd08632', NULL, NULL, 'PI-PLCc_eta1', NULL, 'PI-PLCc_eta1', NULL, NULL, NULL, 1),
(4811, NULL, 'cd05785', NULL, NULL, 'DNA_polB_like2_exo', NULL, 'DNA_polB_like2_exo', NULL, NULL, NULL, 1),
(4812, NULL, 'cd02047', NULL, NULL, 'serpinD1_HCF2', NULL, 'serpinD1_HCF2', NULL, NULL, 35997, 1),
(4813, NULL, 'cd03759', NULL, NULL, 'proteasome_beta_type_3', NULL, 'proteasome_beta_type_3', NULL, NULL, 31854, 1),
(4814, NULL, 'cd03316', NULL, NULL, 'MR_like', NULL, 'MR_like', NULL, NULL, NULL, 1),
(4815, NULL, 'cd12004', NULL, NULL, 'SH3_Lyn', NULL, 'SH3_Lyn', NULL, NULL, 30289, 1),
(4816, NULL, 'cd15693', NULL, NULL, 'ePHD_KMT2A', NULL, 'ePHD_KMT2A', NULL, NULL, 32036, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4817, NULL, 'cd06379', NULL, NULL, 'PBP1_iGluR_NMDA_NR1', NULL, 'PBP1_iGluR_NMDA_NR1', NULL, NULL, NULL, 1),
(4818, NULL, 'cd12665', NULL, NULL, 'RRM2_RAVER1', NULL, 'RRM2_RAVER1', NULL, NULL, NULL, 1),
(4819, NULL, 'cd10005', NULL, NULL, 'HDAC3', NULL, 'HDAC3', NULL, NULL, NULL, 1),
(4820, NULL, 'cd02078', NULL, NULL, 'P-type_ATPase_K', NULL, 'P-type_ATPase_K', NULL, NULL, 5996, 1),
(4821, NULL, 'cd12208', NULL, NULL, 'septicolysin_like', NULL, 'septicolysin_like', NULL, NULL, NULL, 1),
(4822, NULL, 'cd18094', NULL, NULL, 'SpoU-like_TrmL', NULL, 'SpoU-like_TrmL', NULL, NULL, 17390, 1),
(4823, NULL, 'cd00458', NULL, NULL, 'SugarP_isomerase', NULL, 'SugarP_isomerase', NULL, NULL, NULL, 1),
(4824, NULL, 'cd13740', NULL, NULL, 'SPRY_PRY_TRIM7', NULL, 'SPRY_PRY_TRIM7', NULL, NULL, NULL, 1),
(4825, NULL, 'cd01520', NULL, NULL, 'RHOD_YbbB', NULL, 'RHOD_YbbB', NULL, NULL, NULL, 1),
(4826, NULL, 'cd03820', NULL, NULL, 'GT4_AmsD-like', NULL, 'GT4_AmsD-like', NULL, NULL, NULL, 1),
(4827, NULL, 'cd12828', NULL, NULL, 'TmCorA-like_1', NULL, 'TmCorA-like_1', NULL, NULL, NULL, 1),
(4828, NULL, 'cd12177', NULL, NULL, '2-Hacid_dh_12', NULL, '2-Hacid_dh_12', NULL, NULL, NULL, 1),
(4829, NULL, 'cd11289', NULL, NULL, 'gelsolin_S2_like', NULL, 'gelsolin_S2_like', NULL, NULL, NULL, 1),
(4830, NULL, 'cd04169', NULL, NULL, 'RF3', NULL, 'RF3', NULL, NULL, 32473, 1),
(4831, NULL, 'cd08752', NULL, NULL, 'RGS_GRK5', NULL, 'RGS_GRK5', NULL, NULL, NULL, 1),
(4832, NULL, 'cd08713', NULL, NULL, 'RGS_RGS3', NULL, 'RGS_RGS3', NULL, NULL, 31603, 1),
(4833, NULL, 'cd09434', NULL, NULL, 'LIM4_FHL3', NULL, 'LIM4_FHL3', NULL, NULL, NULL, 1),
(4834, NULL, 'cd16809', NULL, NULL, 'RING_CH-C4HC3_MARCH3', NULL, 'RING_CH-C4HC3_MARCH3', NULL, NULL, NULL, 1),
(4835, NULL, 'cd01383', NULL, NULL, 'MYSc_Myo8', NULL, 'MYSc_Myo8', NULL, NULL, 32437, 1),
(4836, NULL, 'cd05860', NULL, NULL, 'Ig4_SCFR', NULL, 'Ig4_SCFR', NULL, NULL, NULL, 1),
(4837, NULL, 'cd20374', NULL, NULL, 'Pot1C', NULL, 'Pot1C', NULL, NULL, NULL, 1),
(4838, NULL, 'cd01573', NULL, NULL, 'modD_like', NULL, 'modD_like', NULL, NULL, NULL, 1),
(4839, NULL, 'cd21563', NULL, NULL, 'Macro_cv_SUD-M_Nsp3-like', NULL, 'Macro_cv_SUD-M_Nsp3-like', NULL, NULL, 22778, 1),
(4840, NULL, 'cd05061', NULL, NULL, 'PTKc_InsR', NULL, 'PTKc_InsR', NULL, NULL, NULL, 1),
(4841, NULL, 'cd19139', NULL, NULL, 'AKR_AKR3F2', NULL, 'AKR_AKR3F2', NULL, NULL, NULL, 1),
(4842, NULL, 'cd16079', NULL, NULL, 'TSP-3cc', NULL, 'TSP-3cc', NULL, NULL, NULL, 1),
(4843, NULL, 'cd10558', NULL, NULL, 'FDH-N', NULL, 'FDH-N', NULL, NULL, 6170, 1),
(4844, NULL, 'cd06141', NULL, NULL, 'WRN_exo', NULL, 'WRN_exo', NULL, NULL, NULL, 1),
(4845, NULL, 'cd18434', NULL, NULL, 'BRCT_TopBP1_rpt5', NULL, 'BRCT_TopBP1_rpt5', NULL, NULL, NULL, 1),
(4846, NULL, 'cd12092', NULL, NULL, 'TM_ErbB4', NULL, 'TM_ErbB4', NULL, NULL, NULL, 1),
(4847, NULL, 'cd16532', NULL, NULL, 'RING-HC_RNFT1_like', NULL, 'RING-HC_RNFT1_like', NULL, NULL, NULL, 1),
(4848, NULL, 'cd19065', NULL, NULL, 'LGIC_TM_ZAC', NULL, 'LGIC_TM_ZAC', NULL, NULL, NULL, 1),
(4849, NULL, 'cd11980', NULL, NULL, 'SH3_VAV2_1', NULL, 'SH3_VAV2_1', NULL, NULL, 30419, 1),
(4850, NULL, 'cd10563', NULL, NULL, 'CooF_like', NULL, 'CooF_like', NULL, NULL, NULL, 1),
(4851, NULL, 'cd17052', NULL, NULL, 'Ubl1_FAT10', NULL, 'Ubl1_FAT10', NULL, NULL, NULL, 1),
(4852, NULL, 'cd06922', NULL, NULL, 'ChtBD1_GH18_1', NULL, 'ChtBD1_GH18_1', NULL, NULL, NULL, 1),
(4853, NULL, 'cd13143', NULL, NULL, 'MATE_MepA_like', NULL, 'MATE_MepA_like', NULL, NULL, 38004, 1),
(4854, NULL, 'cd18486', NULL, NULL, 'BACK_KBTBD13', NULL, 'BACK_KBTBD13', NULL, NULL, NULL, 1),
(4855, NULL, 'cd08803', NULL, NULL, 'Death_ank3', NULL, 'Death_ank3', NULL, NULL, 29243, 1),
(4856, NULL, 'cd15874', NULL, NULL, 'R-SNARE_Snc1', NULL, 'R-SNARE_Snc1', NULL, NULL, NULL, 1),
(4857, NULL, 'cd00896', NULL, NULL, 'PI3Kc_III', NULL, 'PI3Kc_III', NULL, NULL, NULL, 1),
(4858, NULL, 'cd16649', NULL, NULL, 'mRING-HC-C3HC5_CGRF1_like', NULL, 'mRING-HC-C3HC5_CGRF1_like', NULL, NULL, NULL, 1),
(4859, NULL, 'cd13966', NULL, NULL, 'PT_UbiA_4', NULL, 'PT_UbiA_4', NULL, NULL, NULL, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4860, NULL, 'cd09223', NULL, NULL, 'Photo_RC', NULL, 'Photo_RC', NULL, NULL, NULL, 1),
(4861, NULL, 'cd07770', NULL, NULL, 'FGGY_GntK', NULL, 'FGGY_GntK', NULL, NULL, NULL, 1),
(4862, NULL, 'cd12662', NULL, NULL, 'RRM3_MYEF2', NULL, 'RRM3_MYEF2', NULL, NULL, 11844, 1),
(4863, NULL, 'cd12442', NULL, NULL, 'RRM_RBM48', NULL, 'RRM_RBM48', NULL, NULL, 6650, 1),
(4864, NULL, 'cd02658', NULL, NULL, 'Peptidase_C19B', NULL, 'Peptidase_C19B', NULL, NULL, NULL, 1),
(4865, NULL, 'cd03783', NULL, NULL, 'MATH_Meprin_Alpha', NULL, 'MATH_Meprin_Alpha', NULL, NULL, NULL, 1),
(4866, NULL, 'sd00029', NULL, NULL, 'zf-RanBP2', NULL, 'zf-RanBP2', NULL, NULL, NULL, 1),
(4867, NULL, 'cd02858', NULL, NULL, 'E_set_Esterase_N', NULL, 'E_set_Esterase_N', NULL, NULL, NULL, 1),
(4868, NULL, 'cd19051', NULL, NULL, 'LGIC_TM_cation', NULL, 'LGIC_TM_cation', NULL, NULL, NULL, 1),
(4869, NULL, 'cd11483', NULL, NULL, 'SLC-NCS1sbd_Mhp1-like', NULL, 'SLC-NCS1sbd_Mhp1-like', NULL, NULL, NULL, 1),
(4870, NULL, 'cd16311', NULL, NULL, 'THIN-B2-like_MBL-B3', NULL, 'THIN-B2-like_MBL-B3', NULL, NULL, NULL, 1),
(4871, NULL, 'cd06989', NULL, NULL, 'cupin_DRT102', NULL, 'cupin_DRT102', NULL, NULL, NULL, 1),
(4872, NULL, 'cd17268', NULL, NULL, 'RMtype1_S_Ara36733I_TRD1-CR1_like', NULL, 'RMtype1_S_Ara36733I_TRD1-CR1_like', NULL, NULL, NULL, 1),
(4873, NULL, 'cd01858', NULL, NULL, 'NGP_1', NULL, 'NGP_1', NULL, NULL, NULL, 1),
(4874, NULL, 'cd11555', NULL, NULL, 'SLC-NCS1sbd_u1', NULL, 'SLC-NCS1sbd_u1', NULL, NULL, NULL, 1),
(4875, NULL, 'cd10458', NULL, NULL, 'GIY-YIG_NifU', NULL, 'GIY-YIG_NifU', NULL, NULL, NULL, 1),
(4876, NULL, 'cd19041', NULL, NULL, 'LGIC_ECD_GABAAR_B2', NULL, 'LGIC_ECD_GABAAR_B2', NULL, NULL, NULL, 1),
(4877, NULL, 'cd08154', NULL, NULL, 'catalase_clade_1', NULL, 'catalase_clade_1', NULL, NULL, NULL, 1),
(4878, NULL, 'cd13444', NULL, NULL, 'CDI_toxin_EC869_like', NULL, 'CDI_toxin_EC869_like', NULL, NULL, 32652, 1),
(4879, NULL, 'cd02582', NULL, NULL, 'RNAP_archeal_A''', NULL, 'RNAP_archeal_A''', NULL, NULL, NULL, 1),
(4880, NULL, 'cd16755', NULL, NULL, 'RING-HC_TRIM9', NULL, 'RING-HC_TRIM9', NULL, NULL, NULL, 1),
(4881, NULL, 'cd04147', NULL, NULL, 'Ras_dva', NULL, 'Ras_dva', NULL, NULL, NULL, 1),
(4882, NULL, 'cd17454', NULL, NULL, 'MFS_NaGLT1_MFSD4B', NULL, 'MFS_NaGLT1_MFSD4B', NULL, NULL, NULL, 1),
(4883, NULL, 'cd05133', NULL, NULL, 'RasGAP_IQGAP1', NULL, 'RasGAP_IQGAP1', NULL, NULL, NULL, 1),
(4884, NULL, 'cd16308', NULL, NULL, 'GOB1-like_MBL-B3', NULL, 'GOB1-like_MBL-B3', NULL, NULL, NULL, 1),
(4885, NULL, 'cd12230', NULL, NULL, 'RRM1_U2AF65', NULL, 'RRM1_U2AF65', NULL, NULL, NULL, 1),
(4886, NULL, 'cd06185', NULL, NULL, 'PDR_like', NULL, 'PDR_like', NULL, NULL, NULL, 1),
(4887, NULL, 'cd06987', NULL, NULL, 'cupin_MAE_RS03005', NULL, 'cupin_MAE_RS03005', NULL, NULL, NULL, 1),
(4888, NULL, 'cd14923', NULL, NULL, 'MYSc_Myh13', NULL, 'MYSc_Myh13', NULL, NULL, 38093, 1),
(4889, NULL, 'cd03259', NULL, NULL, 'ABC_Carb_Solutes_like', NULL, 'ABC_Carb_Solutes_like', NULL, NULL, 13067, 1),
(4890, NULL, 'cd02508', NULL, NULL, 'ADP_Glucose_PP', NULL, 'ADP_Glucose_PP', NULL, NULL, NULL, 1),
(4891, NULL, 'cd08021', NULL, NULL, 'M20_Acy1_YhaA-like', NULL, 'M20_Acy1_YhaA-like', NULL, NULL, NULL, 1),
(4892, NULL, 'cd08067', NULL, NULL, 'MPN_2A_DUB', NULL, 'MPN_2A_DUB', NULL, NULL, NULL, 1),
(4893, NULL, 'cd05676', NULL, NULL, 'M20_dipept_like_CNDP', NULL, 'M20_dipept_like_CNDP', NULL, NULL, NULL, 1),
(4894, NULL, 'cd18213', NULL, NULL, 'BTB_POZ_ZBTB25_ZNF46_KUP', NULL, 'BTB_POZ_ZBTB25_ZNF46_KUP', NULL, NULL, NULL, 1),
(4895, NULL, 'cd19028', NULL, NULL, 'LGIC_ECD_nAChR_D', NULL, 'LGIC_ECD_nAChR_D', NULL, NULL, NULL, 1),
(4896, NULL, 'cd15784', NULL, NULL, 'PH_RUTBC', NULL, 'PH_RUTBC', NULL, NULL, 30758, 1),
(4897, NULL, 'cd12100', NULL, NULL, 'DD_CABYR_SP17', NULL, 'DD_CABYR_SP17', NULL, NULL, NULL, 1),
(4898, NULL, 'cd15862', NULL, NULL, 'SNARE_Vti1', NULL, 'SNARE_Vti1', NULL, NULL, NULL, 1),
(4899, NULL, 'cd09476', NULL, NULL, 'LIM1_TLP', NULL, 'LIM1_TLP', NULL, NULL, NULL, 1),
(4900, NULL, 'cd11911', NULL, NULL, 'SH3_CIP4-like', NULL, 'SH3_CIP4-like', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4901, NULL, 'cd05773', NULL, NULL, 'Ig_hNephrin_like', NULL, 'Ig_hNephrin_like', NULL, NULL, NULL, 1),
(4902, NULL, 'cd01525', NULL, NULL, 'RHOD_Kc', NULL, 'RHOD_Kc', NULL, NULL, NULL, 1),
(4903, NULL, 'cd15364', NULL, NULL, '7tmA_GPR132_G2A', NULL, '7tmA_GPR132_G2A', NULL, NULL, NULL, 1),
(4904, NULL, 'cd01813', NULL, NULL, 'Ubl_UBLCP1', NULL, 'Ubl_UBLCP1', NULL, NULL, NULL, 1),
(4905, NULL, 'cd12073', NULL, NULL, 'SH3_HS1', NULL, 'SH3_HS1', NULL, NULL, NULL, 1),
(4906, NULL, 'cd14723', NULL, NULL, 'ZIP_Ppr1', NULL, 'ZIP_Ppr1', NULL, NULL, NULL, 1),
(4907, NULL, 'cd19151', NULL, NULL, 'AKR_AKR14A2', NULL, 'AKR_AKR14A2', NULL, NULL, NULL, 1),
(4908, NULL, 'cd10374', NULL, NULL, 'SH2_STAT3', NULL, 'SH2_STAT3', NULL, NULL, 30764, 1),
(4909, NULL, 'cd16612', NULL, NULL, 'RING-HC_TRIM72_C-IV', NULL, 'RING-HC_TRIM72_C-IV', NULL, NULL, NULL, 1),
(4910, NULL, 'cd17943', NULL, NULL, 'DEADc_DDX20', NULL, 'DEADc_DDX20', NULL, NULL, NULL, 1),
(4911, NULL, 'cd01784', NULL, NULL, 'RA_RASSF2_like', NULL, 'RA_RASSF2_like', NULL, NULL, NULL, 1),
(4912, NULL, 'cd07361', NULL, NULL, 'MEMO_like', NULL, 'MEMO_like', NULL, NULL, 3510, 1),
(4913, NULL, 'cd08897', NULL, NULL, 'SRPBCC_CalC_Aha1-like_4', NULL, 'SRPBCC_CalC_Aha1-like_4', NULL, NULL, NULL, 1),
(4914, NULL, 'cd00047', NULL, NULL, 'PTPc', NULL, 'PTPc', NULL, NULL, NULL, 1),
(4915, NULL, 'cd05743', NULL, NULL, 'Ig_Perlecan_like', NULL, 'Ig_Perlecan_like', NULL, NULL, NULL, 1),
(4916, NULL, 'cd05793', NULL, NULL, 'S1_IF1A', NULL, 'S1_IF1A', NULL, NULL, 725, 1),
(4917, NULL, 'cd14019', NULL, NULL, 'STKc_Cdc7', NULL, 'STKc_Cdc7', NULL, NULL, NULL, 1),
(4918, NULL, 'cd17534', NULL, NULL, 'REC_DC-like', NULL, 'REC_DC-like', NULL, NULL, NULL, 1),
(4919, NULL, 'cd14366', NULL, NULL, 'CUE_CUED1', NULL, 'CUE_CUED1', NULL, NULL, 30806, 1),
(4920, NULL, 'cd11522', NULL, NULL, 'SLC6sbd_SBAT1', NULL, 'SLC6sbd_SBAT1', NULL, NULL, 38146, 1),
(4921, NULL, 'cd07151', NULL, NULL, 'ALDH_HBenzADH', NULL, 'ALDH_HBenzADH', NULL, NULL, NULL, 1),
(4922, NULL, 'cd16177', NULL, NULL, 'EFh_HEF_CR', NULL, 'EFh_HEF_CR', NULL, NULL, 26299, 1),
(4923, NULL, 'cd05472', NULL, NULL, 'cnd41_like', NULL, 'cnd41_like', NULL, NULL, 29426, 1),
(4924, NULL, 'cd14215', NULL, NULL, 'PKc_CLK2', NULL, 'PKc_CLK2', NULL, NULL, NULL, 1),
(4925, NULL, 'cd07171', NULL, NULL, 'NR_DBD_ER', NULL, 'NR_DBD_ER', NULL, NULL, NULL, 1),
(4926, NULL, 'cd16031', NULL, NULL, 'G6S_like', NULL, 'G6S_like', NULL, NULL, NULL, 1),
(4927, NULL, 'cd09115', NULL, NULL, 'PLDc_PPK1_C2', NULL, 'PLDc_PPK1_C2', NULL, NULL, NULL, 1),
(4928, NULL, 'cd18049', NULL, NULL, 'DEADc_DDX5', NULL, 'DEADc_DDX5', NULL, NULL, NULL, 1),
(4929, NULL, 'cd06394', NULL, NULL, 'PBP1_iGluR_Kainate_KA1_2', NULL, 'PBP1_iGluR_Kainate_KA1_2', NULL, NULL, NULL, 1),
(4930, NULL, 'cd13663', NULL, NULL, 'PBP2_PotD_PotF_like_2', NULL, 'PBP2_PotD_PotF_like_2', NULL, NULL, NULL, 1),
(4931, NULL, 'cd15269', NULL, NULL, '7tmB1_VIP-R1', NULL, '7tmB1_VIP-R1', NULL, NULL, NULL, 1),
(4932, NULL, 'cd10554', NULL, NULL, 'HycB_like', NULL, 'HycB_like', NULL, NULL, NULL, 1),
(4933, NULL, 'cd04914', NULL, NULL, 'ACT_AKi-DapG-BS_1', NULL, 'ACT_AKi-DapG-BS_1', NULL, NULL, NULL, 1),
(4934, NULL, 'cd07585', NULL, NULL, 'nitrilase_7', NULL, 'nitrilase_7', NULL, NULL, NULL, 1),
(4935, NULL, 'cd03511', NULL, NULL, 'Rhizopine-oxygenase-like', NULL, 'Rhizopine-oxygenase-like', NULL, NULL, 29483, 1),
(4936, NULL, 'cd07930', NULL, NULL, 'bacterial_phosphagen_kinase', NULL, 'bacterial_phosphagen_kinase', NULL, NULL, 16515, 1),
(4937, NULL, 'cd07877', NULL, NULL, 'STKc_p38alpha', NULL, 'STKc_p38alpha', NULL, NULL, 33399, 1),
(4938, NULL, 'cd07648', NULL, NULL, 'F-BAR_FCHO', NULL, 'F-BAR_FCHO', NULL, NULL, NULL, 1),
(4939, NULL, 'cd09918', NULL, NULL, 'SH2_Nterm_SPT6_like', NULL, 'SH2_Nterm_SPT6_like', NULL, NULL, 20819, 1),
(4940, NULL, 'sd00017', NULL, NULL, 'ZF_C2H2', NULL, 'ZF_C2H2', NULL, NULL, NULL, 1),
(4941, NULL, 'cd15478', NULL, NULL, 'Myo5a_CBD', NULL, 'Myo5a_CBD', NULL, NULL, 35723, 1),
(4942, NULL, 'cd08537', NULL, NULL, 'SAM_PNT-ESE-1-like', NULL, 'SAM_PNT-ESE-1-like', NULL, NULL, 37748, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4943, NULL, 'cd08194', NULL, NULL, 'Fe-ADH-like', NULL, 'Fe-ADH-like', NULL, NULL, NULL, 1),
(4944, NULL, 'cd01301', NULL, NULL, 'rDP_like', NULL, 'rDP_like', NULL, NULL, 8848, 1),
(4945, NULL, 'cd11973', NULL, NULL, 'SH3_ASEF', NULL, 'SH3_ASEF', NULL, NULL, NULL, 1),
(4946, NULL, 'cd19893', NULL, NULL, 'DSRM_TARBP2_rpt3', NULL, 'DSRM_TARBP2_rpt3', NULL, NULL, 36542, 1),
(4947, NULL, 'cd03725', NULL, NULL, 'SOCS_ASB6', NULL, 'SOCS_ASB6', NULL, NULL, 33292, 1),
(4948, NULL, 'cd06877', NULL, NULL, 'PX_SNX14', NULL, 'PX_SNX14', NULL, NULL, 29965, 1),
(4949, NULL, 'cd05384', NULL, NULL, 'CAP_PRY1-like', NULL, 'CAP_PRY1-like', NULL, NULL, NULL, 1),
(4950, NULL, 'cd15023', NULL, NULL, '7tm_TAS2R7-like', NULL, '7tm_TAS2R7-like', NULL, NULL, NULL, 1),
(4951, NULL, 'cd03805', NULL, NULL, 'GT4_ALG2-like', NULL, 'GT4_ALG2-like', NULL, NULL, NULL, 1),
(4952, NULL, 'cd13208', NULL, NULL, 'PH-GRAM_MTMR5_MTMR13', NULL, 'PH-GRAM_MTMR5_MTMR13', NULL, NULL, NULL, 1),
(4953, NULL, 'cd00651', NULL, NULL, 'TFold', NULL, 'TFold', NULL, NULL, NULL, 1),
(4954, NULL, 'cd16104', NULL, NULL, 'Ubl_USP14_like', NULL, 'Ubl_USP14_like', NULL, NULL, NULL, 1),
(4955, NULL, 'cd17234', NULL, NULL, 'Ubl_ATG8_MAP1LC3A', NULL, 'Ubl_ATG8_MAP1LC3A', NULL, NULL, NULL, 1),
(4956, NULL, 'cd18338', NULL, NULL, 'BTB_POZ_KLHL2_Mayven', NULL, 'BTB_POZ_KLHL2_Mayven', NULL, NULL, 39475, 1),
(4957, NULL, 'cd18625', NULL, NULL, 'GH32_BfrA-like', NULL, 'GH32_BfrA-like', NULL, NULL, NULL, 1),
(4958, NULL, 'cd19830', NULL, NULL, 'Bbox2_TIF1g_C-VI', NULL, 'Bbox2_TIF1g_C-VI', NULL, NULL, NULL, 1),
(4959, NULL, 'cd03234', NULL, NULL, 'ABCG_White', NULL, 'ABCG_White', NULL, NULL, NULL, 1),
(4960, NULL, 'cd17768', NULL, NULL, 'adenosylhopane_nucleosidase_HpnG-like', NULL, 'adenosylhopane_nucleosidase_HpnG-like', NULL, NULL, NULL, 1),
(4961, NULL, 'cd00320', NULL, NULL, 'cpn10', NULL, 'cpn10', NULL, NULL, 14874, 1),
(4962, NULL, 'cd12160', NULL, NULL, '2-Hacid_dh_3', NULL, '2-Hacid_dh_3', NULL, NULL, NULL, 1),
(4963, NULL, 'cd01288', NULL, NULL, 'FabZ', NULL, 'FabZ', NULL, NULL, NULL, 1),
(4964, NULL, 'cd16441', NULL, NULL, 'beta_Kdo_transferase_KpsS', NULL, 'beta_Kdo_transferase_KpsS', NULL, NULL, NULL, 1),
(4965, NULL, 'cd17353', NULL, NULL, 'MFS_OFA_like', NULL, 'MFS_OFA_like', NULL, NULL, NULL, 1),
(4966, NULL, 'cd19945', NULL, NULL, 'Fer2_BFD', NULL, 'Fer2_BFD', NULL, NULL, NULL, 1),
(4967, NULL, 'cd04663', NULL, NULL, 'Nudix_Hydrolase_6', NULL, 'Nudix_Hydrolase_6', NULL, NULL, NULL, 1),
(4968, NULL, 'cd18384', NULL, NULL, 'BTB_POZ_Kv9_KCNS', NULL, 'BTB_POZ_Kv9_KCNS', NULL, NULL, NULL, 1),
(4969, NULL, 'cd15623', NULL, NULL, 'PHD_TIF1beta', NULL, 'PHD_TIF1beta', NULL, NULL, NULL, 1),
(4970, NULL, 'cd15929', NULL, NULL, '7tmB1_GlucagonR-like', NULL, '7tmB1_GlucagonR-like', NULL, NULL, NULL, 1),
(4971, NULL, 'cd04280', NULL, NULL, 'ZnMc_astacin_like', NULL, 'ZnMc_astacin_like', NULL, NULL, 19809, 1),
(4972, NULL, 'cd10797', NULL, NULL, 'GH57N_APU_like_1', NULL, 'GH57N_APU_like_1', NULL, NULL, NULL, 1),
(4973, NULL, 'cd03337', NULL, NULL, 'TCP1_gamma', NULL, 'TCP1_gamma', NULL, NULL, 11777, 1),
(4974, NULL, 'cd19187', NULL, NULL, 'PR-SET_PRDM1', NULL, 'PR-SET_PRDM1', NULL, NULL, 37362, 1),
(4975, NULL, 'cd04479', NULL, NULL, 'RPA3', NULL, 'RPA3', NULL, NULL, NULL, 1),
(4976, NULL, 'cd11329', NULL, NULL, 'AmyAc_maltase-like', NULL, 'AmyAc_maltase-like', NULL, NULL, NULL, 1),
(4977, NULL, 'cd14006', NULL, NULL, 'STKc_MLCK-like', NULL, 'STKc_MLCK-like', NULL, NULL, NULL, 1),
(4978, NULL, 'cd16264', NULL, NULL, 'snRNP_III', NULL, 'snRNP_III', NULL, NULL, NULL, 1),
(4979, NULL, 'cd05636', NULL, NULL, 'LbH_G1P_TT_C_like', NULL, 'LbH_G1P_TT_C_like', NULL, NULL, NULL, 1),
(4980, NULL, 'cd12471', NULL, NULL, 'RRM1_MSSP2', NULL, 'RRM1_MSSP2', NULL, NULL, NULL, 1),
(4981, NULL, 'cd18764', NULL, NULL, 'PIN_MtVapC3-like', NULL, 'PIN_MtVapC3-like', NULL, NULL, NULL, 1),
(4982, NULL, 'cd00129', NULL, NULL, 'PAN_APPLE', NULL, 'PAN_APPLE', NULL, NULL, NULL, 1),
(4983, NULL, 'cd14685', NULL, NULL, 'RanBD3_RanBP2-like', NULL, 'RanBD3_RanBP2-like', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(4984, NULL, 'cd05568', NULL, NULL, 'PTS_IIB_bgl_like', NULL, 'PTS_IIB_bgl_like', NULL, NULL, NULL, 1),
(4985, NULL, 'cd07922', NULL, NULL, 'CarBa', NULL, 'CarBa', NULL, NULL, 12376, 1),
(4986, NULL, 'cd18512', NULL, NULL, 'BACK_KLHL2_Mayven', NULL, 'BACK_KLHL2_Mayven', NULL, NULL, NULL, 1),
(4987, NULL, 'cd03027', NULL, NULL, 'GRX_DEP', NULL, 'GRX_DEP', NULL, NULL, NULL, 1),
(4988, NULL, 'cd02179', NULL, NULL, 'GH16_beta_GRP', NULL, 'GH16_beta_GRP', NULL, NULL, 30151, 1),
(4989, NULL, 'cd17960', NULL, NULL, 'DEADc_DDX55', NULL, 'DEADc_DDX55', NULL, NULL, NULL, 1),
(4990, NULL, 'cd19712', NULL, NULL, 'bHLH_TS_dimmed_like', NULL, 'bHLH_TS_dimmed_like', NULL, NULL, NULL, 1),
(4991, NULL, 'cd02601', NULL, NULL, 'HAD_Eya', NULL, 'HAD_Eya', NULL, NULL, 38590, 1),
(4992, NULL, 'cd17453', NULL, NULL, 'MFS_MFSD4A', NULL, 'MFS_MFSD4A', NULL, NULL, NULL, 1),
(4993, NULL, 'cd08787', NULL, NULL, 'CARD_NOD2_1_CARD15', NULL, 'CARD_NOD2_1_CARD15', NULL, NULL, NULL, 1),
(4994, NULL, 'cd08990', NULL, NULL, 'GH43_AXH_like', NULL, 'GH43_AXH_like', NULL, NULL, NULL, 1),
(4995, NULL, 'cd05248', NULL, NULL, 'ADP_GME_SDR_e', NULL, 'ADP_GME_SDR_e', NULL, NULL, 12012, 1),
(4996, NULL, 'cd19384', NULL, NULL, 'TGF_beta_TGFB1', NULL, 'TGF_beta_TGFB1', NULL, NULL, NULL, 1),
(4997, NULL, 'cd03284', NULL, NULL, 'ABC_MutS1', NULL, 'ABC_MutS1', NULL, NULL, NULL, 1),
(4998, NULL, 'cd00305', NULL, NULL, 'Cu-Zn_Superoxide_Dismutase', NULL, 'Cu-Zn_Superoxide_Dismutase', NULL, NULL, 3451, 1),
(4999, NULL, 'cd09989', NULL, NULL, 'Arginase', NULL, 'Arginase', NULL, NULL, 9323, 1),
(5000, NULL, 'cd10938', NULL, NULL, 'CE4_HpPgdA_like', NULL, 'CE4_HpPgdA_like', NULL, NULL, 31155, 1),
(5001, NULL, 'cd16587', NULL, NULL, 'RING-HC_TRIM32_C-VII', NULL, 'RING-HC_TRIM32_C-VII', NULL, NULL, NULL, 1),
(5002, NULL, 'cd12034', NULL, NULL, 'SH3_MPP4', NULL, 'SH3_MPP4', NULL, NULL, 36349, 1),
(5003, NULL, 'cd06904', NULL, NULL, 'M14_MpaA-like', NULL, 'M14_MpaA-like', NULL, NULL, NULL, 1),
(5004, NULL, 'cd11438', NULL, NULL, 'bHLH-PAS_ARNTL_PASD3', NULL, 'bHLH-PAS_ARNTL_PASD3', NULL, NULL, NULL, 1),
(5005, NULL, 'cd00248', NULL, NULL, 'Mth938-like', NULL, 'Mth938-like', NULL, NULL, NULL, 1),
(5006, NULL, 'cd06908', NULL, NULL, 'M14_AGBL4_like', NULL, 'M14_AGBL4_like', NULL, NULL, NULL, 1),
(5007, NULL, 'cd01979', NULL, NULL, 'Pchlide_reductase_N', NULL, 'Pchlide_reductase_N', NULL, NULL, NULL, 1),
(5008, NULL, 'cd10474', NULL, NULL, 'EphR_LBD_B4', NULL, 'EphR_LBD_B4', NULL, NULL, 13732, 1),
(5009, NULL, 'cd03132', NULL, NULL, 'GATase1_catalase', NULL, 'GATase1_catalase', NULL, NULL, 32084, 1),
(5010, NULL, 'cd06284', NULL, NULL, 'PBP1_LacI-like', NULL, 'PBP1_LacI-like', NULL, NULL, NULL, 1),
(5011, NULL, 'cd16083', NULL, NULL, 'IgC_CD80', NULL, 'IgC_CD80', NULL, NULL, 29535, 1),
(5012, NULL, 'cd11853', NULL, NULL, 'SH3_Kalirin_2', NULL, 'SH3_Kalirin_2', NULL, NULL, NULL, 1),
(5013, NULL, 'cd10566', NULL, NULL, 'MDM2_like', NULL, 'MDM2_like', NULL, NULL, NULL, 1),
(5014, NULL, 'cd01825', NULL, NULL, 'SGNH_hydrolase_peri1', NULL, 'SGNH_hydrolase_peri1', NULL, NULL, NULL, 1),
(5015, NULL, 'cd15841', NULL, NULL, 'SNARE_Qc', NULL, 'SNARE_Qc', NULL, NULL, NULL, 1),
(5016, NULL, 'cd03508', NULL, NULL, 'Delta4-sphingolipid-FADS-like', NULL, 'Delta4-sphingolipid-FADS-like', NULL, NULL, 14600, 1),
(5017, NULL, 'cd16490', NULL, NULL, 'RING-CH-C4HC3_FANCL', NULL, 'RING-CH-C4HC3_FANCL', NULL, NULL, NULL, 1),
(5018, NULL, 'cd14736', NULL, NULL, 'BACK_AtBPM-like', NULL, 'BACK_AtBPM-like', NULL, NULL, 32395, 1),
(5019, NULL, 'cd18109', NULL, NULL, 'SpoU-like_RNA-MTase', NULL, 'SpoU-like_RNA-MTase', NULL, NULL, NULL, 1),
(5020, NULL, 'cd12222', NULL, NULL, 'Caa3-IV', NULL, 'Caa3-IV', NULL, NULL, 33764, 1),
(5021, NULL, 'cd12297', NULL, NULL, 'RRM2_Prp24', NULL, 'RRM2_Prp24', NULL, NULL, 6142, 1),
(5022, NULL, 'cd14878', NULL, NULL, 'MYSc_Myo16', NULL, 'MYSc_Myo16', NULL, NULL, 30458, 1),
(5023, NULL, 'cd15205', NULL, NULL, '7tmA_QRFPR', NULL, '7tmA_QRFPR', NULL, NULL, NULL, 1),
(5024, NULL, 'cd18019', NULL, NULL, 'DEXHc_Brr2_1', NULL, 'DEXHc_Brr2_1', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5025, NULL, 'cd18710', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(5026, NULL, 'cd14452', NULL, NULL, 'CuRO_1_FVIII_like', NULL, 'CuRO_1_FVIII_like', NULL, NULL, NULL, 1),
(5027, NULL, 'cd10386', NULL, NULL, 'SH2_SOCS5', NULL, 'SH2_SOCS5', NULL, NULL, NULL, 1),
(5028, NULL, 'cd08726', NULL, NULL, 'RGS_RGS22_3', NULL, 'RGS_RGS22_3', NULL, NULL, NULL, 1),
(5029, NULL, 'cd12627', NULL, NULL, 'RRM1_IGF2BP3', NULL, 'RRM1_IGF2BP3', NULL, NULL, NULL, 1),
(5030, NULL, 'cd02776', NULL, NULL, 'MopB_CT_Nitrate-R-NarG-like', NULL, 'MopB_CT_Nitrate-R-NarG-like', NULL, NULL, 34285, 1),
(5031, NULL, 'cd03800', NULL, NULL, 'GT4_sucrose_synthase', NULL, 'GT4_sucrose_synthase', NULL, NULL, NULL, 1),
(5032, NULL, 'cd18919', NULL, NULL, 'bHLH_AtBPE_like', NULL, 'bHLH_AtBPE_like', NULL, NULL, NULL, 1),
(5033, NULL, 'cd04453', NULL, NULL, 'S1_RNase_E', NULL, 'S1_RNase_E', NULL, NULL, NULL, 1),
(5034, NULL, 'cd11900', NULL, NULL, 'SH3_Nck1_1', NULL, 'SH3_Nck1_1', NULL, NULL, 30516, 1),
(5035, NULL, 'cd09648', NULL, NULL, 'Cas2_I-E', NULL, 'Cas2_I-E', NULL, NULL, NULL, 1),
(5036, NULL, 'cd08630', NULL, NULL, 'PI-PLCc_delta3', NULL, 'PI-PLCc_delta3', NULL, NULL, NULL, 1),
(5037, NULL, 'cd01132', NULL, NULL, 'F1_ATPase_alpha', NULL, 'F1_ATPase_alpha', NULL, NULL, 35092, 1),
(5038, NULL, 'cd18272', NULL, NULL, 'BTB_POZ_KBTBD4', NULL, 'BTB_POZ_KBTBD4', NULL, NULL, 38403, 1),
(5039, NULL, 'cd17930', NULL, NULL, 'DEXHc_cas3', NULL, 'DEXHc_cas3', NULL, NULL, NULL, 1),
(5040, NULL, 'cd08581', NULL, NULL, 'GDPD_like_1', NULL, 'GDPD_like_1', NULL, NULL, NULL, 1),
(5041, NULL, 'cd15362', NULL, NULL, '7tmA_LGR6', NULL, '7tmA_LGR6', NULL, NULL, NULL, 1),
(5042, NULL, 'cd07397', NULL, NULL, 'MPP_NostocDevT-like', NULL, 'MPP_NostocDevT-like', NULL, NULL, 23653, 1),
(5043, NULL, 'cd06401', NULL, NULL, 'PB1_TFG', NULL, 'PB1_TFG', NULL, NULL, 19927, 1),
(5044, NULL, 'cd09142', NULL, NULL, 'PLDc_pPLD_like_2', NULL, 'PLDc_pPLD_like_2', NULL, NULL, NULL, 1),
(5045, NULL, 'cd13678', NULL, NULL, 'PBP2_TRAP_DctP10', NULL, 'PBP2_TRAP_DctP10', NULL, NULL, NULL, 1),
(5046, NULL, 'cd15287', NULL, NULL, '7tmC_TAS1R2a-like', NULL, '7tmC_TAS1R2a-like', NULL, NULL, NULL, 1),
(5047, NULL, 'cd04191', NULL, NULL, 'Glucan_BSP_MdoH', NULL, 'Glucan_BSP_MdoH', NULL, NULL, NULL, 1),
(5048, NULL, 'cd05629', NULL, NULL, 'STKc_NDR_like_fungal', NULL, 'STKc_NDR_like_fungal', NULL, NULL, NULL, 1),
(5049, NULL, 'cd07512', NULL, NULL, 'HAD_PGPase', NULL, 'HAD_PGPase', NULL, NULL, NULL, 1),
(5050, NULL, 'cd06610', NULL, NULL, 'STKc_OSR1_SPAK', NULL, 'STKc_OSR1_SPAK', NULL, NULL, NULL, 1),
(5051, NULL, 'cd14236', NULL, NULL, 'GAT_TOM1', NULL, 'GAT_TOM1', NULL, NULL, NULL, 1),
(5052, NULL, 'cd11626', NULL, NULL, 'HR1_ROCK', NULL, 'HR1_ROCK', NULL, NULL, NULL, 1),
(5053, NULL, 'cd15493', NULL, NULL, 'PHD_JMJD2', NULL, 'PHD_JMJD2', NULL, NULL, NULL, 1),
(5054, NULL, 'cd13711', NULL, NULL, 'PBP2_Ngo0372_TcyA', NULL, 'PBP2_Ngo0372_TcyA', NULL, NULL, NULL, 1),
(5055, NULL, 'cd18501', NULL, NULL, 'BACK_ANKFY1_Rank5', NULL, 'BACK_ANKFY1_Rank5', NULL, NULL, NULL, 1),
(5056, NULL, 'cd09195', NULL, NULL, 'PLDc_mTdp1_2', NULL, 'PLDc_mTdp1_2', NULL, NULL, NULL, 1),
(5057, NULL, 'cd13968', NULL, NULL, 'PKc_like', NULL, 'PKc_like', NULL, NULL, NULL, 1),
(5058, NULL, 'cd08843', NULL, NULL, 'ArfGap_ADAP1', NULL, 'ArfGap_ADAP1', NULL, NULL, NULL, 1),
(5059, NULL, 'cd12885', NULL, NULL, 'SPRY_RanBP_like', NULL, 'SPRY_RanBP_like', NULL, NULL, 37089, 1),
(5060, NULL, 'cd14118', NULL, NULL, 'STKc_CAMKK', NULL, 'STKc_CAMKK', NULL, NULL, NULL, 1),
(5061, NULL, 'cd14041', NULL, NULL, 'STKc_TLK2', NULL, 'STKc_TLK2', NULL, NULL, NULL, 1),
(5062, NULL, 'cd15557', NULL, NULL, 'PHD_CBP_p300', NULL, 'PHD_CBP_p300', NULL, NULL, NULL, 1),
(5063, NULL, 'cd05726', NULL, NULL, 'Ig4_Robo', NULL, 'Ig4_Robo', NULL, NULL, NULL, 1),
(5064, NULL, 'cd06907', NULL, NULL, 'M14_AGBL2-3_like', NULL, 'M14_AGBL2-3_like', NULL, NULL, NULL, 1),
(5065, NULL, 'cd19392', NULL, NULL, 'TGF_beta_DPP', NULL, 'TGF_beta_DPP', NULL, NULL, NULL, 1),
(5066, NULL, 'cd07515', NULL, NULL, 'HAD-like', NULL, 'HAD-like', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5067, NULL, 'cd02219', NULL, NULL, 'cupin_YjlB-like', NULL, 'cupin_YjlB-like', NULL, NULL, NULL, 1),
(5068, NULL, 'cd09843', NULL, NULL, 'PLDc_vPLD2_1', NULL, 'PLDc_vPLD2_1', NULL, NULL, NULL, 1),
(5069, NULL, 'cd12929', NULL, NULL, 'GUCT', NULL, 'GUCT', NULL, NULL, NULL, 1),
(5070, NULL, 'cd15561', NULL, NULL, 'PHD1_PHF14', NULL, 'PHD1_PHF14', NULL, NULL, NULL, 1),
(5071, NULL, 'cd00756', NULL, NULL, 'MoaE', NULL, 'MoaE', NULL, NULL, 4528, 1),
(5072, NULL, 'cd12399', NULL, NULL, 'RRM_HP0827_like', NULL, 'RRM_HP0827_like', NULL, NULL, NULL, 1),
(5073, NULL, 'cd13115', NULL, NULL, 'POLO_box_Plk4_2', NULL, 'POLO_box_Plk4_2', NULL, NULL, 30967, 1),
(5074, NULL, 'cd14383', NULL, NULL, 'UBA1_UBP5', NULL, 'UBA1_UBP5', NULL, NULL, 33432, 1),
(5075, NULL, 'cd11376', NULL, NULL, 'Imelysin-like', NULL, 'Imelysin-like', NULL, NULL, NULL, 1),
(5076, NULL, 'cd03564', NULL, NULL, 'ANTH_N', NULL, 'ANTH_N', NULL, NULL, NULL, 1),
(5077, NULL, 'cd00592', NULL, NULL, 'HTH_MerR-like', NULL, 'HTH_MerR-like', NULL, NULL, NULL, 1),
(5078, NULL, 'cd01283', NULL, NULL, 'cytidine_deaminase', NULL, 'cytidine_deaminase', NULL, NULL, NULL, 1),
(5079, NULL, 'cd04813', NULL, NULL, 'PA_1', NULL, 'PA_1', NULL, NULL, NULL, 1),
(5080, NULL, 'cd17167', NULL, NULL, 'RAWUL_RING2', NULL, 'RAWUL_RING2', NULL, NULL, NULL, 1),
(5081, NULL, 'cd09280', NULL, NULL, 'RNase_HI_eukaryote_like', NULL, 'RNase_HI_eukaryote_like', NULL, NULL, NULL, 1),
(5082, NULL, 'cd11712', NULL, NULL, 'GINS_A_psf2', NULL, 'GINS_A_psf2', NULL, NULL, NULL, 1),
(5083, NULL, 'cd18235', NULL, NULL, 'BTB_POZ_KLHL2-like', NULL, 'BTB_POZ_KLHL2-like', NULL, NULL, NULL, 1),
(5084, NULL, 'cd16572', NULL, NULL, 'RING-HC_SpRad8_like', NULL, 'RING-HC_SpRad8_like', NULL, NULL, NULL, 1),
(5085, NULL, 'cd09752', NULL, NULL, 'Cas5_I-C', NULL, 'Cas5_I-C', NULL, NULL, NULL, 1),
(5086, NULL, 'cd19542', NULL, NULL, 'CT_NRPS-like', NULL, 'CT_NRPS-like', NULL, NULL, NULL, 1),
(5087, NULL, 'cd10923', NULL, NULL, 'CE4_COG5298', NULL, 'CE4_COG5298', NULL, NULL, NULL, 1),
(5088, NULL, 'cd04406', NULL, NULL, 'RhoGAP_myosin_IXA', NULL, 'RhoGAP_myosin_IXA', NULL, NULL, NULL, 1),
(5089, NULL, 'cd19752', NULL, NULL, 'AKR_unchar', NULL, 'AKR_unchar', NULL, NULL, NULL, 1),
(5090, NULL, 'cd15176', NULL, NULL, '7tmA_ACKR4_CCR11', NULL, '7tmA_ACKR4_CCR11', NULL, NULL, NULL, 1),
(5091, NULL, 'cd12898', NULL, NULL, 'SPRY_PRY_TRIM76', NULL, 'SPRY_PRY_TRIM76', NULL, NULL, NULL, 1),
(5092, NULL, 'cd02067', NULL, NULL, 'B12-binding', NULL, 'B12-binding', NULL, NULL, NULL, 1),
(5093, NULL, 'cd16183', NULL, NULL, 'EFh_PEF_ALG-2', NULL, 'EFh_PEF_ALG-2', NULL, NULL, NULL, 1),
(5094, NULL, 'cd17594', NULL, NULL, 'REC_OmpR_VirG', NULL, 'REC_OmpR_VirG', NULL, NULL, NULL, 1),
(5095, NULL, 'cd13312', NULL, NULL, 'PH_USP37_like', NULL, 'PH_USP37_like', NULL, NULL, 28294, 1),
(5096, NULL, 'cd07718', NULL, NULL, 'RNaseZ_ELAC1_ELAC2-C-term-like_MBL-fold', NULL, 'RNaseZ_ELAC1_ELAC2-C-term-like_MBL-fold', NULL, NULL, NULL, 1),
(5097, NULL, 'cd15725', NULL, NULL, 'FYVE_PIKfyve_Fab1', NULL, 'FYVE_PIKfyve_Fab1', NULL, NULL, NULL, 1),
(5098, NULL, 'cd01921', NULL, NULL, 'cyclophilin_RRM', NULL, 'cyclophilin_RRM', NULL, NULL, 35884, 1),
(5099, NULL, 'cd04416', NULL, NULL, 'NDPk_TX', NULL, 'NDPk_TX', NULL, NULL, NULL, 1),
(5100, NULL, 'cd13215', NULL, NULL, 'PH-GRAM1_AGT26', NULL, 'PH-GRAM1_AGT26', NULL, NULL, NULL, 1),
(5101, NULL, 'cd06453', NULL, NULL, 'SufS_like', NULL, 'SufS_like', NULL, NULL, 2454, 1),
(5102, NULL, 'cd07424', NULL, NULL, 'MPP_PrpA_PrpB', NULL, 'MPP_PrpA_PrpB', NULL, NULL, NULL, 1),
(5103, NULL, 'cd07552', NULL, NULL, 'P-type_ATPase_Cu-like', NULL, 'P-type_ATPase_Cu-like', NULL, NULL, NULL, 1),
(5104, NULL, 'cd13850', NULL, NULL, 'CuRO_1_Abr2_like', NULL, 'CuRO_1_Abr2_like', NULL, NULL, NULL, 1),
(5105, NULL, 'cd03464', NULL, NULL, '3,4-PCD_beta', NULL, '3,4-PCD_beta', NULL, NULL, 10498, 1),
(5106, NULL, 'cd09898', NULL, NULL, 'H3TH_53EXO', NULL, 'H3TH_53EXO', NULL, NULL, 15581, 1),
(5107, NULL, 'cd17262', NULL, NULL, 'RMtype1_S_Aco12261I-TRD2-CR2', NULL, 'RMtype1_S_Aco12261I-TRD2-CR2', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5108, NULL, 'cd06601', NULL, NULL, 'GH31_lyase_GLase', NULL, 'GH31_lyase_GLase', NULL, NULL, NULL, 1),
(5109, NULL, 'cd09631', NULL, NULL, 'DOMON_DOH', NULL, 'DOMON_DOH', NULL, NULL, 39715, 1),
(5110, NULL, 'cd20287', NULL, NULL, 'cupin_pirin-like_N', NULL, 'cupin_pirin-like_N', NULL, NULL, NULL, 1),
(5111, NULL, 'cd00375', NULL, NULL, 'Urease_alpha', NULL, 'Urease_alpha', NULL, NULL, 5863, 1),
(5112, NULL, 'cd11682', NULL, NULL, 'HDAC6-dom1', NULL, 'HDAC6-dom1', NULL, NULL, NULL, 1),
(5113, NULL, 'cd05771', NULL, NULL, 'IgC_Tapasin_R', NULL, 'IgC_Tapasin_R', NULL, NULL, NULL, 1),
(5114, NULL, 'cd15434', NULL, NULL, '7tmA_OR2W-like', NULL, '7tmA_OR2W-like', NULL, NULL, NULL, 1),
(5115, NULL, 'cd02644', NULL, NULL, 'R3H_jag', NULL, 'R3H_jag', NULL, NULL, 29211, 1),
(5116, NULL, 'cd01459', NULL, NULL, 'vWA_copine_like', NULL, 'vWA_copine_like', NULL, NULL, 10368, 1),
(5117, NULL, 'cd07701', NULL, NULL, 'Ig1_Necl-3', NULL, 'Ig1_Necl-3', NULL, NULL, NULL, 1),
(5118, NULL, 'cd18672', NULL, NULL, 'PIN_FAM120B-like', NULL, 'PIN_FAM120B-like', NULL, NULL, NULL, 1),
(5119, NULL, 'cd10329', NULL, NULL, 'SLC5sbd_SGLT1-like', NULL, 'SLC5sbd_SGLT1-like', NULL, NULL, NULL, 1),
(5120, NULL, 'cd15474', NULL, NULL, 'Myo5p-like_CBD_fungal', NULL, 'Myo5p-like_CBD_fungal', NULL, NULL, NULL, 1),
(5121, NULL, 'cd01892', NULL, NULL, 'Miro2', NULL, 'Miro2', NULL, NULL, NULL, 1),
(5122, NULL, 'cd00238', NULL, NULL, 'ERp29c', NULL, 'ERp29c', NULL, NULL, 10546, 1),
(5123, NULL, 'cd00293', NULL, NULL, 'USP_Like', NULL, 'USP_Like', NULL, NULL, NULL, 1),
(5124, NULL, 'cd15503', NULL, NULL, 'PHD2_MTF2_PHF19_like', NULL, 'PHD2_MTF2_PHF19_like', NULL, NULL, NULL, 1),
(5125, NULL, 'cd16813', NULL, NULL, 'RING_CH-C4HC3_MARCH10', NULL, 'RING_CH-C4HC3_MARCH10', NULL, NULL, 38379, 1),
(5126, NULL, 'cd18824', NULL, NULL, 'GH43_CtGH43-like', NULL, 'GH43_CtGH43-like', NULL, NULL, NULL, 1),
(5127, NULL, 'cd04693', NULL, NULL, 'Nudix_Hydrolase_34', NULL, 'Nudix_Hydrolase_34', NULL, NULL, NULL, 1),
(5128, NULL, 'cd10911', NULL, NULL, 'PIN_LabA', NULL, 'PIN_LabA', NULL, NULL, NULL, 1),
(5129, NULL, 'cd02696', NULL, NULL, 'MurNAc-LAA', NULL, 'MurNAc-LAA', NULL, NULL, 652, 1),
(5130, NULL, 'cd17904', NULL, NULL, 'PFM_monalysin-like', NULL, 'PFM_monalysin-like', NULL, NULL, NULL, 1),
(5131, NULL, 'cd16268', NULL, NULL, 'EF2_II', NULL, 'EF2_II', NULL, NULL, NULL, 1),
(5132, NULL, 'cd17621', NULL, NULL, 'REC_OmpR_RegX3-like', NULL, 'REC_OmpR_RegX3-like', NULL, NULL, NULL, 1),
(5133, NULL, 'cd15536', NULL, NULL, 'PHD_PHRF1', NULL, 'PHD_PHRF1', NULL, NULL, NULL, 1),
(5134, NULL, 'cd16868', NULL, NULL, 'ARID_ARID4', NULL, 'ARID_ARID4', NULL, NULL, NULL, 1),
(5135, NULL, 'cd12599', NULL, NULL, 'RRM1_SF2_plant_like', NULL, 'RRM1_SF2_plant_like', NULL, NULL, NULL, 1),
(5136, NULL, 'cd19389', NULL, NULL, 'TGF_beta_GDF11', NULL, 'TGF_beta_GDF11', NULL, NULL, NULL, 1),
(5137, NULL, 'cd12142', NULL, NULL, 'SH3_D21-like', NULL, 'SH3_D21-like', NULL, NULL, 15219, 1),
(5138, NULL, 'cd17320', NULL, NULL, 'MFS_MdfA_MDR_like', NULL, 'MFS_MdfA_MDR_like', NULL, NULL, NULL, 1),
(5139, NULL, 'cd16827', NULL, NULL, 'ChuX-like', NULL, 'ChuX-like', NULL, NULL, NULL, 1),
(5140, NULL, 'cd18366', NULL, NULL, 'BTB_POZ_KCTD7', NULL, 'BTB_POZ_KCTD7', NULL, NULL, NULL, 1),
(5141, NULL, 'cd09293', NULL, NULL, 'AMN1', NULL, 'AMN1', NULL, NULL, NULL, 1),
(5142, NULL, 'cd11243', NULL, NULL, 'Sema_7A', NULL, 'Sema_7A', NULL, NULL, 37620, 1),
(5143, NULL, 'cd07743', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, NULL, 1),
(5144, NULL, 'cd01017', NULL, NULL, 'AdcA', NULL, 'AdcA', NULL, NULL, NULL, 1),
(5145, NULL, 'cd13320', NULL, NULL, 'PH_OCRL-like', NULL, 'PH_OCRL-like', NULL, NULL, NULL, 1),
(5146, NULL, 'cd17097', NULL, NULL, 'FERM_F1_ERM_like', NULL, 'FERM_F1_ERM_like', NULL, NULL, NULL, 1),
(5147, NULL, 'cd18971', NULL, NULL, 'CD_POL_like', NULL, 'CD_POL_like', NULL, NULL, NULL, 1),
(5148, NULL, 'cd15372', NULL, NULL, '7tmA_PAR4', NULL, '7tmA_PAR4', NULL, NULL, NULL, 1),
(5149, NULL, 'cd00087', NULL, NULL, 'FReD', NULL, 'FReD', NULL, NULL, 5810, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5150, NULL, 'cd14623', NULL, NULL, 'R-PTPc-A-2', NULL, 'R-PTPc-A-2', NULL, NULL, NULL, 1),
(5151, NULL, 'cd17182', NULL, NULL, 'FERM_F0_KIND3', NULL, 'FERM_F0_KIND3', NULL, NULL, NULL, 1),
(5152, NULL, 'cd14179', NULL, NULL, 'STKc_MSK1_C', NULL, 'STKc_MSK1_C', NULL, NULL, NULL, 1),
(5153, NULL, 'cd03785', NULL, NULL, 'GT28_MurG', NULL, 'GT28_MurG', NULL, NULL, NULL, 1),
(5154, NULL, 'cd19072', NULL, NULL, 'AKR_AKR3F1-like', NULL, 'AKR_AKR3F1-like', NULL, NULL, NULL, 1),
(5155, NULL, 'cd16574', NULL, NULL, 'RING-HC_Topors', NULL, 'RING-HC_Topors', NULL, NULL, NULL, 1),
(5156, NULL, 'cd04277', NULL, NULL, 'ZnMc_serralysin_like', NULL, 'ZnMc_serralysin_like', NULL, NULL, 13192, 1),
(5157, NULL, 'cd17876', NULL, NULL, 'SRalpha_C', NULL, 'SRalpha_C', NULL, NULL, NULL, 1),
(5158, NULL, 'cd19170', NULL, NULL, 'SET_KMT2A_2B', NULL, 'SET_KMT2A_2B', NULL, NULL, NULL, 1),
(5159, NULL, 'cd11700', NULL, NULL, 'DHR2_DOCK11', NULL, 'DHR2_DOCK11', NULL, NULL, NULL, 1),
(5160, NULL, 'cd05944', NULL, NULL, 'FACL_like_4', NULL, 'FACL_like_4', NULL, NULL, NULL, 1),
(5161, NULL, 'cd06524', NULL, NULL, 'GH25_YegX-like', NULL, 'GH25_YegX-like', NULL, NULL, NULL, 1),
(5162, NULL, 'cd03708', NULL, NULL, 'GTPBP_III', NULL, 'GTPBP_III', NULL, NULL, NULL, 1),
(5163, NULL, 'cd18408', NULL, NULL, 'BTB_POZ_KCNA7', NULL, 'BTB_POZ_KCNA7', NULL, NULL, NULL, 1),
(5164, NULL, 'cd18425', NULL, NULL, 'BTB_POZ_KCNV2', NULL, 'BTB_POZ_KCNV2', NULL, NULL, NULL, 1),
(5165, NULL, 'cd16732', NULL, NULL, 'RING-HC_MKRN4', NULL, 'RING-HC_MKRN4', NULL, NULL, NULL, 1),
(5166, NULL, 'cd00477', NULL, NULL, 'FTHFS', NULL, 'FTHFS', NULL, NULL, 5503, 1),
(5167, NULL, 'cd08719', NULL, NULL, 'RGS_SNX13', NULL, 'RGS_SNX13', NULL, NULL, 30731, 1),
(5168, NULL, 'cd07167', NULL, NULL, 'NR_DBD_Lrh-1_like', NULL, 'NR_DBD_Lrh-1_like', NULL, NULL, NULL, 1),
(5169, NULL, 'cd04414', NULL, NULL, 'NDPk6', NULL, 'NDPk6', NULL, NULL, 29714, 1),
(5170, NULL, 'cd17272', NULL, NULL, 'RMtype1_S_Eco2747II-TRD2-CR2-like', NULL, 'RMtype1_S_Eco2747II-TRD2-CR2-like', NULL, NULL, NULL, 1),
(5171, NULL, 'cd08629', NULL, NULL, 'PI-PLCc_delta1', NULL, 'PI-PLCc_delta1', NULL, NULL, NULL, 1),
(5172, NULL, 'cd03756', NULL, NULL, 'proteasome_alpha_archeal', NULL, 'proteasome_alpha_archeal', NULL, NULL, 12285, 1),
(5173, NULL, 'cd00167', NULL, NULL, 'SANT', NULL, 'SANT', NULL, NULL, 4347, 1),
(5174, NULL, 'cd05059', NULL, NULL, 'PTKc_Tec_like', NULL, 'PTKc_Tec_like', NULL, NULL, NULL, 1),
(5175, NULL, 'cd02429', NULL, NULL, 'PTH2_like', NULL, 'PTH2_like', NULL, NULL, NULL, 1),
(5176, NULL, 'cd07097', NULL, NULL, 'ALDH_KGSADH-YcbD', NULL, 'ALDH_KGSADH-YcbD', NULL, NULL, NULL, 1),
(5177, NULL, 'cd07892', NULL, NULL, 'PolyPPase_VTC2-3_like', NULL, 'PolyPPase_VTC2-3_like', NULL, NULL, NULL, 1),
(5178, NULL, 'cd16828', NULL, NULL, 'HemS-like', NULL, 'HemS-like', NULL, NULL, NULL, 1),
(5179, NULL, 'cd08423', NULL, NULL, 'PBP2_LTTR_like_6', NULL, 'PBP2_LTTR_like_6', NULL, NULL, NULL, 1),
(5180, NULL, 'cd14969', NULL, NULL, '7tmA_Opsins_type2_animals', NULL, '7tmA_Opsins_type2_animals', NULL, NULL, NULL, 1),
(5181, NULL, 'cd07449', NULL, NULL, 'CRD_FZ3', NULL, 'CRD_FZ3', NULL, NULL, 32583, 1),
(5182, NULL, 'cd02009', NULL, NULL, 'TPP_SHCHC_synthase', NULL, 'TPP_SHCHC_synthase', NULL, NULL, NULL, 1),
(5183, NULL, 'cd17473', NULL, NULL, 'MFS_arabinose_efflux_permease_like', NULL, 'MFS_arabinose_efflux_permease_like', NULL, NULL, NULL, 1),
(5184, NULL, 'cd02576', NULL, NULL, 'PseudoU_synth_ScPUS7', NULL, 'PseudoU_synth_ScPUS7', NULL, NULL, NULL, 1),
(5185, NULL, 'cd14580', NULL, NULL, 'DUSP13A', NULL, 'DUSP13A', NULL, NULL, NULL, 1),
(5186, NULL, 'cd15977', NULL, NULL, '7tmA_ET-CR', NULL, '7tmA_ET-CR', NULL, NULL, NULL, 1),
(5187, NULL, 'cd15512', NULL, NULL, 'PHD4_KMT2C_like', NULL, 'PHD4_KMT2C_like', NULL, NULL, NULL, 1),
(5188, NULL, 'cd07977', NULL, NULL, 'TFIIE_beta_winged_helix', NULL, 'TFIIE_beta_winged_helix', NULL, NULL, 1726, 1),
(5189, NULL, 'cd00121', NULL, NULL, 'MATH', NULL, 'MATH', NULL, NULL, 1063, 1),
(5190, NULL, 'cd01672', NULL, NULL, 'TMPK', NULL, 'TMPK', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5191, NULL, 'cd19571', NULL, NULL, 'serpinB12_yukopin', NULL, 'serpinB12_yukopin', NULL, NULL, NULL, 1),
(5192, NULL, 'cd17496', NULL, NULL, 'RMtype1_S_BliBORF2384P-TRD1-CR1_like', NULL, 'RMtype1_S_BliBORF2384P-TRD1-CR1_like', NULL, NULL, NULL, 1),
(5193, NULL, 'cd00191', NULL, NULL, 'TY', NULL, 'TY', NULL, NULL, 6640, 1),
(5194, NULL, 'cd00585', NULL, NULL, 'Peptidase_C1B', NULL, 'Peptidase_C1B', NULL, NULL, 2945, 1),
(5195, NULL, 'cd01481', NULL, NULL, 'vWA_collagen_alpha3-VI-like', NULL, 'vWA_collagen_alpha3-VI-like', NULL, NULL, 32818, 1),
(5196, NULL, 'cd12087', NULL, NULL, 'TM_EGFR-like', NULL, 'TM_EGFR-like', NULL, NULL, NULL, 1),
(5197, NULL, 'cd12256', NULL, NULL, 'RRM2_LKAP', NULL, 'RRM2_LKAP', NULL, NULL, 6051, 1),
(5198, NULL, 'cd14376', NULL, NULL, 'CUE_AUP1_AMFR_like', NULL, 'CUE_AUP1_AMFR_like', NULL, NULL, NULL, 1),
(5199, NULL, 'cd16658', NULL, NULL, 'RING-Ubox_UBE4B', NULL, 'RING-Ubox_UBE4B', NULL, NULL, NULL, 1),
(5200, NULL, 'cd00094', NULL, NULL, 'HX', NULL, 'HX', NULL, NULL, 5786, 1),
(5201, NULL, 'cd14075', NULL, NULL, 'STKc_NIM1', NULL, 'STKc_NIM1', NULL, NULL, NULL, 1),
(5202, NULL, 'cd12307', NULL, NULL, 'RRM_NIFK_like', NULL, 'RRM_NIFK_like', NULL, NULL, NULL, 1),
(5203, NULL, 'cd14128', NULL, NULL, 'STKc_CK1_alpha', NULL, 'STKc_CK1_alpha', NULL, NULL, NULL, 1),
(5204, NULL, 'cd11828', NULL, NULL, 'SH3_ARHGEF9_like', NULL, 'SH3_ARHGEF9_like', NULL, NULL, NULL, 1),
(5205, NULL, 'cd04785', NULL, NULL, 'HTH_CadR-PbrR-like', NULL, 'HTH_CadR-PbrR-like', NULL, NULL, NULL, 1),
(5206, NULL, 'cd17173', NULL, NULL, 'FERM_F1_TLN1', NULL, 'FERM_F1_TLN1', NULL, NULL, NULL, 1),
(5207, NULL, 'cd06262', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, NULL, 1),
(5208, NULL, 'cd02057', NULL, NULL, 'serpinB5_maspin', NULL, 'serpinB5_maspin', NULL, NULL, 34015, 1),
(5209, NULL, 'cd12756', NULL, NULL, 'RRM1_hnRNPD', NULL, 'RRM1_hnRNPD', NULL, NULL, NULL, 1),
(5210, NULL, 'cd08476', NULL, NULL, 'PBP2_CrgA_like_7', NULL, 'PBP2_CrgA_like_7', NULL, NULL, NULL, 1),
(5211, NULL, 'cd13584', NULL, NULL, 'PBP2_AlgQ1_2', NULL, 'PBP2_AlgQ1_2', NULL, NULL, NULL, 1),
(5212, NULL, 'cd16337', NULL, NULL, 'MukF_C', NULL, 'MukF_C', NULL, NULL, 34026, 1),
(5213, NULL, 'cd01224', NULL, NULL, 'PH_Collybistin_ASEF', NULL, 'PH_Collybistin_ASEF', NULL, NULL, NULL, 1),
(5214, NULL, 'cd16667', NULL, NULL, 'RING-H2_RNF126_like', NULL, 'RING-H2_RNF126_like', NULL, NULL, NULL, 1),
(5215, NULL, 'cd02173', NULL, NULL, 'ECT', NULL, 'ECT', NULL, NULL, NULL, 1),
(5216, NULL, 'cd03125', NULL, NULL, 'alpha_CA_VI', NULL, 'alpha_CA_VI', NULL, NULL, NULL, 1),
(5217, NULL, 'cd16569', NULL, NULL, 'RING-HC_SHPRH', NULL, 'RING-HC_SHPRH', NULL, NULL, NULL, 1),
(5218, NULL, 'cd18195', NULL, NULL, 'BTB_POZ_ZBTB4', NULL, 'BTB_POZ_ZBTB4', NULL, NULL, NULL, 1),
(5219, NULL, 'cd06274', NULL, NULL, 'PBP1_FruR', NULL, 'PBP1_FruR', NULL, NULL, NULL, 1),
(5220, NULL, 'cd09220', NULL, NULL, 'GH64-GluB-like', NULL, 'GH64-GluB-like', NULL, NULL, NULL, 1),
(5221, NULL, 'cd12145', NULL, NULL, 'Rev1_C', NULL, 'Rev1_C', NULL, NULL, NULL, 1),
(5222, NULL, 'cd19364', NULL, NULL, 'TenA_C_BsTenA-like', NULL, 'TenA_C_BsTenA-like', NULL, NULL, NULL, 1),
(5223, NULL, 'cd11318', NULL, NULL, 'AmyAc_bac_fung_AmyA', NULL, 'AmyAc_bac_fung_AmyA', NULL, NULL, NULL, 1),
(5224, NULL, 'cd15757', NULL, NULL, 'FYVE_WDFY2', NULL, 'FYVE_WDFY2', NULL, NULL, NULL, 1),
(5225, NULL, 'cd05104', NULL, NULL, 'PTKc_Kit', NULL, 'PTKc_Kit', NULL, NULL, NULL, 1),
(5226, NULL, 'cd16281', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, NULL, 1),
(5227, NULL, 'cd13896', NULL, NULL, 'CuRO_3_CopA', NULL, 'CuRO_3_CopA', NULL, NULL, 2090, 1),
(5228, NULL, 'cd07532', NULL, NULL, 'HAD_PNPase_UmpH-like', NULL, 'HAD_PNPase_UmpH-like', NULL, NULL, NULL, 1),
(5229, NULL, 'cd07595', NULL, NULL, 'BAR_RhoGAP_Rich-like', NULL, 'BAR_RhoGAP_Rich-like', NULL, NULL, NULL, 1),
(5230, NULL, 'cd13616', NULL, NULL, 'PBP2_OsmF', NULL, 'PBP2_OsmF', NULL, NULL, NULL, 1),
(5231, NULL, 'cd03146', NULL, NULL, 'GAT1_Peptidase_E', NULL, 'GAT1_Peptidase_E', NULL, NULL, 5532, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5232, NULL, 'cd12655', NULL, NULL, 'RRM3_HuC', NULL, 'RRM3_HuC', NULL, NULL, 11116, 1),
(5233, NULL, 'cd05136', NULL, NULL, 'RasGAP_DAB2IP', NULL, 'RasGAP_DAB2IP', NULL, NULL, NULL, 1),
(5234, NULL, 'cd05301', NULL, NULL, 'GDH', NULL, 'GDH', NULL, NULL, NULL, 1),
(5235, NULL, 'cd07927', NULL, NULL, 'RHD-n_NFAT_like', NULL, 'RHD-n_NFAT_like', NULL, NULL, NULL, 1),
(5236, NULL, 'cd09937', NULL, NULL, 'SH2_csk_like', NULL, 'SH2_csk_like', NULL, NULL, 13751, 1),
(5237, NULL, 'cd17387', NULL, NULL, 'MFS_MFSD14', NULL, 'MFS_MFSD14', NULL, NULL, NULL, 1),
(5238, NULL, 'cd04848', NULL, NULL, 'Peptidases_S8_Autotransporter_serine_protease_like', NULL, 'Peptidases_S8_Autotransporter_serine_protease_like', NULL, NULL, 29939, 1),
(5239, NULL, 'cd08879', NULL, NULL, 'RHO_alpha_C_AntDO-like', NULL, 'RHO_alpha_C_AntDO-like', NULL, NULL, NULL, 1),
(5240, NULL, 'cd14978', NULL, NULL, '7tmA_FMRFamide_R-like', NULL, '7tmA_FMRFamide_R-like', NULL, NULL, NULL, 1),
(5241, NULL, 'cd11811', NULL, NULL, 'SH3_CHK', NULL, 'SH3_CHK', NULL, NULL, NULL, 1),
(5242, NULL, 'cd12262', NULL, NULL, 'RRM2_4_MRN1', NULL, 'RRM2_4_MRN1', NULL, NULL, 19946, 1),
(5243, NULL, 'cd15270', NULL, NULL, '7tmB1_GHRHR', NULL, '7tmB1_GHRHR', NULL, NULL, NULL, 1),
(5244, NULL, 'cd05862', NULL, NULL, 'Ig_VEGFR', NULL, 'Ig_VEGFR', NULL, NULL, NULL, 1),
(5245, NULL, 'cd18246', NULL, NULL, 'BTB_POZ_KLHL17_actinfilin', NULL, 'BTB_POZ_KLHL17_actinfilin', NULL, NULL, NULL, 1),
(5246, NULL, 'cd05018', NULL, NULL, 'CoxG', NULL, 'CoxG', NULL, NULL, 9520, 1),
(5247, NULL, 'cd01959', NULL, NULL, 'nsLTP2', NULL, 'nsLTP2', NULL, NULL, 33096, 1),
(5248, NULL, 'cd00765', NULL, NULL, 'Pyrophosphate_PFK', NULL, 'Pyrophosphate_PFK', NULL, NULL, NULL, 1),
(5249, NULL, 'cd09116', NULL, NULL, 'PLDc_Nuc_like', NULL, 'PLDc_Nuc_like', NULL, NULL, NULL, 1),
(5250, NULL, 'cd15778', NULL, NULL, 'Lreu_0056_like', NULL, 'Lreu_0056_like', NULL, NULL, NULL, 1),
(5251, NULL, 'cd17404', NULL, NULL, 'MFS_SLCO5_OATP5', NULL, 'MFS_SLCO5_OATP5', NULL, NULL, NULL, 1),
(5252, NULL, 'cd11486', NULL, NULL, 'SLC5sbd_SGLT1', NULL, 'SLC5sbd_SGLT1', NULL, NULL, NULL, 1),
(5253, NULL, 'cd19191', NULL, NULL, 'PR-SET_PRDM6', NULL, 'PR-SET_PRDM6', NULL, NULL, 37699, 1),
(5254, NULL, 'cd06939', NULL, NULL, 'NR_LBD_ROR_like', NULL, 'NR_LBD_ROR_like', NULL, NULL, NULL, 1),
(5255, NULL, 'cd15324', NULL, NULL, '7tmA_alpha-2D_AR', NULL, '7tmA_alpha-2D_AR', NULL, NULL, NULL, 1),
(5256, NULL, 'cd05144', NULL, NULL, 'RIO2_C', NULL, 'RIO2_C', NULL, NULL, 28443, 1),
(5257, NULL, 'cd00524', NULL, NULL, 'SORL', NULL, 'SORL', NULL, NULL, NULL, 1),
(5258, NULL, 'cd02163', NULL, NULL, 'PPAT', NULL, 'PPAT', NULL, NULL, 4331, 1),
(5259, NULL, 'cd07842', NULL, NULL, 'STKc_CDK8_like', NULL, 'STKc_CDK8_like', NULL, NULL, NULL, 1),
(5260, NULL, 'cd03428', NULL, NULL, 'Ap4A_hydrolase_human_like', NULL, 'Ap4A_hydrolase_human_like', NULL, NULL, 6344, 1),
(5261, NULL, 'cd19378', NULL, NULL, 'TGF_beta_DAF7', NULL, 'TGF_beta_DAF7', NULL, NULL, NULL, 1),
(5262, NULL, 'cd14790', NULL, NULL, 'GH_D', NULL, 'GH_D', NULL, NULL, NULL, 1),
(5263, NULL, 'cd12402', NULL, NULL, 'RRM_eIF4B', NULL, 'RRM_eIF4B', NULL, NULL, NULL, 1),
(5264, NULL, 'cd11325', NULL, NULL, 'AmyAc_GTHase', NULL, 'AmyAc_GTHase', NULL, NULL, NULL, 1),
(5265, NULL, 'cd18571', NULL, NULL, 'ABC_6TM_peptidase_like', NULL, 'ABC_6TM_peptidase_like', NULL, NULL, NULL, 1),
(5266, NULL, 'cd18471', NULL, NULL, 'BACK_KLHL32_BKLHD5', NULL, 'BACK_KLHL32_BKLHD5', NULL, NULL, NULL, 1),
(5267, NULL, 'cd10532', NULL, NULL, 'SET_SUV39H2', NULL, 'SET_SUV39H2', NULL, NULL, NULL, 1),
(5268, NULL, 'cd10550', NULL, NULL, 'DMSOR_beta_like', NULL, 'DMSOR_beta_like', NULL, NULL, NULL, 1),
(5269, NULL, 'cd15718', NULL, NULL, 'FYVE_WDFY1_like', NULL, 'FYVE_WDFY1_like', NULL, NULL, NULL, 1),
(5270, NULL, 'cd17458', NULL, NULL, 'MFS_SLCO1A_OATP1A', NULL, 'MFS_SLCO1A_OATP1A', NULL, NULL, NULL, 1),
(5271, NULL, 'cd18225', NULL, NULL, 'BTB_POZ_ZBTB40', NULL, 'BTB_POZ_ZBTB40', NULL, NULL, NULL, 1),
(5272, NULL, 'cd11874', NULL, NULL, 'SH3_CD2AP-like_2', NULL, 'SH3_CD2AP-like_2', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5273, NULL, 'cd13273', NULL, NULL, 'PH_SWAP-70', NULL, 'PH_SWAP-70', NULL, NULL, NULL, 1),
(5274, NULL, 'cd16408', NULL, NULL, 'ParB_N_like', NULL, 'ParB_N_like', NULL, NULL, NULL, 1),
(5275, NULL, 'cd16211', NULL, NULL, 'EFh_PI-PLCbeta4', NULL, 'EFh_PI-PLCbeta4', NULL, NULL, NULL, 1),
(5276, NULL, 'cd02149', NULL, NULL, 'NfsB-like', NULL, 'NfsB-like', NULL, NULL, 33210, 1),
(5277, NULL, 'cd01658', NULL, NULL, 'Ribosomal_L30', NULL, 'Ribosomal_L30', NULL, NULL, 1382, 1),
(5278, NULL, 'cd01544', NULL, NULL, 'PBP1_GalR', NULL, 'PBP1_GalR', NULL, NULL, NULL, 1),
(5279, NULL, 'cd18209', NULL, NULL, 'BTB_POZ_ZBTB21_ZNF295', NULL, 'BTB_POZ_ZBTB21_ZNF295', NULL, NULL, NULL, 1),
(5280, NULL, 'cd06402', NULL, NULL, 'PB1_p62', NULL, 'PB1_p62', NULL, NULL, 36031, 1),
(5281, NULL, 'cd09597', NULL, NULL, 'M4_TLP', NULL, 'M4_TLP', NULL, NULL, NULL, 1),
(5282, NULL, 'cd09850', NULL, NULL, 'Ebola-like_HR1-HR2', NULL, 'Ebola-like_HR1-HR2', NULL, NULL, NULL, 1),
(5283, NULL, 'cd17959', NULL, NULL, 'DEADc_DDX54', NULL, 'DEADc_DDX54', NULL, NULL, NULL, 1),
(5284, NULL, 'cd01251', NULL, NULL, 'PH2_ADAP', NULL, 'PH2_ADAP', NULL, NULL, 33707, 1),
(5285, NULL, 'cd05052', NULL, NULL, 'PTKc_Abl', NULL, 'PTKc_Abl', NULL, NULL, NULL, 1),
(5286, NULL, 'cd15402', NULL, NULL, '7tmA_Mel1A', NULL, '7tmA_Mel1A', NULL, NULL, NULL, 1),
(5287, NULL, 'cd14073', NULL, NULL, 'STKc_NUAK', NULL, 'STKc_NUAK', NULL, NULL, NULL, 1),
(5288, NULL, 'cd14991', NULL, NULL, '7tmA_HCAR-like', NULL, '7tmA_HCAR-like', NULL, NULL, NULL, 1),
(5289, NULL, 'cd12041', NULL, NULL, 'SH3_CACNB1', NULL, 'SH3_CACNB1', NULL, NULL, NULL, 1),
(5290, NULL, 'cd05477', NULL, NULL, 'gastricsin', NULL, 'gastricsin', NULL, NULL, NULL, 1),
(5291, NULL, 'cd08935', NULL, NULL, 'mannonate_red_SDR_c', NULL, 'mannonate_red_SDR_c', NULL, NULL, NULL, 1),
(5292, NULL, 'cd05614', NULL, NULL, 'STKc_MSK2_N', NULL, 'STKc_MSK2_N', NULL, NULL, 33506, 1),
(5293, NULL, 'cd07871', NULL, NULL, 'STKc_PCTAIRE3', NULL, 'STKc_PCTAIRE3', NULL, NULL, NULL, 1),
(5294, NULL, 'cd04385', NULL, NULL, 'RhoGAP_ARAP', NULL, 'RhoGAP_ARAP', NULL, NULL, 34544, 1),
(5295, NULL, 'cd16439', NULL, NULL, 'beta_Kdo_transferase_KpsC_2', NULL, 'beta_Kdo_transferase_KpsC_2', NULL, NULL, NULL, 1),
(5296, NULL, 'cd10278', NULL, NULL, 'PQQ_MDH', NULL, 'PQQ_MDH', NULL, NULL, NULL, 1),
(5297, NULL, 'cd09445', NULL, NULL, 'LIM_Mical_like_2', NULL, 'LIM_Mical_like_2', NULL, NULL, NULL, 1),
(5298, NULL, 'cd12305', NULL, NULL, 'RRM_NELFE', NULL, 'RRM_NELFE', NULL, NULL, 12986, 1),
(5299, NULL, 'cd18586', NULL, NULL, 'ABC_6TM_PrtD_like', NULL, 'ABC_6TM_PrtD_like', NULL, NULL, NULL, 1),
(5300, NULL, 'cd11839', NULL, NULL, 'SH3_Intersectin_4', NULL, 'SH3_Intersectin_4', NULL, NULL, NULL, 1),
(5301, NULL, 'cd05945', NULL, NULL, 'DltA', NULL, 'DltA', NULL, NULL, 38862, 1),
(5302, NULL, 'cd14491', NULL, NULL, 'lipocalin_MxiM-like', NULL, 'lipocalin_MxiM-like', NULL, NULL, NULL, 1),
(5303, NULL, 'cd03455', NULL, NULL, 'SAV4209', NULL, 'SAV4209', NULL, NULL, NULL, 1),
(5304, NULL, 'cd16715', NULL, NULL, 'vRING-HC_IRF2BP1', NULL, 'vRING-HC_IRF2BP1', NULL, NULL, NULL, 1),
(5305, NULL, 'cd19554', NULL, NULL, 'serpinA6_CBG', NULL, 'serpinA6_CBG', NULL, NULL, NULL, 1),
(5306, NULL, 'cd08459', NULL, NULL, 'PBP2_DntR_NahR_LinR_like', NULL, 'PBP2_DntR_NahR_LinR_like', NULL, NULL, NULL, 1),
(5307, NULL, 'cd14497', NULL, NULL, 'PTP_PTEN-like', NULL, 'PTP_PTEN-like', NULL, NULL, NULL, 1),
(5308, NULL, 'cd13305', NULL, NULL, 'PH_SHARPIN', NULL, 'PH_SHARPIN', NULL, NULL, NULL, 1),
(5309, NULL, 'cd04122', NULL, NULL, 'Rab14', NULL, 'Rab14', NULL, NULL, 25750, 1),
(5310, NULL, 'cd07354', NULL, NULL, 'HN_L-delphilin-R1_like', NULL, 'HN_L-delphilin-R1_like', NULL, NULL, NULL, 1),
(5311, NULL, 'cd17151', NULL, NULL, 'DCX1_DCDC2C', NULL, 'DCX1_DCDC2C', NULL, NULL, NULL, 1),
(5312, NULL, 'cd09418', NULL, NULL, 'LIM2_Prickle', NULL, 'LIM2_Prickle', NULL, NULL, 35277, 1),
(5313, NULL, 'cd16670', NULL, NULL, 'RING-H2_RNF215', NULL, 'RING-H2_RNF215', NULL, NULL, NULL, 1),
(5314, NULL, 'cd06348', NULL, NULL, 'PBP1_ABC_HAAT-like', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5315, NULL, 'cd07497', NULL, NULL, 'Peptidases_S8_14', NULL, 'Peptidases_S8_14', NULL, NULL, 25545, 1),
(5316, NULL, 'cd10576', NULL, NULL, 'TNFRSF1A', NULL, 'TNFRSF1A', NULL, NULL, 35016, 1),
(5317, NULL, 'cd04900', NULL, NULL, 'ACT_UUR-like_1', NULL, 'ACT_UUR-like_1', NULL, NULL, NULL, 1),
(5318, NULL, 'cd04253', NULL, NULL, 'AAK_UMPK-PyrH-Pf', NULL, 'AAK_UMPK-PyrH-Pf', NULL, NULL, 13214, 1),
(5319, NULL, 'cd07134', NULL, NULL, 'ALDH_AlkH-like', NULL, 'ALDH_AlkH-like', NULL, NULL, NULL, 1),
(5320, NULL, 'cd10337', NULL, NULL, 'SH2_BCAR3', NULL, 'SH2_BCAR3', NULL, NULL, 37615, 1),
(5321, NULL, 'cd15671', NULL, NULL, 'ePHD_JADE', NULL, 'ePHD_JADE', NULL, NULL, NULL, 1),
(5322, NULL, 'cd07735', NULL, NULL, 'class_II_PDE_MBL-fold', NULL, 'class_II_PDE_MBL-fold', NULL, NULL, 6791, 1),
(5323, NULL, 'cd14690', NULL, NULL, 'bZIP_CREB1', NULL, 'bZIP_CREB1', NULL, NULL, NULL, 1),
(5324, NULL, 'cd01910', NULL, NULL, 'Wali7', NULL, 'Wali7', NULL, NULL, NULL, 1),
(5325, NULL, 'cd06628', NULL, NULL, 'STKc_Byr2_like', NULL, 'STKc_Byr2_like', NULL, NULL, NULL, 1),
(5326, NULL, 'cd08200', NULL, NULL, 'catalase_peroxidase_2', NULL, 'catalase_peroxidase_2', NULL, NULL, NULL, 1),
(5327, NULL, 'cd04986', NULL, NULL, 'IgC_CH2_IgA', NULL, 'IgC_CH2_IgA', NULL, NULL, NULL, 1),
(5328, NULL, 'cd01516', NULL, NULL, 'FBPase_glpX', NULL, 'FBPase_glpX', NULL, NULL, 7459, 1),
(5329, NULL, 'cd11610', NULL, NULL, 'eIF2D_N', NULL, 'eIF2D_N', NULL, NULL, NULL, 1),
(5330, NULL, 'cd10573', NULL, NULL, 'PH_DAPP1', NULL, 'PH_DAPP1', NULL, NULL, NULL, 1),
(5331, NULL, 'cd11787', NULL, NULL, 'SH3_SH3RF_2', NULL, 'SH3_SH3RF_2', NULL, NULL, NULL, 1),
(5332, NULL, 'cd13613', NULL, NULL, 'PBP2_Opu_like_2', NULL, 'PBP2_Opu_like_2', NULL, NULL, NULL, 1),
(5333, NULL, 'cd15174', NULL, NULL, '7tmA_CCR9', NULL, '7tmA_CCR9', NULL, NULL, NULL, 1),
(5334, NULL, 'cd18615', NULL, NULL, 'GH130', NULL, 'GH130', NULL, NULL, NULL, 1),
(5335, NULL, 'cd03462', NULL, NULL, '1,2-CCD', NULL, '1,2-CCD', NULL, NULL, 12777, 1),
(5336, NULL, 'cd14270', NULL, NULL, 'UBA', NULL, 'UBA', NULL, NULL, NULL, 1),
(5337, NULL, 'cd17413', NULL, NULL, 'MFS_NPF6', NULL, 'MFS_NPF6', NULL, NULL, NULL, 1),
(5338, NULL, 'cd14144', NULL, NULL, 'STKc_BMPR1', NULL, 'STKc_BMPR1', NULL, NULL, NULL, 1),
(5339, NULL, 'cd13197', NULL, NULL, 'FERM_C_CCM1', NULL, 'FERM_C_CCM1', NULL, NULL, 32752, 1),
(5340, NULL, 'cd12251', NULL, NULL, 'RRM3_hnRNPR_like', NULL, 'RRM3_hnRNPR_like', NULL, NULL, NULL, 1),
(5341, NULL, 'cd12695', NULL, NULL, 'RRM3_PTBP1', NULL, 'RRM3_PTBP1', NULL, NULL, 20836, 1),
(5342, NULL, 'cd08684', NULL, NULL, 'C2A_Tac2-N', NULL, 'C2A_Tac2-N', NULL, NULL, 30817, 1),
(5343, NULL, 'cd21519', NULL, NULL, 'cv_beta_Nsp2_MHV-like', NULL, 'cv_beta_Nsp2_MHV-like', NULL, NULL, 38228, 1),
(5344, NULL, 'cd03346', NULL, NULL, 'eu_TrpOH', NULL, 'eu_TrpOH', NULL, NULL, 32132, 1),
(5345, NULL, 'cd09530', NULL, NULL, 'SAM_Samd14', NULL, 'SAM_Samd14', NULL, NULL, NULL, 1),
(5346, NULL, 'cd00606', NULL, NULL, 'fungal_RNase', NULL, 'fungal_RNase', NULL, NULL, NULL, 1),
(5347, NULL, 'cd00930', NULL, NULL, 'Cyt_c_Oxidase_VIII', NULL, 'Cyt_c_Oxidase_VIII', NULL, NULL, NULL, 1),
(5348, NULL, 'cd03875', NULL, NULL, 'M28_Fxna_like', NULL, 'M28_Fxna_like', NULL, NULL, NULL, 1),
(5349, NULL, 'cd08151', NULL, NULL, 'AOS', NULL, 'AOS', NULL, NULL, NULL, 1),
(5350, NULL, 'cd19353', NULL, NULL, 'Wnt_Wnt9a', NULL, 'Wnt_Wnt9a', NULL, NULL, NULL, 1),
(5351, NULL, 'cd19746', NULL, NULL, 'bHLH_TS_ASCL4', NULL, 'bHLH_TS_ASCL4', NULL, NULL, NULL, 1),
(5352, NULL, 'cd05935', NULL, NULL, 'LC_FACS_like', NULL, 'LC_FACS_like', NULL, NULL, NULL, 1),
(5353, NULL, 'cd15340', NULL, NULL, '7tmA_CB1', NULL, '7tmA_CB1', NULL, NULL, NULL, 1),
(5354, NULL, 'cd07130', NULL, NULL, 'ALDH_F7_AASADH', NULL, 'ALDH_F7_AASADH', NULL, NULL, NULL, 1),
(5355, NULL, 'cd05583', NULL, NULL, 'STKc_MSK_N', NULL, 'STKc_MSK_N', NULL, NULL, NULL, 1),
(5356, NULL, 'cd02341', NULL, NULL, 'ZZ_ZZZ3', NULL, 'ZZ_ZZZ3', NULL, NULL, 33407, 1),
(5357, NULL, 'cd05728', NULL, NULL, 'Ig4_Contactin-2-like', NULL, 'Ig4_Contactin-2-like', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5358, NULL, 'cd03768', NULL, NULL, 'SR_ResInv', NULL, 'SR_ResInv', NULL, NULL, NULL, 1),
(5359, NULL, 'cd08361', NULL, NULL, 'PpCmtC_N', NULL, 'PpCmtC_N', NULL, NULL, NULL, 1),
(5360, NULL, 'cd16616', NULL, NULL, 'mRING-HC-C4C4_Asi1p_like', NULL, 'mRING-HC-C4C4_Asi1p_like', NULL, NULL, NULL, 1),
(5361, NULL, 'cd13521', NULL, NULL, 'PBP2_AlgQ_like', NULL, 'PBP2_AlgQ_like', NULL, NULL, NULL, 1),
(5362, NULL, 'cd04212', NULL, NULL, 'CuRO_UO_II', NULL, 'CuRO_UO_II', NULL, NULL, 18560, 1),
(5363, NULL, 'cd16142', NULL, NULL, 'ARS_like', NULL, 'ARS_like', NULL, NULL, NULL, 1),
(5364, NULL, 'cd10484', NULL, NULL, 'EphR_LBD_A6', NULL, 'EphR_LBD_A6', NULL, NULL, 29814, 1),
(5365, NULL, 'cd05163', NULL, NULL, 'PIKK_TRRAP', NULL, 'PIKK_TRRAP', NULL, NULL, NULL, 1),
(5366, NULL, 'cd19440', NULL, NULL, 'lipocalin_Bla_g_4_Per_a_4', NULL, 'lipocalin_Bla_g_4_Per_a_4', NULL, NULL, NULL, 1),
(5367, NULL, 'cd15234', NULL, NULL, '7tmA_OR7-like', NULL, '7tmA_OR7-like', NULL, NULL, NULL, 1),
(5368, NULL, 'cd09510', NULL, NULL, 'SAM_aveugle-like', NULL, 'SAM_aveugle-like', NULL, NULL, 31218, 1),
(5369, NULL, 'cd11452', NULL, NULL, 'bHLH_AtNAI1_like', NULL, 'bHLH_AtNAI1_like', NULL, NULL, NULL, 1),
(5370, NULL, 'cd00049', NULL, NULL, 'MH1', NULL, 'MH1', NULL, NULL, NULL, 1),
(5371, NULL, 'cd09426', NULL, NULL, 'LIM2_FHL2', NULL, 'LIM2_FHL2', NULL, NULL, NULL, 1),
(5372, NULL, 'cd18730', NULL, NULL, 'PIN_PH0500-like', NULL, 'PIN_PH0500-like', NULL, NULL, NULL, 1),
(5373, NULL, 'cd14059', NULL, NULL, 'STKc_MAP3K12_13', NULL, 'STKc_MAP3K12_13', NULL, NULL, NULL, 1),
(5374, NULL, 'cd10156', NULL, NULL, 'FpFrmR-Cterm-like_DUF156', NULL, 'FpFrmR-Cterm-like_DUF156', NULL, NULL, NULL, 1),
(5375, NULL, 'cd02218', NULL, NULL, 'cupin_PGI', NULL, 'cupin_PGI', NULL, NULL, NULL, 1),
(5376, NULL, 'cd16272', NULL, NULL, 'RNaseZ_MBL-fold', NULL, 'RNaseZ_MBL-fold', NULL, NULL, NULL, 1),
(5377, NULL, 'cd15710', NULL, NULL, 'ePHD1_PHF6', NULL, 'ePHD1_PHF6', NULL, NULL, NULL, 1),
(5378, NULL, 'cd05705', NULL, NULL, 'S1_Rrp5_repeat_hs14', NULL, 'S1_Rrp5_repeat_hs14', NULL, NULL, NULL, 1),
(5379, NULL, 'cd12628', NULL, NULL, 'RRM2_IGF2BP1', NULL, 'RRM2_IGF2BP1', NULL, NULL, 36199, 1),
(5380, NULL, 'cd09904', NULL, NULL, 'H3TH_XPG', NULL, 'H3TH_XPG', NULL, NULL, NULL, 1),
(5381, NULL, 'cd08880', NULL, NULL, 'RHO_alpha_C_ahdA1c-like', NULL, 'RHO_alpha_C_ahdA1c-like', NULL, NULL, 36920, 1),
(5382, NULL, 'cd14495', NULL, NULL, 'PTPLP-like', NULL, 'PTPLP-like', NULL, NULL, NULL, 1),
(5383, NULL, 'cd12927', NULL, NULL, 'MMP_TTHA0227_like', NULL, 'MMP_TTHA0227_like', NULL, NULL, NULL, 1),
(5384, NULL, 'cd16547', NULL, NULL, 'RING-HC_RNF151', NULL, 'RING-HC_RNF151', NULL, NULL, NULL, 1),
(5385, NULL, 'cd17562', NULL, NULL, 'REC_CheY4-like', NULL, 'REC_CheY4-like', NULL, NULL, NULL, 1),
(5386, NULL, 'cd09021', NULL, NULL, 'Aldose_epim_Ec_YphB', NULL, 'Aldose_epim_Ec_YphB', NULL, NULL, NULL, 1),
(5387, NULL, 'cd14694', NULL, NULL, 'bZIP_NFIL3', NULL, 'bZIP_NFIL3', NULL, NULL, NULL, 1),
(5388, NULL, 'cd09623', NULL, NULL, 'DOMON_EBDH', NULL, 'DOMON_EBDH', NULL, NULL, 20353, 1),
(5389, NULL, 'cd11541', NULL, NULL, 'NTP-PPase_u4', NULL, 'NTP-PPase_u4', NULL, NULL, 14782, 1),
(5390, NULL, 'cd03294', NULL, NULL, 'ABC_Pro_Gly_Betaine', NULL, 'ABC_Pro_Gly_Betaine', NULL, NULL, NULL, 1),
(5391, NULL, 'cd12495', NULL, NULL, 'RRM3_hnRNPQ', NULL, 'RRM3_hnRNPQ', NULL, NULL, NULL, 1),
(5392, NULL, 'cd17596', NULL, NULL, 'REC_HupR', NULL, 'REC_HupR', NULL, NULL, NULL, 1),
(5393, NULL, 'cd07222', NULL, NULL, 'Pat_PNPLA4', NULL, 'Pat_PNPLA4', NULL, NULL, 32875, 1),
(5394, NULL, 'cd01470', NULL, NULL, 'vWA_complement_factors', NULL, 'vWA_complement_factors', NULL, NULL, NULL, 1),
(5395, NULL, 'cd02651', NULL, NULL, 'nuc_hydro_IU_UC_XIUA', NULL, 'nuc_hydro_IU_UC_XIUA', NULL, NULL, NULL, 1),
(5396, NULL, 'cd09208', NULL, NULL, 'Lumazine_synthase-II', NULL, 'Lumazine_synthase-II', NULL, NULL, NULL, 1),
(5397, NULL, 'cd00992', NULL, NULL, 'PDZ_signaling', NULL, 'PDZ_signaling', NULL, NULL, NULL, 1),
(5398, NULL, 'cd09477', NULL, NULL, 'LIM2_TLP', NULL, 'LIM2_TLP', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5399, NULL, 'cd00111', NULL, NULL, 'Trefoil', NULL, 'Trefoil', NULL, NULL, 5875, 1),
(5400, NULL, 'cd13207', NULL, NULL, 'FERM-like_C_SNX', NULL, 'FERM-like_C_SNX', NULL, NULL, NULL, 1),
(5401, NULL, 'cd03521', NULL, NULL, 'Link_domain_KIAA0527_like', NULL, 'Link_domain_KIAA0527_like', NULL, NULL, 34218, 1),
(5402, NULL, 'cd13603', NULL, NULL, 'PBP2_TRAP_Siap_TeaA_like', NULL, 'PBP2_TRAP_Siap_TeaA_like', NULL, NULL, NULL, 1),
(5403, NULL, 'cd08222', NULL, NULL, 'STKc_Nek11', NULL, 'STKc_Nek11', NULL, NULL, NULL, 1),
(5404, NULL, 'cd04861', NULL, NULL, 'LigD_Pol_like', NULL, 'LigD_Pol_like', NULL, NULL, NULL, 1),
(5405, NULL, 'cd12020', NULL, NULL, 'SH3_Tks5_5', NULL, 'SH3_Tks5_5', NULL, NULL, 20635, 1),
(5406, NULL, 'cd15685', NULL, NULL, 'PHD_ING5', NULL, 'PHD_ING5', NULL, NULL, NULL, 1),
(5407, NULL, 'cd08300', NULL, NULL, 'alcohol_DH_class_III', NULL, 'alcohol_DH_class_III', NULL, NULL, 8955, 1),
(5408, NULL, 'cd11655', NULL, NULL, 'rap1_myb-like', NULL, 'rap1_myb-like', NULL, NULL, NULL, 1),
(5409, NULL, 'cd12934', NULL, NULL, 'LEM', NULL, 'LEM', NULL, NULL, NULL, 1),
(5410, NULL, 'cd19196', NULL, NULL, 'PR-SET_PRDM12', NULL, 'PR-SET_PRDM12', NULL, NULL, 38757, 1),
(5411, NULL, 'cd09133', NULL, NULL, 'PLDc_unchar5', NULL, 'PLDc_unchar5', NULL, NULL, NULL, 1),
(5412, NULL, 'cd01831', NULL, NULL, 'Endoglucanase_E_like', NULL, 'Endoglucanase_E_like', NULL, NULL, 35962, 1),
(5413, NULL, 'cd10913', NULL, NULL, 'Peptidase_C25_N_gingipain', NULL, 'Peptidase_C25_N_gingipain', NULL, NULL, 35817, 1),
(5414, NULL, 'cd19794', NULL, NULL, 'Bbox2_TRIM66-like', NULL, 'Bbox2_TRIM66-like', NULL, NULL, NULL, 1),
(5415, NULL, 'cd16315', NULL, NULL, 'EVM-1-like_MBL-B3', NULL, 'EVM-1-like_MBL-B3', NULL, NULL, NULL, 1),
(5416, NULL, 'cd05345', NULL, NULL, 'BKR_3_SDR_c', NULL, 'BKR_3_SDR_c', NULL, NULL, NULL, 1),
(5417, NULL, 'cd18415', NULL, NULL, 'BTB_KCNC2_4', NULL, 'BTB_KCNC2_4', NULL, NULL, NULL, 1),
(5418, NULL, 'cd03038', NULL, NULL, 'GST_N_etherase_LigE', NULL, 'GST_N_etherase_LigE', NULL, NULL, NULL, 1),
(5419, NULL, 'cd03458', NULL, NULL, 'Catechol_intradiol_dioxygenases', NULL, 'Catechol_intradiol_dioxygenases', NULL, NULL, NULL, 1),
(5420, NULL, 'cd15702', NULL, NULL, 'ePHD_BRPF2', NULL, 'ePHD_BRPF2', NULL, NULL, 32600, 1),
(5421, NULL, 'cd05093', NULL, NULL, 'PTKc_TrkB', NULL, 'PTKc_TrkB', NULL, NULL, NULL, 1),
(5422, NULL, 'cd12286', NULL, NULL, 'RRM_Man1', NULL, 'RRM_Man1', NULL, NULL, 538, 1),
(5423, NULL, 'cd16747', NULL, NULL, 'RING-HC_RNF212B', NULL, 'RING-HC_RNF212B', NULL, NULL, NULL, 1),
(5424, NULL, 'cd18265', NULL, NULL, 'BTB_POZ_KLHL35', NULL, 'BTB_POZ_KLHL35', NULL, NULL, NULL, 1),
(5425, NULL, 'cd12497', NULL, NULL, 'RRM3_RBM47', NULL, 'RRM3_RBM47', NULL, NULL, 30633, 1),
(5426, NULL, 'cd09573', NULL, NULL, 'SAM_STIM1', NULL, 'SAM_STIM1', NULL, NULL, 33401, 1),
(5427, NULL, 'cd13235', NULL, NULL, 'PH2_FARP1-like', NULL, 'PH2_FARP1-like', NULL, NULL, NULL, 1),
(5428, NULL, 'cd06088', NULL, NULL, 'KOW_RPL14', NULL, 'KOW_RPL14', NULL, NULL, 32870, 1),
(5429, NULL, 'cd06341', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(5430, NULL, 'cd02168', NULL, NULL, 'NMNAT_Nudix', NULL, 'NMNAT_Nudix', NULL, NULL, 32627, 1),
(5431, NULL, 'cd09461', NULL, NULL, 'LIM3_Enigma_like_1', NULL, 'LIM3_Enigma_like_1', NULL, NULL, NULL, 1),
(5432, NULL, 'cd12139', NULL, NULL, 'SH3_Bin1', NULL, 'SH3_Bin1', NULL, NULL, 15698, 1),
(5433, NULL, 'cd19802', NULL, NULL, 'Bbox1_TRIM8-like', NULL, 'Bbox1_TRIM8-like', NULL, NULL, NULL, 1),
(5434, NULL, 'cd12541', NULL, NULL, 'RRM2_La', NULL, 'RRM2_La', NULL, NULL, NULL, 1),
(5435, NULL, 'cd16766', NULL, NULL, 'RING-HC_TIF1gamma', NULL, 'RING-HC_TIF1gamma', NULL, NULL, NULL, 1),
(5436, NULL, 'cd08165', NULL, NULL, 'MPP_MPPE1', NULL, 'MPP_MPPE1', NULL, NULL, 35814, 1),
(5437, NULL, 'cd09474', NULL, NULL, 'LIM2_Lhx2', NULL, 'LIM2_Lhx2', NULL, NULL, NULL, 1),
(5438, NULL, 'cd18812', NULL, NULL, 'CAP_PI15-like', NULL, 'CAP_PI15-like', NULL, NULL, NULL, 1),
(5439, NULL, 'cd05594', NULL, NULL, 'STKc_PKB_alpha', NULL, 'STKc_PKB_alpha', NULL, NULL, 20901, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5440, NULL, 'cd16390', NULL, NULL, 'ParB_N_Srx_like', NULL, 'ParB_N_Srx_like', NULL, NULL, 14061, 1),
(5441, NULL, 'cd01219', NULL, NULL, 'PH1_FGD1', NULL, 'PH1_FGD1', NULL, NULL, 23799, 1),
(5442, NULL, 'cd15706', NULL, NULL, 'ePHD_JADE3', NULL, 'ePHD_JADE3', NULL, NULL, NULL, 1),
(5443, NULL, 'cd11741', NULL, NULL, 'TIN2_TBM', NULL, 'TIN2_TBM', NULL, NULL, NULL, 1),
(5444, NULL, 'cd15657', NULL, NULL, 'PHD4_NSD2', NULL, 'PHD4_NSD2', NULL, NULL, NULL, 1),
(5445, NULL, 'cd19757', NULL, NULL, 'Bbox1', NULL, 'Bbox1', NULL, NULL, NULL, 1),
(5446, NULL, 'cd04603', NULL, NULL, 'CBS_pair_KefB_assoc', NULL, 'CBS_pair_KefB_assoc', NULL, NULL, NULL, 1),
(5447, NULL, 'cd10959', NULL, NULL, 'CE4_NodB_like_3', NULL, 'CE4_NodB_like_3', NULL, NULL, NULL, 1),
(5448, NULL, 'cd17766', NULL, NULL, 'futalosine_nucleosidase_MqnB', NULL, 'futalosine_nucleosidase_MqnB', NULL, NULL, NULL, 1),
(5449, NULL, 'cd13540', NULL, NULL, 'PBP2_ModA_WtpA', NULL, 'PBP2_ModA_WtpA', NULL, NULL, NULL, 1),
(5450, NULL, 'cd10950', NULL, NULL, 'CE4_BsYlxY_like', NULL, 'CE4_BsYlxY_like', NULL, NULL, NULL, 1),
(5451, NULL, 'cd06387', NULL, NULL, 'PBP1_iGluR_AMPA_GluR3', NULL, 'PBP1_iGluR_AMPA_GluR3', NULL, NULL, NULL, 1),
(5452, NULL, 'cd12441', NULL, NULL, 'RRM_Nup53_like', NULL, 'RRM_Nup53_like', NULL, NULL, NULL, 1),
(5453, NULL, 'cd19344', NULL, NULL, 'Wnt_Wnt16', NULL, 'Wnt_Wnt16', NULL, NULL, NULL, 1),
(5454, NULL, 'cd00768', NULL, NULL, 'class_II_aaRS-like_core', NULL, 'class_II_aaRS-like_core', NULL, NULL, NULL, 1),
(5455, NULL, 'cd12409', NULL, NULL, 'RRM1_RRT5', NULL, 'RRM1_RRT5', NULL, NULL, 7150, 1),
(5456, NULL, 'cd17779', NULL, NULL, 'CBS_archAMPK_gamma-repeat1', NULL, 'CBS_archAMPK_gamma-repeat1', NULL, NULL, NULL, 1),
(5457, NULL, 'cd16916', NULL, NULL, 'HATPase_CheA-like', NULL, 'HATPase_CheA-like', NULL, NULL, NULL, 1),
(5458, NULL, 'cd08926', NULL, NULL, 'Mb', NULL, 'Mb', NULL, NULL, NULL, 1),
(5459, NULL, 'cd03032', NULL, NULL, 'ArsC_Spx', NULL, 'ArsC_Spx', NULL, NULL, NULL, 1),
(5460, NULL, 'cd13248', NULL, NULL, 'PH_PEPP1_2_3', NULL, 'PH_PEPP1_2_3', NULL, NULL, 29640, 1),
(5461, NULL, 'cd17191', NULL, NULL, 'FERM_F1_PTPN14', NULL, 'FERM_F1_PTPN14', NULL, NULL, NULL, 1),
(5462, NULL, 'cd16246', NULL, NULL, 'EFh_DMD', NULL, 'EFh_DMD', NULL, NULL, NULL, 1),
(5463, NULL, 'cd00060', NULL, NULL, 'FHA', NULL, 'FHA', NULL, NULL, 4960, 1),
(5464, NULL, 'cd11872', NULL, NULL, 'SH3_DOCK_AB', NULL, 'SH3_DOCK_AB', NULL, NULL, NULL, 1),
(5465, NULL, 'cd15129', NULL, NULL, '7tmA_GPR142', NULL, '7tmA_GPR142', NULL, NULL, NULL, 1),
(5466, NULL, 'cd14987', NULL, NULL, '7tmA_ACKR3_CXCR7', NULL, '7tmA_ACKR3_CXCR7', NULL, NULL, NULL, 1),
(5467, NULL, 'cd18217', NULL, NULL, 'BTB_POZ_ZBTB31_myoneurin', NULL, 'BTB_POZ_ZBTB31_myoneurin', NULL, NULL, NULL, 1),
(5468, NULL, 'cd15217', NULL, NULL, '7tmA_SREB3_GPR173', NULL, '7tmA_SREB3_GPR173', NULL, NULL, NULL, 1),
(5469, NULL, 'cd08219', NULL, NULL, 'STKc_Nek3', NULL, 'STKc_Nek3', NULL, NULL, NULL, 1),
(5470, NULL, 'cd02130', NULL, NULL, 'PA_ScAPY_like', NULL, 'PA_ScAPY_like', NULL, NULL, NULL, 1),
(5471, NULL, 'cd11349', NULL, NULL, 'AmyAc_3', NULL, 'AmyAc_3', NULL, NULL, NULL, 1),
(5472, NULL, 'cd15284', NULL, NULL, '7tmC_mGluR_group2', NULL, '7tmC_mGluR_group2', NULL, NULL, NULL, 1),
(5473, NULL, 'cd01582', NULL, NULL, 'Homoaconitase', NULL, 'Homoaconitase', NULL, NULL, NULL, 1),
(5474, NULL, 'cd14755', NULL, NULL, 'GS_BA2291-HK-like', NULL, 'GS_BA2291-HK-like', NULL, NULL, NULL, 1),
(5475, NULL, 'cd09526', NULL, NULL, 'SAM_Samd3', NULL, 'SAM_Samd3', NULL, NULL, 36852, 1),
(5476, NULL, 'cd14540', NULL, NULL, 'PTPc-N21_14', NULL, 'PTPc-N21_14', NULL, NULL, NULL, 1),
(5477, NULL, 'cd06189', NULL, NULL, 'flavin_oxioreductase', NULL, 'flavin_oxioreductase', NULL, NULL, NULL, 1),
(5478, NULL, 'cd12023', NULL, NULL, 'SH3_NoxO1_1', NULL, 'SH3_NoxO1_1', NULL, NULL, NULL, 1),
(5479, NULL, 'cd09685', NULL, NULL, 'Cas7_I-A', NULL, 'Cas7_I-A', NULL, NULL, NULL, 1),
(5480, NULL, 'cd05624', NULL, NULL, 'STKc_MRCK_beta', NULL, 'STKc_MRCK_beta', NULL, NULL, 39360, 1),
(5481, NULL, 'cd13166', NULL, NULL, 'PTB_CCM2', NULL, 'PTB_CCM2', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5482, NULL, 'cd05120', NULL, NULL, 'APH_ChoK_like', NULL, 'APH_ChoK_like', NULL, NULL, NULL, 1),
(5483, NULL, 'cd05124', NULL, NULL, 'AFK', NULL, 'AFK', NULL, NULL, 12942, 1),
(5484, NULL, 'cd11500', NULL, NULL, 'SLC6sbd_PROT', NULL, 'SLC6sbd_PROT', NULL, NULL, NULL, 1),
(5485, NULL, 'cd12539', NULL, NULL, 'RRM_U2AF35B', NULL, 'RRM_U2AF35B', NULL, NULL, NULL, 1),
(5486, NULL, 'cd15239', NULL, NULL, '7tm_YRO2_fungal-like', NULL, '7tm_YRO2_fungal-like', NULL, NULL, 36894, 1),
(5487, NULL, 'cd15535', NULL, NULL, 'PHD1_Rco1', NULL, 'PHD1_Rco1', NULL, NULL, NULL, 1),
(5488, NULL, 'cd16706', NULL, NULL, 'RING-HC_CARP1', NULL, 'RING-HC_CARP1', NULL, NULL, NULL, 1),
(5489, NULL, 'cd13602', NULL, NULL, 'PBP2_TRAP_BpDctp6_7', NULL, 'PBP2_TRAP_BpDctp6_7', NULL, NULL, NULL, 1),
(5490, NULL, 'cd04471', NULL, NULL, 'S1_RNase_R', NULL, 'S1_RNase_R', NULL, NULL, NULL, 1),
(5491, NULL, 'cd13671', NULL, NULL, 'PBP2_TRAP_SBP_like_3', NULL, 'PBP2_TRAP_SBP_like_3', NULL, NULL, NULL, 1),
(5492, NULL, 'sd00032', NULL, NULL, 'LRR_2', NULL, 'LRR_2', NULL, NULL, NULL, 1),
(5493, NULL, 'cd00059', NULL, NULL, 'FH', NULL, 'FH', NULL, NULL, 3386, 1),
(5494, NULL, 'cd15061', NULL, NULL, '7tmA_tyramine_R-like', NULL, '7tmA_tyramine_R-like', NULL, NULL, NULL, 1),
(5495, NULL, 'cd14244', NULL, NULL, 'GH_101_like', NULL, 'GH_101_like', NULL, NULL, 25898, 1),
(5496, NULL, 'cd14992', NULL, NULL, '7tmA_TACR_family', NULL, '7tmA_TACR_family', NULL, NULL, NULL, 1),
(5497, NULL, 'cd12503', NULL, NULL, 'RRM1_hnRNPH_GRSF1_like', NULL, 'RRM1_hnRNPH_GRSF1_like', NULL, NULL, NULL, 1),
(5498, NULL, 'cd21470', NULL, NULL, 'CoV_Spike_S1_RBD', NULL, 'CoV_Spike_S1_RBD', NULL, NULL, NULL, 1),
(5499, NULL, 'cd02038', NULL, NULL, 'FlhG-like', NULL, 'FlhG-like', NULL, NULL, 29337, 1),
(5500, NULL, 'cd00861', NULL, NULL, 'ProRS_anticodon_short', NULL, 'ProRS_anticodon_short', NULL, NULL, 38515, 1),
(5501, NULL, 'cd08193', NULL, NULL, 'HVD', NULL, 'HVD', NULL, NULL, NULL, 1),
(5502, NULL, 'cd08708', NULL, NULL, 'RGS_FLBA', NULL, 'RGS_FLBA', NULL, NULL, NULL, 1),
(5503, NULL, 'cd05051', NULL, NULL, 'PTKc_DDR', NULL, 'PTKc_DDR', NULL, NULL, NULL, 1),
(5504, NULL, 'cd02188', NULL, NULL, 'gamma_tubulin', NULL, 'gamma_tubulin', NULL, NULL, 7037, 1),
(5505, NULL, 'cd04154', NULL, NULL, 'Arl2', NULL, 'Arl2', NULL, NULL, 39697, 1),
(5506, NULL, 'cd19617', NULL, NULL, 'FABP12', NULL, 'FABP12', NULL, NULL, NULL, 1),
(5507, NULL, 'cd03070', NULL, NULL, 'PDI_b_ERp44', NULL, 'PDI_b_ERp44', NULL, NULL, 32891, 1),
(5508, NULL, 'cd15798', NULL, NULL, 'PMEI-like_3', NULL, 'PMEI-like_3', NULL, NULL, NULL, 1),
(5509, NULL, 'cd00286', NULL, NULL, 'Tubulin_FtsZ_Cetz-like', NULL, 'Tubulin_FtsZ_Cetz-like', NULL, NULL, NULL, 1),
(5510, NULL, 'cd01037', NULL, NULL, 'Restriction_endonuclease_like', NULL, 'Restriction_endonuclease_like', NULL, NULL, NULL, 1),
(5511, NULL, 'cd00332', NULL, NULL, 'PAL-HAL', NULL, 'PAL-HAL', NULL, NULL, 2059, 1),
(5512, NULL, 'cd14962', NULL, NULL, 'NHL_like_6', NULL, 'NHL_like_6', NULL, NULL, NULL, 1),
(5513, NULL, 'cd18941', NULL, NULL, 'bHLH_TS_OLIG3', NULL, 'bHLH_TS_OLIG3', NULL, NULL, NULL, 1),
(5514, NULL, 'cd19990', NULL, NULL, 'PBP1_GABAb_receptor_plant', NULL, 'PBP1_GABAb_receptor_plant', NULL, NULL, 38450, 1),
(5515, NULL, 'cd13188', NULL, NULL, 'FERM_C_PTPN14_PTPN21', NULL, 'FERM_C_PTPN14_PTPN21', NULL, NULL, 32958, 1),
(5516, NULL, 'cd16822', NULL, NULL, 'SP-RING_ZMIZ1', NULL, 'SP-RING_ZMIZ1', NULL, NULL, NULL, 1),
(5517, NULL, 'cd01027', NULL, NULL, 'TOPRIM_RNase_M5_like', NULL, 'TOPRIM_RNase_M5_like', NULL, NULL, 5534, 1),
(5518, NULL, 'cd07508', NULL, NULL, 'HAD_Pase_UmpH-like', NULL, 'HAD_Pase_UmpH-like', NULL, NULL, NULL, 1),
(5519, NULL, 'cd00206', NULL, NULL, 'snake_toxin', NULL, 'snake_toxin', NULL, NULL, 6221, 1),
(5520, NULL, 'cd06352', NULL, NULL, 'PBP1_NPR_GC-like', NULL, 'PBP1_NPR_GC-like', NULL, NULL, NULL, 1),
(5521, NULL, 'cd19706', NULL, NULL, 'bHLH_TS_TAL1', NULL, 'bHLH_TS_TAL1', NULL, NULL, NULL, 1),
(5522, NULL, 'cd16981', NULL, NULL, 'CID_RPRD_like', NULL, 'CID_RPRD_like', NULL, NULL, NULL, 1),
(5523, NULL, 'cd17076', NULL, NULL, 'UBX_UBXN10', NULL, 'UBX_UBXN10', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5524, NULL, 'cd17953', NULL, NULL, 'DEADc_DDX46', NULL, 'DEADc_DDX46', NULL, NULL, NULL, 1),
(5525, NULL, 'cd12249', NULL, NULL, 'RRM1_hnRNPR_like', NULL, 'RRM1_hnRNPR_like', NULL, NULL, NULL, 1),
(5526, NULL, 'cd06191', NULL, NULL, 'FNR_iron_sulfur_binding', NULL, 'FNR_iron_sulfur_binding', NULL, NULL, NULL, 1),
(5527, NULL, 'cd10234', NULL, NULL, 'HSPA9-Ssq1-like_NBD', NULL, 'HSPA9-Ssq1-like_NBD', NULL, NULL, NULL, 1),
(5528, NULL, 'cd04030', NULL, NULL, 'C2C_KIAA1228', NULL, 'C2C_KIAA1228', NULL, NULL, 32117, 1),
(5529, NULL, 'cd15738', NULL, NULL, 'FYVE_MTMR_unchar', NULL, 'FYVE_MTMR_unchar', NULL, NULL, NULL, 1),
(5530, NULL, 'cd08365', NULL, NULL, 'APC10-like1', NULL, 'APC10-like1', NULL, NULL, NULL, 1),
(5531, NULL, 'cd20263', NULL, NULL, 'Complex1_LYR_NDUFB9_LYRM3', NULL, 'Complex1_LYR_NDUFB9_LYRM3', NULL, NULL, 36727, 1),
(5532, NULL, 'cd18066', NULL, NULL, 'DEXHc_RAD54B', NULL, 'DEXHc_RAD54B', NULL, NULL, NULL, 1),
(5533, NULL, 'cd11678', NULL, NULL, 'archaeal_LSm', NULL, 'archaeal_LSm', NULL, NULL, NULL, 1),
(5534, NULL, 'cd19931', NULL, NULL, 'REC_NarL', NULL, 'REC_NarL', NULL, NULL, NULL, 1),
(5535, NULL, 'cd03808', NULL, NULL, 'GT4_CapM-like', NULL, 'GT4_CapM-like', NULL, NULL, NULL, 1),
(5536, NULL, 'cd09189', NULL, NULL, 'PLDc_DNaseII_alpha_1', NULL, 'PLDc_DNaseII_alpha_1', NULL, NULL, NULL, 1),
(5537, NULL, 'cd14311', NULL, NULL, 'UBA_II_E2_UBC1', NULL, 'UBA_II_E2_UBC1', NULL, NULL, NULL, 1),
(5538, NULL, 'cd08806', NULL, NULL, 'CARD_CARD14_CARMA2', NULL, 'CARD_CARD14_CARMA2', NULL, NULL, NULL, 1),
(5539, NULL, 'cd00645', NULL, NULL, 'AsnA', NULL, 'AsnA', NULL, NULL, 2210, 1),
(5540, NULL, 'cd04366', NULL, NULL, 'IlGF_insulin_bombyxin_like', NULL, 'IlGF_insulin_bombyxin_like', NULL, NULL, NULL, 1),
(5541, NULL, 'cd19367', NULL, NULL, 'TenA_C_ScTHI20-like', NULL, 'TenA_C_ScTHI20-like', NULL, NULL, NULL, 1),
(5542, NULL, 'cd07981', NULL, NULL, 'TAF12', NULL, 'TAF12', NULL, NULL, 2623, 1),
(5543, NULL, 'cd15013', NULL, NULL, '7tm_TAS2R4', NULL, '7tm_TAS2R4', NULL, NULL, NULL, 1),
(5544, NULL, 'cd08889', NULL, NULL, 'SRPBCC_PITPNM1-2_like', NULL, 'SRPBCC_PITPNM1-2_like', NULL, NULL, NULL, 1),
(5545, NULL, 'cd11792', NULL, NULL, 'SH3_Fut8', NULL, 'SH3_Fut8', NULL, NULL, 29351, 1),
(5546, NULL, 'cd15945', NULL, NULL, '7tmA_OR5C1-like', NULL, '7tmA_OR5C1-like', NULL, NULL, NULL, 1),
(5547, NULL, 'cd12237', NULL, NULL, 'RRM_snRNP35', NULL, 'RRM_snRNP35', NULL, NULL, 10607, 1),
(5548, NULL, 'cd19826', NULL, NULL, 'Bbox2_TRIM9_C-I', NULL, 'Bbox2_TRIM9_C-I', NULL, NULL, NULL, 1),
(5549, NULL, 'cd00056', NULL, NULL, 'ENDO3c', NULL, 'ENDO3c', NULL, NULL, 3481, 1),
(5550, NULL, 'cd10000', NULL, NULL, 'HDAC8', NULL, 'HDAC8', NULL, NULL, NULL, 1),
(5551, NULL, 'cd12437', NULL, NULL, 'RRM_BRAP2_like', NULL, 'RRM_BRAP2_like', NULL, NULL, NULL, 1),
(5552, NULL, 'cd04498', NULL, NULL, 'hPOT1_OB2', NULL, 'hPOT1_OB2', NULL, NULL, NULL, 1),
(5553, NULL, 'cd00531', NULL, NULL, 'NTF2_like', NULL, 'NTF2_like', NULL, NULL, NULL, 1),
(5554, NULL, 'cd19024', NULL, NULL, 'LGIC_ECD_nAChR_B1', NULL, 'LGIC_ECD_nAChR_B1', NULL, NULL, NULL, 1),
(5555, NULL, 'cd19032', NULL, NULL, 'LGIC_ECD_nAChR_proto_beta-like', NULL, 'LGIC_ECD_nAChR_proto_beta-like', NULL, NULL, NULL, 1),
(5556, NULL, 'cd14655', NULL, NULL, 'ZIP_Hap1', NULL, 'ZIP_Hap1', NULL, NULL, NULL, 1),
(5557, NULL, 'cd12335', NULL, NULL, 'RRM2_SF3B4', NULL, 'RRM2_SF3B4', NULL, NULL, 14211, 1),
(5558, NULL, 'cd04476', NULL, NULL, 'RPA1_DBD_C', NULL, 'RPA1_DBD_C', NULL, NULL, 8364, 1),
(5559, NULL, 'cd18311', NULL, NULL, 'BTB_POZ_CP190-like', NULL, 'BTB_POZ_CP190-like', NULL, NULL, NULL, 1),
(5560, NULL, 'cd09022', NULL, NULL, 'Aldose_epim_Ec_YihR', NULL, 'Aldose_epim_Ec_YihR', NULL, NULL, 30765, 1),
(5561, NULL, 'cd07751', NULL, NULL, 'PolyPPase_VTC4_like', NULL, 'PolyPPase_VTC4_like', NULL, NULL, NULL, 1),
(5562, NULL, 'cd09732', NULL, NULL, 'Csx1_III-U', NULL, 'Csx1_III-U', NULL, NULL, NULL, 1),
(5563, NULL, 'cd10545', NULL, NULL, 'SET_AtSUVH-like', NULL, 'SET_AtSUVH-like', NULL, NULL, NULL, 1),
(5564, NULL, 'cd06123', NULL, NULL, 'cupin_HAO', NULL, 'cupin_HAO', NULL, NULL, 8996, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5565, NULL, 'cd06220', NULL, NULL, 'DHOD_e_trans_like2', NULL, 'DHOD_e_trans_like2', NULL, NULL, NULL, 1),
(5566, NULL, 'cd01460', NULL, NULL, 'vWA_midasin', NULL, 'vWA_midasin', NULL, NULL, NULL, 1),
(5567, NULL, 'cd03141', NULL, NULL, 'GATase1_Hsp31_like', NULL, 'GATase1_Hsp31_like', NULL, NULL, NULL, 1),
(5568, NULL, 'cd09971', NULL, NULL, 'SdiA-regulated', NULL, 'SdiA-regulated', NULL, NULL, 12043, 1),
(5569, NULL, 'cd11580', NULL, NULL, 'eIF2D_N_like', NULL, 'eIF2D_N_like', NULL, NULL, NULL, 1),
(5570, NULL, 'cd01594', NULL, NULL, 'Lyase_I_like', NULL, 'Lyase_I_like', NULL, NULL, NULL, 1),
(5571, NULL, 'cd04889', NULL, NULL, 'ACT_PDH-BS-like', NULL, 'ACT_PDH-BS-like', NULL, NULL, NULL, 1),
(5572, NULL, 'cd13979', NULL, NULL, 'STKc_Mos', NULL, 'STKc_Mos', NULL, NULL, NULL, 1),
(5573, NULL, 'cd19213', NULL, NULL, 'PR-SET_PRDM16', NULL, 'PR-SET_PRDM16', NULL, NULL, 37045, 1),
(5574, NULL, 'cd12313', NULL, NULL, 'RRM1_RRM2_RBM5_like', NULL, 'RRM1_RRM2_RBM5_like', NULL, NULL, NULL, 1),
(5575, NULL, 'cd15355', NULL, NULL, '7tmA_NTSR1', NULL, '7tmA_NTSR1', NULL, NULL, NULL, 1),
(5576, NULL, 'cd15451', NULL, NULL, '7tmC_mGluR7', NULL, '7tmC_mGluR7', NULL, NULL, NULL, 1),
(5577, NULL, 'cd15089', NULL, NULL, '7tmA_Delta_opioid_R', NULL, '7tmA_Delta_opioid_R', NULL, NULL, NULL, 1),
(5578, NULL, 'cd04026', NULL, NULL, 'C2_PKC_alpha_gamma', NULL, 'C2_PKC_alpha_gamma', NULL, NULL, NULL, 1),
(5579, NULL, 'cd18484', NULL, NULL, 'BACK_KBTBD11_CMLAP', NULL, 'BACK_KBTBD11_CMLAP', NULL, NULL, NULL, 1),
(5580, NULL, 'cd03876', NULL, NULL, 'M28_SGAP_like', NULL, 'M28_SGAP_like', NULL, NULL, 34386, 1),
(5581, NULL, 'cd07960', NULL, NULL, 'Anticodon_Ia_Ile_BEm', NULL, 'Anticodon_Ia_Ile_BEm', NULL, NULL, 30904, 1),
(5582, NULL, 'cd12048', NULL, NULL, 'SH3_DOCK3_B', NULL, 'SH3_DOCK3_B', NULL, NULL, 34346, 1),
(5583, NULL, 'cd00873', NULL, NULL, 'KU80', NULL, 'KU80', NULL, NULL, 14308, 1),
(5584, NULL, 'cd14724', NULL, NULL, 'ZIP_Gal4-like_1', NULL, 'ZIP_Gal4-like_1', NULL, NULL, NULL, 1),
(5585, NULL, 'cd16292', NULL, NULL, 'CPSF3-like_MBL-fold', NULL, 'CPSF3-like_MBL-fold', NULL, NULL, NULL, 1),
(5586, NULL, 'cd06814', NULL, NULL, 'PLPDE_III_DSD_D-TA_like_3', NULL, 'PLPDE_III_DSD_D-TA_like_3', NULL, NULL, NULL, 1),
(5587, NULL, 'cd14289', NULL, NULL, 'UBA_RHBD3', NULL, 'UBA_RHBD3', NULL, NULL, NULL, 1),
(5588, NULL, 'cd15022', NULL, NULL, '7tm_TAS2R8', NULL, '7tm_TAS2R8', NULL, NULL, NULL, 1),
(5589, NULL, 'cd06397', NULL, NULL, 'PB1_UP1', NULL, 'PB1_UP1', NULL, NULL, NULL, 1),
(5590, NULL, 'cd12964', NULL, NULL, 'CBM-Fa', NULL, 'CBM-Fa', NULL, NULL, NULL, 1),
(5591, NULL, 'cd00918', NULL, NULL, 'Der-p2_like', NULL, 'Der-p2_like', NULL, NULL, NULL, 1),
(5592, NULL, 'cd09870', NULL, NULL, 'PIN_YEN1', NULL, 'PIN_YEN1', NULL, NULL, NULL, 1),
(5593, NULL, 'cd03235', NULL, NULL, 'ABC_Metallic_Cations', NULL, 'ABC_Metallic_Cations', NULL, NULL, NULL, 1),
(5594, NULL, 'cd02196', NULL, NULL, 'PurM', NULL, 'PurM', NULL, NULL, 3797, 1),
(5595, NULL, 'cd14072', NULL, NULL, 'STKc_MARK', NULL, 'STKc_MARK', NULL, NULL, NULL, 1),
(5596, NULL, 'cd18358', NULL, NULL, 'BTB2_POZ_RHOBTB1', NULL, 'BTB2_POZ_RHOBTB1', NULL, NULL, NULL, 1),
(5597, NULL, 'cd01401', NULL, NULL, 'PncB_like', NULL, 'PncB_like', NULL, NULL, 5558, 1),
(5598, NULL, 'cd12921', NULL, NULL, 'VKOR_4', NULL, 'VKOR_4', NULL, NULL, NULL, 1),
(5599, NULL, 'cd09397', NULL, NULL, 'LIM1_UF1', NULL, 'LIM1_UF1', NULL, NULL, NULL, 1),
(5600, NULL, 'cd09134', NULL, NULL, 'PLDc_PSS_G_neg_1', NULL, 'PLDc_PSS_G_neg_1', NULL, NULL, NULL, 1),
(5601, NULL, 'cd09628', NULL, NULL, 'DOMON_SDR_2_like', NULL, 'DOMON_SDR_2_like', NULL, NULL, NULL, 1),
(5602, NULL, 'cd19699', NULL, NULL, 'bHLH_TS_dMYOD_like', NULL, 'bHLH_TS_dMYOD_like', NULL, NULL, NULL, 1),
(5603, NULL, 'cd14064', NULL, NULL, 'PKc_TNNI3K', NULL, 'PKc_TNNI3K', NULL, NULL, NULL, 1),
(5604, NULL, 'cd10963', NULL, NULL, 'CE4_RC0012_like', NULL, 'CE4_RC0012_like', NULL, NULL, NULL, 1),
(5605, NULL, 'cd13747', NULL, NULL, 'UreI_AmiS_like_1', NULL, 'UreI_AmiS_like_1', NULL, NULL, NULL, 1),
(5606, NULL, 'cd05340', NULL, NULL, 'Ycik_SDR_c', NULL, 'Ycik_SDR_c', NULL, NULL, NULL, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5607, NULL, 'cd05632', NULL, NULL, 'STKc_GRK5', NULL, 'STKc_GRK5', NULL, NULL, NULL, 1),
(5608, NULL, 'cd08932', NULL, NULL, 'HetN_like_SDR_c', NULL, 'HetN_like_SDR_c', NULL, NULL, NULL, 1),
(5609, NULL, 'cd06617', NULL, NULL, 'PKc_MKK3_6', NULL, 'PKc_MKK3_6', NULL, NULL, NULL, 1),
(5610, NULL, 'cd00311', NULL, NULL, 'TIM', NULL, 'TIM', NULL, NULL, 4335, 1),
(5611, NULL, 'cd17502', NULL, NULL, 'MFS_Azr1_MDR_like', NULL, 'MFS_Azr1_MDR_like', NULL, NULL, NULL, 1),
(5612, NULL, 'cd05782', NULL, NULL, 'DNA_polB_like1_exo', NULL, 'DNA_polB_like1_exo', NULL, NULL, NULL, 1),
(5613, NULL, 'cd14882', NULL, NULL, 'MYSc_Myo21', NULL, 'MYSc_Myo21', NULL, NULL, NULL, 1),
(5614, NULL, 'cd04878', NULL, NULL, 'ACT_AHAS', NULL, 'ACT_AHAS', NULL, NULL, 35660, 1),
(5615, NULL, 'cd09487', NULL, NULL, 'SAM_superfamily', NULL, 'SAM_superfamily', NULL, NULL, NULL, 1),
(5616, NULL, 'cd10965', NULL, NULL, 'CE4_IcaB_5s', NULL, 'CE4_IcaB_5s', NULL, NULL, NULL, 1),
(5617, NULL, 'cd12019', NULL, NULL, 'SH3_Tks5_4', NULL, 'SH3_Tks5_4', NULL, NULL, 20502, 1),
(5618, NULL, 'cd04684', NULL, NULL, 'Nudix_Hydrolase_25', NULL, 'Nudix_Hydrolase_25', NULL, NULL, NULL, 1),
(5619, NULL, 'cd17180', NULL, NULL, 'FERM_F0_KIND1', NULL, 'FERM_F0_KIND1', NULL, NULL, NULL, 1),
(5620, NULL, 'cd03008', NULL, NULL, 'TryX_like_RdCVF', NULL, 'TryX_like_RdCVF', NULL, NULL, NULL, 1),
(5621, NULL, 'cd21594', NULL, NULL, 'deltaCoV_M', NULL, 'deltaCoV_M', NULL, NULL, 36785, 1),
(5622, NULL, 'cd19207', NULL, NULL, 'SET_KMT2B', NULL, 'SET_KMT2B', NULL, NULL, NULL, 1),
(5623, NULL, 'cd05253', NULL, NULL, 'UDP_GE_SDE_e', NULL, 'UDP_GE_SDE_e', NULL, NULL, NULL, 1),
(5624, NULL, 'cd11559', NULL, NULL, 'W2_eIF4G1_like', NULL, 'W2_eIF4G1_like', NULL, NULL, NULL, 1),
(5625, NULL, 'cd16199', NULL, NULL, 'EFh_PEF_CAPN2', NULL, 'EFh_PEF_CAPN2', NULL, NULL, 38442, 1),
(5626, NULL, 'cd01043', NULL, NULL, 'DPS', NULL, 'DPS', NULL, NULL, 492, 1),
(5627, NULL, 'cd01364', NULL, NULL, 'KISc_BimC_Eg5', NULL, 'KISc_BimC_Eg5', NULL, NULL, NULL, 1),
(5628, NULL, 'cd10279', NULL, NULL, 'PQQ_ADH_II', NULL, 'PQQ_ADH_II', NULL, NULL, NULL, 1),
(5629, NULL, 'cd10572', NULL, NULL, 'PH_RhoGEF3_XPLN', NULL, 'PH_RhoGEF3_XPLN', NULL, NULL, 37740, 1),
(5630, NULL, 'cd16334', NULL, NULL, 'LppX-like', NULL, 'LppX-like', NULL, NULL, 13952, 1),
(5631, NULL, 'cd15540', NULL, NULL, 'PHD2_AIRE', NULL, 'PHD2_AIRE', NULL, NULL, 38056, 1),
(5632, NULL, 'cd05734', NULL, NULL, 'Ig_DSCAM', NULL, 'Ig_DSCAM', NULL, NULL, NULL, 1),
(5633, NULL, 'cd00551', NULL, NULL, 'AmyAc_family', NULL, 'AmyAc_family', NULL, NULL, NULL, 1),
(5634, NULL, 'cd06923', NULL, NULL, 'ChtBD1_GH16', NULL, 'ChtBD1_GH16', NULL, NULL, NULL, 1),
(5635, NULL, 'cd02213', NULL, NULL, 'cupin_PMI_typeII_C', NULL, 'cupin_PMI_typeII_C', NULL, NULL, NULL, 1),
(5636, NULL, 'cd07632', NULL, NULL, 'BAR_APPL2', NULL, 'BAR_APPL2', NULL, NULL, NULL, 1),
(5637, NULL, 'cd07854', NULL, NULL, 'STKc_MAPK4_6', NULL, 'STKc_MAPK4_6', NULL, NULL, NULL, 1),
(5638, NULL, 'cd08943', NULL, NULL, 'R1PA_ADH_SDR_c', NULL, 'R1PA_ADH_SDR_c', NULL, NULL, NULL, 1),
(5639, NULL, 'cd16803', NULL, NULL, 'RING-H2_RNF130', NULL, 'RING-H2_RNF130', NULL, NULL, NULL, 1),
(5640, NULL, 'cd03035', NULL, NULL, 'ArsC_Yffb', NULL, 'ArsC_Yffb', NULL, NULL, NULL, 1),
(5641, NULL, 'cd08369', NULL, NULL, 'FMT_core', NULL, 'FMT_core', NULL, NULL, NULL, 1),
(5642, NULL, 'cd18817', NULL, NULL, 'GH43f_LbAraf43-like', NULL, 'GH43f_LbAraf43-like', NULL, NULL, NULL, 1),
(5643, NULL, 'cd05595', NULL, NULL, 'STKc_PKB_beta', NULL, 'STKc_PKB_beta', NULL, NULL, 17978, 1),
(5644, NULL, 'cd16371', NULL, NULL, 'DMSOR_beta_like', NULL, 'DMSOR_beta_like', NULL, NULL, NULL, 1),
(5645, NULL, 'cd18506', NULL, NULL, 'BACK2_LZTR1', NULL, 'BACK2_LZTR1', NULL, NULL, NULL, 1),
(5646, NULL, 'cd00591', NULL, NULL, 'HU_IHF', NULL, 'HU_IHF', NULL, NULL, NULL, 1),
(5647, NULL, 'cd14442', NULL, NULL, 'AlgJ_like', NULL, 'AlgJ_like', NULL, NULL, 15843, 1),
(5648, NULL, 'cd14700', NULL, NULL, 'bZIP_ATF6', NULL, 'bZIP_ATF6', NULL, NULL, NULL, 1),
(5649, NULL, 'cd05280', NULL, NULL, 'MDR_yhdh_yhfp', NULL, 'MDR_yhdh_yhfp', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5650, NULL, 'cd18799', NULL, NULL, 'SF2_C_EcoAI-like', NULL, 'SF2_C_EcoAI-like', NULL, NULL, NULL, 1),
(5651, NULL, 'cd07467', NULL, NULL, 'CRD_TK_ROR1', NULL, 'CRD_TK_ROR1', NULL, NULL, NULL, 1),
(5652, NULL, 'cd17733', NULL, NULL, 'BRCT_Ect2_rpt1', NULL, 'BRCT_Ect2_rpt1', NULL, NULL, NULL, 1),
(5653, NULL, 'cd14548', NULL, NULL, 'R3-PTPc', NULL, 'R3-PTPc', NULL, NULL, NULL, 1),
(5654, NULL, 'cd11759', NULL, NULL, 'SH3_CRK_C', NULL, 'SH3_CRK_C', NULL, NULL, 20811, 1),
(5655, NULL, 'cd17553', NULL, NULL, 'REC_Spo0F-like', NULL, 'REC_Spo0F-like', NULL, NULL, NULL, 1),
(5656, NULL, 'cd02344', NULL, NULL, 'ZZ_HERC2', NULL, 'ZZ_HERC2', NULL, NULL, 32536, 1),
(5657, NULL, 'cd15595', NULL, NULL, 'PHD2_KMT2D', NULL, 'PHD2_KMT2D', NULL, NULL, NULL, 1),
(5658, NULL, 'cd00737', NULL, NULL, 'lyz_endolysin_autolysin', NULL, 'lyz_endolysin_autolysin', NULL, NULL, 33881, 1),
(5659, NULL, 'cd06086', NULL, NULL, 'KOW_Spt5_6', NULL, 'KOW_Spt5_6', NULL, NULL, 32526, 1),
(5660, NULL, 'cd01317', NULL, NULL, 'DHOase_IIa', NULL, 'DHOase_IIa', NULL, NULL, 3747, 1),
(5661, NULL, 'cd03251', NULL, NULL, 'ABCC_MsbA', NULL, 'ABCC_MsbA', NULL, NULL, NULL, 1),
(5662, NULL, 'cd09751', NULL, NULL, 'Cas8a2_I-A', NULL, 'Cas8a2_I-A', NULL, NULL, NULL, 1),
(5663, NULL, 'cd07373', NULL, NULL, '2A5CPDO_A', NULL, '2A5CPDO_A', NULL, NULL, NULL, 1),
(5664, NULL, 'cd12268', NULL, NULL, 'RRM_Vip1', NULL, 'RRM_Vip1', NULL, NULL, 1006, 1),
(5665, NULL, 'cd16907', NULL, NULL, 'YEATS_YEATS2_like', NULL, 'YEATS_YEATS2_like', NULL, NULL, NULL, 1),
(5666, NULL, 'cd06624', NULL, NULL, 'STKc_ASK', NULL, 'STKc_ASK', NULL, NULL, NULL, 1),
(5667, NULL, 'cd11552', NULL, NULL, 'Serine_rich_BCAR1', NULL, 'Serine_rich_BCAR1', NULL, NULL, NULL, 1),
(5668, NULL, 'cd06148', NULL, NULL, 'Egl_like_exo', NULL, 'Egl_like_exo', NULL, NULL, NULL, 1),
(5669, NULL, 'cd09885', NULL, NULL, 'PIN_Smg6-like', NULL, 'PIN_Smg6-like', NULL, NULL, NULL, 1),
(5670, NULL, 'cd02845', NULL, NULL, 'PAZ_piwi_like', NULL, 'PAZ_piwi_like', NULL, NULL, NULL, 1),
(5671, NULL, 'cd09486', NULL, NULL, 'LIM_Eplin_like_1', NULL, 'LIM_Eplin_like_1', NULL, NULL, 36797, 1),
(5672, NULL, 'cd09558', NULL, NULL, 'SAM_ZCCH14', NULL, 'SAM_ZCCH14', NULL, NULL, 34928, 1),
(5673, NULL, 'cd13576', NULL, NULL, 'PBP2_BugD_Asp', NULL, 'PBP2_BugD_Asp', NULL, NULL, NULL, 1),
(5674, NULL, 'cd06851', NULL, NULL, 'GT_GPT_like', NULL, 'GT_GPT_like', NULL, NULL, NULL, 1),
(5675, NULL, 'cd09497', NULL, NULL, 'SAM_caskin1,2_repeat1', NULL, 'SAM_caskin1,2_repeat1', NULL, NULL, 16704, 1),
(5676, NULL, 'cd08653', NULL, NULL, 'FMT_core_like_3', NULL, 'FMT_core_like_3', NULL, NULL, NULL, 1),
(5677, NULL, 'cd09942', NULL, NULL, 'SH2_nSH2_p85_like', NULL, 'SH2_nSH2_p85_like', NULL, NULL, 20765, 1),
(5678, NULL, 'cd12055', NULL, NULL, 'SH3_CIN85_2', NULL, 'SH3_CIN85_2', NULL, NULL, 34103, 1),
(5679, NULL, 'cd17256', NULL, NULL, 'RMtype1_S_EcoJA65PI-TRD1-CR1_like', NULL, 'RMtype1_S_EcoJA65PI-TRD1-CR1_like', NULL, NULL, NULL, 1),
(5680, NULL, 'cd13754', NULL, NULL, 'TGF_beta_INHA', NULL, 'TGF_beta_INHA', NULL, NULL, NULL, 1),
(5681, NULL, 'cd12698', NULL, NULL, 'RRM3_PTBPH3', NULL, 'RRM3_PTBPH3', NULL, NULL, 35287, 1),
(5682, NULL, 'cd06399', NULL, NULL, 'PB1_P40', NULL, 'PB1_P40', NULL, NULL, 10264, 1),
(5683, NULL, 'cd19121', NULL, NULL, 'AKR_AKR3D1', NULL, 'AKR_AKR3D1', NULL, NULL, 37003, 1),
(5684, NULL, 'cd07522', NULL, NULL, 'HAD_cN-II', NULL, 'HAD_cN-II', NULL, NULL, NULL, 1),
(5685, NULL, 'cd06420', NULL, NULL, 'GT2_Chondriotin_Pol_N', NULL, 'GT2_Chondriotin_Pol_N', NULL, NULL, NULL, 1),
(5686, NULL, 'cd09583', NULL, NULL, 'SAM_Atherin-like', NULL, 'SAM_Atherin-like', NULL, NULL, NULL, 1),
(5687, NULL, 'cd17993', NULL, NULL, 'DEXHc_CHD1_2', NULL, 'DEXHc_CHD1_2', NULL, NULL, NULL, 1),
(5688, NULL, 'cd13134', NULL, NULL, 'MATE_like_8', NULL, 'MATE_like_8', NULL, NULL, NULL, 1),
(5689, NULL, 'cd06596', NULL, NULL, 'GH31_CPE1046', NULL, 'GH31_CPE1046', NULL, NULL, NULL, 1),
(5690, NULL, 'cd11764', NULL, NULL, 'SH3_Eps8', NULL, 'SH3_Eps8', NULL, NULL, 15056, 1),
(5691, NULL, 'cd12932', NULL, NULL, 'RRP7_like', NULL, 'RRP7_like', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5692, NULL, 'cd13536', NULL, NULL, 'PBP2_EcModA', NULL, 'PBP2_EcModA', NULL, NULL, NULL, 1),
(5693, NULL, 'cd08882', NULL, NULL, 'RHO_alpha_C_MupW-like', NULL, 'RHO_alpha_C_MupW-like', NULL, NULL, NULL, 1),
(5694, NULL, 'cd21638', NULL, NULL, 'NS7a_deltaCoV_HKU16-like', NULL, 'NS7a_deltaCoV_HKU16-like', NULL, NULL, 38747, 1),
(5695, NULL, 'cd17574', NULL, NULL, 'REC_OmpR', NULL, 'REC_OmpR', NULL, NULL, NULL, 1),
(5696, NULL, 'cd01144', NULL, NULL, 'BtuF', NULL, 'BtuF', NULL, NULL, NULL, 1),
(5697, NULL, 'cd04670', NULL, NULL, 'Nudix_Hydrolase_12', NULL, 'Nudix_Hydrolase_12', NULL, NULL, NULL, 1),
(5698, NULL, 'cd03163', NULL, NULL, 'TM4SF8_like_LEL', NULL, 'TM4SF8_like_LEL', NULL, NULL, NULL, 1),
(5699, NULL, 'cd05400', NULL, NULL, 'NT_2-5OAS_ClassI-CCAase', NULL, 'NT_2-5OAS_ClassI-CCAase', NULL, NULL, 10397, 1),
(5700, NULL, 'cd09330', NULL, NULL, 'LIM4_abLIM', NULL, 'LIM4_abLIM', NULL, NULL, NULL, 1),
(5701, NULL, 'cd18751', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(5702, NULL, 'cd06899', NULL, NULL, 'lectin_legume_LecRK_Arcelin_ConA', NULL, 'lectin_legume_LecRK_Arcelin_ConA', NULL, NULL, 2371, 1),
(5703, NULL, 'cd03223', NULL, NULL, 'ABCD_peroxisomal_ALDP', NULL, 'ABCD_peroxisomal_ALDP', NULL, NULL, NULL, 1),
(5704, NULL, 'cd07516', NULL, NULL, 'HAD_Pase', NULL, 'HAD_Pase', NULL, NULL, NULL, 1),
(5705, NULL, 'cd04710', NULL, NULL, 'BAH_fungalPHD', NULL, 'BAH_fungalPHD', NULL, NULL, NULL, 1),
(5706, NULL, 'cd00671', NULL, NULL, 'ArgRS_core', NULL, 'ArgRS_core', NULL, NULL, 30840, 1),
(5707, NULL, 'cd06887', NULL, NULL, 'PX_p47phox', NULL, 'PX_p47phox', NULL, NULL, 19684, 1),
(5708, NULL, 'cd16262', NULL, NULL, 'EFG_III', NULL, 'EFG_III', NULL, NULL, 10486, 1),
(5709, NULL, 'cd01067', NULL, NULL, 'Globin-like', NULL, 'Globin-like', NULL, NULL, NULL, 1),
(5710, NULL, 'cd06062', NULL, NULL, 'H2MP_MemB-H2up', NULL, 'H2MP_MemB-H2up', NULL, NULL, NULL, 1),
(5711, NULL, 'cd08239', NULL, NULL, 'THR_DH_like', NULL, 'THR_DH_like', NULL, NULL, NULL, 1),
(5712, NULL, 'cd10371', NULL, NULL, 'SH2_Src_Blk', NULL, 'SH2_Src_Blk', NULL, NULL, 30614, 1),
(5713, NULL, 'cd20289', NULL, NULL, 'cupin_ADO', NULL, 'cupin_ADO', NULL, NULL, NULL, 1),
(5714, NULL, 'cd11964', NULL, NULL, 'SH3_STAM1', NULL, 'SH3_STAM1', NULL, NULL, 36434, 1),
(5715, NULL, 'cd02754', NULL, NULL, 'MopB_Nitrate-R-NapA-like', NULL, 'MopB_Nitrate-R-NapA-like', NULL, NULL, NULL, 1),
(5716, NULL, 'cd09845', NULL, NULL, 'PLDc_vPLD2_2', NULL, 'PLDc_vPLD2_2', NULL, NULL, NULL, 1),
(5717, NULL, 'cd08603', NULL, NULL, 'GDPD_SHV3_repeat_1', NULL, 'GDPD_SHV3_repeat_1', NULL, NULL, NULL, 1),
(5718, NULL, 'cd09709', NULL, NULL, 'Csc2_I-D', NULL, 'Csc2_I-D', NULL, NULL, NULL, 1),
(5719, NULL, 'cd00835', NULL, NULL, 'RanBD_family', NULL, 'RanBD_family', NULL, NULL, NULL, 1),
(5720, NULL, 'cd16514', NULL, NULL, 'RING2-HC_LONFs', NULL, 'RING2-HC_LONFs', NULL, NULL, NULL, 1),
(5721, NULL, 'cd01518', NULL, NULL, 'RHOD_YceA', NULL, 'RHOD_YceA', NULL, NULL, NULL, 1),
(5722, NULL, 'cd14447', NULL, NULL, 'SPX', NULL, 'SPX', NULL, NULL, NULL, 1),
(5723, NULL, 'cd16524', NULL, NULL, 'RING-HC_NHL-1_like', NULL, 'RING-HC_NHL-1_like', NULL, NULL, NULL, 1),
(5724, NULL, 'cd16697', NULL, NULL, 'RING-CH-C4HC3_NFXL1', NULL, 'RING-CH-C4HC3_NFXL1', NULL, NULL, NULL, 1),
(5725, NULL, 'cd18282', NULL, NULL, 'BTB_POZ_BTBD3_6', NULL, 'BTB_POZ_BTBD3_6', NULL, NULL, NULL, 1),
(5726, NULL, 'cd17099', NULL, NULL, 'FERM_F1_PTPN14_like', NULL, 'FERM_F1_PTPN14_like', NULL, NULL, NULL, 1),
(5727, NULL, 'cd05044', NULL, NULL, 'PTKc_c-ros', NULL, 'PTKc_c-ros', NULL, NULL, NULL, 1),
(5728, NULL, 'cd05664', NULL, NULL, 'M20_Acy1-like', NULL, 'M20_Acy1-like', NULL, NULL, NULL, 1),
(5729, NULL, 'cd10042', NULL, NULL, 'Reelin_repeat_6_subrepeat_1', NULL, 'Reelin_repeat_6_subrepeat_1', NULL, NULL, NULL, 1),
(5730, NULL, 'cd15918', NULL, NULL, '7tmA_OR1_7-like', NULL, '7tmA_OR1_7-like', NULL, NULL, NULL, 1),
(5731, NULL, 'cd03164', NULL, NULL, 'CD53_like_LEL', NULL, 'CD53_like_LEL', NULL, NULL, NULL, 1),
(5732, NULL, 'cd07479', NULL, NULL, 'Peptidases_S8_SKI-1_like', NULL, 'Peptidases_S8_SKI-1_like', NULL, NULL, 23405, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5733, NULL, 'cd11794', NULL, NULL, 'SH3_DNMBP_N1', NULL, 'SH3_DNMBP_N1', NULL, NULL, 30836, 1),
(5734, NULL, 'cd13879', NULL, NULL, 'CuRO_2_McoP_like', NULL, 'CuRO_2_McoP_like', NULL, NULL, NULL, 1),
(5735, NULL, 'cd09595', NULL, NULL, 'M1', NULL, 'M1', NULL, NULL, NULL, 1),
(5736, NULL, 'cd11833', NULL, NULL, 'SH3_Stac_1', NULL, 'SH3_Stac_1', NULL, NULL, NULL, 1),
(5737, NULL, 'cd13645', NULL, NULL, 'PBP2_HuPBGD_like', NULL, 'PBP2_HuPBGD_like', NULL, NULL, NULL, 1),
(5738, NULL, 'cd18831', NULL, NULL, 'GH43_AnAbnA-like', NULL, 'GH43_AnAbnA-like', NULL, NULL, NULL, 1),
(5739, NULL, 'cd05939', NULL, NULL, 'hsFATP4_like', NULL, 'hsFATP4_like', NULL, NULL, NULL, 1),
(5740, NULL, 'cd00402', NULL, NULL, 'Riboflavin_synthase_like', NULL, 'Riboflavin_synthase_like', NULL, NULL, 4013, 1),
(5741, NULL, 'cd07637', NULL, NULL, 'BAR_ACAP3', NULL, 'BAR_ACAP3', NULL, NULL, 38668, 1),
(5742, NULL, 'cd15370', NULL, NULL, '7tmA_PAR2', NULL, '7tmA_PAR2', NULL, NULL, NULL, 1),
(5743, NULL, 'cd16834', NULL, NULL, 'CNF1-like', NULL, 'CNF1-like', NULL, NULL, 8847, 1),
(5744, NULL, 'cd19365', NULL, NULL, 'TenA_C-like', NULL, 'TenA_C-like', NULL, NULL, NULL, 1),
(5745, NULL, 'cd19109', NULL, NULL, 'AKR_AKR1D1-3', NULL, 'AKR_AKR1D1-3', NULL, NULL, 37411, 1),
(5746, NULL, 'cd21637', NULL, NULL, 'NS7_PDCoV', NULL, 'NS7_PDCoV', NULL, NULL, 38504, 1),
(5747, NULL, 'cd19855', NULL, NULL, 'DSRM_DHX9_rpt2', NULL, 'DSRM_DHX9_rpt2', NULL, NULL, 38707, 1),
(5748, NULL, 'cd16034', NULL, NULL, 'sulfatase_like', NULL, 'sulfatase_like', NULL, NULL, NULL, 1),
(5749, NULL, 'cd03450', NULL, NULL, 'NodN', NULL, 'NodN', NULL, NULL, 35746, 1),
(5750, NULL, 'cd11403', NULL, NULL, 'bHLH_scINO4_like', NULL, 'bHLH_scINO4_like', NULL, NULL, NULL, 1),
(5751, NULL, 'cd19911', NULL, NULL, 'DSRM_STRBP_rpt2', NULL, 'DSRM_STRBP_rpt2', NULL, NULL, NULL, 1),
(5752, NULL, 'cd12808', NULL, NULL, 'Esterase_713_like-1', NULL, 'Esterase_713_like-1', NULL, NULL, NULL, 1),
(5753, NULL, 'cd00125', NULL, NULL, 'PLA2c', NULL, 'PLA2c', NULL, NULL, 10126, 1),
(5754, NULL, 'cd03691', NULL, NULL, 'BipA_TypA_II', NULL, 'BipA_TypA_II', NULL, NULL, NULL, 1),
(5755, NULL, 'cd09542', NULL, NULL, 'SAM_EPH-A1', NULL, 'SAM_EPH-A1', NULL, NULL, NULL, 1),
(5756, NULL, 'cd10496', NULL, NULL, 'MH2_I-SMAD', NULL, 'MH2_I-SMAD', NULL, NULL, NULL, 1),
(5757, NULL, 'cd14099', NULL, NULL, 'STKc_PLK', NULL, 'STKc_PLK', NULL, NULL, NULL, 1),
(5758, NULL, 'cd17753', NULL, NULL, 'MCM2', NULL, 'MCM2', NULL, NULL, NULL, 1),
(5759, NULL, 'cd00279', NULL, NULL, 'YlxR', NULL, 'YlxR', NULL, NULL, 29192, 1),
(5760, NULL, 'cd07731', NULL, NULL, 'ComA-like_MBL-fold', NULL, 'ComA-like_MBL-fold', NULL, NULL, 33663, 1),
(5761, NULL, 'cd18060', NULL, NULL, 'DEXHc_CHD8', NULL, 'DEXHc_CHD8', NULL, NULL, NULL, 1),
(5762, NULL, 'cd15477', NULL, NULL, 'Myo5b_CBD', NULL, 'Myo5b_CBD', NULL, NULL, 35593, 1),
(5763, NULL, 'cd06064', NULL, NULL, 'H2MP_F420-Reduc', NULL, 'H2MP_F420-Reduc', NULL, NULL, 5992, 1),
(5764, NULL, 'cd12829', NULL, NULL, 'Alr1p-like', NULL, 'Alr1p-like', NULL, NULL, 38446, 1),
(5765, NULL, 'cd04044', NULL, NULL, 'C2A_Tricalbin-like', NULL, 'C2A_Tricalbin-like', NULL, NULL, 35337, 1),
(5766, NULL, 'cd03791', NULL, NULL, 'GT5_Glycogen_synthase_DULL1-like', NULL, 'GT5_Glycogen_synthase_DULL1-like', NULL, NULL, NULL, 1),
(5767, NULL, 'cd14818', NULL, NULL, 'longin-like', NULL, 'longin-like', NULL, NULL, NULL, 1),
(5768, NULL, 'cd07579', NULL, NULL, 'nitrilase_1_R2', NULL, 'nitrilase_1_R2', NULL, NULL, NULL, 1),
(5769, NULL, 'cd17548', NULL, NULL, 'REC_DivK-like', NULL, 'REC_DivK-like', NULL, NULL, NULL, 1),
(5770, NULL, 'cd02976', NULL, NULL, 'NrdH', NULL, 'NrdH', NULL, NULL, NULL, 1),
(5771, NULL, 'cd17040', NULL, NULL, 'Ubl_MoaD_like', NULL, 'Ubl_MoaD_like', NULL, NULL, NULL, 1),
(5772, NULL, 'cd09186', NULL, NULL, 'PLDc_FAM83F_N', NULL, 'PLDc_FAM83F_N', NULL, NULL, NULL, 1),
(5773, NULL, 'cd01019', NULL, NULL, 'ZnuA', NULL, 'ZnuA', NULL, NULL, 36074, 1),
(5774, NULL, 'cd11887', NULL, NULL, 'SH3_Bbc1', NULL, 'SH3_Bbc1', NULL, NULL, 32720, 1),
(5775, NULL, 'cd15768', NULL, NULL, 'FYVE_SPIR2', NULL, 'FYVE_SPIR2', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5776, NULL, 'cd11891', NULL, NULL, 'MIAL', NULL, 'MIAL', NULL, NULL, 36132, 1),
(5777, NULL, 'cd07682', NULL, NULL, 'F-BAR_srGAP2', NULL, 'F-BAR_srGAP2', NULL, NULL, NULL, 1),
(5778, NULL, 'cd06471', NULL, NULL, 'ACD_LpsHSP_like', NULL, 'ACD_LpsHSP_like', NULL, NULL, NULL, 1),
(5779, NULL, 'cd01163', NULL, NULL, 'DszC', NULL, 'DszC', NULL, NULL, NULL, 1),
(5780, NULL, 'cd01298', NULL, NULL, 'ATZ_TRZ_like', NULL, 'ATZ_TRZ_like', NULL, NULL, NULL, 1),
(5781, NULL, 'cd13423', NULL, NULL, 'TNFRSF6_teleost', NULL, 'TNFRSF6_teleost', NULL, NULL, 14270, 1),
(5782, NULL, 'cd12935', NULL, NULL, 'LEM_like', NULL, 'LEM_like', NULL, NULL, NULL, 1),
(5783, NULL, 'cd10302', NULL, NULL, 'GST_C_GDAP1L1', NULL, 'GST_C_GDAP1L1', NULL, NULL, NULL, 1),
(5784, NULL, 'cd09833', NULL, NULL, 'CBS_pair_GGDEF_PAS_repeat1', NULL, 'CBS_pair_GGDEF_PAS_repeat1', NULL, NULL, NULL, 1),
(5785, NULL, 'cd14267', NULL, NULL, 'Rif1_CTD_C-II_like', NULL, 'Rif1_CTD_C-II_like', NULL, NULL, NULL, 1),
(5786, NULL, 'cd10931', NULL, NULL, 'CE4_u7', NULL, 'CE4_u7', NULL, NULL, NULL, 1),
(5787, NULL, 'cd04158', NULL, NULL, 'ARD1', NULL, 'ARD1', NULL, NULL, NULL, 1),
(5788, NULL, 'cd05908', NULL, NULL, 'A_NRPS_MycA_like', NULL, 'A_NRPS_MycA_like', NULL, NULL, NULL, 1),
(5789, NULL, 'cd01191', NULL, NULL, 'INT_C_like_2', NULL, 'INT_C_like_2', NULL, NULL, NULL, 1),
(5790, NULL, 'cd04873', NULL, NULL, 'ACT_UUR-ACR-like', NULL, 'ACT_UUR-ACR-like', NULL, NULL, NULL, 1),
(5791, NULL, 'cd00014', NULL, NULL, 'CH', NULL, 'CH', NULL, NULL, 3395, 1),
(5792, NULL, 'cd01671', NULL, NULL, 'CARD', NULL, 'CARD', NULL, NULL, NULL, 1),
(5793, NULL, 'cd03290', NULL, NULL, 'ABCC_SUR1_N', NULL, 'ABCC_SUR1_N', NULL, NULL, NULL, 1),
(5794, NULL, 'cd08282', NULL, NULL, 'PFDH_like', NULL, 'PFDH_like', NULL, NULL, NULL, 1),
(5795, NULL, 'cd13314', NULL, NULL, 'PH_Rpn13', NULL, 'PH_Rpn13', NULL, NULL, NULL, 1),
(5796, NULL, 'cd01293', NULL, NULL, 'Bact_CD', NULL, 'Bact_CD', NULL, NULL, NULL, 1),
(5797, NULL, 'cd14209', NULL, NULL, 'STKc_PKA', NULL, 'STKc_PKA', NULL, NULL, 36896, 1),
(5798, NULL, 'cd17995', NULL, NULL, 'DEXHc_CHD6_7_8_9', NULL, 'DEXHc_CHD6_7_8_9', NULL, NULL, NULL, 1),
(5799, NULL, 'cd04200', NULL, NULL, 'CuRO_2_ceruloplasmin_like', NULL, 'CuRO_2_ceruloplasmin_like', NULL, NULL, NULL, 1),
(5800, NULL, 'cd10014', NULL, NULL, 'TFIIA_gamma_C', NULL, 'TFIIA_gamma_C', NULL, NULL, 14381, 1),
(5801, NULL, 'cd12778', NULL, NULL, 'RRM1_PTBP2', NULL, 'RRM1_PTBP2', NULL, NULL, 20642, 1),
(5802, NULL, 'cd17261', NULL, NULL, 'RMtype1_S_EcoKI-TRD2-CR2_like', NULL, 'RMtype1_S_EcoKI-TRD2-CR2_like', NULL, NULL, NULL, 1),
(5803, NULL, 'cd18651', NULL, NULL, 'CD_HP1alpha_Cbx5', NULL, 'CD_HP1alpha_Cbx5', NULL, NULL, NULL, 1),
(5804, NULL, 'cd14256', NULL, NULL, 'Dockerin_I', NULL, 'Dockerin_I', NULL, NULL, NULL, 1),
(5805, NULL, 'cd00866', NULL, NULL, 'PEBP_euk', NULL, 'PEBP_euk', NULL, NULL, 31199, 1),
(5806, NULL, 'cd12263', NULL, NULL, 'RRM_ABT1_like', NULL, 'RRM_ABT1_like', NULL, NULL, 787, 1),
(5807, NULL, 'cd00481', NULL, NULL, 'Ribosomal_L19e', NULL, 'Ribosomal_L19e', NULL, NULL, NULL, 1),
(5808, NULL, 'cd12491', NULL, NULL, 'RRM2_RBM47', NULL, 'RRM2_RBM47', NULL, NULL, 30504, 1),
(5809, NULL, 'cd11301', NULL, NULL, 'Fut1_Fut2_like', NULL, 'Fut1_Fut2_like', NULL, NULL, NULL, 1),
(5810, NULL, 'cd08946', NULL, NULL, 'SDR_e', NULL, 'SDR_e', NULL, NULL, NULL, 1),
(5811, NULL, 'cd06852', NULL, NULL, 'GT_MraY', NULL, 'GT_MraY', NULL, NULL, 6007, 1),
(5812, NULL, 'cd07152', NULL, NULL, 'ALDH_BenzADH', NULL, 'ALDH_BenzADH', NULL, NULL, NULL, 1),
(5813, NULL, 'cd15100', NULL, NULL, '7tmA_GPR3_GPR6_GPR12-like', NULL, '7tmA_GPR3_GPR6_GPR12-like', NULL, NULL, NULL, 1),
(5814, NULL, 'cd03041', NULL, NULL, 'GST_N_2GST_N', NULL, 'GST_N_2GST_N', NULL, NULL, NULL, 1),
(5815, NULL, 'cd20305', NULL, NULL, 'cupin_OxDC_C', NULL, 'cupin_OxDC_C', NULL, NULL, NULL, 1),
(5816, NULL, 'cd07481', NULL, NULL, 'Peptidases_S8_BacillopeptidaseF-like', NULL, 'Peptidases_S8_BacillopeptidaseF-like', NULL, NULL, 32764, 1),
(5817, NULL, 'cd01807', NULL, NULL, 'Ubl_UBL4A_like', NULL, 'Ubl_UBL4A_like', NULL, NULL, 40008, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5818, NULL, 'cd04043', NULL, NULL, 'C2_Munc13_fungal', NULL, 'C2_Munc13_fungal', NULL, NULL, NULL, 1),
(5819, NULL, 'cd09011', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(5820, NULL, 'cd19419', NULL, NULL, 'lipocalin_L-PGDS', NULL, 'lipocalin_L-PGDS', NULL, NULL, NULL, 1),
(5821, NULL, 'cd05166', NULL, NULL, 'PI3Kc_II', NULL, 'PI3Kc_II', NULL, NULL, NULL, 1),
(5822, NULL, 'cd07141', NULL, NULL, 'ALDH_F1AB_F2_RALDH1', NULL, 'ALDH_F1AB_F2_RALDH1', NULL, NULL, NULL, 1),
(5823, NULL, 'cd09118', NULL, NULL, 'PLDc_yjhR_C_like', NULL, 'PLDc_yjhR_C_like', NULL, NULL, NULL, 1),
(5824, NULL, 'cd18059', NULL, NULL, 'DEXHc_CHD7', NULL, 'DEXHc_CHD7', NULL, NULL, NULL, 1),
(5825, NULL, 'cd14262', NULL, NULL, 'VirB5_like', NULL, 'VirB5_like', NULL, NULL, NULL, 1),
(5826, NULL, 'cd09335', NULL, NULL, 'LIM5_PINCH', NULL, 'LIM5_PINCH', NULL, NULL, NULL, 1),
(5827, NULL, 'cd17187', NULL, NULL, 'FERM_F1_ERM', NULL, 'FERM_F1_ERM', NULL, NULL, NULL, 1),
(5828, NULL, 'cd19403', NULL, NULL, 'TGF_beta_GDF9', NULL, 'TGF_beta_GDF9', NULL, NULL, NULL, 1),
(5829, NULL, 'cd18429', NULL, NULL, 'M14_Nna1-like', NULL, 'M14_Nna1-like', NULL, NULL, NULL, 1),
(5830, NULL, 'cd16124', NULL, NULL, 'RA_GRB7_10_14', NULL, 'RA_GRB7_10_14', NULL, NULL, NULL, 1),
(5831, NULL, 'cd07998', NULL, NULL, 'WGR_DNA_ligase', NULL, 'WGR_DNA_ligase', NULL, NULL, NULL, 1),
(5832, NULL, 'cd03248', NULL, NULL, 'ABCC_TAP', NULL, 'ABCC_TAP', NULL, NULL, NULL, 1),
(5833, NULL, 'cd12391', NULL, NULL, 'RRM1_SART3', NULL, 'RRM1_SART3', NULL, NULL, 21615, 1),
(5834, NULL, 'cd19693', NULL, NULL, 'bHLH_dnHLH_ID3', NULL, 'bHLH_dnHLH_ID3', NULL, NULL, NULL, 1),
(5835, NULL, 'cd08001', NULL, NULL, 'WGR_PARP1_like', NULL, 'WGR_PARP1_like', NULL, NULL, NULL, 1),
(5836, NULL, 'cd09105', NULL, NULL, 'PLDc_vPLD1_2_like_2', NULL, 'PLDc_vPLD1_2_like_2', NULL, NULL, NULL, 1),
(5837, NULL, 'cd09184', NULL, NULL, 'PLDc_FAM83D_N', NULL, 'PLDc_FAM83D_N', NULL, NULL, NULL, 1),
(5838, NULL, 'cd08437', NULL, NULL, 'PBP2_MleR', NULL, 'PBP2_MleR', NULL, NULL, NULL, 1),
(5839, NULL, 'cd09131', NULL, NULL, 'PLDc_unchar3', NULL, 'PLDc_unchar3', NULL, NULL, NULL, 1),
(5840, NULL, 'cd03364', NULL, NULL, 'TOPRIM_DnaG_primases', NULL, 'TOPRIM_DnaG_primases', NULL, NULL, 26956, 1),
(5841, NULL, 'cd19987', NULL, NULL, 'PBP1_SBP-like', NULL, 'PBP1_SBP-like', NULL, NULL, NULL, 1),
(5842, NULL, 'cd06392', NULL, NULL, 'PBP1_iGluR_delta_1', NULL, 'PBP1_iGluR_delta_1', NULL, NULL, NULL, 1),
(5843, NULL, 'cd13417', NULL, NULL, 'TNFRSF18', NULL, 'TNFRSF18', NULL, NULL, 12357, 1),
(5844, NULL, 'cd04711', NULL, NULL, 'BAH_Dnmt1_II', NULL, 'BAH_Dnmt1_II', NULL, NULL, NULL, 1),
(5845, NULL, 'cd08737', NULL, NULL, 'RGS_RGS6', NULL, 'RGS_RGS6', NULL, NULL, 30642, 1),
(5846, NULL, 'cd14025', NULL, NULL, 'STKc_RIP4_like', NULL, 'STKc_RIP4_like', NULL, NULL, NULL, 1),
(5847, NULL, 'cd15797', NULL, NULL, 'PMEI', NULL, 'PMEI', NULL, NULL, 11078, 1),
(5848, NULL, 'cd13952', NULL, NULL, '7tm_classB', NULL, '7tm_classB', NULL, NULL, NULL, 1),
(5849, NULL, 'cd05153', NULL, NULL, 'HomoserineK_II', NULL, 'HomoserineK_II', NULL, NULL, 4243, 1),
(5850, NULL, 'cd07724', NULL, NULL, 'POD-like_MBL-fold', NULL, 'POD-like_MBL-fold', NULL, NULL, 37427, 1),
(5851, NULL, 'cd01733', NULL, NULL, 'LSm10', NULL, 'LSm10', NULL, NULL, NULL, 1),
(5852, NULL, 'cd08647', NULL, NULL, 'FMT_core_FDH_N', NULL, 'FMT_core_FDH_N', NULL, NULL, NULL, 1),
(5853, NULL, 'cd09480', NULL, NULL, 'LIM1_CRP2', NULL, 'LIM1_CRP2', NULL, NULL, NULL, 1),
(5854, NULL, 'cd10225', NULL, NULL, 'MreB_like', NULL, 'MreB_like', NULL, NULL, 5305, 1),
(5855, NULL, 'cd08562', NULL, NULL, 'GDPD_EcUgpQ_like', NULL, 'GDPD_EcUgpQ_like', NULL, NULL, NULL, 1),
(5856, NULL, 'cd15005', NULL, NULL, '7tmA_SREB-like', NULL, '7tmA_SREB-like', NULL, NULL, NULL, 1),
(5857, NULL, 'cd18107', NULL, NULL, 'SpoU-like_AviRb', NULL, 'SpoU-like_AviRb', NULL, NULL, NULL, 1),
(5858, NULL, 'cd15319', NULL, NULL, '7tmA_D1B_dopamine_R', NULL, '7tmA_D1B_dopamine_R', NULL, NULL, NULL, 1),
(5859, NULL, 'cd20306', NULL, NULL, 'cupin_OxDC-like', NULL, 'cupin_OxDC-like', NULL, NULL, NULL, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5860, NULL, 'cd17499', NULL, NULL, 'RMtype1_S_CloLW9ORF3270P-TRD1-CR1_like', NULL, 'RMtype1_S_CloLW9ORF3270P-TRD1-CR1_like', NULL, NULL, NULL, 1),
(5861, NULL, 'cd03185', NULL, NULL, 'GST_C_Tau', NULL, 'GST_C_Tau', NULL, NULL, 39336, 1),
(5862, NULL, 'cd06286', NULL, NULL, 'PBP1_CcpB-like', NULL, 'PBP1_CcpB-like', NULL, NULL, NULL, 1),
(5863, NULL, 'cd16942', NULL, NULL, 'HATPase_SpoIIAB-like', NULL, 'HATPase_SpoIIAB-like', NULL, NULL, NULL, 1),
(5864, NULL, 'cd04225', NULL, NULL, 'CuRO_5_ceruloplasmin', NULL, 'CuRO_5_ceruloplasmin', NULL, NULL, NULL, 1),
(5865, NULL, 'cd02406', NULL, NULL, 'CRS2', NULL, 'CRS2', NULL, NULL, NULL, 1),
(5866, NULL, 'cd05276', NULL, NULL, 'p53_inducible_oxidoreductase', NULL, 'p53_inducible_oxidoreductase', NULL, NULL, 8745, 1),
(5867, NULL, 'cd02186', NULL, NULL, 'alpha_tubulin', NULL, 'alpha_tubulin', NULL, NULL, NULL, 1),
(5868, NULL, 'cd09359', NULL, NULL, 'LIM_LASP_like', NULL, 'LIM_LASP_like', NULL, NULL, NULL, 1),
(5869, NULL, 'cd11947', NULL, NULL, 'SH3_GRAP2_N', NULL, 'SH3_GRAP2_N', NULL, NULL, NULL, 1),
(5870, NULL, 'cd06551', NULL, NULL, 'LPLAT', NULL, 'LPLAT', NULL, NULL, NULL, 1),
(5871, NULL, 'cd17525', NULL, NULL, 'RMtype1_S_Eco15ORF14057P-TRD1-CR1_like', NULL, 'RMtype1_S_Eco15ORF14057P-TRD1-CR1_like', NULL, NULL, NULL, 1),
(5872, NULL, 'cd05795', NULL, NULL, 'Ribosomal_P0_L10e', NULL, 'Ribosomal_P0_L10e', NULL, NULL, NULL, 1),
(5873, NULL, 'cd18635', NULL, NULL, 'CD_CMT3_like', NULL, 'CD_CMT3_like', NULL, NULL, NULL, 1),
(5874, NULL, 'cd10020', NULL, NULL, '14-3-3_epsilon', NULL, '14-3-3_epsilon', NULL, NULL, NULL, 1),
(5875, NULL, 'cd03049', NULL, NULL, 'GST_N_3', NULL, 'GST_N_3', NULL, NULL, NULL, 1),
(5876, NULL, 'cd02214', NULL, NULL, 'cupin_MJ1618', NULL, 'cupin_MJ1618', NULL, NULL, NULL, 1),
(5877, NULL, 'cd02763', NULL, NULL, 'MopB_2', NULL, 'MopB_2', NULL, NULL, NULL, 1),
(5878, NULL, 'cd14145', NULL, NULL, 'STKc_MLK1', NULL, 'STKc_MLK1', NULL, NULL, NULL, 1),
(5879, NULL, 'cd18999', NULL, NULL, 'LGIC_ECD_GABAAR_B', NULL, 'LGIC_ECD_GABAAR_B', NULL, NULL, NULL, 1),
(5880, NULL, 'cd20299', NULL, NULL, 'cupin_YP766765-like', NULL, 'cupin_YP766765-like', NULL, NULL, NULL, 1),
(5881, NULL, 'cd09646', NULL, NULL, 'Cas7_I-E', NULL, 'Cas7_I-E', NULL, NULL, 10859, 1),
(5882, NULL, 'cd12477', NULL, NULL, 'RRM1_U1A', NULL, 'RRM1_U1A', NULL, NULL, 15861, 1),
(5883, NULL, 'cd04933', NULL, NULL, 'ACT_AK1-AT_1', NULL, 'ACT_AK1-AT_1', NULL, NULL, NULL, 1),
(5884, NULL, 'cd01461', NULL, NULL, 'vWA_interalpha_trypsin_inhibitor', NULL, 'vWA_interalpha_trypsin_inhibitor', NULL, NULL, NULL, 1),
(5885, NULL, 'cd18810', NULL, NULL, 'SF2_C_TRCF', NULL, 'SF2_C_TRCF', NULL, NULL, NULL, 1),
(5886, NULL, 'cd16181', NULL, NULL, 'EFh_PEF_Group_II_sorcin_like', NULL, 'EFh_PEF_Group_II_sorcin_like', NULL, NULL, NULL, 1),
(5887, NULL, 'cd04241', NULL, NULL, 'AAK_FomA-like', NULL, 'AAK_FomA-like', NULL, NULL, 14181, 1),
(5888, NULL, 'cd13556', NULL, NULL, 'PBP2_SsuA_like_1', NULL, 'PBP2_SsuA_like_1', NULL, NULL, NULL, 1),
(5889, NULL, 'cd17147', NULL, NULL, 'DCX2_RP1', NULL, 'DCX2_RP1', NULL, NULL, NULL, 1),
(5890, NULL, 'cd12636', NULL, NULL, 'RRM2_Bruno_like', NULL, 'RRM2_Bruno_like', NULL, NULL, NULL, 1),
(5891, NULL, 'cd06219', NULL, NULL, 'DHOD_e_trans_like1', NULL, 'DHOD_e_trans_like1', NULL, NULL, NULL, 1),
(5892, NULL, 'cd08995', NULL, NULL, 'GH32_EcAec43-like', NULL, 'GH32_EcAec43-like', NULL, NULL, NULL, 1),
(5893, NULL, 'cd17378', NULL, NULL, 'MFS_OCT_plant', NULL, 'MFS_OCT_plant', NULL, NULL, NULL, 1),
(5894, NULL, 'cd11543', NULL, NULL, 'NTP-PPase_u6', NULL, 'NTP-PPase_u6', NULL, NULL, NULL, 1),
(5895, NULL, 'cd03162', NULL, NULL, 'peripherin_like_LEL', NULL, 'peripherin_like_LEL', NULL, NULL, 33279, 1),
(5896, NULL, 'cd08959', NULL, NULL, 'ArfGap_ArfGap1_like', NULL, 'ArfGap_ArfGap1_like', NULL, NULL, NULL, 1),
(5897, NULL, 'cd08340', NULL, NULL, 'DED_c-FLIP_r2', NULL, 'DED_c-FLIP_r2', NULL, NULL, NULL, 1),
(5898, NULL, 'cd01369', NULL, NULL, 'KISc_KHC_KIF5', NULL, 'KISc_KHC_KIF5', NULL, NULL, NULL, 1),
(5899, NULL, 'cd15135', NULL, NULL, '7tmA_GPR39', NULL, '7tmA_GPR39', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5900, NULL, 'cd04094', NULL, NULL, 'eSelB_III', NULL, 'eSelB_III', NULL, NULL, NULL, 1),
(5901, NULL, 'cd17123', NULL, NULL, 'Ubl_UHRF2', NULL, 'Ubl_UHRF2', NULL, NULL, NULL, 1),
(5902, NULL, 'cd00936', NULL, NULL, 'WEPRS_RNA', NULL, 'WEPRS_RNA', NULL, NULL, NULL, 1),
(5903, NULL, 'cd20241', NULL, NULL, 'PFM_aerolysin-like', NULL, 'PFM_aerolysin-like', NULL, NULL, NULL, 1),
(5904, NULL, 'cd05695', NULL, NULL, 'S1_Rrp5_repeat_hs3', NULL, 'S1_Rrp5_repeat_hs3', NULL, NULL, NULL, 1),
(5905, NULL, 'cd19007', NULL, NULL, 'LGIC_ECD_GABAR_GRD-like', NULL, 'LGIC_ECD_GABAR_GRD-like', NULL, NULL, NULL, 1),
(5906, NULL, 'cd01529', NULL, NULL, '4RHOD_Repeats', NULL, '4RHOD_Repeats', NULL, NULL, NULL, 1),
(5907, NULL, 'cd11448', NULL, NULL, 'bHLH_AtFAMA_like', NULL, 'bHLH_AtFAMA_like', NULL, NULL, NULL, 1),
(5908, NULL, 'cd14243', NULL, NULL, 'PT-AcyF_like', NULL, 'PT-AcyF_like', NULL, NULL, NULL, 1),
(5909, NULL, 'cd12126', NULL, NULL, 'APC_beta', NULL, 'APC_beta', NULL, NULL, 3785, 1),
(5910, NULL, 'cd13553', NULL, NULL, 'PBP2_NrtA_CpmA_like', NULL, 'PBP2_NrtA_CpmA_like', NULL, NULL, 37104, 1),
(5911, NULL, 'cd15993', NULL, NULL, '7tmB2_CELSR3', NULL, '7tmB2_CELSR3', NULL, NULL, NULL, 1),
(5912, NULL, 'cd01764', NULL, NULL, 'Ubl_Urm1', NULL, 'Ubl_Urm1', NULL, NULL, 10632, 1),
(5913, NULL, 'cd09156', NULL, NULL, 'PLDc_CLS_unchar1_1', NULL, 'PLDc_CLS_unchar1_1', NULL, NULL, NULL, 1),
(5914, NULL, 'cd10328', NULL, NULL, 'SLC5sbd_YidK', NULL, 'SLC5sbd_YidK', NULL, NULL, NULL, 1),
(5915, NULL, 'cd00197', NULL, NULL, 'VHS_ENTH_ANTH', NULL, 'VHS_ENTH_ANTH', NULL, NULL, NULL, 1),
(5916, NULL, 'cd14079', NULL, NULL, 'STKc_AMPK_alpha', NULL, 'STKc_AMPK_alpha', NULL, NULL, NULL, 1),
(5917, NULL, 'cd17396', NULL, NULL, 'MFS_YdiM_like', NULL, 'MFS_YdiM_like', NULL, NULL, NULL, 1),
(5918, NULL, 'cd08237', NULL, NULL, 'ribitol-5-phosphate_DH', NULL, 'ribitol-5-phosphate_DH', NULL, NULL, NULL, 1),
(5919, NULL, 'cd16002', NULL, NULL, '7tmA_NK1R', NULL, '7tmA_NK1R', NULL, NULL, NULL, 1),
(5920, NULL, 'cd12581', NULL, NULL, 'RRM2_hnRNPA2B1', NULL, 'RRM2_hnRNPA2B1', NULL, NULL, NULL, 1),
(5921, NULL, 'cd15416', NULL, NULL, '7tmA_OR5P-like', NULL, '7tmA_OR5P-like', NULL, NULL, NULL, 1),
(5922, NULL, 'cd09251', NULL, NULL, 'AP-2_Mu2_Cterm', NULL, 'AP-2_Mu2_Cterm', NULL, NULL, 37227, 1),
(5923, NULL, 'cd19211', NULL, NULL, 'SET_NSD2', NULL, 'SET_NSD2', NULL, NULL, NULL, 1),
(5924, NULL, 'cd05281', NULL, NULL, 'TDH', NULL, 'TDH', NULL, NULL, NULL, 1),
(5925, NULL, 'cd16133', NULL, NULL, 'RA_RASSF9', NULL, 'RA_RASSF9', NULL, NULL, NULL, 1),
(5926, NULL, 'cd15571', NULL, NULL, 'ePHD', NULL, 'ePHD', NULL, NULL, NULL, 1),
(5927, NULL, 'cd07336', NULL, NULL, 'M48B_HtpX_like', NULL, 'M48B_HtpX_like', NULL, NULL, NULL, 1),
(5928, NULL, 'cd14038', NULL, NULL, 'STKc_IKK_beta', NULL, 'STKc_IKK_beta', NULL, NULL, NULL, 1),
(5929, NULL, 'cd06912', NULL, NULL, 'GT_MraY_like', NULL, 'GT_MraY_like', NULL, NULL, NULL, 1),
(5930, NULL, 'cd06539', NULL, NULL, 'CIDE_N_A', NULL, 'CIDE_N_A', NULL, NULL, NULL, 1),
(5931, NULL, 'cd01178', NULL, NULL, 'IPT_NFAT', NULL, 'IPT_NFAT', NULL, NULL, NULL, 1),
(5932, NULL, 'cd05468', NULL, NULL, 'pVHL', NULL, 'pVHL', NULL, NULL, 11422, 1),
(5933, NULL, 'cd14238', NULL, NULL, 'GAT_TM1L2', NULL, 'GAT_TM1L2', NULL, NULL, NULL, 1),
(5934, NULL, 'cd19825', NULL, NULL, 'Bbox2_TRIM3_C-VII', NULL, 'Bbox2_TRIM3_C-VII', NULL, NULL, NULL, 1),
(5935, NULL, 'cd06370', NULL, NULL, 'PBP1_SAP_GC-like', NULL, 'PBP1_SAP_GC-like', NULL, NULL, NULL, 1),
(5936, NULL, 'cd17521', NULL, NULL, 'RMtype1_S_Sau13435ORF2165P_TRD2-CR2_like', NULL, 'RMtype1_S_Sau13435ORF2165P_TRD2-CR2_like', NULL, NULL, NULL, 1),
(5937, NULL, 'cd16403', NULL, NULL, 'ParB_N_like_MT', NULL, 'ParB_N_like_MT', NULL, NULL, NULL, 1),
(5938, NULL, 'cd03396', NULL, NULL, 'PAP2_like_6', NULL, 'PAP2_like_6', NULL, NULL, NULL, 1),
(5939, NULL, 'cd08813', NULL, NULL, 'DED_Caspase_8_r2', NULL, 'DED_Caspase_8_r2', NULL, NULL, NULL, 1),
(5940, NULL, 'cd19394', NULL, NULL, 'TGF_beta_GDF10', NULL, 'TGF_beta_GDF10', NULL, NULL, NULL, 1),
(5941, NULL, 'cd17117', NULL, NULL, 'RA_ANKFN1_like', NULL, 'RA_ANKFN1_like', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5942, NULL, 'cd09819', NULL, NULL, 'An_peroxidase_bacterial_1', NULL, 'An_peroxidase_bacterial_1', NULL, NULL, NULL, 1),
(5943, NULL, 'cd17598', NULL, NULL, 'REC_hyHK', NULL, 'REC_hyHK', NULL, NULL, NULL, 1),
(5944, NULL, 'cd11789', NULL, NULL, 'SH3_Nebulin_family_C', NULL, 'SH3_Nebulin_family_C', NULL, NULL, NULL, 1),
(5945, NULL, 'cd02146', NULL, NULL, 'NfsA-like', NULL, 'NfsA-like', NULL, NULL, 15801, 1),
(5946, NULL, 'cd17736', NULL, NULL, 'BRCT_microcephalin_rpt2', NULL, 'BRCT_microcephalin_rpt2', NULL, NULL, NULL, 1),
(5947, NULL, 'cd02253', NULL, NULL, 'DmpA', NULL, 'DmpA', NULL, NULL, NULL, 1),
(5948, NULL, 'cd05912', NULL, NULL, 'OSB_CoA_lg', NULL, 'OSB_CoA_lg', NULL, NULL, NULL, 1),
(5949, NULL, 'cd04761', NULL, NULL, 'HTH_MerR-SF', NULL, 'HTH_MerR-SF', NULL, NULL, NULL, 1),
(5950, NULL, 'cd19137', NULL, NULL, 'AKR_AKR3F1', NULL, 'AKR_AKR3F1', NULL, NULL, NULL, 1),
(5951, NULL, 'cd00281', NULL, NULL, 'DAP_dppA', NULL, 'DAP_dppA', NULL, NULL, 34256, 1),
(5952, NULL, 'cd07439', NULL, NULL, 'FANCE_c-term', NULL, 'FANCE_c-term', NULL, NULL, 16468, 1),
(5953, NULL, 'cd02908', NULL, NULL, 'Macro_OAADPr_deacetylase', NULL, 'Macro_OAADPr_deacetylase', NULL, NULL, NULL, 1),
(5954, NULL, 'cd21661', NULL, NULL, 'merbe_CoV_ORF8b-like', NULL, 'merbe_CoV_ORF8b-like', NULL, NULL, 37981, 1),
(5955, NULL, 'cd17165', NULL, NULL, 'RAWUL_PCGF4', NULL, 'RAWUL_PCGF4', NULL, NULL, NULL, 1),
(5956, NULL, 'cd04382', NULL, NULL, 'RhoGAP_MgcRacGAP', NULL, 'RhoGAP_MgcRacGAP', NULL, NULL, NULL, 1),
(5957, NULL, 'cd17711', NULL, NULL, 'BRCT_PAXIP1_rpt3', NULL, 'BRCT_PAXIP1_rpt3', NULL, NULL, NULL, 1),
(5958, NULL, 'cd08192', NULL, NULL, 'MAR-like', NULL, 'MAR-like', NULL, NULL, NULL, 1),
(5959, NULL, 'cd14062', NULL, NULL, 'STKc_Raf', NULL, 'STKc_Raf', NULL, NULL, NULL, 1),
(5960, NULL, 'cd06642', NULL, NULL, 'STKc_STK25', NULL, 'STKc_STK25', NULL, NULL, 16043, 1),
(5961, NULL, 'cd06897', NULL, NULL, 'PX_SNARE', NULL, 'PX_SNARE', NULL, NULL, NULL, 1),
(5962, NULL, 'cd09147', NULL, NULL, 'PLDc_vPLD3_2', NULL, 'PLDc_vPLD3_2', NULL, NULL, NULL, 1),
(5963, NULL, 'cd05300', NULL, NULL, '2-Hacid_dh_1', NULL, '2-Hacid_dh_1', NULL, NULL, NULL, 1),
(5964, NULL, 'cd15541', NULL, NULL, 'PHD_TIF1_like', NULL, 'PHD_TIF1_like', NULL, NULL, NULL, 1),
(5965, NULL, 'cd02123', NULL, NULL, 'PA_C_RZF_like', NULL, 'PA_C_RZF_like', NULL, NULL, 37982, 1),
(5966, NULL, 'cd06892', NULL, NULL, 'PX_SNX5_like', NULL, 'PX_SNX5_like', NULL, NULL, NULL, 1),
(5967, NULL, 'cd17981', NULL, NULL, 'DEXHc_DHX36', NULL, 'DEXHc_DHX36', NULL, NULL, NULL, 1),
(5968, NULL, 'cd15345', NULL, NULL, '7tmA_S1PR3_Edg3', NULL, '7tmA_S1PR3_Edg3', NULL, NULL, NULL, 1),
(5969, NULL, 'cd17328', NULL, NULL, 'MFS_spinster_like', NULL, 'MFS_spinster_like', NULL, NULL, 36813, 1),
(5970, NULL, 'cd14485', NULL, NULL, 'mltA_like_LT_A', NULL, 'mltA_like_LT_A', NULL, NULL, 6459, 1),
(5971, NULL, 'cd12892', NULL, NULL, 'SPRY_PRY_TRIM18', NULL, 'SPRY_PRY_TRIM18', NULL, NULL, NULL, 1),
(5972, NULL, 'cd02792', NULL, NULL, 'MopB_CT_Formate-Dh-Na-like', NULL, 'MopB_CT_Formate-Dh-Na-like', NULL, NULL, NULL, 1),
(5973, NULL, 'cd14575', NULL, NULL, 'DUPD1', NULL, 'DUPD1', NULL, NULL, NULL, 1),
(5974, NULL, 'cd14686', NULL, NULL, 'bZIP', NULL, 'bZIP', NULL, NULL, NULL, 1),
(5975, NULL, 'cd15294', NULL, NULL, '7tmC_GABA-B-R2', NULL, '7tmC_GABA-B-R2', NULL, NULL, NULL, 1),
(5976, NULL, 'cd15002', NULL, NULL, '7tmA_GPR151', NULL, '7tmA_GPR151', NULL, NULL, NULL, 1),
(5977, NULL, 'cd17790', NULL, NULL, '7tmA_mAChR_M1', NULL, '7tmA_mAChR_M1', NULL, NULL, NULL, 1),
(5978, NULL, 'cd20249', NULL, NULL, 'Hemotin', NULL, 'Hemotin', NULL, NULL, NULL, 1),
(5979, NULL, 'cd19732', NULL, NULL, 'bHLH-PAS_NPAS3_PASD6', NULL, 'bHLH-PAS_NPAS3_PASD6', NULL, NULL, NULL, 1),
(5980, NULL, 'cd13835', NULL, NULL, 'IHF_A', NULL, 'IHF_A', NULL, NULL, 3817, 1),
(5981, NULL, 'cd00338', NULL, NULL, 'Ser_Recombinase', NULL, 'Ser_Recombinase', NULL, NULL, NULL, 1),
(5982, NULL, 'cd05261', NULL, NULL, 'CAPF_like_SDR_e', NULL, 'CAPF_like_SDR_e', NULL, NULL, NULL, 1),
(5983, NULL, 'cd13337', NULL, NULL, 'FERM-like_C_SNX17', NULL, 'FERM-like_C_SNX17', NULL, NULL, 32066, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(5984, NULL, 'cd05581', NULL, NULL, 'STKc_PDK1', NULL, 'STKc_PDK1', NULL, NULL, 35760, 1),
(5985, NULL, 'cd09693', NULL, NULL, 'Cas5_I', NULL, 'Cas5_I', NULL, NULL, NULL, 1),
(5986, NULL, 'cd06238', NULL, NULL, 'M14-like', NULL, 'M14-like', NULL, NULL, NULL, 1),
(5987, NULL, 'cd09532', NULL, NULL, 'SAM_SLA1_fungal', NULL, 'SAM_SLA1_fungal', NULL, NULL, NULL, 1),
(5988, NULL, 'cd01977', NULL, NULL, 'Nitrogenase_VFe_alpha', NULL, 'Nitrogenase_VFe_alpha', NULL, NULL, NULL, 1),
(5989, NULL, 'cd00952', NULL, NULL, 'CHBPH_aldolase', NULL, 'CHBPH_aldolase', NULL, NULL, NULL, 1),
(5990, NULL, 'cd11640', NULL, NULL, 'HutP', NULL, 'HutP', NULL, NULL, NULL, 1),
(5991, NULL, 'cd16449', NULL, NULL, 'RING-HC', NULL, 'RING-HC', NULL, NULL, NULL, 1),
(5992, NULL, 'cd01174', NULL, NULL, 'ribokinase', NULL, 'ribokinase', NULL, NULL, 14116, 1),
(5993, NULL, 'cd08203', NULL, NULL, 'SAM_PNT', NULL, 'SAM_PNT', NULL, NULL, NULL, 1),
(5994, NULL, 'cd04487', NULL, NULL, 'RecJ_OBF2_like', NULL, 'RecJ_OBF2_like', NULL, NULL, NULL, 1),
(5995, NULL, 'cd17452', NULL, NULL, 'MFS_MFSD2B', NULL, 'MFS_MFSD2B', NULL, NULL, NULL, 1),
(5996, NULL, 'cd11413', NULL, NULL, 'bHLH_TS_TAL_LYL', NULL, 'bHLH_TS_TAL_LYL', NULL, NULL, NULL, 1),
(5997, NULL, 'cd09453', NULL, NULL, 'LIM1_ENH', NULL, 'LIM1_ENH', NULL, NULL, NULL, 1),
(5998, NULL, 'cd11385', NULL, NULL, 'RagC_like', NULL, 'RagC_like', NULL, NULL, 35514, 1),
(5999, NULL, 'cd08854', NULL, NULL, 'ArfGap_AGAP1', NULL, 'ArfGap_AGAP1', NULL, NULL, NULL, 1),
(6000, NULL, 'cd14370', NULL, NULL, 'CUE_DMA', NULL, 'CUE_DMA', NULL, NULL, NULL, 1),
(6001, NULL, 'cd13710', NULL, NULL, 'PBP2_TcyK', NULL, 'PBP2_TcyK', NULL, NULL, NULL, 1),
(6002, NULL, 'cd05540', NULL, NULL, 'UreG', NULL, 'UreG', NULL, NULL, NULL, 1),
(6003, NULL, 'cd17417', NULL, NULL, 'MFS_NPF5', NULL, 'MFS_NPF5', NULL, NULL, 37986, 1),
(6004, NULL, 'cd07268', NULL, NULL, 'VOC_EcYecM_like', NULL, 'VOC_EcYecM_like', NULL, NULL, 9653, 1),
(6005, NULL, 'cd13838', NULL, NULL, 'RNase_H_like_Prp8_IV', NULL, 'RNase_H_like_Prp8_IV', NULL, NULL, 20519, 1),
(6006, NULL, 'cd11650', NULL, NULL, 'AT4G37440_like', NULL, 'AT4G37440_like', NULL, NULL, 34425, 1),
(6007, NULL, 'cd16694', NULL, NULL, 'mRING-CH-C4HC2H_ZNRF1', NULL, 'mRING-CH-C4HC2H_ZNRF1', NULL, NULL, NULL, 1),
(6008, NULL, 'cd17747', NULL, NULL, 'BRCT_PARP1', NULL, 'BRCT_PARP1', NULL, NULL, NULL, 1),
(6009, NULL, 'cd15893', NULL, NULL, 'R-SNARE_STXBP5', NULL, 'R-SNARE_STXBP5', NULL, NULL, NULL, 1),
(6010, NULL, 'cd06324', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(6011, NULL, 'cd04514', NULL, NULL, 'Taspase1_like', NULL, 'Taspase1_like', NULL, NULL, 35564, 1),
(6012, NULL, 'cd04847', NULL, NULL, 'Peptidases_S8_Subtilisin_like_2', NULL, 'Peptidases_S8_Subtilisin_like_2', NULL, NULL, 22945, 1),
(6013, NULL, 'cd16797', NULL, NULL, 'RING-H2_RNF167', NULL, 'RING-H2_RNF167', NULL, NULL, NULL, 1),
(6014, NULL, 'cd01562', NULL, NULL, 'Thr-dehyd', NULL, 'Thr-dehyd', NULL, NULL, NULL, 1),
(6015, NULL, 'cd07848', NULL, NULL, 'STKc_CDKL5', NULL, 'STKc_CDKL5', NULL, NULL, NULL, 1),
(6016, NULL, 'cd14880', NULL, NULL, 'MYSc_Myo19', NULL, 'MYSc_Myo19', NULL, NULL, 34421, 1),
(6017, NULL, 'cd07203', NULL, NULL, 'cPLA2_Fungal_PLB', NULL, 'cPLA2_Fungal_PLB', NULL, NULL, NULL, 1),
(6018, NULL, 'cd06385', NULL, NULL, 'PBP1_NPR_A', NULL, 'PBP1_NPR_A', NULL, NULL, NULL, 1),
(6019, NULL, 'cd02440', NULL, NULL, 'AdoMet_MTases', NULL, 'AdoMet_MTases', NULL, NULL, NULL, 1),
(6020, NULL, 'cd12591', NULL, NULL, 'RRM2_p54nrb', NULL, 'RRM2_p54nrb', NULL, NULL, 3519, 1),
(6021, NULL, 'cd12642', NULL, NULL, 'RRM_TRA2A', NULL, 'RRM_TRA2A', NULL, NULL, NULL, 1),
(6022, NULL, 'cd14678', NULL, NULL, 'PH_DOK4_DOK5_DOK6', NULL, 'PH_DOK4_DOK5_DOK6', NULL, NULL, 34216, 1),
(6023, NULL, 'cd09150', NULL, NULL, 'PLDc_Ymt_1', NULL, 'PLDc_Ymt_1', NULL, NULL, NULL, 1),
(6024, NULL, 'cd04260', NULL, NULL, 'AAK_AKi-DapG-BS', NULL, 'AAK_AKi-DapG-BS', NULL, NULL, NULL, 1),
(6025, NULL, 'cd15241', NULL, NULL, '7tm_ChRs', NULL, '7tm_ChRs', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6026, NULL, 'cd06195', NULL, NULL, 'FNR1', NULL, 'FNR1', NULL, NULL, 34312, 1),
(6027, NULL, 'cd06323', NULL, NULL, 'PBP1_ribose_binding', NULL, 'PBP1_ribose_binding', NULL, NULL, NULL, 1),
(6028, NULL, 'cd11619', NULL, NULL, 'HR1_CIP4-like', NULL, 'HR1_CIP4-like', NULL, NULL, NULL, 1),
(6029, NULL, 'cd00564', NULL, NULL, 'TMP_TenI', NULL, 'TMP_TenI', NULL, NULL, 15322, 1),
(6030, NULL, 'cd08666', NULL, NULL, 'APC10-HECTD3', NULL, 'APC10-HECTD3', NULL, NULL, NULL, 1),
(6031, NULL, 'cd08928', NULL, NULL, 'KR_fFAS_like_SDR_c_like', NULL, 'KR_fFAS_like_SDR_c_like', NULL, NULL, NULL, 1),
(6032, NULL, 'cd18597', NULL, NULL, 'ABC_6TM_YOR1_D1_like', NULL, 'ABC_6TM_YOR1_D1_like', NULL, NULL, NULL, 1),
(6033, NULL, 'cd02007', NULL, NULL, 'TPP_DXS', NULL, 'TPP_DXS', NULL, NULL, 955, 1),
(6034, NULL, 'cd18942', NULL, NULL, 'bHLH_TS_OLIG1', NULL, 'bHLH_TS_OLIG1', NULL, NULL, NULL, 1),
(6035, NULL, 'cd07177', NULL, NULL, 'terB_like', NULL, 'terB_like', NULL, NULL, NULL, 1),
(6036, NULL, 'cd09078', NULL, NULL, 'nSMase', NULL, 'nSMase', NULL, NULL, 19231, 1),
(6037, NULL, 'cd13363', NULL, NULL, 'PH_PLC_delta', NULL, 'PH_PLC_delta', NULL, NULL, NULL, 1),
(6038, NULL, 'cd01226', NULL, NULL, 'PH_RalBD_exo84', NULL, 'PH_RalBD_exo84', NULL, NULL, NULL, 1),
(6039, NULL, 'cd19955', NULL, NULL, 'serpin48-like_insects', NULL, 'serpin48-like_insects', NULL, NULL, NULL, 1),
(6040, NULL, 'cd12130', NULL, NULL, 'Apl', NULL, 'Apl', NULL, NULL, NULL, 1),
(6041, NULL, 'cd12175', NULL, NULL, '2-Hacid_dh_11', NULL, '2-Hacid_dh_11', NULL, NULL, NULL, 1),
(6042, NULL, 'cd03817', NULL, NULL, 'GT4_UGDG-like', NULL, 'GT4_UGDG-like', NULL, NULL, NULL, 1),
(6043, NULL, 'cd07331', NULL, NULL, 'M48C_Oma1_like', NULL, 'M48C_Oma1_like', NULL, NULL, NULL, 1),
(6044, NULL, 'cd11840', NULL, NULL, 'SH3_Intersectin_5', NULL, 'SH3_Intersectin_5', NULL, NULL, NULL, 1),
(6045, NULL, 'cd07616', NULL, NULL, 'BAR_Endophilin_B1', NULL, 'BAR_Endophilin_B1', NULL, NULL, 34122, 1),
(6046, NULL, 'cd12488', NULL, NULL, 'RRM2_hnRNPR', NULL, 'RRM2_hnRNPR', NULL, NULL, 16993, 1),
(6047, NULL, 'cd09196', NULL, NULL, 'PLDc_yTdp1_2', NULL, 'PLDc_yTdp1_2', NULL, NULL, NULL, 1),
(6048, NULL, 'cd19817', NULL, NULL, 'Bbox1_ANCHR-like', NULL, 'Bbox1_ANCHR-like', NULL, NULL, 38990, 1),
(6049, NULL, 'cd13252', NULL, NULL, 'PH1_ADAP', NULL, 'PH1_ADAP', NULL, NULL, 33591, 1),
(6050, NULL, 'cd14941', NULL, NULL, 'TRAPPC_bet3-like', NULL, 'TRAPPC_bet3-like', NULL, NULL, NULL, 1),
(6051, NULL, 'cd07168', NULL, NULL, 'NR_DBD_DHR4_like', NULL, 'NR_DBD_DHR4_like', NULL, NULL, NULL, 1),
(6052, NULL, 'cd01472', NULL, NULL, 'vWA_collagen', NULL, 'vWA_collagen', NULL, NULL, NULL, 1),
(6053, NULL, 'cd08712', NULL, NULL, 'RGS_RGS18', NULL, 'RGS_RGS18', NULL, NULL, NULL, 1),
(6054, NULL, 'cd19949', NULL, NULL, 'PDH1_Fer2_BFD-like', NULL, 'PDH1_Fer2_BFD-like', NULL, NULL, NULL, 1),
(6055, NULL, 'cd06489', NULL, NULL, 'p23_CS_hSgt1_like', NULL, 'p23_CS_hSgt1_like', NULL, NULL, NULL, 1),
(6056, NULL, 'cd17046', NULL, NULL, 'Ubl_IKKA_like', NULL, 'Ubl_IKKA_like', NULL, NULL, NULL, 1),
(6057, NULL, 'cd16112', NULL, NULL, 'DCX1_DCX', NULL, 'DCX1_DCX', NULL, NULL, NULL, 1),
(6058, NULL, 'cd18290', NULL, NULL, 'BTB_POZ_BTBD14B_NAC1', NULL, 'BTB_POZ_BTBD14B_NAC1', NULL, NULL, NULL, 1),
(6059, NULL, 'cd19824', NULL, NULL, 'Bbox2_TRIM2_C-VII', NULL, 'Bbox2_TRIM2_C-VII', NULL, NULL, NULL, 1),
(6060, NULL, 'cd08757', NULL, NULL, 'SAM_PNT_ESE', NULL, 'SAM_PNT_ESE', NULL, NULL, NULL, 1),
(6061, NULL, 'cd14879', NULL, NULL, 'MYSc_Myo17', NULL, 'MYSc_Myo17', NULL, NULL, 34394, 1),
(6062, NULL, 'cd10047', NULL, NULL, 'Reelin_repeat_3_subrepeat_2', NULL, 'Reelin_repeat_3_subrepeat_2', NULL, NULL, NULL, 1),
(6063, NULL, 'cd10305', NULL, NULL, 'GST_C_AIMP3', NULL, 'GST_C_AIMP3', NULL, NULL, NULL, 1),
(6064, NULL, 'cd11609', NULL, NULL, 'MCT1_N', NULL, 'MCT1_N', NULL, NULL, NULL, 1),
(6065, NULL, 'cd11923', NULL, NULL, 'SH3_Sorbs2_2', NULL, 'SH3_Sorbs2_2', NULL, NULL, NULL, 1),
(6066, NULL, 'cd08468', NULL, NULL, 'PBP2_Pa0477', NULL, 'PBP2_Pa0477', NULL, NULL, NULL, 1),
(6067, NULL, 'cd15578', NULL, NULL, 'PHD1_MTF2', NULL, 'PHD1_MTF2', NULL, NULL, 33219, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6068, NULL, 'cd19358', NULL, NULL, 'TenA_E_Spr0628-like', NULL, 'TenA_E_Spr0628-like', NULL, NULL, NULL, 1),
(6069, NULL, 'cd19562', NULL, NULL, 'serpinB2_PAI-2', NULL, 'serpinB2_PAI-2', NULL, NULL, NULL, 1),
(6070, NULL, 'cd08861', NULL, NULL, 'OtcD1_ARO-CYC_like', NULL, 'OtcD1_ARO-CYC_like', NULL, NULL, NULL, 1),
(6071, NULL, 'cd14513', NULL, NULL, 'DSP_slingshot', NULL, 'DSP_slingshot', NULL, NULL, NULL, 1),
(6072, NULL, 'cd02762', NULL, NULL, 'MopB_1', NULL, 'MopB_1', NULL, NULL, NULL, 1),
(6073, NULL, 'cd19616', NULL, NULL, 'FABP11', NULL, 'FABP11', NULL, NULL, NULL, 1),
(6074, NULL, 'cd04321', NULL, NULL, 'ScAspRS_mt_like_N', NULL, 'ScAspRS_mt_like_N', NULL, NULL, NULL, 1),
(6075, NULL, 'cd17047', NULL, NULL, 'Ubl_UBFD1', NULL, 'Ubl_UBFD1', NULL, NULL, NULL, 1),
(6076, NULL, 'cd11516', NULL, NULL, 'SLC6sbd_B0AT1', NULL, 'SLC6sbd_B0AT1', NULL, NULL, NULL, 1),
(6077, NULL, 'cd07882', NULL, NULL, 'RHD-n_TonEBP', NULL, 'RHD-n_TonEBP', NULL, NULL, NULL, 1),
(6078, NULL, 'cd18353', NULL, NULL, 'BTB_POZ_RCBTB1_CLLD7', NULL, 'BTB_POZ_RCBTB1_CLLD7', NULL, NULL, NULL, 1),
(6079, NULL, 'cd12489', NULL, NULL, 'RRM2_hnRNPQ', NULL, 'RRM2_hnRNPQ', NULL, NULL, 3279, 1),
(6080, NULL, 'cd04018', NULL, NULL, 'C2C_Ferlin', NULL, 'C2C_Ferlin', NULL, NULL, 34246, 1),
(6081, NULL, 'cd17150', NULL, NULL, 'DCX1_DCDC2B', NULL, 'DCX1_DCDC2B', NULL, NULL, NULL, 1),
(6082, NULL, 'cd05105', NULL, NULL, 'PTKc_PDGFR_alpha', NULL, 'PTKc_PDGFR_alpha', NULL, NULL, NULL, 1),
(6083, NULL, 'cd01911', NULL, NULL, 'proteasome_alpha', NULL, 'proteasome_alpha', NULL, NULL, NULL, 1),
(6084, NULL, 'cd05243', NULL, NULL, 'SDR_a5', NULL, 'SDR_a5', NULL, NULL, NULL, 1),
(6085, NULL, 'cd14291', NULL, NULL, 'UBA1_NUB1_like', NULL, 'UBA1_NUB1_like', NULL, NULL, NULL, 1),
(6086, NULL, 'cd17478', NULL, NULL, 'MFS_FsR', NULL, 'MFS_FsR', NULL, NULL, NULL, 1),
(6087, NULL, 'cd16817', NULL, NULL, 'mRING-HC-C3HC5_RNF157', NULL, 'mRING-HC-C3HC5_RNF157', NULL, NULL, NULL, 1),
(6088, NULL, 'cd03774', NULL, NULL, 'MATH_SPOP', NULL, 'MATH_SPOP', NULL, NULL, NULL, 1),
(6089, NULL, 'cd07698', NULL, NULL, 'IgC_MHC_I_alpha3', NULL, 'IgC_MHC_I_alpha3', NULL, NULL, NULL, 1),
(6090, NULL, 'cd09075', NULL, NULL, 'DNase1-like', NULL, 'DNase1-like', NULL, NULL, NULL, 1),
(6091, NULL, 'cd12312', NULL, NULL, 'RRM_SRSF10_SRSF12', NULL, 'RRM_SRSF10_SRSF12', NULL, NULL, NULL, 1),
(6092, NULL, 'cd19459', NULL, NULL, 'lipocalin_C1_moubatin-like', NULL, 'lipocalin_C1_moubatin-like', NULL, NULL, NULL, 1),
(6093, NULL, 'cd10969', NULL, NULL, 'CE4_Ecf1_like_5s', NULL, 'CE4_Ecf1_like_5s', NULL, NULL, NULL, 1),
(6094, NULL, 'cd08807', NULL, NULL, 'CARD_CARD10_CARMA3', NULL, 'CARD_CARD10_CARMA3', NULL, NULL, 36447, 1),
(6095, NULL, 'cd11477', NULL, NULL, 'SLC5sbd_u1', NULL, 'SLC5sbd_u1', NULL, NULL, NULL, 1),
(6096, NULL, 'cd04970', NULL, NULL, 'Ig6_Contactin', NULL, 'Ig6_Contactin', NULL, NULL, NULL, 1),
(6097, NULL, 'cd05469', NULL, NULL, 'Transthyretin_like', NULL, 'Transthyretin_like', NULL, NULL, NULL, 1),
(6098, NULL, 'cd00522', NULL, NULL, 'Hemerythrin-like', NULL, 'Hemerythrin-like', NULL, NULL, NULL, 1),
(6099, NULL, 'cd10004', NULL, NULL, 'RPD3-like', NULL, 'RPD3-like', NULL, NULL, NULL, 1),
(6100, NULL, 'cd05397', NULL, NULL, 'NT_Pol-beta-like', NULL, 'NT_Pol-beta-like', NULL, NULL, NULL, 1),
(6101, NULL, 'cd09744', NULL, NULL, 'Cas8a1_I-A', NULL, 'Cas8a1_I-A', NULL, NULL, NULL, 1),
(6102, NULL, 'cd13372', NULL, NULL, 'PH_CAPRI', NULL, 'PH_CAPRI', NULL, NULL, 34509, 1),
(6103, NULL, 'cd00274', NULL, NULL, 'Chemokine_CX3C', NULL, 'Chemokine_CX3C', NULL, NULL, 34646, 1),
(6104, NULL, 'cd02773', NULL, NULL, 'MopB_Res-Cmplx1_Nad11', NULL, 'MopB_Res-Cmplx1_Nad11', NULL, NULL, NULL, 1),
(6105, NULL, 'cd17917', NULL, NULL, 'DEXHc_RHA-like', NULL, 'DEXHc_RHA-like', NULL, NULL, NULL, 1),
(6106, NULL, 'cd07185', NULL, NULL, 'OmpA_C-like', NULL, 'OmpA_C-like', NULL, NULL, 1802, 1),
(6107, NULL, 'cd02228', NULL, NULL, 'cupin_EutQ', NULL, 'cupin_EutQ', NULL, NULL, NULL, 1),
(6108, NULL, 'cd03000', NULL, NULL, 'PDI_a_TMX3', NULL, 'PDI_a_TMX3', NULL, NULL, NULL, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6109, NULL, 'cd15650', NULL, NULL, 'PHD2_NSD1', NULL, 'PHD2_NSD1', NULL, NULL, NULL, 1),
(6110, NULL, 'cd11012', NULL, NULL, 'CuRO_6_ceruloplasmin', NULL, 'CuRO_6_ceruloplasmin', NULL, NULL, NULL, 1),
(6111, NULL, 'cd11842', NULL, NULL, 'SH3_Ysc84p_like', NULL, 'SH3_Ysc84p_like', NULL, NULL, NULL, 1),
(6112, NULL, 'cd15302', NULL, NULL, '7tmA_mAChR_GAR-2-like', NULL, '7tmA_mAChR_GAR-2-like', NULL, NULL, NULL, 1),
(6113, NULL, 'cd07142', NULL, NULL, 'ALDH_F2BC', NULL, 'ALDH_F2BC', NULL, NULL, NULL, 1),
(6114, NULL, 'cd17326', NULL, NULL, 'MFS_MFSD8', NULL, 'MFS_MFSD8', NULL, NULL, NULL, 1),
(6115, NULL, 'cd11781', NULL, NULL, 'SH3_Sorbs_1', NULL, 'SH3_Sorbs_1', NULL, NULL, NULL, 1),
(6116, NULL, 'cd14760', NULL, NULL, 'GS_PAS-GGDEF-EAL', NULL, 'GS_PAS-GGDEF-EAL', NULL, NULL, NULL, 1),
(6117, NULL, 'cd08480', NULL, NULL, 'PBP2_CrgA_like_10', NULL, 'PBP2_CrgA_like_10', NULL, NULL, NULL, 1),
(6118, NULL, 'cd09095', NULL, NULL, 'INPP5c_INPP5E-like', NULL, 'INPP5c_INPP5E-like', NULL, NULL, NULL, 1),
(6119, NULL, 'cd18374', NULL, NULL, 'BTB2_POZ_KCTD19', NULL, 'BTB2_POZ_KCTD19', NULL, NULL, NULL, 1),
(6120, NULL, 'cd00920', NULL, NULL, 'Cupredoxin', NULL, 'Cupredoxin', NULL, NULL, NULL, 1),
(6121, NULL, 'cd06461', NULL, NULL, 'M2_ACE', NULL, 'M2_ACE', NULL, NULL, 3079, 1),
(6122, NULL, 'cd01388', NULL, NULL, 'SOX-TCF_HMG-box', NULL, 'SOX-TCF_HMG-box', NULL, NULL, NULL, 1),
(6123, NULL, 'cd15694', NULL, NULL, 'ePHD_KMT2B', NULL, 'ePHD_KMT2B', NULL, NULL, 32987, 1),
(6124, NULL, 'cd17135', NULL, NULL, 'RBD_CRAF', NULL, 'RBD_CRAF', NULL, NULL, NULL, 1),
(6125, NULL, 'cd00403', NULL, NULL, 'Ribosomal_L1', NULL, 'Ribosomal_L1', NULL, NULL, 22908, 1),
(6126, NULL, 'cd07415', NULL, NULL, 'MPP_PP2A_PP4_PP6', NULL, 'MPP_PP2A_PP4_PP6', NULL, NULL, NULL, 1),
(6127, NULL, 'cd17584', NULL, NULL, 'REC_typeB_ARR-like', NULL, 'REC_typeB_ARR-like', NULL, NULL, NULL, 1),
(6128, NULL, 'cd07651', NULL, NULL, 'F-BAR_PombeCdc15_like', NULL, 'F-BAR_PombeCdc15_like', NULL, NULL, NULL, 1),
(6129, NULL, 'cd15433', NULL, NULL, '7tmA_OR2Y-like', NULL, '7tmA_OR2Y-like', NULL, NULL, NULL, 1),
(6130, NULL, 'cd16096', NULL, NULL, 'IgV_CD79b_beta', NULL, 'IgV_CD79b_beta', NULL, NULL, NULL, 1),
(6131, NULL, 'cd11786', NULL, NULL, 'SH3_SH3RF_1', NULL, 'SH3_SH3RF_1', NULL, NULL, NULL, 1),
(6132, NULL, 'cd15059', NULL, NULL, '7tmA_alpha2_AR', NULL, '7tmA_alpha2_AR', NULL, NULL, NULL, 1),
(6133, NULL, 'cd12903', NULL, NULL, 'SPRY_PRY_SPRYD4', NULL, 'SPRY_PRY_SPRYD4', NULL, NULL, NULL, 1),
(6134, NULL, 'cd01065', NULL, NULL, 'NAD_bind_Shikimate_DH', NULL, 'NAD_bind_Shikimate_DH', NULL, NULL, NULL, 1),
(6135, NULL, 'cd08392', NULL, NULL, 'C2A_SLP-3', NULL, 'C2A_SLP-3', NULL, NULL, NULL, 1),
(6136, NULL, 'cd03880', NULL, NULL, 'M28_QC_like', NULL, 'M28_QC_like', NULL, NULL, 29113, 1),
(6137, NULL, 'cd05973', NULL, NULL, 'MACS_like_2', NULL, 'MACS_like_2', NULL, NULL, NULL, 1),
(6138, NULL, 'cd14058', NULL, NULL, 'STKc_TAK1', NULL, 'STKc_TAK1', NULL, NULL, NULL, 1),
(6139, NULL, 'cd07811', NULL, NULL, 'FGGY_D-XK_3', NULL, 'FGGY_D-XK_3', NULL, NULL, NULL, 1),
(6140, NULL, 'cd01720', NULL, NULL, 'Sm_D2', NULL, 'Sm_D2', NULL, NULL, 28817, 1),
(6141, NULL, 'cd13716', NULL, NULL, 'PBP2_iGluR_delta_like', NULL, 'PBP2_iGluR_delta_like', NULL, NULL, NULL, 1),
(6142, NULL, 'cd16197', NULL, NULL, 'EFh_PEF_CalpC', NULL, 'EFh_PEF_CalpC', NULL, NULL, NULL, 1),
(6143, NULL, 'cd13877', NULL, NULL, 'CuRO_2_Fet3p_like', NULL, 'CuRO_2_Fet3p_like', NULL, NULL, 37645, 1),
(6144, NULL, 'cd02733', NULL, NULL, 'RNAP_II_RPB1_N', NULL, 'RNAP_II_RPB1_N', NULL, NULL, NULL, 1),
(6145, NULL, 'cd06156', NULL, NULL, 'eu_AANH_C_2', NULL, 'eu_AANH_C_2', NULL, NULL, NULL, 1),
(6146, NULL, 'cd07893', NULL, NULL, 'OBF_DNA_ligase', NULL, 'OBF_DNA_ligase', NULL, NULL, NULL, 1),
(6147, NULL, 'cd14501', NULL, NULL, 'PFA-DSP', NULL, 'PFA-DSP', NULL, NULL, NULL, 1),
(6148, NULL, 'cd00599', NULL, NULL, 'GH25_muramidase', NULL, 'GH25_muramidase', NULL, NULL, NULL, 1),
(6149, NULL, 'cd11444', NULL, NULL, 'bHLH_AtIBH1_like', NULL, 'bHLH_AtIBH1_like', NULL, NULL, 37953, 1),
(6150, NULL, 'cd14096', NULL, NULL, 'STKc_RCK1-like', NULL, 'STKc_RCK1-like', NULL, NULL, NULL, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6151, NULL, 'cd08428', NULL, NULL, 'PBP2_IciA_ArgP', NULL, 'PBP2_IciA_ArgP', NULL, NULL, NULL, 1),
(6152, NULL, 'cd11917', NULL, NULL, 'SH3_Sorbs2_3', NULL, 'SH3_Sorbs2_3', NULL, NULL, NULL, 1),
(6153, NULL, 'cd11922', NULL, NULL, 'SH3_Sorbs1_2', NULL, 'SH3_Sorbs1_2', NULL, NULL, 30416, 1),
(6154, NULL, 'cd16511', NULL, NULL, 'vRING-HC_IRF2BP1_like', NULL, 'vRING-HC_IRF2BP1_like', NULL, NULL, NULL, 1),
(6155, NULL, 'cd09235', NULL, NULL, 'V_Alix', NULL, 'V_Alix', NULL, NULL, NULL, 1),
(6156, NULL, 'cd18675', NULL, NULL, 'PIN_SpAst1-like', NULL, 'PIN_SpAst1-like', NULL, NULL, NULL, 1),
(6157, NULL, 'cd10010', NULL, NULL, 'HDAC1', NULL, 'HDAC1', NULL, NULL, NULL, 1),
(6158, NULL, 'cd07285', NULL, NULL, 'PX_SNX9', NULL, 'PX_SNX9', NULL, NULL, 36090, 1),
(6159, NULL, 'cd18986', NULL, NULL, 'CBD_ESA1_like', NULL, 'CBD_ESA1_like', NULL, NULL, NULL, 1),
(6160, NULL, 'cd08212', NULL, NULL, 'RuBisCO_large_I', NULL, 'RuBisCO_large_I', NULL, NULL, 20932, 1),
(6161, NULL, 'cd01812', NULL, NULL, 'Ubl_BAG1', NULL, 'Ubl_BAG1', NULL, NULL, NULL, 1),
(6162, NULL, 'cd08069', NULL, NULL, 'MPN_RPN11_CSN5', NULL, 'MPN_RPN11_CSN5', NULL, NULL, NULL, 1),
(6163, NULL, 'cd12244', NULL, NULL, 'RRM2_MSSP', NULL, 'RRM2_MSSP', NULL, NULL, NULL, 1),
(6164, NULL, 'cd15846', NULL, NULL, 'SNARE_syntaxin17', NULL, 'SNARE_syntaxin17', NULL, NULL, NULL, 1),
(6165, NULL, 'cd09697', NULL, NULL, 'Cas8a1_I-A', NULL, 'Cas8a1_I-A', NULL, NULL, NULL, 1),
(6166, NULL, 'cd05959', NULL, NULL, 'BCL_4HBCL', NULL, 'BCL_4HBCL', NULL, NULL, NULL, 1),
(6167, NULL, 'cd18640', NULL, NULL, 'CD_Chro-like', NULL, 'CD_Chro-like', NULL, NULL, NULL, 1),
(6168, NULL, 'cd13421', NULL, NULL, 'TNFRSF_EDAR', NULL, 'TNFRSF_EDAR', NULL, NULL, 29330, 1),
(6169, NULL, 'cd18740', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(6170, NULL, 'cd15690', NULL, NULL, 'PHD1_DPF1', NULL, 'PHD1_DPF1', NULL, NULL, NULL, 1),
(6171, NULL, 'cd15767', NULL, NULL, 'FYVE_SPIR1', NULL, 'FYVE_SPIR1', NULL, NULL, NULL, 1),
(6172, NULL, 'cd00595', NULL, NULL, 'NDPk', NULL, 'NDPk', NULL, NULL, NULL, 1),
(6173, NULL, 'cd10311', NULL, NULL, 'PLDc_N_DEXD_c', NULL, 'PLDc_N_DEXD_c', NULL, NULL, NULL, 1),
(6174, NULL, 'cd01266', NULL, NULL, 'PH_Gab1_Gab2', NULL, 'PH_Gab1_Gab2', NULL, NULL, NULL, 1),
(6175, NULL, 'cd00363', NULL, NULL, 'PFK', NULL, 'PFK', NULL, NULL, NULL, 1),
(6176, NULL, 'cd06494', NULL, NULL, 'p23_NUDCD2_like', NULL, 'p23_NUDCD2_like', NULL, NULL, 32914, 1),
(6177, NULL, 'cd01749', NULL, NULL, 'GATase1_PB', NULL, 'GATase1_PB', NULL, NULL, 5272, 1),
(6178, NULL, 'cd12514', NULL, NULL, 'RRM4_RBM12_like', NULL, 'RRM4_RBM12_like', NULL, NULL, NULL, 1),
(6179, NULL, 'cd06589', NULL, NULL, 'GH31', NULL, 'GH31', NULL, NULL, NULL, 1),
(6180, NULL, 'cd01447', NULL, NULL, 'Polysulfide_ST', NULL, 'Polysulfide_ST', NULL, NULL, NULL, 1),
(6181, NULL, 'cd10342', NULL, NULL, 'SH2_SAP1', NULL, 'SH2_SAP1', NULL, NULL, 9818, 1),
(6182, NULL, 'cd15203', NULL, NULL, '7tmA_NPYR-like', NULL, '7tmA_NPYR-like', NULL, NULL, NULL, 1),
(6183, NULL, 'cd04162', NULL, NULL, 'Arl9_Arfrp2_like', NULL, 'Arl9_Arfrp2_like', NULL, NULL, NULL, 1),
(6184, NULL, 'cd00559', NULL, NULL, 'Cyanase_C', NULL, 'Cyanase_C', NULL, NULL, 2203, 1),
(6185, NULL, 'cd06478', NULL, NULL, 'ACD_HspB4-5-6', NULL, 'ACD_HspB4-5-6', NULL, NULL, NULL, 1),
(6186, NULL, 'cd14103', NULL, NULL, 'STKc_MLCK', NULL, 'STKc_MLCK', NULL, NULL, NULL, 1),
(6187, NULL, 'cd13907', NULL, NULL, 'CuRO_3_MCO_like_1', NULL, 'CuRO_3_MCO_like_1', NULL, NULL, NULL, 1),
(6188, NULL, 'cd10411', NULL, NULL, 'SH2_SH2B2', NULL, 'SH2_SH2B2', NULL, NULL, 17439, 1),
(6189, NULL, 'cd04955', NULL, NULL, 'GT4-like', NULL, 'GT4-like', NULL, NULL, NULL, 1),
(6190, NULL, 'cd13216', NULL, NULL, 'PH-GRAM2_AGT26', NULL, 'PH-GRAM2_AGT26', NULL, NULL, NULL, 1),
(6191, NULL, 'cd16537', NULL, NULL, 'RING-HC_RNF37', NULL, 'RING-HC_RNF37', NULL, NULL, NULL, 1),
(6192, NULL, 'cd16876', NULL, NULL, 'ARID_ARID1A', NULL, 'ARID_ARID1A', NULL, NULL, NULL, 1),
(6193, NULL, 'cd08466', NULL, NULL, 'PBP2_LeuO', NULL, 'PBP2_LeuO', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6194, NULL, 'cd18433', NULL, NULL, 'BRCT_Rad4_rpt3', NULL, 'BRCT_Rad4_rpt3', NULL, NULL, NULL, 1),
(6195, NULL, 'cd18076', NULL, NULL, 'DEXXQc_HELZ2-N', NULL, 'DEXXQc_HELZ2-N', NULL, NULL, NULL, 1),
(6196, NULL, 'cd20332', NULL, NULL, 'JBP', NULL, 'JBP', NULL, NULL, NULL, 1),
(6197, NULL, 'cd16842', NULL, NULL, 'Ig_SLAM-CD84_like_N', NULL, 'Ig_SLAM-CD84_like_N', NULL, NULL, NULL, 1),
(6198, NULL, 'cd18588', NULL, NULL, 'ABC_6TM_CyaB_HlyB_like', NULL, 'ABC_6TM_CyaB_HlyB_like', NULL, NULL, NULL, 1),
(6199, NULL, 'cd14348', NULL, NULL, 'UBA_p47', NULL, 'UBA_p47', NULL, NULL, NULL, 1),
(6200, NULL, 'cd15229', NULL, NULL, '7tmA_OR8S1-like', NULL, '7tmA_OR8S1-like', NULL, NULL, NULL, 1),
(6201, NULL, 'cd17994', NULL, NULL, 'DEXHc_CHD3_4_5', NULL, 'DEXHc_CHD3_4_5', NULL, NULL, NULL, 1),
(6202, NULL, 'cd02183', NULL, NULL, 'GH16_fungal_CRH1_transglycosylase', NULL, 'GH16_fungal_CRH1_transglycosylase', NULL, NULL, NULL, 1),
(6203, NULL, 'cd18654', NULL, NULL, 'CSD_HP1beta_Cbx1', NULL, 'CSD_HP1beta_Cbx1', NULL, NULL, NULL, 1),
(6204, NULL, 'cd18284', NULL, NULL, 'BTB2_POZ_BTBD7', NULL, 'BTB2_POZ_BTBD7', NULL, NULL, NULL, 1),
(6205, NULL, 'cd08815', NULL, NULL, 'Death_TNFRSF25_DR3', NULL, 'Death_TNFRSF25_DR3', NULL, NULL, NULL, 1),
(6206, NULL, 'cd19134', NULL, NULL, 'AKR_AKR5H1', NULL, 'AKR_AKR5H1', NULL, NULL, NULL, 1),
(6207, NULL, 'cd10549', NULL, NULL, 'MtMvhB_like', NULL, 'MtMvhB_like', NULL, NULL, NULL, 1),
(6208, NULL, 'cd16852', NULL, NULL, 'STAT2_CCD', NULL, 'STAT2_CCD', NULL, NULL, NULL, 1),
(6209, NULL, 'cd16419', NULL, NULL, 'HAD_SPS', NULL, 'HAD_SPS', NULL, NULL, 30674, 1),
(6210, NULL, 'cd17634', NULL, NULL, 'ACS-like', NULL, 'ACS-like', NULL, NULL, NULL, 1),
(6211, NULL, 'cd09551', NULL, NULL, 'SAM_EPH-B1', NULL, 'SAM_EPH-B1', NULL, NULL, 39016, 1),
(6212, NULL, 'cd04104', NULL, NULL, 'p47_IIGP_like', NULL, 'p47_IIGP_like', NULL, NULL, NULL, 1),
(6213, NULL, 'cd11813', NULL, NULL, 'SH3_SGSM3', NULL, 'SH3_SGSM3', NULL, NULL, 35588, 1),
(6214, NULL, 'cd16763', NULL, NULL, 'RING-HC_TRIM59_C-V', NULL, 'RING-HC_TRIM59_C-V', NULL, NULL, NULL, 1),
(6215, NULL, 'cd14192', NULL, NULL, 'STKc_MLCK3', NULL, 'STKc_MLCK3', NULL, NULL, NULL, 1),
(6216, NULL, 'cd18967', NULL, NULL, 'chromodomain', NULL, 'chromodomain', NULL, NULL, NULL, 1),
(6217, NULL, 'cd08405', NULL, NULL, 'C2B_Synaptotagmin-7', NULL, 'C2B_Synaptotagmin-7', NULL, NULL, 30947, 1),
(6218, NULL, 'cd12843', NULL, NULL, 'Bvu_2165_C_like', NULL, 'Bvu_2165_C_like', NULL, NULL, 22209, 1),
(6219, NULL, 'cd18381', NULL, NULL, 'BTB_POZ_Kv5_KCNF1', NULL, 'BTB_POZ_Kv5_KCNF1', NULL, NULL, NULL, 1),
(6220, NULL, 'cd04767', NULL, NULL, 'HTH_HspR-like_MBC', NULL, 'HTH_HspR-like_MBC', NULL, NULL, NULL, 1),
(6221, NULL, 'cd12445', NULL, NULL, 'RRM2_CPEBs', NULL, 'RRM2_CPEBs', NULL, NULL, NULL, 1),
(6222, NULL, 'cd03262', NULL, NULL, 'ABC_HisP_GlnQ', NULL, 'ABC_HisP_GlnQ', NULL, NULL, NULL, 1),
(6223, NULL, 'cd08376', NULL, NULL, 'C2B_MCTP_PRT', NULL, 'C2B_MCTP_PRT', NULL, NULL, NULL, 1),
(6224, NULL, 'cd17279', NULL, NULL, 'RMtype1_S_BmuCF2ORF3362P_TRD1-CR1_like', NULL, 'RMtype1_S_BmuCF2ORF3362P_TRD1-CR1_like', NULL, NULL, NULL, 1),
(6225, NULL, 'cd00625', NULL, NULL, 'ArsB_NhaD_permease', NULL, 'ArsB_NhaD_permease', NULL, NULL, NULL, 1),
(6226, NULL, 'cd14612', NULL, NULL, 'PTPc-N7', NULL, 'PTPc-N7', NULL, NULL, NULL, 1),
(6227, NULL, 'cd15369', NULL, NULL, '7tmA_PAR1', NULL, '7tmA_PAR1', NULL, NULL, NULL, 1),
(6228, NULL, 'cd09572', NULL, NULL, 'SAM_tumor-p63', NULL, 'SAM_tumor-p63', NULL, NULL, 33365, 1),
(6229, NULL, 'cd12592', NULL, NULL, 'RRM_RBM7', NULL, 'RRM_RBM7', NULL, NULL, 32228, 1),
(6230, NULL, 'cd14364', NULL, NULL, 'CUE_ASCC2', NULL, 'CUE_ASCC2', NULL, NULL, 33216, 1),
(6231, NULL, 'cd08163', NULL, NULL, 'MPP_Cdc1', NULL, 'MPP_Cdc1', NULL, NULL, 32595, 1),
(6232, NULL, 'cd05560', NULL, NULL, 'Xcc1710_like', NULL, 'Xcc1710_like', NULL, NULL, NULL, 1),
(6233, NULL, 'cd07477', NULL, NULL, 'Peptidases_S8_Subtilisin_subset', NULL, 'Peptidases_S8_Subtilisin_subset', NULL, NULL, 5893, 1),
(6234, NULL, 'cd19694', NULL, NULL, 'bHLH_dnHLH_ID4', NULL, 'bHLH_dnHLH_ID4', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6235, NULL, 'cd18779', NULL, NULL, 'ABC_6TM_T1SS_like', NULL, 'ABC_6TM_T1SS_like', NULL, NULL, NULL, 1),
(6236, NULL, 'cd09517', NULL, NULL, 'SAM_USH1G_HARP', NULL, 'SAM_USH1G_HARP', NULL, NULL, NULL, 1),
(6237, NULL, 'cd11617', NULL, NULL, 'Antifreeze_III', NULL, 'Antifreeze_III', NULL, NULL, NULL, 1),
(6238, NULL, 'cd12525', NULL, NULL, 'RRM1_MEI2_fungi', NULL, 'RRM1_MEI2_fungi', NULL, NULL, NULL, 1),
(6239, NULL, 'cd06339', NULL, NULL, 'PBP1_YraM_LppC_lipoprotein-like', NULL, 'PBP1_YraM_LppC_lipoprotein-like', NULL, NULL, NULL, 1),
(6240, NULL, 'cd05350', NULL, NULL, 'SDR_c6', NULL, 'SDR_c6', NULL, NULL, NULL, 1),
(6241, NULL, 'cd11675', NULL, NULL, 'SCAB1_middle', NULL, 'SCAB1_middle', NULL, NULL, NULL, 1),
(6242, NULL, 'cd17131', NULL, NULL, 'Ubl_TMUB1', NULL, 'Ubl_TMUB1', NULL, NULL, NULL, 1),
(6243, NULL, 'cd17241', NULL, NULL, 'RA_PHLPP2', NULL, 'RA_PHLPP2', NULL, NULL, NULL, 1),
(6244, NULL, 'cd18966', NULL, NULL, 'chromodomain', NULL, 'chromodomain', NULL, NULL, NULL, 1),
(6245, NULL, 'cd13525', NULL, NULL, 'PBP2_ATP-Prtase_HisG', NULL, 'PBP2_ATP-Prtase_HisG', NULL, NULL, NULL, 1),
(6246, NULL, 'cd07867', NULL, NULL, 'STKc_CDC2L6', NULL, 'STKc_CDC2L6', NULL, NULL, NULL, 1),
(6247, NULL, 'cd21404', NULL, NULL, 'ZBD_rv_SF1_Hel-like', NULL, 'ZBD_rv_SF1_Hel-like', NULL, NULL, 40035, 1),
(6248, NULL, 'cd07827', NULL, NULL, 'RHD-n', NULL, 'RHD-n', NULL, NULL, NULL, 1),
(6249, NULL, 'cd17014', NULL, NULL, 'ANTH_N_HIP1R', NULL, 'ANTH_N_HIP1R', NULL, NULL, NULL, 1),
(6250, NULL, 'cd18785', NULL, NULL, 'SF2_C', NULL, 'SF2_C', NULL, NULL, NULL, 1),
(6251, NULL, 'cd06644', NULL, NULL, 'STKc_STK10', NULL, 'STKc_STK10', NULL, NULL, 37702, 1),
(6252, NULL, 'cd11838', NULL, NULL, 'SH3_Intersectin_3', NULL, 'SH3_Intersectin_3', NULL, NULL, NULL, 1),
(6253, NULL, 'cd06231', NULL, NULL, 'M14_REP34-like', NULL, 'M14_REP34-like', NULL, NULL, NULL, 1),
(6254, NULL, 'cd13874', NULL, NULL, 'CuRO_2_CopA', NULL, 'CuRO_2_CopA', NULL, NULL, 3388, 1),
(6255, NULL, 'cd16674', NULL, NULL, 'RING-H2_RNF12', NULL, 'RING-H2_RNF12', NULL, NULL, NULL, 1),
(6256, NULL, 'cd18087', NULL, NULL, 'TrmY-like', NULL, 'TrmY-like', NULL, NULL, 151, 1),
(6257, NULL, 'cd18324', NULL, NULL, 'BTB_POZ_ZBTB18_RP58', NULL, 'BTB_POZ_ZBTB18_RP58', NULL, NULL, NULL, 1),
(6258, NULL, 'cd09943', NULL, NULL, 'SH2_Nck_family', NULL, 'SH2_Nck_family', NULL, NULL, NULL, 1),
(6259, NULL, 'cd08588', NULL, NULL, 'PI-PLCc_At5g67130_like', NULL, 'PI-PLCc_At5g67130_like', NULL, NULL, NULL, 1),
(6260, NULL, 'cd03682', NULL, NULL, 'ClC_sycA_like', NULL, 'ClC_sycA_like', NULL, NULL, NULL, 1),
(6261, NULL, 'cd14248', NULL, NULL, 'ESP', NULL, 'ESP', NULL, NULL, NULL, 1),
(6262, NULL, 'cd11238', NULL, NULL, 'Sema_2A', NULL, 'Sema_2A', NULL, NULL, NULL, 1),
(6263, NULL, 'cd03512', NULL, NULL, 'Alkane-hydroxylase', NULL, 'Alkane-hydroxylase', NULL, NULL, 31322, 1),
(6264, NULL, 'cd07033', NULL, NULL, 'TPP_PYR_DXS_TK_like', NULL, 'TPP_PYR_DXS_TK_like', NULL, NULL, NULL, 1),
(6265, NULL, 'cd11829', NULL, NULL, 'SH3_GAS7', NULL, 'SH3_GAS7', NULL, NULL, NULL, 1),
(6266, NULL, 'cd11916', NULL, NULL, 'SH3_Sorbs1_3', NULL, 'SH3_Sorbs1_3', NULL, NULL, 30309, 1),
(6267, NULL, 'cd17161', NULL, NULL, 'UBX_UBXN2B', NULL, 'UBX_UBXN2B', NULL, NULL, NULL, 1),
(6268, NULL, 'cd11411', NULL, NULL, 'bHLH_TS_MRF', NULL, 'bHLH_TS_MRF', NULL, NULL, NULL, 1),
(6269, NULL, 'cd17276', NULL, NULL, 'RMtype1_S_Sau1132ORF3780P-TRD1-CR1_like', NULL, 'RMtype1_S_Sau1132ORF3780P-TRD1-CR1_like', NULL, NULL, NULL, 1),
(6270, NULL, 'cd10033', NULL, NULL, 'UDG_like', NULL, 'UDG_like', NULL, NULL, NULL, 1),
(6271, NULL, 'cd07388', NULL, NULL, 'MPP_Tt1561', NULL, 'MPP_Tt1561', NULL, NULL, 33011, 1),
(6272, NULL, 'cd09755', NULL, NULL, 'Cas2_I-E', NULL, 'Cas2_I-E', NULL, NULL, NULL, 1),
(6273, NULL, 'cd18503', NULL, NULL, 'BACK_calicin', NULL, 'BACK_calicin', NULL, NULL, NULL, 1),
(6274, NULL, 'cd09538', NULL, NULL, 'SAM_DLC1,2-like', NULL, 'SAM_DLC1,2-like', NULL, NULL, NULL, 1),
(6275, NULL, 'cd17533', NULL, NULL, 'REC_LytTR_AgrA-like', NULL, 'REC_LytTR_AgrA-like', NULL, NULL, NULL, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6276, NULL, 'cd07198', NULL, NULL, 'Patatin', NULL, 'Patatin', NULL, NULL, NULL, 1),
(6277, NULL, 'cd07216', NULL, NULL, 'Pat17_PNPLA8_PNPLA9_like3', NULL, 'Pat17_PNPLA8_PNPLA9_like3', NULL, NULL, NULL, 1),
(6278, NULL, 'cd09415', NULL, NULL, 'LIM1_Prickle', NULL, 'LIM1_Prickle', NULL, NULL, 32514, 1),
(6279, NULL, 'cd15099', NULL, NULL, '7tmA_Cannabinoid_R', NULL, '7tmA_Cannabinoid_R', NULL, NULL, NULL, 1),
(6280, NULL, 'cd06410', NULL, NULL, 'PB1_UP2', NULL, 'PB1_UP2', NULL, NULL, NULL, 1),
(6281, NULL, 'cd15659', NULL, NULL, 'PHD5_NSD1', NULL, 'PHD5_NSD1', NULL, NULL, NULL, 1),
(6282, NULL, 'cd02795', NULL, NULL, 'CBM6-CBM35-CBM36_like', NULL, 'CBM6-CBM35-CBM36_like', NULL, NULL, NULL, 1),
(6283, NULL, 'cd01660', NULL, NULL, 'ba3-like_Oxidase_I', NULL, 'ba3-like_Oxidase_I', NULL, NULL, 31569, 1),
(6284, NULL, 'cd12617', NULL, NULL, 'RRM2_TIAR', NULL, 'RRM2_TIAR', NULL, NULL, 34676, 1),
(6285, NULL, 'cd12635', NULL, NULL, 'RRM2_CELF3_4_5_6', NULL, 'RRM2_CELF3_4_5_6', NULL, NULL, NULL, 1),
(6286, NULL, 'cd17482', NULL, NULL, 'MFS_YxiO_like', NULL, 'MFS_YxiO_like', NULL, NULL, NULL, 1),
(6287, NULL, 'cd01545', NULL, NULL, 'PBP1_SalR', NULL, 'PBP1_SalR', NULL, NULL, NULL, 1),
(6288, NULL, 'cd15104', NULL, NULL, '7tmA_GPR119_R_insulinotropic_receptor', NULL, '7tmA_GPR119_R_insulinotropic_receptor', NULL, NULL, NULL, 1),
(6289, NULL, 'cd03323', NULL, NULL, 'D-glucarate_dehydratase', NULL, 'D-glucarate_dehydratase', NULL, NULL, 9903, 1),
(6290, NULL, 'cd17199', NULL, NULL, 'FERM_F1_FRMD4A', NULL, 'FERM_F1_FRMD4A', NULL, NULL, NULL, 1),
(6291, NULL, 'cd05794', NULL, NULL, 'S1_EF-P_repeat_2', NULL, 'S1_EF-P_repeat_2', NULL, NULL, 13750, 1),
(6292, NULL, 'cd09550', NULL, NULL, 'SAM_EPH-A8', NULL, 'SAM_EPH-A8', NULL, NULL, NULL, 1),
(6293, NULL, 'cd00260', NULL, NULL, 'Sialidase', NULL, 'Sialidase', NULL, NULL, NULL, 1),
(6294, NULL, 'cd12532', NULL, NULL, 'RRM3_MEI2_fungi', NULL, 'RRM3_MEI2_fungi', NULL, NULL, 9236, 1),
(6295, NULL, 'cd20489', NULL, NULL, 'cupin_HppE-like_C', NULL, 'cupin_HppE-like_C', NULL, NULL, NULL, 1),
(6296, NULL, 'cd08304', NULL, NULL, 'DD', NULL, 'DD', NULL, NULL, NULL, 1),
(6297, NULL, 'cd06186', NULL, NULL, 'NOX_Duox_like_FAD_NADP', NULL, 'NOX_Duox_like_FAD_NADP', NULL, NULL, NULL, 1),
(6298, NULL, 'cd10955', NULL, NULL, 'CE4_BH0857_like', NULL, 'CE4_BH0857_like', NULL, NULL, NULL, 1),
(6299, NULL, 'cd08325', NULL, NULL, 'CARD_CASP1-like', NULL, 'CARD_CASP1-like', NULL, NULL, NULL, 1),
(6300, NULL, 'cd03003', NULL, NULL, 'PDI_a_ERdj5_N', NULL, 'PDI_a_ERdj5_N', NULL, NULL, 35959, 1),
(6301, NULL, 'cd18982', NULL, NULL, 'CSD', NULL, 'CSD', NULL, NULL, NULL, 1),
(6302, NULL, 'cd09678', NULL, NULL, 'Csb1_I-U', NULL, 'Csb1_I-U', NULL, NULL, NULL, 1),
(6303, NULL, 'cd12231', NULL, NULL, 'RRM2_U2AF65', NULL, 'RRM2_U2AF65', NULL, NULL, NULL, 1),
(6304, NULL, 'cd14744', NULL, NULL, 'PAAR_CT_2', NULL, 'PAAR_CT_2', NULL, NULL, NULL, 1),
(6305, NULL, 'cd15263', NULL, NULL, '7tmB1_DH_R', NULL, '7tmB1_DH_R', NULL, NULL, NULL, 1),
(6306, NULL, 'cd07154', NULL, NULL, 'NR_DBD_PNR_like', NULL, 'NR_DBD_PNR_like', NULL, NULL, NULL, 1),
(6307, NULL, 'cd13300', NULL, NULL, 'PH1_TECPR1', NULL, 'PH1_TECPR1', NULL, NULL, NULL, 1),
(6308, NULL, 'cd08759', NULL, NULL, 'Type_III_cohesin_like', NULL, 'Type_III_cohesin_like', NULL, NULL, NULL, 1),
(6309, NULL, 'cd15749', NULL, NULL, 'FYVE_ZFY19', NULL, 'FYVE_ZFY19', NULL, NULL, NULL, 1),
(6310, NULL, 'cd15974', NULL, NULL, '7tmA_SSTR5', NULL, '7tmA_SSTR5', NULL, NULL, NULL, 1),
(6311, NULL, 'cd16351', NULL, NULL, 'CheB_like', NULL, 'CheB_like', NULL, NULL, NULL, 1),
(6312, NULL, 'cd08478', NULL, NULL, 'PBP2_CrgA', NULL, 'PBP2_CrgA', NULL, NULL, NULL, 1),
(6313, NULL, 'cd12517', NULL, NULL, 'RRM_RBM27', NULL, 'RRM_RBM27', NULL, NULL, 30832, 1),
(6314, NULL, 'cd15660', NULL, NULL, 'PHD5_NSD2', NULL, 'PHD5_NSD2', NULL, NULL, NULL, 1),
(6315, NULL, 'cd18007', NULL, NULL, 'DEXHc_ATRX-like', NULL, 'DEXHc_ATRX-like', NULL, NULL, NULL, 1),
(6316, NULL, 'cd16926', NULL, NULL, 'HATPase_MutL-MLH-PMS-like', NULL, 'HATPase_MutL-MLH-PMS-like', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6317, NULL, 'cd13738', NULL, NULL, 'SPRY_PRY_TRIM14', NULL, 'SPRY_PRY_TRIM14', NULL, NULL, 40011, 1),
(6318, NULL, 'cd19013', NULL, NULL, 'LGIC_ECD_5-HT3C_E', NULL, 'LGIC_ECD_5-HT3C_E', NULL, NULL, NULL, 1),
(6319, NULL, 'cd06842', NULL, NULL, 'PLPDE_III_Y4yA_like', NULL, 'PLPDE_III_Y4yA_like', NULL, NULL, 37621, 1),
(6320, NULL, 'cd01435', NULL, NULL, 'RNAP_I_RPA1_N', NULL, 'RNAP_I_RPA1_N', NULL, NULL, NULL, 1),
(6321, NULL, 'cd06373', NULL, NULL, 'PBP1_NPR-like', NULL, 'PBP1_NPR-like', NULL, NULL, NULL, 1),
(6322, NULL, 'cd09435', NULL, NULL, 'LIM3_Zyxin', NULL, 'LIM3_Zyxin', NULL, NULL, NULL, 1),
(6323, NULL, 'cd04268', NULL, NULL, 'ZnMc_MMP_like', NULL, 'ZnMc_MMP_like', NULL, NULL, NULL, 1),
(6324, NULL, 'cd04694', NULL, NULL, 'Nudix_Hydrolase_35', NULL, 'Nudix_Hydrolase_35', NULL, NULL, 32979, 1),
(6325, NULL, 'cd01018', NULL, NULL, 'ZntC', NULL, 'ZntC', NULL, NULL, NULL, 1),
(6326, NULL, 'cd11819', NULL, NULL, 'SH3_Cortactin_like', NULL, 'SH3_Cortactin_like', NULL, NULL, NULL, 1),
(6327, NULL, 'cd21667', NULL, NULL, 'gammaCoV_Nsp5_Mpro', NULL, 'gammaCoV_Nsp5_Mpro', NULL, NULL, 36708, 1),
(6328, NULL, 'cd17183', NULL, NULL, 'FERM_F1_KIND1', NULL, 'FERM_F1_KIND1', NULL, NULL, NULL, 1),
(6329, NULL, 'cd16426', NULL, NULL, 'VirB10_like', NULL, 'VirB10_like', NULL, NULL, NULL, 1),
(6330, NULL, 'cd16456', NULL, NULL, 'RING-H2_APC11', NULL, 'RING-H2_APC11', NULL, NULL, 23090, 1),
(6331, NULL, 'cd11651', NULL, NULL, 'YPK1_N_like', NULL, 'YPK1_N_like', NULL, NULL, NULL, 1),
(6332, NULL, 'cd08927', NULL, NULL, 'Hb-alpha-like', NULL, 'Hb-alpha-like', NULL, NULL, 6696, 1),
(6333, NULL, 'cd00236', NULL, NULL, 'FinO_conjug_rep', NULL, 'FinO_conjug_rep', NULL, NULL, NULL, 1),
(6334, NULL, 'cd12207', NULL, NULL, 'RasGAP_IQGAP3', NULL, 'RasGAP_IQGAP3', NULL, NULL, NULL, 1),
(6335, NULL, 'cd19129', NULL, NULL, 'AKR_BaDH-like', NULL, 'AKR_BaDH-like', NULL, NULL, 38367, 1),
(6336, NULL, 'cd16645', NULL, NULL, 'mRING-HC-C3HC3D_TRIM23_C-IX', NULL, 'mRING-HC-C3HC3D_TRIM23_C-IX', NULL, NULL, NULL, 1),
(6337, NULL, 'cd17288', NULL, NULL, 'RMtype1_S_LlaAI06ORF1089P_TRD1-CR1_like', NULL, 'RMtype1_S_LlaAI06ORF1089P_TRD1-CR1_like', NULL, NULL, NULL, 1),
(6338, NULL, 'cd01453', NULL, NULL, 'vWA_transcription_factor_IIH_type', NULL, 'vWA_transcription_factor_IIH_type', NULL, NULL, 1180, 1),
(6339, NULL, 'cd02983', NULL, NULL, 'P5_C', NULL, 'P5_C', NULL, NULL, NULL, 1),
(6340, NULL, 'cd01976', NULL, NULL, 'Nitrogenase_MoFe_alpha', NULL, 'Nitrogenase_MoFe_alpha', NULL, NULL, 1110, 1),
(6341, NULL, 'cd00076', NULL, NULL, 'H4', NULL, 'H4', NULL, NULL, 2212, 1),
(6342, NULL, 'cd11021', NULL, NULL, 'CuRO_2_ceruloplasmin', NULL, 'CuRO_2_ceruloplasmin', NULL, NULL, NULL, 1),
(6343, NULL, 'cd12003', NULL, NULL, 'SH3_EFS', NULL, 'SH3_EFS', NULL, NULL, 30121, 1),
(6344, NULL, 'cd11719', NULL, NULL, 'FANC', NULL, 'FANC', NULL, NULL, NULL, 1),
(6345, NULL, 'cd14300', NULL, NULL, 'UBA_UBS3A_like', NULL, 'UBA_UBS3A_like', NULL, NULL, NULL, 1),
(6346, NULL, 'cd15793', NULL, NULL, 'PH1_FGD6', NULL, 'PH1_FGD6', NULL, NULL, 30935, 1),
(6347, NULL, 'cd18913', NULL, NULL, 'bHLH-O_hairy_like', NULL, 'bHLH-O_hairy_like', NULL, NULL, NULL, 1),
(6348, NULL, 'cd02950', NULL, NULL, 'TxlA', NULL, 'TxlA', NULL, NULL, NULL, 1),
(6349, NULL, 'cd12285', NULL, NULL, 'RRM3_RBM39_like', NULL, 'RRM3_RBM39_like', NULL, NULL, NULL, 1),
(6350, NULL, 'cd19722', NULL, NULL, 'bHLH_TS_NeuroD6_ATOH2', NULL, 'bHLH_TS_NeuroD6_ATOH2', NULL, NULL, NULL, 1),
(6351, NULL, 'cd08312', NULL, NULL, 'Death_MyD88', NULL, 'Death_MyD88', NULL, NULL, 16254, 1),
(6352, NULL, 'cd00207', NULL, NULL, 'fer2', NULL, 'fer2', NULL, NULL, 2219, 1),
(6353, NULL, 'cd09737', NULL, NULL, 'Csy3_I-F', NULL, 'Csy3_I-F', NULL, NULL, NULL, 1),
(6354, NULL, 'cd16501', NULL, NULL, 'RING-HC_CblA_like', NULL, 'RING-HC_CblA_like', NULL, NULL, NULL, 1),
(6355, NULL, 'cd01287', NULL, NULL, 'FabA', NULL, 'FabA', NULL, NULL, 2278, 1),
(6356, NULL, 'cd17919', NULL, NULL, 'DEXHc_Snf', NULL, 'DEXHc_Snf', NULL, NULL, NULL, 1),
(6357, NULL, 'cd15391', NULL, NULL, '7tmA_NPR-like_invertebrate', NULL, '7tmA_NPR-like_invertebrate', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6358, NULL, 'cd00099', NULL, NULL, 'IgV', NULL, 'IgV', NULL, NULL, NULL, 1),
(6359, NULL, 'cd16553', NULL, NULL, 'RING-HC_RNF170', NULL, 'RING-HC_RNF170', NULL, NULL, NULL, 1),
(6360, NULL, 'cd11473', NULL, NULL, 'W2', NULL, 'W2', NULL, NULL, NULL, 1),
(6361, NULL, 'cd18427', NULL, NULL, 'BTB_POZ_KCNS2', NULL, 'BTB_POZ_KCNS2', NULL, NULL, NULL, 1),
(6362, NULL, 'cd03370', NULL, NULL, 'nitroreductase', NULL, 'nitroreductase', NULL, NULL, NULL, 1),
(6363, NULL, 'cd15570', NULL, NULL, 'PHD_Bye1p_SIZ1_like', NULL, 'PHD_Bye1p_SIZ1_like', NULL, NULL, NULL, 1),
(6364, NULL, 'cd07870', NULL, NULL, 'STKc_PFTAIRE2', NULL, 'STKc_PFTAIRE2', NULL, NULL, 36914, 1),
(6365, NULL, 'cd08566', NULL, NULL, 'GDPD_AtGDE_like', NULL, 'GDPD_AtGDE_like', NULL, NULL, NULL, 1),
(6366, NULL, 'cd09096', NULL, NULL, 'Deadenylase_nocturnin', NULL, 'Deadenylase_nocturnin', NULL, NULL, 29350, 1),
(6367, NULL, 'cd15155', NULL, NULL, '7tmA_LPAR4', NULL, '7tmA_LPAR4', NULL, NULL, NULL, 1),
(6368, NULL, 'cd17321', NULL, NULL, 'MFS_MMR_MDR_like', NULL, 'MFS_MMR_MDR_like', NULL, NULL, NULL, 1),
(6369, NULL, 'cd16128', NULL, NULL, 'Ubl_ATG8', NULL, 'Ubl_ATG8', NULL, NULL, NULL, 1),
(6370, NULL, 'cd19128', NULL, NULL, 'AKR_GlAR-like', NULL, 'AKR_GlAR-like', NULL, NULL, NULL, 1),
(6371, NULL, 'cd09396', NULL, NULL, 'LIM_DA1', NULL, 'LIM_DA1', NULL, NULL, NULL, 1),
(6372, NULL, 'cd20487', NULL, NULL, 'USP28_C', NULL, 'USP28_C', NULL, NULL, NULL, 1),
(6373, NULL, 'cd03367', NULL, NULL, 'Ribosomal_S23', NULL, 'Ribosomal_S23', NULL, NULL, 3713, 1),
(6374, NULL, 'cd09507', NULL, NULL, 'SAM_DGK-delta-eta', NULL, 'SAM_DGK-delta-eta', NULL, NULL, NULL, 1),
(6375, NULL, 'cd15785', NULL, NULL, 'YycH_N_like', NULL, 'YycH_N_like', NULL, NULL, NULL, 1),
(6376, NULL, 'cd15584', NULL, NULL, 'PHD_ING1_2', NULL, 'PHD_ING1_2', NULL, NULL, NULL, 1),
(6377, NULL, 'cd15861', NULL, NULL, 'SNARE_SNAP25N_23N_29N_SEC9N', NULL, 'SNARE_SNAP25N_23N_29N_SEC9N', NULL, NULL, 36940, 1),
(6378, NULL, 'cd08309', NULL, NULL, 'Death_IRAK', NULL, 'Death_IRAK', NULL, NULL, NULL, 1),
(6379, NULL, 'cd15031', NULL, NULL, '7tmF_FZD3_insect', NULL, '7tmF_FZD3_insect', NULL, NULL, NULL, 1),
(6380, NULL, 'cd18115', NULL, NULL, 'ATP-synt_F1_beta_N', NULL, 'ATP-synt_F1_beta_N', NULL, NULL, NULL, 1),
(6381, NULL, 'cd13593', NULL, NULL, 'PBP2_HisGL3', NULL, 'PBP2_HisGL3', NULL, NULL, NULL, 1),
(6382, NULL, 'cd07707', NULL, NULL, 'MBL-B1-B2-like', NULL, 'MBL-B1-B2-like', NULL, NULL, NULL, 1),
(6383, NULL, 'sd00001', NULL, NULL, 'TSP3', NULL, 'TSP3', NULL, NULL, NULL, 1),
(6384, NULL, 'cd06423', NULL, NULL, 'CESA_like', NULL, 'CESA_like', NULL, NULL, NULL, 1),
(6385, NULL, 'cd14153', NULL, NULL, 'PK_KSR2', NULL, 'PK_KSR2', NULL, NULL, NULL, 1),
(6386, NULL, 'cd12538', NULL, NULL, 'RRM_U2AF35', NULL, 'RRM_U2AF35', NULL, NULL, NULL, 1),
(6387, NULL, 'cd14114', NULL, NULL, 'STKc_Twitchin_like', NULL, 'STKc_Twitchin_like', NULL, NULL, NULL, 1),
(6388, NULL, 'cd08529', NULL, NULL, 'STKc_FA2-like', NULL, 'STKc_FA2-like', NULL, NULL, NULL, 1),
(6389, NULL, 'cd03522', NULL, NULL, 'MoeA_like', NULL, 'MoeA_like', NULL, NULL, NULL, 1),
(6390, NULL, 'cd11365', NULL, NULL, 'RNase_PH_archRRP42', NULL, 'RNase_PH_archRRP42', NULL, NULL, 21190, 1),
(6391, NULL, 'cd19126', NULL, NULL, 'AKR_AKR5A_5G', NULL, 'AKR_AKR5A_5G', NULL, NULL, NULL, 1),
(6392, NULL, 'cd09087', NULL, NULL, 'Ape1-like_AP-endo', NULL, 'Ape1-like_AP-endo', NULL, NULL, NULL, 1),
(6393, NULL, 'cd07078', NULL, NULL, 'ALDH', NULL, 'ALDH', NULL, NULL, NULL, 1),
(6394, NULL, 'cd16259', NULL, NULL, 'RF3_III', NULL, 'RF3_III', NULL, NULL, NULL, 1),
(6395, NULL, 'cd02768', NULL, NULL, 'MopB_NADH-Q-OR-NuoG2', NULL, 'MopB_NADH-Q-OR-NuoG2', NULL, NULL, NULL, 1),
(6396, NULL, 'cd03507', NULL, NULL, 'Delta12-FADS-like', NULL, 'Delta12-FADS-like', NULL, NULL, NULL, 1),
(6397, NULL, 'cd04136', NULL, NULL, 'Rap_like', NULL, 'Rap_like', NULL, NULL, NULL, 1),
(6398, NULL, 'cd03239', NULL, NULL, 'ABC_SMC_head', NULL, 'ABC_SMC_head', NULL, NULL, NULL, 1),
(6399, NULL, 'cd11956', NULL, NULL, 'SH3_srGAP4', NULL, 'SH3_srGAP4', NULL, NULL, 33060, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6400, NULL, 'cd18984', NULL, NULL, 'CBD_MOF_like', NULL, 'CBD_MOF_like', NULL, NULL, NULL, 1),
(6401, NULL, 'cd00227', NULL, NULL, 'CPT', NULL, 'CPT', NULL, NULL, 12910, 1),
(6402, NULL, 'cd17555', NULL, NULL, 'REC_RssB-like', NULL, 'REC_RssB-like', NULL, NULL, NULL, 1),
(6403, NULL, 'cd11389', NULL, NULL, 'bHLH-O_HERP_like', NULL, 'bHLH-O_HERP_like', NULL, NULL, NULL, 1),
(6404, NULL, 'cd16324', NULL, NULL, 'LolA_fold-like', NULL, 'LolA_fold-like', NULL, NULL, NULL, 1),
(6405, NULL, 'cd14752', NULL, NULL, 'GH31_N', NULL, 'GH31_N', NULL, NULL, NULL, 1),
(6406, NULL, 'cd19036', NULL, NULL, 'LGIC_ECD_GABAAR_A3', NULL, 'LGIC_ECD_GABAAR_A3', NULL, NULL, NULL, 1),
(6407, NULL, 'cd09023', NULL, NULL, 'Aldose_epim_Ec_c4013', NULL, 'Aldose_epim_Ec_c4013', NULL, NULL, NULL, 1),
(6408, NULL, 'cd01724', NULL, NULL, 'Sm_D1', NULL, 'Sm_D1', NULL, NULL, 11292, 1),
(6409, NULL, 'cd07039', NULL, NULL, 'TPP_PYR_POX', NULL, 'TPP_PYR_POX', NULL, NULL, NULL, 1),
(6410, NULL, 'cd14773', NULL, NULL, 'TrHb2_PhHbO-like_O', NULL, 'TrHb2_PhHbO-like_O', NULL, NULL, NULL, 1),
(6411, NULL, 'cd11355', NULL, NULL, 'AmyAc_Sucrose_phosphorylase', NULL, 'AmyAc_Sucrose_phosphorylase', NULL, NULL, 16910, 1),
(6412, NULL, 'cd05352', NULL, NULL, 'MDH-like_SDR_c', NULL, 'MDH-like_SDR_c', NULL, NULL, NULL, 1),
(6413, NULL, 'cd19967', NULL, NULL, 'PBP1_TmRBP-like', NULL, 'PBP1_TmRBP-like', NULL, NULL, NULL, 1),
(6414, NULL, 'cd09521', NULL, NULL, 'SAM_ASZ1', NULL, 'SAM_ASZ1', NULL, NULL, 38439, 1),
(6415, NULL, 'cd11775', NULL, NULL, 'SH3_Sla1p_3', NULL, 'SH3_Sla1p_3', NULL, NULL, 30713, 1),
(6416, NULL, 'cd06312', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(6417, NULL, 'cd00886', NULL, NULL, 'MogA_MoaB', NULL, 'MogA_MoaB', NULL, NULL, 6324, 1),
(6418, NULL, 'cd18262', NULL, NULL, 'BTB1_POZ_KLHL33', NULL, 'BTB1_POZ_KLHL33', NULL, NULL, NULL, 1),
(6419, NULL, 'cd20261', NULL, NULL, 'Complex1_LYR_LYRM1', NULL, 'Complex1_LYR_LYRM1', NULL, NULL, 36817, 1),
(6420, NULL, 'cd14302', NULL, NULL, 'UBA_UBXN1', NULL, 'UBA_UBXN1', NULL, NULL, 32296, 1),
(6421, NULL, 'cd05295', NULL, NULL, 'MDH_like', NULL, 'MDH_like', NULL, NULL, NULL, 1),
(6422, NULL, 'cd00608', NULL, NULL, 'GalT', NULL, 'GalT', NULL, NULL, 4195, 1),
(6423, NULL, 'cd01875', NULL, NULL, 'RhoG', NULL, 'RhoG', NULL, NULL, 36830, 1),
(6424, NULL, 'cd15147', NULL, NULL, '7tmA_PAFR', NULL, '7tmA_PAFR', NULL, NULL, NULL, 1),
(6425, NULL, 'cd17231', NULL, NULL, 'TGS_DRG2', NULL, 'TGS_DRG2', NULL, NULL, NULL, 1),
(6426, NULL, 'cd03742', NULL, NULL, 'SOCS_Rab40', NULL, 'SOCS_Rab40', NULL, NULL, NULL, 1),
(6427, NULL, 'cd15352', NULL, NULL, '7tmA_MC3R', NULL, '7tmA_MC3R', NULL, NULL, NULL, 1),
(6428, NULL, 'cd15153', NULL, NULL, '7tmA_P2Y10', NULL, '7tmA_P2Y10', NULL, NULL, NULL, 1),
(6429, NULL, 'cd08951', NULL, NULL, 'DR_C-13_KR_SDR_c_like', NULL, 'DR_C-13_KR_SDR_c_like', NULL, NULL, NULL, 1),
(6430, NULL, 'cd10475', NULL, NULL, 'EphR_LBD_B6', NULL, 'EphR_LBD_B6', NULL, NULL, NULL, 1),
(6431, NULL, 'cd18296', NULL, NULL, 'BTB2_POZ_ABTB1_BPOZ1', NULL, 'BTB2_POZ_ABTB1_BPOZ1', NULL, NULL, NULL, 1),
(6432, NULL, 'cd06305', NULL, NULL, 'PBP1_methylthioribose_binding-like', NULL, 'PBP1_methylthioribose_binding-like', NULL, NULL, NULL, 1),
(6433, NULL, 'cd10793', NULL, NULL, 'GH57N_TLGT_like', NULL, 'GH57N_TLGT_like', NULL, NULL, NULL, 1),
(6434, NULL, 'cd10561', NULL, NULL, 'HybA_like', NULL, 'HybA_like', NULL, NULL, NULL, 1),
(6435, NULL, 'cd14326', NULL, NULL, 'UBA_UBL7', NULL, 'UBA_UBL7', NULL, NULL, NULL, 1),
(6436, NULL, 'cd16431', NULL, NULL, 'IcmE', NULL, 'IcmE', NULL, NULL, NULL, 1),
(6437, NULL, 'cd15476', NULL, NULL, 'Myo5c_CBD', NULL, 'Myo5c_CBD', NULL, NULL, 35994, 1),
(6438, NULL, 'cd03071', NULL, NULL, 'PDI_b''_NRX', NULL, 'PDI_b''_NRX', NULL, NULL, 33303, 1),
(6439, NULL, 'cd00016', NULL, NULL, 'ALP_like', NULL, 'ALP_like', NULL, NULL, NULL, 1),
(6440, NULL, 'cd07999', NULL, NULL, 'GH7_CBH_EG', NULL, 'GH7_CBH_EG', NULL, NULL, 3032, 1),
(6441, NULL, 'cd09807', NULL, NULL, 'retinol-DH_like_SDR_c', NULL, 'retinol-DH_like_SDR_c', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6442, NULL, 'cd04903', NULL, NULL, 'ACT_LSD', NULL, 'ACT_LSD', NULL, NULL, NULL, 1),
(6443, NULL, 'cd12014', NULL, NULL, 'SH3_RIM-BP_1', NULL, 'SH3_RIM-BP_1', NULL, NULL, NULL, 1),
(6444, NULL, 'cd16232', NULL, NULL, 'EFh_SPARC_TICN', NULL, 'EFh_SPARC_TICN', NULL, NULL, NULL, 1),
(6445, NULL, 'cd01420', NULL, NULL, 'MoaC_PE', NULL, 'MoaC_PE', NULL, NULL, 15458, 1),
(6446, NULL, 'cd09141', NULL, NULL, 'PLDc_vPLD1_2_yPLD_like_2', NULL, 'PLDc_vPLD1_2_yPLD_like_2', NULL, NULL, NULL, 1),
(6447, NULL, 'cd02026', NULL, NULL, 'PRK', NULL, 'PRK', NULL, NULL, NULL, 1),
(6448, NULL, 'cd12884', NULL, NULL, 'SPRY_hnRNP', NULL, 'SPRY_hnRNP', NULL, NULL, 34990, 1),
(6449, NULL, 'cd03384', NULL, NULL, 'PAP2_wunen', NULL, 'PAP2_wunen', NULL, NULL, NULL, 1),
(6450, NULL, 'cd11643', NULL, NULL, 'Precorrin-6A-synthase', NULL, 'Precorrin-6A-synthase', NULL, NULL, 11764, 1),
(6451, NULL, 'cd19883', NULL, NULL, 'DSRM_STAU1_rpt3', NULL, 'DSRM_STAU1_rpt3', NULL, NULL, 36667, 1),
(6452, NULL, 'cd09909', NULL, NULL, 'HIV-1-like_HR1-HR2', NULL, 'HIV-1-like_HR1-HR2', NULL, NULL, 566, 1),
(6453, NULL, 'cd08321', NULL, NULL, 'Pyrin_ASC-like', NULL, 'Pyrin_ASC-like', NULL, NULL, NULL, 1),
(6454, NULL, 'cd15279', NULL, NULL, '7tmC_RAIG1_4_GPRC5A_D', NULL, '7tmC_RAIG1_4_GPRC5A_D', NULL, NULL, NULL, 1),
(6455, NULL, 'cd15487', NULL, NULL, 'bS6_chloro_cyano', NULL, 'bS6_chloro_cyano', NULL, NULL, NULL, 1),
(6456, NULL, 'cd08797', NULL, NULL, 'Death_NFkB1_p105', NULL, 'Death_NFkB1_p105', NULL, NULL, NULL, 1),
(6457, NULL, 'cd04466', NULL, NULL, 'S1_YloQ_GTPase', NULL, 'S1_YloQ_GTPase', NULL, NULL, 23874, 1),
(6458, NULL, 'cd13883', NULL, NULL, 'CuRO_2_Diphenol_Ox', NULL, 'CuRO_2_Diphenol_Ox', NULL, NULL, NULL, 1),
(6459, NULL, 'cd16523', NULL, NULL, 'RING-HC_MYLIP', NULL, 'RING-HC_MYLIP', NULL, NULL, NULL, 1),
(6460, NULL, 'cd18564', NULL, NULL, 'ABC_6TM_exporter_like', NULL, 'ABC_6TM_exporter_like', NULL, NULL, NULL, 1),
(6461, NULL, 'cd02780', NULL, NULL, 'MopB_CT_Tetrathionate_Arsenate-R', NULL, 'MopB_CT_Tetrathionate_Arsenate-R', NULL, NULL, 34385, 1),
(6462, NULL, 'cd00217', NULL, NULL, 'INT_Flp_C', NULL, 'INT_Flp_C', NULL, NULL, NULL, 1),
(6463, NULL, 'cd09577', NULL, NULL, 'SAM_Ph1,2,3', NULL, 'SAM_Ph1,2,3', NULL, NULL, NULL, 1),
(6464, NULL, 'cd18734', NULL, NULL, 'PIN_RfVapC2-like', NULL, 'PIN_RfVapC2-like', NULL, NULL, NULL, 1),
(6465, NULL, 'cd03148', NULL, NULL, 'GATase1_EcHsp31_like', NULL, 'GATase1_EcHsp31_like', NULL, NULL, NULL, 1),
(6466, NULL, 'cd03784', NULL, NULL, 'GT1_Gtf-like', NULL, 'GT1_Gtf-like', NULL, NULL, 6464, 1),
(6467, NULL, 'cd19127', NULL, NULL, 'AKR_AKR5B1', NULL, 'AKR_AKR5B1', NULL, NULL, NULL, 1),
(6468, NULL, 'cd18455', NULL, NULL, 'BACK_KLHL16_gigaxonin', NULL, 'BACK_KLHL16_gigaxonin', NULL, NULL, NULL, 1),
(6469, NULL, 'cd12500', NULL, NULL, 'RRM_BsYxiN_like', NULL, 'RRM_BsYxiN_like', NULL, NULL, NULL, 1),
(6470, NULL, 'cd12774', NULL, NULL, 'RRM2_HuD', NULL, 'RRM2_HuD', NULL, NULL, NULL, 1),
(6471, NULL, 'cd14017', NULL, NULL, 'STKc_TTBK', NULL, 'STKc_TTBK', NULL, NULL, NULL, 1),
(6472, NULL, 'cd05263', NULL, NULL, 'MupV_like_SDR_e', NULL, 'MupV_like_SDR_e', NULL, NULL, NULL, 1),
(6473, NULL, 'sd00002', NULL, NULL, 'TSP3', NULL, 'TSP3', NULL, NULL, NULL, 1),
(6474, NULL, 'cd12271', NULL, NULL, 'RRM1_PHIP1', NULL, 'RRM1_PHIP1', NULL, NULL, 1427, 1),
(6475, NULL, 'cd14030', NULL, NULL, 'STKc_WNK1', NULL, 'STKc_WNK1', NULL, NULL, NULL, 1),
(6476, NULL, 'cd14954', NULL, NULL, 'NHL_TRIM71_like', NULL, 'NHL_TRIM71_like', NULL, NULL, NULL, 1),
(6477, NULL, 'cd16562', NULL, NULL, 'RING-HC_RNF219', NULL, 'RING-HC_RNF219', NULL, NULL, 31632, 1),
(6478, NULL, 'cd19903', NULL, NULL, 'DSRM_EIF2AK2_rpt1', NULL, 'DSRM_EIF2AK2_rpt1', NULL, NULL, 37928, 1),
(6479, NULL, 'cd11330', NULL, NULL, 'AmyAc_OligoGlu', NULL, 'AmyAc_OligoGlu', NULL, NULL, NULL, 1),
(6480, NULL, 'cd14440', NULL, NULL, 'AlgX_N_like_3', NULL, 'AlgX_N_like_3', NULL, NULL, NULL, 1),
(6481, NULL, 'cd03457', NULL, NULL, 'intradiol_dioxygenase_like', NULL, 'intradiol_dioxygenase_like', NULL, NULL, NULL, 1),
(6482, NULL, 'cd08872', NULL, NULL, 'START_STARD11-like', NULL, 'START_STARD11-like', NULL, NULL, 33200, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6483, NULL, 'cd13526', NULL, NULL, 'PBP2_lipoprotein_MetQ_like', NULL, 'PBP2_lipoprotein_MetQ_like', NULL, NULL, NULL, 1),
(6484, NULL, 'cd04168', NULL, NULL, 'TetM_like', NULL, 'TetM_like', NULL, NULL, NULL, 1),
(6485, NULL, 'cd01997', NULL, NULL, 'GMP_synthase_C', NULL, 'GMP_synthase_C', NULL, NULL, 3014, 1),
(6486, NULL, 'cd16298', NULL, NULL, 'SNM1A-like_MBL-fold', NULL, 'SNM1A-like_MBL-fold', NULL, NULL, NULL, 1),
(6487, NULL, 'cd03770', NULL, NULL, 'SR_TndX_transposase', NULL, 'SR_TndX_transposase', NULL, NULL, NULL, 1),
(6488, NULL, 'cd06480', NULL, NULL, 'ACD_HspB8_like', NULL, 'ACD_HspB8_like', NULL, NULL, 37802, 1),
(6489, NULL, 'cd05831', NULL, NULL, 'Ribosomal_P1', NULL, 'Ribosomal_P1', NULL, NULL, NULL, 1),
(6490, NULL, 'cd20231', NULL, NULL, 'PFM_jacalin-like', NULL, 'PFM_jacalin-like', NULL, NULL, NULL, 1),
(6491, NULL, 'cd01274', NULL, NULL, 'PTB_Anks', NULL, 'PTB_Anks', NULL, NULL, NULL, 1),
(6492, NULL, 'cd12952', NULL, NULL, 'MMP_ACEL2062', NULL, 'MMP_ACEL2062', NULL, NULL, NULL, 1),
(6493, NULL, 'cd05101', NULL, NULL, 'PTKc_FGFR2', NULL, 'PTKc_FGFR2', NULL, NULL, NULL, 1),
(6494, NULL, 'cd15410', NULL, NULL, '7tmA_OR5D-like', NULL, '7tmA_OR5D-like', NULL, NULL, NULL, 1),
(6495, NULL, 'cd18555', NULL, NULL, 'ABC_6TM_T1SS_like', NULL, 'ABC_6TM_T1SS_like', NULL, NULL, NULL, 1),
(6496, NULL, 'cd15194', NULL, NULL, '7tmA_GPR15', NULL, '7tmA_GPR15', NULL, NULL, NULL, 1),
(6497, NULL, 'cd08780', NULL, NULL, 'Death_TRADD', NULL, 'Death_TRADD', NULL, NULL, NULL, 1),
(6498, NULL, 'cd16307', NULL, NULL, 'FEZ-1-like_MBL-B3', NULL, 'FEZ-1-like_MBL-B3', NULL, NULL, NULL, 1),
(6499, NULL, 'cd16738', NULL, NULL, 'RING-HC_PCGF6', NULL, 'RING-HC_PCGF6', NULL, NULL, NULL, 1),
(6500, NULL, 'cd19432', NULL, NULL, 'lipocalin_2_12-like', NULL, 'lipocalin_2_12-like', NULL, NULL, NULL, 1),
(6501, NULL, 'cd02964', NULL, NULL, 'TryX_like_family', NULL, 'TryX_like_family', NULL, NULL, NULL, 1),
(6502, NULL, 'cd12678', NULL, NULL, 'RRM_SLTM', NULL, 'RRM_SLTM', NULL, NULL, NULL, 1),
(6503, NULL, 'cd05878', NULL, NULL, 'Ig_Aggrecan_like', NULL, 'Ig_Aggrecan_like', NULL, NULL, NULL, 1),
(6504, NULL, 'cd21483', NULL, NULL, 'HKU1_N1_CoV_Spike_S1_RBD', NULL, 'HKU1_N1_CoV_Spike_S1_RBD', NULL, NULL, NULL, 1),
(6505, NULL, 'cd16786', NULL, NULL, 'mRING-HC-C3HC5_NEU1B', NULL, 'mRING-HC-C3HC5_NEU1B', NULL, NULL, NULL, 1),
(6506, NULL, 'cd17582', NULL, NULL, 'psREC_PRR', NULL, 'psREC_PRR', NULL, NULL, NULL, 1),
(6507, NULL, 'cd17054', NULL, NULL, 'Ubl_AtBAG1_like', NULL, 'Ubl_AtBAG1_like', NULL, NULL, NULL, 1),
(6508, NULL, 'cd01022', NULL, NULL, 'GH57N_like', NULL, 'GH57N_like', NULL, NULL, NULL, 1),
(6509, NULL, 'cd00250', NULL, NULL, 'CAS_like', NULL, 'CAS_like', NULL, NULL, NULL, 1),
(6510, NULL, 'cd06488', NULL, NULL, 'p23_melusin_like', NULL, 'p23_melusin_like', NULL, NULL, NULL, 1),
(6511, NULL, 'cd16350', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(6512, NULL, 'cd05088', NULL, NULL, 'PTKc_Tie2', NULL, 'PTKc_Tie2', NULL, NULL, NULL, 1),
(6513, NULL, 'cd17037', NULL, NULL, 'T3SC_IA_ShcV-like', NULL, 'T3SC_IA_ShcV-like', NULL, NULL, NULL, 1),
(6514, NULL, 'cd18993', NULL, NULL, 'LGIC_ECD_GluCl', NULL, 'LGIC_ECD_GluCl', NULL, NULL, NULL, 1),
(6515, NULL, 'cd18462', NULL, NULL, 'BACK_KLHL23', NULL, 'BACK_KLHL23', NULL, NULL, NULL, 1),
(6516, NULL, 'cd15112', NULL, NULL, '7tmA_MrgprE', NULL, '7tmA_MrgprE', NULL, NULL, NULL, 1),
(6517, NULL, 'cd16952', NULL, NULL, 'HATPase_EcPhoR-like', NULL, 'HATPase_EcPhoR-like', NULL, NULL, NULL, 1),
(6518, NULL, 'cd01822', NULL, NULL, 'Lysophospholipase_L1_like', NULL, 'Lysophospholipase_L1_like', NULL, NULL, NULL, 1),
(6519, NULL, 'cd06202', NULL, NULL, 'Nitric_oxide_synthase', NULL, 'Nitric_oxide_synthase', NULL, NULL, NULL, 1),
(6520, NULL, 'cd11006', NULL, NULL, 'M35_peptidyl-Lys_like', NULL, 'M35_peptidyl-Lys_like', NULL, NULL, 10406, 1),
(6521, NULL, 'cd07027', NULL, NULL, 'RNAP_RPB11_like', NULL, 'RNAP_RPB11_like', NULL, NULL, NULL, 1),
(6522, NULL, 'cd13763', NULL, NULL, 'TGF_beta_BMP3_like', NULL, 'TGF_beta_BMP3_like', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6523, NULL, 'cd17900', NULL, NULL, 'ArfGap_ASAP3', NULL, 'ArfGap_ASAP3', NULL, NULL, NULL, 1),
(6524, NULL, 'cd15137', NULL, NULL, '7tmA_Relaxin_R', NULL, '7tmA_Relaxin_R', NULL, NULL, NULL, 1),
(6525, NULL, 'cd07052', NULL, NULL, 'BMC_like_1_repeat2', NULL, 'BMC_like_1_repeat2', NULL, NULL, NULL, 1),
(6526, NULL, 'cd11944', NULL, NULL, 'SH3_Endophilin_B2', NULL, 'SH3_Endophilin_B2', NULL, NULL, 30076, 1),
(6527, NULL, 'cd17441', NULL, NULL, 'MFS_SVOP', NULL, 'MFS_SVOP', NULL, NULL, NULL, 1),
(6528, NULL, 'cd05349', NULL, NULL, 'BKR_2_SDR_c', NULL, 'BKR_2_SDR_c', NULL, NULL, NULL, 1),
(6529, NULL, 'cd06311', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(6530, NULL, 'cd07090', NULL, NULL, 'ALDH_F9_TMBADH', NULL, 'ALDH_F9_TMBADH', NULL, NULL, NULL, 1),
(6531, NULL, 'cd15403', NULL, NULL, '7tmA_GPR45', NULL, '7tmA_GPR45', NULL, NULL, NULL, 1),
(6532, NULL, 'cd13427', NULL, NULL, 'YncM_like', NULL, 'YncM_like', NULL, NULL, 25198, 1),
(6533, NULL, 'cd08716', NULL, NULL, 'RGS_RGS13', NULL, 'RGS_RGS13', NULL, NULL, NULL, 1),
(6534, NULL, 'cd18373', NULL, NULL, 'BTB1_POZ_KCTD19', NULL, 'BTB1_POZ_KCTD19', NULL, NULL, NULL, 1),
(6535, NULL, 'cd06272', NULL, NULL, 'PBP1_hexuronate_repressor-like', NULL, 'PBP1_hexuronate_repressor-like', NULL, NULL, NULL, 1),
(6536, NULL, 'cd15838', NULL, NULL, 'TNFRSF27', NULL, 'TNFRSF27', NULL, NULL, 8736, 1),
(6537, NULL, 'cd19969', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(6538, NULL, 'cd15777', NULL, NULL, 'CRBN_C_like', NULL, 'CRBN_C_like', NULL, NULL, 32308, 1),
(6539, NULL, 'cd06535', NULL, NULL, 'CIDE_N_CAD', NULL, 'CIDE_N_CAD', NULL, NULL, NULL, 1),
(6540, NULL, 'cd17987', NULL, NULL, 'DEXHc_YTHDC2', NULL, 'DEXHc_YTHDC2', NULL, NULL, NULL, 1),
(6541, NULL, 'cd07840', NULL, NULL, 'STKc_CDK9_like', NULL, 'STKc_CDK9_like', NULL, NULL, NULL, 1),
(6542, NULL, 'cd12657', NULL, NULL, 'RRM1_hnRNPM', NULL, 'RRM1_hnRNPM', NULL, NULL, NULL, 1),
(6543, NULL, 'cd18692', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(6544, NULL, 'cd06957', NULL, NULL, 'NR_DBD_PNR_like_2', NULL, 'NR_DBD_PNR_like_2', NULL, NULL, NULL, 1),
(6545, NULL, 'cd19131', NULL, NULL, 'AKR_AKR5C2', NULL, 'AKR_AKR5C2', NULL, NULL, 38910, 1),
(6546, NULL, 'cd08344', NULL, NULL, 'MhqB_like_N', NULL, 'MhqB_like_N', NULL, NULL, NULL, 1),
(6547, NULL, 'cd03283', NULL, NULL, 'ABC_MutS-like', NULL, 'ABC_MutS-like', NULL, NULL, NULL, 1),
(6548, NULL, 'cd00342', NULL, NULL, 'gram_neg_porins', NULL, 'gram_neg_porins', NULL, NULL, 29492, 1),
(6549, NULL, 'cd15394', NULL, NULL, '7tmA_PrRP_R', NULL, '7tmA_PrRP_R', NULL, NULL, NULL, 1),
(6550, NULL, 'cd03080', NULL, NULL, 'GST_N_Metaxin_like', NULL, 'GST_N_Metaxin_like', NULL, NULL, NULL, 1),
(6551, NULL, 'cd12606', NULL, NULL, 'RRM1_RBM4', NULL, 'RRM1_RBM4', NULL, NULL, 31671, 1),
(6552, NULL, 'cd12822', NULL, NULL, 'TmCorA-like', NULL, 'TmCorA-like', NULL, NULL, NULL, 1),
(6553, NULL, 'cd16655', NULL, NULL, 'RING-Ubox_WDSUB1_like', NULL, 'RING-Ubox_WDSUB1_like', NULL, NULL, NULL, 1),
(6554, NULL, 'cd02978', NULL, NULL, 'KaiB_like', NULL, 'KaiB_like', NULL, NULL, 10897, 1),
(6555, NULL, 'cd16722', NULL, NULL, 'RING-HC_MEX3C', NULL, 'RING-HC_MEX3C', NULL, NULL, NULL, 1),
(6556, NULL, 'cd00154', NULL, NULL, 'Rab', NULL, 'Rab', NULL, NULL, NULL, 1),
(6557, NULL, 'cd01392', NULL, NULL, 'HTH_LacI', NULL, 'HTH_LacI', NULL, NULL, 408, 1),
(6558, NULL, 'cd15922', NULL, NULL, '7tmA_P2Y-like', NULL, '7tmA_P2Y-like', NULL, NULL, NULL, 1),
(6559, NULL, 'cd07406', NULL, NULL, 'MPP_CG11883_N', NULL, 'MPP_CG11883_N', NULL, NULL, 32907, 1),
(6560, NULL, 'cd09094', NULL, NULL, 'INPP5c_INPP5J-like', NULL, 'INPP5c_INPP5J-like', NULL, NULL, NULL, 1),
(6561, NULL, 'cd18505', NULL, NULL, 'BACK1_LZTR1', NULL, 'BACK1_LZTR1', NULL, NULL, NULL, 1),
(6562, NULL, 'cd01235', NULL, NULL, 'PH_Sbf1_hMTMR5', NULL, 'PH_Sbf1_hMTMR5', NULL, NULL, NULL, 1),
(6563, NULL, 'cd01479', NULL, NULL, 'Sec24-like', NULL, 'Sec24-like', NULL, NULL, 32894, 1),
(6564, NULL, 'cd18084', NULL, NULL, 'RsmE-like', NULL, 'RsmE-like', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6565, NULL, 'cd17656', NULL, NULL, 'A_NRPS_ProA', NULL, 'A_NRPS_ProA', NULL, NULL, NULL, 1),
(6566, NULL, 'cd12152', NULL, NULL, 'F1-ATPase_delta', NULL, 'F1-ATPase_delta', NULL, NULL, 6102, 1),
(6567, NULL, 'cd00427', NULL, NULL, 'Ribosomal_L29_HIP', NULL, 'Ribosomal_L29_HIP', NULL, NULL, NULL, 1),
(6568, NULL, 'cd17212', NULL, NULL, 'RA_RGL3', NULL, 'RA_RGL3', NULL, NULL, NULL, 1),
(6569, NULL, 'cd03801', NULL, NULL, 'GT4_PimA-like', NULL, 'GT4_PimA-like', NULL, NULL, NULL, 1),
(6570, NULL, 'cd08729', NULL, NULL, 'RGS_PX', NULL, 'RGS_PX', NULL, NULL, NULL, 1),
(6571, NULL, 'cd14780', NULL, NULL, 'HmpPa-globin-like', NULL, 'HmpPa-globin-like', NULL, NULL, NULL, 1),
(6572, NULL, 'cd11524', NULL, NULL, 'SYLF', NULL, 'SYLF', NULL, NULL, NULL, 1),
(6573, NULL, 'cd00872', NULL, NULL, 'PI3Ka_I', NULL, 'PI3Ka_I', NULL, NULL, NULL, 1),
(6574, NULL, 'cd13385', NULL, NULL, 'PH_Gab3', NULL, 'PH_Gab3', NULL, NULL, NULL, 1),
(6575, NULL, 'cd02167', NULL, NULL, 'NMNAT_NadR', NULL, 'NMNAT_NadR', NULL, NULL, 32624, 1),
(6576, NULL, 'cd14133', NULL, NULL, 'PKc_DYRK_like', NULL, 'PKc_DYRK_like', NULL, NULL, NULL, 1),
(6577, NULL, 'cd00268', NULL, NULL, 'DEADc', NULL, 'DEADc', NULL, NULL, NULL, 1),
(6578, NULL, 'cd04011', NULL, NULL, 'C2B_Ferlin', NULL, 'C2B_Ferlin', NULL, NULL, 32759, 1),
(6579, NULL, 'cd07280', NULL, NULL, 'PX_YPT35', NULL, 'PX_YPT35', NULL, NULL, 33598, 1),
(6580, NULL, 'cd08740', NULL, NULL, 'RGS_RGS11', NULL, 'RGS_RGS11', NULL, NULL, NULL, 1),
(6581, NULL, 'cd13897', NULL, NULL, 'CuRO_3_LCC_plant', NULL, 'CuRO_3_LCC_plant', NULL, NULL, 26494, 1),
(6582, NULL, 'cd04473', NULL, NULL, 'S1_RecJ_like', NULL, 'S1_RecJ_like', NULL, NULL, NULL, 1),
(6583, NULL, 'cd12420', NULL, NULL, 'RRM_RBPMS_like', NULL, 'RRM_RBPMS_like', NULL, NULL, NULL, 1),
(6584, NULL, 'cd13163', NULL, NULL, 'PTB_ICAP1', NULL, 'PTB_ICAP1', NULL, NULL, NULL, 1),
(6585, NULL, 'cd19685', NULL, NULL, 'bHLH-O_HERP_HES', NULL, 'bHLH-O_HERP_HES', NULL, NULL, NULL, 1),
(6586, NULL, 'cd04029', NULL, NULL, 'C2A_SLP-4_5', NULL, 'C2A_SLP-4_5', NULL, NULL, 34119, 1),
(6587, NULL, 'cd05970', NULL, NULL, 'MACS_AAE_MA_like', NULL, 'MACS_AAE_MA_like', NULL, NULL, NULL, 1),
(6588, NULL, 'cd07985', NULL, NULL, 'LPLAT_GPAT', NULL, 'LPLAT_GPAT', NULL, NULL, NULL, 1),
(6589, NULL, 'cd09377', NULL, NULL, 'LIM2_Lhx2_Lhx9', NULL, 'LIM2_Lhx2_Lhx9', NULL, NULL, NULL, 1),
(6590, NULL, 'cd17476', NULL, NULL, 'MFS_Amf1_MDR_like', NULL, 'MFS_Amf1_MDR_like', NULL, NULL, NULL, 1),
(6591, NULL, 'cd02108', NULL, NULL, 'bact_SO_family_Moco', NULL, 'bact_SO_family_Moco', NULL, NULL, NULL, 1),
(6592, NULL, 'cd19575', NULL, NULL, 'serpinH2', NULL, 'serpinH2', NULL, NULL, NULL, 1),
(6593, NULL, 'cd14120', NULL, NULL, 'STKc_ULK1_2-like', NULL, 'STKc_ULK1_2-like', NULL, NULL, NULL, 1),
(6594, NULL, 'cd19684', NULL, NULL, 'bHLH_dnHLH_ID', NULL, 'bHLH_dnHLH_ID', NULL, NULL, NULL, 1),
(6595, NULL, 'cd15125', NULL, NULL, '7tmA_NMBR', NULL, '7tmA_NMBR', NULL, NULL, NULL, 1),
(6596, NULL, 'cd01714', NULL, NULL, 'ETF_beta', NULL, 'ETF_beta', NULL, NULL, 35271, 1),
(6597, NULL, 'cd09696', NULL, NULL, 'Cas3_I', NULL, 'Cas3_I', NULL, NULL, NULL, 1),
(6598, NULL, 'cd19333', NULL, NULL, 'Wnt_Wnt1', NULL, 'Wnt_Wnt1', NULL, NULL, NULL, 1),
(6599, NULL, 'cd05826', NULL, NULL, 'Sortase_B', NULL, 'Sortase_B', NULL, NULL, 13526, 1),
(6600, NULL, 'cd07040', NULL, NULL, 'HP', NULL, 'HP', NULL, NULL, NULL, 1),
(6601, NULL, 'cd04243', NULL, NULL, 'AAK_AK-HSDH-like', NULL, 'AAK_AK-HSDH-like', NULL, NULL, NULL, 1),
(6602, NULL, 'cd14186', NULL, NULL, 'STKc_PLK4', NULL, 'STKc_PLK4', NULL, NULL, NULL, 1),
(6603, NULL, 'cd00431', NULL, NULL, 'cysteine_hydrolases', NULL, 'cysteine_hydrolases', NULL, NULL, NULL, 1),
(6604, NULL, 'cd13930', NULL, NULL, 'PT-Tnase', NULL, 'PT-Tnase', NULL, NULL, NULL, 1),
(6605, NULL, 'cd00781', NULL, NULL, 'ketosteroid_isomerase', NULL, 'ketosteroid_isomerase', NULL, NULL, 35042, 1),
(6606, NULL, 'cd07920', NULL, NULL, 'Pumilio', NULL, 'Pumilio', NULL, NULL, 35491, 1),
(6607, NULL, 'cd00758', NULL, NULL, 'MoCF_BD', NULL, 'MoCF_BD', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6608, NULL, 'cd13416', NULL, NULL, 'TNFRSF16', NULL, 'TNFRSF16', NULL, NULL, 35153, 1),
(6609, NULL, 'cd14216', NULL, NULL, 'STKc_SRPK1', NULL, 'STKc_SRPK1', NULL, NULL, NULL, 1),
(6610, NULL, 'cd14138', NULL, NULL, 'PTKc_Wee1a', NULL, 'PTKc_Wee1a', NULL, NULL, NULL, 1),
(6611, NULL, 'cd06898', NULL, NULL, 'PX_SNX10', NULL, 'PX_SNX10', NULL, NULL, NULL, 1),
(6612, NULL, 'cd11319', NULL, NULL, 'AmyAc_euk_AmyA', NULL, 'AmyAc_euk_AmyA', NULL, NULL, NULL, 1),
(6613, NULL, 'cd17713', NULL, NULL, 'BRCT_polymerase_mu_like', NULL, 'BRCT_polymerase_mu_like', NULL, NULL, NULL, 1),
(6614, NULL, 'cd02042', NULL, NULL, 'ParAB_family', NULL, 'ParAB_family', NULL, NULL, NULL, 1),
(6615, NULL, 'cd13917', NULL, NULL, 'CuRO_HCO_II_like_4', NULL, 'CuRO_HCO_II_like_4', NULL, NULL, NULL, 1),
(6616, NULL, 'cd14203', NULL, NULL, 'PTKc_Src_Fyn_like', NULL, 'PTKc_Src_Fyn_like', NULL, NULL, NULL, 1),
(6617, NULL, 'cd06867', NULL, NULL, 'PX_SNX41_42', NULL, 'PX_SNX41_42', NULL, NULL, 38416, 1),
(6618, NULL, 'cd00042', NULL, NULL, 'CY', NULL, 'CY', NULL, NULL, 2589, 1),
(6619, NULL, 'cd18441', NULL, NULL, 'BRCT_MDC1_rpt2', NULL, 'BRCT_MDC1_rpt2', NULL, NULL, NULL, 1),
(6620, NULL, 'cd08504', NULL, NULL, 'PBP2_OppA', NULL, 'PBP2_OppA', NULL, NULL, NULL, 1),
(6621, NULL, 'cd19345', NULL, NULL, 'Wnt_Wnt2', NULL, 'Wnt_Wnt2', NULL, NULL, NULL, 1),
(6622, NULL, 'cd07539', NULL, NULL, 'P-type_ATPase', NULL, 'P-type_ATPase', NULL, NULL, NULL, 1),
(6623, NULL, 'cd12684', NULL, NULL, 'RRM_cpo', NULL, 'RRM_cpo', NULL, NULL, 19049, 1),
(6624, NULL, 'cd14888', NULL, NULL, 'MYSc_Myo27', NULL, 'MYSc_Myo27', NULL, NULL, NULL, 1),
(6625, NULL, 'cd02657', NULL, NULL, 'Peptidase_C19A', NULL, 'Peptidase_C19A', NULL, NULL, NULL, 1),
(6626, NULL, 'cd04780', NULL, NULL, 'HTH_MerR-like_sg5', NULL, 'HTH_MerR-like_sg5', NULL, NULL, NULL, 1),
(6627, NULL, 'cd15446', NULL, NULL, '7tmB1_CRF-R2', NULL, '7tmB1_CRF-R2', NULL, NULL, NULL, 1),
(6628, NULL, 'cd18600', NULL, NULL, 'ABC_6TM_CFTR_D2', NULL, 'ABC_6TM_CFTR_D2', NULL, NULL, NULL, 1),
(6629, NULL, 'cd01740', NULL, NULL, 'GATase1_FGAR_AT', NULL, 'GATase1_FGAR_AT', NULL, NULL, NULL, 1),
(6630, NULL, 'cd01827', NULL, NULL, 'sialate_O-acetylesterase_like1', NULL, 'sialate_O-acetylesterase_like1', NULL, NULL, NULL, 1),
(6631, NULL, 'cd05896', NULL, NULL, 'Ig1_IL1RAPL-1_like', NULL, 'Ig1_IL1RAPL-1_like', NULL, NULL, NULL, 1),
(6632, NULL, 'cd08792', NULL, NULL, 'DED_Caspase_8_10_r1', NULL, 'DED_Caspase_8_10_r1', NULL, NULL, NULL, 1),
(6633, NULL, 'cd16754', NULL, NULL, 'RING-HC_MID2', NULL, 'RING-HC_MID2', NULL, NULL, NULL, 1),
(6634, NULL, 'cd05825', NULL, NULL, 'LbH_wcaF_like', NULL, 'LbH_wcaF_like', NULL, NULL, NULL, 1),
(6635, NULL, 'cd21647', NULL, NULL, 'ORF4b_NS3c-betaCoV', NULL, 'ORF4b_NS3c-betaCoV', NULL, NULL, NULL, 1),
(6636, NULL, 'cd02540', NULL, NULL, 'GT2_GlmU_N_bac', NULL, 'GT2_GlmU_N_bac', NULL, NULL, NULL, 1),
(6637, NULL, 'cd05577', NULL, NULL, 'STKc_GRK', NULL, 'STKc_GRK', NULL, NULL, NULL, 1),
(6638, NULL, 'cd12666', NULL, NULL, 'RRM2_RAVER2', NULL, 'RRM2_RAVER2', NULL, NULL, NULL, 1),
(6639, NULL, 'cd03753', NULL, NULL, 'proteasome_alpha_type_5', NULL, 'proteasome_alpha_type_5', NULL, NULL, 31957, 1),
(6640, NULL, 'cd08495', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_8', NULL, 'PBP2_NikA_DppA_OppA_like_8', NULL, NULL, NULL, 1),
(6641, NULL, 'cd18096', NULL, NULL, 'SpoU-like', NULL, 'SpoU-like', NULL, NULL, NULL, 1),
(6642, NULL, 'cd09428', NULL, NULL, 'LIM2_FHL5', NULL, 'LIM2_FHL5', NULL, NULL, 38101, 1),
(6643, NULL, 'cd04877', NULL, NULL, 'ACT_TyrR', NULL, 'ACT_TyrR', NULL, NULL, NULL, 1),
(6644, NULL, 'cd14783', NULL, NULL, 'FHb-globin_3', NULL, 'FHb-globin_3', NULL, NULL, NULL, 1),
(6645, NULL, 'cd19181', NULL, NULL, 'SET_SETD5', NULL, 'SET_SETD5', NULL, NULL, 37694, 1),
(6646, NULL, 'cd09102', NULL, NULL, 'PLDc_CDP-OH_P_transf_II_1', NULL, 'PLDc_CDP-OH_P_transf_II_1', NULL, NULL, NULL, 1),
(6647, NULL, 'cd08272', NULL, NULL, 'MDR6', NULL, 'MDR6', NULL, NULL, NULL, 1),
(6648, NULL, 'cd07214', NULL, NULL, 'Pat17_isozyme_like', NULL, 'Pat17_isozyme_like', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6649, NULL, 'cd20242', NULL, NULL, 'PFM_aerolysin-like', NULL, 'PFM_aerolysin-like', NULL, NULL, NULL, 1),
(6650, NULL, 'cd02092', NULL, NULL, 'P-type_ATPase_FixI-like', NULL, 'P-type_ATPase_FixI-like', NULL, NULL, NULL, 1),
(6651, NULL, 'cd16465', NULL, NULL, 'RING-H2_PJA1_2', NULL, 'RING-H2_PJA1_2', NULL, NULL, NULL, 1),
(6652, NULL, 'cd11763', NULL, NULL, 'SH3_SNX9_like', NULL, 'SH3_SNX9_like', NULL, NULL, NULL, 1),
(6653, NULL, 'cd08808', NULL, NULL, 'CARD_CARD11_CARMA1', NULL, 'CARD_CARD11_CARMA1', NULL, NULL, 36083, 1),
(6654, NULL, 'cd04276', NULL, NULL, 'ZnMc_MMP_like_2', NULL, 'ZnMc_MMP_like_2', NULL, NULL, 13284, 1),
(6655, NULL, 'cd03243', NULL, NULL, 'ABC_MutS_homologs', NULL, 'ABC_MutS_homologs', NULL, NULL, NULL, 1),
(6656, NULL, 'cd04588', NULL, NULL, 'CBS_pair_archHTH_assoc', NULL, 'CBS_pair_archHTH_assoc', NULL, NULL, NULL, 1),
(6657, NULL, 'cd16284', NULL, NULL, 'UlaG-like_MBL-fold', NULL, 'UlaG-like_MBL-fold', NULL, NULL, NULL, 1),
(6658, NULL, 'cd18443', NULL, NULL, 'BRCT_DNTT', NULL, 'BRCT_DNTT', NULL, NULL, NULL, 1),
(6659, NULL, 'cd10034', NULL, NULL, 'UDG_BdiUng_like', NULL, 'UDG_BdiUng_like', NULL, NULL, NULL, 1),
(6660, NULL, 'cd15567', NULL, NULL, 'PHD4_NSD', NULL, 'PHD4_NSD', NULL, NULL, NULL, 1),
(6661, NULL, 'cd00532', NULL, NULL, 'MGS-like', NULL, 'MGS-like', NULL, NULL, NULL, 1),
(6662, NULL, 'cd12296', NULL, NULL, 'RRM1_Prp24', NULL, 'RRM1_Prp24', NULL, NULL, 1319, 1),
(6663, NULL, 'cd11326', NULL, NULL, 'AmyAc_Glg_debranch', NULL, 'AmyAc_Glg_debranch', NULL, NULL, NULL, 1),
(6664, NULL, 'cd09725', NULL, NULL, 'Cas2_I_II_III', NULL, 'Cas2_I_II_III', NULL, NULL, 10943, 1),
(6665, NULL, 'cd14516', NULL, NULL, 'DSP_fungal_PPS1', NULL, 'DSP_fungal_PPS1', NULL, NULL, NULL, 1),
(6666, NULL, 'cd09092', NULL, NULL, 'INPP5A', NULL, 'INPP5A', NULL, NULL, NULL, 1),
(6667, NULL, 'cd18304', NULL, NULL, 'BTB_POZ_M2BP', NULL, 'BTB_POZ_M2BP', NULL, NULL, NULL, 1),
(6668, NULL, 'cd08837', NULL, NULL, 'ArfGap_ARAP', NULL, 'ArfGap_ARAP', NULL, NULL, NULL, 1),
(6669, NULL, 'cd17664', NULL, NULL, 'Mce1_N', NULL, 'Mce1_N', NULL, NULL, NULL, 1),
(6670, NULL, 'cd04611', NULL, NULL, 'CBS_pair_GGDEF_PAS_repeat2', NULL, 'CBS_pair_GGDEF_PAS_repeat2', NULL, NULL, NULL, 1),
(6671, NULL, 'cd07442', NULL, NULL, 'CRD_SFRP4', NULL, 'CRD_SFRP4', NULL, NULL, NULL, 1),
(6672, NULL, 'cd02515', NULL, NULL, 'Glyco_transf_6', NULL, 'Glyco_transf_6', NULL, NULL, NULL, 1),
(6673, NULL, 'cd04266', NULL, NULL, 'DUF619-NAGS-FABP', NULL, 'DUF619-NAGS-FABP', NULL, NULL, NULL, 1),
(6674, NULL, 'cd13643', NULL, NULL, 'PBP2_BCP_2', NULL, 'PBP2_BCP_2', NULL, NULL, NULL, 1),
(6675, NULL, 'cd16385', NULL, NULL, 'IcmL', NULL, 'IcmL', NULL, NULL, 15362, 1),
(6676, NULL, 'cd03072', NULL, NULL, 'PDI_b''_ERp44', NULL, 'PDI_b''_ERp44', NULL, NULL, 33195, 1),
(6677, NULL, 'cd11350', NULL, NULL, 'AmyAc_4', NULL, 'AmyAc_4', NULL, NULL, NULL, 1),
(6678, NULL, 'cd19023', NULL, NULL, 'LGIC_ECD_nAChR_A10', NULL, 'LGIC_ECD_nAChR_A10', NULL, NULL, NULL, 1),
(6679, NULL, 'cd15742', NULL, NULL, 'FYVE_FGD5', NULL, 'FYVE_FGD5', NULL, NULL, NULL, 1),
(6680, NULL, 'cd07732', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, NULL, 1),
(6681, NULL, 'cd00476', NULL, NULL, 'SAICAR_synt', NULL, 'SAICAR_synt', NULL, NULL, NULL, 1),
(6682, NULL, 'cd04937', NULL, NULL, 'ACT_AKi-DapG-BS_2', NULL, 'ACT_AKi-DapG-BS_2', NULL, NULL, NULL, 1),
(6683, NULL, 'cd03184', NULL, NULL, 'GST_C_Omega', NULL, 'GST_C_Omega', NULL, NULL, NULL, 1),
(6684, NULL, 'cd16712', NULL, NULL, 'RING-HC_DTX3L', NULL, 'RING-HC_DTX3L', NULL, NULL, 37553, 1),
(6685, NULL, 'cd11576', NULL, NULL, 'GH99_GH71_like_2', NULL, 'GH99_GH71_like_2', NULL, NULL, NULL, 1),
(6686, NULL, 'cd06963', NULL, NULL, 'NR_DBD_GR_like', NULL, 'NR_DBD_GR_like', NULL, NULL, NULL, 1),
(6687, NULL, 'cd14110', NULL, NULL, 'STKc_obscurin_rpt2', NULL, 'STKc_obscurin_rpt2', NULL, NULL, NULL, 1),
(6688, NULL, 'cd11507', NULL, NULL, 'SLC6sbd_GAT2', NULL, 'SLC6sbd_GAT2', NULL, NULL, NULL, 1),
(6689, NULL, 'cd08386', NULL, NULL, 'C2A_Synaptotagmin-7', NULL, 'C2A_Synaptotagmin-7', NULL, NULL, 35831, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6690, NULL, 'cd07607', NULL, NULL, 'BAR_SH3P_plant', NULL, 'BAR_SH3P_plant', NULL, NULL, NULL, 1),
(6691, NULL, 'cd00618', NULL, NULL, 'PLA2_like', NULL, 'PLA2_like', NULL, NULL, NULL, 1),
(6692, NULL, 'cd05529', NULL, NULL, 'Bromo_WDR9_I_like', NULL, 'Bromo_WDR9_I_like', NULL, NULL, NULL, 1),
(6693, NULL, 'cd14961', NULL, NULL, 'NHL_TRIM32_like', NULL, 'NHL_TRIM32_like', NULL, NULL, NULL, 1),
(6694, NULL, 'cd12907', NULL, NULL, 'SPRY_Fbox', NULL, 'SPRY_Fbox', NULL, NULL, 34596, 1),
(6695, NULL, 'cd11948', NULL, NULL, 'SH3_GRAP_N', NULL, 'SH3_GRAP_N', NULL, NULL, 30280, 1),
(6696, NULL, 'cd07573', NULL, NULL, 'CPA', NULL, 'CPA', NULL, NULL, NULL, 1),
(6697, NULL, 'cd19406', NULL, NULL, 'TGF_beta_INHBC_E', NULL, 'TGF_beta_INHBC_E', NULL, NULL, NULL, 1),
(6698, NULL, 'cd18073', NULL, NULL, 'DEXHc_RIG-I_DDX58', NULL, 'DEXHc_RIG-I_DDX58', NULL, NULL, NULL, 1),
(6699, NULL, 'cd07576', NULL, NULL, 'R-amidase_like', NULL, 'R-amidase_like', NULL, NULL, 37801, 1),
(6700, NULL, 'cd14198', NULL, NULL, 'STKc_DRAK2', NULL, 'STKc_DRAK2', NULL, NULL, 37730, 1),
(6701, NULL, 'cd11316', NULL, NULL, 'AmyAc_bac2_AmyA', NULL, 'AmyAc_bac2_AmyA', NULL, NULL, NULL, 1),
(6702, NULL, 'cd07162', NULL, NULL, 'NR_DBD_PXR', NULL, 'NR_DBD_PXR', NULL, NULL, NULL, 1),
(6703, NULL, 'cd03343', NULL, NULL, 'cpn60', NULL, 'cpn60', NULL, NULL, 11839, 1),
(6704, NULL, 'cd01155', NULL, NULL, 'ACAD_FadE2', NULL, 'ACAD_FadE2', NULL, NULL, NULL, 1),
(6705, NULL, 'cd15409', NULL, NULL, '7tmA_OR5H-like', NULL, '7tmA_OR5H-like', NULL, NULL, NULL, 1),
(6706, NULL, 'cd20308', NULL, NULL, 'cupin_YdaE', NULL, 'cupin_YdaE', NULL, NULL, NULL, 1),
(6707, NULL, 'cd00407', NULL, NULL, 'Urease_beta', NULL, 'Urease_beta', NULL, NULL, 2284, 1),
(6708, NULL, 'cd16090', NULL, NULL, 'IgV_CD47', NULL, 'IgV_CD47', NULL, NULL, 31098, 1),
(6709, NULL, 'cd18010', NULL, NULL, 'DEXHc_HARP_SMARCAL1', NULL, 'DEXHc_HARP_SMARCAL1', NULL, NULL, NULL, 1),
(6710, NULL, 'cd02005', NULL, NULL, 'TPP_PDC_IPDC', NULL, 'TPP_PDC_IPDC', NULL, NULL, NULL, 1),
(6711, NULL, 'cd14761', NULL, NULL, 'GS_GsGCS-like', NULL, 'GS_GsGCS-like', NULL, NULL, NULL, 1),
(6712, NULL, 'cd17359', NULL, NULL, 'MFS_XylE_like', NULL, 'MFS_XylE_like', NULL, NULL, NULL, 1),
(6713, NULL, 'cd20008', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(6714, NULL, 'cd05086', NULL, NULL, 'PTKc_Aatyk2', NULL, 'PTKc_Aatyk2', NULL, NULL, NULL, 1),
(6715, NULL, 'cd06546', NULL, NULL, 'GH18_CTS3_chitinase', NULL, 'GH18_CTS3_chitinase', NULL, NULL, NULL, 1),
(6716, NULL, 'cd11462', NULL, NULL, 'bHLH-O_HES7', NULL, 'bHLH-O_HES7', NULL, NULL, NULL, 1),
(6717, NULL, 'cd14029', NULL, NULL, 'STKc_BubR1_vert', NULL, 'STKc_BubR1_vert', NULL, NULL, NULL, 1),
(6718, NULL, 'cd19748', NULL, NULL, 'bHLH-O_HEY1', NULL, 'bHLH-O_HEY1', NULL, NULL, NULL, 1),
(6719, NULL, 'cd14278', NULL, NULL, 'UBA_NAC_like', NULL, 'UBA_NAC_like', NULL, NULL, NULL, 1),
(6720, NULL, 'cd15177', NULL, NULL, '7tmA_CCR10', NULL, '7tmA_CCR10', NULL, NULL, NULL, 1),
(6721, NULL, 'cd07786', NULL, NULL, 'FGGY_EcGK_like', NULL, 'FGGY_EcGK_like', NULL, NULL, NULL, 1),
(6722, NULL, 'cd09437', NULL, NULL, 'LIM3_LPP', NULL, 'LIM3_LPP', NULL, NULL, NULL, 1),
(6723, NULL, 'cd04165', NULL, NULL, 'GTPBP1_like', NULL, 'GTPBP1_like', NULL, NULL, 35327, 1),
(6724, NULL, 'cd04482', NULL, NULL, 'RPA2_OBF_like', NULL, 'RPA2_OBF_like', NULL, NULL, NULL, 1),
(6725, NULL, 'cd13212', NULL, NULL, 'PH-GRAM_MTMR10-like', NULL, 'PH-GRAM_MTMR10-like', NULL, NULL, NULL, 1),
(6726, NULL, 'cd10956', NULL, NULL, 'CE4_BH1302_like', NULL, 'CE4_BH1302_like', NULL, NULL, NULL, 1),
(6727, NULL, 'cd19144', NULL, NULL, 'AKR_AKR13A1', NULL, 'AKR_AKR13A1', NULL, NULL, NULL, 1),
(6728, NULL, 'cd06890', NULL, NULL, 'PX_Bem1p', NULL, 'PX_Bem1p', NULL, NULL, 32748, 1),
(6729, NULL, 'cd07232', NULL, NULL, 'Pat_PLPL', NULL, 'Pat_PLPL', NULL, NULL, NULL, 1),
(6730, NULL, 'cd08791', NULL, NULL, 'DED_DEDD2', NULL, 'DED_DEDD2', NULL, NULL, NULL, 1),
(6731, NULL, 'cd13329', NULL, NULL, 'PH_RhoGEF', NULL, 'PH_RhoGEF', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6732, NULL, 'cd16920', NULL, NULL, 'HATPase_TmoS-FixL-DctS-like', NULL, 'HATPase_TmoS-FixL-DctS-like', NULL, NULL, NULL, 1),
(6733, NULL, 'cd07207', NULL, NULL, 'Pat_ExoU_VipD_like', NULL, 'Pat_ExoU_VipD_like', NULL, NULL, NULL, 1),
(6734, NULL, 'cd11921', NULL, NULL, 'SH3_Vinexin_1', NULL, 'SH3_Vinexin_1', NULL, NULL, 30295, 1),
(6735, NULL, 'cd13256', NULL, NULL, 'PH3_ARAP', NULL, 'PH3_ARAP', NULL, NULL, NULL, 1),
(6736, NULL, 'cd03782', NULL, NULL, 'MATH_Meprin_Beta', NULL, 'MATH_Meprin_Beta', NULL, NULL, NULL, 1),
(6737, NULL, 'cd01085', NULL, NULL, 'APP', NULL, 'APP', NULL, NULL, 33089, 1),
(6738, NULL, 'cd15564', NULL, NULL, 'PHD1_NSD', NULL, 'PHD1_NSD', NULL, NULL, NULL, 1),
(6739, NULL, 'cd18138', NULL, NULL, 'HLD_clamp_pol_III_delta', NULL, 'HLD_clamp_pol_III_delta', NULL, NULL, NULL, 1),
(6740, NULL, 'cd18680', NULL, NULL, 'PIN_MtVapC20-like', NULL, 'PIN_MtVapC20-like', NULL, NULL, 35627, 1),
(6741, NULL, 'cd16984', NULL, NULL, 'CID_Nrd1_like', NULL, 'CID_Nrd1_like', NULL, NULL, NULL, 1),
(6742, NULL, 'cd15278', NULL, NULL, '7tmC_RAIG2_GPRC5B', NULL, '7tmC_RAIG2_GPRC5B', NULL, NULL, NULL, 1),
(6743, NULL, 'cd19795', NULL, NULL, 'Bbox2_TRIM68_C-IV', NULL, 'Bbox2_TRIM68_C-IV', NULL, NULL, NULL, 1),
(6744, NULL, 'cd06522', NULL, NULL, 'GH25_AtlA-like', NULL, 'GH25_AtlA-like', NULL, NULL, NULL, 1),
(6745, NULL, 'cd02148', NULL, NULL, 'RutE-like', NULL, 'RutE-like', NULL, NULL, 17973, 1),
(6746, NULL, 'cd14704', NULL, NULL, 'bZIP_HY5-like', NULL, 'bZIP_HY5-like', NULL, NULL, NULL, 1),
(6747, NULL, 'cd15519', NULL, NULL, 'PHD1_Lid2p_like', NULL, 'PHD1_Lid2p_like', NULL, NULL, NULL, 1),
(6748, NULL, 'cd01343', NULL, NULL, 'PL1_Passenger_AT', NULL, 'PL1_Passenger_AT', NULL, NULL, NULL, 1),
(6749, NULL, 'cd06910', NULL, NULL, 'M14_ASTE_ASPA-like', NULL, 'M14_ASTE_ASPA-like', NULL, NULL, NULL, 1),
(6750, NULL, 'cd15254', NULL, NULL, '7tmB2_GPR116_Ig-Hepta', NULL, '7tmB2_GPR116_Ig-Hepta', NULL, NULL, NULL, 1),
(6751, NULL, 'cd19200', NULL, NULL, 'PR-SET_PRDM16_PRDM3', NULL, 'PR-SET_PRDM16_PRDM3', NULL, NULL, NULL, 1),
(6752, NULL, 'cd10974', NULL, NULL, 'CE4_CDA_like_1', NULL, 'CE4_CDA_like_1', NULL, NULL, NULL, 1),
(6753, NULL, 'cd18369', NULL, NULL, 'BTB_POZ_KCTD10-like_BACURD', NULL, 'BTB_POZ_KCTD10-like_BACURD', NULL, NULL, NULL, 1),
(6754, NULL, 'cd19393', NULL, NULL, 'TGF_beta_BMP3', NULL, 'TGF_beta_BMP3', NULL, NULL, NULL, 1),
(6755, NULL, 'cd08910', NULL, NULL, 'START_STARD2-like', NULL, 'START_STARD2-like', NULL, NULL, 33424, 1),
(6756, NULL, 'cd16837', NULL, NULL, 'BldD_C_like', NULL, 'BldD_C_like', NULL, NULL, 35465, 1),
(6757, NULL, 'cd20219', NULL, NULL, 'PFM_physalysin-1-like', NULL, 'PFM_physalysin-1-like', NULL, NULL, NULL, 1),
(6758, NULL, 'cd06614', NULL, NULL, 'STKc_PAK', NULL, 'STKc_PAK', NULL, NULL, NULL, 1),
(6759, NULL, 'cd00224', NULL, NULL, 'Mog1', NULL, 'Mog1', NULL, NULL, 776, 1),
(6760, NULL, 'cd03036', NULL, NULL, 'ArsC_like', NULL, 'ArsC_like', NULL, NULL, NULL, 1),
(6761, NULL, 'cd19916', NULL, NULL, 'OphMA_like', NULL, 'OphMA_like', NULL, NULL, NULL, 1),
(6762, NULL, 'cd02072', NULL, NULL, 'Glm_B12_BD', NULL, 'Glm_B12_BD', NULL, NULL, 5833, 1),
(6763, NULL, 'cd02425', NULL, NULL, 'Peptidase_C39F', NULL, 'Peptidase_C39F', NULL, NULL, 33048, 1),
(6764, NULL, 'cd01796', NULL, NULL, 'Ubl_Ddi1_like', NULL, 'Ubl_Ddi1_like', NULL, NULL, 33600, 1),
(6765, NULL, 'cd10397', NULL, NULL, 'SH2_Tec_Btk', NULL, 'SH2_Tec_Btk', NULL, NULL, NULL, 1),
(6766, NULL, 'cd14837', NULL, NULL, 'AP3_Mu_N', NULL, 'AP3_Mu_N', NULL, NULL, NULL, 1),
(6767, NULL, 'cd00874', NULL, NULL, 'RNA_Cyclase_Class_II', NULL, 'RNA_Cyclase_Class_II', NULL, NULL, NULL, 1),
(6768, NULL, 'cd09928', NULL, NULL, 'SH2_Cterm_SPT6_like', NULL, 'SH2_Cterm_SPT6_like', NULL, NULL, 20601, 1),
(6769, NULL, 'cd16440', NULL, NULL, 'beta_Kdo_transferase_KpsC_1', NULL, 'beta_Kdo_transferase_KpsC_1', NULL, NULL, NULL, 1),
(6770, NULL, 'cd07765', NULL, NULL, 'KRAB_A-box', NULL, 'KRAB_A-box', NULL, NULL, 4496, 1),
(6771, NULL, 'cd10529', NULL, NULL, 'SET_SETD5-like', NULL, 'SET_SETD5-like', NULL, NULL, NULL, 1),
(6772, NULL, 'cd15614', NULL, NULL, 'PHD_HAC_like', NULL, 'PHD_HAC_like', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6773, NULL, 'cd04270', NULL, NULL, 'ZnMc_TACE_like', NULL, 'ZnMc_TACE_like', NULL, NULL, 4082, 1),
(6774, NULL, 'cd18161', NULL, NULL, 'REC_hyHK_blue-like', NULL, 'REC_hyHK_blue-like', NULL, NULL, NULL, 1),
(6775, NULL, 'cd08724', NULL, NULL, 'RGS_GRK-like', NULL, 'RGS_GRK-like', NULL, NULL, NULL, 1),
(6776, NULL, 'cd17549', NULL, NULL, 'REC_DctD-like', NULL, 'REC_DctD-like', NULL, NULL, NULL, 1),
(6777, NULL, 'cd12499', NULL, NULL, 'RRM_EcCsdA_like', NULL, 'RRM_EcCsdA_like', NULL, NULL, 14448, 1),
(6778, NULL, 'cd17720', NULL, NULL, 'BRCT_Bard1_rpt2', NULL, 'BRCT_Bard1_rpt2', NULL, NULL, NULL, 1),
(6779, NULL, 'cd08980', NULL, NULL, 'GH43_LbAraf43-like', NULL, 'GH43_LbAraf43-like', NULL, NULL, NULL, 1),
(6780, NULL, 'cd17988', NULL, NULL, 'DEXHc_TDRD9', NULL, 'DEXHc_TDRD9', NULL, NULL, NULL, 1),
(6781, NULL, 'cd19195', NULL, NULL, 'PR-SET_PRDM11', NULL, 'PR-SET_PRDM11', NULL, NULL, 38560, 1),
(6782, NULL, 'cd15380', NULL, NULL, '7tmA_BK-1', NULL, '7tmA_BK-1', NULL, NULL, NULL, 1),
(6783, NULL, 'cd17208', NULL, NULL, 'FERM_F1_DdMyo7_like', NULL, 'FERM_F1_DdMyo7_like', NULL, NULL, NULL, 1),
(6784, NULL, 'cd18830', NULL, NULL, 'GH43_CjArb43A-like', NULL, 'GH43_CjArb43A-like', NULL, NULL, NULL, 1),
(6785, NULL, 'cd06822', NULL, NULL, 'PLPDE_III_YBL036c_euk', NULL, 'PLPDE_III_YBL036c_euk', NULL, NULL, NULL, 1),
(6786, NULL, 'cd15786', NULL, NULL, 'CPF_1278_like', NULL, 'CPF_1278_like', NULL, NULL, 28131, 1),
(6787, NULL, 'cd08462', NULL, NULL, 'PBP2_NodD', NULL, 'PBP2_NodD', NULL, NULL, 33124, 1),
(6788, NULL, 'cd19136', NULL, NULL, 'AKR_DrGR-like', NULL, 'AKR_DrGR-like', NULL, NULL, NULL, 1),
(6789, NULL, 'cd04160', NULL, NULL, 'Arfrp1', NULL, 'Arfrp1', NULL, NULL, NULL, 1),
(6790, NULL, 'cd14867', NULL, NULL, 'uS7_Eukaryote', NULL, 'uS7_Eukaryote', NULL, NULL, 3602, 1),
(6791, NULL, 'cd18255', NULL, NULL, 'BTB_POZ_KLHL26', NULL, 'BTB_POZ_KLHL26', NULL, NULL, NULL, 1),
(6792, NULL, 'cd10425', NULL, NULL, 'Ephrin-A_Ectodomain', NULL, 'Ephrin-A_Ectodomain', NULL, NULL, 6480, 1),
(6793, NULL, 'cd08781', NULL, NULL, 'Death_UNC5-like', NULL, 'Death_UNC5-like', NULL, NULL, NULL, 1),
(6794, NULL, 'cd01779', NULL, NULL, 'RA_Myosin-IX', NULL, 'RA_Myosin-IX', NULL, NULL, NULL, 1),
(6795, NULL, 'cd01850', NULL, NULL, 'CDC_Septin', NULL, 'CDC_Septin', NULL, NULL, 16133, 1),
(6796, NULL, 'cd14156', NULL, NULL, 'PKc_LIMK_like_unk', NULL, 'PKc_LIMK_like_unk', NULL, NULL, NULL, 1),
(6797, NULL, 'cd00452', NULL, NULL, 'KDPG_aldolase', NULL, 'KDPG_aldolase', NULL, NULL, 4894, 1),
(6798, NULL, 'cd01894', NULL, NULL, 'EngA1', NULL, 'EngA1', NULL, NULL, NULL, 1),
(6799, NULL, 'cd15326', NULL, NULL, '7tmA_alpha1B_AR', NULL, '7tmA_alpha1B_AR', NULL, NULL, NULL, 1),
(6800, NULL, 'cd14183', NULL, NULL, 'STKc_DCKL1', NULL, 'STKc_DCKL1', NULL, NULL, NULL, 1),
(6801, NULL, 'cd00132', NULL, NULL, 'CRIB', NULL, 'CRIB', NULL, NULL, NULL, 1),
(6802, NULL, 'cd01304', NULL, NULL, 'FMDH_A', NULL, 'FMDH_A', NULL, NULL, 11074, 1),
(6803, NULL, 'cd10324', NULL, NULL, 'SLC6sbd', NULL, 'SLC6sbd', NULL, NULL, NULL, 1),
(6804, NULL, 'cd03741', NULL, NULL, 'SOCS_SOCS7', NULL, 'SOCS_SOCS7', NULL, NULL, 30270, 1),
(6805, NULL, 'cd05355', NULL, NULL, 'SDR_c1', NULL, 'SDR_c1', NULL, NULL, NULL, 1),
(6806, NULL, 'cd12625', NULL, NULL, 'RRM1_IGF2BP1', NULL, 'RRM1_IGF2BP1', NULL, NULL, 36027, 1),
(6807, NULL, 'cd04640', NULL, NULL, 'CBS_pair_proteobact', NULL, 'CBS_pair_proteobact', NULL, NULL, NULL, 1),
(6808, NULL, 'cd12293', NULL, NULL, 'RRM_Rrp7p', NULL, 'RRM_Rrp7p', NULL, NULL, NULL, 1),
(6809, NULL, 'cd18236', NULL, NULL, 'BTB_POZ_KLHL6', NULL, 'BTB_POZ_KLHL6', NULL, NULL, NULL, 1),
(6810, NULL, 'cd09027', NULL, NULL, 'PET', NULL, 'PET', NULL, NULL, NULL, 1),
(6811, NULL, 'cd17929', NULL, NULL, 'DEXHc_priA', NULL, 'DEXHc_priA', NULL, NULL, NULL, 1),
(6812, NULL, 'cd13723', NULL, NULL, 'PBP2_iGluR_Kainate_GluR7', NULL, 'PBP2_iGluR_Kainate_GluR7', NULL, NULL, NULL, 1),
(6813, NULL, 'cd07628', NULL, NULL, 'BAR_Atg24p', NULL, 'BAR_Atg24p', NULL, NULL, NULL, 1),
(6814, NULL, 'cd12563', NULL, NULL, 'RRM2_RBM6', NULL, 'RRM2_RBM6', NULL, NULL, 6099, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6815, NULL, 'cd18280', NULL, NULL, 'BTB_POZ_BPM_plant', NULL, 'BTB_POZ_BPM_plant', NULL, NULL, NULL, 1),
(6816, NULL, 'cd01484', NULL, NULL, 'E1-2_like', NULL, 'E1-2_like', NULL, NULL, NULL, 1),
(6817, NULL, 'cd19066', NULL, NULL, 'C_NRPS-like', NULL, 'C_NRPS-like', NULL, NULL, NULL, 1),
(6818, NULL, 'cd19143', NULL, NULL, 'AKR_AKR6C1_2', NULL, 'AKR_AKR6C1_2', NULL, NULL, NULL, 1),
(6819, NULL, 'cd08372', NULL, NULL, 'EEP', NULL, 'EEP', NULL, NULL, NULL, 1),
(6820, NULL, 'cd00244', NULL, NULL, 'AlgLyase', NULL, 'AlgLyase', NULL, NULL, 17030, 1),
(6821, NULL, 'cd07267', NULL, NULL, 'THT_Oxygenase_N', NULL, 'THT_Oxygenase_N', NULL, NULL, NULL, 1),
(6822, NULL, 'cd10485', NULL, NULL, 'EphR_LBD_A7', NULL, 'EphR_LBD_A7', NULL, NULL, 29897, 1),
(6823, NULL, 'cd11291', NULL, NULL, 'gelsolin_S6_like', NULL, 'gelsolin_S6_like', NULL, NULL, NULL, 1),
(6824, NULL, 'cd18307', NULL, NULL, 'BTB_POZ_calicin', NULL, 'BTB_POZ_calicin', NULL, NULL, NULL, 1),
(6825, NULL, 'cd11810', NULL, NULL, 'SH3_RUSC1_like', NULL, 'SH3_RUSC1_like', NULL, NULL, NULL, 1),
(6826, NULL, 'cd12187', NULL, NULL, 'LDH_like_1', NULL, 'LDH_like_1', NULL, NULL, NULL, 1),
(6827, NULL, 'cd15347', NULL, NULL, '7tmA_S1PR2_Edg5', NULL, '7tmA_S1PR2_Edg5', NULL, NULL, NULL, 1),
(6828, NULL, 'cd03028', NULL, NULL, 'GRX_PICOT_like', NULL, 'GRX_PICOT_like', NULL, NULL, 34851, 1),
(6829, NULL, 'cd08731', NULL, NULL, 'RGS_RGS22_1', NULL, 'RGS_RGS22_1', NULL, NULL, NULL, 1),
(6830, NULL, 'cd12046', NULL, NULL, 'SH3_p67phox_C', NULL, 'SH3_p67phox_C', NULL, NULL, NULL, 1),
(6831, NULL, 'cd03449', NULL, NULL, 'R_hydratase', NULL, 'R_hydratase', NULL, NULL, NULL, 1),
(6832, NULL, 'cd00463', NULL, NULL, 'Ribosomal_L31e', NULL, 'Ribosomal_L31e', NULL, NULL, 2559, 1),
(6833, NULL, 'cd04174', NULL, NULL, 'Rnd1_Rho6', NULL, 'Rnd1_Rho6', NULL, NULL, NULL, 1),
(6834, NULL, 'cd06836', NULL, NULL, 'PLPDE_III_ODC_DapDC_like_1', NULL, 'PLPDE_III_ODC_DapDC_like_1', NULL, NULL, NULL, 1),
(6835, NULL, 'cd15602', NULL, NULL, 'PHD1_KDM5A', NULL, 'PHD1_KDM5A', NULL, NULL, NULL, 1),
(6836, NULL, 'cd14212', NULL, NULL, 'PKc_YAK1', NULL, 'PKc_YAK1', NULL, NULL, NULL, 1),
(6837, NULL, 'cd19886', NULL, NULL, 'DSRM_STAU2_rpt4', NULL, 'DSRM_STAU2_rpt4', NULL, NULL, 36606, 1),
(6838, NULL, 'cd04920', NULL, NULL, 'ACT_AKiii-DAPDC_2', NULL, 'ACT_AKiii-DAPDC_2', NULL, NULL, NULL, 1),
(6839, NULL, 'cd03694', NULL, NULL, 'GTPBP_II', NULL, 'GTPBP_II', NULL, NULL, NULL, 1),
(6840, NULL, 'cd10283', NULL, NULL, 'MnuA_DNase1-like', NULL, 'MnuA_DNase1-like', NULL, NULL, NULL, 1),
(6841, NULL, 'cd19837', NULL, NULL, 'Bbox1_MID2_C-I', NULL, 'Bbox1_MID2_C-I', NULL, NULL, NULL, 1),
(6842, NULL, 'cd01982', NULL, NULL, 'Chlide_reductase_Z', NULL, 'Chlide_reductase_Z', NULL, NULL, NULL, 1),
(6843, NULL, 'cd15295', NULL, NULL, '7tmA_Histamine_H4R', NULL, '7tmA_Histamine_H4R', NULL, NULL, NULL, 1),
(6844, NULL, 'cd19596', NULL, NULL, 'serpin_fungal', NULL, 'serpin_fungal', NULL, NULL, NULL, 1),
(6845, NULL, 'cd00085', NULL, NULL, 'HNHc', NULL, 'HNHc', NULL, NULL, 810, 1),
(6846, NULL, 'cd07910', NULL, NULL, 'MiaE', NULL, 'MiaE', NULL, NULL, 9951, 1),
(6847, NULL, 'cd04781', NULL, NULL, 'HTH_MerR-like_sg6', NULL, 'HTH_MerR-like_sg6', NULL, NULL, NULL, 1),
(6848, NULL, 'cd17633', NULL, NULL, 'AFD_YhfT-like', NULL, 'AFD_YhfT-like', NULL, NULL, NULL, 1),
(6849, NULL, 'cd10812', NULL, NULL, 'GH38N_AMII_ScAms1_like', NULL, 'GH38N_AMII_ScAms1_like', NULL, NULL, NULL, 1),
(6850, NULL, 'cd12350', NULL, NULL, 'RRM3_SHARP', NULL, 'RRM3_SHARP', NULL, NULL, 4032, 1),
(6851, NULL, 'cd18043', NULL, NULL, 'DEXXQc_SF1', NULL, 'DEXXQc_SF1', NULL, NULL, NULL, 1),
(6852, NULL, 'cd16525', NULL, NULL, 'RING-HC_PCGF', NULL, 'RING-HC_PCGF', NULL, NULL, NULL, 1),
(6853, NULL, 'cd16940', NULL, NULL, 'HATPase_BasS-like', NULL, 'HATPase_BasS-like', NULL, NULL, NULL, 1),
(6854, NULL, 'cd06277', NULL, NULL, 'PBP1_LacI-like', NULL, 'PBP1_LacI-like', NULL, NULL, NULL, 1),
(6855, NULL, 'cd17163', NULL, NULL, 'Ubl_ATG8_GABARAPL2', NULL, 'Ubl_ATG8_GABARAPL2', NULL, NULL, NULL, 1),
(6856, NULL, 'cd15055', NULL, NULL, '7tmA_TAARs', NULL, '7tmA_TAARs', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6857, NULL, 'cd04148', NULL, NULL, 'RGK', NULL, 'RGK', NULL, NULL, NULL, 1),
(6858, NULL, 'cd12470', NULL, NULL, 'RRM1_MSSP1', NULL, 'RRM1_MSSP1', NULL, NULL, 15770, 1),
(6859, NULL, 'cd15743', NULL, NULL, 'FYVE_FGD6', NULL, 'FYVE_FGD6', NULL, NULL, NULL, 1),
(6860, NULL, 'cd06950', NULL, NULL, 'NR_LBD_Tlx_PNR_like', NULL, 'NR_LBD_Tlx_PNR_like', NULL, NULL, NULL, 1),
(6861, NULL, 'cd15025', NULL, NULL, '7tm_TAS2R38', NULL, '7tm_TAS2R38', NULL, NULL, NULL, 1),
(6862, NULL, 'cd02955', NULL, NULL, 'SSP411', NULL, 'SSP411', NULL, NULL, 7256, 1),
(6863, NULL, 'cd08461', NULL, NULL, 'PBP2_DntR_like_3', NULL, 'PBP2_DntR_like_3', NULL, NULL, NULL, 1),
(6864, NULL, 'cd04843', NULL, NULL, 'Peptidases_S8_11', NULL, 'Peptidases_S8_11', NULL, NULL, 22799, 1),
(6865, NULL, 'cd06914', NULL, NULL, 'GT8_GNT1', NULL, 'GT8_GNT1', NULL, NULL, NULL, 1),
(6866, NULL, 'cd07385', NULL, NULL, 'MPP_YkuE_C', NULL, 'MPP_YkuE_C', NULL, NULL, NULL, 1),
(6867, NULL, 'cd02987', NULL, NULL, 'Phd_like_Phd', NULL, 'Phd_like_Phd', NULL, NULL, 1348, 1),
(6868, NULL, 'cd01439', NULL, NULL, 'TCCD_inducible_PARP_like', NULL, 'TCCD_inducible_PARP_like', NULL, NULL, NULL, 1),
(6869, NULL, 'cd00782', NULL, NULL, 'MutL_Trans', NULL, 'MutL_Trans', NULL, NULL, NULL, 1),
(6870, NULL, 'cd02952', NULL, NULL, 'TRP14_like', NULL, 'TRP14_like', NULL, NULL, NULL, 1),
(6871, NULL, 'cd08150', NULL, NULL, 'catalase_like', NULL, 'catalase_like', NULL, NULL, NULL, 1),
(6872, NULL, 'cd13445', NULL, NULL, 'CDI_inhibitor_EC869_like', NULL, 'CDI_inhibitor_EC869_like', NULL, NULL, 14968, 1),
(6873, NULL, 'cd15675', NULL, NULL, 'ePHD_JMJD2', NULL, 'ePHD_JMJD2', NULL, NULL, NULL, 1),
(6874, NULL, 'cd10791', NULL, NULL, 'GH38N_AMII_like_1', NULL, 'GH38N_AMII_like_1', NULL, NULL, NULL, 1),
(6875, NULL, 'cd19781', NULL, NULL, 'Bbox2_TRIM40_C-V', NULL, 'Bbox2_TRIM40_C-V', NULL, NULL, NULL, 1),
(6876, NULL, 'cd05647', NULL, NULL, 'M20_DapE_actinobac', NULL, 'M20_DapE_actinobac', NULL, NULL, NULL, 1),
(6877, NULL, 'cd09548', NULL, NULL, 'SAM_EPH-A7', NULL, 'SAM_EPH-A7', NULL, NULL, NULL, 1),
(6878, NULL, 'cd10472', NULL, NULL, 'EphR_LBD_B', NULL, 'EphR_LBD_B', NULL, NULL, NULL, 1),
(6879, NULL, 'cd11449', NULL, NULL, 'bHLH_AtAIB_like', NULL, 'bHLH_AtAIB_like', NULL, NULL, NULL, 1),
(6880, NULL, 'cd13523', NULL, NULL, 'PBP2_polyamines', NULL, 'PBP2_polyamines', NULL, NULL, NULL, 1),
(6881, NULL, 'cd16592', NULL, NULL, 'RING-HC_TRIM7_C-IV', NULL, 'RING-HC_TRIM7_C-IV', NULL, NULL, NULL, 1),
(6882, NULL, 'cd21635', NULL, NULL, 'ORF7b_SARS-CoV-like', NULL, 'ORF7b_SARS-CoV-like', NULL, NULL, 38935, 1),
(6883, NULL, 'cd14820', NULL, NULL, 'TRAX', NULL, 'TRAX', NULL, NULL, NULL, 1),
(6884, NULL, 'cd04934', NULL, NULL, 'ACT_AK-Hom3_1', NULL, 'ACT_AK-Hom3_1', NULL, NULL, NULL, 1),
(6885, NULL, 'cd15997', NULL, NULL, '7tmB2_GPR112', NULL, '7tmB2_GPR112', NULL, NULL, NULL, 1),
(6886, NULL, 'cd15979', NULL, NULL, '7tmA_CCK-BR', NULL, '7tmA_CCK-BR', NULL, NULL, NULL, 1),
(6887, NULL, 'cd00630', NULL, NULL, 'RNAP_largest_subunit_C', NULL, 'RNAP_largest_subunit_C', NULL, NULL, NULL, 1),
(6888, NULL, 'cd04815', NULL, NULL, 'PA_M28_2', NULL, 'PA_M28_2', NULL, NULL, NULL, 1),
(6889, NULL, 'cd05816', NULL, NULL, 'CBM20_DPE2_repeat2', NULL, 'CBM20_DPE2_repeat2', NULL, NULL, 8085, 1),
(6890, NULL, 'cd07663', NULL, NULL, 'BAR_SNX5', NULL, 'BAR_SNX5', NULL, NULL, NULL, 1),
(6891, NULL, 'cd08380', NULL, NULL, 'C2_PI3K_like', NULL, 'C2_PI3K_like', NULL, NULL, NULL, 1),
(6892, NULL, 'cd12267', NULL, NULL, 'RRM_YRA1_MLO3', NULL, 'RRM_YRA1_MLO3', NULL, NULL, 1472, 1),
(6893, NULL, 'cd14681', NULL, NULL, 'PH-STXBP6', NULL, 'PH-STXBP6', NULL, NULL, 34296, 1),
(6894, NULL, 'cd05692', NULL, NULL, 'S1_RPS1_repeat_hs4', NULL, 'S1_RPS1_repeat_hs4', NULL, NULL, NULL, 1),
(6895, NULL, 'cd13664', NULL, NULL, 'PBP2_PotD_PotF_like_3', NULL, 'PBP2_PotD_PotF_like_3', NULL, NULL, NULL, 1),
(6896, NULL, 'cd19806', NULL, NULL, 'Bbox1_TRIM32_C-VII', NULL, 'Bbox1_TRIM32_C-VII', NULL, NULL, NULL, 1),
(6897, NULL, 'cd00716', NULL, NULL, 'creatine_kinase_like', NULL, 'creatine_kinase_like', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6898, NULL, 'cd12967', NULL, NULL, 'CBM_SusE-F_like_u1', NULL, 'CBM_SusE-F_like_u1', NULL, NULL, NULL, 1),
(6899, NULL, 'cd18641', NULL, NULL, 'CBD_RBP1_like', NULL, 'CBD_RBP1_like', NULL, NULL, NULL, 1),
(6900, NULL, 'cd02004', NULL, NULL, 'TPP_BZL_OCoD_HPCL', NULL, 'TPP_BZL_OCoD_HPCL', NULL, NULL, NULL, 1),
(6901, NULL, 'cd14480', NULL, NULL, 'SPX_VTC2_like', NULL, 'SPX_VTC2_like', NULL, NULL, NULL, 1),
(6902, NULL, 'cd16434', NULL, NULL, 'CheB-CheR_fusion', NULL, 'CheB-CheR_fusion', NULL, NULL, NULL, 1),
(6903, NULL, 'cd07405', NULL, NULL, 'MPP_UshA_N', NULL, 'MPP_UshA_N', NULL, NULL, NULL, 1),
(6904, NULL, 'cd12693', NULL, NULL, 'RRM2_PTBP1_like', NULL, 'RRM2_PTBP1_like', NULL, NULL, 35442, 1),
(6905, NULL, 'cd07116', NULL, NULL, 'ALDH_ACDHII-AcoD', NULL, 'ALDH_ACDHII-AcoD', NULL, NULL, NULL, 1),
(6906, NULL, 'cd15574', NULL, NULL, 'PHD_AF10_AF17', NULL, 'PHD_AF10_AF17', NULL, NULL, NULL, 1),
(6907, NULL, 'cd06418', NULL, NULL, 'GH25_BacA-like', NULL, 'GH25_BacA-like', NULL, NULL, NULL, 1),
(6908, NULL, 'cd03703', NULL, NULL, 'aeIF5B_II', NULL, 'aeIF5B_II', NULL, NULL, NULL, 1),
(6909, NULL, 'cd12908', NULL, NULL, 'SPRYD3', NULL, 'SPRYD3', NULL, NULL, 34512, 1),
(6910, NULL, 'cd08189', NULL, NULL, 'Fe-ADH-like', NULL, 'Fe-ADH-like', NULL, NULL, NULL, 1),
(6911, NULL, 'cd16022', NULL, NULL, 'sulfatase_like', NULL, 'sulfatase_like', NULL, NULL, NULL, 1),
(6912, NULL, 'cd06216', NULL, NULL, 'FNR_iron_sulfur_binding_2', NULL, 'FNR_iron_sulfur_binding_2', NULL, NULL, NULL, 1),
(6913, NULL, 'cd05654', NULL, NULL, 'M20_ArgE_RocB', NULL, 'M20_ArgE_RocB', NULL, NULL, NULL, 1),
(6914, NULL, 'cd07967', NULL, NULL, 'OBF_DNA_ligase_III', NULL, 'OBF_DNA_ligase_III', NULL, NULL, NULL, 1),
(6915, NULL, 'cd06116', NULL, NULL, 'CaCS_like', NULL, 'CaCS_like', NULL, NULL, NULL, 1),
(6916, NULL, 'cd16634', NULL, NULL, 'mRING-HC-C3HC3D_Nrdp1', NULL, 'mRING-HC-C3HC3D_Nrdp1', NULL, NULL, NULL, 1),
(6917, NULL, 'cd05887', NULL, NULL, 'Ig1_Nectin-3_like', NULL, 'Ig1_Nectin-3_like', NULL, NULL, NULL, 1),
(6918, NULL, 'cd00878', NULL, NULL, 'Arf_Arl', NULL, 'Arf_Arl', NULL, NULL, NULL, 1),
(6919, NULL, 'cd21653', NULL, NULL, 'ORF4b_HKU5-CoV', NULL, 'ORF4b_HKU5-CoV', NULL, NULL, 37429, 1),
(6920, NULL, 'cd03733', NULL, NULL, 'SOCS_WSB_SWIP', NULL, 'SOCS_WSB_SWIP', NULL, NULL, NULL, 1),
(6921, NULL, 'cd17293', NULL, NULL, 'RMtype1_S_Ppo21ORF8840P_TRD1-CR1_like', NULL, 'RMtype1_S_Ppo21ORF8840P_TRD1-CR1_like', NULL, NULL, NULL, 1),
(6922, NULL, 'cd06214', NULL, NULL, 'PA_degradation_oxidoreductase_like', NULL, 'PA_degradation_oxidoreductase_like', NULL, NULL, NULL, 1),
(6923, NULL, 'cd07124', NULL, NULL, 'ALDH_PutA-P5CDH-RocA', NULL, 'ALDH_PutA-P5CDH-RocA', NULL, NULL, 239, 1),
(6924, NULL, 'cd16338', NULL, NULL, 'CpcT', NULL, 'CpcT', NULL, NULL, 9507, 1),
(6925, NULL, 'cd01884', NULL, NULL, 'EF_Tu', NULL, 'EF_Tu', NULL, NULL, 33148, 1),
(6926, NULL, 'cd14008', NULL, NULL, 'STKc_LKB1_CaMKK', NULL, 'STKc_LKB1_CaMKK', NULL, NULL, NULL, 1),
(6927, NULL, 'cd18099', NULL, NULL, 'Trm10arch', NULL, 'Trm10arch', NULL, NULL, NULL, 1),
(6928, NULL, 'cd16686', NULL, NULL, 'RING-H2_UBR2', NULL, 'RING-H2_UBR2', NULL, NULL, NULL, 1),
(6929, NULL, 'cd05313', NULL, NULL, 'NAD_bind_2_Glu_DH', NULL, 'NAD_bind_2_Glu_DH', NULL, NULL, 33786, 1),
(6930, NULL, 'cd21665', NULL, NULL, 'alphaCoV_Nsp5_Mpro', NULL, 'alphaCoV_Nsp5_Mpro', NULL, NULL, 37203, 1),
(6931, NULL, 'cd08059', NULL, NULL, 'MPN_prok_mb', NULL, 'MPN_prok_mb', NULL, NULL, NULL, 1),
(6932, NULL, 'cd12626', NULL, NULL, 'RRM1_IGF2BP2', NULL, 'RRM1_IGF2BP2', NULL, NULL, 36392, 1),
(6933, NULL, 'cd04467', NULL, NULL, 'S1_aIF5A', NULL, 'S1_aIF5A', NULL, NULL, NULL, 1),
(6934, NULL, 'cd09688', NULL, NULL, 'Cas5_I-C', NULL, 'Cas5_I-C', NULL, NULL, NULL, 1),
(6935, NULL, 'cd16558', NULL, NULL, 'RING-HC_RNF207', NULL, 'RING-HC_RNF207', NULL, NULL, NULL, 1),
(6936, NULL, 'cd10387', NULL, NULL, 'SH2_SOCS6', NULL, 'SH2_SOCS6', NULL, NULL, 34183, 1),
(6937, NULL, 'cd00600', NULL, NULL, 'Sm_like', NULL, 'Sm_like', NULL, NULL, NULL, 1),
(6938, NULL, 'cd15805', NULL, NULL, 'RIG-I_C', NULL, 'RIG-I_C', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6939, NULL, 'cd06560', NULL, NULL, 'PriL', NULL, 'PriL', NULL, NULL, 16918, 1),
(6940, NULL, 'cd07703', NULL, NULL, 'Ig2_Nectin-2_like', NULL, 'Ig2_Nectin-2_like', NULL, NULL, NULL, 1),
(6941, NULL, 'cd13989', NULL, NULL, 'STKc_IKK', NULL, 'STKc_IKK', NULL, NULL, NULL, 1),
(6942, NULL, 'cd03812', NULL, NULL, 'GT4_CapH-like', NULL, 'GT4_CapH-like', NULL, NULL, NULL, 1),
(6943, NULL, 'cd19031', NULL, NULL, 'LGIC_ECD_nAChR_proto_alpha-like', NULL, 'LGIC_ECD_nAChR_proto_alpha-like', NULL, NULL, NULL, 1),
(6944, NULL, 'cd06840', NULL, NULL, 'PLPDE_III_Bif_AspK_DapDC', NULL, 'PLPDE_III_Bif_AspK_DapDC', NULL, NULL, NULL, 1),
(6945, NULL, 'cd05364', NULL, NULL, 'SDR_c11', NULL, 'SDR_c11', NULL, NULL, NULL, 1),
(6946, NULL, 'cd08515', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_10', NULL, 'PBP2_NikA_DppA_OppA_like_10', NULL, NULL, NULL, 1),
(6947, NULL, 'cd08844', NULL, NULL, 'ArfGap_ADAP2', NULL, 'ArfGap_ADAP2', NULL, NULL, NULL, 1),
(6948, NULL, 'cd17017', NULL, NULL, 'ING_Yng1p', NULL, 'ING_Yng1p', NULL, NULL, NULL, 1),
(6949, NULL, 'cd12242', NULL, NULL, 'RRM_SLIRP', NULL, 'RRM_SLIRP', NULL, NULL, 15393, 1),
(6950, NULL, 'cd01394', NULL, NULL, 'radB', NULL, 'radB', NULL, NULL, NULL, 1),
(6951, NULL, 'cd06181', NULL, NULL, 'BI-1-like', NULL, 'BI-1-like', NULL, NULL, NULL, 1),
(6952, NULL, 'cd12949', NULL, NULL, 'NOPS_PSPC1', NULL, 'NOPS_PSPC1', NULL, NULL, NULL, 1),
(6953, NULL, 'cd07584', NULL, NULL, 'nitrilase_6', NULL, 'nitrilase_6', NULL, NULL, NULL, 1),
(6954, NULL, 'cd06620', NULL, NULL, 'PKc_Byr1_like', NULL, 'PKc_Byr1_like', NULL, NULL, NULL, 1),
(6955, NULL, 'cd06998', NULL, NULL, 'cupin_D-LI-like', NULL, 'cupin_D-LI-like', NULL, NULL, NULL, 1),
(6956, NULL, 'cd00355', NULL, NULL, 'Ribosomal_L30_like', NULL, 'Ribosomal_L30_like', NULL, NULL, NULL, 1),
(6957, NULL, 'cd17738', NULL, NULL, 'BRCT_TopBP1_rpt7', NULL, 'BRCT_TopBP1_rpt7', NULL, NULL, NULL, 1),
(6958, NULL, 'cd12211', NULL, NULL, 'Bc2l-C_N', NULL, 'Bc2l-C_N', NULL, NULL, 33819, 1),
(6959, NULL, 'cd17479', NULL, NULL, 'MFS_MFSD6L', NULL, 'MFS_MFSD6L', NULL, NULL, NULL, 1),
(6960, NULL, 'cd03226', NULL, NULL, 'ABC_cobalt_CbiO_domain2', NULL, 'ABC_cobalt_CbiO_domain2', NULL, NULL, NULL, 1),
(6961, NULL, 'cd12701', NULL, NULL, 'RRM4_PTBP1', NULL, 'RRM4_PTBP1', NULL, NULL, NULL, 1),
(6962, NULL, 'cd17932', NULL, NULL, 'DEXQc_UvrD', NULL, 'DEXQc_UvrD', NULL, NULL, NULL, 1),
(6963, NULL, 'cd14644', NULL, NULL, 'DSP_DUSP9', NULL, 'DSP_DUSP9', NULL, NULL, NULL, 1),
(6964, NULL, 'cd00267', NULL, NULL, 'ABC_ATPase', NULL, 'ABC_ATPase', NULL, NULL, NULL, 1),
(6965, NULL, 'cd16777', NULL, NULL, 'mRING-HC-C4C4_RBR_RNF144A', NULL, 'mRING-HC-C4C4_RBR_RNF144A', NULL, NULL, NULL, 1),
(6966, NULL, 'cd19400', NULL, NULL, 'TGF_beta_BMP9', NULL, 'TGF_beta_BMP9', NULL, NULL, NULL, 1),
(6967, NULL, 'cd19975', NULL, NULL, 'PBP1_CcpA-like', NULL, 'PBP1_CcpA-like', NULL, NULL, NULL, 1),
(6968, NULL, 'cd02224', NULL, NULL, 'cupin_SPO2919-like', NULL, 'cupin_SPO2919-like', NULL, NULL, NULL, 1),
(6969, NULL, 'cd16848', NULL, NULL, 'STAT4_DBD', NULL, 'STAT4_DBD', NULL, NULL, NULL, 1),
(6970, NULL, 'cd13741', NULL, NULL, 'SPRY_PRY_TRIM41', NULL, 'SPRY_PRY_TRIM41', NULL, NULL, 37725, 1),
(6971, NULL, 'cd04377', NULL, NULL, 'RhoGAP_myosin_IX', NULL, 'RhoGAP_myosin_IX', NULL, NULL, NULL, 1),
(6972, NULL, 'cd19610', NULL, NULL, 'mannanase_GH134', NULL, 'mannanase_GH134', NULL, NULL, NULL, 1),
(6973, NULL, 'cd04458', NULL, NULL, 'CSP_CDS', NULL, 'CSP_CDS', NULL, NULL, 1439, 1),
(6974, NULL, 'cd15014', NULL, NULL, '7tm_TAS2R40', NULL, '7tm_TAS2R40', NULL, NULL, NULL, 1),
(6975, NULL, 'cd16395', NULL, NULL, 'Srx', NULL, 'Srx', NULL, NULL, NULL, 1),
(6976, NULL, 'cd19096', NULL, NULL, 'AKR_Fe-S_oxidoreductase', NULL, 'AKR_Fe-S_oxidoreductase', NULL, NULL, NULL, 1),
(6977, NULL, 'cd15392', NULL, NULL, '7tmA_PR4-like', NULL, '7tmA_PR4-like', NULL, NULL, NULL, 1),
(6978, NULL, 'cd01321', NULL, NULL, 'ADGF', NULL, 'ADGF', NULL, NULL, NULL, 1),
(6979, NULL, 'cd02910', NULL, NULL, 'cupin_Yhhw_N', NULL, 'cupin_Yhhw_N', NULL, NULL, NULL, 1),
(6980, NULL, 'cd06414', NULL, NULL, 'GH25_LytC-like', NULL, 'GH25_LytC-like', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(6981, NULL, 'cd05338', NULL, NULL, 'DHRS1_HSDL2-like_SDR_c', NULL, 'DHRS1_HSDL2-like_SDR_c', NULL, NULL, NULL, 1),
(6982, NULL, 'cd19896', NULL, NULL, 'DSRM_RED2_rpt1', NULL, 'DSRM_RED2_rpt1', NULL, NULL, 37758, 1),
(6983, NULL, 'cd07620', NULL, NULL, 'BAR_SH3BP1', NULL, 'BAR_SH3BP1', NULL, NULL, NULL, 1),
(6984, NULL, 'cd01651', NULL, NULL, 'RT_G2_intron', NULL, 'RT_G2_intron', NULL, NULL, NULL, 1),
(6985, NULL, 'cd14572', NULL, NULL, 'DUSP14', NULL, 'DUSP14', NULL, NULL, NULL, 1),
(6986, NULL, 'cd14380', NULL, NULL, 'UBA2_Rad23', NULL, 'UBA2_Rad23', NULL, NULL, NULL, 1),
(6987, NULL, 'cd03158', NULL, NULL, 'penumbra_like_LEL', NULL, 'penumbra_like_LEL', NULL, NULL, NULL, 1),
(6988, NULL, 'cd07383', NULL, NULL, 'MPP_Dcr2', NULL, 'MPP_Dcr2', NULL, NULL, NULL, 1),
(6989, NULL, 'cd17907', NULL, NULL, 'FliY_FliN-Y', NULL, 'FliY_FliN-Y', NULL, NULL, NULL, 1),
(6990, NULL, 'cd03067', NULL, NULL, 'PDI_b_PDIR_N', NULL, 'PDI_b_PDIR_N', NULL, NULL, 32309, 1),
(6991, NULL, 'cd16590', NULL, NULL, 'RING-HC_TRIM4_C-IV_like', NULL, 'RING-HC_TRIM4_C-IV_like', NULL, NULL, NULL, 1),
(6992, NULL, 'cd19123', NULL, NULL, 'AKR_AKR3G1', NULL, 'AKR_AKR3G1', NULL, NULL, 37472, 1),
(6993, NULL, 'sd00045', NULL, NULL, 'ANK', NULL, 'ANK', NULL, NULL, NULL, 1),
(6994, NULL, 'cd13890', NULL, NULL, 'CuRO_3_CueO_FtsP', NULL, 'CuRO_3_CueO_FtsP', NULL, NULL, NULL, 1),
(6995, NULL, 'cd17749', NULL, NULL, 'BRCT_TopBP1_rpt4', NULL, 'BRCT_TopBP1_rpt4', NULL, NULL, NULL, 1),
(6996, NULL, 'cd13280', NULL, NULL, 'PH_SIP3', NULL, 'PH_SIP3', NULL, NULL, 32845, 1),
(6997, NULL, 'cd06215', NULL, NULL, 'FNR_iron_sulfur_binding_1', NULL, 'FNR_iron_sulfur_binding_1', NULL, NULL, NULL, 1),
(6998, NULL, 'cd05128', NULL, NULL, 'RasGAP_GAP1_like', NULL, 'RasGAP_GAP1_like', NULL, NULL, NULL, 1),
(6999, NULL, 'cd11716', NULL, NULL, 'THUMP_ThiI', NULL, 'THUMP_ThiI', NULL, NULL, NULL, 1),
(7000, NULL, 'cd14955', NULL, NULL, 'NHL_like_4', NULL, 'NHL_like_4', NULL, NULL, NULL, 1),
(7001, NULL, 'cd00062', NULL, NULL, 'FN2', NULL, 'FN2', NULL, NULL, 5695, 1),
(7002, NULL, 'cd08162', NULL, NULL, 'MPP_PhoA_N', NULL, 'MPP_PhoA_N', NULL, NULL, 32732, 1),
(7003, NULL, 'cd04863', NULL, NULL, 'MtLigD_Pol_like', NULL, 'MtLigD_Pol_like', NULL, NULL, 29059, 1),
(7004, NULL, 'cd18809', NULL, NULL, 'SF1_C_RecD', NULL, 'SF1_C_RecD', NULL, NULL, NULL, 1),
(7005, NULL, 'cd16349', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(7006, NULL, 'cd11726', NULL, NULL, 'ADDz_ATRX', NULL, 'ADDz_ATRX', NULL, NULL, NULL, 1),
(7007, NULL, 'cd05827', NULL, NULL, 'Sortase_C', NULL, 'Sortase_C', NULL, NULL, 33263, 1),
(7008, NULL, 'cd00310', NULL, NULL, 'ATP-synt_Fo_a_6', NULL, 'ATP-synt_Fo_a_6', NULL, NULL, NULL, 1),
(7009, NULL, 'cd02650', NULL, NULL, 'nuc_hydro_CaPnhB', NULL, 'nuc_hydro_CaPnhB', NULL, NULL, NULL, 1),
(7010, NULL, 'cd07297', NULL, NULL, 'PX_PLD2', NULL, 'PX_PLD2', NULL, NULL, NULL, 1),
(7011, NULL, 'cd10947', NULL, NULL, 'CE4_SpPgdA_BsYjeA_like', NULL, 'CE4_SpPgdA_BsYjeA_like', NULL, NULL, NULL, 1),
(7012, NULL, 'cd04708', NULL, NULL, 'BAH_plantDCM_II', NULL, 'BAH_plantDCM_II', NULL, NULL, NULL, 1),
(7013, NULL, 'cd06990', NULL, NULL, 'cupin_DUF861', NULL, 'cupin_DUF861', NULL, NULL, NULL, 1),
(7014, NULL, 'cd13181', NULL, NULL, 'RanBD_NUP2', NULL, 'RanBD_NUP2', NULL, NULL, NULL, 1),
(7015, NULL, 'cd18703', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(7016, NULL, 'cd17263', NULL, NULL, 'RMtype1_S_AbaB8300I-TRD1-CR1_like', NULL, 'RMtype1_S_AbaB8300I-TRD1-CR1_like', NULL, NULL, NULL, 1),
(7017, NULL, 'cd09088', NULL, NULL, 'Ape2-like_AP-endo', NULL, 'Ape2-like_AP-endo', NULL, NULL, NULL, 1),
(7018, NULL, 'cd08298', NULL, NULL, 'CAD2', NULL, 'CAD2', NULL, NULL, 8840, 1),
(7019, NULL, 'cd03740', NULL, NULL, 'SOCS_SOCS6', NULL, 'SOCS_SOCS6', NULL, NULL, 30155, 1),
(7020, NULL, 'cd09655', NULL, NULL, 'CasRa_I-A', NULL, 'CasRa_I-A', NULL, NULL, NULL, 1),
(7021, NULL, 'cd11755', NULL, NULL, 'GH94N_ChBP_like', NULL, 'GH94N_ChBP_like', NULL, NULL, 34323, 1),
(7022, NULL, 'cd00653', NULL, NULL, 'RNA_pol_B_RPB2', NULL, 'RNA_pol_B_RPB2', NULL, NULL, 11927, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7023, NULL, 'cd18196', NULL, NULL, 'BTB_POZ_ZBTB5', NULL, 'BTB_POZ_ZBTB5', NULL, NULL, NULL, 1),
(7024, NULL, 'cd13749', NULL, NULL, 'Zn-ribbon_TFIIS', NULL, 'Zn-ribbon_TFIIS', NULL, NULL, NULL, 1),
(7025, NULL, 'cd06870', NULL, NULL, 'PX_CISK', NULL, 'PX_CISK', NULL, NULL, 30927, 1),
(7026, NULL, 'cd07420', NULL, NULL, 'MPP_RdgC', NULL, 'MPP_RdgC', NULL, NULL, NULL, 1),
(7027, NULL, 'cd04786', NULL, NULL, 'HTH_MerR-like_sg7', NULL, 'HTH_MerR-like_sg7', NULL, NULL, NULL, 1),
(7028, NULL, 'cd19188', NULL, NULL, 'PR-SET_PRDM2', NULL, 'PR-SET_PRDM2', NULL, NULL, 37316, 1),
(7029, NULL, 'cd08220', NULL, NULL, 'STKc_Nek8', NULL, 'STKc_Nek8', NULL, NULL, 37471, 1),
(7030, NULL, 'cd03381', NULL, NULL, 'PAP2_glucose_6_phosphatase', NULL, 'PAP2_glucose_6_phosphatase', NULL, NULL, NULL, 1),
(7031, NULL, 'cd20002', NULL, NULL, 'PBP1_LsrB_Quorum_Sensing-like', NULL, 'PBP1_LsrB_Quorum_Sensing-like', NULL, NULL, NULL, 1),
(7032, NULL, 'cd15060', NULL, NULL, '7tmA_tyramine_octopamine_R-like', NULL, '7tmA_tyramine_octopamine_R-like', NULL, NULL, NULL, 1),
(7033, NULL, 'cd12945', NULL, NULL, 'NOPS_NONA_like', NULL, 'NOPS_NONA_like', NULL, NULL, NULL, 1),
(7034, NULL, 'cd15509', NULL, NULL, 'PHD1_KMT2C_like', NULL, 'PHD1_KMT2C_like', NULL, NULL, NULL, 1),
(7035, NULL, 'cd16651', NULL, NULL, 'SPL-RING_NSE2', NULL, 'SPL-RING_NSE2', NULL, NULL, 2580, 1),
(7036, NULL, 'cd11506', NULL, NULL, 'SLC6sbd_GAT1', NULL, 'SLC6sbd_GAT1', NULL, NULL, 7455, 1),
(7037, NULL, 'cd00012', NULL, NULL, 'NBD_sugar-kinase_HSP70_actin', NULL, 'NBD_sugar-kinase_HSP70_actin', NULL, NULL, NULL, 1),
(7038, NULL, 'cd12551', NULL, NULL, 'RRM_II_PABPN1L', NULL, 'RRM_II_PABPN1L', NULL, NULL, NULL, 1),
(7039, NULL, 'cd04722', NULL, NULL, 'TIM_phosphate_binding', NULL, 'TIM_phosphate_binding', NULL, NULL, NULL, 1),
(7040, NULL, 'cd10373', NULL, NULL, 'SH2_STAT2', NULL, 'SH2_STAT2', NULL, NULL, 30870, 1),
(7041, NULL, 'cd08645', NULL, NULL, 'FMT_core_GART', NULL, 'FMT_core_GART', NULL, NULL, 544, 1),
(7042, NULL, 'cd01572', NULL, NULL, 'QPRTase', NULL, 'QPRTase', NULL, NULL, 5880, 1),
(7043, NULL, 'cd11482', NULL, NULL, 'SLC-NCS1sbd_NRT1-like', NULL, 'SLC-NCS1sbd_NRT1-like', NULL, NULL, NULL, 1),
(7044, NULL, 'cd09322', NULL, NULL, 'TDT_TehA_like', NULL, 'TDT_TehA_like', NULL, NULL, NULL, 1),
(7045, NULL, 'cd18044', NULL, NULL, 'DEXXQc_SMUBP2', NULL, 'DEXXQc_SMUBP2', NULL, NULL, NULL, 1),
(7046, NULL, 'cd12140', NULL, NULL, 'SH3_Amphiphysin_I', NULL, 'SH3_Amphiphysin_I', NULL, NULL, 15534, 1),
(7047, NULL, 'cd18485', NULL, NULL, 'BACK_KBTBD12', NULL, 'BACK_KBTBD12', NULL, NULL, NULL, 1),
(7048, NULL, 'cd13336', NULL, NULL, 'FERM-like_C_SNX31', NULL, 'FERM-like_C_SNX31', NULL, NULL, NULL, 1),
(7049, NULL, 'cd14715', NULL, NULL, 'bZIP_CEBPE', NULL, 'bZIP_CEBPE', NULL, NULL, NULL, 1),
(7050, NULL, 'cd15733', NULL, NULL, 'FYVE_MTMR4', NULL, 'FYVE_MTMR4', NULL, NULL, NULL, 1),
(7051, NULL, 'cd07727', NULL, NULL, 'YmaE-like_MBL-fold', NULL, 'YmaE-like_MBL-fold', NULL, NULL, NULL, 1),
(7052, NULL, 'cd07209', NULL, NULL, 'Pat_hypo_Ecoli_Z1214_like', NULL, 'Pat_hypo_Ecoli_Z1214_like', NULL, NULL, NULL, 1),
(7053, NULL, 'cd16088', NULL, NULL, 'IgV_PD1', NULL, 'IgV_PD1', NULL, NULL, NULL, 1),
(7054, NULL, 'cd05117', NULL, NULL, 'STKc_CAMK', NULL, 'STKc_CAMK', NULL, NULL, NULL, 1),
(7055, NULL, 'cd13569', NULL, NULL, 'PBP2_TAXI_TRAP_like_1', NULL, 'PBP2_TAXI_TRAP_like_1', NULL, NULL, NULL, 1),
(7056, NULL, 'cd03056', NULL, NULL, 'GST_N_4', NULL, 'GST_N_4', NULL, NULL, NULL, 1),
(7057, NULL, 'cd10367', NULL, NULL, 'SH2_Src_Fgr', NULL, 'SH2_Src_Fgr', NULL, NULL, 33504, 1),
(7058, NULL, 'cd18319', NULL, NULL, 'BTB_POZ_KLHL42', NULL, 'BTB_POZ_KLHL42', NULL, NULL, NULL, 1),
(7059, NULL, 'cd00192', NULL, NULL, 'PTKc', NULL, 'PTKc', NULL, NULL, NULL, 1),
(7060, NULL, 'cd00435', NULL, NULL, 'ACBP', NULL, 'ACBP', NULL, NULL, 5745, 1),
(7061, NULL, 'cd15952', NULL, NULL, '7tmA_OR52E-like', NULL, '7tmA_OR52E-like', NULL, NULL, NULL, 1),
(7062, NULL, 'cd06613', NULL, NULL, 'STKc_MAP4K3_like', NULL, 'STKc_MAP4K3_like', NULL, NULL, NULL, 1),
(7063, NULL, 'cd14784', NULL, NULL, 'class1_nsHb-like', NULL, 'class1_nsHb-like', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7064, NULL, 'cd08176', NULL, NULL, 'LPO', NULL, 'LPO', NULL, NULL, NULL, 1),
(7065, NULL, 'cd14022', NULL, NULL, 'PK_TRB2', NULL, 'PK_TRB2', NULL, NULL, NULL, 1),
(7066, NULL, 'cd16899', NULL, NULL, 'LYZ_C_invert', NULL, 'LYZ_C_invert', NULL, NULL, NULL, 1),
(7067, NULL, 'cd14665', NULL, NULL, 'STKc_SnRK2-3', NULL, 'STKc_SnRK2-3', NULL, NULL, NULL, 1),
(7068, NULL, 'cd01683', NULL, NULL, 'EF2_IV_snRNP', NULL, 'EF2_IV_snRNP', NULL, NULL, NULL, 1),
(7069, NULL, 'cd18495', NULL, NULL, 'BACK_GCL', NULL, 'BACK_GCL', NULL, NULL, NULL, 1),
(7070, NULL, 'cd05157', NULL, NULL, 'ETNK_euk', NULL, 'ETNK_euk', NULL, NULL, NULL, 1),
(7071, NULL, 'cd09289', NULL, NULL, 'Photosystem-II_D1', NULL, 'Photosystem-II_D1', NULL, NULL, 6836, 1),
(7072, NULL, 'cd01869', NULL, NULL, 'Rab1_Ypt1', NULL, 'Rab1_Ypt1', NULL, NULL, NULL, 1),
(7073, NULL, 'cd11734', NULL, NULL, 'Ssq1_like_NBD', NULL, 'Ssq1_like_NBD', NULL, NULL, NULL, 1),
(7074, NULL, 'cd12448', NULL, NULL, 'RRM2_gar2', NULL, 'RRM2_gar2', NULL, NULL, 6803, 1),
(7075, NULL, 'cd17323', NULL, NULL, 'MFS_Tpo1_MDR_like', NULL, 'MFS_Tpo1_MDR_like', NULL, NULL, NULL, 1),
(7076, NULL, 'cd08512', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_7', NULL, 'PBP2_NikA_DppA_OppA_like_7', NULL, NULL, NULL, 1),
(7077, NULL, 'cd00796', NULL, NULL, 'INT_Rci_Hp1_C', NULL, 'INT_Rci_Hp1_C', NULL, NULL, NULL, 1),
(7078, NULL, 'cd18472', NULL, NULL, 'BACK_KLHL33', NULL, 'BACK_KLHL33', NULL, NULL, NULL, 1),
(7079, NULL, 'cd03187', NULL, NULL, 'GST_C_Phi', NULL, 'GST_C_Phi', NULL, NULL, 16243, 1),
(7080, NULL, 'cd09352', NULL, NULL, 'LIM1_Ajuba_like', NULL, 'LIM1_Ajuba_like', NULL, NULL, NULL, 1),
(7081, NULL, 'cd19599', NULL, NULL, 'serpin18-like_insects', NULL, 'serpin18-like_insects', NULL, NULL, NULL, 1),
(7082, NULL, 'cd14897', NULL, NULL, 'MYSc_Myo36', NULL, 'MYSc_Myo36', NULL, NULL, NULL, 1),
(7083, NULL, 'cd00033', NULL, NULL, 'CCP', NULL, 'CCP', NULL, NULL, 6687, 1),
(7084, NULL, 'cd01960', NULL, NULL, 'nsLTP1', NULL, 'nsLTP1', NULL, NULL, NULL, 1),
(7085, NULL, 'cd09455', NULL, NULL, 'LIM1_Enigma_like_1', NULL, 'LIM1_Enigma_like_1', NULL, NULL, NULL, 1),
(7086, NULL, 'cd15314', NULL, NULL, '7tmA_TAAR1', NULL, '7tmA_TAAR1', NULL, NULL, NULL, 1),
(7087, NULL, 'cd07544', NULL, NULL, 'P-type_ATPase_HM', NULL, 'P-type_ATPase_HM', NULL, NULL, NULL, 1),
(7088, NULL, 'cd00893', NULL, NULL, 'PI4Kc_III', NULL, 'PI4Kc_III', NULL, NULL, NULL, 1),
(7089, NULL, 'cd14336', NULL, NULL, 'UBA_AID_AMPKalpha', NULL, 'UBA_AID_AMPKalpha', NULL, NULL, NULL, 1),
(7090, NULL, 'cd18407', NULL, NULL, 'BTB_POZ_KCNA6', NULL, 'BTB_POZ_KCNA6', NULL, NULL, NULL, 1),
(7091, NULL, 'cd18976', NULL, NULL, 'CD_POL_like', NULL, 'CD_POL_like', NULL, NULL, NULL, 1),
(7092, NULL, 'cd04109', NULL, NULL, 'Rab28', NULL, 'Rab28', NULL, NULL, NULL, 1),
(7093, NULL, 'cd10415', NULL, NULL, 'SH2_Grb10', NULL, 'SH2_Grb10', NULL, NULL, 30246, 1),
(7094, NULL, 'cd13932', NULL, NULL, 'HN_RTEL1', NULL, 'HN_RTEL1', NULL, NULL, NULL, 1),
(7095, NULL, 'cd18335', NULL, NULL, 'BTB_POZ_KLHL1', NULL, 'BTB_POZ_KLHL1', NULL, NULL, NULL, 1),
(7096, NULL, 'cd01001', NULL, NULL, 'PBP2_HisJ_LAO_like', NULL, 'PBP2_HisJ_LAO_like', NULL, NULL, NULL, 1),
(7097, NULL, 'cd08896', NULL, NULL, 'SRPBCC_CalC_Aha1-like_3', NULL, 'SRPBCC_CalC_Aha1-like_3', NULL, NULL, NULL, 1),
(7098, NULL, 'cd09466', NULL, NULL, 'LIM1_Lhx3a', NULL, 'LIM1_Lhx3a', NULL, NULL, NULL, 1),
(7099, NULL, 'cd09570', NULL, NULL, 'SAM_kazrin_repeat3', NULL, 'SAM_kazrin_repeat3', NULL, NULL, 33417, 1),
(7100, NULL, 'cd20010', NULL, NULL, 'PBP1_AglR-like', NULL, 'PBP1_AglR-like', NULL, NULL, NULL, 1),
(7101, NULL, 'cd00002', NULL, NULL, 'YbaK_deacylase', NULL, 'YbaK_deacylase', NULL, NULL, 5898, 1),
(7102, NULL, 'cd18018', NULL, NULL, 'DEXHc_RecQ4-like', NULL, 'DEXHc_RecQ4-like', NULL, NULL, NULL, 1),
(7103, NULL, 'cd19457', NULL, NULL, 'lipocalin_2-like', NULL, 'lipocalin_2-like', NULL, NULL, NULL, 1),
(7104, NULL, 'cd04318', NULL, NULL, 'EcAsnRS_like_N', NULL, 'EcAsnRS_like_N', NULL, NULL, NULL, 1),
(7105, NULL, 'cd16937', NULL, NULL, 'HATPase_SMCHD1-like', NULL, 'HATPase_SMCHD1-like', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7106, NULL, 'cd17436', NULL, NULL, 'MFS_GLUT10_Class3', NULL, 'MFS_GLUT10_Class3', NULL, NULL, NULL, 1),
(7107, NULL, 'cd08892', NULL, NULL, 'SRPBCC_Aha1', NULL, 'SRPBCC_Aha1', NULL, NULL, NULL, 1),
(7108, NULL, 'cd03516', NULL, NULL, 'Link_domain_CD44_like', NULL, 'Link_domain_CD44_like', NULL, NULL, NULL, 1),
(7109, NULL, 'cd18998', NULL, NULL, 'LGIC_ECD_GABAAR_A', NULL, 'LGIC_ECD_GABAAR_A', NULL, NULL, NULL, 1),
(7110, NULL, 'cd12545', NULL, NULL, 'RRM_IN35', NULL, 'RRM_IN35', NULL, NULL, NULL, 1),
(7111, NULL, 'cd05868', NULL, NULL, 'Ig4_NrCAM', NULL, 'Ig4_NrCAM', NULL, NULL, NULL, 1),
(7112, NULL, 'cd14549', NULL, NULL, 'R5-PTPc-1', NULL, 'R5-PTPc-1', NULL, NULL, NULL, 1),
(7113, NULL, 'cd01008', NULL, NULL, 'PBP2_NrtA_SsuA_CpmA_like', NULL, 'PBP2_NrtA_SsuA_CpmA_like', NULL, NULL, NULL, 1),
(7114, NULL, 'cd00808', NULL, NULL, 'GluRS_core', NULL, 'GluRS_core', NULL, NULL, 33859, 1),
(7115, NULL, 'cd14137', NULL, NULL, 'STKc_GSK3', NULL, 'STKc_GSK3', NULL, NULL, 35891, 1),
(7116, NULL, 'cd09815', NULL, NULL, 'TP_methylase', NULL, 'TP_methylase', NULL, NULL, NULL, 1),
(7117, NULL, 'cd03548', NULL, NULL, 'Rieske_RO_Alpha_OMO_CARDO', NULL, 'Rieske_RO_Alpha_OMO_CARDO', NULL, NULL, NULL, 1),
(7118, NULL, 'cd07661', NULL, NULL, 'BAR_ICA69', NULL, 'BAR_ICA69', NULL, NULL, NULL, 1),
(7119, NULL, 'cd13736', NULL, NULL, 'SPRY_PRY_TRIM25', NULL, 'SPRY_PRY_TRIM25', NULL, NULL, 37402, 1),
(7120, NULL, 'cd12911', NULL, NULL, 'HK_sensor', NULL, 'HK_sensor', NULL, NULL, NULL, 1),
(7121, NULL, 'cd13522', NULL, NULL, 'PBP2_ABC_oligosaccharides', NULL, 'PBP2_ABC_oligosaccharides', NULL, NULL, NULL, 1),
(7122, NULL, 'cd00754', NULL, NULL, 'Ubl_MoaD', NULL, 'Ubl_MoaD', NULL, NULL, NULL, 1),
(7123, NULL, 'cd03873', NULL, NULL, 'Zinc_peptidase_like', NULL, 'Zinc_peptidase_like', NULL, NULL, NULL, 1),
(7124, NULL, 'cd09384', NULL, NULL, 'LIM1_LMO2', NULL, 'LIM1_LMO2', NULL, NULL, NULL, 1),
(7125, NULL, 'cd16336', NULL, NULL, 'MukE', NULL, 'MukE', NULL, NULL, NULL, 1),
(7126, NULL, 'cd00240', NULL, NULL, 'TFIIFa', NULL, 'TFIIFa', NULL, NULL, NULL, 1),
(7127, NULL, 'cd21591', NULL, NULL, 'SARS-CoV-like_RdRp', NULL, 'SARS-CoV-like_RdRp', NULL, NULL, 36571, 1),
(7128, NULL, 'cd15889', NULL, NULL, 'SNARE_SNAP25N_23N', NULL, 'SNARE_SNAP25N_23N', NULL, NULL, NULL, 1),
(7129, NULL, 'cd17524', NULL, NULL, 'RMtype1_S_EcoUTORF5051P-TRD2-CR2_like', NULL, 'RMtype1_S_EcoUTORF5051P-TRD2-CR2_like', NULL, NULL, NULL, 1),
(7130, NULL, 'cd08855', NULL, NULL, 'ArfGap_AGAP3', NULL, 'ArfGap_AGAP3', NULL, NULL, NULL, 1),
(7131, NULL, 'cd03252', NULL, NULL, 'ABCC_Hemolysin', NULL, 'ABCC_Hemolysin', NULL, NULL, NULL, 1),
(7132, NULL, 'cd03761', NULL, NULL, 'proteasome_beta_type_5', NULL, 'proteasome_beta_type_5', NULL, NULL, NULL, 1),
(7133, NULL, 'cd16865', NULL, NULL, 'ARID_ARID1A-like', NULL, 'ARID_ARID1A-like', NULL, NULL, NULL, 1),
(7134, NULL, 'cd14604', NULL, NULL, 'PTPc-N12', NULL, 'PTPc-N12', NULL, NULL, NULL, 1),
(7135, NULL, 'cd09711', NULL, NULL, 'Csc1_I-D', NULL, 'Csc1_I-D', NULL, NULL, NULL, 1),
(7136, NULL, 'cd17618', NULL, NULL, 'REC_OmpR_PhoB', NULL, 'REC_OmpR_PhoB', NULL, NULL, NULL, 1),
(7137, NULL, 'cd05284', NULL, NULL, 'arabinose_DH_like', NULL, 'arabinose_DH_like', NULL, NULL, NULL, 1),
(7138, NULL, 'cd07611', NULL, NULL, 'BAR_Amphiphysin_I_II', NULL, 'BAR_Amphiphysin_I_II', NULL, NULL, NULL, 1),
(7139, NULL, 'cd03514', NULL, NULL, 'CrtR_beta-carotene-hydroxylase', NULL, 'CrtR_beta-carotene-hydroxylase', NULL, NULL, NULL, 1),
(7140, NULL, 'cd06935', NULL, NULL, 'NR_LBD_TR', NULL, 'NR_LBD_TR', NULL, NULL, NULL, 1),
(7141, NULL, 'cd19682', NULL, NULL, 'bHLHzip_MGA_like', NULL, 'bHLHzip_MGA_like', NULL, NULL, NULL, 1),
(7142, NULL, 'cd16676', NULL, NULL, 'RING-H2_RNF122', NULL, 'RING-H2_RNF122', NULL, NULL, NULL, 1),
(7143, NULL, 'cd15629', NULL, NULL, 'PHD_BAZ2A', NULL, 'PHD_BAZ2A', NULL, NULL, NULL, 1),
(7144, NULL, 'cd18592', NULL, NULL, 'ABC_6TM_MRP5_8_9_D1', NULL, 'ABC_6TM_MRP5_8_9_D1', NULL, NULL, NULL, 1),
(7145, NULL, 'cd18981', NULL, NULL, 'CSD_HP1e_insect', NULL, 'CSD_HP1e_insect', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7146, NULL, 'cd01341', NULL, NULL, 'ADP_ribosyl', NULL, 'ADP_ribosyl', NULL, NULL, NULL, 1),
(7147, NULL, 'cd19798', NULL, NULL, 'Bbox2_BRAT-like', NULL, 'Bbox2_BRAT-like', NULL, NULL, NULL, 1),
(7148, NULL, 'cd03059', NULL, NULL, 'GST_N_SspA', NULL, 'GST_N_SspA', NULL, NULL, 20788, 1),
(7149, NULL, 'cd04252', NULL, NULL, 'AAK_NAGK-fArgBP', NULL, 'AAK_NAGK-fArgBP', NULL, NULL, 33129, 1),
(7150, NULL, 'cd04977', NULL, NULL, 'Ig1_NCAM-1_like', NULL, 'Ig1_NCAM-1_like', NULL, NULL, NULL, 1),
(7151, NULL, 'cd18426', NULL, NULL, 'BTB_POZ_KCNS1', NULL, 'BTB_POZ_KCNS1', NULL, NULL, NULL, 1),
(7152, NULL, 'cd15413', NULL, NULL, '7tmA_OR8K-like', NULL, '7tmA_OR8K-like', NULL, NULL, NULL, 1),
(7153, NULL, 'cd17258', NULL, NULL, 'RMtype1_S_Sau13435ORF2165P-TRD1-CR1_like', NULL, 'RMtype1_S_Sau13435ORF2165P-TRD1-CR1_like', NULL, NULL, NULL, 1),
(7154, NULL, 'cd08484', NULL, NULL, 'PBP2_LTTR_beta_lactamase', NULL, 'PBP2_LTTR_beta_lactamase', NULL, NULL, 32053, 1),
(7155, NULL, 'cd08675', NULL, NULL, 'C2B_RasGAP', NULL, 'C2B_RasGAP', NULL, NULL, NULL, 1),
(7156, NULL, 'cd15761', NULL, NULL, 'FYVE1_Vac1p_like', NULL, 'FYVE1_Vac1p_like', NULL, NULL, NULL, 1),
(7157, NULL, 'cd16117', NULL, NULL, 'UBX_UBXN4', NULL, 'UBX_UBXN4', NULL, NULL, NULL, 1),
(7158, NULL, 'cd03739', NULL, NULL, 'SOCS_SOCS5', NULL, 'SOCS_SOCS5', NULL, NULL, 30007, 1),
(7159, NULL, 'cd03863', NULL, NULL, 'M14_CPD_II', NULL, 'M14_CPD_II', NULL, NULL, 35487, 1),
(7160, NULL, 'cd01619', NULL, NULL, 'LDH_like', NULL, 'LDH_like', NULL, NULL, NULL, 1),
(7161, NULL, 'cd09346', NULL, NULL, 'LIM3_FHL', NULL, 'LIM3_FHL', NULL, NULL, NULL, 1),
(7162, NULL, 'cd19999', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(7163, NULL, 'cd04323', NULL, NULL, 'AsnRS_cyto_like_N', NULL, 'AsnRS_cyto_like_N', NULL, NULL, NULL, 1),
(7164, NULL, 'cd04041', NULL, NULL, 'C2A_fungal', NULL, 'C2A_fungal', NULL, NULL, 36210, 1),
(7165, NULL, 'cd18431', NULL, NULL, 'BRCT_DNA_ligase_III', NULL, 'BRCT_DNA_ligase_III', NULL, NULL, NULL, 1),
(7166, NULL, 'cd16389', NULL, NULL, 'FIN', NULL, 'FIN', NULL, NULL, 34287, 1),
(7167, NULL, 'cd04472', NULL, NULL, 'S1_PNPase', NULL, 'S1_PNPase', NULL, NULL, NULL, 1),
(7168, NULL, 'cd00493', NULL, NULL, 'FabA_FabZ', NULL, 'FabA_FabZ', NULL, NULL, NULL, 1),
(7169, NULL, 'cd02166', NULL, NULL, 'NMNAT_Archaea', NULL, 'NMNAT_Archaea', NULL, NULL, 6780, 1),
(7170, NULL, 'cd16639', NULL, NULL, 'RING-HC_TRAF2', NULL, 'RING-HC_TRAF2', NULL, NULL, NULL, 1),
(7171, NULL, 'cd17914', NULL, NULL, 'DExxQc_SF1-N', NULL, 'DExxQc_SF1-N', NULL, NULL, NULL, 1),
(7172, NULL, 'cd07369', NULL, NULL, 'PydA_Rs_like', NULL, 'PydA_Rs_like', NULL, NULL, 32918, 1),
(7173, NULL, 'cd07462', NULL, NULL, 'CRD_FZ10', NULL, 'CRD_FZ10', NULL, NULL, NULL, 1),
(7174, NULL, 'cd19909', NULL, NULL, 'DSRM_STRBP_rpt1', NULL, 'DSRM_STRBP_rpt1', NULL, NULL, 36778, 1),
(7175, NULL, 'cd18893', NULL, NULL, 'TET-like', NULL, 'TET-like', NULL, NULL, NULL, 1),
(7176, NULL, 'cd17211', NULL, NULL, 'RA_RGL2', NULL, 'RA_RGL2', NULL, NULL, NULL, 1),
(7177, NULL, 'cd11461', NULL, NULL, 'bHLH-O_HES5', NULL, 'bHLH-O_HES5', NULL, NULL, NULL, 1),
(7178, NULL, 'cd15221', NULL, NULL, '7tmA_OR52B-like', NULL, '7tmA_OR52B-like', NULL, NULL, NULL, 1),
(7179, NULL, 'cd18504', NULL, NULL, 'BACK_ARIA_like', NULL, 'BACK_ARIA_like', NULL, NULL, NULL, 1),
(7180, NULL, 'cd15449', NULL, NULL, '7tmC_mGluR1', NULL, '7tmC_mGluR1', NULL, NULL, NULL, 1),
(7181, NULL, 'cd10368', NULL, NULL, 'SH2_Src_Fyn', NULL, 'SH2_Src_Fyn', NULL, NULL, NULL, 1),
(7182, NULL, 'cd03684', NULL, NULL, 'ClC_3_like', NULL, 'ClC_3_like', NULL, NULL, NULL, 1),
(7183, NULL, 'cd07210', NULL, NULL, 'Pat_hypo_W_succinogenes_WS1459_like', NULL, 'Pat_hypo_W_succinogenes_WS1459_like', NULL, NULL, NULL, 1),
(7184, NULL, 'cd18011', NULL, NULL, 'DEXDc_RapA', NULL, 'DEXDc_RapA', NULL, NULL, NULL, 1),
(7185, NULL, 'cd12398', NULL, NULL, 'RRM_CSTF2_RNA15_like', NULL, 'RRM_CSTF2_RNA15_like', NULL, NULL, NULL, 1),
(7186, NULL, 'cd19902', NULL, NULL, 'DSRM_DRADA', NULL, 'DSRM_DRADA', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7187, NULL, 'cd11898', NULL, NULL, 'SH3_SNX9', NULL, 'SH3_SNX9', NULL, NULL, 36019, 1),
(7188, NULL, 'cd19788', NULL, NULL, 'Bbox2_MuRF', NULL, 'Bbox2_MuRF', NULL, NULL, NULL, 1),
(7189, NULL, 'cd16918', NULL, NULL, 'HATPase_Glnl-NtrB-like', NULL, 'HATPase_Glnl-NtrB-like', NULL, NULL, NULL, 1),
(7190, NULL, 'cd13173', NULL, NULL, 'RanBD3_RanBP2_insect-like', NULL, 'RanBD3_RanBP2_insect-like', NULL, NULL, NULL, 1),
(7191, NULL, 'cd17336', NULL, NULL, 'MFS_SLCO_OATP', NULL, 'MFS_SLCO_OATP', NULL, NULL, NULL, 1),
(7192, NULL, 'cd00066', NULL, NULL, 'G-alpha', NULL, 'G-alpha', NULL, NULL, 5021, 1),
(7193, NULL, 'cd11991', NULL, NULL, 'SH3_Intersectin1_3', NULL, 'SH3_Intersectin1_3', NULL, NULL, NULL, 1),
(7194, NULL, 'cd17979', NULL, NULL, 'DEXHc_DHX34', NULL, 'DEXHc_DHX34', NULL, NULL, NULL, 1),
(7195, NULL, 'cd12203', NULL, NULL, 'GT1', NULL, 'GT1', NULL, NULL, NULL, 1),
(7196, NULL, 'cd02771', NULL, NULL, 'MopB_NDH-1_NuoG2-N7', NULL, 'MopB_NDH-1_NuoG2-N7', NULL, NULL, NULL, 1),
(7197, NULL, 'cd04117', NULL, NULL, 'Rab15', NULL, 'Rab15', NULL, NULL, 32534, 1),
(7198, NULL, 'cd16976', NULL, NULL, 'HATPase_HupT_MifS-like', NULL, 'HATPase_HupT_MifS-like', NULL, NULL, NULL, 1),
(7199, NULL, 'cd02143', NULL, NULL, 'nitroreductase_FeS-like', NULL, 'nitroreductase_FeS-like', NULL, NULL, NULL, 1),
(7200, NULL, 'cd08255', NULL, NULL, '2-desacetyl-2-hydroxyethyl_bacteriochlorophyll...', NULL, '2-desacetyl-2-hydroxyethyl_bacteriochlorophyllide_like', NULL, NULL, NULL, 1),
(7201, NULL, 'cd03590', NULL, NULL, 'CLECT_DC-SIGN_like', NULL, 'CLECT_DC-SIGN_like', NULL, NULL, 2466, 1),
(7202, NULL, 'cd09821', NULL, NULL, 'An_peroxidase_bacterial_2', NULL, 'An_peroxidase_bacterial_2', NULL, NULL, NULL, 1),
(7203, NULL, 'cd03796', NULL, NULL, 'GT4_PIG-A-like', NULL, 'GT4_PIG-A-like', NULL, NULL, 33529, 1),
(7204, NULL, 'cd09358', NULL, NULL, 'LIM_Mical_like', NULL, 'LIM_Mical_like', NULL, NULL, NULL, 1),
(7205, NULL, 'cd17204', NULL, NULL, 'FERM_F1_EPB41L4B', NULL, 'FERM_F1_EPB41L4B', NULL, NULL, NULL, 1),
(7206, NULL, 'cd10150', NULL, NULL, 'CobN_like', NULL, 'CobN_like', NULL, NULL, 6372, 1),
(7207, NULL, 'cd18939', NULL, NULL, 'bHLH_TS_Msgn1', NULL, 'bHLH_TS_Msgn1', NULL, NULL, NULL, 1),
(7208, NULL, 'cd08691', NULL, NULL, 'C2_NEDL1-like', NULL, 'C2_NEDL1-like', NULL, NULL, 35383, 1),
(7209, NULL, 'cd17706', NULL, NULL, 'MCM', NULL, 'MCM', NULL, NULL, NULL, 1),
(7210, NULL, 'cd16729', NULL, NULL, 'RING-HC_RGLG_plant', NULL, 'RING-HC_RGLG_plant', NULL, NULL, 39558, 1),
(7211, NULL, 'cd02891', NULL, NULL, 'A2M_like', NULL, 'A2M_like', NULL, NULL, NULL, 1),
(7212, NULL, 'cd07560', NULL, NULL, 'Peptidase_S41_CPP', NULL, 'Peptidase_S41_CPP', NULL, NULL, 7345, 1),
(7213, NULL, 'cd06920', NULL, NULL, 'NEAT', NULL, 'NEAT', NULL, NULL, 1068, 1),
(7214, NULL, 'cd00405', NULL, NULL, 'PRAI', NULL, 'PRAI', NULL, NULL, 2436, 1),
(7215, NULL, 'cd17968', NULL, NULL, 'DEAHc_DDX11_starthere', NULL, 'DEAHc_DDX11_starthere', NULL, NULL, NULL, 1),
(7216, NULL, 'cd07817', NULL, NULL, 'SRPBCC_8', NULL, 'SRPBCC_8', NULL, NULL, NULL, 1),
(7217, NULL, 'cd15612', NULL, NULL, 'PHD_OBE1_like', NULL, 'PHD_OBE1_like', NULL, NULL, NULL, 1),
(7218, NULL, 'cd17158', NULL, NULL, 'DCX3_DCDC5', NULL, 'DCX3_DCDC5', NULL, NULL, NULL, 1),
(7219, NULL, 'cd18768', NULL, NULL, 'PIN_MtVapC4-C5-like', NULL, 'PIN_MtVapC4-C5-like', NULL, NULL, NULL, 1),
(7220, NULL, 'cd02235', NULL, NULL, 'cupin_BLL4011-like', NULL, 'cupin_BLL4011-like', NULL, NULL, NULL, 1),
(7221, NULL, 'cd17366', NULL, NULL, 'MFS_ProP', NULL, 'MFS_ProP', NULL, NULL, NULL, 1),
(7222, NULL, 'cd07711', NULL, NULL, 'MBLAC1-like_MBL-fold', NULL, 'MBLAC1-like_MBL-fold', NULL, NULL, NULL, 1),
(7223, NULL, 'cd00442', NULL, NULL, 'Lyz-like', NULL, 'Lyz-like', NULL, NULL, NULL, 1),
(7224, NULL, 'cd12913', NULL, NULL, 'PDC1_MCP_like', NULL, 'PDC1_MCP_like', NULL, NULL, NULL, 1),
(7225, NULL, 'cd15517', NULL, NULL, 'PHD_TCF19_like', NULL, 'PHD_TCF19_like', NULL, NULL, NULL, 1),
(7226, NULL, 'cd15020', NULL, NULL, '7tm_TAS2R3', NULL, '7tm_TAS2R3', NULL, NULL, NULL, 1),
(7227, NULL, 'cd02027', NULL, NULL, 'APSK', NULL, 'APSK', NULL, NULL, 6413, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7228, NULL, 'cd07506', NULL, NULL, 'HAD_like', NULL, 'HAD_like', NULL, NULL, NULL, 1),
(7229, NULL, 'cd02761', NULL, NULL, 'MopB_FmdB-FwdB', NULL, 'MopB_FmdB-FwdB', NULL, NULL, 15757, 1),
(7230, NULL, 'cd06868', NULL, NULL, 'PX_HS1BP3', NULL, 'PX_HS1BP3', NULL, NULL, 30748, 1),
(7231, NULL, 'cd05106', NULL, NULL, 'PTKc_CSF-1R', NULL, 'PTKc_CSF-1R', NULL, NULL, NULL, 1),
(7232, NULL, 'cd11398', NULL, NULL, 'bHLHzip_scCBP1', NULL, 'bHLHzip_scCBP1', NULL, NULL, NULL, 1),
(7233, NULL, 'cd20314', NULL, NULL, 'DSRM_EIF2AK2', NULL, 'DSRM_EIF2AK2', NULL, NULL, NULL, 1),
(7234, NULL, 'cd15245', NULL, NULL, '7tmF_FZD2', NULL, '7tmF_FZD2', NULL, NULL, NULL, 1),
(7235, NULL, 'cd18645', NULL, NULL, 'CD_Cbx4', NULL, 'CD_Cbx4', NULL, NULL, NULL, 1),
(7236, NULL, 'cd01387', NULL, NULL, 'MYSc_Myo15', NULL, 'MYSc_Myo15', NULL, NULL, 31300, 1),
(7237, NULL, 'cd05328', NULL, NULL, '3alpha_HSD_SDR_c', NULL, '3alpha_HSD_SDR_c', NULL, NULL, NULL, 1),
(7238, NULL, 'cd13192', NULL, NULL, 'FERM_C_FRMD3_FRMD5', NULL, 'FERM_C_FRMD3_FRMD5', NULL, NULL, NULL, 1),
(7239, NULL, 'cd03330', NULL, NULL, 'Macro_Ttha0132-like', NULL, 'Macro_Ttha0132-like', NULL, NULL, NULL, 1),
(7240, NULL, 'cd17160', NULL, NULL, 'UBX_UBXN2A', NULL, 'UBX_UBXN2A', NULL, NULL, NULL, 1),
(7241, NULL, 'cd13309', NULL, NULL, 'PH_SKIP', NULL, 'PH_SKIP', NULL, NULL, NULL, 1),
(7242, NULL, 'cd13147', NULL, NULL, 'MATE_MJ0709_like', NULL, 'MATE_MJ0709_like', NULL, NULL, NULL, 1),
(7243, NULL, 'cd06619', NULL, NULL, 'PKc_MKK5', NULL, 'PKc_MKK5', NULL, NULL, NULL, 1),
(7244, NULL, 'cd14455', NULL, NULL, 'CuRO_6_FV_like', NULL, 'CuRO_6_FV_like', NULL, NULL, NULL, 1),
(7245, NULL, 'cd14308', NULL, NULL, 'UBA_Mud1_like', NULL, 'UBA_Mud1_like', NULL, NULL, NULL, 1),
(7246, NULL, 'cd11897', NULL, NULL, 'SH3_SNX18', NULL, 'SH3_SNX18', NULL, NULL, 36459, 1),
(7247, NULL, 'cd00587', NULL, NULL, 'HCP_like', NULL, 'HCP_like', NULL, NULL, NULL, 1),
(7248, NULL, 'cd04779', NULL, NULL, 'HTH_MerR-like_sg4', NULL, 'HTH_MerR-like_sg4', NULL, NULL, NULL, 1),
(7249, NULL, 'cd16780', NULL, NULL, 'mRING-HC-C3HC3D_LNX2', NULL, 'mRING-HC-C3HC3D_LNX2', NULL, NULL, NULL, 1),
(7250, NULL, 'cd09557', NULL, NULL, 'SAM_Smaug', NULL, 'SAM_Smaug', NULL, NULL, 34553, 1),
(7251, NULL, 'cd13684', NULL, NULL, 'PBP2_TRAP_Dctp5_like', NULL, 'PBP2_TRAP_Dctp5_like', NULL, NULL, NULL, 1),
(7252, NULL, 'cd16894', NULL, NULL, 'MltD-like', NULL, 'MltD-like', NULL, NULL, NULL, 1),
(7253, NULL, 'cd15191', NULL, NULL, '7tmA_AT2R', NULL, '7tmA_AT2R', NULL, NULL, NULL, 1),
(7254, NULL, 'cd11627', NULL, NULL, 'HR1_Ste20-like', NULL, 'HR1_Ste20-like', NULL, NULL, NULL, 1),
(7255, NULL, 'cd15891', NULL, NULL, 'SNARE_Vti1a', NULL, 'SNARE_Vti1a', NULL, NULL, NULL, 1),
(7256, NULL, 'cd14227', NULL, NULL, 'STKc_HIPK2', NULL, 'STKc_HIPK2', NULL, NULL, NULL, 1),
(7257, NULL, 'cd19193', NULL, NULL, 'PR-SET_PRDM7_9', NULL, 'PR-SET_PRDM7_9', NULL, NULL, 38645, 1),
(7258, NULL, 'cd13349', NULL, NULL, 'PH-GRAM1_TBC1D8', NULL, 'PH-GRAM1_TBC1D8', NULL, NULL, 30071, 1),
(7259, NULL, 'cd14083', NULL, NULL, 'STKc_CaMKI', NULL, 'STKc_CaMKI', NULL, NULL, NULL, 1),
(7260, NULL, 'cd20309', NULL, NULL, 'cupin_EcSI', NULL, 'cupin_EcSI', NULL, NULL, NULL, 1),
(7261, NULL, 'cd01002', NULL, NULL, 'PBP2_Ehub_like', NULL, 'PBP2_Ehub_like', NULL, NULL, 10119, 1),
(7262, NULL, 'cd10910', NULL, NULL, 'PIN_limkain_b1_N_like', NULL, 'PIN_limkain_b1_N_like', NULL, NULL, NULL, 1),
(7263, NULL, 'cd14450', NULL, NULL, 'CuRO_3_FV_like', NULL, 'CuRO_3_FV_like', NULL, NULL, NULL, 1),
(7264, NULL, 'cd00171', NULL, NULL, 'Sec7', NULL, 'Sec7', NULL, NULL, 3094, 1),
(7265, NULL, 'cd05703', NULL, NULL, 'S1_Rrp5_repeat_hs12_sc9', NULL, 'S1_Rrp5_repeat_hs12_sc9', NULL, NULL, NULL, 1),
(7266, NULL, 'cd05470', NULL, NULL, 'pepsin_retropepsin_like', NULL, 'pepsin_retropepsin_like', NULL, NULL, NULL, 1),
(7267, NULL, 'cd01431', NULL, NULL, 'P-type_ATPases', NULL, 'P-type_ATPases', NULL, NULL, NULL, 1),
(7268, NULL, 'cd00211', NULL, NULL, 'PTS_IIA_fru', NULL, 'PTS_IIA_fru', NULL, NULL, 5774, 1),
(7269, NULL, 'cd10348', NULL, NULL, 'SH2_Cterm_shark_like', NULL, 'SH2_Cterm_shark_like', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7270, NULL, 'cd16452', NULL, NULL, 'SP-RING_like', NULL, 'SP-RING_like', NULL, NULL, NULL, 1),
(7271, NULL, 'cd19087', NULL, NULL, 'AKR_AKR12A1_B1_C1', NULL, 'AKR_AKR12A1_B1_C1', NULL, NULL, NULL, 1),
(7272, NULL, 'cd14663', NULL, NULL, 'STKc_SnRK3', NULL, 'STKc_SnRK3', NULL, NULL, NULL, 1),
(7273, NULL, 'cd06435', NULL, NULL, 'CESA_NdvC_like', NULL, 'CESA_NdvC_like', NULL, NULL, NULL, 1),
(7274, NULL, 'cd07575', NULL, NULL, 'Xc-1258_like', NULL, 'Xc-1258_like', NULL, NULL, NULL, 1),
(7275, NULL, 'cd03285', NULL, NULL, 'ABC_MSH2_euk', NULL, 'ABC_MSH2_euk', NULL, NULL, NULL, 1),
(7276, NULL, 'cd09748', NULL, NULL, 'Cmr3_III-B', NULL, 'Cmr3_III-B', NULL, NULL, NULL, 1),
(7277, NULL, 'cd19206', NULL, NULL, 'SET_KMT2A', NULL, 'SET_KMT2A', NULL, NULL, NULL, 1),
(7278, NULL, 'cd08342', NULL, NULL, 'HPPD_N_like', NULL, 'HPPD_N_like', NULL, NULL, 32463, 1),
(7279, NULL, 'cd10813', NULL, NULL, 'GH38N_AMII_Man2C1', NULL, 'GH38N_AMII_Man2C1', NULL, NULL, NULL, 1),
(7280, NULL, 'cd15124', NULL, NULL, '7tmA_GRPR', NULL, '7tmA_GRPR', NULL, NULL, NULL, 1),
(7281, NULL, 'cd12035', NULL, NULL, 'SH3_MPP1-like', NULL, 'SH3_MPP1-like', NULL, NULL, NULL, 1),
(7282, NULL, 'cd03531', NULL, NULL, 'Rieske_RO_Alpha_KSH', NULL, 'Rieske_RO_Alpha_KSH', NULL, NULL, NULL, 1),
(7283, NULL, 'cd16982', NULL, NULL, 'CID_Pcf11', NULL, 'CID_Pcf11', NULL, NULL, NULL, 1),
(7284, NULL, 'cd01366', NULL, NULL, 'KISc_C_terminal', NULL, 'KISc_C_terminal', NULL, NULL, NULL, 1),
(7285, NULL, 'cd12326', NULL, NULL, 'RRM1_hnRNPA0', NULL, 'RRM1_hnRNPA0', NULL, NULL, 35293, 1),
(7286, NULL, 'cd06417', NULL, NULL, 'GH25_LysA-like', NULL, 'GH25_LysA-like', NULL, NULL, NULL, 1),
(7287, NULL, 'cd12149', NULL, NULL, 'Flavi_E_C', NULL, 'Flavi_E_C', NULL, NULL, 21794, 1),
(7288, NULL, 'cd00926', NULL, NULL, 'Cyt_c_Oxidase_VIb', NULL, 'Cyt_c_Oxidase_VIb', NULL, NULL, 2366, 1),
(7289, NULL, 'cd09246', NULL, NULL, 'BRO1_Alix_like_1', NULL, 'BRO1_Alix_like_1', NULL, NULL, NULL, 1),
(7290, NULL, 'cd01780', NULL, NULL, 'RA2_PLC-epsilon', NULL, 'RA2_PLC-epsilon', NULL, NULL, NULL, 1),
(7291, NULL, 'cd19865', NULL, NULL, 'DSRM_STRBP_RED-like_rpt1', NULL, 'DSRM_STRBP_RED-like_rpt1', NULL, NULL, NULL, 1),
(7292, NULL, 'cd03033', NULL, NULL, 'ArsC_15kD', NULL, 'ArsC_15kD', NULL, NULL, 6574, 1),
(7293, NULL, 'cd14487', NULL, NULL, 'AlgX_C', NULL, 'AlgX_C', NULL, NULL, 27951, 1),
(7294, NULL, 'cd13339', NULL, NULL, 'PH-GRAM_MTMR13', NULL, 'PH-GRAM_MTMR13', NULL, NULL, 34248, 1),
(7295, NULL, 'cd16601', NULL, NULL, 'RING-HC_TRIM39_C-IV', NULL, 'RING-HC_TRIM39_C-IV', NULL, NULL, NULL, 1),
(7296, NULL, 'cd09810', NULL, NULL, 'LPOR_like_SDR_c_like', NULL, 'LPOR_like_SDR_c_like', NULL, NULL, NULL, 1),
(7297, NULL, 'cd08299', NULL, NULL, 'alcohol_DH_class_I_II_IV', NULL, 'alcohol_DH_class_I_II_IV', NULL, NULL, NULL, 1),
(7298, NULL, 'cd08197', NULL, NULL, 'DOIS', NULL, 'DOIS', NULL, NULL, NULL, 1),
(7299, NULL, 'cd10405', NULL, NULL, 'SH2_Vav1', NULL, 'SH2_Vav1', NULL, NULL, 35872, 1),
(7300, NULL, 'cd15836', NULL, NULL, 'TNFRSF11A_teleost', NULL, 'TNFRSF11A_teleost', NULL, NULL, NULL, 1),
(7301, NULL, 'cd15919', NULL, NULL, '7tmA_GPR139', NULL, '7tmA_GPR139', NULL, NULL, 36321, 1),
(7302, NULL, 'cd19548', NULL, NULL, 'serpinA_A1AT-like', NULL, 'serpinA_A1AT-like', NULL, NULL, NULL, 1),
(7303, NULL, 'cd06358', NULL, NULL, 'PBP1_NHase', NULL, 'PBP1_NHase', NULL, NULL, NULL, 1),
(7304, NULL, 'cd13916', NULL, NULL, 'CuRO_HCO_II_like_1', NULL, 'CuRO_HCO_II_like_1', NULL, NULL, NULL, 1),
(7305, NULL, 'cd06999', NULL, NULL, 'cupin_HpaA-like_N', NULL, 'cupin_HpaA-like_N', NULL, NULL, NULL, 1),
(7306, NULL, 'cd00150', NULL, NULL, 'PlantTI', NULL, 'PlantTI', NULL, NULL, 6711, 1),
(7307, NULL, 'cd18103', NULL, NULL, 'SpoU-like_RlmB', NULL, 'SpoU-like_RlmB', NULL, NULL, NULL, 1),
(7308, NULL, 'cd06328', NULL, NULL, 'PBP1_SBP-like', NULL, 'PBP1_SBP-like', NULL, NULL, NULL, 1),
(7309, NULL, 'cd05009', NULL, NULL, 'SIS_GlmS_GlmD_2', NULL, 'SIS_GlmS_GlmD_2', NULL, NULL, 36461, 1),
(7310, NULL, 'cd03267', NULL, NULL, 'ABC_NatA_like', NULL, 'ABC_NatA_like', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7311, NULL, 'cd14507', NULL, NULL, 'PTP-MTM-like', NULL, 'PTP-MTM-like', NULL, NULL, NULL, 1),
(7312, NULL, 'cd09537', NULL, NULL, 'SAM_CP2-like', NULL, 'SAM_CP2-like', NULL, NULL, NULL, 1),
(7313, NULL, 'cd12011', NULL, NULL, 'SH3_SLAP2', NULL, 'SH3_SLAP2', NULL, NULL, NULL, 1),
(7314, NULL, 'cd14237', NULL, NULL, 'GAT_TM1L1', NULL, 'GAT_TM1L1', NULL, NULL, NULL, 1),
(7315, NULL, 'cd07395', NULL, NULL, 'MPP_CSTP1', NULL, 'MPP_CSTP1', NULL, NULL, 33409, 1),
(7316, NULL, 'cd10032', NULL, NULL, 'UDG-F6_HDG', NULL, 'UDG-F6_HDG', NULL, NULL, NULL, 1),
(7317, NULL, 'cd06652', NULL, NULL, 'STKc_MEKK2', NULL, 'STKc_MEKK2', NULL, NULL, NULL, 1),
(7318, NULL, 'cd13843', NULL, NULL, 'Azurin_like', NULL, 'Azurin_like', NULL, NULL, NULL, 1),
(7319, NULL, 'cd15981', NULL, NULL, '7tmA_NPFFR1', NULL, '7tmA_NPFFR1', NULL, NULL, NULL, 1),
(7320, NULL, 'cd12415', NULL, NULL, 'RRM3_RBM28_like', NULL, 'RRM3_RBM28_like', NULL, NULL, NULL, 1),
(7321, NULL, 'cd11856', NULL, NULL, 'SH3_p47phox_like', NULL, 'SH3_p47phox_like', NULL, NULL, NULL, 1),
(7322, NULL, 'cd15877', NULL, NULL, 'SNARE_TSNARE1', NULL, 'SNARE_TSNARE1', NULL, NULL, NULL, 1),
(7323, NULL, 'cd04141', NULL, NULL, 'Rit_Rin_Ric', NULL, 'Rit_Rin_Ric', NULL, NULL, NULL, 1),
(7324, NULL, 'cd19919', NULL, NULL, 'REC_NtrC', NULL, 'REC_NtrC', NULL, NULL, NULL, 1),
(7325, NULL, 'cd07556', NULL, NULL, 'Nucleotidyl_cyc_III', NULL, 'Nucleotidyl_cyc_III', NULL, NULL, NULL, 1),
(7326, NULL, 'cd16152', NULL, NULL, 'sulfatase_like', NULL, 'sulfatase_like', NULL, NULL, NULL, 1),
(7327, NULL, 'cd07814', NULL, NULL, 'SRPBCC_CalC_Aha1-like', NULL, 'SRPBCC_CalC_Aha1-like', NULL, NULL, NULL, 1),
(7328, NULL, 'cd03677', NULL, NULL, 'MM_CoA_mutase_beta', NULL, 'MM_CoA_mutase_beta', NULL, NULL, NULL, 1),
(7329, NULL, 'cd04685', NULL, NULL, 'Nudix_Hydrolase_26', NULL, 'Nudix_Hydrolase_26', NULL, NULL, NULL, 1),
(7330, NULL, 'cd04907', NULL, NULL, 'ACT_ThrD-I_2', NULL, 'ACT_ThrD-I_2', NULL, NULL, NULL, 1),
(7331, NULL, 'cd15050', NULL, NULL, '7tmA_Histamine_H1R', NULL, '7tmA_Histamine_H1R', NULL, NULL, NULL, 1),
(7332, NULL, 'cd05639', NULL, NULL, 'M18', NULL, 'M18', NULL, NULL, NULL, 1),
(7333, NULL, 'cd15594', NULL, NULL, 'PHD2_KMT2C', NULL, 'PHD2_KMT2C', NULL, NULL, NULL, 1),
(7334, NULL, 'cd12757', NULL, NULL, 'RRM1_hnRNPAB', NULL, 'RRM1_hnRNPAB', NULL, NULL, 36250, 1),
(7335, NULL, 'cd19210', NULL, NULL, 'SET_NSD1', NULL, 'SET_NSD1', NULL, NULL, NULL, 1),
(7336, NULL, 'cd00429', NULL, NULL, 'RPE', NULL, 'RPE', NULL, NULL, 2971, 1),
(7337, NULL, 'cd04179', NULL, NULL, 'DPM_DPG-synthase_like', NULL, 'DPM_DPG-synthase_like', NULL, NULL, NULL, 1),
(7338, NULL, 'cd05631', NULL, NULL, 'STKc_GRK4', NULL, 'STKc_GRK4', NULL, NULL, NULL, 1),
(7339, NULL, 'cd04586', NULL, NULL, 'CBS_pair_BON_assoc', NULL, 'CBS_pair_BON_assoc', NULL, NULL, NULL, 1),
(7340, NULL, 'cd14458', NULL, NULL, 'DP_DD', NULL, 'DP_DD', NULL, NULL, 13190, 1),
(7341, NULL, 'cd11256', NULL, NULL, 'Sema_4A', NULL, 'Sema_4A', NULL, NULL, NULL, 1),
(7342, NULL, 'cd15257', NULL, NULL, '7tmB2_GPR128', NULL, '7tmB2_GPR128', NULL, NULL, NULL, 1),
(7343, NULL, 'cd03600', NULL, NULL, 'CLECT_thrombomodulin_like', NULL, 'CLECT_thrombomodulin_like', NULL, NULL, NULL, 1),
(7344, NULL, 'cd08494', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_6', NULL, 'PBP2_NikA_DppA_OppA_like_6', NULL, NULL, NULL, 1),
(7345, NULL, 'cd12751', NULL, NULL, 'RRM5_RBM12', NULL, 'RRM5_RBM12', NULL, NULL, 8737, 1),
(7346, NULL, 'cd06292', NULL, NULL, 'PBP1_AglR_RafR-like', NULL, 'PBP1_AglR_RafR-like', NULL, NULL, NULL, 1),
(7347, NULL, 'cd14206', NULL, NULL, 'PTKc_Aatyk3', NULL, 'PTKc_Aatyk3', NULL, NULL, NULL, 1),
(7348, NULL, 'cd14591', NULL, NULL, 'PTP-MTM1', NULL, 'PTP-MTM1', NULL, NULL, NULL, 1),
(7349, NULL, 'cd12303', NULL, NULL, 'RRM_spSet1p_like', NULL, 'RRM_spSet1p_like', NULL, NULL, NULL, 1),
(7350, NULL, 'cd06192', NULL, NULL, 'DHOD_e_trans_like', NULL, 'DHOD_e_trans_like', NULL, NULL, NULL, 1),
(7351, NULL, 'cd08955', NULL, NULL, 'KR_2_FAS_SDR_x', NULL, 'KR_2_FAS_SDR_x', NULL, NULL, NULL, 1),
(7352, NULL, 'cd15840', NULL, NULL, 'SNARE_Qa', NULL, 'SNARE_Qa', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7353, NULL, 'cd18362', NULL, NULL, 'BTB_POZ_KCTD2-like', NULL, 'BTB_POZ_KCTD2-like', NULL, NULL, NULL, 1),
(7354, NULL, 'cd06547', NULL, NULL, 'GH85_ENGase', NULL, 'GH85_ENGase', NULL, NULL, NULL, 1),
(7355, NULL, 'cd10281', NULL, NULL, 'Nape_like_AP-endo', NULL, 'Nape_like_AP-endo', NULL, NULL, NULL, 1),
(7356, NULL, 'cd14093', NULL, NULL, 'STKc_PhKG', NULL, 'STKc_PhKG', NULL, NULL, NULL, 1),
(7357, NULL, 'cd07138', NULL, NULL, 'ALDH_CddD_SSP0762', NULL, 'ALDH_CddD_SSP0762', NULL, NULL, NULL, 1),
(7358, NULL, 'cd15730', NULL, NULL, 'FYVE_EEA1', NULL, 'FYVE_EEA1', NULL, NULL, NULL, 1),
(7359, NULL, 'cd16178', NULL, NULL, 'EFh_HEF_SCGN', NULL, 'EFh_HEF_SCGN', NULL, NULL, 33579, 1),
(7360, NULL, 'cd16344', NULL, NULL, 'LMWPAP', NULL, 'LMWPAP', NULL, NULL, NULL, 1),
(7361, NULL, 'cd08641', NULL, NULL, 'DNA_pol_gammaA', NULL, 'DNA_pol_gammaA', NULL, NULL, NULL, 1),
(7362, NULL, 'cd10433', NULL, NULL, 'YccA_like', NULL, 'YccA_like', NULL, NULL, NULL, 1),
(7363, NULL, 'cd18062', NULL, NULL, 'DEXHc_SMARCA4', NULL, 'DEXHc_SMARCA4', NULL, NULL, NULL, 1),
(7364, NULL, 'cd05237', NULL, NULL, 'UDP_invert_4-6DH_SDR_e', NULL, 'UDP_invert_4-6DH_SDR_e', NULL, NULL, 4108, 1),
(7365, NULL, 'cd19854', NULL, NULL, 'DSRM_DHX9_rpt1', NULL, 'DSRM_DHX9_rpt1', NULL, NULL, 37857, 1),
(7366, NULL, 'cd02778', NULL, NULL, 'MopB_CT_Thiosulfate-R-like', NULL, 'MopB_CT_Thiosulfate-R-like', NULL, NULL, NULL, 1),
(7367, NULL, 'cd03017', NULL, NULL, 'PRX_BCP', NULL, 'PRX_BCP', NULL, NULL, NULL, 1),
(7368, NULL, 'cd11737', NULL, NULL, 'HSPA4_NBD', NULL, 'HSPA4_NBD', NULL, NULL, 32864, 1),
(7369, NULL, 'cd11748', NULL, NULL, 'GH94N_NdvB_like', NULL, 'GH94N_NdvB_like', NULL, NULL, 32119, 1),
(7370, NULL, 'cd17038', NULL, NULL, 'Flavi_M', NULL, 'Flavi_M', NULL, NULL, NULL, 1),
(7371, NULL, 'cd18617', NULL, NULL, 'GH43_XynB-like', NULL, 'GH43_XynB-like', NULL, NULL, NULL, 1),
(7372, NULL, 'cd01255', NULL, NULL, 'PH2_Tiam1_2', NULL, 'PH2_Tiam1_2', NULL, NULL, NULL, 1),
(7373, NULL, 'cd01896', NULL, NULL, 'DRG', NULL, 'DRG', NULL, NULL, 39223, 1),
(7374, NULL, 'cd15656', NULL, NULL, 'PHD4_NSD1', NULL, 'PHD4_NSD1', NULL, NULL, NULL, 1),
(7375, NULL, 'cd15103', NULL, NULL, '7tmA_MCR', NULL, '7tmA_MCR', NULL, NULL, NULL, 1),
(7376, NULL, 'cd08511', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_5', NULL, 'PBP2_NikA_DppA_OppA_like_5', NULL, NULL, NULL, 1),
(7377, NULL, 'cd09323', NULL, NULL, 'TDT_SLAC1_like', NULL, 'TDT_SLAC1_like', NULL, NULL, NULL, 1),
(7378, NULL, 'cd15817', NULL, NULL, 'SPRY_PRY_TRIM60_75', NULL, 'SPRY_PRY_TRIM60_75', NULL, NULL, NULL, 1),
(7379, NULL, 'cd16309', NULL, NULL, 'BJP-1-like_MBL-B3', NULL, 'BJP-1-like_MBL-B3', NULL, NULL, NULL, 1),
(7380, NULL, 'cd16029', NULL, NULL, '4-S', NULL, '4-S', NULL, NULL, NULL, 1),
(7381, NULL, 'cd11546', NULL, NULL, 'NTP-PPase_His4', NULL, 'NTP-PPase_His4', NULL, NULL, NULL, 1),
(7382, NULL, 'cd12838', NULL, NULL, 'Killer_toxin_alpha', NULL, 'Killer_toxin_alpha', NULL, NULL, NULL, 1),
(7383, NULL, 'cd09992', NULL, NULL, 'HDAC_classII', NULL, 'HDAC_classII', NULL, NULL, NULL, 1),
(7384, NULL, 'cd18771', NULL, NULL, 'PIN_Mut7-C-like', NULL, 'PIN_Mut7-C-like', NULL, NULL, NULL, 1),
(7385, NULL, 'cd02513', NULL, NULL, 'CMP-NeuAc_Synthase', NULL, 'CMP-NeuAc_Synthase', NULL, NULL, NULL, 1),
(7386, NULL, 'cd11749', NULL, NULL, 'GH94N_LBP_like', NULL, 'GH94N_LBP_like', NULL, NULL, NULL, 1),
(7387, NULL, 'cd12106', NULL, NULL, 'PARMER_03128_N', NULL, 'PARMER_03128_N', NULL, NULL, 32905, 1),
(7388, NULL, 'cd03229', NULL, NULL, 'ABC_Class3', NULL, 'ABC_Class3', NULL, NULL, NULL, 1),
(7389, NULL, 'cd03488', NULL, NULL, 'Topoisomer_IB_N_htopoI_like', NULL, 'Topoisomer_IB_N_htopoI_like', NULL, NULL, NULL, 1),
(7390, NULL, 'cd16209', NULL, NULL, 'EFh_PI-PLCbeta2', NULL, 'EFh_PI-PLCbeta2', NULL, NULL, NULL, 1),
(7391, NULL, 'cd03218', NULL, NULL, 'ABC_YhbG', NULL, 'ABC_YhbG', NULL, NULL, 23932, 1),
(7392, NULL, 'cd13598', NULL, NULL, 'PBP2_lipoprotein_IlpA_like', NULL, 'PBP2_lipoprotein_IlpA_like', NULL, NULL, NULL, 1),
(7393, NULL, 'cd15844', NULL, NULL, 'SNARE_syntaxin5', NULL, 'SNARE_syntaxin5', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7394, NULL, 'cd03129', NULL, NULL, 'GAT1_Peptidase_E_like', NULL, 'GAT1_Peptidase_E_like', NULL, NULL, NULL, 1),
(7395, NULL, 'cd12612', NULL, NULL, 'RRM2_SECp43', NULL, 'RRM2_SECp43', NULL, NULL, 17058, 1),
(7396, NULL, 'cd01095', NULL, NULL, 'Nitrilotriacetate_monoxgenase', NULL, 'Nitrilotriacetate_monoxgenase', NULL, NULL, 17190, 1),
(7397, NULL, 'cd19951', NULL, NULL, 'HyaA_family_Fer2_BFD-like', NULL, 'HyaA_family_Fer2_BFD-like', NULL, NULL, NULL, 1),
(7398, NULL, 'cd03430', NULL, NULL, 'GDPMH', NULL, 'GDPMH', NULL, NULL, 32821, 1),
(7399, NULL, 'cd13334', NULL, NULL, 'FERM_C_JAK3', NULL, 'FERM_C_JAK3', NULL, NULL, NULL, 1),
(7400, NULL, 'cd15630', NULL, NULL, 'PHD_BAZ2B', NULL, 'PHD_BAZ2B', NULL, NULL, NULL, 1),
(7401, NULL, 'cd15820', NULL, NULL, 'SPRY_PRY_BTN3', NULL, 'SPRY_PRY_BTN3', NULL, NULL, 33356, 1),
(7402, NULL, 'cd07990', NULL, NULL, 'LPLAT_LCLAT1-like', NULL, 'LPLAT_LCLAT1-like', NULL, NULL, NULL, 1),
(7403, NULL, 'cd13714', NULL, NULL, 'PBP2_iGluR_Kainate', NULL, 'PBP2_iGluR_Kainate', NULL, NULL, NULL, 1),
(7404, NULL, 'cd00021', NULL, NULL, 'Bbox_SF', NULL, 'Bbox_SF', NULL, NULL, NULL, 1),
(7405, NULL, 'cd03012', NULL, NULL, 'TlpA_like_DipZ_like', NULL, 'TlpA_like_DipZ_like', NULL, NULL, NULL, 1),
(7406, NULL, 'cd14881', NULL, NULL, 'MYSc_Myo20', NULL, 'MYSc_Myo20', NULL, NULL, 34459, 1),
(7407, NULL, 'cd18336', NULL, NULL, 'BTB_POZ_KLHL4', NULL, 'BTB_POZ_KLHL4', NULL, NULL, NULL, 1),
(7408, NULL, 'cd13699', NULL, NULL, 'PBP2_OccT_like', NULL, 'PBP2_OccT_like', NULL, NULL, NULL, 1),
(7409, NULL, 'cd17188', NULL, NULL, 'FERM_F1_FRMD7', NULL, 'FERM_F1_FRMD7', NULL, NULL, NULL, 1),
(7410, NULL, 'cd15200', NULL, NULL, '7tmA_OXER1', NULL, '7tmA_OXER1', NULL, NULL, NULL, 1),
(7411, NULL, 'cd01078', NULL, NULL, 'NAD_bind_H4MPT_DH', NULL, 'NAD_bind_H4MPT_DH', NULL, NULL, 19877, 1),
(7412, NULL, 'cd09673', NULL, NULL, 'Cas3_Cas2_I-F', NULL, 'Cas3_Cas2_I-F', NULL, NULL, NULL, 1),
(7413, NULL, 'cd18187', NULL, NULL, 'BTB_POZ_Kv_KCTD', NULL, 'BTB_POZ_Kv_KCTD', NULL, NULL, NULL, 1),
(7414, NULL, 'cd11514', NULL, NULL, 'SLC6sbd_DAT1', NULL, 'SLC6sbd_DAT1', NULL, NULL, NULL, 1),
(7415, NULL, 'cd15419', NULL, NULL, '7tmA_OR9K2-like', NULL, '7tmA_OR9K2-like', NULL, NULL, NULL, 1),
(7416, NULL, 'cd17951', NULL, NULL, 'DEADc_DDX41', NULL, 'DEADc_DDX41', NULL, NULL, 38044, 1),
(7417, NULL, 'cd03054', NULL, NULL, 'GST_N_Metaxin', NULL, 'GST_N_Metaxin', NULL, NULL, NULL, 1),
(7418, NULL, 'cd14494', NULL, NULL, 'PTP_DSP_cys', NULL, 'PTP_DSP_cys', NULL, NULL, NULL, 1),
(7419, NULL, 'cd03443', NULL, NULL, 'PaaI_thioesterase', NULL, 'PaaI_thioesterase', NULL, NULL, NULL, 1),
(7420, NULL, 'cd13303', NULL, NULL, 'PH1-like_Rtt106', NULL, 'PH1-like_Rtt106', NULL, NULL, NULL, 1),
(7421, NULL, 'cd09290', NULL, NULL, 'Photo-RC_L', NULL, 'Photo-RC_L', NULL, NULL, 6645, 1),
(7422, NULL, 'cd18711', NULL, NULL, 'PIN_VapC-like_DUF411', NULL, 'PIN_VapC-like_DUF411', NULL, NULL, NULL, 1),
(7423, NULL, 'cd02640', NULL, NULL, 'R3H_NRF', NULL, 'R3H_NRF', NULL, NULL, 13038, 1),
(7424, NULL, 'cd04917', NULL, NULL, 'ACT_AKiii-LysC-EC_2', NULL, 'ACT_AKiii-LysC-EC_2', NULL, NULL, NULL, 1),
(7425, NULL, 'cd10290', NULL, NULL, 'GST_C_MetRS_N_fungi', NULL, 'GST_C_MetRS_N_fungi', NULL, NULL, NULL, 1),
(7426, NULL, 'cd09405', NULL, NULL, 'LIM1_Paxillin', NULL, 'LIM1_Paxillin', NULL, NULL, NULL, 1),
(7427, NULL, 'cd20260', NULL, NULL, 'Myoregulin', NULL, 'Myoregulin', NULL, NULL, NULL, 1),
(7428, NULL, 'cd07212', NULL, NULL, 'Pat_PNPLA9', NULL, 'Pat_PNPLA9', NULL, NULL, NULL, 1),
(7429, NULL, 'cd02850', NULL, NULL, 'E_set_Cellulase_N', NULL, 'E_set_Cellulase_N', NULL, NULL, 2564, 1),
(7430, NULL, 'cd07083', NULL, NULL, 'ALDH_P5CDH', NULL, 'ALDH_P5CDH', NULL, NULL, NULL, 1),
(7431, NULL, 'cd16666', NULL, NULL, 'RING-H2_RNF43_like', NULL, 'RING-H2_RNF43_like', NULL, NULL, NULL, 1),
(7432, NULL, 'cd05856', NULL, NULL, 'Ig2_FGFRL1-like', NULL, 'Ig2_FGFRL1-like', NULL, NULL, NULL, 1),
(7433, NULL, 'cd07626', NULL, NULL, 'BAR_SNX9_like', NULL, 'BAR_SNX9_like', NULL, NULL, NULL, 1),
(7434, NULL, 'cd11785', NULL, NULL, 'SH3_SH3RF_C', NULL, 'SH3_SH3RF_C', NULL, NULL, 30630, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7435, NULL, 'cd08329', NULL, NULL, 'CARD_BIRC2_BIRC3', NULL, 'CARD_BIRC2_BIRC3', NULL, NULL, NULL, 1),
(7436, NULL, 'cd04604', NULL, NULL, 'CBS_pair_SIS_assoc', NULL, 'CBS_pair_SIS_assoc', NULL, NULL, NULL, 1),
(7437, NULL, 'cd15863', NULL, NULL, 'SNARE_GS27', NULL, 'SNARE_GS27', NULL, NULL, NULL, 1),
(7438, NULL, 'cd09757', NULL, NULL, 'Cas8c_I-C', NULL, 'Cas8c_I-C', NULL, NULL, NULL, 1),
(7439, NULL, 'cd14587', NULL, NULL, 'PTP-MTMR4', NULL, 'PTP-MTMR4', NULL, NULL, NULL, 1),
(7440, NULL, 'cd01438', NULL, NULL, 'tankyrase_like', NULL, 'tankyrase_like', NULL, NULL, NULL, 1),
(7441, NULL, 'cd01635', NULL, NULL, 'Glycosyltransferase_GTB-type', NULL, 'Glycosyltransferase_GTB-type', NULL, NULL, NULL, 1),
(7442, NULL, 'cd07798', NULL, NULL, 'FGGY_AI-2K_like', NULL, 'FGGY_AI-2K_like', NULL, NULL, NULL, 1),
(7443, NULL, 'cd16245', NULL, NULL, 'EFh_DAH', NULL, 'EFh_DAH', NULL, NULL, NULL, 1),
(7444, NULL, 'cd18377', NULL, NULL, 'BTB_POZ_Kv1_KCNA', NULL, 'BTB_POZ_Kv1_KCNA', NULL, NULL, NULL, 1),
(7445, NULL, 'cd09662', NULL, NULL, 'Csm5_III-A', NULL, 'Csm5_III-A', NULL, NULL, NULL, 1),
(7446, NULL, 'cd01878', NULL, NULL, 'HflX', NULL, 'HflX', NULL, NULL, 22511, 1),
(7447, NULL, 'cd15105', NULL, NULL, '7tmA_MrgprA', NULL, '7tmA_MrgprA', NULL, NULL, NULL, 1),
(7448, NULL, 'cd01542', NULL, NULL, 'PBP1_TreR-like', NULL, 'PBP1_TreR-like', NULL, NULL, NULL, 1),
(7449, NULL, 'cd16855', NULL, NULL, 'STAT5_CCD', NULL, 'STAT5_CCD', NULL, NULL, NULL, 1),
(7450, NULL, 'cd12416', NULL, NULL, 'RRM4_RBM28_like', NULL, 'RRM4_RBM28_like', NULL, NULL, NULL, 1),
(7451, NULL, 'cd17354', NULL, NULL, 'MFS_Mch1p_like', NULL, 'MFS_Mch1p_like', NULL, NULL, NULL, 1),
(7452, NULL, 'cd01223', NULL, NULL, 'PH_Vav', NULL, 'PH_Vav', NULL, NULL, 34150, 1),
(7453, NULL, 'cd03811', NULL, NULL, 'GT4_GT28_WabH-like', NULL, 'GT4_GT28_WabH-like', NULL, NULL, NULL, 1),
(7454, NULL, 'cd06597', NULL, NULL, 'GH31_transferase_CtsY', NULL, 'GH31_transferase_CtsY', NULL, NULL, NULL, 1),
(7455, NULL, 'cd11658', NULL, NULL, 'SANT_DMAP1_like', NULL, 'SANT_DMAP1_like', NULL, NULL, NULL, 1),
(7456, NULL, 'cd03151', NULL, NULL, 'CD81_like_LEL', NULL, 'CD81_like_LEL', NULL, NULL, NULL, 1),
(7457, NULL, 'cd13211', NULL, NULL, 'PH-GRAM_MTMR9', NULL, 'PH-GRAM_MTMR9', NULL, NULL, NULL, 1),
(7458, NULL, 'cd17641', NULL, NULL, 'LC_FACS_bac1', NULL, 'LC_FACS_bac1', NULL, NULL, NULL, 1),
(7459, NULL, 'cd17945', NULL, NULL, 'DEADc_DDX23', NULL, 'DEADc_DDX23', NULL, NULL, NULL, 1),
(7460, NULL, 'cd15996', NULL, NULL, '7tmB2_GPR126', NULL, '7tmB2_GPR126', NULL, NULL, NULL, 1),
(7461, NULL, 'cd19077', NULL, NULL, 'AKR_AKR8A1-2', NULL, 'AKR_AKR8A1-2', NULL, NULL, NULL, 1),
(7462, NULL, 'cd18305', NULL, NULL, 'BTB_POZ_GCL', NULL, 'BTB_POZ_GCL', NULL, NULL, NULL, 1),
(7463, NULL, 'cd05072', NULL, NULL, 'PTKc_Lyn', NULL, 'PTKc_Lyn', NULL, NULL, NULL, 1),
(7464, NULL, 'cd07215', NULL, NULL, 'Pat17_PNPLA8_PNPLA9_like2', NULL, 'Pat17_PNPLA8_PNPLA9_like2', NULL, NULL, NULL, 1),
(7465, NULL, 'cd04784', NULL, NULL, 'HTH_CadR-PbrR', NULL, 'HTH_CadR-PbrR', NULL, NULL, 13321, 1),
(7466, NULL, 'cd12287', NULL, NULL, 'RRM_U2AF35_like', NULL, 'RRM_U2AF35_like', NULL, NULL, NULL, 1),
(7467, NULL, 'cd03326', NULL, NULL, 'MR_like_1', NULL, 'MR_like_1', NULL, NULL, NULL, 1),
(7468, NULL, 'cd13155', NULL, NULL, 'KOW_KIN17', NULL, 'KOW_KIN17', NULL, NULL, 32819, 1),
(7469, NULL, 'cd16947', NULL, NULL, 'HATPase_YcbM-like', NULL, 'HATPase_YcbM-like', NULL, NULL, NULL, 1),
(7470, NULL, 'cd12791', NULL, NULL, 'RasGAP_plexin_B3', NULL, 'RasGAP_plexin_B3', NULL, NULL, NULL, 1),
(7471, NULL, 'cd00208', NULL, NULL, 'LbetaH', NULL, 'LbetaH', NULL, NULL, NULL, 1),
(7472, NULL, 'cd01811', NULL, NULL, 'Ubl1_OASL', NULL, 'Ubl1_OASL', NULL, NULL, NULL, 1),
(7473, NULL, 'cd14105', NULL, NULL, 'STKc_DAPK', NULL, 'STKc_DAPK', NULL, NULL, 38001, 1),
(7474, NULL, 'cd06167', NULL, NULL, 'PIN_LabA-like', NULL, 'PIN_LabA-like', NULL, NULL, NULL, 1),
(7475, NULL, 'cd00184', NULL, NULL, 'TNF', NULL, 'TNF', NULL, NULL, 2636, 1),
(7476, NULL, 'cd16603', NULL, NULL, 'RING-HC_TRIM43_like_C-IV', NULL, 'RING-HC_TRIM43_like_C-IV', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7477, NULL, 'cd01530', NULL, NULL, 'Cdc25', NULL, 'Cdc25', NULL, NULL, 4206, 1),
(7478, NULL, 'cd00036', NULL, NULL, 'ChtBD3', NULL, 'ChtBD3', NULL, NULL, NULL, 1),
(7479, NULL, 'cd18715', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(7480, NULL, 'cd13728', NULL, NULL, 'PBP2_iGluR_AMPA_GluR3', NULL, 'PBP2_iGluR_AMPA_GluR3', NULL, NULL, NULL, 1),
(7481, NULL, 'cd06542', NULL, NULL, 'GH18_EndoS-like', NULL, 'GH18_EndoS-like', NULL, NULL, NULL, 1),
(7482, NULL, 'cd15737', NULL, NULL, 'FYVE2_Vac1p_like', NULL, 'FYVE2_Vac1p_like', NULL, NULL, NULL, 1),
(7483, NULL, 'cd19584', NULL, NULL, 'serpinO_SPI-3_virus', NULL, 'serpinO_SPI-3_virus', NULL, NULL, NULL, 1),
(7484, NULL, 'cd02178', NULL, NULL, 'GH16_beta_agarase', NULL, 'GH16_beta_agarase', NULL, NULL, 19707, 1),
(7485, NULL, 'cd16640', NULL, NULL, 'RING-HC_TRAF3', NULL, 'RING-HC_TRAF3', NULL, NULL, NULL, 1),
(7486, NULL, 'cd01614', NULL, NULL, 'EutN_CcmL', NULL, 'EutN_CcmL', NULL, NULL, 697, 1),
(7487, NULL, 'cd12547', NULL, NULL, 'RRM1_2_PAR10', NULL, 'RRM1_2_PAR10', NULL, NULL, 30990, 1),
(7488, NULL, 'cd17068', NULL, NULL, 'RBD_PLEKHG5', NULL, 'RBD_PLEKHG5', NULL, NULL, NULL, 1),
(7489, NULL, 'cd17223', NULL, NULL, 'RA_RASSF6', NULL, 'RA_RASSF6', NULL, NULL, NULL, 1),
(7490, NULL, 'cd10369', NULL, NULL, 'SH2_Src_Frk', NULL, 'SH2_Src_Frk', NULL, NULL, 30062, 1),
(7491, NULL, 'cd12039', NULL, NULL, 'SH3_MPP3', NULL, 'SH3_MPP3', NULL, NULL, 30905, 1),
(7492, NULL, 'cd10153', NULL, NULL, 'RcnR-FrmR-like_DUF156', NULL, 'RcnR-FrmR-like_DUF156', NULL, NULL, NULL, 1),
(7493, NULL, 'cd12198', NULL, NULL, 'MELK_C', NULL, 'MELK_C', NULL, NULL, NULL, 1),
(7494, NULL, 'cd16774', NULL, NULL, 'RING-HC_RBR_ANKIB1', NULL, 'RING-HC_RBR_ANKIB1', NULL, NULL, NULL, 1),
(7495, NULL, 'cd14940', NULL, NULL, '7tmE_cAMP_R_Slime_mold', NULL, '7tmE_cAMP_R_Slime_mold', NULL, NULL, NULL, 1),
(7496, NULL, 'cd16004', NULL, NULL, '7tmA_SKR_NK2R', NULL, '7tmA_SKR_NK2R', NULL, NULL, NULL, 1),
(7497, NULL, 'cd05958', NULL, NULL, 'ABCL', NULL, 'ABCL', NULL, NULL, NULL, 1),
(7498, NULL, 'cd13141', NULL, NULL, 'MATE_like_13', NULL, 'MATE_like_13', NULL, NULL, NULL, 1),
(7499, NULL, 'cd18686', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(7500, NULL, 'cd09988', NULL, NULL, 'Formimidoylglutamase', NULL, 'Formimidoylglutamase', NULL, NULL, NULL, 1),
(7501, NULL, 'cd00945', NULL, NULL, 'Aldolase_Class_I', NULL, 'Aldolase_Class_I', NULL, NULL, NULL, 1),
(7502, NULL, 'cd01728', NULL, NULL, 'LSm1', NULL, 'LSm1', NULL, NULL, 2927, 1),
(7503, NULL, 'cd05810', NULL, NULL, 'CBM20_alpha_MTH', NULL, 'CBM20_alpha_MTH', NULL, NULL, NULL, 1),
(7504, NULL, 'cd11442', NULL, NULL, 'bHLH_AtPRE_like', NULL, 'bHLH_AtPRE_like', NULL, NULL, NULL, 1),
(7505, NULL, 'cd10402', NULL, NULL, 'SH2_C-SH2_Zap70', NULL, 'SH2_C-SH2_Zap70', NULL, NULL, NULL, 1),
(7506, NULL, 'cd13129', NULL, NULL, 'MATE_epsE_like', NULL, 'MATE_epsE_like', NULL, NULL, NULL, 1),
(7507, NULL, 'cd15605', NULL, NULL, 'PHD1_Lid_like', NULL, 'PHD1_Lid_like', NULL, NULL, NULL, 1),
(7508, NULL, 'cd17535', NULL, NULL, 'REC_NarL-like', NULL, 'REC_NarL-like', NULL, NULL, NULL, 1),
(7509, NULL, 'cd13117', NULL, NULL, 'POLO_box_2', NULL, 'POLO_box_2', NULL, NULL, 35558, 1),
(7510, NULL, 'cd07758', NULL, NULL, 'ThTPase', NULL, 'ThTPase', NULL, NULL, 7234, 1),
(7511, NULL, 'cd11866', NULL, NULL, 'SH3_SKAP1-like', NULL, 'SH3_SKAP1-like', NULL, NULL, NULL, 1),
(7512, NULL, 'cd12392', NULL, NULL, 'RRM2_SART3', NULL, 'RRM2_SART3', NULL, NULL, 21765, 1),
(7513, NULL, 'cd07720', NULL, NULL, 'OPHC2-like_MBL-fold', NULL, 'OPHC2-like_MBL-fold', NULL, NULL, NULL, 1),
(7514, NULL, 'cd11270', NULL, NULL, 'Sema_6E', NULL, 'Sema_6E', NULL, NULL, NULL, 1),
(7515, NULL, 'cd06314', NULL, NULL, 'PBP1_tmGBP', NULL, 'PBP1_tmGBP', NULL, NULL, NULL, 1),
(7516, NULL, 'cd07654', NULL, NULL, 'F-BAR_FCHSD', NULL, 'F-BAR_FCHSD', NULL, NULL, NULL, 1),
(7517, NULL, 'cd00273', NULL, NULL, 'Chemokine_CXC', NULL, 'Chemokine_CXC', NULL, NULL, 29076, 1),
(7518, NULL, 'cd01844', NULL, NULL, 'SGNH_hydrolase_like_6', NULL, 'SGNH_hydrolase_like_6', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7519, NULL, 'cd19088', NULL, NULL, 'AKR_AKR13B1', NULL, 'AKR_AKR13B1', NULL, NULL, NULL, 1),
(7520, NULL, 'cd05191', NULL, NULL, 'NAD_bind_amino_acid_DH', NULL, 'NAD_bind_amino_acid_DH', NULL, NULL, NULL, 1),
(7521, NULL, 'cd14284', NULL, NULL, 'UBA_GAWKY', NULL, 'UBA_GAWKY', NULL, NULL, 32899, 1),
(7522, NULL, 'cd03799', NULL, NULL, 'GT4_AmsK-like', NULL, 'GT4_AmsK-like', NULL, NULL, NULL, 1),
(7523, NULL, 'cd16279', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, NULL, 1),
(7524, NULL, 'cd09972', NULL, NULL, 'LOTUS_TDRD_OSKAR', NULL, 'LOTUS_TDRD_OSKAR', NULL, NULL, NULL, 1),
(7525, NULL, 'cd11504', NULL, NULL, 'SLC5sbd_SMVT', NULL, 'SLC5sbd_SMVT', NULL, NULL, NULL, 1),
(7526, NULL, 'cd13328', NULL, NULL, 'PH1_FDG_family', NULL, 'PH1_FDG_family', NULL, NULL, NULL, 1),
(7527, NULL, 'cd11757', NULL, NULL, 'SH3_SH3BP4', NULL, 'SH3_SH3BP4', NULL, NULL, 20668, 1),
(7528, NULL, 'cd21160', NULL, NULL, 'NendoU_av_Nsp11-like', NULL, 'NendoU_av_Nsp11-like', NULL, NULL, 38753, 1),
(7529, NULL, 'cd03734', NULL, NULL, 'SOCS_CIS1', NULL, 'SOCS_CIS1', NULL, NULL, NULL, 1),
(7530, NULL, 'cd00603', NULL, NULL, 'IPT_PCSR', NULL, 'IPT_PCSR', NULL, NULL, NULL, 1),
(7531, NULL, 'cd01919', NULL, NULL, 'PEPCK', NULL, 'PEPCK', NULL, NULL, NULL, 1),
(7532, NULL, 'cd12226', NULL, NULL, 'RRM_NOL8', NULL, 'RRM_NOL8', NULL, NULL, 10444, 1),
(7533, NULL, 'cd10016', NULL, NULL, 'EcoRII_N', NULL, 'EcoRII_N', NULL, NULL, NULL, 1),
(7534, NULL, 'cd18210', NULL, NULL, 'BTB_POZ_ZBTB22_BING1', NULL, 'BTB_POZ_ZBTB22_BING1', NULL, NULL, NULL, 1),
(7535, NULL, 'cd02247', NULL, NULL, 'cupin_pirin_C', NULL, 'cupin_pirin_C', NULL, NULL, NULL, 1),
(7536, NULL, 'cd10320', NULL, NULL, 'RGL4_N', NULL, 'RGL4_N', NULL, NULL, NULL, 1),
(7537, NULL, 'cd01773', NULL, NULL, 'UBX_UBXN7', NULL, 'UBX_UBXN7', NULL, NULL, NULL, 1),
(7538, NULL, 'cd08950', NULL, NULL, 'KR_fFAS_SDR_c_like', NULL, 'KR_fFAS_SDR_c_like', NULL, NULL, NULL, 1),
(7539, NULL, 'cd13679', NULL, NULL, 'PBP2_TRAP_YiaO_like', NULL, 'PBP2_TRAP_YiaO_like', NULL, NULL, NULL, 1),
(7540, NULL, 'cd02843', NULL, NULL, 'PAZ_dicer_like', NULL, 'PAZ_dicer_like', NULL, NULL, NULL, 1),
(7541, NULL, 'cd03866', NULL, NULL, 'M14_CPM', NULL, 'M14_CPM', NULL, NULL, 34371, 1),
(7542, NULL, 'cd08294', NULL, NULL, 'leukotriene_B4_DH_like', NULL, 'leukotriene_B4_DH_like', NULL, NULL, 8594, 1),
(7543, NULL, 'cd00119', NULL, NULL, 'LYZ', NULL, 'LYZ', NULL, NULL, NULL, 1),
(7544, NULL, 'cd03385', NULL, NULL, 'PAP2_BcrC_like', NULL, 'PAP2_BcrC_like', NULL, NULL, 31729, 1),
(7545, NULL, 'cd02066', NULL, NULL, 'GRX_family', NULL, 'GRX_family', NULL, NULL, NULL, 1),
(7546, NULL, 'cd12546', NULL, NULL, 'RRM_RBM43', NULL, 'RRM_RBM43', NULL, NULL, NULL, 1),
(7547, NULL, 'cd18534', NULL, NULL, 'DSP_plant_IBR5-like', NULL, 'DSP_plant_IBR5-like', NULL, NULL, NULL, 1),
(7548, NULL, 'cd13953', NULL, NULL, '7tm_classC_mGluR-like', NULL, '7tm_classC_mGluR-like', NULL, NULL, NULL, 1),
(7549, NULL, 'cd00202', NULL, NULL, 'ZnF_GATA', NULL, 'ZnF_GATA', NULL, NULL, 3540, 1),
(7550, NULL, 'cd09029', NULL, NULL, 'ArfGap_ArfGap2', NULL, 'ArfGap_ArfGap2', NULL, NULL, NULL, 1),
(7551, NULL, 'cd16255', NULL, NULL, 'EFh_parvalbumin_beta', NULL, 'EFh_parvalbumin_beta', NULL, NULL, NULL, 1),
(7552, NULL, 'cd16386', NULL, NULL, 'TcpC_N', NULL, 'TcpC_N', NULL, NULL, NULL, 1),
(7553, NULL, 'cd15183', NULL, NULL, '7tmA_CCR1', NULL, '7tmA_CCR1', NULL, NULL, NULL, 1),
(7554, NULL, 'cd00795', NULL, NULL, 'NOS_oxygenase_euk', NULL, 'NOS_oxygenase_euk', NULL, NULL, NULL, 1),
(7555, NULL, 'cd01457', NULL, NULL, 'vWA_ORF176_type', NULL, 'vWA_ORF176_type', NULL, NULL, NULL, 1),
(7556, NULL, 'cd16203', NULL, NULL, 'EFh_PI-PLCepsilon', NULL, 'EFh_PI-PLCepsilon', NULL, NULL, NULL, 1),
(7557, NULL, 'cd08470', NULL, NULL, 'PBP2_CrgA_like_1', NULL, 'PBP2_CrgA_like_1', NULL, NULL, NULL, 1),
(7558, NULL, 'cd05573', NULL, NULL, 'STKc_ROCK_NDR_like', NULL, 'STKc_ROCK_NDR_like', NULL, NULL, NULL, 1),
(7559, NULL, 'cd18677', NULL, NULL, 'PIN_MjVapC2-VapC6_like', NULL, 'PIN_MjVapC2-VapC6_like', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7560, NULL, 'cd00465', NULL, NULL, 'URO-D_CIMS_like', NULL, 'URO-D_CIMS_like', NULL, NULL, NULL, 1),
(7561, NULL, 'cd11809', NULL, NULL, 'SH3_srGAP', NULL, 'SH3_srGAP', NULL, NULL, NULL, 1),
(7562, NULL, 'cd11409', NULL, NULL, 'bHLH-O_DEC', NULL, 'bHLH-O_DEC', NULL, NULL, NULL, 1),
(7563, NULL, 'cd15669', NULL, NULL, 'ePHD_PHF7_G2E3_like', NULL, 'ePHD_PHF7_G2E3_like', NULL, NULL, 32985, 1),
(7564, NULL, 'cd10412', NULL, NULL, 'SH2_SH2B3', NULL, 'SH2_SH2B3', NULL, NULL, 17263, 1),
(7565, NULL, 'cd17660', NULL, NULL, 'PTP_paladin_2', NULL, 'PTP_paladin_2', NULL, NULL, NULL, 1),
(7566, NULL, 'cd06130', NULL, NULL, 'DNA_pol_III_epsilon_like', NULL, 'DNA_pol_III_epsilon_like', NULL, NULL, NULL, 1),
(7567, NULL, 'cd05722', NULL, NULL, 'Ig1_Neogenin', NULL, 'Ig1_Neogenin', NULL, NULL, NULL, 1),
(7568, NULL, 'cd17999', NULL, NULL, 'DEXHc_Mot1', NULL, 'DEXHc_Mot1', NULL, NULL, 37233, 1),
(7569, NULL, 'cd18079', NULL, NULL, 'S-AdoMet_synt', NULL, 'S-AdoMet_synt', NULL, NULL, NULL, 1),
(7570, NULL, 'cd09626', NULL, NULL, 'DOMON_glucodextranase_like', NULL, 'DOMON_glucodextranase_like', NULL, NULL, NULL, 1),
(7571, NULL, 'cd00283', NULL, NULL, 'GIY-YIG_Cterm', NULL, 'GIY-YIG_Cterm', NULL, NULL, NULL, 1),
(7572, NULL, 'cd16535', NULL, NULL, 'RING-HC_RNF8', NULL, 'RING-HC_RNF8', NULL, NULL, NULL, 1),
(7573, NULL, 'cd11556', NULL, NULL, 'SLC6sbd_SERT-like_u1', NULL, 'SLC6sbd_SERT-like_u1', NULL, NULL, NULL, 1),
(7574, NULL, 'cd09218', NULL, NULL, 'TLP-PA', NULL, 'TLP-PA', NULL, NULL, NULL, 1),
(7575, NULL, 'cd16779', NULL, NULL, 'mRING-HC-C3HC3D_LNX1', NULL, 'mRING-HC-C3HC3D_LNX1', NULL, NULL, NULL, 1),
(7576, NULL, 'cd14980', NULL, NULL, '7tmA_Glycoprotein_LRR_R-like', NULL, '7tmA_Glycoprotein_LRR_R-like', NULL, NULL, NULL, 1),
(7577, NULL, 'cd11795', NULL, NULL, 'SH3_DNMBP_N2', NULL, 'SH3_DNMBP_N2', NULL, NULL, 30520, 1),
(7578, NULL, 'cd14439', NULL, NULL, 'AlgX_N_like', NULL, 'AlgX_N_like', NULL, NULL, NULL, 1),
(7579, NULL, 'cd08793', NULL, NULL, 'Death_IRAK4', NULL, 'Death_IRAK4', NULL, NULL, 29112, 1),
(7580, NULL, 'cd19950', NULL, NULL, 'Fer2_BFD-like', NULL, 'Fer2_BFD-like', NULL, NULL, NULL, 1),
(7581, NULL, 'cd00168', NULL, NULL, 'CAP', NULL, 'CAP', NULL, NULL, NULL, 1),
(7582, NULL, 'cd01991', NULL, NULL, 'Asn_Synthase_B_C', NULL, 'Asn_Synthase_B_C', NULL, NULL, 2287, 1),
(7583, NULL, 'cd06931', NULL, NULL, 'NR_LBD_HNF4_like', NULL, 'NR_LBD_HNF4_like', NULL, NULL, NULL, 1),
(7584, NULL, 'cd11908', NULL, NULL, 'SH3_ITK', NULL, 'SH3_ITK', NULL, NULL, 36139, 1),
(7585, NULL, 'cd19132', NULL, NULL, 'AKR_AKR5D1_E1', NULL, 'AKR_AKR5D1_E1', NULL, NULL, NULL, 1),
(7586, NULL, 'cd14720', NULL, NULL, 'bZIP_NFE2-like', NULL, 'bZIP_NFE2-like', NULL, NULL, NULL, 1),
(7587, NULL, 'cd04337', NULL, NULL, 'Rieske_RO_Alpha_Cao', NULL, 'Rieske_RO_Alpha_Cao', NULL, NULL, NULL, 1),
(7588, NULL, 'cd17717', NULL, NULL, 'BRCT_DNA_ligase_IV_rpt2', NULL, 'BRCT_DNA_ligase_IV_rpt2', NULL, NULL, NULL, 1),
(7589, NULL, 'cd14393', NULL, NULL, 'UBA_c-Cbl', NULL, 'UBA_c-Cbl', NULL, NULL, NULL, 1),
(7590, NULL, 'cd19747', NULL, NULL, 'bHLH_TS_ASCL5', NULL, 'bHLH_TS_ASCL5', NULL, NULL, NULL, 1),
(7591, NULL, 'cd08363', NULL, NULL, 'FosB', NULL, 'FosB', NULL, NULL, NULL, 1),
(7592, NULL, 'cd01673', NULL, NULL, 'dNK', NULL, 'dNK', NULL, NULL, 25555, 1),
(7593, NULL, 'cd02863', NULL, NULL, 'Ubiquinol_oxidase_III', NULL, 'Ubiquinol_oxidase_III', NULL, NULL, 35250, 1),
(7594, NULL, 'cd21663', NULL, NULL, 'ORF7a_SARS-CoV-like', NULL, 'ORF7a_SARS-CoV-like', NULL, NULL, NULL, 1),
(7595, NULL, 'cd08362', NULL, NULL, 'BphC5-RrK37_N_like', NULL, 'BphC5-RrK37_N_like', NULL, NULL, NULL, 1),
(7596, NULL, 'cd01558', NULL, NULL, 'D-AAT_like', NULL, 'D-AAT_like', NULL, NULL, NULL, 1),
(7597, NULL, 'cd17513', NULL, NULL, 'RMtype1_S_AveSPN6ORF1907P_TRD2-CR2_like', NULL, 'RMtype1_S_AveSPN6ORF1907P_TRD2-CR2_like', NULL, NULL, NULL, 1),
(7598, NULL, 'cd07887', NULL, NULL, 'RHD-n_Dorsal_Dif', NULL, 'RHD-n_Dorsal_Dif', NULL, NULL, NULL, 1),
(7599, NULL, 'cd00891', NULL, NULL, 'PI3Kc', NULL, 'PI3Kc', NULL, NULL, 20884, 1),
(7600, NULL, 'cd01238', NULL, NULL, 'PH_Btk', NULL, 'PH_Btk', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7601, NULL, 'cd04166', NULL, NULL, 'CysN_ATPS', NULL, 'CysN_ATPS', NULL, NULL, 34268, 1),
(7602, NULL, 'cd00242', NULL, NULL, 'Ecotin', NULL, 'Ecotin', NULL, NULL, 15871, 1),
(7603, NULL, 'cd05802', NULL, NULL, 'GlmM', NULL, 'GlmM', NULL, NULL, 4511, 1),
(7604, NULL, 'cd14397', NULL, NULL, 'UBA_LATS1', NULL, 'UBA_LATS1', NULL, NULL, NULL, 1),
(7605, NULL, 'cd11388', NULL, NULL, 'bHLH_ScINO2_like', NULL, 'bHLH_ScINO2_like', NULL, NULL, NULL, 1),
(7606, NULL, 'cd03692', NULL, NULL, 'mtIF2_IVc', NULL, 'mtIF2_IVc', NULL, NULL, NULL, 1),
(7607, NULL, 'cd16280', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, NULL, 1),
(7608, NULL, 'cd14088', NULL, NULL, 'STKc_CaMK_like', NULL, 'STKc_CaMK_like', NULL, NULL, NULL, 1),
(7609, NULL, 'cd12654', NULL, NULL, 'RRM3_HuB', NULL, 'RRM3_HuB', NULL, NULL, 11257, 1),
(7610, NULL, 'cd04175', NULL, NULL, 'Rap1', NULL, 'Rap1', NULL, NULL, 33120, 1),
(7611, NULL, 'cd02697', NULL, NULL, 'M20_like', NULL, 'M20_like', NULL, NULL, NULL, 1),
(7612, NULL, 'cd17958', NULL, NULL, 'DEADc_DDX43_DDX53', NULL, 'DEADc_DDX43_DDX53', NULL, NULL, NULL, 1),
(7613, NULL, 'cd05714', NULL, NULL, 'Ig_CSPGs_LP', NULL, 'Ig_CSPGs_LP', NULL, NULL, NULL, 1),
(7614, NULL, 'cd05040', NULL, NULL, 'PTKc_Ack_like', NULL, 'PTKc_Ack_like', NULL, NULL, NULL, 1),
(7615, NULL, 'cd14018', NULL, NULL, 'STKc_PINK1', NULL, 'STKc_PINK1', NULL, NULL, 29657, 1),
(7616, NULL, 'cd10539', NULL, NULL, 'SET_ATXR5_6-like', NULL, 'SET_ATXR5_6-like', NULL, NULL, NULL, 1),
(7617, NULL, 'cd09768', NULL, NULL, 'Luminal_EIF2AK3', NULL, 'Luminal_EIF2AK3', NULL, NULL, NULL, 1),
(7618, NULL, 'cd14163', NULL, NULL, 'STKc_TSSK3-like', NULL, 'STKc_TSSK3-like', NULL, NULL, 38364, 1),
(7619, NULL, 'cd05485', NULL, NULL, 'Cathepsin_D_like', NULL, 'Cathepsin_D_like', NULL, NULL, 23923, 1),
(7620, NULL, 'cd09259', NULL, NULL, 'AP-1_Mu1B_Cterm', NULL, 'AP-1_Mu1B_Cterm', NULL, NULL, NULL, 1),
(7621, NULL, 'cd09155', NULL, NULL, 'PLDc_PaCLS_like_1', NULL, 'PLDc_PaCLS_like_1', NULL, NULL, NULL, 1),
(7622, NULL, 'cd16610', NULL, NULL, 'RING-HC_TRIM68_C-IV', NULL, 'RING-HC_TRIM68_C-IV', NULL, NULL, 38072, 1),
(7623, NULL, 'cd13149', NULL, NULL, 'MATE_like_2', NULL, 'MATE_like_2', NULL, NULL, NULL, 1),
(7624, NULL, 'cd07550', NULL, NULL, 'P-type_ATPase_HM', NULL, 'P-type_ATPase_HM', NULL, NULL, NULL, 1),
(7625, NULL, 'cd07109', NULL, NULL, 'ALDH_AAS00426', NULL, 'ALDH_AAS00426', NULL, NULL, NULL, 1),
(7626, NULL, 'cd18499', NULL, NULL, 'BACK_RHOBTB', NULL, 'BACK_RHOBTB', NULL, NULL, NULL, 1),
(7627, NULL, 'cd13262', NULL, NULL, 'PH_RasSynGAP-like', NULL, 'PH_RasSynGAP-like', NULL, NULL, NULL, 1),
(7628, NULL, 'cd05132', NULL, NULL, 'RasGAP_GAPA', NULL, 'RasGAP_GAPA', NULL, NULL, NULL, 1),
(7629, NULL, 'cd00565', NULL, NULL, 'Ubl_ThiS', NULL, 'Ubl_ThiS', NULL, NULL, NULL, 1),
(7630, NULL, 'cd15641', NULL, NULL, 'PHD_PHF2', NULL, 'PHD_PHF2', NULL, NULL, NULL, 1),
(7631, NULL, 'cd02853', NULL, NULL, 'E_set_MTHase_like_N', NULL, 'E_set_MTHase_like_N', NULL, NULL, NULL, 1),
(7632, NULL, 'cd05570', NULL, NULL, 'STKc_PKC', NULL, 'STKc_PKC', NULL, NULL, NULL, 1),
(7633, NULL, 'cd15760', NULL, NULL, 'FYVE_scVPS27p_like', NULL, 'FYVE_scVPS27p_like', NULL, NULL, NULL, 1),
(7634, NULL, 'cd13156', NULL, NULL, 'KOW_RPL6', NULL, 'KOW_RPL6', NULL, NULL, 32574, 1),
(7635, NULL, 'cd01937', NULL, NULL, 'ribokinase_group_D', NULL, 'ribokinase_group_D', NULL, NULL, 16392, 1),
(7636, NULL, 'cd10960', NULL, NULL, 'CE4_NodB_like_1', NULL, 'CE4_NodB_like_1', NULL, NULL, NULL, 1),
(7637, NULL, 'cd16875', NULL, NULL, 'ARID_KDM5C_5D', NULL, 'ARID_KDM5C_5D', NULL, NULL, NULL, 1),
(7638, NULL, 'cd05236', NULL, NULL, 'FAR-N_SDR_e', NULL, 'FAR-N_SDR_e', NULL, NULL, NULL, 1),
(7639, NULL, 'cd06223', NULL, NULL, 'PRTases_typeI', NULL, 'PRTases_typeI', NULL, NULL, 4701, 1),
(7640, NULL, 'cd04951', NULL, NULL, 'GT4_WbdM_like', NULL, 'GT4_WbdM_like', NULL, NULL, NULL, 1),
(7641, NULL, 'cd11906', NULL, NULL, 'SH3_BTK', NULL, 'SH3_BTK', NULL, NULL, 31048, 1),
(7642, NULL, 'cd00554', NULL, NULL, 'MECDP_synthase', NULL, 'MECDP_synthase', NULL, NULL, 6289, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7643, NULL, 'cd05113', NULL, NULL, 'PTKc_Btk_Bmx', NULL, 'PTKc_Btk_Bmx', NULL, NULL, NULL, 1),
(7644, NULL, 'cd15260', NULL, NULL, '7tmB1_NPR_B4_insect-like', NULL, '7tmB1_NPR_B4_insect-like', NULL, NULL, NULL, 1),
(7645, NULL, 'cd20258', NULL, NULL, 'Tal_Pri', NULL, 'Tal_Pri', NULL, NULL, NULL, 1),
(7646, NULL, 'cd15281', NULL, NULL, '7tmC_GPRC6A', NULL, '7tmC_GPRC6A', NULL, NULL, NULL, 1),
(7647, NULL, 'cd08790', NULL, NULL, 'DED_DEDD', NULL, 'DED_DEDD', NULL, NULL, NULL, 1),
(7648, NULL, 'cd12648', NULL, NULL, 'RRM3_UHM_PUF60', NULL, 'RRM3_UHM_PUF60', NULL, NULL, 21587, 1),
(7649, NULL, 'cd09664', NULL, NULL, 'Cas6_I-E', NULL, 'Cas6_I-E', NULL, NULL, NULL, 1),
(7650, NULL, 'cd12899', NULL, NULL, 'SPRY_PRY_TRIM76_like', NULL, 'SPRY_PRY_TRIM76_like', NULL, NULL, NULL, 1),
(7651, NULL, 'cd17964', NULL, NULL, 'DEADc_MSS116', NULL, 'DEADc_MSS116', NULL, NULL, NULL, 1),
(7652, NULL, 'cd08317', NULL, NULL, 'Death_ank', NULL, 'Death_ank', NULL, NULL, NULL, 1),
(7653, NULL, 'cd08851', NULL, NULL, 'ArfGap_ACAP2', NULL, 'ArfGap_ACAP2', NULL, NULL, NULL, 1),
(7654, NULL, 'cd12227', NULL, NULL, 'RRM_SCAF4_SCAF8', NULL, 'RRM_SCAF4_SCAF8', NULL, NULL, NULL, 1),
(7655, NULL, 'cd15479', NULL, NULL, 'fMyo4p_CBD', NULL, 'fMyo4p_CBD', NULL, NULL, NULL, 1),
(7656, NULL, 'cd10919', NULL, NULL, 'CE4_CDA_like', NULL, 'CE4_CDA_like', NULL, NULL, NULL, 1),
(7657, NULL, 'cd01757', NULL, NULL, 'PLAT_RAB6IP1', NULL, 'PLAT_RAB6IP1', NULL, NULL, NULL, 1),
(7658, NULL, 'cd04391', NULL, NULL, 'RhoGAP_ARHGAP18', NULL, 'RhoGAP_ARHGAP18', NULL, NULL, NULL, 1),
(7659, NULL, 'cd07068', NULL, NULL, 'NR_LBD_ER_like', NULL, 'NR_LBD_ER_like', NULL, NULL, NULL, 1),
(7660, NULL, 'cd13326', NULL, NULL, 'PH_CNK_insect-like', NULL, 'PH_CNK_insect-like', NULL, NULL, NULL, 1),
(7661, NULL, 'cd01228', NULL, NULL, 'PH_BCR-related', NULL, 'PH_BCR-related', NULL, NULL, NULL, 1),
(7662, NULL, 'cd08528', NULL, NULL, 'STKc_Nek10', NULL, 'STKc_Nek10', NULL, NULL, 38162, 1),
(7663, NULL, 'cd01344', NULL, NULL, 'PL2_Passenger_AT', NULL, 'PL2_Passenger_AT', NULL, NULL, 39637, 1),
(7664, NULL, 'cd19189', NULL, NULL, 'PR-SET_PRDM4', NULL, 'PR-SET_PRDM4', NULL, NULL, 38949, 1),
(7665, NULL, 'cd09856', NULL, NULL, 'PIN_FEN1-like', NULL, 'PIN_FEN1-like', NULL, NULL, NULL, 1),
(7666, NULL, 'cd04197', NULL, NULL, 'eIF-2B_epsilon_N', NULL, 'eIF-2B_epsilon_N', NULL, NULL, 34828, 1),
(7667, NULL, 'cd05621', NULL, NULL, 'STKc_ROCK2', NULL, 'STKc_ROCK2', NULL, NULL, NULL, 1),
(7668, NULL, 'cd09849', NULL, NULL, 'M20_Acy1L2-like', NULL, 'M20_Acy1L2-like', NULL, NULL, NULL, 1),
(7669, NULL, 'cd15684', NULL, NULL, 'PHD_ING4', NULL, 'PHD_ING4', NULL, NULL, NULL, 1),
(7670, NULL, 'cd04047', NULL, NULL, 'C2B_Copine', NULL, 'C2B_Copine', NULL, NULL, 30021, 1),
(7671, NULL, 'cd07617', NULL, NULL, 'BAR_Endophilin_B2', NULL, 'BAR_Endophilin_B2', NULL, NULL, NULL, 1),
(7672, NULL, 'cd11875', NULL, NULL, 'SH3_CD2AP-like_3', NULL, 'SH3_CD2AP-like_3', NULL, NULL, NULL, 1),
(7673, NULL, 'cd17500', NULL, NULL, 'RMtype1_S_MmaGORF2198P_TRD1-CR1_like', NULL, 'RMtype1_S_MmaGORF2198P_TRD1-CR1_like', NULL, NULL, NULL, 1),
(7674, NULL, 'cd14515', NULL, NULL, 'DUSP3-like', NULL, 'DUSP3-like', NULL, NULL, NULL, 1),
(7675, NULL, 'cd17874', NULL, NULL, 'FtsY', NULL, 'FtsY', NULL, NULL, NULL, 1),
(7676, NULL, 'cd14998', NULL, NULL, '7tmA_GPR153_GPR162-like', NULL, '7tmA_GPR153_GPR162-like', NULL, NULL, NULL, 1),
(7677, NULL, 'cd04319', NULL, NULL, 'PhAsnRS_like_N', NULL, 'PhAsnRS_like_N', NULL, NULL, NULL, 1),
(7678, NULL, 'cd05067', NULL, NULL, 'PTKc_Lck_Blk', NULL, 'PTKc_Lck_Blk', NULL, NULL, NULL, 1),
(7679, NULL, 'cd10299', NULL, NULL, 'GST_C_CLIC3', NULL, 'GST_C_CLIC3', NULL, NULL, NULL, 1),
(7680, NULL, 'cd15731', NULL, NULL, 'FYVE_LST2', NULL, 'FYVE_LST2', NULL, NULL, 37906, 1),
(7681, NULL, 'cd14660', NULL, NULL, 'E2F_DD', NULL, 'E2F_DD', NULL, NULL, 25282, 1),
(7682, NULL, 'cd04130', NULL, NULL, 'Wrch_1', NULL, 'Wrch_1', NULL, NULL, NULL, 1),
(7683, NULL, 'cd14689', NULL, NULL, 'bZIP_CREB3', NULL, 'bZIP_CREB3', NULL, NULL, NULL, 1),
(7684, NULL, 'cd12482', NULL, NULL, 'RRM1_hnRNPR', NULL, 'RRM1_hnRNPR', NULL, NULL, 16683, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7685, NULL, 'cd11321', NULL, NULL, 'AmyAc_bac_euk_BE', NULL, 'AmyAc_bac_euk_BE', NULL, NULL, NULL, 1),
(7686, NULL, 'cd08048', NULL, NULL, 'TAF11', NULL, 'TAF11', NULL, NULL, 3750, 1),
(7687, NULL, 'cd10023', NULL, NULL, '14-3-3_theta', NULL, '14-3-3_theta', NULL, NULL, 38282, 1),
(7688, NULL, 'cd00265', NULL, NULL, 'MADS_MEF2_like', NULL, 'MADS_MEF2_like', NULL, NULL, 29489, 1),
(7689, NULL, 'cd07986', NULL, NULL, 'LPLAT_ACT14924-like', NULL, 'LPLAT_ACT14924-like', NULL, NULL, 38625, 1),
(7690, NULL, 'cd11893', NULL, NULL, 'SH3_MIA3', NULL, 'SH3_MIA3', NULL, NULL, NULL, 1),
(7691, NULL, 'cd04976', NULL, NULL, 'Ig_VEGFR', NULL, 'Ig_VEGFR', NULL, NULL, NULL, 1),
(7692, NULL, 'cd09211', NULL, NULL, 'Lumazine_synthase_archaeal', NULL, 'Lumazine_synthase_archaeal', NULL, NULL, NULL, 1),
(7693, NULL, 'cd09580', NULL, NULL, 'SAM_Scm-like-4MBT', NULL, 'SAM_Scm-like-4MBT', NULL, NULL, 36311, 1),
(7694, NULL, 'cd11611', NULL, NULL, 'SAF', NULL, 'SAF', NULL, NULL, NULL, 1),
(7695, NULL, 'cd06415', NULL, NULL, 'GH25_Cpl1-like', NULL, 'GH25_Cpl1-like', NULL, NULL, NULL, 1),
(7696, NULL, 'cd07311', NULL, NULL, 'terB_like_1', NULL, 'terB_like_1', NULL, NULL, NULL, 1),
(7697, NULL, 'cd17941', NULL, NULL, 'DEADc_DDX10', NULL, 'DEADc_DDX10', NULL, NULL, NULL, 1),
(7698, NULL, 'cd04721', NULL, NULL, 'BAH_plant_1', NULL, 'BAH_plant_1', NULL, NULL, NULL, 1),
(7699, NULL, 'cd13973', NULL, NULL, 'PK_MviN-like', NULL, 'PK_MviN-like', NULL, NULL, NULL, 1),
(7700, NULL, 'cd19570', NULL, NULL, 'serpinB11_epipin', NULL, 'serpinB11_epipin', NULL, NULL, NULL, 1),
(7701, NULL, 'cd02180', NULL, NULL, 'GH16_fungal_KRE6_glucanase', NULL, 'GH16_fungal_KRE6_glucanase', NULL, NULL, 2757, 1),
(7702, NULL, 'cd08648', NULL, NULL, 'FMT_core_Formyl-FH4-Hydrolase_C', NULL, 'FMT_core_Formyl-FH4-Hydrolase_C', NULL, NULL, 32486, 1),
(7703, NULL, 'cd01612', NULL, NULL, 'Ubl_ATG12', NULL, 'Ubl_ATG12', NULL, NULL, NULL, 1),
(7704, NULL, 'cd08732', NULL, NULL, 'RGS-like_4', NULL, 'RGS-like_4', NULL, NULL, NULL, 1),
(7705, NULL, 'cd17083', NULL, NULL, 'RAWUL_PCGF3', NULL, 'RAWUL_PCGF3', NULL, NULL, NULL, 1),
(7706, NULL, 'cd10308', NULL, NULL, 'GST_C_eEF1b_like', NULL, 'GST_C_eEF1b_like', NULL, NULL, NULL, 1),
(7707, NULL, 'cd01211', NULL, NULL, 'PTB_Rab6GAP', NULL, 'PTB_Rab6GAP', NULL, NULL, NULL, 1),
(7708, NULL, 'cd01819', NULL, NULL, 'Patatin_and_cPLA2', NULL, 'Patatin_and_cPLA2', NULL, NULL, NULL, 1),
(7709, NULL, 'cd06929', NULL, NULL, 'NR_LBD_F1', NULL, 'NR_LBD_F1', NULL, NULL, NULL, 1),
(7710, NULL, 'cd04824', NULL, NULL, 'eu_ALAD_PBGS_cysteine_rich', NULL, 'eu_ALAD_PBGS_cysteine_rich', NULL, NULL, NULL, 1),
(7711, NULL, 'cd18310', NULL, NULL, 'BTB_POZ_NPR_plant', NULL, 'BTB_POZ_NPR_plant', NULL, NULL, NULL, 1),
(7712, NULL, 'cd10293', NULL, NULL, 'GST_C_Ure2p', NULL, 'GST_C_Ure2p', NULL, NULL, NULL, 1),
(7713, NULL, 'cd09374', NULL, NULL, 'LIM2_Isl', NULL, 'LIM2_Isl', NULL, NULL, NULL, 1),
(7714, NULL, 'cd10343', NULL, NULL, 'SH2_SHIP', NULL, 'SH2_SHIP', NULL, NULL, NULL, 1),
(7715, NULL, 'cd02395', NULL, NULL, 'SF1_like-KH', NULL, 'SF1_like-KH', NULL, NULL, NULL, 1),
(7716, NULL, 'cd18133', NULL, NULL, 'HLD_clamp', NULL, 'HLD_clamp', NULL, NULL, NULL, 1),
(7717, NULL, 'cd18800', NULL, NULL, 'SF2_C_EcoR124I-like', NULL, 'SF2_C_EcoR124I-like', NULL, NULL, NULL, 1),
(7718, NULL, 'cd04962', NULL, NULL, 'GT4_BshA-like', NULL, 'GT4_BshA-like', NULL, NULL, NULL, 1),
(7719, NULL, 'cd19029', NULL, NULL, 'LGIC_ECD_nAChR_G', NULL, 'LGIC_ECD_nAChR_G', NULL, NULL, NULL, 1),
(7720, NULL, 'cd12609', NULL, NULL, 'RRM2_CoAA', NULL, 'RRM2_CoAA', NULL, NULL, 17141, 1),
(7721, NULL, 'cd10844', NULL, NULL, 'DSRM_TARBP2_rpt2', NULL, 'DSRM_TARBP2_rpt2', NULL, NULL, 36646, 1),
(7722, NULL, 'cd05048', NULL, NULL, 'PTKc_Ror', NULL, 'PTKc_Ror', NULL, NULL, NULL, 1),
(7723, NULL, 'cd06594', NULL, NULL, 'GH31_glucosidase_YihQ', NULL, 'GH31_glucosidase_YihQ', NULL, NULL, 37597, 1),
(7724, NULL, 'cd05899', NULL, NULL, 'IgV_TCR_beta', NULL, 'IgV_TCR_beta', NULL, NULL, NULL, 1),
(7725, NULL, 'cd17869', NULL, NULL, 'TadZ-like', NULL, 'TadZ-like', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7726, NULL, 'cd17922', NULL, NULL, 'DEXHc_LHR-like', NULL, 'DEXHc_LHR-like', NULL, NULL, NULL, 1),
(7727, NULL, 'cd18424', NULL, NULL, 'BTB_POZ_KCNV1', NULL, 'BTB_POZ_KCNV1', NULL, NULL, NULL, 1),
(7728, NULL, 'cd11548', NULL, NULL, 'NodZ_like', NULL, 'NodZ_like', NULL, NULL, NULL, 1),
(7729, NULL, 'cd11487', NULL, NULL, 'SLC5sbd_SGLT2', NULL, 'SLC5sbd_SGLT2', NULL, NULL, NULL, 1),
(7730, NULL, 'cd07938', NULL, NULL, 'DRE_TIM_HMGL', NULL, 'DRE_TIM_HMGL', NULL, NULL, NULL, 1),
(7731, NULL, 'cd09601', NULL, NULL, 'M1_APN-Q_like', NULL, 'M1_APN-Q_like', NULL, NULL, 25392, 1),
(7732, NULL, 'cd02587', NULL, NULL, 'HAD_5-3dNT', NULL, 'HAD_5-3dNT', NULL, NULL, NULL, 1),
(7733, NULL, 'cd19889', NULL, NULL, 'DSRM_PRKRA_rpt1', NULL, 'DSRM_PRKRA_rpt1', NULL, NULL, 36907, 1),
(7734, NULL, 'cd11854', NULL, NULL, 'SH3_Fus1p', NULL, 'SH3_Fus1p', NULL, NULL, 29802, 1),
(7735, NULL, 'cd15246', NULL, NULL, '7tmF_FZD7', NULL, '7tmF_FZD7', NULL, NULL, NULL, 1),
(7736, NULL, 'cd13520', NULL, NULL, 'PBP2_TAXI_TRAP', NULL, 'PBP2_TAXI_TRAP', NULL, NULL, NULL, 1),
(7737, NULL, 'cd04790', NULL, NULL, 'HTH_Cfa-like_unk', NULL, 'HTH_Cfa-like_unk', NULL, NULL, NULL, 1),
(7738, NULL, 'cd14036', NULL, NULL, 'STKc_GAK', NULL, 'STKc_GAK', NULL, NULL, NULL, 1),
(7739, NULL, 'cd19091', NULL, NULL, 'AKR_PsAKR', NULL, 'AKR_PsAKR', NULL, NULL, NULL, 1),
(7740, NULL, 'cd14622', NULL, NULL, 'R-PTPc-E-2', NULL, 'R-PTPc-E-2', NULL, NULL, NULL, 1),
(7741, NULL, 'cd18398', NULL, NULL, 'BTB_POZ_KCTD16', NULL, 'BTB_POZ_KCTD16', NULL, NULL, NULL, 1),
(7742, NULL, 'cd05172', NULL, NULL, 'PIKKc_DNA-PK', NULL, 'PIKKc_DNA-PK', NULL, NULL, 33680, 1),
(7743, NULL, 'cd02117', NULL, NULL, 'NifH-like', NULL, 'NifH-like', NULL, NULL, NULL, 1),
(7744, NULL, 'cd18160', NULL, NULL, 'REC_CpdR_CckA-like', NULL, 'REC_CpdR_CckA-like', NULL, NULL, NULL, 1),
(7745, NULL, 'cd02133', NULL, NULL, 'PA_C5a_like', NULL, 'PA_C5a_like', NULL, NULL, NULL, 1),
(7746, NULL, 'cd12280', NULL, NULL, 'RRM_FET', NULL, 'RRM_FET', NULL, NULL, NULL, 1),
(7747, NULL, 'cd02585', NULL, NULL, 'HAD_PMM', NULL, 'HAD_PMM', NULL, NULL, 516, 1),
(7748, NULL, 'cd01915', NULL, NULL, 'CODH', NULL, 'CODH', NULL, NULL, 5475, 1),
(7749, NULL, 'cd00954', NULL, NULL, 'NAL', NULL, 'NAL', NULL, NULL, 4271, 1),
(7750, NULL, 'cd19847', NULL, NULL, 'Bbox1_TIF1g_C-VI', NULL, 'Bbox1_TIF1g_C-VI', NULL, NULL, NULL, 1),
(7751, NULL, 'cd04639', NULL, NULL, 'CBS_pair_peptidase_M50', NULL, 'CBS_pair_peptidase_M50', NULL, NULL, NULL, 1),
(7752, NULL, 'cd13851', NULL, NULL, 'CuRO_1_Fet3p', NULL, 'CuRO_1_Fet3p', NULL, NULL, NULL, 1),
(7753, NULL, 'cd14151', NULL, NULL, 'STKc_B-Raf', NULL, 'STKc_B-Raf', NULL, NULL, NULL, 1),
(7754, NULL, 'cd16424', NULL, NULL, 'VirB8', NULL, 'VirB8', NULL, NULL, NULL, 1),
(7755, NULL, 'cd17880', NULL, NULL, 'D-Ala-D-Ala_dipeptidase', NULL, 'D-Ala-D-Ala_dipeptidase', NULL, NULL, NULL, 1),
(7756, NULL, 'cd03073', NULL, NULL, 'PDI_b''_ERp72_ERp57', NULL, 'PDI_b''_ERp72_ERp57', NULL, NULL, NULL, 1),
(7757, NULL, 'cd18606', NULL, NULL, 'ABC_6TM_YOR1_D2_like', NULL, 'ABC_6TM_YOR1_D2_like', NULL, NULL, NULL, 1),
(7758, NULL, 'cd03397', NULL, NULL, 'PAP2_acid_phosphatase', NULL, 'PAP2_acid_phosphatase', NULL, NULL, 2269, 1),
(7759, NULL, 'cd14698', NULL, NULL, 'bZIP_CNC', NULL, 'bZIP_CNC', NULL, NULL, NULL, 1),
(7760, NULL, 'cd03527', NULL, NULL, 'RuBisCO_small', NULL, 'RuBisCO_small', NULL, NULL, 3448, 1),
(7761, NULL, 'cd07085', NULL, NULL, 'ALDH_F6_MMSDH', NULL, 'ALDH_F6_MMSDH', NULL, NULL, 6350, 1),
(7762, NULL, 'cd12223', NULL, NULL, 'RRM_SR140', NULL, 'RRM_SR140', NULL, NULL, 19583, 1),
(7763, NULL, 'cd16507', NULL, NULL, 'RING-HC_GEFO_like', NULL, 'RING-HC_GEFO_like', NULL, NULL, NULL, 1),
(7764, NULL, 'cd15253', NULL, NULL, '7tmB2_GPR113', NULL, '7tmB2_GPR113', NULL, NULL, NULL, 1),
(7765, NULL, 'cd18739', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(7766, NULL, 'cd12419', NULL, NULL, 'RRM_Ssp2_like', NULL, 'RRM_Ssp2_like', NULL, NULL, 16451, 1),
(7767, NULL, 'cd11341', NULL, NULL, 'AmyAc_Pullulanase_LD-like', NULL, 'AmyAc_Pullulanase_LD-like', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7768, NULL, 'cd01005', NULL, NULL, 'PBP2_CysP', NULL, 'PBP2_CysP', NULL, NULL, 3738, 1),
(7769, NULL, 'cd09808', NULL, NULL, 'DHRS-12_like_SDR_c-like', NULL, 'DHRS-12_like_SDR_c-like', NULL, NULL, NULL, 1),
(7770, NULL, 'cd09890', NULL, NULL, 'NGN_plant', NULL, 'NGN_plant', NULL, NULL, NULL, 1),
(7771, NULL, 'cd17541', NULL, NULL, 'REC_CheB-like', NULL, 'REC_CheB-like', NULL, NULL, NULL, 1),
(7772, NULL, 'cd07252', NULL, NULL, 'BphC1-RGP6_N_like', NULL, 'BphC1-RGP6_N_like', NULL, NULL, NULL, 1),
(7773, NULL, 'cd17330', NULL, NULL, 'MFS_SLC46_TetA_like', NULL, 'MFS_SLC46_TetA_like', NULL, NULL, NULL, 1),
(7774, NULL, 'cd19016', NULL, NULL, 'LGIC_ECD_nAChR_A3', NULL, 'LGIC_ECD_nAChR_A3', NULL, NULL, NULL, 1),
(7775, NULL, 'cd18077', NULL, NULL, 'DEXXQc_HELZ', NULL, 'DEXXQc_HELZ', NULL, NULL, NULL, 1),
(7776, NULL, 'cd03351', NULL, NULL, 'LbH_UDP-GlcNAc_AT', NULL, 'LbH_UDP-GlcNAc_AT', NULL, NULL, 10735, 1),
(7777, NULL, 'cd10789', NULL, NULL, 'GH38N_AMII_ER_cytosolic', NULL, 'GH38N_AMII_ER_cytosolic', NULL, NULL, NULL, 1),
(7778, NULL, 'cd14082', NULL, NULL, 'STKc_PKD', NULL, 'STKc_PKD', NULL, NULL, NULL, 1),
(7779, NULL, 'cd21166', NULL, NULL, 'NTD_av_Nsp11-like', NULL, 'NTD_av_Nsp11-like', NULL, NULL, 37882, 1),
(7780, NULL, 'cd07002', NULL, NULL, 'cupin_SznF-like_C', NULL, 'cupin_SznF-like_C', NULL, NULL, NULL, 1),
(7781, NULL, 'cd10162', NULL, NULL, 'ClassIIa_HDAC4_Gln-rich-N', NULL, 'ClassIIa_HDAC4_Gln-rich-N', NULL, NULL, NULL, 1),
(7782, NULL, 'cd00487', NULL, NULL, 'Pep_deformylase', NULL, 'Pep_deformylase', NULL, NULL, 6236, 1),
(7783, NULL, 'cd01299', NULL, NULL, 'Met_dep_hydrolase_A', NULL, 'Met_dep_hydrolase_A', NULL, NULL, NULL, 1),
(7784, NULL, 'cd14541', NULL, NULL, 'PTPc-N3_4', NULL, 'PTPc-N3_4', NULL, NULL, NULL, 1),
(7785, NULL, 'cd14918', NULL, NULL, 'MYSc_Myh8', NULL, 'MYSc_Myh8', NULL, NULL, NULL, 1),
(7786, NULL, 'cd15518', NULL, NULL, 'PHD_Ecm5p_Lid2p_like', NULL, 'PHD_Ecm5p_Lid2p_like', NULL, NULL, NULL, 1),
(7787, NULL, 'cd13167', NULL, NULL, 'PTB_P-CLI1', NULL, 'PTB_P-CLI1', NULL, NULL, 30844, 1),
(7788, NULL, 'cd17166', NULL, NULL, 'RAWUL_RING1', NULL, 'RAWUL_RING1', NULL, NULL, NULL, 1),
(7789, NULL, 'cd18594', NULL, NULL, 'ABC_6TM_CFTR_D1', NULL, 'ABC_6TM_CFTR_D1', NULL, NULL, NULL, 1),
(7790, NULL, 'cd07304', NULL, NULL, 'Chorismate_synthase', NULL, 'Chorismate_synthase', NULL, NULL, 6697, 1),
(7791, NULL, 'cd01012', NULL, NULL, 'YcaC_related', NULL, 'YcaC_related', NULL, NULL, NULL, 1),
(7792, NULL, 'cd16094', NULL, NULL, 'IgC_CH3_IgD', NULL, 'IgC_CH3_IgD', NULL, NULL, NULL, 1),
(7793, NULL, 'cd14125', NULL, NULL, 'STKc_CK1_delta_epsilon', NULL, 'STKc_CK1_delta_epsilon', NULL, NULL, NULL, 1),
(7794, NULL, 'cd17140', NULL, NULL, 'DCX1_DCLK1', NULL, 'DCX1_DCLK1', NULL, NULL, NULL, 1),
(7795, NULL, 'cd14266', NULL, NULL, 'UDPK_IM_PAP2_like', NULL, 'UDPK_IM_PAP2_like', NULL, NULL, NULL, 1),
(7796, NULL, 'cd06583', NULL, NULL, 'PGRP', NULL, 'PGRP', NULL, NULL, 852, 1),
(7797, NULL, 'cd10520', NULL, NULL, 'PR-SET_PRDM17', NULL, 'PR-SET_PRDM17', NULL, NULL, 37782, 1),
(7798, NULL, 'cd07572', NULL, NULL, 'nit', NULL, 'nit', NULL, NULL, 37008, 1),
(7799, NULL, 'cd02094', NULL, NULL, 'P-type_ATPase_Cu-like', NULL, 'P-type_ATPase_Cu-like', NULL, NULL, NULL, 1),
(7800, NULL, 'cd02666', NULL, NULL, 'Peptidase_C19J', NULL, 'Peptidase_C19J', NULL, NULL, NULL, 1),
(7801, NULL, 'cd11960', NULL, NULL, 'SH3_Abp1_eu', NULL, 'SH3_Abp1_eu', NULL, NULL, 33766, 1),
(7802, NULL, 'cd05479', NULL, NULL, 'RP_DDI', NULL, 'RP_DDI', NULL, NULL, 17715, 1),
(7803, NULL, 'cd01639', NULL, NULL, 'IMPase', NULL, 'IMPase', NULL, NULL, 31895, 1),
(7804, NULL, 'cd09269', NULL, NULL, 'deoxyribose_mutarotase', NULL, 'deoxyribose_mutarotase', NULL, NULL, NULL, 1),
(7805, NULL, 'cd11445', NULL, NULL, 'bHLH_AtPIF_like', NULL, 'bHLH_AtPIF_like', NULL, NULL, NULL, 1),
(7806, NULL, 'cd17209', NULL, NULL, 'RA_RalGDS', NULL, 'RA_RalGDS', NULL, NULL, NULL, 1),
(7807, NULL, 'cd15134', NULL, NULL, '7tmA_capaR', NULL, '7tmA_capaR', NULL, NULL, NULL, 1),
(7808, NULL, 'cd11560', NULL, NULL, 'W2_eIF5C_like', NULL, 'W2_eIF5C_like', NULL, NULL, 37413, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7809, NULL, 'cd01045', NULL, NULL, 'Ferritin_like_AB', NULL, 'Ferritin_like_AB', NULL, NULL, NULL, 1),
(7810, NULL, 'cd12389', NULL, NULL, 'RRM2_RAVER', NULL, 'RRM2_RAVER', NULL, NULL, NULL, 1),
(7811, NULL, 'cd06595', NULL, NULL, 'GH31_u1', NULL, 'GH31_u1', NULL, NULL, NULL, 1),
(7812, NULL, 'cd09198', NULL, NULL, 'PLDc_pPLDbeta_1', NULL, 'PLDc_pPLDbeta_1', NULL, NULL, NULL, 1),
(7813, NULL, 'cd08831', NULL, NULL, 'ArfGap_ArfGap2_3_like', NULL, 'ArfGap_ArfGap2_3_like', NULL, NULL, NULL, 1),
(7814, NULL, 'cd11269', NULL, NULL, 'Sema_6D', NULL, 'Sema_6D', NULL, NULL, NULL, 1),
(7815, NULL, 'cd13958', NULL, NULL, 'PT_UbiA_chlorophyll', NULL, 'PT_UbiA_chlorophyll', NULL, NULL, 5683, 1),
(7816, NULL, 'cd01269', NULL, NULL, 'PTB_TBC1D1_like', NULL, 'PTB_TBC1D1_like', NULL, NULL, NULL, 1),
(7817, NULL, 'cd03020', NULL, NULL, 'DsbA_DsbC_DsbG', NULL, 'DsbA_DsbC_DsbG', NULL, NULL, 36497, 1),
(7818, NULL, 'cd05092', NULL, NULL, 'PTKc_TrkA', NULL, 'PTKc_TrkA', NULL, NULL, NULL, 1),
(7819, NULL, 'cd15395', NULL, NULL, '7tmA_NPY1R', NULL, '7tmA_NPY1R', NULL, NULL, NULL, 1),
(7820, NULL, 'cd12566', NULL, NULL, 'RRM2_MRD1', NULL, 'RRM2_MRD1', NULL, NULL, NULL, 1),
(7821, NULL, 'cd02907', NULL, NULL, 'Macro_Af1521_BAL-like', NULL, 'Macro_Af1521_BAL-like', NULL, NULL, NULL, 1),
(7822, NULL, 'cd13880', NULL, NULL, 'CuRO_2_MaLCC_like', NULL, 'CuRO_2_MaLCC_like', NULL, NULL, NULL, 1),
(7823, NULL, 'cd19138', NULL, NULL, 'AKR_YeaE', NULL, 'AKR_YeaE', NULL, NULL, NULL, 1),
(7824, NULL, 'cd20269', NULL, NULL, 'Complex1_LYR_LYRM9', NULL, 'Complex1_LYR_LYRM9', NULL, NULL, 36803, 1),
(7825, NULL, 'cd01490', NULL, NULL, 'Ube1_repeat2', NULL, 'Ube1_repeat2', NULL, NULL, NULL, 1),
(7826, NULL, 'cd17646', NULL, NULL, 'A_NRPS_AB3403-like', NULL, 'A_NRPS_AB3403-like', NULL, NULL, NULL, 1),
(7827, NULL, 'cd15038', NULL, NULL, '7tmF_FZD4', NULL, '7tmF_FZD4', NULL, NULL, NULL, 1),
(7828, NULL, 'cd17659', NULL, NULL, 'PTP_paladin_1', NULL, 'PTP_paladin_1', NULL, NULL, NULL, 1),
(7829, NULL, 'cd08783', NULL, NULL, 'Death_MALT1', NULL, 'Death_MALT1', NULL, NULL, 32378, 1),
(7830, NULL, 'cd00176', NULL, NULL, 'SPEC', NULL, 'SPEC', NULL, NULL, NULL, 1),
(7831, NULL, 'cd05488', NULL, NULL, 'Proteinase_A_fungi', NULL, 'Proteinase_A_fungi', NULL, NULL, 32964, 1),
(7832, NULL, 'cd06905', NULL, NULL, 'M14-like', NULL, 'M14-like', NULL, NULL, NULL, 1),
(7833, NULL, 'cd02020', NULL, NULL, 'CMPK', NULL, 'CMPK', NULL, NULL, 10503, 1),
(7834, NULL, 'cd16695', NULL, NULL, 'mRING-CH-C4HC2H_ZNRF2', NULL, 'mRING-CH-C4HC2H_ZNRF2', NULL, NULL, NULL, 1),
(7835, NULL, 'cd06930', NULL, NULL, 'NR_LBD_F2', NULL, 'NR_LBD_F2', NULL, NULL, NULL, 1),
(7836, NULL, 'cd11896', NULL, NULL, 'SH3_SNX33', NULL, 'SH3_SNX33', NULL, NULL, NULL, 1),
(7837, NULL, 'cd13234', NULL, NULL, 'PHsplit_PLC_gamma', NULL, 'PHsplit_PLC_gamma', NULL, NULL, NULL, 1),
(7838, NULL, 'cd02973', NULL, NULL, 'TRX_GRX_like', NULL, 'TRX_GRX_like', NULL, NULL, NULL, 1),
(7839, NULL, 'cd19174', NULL, NULL, 'SET_ASH1L', NULL, 'SET_ASH1L', NULL, NULL, NULL, 1),
(7840, NULL, 'cd21629', NULL, NULL, 'NS6_deltaCoV', NULL, 'NS6_deltaCoV', NULL, NULL, 37400, 1),
(7841, NULL, 'cd04720', NULL, NULL, 'BAH_Orc1p_Yeast', NULL, 'BAH_Orc1p_Yeast', NULL, NULL, NULL, 1),
(7842, NULL, 'cd05046', NULL, NULL, 'PTK_CCK4', NULL, 'PTK_CCK4', NULL, NULL, NULL, 1),
(7843, NULL, 'cd08756', NULL, NULL, 'RGS_GEF_like', NULL, 'RGS_GEF_like', NULL, NULL, NULL, 1),
(7844, NULL, 'cd00178', NULL, NULL, 'STI', NULL, 'STI', NULL, NULL, 398, 1),
(7845, NULL, 'cd12429', NULL, NULL, 'RRM_DNAJC17', NULL, 'RRM_DNAJC17', NULL, NULL, 34702, 1),
(7846, NULL, 'cd00292', NULL, NULL, 'EF1B', NULL, 'EF1B', NULL, NULL, 11992, 1),
(7847, NULL, 'cd05822', NULL, NULL, 'TLP_HIUase', NULL, 'TLP_HIUase', NULL, NULL, 9658, 1),
(7848, NULL, 'cd06138', NULL, NULL, 'ExoI_N', NULL, 'ExoI_N', NULL, NULL, NULL, 1),
(7849, NULL, 'cd09266', NULL, NULL, 'SGIP1_MHD', NULL, 'SGIP1_MHD', NULL, NULL, 34737, 1),
(7850, NULL, 'cd07644', NULL, NULL, 'I-BAR_IMD_BAIAP2L2', NULL, 'I-BAR_IMD_BAIAP2L2', NULL, NULL, NULL, 1),
(7851, NULL, 'cd01011', NULL, NULL, 'nicotinamidase', NULL, 'nicotinamidase', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7852, NULL, 'cd14812', NULL, NULL, 'bZIP_u3', NULL, 'bZIP_u3', NULL, NULL, NULL, 1),
(7853, NULL, 'cd17181', NULL, NULL, 'FERM_F0_KIND2', NULL, 'FERM_F0_KIND2', NULL, NULL, NULL, 1),
(7854, NULL, 'cd19811', NULL, NULL, 'Bbox1_TRIM66', NULL, 'Bbox1_TRIM66', NULL, NULL, NULL, 1),
(7855, NULL, 'cd17730', NULL, NULL, 'BRCT_PAXIP1_rpt4', NULL, 'BRCT_PAXIP1_rpt4', NULL, NULL, NULL, 1),
(7856, NULL, 'cd05874', NULL, NULL, 'Ig_NrCAM', NULL, 'Ig_NrCAM', NULL, NULL, NULL, 1),
(7857, NULL, 'cd16257', NULL, NULL, 'EFG_III-like', NULL, 'EFG_III-like', NULL, NULL, NULL, 1),
(7858, NULL, 'cd12672', NULL, NULL, 'RRM_DAZL', NULL, 'RRM_DAZL', NULL, NULL, 35186, 1),
(7859, NULL, 'cd16080', NULL, NULL, 'TSP-4cc', NULL, 'TSP-4cc', NULL, NULL, NULL, 1),
(7860, NULL, 'cd08564', NULL, NULL, 'GDPD_GsGDE_like', NULL, 'GDPD_GsGDE_like', NULL, NULL, NULL, 1),
(7861, NULL, 'cd08501', NULL, NULL, 'PBP2_Lpqw', NULL, 'PBP2_Lpqw', NULL, NULL, NULL, 1),
(7862, NULL, 'cd08499', NULL, NULL, 'PBP2_Ylib_like', NULL, 'PBP2_Ylib_like', NULL, NULL, NULL, 1),
(7863, NULL, 'cd08233', NULL, NULL, 'butanediol_DH_like', NULL, 'butanediol_DH_like', NULL, NULL, NULL, 1),
(7864, NULL, 'cd19970', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(7865, NULL, 'cd09830', NULL, NULL, 'PET_LIMPETin_LIM-9', NULL, 'PET_LIMPETin_LIM-9', NULL, NULL, NULL, 1),
(7866, NULL, 'cd12446', NULL, NULL, 'RRM_RBM25', NULL, 'RRM_RBM25', NULL, NULL, 6673, 1),
(7867, NULL, 'cd11428', NULL, NULL, 'bHLH_TS_NGN', NULL, 'bHLH_TS_NGN', NULL, NULL, NULL, 1),
(7868, NULL, 'cd19905', NULL, NULL, 'DSRM_ADAD1', NULL, 'DSRM_ADAD1', NULL, NULL, 37517, 1),
(7869, NULL, 'cd03515', NULL, NULL, 'Link_domain_TSG_6_like', NULL, 'Link_domain_TSG_6_like', NULL, NULL, NULL, 1),
(7870, NULL, 'cd05174', NULL, NULL, 'PI3Kc_IA_delta', NULL, 'PI3Kc_IA_delta', NULL, NULL, 33775, 1),
(7871, NULL, 'cd05233', NULL, NULL, 'SDR_c', NULL, 'SDR_c', NULL, NULL, NULL, 1),
(7872, NULL, 'cd03127', NULL, NULL, 'tetraspanin_LEL', NULL, 'tetraspanin_LEL', NULL, NULL, NULL, 1),
(7873, NULL, 'cd06886', NULL, NULL, 'PX_SNX27', NULL, 'PX_SNX27', NULL, NULL, 34403, 1),
(7874, NULL, 'cd19043', NULL, NULL, 'LGIC_ECD_GABAAR_G1', NULL, 'LGIC_ECD_GABAAR_G1', NULL, NULL, NULL, 1),
(7875, NULL, 'cd07592', NULL, NULL, 'BAR_Endophilin_A', NULL, 'BAR_Endophilin_A', NULL, NULL, NULL, 1),
(7876, NULL, 'cd11310', NULL, NULL, '14-3-3_1', NULL, '14-3-3_1', NULL, NULL, NULL, 1),
(7877, NULL, 'cd12946', NULL, NULL, 'NOPS_p54nrb_PSF_PSPC1', NULL, 'NOPS_p54nrb_PSF_PSPC1', NULL, NULL, NULL, 1),
(7878, NULL, 'cd03862', NULL, NULL, 'M14-like', NULL, 'M14-like', NULL, NULL, NULL, 1),
(7879, NULL, 'cd10546', NULL, NULL, 'VKOR', NULL, 'VKOR', NULL, NULL, NULL, 1),
(7880, NULL, 'cd17980', NULL, NULL, 'DEXHc_DHX35', NULL, 'DEXHc_DHX35', NULL, NULL, NULL, 1),
(7881, NULL, 'cd08530', NULL, NULL, 'STKc_CNK2-like', NULL, 'STKc_CNK2-like', NULL, NULL, NULL, 1),
(7882, NULL, 'cd04735', NULL, NULL, 'OYE_like_4_FMN', NULL, 'OYE_like_4_FMN', NULL, NULL, NULL, 1),
(7883, NULL, 'cd11861', NULL, NULL, 'SH3_DLG-like', NULL, 'SH3_DLG-like', NULL, NULL, NULL, 1),
(7884, NULL, 'cd12206', NULL, NULL, 'RasGAP_IQGAP_related', NULL, 'RasGAP_IQGAP_related', NULL, NULL, NULL, 1),
(7885, NULL, 'cd17034', NULL, NULL, 'T3SC_IA_ShcO1-like', NULL, 'T3SC_IA_ShcO1-like', NULL, NULL, NULL, 1),
(7886, NULL, 'cd12232', NULL, NULL, 'RRM3_U2AF65', NULL, 'RRM3_U2AF65', NULL, NULL, NULL, 1),
(7887, NULL, 'cd07822', NULL, NULL, 'SRPBCC_4', NULL, 'SRPBCC_4', NULL, NULL, NULL, 1),
(7888, NULL, 'cd11309', NULL, NULL, '14-3-3_fungi', NULL, '14-3-3_fungi', NULL, NULL, NULL, 1),
(7889, NULL, 'cd04156', NULL, NULL, 'ARLTS1', NULL, 'ARLTS1', NULL, NULL, NULL, 1),
(7890, NULL, 'cd13873', NULL, NULL, 'CuRO_2_AAO_like_2', NULL, 'CuRO_2_AAO_like_2', NULL, NULL, NULL, 1),
(7891, NULL, 'cd12426', NULL, NULL, 'RRM4_PTBPH3', NULL, 'RRM4_PTBPH3', NULL, NULL, NULL, 1),
(7892, NULL, 'cd12758', NULL, NULL, 'RRM1_hnRPDL', NULL, 'RRM1_hnRPDL', NULL, NULL, 36364, 1),
(7893, NULL, 'cd14547', NULL, NULL, 'PTPc-KIM', NULL, 'PTPc-KIM', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7894, NULL, 'cd04676', NULL, NULL, 'Nudix_Hydrolase_17', NULL, 'Nudix_Hydrolase_17', NULL, NULL, NULL, 1),
(7895, NULL, 'cd05742', NULL, NULL, 'Ig_VEGFR_like', NULL, 'Ig_VEGFR_like', NULL, NULL, NULL, 1),
(7896, NULL, 'cd13116', NULL, NULL, 'POLO_box_Plk4_3', NULL, 'POLO_box_Plk4_3', NULL, NULL, 30729, 1),
(7897, NULL, 'cd12481', NULL, NULL, 'RRM2_U2B', NULL, 'RRM2_U2B', NULL, NULL, 3710, 1),
(7898, NULL, 'cd19190', NULL, NULL, 'PR-SET_PRDM5', NULL, 'PR-SET_PRDM5', NULL, NULL, 37753, 1),
(7899, NULL, 'cd19880', NULL, NULL, 'DSRM_STAU2_rpt1', NULL, 'DSRM_STAU2_rpt1', NULL, NULL, 36720, 1),
(7900, NULL, 'cd01492', NULL, NULL, 'Aos1_SUMO', NULL, 'Aos1_SUMO', NULL, NULL, NULL, 1),
(7901, NULL, 'cd04371', NULL, NULL, 'DEP', NULL, 'DEP', NULL, NULL, NULL, 1),
(7902, NULL, 'cd07838', NULL, NULL, 'STKc_CDK4_6_like', NULL, 'STKc_CDK4_6_like', NULL, NULL, NULL, 1),
(7903, NULL, 'cd09263', NULL, NULL, 'AP_stonin-2_MHD', NULL, 'AP_stonin-2_MHD', NULL, NULL, NULL, 1),
(7904, NULL, 'cd06632', NULL, NULL, 'STKc_MEKK1_plant', NULL, 'STKc_MEKK1_plant', NULL, NULL, NULL, 1),
(7905, NULL, 'cd14997', NULL, NULL, '7tmA_ETH-R', NULL, '7tmA_ETH-R', NULL, NULL, NULL, 1),
(7906, NULL, 'cd12922', NULL, NULL, 'VKOR_5', NULL, 'VKOR_5', NULL, NULL, 32761, 1),
(7907, NULL, 'cd11467', NULL, NULL, 'bHLH_E-protein_Da_like', NULL, 'bHLH_E-protein_Da_like', NULL, NULL, NULL, 1),
(7908, NULL, 'cd13246', NULL, NULL, 'PH_Scd1', NULL, 'PH_Scd1', NULL, NULL, 31952, 1),
(7909, NULL, 'cd16656', NULL, NULL, 'RING-Ubox_PRP19', NULL, 'RING-Ubox_PRP19', NULL, NULL, NULL, 1),
(7910, NULL, 'cd14677', NULL, NULL, 'PH_DOK7', NULL, 'PH_DOK7', NULL, NULL, 30540, 1),
(7911, NULL, 'cd00209', NULL, NULL, 'DHFR', NULL, 'DHFR', NULL, NULL, 3044, 1),
(7912, NULL, 'cd12099', NULL, NULL, 'DD_RII_PKA', NULL, 'DD_RII_PKA', NULL, NULL, NULL, 1),
(7913, NULL, 'cd11711', NULL, NULL, 'GINS_A_Sld5', NULL, 'GINS_A_Sld5', NULL, NULL, 30903, 1),
(7914, NULL, 'cd13159', NULL, NULL, 'PTB_LDLRAP-mammal-like', NULL, 'PTB_LDLRAP-mammal-like', NULL, NULL, NULL, 1),
(7915, NULL, 'cd05808', NULL, NULL, 'CBM20_alpha_amylase', NULL, 'CBM20_alpha_amylase', NULL, NULL, NULL, 1),
(7916, NULL, 'cd16801', NULL, NULL, 'RING-H2_RNF126', NULL, 'RING-H2_RNF126', NULL, NULL, 29442, 1),
(7917, NULL, 'cd17039', NULL, NULL, 'Ubl_ubiquitin_like', NULL, 'Ubl_ubiquitin_like', NULL, NULL, NULL, 1),
(7918, NULL, 'cd01225', NULL, NULL, 'PH_Cool_Pix', NULL, 'PH_Cool_Pix', NULL, NULL, NULL, 1),
(7919, NULL, 'cd11242', NULL, NULL, 'Sema_6', NULL, 'Sema_6', NULL, NULL, NULL, 1),
(7920, NULL, 'cd01400', NULL, NULL, '6PGL', NULL, '6PGL', NULL, NULL, 6612, 1),
(7921, NULL, 'cd11831', NULL, NULL, 'SH3_VAV_1', NULL, 'SH3_VAV_1', NULL, NULL, NULL, 1),
(7922, NULL, 'cd06813', NULL, NULL, 'PLPDE_III_DSD_D-TA_like_2', NULL, 'PLPDE_III_DSD_D-TA_like_2', NULL, NULL, NULL, 1),
(7923, NULL, 'cd03180', NULL, NULL, 'GST_C_2', NULL, 'GST_C_2', NULL, NULL, NULL, 1),
(7924, NULL, 'cd12289', NULL, NULL, 'RRM_LARP6', NULL, 'RRM_LARP6', NULL, NULL, 9354, 1),
(7925, NULL, 'cd09827', NULL, NULL, 'PET_Prickle', NULL, 'PET_Prickle', NULL, NULL, 32640, 1),
(7926, NULL, 'cd14031', NULL, NULL, 'STKc_WNK3', NULL, 'STKc_WNK3', NULL, NULL, NULL, 1),
(7927, NULL, 'cd04583', NULL, NULL, 'CBS_pair_ABC_OpuCA_assoc', NULL, 'CBS_pair_ABC_OpuCA_assoc', NULL, NULL, NULL, 1),
(7928, NULL, 'cd04135', NULL, NULL, 'Tc10', NULL, 'Tc10', NULL, NULL, NULL, 1),
(7929, NULL, 'cd07996', NULL, NULL, 'WGR_MMR_like', NULL, 'WGR_MMR_like', NULL, NULL, NULL, 1),
(7930, NULL, 'cd12716', NULL, NULL, 'RRM1_2_NP220', NULL, 'RRM1_2_NP220', NULL, NULL, NULL, 1),
(7931, NULL, 'cd05627', NULL, NULL, 'STKc_NDR2', NULL, 'STKc_NDR2', NULL, NULL, NULL, 1),
(7932, NULL, 'cd16225', NULL, NULL, 'EFh_CREC_cab45', NULL, 'EFh_CREC_cab45', NULL, NULL, NULL, 1),
(7933, NULL, 'cd16348', NULL, NULL, 'VOC_YdcJ_like', NULL, 'VOC_YdcJ_like', NULL, NULL, 12769, 1),
(7934, NULL, 'cd15739', NULL, NULL, 'FYVE_RABE_unchar', NULL, 'FYVE_RABE_unchar', NULL, NULL, NULL, 1),
(7935, NULL, 'cd13760', NULL, NULL, 'TGF_beta_BMP2_like', NULL, 'TGF_beta_BMP2_like', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7936, NULL, 'cd14221', NULL, NULL, 'STKc_LIMK1', NULL, 'STKc_LIMK1', NULL, NULL, NULL, 1),
(7937, NULL, 'cd01338', NULL, NULL, 'MDH_choloroplast_like', NULL, 'MDH_choloroplast_like', NULL, NULL, NULL, 1),
(7938, NULL, 'cd14905', NULL, NULL, 'MYSc_Myo44', NULL, 'MYSc_Myo44', NULL, NULL, NULL, 1),
(7939, NULL, 'cd18674', NULL, NULL, 'PIN_Pox_G5', NULL, 'PIN_Pox_G5', NULL, NULL, NULL, 1),
(7940, NULL, 'cd10932', NULL, NULL, 'CE4_u8', NULL, 'CE4_u8', NULL, NULL, NULL, 1),
(7941, NULL, 'cd17614', NULL, NULL, 'REC_OmpR_YycF-like', NULL, 'REC_OmpR_YycF-like', NULL, NULL, NULL, 1),
(7942, NULL, 'cd06060', NULL, NULL, 'misato', NULL, 'misato', NULL, NULL, NULL, 1),
(7943, NULL, 'cd12905', NULL, NULL, 'SPRY_PRY_A33L', NULL, 'SPRY_PRY_A33L', NULL, NULL, NULL, 1),
(7944, NULL, 'cd14304', NULL, NULL, 'UBA2_KPC2', NULL, 'UBA2_KPC2', NULL, NULL, 32433, 1),
(7945, NULL, 'cd13132', NULL, NULL, 'MATE_eukaryotic', NULL, 'MATE_eukaryotic', NULL, NULL, 39048, 1),
(7946, NULL, 'cd03869', NULL, NULL, 'M14_CPX_like', NULL, 'M14_CPX_like', NULL, NULL, NULL, 1),
(7947, NULL, 'cd12869', NULL, NULL, 'MqsR', NULL, 'MqsR', NULL, NULL, 27246, 1),
(7948, NULL, 'cd17041', NULL, NULL, 'Ubl_WDR48', NULL, 'Ubl_WDR48', NULL, NULL, NULL, 1),
(7949, NULL, 'cd04033', NULL, NULL, 'C2_NEDD4_NEDD4L', NULL, 'C2_NEDD4_NEDD4L', NULL, NULL, NULL, 1),
(7950, NULL, 'cd00326', NULL, NULL, 'alpha_CA', NULL, 'alpha_CA', NULL, NULL, NULL, 1),
(7951, NULL, 'cd12596', NULL, NULL, 'RRM1_SRSF6', NULL, 'RRM1_SRSF6', NULL, NULL, 12273, 1),
(7952, NULL, 'cd18014', NULL, NULL, 'DEXHc_RecQ5', NULL, 'DEXHc_RecQ5', NULL, NULL, NULL, 1),
(7953, NULL, 'cd03298', NULL, NULL, 'ABC_ThiQ_thiamine_transporter', NULL, 'ABC_ThiQ_thiamine_transporter', NULL, NULL, NULL, 1),
(7954, NULL, 'cd18360', NULL, NULL, 'BTB2_POZ_RHOBTB3', NULL, 'BTB2_POZ_RHOBTB3', NULL, NULL, NULL, 1),
(7955, NULL, 'cd01153', NULL, NULL, 'ACAD_fadE5', NULL, 'ACAD_fadE5', NULL, NULL, 2100, 1),
(7956, NULL, 'cd05399', NULL, NULL, 'NT_Rel-Spo_like', NULL, 'NT_Rel-Spo_like', NULL, NULL, 961, 1),
(7957, NULL, 'cd17205', NULL, NULL, 'FERM_F1_EPB41L5', NULL, 'FERM_F1_EPB41L5', NULL, NULL, NULL, 1),
(7958, NULL, 'cd05250', NULL, NULL, 'CC3_like_SDR_a', NULL, 'CC3_like_SDR_a', NULL, NULL, NULL, 1),
(7959, NULL, 'cd15643', NULL, NULL, 'PHD_KDM2A', NULL, 'PHD_KDM2A', NULL, NULL, NULL, 1),
(7960, NULL, 'cd09829', NULL, NULL, 'PET_testin', NULL, 'PET_testin', NULL, NULL, 32800, 1),
(7961, NULL, 'cd13411', NULL, NULL, 'TNFRSF11A', NULL, 'TNFRSF11A', NULL, NULL, 17088, 1),
(7962, NULL, 'cd06170', NULL, NULL, 'LuxR_C_like', NULL, 'LuxR_C_like', NULL, NULL, 6974, 1),
(7963, NULL, 'cd17042', NULL, NULL, 'Ubl_TmoB', NULL, 'Ubl_TmoB', NULL, NULL, NULL, 1),
(7964, NULL, 'cd13144', NULL, NULL, 'MATE_like_4', NULL, 'MATE_like_4', NULL, NULL, NULL, 1),
(7965, NULL, 'cd01826', NULL, NULL, 'acyloxyacyl_hydrolase_like', NULL, 'acyloxyacyl_hydrolase_like', NULL, NULL, NULL, 1),
(7966, NULL, 'cd08040', NULL, NULL, 'OBF_DNA_ligase_family', NULL, 'OBF_DNA_ligase_family', NULL, NULL, NULL, 1),
(7967, NULL, 'cd15408', NULL, NULL, '7tmA_OR5AK3-like', NULL, '7tmA_OR5AK3-like', NULL, NULL, NULL, 1),
(7968, NULL, 'cd18924', NULL, NULL, 'bHLHzip_USF1', NULL, 'bHLHzip_USF1', NULL, NULL, NULL, 1),
(7969, NULL, 'cd06528', NULL, NULL, 'RNAP_A''''', NULL, 'RNAP_A''''', NULL, NULL, 9757, 1),
(7970, NULL, 'cd01079', NULL, NULL, 'NAD_bind_m-THF_DH', NULL, 'NAD_bind_m-THF_DH', NULL, NULL, 31915, 1),
(7971, NULL, 'cd12653', NULL, NULL, 'RRM3_HuR', NULL, 'RRM3_HuR', NULL, NULL, NULL, 1),
(7972, NULL, 'cd05696', NULL, NULL, 'S1_Rrp5_repeat_hs4', NULL, 'S1_Rrp5_repeat_hs4', NULL, NULL, NULL, 1),
(7973, NULL, 'cd02068', NULL, NULL, 'radical_SAM_B12_BD', NULL, 'radical_SAM_B12_BD', NULL, NULL, NULL, 1),
(7974, NULL, 'cd06978', NULL, NULL, 'cupin_EctC', NULL, 'cupin_EctC', NULL, NULL, 10071, 1),
(7975, NULL, 'cd12554', NULL, NULL, 'RRM1_RBM15B', NULL, 'RRM1_RBM15B', NULL, NULL, 12489, 1),
(7976, NULL, 'cd14381', NULL, NULL, 'UBA2_Rhp23p_like', NULL, 'UBA2_Rhp23p_like', NULL, NULL, NULL, 1),
(7977, NULL, 'cd16210', NULL, NULL, 'EFh_PI-PLCbeta3', NULL, 'EFh_PI-PLCbeta3', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(7978, NULL, 'cd08002', NULL, NULL, 'WGR_PARP3_like', NULL, 'WGR_PARP3_like', NULL, NULL, NULL, 1),
(7979, NULL, 'cd17506', NULL, NULL, 'Ubl_SAMP2_like', NULL, 'Ubl_SAMP2_like', NULL, NULL, NULL, 1),
(7980, NULL, 'cd04016', NULL, NULL, 'C2_Tollip', NULL, 'C2_Tollip', NULL, NULL, 34333, 1),
(7981, NULL, 'cd09334', NULL, NULL, 'LIM4_PINCH', NULL, 'LIM4_PINCH', NULL, NULL, NULL, 1),
(7982, NULL, 'cd04916', NULL, NULL, 'ACT_AKiii-YclM-BS_2', NULL, 'ACT_AKiii-YclM-BS_2', NULL, NULL, NULL, 1),
(7983, NULL, 'cd09416', NULL, NULL, 'LIM2_Testin', NULL, 'LIM2_Testin', NULL, NULL, 12090, 1),
(7984, NULL, 'cd15653', NULL, NULL, 'PHD3_NSD1', NULL, 'PHD3_NSD1', NULL, NULL, NULL, 1),
(7985, NULL, 'cd17906', NULL, NULL, 'CheX', NULL, 'CheX', NULL, NULL, NULL, 1),
(7986, NULL, 'cd05893', NULL, NULL, 'Ig_Palladin_C', NULL, 'Ig_Palladin_C', NULL, NULL, 31699, 1),
(7987, NULL, 'cd07578', NULL, NULL, 'nitrilase_1_R1', NULL, 'nitrilase_1_R1', NULL, NULL, NULL, 1),
(7988, NULL, 'cd00983', NULL, NULL, 'recA', NULL, 'recA', NULL, NULL, 7617, 1),
(7989, NULL, 'cd09475', NULL, NULL, 'LIM2_Lhx9', NULL, 'LIM2_Lhx9', NULL, NULL, NULL, 1),
(7990, NULL, 'cd03717', NULL, NULL, 'SOCS_SOCS_like', NULL, 'SOCS_SOCS_like', NULL, NULL, NULL, 1),
(7991, NULL, 'cd10524', NULL, NULL, 'SET_Suv4-20-like', NULL, 'SET_Suv4-20-like', NULL, NULL, NULL, 1),
(7992, NULL, 'cd08534', NULL, NULL, 'SAM_PNT-GABP-alpha', NULL, 'SAM_PNT-GABP-alpha', NULL, NULL, NULL, 1),
(7993, NULL, 'cd16488', NULL, NULL, 'mRING-H2-C3H3C2_Mio_like', NULL, 'mRING-H2-C3H3C2_Mio_like', NULL, NULL, NULL, 1),
(7994, NULL, 'cd19380', NULL, NULL, 'TGF_beta_GDNF', NULL, 'TGF_beta_GDNF', NULL, NULL, NULL, 1),
(7995, NULL, 'cd14014', NULL, NULL, 'STKc_PknB_like', NULL, 'STKc_PknB_like', NULL, NULL, NULL, 1),
(7996, NULL, 'cd10949', NULL, NULL, 'CE4_BsPdaB_like', NULL, 'CE4_BsPdaB_like', NULL, NULL, NULL, 1),
(7997, NULL, 'cd13298', NULL, NULL, 'PH1_PH_fungal', NULL, 'PH1_PH_fungal', NULL, NULL, NULL, 1),
(7998, NULL, 'cd02000', NULL, NULL, 'TPP_E1_PDC_ADC_BCADC', NULL, 'TPP_E1_PDC_ADC_BCADC', NULL, NULL, NULL, 1),
(7999, NULL, 'cd13369', NULL, NULL, 'PH_RASAL1', NULL, 'PH_RASAL1', NULL, NULL, NULL, 1),
(8000, NULL, 'cd06290', NULL, NULL, 'PBP1_LacI-like', NULL, 'PBP1_LacI-like', NULL, NULL, NULL, 1),
(8001, NULL, 'cd08269', NULL, NULL, 'Zn_ADH9', NULL, 'Zn_ADH9', NULL, NULL, NULL, 1),
(8002, NULL, 'cd09209', NULL, NULL, 'Lumazine_synthase-I', NULL, 'Lumazine_synthase-I', NULL, NULL, 14742, 1),
(8003, NULL, 'cd04328', NULL, NULL, 'RNAP_I_Rpa43_N', NULL, 'RNAP_I_Rpa43_N', NULL, NULL, 32525, 1),
(8004, NULL, 'cd18623', NULL, NULL, 'GH32_ScrB-like', NULL, 'GH32_ScrB-like', NULL, NULL, NULL, 1),
(8005, NULL, 'cd06426', NULL, NULL, 'NTP_transferase_like_2', NULL, 'NTP_transferase_like_2', NULL, NULL, NULL, 1),
(8006, NULL, 'cd15510', NULL, NULL, 'PHD2_KMT2C_like', NULL, 'PHD2_KMT2C_like', NULL, NULL, NULL, 1),
(8007, NULL, 'cd17911', NULL, NULL, 'CheC_ClassIII', NULL, 'CheC_ClassIII', NULL, NULL, NULL, 1),
(8008, NULL, 'cd15986', NULL, NULL, '7tmB1_VIP-R2', NULL, '7tmB1_VIP-R2', NULL, NULL, NULL, 1),
(8009, NULL, 'cd05137', NULL, NULL, 'RasGAP_CLA2_BUD2', NULL, 'RasGAP_CLA2_BUD2', NULL, NULL, NULL, 1),
(8010, NULL, 'cd21525', NULL, NULL, 'SUD_C_SARS-CoV_Nsp3', NULL, 'SUD_C_SARS-CoV_Nsp3', NULL, NULL, 17442, 1),
(8011, NULL, 'cd14809', NULL, NULL, 'bZIP_AUREO-like', NULL, 'bZIP_AUREO-like', NULL, NULL, NULL, 1),
(8012, NULL, 'cd12877', NULL, NULL, 'SPRY1_RyR', NULL, 'SPRY1_RyR', NULL, NULL, 33483, 1),
(8013, NULL, 'cd01261', NULL, NULL, 'PH_SOS', NULL, 'PH_SOS', NULL, NULL, NULL, 1),
(8014, NULL, 'cd12576', NULL, NULL, 'RRM1_MSI', NULL, 'RRM1_MSI', NULL, NULL, 21084, 1),
(8015, NULL, 'cd08225', NULL, NULL, 'STKc_Nek5', NULL, 'STKc_Nek5', NULL, NULL, NULL, 1),
(8016, NULL, 'cd13433', NULL, NULL, 'Na_channel_gate', NULL, 'Na_channel_gate', NULL, NULL, 37157, 1),
(8017, NULL, 'cd01314', NULL, NULL, 'D-HYD', NULL, 'D-HYD', NULL, NULL, 13254, 1),
(8018, NULL, 'cd15438', NULL, NULL, '7tmB2_CD97', NULL, '7tmB2_CD97', NULL, NULL, NULL, 1),
(8019, NULL, 'cd14985', NULL, NULL, '7tmA_Angiotensin_R-like', NULL, '7tmA_Angiotensin_R-like', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8020, NULL, 'cd03408', NULL, NULL, 'SPFH_like_u1', NULL, 'SPFH_like_u1', NULL, NULL, 31718, 1),
(8021, NULL, 'cd08367', NULL, NULL, 'P53', NULL, 'P53', NULL, NULL, 11626, 1),
(8022, NULL, 'cd14365', NULL, NULL, 'CUE_N4BP2', NULL, 'CUE_N4BP2', NULL, NULL, 33323, 1),
(8023, NULL, 'cd02878', NULL, NULL, 'GH18_zymocin_alpha', NULL, 'GH18_zymocin_alpha', NULL, NULL, NULL, 1),
(8024, NULL, 'cd14111', NULL, NULL, 'STKc_SPEG_rpt2', NULL, 'STKc_SPEG_rpt2', NULL, NULL, NULL, 1),
(8025, NULL, 'cd16021', NULL, NULL, 'ALP_like', NULL, 'ALP_like', NULL, NULL, 3981, 1),
(8026, NULL, 'cd02558', NULL, NULL, 'PSRA_1', NULL, 'PSRA_1', NULL, NULL, NULL, 1),
(8027, NULL, 'cd12071', NULL, NULL, 'SH3_FBP17', NULL, 'SH3_FBP17', NULL, NULL, 16609, 1),
(8028, NULL, 'cd01993', NULL, NULL, 'Alpha_ANH_like_II', NULL, 'Alpha_ANH_like_II', NULL, NULL, NULL, 1),
(8029, NULL, 'cd17873', NULL, NULL, 'FlhF', NULL, 'FlhF', NULL, NULL, NULL, 1),
(8030, NULL, 'cd02901', NULL, NULL, 'Macro_Poa1p-like', NULL, 'Macro_Poa1p-like', NULL, NULL, NULL, 1),
(8031, NULL, 'cd08063', NULL, NULL, 'MPN_CSN6', NULL, 'MPN_CSN6', NULL, NULL, 35148, 1),
(8032, NULL, 'cd07766', NULL, NULL, 'DHQ_Fe-ADH', NULL, 'DHQ_Fe-ADH', NULL, NULL, NULL, 1),
(8033, NULL, 'cd07869', NULL, NULL, 'STKc_PFTAIRE1', NULL, 'STKc_PFTAIRE1', NULL, NULL, NULL, 1),
(8034, NULL, 'cd09100', NULL, NULL, 'INPP5c_SHIP1-INPP5D', NULL, 'INPP5c_SHIP1-INPP5D', NULL, NULL, NULL, 1),
(8035, NULL, 'cd07659', NULL, NULL, 'BAR_PICK1', NULL, 'BAR_PICK1', NULL, NULL, 30702, 1),
(8036, NULL, 'cd14573', NULL, NULL, 'DUSP18_21', NULL, 'DUSP18_21', NULL, NULL, NULL, 1),
(8037, NULL, 'cd15726', NULL, NULL, 'FYVE_FYCO1', NULL, 'FYVE_FYCO1', NULL, NULL, NULL, 1),
(8038, NULL, 'cd19025', NULL, NULL, 'LGIC_ECD_nAChR_B2', NULL, 'LGIC_ECD_nAChR_B2', NULL, NULL, NULL, 1),
(8039, NULL, 'cd05290', NULL, NULL, 'LDH_3', NULL, 'LDH_3', NULL, NULL, NULL, 1),
(8040, NULL, 'cd05619', NULL, NULL, 'STKc_nPKC_theta', NULL, 'STKc_nPKC_theta', NULL, NULL, 33367, 1),
(8041, NULL, 'cd08862', NULL, NULL, 'SRPBCC_Smu440-like', NULL, 'SRPBCC_Smu440-like', NULL, NULL, NULL, 1),
(8042, NULL, 'cd06575', NULL, NULL, 'PASTA_Pbp2x-like_2', NULL, 'PASTA_Pbp2x-like_2', NULL, NULL, NULL, 1),
(8043, NULL, 'cd07277', NULL, NULL, 'PX_RUN', NULL, 'PX_RUN', NULL, NULL, 33735, 1),
(8044, NULL, 'cd11699', NULL, NULL, 'DHR2_DOCK10', NULL, 'DHR2_DOCK10', NULL, NULL, NULL, 1),
(8045, NULL, 'cd13133', NULL, NULL, 'MATE_like_7', NULL, 'MATE_like_7', NULL, NULL, NULL, 1),
(8046, NULL, 'cd17875', NULL, NULL, 'SRP54_G', NULL, 'SRP54_G', NULL, NULL, NULL, 1),
(8047, NULL, 'cd11652', NULL, NULL, 'SSH-N', NULL, 'SSH-N', NULL, NULL, 37817, 1),
(8048, NULL, 'cd14136', NULL, NULL, 'STKc_SRPK', NULL, 'STKc_SRPK', NULL, NULL, NULL, 1),
(8049, NULL, 'cd09746', NULL, NULL, 'Csm6_III-A', NULL, 'Csm6_III-A', NULL, NULL, NULL, 1),
(8050, NULL, 'cd05227', NULL, NULL, 'AR_SDR_e', NULL, 'AR_SDR_e', NULL, NULL, NULL, 1),
(8051, NULL, 'cd09699', NULL, NULL, 'Csm6_III-A', NULL, 'Csm6_III-A', NULL, NULL, 10115, 1),
(8052, NULL, 'cd14301', NULL, NULL, 'UBA_UBS3B', NULL, 'UBA_UBS3B', NULL, NULL, NULL, 1),
(8053, NULL, 'cd04657', NULL, NULL, 'Piwi_ago-like', NULL, 'Piwi_ago-like', NULL, NULL, 36647, 1),
(8054, NULL, 'cd07697', NULL, NULL, 'IgC_TCR_gamma', NULL, 'IgC_TCR_gamma', NULL, NULL, NULL, 1),
(8055, NULL, 'cd15359', NULL, NULL, '7tmA_LHCGR', NULL, '7tmA_LHCGR', NULL, NULL, NULL, 1),
(8056, NULL, 'cd11860', NULL, NULL, 'SH3_DLG5', NULL, 'SH3_DLG5', NULL, NULL, 30544, 1),
(8057, NULL, 'cd04153', NULL, NULL, 'Arl5_Arl8', NULL, 'Arl5_Arl8', NULL, NULL, NULL, 1),
(8058, NULL, 'cd11255', NULL, NULL, 'Sema_3G', NULL, 'Sema_3G', NULL, NULL, NULL, 1),
(8059, NULL, 'cd03269', NULL, NULL, 'ABC_putative_ATPase', NULL, 'ABC_putative_ATPase', NULL, NULL, NULL, 1),
(8060, NULL, 'cd18058', NULL, NULL, 'DEXHc_CHD6', NULL, 'DEXHc_CHD6', NULL, NULL, NULL, 1),
(8061, NULL, 'cd16475', NULL, NULL, 'RING-H2_RNF121_like', NULL, 'RING-H2_RNF121_like', NULL, NULL, NULL, 1),
(8062, NULL, 'cd04842', NULL, NULL, 'Peptidases_S8_Kp43_protease', NULL, 'Peptidases_S8_Kp43_protease', NULL, NULL, 8434, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8063, NULL, 'cd06317', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(8064, NULL, 'cd14852', NULL, NULL, 'LD-carboxypeptidase', NULL, 'LD-carboxypeptidase', NULL, NULL, NULL, 1),
(8065, NULL, 'cd01928', NULL, NULL, 'Cyclophilin_PPIL3_like', NULL, 'Cyclophilin_PPIL3_like', NULL, NULL, NULL, 1),
(8066, NULL, 'cd15018', NULL, NULL, '7tm_TAS2R41-like', NULL, '7tm_TAS2R41-like', NULL, NULL, NULL, 1),
(8067, NULL, 'cd18537', NULL, NULL, 'PTP-IVa1', NULL, 'PTP-IVa1', NULL, NULL, NULL, 1),
(8068, NULL, 'cd08032', NULL, NULL, 'LARP_7', NULL, 'LARP_7', NULL, NULL, 12154, 1),
(8069, NULL, 'cd11283', NULL, NULL, 'ADF_GMF-beta_like', NULL, 'ADF_GMF-beta_like', NULL, NULL, 11244, 1),
(8070, NULL, 'cd21567', NULL, NULL, 'MERS-like-CoV_M', NULL, 'MERS-like-CoV_M', NULL, NULL, 38713, 1),
(8071, NULL, 'cd18758', NULL, NULL, 'PIN_MtVapC3-like', NULL, 'PIN_MtVapC3-like', NULL, NULL, NULL, 1),
(8072, NULL, 'cd01004', NULL, NULL, 'PBP2_MidA_like', NULL, 'PBP2_MidA_like', NULL, NULL, NULL, 1),
(8073, NULL, 'cd15888', NULL, NULL, 'SNARE_SNAP47N', NULL, 'SNARE_SNAP47N', NULL, NULL, NULL, 1),
(8074, NULL, 'cd08505', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_18', NULL, 'PBP2_NikA_DppA_OppA_like_18', NULL, NULL, NULL, 1),
(8075, NULL, 'cd15371', NULL, NULL, '7tmA_PAR3', NULL, '7tmA_PAR3', NULL, NULL, NULL, 1),
(8076, NULL, 'cd16099', NULL, NULL, 'TenA_PqqC-like', NULL, 'TenA_PqqC-like', NULL, NULL, NULL, 1),
(8077, NULL, 'cd05267', NULL, NULL, 'SDR_a6', NULL, 'SDR_a6', NULL, NULL, NULL, 1),
(8078, NULL, 'cd07430', NULL, NULL, 'GH15_N', NULL, 'GH15_N', NULL, NULL, 10841, 1),
(8079, NULL, 'cd19101', NULL, NULL, 'AKR_unchar', NULL, 'AKR_unchar', NULL, NULL, NULL, 1),
(8080, NULL, 'cd07468', NULL, NULL, 'CRD_TK_ROR2', NULL, 'CRD_TK_ROR2', NULL, NULL, NULL, 1),
(8081, NULL, 'cd11439', NULL, NULL, 'bHLH-PAS_SRC', NULL, 'bHLH-PAS_SRC', NULL, NULL, NULL, 1),
(8082, NULL, 'cd11834', NULL, NULL, 'SH3_Stac_2', NULL, 'SH3_Stac_2', NULL, NULL, NULL, 1),
(8083, NULL, 'cd07693', NULL, NULL, 'Ig1_Robo', NULL, 'Ig1_Robo', NULL, NULL, NULL, 1),
(8084, NULL, 'cd14831', NULL, NULL, 'AP1_sigma', NULL, 'AP1_sigma', NULL, NULL, 36623, 1),
(8085, NULL, 'cd18470', NULL, NULL, 'BACK_KLHL31_KBTBD1', NULL, 'BACK_KLHL31_KBTBD1', NULL, NULL, NULL, 1),
(8086, NULL, 'cd09717', NULL, NULL, 'Cas7_I', NULL, 'Cas7_I', NULL, NULL, 18164, 1),
(8087, NULL, 'cd18973', NULL, NULL, 'CD_Tf2-1_POL_like', NULL, 'CD_Tf2-1_POL_like', NULL, NULL, NULL, 1),
(8088, NULL, 'cd16023', NULL, NULL, 'GPI_EPT_3', NULL, 'GPI_EPT_3', NULL, NULL, 29860, 1),
(8089, NULL, 'cd07288', NULL, NULL, 'PX_SNX15', NULL, 'PX_SNX15', NULL, NULL, NULL, 1),
(8090, NULL, 'cd06131', NULL, NULL, 'DNA_pol_III_epsilon_Ecoli_like', NULL, 'DNA_pol_III_epsilon_Ecoli_like', NULL, NULL, 4501, 1),
(8091, NULL, 'cd15613', NULL, NULL, 'PHD_AL_plant', NULL, 'PHD_AL_plant', NULL, NULL, 37789, 1),
(8092, NULL, 'cd17114', NULL, NULL, 'RA_PLC-epsilon', NULL, 'RA_PLC-epsilon', NULL, NULL, NULL, 1),
(8093, NULL, 'cd03345', NULL, NULL, 'eu_TyrOH', NULL, 'eu_TyrOH', NULL, NULL, 32380, 1),
(8094, NULL, 'cd17130', NULL, NULL, 'Ubl2_FAF1', NULL, 'Ubl2_FAF1', NULL, NULL, NULL, 1),
(8095, NULL, 'cd02065', NULL, NULL, 'B12-binding_like', NULL, 'B12-binding_like', NULL, NULL, NULL, 1),
(8096, NULL, 'cd14338', NULL, NULL, 'UBA_SIK', NULL, 'UBA_SIK', NULL, NULL, NULL, 1),
(8097, NULL, 'cd14531', NULL, NULL, 'PFA-DSP_Oca1', NULL, 'PFA-DSP_Oca1', NULL, NULL, NULL, 1),
(8098, NULL, 'cd15665', NULL, NULL, 'ePHD1_KMT2C_like', NULL, 'ePHD1_KMT2C_like', NULL, NULL, NULL, 1),
(8099, NULL, 'cd17492', NULL, NULL, 'toxin_CptN', NULL, 'toxin_CptN', NULL, NULL, NULL, 1),
(8100, NULL, 'cd08656', NULL, NULL, 'M28_like', NULL, 'M28_like', NULL, NULL, NULL, 1),
(8101, NULL, 'cd16635', NULL, NULL, 'mRING-HC-C3HC3D_PHRF1', NULL, 'mRING-HC-C3HC3D_PHRF1', NULL, NULL, NULL, 1),
(8102, NULL, 'cd15056', NULL, NULL, '7tmA_5-HT4', NULL, '7tmA_5-HT4', NULL, NULL, NULL, 1),
(8103, NULL, 'cd16326', NULL, NULL, 'LolB', NULL, 'LolB', NULL, NULL, 922, 1),
(8104, NULL, 'cd17450', NULL, NULL, 'MFS_SLC46A2_TSCOT', NULL, 'MFS_SLC46A2_TSCOT', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8105, NULL, 'cd12926', NULL, NULL, 'iSH2_PIK3R2', NULL, 'iSH2_PIK3R2', NULL, NULL, NULL, 1),
(8106, NULL, 'cd04647', NULL, NULL, 'LbH_MAT_like', NULL, 'LbH_MAT_like', NULL, NULL, NULL, 1),
(8107, NULL, 'cd12516', NULL, NULL, 'RRM1_RBM26', NULL, 'RRM1_RBM26', NULL, NULL, 9226, 1),
(8108, NULL, 'cd12781', NULL, NULL, 'RRM1_hnRPLL', NULL, 'RRM1_hnRPLL', NULL, NULL, 19113, 1),
(8109, NULL, 'cd02132', NULL, NULL, 'PA_GO-like', NULL, 'PA_GO-like', NULL, NULL, NULL, 1),
(8110, NULL, 'cd01047', NULL, NULL, 'ACSF', NULL, 'ACSF', NULL, NULL, 8992, 1),
(8111, NULL, 'cd09340', NULL, NULL, 'LIM1_Testin_like', NULL, 'LIM1_Testin_like', NULL, NULL, NULL, 1),
(8112, NULL, 'cd16652', NULL, NULL, 'dRing_Rmd5p_like', NULL, 'dRing_Rmd5p_like', NULL, NULL, 29990, 1),
(8113, NULL, 'cd10317', NULL, NULL, 'RGL4_C', NULL, 'RGL4_C', NULL, NULL, NULL, 1),
(8114, NULL, 'cd04483', NULL, NULL, 'hOBFC1_like', NULL, 'hOBFC1_like', NULL, NULL, NULL, 1),
(8115, NULL, 'cd08707', NULL, NULL, 'RGS_Axin', NULL, 'RGS_Axin', NULL, NULL, NULL, 1),
(8116, NULL, 'cd13194', NULL, NULL, 'FERM_C_ERM', NULL, 'FERM_C_ERM', NULL, NULL, 32670, 1),
(8117, NULL, 'cd13380', NULL, NULL, 'PH_Skap1', NULL, 'PH_Skap1', NULL, NULL, NULL, 1),
(8118, NULL, 'cd00333', NULL, NULL, 'MIP', NULL, 'MIP', NULL, NULL, 4814, 1),
(8119, NULL, 'cd08711', NULL, NULL, 'RGS_RGS8', NULL, 'RGS_RGS8', NULL, NULL, 33392, 1),
(8120, NULL, 'cd15481', NULL, NULL, 'SRP68-RBD', NULL, 'SRP68-RBD', NULL, NULL, 6227, 1),
(8121, NULL, 'cd14026', NULL, NULL, 'STKc_RIP2', NULL, 'STKc_RIP2', NULL, NULL, NULL, 1),
(8122, NULL, 'cd17243', NULL, NULL, 'RMtype1_S_AchA6I-TRD2-CR2_like', NULL, 'RMtype1_S_AchA6I-TRD2-CR2_like', NULL, NULL, NULL, 1),
(8123, NULL, 'cd05811', NULL, NULL, 'CBM20_glucoamylase', NULL, 'CBM20_glucoamylase', NULL, NULL, 10186, 1),
(8124, NULL, 'cd04509', NULL, NULL, 'PBP1_ABC_transporter_GPCR_C-like', NULL, 'PBP1_ABC_transporter_GPCR_C-like', NULL, NULL, NULL, 1),
(8125, NULL, 'cd15280', NULL, NULL, '7tmC_V2R-like', NULL, '7tmC_V2R-like', NULL, NULL, NULL, 1),
(8126, NULL, 'cd03429', NULL, NULL, 'NADH_pyrophosphatase', NULL, 'NADH_pyrophosphatase', NULL, NULL, NULL, 1),
(8127, NULL, 'cd02922', NULL, NULL, 'FCB2_FMN', NULL, 'FCB2_FMN', NULL, NULL, 34293, 1),
(8128, NULL, 'cd06408', NULL, NULL, 'PB1_NoxR', NULL, 'PB1_NoxR', NULL, NULL, 15603, 1),
(8129, NULL, 'cd03376', NULL, NULL, 'TPP_PFOR_porB_like', NULL, 'TPP_PFOR_porB_like', NULL, NULL, NULL, 1),
(8130, NULL, 'cd06160', NULL, NULL, 'S2P-M50_like_2', NULL, 'S2P-M50_like_2', NULL, NULL, NULL, 1),
(8131, NULL, 'cd19558', NULL, NULL, 'serpinA12_vaspin', NULL, 'serpinA12_vaspin', NULL, NULL, NULL, 1),
(8132, NULL, 'cd06094', NULL, NULL, 'RP_Saci_like', NULL, 'RP_Saci_like', NULL, NULL, 23644, 1),
(8133, NULL, 'cd13727', NULL, NULL, 'PBP2_iGluR_AMPA_GluR4', NULL, 'PBP2_iGluR_AMPA_GluR4', NULL, NULL, NULL, 1),
(8134, NULL, 'cd07239', NULL, NULL, 'BphC5-RK37_C_like', NULL, 'BphC5-RK37_C_like', NULL, NULL, NULL, 1),
(8135, NULL, 'cd10483', NULL, NULL, 'EphR_LBD_A5', NULL, 'EphR_LBD_A5', NULL, NULL, 29650, 1),
(8136, NULL, 'cd07279', NULL, NULL, 'PX_SNX20_21_like', NULL, 'PX_SNX20_21_like', NULL, NULL, NULL, 1),
(8137, NULL, 'cd04402', NULL, NULL, 'RhoGAP_ARHGAP20', NULL, 'RhoGAP_ARHGAP20', NULL, NULL, NULL, 1),
(8138, NULL, 'cd01302', NULL, NULL, 'Cyclic_amidohydrolases', NULL, 'Cyclic_amidohydrolases', NULL, NULL, NULL, 1),
(8139, NULL, 'cd11709', NULL, NULL, 'SPRY', NULL, 'SPRY', NULL, NULL, NULL, 1),
(8140, NULL, 'cd08602', NULL, NULL, 'GDPD_ScGlpQ1_like', NULL, 'GDPD_ScGlpQ1_like', NULL, NULL, NULL, 1),
(8141, NULL, 'cd00494', NULL, NULL, 'PBP2_HMBS', NULL, 'PBP2_HMBS', NULL, NULL, NULL, 1),
(8142, NULL, 'cd12176', NULL, NULL, 'PGDH_3', NULL, 'PGDH_3', NULL, NULL, NULL, 1),
(8143, NULL, 'cd01874', NULL, NULL, 'Cdc42', NULL, 'Cdc42', NULL, NULL, 29515, 1),
(8144, NULL, 'cd02989', NULL, NULL, 'Phd_like_TxnDC9', NULL, 'Phd_like_TxnDC9', NULL, NULL, NULL, 1),
(8145, NULL, 'cd10480', NULL, NULL, 'EphR_LBD_A2', NULL, 'EphR_LBD_A2', NULL, NULL, 21169, 1),
(8146, NULL, 'cd01570', NULL, NULL, 'NAPRTase_A', NULL, 'NAPRTase_A', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8147, NULL, 'cd01390', NULL, NULL, 'HMGB-UBF_HMG-box', NULL, 'HMGB-UBF_HMG-box', NULL, NULL, NULL, 1),
(8148, NULL, 'cd06456', NULL, NULL, 'M3A_DCP', NULL, 'M3A_DCP', NULL, NULL, 1814, 1),
(8149, NULL, 'cd03021', NULL, NULL, 'DsbA_GSTK', NULL, 'DsbA_GSTK', NULL, NULL, 37522, 1),
(8150, NULL, 'cd11628', NULL, NULL, 'HR1_CIP4_FNBP1L', NULL, 'HR1_CIP4_FNBP1L', NULL, NULL, NULL, 1),
(8151, NULL, 'cd01786', NULL, NULL, 'RA_STE50', NULL, 'RA_STE50', NULL, NULL, NULL, 1),
(8152, NULL, 'cd13142', NULL, NULL, 'MATE_like_12', NULL, 'MATE_like_12', NULL, NULL, NULL, 1),
(8153, NULL, 'cd04239', NULL, NULL, 'AAK_UMPK-like', NULL, 'AAK_UMPK-like', NULL, NULL, NULL, 1),
(8154, NULL, 'cd06096', NULL, NULL, 'Plasmepsin_5', NULL, 'Plasmepsin_5', NULL, NULL, 29983, 1),
(8155, NULL, 'cd01561', NULL, NULL, 'CBS_like', NULL, 'CBS_like', NULL, NULL, NULL, 1),
(8156, NULL, 'cd06437', NULL, NULL, 'CESA_CaSu_A2', NULL, 'CESA_CaSu_A2', NULL, NULL, NULL, 1),
(8157, NULL, 'cd15958', NULL, NULL, '7tmA_Beta1_AR', NULL, '7tmA_Beta1_AR', NULL, NULL, NULL, 1),
(8158, NULL, 'cd02121', NULL, NULL, 'PA_GCPII_like', NULL, 'PA_GCPII_like', NULL, NULL, NULL, 1),
(8159, NULL, 'cd16871', NULL, NULL, 'ARID_Swi1p-like', NULL, 'ARID_Swi1p-like', NULL, NULL, NULL, 1),
(8160, NULL, 'cd18413', NULL, NULL, 'BTB_POZ_Shab-like', NULL, 'BTB_POZ_Shab-like', NULL, NULL, NULL, 1),
(8161, NULL, 'cd11512', NULL, NULL, 'SLC6sbd_NET', NULL, 'SLC6sbd_NET', NULL, NULL, NULL, 1),
(8162, NULL, 'cd00199', NULL, NULL, 'WAP', NULL, 'WAP', NULL, NULL, NULL, 1),
(8163, NULL, 'cd09217', NULL, NULL, 'TLP-P', NULL, 'TLP-P', NULL, NULL, NULL, 1),
(8164, NULL, 'cd02568', NULL, NULL, 'PseudoU_synth_PUS1_PUS2', NULL, 'PseudoU_synth_PUS1_PUS2', NULL, NULL, 33305, 1),
(8165, NULL, 'cd10155', NULL, NULL, 'BsYrkD-like_DUF156', NULL, 'BsYrkD-like_DUF156', NULL, NULL, NULL, 1),
(8166, NULL, 'cd09460', NULL, NULL, 'LIM3_ZASP_Cypher', NULL, 'LIM3_ZASP_Cypher', NULL, NULL, NULL, 1),
(8167, NULL, 'cd04009', NULL, NULL, 'C2B_Munc13-like', NULL, 'C2B_Munc13-like', NULL, NULL, NULL, 1),
(8168, NULL, 'cd14249', NULL, NULL, 'ESP1_like', NULL, 'ESP1_like', NULL, NULL, NULL, 1),
(8169, NULL, 'cd01398', NULL, NULL, 'RPI_A', NULL, 'RPI_A', NULL, NULL, 5170, 1),
(8170, NULL, 'cd09325', NULL, NULL, 'TDT_C4-dicarb_trans', NULL, 'TDT_C4-dicarb_trans', NULL, NULL, NULL, 1),
(8171, NULL, 'cd02435', NULL, NULL, 'CCC1', NULL, 'CCC1', NULL, NULL, NULL, 1),
(8172, NULL, 'cd05026', NULL, NULL, 'S-100Z', NULL, 'S-100Z', NULL, NULL, 28036, 1),
(8173, NULL, 'cd14327', NULL, NULL, 'UBA_atUPL1_2_like', NULL, 'UBA_atUPL1_2_like', NULL, NULL, NULL, 1),
(8174, NULL, 'cd20072', NULL, NULL, 'SET_SET1', NULL, 'SET_SET1', NULL, NULL, NULL, 1),
(8175, NULL, 'cd07413', NULL, NULL, 'MPP_PA3087', NULL, 'MPP_PA3087', NULL, NULL, 32470, 1),
(8176, NULL, 'cd01202', NULL, NULL, 'PTB_FRS2', NULL, 'PTB_FRS2', NULL, NULL, 34350, 1),
(8177, NULL, 'cd13277', NULL, NULL, 'PH_Bem3', NULL, 'PH_Bem3', NULL, NULL, NULL, 1),
(8178, NULL, 'cd07487', NULL, NULL, 'Peptidases_S8_1', NULL, 'Peptidases_S8_1', NULL, NULL, NULL, 1),
(8179, NULL, 'cd08832', NULL, NULL, 'ArfGap_ADAP', NULL, 'ArfGap_ADAP', NULL, NULL, NULL, 1),
(8180, NULL, 'cd06607', NULL, NULL, 'STKc_TAO', NULL, 'STKc_TAO', NULL, NULL, NULL, 1),
(8181, NULL, 'cd17474', NULL, NULL, 'MFS_YfmO_like', NULL, 'MFS_YfmO_like', NULL, NULL, NULL, 1),
(8182, NULL, 'cd05480', NULL, NULL, 'NRIP_C', NULL, 'NRIP_C', NULL, NULL, 29456, 1),
(8183, NULL, 'cd17375', NULL, NULL, 'MFS_SLC22A16_CT2', NULL, 'MFS_SLC22A16_CT2', NULL, NULL, NULL, 1),
(8184, NULL, 'cd19996', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(8185, NULL, 'cd10486', NULL, NULL, 'EphR_LBD_A8', NULL, 'EphR_LBD_A8', NULL, NULL, 13466, 1),
(8186, NULL, 'cd17322', NULL, NULL, 'MFS_ARN_like', NULL, 'MFS_ARN_like', NULL, NULL, NULL, 1),
(8187, NULL, 'cd02953', NULL, NULL, 'DsbDgamma', NULL, 'DsbDgamma', NULL, NULL, 29712, 1),
(8188, NULL, 'cd00254', NULL, NULL, 'LT-like', NULL, 'LT-like', NULL, NULL, NULL, 1),
(8189, NULL, 'cd00907', NULL, NULL, 'Bacterioferritin', NULL, 'Bacterioferritin', NULL, NULL, 2484, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8190, NULL, 'cd05931', NULL, NULL, 'FAAL', NULL, 'FAAL', NULL, NULL, 34495, 1),
(8191, NULL, 'cd17045', NULL, NULL, 'Ubl_TBCEL', NULL, 'Ubl_TBCEL', NULL, NULL, NULL, 1),
(8192, NULL, 'cd16996', NULL, NULL, 'VHS_Tom1L2', NULL, 'VHS_Tom1L2', NULL, NULL, NULL, 1),
(8193, NULL, 'cd09081', NULL, NULL, 'CdtB', NULL, 'CdtB', NULL, NULL, 7472, 1),
(8194, NULL, 'cd13342', NULL, NULL, 'PH-GRAM_MTMR4', NULL, 'PH-GRAM_MTMR4', NULL, NULL, 30028, 1),
(8195, NULL, 'cd06993', NULL, NULL, 'cupin_CENP-C_C', NULL, 'cupin_CENP-C_C', NULL, NULL, NULL, 1),
(8196, NULL, 'cd09279', NULL, NULL, 'RNase_HI_like', NULL, 'RNase_HI_like', NULL, NULL, NULL, 1),
(8197, NULL, 'sd00037', NULL, NULL, 'PASTA', NULL, 'PASTA', NULL, NULL, NULL, 1),
(8198, NULL, 'cd16740', NULL, NULL, 'RING-HC_RING2', NULL, 'RING-HC_RING2', NULL, NULL, NULL, 1),
(8199, NULL, 'cd06285', NULL, NULL, 'PBP1_LacI-like', NULL, 'PBP1_LacI-like', NULL, NULL, NULL, 1),
(8200, NULL, 'cd03484', NULL, NULL, 'MutL_Trans_hPMS_2_like', NULL, 'MutL_Trans_hPMS_2_like', NULL, NULL, NULL, 1),
(8201, NULL, 'cd20184', NULL, NULL, 'M34_peptidase_like', NULL, 'M34_peptidase_like', NULL, NULL, NULL, 1),
(8202, NULL, 'cd00453', NULL, NULL, 'FTBP_aldolase_II', NULL, 'FTBP_aldolase_II', NULL, NULL, NULL, 1),
(8203, NULL, 'cd13895', NULL, NULL, 'CuRO_3_AAO_like_2', NULL, 'CuRO_3_AAO_like_2', NULL, NULL, 35794, 1),
(8204, NULL, 'cd16106', NULL, NULL, 'Ubl_Dsk2p_like', NULL, 'Ubl_Dsk2p_like', NULL, NULL, NULL, 1),
(8205, NULL, 'cd03065', NULL, NULL, 'PDI_b_Calsequestrin_N', NULL, 'PDI_b_Calsequestrin_N', NULL, NULL, 33039, 1),
(8206, NULL, 'cd05566', NULL, NULL, 'PTS_IIB_galactitol', NULL, 'PTS_IIB_galactitol', NULL, NULL, NULL, 1),
(8207, NULL, 'cd10352', NULL, NULL, 'SH2_a2chimerin_b2chimerin', NULL, 'SH2_a2chimerin_b2chimerin', NULL, NULL, 31563, 1),
(8208, NULL, 'cd18633', NULL, NULL, 'CD_MMP8', NULL, 'CD_MMP8', NULL, NULL, NULL, 1),
(8209, NULL, 'cd03776', NULL, NULL, 'MATH_TRAF6', NULL, 'MATH_TRAF6', NULL, NULL, 29923, 1),
(8210, NULL, 'cd17792', NULL, NULL, 'CtkA', NULL, 'CtkA', NULL, NULL, NULL, 1),
(8211, NULL, 'cd11776', NULL, NULL, 'SH3_PI3K_p85', NULL, 'SH3_PI3K_p85', NULL, NULL, NULL, 1),
(8212, NULL, 'cd18794', NULL, NULL, 'SF2_C_RecQ', NULL, 'SF2_C_RecQ', NULL, NULL, NULL, 1),
(8213, NULL, 'cd19707', NULL, NULL, 'bHLH_TS_TAL2', NULL, 'bHLH_TS_TAL2', NULL, NULL, NULL, 1),
(8214, NULL, 'cd00738', NULL, NULL, 'HGTP_anticodon', NULL, 'HGTP_anticodon', NULL, NULL, NULL, 1),
(8215, NULL, 'cd18708', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(8216, NULL, 'cd08406', NULL, NULL, 'C2B_Synaptotagmin-12', NULL, 'C2B_Synaptotagmin-12', NULL, NULL, NULL, 1),
(8217, NULL, 'cd09615', NULL, NULL, 'Jacalin_EEP', NULL, 'Jacalin_EEP', NULL, NULL, NULL, 1),
(8218, NULL, 'cd18449', NULL, NULL, 'BACK_KLHL9_13', NULL, 'BACK_KLHL9_13', NULL, NULL, NULL, 1),
(8219, NULL, 'cd11308', NULL, NULL, 'Peptidase_M14NE-CP-C_like', NULL, 'Peptidase_M14NE-CP-C_like', NULL, NULL, NULL, 1),
(8220, NULL, 'cd12422', NULL, NULL, 'RRM2_PTBP1_hnRNPL_like', NULL, 'RRM2_PTBP1_hnRNPL_like', NULL, NULL, NULL, 1),
(8221, NULL, 'cd03541', NULL, NULL, 'Rieske_RO_Alpha_CMO', NULL, 'Rieske_RO_Alpha_CMO', NULL, NULL, NULL, 1),
(8222, NULL, 'cd10977', NULL, NULL, 'CE4_PuuE_SpCDA1', NULL, 'CE4_PuuE_SpCDA1', NULL, NULL, 16846, 1),
(8223, NULL, 'cd15327', NULL, NULL, '7tmA_alpha1D_AR', NULL, '7tmA_alpha1D_AR', NULL, NULL, NULL, 1),
(8224, NULL, 'cd10815', NULL, NULL, 'GH38N_AMII_EcMngB_like', NULL, 'GH38N_AMII_EcMngB_like', NULL, NULL, NULL, 1),
(8225, NULL, 'cd07013', NULL, NULL, 'S14_ClpP', NULL, 'S14_ClpP', NULL, NULL, NULL, 1),
(8226, NULL, 'cd15908', NULL, NULL, '7tm_TAS2R40-like', NULL, '7tm_TAS2R40-like', NULL, NULL, NULL, 1),
(8227, NULL, 'cd14673', NULL, NULL, 'PH_PHLDB1_2', NULL, 'PH_PHLDB1_2', NULL, NULL, 34266, 1),
(8228, NULL, 'cd06313', NULL, NULL, 'PBP1_ABC_ThpA_XypA', NULL, 'PBP1_ABC_ThpA_XypA', NULL, NULL, NULL, 1),
(8229, NULL, 'cd14791', NULL, NULL, 'GH36', NULL, 'GH36', NULL, NULL, 6272, 1),
(8230, NULL, 'cd00986', NULL, NULL, 'PDZ_LON_protease', NULL, 'PDZ_LON_protease', NULL, NULL, 31592, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8231, NULL, 'cd04686', NULL, NULL, 'Nudix_Hydrolase_27', NULL, 'Nudix_Hydrolase_27', NULL, NULL, NULL, 1),
(8232, NULL, 'cd06495', NULL, NULL, 'p23_NUDCD3_like', NULL, 'p23_NUDCD3_like', NULL, NULL, 32751, 1),
(8233, NULL, 'cd06821', NULL, NULL, 'PLPDE_III_D-TA', NULL, 'PLPDE_III_D-TA', NULL, NULL, NULL, 1),
(8234, NULL, 'cd09872', NULL, NULL, 'PIN_Sll0205-like', NULL, 'PIN_Sll0205-like', NULL, NULL, 33103, 1),
(8235, NULL, 'cd11796', NULL, NULL, 'SH3_DNMBP_N3', NULL, 'SH3_DNMBP_N3', NULL, NULL, 30550, 1),
(8236, NULL, 'cd12894', NULL, NULL, 'SPRY_PRY_TRIM36', NULL, 'SPRY_PRY_TRIM36', NULL, NULL, 29775, 1),
(8237, NULL, 'cd07600', NULL, NULL, 'BAR_Gvp36', NULL, 'BAR_Gvp36', NULL, NULL, NULL, 1),
(8238, NULL, 'cd16033', NULL, NULL, 'sulfatase_like', NULL, 'sulfatase_like', NULL, NULL, NULL, 1),
(8239, NULL, 'cd18781', NULL, NULL, 'ABC_6TM_AarD_CydDC_like', NULL, 'ABC_6TM_AarD_CydDC_like', NULL, NULL, NULL, 1),
(8240, NULL, 'cd18137', NULL, NULL, 'HLD_clamp_pol_III_gamma_tau', NULL, 'HLD_clamp_pol_III_gamma_tau', NULL, NULL, 38038, 1),
(8241, NULL, 'cd12656', NULL, NULL, 'RRM3_HuD', NULL, 'RRM3_HuD', NULL, NULL, 11465, 1),
(8242, NULL, 'cd01233', NULL, NULL, 'PH_KIFIA_KIFIB', NULL, 'PH_KIFIA_KIFIB', NULL, NULL, NULL, 1),
(8243, NULL, 'cd16561', NULL, NULL, 'RING-HC_RNF213', NULL, 'RING-HC_RNF213', NULL, NULL, NULL, 1),
(8244, NULL, 'cd06962', NULL, NULL, 'NR_DBD_FXR', NULL, 'NR_DBD_FXR', NULL, NULL, NULL, 1),
(8245, NULL, 'cd05571', NULL, NULL, 'STKc_PKB', NULL, 'STKc_PKB', NULL, NULL, NULL, 1),
(8246, NULL, 'cd14297', NULL, NULL, 'UBA2_spUBP14_like', NULL, 'UBA2_spUBP14_like', NULL, NULL, NULL, 1),
(8247, NULL, 'cd10543', NULL, NULL, 'SET_EHMT', NULL, 'SET_EHMT', NULL, NULL, NULL, 1),
(8248, NULL, 'cd14667', NULL, NULL, '3D_containing_proteins', NULL, '3D_containing_proteins', NULL, NULL, NULL, 1),
(8249, NULL, 'cd01798', NULL, NULL, 'Ubl_parkin', NULL, 'Ubl_parkin', NULL, NULL, NULL, 1),
(8250, NULL, 'cd17269', NULL, NULL, 'RMtype1_S_PluTORF4319P-TRD2-CR2_like', NULL, 'RMtype1_S_PluTORF4319P-TRD2-CR2_like', NULL, NULL, NULL, 1),
(8251, NULL, 'cd00433', NULL, NULL, 'Peptidase_M17', NULL, 'Peptidase_M17', NULL, NULL, 14751, 1),
(8252, NULL, 'cd01699', NULL, NULL, 'RNA_dep_RNAP', NULL, 'RNA_dep_RNAP', NULL, NULL, NULL, 1),
(8253, NULL, 'cd05611', NULL, NULL, 'STKc_Rim15_like', NULL, 'STKc_Rim15_like', NULL, NULL, NULL, 1),
(8254, NULL, 'cd16713', NULL, NULL, 'RING-HC_BIRC2_3_7', NULL, 'RING-HC_BIRC2_3_7', NULL, NULL, NULL, 1),
(8255, NULL, 'cd18067', NULL, NULL, 'DEXHc_RAD54A', NULL, 'DEXHc_RAD54A', NULL, NULL, NULL, 1),
(8256, NULL, 'cd10544', NULL, NULL, 'SET_SETMAR', NULL, 'SET_SETMAR', NULL, NULL, NULL, 1),
(8257, NULL, 'cd16707', NULL, NULL, 'RING-HC_CARP2', NULL, 'RING-HC_CARP2', NULL, NULL, NULL, 1),
(8258, NULL, 'sd00031', NULL, NULL, 'LRR_1', NULL, 'LRR_1', NULL, NULL, NULL, 1),
(8259, NULL, 'cd04492', NULL, NULL, 'YhaM_OBF_like', NULL, 'YhaM_OBF_like', NULL, NULL, NULL, 1),
(8260, NULL, 'cd05121', NULL, NULL, 'ABC1_ADCK3-like', NULL, 'ABC1_ADCK3-like', NULL, NULL, NULL, 1),
(8261, NULL, 'cd13698', NULL, NULL, 'PBP2_HisGluGlnArgOpine', NULL, 'PBP2_HisGluGlnArgOpine', NULL, NULL, NULL, 1),
(8262, NULL, 'cd06151', NULL, NULL, 'YjgF_YER057c_UK114_like_3', NULL, 'YjgF_YER057c_UK114_like_3', NULL, NULL, NULL, 1),
(8263, NULL, 'cd00222', NULL, NULL, 'CollagenBindB', NULL, 'CollagenBindB', NULL, NULL, 12471, 1),
(8264, NULL, 'cd09215', NULL, NULL, 'Thaumatin-like', NULL, 'Thaumatin-like', NULL, NULL, NULL, 1),
(8265, NULL, 'cd02972', NULL, NULL, 'DsbA_family', NULL, 'DsbA_family', NULL, NULL, NULL, 1),
(8266, NULL, 'cd00135', NULL, NULL, 'PDGF', NULL, 'PDGF', NULL, NULL, 2771, 1),
(8267, NULL, 'cd08409', NULL, NULL, 'C2B_Synaptotagmin-15', NULL, 'C2B_Synaptotagmin-15', NULL, NULL, NULL, 1),
(8268, NULL, 'cd20238', NULL, NULL, 'PFM_ABFB-like', NULL, 'PFM_ABFB-like', NULL, NULL, NULL, 1),
(8269, NULL, 'cd11557', NULL, NULL, 'ST7', NULL, 'ST7', NULL, NULL, 4760, 1),
(8270, NULL, 'cd01059', NULL, NULL, 'CCC1_like', NULL, 'CCC1_like', NULL, NULL, NULL, 1),
(8271, NULL, 'cd17133', NULL, NULL, 'RBD_ARAF', NULL, 'RBD_ARAF', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8272, NULL, 'cd08794', NULL, NULL, 'Death_IRAK1', NULL, 'Death_IRAK1', NULL, NULL, 35183, 1),
(8273, NULL, 'cd13175', NULL, NULL, 'RanBD5_RanBP2_insect-like', NULL, 'RanBD5_RanBP2_insect-like', NULL, NULL, NULL, 1),
(8274, NULL, 'cd14725', NULL, NULL, 'ZIP_Gal4-like_2', NULL, 'ZIP_Gal4-like_2', NULL, NULL, NULL, 1),
(8275, NULL, 'cd06059', NULL, NULL, 'Tubulin', NULL, 'Tubulin', NULL, NULL, NULL, 1),
(8276, NULL, 'cd19877', NULL, NULL, 'DSRM_RNAse_III_meta_like', NULL, 'DSRM_RNAse_III_meta_like', NULL, NULL, 40025, 1),
(8277, NULL, 'cd14585', NULL, NULL, 'PTP-MTMR6', NULL, 'PTP-MTMR6', NULL, NULL, NULL, 1),
(8278, NULL, 'cd01693', NULL, NULL, 'mtEFG2_like_IV', NULL, 'mtEFG2_like_IV', NULL, NULL, NULL, 1),
(8279, NULL, 'cd00061', NULL, NULL, 'FN1', NULL, 'FN1', NULL, NULL, 3614, 1),
(8280, NULL, 'cd02991', NULL, NULL, 'UAS_ETEA', NULL, 'UAS_ETEA', NULL, NULL, NULL, 1),
(8281, NULL, 'cd00505', NULL, NULL, 'Glyco_transf_8', NULL, 'Glyco_transf_8', NULL, NULL, NULL, 1),
(8282, NULL, 'cd05392', NULL, NULL, 'RasGAP_Neurofibromin_like', NULL, 'RasGAP_Neurofibromin_like', NULL, NULL, NULL, 1),
(8283, NULL, 'cd01443', NULL, NULL, 'Cdc25_Acr2p', NULL, 'Cdc25_Acr2p', NULL, NULL, NULL, 1),
(8284, NULL, 'cd05776', NULL, NULL, 'DNA_polB_alpha_exo', NULL, 'DNA_polB_alpha_exo', NULL, NULL, NULL, 1),
(8285, NULL, 'cd06878', NULL, NULL, 'PX_SNX25', NULL, 'PX_SNX25', NULL, NULL, 30796, 1),
(8286, NULL, 'cd05892', NULL, NULL, 'Ig_Myotilin_C', NULL, 'Ig_Myotilin_C', NULL, NULL, NULL, 1),
(8287, NULL, 'cd12365', NULL, NULL, 'RRM_RNPS1', NULL, 'RRM_RNPS1', NULL, NULL, 18691, 1),
(8288, NULL, 'cd06261', NULL, NULL, 'TM_PBP2', NULL, 'TM_PBP2', NULL, NULL, 5913, 1),
(8289, NULL, 'cd17283', NULL, NULL, 'RMtype1_S_Hpy180ORF7835P_TRD2-CR2_like', NULL, 'RMtype1_S_Hpy180ORF7835P_TRD2-CR2_like', NULL, NULL, NULL, 1),
(8290, NULL, 'cd01434', NULL, NULL, 'EFG_mtEFG1_IV', NULL, 'EFG_mtEFG1_IV', NULL, NULL, 1691, 1),
(8291, NULL, 'cd02181', NULL, NULL, 'GH16_fungal_Lam16A_glucanase', NULL, 'GH16_fungal_Lam16A_glucanase', NULL, NULL, NULL, 1),
(8292, NULL, 'cd03557', NULL, NULL, 'L-arabinose_isomerase', NULL, 'L-arabinose_isomerase', NULL, NULL, NULL, 1),
(8293, NULL, 'cd01665', NULL, NULL, 'Cyt_c_Oxidase_III', NULL, 'Cyt_c_Oxidase_III', NULL, NULL, 34770, 1),
(8294, NULL, 'cd09637', NULL, NULL, 'Cas4_I-A_I-B_I-C_I-D_II-B', NULL, 'Cas4_I-A_I-B_I-C_I-D_II-B', NULL, NULL, NULL, 1),
(8295, NULL, 'cd01309', NULL, NULL, 'Met_dep_hydrolase_C', NULL, 'Met_dep_hydrolase_C', NULL, NULL, NULL, 1),
(8296, NULL, 'cd19205', NULL, NULL, 'SET_SETD1B', NULL, 'SET_SETD1B', NULL, NULL, NULL, 1),
(8297, NULL, 'cd00156', NULL, NULL, 'REC', NULL, 'REC', NULL, NULL, NULL, 1),
(8298, NULL, 'cd07125', NULL, NULL, 'ALDH_PutA-P5CDH', NULL, 'ALDH_PutA-P5CDH', NULL, NULL, NULL, 1),
(8299, NULL, 'cd07740', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, NULL, 1),
(8300, NULL, 'cd19843', NULL, NULL, 'Bbox1_TRIM9_C-I', NULL, 'Bbox1_TRIM9_C-I', NULL, NULL, NULL, 1),
(8301, NULL, 'cd17244', NULL, NULL, 'RMtype1_S_Apa101655I-TRD2-CR2_like', NULL, 'RMtype1_S_Apa101655I-TRD2-CR2_like', NULL, NULL, NULL, 1),
(8302, NULL, 'cd12637', NULL, NULL, 'RRM2_FCA', NULL, 'RRM2_FCA', NULL, NULL, 7047, 1),
(8303, NULL, 'cd05302', NULL, NULL, 'FDH', NULL, 'FDH', NULL, NULL, 30386, 1),
(8304, NULL, 'cd09616', NULL, NULL, 'Peptidase_C12_UCH_L1_L3', NULL, 'Peptidase_C12_UCH_L1_L3', NULL, NULL, NULL, 1),
(8305, NULL, 'cd07819', NULL, NULL, 'SRPBCC_2', NULL, 'SRPBCC_2', NULL, NULL, NULL, 1),
(8306, NULL, 'cd21508', NULL, NULL, 'HEV_Spike_S1_RBD', NULL, 'HEV_Spike_S1_RBD', NULL, NULL, 36986, 1),
(8307, NULL, 'cd15363', NULL, NULL, '7tmA_LGR5', NULL, '7tmA_LGR5', NULL, NULL, NULL, 1),
(8308, NULL, 'cd11508', NULL, NULL, 'SLC6sbd_GAT3', NULL, 'SLC6sbd_GAT3', NULL, NULL, 7316, 1),
(8309, NULL, 'cd18921', NULL, NULL, 'bHLHzip_SREBP1', NULL, 'bHLHzip_SREBP1', NULL, NULL, NULL, 1),
(8310, NULL, 'cd08055', NULL, NULL, 'gp15', NULL, 'gp15', NULL, NULL, NULL, 1),
(8311, NULL, 'cd06430', NULL, NULL, 'GT8_like_2', NULL, 'GT8_like_2', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8312, NULL, 'cd19415', NULL, NULL, 'lipocalin_ApoM_AGP', NULL, 'lipocalin_ApoM_AGP', NULL, NULL, NULL, 1),
(8313, NULL, 'cd02573', NULL, NULL, 'PseudoU_synth_EcTruB', NULL, 'PseudoU_synth_EcTruB', NULL, NULL, 8687, 1),
(8314, NULL, 'cd02767', NULL, NULL, 'MopB_ydeP', NULL, 'MopB_ydeP', NULL, NULL, 33421, 1),
(8315, NULL, 'cd09643', NULL, NULL, 'Csn1', NULL, 'Csn1', NULL, NULL, NULL, 1),
(8316, NULL, 'cd10958', NULL, NULL, 'CE4_NodB_like_2', NULL, 'CE4_NodB_like_2', NULL, NULL, NULL, 1),
(8317, NULL, 'cd01833', NULL, NULL, 'XynB_like', NULL, 'XynB_like', NULL, NULL, NULL, 1),
(8318, NULL, 'cd06154', NULL, NULL, 'YjgF_YER057c_UK114_like_6', NULL, 'YjgF_YER057c_UK114_like_6', NULL, NULL, NULL, 1),
(8319, NULL, 'cd08852', NULL, NULL, 'ArfGap_ACAP1', NULL, 'ArfGap_ACAP1', NULL, NULL, NULL, 1),
(8320, NULL, 'cd20311', NULL, NULL, 'cupin_Yhhw_C', NULL, 'cupin_Yhhw_C', NULL, NULL, NULL, 1),
(8321, NULL, 'cd17902', NULL, NULL, 'ArfGap_ARAP3', NULL, 'ArfGap_ARAP3', NULL, NULL, NULL, 1),
(8322, NULL, 'cd06556', NULL, NULL, 'ICL_KPHMT', NULL, 'ICL_KPHMT', NULL, NULL, NULL, 1),
(8323, NULL, 'cd07914', NULL, NULL, 'IGPD', NULL, 'IGPD', NULL, NULL, 5127, 1),
(8324, NULL, 'cd15703', NULL, NULL, 'ePHD_BRPF3', NULL, 'ePHD_BRPF3', NULL, NULL, 32632, 1),
(8325, NULL, 'cd10557', NULL, NULL, 'NarH_beta-like', NULL, 'NarH_beta-like', NULL, NULL, 269, 1),
(8326, NULL, 'cd08349', NULL, NULL, 'BLMA_like', NULL, 'BLMA_like', NULL, NULL, 576, 1),
(8327, NULL, 'cd02876', NULL, NULL, 'GH18_SI-CLP', NULL, 'GH18_SI-CLP', NULL, NULL, NULL, 1),
(8328, NULL, 'cd12360', NULL, NULL, 'RRM_cwf2', NULL, 'RRM_cwf2', NULL, NULL, 20470, 1),
(8329, NULL, 'cd14187', NULL, NULL, 'STKc_PLK1', NULL, 'STKc_PLK1', NULL, NULL, 30075, 1),
(8330, NULL, 'cd09742', NULL, NULL, 'Csm6_III-A', NULL, 'Csm6_III-A', NULL, NULL, NULL, 1),
(8331, NULL, 'sd00042', NULL, NULL, 'LVIVD', NULL, 'LVIVD', NULL, NULL, NULL, 1),
(8332, NULL, 'cd03214', NULL, NULL, 'ABC_Iron-Siderophores_B12_Hemin', NULL, 'ABC_Iron-Siderophores_B12_Hemin', NULL, NULL, NULL, 1),
(8333, NULL, 'cd17022', NULL, NULL, 'T3SC_IA_SigE-like', NULL, 'T3SC_IA_SigE-like', NULL, NULL, 18545, 1),
(8334, NULL, 'cd05927', NULL, NULL, 'LC-FACS_euk', NULL, 'LC-FACS_euk', NULL, NULL, 36594, 1),
(8335, NULL, 'cd14701', NULL, NULL, 'bZIP_BATF', NULL, 'bZIP_BATF', NULL, NULL, NULL, 1),
(8336, NULL, 'cd18200', NULL, NULL, 'BTB_POZ_ZBTB9', NULL, 'BTB_POZ_ZBTB9', NULL, NULL, NULL, 1),
(8337, NULL, 'cd12031', NULL, NULL, 'SH3_DLG1', NULL, 'SH3_DLG1', NULL, NULL, NULL, 1),
(8338, NULL, 'cd12103', NULL, NULL, 'DD_RIIalpha_PKA', NULL, 'DD_RIIalpha_PKA', NULL, NULL, NULL, 1),
(8339, NULL, 'cd12213', NULL, NULL, 'ABD', NULL, 'ABD', NULL, NULL, NULL, 1),
(8340, NULL, 'cd12767', NULL, NULL, 'RRM2_SRSF1', NULL, 'RRM2_SRSF1', NULL, NULL, NULL, 1),
(8341, NULL, 'cd18803', NULL, NULL, 'SF2_C_secA', NULL, 'SF2_C_secA', NULL, NULL, 38695, 1),
(8342, NULL, 'cd06571', NULL, NULL, 'Bac_DnaA_C', NULL, 'Bac_DnaA_C', NULL, NULL, 8556, 1),
(8343, NULL, 'cd16089', NULL, NULL, 'IgV_CRIg', NULL, 'IgV_CRIg', NULL, NULL, 30954, 1),
(8344, NULL, 'cd11542', NULL, NULL, 'NTP-PPase_u5', NULL, 'NTP-PPase_u5', NULL, NULL, NULL, 1),
(8345, NULL, 'cd12252', NULL, NULL, 'RRM_DbpA', NULL, 'RRM_DbpA', NULL, NULL, NULL, 1),
(8346, NULL, 'cd07005', NULL, NULL, 'cupin_WbuC-like', NULL, 'cupin_WbuC-like', NULL, NULL, NULL, 1),
(8347, NULL, 'cd03205', NULL, NULL, 'GST_C_6', NULL, 'GST_C_6', NULL, NULL, NULL, 1),
(8348, NULL, 'cd09020', NULL, NULL, 'D-hex-6-P-epi_like', NULL, 'D-hex-6-P-epi_like', NULL, NULL, 24943, 1),
(8349, NULL, 'cd11348', NULL, NULL, 'AmyAc_2', NULL, 'AmyAc_2', NULL, NULL, NULL, 1),
(8350, NULL, 'cd07879', NULL, NULL, 'STKc_p38delta', NULL, 'STKc_p38delta', NULL, NULL, 33740, 1),
(8351, NULL, 'cd13905', NULL, NULL, 'CuRO_3_tcLLC2_insect_like', NULL, 'CuRO_3_tcLLC2_insect_like', NULL, NULL, NULL, 1),
(8352, NULL, 'cd19980', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(8353, NULL, 'cd02414', NULL, NULL, 'jag_KH', NULL, 'jag_KH', NULL, NULL, 30047, 1),
(8354, NULL, 'cd10148', NULL, NULL, 'CsoR-like_DUF156', NULL, 'CsoR-like_DUF156', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8355, NULL, 'cd18086', NULL, NULL, 'HsC9orf114-like', NULL, 'HsC9orf114-like', NULL, NULL, 2013, 1),
(8356, NULL, 'cd04774', NULL, NULL, 'HTH_YfmP', NULL, 'HTH_YfmP', NULL, NULL, 30461, 1),
(8357, NULL, 'cd19762', NULL, NULL, 'Bbox2_TRIM7-like', NULL, 'Bbox2_TRIM7-like', NULL, NULL, NULL, 1),
(8358, NULL, 'cd11435', NULL, NULL, 'bHLH-PAS_AhRR', NULL, 'bHLH-PAS_AhRR', NULL, NULL, NULL, 1),
(8359, NULL, 'cd13650', NULL, NULL, 'PBP2_THI5', NULL, 'PBP2_THI5', NULL, NULL, NULL, 1),
(8360, NULL, 'cd13244', NULL, NULL, 'PH_PLEKHG5_G6', NULL, 'PH_PLEKHG5_G6', NULL, NULL, NULL, 1),
(8361, NULL, 'cd15264', NULL, NULL, '7tmB1_CRF-R', NULL, '7tmB1_CRF-R', NULL, NULL, NULL, 1),
(8362, NULL, 'cd19614', NULL, NULL, 'FABP_Der_p_13-like', NULL, 'FABP_Der_p_13-like', NULL, NULL, NULL, 1),
(8363, NULL, 'cd19933', NULL, NULL, 'REC_ETR-like', NULL, 'REC_ETR-like', NULL, NULL, NULL, 1),
(8364, NULL, 'cd02997', NULL, NULL, 'PDI_a_PDIR', NULL, 'PDI_a_PDIR', NULL, NULL, NULL, 1),
(8365, NULL, 'cd13221', NULL, NULL, 'PH-GRAM_GRAMDC4', NULL, 'PH-GRAM_GRAMDC4', NULL, NULL, 34917, 1),
(8366, NULL, 'cd06265', NULL, NULL, 'RNase_A_canonical', NULL, 'RNase_A_canonical', NULL, NULL, NULL, 1),
(8367, NULL, 'cd14003', NULL, NULL, 'STKc_AMPK-like', NULL, 'STKc_AMPK-like', NULL, NULL, NULL, 1),
(8368, NULL, 'cd16436', NULL, NULL, 'beta_Kdo_transferase', NULL, 'beta_Kdo_transferase', NULL, NULL, NULL, 1),
(8369, NULL, 'cd18520', NULL, NULL, 'BACK_roadkill_like', NULL, 'BACK_roadkill_like', NULL, NULL, NULL, 1),
(8370, NULL, 'cd05888', NULL, NULL, 'Ig1_Nectin-4_like', NULL, 'Ig1_Nectin-4_like', NULL, NULL, NULL, 1),
(8371, NULL, 'cd14777', NULL, NULL, 'Yhb1-globin-like', NULL, 'Yhb1-globin-like', NULL, NULL, NULL, 1),
(8372, NULL, 'cd18669', NULL, NULL, 'M20_18_42', NULL, 'M20_18_42', NULL, NULL, NULL, 1),
(8373, NULL, 'cd18980', NULL, NULL, 'CD_NC-like', NULL, 'CD_NC-like', NULL, NULL, NULL, 1),
(8374, NULL, 'cd01474', NULL, NULL, 'vWA_ATR', NULL, 'vWA_ATR', NULL, NULL, NULL, 1),
(8375, NULL, 'cd03530', NULL, NULL, 'Rieske_NirD_small_Bacillus', NULL, 'Rieske_NirD_small_Bacillus', NULL, NULL, NULL, 1),
(8376, NULL, 'cd13842', NULL, NULL, 'CuRO_HCO_II_like', NULL, 'CuRO_HCO_II_like', NULL, NULL, NULL, 1),
(8377, NULL, 'cd08416', NULL, NULL, 'PBP2_MdcR', NULL, 'PBP2_MdcR', NULL, NULL, 35170, 1),
(8378, NULL, 'cd20009', NULL, NULL, 'PBP1_RafR-like', NULL, 'PBP1_RafR-like', NULL, NULL, NULL, 1),
(8379, NULL, 'cd12427', NULL, NULL, 'RRM4_hnRNPL_like', NULL, 'RRM4_hnRNPL_like', NULL, NULL, NULL, 1),
(8380, NULL, 'cd11859', NULL, NULL, 'SH3_ZO', NULL, 'SH3_ZO', NULL, NULL, NULL, 1),
(8381, NULL, 'cd06927', NULL, NULL, 'RNAP_L', NULL, 'RNAP_L', NULL, NULL, NULL, 1),
(8382, NULL, 'cd17174', NULL, NULL, 'FERM_F1_TLN2', NULL, 'FERM_F1_TLN2', NULL, NULL, NULL, 1),
(8383, NULL, 'cd19217', NULL, NULL, 'SET_EZH1', NULL, 'SET_EZH1', NULL, NULL, 38744, 1),
(8384, NULL, 'cd16618', NULL, NULL, 'mRING-HC-C4C4_CNOT4', NULL, 'mRING-HC-C4C4_CNOT4', NULL, NULL, 36215, 1),
(8385, NULL, 'cd14172', NULL, NULL, 'STKc_MAPKAPK3', NULL, 'STKc_MAPKAPK3', NULL, NULL, NULL, 1),
(8386, NULL, 'cd08659', NULL, NULL, 'M20_ArgE_DapE-like', NULL, 'M20_ArgE_DapE-like', NULL, NULL, NULL, 1),
(8387, NULL, 'cd12363', NULL, NULL, 'RRM_TRA2', NULL, 'RRM_TRA2', NULL, NULL, NULL, 1),
(8388, NULL, 'cd16542', NULL, NULL, 'RING-HC_RNF125', NULL, 'RING-HC_RNF125', NULL, NULL, NULL, 1),
(8389, NULL, 'cd14930', NULL, NULL, 'MYSc_Myh14_mammals', NULL, 'MYSc_Myh14_mammals', NULL, NULL, NULL, 1),
(8390, NULL, 'cd15042', NULL, NULL, '7tmC_Boss', NULL, '7tmC_Boss', NULL, NULL, NULL, 1),
(8391, NULL, 'cd15133', NULL, NULL, '7tmA_NMU-R', NULL, '7tmA_NMU-R', NULL, NULL, NULL, 1),
(8392, NULL, 'cd12215', NULL, NULL, 'ChiC_BD', NULL, 'ChiC_BD', NULL, NULL, NULL, 1),
(8393, NULL, 'cd16198', NULL, NULL, 'EFh_PEF_CAPN1', NULL, 'EFh_PEF_CAPN1', NULL, NULL, NULL, 1),
(8394, NULL, 'cd07457', NULL, NULL, 'CRD_FZ9_like', NULL, 'CRD_FZ9_like', NULL, NULL, NULL, 1),
(8395, NULL, 'cd06980', NULL, NULL, 'cupin_bxe_c0505', NULL, 'cupin_bxe_c0505', NULL, NULL, NULL, 1),
(8396, NULL, 'cd13518', NULL, NULL, 'PBP2_Fe3_thiamine_like', NULL, 'PBP2_Fe3_thiamine_like', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8397, NULL, 'cd02015', NULL, NULL, 'TPP_AHAS', NULL, 'TPP_AHAS', NULL, NULL, 33018, 1),
(8398, NULL, 'cd16482', NULL, NULL, 'RING-H2_UBR1_like', NULL, 'RING-H2_UBR1_like', NULL, NULL, NULL, 1),
(8399, NULL, 'cd17639', NULL, NULL, 'LC_FACS_euk1', NULL, 'LC_FACS_euk1', NULL, NULL, NULL, 1),
(8400, NULL, 'cd13292', NULL, NULL, 'PH_Osh1p_Osh2p_yeast', NULL, 'PH_Osh1p_Osh2p_yeast', NULL, NULL, NULL, 1),
(8401, NULL, 'cd03315', NULL, NULL, 'MLE_like', NULL, 'MLE_like', NULL, NULL, 11998, 1),
(8402, NULL, 'cd08053', NULL, NULL, 'Yqbg', NULL, 'Yqbg', NULL, NULL, 7043, 1),
(8403, NULL, 'cd05110', NULL, NULL, 'PTKc_HER4', NULL, 'PTKc_HER4', NULL, NULL, NULL, 1),
(8404, NULL, 'cd12622', NULL, NULL, 'RRM3_PUB1', NULL, 'RRM3_PUB1', NULL, NULL, 12519, 1),
(8405, NULL, 'cd13340', NULL, NULL, 'PH-GRAM_MTMR5', NULL, 'PH-GRAM_MTMR5', NULL, NULL, NULL, 1),
(8406, NULL, 'cd02216', NULL, NULL, 'cupin_GDO-like_N', NULL, 'cupin_GDO-like_N', NULL, NULL, NULL, 1),
(8407, NULL, 'cd06967', NULL, NULL, 'NR_DBD_TR2_like', NULL, 'NR_DBD_TR2_like', NULL, NULL, NULL, 1),
(8408, NULL, 'cd08725', NULL, NULL, 'RGS_RGS22_4', NULL, 'RGS_RGS22_4', NULL, NULL, NULL, 1),
(8409, NULL, 'cd13210', NULL, NULL, 'PH-GRAM_MTMR6-like', NULL, 'PH-GRAM_MTMR6-like', NULL, NULL, NULL, 1),
(8410, NULL, 'cd05604', NULL, NULL, 'STKc_SGK3', NULL, 'STKc_SGK3', NULL, NULL, 33509, 1),
(8411, NULL, 'cd12338', NULL, NULL, 'RRM1_SRSF1_like', NULL, 'RRM1_SRSF1_like', NULL, NULL, NULL, 1),
(8412, NULL, 'cd08273', NULL, NULL, 'MDR8', NULL, 'MDR8', NULL, NULL, NULL, 1),
(8413, NULL, 'cd08366', NULL, NULL, 'APC10', NULL, 'APC10', NULL, NULL, 17061, 1),
(8414, NULL, 'cd02616', NULL, NULL, 'HAD_PPase', NULL, 'HAD_PPase', NULL, NULL, NULL, 1),
(8415, NULL, 'cd04776', NULL, NULL, 'HTH_GnyR', NULL, 'HTH_GnyR', NULL, NULL, NULL, 1),
(8416, NULL, 'cd07603', NULL, NULL, 'BAR_ACAPs', NULL, 'BAR_ACAPs', NULL, NULL, NULL, 1),
(8417, NULL, 'cd05083', NULL, NULL, 'PTKc_Chk', NULL, 'PTKc_Chk', NULL, NULL, NULL, 1),
(8418, NULL, 'cd14886', NULL, NULL, 'MYSc_Myo25', NULL, 'MYSc_Myo25', NULL, NULL, NULL, 1),
(8419, NULL, 'cd02210', NULL, NULL, 'cupin_BLR2406-like', NULL, 'cupin_BLR2406-like', NULL, NULL, NULL, 1),
(8420, NULL, 'cd03490', NULL, NULL, 'Topoisomer_IB_N_1', NULL, 'Topoisomer_IB_N_1', NULL, NULL, NULL, 1),
(8421, NULL, 'cd19110', NULL, NULL, 'AKR_AKR1E1-2', NULL, 'AKR_AKR1E1-2', NULL, NULL, 37874, 1),
(8422, NULL, 'cd11873', NULL, NULL, 'SH3_CD2AP-like_1', NULL, 'SH3_CD2AP-like_1', NULL, NULL, NULL, 1),
(8423, NULL, 'cd10339', NULL, NULL, 'SH2_RIN_family', NULL, 'SH2_RIN_family', NULL, NULL, NULL, 1),
(8424, NULL, 'cd07609', NULL, NULL, 'BAR_SIP3_fungi', NULL, 'BAR_SIP3_fungi', NULL, NULL, 33550, 1),
(8425, NULL, 'cd00885', NULL, NULL, 'cinA', NULL, 'cinA', NULL, NULL, 6324, 1),
(8426, NULL, 'cd06817', NULL, NULL, 'PLPDE_III_DSD', NULL, 'PLPDE_III_DSD', NULL, NULL, NULL, 1),
(8427, NULL, 'cd18912', NULL, NULL, 'bHLH_TS_bHLHa9', NULL, 'bHLH_TS_bHLHa9', NULL, NULL, NULL, 1),
(8428, NULL, 'cd21161', NULL, NULL, 'NendoU_cv_Nsp15-like', NULL, 'NendoU_cv_Nsp15-like', NULL, NULL, 36608, 1),
(8429, NULL, 'cd01791', NULL, NULL, 'Ubl_UBL5', NULL, 'Ubl_UBL5', NULL, NULL, NULL, 1),
(8430, NULL, 'cd16861', NULL, NULL, 'ING_ING2', NULL, 'ING_ING2', NULL, NULL, NULL, 1),
(8431, NULL, 'cd03420', NULL, NULL, 'SirA_RHOD_Pry_redox', NULL, 'SirA_RHOD_Pry_redox', NULL, NULL, NULL, 1),
(8432, NULL, 'cd07324', NULL, NULL, 'M48C_Oma1-like', NULL, 'M48C_Oma1-like', NULL, NULL, NULL, 1),
(8433, NULL, 'cd16575', NULL, NULL, 'RING-HC_MID_C-I', NULL, 'RING-HC_MID_C-I', NULL, NULL, NULL, 1),
(8434, NULL, 'cd14608', NULL, NULL, 'PTPc-N1', NULL, 'PTPc-N1', NULL, NULL, NULL, 1),
(8435, NULL, 'cd09137', NULL, NULL, 'PLDc_PGS1_euk_2', NULL, 'PLDc_PGS1_euk_2', NULL, NULL, NULL, 1),
(8436, NULL, 'cd19130', NULL, NULL, 'AKR_AKR5C1', NULL, 'AKR_AKR5C1', NULL, NULL, 38345, 1),
(8437, NULL, 'cd17962', NULL, NULL, 'DEADc_DDX59', NULL, 'DEADc_DDX59', NULL, NULL, NULL, 1),
(8438, NULL, 'cd11332', NULL, NULL, 'AmyAc_OligoGlu_TS', NULL, 'AmyAc_OligoGlu_TS', NULL, NULL, NULL, 1),
(8439, NULL, 'cd03026', NULL, NULL, 'AhpF_NTD_C', NULL, 'AhpF_NTD_C', NULL, NULL, 37884, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8440, NULL, 'cd13428', NULL, NULL, 'UreI_AmiS', NULL, 'UreI_AmiS', NULL, NULL, NULL, 1),
(8441, NULL, 'cd02145', NULL, NULL, 'BluB', NULL, 'BluB', NULL, NULL, 12510, 1),
(8442, NULL, 'cd03454', NULL, NULL, 'YdeM', NULL, 'YdeM', NULL, NULL, NULL, 1),
(8443, NULL, 'cd13275', NULL, NULL, 'PH_M-RIP', NULL, 'PH_M-RIP', NULL, NULL, 36319, 1),
(8444, NULL, 'cd04979', NULL, NULL, 'Ig_Semaphorin_C', NULL, 'Ig_Semaphorin_C', NULL, NULL, NULL, 1),
(8445, NULL, 'cd07505', NULL, NULL, 'HAD_BPGM-like', NULL, 'HAD_BPGM-like', NULL, NULL, NULL, 1),
(8446, NULL, 'cd19797', NULL, NULL, 'Bbox2_TRIM72_C-IV', NULL, 'Bbox2_TRIM72_C-IV', NULL, NULL, NULL, 1),
(8447, NULL, 'cd11765', NULL, NULL, 'SH3_Nck_1', NULL, 'SH3_Nck_1', NULL, NULL, NULL, 1),
(8448, NULL, 'cd12167', NULL, NULL, '2-Hacid_dh_8', NULL, '2-Hacid_dh_8', NULL, NULL, NULL, 1),
(8449, NULL, 'cd18257', NULL, NULL, 'BTB_POZ_KLHL28_BTBD5', NULL, 'BTB_POZ_KLHL28_BTBD5', NULL, NULL, NULL, 1),
(8450, NULL, 'cd20492', NULL, NULL, 'cupin_HQDO_large_C', NULL, 'cupin_HQDO_large_C', NULL, NULL, NULL, 1),
(8451, NULL, 'cd09349', NULL, NULL, 'LIM1_Zyxin', NULL, 'LIM1_Zyxin', NULL, NULL, NULL, 1),
(8452, NULL, 'cd16987', NULL, NULL, 'ANTH_N_AP180_plant', NULL, 'ANTH_N_AP180_plant', NULL, NULL, NULL, 1),
(8453, NULL, 'cd09187', NULL, NULL, 'PLDc_FAM83G_N', NULL, 'PLDc_FAM83G_N', NULL, NULL, NULL, 1),
(8454, NULL, 'cd17627', NULL, NULL, 'REC_OmpR_PrrA-like', NULL, 'REC_OmpR_PrrA-like', NULL, NULL, NULL, 1),
(8455, NULL, 'cd13881', NULL, NULL, 'CuRO_2_McoC_like', NULL, 'CuRO_2_McoC_like', NULL, NULL, NULL, 1),
(8456, NULL, 'cd13866', NULL, NULL, 'CuRO_2_BOD', NULL, 'CuRO_2_BOD', NULL, NULL, NULL, 1),
(8457, NULL, 'cd18264', NULL, NULL, 'BTB_POZ_KLHL34', NULL, 'BTB_POZ_KLHL34', NULL, NULL, NULL, 1),
(8458, NULL, 'cd09410', NULL, NULL, 'LIM3_Leupaxin', NULL, 'LIM3_Leupaxin', NULL, NULL, NULL, 1),
(8459, NULL, 'cd05043', NULL, NULL, 'PTK_Ryk', NULL, 'PTK_Ryk', NULL, NULL, NULL, 1),
(8460, NULL, 'cd00336', NULL, NULL, 'Ribosomal_L22', NULL, 'Ribosomal_L22', NULL, NULL, 2042, 1),
(8461, NULL, 'cd18783', NULL, NULL, 'ABC_6TM_PrtD_LapB_HlyB_like', NULL, 'ABC_6TM_PrtD_LapB_HlyB_like', NULL, NULL, NULL, 1),
(8462, NULL, 'cd00832', NULL, NULL, 'CLF', NULL, 'CLF', NULL, NULL, NULL, 1),
(8463, NULL, 'cd19866', NULL, NULL, 'DSRM_STRBP_RED-like_rpt2', NULL, 'DSRM_STRBP_RED-like_rpt2', NULL, NULL, NULL, 1),
(8464, NULL, 'cd06335', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(8465, NULL, 'cd18359', NULL, NULL, 'BTB2_POZ_RHOBTB2', NULL, 'BTB2_POZ_RHOBTB2', NULL, NULL, NULL, 1),
(8466, NULL, 'cd00575', NULL, NULL, 'NOS_oxygenase', NULL, 'NOS_oxygenase', NULL, NULL, NULL, 1),
(8467, NULL, 'cd08356', NULL, NULL, 'VOC_CChe_VCA0619_like', NULL, 'VOC_CChe_VCA0619_like', NULL, NULL, NULL, 1),
(8468, NULL, 'cd21484', NULL, NULL, 'MHV-like_Spike_S1_RBD', NULL, 'MHV-like_Spike_S1_RBD', NULL, NULL, NULL, 1),
(8469, NULL, 'cd12196', NULL, NULL, 'MARK1-3_C', NULL, 'MARK1-3_C', NULL, NULL, NULL, 1),
(8470, NULL, 'cd17517', NULL, NULL, 'RMtype1_S_EcoKI_StySPI-TRD2-CR2_like', NULL, 'RMtype1_S_EcoKI_StySPI-TRD2-CR2_like', NULL, NULL, NULL, 1),
(8471, NULL, 'cd09895', NULL, NULL, 'NGN_SP_UpxY', NULL, 'NGN_SP_UpxY', NULL, NULL, NULL, 1),
(8472, NULL, 'cd02749', NULL, NULL, 'Macro_SF', NULL, 'Macro_SF', NULL, NULL, NULL, 1),
(8473, NULL, 'cd12920', NULL, NULL, 'VKOR_3', NULL, 'VKOR_3', NULL, NULL, NULL, 1),
(8474, NULL, 'cd07815', NULL, NULL, 'SRPBCC_PITP', NULL, 'SRPBCC_PITP', NULL, NULL, NULL, 1),
(8475, NULL, 'cd18226', NULL, NULL, 'BTB_POZ_ZBTB41', NULL, 'BTB_POZ_ZBTB41', NULL, NULL, NULL, 1),
(8476, NULL, 'cd09393', NULL, NULL, 'LIM3_Lrg1p_like', NULL, 'LIM3_Lrg1p_like', NULL, NULL, NULL, 1),
(8477, NULL, 'cd11502', NULL, NULL, 'SLC6sbd_NTT5', NULL, 'SLC6sbd_NTT5', NULL, NULL, NULL, 1),
(8478, NULL, 'cd15204', NULL, NULL, '7tmA_prokineticin-R', NULL, '7tmA_prokineticin-R', NULL, NULL, NULL, 1),
(8479, NULL, 'cd16714', NULL, NULL, 'RING-HC_BIRC4_8', NULL, 'RING-HC_BIRC4_8', NULL, NULL, NULL, 1),
(8480, NULL, 'cd01527', NULL, NULL, 'RHOD_YgaP', NULL, 'RHOD_YgaP', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8481, NULL, 'cd01241', NULL, NULL, 'PH_PKB', NULL, 'PH_PKB', NULL, NULL, 35721, 1),
(8482, NULL, 'cd11344', NULL, NULL, 'AmyAc_GlgE_like', NULL, 'AmyAc_GlgE_like', NULL, NULL, NULL, 1),
(8483, NULL, 'cd16370', NULL, NULL, 'DMSOR_beta_like', NULL, 'DMSOR_beta_like', NULL, NULL, NULL, 1),
(8484, NULL, 'cd15430', NULL, NULL, '7tmA_OR13-like', NULL, '7tmA_OR13-like', NULL, NULL, NULL, 1),
(8485, NULL, 'cd00530', NULL, NULL, 'PTE', NULL, 'PTE', NULL, NULL, 5198, 1),
(8486, NULL, 'cd03460', NULL, NULL, '1,2-CTD', NULL, '1,2-CTD', NULL, NULL, 12726, 1),
(8487, NULL, 'cd15791', NULL, NULL, 'PH1_FDG4', NULL, 'PH1_FDG4', NULL, NULL, 30725, 1),
(8488, NULL, 'cd14116', NULL, NULL, 'STKc_Aurora-A', NULL, 'STKc_Aurora-A', NULL, NULL, 26806, 1),
(8489, NULL, 'cd12947', NULL, NULL, 'NOPS_p54nrb', NULL, 'NOPS_p54nrb', NULL, NULL, NULL, 1),
(8490, NULL, 'cd01846', NULL, NULL, 'fatty_acyltransferase_like', NULL, 'fatty_acyltransferase_like', NULL, NULL, NULL, 1),
(8491, NULL, 'cd06089', NULL, NULL, 'KOW_RPL26', NULL, 'KOW_RPL26', NULL, NULL, 32587, 1),
(8492, NULL, 'cd15830', NULL, NULL, 'BamD', NULL, 'BamD', NULL, NULL, 17566, 1),
(8493, NULL, 'cd14271', NULL, NULL, 'UBA_YLR419W_like', NULL, 'UBA_YLR419W_like', NULL, NULL, 15262, 1),
(8494, NULL, 'cd18326', NULL, NULL, 'BTB_POZ_ZBTB7A', NULL, 'BTB_POZ_ZBTB7A', NULL, NULL, NULL, 1),
(8495, NULL, 'cd09194', NULL, NULL, 'PLDc_yTdp1_1', NULL, 'PLDc_yTdp1_1', NULL, NULL, NULL, 1),
(8496, NULL, 'cd00073', NULL, NULL, 'H15', NULL, 'H15', NULL, NULL, 5633, 1),
(8497, NULL, 'cd01913', NULL, NULL, 'protease_HslV', NULL, 'protease_HslV', NULL, NULL, 15820, 1),
(8498, NULL, 'cd13970', NULL, NULL, 'ABC1_ADCK3', NULL, 'ABC1_ADCK3', NULL, NULL, 19128, 1),
(8499, NULL, 'cd12950', NULL, NULL, 'RRP7_Rrp7p', NULL, 'RRP7_Rrp7p', NULL, NULL, NULL, 1),
(8500, NULL, 'cd18570', NULL, NULL, 'ABC_6TM_PCAT1_LagD_like', NULL, 'ABC_6TM_PCAT1_LagD_like', NULL, NULL, NULL, 1),
(8501, NULL, 'cd00118', NULL, NULL, 'LysM', NULL, 'LysM', NULL, NULL, 8557, 1),
(8502, NULL, 'cd15864', NULL, NULL, 'SNARE_GS28', NULL, 'SNARE_GS28', NULL, NULL, NULL, 1),
(8503, NULL, 'cd15895', NULL, NULL, 'SNARE_SNAP23N', NULL, 'SNARE_SNAP23N', NULL, NULL, NULL, 1),
(8504, NULL, 'cd06299', NULL, NULL, 'PBP1_LacI-like', NULL, 'PBP1_LacI-like', NULL, NULL, NULL, 1),
(8505, NULL, 'cd05667', NULL, NULL, 'M20_Acy1-like', NULL, 'M20_Acy1-like', NULL, NULL, NULL, 1),
(8506, NULL, 'cd17271', NULL, NULL, 'RMtype1_S_NmaSCMORF606P_TRD2-CR2_like', NULL, 'RMtype1_S_NmaSCMORF606P_TRD2-CR2_like', NULL, NULL, NULL, 1),
(8507, NULL, 'cd03057', NULL, NULL, 'GST_N_Beta', NULL, 'GST_N_Beta', NULL, NULL, NULL, 1),
(8508, NULL, 'cd00040', NULL, NULL, 'CSF2', NULL, 'CSF2', NULL, NULL, 6706, 1),
(8509, NULL, 'cd00560', NULL, NULL, 'PanC', NULL, 'PanC', NULL, NULL, 2021, 1),
(8510, NULL, 'cd01026', NULL, NULL, 'TOPRIM_OLD', NULL, 'TOPRIM_OLD', NULL, NULL, 29139, 1),
(8511, NULL, 'cd04860', NULL, NULL, 'AE_Prim_S', NULL, 'AE_Prim_S', NULL, NULL, 9376, 1),
(8512, NULL, 'cd00496', NULL, NULL, 'PheRS_alpha_core', NULL, 'PheRS_alpha_core', NULL, NULL, NULL, 1),
(8513, NULL, 'cd07963', NULL, NULL, 'Anticodon_Ia_Cys', NULL, 'Anticodon_Ia_Cys', NULL, NULL, NULL, 1),
(8514, NULL, 'cd13375', NULL, NULL, 'PH_SynGAP', NULL, 'PH_SynGAP', NULL, NULL, 30036, 1),
(8515, NULL, 'cd07643', NULL, NULL, 'I-BAR_IMD_MIM', NULL, 'I-BAR_IMD_MIM', NULL, NULL, NULL, 1),
(8516, NULL, 'cd08929', NULL, NULL, 'SDR_c4', NULL, 'SDR_c4', NULL, NULL, NULL, 1),
(8517, NULL, 'cd16134', NULL, NULL, 'RA_RASSF8', NULL, 'RA_RASSF8', NULL, NULL, NULL, 1),
(8518, NULL, 'cd05596', NULL, NULL, 'STKc_ROCK', NULL, 'STKc_ROCK', NULL, NULL, NULL, 1),
(8519, NULL, 'cd03446', NULL, NULL, 'MaoC_like', NULL, 'MaoC_like', NULL, NULL, NULL, 1),
(8520, NULL, 'cd18428', NULL, NULL, 'BTB_POZ_KCNS3', NULL, 'BTB_POZ_KCNS3', NULL, NULL, NULL, 1),
(8521, NULL, 'cd11835', NULL, NULL, 'SH3_ARHGAP32_33', NULL, 'SH3_ARHGAP32_33', NULL, NULL, NULL, 1),
(8522, NULL, 'cd13546', NULL, NULL, 'PBP2_BitB', NULL, 'PBP2_BitB', NULL, NULL, NULL, 1),
(8523, NULL, 'cd04614', NULL, NULL, 'CBS_pair_arch2_repeat2', NULL, 'CBS_pair_arch2_repeat2', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8524, NULL, 'cd19835', NULL, NULL, 'Bbox2_TRIM65_C-IV', NULL, 'Bbox2_TRIM65_C-IV', NULL, NULL, NULL, 1),
(8525, NULL, 'cd15115', NULL, NULL, '7tmA_C3aR', NULL, '7tmA_C3aR', NULL, NULL, NULL, 1),
(8526, NULL, 'cd19717', NULL, NULL, 'bHLH_TS_NGN2_ATOH4', NULL, 'bHLH_TS_NGN2_ATOH4', NULL, NULL, NULL, 1),
(8527, NULL, 'cd10434', NULL, NULL, 'GIY-YIG_UvrC_Cho', NULL, 'GIY-YIG_UvrC_Cho', NULL, NULL, NULL, 1),
(8528, NULL, 'cd18947', NULL, NULL, 'bHLH-PAS_ARNT', NULL, 'bHLH-PAS_ARNT', NULL, NULL, NULL, 1),
(8529, NULL, 'cd19442', NULL, NULL, 'CRBP', NULL, 'CRBP', NULL, NULL, NULL, 1),
(8530, NULL, 'cd06926', NULL, NULL, 'RNAP_II_RPB11', NULL, 'RNAP_II_RPB11', NULL, NULL, 29781, 1),
(8531, NULL, 'cd15318', NULL, NULL, '7tmA_TAAR5', NULL, '7tmA_TAAR5', NULL, NULL, NULL, 1),
(8532, NULL, 'cd14762', NULL, NULL, 'GS_STAS', NULL, 'GS_STAS', NULL, NULL, NULL, 1),
(8533, NULL, 'cd15358', NULL, NULL, '7tmA_NMU-R1', NULL, '7tmA_NMU-R1', NULL, NULL, NULL, 1),
(8534, NULL, 'cd15849', NULL, NULL, 'SNARE_Sso1', NULL, 'SNARE_Sso1', NULL, NULL, NULL, 1),
(8535, NULL, 'cd04150', NULL, NULL, 'Arf1_5_like', NULL, 'Arf1_5_like', NULL, NULL, 36759, 1),
(8536, NULL, 'cd17253', NULL, NULL, 'RMtype1_S_Eco933I-TRD2-CR2_like', NULL, 'RMtype1_S_Eco933I-TRD2-CR2_like', NULL, NULL, NULL, 1),
(8537, NULL, 'cd04680', NULL, NULL, 'Nudix_Hydrolase_21', NULL, 'Nudix_Hydrolase_21', NULL, NULL, NULL, 1),
(8538, NULL, 'cd10491', NULL, NULL, 'MH1_SMAD_2_3', NULL, 'MH1_SMAD_2_3', NULL, NULL, NULL, 1),
(8539, NULL, 'cd19719', NULL, NULL, 'bHLH_TS_NeuroD1', NULL, 'bHLH_TS_NeuroD1', NULL, NULL, NULL, 1),
(8540, NULL, 'cd07357', NULL, NULL, 'HN_L-whirlin_R2_like', NULL, 'HN_L-whirlin_R2_like', NULL, NULL, NULL, 1),
(8541, NULL, 'cd03690', NULL, NULL, 'Tet_II', NULL, 'Tet_II', NULL, NULL, NULL, 1),
(8542, NULL, 'cd06651', NULL, NULL, 'STKc_MEKK3', NULL, 'STKc_MEKK3', NULL, NULL, NULL, 1),
(8543, NULL, 'cd12192', NULL, NULL, 'GCN4_cent', NULL, 'GCN4_cent', NULL, NULL, NULL, 1),
(8544, NULL, 'cd13964', NULL, NULL, 'PT_UbiA_1', NULL, 'PT_UbiA_1', NULL, NULL, NULL, 1),
(8545, NULL, 'cd14340', NULL, NULL, 'UBA_BRSK', NULL, 'UBA_BRSK', NULL, NULL, NULL, 1),
(8546, NULL, 'cd18545', NULL, NULL, 'ABC_6TM_YknV_like', NULL, 'ABC_6TM_YknV_like', NULL, NULL, NULL, 1),
(8547, NULL, 'cd07565', NULL, NULL, 'aliphatic_amidase', NULL, 'aliphatic_amidase', NULL, NULL, NULL, 1),
(8548, NULL, 'cd08023', NULL, NULL, 'GH16_laminarinase_like', NULL, 'GH16_laminarinase_like', NULL, NULL, NULL, 1),
(8549, NULL, 'cd08195', NULL, NULL, 'DHQS', NULL, 'DHQS', NULL, NULL, NULL, 1),
(8550, NULL, 'cd12433', NULL, NULL, 'RRM_Yme2p_like', NULL, 'RRM_Yme2p_like', NULL, NULL, 34631, 1),
(8551, NULL, 'cd15695', NULL, NULL, 'ePHD1_KMT2D', NULL, 'ePHD1_KMT2D', NULL, NULL, 32944, 1),
(8552, NULL, 'cd16999', NULL, NULL, 'VHS_STAM2', NULL, 'VHS_STAM2', NULL, NULL, NULL, 1),
(8553, NULL, 'cd09457', NULL, NULL, 'LIM2_ENH', NULL, 'LIM2_ENH', NULL, NULL, NULL, 1),
(8554, NULL, 'cd15167', NULL, NULL, '7tmA_GPR171', NULL, '7tmA_GPR171', NULL, NULL, NULL, 1),
(8555, NULL, 'cd00997', NULL, NULL, 'PBP2_GluR0', NULL, 'PBP2_GluR0', NULL, NULL, NULL, 1),
(8556, NULL, 'cd03037', NULL, NULL, 'GST_N_GRX2', NULL, 'GST_N_GRX2', NULL, NULL, NULL, 1),
(8557, NULL, 'cd03112', NULL, NULL, 'CobW-like', NULL, 'CobW-like', NULL, NULL, NULL, 1),
(8558, NULL, 'cd09805', NULL, NULL, 'type2_17beta_HSD-like_SDR_c', NULL, 'type2_17beta_HSD-like_SDR_c', NULL, NULL, NULL, 1),
(8559, NULL, 'cd14479', NULL, NULL, 'SPX-MFS_plant', NULL, 'SPX-MFS_plant', NULL, NULL, 39816, 1),
(8560, NULL, 'cd13681', NULL, NULL, 'PBP2_TRAP_lactate', NULL, 'PBP2_TRAP_lactate', NULL, NULL, 32078, 1),
(8561, NULL, 'cd01782', NULL, NULL, 'RA1_Afadin', NULL, 'RA1_Afadin', NULL, NULL, NULL, 1),
(8562, NULL, 'cd02225', NULL, NULL, 'cupin_PA3510-like', NULL, 'cupin_PA3510-like', NULL, NULL, NULL, 1),
(8563, NULL, 'cd14583', NULL, NULL, 'PTP-MTMR7', NULL, 'PTP-MTMR7', NULL, NULL, NULL, 1),
(8564, NULL, 'cd05847', NULL, NULL, 'IgC_CH2_IgE', NULL, 'IgC_CH2_IgE', NULL, NULL, NULL, 1),
(8565, NULL, 'cd17497', NULL, NULL, 'RMtype1_S_TteMORF1547P-TRD2-CR2_like', NULL, 'RMtype1_S_TteMORF1547P-TRD2-CR2_like', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8566, NULL, 'cd07029', NULL, NULL, 'RNAP_I_III_AC19', NULL, 'RNAP_I_III_AC19', NULL, NULL, 32980, 1),
(8567, NULL, 'cd00291', NULL, NULL, 'SirA_YedF_YeeD', NULL, 'SirA_YedF_YeeD', NULL, NULL, NULL, 1),
(8568, NULL, 'cd00580', NULL, NULL, 'CHMI', NULL, 'CHMI', NULL, NULL, 3996, 1),
(8569, NULL, 'cd11642', NULL, NULL, 'SUMT', NULL, 'SUMT', NULL, NULL, 5701, 1),
(8570, NULL, 'cd15973', NULL, NULL, '7tmA_SSTR4', NULL, '7tmA_SSTR4', NULL, NULL, NULL, 1),
(8571, NULL, 'cd15072', NULL, NULL, '7tmA_Retinal_GPR', NULL, '7tmA_Retinal_GPR', NULL, NULL, NULL, 1),
(8572, NULL, 'cd11704', NULL, NULL, 'DHR2_DOCK3', NULL, 'DHR2_DOCK3', NULL, NULL, NULL, 1),
(8573, NULL, 'cd06499', NULL, NULL, 'GT_MraY-like', NULL, 'GT_MraY-like', NULL, NULL, NULL, 1),
(8574, NULL, 'cd08801', NULL, NULL, 'Death_UNC5D', NULL, 'Death_UNC5D', NULL, NULL, 34203, 1),
(8575, NULL, 'cd03217', NULL, NULL, 'ABC_FeS_Assembly', NULL, 'ABC_FeS_Assembly', NULL, NULL, 4275, 1),
(8576, NULL, 'cd04080', NULL, NULL, 'CBM6_cellulase-like', NULL, 'CBM6_cellulase-like', NULL, NULL, NULL, 1),
(8577, NULL, 'cd06934', NULL, NULL, 'NR_LBD_PXR_like', NULL, 'NR_LBD_PXR_like', NULL, NULL, NULL, 1),
(8578, NULL, 'cd07184', NULL, NULL, 'E_set_Isoamylase_like_N', NULL, 'E_set_Isoamylase_like_N', NULL, NULL, NULL, 1),
(8579, NULL, 'cd18544', NULL, NULL, 'ABC_6TM_TmrA_like', NULL, 'ABC_6TM_TmrA_like', NULL, NULL, NULL, 1),
(8580, NULL, 'cd18915', NULL, NULL, 'bHLH_AtLHW_like', NULL, 'bHLH_AtLHW_like', NULL, NULL, NULL, 1),
(8581, NULL, 'cd14328', NULL, NULL, 'UBA_TNK1', NULL, 'UBA_TNK1', NULL, NULL, NULL, 1),
(8582, NULL, 'cd19956', NULL, NULL, 'serpinB', NULL, 'serpinB', NULL, NULL, NULL, 1),
(8583, NULL, 'cd13876', NULL, NULL, 'CuRO_2_Abr2_like', NULL, 'CuRO_2_Abr2_like', NULL, NULL, NULL, 1),
(8584, NULL, 'cd16665', NULL, NULL, 'RING-H2_RNF13_like', NULL, 'RING-H2_RNF13_like', NULL, NULL, NULL, 1),
(8585, NULL, 'cd03529', NULL, NULL, 'Rieske_NirD', NULL, 'Rieske_NirD', NULL, NULL, 9817, 1),
(8586, NULL, 'cd18350', NULL, NULL, 'BTB_POZ_ABTB2_BPOZ2', NULL, 'BTB_POZ_ABTB2_BPOZ2', NULL, NULL, NULL, 1),
(8587, NULL, 'cd16578', NULL, NULL, 'RING-HC_TRIM42_C-III', NULL, 'RING-HC_TRIM42_C-III', NULL, NULL, 39447, 1),
(8588, NULL, 'cd14693', NULL, NULL, 'bZIP_CEBP', NULL, 'bZIP_CEBP', NULL, NULL, NULL, 1),
(8589, NULL, 'cd03160', NULL, NULL, 'CD37_CD82_like_LEL', NULL, 'CD37_CD82_like_LEL', NULL, NULL, NULL, 1),
(8590, NULL, 'cd18105', NULL, NULL, 'SpoU-like_MRM1', NULL, 'SpoU-like_MRM1', NULL, NULL, NULL, 1),
(8591, NULL, 'cd00130', NULL, NULL, 'PAS', NULL, 'PAS', NULL, NULL, 3851, 1),
(8592, NULL, 'cd14856', NULL, NULL, 'TRAPPC4_synbindin', NULL, 'TRAPPC4_synbindin', NULL, NULL, NULL, 1),
(8593, NULL, 'cd09869', NULL, NULL, 'PIN_GEN1', NULL, 'PIN_GEN1', NULL, NULL, NULL, 1),
(8594, NULL, 'cd01272', NULL, NULL, 'PTB1_Fe65', NULL, 'PTB1_Fe65', NULL, NULL, NULL, 1),
(8595, NULL, 'cd15499', NULL, NULL, 'PHD1_MTF2_PHF19_like', NULL, 'PHD1_MTF2_PHF19_like', NULL, NULL, NULL, 1),
(8596, NULL, 'cd07949', NULL, NULL, 'PCA_45_Doxase_B_like_1', NULL, 'PCA_45_Doxase_B_like_1', NULL, NULL, NULL, 1),
(8597, NULL, 'cd02343', NULL, NULL, 'ZZ_EF', NULL, 'ZZ_EF', NULL, NULL, 32847, 1),
(8598, NULL, 'cd17379', NULL, NULL, 'MFS_SLC22A1_2_3', NULL, 'MFS_SLC22A1_2_3', NULL, NULL, NULL, 1),
(8599, NULL, 'cd19182', NULL, NULL, 'SET_KMT2E', NULL, 'SET_KMT2E', NULL, NULL, 37732, 1),
(8600, NULL, 'cd14109', NULL, NULL, 'PK_Unc-89_rpt1', NULL, 'PK_Unc-89_rpt1', NULL, NULL, NULL, 1),
(8601, NULL, 'cd15961', NULL, NULL, '7tmA_GPR12', NULL, '7tmA_GPR12', NULL, NULL, NULL, 1),
(8602, NULL, 'cd03074', NULL, NULL, 'PDI_b''_Calsequestrin_C', NULL, 'PDI_b''_Calsequestrin_C', NULL, NULL, 33377, 1),
(8603, NULL, 'cd16799', NULL, NULL, 'RING-H2_ZNRF3', NULL, 'RING-H2_ZNRF3', NULL, NULL, 39158, 1),
(8604, NULL, 'cd19756', NULL, NULL, 'Bbox2', NULL, 'Bbox2', NULL, NULL, NULL, 1),
(8605, NULL, 'cd02242', NULL, NULL, 'cupin_11S_legumin_N', NULL, 'cupin_11S_legumin_N', NULL, NULL, NULL, 1),
(8606, NULL, 'cd18514', NULL, NULL, 'BACK_KLHL25_ENC2', NULL, 'BACK_KLHL25_ENC2', NULL, NULL, NULL, 1),
(8607, NULL, 'cd13168', NULL, NULL, 'PTB_LOC417372', NULL, 'PTB_LOC417372', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8608, NULL, 'cd10925', NULL, NULL, 'CE4_u1', NULL, 'CE4_u1', NULL, NULL, NULL, 1),
(8609, NULL, 'cd11972', NULL, NULL, 'SH3_Abi2', NULL, 'SH3_Abi2', NULL, NULL, 30011, 1),
(8610, NULL, 'cd05198', NULL, NULL, 'formate_dh_like', NULL, 'formate_dh_like', NULL, NULL, NULL, 1),
(8611, NULL, 'cd16451', NULL, NULL, 'mRING_PEX12', NULL, 'mRING_PEX12', NULL, NULL, NULL, 1),
(8612, NULL, 'cd03130', NULL, NULL, 'GATase1_CobB', NULL, 'GATase1_CobB', NULL, NULL, NULL, 1),
(8613, NULL, 'cd19946', NULL, NULL, 'GlpA-like_Fer2_BFD-like', NULL, 'GlpA-like_Fer2_BFD-like', NULL, NULL, NULL, 1),
(8614, NULL, 'cd04187', NULL, NULL, 'DPM1_like_bac', NULL, 'DPM1_like_bac', NULL, NULL, NULL, 1),
(8615, NULL, 'cd08540', NULL, NULL, 'SAM_PNT-ERG', NULL, 'SAM_PNT-ERG', NULL, NULL, NULL, 1),
(8616, NULL, 'cd02034', NULL, NULL, 'CooC1', NULL, 'CooC1', NULL, NULL, NULL, 1),
(8617, NULL, 'cd06953', NULL, NULL, 'NR_LBD_DHR4_like', NULL, 'NR_LBD_DHR4_like', NULL, NULL, NULL, 1),
(8618, NULL, 'cd14190', NULL, NULL, 'STKc_MLCK2', NULL, 'STKc_MLCK2', NULL, NULL, 39281, 1),
(8619, NULL, 'cd19735', NULL, NULL, 'bHLH-PAS_dCLOCK', NULL, 'bHLH-PAS_dCLOCK', NULL, NULL, NULL, 1),
(8620, NULL, 'cd01206', NULL, NULL, 'EVH1_Homer_Vesl', NULL, 'EVH1_Homer_Vesl', NULL, NULL, 37779, 1),
(8621, NULL, 'cd12741', NULL, NULL, 'RRM2_Fusilli', NULL, 'RRM2_Fusilli', NULL, NULL, 33569, 1),
(8622, NULL, 'cd13434', NULL, NULL, 'SPFH_SLPs', NULL, 'SPFH_SLPs', NULL, NULL, NULL, 1),
(8623, NULL, 'cd02556', NULL, NULL, 'PseudoU_synth_RluB', NULL, 'PseudoU_synth_RluB', NULL, NULL, NULL, 1),
(8624, NULL, 'cd13313', NULL, NULL, 'PH_NF1', NULL, 'PH_NF1', NULL, NULL, NULL, 1),
(8625, NULL, 'cd17004', NULL, NULL, 'CID_SCAF8', NULL, 'CID_SCAF8', NULL, NULL, NULL, 1),
(8626, NULL, 'cd07583', NULL, NULL, 'nitrilase_5', NULL, 'nitrilase_5', NULL, NULL, NULL, 1),
(8627, NULL, 'cd20253', NULL, NULL, 'Sarcolipin', NULL, 'Sarcolipin', NULL, NULL, NULL, 1),
(8628, NULL, 'cd06431', NULL, NULL, 'GT8_LARGE_C', NULL, 'GT8_LARGE_C', NULL, NULL, NULL, 1),
(8629, NULL, 'cd15854', NULL, NULL, 'SNARE_SNAP47C', NULL, 'SNARE_SNAP47C', NULL, NULL, NULL, 1),
(8630, NULL, 'cd10966', NULL, NULL, 'CE4_yadE_5s', NULL, 'CE4_yadE_5s', NULL, NULL, NULL, 1),
(8631, NULL, 'cd18805', NULL, NULL, 'SF2_C_suv3', NULL, 'SF2_C_suv3', NULL, NULL, NULL, 1),
(8632, NULL, 'cd10003', NULL, NULL, 'HDAC6-dom2', NULL, 'HDAC6-dom2', NULL, NULL, NULL, 1),
(8633, NULL, 'cd11962', NULL, NULL, 'SH3_Abp1_fungi_C1', NULL, 'SH3_Abp1_fungi_C1', NULL, NULL, 33776, 1),
(8634, NULL, 'cd03198', NULL, NULL, 'GST_C_CLIC', NULL, 'GST_C_CLIC', NULL, NULL, NULL, 1),
(8635, NULL, 'cd17903', NULL, NULL, 'ArfGap_AGFG2', NULL, 'ArfGap_AGFG2', NULL, NULL, NULL, 1),
(8636, NULL, 'cd16040', NULL, NULL, 'SPRY_PRY_SNTX', NULL, 'SPRY_PRY_SNTX', NULL, NULL, NULL, 1),
(8637, NULL, 'cd02325', NULL, NULL, 'R3H', NULL, 'R3H', NULL, NULL, NULL, 1),
(8638, NULL, 'cd13229', NULL, NULL, 'PH_TFIIH', NULL, 'PH_TFIIH', NULL, NULL, NULL, 1),
(8639, NULL, 'cd15045', NULL, NULL, '7tmC_mGluRs', NULL, '7tmC_mGluRs', NULL, NULL, NULL, 1),
(8640, NULL, 'sd00036', NULL, NULL, 'LRR_3', NULL, 'LRR_3', NULL, NULL, NULL, 1),
(8641, NULL, 'cd00255', NULL, NULL, 'nidG2', NULL, 'nidG2', NULL, NULL, 1434, 1),
(8642, NULL, 'cd15638', NULL, NULL, 'PHD_PHF3', NULL, 'PHD_PHF3', NULL, NULL, NULL, 1),
(8643, NULL, 'cd10954', NULL, NULL, 'CE4_CtAXE_like', NULL, 'CE4_CtAXE_like', NULL, NULL, NULL, 1),
(8644, NULL, 'cd01909', NULL, NULL, 'betaLS_CarA_N', NULL, 'betaLS_CarA_N', NULL, NULL, NULL, 1),
(8645, NULL, 'cd16143', NULL, NULL, 'ARS_like', NULL, 'ARS_like', NULL, NULL, NULL, 1),
(8646, NULL, 'cd17189', NULL, NULL, 'FERM_F1_FARP1', NULL, 'FERM_F1_FARP1', NULL, NULL, NULL, 1),
(8647, NULL, 'cd07136', NULL, NULL, 'ALDH_YwdH-P39616', NULL, 'ALDH_YwdH-P39616', NULL, NULL, NULL, 1),
(8648, NULL, 'cd04592', NULL, NULL, 'CBS_pair_voltage-gated_CLC_euk_bac', NULL, 'CBS_pair_voltage-gated_CLC_euk_bac', NULL, NULL, NULL, 1),
(8649, NULL, 'cd15812', NULL, NULL, 'SPRY_PRY_TRIM17', NULL, 'SPRY_PRY_TRIM17', NULL, NULL, 30606, 1),
(8650, NULL, 'cd01295', NULL, NULL, 'AdeC', NULL, 'AdeC', NULL, NULL, 2154, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8651, NULL, 'cd12113', NULL, NULL, 'PHP_PolIIIA_DnaE3', NULL, 'PHP_PolIIIA_DnaE3', NULL, NULL, NULL, 1),
(8652, NULL, 'cd17235', NULL, NULL, 'Ubl_ATG8_MAP1LC3B', NULL, 'Ubl_ATG8_MAP1LC3B', NULL, NULL, NULL, 1),
(8653, NULL, 'cd03221', NULL, NULL, 'ABCF_EF-3', NULL, 'ABCF_EF-3', NULL, NULL, NULL, 1),
(8654, NULL, 'cd07498', NULL, NULL, 'Peptidases_S8_15', NULL, 'Peptidases_S8_15', NULL, NULL, 2276, 1),
(8655, NULL, 'cd03331', NULL, NULL, 'Macro_Poa1p-like_SNF2', NULL, 'Macro_Poa1p-like_SNF2', NULL, NULL, NULL, 1),
(8656, NULL, 'cd11585', NULL, NULL, 'SATB1_N', NULL, 'SATB1_N', NULL, NULL, 25911, 1),
(8657, NULL, 'cd13957', NULL, NULL, 'PT_UbiA_Cox10', NULL, 'PT_UbiA_Cox10', NULL, NULL, 5861, 1),
(8658, NULL, 'cd17124', NULL, NULL, 'Ubl_TECR', NULL, 'Ubl_TECR', NULL, NULL, NULL, 1),
(8659, NULL, 'cd03517', NULL, NULL, 'Link_domain_CSPGs_modules_1_3', NULL, 'Link_domain_CSPGs_modules_1_3', NULL, NULL, NULL, 1),
(8660, NULL, 'cd07816', NULL, NULL, 'Bet_v1-like', NULL, 'Bet_v1-like', NULL, NULL, NULL, 1),
(8661, NULL, 'cd07851', NULL, NULL, 'STKc_p38', NULL, 'STKc_p38', NULL, NULL, NULL, 1),
(8662, NULL, 'cd15035', NULL, NULL, '7tmF_FZD5_FZD8-like', NULL, '7tmF_FZD5_FZD8-like', NULL, NULL, NULL, 1),
(8663, NULL, 'cd09245', NULL, NULL, 'BRO1_UmRIM23-like', NULL, 'BRO1_UmRIM23-like', NULL, NULL, NULL, 1),
(8664, NULL, 'cd20234', NULL, NULL, 'PFM_fascin-like', NULL, 'PFM_fascin-like', NULL, NULL, NULL, 1),
(8665, NULL, 'cd04695', NULL, NULL, 'Nudix_Hydrolase_36', NULL, 'Nudix_Hydrolase_36', NULL, NULL, NULL, 1),
(8666, NULL, 'cd01585', NULL, NULL, 'AcnA_Bact', NULL, 'AcnA_Bact', NULL, NULL, NULL, 1),
(8667, NULL, 'cd06188', NULL, NULL, 'NADH_quinone_reductase', NULL, 'NADH_quinone_reductase', NULL, NULL, NULL, 1),
(8668, NULL, 'cd11574', NULL, NULL, 'GH99', NULL, 'GH99', NULL, NULL, 21789, 1),
(8669, NULL, 'cd17785', NULL, NULL, 'CBS_pair_bac_arch', NULL, 'CBS_pair_bac_arch', NULL, NULL, NULL, 1),
(8670, NULL, 'cd04595', NULL, NULL, 'CBS_pair_DHH_polyA_Pol_assoc', NULL, 'CBS_pair_DHH_polyA_Pol_assoc', NULL, NULL, NULL, 1),
(8671, NULL, 'cd15148', NULL, NULL, '7tmA_GPR34-like', NULL, '7tmA_GPR34-like', NULL, NULL, NULL, 1),
(8672, NULL, 'cd18833', NULL, NULL, 'GH43_PcXyl-like', NULL, 'GH43_PcXyl-like', NULL, NULL, NULL, 1),
(8673, NULL, 'cd11723', NULL, NULL, 'YabN_N_like', NULL, 'YabN_N_like', NULL, NULL, 13166, 1),
(8674, NULL, 'cd18253', NULL, NULL, 'BTB_POZ_KLHL24_KRIP6', NULL, 'BTB_POZ_KLHL24_KRIP6', NULL, NULL, NULL, 1),
(8675, NULL, 'cd09878', NULL, NULL, 'PIN_VapC_VirB11L-ATPase-like', NULL, 'PIN_VapC_VirB11L-ATPase-like', NULL, NULL, NULL, 1),
(8676, NULL, 'cd12355', NULL, NULL, 'RRM_RBM18', NULL, 'RRM_RBM18', NULL, NULL, 35682, 1),
(8677, NULL, 'cd08157', NULL, NULL, 'catalase_fungal', NULL, 'catalase_fungal', NULL, NULL, NULL, 1),
(8678, NULL, 'cd18970', NULL, NULL, 'CD_POL_like', NULL, 'CD_POL_like', NULL, NULL, NULL, 1),
(8679, NULL, 'cd21165', NULL, NULL, 'M_cv-Nsp15-like', NULL, 'M_cv-Nsp15-like', NULL, NULL, 38871, 1),
(8680, NULL, 'cd07049', NULL, NULL, 'BMC_EutL_repeat1', NULL, 'BMC_EutL_repeat1', NULL, NULL, NULL, 1),
(8681, NULL, 'cd10407', NULL, NULL, 'SH2_Vav3', NULL, 'SH2_Vav3', NULL, NULL, 35481, 1),
(8682, NULL, 'cd18539', NULL, NULL, 'SRP_G', NULL, 'SRP_G', NULL, NULL, NULL, 1),
(8683, NULL, 'cd18614', NULL, NULL, 'GH130', NULL, 'GH130', NULL, NULL, NULL, 1),
(8684, NULL, 'cd19179', NULL, NULL, 'SET_RBCMT', NULL, 'SET_RBCMT', NULL, NULL, 37991, 1),
(8685, NULL, 'cd08430', NULL, NULL, 'PBP2_IlvY', NULL, 'PBP2_IlvY', NULL, NULL, 35470, 1),
(8686, NULL, 'cd13936', NULL, NULL, 'PANDER_like', NULL, 'PANDER_like', NULL, NULL, NULL, 1),
(8687, NULL, 'cd16716', NULL, NULL, 'vRING-HC_IRF2BP2', NULL, 'vRING-HC_IRF2BP2', NULL, NULL, NULL, 1),
(8688, NULL, 'cd19695', NULL, NULL, 'bHLH_dnHLH_EMC_like', NULL, 'bHLH_dnHLH_EMC_like', NULL, NULL, NULL, 1),
(8689, NULL, 'cd12839', NULL, NULL, 'Killer_toxin_beta', NULL, 'Killer_toxin_beta', NULL, NULL, 13817, 1),
(8690, NULL, 'cd01893', NULL, NULL, 'Miro1', NULL, 'Miro1', NULL, NULL, NULL, 1),
(8691, NULL, 'cd09073', NULL, NULL, 'ExoIII_AP-endo', NULL, 'ExoIII_AP-endo', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8692, NULL, 'cd14065', NULL, NULL, 'PKc_LIMK_like', NULL, 'PKc_LIMK_like', NULL, NULL, NULL, 1),
(8693, NULL, 'cd18829', NULL, NULL, 'GH43_BsArb43A-like', NULL, 'GH43_BsArb43A-like', NULL, NULL, NULL, 1),
(8694, NULL, 'cd09000', NULL, NULL, 'GH43_SXA-like', NULL, 'GH43_SXA-like', NULL, NULL, NULL, 1),
(8695, NULL, 'cd07586', NULL, NULL, 'nitrilase_8', NULL, 'nitrilase_8', NULL, NULL, NULL, 1),
(8696, NULL, 'cd10241', NULL, NULL, 'HSPA5-like_NBD', NULL, 'HSPA5-like_NBD', NULL, NULL, 32813, 1),
(8697, NULL, 'cd08003', NULL, NULL, 'WGR_PARP2_like', NULL, 'WGR_PARP2_like', NULL, NULL, NULL, 1),
(8698, NULL, 'cd09920', NULL, NULL, 'SH2_Cbl-b_TKB', NULL, 'SH2_Cbl-b_TKB', NULL, NULL, 14458, 1),
(8699, NULL, 'cd10909', NULL, NULL, 'ChtBD1_GH18_2', NULL, 'ChtBD1_GH18_2', NULL, NULL, NULL, 1),
(8700, NULL, 'cd12294', NULL, NULL, 'RRM_Rrp7A', NULL, 'RRM_Rrp7A', NULL, NULL, 11498, 1),
(8701, NULL, 'cd02960', NULL, NULL, 'AGR', NULL, 'AGR', NULL, NULL, NULL, 1),
(8702, NULL, 'cd08558', NULL, NULL, 'PI-PLCc_eukaryota', NULL, 'PI-PLCc_eukaryota', NULL, NULL, NULL, 1),
(8703, NULL, 'cd16512', NULL, NULL, 'RING-HC_LNX3_like', NULL, 'RING-HC_LNX3_like', NULL, NULL, NULL, 1),
(8704, NULL, 'cd14084', NULL, NULL, 'STKc_Chk2', NULL, 'STKc_Chk2', NULL, NULL, NULL, 1),
(8705, NULL, 'cd09803', NULL, NULL, 'UBAN', NULL, 'UBAN', NULL, NULL, NULL, 1),
(8706, NULL, 'cd02966', NULL, NULL, 'TlpA_like_family', NULL, 'TlpA_like_family', NULL, NULL, NULL, 1),
(8707, NULL, 'cd03076', NULL, NULL, 'GST_N_Pi', NULL, 'GST_N_Pi', NULL, NULL, NULL, 1),
(8708, NULL, 'cd02992', NULL, NULL, 'PDI_a_QSOX', NULL, 'PDI_a_QSOX', NULL, NULL, NULL, 1),
(8709, NULL, 'cd07875', NULL, NULL, 'STKc_JNK1', NULL, 'STKc_JNK1', NULL, NULL, NULL, 1),
(8710, NULL, 'cd16698', NULL, NULL, 'RING_CH-C4HC3_MARCH1_like', NULL, 'RING_CH-C4HC3_MARCH1_like', NULL, NULL, NULL, 1),
(8711, NULL, 'cd00106', NULL, NULL, 'KISc', NULL, 'KISc', NULL, NULL, NULL, 1),
(8712, NULL, 'cd06941', NULL, NULL, 'NR_LBD_DmE78_like', NULL, 'NR_LBD_DmE78_like', NULL, NULL, NULL, 1),
(8713, NULL, 'cd05640', NULL, NULL, 'M28_like', NULL, 'M28_like', NULL, NULL, NULL, 1),
(8714, NULL, 'cd16664', NULL, NULL, 'RING-Ubox_PUB', NULL, 'RING-Ubox_PUB', NULL, NULL, 38971, 1),
(8715, NULL, 'cd16489', NULL, NULL, 'mRING-CH-C4HC2H_ZNRF', NULL, 'mRING-CH-C4HC2H_ZNRF', NULL, NULL, NULL, 1),
(8716, NULL, 'cd03795', NULL, NULL, 'GT4_WfcD-like', NULL, 'GT4_WfcD-like', NULL, NULL, NULL, 1),
(8717, NULL, 'cd16427', NULL, NULL, 'TraM-like', NULL, 'TraM-like', NULL, NULL, NULL, 1),
(8718, NULL, 'cd07553', NULL, NULL, 'P-type_ATPase_HM', NULL, 'P-type_ATPase_HM', NULL, NULL, NULL, 1),
(8719, NULL, 'cd05575', NULL, NULL, 'STKc_SGK', NULL, 'STKc_SGK', NULL, NULL, NULL, 1),
(8720, NULL, 'cd19576', NULL, NULL, 'serpinI2_pancpin', NULL, 'serpinI2_pancpin', NULL, NULL, NULL, 1),
(8721, NULL, 'cd05967', NULL, NULL, 'PrpE', NULL, 'PrpE', NULL, NULL, NULL, 1),
(8722, NULL, 'cd17401', NULL, NULL, 'MFS_SLCO2_OATP2', NULL, 'MFS_SLCO2_OATP2', NULL, NULL, NULL, 1),
(8723, NULL, 'cd07810', NULL, NULL, 'FGGY_D-XK_2', NULL, 'FGGY_D-XK_2', NULL, NULL, NULL, 1),
(8724, NULL, 'cd09993', NULL, NULL, 'HDAC_classIV', NULL, 'HDAC_classIV', NULL, NULL, 38678, 1),
(8725, NULL, 'cd03589', NULL, NULL, 'CLECT_CEL-1_like', NULL, 'CLECT_CEL-1_like', NULL, NULL, 8778, 1),
(8726, NULL, 'cd05095', NULL, NULL, 'PTKc_DDR2', NULL, 'PTKc_DDR2', NULL, NULL, NULL, 1),
(8727, NULL, 'cd06844', NULL, NULL, 'STAS', NULL, 'STAS', NULL, NULL, NULL, 1),
(8728, NULL, 'cd12505', NULL, NULL, 'RRM2_GRSF1', NULL, 'RRM2_GRSF1', NULL, NULL, 13212, 1),
(8729, NULL, 'cd14259', NULL, NULL, 'PUFD_like', NULL, 'PUFD_like', NULL, NULL, NULL, 1),
(8730, NULL, 'cd03084', NULL, NULL, 'phosphohexomutase', NULL, 'phosphohexomutase', NULL, NULL, NULL, 1),
(8731, NULL, 'cd12383', NULL, NULL, 'RRM_RBM42', NULL, 'RRM_RBM42', NULL, NULL, 21618, 1),
(8732, NULL, 'cd06099', NULL, NULL, 'CS_ACL-C_CCL', NULL, 'CS_ACL-C_CCL', NULL, NULL, NULL, 1),
(8733, NULL, 'cd00383', NULL, NULL, 'trans_reg_C', NULL, 'trans_reg_C', NULL, NULL, 4482, 1),
(8734, NULL, 'cd09714', NULL, NULL, 'Cas8c''_I-D', NULL, 'Cas8c''_I-D', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8735, NULL, 'cd20185', NULL, NULL, 'M34_PABD', NULL, 'M34_PABD', NULL, NULL, NULL, 1),
(8736, NULL, 'cd13758', NULL, NULL, 'TGF_beta_LEFTY1_2', NULL, 'TGF_beta_LEFTY1_2', NULL, NULL, NULL, 1),
(8737, NULL, 'cd16703', NULL, NULL, 'RING_CH-C4HC3_MARCH7_like', NULL, 'RING_CH-C4HC3_MARCH7_like', NULL, NULL, NULL, 1),
(8738, NULL, 'cd19532', NULL, NULL, 'C_PKS-NRPS', NULL, 'C_PKS-NRPS', NULL, NULL, NULL, 1),
(8739, NULL, 'cd11304', NULL, NULL, 'Cadherin_repeat', NULL, 'Cadherin_repeat', NULL, NULL, NULL, 1),
(8740, NULL, 'cd16341', NULL, NULL, 'FdhE', NULL, 'FdhE', NULL, NULL, 6955, 1),
(8741, NULL, 'cd16867', NULL, NULL, 'ARID_ARID3', NULL, 'ARID_ARID3', NULL, NULL, NULL, 1),
(8742, NULL, 'cd12170', NULL, NULL, '2-Hacid_dh_9', NULL, '2-Hacid_dh_9', NULL, NULL, NULL, 1),
(8743, NULL, 'sd00004', NULL, NULL, 'PPR', NULL, 'PPR', NULL, NULL, NULL, 1),
(8744, NULL, 'cd16636', NULL, NULL, 'mRING-HC-C3HC3D_SCAF11', NULL, 'mRING-HC-C3HC3D_SCAF11', NULL, NULL, NULL, 1),
(8745, NULL, 'cd14776', NULL, NULL, 'HmpEc-globin-like', NULL, 'HmpEc-globin-like', NULL, NULL, NULL, 1),
(8746, NULL, 'cd03474', NULL, NULL, 'Rieske_T4moC', NULL, 'Rieske_T4moC', NULL, NULL, NULL, 1),
(8747, NULL, 'cd00288', NULL, NULL, 'Pyruvate_Kinase', NULL, 'Pyruvate_Kinase', NULL, NULL, 3357, 1),
(8748, NULL, 'cd15976', NULL, NULL, '7tmA_ET-BR', NULL, '7tmA_ET-BR', NULL, NULL, NULL, 1),
(8749, NULL, 'cd03453', NULL, NULL, 'SAV4209_like', NULL, 'SAV4209_like', NULL, NULL, NULL, 1),
(8750, NULL, 'cd05501', NULL, NULL, 'Bromo_SP100C_like', NULL, 'Bromo_SP100C_like', NULL, NULL, NULL, 1),
(8751, NULL, 'cd14593', NULL, NULL, 'PTP-MTMR10', NULL, 'PTP-MTMR10', NULL, NULL, NULL, 1),
(8752, NULL, 'cd06187', NULL, NULL, 'O2ase_reductase_like', NULL, 'O2ase_reductase_like', NULL, NULL, NULL, 1),
(8753, NULL, 'cd07714', NULL, NULL, 'RNaseJ_MBL-fold', NULL, 'RNaseJ_MBL-fold', NULL, NULL, NULL, 1),
(8754, NULL, 'cd11706', NULL, NULL, 'DHR2_DOCK2', NULL, 'DHR2_DOCK2', NULL, NULL, NULL, 1),
(8755, NULL, 'cd06888', NULL, NULL, 'PX_FISH', NULL, 'PX_FISH', NULL, NULL, 30778, 1),
(8756, NULL, 'cd03379', NULL, NULL, 'beta_CA_cladeD', NULL, 'beta_CA_cladeD', NULL, NULL, NULL, 1),
(8757, NULL, 'cd19993', NULL, NULL, 'PBP1_ABC_xylose_binding-like', NULL, 'PBP1_ABC_xylose_binding-like', NULL, NULL, NULL, 1),
(8758, NULL, 'cd15222', NULL, NULL, '7tmA_OR51-like', NULL, '7tmA_OR51-like', NULL, NULL, NULL, 1),
(8759, NULL, 'cd19173', NULL, NULL, 'SET_NSD', NULL, 'SET_NSD', NULL, NULL, NULL, 1),
(8760, NULL, 'cd15305', NULL, NULL, '7tmA_5-HT2C', NULL, '7tmA_5-HT2C', NULL, NULL, NULL, 1),
(8761, NULL, 'cd08434', NULL, NULL, 'PBP2_GltC_like', NULL, 'PBP2_GltC_like', NULL, NULL, NULL, 1),
(8762, NULL, 'cd11852', NULL, NULL, 'SH3_Kalirin_1', NULL, 'SH3_Kalirin_1', NULL, NULL, NULL, 1),
(8763, NULL, 'cd04250', NULL, NULL, 'AAK_NAGK-C', NULL, 'AAK_NAGK-C', NULL, NULL, 33472, 1),
(8764, NULL, 'cd13295', NULL, NULL, 'PH_EFA6', NULL, 'PH_EFA6', NULL, NULL, NULL, 1),
(8765, NULL, 'cd21627', NULL, NULL, 'batCoV-HKU9-like_Spike_S1_NTD', NULL, 'batCoV-HKU9-like_Spike_S1_NTD', NULL, NULL, 36640, 1),
(8766, NULL, 'cd19390', NULL, NULL, 'TGF_beta_BMP2', NULL, 'TGF_beta_BMP2', NULL, NULL, NULL, 1),
(8767, NULL, 'cd17808', NULL, NULL, 'HipA_Ec_like', NULL, 'HipA_Ec_like', NULL, NULL, NULL, 1),
(8768, NULL, 'cd01357', NULL, NULL, 'Aspartase', NULL, 'Aspartase', NULL, NULL, NULL, 1),
(8769, NULL, 'cd06263', NULL, NULL, 'MAM', NULL, 'MAM', NULL, NULL, 3167, 1),
(8770, NULL, 'cd04116', NULL, NULL, 'Rab9', NULL, 'Rab9', NULL, NULL, 32610, 1),
(8771, NULL, 'cd19968', NULL, NULL, 'PBP1_ABC_IbpA-like', NULL, 'PBP1_ABC_IbpA-like', NULL, NULL, NULL, 1),
(8772, NULL, 'cd03444', NULL, NULL, 'Thioesterase_II_repeat1', NULL, 'Thioesterase_II_repeat1', NULL, NULL, NULL, 1),
(8773, NULL, 'cd09622', NULL, NULL, 'CBM9_like_HisKa', NULL, 'CBM9_like_HisKa', NULL, NULL, NULL, 1),
(8774, NULL, 'cd14862', NULL, NULL, 'Fe-ADH-like', NULL, 'Fe-ADH-like', NULL, NULL, NULL, 1),
(8775, NULL, 'cd13574', NULL, NULL, 'PBP2_PnhD_4', NULL, 'PBP2_PnhD_4', NULL, NULL, NULL, 1),
(8776, NULL, 'cd15057', NULL, NULL, '7tmA_D1-like_dopamine_R', NULL, '7tmA_D1-like_dopamine_R', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8777, NULL, 'cd07401', NULL, NULL, 'MPP_TMEM62_N', NULL, 'MPP_TMEM62_N', NULL, NULL, 32920, 1),
(8778, NULL, 'cd11517', NULL, NULL, 'SLC6sbd_B0AT3', NULL, 'SLC6sbd_B0AT3', NULL, NULL, 38355, 1),
(8779, NULL, 'cd15814', NULL, NULL, 'SPRY_PRY_TRIM27', NULL, 'SPRY_PRY_TRIM27', NULL, NULL, 35298, 1),
(8780, NULL, 'cd11315', NULL, NULL, 'AmyAc_bac1_AmyA', NULL, 'AmyAc_bac1_AmyA', NULL, NULL, NULL, 1),
(8781, NULL, 'cd08183', NULL, NULL, 'Fe-ADH-like', NULL, 'Fe-ADH-like', NULL, NULL, NULL, 1),
(8782, NULL, 'cd14714', NULL, NULL, 'bZIP_CEBPD', NULL, 'bZIP_CEBPD', NULL, NULL, NULL, 1),
(8783, NULL, 'cd15172', NULL, NULL, '7tmA_CCR6', NULL, '7tmA_CCR6', NULL, NULL, NULL, 1),
(8784, NULL, 'cd04932', NULL, NULL, 'ACT_AKiii-LysC-EC_1', NULL, 'ACT_AKiii-LysC-EC_1', NULL, NULL, NULL, 1),
(8785, NULL, 'cd01119', NULL, NULL, 'Chemokine_CC_DCCL', NULL, 'Chemokine_CC_DCCL', NULL, NULL, 23465, 1),
(8786, NULL, 'cd06229', NULL, NULL, 'M14_Endopeptidase_I', NULL, 'M14_Endopeptidase_I', NULL, NULL, 14482, 1),
(8787, NULL, 'cd10527', NULL, NULL, 'SET_LSMT', NULL, 'SET_LSMT', NULL, NULL, NULL, 1),
(8788, NULL, 'cd14331', NULL, NULL, 'UBA_HERC1_2', NULL, 'UBA_HERC1_2', NULL, NULL, NULL, 1),
(8789, NULL, 'cd07476', NULL, NULL, 'Peptidases_S8_thiazoline_oxidase_subtilisin-li...', NULL, 'Peptidases_S8_thiazoline_oxidase_subtilisin-like_protease', NULL, NULL, 8413, 1),
(8790, NULL, 'cd19750', NULL, NULL, 'bHLH-O_DEC2', NULL, 'bHLH-O_DEC2', NULL, NULL, NULL, 1),
(8791, NULL, 'cd09114', NULL, NULL, 'PLDc_PPK1_C1', NULL, 'PLDc_PPK1_C1', NULL, NULL, NULL, 1),
(8792, NULL, 'cd15771', NULL, NULL, 'FYVE1_BSN_PCLO', NULL, 'FYVE1_BSN_PCLO', NULL, NULL, NULL, 1),
(8793, NULL, 'cd16190', NULL, NULL, 'EFh_PEF_CAPN3', NULL, 'EFh_PEF_CAPN3', NULL, NULL, NULL, 1),
(8794, NULL, 'cd14963', NULL, NULL, 'NHL_like_5', NULL, 'NHL_like_5', NULL, NULL, NULL, 1),
(8795, NULL, 'cd06863', NULL, NULL, 'PX_Atg24p', NULL, 'PX_Atg24p', NULL, NULL, NULL, 1),
(8796, NULL, 'cd06579', NULL, NULL, 'TM_PBP1_transp_AraH_like', NULL, 'TM_PBP1_transp_AraH_like', NULL, NULL, NULL, 1),
(8797, NULL, 'cd01968', NULL, NULL, 'Nitrogenase_NifE_I', NULL, 'Nitrogenase_NifE_I', NULL, NULL, NULL, 1),
(8798, NULL, 'cd13676', NULL, NULL, 'PBP2_TRAP_DctP2_like', NULL, 'PBP2_TRAP_DctP2_like', NULL, NULL, NULL, 1),
(8799, NULL, 'cd10147', NULL, NULL, 'Wzt_C-like', NULL, 'Wzt_C-like', NULL, NULL, 27478, 1),
(8800, NULL, 'cd14779', NULL, NULL, 'FHP_Ae-globin-like', NULL, 'FHP_Ae-globin-like', NULL, NULL, NULL, 1),
(8801, NULL, 'cd07337', NULL, NULL, 'M48B_HtpX_like', NULL, 'M48B_HtpX_like', NULL, NULL, NULL, 1),
(8802, NULL, 'cd05715', NULL, NULL, 'Ig_P0-like', NULL, 'Ig_P0-like', NULL, NULL, NULL, 1),
(8803, NULL, 'cd07450', NULL, NULL, 'CRD_FZ6', NULL, 'CRD_FZ6', NULL, NULL, 32593, 1),
(8804, NULL, 'cd10447', NULL, NULL, 'GIY-YIG_unchar_2', NULL, 'GIY-YIG_unchar_2', NULL, NULL, NULL, 1),
(8805, NULL, 'cd16526', NULL, NULL, 'RING-HC_PEX2', NULL, 'RING-HC_PEX2', NULL, NULL, NULL, 1),
(8806, NULL, 'cd09973', NULL, NULL, 'LOTUS_2_TDRD7', NULL, 'LOTUS_2_TDRD7', NULL, NULL, NULL, 1),
(8807, NULL, 'cd03724', NULL, NULL, 'SOCS_ASB5', NULL, 'SOCS_ASB5', NULL, NULL, 33314, 1),
(8808, NULL, 'cd04163', NULL, NULL, 'Era', NULL, 'Era', NULL, NULL, 28549, 1),
(8809, NULL, 'cd14609', NULL, NULL, 'R-PTP-N', NULL, 'R-PTP-N', NULL, NULL, NULL, 1),
(8810, NULL, 'cd03386', NULL, NULL, 'PAP2_Aur1_like', NULL, 'PAP2_Aur1_like', NULL, NULL, NULL, 1),
(8811, NULL, 'cd04144', NULL, NULL, 'Ras2', NULL, 'Ras2', NULL, NULL, NULL, 1),
(8812, NULL, 'cd06331', NULL, NULL, 'PBP1_AmiC-like', NULL, 'PBP1_AmiC-like', NULL, NULL, NULL, 1),
(8813, NULL, 'cd15164', NULL, NULL, '7tmA_GPR35-like', NULL, '7tmA_GPR35-like', NULL, NULL, 36877, 1),
(8814, NULL, 'cd01832', NULL, NULL, 'SGNH_hydrolase_like_1', NULL, 'SGNH_hydrolase_like_1', NULL, NULL, NULL, 1),
(8815, NULL, 'cd11429', NULL, NULL, 'bHLH_TS_OLIG', NULL, 'bHLH_TS_OLIG', NULL, NULL, NULL, 1),
(8816, NULL, 'cd03738', NULL, NULL, 'SOCS_SOCS4', NULL, 'SOCS_SOCS4', NULL, NULL, 30129, 1),
(8817, NULL, 'cd17522', NULL, NULL, 'RMtype1_S_MjaORF1531P-TRD1-CR1_like', NULL, 'RMtype1_S_MjaORF1531P-TRD1-CR1_like', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8818, NULL, 'cd14280', NULL, NULL, 'UBA1_Rad23_like', NULL, 'UBA1_Rad23_like', NULL, NULL, NULL, 1),
(8819, NULL, 'cd00413', NULL, NULL, 'Glyco_hydrolase_16', NULL, 'Glyco_hydrolase_16', NULL, NULL, NULL, 1),
(8820, NULL, 'cd18695', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(8821, NULL, 'cd16705', NULL, NULL, 'RING-HC_dBre1_like', NULL, 'RING-HC_dBre1_like', NULL, NULL, NULL, 1),
(8822, NULL, 'cd00519', NULL, NULL, 'Lipase_3', NULL, 'Lipase_3', NULL, NULL, NULL, 1),
(8823, NULL, 'cd17409', NULL, NULL, 'MFS_NIMT_like', NULL, 'MFS_NIMT_like', NULL, NULL, NULL, 1),
(8824, NULL, 'cd13864', NULL, NULL, 'CuRO_1_MCO_like_2', NULL, 'CuRO_1_MCO_like_2', NULL, NULL, NULL, 1),
(8825, NULL, 'cd14616', NULL, NULL, 'R-PTPc-Q', NULL, 'R-PTPc-Q', NULL, NULL, NULL, 1),
(8826, NULL, 'cd15705', NULL, NULL, 'ePHD_JADE2', NULL, 'ePHD_JADE2', NULL, NULL, 33657, 1),
(8827, NULL, 'cd16901', NULL, NULL, 'lyz_P1', NULL, 'lyz_P1', NULL, NULL, NULL, 1),
(8828, NULL, 'cd09633', NULL, NULL, 'Deltex_C', NULL, 'Deltex_C', NULL, NULL, 35803, 1),
(8829, NULL, 'cd17084', NULL, NULL, 'RAWUL_PCGF5', NULL, 'RAWUL_PCGF5', NULL, NULL, NULL, 1),
(8830, NULL, 'cd13640', NULL, NULL, 'PBP2_ChoX', NULL, 'PBP2_ChoX', NULL, NULL, 19218, 1),
(8831, NULL, 'cd09584', NULL, NULL, 'SAM_sec23ip', NULL, 'SAM_sec23ip', NULL, NULL, 36075, 1),
(8832, NULL, 'cd16529', NULL, NULL, 'RING-HC_RAD18', NULL, 'RING-HC_RAD18', NULL, NULL, NULL, 1),
(8833, NULL, 'cd06896', NULL, NULL, 'PX_PI3K_C2_gamma', NULL, 'PX_PI3K_C2_gamma', NULL, NULL, NULL, 1),
(8834, NULL, 'cd01040', NULL, NULL, 'Mb-like', NULL, 'Mb-like', NULL, NULL, 37771, 1),
(8835, NULL, 'cd06300', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(8836, NULL, 'cd11957', NULL, NULL, 'SH3_RUSC2', NULL, 'SH3_RUSC2', NULL, NULL, NULL, 1),
(8837, NULL, 'cd17207', NULL, NULL, 'FERM_F1_PLEKHH3', NULL, 'FERM_F1_PLEKHH3', NULL, NULL, NULL, 1),
(8838, NULL, 'cd10454', NULL, NULL, 'GIY-YIG_COG3680_Meta', NULL, 'GIY-YIG_COG3680_Meta', NULL, NULL, NULL, 1),
(8839, NULL, 'cd14512', NULL, NULL, 'DSP_MKP', NULL, 'DSP_MKP', NULL, NULL, NULL, 1),
(8840, NULL, 'cd09241', NULL, NULL, 'BRO1_ScRim20-like', NULL, 'BRO1_ScRim20-like', NULL, NULL, NULL, 1),
(8841, NULL, 'cd15810', NULL, NULL, 'SPRY_PRY_TRIM5_6_22_34', NULL, 'SPRY_PRY_TRIM5_6_22_34', NULL, NULL, NULL, 1),
(8842, NULL, 'cd13351', NULL, NULL, 'PH-GRAM1_TCB1D9_TCB1D9B', NULL, 'PH-GRAM1_TCB1D9_TCB1D9B', NULL, NULL, 30119, 1),
(8843, NULL, 'cd01033', NULL, NULL, 'ClC_like', NULL, 'ClC_like', NULL, NULL, NULL, 1),
(8844, NULL, 'cd11848', NULL, NULL, 'SH3_SLAP-like', NULL, 'SH3_SLAP-like', NULL, NULL, NULL, 1),
(8845, NULL, 'cd15949', NULL, NULL, '7tmA_OR52M-like', NULL, '7tmA_OR52M-like', NULL, NULL, NULL, 1),
(8846, NULL, 'cd17389', NULL, NULL, 'MFS_MFSD10', NULL, 'MFS_MFSD10', NULL, NULL, NULL, 1),
(8847, NULL, 'cd16677', NULL, NULL, 'RING1-H2_RNF32', NULL, 'RING1-H2_RNF32', NULL, NULL, NULL, 1),
(8848, NULL, 'cd19150', NULL, NULL, 'AKR_AKR14A1', NULL, 'AKR_AKR14A1', NULL, NULL, NULL, 1),
(8849, NULL, 'cd12518', NULL, NULL, 'RRM_SRSF11', NULL, 'RRM_SRSF11', NULL, NULL, NULL, 1),
(8850, NULL, 'cd19379', NULL, NULL, 'TGF_beta_GSDF', NULL, 'TGF_beta_GSDF', NULL, NULL, NULL, 1),
(8851, NULL, 'cd08945', NULL, NULL, 'PKR_SDR_c', NULL, 'PKR_SDR_c', NULL, NULL, NULL, 1),
(8852, NULL, 'cd04193', NULL, NULL, 'UDPGlcNAc_PPase', NULL, 'UDPGlcNAc_PPase', NULL, NULL, NULL, 1),
(8853, NULL, 'cd07821', NULL, NULL, 'PYR_PYL_RCAR_like', NULL, 'PYR_PYL_RCAR_like', NULL, NULL, NULL, 1),
(8854, NULL, 'cd03005', NULL, NULL, 'PDI_a_ERp46', NULL, 'PDI_a_ERp46', NULL, NULL, NULL, 1),
(8855, NULL, 'cd05509', NULL, NULL, 'Bromo_gcn5_like', NULL, 'Bromo_gcn5_like', NULL, NULL, NULL, 1),
(8856, NULL, 'cd09703', NULL, NULL, 'Cas6-I-III', NULL, 'Cas6-I-III', NULL, NULL, 8669, 1),
(8857, NULL, 'cd03423', NULL, NULL, 'SirA', NULL, 'SirA', NULL, NULL, 14956, 1),
(8858, NULL, 'cd15843', NULL, NULL, 'R-SNARE', NULL, 'R-SNARE', NULL, NULL, NULL, 1),
(8859, NULL, 'cd13571', NULL, NULL, 'PBP2_PnhD_1', NULL, 'PBP2_PnhD_1', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8860, NULL, 'cd17338', NULL, NULL, 'MFS_unc93_like', NULL, 'MFS_unc93_like', NULL, NULL, 36586, 1),
(8861, NULL, 'cd20262', NULL, NULL, 'Complex1_LYR_LYRM2', NULL, 'Complex1_LYR_LYRM2', NULL, NULL, 36728, 1),
(8862, NULL, 'cd14788', NULL, NULL, 'GumN', NULL, 'GumN', NULL, NULL, NULL, 1),
(8863, NULL, 'cd03735', NULL, NULL, 'SOCS_SOCS1', NULL, 'SOCS_SOCS1', NULL, NULL, NULL, 1),
(8864, NULL, 'cd07466', NULL, NULL, 'CRD_FZ7', NULL, 'CRD_FZ7', NULL, NULL, 37656, 1),
(8865, NULL, 'cd07902', NULL, NULL, 'Adenylation_DNA_ligase_III', NULL, 'Adenylation_DNA_ligase_III', NULL, NULL, NULL, 1),
(8866, NULL, 'cd03727', NULL, NULL, 'SOCS_ASB8', NULL, 'SOCS_ASB8', NULL, NULL, 32111, 1),
(8867, NULL, 'cd08343', NULL, NULL, 'ED_TypeI_classII_C', NULL, 'ED_TypeI_classII_C', NULL, NULL, NULL, 1),
(8868, NULL, 'cd12434', NULL, NULL, 'RRM_RCAN_like', NULL, 'RRM_RCAN_like', NULL, NULL, NULL, 1),
(8869, NULL, 'cd06136', NULL, NULL, 'TREX1_2', NULL, 'TREX1_2', NULL, NULL, NULL, 1),
(8870, NULL, 'cd18197', NULL, NULL, 'BTB_POZ_ZBTB6', NULL, 'BTB_POZ_ZBTB6', NULL, NULL, NULL, 1),
(8871, NULL, 'cd15067', NULL, NULL, '7tmA_Dop1R2-like', NULL, '7tmA_Dop1R2-like', NULL, NULL, NULL, 1),
(8872, NULL, 'cd15143', NULL, NULL, '7tmA_TXA2_R', NULL, '7tmA_TXA2_R', NULL, NULL, NULL, 1),
(8873, NULL, 'cd01854', NULL, NULL, 'YjeQ_EngC', NULL, 'YjeQ_EngC', NULL, NULL, 7077, 1),
(8874, NULL, 'cd15683', NULL, NULL, 'PHD_ING2', NULL, 'PHD_ING2', NULL, NULL, 33272, 1),
(8875, NULL, 'cd14889', NULL, NULL, 'MYSc_Myo28', NULL, 'MYSc_Myo28', NULL, NULL, NULL, 1),
(8876, NULL, 'cd19164', NULL, NULL, 'AKR_ARA2', NULL, 'AKR_ARA2', NULL, NULL, 36805, 1),
(8877, NULL, 'cd11430', NULL, NULL, 'bHLH_TS_ATOH1_like', NULL, 'bHLH_TS_ATOH1_like', NULL, NULL, NULL, 1),
(8878, NULL, 'cd18933', NULL, NULL, 'bHLH-O_HES3', NULL, 'bHLH-O_HES3', NULL, NULL, NULL, 1),
(8879, NULL, 'cd02424', NULL, NULL, 'Peptidase_C39E', NULL, 'Peptidase_C39E', NULL, NULL, NULL, 1),
(8880, NULL, 'cd14435', NULL, NULL, 'SPO1_TF1_like', NULL, 'SPO1_TF1_like', NULL, NULL, NULL, 1),
(8881, NULL, 'cd06101', NULL, NULL, 'citrate_synt', NULL, 'citrate_synt', NULL, NULL, NULL, 1),
(8882, NULL, 'cd03391', NULL, NULL, 'PAP2_containing_2_like', NULL, 'PAP2_containing_2_like', NULL, NULL, NULL, 1),
(8883, NULL, 'cd04202', NULL, NULL, 'CuRO_D2_2dMcoN_like', NULL, 'CuRO_D2_2dMcoN_like', NULL, NULL, NULL, 1),
(8884, NULL, 'cd06952', NULL, NULL, 'NR_LBD_TR2_like', NULL, 'NR_LBD_TR2_like', NULL, NULL, NULL, 1),
(8885, NULL, 'cd19703', NULL, NULL, 'bHLH_TS_musculin', NULL, 'bHLH_TS_musculin', NULL, NULL, NULL, 1),
(8886, NULL, 'cd13306', NULL, NULL, 'PH1_AFAP', NULL, 'PH1_AFAP', NULL, NULL, NULL, 1),
(8887, NULL, 'cd13239', NULL, NULL, 'PH_Obscurin', NULL, 'PH_Obscurin', NULL, NULL, NULL, 1),
(8888, NULL, 'cd14653', NULL, NULL, 'ZIP_Gal4p-like', NULL, 'ZIP_Gal4p-like', NULL, NULL, NULL, 1),
(8889, NULL, 'cd18548', NULL, NULL, 'ABC_6TM_Tm287_like', NULL, 'ABC_6TM_Tm287_like', NULL, NULL, NULL, 1),
(8890, NULL, 'cd09244', NULL, NULL, 'BRO1_Rhophilin', NULL, 'BRO1_Rhophilin', NULL, NULL, NULL, 1),
(8891, NULL, 'cd05565', NULL, NULL, 'PTS_IIB_lactose', NULL, 'PTS_IIB_lactose', NULL, NULL, 32928, 1),
(8892, NULL, 'cd12714', NULL, NULL, 'RRM1_MATR3', NULL, 'RRM1_MATR3', NULL, NULL, 12369, 1),
(8893, NULL, 'cd04089', NULL, NULL, 'eRF3_II', NULL, 'eRF3_II', NULL, NULL, NULL, 1),
(8894, NULL, 'cd09907', NULL, NULL, 'H3TH_FEN1-Euk', NULL, 'H3TH_FEN1-Euk', NULL, NULL, NULL, 1),
(8895, NULL, 'cd09910', NULL, NULL, 'NGN-insert_like', NULL, 'NGN-insert_like', NULL, NULL, NULL, 1),
(8896, NULL, 'cd04236', NULL, NULL, 'AAK_NAGS-Urea', NULL, 'AAK_NAGS-Urea', NULL, NULL, NULL, 1),
(8897, NULL, 'cd08224', NULL, NULL, 'STKc_Nek6_7', NULL, 'STKc_Nek6_7', NULL, NULL, NULL, 1),
(8898, NULL, 'cd16949', NULL, NULL, 'HATPase_CpxA-like', NULL, 'HATPase_CpxA-like', NULL, NULL, NULL, 1),
(8899, NULL, 'cd11564', NULL, NULL, 'FAT-like_CAS_C', NULL, 'FAT-like_CAS_C', NULL, NULL, NULL, 1),
(8900, NULL, 'cd01072', NULL, NULL, 'PBP2_SMa0082_like', NULL, 'PBP2_SMa0082_like', NULL, NULL, NULL, 1),
(8901, NULL, 'cd12171', NULL, NULL, '2-Hacid_dh_10', NULL, '2-Hacid_dh_10', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8902, NULL, 'cd07599', NULL, NULL, 'BAR_Rvs167p', NULL, 'BAR_Rvs167p', NULL, NULL, NULL, 1),
(8903, NULL, 'cd12460', NULL, NULL, 'RRM2_CID8_like', NULL, 'RRM2_CID8_like', NULL, NULL, 36429, 1),
(8904, NULL, 'cd05391', NULL, NULL, 'RasGAP_p120GAP', NULL, 'RasGAP_p120GAP', NULL, NULL, NULL, 1),
(8905, NULL, 'cd11918', NULL, NULL, 'SH3_Vinexin_3', NULL, 'SH3_Vinexin_3', NULL, NULL, 30371, 1),
(8906, NULL, 'cd16293', NULL, NULL, 'CPSF2-like_MBL-fold', NULL, 'CPSF2-like_MBL-fold', NULL, NULL, 35041, 1),
(8907, NULL, 'cd14545', NULL, NULL, 'PTPc-N1_2', NULL, 'PTPc-N1_2', NULL, NULL, NULL, 1),
(8908, NULL, 'cd03341', NULL, NULL, 'TCP1_theta', NULL, 'TCP1_theta', NULL, NULL, 11611, 1),
(8909, NULL, 'cd00424', NULL, NULL, 'PolY', NULL, 'PolY', NULL, NULL, NULL, 1),
(8910, NULL, 'cd13400', NULL, NULL, 'LT_IagB-like', NULL, 'LT_IagB-like', NULL, NULL, NULL, 1),
(8911, NULL, 'cd07475', NULL, NULL, 'Peptidases_S8_C5a_Peptidase', NULL, 'Peptidases_S8_C5a_Peptidase', NULL, NULL, 31203, 1),
(8912, NULL, 'cd14514', NULL, NULL, 'DUSP14-like', NULL, 'DUSP14-like', NULL, NULL, NULL, 1),
(8913, NULL, 'cd03748', NULL, NULL, 'Ntn_PGA', NULL, 'Ntn_PGA', NULL, NULL, 31927, 1),
(8914, NULL, 'cd10354', NULL, NULL, 'SH2_Cterm_RasGAP', NULL, 'SH2_Cterm_RasGAP', NULL, NULL, 31552, 1),
(8915, NULL, 'cd12038', NULL, NULL, 'SH3_MPP6', NULL, 'SH3_MPP6', NULL, NULL, 30901, 1),
(8916, NULL, 'cd11016', NULL, NULL, 'CuRO_4_FVIII_like', NULL, 'CuRO_4_FVIII_like', NULL, NULL, NULL, 1),
(8917, NULL, 'cd05767', NULL, NULL, 'IgC_MHC_II_alpha', NULL, 'IgC_MHC_II_alpha', NULL, NULL, NULL, 1),
(8918, NULL, 'cd04787', NULL, NULL, 'HTH_HMRTR_unk', NULL, 'HTH_HMRTR_unk', NULL, NULL, NULL, 1),
(8919, NULL, 'cd11768', NULL, NULL, 'SH3_Tec_like', NULL, 'SH3_Tec_like', NULL, NULL, NULL, 1),
(8920, NULL, 'cd16878', NULL, NULL, 'ARID_ARID3A', NULL, 'ARID_ARID3A', NULL, NULL, NULL, 1),
(8921, NULL, 'cd10314', NULL, NULL, 'FAM20_C', NULL, 'FAM20_C', NULL, NULL, NULL, 1),
(8922, NULL, 'cd06244', NULL, NULL, 'M14-like', NULL, 'M14-like', NULL, NULL, NULL, 1),
(8923, NULL, 'cd17809', NULL, NULL, 'HipA_So_like', NULL, 'HipA_So_like', NULL, NULL, NULL, 1),
(8924, NULL, 'cd19038', NULL, NULL, 'LGIC_ECD_GABAAR_A5', NULL, 'LGIC_ECD_GABAAR_A5', NULL, NULL, NULL, 1),
(8925, NULL, 'cd07291', NULL, NULL, 'PX_SNX5', NULL, 'PX_SNX5', NULL, NULL, 39605, 1),
(8926, NULL, 'cd15215', NULL, NULL, '7tmA_GPR101', NULL, '7tmA_GPR101', NULL, NULL, NULL, 1),
(8927, NULL, 'cd18679', NULL, NULL, 'PIN_VapC-Af1683-like', NULL, 'PIN_VapC-Af1683-like', NULL, NULL, NULL, 1),
(8928, NULL, 'cd18074', NULL, NULL, 'DEXHc_RLR-2', NULL, 'DEXHc_RLR-2', NULL, NULL, NULL, 1),
(8929, NULL, 'cd08398', NULL, NULL, 'C2_PI3K_class_I_alpha', NULL, 'C2_PI3K_class_I_alpha', NULL, NULL, NULL, 1),
(8930, NULL, 'cd05869', NULL, NULL, 'Ig_NCAM-1', NULL, 'Ig_NCAM-1', NULL, NULL, NULL, 1),
(8931, NULL, 'cd19555', NULL, NULL, 'serpinA7_TBG', NULL, 'serpinA7_TBG', NULL, NULL, NULL, 1),
(8932, NULL, 'cd16285', NULL, NULL, 'MBL-B1', NULL, 'MBL-B1', NULL, NULL, NULL, 1),
(8933, NULL, 'cd17282', NULL, NULL, 'RMtype1_S_Eco16444ORF1681_TRD1-CR1_like', NULL, 'RMtype1_S_Eco16444ORF1681_TRD1-CR1_like', NULL, NULL, NULL, 1),
(8934, NULL, 'cd01855', NULL, NULL, 'YqeH', NULL, 'YqeH', NULL, NULL, NULL, 1),
(8935, NULL, 'cd08346', NULL, NULL, 'PcpA_N_like', NULL, 'PcpA_N_like', NULL, NULL, NULL, 1),
(8936, NULL, 'cd08188', NULL, NULL, 'PDDH', NULL, 'PDDH', NULL, NULL, NULL, 1),
(8937, NULL, 'cd11343', NULL, NULL, 'AmyAc_Sucrose_phosphorylase-like', NULL, 'AmyAc_Sucrose_phosphorylase-like', NULL, NULL, NULL, 1),
(8938, NULL, 'cd11577', NULL, NULL, 'GH71', NULL, 'GH71', NULL, NULL, 6530, 1),
(8939, NULL, 'cd09692', NULL, NULL, 'Cas5_I-B', NULL, 'Cas5_I-B', NULL, NULL, NULL, 1),
(8940, NULL, 'cd11904', NULL, NULL, 'SH3_Nck1_3', NULL, 'SH3_Nck1_3', NULL, NULL, 30984, 1),
(8941, NULL, 'cd01403', NULL, NULL, 'Cyt_c_Oxidase_VIIb', NULL, 'Cyt_c_Oxidase_VIIb', NULL, NULL, 8967, 1),
(8942, NULL, 'cd16332', NULL, NULL, 'Prp-like', NULL, 'Prp-like', NULL, NULL, 3837, 1),
(8943, NULL, 'cd05115', NULL, NULL, 'PTKc_Zap-70', NULL, 'PTKc_Zap-70', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8944, NULL, 'cd17248', NULL, NULL, 'RMtype1_S_AmiI-TRD2-CR2_like', NULL, 'RMtype1_S_AmiI-TRD2-CR2_like', NULL, NULL, NULL, 1),
(8945, NULL, 'cd10304', NULL, NULL, 'GST_C_Arc1p_N_like', NULL, 'GST_C_Arc1p_N_like', NULL, NULL, NULL, 1),
(8946, NULL, 'cd11661', NULL, NULL, 'SANT_MTA3_like', NULL, 'SANT_MTA3_like', NULL, NULL, NULL, 1),
(8947, NULL, 'cd12148', NULL, NULL, 'fungal_TF_MHR', NULL, 'fungal_TF_MHR', NULL, NULL, NULL, 1),
(8948, NULL, 'cd18666', NULL, NULL, 'CD1_tandem_CHD1-2_like', NULL, 'CD1_tandem_CHD1-2_like', NULL, NULL, NULL, 1),
(8949, NULL, 'cd16360', NULL, NULL, 'ED_TypeI_classII_N', NULL, 'ED_TypeI_classII_N', NULL, NULL, NULL, 1),
(8950, NULL, 'cd05920', NULL, NULL, '23DHB-AMP_lg', NULL, '23DHB-AMP_lg', NULL, NULL, NULL, 1),
(8951, NULL, 'cd18747', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(8952, NULL, 'cd05835', NULL, NULL, 'Dnmt3b_related', NULL, 'Dnmt3b_related', NULL, NULL, NULL, 1),
(8953, NULL, 'cd10146', NULL, NULL, 'LabA_like_C', NULL, 'LabA_like_C', NULL, NULL, NULL, 1),
(8954, NULL, 'cd04128', NULL, NULL, 'Spg1', NULL, 'Spg1', NULL, NULL, 15616, 1),
(8955, NULL, 'cd15197', NULL, NULL, '7tmA_NPSR', NULL, '7tmA_NPSR', NULL, NULL, NULL, 1),
(8956, NULL, 'cd02572', NULL, NULL, 'PseudoU_synth_hDyskerin', NULL, 'PseudoU_synth_hDyskerin', NULL, NULL, NULL, 1),
(8957, NULL, 'cd16074', NULL, NULL, 'OCRE', NULL, 'OCRE', NULL, NULL, NULL, 1),
(8958, NULL, 'cd02199', NULL, NULL, 'YjgF_YER057c_UK114_like_1', NULL, 'YjgF_YER057c_UK114_like_1', NULL, NULL, 7901, 1),
(8959, NULL, 'cd07951', NULL, NULL, 'ED_3B_N_AMMECR1', NULL, 'ED_3B_N_AMMECR1', NULL, NULL, NULL, 1),
(8960, NULL, 'cd14542', NULL, NULL, 'PTPc-N22_18_12', NULL, 'PTPc-N22_18_12', NULL, NULL, NULL, 1),
(8961, NULL, 'cd12630', NULL, NULL, 'RRM2_IGF2BP3', NULL, 'RRM2_IGF2BP3', NULL, NULL, 36118, 1),
(8962, NULL, 'cd13299', NULL, NULL, 'PH2_PH_fungal', NULL, 'PH2_PH_fungal', NULL, NULL, NULL, 1),
(8963, NULL, 'cd10506', NULL, NULL, 'RNAP_IV_RPD1_N', NULL, 'RNAP_IV_RPD1_N', NULL, NULL, 30452, 1),
(8964, NULL, 'cd06363', NULL, NULL, 'PBP1_taste_receptor', NULL, 'PBP1_taste_receptor', NULL, NULL, NULL, 1),
(8965, NULL, 'cd09097', NULL, NULL, 'Deadenylase_CCR4', NULL, 'Deadenylase_CCR4', NULL, NULL, NULL, 1),
(8966, NULL, 'cd18247', NULL, NULL, 'BTB_POZ_KLHL18', NULL, 'BTB_POZ_KLHL18', NULL, NULL, 26925, 1),
(8967, NULL, 'cd10466', NULL, NULL, 'FimH_man-bind', NULL, 'FimH_man-bind', NULL, NULL, 12765, 1),
(8968, NULL, 'cd14898', NULL, NULL, 'MYSc_Myo37', NULL, 'MYSc_Myo37', NULL, NULL, NULL, 1),
(8969, NULL, 'cd20493', NULL, NULL, 'M34_ATLF_C-like', NULL, 'M34_ATLF_C-like', NULL, NULL, NULL, 1),
(8970, NULL, 'cd16627', NULL, NULL, 'RING-HC_RBR_parkin', NULL, 'RING-HC_RBR_parkin', NULL, NULL, NULL, 1),
(8971, NULL, 'cd14061', NULL, NULL, 'STKc_MLK', NULL, 'STKc_MLK', NULL, NULL, NULL, 1),
(8972, NULL, 'cd17373', NULL, NULL, 'MFS_SLC22A17_like', NULL, 'MFS_SLC22A17_like', NULL, NULL, NULL, 1),
(8973, NULL, 'cd11288', NULL, NULL, 'gelsolin_S5_like', NULL, 'gelsolin_S5_like', NULL, NULL, NULL, 1),
(8974, NULL, 'cd14717', NULL, NULL, 'bZIP_Maf_small', NULL, 'bZIP_Maf_small', NULL, NULL, NULL, 1),
(8975, NULL, 'cd14263', NULL, NULL, 'DAGK_IM_like', NULL, 'DAGK_IM_like', NULL, NULL, NULL, 1),
(8976, NULL, 'cd14375', NULL, NULL, 'CUE2_Cue2p_like', NULL, 'CUE2_Cue2p_like', NULL, NULL, 33253, 1),
(8977, NULL, 'cd14538', NULL, NULL, 'PTPc-N20_13', NULL, 'PTPc-N20_13', NULL, NULL, NULL, 1),
(8978, NULL, 'cd18473', NULL, NULL, 'BACK_KLHL34', NULL, 'BACK_KLHL34', NULL, NULL, NULL, 1),
(8979, NULL, 'cd00649', NULL, NULL, 'catalase_peroxidase_1', NULL, 'catalase_peroxidase_1', NULL, NULL, NULL, 1),
(8980, NULL, 'cd19424', NULL, NULL, 'lipocalin_NPs-like', NULL, 'lipocalin_NPs-like', NULL, NULL, NULL, 1),
(8981, NULL, 'cd13225', NULL, NULL, 'PH-like_bacteria', NULL, 'PH-like_bacteria', NULL, NULL, NULL, 1),
(8982, NULL, 'cd20220', NULL, NULL, 'PFM_natterin-3-like', NULL, 'PFM_natterin-3-like', NULL, NULL, NULL, 1),
(8983, NULL, 'cd19177', NULL, NULL, 'SET_SETD4', NULL, 'SET_SETD4', NULL, NULL, 38537, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(8984, NULL, 'cd11014', NULL, NULL, 'Mavicyanin', NULL, 'Mavicyanin', NULL, NULL, 33086, 1),
(8985, NULL, 'cd12876', NULL, NULL, 'SPRY_SOCS3', NULL, 'SPRY_SOCS3', NULL, NULL, 33149, 1),
(8986, NULL, 'cd15492', NULL, NULL, 'PHD_BRPF_JADE_like', NULL, 'PHD_BRPF_JADE_like', NULL, NULL, NULL, 1),
(8987, NULL, 'cd04928', NULL, NULL, 'ACT_TyrKc', NULL, 'ACT_TyrKc', NULL, NULL, NULL, 1),
(8988, NULL, 'cd02654', NULL, NULL, 'nuc_hydro_CjNH', NULL, 'nuc_hydro_CjNH', NULL, NULL, NULL, 1),
(8989, NULL, 'cd19892', NULL, NULL, 'DSRM_PRKRA_rpt3', NULL, 'DSRM_PRKRA_rpt3', NULL, NULL, 36840, 1),
(8990, NULL, 'cd15549', NULL, NULL, 'PHD_PHF20_like', NULL, 'PHD_PHF20_like', NULL, NULL, NULL, 1),
(8991, NULL, 'cd10473', NULL, NULL, 'EphR_LBD_A', NULL, 'EphR_LBD_A', NULL, NULL, NULL, 1),
(8992, NULL, 'cd11630', NULL, NULL, 'HR1_PKN1_2', NULL, 'HR1_PKN1_2', NULL, NULL, 34773, 1),
(8993, NULL, 'cd09529', NULL, NULL, 'SAM_MLTK', NULL, 'SAM_MLTK', NULL, NULL, NULL, 1),
(8994, NULL, 'cd09587', NULL, NULL, 'SAM_HARP', NULL, 'SAM_HARP', NULL, NULL, 36123, 1),
(8995, NULL, 'cd04728', NULL, NULL, 'ThiG', NULL, 'ThiG', NULL, NULL, 7883, 1),
(8996, NULL, 'cd17432', NULL, NULL, 'MFS_GLUT_Class2', NULL, 'MFS_GLUT_Class2', NULL, NULL, NULL, 1),
(8997, NULL, 'cd07527', NULL, NULL, 'HAD_ScGPP-like', NULL, 'HAD_ScGPP-like', NULL, NULL, NULL, 1),
(8998, NULL, 'cd17169', NULL, NULL, 'FERM_F1_FRMPD3', NULL, 'FERM_F1_FRMPD3', NULL, NULL, NULL, 1),
(8999, NULL, 'cd04381', NULL, NULL, 'RhoGap_RalBP1', NULL, 'RhoGap_RalBP1', NULL, NULL, NULL, 1),
(9000, NULL, 'cd14078', NULL, NULL, 'STKc_MELK', NULL, 'STKc_MELK', NULL, NULL, 15604, 1),
(9001, NULL, 'cd05212', NULL, NULL, 'NAD_bind_m-THF_DH_Cyclohyd_like', NULL, 'NAD_bind_m-THF_DH_Cyclohyd_like', NULL, NULL, NULL, 1),
(9002, NULL, 'cd19979', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(9003, NULL, 'cd03352', NULL, NULL, 'LbH_LpxD', NULL, 'LbH_LpxD', NULL, NULL, 1251, 1),
(9004, NULL, 'cd12200', NULL, NULL, 'AMPKA2_C', NULL, 'AMPKA2_C', NULL, NULL, 35233, 1),
(9005, NULL, 'cd08012', NULL, NULL, 'M20_ArgE-related', NULL, 'M20_ArgE-related', NULL, NULL, NULL, 1),
(9006, NULL, 'cd00003', NULL, NULL, 'PNPsynthase', NULL, 'PNPsynthase', NULL, NULL, 754, 1),
(9007, NULL, 'cd13971', NULL, NULL, 'ADCK2-like', NULL, 'ADCK2-like', NULL, NULL, 37796, 1),
(9008, NULL, 'cd06557', NULL, NULL, 'KPHMT-like', NULL, 'KPHMT-like', NULL, NULL, 2465, 1),
(9009, NULL, 'cd12901', NULL, NULL, 'SPRY_PRY_FSD1', NULL, 'SPRY_PRY_FSD1', NULL, NULL, 30523, 1),
(9010, NULL, 'cd00030', NULL, NULL, 'C2', NULL, 'C2', NULL, NULL, NULL, 1),
(9011, NULL, 'cd07118', NULL, NULL, 'ALDH_SNDH', NULL, 'ALDH_SNDH', NULL, NULL, NULL, 1),
(9012, NULL, 'cd11433', NULL, NULL, 'bHLH-PAS_HIF', NULL, 'bHLH-PAS_HIF', NULL, NULL, NULL, 1),
(9013, NULL, 'cd08181', NULL, NULL, 'PPD-like', NULL, 'PPD-like', NULL, NULL, NULL, 1),
(9014, NULL, 'cd04481', NULL, NULL, 'RPA1_DBD_B_like', NULL, 'RPA1_DBD_B_like', NULL, NULL, NULL, 1),
(9015, NULL, 'cd03886', NULL, NULL, 'M20_Acy1', NULL, 'M20_Acy1', NULL, NULL, NULL, 1),
(9016, NULL, 'cd15775', NULL, NULL, 'FYVE2_BSN', NULL, 'FYVE2_BSN', NULL, NULL, NULL, 1),
(9017, NULL, 'cd19056', NULL, NULL, 'LGIC_TM_GABAAR_theta', NULL, 'LGIC_TM_GABAAR_theta', NULL, NULL, NULL, 1),
(9018, NULL, 'cd05820', NULL, NULL, 'CBM20_novamyl', NULL, 'CBM20_novamyl', NULL, NULL, 35497, 1),
(9019, NULL, 'cd14406', NULL, NULL, 'UBA_MARK2', NULL, 'UBA_MARK2', NULL, NULL, NULL, 1),
(9020, NULL, 'cd16137', NULL, NULL, 'RA_MRL_RIAM', NULL, 'RA_MRL_RIAM', NULL, NULL, NULL, 1),
(9021, NULL, 'cd18807', NULL, NULL, 'SF1_C_UvrD', NULL, 'SF1_C_UvrD', NULL, NULL, NULL, 1),
(9022, NULL, 'cd11690', NULL, NULL, 'Tsi2_like', NULL, 'Tsi2_like', NULL, NULL, 34024, 1),
(9023, NULL, 'cd14217', NULL, NULL, 'STKc_SRPK2', NULL, 'STKc_SRPK2', NULL, NULL, NULL, 1),
(9024, NULL, 'cd17245', NULL, NULL, 'RMtype1_S_TteMORF1547P-TRD2-CR2_Aco12261I-TRD1...', NULL, 'RMtype1_S_TteMORF1547P-TRD2-CR2_Aco12261I-TRD1-CR1_like', NULL, NULL, NULL, 1),
(9025, NULL, 'cd16859', NULL, NULL, 'ING_ING4_5', NULL, 'ING_ING4_5', NULL, NULL, NULL, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9026, NULL, 'cd12318', NULL, NULL, 'RRM5_RBM19_like', NULL, 'RRM5_RBM19_like', NULL, NULL, 13083, 1),
(9027, NULL, 'cd16993', NULL, NULL, 'ENTH_Ent5', NULL, 'ENTH_Ent5', NULL, NULL, NULL, 1),
(9028, NULL, 'cd02621', NULL, NULL, 'Peptidase_C1A_CathepsinC', NULL, 'Peptidase_C1A_CathepsinC', NULL, NULL, 36277, 1),
(9029, NULL, 'cd14774', NULL, NULL, 'TrHb2_HGbIV-like_O', NULL, 'TrHb2_HGbIV-like_O', NULL, NULL, NULL, 1),
(9030, NULL, 'cd01252', NULL, NULL, 'PH_GRP1-like', NULL, 'PH_GRP1-like', NULL, NULL, NULL, 1),
(9031, NULL, 'cd11592', NULL, NULL, 'Agmatinase_PAH', NULL, 'Agmatinase_PAH', NULL, NULL, NULL, 1),
(9032, NULL, 'cd13176', NULL, NULL, 'RanBD_RanBP2-like', NULL, 'RanBD_RanBP2-like', NULL, NULL, NULL, 1),
(9033, NULL, 'cd00328', NULL, NULL, 'catalase', NULL, 'catalase', NULL, NULL, NULL, 1),
(9034, NULL, 'cd05930', NULL, NULL, 'A_NRPS', NULL, 'A_NRPS', NULL, NULL, NULL, 1),
(9035, NULL, 'cd14646', NULL, NULL, 'DSP_DUSP16', NULL, 'DSP_DUSP16', NULL, NULL, NULL, 1),
(9036, NULL, 'cd06419', NULL, NULL, 'GH25_muramidase_2', NULL, 'GH25_muramidase_2', NULL, NULL, NULL, 1),
(9037, NULL, 'cd01097', NULL, NULL, 'Tetrahydromethanopterin_reductase', NULL, 'Tetrahydromethanopterin_reductase', NULL, NULL, NULL, 1),
(9038, NULL, 'cd10163', NULL, NULL, 'ClassIIa_HDAC9_Gln-rich-N', NULL, 'ClassIIa_HDAC9_Gln-rich-N', NULL, NULL, NULL, 1),
(9039, NULL, 'cd15603', NULL, NULL, 'PHD1_KDM5B', NULL, 'PHD1_KDM5B', NULL, NULL, NULL, 1),
(9040, NULL, 'cd08986', NULL, NULL, 'GH43-like', NULL, 'GH43-like', NULL, NULL, NULL, 1),
(9041, NULL, 'cd12782', NULL, NULL, 'RRM2_PTBP1', NULL, 'RRM2_PTBP1', NULL, NULL, NULL, 1),
(9042, NULL, 'cd17635', NULL, NULL, 'FADD10', NULL, 'FADD10', NULL, NULL, NULL, 1),
(9043, NULL, 'cd20275', NULL, NULL, 'Sarcolamban_B', NULL, 'Sarcolamban_B', NULL, NULL, NULL, 1),
(9044, NULL, 'cd06432', NULL, NULL, 'GT8_HUGT1_C_like', NULL, 'GT8_HUGT1_C_like', NULL, NULL, NULL, 1),
(9045, NULL, 'cd13713', NULL, NULL, 'PBP2_Cystine_like_1', NULL, 'PBP2_Cystine_like_1', NULL, NULL, NULL, 1),
(9046, NULL, 'cd18159', NULL, NULL, 'REC_OmpR_NsrR-like', NULL, 'REC_OmpR_NsrR-like', NULL, NULL, NULL, 1),
(9047, NULL, 'cd09411', NULL, NULL, 'LIM4_Paxillin', NULL, 'LIM4_Paxillin', NULL, NULL, NULL, 1),
(9048, NULL, 'cd14046', NULL, NULL, 'STKc_EIF2AK4_GCN2_rpt2', NULL, 'STKc_EIF2AK4_GCN2_rpt2', NULL, NULL, NULL, 1),
(9049, NULL, 'cd02106', NULL, NULL, 'SPFH_like', NULL, 'SPFH_like', NULL, NULL, NULL, 1),
(9050, NULL, 'cd02524', NULL, NULL, 'G1P_cytidylyltransferase', NULL, 'G1P_cytidylyltransferase', NULL, NULL, 9069, 1),
(9051, NULL, 'cd14437', NULL, NULL, 'nt01cx_1156_like', NULL, 'nt01cx_1156_like', NULL, NULL, NULL, 1),
(9052, NULL, 'cd11992', NULL, NULL, 'SH3_Intersectin2_3', NULL, 'SH3_Intersectin2_3', NULL, NULL, 30479, 1),
(9053, NULL, 'cd13717', NULL, NULL, 'PBP2_iGluR_putative', NULL, 'PBP2_iGluR_putative', NULL, NULL, NULL, 1),
(9054, NULL, 'cd07636', NULL, NULL, 'BAR_GRAF', NULL, 'BAR_GRAF', NULL, NULL, 17516, 1),
(9055, NULL, 'cd10575', NULL, NULL, 'TNFRSF6B', NULL, 'TNFRSF6B', NULL, NULL, 20300, 1),
(9056, NULL, 'cd05815', NULL, NULL, 'CBM20_DPE2_repeat1', NULL, 'CBM20_DPE2_repeat1', NULL, NULL, 8588, 1),
(9057, NULL, 'cd18618', NULL, NULL, 'GH43_Xsa43E-like', NULL, 'GH43_Xsa43E-like', NULL, NULL, NULL, 1),
(9058, NULL, 'cd14045', NULL, NULL, 'PK_GC_unk', NULL, 'PK_GC_unk', NULL, NULL, NULL, 1),
(9059, NULL, 'cd14409', NULL, NULL, 'UBA_SIK2', NULL, 'UBA_SIK2', NULL, NULL, NULL, 1),
(9060, NULL, 'cd18297', NULL, NULL, 'BTB_POZ_ABTB2-like', NULL, 'BTB_POZ_ABTB2-like', NULL, NULL, NULL, 1),
(9061, NULL, 'cd16397', NULL, NULL, 'IbrB_like', NULL, 'IbrB_like', NULL, NULL, NULL, 1),
(9062, NULL, 'cd07003', NULL, NULL, 'cupin_YobQ-like_N', NULL, 'cupin_YobQ-like_N', NULL, NULL, NULL, 1),
(9063, NULL, 'cd15808', NULL, NULL, 'SPRY_PRY_TRIM47', NULL, 'SPRY_PRY_TRIM47', NULL, NULL, 39961, 1),
(9064, NULL, 'cd16165', NULL, NULL, 'OCRE_ZOP1_plant', NULL, 'OCRE_ZOP1_plant', NULL, NULL, 36071, 1),
(9065, NULL, 'cd01142', NULL, NULL, 'TroA_e', NULL, 'TroA_e', NULL, NULL, NULL, 1),
(9066, NULL, 'cd16361', NULL, NULL, 'VOC_ShValD_like', NULL, 'VOC_ShValD_like', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9067, NULL, 'cd18624', NULL, NULL, 'GH32_Fruct1-like', NULL, 'GH32_Fruct1-like', NULL, NULL, NULL, 1),
(9068, NULL, 'cd19186', NULL, NULL, 'SET_Suv4-20', NULL, 'SET_Suv4-20', NULL, NULL, 37849, 1),
(9069, NULL, 'cd07937', NULL, NULL, 'DRE_TIM_PC_TC_5S', NULL, 'DRE_TIM_PC_TC_5S', NULL, NULL, NULL, 1),
(9070, NULL, 'cd15330', NULL, NULL, '7tmA_5-HT1A_vertebrates', NULL, '7tmA_5-HT1A_vertebrates', NULL, NULL, NULL, 1),
(9071, NULL, 'cd07399', NULL, NULL, 'MPP_YvnB', NULL, 'MPP_YvnB', NULL, NULL, NULL, 1),
(9072, NULL, 'cd17442', NULL, NULL, 'MFS_SVOPL', NULL, 'MFS_SVOPL', NULL, NULL, NULL, 1),
(9073, NULL, 'cd14296', NULL, NULL, 'UBA1_scUBP14_like', NULL, 'UBA1_scUBP14_like', NULL, NULL, NULL, 1),
(9074, NULL, 'cd16369', NULL, NULL, 'DMSOR_beta_like', NULL, 'DMSOR_beta_like', NULL, NULL, NULL, 1),
(9075, NULL, 'cd02892', NULL, NULL, 'SQCY_1', NULL, 'SQCY_1', NULL, NULL, 20660, 1),
(9076, NULL, 'cd13670', NULL, NULL, 'PBP2_TRAP_Tp0957_like', NULL, 'PBP2_TRAP_Tp0957_like', NULL, NULL, NULL, 1),
(9077, NULL, 'cd01478', NULL, NULL, 'Sec23-like', NULL, 'Sec23-like', NULL, NULL, NULL, 1),
(9078, NULL, 'cd17743', NULL, NULL, 'BRCT_BRC1_like_rpt5', NULL, 'BRCT_BRC1_like_rpt5', NULL, NULL, NULL, 1),
(9079, NULL, 'cd09089', NULL, NULL, 'INPP5c_Synj', NULL, 'INPP5c_Synj', NULL, NULL, NULL, 1),
(9080, NULL, 'cd13860', NULL, NULL, 'CuRO_1_2dMco_1', NULL, 'CuRO_1_2dMco_1', NULL, NULL, NULL, 1),
(9081, NULL, 'cd09329', NULL, NULL, 'LIM3_abLIM', NULL, 'LIM3_abLIM', NULL, NULL, NULL, 1),
(9082, NULL, 'cd13533', NULL, NULL, 'PBP2_Yhfz', NULL, 'PBP2_Yhfz', NULL, NULL, NULL, 1),
(9083, NULL, 'cd13389', NULL, NULL, 'PH1_FGD5_FGD6', NULL, 'PH1_FGD5_FGD6', NULL, NULL, NULL, 1),
(9084, NULL, 'cd11547', NULL, NULL, 'NTP-PPase_HisE', NULL, 'NTP-PPase_HisE', NULL, NULL, NULL, 1),
(9085, NULL, 'cd09351', NULL, NULL, 'LIM1_LPP', NULL, 'LIM1_LPP', NULL, NULL, NULL, 1),
(9086, NULL, 'cd14737', NULL, NULL, 'PAAR_1', NULL, 'PAAR_1', NULL, NULL, NULL, 1),
(9087, NULL, 'cd17957', NULL, NULL, 'DEADc_DDX52', NULL, 'DEADc_DDX52', NULL, NULL, 36842, 1),
(9088, NULL, 'cd02788', NULL, NULL, 'MopB_CT_NDH-1_NuoG2-N7', NULL, 'MopB_CT_NDH-1_NuoG2-N7', NULL, NULL, NULL, 1),
(9089, NULL, 'cd03495', NULL, NULL, 'SQR_TypeC_SdhD_like', NULL, 'SQR_TypeC_SdhD_like', NULL, NULL, NULL, 1),
(9090, NULL, 'cd07897', NULL, NULL, 'Adenylation_DNA_ligase_Bac1', NULL, 'Adenylation_DNA_ligase_Bac1', NULL, NULL, NULL, 1),
(9091, NULL, 'cd00556', NULL, NULL, 'Thioesterase_II', NULL, 'Thioesterase_II', NULL, NULL, NULL, 1),
(9092, NULL, 'cd00710', NULL, NULL, 'LbH_gamma_CA', NULL, 'LbH_gamma_CA', NULL, NULL, NULL, 1),
(9093, NULL, 'cd18897', NULL, NULL, 'TET3', NULL, 'TET3', NULL, NULL, NULL, 1),
(9094, NULL, 'cd16236', NULL, NULL, 'EFh_SPARC_SPARCL1', NULL, 'EFh_SPARC_SPARCL1', NULL, NULL, NULL, 1),
(9095, NULL, 'cd12798', NULL, NULL, 'Alt_A1', NULL, 'Alt_A1', NULL, NULL, NULL, 1),
(9096, NULL, 'cd19040', NULL, NULL, 'LGIC_ECD_GABAAR_B1', NULL, 'LGIC_ECD_GABAAR_B1', NULL, NULL, NULL, 1),
(9097, NULL, 'cd04388', NULL, NULL, 'RhoGAP_p85', NULL, 'RhoGAP_p85', NULL, NULL, NULL, 1),
(9098, NULL, 'cd16182', NULL, NULL, 'EFh_PEF_Group_II_CAPN_like', NULL, 'EFh_PEF_Group_II_CAPN_like', NULL, NULL, NULL, 1),
(9099, NULL, 'cd15824', NULL, NULL, 'SPRY_PRY_TRIM22', NULL, 'SPRY_PRY_TRIM22', NULL, NULL, 33929, 1),
(9100, NULL, 'cd17305', NULL, NULL, 'PIPKc_PIP5KII', NULL, 'PIPKc_PIP5KII', NULL, NULL, NULL, 1),
(9101, NULL, 'cd08814', NULL, NULL, 'DED_Caspase_10_r2', NULL, 'DED_Caspase_10_r2', NULL, NULL, NULL, 1),
(9102, NULL, 'cd14350', NULL, NULL, 'UBA_DCNL', NULL, 'UBA_DCNL', NULL, NULL, NULL, 1),
(9103, NULL, 'cd10309', NULL, NULL, 'GST_C_GluProRS_N', NULL, 'GST_C_GluProRS_N', NULL, NULL, NULL, 1),
(9104, NULL, 'cd19049', NULL, NULL, 'LGIC_TM_anion', NULL, 'LGIC_TM_anion', NULL, NULL, NULL, 1),
(9105, NULL, 'cd09619', NULL, NULL, 'CBM9_like_4', NULL, 'CBM9_like_4', NULL, NULL, NULL, 1),
(9106, NULL, 'cd00216', NULL, NULL, 'PQQ_DH_like', NULL, 'PQQ_DH_like', NULL, NULL, NULL, 1),
(9107, NULL, 'cd04672', NULL, NULL, 'Nudix_Hydrolase_14', NULL, 'Nudix_Hydrolase_14', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9108, NULL, 'cd17405', NULL, NULL, 'MFS_SLCO6_OATP6', NULL, 'MFS_SLCO6_OATP6', NULL, NULL, NULL, 1),
(9109, NULL, 'cd12773', NULL, NULL, 'RRM2_HuR', NULL, 'RRM2_HuR', NULL, NULL, 14817, 1),
(9110, NULL, 'cd07660', NULL, NULL, 'BAR_Arfaptin', NULL, 'BAR_Arfaptin', NULL, NULL, NULL, 1),
(9111, NULL, 'cd03268', NULL, NULL, 'ABC_BcrA_bacitracin_resist', NULL, 'ABC_BcrA_bacitracin_resist', NULL, NULL, NULL, 1),
(9112, NULL, 'cd14769', NULL, NULL, 'PE_alpha', NULL, 'PE_alpha', NULL, NULL, NULL, 1),
(9113, NULL, 'cd07469', NULL, NULL, 'CRD_TK_ROR_related', NULL, 'CRD_TK_ROR_related', NULL, NULL, NULL, 1),
(9114, NULL, 'cd09579', NULL, NULL, 'SAM_Samd7,11', NULL, 'SAM_Samd7,11', NULL, NULL, NULL, 1),
(9115, NULL, 'cd07587', NULL, NULL, 'ML_beta-AS', NULL, 'ML_beta-AS', NULL, NULL, NULL, 1),
(9116, NULL, 'cd17650', NULL, NULL, 'A_NRPS_PpsD_like', NULL, 'A_NRPS_PpsD_like', NULL, NULL, NULL, 1),
(9117, NULL, 'cd02787', NULL, NULL, 'MopB_CT_ydeP', NULL, 'MopB_CT_ydeP', NULL, NULL, 35456, 1),
(9118, NULL, 'cd14134', NULL, NULL, 'PKc_CLK', NULL, 'PKc_CLK', NULL, NULL, NULL, 1),
(9119, NULL, 'cd04379', NULL, NULL, 'RhoGAP_SYD1', NULL, 'RhoGAP_SYD1', NULL, NULL, NULL, 1),
(9120, NULL, 'cd07446', NULL, NULL, 'CRD_SFRP2', NULL, 'CRD_SFRP2', NULL, NULL, 32366, 1),
(9121, NULL, 'cd10495', NULL, NULL, 'MH2_R-SMAD', NULL, 'MH2_R-SMAD', NULL, NULL, NULL, 1),
(9122, NULL, 'cd17438', NULL, NULL, 'MFS_SV2B', NULL, 'MFS_SV2B', NULL, NULL, NULL, 1),
(9123, NULL, 'cd06605', NULL, NULL, 'PKc_MAPKK', NULL, 'PKc_MAPKK', NULL, NULL, NULL, 1),
(9124, NULL, 'cd18240', NULL, NULL, 'BTB_POZ_KLHL10', NULL, 'BTB_POZ_KLHL10', NULL, NULL, 26589, 1),
(9125, NULL, 'cd04400', NULL, NULL, 'RhoGAP_fBEM3', NULL, 'RhoGAP_fBEM3', NULL, NULL, NULL, 1),
(9126, NULL, 'cd21524', NULL, NULL, 'DPUP_MHV_Nsp3', NULL, 'DPUP_MHV_Nsp3', NULL, NULL, 36604, 1),
(9127, NULL, 'cd19942', NULL, NULL, 'Fer2_BFD-like', NULL, 'Fer2_BFD-like', NULL, NULL, NULL, 1),
(9128, NULL, 'cd07364', NULL, NULL, 'PCA_45_Dioxygenase_B', NULL, 'PCA_45_Dioxygenase_B', NULL, NULL, 31936, 1),
(9129, NULL, 'cd13160', NULL, NULL, 'PTB_LDLRAP_insect-like', NULL, 'PTB_LDLRAP_insect-like', NULL, NULL, NULL, 1),
(9130, NULL, 'cd17286', NULL, NULL, 'RMtype1_S_Lla161ORF747P_TRD1-CR1_like', NULL, 'RMtype1_S_Lla161ORF747P_TRD1-CR1_like', NULL, NULL, NULL, 1),
(9131, NULL, 'cd15913', NULL, NULL, '7tmA_OR11G-like', NULL, '7tmA_OR11G-like', NULL, NULL, NULL, 1),
(9132, NULL, 'cd03126', NULL, NULL, 'alpha_CA_XII_XIV', NULL, 'alpha_CA_XII_XIV', NULL, NULL, NULL, 1),
(9133, NULL, 'cd07976', NULL, NULL, 'TFIIA_alpha_beta_like', NULL, 'TFIIA_alpha_beta_like', NULL, NULL, NULL, 1),
(9134, NULL, 'cd13355', NULL, NULL, 'PH-GRAM_MTM1', NULL, 'PH-GRAM_MTM1', NULL, NULL, NULL, 1),
(9135, NULL, 'cd08541', NULL, NULL, 'SAM_PNT-FLI-1', NULL, 'SAM_PNT-FLI-1', NULL, NULL, 36018, 1),
(9136, NULL, 'cd11352', NULL, NULL, 'AmyAc_5', NULL, 'AmyAc_5', NULL, NULL, NULL, 1),
(9137, NULL, 'cd13862', NULL, NULL, 'CuRO_1_MCO_like_1', NULL, 'CuRO_1_MCO_like_1', NULL, NULL, NULL, 1),
(9138, NULL, 'cd09336', NULL, NULL, 'LIM1_Paxillin_like', NULL, 'LIM1_Paxillin_like', NULL, NULL, NULL, 1),
(9139, NULL, 'cd14599', NULL, NULL, 'PTPc-N14', NULL, 'PTPc-N14', NULL, NULL, NULL, 1),
(9140, NULL, 'cd16833', NULL, NULL, 'YfiH', NULL, 'YfiH', NULL, NULL, 2192, 1),
(9141, NULL, 'cd06182', NULL, NULL, 'CYPOR_like', NULL, 'CYPOR_like', NULL, NULL, NULL, 1),
(9142, NULL, 'cd18513', NULL, NULL, 'BACK_KLHL3', NULL, 'BACK_KLHL3', NULL, NULL, NULL, 1),
(9143, NULL, 'cd12568', NULL, NULL, 'RRM3_MRD1', NULL, 'RRM3_MRD1', NULL, NULL, 4467, 1),
(9144, NULL, 'cd21516', NULL, NULL, 'cv_beta_Nsp2_SARS-like', NULL, 'cv_beta_Nsp2_SARS-like', NULL, NULL, 38516, 1),
(9145, NULL, 'cd02236', NULL, NULL, 'cupin_CV2614-like', NULL, 'cupin_CV2614-like', NULL, NULL, NULL, 1),
(9146, NULL, 'cd08714', NULL, NULL, 'RGS_RGS4', NULL, 'RGS_RGS4', NULL, NULL, 15869, 1),
(9147, NULL, 'cd03746', NULL, NULL, 'SOCS_WSB1_SWIP1', NULL, 'SOCS_WSB1_SWIP1', NULL, NULL, NULL, 1),
(9148, NULL, 'cd12669', NULL, NULL, 'RRM1_Nop12p_like', NULL, 'RRM1_Nop12p_like', NULL, NULL, 25569, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9149, NULL, 'cd05762', NULL, NULL, 'Ig8_hMLCK_like', NULL, 'Ig8_hMLCK_like', NULL, NULL, NULL, 1),
(9150, NULL, 'cd13178', NULL, NULL, 'RanBD4_RanBP2-like', NULL, 'RanBD4_RanBP2-like', NULL, NULL, NULL, 1),
(9151, NULL, 'cd10334', NULL, NULL, 'SLC6sbd_u1', NULL, 'SLC6sbd_u1', NULL, NULL, NULL, 1),
(9152, NULL, 'cd20297', NULL, NULL, 'cupin_HQDO_small', NULL, 'cupin_HQDO_small', NULL, NULL, NULL, 1),
(9153, NULL, 'cd02769', NULL, NULL, 'MopB_DMSOR-BSOR-TMAOR', NULL, 'MopB_DMSOR-BSOR-TMAOR', NULL, NULL, NULL, 1),
(9154, NULL, 'cd12726', NULL, NULL, 'RRM2_CPEB2_like', NULL, 'RRM2_CPEB2_like', NULL, NULL, NULL, 1),
(9155, NULL, 'cd18578', NULL, NULL, 'ABC_6TM_Pgp_ABCB1_D2_like', NULL, 'ABC_6TM_Pgp_ABCB1_D2_like', NULL, NULL, NULL, 1),
(9156, NULL, 'cd18743', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(9157, NULL, 'cd03472', NULL, NULL, 'Rieske_RO_Alpha_BPDO_like', NULL, 'Rieske_RO_Alpha_BPDO_like', NULL, NULL, NULL, 1),
(9158, NULL, 'cd13707', NULL, NULL, 'PBP2_BvgS_D2', NULL, 'PBP2_BvgS_D2', NULL, NULL, NULL, 1),
(9159, NULL, 'cd01424', NULL, NULL, 'MGS_CPS_II', NULL, 'MGS_CPS_II', NULL, NULL, 30873, 1),
(9160, NULL, 'cd05735', NULL, NULL, 'Ig_DSCAM', NULL, 'Ig_DSCAM', NULL, NULL, NULL, 1),
(9161, NULL, 'cd13982', NULL, NULL, 'STKc_IRE1', NULL, 'STKc_IRE1', NULL, NULL, NULL, 1),
(9162, NULL, 'cd09735', NULL, NULL, 'Csy1_I-F', NULL, 'Csy1_I-F', NULL, NULL, NULL, 1),
(9163, NULL, 'cd08717', NULL, NULL, 'RGS_RGS5', NULL, 'RGS_RGS5', NULL, NULL, 36417, 1),
(9164, NULL, 'cd04497', NULL, NULL, 'hPOT1_OB1_like', NULL, 'hPOT1_OB1_like', NULL, NULL, NULL, 1),
(9165, NULL, 'cd01423', NULL, NULL, 'MGS_CPS_I_III', NULL, 'MGS_CPS_I_III', NULL, NULL, NULL, 1),
(9166, NULL, 'cd02335', NULL, NULL, 'ZZ_ADA2', NULL, 'ZZ_ADA2', NULL, NULL, 33379, 1),
(9167, NULL, 'cd16709', NULL, NULL, 'RING-HC_Cbl-b', NULL, 'RING-HC_Cbl-b', NULL, NULL, 35580, 1),
(9168, NULL, 'cd19463', NULL, NULL, 'CRBP2', NULL, 'CRBP2', NULL, NULL, NULL, 1),
(9169, NULL, 'cd19841', NULL, NULL, 'Bbox1_TRIM44', NULL, 'Bbox1_TRIM44', NULL, NULL, NULL, 1),
(9170, NULL, 'cd00115', NULL, NULL, 'LMWP', NULL, 'LMWP', NULL, NULL, NULL, 1),
(9171, NULL, 'cd10540', NULL, NULL, 'SET_SpSet7-like', NULL, 'SET_SpSet7-like', NULL, NULL, NULL, 1),
(9172, NULL, 'cd03001', NULL, NULL, 'PDI_a_P5', NULL, 'PDI_a_P5', NULL, NULL, NULL, 1),
(9173, NULL, 'cd19102', NULL, NULL, 'AKR_unchar', NULL, 'AKR_unchar', NULL, NULL, NULL, 1),
(9174, NULL, 'cd17410', NULL, NULL, 'MFS_CynX_like', NULL, 'MFS_CynX_like', NULL, NULL, NULL, 1),
(9175, NULL, 'cd00657', NULL, NULL, 'Ferritin_like', NULL, 'Ferritin_like', NULL, NULL, NULL, 1),
(9176, NULL, 'cd09385', NULL, NULL, 'LIM2_LMO2', NULL, 'LIM2_LMO2', NULL, NULL, NULL, 1),
(9177, NULL, 'cd05156', NULL, NULL, 'ChoK_euk', NULL, 'ChoK_euk', NULL, NULL, NULL, 1),
(9178, NULL, 'cd09865', NULL, NULL, 'PIN_ScUtp23p-like', NULL, 'PIN_ScUtp23p-like', NULL, NULL, NULL, 1),
(9179, NULL, 'cd17666', NULL, NULL, 'PTP-MTM-like_fungal', NULL, 'PTP-MTM-like_fungal', NULL, NULL, NULL, 1),
(9180, NULL, 'cd18985', NULL, NULL, 'CBD_TIP60_like', NULL, 'CBD_TIP60_like', NULL, NULL, NULL, 1),
(9181, NULL, 'cd02958', NULL, NULL, 'UAS', NULL, 'UAS', NULL, NULL, NULL, 1),
(9182, NULL, 'cd03478', NULL, NULL, 'Rieske_AIFL_N', NULL, 'Rieske_AIFL_N', NULL, NULL, NULL, 1),
(9183, NULL, 'cd08689', NULL, NULL, 'C2_fungal_Pkc1p', NULL, 'C2_fungal_Pkc1p', NULL, NULL, 31335, 1),
(9184, NULL, 'cd07761', NULL, NULL, 'CYTH-like_CthTTM-like', NULL, 'CYTH-like_CthTTM-like', NULL, NULL, NULL, 1),
(9185, NULL, 'cd13570', NULL, NULL, 'PBP2_TAXI_TRAP_like_2', NULL, 'PBP2_TAXI_TRAP_like_2', NULL, NULL, NULL, 1),
(9186, NULL, 'cd12425', NULL, NULL, 'RRM4_PTBP1_like', NULL, 'RRM4_PTBP1_like', NULL, NULL, NULL, 1),
(9187, NULL, 'cd18577', NULL, NULL, 'ABC_6TM_Pgp_ABCB1_D1_like', NULL, 'ABC_6TM_Pgp_ABCB1_D1_like', NULL, NULL, NULL, 1),
(9188, NULL, 'cd08991', NULL, NULL, 'GH43_HoAraf43-like', NULL, 'GH43_HoAraf43-like', NULL, NULL, NULL, 1),
(9189, NULL, 'cd15766', NULL, NULL, 'FYVE_Slp5', NULL, 'FYVE_Slp5', NULL, NULL, 38155, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9190, NULL, 'cd04747', NULL, NULL, 'OYE_like_5_FMN', NULL, 'OYE_like_5_FMN', NULL, NULL, NULL, 1),
(9191, NULL, 'cd08419', NULL, NULL, 'PBP2_CbbR_RubisCO_like', NULL, 'PBP2_CbbR_RubisCO_like', NULL, NULL, NULL, 1),
(9192, NULL, 'cd11382', NULL, NULL, 'Ribosomal_S8e', NULL, 'Ribosomal_S8e', NULL, NULL, NULL, 1),
(9193, NULL, 'cd17088', NULL, NULL, 'FERM_F1_FRMPD1_like', NULL, 'FERM_F1_FRMPD1_like', NULL, NULL, NULL, 1),
(9194, NULL, 'cd18480', NULL, NULL, 'BACK_KBTBD3', NULL, 'BACK_KBTBD3', NULL, NULL, NULL, 1),
(9195, NULL, 'cd12667', NULL, NULL, 'RRM3_RAVER1', NULL, 'RRM3_RAVER1', NULL, NULL, NULL, 1),
(9196, NULL, 'cd14196', NULL, NULL, 'STKc_DAPK2', NULL, 'STKc_DAPK2', NULL, NULL, NULL, 1),
(9197, NULL, 'cd19011', NULL, NULL, 'LGIC_ECD_5-HT3A', NULL, 'LGIC_ECD_5-HT3A', NULL, NULL, NULL, 1),
(9198, NULL, 'cd00290', NULL, NULL, 'cytochrome_b_C', NULL, 'cytochrome_b_C', NULL, NULL, 5728, 1),
(9199, NULL, 'cd14872', NULL, NULL, 'MYSc_Myo4', NULL, 'MYSc_Myo4', NULL, NULL, NULL, 1),
(9200, NULL, 'cd12323', NULL, NULL, 'RRM2_MSI', NULL, 'RRM2_MSI', NULL, NULL, 6121, 1),
(9201, NULL, 'cd16721', NULL, NULL, 'RING-HC_MEX3B', NULL, 'RING-HC_MEX3B', NULL, NULL, NULL, 1),
(9202, NULL, 'cd12651', NULL, NULL, 'RRM2_SXL', NULL, 'RRM2_SXL', NULL, NULL, NULL, 1),
(9203, NULL, 'cd00609', NULL, NULL, 'AAT_like', NULL, 'AAT_like', NULL, NULL, NULL, 1),
(9204, NULL, 'cd12356', NULL, NULL, 'RRM_PPARGC1B', NULL, 'RRM_PPARGC1B', NULL, NULL, 5764, 1),
(9205, NULL, 'cd00741', NULL, NULL, 'Lipase', NULL, 'Lipase', NULL, NULL, NULL, 1),
(9206, NULL, 'cd02019', NULL, NULL, 'NK', NULL, 'NK', NULL, NULL, NULL, 1),
(9207, NULL, 'cd16455', NULL, NULL, 'RING-H2_AMFR', NULL, 'RING-H2_AMFR', NULL, NULL, NULL, 1),
(9208, NULL, 'cd10313', NULL, NULL, 'Deadenylase_CCR4a', NULL, 'Deadenylase_CCR4a', NULL, NULL, 29382, 1),
(9209, NULL, 'cd18270', NULL, NULL, 'BTB_POZ_KBTBD2_BKLHD1', NULL, 'BTB_POZ_KBTBD2_BKLHD1', NULL, NULL, NULL, 1),
(9210, NULL, 'cd18697', NULL, NULL, 'PIN_VapC_N-like', NULL, 'PIN_VapC_N-like', NULL, NULL, NULL, 1),
(9211, NULL, 'cd19818', NULL, NULL, 'Bbox1_ZBBX', NULL, 'Bbox1_ZBBX', NULL, NULL, NULL, 1),
(9212, NULL, 'cd19588', NULL, NULL, 'serpin_miropin-like', NULL, 'serpin_miropin-like', NULL, NULL, NULL, 1),
(9213, NULL, 'cd09093', NULL, NULL, 'INPP5c_INPP5B', NULL, 'INPP5c_INPP5B', NULL, NULL, 34899, 1),
(9214, NULL, 'cd01636', NULL, NULL, 'FIG', NULL, 'FIG', NULL, NULL, NULL, 1),
(9215, NULL, 'cd09219', NULL, NULL, 'TLP-F', NULL, 'TLP-F', NULL, NULL, NULL, 1),
(9216, NULL, 'cd17018', NULL, NULL, 'T3SC_IA_ExsC-like', NULL, 'T3SC_IA_ExsC-like', NULL, NULL, NULL, 1),
(9217, NULL, 'cd03528', NULL, NULL, 'Rieske_RO_ferredoxin', NULL, 'Rieske_RO_ferredoxin', NULL, NULL, NULL, 1),
(9218, NULL, 'cd09598', NULL, NULL, 'M4_like', NULL, 'M4_like', NULL, NULL, NULL, 1),
(9219, NULL, 'cd05766', NULL, NULL, 'IgC_MHC_II_beta', NULL, 'IgC_MHC_II_beta', NULL, NULL, NULL, 1),
(9220, NULL, 'cd17318', NULL, NULL, 'MFS_SLC17', NULL, 'MFS_SLC17', NULL, NULL, NULL, 1),
(9221, NULL, 'cd13840', NULL, NULL, 'SMBP_like', NULL, 'SMBP_like', NULL, NULL, 28514, 1),
(9222, NULL, 'cd07694', NULL, NULL, 'Ig2_CD4', NULL, 'Ig2_CD4', NULL, NULL, NULL, 1),
(9223, NULL, 'cd06553', NULL, NULL, 'ASCH_Ef3133_like', NULL, 'ASCH_Ef3133_like', NULL, NULL, 14739, 1),
(9224, NULL, 'cd04459', NULL, NULL, 'Rho_CSD', NULL, 'Rho_CSD', NULL, NULL, 11302, 1),
(9225, NULL, 'cd18524', NULL, NULL, 'BACK_BTBD3', NULL, 'BACK_BTBD3', NULL, NULL, NULL, 1),
(9226, NULL, 'cd09248', NULL, NULL, 'BRO1_Rhophilin_1', NULL, 'BRO1_Rhophilin_1', NULL, NULL, 39347, 1),
(9227, NULL, 'cd16352', NULL, NULL, 'CheD', NULL, 'CheD', NULL, NULL, 3689, 1),
(9228, NULL, 'cd19448', NULL, NULL, 'FABP_pancrustacea', NULL, 'FABP_pancrustacea', NULL, NULL, NULL, 1),
(9229, NULL, 'cd01473', NULL, NULL, 'vWA_CTRP', NULL, 'vWA_CTRP', NULL, NULL, NULL, 1),
(9230, NULL, 'cd09816', NULL, NULL, 'prostaglandin_endoperoxide_synthase', NULL, 'prostaglandin_endoperoxide_synthase', NULL, NULL, NULL, 1),
(9231, NULL, 'cd14971', NULL, NULL, '7tmA_Galanin_R-like', NULL, '7tmA_Galanin_R-like', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9232, NULL, 'cd04489', NULL, NULL, 'ExoVII_LU_OBF', NULL, 'ExoVII_LU_OBF', NULL, NULL, 25061, 1),
(9233, NULL, 'cd06841', NULL, NULL, 'PLPDE_III_MccE_like', NULL, 'PLPDE_III_MccE_like', NULL, NULL, NULL, 1),
(9234, NULL, 'cd02069', NULL, NULL, 'methionine_synthase_B12_BD', NULL, 'methionine_synthase_B12_BD', NULL, NULL, 30742, 1),
(9235, NULL, 'cd03152', NULL, NULL, 'CD9_LEL', NULL, 'CD9_LEL', NULL, NULL, 34225, 1),
(9236, NULL, 'cd03532', NULL, NULL, 'Rieske_RO_Alpha_VanA_DdmC', NULL, 'Rieske_RO_Alpha_VanA_DdmC', NULL, NULL, NULL, 1),
(9237, NULL, 'cd07733', NULL, NULL, 'YycJ-like_MBL-fold', NULL, 'YycJ-like_MBL-fold', NULL, NULL, NULL, 1),
(9238, NULL, 'cd11337', NULL, NULL, 'AmyAc_CMD_like', NULL, 'AmyAc_CMD_like', NULL, NULL, NULL, 1),
(9239, NULL, 'cd19897', NULL, NULL, 'DSRM_STRBP-like_rpt2', NULL, 'DSRM_STRBP-like_rpt2', NULL, NULL, NULL, 1),
(9240, NULL, 'cd01729', NULL, NULL, 'LSm7', NULL, 'LSm7', NULL, NULL, 20924, 1),
(9241, NULL, 'cd11615', NULL, NULL, 'SAF_NeuB_like', NULL, 'SAF_NeuB_like', NULL, NULL, NULL, 1),
(9242, NULL, 'cd08681', NULL, NULL, 'C2_fungal_Inn1p-like', NULL, 'C2_fungal_Inn1p-like', NULL, NULL, 35261, 1),
(9243, NULL, 'cd19214', NULL, NULL, 'PR-SET_PRDM3', NULL, 'PR-SET_PRDM3', NULL, NULL, 37275, 1),
(9244, NULL, 'cd12043', NULL, NULL, 'SH3_CACNB4', NULL, 'SH3_CACNB4', NULL, NULL, NULL, 1),
(9245, NULL, 'cd12057', NULL, NULL, 'SH3_CIN85_3', NULL, 'SH3_CIN85_3', NULL, NULL, 34282, 1),
(9246, NULL, 'cd19828', NULL, NULL, 'Bbox2_TIF1a_C-VI', NULL, 'Bbox2_TIF1a_C-VI', NULL, NULL, NULL, 1),
(9247, NULL, 'cd02971', NULL, NULL, 'PRX_family', NULL, 'PRX_family', NULL, NULL, NULL, 1),
(9248, NULL, 'cd14658', NULL, NULL, 'Imelysin-like_IrpA', NULL, 'Imelysin-like_IrpA', NULL, NULL, 19105, 1),
(9249, NULL, 'cd11391', NULL, NULL, 'bHLH_PAS', NULL, 'bHLH_PAS', NULL, NULL, NULL, 1),
(9250, NULL, 'cd12309', NULL, NULL, 'RRM2_Spen', NULL, 'RRM2_Spen', NULL, NULL, NULL, 1),
(9251, NULL, 'cd09390', NULL, NULL, 'LIM2_dLMO', NULL, 'LIM2_dLMO', NULL, NULL, NULL, 1),
(9252, NULL, 'cd09603', NULL, NULL, 'M1_APN_like', NULL, 'M1_APN_like', NULL, NULL, NULL, 1),
(9253, NULL, 'cd14141', NULL, NULL, 'STKc_ACVR2a', NULL, 'STKc_ACVR2a', NULL, NULL, NULL, 1),
(9254, NULL, 'cd00602', NULL, NULL, 'IPT_TF', NULL, 'IPT_TF', NULL, NULL, NULL, 1),
(9255, NULL, 'cd01488', NULL, NULL, 'Uba3_RUB', NULL, 'Uba3_RUB', NULL, NULL, NULL, 1),
(9256, NULL, 'cd04331', NULL, NULL, 'RNAP_E_N', NULL, 'RNAP_E_N', NULL, NULL, NULL, 1),
(9257, NULL, 'cd06226', NULL, NULL, 'M14_CPT_like', NULL, 'M14_CPT_like', NULL, NULL, NULL, 1),
(9258, NULL, 'cd05850', NULL, NULL, 'Ig1_Contactin-2', NULL, 'Ig1_Contactin-2', NULL, NULL, NULL, 1),
(9259, NULL, 'cd01277', NULL, NULL, 'HINT_subgroup', NULL, 'HINT_subgroup', NULL, NULL, 31600, 1),
(9260, NULL, 'cd11254', NULL, NULL, 'Sema_3F', NULL, 'Sema_3F', NULL, NULL, NULL, 1),
(9261, NULL, 'cd01312', NULL, NULL, 'Met_dep_hydrolase_D', NULL, 'Met_dep_hydrolase_D', NULL, NULL, NULL, 1),
(9262, NULL, 'cd04752', NULL, NULL, 'Commd4', NULL, 'Commd4', NULL, NULL, 31493, 1),
(9263, NULL, 'cd07088', NULL, NULL, 'ALDH_LactADH-AldA', NULL, 'ALDH_LactADH-AldA', NULL, NULL, NULL, 1),
(9264, NULL, 'cd15159', NULL, NULL, '7tmA_EBI2', NULL, '7tmA_EBI2', NULL, NULL, NULL, 1),
(9265, NULL, 'cd18080', NULL, NULL, 'TrmD-like', NULL, 'TrmD-like', NULL, NULL, 2952, 1),
(9266, NULL, 'cd01650', NULL, NULL, 'RT_nLTR_like', NULL, 'RT_nLTR_like', NULL, NULL, NULL, 1),
(9267, NULL, 'cd09901', NULL, NULL, 'H3TH_FEN1-like', NULL, 'H3TH_FEN1-like', NULL, NULL, NULL, 1),
(9268, NULL, 'cd11459', NULL, NULL, 'bHLH-O_HES1_4', NULL, 'bHLH-O_HES1_4', NULL, NULL, NULL, 1),
(9269, NULL, 'cd02030', NULL, NULL, 'NDUO42', NULL, 'NDUO42', NULL, NULL, 9792, 1),
(9270, NULL, 'cd18994', NULL, NULL, 'LGIC_ECD_ZAC', NULL, 'LGIC_ECD_ZAC', NULL, NULL, NULL, 1),
(9271, NULL, 'cd07244', NULL, NULL, 'FosA', NULL, 'FosA', NULL, NULL, NULL, 1),
(9272, NULL, 'cd12275', NULL, NULL, 'RRM1_MEI2_EAR1_like', NULL, 'RRM1_MEI2_EAR1_like', NULL, NULL, NULL, 1),
(9273, NULL, 'cd17361', NULL, NULL, 'MFS_STP', NULL, 'MFS_STP', NULL, NULL, 37839, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9274, NULL, 'cd01000', NULL, NULL, 'PBP2_Cys_DEBP_like', NULL, 'PBP2_Cys_DEBP_like', NULL, NULL, NULL, 1),
(9275, NULL, 'cd16398', NULL, NULL, 'KorB_N_like', NULL, 'KorB_N_like', NULL, NULL, NULL, 1),
(9276, NULL, 'cd14731', NULL, NULL, 'LodA_like_1', NULL, 'LodA_like_1', NULL, NULL, 32505, 1),
(9277, NULL, 'cd03270', NULL, NULL, 'ABC_UvrA_I', NULL, 'ABC_UvrA_I', NULL, NULL, NULL, 1),
(9278, NULL, 'cd06462', NULL, NULL, 'Peptidase_S24_S26', NULL, 'Peptidase_S24_S26', NULL, NULL, NULL, 1),
(9279, NULL, 'cd06093', NULL, NULL, 'PX_domain', NULL, 'PX_domain', NULL, NULL, NULL, 1),
(9280, NULL, 'cd10401', NULL, NULL, 'SH2_C-SH2_Syk_like', NULL, 'SH2_C-SH2_Syk_like', NULL, NULL, NULL, 1),
(9281, NULL, 'cd12178', NULL, NULL, '2-Hacid_dh_13', NULL, '2-Hacid_dh_13', NULL, NULL, NULL, 1),
(9282, NULL, 'cd17573', NULL, NULL, 'REC_HP-RR-like', NULL, 'REC_HP-RR-like', NULL, NULL, NULL, 1),
(9283, NULL, 'cd19984', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(9284, NULL, 'cd09660', NULL, NULL, 'Csx1_III-U', NULL, 'Csx1_III-U', NULL, NULL, NULL, 1),
(9285, NULL, 'cd11607', NULL, NULL, 'DENR_C', NULL, 'DENR_C', NULL, NULL, NULL, 1),
(9286, NULL, 'cd00144', NULL, NULL, 'MPP_PPP_family', NULL, 'MPP_PPP_family', NULL, NULL, NULL, 1),
(9287, NULL, 'cd07912', NULL, NULL, 'Tweety_N', NULL, 'Tweety_N', NULL, NULL, 5974, 1),
(9288, NULL, 'cd15924', NULL, NULL, '7tmA_P2Y12-like', NULL, '7tmA_P2Y12-like', NULL, NULL, NULL, 1),
(9289, NULL, 'cd18752', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(9290, NULL, 'cd18532', NULL, NULL, 'BACK_RHOBTB3', NULL, 'BACK_RHOBTB3', NULL, NULL, NULL, 1),
(9291, NULL, 'cd18098', NULL, NULL, 'SpoU-like', NULL, 'SpoU-like', NULL, NULL, NULL, 1),
(9292, NULL, 'cd06582', NULL, NULL, 'TM_PBP1_LivH_like', NULL, 'TM_PBP1_LivH_like', NULL, NULL, NULL, 1),
(9293, NULL, 'cd18772', NULL, NULL, 'PIN_Mut7-C-like', NULL, 'PIN_Mut7-C-like', NULL, NULL, NULL, 1),
(9294, NULL, 'cd16282', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, NULL, 1),
(9295, NULL, 'cd04755', NULL, NULL, 'Commd7', NULL, 'Commd7', NULL, NULL, 31425, 1),
(9296, NULL, 'cd08592', NULL, NULL, 'PI-PLCc_gamma', NULL, 'PI-PLCc_gamma', NULL, NULL, NULL, 1),
(9297, NULL, 'cd04131', NULL, NULL, 'Rnd', NULL, 'Rnd', NULL, NULL, NULL, 1),
(9298, NULL, 'cd15467', NULL, NULL, 'MV-h', NULL, 'MV-h', NULL, NULL, NULL, 1),
(9299, NULL, 'cd08982', NULL, NULL, 'GH43-like', NULL, 'GH43-like', NULL, NULL, NULL, 1),
(9300, NULL, 'cd12371', NULL, NULL, 'RRM2_PUF60', NULL, 'RRM2_PUF60', NULL, NULL, 21905, 1),
(9301, NULL, 'cd01419', NULL, NULL, 'MoaC_A', NULL, 'MoaC_A', NULL, NULL, 15482, 1),
(9302, NULL, 'cd04474', NULL, NULL, 'RPA1_DBD_A', NULL, 'RPA1_DBD_A', NULL, NULL, NULL, 1),
(9303, NULL, 'cd12579', NULL, NULL, 'RRM2_hnRNPA0', NULL, 'RRM2_hnRNPA0', NULL, NULL, NULL, 1),
(9304, NULL, 'cd19061', NULL, NULL, 'LGIC_TM_GlyR_beta', NULL, 'LGIC_TM_GlyR_beta', NULL, NULL, NULL, 1),
(9305, NULL, 'cd08524', NULL, NULL, 'Reelin_subrepeat_like', NULL, 'Reelin_subrepeat_like', NULL, NULL, NULL, 1),
(9306, NULL, 'cd17206', NULL, NULL, 'FERM_F1_Myosin-X', NULL, 'FERM_F1_Myosin-X', NULL, NULL, NULL, 1),
(9307, NULL, 'cd06165', NULL, NULL, 'Sortase_A', NULL, 'Sortase_A', NULL, NULL, 33462, 1),
(9308, NULL, 'cd15282', NULL, NULL, '7tmC_CaSR', NULL, '7tmC_CaSR', NULL, NULL, NULL, 1),
(9309, NULL, 'cd16343', NULL, NULL, 'LMWPTP', NULL, 'LMWPTP', NULL, NULL, NULL, 1),
(9310, NULL, 'cd01146', NULL, NULL, 'FhuD', NULL, 'FhuD', NULL, NULL, NULL, 1),
(9311, NULL, 'cd02951', NULL, NULL, 'SoxW', NULL, 'SoxW', NULL, NULL, 32663, 1),
(9312, NULL, 'cd08469', NULL, NULL, 'PBP2_PnbR', NULL, 'PBP2_PnbR', NULL, NULL, NULL, 1),
(9313, NULL, 'cd11629', NULL, NULL, 'HR1_FBP17', NULL, 'HR1_FBP17', NULL, NULL, NULL, 1),
(9314, NULL, 'cd17285', NULL, NULL, 'RMtype1_S_Csp16704I_TRD2-CR2_like', NULL, 'RMtype1_S_Csp16704I_TRD2-CR2_like', NULL, NULL, NULL, 1),
(9315, NULL, 'cd18466', NULL, NULL, 'BACK_KLHL27_IPP', NULL, 'BACK_KLHL27_IPP', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9316, NULL, 'cd07605', NULL, NULL, 'I-BAR_IMD', NULL, 'I-BAR_IMD', NULL, NULL, NULL, 1),
(9317, NULL, 'cd09949', NULL, NULL, 'RSV-like_HR1-HR2', NULL, 'RSV-like_HR1-HR2', NULL, NULL, NULL, 1),
(9318, NULL, 'cd05875', NULL, NULL, 'Ig_hNeurofascin_like', NULL, 'Ig_hNeurofascin_like', NULL, NULL, NULL, 1),
(9319, NULL, 'cd10423', NULL, NULL, 'RNase_RNase-L', NULL, 'RNase_RNase-L', NULL, NULL, 38024, 1),
(9320, NULL, 'cd12565', NULL, NULL, 'RRM1_MRD1', NULL, 'RRM1_MRD1', NULL, NULL, NULL, 1),
(9321, NULL, 'cd17632', NULL, NULL, 'AFD_CAR-like', NULL, 'AFD_CAR-like', NULL, NULL, NULL, 1),
(9322, NULL, 'cd08702', NULL, NULL, 'Arna_FMT_C', NULL, 'Arna_FMT_C', NULL, NULL, NULL, 1),
(9323, NULL, 'cd05297', NULL, NULL, 'GH4_alpha_glucosidase_galactosidase', NULL, 'GH4_alpha_glucosidase_galactosidase', NULL, NULL, NULL, 1),
(9324, NULL, 'cd08593', NULL, NULL, 'PI-PLCc_delta', NULL, 'PI-PLCc_delta', NULL, NULL, NULL, 1),
(9325, NULL, 'cd17294', NULL, NULL, 'RMtype1_S_MmaC7ORF19P_TRD1-CR1_like', NULL, 'RMtype1_S_MmaC7ORF19P_TRD1-CR1_like', NULL, NULL, NULL, 1),
(9326, NULL, 'cd08779', NULL, NULL, 'Death_PIDD', NULL, 'Death_PIDD', NULL, NULL, NULL, 1),
(9327, NULL, 'cd15966', NULL, NULL, '7tmA_RXFP2_LGR8', NULL, '7tmA_RXFP2_LGR8', NULL, NULL, NULL, 1),
(9328, NULL, 'cd04922', NULL, NULL, 'ACT_AKi-HSDH-ThrA_2', NULL, 'ACT_AKi-HSDH-ThrA_2', NULL, NULL, NULL, 1),
(9329, NULL, 'cd16151', NULL, NULL, 'sulfatase_like', NULL, 'sulfatase_like', NULL, NULL, NULL, 1),
(9330, NULL, 'cd05644', NULL, NULL, 'M28_like', NULL, 'M28_like', NULL, NULL, NULL, 1),
(9331, NULL, 'cd03757', NULL, NULL, 'proteasome_beta_type_1', NULL, 'proteasome_beta_type_1', NULL, NULL, NULL, 1),
(9332, NULL, 'cd19135', NULL, NULL, 'AKR_CeZK1290-like', NULL, 'AKR_CeZK1290-like', NULL, NULL, NULL, 1),
(9333, NULL, 'cd08606', NULL, NULL, 'GDPD_YPL110cp_fungi', NULL, 'GDPD_YPL110cp_fungi', NULL, NULL, NULL, 1),
(9334, NULL, 'cd17383', NULL, NULL, 'MFS_SLC18A3_VAChT', NULL, 'MFS_SLC18A3_VAChT', NULL, NULL, NULL, 1),
(9335, NULL, 'cd13682', NULL, NULL, 'PBP2_TRAP_alpha-ketoacid', NULL, 'PBP2_TRAP_alpha-ketoacid', NULL, NULL, 32314, 1),
(9336, NULL, 'cd01942', NULL, NULL, 'ribokinase_group_A', NULL, 'ribokinase_group_A', NULL, NULL, NULL, 1),
(9337, NULL, 'cd13383', NULL, NULL, 'PH_OCRL2', NULL, 'PH_OCRL2', NULL, NULL, 25187, 1),
(9338, NULL, 'cd10918', NULL, NULL, 'CE4_NodB_like_5s_6s', NULL, 'CE4_NodB_like_5s_6s', NULL, NULL, NULL, 1),
(9339, NULL, 'cd13743', NULL, NULL, 'SPRY_PRY_TRIM50', NULL, 'SPRY_PRY_TRIM50', NULL, NULL, NULL, 1),
(9340, NULL, 'cd04894', NULL, NULL, 'ACT_ACR-like_1', NULL, 'ACT_ACR-like_1', NULL, NULL, NULL, 1),
(9341, NULL, 'cd03006', NULL, NULL, 'PDI_a_EFP1_N', NULL, 'PDI_a_EFP1_N', NULL, NULL, NULL, 1),
(9342, NULL, 'cd19346', NULL, NULL, 'Wnt_Wnt2b', NULL, 'Wnt_Wnt2b', NULL, NULL, NULL, 1),
(9343, NULL, 'cd02538', NULL, NULL, 'G1P_TT_short', NULL, 'G1P_TT_short', NULL, NULL, 233, 1),
(9344, NULL, 'cd08464', NULL, NULL, 'PBP2_DntR_like_2', NULL, 'PBP2_DntR_like_2', NULL, NULL, NULL, 1),
(9345, NULL, 'cd01653', NULL, NULL, 'GATase1', NULL, 'GATase1', NULL, NULL, NULL, 1),
(9346, NULL, 'cd09652', NULL, NULL, 'Cas6-I-III', NULL, 'Cas6-I-III', NULL, NULL, NULL, 1),
(9347, NULL, 'cd00610', NULL, NULL, 'OAT_like', NULL, 'OAT_like', NULL, NULL, 5557, 1),
(9348, NULL, 'cd17581', NULL, NULL, 'REC_typeA_ARR', NULL, 'REC_typeA_ARR', NULL, NULL, NULL, 1),
(9349, NULL, 'cd09003', NULL, NULL, 'GH43_XynD-like', NULL, 'GH43_XynD-like', NULL, NULL, NULL, 1),
(9350, NULL, 'cd05759', NULL, NULL, 'Ig2_KIRREL3-like', NULL, 'Ig2_KIRREL3-like', NULL, NULL, NULL, 1),
(9351, NULL, 'cd04273', NULL, NULL, 'ZnMc_ADAMTS_like', NULL, 'ZnMc_ADAMTS_like', NULL, NULL, NULL, 1),
(9352, NULL, 'cd15420', NULL, NULL, '7tmA_OR2A-like', NULL, '7tmA_OR2A-like', NULL, NULL, NULL, 1),
(9353, NULL, 'cd16888', NULL, NULL, 'lyz_G-like_1', NULL, 'lyz_G-like_1', NULL, NULL, NULL, 1),
(9354, NULL, 'cd01847', NULL, NULL, 'Triacylglycerol_lipase_like', NULL, 'Triacylglycerol_lipase_like', NULL, NULL, NULL, 1),
(9355, NULL, 'cd13201', NULL, NULL, 'FERM_C_MyoXV', NULL, 'FERM_C_MyoXV', NULL, NULL, 33241, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9356, NULL, 'cd18017', NULL, NULL, 'DEXHc_RecQ3', NULL, 'DEXHc_RecQ3', NULL, NULL, NULL, 1),
(9357, NULL, 'cd19585', NULL, NULL, 'serpin_poxvirus', NULL, 'serpin_poxvirus', NULL, NULL, NULL, 1),
(9358, NULL, 'cd01164', NULL, NULL, 'FruK_PfkB_like', NULL, 'FruK_PfkB_like', NULL, NULL, 16469, 1),
(9359, NULL, 'cd06541', NULL, NULL, 'ASCH', NULL, 'ASCH', NULL, NULL, NULL, 1),
(9360, NULL, 'cd18663', NULL, NULL, 'CD2_tandem_CHD5-9_like', NULL, 'CD2_tandem_CHD5-9_like', NULL, NULL, NULL, 1),
(9361, NULL, 'cd17382', NULL, NULL, 'MFS_SLC17A6_7_8_VGluT', NULL, 'MFS_SLC17A6_7_8_VGluT', NULL, NULL, NULL, 1),
(9362, NULL, 'cd12720', NULL, NULL, 'RRM_SYNJ2', NULL, 'RRM_SYNJ2', NULL, NULL, 29461, 1),
(9363, NULL, 'cd19813', NULL, NULL, 'Bbox1_BRAT-like', NULL, 'Bbox1_BRAT-like', NULL, NULL, NULL, 1),
(9364, NULL, 'cd08397', NULL, NULL, 'C2_PI3K_class_III', NULL, 'C2_PI3K_class_III', NULL, NULL, NULL, 1),
(9365, NULL, 'cd05081', NULL, NULL, 'PTKc_Jak3_rpt2', NULL, 'PTKc_Jak3_rpt2', NULL, NULL, NULL, 1),
(9366, NULL, 'cd12484', NULL, NULL, 'RRM1_RBM46', NULL, 'RRM1_RBM46', NULL, NULL, 13551, 1),
(9367, NULL, 'cd05613', NULL, NULL, 'STKc_MSK1_N', NULL, 'STKc_MSK1_N', NULL, NULL, NULL, 1),
(9368, NULL, 'cd04140', NULL, NULL, 'ARHI_like', NULL, 'ARHI_like', NULL, NULL, NULL, 1),
(9369, NULL, 'cd13420', NULL, NULL, 'TNFRSF25', NULL, 'TNFRSF25', NULL, NULL, 4039, 1),
(9370, NULL, 'cd14895', NULL, NULL, 'MYSc_Myo34', NULL, 'MYSc_Myo34', NULL, NULL, NULL, 1),
(9371, NULL, 'cd07608', NULL, NULL, 'BAR_ArfGAP_fungi', NULL, 'BAR_ArfGAP_fungi', NULL, NULL, NULL, 1),
(9372, NULL, 'cd04901', NULL, NULL, 'ACT_3PGDH', NULL, 'ACT_3PGDH', NULL, NULL, NULL, 1),
(9373, NULL, 'cd00828', NULL, NULL, 'elong_cond_enzymes', NULL, 'elong_cond_enzymes', NULL, NULL, NULL, 1),
(9374, NULL, 'cd18244', NULL, NULL, 'BTB_POZ_KLHL15', NULL, 'BTB_POZ_KLHL15', NULL, NULL, NULL, 1),
(9375, NULL, 'cd06067', NULL, NULL, 'H2MP_MemB-H2evol', NULL, 'H2MP_MemB-H2evol', NULL, NULL, 7425, 1),
(9376, NULL, 'cd05737', NULL, NULL, 'Ig_Myomesin_like_C', NULL, 'Ig_Myomesin_like_C', NULL, NULL, NULL, 1),
(9377, NULL, 'cd14194', NULL, NULL, 'STKc_DAPK1', NULL, 'STKc_DAPK1', NULL, NULL, NULL, 1),
(9378, NULL, 'cd05828', NULL, NULL, 'Sortase_D_1', NULL, 'Sortase_D_1', NULL, NULL, 34041, 1),
(9379, NULL, 'cd17762', NULL, NULL, 'AMN', NULL, 'AMN', NULL, NULL, NULL, 1),
(9380, NULL, 'cd01945', NULL, NULL, 'ribokinase_group_B', NULL, 'ribokinase_group_B', NULL, NULL, NULL, 1),
(9381, NULL, 'cd03019', NULL, NULL, 'DsbA_DsbA', NULL, 'DsbA_DsbA', NULL, NULL, 15706, 1),
(9382, NULL, 'cd12749', NULL, NULL, 'RRM4_RBM12', NULL, 'RRM4_RBM12', NULL, NULL, 8749, 1),
(9383, NULL, 'cd00141', NULL, NULL, 'NT_POLXc', NULL, 'NT_POLXc', NULL, NULL, 1421, 1),
(9384, NULL, 'cd04251', NULL, NULL, 'AAK_NAGK-UC', NULL, 'AAK_NAGK-UC', NULL, NULL, NULL, 1),
(9385, NULL, 'cd08354', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(9386, NULL, 'cd14042', NULL, NULL, 'PK_GC-A_B', NULL, 'PK_GC-A_B', NULL, NULL, NULL, 1),
(9387, NULL, 'cd14401', NULL, NULL, 'UBA_HERC1', NULL, 'UBA_HERC1', NULL, NULL, NULL, 1),
(9388, NULL, 'cd00581', NULL, NULL, 'QFR_TypeB_TM', NULL, 'QFR_TypeB_TM', NULL, NULL, 3668, 1),
(9389, NULL, 'cd16576', NULL, NULL, 'RING-HC_TRIM9_like_C-I', NULL, 'RING-HC_TRIM9_like_C-I', NULL, NULL, NULL, 1),
(9390, NULL, 'cd18576', NULL, NULL, 'ABC_6TM_bac_exporter_ABCB8_10_like', NULL, 'ABC_6TM_bac_exporter_ABCB8_10_like', NULL, NULL, NULL, 1),
(9391, NULL, 'cd14908', NULL, NULL, 'MYSc_Myo47', NULL, 'MYSc_Myo47', NULL, NULL, NULL, 1),
(9392, NULL, 'cd09680', NULL, NULL, 'Cas10_III', NULL, 'Cas10_III', NULL, NULL, 9141, 1),
(9393, NULL, 'cd13635', NULL, NULL, 'PBP2_Ttha1568_Mqnd', NULL, 'PBP2_Ttha1568_Mqnd', NULL, NULL, NULL, 1),
(9394, NULL, 'cd01360', NULL, NULL, 'Adenylsuccinate_lyase_1', NULL, 'Adenylsuccinate_lyase_1', NULL, NULL, NULL, 1),
(9395, NULL, 'cd16704', NULL, NULL, 'RING-HC_RNF20_like', NULL, 'RING-HC_RNF20_like', NULL, NULL, NULL, 1),
(9396, NULL, 'cd05534', NULL, NULL, 'POLBc_zeta', NULL, 'POLBc_zeta', NULL, NULL, NULL, 1),
(9397, NULL, 'cd04883', NULL, NULL, 'ACT_AcuB', NULL, 'ACT_AcuB', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9398, NULL, 'cd00055', NULL, NULL, 'EGF_Lam', NULL, 'EGF_Lam', NULL, NULL, 1356, 1),
(9399, NULL, 'cd04713', NULL, NULL, 'BAH_plant_3', NULL, 'BAH_plant_3', NULL, NULL, NULL, 1),
(9400, NULL, 'cd06622', NULL, NULL, 'PKc_PBS2_like', NULL, 'PKc_PBS2_like', NULL, NULL, NULL, 1),
(9401, NULL, 'cd14349', NULL, NULL, 'UBA_CF106', NULL, 'UBA_CF106', NULL, NULL, 35693, 1),
(9402, NULL, 'cd17274', NULL, NULL, 'RMtype1_S_Eco540ANI-TRD1-CR1_like', NULL, 'RMtype1_S_Eco540ANI-TRD1-CR1_like', NULL, NULL, NULL, 1),
(9403, NULL, 'cd16990', NULL, NULL, 'ENTH_Epsin', NULL, 'ENTH_Epsin', NULL, NULL, NULL, 1),
(9404, NULL, 'cd06340', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(9405, NULL, 'cd21168', NULL, NULL, 'M_gcv_Nsp15-like', NULL, 'M_gcv_Nsp15-like', NULL, NULL, 38025, 1),
(9406, NULL, 'cd14964', NULL, NULL, '7tm_GPCRs', NULL, '7tm_GPCRs', NULL, NULL, NULL, 1),
(9407, NULL, 'cd03295', NULL, NULL, 'ABC_OpuCA_Osmoprotection', NULL, 'ABC_OpuCA_Osmoprotection', NULL, NULL, NULL, 1),
(9408, NULL, 'cd02002', NULL, NULL, 'TPP_BFDC', NULL, 'TPP_BFDC', NULL, NULL, NULL, 1),
(9409, NULL, 'cd09654', NULL, NULL, 'Cmr5_III-B', NULL, 'Cmr5_III-B', NULL, NULL, NULL, 1),
(9410, NULL, 'cd05363', NULL, NULL, 'SDH_SDR_c', NULL, 'SDH_SDR_c', NULL, NULL, NULL, 1),
(9411, NULL, 'cd17771', NULL, NULL, 'CBS_pair_CAP-ED_NT_Pol-beta-like_DUF294_assoc', NULL, 'CBS_pair_CAP-ED_NT_Pol-beta-like_DUF294_assoc', NULL, NULL, NULL, 1),
(9412, NULL, 'cd12614', NULL, NULL, 'RRM1_PUB1', NULL, 'RRM1_PUB1', NULL, NULL, 17433, 1),
(9413, NULL, 'cd11426', NULL, NULL, 'bHLH_TS_MIST1_like', NULL, 'bHLH_TS_MIST1_like', NULL, NULL, NULL, 1),
(9414, NULL, 'cd12002', NULL, NULL, 'SH3_NEDD9', NULL, 'SH3_NEDD9', NULL, NULL, 30004, 1),
(9415, NULL, 'cd14488', NULL, NULL, 'CBM6-CBM35-CBM36_like_2', NULL, 'CBM6-CBM35-CBM36_like_2', NULL, NULL, 31621, 1),
(9416, NULL, 'cd02799', NULL, NULL, 'tRNA_bind_EMAP-II_like', NULL, 'tRNA_bind_EMAP-II_like', NULL, NULL, NULL, 1),
(9417, NULL, 'cd12664', NULL, NULL, 'RRM1_RAVER2', NULL, 'RRM1_RAVER2', NULL, NULL, NULL, 1),
(9418, NULL, 'cd07105', NULL, NULL, 'ALDH_SaliADH', NULL, 'ALDH_SaliADH', NULL, NULL, NULL, 1),
(9419, NULL, 'cd03089', NULL, NULL, 'PMM_PGM', NULL, 'PMM_PGM', NULL, NULL, NULL, 1),
(9420, NULL, 'cd09994', NULL, NULL, 'HDAC_AcuC_like', NULL, 'HDAC_AcuC_like', NULL, NULL, 896, 1),
(9421, NULL, 'cd10450', NULL, NULL, 'GIY-YIG_AtGrxS16_like', NULL, 'GIY-YIG_AtGrxS16_like', NULL, NULL, NULL, 1),
(9422, NULL, 'cd05507', NULL, NULL, 'Bromo_brd8_like', NULL, 'Bromo_brd8_like', NULL, NULL, 33594, 1),
(9423, NULL, 'cd16189', NULL, NULL, 'EFh_PEF_CAPN1_like', NULL, 'EFh_PEF_CAPN1_like', NULL, NULL, NULL, 1),
(9424, NULL, 'cd01717', NULL, NULL, 'Sm_B', NULL, 'Sm_B', NULL, NULL, NULL, 1),
(9425, NULL, 'cd11529', NULL, NULL, 'NTP-PPase_MazG_Cterm', NULL, 'NTP-PPase_MazG_Cterm', NULL, NULL, NULL, 1),
(9426, NULL, 'cd11772', NULL, NULL, 'SH3_OSTF1', NULL, 'SH3_OSTF1', NULL, NULL, NULL, 1),
(9427, NULL, 'cd03680', NULL, NULL, 'MM_CoA_mutase_ICM_like', NULL, 'MM_CoA_mutase_ICM_like', NULL, NULL, NULL, 1),
(9428, NULL, 'cd16037', NULL, NULL, 'sulfatase_like', NULL, 'sulfatase_like', NULL, NULL, NULL, 1),
(9429, NULL, 'cd15607', NULL, NULL, 'PHD2_KDM5B', NULL, 'PHD2_KDM5B', NULL, NULL, NULL, 1),
(9430, NULL, 'cd03389', NULL, NULL, 'PAP2_lipid_A_1_phosphatase', NULL, 'PAP2_lipid_A_1_phosphatase', NULL, NULL, NULL, 1),
(9431, NULL, 'cd07435', NULL, NULL, 'PHP_PolIIIA_POLC', NULL, 'PHP_PolIIIA_POLC', NULL, NULL, NULL, 1),
(9432, NULL, 'cd08575', NULL, NULL, 'GDPD_GDE4_like', NULL, 'GDPD_GDE4_like', NULL, NULL, NULL, 1),
(9433, NULL, 'cd14524', NULL, NULL, 'PTPMT1', NULL, 'PTPMT1', NULL, NULL, 36541, 1),
(9434, NULL, 'cd06562', NULL, NULL, 'GH20_HexA_HexB-like', NULL, 'GH20_HexA_HexB-like', NULL, NULL, NULL, 1),
(9435, NULL, 'cd16864', NULL, NULL, 'ARID_JARID', NULL, 'ARID_JARID', NULL, NULL, NULL, 1),
(9436, NULL, 'cd14314', NULL, NULL, 'UBA_II_E2_pyUCE_like', NULL, 'UBA_II_E2_pyUCE_like', NULL, NULL, NULL, 1),
(9437, NULL, 'cd19359', NULL, NULL, 'TenA_C_Bt3146-like', NULL, 'TenA_C_Bt3146-like', NULL, NULL, NULL, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9438, NULL, 'cd08942', NULL, NULL, 'RhlG_SDR_c', NULL, 'RhlG_SDR_c', NULL, NULL, NULL, 1),
(9439, NULL, 'cd14711', NULL, NULL, 'bZIP_CEBPA', NULL, 'bZIP_CEBPA', NULL, NULL, NULL, 1),
(9440, NULL, 'cd17254', NULL, NULL, 'RMtype1_S_FclI-TRD1-CR1_like', NULL, 'RMtype1_S_FclI-TRD1-CR1_like', NULL, NULL, NULL, 1),
(9441, NULL, 'cd00301', NULL, NULL, 'lipocalin_FABP', NULL, 'lipocalin_FABP', NULL, NULL, NULL, 1),
(9442, NULL, 'cd14792', NULL, NULL, 'GH27', NULL, 'GH27', NULL, NULL, 6188, 1),
(9443, NULL, 'cd05266', NULL, NULL, 'SDR_a4', NULL, 'SDR_a4', NULL, NULL, NULL, 1),
(9444, NULL, 'cd00024', NULL, NULL, 'CD_CSD', NULL, 'CD_CSD', NULL, NULL, NULL, 1),
(9445, NULL, 'cd00365', NULL, NULL, 'HMG-CoA_reductase', NULL, 'HMG-CoA_reductase', NULL, NULL, NULL, 1),
(9446, NULL, 'cd14846', NULL, NULL, 'Peptidase_M15_like', NULL, 'Peptidase_M15_like', NULL, NULL, NULL, 1),
(9447, NULL, 'cd08965', NULL, NULL, 'EcNei-like_N', NULL, 'EcNei-like_N', NULL, NULL, 37210, 1),
(9448, NULL, 'cd18117', NULL, NULL, 'ATP-synt_flagellum-secretory_path_III_N', NULL, 'ATP-synt_flagellum-secretory_path_III_N', NULL, NULL, NULL, 1),
(9449, NULL, 'cd11496', NULL, NULL, 'SLC6sbd-TauT-like', NULL, 'SLC6sbd-TauT-like', NULL, NULL, NULL, 1),
(9450, NULL, 'cd06964', NULL, NULL, 'NR_DBD_RAR', NULL, 'NR_DBD_RAR', NULL, NULL, NULL, 1),
(9451, NULL, 'cd01367', NULL, NULL, 'KISc_KIF2_like', NULL, 'KISc_KIF2_like', NULL, NULL, NULL, 1),
(9452, NULL, 'cd17362', NULL, NULL, 'MFS_GLUT10_12_Class3_like', NULL, 'MFS_GLUT10_12_Class3_like', NULL, NULL, NULL, 1),
(9453, NULL, 'cd19834', NULL, NULL, 'Bbox2_BSPRY', NULL, 'Bbox2_BSPRY', NULL, NULL, NULL, 1),
(9454, NULL, 'cd19918', NULL, NULL, 'RsmI_like', NULL, 'RsmI_like', NULL, NULL, NULL, 1),
(9455, NULL, 'cd15900', NULL, NULL, 'EFh_MICU', NULL, 'EFh_MICU', NULL, NULL, NULL, 1),
(9456, NULL, 'cd05592', NULL, NULL, 'STKc_nPKC_theta_like', NULL, 'STKc_nPKC_theta_like', NULL, NULL, NULL, 1),
(9457, NULL, 'cd10028', NULL, NULL, 'UDG-F2_TDG_MUG', NULL, 'UDG-F2_TDG_MUG', NULL, NULL, 18485, 1),
(9458, NULL, 'cd02252', NULL, NULL, 'nylC_like', NULL, 'nylC_like', NULL, NULL, NULL, 1),
(9459, NULL, 'cd14050', NULL, NULL, 'PKc_Myt1', NULL, 'PKc_Myt1', NULL, NULL, NULL, 1),
(9460, NULL, 'cd17406', NULL, NULL, 'MFS_unc93A_like', NULL, 'MFS_unc93A_like', NULL, NULL, NULL, 1),
(9461, NULL, 'cd12685', NULL, NULL, 'RRM_RBM20', NULL, 'RRM_RBM20', NULL, NULL, 19503, 1),
(9462, NULL, 'cd05483', NULL, NULL, 'retropepsin_like_bacteria', NULL, 'retropepsin_like_bacteria', NULL, NULL, 17980, 1),
(9463, NULL, 'cd17965', NULL, NULL, 'DEADc_MRH4', NULL, 'DEADc_MRH4', NULL, NULL, NULL, 1),
(9464, NULL, 'cd06376', NULL, NULL, 'PBP1_mGluR_groupIII', NULL, 'PBP1_mGluR_groupIII', NULL, NULL, NULL, 1),
(9465, NULL, 'cd13154', NULL, NULL, 'KOW_Mtr4', NULL, 'KOW_Mtr4', NULL, NULL, NULL, 1),
(9466, NULL, 'cd08038', NULL, NULL, 'LARP_2', NULL, 'LARP_2', NULL, NULL, NULL, 1),
(9467, NULL, 'cd13413', NULL, NULL, 'TNFRSF12A', NULL, 'TNFRSF12A', NULL, NULL, 15703, 1),
(9468, NULL, 'cd09347', NULL, NULL, 'LIM4_FHL', NULL, 'LIM4_FHL', NULL, NULL, NULL, 1),
(9469, NULL, 'cd17772', NULL, NULL, 'CBS_pair_DHH_polyA_Pol_assoc', NULL, 'CBS_pair_DHH_polyA_Pol_assoc', NULL, NULL, NULL, 1),
(9470, NULL, 'cd06880', NULL, NULL, 'PX_SNX22', NULL, 'PX_SNX22', NULL, NULL, NULL, 1),
(9471, NULL, 'cd17966', NULL, NULL, 'DEADc_DDX5_DDX17', NULL, 'DEADc_DDX5_DDX17', NULL, NULL, NULL, 1),
(9472, NULL, 'cd10914', NULL, NULL, 'Peptidase_C25_N_1', NULL, 'Peptidase_C25_N_1', NULL, NULL, NULL, 1),
(9473, NULL, 'cd19716', NULL, NULL, 'bHLH_TS_NGN1_NeuroD3', NULL, 'bHLH_TS_NGN1_NeuroD3', NULL, NULL, NULL, 1),
(9474, NULL, 'cd10288', NULL, NULL, 'prolactin_like', NULL, 'prolactin_like', NULL, NULL, NULL, 1),
(9475, NULL, 'cd16517', NULL, NULL, 'RING-HC_MAT1', NULL, 'RING-HC_MAT1', NULL, NULL, NULL, 1),
(9476, NULL, 'cd12181', NULL, NULL, 'ceo_syn', NULL, 'ceo_syn', NULL, NULL, NULL, 1),
(9477, NULL, 'cd14824', NULL, NULL, 'Longin', NULL, 'Longin', NULL, NULL, 5183, 1),
(9478, NULL, 'cd09880', NULL, NULL, 'PIN_Smg5-6-like', NULL, 'PIN_Smg5-6-like', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9479, NULL, 'cd13999', NULL, NULL, 'STKc_MAP3K-like', NULL, 'STKc_MAP3K-like', NULL, NULL, NULL, 1),
(9480, NULL, 'cd04874', NULL, NULL, 'ACT_Af1403', NULL, 'ACT_Af1403', NULL, NULL, NULL, 1),
(9481, NULL, 'cd10396', NULL, NULL, 'SH2_Tec_Itk', NULL, 'SH2_Tec_Itk', NULL, NULL, NULL, 1),
(9482, NULL, 'cd10452', NULL, NULL, 'GIY-YIG_RE_Eco29kI_NgoMIII', NULL, 'GIY-YIG_RE_Eco29kI_NgoMIII', NULL, NULL, NULL, 1),
(9483, NULL, 'cd06659', NULL, NULL, 'STKc_PAK6', NULL, 'STKc_PAK6', NULL, NULL, NULL, 1),
(9484, NULL, 'cd07590', NULL, NULL, 'BAR_Bin3', NULL, 'BAR_Bin3', NULL, NULL, 36205, 1),
(9485, NULL, 'cd02900', NULL, NULL, 'Macro_Appr_pase', NULL, 'Macro_Appr_pase', NULL, NULL, NULL, 1),
(9486, NULL, 'cd14034', NULL, NULL, 'PK_NRBP1', NULL, 'PK_NRBP1', NULL, NULL, NULL, 1),
(9487, NULL, 'cd08710', NULL, NULL, 'RGS_RGS16', NULL, 'RGS_RGS16', NULL, NULL, NULL, 1),
(9488, NULL, 'cd17128', NULL, NULL, 'Ubl_IKKE', NULL, 'Ubl_IKKE', NULL, NULL, NULL, 1),
(9489, NULL, 'cd04186', NULL, NULL, 'GT_2_like_c', NULL, 'GT_2_like_c', NULL, NULL, NULL, 1),
(9490, NULL, 'cd08650', NULL, NULL, 'FMT_core_HypX_N', NULL, 'FMT_core_HypX_N', NULL, NULL, NULL, 1),
(9491, NULL, 'cd14624', NULL, NULL, 'R-PTPc-D-1', NULL, 'R-PTPc-D-1', NULL, NULL, 39067, 1),
(9492, NULL, 'cd13993', NULL, NULL, 'STKc_Pat1_like', NULL, 'STKc_Pat1_like', NULL, NULL, NULL, 1),
(9493, NULL, 'cd17465', NULL, NULL, 'MFS_MCT8', NULL, 'MFS_MCT8', NULL, NULL, NULL, 1),
(9494, NULL, 'cd08310', NULL, NULL, 'Death_NFkB-like', NULL, 'Death_NFkB-like', NULL, NULL, NULL, 1),
(9495, NULL, 'cd12723', NULL, NULL, 'RRM1_CPEB1', NULL, 'RRM1_CPEB1', NULL, NULL, 29326, 1),
(9496, NULL, 'cd01617', NULL, NULL, 'DCX', NULL, 'DCX', NULL, NULL, NULL, 1),
(9497, NULL, 'cd08741', NULL, NULL, 'RGS_RGS10', NULL, 'RGS_RGS10', NULL, NULL, 34833, 1),
(9498, NULL, 'cd09463', NULL, NULL, 'LIM1_LIMK2', NULL, 'LIM1_LIMK2', NULL, NULL, NULL, 1),
(9499, NULL, 'cd15873', NULL, NULL, 'R-SNARE_STXBP5_6', NULL, 'R-SNARE_STXBP5_6', NULL, NULL, NULL, 1),
(9500, NULL, 'cd16393', NULL, NULL, 'SPO0J_N', NULL, 'SPO0J_N', NULL, NULL, NULL, 1),
(9501, NULL, 'cd16625', NULL, NULL, 'RING-HC_RBR_HEL2_like', NULL, 'RING-HC_RBR_HEL2_like', NULL, NULL, NULL, 1),
(9502, NULL, 'cd07613', NULL, NULL, 'BAR_Endophilin_A1', NULL, 'BAR_Endophilin_A1', NULL, NULL, NULL, 1),
(9503, NULL, 'cd14902', NULL, NULL, 'MYSc_Myo41', NULL, 'MYSc_Myo41', NULL, NULL, NULL, 1),
(9504, NULL, 'cd01258', NULL, NULL, 'PHsplit_syntrophin', NULL, 'PHsplit_syntrophin', NULL, NULL, 33162, 1),
(9505, NULL, 'cd17505', NULL, NULL, 'Ubl_SAMP1_like', NULL, 'Ubl_SAMP1_like', NULL, NULL, NULL, 1),
(9506, NULL, 'cd21532', NULL, NULL, 'HKU1-CoV-like_E', NULL, 'HKU1-CoV-like_E', NULL, NULL, 36832, 1),
(9507, NULL, 'cd15377', NULL, NULL, '7tmA_P2Y1', NULL, '7tmA_P2Y1', NULL, NULL, NULL, 1),
(9508, NULL, 'cd08570', NULL, NULL, 'GDPD_YPL206cp_fungi', NULL, 'GDPD_YPL206cp_fungi', NULL, NULL, NULL, 1),
(9509, NULL, 'cd11484', NULL, NULL, 'SLC-NCS1sbd_CobB-like', NULL, 'SLC-NCS1sbd_CobB-like', NULL, NULL, NULL, 1),
(9510, NULL, 'cd07888', NULL, NULL, 'CRD_corin_2', NULL, 'CRD_corin_2', NULL, NULL, 32348, 1),
(9511, NULL, 'cd05607', NULL, NULL, 'STKc_GRK7', NULL, 'STKc_GRK7', NULL, NULL, NULL, 1),
(9512, NULL, 'cd08347', NULL, NULL, 'PcpA_C_like', NULL, 'PcpA_C_like', NULL, NULL, NULL, 1),
(9513, NULL, 'cd07213', NULL, NULL, 'Pat17_PNPLA8_PNPLA9_like1', NULL, 'Pat17_PNPLA8_PNPLA9_like1', NULL, NULL, NULL, 1),
(9514, NULL, 'cd12234', NULL, NULL, 'RRM1_AtRSp31_like', NULL, 'RRM1_AtRSp31_like', NULL, NULL, NULL, 1),
(9515, NULL, 'cd00583', NULL, NULL, 'MutH_Sau3AI', NULL, 'MutH_Sau3AI', NULL, NULL, 13916, 1),
(9516, NULL, 'cd02011', NULL, NULL, 'TPP_PK', NULL, 'TPP_PK', NULL, NULL, NULL, 1),
(9517, NULL, 'cd13297', NULL, NULL, 'PH3_MyoX-like', NULL, 'PH3_MyoX-like', NULL, NULL, NULL, 1),
(9518, NULL, 'cd14625', NULL, NULL, 'R-PTPc-S-1', NULL, 'R-PTPc-S-1', NULL, NULL, NULL, 1),
(9519, NULL, 'cd16258', NULL, NULL, 'Tet_III', NULL, 'Tet_III', NULL, NULL, NULL, 1),
(9520, NULL, 'cd19587', NULL, NULL, 'serpinA16_HongrES1-like', NULL, 'serpinA16_HongrES1-like', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9521, NULL, 'cd06955', NULL, NULL, 'NR_DBD_VDR', NULL, 'NR_DBD_VDR', NULL, NULL, 36524, 1),
(9522, NULL, 'cd10553', NULL, NULL, 'PhsB_like', NULL, 'PhsB_like', NULL, NULL, NULL, 1),
(9523, NULL, 'cd05706', NULL, NULL, 'S1_Rrp5_repeat_sc10', NULL, 'S1_Rrp5_repeat_sc10', NULL, NULL, NULL, 1),
(9524, NULL, 'cd12088', NULL, NULL, 'helicase_insert_domain', NULL, 'helicase_insert_domain', NULL, NULL, NULL, 1),
(9525, NULL, 'cd15875', NULL, NULL, 'SNARE_syntaxin7', NULL, 'SNARE_syntaxin7', NULL, NULL, NULL, 1),
(9526, NULL, 'cd17912', NULL, NULL, 'DEAD-like_helicase_N', NULL, 'DEAD-like_helicase_N', NULL, NULL, NULL, 1),
(9527, NULL, 'cd15527', NULL, NULL, 'PHD2_KAT6A_6B', NULL, 'PHD2_KAT6A_6B', NULL, NULL, NULL, 1),
(9528, NULL, 'cd00446', NULL, NULL, 'GrpE', NULL, 'GrpE', NULL, NULL, 3531, 1),
(9529, NULL, 'cd09594', NULL, NULL, 'GluZincin', NULL, 'GluZincin', NULL, NULL, NULL, 1),
(9530, NULL, 'cd03802', NULL, NULL, 'GT4_AviGT4-like', NULL, 'GT4_AviGT4-like', NULL, NULL, NULL, 1),
(9531, NULL, 'cd08315', NULL, NULL, 'Death_TRAILR_DR4_DR5', NULL, 'Death_TRAILR_DR4_DR5', NULL, NULL, 1698, 1),
(9532, NULL, 'cd06157', NULL, NULL, 'NR_LBD', NULL, 'NR_LBD', NULL, NULL, NULL, 1),
(9533, NULL, 'cd18436', NULL, NULL, 'BRCT_BRC1_like_rpt2', NULL, 'BRCT_BRC1_like_rpt2', NULL, NULL, NULL, 1),
(9534, NULL, 'cd04871', NULL, NULL, 'ACT_PSP_2', NULL, 'ACT_PSP_2', NULL, NULL, NULL, 1),
(9535, NULL, 'cd07638', NULL, NULL, 'BAR_ACAP2', NULL, 'BAR_ACAP2', NULL, NULL, NULL, 1),
(9536, NULL, 'cd11816', NULL, NULL, 'SH3_Eve1_3', NULL, 'SH3_Eve1_3', NULL, NULL, 29675, 1),
(9537, NULL, 'cd05932', NULL, NULL, 'LC_FACS_bac', NULL, 'LC_FACS_bac', NULL, NULL, NULL, 1),
(9538, NULL, 'cd08044', NULL, NULL, 'TAF5_NTD2', NULL, 'TAF5_NTD2', NULL, NULL, 1703, 1),
(9539, NULL, 'cd05699', NULL, NULL, 'S1_Rrp5_repeat_hs7', NULL, 'S1_Rrp5_repeat_hs7', NULL, NULL, NULL, 1),
(9540, NULL, 'cd05779', NULL, NULL, 'DNA_polB_epsilon_exo', NULL, 'DNA_polB_epsilon_exo', NULL, NULL, NULL, 1),
(9541, NULL, 'cd09658', NULL, NULL, 'Cas5_I-B', NULL, 'Cas5_I-B', NULL, NULL, NULL, 1),
(9542, NULL, 'cd01351', NULL, NULL, 'Aconitase', NULL, 'Aconitase', NULL, NULL, NULL, 1),
(9543, NULL, 'cd15887', NULL, NULL, 'SNARE_SNAP29N', NULL, 'SNARE_SNAP29N', NULL, NULL, NULL, 1),
(9544, NULL, 'cd06648', NULL, NULL, 'STKc_PAK_II', NULL, 'STKc_PAK_II', NULL, NULL, NULL, 1),
(9545, NULL, 'cd19165', NULL, NULL, 'HemeO', NULL, 'HemeO', NULL, NULL, 1217, 1),
(9546, NULL, 'cd01373', NULL, NULL, 'KISc_KLP2_like', NULL, 'KISc_KLP2_like', NULL, NULL, NULL, 1),
(9547, NULL, 'cd13429', NULL, NULL, 'UreI_AmiS_like_2', NULL, 'UreI_AmiS_like_2', NULL, NULL, NULL, 1),
(9548, NULL, 'cd01187', NULL, NULL, 'INT_tnpB_C_Tn554', NULL, 'INT_tnpB_C_Tn554', NULL, NULL, NULL, 1),
(9549, NULL, 'cd11499', NULL, NULL, 'SLC6sbd_GlyT2', NULL, 'SLC6sbd_GlyT2', NULL, NULL, NULL, 1),
(9550, NULL, 'cd06204', NULL, NULL, 'CYPOR', NULL, 'CYPOR', NULL, NULL, NULL, 1),
(9551, NULL, 'cd09719', NULL, NULL, 'Cas1_I-E', NULL, 'Cas1_I-E', NULL, NULL, 33347, 1),
(9552, NULL, 'cd14866', NULL, NULL, 'Fe-ADH-like', NULL, 'Fe-ADH-like', NULL, NULL, NULL, 1),
(9553, NULL, 'cd17467', NULL, NULL, 'T3SS_YscP_C', NULL, 'T3SS_YscP_C', NULL, NULL, NULL, 1),
(9554, NULL, 'cd00607', NULL, NULL, 'RNase_Sa', NULL, 'RNase_Sa', NULL, NULL, NULL, 1),
(9555, NULL, 'cd12050', NULL, NULL, 'SH3_DOCK2_A', NULL, 'SH3_DOCK2_A', NULL, NULL, NULL, 1),
(9556, NULL, 'cd19809', NULL, NULL, 'Bbox1_TRIM45_C-X', NULL, 'Bbox1_TRIM45_C-X', NULL, NULL, NULL, 1),
(9557, NULL, 'cd18562', NULL, NULL, 'ABC_6TM_NdvA_beta-glucan_exporter_like', NULL, 'ABC_6TM_NdvA_beta-glucan_exporter_like', NULL, NULL, NULL, 1),
(9558, NULL, 'cd15063', NULL, NULL, '7tmA_Octopamine_R', NULL, '7tmA_Octopamine_R', NULL, NULL, NULL, 1),
(9559, NULL, 'cd19872', NULL, NULL, 'DSRM_A1CF-like', NULL, 'DSRM_A1CF-like', NULL, NULL, NULL, 1),
(9560, NULL, 'cd11907', NULL, NULL, 'SH3_TXK', NULL, 'SH3_TXK', NULL, NULL, 31119, 1),
(9561, NULL, 'cd12560', NULL, NULL, 'RRM_SRSF12', NULL, 'RRM_SRSF12', NULL, NULL, NULL, 1),
(9562, NULL, 'cd11769', NULL, NULL, 'SH3_CSK', NULL, 'SH3_CSK', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9563, NULL, 'cd16909', NULL, NULL, 'YEATS_GAS41_like', NULL, 'YEATS_GAS41_like', NULL, NULL, NULL, 1),
(9564, NULL, 'cd01940', NULL, NULL, 'Fructoselysine_kinase_like', NULL, 'Fructoselysine_kinase_like', NULL, NULL, NULL, 1),
(9565, NULL, 'cd13705', NULL, NULL, 'PBP2_BvgS_D1', NULL, 'PBP2_BvgS_D1', NULL, NULL, NULL, 1),
(9566, NULL, 'cd12284', NULL, NULL, 'RRM2_RBM23_RBM39', NULL, 'RRM2_RBM23_RBM39', NULL, NULL, NULL, 1),
(9567, NULL, 'cd18432', NULL, NULL, 'BRCT_PAXIP1_rpt6_like', NULL, 'BRCT_PAXIP1_rpt6_like', NULL, NULL, NULL, 1),
(9568, NULL, 'cd03340', NULL, NULL, 'TCP1_eta', NULL, 'TCP1_eta', NULL, NULL, 11964, 1),
(9569, NULL, 'cd07846', NULL, NULL, 'STKc_CDKL2_3', NULL, 'STKc_CDKL2_3', NULL, NULL, NULL, 1),
(9570, NULL, 'cd15687', NULL, NULL, 'PHD3_KDM5B', NULL, 'PHD3_KDM5B', NULL, NULL, NULL, 1),
(9571, NULL, 'cd09859', NULL, NULL, 'PIN_53EXO', NULL, 'PIN_53EXO', NULL, NULL, NULL, 1),
(9572, NULL, 'cd08838', NULL, NULL, 'ArfGap_AGFG', NULL, 'ArfGap_AGFG', NULL, NULL, NULL, 1),
(9573, NULL, 'cd07828', NULL, NULL, 'lipocalin_heme-bd-THAP4-like', NULL, 'lipocalin_heme-bd-THAP4-like', NULL, NULL, 13115, 1),
(9574, NULL, 'cd09874', NULL, NULL, 'PIN_MT3492-like', NULL, 'PIN_MT3492-like', NULL, NULL, NULL, 1),
(9575, NULL, 'cd06956', NULL, NULL, 'NR_DBD_RXR', NULL, 'NR_DBD_RXR', NULL, NULL, NULL, 1),
(9576, NULL, 'cd18483', NULL, NULL, 'BACK_KBTBD8', NULL, 'BACK_KBTBD8', NULL, NULL, NULL, 1),
(9577, NULL, 'cd09524', NULL, NULL, 'SAM_tankyrase1,2', NULL, 'SAM_tankyrase1,2', NULL, NULL, NULL, 1),
(9578, NULL, 'cd04151', NULL, NULL, 'Arl1', NULL, 'Arl1', NULL, NULL, NULL, 1),
(9579, NULL, 'cd18639', NULL, NULL, 'CD_SUV39H1_like', NULL, 'CD_SUV39H1_like', NULL, NULL, NULL, 1),
(9580, NULL, 'cd18352', NULL, NULL, 'BTB_POZ_ARIA_plant', NULL, 'BTB_POZ_ARIA_plant', NULL, NULL, NULL, 1),
(9581, NULL, 'cd00687', NULL, NULL, 'Terpene_cyclase_nonplant_C1', NULL, 'Terpene_cyclase_nonplant_C1', NULL, NULL, NULL, 1),
(9582, NULL, 'cd03729', NULL, NULL, 'SOCS_ASB13', NULL, 'SOCS_ASB13', NULL, NULL, 32171, 1),
(9583, NULL, 'cd13374', NULL, NULL, 'PH_RASAL3', NULL, 'PH_RASAL3', NULL, NULL, NULL, 1),
(9584, NULL, 'cd00643', NULL, NULL, 'HMG-CoA_reductase_classI', NULL, 'HMG-CoA_reductase_classI', NULL, NULL, 556, 1),
(9585, NULL, 'cd16746', NULL, NULL, 'RING-HC_RNF212', NULL, 'RING-HC_RNF212', NULL, NULL, NULL, 1),
(9586, NULL, 'cd03683', NULL, NULL, 'ClC_1_like', NULL, 'ClC_1_like', NULL, NULL, NULL, 1),
(9587, NULL, 'cd17948', NULL, NULL, 'DEADc_DDX28', NULL, 'DEADc_DDX28', NULL, NULL, NULL, 1),
(9588, NULL, 'cd01814', NULL, NULL, 'Ubl_MUBs_plant', NULL, 'Ubl_MUBs_plant', NULL, NULL, NULL, 1),
(9589, NULL, 'cd13267', NULL, NULL, 'PH_DOCK-D', NULL, 'PH_DOCK-D', NULL, NULL, NULL, 1),
(9590, NULL, 'cd12906', NULL, NULL, 'SPRY_SOCS1-2-4', NULL, 'SPRY_SOCS1-2-4', NULL, NULL, NULL, 1),
(9591, NULL, 'cd15642', NULL, NULL, 'PHD_PHF8', NULL, 'PHD_PHF8', NULL, NULL, NULL, 1),
(9592, NULL, 'cd18557', NULL, NULL, 'ABC_6TM_TAP_ABCB8_10_like', NULL, 'ABC_6TM_TAP_ABCB8_10_like', NULL, NULL, NULL, 1),
(9593, NULL, 'cd21534', NULL, NULL, 'SARS-CoV-like_E', NULL, 'SARS-CoV-like_E', NULL, NULL, NULL, 1),
(9594, NULL, 'cd05694', NULL, NULL, 'S1_Rrp5_repeat_hs2_sc2', NULL, 'S1_Rrp5_repeat_hs2_sc2', NULL, NULL, NULL, 1),
(9595, NULL, 'cd02018', NULL, NULL, 'TPP_PFOR', NULL, 'TPP_PFOR', NULL, NULL, NULL, 1),
(9596, NULL, 'cd15748', NULL, NULL, 'FYVE_SPIR', NULL, 'FYVE_SPIR', NULL, NULL, NULL, 1),
(9597, NULL, 'cd14829', NULL, NULL, 'Zeta-COP', NULL, 'Zeta-COP', NULL, NULL, NULL, 1),
(9598, NULL, 'cd14170', NULL, NULL, 'STKc_MAPKAPK2', NULL, 'STKc_MAPKAPK2', NULL, NULL, NULL, 1),
(9599, NULL, 'cd04770', NULL, NULL, 'HTH_HMRTR', NULL, 'HTH_HMRTR', NULL, NULL, NULL, 1),
(9600, NULL, 'cd09212', NULL, NULL, 'PUB', NULL, 'PUB', NULL, NULL, NULL, 1),
(9601, NULL, 'cd18717', NULL, NULL, 'PIN_ScNmd4p-like', NULL, 'PIN_ScNmd4p-like', NULL, NULL, NULL, 1),
(9602, NULL, 'cd13218', NULL, NULL, 'PH-GRAM2_TCB1D8_TCB1D9_family', NULL, 'PH-GRAM2_TCB1D8_TCB1D9_family', NULL, NULL, NULL, 1),
(9603, NULL, 'cd08370', NULL, NULL, 'FMT_C_like', NULL, 'FMT_C_like', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9604, NULL, 'cd13607', NULL, NULL, 'PBP2_AfProX_like', NULL, 'PBP2_AfProX_like', NULL, NULL, 32005, 1),
(9605, NULL, 'cd14472', NULL, NULL, 'mltA_B_like', NULL, 'mltA_B_like', NULL, NULL, NULL, 1),
(9606, NULL, 'cd19449', NULL, NULL, 'ReP1-NCXSQ-like', NULL, 'ReP1-NCXSQ-like', NULL, NULL, NULL, 1),
(9607, NULL, 'cd19169', NULL, NULL, 'SET_SETD1', NULL, 'SET_SETD1', NULL, NULL, NULL, 1),
(9608, NULL, 'cd16464', NULL, NULL, 'RING-H2_Pirh2', NULL, 'RING-H2_Pirh2', NULL, NULL, NULL, 1),
(9609, NULL, 'cd20255', NULL, NULL, 'CASIMO1_SMIM22', NULL, 'CASIMO1_SMIM22', NULL, NULL, NULL, 1),
(9610, NULL, 'cd07619', NULL, NULL, 'BAR_Rich2', NULL, 'BAR_Rich2', NULL, NULL, NULL, 1),
(9611, NULL, 'cd03890', NULL, NULL, 'M20_pepD', NULL, 'M20_pepD', NULL, NULL, 1391, 1),
(9612, NULL, 'cd16862', NULL, NULL, 'ING_ING4', NULL, 'ING_ING4', NULL, NULL, NULL, 1),
(9613, NULL, 'cd03601', NULL, NULL, 'CLECT_TC14_like', NULL, 'CLECT_TC14_like', NULL, NULL, 31583, 1),
(9614, NULL, 'cd07570', NULL, NULL, 'GAT_Gln-NAD-synth', NULL, 'GAT_Gln-NAD-synth', NULL, NULL, NULL, 1),
(9615, NULL, 'cd00864', NULL, NULL, 'PI3Ka', NULL, 'PI3Ka', NULL, NULL, NULL, 1),
(9616, NULL, 'cd09702', NULL, NULL, 'Csx1_III-U', NULL, 'Csx1_III-U', NULL, NULL, NULL, 1),
(9617, NULL, 'cd07492', NULL, NULL, 'Peptidases_S8_8', NULL, 'Peptidases_S8_8', NULL, NULL, 22404, 1),
(9618, NULL, 'cd14222', NULL, NULL, 'STKc_LIMK2', NULL, 'STKc_LIMK2', NULL, NULL, NULL, 1),
(9619, NULL, 'cd01347', NULL, NULL, 'ligand_gated_channel', NULL, 'ligand_gated_channel', NULL, NULL, NULL, 1),
(9620, NULL, 'cd12311', NULL, NULL, 'RRM_SRSF2_SRSF8', NULL, 'RRM_SRSF2_SRSF8', NULL, NULL, NULL, 1),
(9621, NULL, 'cd17446', NULL, NULL, 'MFS_SLC22A6_OAT1_like', NULL, 'MFS_SLC22A6_OAT1_like', NULL, NULL, NULL, 1),
(9622, NULL, 'cd17763', NULL, NULL, 'UP_hUPP-like', NULL, 'UP_hUPP-like', NULL, NULL, 6036, 1),
(9623, NULL, 'cd01866', NULL, NULL, 'Rab2', NULL, 'Rab2', NULL, NULL, NULL, 1),
(9624, NULL, 'cd14074', NULL, NULL, 'STKc_SNRK', NULL, 'STKc_SNRK', NULL, NULL, NULL, 1),
(9625, NULL, 'cd19604', NULL, NULL, 'serpin_protozoa', NULL, 'serpin_protozoa', NULL, NULL, NULL, 1),
(9626, NULL, 'cd13615', NULL, NULL, 'PBP2_ProWY', NULL, 'PBP2_ProWY', NULL, NULL, NULL, 1),
(9627, NULL, 'cd15970', NULL, NULL, '7tmA_SSTR1', NULL, '7tmA_SSTR1', NULL, NULL, NULL, 1),
(9628, NULL, 'cd17009', NULL, NULL, 'VHS_GGA1', NULL, 'VHS_GGA1', NULL, NULL, NULL, 1),
(9629, NULL, 'cd11665', NULL, NULL, 'LamB_like', NULL, 'LamB_like', NULL, NULL, NULL, 1),
(9630, NULL, 'cd16277', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, NULL, 1),
(9631, NULL, 'cd02649', NULL, NULL, 'nuc_hydro_CeIAG', NULL, 'nuc_hydro_CeIAG', NULL, NULL, NULL, 1),
(9632, NULL, 'cd12727', NULL, NULL, 'RRM_like_Smg4_UPF3A', NULL, 'RRM_like_Smg4_UPF3A', NULL, NULL, NULL, 1),
(9633, NULL, 'cd07478', NULL, NULL, 'Peptidases_S8_CspA-like', NULL, 'Peptidases_S8_CspA-like', NULL, NULL, 34445, 1),
(9634, NULL, 'cd14586', NULL, NULL, 'PTP-MTMR3', NULL, 'PTP-MTMR3', NULL, NULL, NULL, 1),
(9635, NULL, 'cd17120', NULL, NULL, 'Ubl_UBTD1', NULL, 'Ubl_UBTD1', NULL, NULL, NULL, 1),
(9636, NULL, 'cd00408', NULL, NULL, 'DHDPS-like', NULL, 'DHDPS-like', NULL, NULL, NULL, 1),
(9637, NULL, 'cd08061', NULL, NULL, 'MPN_NPL4', NULL, 'MPN_NPL4', NULL, NULL, 1166, 1),
(9638, NULL, 'cd13158', NULL, NULL, 'PTB_APPL', NULL, 'PTB_APPL', NULL, NULL, NULL, 1),
(9639, NULL, 'cd13612', NULL, NULL, 'PBP2_ProWX', NULL, 'PBP2_ProWX', NULL, NULL, NULL, 1),
(9640, NULL, 'cd06638', NULL, NULL, 'STKc_myosinIIIA_N', NULL, 'STKc_myosinIIIA_N', NULL, NULL, NULL, 1),
(9641, NULL, 'cd12479', NULL, NULL, 'RRM2_SNF', NULL, 'RRM2_SNF', NULL, NULL, NULL, 1),
(9642, NULL, 'cd16684', NULL, NULL, 'RING-H2_RNF145', NULL, 'RING-H2_RNF145', NULL, NULL, NULL, 1),
(9643, NULL, 'cd08152', NULL, NULL, 'y4iL_like', NULL, 'y4iL_like', NULL, NULL, NULL, 1),
(9644, NULL, 'cd07580', NULL, NULL, 'nitrilase_2', NULL, 'nitrilase_2', NULL, NULL, NULL, 1),
(9645, NULL, 'cd18179', NULL, NULL, 'ATP-synt_Vo_Ao_c_NTPK_rpt1', NULL, 'ATP-synt_Vo_Ao_c_NTPK_rpt1', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9646, NULL, 'cd08767', NULL, NULL, 'Cdt1_c', NULL, 'Cdt1_c', NULL, NULL, 26742, 1),
(9647, NULL, 'cd03222', NULL, NULL, 'ABC_RNaseL_inhibitor', NULL, 'ABC_RNaseL_inhibitor', NULL, NULL, NULL, 1),
(9648, NULL, 'cd13551', NULL, NULL, 'PBP2_Fbp_like_5', NULL, 'PBP2_Fbp_like_5', NULL, NULL, NULL, 1),
(9649, NULL, 'cd17334', NULL, NULL, 'MFS_SLC49', NULL, 'MFS_SLC49', NULL, NULL, NULL, 1),
(9650, NULL, 'cd00421', NULL, NULL, 'intradiol_dioxygenase', NULL, 'intradiol_dioxygenase', NULL, NULL, NULL, 1),
(9651, NULL, 'cd19603', NULL, NULL, 'serpin_platyhelminthes', NULL, 'serpin_platyhelminthes', NULL, NULL, NULL, 1),
(9652, NULL, 'cd02013', NULL, NULL, 'TPP_Xsc_like', NULL, 'TPP_Xsc_like', NULL, NULL, NULL, 1),
(9653, NULL, 'cd05818', NULL, NULL, 'CBM20_water_dikinase', NULL, 'CBM20_water_dikinase', NULL, NULL, 35351, 1),
(9654, NULL, 'cd08775', NULL, NULL, 'DED_Caspase-like_r2', NULL, 'DED_Caspase-like_r2', NULL, NULL, NULL, 1),
(9655, NULL, 'cd16928', NULL, NULL, 'HATPase_GyrB-like', NULL, 'HATPase_GyrB-like', NULL, NULL, NULL, 1),
(9656, NULL, 'cd15443', NULL, NULL, '7tmB2_GPR114', NULL, '7tmB2_GPR114', NULL, NULL, NULL, 1),
(9657, NULL, 'cd15010', NULL, NULL, '7tmA_ACKR1_DARC', NULL, '7tmA_ACKR1_DARC', NULL, NULL, NULL, 1),
(9658, NULL, 'cd02071', NULL, NULL, 'MM_CoA_mut_B12_BD', NULL, 'MM_CoA_mut_B12_BD', NULL, NULL, NULL, 1),
(9659, NULL, 'cd07412', NULL, NULL, 'MPP_YhcR_N', NULL, 'MPP_YhcR_N', NULL, NULL, 32921, 1),
(9660, NULL, 'cd04749', NULL, NULL, 'Commd1_MURR1', NULL, 'Commd1_MURR1', NULL, NULL, 31138, 1),
(9661, NULL, 'cd18673', NULL, NULL, 'PIN_XRN1-2-like', NULL, 'PIN_XRN1-2-like', NULL, NULL, NULL, 1),
(9662, NULL, 'cd19606', NULL, NULL, 'GH113-like', NULL, 'GH113-like', NULL, NULL, NULL, 1),
(9663, NULL, 'cd13241', NULL, NULL, 'PH2_Kalirin_Trio_p63RhoGEF', NULL, 'PH2_Kalirin_Trio_p63RhoGEF', NULL, NULL, NULL, 1),
(9664, NULL, 'cd04240', NULL, NULL, 'AAK_UC', NULL, 'AAK_UC', NULL, NULL, 14795, 1),
(9665, NULL, 'cd12887', NULL, NULL, 'SPRY_NHR_like', NULL, 'SPRY_NHR_like', NULL, NULL, NULL, 1),
(9666, NULL, 'cd01336', NULL, NULL, 'MDH_cytoplasmic_cytosolic', NULL, 'MDH_cytoplasmic_cytosolic', NULL, NULL, 9711, 1),
(9667, NULL, 'cd18929', NULL, NULL, 'bHLHzip_Mad4', NULL, 'bHLHzip_Mad4', NULL, NULL, NULL, 1),
(9668, NULL, 'cd01882', NULL, NULL, 'BMS1', NULL, 'BMS1', NULL, NULL, 29671, 1),
(9669, NULL, 'cd16858', NULL, NULL, 'ING_ING3_Yng2p', NULL, 'ING_ING3_Yng2p', NULL, NULL, NULL, 1),
(9670, NULL, 'cd15405', NULL, NULL, '7tmA_OR8B-like', NULL, '7tmA_OR8B-like', NULL, NULL, NULL, 1),
(9671, NULL, 'cd01236', NULL, NULL, 'PH_RIP', NULL, 'PH_RIP', NULL, NULL, NULL, 1),
(9672, NULL, 'cd14369', NULL, NULL, 'CUE_VPS9_like', NULL, 'CUE_VPS9_like', NULL, NULL, 33382, 1),
(9673, NULL, 'cd04188', NULL, NULL, 'DPG_synthase', NULL, 'DPG_synthase', NULL, NULL, 36260, 1),
(9674, NULL, 'cd15258', NULL, NULL, '7tmB2_GPR126-like_Adhesion_VIII', NULL, '7tmB2_GPR126-like_Adhesion_VIII', NULL, NULL, NULL, 1),
(9675, NULL, 'cd18364', NULL, NULL, 'BTB_POZ_KCTD4', NULL, 'BTB_POZ_KCTD4', NULL, NULL, NULL, 1),
(9676, NULL, 'cd01917', NULL, NULL, 'ACS_2', NULL, 'ACS_2', NULL, NULL, NULL, 1),
(9677, NULL, 'cd07053', NULL, NULL, 'BMC_PduT_repeat1', NULL, 'BMC_PduT_repeat1', NULL, NULL, NULL, 1),
(9678, NULL, 'cd11406', NULL, NULL, 'bHLHzip_Max', NULL, 'bHLHzip_Max', NULL, NULL, NULL, 1),
(9679, NULL, 'cd09758', NULL, NULL, 'Csn2', NULL, 'Csn2', NULL, NULL, NULL, 1),
(9680, NULL, 'cd09535', NULL, NULL, 'SAM_BOI-like_fungal', NULL, 'SAM_BOI-like_fungal', NULL, NULL, NULL, 1),
(9681, NULL, 'cd05606', NULL, NULL, 'STKc_beta_ARK', NULL, 'STKc_beta_ARK', NULL, NULL, NULL, 1),
(9682, NULL, 'cd03178', NULL, NULL, 'GST_C_Ure2p_like', NULL, 'GST_C_Ure2p_like', NULL, NULL, NULL, 1),
(9683, NULL, 'cd17645', NULL, NULL, 'A_NRPS_LgrA-like', NULL, 'A_NRPS_LgrA-like', NULL, NULL, NULL, 1),
(9684, NULL, 'cd08539', NULL, NULL, 'SAM_PNT-ESE-3-like', NULL, 'SAM_PNT-ESE-3-like', NULL, NULL, NULL, 1),
(9685, NULL, 'cd15899', NULL, NULL, 'EFh_CREC', NULL, 'EFh_CREC', NULL, NULL, NULL, 1),
(9686, NULL, 'cd19083', NULL, NULL, 'AKR_AKR11A1_11D1', NULL, 'AKR_AKR11A1_11D1', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9687, NULL, 'cd03569', NULL, NULL, 'VHS_Hrs', NULL, 'VHS_Hrs', NULL, NULL, NULL, 1),
(9688, NULL, 'cd10946', NULL, NULL, 'CE4_Mll8295_like', NULL, 'CE4_Mll8295_like', NULL, NULL, NULL, 1),
(9689, NULL, 'cd03288', NULL, NULL, 'ABCC_SUR2', NULL, 'ABCC_SUR2', NULL, NULL, NULL, 1),
(9690, NULL, 'cd07536', NULL, NULL, 'P-type_ATPase_APLT', NULL, 'P-type_ATPase_APLT', NULL, NULL, NULL, 1),
(9691, NULL, 'cd09473', NULL, NULL, 'LIM2_Lhx4', NULL, 'LIM2_Lhx4', NULL, NULL, NULL, 1),
(9692, NULL, 'cd11914', NULL, NULL, 'SH3_BAIAP2L2', NULL, 'SH3_BAIAP2L2', NULL, NULL, 36034, 1),
(9693, NULL, 'cd03048', NULL, NULL, 'GST_N_Ure2p_like', NULL, 'GST_N_Ure2p_like', NULL, NULL, NULL, 1),
(9694, NULL, 'cd11237', NULL, NULL, 'Sema_1A', NULL, 'Sema_1A', NULL, NULL, 32830, 1),
(9695, NULL, 'cd12250', NULL, NULL, 'RRM2_hnRNPR_like', NULL, 'RRM2_hnRNPR_like', NULL, NULL, NULL, 1),
(9696, NULL, 'cd05154', NULL, NULL, 'ACAD10_11_N-like', NULL, 'ACAD10_11_N-like', NULL, NULL, 32352, 1),
(9697, NULL, 'cd00235', NULL, NULL, 'TLP-20', NULL, 'TLP-20', NULL, NULL, 6194, 1),
(9698, NULL, 'cd18303', NULL, NULL, 'BTB_POZ_Rank-5', NULL, 'BTB_POZ_Rank-5', NULL, NULL, NULL, 1),
(9699, NULL, 'cd19935', NULL, NULL, 'REC_OmpR_CusR-like', NULL, 'REC_OmpR_CusR-like', NULL, NULL, NULL, 1),
(9700, NULL, 'cd02667', NULL, NULL, 'Peptidase_C19K', NULL, 'Peptidase_C19K', NULL, NULL, NULL, 1),
(9701, NULL, 'cd15292', NULL, NULL, '7tmC_GPR156', NULL, '7tmC_GPR156', NULL, NULL, 33001, 1),
(9702, NULL, 'cd00093', NULL, NULL, 'HTH_XRE', NULL, 'HTH_XRE', NULL, NULL, 2357, 1),
(9703, NULL, 'cd16565', NULL, NULL, 'RING-HC_RNF224_like', NULL, 'RING-HC_RNF224_like', NULL, NULL, NULL, 1),
(9704, NULL, 'cd13700', NULL, NULL, 'PBP2_Arg_STM4351', NULL, 'PBP2_Arg_STM4351', NULL, NULL, NULL, 1),
(9705, NULL, 'cd09553', NULL, NULL, 'SAM_EPH-B3', NULL, 'SAM_EPH-B3', NULL, NULL, NULL, 1),
(9706, NULL, 'cd14828', NULL, NULL, 'AP_Mu_N', NULL, 'AP_Mu_N', NULL, NULL, NULL, 1),
(9707, NULL, 'cd08553', NULL, NULL, 'PIN_Fcf1-like', NULL, 'PIN_Fcf1-like', NULL, NULL, NULL, 1),
(9708, NULL, 'cd16513', NULL, NULL, 'RING1-HC_LONFs', NULL, 'RING1-HC_LONFs', NULL, NULL, NULL, 1),
(9709, NULL, 'sd00033', NULL, NULL, 'LRR_RI', NULL, 'LRR_RI', NULL, NULL, NULL, 1),
(9710, NULL, 'cd01303', NULL, NULL, 'GDEase', NULL, 'GDEase', NULL, NULL, 9748, 1),
(9711, NULL, 'cd06475', NULL, NULL, 'ACD_HspB1_like', NULL, 'ACD_HspB1_like', NULL, NULL, 34400, 1),
(9712, NULL, 'cd01139', NULL, NULL, 'TroA_f', NULL, 'TroA_f', NULL, NULL, NULL, 1),
(9713, NULL, 'cd09159', NULL, NULL, 'PLDc_ybhO_like_2', NULL, 'PLDc_ybhO_like_2', NULL, NULL, NULL, 1),
(9714, NULL, 'cd00035', NULL, NULL, 'ChtBD1', NULL, 'ChtBD1', NULL, NULL, NULL, 1),
(9715, NULL, 'cd14710', NULL, NULL, 'bZIP_HAC1-like', NULL, 'bZIP_HAC1-like', NULL, NULL, NULL, 1),
(9716, NULL, 'cd03416', NULL, NULL, 'CbiX_SirB_N', NULL, 'CbiX_SirB_N', NULL, NULL, NULL, 1),
(9717, NULL, 'cd18636', NULL, NULL, 'CD_Chp1_like', NULL, 'CD_Chp1_like', NULL, NULL, NULL, 1),
(9718, NULL, 'cd14035', NULL, NULL, 'PK_MADML', NULL, 'PK_MADML', NULL, NULL, 38277, 1),
(9719, NULL, 'cd11951', NULL, NULL, 'SH3_GRAP_C', NULL, 'SH3_GRAP_C', NULL, NULL, NULL, 1),
(9720, NULL, 'cd00174', NULL, NULL, 'SH3', NULL, 'SH3', NULL, NULL, NULL, 1),
(9721, NULL, 'cd08205', NULL, NULL, 'RuBisCO_IV_RLP', NULL, 'RuBisCO_IV_RLP', NULL, NULL, NULL, 1),
(9722, NULL, 'cd16631', NULL, NULL, 'mRING-HC-C4C4_RBR_HOIP', NULL, 'mRING-HC-C4C4_RBR_HOIP', NULL, NULL, NULL, 1),
(9723, NULL, 'cd16085', NULL, NULL, 'IgC_SIRP_domain_3', NULL, 'IgC_SIRP_domain_3', NULL, NULL, NULL, 1),
(9724, NULL, 'cd16800', NULL, NULL, 'RING-H2_RNF115', NULL, 'RING-H2_RNF115', NULL, NULL, NULL, 1),
(9725, NULL, 'cd01988', NULL, NULL, 'Na_H_Antiporter_C', NULL, 'Na_H_Antiporter_C', NULL, NULL, NULL, 1),
(9726, NULL, 'cd12052', NULL, NULL, 'SH3_CIN85_1', NULL, 'SH3_CIN85_1', NULL, NULL, 34294, 1),
(9727, NULL, 'cd08974', NULL, NULL, 'BaFpgNei_N_2', NULL, 'BaFpgNei_N_2', NULL, NULL, NULL, 1),
(9728, NULL, 'cd16910', NULL, NULL, 'YEATS_TFIID14_like', NULL, 'YEATS_TFIID14_like', NULL, NULL, NULL, 1),
(9729, NULL, 'cd15904', NULL, NULL, 'TSPO_MBR', NULL, 'TSPO_MBR', NULL, NULL, 4541, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9730, NULL, 'cd07075', NULL, NULL, 'NR_LBD_MR', NULL, 'NR_LBD_MR', NULL, NULL, NULL, 1),
(9731, NULL, 'cd16925', NULL, NULL, 'HATPase_TutC-TodS-like', NULL, 'HATPase_TutC-TodS-like', NULL, NULL, NULL, 1),
(9732, NULL, 'cd11582', NULL, NULL, 'Axin_TNKS_binding', NULL, 'Axin_TNKS_binding', NULL, NULL, 23764, 1),
(9733, NULL, 'cd07414', NULL, NULL, 'MPP_PP1_PPKL', NULL, 'MPP_PP1_PPKL', NULL, NULL, NULL, 1),
(9734, NULL, 'cd11969', NULL, NULL, 'SH3_PLCgamma2', NULL, 'SH3_PLCgamma2', NULL, NULL, 33996, 1),
(9735, NULL, 'cd13539', NULL, NULL, 'PBP2_AvModA', NULL, 'PBP2_AvModA', NULL, NULL, 38218, 1),
(9736, NULL, 'cd14275', NULL, NULL, 'UBA_EF-Ts', NULL, 'UBA_EF-Ts', NULL, NULL, NULL, 1),
(9737, NULL, 'cd13672', NULL, NULL, 'PBP2_TRAP_Siap', NULL, 'PBP2_TRAP_Siap', NULL, NULL, NULL, 1),
(9738, NULL, 'cd19020', NULL, NULL, 'LGIC_ECD_nAChR_A7', NULL, 'LGIC_ECD_nAChR_A7', NULL, NULL, NULL, 1),
(9739, NULL, 'cd17152', NULL, NULL, 'DCX2_DCDC2', NULL, 'DCX2_DCDC2', NULL, NULL, NULL, 1),
(9740, NULL, 'cd18671', NULL, NULL, 'PIN_PRORP-Zc3h12a-like', NULL, 'PIN_PRORP-Zc3h12a-like', NULL, NULL, NULL, 1),
(9741, NULL, 'cd01838', NULL, NULL, 'Isoamyl_acetate_hydrolase_like', NULL, 'Isoamyl_acetate_hydrolase_like', NULL, NULL, NULL, 1),
(9742, NULL, 'cd14152', NULL, NULL, 'STKc_KSR1', NULL, 'STKc_KSR1', NULL, NULL, NULL, 1),
(9743, NULL, 'cd03777', NULL, NULL, 'MATH_TRAF3', NULL, 'MATH_TRAF3', NULL, NULL, 29649, 1),
(9744, NULL, 'cd08054', NULL, NULL, 'gp6', NULL, 'gp6', NULL, NULL, 15878, 1),
(9745, NULL, 'cd04868', NULL, NULL, 'ACT_AK-like', NULL, 'ACT_AK-like', NULL, NULL, NULL, 1),
(9746, NULL, 'cd00794', NULL, NULL, 'NOS_oxygenase_prok', NULL, 'NOS_oxygenase_prok', NULL, NULL, NULL, 1),
(9747, NULL, 'cd03327', NULL, NULL, 'MR_like_2', NULL, 'MR_like_2', NULL, NULL, 16191, 1),
(9748, NULL, 'cd07589', NULL, NULL, 'BAR_DNMBP', NULL, 'BAR_DNMBP', NULL, NULL, NULL, 1),
(9749, NULL, 'cd18337', NULL, NULL, 'BTB_POZ_KLHL5', NULL, 'BTB_POZ_KLHL5', NULL, NULL, 26715, 1),
(9750, NULL, 'cd09404', NULL, NULL, 'LIM1_MLP84B_like', NULL, 'LIM1_MLP84B_like', NULL, NULL, NULL, 1),
(9751, NULL, 'cd08957', NULL, NULL, 'WbmH_like_SDR_e', NULL, 'WbmH_like_SDR_e', NULL, NULL, NULL, 1),
(9752, NULL, 'cd18930', NULL, NULL, 'bHLHzip_MXI1', NULL, 'bHLHzip_MXI1', NULL, NULL, NULL, 1),
(9753, NULL, 'cd01083', NULL, NULL, 'GAG_Lyase', NULL, 'GAG_Lyase', NULL, NULL, NULL, 1),
(9754, NULL, 'cd00155', NULL, NULL, 'RasGEF', NULL, 'RasGEF', NULL, NULL, 2176, 1),
(9755, NULL, 'cd00386', NULL, NULL, 'Heme_Cu_Oxidase_III_like', NULL, 'Heme_Cu_Oxidase_III_like', NULL, NULL, NULL, 1),
(9756, NULL, 'cd03300', NULL, NULL, 'ABC_PotA_N', NULL, 'ABC_PotA_N', NULL, NULL, 13415, 1),
(9757, NULL, 'cd04027', NULL, NULL, 'C2B_Munc13', NULL, 'C2B_Munc13', NULL, NULL, 34057, 1),
(9758, NULL, 'cd06327', NULL, NULL, 'PBP1_SBP-like', NULL, 'PBP1_SBP-like', NULL, NULL, NULL, 1),
(9759, NULL, 'cd13683', NULL, NULL, 'PBP2_TRAP_DctP6_7', NULL, 'PBP2_TRAP_DctP6_7', NULL, NULL, NULL, 1),
(9760, NULL, 'cd16201', NULL, NULL, 'EFh_PI-PLCgamma', NULL, 'EFh_PI-PLCgamma', NULL, NULL, NULL, 1),
(9761, NULL, 'cd00138', NULL, NULL, 'PLDc_SF', NULL, 'PLDc_SF', NULL, NULL, NULL, 1),
(9762, NULL, 'cd17217', NULL, NULL, 'RA_Myosin-IXb', NULL, 'RA_Myosin-IXb', NULL, NULL, NULL, 1),
(9763, NULL, 'cd16355', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(9764, NULL, 'cd18726', NULL, NULL, 'PIN_LabA-like', NULL, 'PIN_LabA-like', NULL, NULL, NULL, 1),
(9765, NULL, 'cd09412', NULL, NULL, 'LIM4_Leupaxin', NULL, 'LIM4_Leupaxin', NULL, NULL, NULL, 1),
(9766, NULL, 'cd08498', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_2', NULL, 'PBP2_NikA_DppA_OppA_like_2', NULL, NULL, NULL, 1),
(9767, NULL, 'cd09370', NULL, NULL, 'LIM1_Lmx1a', NULL, 'LIM1_Lmx1a', NULL, NULL, 38664, 1),
(9768, NULL, 'cd12260', NULL, NULL, 'RRM2_SREK1', NULL, 'RRM2_SREK1', NULL, NULL, 6693, 1),
(9769, NULL, 'cd01076', NULL, NULL, 'NAD_bind_1_Glu_DH', NULL, 'NAD_bind_1_Glu_DH', NULL, NULL, 33786, 1),
(9770, NULL, 'cd16473', NULL, NULL, 'RING-H2_RNF103', NULL, 'RING-H2_RNF103', NULL, NULL, NULL, 1),
(9771, NULL, 'cd19017', NULL, NULL, 'LGIC_ECD_nAChR_A4', NULL, 'LGIC_ECD_nAChR_A4', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9772, NULL, 'cd00419', NULL, NULL, 'Ferrochelatase_C', NULL, 'Ferrochelatase_C', NULL, NULL, 31805, 1),
(9773, NULL, 'cd03061', NULL, NULL, 'GST_N_CLIC', NULL, 'GST_N_CLIC', NULL, NULL, NULL, 1),
(9774, NULL, 'cd13164', NULL, NULL, 'PTB_DOK4_DOK5_DOK6', NULL, 'PTB_DOK4_DOK5_DOK6', NULL, NULL, NULL, 1),
(9775, NULL, 'cd19863', NULL, NULL, 'DSRM_PRKRA-like_rpt2', NULL, 'DSRM_PRKRA-like_rpt2', NULL, NULL, NULL, 1),
(9776, NULL, 'cd01055', NULL, NULL, 'Nonheme_Ferritin', NULL, 'Nonheme_Ferritin', NULL, NULL, 32206, 1),
(9777, NULL, 'cd02969', NULL, NULL, 'PRX_like1', NULL, 'PRX_like1', NULL, NULL, NULL, 1),
(9778, NULL, 'cd05660', NULL, NULL, 'M28_like_PA', NULL, 'M28_like_PA', NULL, NULL, NULL, 1),
(9779, NULL, 'cd07060', NULL, NULL, 'SPOUT_MTase', NULL, 'SPOUT_MTase', NULL, NULL, NULL, 1),
(9780, NULL, 'cd07126', NULL, NULL, 'ALDH_F12_P5CDH', NULL, 'ALDH_F12_P5CDH', NULL, NULL, NULL, 1),
(9781, NULL, 'cd10800', NULL, NULL, 'LamB_YcsF_YbgL_like', NULL, 'LamB_YcsF_YbgL_like', NULL, NULL, NULL, 1),
(9782, NULL, 'cd08264', NULL, NULL, 'Zn_ADH_like2', NULL, 'Zn_ADH_like2', NULL, NULL, NULL, 1),
(9783, NULL, 'cd00340', NULL, NULL, 'GSH_Peroxidase', NULL, 'GSH_Peroxidase', NULL, NULL, 4594, 1),
(9784, NULL, 'cd07673', NULL, NULL, 'F-BAR_FCHO2', NULL, 'F-BAR_FCHO2', NULL, NULL, NULL, 1),
(9785, NULL, 'cd15839', NULL, NULL, 'TNFRSF_viral', NULL, 'TNFRSF_viral', NULL, NULL, 20391, 1),
(9786, NULL, 'cd16812', NULL, NULL, 'RING_CH-C4HC3_MARCH7', NULL, 'RING_CH-C4HC3_MARCH7', NULL, NULL, NULL, 1),
(9787, NULL, 'cd14201', NULL, NULL, 'STKc_ULK2', NULL, 'STKc_ULK2', NULL, NULL, NULL, 1),
(9788, NULL, 'cd01429', NULL, NULL, 'ATP-synt_F1_V1_A1_AB_FliI_C', NULL, 'ATP-synt_F1_V1_A1_AB_FliI_C', NULL, NULL, NULL, 1),
(9789, NULL, 'cd04783', NULL, NULL, 'HTH_MerR1', NULL, 'HTH_MerR1', NULL, NULL, 13348, 1),
(9790, NULL, 'cd15486', NULL, NULL, 'ZIP_Sip4', NULL, 'ZIP_Sip4', NULL, NULL, NULL, 1),
(9791, NULL, 'cd14836', NULL, NULL, 'AP2_Mu_N', NULL, 'AP2_Mu_N', NULL, NULL, 37974, 1),
(9792, NULL, 'cd00387', NULL, NULL, 'Ribosomal_L7_L12', NULL, 'Ribosomal_L7_L12', NULL, NULL, 3882, 1),
(9793, NULL, 'cd04389', NULL, NULL, 'RhoGAP_KIAA1688', NULL, 'RhoGAP_KIAA1688', NULL, NULL, NULL, 1),
(9794, NULL, 'cd18230', NULL, NULL, 'BTB_POZ_ZBTB46', NULL, 'BTB_POZ_ZBTB46', NULL, NULL, NULL, 1),
(9795, NULL, 'cd09858', NULL, NULL, 'PIN_MKT1', NULL, 'PIN_MKT1', NULL, NULL, NULL, 1),
(9796, NULL, 'cd16632', NULL, NULL, 'mRING-HC-C4C4_RBR_RNF144', NULL, 'mRING-HC-C4C4_RBR_RNF144', NULL, NULL, NULL, 1),
(9797, NULL, 'cd05230', NULL, NULL, 'UGD_SDR_e', NULL, 'UGD_SDR_e', NULL, NULL, NULL, 1),
(9798, NULL, 'cd17006', NULL, NULL, 'ANTH_N_HIP1_like', NULL, 'ANTH_N_HIP1_like', NULL, NULL, NULL, 1),
(9799, NULL, 'cd10289', NULL, NULL, 'GST_C_AaRS_like', NULL, 'GST_C_AaRS_like', NULL, NULL, NULL, 1),
(9800, NULL, 'cd09687', NULL, NULL, 'Cas7_I-C', NULL, 'Cas7_I-C', NULL, NULL, NULL, 1),
(9801, NULL, 'cd11491', NULL, NULL, 'SLC5sbd_SMIT', NULL, 'SLC5sbd_SMIT', NULL, NULL, 37978, 1),
(9802, NULL, 'cd02170', NULL, NULL, 'cytidylyltransferase', NULL, 'cytidylyltransferase', NULL, NULL, NULL, 1),
(9803, NULL, 'cd12680', NULL, NULL, 'RRM_THOC4', NULL, 'RRM_THOC4', NULL, NULL, NULL, 1),
(9804, NULL, 'cd01556', NULL, NULL, 'EPSP_synthase', NULL, 'EPSP_synthase', NULL, NULL, 3501, 1),
(9805, NULL, 'cd02670', NULL, NULL, 'Peptidase_C19N', NULL, 'Peptidase_C19N', NULL, NULL, NULL, 1),
(9806, NULL, 'cd08308', NULL, NULL, 'Death_Tube', NULL, 'Death_Tube', NULL, NULL, 26379, 1),
(9807, NULL, 'cd14806', NULL, NULL, 'RAP_D1', NULL, 'RAP_D1', NULL, NULL, 6339, 1),
(9808, NULL, 'cd13608', NULL, NULL, 'PBP2_OpuCC_like', NULL, 'PBP2_OpuCC_like', NULL, NULL, NULL, 1),
(9809, NULL, 'cd15483', NULL, NULL, 'Influenza_NA', NULL, 'Influenza_NA', NULL, NULL, 31783, 1),
(9810, NULL, 'cd14532', NULL, NULL, 'PTP-MTMR6-like', NULL, 'PTP-MTMR6-like', NULL, NULL, NULL, 1),
(9811, NULL, 'cd12508', NULL, NULL, 'RRM2_ESRPs_Fusilli', NULL, 'RRM2_ESRPs_Fusilli', NULL, NULL, NULL, 1),
(9812, NULL, 'cd17096', NULL, NULL, 'FERM_F1_kindlins', NULL, 'FERM_F1_kindlins', NULL, NULL, NULL, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9813, NULL, 'cd14451', NULL, NULL, 'CuRO_5_FV_like', NULL, 'CuRO_5_FV_like', NULL, NULL, NULL, 1),
(9814, NULL, 'cd10928', NULL, NULL, 'CE4_u4', NULL, 'CE4_u4', NULL, NULL, NULL, 1),
(9815, NULL, 'cd09165', NULL, NULL, 'PLDc_PaPPK1_C1_like', NULL, 'PLDc_PaPPK1_C1_like', NULL, NULL, NULL, 1),
(9816, NULL, 'cd02437', NULL, NULL, 'CCC1_like_1', NULL, 'CCC1_like_1', NULL, NULL, NULL, 1),
(9817, NULL, 'cd08979', NULL, NULL, 'GH_J', NULL, 'GH_J', NULL, NULL, NULL, 1),
(9818, NULL, 'cd12274', NULL, NULL, 'RRM2_NEFsp', NULL, 'RRM2_NEFsp', NULL, NULL, NULL, 1),
(9819, NULL, 'cd04470', NULL, NULL, 'S1_EF-P_repeat_1', NULL, 'S1_EF-P_repeat_1', NULL, NULL, 2204, 1),
(9820, NULL, 'cd00833', NULL, NULL, 'PKS', NULL, 'PKS', NULL, NULL, NULL, 1),
(9821, NULL, 'cd07832', NULL, NULL, 'STKc_CCRK', NULL, 'STKc_CCRK', NULL, NULL, NULL, 1),
(9822, NULL, 'cd08571', NULL, NULL, 'GDPD_SHV3_plant', NULL, 'GDPD_SHV3_plant', NULL, NULL, NULL, 1),
(9823, NULL, 'cd06598', NULL, NULL, 'GH31_transferase_CtsZ', NULL, 'GH31_transferase_CtsZ', NULL, NULL, NULL, 1),
(9824, NULL, 'cd17230', NULL, NULL, 'TGS_DRG1', NULL, 'TGS_DRG1', NULL, NULL, NULL, 1),
(9825, NULL, 'cd08175', NULL, NULL, 'G1PDH', NULL, 'G1PDH', NULL, NULL, NULL, 1),
(9826, NULL, 'cd16460', NULL, NULL, 'RING-H2_DZIP3', NULL, 'RING-H2_DZIP3', NULL, NULL, NULL, 1),
(9827, NULL, 'cd02017', NULL, NULL, 'TPP_E1_EcPDC_like', NULL, 'TPP_E1_EcPDC_like', NULL, NULL, 30466, 1),
(9828, NULL, 'cd19115', NULL, NULL, 'AKR_AKR2D1', NULL, 'AKR_AKR2D1', NULL, NULL, 36680, 1),
(9829, NULL, 'cd18397', NULL, NULL, 'BTB_POZ_KCTD12_Pfetin', NULL, 'BTB_POZ_KCTD12_Pfetin', NULL, NULL, NULL, 1),
(9830, NULL, 'cd19573', NULL, NULL, 'serpinE2_GDN', NULL, 'serpinE2_GDN', NULL, NULL, NULL, 1),
(9831, NULL, 'cd07120', NULL, NULL, 'ALDH_PsfA-ACA09737', NULL, 'ALDH_PsfA-ACA09737', NULL, NULL, NULL, 1),
(9832, NULL, 'cd13545', NULL, NULL, 'PBP2_TbpA', NULL, 'PBP2_TbpA', NULL, NULL, 44, 1),
(9833, NULL, 'cd08853', NULL, NULL, 'ArfGap_AGAP2', NULL, 'ArfGap_AGAP2', NULL, NULL, NULL, 1),
(9834, NULL, 'cd09927', NULL, NULL, 'SH2_Tensin_like', NULL, 'SH2_Tensin_like', NULL, NULL, 13417, 1),
(9835, NULL, 'cd14498', NULL, NULL, 'DSP', NULL, 'DSP', NULL, NULL, NULL, 1),
(9836, NULL, 'cd17251', NULL, NULL, 'RMtype1_S_HinAWORF1578P-TRD2-CR2_like', NULL, 'RMtype1_S_HinAWORF1578P-TRD2-CR2_like', NULL, NULL, NULL, 1),
(9837, NULL, 'cd08954', NULL, NULL, 'KR_1_FAS_SDR_x', NULL, 'KR_1_FAS_SDR_x', NULL, NULL, NULL, 1),
(9838, NULL, 'cd11488', NULL, NULL, 'SLC5sbd_SGLT4', NULL, 'SLC5sbd_SGLT4', NULL, NULL, NULL, 1),
(9839, NULL, 'cd00462', NULL, NULL, 'PTH', NULL, 'PTH', NULL, NULL, 2301, 1),
(9840, NULL, 'cd10500', NULL, NULL, 'MH2_SMAD_7', NULL, 'MH2_SMAD_7', NULL, NULL, NULL, 1),
(9841, NULL, 'cd14325', NULL, NULL, 'UBA_RNF31', NULL, 'UBA_RNF31', NULL, NULL, NULL, 1),
(9842, NULL, 'cd21628', NULL, NULL, 'deltaCoV_NS7_NS7a', NULL, 'deltaCoV_NS7_NS7a', NULL, NULL, 38504, 1),
(9843, NULL, 'cd01841', NULL, NULL, 'NnaC_like', NULL, 'NnaC_like', NULL, NULL, NULL, 1),
(9844, NULL, 'cd18979', NULL, NULL, 'CD_POL_like', NULL, 'CD_POL_like', NULL, NULL, NULL, 1),
(9845, NULL, 'cd11479', NULL, NULL, 'SLC5sbd_u3', NULL, 'SLC5sbd_u3', NULL, NULL, NULL, 1),
(9846, NULL, 'cd11862', NULL, NULL, 'SH3_MPP', NULL, 'SH3_MPP', NULL, NULL, NULL, 1),
(9847, NULL, 'cd13152', NULL, NULL, 'KOW_GPKOW_A', NULL, 'KOW_GPKOW_A', NULL, NULL, 32780, 1),
(9848, NULL, 'cd03216', NULL, NULL, 'ABC_Carb_Monos_I', NULL, 'ABC_Carb_Monos_I', NULL, NULL, NULL, 1),
(9849, NULL, 'cd04376', NULL, NULL, 'RhoGAP_ARHGAP6', NULL, 'RhoGAP_ARHGAP6', NULL, NULL, 32931, 1),
(9850, NULL, 'cd10296', NULL, NULL, 'GST_C_CLIC4', NULL, 'GST_C_CLIC4', NULL, NULL, NULL, 1),
(9851, NULL, 'cd19827', NULL, NULL, 'Bbox2_TRIM67_C-I', NULL, 'Bbox2_TRIM67_C-I', NULL, NULL, NULL, 1),
(9852, NULL, 'cd01068', NULL, NULL, 'globin_sensor', NULL, 'globin_sensor', NULL, NULL, 31994, 1),
(9853, NULL, 'cd01557', NULL, NULL, 'BCAT_beta_family', NULL, 'BCAT_beta_family', NULL, NULL, 34912, 1),
(9854, NULL, 'cd00570', NULL, NULL, 'GST_N_family', NULL, 'GST_N_family', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9855, NULL, 'cd14028', NULL, NULL, 'STKc_Bub1_vert', NULL, 'STKc_Bub1_vert', NULL, NULL, NULL, 1),
(9856, NULL, 'cd05851', NULL, NULL, 'Ig3_Contactin-1', NULL, 'Ig3_Contactin-1', NULL, NULL, NULL, 1),
(9857, NULL, 'cd15892', NULL, NULL, 'R-SNARE_STXBP6', NULL, 'R-SNARE_STXBP6', NULL, NULL, 34450, 1),
(9858, NULL, 'cd11281', NULL, NULL, 'ADF_drebrin_like', NULL, 'ADF_drebrin_like', NULL, NULL, NULL, 1),
(9859, NULL, 'cd20483', NULL, NULL, 'C_PKS-NRPS', NULL, 'C_PKS-NRPS', NULL, NULL, NULL, 1),
(9860, NULL, 'cd10039', NULL, NULL, 'Reelin_repeat_3_subrepeat_1', NULL, 'Reelin_repeat_3_subrepeat_1', NULL, NULL, NULL, 1),
(9861, NULL, 'cd12966', NULL, NULL, 'CBM-Ec_CBM-Fc', NULL, 'CBM-Ec_CBM-Fc', NULL, NULL, NULL, 1),
(9862, NULL, 'cd21467', NULL, NULL, 'Ubl1_cv_Nsp3_N-like', NULL, 'Ubl1_cv_Nsp3_N-like', NULL, NULL, 37738, 1),
(9863, NULL, 'cd00102', NULL, NULL, 'IPT', NULL, 'IPT', NULL, NULL, NULL, 1),
(9864, NULL, 'cd00381', NULL, NULL, 'IMPDH', NULL, 'IMPDH', NULL, NULL, 2067, 1),
(9865, NULL, 'cd13220', NULL, NULL, 'PH-GRAM_GRAMDC', NULL, 'PH-GRAM_GRAMDC', NULL, NULL, NULL, 1),
(9866, NULL, 'cd15296', NULL, NULL, '7tmA_Histamine_H3R', NULL, '7tmA_Histamine_H3R', NULL, NULL, 33336, 1),
(9867, NULL, 'cd11710', NULL, NULL, 'GINS_A_psf1', NULL, 'GINS_A_psf1', NULL, NULL, 6491, 1),
(9868, NULL, 'cd09879', NULL, NULL, 'PIN_VapC_AF0591-like', NULL, 'PIN_VapC_AF0591-like', NULL, NULL, NULL, 1),
(9869, NULL, 'cd16329', NULL, NULL, 'LolA_like', NULL, 'LolA_like', NULL, NULL, NULL, 1),
(9870, NULL, 'cd00576', NULL, NULL, 'RNR_PFL', NULL, 'RNR_PFL', NULL, NULL, NULL, 1),
(9871, NULL, 'cd01152', NULL, NULL, 'ACAD_fadE6_17_26', NULL, 'ACAD_fadE6_17_26', NULL, NULL, NULL, 1),
(9872, NULL, 'cd17221', NULL, NULL, 'RA_RASSF2', NULL, 'RA_RASSF2', NULL, NULL, NULL, 1),
(9873, NULL, 'cd03583', NULL, NULL, 'NTR_complement_C3', NULL, 'NTR_complement_C3', NULL, NULL, 35521, 1),
(9874, NULL, 'cd19178', NULL, NULL, 'SET_SETD6', NULL, 'SET_SETD6', NULL, NULL, 37776, 1),
(9875, NULL, 'cd18713', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(9876, NULL, 'cd12577', NULL, NULL, 'RRM1_Hrp1p', NULL, 'RRM1_Hrp1p', NULL, NULL, 13936, 1),
(9877, NULL, 'cd17928', NULL, NULL, 'DEXDc_SecA', NULL, 'DEXDc_SecA', NULL, NULL, NULL, 1),
(9878, NULL, 'cd01264', NULL, NULL, 'PH_MELT_VEPH1', NULL, 'PH_MELT_VEPH1', NULL, NULL, NULL, 1),
(9879, NULL, 'cd18227', NULL, NULL, 'BTB_POZ_ZBTB43', NULL, 'BTB_POZ_ZBTB43', NULL, NULL, NULL, 1),
(9880, NULL, 'cd18806', NULL, NULL, 'SF2_C_viral', NULL, 'SF2_C_viral', NULL, NULL, NULL, 1),
(9881, NULL, 'cd15505', NULL, NULL, 'PHD_ING', NULL, 'PHD_ING', NULL, NULL, NULL, 1),
(9882, NULL, 'cd13120', NULL, NULL, 'BF2867_like_N', NULL, 'BF2867_like_N', NULL, NULL, NULL, 1),
(9883, NULL, 'cd04451', NULL, NULL, 'S1_IF1', NULL, 'S1_IF1', NULL, NULL, 5555, 1),
(9884, NULL, 'cd09679', NULL, NULL, 'Cas10_III', NULL, 'Cas10_III', NULL, NULL, NULL, 1),
(9885, NULL, 'cd15262', NULL, NULL, '7tmB1_NPR_B3_insect-like', NULL, '7tmB1_NPR_B3_insect-like', NULL, NULL, NULL, 1),
(9886, NULL, 'cd06257', NULL, NULL, 'DnaJ', NULL, 'DnaJ', NULL, NULL, 1247, 1),
(9887, NULL, 'cd19336', NULL, NULL, 'Wnt_Wnt4', NULL, 'Wnt_Wnt4', NULL, NULL, NULL, 1),
(9888, NULL, 'cd10578', NULL, NULL, 'TNFRSF3', NULL, 'TNFRSF3', NULL, NULL, 23290, 1),
(9889, NULL, 'cd04368', NULL, NULL, 'IlGF', NULL, 'IlGF', NULL, NULL, NULL, 1),
(9890, NULL, 'cd14849', NULL, NULL, 'DD-dipeptidase_VanXYc', NULL, 'DD-dipeptidase_VanXYc', NULL, NULL, NULL, 1),
(9891, NULL, 'cd16230', NULL, NULL, 'EFh_CREC_RCN3', NULL, 'EFh_CREC_RCN3', NULL, NULL, NULL, 1),
(9892, NULL, 'cd08238', NULL, NULL, 'sorbose_phosphate_red', NULL, 'sorbose_phosphate_red', NULL, NULL, NULL, 1),
(9893, NULL, 'cd12836', NULL, NULL, 'HpCorA-like', NULL, 'HpCorA-like', NULL, NULL, NULL, 1),
(9894, NULL, 'cd03043', NULL, NULL, 'GST_N_1', NULL, 'GST_N_1', NULL, NULL, NULL, 1),
(9895, NULL, 'cd05244', NULL, NULL, 'BVR-B_like_SDR_a', NULL, 'BVR-B_like_SDR_a', NULL, NULL, NULL, 1),
(9896, NULL, 'cd07081', NULL, NULL, 'ALDH_F20_ACDH_EutE-like', NULL, 'ALDH_F20_ACDH_EutE-like', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9897, NULL, 'cd12431', NULL, NULL, 'RRM_ALKBH8', NULL, 'RRM_ALKBH8', NULL, NULL, 34804, 1),
(9898, NULL, 'cd09760', NULL, NULL, 'Cas6_III', NULL, 'Cas6_III', NULL, NULL, NULL, 1),
(9899, NULL, 'cd15592', NULL, NULL, 'PHD3_KMT2A', NULL, 'PHD3_KMT2A', NULL, NULL, 38950, 1),
(9900, NULL, 'cd08901', NULL, NULL, 'SRPBCC_CalC_Aha1-like_8', NULL, 'SRPBCC_CalC_Aha1-like_8', NULL, NULL, NULL, 1),
(9901, NULL, 'cd12128', NULL, NULL, 'PBP_PBS-LCM', NULL, 'PBP_PBS-LCM', NULL, NULL, NULL, 1),
(9902, NULL, 'cd08972', NULL, NULL, 'PF_Nei_N', NULL, 'PF_Nei_N', NULL, NULL, NULL, 1),
(9903, NULL, 'cd07792', NULL, NULL, 'FGGY_GK1-3_metazoa', NULL, 'FGGY_GK1-3_metazoa', NULL, NULL, 32731, 1),
(9904, NULL, 'cd10050', NULL, NULL, 'Reelin_repeat_6_subrepeat_2', NULL, 'Reelin_repeat_6_subrepeat_2', NULL, NULL, NULL, 1),
(9905, NULL, 'cd11383', NULL, NULL, 'YfjP', NULL, 'YfjP', NULL, NULL, NULL, 1),
(9906, NULL, 'cd18024', NULL, NULL, 'DEXHc_Mtr4-like', NULL, 'DEXHc_Mtr4-like', NULL, NULL, NULL, 1),
(9907, NULL, 'cd00593', NULL, NULL, 'RIBOc', NULL, 'RIBOc', NULL, NULL, 47, 1),
(9908, NULL, 'cd08830', NULL, NULL, 'ArfGap_ArfGap1', NULL, 'ArfGap_ArfGap1', NULL, NULL, NULL, 1),
(9909, NULL, 'cd13918', NULL, NULL, 'CuRO_HCO_II_like_6', NULL, 'CuRO_HCO_II_like_6', NULL, NULL, NULL, 1),
(9910, NULL, 'cd18256', NULL, NULL, 'BTB_POZ_KLHL27_IPP', NULL, 'BTB_POZ_KLHL27_IPP', NULL, NULL, NULL, 1),
(9911, NULL, 'cd11805', NULL, NULL, 'SH3_GRB2_like_C', NULL, 'SH3_GRB2_like_C', NULL, NULL, NULL, 1),
(9912, NULL, 'cd16221', NULL, NULL, 'EFh_PI-PLCeta2', NULL, 'EFh_PI-PLCeta2', NULL, NULL, NULL, 1),
(9913, NULL, 'cd08827', NULL, NULL, 'SPFH_podocin', NULL, 'SPFH_podocin', NULL, NULL, NULL, 1),
(9914, NULL, 'cd17093', NULL, NULL, 'FERM2_F1_Myosin-VII', NULL, 'FERM2_F1_Myosin-VII', NULL, NULL, NULL, 1),
(9915, NULL, 'cd17107', NULL, NULL, 'FERM_F1_EPB41L4A', NULL, 'FERM_F1_EPB41L4A', NULL, NULL, NULL, 1),
(9916, NULL, 'cd02434', NULL, NULL, 'Nodulin-21_like_3', NULL, 'Nodulin-21_like_3', NULL, NULL, NULL, 1),
(9917, NULL, 'cd04392', NULL, NULL, 'RhoGAP_ARHGAP19', NULL, 'RhoGAP_ARHGAP19', NULL, NULL, NULL, 1),
(9918, NULL, 'cd17774', NULL, NULL, 'CBS_two-component_sensor_histidine_kinase_repeat2', NULL, 'CBS_two-component_sensor_histidine_kinase_repeat2', NULL, NULL, NULL, 1),
(9919, NULL, 'cd00241', NULL, NULL, 'DOMON_like', NULL, 'DOMON_like', NULL, NULL, NULL, 1),
(9920, NULL, 'cd13656', NULL, NULL, 'PBP2_MBP', NULL, 'PBP2_MBP', NULL, NULL, NULL, 1),
(9921, NULL, 'cd08184', NULL, NULL, 'Fe-ADH_KdnB-like', NULL, 'Fe-ADH_KdnB-like', NULL, NULL, NULL, 1),
(9922, NULL, 'cd21642', NULL, NULL, 'ORF8-Ig_Bat_SARS_CoV_Rf1_type-II-like', NULL, 'ORF8-Ig_Bat_SARS_CoV_Rf1_type-II-like', NULL, NULL, 37995, 1),
(9923, NULL, 'cd13406', NULL, NULL, 'TNFRSF4', NULL, 'TNFRSF4', NULL, NULL, 1948, 1),
(9924, NULL, 'cd11910', NULL, NULL, 'SH3_PI3K_p85alpha', NULL, 'SH3_PI3K_p85alpha', NULL, NULL, 29683, 1),
(9925, NULL, 'cd02905', NULL, NULL, 'Macro_GDAP2-like', NULL, 'Macro_GDAP2-like', NULL, NULL, 35329, 1),
(9926, NULL, 'cd09101', NULL, NULL, 'INPP5c_SHIP2-INPPL1', NULL, 'INPP5c_SHIP2-INPPL1', NULL, NULL, NULL, 1),
(9927, NULL, 'cd15162', NULL, NULL, '7tmA_PAR', NULL, '7tmA_PAR', NULL, NULL, NULL, 1),
(9928, NULL, 'cd15988', NULL, NULL, '7tmB2_BAI2', NULL, '7tmB2_BAI2', NULL, NULL, NULL, 1),
(9929, NULL, 'cd18825', NULL, NULL, 'GH43_CtGH43-like', NULL, 'GH43_CtGH43-like', NULL, NULL, NULL, 1),
(9930, NULL, 'cd00730', NULL, NULL, 'rubredoxin', NULL, 'rubredoxin', NULL, NULL, 15158, 1),
(9931, NULL, 'cd06155', NULL, NULL, 'eu_AANH_C_1', NULL, 'eu_AANH_C_1', NULL, NULL, NULL, 1),
(9932, NULL, 'cd05617', NULL, NULL, 'STKc_aPKC_zeta', NULL, 'STKc_aPKC_zeta', NULL, NULL, 7646, 1),
(9933, NULL, 'cd09183', NULL, NULL, 'PLDc_FAM83C_N', NULL, 'PLDc_FAM83C_N', NULL, NULL, NULL, 1),
(9934, NULL, 'cd03271', NULL, NULL, 'ABC_UvrA_II', NULL, 'ABC_UvrA_II', NULL, NULL, NULL, 1),
(9935, NULL, 'cd09233', NULL, NULL, 'ACE1-Sec16-like', NULL, 'ACE1-Sec16-like', NULL, NULL, NULL, 1),
(9936, NULL, 'cd03526', NULL, NULL, 'SQR_QFR_TypeB_TM', NULL, 'SQR_QFR_TypeB_TM', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9937, NULL, 'cd03419', NULL, NULL, 'GRX_GRXh_1_2_like', NULL, 'GRX_GRXh_1_2_like', NULL, NULL, NULL, 1),
(9938, NULL, 'cd18368', NULL, NULL, 'BTB_POZ_KCTD9', NULL, 'BTB_POZ_KCTD9', NULL, NULL, NULL, 1),
(9939, NULL, 'cd05992', NULL, NULL, 'PB1', NULL, 'PB1', NULL, NULL, NULL, 1),
(9940, NULL, 'cd11561', NULL, NULL, 'W2_eIF5', NULL, 'W2_eIF5', NULL, NULL, NULL, 1),
(9941, NULL, 'cd18412', NULL, NULL, 'BTB_POZ_KCNB2', NULL, 'BTB_POZ_KCNB2', NULL, NULL, NULL, 1),
(9942, NULL, 'cd19540', NULL, NULL, 'LCL_NRPS-like', NULL, 'LCL_NRPS-like', NULL, NULL, NULL, 1),
(9943, NULL, 'cd15999', NULL, NULL, '7tmB2_GPR125', NULL, '7tmB2_GPR125', NULL, NULL, NULL, 1),
(9944, NULL, 'cd17186', NULL, NULL, 'FERM_F1_Merlin', NULL, 'FERM_F1_Merlin', NULL, NULL, NULL, 1),
(9945, NULL, 'cd04320', NULL, NULL, 'AspRS_cyto_N', NULL, 'AspRS_cyto_N', NULL, NULL, NULL, 1),
(9946, NULL, 'cd16405', NULL, NULL, 'RepB_like_N', NULL, 'RepB_like_N', NULL, NULL, 35185, 1),
(9947, NULL, 'cd01289', NULL, NULL, 'FabA_like', NULL, 'FabA_like', NULL, NULL, 15328, 1),
(9948, NULL, 'cd18946', NULL, NULL, 'bHLH_E-protein_TCF12_HEB', NULL, 'bHLH_E-protein_TCF12_HEB', NULL, NULL, NULL, 1),
(9949, NULL, 'cd05658', NULL, NULL, 'M18_DAP', NULL, 'M18_DAP', NULL, NULL, NULL, 1),
(9950, NULL, 'cd19531', NULL, NULL, 'LCL_NRPS-like', NULL, 'LCL_NRPS-like', NULL, NULL, NULL, 1),
(9951, NULL, 'cd13871', NULL, NULL, 'CuRO_2_AAO', NULL, 'CuRO_2_AAO', NULL, NULL, 31971, 1),
(9952, NULL, 'cd01109', NULL, NULL, 'HTH_YyaN', NULL, 'HTH_YyaN', NULL, NULL, NULL, 1),
(9953, NULL, 'cd14764', NULL, NULL, 'SSDgbs_2', NULL, 'SSDgbs_2', NULL, NULL, NULL, 1),
(9954, NULL, 'cd18704', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(9955, NULL, 'cd07736', NULL, NULL, 'PhnP-like_MBL-fold', NULL, 'PhnP-like_MBL-fold', NULL, NULL, 33857, 1),
(9956, NULL, 'cd01069', NULL, NULL, 'PBP2_PheC', NULL, 'PBP2_PheC', NULL, NULL, 35602, 1),
(9957, NULL, 'cd04176', NULL, NULL, 'Rap2', NULL, 'Rap2', NULL, NULL, 32550, 1),
(9958, NULL, 'cd06176', NULL, NULL, 'MFS_BCD_PucC-like', NULL, 'MFS_BCD_PucC-like', NULL, NULL, 24021, 1),
(9959, NULL, 'cd04778', NULL, NULL, 'HTH_MerR-like_sg2', NULL, 'HTH_MerR-like_sg2', NULL, NULL, NULL, 1),
(9960, NULL, 'cd09478', NULL, NULL, 'LIM_CRIP', NULL, 'LIM_CRIP', NULL, NULL, NULL, 1),
(9961, NULL, 'cd15651', NULL, NULL, 'PHD2_NSD2', NULL, 'PHD2_NSD2', NULL, NULL, NULL, 1),
(9962, NULL, 'cd00995', NULL, NULL, 'PBP2_NikA_DppA_OppA_like', NULL, 'PBP2_NikA_DppA_OppA_like', NULL, NULL, NULL, 1),
(9963, NULL, 'cd01584', NULL, NULL, 'AcnA_Mitochondrial', NULL, 'AcnA_Mitochondrial', NULL, NULL, NULL, 1),
(9964, NULL, 'cd03575', NULL, NULL, 'NTR_WFIKKN', NULL, 'NTR_WFIKKN', NULL, NULL, NULL, 1),
(9965, NULL, 'cd14598', NULL, NULL, 'PTPc-N21', NULL, 'PTPc-N21', NULL, NULL, NULL, 1),
(9966, NULL, 'cd13209', NULL, NULL, 'PH-GRAM_MTMR3_MTMR4', NULL, 'PH-GRAM_MTMR3_MTMR4', NULL, NULL, NULL, 1),
(9967, NULL, 'cd05065', NULL, NULL, 'PTKc_EphR_B', NULL, 'PTKc_EphR_B', NULL, NULL, NULL, 1),
(9968, NULL, 'cd12336', NULL, NULL, 'RRM_RBM7_like', NULL, 'RRM_RBM7_like', NULL, NULL, NULL, 1),
(9969, NULL, 'cd14595', NULL, NULL, 'PTP-MTMR11', NULL, 'PTP-MTMR11', NULL, NULL, NULL, 1),
(9970, NULL, 'cd01759', NULL, NULL, 'PLAT_PL', NULL, 'PLAT_PL', NULL, NULL, NULL, 1),
(9971, NULL, 'cd08952', NULL, NULL, 'KR_1_SDR_x', NULL, 'KR_1_SDR_x', NULL, NULL, NULL, 1),
(9972, NULL, 'cd14796', NULL, NULL, 'RNAse_HIII_N', NULL, 'RNAse_HIII_N', NULL, NULL, 22018, 1),
(9973, NULL, 'cd15569', NULL, NULL, 'PHD_RAG2', NULL, 'PHD_RAG2', NULL, NULL, 27937, 1),
(9974, NULL, 'cd04210', NULL, NULL, 'Cupredoxin_like_1', NULL, 'Cupredoxin_like_1', NULL, NULL, 32569, 1),
(9975, NULL, 'cd16213', NULL, NULL, 'EFh_PI-PLC21', NULL, 'EFh_PI-PLC21', NULL, NULL, NULL, 1),
(9976, NULL, 'cd05750', NULL, NULL, 'Ig_Pro_neuregulin', NULL, 'Ig_Pro_neuregulin', NULL, NULL, NULL, 1),
(9977, NULL, 'cd03463', NULL, NULL, '3,4-PCD_alpha', NULL, '3,4-PCD_alpha', NULL, NULL, 10336, 1),
(9978, NULL, 'cd12661', NULL, NULL, 'RRM3_hnRNPM', NULL, 'RRM3_hnRNPM', NULL, NULL, 19498, 1),
(9979, NULL, 'cd11586', NULL, NULL, 'VbhA_like', NULL, 'VbhA_like', NULL, NULL, 34071, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(9980, NULL, 'cd03781', NULL, NULL, 'MATH_TRAF4', NULL, 'MATH_TRAF4', NULL, NULL, 29765, 1),
(9981, NULL, 'cd15942', NULL, NULL, '7tmA_OR10G6-like', NULL, '7tmA_OR10G6-like', NULL, NULL, NULL, 1),
(9982, NULL, 'cd07089', NULL, NULL, 'ALDH_CddD-AldA-like', NULL, 'ALDH_CddD-AldA-like', NULL, NULL, NULL, 1),
(9983, NULL, 'cd14020', NULL, NULL, 'STKc_KIS', NULL, 'STKc_KIS', NULL, NULL, NULL, 1),
(9984, NULL, 'cd11531', NULL, NULL, 'NTP-PPase_BsYpjD', NULL, 'NTP-PPase_BsYpjD', NULL, NULL, 12903, 1),
(9985, NULL, 'cd17460', NULL, NULL, 'MFS_SLCO2B_OATP2B', NULL, 'MFS_SLCO2B_OATP2B', NULL, NULL, NULL, 1),
(9986, NULL, 'cd09640', NULL, NULL, 'Cas7_I-C', NULL, 'Cas7_I-C', NULL, NULL, NULL, 1),
(9987, NULL, 'cd07007', NULL, NULL, 'cupin_CapF-like_C', NULL, 'cupin_CapF-like_C', NULL, NULL, NULL, 1),
(9988, NULL, 'cd09273', NULL, NULL, 'RNase_HI_RT_Bel', NULL, 'RNase_HI_RT_Bel', NULL, NULL, NULL, 1),
(9989, NULL, 'cd17674', NULL, NULL, 'SWIB_BAF60A', NULL, 'SWIB_BAF60A', NULL, NULL, NULL, 1),
(9990, NULL, 'cd03586', NULL, NULL, 'PolY_Pol_IV_kappa', NULL, 'PolY_Pol_IV_kappa', NULL, NULL, 17349, 1),
(9991, NULL, 'cd16883', NULL, NULL, 'ARID_ARID4B', NULL, 'ARID_ARID4B', NULL, NULL, NULL, 1),
(9992, NULL, 'cd15859', NULL, NULL, 'SNARE_SYN8', NULL, 'SNARE_SYN8', NULL, NULL, NULL, 1),
(9993, NULL, 'cd04450', NULL, NULL, 'DEP_RGS7-like', NULL, 'DEP_RGS7-like', NULL, NULL, NULL, 1),
(9994, NULL, 'cd16121', NULL, NULL, 'FERM_F1_SNX17', NULL, 'FERM_F1_SNX17', NULL, NULL, NULL, 1),
(9995, NULL, 'cd03596', NULL, NULL, 'CLECT_tetranectin_like', NULL, 'CLECT_tetranectin_like', NULL, NULL, NULL, 1),
(9996, NULL, 'cd00015', NULL, NULL, 'ALBUMIN', NULL, 'ALBUMIN', NULL, NULL, 12841, 1),
(9997, NULL, 'cd05478', NULL, NULL, 'pepsin_A', NULL, 'pepsin_A', NULL, NULL, 28589, 1),
(9998, NULL, 'cd19431', NULL, NULL, 'lipocalin_Can_f_2', NULL, 'lipocalin_Can_f_2', NULL, NULL, NULL, 1),
(9999, NULL, 'cd12010', NULL, NULL, 'SH3_SLAP', NULL, 'SH3_SLAP', NULL, NULL, 36367, 1),
(10000, NULL, 'cd15769', NULL, NULL, 'FYVE_CARP1', NULL, 'FYVE_CARP1', NULL, NULL, NULL, 1),
(10001, NULL, 'cd07992', NULL, NULL, 'LPLAT_AAK14816-like', NULL, 'LPLAT_AAK14816-like', NULL, NULL, NULL, 1),
(10002, NULL, 'cd12333', NULL, NULL, 'RRM2_p54nrb_like', NULL, 'RRM2_p54nrb_like', NULL, NULL, NULL, 1),
(10003, NULL, 'cd00869', NULL, NULL, 'PI3Ka_II', NULL, 'PI3Ka_II', NULL, NULL, NULL, 1),
(10004, NULL, 'cd08324', NULL, NULL, 'CARD_NOD1_CARD4', NULL, 'CARD_NOD1_CARD4', NULL, NULL, NULL, 1),
(10005, NULL, 'cd01816', NULL, NULL, 'RBD_RAF', NULL, 'RBD_RAF', NULL, NULL, NULL, 1),
(10006, NULL, 'cd06839', NULL, NULL, 'PLPDE_III_Btrk_like', NULL, 'PLPDE_III_Btrk_like', NULL, NULL, NULL, 1),
(10007, NULL, 'cd06611', NULL, NULL, 'STKc_SLK_like', NULL, 'STKc_SLK_like', NULL, NULL, NULL, 1),
(10008, NULL, 'cd16030', NULL, NULL, 'iduronate-2-sulfatase', NULL, 'iduronate-2-sulfatase', NULL, NULL, 33943, 1),
(10009, NULL, 'cd17741', NULL, NULL, 'BRCT_nibrin', NULL, 'BRCT_nibrin', NULL, NULL, NULL, 1),
(10010, NULL, 'cd18828', NULL, NULL, 'GH43_BT3675-like', NULL, 'GH43_BT3675-like', NULL, NULL, NULL, 1),
(10011, NULL, 'cd04093', NULL, NULL, 'HBS1_C_III', NULL, 'HBS1_C_III', NULL, NULL, NULL, 1),
(10012, NULL, 'cd05787', NULL, NULL, 'LbH_eIF2B_epsilon', NULL, 'LbH_eIF2B_epsilon', NULL, NULL, NULL, 1),
(10013, NULL, 'cd19026', NULL, NULL, 'LGIC_ECD_nAChR_B3', NULL, 'LGIC_ECD_nAChR_B3', NULL, NULL, NULL, 1),
(10014, NULL, 'cd01789', NULL, NULL, 'Ubl_TBCB', NULL, 'Ubl_TBCB', NULL, NULL, 39965, 1),
(10015, NULL, 'cd07001', NULL, NULL, 'cupin_YbfI-like_N', NULL, 'cupin_YbfI-like_N', NULL, NULL, NULL, 1),
(10016, NULL, 'cd03244', NULL, NULL, 'ABCC_MRP_domain2', NULL, 'ABCC_MRP_domain2', NULL, NULL, NULL, 1),
(10017, NULL, 'cd12873', NULL, NULL, 'SPRY_DDX1', NULL, 'SPRY_DDX1', NULL, NULL, NULL, 1),
(10018, NULL, 'cd18952', NULL, NULL, 'bHLH_TS_HAND1', NULL, 'bHLH_TS_HAND1', NULL, NULL, NULL, 1),
(10019, NULL, 'cd12870', NULL, NULL, 'MqsA', NULL, 'MqsA', NULL, NULL, NULL, 1),
(10020, NULL, 'cd07507', NULL, NULL, 'HAD_Pase', NULL, 'HAD_Pase', NULL, NULL, 5516, 1),
(10021, NULL, 'cd03318', NULL, NULL, 'MLE', NULL, 'MLE', NULL, NULL, 18770, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10022, NULL, 'cd20761', NULL, NULL, 'capping_2-OMTase_Flaviviridae', NULL, 'capping_2-OMTase_Flaviviridae', NULL, NULL, 27337, 1),
(10023, NULL, 'cd12015', NULL, NULL, 'SH3_Tks_1', NULL, 'SH3_Tks_1', NULL, NULL, NULL, 1),
(10024, NULL, 'cd06996', NULL, NULL, 'cupin_Lmo2851-like_N', NULL, 'cupin_Lmo2851-like_N', NULL, NULL, NULL, 1),
(10025, NULL, 'cd17193', NULL, NULL, 'FERM_F1_PTPN3', NULL, 'FERM_F1_PTPN3', NULL, NULL, NULL, 1),
(10026, NULL, 'cd04172', NULL, NULL, 'Rnd3_RhoE_Rho8', NULL, 'Rnd3_RhoE_Rho8', NULL, NULL, 33014, 1),
(10027, NULL, 'cd07688', NULL, NULL, 'IgC_TCR_alpha', NULL, 'IgC_TCR_alpha', NULL, NULL, 14441, 1),
(10028, NULL, 'cd11937', NULL, NULL, 'SH3_UBASH3A', NULL, 'SH3_UBASH3A', NULL, NULL, 36104, 1),
(10029, NULL, 'cd08607', NULL, NULL, 'GDPD_GDE5', NULL, 'GDPD_GDE5', NULL, NULL, NULL, 1),
(10030, NULL, 'cd14581', NULL, NULL, 'DUSP22', NULL, 'DUSP22', NULL, NULL, NULL, 1),
(10031, NULL, 'cd11010', NULL, NULL, 'S1-P1_nuclease', NULL, 'S1-P1_nuclease', NULL, NULL, 1666, 1),
(10032, NULL, 'cd15128', NULL, NULL, '7tmA_ET_R', NULL, '7tmA_ET_R', NULL, NULL, NULL, 1),
(10033, NULL, 'cd18802', NULL, NULL, 'SF2_C_dicer', NULL, 'SF2_C_dicer', NULL, NULL, NULL, 1),
(10034, NULL, 'cd18616', NULL, NULL, 'GH43_ABN-like', NULL, 'GH43_ABN-like', NULL, NULL, NULL, 1),
(10035, NULL, 'cd04677', NULL, NULL, 'Nudix_Hydrolase_18', NULL, 'Nudix_Hydrolase_18', NULL, NULL, NULL, 1),
(10036, NULL, 'cd06988', NULL, NULL, 'cupin_DddK', NULL, 'cupin_DddK', NULL, NULL, NULL, 1),
(10037, NULL, 'cd13441', NULL, NULL, 'CamS_repeat_1', NULL, 'CamS_repeat_1', NULL, NULL, NULL, 1),
(10038, NULL, 'cd13203', NULL, NULL, 'FERM_C1_myosin_like', NULL, 'FERM_C1_myosin_like', NULL, NULL, NULL, 1),
(10039, NULL, 'cd01624', NULL, NULL, 'HAD_VSP_like', NULL, 'HAD_VSP_like', NULL, NULL, NULL, 1),
(10040, NULL, 'cd15644', NULL, NULL, 'PHD_KDM2B', NULL, 'PHD_KDM2B', NULL, NULL, NULL, 1),
(10041, NULL, 'cd17732', NULL, NULL, 'BRCT_Ect2_rpt2', NULL, 'BRCT_Ect2_rpt2', NULL, NULL, NULL, 1),
(10042, NULL, 'cd04910', NULL, NULL, 'ACT_AK-Ectoine_1', NULL, 'ACT_AK-Ectoine_1', NULL, NULL, NULL, 1),
(10043, NULL, 'cd17350', NULL, NULL, 'MFS_PTR2', NULL, 'MFS_PTR2', NULL, NULL, NULL, 1),
(10044, NULL, 'cd16975', NULL, NULL, 'HATPase_SpaK_NisK-like', NULL, 'HATPase_SpaK_NisK-like', NULL, NULL, 37591, 1),
(10045, NULL, 'cd17935', NULL, NULL, 'EEXXQc_AQR', NULL, 'EEXXQc_AQR', NULL, NULL, NULL, 1),
(10046, NULL, 'cd12703', NULL, NULL, 'RRM4_ROD1', NULL, 'RRM4_ROD1', NULL, NULL, 35341, 1),
(10047, NULL, 'cd14917', NULL, NULL, 'MYSc_Myh7', NULL, 'MYSc_Myh7', NULL, NULL, NULL, 1),
(10048, NULL, 'cd17963', NULL, NULL, 'DEADc_DDX19_DDX25', NULL, 'DEADc_DDX19_DDX25', NULL, NULL, NULL, 1),
(10049, NULL, 'cd10236', NULL, NULL, 'HscA_like_NBD', NULL, 'HscA_like_NBD', NULL, NULL, 33065, 1),
(10050, NULL, 'cd08388', NULL, NULL, 'C2A_Synaptotagmin-4-11', NULL, 'C2A_Synaptotagmin-4-11', NULL, NULL, NULL, 1),
(10051, NULL, 'cd00650', NULL, NULL, 'LDH_MDH_like', NULL, 'LDH_MDH_like', NULL, NULL, NULL, 1),
(10052, NULL, 'cd00366', NULL, NULL, 'FGGY', NULL, 'FGGY', NULL, NULL, NULL, 1),
(10053, NULL, 'cd03461', NULL, NULL, '1,2-HQD', NULL, '1,2-HQD', NULL, NULL, 29361, 1),
(10054, NULL, 'cd05650', NULL, NULL, 'M20_ArgE_DapE-like', NULL, 'M20_ArgE_DapE-like', NULL, NULL, NULL, 1),
(10055, NULL, 'cd06820', NULL, NULL, 'PLPDE_III_LS_D-TA_like', NULL, 'PLPDE_III_LS_D-TA_like', NULL, NULL, NULL, 1),
(10056, NULL, 'cd20484', NULL, NULL, 'C_PKS-NRPS_PksJ-like', NULL, 'C_PKS-NRPS_PksJ-like', NULL, NULL, NULL, 1),
(10057, NULL, 'cd09862', NULL, NULL, 'PIN_Rrp44-like', NULL, 'PIN_Rrp44-like', NULL, NULL, NULL, 1),
(10058, NULL, 'cd13196', NULL, NULL, 'FERM_C_JAK', NULL, 'FERM_C_JAK', NULL, NULL, NULL, 1),
(10059, NULL, 'cd01451', NULL, NULL, 'vWA_Magnesium_chelatase', NULL, 'vWA_Magnesium_chelatase', NULL, NULL, 33291, 1),
(10060, NULL, 'cd16939', NULL, NULL, 'HATPase_RstB-like', NULL, 'HATPase_RstB-like', NULL, NULL, NULL, 1),
(10061, NULL, 'cd15894', NULL, NULL, 'SNARE_SNAP25N', NULL, 'SNARE_SNAP25N', NULL, NULL, NULL, 1),
(10062, NULL, 'cd17414', NULL, NULL, 'MFS_NPF4', NULL, 'MFS_NPF4', NULL, NULL, NULL, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10063, NULL, 'cd08978', NULL, NULL, 'GH_F', NULL, 'GH_F', NULL, NULL, NULL, 1),
(10064, NULL, 'cd03765', NULL, NULL, 'proteasome_beta_bacterial', NULL, 'proteasome_beta_bacterial', NULL, NULL, NULL, 1),
(10065, NULL, 'cd14148', NULL, NULL, 'STKc_MLK2', NULL, 'STKc_MLK2', NULL, NULL, NULL, 1),
(10066, NULL, 'cd17483', NULL, NULL, 'MFS_Atg22_like', NULL, 'MFS_Atg22_like', NULL, NULL, 37539, 1),
(10067, NULL, 'cd18183', NULL, NULL, 'ATP-synt_Fo_c_ATPH', NULL, 'ATP-synt_Fo_c_ATPH', NULL, NULL, NULL, 1),
(10068, NULL, 'cd00865', NULL, NULL, 'PEBP_bact_arch', NULL, 'PEBP_bact_arch', NULL, NULL, 11104, 1),
(10069, NULL, 'cd09086', NULL, NULL, 'ExoIII-like_AP-endo', NULL, 'ExoIII-like_AP-endo', NULL, NULL, 35389, 1),
(10070, NULL, 'cd09720', NULL, NULL, 'Cas1_II', NULL, 'Cas1_II', NULL, NULL, NULL, 1),
(10071, NULL, 'cd07823', NULL, NULL, 'SRPBCC_5', NULL, 'SRPBCC_5', NULL, NULL, NULL, 1),
(10072, NULL, 'cd03403', NULL, NULL, 'SPFH_stomatin', NULL, 'SPFH_stomatin', NULL, NULL, NULL, 1),
(10073, NULL, 'cd14089', NULL, NULL, 'STKc_MAPKAPK', NULL, 'STKc_MAPKAPK', NULL, NULL, NULL, 1),
(10074, NULL, 'cd13243', NULL, NULL, 'PH_PLEKHG1_G2_G3', NULL, 'PH_PLEKHG1_G2_G3', NULL, NULL, 39219, 1),
(10075, NULL, 'cd17344', NULL, NULL, 'MFS_SLC37A1_2', NULL, 'MFS_SLC37A1_2', NULL, NULL, 37708, 1),
(10076, NULL, 'cd10435', NULL, NULL, 'GIY-YIG_RE_Eco29kI_like', NULL, 'GIY-YIG_RE_Eco29kI_like', NULL, NULL, NULL, 1),
(10077, NULL, 'cd17137', NULL, NULL, 'RBD1_RGS14', NULL, 'RBD1_RGS14', NULL, NULL, NULL, 1),
(10078, NULL, 'cd15173', NULL, NULL, '7tmA_CXCR6', NULL, '7tmA_CXCR6', NULL, NULL, 197, 1),
(10079, NULL, 'cd01751', NULL, NULL, 'PLAT_LH2', NULL, 'PLAT_LH2', NULL, NULL, 32782, 1),
(10080, NULL, 'cd09945', NULL, NULL, 'SH2_SHB_SHD_SHE_SHF_like', NULL, 'SH2_SHB_SHD_SHE_SHF_like', NULL, NULL, NULL, 1),
(10081, NULL, 'cd11339', NULL, NULL, 'AmyAc_bac_CMD_like_2', NULL, 'AmyAc_bac_CMD_like_2', NULL, NULL, NULL, 1),
(10082, NULL, 'cd18047', NULL, NULL, 'DEADc_DDX19', NULL, 'DEADc_DDX19', NULL, NULL, NULL, 1),
(10083, NULL, 'cd16286', NULL, NULL, 'SPM-1-like_MBL-B1-B2-like', NULL, 'SPM-1-like_MBL-B1-B2-like', NULL, NULL, NULL, 1),
(10084, NULL, 'cd16363', NULL, NULL, 'Col_Im_like', NULL, 'Col_Im_like', NULL, NULL, 4141, 1),
(10085, NULL, 'cd03155', NULL, NULL, 'CD151_like_LEL', NULL, 'CD151_like_LEL', NULL, NULL, NULL, 1),
(10086, NULL, 'cd06465', NULL, NULL, 'p23_hB-ind1_like', NULL, 'p23_hB-ind1_like', NULL, NULL, NULL, 1),
(10087, NULL, 'cd13255', NULL, NULL, 'PH_TAAP2-like', NULL, 'PH_TAAP2-like', NULL, NULL, NULL, 1),
(10088, NULL, 'cd05682', NULL, NULL, 'M20_dipept_dapE', NULL, 'M20_dipept_dapE', NULL, NULL, NULL, 1),
(10089, NULL, 'cd15472', NULL, NULL, 'Myo5p-like_CBD_Rasip1', NULL, 'Myo5p-like_CBD_Rasip1', NULL, NULL, 29300, 1),
(10090, NULL, 'cd14436', NULL, NULL, 'LepB', NULL, 'LepB', NULL, NULL, NULL, 1),
(10091, NULL, 'cd12671', NULL, NULL, 'RRM_CSTF2_CSTF2T', NULL, 'RRM_CSTF2_CSTF2T', NULL, NULL, NULL, 1),
(10092, NULL, 'cd14101', NULL, NULL, 'STKc_PIM2', NULL, 'STKc_PIM2', NULL, NULL, NULL, 1),
(10093, NULL, 'cd16253', NULL, NULL, 'EFh_parvalbumins', NULL, 'EFh_parvalbumins', NULL, NULL, NULL, 1),
(10094, NULL, 'cd18729', NULL, NULL, 'PIN_Zc3h12-like', NULL, 'PIN_Zc3h12-like', NULL, NULL, NULL, 1),
(10095, NULL, 'cd11798', NULL, NULL, 'SH3_DNMBP_C1', NULL, 'SH3_DNMBP_C1', NULL, NULL, 30969, 1),
(10096, NULL, 'cd01180', NULL, NULL, 'IPT_plexin_repeat1', NULL, 'IPT_plexin_repeat1', NULL, NULL, NULL, 1),
(10097, NULL, 'cd09708', NULL, NULL, 'Csf4_U', NULL, 'Csf4_U', NULL, NULL, NULL, 1),
(10098, NULL, 'cd10347', NULL, NULL, 'SH2_Nterm_shark_like', NULL, 'SH2_Nterm_shark_like', NULL, NULL, 17334, 1),
(10099, NULL, 'cd07356', NULL, NULL, 'HN_L-whirlin_R1_like', NULL, 'HN_L-whirlin_R1_like', NULL, NULL, NULL, 1),
(10100, NULL, 'cd10570', NULL, NULL, 'PH-GRAM', NULL, 'PH-GRAM', NULL, NULL, NULL, 1),
(10101, NULL, 'cd14295', NULL, NULL, 'UBA1_atUBP14', NULL, 'UBA1_atUBP14', NULL, NULL, NULL, 1),
(10102, NULL, 'cd10933', NULL, NULL, 'CE4_u9', NULL, 'CE4_u9', NULL, NULL, NULL, 1),
(10103, NULL, 'cd02175', NULL, NULL, 'GH16_lichenase', NULL, 'GH16_lichenase', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10104, NULL, 'cd19954', NULL, NULL, 'serpin42Dd-like_insects', NULL, 'serpin42Dd-like_insects', NULL, NULL, NULL, 1),
(10105, NULL, 'cd21593', NULL, NULL, 'HCoV_HKU1-like_RdRp', NULL, 'HCoV_HKU1-like_RdRp', NULL, NULL, 36976, 1),
(10106, NULL, 'cd15990', NULL, NULL, '7tmB2_BAI1', NULL, '7tmB2_BAI1', NULL, NULL, NULL, 1),
(10107, NULL, 'cd18603', NULL, NULL, 'ABC_6TM_MRP1_2_3_6_D2_like', NULL, 'ABC_6TM_MRP1_2_3_6_D2_like', NULL, NULL, NULL, 1),
(10108, NULL, 'cd10562', NULL, NULL, 'FDH_b_like', NULL, 'FDH_b_like', NULL, NULL, NULL, 1),
(10109, NULL, 'cd06650', NULL, NULL, 'PKc_MEK1', NULL, 'PKc_MEK1', NULL, NULL, NULL, 1),
(10110, NULL, 'cd01042', NULL, NULL, 'DMQH', NULL, 'DMQH', NULL, NULL, 8153, 1),
(10111, NULL, 'cd07411', NULL, NULL, 'MPP_SoxB_N', NULL, 'MPP_SoxB_N', NULL, NULL, 32696, 1),
(10112, NULL, 'cd00065', NULL, NULL, 'FYVE_like_SF', NULL, 'FYVE_like_SF', NULL, NULL, NULL, 1),
(10113, NULL, 'cd07045', NULL, NULL, 'BMC_CcmK_like', NULL, 'BMC_CcmK_like', NULL, NULL, NULL, 1),
(10114, NULL, 'cd03597', NULL, NULL, 'CLECT_attractin_like', NULL, 'CLECT_attractin_like', NULL, NULL, 6245, 1),
(10115, NULL, 'cd06306', NULL, NULL, 'PBP1_TorT-like', NULL, 'PBP1_TorT-like', NULL, NULL, NULL, 1),
(10116, NULL, 'cd17647', NULL, NULL, 'A_NRPS_alphaAR', NULL, 'A_NRPS_alphaAR', NULL, NULL, NULL, 1),
(10117, NULL, 'cd12021', NULL, NULL, 'SH3_p47phox_1', NULL, 'SH3_p47phox_1', NULL, NULL, 32655, 1),
(10118, NULL, 'cd14631', NULL, NULL, 'R-PTPc-K-1', NULL, 'R-PTPc-K-1', NULL, NULL, NULL, 1),
(10119, NULL, 'cd17955', NULL, NULL, 'DEADc_DDX49', NULL, 'DEADc_DDX49', NULL, NULL, NULL, 1),
(10120, NULL, 'cd17978', NULL, NULL, 'DEXHc_DHX33', NULL, 'DEXHc_DHX33', NULL, NULL, NULL, 1),
(10121, NULL, 'cd07695', NULL, NULL, 'Ig3_CD4', NULL, 'Ig3_CD4', NULL, NULL, NULL, 1),
(10122, NULL, 'cd08772', NULL, NULL, 'GH43_62_32_68_117_130', NULL, 'GH43_62_32_68_117_130', NULL, NULL, NULL, 1),
(10123, NULL, 'cd07921', NULL, NULL, 'PCA_45_Doxase_A_like', NULL, 'PCA_45_Doxase_A_like', NULL, NULL, NULL, 1),
(10124, NULL, 'cd21588', NULL, NULL, 'alphaCoV_RdRp', NULL, 'alphaCoV_RdRp', NULL, NULL, 38892, 1),
(10125, NULL, 'cd07327', NULL, NULL, 'M48B_HtpX_like', NULL, 'M48B_HtpX_like', NULL, NULL, NULL, 1),
(10126, NULL, 'cd17020', NULL, NULL, 'T3SC_IA_ShcM-like', NULL, 'T3SC_IA_ShcM-like', NULL, NULL, NULL, 1),
(10127, NULL, 'cd09294', NULL, NULL, 'SmpB', NULL, 'SmpB', NULL, NULL, 2669, 1),
(10128, NULL, 'cd12953', NULL, NULL, 'MMP_TTHA0227', NULL, 'MMP_TTHA0227', NULL, NULL, NULL, 1),
(10129, NULL, 'cd05332', NULL, NULL, '11beta-HSD1_like_SDR_c', NULL, '11beta-HSD1_like_SDR_c', NULL, NULL, NULL, 1),
(10130, NULL, 'cd00160', NULL, NULL, 'RhoGEF', NULL, 'RhoGEF', NULL, NULL, 3788, 1),
(10131, NULL, 'cd07121', NULL, NULL, 'ALDH_EutE', NULL, 'ALDH_EutE', NULL, NULL, 13742, 1),
(10132, NULL, 'cd17259', NULL, NULL, 'RMtype1_S_StySKI-TRD2-CR2_like', NULL, 'RMtype1_S_StySKI-TRD2-CR2_like', NULL, NULL, NULL, 1),
(10133, NULL, 'cd11683', NULL, NULL, 'HDAC10', NULL, 'HDAC10', NULL, NULL, NULL, 1),
(10134, NULL, 'cd19079', NULL, NULL, 'AKR_EcYajO-like', NULL, 'AKR_EcYajO-like', NULL, NULL, NULL, 1),
(10135, NULL, 'cd17065', NULL, NULL, 'Ubl_UBP24', NULL, 'Ubl_UBP24', NULL, NULL, NULL, 1),
(10136, NULL, 'cd00489', NULL, NULL, 'Barstar_like', NULL, 'Barstar_like', NULL, NULL, NULL, 1),
(10137, NULL, 'cd01948', NULL, NULL, 'EAL', NULL, 'EAL', NULL, NULL, 5393, 1),
(10138, NULL, 'cd11285', NULL, NULL, 'ADF_Twf-N_like', NULL, 'ADF_Twf-N_like', NULL, NULL, NULL, 1),
(10139, NULL, 'cd08721', NULL, NULL, 'RGS_AKAP2_2', NULL, 'RGS_AKAP2_2', NULL, NULL, NULL, 1),
(10140, NULL, 'cd01181', NULL, NULL, 'IPT_plexin_repeat3', NULL, 'IPT_plexin_repeat3', NULL, NULL, NULL, 1),
(10141, NULL, 'cd19354', NULL, NULL, 'Wnt_Wnt9b', NULL, 'Wnt_Wnt9b', NULL, NULL, NULL, 1),
(10142, NULL, 'cd04729', NULL, NULL, 'NanE', NULL, 'NanE', NULL, NULL, 6835, 1),
(10143, NULL, 'cd19421', NULL, NULL, 'lipocalin_5_8-like', NULL, 'lipocalin_5_8-like', NULL, NULL, NULL, 1),
(10144, NULL, 'cd14132', NULL, NULL, 'STKc_CK2_alpha', NULL, 'STKc_CK2_alpha', NULL, NULL, 38652, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10145, NULL, 'cd15727', NULL, NULL, 'FYVE_ZF21', NULL, 'FYVE_ZF21', NULL, NULL, NULL, 1),
(10146, NULL, 'cd04617', NULL, NULL, 'CBS_pair_CcpN', NULL, 'CBS_pair_CcpN', NULL, NULL, NULL, 1),
(10147, NULL, 'cd14254', NULL, NULL, 'Dockerin_II', NULL, 'Dockerin_II', NULL, NULL, NULL, 1),
(10148, NULL, 'cd08297', NULL, NULL, 'CAD3', NULL, 'CAD3', NULL, NULL, NULL, 1),
(10149, NULL, 'cd07954', NULL, NULL, 'AP_MHD_Cterm', NULL, 'AP_MHD_Cterm', NULL, NULL, NULL, 1),
(10150, NULL, 'cd13857', NULL, NULL, 'CuRO_1_Diphenol_Ox', NULL, 'CuRO_1_Diphenol_Ox', NULL, NULL, NULL, 1),
(10151, NULL, 'cd13965', NULL, NULL, 'PT_UbiA_3', NULL, 'PT_UbiA_3', NULL, NULL, NULL, 1),
(10152, NULL, 'cd01491', NULL, NULL, 'Ube1_repeat1', NULL, 'Ube1_repeat1', NULL, NULL, NULL, 1),
(10153, NULL, 'cd16690', NULL, NULL, 'RING-H2_Vps41', NULL, 'RING-H2_Vps41', NULL, NULL, NULL, 1),
(10154, NULL, 'cd09508', NULL, NULL, 'SAM_HD', NULL, 'SAM_HD', NULL, NULL, NULL, 1),
(10155, NULL, 'cd01250', NULL, NULL, 'PH_AGAP', NULL, 'PH_AGAP', NULL, NULL, NULL, 1),
(10156, NULL, 'cd12595', NULL, NULL, 'RRM1_SRSF5', NULL, 'RRM1_SRSF5', NULL, NULL, NULL, 1),
(10157, NULL, 'cd05476', NULL, NULL, 'pepsin_A_like_plant', NULL, 'pepsin_A_like_plant', NULL, NULL, 23951, 1),
(10158, NULL, 'cd13282', NULL, NULL, 'PH1_PLEKHH1_PLEKHH2', NULL, 'PH1_PLEKHH1_PLEKHH2', NULL, NULL, NULL, 1),
(10159, NULL, 'cd13775', NULL, NULL, 'SPFH_eoslipins_u3', NULL, 'SPFH_eoslipins_u3', NULL, NULL, NULL, 1),
(10160, NULL, 'cd12241', NULL, NULL, 'RRM_SF3B14', NULL, 'RRM_SF3B14', NULL, NULL, 21845, 1),
(10161, NULL, 'cd04606', NULL, NULL, 'CBS_pair_Mg_transporter', NULL, 'CBS_pair_Mg_transporter', NULL, NULL, NULL, 1),
(10162, NULL, 'cd09871', NULL, NULL, 'PIN_MtVapC28-VapC30-like', NULL, 'PIN_MtVapC28-VapC30-like', NULL, NULL, NULL, 1),
(10163, NULL, 'cd19112', NULL, NULL, 'AKR_AKR2A1-2', NULL, 'AKR_AKR2A1-2', NULL, NULL, 37705, 1),
(10164, NULL, 'cd05661', NULL, NULL, 'M28_like_PA', NULL, 'M28_like_PA', NULL, NULL, NULL, 1),
(10165, NULL, 'cd16671', NULL, NULL, 'RING-H2_DTX1_4', NULL, 'RING-H2_DTX1_4', NULL, NULL, NULL, 1),
(10166, NULL, 'cd11727', NULL, NULL, 'ADDz_Dnmt3l', NULL, 'ADDz_Dnmt3l', NULL, NULL, NULL, 1),
(10167, NULL, 'cd13373', NULL, NULL, 'PH_nGAP', NULL, 'PH_nGAP', NULL, NULL, NULL, 1),
(10168, NULL, 'cd05618', NULL, NULL, 'STKc_aPKC_iota', NULL, 'STKc_aPKC_iota', NULL, NULL, 6044, 1),
(10169, NULL, 'cd05701', NULL, NULL, 'S1_Rrp5_repeat_hs10', NULL, 'S1_Rrp5_repeat_hs10', NULL, NULL, NULL, 1),
(10170, NULL, 'cd06602', NULL, NULL, 'GH31_MGAM_SI_GAA', NULL, 'GH31_MGAM_SI_GAA', NULL, NULL, NULL, 1),
(10171, NULL, 'cd05341', NULL, NULL, '3beta-17beta-HSD_like_SDR_c', NULL, '3beta-17beta-HSD_like_SDR_c', NULL, NULL, NULL, 1),
(10172, NULL, 'cd10941', NULL, NULL, 'CE4_PuuE_HpPgdA_like_2', NULL, 'CE4_PuuE_HpPgdA_like_2', NULL, NULL, 39544, 1),
(10173, NULL, 'cd15804', NULL, NULL, 'RLR_C', NULL, 'RLR_C', NULL, NULL, NULL, 1),
(10174, NULL, 'cd15697', NULL, NULL, 'ePHD2_KMT2C', NULL, 'ePHD2_KMT2C', NULL, NULL, 33132, 1),
(10175, NULL, 'cd04665', NULL, NULL, 'Nudix_Hydrolase_8', NULL, 'Nudix_Hydrolase_8', NULL, NULL, 13772, 1),
(10176, NULL, 'cd01615', NULL, NULL, 'CIDE_N', NULL, 'CIDE_N', NULL, NULL, NULL, 1),
(10177, NULL, 'cd13379', NULL, NULL, 'PH_RhoGap24', NULL, 'PH_RhoGap24', NULL, NULL, NULL, 1),
(10178, NULL, 'cd07224', NULL, NULL, 'Pat_like', NULL, 'Pat_like', NULL, NULL, NULL, 1),
(10179, NULL, 'cd14953', NULL, NULL, 'NHL_like_1', NULL, 'NHL_like_1', NULL, NULL, NULL, 1),
(10180, NULL, 'cd01131', NULL, NULL, 'PilT', NULL, 'PilT', NULL, NULL, 4998, 1),
(10181, NULL, 'cd08198', NULL, NULL, 'DHQS-like', NULL, 'DHQS-like', NULL, NULL, NULL, 1),
(10182, NULL, 'cd12473', NULL, NULL, 'RRM2_MSSP1', NULL, 'RRM2_MSSP1', NULL, NULL, NULL, 1),
(10183, NULL, 'cd01284', NULL, NULL, 'Riboflavin_deaminase-reductase', NULL, 'Riboflavin_deaminase-reductase', NULL, NULL, NULL, 1),
(10184, NULL, 'cd01781', NULL, NULL, 'RA2_Afadin', NULL, 'RA2_Afadin', NULL, NULL, NULL, 1),
(10185, NULL, 'cd05102', NULL, NULL, 'PTKc_VEGFR3', NULL, 'PTKc_VEGFR3', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10186, NULL, 'cd20758', NULL, NULL, 'capping_2-OMTase_Orbivirus', NULL, 'capping_2-OMTase_Orbivirus', NULL, NULL, 1415, 1),
(10187, NULL, 'cd00545', NULL, NULL, 'MCH', NULL, 'MCH', NULL, NULL, 2240, 1),
(10188, NULL, 'cd18627', NULL, NULL, 'CD_polycomb_like', NULL, 'CD_polycomb_like', NULL, NULL, NULL, 1),
(10189, NULL, 'cd00635', NULL, NULL, 'PLPDE_III_YBL036c_like', NULL, 'PLPDE_III_YBL036c_like', NULL, NULL, NULL, 1),
(10190, NULL, 'cd06320', NULL, NULL, 'PBP1_allose_binding', NULL, 'PBP1_allose_binding', NULL, NULL, NULL, 1),
(10191, NULL, 'cd15244', NULL, NULL, '7tm_bacteriorhodopsin', NULL, '7tm_bacteriorhodopsin', NULL, NULL, NULL, 1),
(10192, NULL, 'cd18737', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(10193, NULL, 'cd00988', NULL, NULL, 'PDZ_CTP_protease', NULL, 'PDZ_CTP_protease', NULL, NULL, NULL, 1),
(10194, NULL, 'cd01944', NULL, NULL, 'YegV_kinase_like', NULL, 'YegV_kinase_like', NULL, NULL, NULL, 1),
(10195, NULL, 'cd13891', NULL, NULL, 'CuRO_3_CotA_like', NULL, 'CuRO_3_CotA_like', NULL, NULL, NULL, 1),
(10196, NULL, 'cd12754', NULL, NULL, 'RRM2_RBM10', NULL, 'RRM2_RBM10', NULL, NULL, 14991, 1),
(10197, NULL, 'cd05367', NULL, NULL, 'SPR-like_SDR_c', NULL, 'SPR-like_SDR_c', NULL, NULL, NULL, 1),
(10198, NULL, 'cd07375', NULL, NULL, 'Anticodon_Ia_like', NULL, 'Anticodon_Ia_like', NULL, NULL, NULL, 1),
(10199, NULL, 'cd18927', NULL, NULL, 'bHLHzip_TFEB', NULL, 'bHLHzip_TFEB', NULL, NULL, NULL, 1),
(10200, NULL, 'cd18177', NULL, NULL, 'ATP-synt_Vo_c_ATP6F_rpt1', NULL, 'ATP-synt_Vo_c_ATP6F_rpt1', NULL, NULL, NULL, 1),
(10201, NULL, 'cd03788', NULL, NULL, 'GT20_TPS', NULL, 'GT20_TPS', NULL, NULL, 4154, 1),
(10202, NULL, 'cd13214', NULL, NULL, 'PH-GRAM_WBP2', NULL, 'PH-GRAM_WBP2', NULL, NULL, NULL, 1),
(10203, NULL, 'cd07802', NULL, NULL, 'FGGY_L-XK', NULL, 'FGGY_L-XK', NULL, NULL, NULL, 1),
(10204, NULL, 'cd07080', NULL, NULL, 'ALDH_Acyl-CoA-Red_LuxC', NULL, 'ALDH_Acyl-CoA-Red_LuxC', NULL, NULL, 13102, 1),
(10205, NULL, 'cd12162', NULL, NULL, '2-Hacid_dh_4', NULL, '2-Hacid_dh_4', NULL, NULL, NULL, 1),
(10206, NULL, 'cd16568', NULL, NULL, 'RING-HC_ScPSH1_like', NULL, 'RING-HC_ScPSH1_like', NULL, NULL, NULL, 1),
(10207, NULL, 'cd19972', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(10208, NULL, 'cd01471', NULL, NULL, 'vWA_micronemal_protein', NULL, 'vWA_micronemal_protein', NULL, NULL, NULL, 1),
(10209, NULL, 'cd09891', NULL, NULL, 'NGN_Bact_1', NULL, 'NGN_Bact_1', NULL, NULL, NULL, 1),
(10210, NULL, 'cd15441', NULL, NULL, '7tmB2_CELSR_Adhesion_IV', NULL, '7tmB2_CELSR_Adhesion_IV', NULL, NULL, NULL, 1),
(10211, NULL, 'cd08447', NULL, NULL, 'PBP2_LTTR_aromatics_like_1', NULL, 'PBP2_LTTR_aromatics_like_1', NULL, NULL, NULL, 1),
(10212, NULL, 'cd12094', NULL, NULL, 'TM_ErbB2', NULL, 'TM_ErbB2', NULL, NULL, NULL, 1),
(10213, NULL, 'cd07021', NULL, NULL, 'Clp_protease_NfeD_like', NULL, 'Clp_protease_NfeD_like', NULL, NULL, NULL, 1),
(10214, NULL, 'cd18992', NULL, NULL, 'LGIC_ECD_HisCl', NULL, 'LGIC_ECD_HisCl', NULL, NULL, NULL, 1),
(10215, NULL, 'cd19551', NULL, NULL, 'serpinA3_A1AC', NULL, 'serpinA3_A1AC', NULL, NULL, NULL, 1),
(10216, NULL, 'cd11451', NULL, NULL, 'bHLH_AtTT8_like', NULL, 'bHLH_AtTT8_like', NULL, NULL, NULL, 1),
(10217, NULL, 'cd10924', NULL, NULL, 'CE4_COG4878', NULL, 'CE4_COG4878', NULL, NULL, NULL, 1),
(10218, NULL, 'cd05111', NULL, NULL, 'PTK_HER3', NULL, 'PTK_HER3', NULL, NULL, NULL, 1),
(10219, NULL, 'cd00146', NULL, NULL, 'PKD', NULL, 'PKD', NULL, NULL, NULL, 1),
(10220, NULL, 'cd08071', NULL, NULL, 'MPN_DUF2466', NULL, 'MPN_DUF2466', NULL, NULL, 24830, 1),
(10221, NULL, 'cd10930', NULL, NULL, 'CE4_u6', NULL, 'CE4_u6', NULL, NULL, NULL, 1),
(10222, NULL, 'cd08963', NULL, NULL, 'L-asparaginase_I', NULL, 'L-asparaginase_I', NULL, NULL, 32157, 1),
(10223, NULL, 'cd04334', NULL, NULL, 'ProRS-INS', NULL, 'ProRS-INS', NULL, NULL, NULL, 1),
(10224, NULL, 'cd11736', NULL, NULL, 'HSPA12B_like_NBD', NULL, 'HSPA12B_like_NBD', NULL, NULL, NULL, 1),
(10225, NULL, 'cd03744', NULL, NULL, 'SOCS_SSB1', NULL, 'SOCS_SSB1', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10226, NULL, 'cd18974', NULL, NULL, 'CD_POL_like', NULL, 'CD_POL_like', NULL, NULL, NULL, 1),
(10227, NULL, 'cd17311', NULL, NULL, 'PIPKc_PIP5K2C', NULL, 'PIPKc_PIP5K2C', NULL, NULL, NULL, 1),
(10228, NULL, 'cd10287', NULL, NULL, 'prolactin_2', NULL, 'prolactin_2', NULL, NULL, NULL, 1),
(10229, NULL, 'cd14054', NULL, NULL, 'STKc_BMPR2_AMHR2', NULL, 'STKc_BMPR2_AMHR2', NULL, NULL, NULL, 1),
(10230, NULL, 'cd17954', NULL, NULL, 'DEADc_DDX47', NULL, 'DEADc_DDX47', NULL, NULL, 36838, 1),
(10231, NULL, 'cd20224', NULL, NULL, 'PFM_alpha-toxin-like', NULL, 'PFM_alpha-toxin-like', NULL, NULL, NULL, 1),
(10232, NULL, 'cd10807', NULL, NULL, 'YdjC_like_3', NULL, 'YdjC_like_3', NULL, NULL, NULL, 1),
(10233, NULL, 'cd00078', NULL, NULL, 'HECTc', NULL, 'HECTc', NULL, NULL, 5972, 1),
(10234, NULL, 'cd12186', NULL, NULL, 'LDH', NULL, 'LDH', NULL, NULL, NULL, 1),
(10235, NULL, 'cd04394', NULL, NULL, 'RhoGAP-ARHGAP11A', NULL, 'RhoGAP-ARHGAP11A', NULL, NULL, NULL, 1),
(10236, NULL, 'cd07561', NULL, NULL, 'Peptidase_S41_CPP_like', NULL, 'Peptidase_S41_CPP_like', NULL, NULL, NULL, 1),
(10237, NULL, 'cd14639', NULL, NULL, 'DSP_DUSP5', NULL, 'DSP_DUSP5', NULL, NULL, NULL, 1),
(10238, NULL, 'cd05649', NULL, NULL, 'M20_ArgE_DapE-like', NULL, 'M20_ArgE_DapE-like', NULL, NULL, NULL, 1),
(10239, NULL, 'cd12780', NULL, NULL, 'RRM1_hnRNPL', NULL, 'RRM1_hnRNPL', NULL, NULL, 20874, 1),
(10240, NULL, 'cd00018', NULL, NULL, 'AP2', NULL, 'AP2', NULL, NULL, 3110, 1),
(10241, NULL, 'cd16312', NULL, NULL, 'THIN-B-like_MBL-B3', NULL, 'THIN-B-like_MBL-B3', NULL, NULL, NULL, 1),
(10242, NULL, 'cd01412', NULL, NULL, 'SIRT5_Af1_CobB', NULL, 'SIRT5_Af1_CobB', NULL, NULL, 24839, 1),
(10243, NULL, 'cd08408', NULL, NULL, 'C2B_Synaptotagmin-14_16', NULL, 'C2B_Synaptotagmin-14_16', NULL, NULL, NULL, 1),
(10244, NULL, 'cd03380', NULL, NULL, 'PAP2_like_1', NULL, 'PAP2_like_1', NULL, NULL, NULL, 1),
(10245, NULL, 'cd00740', NULL, NULL, 'MeTr', NULL, 'MeTr', NULL, NULL, NULL, 1),
(10246, NULL, 'cd12450', NULL, NULL, 'RRM1_NUCLs', NULL, 'RRM1_NUCLs', NULL, NULL, 939, 1),
(10247, NULL, 'cd06118', NULL, NULL, 'citrate_synt_like_1', NULL, 'citrate_synt_like_1', NULL, NULL, NULL, 1),
(10248, NULL, 'cd12382', NULL, NULL, 'RRM_RBMX_like', NULL, 'RRM_RBMX_like', NULL, NULL, NULL, 1),
(10249, NULL, 'cd20217', NULL, NULL, 'PFM_agglutinin-like', NULL, 'PFM_agglutinin-like', NULL, NULL, NULL, 1),
(10250, NULL, 'cd04213', NULL, NULL, 'CuRO_CcO_Caa3_II', NULL, 'CuRO_CcO_Caa3_II', NULL, NULL, 7394, 1),
(10251, NULL, 'cd10007', NULL, NULL, 'HDAC5', NULL, 'HDAC5', NULL, NULL, NULL, 1),
(10252, NULL, 'cd00925', NULL, NULL, 'Cyt_c_Oxidase_VIa', NULL, 'Cyt_c_Oxidase_VIa', NULL, NULL, 2381, 1),
(10253, NULL, 'cd00256', NULL, NULL, 'VATPase_H', NULL, 'VATPase_H', NULL, NULL, NULL, 1),
(10254, NULL, 'cd18401', NULL, NULL, 'BTB_POZ_TNFAIP1_BACURD2', NULL, 'BTB_POZ_TNFAIP1_BACURD2', NULL, NULL, NULL, 1),
(10255, NULL, 'cd09666', NULL, NULL, 'Cas8a2_I-A', NULL, 'Cas8a2_I-A', NULL, NULL, 4155, 1),
(10256, NULL, 'cd11401', NULL, NULL, 'bHLHzip_Mad', NULL, 'bHLHzip_Mad', NULL, NULL, NULL, 1),
(10257, NULL, 'cd12515', NULL, NULL, 'RRM5_RBM12_like', NULL, 'RRM5_RBM12_like', NULL, NULL, NULL, 1),
(10258, NULL, 'cd13529', NULL, NULL, 'PBP2_transferrin', NULL, 'PBP2_transferrin', NULL, NULL, NULL, 1),
(10259, NULL, 'cd17275', NULL, NULL, 'RMtype1_S_MjaORF132P-TRD1-CR1_like', NULL, 'RMtype1_S_MjaORF132P-TRD1-CR1_like', NULL, NULL, NULL, 1),
(10260, NULL, 'cd07662', NULL, NULL, 'BAR_SNX6', NULL, 'BAR_SNX6', NULL, NULL, NULL, 1),
(10261, NULL, 'cd16980', NULL, NULL, 'VHS_Lsb5', NULL, 'VHS_Lsb5', NULL, NULL, NULL, 1),
(10262, NULL, 'cd10719', NULL, NULL, 'DnaJ_zf', NULL, 'DnaJ_zf', NULL, NULL, 356, 1),
(10263, NULL, 'cd11800', NULL, NULL, 'SH3_DNMBP_C2_like', NULL, 'SH3_DNMBP_C2_like', NULL, NULL, NULL, 1),
(10264, NULL, 'cd15627', NULL, NULL, 'PHD_BAZ1A', NULL, 'PHD_BAZ1A', NULL, NULL, NULL, 1),
(10265, NULL, 'cd19114', NULL, NULL, 'AKR_AKR2C1', NULL, 'AKR_AKR2C1', NULL, NULL, NULL, 1),
(10266, NULL, 'cd01972', NULL, NULL, 'Nitrogenase_VnfE_like', NULL, 'Nitrogenase_VnfE_like', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10267, NULL, 'cd11653', NULL, NULL, 'rap1_RCT', NULL, 'rap1_RCT', NULL, NULL, NULL, 1),
(10268, NULL, 'cd11832', NULL, NULL, 'SH3_Shank', NULL, 'SH3_Shank', NULL, NULL, NULL, 1),
(10269, NULL, 'cd14932', NULL, NULL, 'MYSc_Myh18', NULL, 'MYSc_Myh18', NULL, NULL, NULL, 1),
(10270, NULL, 'cd03821', NULL, NULL, 'GT4_Bme6-like', NULL, 'GT4_Bme6-like', NULL, NULL, NULL, 1),
(10271, NULL, 'cd16783', NULL, NULL, 'mRING-HC-C2H2C4_MDM2', NULL, 'mRING-HC-C2H2C4_MDM2', NULL, NULL, 37049, 1),
(10272, NULL, 'cd16988', NULL, NULL, 'ANTH_N_YAP180', NULL, 'ANTH_N_YAP180', NULL, NULL, NULL, 1),
(10273, NULL, 'cd06304', NULL, NULL, 'PBP1_BmpA_Med_PnrA-like', NULL, 'PBP1_BmpA_Med_PnrA-like', NULL, NULL, NULL, 1),
(10274, NULL, 'cd04111', NULL, NULL, 'Rab39', NULL, 'Rab39', NULL, NULL, 32657, 1),
(10275, NULL, 'cd12708', NULL, NULL, 'RRM_RCAN1', NULL, 'RRM_RCAN1', NULL, NULL, 17903, 1),
(10276, NULL, 'cd10471', NULL, NULL, 'FAM20C_C', NULL, 'FAM20C_C', NULL, NULL, NULL, 1),
(10277, NULL, 'cd02642', NULL, NULL, 'R3H_encore_like', NULL, 'R3H_encore_like', NULL, NULL, NULL, 1),
(10278, NULL, 'cd04892', NULL, NULL, 'ACT_AK-like_2', NULL, 'ACT_AK-like_2', NULL, NULL, NULL, 1),
(10279, NULL, 'cd13847', NULL, NULL, 'CuRO_1_AAO_like_2', NULL, 'CuRO_1_AAO_like_2', NULL, NULL, NULL, 1),
(10280, NULL, 'cd09287', NULL, NULL, 'GluRS_non_core', NULL, 'GluRS_non_core', NULL, NULL, NULL, 1),
(10281, NULL, 'cd02215', NULL, NULL, 'cupin_QDO_N_C', NULL, 'cupin_QDO_N_C', NULL, NULL, NULL, 1),
(10282, NULL, 'cd18139', NULL, NULL, 'HLD_clamp_RarA', NULL, 'HLD_clamp_RarA', NULL, NULL, NULL, 1),
(10283, NULL, 'cd17176', NULL, NULL, 'FERM_F0_SHANK2', NULL, 'FERM_F0_SHANK2', NULL, NULL, NULL, 1),
(10284, NULL, 'cd06227', NULL, NULL, 'M14-CPA-like', NULL, 'M14-CPA-like', NULL, NULL, 14174, 1),
(10285, NULL, 'cd07855', NULL, NULL, 'STKc_ERK5', NULL, 'STKc_ERK5', NULL, NULL, NULL, 1),
(10286, NULL, 'cd11287', NULL, NULL, 'Sec23_C', NULL, 'Sec23_C', NULL, NULL, 35005, 1),
(10287, NULL, 'cd03383', NULL, NULL, 'PAP2_diacylglycerolkinase', NULL, 'PAP2_diacylglycerolkinase', NULL, NULL, NULL, 1),
(10288, NULL, 'cd01036', NULL, NULL, 'ClC_euk', NULL, 'ClC_euk', NULL, NULL, NULL, 1),
(10289, NULL, 'cd07972', NULL, NULL, 'OBF_DNA_ligase_Arch_LigB', NULL, 'OBF_DNA_ligase_Arch_LigB', NULL, NULL, NULL, 1),
(10290, NULL, 'cd16520', NULL, NULL, 'RING-HC_MIBs_like', NULL, 'RING-HC_MIBs_like', NULL, NULL, NULL, 1),
(10291, NULL, 'cd16950', NULL, NULL, 'HATPase_EnvZ-like', NULL, 'HATPase_EnvZ-like', NULL, NULL, NULL, 1),
(10292, NULL, 'cd15558', NULL, NULL, 'PHD_Hop1p_like', NULL, 'PHD_Hop1p_like', NULL, NULL, NULL, 1),
(10293, NULL, 'cd19002', NULL, NULL, 'LGIC_ECD_GABAAR_E', NULL, 'LGIC_ECD_GABAAR_E', NULL, NULL, NULL, 1),
(10294, NULL, 'cd00009', NULL, NULL, 'AAA', NULL, 'AAA', NULL, NULL, NULL, 1),
(10295, NULL, 'cd13654', NULL, NULL, 'PBP2_phosphate_like_2', NULL, 'PBP2_phosphate_like_2', NULL, NULL, NULL, 1),
(10296, NULL, 'cd06330', NULL, NULL, 'PBP1_As_SBP-like', NULL, 'PBP1_As_SBP-like', NULL, NULL, NULL, 1),
(10297, NULL, 'cd12432', NULL, NULL, 'RRM_ACINU', NULL, 'RRM_ACINU', NULL, NULL, 34802, 1),
(10298, NULL, 'cd16478', NULL, NULL, 'RING-H2_Rapsyn', NULL, 'RING-H2_Rapsyn', NULL, NULL, NULL, 1),
(10299, NULL, 'cd13855', NULL, NULL, 'CuRO_1_McoC_like', NULL, 'CuRO_1_McoC_like', NULL, NULL, NULL, 1),
(10300, NULL, 'cd04759', NULL, NULL, 'Rib_hydrolase', NULL, 'Rib_hydrolase', NULL, NULL, 1591, 1),
(10301, NULL, 'cd11702', NULL, NULL, 'DHR2_DOCK6', NULL, 'DHR2_DOCK6', NULL, NULL, NULL, 1),
(10302, NULL, 'cd19552', NULL, NULL, 'serpinA4_KST', NULL, 'serpinA4_KST', NULL, NULL, NULL, 1),
(10303, NULL, 'cd11583', NULL, NULL, 'Orc6_mid', NULL, 'Orc6_mid', NULL, NULL, NULL, 1),
(10304, NULL, 'cd14565', NULL, NULL, 'DSP_MKP_classI', NULL, 'DSP_MKP_classI', NULL, NULL, NULL, 1),
(10305, NULL, 'cd02008', NULL, NULL, 'TPP_IOR_alpha', NULL, 'TPP_IOR_alpha', NULL, NULL, NULL, 1),
(10306, NULL, 'cd16504', NULL, NULL, 'RING-HC_COP1', NULL, 'RING-HC_COP1', NULL, NULL, NULL, 1),
(10307, NULL, 'cd05839', NULL, NULL, 'BR140_related', NULL, 'BR140_related', NULL, NULL, 18005, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10308, NULL, 'cd12189', NULL, NULL, 'LKR_SDH_like', NULL, 'LKR_SDH_like', NULL, NULL, NULL, 1),
(10309, NULL, 'cd17238', NULL, NULL, 'FERM_F1_Radixin', NULL, 'FERM_F1_Radixin', NULL, NULL, NULL, 1),
(10310, NULL, 'cd17408', NULL, NULL, 'MFS_unc93B1', NULL, 'MFS_unc93B1', NULL, NULL, NULL, 1),
(10311, NULL, 'cd03299', NULL, NULL, 'ABC_ModC_like', NULL, 'ABC_ModC_like', NULL, NULL, NULL, 1),
(10312, NULL, 'cd08284', NULL, NULL, 'FDH_like_2', NULL, 'FDH_like_2', NULL, NULL, NULL, 1),
(10313, NULL, 'cd14097', NULL, NULL, 'STKc_STK33', NULL, 'STKc_STK33', NULL, NULL, NULL, 1),
(10314, NULL, 'cd12183', NULL, NULL, 'LDH_like_2', NULL, 'LDH_like_2', NULL, NULL, NULL, 1),
(10315, NULL, 'cd17761', NULL, NULL, 'MCM_arch', NULL, 'MCM_arch', NULL, NULL, NULL, 1),
(10316, NULL, 'cd01056', NULL, NULL, 'Euk_Ferritin', NULL, 'Euk_Ferritin', NULL, NULL, NULL, 1),
(10317, NULL, 'cd11346', NULL, NULL, 'AmyAc_plant_IsoA', NULL, 'AmyAc_plant_IsoA', NULL, NULL, 37611, 1),
(10318, NULL, 'cd19981', NULL, NULL, 'PBP1_ABC_HAAT-like', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, NULL, 1),
(10319, NULL, 'cd14594', NULL, NULL, 'PTP-MTMR12', NULL, 'PTP-MTMR12', NULL, NULL, NULL, 1),
(10320, NULL, 'cd18040', NULL, NULL, 'DEXXc_HELZ2-C', NULL, 'DEXXc_HELZ2-C', NULL, NULL, NULL, 1),
(10321, NULL, 'cd19901', NULL, NULL, 'DSRM_RBM46', NULL, 'DSRM_RBM46', NULL, NULL, 37634, 1),
(10322, NULL, 'cd04143', NULL, NULL, 'Rhes_like', NULL, 'Rhes_like', NULL, NULL, NULL, 1),
(10323, NULL, 'cd03236', NULL, NULL, 'ABC_RNaseL_inhibitor_domain1', NULL, 'ABC_RNaseL_inhibitor_domain1', NULL, NULL, 20526, 1),
(10324, NULL, 'cd05536', NULL, NULL, 'POLBc_B3', NULL, 'POLBc_B3', NULL, NULL, NULL, 1),
(10325, NULL, 'cd14080', NULL, NULL, 'STKc_TSSK-like', NULL, 'STKc_TSSK-like', NULL, NULL, NULL, 1),
(10326, NULL, 'cd07015', NULL, NULL, 'Clp_protease_NfeD', NULL, 'Clp_protease_NfeD', NULL, NULL, 33375, 1),
(10327, NULL, 'cd08533', NULL, NULL, 'SAM_PNT-ETS-1,2', NULL, 'SAM_PNT-ETS-1,2', NULL, NULL, NULL, 1),
(10328, NULL, 'cd07642', NULL, NULL, 'BAR_ASAP2', NULL, 'BAR_ASAP2', NULL, NULL, NULL, 1),
(10329, NULL, 'cd06864', NULL, NULL, 'PX_SNX4', NULL, 'PX_SNX4', NULL, NULL, 33688, 1),
(10330, NULL, 'cd01999', NULL, NULL, 'Argininosuccinate_Synthase', NULL, 'Argininosuccinate_Synthase', NULL, NULL, 16289, 1),
(10331, NULL, 'cd04662', NULL, NULL, 'Nudix_Hydrolase_5', NULL, 'Nudix_Hydrolase_5', NULL, NULL, NULL, 1),
(10332, NULL, 'cd05797', NULL, NULL, 'Ribosomal_L10', NULL, 'Ribosomal_L10', NULL, NULL, 4283, 1),
(10333, NULL, 'cd00044', NULL, NULL, 'CysPc', NULL, 'CysPc', NULL, NULL, 2109, 1),
(10334, NULL, 'cd06183', NULL, NULL, 'cyt_b5_reduct_like', NULL, 'cyt_b5_reduct_like', NULL, NULL, NULL, 1),
(10335, NULL, 'cd16081', NULL, NULL, 'TSPcc_insect', NULL, 'TSPcc_insect', NULL, NULL, NULL, 1),
(10336, NULL, 'cd17307', NULL, NULL, 'PIPKc_PIP5K1B', NULL, 'PIPKc_PIP5K1B', NULL, NULL, NULL, 1),
(10337, NULL, 'cd16366', NULL, NULL, 'FDH_beta_like', NULL, 'FDH_beta_like', NULL, NULL, NULL, 1),
(10338, NULL, 'cd06142', NULL, NULL, 'RNaseD_exo', NULL, 'RNaseD_exo', NULL, NULL, NULL, 1),
(10339, NULL, 'cd05704', NULL, NULL, 'S1_Rrp5_repeat_hs13', NULL, 'S1_Rrp5_repeat_hs13', NULL, NULL, NULL, 1),
(10340, NULL, 'cd05487', NULL, NULL, 'renin_like', NULL, 'renin_like', NULL, NULL, 10335, 1),
(10341, NULL, 'cd09762', NULL, NULL, 'HSDL2_SDR_c', NULL, 'HSDL2_SDR_c', NULL, NULL, NULL, 1),
(10342, NULL, 'cd00825', NULL, NULL, 'decarbox_cond_enzymes', NULL, 'decarbox_cond_enzymes', NULL, NULL, NULL, 1),
(10343, NULL, 'cd02189', NULL, NULL, 'delta_zeta_tubulin-like', NULL, 'delta_zeta_tubulin-like', NULL, NULL, NULL, 1),
(10344, NULL, 'cd15285', NULL, NULL, '7tmC_mGluR_group1', NULL, '7tmC_mGluR_group1', NULL, NULL, NULL, 1),
(10345, NULL, 'cd17159', NULL, NULL, 'DCX4_DCDC5', NULL, 'DCX4_DCDC5', NULL, NULL, NULL, 1),
(10346, NULL, 'cd08664', NULL, NULL, 'APC10-HERC2', NULL, 'APC10-HERC2', NULL, NULL, 34554, 1),
(10347, NULL, 'cd16946', NULL, NULL, 'HATPase_BaeS-like', NULL, 'HATPase_BaeS-like', NULL, NULL, NULL, 1),
(10348, NULL, 'cd17395', NULL, NULL, 'MFS_MFSD4', NULL, 'MFS_MFSD4', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10349, NULL, 'cd07418', NULL, NULL, 'MPP_PP7', NULL, 'MPP_PP7', NULL, NULL, 33235, 1),
(10350, NULL, 'cd17563', NULL, NULL, 'REC_RegA-like', NULL, 'REC_RegA-like', NULL, NULL, NULL, 1),
(10351, NULL, 'cd13137', NULL, NULL, 'MATE_NorM_like', NULL, 'MATE_NorM_like', NULL, NULL, NULL, 1),
(10352, NULL, 'cd17101', NULL, NULL, 'FERM_F1_PTPN13_like', NULL, 'FERM_F1_PTPN13_like', NULL, NULL, NULL, 1),
(10353, NULL, 'cd19563', NULL, NULL, 'serpinB3_B4_SCCA1_2', NULL, 'serpinB3_B4_SCCA1_2', NULL, NULL, NULL, 1),
(10354, NULL, 'cd09146', NULL, NULL, 'PLDc_vPLD5_1', NULL, 'PLDc_vPLD5_1', NULL, NULL, NULL, 1),
(10355, NULL, 'cd09934', NULL, NULL, 'SH2_Tec_family', NULL, 'SH2_Tec_family', NULL, NULL, NULL, 1),
(10356, NULL, 'cd09276', NULL, NULL, 'Rnase_HI_RT_non_LTR', NULL, 'Rnase_HI_RT_non_LTR', NULL, NULL, NULL, 1),
(10357, NULL, 'cd00213', NULL, NULL, 'S-100', NULL, 'S-100', NULL, NULL, 198, 1),
(10358, NULL, 'cd00757', NULL, NULL, 'ThiF_MoeB_HesA_family', NULL, 'ThiF_MoeB_HesA_family', NULL, NULL, NULL, 1),
(10359, NULL, 'cd08472', NULL, NULL, 'PBP2_CrgA_like_3', NULL, 'PBP2_CrgA_like_3', NULL, NULL, NULL, 1),
(10360, NULL, 'cd12319', NULL, NULL, 'RRM4_MRD1', NULL, 'RRM4_MRD1', NULL, NULL, NULL, 1),
(10361, NULL, 'cd10424', NULL, NULL, 'GST_C_9', NULL, 'GST_C_9', NULL, NULL, NULL, 1),
(10362, NULL, 'cd18662', NULL, NULL, 'CD2_tandem_CHD3-4_like', NULL, 'CD2_tandem_CHD3-4_like', NULL, NULL, NULL, 1),
(10363, NULL, 'cd10428', NULL, NULL, 'LFG_like', NULL, 'LFG_like', NULL, NULL, NULL, 1),
(10364, NULL, 'cd18478', NULL, NULL, 'BACK_KLHL42_KLHDC5', NULL, 'BACK_KLHL42_KLHDC5', NULL, NULL, 37961, 1),
(10365, NULL, 'cd01821', NULL, NULL, 'Rhamnogalacturan_acetylesterase_like', NULL, 'Rhamnogalacturan_acetylesterase_like', NULL, NULL, 32850, 1),
(10366, NULL, 'cd09932', NULL, NULL, 'SH2_C-SH2_PLC_gamma_like', NULL, 'SH2_C-SH2_PLC_gamma_like', NULL, NULL, 20772, 1),
(10367, NULL, 'cd17388', NULL, NULL, 'MFS_TetA', NULL, 'MFS_TetA', NULL, NULL, NULL, 1),
(10368, NULL, 'cd14563', NULL, NULL, 'PTP_auxilin_N', NULL, 'PTP_auxilin_N', NULL, NULL, NULL, 1),
(10369, NULL, 'cd18442', NULL, NULL, 'BRCT_polymerase_mu', NULL, 'BRCT_polymerase_mu', NULL, NULL, NULL, 1),
(10370, NULL, 'cd14005', NULL, NULL, 'STKc_PIM', NULL, 'STKc_PIM', NULL, NULL, NULL, 1),
(10371, NULL, 'cd00517', NULL, NULL, 'ATPS', NULL, 'ATPS', NULL, NULL, 2503, 1),
(10372, NULL, 'cd04872', NULL, NULL, 'ACT_1ZPV', NULL, 'ACT_1ZPV', NULL, NULL, 15474, 1),
(10373, NULL, 'cd03486', NULL, NULL, 'MutL_Trans_MLH3', NULL, 'MutL_Trans_MLH3', NULL, NULL, NULL, 1),
(10374, NULL, 'cd03063', NULL, NULL, 'TRX_Fd_FDH_beta', NULL, 'TRX_Fd_FDH_beta', NULL, NULL, NULL, 1),
(10375, NULL, 'cd06280', NULL, NULL, 'PBP1_LacI-like', NULL, 'PBP1_LacI-like', NULL, NULL, NULL, 1),
(10376, NULL, 'cd02770', NULL, NULL, 'MopB_DmsA-EC', NULL, 'MopB_DmsA-EC', NULL, NULL, NULL, 1),
(10377, NULL, 'cd12556', NULL, NULL, 'RRM2_RBM15B', NULL, 'RRM2_RBM15B', NULL, NULL, 373, 1),
(10378, NULL, 'cd20480', NULL, NULL, 'ArgR-Cyc_NRPS-like', NULL, 'ArgR-Cyc_NRPS-like', NULL, NULL, NULL, 1),
(10379, NULL, 'cd04439', NULL, NULL, 'DEP_1_P-Rex', NULL, 'DEP_1_P-Rex', NULL, NULL, 29962, 1),
(10380, NULL, 'cd12521', NULL, NULL, 'RRM3_MRN1', NULL, 'RRM3_MRN1', NULL, NULL, NULL, 1),
(10381, NULL, 'cd00412', NULL, NULL, 'pyrophosphatase', NULL, 'pyrophosphatase', NULL, NULL, 7493, 1),
(10382, NULL, 'cd08517', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_13', NULL, 'PBP2_NikA_DppA_OppA_like_13', NULL, NULL, NULL, 1),
(10383, NULL, 'cd16263', NULL, NULL, 'BipA_III', NULL, 'BipA_III', NULL, NULL, NULL, 1),
(10384, NULL, 'cd01106', NULL, NULL, 'HTH_TipAL-Mta', NULL, 'HTH_TipAL-Mta', NULL, NULL, NULL, 1),
(10385, NULL, 'cd16924', NULL, NULL, 'HATPase_YpdA-YehU-LytS-like', NULL, 'HATPase_YpdA-YehU-LytS-like', NULL, NULL, NULL, 1),
(10386, NULL, 'cd07706', NULL, NULL, 'IgV_TCR_delta', NULL, 'IgV_TCR_delta', NULL, NULL, NULL, 1),
(10387, NULL, 'cd21512', NULL, NULL, 'cv_gamma-delta_Nsp2_IBV-like', NULL, 'cv_gamma-delta_Nsp2_IBV-like', NULL, NULL, 38132, 1),
(10388, NULL, 'cd12511', NULL, NULL, 'RRM2_RBM12_like', NULL, 'RRM2_RBM12_like', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10389, NULL, 'cd11998', NULL, NULL, 'SH3_PACSIN1-2', NULL, 'SH3_PACSIN1-2', NULL, NULL, 30055, 1),
(10390, NULL, 'cd18925', NULL, NULL, 'bHLHzip_TFEC', NULL, 'bHLHzip_TFEC', NULL, NULL, NULL, 1),
(10391, NULL, 'sd00003', NULL, NULL, 'TSP3_1C', NULL, 'TSP3_1C', NULL, NULL, NULL, 1),
(10392, NULL, 'cd19076', NULL, NULL, 'AKR_AKR13A_13D', NULL, 'AKR_AKR13A_13D', NULL, NULL, NULL, 1),
(10393, NULL, 'cd11534', NULL, NULL, 'NTP-PPase_HisIE_like', NULL, 'NTP-PPase_HisIE_like', NULL, NULL, 7243, 1),
(10394, NULL, 'cd02612', NULL, NULL, 'HAD_PGPPase', NULL, 'HAD_PGPPase', NULL, NULL, NULL, 1),
(10395, NULL, 'cd11327', NULL, NULL, 'AmyAc_Glg_debranch_2', NULL, 'AmyAc_Glg_debranch_2', NULL, NULL, 22704, 1),
(10396, NULL, 'cd11825', NULL, NULL, 'SH3_PLCgamma', NULL, 'SH3_PLCgamma', NULL, NULL, NULL, 1),
(10397, NULL, 'cd08450', NULL, NULL, 'PBP2_HcaR', NULL, 'PBP2_HcaR', NULL, NULL, NULL, 1),
(10398, NULL, 'cd15645', NULL, NULL, 'PHD_FXL19', NULL, 'PHD_FXL19', NULL, NULL, NULL, 1),
(10399, NULL, 'cd18048', NULL, NULL, 'DEADc_DDX25', NULL, 'DEADc_DDX25', NULL, NULL, NULL, 1),
(10400, NULL, 'cd11258', NULL, NULL, 'Sema_4C', NULL, 'Sema_4C', NULL, NULL, NULL, 1),
(10401, NULL, 'cd16218', NULL, NULL, 'EFh_PI-PLCdelta3', NULL, 'EFh_PI-PLCdelta3', NULL, NULL, 33800, 1),
(10402, NULL, 'cd07463', NULL, NULL, 'CRD_FZ9', NULL, 'CRD_FZ9', NULL, NULL, 32561, 1),
(10403, NULL, 'cd08908', NULL, NULL, 'START_STARD12-like', NULL, 'START_STARD12-like', NULL, NULL, NULL, 1),
(10404, NULL, 'cd14909', NULL, NULL, 'MYSc_Myh1_insects_crustaceans', NULL, 'MYSc_Myh1_insects_crustaceans', NULL, NULL, NULL, 1),
(10405, NULL, 'cd13726', NULL, NULL, 'PBP2_iGluR_AMPA_GluR2', NULL, 'PBP2_iGluR_AMPA_GluR2', NULL, NULL, NULL, 1),
(10406, NULL, 'cd05076', NULL, NULL, 'PTK_Tyk2_rpt1', NULL, 'PTK_Tyk2_rpt1', NULL, NULL, NULL, 1),
(10407, NULL, 'cd11436', NULL, NULL, 'bHLH-PAS_AhR', NULL, 'bHLH-PAS_AhR', NULL, NULL, NULL, 1),
(10408, NULL, 'cd01640', NULL, NULL, 'IPPase', NULL, 'IPPase', NULL, NULL, NULL, 1),
(10409, NULL, 'cd06942', NULL, NULL, 'NR_LBD_Sex_1_like', NULL, 'NR_LBD_Sex_1_like', NULL, NULL, NULL, 1),
(10410, NULL, 'cd09627', NULL, NULL, 'DOMON_murB_like', NULL, 'DOMON_murB_like', NULL, NULL, NULL, 1),
(10411, NULL, 'cd17470', NULL, NULL, 'T3SS_Flik_C', NULL, 'T3SS_Flik_C', NULL, NULL, NULL, 1),
(10412, NULL, 'cd18069', NULL, NULL, 'DEXHc_ARIP4', NULL, 'DEXHc_ARIP4', NULL, NULL, 38796, 1),
(10413, NULL, 'cd07256', NULL, NULL, 'HPCD_C_class_II', NULL, 'HPCD_C_class_II', NULL, NULL, NULL, 1),
(10414, NULL, 'cd14947', NULL, NULL, 'NBR1_like', NULL, 'NBR1_like', NULL, NULL, 25734, 1),
(10415, NULL, 'cd17595', NULL, NULL, 'REC_TrxB', NULL, 'REC_TrxB', NULL, NULL, NULL, 1),
(10416, NULL, 'cd18343', NULL, NULL, 'BTB_POZ_SPOPL', NULL, 'BTB_POZ_SPOPL', NULL, NULL, NULL, 1),
(10417, NULL, 'cd07640', NULL, NULL, 'BAR_ASAP3', NULL, 'BAR_ASAP3', NULL, NULL, NULL, 1),
(10418, NULL, 'cd14634', NULL, NULL, 'R-PTPc-T-2', NULL, 'R-PTPc-T-2', NULL, NULL, NULL, 1),
(10419, NULL, 'cd02237', NULL, NULL, 'cupin_DAD_ChrR', NULL, 'cupin_DAD_ChrR', NULL, NULL, NULL, 1),
(10420, NULL, 'cd14766', NULL, NULL, 'CeGLB25-like', NULL, 'CeGLB25-like', NULL, NULL, NULL, 1),
(10421, NULL, 'cd16815', NULL, NULL, 'RING-HC_RNF40', NULL, 'RING-HC_RNF40', NULL, NULL, NULL, 1),
(10422, NULL, 'cd03171', NULL, NULL, 'SORL_Dfx_classI', NULL, 'SORL_Dfx_classI', NULL, NULL, NULL, 1),
(10423, NULL, 'cd18056', NULL, NULL, 'DEXHc_CHD4', NULL, 'DEXHc_CHD4', NULL, NULL, NULL, 1),
(10424, NULL, 'cd19930', NULL, NULL, 'REC_DesR-like', NULL, 'REC_DesR-like', NULL, NULL, NULL, 1),
(10425, NULL, 'cd05254', NULL, NULL, 'dTDP_HR_like_SDR_e', NULL, 'dTDP_HR_like_SDR_e', NULL, NULL, NULL, 1),
(10426, NULL, 'cd01107', NULL, NULL, 'HTH_BmrR', NULL, 'HTH_BmrR', NULL, NULL, NULL, 1),
(10427, NULL, 'cd19786', NULL, NULL, 'Bbox2_TRIM46_C-I', NULL, 'Bbox2_TRIM46_C-I', NULL, NULL, NULL, 1),
(10428, NULL, 'cd11715', NULL, NULL, 'THUMP_AdoMetMT', NULL, 'THUMP_AdoMetMT', NULL, NULL, NULL, 1),
(10429, NULL, 'cd03011', NULL, NULL, 'TlpA_like_ScsD_MtbDsbE', NULL, 'TlpA_like_ScsD_MtbDsbE', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10430, NULL, 'cd18631', NULL, NULL, 'CD_HP1_like', NULL, 'CD_HP1_like', NULL, NULL, NULL, 1),
(10431, NULL, 'cd08385', NULL, NULL, 'C2A_Synaptotagmin-1-5-6-9-10', NULL, 'C2A_Synaptotagmin-1-5-6-9-10', NULL, NULL, NULL, 1),
(10432, NULL, 'cd13135', NULL, NULL, 'MATE_like_9', NULL, 'MATE_like_9', NULL, NULL, NULL, 1),
(10433, NULL, 'cd16794', NULL, NULL, 'dRING_RMD5A', NULL, 'dRING_RMD5A', NULL, NULL, 29518, 1),
(10434, NULL, 'cd06577', NULL, NULL, 'PASTA_pknB', NULL, 'PASTA_pknB', NULL, NULL, NULL, 1),
(10435, NULL, 'cd07219', NULL, NULL, 'Pat_PNPLA1', NULL, 'Pat_PNPLA1', NULL, NULL, 30326, 1),
(10436, NULL, 'cd13113', NULL, NULL, 'Wnt', NULL, 'Wnt', NULL, NULL, NULL, 1),
(10437, NULL, 'cd16016', NULL, NULL, 'AP-SPAP', NULL, 'AP-SPAP', NULL, NULL, 21951, 1),
(10438, NULL, 'cd07863', NULL, NULL, 'STKc_CDK4', NULL, 'STKc_CDK4', NULL, NULL, NULL, 1),
(10439, NULL, 'cd02685', NULL, NULL, 'MIT_C', NULL, 'MIT_C', NULL, NULL, 25908, 1),
(10440, NULL, 'cd09641', NULL, NULL, 'Cas3''''_I', NULL, 'Cas3''''_I', NULL, NULL, NULL, 1),
(10441, NULL, 'cd12357', NULL, NULL, 'RRM_PPARGC1A_like', NULL, 'RRM_PPARGC1A_like', NULL, NULL, NULL, 1),
(10442, NULL, 'cd07246', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(10443, NULL, 'cd18378', NULL, NULL, 'BTB_POZ_Kv2_KCNB', NULL, 'BTB_POZ_Kv2_KCNB', NULL, NULL, NULL, 1),
(10444, NULL, 'cd13854', NULL, NULL, 'CuRO_1_MaLCC_like', NULL, 'CuRO_1_MaLCC_like', NULL, NULL, NULL, 1),
(10445, NULL, 'cd04254', NULL, NULL, 'AAK_UMPK-PyrH-Ec', NULL, 'AAK_UMPK-PyrH-Ec', NULL, NULL, 8990, 1),
(10446, NULL, 'cd05147', NULL, NULL, 'RIO1_euk', NULL, 'RIO1_euk', NULL, NULL, NULL, 1),
(10447, NULL, 'cd04115', NULL, NULL, 'Rab33B_Rab33A', NULL, 'Rab33B_Rab33A', NULL, NULL, 32671, 1),
(10448, NULL, 'cd16354', NULL, NULL, 'BAT', NULL, 'BAT', NULL, NULL, NULL, 1),
(10449, NULL, 'cd13565', NULL, NULL, 'PBP2_PstS', NULL, 'PBP2_PstS', NULL, NULL, NULL, 1),
(10450, NULL, 'cd08242', NULL, NULL, 'MDR_like', NULL, 'MDR_like', NULL, NULL, NULL, 1),
(10451, NULL, 'cd09018', NULL, NULL, 'DEDDy_polA_RNaseD_like_exo', NULL, 'DEDDy_polA_RNaseD_like_exo', NULL, NULL, NULL, 1),
(10452, NULL, 'cd15361', NULL, NULL, '7tmA_LGR4', NULL, '7tmA_LGR4', NULL, NULL, NULL, 1),
(10453, NULL, 'cd00367', NULL, NULL, 'PTS-HPr_like', NULL, 'PTS-HPr_like', NULL, NULL, 3372, 1),
(10454, NULL, 'cd09574', NULL, NULL, 'SAM_STIM2', NULL, 'SAM_STIM2', NULL, NULL, 33220, 1),
(10455, NULL, 'cd11570', NULL, NULL, 'FAT-like_NEDD9_C', NULL, 'FAT-like_NEDD9_C', NULL, NULL, NULL, 1),
(10456, NULL, 'cd12317', NULL, NULL, 'RRM4_RBM19_RRM3_MRD1', NULL, 'RRM4_RBM19_RRM3_MRD1', NULL, NULL, NULL, 1),
(10457, NULL, 'cd18612', NULL, NULL, 'GH130_Lin0857-like', NULL, 'GH130_Lin0857-like', NULL, NULL, NULL, 1),
(10458, NULL, 'cd03233', NULL, NULL, 'ABCG_PDR_domain1', NULL, 'ABCG_PDR_domain1', NULL, NULL, 10241, 1),
(10459, NULL, 'cd00259', NULL, NULL, 'STNV', NULL, 'STNV', NULL, NULL, 2965, 1),
(10460, NULL, 'cd15826', NULL, NULL, 'SPRY_PRY_TRIM15', NULL, 'SPRY_PRY_TRIM15', NULL, NULL, NULL, 1),
(10461, NULL, 'cd11336', NULL, NULL, 'AmyAc_MTSase', NULL, 'AmyAc_MTSase', NULL, NULL, 10451, 1),
(10462, NULL, 'cd04091', NULL, NULL, 'mtEFG1_II_like', NULL, 'mtEFG1_II_like', NULL, NULL, NULL, 1),
(10463, NULL, 'cd15267', NULL, NULL, '7tmB1_GCGR', NULL, '7tmB1_GCGR', NULL, NULL, NULL, 1),
(10464, NULL, 'cd15436', NULL, NULL, '7tmB2_Latrophilin', NULL, '7tmB2_Latrophilin', NULL, NULL, NULL, 1),
(10465, NULL, 'cd10426', NULL, NULL, 'Ephrin-B_Ectodomain', NULL, 'Ephrin-B_Ectodomain', NULL, NULL, 34193, 1),
(10466, NULL, 'cd15157', NULL, NULL, '7tmA_CysLTR2', NULL, '7tmA_CysLTR2', NULL, NULL, NULL, 1),
(10467, NULL, 'cd05228', NULL, NULL, 'AR_FR_like_1_SDR_e', NULL, 'AR_FR_like_1_SDR_e', NULL, NULL, NULL, 1),
(10468, NULL, 'cd04155', NULL, NULL, 'Arl3', NULL, 'Arl3', NULL, NULL, NULL, 1),
(10469, NULL, 'cd03415', NULL, NULL, 'CbiX_CbiC', NULL, 'CbiX_CbiC', NULL, NULL, NULL, 1),
(10470, NULL, 'cd04269', NULL, NULL, 'ZnMc_adamalysin_II_like', NULL, 'ZnMc_adamalysin_II_like', NULL, NULL, 14828, 1),
(10471, NULL, 'cd02201', NULL, NULL, 'FtsZ_type1', NULL, 'FtsZ_type1', NULL, NULL, 1808, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10472, NULL, 'cd05922', NULL, NULL, 'FACL_like_6', NULL, 'FACL_like_6', NULL, NULL, NULL, 1),
(10473, NULL, 'cd18417', NULL, NULL, 'BTB_POZ_KCND1', NULL, 'BTB_POZ_KCND1', NULL, NULL, NULL, 1),
(10474, NULL, 'cd17287', NULL, NULL, 'RMtype1_S_EcoN10ORF171P_TRD2-CR2_like', NULL, 'RMtype1_S_EcoN10ORF171P_TRD2-CR2_like', NULL, NULL, NULL, 1),
(10475, NULL, 'cd08747', NULL, NULL, 'RGS_GRK2_GRK3', NULL, 'RGS_GRK2_GRK3', NULL, NULL, NULL, 1),
(10476, NULL, 'cd07538', NULL, NULL, 'P-type_ATPase', NULL, 'P-type_ATPase', NULL, NULL, NULL, 1),
(10477, NULL, 'cd16673', NULL, NULL, 'RING-H2_RNF6', NULL, 'RING-H2_RNF6', NULL, NULL, NULL, 1),
(10478, NULL, 'cd16681', NULL, NULL, 'RING-H2_RNF111', NULL, 'RING-H2_RNF111', NULL, NULL, NULL, 1),
(10479, NULL, 'cd10144', NULL, NULL, 'Peptidase_S74_CIMCD', NULL, 'Peptidase_S74_CIMCD', NULL, NULL, NULL, 1),
(10480, NULL, 'cd09586', NULL, NULL, 'SAM_USH1G', NULL, 'SAM_USH1G', NULL, NULL, 36384, 1),
(10481, NULL, 'cd05045', NULL, NULL, 'PTKc_RET', NULL, 'PTKc_RET', NULL, NULL, NULL, 1),
(10482, NULL, 'cd09600', NULL, NULL, 'M1_APN', NULL, 'M1_APN', NULL, NULL, NULL, 1),
(10483, NULL, 'cd07282', NULL, NULL, 'PX_SNX2', NULL, 'PX_SNX2', NULL, NULL, 33792, 1),
(10484, NULL, 'cd05234', NULL, NULL, 'UDP_G4E_2_SDR_e', NULL, 'UDP_G4E_2_SDR_e', NULL, NULL, NULL, 1),
(10485, NULL, 'cd15715', NULL, NULL, 'ePHD_JMJD2C', NULL, 'ePHD_JMJD2C', NULL, NULL, NULL, 1),
(10486, NULL, 'cd11732', NULL, NULL, 'HSP105-110_like_NBD', NULL, 'HSP105-110_like_NBD', NULL, NULL, NULL, 1),
(10487, NULL, 'cd12639', NULL, NULL, 'RRM3_CELF3_4_5_6', NULL, 'RRM3_CELF3_4_5_6', NULL, NULL, NULL, 1),
(10488, NULL, 'cd01788', NULL, NULL, 'Ubl_ElonginB', NULL, 'Ubl_ElonginB', NULL, NULL, NULL, 1),
(10489, NULL, 'cd18801', NULL, NULL, 'SF2_C_FANCM_Hef', NULL, 'SF2_C_FANCM_Hef', NULL, NULL, NULL, 1),
(10490, NULL, 'cd07956', NULL, NULL, 'Anticodon_Ia_Arg', NULL, 'Anticodon_Ia_Arg', NULL, NULL, NULL, 1),
(10491, NULL, 'cd12658', NULL, NULL, 'RRM1_MYEF2', NULL, 'RRM1_MYEF2', NULL, NULL, 11646, 1),
(10492, NULL, 'cd01609', NULL, NULL, 'RNAP_beta''_N', NULL, 'RNAP_beta''_N', NULL, NULL, NULL, 1),
(10493, NULL, 'cd02174', NULL, NULL, 'CCT', NULL, 'CCT', NULL, NULL, 32215, 1),
(10494, NULL, 'cd12890', NULL, NULL, 'SPRY_PRY_TRIM16', NULL, 'SPRY_PRY_TRIM16', NULL, NULL, NULL, 1),
(10495, NULL, 'cd03892', NULL, NULL, 'M20_peptT', NULL, 'M20_peptT', NULL, NULL, NULL, 1),
(10496, NULL, 'cd15154', NULL, NULL, '7tmA_LPAR5', NULL, '7tmA_LPAR5', NULL, NULL, NULL, 1),
(10497, NULL, 'cd08706', NULL, NULL, 'RGS_R12-like', NULL, 'RGS_R12-like', NULL, NULL, NULL, 1),
(10498, NULL, 'cd02211', NULL, NULL, 'cupin_UGlyAH_N', NULL, 'cupin_UGlyAH_N', NULL, NULL, 37624, 1),
(10499, NULL, 'cd20278', NULL, NULL, 'Minion', NULL, 'Minion', NULL, NULL, NULL, 1),
(10500, NULL, 'cd12825', NULL, NULL, 'EcCorA-like', NULL, 'EcCorA-like', NULL, NULL, NULL, 1),
(10501, NULL, 'cd05522', NULL, NULL, 'Bromo_Rsc1_2_II', NULL, 'Bromo_Rsc1_2_II', NULL, NULL, NULL, 1),
(10502, NULL, 'cd06310', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(10503, NULL, 'cd03228', NULL, NULL, 'ABCC_MRP_Like', NULL, 'ABCC_MRP_Like', NULL, NULL, NULL, 1),
(10504, NULL, 'cd03302', NULL, NULL, 'Adenylsuccinate_lyase_2', NULL, 'Adenylsuccinate_lyase_2', NULL, NULL, NULL, 1),
(10505, NULL, 'cd18491', NULL, NULL, 'BACK_ABTB2_like', NULL, 'BACK_ABTB2_like', NULL, NULL, NULL, 1),
(10506, NULL, 'cd06356', NULL, NULL, 'PBP1_amide_urea_BP-like', NULL, 'PBP1_amide_urea_BP-like', NULL, NULL, NULL, 1),
(10507, NULL, 'cd07111', NULL, NULL, 'ALDH_F16', NULL, 'ALDH_F16', NULL, NULL, NULL, 1),
(10508, NULL, 'cd00915', NULL, NULL, 'MD-1_MD-2', NULL, 'MD-1_MD-2', NULL, NULL, NULL, 1),
(10509, NULL, 'cd02419', NULL, NULL, 'Peptidase_C39C', NULL, 'Peptidase_C39C', NULL, NULL, 34513, 1),
(10510, NULL, 'cd08936', NULL, NULL, 'CR_SDR_c', NULL, 'CR_SDR_c', NULL, NULL, NULL, 1),
(10511, NULL, 'cd16497', NULL, NULL, 'RING-HC_BAR', NULL, 'RING-HC_BAR', NULL, NULL, NULL, 1),
(10512, NULL, 'cd16392', NULL, NULL, 'toxin-ParB', NULL, 'toxin-ParB', NULL, NULL, 35780, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10513, NULL, 'cd12228', NULL, NULL, 'RRM_ENOX', NULL, 'RRM_ENOX', NULL, NULL, 10553, 1),
(10514, NULL, 'cd17340', NULL, NULL, 'MFS_MFSD1', NULL, 'MFS_MFSD1', NULL, NULL, NULL, 1),
(10515, NULL, 'cd03392', NULL, NULL, 'PAP2_like_2', NULL, 'PAP2_like_2', NULL, NULL, NULL, 1),
(10516, NULL, 'cd17364', NULL, NULL, 'MFS_PhT', NULL, 'MFS_PhT', NULL, NULL, NULL, 1),
(10517, NULL, 'cd10979', NULL, NULL, 'CE4_PuuE_like', NULL, 'CE4_PuuE_like', NULL, NULL, NULL, 1),
(10518, NULL, 'cd18604', NULL, NULL, 'ABC_6TM_VMR1_D2_like', NULL, 'ABC_6TM_VMR1_D2_like', NULL, NULL, NULL, 1),
(10519, NULL, 'cd15884', NULL, NULL, 'SNARE_SNAP23C', NULL, 'SNARE_SNAP23C', NULL, NULL, NULL, 1),
(10520, NULL, 'cd18712', NULL, NULL, 'PIN_VapC-like_DUF411', NULL, 'PIN_VapC-like_DUF411', NULL, NULL, NULL, 1),
(10521, NULL, 'cd03421', NULL, NULL, 'SirA_like_N', NULL, 'SirA_like_N', NULL, NULL, NULL, 1),
(10522, NULL, 'cd14668', NULL, NULL, 'mlta_B', NULL, 'mlta_B', NULL, NULL, NULL, 1),
(10523, NULL, 'cd16139', NULL, NULL, 'RA_GRB14', NULL, 'RA_GRB14', NULL, NULL, NULL, 1),
(10524, NULL, 'cd09350', NULL, NULL, 'LIM1_TRIP6', NULL, 'LIM1_TRIP6', NULL, NULL, NULL, 1),
(10525, NULL, 'cd14994', NULL, NULL, '7tmA_GPR141', NULL, '7tmA_GPR141', NULL, NULL, NULL, 1),
(10526, NULL, 'cd00611', NULL, NULL, 'PSAT_like', NULL, 'PSAT_like', NULL, NULL, 15760, 1),
(10527, NULL, 'cd10376', NULL, NULL, 'SH2_STAT5', NULL, 'SH2_STAT5', NULL, NULL, NULL, 1),
(10528, NULL, 'cd15039', NULL, NULL, '7tmB3_Methuselah-like', NULL, '7tmB3_Methuselah-like', NULL, NULL, NULL, 1),
(10529, NULL, 'cd00041', NULL, NULL, 'CUB', NULL, 'CUB', NULL, NULL, 3196, 1),
(10530, NULL, 'cd07137', NULL, NULL, 'ALDH_F3FHI', NULL, 'ALDH_F3FHI', NULL, NULL, NULL, 1),
(10531, NULL, 'cd15091', NULL, NULL, '7tmA_Kappa_opioid_R', NULL, '7tmA_Kappa_opioid_R', NULL, NULL, NULL, 1),
(10532, NULL, 'cd02801', NULL, NULL, 'DUS_like_FMN', NULL, 'DUS_like_FMN', NULL, NULL, 31948, 1),
(10533, NULL, 'cd00540', NULL, NULL, 'AAG', NULL, 'AAG', NULL, NULL, 2807, 1),
(10534, NULL, 'cd07233', NULL, NULL, 'GlxI_Zn', NULL, 'GlxI_Zn', NULL, NULL, NULL, 1),
(10535, NULL, 'cd13962', NULL, NULL, 'PT_UbiA_UBIAD1', NULL, 'PT_UbiA_UBIAD1', NULL, NULL, 21964, 1),
(10536, NULL, 'cd11013', NULL, NULL, 'Plantacyanin', NULL, 'Plantacyanin', NULL, NULL, 33213, 1),
(10537, NULL, 'cd08867', NULL, NULL, 'START_STARD4_5_6-like', NULL, 'START_STARD4_5_6-like', NULL, NULL, NULL, 1),
(10538, NULL, 'cd17168', NULL, NULL, 'FERM_F1_FRMPD1', NULL, 'FERM_F1_FRMPD1', NULL, NULL, NULL, 1),
(10539, NULL, 'cd14108', NULL, NULL, 'STKc_SPEG_rpt1', NULL, 'STKc_SPEG_rpt1', NULL, NULL, NULL, 1),
(10540, NULL, 'cd01555', NULL, NULL, 'UdpNAET', NULL, 'UdpNAET', NULL, NULL, 4727, 1),
(10541, NULL, 'cd14535', NULL, NULL, 'PTP-MTM1-like', NULL, 'PTP-MTM1-like', NULL, NULL, NULL, 1),
(10542, NULL, 'cd11826', NULL, NULL, 'SH3_Abi', NULL, 'SH3_Abi', NULL, NULL, NULL, 1),
(10543, NULL, 'cd16564', NULL, NULL, 'RING-HC_RNF222', NULL, 'RING-HC_RNF222', NULL, NULL, NULL, 1),
(10544, NULL, 'cd19917', NULL, NULL, 'RsmI_like', NULL, 'RsmI_like', NULL, NULL, NULL, 1),
(10545, NULL, 'cd11851', NULL, NULL, 'SH3_RIM-BP', NULL, 'SH3_RIM-BP', NULL, NULL, NULL, 1),
(10546, NULL, 'cd16093', NULL, NULL, 'IgC_CH2_Mu', NULL, 'IgC_CH2_Mu', NULL, NULL, NULL, 1),
(10547, NULL, 'cd18691', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(10548, NULL, 'cd04110', NULL, NULL, 'Rab35', NULL, 'Rab35', NULL, NULL, 32502, 1),
(10549, NULL, 'cd16339', NULL, NULL, 'CpcS', NULL, 'CpcS', NULL, NULL, NULL, 1),
(10550, NULL, 'cd06240', NULL, NULL, 'M14-like', NULL, 'M14-like', NULL, NULL, NULL, 1),
(10551, NULL, 'cd11890', NULL, NULL, 'MIA', NULL, 'MIA', NULL, NULL, NULL, 1),
(10552, NULL, 'cd14180', NULL, NULL, 'STKc_MSK2_C', NULL, 'STKc_MSK2_C', NULL, NULL, NULL, 1),
(10553, NULL, 'cd18346', NULL, NULL, 'BTB_POZ_BTBD1', NULL, 'BTB_POZ_BTBD1', NULL, NULL, NULL, 1),
(10554, NULL, 'cd15637', NULL, NULL, 'PHD_dPYGO', NULL, 'PHD_dPYGO', NULL, NULL, NULL, 1),
(10555, NULL, 'cd03806', NULL, NULL, 'GT4_ALG11-like', NULL, 'GT4_ALG11-like', NULL, NULL, 30186, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10556, NULL, 'cd07674', NULL, NULL, 'F-BAR_FCHO1', NULL, 'F-BAR_FCHO1', NULL, NULL, 36722, 1),
(10557, NULL, 'cd17290', NULL, NULL, 'RMtype1_S_AleSS8ORF2795P_TRD1-CR1_like', NULL, 'RMtype1_S_AleSS8ORF2795P_TRD1-CR1_like', NULL, NULL, NULL, 1),
(10558, NULL, 'cd11302', NULL, NULL, 'O-FucT-1', NULL, 'O-FucT-1', NULL, NULL, 32790, 1),
(10559, NULL, 'cd11490', NULL, NULL, 'SLC5sbd_SGLT6', NULL, 'SLC5sbd_SGLT6', NULL, NULL, NULL, 1),
(10560, NULL, 'cd04146', NULL, NULL, 'RERG_RasL11_like', NULL, 'RERG_RasL11_like', NULL, NULL, NULL, 1),
(10561, NULL, 'cd09625', NULL, NULL, 'DOMON_like_cytochrome', NULL, 'DOMON_like_cytochrome', NULL, NULL, NULL, 1),
(10562, NULL, 'cd08709', NULL, NULL, 'RGS_RGS2', NULL, 'RGS_RGS2', NULL, NULL, NULL, 1),
(10563, NULL, 'cd09881', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(10564, NULL, 'cd14330', NULL, NULL, 'UBA_atDRM2_like', NULL, 'UBA_atDRM2_like', NULL, NULL, NULL, 1),
(10565, NULL, 'cd09444', NULL, NULL, 'LIM_Mical_like_1', NULL, 'LIM_Mical_like_1', NULL, NULL, NULL, 1),
(10566, NULL, 'cd12734', NULL, NULL, 'RRM3_hnRNPH_hnRNPH2_hnRNPF', NULL, 'RRM3_hnRNPH_hnRNPH2_hnRNPF', NULL, NULL, NULL, 1),
(10567, NULL, 'cd05915', NULL, NULL, 'ttLC_FACS_like', NULL, 'ttLC_FACS_like', NULL, NULL, NULL, 1),
(10568, NULL, 'cd01031', NULL, NULL, 'EriC', NULL, 'EriC', NULL, NULL, NULL, 1),
(10569, NULL, 'cd11639', NULL, NULL, 'HR1_ROCK1', NULL, 'HR1_ROCK1', NULL, NULL, 29632, 1),
(10570, NULL, 'cd13580', NULL, NULL, 'PBP2_AlgQ_like_1', NULL, 'PBP2_AlgQ_like_1', NULL, NULL, NULL, 1),
(10571, NULL, 'cd02182', NULL, NULL, 'GH16_Strep_laminarinase_like', NULL, 'GH16_Strep_laminarinase_like', NULL, NULL, NULL, 1),
(10572, NULL, 'cd05090', NULL, NULL, 'PTKc_Ror1', NULL, 'PTKc_Ror1', NULL, NULL, NULL, 1),
(10573, NULL, 'cd07812', NULL, NULL, 'SRPBCC', NULL, 'SRPBCC', NULL, NULL, NULL, 1),
(10574, NULL, 'cd18552', NULL, NULL, 'ABC_6TM_MsbA_like', NULL, 'ABC_6TM_MsbA_like', NULL, NULL, NULL, 1),
(10575, NULL, 'cd06467', NULL, NULL, 'p23_NUDC_like', NULL, 'p23_NUDC_like', NULL, NULL, NULL, 1),
(10576, NULL, 'cd14247', NULL, NULL, 'Lmo2686_like', NULL, 'Lmo2686_like', NULL, NULL, 31550, 1),
(10577, NULL, 'cd07394', NULL, NULL, 'MPP_Vps29', NULL, 'MPP_Vps29', NULL, NULL, 23713, 1),
(10578, NULL, 'cd16249', NULL, NULL, 'EFh_DTNA', NULL, 'EFh_DTNA', NULL, NULL, NULL, 1),
(10579, NULL, 'cd16468', NULL, NULL, 'RING-H2_RNF11', NULL, 'RING-H2_RNF11', NULL, NULL, 37320, 1),
(10580, NULL, 'cd11458', NULL, NULL, 'bHLHzip_c-Myc', NULL, 'bHLHzip_c-Myc', NULL, NULL, NULL, 1),
(10581, NULL, 'cd12962', NULL, NULL, 'X25_BaPul_like', NULL, 'X25_BaPul_like', NULL, NULL, NULL, 1),
(10582, NULL, 'cd15047', NULL, NULL, '7tmC_GABA-B-like', NULL, '7tmC_GABA-B-like', NULL, NULL, NULL, 1),
(10583, NULL, 'cd05466', NULL, NULL, 'PBP2_LTTR_substrate', NULL, 'PBP2_LTTR_substrate', NULL, NULL, NULL, 1),
(10584, NULL, 'cd00498', NULL, NULL, 'Hsp33', NULL, 'Hsp33', NULL, NULL, 4656, 1),
(10585, NULL, 'cd14205', NULL, NULL, 'PTKc_Jak2_rpt2', NULL, 'PTKc_Jak2_rpt2', NULL, NULL, 29005, 1),
(10586, NULL, 'cd02043', NULL, NULL, 'serpinP_plants', NULL, 'serpinP_plants', NULL, NULL, NULL, 1),
(10587, NULL, 'cd15415', NULL, NULL, '7tmA_OR5J-like', NULL, '7tmA_OR5J-like', NULL, NULL, NULL, 1),
(10588, NULL, 'cd07107', NULL, NULL, 'ALDH_PhdK-like', NULL, 'ALDH_PhdK-like', NULL, NULL, NULL, 1),
(10589, NULL, 'cd13629', NULL, NULL, 'PBP2_Dsm1740', NULL, 'PBP2_Dsm1740', NULL, NULL, NULL, 1),
(10590, NULL, 'cd19753', NULL, NULL, 'Mb-like_oxidoreductase', NULL, 'Mb-like_oxidoreductase', NULL, NULL, NULL, 1),
(10591, NULL, 'cd07211', NULL, NULL, 'Pat_PNPLA8', NULL, 'Pat_PNPLA8', NULL, NULL, 38622, 1),
(10592, NULL, 'cd15121', NULL, NULL, '7tmA_LTB4R1', NULL, '7tmA_LTB4R1', NULL, NULL, NULL, 1),
(10593, NULL, 'cd07886', NULL, NULL, 'RHD-n_RelB', NULL, 'RHD-n_RelB', NULL, NULL, NULL, 1),
(10594, NULL, 'cd15470', NULL, NULL, 'Myo5_CBD', NULL, 'Myo5_CBD', NULL, NULL, NULL, 1),
(10595, NULL, 'cd11750', NULL, NULL, 'GH94N_like_3', NULL, 'GH94N_like_3', NULL, NULL, NULL, 1),
(10596, NULL, 'cd09667', NULL, NULL, 'Csb2_I-U', NULL, 'Csb2_I-U', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10597, NULL, 'cd16934', NULL, NULL, 'HATPase_RsbT-like', NULL, 'HATPase_RsbT-like', NULL, NULL, NULL, 1),
(10598, NULL, 'cd08358', NULL, NULL, 'GLOD4_N', NULL, 'GLOD4_N', NULL, NULL, NULL, 1),
(10599, NULL, 'cd12915', NULL, NULL, 'PDC2_DGC_like', NULL, 'PDC2_DGC_like', NULL, NULL, NULL, 1),
(10600, NULL, 'cd18344', NULL, NULL, 'BTB_POZ_TDPOZ', NULL, 'BTB_POZ_TDPOZ', NULL, NULL, NULL, 1),
(10601, NULL, 'cd02906', NULL, NULL, 'Macro_1', NULL, 'Macro_1', NULL, NULL, 35808, 1),
(10602, NULL, 'cd14399', NULL, NULL, 'UBA_PLICs', NULL, 'UBA_PLICs', NULL, NULL, NULL, 1),
(10603, NULL, 'cd15178', NULL, NULL, '7tmA_CXCR1_2', NULL, '7tmA_CXCR1_2', NULL, NULL, NULL, 1),
(10604, NULL, 'cd04051', NULL, NULL, 'C2_SRC2_like', NULL, 'C2_SRC2_like', NULL, NULL, 36725, 1),
(10605, NULL, 'cd04433', NULL, NULL, 'AFD_class_I', NULL, 'AFD_class_I', NULL, NULL, NULL, 1),
(10606, NULL, 'cd13696', NULL, NULL, 'PBP2_Atu4678_like', NULL, 'PBP2_Atu4678_like', NULL, NULL, NULL, 1),
(10607, NULL, 'cd15853', NULL, NULL, 'SNARE_Bet1', NULL, 'SNARE_Bet1', NULL, NULL, 36485, 1),
(10608, NULL, 'cd18722', NULL, NULL, 'PIN_NicB-like', NULL, 'PIN_NicB-like', NULL, NULL, NULL, 1),
(10609, NULL, 'cd14091', NULL, NULL, 'STKc_RSK_C', NULL, 'STKc_RSK_C', NULL, NULL, NULL, 1),
(10610, NULL, 'cd14232', NULL, NULL, 'GAT_LSB5', NULL, 'GAT_LSB5', NULL, NULL, 37918, 1),
(10611, NULL, 'cd01804', NULL, NULL, 'Ubl_midnolin', NULL, 'Ubl_midnolin', NULL, NULL, NULL, 1),
(10612, NULL, 'cd01108', NULL, NULL, 'HTH_CueR', NULL, 'HTH_CueR', NULL, NULL, 13310, 1),
(10613, NULL, 'cd02176', NULL, NULL, 'GH16_XET', NULL, 'GH16_XET', NULL, NULL, 15986, 1),
(10614, NULL, 'cd18291', NULL, NULL, 'BTB_POZ_BTBD16', NULL, 'BTB_POZ_BTBD16', NULL, NULL, NULL, 1),
(10615, NULL, 'cd13689', NULL, NULL, 'PBP2_BsGlnH', NULL, 'PBP2_BsGlnH', NULL, NULL, NULL, 1),
(10616, NULL, 'cd19154', NULL, NULL, 'AKR_AKR1G1_CeAKR', NULL, 'AKR_AKR1G1_CeAKR', NULL, NULL, NULL, 1),
(10617, NULL, 'cd02032', NULL, NULL, 'Bchl-like', NULL, 'Bchl-like', NULL, NULL, NULL, 1),
(10618, NULL, 'cd05645', NULL, NULL, 'M20_peptidase_T', NULL, 'M20_peptidase_T', NULL, NULL, NULL, 1),
(10619, NULL, 'cd04967', NULL, NULL, 'Ig1_Contactin', NULL, 'Ig1_Contactin', NULL, NULL, NULL, 1),
(10620, NULL, 'cd08550', NULL, NULL, 'GlyDH-like', NULL, 'GlyDH-like', NULL, NULL, NULL, 1),
(10621, NULL, 'cd09236', NULL, NULL, 'V_AnPalA_UmRIM20_like', NULL, 'V_AnPalA_UmRIM20_like', NULL, NULL, NULL, 1),
(10622, NULL, 'cd08718', NULL, NULL, 'RGS_RZ-like', NULL, 'RGS_RZ-like', NULL, NULL, NULL, 1),
(10623, NULL, 'cd13750', NULL, NULL, 'TGF_beta_GDNF_like', NULL, 'TGF_beta_GDNF_like', NULL, NULL, NULL, 1),
(10624, NULL, 'cd13310', NULL, NULL, 'PH_RalGPS1_2', NULL, 'PH_RalGPS1_2', NULL, NULL, NULL, 1),
(10625, NULL, 'cd04709', NULL, NULL, 'BAH_MTA', NULL, 'BAH_MTA', NULL, NULL, NULL, 1),
(10626, NULL, 'cd18493', NULL, NULL, 'BACK_BTBD17', NULL, 'BACK_BTBD17', NULL, NULL, NULL, 1),
(10627, NULL, 'cd14915', NULL, NULL, 'MYSc_Myh4', NULL, 'MYSc_Myh4', NULL, NULL, NULL, 1),
(10628, NULL, 'cd16913', NULL, NULL, 'YkuD_like', NULL, 'YkuD_like', NULL, NULL, 772, 1),
(10629, NULL, 'cd08934', NULL, NULL, 'CAD_SDR_c', NULL, 'CAD_SDR_c', NULL, NULL, NULL, 1),
(10630, NULL, 'cd16498', NULL, NULL, 'RING-HC_BRCA1', NULL, 'RING-HC_BRCA1', NULL, NULL, NULL, 1),
(10631, NULL, 'cd04178', NULL, NULL, 'Nucleostemin_like', NULL, 'Nucleostemin_like', NULL, NULL, NULL, 1),
(10632, NULL, 'cd12340', NULL, NULL, 'RBD_RRM1_NPL3', NULL, 'RBD_RRM1_NPL3', NULL, NULL, 3020, 1),
(10633, NULL, 'cd11387', NULL, NULL, 'bHLHzip_USF_MITF', NULL, 'bHLHzip_USF_MITF', NULL, NULL, NULL, 1),
(10634, NULL, 'cd15383', NULL, NULL, '7tmA_GnRHR_vertebrate', NULL, '7tmA_GnRHR_vertebrate', NULL, NULL, NULL, 1),
(10635, NULL, 'cd08693', NULL, NULL, 'C2_PI3K_class_I_beta_delta', NULL, 'C2_PI3K_class_I_beta_delta', NULL, NULL, NULL, 1),
(10636, NULL, 'cd18591', NULL, NULL, 'ABC_6TM_SUR1_D1_like', NULL, 'ABC_6TM_SUR1_D1_like', NULL, NULL, NULL, 1),
(10637, NULL, 'cd18932', NULL, NULL, 'bHLHzip_Mad3', NULL, 'bHLHzip_Mad3', NULL, NULL, NULL, 1),
(10638, NULL, 'cd02883', NULL, NULL, 'Nudix_Hydrolase', NULL, 'Nudix_Hydrolase', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10639, NULL, 'cd18508', NULL, NULL, 'BACK_KEL_like', NULL, 'BACK_KEL_like', NULL, NULL, NULL, 1),
(10640, NULL, 'cd08045', NULL, NULL, 'TAF4', NULL, 'TAF4', NULL, NULL, 3061, 1),
(10641, NULL, 'cd08925', NULL, NULL, 'Hb-beta-like', NULL, 'Hb-beta-like', NULL, NULL, 6669, 1),
(10642, NULL, 'cd19453', NULL, NULL, 'lipocalin_NP2', NULL, 'lipocalin_NP2', NULL, NULL, NULL, 1),
(10643, NULL, 'cd08351', NULL, NULL, 'ChaP_like', NULL, 'ChaP_like', NULL, NULL, NULL, 1),
(10644, NULL, 'cd21406', NULL, NULL, '1B_nv_SF1_Hel-like', NULL, '1B_nv_SF1_Hel-like', NULL, NULL, NULL, 1),
(10645, NULL, 'cd05687', NULL, NULL, 'S1_RPS1_repeat_ec1_hs1', NULL, 'S1_RPS1_repeat_ec1_hs1', NULL, NULL, NULL, 1),
(10646, NULL, 'cd05829', NULL, NULL, 'Sortase_F', NULL, 'Sortase_F', NULL, NULL, 33150, 1),
(10647, NULL, 'cd17360', NULL, NULL, 'MFS_HMIT_like', NULL, 'MFS_HMIT_like', NULL, NULL, NULL, 1),
(10648, NULL, 'cd18965', NULL, NULL, 'chromodomain', NULL, 'chromodomain', NULL, NULL, NULL, 1),
(10649, NULL, 'cd20226', NULL, NULL, 'PFM_Cry51Aa-like', NULL, 'PFM_Cry51Aa-like', NULL, NULL, NULL, 1),
(10650, NULL, 'cd06102', NULL, NULL, 'citrate_synt_like_2', NULL, 'citrate_synt_like_2', NULL, NULL, NULL, 1),
(10651, NULL, 'cd13333', NULL, NULL, 'FERM_C_JAK2', NULL, 'FERM_C_JAK2', NULL, NULL, 32241, 1),
(10652, NULL, 'cd08572', NULL, NULL, 'GDPD_GDE5_like', NULL, 'GDPD_GDE5_like', NULL, NULL, NULL, 1),
(10653, NULL, 'cd11265', NULL, NULL, 'Sema_5C', NULL, 'Sema_5C', NULL, NULL, NULL, 1),
(10654, NULL, 'cd13680', NULL, NULL, 'PBP2_TRAP_SBP_like_4', NULL, 'PBP2_TRAP_SBP_like_4', NULL, NULL, NULL, 1),
(10655, NULL, 'cd14948', NULL, NULL, 'BACON', NULL, 'BACON', NULL, NULL, 24904, 1),
(10656, NULL, 'cd21569', NULL, NULL, 'SARS-like-CoV_M', NULL, 'SARS-like-CoV_M', NULL, NULL, 38518, 1),
(10657, NULL, 'cd04597', NULL, NULL, 'CBS_pair_inorgPPase', NULL, 'CBS_pair_inorgPPase', NULL, NULL, NULL, 1),
(10658, NULL, 'cd12361', NULL, NULL, 'RRM1_2_CELF1-6_like', NULL, 'RRM1_2_CELF1-6_like', NULL, NULL, NULL, 1),
(10659, NULL, 'cd07936', NULL, NULL, 'SCAN', NULL, 'SCAN', NULL, NULL, 1170, 1),
(10660, NULL, 'cd08819', NULL, NULL, 'CARD_MDA5_r2', NULL, 'CARD_MDA5_r2', NULL, NULL, NULL, 1),
(10661, NULL, 'cd09401', NULL, NULL, 'LIM_TLP_like', NULL, 'LIM_TLP_like', NULL, NULL, NULL, 1),
(10662, NULL, 'cd19064', NULL, NULL, 'LGIC_TM_nAChR', NULL, 'LGIC_TM_nAChR', NULL, NULL, NULL, 1),
(10663, NULL, 'cd04246', NULL, NULL, 'AAK_AK-DapG-like', NULL, 'AAK_AK-DapG-like', NULL, NULL, NULL, 1),
(10664, NULL, 'cd16229', NULL, NULL, 'EFh_CREC_RCN1', NULL, 'EFh_CREC_RCN1', NULL, NULL, NULL, 1),
(10665, NULL, 'cd01168', NULL, NULL, 'adenosine_kinase', NULL, 'adenosine_kinase', NULL, NULL, NULL, 1),
(10666, NULL, 'cd01936', NULL, NULL, 'Ntn_CA', NULL, 'Ntn_CA', NULL, NULL, NULL, 1),
(10667, NULL, 'cd01393', NULL, NULL, 'recA_like', NULL, 'recA_like', NULL, NULL, NULL, 1),
(10668, NULL, 'cd12686', NULL, NULL, 'RRM1_PTBPH1_PTBPH2', NULL, 'RRM1_PTBPH1_PTBPH2', NULL, NULL, 35275, 1),
(10669, NULL, 'cd17246', NULL, NULL, 'RMtype1_S_SonII-TRD2-CR2_like', NULL, 'RMtype1_S_SonII-TRD2-CR2_like', NULL, NULL, NULL, 1),
(10670, NULL, 'cd11634', NULL, NULL, 'HR1_Rhophilin-2', NULL, 'HR1_Rhophilin-2', NULL, NULL, NULL, 1),
(10671, NULL, 'cd11714', NULL, NULL, 'GINS_A_archaea', NULL, 'GINS_A_archaea', NULL, NULL, NULL, 1),
(10672, NULL, 'cd08445', NULL, NULL, 'PBP2_BenM_CatM_CatR', NULL, 'PBP2_BenM_CatM_CatR', NULL, NULL, NULL, 1),
(10673, NULL, 'cd16808', NULL, NULL, 'RING_CH-C4HC3_MARCH2', NULL, 'RING_CH-C4HC3_MARCH2', NULL, NULL, NULL, 1),
(10674, NULL, 'cd06349', NULL, NULL, 'PBP1_ABC_HAAT-like', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, NULL, 1),
(10675, NULL, 'cd15160', NULL, NULL, '7tmA_Proton-sensing_R', NULL, '7tmA_Proton-sensing_R', NULL, NULL, NULL, 1),
(10676, NULL, 'cd14661', NULL, NULL, 'Imelysin_like_PIBO', NULL, 'Imelysin_like_PIBO', NULL, NULL, NULL, 1),
(10677, NULL, 'cd11622', NULL, NULL, 'HR1_PKN_1', NULL, 'HR1_PKN_1', NULL, NULL, 29748, 1),
(10678, NULL, 'cd19430', NULL, NULL, 'lipocalin_trichosorin-like', NULL, 'lipocalin_trichosorin-like', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10679, NULL, 'cd21644', NULL, NULL, 'batCoV-HKU9_NS7b', NULL, 'batCoV-HKU9_NS7b', NULL, NULL, 38989, 1),
(10680, NULL, 'cd19537', NULL, NULL, 'C_NRPS-like', NULL, 'C_NRPS-like', NULL, NULL, NULL, 1),
(10681, NULL, 'cd18938', NULL, NULL, 'bHLH_TS_Mesp', NULL, 'bHLH_TS_Mesp', NULL, NULL, NULL, 1),
(10682, NULL, 'cd17390', NULL, NULL, 'MFS_MFSD9', NULL, 'MFS_MFSD9', NULL, NULL, NULL, 1),
(10683, NULL, 'cd06134', NULL, NULL, 'RNaseT', NULL, 'RNaseT', NULL, NULL, 1330, 1),
(10684, NULL, 'cd12914', NULL, NULL, 'PDC1_DGC_like', NULL, 'PDC1_DGC_like', NULL, NULL, NULL, 1),
(10685, NULL, 'cd07716', NULL, NULL, 'RNaseZ_short-form-like_MBL-fold', NULL, 'RNaseZ_short-form-like_MBL-fold', NULL, NULL, NULL, 1),
(10686, NULL, 'cd07400', NULL, NULL, 'MPP_1', NULL, 'MPP_1', NULL, NULL, NULL, 1),
(10687, NULL, 'cd08301', NULL, NULL, 'alcohol_DH_plants', NULL, 'alcohol_DH_plants', NULL, NULL, NULL, 1),
(10688, NULL, 'cd05532', NULL, NULL, 'POLBc_alpha', NULL, 'POLBc_alpha', NULL, NULL, 38558, 1),
(10689, NULL, 'cd12804', NULL, NULL, 'AKAP10_AKB', NULL, 'AKAP10_AKB', NULL, NULL, 35108, 1),
(10690, NULL, 'cd11895', NULL, NULL, 'SH3_FCHSD1_2', NULL, 'SH3_FCHSD1_2', NULL, NULL, NULL, 1),
(10691, NULL, 'cd18608', NULL, NULL, 'GH43_F5-8_typeC-like', NULL, 'GH43_F5-8_typeC-like', NULL, NULL, NULL, 1),
(10692, NULL, 'cd13769', NULL, NULL, 'ApoLp-III_like', NULL, 'ApoLp-III_like', NULL, NULL, NULL, 1),
(10693, NULL, 'cd17146', NULL, NULL, 'DCX1_RP1L1', NULL, 'DCX1_RP1L1', NULL, NULL, NULL, 1),
(10694, NULL, 'cd16699', NULL, NULL, 'RING_CH-C4HC3_MARCH2_like', NULL, 'RING_CH-C4HC3_MARCH2_like', NULL, NULL, NULL, 1),
(10695, NULL, 'cd16163', NULL, NULL, 'OCRE_RBM6', NULL, 'OCRE_RBM6', NULL, NULL, 31311, 1),
(10696, NULL, 'cd07249', NULL, NULL, 'MMCE', NULL, 'MMCE', NULL, NULL, 21850, 1),
(10697, NULL, 'cd12056', NULL, NULL, 'SH3_CD2AP_3', NULL, 'SH3_CD2AP_3', NULL, NULL, 34016, 1),
(10698, NULL, 'cd17365', NULL, NULL, 'MFS_PcaK_like', NULL, 'MFS_PcaK_like', NULL, NULL, NULL, 1),
(10699, NULL, 'cd14832', NULL, NULL, 'AP4_sigma', NULL, 'AP4_sigma', NULL, NULL, NULL, 1),
(10700, NULL, 'cd04589', NULL, NULL, 'CBS_pair_CAP-ED_NT_Pol-beta-like_DUF294_assoc', NULL, 'CBS_pair_CAP-ED_NT_Pol-beta-like_DUF294_assoc', NULL, NULL, NULL, 1),
(10701, NULL, 'cd13832', NULL, NULL, 'IHF', NULL, 'IHF', NULL, NULL, NULL, 1),
(10702, NULL, 'cd08753', NULL, NULL, 'RGS_PDZRhoGEF', NULL, 'RGS_PDZRhoGEF', NULL, NULL, 34854, 1),
(10703, NULL, 'cd11752', NULL, NULL, 'GH94N_CDP_like', NULL, 'GH94N_CDP_like', NULL, NULL, NULL, 1),
(10704, NULL, 'cd09464', NULL, NULL, 'LIM2_LIMK1', NULL, 'LIM2_LIMK1', NULL, NULL, NULL, 1),
(10705, NULL, 'cd12157', NULL, NULL, 'PTDH', NULL, 'PTDH', NULL, NULL, NULL, 1),
(10706, NULL, 'cd03230', NULL, NULL, 'ABC_DR_subfamily_A', NULL, 'ABC_DR_subfamily_A', NULL, NULL, NULL, 1),
(10707, NULL, 'cd16252', NULL, NULL, 'EFh_calglandulin_like', NULL, 'EFh_calglandulin_like', NULL, NULL, NULL, 1),
(10708, NULL, 'cd05880', NULL, NULL, 'Ig_EVA1', NULL, 'Ig_EVA1', NULL, NULL, NULL, 1),
(10709, NULL, 'cd07978', NULL, NULL, 'TAF13', NULL, 'TAF13', NULL, NULL, 4864, 1),
(10710, NULL, 'cd06647', NULL, NULL, 'STKc_PAK_I', NULL, 'STKc_PAK_I', NULL, NULL, NULL, 1),
(10711, NULL, 'cd08545', NULL, NULL, 'YcnI_like', NULL, 'YcnI_like', NULL, NULL, 12766, 1),
(10712, NULL, 'cd13745', NULL, NULL, 'SPRY_PRY_TRIM39', NULL, 'SPRY_PRY_TRIM39', NULL, NULL, 31770, 1),
(10713, NULL, 'cd19815', NULL, NULL, 'Bbox1_HOIP', NULL, 'Bbox1_HOIP', NULL, NULL, NULL, 1),
(10714, NULL, 'cd19840', NULL, NULL, 'Bbox1_TRIM29', NULL, 'Bbox1_TRIM29', NULL, NULL, NULL, 1),
(10715, NULL, 'cd04745', NULL, NULL, 'LbH_paaY_like', NULL, 'LbH_paaY_like', NULL, NULL, NULL, 1),
(10716, NULL, 'cd03204', NULL, NULL, 'GST_C_GDAP1_like', NULL, 'GST_C_GDAP1_like', NULL, NULL, NULL, 1),
(10717, NULL, 'cd01539', NULL, NULL, 'PBP1_GGBP', NULL, 'PBP1_GGBP', NULL, NULL, 38330, 1),
(10718, NULL, 'cd08178', NULL, NULL, 'AAD_C', NULL, 'AAD_C', NULL, NULL, 11720, 1),
(10719, NULL, 'cd18701', NULL, NULL, 'PIN_VapC_like', NULL, 'PIN_VapC_like', NULL, NULL, NULL, 1),
(10720, NULL, 'cd01598', NULL, NULL, 'PurB', NULL, 'PurB', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10721, NULL, 'cd17059', NULL, NULL, 'Ubl_OTU1', NULL, 'Ubl_OTU1', NULL, NULL, NULL, 1),
(10722, NULL, 'cd09213', NULL, NULL, 'Luminal_IRE1_like', NULL, 'Luminal_IRE1_like', NULL, NULL, NULL, 1),
(10723, NULL, 'cd05213', NULL, NULL, 'NAD_bind_Glutamyl_tRNA_reduct', NULL, 'NAD_bind_Glutamyl_tRNA_reduct', NULL, NULL, NULL, 1),
(10724, NULL, 'cd04801', NULL, NULL, 'CBS_pair_peptidase_M50', NULL, 'CBS_pair_peptidase_M50', NULL, NULL, NULL, 1),
(10725, NULL, 'cd06161', NULL, NULL, 'S2P-M50_SpoIVFB', NULL, 'S2P-M50_SpoIVFB', NULL, NULL, NULL, 1),
(10726, NULL, 'cd04923', NULL, NULL, 'ACT_AK-LysC-DapG-like_2', NULL, 'ACT_AK-LysC-DapG-like_2', NULL, NULL, NULL, 1),
(10727, NULL, 'cd01335', NULL, NULL, 'Radical_SAM', NULL, 'Radical_SAM', NULL, NULL, NULL, 1),
(10728, NULL, 'cd14272', NULL, NULL, 'UBA_AMPK-RKs', NULL, 'UBA_AMPK-RKs', NULL, NULL, NULL, 1),
(10729, NULL, 'cd09443', NULL, NULL, 'LIM_Ltd-1', NULL, 'LIM_Ltd-1', NULL, NULL, NULL, 1),
(10730, NULL, 'cd17777', NULL, NULL, 'CBS_arch_repeat1', NULL, 'CBS_arch_repeat1', NULL, NULL, NULL, 1),
(10731, NULL, 'cd06297', NULL, NULL, 'PBP1_CcpA_TTHA0807', NULL, 'PBP1_CcpA_TTHA0807', NULL, NULL, NULL, 1),
(10732, NULL, 'cd09080', NULL, NULL, 'TDP2', NULL, 'TDP2', NULL, NULL, NULL, 1),
(10733, NULL, 'cd17028', NULL, NULL, 'T3SC_IA_SycE_Scc1-like', NULL, 'T3SC_IA_SycE_Scc1-like', NULL, NULL, NULL, 1),
(10734, NULL, 'cd08583', NULL, NULL, 'PI-PLCc_GDPD_SF_unchar1', NULL, 'PI-PLCc_GDPD_SF_unchar1', NULL, NULL, NULL, 1),
(10735, NULL, 'cd14995', NULL, NULL, '7tmA_TRH-R', NULL, '7tmA_TRH-R', NULL, NULL, NULL, 1),
(10736, NULL, 'cd21473', NULL, NULL, 'cv_Nsp4_TM', NULL, 'cv_Nsp4_TM', NULL, NULL, 37793, 1),
(10737, NULL, 'cd05533', NULL, NULL, 'POLBc_delta', NULL, 'POLBc_delta', NULL, NULL, NULL, 1),
(10738, NULL, 'cd12301', NULL, NULL, 'RRM1_2_PAR10_like', NULL, 'RRM1_2_PAR10_like', NULL, NULL, NULL, 1),
(10739, NULL, 'cd18314', NULL, NULL, 'BTB_POZ_trishanku-like', NULL, 'BTB_POZ_trishanku-like', NULL, NULL, NULL, 1),
(10740, NULL, 'cd15411', NULL, NULL, '7tmA_OR8H-like', NULL, '7tmA_OR8H-like', NULL, NULL, NULL, 1),
(10741, NULL, 'cd06107', NULL, NULL, 'EcCS_AthCS-per_like', NULL, 'EcCS_AthCS-per_like', NULL, NULL, NULL, 1),
(10742, NULL, 'cd18082', NULL, NULL, 'SpoU-like_family', NULL, 'SpoU-like_family', NULL, NULL, NULL, 1),
(10743, NULL, 'cd02520', NULL, NULL, 'Glucosylceramide_synthase', NULL, 'Glucosylceramide_synthase', NULL, NULL, NULL, 1),
(10744, NULL, 'cd06124', NULL, NULL, 'cupin_NimR-like_N', NULL, 'cupin_NimR-like_N', NULL, NULL, NULL, 1),
(10745, NULL, 'cd09012', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(10746, NULL, 'cd03113', NULL, NULL, 'CTPS_N', NULL, 'CTPS_N', NULL, NULL, 18533, 1),
(10747, NULL, 'cd01662', NULL, NULL, 'Ubiquinol_Oxidase_I', NULL, 'Ubiquinol_Oxidase_I', NULL, NULL, NULL, 1),
(10748, NULL, 'cd09107', NULL, NULL, 'PLDc_vPLD3_4_5_like_2', NULL, 'PLDc_vPLD3_4_5_like_2', NULL, NULL, NULL, 1),
(10749, NULL, 'cd10161', NULL, NULL, 'CsoR-like_DUF156_4', NULL, 'CsoR-like_DUF156_4', NULL, NULL, NULL, 1),
(10750, NULL, 'cd03893', NULL, NULL, 'M20_Dipept_like', NULL, 'M20_Dipept_like', NULL, NULL, NULL, 1),
(10751, NULL, 'cd05564', NULL, NULL, 'PTS_IIB_chitobiose_lichenan', NULL, 'PTS_IIB_chitobiose_lichenan', NULL, NULL, NULL, 1),
(10752, NULL, 'cd05713', NULL, NULL, 'Ig_MOG_like', NULL, 'Ig_MOG_like', NULL, NULL, NULL, 1),
(10753, NULL, 'cd09736', NULL, NULL, 'Csy2_I-F', NULL, 'Csy2_I-F', NULL, NULL, NULL, 1),
(10754, NULL, 'cd20313', NULL, NULL, 'DSRM_DND1', NULL, 'DSRM_DND1', NULL, NULL, 37652, 1),
(10755, NULL, 'cd03050', NULL, NULL, 'GST_N_Theta', NULL, 'GST_N_Theta', NULL, NULL, 29529, 1),
(10756, NULL, 'cd13692', NULL, NULL, 'PBP2_BztA', NULL, 'PBP2_BztA', NULL, NULL, NULL, 1),
(10757, NULL, 'cd11234', NULL, NULL, 'E_set_GDE_N', NULL, 'E_set_GDE_N', NULL, NULL, NULL, 1),
(10758, NULL, 'cd12105', NULL, NULL, 'HmuY', NULL, 'HmuY', NULL, NULL, 25930, 1),
(10759, NULL, 'cd03762', NULL, NULL, 'proteasome_beta_type_6', NULL, 'proteasome_beta_type_6', NULL, NULL, NULL, 1),
(10760, NULL, 'cd02025', NULL, NULL, 'PanK', NULL, 'PanK', NULL, NULL, 716, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10761, NULL, 'cd03002', NULL, NULL, 'PDI_a_MPD1_like', NULL, 'PDI_a_MPD1_like', NULL, NULL, NULL, 1),
(10762, NULL, 'cd07419', NULL, NULL, 'MPP_Bsu1_C', NULL, 'MPP_Bsu1_C', NULL, NULL, 33289, 1),
(10763, NULL, 'cd05702', NULL, NULL, 'S1_Rrp5_repeat_hs11_sc8', NULL, 'S1_Rrp5_repeat_hs11_sc8', NULL, NULL, NULL, 1),
(10764, NULL, 'cd08743', NULL, NULL, 'RGS_RGS14', NULL, 'RGS_RGS14', NULL, NULL, 34612, 1),
(10765, NULL, 'cd12060', NULL, NULL, 'SH3_alphaPIX', NULL, 'SH3_alphaPIX', NULL, NULL, 35015, 1),
(10766, NULL, 'cd00225', NULL, NULL, 'API3', NULL, 'API3', NULL, NULL, NULL, 1),
(10767, NULL, 'cd13702', NULL, NULL, 'PBP2_mlr5654_like', NULL, 'PBP2_mlr5654_like', NULL, NULL, NULL, 1),
(10768, NULL, 'cd09099', NULL, NULL, 'INPP5c_Synj2', NULL, 'INPP5c_Synj2', NULL, NULL, NULL, 1),
(10769, NULL, 'cd10811', NULL, NULL, 'GH38N_AMII_Epman_like', NULL, 'GH38N_AMII_Epman_like', NULL, NULL, NULL, 1),
(10770, NULL, 'cd07474', NULL, NULL, 'Peptidases_S8_subtilisin_Vpr-like', NULL, 'Peptidases_S8_subtilisin_Vpr-like', NULL, NULL, 31357, 1),
(10771, NULL, 'cd03138', NULL, NULL, 'GATase1_AraC_2', NULL, 'GATase1_AraC_2', NULL, NULL, NULL, 1),
(10772, NULL, 'cd16770', NULL, NULL, 'RING-HC_UHRF2', NULL, 'RING-HC_UHRF2', NULL, NULL, NULL, 1),
(10773, NULL, 'cd06308', NULL, NULL, 'PBP1_sensor_kinase-like', NULL, 'PBP1_sensor_kinase-like', NULL, NULL, NULL, 1),
(10774, NULL, 'cd09883', NULL, NULL, 'PIN_VapC_PhoHL-ATPase', NULL, 'PIN_VapC_PhoHL-ATPase', NULL, NULL, NULL, 1),
(10775, NULL, 'cd03025', NULL, NULL, 'DsbA_FrnE_like', NULL, 'DsbA_FrnE_like', NULL, NULL, NULL, 1),
(10776, NULL, 'cd11023', NULL, NULL, 'CuRO_2_ceruloplasmin_like_2', NULL, 'CuRO_2_ceruloplasmin_like_2', NULL, NULL, NULL, 1),
(10777, NULL, 'cd16422', NULL, NULL, 'HAD_Pase_UmpH-like', NULL, 'HAD_Pase_UmpH-like', NULL, NULL, NULL, 1),
(10778, NULL, 'cd20608', NULL, NULL, 'nitroreductase', NULL, 'nitroreductase', NULL, NULL, NULL, 1),
(10779, NULL, 'cd05333', NULL, NULL, 'BKR_SDR_c', NULL, 'BKR_SDR_c', NULL, NULL, NULL, 1),
(10780, NULL, 'cd01709', NULL, NULL, 'RT_like_1', NULL, 'RT_like_1', NULL, NULL, NULL, 1),
(10781, NULL, 'cd19334', NULL, NULL, 'Wnt_Wnt2_like', NULL, 'Wnt_Wnt2_like', NULL, NULL, NULL, 1),
(10782, NULL, 'cd09495', NULL, NULL, 'SAM_liprin-kazrin_repeat2', NULL, 'SAM_liprin-kazrin_repeat2', NULL, NULL, NULL, 1),
(10783, NULL, 'cd17434', NULL, NULL, 'MFS_GLUT6_Class3', NULL, 'MFS_GLUT6_Class3', NULL, NULL, NULL, 1),
(10784, NULL, 'cd18295', NULL, NULL, 'BTB1_POZ_ABTB1_BPOZ1', NULL, 'BTB1_POZ_ABTB1_BPOZ1', NULL, NULL, NULL, 1),
(10785, NULL, 'cd02079', NULL, NULL, 'P-type_ATPase_HM', NULL, 'P-type_ATPase_HM', NULL, NULL, NULL, 1),
(10786, NULL, 'cd14559', NULL, NULL, 'PTP_YopH-like', NULL, 'PTP_YopH-like', NULL, NULL, NULL, 1),
(10787, NULL, 'cd18394', NULL, NULL, 'BTB_POZ_KCTD6', NULL, 'BTB_POZ_KCTD6', NULL, NULL, NULL, 1),
(10788, NULL, 'cd07139', NULL, NULL, 'ALDH_AldA-Rv0768', NULL, 'ALDH_AldA-Rv0768', NULL, NULL, NULL, 1),
(10789, NULL, 'cd07470', NULL, NULL, 'CYTH-like_mRNA_RTPase', NULL, 'CYTH-like_mRNA_RTPase', NULL, NULL, 3612, 1),
(10790, NULL, 'cd05167', NULL, NULL, 'PI4Kc_III_alpha', NULL, 'PI4Kc_III_alpha', NULL, NULL, NULL, 1),
(10791, NULL, 'cd02794', NULL, NULL, 'MopB_CT_DmsA-EC', NULL, 'MopB_CT_DmsA-EC', NULL, NULL, NULL, 1),
(10792, NULL, 'cd17464', NULL, NULL, 'MFS_MCT10', NULL, 'MFS_MCT10', NULL, NULL, NULL, 1),
(10793, NULL, 'cd09419', NULL, NULL, 'LIM3_Testin', NULL, 'LIM3_Testin', NULL, NULL, 10779, 1),
(10794, NULL, 'cd17304', NULL, NULL, 'PIPKc_PIP5KL1', NULL, 'PIPKc_PIP5KL1', NULL, NULL, NULL, 1),
(10795, NULL, 'cd05688', NULL, NULL, 'S1_RPS1_repeat_ec3', NULL, 'S1_RPS1_repeat_ec3', NULL, NULL, NULL, 1),
(10796, NULL, 'cd17280', NULL, NULL, 'RMtype1_S_MspEN3ORF6650P_TRD2-CR2_like', NULL, 'RMtype1_S_MspEN3ORF6650P_TRD2-CR2_like', NULL, NULL, NULL, 1),
(10797, NULL, 'cd17103', NULL, NULL, 'FERM_F1_FRMD4', NULL, 'FERM_F1_FRMD4', NULL, NULL, NULL, 1),
(10798, NULL, 'cd08688', NULL, NULL, 'C2_KIAA0528-like', NULL, 'C2_KIAA0528-like', NULL, NULL, 30955, 1),
(10799, NULL, 'cd14127', NULL, NULL, 'STKc_CK1_fungal', NULL, 'STKc_CK1_fungal', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10800, NULL, 'cd18053', NULL, NULL, 'DEXHc_CHD1', NULL, 'DEXHc_CHD1', NULL, NULL, NULL, 1),
(10801, NULL, 'cd11674', NULL, NULL, 'lambda-1', NULL, 'lambda-1', NULL, NULL, NULL, 1),
(10802, NULL, 'cd10230', NULL, NULL, 'HYOU1-like_NBD', NULL, 'HYOU1-like_NBD', NULL, NULL, NULL, 1),
(10803, NULL, 'cd08036', NULL, NULL, 'LARP_5', NULL, 'LARP_5', NULL, NULL, NULL, 1),
(10804, NULL, 'cd14160', NULL, NULL, 'PK_IRAK3', NULL, 'PK_IRAK3', NULL, NULL, 38113, 1),
(10805, NULL, 'cd18400', NULL, NULL, 'BTB_POZ_KCTD13_BACURD1', NULL, 'BTB_POZ_KCTD13_BACURD1', NULL, NULL, NULL, 1),
(10806, NULL, 'cd00379', NULL, NULL, 'Ribosomal_L10_P0', NULL, 'Ribosomal_L10_P0', NULL, NULL, NULL, 1),
(10807, NULL, 'cd16495', NULL, NULL, 'RING_CH-C4HC3_MARCH', NULL, 'RING_CH-C4HC3_MARCH', NULL, NULL, NULL, 1),
(10808, NULL, 'cd16790', NULL, NULL, 'SP-RING_PIAS', NULL, 'SP-RING_PIAS', NULL, NULL, NULL, 1),
(10809, NULL, 'cd17072', NULL, NULL, 'DCX_DCDC5_like', NULL, 'DCX_DCDC5_like', NULL, NULL, NULL, 1),
(10810, NULL, 'cd18738', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(10811, NULL, 'cd16323', NULL, NULL, 'Syd', NULL, 'Syd', NULL, NULL, 8025, 1),
(10812, NULL, 'cd04867', NULL, NULL, 'TGS_YchF_OLA1', NULL, 'TGS_YchF_OLA1', NULL, NULL, 11103, 1),
(10813, NULL, 'cd12902', NULL, NULL, 'SPRY_PRY_RNF135', NULL, 'SPRY_PRY_RNF135', NULL, NULL, 39323, 1),
(10814, NULL, 'cd19057', NULL, NULL, 'LGIC_TM_GABAAR_epsilon', NULL, 'LGIC_TM_GABAAR_epsilon', NULL, NULL, NULL, 1),
(10815, NULL, 'cd15465', NULL, NULL, 'bS6_mito', NULL, 'bS6_mito', NULL, NULL, NULL, 1),
(10816, NULL, 'cd17638', NULL, NULL, 'FadD3', NULL, 'FadD3', NULL, NULL, NULL, 1),
(10817, NULL, 'cd19386', NULL, NULL, 'TGF_beta_TGFB3', NULL, 'TGF_beta_TGFB3', NULL, NULL, NULL, 1),
(10818, NULL, 'cd05247', NULL, NULL, 'UDP_G4E_1_SDR_e', NULL, 'UDP_G4E_1_SDR_e', NULL, NULL, 6623, 1),
(10819, NULL, 'cd00214', NULL, NULL, 'Calpain_III', NULL, 'Calpain_III', NULL, NULL, 33726, 1),
(10820, NULL, 'cd04516', NULL, NULL, 'TBP_eukaryotes', NULL, 'TBP_eukaryotes', NULL, NULL, 34727, 1),
(10821, NULL, 'cd08155', NULL, NULL, 'catalase_clade_2', NULL, 'catalase_clade_2', NULL, NULL, NULL, 1),
(10822, NULL, 'cd05746', NULL, NULL, 'Ig4_Peroxidasin', NULL, 'Ig4_Peroxidasin', NULL, NULL, NULL, 1),
(10823, NULL, 'cd12687', NULL, NULL, 'RRM1_PTBPH3', NULL, 'RRM1_PTBPH3', NULL, NULL, 35011, 1),
(10824, NULL, 'cd13403', NULL, NULL, 'MLTF-like', NULL, 'MLTF-like', NULL, NULL, NULL, 1),
(10825, NULL, 'cd19175', NULL, NULL, 'SET_ASHR3-like', NULL, 'SET_ASHR3-like', NULL, NULL, NULL, 1),
(10826, NULL, 'cd13325', NULL, NULL, 'PH_unc89', NULL, 'PH_unc89', NULL, NULL, NULL, 1),
(10827, NULL, 'cd07535', NULL, NULL, 'HAD_VSP', NULL, 'HAD_VSP', NULL, NULL, NULL, 1),
(10828, NULL, 'cd04931', NULL, NULL, 'ACT_PAH', NULL, 'ACT_PAH', NULL, NULL, NULL, 1),
(10829, NULL, 'cd07526', NULL, NULL, 'HAD_BPGM_like', NULL, 'HAD_BPGM_like', NULL, NULL, NULL, 1),
(10830, NULL, 'cd17967', NULL, NULL, 'DEADc_DDX3_DDX4', NULL, 'DEADc_DDX3_DDX4', NULL, NULL, 36751, 1),
(10831, NULL, 'cd01918', NULL, NULL, 'HprK_C', NULL, 'HprK_C', NULL, NULL, 11362, 1),
(10832, NULL, 'cd13293', NULL, NULL, 'PH_CpORP2-like', NULL, 'PH_CpORP2-like', NULL, NULL, NULL, 1),
(10833, NULL, 'cd13882', NULL, NULL, 'CuRO_2_Tv-LCC_like', NULL, 'CuRO_2_Tv-LCC_like', NULL, NULL, NULL, 1),
(10834, NULL, 'cd16637', NULL, NULL, 'mRING-HC-C3HC3D_LNX1_like', NULL, 'mRING-HC-C3HC3D_LNX1_like', NULL, NULL, NULL, 1),
(10835, NULL, 'cd16039', NULL, NULL, 'PHD_SPP1', NULL, 'PHD_SPP1', NULL, NULL, NULL, 1),
(10836, NULL, 'cd05087', NULL, NULL, 'PTKc_Aatyk1', NULL, 'PTKc_Aatyk1', NULL, NULL, 39204, 1),
(10837, NULL, 'cd09506', NULL, NULL, 'SAM_Shank1,2,3', NULL, 'SAM_Shank1,2,3', NULL, NULL, NULL, 1),
(10838, NULL, 'cd15933', NULL, NULL, '7tmB2_GPR133-like_Adhesion_V', NULL, '7tmB2_GPR133-like_Adhesion_V', NULL, NULL, NULL, 1),
(10839, NULL, 'cd18721', NULL, NULL, 'PIN_ZNF451-like', NULL, 'PIN_ZNF451-like', NULL, NULL, NULL, 1),
(10840, NULL, 'cd06618', NULL, NULL, 'PKc_MKK7', NULL, 'PKc_MKK7', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10841, NULL, 'cd07454', NULL, NULL, 'CRD_LIN_17', NULL, 'CRD_LIN_17', NULL, NULL, 32644, 1),
(10842, NULL, 'cd08253', NULL, NULL, 'zeta_crystallin', NULL, 'zeta_crystallin', NULL, NULL, NULL, 1),
(10843, NULL, 'cd10443', NULL, NULL, 'GIY-YIG_HE_Tlr8p_PBC-V_like', NULL, 'GIY-YIG_HE_Tlr8p_PBC-V_like', NULL, NULL, NULL, 1),
(10844, NULL, 'cd16418', NULL, NULL, 'HAD_Pase', NULL, 'HAD_Pase', NULL, NULL, NULL, 1),
(10845, NULL, 'cd12455', NULL, NULL, 'RRM_like_Smg4_UPF3', NULL, 'RRM_like_Smg4_UPF3', NULL, NULL, NULL, 1),
(10846, NULL, 'cd08223', NULL, NULL, 'STKc_Nek4', NULL, 'STKc_Nek4', NULL, NULL, NULL, 1),
(10847, NULL, 'cd13992', NULL, NULL, 'PK_GC', NULL, 'PK_GC', NULL, NULL, NULL, 1),
(10848, NULL, 'cd12329', NULL, NULL, 'RRM2_hnRNPD_like', NULL, 'RRM2_hnRNPD_like', NULL, NULL, NULL, 1),
(10849, NULL, 'cd06592', NULL, NULL, 'GH31_NET37', NULL, 'GH31_NET37', NULL, NULL, NULL, 1),
(10850, NULL, 'cd08525', NULL, NULL, 'Reelin_subrepeat_1', NULL, 'Reelin_subrepeat_1', NULL, NULL, NULL, 1),
(10851, NULL, 'cd17377', NULL, NULL, 'MFS_SLC22A15', NULL, 'MFS_SLC22A15', NULL, NULL, NULL, 1),
(10852, NULL, 'cd17426', NULL, NULL, 'MFS_MCT1', NULL, 'MFS_MCT1', NULL, NULL, NULL, 1),
(10853, NULL, 'cd05074', NULL, NULL, 'PTKc_Tyro3', NULL, 'PTKc_Tyro3', NULL, NULL, NULL, 1),
(10854, NULL, 'cd12127', NULL, NULL, 'PE-PC-PEC_beta', NULL, 'PE-PC-PEC_beta', NULL, NULL, NULL, 1),
(10855, NULL, 'cd04486', NULL, NULL, 'YhcR_OBF_like', NULL, 'YhcR_OBF_like', NULL, NULL, NULL, 1),
(10856, NULL, 'cd16167', NULL, NULL, 'OCRE_RBM10', NULL, 'OCRE_RBM10', NULL, NULL, 31342, 1),
(10857, NULL, 'cd17530', NULL, NULL, 'REC_RocR', NULL, 'REC_RocR', NULL, NULL, NULL, 1),
(10858, NULL, 'cd11901', NULL, NULL, 'SH3_Nck1_2', NULL, 'SH3_Nck1_2', NULL, NULL, 30564, 1),
(10859, NULL, 'cd08543', NULL, NULL, 'SAM_PNT-ETS-2', NULL, 'SAM_PNT-ETS-2', NULL, NULL, NULL, 1),
(10860, NULL, 'cd13708', NULL, NULL, 'PBP2_BvgS_like_1', NULL, 'PBP2_BvgS_like_1', NULL, NULL, NULL, 1),
(10861, NULL, 'cd15464', NULL, NULL, 'HN_like', NULL, 'HN_like', NULL, NULL, NULL, 1),
(10862, NULL, 'cd04259', NULL, NULL, 'AAK_AK-DapDC', NULL, 'AAK_AK-DapDC', NULL, NULL, NULL, 1),
(10863, NULL, 'cd12878', NULL, NULL, 'SPRY2_RyR', NULL, 'SPRY2_RyR', NULL, NULL, 33013, 1),
(10864, NULL, 'cd18948', NULL, NULL, 'bHLH-PAS_NCoA1_SRC1', NULL, 'bHLH-PAS_NCoA1_SRC1', NULL, NULL, NULL, 1),
(10865, NULL, 'cd08475', NULL, NULL, 'PBP2_CrgA_like_6', NULL, 'PBP2_CrgA_like_6', NULL, NULL, NULL, 1),
(10866, NULL, 'cd03882', NULL, NULL, 'M28_nicalin_like', NULL, 'M28_nicalin_like', NULL, NULL, NULL, 1),
(10867, NULL, 'cd08817', NULL, NULL, 'CARD_RIG-I_r2', NULL, 'CARD_RIG-I_r2', NULL, NULL, 36100, 1),
(10868, NULL, 'cd16935', NULL, NULL, 'HATPase_AgrC-ComD-like', NULL, 'HATPase_AgrC-ComD-like', NULL, NULL, NULL, 1),
(10869, NULL, 'cd12895', NULL, NULL, 'SPRY_PRY_TRIM46', NULL, 'SPRY_PRY_TRIM46', NULL, NULL, 29547, 1),
(10870, NULL, 'cd12498', NULL, NULL, 'RRM3_ACF', NULL, 'RRM3_ACF', NULL, NULL, 1115, 1),
(10871, NULL, 'cd06558', NULL, NULL, 'crotonase-like', NULL, 'crotonase-like', NULL, NULL, NULL, 1),
(10872, NULL, 'cd16160', NULL, NULL, 'spARS_like', NULL, 'spARS_like', NULL, NULL, NULL, 1),
(10873, NULL, 'cd08730', NULL, NULL, 'RGS-like_3', NULL, 'RGS-like_3', NULL, NULL, NULL, 1),
(10874, NULL, 'cd10315', NULL, NULL, 'CBM41_pullulanase', NULL, 'CBM41_pullulanase', NULL, NULL, 5543, 1),
(10875, NULL, 'cd09608', NULL, NULL, 'M3B_PepF', NULL, 'M3B_PepF', NULL, NULL, NULL, 1),
(10876, NULL, 'cd05325', NULL, NULL, 'carb_red_sniffer_like_SDR_c', NULL, 'carb_red_sniffer_like_SDR_c', NULL, NULL, NULL, 1),
(10877, NULL, 'cd04415', NULL, NULL, 'NDPk7A', NULL, 'NDPk7A', NULL, NULL, 35726, 1),
(10878, NULL, 'cd06810', NULL, NULL, 'PLPDE_III_ODC_DapDC_like', NULL, 'PLPDE_III_ODC_DapDC_like', NULL, NULL, NULL, 1),
(10879, NULL, 'cd00776', NULL, NULL, 'AsxRS_core', NULL, 'AsxRS_core', NULL, NULL, NULL, 1),
(10880, NULL, 'cd15928', NULL, NULL, '7tmA_GHSR-like', NULL, '7tmA_GHSR-like', NULL, NULL, NULL, 1),
(10881, NULL, 'cd00636', NULL, NULL, 'TroA-like', NULL, 'TroA-like', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10882, NULL, 'cd12788', NULL, NULL, 'RasGAP_plexin_D1', NULL, 'RasGAP_plexin_D1', NULL, NULL, NULL, 1),
(10883, NULL, 'cd19977', NULL, NULL, 'PBP1_EndR-like', NULL, 'PBP1_EndR-like', NULL, NULL, NULL, 1),
(10884, NULL, 'cd11823', NULL, NULL, 'SH3_Nostrin', NULL, 'SH3_Nostrin', NULL, NULL, 29213, 1),
(10885, NULL, 'cd14825', NULL, NULL, 'TRAPPC2_sedlin', NULL, 'TRAPPC2_sedlin', NULL, NULL, NULL, 1),
(10886, NULL, 'cd18003', NULL, NULL, 'DEXQc_SRCAP', NULL, 'DEXQc_SRCAP', NULL, NULL, NULL, 1),
(10887, NULL, 'cd10551', NULL, NULL, 'PsrB', NULL, 'PsrB', NULL, NULL, NULL, 1),
(10888, NULL, 'cd16493', NULL, NULL, 'RING-CH-C4HC3_NSE1', NULL, 'RING-CH-C4HC3_NSE1', NULL, NULL, 13098, 1),
(10889, NULL, 'cd14317', NULL, NULL, 'UBA_DHX57', NULL, 'UBA_DHX57', NULL, NULL, 37885, 1),
(10890, NULL, 'cd08383', NULL, NULL, 'C2A_RasGAP', NULL, 'C2A_RasGAP', NULL, NULL, NULL, 1),
(10891, NULL, 'cd18652', NULL, NULL, 'CD_HP1gamma_Cbx3', NULL, 'CD_HP1gamma_Cbx3', NULL, NULL, NULL, 1),
(10892, NULL, 'cd15708', NULL, NULL, 'ePHD_AF10', NULL, 'ePHD_AF10', NULL, NULL, NULL, 1),
(10893, NULL, 'cd09999', NULL, NULL, 'Arginase-like_1', NULL, 'Arginase-like_1', NULL, NULL, NULL, 1),
(10894, NULL, 'cd03018', NULL, NULL, 'PRX_AhpE_like', NULL, 'PRX_AhpE_like', NULL, NULL, NULL, 1),
(10895, NULL, 'cd19776', NULL, NULL, 'Bbox2_TRIM25_C-IV', NULL, 'Bbox2_TRIM25_C-IV', NULL, NULL, NULL, 1),
(10896, NULL, 'cd19373', NULL, NULL, 'UDG-F1_NsUNG-like', NULL, 'UDG-F1_NsUNG-like', NULL, NULL, NULL, 1),
(10897, NULL, 'cd18792', NULL, NULL, 'SF2_C_RecG_TRCF', NULL, 'SF2_C_RecG_TRCF', NULL, NULL, NULL, 1),
(10898, NULL, 'cd14389', NULL, NULL, 'UBA_AAA_plant', NULL, 'UBA_AAA_plant', NULL, NULL, NULL, 1),
(10899, NULL, 'cd00046', NULL, NULL, 'SF2-N', NULL, 'SF2-N', NULL, NULL, NULL, 1),
(10900, NULL, 'cd00397', NULL, NULL, 'DNA_BRE_C', NULL, 'DNA_BRE_C', NULL, NULL, NULL, 1),
(10901, NULL, 'cd07423', NULL, NULL, 'MPP_Prp_like', NULL, 'MPP_Prp_like', NULL, NULL, 33173, 1),
(10902, NULL, 'cd13975', NULL, NULL, 'PKc_Dusty', NULL, 'PKc_Dusty', NULL, NULL, NULL, 1),
(10903, NULL, 'cd01987', NULL, NULL, 'USP_OKCHK', NULL, 'USP_OKCHK', NULL, NULL, NULL, 1),
(10904, NULL, 'cd13921', NULL, NULL, 'Amicyanin', NULL, 'Amicyanin', NULL, NULL, 29646, 1),
(10905, NULL, 'cd08441', NULL, NULL, 'PBP2_MetR', NULL, 'PBP2_MetR', NULL, NULL, 35218, 1),
(10906, NULL, 'cd01259', NULL, NULL, 'PH_APBB1IP', NULL, 'PH_APBB1IP', NULL, NULL, 29386, 1),
(10907, NULL, 'cd07548', NULL, NULL, 'P-type_ATPase-Cd_Zn_Co_like', NULL, 'P-type_ATPase-Cd_Zn_Co_like', NULL, NULL, NULL, 1),
(10908, NULL, 'cd06940', NULL, NULL, 'NR_LBD_REV_ERB', NULL, 'NR_LBD_REV_ERB', NULL, NULL, NULL, 1),
(10909, NULL, 'cd05486', NULL, NULL, 'Cathespin_E', NULL, 'Cathespin_E', NULL, NULL, NULL, 1),
(10910, NULL, 'cd10370', NULL, NULL, 'SH2_Src_Src42', NULL, 'SH2_Src_Src42', NULL, NULL, NULL, 1),
(10911, NULL, 'cd11886', NULL, NULL, 'SH3_BOI', NULL, 'SH3_BOI', NULL, NULL, 32886, 1),
(10912, NULL, 'cd16599', NULL, NULL, 'RING-HC_TRIM35_C-IV', NULL, 'RING-HC_TRIM35_C-IV', NULL, NULL, NULL, 1),
(10913, NULL, 'cd16963', NULL, NULL, 'CCE1', NULL, 'CCE1', NULL, NULL, NULL, 1),
(10914, NULL, 'cd13634', NULL, NULL, 'PBP2_Sco4506', NULL, 'PBP2_Sco4506', NULL, NULL, NULL, 1),
(10915, NULL, 'cd02413', NULL, NULL, '40S_S3_KH', NULL, '40S_S3_KH', NULL, NULL, NULL, 1),
(10916, NULL, 'cd04281', NULL, NULL, 'ZnMc_BMP1_TLD', NULL, 'ZnMc_BMP1_TLD', NULL, NULL, 19894, 1),
(10917, NULL, 'cd18363', NULL, NULL, 'BTB_POZ_KCTD3-like', NULL, 'BTB_POZ_KCTD3-like', NULL, NULL, NULL, 1),
(10918, NULL, 'cd00884', NULL, NULL, 'beta_CA_cladeB', NULL, 'beta_CA_cladeB', NULL, NULL, 38706, 1),
(10919, NULL, 'cd15468', NULL, NULL, 'HeV-G', NULL, 'HeV-G', NULL, NULL, NULL, 1),
(10920, NULL, 'cd04607', NULL, NULL, 'CBS_pair_NTP_transferase_assoc', NULL, 'CBS_pair_NTP_transferase_assoc', NULL, NULL, NULL, 1),
(10921, NULL, 'cd16091', NULL, NULL, 'Ig_HHLA2', NULL, 'Ig_HHLA2', NULL, NULL, NULL, 1),
(10922, NULL, 'cd01127', NULL, NULL, 'TrwB', NULL, 'TrwB', NULL, NULL, 13811, 1),
(10923, NULL, 'cd12618', NULL, NULL, 'RRM2_TIA1', NULL, 'RRM2_TIA1', NULL, NULL, 36492, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10924, NULL, 'cd00980', NULL, NULL, 'FwdC/FmdC', NULL, 'FwdC/FmdC', NULL, NULL, 15276, 1),
(10925, NULL, 'cd07165', NULL, NULL, 'NR_DBD_DmE78_like', NULL, 'NR_DBD_DmE78_like', NULL, NULL, NULL, 1),
(10926, NULL, 'cd16536', NULL, NULL, 'RING-HC_RNF10', NULL, 'RING-HC_RNF10', NULL, NULL, NULL, 1),
(10927, NULL, 'cd10043', NULL, NULL, 'Reelin_repeat_7_subrepeat_1', NULL, 'Reelin_repeat_7_subrepeat_1', NULL, NULL, NULL, 1),
(10928, NULL, 'cd00985', NULL, NULL, 'Maf_Ham1', NULL, 'Maf_Ham1', NULL, NULL, NULL, 1),
(10929, NULL, 'cd05037', NULL, NULL, 'PTK_Jak_rpt1', NULL, 'PTK_Jak_rpt1', NULL, NULL, NULL, 1),
(10930, NULL, 'cd16506', NULL, NULL, 'RING-HC_DTX3_like', NULL, 'RING-HC_DTX3_like', NULL, NULL, NULL, 1),
(10931, NULL, 'cd21409', NULL, NULL, '1B_cv_Nsp13-like', NULL, '1B_cv_Nsp13-like', NULL, NULL, 37434, 1),
(10932, NULL, 'cd00821', NULL, NULL, 'PH', NULL, 'PH', NULL, NULL, NULL, 1),
(10933, NULL, 'cd03356', NULL, NULL, 'LbH_G1P_AT_C_like', NULL, 'LbH_G1P_AT_C_like', NULL, NULL, NULL, 1),
(10934, NULL, 'cd09546', NULL, NULL, 'SAM_EPH-A5', NULL, 'SAM_EPH-A5', NULL, NULL, NULL, 1),
(10935, NULL, 'cd03580', NULL, NULL, 'NTR_Sfrp1_like', NULL, 'NTR_Sfrp1_like', NULL, NULL, NULL, 1),
(10936, NULL, 'cd04248', NULL, NULL, 'AAK_AK-Ectoine', NULL, 'AAK_AK-Ectoine', NULL, NULL, 32932, 1),
(10937, NULL, 'cd09179', NULL, NULL, 'PLDc_N_DEXD_a', NULL, 'PLDc_N_DEXD_a', NULL, NULL, NULL, 1),
(10938, NULL, 'cd19936', NULL, NULL, 'REC_OmpR_ChvI-like', NULL, 'REC_OmpR_ChvI-like', NULL, NULL, NULL, 1),
(10939, NULL, 'cd14286', NULL, NULL, 'UBA_UBP24', NULL, 'UBA_UBP24', NULL, NULL, NULL, 1),
(10940, NULL, 'cd08881', NULL, NULL, 'RHO_alpha_C_NDO-like', NULL, 'RHO_alpha_C_NDO-like', NULL, NULL, 37336, 1),
(10941, NULL, 'cd01189', NULL, NULL, 'INT_ICEBs1_C_like', NULL, 'INT_ICEBs1_C_like', NULL, NULL, NULL, 1),
(10942, NULL, 'cd15138', NULL, NULL, '7tmA_LRR_GPR', NULL, '7tmA_LRR_GPR', NULL, NULL, NULL, 1),
(10943, NULL, 'cd01371', NULL, NULL, 'KISc_KIF3', NULL, 'KISc_KIF3', NULL, NULL, NULL, 1),
(10944, NULL, 'cd07147', NULL, NULL, 'ALDH_F21_RNP123', NULL, 'ALDH_F21_RNP123', NULL, NULL, NULL, 1),
(10945, NULL, 'cd11905', NULL, NULL, 'SH3_Tec', NULL, 'SH3_Tec', NULL, NULL, 31113, 1),
(10946, NULL, 'cd07521', NULL, NULL, 'HAD_FCP1-like', NULL, 'HAD_FCP1-like', NULL, NULL, NULL, 1),
(10947, NULL, 'cd08866', NULL, NULL, 'SRPBCC_11', NULL, 'SRPBCC_11', NULL, NULL, NULL, 1),
(10948, NULL, 'cd17455', NULL, NULL, 'MFS_FLVCR1', NULL, 'MFS_FLVCR1', NULL, NULL, NULL, 1),
(10949, NULL, 'cd02426', NULL, NULL, 'Pol_gamma_b_Cterm', NULL, 'Pol_gamma_b_Cterm', NULL, NULL, 34187, 1),
(10950, NULL, 'cd07381', NULL, NULL, 'MPP_CapA', NULL, 'MPP_CapA', NULL, NULL, 16822, 1),
(10951, NULL, 'cd17992', NULL, NULL, 'DEXHc_RecG', NULL, 'DEXHc_RecG', NULL, NULL, NULL, 1),
(10952, NULL, 'cd19557', NULL, NULL, 'serpinA11', NULL, 'serpinA11', NULL, NULL, NULL, 1),
(10953, NULL, 'cd10580', NULL, NULL, 'TNFRSF10', NULL, 'TNFRSF10', NULL, NULL, 27807, 1),
(10954, NULL, 'cd16765', NULL, NULL, 'RING-HC_TIF1beta', NULL, 'RING-HC_TIF1beta', NULL, NULL, 38281, 1),
(10955, NULL, 'cd17332', NULL, NULL, 'MFS_MelB_like', NULL, 'MFS_MelB_like', NULL, NULL, NULL, 1),
(10956, NULL, 'cd08481', NULL, NULL, 'PBP2_GcdR_like', NULL, 'PBP2_GcdR_like', NULL, NULL, NULL, 1),
(10957, NULL, 'cd10353', NULL, NULL, 'SH2_Nterm_RasGAP', NULL, 'SH2_Nterm_RasGAP', NULL, NULL, 31588, 1),
(10958, NULL, 'cd14235', NULL, NULL, 'GAT_GGA_fungi', NULL, 'GAT_GGA_fungi', NULL, NULL, NULL, 1),
(10959, NULL, 'cd20214', NULL, NULL, 'PFM_CEL-III-like', NULL, 'PFM_CEL-III-like', NULL, NULL, NULL, 1),
(10960, NULL, 'cd19819', NULL, NULL, 'Bbox1_ZFYVE1_rpt1', NULL, 'Bbox1_ZFYVE1_rpt1', NULL, NULL, NULL, 1),
(10961, NULL, 'cd03277', NULL, NULL, 'ABC_SMC5_euk', NULL, 'ABC_SMC5_euk', NULL, NULL, NULL, 1),
(10962, NULL, 'cd06194', NULL, NULL, 'FNR_N-term_Iron_sulfur_binding', NULL, 'FNR_N-term_Iron_sulfur_binding', NULL, NULL, NULL, 1),
(10963, NULL, 'cd10394', NULL, NULL, 'SH2_RIN2', NULL, 'SH2_RIN2', NULL, NULL, 34448, 1),
(10964, NULL, 'cd15625', NULL, NULL, 'PHD_TIF1delta', NULL, 'PHD_TIF1delta', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(10965, NULL, 'cd13583', NULL, NULL, 'PBP2_AlgQ_like_4', NULL, 'PBP2_AlgQ_like_4', NULL, NULL, NULL, 1),
(10966, NULL, 'cd07201', NULL, NULL, 'cPLA2_Grp-IVB-IVD-IVE-IVF', NULL, 'cPLA2_Grp-IVB-IVD-IVE-IVF', NULL, NULL, NULL, 1),
(10967, NULL, 'cd14315', NULL, NULL, 'UBA1_UBAP1', NULL, 'UBA1_UBAP1', NULL, NULL, NULL, 1),
(10968, NULL, 'cd07346', NULL, NULL, 'ABC_6TM_exporters', NULL, 'ABC_6TM_exporters', NULL, NULL, NULL, 1),
(10969, NULL, 'cd02191', NULL, NULL, 'FtsZ_CetZ-like', NULL, 'FtsZ_CetZ-like', NULL, NULL, NULL, 1),
(10970, NULL, 'cd01448', NULL, NULL, 'TST_Repeat_1', NULL, 'TST_Repeat_1', NULL, NULL, NULL, 1),
(10971, NULL, 'cd12569', NULL, NULL, 'RRM4_RBM19', NULL, 'RRM4_RBM19', NULL, NULL, 13017, 1),
(10972, NULL, 'cd01260', NULL, NULL, 'PH_CNK_mammalian-like', NULL, 'PH_CNK_mammalian-like', NULL, NULL, NULL, 1),
(10973, NULL, 'cd15956', NULL, NULL, '7tmA_OR52W-like', NULL, '7tmA_OR52W-like', NULL, NULL, NULL, 1),
(10974, NULL, 'cd17214', NULL, NULL, 'RA_CYR1_like', NULL, 'RA_CYR1_like', NULL, NULL, NULL, 1),
(10975, NULL, 'cd10511', NULL, NULL, 'Zn-ribbon_TFS', NULL, 'Zn-ribbon_TFS', NULL, NULL, NULL, 1),
(10976, NULL, 'cd08073', NULL, NULL, 'MPN_NLPC_P60', NULL, 'MPN_NLPC_P60', NULL, NULL, NULL, 1),
(10977, NULL, 'cd05710', NULL, NULL, 'SIS_1', NULL, 'SIS_1', NULL, NULL, 36437, 1),
(10978, NULL, 'cd00223', NULL, NULL, 'TOPRIM_TopoIIB_SPO', NULL, 'TOPRIM_TopoIIB_SPO', NULL, NULL, 31925, 1),
(10979, NULL, 'cd19804', NULL, NULL, 'Bbox1_TRIM19_C-V', NULL, 'Bbox1_TRIM19_C-V', NULL, NULL, NULL, 1),
(10980, NULL, 'cd09613', NULL, NULL, 'Jacalin_metallopeptidase_like', NULL, 'Jacalin_metallopeptidase_like', NULL, NULL, 33061, 1),
(10981, NULL, 'cd02867', NULL, NULL, 'PseudoU_synth_TruB_4', NULL, 'PseudoU_synth_TruB_4', NULL, NULL, NULL, 1),
(10982, NULL, 'cd17067', NULL, NULL, 'RBD2_RGS12_like', NULL, 'RBD2_RGS12_like', NULL, NULL, NULL, 1),
(10983, NULL, 'cd13998', NULL, NULL, 'STKc_TGFbR-like', NULL, 'STKc_TGFbR-like', NULL, NULL, NULL, 1),
(10984, NULL, 'cd03128', NULL, NULL, 'GAT_1', NULL, 'GAT_1', NULL, NULL, NULL, 1),
(10985, NULL, 'cd04582', NULL, NULL, 'CBS_pair_ABC_OpuCA_assoc', NULL, 'CBS_pair_ABC_OpuCA_assoc', NULL, NULL, NULL, 1),
(10986, NULL, 'cd17758', NULL, NULL, 'MCM7', NULL, 'MCM7', NULL, NULL, 5047, 1),
(10987, NULL, 'cd04100', NULL, NULL, 'Asp_Lys_Asn_RS_N', NULL, 'Asp_Lys_Asn_RS_N', NULL, NULL, NULL, 1),
(10988, NULL, 'cd05368', NULL, NULL, 'DHRS6_like_SDR_c', NULL, 'DHRS6_like_SDR_c', NULL, NULL, NULL, 1),
(10989, NULL, 'cd10943', NULL, NULL, 'CE4_NodB', NULL, 'CE4_NodB', NULL, NULL, NULL, 1),
(10990, NULL, 'cd21528', NULL, NULL, 'CoV_Nsp14', NULL, 'CoV_Nsp14', NULL, NULL, NULL, 1),
(10991, NULL, 'cd07329', NULL, NULL, 'M56_like', NULL, 'M56_like', NULL, NULL, NULL, 1),
(10992, NULL, 'cd18263', NULL, NULL, 'BTB2_POZ_KLHL33', NULL, 'BTB2_POZ_KLHL33', NULL, NULL, NULL, 1),
(10993, NULL, 'cd14418', NULL, NULL, 'CUE_DMA_DMRTA2', NULL, 'CUE_DMA_DMRTA2', NULL, NULL, NULL, 1),
(10994, NULL, 'cd11515', NULL, NULL, 'SLC6sbd_NTT4-like', NULL, 'SLC6sbd_NTT4-like', NULL, NULL, NULL, 1),
(10995, NULL, 'cd09319', NULL, NULL, 'TDT_like_1', NULL, 'TDT_like_1', NULL, NULL, NULL, 1),
(10996, NULL, 'cd19870', NULL, NULL, 'DSRM_SON-like', NULL, 'DSRM_SON-like', NULL, NULL, NULL, 1),
(10997, NULL, 'cd03710', NULL, NULL, 'BipA_TypA_C', NULL, 'BipA_TypA_C', NULL, NULL, 30807, 1),
(10998, NULL, 'cd19938', NULL, NULL, 'REC_OmpR_BaeR-like', NULL, 'REC_OmpR_BaeR-like', NULL, NULL, NULL, 1),
(10999, NULL, 'cd17095', NULL, NULL, 'FERM_F0_kindlins', NULL, 'FERM_F0_kindlins', NULL, NULL, NULL, 1),
(11000, NULL, 'cd00674', NULL, NULL, 'LysRS_core_class_I', NULL, 'LysRS_core_class_I', NULL, NULL, NULL, 1),
(11001, NULL, 'cd01839', NULL, NULL, 'SGNH_arylesterase_like', NULL, 'SGNH_arylesterase_like', NULL, NULL, NULL, 1),
(11002, NULL, 'cd05799', NULL, NULL, 'PGM2', NULL, 'PGM2', NULL, NULL, NULL, 1),
(11003, NULL, 'cd11390', NULL, NULL, 'bHLH_TS', NULL, 'bHLH_TS', NULL, NULL, NULL, 1),
(11004, NULL, 'cd05778', NULL, NULL, 'DNA_polB_zeta_exo', NULL, 'DNA_polB_zeta_exo', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11005, NULL, 'cd00175', NULL, NULL, 'SNc', NULL, 'SNc', NULL, NULL, NULL, 1),
(11006, NULL, 'cd14390', NULL, NULL, 'UBA_II_E2_UBE2K', NULL, 'UBA_II_E2_UBE2K', NULL, NULL, 38225, 1),
(11007, NULL, 'cd01920', NULL, NULL, 'cyclophilin_EcCYP_like', NULL, 'cyclophilin_EcCYP_like', NULL, NULL, NULL, 1),
(11008, NULL, 'cd17228', NULL, NULL, 'RA_ARAP3', NULL, 'RA_ARAP3', NULL, NULL, NULL, 1),
(11009, NULL, 'cd08555', NULL, NULL, 'PI-PLCc_GDPD_SF', NULL, 'PI-PLCc_GDPD_SF', NULL, NULL, NULL, 1),
(11010, NULL, 'cd11402', NULL, NULL, 'bHLHzip_Mnt', NULL, 'bHLHzip_Mnt', NULL, NULL, NULL, 1),
(11011, NULL, 'cd05390', NULL, NULL, 'HypB', NULL, 'HypB', NULL, NULL, 5854, 1),
(11012, NULL, 'cd15835', NULL, NULL, 'TNFRSF1B_teleost', NULL, 'TNFRSF1B_teleost', NULL, NULL, NULL, 1),
(11013, NULL, 'cd20477', NULL, NULL, 'Cas13b_Pb-like', NULL, 'Cas13b_Pb-like', NULL, NULL, NULL, 1),
(11014, NULL, 'cd11320', NULL, NULL, 'AmyAc_AmyMalt_CGTase_like', NULL, 'AmyAc_AmyMalt_CGTase_like', NULL, NULL, NULL, 1),
(11015, NULL, 'cd03766', NULL, NULL, 'Gn_AT_II_novel', NULL, 'Gn_AT_II_novel', NULL, NULL, NULL, 1),
(11016, NULL, 'cd21589', NULL, NULL, 'betaCoV_RdRp', NULL, 'betaCoV_RdRp', NULL, NULL, NULL, 1),
(11017, NULL, 'cd13944', NULL, NULL, 'lytB_ispH', NULL, 'lytB_ispH', NULL, NULL, 5866, 1),
(11018, NULL, 'cd01616', NULL, NULL, 'TGS', NULL, 'TGS', NULL, NULL, NULL, 1),
(11019, NULL, 'cd06433', NULL, NULL, 'GT_2_WfgS_like', NULL, 'GT_2_WfgS_like', NULL, NULL, NULL, 1),
(11020, NULL, 'cd06656', NULL, NULL, 'STKc_PAK3', NULL, 'STKc_PAK3', NULL, NULL, 29758, 1),
(11021, NULL, 'cd10456', NULL, NULL, 'GIY-YIG_UPF0213', NULL, 'GIY-YIG_UPF0213', NULL, NULL, NULL, 1),
(11022, NULL, 'cd14416', NULL, NULL, 'UBA_NACAD', NULL, 'UBA_NACAD', NULL, NULL, 32477, 1),
(11023, NULL, 'cd12030', NULL, NULL, 'SH3_DLG4', NULL, 'SH3_DLG4', NULL, NULL, NULL, 1),
(11024, NULL, 'cd05229', NULL, NULL, 'SDR_a3', NULL, 'SDR_a3', NULL, NULL, NULL, 1),
(11025, NULL, 'cd16136', NULL, NULL, 'RA_MRL_Lpd', NULL, 'RA_MRL_Lpd', NULL, NULL, NULL, 1),
(11026, NULL, 'cd05909', NULL, NULL, 'AAS_C', NULL, 'AAS_C', NULL, NULL, NULL, 1),
(11027, NULL, 'cd13304', NULL, NULL, 'PH2-like_Rtt106', NULL, 'PH2-like_Rtt106', NULL, NULL, NULL, 1),
(11028, NULL, 'cd08770', NULL, NULL, 'DAP_dppA_3', NULL, 'DAP_dppA_3', NULL, NULL, NULL, 1),
(11029, NULL, 'cd14257', NULL, NULL, 'CttA_X', NULL, 'CttA_X', NULL, NULL, 31745, 1),
(11030, NULL, 'cd17913', NULL, NULL, 'DEXQc_Suv3', NULL, 'DEXQc_Suv3', NULL, NULL, 37728, 1),
(11031, NULL, 'cd06992', NULL, NULL, 'cupin_GDO-like_C', NULL, 'cupin_GDO-like_C', NULL, NULL, NULL, 1),
(11032, NULL, 'cd14122', NULL, NULL, 'STKc_VRK1', NULL, 'STKc_VRK1', NULL, NULL, NULL, 1),
(11033, NULL, 'cd03699', NULL, NULL, 'EF4_II', NULL, 'EF4_II', NULL, NULL, NULL, 1),
(11034, NULL, 'cd07313', NULL, NULL, 'terB_like_2', NULL, 'terB_like_2', NULL, NULL, NULL, 1),
(11035, NULL, 'cd06997', NULL, NULL, 'cupin_MelR-like_N', NULL, 'cupin_MelR-like_N', NULL, NULL, NULL, 1),
(11036, NULL, 'cd15119', NULL, NULL, '7tmA_GPR1', NULL, '7tmA_GPR1', NULL, NULL, NULL, 1),
(11037, NULL, 'cd20004', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(11038, NULL, 'cd19108', NULL, NULL, 'AKR_AKR1C1-35', NULL, 'AKR_AKR1C1-35', NULL, NULL, 36808, 1),
(11039, NULL, 'cd03441', NULL, NULL, 'R_hydratase_like', NULL, 'R_hydratase_like', NULL, NULL, NULL, 1),
(11040, NULL, 'cd10345', NULL, NULL, 'SH2_C-SH2_Zap70_Syk_like', NULL, 'SH2_C-SH2_Zap70_Syk_like', NULL, NULL, NULL, 1),
(11041, NULL, 'cd17623', NULL, NULL, 'REC_OmpR_CpxR', NULL, 'REC_OmpR_CpxR', NULL, NULL, NULL, 1),
(11042, NULL, 'cd18757', NULL, NULL, 'PIN_MtVapC3-like', NULL, 'PIN_MtVapC3-like', NULL, NULL, NULL, 1),
(11043, NULL, 'cd12643', NULL, NULL, 'RRM_CFIm68', NULL, 'RRM_CFIm68', NULL, NULL, NULL, 1),
(11044, NULL, 'cd08266', NULL, NULL, 'Zn_ADH_like1', NULL, 'Zn_ADH_like1', NULL, NULL, NULL, 1),
(11045, NULL, 'cd08822', NULL, NULL, 'FMT_core_like_2', NULL, 'FMT_core_like_2', NULL, NULL, NULL, 1),
(11046, NULL, 'cd01242', NULL, NULL, 'PH_ROCK', NULL, 'PH_ROCK', NULL, NULL, NULL, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11047, NULL, 'cd20293', NULL, NULL, 'cupin_HutD_N', NULL, 'cupin_HutD_N', NULL, NULL, NULL, 1),
(11048, NULL, 'cd09636', NULL, NULL, 'Cas1_I-II-III', NULL, 'Cas1_I-II-III', NULL, NULL, NULL, 1),
(11049, NULL, 'cd10390', NULL, NULL, 'SH2_SHD', NULL, 'SH2_SHD', NULL, NULL, 9335, 1),
(11050, NULL, 'cd07502', NULL, NULL, 'HAD_PNKP-C', NULL, 'HAD_PNKP-C', NULL, NULL, 37020, 1),
(11051, NULL, 'cd15149', NULL, NULL, '7tmA_P2Y14', NULL, '7tmA_P2Y14', NULL, NULL, NULL, 1),
(11052, NULL, 'cd04370', NULL, NULL, 'BAH', NULL, 'BAH', NULL, NULL, NULL, 1),
(11053, NULL, 'cd17198', NULL, NULL, 'FERM_F1_FRMD6', NULL, 'FERM_F1_FRMD6', NULL, NULL, NULL, 1),
(11054, NULL, 'cd15150', NULL, NULL, '7tmA_P2Y12', NULL, '7tmA_P2Y12', NULL, NULL, NULL, 1),
(11055, NULL, 'cd11688', NULL, NULL, 'THUMP', NULL, 'THUMP', NULL, NULL, NULL, 1),
(11056, NULL, 'cd16840', NULL, NULL, 'toxin_MLD', NULL, 'toxin_MLD', NULL, NULL, NULL, 1),
(11057, NULL, 'cd05068', NULL, NULL, 'PTKc_Frk_like', NULL, 'PTKc_Frk_like', NULL, NULL, NULL, 1),
(11058, NULL, 'cd06247', NULL, NULL, 'M14_CPO', NULL, 'M14_CPO', NULL, NULL, 34959, 1),
(11059, NULL, 'cd16929', NULL, NULL, 'HATPase_PDK-like', NULL, 'HATPase_PDK-like', NULL, NULL, NULL, 1),
(11060, NULL, 'cd19725', NULL, NULL, 'bHLH_TS_OLIG2_like', NULL, 'bHLH_TS_OLIG2_like', NULL, NULL, NULL, 1),
(11061, NULL, 'cd00050', NULL, NULL, 'MH2', NULL, 'MH2', NULL, NULL, NULL, 1),
(11062, NULL, 'cd04317', NULL, NULL, 'EcAspRS_like_N', NULL, 'EcAspRS_like_N', NULL, NULL, NULL, 1),
(11063, NULL, 'cd01182', NULL, NULL, 'INT_RitC_C_like', NULL, 'INT_RitC_C_like', NULL, NULL, NULL, 1),
(11064, NULL, 'cd06245', NULL, NULL, 'M14_CPD_III', NULL, 'M14_CPD_III', NULL, NULL, 34858, 1),
(11065, NULL, 'cd13729', NULL, NULL, 'PBP2_iGluR_AMPA_GluR1', NULL, 'PBP2_iGluR_AMPA_GluR1', NULL, NULL, NULL, 1),
(11066, NULL, 'cd10017', NULL, NULL, 'B3_DNA', NULL, 'B3_DNA', NULL, NULL, 4023, 1),
(11067, NULL, 'cd13422', NULL, NULL, 'TNFRSF5_teleost', NULL, 'TNFRSF5_teleost', NULL, NULL, 13737, 1),
(11068, NULL, 'cd07933', NULL, NULL, 'RHD-n_c-Rel', NULL, 'RHD-n_c-Rel', NULL, NULL, 37504, 1),
(11069, NULL, 'cd00775', NULL, NULL, 'LysRS_core', NULL, 'LysRS_core', NULL, NULL, 19940, 1),
(11070, NULL, 'cd05924', NULL, NULL, 'FACL_like_5', NULL, 'FACL_like_5', NULL, NULL, NULL, 1),
(11071, NULL, 'cd12343', NULL, NULL, 'RRM1_2_CoAA_like', NULL, 'RRM1_2_CoAA_like', NULL, NULL, NULL, 1),
(11072, NULL, 'cd00613', NULL, NULL, 'GDC-P', NULL, 'GDC-P', NULL, NULL, 19879, 1),
(11073, NULL, 'cd12909', NULL, NULL, 'SPRY_RanBP9_10', NULL, 'SPRY_RanBP9_10', NULL, NULL, 34555, 1),
(11074, NULL, 'cd02661', NULL, NULL, 'Peptidase_C19E', NULL, 'Peptidase_C19E', NULL, NULL, NULL, 1),
(11075, NULL, 'cd12787', NULL, NULL, 'RasGAP_plexin_B', NULL, 'RasGAP_plexin_B', NULL, NULL, NULL, 1),
(11076, NULL, 'cd04167', NULL, NULL, 'Snu114p', NULL, 'Snu114p', NULL, NULL, 37911, 1),
(11077, NULL, 'cd06239', NULL, NULL, 'M14-like', NULL, 'M14-like', NULL, NULL, NULL, 1),
(11078, NULL, 'cd00105', NULL, NULL, 'KH-I', NULL, 'KH-I', NULL, NULL, NULL, 1),
(11079, NULL, 'cd14605', NULL, NULL, 'PTPc-N11', NULL, 'PTPc-N11', NULL, NULL, NULL, 1),
(11080, NULL, 'cd15717', NULL, NULL, 'FYVE_PKHF', NULL, 'FYVE_PKHF', NULL, NULL, NULL, 1),
(11081, NULL, 'cd10468', NULL, NULL, 'Four-jointed-like_C', NULL, 'Four-jointed-like_C', NULL, NULL, NULL, 1),
(11082, NULL, 'cd03308', NULL, NULL, 'CmuA_CmuC_like', NULL, 'CmuA_CmuC_like', NULL, NULL, NULL, 1),
(11083, NULL, 'cd18402', NULL, NULL, 'BTB_POZ_KCNA1', NULL, 'BTB_POZ_KCNA1', NULL, NULL, NULL, 1),
(11084, NULL, 'cd04032', NULL, NULL, 'C2_Perforin', NULL, 'C2_Perforin', NULL, NULL, 34178, 1),
(11085, NULL, 'cd12397', NULL, NULL, 'RRM2_Nop13p_fungi', NULL, 'RRM2_Nop13p_fungi', NULL, NULL, 33309, 1),
(11086, NULL, 'cd07458', NULL, NULL, 'CRD_FZ1_like', NULL, 'CRD_FZ1_like', NULL, NULL, NULL, 1),
(11087, NULL, 'cd00158', NULL, NULL, 'RHOD', NULL, 'RHOD', NULL, NULL, NULL, 1),
(11088, NULL, 'cd08245', NULL, NULL, 'CAD', NULL, 'CAD', NULL, NULL, NULL, 1),
(11089, NULL, 'cd12444', NULL, NULL, 'RRM1_CPEBs', NULL, 'RRM1_CPEBs', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11090, NULL, 'cd18756', NULL, NULL, 'PIN_MtVapC15-VapC11-like', NULL, 'PIN_MtVapC15-VapC11-like', NULL, NULL, NULL, 1),
(11091, NULL, 'cd02194', NULL, NULL, 'ThiL', NULL, 'ThiL', NULL, NULL, 3670, 1),
(11092, NULL, 'cd16696', NULL, NULL, 'RING-CH-C4HC3_NFX1', NULL, 'RING-CH-C4HC3_NFX1', NULL, NULL, NULL, 1),
(11093, NULL, 'cd17764', NULL, NULL, 'MTAP_SsMTAPI_like', NULL, 'MTAP_SsMTAPI_like', NULL, NULL, NULL, 1),
(11094, NULL, 'cd14413', NULL, NULL, 'UBA_FAF1', NULL, 'UBA_FAF1', NULL, NULL, 37558, 1),
(11095, NULL, 'cd14032', NULL, NULL, 'STKc_WNK2_like', NULL, 'STKc_WNK2_like', NULL, NULL, NULL, 1),
(11096, NULL, 'cd01409', NULL, NULL, 'SIRT4', NULL, 'SIRT4', NULL, NULL, NULL, 1),
(11097, NULL, 'cd17136', NULL, NULL, 'RBD1_RGS12', NULL, 'RBD1_RGS12', NULL, NULL, NULL, 1),
(11098, NULL, 'cd16335', NULL, NULL, 'MukF_N', NULL, 'MukF_N', NULL, NULL, NULL, 1),
(11099, NULL, 'cd04022', NULL, NULL, 'C2A_MCTP_PRT_plant', NULL, 'C2A_MCTP_PRT_plant', NULL, NULL, NULL, 1),
(11100, NULL, 'cd02036', NULL, NULL, 'MinD', NULL, 'MinD', NULL, NULL, NULL, 1),
(11101, NULL, 'cd03133', NULL, NULL, 'GATase1_ES1', NULL, 'GATase1_ES1', NULL, NULL, NULL, 1),
(11102, NULL, 'cd05749', NULL, NULL, 'Ig2_Axl_Tyro3_like', NULL, 'Ig2_Axl_Tyro3_like', NULL, NULL, NULL, 1),
(11103, NULL, 'cd08898', NULL, NULL, 'SRPBCC_CalC_Aha1-like_5', NULL, 'SRPBCC_CalC_Aha1-like_5', NULL, NULL, NULL, 1),
(11104, NULL, 'cd08332', NULL, NULL, 'CARD_CASP2', NULL, 'CARD_CASP2', NULL, NULL, NULL, 1),
(11105, NULL, 'cd18112', NULL, NULL, 'ATP-synt_V_A-type_beta_C', NULL, 'ATP-synt_V_A-type_beta_C', NULL, NULL, NULL, 1),
(11106, NULL, 'cd06581', NULL, NULL, 'TM_PBP1_LivM_like', NULL, 'TM_PBP1_LivM_like', NULL, NULL, 37335, 1),
(11107, NULL, 'cd13592', NULL, NULL, 'PBP2_HisGL2', NULL, 'PBP2_HisGL2', NULL, NULL, NULL, 1),
(11108, NULL, 'cd10975', NULL, NULL, 'CE4_CDA_like_2', NULL, 'CE4_CDA_like_2', NULL, NULL, NULL, 1),
(11109, NULL, 'cd18234', NULL, NULL, 'BTB_POZ_KLHL1-like', NULL, 'BTB_POZ_KLHL1-like', NULL, NULL, NULL, 1),
(11110, NULL, 'cd07255', NULL, NULL, 'VOC_BsCatE_like_N', NULL, 'VOC_BsCatE_like_N', NULL, NULL, NULL, 1),
(11111, NULL, 'cd18482', NULL, NULL, 'BACK_KBTBD6_7', NULL, 'BACK_KBTBD6_7', NULL, NULL, NULL, 1),
(11112, NULL, 'cd11417', NULL, NULL, 'bHLH_TS_PTF1A', NULL, 'bHLH_TS_PTF1A', NULL, NULL, NULL, 1),
(11113, NULL, 'cd19117', NULL, NULL, 'AKR_AKR3A1-2', NULL, 'AKR_AKR3A1-2', NULL, NULL, 37041, 1),
(11114, NULL, 'cd12464', NULL, NULL, 'RRM_G3BP2', NULL, 'RRM_G3BP2', NULL, NULL, 5892, 1),
(11115, NULL, 'cd18714', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(11116, NULL, 'cd07692', NULL, NULL, 'Ig_CD3_epsilon', NULL, 'Ig_CD3_epsilon', NULL, NULL, NULL, 1),
(11117, NULL, 'cd18566', NULL, NULL, 'ABC_6TM_PrtD_LapB_HlyB_like', NULL, 'ABC_6TM_PrtD_LapB_HlyB_like', NULL, NULL, NULL, 1),
(11118, NULL, 'cd18322', NULL, NULL, 'BTB_POZ_SKP1', NULL, 'BTB_POZ_SKP1', NULL, NULL, NULL, 1),
(11119, NULL, 'cd00555', NULL, NULL, 'Maf', NULL, 'Maf', NULL, NULL, 2033, 1),
(11120, NULL, 'cd08547', NULL, NULL, 'Type_II_cohesin', NULL, 'Type_II_cohesin', NULL, NULL, NULL, 1),
(11121, NULL, 'cd02870', NULL, NULL, 'PseudoU_synth_RsuA_like', NULL, 'PseudoU_synth_RsuA_like', NULL, NULL, NULL, 1),
(11122, NULL, 'cd04226', NULL, NULL, 'CuRO_1_FV_like', NULL, 'CuRO_1_FV_like', NULL, NULL, NULL, 1),
(11123, NULL, 'cd05600', NULL, NULL, 'STKc_Sid2p_like', NULL, 'STKc_Sid2p_like', NULL, NULL, NULL, 1),
(11124, NULL, 'cd15546', NULL, NULL, 'PHD_PHF13_like', NULL, 'PHD_PHF13_like', NULL, NULL, NULL, 1),
(11125, NULL, 'cd20227', NULL, NULL, 'PFM_CPE-like', NULL, 'PFM_CPE-like', NULL, NULL, NULL, 1),
(11126, NULL, 'cd15871', NULL, NULL, 'R-SNARE_VAMP7', NULL, 'R-SNARE_VAMP7', NULL, NULL, NULL, 1),
(11127, NULL, 'cd12282', NULL, NULL, 'RRM2_TatSF1_like', NULL, 'RRM2_TatSF1_like', NULL, NULL, NULL, 1),
(11128, NULL, 'cd11806', NULL, NULL, 'SH3_PRMT2', NULL, 'SH3_PRMT2', NULL, NULL, NULL, 1),
(11129, NULL, 'cd13224', NULL, NULL, 'PH_Net1', NULL, 'PH_Net1', NULL, NULL, 34606, 1),
(11130, NULL, 'cd11434', NULL, NULL, 'bHLH-PAS_SIM', NULL, 'bHLH-PAS_SIM', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11131, NULL, 'cd05780', NULL, NULL, 'DNA_polB_Kod1_like_exo', NULL, 'DNA_polB_Kod1_like_exo', NULL, NULL, NULL, 1),
(11132, NULL, 'cd16965', NULL, NULL, 'Alpha_kinase_ChaK', NULL, 'Alpha_kinase_ChaK', NULL, NULL, NULL, 1),
(11133, NULL, 'cd01625', NULL, NULL, 'HAD_PNP', NULL, 'HAD_PNP', NULL, NULL, NULL, 1),
(11134, NULL, 'cd03857', NULL, NULL, 'M14-like', NULL, 'M14-like', NULL, NULL, NULL, 1),
(11135, NULL, 'cd07333', NULL, NULL, 'M48C_bepA_like', NULL, 'M48C_bepA_like', NULL, NULL, NULL, 1),
(11136, NULL, 'cd11306', NULL, NULL, 'M35_peptidyl-Lys', NULL, 'M35_peptidyl-Lys', NULL, NULL, 19545, 1),
(11137, NULL, 'cd14318', NULL, NULL, 'UBA_Cbl_like', NULL, 'UBA_Cbl_like', NULL, NULL, NULL, 1),
(11138, NULL, 'cd05312', NULL, NULL, 'NAD_bind_1_malic_enz', NULL, 'NAD_bind_1_malic_enz', NULL, NULL, NULL, 1),
(11139, NULL, 'cd09605', NULL, NULL, 'M3A', NULL, 'M3A', NULL, NULL, NULL, 1),
(11140, NULL, 'cd00468', NULL, NULL, 'HIT_like', NULL, 'HIT_like', NULL, NULL, NULL, 1),
(11141, NULL, 'cd05657', NULL, NULL, 'M42_glucanase_like', NULL, 'M42_glucanase_like', NULL, NULL, NULL, 1),
(11142, NULL, 'cd11539', NULL, NULL, 'NTP-PPase_u2', NULL, 'NTP-PPase_u2', NULL, NULL, NULL, 1),
(11143, NULL, 'cd09264', NULL, NULL, 'AP_Syp1_MHD', NULL, 'AP_Syp1_MHD', NULL, NULL, NULL, 1),
(11144, NULL, 'cd16404', NULL, NULL, 'pNOB8_ParB_N_like', NULL, 'pNOB8_ParB_N_like', NULL, NULL, NULL, 1),
(11145, NULL, 'cd16650', NULL, NULL, 'SP-RING_PIAS_like', NULL, 'SP-RING_PIAS_like', NULL, NULL, NULL, 1),
(11146, NULL, 'cd05330', NULL, NULL, 'cyclohexanol_reductase_SDR_c', NULL, 'cyclohexanol_reductase_SDR_c', NULL, NULL, NULL, 1),
(11147, NULL, 'cd05326', NULL, NULL, 'secoisolariciresinol-DH_like_SDR_c', NULL, 'secoisolariciresinol-DH_like_SDR_c', NULL, NULL, 39743, 1),
(11148, NULL, 'cd05381', NULL, NULL, 'CAP_PR-1', NULL, 'CAP_PR-1', NULL, NULL, NULL, 1),
(11149, NULL, 'cd00347', NULL, NULL, 'Flavin_utilizing_monoxygenases', NULL, 'Flavin_utilizing_monoxygenases', NULL, NULL, NULL, 1),
(11150, NULL, 'cd02431', NULL, NULL, 'Ferritin_CCC1_C', NULL, 'Ferritin_CCC1_C', NULL, NULL, NULL, 1),
(11151, NULL, 'cd15823', NULL, NULL, 'SPRY_PRY_TRIM6', NULL, 'SPRY_PRY_TRIM6', NULL, NULL, 33941, 1),
(11152, NULL, 'cd18301', NULL, NULL, 'BTB1_POZ_IBtk', NULL, 'BTB1_POZ_IBtk', NULL, NULL, NULL, 1),
(11153, NULL, 'cd06937', NULL, NULL, 'NR_LBD_RAR', NULL, 'NR_LBD_RAR', NULL, NULL, NULL, 1),
(11154, NULL, 'cd11707', NULL, NULL, 'DHR2_DOCK1', NULL, 'DHR2_DOCK1', NULL, NULL, NULL, 1),
(11155, NULL, 'cd17003', NULL, NULL, 'CID_Rtt103', NULL, 'CID_Rtt103', NULL, NULL, NULL, 1),
(11156, NULL, 'cd02975', NULL, NULL, 'PfPDO_like_N', NULL, 'PfPDO_like_N', NULL, NULL, NULL, 1),
(11157, NULL, 'cd17649', NULL, NULL, 'A_NRPS_PvdJ-like', NULL, 'A_NRPS_PvdJ-like', NULL, NULL, NULL, 1),
(11158, NULL, 'cd06405', NULL, NULL, 'PB1_Mekk2_3', NULL, 'PB1_Mekk2_3', NULL, NULL, 17194, 1),
(11159, NULL, 'cd13384', NULL, NULL, 'PH_Gab2_2', NULL, 'PH_Gab2_2', NULL, NULL, NULL, 1),
(11160, NULL, 'cd16872', NULL, NULL, 'ARID_HMGB9-like', NULL, 'ARID_HMGB9-like', NULL, NULL, 38055, 1),
(11161, NULL, 'cd07069', NULL, NULL, 'NR_LBD_Lrh-1', NULL, 'NR_LBD_Lrh-1', NULL, NULL, NULL, 1),
(11162, NULL, 'cd08172', NULL, NULL, 'GlyDH-like', NULL, 'GlyDH-like', NULL, NULL, NULL, 1),
(11163, NULL, 'cd01898', NULL, NULL, 'Obg', NULL, 'Obg', NULL, NULL, 24954, 1),
(11164, NULL, 'cd05917', NULL, NULL, 'FACL_like_2', NULL, 'FACL_like_2', NULL, NULL, NULL, 1),
(11165, NULL, 'cd10802', NULL, NULL, 'YdjC_TTHB029_like', NULL, 'YdjC_TTHB029_like', NULL, NULL, NULL, 1),
(11166, NULL, 'cd03755', NULL, NULL, 'proteasome_alpha_type_7', NULL, 'proteasome_alpha_type_7', NULL, NULL, NULL, 1),
(11167, NULL, 'cd10238', NULL, NULL, 'HSPA14-like_NBD', NULL, 'HSPA14-like_NBD', NULL, NULL, 32806, 1),
(11168, NULL, 'cd18173', NULL, NULL, 'M14_CP_bacteria', NULL, 'M14_CP_bacteria', NULL, NULL, NULL, 1),
(11169, NULL, 'cd02636', NULL, NULL, 'R3H_sperm-antigen', NULL, 'R3H_sperm-antigen', NULL, NULL, 13494, 1),
(11170, NULL, 'cd03153', NULL, NULL, 'PHEMX_like_LEL', NULL, 'PHEMX_like_LEL', NULL, NULL, 37393, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11171, NULL, 'cd16287', NULL, NULL, 'CphS_ImiS-like_MBL-B2', NULL, 'CphS_ImiS-like_MBL-B2', NULL, NULL, NULL, 1),
(11172, NULL, 'cd15542', NULL, NULL, 'PHD_UBR7', NULL, 'PHD_UBR7', NULL, NULL, NULL, 1),
(11173, NULL, 'cd04862', NULL, NULL, 'PaeLigD_Pol_like', NULL, 'PaeLigD_Pol_like', NULL, NULL, 32892, 1),
(11174, NULL, 'cd08895', NULL, NULL, 'SRPBCC_CalC_Aha1-like_2', NULL, 'SRPBCC_CalC_Aha1-like_2', NULL, NULL, NULL, 1),
(11175, NULL, 'cd04142', NULL, NULL, 'RRP22', NULL, 'RRP22', NULL, NULL, NULL, 1),
(11176, NULL, 'cd13620', NULL, NULL, 'PBP2_GltS', NULL, 'PBP2_GltS', NULL, NULL, NULL, 1),
(11177, NULL, 'cd11695', NULL, NULL, 'DHR2_DOCK_C', NULL, 'DHR2_DOCK_C', NULL, NULL, NULL, 1),
(11178, NULL, 'cd14600', NULL, NULL, 'PTPc-N3', NULL, 'PTPc-N3', NULL, NULL, NULL, 1),
(11179, NULL, 'cd01743', NULL, NULL, 'GATase1_Anthranilate_Synthase', NULL, 'GATase1_Anthranilate_Synthase', NULL, NULL, 11486, 1),
(11180, NULL, 'cd04898', NULL, NULL, 'ACT_ACR-like_4', NULL, 'ACT_ACR-like_4', NULL, NULL, NULL, 1),
(11181, NULL, 'cd02605', NULL, NULL, 'HAD_SPP', NULL, 'HAD_SPP', NULL, NULL, NULL, 1),
(11182, NULL, 'cd12037', NULL, NULL, 'SH3_MPP2', NULL, 'SH3_MPP2', NULL, NULL, 30773, 1),
(11183, NULL, 'cd18694', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(11184, NULL, 'cd07296', NULL, NULL, 'PX_PLD1', NULL, 'PX_PLD1', NULL, NULL, NULL, 1),
(11185, NULL, 'cd05096', NULL, NULL, 'PTKc_DDR1', NULL, 'PTKc_DDR1', NULL, NULL, NULL, 1),
(11186, NULL, 'cd12573', NULL, NULL, 'RRM2_MSI2', NULL, 'RRM2_MSI2', NULL, NULL, NULL, 1),
(11187, NULL, 'cd16379', NULL, NULL, 'YitT_C_like', NULL, 'YitT_C_like', NULL, NULL, NULL, 1),
(11188, NULL, 'cd04164', NULL, NULL, 'trmE', NULL, 'trmE', NULL, NULL, 27347, 1),
(11189, NULL, 'cd19888', NULL, NULL, 'DSRM_STAU2_rpt5', NULL, 'DSRM_STAU2_rpt5', NULL, NULL, NULL, 1),
(11190, NULL, 'cd11363', NULL, NULL, 'RNase_PH_PNPase_1', NULL, 'RNase_PH_PNPase_1', NULL, NULL, NULL, 1),
(11191, NULL, 'cd08159', NULL, NULL, 'APC10-like', NULL, 'APC10-like', NULL, NULL, NULL, 1),
(11192, NULL, 'cd14699', NULL, NULL, 'bZIP_Fos_like', NULL, 'bZIP_Fos_like', NULL, NULL, NULL, 1),
(11193, NULL, 'cd00128', NULL, NULL, 'PIN_FEN1_EXO1-like', NULL, 'PIN_FEN1_EXO1-like', NULL, NULL, NULL, 1),
(11194, NULL, 'cd03231', NULL, NULL, 'ABC_CcmA_heme_exporter', NULL, 'ABC_CcmA_heme_exporter', NULL, NULL, NULL, 1),
(11195, NULL, 'cd08438', NULL, NULL, 'PBP2_CidR', NULL, 'PBP2_CidR', NULL, NULL, NULL, 1),
(11196, NULL, 'cd08683', NULL, NULL, 'C2_C2cd3', NULL, 'C2_C2cd3', NULL, NULL, 34546, 1),
(11197, NULL, 'cd15293', NULL, NULL, '7tmC_GPR158-like', NULL, '7tmC_GPR158-like', NULL, NULL, NULL, 1),
(11198, NULL, 'cd13199', NULL, NULL, 'FERM_C2_MyoVII', NULL, 'FERM_C2_MyoVII', NULL, NULL, 33170, 1),
(11199, NULL, 'cd00276', NULL, NULL, 'C2B_Synaptotagmin', NULL, 'C2B_Synaptotagmin', NULL, NULL, NULL, 1),
(11200, NULL, 'cd03481', NULL, NULL, 'TopoIIA_Trans_ScTopoIIA', NULL, 'TopoIIA_Trans_ScTopoIIA', NULL, NULL, NULL, 1),
(11201, NULL, 'cd12713', NULL, NULL, 'RRM_TNRC6C', NULL, 'RRM_TNRC6C', NULL, NULL, 11595, 1),
(11202, NULL, 'cd02171', NULL, NULL, 'G3P_Cytidylyltransferase', NULL, 'G3P_Cytidylyltransferase', NULL, NULL, NULL, 1),
(11203, NULL, 'cd14143', NULL, NULL, 'STKc_TGFbR1_ACVR1b_ACVR1c', NULL, 'STKc_TGFbR1_ACVR1b_ACVR1c', NULL, NULL, NULL, 1),
(11204, NULL, 'cd07551', NULL, NULL, 'P-type_ATPase_HM_ZosA_PfeT-like', NULL, 'P-type_ATPase_HM_ZosA_PfeT-like', NULL, NULL, NULL, 1),
(11205, NULL, 'cd10040', NULL, NULL, 'Reelin_repeat_4_subrepeat_1', NULL, 'Reelin_repeat_4_subrepeat_1', NULL, NULL, NULL, 1),
(11206, NULL, 'cd17672', NULL, NULL, 'MDM2', NULL, 'MDM2', NULL, NULL, NULL, 1),
(11207, NULL, 'cd02257', NULL, NULL, 'Peptidase_C19', NULL, 'Peptidase_C19', NULL, NULL, NULL, 1),
(11208, NULL, 'cd14750', NULL, NULL, 'PBP2_TMBP', NULL, 'PBP2_TMBP', NULL, NULL, NULL, 1),
(11209, NULL, 'cd16554', NULL, NULL, 'RING-HC_RNF180', NULL, 'RING-HC_RNF180', NULL, NULL, NULL, 1),
(11210, NULL, 'cd16844', NULL, NULL, 'ParB_N_like_MT', NULL, 'ParB_N_like_MT', NULL, NULL, NULL, 1),
(11211, NULL, 'cd10381', NULL, NULL, 'SH2_Jak_Tyk2', NULL, 'SH2_Jak_Tyk2', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11212, NULL, 'cd12732', NULL, NULL, 'RRM2_hnRNPH3', NULL, 'RRM2_hnRNPH3', NULL, NULL, 29231, 1),
(11213, NULL, 'cd19743', NULL, NULL, 'bHLH_TS_ASCL2_Mash2', NULL, 'bHLH_TS_ASCL2_Mash2', NULL, NULL, NULL, 1),
(11214, NULL, 'cd03334', NULL, NULL, 'Fab1_TCP', NULL, 'Fab1_TCP', NULL, NULL, NULL, 1),
(11215, NULL, 'cd01291', NULL, NULL, 'PseudoU_synth', NULL, 'PseudoU_synth', NULL, NULL, NULL, 1),
(11216, NULL, 'cd12763', NULL, NULL, 'RRM1_hnRNPA3', NULL, 'RRM1_hnRNPA3', NULL, NULL, 12060, 1),
(11217, NULL, 'cd14642', NULL, NULL, 'DSP_DUSP6', NULL, 'DSP_DUSP6', NULL, NULL, NULL, 1),
(11218, NULL, 'cd04512', NULL, NULL, 'Ntn_Asparaginase_2_like', NULL, 'Ntn_Asparaginase_2_like', NULL, NULL, NULL, 1),
(11219, NULL, 'cd14068', NULL, NULL, 'STKc_LRRK2', NULL, 'STKc_LRRK2', NULL, NULL, NULL, 1),
(11220, NULL, 'cd08860', NULL, NULL, 'TcmN_ARO-CYC_like', NULL, 'TcmN_ARO-CYC_like', NULL, NULL, NULL, 1),
(11221, NULL, 'cd00124', NULL, NULL, 'MYSc', NULL, 'MYSc', NULL, NULL, NULL, 1),
(11222, NULL, 'cd00506', NULL, NULL, 'PseudoU_synth_TruB_like', NULL, 'PseudoU_synth_TruB_like', NULL, NULL, NULL, 1),
(11223, NULL, 'cd09716', NULL, NULL, 'Cas5_I', NULL, 'Cas5_I', NULL, NULL, 18038, 1),
(11224, NULL, 'cd17156', NULL, NULL, 'DCX1_DCDC5', NULL, 'DCX1_DCDC5', NULL, NULL, NULL, 1),
(11225, NULL, 'cd11277', NULL, NULL, 'Sema_plexin_B3', NULL, 'Sema_plexin_B3', NULL, NULL, NULL, 1),
(11226, NULL, 'cd07681', NULL, NULL, 'F-BAR_PACSIN3', NULL, 'F-BAR_PACSIN3', NULL, NULL, NULL, 1),
(11227, NULL, 'cd04875', NULL, NULL, 'ACT_F4HF-DF', NULL, 'ACT_F4HF-DF', NULL, NULL, 38685, 1),
(11228, NULL, 'cd08811', NULL, NULL, 'CARD_IPS1', NULL, 'CARD_IPS1', NULL, NULL, 36204, 1),
(11229, NULL, 'cd02607', NULL, NULL, 'HAD_ThrH_like', NULL, 'HAD_ThrH_like', NULL, NULL, NULL, 1),
(11230, NULL, 'cd13206', NULL, NULL, 'FERM_C-lobe_PLEKHH1_PLEKHH2', NULL, 'FERM_C-lobe_PLEKHH1_PLEKHH2', NULL, NULL, NULL, 1),
(11231, NULL, 'cd21684', NULL, NULL, 'ORF7a_SARS-CoV-2-like', NULL, 'ORF7a_SARS-CoV-2-like', NULL, NULL, 38552, 1),
(11232, NULL, 'cd04447', NULL, NULL, 'DEP_BRCC3', NULL, 'DEP_BRCC3', NULL, NULL, NULL, 1),
(11233, NULL, 'cd16992', NULL, NULL, 'ENTH_Ent3', NULL, 'ENTH_Ent3', NULL, NULL, NULL, 1),
(11234, NULL, 'cd18034', NULL, NULL, 'DEXHc_dicer', NULL, 'DEXHc_dicer', NULL, NULL, NULL, 1),
(11235, NULL, 'cd01176', NULL, NULL, 'IPT_RBP-Jkappa', NULL, 'IPT_RBP-Jkappa', NULL, NULL, 30296, 1),
(11236, NULL, 'cd09585', NULL, NULL, 'SAM_DDHD2', NULL, 'SAM_DDHD2', NULL, NULL, NULL, 1),
(11237, NULL, 'cd07447', NULL, NULL, 'CRD_Carboxypeptidase_Z', NULL, 'CRD_Carboxypeptidase_Z', NULL, NULL, NULL, 1),
(11238, NULL, 'cd03881', NULL, NULL, 'M28_Nicastrin', NULL, 'M28_Nicastrin', NULL, NULL, NULL, 1),
(11239, NULL, 'cd15745', NULL, NULL, 'FYVE_RUFY4', NULL, 'FYVE_RUFY4', NULL, NULL, NULL, 1),
(11240, NULL, 'cd19836', NULL, NULL, 'Bbox1_MID1_C-I', NULL, 'Bbox1_MID1_C-I', NULL, NULL, NULL, 1),
(11241, NULL, 'cd09527', NULL, NULL, 'SAM_Samd5', NULL, 'SAM_Samd5', NULL, NULL, NULL, 1),
(11242, NULL, 'cd09976', NULL, NULL, 'LOTUS_3_TDRD5', NULL, 'LOTUS_3_TDRD5', NULL, NULL, NULL, 1),
(11243, NULL, 'cd09127', NULL, NULL, 'PLDc_unchar1_1', NULL, 'PLDc_unchar1_1', NULL, NULL, NULL, 1),
(11244, NULL, 'cd19611', NULL, NULL, 'Ctf13_LRR_LRR-insertion', NULL, 'Ctf13_LRR_LRR-insertion', NULL, NULL, NULL, 1),
(11245, NULL, 'cd15867', NULL, NULL, 'R-SNARE_YKT6', NULL, 'R-SNARE_YKT6', NULL, NULL, 38955, 1),
(11246, NULL, 'cd09262', NULL, NULL, 'AP_stonin-1_MHD', NULL, 'AP_stonin-1_MHD', NULL, NULL, NULL, 1),
(11247, NULL, 'cd13391', NULL, NULL, 'PH_PRG', NULL, 'PH_PRG', NULL, NULL, 31451, 1),
(11248, NULL, 'cd02125', NULL, NULL, 'PA_VSR', NULL, 'PA_VSR', NULL, NULL, NULL, 1),
(11249, NULL, 'cd07322', NULL, NULL, 'PriL_PriS_Eukaryotic', NULL, 'PriL_PriS_Eukaryotic', NULL, NULL, 18433, 1),
(11250, NULL, 'cd17528', NULL, NULL, 'HAMP_III', NULL, 'HAMP_III', NULL, NULL, NULL, 1),
(11251, NULL, 'cd02129', NULL, NULL, 'PA_hSPPL_like', NULL, 'PA_hSPPL_like', NULL, NULL, NULL, 1),
(11252, NULL, 'cd04596', NULL, NULL, 'CBS_pair_DRTGG_assoc', NULL, 'CBS_pair_DRTGG_assoc', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11253, NULL, 'cd03752', NULL, NULL, 'proteasome_alpha_type_4', NULL, 'proteasome_alpha_type_4', NULL, NULL, NULL, 1),
(11254, NULL, 'cd16647', NULL, NULL, 'mRING-HC-C3HC5_NEU1', NULL, 'mRING-HC-C3HC5_NEU1', NULL, NULL, NULL, 1),
(11255, NULL, 'cd18975', NULL, NULL, 'CD_MarY1_POL_like', NULL, 'CD_MarY1_POL_like', NULL, NULL, NULL, 1),
(11256, NULL, 'cd08563', NULL, NULL, 'GDPD_TtGDE_like', NULL, 'GDPD_TtGDE_like', NULL, NULL, NULL, 1),
(11257, NULL, 'cd00922', NULL, NULL, 'Cyt_c_Oxidase_IV', NULL, 'Cyt_c_Oxidase_IV', NULL, NULL, 2947, 1),
(11258, NULL, 'cd09151', NULL, NULL, 'PLDc_Ymt_2', NULL, 'PLDc_Ymt_2', NULL, NULL, NULL, 1),
(11259, NULL, 'cd12705', NULL, NULL, 'RRM4_hnRPLL', NULL, 'RRM4_hnRPLL', NULL, NULL, 19485, 1),
(11260, NULL, 'cd19045', NULL, NULL, 'LGIC_ECD_GABAAR_G3', NULL, 'LGIC_ECD_GABAAR_G3', NULL, NULL, NULL, 1),
(11261, NULL, 'cd07009', NULL, NULL, 'cupin_BLL0285-like', NULL, 'cupin_BLL0285-like', NULL, NULL, NULL, 1),
(11262, NULL, 'cd05371', NULL, NULL, 'HSD10-like_SDR_c', NULL, 'HSD10-like_SDR_c', NULL, NULL, NULL, 1),
(11263, NULL, 'cd09009', NULL, NULL, 'PNP-EcPNPII_like', NULL, 'PNP-EcPNPII_like', NULL, NULL, 9525, 1),
(11264, NULL, 'cd09935', NULL, NULL, 'SH2_ABL', NULL, 'SH2_ABL', NULL, NULL, 34471, 1),
(11265, NULL, 'cd06279', NULL, NULL, 'PBP1_LacI-like', NULL, 'PBP1_LacI-like', NULL, NULL, NULL, 1),
(11266, NULL, 'cd07061', NULL, NULL, 'HP_HAP_like', NULL, 'HP_HAP_like', NULL, NULL, 4201, 1),
(11267, NULL, 'cd13418', NULL, NULL, 'TNFRSF19', NULL, 'TNFRSF19', NULL, NULL, 13719, 1),
(11268, NULL, 'cd15232', NULL, NULL, '7tmA_OR13-like', NULL, '7tmA_OR13-like', NULL, NULL, NULL, 1),
(11269, NULL, 'cd09332', NULL, NULL, 'LIM2_PINCH', NULL, 'LIM2_PINCH', NULL, NULL, NULL, 1),
(11270, NULL, 'cd17203', NULL, NULL, 'FERM_F1_EPB41L3', NULL, 'FERM_F1_EPB41L3', NULL, NULL, NULL, 1),
(11271, NULL, 'cd17546', NULL, NULL, 'REC_hyHK_CKI1_RcsC-like', NULL, 'REC_hyHK_CKI1_RcsC-like', NULL, NULL, NULL, 1),
(11272, NULL, 'cd18064', NULL, NULL, 'DEXHc_SMARCA5', NULL, 'DEXHc_SMARCA5', NULL, NULL, NULL, 1),
(11273, NULL, 'cd00513', NULL, NULL, 'Ribosomal_L32_L32e', NULL, 'Ribosomal_L32_L32e', NULL, NULL, 6461, 1),
(11274, NULL, 'cd04393', NULL, NULL, 'RhoGAP_FAM13A1a', NULL, 'RhoGAP_FAM13A1a', NULL, NULL, NULL, 1),
(11275, NULL, 'cd06081', NULL, NULL, 'KOW_Spt5_1', NULL, 'KOW_Spt5_1', NULL, NULL, 33097, 1),
(11276, NULL, 'cd06398', NULL, NULL, 'PB1_Joka2', NULL, 'PB1_Joka2', NULL, NULL, NULL, 1),
(11277, NULL, 'cd03339', NULL, NULL, 'TCP1_epsilon', NULL, 'TCP1_epsilon', NULL, NULL, 11586, 1),
(11278, NULL, 'cd01418', NULL, NULL, 'Ribosomal_L19e_A', NULL, 'Ribosomal_L19e_A', NULL, NULL, 33466, 1),
(11279, NULL, 'cd08449', NULL, NULL, 'PBP2_XapR', NULL, 'PBP2_XapR', NULL, NULL, 31037, 1),
(11280, NULL, 'cd16024', NULL, NULL, 'GPI_EPT_2', NULL, 'GPI_EPT_2', NULL, NULL, 29713, 1),
(11281, NULL, 'cd15724', NULL, NULL, 'FYVE_ZFY26', NULL, 'FYVE_ZFY26', NULL, NULL, NULL, 1),
(11282, NULL, 'cd01578', NULL, NULL, 'AcnA_Mitochon_Swivel', NULL, 'AcnA_Mitochon_Swivel', NULL, NULL, NULL, 1),
(11283, NULL, 'cd19418', NULL, NULL, 'lipocalin_A1M-like', NULL, 'lipocalin_A1M-like', NULL, NULL, NULL, 1),
(11284, NULL, 'cd02258', NULL, NULL, 'Peptidase_C25_N', NULL, 'Peptidase_C25_N', NULL, NULL, NULL, 1),
(11285, NULL, 'cd16479', NULL, NULL, 'RING-H2_synoviolin', NULL, 'RING-H2_synoviolin', NULL, NULL, NULL, 1),
(11286, NULL, 'cd05495', NULL, NULL, 'Bromo_cbp_like', NULL, 'Bromo_cbp_like', NULL, NULL, NULL, 1),
(11287, NULL, 'cd01013', NULL, NULL, 'isochorismatase', NULL, 'isochorismatase', NULL, NULL, NULL, 1),
(11288, NULL, 'cd12006', NULL, NULL, 'SH3_Fyn_Yrk', NULL, 'SH3_Fyn_Yrk', NULL, NULL, 32784, 1),
(11289, NULL, 'cd05255', NULL, NULL, 'SQD1_like_SDR_e', NULL, 'SQD1_like_SDR_e', NULL, NULL, NULL, 1),
(11290, NULL, 'cd18121', NULL, NULL, 'ATP-synt_Fo_c', NULL, 'ATP-synt_Fo_c', NULL, NULL, NULL, 1),
(11291, NULL, 'cd00523', NULL, NULL, 'archeal_HJR', NULL, 'archeal_HJR', NULL, NULL, 7611, 1),
(11292, NULL, 'cd06177', NULL, NULL, 'MFS_NHS', NULL, 'MFS_NHS', NULL, NULL, NULL, 1),
(11293, NULL, 'cd15691', NULL, NULL, 'PHD1_DPF2_like', NULL, 'PHD1_DPF2_like', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11294, NULL, 'cd07696', NULL, NULL, 'IgC_CH3_IgAEM_CH2_IgG', NULL, 'IgC_CH3_IgAEM_CH2_IgG', NULL, NULL, NULL, 1),
(11295, NULL, 'cd16534', NULL, NULL, 'RING-HC_RNF5_like', NULL, 'RING-HC_RNF5_like', NULL, NULL, NULL, 1),
(11296, NULL, 'cd12375', NULL, NULL, 'RRM1_Hu_like', NULL, 'RRM1_Hu_like', NULL, NULL, NULL, 1),
(11297, NULL, 'cd02195', NULL, NULL, 'SelD', NULL, 'SelD', NULL, NULL, 1927, 1),
(11298, NULL, 'cd13296', NULL, NULL, 'PH2_MyoX', NULL, 'PH2_MyoX', NULL, NULL, NULL, 1),
(11299, NULL, 'cd04081', NULL, NULL, 'CBM35_galactosidase-like', NULL, 'CBM35_galactosidase-like', NULL, NULL, NULL, 1),
(11300, NULL, 'cd04701', NULL, NULL, 'Asparaginase_2', NULL, 'Asparaginase_2', NULL, NULL, NULL, 1),
(11301, NULL, 'cd01897', NULL, NULL, 'NOG', NULL, 'NOG', NULL, NULL, NULL, 1),
(11302, NULL, 'cd10921', NULL, NULL, 'CE4_MJ0505_like', NULL, 'CE4_MJ0505_like', NULL, NULL, NULL, 1),
(11303, NULL, 'cd15000', NULL, NULL, '7tmA_BNGR-A34-like', NULL, '7tmA_BNGR-A34-like', NULL, NULL, NULL, 1),
(11304, NULL, 'cd19873', NULL, NULL, 'DSRM_MRPL3_like', NULL, 'DSRM_MRPL3_like', NULL, NULL, 37068, 1),
(11305, NULL, 'cd03292', NULL, NULL, 'ABC_FtsE_transporter', NULL, 'ABC_FtsE_transporter', NULL, NULL, NULL, 1),
(11306, NULL, 'cd07997', NULL, NULL, 'WGR_PARP', NULL, 'WGR_PARP', NULL, NULL, NULL, 1),
(11307, NULL, 'cd11296', NULL, NULL, 'O-FucT_like', NULL, 'O-FucT_like', NULL, NULL, NULL, 1),
(11308, NULL, 'cd14551', NULL, NULL, 'R-PTPc-A-E-1', NULL, 'R-PTPc-A-E-1', NULL, NULL, NULL, 1),
(11309, NULL, 'cd08431', NULL, NULL, 'PBP2_HupR', NULL, 'PBP2_HupR', NULL, NULL, NULL, 1),
(11310, NULL, 'cd03731', NULL, NULL, 'SOCS_ASB15', NULL, 'SOCS_ASB15', NULL, NULL, NULL, 1),
(11311, NULL, 'cd05305', NULL, NULL, 'L-AlaDH', NULL, 'L-AlaDH', NULL, NULL, 7017, 1),
(11312, NULL, 'cd19402', NULL, NULL, 'TGF_beta_GDF9B', NULL, 'TGF_beta_GDF9B', NULL, NULL, NULL, 1),
(11313, NULL, 'cd07371', NULL, NULL, '2A5CPDO_AB', NULL, '2A5CPDO_AB', NULL, NULL, NULL, 1),
(11314, NULL, 'cd03518', NULL, NULL, 'Link_domain_HAPLN_module_1', NULL, 'Link_domain_HAPLN_module_1', NULL, NULL, NULL, 1),
(11315, NULL, 'cd18085', NULL, NULL, 'TM1570-like', NULL, 'TM1570-like', NULL, NULL, 19135, 1),
(11316, NULL, 'cd10534', NULL, NULL, 'PR-SET_PRDM-like', NULL, 'PR-SET_PRDM-like', NULL, NULL, NULL, 1),
(11317, NULL, 'cd11551', NULL, NULL, 'Serine_rich_CASS4', NULL, 'Serine_rich_CASS4', NULL, NULL, NULL, 1),
(11318, NULL, 'cd00637', NULL, NULL, '7tm_classA_rhodopsin-like', NULL, '7tm_classA_rhodopsin-like', NULL, NULL, NULL, 1),
(11319, NULL, 'cd08206', NULL, NULL, 'RuBisCO_large_I_II_III', NULL, 'RuBisCO_large_I_II_III', NULL, NULL, NULL, 1),
(11320, NULL, 'cd09638', NULL, NULL, 'Cas2_I_II_III', NULL, 'Cas2_I_II_III', NULL, NULL, NULL, 1),
(11321, NULL, 'cd01475', NULL, NULL, 'vWA_Matrilin', NULL, 'vWA_Matrilin', NULL, NULL, NULL, 1),
(11322, NULL, 'cd00789', NULL, NULL, 'KU_like', NULL, 'KU_like', NULL, NULL, 9702, 1),
(11323, NULL, 'cd03809', NULL, NULL, 'GT4_MtfB-like', NULL, 'GT4_MtfB-like', NULL, NULL, NULL, 1),
(11324, NULL, 'cd02954', NULL, NULL, 'DIM1', NULL, 'DIM1', NULL, NULL, 1583, 1),
(11325, NULL, 'cd07647', NULL, NULL, 'F-BAR_PSTPIP', NULL, 'F-BAR_PSTPIP', NULL, NULL, NULL, 1),
(11326, NULL, 'cd05669', NULL, NULL, 'M20_Acy1_YxeP-like', NULL, 'M20_Acy1_YxeP-like', NULL, NULL, NULL, 1),
(11327, NULL, 'cd21685', NULL, NULL, 'ORF7a_SARS-CoV-like', NULL, 'ORF7a_SARS-CoV-like', NULL, NULL, NULL, 1),
(11328, NULL, 'cd11420', NULL, NULL, 'bHLH_E-protein', NULL, 'bHLH_E-protein', NULL, NULL, NULL, 1),
(11329, NULL, 'cd04791', NULL, NULL, 'LanC_SerThrkinase', NULL, 'LanC_SerThrkinase', NULL, NULL, NULL, 1),
(11330, NULL, 'cd00303', NULL, NULL, 'retropepsin_like', NULL, 'retropepsin_like', NULL, NULL, NULL, 1),
(11331, NULL, 'cd12691', NULL, NULL, 'RRM2_PTBPH1_PTBPH2', NULL, 'RRM2_PTBPH1_PTBPH2', NULL, NULL, 35165, 1),
(11332, NULL, 'cd17915', NULL, NULL, 'DEAHc_XPD-like', NULL, 'DEAHc_XPD-like', NULL, NULL, NULL, 1),
(11333, NULL, 'cd02081', NULL, NULL, 'P-type_ATPase_Ca_PMCA-like', NULL, 'P-type_ATPase_Ca_PMCA-like', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11334, NULL, 'cd12438', NULL, NULL, 'RRM_CNOT4', NULL, 'RRM_CNOT4', NULL, NULL, 6315, 1),
(11335, NULL, 'cd14810', NULL, NULL, 'bZIP_u1', NULL, 'bZIP_u1', NULL, NULL, NULL, 1),
(11336, NULL, 'cd17742', NULL, NULL, 'BRCT_CHS5_like', NULL, 'BRCT_CHS5_like', NULL, NULL, NULL, 1),
(11337, NULL, 'cd12086', NULL, NULL, 'DD_cGKI-beta', NULL, 'DD_cGKI-beta', NULL, NULL, NULL, 1),
(11338, NULL, 'cd15759', NULL, NULL, 'FYVE_RUFY2', NULL, 'FYVE_RUFY2', NULL, NULL, NULL, 1),
(11339, NULL, 'cd07358', NULL, NULL, 'HN_PDZD7_like', NULL, 'HN_PDZD7_like', NULL, NULL, 36702, 1),
(11340, NULL, 'cd08700', NULL, NULL, 'FMT_C_OzmH_like', NULL, 'FMT_C_OzmH_like', NULL, NULL, NULL, 1),
(11341, NULL, 'cd12740', NULL, NULL, 'RRM2_ESRP2', NULL, 'RRM2_ESRP2', NULL, NULL, NULL, 1),
(11342, NULL, 'cd10942', NULL, NULL, 'CE4_u11', NULL, 'CE4_u11', NULL, NULL, NULL, 1),
(11343, NULL, 'cd18250', NULL, NULL, 'BTB_POZ_KLHL21', NULL, 'BTB_POZ_KLHL21', NULL, NULL, NULL, 1),
(11344, NULL, 'cd03475', NULL, NULL, 'Rieske_SoxF_SoxL', NULL, 'Rieske_SoxF_SoxL', NULL, NULL, NULL, 1),
(11345, NULL, 'cd19600', NULL, NULL, 'serpin11-like_insects', NULL, 'serpin11-like_insects', NULL, NULL, NULL, 1),
(11346, NULL, 'cd02796', NULL, NULL, 'tRNA_bind_bactPheRS', NULL, 'tRNA_bind_bactPheRS', NULL, NULL, 35217, 1),
(11347, NULL, 'cd16295', NULL, NULL, 'TTHA0252-CPSF-like_MBL-fold', NULL, 'TTHA0252-CPSF-like_MBL-fold', NULL, NULL, NULL, 1),
(11348, NULL, 'cd17118', NULL, NULL, 'Ubl_HERP1', NULL, 'Ubl_HERP1', NULL, NULL, NULL, 1),
(11349, NULL, 'cd18461', NULL, NULL, 'BACK_KLHL22', NULL, 'BACK_KLHL22', NULL, NULL, NULL, 1),
(11350, NULL, 'cd09163', NULL, NULL, 'PLDc_CLS_unchar2_2', NULL, 'PLDc_CLS_unchar2_2', NULL, NULL, NULL, 1),
(11351, NULL, 'cd21169', NULL, NULL, 'M_dcv_Nsp15-like', NULL, 'M_dcv_Nsp15-like', NULL, NULL, 38764, 1),
(11352, NULL, 'cd07843', NULL, NULL, 'STKc_CDC2L1', NULL, 'STKc_CDC2L1', NULL, NULL, 38626, 1),
(11353, NULL, 'cd13544', NULL, NULL, 'PBP2_Fbp_like_1', NULL, 'PBP2_Fbp_like_1', NULL, NULL, NULL, 1),
(11354, NULL, 'cd08387', NULL, NULL, 'C2A_Synaptotagmin-8', NULL, 'C2A_Synaptotagmin-8', NULL, NULL, NULL, 1),
(11355, NULL, 'cd09490', NULL, NULL, 'SAM_Arap1,2,3', NULL, 'SAM_Arap1,2,3', NULL, NULL, NULL, 1),
(11356, NULL, 'cd00520', NULL, NULL, 'RRF', NULL, 'RRF', NULL, NULL, 2754, 1),
(11357, NULL, 'cd05582', NULL, NULL, 'STKc_RSK_N', NULL, 'STKc_RSK_N', NULL, NULL, 32011, 1),
(11358, NULL, 'cd11370', NULL, NULL, 'RNase_PH_RRP41', NULL, 'RNase_PH_RRP41', NULL, NULL, NULL, 1),
(11359, NULL, 'cd11247', NULL, NULL, 'Sema_plexin_D1', NULL, 'Sema_plexin_D1', NULL, NULL, 37668, 1),
(11360, NULL, 'cd12447', NULL, NULL, 'RRM1_gar2', NULL, 'RRM1_gar2', NULL, NULL, 6988, 1),
(11361, NULL, 'cd16682', NULL, NULL, 'RING-H2_RNF165', NULL, 'RING-H2_RNF165', NULL, NULL, NULL, 1),
(11362, NULL, 'cd14553', NULL, NULL, 'R-PTPc-LAR-1', NULL, 'R-PTPc-LAR-1', NULL, NULL, NULL, 1),
(11363, NULL, 'cd18962', NULL, NULL, 'CD_MT_like', NULL, 'CD_MT_like', NULL, NULL, NULL, 1),
(11364, NULL, 'cd16995', NULL, NULL, 'VHS_Tom1', NULL, 'VHS_Tom1', NULL, NULL, NULL, 1),
(11365, NULL, 'cd15575', NULL, NULL, 'PHD_JMJD2A', NULL, 'PHD_JMJD2A', NULL, NULL, NULL, 1),
(11366, NULL, 'cd15655', NULL, NULL, 'PHD3_NSD3', NULL, 'PHD3_NSD3', NULL, NULL, NULL, 1),
(11367, NULL, 'cd04508', NULL, NULL, 'TUDOR', NULL, 'TUDOR', NULL, NULL, 7199, 1),
(11368, NULL, 'cd01871', NULL, NULL, 'Rac1_like', NULL, 'Rac1_like', NULL, NULL, NULL, 1),
(11369, NULL, 'cd07016', NULL, NULL, 'S14_ClpP_1', NULL, 'S14_ClpP_1', NULL, NULL, NULL, 1),
(11370, NULL, 'cd10951', NULL, NULL, 'CE4_ClCDA_like', NULL, 'CE4_ClCDA_like', NULL, NULL, NULL, 1),
(11371, NULL, 'cd17942', NULL, NULL, 'DEADc_DDX18', NULL, 'DEADc_DDX18', NULL, NULL, 37661, 1),
(11372, NULL, 'cd00516', NULL, NULL, 'PRTase_typeII', NULL, 'PRTase_typeII', NULL, NULL, NULL, 1),
(11373, NULL, 'cd14641', NULL, NULL, 'DSP_DUSP2', NULL, 'DSP_DUSP2', NULL, NULL, NULL, 1),
(11374, NULL, 'cd09425', NULL, NULL, 'LIM4_LIMPETin', NULL, 'LIM4_LIMPETin', NULL, NULL, NULL, 1),
(11375, NULL, 'cd08026', NULL, NULL, 'DUF326', NULL, 'DUF326', NULL, NULL, 36818, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11376, NULL, 'cd01476', NULL, NULL, 'VWA_integrin_invertebrates', NULL, 'VWA_integrin_invertebrates', NULL, NULL, NULL, 1),
(11377, NULL, 'cd04409', NULL, NULL, 'RhoGAP_PARG1', NULL, 'RhoGAP_PARG1', NULL, NULL, NULL, 1),
(11378, NULL, 'cd14938', NULL, NULL, 'MYSc_Myo24B', NULL, 'MYSc_Myo24B', NULL, NULL, NULL, 1),
(11379, NULL, 'cd01411', NULL, NULL, 'SIR2H', NULL, 'SIR2H', NULL, NULL, NULL, 1),
(11380, NULL, 'cd02342', NULL, NULL, 'ZZ_UBA_plant', NULL, 'ZZ_UBA_plant', NULL, NULL, NULL, 1),
(11381, NULL, 'cd01204', NULL, NULL, 'PTB_IRS', NULL, 'PTB_IRS', NULL, NULL, 6533, 1),
(11382, NULL, 'cd08190', NULL, NULL, 'HOT', NULL, 'HOT', NULL, NULL, 37659, 1),
(11383, NULL, 'cd00371', NULL, NULL, 'HMA', NULL, 'HMA', NULL, NULL, 10416, 1),
(11384, NULL, 'cd00159', NULL, NULL, 'RhoGAP', NULL, 'RhoGAP', NULL, NULL, NULL, 1),
(11385, NULL, 'cd19869', NULL, NULL, 'DSRM_DCL_plant', NULL, 'DSRM_DCL_plant', NULL, NULL, NULL, 1),
(11386, NULL, 'cd09103', NULL, NULL, 'PLDc_CDP-OH_P_transf_II_2', NULL, 'PLDc_CDP-OH_P_transf_II_2', NULL, NULL, NULL, 1),
(11387, NULL, 'cd18008', NULL, NULL, 'DEXDc_SHPRH-like', NULL, 'DEXDc_SHPRH-like', NULL, NULL, NULL, 1),
(11388, NULL, 'cd03404', NULL, NULL, 'SPFH_HflK', NULL, 'SPFH_HflK', NULL, NULL, 4447, 1),
(11389, NULL, 'cd16752', NULL, NULL, 'RING-HC_SIAH2', NULL, 'RING-HC_SIAH2', NULL, NULL, NULL, 1),
(11390, NULL, 'cd19216', NULL, NULL, 'PR-SET_ZFPM2', NULL, 'PR-SET_ZFPM2', NULL, NULL, NULL, 1),
(11391, NULL, 'cd06224', NULL, NULL, 'REM', NULL, 'REM', NULL, NULL, 6765, 1),
(11392, NULL, 'cd13547', NULL, NULL, 'PBP2_Fbp_like_2', NULL, 'PBP2_Fbp_like_2', NULL, NULL, NULL, 1),
(11393, NULL, 'cd18827', NULL, NULL, 'GH43_XlnD-like', NULL, 'GH43_XlnD-like', NULL, NULL, NULL, 1),
(11394, NULL, 'cd02957', NULL, NULL, 'Phd_like', NULL, 'Phd_like', NULL, NULL, NULL, 1),
(11395, NULL, 'cd11689', NULL, NULL, 'SidM_DrrA_GEF', NULL, 'SidM_DrrA_GEF', NULL, NULL, 34230, 1),
(11396, NULL, 'cd19927', NULL, NULL, 'REC_Ycf29', NULL, 'REC_Ycf29', NULL, NULL, NULL, 1),
(11397, NULL, 'cd18565', NULL, NULL, 'ABC_6TM_exporter_like', NULL, 'ABC_6TM_exporter_like', NULL, NULL, NULL, 1),
(11398, NULL, 'cd03167', NULL, NULL, 'oculospanin_like_LEL', NULL, 'oculospanin_like_LEL', NULL, NULL, NULL, 1),
(11399, NULL, 'cd02690', NULL, NULL, 'M28', NULL, 'M28', NULL, NULL, NULL, 1),
(11400, NULL, 'cd03883', NULL, NULL, 'M28_Pgcp_like', NULL, 'M28_Pgcp_like', NULL, NULL, NULL, 1),
(11401, NULL, 'cd04405', NULL, NULL, 'RhoGAP_BRCC3-like', NULL, 'RhoGAP_BRCC3-like', NULL, NULL, NULL, 1),
(11402, NULL, 'cd08410', NULL, NULL, 'C2B_Synaptotagmin-17', NULL, 'C2B_Synaptotagmin-17', NULL, NULL, NULL, 1),
(11403, NULL, 'cd16589', NULL, NULL, 'RING-HC_TRIM71_C-VII', NULL, 'RING-HC_TRIM71_C-VII', NULL, NULL, NULL, 1),
(11404, NULL, 'cd08956', NULL, NULL, 'KR_3_FAS_SDR_x', NULL, 'KR_3_FAS_SDR_x', NULL, NULL, NULL, 1),
(11405, NULL, 'cd00205', NULL, NULL, 'rhv_like', NULL, 'rhv_like', NULL, NULL, 33422, 1),
(11406, NULL, 'cd04707', NULL, NULL, 'otoconin_90', NULL, 'otoconin_90', NULL, NULL, 33443, 1),
(11407, NULL, 'cd10301', NULL, NULL, 'GST_C_CLIC6', NULL, 'GST_C_CLIC6', NULL, NULL, NULL, 1),
(11408, NULL, 'cd16430', NULL, NULL, 'TraB', NULL, 'TraB', NULL, NULL, NULL, 1),
(11409, NULL, 'cd05672', NULL, NULL, 'M20_ACY1L2-like', NULL, 'M20_ACY1L2-like', NULL, NULL, NULL, 1),
(11410, NULL, 'cd03895', NULL, NULL, 'M20_ArgE_DapE-like', NULL, 'M20_ArgE_DapE-like', NULL, NULL, 34999, 1),
(11411, NULL, 'cd15182', NULL, NULL, '7tmA_XCR1', NULL, '7tmA_XCR1', NULL, NULL, NULL, 1),
(11412, NULL, 'cd03705', NULL, NULL, 'EF1_alpha_III', NULL, 'EF1_alpha_III', NULL, NULL, NULL, 1),
(11413, NULL, 'cd05721', NULL, NULL, 'IgV_CTLA-4', NULL, 'IgV_CTLA-4', NULL, NULL, NULL, 1),
(11414, NULL, 'cd00615', NULL, NULL, 'Orn_deC_like', NULL, 'Orn_deC_like', NULL, NULL, 946, 1),
(11415, NULL, 'cd02789', NULL, NULL, 'MopB_CT_FmdC-FwdD', NULL, 'MopB_CT_FmdC-FwdD', NULL, NULL, 32666, 1),
(11416, NULL, 'cd18184', NULL, NULL, 'ATP-synt_Fo_c_NaATPase', NULL, 'ATP-synt_Fo_c_NaATPase', NULL, NULL, NULL, 1),
(11417, NULL, 'cd00163', NULL, NULL, 'RNase_A', NULL, 'RNase_A', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11418, NULL, 'cd10159', NULL, NULL, 'CsoR-like_DUF156_2', NULL, 'CsoR-like_DUF156_2', NULL, NULL, NULL, 1),
(11419, NULL, 'cd13279', NULL, NULL, 'PH_Cla4_Ste20', NULL, 'PH_Cla4_Ste20', NULL, NULL, NULL, 1),
(11420, NULL, 'cd11708', NULL, NULL, 'DHR2_DOCK5', NULL, 'DHR2_DOCK5', NULL, NULL, NULL, 1),
(11421, NULL, 'cd01675', NULL, NULL, 'RNR_III', NULL, 'RNR_III', NULL, NULL, 12767, 1),
(11422, NULL, 'cd12792', NULL, NULL, 'RasGAP_plexin_B2', NULL, 'RasGAP_plexin_B2', NULL, NULL, NULL, 1),
(11423, NULL, 'cd17990', NULL, NULL, 'DEXHc_HrpB', NULL, 'DEXHc_HrpB', NULL, NULL, NULL, 1),
(11424, NULL, 'cd14425', NULL, NULL, 'UBA1_HR23A', NULL, 'UBA1_HR23A', NULL, NULL, NULL, 1),
(11425, NULL, 'cd01160', NULL, NULL, 'LCAD', NULL, 'LCAD', NULL, NULL, 21313, 1),
(11426, NULL, 'cd00826', NULL, NULL, 'nondecarbox_cond_enzymes', NULL, 'nondecarbox_cond_enzymes', NULL, NULL, NULL, 1),
(11427, NULL, 'cd04010', NULL, NULL, 'C2B_RasA3', NULL, 'C2B_RasA3', NULL, NULL, NULL, 1),
(11428, NULL, 'cd03769', NULL, NULL, 'SR_IS607_transposase_like', NULL, 'SR_IS607_transposase_like', NULL, NULL, 32786, 1),
(11429, NULL, 'cd10953', NULL, NULL, 'CE4_SlAXE_like', NULL, 'CE4_SlAXE_like', NULL, NULL, NULL, 1),
(11430, NULL, 'cd09339', NULL, NULL, 'LIM4_Paxillin_like', NULL, 'LIM4_Paxillin_like', NULL, NULL, NULL, 1),
(11431, NULL, 'cd07093', NULL, NULL, 'ALDH_F8_HMSADH', NULL, 'ALDH_F8_HMSADH', NULL, NULL, NULL, 1),
(11432, NULL, 'cd19014', NULL, NULL, 'LGIC_ECD_nAChR_A1', NULL, 'LGIC_ECD_nAChR_A1', NULL, NULL, NULL, 1),
(11433, NULL, 'cd19363', NULL, NULL, 'TenA_C_PH1161-like', NULL, 'TenA_C_PH1161-like', NULL, NULL, NULL, 1),
(11434, NULL, 'cd08305', NULL, NULL, 'Pyrin', NULL, 'Pyrin', NULL, NULL, NULL, 1),
(11435, NULL, 'cd18793', NULL, NULL, 'SF2_C_SNF', NULL, 'SF2_C_SNF', NULL, NULL, NULL, 1),
(11436, NULL, 'cd04039', NULL, NULL, 'C2_PSD', NULL, 'C2_PSD', NULL, NULL, NULL, 1),
(11437, NULL, 'cd18931', NULL, NULL, 'bHLHzip_Mad1', NULL, 'bHLHzip_Mad1', NULL, NULL, NULL, 1),
(11438, NULL, 'cd19856', NULL, NULL, 'DSRM_Kanadaptin', NULL, 'DSRM_Kanadaptin', NULL, NULL, NULL, 1),
(11439, NULL, 'cd01149', NULL, NULL, 'HutB', NULL, 'HutB', NULL, NULL, NULL, 1),
(11440, NULL, 'cd01581', NULL, NULL, 'AcnB', NULL, 'AcnB', NULL, NULL, NULL, 1),
(11441, NULL, 'cd09618', NULL, NULL, 'CBM9_like_2', NULL, 'CBM9_like_2', NULL, NULL, NULL, 1),
(11442, NULL, 'cd12939', NULL, NULL, 'LEM_emerin', NULL, 'LEM_emerin', NULL, NULL, 36122, 1),
(11443, NULL, 'cd18287', NULL, NULL, 'BTB_POZ_BTBD9', NULL, 'BTB_POZ_BTBD9', NULL, NULL, NULL, 1),
(11444, NULL, 'cd14150', NULL, NULL, 'STKc_A-Raf', NULL, 'STKc_A-Raf', NULL, NULL, NULL, 1),
(11445, NULL, 'cd16410', NULL, NULL, 'ParB_N_like', NULL, 'ParB_N_like', NULL, NULL, NULL, 1),
(11446, NULL, 'cd12390', NULL, NULL, 'RRM3_RAVER', NULL, 'RRM3_RAVER', NULL, NULL, NULL, 1),
(11447, NULL, 'cd12559', NULL, NULL, 'RRM_SRSF10', NULL, 'RRM_SRSF10', NULL, NULL, NULL, 1),
(11448, NULL, 'cd17077', NULL, NULL, 'UBX_UBXN11', NULL, 'UBX_UBXN11', NULL, NULL, NULL, 1),
(11449, NULL, 'cd11751', NULL, NULL, 'GH94N_like_4', NULL, 'GH94N_like_4', NULL, NULL, NULL, 1),
(11450, NULL, 'cd15440', NULL, NULL, '7tmB2_latrophilin-like_invertebrate', NULL, '7tmB2_latrophilin-like_invertebrate', NULL, NULL, NULL, 1),
(11451, NULL, 'cd06497', NULL, NULL, 'ACD_alphaA-crystallin_HspB4', NULL, 'ACD_alphaA-crystallin_HspB4', NULL, NULL, NULL, 1),
(11452, NULL, 'cd08679', NULL, NULL, 'C2_DOCK180_related', NULL, 'C2_DOCK180_related', NULL, NULL, NULL, 1),
(11453, NULL, 'cd20000', NULL, NULL, 'PBP1_ABC_rhamnose', NULL, 'PBP1_ABC_rhamnose', NULL, NULL, NULL, 1),
(11454, NULL, 'cd00113', NULL, NULL, 'PLAT', NULL, 'PLAT', NULL, NULL, NULL, 1),
(11455, NULL, 'cd00844', NULL, NULL, 'MPP_Dbr1_N', NULL, 'MPP_Dbr1_N', NULL, NULL, 34174, 1),
(11456, NULL, 'cd15114', NULL, NULL, '7tmA_C5aR', NULL, '7tmA_C5aR', NULL, NULL, NULL, 1),
(11457, NULL, 'cd11313', NULL, NULL, 'AmyAc_arch_bac_AmyA', NULL, 'AmyAc_arch_bac_AmyA', NULL, NULL, NULL, 1),
(11458, NULL, 'cd05907', NULL, NULL, 'VL_LC_FACS_like', NULL, 'VL_LC_FACS_like', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11459, NULL, 'cd07509', NULL, NULL, 'HAD_PPase', NULL, 'HAD_PPase', NULL, NULL, 4783, 1),
(11460, NULL, 'cd15139', NULL, NULL, '7tmA_PGE2_EP2', NULL, '7tmA_PGE2_EP2', NULL, NULL, NULL, 1),
(11461, NULL, 'cd14214', NULL, NULL, 'PKc_CLK3', NULL, 'PKc_CLK3', NULL, NULL, NULL, 1),
(11462, NULL, 'cd03289', NULL, NULL, 'ABCC_CFTR2', NULL, 'ABCC_CFTR2', NULL, NULL, NULL, 1),
(11463, NULL, 'cd16823', NULL, NULL, 'SP-RING_ZMIZ2', NULL, 'SP-RING_ZMIZ2', NULL, NULL, NULL, 1),
(11464, NULL, 'cd07944', NULL, NULL, 'DRE_TIM_HOA_like', NULL, 'DRE_TIM_HOA_like', NULL, NULL, NULL, 1),
(11465, NULL, 'cd18113', NULL, NULL, 'ATP-synt_F1_alpha_C', NULL, 'ATP-synt_F1_alpha_C', NULL, NULL, 4963, 1),
(11466, NULL, 'cd01888', NULL, NULL, 'eIF2_gamma', NULL, 'eIF2_gamma', NULL, NULL, 38122, 1),
(11467, NULL, 'cd07629', NULL, NULL, 'BAR_Atg20p', NULL, 'BAR_Atg20p', NULL, NULL, NULL, 1),
(11468, NULL, 'cd16207', NULL, NULL, 'EFh_ScPlc1p_like', NULL, 'EFh_ScPlc1p_like', NULL, NULL, NULL, 1),
(11469, NULL, 'cd13148', NULL, NULL, 'MATE_like_3', NULL, 'MATE_like_3', NULL, NULL, NULL, 1),
(11470, NULL, 'cd17793', NULL, NULL, 'HipA', NULL, 'HipA', NULL, NULL, NULL, 1),
(11471, NULL, 'cd05562', NULL, NULL, 'Peptidases_S53_like', NULL, 'Peptidases_S53_like', NULL, NULL, 22810, 1),
(11472, NULL, 'cd09501', NULL, NULL, 'SAM_SARM1-like_repeat1', NULL, 'SAM_SARM1-like_repeat1', NULL, NULL, NULL, 1),
(11473, NULL, 'cd20756', NULL, NULL, 'capping_2-OMTase_Poxviridae', NULL, 'capping_2-OMTase_Poxviridae', NULL, NULL, 24600, 1),
(11474, NULL, 'cd06409', NULL, NULL, 'PB1_MUG70', NULL, 'PB1_MUG70', NULL, NULL, NULL, 1),
(11475, NULL, 'cd08833', NULL, NULL, 'ArfGap_GIT', NULL, 'ArfGap_GIT', NULL, NULL, NULL, 1),
(11476, NULL, 'cd19035', NULL, NULL, 'LGIC_ECD_GABAAR_A2', NULL, 'LGIC_ECD_GABAAR_A2', NULL, NULL, NULL, 1),
(11477, NULL, 'cd05834', NULL, NULL, 'HDGF_related', NULL, 'HDGF_related', NULL, NULL, 30737, 1),
(11478, NULL, 'cd09683', NULL, NULL, 'Csm3_III-A', NULL, 'Csm3_III-A', NULL, NULL, NULL, 1),
(11479, NULL, 'cd04610', NULL, NULL, 'CBS_pair_ParBc_assoc', NULL, 'CBS_pair_ParBc_assoc', NULL, NULL, NULL, 1),
(11480, NULL, 'cd14335', NULL, NULL, 'UBA_SnRK1_plant', NULL, 'UBA_SnRK1_plant', NULL, NULL, NULL, 1),
(11481, NULL, 'cd15341', NULL, NULL, '7tmA_CB2', NULL, '7tmA_CB2', NULL, NULL, NULL, 1),
(11482, NULL, 'cd12619', NULL, NULL, 'RRM2_PUB1', NULL, 'RRM2_PUB1', NULL, NULL, NULL, 1),
(11483, NULL, 'cd17466', NULL, NULL, 'T3SS_Flik_C_like', NULL, 'T3SS_Flik_C_like', NULL, NULL, NULL, 1),
(11484, NULL, 'cd01414', NULL, NULL, 'SAICAR_synt_Sc', NULL, 'SAICAR_synt_Sc', NULL, NULL, NULL, 1),
(11485, NULL, 'cd00984', NULL, NULL, 'DnaB_C', NULL, 'DnaB_C', NULL, NULL, 1075, 1),
(11486, NULL, 'cd02643', NULL, NULL, 'R3H_NF-X1', NULL, 'R3H_NF-X1', NULL, NULL, 27541, 1),
(11487, NULL, 'cd07456', NULL, NULL, 'CRD_FZ5_like', NULL, 'CRD_FZ5_like', NULL, NULL, NULL, 1),
(11488, NULL, 'cd01227', NULL, NULL, 'PH_Dbs', NULL, 'PH_Dbs', NULL, NULL, 30593, 1),
(11489, NULL, 'cd09659', NULL, NULL, 'Cas4_I-A', NULL, 'Cas4_I-A', NULL, NULL, NULL, 1),
(11490, NULL, 'cd01802', NULL, NULL, 'Ubl_ZFAND4', NULL, 'Ubl_ZFAND4', NULL, NULL, NULL, 1),
(11491, NULL, 'cd19770', NULL, NULL, 'Bbox2_TRIM19_C-V', NULL, 'Bbox2_TRIM19_C-V', NULL, NULL, NULL, 1),
(11492, NULL, 'cd04885', NULL, NULL, 'ACT_ThrD-I', NULL, 'ACT_ThrD-I', NULL, NULL, NULL, 1),
(11493, NULL, 'cd15818', NULL, NULL, 'SPRY_PRY_TRIM69', NULL, 'SPRY_PRY_TRIM69', NULL, NULL, NULL, 1),
(11494, NULL, 'cd06412', NULL, NULL, 'GH25_CH-type', NULL, 'GH25_CH-type', NULL, NULL, NULL, 1),
(11495, NULL, 'cd11926', NULL, NULL, 'SH3_SH3RF1_3', NULL, 'SH3_SH3RF1_3', NULL, NULL, NULL, 1),
(11496, NULL, 'cd16548', NULL, NULL, 'RING-HC_RNF152', NULL, 'RING-HC_RNF152', NULL, NULL, NULL, 1),
(11497, NULL, 'cd00165', NULL, NULL, 'S4', NULL, 'S4', NULL, NULL, 6834, 1),
(11498, NULL, 'cd17078', NULL, NULL, 'Ubl_SLD1_NFATC2ip', NULL, 'Ubl_SLD1_NFATC2ip', NULL, NULL, NULL, 1),
(11499, NULL, 'cd11589', NULL, NULL, 'Agmatinase_like_1', NULL, 'Agmatinase_like_1', NULL, NULL, NULL, 1),
(11500, NULL, 'cd16759', NULL, NULL, 'RING-HC_MuRF1', NULL, 'RING-HC_MuRF1', NULL, NULL, 37524, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11501, NULL, 'cd16931', NULL, NULL, 'HATPase_MORC-like', NULL, 'HATPase_MORC-like', NULL, NULL, NULL, 1),
(11502, NULL, 'cd00677', NULL, NULL, 'S15_NS1_EPRS_RNA-bind', NULL, 'S15_NS1_EPRS_RNA-bind', NULL, NULL, NULL, 1),
(11503, NULL, 'cd15304', NULL, NULL, '7tmA_5-HT2A', NULL, '7tmA_5-HT2A', NULL, NULL, NULL, 1),
(11504, NULL, 'cd08323', NULL, NULL, 'CARD_APAF1', NULL, 'CARD_APAF1', NULL, NULL, 34839, 1),
(11505, NULL, 'cd09828', NULL, NULL, 'PET_OEBT', NULL, 'PET_OEBT', NULL, NULL, NULL, 1),
(11506, NULL, 'cd07144', NULL, NULL, 'ALDH_ALD2-YMR170C', NULL, 'ALDH_ALD2-YMR170C', NULL, NULL, NULL, 1),
(11507, NULL, 'cd12075', NULL, NULL, 'SH3_Tks4_1', NULL, 'SH3_Tks4_1', NULL, NULL, 15798, 1),
(11508, NULL, 'cd07117', NULL, NULL, 'ALDH_StaphAldA1', NULL, 'ALDH_StaphAldA1', NULL, NULL, NULL, 1),
(11509, NULL, 'cd01370', NULL, NULL, 'KISc_KIP3_like', NULL, 'KISc_KIP3_like', NULL, NULL, NULL, 1),
(11510, NULL, 'cd03199', NULL, NULL, 'GST_C_GRX2', NULL, 'GST_C_GRX2', NULL, NULL, 10474, 1),
(11511, NULL, 'cd02664', NULL, NULL, 'Peptidase_C19H', NULL, 'Peptidase_C19H', NULL, NULL, 29797, 1),
(11512, NULL, 'cd09008', NULL, NULL, 'MTAN', NULL, 'MTAN', NULL, NULL, NULL, 1),
(11513, NULL, 'cd14104', NULL, NULL, 'STKc_Titin', NULL, 'STKc_Titin', NULL, NULL, NULL, 1),
(11514, NULL, 'cd04020', NULL, NULL, 'C2B_SLP_1-2-3-4', NULL, 'C2B_SLP_1-2-3-4', NULL, NULL, 37532, 1),
(11515, NULL, 'cd02846', NULL, NULL, 'PAZ_argonaute_like', NULL, 'PAZ_argonaute_like', NULL, NULL, NULL, 1),
(11516, NULL, 'cd21558', NULL, NULL, 'alphaCoV-Nsp6', NULL, 'alphaCoV-Nsp6', NULL, NULL, 37688, 1),
(11517, NULL, 'cd07668', NULL, NULL, 'BAR_SNX9', NULL, 'BAR_SNX9', NULL, NULL, 36217, 1),
(11518, NULL, 'cd16567', NULL, NULL, 'RING-HC_RAD16_like', NULL, 'RING-HC_RAD16_like', NULL, NULL, NULL, 1),
(11519, NULL, 'cd09423', NULL, NULL, 'LIM1_FHL3', NULL, 'LIM1_FHL3', NULL, NULL, NULL, 1),
(11520, NULL, 'cd06913', NULL, NULL, 'beta3GnTL1_like', NULL, 'beta3GnTL1_like', NULL, NULL, NULL, 1),
(11521, NULL, 'cd06548', NULL, NULL, 'GH18_chitinase', NULL, 'GH18_chitinase', NULL, NULL, NULL, 1),
(11522, NULL, 'cd15337', NULL, NULL, '7tmA_Opsin_Gq_invertebrates', NULL, '7tmA_Opsin_Gq_invertebrates', NULL, NULL, NULL, 1),
(11523, NULL, 'cd06856', NULL, NULL, 'GT_GPT_archaea', NULL, 'GT_GPT_archaea', NULL, NULL, NULL, 1),
(11524, NULL, 'cd06145', NULL, NULL, 'REX1_like', NULL, 'REX1_like', NULL, NULL, 31301, 1),
(11525, NULL, 'cd09866', NULL, NULL, 'PIN_Fcf1-Utp23-H', NULL, 'PIN_Fcf1-Utp23-H', NULL, NULL, NULL, 1),
(11526, NULL, 'cd17722', NULL, NULL, 'BRCT_DNA_ligase_IV_rpt1', NULL, 'BRCT_DNA_ligase_IV_rpt1', NULL, NULL, NULL, 1),
(11527, NULL, 'cd03135', NULL, NULL, 'GATase1_DJ-1', NULL, 'GATase1_DJ-1', NULL, NULL, NULL, 1),
(11528, NULL, 'cd07680', NULL, NULL, 'F-BAR_PACSIN1', NULL, 'F-BAR_PACSIN1', NULL, NULL, 30509, 1),
(11529, NULL, 'cd14927', NULL, NULL, 'MYSc_Myh7b', NULL, 'MYSc_Myh7b', NULL, NULL, NULL, 1),
(11530, NULL, 'cd16811', NULL, NULL, 'RING_CH-C4HC3_MARCH4_9', NULL, 'RING_CH-C4HC3_MARCH4_9', NULL, NULL, NULL, 1),
(11531, NULL, 'cd06225', NULL, NULL, 'HAMP', NULL, 'HAMP', NULL, NULL, NULL, 1),
(11532, NULL, 'cd07243', NULL, NULL, '2_3_CTD_C', NULL, '2_3_CTD_C', NULL, NULL, NULL, 1),
(11533, NULL, 'cd05589', NULL, NULL, 'STKc_PKN', NULL, 'STKc_PKN', NULL, NULL, NULL, 1),
(11534, NULL, 'cd06438', NULL, NULL, 'EpsO_like', NULL, 'EpsO_like', NULL, NULL, NULL, 1),
(11535, NULL, 'cd02825', NULL, NULL, 'PAZ', NULL, 'PAZ', NULL, NULL, NULL, 1),
(11536, NULL, 'cd16659', NULL, NULL, 'RING-Ubox_Emp', NULL, 'RING-Ubox_Emp', NULL, NULL, NULL, 1),
(11537, NULL, 'cd15676', NULL, NULL, 'PHD_BRPF1', NULL, 'PHD_BRPF1', NULL, NULL, 32757, 1),
(11538, NULL, 'cd03413', NULL, NULL, 'CbiK_C', NULL, 'CbiK_C', NULL, NULL, NULL, 1),
(11539, NULL, 'cd16278', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, NULL, 1),
(11540, NULL, 'cd00096', NULL, NULL, 'Ig', NULL, 'Ig', NULL, NULL, NULL, 1),
(11541, NULL, 'cd01794', NULL, NULL, 'Ubl_UBTD', NULL, 'Ubl_UBTD', NULL, NULL, NULL, 1),
(11542, NULL, 'cd04300', NULL, NULL, 'GT35_Glycogen_Phosphorylase', NULL, 'GT35_Glycogen_Phosphorylase', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11543, NULL, 'cd09084', NULL, NULL, 'EEP-2', NULL, 'EEP-2', NULL, NULL, NULL, 1),
(11544, NULL, 'cd12670', NULL, NULL, 'RRM2_Nop12p_like', NULL, 'RRM2_Nop12p_like', NULL, NULL, NULL, 1),
(11545, NULL, 'cd18685', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(11546, NULL, 'cd12245', NULL, NULL, 'RRM_scw1_like', NULL, 'RRM_scw1_like', NULL, NULL, NULL, 1),
(11547, NULL, 'cd17673', NULL, NULL, 'MDM4', NULL, 'MDM4', NULL, NULL, NULL, 1),
(11548, NULL, 'cd19092', NULL, NULL, 'AKR_BsYcsN_EcYdhF-like', NULL, 'AKR_BsYcsN_EcYdhF-like', NULL, NULL, NULL, 1),
(11549, NULL, 'cd00527', NULL, NULL, 'IF6', NULL, 'IF6', NULL, NULL, 4691, 1),
(11550, NULL, 'cd12428', NULL, NULL, 'RRM_PARN', NULL, 'RRM_PARN', NULL, NULL, NULL, 1),
(11551, NULL, 'cd05134', NULL, NULL, 'RasGAP_RASA3', NULL, 'RasGAP_RASA3', NULL, NULL, NULL, 1),
(11552, NULL, 'cd21517', NULL, NULL, 'cv_beta_Nsp2_MERS-like', NULL, 'cv_beta_Nsp2_MERS-like', NULL, NULL, 38480, 1),
(11553, NULL, 'cd02656', NULL, NULL, 'MIT', NULL, 'MIT', NULL, NULL, NULL, 1),
(11554, NULL, 'cd14853', NULL, NULL, 'TRAPPC_longin-like', NULL, 'TRAPPC_longin-like', NULL, NULL, NULL, 1),
(11555, NULL, 'cd09135', NULL, NULL, 'PLDc_PGS1_euk_1', NULL, 'PLDc_PGS1_euk_1', NULL, NULL, NULL, 1),
(11556, NULL, 'cd15980', NULL, NULL, '7tmA_NPFFR2', NULL, '7tmA_NPFFR2', NULL, NULL, NULL, 1),
(11557, NULL, 'cd19006', NULL, NULL, 'LGIC_ECD_GABAAR_LCCH3-like', NULL, 'LGIC_ECD_GABAAR_LCCH3-like', NULL, NULL, NULL, 1),
(11558, NULL, 'cd05387', NULL, NULL, 'BY-kinase', NULL, 'BY-kinase', NULL, NULL, NULL, 1),
(11559, NULL, 'cd20246', NULL, NULL, 'CASIMO1', NULL, 'CASIMO1', NULL, NULL, NULL, 1),
(11560, NULL, 'cd14492', NULL, NULL, 'lipocalin_MxiM-like', NULL, 'lipocalin_MxiM-like', NULL, NULL, 28059, 1),
(11561, NULL, 'cd09543', NULL, NULL, 'SAM_EPH-A2', NULL, 'SAM_EPH-A2', NULL, NULL, NULL, 1),
(11562, NULL, 'cd14230', NULL, NULL, 'GAT_GGA', NULL, 'GAT_GGA', NULL, NULL, NULL, 1),
(11563, NULL, 'cd05846', NULL, NULL, 'Ig1_MRC-OX-2_like', NULL, 'Ig1_MRC-OX-2_like', NULL, NULL, NULL, 1),
(11564, NULL, 'cd16905', NULL, NULL, 'YEATS_Taf14_like', NULL, 'YEATS_Taf14_like', NULL, NULL, NULL, 1),
(11565, NULL, 'cd18569', NULL, NULL, 'ABC_6TM_NHLM_bacteriocin', NULL, 'ABC_6TM_NHLM_bacteriocin', NULL, NULL, NULL, 1),
(11566, NULL, 'cd16724', NULL, NULL, 'RING1-HC_MIB1', NULL, 'RING1-HC_MIB1', NULL, NULL, NULL, 1),
(11567, NULL, 'cd14745', NULL, NULL, 'GH66', NULL, 'GH66', NULL, NULL, 22756, 1),
(11568, NULL, 'cd05666', NULL, NULL, 'M20_Acy1-like', NULL, 'M20_Acy1-like', NULL, NULL, NULL, 1),
(11569, NULL, 'cd06255', NULL, NULL, 'M14_ASTE_ASPA-like', NULL, 'M14_ASTE_ASPA-like', NULL, NULL, NULL, 1),
(11570, NULL, 'cd15169', NULL, NULL, '7tmA_FFAR1', NULL, '7tmA_FFAR1', NULL, NULL, NULL, 1),
(11571, NULL, 'cd08497', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_14', NULL, 'PBP2_NikA_DppA_OppA_like_14', NULL, NULL, NULL, 1),
(11572, NULL, 'cd15428', NULL, NULL, '7tmA_OR2D-like', NULL, '7tmA_OR2D-like', NULL, NULL, NULL, 1),
(11573, NULL, 'cd15994', NULL, NULL, '7tmB2_GPR111_115', NULL, '7tmB2_GPR111_115', NULL, NULL, NULL, 1),
(11574, NULL, 'cd08307', NULL, NULL, 'Death_Pelle', NULL, 'Death_Pelle', NULL, NULL, 34226, 1),
(11575, NULL, 'cd06172', NULL, NULL, 'MFS_LacY', NULL, 'MFS_LacY', NULL, NULL, NULL, 1),
(11576, NULL, 'cd05039', NULL, NULL, 'PTKc_Csk_like', NULL, 'PTKc_Csk_like', NULL, NULL, NULL, 1),
(11577, NULL, 'cd16227', NULL, NULL, 'EFh_CREC_RCN2_like', NULL, 'EFh_CREC_RCN2_like', NULL, NULL, NULL, 1),
(11578, NULL, 'cd05520', NULL, NULL, 'Bromo_polybromo_III', NULL, 'Bromo_polybromo_III', NULL, NULL, NULL, 1),
(11579, NULL, 'cd13410', NULL, NULL, 'TNFRSF9', NULL, 'TNFRSF9', NULL, NULL, 1781, 1),
(11580, NULL, 'cd08440', NULL, NULL, 'PBP2_LTTR_like_4', NULL, 'PBP2_LTTR_like_4', NULL, NULL, NULL, 1),
(11581, NULL, 'cd14388', NULL, NULL, 'UBA2_atUBP14', NULL, 'UBA2_atUBP14', NULL, NULL, NULL, 1),
(11582, NULL, 'cd15646', NULL, NULL, 'PHD_p300', NULL, 'PHD_p300', NULL, NULL, NULL, 1),
(11583, NULL, 'cd00659', NULL, NULL, 'Topo_IB_C', NULL, 'Topo_IB_C', NULL, NULL, 12188, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11584, NULL, 'cd17655', NULL, NULL, 'A_NRPS_Bac', NULL, 'A_NRPS_Bac', NULL, NULL, NULL, 1),
(11585, NULL, 'cd12965', NULL, NULL, 'CBM-Eb_CBM-Fb', NULL, 'CBM-Eb_CBM-Fb', NULL, NULL, NULL, 1),
(11586, NULL, 'cd12387', NULL, NULL, 'RRM3_hnRNPM_like', NULL, 'RRM3_hnRNPM_like', NULL, NULL, NULL, 1),
(11587, NULL, 'cd16555', NULL, NULL, 'RING-HC_RNF182', NULL, 'RING-HC_RNF182', NULL, NULL, NULL, 1),
(11588, NULL, 'cd12810', NULL, NULL, 'Esterase_713_like-3', NULL, 'Esterase_713_like-3', NULL, NULL, NULL, 1),
(11589, NULL, 'cd00652', NULL, NULL, 'TBP_TLF', NULL, 'TBP_TLF', NULL, NULL, NULL, 1),
(11590, NULL, 'cd14486', NULL, NULL, '3D_domain', NULL, '3D_domain', NULL, NULL, NULL, 1),
(11591, NULL, 'cd00120', NULL, NULL, 'MADS', NULL, 'MADS', NULL, NULL, NULL, 1),
(11592, NULL, 'cd06974', NULL, NULL, 'TerD_like', NULL, 'TerD_like', NULL, NULL, 4307, 1),
(11593, NULL, 'cd13909', NULL, NULL, 'CuRO_3_MCO_like_3', NULL, 'CuRO_3_MCO_like_3', NULL, NULL, NULL, 1),
(11594, NULL, 'cd09564', NULL, NULL, 'SAM_kazrin_repeat1', NULL, 'SAM_kazrin_repeat1', NULL, NULL, 33397, 1),
(11595, NULL, 'cd02681', NULL, NULL, 'MIT_calpain7_1', NULL, 'MIT_calpain7_1', NULL, NULL, NULL, 1),
(11596, NULL, 'cd14012', NULL, NULL, 'PK_eIF2AK_GCN2_rpt1', NULL, 'PK_eIF2AK_GCN2_rpt1', NULL, NULL, NULL, 1),
(11597, NULL, 'cd03296', NULL, NULL, 'ABC_CysA_sulfate_importer', NULL, 'ABC_CysA_sulfate_importer', NULL, NULL, 3595, 1),
(11598, NULL, 'cd13690', NULL, NULL, 'PBP2_GluB', NULL, 'PBP2_GluB', NULL, NULL, NULL, 1),
(11599, NULL, 'cd12380', NULL, NULL, 'RRM3_I_PABPs', NULL, 'RRM3_I_PABPs', NULL, NULL, NULL, 1),
(11600, NULL, 'cd19738', NULL, NULL, 'bHLH-PAS_SIM1', NULL, 'bHLH-PAS_SIM1', NULL, NULL, NULL, 1),
(11601, NULL, 'cd03360', NULL, NULL, 'LbH_AT_putative', NULL, 'LbH_AT_putative', NULL, NULL, 12320, 1),
(11602, NULL, 'cd15587', NULL, NULL, 'PHD_Yng1p_like', NULL, 'PHD_Yng1p_like', NULL, NULL, NULL, 1),
(11603, NULL, 'cd05670', NULL, NULL, 'M20_Acy1_YkuR-like', NULL, 'M20_Acy1_YkuR-like', NULL, NULL, NULL, 1),
(11604, NULL, 'cd08508', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_1', NULL, 'PBP2_NikA_DppA_OppA_like_1', NULL, NULL, NULL, 1),
(11605, NULL, 'cd20272', NULL, NULL, 'Complex1_LYR_MIEF1-MP', NULL, 'Complex1_LYR_MIEF1-MP', NULL, NULL, 39789, 1),
(11606, NULL, 'cd01086', NULL, NULL, 'MetAP1', NULL, 'MetAP1', NULL, NULL, 7309, 1),
(11607, NULL, 'cd09567', NULL, NULL, 'SAM_kazrin_repeat2', NULL, 'SAM_kazrin_repeat2', NULL, NULL, 33333, 1),
(11608, NULL, 'cd09653', NULL, NULL, 'Csa5_I-A', NULL, 'Csa5_I-A', NULL, NULL, NULL, 1),
(11609, NULL, 'cd15978', NULL, NULL, '7tmA_CCK-AR', NULL, '7tmA_CCK-AR', NULL, NULL, NULL, 1),
(11610, NULL, 'cd21662', NULL, NULL, 'embe-CoV_Protein-I_like', NULL, 'embe-CoV_Protein-I_like', NULL, NULL, 38724, 1),
(11611, NULL, 'cd17029', NULL, NULL, 'T3SC_IA_SycE_SpcS-like', NULL, 'T3SC_IA_SycE_SpcS-like', NULL, NULL, NULL, 1),
(11612, NULL, 'cd11494', NULL, NULL, 'SLC5sbd_NIS-like_u2', NULL, 'SLC5sbd_NIS-like_u2', NULL, NULL, NULL, 1),
(11613, NULL, 'cd16617', NULL, NULL, 'mRING-HC-C4C4_CesA_plant', NULL, 'mRING-HC-C4C4_CesA_plant', NULL, NULL, NULL, 1),
(11614, NULL, 'cd17901', NULL, NULL, 'ArfGap_ARAP1', NULL, 'ArfGap_ARAP1', NULL, NULL, NULL, 1),
(11615, NULL, 'cd07805', NULL, NULL, 'FGGY_XK_like_2', NULL, 'FGGY_XK_like_2', NULL, NULL, NULL, 1),
(11616, NULL, 'cd16202', NULL, NULL, 'EFh_PI-PLCdelta', NULL, 'EFh_PI-PLCdelta', NULL, NULL, NULL, 1),
(11617, NULL, 'cd02550', NULL, NULL, 'PseudoU_synth_Rsu_Rlu_like', NULL, 'PseudoU_synth_Rsu_Rlu_like', NULL, NULL, NULL, 1),
(11618, NULL, 'cd15600', NULL, NULL, 'PHD6_KMT2C', NULL, 'PHD6_KMT2C', NULL, NULL, NULL, 1),
(11619, NULL, 'cd00715', NULL, NULL, 'GPATase_N', NULL, 'GPATase_N', NULL, NULL, 31833, 1),
(11620, NULL, 'cd02673', NULL, NULL, 'Peptidase_C19Q', NULL, 'Peptidase_C19Q', NULL, NULL, NULL, 1),
(11621, NULL, 'cd00226', NULL, NULL, 'PRCH', NULL, 'PRCH', NULL, NULL, 2655, 1),
(11622, NULL, 'cd04113', NULL, NULL, 'Rab4', NULL, 'Rab4', NULL, NULL, 32661, 1),
(11623, NULL, 'cd16248', NULL, NULL, 'EFh_DRP-2', NULL, 'EFh_DRP-2', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11624, NULL, 'cd04211', NULL, NULL, 'Cupredoxin_like_2', NULL, 'Cupredoxin_like_2', NULL, NULL, NULL, 1),
(11625, NULL, 'cd01038', NULL, NULL, 'Endonuclease_DUF559', NULL, 'Endonuclease_DUF559', NULL, NULL, NULL, 1),
(11626, NULL, 'cd09913', NULL, NULL, 'EHD', NULL, 'EHD', NULL, NULL, NULL, 1),
(11627, NULL, 'cd10403', NULL, NULL, 'SH2_STAP1', NULL, 'SH2_STAP1', NULL, NULL, 35607, 1),
(11628, NULL, 'cd19172', NULL, NULL, 'SET_SETD2', NULL, 'SET_SETD2', NULL, NULL, 37616, 1),
(11629, NULL, 'cd03174', NULL, NULL, 'DRE_TIM_metallolyase', NULL, 'DRE_TIM_metallolyase', NULL, NULL, NULL, 1),
(11630, NULL, 'cd03506', NULL, NULL, 'Delta6-FADS-like', NULL, 'Delta6-FADS-like', NULL, NULL, NULL, 1),
(11631, NULL, 'cd18968', NULL, NULL, 'chromodomain', NULL, 'chromodomain', NULL, NULL, NULL, 1),
(11632, NULL, 'cd21556', NULL, NULL, 'Macro_cv_SUD-N-M_Nsp3-like', NULL, 'Macro_cv_SUD-N-M_Nsp3-like', NULL, NULL, NULL, 1),
(11633, NULL, 'cd07128', NULL, NULL, 'ALDH_MaoC-N', NULL, 'ALDH_MaoC-N', NULL, NULL, NULL, 1),
(11634, NULL, 'cd12295', NULL, NULL, 'RRM_YRA2', NULL, 'RRM_YRA2', NULL, NULL, 1344, 1),
(11635, NULL, 'cd16919', NULL, NULL, 'HATPase_CckA-like', NULL, 'HATPase_CckA-like', NULL, NULL, NULL, 1),
(11636, NULL, 'cd12880', NULL, NULL, 'SPRYD7', NULL, 'SPRYD7', NULL, NULL, 33831, 1),
(11637, NULL, 'cd14982', NULL, NULL, '7tmA_purinoceptor-like', NULL, '7tmA_purinoceptor-like', NULL, NULL, NULL, 1),
(11638, NULL, 'cd08846', NULL, NULL, 'ArfGap_GIT1', NULL, 'ArfGap_GIT1', NULL, NULL, NULL, 1),
(11639, NULL, 'cd18813', NULL, NULL, 'CAP_CRISPLD1', NULL, 'CAP_CRISPLD1', NULL, NULL, NULL, 1),
(11640, NULL, 'cd16217', NULL, NULL, 'EFh_PI-PLCdelta1', NULL, 'EFh_PI-PLCdelta1', NULL, NULL, NULL, 1),
(11641, NULL, 'cd18219', NULL, NULL, 'BTB_POZ_ZBTB33_KAISO', NULL, 'BTB_POZ_ZBTB33_KAISO', NULL, NULL, NULL, 1),
(11642, NULL, 'cd01244', NULL, NULL, 'PH_GAP1-like', NULL, 'PH_GAP1-like', NULL, NULL, NULL, 1),
(11643, NULL, 'cd15763', NULL, NULL, 'FYVE_RPH3L', NULL, 'FYVE_RPH3L', NULL, NULL, 33002, 1),
(11644, NULL, 'cd02933', NULL, NULL, 'OYE_like_FMN', NULL, 'OYE_like_FMN', NULL, NULL, NULL, 1),
(11645, NULL, 'cd03237', NULL, NULL, 'ABC_RNaseL_inhibitor_domain2', NULL, 'ABC_RNaseL_inhibitor_domain2', NULL, NULL, NULL, 1),
(11646, NULL, 'cd08013', NULL, NULL, 'M20_ArgE_DapE-like', NULL, 'M20_ArgE_DapE-like', NULL, NULL, NULL, 1),
(11647, NULL, 'cd11820', NULL, NULL, 'SH3_STAM', NULL, 'SH3_STAM', NULL, NULL, NULL, 1),
(11648, NULL, 'cd13888', NULL, NULL, 'CuRO_3_McoP_like', NULL, 'CuRO_3_McoP_like', NULL, NULL, NULL, 1),
(11649, NULL, 'cd18642', NULL, NULL, 'CBD_MOF_like', NULL, 'CBD_MOF_like', NULL, NULL, NULL, 1),
(11650, NULL, 'cd02683', NULL, NULL, 'MIT_1', NULL, 'MIT_1', NULL, NULL, 38572, 1),
(11651, NULL, 'cd16320', NULL, NULL, 'MraZ_N', NULL, 'MraZ_N', NULL, NULL, 35362, 1),
(11652, NULL, 'cd14225', NULL, NULL, 'PKc_DYRK4', NULL, 'PKc_DYRK4', NULL, NULL, NULL, 1),
(11653, NULL, 'cd19773', NULL, NULL, 'Bbox2_TRIM23_C-IX_rpt1', NULL, 'Bbox2_TRIM23_C-IX_rpt1', NULL, NULL, NULL, 1),
(11654, NULL, 'cd11404', NULL, NULL, 'bHLHzip_Mlx_like', NULL, 'bHLHzip_Mlx_like', NULL, NULL, NULL, 1),
(11655, NULL, 'cd18327', NULL, NULL, 'BTB_POZ_ZBTB7B_ZBTB15', NULL, 'BTB_POZ_ZBTB7B_ZBTB15', NULL, NULL, NULL, 1),
(11656, NULL, 'cd17752', NULL, NULL, 'BRCT_RFC1', NULL, 'BRCT_RFC1', NULL, NULL, NULL, 1),
(11657, NULL, 'cd12790', NULL, NULL, 'RasGAP_plexin_A', NULL, 'RasGAP_plexin_A', NULL, NULL, NULL, 1),
(11658, NULL, 'cd14968', NULL, NULL, '7tmA_Adenosine_R', NULL, '7tmA_Adenosine_R', NULL, NULL, NULL, 1),
(11659, NULL, 'cd04477', NULL, NULL, 'RPA1N', NULL, 'RPA1N', NULL, NULL, 1492, 1),
(11660, NULL, 'cd18720', NULL, NULL, 'PIN_YqxD-like', NULL, 'PIN_YqxD-like', NULL, NULL, NULL, 1),
(11661, NULL, 'cd11471', NULL, NULL, 'bHLH_TS_HAND2', NULL, 'bHLH_TS_HAND2', NULL, NULL, NULL, 1),
(11662, NULL, 'cd03150', NULL, NULL, 'alpha_CA_IX', NULL, 'alpha_CA_IX', NULL, NULL, NULL, 1),
(11663, NULL, 'cd16328', NULL, NULL, 'RseA_N', NULL, 'RseA_N', NULL, NULL, 1564, 1),
(11664, NULL, 'cd17308', NULL, NULL, 'PIPKc_PIP5K1C', NULL, 'PIPKc_PIP5K1C', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11665, NULL, 'cd03673', NULL, NULL, 'Ap6A_hydrolase', NULL, 'Ap6A_hydrolase', NULL, NULL, NULL, 1),
(11666, NULL, 'cd17544', NULL, NULL, 'REC_2_GGDEF', NULL, 'REC_2_GGDEF', NULL, NULL, NULL, 1),
(11667, NULL, 'cd18657', NULL, NULL, 'CSD_Swi6', NULL, 'CSD_Swi6', NULL, NULL, NULL, 1),
(11668, NULL, 'cd10410', NULL, NULL, 'SH2_SH2B1', NULL, 'SH2_SH2B1', NULL, NULL, NULL, 1),
(11669, NULL, 'cd15198', NULL, NULL, '7tmA_GPR150', NULL, '7tmA_GPR150', NULL, NULL, NULL, 1),
(11670, NULL, 'cd07969', NULL, NULL, 'OBF_DNA_ligase_I', NULL, 'OBF_DNA_ligase_I', NULL, NULL, NULL, 1),
(11671, NULL, 'cd09431', NULL, NULL, 'LIM3_Fhl2', NULL, 'LIM3_Fhl2', NULL, NULL, NULL, 1),
(11672, NULL, 'cd13172', NULL, NULL, 'RanBD2_RanBP2_insect-like', NULL, 'RanBD2_RanBP2_insect-like', NULL, NULL, NULL, 1),
(11673, NULL, 'cd01836', NULL, NULL, 'FeeA_FeeB_like', NULL, 'FeeA_FeeB_like', NULL, NULL, NULL, 1),
(11674, NULL, 'cd00947', NULL, NULL, 'TBP_aldolase_IIB', NULL, 'TBP_aldolase_IIB', NULL, NULL, 6772, 1),
(11675, NULL, 'cd01253', NULL, NULL, 'PH_ARHGAP21-like', NULL, 'PH_ARHGAP21-like', NULL, NULL, NULL, 1),
(11676, NULL, 'cd16911', NULL, NULL, 'AfaD_SafA-like', NULL, 'AfaD_SafA-like', NULL, NULL, NULL, 1),
(11677, NULL, 'cd16970', NULL, NULL, 'Alpha_kinase_VwkA_like', NULL, 'Alpha_kinase_VwkA_like', NULL, NULL, NULL, 1),
(11678, NULL, 'cd01998', NULL, NULL, 'tRNA_Me_trans', NULL, 'tRNA_Me_trans', NULL, NULL, 1683, 1),
(11679, NULL, 'cd05109', NULL, NULL, 'PTKc_HER2', NULL, 'PTKc_HER2', NULL, NULL, NULL, 1),
(11680, NULL, 'cd17315', NULL, NULL, 'MFS_GLUT_like', NULL, 'MFS_GLUT_like', NULL, NULL, NULL, 1),
(11681, NULL, 'cd16180', NULL, NULL, 'EFh_PEF_Group_I', NULL, 'EFh_PEF_Group_I', NULL, NULL, NULL, 1),
(11682, NULL, 'cd04437', NULL, NULL, 'DEP_Epac', NULL, 'DEP_Epac', NULL, NULL, NULL, 1),
(11683, NULL, 'cd10509', NULL, NULL, 'Zn-ribbon_RPC11', NULL, 'Zn-ribbon_RPC11', NULL, NULL, 13216, 1),
(11684, NULL, 'cd16409', NULL, NULL, 'ParB_N_like', NULL, 'ParB_N_like', NULL, NULL, NULL, 1),
(11685, NULL, 'cd15723', NULL, NULL, 'FYVE_protrudin', NULL, 'FYVE_protrudin', NULL, NULL, NULL, 1),
(11686, NULL, 'cd01815', NULL, NULL, 'Ubl_UBL7', NULL, 'Ubl_UBL7', NULL, NULL, NULL, 1),
(11687, NULL, 'cd18215', NULL, NULL, 'BTB_POZ_ZBTB27-like', NULL, 'BTB_POZ_ZBTB27-like', NULL, NULL, NULL, 1),
(11688, NULL, 'cd01327', NULL, NULL, 'KAZAL_PSTI', NULL, 'KAZAL_PSTI', NULL, NULL, NULL, 1),
(11689, NULL, 'cd10488', NULL, NULL, 'MH1_R-SMAD', NULL, 'MH1_R-SMAD', NULL, NULL, NULL, 1),
(11690, NULL, 'cd09104', NULL, NULL, 'PLDc_vPLD1_2_like_1', NULL, 'PLDc_vPLD1_2_like_1', NULL, NULL, NULL, 1),
(11691, NULL, 'cd19335', NULL, NULL, 'Wnt_Wnt3_Wnt3a', NULL, 'Wnt_Wnt3_Wnt3a', NULL, NULL, NULL, 1),
(11692, NULL, 'cd06266', NULL, NULL, 'RNase_HII', NULL, 'RNase_HII', NULL, NULL, NULL, 1),
(11693, NULL, 'cd13146', NULL, NULL, 'MATE_like_6', NULL, 'MATE_like_6', NULL, NULL, NULL, 1),
(11694, NULL, 'cd02995', NULL, NULL, 'PDI_a_PDI_a''_C', NULL, 'PDI_a_PDI_a''_C', NULL, NULL, NULL, 1),
(11695, NULL, 'cd16333', NULL, NULL, 'RELM', NULL, 'RELM', NULL, NULL, 12454, 1),
(11696, NULL, 'cd06403', NULL, NULL, 'PB1_Par6', NULL, 'PB1_Par6', NULL, NULL, 36089, 1),
(11697, NULL, 'cd08538', NULL, NULL, 'SAM_PNT-ESE-2-like', NULL, 'SAM_PNT-ESE-2-like', NULL, NULL, NULL, 1),
(11698, NULL, 'cd16877', NULL, NULL, 'ARID_ARID1B', NULL, 'ARID_ARID1B', NULL, NULL, NULL, 1),
(11699, NULL, 'cd13978', NULL, NULL, 'STKc_RIP', NULL, 'STKc_RIP', NULL, NULL, NULL, 1),
(11700, NULL, 'cd19351', NULL, NULL, 'Wnt_Wnt8a', NULL, 'Wnt_Wnt8a', NULL, NULL, NULL, 1),
(11701, NULL, 'cd12022', NULL, NULL, 'SH3_p47phox_2', NULL, 'SH3_p47phox_2', NULL, NULL, 32511, 1),
(11702, NULL, 'cd14445', NULL, NULL, 'RILP-like', NULL, 'RILP-like', NULL, NULL, NULL, 1),
(11703, NULL, 'cd06100', NULL, NULL, 'CCL_ACL-C', NULL, 'CCL_ACL-C', NULL, NULL, NULL, 1),
(11704, NULL, 'cd14510', NULL, NULL, 'PTP_VSP_TPTE', NULL, 'PTP_VSP_TPTE', NULL, NULL, 39031, 1),
(11705, NULL, 'cd20235', NULL, NULL, 'PFM_spherulin-2a-like', NULL, 'PFM_spherulin-2a-like', NULL, NULL, NULL, 1),
(11706, NULL, 'cd07011', NULL, NULL, 'cupin_PMI_type_I_N', NULL, 'cupin_PMI_type_I_N', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11707, NULL, 'cd12150', NULL, NULL, 'talin-RS', NULL, 'talin-RS', NULL, NULL, 35083, 1),
(11708, NULL, 'cd17058', NULL, NULL, 'Ubl_SNRNP25', NULL, 'Ubl_SNRNP25', NULL, NULL, 34106, 1),
(11709, NULL, 'cd01089', NULL, NULL, 'PA2G4-like', NULL, 'PA2G4-like', NULL, NULL, NULL, 1),
(11710, NULL, 'cd09441', NULL, NULL, 'LIM2_SF3', NULL, 'LIM2_SF3', NULL, NULL, NULL, 1),
(11711, NULL, 'cd06389', NULL, NULL, 'PBP1_iGluR_AMPA_GluR2', NULL, 'PBP1_iGluR_AMPA_GluR2', NULL, NULL, NULL, 1),
(11712, NULL, 'cd05819', NULL, NULL, 'NHL', NULL, 'NHL', NULL, NULL, NULL, 1),
(11713, NULL, 'cd12300', NULL, NULL, 'RRM1_PAR14', NULL, 'RRM1_PAR14', NULL, NULL, NULL, 1),
(11714, NULL, 'cd11598', NULL, NULL, 'HDAC_Hos2', NULL, 'HDAC_Hos2', NULL, NULL, NULL, 1),
(11715, NULL, 'cd14827', NULL, NULL, 'AP_sigma', NULL, 'AP_sigma', NULL, NULL, NULL, 1),
(11716, NULL, 'cd06211', NULL, NULL, 'phenol_2-monooxygenase_like', NULL, 'phenol_2-monooxygenase_like', NULL, NULL, NULL, 1),
(11717, NULL, 'cd08891', NULL, NULL, 'SRPBCC_CalC', NULL, 'SRPBCC_CalC', NULL, NULL, NULL, 1),
(11718, NULL, 'cd01899', NULL, NULL, 'Ygr210', NULL, 'Ygr210', NULL, NULL, NULL, 1),
(11719, NULL, 'cd07048', NULL, NULL, 'BMC_PduB_repeat2', NULL, 'BMC_PduB_repeat2', NULL, NULL, NULL, 1),
(11720, NULL, 'cd09505', NULL, NULL, 'SAM_WDSUB1', NULL, 'SAM_WDSUB1', NULL, NULL, NULL, 1),
(11721, NULL, 'cd18819', NULL, NULL, 'GH43_LbAraf43-like', NULL, 'GH43_LbAraf43-like', NULL, NULL, NULL, 1),
(11722, NULL, 'cd19791', NULL, NULL, 'Bbox2_TRIM60-like', NULL, 'Bbox2_TRIM60-like', NULL, NULL, NULL, 1),
(11723, NULL, 'cd16955', NULL, NULL, 'HATPase_YpdA-like', NULL, 'HATPase_YpdA-like', NULL, NULL, NULL, 1),
(11724, NULL, 'cd11295', NULL, NULL, 'Mago_nashi', NULL, 'Mago_nashi', NULL, NULL, 893, 1),
(11725, NULL, 'cd11240', NULL, NULL, 'Sema_4', NULL, 'Sema_4', NULL, NULL, NULL, 1),
(11726, NULL, 'cd19374', NULL, NULL, 'UDG-F3_SMUG1-like', NULL, 'UDG-F3_SMUG1-like', NULL, NULL, 30196, 1),
(11727, NULL, 'cd10507', NULL, NULL, 'Zn-ribbon_RPA12', NULL, 'Zn-ribbon_RPA12', NULL, NULL, 31281, 1),
(11728, NULL, 'cd01192', NULL, NULL, 'INT_C_like_3', NULL, 'INT_C_like_3', NULL, NULL, NULL, 1),
(11729, NULL, 'cd15034', NULL, NULL, '7tmF_FZD1_2_7-like', NULL, '7tmF_FZD1_2_7-like', NULL, NULL, NULL, 1),
(11730, NULL, 'cd09846', NULL, NULL, 'DUF1312', NULL, 'DUF1312', NULL, NULL, NULL, 1),
(11731, NULL, 'cd17721', NULL, NULL, 'BRCT_BRCA1_rpt2', NULL, 'BRCT_BRCA1_rpt2', NULL, NULL, NULL, 1),
(11732, NULL, 'cd16893', NULL, NULL, 'LT_MltC_MltE', NULL, 'LT_MltC_MltE', NULL, NULL, NULL, 1),
(11733, NULL, 'cd13123', NULL, NULL, 'MATE_MurJ_like', NULL, 'MATE_MurJ_like', NULL, NULL, 3530, 1),
(11734, NULL, 'cd19447', NULL, NULL, 'L-BABP-like', NULL, 'L-BABP-like', NULL, NULL, NULL, 1),
(11735, NULL, 'cd07771', NULL, NULL, 'FGGY_RhuK', NULL, 'FGGY_RhuK', NULL, NULL, 9117, 1),
(11736, NULL, 'cd11419', NULL, NULL, 'bHLHzip_TFAP4', NULL, 'bHLHzip_TFAP4', NULL, NULL, NULL, 1),
(11737, NULL, 'cd17325', NULL, NULL, 'MFS_MdtG_SLC18_like', NULL, 'MFS_MdtG_SLC18_like', NULL, NULL, NULL, 1),
(11738, NULL, 'cd15414', NULL, NULL, '7tmA_OR5G-like', NULL, '7tmA_OR5G-like', NULL, NULL, NULL, 1),
(11739, NULL, 'cd04024', NULL, NULL, 'C2A_Synaptotagmin-like', NULL, 'C2A_Synaptotagmin-like', NULL, NULL, NULL, 1),
(11740, NULL, 'cd05303', NULL, NULL, 'PGDH_2', NULL, 'PGDH_2', NULL, NULL, NULL, 1),
(11741, NULL, 'cd11636', NULL, NULL, 'HR1_PKN1_3', NULL, 'HR1_PKN1_3', NULL, NULL, NULL, 1),
(11742, NULL, 'cd12349', NULL, NULL, 'RRM2_SHARP', NULL, 'RRM2_SHARP', NULL, NULL, 3646, 1),
(11743, NULL, 'cd08876', NULL, NULL, 'START_1', NULL, 'START_1', NULL, NULL, 28974, 1),
(11744, NULL, 'cd03307', NULL, NULL, 'Mta_CmuA_like', NULL, 'Mta_CmuA_like', NULL, NULL, 5605, 1),
(11745, NULL, 'cd10276', NULL, NULL, 'BamB_YfgL', NULL, 'BamB_YfgL', NULL, NULL, NULL, 1),
(11746, NULL, 'cd04765', NULL, NULL, 'HTH_MlrA-like_sg2', NULL, 'HTH_MlrA-like_sg2', NULL, NULL, NULL, 1),
(11747, NULL, 'cd01025', NULL, NULL, 'TOPRIM_recR', NULL, 'TOPRIM_recR', NULL, NULL, 28500, 1),
(11748, NULL, 'cd02947', NULL, NULL, 'TRX_family', NULL, 'TRX_family', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11749, NULL, 'cd12324', NULL, NULL, 'RRM_RBM8', NULL, 'RRM_RBM8', NULL, NULL, 29622, 1),
(11750, NULL, 'cd14675', NULL, NULL, 'PH-SEC3_like', NULL, 'PH-SEC3_like', NULL, NULL, NULL, 1),
(11751, NULL, 'cd05748', NULL, NULL, 'Ig_Titin_like', NULL, 'Ig_Titin_like', NULL, NULL, NULL, 1),
(11752, NULL, 'cd18818', NULL, NULL, 'GH43_GbtXyl43B-like', NULL, 'GH43_GbtXyl43B-like', NULL, NULL, NULL, 1),
(11753, NULL, 'cd18204', NULL, NULL, 'BTB_POZ_ZBTB14', NULL, 'BTB_POZ_ZBTB14', NULL, NULL, NULL, 1),
(11754, NULL, 'cd10526', NULL, NULL, 'SET_SMYD1', NULL, 'SET_SMYD1', NULL, NULL, 37926, 1),
(11755, NULL, 'cd15255', NULL, NULL, '7tmB2_GPR144', NULL, '7tmB2_GPR144', NULL, NULL, NULL, 1),
(11756, NULL, 'cd06954', NULL, NULL, 'NR_LBD_LXR', NULL, 'NR_LBD_LXR', NULL, NULL, NULL, 1),
(11757, NULL, 'cd01092', NULL, NULL, 'APP-like', NULL, 'APP-like', NULL, NULL, NULL, 1),
(11758, NULL, 'cd07669', NULL, NULL, 'BAR_SNX33', NULL, 'BAR_SNX33', NULL, NULL, 36124, 1),
(11759, NULL, 'cd01282', NULL, NULL, 'HTH_MerR-like_sg3', NULL, 'HTH_MerR-like_sg3', NULL, NULL, NULL, 1),
(11760, NULL, 'cd01016', NULL, NULL, 'TroA', NULL, 'TroA', NULL, NULL, NULL, 1),
(11761, NULL, 'cd16985', NULL, NULL, 'ANTH_N_AP180', NULL, 'ANTH_N_AP180', NULL, NULL, NULL, 1),
(11762, NULL, 'cd03375', NULL, NULL, 'TPP_OGFOR', NULL, 'TPP_OGFOR', NULL, NULL, NULL, 1),
(11763, NULL, 'cd10497', NULL, NULL, 'MH2_SMAD_1_5_9', NULL, 'MH2_SMAD_1_5_9', NULL, NULL, NULL, 1),
(11764, NULL, 'cd16585', NULL, NULL, 'RING-HC_TIF1_C-VI', NULL, 'RING-HC_TIF1_C-VI', NULL, NULL, NULL, 1),
(11765, NULL, 'cd18072', NULL, NULL, 'DEXHc_TTF2', NULL, 'DEXHc_TTF2', NULL, NULL, NULL, 1),
(11766, NULL, 'cd14395', NULL, NULL, 'UBA_BIRC4_8', NULL, 'UBA_BIRC4_8', NULL, NULL, 38344, 1),
(11767, NULL, 'cd11620', NULL, NULL, 'HR1_PKC-like_2_fungi', NULL, 'HR1_PKC-like_2_fungi', NULL, NULL, 29963, 1),
(11768, NULL, 'cd19445', NULL, NULL, 'FABP2', NULL, 'FABP2', NULL, NULL, NULL, 1),
(11769, NULL, 'cd19790', NULL, NULL, 'Bbox2_TRIM59_C-XI', NULL, 'Bbox2_TRIM59_C-XI', NULL, NULL, NULL, 1),
(11770, NULL, 'cd12325', NULL, NULL, 'RRM1_hnRNPA_hnRNPD_like', NULL, 'RRM1_hnRNPA_hnRNPD_like', NULL, NULL, NULL, 1),
(11771, NULL, 'cd00137', NULL, NULL, 'PI-PLCc', NULL, 'PI-PLCc', NULL, NULL, NULL, 1),
(11772, NULL, 'cd16026', NULL, NULL, 'GALNS_like', NULL, 'GALNS_like', NULL, NULL, NULL, 1),
(11773, NULL, 'cd12163', NULL, NULL, '2-Hacid_dh_5', NULL, '2-Hacid_dh_5', NULL, NULL, NULL, 1),
(11774, NULL, 'cd15572', NULL, NULL, 'PHD_BRPF', NULL, 'PHD_BRPF', NULL, NULL, NULL, 1),
(11775, NULL, 'cd12604', NULL, NULL, 'RRM_RALY', NULL, 'RRM_RALY', NULL, NULL, 32416, 1),
(11776, NULL, 'cd13174', NULL, NULL, 'RanBD4_RanBP2_insect-like', NULL, 'RanBD4_RanBP2_insect-like', NULL, NULL, NULL, 1),
(11777, NULL, 'cd14804', NULL, NULL, 'Tra_M', NULL, 'Tra_M', NULL, NULL, 3453, 1),
(11778, NULL, 'cd00763', NULL, NULL, 'Bacterial_PFK', NULL, 'Bacterial_PFK', NULL, NULL, 12912, 1),
(11779, NULL, 'cd17125', NULL, NULL, 'Ubl_TECRL', NULL, 'Ubl_TECRL', NULL, NULL, NULL, 1),
(11780, NULL, 'cd11381', NULL, NULL, 'NSA2', NULL, 'NSA2', NULL, NULL, 29932, 1),
(11781, NULL, 'cd19458', NULL, NULL, 'lipocalin_12', NULL, 'lipocalin_12', NULL, NULL, NULL, 1),
(11782, NULL, 'cd04098', NULL, NULL, 'eEF2_C_snRNP', NULL, 'eEF2_C_snRNP', NULL, NULL, 35095, 1),
(11783, NULL, 'cd01792', NULL, NULL, 'Ubl1_ISG15', NULL, 'Ubl1_ISG15', NULL, NULL, NULL, 1),
(11784, NULL, 'cd14100', NULL, NULL, 'STKc_PIM1', NULL, 'STKc_PIM1', NULL, NULL, NULL, 1),
(11785, NULL, 'cd03536', NULL, NULL, 'Rieske_RO_Alpha_DTDO', NULL, 'Rieske_RO_Alpha_DTDO', NULL, NULL, NULL, 1),
(11786, NULL, 'cd08692', NULL, NULL, 'C2B_Tac2-N', NULL, 'C2B_Tac2-N', NULL, NULL, 32174, 1),
(11787, NULL, 'cd07813', NULL, NULL, 'COQ10p_like', NULL, 'COQ10p_like', NULL, NULL, 39390, 1),
(11788, NULL, 'cd03422', NULL, NULL, 'YedF', NULL, 'YedF', NULL, NULL, NULL, 1),
(11789, NULL, 'cd10517', NULL, NULL, 'SET_SETDB1', NULL, 'SET_SETDB1', NULL, NULL, NULL, 1),
(11790, NULL, 'cd14988', NULL, NULL, '7tmA_GPR182', NULL, '7tmA_GPR182', NULL, NULL, NULL, 1),
(11791, NULL, 'cd18340', NULL, NULL, 'BTB_POZ_KLHL40_KBTBD5', NULL, 'BTB_POZ_KLHL40_KBTBD5', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11792, NULL, 'cd04238', NULL, NULL, 'AAK_NAGK-like', NULL, 'AAK_NAGK-like', NULL, NULL, NULL, 1),
(11793, NULL, 'cd03494', NULL, NULL, 'SQR_TypeC_SdhD', NULL, 'SQR_TypeC_SdhD', NULL, NULL, NULL, 1),
(11794, NULL, 'cd12533', NULL, NULL, 'RRM_EWS', NULL, 'RRM_EWS', NULL, NULL, 31191, 1),
(11795, NULL, 'cd12188', NULL, NULL, 'SDH', NULL, 'SDH', NULL, NULL, 28035, 1),
(11796, NULL, 'cd14835', NULL, NULL, 'AP1_Mu_N', NULL, 'AP1_Mu_N', NULL, NULL, NULL, 1),
(11797, NULL, 'cd02893', NULL, NULL, 'FTase', NULL, 'FTase', NULL, NULL, 28829, 1),
(11798, NULL, 'cd11525', NULL, NULL, 'SYLF_SH3YL1_like', NULL, 'SYLF_SH3YL1_like', NULL, NULL, 34927, 1),
(11799, NULL, 'cd19339', NULL, NULL, 'Wnt_Wnt7', NULL, 'Wnt_Wnt7', NULL, NULL, NULL, 1),
(11800, NULL, 'cd03440', NULL, NULL, 'hot_dog', NULL, 'hot_dog', NULL, NULL, NULL, 1),
(11801, NULL, 'cd15117', NULL, NULL, '7tmA_FPR-like', NULL, '7tmA_FPR-like', NULL, NULL, NULL, 1),
(11802, NULL, 'cd01030', NULL, NULL, 'TOPRIM_TopoIIA_like', NULL, 'TOPRIM_TopoIIA_like', NULL, NULL, NULL, 1),
(11803, NULL, 'cd17939', NULL, NULL, 'DEADc_EIF4A', NULL, 'DEADc_EIF4A', NULL, NULL, NULL, 1),
(11804, NULL, 'cd03471', NULL, NULL, 'Rieske_cytochrome_b6f', NULL, 'Rieske_cytochrome_b6f', NULL, NULL, NULL, 1),
(11805, NULL, 'cd04229', NULL, NULL, 'CuRO_1_Ceruloplasmin_like_1', NULL, 'CuRO_1_Ceruloplasmin_like_1', NULL, NULL, NULL, 1),
(11806, NULL, 'cd12026', NULL, NULL, 'SH3_ZO-1', NULL, 'SH3_ZO-1', NULL, NULL, 36158, 1),
(11807, NULL, 'cd19085', NULL, NULL, 'AKR_AKR11B3', NULL, 'AKR_AKR11B3', NULL, NULL, NULL, 1),
(11808, NULL, 'cd06959', NULL, NULL, 'NR_DBD_EcR_like', NULL, 'NR_DBD_EcR_like', NULL, NULL, NULL, 1),
(11809, NULL, 'cd19713', NULL, NULL, 'bHLH_TS_ATOH1', NULL, 'bHLH_TS_ATOH1', NULL, NULL, NULL, 1),
(11810, NULL, 'cd05574', NULL, NULL, 'STKc_phototropin_like', NULL, 'STKc_phototropin_like', NULL, NULL, NULL, 1),
(11811, NULL, 'cd16968', NULL, NULL, 'Alpha_kinase_MHCK_like', NULL, 'Alpha_kinase_MHCK_like', NULL, NULL, NULL, 1),
(11812, NULL, 'cd06347', NULL, NULL, 'PBP1_ABC_LivK_ligand_binding-like', NULL, 'PBP1_ABC_LivK_ligand_binding-like', NULL, NULL, NULL, 1),
(11813, NULL, 'cd14040', NULL, NULL, 'STKc_TLK1', NULL, 'STKc_TLK1', NULL, NULL, NULL, 1),
(11814, NULL, 'cd07178', NULL, NULL, 'terB_like_YebE', NULL, 'terB_like_YebE', NULL, NULL, 10252, 1),
(11815, NULL, 'cd17593', NULL, NULL, 'REC_CheC-like', NULL, 'REC_CheC-like', NULL, NULL, NULL, 1),
(11816, NULL, 'cd17071', NULL, NULL, 'DCX1_DCDC2_like', NULL, 'DCX1_DCDC2_like', NULL, NULL, NULL, 1),
(11817, NULL, 'cd17184', NULL, NULL, 'FERM_F1_KIND2', NULL, 'FERM_F1_KIND2', NULL, NULL, NULL, 1),
(11818, NULL, 'cd19027', NULL, NULL, 'LGIC_ECD_nAChR_B4', NULL, 'LGIC_ECD_nAChR_B4', NULL, NULL, NULL, 1),
(11819, NULL, 'cd13368', NULL, NULL, 'PH_BCR_arthropod', NULL, 'PH_BCR_arthropod', NULL, NULL, NULL, 1),
(11820, NULL, 'cd11519', NULL, NULL, 'SLC5sbd_SMCT1', NULL, 'SLC5sbd_SMCT1', NULL, NULL, 32832, 1),
(11821, NULL, 'cd20007', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(11822, NULL, 'cd10463', NULL, NULL, 'PUB_WLM', NULL, 'PUB_WLM', NULL, NULL, NULL, 1),
(11823, NULL, 'cd18274', NULL, NULL, 'BTB_POZ_KBTBD8', NULL, 'BTB_POZ_KBTBD8', NULL, NULL, NULL, 1),
(11824, NULL, 'cd05135', NULL, NULL, 'RasGAP_RASAL', NULL, 'RasGAP_RASAL', NULL, NULL, 34929, 1),
(11825, NULL, 'cd08639', NULL, NULL, 'DNA_pol_A_Aquificae_like', NULL, 'DNA_pol_A_Aquificae_like', NULL, NULL, NULL, 1),
(11826, NULL, 'cd09299', NULL, NULL, 'TDT', NULL, 'TDT', NULL, NULL, NULL, 1),
(11827, NULL, 'cd04973', NULL, NULL, 'Ig1_FGFR', NULL, 'Ig1_FGFR', NULL, NULL, NULL, 1),
(11828, NULL, 'cd09946', NULL, NULL, 'SH2_HSH2_like', NULL, 'SH2_HSH2_like', NULL, NULL, NULL, 1),
(11829, NULL, 'cd14566', NULL, NULL, 'DSP_MKP_classII', NULL, 'DSP_MKP_classII', NULL, NULL, NULL, 1),
(11830, NULL, 'cd17050', NULL, NULL, 'Ubl1_ANKUB1', NULL, 'Ubl1_ANKUB1', NULL, NULL, NULL, 1),
(11831, NULL, 'cd07221', NULL, NULL, 'Pat_PNPLA3', NULL, 'Pat_PNPLA3', NULL, NULL, 35533, 1),
(11832, NULL, 'cd09224', NULL, NULL, 'CytoC_RC', NULL, 'CytoC_RC', NULL, NULL, 3104, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11833, NULL, 'cd00161', NULL, NULL, 'RICIN', NULL, 'RICIN', NULL, NULL, 3865, 1),
(11834, NULL, 'cd06416', NULL, NULL, 'GH25_Lys1-like', NULL, 'GH25_Lys1-like', NULL, NULL, NULL, 1),
(11835, NULL, 'cd00546', NULL, NULL, 'QFR_TypeD_subunitC', NULL, 'QFR_TypeD_subunitC', NULL, NULL, 6216, 1),
(11836, NULL, 'cd11393', NULL, NULL, 'bHLH_AtbHLH_like', NULL, 'bHLH_AtbHLH_like', NULL, NULL, 39720, 1),
(11837, NULL, 'cd17487', NULL, NULL, 'MFS_MFSD5_like', NULL, 'MFS_MFSD5_like', NULL, NULL, NULL, 1),
(11838, NULL, 'cd07622', NULL, NULL, 'BAR_SNX4', NULL, 'BAR_SNX4', NULL, NULL, 36332, 1),
(11839, NULL, 'cd09894', NULL, NULL, 'NGN_SP_AnfA1', NULL, 'NGN_SP_AnfA1', NULL, NULL, NULL, 1),
(11840, NULL, 'cd04106', NULL, NULL, 'Rab23_like', NULL, 'Rab23_like', NULL, NULL, 21747, 1),
(11841, NULL, 'sd00044', NULL, NULL, 'HEAT', NULL, 'HEAT', NULL, NULL, NULL, 1),
(11842, NULL, 'cd18753', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(11843, NULL, 'cd11466', NULL, NULL, 'bHLH_TS_HAND', NULL, 'bHLH_TS_HAND', NULL, NULL, NULL, 1),
(11844, NULL, 'cd16215', NULL, NULL, 'EFh_PI-PLCgamma2', NULL, 'EFh_PI-PLCgamma2', NULL, NULL, NULL, 1),
(11845, NULL, 'cd14892', NULL, NULL, 'MYSc_Myo31', NULL, 'MYSc_Myo31', NULL, NULL, NULL, 1),
(11846, NULL, 'cd07690', NULL, NULL, 'Ig1_CD4', NULL, 'Ig1_CD4', NULL, NULL, NULL, 1),
(11847, NULL, 'cd15225', NULL, NULL, '7tmA_OR10A-like', NULL, '7tmA_OR10A-like', NULL, NULL, NULL, 1),
(11848, NULL, 'cd15193', NULL, NULL, '7tmA_GPR25', NULL, '7tmA_GPR25', NULL, NULL, NULL, 1),
(11849, NULL, 'cd16606', NULL, NULL, 'RING-HC_TRIM58_C-IV', NULL, 'RING-HC_TRIM58_C-IV', NULL, NULL, 38391, 1),
(11850, NULL, 'cd19090', NULL, NULL, 'AKR_AKR15A-like', NULL, 'AKR_AKR15A-like', NULL, NULL, NULL, 1),
(11851, NULL, 'cd15827', NULL, NULL, 'SPRY_PRY_TRIM10', NULL, 'SPRY_PRY_TRIM10', NULL, NULL, NULL, 1),
(11852, NULL, 'cd09528', NULL, NULL, 'SAM_Samd9_Samd9L', NULL, 'SAM_Samd9_Samd9L', NULL, NULL, NULL, 1),
(11853, NULL, 'cd16991', NULL, NULL, 'ENTH_Ent1_Ent2', NULL, 'ENTH_Ent1_Ent2', NULL, NULL, NULL, 1),
(11854, NULL, 'cd09019', NULL, NULL, 'galactose_mutarotase_like', NULL, 'galactose_mutarotase_like', NULL, NULL, NULL, 1),
(11855, NULL, 'cd19052', NULL, NULL, 'LGIC_TM_GABAAR_alpha', NULL, 'LGIC_TM_GABAAR_alpha', NULL, NULL, NULL, 1),
(11856, NULL, 'cd07059', NULL, NULL, 'BMC_PduA', NULL, 'BMC_PduA', NULL, NULL, NULL, 1),
(11857, NULL, 'cd07434', NULL, NULL, 'PHP_PolIIIA_DnaE2', NULL, 'PHP_PolIIIA_DnaE2', NULL, NULL, NULL, 1),
(11858, NULL, 'cd17391', NULL, NULL, 'MFS_MdtG_MDR_like', NULL, 'MFS_MdtG_MDR_like', NULL, NULL, NULL, 1),
(11859, NULL, 'cd08403', NULL, NULL, 'C2B_Synaptotagmin-3-5-6-9-10', NULL, 'C2B_Synaptotagmin-3-5-6-9-10', NULL, NULL, NULL, 1),
(11860, NULL, 'cd10170', NULL, NULL, 'HSP70_NBD', NULL, 'HSP70_NBD', NULL, NULL, NULL, 1),
(11861, NULL, 'cd04137', NULL, NULL, 'RheB', NULL, 'RheB', NULL, NULL, NULL, 1),
(11862, NULL, 'cd07795', NULL, NULL, 'FGGY_ScGut1p_like', NULL, 'FGGY_ScGut1p_like', NULL, NULL, NULL, 1),
(11863, NULL, 'cd19124', NULL, NULL, 'AKR_AKR4A_4B', NULL, 'AKR_AKR4A_4B', NULL, NULL, 37126, 1),
(11864, NULL, 'cd07199', NULL, NULL, 'Pat17_PNPLA8_PNPLA9_like', NULL, 'Pat17_PNPLA8_PNPLA9_like', NULL, NULL, NULL, 1),
(11865, NULL, 'cd01426', NULL, NULL, 'ATP-synt_F1_V1_A1_AB_FliI_N', NULL, 'ATP-synt_F1_V1_A1_AB_FliI_N', NULL, NULL, NULL, 1),
(11866, NULL, 'cd11423', NULL, NULL, 'bHLH_TS_musculin_like', NULL, 'bHLH_TS_musculin_like', NULL, NULL, NULL, 1),
(11867, NULL, 'cd14536', NULL, NULL, 'PTP-MTMR9', NULL, 'PTP-MTMR9', NULL, NULL, NULL, 1),
(11868, NULL, 'cd16683', NULL, NULL, 'RING-H2_RNF139', NULL, 'RING-H2_RNF139', NULL, NULL, NULL, 1),
(11869, NULL, 'cd11317', NULL, NULL, 'AmyAc_bac_euk_AmyA', NULL, 'AmyAc_bac_euk_AmyA', NULL, NULL, NULL, 1),
(11870, NULL, 'cd04692', NULL, NULL, 'Nudix_Hydrolase_33', NULL, 'Nudix_Hydrolase_33', NULL, NULL, NULL, 1),
(11871, NULL, 'cd04857', NULL, NULL, 'Peptidases_S8_Tripeptidyl_Aminopeptidase_II', NULL, 'Peptidases_S8_Tripeptidyl_Aminopeptidase_II', NULL, NULL, 23601, 1),
(11872, NULL, 'cd05022', NULL, NULL, 'S-100A13', NULL, 'S-100A13', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11873, NULL, 'cd13250', NULL, NULL, 'PH_ACAP', NULL, 'PH_ACAP', NULL, NULL, NULL, 1),
(11874, NULL, 'cd16531', NULL, NULL, 'RING-HC_RING1_like', NULL, 'RING-HC_RING1_like', NULL, NULL, NULL, 1),
(11875, NULL, 'cd10973', NULL, NULL, 'CE4_DAC_u4_5s', NULL, 'CE4_DAC_u4_5s', NULL, NULL, NULL, 1),
(11876, NULL, 'cd14861', NULL, NULL, 'Fe-ADH-like', NULL, 'Fe-ADH-like', NULL, NULL, NULL, 1),
(11877, NULL, 'cd15525', NULL, NULL, 'PHD_UHRF1_2', NULL, 'PHD_UHRF1_2', NULL, NULL, NULL, 1),
(11878, NULL, 'cd17111', NULL, NULL, 'RA1_DAGK-theta', NULL, 'RA1_DAGK-theta', NULL, NULL, NULL, 1),
(11879, NULL, 'cd05481', NULL, NULL, 'retropepsin_like_LTR_1', NULL, 'retropepsin_like_LTR_1', NULL, NULL, NULL, 1),
(11880, NULL, 'cd08981', NULL, NULL, 'GH43_Bt1873-like', NULL, 'GH43_Bt1873-like', NULL, NULL, NULL, 1),
(11881, NULL, 'cd02961', NULL, NULL, 'PDI_a_family', NULL, 'PDI_a_family', NULL, NULL, NULL, 1),
(11882, NULL, 'cd03489', NULL, NULL, 'Topoisomer_IB_N_LdtopoI_like', NULL, 'Topoisomer_IB_N_LdtopoI_like', NULL, NULL, NULL, 1),
(11883, NULL, 'cd06406', NULL, NULL, 'PB1_P67', NULL, 'PB1_P67', NULL, NULL, 19687, 1),
(11884, NULL, 'cd13226', NULL, NULL, 'PH-GRAM-like_Eap45', NULL, 'PH-GRAM-like_Eap45', NULL, NULL, NULL, 1),
(11885, NULL, 'cd19093', NULL, NULL, 'AKR_AtPLR-like', NULL, 'AKR_AtPLR-like', NULL, NULL, NULL, 1),
(11886, NULL, 'cd21410', NULL, NULL, '1B_av_Nsp10-like', NULL, '1B_av_Nsp10-like', NULL, NULL, 36905, 1),
(11887, NULL, 'cd01721', NULL, NULL, 'Sm_D3', NULL, 'Sm_D3', NULL, NULL, 11415, 1),
(11888, NULL, 'cd19377', NULL, NULL, 'TGF_beta_INHA_B_like', NULL, 'TGF_beta_INHA_B_like', NULL, NULL, NULL, 1),
(11889, NULL, 'cd05769', NULL, NULL, 'IgC_TCR_beta', NULL, 'IgC_TCR_beta', NULL, NULL, NULL, 1),
(11890, NULL, 'cd18935', NULL, NULL, 'bHLH_TS_MYOG_Myf4', NULL, 'bHLH_TS_MYOG_Myf4', NULL, NULL, NULL, 1),
(11891, NULL, 'cd09873', NULL, NULL, 'PIN_Pae0151-like', NULL, 'PIN_Pae0151-like', NULL, NULL, 39106, 1),
(11892, NULL, 'cd03713', NULL, NULL, 'EFG_mtEFG_C', NULL, 'EFG_mtEFG_C', NULL, NULL, 34019, 1),
(11893, NULL, 'cd18097', NULL, NULL, 'SpoU-like', NULL, 'SpoU-like', NULL, NULL, NULL, 1),
(11894, NULL, 'cd18302', NULL, NULL, 'BTB2_POZ_IBtk', NULL, 'BTB2_POZ_IBtk', NULL, NULL, NULL, 1),
(11895, NULL, 'cd15700', NULL, NULL, 'ePHD_RAI1', NULL, 'ePHD_RAI1', NULL, NULL, NULL, 1),
(11896, NULL, 'cd17872', NULL, NULL, 'GPN3', NULL, 'GPN3', NULL, NULL, NULL, 1),
(11897, NULL, 'cd13240', NULL, NULL, 'PH1_Kalirin_Trio_like', NULL, 'PH1_Kalirin_Trio_like', NULL, NULL, NULL, 1),
(11898, NULL, 'cd15471', NULL, NULL, 'Myo5p-like_CBD_afadin', NULL, 'Myo5p-like_CBD_afadin', NULL, NULL, 29129, 1),
(11899, NULL, 'cd12368', NULL, NULL, 'RRM3_RBM45', NULL, 'RRM3_RBM45', NULL, NULL, 21307, 1),
(11900, NULL, 'cd00350', NULL, NULL, 'rubredoxin_like', NULL, 'rubredoxin_like', NULL, NULL, NULL, 1),
(11901, NULL, 'cd12490', NULL, NULL, 'RRM2_ACF', NULL, 'RRM2_ACF', NULL, NULL, NULL, 1),
(11902, NULL, 'cd08360', NULL, NULL, 'MhqB_like_C', NULL, 'MhqB_like_C', NULL, NULL, NULL, 1),
(11903, NULL, 'cd00316', NULL, NULL, 'Oxidoreductase_nitrogenase', NULL, 'Oxidoreductase_nitrogenase', NULL, NULL, NULL, 1),
(11904, NULL, 'cd02781', NULL, NULL, 'MopB_CT_Acetylene-hydratase', NULL, 'MopB_CT_Acetylene-hydratase', NULL, NULL, 35151, 1),
(11905, NULL, 'cd03197', NULL, NULL, 'GST_C_mPGES2', NULL, 'GST_C_mPGES2', NULL, NULL, 20283, 1),
(11906, NULL, 'cd01891', NULL, NULL, 'TypA_BipA', NULL, 'TypA_BipA', NULL, NULL, NULL, 1),
(11907, NULL, 'cd15367', NULL, NULL, '7tmA_GPR68_OGR1', NULL, '7tmA_GPR68_OGR1', NULL, NULL, NULL, 1),
(11908, NULL, 'cd11994', NULL, NULL, 'SH3_Intersectin2_4', NULL, 'SH3_Intersectin2_4', NULL, NULL, 30359, 1),
(11909, NULL, 'cd11579', NULL, NULL, 'Glyco_tran_WbsX', NULL, 'Glyco_tran_WbsX', NULL, NULL, 29495, 1),
(11910, NULL, 'cd00670', NULL, NULL, 'Gly_His_Pro_Ser_Thr_tRS_core', NULL, 'Gly_His_Pro_Ser_Thr_tRS_core', NULL, NULL, NULL, 1),
(11911, NULL, 'cd19964', NULL, NULL, 'PBP1_BMP-like', NULL, 'PBP1_BMP-like', NULL, NULL, NULL, 1),
(11912, NULL, 'cd11985', NULL, NULL, 'SH3_Stac2_C', NULL, 'SH3_Stac2_C', NULL, NULL, 18134, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11913, NULL, 'cd05080', NULL, NULL, 'PTKc_Tyk2_rpt2', NULL, 'PTKc_Tyk2_rpt2', NULL, NULL, NULL, 1),
(11914, NULL, 'cd15070', NULL, NULL, '7tmA_Adenosine_R_A3', NULL, '7tmA_Adenosine_R_A3', NULL, NULL, NULL, 1),
(11915, NULL, 'cd04866', NULL, NULL, 'LigD_Pol_like_3', NULL, 'LigD_Pol_like_3', NULL, NULL, 32887, 1),
(11916, NULL, 'cd12344', NULL, NULL, 'RRM1_SECp43_like', NULL, 'RRM1_SECp43_like', NULL, NULL, NULL, 1),
(11917, NULL, 'cd16222', NULL, NULL, 'EFh_PRIP1', NULL, 'EFh_PRIP1', NULL, NULL, NULL, 1),
(11918, NULL, 'cd17940', NULL, NULL, 'DEADc_DDX6', NULL, 'DEADc_DDX6', NULL, NULL, NULL, 1),
(11919, NULL, 'cd11945', NULL, NULL, 'SH3_Endophilin_B1', NULL, 'SH3_Endophilin_B1', NULL, NULL, NULL, 1),
(11920, NULL, 'cd21560', NULL, NULL, 'betaCoV-Nsp6', NULL, 'betaCoV-Nsp6', NULL, NULL, 37678, 1),
(11921, NULL, 'cd06933', NULL, NULL, 'NR_LBD_VDR', NULL, 'NR_LBD_VDR', NULL, NULL, NULL, 1),
(11922, NULL, 'cd16005', NULL, NULL, '7tmB2_Latrophilin-3', NULL, '7tmB2_Latrophilin-3', NULL, NULL, NULL, 1),
(11923, NULL, 'cd07140', NULL, NULL, 'ALDH_F1L_FTFDH', NULL, 'ALDH_F1L_FTFDH', NULL, NULL, NULL, 1),
(11924, NULL, 'cd13737', NULL, NULL, 'SPRY_PRY_TRIM25-like', NULL, 'SPRY_PRY_TRIM25-like', NULL, NULL, NULL, 1),
(11925, NULL, 'cd17329', NULL, NULL, 'MFS_MdtH_MDR_like', NULL, 'MFS_MdtH_MDR_like', NULL, NULL, NULL, 1),
(11926, NULL, 'cd10438', NULL, NULL, 'GIY-YIG_MSH', NULL, 'GIY-YIG_MSH', NULL, NULL, NULL, 1),
(11927, NULL, 'cd06641', NULL, NULL, 'STKc_MST3', NULL, 'STKc_MST3', NULL, NULL, NULL, 1),
(11928, NULL, 'cd09977', NULL, NULL, 'LOTUS_1_Limkain_b1', NULL, 'LOTUS_1_Limkain_b1', NULL, NULL, NULL, 1),
(11929, NULL, 'cd12190', NULL, NULL, 'Bacova_04320_like', NULL, 'Bacova_04320_like', NULL, NULL, NULL, 1),
(11930, NULL, 'cd16789', NULL, NULL, 'mRING-HC-C3HC5_MGRN1_like---blasttree', NULL, 'mRING-HC-C3HC5_MGRN1_like---blasttree', NULL, NULL, 37484, 1),
(11931, NULL, 'cd11836', NULL, NULL, 'SH3_Intersectin_1', NULL, 'SH3_Intersectin_1', NULL, NULL, NULL, 1),
(11932, NULL, 'cd16863', NULL, NULL, 'ING_ING5', NULL, 'ING_ING5', NULL, NULL, NULL, 1),
(11933, NULL, 'cd10366', NULL, NULL, 'SH2_Src_Yes', NULL, 'SH2_Src_Yes', NULL, NULL, NULL, 1),
(11934, NULL, 'cd09919', NULL, NULL, 'SH2_STAT_family', NULL, 'SH2_STAT_family', NULL, NULL, NULL, 1),
(11935, NULL, 'cd00855', NULL, NULL, 'SWIB-MDM2', NULL, 'SWIB-MDM2', NULL, NULL, NULL, 1),
(11936, NULL, 'cd14986', NULL, NULL, '7tmA_Vasopressin-like', NULL, '7tmA_Vasopressin-like', NULL, NULL, NULL, 1),
(11937, NULL, 'cd01058', NULL, NULL, 'AAMH_B', NULL, 'AAMH_B', NULL, NULL, 12361, 1),
(11938, NULL, 'cd16623', NULL, NULL, 'RING-HC_RBR_TRIAD1_like', NULL, 'RING-HC_RBR_TRIAD1_like', NULL, NULL, NULL, 1),
(11939, NULL, 'cd16545', NULL, NULL, 'RING-HC_RNF141', NULL, 'RING-HC_RNF141', NULL, NULL, 38875, 1),
(11940, NULL, 'cd19050', NULL, NULL, 'LGIC_TM_bact', NULL, 'LGIC_TM_bact', NULL, NULL, NULL, 1),
(11941, NULL, 'cd07302', NULL, NULL, 'CHD', NULL, 'CHD', NULL, NULL, 1424, 1),
(11942, NULL, 'cd06380', NULL, NULL, 'PBP1_iGluR_AMPA', NULL, 'PBP1_iGluR_AMPA', NULL, NULL, NULL, 1),
(11943, NULL, 'cd11993', NULL, NULL, 'SH3_Intersectin1_4', NULL, 'SH3_Intersectin1_4', NULL, NULL, NULL, 1),
(11944, NULL, 'cd18233', NULL, NULL, 'BTB_POZ_ZBTB49', NULL, 'BTB_POZ_ZBTB49', NULL, NULL, NULL, 1),
(11945, NULL, 'cd05914', NULL, NULL, 'LC_FACL_like', NULL, 'LC_FACL_like', NULL, NULL, NULL, 1),
(11946, NULL, 'cd07355', NULL, NULL, 'HN_L-delphilin-R2_like', NULL, 'HN_L-delphilin-R2_like', NULL, NULL, NULL, 1),
(11947, NULL, 'cd03773', NULL, NULL, 'MATH_TRIM37', NULL, 'MATH_TRIM37', NULL, NULL, 34843, 1),
(11948, NULL, 'cd17425', NULL, NULL, 'MFS_MCT6', NULL, 'MFS_MCT6', NULL, NULL, NULL, 1),
(11949, NULL, 'cd01760', NULL, NULL, 'RBD', NULL, 'RBD', NULL, NULL, NULL, 1),
(11950, NULL, 'cd13974', NULL, NULL, 'STKc_SHIK', NULL, 'STKc_SHIK', NULL, NULL, 20476, 1),
(11951, NULL, 'cd20762', NULL, NULL, 'capping_2-OMTase_Nidovirales', NULL, 'capping_2-OMTase_Nidovirales', NULL, NULL, 9413, 1),
(11952, NULL, 'cd18279', NULL, NULL, 'BTB_POZ_SPOP-like', NULL, 'BTB_POZ_SPOP-like', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11953, NULL, 'cd06593', NULL, NULL, 'GH31_xylosidase_YicI', NULL, 'GH31_xylosidase_YicI', NULL, NULL, NULL, 1),
(11954, NULL, 'cd08375', NULL, NULL, 'C2_Intersectin', NULL, 'C2_Intersectin', NULL, NULL, NULL, 1),
(11955, NULL, 'cd17005', NULL, NULL, 'CID_SFRS15_SCAF4', NULL, 'CID_SFRS15_SCAF4', NULL, NULL, NULL, 1),
(11956, NULL, 'cd04792', NULL, NULL, 'LanM-like', NULL, 'LanM-like', NULL, NULL, 20841, 1),
(11957, NULL, 'cd18420', NULL, NULL, 'BTB_POZ_Shal-like', NULL, 'BTB_POZ_Shal-like', NULL, NULL, NULL, 1),
(11958, NULL, 'cd13662', NULL, NULL, 'PBP2_TpPotD_like', NULL, 'PBP2_TpPotD_like', NULL, NULL, NULL, 1),
(11959, NULL, 'cd14129', NULL, NULL, 'STKc_TTBK2', NULL, 'STKc_TTBK2', NULL, NULL, NULL, 1),
(11960, NULL, 'cd05901', NULL, NULL, 'Ig_Versican', NULL, 'Ig_Versican', NULL, NULL, NULL, 1),
(11961, NULL, 'cd09916', NULL, NULL, 'CpxP_like', NULL, 'CpxP_like', NULL, NULL, 13258, 1),
(11962, NULL, 'cd15333', NULL, NULL, '7tmA_5-HT1B_1D', NULL, '7tmA_5-HT1B_1D', NULL, NULL, NULL, 1),
(11963, NULL, 'cd16193', NULL, NULL, 'EFh_PEF_CAPN11', NULL, 'EFh_PEF_CAPN11', NULL, NULL, NULL, 1),
(11964, NULL, 'cd16082', NULL, NULL, 'IgC_CRIg', NULL, 'IgC_CRIg', NULL, NULL, NULL, 1),
(11965, NULL, 'cd15494', NULL, NULL, 'PHD_ATX1_2_like', NULL, 'PHD_ATX1_2_like', NULL, NULL, 32922, 1),
(11966, NULL, 'cd01197', NULL, NULL, 'INT_FimBE_like', NULL, 'INT_FimBE_like', NULL, NULL, NULL, 1),
(11967, NULL, 'cd12555', NULL, NULL, 'RRM2_RBM15', NULL, 'RRM2_RBM15', NULL, NULL, 12270, 1),
(11968, NULL, 'cd10389', NULL, NULL, 'SH2_SHB', NULL, 'SH2_SHB', NULL, NULL, 9177, 1),
(11969, NULL, 'cd15935', NULL, NULL, '7tmA_OR4Q3-like', NULL, '7tmA_OR4Q3-like', NULL, NULL, NULL, 1),
(11970, NULL, 'cd03273', NULL, NULL, 'ABC_SMC2_euk', NULL, 'ABC_SMC2_euk', NULL, NULL, 26786, 1),
(11971, NULL, 'cd10467', NULL, NULL, 'FAM20_C_like', NULL, 'FAM20_C_like', NULL, NULL, NULL, 1),
(11972, NULL, 'cd10962', NULL, NULL, 'CE4_GT2-like', NULL, 'CE4_GT2-like', NULL, NULL, NULL, 1),
(11973, NULL, 'cd13578', NULL, NULL, 'PBP2_Bug27', NULL, 'PBP2_Bug27', NULL, NULL, NULL, 1),
(11974, NULL, 'cd18228', NULL, NULL, 'BTB_POZ_ZBTB44', NULL, 'BTB_POZ_ZBTB44', NULL, NULL, NULL, 1),
(11975, NULL, 'cd12372', NULL, NULL, 'RRM_CFIm68_CFIm59', NULL, 'RRM_CFIm68_CFIm59', NULL, NULL, NULL, 1),
(11976, NULL, 'cd16428', NULL, NULL, 'TcpC_C', NULL, 'TcpC_C', NULL, NULL, 30738, 1),
(11977, NULL, 'cd05029', NULL, NULL, 'S-100A6', NULL, 'S-100A6', NULL, NULL, 31366, 1),
(11978, NULL, 'cd15728', NULL, NULL, 'FYVE_ANFY1', NULL, 'FYVE_ANFY1', NULL, NULL, NULL, 1),
(11979, NULL, 'cd16299', NULL, NULL, 'IND_BlaB-like_MBL-B1', NULL, 'IND_BlaB-like_MBL-B1', NULL, NULL, NULL, 1),
(11980, NULL, 'cd04794', NULL, NULL, 'euk_LANCL', NULL, 'euk_LANCL', NULL, NULL, NULL, 1),
(11981, NULL, 'cd07387', NULL, NULL, 'MPP_PolD2_C', NULL, 'MPP_PolD2_C', NULL, NULL, 32180, 1),
(11982, NULL, 'cd05033', NULL, NULL, 'PTKc_EphR', NULL, 'PTKc_EphR', NULL, NULL, NULL, 1),
(11983, NULL, 'cd02227', NULL, NULL, 'cupin_TM1112-like', NULL, 'cupin_TM1112-like', NULL, NULL, NULL, 1),
(11984, NULL, 'cd00667', NULL, NULL, 'ring_hydroxylating_dioxygenases_beta', NULL, 'ring_hydroxylating_dioxygenases_beta', NULL, NULL, 6518, 1),
(11985, NULL, 'cd14556', NULL, NULL, 'R-PTPc-typeIIb-2', NULL, 'R-PTPc-typeIIb-2', NULL, NULL, NULL, 1),
(11986, NULL, 'cd13432', NULL, NULL, 'LDT_IgD_like_2', NULL, 'LDT_IgD_like_2', NULL, NULL, NULL, 1),
(11987, NULL, 'cd21626', NULL, NULL, 'MERS-CoV-like_Spike_S1_NTD', NULL, 'MERS-CoV-like_Spike_S1_NTD', NULL, NULL, 36951, 1),
(11988, NULL, 'cd12238', NULL, NULL, 'RRM1_RBM40_like', NULL, 'RRM1_RBM40_like', NULL, NULL, 21694, 1),
(11989, NULL, 'cd13673', NULL, NULL, 'PBP2_TRAP_SBP_like_2', NULL, 'PBP2_TRAP_SBP_like_2', NULL, NULL, NULL, 1),
(11990, NULL, 'cd07316', NULL, NULL, 'terB_like_DjlA', NULL, 'terB_like_DjlA', NULL, NULL, NULL, 1),
(11991, NULL, 'cd09944', NULL, NULL, 'SH2_Grb7_family', NULL, 'SH2_Grb7_family', NULL, NULL, NULL, 1),
(11992, NULL, 'cd00179', NULL, NULL, 'SynN', NULL, 'SynN', NULL, NULL, 1216, 1),
(11993, NULL, 'cd18763', NULL, NULL, 'PIN_MtVapC3-like', NULL, 'PIN_MtVapC3-like', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(11994, NULL, 'cd05567', NULL, NULL, 'PTS_IIB_mannitol', NULL, 'PTS_IIB_mannitol', NULL, NULL, 24974, 1),
(11995, NULL, 'cd19724', NULL, NULL, 'bHLH_TS_ASCL3_like', NULL, 'bHLH_TS_ASCL3_like', NULL, NULL, NULL, 1),
(11996, NULL, 'cd07739', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, NULL, 1),
(11997, NULL, 'cd08520', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_21', NULL, 'PBP2_NikA_DppA_OppA_like_21', NULL, NULL, NULL, 1),
(11998, NULL, 'cd03687', NULL, NULL, 'Dehydratase_LU', NULL, 'Dehydratase_LU', NULL, NULL, 2456, 1),
(11999, NULL, 'cd13611', NULL, NULL, 'PBP2_YehZ', NULL, 'PBP2_YehZ', NULL, NULL, NULL, 1),
(12000, NULL, 'cd12384', NULL, NULL, 'RRM_RBM24_RBM38_like', NULL, 'RRM_RBM24_RBM38_like', NULL, NULL, NULL, 1),
(12001, NULL, 'cd19710', NULL, NULL, 'bHLH_TS_TCF24', NULL, 'bHLH_TS_TCF24', NULL, NULL, NULL, 1),
(12002, NULL, 'cd02557', NULL, NULL, 'PseudoU_synth_ScRIB2', NULL, 'PseudoU_synth_ScRIB2', NULL, NULL, NULL, 1),
(12003, NULL, 'cd09483', NULL, NULL, 'LIM1_Prickle_1', NULL, 'LIM1_Prickle_1', NULL, NULL, NULL, 1),
(12004, NULL, 'cd15390', NULL, NULL, '7tmA_TACR', NULL, '7tmA_TACR', NULL, NULL, NULL, 1),
(12005, NULL, 'cd12535', NULL, NULL, 'RRM_FUS_TAF15', NULL, 'RRM_FUS_TAF15', NULL, NULL, NULL, 1),
(12006, NULL, 'cd18061', NULL, NULL, 'DEXHc_CHD9', NULL, 'DEXHc_CHD9', NULL, NULL, NULL, 1),
(12007, NULL, 'cd04683', NULL, NULL, 'Nudix_Hydrolase_24', NULL, 'Nudix_Hydrolase_24', NULL, NULL, NULL, 1),
(12008, NULL, 'cd01170', NULL, NULL, 'THZ_kinase', NULL, 'THZ_kinase', NULL, NULL, 6900, 1),
(12009, NULL, 'cd20233', NULL, NULL, 'PFM_unzipped-like', NULL, 'PFM_unzipped-like', NULL, NULL, NULL, 1),
(12010, NULL, 'cd15356', NULL, NULL, '7tmA_NTSR2', NULL, '7tmA_NTSR2', NULL, NULL, NULL, 1),
(12011, NULL, 'cd05813', NULL, NULL, 'CBM20_genethonin_1', NULL, 'CBM20_genethonin_1', NULL, NULL, 13627, 1),
(12012, NULL, 'cd16579', NULL, NULL, 'RING-HC_PML_C-V', NULL, 'RING-HC_PML_C-V', NULL, NULL, NULL, 1),
(12013, NULL, 'cd18619', NULL, NULL, 'GH43_CoXyl43_like', NULL, 'GH43_CoXyl43_like', NULL, NULL, NULL, 1),
(12014, NULL, 'cd10338', NULL, NULL, 'SH2_SHA', NULL, 'SH2_SHA', NULL, NULL, NULL, 1),
(12015, NULL, 'cd14819', NULL, NULL, 'Translin', NULL, 'Translin', NULL, NULL, 31658, 1),
(12016, NULL, 'cd14883', NULL, NULL, 'MYSc_Myo22', NULL, 'MYSc_Myo22', NULL, NULL, NULL, 1),
(12017, NULL, 'cd18321', NULL, NULL, 'BTB_POZ_EloC', NULL, 'BTB_POZ_EloC', NULL, NULL, NULL, 1),
(12018, NULL, 'cd08291', NULL, NULL, 'ETR_like_1', NULL, 'ETR_like_1', NULL, NULL, NULL, 1),
(12019, NULL, 'cd16944', NULL, NULL, 'HATPase_NtrY-like', NULL, 'HATPase_NtrY-like', NULL, NULL, NULL, 1),
(12020, NULL, 'cd15513', NULL, NULL, 'PHD5_KMT2C_like', NULL, 'PHD5_KMT2C_like', NULL, NULL, NULL, 1),
(12021, NULL, 'cd02128', NULL, NULL, 'PA_TfR', NULL, 'PA_TfR', NULL, NULL, 35912, 1),
(12022, NULL, 'cd12777', NULL, NULL, 'RRM1_PTBP1', NULL, 'RRM1_PTBP1', NULL, NULL, 20898, 1),
(12023, NULL, 'cd15209', NULL, NULL, '7tmA_Mel1', NULL, '7tmA_Mel1', NULL, NULL, NULL, 1),
(12024, NULL, 'cd09345', NULL, NULL, 'LIM2_FHL', NULL, 'LIM2_FHL', NULL, NULL, NULL, 1),
(12025, NULL, 'cd14558', NULL, NULL, 'R-PTP-C-2', NULL, 'R-PTP-C-2', NULL, NULL, NULL, 1),
(12026, NULL, 'cd08492', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_15', NULL, 'PBP2_NikA_DppA_OppA_like_15', NULL, NULL, NULL, 1),
(12027, NULL, 'cd13302', NULL, NULL, 'PH2_Pleckstrin_2', NULL, 'PH2_Pleckstrin_2', NULL, NULL, NULL, 1),
(12028, NULL, 'cd01627', NULL, NULL, 'HAD_TPP', NULL, 'HAD_TPP', NULL, NULL, NULL, 1),
(12029, NULL, 'cd01700', NULL, NULL, 'PolY_Pol_V_umuC', NULL, 'PolY_Pol_V_umuC', NULL, NULL, NULL, 1),
(12030, NULL, 'cd18593', NULL, NULL, 'ABC_6TM_MRP4_D1_like', NULL, 'ABC_6TM_MRP4_D1_like', NULL, NULL, NULL, 1),
(12031, NULL, 'cd17444', NULL, NULL, 'MFS_SLC22A23', NULL, 'MFS_SLC22A23', NULL, NULL, NULL, 1),
(12032, NULL, 'cd00685', NULL, NULL, 'Trans_IPPS_HT', NULL, 'Trans_IPPS_HT', NULL, NULL, 2600, 1),
(12033, NULL, 'cd05681', NULL, NULL, 'M20_dipept_Sso-CP2', NULL, 'M20_dipept_Sso-CP2', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12034, NULL, 'cd01389', NULL, NULL, 'MATA_HMG-box', NULL, 'MATA_HMG-box', NULL, NULL, NULL, 1),
(12035, NULL, 'cd06580', NULL, NULL, 'TM_PBP1_transp_TpRbsC_like', NULL, 'TM_PBP1_transp_TpRbsC_like', NULL, NULL, NULL, 1),
(12036, NULL, 'cd19466', NULL, NULL, 'FABP3', NULL, 'FABP3', NULL, NULL, NULL, 1),
(12037, NULL, 'cd17658', NULL, NULL, 'PTPc_plant_PTP1', NULL, 'PTPc_plant_PTP1', NULL, NULL, NULL, 1),
(12038, NULL, 'cd10519', NULL, NULL, 'SET_EZH', NULL, 'SET_EZH', NULL, NULL, NULL, 1),
(12039, NULL, 'cd13358', NULL, NULL, 'PH-GRAM_MTMR1', NULL, 'PH-GRAM_MTMR1', NULL, NULL, 30919, 1),
(12040, NULL, 'cd08742', NULL, NULL, 'RGS_RGS12', NULL, 'RGS_RGS12', NULL, NULL, 34983, 1),
(12041, NULL, 'cd06911', NULL, NULL, 'VirB9_CagX_TrbG', NULL, 'VirB9_CagX_TrbG', NULL, NULL, 33938, 1),
(12042, NULL, 'cd17572', NULL, NULL, 'REC_NtrC1-like', NULL, 'REC_NtrC1-like', NULL, NULL, NULL, 1),
(12043, NULL, 'cd00307', NULL, NULL, 'RuBisCO_small_like', NULL, 'RuBisCO_small_like', NULL, NULL, NULL, 1),
(12044, NULL, 'cd19857', NULL, NULL, 'DSRM_STAU_rpt1', NULL, 'DSRM_STAU_rpt1', NULL, NULL, NULL, 1),
(12045, NULL, 'cd16001', NULL, NULL, '7tmA_P2Y3-like', NULL, '7tmA_P2Y3-like', NULL, NULL, NULL, 1),
(12046, NULL, 'cd12784', NULL, NULL, 'RRM2_ROD1', NULL, 'RRM2_ROD1', NULL, NULL, NULL, 1),
(12047, NULL, 'cd16580', NULL, NULL, 'RING-HC_TRIM8_C-V', NULL, 'RING-HC_TRIM8_C-V', NULL, NULL, NULL, 1),
(12048, NULL, 'cd17775', NULL, NULL, 'CBS_pair_bact_arch', NULL, 'CBS_pair_bact_arch', NULL, NULL, NULL, 1),
(12049, NULL, 'cd20310', NULL, NULL, 'cupin_L-RbI', NULL, 'cupin_L-RbI', NULL, NULL, NULL, 1),
(12050, NULL, 'cd13836', NULL, NULL, 'IHF_B', NULL, 'IHF_B', NULL, NULL, NULL, 1),
(12051, NULL, 'cd16256', NULL, NULL, 'LumP', NULL, 'LumP', NULL, NULL, NULL, 1),
(12052, NULL, 'cd15912', NULL, NULL, '7tmA_OR6C-like', NULL, '7tmA_OR6C-like', NULL, NULL, NULL, 1),
(12053, NULL, 'cd15248', NULL, NULL, '7tmF_FZD1_insect', NULL, '7tmF_FZD1_insect', NULL, NULL, NULL, 1),
(12054, NULL, 'cd14337', NULL, NULL, 'UBA_MARK_Par1', NULL, 'UBA_MARK_Par1', NULL, NULL, NULL, 1),
(12055, NULL, 'cd13519', NULL, NULL, 'PBP2_PEB3_AcfC', NULL, 'PBP2_PEB3_AcfC', NULL, NULL, NULL, 1),
(12056, NULL, 'cd04658', NULL, NULL, 'Piwi_piwi-like_Euk', NULL, 'Piwi_piwi-like_Euk', NULL, NULL, NULL, 1),
(12057, NULL, 'cd10235', NULL, NULL, 'HscC_like_NBD', NULL, 'HscC_like_NBD', NULL, NULL, 33346, 1),
(12058, NULL, 'cd07365', NULL, NULL, 'MhpB_like', NULL, 'MhpB_like', NULL, NULL, 17339, 1),
(12059, NULL, 'cd09941', NULL, NULL, 'SH2_Grb2_like', NULL, 'SH2_Grb2_like', NULL, NULL, NULL, 1),
(12060, NULL, 'cd15083', NULL, NULL, '7tmA_Melanopsin-like', NULL, '7tmA_Melanopsin-like', NULL, NULL, NULL, 1),
(12061, NULL, 'cd16551', NULL, NULL, 'RING-HC_RNF169', NULL, 'RING-HC_RNF169', NULL, NULL, NULL, 1),
(12062, NULL, 'cd05764', NULL, NULL, 'Ig_2', NULL, 'Ig_2', NULL, NULL, NULL, 1),
(12063, NULL, 'cd03707', NULL, NULL, 'EFTU_III', NULL, 'EFTU_III', NULL, NULL, NULL, 1),
(12064, NULL, 'cd12202', NULL, NULL, 'CASP8AP2', NULL, 'CASP8AP2', NULL, NULL, NULL, 1),
(12065, NULL, 'cd11432', NULL, NULL, 'bHLH-PAS_NPAS1_3_like', NULL, 'bHLH-PAS_NPAS1_3_like', NULL, NULL, NULL, 1),
(12066, NULL, 'cd00935', NULL, NULL, 'GlyRS_RNA', NULL, 'GlyRS_RNA', NULL, NULL, NULL, 1),
(12067, NULL, 'cd12064', NULL, NULL, 'SH3_GRAF', NULL, 'SH3_GRAF', NULL, NULL, 17533, 1),
(12068, NULL, 'cd11384', NULL, NULL, 'RagA_like', NULL, 'RagA_like', NULL, NULL, 35898, 1),
(12069, NULL, 'cd19692', NULL, NULL, 'bHLH_dnHLH_ID2', NULL, 'bHLH_dnHLH_ID2', NULL, NULL, NULL, 1),
(12070, NULL, 'cd19047', NULL, NULL, 'LGIC_ECD_GABAAR_rho2', NULL, 'LGIC_ECD_GABAAR_rho2', NULL, NULL, NULL, 1),
(12071, NULL, 'cd12548', NULL, NULL, 'RRM_Set1A', NULL, 'RRM_Set1A', NULL, NULL, 11681, 1),
(12072, NULL, 'cd12151', NULL, NULL, 'F1-ATPase_gamma', NULL, 'F1-ATPase_gamma', NULL, NULL, 1704, 1),
(12073, NULL, 'cd16156', NULL, NULL, 'sulfatase_like', NULL, 'sulfatase_like', NULL, NULL, NULL, 1),
(12074, NULL, 'cd02653', NULL, NULL, 'nuc_hydro_3', NULL, 'nuc_hydro_3', NULL, NULL, NULL, 1),
(12075, NULL, 'cd17043', NULL, NULL, 'RA', NULL, 'RA', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12076, NULL, 'cd01939', NULL, NULL, 'Ketohexokinase', NULL, 'Ketohexokinase', NULL, NULL, 23049, 1),
(12077, NULL, 'cd09164', NULL, NULL, 'PLDc_EcPPK1_C1_like', NULL, 'PLDc_EcPPK1_C1_like', NULL, NULL, NULL, 1),
(12078, NULL, 'cd01021', NULL, NULL, 'GEWL', NULL, 'GEWL', NULL, NULL, NULL, 1),
(12079, NULL, 'cd07618', NULL, NULL, 'BAR_Rich1', NULL, 'BAR_Rich1', NULL, NULL, NULL, 1),
(12080, NULL, 'cd05817', NULL, NULL, 'CBM20_DSP', NULL, 'CBM20_DSP', NULL, NULL, NULL, 1),
(12081, NULL, 'cd19201', NULL, NULL, 'PR-SET_ZFPM', NULL, 'PR-SET_ZFPM', NULL, NULL, NULL, 1),
(12082, NULL, 'cd16791', NULL, NULL, 'SP-RING_ZMIZ', NULL, 'SP-RING_ZMIZ', NULL, NULL, NULL, 1),
(12083, NULL, 'cd16782', NULL, NULL, 'mRING-HC-C3HC3D_Roquin2', NULL, 'mRING-HC-C3HC3D_Roquin2', NULL, NULL, NULL, 1),
(12084, NULL, 'cd14569', NULL, NULL, 'DSP_slingshot_2', NULL, 'DSP_slingshot_2', NULL, NULL, NULL, 1),
(12085, NULL, 'cd03879', NULL, NULL, 'M28_AAP', NULL, 'M28_AAP', NULL, NULL, NULL, 1),
(12086, NULL, 'cd19018', NULL, NULL, 'LGIC_ECD_nAChR_A5', NULL, 'LGIC_ECD_nAChR_A5', NULL, NULL, NULL, 1),
(12087, NULL, 'cd14274', NULL, NULL, 'UBA_ACK1', NULL, 'UBA_ACK1', NULL, NULL, NULL, 1),
(12088, NULL, 'cd15765', NULL, NULL, 'FYVE_Slp3', NULL, 'FYVE_Slp3', NULL, NULL, NULL, 1),
(12089, NULL, 'cd06525', NULL, NULL, 'GH25_Lyc-like', NULL, 'GH25_Lyc-like', NULL, NULL, NULL, 1),
(12090, NULL, 'cd07019', NULL, NULL, 'S49_SppA_1', NULL, 'S49_SppA_1', NULL, NULL, 33085, 1),
(12091, NULL, 'cd08465', NULL, NULL, 'PBP2_ToxR', NULL, 'PBP2_ToxR', NULL, NULL, NULL, 1),
(12092, NULL, 'cd17122', NULL, NULL, 'Ubl_UHRF1', NULL, 'Ubl_UHRF1', NULL, NULL, NULL, 1),
(12093, NULL, 'cd19208', NULL, NULL, 'SET_KMT2C', NULL, 'SET_KMT2C', NULL, NULL, NULL, 1),
(12094, NULL, 'cd00284', NULL, NULL, 'Cytochrome_b_N', NULL, 'Cytochrome_b_N', NULL, NULL, 5625, 1),
(12095, NULL, 'cd05232', NULL, NULL, 'UDP_G4E_4_SDR_e', NULL, 'UDP_G4E_4_SDR_e', NULL, NULL, NULL, 1),
(12096, NULL, 'cd13376', NULL, NULL, 'PH_DAB2IP', NULL, 'PH_DAB2IP', NULL, NULL, NULL, 1),
(12097, NULL, 'cd10164', NULL, NULL, 'ClassIIa_HDAC5_Gln-rich-N', NULL, 'ClassIIa_HDAC5_Gln-rich-N', NULL, NULL, NULL, 1),
(12098, NULL, 'cd17557', NULL, NULL, 'REC_Rcp-like', NULL, 'REC_Rcp-like', NULL, NULL, NULL, 1),
(12099, NULL, 'cd17908', NULL, NULL, 'FliM', NULL, 'FliM', NULL, NULL, 3226, 1),
(12100, NULL, 'cd02668', NULL, NULL, 'Peptidase_C19L', NULL, 'Peptidase_C19L', NULL, NULL, 29767, 1),
(12101, NULL, 'cd11641', NULL, NULL, 'Precorrin-4_C11-MT', NULL, 'Precorrin-4_C11-MT', NULL, NULL, 5652, 1),
(12102, NULL, 'cd15992', NULL, NULL, '7tmB2_CELSR2', NULL, '7tmB2_CELSR2', NULL, NULL, NULL, 1),
(12103, NULL, 'cd04133', NULL, NULL, 'Rop_like', NULL, 'Rop_like', NULL, NULL, NULL, 1),
(12104, NULL, 'cd06175', NULL, NULL, 'MFS_POT', NULL, 'MFS_POT', NULL, NULL, NULL, 1),
(12105, NULL, 'cd19097', NULL, NULL, 'AKR_unchar', NULL, 'AKR_unchar', NULL, NULL, NULL, 1),
(12106, NULL, 'cd09240', NULL, NULL, 'BRO1_Alix', NULL, 'BRO1_Alix', NULL, NULL, NULL, 1),
(12107, NULL, 'cd12393', NULL, NULL, 'RRM_ZCRB1', NULL, 'RRM_ZCRB1', NULL, NULL, 21703, 1),
(12108, NULL, 'cd19446', NULL, NULL, 'FABP6', NULL, 'FABP6', NULL, NULL, NULL, 1),
(12109, NULL, 'cd19733', NULL, NULL, 'bHLH-PAS_trachealess_like', NULL, 'bHLH-PAS_trachealess_like', NULL, NULL, NULL, 1),
(12110, NULL, 'cd07566', NULL, NULL, 'ScNTA1_like', NULL, 'ScNTA1_like', NULL, NULL, NULL, 1),
(12111, NULL, 'cd15490', NULL, NULL, 'eIF2_gamma_III', NULL, 'eIF2_gamma_III', NULL, NULL, 12574, 1),
(12112, NULL, 'cd03058', NULL, NULL, 'GST_N_Tau', NULL, 'GST_N_Tau', NULL, NULL, NULL, 1),
(12113, NULL, 'cd13324', NULL, NULL, 'PH_Gab-like', NULL, 'PH_Gab-like', NULL, NULL, NULL, 1),
(12114, NULL, 'cd10051', NULL, NULL, 'Reelin_repeat_7_subrepeat_2', NULL, 'Reelin_repeat_7_subrepeat_2', NULL, NULL, NULL, 1),
(12115, NULL, 'cd00820', NULL, NULL, 'PEPCK_HprK', NULL, 'PEPCK_HprK', NULL, NULL, NULL, 1),
(12116, NULL, 'cd05125', NULL, NULL, 'Mth938_2P1-like', NULL, 'Mth938_2P1-like', NULL, NULL, 11492, 1),
(12117, NULL, 'cd11005', NULL, NULL, 'M35_like', NULL, 'M35_like', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12118, NULL, 'cd00686', NULL, NULL, 'Terpene_cyclase_cis_trans_C1', NULL, 'Terpene_cyclase_cis_trans_C1', NULL, NULL, NULL, 1),
(12119, NULL, 'cd11817', NULL, NULL, 'SH3_Eve1_4', NULL, 'SH3_Eve1_4', NULL, NULL, NULL, 1),
(12120, NULL, 'cd04870', NULL, NULL, 'ACT_PSP_1', NULL, 'ACT_PSP_1', NULL, NULL, NULL, 1),
(12121, NULL, 'cd01320', NULL, NULL, 'ADA', NULL, 'ADA', NULL, NULL, 4849, 1),
(12122, NULL, 'cd07340', NULL, NULL, 'M48B_Htpx_like', NULL, 'M48B_Htpx_like', NULL, NULL, NULL, 1),
(12123, NULL, 'cd08939', NULL, NULL, 'KDSR-like_SDR_c', NULL, 'KDSR-like_SDR_c', NULL, NULL, 38039, 1),
(12124, NULL, 'cd00143', NULL, NULL, 'PP2Cc', NULL, 'PP2Cc', NULL, NULL, 2171, 1),
(12125, NULL, 'cd07170', NULL, NULL, 'NR_DBD_ERR', NULL, 'NR_DBD_ERR', NULL, NULL, NULL, 1),
(12126, NULL, 'cd05668', NULL, NULL, 'M20_Acy1-like', NULL, 'M20_Acy1-like', NULL, NULL, NULL, 1),
(12127, NULL, 'cd10808', NULL, NULL, 'YdjC', NULL, 'YdjC', NULL, NULL, NULL, 1),
(12128, NULL, 'cd16186', NULL, NULL, 'EFh_PEF_grancalcin', NULL, 'EFh_PEF_grancalcin', NULL, NULL, NULL, 1),
(12129, NULL, 'cd11867', NULL, NULL, 'hSH3_ADAP', NULL, 'hSH3_ADAP', NULL, NULL, 33005, 1),
(12130, NULL, 'cd15774', NULL, NULL, 'FYVE1_PCLO', NULL, 'FYVE1_PCLO', NULL, NULL, 39058, 1),
(12131, NULL, 'cd00778', NULL, NULL, 'ProRS_core_arch_euk', NULL, 'ProRS_core_arch_euk', NULL, NULL, 33703, 1),
(12132, NULL, 'cd16772', NULL, NULL, 'RING-HC_UNKL', NULL, 'RING-HC_UNKL', NULL, NULL, NULL, 1),
(12133, NULL, 'cd14355', NULL, NULL, 'UBA_UBP28', NULL, 'UBA_UBP28', NULL, NULL, NULL, 1),
(12134, NULL, 'cd11613', NULL, NULL, 'SAF_AH_GD', NULL, 'SAF_AH_GD', NULL, NULL, 37934, 1),
(12135, NULL, 'cd15237', NULL, NULL, '7tmA_OR2-like', NULL, '7tmA_OR2-like', NULL, NULL, NULL, 1),
(12136, NULL, 'cd17986', NULL, NULL, 'DEXQc_DQX1', NULL, 'DEXQc_DQX1', NULL, NULL, NULL, 1),
(12137, NULL, 'cd21592', NULL, NULL, 'MERS-CoV-like_RdRp', NULL, 'MERS-CoV-like_RdRp', NULL, NULL, 36596, 1),
(12138, NULL, 'cd06884', NULL, NULL, 'PX_PI3K_C2_68D', NULL, 'PX_PI3K_C2_68D', NULL, NULL, NULL, 1),
(12139, NULL, 'cd06909', NULL, NULL, 'M14_ASPA', NULL, 'M14_ASPA', NULL, NULL, NULL, 1),
(12140, NULL, 'cd14417', NULL, NULL, 'CUE_DMA_DMRTA1', NULL, 'CUE_DMA_DMRTA1', NULL, NULL, NULL, 1),
(12141, NULL, 'cd21518', NULL, NULL, 'cv_beta_Nsp2_HKU9-like', NULL, 'cv_beta_Nsp2_HKU9-like', NULL, NULL, 38941, 1),
(12142, NULL, 'cd04820', NULL, NULL, 'PA_M28_1_1', NULL, 'PA_M28_1_1', NULL, NULL, NULL, 1),
(12143, NULL, 'cd11297', NULL, NULL, 'PIN_LabA-like_N_1', NULL, 'PIN_LabA-like_N_1', NULL, NULL, NULL, 1),
(12144, NULL, 'cd01311', NULL, NULL, 'PDC_hydrolase', NULL, 'PDC_hydrolase', NULL, NULL, NULL, 1),
(12145, NULL, 'cd05025', NULL, NULL, 'S-100A1', NULL, 'S-100A1', NULL, NULL, 28341, 1),
(12146, NULL, 'cd18022', NULL, NULL, 'DEXHc_ASCC3_2', NULL, 'DEXHc_ASCC3_2', NULL, NULL, NULL, 1),
(12147, NULL, 'cd04049', NULL, NULL, 'C2_putative_Elicitor-responsive_gene', NULL, 'C2_putative_Elicitor-responsive_gene', NULL, NULL, NULL, 1),
(12148, NULL, 'cd04716', NULL, NULL, 'BAH_plantDCM_I', NULL, 'BAH_plantDCM_I', NULL, NULL, NULL, 1),
(12149, NULL, 'cd13357', NULL, NULL, 'PH-GRAM_MTMR2_insect-like', NULL, 'PH-GRAM_MTMR2_insect-like', NULL, NULL, NULL, 1),
(12150, NULL, 'cd11884', NULL, NULL, 'SH3_MYO15', NULL, 'SH3_MYO15', NULL, NULL, NULL, 1),
(12151, NULL, 'cd01203', NULL, NULL, 'PTB_DOK1_DOK2_DOK3', NULL, 'PTB_DOK1_DOK2_DOK3', NULL, NULL, 34705, 1),
(12152, NULL, 'cd08292', NULL, NULL, 'ETR_like_2', NULL, 'ETR_like_2', NULL, NULL, NULL, 1),
(12153, NULL, 'cd16693', NULL, NULL, 'mRING-H2-C3H3C2_WDR24', NULL, 'mRING-H2-C3H3C2_WDR24', NULL, NULL, NULL, 1),
(12154, NULL, 'cd14907', NULL, NULL, 'MYSc_Myo46', NULL, 'MYSc_Myo46', NULL, NULL, NULL, 1),
(12155, NULL, 'cd11958', NULL, NULL, 'SH3_RUSC1', NULL, 'SH3_RUSC1', NULL, NULL, NULL, 1),
(12156, NULL, 'cd10429', NULL, NULL, 'GAAP_like', NULL, 'GAAP_like', NULL, NULL, NULL, 1),
(12157, NULL, 'cd03140', NULL, NULL, 'GATase1_PfpI_3', NULL, 'GATase1_PfpI_3', NULL, NULL, NULL, 1),
(12158, NULL, 'cd19167', NULL, NULL, 'SET_SMYD1_2_3-like', NULL, 'SET_SMYD1_2_3-like', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12159, NULL, 'cd12224', NULL, NULL, 'RRM_RBM22', NULL, 'RRM_RBM22', NULL, NULL, NULL, 1),
(12160, NULL, 'cd04884', NULL, NULL, 'ACT_CBS', NULL, 'ACT_CBS', NULL, NULL, NULL, 1),
(12161, NULL, 'cd14974', NULL, NULL, '7tmA_Anaphylatoxin_R-like', NULL, '7tmA_Anaphylatoxin_R-like', NULL, NULL, NULL, 1),
(12162, NULL, 'cd00349', NULL, NULL, 'Ribosomal_L11', NULL, 'Ribosomal_L11', NULL, NULL, 360, 1),
(12163, NULL, 'cd08983', NULL, NULL, 'GH43_Bt3655-like', NULL, 'GH43_Bt3655-like', NULL, NULL, NULL, 1),
(12164, NULL, 'cd12072', NULL, NULL, 'SH3_FNBP1L', NULL, 'SH3_FNBP1L', NULL, NULL, 16527, 1),
(12165, NULL, 'cd18568', NULL, NULL, 'ABC_6TM_HetC_like', NULL, 'ABC_6TM_HetC_like', NULL, NULL, NULL, 1),
(12166, NULL, 'cd01674', NULL, NULL, 'Homoaconitase_Swivel', NULL, 'Homoaconitase_Swivel', NULL, NULL, 29110, 1),
(12167, NULL, 'cd18602', NULL, NULL, 'ABC_6TM_SUR1_D2_like', NULL, 'ABC_6TM_SUR1_D2_like', NULL, NULL, NULL, 1),
(12168, NULL, 'cd06984', NULL, NULL, 'cupin_Moth_1897', NULL, 'cupin_Moth_1897', NULL, NULL, NULL, 1),
(12169, NULL, 'cd19808', NULL, NULL, 'Bbox1_TRIM42_C-III', NULL, 'Bbox1_TRIM42_C-III', NULL, NULL, NULL, 1),
(12170, NULL, 'cd07461', NULL, NULL, 'CRD_FZ8', NULL, 'CRD_FZ8', NULL, NULL, 32601, 1),
(12171, NULL, 'cd11476', NULL, NULL, 'SLC5sbd_DUR3', NULL, 'SLC5sbd_DUR3', NULL, NULL, NULL, 1),
(12172, NULL, 'cd00933', NULL, NULL, 'barnase', NULL, 'barnase', NULL, NULL, 4147, 1),
(12173, NULL, 'cd17437', NULL, NULL, 'MFS_PLT', NULL, 'MFS_PLT', NULL, NULL, 37685, 1),
(12174, NULL, 'cd01989', NULL, NULL, 'STK_N', NULL, 'STK_N', NULL, NULL, NULL, 1),
(12175, NULL, 'cd02152', NULL, NULL, 'OAT', NULL, 'OAT', NULL, NULL, 4863, 1),
(12176, NULL, 'cd06455', NULL, NULL, 'M3A_TOP', NULL, 'M3A_TOP', NULL, NULL, NULL, 1),
(12177, NULL, 'cd19369', NULL, NULL, 'TenA_C-like', NULL, 'TenA_C-like', NULL, NULL, NULL, 1),
(12178, NULL, 'cd08265', NULL, NULL, 'Zn_ADH3', NULL, 'Zn_ADH3', NULL, NULL, NULL, 1),
(12179, NULL, 'cd02089', NULL, NULL, 'P-type_ATPase_Ca_prok', NULL, 'P-type_ATPase_Ca_prok', NULL, NULL, NULL, 1),
(12180, NULL, 'cd21407', NULL, NULL, '1B_UPF1-like', NULL, '1B_UPF1-like', NULL, NULL, 31664, 1),
(12181, NULL, 'cd19978', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(12182, NULL, 'cd13138', NULL, NULL, 'MATE_yoeA_like', NULL, 'MATE_yoeA_like', NULL, NULL, NULL, 1),
(12183, NULL, 'cd05902', NULL, NULL, 'Ig_Neurocan', NULL, 'Ig_Neurocan', NULL, NULL, NULL, 1),
(12184, NULL, 'cd04463', NULL, NULL, 'S1_EF_like', NULL, 'S1_EF_like', NULL, NULL, NULL, 1),
(12185, NULL, 'cd08429', NULL, NULL, 'PBP2_NhaR', NULL, 'PBP2_NhaR', NULL, NULL, NULL, 1),
(12186, NULL, 'cd16602', NULL, NULL, 'RING-HC_TRIM41_like_C-IV', NULL, 'RING-HC_TRIM41_like_C-IV', NULL, NULL, NULL, 1),
(12187, NULL, 'cd15095', NULL, NULL, '7tmA_KiSS1R', NULL, '7tmA_KiSS1R', NULL, NULL, NULL, 1),
(12188, NULL, 'cd16503', NULL, NULL, 'RING-HC_CHFR', NULL, 'RING-HC_CHFR', NULL, NULL, NULL, 1),
(12189, NULL, 'cd08164', NULL, NULL, 'MPP_Ted1', NULL, 'MPP_Ted1', NULL, NULL, NULL, 1),
(12190, NULL, 'cd14402', NULL, NULL, 'UBA_HERC2', NULL, 'UBA_HERC2', NULL, NULL, NULL, 1),
(12191, NULL, 'cd06949', NULL, NULL, 'NR_LBD_ER', NULL, 'NR_LBD_ER', NULL, NULL, NULL, 1),
(12192, NULL, 'cd01154', NULL, NULL, 'AidB', NULL, 'AidB', NULL, NULL, 1706, 1),
(12193, NULL, 'cd10030', NULL, NULL, 'UDG-F4_TTUDGA_SPO1dp_like', NULL, 'UDG-F4_TTUDGA_SPO1dp_like', NULL, NULL, NULL, 1),
(12194, NULL, 'cd04457', NULL, NULL, 'S1_S28E', NULL, 'S1_S28E', NULL, NULL, 4978, 1),
(12195, NULL, 'cd05155', NULL, NULL, 'APH_ChoK_like_1', NULL, 'APH_ChoK_like_1', NULL, NULL, NULL, 1),
(12196, NULL, 'cd01644', NULL, NULL, 'RT_pepA17', NULL, 'RT_pepA17', NULL, NULL, NULL, 1),
(12197, NULL, 'cd15151', NULL, NULL, '7tmA_P2Y13', NULL, '7tmA_P2Y13', NULL, NULL, NULL, 1),
(12198, NULL, 'cd14727', NULL, NULL, 'ChanN-like', NULL, 'ChanN-like', NULL, NULL, 4592, 1),
(12199, NULL, 'cd09868', NULL, NULL, 'PIN_XPG_RAD2', NULL, 'PIN_XPG_RAD2', NULL, NULL, NULL, 1),
(12200, NULL, 'cd12396', NULL, NULL, 'RRM1_Nop13p_fungi', NULL, 'RRM1_Nop13p_fungi', NULL, NULL, 33072, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12201, NULL, 'cd09766', NULL, NULL, 'Csx15_I-U', NULL, 'Csx15_I-U', NULL, NULL, NULL, 1),
(12202, NULL, 'cd20229', NULL, NULL, 'PFM_tachylectin-like', NULL, 'PFM_tachylectin-like', NULL, NULL, NULL, 1),
(12203, NULL, 'cd15101', NULL, NULL, '7tmA_LPAR', NULL, '7tmA_LPAR', NULL, NULL, NULL, 1),
(12204, NULL, 'cd11510', NULL, NULL, 'SLC6sbd_TauT', NULL, 'SLC6sbd_TauT', NULL, NULL, 7067, 1),
(12205, NULL, 'cd06198', NULL, NULL, 'FNR_like_3', NULL, 'FNR_like_3', NULL, NULL, NULL, 1),
(12206, NULL, 'cd12370', NULL, NULL, 'RRM1_PUF60', NULL, 'RRM1_PUF60', NULL, NULL, 21515, 1),
(12207, NULL, 'cd12923', NULL, NULL, 'iSH2_PI3K_IA_R', NULL, 'iSH2_PI3K_IA_R', NULL, NULL, NULL, 1),
(12208, NULL, 'cd08035', NULL, NULL, 'LARP_4', NULL, 'LARP_4', NULL, NULL, NULL, 1),
(12209, NULL, 'cd01857', NULL, NULL, 'HSR1_MMR1', NULL, 'HSR1_MMR1', NULL, NULL, NULL, 1),
(12210, NULL, 'cd19864', NULL, NULL, 'DSRM_PRKRA-like_rpt3', NULL, 'DSRM_PRKRA-like_rpt3', NULL, NULL, NULL, 1),
(12211, NULL, 'cd02662', NULL, NULL, 'Peptidase_C19F', NULL, 'Peptidase_C19F', NULL, NULL, NULL, 1),
(12212, NULL, 'cd06404', NULL, NULL, 'PB1_aPKC', NULL, 'PB1_aPKC', NULL, NULL, 17223, 1),
(12213, NULL, 'cd09555', NULL, NULL, 'SAM_EPH-B6', NULL, 'SAM_EPH-B6', NULL, NULL, NULL, 1),
(12214, NULL, 'cd07829', NULL, NULL, 'STKc_CDK_like', NULL, 'STKc_CDK_like', NULL, NULL, NULL, 1),
(12215, NULL, 'cd03264', NULL, NULL, 'ABC_drug_resistance_like', NULL, 'ABC_drug_resistance_like', NULL, NULL, NULL, 1),
(12216, NULL, 'cd08241', NULL, NULL, 'QOR1', NULL, 'QOR1', NULL, NULL, NULL, 1),
(12217, NULL, 'cd19739', NULL, NULL, 'bHLH-PAS_SIM2', NULL, 'bHLH-PAS_SIM2', NULL, NULL, NULL, 1),
(12218, NULL, 'cd01384', NULL, NULL, 'MYSc_Myo11', NULL, 'MYSc_Myo11', NULL, NULL, 32562, 1),
(12219, NULL, 'cd12243', NULL, NULL, 'RRM1_MSSP', NULL, 'RRM1_MSSP', NULL, NULL, NULL, 1),
(12220, NULL, 'cd07363', NULL, NULL, '45_DOPA_Dioxygenase', NULL, '45_DOPA_Dioxygenase', NULL, NULL, 7515, 1),
(12221, NULL, 'cd09722', NULL, NULL, 'Cas1_I-B', NULL, 'Cas1_I-B', NULL, NULL, 15258, 1),
(12222, NULL, 'cd16086', NULL, NULL, 'IgV_CD80', NULL, 'IgV_CD80', NULL, NULL, 38030, 1),
(12223, NULL, 'cd03051', NULL, NULL, 'GST_N_GTT2_like', NULL, 'GST_N_GTT2_like', NULL, NULL, 16111, 1),
(12224, NULL, 'cd12768', NULL, NULL, 'RRM2_SRSF9', NULL, 'RRM2_SRSF9', NULL, NULL, 14571, 1),
(12225, NULL, 'cd16584', NULL, NULL, 'RING-HC_TRIM56_C-V', NULL, 'RING-HC_TRIM56_C-V', NULL, NULL, NULL, 1),
(12226, NULL, 'cd13919', NULL, NULL, 'CuRO_HCO_II_like_5', NULL, 'CuRO_HCO_II_like_5', NULL, NULL, NULL, 1),
(12227, NULL, 'cd10285', NULL, NULL, 'somatotropin_like', NULL, 'somatotropin_like', NULL, NULL, NULL, 1),
(12228, NULL, 'cd01574', NULL, NULL, 'PBP1_LacI', NULL, 'PBP1_LacI', NULL, NULL, NULL, 1),
(12229, NULL, 'cd14767', NULL, NULL, 'PE_beta-like', NULL, 'PE_beta-like', NULL, NULL, NULL, 1),
(12230, NULL, 'cd09940', NULL, NULL, 'SH2_Vav_family', NULL, 'SH2_Vav_family', NULL, NULL, 30363, 1),
(12231, NULL, 'cd05339', NULL, NULL, '17beta-HSDXI-like_SDR_c', NULL, '17beta-HSDXI-like_SDR_c', NULL, NULL, NULL, 1),
(12232, NULL, 'cd17102', NULL, NULL, 'FERM_F1_FRMD3', NULL, 'FERM_F1_FRMD3', NULL, NULL, NULL, 1),
(12233, NULL, 'cd06615', NULL, NULL, 'PKc_MEK', NULL, 'PKc_MEK', NULL, NULL, NULL, 1),
(12234, NULL, 'cd07594', NULL, NULL, 'BAR_Endophilin_B', NULL, 'BAR_Endophilin_B', NULL, NULL, NULL, 1),
(12235, NULL, 'cd09169', NULL, NULL, 'PLDc_PPK1_C2_unchar', NULL, 'PLDc_PPK1_C2_unchar', NULL, NULL, NULL, 1),
(12236, NULL, 'cd12353', NULL, NULL, 'RRM2_TIA1_like', NULL, 'RRM2_TIA1_like', NULL, NULL, NULL, 1),
(12237, NULL, 'cd19992', NULL, NULL, 'PBP1_ABC_xylose_binding-like', NULL, 'PBP1_ABC_xylose_binding-like', NULL, NULL, NULL, 1),
(12238, NULL, 'cd06493', NULL, NULL, 'p23_NUDCD1_like', NULL, 'p23_NUDCD1_like', NULL, NULL, NULL, 1),
(12239, NULL, 'cd08722', NULL, NULL, 'RGS_SNX14', NULL, 'RGS_SNX14', NULL, NULL, 29880, 1),
(12240, NULL, 'cd01766', NULL, NULL, 'Ubl_UFM1', NULL, 'Ubl_UFM1', NULL, NULL, NULL, 1),
(12241, NULL, 'cd09459', NULL, NULL, 'LIM3_ENH', NULL, 'LIM3_ENH', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12242, NULL, 'cd02137', NULL, NULL, 'MhqN-like', NULL, 'MhqN-like', NULL, NULL, NULL, 1),
(12243, NULL, 'cd07726', NULL, NULL, 'ST1585-like_MBL-fold', NULL, 'ST1585-like_MBL-fold', NULL, NULL, 29840, 1),
(12244, NULL, 'cd12310', NULL, NULL, 'RRM3_Spen', NULL, 'RRM3_Spen', NULL, NULL, NULL, 1),
(12245, NULL, 'cd19874', NULL, NULL, 'DSRM_MRPL44', NULL, 'DSRM_MRPL44', NULL, NULL, 37545, 1),
(12246, NULL, 'cd08649', NULL, NULL, 'FMT_core_NRPS_like', NULL, 'FMT_core_NRPS_like', NULL, NULL, NULL, 1),
(12247, NULL, 'cd06344', NULL, NULL, 'PBP1_ABC_HAAT-like', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, NULL, 1),
(12248, NULL, 'cd09409', NULL, NULL, 'LIM3_Paxillin', NULL, 'LIM3_Paxillin', NULL, NULL, NULL, 1),
(12249, NULL, 'cd12826', NULL, NULL, 'EcCorA_ZntB-like_u1', NULL, 'EcCorA_ZntB-like_u1', NULL, NULL, NULL, 1),
(12250, NULL, 'cd15511', NULL, NULL, 'PHD3_KMT2C', NULL, 'PHD3_KMT2C', NULL, NULL, NULL, 1),
(12251, NULL, 'cd10036', NULL, NULL, 'Reelin_subrepeat_Nt', NULL, 'Reelin_subrepeat_Nt', NULL, NULL, NULL, 1),
(12252, NULL, 'cd00186', NULL, NULL, 'TOP1Ac', NULL, 'TOP1Ac', NULL, NULL, 10887, 1),
(12253, NULL, 'cd06655', NULL, NULL, 'STKc_PAK2', NULL, 'STKc_PAK2', NULL, NULL, 29987, 1),
(12254, NULL, 'cd17369', NULL, NULL, 'MFS_ShiA_like', NULL, 'MFS_ShiA_like', NULL, NULL, NULL, 1),
(12255, NULL, 'cd16660', NULL, NULL, 'RING-Ubox_RNF37', NULL, 'RING-Ubox_RNF37', NULL, NULL, 36254, 1),
(12256, NULL, 'cd14627', NULL, NULL, 'R-PTP-S-2', NULL, 'R-PTP-S-2', NULL, NULL, NULL, 1),
(12257, NULL, 'cd05053', NULL, NULL, 'PTKc_FGFR', NULL, 'PTKc_FGFR', NULL, NULL, NULL, 1),
(12258, NULL, 'cd04017', NULL, NULL, 'C2D_Ferlin', NULL, 'C2D_Ferlin', NULL, NULL, 35157, 1),
(12259, NULL, 'cd06395', NULL, NULL, 'PB1_Map2k5', NULL, 'PB1_Map2k5', NULL, NULL, 10321, 1),
(12260, NULL, 'cd18267', NULL, NULL, 'BTB_POZ_KLHL37_ENC1', NULL, 'BTB_POZ_KLHL37_ENC1', NULL, NULL, NULL, 1),
(12261, NULL, 'cd01980', NULL, NULL, 'Chlide_reductase_Y', NULL, 'Chlide_reductase_Y', NULL, NULL, NULL, 1),
(12262, NULL, 'cd07132', NULL, NULL, 'ALDH_F3AB', NULL, 'ALDH_F3AB', NULL, NULL, NULL, 1),
(12263, NULL, 'cd16276', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, NULL, 1),
(12264, NULL, 'cd12875', NULL, NULL, 'SPRY_SOCS_Fbox', NULL, 'SPRY_SOCS_Fbox', NULL, NULL, NULL, 1),
(12265, NULL, 'cd18100', NULL, NULL, 'Trm10euk_B', NULL, 'Trm10euk_B', NULL, NULL, NULL, 1),
(12266, NULL, 'cd06447', NULL, NULL, 'D-Ser-dehyd', NULL, 'D-Ser-dehyd', NULL, NULL, NULL, 1),
(12267, NULL, 'cd02153', NULL, NULL, 'tRNA_bindingDomain', NULL, 'tRNA_bindingDomain', NULL, NULL, NULL, 1),
(12268, NULL, 'cd18033', NULL, NULL, 'DEXDc_FANCM', NULL, 'DEXDc_FANCM', NULL, NULL, 36686, 1),
(12269, NULL, 'cd11599', NULL, NULL, 'HDAC_classII_2', NULL, 'HDAC_classII_2', NULL, NULL, NULL, 1),
(12270, NULL, 'cd13332', NULL, NULL, 'FERM_C_JAK1', NULL, 'FERM_C_JAK1', NULL, NULL, NULL, 1),
(12271, NULL, 'cd11877', NULL, NULL, 'SH3_PIX', NULL, 'SH3_PIX', NULL, NULL, NULL, 1),
(12272, NULL, 'cd12645', NULL, NULL, 'RRM_SRSF3', NULL, 'RRM_SRSF3', NULL, NULL, NULL, 1),
(12273, NULL, 'cd17252', NULL, NULL, 'RMtype1_S_EcoKI-TRD1-CR1_like', NULL, 'RMtype1_S_EcoKI-TRD1-CR1_like', NULL, NULL, NULL, 1),
(12274, NULL, 'cd03693', NULL, NULL, 'EF1_alpha_II', NULL, 'EF1_alpha_II', NULL, NULL, NULL, 1),
(12275, NULL, 'cd06875', NULL, NULL, 'PX_IRAS', NULL, 'PX_IRAS', NULL, NULL, 30964, 1),
(12276, NULL, 'cd15417', NULL, NULL, '7tmA_OR5A1-like', NULL, '7tmA_OR5A1-like', NULL, NULL, NULL, 1),
(12277, NULL, 'cd01315', NULL, NULL, 'L-HYD_ALN', NULL, 'L-HYD_ALN', NULL, NULL, NULL, 1),
(12278, NULL, 'cd14611', NULL, NULL, 'R-PTPc-R', NULL, 'R-PTPc-R', NULL, NULL, NULL, 1),
(12279, NULL, 'cd18732', NULL, NULL, 'PIN_MtVapC4-C5_like', NULL, 'PIN_MtVapC4-C5_like', NULL, NULL, NULL, 1),
(12280, NULL, 'cd10357', NULL, NULL, 'SH2_ShkD_ShkE', NULL, 'SH2_ShkD_ShkE', NULL, NULL, 30607, 1),
(12281, NULL, 'cd00169', NULL, NULL, 'Chemokine', NULL, 'Chemokine', NULL, NULL, NULL, 1),
(12282, NULL, 'cd17927', NULL, NULL, 'DEXHc_RIG-I', NULL, 'DEXHc_RIG-I', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12283, NULL, 'cd00139', NULL, NULL, 'PIPKc', NULL, 'PIPKc', NULL, NULL, NULL, 1),
(12284, NULL, 'cd07077', NULL, NULL, 'ALDH-like', NULL, 'ALDH-like', NULL, NULL, NULL, 1),
(12285, NULL, 'cd07484', NULL, NULL, 'Peptidases_S8_Thermitase_like', NULL, 'Peptidases_S8_Thermitase_like', NULL, NULL, 10323, 1),
(12286, NULL, 'cd13265', NULL, NULL, 'PH_evt', NULL, 'PH_evt', NULL, NULL, NULL, 1),
(12287, NULL, 'cd03696', NULL, NULL, 'SelB_II', NULL, 'SelB_II', NULL, NULL, NULL, 1),
(12288, NULL, 'cd12582', NULL, NULL, 'RRM2_hnRNPA3', NULL, 'RRM2_hnRNPA3', NULL, NULL, 12484, 1),
(12289, NULL, 'cd02977', NULL, NULL, 'ArsC_family', NULL, 'ArsC_family', NULL, NULL, NULL, 1),
(12290, NULL, 'cd18457', NULL, NULL, 'BACK_KLHL18', NULL, 'BACK_KLHL18', NULL, NULL, NULL, 1),
(12291, NULL, 'cd00101', NULL, NULL, 'IlGF_like', NULL, 'IlGF_like', NULL, NULL, NULL, 1),
(12292, NULL, 'cd14546', NULL, NULL, 'R-PTP-N-N2', NULL, 'R-PTP-N-N2', NULL, NULL, NULL, 1),
(12293, NULL, 'cd19105', NULL, NULL, 'AKR_unchar', NULL, 'AKR_unchar', NULL, NULL, NULL, 1),
(12294, NULL, 'cd19769', NULL, NULL, 'Bbox2_TRIM16-like', NULL, 'Bbox2_TRIM16-like', NULL, NULL, NULL, 1),
(12295, NULL, 'cd01736', NULL, NULL, 'LSm14_N', NULL, 'LSm14_N', NULL, NULL, 24075, 1),
(12296, NULL, 'cd07499', NULL, NULL, 'HAD_CBAP', NULL, 'HAD_CBAP', NULL, NULL, 5233, 1),
(12297, NULL, 'cd10541', NULL, NULL, 'SET_SETDB', NULL, 'SET_SETDB', NULL, NULL, NULL, 1),
(12298, NULL, 'cd06629', NULL, NULL, 'STKc_Bck1_like', NULL, 'STKc_Bck1_like', NULL, NULL, NULL, 1),
(12299, NULL, 'cd19429', NULL, NULL, 'lipocalin_9', NULL, 'lipocalin_9', NULL, NULL, NULL, 1),
(12300, NULL, 'cd20250', NULL, NULL, 'Phospholamban', NULL, 'Phospholamban', NULL, NULL, 1232, 1),
(12301, NULL, 'cd09422', NULL, NULL, 'LIM1_FHL2', NULL, 'LIM1_FHL2', NULL, NULL, NULL, 1),
(12302, NULL, 'cd13614', NULL, NULL, 'PBP2_QAT_like', NULL, 'PBP2_QAT_like', NULL, NULL, NULL, 1),
(12303, NULL, 'cd11788', NULL, NULL, 'SH3_RasGAP', NULL, 'SH3_RasGAP', NULL, NULL, 29154, 1),
(12304, NULL, 'cd16432', NULL, NULL, 'CheB_Rec', NULL, 'CheB_Rec', NULL, NULL, 3838, 1),
(12305, NULL, 'cd10157', NULL, NULL, 'BsCsoR-like_DUF156', NULL, 'BsCsoR-like_DUF156', NULL, NULL, NULL, 1),
(12306, NULL, 'cd17109', NULL, NULL, 'FERM_F1_SNX17_like', NULL, 'FERM_F1_SNX17_like', NULL, NULL, NULL, 1),
(12307, NULL, 'cd19957', NULL, NULL, 'serpinA', NULL, 'serpinA', NULL, NULL, NULL, 1),
(12308, NULL, 'cd08900', NULL, NULL, 'SRPBCC_CalC_Aha1-like_7', NULL, 'SRPBCC_CalC_Aha1-like_7', NULL, NULL, NULL, 1),
(12309, NULL, 'cd07924', NULL, NULL, 'PCA_45_Doxase_A', NULL, 'PCA_45_Doxase_A', NULL, NULL, 14404, 1),
(12310, NULL, 'cd17430', NULL, NULL, 'MFS_MCT3_4', NULL, 'MFS_MCT3_4', NULL, NULL, NULL, 1),
(12311, NULL, 'cd14901', NULL, NULL, 'MYSc_Myo40', NULL, 'MYSc_Myo40', NULL, NULL, NULL, 1),
(12312, NULL, 'cd03191', NULL, NULL, 'GST_C_Zeta', NULL, 'GST_C_Zeta', NULL, NULL, 33306, 1),
(12313, NULL, 'cd04703', NULL, NULL, 'Asparaginase_2_like_1', NULL, 'Asparaginase_2_like_1', NULL, NULL, NULL, 1),
(12314, NULL, 'cd08417', NULL, NULL, 'PBP2_Nitroaromatics_like', NULL, 'PBP2_Nitroaromatics_like', NULL, NULL, 35046, 1),
(12315, NULL, 'cd18251', NULL, NULL, 'BTB_POZ_KLHL22', NULL, 'BTB_POZ_KLHL22', NULL, NULL, NULL, 1),
(12316, NULL, 'cd08433', NULL, NULL, 'PBP2_Nac', NULL, 'PBP2_Nac', NULL, NULL, NULL, 1),
(12317, NULL, 'cd16654', NULL, NULL, 'RING-Ubox_CHIP', NULL, 'RING-Ubox_CHIP', NULL, NULL, 37073, 1),
(12318, NULL, 'cd09489', NULL, NULL, 'SAM_Smaug-like', NULL, 'SAM_Smaug-like', NULL, NULL, NULL, 1),
(12319, NULL, 'cd12233', NULL, NULL, 'RRM_Srp1p_AtRSp31_like', NULL, 'RRM_Srp1p_AtRSp31_like', NULL, NULL, NULL, 1),
(12320, NULL, 'cd15310', NULL, NULL, '7tmA_D3_dopamine_R', NULL, '7tmA_D3_dopamine_R', NULL, NULL, NULL, 1),
(12321, NULL, 'cd11846', NULL, NULL, 'SH3_Srms', NULL, 'SH3_Srms', NULL, NULL, NULL, 1),
(12322, NULL, 'cd14478', NULL, NULL, 'SPX_PHO87_PHO90_like', NULL, 'SPX_PHO87_PHO90_like', NULL, NULL, NULL, 1),
(12323, NULL, 'cd17194', NULL, NULL, 'FERM_F1_PTPN4', NULL, 'FERM_F1_PTPN4', NULL, NULL, NULL, 1),
(12324, NULL, 'cd04469', NULL, NULL, 'S1_Hex1', NULL, 'S1_Hex1', NULL, NULL, 35671, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12325, NULL, 'cd13596', NULL, NULL, 'PBP2_lipoprotein_GmpC', NULL, 'PBP2_lipoprotein_GmpC', NULL, NULL, NULL, 1),
(12326, NULL, 'cd05272', NULL, NULL, 'TDH_SDR_e', NULL, 'TDH_SDR_e', NULL, NULL, NULL, 1),
(12327, NULL, 'cd11747', NULL, NULL, 'GH94N_like_1', NULL, 'GH94N_like_1', NULL, NULL, NULL, 1),
(12328, NULL, 'cd18203', NULL, NULL, 'BTB_POZ_ZBTB12', NULL, 'BTB_POZ_ZBTB12', NULL, NULL, NULL, 1),
(12329, NULL, 'cd00567', NULL, NULL, 'ACAD', NULL, 'ACAD', NULL, NULL, NULL, 1),
(12330, NULL, 'cd06228', NULL, NULL, 'M14-like', NULL, 'M14-like', NULL, NULL, NULL, 1),
(12331, NULL, 'cd05386', NULL, NULL, 'TraL', NULL, 'TraL', NULL, NULL, NULL, 1),
(12332, NULL, 'cd08834', NULL, NULL, 'ArfGap_ASAP', NULL, 'ArfGap_ASAP', NULL, NULL, NULL, 1),
(12333, NULL, 'cd18351', NULL, NULL, 'BTB_POZ_BTBD11', NULL, 'BTB_POZ_BTBD11', NULL, NULL, NULL, 1),
(12334, NULL, 'cd03134', NULL, NULL, 'GATase1_PfpI_like', NULL, 'GATase1_PfpI_like', NULL, NULL, NULL, 1),
(12335, NULL, 'cd16748', NULL, NULL, 'RING-HC_SH3RF1', NULL, 'RING-HC_SH3RF1', NULL, NULL, NULL, 1),
(12336, NULL, 'cd03120', NULL, NULL, 'alpha_CARP_VIII', NULL, 'alpha_CARP_VIII', NULL, NULL, 32691, 1),
(12337, NULL, 'cd09085', NULL, NULL, 'Mth212-like_AP-endo', NULL, 'Mth212-like_AP-endo', NULL, NULL, NULL, 1),
(12338, NULL, 'cd05894', NULL, NULL, 'Ig_C5_MyBP-C', NULL, 'Ig_C5_MyBP-C', NULL, NULL, NULL, 1),
(12339, NULL, 'cd10026', NULL, NULL, '14-3-3_plant', NULL, '14-3-3_plant', NULL, NULL, NULL, 1),
(12340, NULL, 'cd10378', NULL, NULL, 'SH2_Jak1', NULL, 'SH2_Jak1', NULL, NULL, NULL, 1),
(12341, NULL, 'cd15228', NULL, NULL, '7tmA_OR10D-like', NULL, '7tmA_OR10D-like', NULL, NULL, NULL, 1),
(12342, NULL, 'cd04456', NULL, NULL, 'S1_IF1A_like', NULL, 'S1_IF1A_like', NULL, NULL, NULL, 1),
(12343, NULL, 'cd13119', NULL, NULL, 'BF2867_like', NULL, 'BF2867_like', NULL, NULL, NULL, 1),
(12344, NULL, 'cd11645', NULL, NULL, 'Precorrin_2_C20_MT', NULL, 'Precorrin_2_C20_MT', NULL, NULL, 13616, 1),
(12345, NULL, 'cd17357', NULL, NULL, 'MFS_GLUT_Class1_2_like', NULL, 'MFS_GLUT_Class1_2_like', NULL, NULL, NULL, 1),
(12346, NULL, 'cd20071', NULL, NULL, 'SET_SMYD', NULL, 'SET_SMYD', NULL, NULL, NULL, 1),
(12347, NULL, 'cd14843', NULL, NULL, 'D-Ala-D-Ala_dipeptidase_like', NULL, 'D-Ala-D-Ala_dipeptidase_like', NULL, NULL, NULL, 1),
(12348, NULL, 'cd21533', NULL, NULL, 'MERS-CoV-like_E', NULL, 'MERS-CoV-like_E', NULL, NULL, 36801, 1),
(12349, NULL, 'cd09028', NULL, NULL, 'ArfGap_ArfGap3', NULL, 'ArfGap_ArfGap3', NULL, NULL, NULL, 1),
(12350, NULL, 'cd13752', NULL, NULL, 'TGF_beta_INHB', NULL, 'TGF_beta_INHB', NULL, NULL, NULL, 1),
(12351, NULL, 'cd19468', NULL, NULL, 'FABP5', NULL, 'FABP5', NULL, NULL, NULL, 1),
(12352, NULL, 'cd10936', NULL, NULL, 'CE4_DAC2', NULL, 'CE4_DAC2', NULL, NULL, 4285, 1),
(12353, NULL, 'cd12942', NULL, NULL, 'LEM_Man1', NULL, 'LEM_Man1', NULL, NULL, NULL, 1),
(12354, NULL, 'cd15554', NULL, NULL, 'PHD_PHF2_like', NULL, 'PHD_PHF2_like', NULL, NULL, NULL, 1),
(12355, NULL, 'cd13926', NULL, NULL, 'N-acetylmuramidase_GH108', NULL, 'N-acetylmuramidase_GH108', NULL, NULL, NULL, 1),
(12356, NULL, 'cd04132', NULL, NULL, 'Rho4_like', NULL, 'Rho4_like', NULL, NULL, NULL, 1),
(12357, NULL, 'cd06661', NULL, NULL, 'GGCT_like', NULL, 'GGCT_like', NULL, NULL, 13592, 1),
(12358, NULL, 'cd20490', NULL, NULL, 'cupin_HutD_C', NULL, 'cupin_HutD_C', NULL, NULL, NULL, 1),
(12359, NULL, 'cd10336', NULL, NULL, 'SLC6sbd_Tyt1-Like', NULL, 'SLC6sbd_Tyt1-Like', NULL, NULL, NULL, 1),
(12360, NULL, 'cd16116', NULL, NULL, 'Ubl_Smt3_like', NULL, 'Ubl_Smt3_like', NULL, NULL, NULL, 1),
(12361, NULL, 'cd07639', NULL, NULL, 'BAR_ACAP1', NULL, 'BAR_ACAP1', NULL, NULL, NULL, 1),
(12362, NULL, 'cd13649', NULL, NULL, 'PBP2_Cae31940', NULL, 'PBP2_Cae31940', NULL, NULL, NULL, 1),
(12363, NULL, 'cd14579', NULL, NULL, 'DUSP3', NULL, 'DUSP3', NULL, NULL, NULL, 1),
(12364, NULL, 'cd06850', NULL, NULL, 'biotinyl_domain', NULL, 'biotinyl_domain', NULL, NULL, NULL, 1),
(12365, NULL, 'cd15796', NULL, NULL, 'CIF_like', NULL, 'CIF_like', NULL, NULL, 25067, 1),
(12366, NULL, 'cd16188', NULL, NULL, 'EFh_PEF_CPNS1_2', NULL, 'EFh_PEF_CPNS1_2', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12367, NULL, 'cd08643', NULL, NULL, 'DNA_pol_A_pol_I_B', NULL, 'DNA_pol_A_pol_I_B', NULL, NULL, NULL, 1),
(12368, NULL, 'cd11869', NULL, NULL, 'SH3_p40phox', NULL, 'SH3_p40phox', NULL, NULL, 33419, 1),
(12369, NULL, 'cd15879', NULL, NULL, 'SNARE_syntaxin19', NULL, 'SNARE_syntaxin19', NULL, NULL, NULL, 1),
(12370, NULL, 'cd14949', NULL, NULL, 'Asparaginase_2_like_3', NULL, 'Asparaginase_2_like_3', NULL, NULL, NULL, 1),
(12371, NULL, 'cd16144', NULL, NULL, 'ARS_like', NULL, 'ARS_like', NULL, NULL, NULL, 1),
(12372, NULL, 'cd21513', NULL, NULL, 'SUD_C_DPUP_CoV_Nsp3', NULL, 'SUD_C_DPUP_CoV_Nsp3', NULL, NULL, NULL, 1),
(12373, NULL, 'cd13604', NULL, NULL, 'PBP2_TRAP_ketoacid_lactate_like', NULL, 'PBP2_TRAP_ketoacid_lactate_like', NULL, NULL, NULL, 1),
(12374, NULL, 'cd15995', NULL, NULL, '7tmB2_GPR56', NULL, '7tmB2_GPR56', NULL, NULL, NULL, 1),
(12375, NULL, 'cd08345', NULL, NULL, 'Fosfomycin_RP', NULL, 'Fosfomycin_RP', NULL, NULL, NULL, 1),
(12376, NULL, 'cd11566', NULL, NULL, 'eIF1_SUI1', NULL, 'eIF1_SUI1', NULL, NULL, 6802, 1),
(12377, NULL, 'cd16129', NULL, NULL, 'Ubl_ATG8_MAP1LC3', NULL, 'Ubl_ATG8_MAP1LC3', NULL, NULL, NULL, 1),
(12378, NULL, 'cd19755', NULL, NULL, 'TrHb2_AtGlb3-like_O', NULL, 'TrHb2_AtGlb3-like_O', NULL, NULL, NULL, 1),
(12379, NULL, 'cd07534', NULL, NULL, 'HAD_CAP', NULL, 'HAD_CAP', NULL, NULL, 6661, 1),
(12380, NULL, 'cd09724', NULL, NULL, 'CsaX_III-U', NULL, 'CsaX_III-U', NULL, NULL, NULL, 1),
(12381, NULL, 'cd06938', NULL, NULL, 'NR_LBD_EcR', NULL, 'NR_LBD_EcR', NULL, NULL, 32176, 1),
(12382, NULL, 'cd14404', NULL, NULL, 'UBA_AID_AAPK2', NULL, 'UBA_AID_AAPK2', NULL, NULL, 28598, 1),
(12383, NULL, 'cd04985', NULL, NULL, 'IgC_CH1_IgAEGM', NULL, 'IgC_CH1_IgAEGM', NULL, NULL, NULL, 1),
(12384, NULL, 'cd09408', NULL, NULL, 'LIM2_Leupaxin', NULL, 'LIM2_Leupaxin', NULL, NULL, NULL, 1),
(12385, NULL, 'cd18385', NULL, NULL, 'BTB_POZ_BTBD10_GMRP1', NULL, 'BTB_POZ_BTBD10_GMRP1', NULL, NULL, NULL, 1),
(12386, NULL, 'cd06968', NULL, NULL, 'NR_DBD_ROR', NULL, 'NR_DBD_ROR', NULL, NULL, 37830, 1),
(12387, NULL, 'cd00837', NULL, NULL, 'EVH1_family', NULL, 'EVH1_family', NULL, NULL, NULL, 1),
(12388, NULL, 'cd05373', NULL, NULL, 'SDR_c10', NULL, 'SDR_c10', NULL, NULL, NULL, 1),
(12389, NULL, 'cd14654', NULL, NULL, 'ZIP_Gal4', NULL, 'ZIP_Gal4', NULL, NULL, 2639, 1),
(12390, NULL, 'cd17665', NULL, NULL, 'DSP_DUSP11', NULL, 'DSP_DUSP11', NULL, NULL, NULL, 1),
(12391, NULL, 'cd10571', NULL, NULL, 'PH_beta_spectrin', NULL, 'PH_beta_spectrin', NULL, NULL, NULL, 1),
(12392, NULL, 'cd08894', NULL, NULL, 'SRPBCC_CalC_Aha1-like_1', NULL, 'SRPBCC_CalC_Aha1-like_1', NULL, NULL, NULL, 1),
(12393, NULL, 'cd07070', NULL, NULL, 'NR_LBD_SF-1', NULL, 'NR_LBD_SF-1', NULL, NULL, NULL, 1),
(12394, NULL, 'cd15026', NULL, NULL, '7tm_TAS2R13', NULL, '7tm_TAS2R13', NULL, NULL, NULL, 1),
(12395, NULL, 'cd02052', NULL, NULL, 'serpinF1_PEDF', NULL, 'serpinF1_PEDF', NULL, NULL, 34182, 1),
(12396, NULL, 'cd08687', NULL, NULL, 'C2_PKN-like', NULL, 'C2_PKN-like', NULL, NULL, 30727, 1),
(12397, NULL, 'cd17416', NULL, NULL, 'MFS_NPF1_2', NULL, 'MFS_NPF1_2', NULL, NULL, NULL, 1),
(12398, NULL, 'cd17640', NULL, NULL, 'LC_FACS_like', NULL, 'LC_FACS_like', NULL, NULL, NULL, 1),
(12399, NULL, 'cd07948', NULL, NULL, 'DRE_TIM_HCS', NULL, 'DRE_TIM_HCS', NULL, NULL, NULL, 1),
(12400, NULL, 'cd05836', NULL, NULL, 'N_Pac_NP60', NULL, 'N_Pac_NP60', NULL, NULL, 18372, 1),
(12401, NULL, 'cd14407', NULL, NULL, 'UBA_MARK3_4', NULL, 'UBA_MARK3_4', NULL, NULL, NULL, 1),
(12402, NULL, 'cd13555', NULL, NULL, 'PBP2_sulfate_ester_like', NULL, 'PBP2_sulfate_ester_like', NULL, NULL, NULL, 1),
(12403, NULL, 'cd13568', NULL, NULL, 'PBP2_TAXI_TRAP_like_3', NULL, 'PBP2_TAXI_TRAP_like_3', NULL, NULL, NULL, 1),
(12404, NULL, 'cd09531', NULL, NULL, 'SAM_CS047', NULL, 'SAM_CS047', NULL, NULL, 31164, 1),
(12405, NULL, 'cd03075', NULL, NULL, 'GST_N_Mu', NULL, 'GST_N_Mu', NULL, NULL, NULL, 1),
(12406, NULL, 'cd13954', NULL, NULL, '7tmA_OR', NULL, '7tmA_OR', NULL, NULL, NULL, 1),
(12407, NULL, 'cd01883', NULL, NULL, 'EF1_alpha', NULL, 'EF1_alpha', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12408, NULL, 'cd04650', NULL, NULL, 'LbH_FBP', NULL, 'LbH_FBP', NULL, NULL, NULL, 1),
(12409, NULL, 'cd07156', NULL, NULL, 'NR_DBD_VDR_like', NULL, 'NR_DBD_VDR_like', NULL, NULL, NULL, 1),
(12410, NULL, 'cd15672', NULL, NULL, 'ePHD_AF10_like', NULL, 'ePHD_AF10_like', NULL, NULL, NULL, 1),
(12411, NULL, 'cd20315', NULL, NULL, 'DSRM_mL44_subfamily', NULL, 'DSRM_mL44_subfamily', NULL, NULL, NULL, 1),
(12412, NULL, 'cd09363', NULL, NULL, 'LIM3_Enigma_like', NULL, 'LIM3_Enigma_like', NULL, NULL, NULL, 1),
(12413, NULL, 'cd06849', NULL, NULL, 'lipoyl_domain', NULL, 'lipoyl_domain', NULL, NULL, NULL, 1),
(12414, NULL, 'cd13980', NULL, NULL, 'STKc_Vps15', NULL, 'STKc_Vps15', NULL, NULL, NULL, 1),
(12415, NULL, 'cd14613', NULL, NULL, 'PTPc-N5', NULL, 'PTPc-N5', NULL, NULL, NULL, 1),
(12416, NULL, 'cd04386', NULL, NULL, 'RhoGAP_nadrin', NULL, 'RhoGAP_nadrin', NULL, NULL, NULL, 1),
(12417, NULL, 'cd11679', NULL, NULL, 'archaeal_Sm_like', NULL, 'archaeal_Sm_like', NULL, NULL, NULL, 1),
(12418, NULL, 'cd07860', NULL, NULL, 'STKc_CDK2_3', NULL, 'STKc_CDK2_3', NULL, NULL, NULL, 1),
(12419, NULL, 'cd19141', NULL, NULL, 'Aldo_ket_red_shaker', NULL, 'Aldo_ket_red_shaker', NULL, NULL, NULL, 1),
(12420, NULL, 'cd01363', NULL, NULL, 'Motor_domain', NULL, 'Motor_domain', NULL, NULL, NULL, 1),
(12421, NULL, 'cd08723', NULL, NULL, 'RGS_RGS21', NULL, 'RGS_RGS21', NULL, NULL, NULL, 1),
(12422, NULL, 'cd13535', NULL, NULL, 'PBP2_Osm_BCP_like', NULL, 'PBP2_Osm_BCP_like', NULL, NULL, NULL, 1),
(12423, NULL, 'cd00495', NULL, NULL, 'Ribosomal_L25_TL5_CTC', NULL, 'Ribosomal_L25_TL5_CTC', NULL, NULL, 26257, 1),
(12424, NULL, 'cd18978', NULL, NULL, 'CD_DDE_transposase_like', NULL, 'CD_DDE_transposase_like', NULL, NULL, NULL, 1),
(12425, NULL, 'cd17780', NULL, NULL, 'CBS_pair_arch1_repeat1', NULL, 'CBS_pair_arch1_repeat1', NULL, NULL, NULL, 1),
(12426, NULL, 'cd12603', NULL, NULL, 'RRM_hnRNPC', NULL, 'RRM_hnRNPC', NULL, NULL, NULL, 1),
(12427, NULL, 'cd08456', NULL, NULL, 'PBP2_LysR', NULL, 'PBP2_LysR', NULL, NULL, 33080, 1),
(12428, NULL, 'cd19842', NULL, NULL, 'Bbox1_TRIM25-like_C-IV', NULL, 'Bbox1_TRIM25-like_C-IV', NULL, NULL, NULL, 1),
(12429, NULL, 'cd18707', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(12430, NULL, 'cd15585', NULL, NULL, 'PHD_ING3', NULL, 'PHD_ING3', NULL, NULL, 33008, 1),
(12431, NULL, 'cd09825', NULL, NULL, 'thyroid_peroxidase', NULL, 'thyroid_peroxidase', NULL, NULL, NULL, 1),
(12432, NULL, 'cd19821', NULL, NULL, 'Bbox1_BBX-like', NULL, 'Bbox1_BBX-like', NULL, NULL, NULL, 1),
(12433, NULL, 'cd06425', NULL, NULL, 'M1P_guanylylT_B_like_N', NULL, 'M1P_guanylylT_B_like_N', NULL, NULL, 38679, 1),
(12434, NULL, 'cd14303', NULL, NULL, 'UBA1_KPC2', NULL, 'UBA1_KPC2', NULL, NULL, 32104, 1),
(12435, NULL, 'cd13266', NULL, NULL, 'PH_Skap_family', NULL, 'PH_Skap_family', NULL, NULL, NULL, 1),
(12436, NULL, 'cd07577', NULL, NULL, 'Ph0642_like', NULL, 'Ph0642_like', NULL, NULL, NULL, 1),
(12437, NULL, 'cd15218', NULL, NULL, '7tmA_SREB2_GPR85', NULL, '7tmA_SREB2_GPR85', NULL, NULL, NULL, 1),
(12438, NULL, 'cd18494', NULL, NULL, 'BACK_BTBD19', NULL, 'BACK_BTBD19', NULL, NULL, NULL, 1),
(12439, NULL, 'cd13591', NULL, NULL, 'PBP2_HisGL1', NULL, 'PBP2_HisGL1', NULL, NULL, NULL, 1),
(12440, NULL, 'cd10154', NULL, NULL, 'NreA-like_DUF156', NULL, 'NreA-like_DUF156', NULL, NULL, NULL, 1),
(12441, NULL, 'cd01375', NULL, NULL, 'KISc_KIF9_like', NULL, 'KISc_KIF9_like', NULL, NULL, NULL, 1),
(12442, NULL, 'cd05245', NULL, NULL, 'SDR_a2', NULL, 'SDR_a2', NULL, NULL, NULL, 1),
(12443, NULL, 'cd05286', NULL, NULL, 'QOR2', NULL, 'QOR2', NULL, NULL, NULL, 1),
(12444, NULL, 'cd09190', NULL, NULL, 'PLDc_DNaseII_beta_1', NULL, 'PLDc_DNaseII_beta_1', NULL, NULL, NULL, 1),
(12445, NULL, 'cd12575', NULL, NULL, 'RRM1_hnRNPD_like', NULL, 'RRM1_hnRNPD_like', NULL, NULL, NULL, 1),
(12446, NULL, 'cd15716', NULL, NULL, 'FYVE_RBNS5', NULL, 'FYVE_RBNS5', NULL, NULL, NULL, 1),
(12447, NULL, 'cd10355', NULL, NULL, 'SH2_DAPP1_BAM32_like', NULL, 'SH2_DAPP1_BAM32_like', NULL, NULL, 34541, 1),
(12448, NULL, 'cd07773', NULL, NULL, 'FGGY_FK', NULL, 'FGGY_FK', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12449, NULL, 'cd06871', NULL, NULL, 'PX_MONaKA', NULL, 'PX_MONaKA', NULL, NULL, 30953, 1),
(12450, NULL, 'cd09171', NULL, NULL, 'PLDc_vPLD6_like', NULL, 'PLDc_vPLD6_like', NULL, NULL, NULL, 1),
(12451, NULL, 'cd16756', NULL, NULL, 'RING-HC_TRIM36', NULL, 'RING-HC_TRIM36', NULL, NULL, NULL, 1),
(12452, NULL, 'cd16922', NULL, NULL, 'HATPase_EvgS-ArcB-TorS-like', NULL, 'HATPase_EvgS-ArcB-TorS-like', NULL, NULL, NULL, 1),
(12453, NULL, 'cd00604', NULL, NULL, 'IPT_CGTD', NULL, 'IPT_CGTD', NULL, NULL, NULL, 1),
(12454, NULL, 'cd06334', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(12455, NULL, 'cd04591', NULL, NULL, 'CBS_pair_voltage-gated_CLC_euk_bac', NULL, 'CBS_pair_voltage-gated_CLC_euk_bac', NULL, NULL, NULL, 1),
(12456, NULL, 'cd08785', NULL, NULL, 'CARD_CARD9-like', NULL, 'CARD_CARD9-like', NULL, NULL, NULL, 1),
(12457, NULL, 'cd08281', NULL, NULL, 'liver_ADH_like1', NULL, 'liver_ADH_like1', NULL, NULL, NULL, 1),
(12458, NULL, 'cd15208', NULL, NULL, '7tmA_OXR', NULL, '7tmA_OXR', NULL, NULL, NULL, 1),
(12459, NULL, 'cd14053', NULL, NULL, 'STKc_ACVR2', NULL, 'STKc_ACVR2', NULL, NULL, NULL, 1),
(12460, NULL, 'cd15266', NULL, NULL, '7tmB1_GLP2R', NULL, '7tmB1_GLP2R', NULL, NULL, NULL, 1),
(12461, NULL, 'cd18667', NULL, NULL, 'CD1_tandem_CHD3-4_like', NULL, 'CD1_tandem_CHD3-4_like', NULL, NULL, NULL, 1),
(12462, NULL, 'cd16172', NULL, NULL, 'TorS_sensor_domain', NULL, 'TorS_sensor_domain', NULL, NULL, 33487, 1),
(12463, NULL, 'cd18648', NULL, NULL, 'CD_Cbx6', NULL, 'CD_Cbx6', NULL, NULL, NULL, 1),
(12464, NULL, 'cd01237', NULL, NULL, 'PH_fermitin', NULL, 'PH_fermitin', NULL, NULL, 35019, 1),
(12465, NULL, 'cd12288', NULL, NULL, 'RRM_La_like_plant', NULL, 'RRM_La_like_plant', NULL, NULL, 13247, 1),
(12466, NULL, 'cd15202', NULL, NULL, '7tmA_TACR-like', NULL, '7tmA_TACR-like', NULL, NULL, NULL, 1),
(12467, NULL, 'cd15560', NULL, NULL, 'PHD2_3_BPTF', NULL, 'PHD2_3_BPTF', NULL, NULL, NULL, 1),
(12468, NULL, 'cd17260', NULL, NULL, 'RMtype1_S_EcoEI-TRD1-CR1_like', NULL, 'RMtype1_S_EcoEI-TRD1-CR1_like', NULL, NULL, NULL, 1),
(12469, NULL, 'cd08698', NULL, NULL, 'TGF_beta_SF', NULL, 'TGF_beta_SF', NULL, NULL, NULL, 1),
(12470, NULL, 'cd09900', NULL, NULL, 'H3TH_XPG-like', NULL, 'H3TH_XPG-like', NULL, NULL, NULL, 1),
(12471, NULL, 'cd11465', NULL, NULL, 'bHLH_TS_scleraxis_like', NULL, 'bHLH_TS_scleraxis_like', NULL, NULL, NULL, 1),
(12472, NULL, 'cd05354', NULL, NULL, 'SDR_c7', NULL, 'SDR_c7', NULL, NULL, NULL, 1),
(12473, NULL, 'cd05609', NULL, NULL, 'STKc_MAST', NULL, 'STKc_MAST', NULL, NULL, 33750, 1),
(12474, NULL, 'cd05288', NULL, NULL, 'PGDH', NULL, 'PGDH', NULL, NULL, NULL, 1),
(12475, NULL, 'cd19075', NULL, NULL, 'AKR_AKR7A1-5', NULL, 'AKR_AKR7A1-5', NULL, NULL, NULL, 1),
(12476, NULL, 'cd07305', NULL, NULL, 'Porin3_Tom40', NULL, 'Porin3_Tom40', NULL, NULL, 35249, 1),
(12477, NULL, 'cd14420', NULL, NULL, 'CUE_AUP1', NULL, 'CUE_AUP1', NULL, NULL, NULL, 1),
(12478, NULL, 'cd01334', NULL, NULL, 'Lyase_I', NULL, 'Lyase_I', NULL, NULL, NULL, 1),
(12479, NULL, 'cd15256', NULL, NULL, '7tmB2_GPR133', NULL, '7tmB2_GPR133', NULL, NULL, NULL, 1),
(12480, NULL, 'cd17463', NULL, NULL, 'MFS_SLCO4C_OATP4C', NULL, 'MFS_SLCO4C_OATP4C', NULL, NULL, NULL, 1),
(12481, NULL, 'cd03085', NULL, NULL, 'PGM1', NULL, 'PGM1', NULL, NULL, NULL, 1),
(12482, NULL, 'cd14391', NULL, NULL, 'UBA_II_E2_UBCD4', NULL, 'UBA_II_E2_UBCD4', NULL, NULL, 37979, 1),
(12483, NULL, 'cd07568', NULL, NULL, 'ML_beta-AS_like', NULL, 'ML_beta-AS_like', NULL, NULL, NULL, 1),
(12484, NULL, 'cd20298', NULL, NULL, 'cupin_UAH', NULL, 'cupin_UAH', NULL, NULL, NULL, 1),
(12485, NULL, 'cd04255', NULL, NULL, 'AAK_UMPK-MosAB', NULL, 'AAK_UMPK-MosAB', NULL, NULL, 27250, 1),
(12486, NULL, 'cd01522', NULL, NULL, 'RHOD_1', NULL, 'RHOD_1', NULL, NULL, NULL, 1),
(12487, NULL, 'cd08589', NULL, NULL, 'PI-PLCc_SaPLC1_like', NULL, 'PI-PLCc_SaPLC1_like', NULL, NULL, 28403, 1),
(12488, NULL, 'cd01830', NULL, NULL, 'XynE_like', NULL, 'XynE_like', NULL, NULL, NULL, 1),
(12489, NULL, 'cd06110', NULL, NULL, 'BSuCS-II_like', NULL, 'BSuCS-II_like', NULL, NULL, NULL, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12490, NULL, 'cd15609', NULL, NULL, 'PHD_TCF19', NULL, 'PHD_TCF19', NULL, NULL, 29006, 1),
(12491, NULL, 'cd18955', NULL, NULL, 'BTB_POZ_BACH', NULL, 'BTB_POZ_BACH', NULL, NULL, NULL, 1),
(12492, NULL, 'cd07834', NULL, NULL, 'STKc_MAPK', NULL, 'STKc_MAPK', NULL, NULL, NULL, 1),
(12493, NULL, 'cd08694', NULL, NULL, 'C2_Dock-A', NULL, 'C2_Dock-A', NULL, NULL, NULL, 1),
(12494, NULL, 'cd13559', NULL, NULL, 'PBP2_SsuA_like_3', NULL, 'PBP2_SsuA_like_3', NULL, NULL, NULL, 1),
(12495, NULL, 'cd03675', NULL, NULL, 'Nudix_Hydrolase_2', NULL, 'Nudix_Hydrolase_2', NULL, NULL, 32557, 1),
(12496, NULL, 'cd02107', NULL, NULL, 'YedY_like_Moco', NULL, 'YedY_like_Moco', NULL, NULL, NULL, 1),
(12497, NULL, 'cd05796', NULL, NULL, 'Ribosomal_P0_like', NULL, 'Ribosomal_P0_like', NULL, NULL, 31881, 1),
(12498, NULL, 'cd14098', NULL, NULL, 'STKc_Rad53_Cds1', NULL, 'STKc_Rad53_Cds1', NULL, NULL, NULL, 1),
(12499, NULL, 'cd16678', NULL, NULL, 'RING2-H2_RNF32', NULL, 'RING2-H2_RNF32', NULL, NULL, NULL, 1),
(12500, NULL, 'cd19202', NULL, NULL, 'SET_SMYD2', NULL, 'SET_SMYD2', NULL, NULL, 37582, 1),
(12501, NULL, 'cd00841', NULL, NULL, 'MPP_YfcE', NULL, 'MPP_YfcE', NULL, NULL, 33436, 1),
(12502, NULL, 'cd09010', NULL, NULL, 'MTAP_SsMTAPII_like_MTIP', NULL, 'MTAP_SsMTAPII_like_MTIP', NULL, NULL, 5260, 1),
(12503, NULL, 'cd10341', NULL, NULL, 'SH2_N-SH2_PLC_gamma_like', NULL, 'SH2_N-SH2_PLC_gamma_like', NULL, NULL, 20524, 1),
(12504, NULL, 'cd15909', NULL, NULL, '7tmF_FZD4_9_10-like', NULL, '7tmF_FZD4_9_10-like', NULL, NULL, NULL, 1),
(12505, NULL, 'cd02432', NULL, NULL, 'Nodulin-21_like_1', NULL, 'Nodulin-21_like_1', NULL, NULL, NULL, 1),
(12506, NULL, 'cd10420', NULL, NULL, 'SH2_STAT5b', NULL, 'SH2_STAT5b', NULL, NULL, 35472, 1),
(12507, NULL, 'cd09912', NULL, NULL, 'DLP_2', NULL, 'DLP_2', NULL, NULL, NULL, 1),
(12508, NULL, 'cd13335', NULL, NULL, 'FERM_C_TYK2', NULL, 'FERM_C_TYK2', NULL, NULL, NULL, 1),
(12509, NULL, 'cd09966', NULL, NULL, 'UP_III_II', NULL, 'UP_III_II', NULL, NULL, NULL, 1),
(12510, NULL, 'cd15544', NULL, NULL, 'PHD_BAZ1A_like', NULL, 'PHD_BAZ1A_like', NULL, NULL, NULL, 1),
(12511, NULL, 'cd17412', NULL, NULL, 'MFS_SLC15A1', NULL, 'MFS_SLC15A1', NULL, NULL, NULL, 1),
(12512, NULL, 'cd03212', NULL, NULL, 'GST_C_Metaxin1_3', NULL, 'GST_C_Metaxin1_3', NULL, NULL, NULL, 1),
(12513, NULL, 'cd04440', NULL, NULL, 'DEP_2_P-Rex', NULL, 'DEP_2_P-Rex', NULL, NULL, NULL, 1),
(12514, NULL, 'cd10358', NULL, NULL, 'SH2_PTK6_Brk', NULL, 'SH2_PTK6_Brk', NULL, NULL, 30779, 1),
(12515, NULL, 'cd14913', NULL, NULL, 'MYSc_Myh3', NULL, 'MYSc_Myh3', NULL, NULL, 32705, 1),
(12516, NULL, 'cd14669', NULL, NULL, 'mlta_related_B', NULL, 'mlta_related_B', NULL, NULL, NULL, 1),
(12517, NULL, 'cd15813', NULL, NULL, 'SPRY_PRY_TRIM20', NULL, 'SPRY_PRY_TRIM20', NULL, NULL, NULL, 1),
(12518, NULL, 'cd11019', NULL, NULL, 'OsENODL1_like', NULL, 'OsENODL1_like', NULL, NULL, 33026, 1),
(12519, NULL, 'cd05926', NULL, NULL, 'FACL_fum10p_like', NULL, 'FACL_fum10p_like', NULL, NULL, 37377, 1),
(12520, NULL, 'cd17291', NULL, NULL, 'RMtype1_S_MgeORF438P-TRD-CR_like', NULL, 'RMtype1_S_MgeORF438P-TRD-CR_like', NULL, NULL, NULL, 1),
(12521, NULL, 'cd09691', NULL, NULL, 'Cas8b_I-B', NULL, 'Cas8b_I-B', NULL, NULL, NULL, 1),
(12522, NULL, 'cd14292', NULL, NULL, 'UBA2_NUB1', NULL, 'UBA2_NUB1', NULL, NULL, NULL, 1),
(12523, NULL, 'cd16802', NULL, NULL, 'RING-H2_RNF128_like', NULL, 'RING-H2_RNF128_like', NULL, NULL, NULL, 1),
(12524, NULL, 'cd12400', NULL, NULL, 'RRM_Nop6', NULL, 'RRM_Nop6', NULL, NULL, 33151, 1),
(12525, NULL, 'cd11267', NULL, NULL, 'Sema_6B', NULL, 'Sema_6B', NULL, NULL, NULL, 1),
(12526, NULL, 'cd03377', NULL, NULL, 'TPP_PFOR_PNO', NULL, 'TPP_PFOR_PNO', NULL, NULL, NULL, 1),
(12527, NULL, 'cd03578', NULL, NULL, 'NTR_netrin-4_like', NULL, 'NTR_netrin-4_like', NULL, NULL, 31172, 1),
(12528, NULL, 'cd18716', NULL, NULL, 'PIN_SSO1118-like', NULL, 'PIN_SSO1118-like', NULL, NULL, NULL, 1),
(12529, NULL, 'cd05071', NULL, NULL, 'PTKc_Src', NULL, 'PTKc_Src', NULL, NULL, NULL, 1),
(12530, NULL, 'cd16340', NULL, NULL, 'CpcS_T', NULL, 'CpcS_T', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12531, NULL, 'cd14010', NULL, NULL, 'STKc_ULK4', NULL, 'STKc_ULK4', NULL, NULL, NULL, 1),
(12532, NULL, 'cd16702', NULL, NULL, 'RING_CH-C4HC3_MARCH6', NULL, 'RING_CH-C4HC3_MARCH6', NULL, NULL, NULL, 1),
(12533, NULL, 'cd09200', NULL, NULL, 'PLDc_pPLDbeta_2', NULL, 'PLDc_pPLDbeta_2', NULL, NULL, NULL, 1),
(12534, NULL, 'cd12322', NULL, NULL, 'RRM2_TDP43', NULL, 'RRM2_TDP43', NULL, NULL, NULL, 1),
(12535, NULL, 'cd11889', NULL, NULL, 'SH3_Cyk3p-like', NULL, 'SH3_Cyk3p-like', NULL, NULL, 32540, 1),
(12536, NULL, 'cd13886', NULL, NULL, 'CuRO_2_MCO_like_1', NULL, 'CuRO_2_MCO_like_1', NULL, NULL, NULL, 1),
(12537, NULL, 'cd09970', NULL, NULL, 'UP_IIIa', NULL, 'UP_IIIa', NULL, NULL, NULL, 1),
(12538, NULL, 'cd12646', NULL, NULL, 'RRM_SRSF7', NULL, 'RRM_SRSF7', NULL, NULL, 33146, 1),
(12539, NULL, 'cd14070', NULL, NULL, 'STKc_HUNK', NULL, 'STKc_HUNK', NULL, NULL, 17120, 1),
(12540, NULL, 'cd01157', NULL, NULL, 'MCAD', NULL, 'MCAD', NULL, NULL, 21391, 1),
(12541, NULL, 'cd19574', NULL, NULL, 'serpinE3', NULL, 'serpinE3', NULL, NULL, NULL, 1),
(12542, NULL, 'cd02050', NULL, NULL, 'serpinG1_C1-INH', NULL, 'serpinG1_C1-INH', NULL, NULL, NULL, 1),
(12543, NULL, 'cd05689', NULL, NULL, 'S1_RPS1_repeat_ec4', NULL, 'S1_RPS1_repeat_ec4', NULL, NULL, NULL, 1),
(12544, NULL, 'cd18095', NULL, NULL, 'SpoU-like_rRNA-MTase', NULL, 'SpoU-like_rRNA-MTase', NULL, NULL, NULL, 1),
(12545, NULL, 'cd15930', NULL, NULL, '7tmB1_Secretin_R-like', NULL, '7tmB1_Secretin_R-like', NULL, NULL, NULL, 1),
(12546, NULL, 'cd18330', NULL, NULL, 'BTB_POZ_ZBTB8B', NULL, 'BTB_POZ_ZBTB8B', NULL, NULL, NULL, 1),
(12547, NULL, 'cd08174', NULL, NULL, 'G1PDH-like', NULL, 'G1PDH-like', NULL, NULL, NULL, 1),
(12548, NULL, 'cd00739', NULL, NULL, 'DHPS', NULL, 'DHPS', NULL, NULL, 5539, 1),
(12549, NULL, 'cd01167', NULL, NULL, 'bac_FRK', NULL, 'bac_FRK', NULL, NULL, NULL, 1),
(12550, NULL, 'cd19059', NULL, NULL, 'LGIC_TM_GABAAR_rho', NULL, 'LGIC_TM_GABAAR_rho', NULL, NULL, NULL, 1),
(12551, NULL, 'cd06572', NULL, NULL, 'Histidinol_dh', NULL, 'Histidinol_dh', NULL, NULL, 14351, 1),
(12552, NULL, 'cd11618', NULL, NULL, 'ChtBD1_1', NULL, 'ChtBD1_1', NULL, NULL, NULL, 1),
(12553, NULL, 'cd21485', NULL, NULL, 'HCoV-OC43-like_Spike_S1_RBD', NULL, 'HCoV-OC43-like_Spike_S1_RBD', NULL, NULL, 38659, 1),
(12554, NULL, 'cd05720', NULL, NULL, 'Ig_CD8_alpha', NULL, 'Ig_CD8_alpha', NULL, NULL, NULL, 1),
(12555, NULL, 'cd07237', NULL, NULL, 'BphC1-RGP6_C_like', NULL, 'BphC1-RGP6_C_like', NULL, NULL, NULL, 1),
(12556, NULL, 'cd17309', NULL, NULL, 'PIPKc_PIP5K2A', NULL, 'PIPKc_PIP5K2A', NULL, NULL, NULL, 1),
(12557, NULL, 'cd17921', NULL, NULL, 'DEXHc_Ski2', NULL, 'DEXHc_Ski2', NULL, NULL, NULL, 1),
(12558, NULL, 'cd02756', NULL, NULL, 'MopB_Arsenite-Ox', NULL, 'MopB_Arsenite-Ox', NULL, NULL, NULL, 1),
(12559, NULL, 'cd08341', NULL, NULL, 'DED_Caspase_10_r1', NULL, 'DED_Caspase_10_r1', NULL, NULL, NULL, 1),
(12560, NULL, 'cd10008', NULL, NULL, 'HDAC7', NULL, 'HDAC7', NULL, NULL, NULL, 1),
(12561, NULL, 'cd11883', NULL, NULL, 'SH3_Sdc25', NULL, 'SH3_Sdc25', NULL, NULL, NULL, 1),
(12562, NULL, 'cd01300', NULL, NULL, 'YtcJ_like', NULL, 'YtcJ_like', NULL, NULL, 30434, 1),
(12563, NULL, 'cd03672', NULL, NULL, 'Dcp2p', NULL, 'Dcp2p', NULL, NULL, 37714, 1),
(12564, NULL, 'cd05803', NULL, NULL, 'PGM_like4', NULL, 'PGM_like4', NULL, NULL, NULL, 1),
(12565, NULL, 'cd00771', NULL, NULL, 'ThrRS_core', NULL, 'ThrRS_core', NULL, NULL, 35188, 1),
(12566, NULL, 'cd07407', NULL, NULL, 'MPP_YHR202W_N', NULL, 'MPP_YHR202W_N', NULL, NULL, 32827, 1),
(12567, NULL, 'cd00913', NULL, NULL, 'PCD_DCoH_subfamily_a', NULL, 'PCD_DCoH_subfamily_a', NULL, NULL, NULL, 1),
(12568, NULL, 'cd11777', NULL, NULL, 'SH3_CIP4_Bzz1_like', NULL, 'SH3_CIP4_Bzz1_like', NULL, NULL, NULL, 1),
(12569, NULL, 'cd15242', NULL, NULL, '7tm_Proteorhodopsin', NULL, '7tm_Proteorhodopsin', NULL, NULL, NULL, 1),
(12570, NULL, 'cd09502', NULL, NULL, 'SAM_SARM1-like_repeat2', NULL, 'SAM_SARM1-like_repeat2', NULL, NULL, NULL, 1),
(12571, NULL, 'cd02869', NULL, NULL, 'PseudoU_synth_RluA_like', NULL, 'PseudoU_synth_RluA_like', NULL, NULL, 11320, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12572, NULL, 'cd12802', NULL, NULL, 'HopAB_PID', NULL, 'HopAB_PID', NULL, NULL, 35611, 1),
(12573, NULL, 'cd04194', NULL, NULL, 'GT8_A4GalT_like', NULL, 'GT8_A4GalT_like', NULL, NULL, NULL, 1),
(12574, NULL, 'cd17349', NULL, NULL, 'MFS_SLC15A5', NULL, 'MFS_SLC15A5', NULL, NULL, NULL, 1),
(12575, NULL, 'cd17725', NULL, NULL, 'BRCT_XRCC1_rpt1', NULL, 'BRCT_XRCC1_rpt1', NULL, NULL, 37173, 1),
(12576, NULL, 'cd15277', NULL, NULL, '7tmC_RAIG3_GPRC5C', NULL, '7tmC_RAIG3_GPRC5C', NULL, NULL, NULL, 1),
(12577, NULL, 'cd14578', NULL, NULL, 'DUSP26', NULL, 'DUSP26', NULL, NULL, NULL, 1),
(12578, NULL, 'cd10449', NULL, NULL, 'GIY-YIG_SLX1_like', NULL, 'GIY-YIG_SLX1_like', NULL, NULL, NULL, 1),
(12579, NULL, 'cd14697', NULL, NULL, 'bZIP_Maf', NULL, 'bZIP_Maf', NULL, NULL, NULL, 1),
(12580, NULL, 'cd13691', NULL, NULL, 'PBP2_Peb1a_like', NULL, 'PBP2_Peb1a_like', NULL, NULL, NULL, 1),
(12581, NULL, 'cd05969', NULL, NULL, 'MACS_like_4', NULL, 'MACS_like_4', NULL, NULL, NULL, 1),
(12582, NULL, 'cd05066', NULL, NULL, 'PTKc_EphR_A', NULL, 'PTKc_EphR_A', NULL, NULL, NULL, 1),
(12583, NULL, 'cd00400', NULL, NULL, 'Voltage_gated_ClC', NULL, 'Voltage_gated_ClC', NULL, NULL, NULL, 1),
(12584, NULL, 'cd08236', NULL, NULL, 'sugar_DH', NULL, 'sugar_DH', NULL, NULL, NULL, 1),
(12585, NULL, 'cd17394', NULL, NULL, 'MFS_FucP_like', NULL, 'MFS_FucP_like', NULL, NULL, NULL, 1),
(12586, NULL, 'cd08887', NULL, NULL, 'RHO_alpha_C_3', NULL, 'RHO_alpha_C_3', NULL, NULL, NULL, 1),
(12587, NULL, 'cd04380', NULL, NULL, 'RhoGAP_OCRL1', NULL, 'RhoGAP_OCRL1', NULL, NULL, NULL, 1),
(12588, NULL, 'cd00068', NULL, NULL, 'GGL', NULL, 'GGL', NULL, NULL, 7721, 1),
(12589, NULL, 'cd00497', NULL, NULL, 'PseudoU_synth_TruA_like', NULL, 'PseudoU_synth_TruA_like', NULL, NULL, NULL, 1),
(12590, NULL, 'cd10547', NULL, NULL, 'cupin_BacB_C', NULL, 'cupin_BacB_C', NULL, NULL, NULL, 1),
(12591, NULL, 'cd07380', NULL, NULL, 'MPP_CWF19_N', NULL, 'MPP_CWF19_N', NULL, NULL, NULL, 1),
(12592, NULL, 'cd01876', NULL, NULL, 'YihA_EngB', NULL, 'YihA_EngB', NULL, NULL, 27639, 1),
(12593, NULL, 'cd12623', NULL, NULL, 'RRM_PPARGC1A', NULL, 'RRM_PPARGC1A', NULL, NULL, 36390, 1),
(12594, NULL, 'cd17924', NULL, NULL, 'DDXDc_reverse_gyrase', NULL, 'DDXDc_reverse_gyrase', NULL, NULL, NULL, 1),
(12595, NULL, 'cd01793', NULL, NULL, 'Ubl_FUBI', NULL, 'Ubl_FUBI', NULL, NULL, 29388, 1),
(12596, NULL, 'cd09261', NULL, NULL, 'AP-3_Mu3B_Cterm', NULL, 'AP-3_Mu3B_Cterm', NULL, NULL, NULL, 1),
(12597, NULL, 'cd08628', NULL, NULL, 'PI-PLCc_gamma2', NULL, 'PI-PLCc_gamma2', NULL, NULL, NULL, 1),
(12598, NULL, 'cd16254', NULL, NULL, 'EFh_parvalbumin_alpha', NULL, 'EFh_parvalbumin_alpha', NULL, NULL, NULL, 1),
(12599, NULL, 'cd08869', NULL, NULL, 'START_RhoGAP', NULL, 'START_RhoGAP', NULL, NULL, NULL, 1),
(12600, NULL, 'cd15453', NULL, NULL, '7tmC_mGluR6', NULL, '7tmC_mGluR6', NULL, NULL, NULL, 1),
(12601, NULL, 'cd02854', NULL, NULL, 'E_set_GBE_euk_N', NULL, 'E_set_GBE_euk_N', NULL, NULL, NULL, 1),
(12602, NULL, 'cd13660', NULL, NULL, 'PBP2_PotD', NULL, 'PBP2_PotD', NULL, NULL, NULL, 1),
(12603, NULL, 'cd11367', NULL, NULL, 'RNase_PH_RRP42', NULL, 'RNase_PH_RRP42', NULL, NULL, NULL, 1),
(12604, NULL, 'cd10478', NULL, NULL, 'EphR_LBD_B3', NULL, 'EphR_LBD_B3', NULL, NULL, 35100, 1),
(12605, NULL, 'cd15393', NULL, NULL, '7tmA_leucokinin-like', NULL, '7tmA_leucokinin-like', NULL, NULL, NULL, 1),
(12606, NULL, 'cd19012', NULL, NULL, 'LGIC_ECD_5-HT3B', NULL, 'LGIC_ECD_5-HT3B', NULL, NULL, NULL, 1),
(12607, NULL, 'cd09642', NULL, NULL, 'Cas8c_I-C', NULL, 'Cas8c_I-C', NULL, NULL, NULL, 1),
(12608, NULL, 'cd03711', NULL, NULL, 'Tet_C', NULL, 'Tet_C', NULL, NULL, 30634, 1),
(12609, NULL, 'cd15342', NULL, NULL, '7tmA_LPAR2_Edg4', NULL, '7tmA_LPAR2_Edg4', NULL, NULL, NULL, 1),
(12610, NULL, 'cd03406', NULL, NULL, 'SPFH_like_u3', NULL, 'SPFH_like_u3', NULL, NULL, 30533, 1),
(12611, NULL, 'cd05716', NULL, NULL, 'Ig_pIgR_like', NULL, 'Ig_pIgR_like', NULL, NULL, NULL, 1),
(12612, NULL, 'cd11920', NULL, NULL, 'SH3_Sorbs2_1', NULL, 'SH3_Sorbs2_1', NULL, NULL, NULL, 1),
(12613, NULL, 'cd08620', NULL, NULL, 'PI-PLCXDc_like_1', NULL, 'PI-PLCXDc_like_1', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12614, NULL, 'cd18391', NULL, NULL, 'BTB_POZ_KCTD17', NULL, 'BTB_POZ_KCTD17', NULL, NULL, NULL, 1),
(12615, NULL, 'cd19416', NULL, NULL, 'lipocalin_beta-LG-like', NULL, 'lipocalin_beta-LG-like', NULL, NULL, NULL, 1),
(12616, NULL, 'cd05017', NULL, NULL, 'SIS_PGI_PMI_1', NULL, 'SIS_PGI_PMI_1', NULL, NULL, 31293, 1),
(12617, NULL, 'cd13630', NULL, NULL, 'PBP2_PDT_1', NULL, 'PBP2_PDT_1', NULL, NULL, NULL, 1),
(12618, NULL, 'cd17976', NULL, NULL, 'DEXHc_DHX30', NULL, 'DEXHc_DHX30', NULL, NULL, NULL, 1),
(12619, NULL, 'cd21562', NULL, NULL, 'Macro_cv_SUD-N_Nsp3-like', NULL, 'Macro_cv_SUD-N_Nsp3-like', NULL, NULL, 38853, 1),
(12620, NULL, 'cd11271', NULL, NULL, 'Sema_plexin_A1', NULL, 'Sema_plexin_A1', NULL, NULL, 37989, 1),
(12621, NULL, 'cd17776', NULL, NULL, 'CBS_pair_arch', NULL, 'CBS_pair_arch', NULL, NULL, NULL, 1),
(12622, NULL, 'cd08597', NULL, NULL, 'PI-PLCc_PRIP_metazoa', NULL, 'PI-PLCc_PRIP_metazoa', NULL, NULL, NULL, 1),
(12623, NULL, 'cd17554', NULL, NULL, 'REC_TrrA-like', NULL, 'REC_TrrA-like', NULL, NULL, NULL, 1),
(12624, NULL, 'cd07238', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(12625, NULL, 'cd01462', NULL, NULL, 'VWA_YIEM_type', NULL, 'VWA_YIEM_type', NULL, NULL, NULL, 1),
(12626, NULL, 'cd04365', NULL, NULL, 'IlGF_relaxin_like', NULL, 'IlGF_relaxin_like', NULL, NULL, NULL, 1),
(12627, NULL, 'cd00190', NULL, NULL, 'Tryp_SPc', NULL, 'Tryp_SPc', NULL, NULL, 2188, 1),
(12628, NULL, 'cd16711', NULL, NULL, 'RING-HC_DTX3', NULL, 'RING-HC_DTX3', NULL, NULL, NULL, 1),
(12629, NULL, 'cd16733', NULL, NULL, 'RING-HC_PCGF1', NULL, 'RING-HC_PCGF1', NULL, NULL, NULL, 1),
(12630, NULL, 'cd06591', NULL, NULL, 'GH31_xylosidase_XylS', NULL, 'GH31_xylosidase_XylS', NULL, NULL, NULL, 1),
(12631, NULL, 'cd07067', NULL, NULL, 'HP_PGM_like', NULL, 'HP_PGM_like', NULL, NULL, 7761, 1),
(12632, NULL, 'cd10049', NULL, NULL, 'Reelin_repeat_5_subrepeat_2', NULL, 'Reelin_repeat_5_subrepeat_2', NULL, NULL, NULL, 1),
(12633, NULL, 'cd17267', NULL, NULL, 'RMtype1_S_EcoAO83I-TRD1-CR1_like', NULL, 'RMtype1_S_EcoAO83I-TRD1-CR1_like', NULL, NULL, NULL, 1),
(12634, NULL, 'cd17523', NULL, NULL, 'RMtype1_S_StySPI-TRD2-CR2_like', NULL, 'RMtype1_S_StySPI-TRD2-CR2_like', NULL, NULL, NULL, 1),
(12635, NULL, 'cd12067', NULL, NULL, 'SH3_MYO15A', NULL, 'SH3_MYO15A', NULL, NULL, NULL, 1),
(12636, NULL, 'cd16135', NULL, NULL, 'RA_RASSF7', NULL, 'RA_RASSF7', NULL, NULL, NULL, 1),
(12637, NULL, 'cd14047', NULL, NULL, 'STKc_EIF2AK2_PKR', NULL, 'STKc_EIF2AK2_PKR', NULL, NULL, NULL, 1),
(12638, NULL, 'cd00801', NULL, NULL, 'INT_P4_C', NULL, 'INT_P4_C', NULL, NULL, NULL, 1),
(12639, NULL, 'cd05938', NULL, NULL, 'hsFATP2a_ACSVL_like', NULL, 'hsFATP2a_ACSVL_like', NULL, NULL, NULL, 1),
(12640, NULL, 'cd06476', NULL, NULL, 'ACD_HspB2_like', NULL, 'ACD_HspB2_like', NULL, NULL, NULL, 1),
(12641, NULL, 'cd12631', NULL, NULL, 'RRM1_CELF1_2_Bruno', NULL, 'RRM1_CELF1_2_Bruno', NULL, NULL, 20125, 1),
(12642, NULL, 'cd15788', NULL, NULL, 'Clospo_01618_like', NULL, 'Clospo_01618_like', NULL, NULL, 32853, 1),
(12643, NULL, 'cd13330', NULL, NULL, 'PH_CARM1', NULL, 'PH_CARM1', NULL, NULL, NULL, 1),
(12644, NULL, 'cd09277', NULL, NULL, 'RNase_HI_bacteria_like', NULL, 'RNase_HI_bacteria_like', NULL, NULL, NULL, 1),
(12645, NULL, 'cd06243', NULL, NULL, 'M14_CP_Csd4-like', NULL, 'M14_CP_Csd4-like', NULL, NULL, NULL, 1),
(12646, NULL, 'cd04938', NULL, NULL, 'TGS_Obg', NULL, 'TGS_Obg', NULL, NULL, NULL, 1),
(12647, NULL, 'cd16101', NULL, NULL, 'ING', NULL, 'ING', NULL, NULL, NULL, 1),
(12648, NULL, 'cd16100', NULL, NULL, 'ARID', NULL, 'ARID', NULL, NULL, NULL, 1),
(12649, NULL, 'cd00399', NULL, NULL, 'RNAP_largest_subunit_N', NULL, 'RNAP_largest_subunit_N', NULL, NULL, NULL, 1),
(12650, NULL, 'cd01386', NULL, NULL, 'MYSc_Myo18', NULL, 'MYSc_Myo18', NULL, NULL, 29565, 1),
(12651, NULL, 'cd04190', NULL, NULL, 'Chitin_synth_C', NULL, 'Chitin_synth_C', NULL, NULL, NULL, 1),
(12652, NULL, 'cd04485', NULL, NULL, 'DnaE_OBF', NULL, 'DnaE_OBF', NULL, NULL, NULL, 1),
(12653, NULL, 'cd04488', NULL, NULL, 'RecG_wedge_OBF', NULL, 'RecG_wedge_OBF', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12654, NULL, 'cd05015', NULL, NULL, 'SIS_PGI_1', NULL, 'SIS_PGI_1', NULL, NULL, 31475, 1),
(12655, NULL, 'cd14360', NULL, NULL, 'UBA_NAC_like_bac', NULL, 'UBA_NAC_like_bac', NULL, NULL, NULL, 1),
(12656, NULL, 'cd11368', NULL, NULL, 'RNase_PH_RRP45', NULL, 'RNase_PH_RRP45', NULL, NULL, 35096, 1),
(12657, NULL, 'cd19986', NULL, NULL, 'PBP1_ABC_HAAT-like', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, NULL, 1),
(12658, NULL, 'cd20216', NULL, NULL, 'PFM_HFR-2-like', NULL, 'PFM_HFR-2-like', NULL, NULL, NULL, 1),
(12659, NULL, 'cd08031', NULL, NULL, 'LARP_4_5_like', NULL, 'LARP_4_5_like', NULL, NULL, NULL, 1),
(12660, NULL, 'cd13442', NULL, NULL, 'CDI_toxin_Bp1026b_like', NULL, 'CDI_toxin_Bp1026b_like', NULL, NULL, 31553, 1),
(12661, NULL, 'cd03412', NULL, NULL, 'CbiK_N', NULL, 'CbiK_N', NULL, NULL, NULL, 1),
(12662, NULL, 'cd15619', NULL, NULL, 'PHD1_d4', NULL, 'PHD1_d4', NULL, NULL, NULL, 1),
(12663, NULL, 'cd17729', NULL, NULL, 'BRCT_CTDP1', NULL, 'BRCT_CTDP1', NULL, NULL, NULL, 1),
(12664, NULL, 'cd09840', NULL, NULL, 'LIM2_CRP2', NULL, 'LIM2_CRP2', NULL, NULL, NULL, 1),
(12665, NULL, 'cd11879', NULL, NULL, 'SH3_Bem1p_2', NULL, 'SH3_Bem1p_2', NULL, NULL, 32723, 1),
(12666, NULL, 'cd08509', NULL, NULL, 'PBP2_TmCBP_oligosaccharides_like', NULL, 'PBP2_TmCBP_oligosaccharides_like', NULL, NULL, NULL, 1),
(12667, NULL, 'cd01922', NULL, NULL, 'cyclophilin_SpCYP2_like', NULL, 'cyclophilin_SpCYP2_like', NULL, NULL, NULL, 1),
(12668, NULL, 'cd17070', NULL, NULL, 'DCX2_RP_like', NULL, 'DCX2_RP_like', NULL, NULL, NULL, 1),
(12669, NULL, 'cd06563', NULL, NULL, 'GH20_chitobiase-like', NULL, 'GH20_chitobiase-like', NULL, NULL, NULL, 1),
(12670, NULL, 'cd01337', NULL, NULL, 'MDH_glyoxysomal_mitochondrial', NULL, 'MDH_glyoxysomal_mitochondrial', NULL, NULL, 2481, 1),
(12671, NULL, 'cd01117', NULL, NULL, 'YbiR_permease', NULL, 'YbiR_permease', NULL, NULL, NULL, 1),
(12672, NULL, 'cd05324', NULL, NULL, 'carb_red_PTCR-like_SDR_c', NULL, 'carb_red_PTCR-like_SDR_c', NULL, NULL, 38729, 1),
(12673, NULL, 'cd00508', NULL, NULL, 'MopB_CT_Fdh-Nap-like', NULL, 'MopB_CT_Fdh-Nap-like', NULL, NULL, NULL, 1),
(12674, NULL, 'cd06612', NULL, NULL, 'STKc_MST1_2', NULL, 'STKc_MST1_2', NULL, NULL, NULL, 1),
(12675, NULL, 'cd13686', NULL, NULL, 'GluR_Plant', NULL, 'GluR_Plant', NULL, NULL, NULL, 1),
(12676, NULL, 'cd01678', NULL, NULL, 'PFL1', NULL, 'PFL1', NULL, NULL, 77, 1),
(12677, NULL, 'cd09172', NULL, NULL, 'PLDc_Nuc_like_unchar1_1', NULL, 'PLDc_Nuc_like_unchar1_1', NULL, NULL, NULL, 1),
(12678, NULL, 'cd01145', NULL, NULL, 'TroA_c', NULL, 'TroA_c', NULL, NULL, NULL, 1),
(12679, NULL, 'cd07098', NULL, NULL, 'ALDH_F15-22', NULL, 'ALDH_F15-22', NULL, NULL, NULL, 1),
(12680, NULL, 'cd04743', NULL, NULL, 'NPD_PKS', NULL, 'NPD_PKS', NULL, NULL, NULL, 1),
(12681, NULL, 'cd09561', NULL, NULL, 'SAM_SAMSN1', NULL, 'SAM_SAMSN1', NULL, NULL, 34557, 1),
(12682, NULL, 'cd17756', NULL, NULL, 'MCM5', NULL, 'MCM5', NULL, NULL, NULL, 1),
(12683, NULL, 'cd15301', NULL, NULL, '7tmA_mAChR_DM1-like', NULL, '7tmA_mAChR_DM1-like', NULL, NULL, NULL, 1),
(12684, NULL, 'cd19690', NULL, NULL, 'bHLHzip_spESC1_like', NULL, 'bHLHzip_spESC1_like', NULL, NULL, NULL, 1),
(12685, NULL, 'cd10383', NULL, NULL, 'SH2_SOCS2', NULL, 'SH2_SOCS2', NULL, NULL, 34410, 1),
(12686, NULL, 'cd15054', NULL, NULL, '7tmA_5-HT6', NULL, '7tmA_5-HT6', NULL, NULL, 323, 1),
(12687, NULL, 'cd05599', NULL, NULL, 'STKc_NDR_like', NULL, 'STKc_NDR_like', NULL, NULL, NULL, 1),
(12688, NULL, 'cd03804', NULL, NULL, 'GT4_WbaZ-like', NULL, 'GT4_WbaZ-like', NULL, NULL, NULL, 1),
(12689, NULL, 'cd13914', NULL, NULL, 'CuRO_HCO_II_like_3', NULL, 'CuRO_HCO_II_like_3', NULL, NULL, NULL, 1),
(12690, NULL, 'cd03813', NULL, NULL, 'GT4-like', NULL, 'GT4-like', NULL, NULL, NULL, 1),
(12691, NULL, 'cd14844', NULL, NULL, 'Zn-DD-carboxypeptidase_like', NULL, 'Zn-DD-carboxypeptidase_like', NULL, NULL, NULL, 1),
(12692, NULL, 'cd16607', NULL, NULL, 'RING-HC_TRIM60_like_C-IV', NULL, 'RING-HC_TRIM60_like_C-IV', NULL, NULL, NULL, 1),
(12693, NULL, 'cd03183', NULL, NULL, 'GST_C_Theta', NULL, 'GST_C_Theta', NULL, NULL, 29948, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12694, NULL, 'cd11952', NULL, NULL, 'SH3_iASPP', NULL, 'SH3_iASPP', NULL, NULL, 39416, 1),
(12695, NULL, 'cd02190', NULL, NULL, 'epsilon_tubulin', NULL, 'epsilon_tubulin', NULL, NULL, NULL, 1),
(12696, NULL, 'cd00032', NULL, NULL, 'CASc', NULL, 'CASc', NULL, NULL, 7876, 1),
(12697, NULL, 'cd02760', NULL, NULL, 'MopB_Phenylacetyl-CoA-OR', NULL, 'MopB_Phenylacetyl-CoA-OR', NULL, NULL, 33233, 1),
(12698, NULL, 'cd03594', NULL, NULL, 'CLECT_REG-1_like', NULL, 'CLECT_REG-1_like', NULL, NULL, NULL, 1),
(12699, NULL, 'cd11941', NULL, NULL, 'SH3_ARHGEF37_C2', NULL, 'SH3_ARHGEF37_C2', NULL, NULL, 30467, 1),
(12700, NULL, 'cd11903', NULL, NULL, 'SH3_Nck2_3', NULL, 'SH3_Nck2_3', NULL, NULL, 36098, 1),
(12701, NULL, 'cd14706', NULL, NULL, 'bZIP_CREBZF', NULL, 'bZIP_CREBZF', NULL, NULL, NULL, 1),
(12702, NULL, 'cd17079', NULL, NULL, 'Ubl_SLD2_NFATC2ip', NULL, 'Ubl_SLD2_NFATC2ip', NULL, NULL, NULL, 1),
(12703, NULL, 'cd02986', NULL, NULL, 'DLP', NULL, 'DLP', NULL, NULL, NULL, 1),
(12704, NULL, 'cd14838', NULL, NULL, 'AP4_Mu_N', NULL, 'AP4_Mu_N', NULL, NULL, NULL, 1),
(12705, NULL, 'cd15066', NULL, NULL, '7tmA_DmOct-betaAR-like', NULL, '7tmA_DmOct-betaAR-like', NULL, NULL, NULL, 1),
(12706, NULL, 'cd15086', NULL, NULL, '7tmA_tmt_opsin', NULL, '7tmA_tmt_opsin', NULL, NULL, NULL, 1),
(12707, NULL, 'cd01946', NULL, NULL, 'ribokinase_group_C', NULL, 'ribokinase_group_C', NULL, NULL, NULL, 1),
(12708, NULL, 'cd16166', NULL, NULL, 'OCRE_SUA_like', NULL, 'OCRE_SUA_like', NULL, NULL, 36445, 1),
(12709, NULL, 'cd18611', NULL, NULL, 'GH130', NULL, 'GH130', NULL, NULL, NULL, 1),
(12710, NULL, 'cd11657', NULL, NULL, 'TIN2_N', NULL, 'TIN2_N', NULL, NULL, 24259, 1),
(12711, NULL, 'cd10229', NULL, NULL, 'HSPA12_like_NBD', NULL, 'HSPA12_like_NBD', NULL, NULL, NULL, 1),
(12712, NULL, 'cd13652', NULL, NULL, 'PBP2_ThiY_THI5_like_1', NULL, 'PBP2_ThiY_THI5_like_1', NULL, NULL, NULL, 1),
(12713, NULL, 'cd15126', NULL, NULL, '7tmA_ETBR-LP2', NULL, '7tmA_ETBR-LP2', NULL, NULL, NULL, 1),
(12714, NULL, 'cd07984', NULL, NULL, 'LPLAT_LABLAT-like', NULL, 'LPLAT_LABLAT-like', NULL, NULL, 2592, 1),
(12715, NULL, 'cd12352', NULL, NULL, 'RRM1_TIA1_like', NULL, 'RRM1_TIA1_like', NULL, NULL, NULL, 1),
(12716, NULL, 'cd05126', NULL, NULL, 'Mth938', NULL, 'Mth938', NULL, NULL, 11462, 1),
(12717, NULL, 'cd05049', NULL, NULL, 'PTKc_Trk', NULL, 'PTKc_Trk', NULL, NULL, NULL, 1),
(12718, NULL, 'cd08313', NULL, NULL, 'Death_TNFR1', NULL, 'Death_TNFR1', NULL, NULL, 36464, 1),
(12719, NULL, 'cd07378', NULL, NULL, 'MPP_ACP5', NULL, 'MPP_ACP5', NULL, NULL, 16473, 1),
(12720, NULL, 'cd11631', NULL, NULL, 'HR1_PKN2_2', NULL, 'HR1_PKN2_2', NULL, NULL, NULL, 1),
(12721, NULL, 'cd17996', NULL, NULL, 'DEXHc_SMARCA2_SMARCA4', NULL, 'DEXHc_SMARCA2_SMARCA4', NULL, NULL, NULL, 1),
(12722, NULL, 'cd13344', NULL, NULL, 'PH-GRAM_MTMR7', NULL, 'PH-GRAM_MTMR7', NULL, NULL, 30338, 1),
(12723, NULL, 'cd15400', NULL, NULL, '7tmA_Mel1B', NULL, '7tmA_Mel1B', NULL, NULL, NULL, 1),
(12724, NULL, 'cd08560', NULL, NULL, 'GDPD_EcGlpQ_like_1', NULL, 'GDPD_EcGlpQ_like_1', NULL, NULL, NULL, 1),
(12725, NULL, 'cd17060', NULL, NULL, 'Ubl_RB1CC1', NULL, 'Ubl_RB1CC1', NULL, NULL, NULL, 1),
(12726, NULL, 'cd02864', NULL, NULL, 'Heme_Cu_Oxidase_III_1', NULL, 'Heme_Cu_Oxidase_III_1', NULL, NULL, NULL, 1),
(12727, NULL, 'cd18601', NULL, NULL, 'ABC_6TM_MRP4_D2_like', NULL, 'ABC_6TM_MRP4_D2_like', NULL, NULL, NULL, 1),
(12728, NULL, 'cd00867', NULL, NULL, 'Trans_IPPS', NULL, 'Trans_IPPS', NULL, NULL, NULL, 1),
(12729, NULL, 'cd00987', NULL, NULL, 'PDZ_serine_protease', NULL, 'PDZ_serine_protease', NULL, NULL, NULL, 1),
(12730, NULL, 'cd08930', NULL, NULL, 'SDR_c8', NULL, 'SDR_c8', NULL, NULL, NULL, 1),
(12731, NULL, 'cd14200', NULL, NULL, 'STKc_CaMKK1', NULL, 'STKc_CaMKK1', NULL, NULL, NULL, 1),
(12732, NULL, 'cd01808', NULL, NULL, 'Ubl_PLICs', NULL, 'Ubl_PLICs', NULL, NULL, NULL, 1),
(12733, NULL, 'cd16433', NULL, NULL, 'CheB', NULL, 'CheB', NULL, NULL, NULL, 1),
(12734, NULL, 'cd13236', NULL, NULL, 'PH2_FGD1-4', NULL, 'PH2_FGD1-4', NULL, NULL, 24135, 1),
(12735, NULL, 'cd15851', NULL, NULL, 'SNARE_Syntaxin6', NULL, 'SNARE_Syntaxin6', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12736, NULL, 'cd13762', NULL, NULL, 'TGF_beta_GDP9_9B_like', NULL, 'TGF_beta_GDP9_9B_like', NULL, NULL, NULL, 1),
(12737, NULL, 'cd14845', NULL, NULL, 'L-Ala-D-Glu_peptidase_like', NULL, 'L-Ala-D-Glu_peptidase_like', NULL, NULL, NULL, 1),
(12738, NULL, 'cd18260', NULL, NULL, 'BTB_POZ_KLHL31_KBTBD1', NULL, 'BTB_POZ_KLHL31_KBTBD1', NULL, NULL, NULL, 1),
(12739, NULL, 'cd14241', NULL, NULL, 'PAD', NULL, 'PAD', NULL, NULL, 12246, 1),
(12740, NULL, 'cd09968', NULL, NULL, 'UP_III', NULL, 'UP_III', NULL, NULL, NULL, 1),
(12741, NULL, 'cd16025', NULL, NULL, 'PAS_like', NULL, 'PAS_like', NULL, NULL, NULL, 1),
(12742, NULL, 'cd05474', NULL, NULL, 'SAP_like', NULL, 'SAP_like', NULL, NULL, 29234, 1),
(12743, NULL, 'cd11855', NULL, NULL, 'SH3_Sho1p', NULL, 'SH3_Sho1p', NULL, NULL, 29575, 1),
(12744, NULL, 'cd17171', NULL, NULL, 'FERM_F0_TLN1', NULL, 'FERM_F0_TLN1', NULL, NULL, NULL, 1),
(12745, NULL, 'cd18632', NULL, NULL, 'CD_Clr4_like', NULL, 'CD_Clr4_like', NULL, NULL, NULL, 1),
(12746, NULL, 'cd03189', NULL, NULL, 'GST_C_GTT1_like', NULL, 'GST_C_GTT1_like', NULL, NULL, NULL, 1),
(12747, NULL, 'cd13290', NULL, NULL, 'PH_ORP9', NULL, 'PH_ORP9', NULL, NULL, NULL, 1),
(12748, NULL, 'cd10810', NULL, NULL, 'GH38N_AMII_LAM_like', NULL, 'GH38N_AMII_LAM_like', NULL, NULL, NULL, 1),
(12749, NULL, 'cd13274', NULL, NULL, 'PH_DGK_type2', NULL, 'PH_DGK_type2', NULL, NULL, NULL, 1),
(12750, NULL, 'cd02549', NULL, NULL, 'Peptidase_C39A', NULL, 'Peptidase_C39A', NULL, NULL, 36412, 1),
(12751, NULL, 'cd18696', NULL, NULL, 'PIN_MtVapC26-like', NULL, 'PIN_MtVapC26-like', NULL, NULL, NULL, 1),
(12752, NULL, 'cd19349', NULL, NULL, 'Wnt_Wnt7a', NULL, 'Wnt_Wnt7a', NULL, NULL, NULL, 1),
(12753, NULL, 'cd15131', NULL, NULL, '7tmA_GHSR', NULL, '7tmA_GHSR', NULL, NULL, NULL, 1),
(12754, NULL, 'cd17626', NULL, NULL, 'REC_OmpR_MtrA-like', NULL, 'REC_OmpR_MtrA-like', NULL, NULL, NULL, 1),
(12755, NULL, 'cd15897', NULL, NULL, 'EFh_PEF', NULL, 'EFh_PEF', NULL, NULL, NULL, 1),
(12756, NULL, 'cd12536', NULL, NULL, 'RRM1_RBM39', NULL, 'RRM1_RBM39', NULL, NULL, NULL, 1),
(12757, NULL, 'cd12537', NULL, NULL, 'RRM1_RBM23', NULL, 'RRM1_RBM23', NULL, NULL, NULL, 1),
(12758, NULL, 'cd16605', NULL, NULL, 'RING-HC_TRIM50_like_C-IV', NULL, 'RING-HC_TRIM50_like_C-IV', NULL, NULL, NULL, 1),
(12759, NULL, 'cd05165', NULL, NULL, 'PI3Kc_I', NULL, 'PI3Kc_I', NULL, NULL, NULL, 1),
(12760, NULL, 'cd18214', NULL, NULL, 'BTB_POZ_ZBTB26_Bioref', NULL, 'BTB_POZ_ZBTB26_Bioref', NULL, NULL, NULL, 1),
(12761, NULL, 'cd18894', NULL, NULL, 'JBP-like', NULL, 'JBP-like', NULL, NULL, NULL, 1),
(12762, NULL, 'cd13371', NULL, NULL, 'PH_GAP1_mammal-like', NULL, 'PH_GAP1_mammal-like', NULL, NULL, 34668, 1),
(12763, NULL, 'cd12872', NULL, NULL, 'SPRY_Ash2', NULL, 'SPRY_Ash2', NULL, NULL, NULL, 1),
(12764, NULL, 'cd15286', NULL, NULL, '7tmC_mGluR_group3', NULL, '7tmC_mGluR_group3', NULL, NULL, NULL, 1),
(12765, NULL, 'cd16481', NULL, NULL, 'RING-H2_TTC3', NULL, 'RING-H2_TTC3', NULL, NULL, NULL, 1),
(12766, NULL, 'cd12944', NULL, NULL, 'LEM_ANKL2', NULL, 'LEM_ANKL2', NULL, NULL, 12549, 1),
(12767, NULL, 'cd09811', NULL, NULL, '3b-HSD_HSDB1_like_SDR_e', NULL, '3b-HSD_HSDB1_like_SDR_e', NULL, NULL, NULL, 1),
(12768, NULL, 'cd13346', NULL, NULL, 'PH-GRAM_MTMR10', NULL, 'PH-GRAM_MTMR10', NULL, NULL, 30476, 1),
(12769, NULL, 'cd21413', NULL, NULL, 'unc_tv_SF1_Hel-like', NULL, 'unc_tv_SF1_Hel-like', NULL, NULL, 38754, 1),
(12770, NULL, 'cd15062', NULL, NULL, '7tmA_alpha1_AR', NULL, '7tmA_alpha1_AR', NULL, NULL, NULL, 1),
(12771, NULL, 'cd21648', NULL, NULL, 'SARS-CoV-like_ORF3a', NULL, 'SARS-CoV-like_ORF3a', NULL, NULL, 22962, 1),
(12772, NULL, 'cd07343', NULL, NULL, 'M48A_Zmpste24p_like', NULL, 'M48A_Zmpste24p_like', NULL, NULL, 26089, 1),
(12773, NULL, 'sd00020', NULL, NULL, 'ZF_C2H2', NULL, 'ZF_C2H2', NULL, NULL, NULL, 1),
(12774, NULL, 'cd15746', NULL, NULL, 'FYVE_RP3A_like', NULL, 'FYVE_RP3A_like', NULL, NULL, NULL, 1),
(12775, NULL, 'cd00974', NULL, NULL, 'DSRD', NULL, 'DSRD', NULL, NULL, 7487, 1),
(12776, NULL, 'cd04718', NULL, NULL, 'BAH_plant_2', NULL, 'BAH_plant_2', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12777, NULL, 'cd11250', NULL, NULL, 'Sema_3B', NULL, 'Sema_3B', NULL, NULL, NULL, 1),
(12778, NULL, 'cd18371', NULL, NULL, 'BTB_POZ_KCTD14', NULL, 'BTB_POZ_KCTD14', NULL, NULL, NULL, 1),
(12779, NULL, 'cd12421', NULL, NULL, 'RRM1_PTBP1_hnRNPL_like', NULL, 'RRM1_PTBP1_hnRNPL_like', NULL, NULL, NULL, 1),
(12780, NULL, 'cd01061', NULL, NULL, 'RNase_T2_euk', NULL, 'RNase_T2_euk', NULL, NULL, 35440, 1),
(12781, NULL, 'cd06203', NULL, NULL, 'methionine_synthase_red', NULL, 'methionine_synthase_red', NULL, NULL, NULL, 1),
(12782, NULL, 'cd07102', NULL, NULL, 'ALDH_EDX86601', NULL, 'ALDH_EDX86601', NULL, NULL, NULL, 1),
(12783, NULL, 'cd12045', NULL, NULL, 'SH3_SKAP2', NULL, 'SH3_SKAP2', NULL, NULL, NULL, 1),
(12784, NULL, 'cd06843', NULL, NULL, 'PLPDE_III_PvsE_like', NULL, 'PLPDE_III_PvsE_like', NULL, NULL, NULL, 1),
(12785, NULL, 'cd15762', NULL, NULL, 'FYVE_RP3A', NULL, 'FYVE_RP3A', NULL, NULL, NULL, 1),
(12786, NULL, 'cd15049', NULL, NULL, '7tmA_mAChR', NULL, '7tmA_mAChR', NULL, NULL, NULL, 1),
(12787, NULL, 'cd18826', NULL, NULL, 'GH43_CtGH43-like', NULL, 'GH43_CtGH43-like', NULL, NULL, NULL, 1),
(12788, NULL, 'cd16927', NULL, NULL, 'HATPase_Hsp90-like', NULL, 'HATPase_Hsp90-like', NULL, NULL, NULL, 1),
(12789, NULL, 'cd06427', NULL, NULL, 'CESA_like_2', NULL, 'CESA_like_2', NULL, NULL, NULL, 1),
(12790, NULL, 'cd11260', NULL, NULL, 'Sema_4E', NULL, 'Sema_4E', NULL, NULL, NULL, 1),
(12791, NULL, 'cd14996', NULL, NULL, '7tmA_GPR82', NULL, '7tmA_GPR82', NULL, NULL, NULL, 1),
(12792, NULL, 'cd00086', NULL, NULL, 'homeodomain', NULL, 'homeodomain', NULL, NULL, 7266, 1),
(12793, NULL, 'cd05160', NULL, NULL, 'DEDDy_DNA_polB_exo', NULL, 'DEDDy_DNA_polB_exo', NULL, NULL, NULL, 1),
(12794, NULL, 'cd14869', NULL, NULL, 'uS7_Bacteria', NULL, 'uS7_Bacteria', NULL, NULL, NULL, 1),
(12795, NULL, 'cd09576', NULL, NULL, 'SAM_DGK-eta', NULL, 'SAM_DGK-eta', NULL, NULL, NULL, 1),
(12796, NULL, 'cd18911', NULL, NULL, 'bHLHzip_MGA', NULL, 'bHLHzip_MGA', NULL, NULL, NULL, 1),
(12797, NULL, 'cd10158', NULL, NULL, 'CsoR-like_DUF156_1', NULL, 'CsoR-like_DUF156_1', NULL, NULL, NULL, 1),
(12798, NULL, 'cd09328', NULL, NULL, 'LIM2_abLIM', NULL, 'LIM2_abLIM', NULL, NULL, NULL, 1),
(12799, NULL, 'cd08171', NULL, NULL, 'GlyDH-like', NULL, 'GlyDH-like', NULL, NULL, NULL, 1),
(12800, NULL, 'cd12588', NULL, NULL, 'RRM1_p54nrb', NULL, 'RRM1_p54nrb', NULL, NULL, 3932, 1),
(12801, NULL, 'cd01020', NULL, NULL, 'TroA_b', NULL, 'TroA_b', NULL, NULL, NULL, 1),
(12802, NULL, 'cd01554', NULL, NULL, 'EPT-like', NULL, 'EPT-like', NULL, NULL, NULL, 1),
(12803, NULL, 'cd04666', NULL, NULL, 'Nudix_Hydrolase_9', NULL, 'Nudix_Hydrolase_9', NULL, NULL, NULL, 1),
(12804, NULL, 'cd12276', NULL, NULL, 'RRM2_MEI2_EAR1_like', NULL, 'RRM2_MEI2_EAR1_like', NULL, NULL, NULL, 1),
(12805, NULL, 'cd07146', NULL, NULL, 'ALDH_PhpJ', NULL, 'ALDH_PhpJ', NULL, NULL, 17230, 1),
(12806, NULL, 'cd02212', NULL, NULL, 'cupin_UGlyAH_C', NULL, 'cupin_UGlyAH_C', NULL, NULL, 37786, 1),
(12807, NULL, 'cd20276', NULL, NULL, 'Sarcolamban_A', NULL, 'Sarcolamban_A', NULL, NULL, NULL, 1),
(12808, NULL, 'cd12306', NULL, NULL, 'RRM_II_PABPs', NULL, 'RRM_II_PABPs', NULL, NULL, NULL, 1),
(12809, NULL, 'cd08970', NULL, NULL, 'AcNei1_N', NULL, 'AcNei1_N', NULL, NULL, NULL, 1),
(12810, NULL, 'cd01521', NULL, NULL, 'RHOD_PspE2', NULL, 'RHOD_PspE2', NULL, NULL, NULL, 1),
(12811, NULL, 'cd12956', NULL, NULL, 'CBM_SusE-F_like', NULL, 'CBM_SusE-F_like', NULL, NULL, NULL, 1),
(12812, NULL, 'cd05177', NULL, NULL, 'PI3Kc_C2_gamma', NULL, 'PI3Kc_C2_gamma', NULL, NULL, 33789, 1),
(12813, NULL, 'cd11324', NULL, NULL, 'AmyAc_Amylosucrase', NULL, 'AmyAc_Amylosucrase', NULL, NULL, 38124, 1),
(12814, NULL, 'cd06252', NULL, NULL, 'M14_ASTE_ASPA-like', NULL, 'M14_ASTE_ASPA-like', NULL, NULL, NULL, 1),
(12815, NULL, 'cd03359', NULL, NULL, 'LbH_Dynactin_5', NULL, 'LbH_Dynactin_5', NULL, NULL, NULL, 1),
(12816, NULL, 'cd06383', NULL, NULL, 'PBP1_iGluR_AMPA_Like', NULL, 'PBP1_iGluR_AMPA_Like', NULL, NULL, NULL, 1),
(12817, NULL, 'cd15692', NULL, NULL, 'PHD1_DPF3', NULL, 'PHD1_DPF3', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12818, NULL, 'cd16122', NULL, NULL, 'FERM_F1_SNX31', NULL, 'FERM_F1_SNX31', NULL, NULL, NULL, 1),
(12819, NULL, 'cd17998', NULL, NULL, 'DEXHc_SMARCAD1', NULL, 'DEXHc_SMARCAD1', NULL, NULL, NULL, 1),
(12820, NULL, 'cd07389', NULL, NULL, 'MPP_PhoD', NULL, 'MPP_PhoD', NULL, NULL, 9444, 1),
(12821, NULL, 'cd00786', NULL, NULL, 'cytidine_deaminase-like', NULL, 'cytidine_deaminase-like', NULL, NULL, NULL, 1),
(12822, NULL, 'cd03763', NULL, NULL, 'proteasome_beta_type_7', NULL, 'proteasome_beta_type_7', NULL, NULL, NULL, 1),
(12823, NULL, 'cd08586', NULL, NULL, 'PI-PLCc_BcPLC_like', NULL, 'PI-PLCc_BcPLC_like', NULL, NULL, NULL, 1),
(12824, NULL, 'cd15290', NULL, NULL, '7tmC_TAS1R3', NULL, '7tmC_TAS1R3', NULL, NULL, NULL, 1),
(12825, NULL, 'cd05098', NULL, NULL, 'PTKc_FGFR1', NULL, 'PTKc_FGFR1', NULL, NULL, 22087, 1),
(12826, NULL, 'cd15885', NULL, NULL, 'SNARE_SNAP25C', NULL, 'SNARE_SNAP25C', NULL, NULL, NULL, 1),
(12827, NULL, 'cd05884', NULL, NULL, 'Ig2_Necl-3', NULL, 'Ig2_Necl-3', NULL, NULL, NULL, 1),
(12828, NULL, 'cd05753', NULL, NULL, 'Ig2_FcgammaR_like', NULL, 'Ig2_FcgammaR_like', NULL, NULL, NULL, 1),
(12829, NULL, 'cd10409', NULL, NULL, 'SH2_Nck2', NULL, 'SH2_Nck2', NULL, NULL, 35469, 1),
(12830, NULL, 'cd11724', NULL, NULL, 'TP_methylase', NULL, 'TP_methylase', NULL, NULL, NULL, 1),
(12831, NULL, 'cd19428', NULL, NULL, 'lipocalin_MUP-like', NULL, 'lipocalin_MUP-like', NULL, NULL, NULL, 1),
(12832, NULL, 'cd15773', NULL, NULL, 'FYVE1_BSN', NULL, 'FYVE1_BSN', NULL, NULL, NULL, 1),
(12833, NULL, 'cd14511', NULL, NULL, 'PTP_auxilin-like', NULL, 'PTP_auxilin-like', NULL, NULL, NULL, 1),
(12834, NULL, 'cd16158', NULL, NULL, 'ARSA', NULL, 'ARSA', NULL, NULL, NULL, 1),
(12835, NULL, 'cd00563', NULL, NULL, 'Dtyr_deacylase', NULL, 'Dtyr_deacylase', NULL, NULL, 2230, 1),
(12836, NULL, 'cd09624', NULL, NULL, 'DOMON_b558_566', NULL, 'DOMON_b558_566', NULL, NULL, NULL, 1),
(12837, NULL, 'cd15353', NULL, NULL, '7tmA_MC4R', NULL, '7tmA_MC4R', NULL, NULL, NULL, 1),
(12838, NULL, 'cd15953', NULL, NULL, '7tmA_OR52P-like', NULL, '7tmA_OR52P-like', NULL, NULL, NULL, 1),
(12839, NULL, 'cd09704', NULL, NULL, 'Csx12', NULL, 'Csx12', NULL, NULL, NULL, 1),
(12840, NULL, 'cd01391', NULL, NULL, 'Periplasmic_Binding_Protein_type1', NULL, 'Periplasmic_Binding_Protein_type1', NULL, NULL, NULL, 1),
(12841, NULL, 'cd09676', NULL, NULL, 'Csy2_I-F', NULL, 'Csy2_I-F', NULL, NULL, NULL, 1),
(12842, NULL, 'cd12963', NULL, NULL, 'X45_BaPul_like', NULL, 'X45_BaPul_like', NULL, NULL, NULL, 1),
(12843, NULL, 'cd14574', NULL, NULL, 'DUSP28', NULL, 'DUSP28', NULL, NULL, NULL, 1),
(12844, NULL, 'cd14564', NULL, NULL, 'PTP_GAK', NULL, 'PTP_GAK', NULL, NULL, NULL, 1),
(12845, NULL, 'cd18309', NULL, NULL, 'BTB2_POZ_LZTR1', NULL, 'BTB2_POZ_LZTR1', NULL, NULL, NULL, 1),
(12846, NULL, 'cd15325', NULL, NULL, '7tmA_alpha1A_AR', NULL, '7tmA_alpha1A_AR', NULL, NULL, NULL, 1),
(12847, NULL, 'cd13946', NULL, NULL, 'LysW', NULL, 'LysW', NULL, NULL, 470, 1),
(12848, NULL, 'cd13257', NULL, NULL, 'PH4_ARAP', NULL, 'PH4_ARAP', NULL, NULL, NULL, 1),
(12849, NULL, 'cd18273', NULL, NULL, 'BTB_POZ_KBTBD6_7', NULL, 'BTB_POZ_KBTBD6_7', NULL, NULL, NULL, 1),
(12850, NULL, 'cd10583', NULL, NULL, 'TNFRSF21', NULL, 'TNFRSF21', NULL, NULL, 12067, 1),
(12851, NULL, 'cd16119', NULL, NULL, 'UBX_UBXN6', NULL, 'UBX_UBXN6', NULL, NULL, NULL, 1),
(12852, NULL, 'cd00632', NULL, NULL, 'Prefoldin_beta', NULL, 'Prefoldin_beta', NULL, NULL, NULL, 1),
(12853, NULL, 'cd04673', NULL, NULL, 'Nudix_Hydrolase_15', NULL, 'Nudix_Hydrolase_15', NULL, NULL, NULL, 1),
(12854, NULL, 'cd16736', NULL, NULL, 'RING-HC_PCGF4', NULL, 'RING-HC_PCGF4', NULL, NULL, NULL, 1),
(12855, NULL, 'cd11924', NULL, NULL, 'SH3_Vinexin_2', NULL, 'SH3_Vinexin_2', NULL, NULL, 30022, 1),
(12856, NULL, 'cd05273', NULL, NULL, 'GME-like_SDR_e', NULL, 'GME-like_SDR_e', NULL, NULL, 32630, 1),
(12857, NULL, 'cd16092', NULL, NULL, 'IgC_CH1_IgD', NULL, 'IgC_CH1_IgD', NULL, NULL, NULL, 1),
(12858, NULL, 'cd06482', NULL, NULL, 'ACD_HspB10', NULL, 'ACD_HspB10', NULL, NULL, 34847, 1),
(12859, NULL, 'cd16300', NULL, NULL, 'NDM_FIM-like_MBL-B1', NULL, 'NDM_FIM-like_MBL-B1', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12860, NULL, 'cd01240', NULL, NULL, 'PH_GRK2_subgroup', NULL, 'PH_GRK2_subgroup', NULL, NULL, NULL, 1),
(12861, NULL, 'cd12091', NULL, NULL, 'FANCM_ID', NULL, 'FANCM_ID', NULL, NULL, NULL, 1),
(12862, NULL, 'cd11378', NULL, NULL, 'DUF296', NULL, 'DUF296', NULL, NULL, 5302, 1),
(12863, NULL, 'cd02430', NULL, NULL, 'PTH2', NULL, 'PTH2', NULL, NULL, 5415, 1),
(12864, NULL, 'cd02812', NULL, NULL, 'PcrB_like', NULL, 'PcrB_like', NULL, NULL, 7332, 1),
(12865, NULL, 'cd02785', NULL, NULL, 'MopB_CT_4', NULL, 'MopB_CT_4', NULL, NULL, 33224, 1),
(12866, NULL, 'cd13136', NULL, NULL, 'MATE_DinF_like', NULL, 'MATE_DinF_like', NULL, NULL, 37742, 1),
(12867, NULL, 'cd14076', NULL, NULL, 'STKc_Kin4', NULL, 'STKc_Kin4', NULL, NULL, 7715, 1),
(12868, NULL, 'cd19163', NULL, NULL, 'AKR_galDH', NULL, 'AKR_galDH', NULL, NULL, 36992, 1),
(12869, NULL, 'cd05674', NULL, NULL, 'M20_yscS', NULL, 'M20_yscS', NULL, NULL, NULL, 1),
(12870, NULL, 'cd03676', NULL, NULL, 'Nudix_hydrolase_3', NULL, 'Nudix_hydrolase_3', NULL, NULL, NULL, 1),
(12871, NULL, 'cd15097', NULL, NULL, '7tmA_Gal2_Gal3_R', NULL, '7tmA_Gal2_Gal3_R', NULL, NULL, NULL, 1),
(12872, NULL, 'cd18356', NULL, NULL, 'BTB1_POZ_RHOBTB2', NULL, 'BTB1_POZ_RHOBTB2', NULL, NULL, NULL, 1),
(12873, NULL, 'cd05751', NULL, NULL, 'Ig1_LILR_KIR_like', NULL, 'Ig1_LILR_KIR_like', NULL, NULL, NULL, 1),
(12874, NULL, 'cd16196', NULL, NULL, 'EFh_PEF_CalpA_B', NULL, 'EFh_PEF_CalpA_B', NULL, NULL, NULL, 1),
(12875, NULL, 'cd07741', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, NULL, 1),
(12876, NULL, 'cd00187', NULL, NULL, 'TOP4c', NULL, 'TOP4c', NULL, NULL, 6148, 1),
(12877, NULL, 'cd19759', NULL, NULL, 'Bbox2_TRIM2-like', NULL, 'Bbox2_TRIM2-like', NULL, NULL, NULL, 1),
(12878, NULL, 'cd01532', NULL, NULL, '4RHOD_Repeat_1', NULL, '4RHOD_Repeat_1', NULL, NULL, NULL, 1),
(12879, NULL, 'cd09718', NULL, NULL, 'Cas1_I-F', NULL, 'Cas1_I-F', NULL, NULL, 15024, 1),
(12880, NULL, 'cd15964', NULL, NULL, '7tmA_TSH-R', NULL, '7tmA_TSH-R', NULL, NULL, NULL, 1),
(12881, NULL, 'cd07046', NULL, NULL, 'BMC_PduU-EutS', NULL, 'BMC_PduU-EutS', NULL, NULL, 13985, 1),
(12882, NULL, 'cd12542', NULL, NULL, 'RRM2_LARP7', NULL, 'RRM2_LARP7', NULL, NULL, 19973, 1),
(12883, NULL, 'cd11728', NULL, NULL, 'ADDz_Dnmt3b', NULL, 'ADDz_Dnmt3b', NULL, NULL, 28327, 1),
(12884, NULL, 'cd15735', NULL, NULL, 'FYVE_spVPS27p_like', NULL, 'FYVE_spVPS27p_like', NULL, NULL, NULL, 1),
(12885, NULL, 'cd18440', NULL, NULL, 'BRCT_PAXIP1_rpt6', NULL, 'BRCT_PAXIP1_rpt6', NULL, NULL, NULL, 1),
(12886, NULL, 'cd10461', NULL, NULL, 'PUB_UBA_plant', NULL, 'PUB_UBA_plant', NULL, NULL, NULL, 1),
(12887, NULL, 'cd15189', NULL, NULL, '7tmA_Bradykinin_R', NULL, '7tmA_Bradykinin_R', NULL, NULL, NULL, 1),
(12888, NULL, 'cd14324', NULL, NULL, 'UBA_Dsk2p_like', NULL, 'UBA_Dsk2p_like', NULL, NULL, NULL, 1),
(12889, NULL, 'cd10392', NULL, NULL, 'SH2_SHF', NULL, 'SH2_SHF', NULL, NULL, 9085, 1),
(12890, NULL, 'cd14490', NULL, NULL, 'CBM6-CBM35-CBM36_like_1', NULL, 'CBM6-CBM35-CBM36_like_1', NULL, NULL, 31556, 1),
(12891, NULL, 'cd14679', NULL, NULL, 'PH_p115RhoGEF', NULL, 'PH_p115RhoGEF', NULL, NULL, NULL, 1),
(12892, NULL, 'cd16527', NULL, NULL, 'RING-HC_PEX10', NULL, 'RING-HC_PEX10', NULL, NULL, NULL, 1),
(12893, NULL, 'cd15787', NULL, NULL, 'YycH_N', NULL, 'YycH_N', NULL, NULL, NULL, 1),
(12894, NULL, 'cd07705', NULL, NULL, 'Ig2_Necl-1', NULL, 'Ig2_Necl-1', NULL, NULL, NULL, 1),
(12895, NULL, 'cd00805', NULL, NULL, 'TyrRS_core', NULL, 'TyrRS_core', NULL, NULL, 6948, 1),
(12896, NULL, 'cd14562', NULL, NULL, 'PTP_tensin-2', NULL, 'PTP_tensin-2', NULL, NULL, NULL, 1),
(12897, NULL, 'cd08748', NULL, NULL, 'RGS_GRK1', NULL, 'RGS_GRK1', NULL, NULL, NULL, 1),
(12898, NULL, 'cd17789', NULL, NULL, 'CBS_pair_plant_CBSX', NULL, 'CBS_pair_plant_CBSX', NULL, NULL, NULL, 1),
(12899, NULL, 'cd06396', NULL, NULL, 'PB1_NBR1', NULL, 'PB1_NBR1', NULL, NULL, 10177, 1),
(12900, NULL, 'cd20271', NULL, NULL, 'Complex1_LYR_FMC1', NULL, 'Complex1_LYR_FMC1', NULL, NULL, NULL, 1),
(12901, NULL, 'cd14682', NULL, NULL, 'PH-EXOC1_like', NULL, 'PH-EXOC1_like', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12902, NULL, 'cd16642', NULL, NULL, 'mRING-HC-C3HC3D_TRAF5', NULL, 'mRING-HC-C3HC3D_TRAF5', NULL, NULL, NULL, 1),
(12903, NULL, 'cd16573', NULL, NULL, 'RING-HC_TFB3_like', NULL, 'RING-HC_TFB3_like', NULL, NULL, NULL, 1),
(12904, NULL, 'cd19119', NULL, NULL, 'AKR_AKR3C1', NULL, 'AKR_AKR3C1', NULL, NULL, 37443, 1),
(12905, NULL, 'cd18243', NULL, NULL, 'BTB_POZ_KLHL14_printor', NULL, 'BTB_POZ_KLHL14_printor', NULL, NULL, NULL, 1),
(12906, NULL, 'cd04852', NULL, NULL, 'Peptidases_S8_3', NULL, 'Peptidases_S8_3', NULL, NULL, 17143, 1),
(12907, NULL, 'cd07186', NULL, NULL, 'CofD_like', NULL, 'CofD_like', NULL, NULL, 10713, 1),
(12908, NULL, 'cd10922', NULL, NULL, 'CE4_PelA_like_C', NULL, 'CE4_PelA_like_C', NULL, NULL, NULL, 1),
(12909, NULL, 'cd11443', NULL, NULL, 'bHLH_AtAMS_like', NULL, 'bHLH_AtAMS_like', NULL, NULL, NULL, 1),
(12910, NULL, 'cd19741', NULL, NULL, 'bHLH-O_ESMB_like', NULL, 'bHLH-O_ESMB_like', NULL, NULL, NULL, 1),
(12911, NULL, 'cd09205', NULL, NULL, 'PLDc_N_DEXD_b3', NULL, 'PLDc_N_DEXD_b3', NULL, NULL, NULL, 1),
(12912, NULL, 'cd18725', NULL, NULL, 'PIN_LabA-like', NULL, 'PIN_LabA-like', NULL, NULL, NULL, 1),
(12913, NULL, 'cd15831', NULL, NULL, 'BTAD', NULL, 'BTAD', NULL, NULL, 4256, 1),
(12914, NULL, 'cd16306', NULL, NULL, 'CphA_ImiS-like_MBL-B2', NULL, 'CphA_ImiS-like_MBL-B2', NULL, NULL, NULL, 1),
(12915, NULL, 'cd07908', NULL, NULL, 'Mn_catalase_like', NULL, 'Mn_catalase_like', NULL, NULL, NULL, 1),
(12916, NULL, 'cd03192', NULL, NULL, 'GST_C_Sigma_like', NULL, 'GST_C_Sigma_like', NULL, NULL, NULL, 1),
(12917, NULL, 'cd10414', NULL, NULL, 'SH2_Grb14', NULL, 'SH2_Grb14', NULL, NULL, 30010, 1),
(12918, NULL, 'cd13364', NULL, NULL, 'PH_PLC_eta', NULL, 'PH_PLC_eta', NULL, NULL, NULL, 1),
(12919, NULL, 'cd19462', NULL, NULL, 'CRBP1', NULL, 'CRBP1', NULL, NULL, NULL, 1),
(12920, NULL, 'cd15491', NULL, NULL, 'selB_III', NULL, 'selB_III', NULL, NULL, NULL, 1),
(12921, NULL, 'cd16824', NULL, NULL, 'RING_CH-C4HC3_MARCH4', NULL, 'RING_CH-C4HC3_MARCH4', NULL, NULL, NULL, 1),
(12922, NULL, 'cd10046', NULL, NULL, 'Reelin_repeat_2_subrepeat_2', NULL, 'Reelin_repeat_2_subrepeat_2', NULL, NULL, NULL, 1),
(12923, NULL, 'cd07368', NULL, NULL, 'PhnC_Bs_like', NULL, 'PhnC_Bs_like', NULL, NULL, 32760, 1),
(12924, NULL, 'cd11812', NULL, NULL, 'SH3_AHI-1', NULL, 'SH3_AHI-1', NULL, NULL, 31223, 1),
(12925, NULL, 'cd16638', NULL, NULL, 'mRING-HC-C3HC3D_Roquin', NULL, 'mRING-HC-C3HC3D_Roquin', NULL, NULL, NULL, 1),
(12926, NULL, 'cd11784', NULL, NULL, 'SH3_SH3RF2_3', NULL, 'SH3_SH3RF2_3', NULL, NULL, 30537, 1),
(12927, NULL, 'cd18089', NULL, NULL, 'SPOUT_Trm10-like', NULL, 'SPOUT_Trm10-like', NULL, NULL, NULL, 1),
(12928, NULL, 'cd10319', NULL, NULL, 'EphR_LBD', NULL, 'EphR_LBD', NULL, NULL, NULL, 1),
(12929, NULL, 'cd16661', NULL, NULL, 'RING-Ubox1_NOSIP', NULL, 'RING-Ubox1_NOSIP', NULL, NULL, NULL, 1),
(12930, NULL, 'cd03137', NULL, NULL, 'GATase1_AraC_1', NULL, 'GATase1_AraC_1', NULL, NULL, NULL, 1),
(12931, NULL, 'cd01125', NULL, NULL, 'repA', NULL, 'repA', NULL, NULL, 34376, 1),
(12932, NULL, 'cd02855', NULL, NULL, 'E_set_GBE_prok_N', NULL, 'E_set_GBE_prok_N', NULL, NULL, 37966, 1),
(12933, NULL, 'cd09761', NULL, NULL, 'A3DFK9-like_SDR_c', NULL, 'A3DFK9-like_SDR_c', NULL, NULL, NULL, 1),
(12934, NULL, 'cd03473', NULL, NULL, 'Rieske_CMP_Neu5Ac_hydrolase_N', NULL, 'Rieske_CMP_Neu5Ac_hydrolase_N', NULL, NULL, 34460, 1),
(12935, NULL, 'cd11421', NULL, NULL, 'bHLH_TS_ATOH8', NULL, 'bHLH_TS_ATOH8', NULL, NULL, NULL, 1),
(12936, NULL, 'cd12522', NULL, NULL, 'RRM4_MRN1', NULL, 'RRM4_MRN1', NULL, NULL, NULL, 1),
(12937, NULL, 'cd14517', NULL, NULL, 'DSP_STYXL1', NULL, 'DSP_STYXL1', NULL, NULL, NULL, 1),
(12938, NULL, 'cd01099', NULL, NULL, 'PAN_AP_HGF', NULL, 'PAN_AP_HGF', NULL, NULL, NULL, 1),
(12939, NULL, 'cd10457', NULL, NULL, 'GIY-YIG_AtGrxS16', NULL, 'GIY-YIG_AtGrxS16', NULL, NULL, NULL, 1),
(12940, NULL, 'cd07230', NULL, NULL, 'Pat_TGL4-5_like', NULL, 'Pat_TGL4-5_like', NULL, NULL, NULL, 1),
(12941, NULL, 'cd07460', NULL, NULL, 'CRD_FZ5', NULL, 'CRD_FZ5', NULL, NULL, 35545, 1),
(12942, NULL, 'cd12097', NULL, NULL, 'DD_RI_PKA', NULL, 'DD_RI_PKA', NULL, NULL, NULL, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12943, NULL, 'cd11938', NULL, NULL, 'SH3_ARHGEF16_26', NULL, 'SH3_ARHGEF16_26', NULL, NULL, 35254, 1),
(12944, NULL, 'cd05620', NULL, NULL, 'STKc_nPKC_delta', NULL, 'STKc_nPKC_delta', NULL, NULL, 13313, 1),
(12945, NULL, 'cd15965', NULL, NULL, '7tmA_RXFP1_LGR7', NULL, '7tmA_RXFP1_LGR7', NULL, NULL, NULL, 1),
(12946, NULL, 'cd13912', NULL, NULL, 'CcO_II_C', NULL, 'CcO_II_C', NULL, NULL, 7321, 1),
(12947, NULL, 'cd19375', NULL, NULL, 'UDG-F3-like_SMUG2', NULL, 'UDG-F3-like_SMUG2', NULL, NULL, 22136, 1),
(12948, NULL, 'cd14984', NULL, NULL, '7tmA_Chemokine_R', NULL, '7tmA_Chemokine_R', NULL, NULL, NULL, 1),
(12949, NULL, 'cd14628', NULL, NULL, 'R-PTP-D-2', NULL, 'R-PTP-D-2', NULL, NULL, NULL, 1),
(12950, NULL, 'cd02791', NULL, NULL, 'MopB_CT_Nitrate-R-NapA-like', NULL, 'MopB_CT_Nitrate-R-NapA-like', NULL, NULL, 33141, 1),
(12951, NULL, 'cd08384', NULL, NULL, 'C2B_Rabphilin_Doc2', NULL, 'C2B_Rabphilin_Doc2', NULL, NULL, NULL, 1),
(12952, NULL, 'cd08697', NULL, NULL, 'C2_Dock-D', NULL, 'C2_Dock-D', NULL, NULL, 32012, 1),
(12953, NULL, 'cd19469', NULL, NULL, 'FABP8', NULL, 'FABP8', NULL, NULL, NULL, 1),
(12954, NULL, 'cd04040', NULL, NULL, 'C2D_Tricalbin-like', NULL, 'C2D_Tricalbin-like', NULL, NULL, 35260, 1),
(12955, NULL, 'cd07767', NULL, NULL, 'MPN', NULL, 'MPN', NULL, NULL, NULL, 1),
(12956, NULL, 'cd04919', NULL, NULL, 'ACT_AK-Hom3_2', NULL, 'ACT_AK-Hom3_2', NULL, NULL, NULL, 1),
(12957, NULL, 'cd17341', NULL, NULL, 'MFS_NRT2_like', NULL, 'MFS_NRT2_like', NULL, NULL, 37345, 1),
(12958, NULL, 'cd05535', NULL, NULL, 'POLBc_epsilon', NULL, 'POLBc_epsilon', NULL, NULL, NULL, 1),
(12959, NULL, 'cd07772', NULL, NULL, 'FGGY_NaCK_like', NULL, 'FGGY_NaCK_like', NULL, NULL, NULL, 1),
(12960, NULL, 'cd21526', NULL, NULL, 'CoV_Nsp6', NULL, 'CoV_Nsp6', NULL, NULL, NULL, 1),
(12961, NULL, 'cd11624', NULL, NULL, 'HR1_Rhophilin', NULL, 'HR1_Rhophilin', NULL, NULL, NULL, 1),
(12962, NULL, 'cd17031', NULL, NULL, 'T3SC_IA_SycN-like', NULL, 'T3SC_IA_SycN-like', NULL, NULL, NULL, 1),
(12963, NULL, 'cd19709', NULL, NULL, 'bHLH_TS_TCF23_OUT', NULL, 'bHLH_TS_TCF23_OUT', NULL, NULL, NULL, 1),
(12964, NULL, 'cd12114', NULL, NULL, 'A_NRPS_TlmIV_like', NULL, 'A_NRPS_TlmIV_like', NULL, NULL, NULL, 1),
(12965, NULL, 'cd16971', NULL, NULL, 'Alpha_kinase_ChaK1_TRMP7', NULL, 'Alpha_kinase_ChaK1_TRMP7', NULL, NULL, NULL, 1),
(12966, NULL, 'cd17956', NULL, NULL, 'DEADc_DDX51', NULL, 'DEADc_DDX51', NULL, NULL, NULL, 1),
(12967, NULL, 'cd00384', NULL, NULL, 'ALAD_PBGS', NULL, 'ALAD_PBGS', NULL, NULL, NULL, 1),
(12968, NULL, 'cd15331', NULL, NULL, '7tmA_5-HT1A_invertebrates', NULL, '7tmA_5-HT1A_invertebrates', NULL, NULL, NULL, 1),
(12969, NULL, 'cd16767', NULL, NULL, 'RING-HC_TRIM2', NULL, 'RING-HC_TRIM2', NULL, NULL, NULL, 1),
(12970, NULL, 'cd09991', NULL, NULL, 'HDAC_classI', NULL, 'HDAC_classI', NULL, NULL, NULL, 1),
(12971, NULL, 'cd09440', NULL, NULL, 'LIM1_SF3', NULL, 'LIM1_SF3', NULL, NULL, NULL, 1),
(12972, NULL, 'cd09981', NULL, NULL, 'LOTUS_5_Limkain_b1', NULL, 'LOTUS_5_Limkain_b1', NULL, NULL, NULL, 1),
(12973, NULL, 'cd09360', NULL, NULL, 'LIM_ALP_like', NULL, 'LIM_ALP_like', NULL, NULL, NULL, 1),
(12974, NULL, 'cd03789', NULL, NULL, 'GT9_LPS_heptosyltransferase', NULL, 'GT9_LPS_heptosyltransferase', NULL, NULL, 21, 1),
(12975, NULL, 'cd09514', NULL, NULL, 'SAM_SGMS1', NULL, 'SAM_SGMS1', NULL, NULL, NULL, 1),
(12976, NULL, 'cd00361', NULL, NULL, 'arom_aa_hydroxylase', NULL, 'arom_aa_hydroxylase', NULL, NULL, NULL, 1),
(12977, NULL, 'cd09407', NULL, NULL, 'LIM2_Paxillin', NULL, 'LIM2_Paxillin', NULL, NULL, NULL, 1),
(12978, NULL, 'cd12279', NULL, NULL, 'RRM_TUT1', NULL, 'RRM_TUT1', NULL, NULL, 531, 1),
(12979, NULL, 'cd08701', NULL, NULL, 'FMT_C_HypX', NULL, 'FMT_C_HypX', NULL, NULL, NULL, 1),
(12980, NULL, 'cd04912', NULL, NULL, 'ACT_AKiii-LysC-EC-like_1', NULL, 'ACT_AKiii-LysC-EC-like_1', NULL, NULL, NULL, 1),
(12981, NULL, 'cd18766', NULL, NULL, 'PIN_MtVapC3-like', NULL, 'PIN_MtVapC3-like', NULL, NULL, NULL, 1),
(12982, NULL, 'cd04465', NULL, NULL, 'S1_RPS1_repeat_ec2_hs2', NULL, 'S1_RPS1_repeat_ec2_hs2', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(12983, NULL, 'cd12229', NULL, NULL, 'RRM_G3BP', NULL, 'RRM_G3BP', NULL, NULL, NULL, 1),
(12984, NULL, 'cd17931', NULL, NULL, 'DEXHc_viral_Ns3', NULL, 'DEXHc_viral_Ns3', NULL, NULL, NULL, 1),
(12985, NULL, 'cd04460', NULL, NULL, 'S1_RpoE', NULL, 'S1_RpoE', NULL, NULL, NULL, 1),
(12986, NULL, 'cd05747', NULL, NULL, 'Ig_Titin_like', NULL, 'Ig_Titin_like', NULL, NULL, NULL, 1),
(12987, NULL, 'cd15323', NULL, NULL, '7tmA_alpha2C_AR', NULL, '7tmA_alpha2C_AR', NULL, NULL, NULL, 1),
(12988, NULL, 'cd18269', NULL, NULL, 'BTB_POZ_KLHL40-like', NULL, 'BTB_POZ_KLHL40-like', NULL, NULL, NULL, 1),
(12989, NULL, 'cd01734', NULL, NULL, 'YlxS_C', NULL, 'YlxS_C', NULL, NULL, 24340, 1),
(12990, NULL, 'cd17089', NULL, NULL, 'FERM_F0_TLN', NULL, 'FERM_F0_TLN', NULL, NULL, NULL, 1),
(12991, NULL, 'cd04112', NULL, NULL, 'Rab26', NULL, 'Rab26', NULL, NULL, NULL, 1),
(12992, NULL, 'cd04935', NULL, NULL, 'ACT_AKiii-DAPDC_1', NULL, 'ACT_AKiii-DAPDC_1', NULL, NULL, NULL, 1),
(12993, NULL, 'cd08213', NULL, NULL, 'RuBisCO_large_III', NULL, 'RuBisCO_large_III', NULL, NULL, 18039, 1),
(12994, NULL, 'cd11284', NULL, NULL, 'ADF_Twf-C_like', NULL, 'ADF_Twf-C_like', NULL, NULL, NULL, 1),
(12995, NULL, 'cd17745', NULL, NULL, 'BRCT_p53bp1_rpt1', NULL, 'BRCT_p53bp1_rpt1', NULL, NULL, NULL, 1),
(12996, NULL, 'cd01958', NULL, NULL, 'HPS_like', NULL, 'HPS_like', NULL, NULL, 25938, 1),
(12997, NULL, 'cd03679', NULL, NULL, 'MM_CoA_mutase_alpha_like', NULL, 'MM_CoA_mutase_alpha_like', NULL, NULL, NULL, 1),
(12998, NULL, 'cd16775', NULL, NULL, 'RING-HC_RBR_RNF19A', NULL, 'RING-HC_RBR_RNF19A', NULL, NULL, NULL, 1),
(12999, NULL, 'cd03279', NULL, NULL, 'ABC_sbcCD', NULL, 'ABC_sbcCD', NULL, NULL, NULL, 1),
(13000, NULL, 'cd04245', NULL, NULL, 'AAK_AKiii-YclM-BS', NULL, 'AAK_AKiii-YclM-BS', NULL, NULL, 35640, 1),
(13001, NULL, 'cd13651', NULL, NULL, 'PBP2_ThiY', NULL, 'PBP2_ThiY', NULL, NULL, NULL, 1),
(13002, NULL, 'cd08473', NULL, NULL, 'PBP2_CrgA_like_4', NULL, 'PBP2_CrgA_like_4', NULL, NULL, NULL, 1),
(13003, NULL, 'cd18776', NULL, NULL, 'AfaD-like', NULL, 'AfaD-like', NULL, NULL, NULL, 1),
(13004, NULL, 'cd08267', NULL, NULL, 'MDR1', NULL, 'MDR1', NULL, NULL, NULL, 1),
(13005, NULL, 'cd14294', NULL, NULL, 'UBA1_UBP5_like', NULL, 'UBA1_UBP5_like', NULL, NULL, NULL, 1),
(13006, NULL, 'cd17512', NULL, NULL, 'RMtype1_S_BceB55ORF5615P-TRD2-CR2_like', NULL, 'RMtype1_S_BceB55ORF5615P-TRD2-CR2_like', NULL, NULL, NULL, 1),
(13007, NULL, 'cd13327', NULL, NULL, 'PH_PLEKHM3_2', NULL, 'PH_PLEKHM3_2', NULL, NULL, NULL, 1),
(13008, NULL, 'cd09754', NULL, NULL, 'Cas8a1_I-A', NULL, 'Cas8a1_I-A', NULL, NULL, NULL, 1),
(13009, NULL, 'cd19157', NULL, NULL, 'AKR_AKR5G1-3', NULL, 'AKR_AKR5G1-3', NULL, NULL, 37142, 1),
(13010, NULL, 'cd07464', NULL, NULL, 'CRD_FZ2', NULL, 'CRD_FZ2', NULL, NULL, 32917, 1),
(13011, NULL, 'cd08870', NULL, NULL, 'START_STARD2_7-like', NULL, 'START_STARD2_7-like', NULL, NULL, NULL, 1),
(13012, NULL, 'cd08962', NULL, NULL, 'GatD', NULL, 'GatD', NULL, NULL, 8854, 1),
(13013, NULL, 'cd15789', NULL, NULL, 'PH_ARHGEF2_18_like', NULL, 'PH_ARHGEF2_18_like', NULL, NULL, NULL, 1),
(13014, NULL, 'cd08402', NULL, NULL, 'C2B_Synaptotagmin-1', NULL, 'C2B_Synaptotagmin-1', NULL, NULL, NULL, 1),
(13015, NULL, 'cd08624', NULL, NULL, 'PI-PLCc_beta2', NULL, 'PI-PLCc_beta2', NULL, NULL, NULL, 1),
(13016, NULL, 'cd03022', NULL, NULL, 'DsbA_HCCA_Iso', NULL, 'DsbA_HCCA_Iso', NULL, NULL, 37410, 1),
(13017, NULL, 'cd04704', NULL, NULL, 'PLA2_bee_venom_like', NULL, 'PLA2_bee_venom_like', NULL, NULL, NULL, 1),
(13018, NULL, 'cd13269', NULL, NULL, 'PH_alsin', NULL, 'PH_alsin', NULL, NULL, NULL, 1),
(13019, NULL, 'cd15944', NULL, NULL, '7tmA_OR5AR1-like', NULL, '7tmA_OR5AR1-like', NULL, NULL, NULL, 1),
(13020, NULL, 'cd06369', NULL, NULL, 'PBP1_GC_C_enterotoxin_receptor', NULL, 'PBP1_GC_C_enterotoxin_receptor', NULL, NULL, NULL, 1),
(13021, NULL, 'cd19899', NULL, NULL, 'DSRM_RED2_rpt2', NULL, 'DSRM_RED2_rpt2', NULL, NULL, NULL, 1),
(13022, NULL, 'cd00772', NULL, NULL, 'ProRS_core', NULL, 'ProRS_core', NULL, NULL, NULL, 1),
(13023, NULL, 'cd08996', NULL, NULL, 'GH32_FFase', NULL, 'GH32_FFase', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13024, NULL, 'cd18731', NULL, NULL, 'PIN_NgFitB-like', NULL, 'PIN_NgFitB-like', NULL, NULL, NULL, 1),
(13025, NULL, 'cd03369', NULL, NULL, 'ABCC_NFT1', NULL, 'ABCC_NFT1', NULL, NULL, NULL, 1),
(13026, NULL, 'cd06866', NULL, NULL, 'PX_SNX8_Mvp1p_like', NULL, 'PX_SNX8_Mvp1p_like', NULL, NULL, 30384, 1),
(13027, NULL, 'cd14786', NULL, NULL, 'STAT_CCD', NULL, 'STAT_CCD', NULL, NULL, NULL, 1),
(13028, NULL, 'cd15211', NULL, NULL, '7tmA_GPR88-like', NULL, '7tmA_GPR88-like', NULL, NULL, NULL, 1),
(13029, NULL, 'cd01486', NULL, NULL, 'Apg7', NULL, 'Apg7', NULL, NULL, NULL, 1),
(13030, NULL, 'cd13530', NULL, NULL, 'PBP2_peptides_like', NULL, 'PBP2_peptides_like', NULL, NULL, NULL, 1),
(13031, NULL, 'cd19162', NULL, NULL, 'AKR_FDH', NULL, 'AKR_FDH', NULL, NULL, 36901, 1),
(13032, NULL, 'cd09272', NULL, NULL, 'RNase_HI_RT_Ty1', NULL, 'RNase_HI_RT_Ty1', NULL, NULL, NULL, 1),
(13033, NULL, 'cd13402', NULL, NULL, 'LT_TF-like', NULL, 'LT_TF-like', NULL, NULL, NULL, 1),
(13034, NULL, 'cd08057', NULL, NULL, 'MPN_euk_non_mb', NULL, 'MPN_euk_non_mb', NULL, NULL, NULL, 1),
(13035, NULL, 'cd03287', NULL, NULL, 'ABC_MSH3_euk', NULL, 'ABC_MSH3_euk', NULL, NULL, NULL, 1),
(13036, NULL, 'cd09138', NULL, NULL, 'PLDc_vPLD1_2_yPLD_like_1', NULL, 'PLDc_vPLD1_2_yPLD_like_1', NULL, NULL, NULL, 1),
(13037, NULL, 'cd18372', NULL, NULL, 'BTB_POZ_KCTD18', NULL, 'BTB_POZ_KCTD18', NULL, NULL, NULL, 1),
(13038, NULL, 'cd10284', NULL, NULL, 'growth_hormone_like', NULL, 'growth_hormone_like', NULL, NULL, NULL, 1),
(13039, NULL, 'cd13694', NULL, NULL, 'PBP2_Cysteine', NULL, 'PBP2_Cysteine', NULL, NULL, NULL, 1),
(13040, NULL, 'cd03716', NULL, NULL, 'SOCS_ASB_like', NULL, 'SOCS_ASB_like', NULL, NULL, NULL, 1),
(13041, NULL, 'cd01452', NULL, NULL, 'VWA_26S_proteasome_subunit', NULL, 'VWA_26S_proteasome_subunit', NULL, NULL, NULL, 1),
(13042, NULL, 'cd16382', NULL, NULL, 'XisI-like', NULL, 'XisI-like', NULL, NULL, 14045, 1),
(13043, NULL, 'cd07728', NULL, NULL, 'YtnP-like_MBL-fold', NULL, 'YtnP-like_MBL-fold', NULL, NULL, NULL, 1),
(13044, NULL, 'cd08871', NULL, NULL, 'START_STARD10-like', NULL, 'START_STARD10-like', NULL, NULL, 33127, 1),
(13045, NULL, 'cd18733', NULL, NULL, 'PIN_RfVapC1-like', NULL, 'PIN_RfVapC1-like', NULL, NULL, NULL, 1),
(13046, NULL, 'cd16417', NULL, NULL, 'HAD_PGPase', NULL, 'HAD_PGPase', NULL, NULL, NULL, 1),
(13047, NULL, 'cd14640', NULL, NULL, 'DSP_DUSP4', NULL, 'DSP_DUSP4', NULL, NULL, NULL, 1),
(13048, NULL, 'cd12621', NULL, NULL, 'RRM3_TIA1', NULL, 'RRM3_TIA1', NULL, NULL, 36247, 1),
(13049, NULL, 'cd19155', NULL, NULL, 'AKR_AKR1I_CgAKR1', NULL, 'AKR_AKR1I_CgAKR1', NULL, NULL, NULL, 1),
(13050, NULL, 'cd07278', NULL, NULL, 'PX_RICS_like', NULL, 'PX_RICS_like', NULL, NULL, NULL, 1),
(13051, NULL, 'cd19436', NULL, NULL, 'lipocalin_crustacyanin', NULL, 'lipocalin_crustacyanin', NULL, NULL, NULL, 1),
(13052, NULL, 'cd09630', NULL, NULL, 'CDH_like_cytochrome', NULL, 'CDH_like_cytochrome', NULL, NULL, 8262, 1),
(13053, NULL, 'cd16097', NULL, NULL, 'IgV_SIRP', NULL, 'IgV_SIRP', NULL, NULL, NULL, 1),
(13054, NULL, 'cd06818', NULL, NULL, 'PLPDE_III_cryptic_DSD', NULL, 'PLPDE_III_cryptic_DSD', NULL, NULL, NULL, 1),
(13055, NULL, 'cd11274', NULL, NULL, 'Sema_plexin_A4', NULL, 'Sema_plexin_A4', NULL, NULL, NULL, 1),
(13056, NULL, 'cd13657', NULL, NULL, 'PBP2_Maltodextrin', NULL, 'PBP2_Maltodextrin', NULL, NULL, NULL, 1),
(13057, NULL, 'cd04302', NULL, NULL, 'HAD_5NT', NULL, 'HAD_5NT', NULL, NULL, NULL, 1),
(13058, NULL, 'cd19461', NULL, NULL, 'CRABP2', NULL, 'CRABP2', NULL, NULL, NULL, 1),
(13059, NULL, 'cd14427', NULL, NULL, 'UBA2_HR23A', NULL, 'UBA2_HR23A', NULL, NULL, NULL, 1),
(13060, NULL, 'cd00552', NULL, NULL, 'RaiA', NULL, 'RaiA', NULL, NULL, 6499, 1),
(13061, NULL, 'cd00396', NULL, NULL, 'PurM-like', NULL, 'PurM-like', NULL, NULL, NULL, 1),
(13062, NULL, 'cd05690', NULL, NULL, 'S1_RPS1_repeat_ec5', NULL, 'S1_RPS1_repeat_ec5', NULL, NULL, NULL, 1),
(13063, NULL, 'cd03055', NULL, NULL, 'GST_N_Omega', NULL, 'GST_N_Omega', NULL, NULL, NULL, 1),
(13064, NULL, 'cd11567', NULL, NULL, 'YciH_like', NULL, 'YciH_like', NULL, NULL, 6748, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13065, NULL, 'cd11303', NULL, NULL, 'Dystroglycan_repeat', NULL, 'Dystroglycan_repeat', NULL, NULL, NULL, 1),
(13066, NULL, 'cd12583', NULL, NULL, 'RRM2_hnRNPD', NULL, 'RRM2_hnRNPD', NULL, NULL, NULL, 1),
(13067, NULL, 'cd04436', NULL, NULL, 'DEP_fRgd2', NULL, 'DEP_fRgd2', NULL, NULL, NULL, 1),
(13068, NULL, 'cd06549', NULL, NULL, 'GH18_trifunctional', NULL, 'GH18_trifunctional', NULL, NULL, NULL, 1),
(13069, NULL, 'cd10038', NULL, NULL, 'Reelin_repeat_2_subrepeat_1', NULL, 'Reelin_repeat_2_subrepeat_1', NULL, NULL, NULL, 1),
(13070, NULL, 'cd15596', NULL, NULL, 'PHD4_KMT2C', NULL, 'PHD4_KMT2C', NULL, NULL, NULL, 1),
(13071, NULL, 'cd14740', NULL, NULL, 'PAAR_4', NULL, 'PAAR_4', NULL, NULL, NULL, 1),
(13072, NULL, 'cd17669', NULL, NULL, 'R-PTP-Z-2', NULL, 'R-PTP-Z-2', NULL, NULL, NULL, 1),
(13073, NULL, 'cd15626', NULL, NULL, 'PHD_SP110_140', NULL, 'PHD_SP110_140', NULL, NULL, NULL, 1),
(13074, NULL, 'cd02675', NULL, NULL, 'Ephrin_ectodomain', NULL, 'Ephrin_ectodomain', NULL, NULL, NULL, 1),
(13075, NULL, 'cd12910', NULL, NULL, 'SPRY_SSH4_like', NULL, 'SPRY_SSH4_like', NULL, NULL, 34547, 1),
(13076, NULL, 'cd07678', NULL, NULL, 'F-BAR_FCHSD1', NULL, 'F-BAR_FCHSD1', NULL, NULL, NULL, 1),
(13077, NULL, 'cd15272', NULL, NULL, '7tmB1_PTH-R_related', NULL, '7tmB1_PTH-R_related', NULL, NULL, NULL, 1),
(13078, NULL, 'cd17044', NULL, NULL, 'Ubl_TBCE', NULL, 'Ubl_TBCE', NULL, NULL, 37913, 1),
(13079, NULL, 'cd14607', NULL, NULL, 'PTPc-N2', NULL, 'PTPc-N2', NULL, NULL, NULL, 1),
(13080, NULL, 'cd19700', NULL, NULL, 'bHLH_TS_TWIST2', NULL, 'bHLH_TS_TWIST2', NULL, NULL, NULL, 1),
(13081, NULL, 'cd06874', NULL, NULL, 'PX_KIF16B_SNX23', NULL, 'PX_KIF16B_SNX23', NULL, NULL, NULL, 1),
(13082, NULL, 'cd01009', NULL, NULL, 'PBP2_YfhD_N', NULL, 'PBP2_YfhD_N', NULL, NULL, NULL, 1),
(13083, NULL, 'cd12743', NULL, NULL, 'RRM3_Fusilli', NULL, 'RRM3_Fusilli', NULL, NULL, NULL, 1),
(13084, NULL, 'cd02139', NULL, NULL, 'nitroreductase', NULL, 'nitroreductase', NULL, NULL, NULL, 1),
(13085, NULL, 'cd02860', NULL, NULL, 'E_set_Pullulanase', NULL, 'E_set_Pullulanase', NULL, NULL, NULL, 1),
(13086, NULL, 'cd09888', NULL, NULL, 'NGN_Euk', NULL, 'NGN_Euk', NULL, NULL, 29297, 1),
(13087, NULL, 'cd13647', NULL, NULL, 'PBP2_PBGD_2', NULL, 'PBP2_PBGD_2', NULL, NULL, NULL, 1),
(13088, NULL, 'cd05518', NULL, NULL, 'Bromo_polybromo_IV', NULL, 'Bromo_polybromo_IV', NULL, NULL, NULL, 1),
(13089, NULL, 'cd18300', NULL, NULL, 'BTB2_POZ_RhoBTB', NULL, 'BTB2_POZ_RhoBTB', NULL, NULL, NULL, 1),
(13090, NULL, 'cd09734', NULL, NULL, 'Csb2_I-U', NULL, 'Csb2_I-U', NULL, NULL, NULL, 1),
(13091, NULL, 'cd09876', NULL, NULL, 'PIN_Nob1-like', NULL, 'PIN_Nob1-like', NULL, NULL, 35412, 1),
(13092, NULL, 'cd08381', NULL, NULL, 'C2B_PI3K_class_II', NULL, 'C2B_PI3K_class_II', NULL, NULL, NULL, 1),
(13093, NULL, 'cd00958', NULL, NULL, 'DhnA', NULL, 'DhnA', NULL, NULL, 32383, 1),
(13094, NULL, 'cd19425', NULL, NULL, 'lipocalin_10-like', NULL, 'lipocalin_10-like', NULL, NULL, NULL, 1),
(13095, NULL, 'cd01851', NULL, NULL, 'GBP', NULL, 'GBP', NULL, NULL, NULL, 1),
(13096, NULL, 'cd08616', NULL, NULL, 'PI-PLCXD1c', NULL, 'PI-PLCXD1c', NULL, NULL, 37892, 1),
(13097, NULL, 'cd13318', NULL, NULL, 'PH_IQSEC', NULL, 'PH_IQSEC', NULL, NULL, 34377, 1),
(13098, NULL, 'cd07010', NULL, NULL, 'cupin_PMI_type_I_N_bac', NULL, 'cupin_PMI_type_I_N_bac', NULL, NULL, NULL, 1),
(13099, NULL, 'cd09338', NULL, NULL, 'LIM3_Paxillin_like', NULL, 'LIM3_Paxillin_like', NULL, NULL, NULL, 1),
(13100, NULL, 'cd00080', NULL, NULL, 'H3TH_StructSpec-5''-nucleases', NULL, 'H3TH_StructSpec-5''-nucleases', NULL, NULL, NULL, 1),
(13101, NULL, 'cd09210', NULL, NULL, 'Riboflavin_synthase_archaeal', NULL, 'Riboflavin_synthase_archaeal', NULL, NULL, 5621, 1),
(13102, NULL, 'cd13626', NULL, NULL, 'PBP2_Cystine_like', NULL, 'PBP2_Cystine_like', NULL, NULL, NULL, 1),
(13103, NULL, 'cd15698', NULL, NULL, 'ePHD2_KMT2D', NULL, 'ePHD2_KMT2D', NULL, NULL, 32741, 1),
(13104, NULL, 'cd12941', NULL, NULL, 'LEM_LEMD2', NULL, 'LEM_LEMD2', NULL, NULL, NULL, 1),
(13105, NULL, 'cd18989', NULL, NULL, 'LGIC_ECD_cation', NULL, 'LGIC_ECD_cation', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13106, NULL, 'cd14958', NULL, NULL, 'NHL_PAL_like', NULL, 'NHL_PAL_like', NULL, NULL, NULL, 1),
(13107, NULL, 'cd15116', NULL, NULL, '7tmA_CMKLR1', NULL, '7tmA_CMKLR1', NULL, NULL, NULL, 1),
(13108, NULL, 'cd16646', NULL, NULL, 'mRING-HC-C2H2C4_MDM2_like', NULL, 'mRING-HC-C2H2C4_MDM2_like', NULL, NULL, NULL, 1),
(13109, NULL, 'cd03398', NULL, NULL, 'PAP2_haloperoxidase', NULL, 'PAP2_haloperoxidase', NULL, NULL, NULL, 1),
(13110, NULL, 'cd06855', NULL, NULL, 'GT_GPT_euk', NULL, 'GT_GPT_euk', NULL, NULL, 35418, 1),
(13111, NULL, 'cd04387', NULL, NULL, 'RhoGAP_Bcr', NULL, 'RhoGAP_Bcr', NULL, NULL, NULL, 1),
(13112, NULL, 'cd06626', NULL, NULL, 'STKc_MEKK4', NULL, 'STKc_MEKK4', NULL, NULL, NULL, 1),
(13113, NULL, 'cd18515', NULL, NULL, 'BACK_KLHL37_ENC1', NULL, 'BACK_KLHL37_ENC1', NULL, NULL, NULL, 1),
(13114, NULL, 'cd01209', NULL, NULL, 'PTB_Shc', NULL, 'PTB_Shc', NULL, NULL, 1450, 1),
(13115, NULL, 'cd08574', NULL, NULL, 'GDPD_GDE_2_3_6', NULL, 'GDPD_GDE_2_3_6', NULL, NULL, NULL, 1),
(13116, NULL, 'cd01151', NULL, NULL, 'GCD', NULL, 'GCD', NULL, NULL, NULL, 1),
(13117, NULL, 'cd18276', NULL, NULL, 'BTB_POZ_KBTBD12', NULL, 'BTB_POZ_KBTBD12', NULL, NULL, NULL, 1),
(13118, NULL, 'cd02985', NULL, NULL, 'TRX_CDSP32', NULL, 'TRX_CDSP32', NULL, NULL, NULL, 1),
(13119, NULL, 'cd03333', NULL, NULL, 'chaperonin_like', NULL, 'chaperonin_like', NULL, NULL, NULL, 1),
(13120, NULL, 'cd08019', NULL, NULL, 'M20_Acy1-like', NULL, 'M20_Acy1-like', NULL, NULL, NULL, 1),
(13121, NULL, 'cd18517', NULL, NULL, 'BACK_KLHL41_KBTBD10', NULL, 'BACK_KLHL41_KBTBD10', NULL, NULL, NULL, 1),
(13122, NULL, 'cd01526', NULL, NULL, 'RHOD_ThiF', NULL, 'RHOD_ThiF', NULL, NULL, NULL, 1),
(13123, NULL, 'cd06893', NULL, NULL, 'PX_SNX19', NULL, 'PX_SNX19', NULL, NULL, 29214, 1),
(13124, NULL, 'cd16313', NULL, NULL, 'SMB-1-like_MBL-B3', NULL, 'SMB-1-like_MBL-B3', NULL, NULL, NULL, 1),
(13125, NULL, 'cd09034', NULL, NULL, 'BRO1_Alix_like', NULL, 'BRO1_Alix_like', NULL, NULL, NULL, 1),
(13126, NULL, 'cd16095', NULL, NULL, 'IgV_H_TCR_mu', NULL, 'IgV_H_TCR_mu', NULL, NULL, NULL, 1),
(13127, NULL, 'cd07228', NULL, NULL, 'Pat_NTE_like_bacteria', NULL, 'Pat_NTE_like_bacteria', NULL, NULL, NULL, 1),
(13128, NULL, 'cd16125', NULL, NULL, 'RA_ASPP1_2', NULL, 'RA_ASPP1_2', NULL, NULL, NULL, 1),
(13129, NULL, 'cd17456', NULL, NULL, 'MFS_FLVCR2', NULL, 'MFS_FLVCR2', NULL, NULL, NULL, 1),
(13130, NULL, 'cd06885', NULL, NULL, 'PX_SNX17_31', NULL, 'PX_SNX17_31', NULL, NULL, NULL, 1),
(13131, NULL, 'cd08924', NULL, NULL, 'Cygb', NULL, 'Cygb', NULL, NULL, NULL, 1),
(13132, NULL, 'cd12558', NULL, NULL, 'RRM3_RBM15B', NULL, 'RRM3_RBM15B', NULL, NULL, 228, 1),
(13133, NULL, 'cd14526', NULL, NULL, 'DSP_laforin-like', NULL, 'DSP_laforin-like', NULL, NULL, 38931, 1),
(13134, NULL, 'cd01372', NULL, NULL, 'KISc_KIF4', NULL, 'KISc_KIF4', NULL, NULL, NULL, 1),
(13135, NULL, 'cd01971', NULL, NULL, 'Nitrogenase_VnfN_like', NULL, 'Nitrogenase_VnfN_like', NULL, NULL, NULL, 1),
(13136, NULL, 'cd08371', NULL, NULL, 'Lumazine_synthase-like', NULL, 'Lumazine_synthase-like', NULL, NULL, NULL, 1),
(13137, NULL, 'cd14000', NULL, NULL, 'STKc_LRRK', NULL, 'STKc_LRRK', NULL, NULL, NULL, 1),
(13138, NULL, 'cd08017', NULL, NULL, 'M20_IAA_Hyd', NULL, 'M20_IAA_Hyd', NULL, NULL, 36810, 1),
(13139, NULL, 'cd10332', NULL, NULL, 'SLC6sbd-B0AT-like', NULL, 'SLC6sbd-B0AT-like', NULL, NULL, NULL, 1),
(13140, NULL, 'cd12430', NULL, NULL, 'RRM_LARP4_5_like', NULL, 'RRM_LARP4_5_like', NULL, NULL, NULL, 1),
(13141, NULL, 'cd08306', NULL, NULL, 'Death_FADD', NULL, 'Death_FADD', NULL, NULL, NULL, 1),
(13142, NULL, 'cd19792', NULL, NULL, 'Bbox2_TRIM62_C-IV', NULL, 'Bbox2_TRIM62_C-IV', NULL, NULL, NULL, 1),
(13143, NULL, 'cd01110', NULL, NULL, 'HTH_SoxR', NULL, 'HTH_SoxR', NULL, NULL, 4207, 1),
(13144, NULL, 'cd08778', NULL, NULL, 'Death_TNFRSF21', NULL, 'Death_TNFRSF21', NULL, NULL, 290, 1),
(13145, NULL, 'cd09015', NULL, NULL, 'Ureohydrolase', NULL, 'Ureohydrolase', NULL, NULL, NULL, 1),
(13146, NULL, 'cd07330', NULL, NULL, 'M48A_Ste24p', NULL, 'M48A_Ste24p', NULL, NULL, NULL, 1),
(13147, NULL, 'cd07778', NULL, NULL, 'FGGY_L-RBK_like', NULL, 'FGGY_L-RBK_like', NULL, NULL, 33020, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13148, NULL, 'cd18723', NULL, NULL, 'PIN_LabA-like', NULL, 'PIN_LabA-like', NULL, NULL, NULL, 1),
(13149, NULL, 'cd14185', NULL, NULL, 'STKc_DCKL3', NULL, 'STKc_DCKL3', NULL, NULL, NULL, 1),
(13150, NULL, 'cd05292', NULL, NULL, 'LDH_2', NULL, 'LDH_2', NULL, NULL, NULL, 1),
(13151, NULL, 'cd06463', NULL, NULL, 'p23_like', NULL, 'p23_like', NULL, NULL, NULL, 1),
(13152, NULL, 'cd15951', NULL, NULL, '7tmA_OR52R_52L-like', NULL, '7tmA_OR52R_52L-like', NULL, NULL, NULL, 1),
(13153, NULL, 'cd05097', NULL, NULL, 'PTKc_DDR_like', NULL, 'PTKc_DDR_like', NULL, NULL, NULL, 1),
(13154, NULL, 'cd11676', NULL, NULL, 'Gemin6', NULL, 'Gemin6', NULL, NULL, NULL, 1),
(13155, NULL, 'cd00122', NULL, NULL, 'MBD', NULL, 'MBD', NULL, NULL, NULL, 1),
(13156, NULL, 'cd07671', NULL, NULL, 'F-BAR_PSTPIP1', NULL, 'F-BAR_PSTPIP1', NULL, NULL, NULL, 1),
(13157, NULL, 'cd17033', NULL, NULL, 'DR1245-like', NULL, 'DR1245-like', NULL, NULL, NULL, 1),
(13158, NULL, 'cd05403', NULL, NULL, 'NT_KNTase_like', NULL, 'NT_KNTase_like', NULL, NULL, NULL, 1),
(13159, NULL, 'cd05085', NULL, NULL, 'PTKc_Fer', NULL, 'PTKc_Fer', NULL, NULL, NULL, 1),
(13160, NULL, 'cd14202', NULL, NULL, 'STKc_ULK1', NULL, 'STKc_ULK1', NULL, NULL, NULL, 1),
(13161, NULL, 'cd06865', NULL, NULL, 'PX_SNX_like', NULL, 'PX_SNX_like', NULL, NULL, NULL, 1),
(13162, NULL, 'cd11807', NULL, NULL, 'SH3_ASPP', NULL, 'SH3_ASPP', NULL, NULL, NULL, 1),
(13163, NULL, 'cd09438', NULL, NULL, 'LIM3_Ajuba_like', NULL, 'LIM3_Ajuba_like', NULL, NULL, NULL, 1),
(13164, NULL, 'cd06945', NULL, NULL, 'NR_LBD_Nurr1_like', NULL, 'NR_LBD_Nurr1_like', NULL, NULL, NULL, 1),
(13165, NULL, 'cd13935', NULL, NULL, 'RNase_H_bacteria_like', NULL, 'RNase_H_bacteria_like', NULL, NULL, NULL, 1),
(13166, NULL, 'cd07440', NULL, NULL, 'RGS', NULL, 'RGS', NULL, NULL, NULL, 1),
(13167, NULL, 'cd09494', NULL, NULL, 'SAM_liprin-kazrin_repeat1', NULL, 'SAM_liprin-kazrin_repeat1', NULL, NULL, NULL, 1),
(13168, NULL, 'cd12165', NULL, NULL, '2-Hacid_dh_6', NULL, '2-Hacid_dh_6', NULL, NULL, NULL, 1),
(13169, NULL, 'cd18055', NULL, NULL, 'DEXHc_CHD3', NULL, 'DEXHc_CHD3', NULL, NULL, NULL, 1),
(13170, NULL, 'cd18643', NULL, NULL, 'CBD', NULL, 'CBD', NULL, NULL, NULL, 1),
(13171, NULL, 'cd07258', NULL, NULL, 'PpCmtC_C', NULL, 'PpCmtC_C', NULL, NULL, NULL, 1),
(13172, NULL, 'cd02735', NULL, NULL, 'RNAP_I_Rpa1_C', NULL, 'RNAP_I_Rpa1_C', NULL, NULL, NULL, 1),
(13173, NULL, 'cd12544', NULL, NULL, 'RRM_NMI', NULL, 'RRM_NMI', NULL, NULL, NULL, 1),
(13174, NULL, 'cd10968', NULL, NULL, 'CE4_Mlr8448_like_5s', NULL, 'CE4_Mlr8448_like_5s', NULL, NULL, NULL, 1),
(13175, NULL, 'cd08285', NULL, NULL, 'NADP_ADH', NULL, 'NADP_ADH', NULL, NULL, NULL, 1),
(13176, NULL, 'cd10795', NULL, NULL, 'GH57N_MJA1_like', NULL, 'GH57N_MJA1_like', NULL, NULL, NULL, 1),
(13177, NULL, 'cd14728', NULL, NULL, 'Ere-like', NULL, 'Ere-like', NULL, NULL, 2438, 1),
(13178, NULL, 'cd07008', NULL, NULL, 'cupin_yp_001338853-like', NULL, 'cupin_yp_001338853-like', NULL, NULL, NULL, 1),
(13179, NULL, 'cd11259', NULL, NULL, 'Sema_4D', NULL, 'Sema_4D', NULL, NULL, NULL, 1),
(13180, NULL, 'cd13600', NULL, NULL, 'PBP2_lipoprotein_like_1', NULL, 'PBP2_lipoprotein_like_1', NULL, NULL, NULL, 1),
(13181, NULL, 'cd14544', NULL, NULL, 'PTPc-N11_6', NULL, 'PTPc-N11_6', NULL, NULL, NULL, 1),
(13182, NULL, 'cd15289', NULL, NULL, '7tmC_TAS1R1', NULL, '7tmC_TAS1R1', NULL, NULL, NULL, 1),
(13183, NULL, 'cd07095', NULL, NULL, 'ALDH_SGSD_AstD', NULL, 'ALDH_SGSD_AstD', NULL, NULL, 17115, 1),
(13184, NULL, 'cd07257', NULL, NULL, 'THT_oxygenase_C', NULL, 'THT_oxygenase_C', NULL, NULL, NULL, 1),
(13185, NULL, 'cd16317', NULL, NULL, 'IND_MBL-B1', NULL, 'IND_MBL-B1', NULL, NULL, NULL, 1),
(13186, NULL, 'cd19544', NULL, NULL, 'E-C_NRPS', NULL, 'E-C_NRPS', NULL, NULL, NULL, 1),
(13187, NULL, 'cd11290', NULL, NULL, 'gelsolin_S1_like', NULL, 'gelsolin_S1_like', NULL, NULL, NULL, 1),
(13188, NULL, 'cd16596', NULL, NULL, 'RING-HC_TRIM21_C-IV', NULL, 'RING-HC_TRIM21_C-IV', NULL, NULL, NULL, 1),
(13189, NULL, 'cd17296', NULL, NULL, 'RMtype1_S_MmaC5ORF1169P_TRD1-CR1_like', NULL, 'RMtype1_S_MmaC5ORF1169P_TRD1-CR1_like', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13190, NULL, 'cd09978', NULL, NULL, 'LOTUS_2_Limkain_b1', NULL, 'LOTUS_2_Limkain_b1', NULL, NULL, NULL, 1),
(13191, NULL, 'cd02116', NULL, NULL, 'ACT', NULL, 'ACT', NULL, NULL, NULL, 1),
(13192, NULL, 'cd13730', NULL, NULL, 'PBP2_iGluR_delta_1', NULL, 'PBP2_iGluR_delta_1', NULL, NULL, NULL, 1),
(13193, NULL, 'cd20294', NULL, NULL, 'cupin_KduI_N', NULL, 'cupin_KduI_N', NULL, NULL, NULL, 1),
(13194, NULL, 'cd19148', NULL, NULL, 'AKR_AKR11B1', NULL, 'AKR_AKR11B1', NULL, NULL, NULL, 1),
(13195, NULL, 'cd07845', NULL, NULL, 'STKc_CDK10', NULL, 'STKc_CDK10', NULL, NULL, 37527, 1),
(13196, NULL, 'cd06368', NULL, NULL, 'PBP1_iGluR_non_NMDA-like', NULL, 'PBP1_iGluR_non_NMDA-like', NULL, NULL, NULL, 1),
(13197, NULL, 'cd09853', NULL, NULL, 'PIN_FEN-like', NULL, 'PIN_FEN-like', NULL, NULL, NULL, 1),
(13198, NULL, 'cd11015', NULL, NULL, 'CuRO_2_FVIII_like', NULL, 'CuRO_2_FVIII_like', NULL, NULL, NULL, 1),
(13199, NULL, 'cd17134', NULL, NULL, 'RBD_BRAF', NULL, 'RBD_BRAF', NULL, NULL, NULL, 1),
(13200, NULL, 'cd14245', NULL, NULL, 'DMP12', NULL, 'DMP12', NULL, NULL, 24684, 1),
(13201, NULL, 'cd15382', NULL, NULL, '7tmA_AKHR', NULL, '7tmA_AKHR', NULL, NULL, NULL, 1),
(13202, NULL, 'cd14684', NULL, NULL, 'RanBD1_RanBP2-like', NULL, 'RanBD1_RanBP2-like', NULL, NULL, NULL, 1),
(13203, NULL, 'cd07443', NULL, NULL, 'CRD_SFRP1', NULL, 'CRD_SFRP1', NULL, NULL, 32411, 1),
(13204, NULL, 'cd14557', NULL, NULL, 'R-PTPc-C-1', NULL, 'R-PTPc-C-1', NULL, NULL, NULL, 1),
(13205, NULL, 'cd19388', NULL, NULL, 'TGF_beta_GDF8', NULL, 'TGF_beta_GDF8', NULL, NULL, NULL, 1),
(13206, NULL, 'cd06977', NULL, NULL, 'cupin_RhaR_RhaS-like_N', NULL, 'cupin_RhaR_RhaS-like_N', NULL, NULL, NULL, 1),
(13207, NULL, 'cd14523', NULL, NULL, 'DSP_DUSP19', NULL, 'DSP_DUSP19', NULL, NULL, NULL, 1),
(13208, NULL, 'cd09500', NULL, NULL, 'SAM_AIDA1AB-like_repeat2', NULL, 'SAM_AIDA1AB-like_repeat2', NULL, NULL, 32459, 1),
(13209, NULL, 'cd08988', NULL, NULL, 'GH43_ABN', NULL, 'GH43_ABN', NULL, NULL, NULL, 1),
(13210, NULL, 'cd21566', NULL, NULL, 'gammaCoV_M', NULL, 'gammaCoV_M', NULL, NULL, 38264, 1),
(13211, NULL, 'cd02055', NULL, NULL, 'serpinA10_PZI', NULL, 'serpinA10_PZI', NULL, NULL, 34032, 1),
(13212, NULL, 'cd13959', NULL, NULL, 'PT_UbiA_COQ2', NULL, 'PT_UbiA_COQ2', NULL, NULL, 29174, 1),
(13213, NULL, 'cd09446', NULL, NULL, 'LIM_N_RAP', NULL, 'LIM_N_RAP', NULL, NULL, NULL, 1),
(13214, NULL, 'cd15754', NULL, NULL, 'FYVE_PKHF1', NULL, 'FYVE_PKHF1', NULL, NULL, 36735, 1),
(13215, NULL, 'cd07133', NULL, NULL, 'ALDH_CALDH_CalB', NULL, 'ALDH_CALDH_CalB', NULL, NULL, NULL, 1),
(13216, NULL, 'cd01088', NULL, NULL, 'MetAP2', NULL, 'MetAP2', NULL, NULL, 7063, 1),
(13217, NULL, 'cd13703', NULL, NULL, 'PBP2_HisJ_LAO', NULL, 'PBP2_HisJ_LAO', NULL, NULL, NULL, 1),
(13218, NULL, 'cd07909', NULL, NULL, 'YciF', NULL, 'YciF', NULL, NULL, NULL, 1),
(13219, NULL, 'cd05251', NULL, NULL, 'NmrA_like_SDR_a', NULL, 'NmrA_like_SDR_a', NULL, NULL, NULL, 1),
(13220, NULL, 'cd07571', NULL, NULL, 'ALP_N-acyl_transferase', NULL, 'ALP_N-acyl_transferase', NULL, NULL, 699, 1),
(13221, NULL, 'cd16771', NULL, NULL, 'RING-HC_UNK', NULL, 'RING-HC_UNK', NULL, NULL, NULL, 1),
(13222, NULL, 'cd03884', NULL, NULL, 'M20_bAS', NULL, 'M20_bAS', NULL, NULL, NULL, 1),
(13223, NULL, 'cd11894', NULL, NULL, 'SH3_FCHSD2_2', NULL, 'SH3_FCHSD2_2', NULL, NULL, 36184, 1),
(13224, NULL, 'cd06608', NULL, NULL, 'STKc_myosinIII_N_like', NULL, 'STKc_myosinIII_N_like', NULL, NULL, NULL, 1),
(13225, NULL, 'cd16359', NULL, NULL, 'VOC_BsCatE_like_C', NULL, 'VOC_BsCatE_like_C', NULL, NULL, NULL, 1),
(13226, NULL, 'cd19944', NULL, NULL, 'NirB_Fer2_BFD-like_2', NULL, 'NirB_Fer2_BFD-like_2', NULL, NULL, NULL, 1),
(13227, NULL, 'cd16453', NULL, NULL, 'RING-Ubox', NULL, 'RING-Ubox', NULL, NULL, NULL, 1),
(13228, NULL, 'cd07723', NULL, NULL, 'hydroxyacylglutathione_hydrolase_MBL-fold', NULL, 'hydroxyacylglutathione_hydrolase_MBL-fold', NULL, NULL, 32475, 1),
(13229, NULL, 'cd00887', NULL, NULL, 'MoeA', NULL, 'MoeA', NULL, NULL, 30125, 1),
(13230, NULL, 'cd11739', NULL, NULL, 'HSPH1_NBD', NULL, 'HSPH1_NBD', NULL, NULL, 32603, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13231, NULL, 'cd01523', NULL, NULL, 'RHOD_Lact_B', NULL, 'RHOD_Lact_B', NULL, NULL, NULL, 1),
(13232, NULL, 'cd15069', NULL, NULL, '7tmA_Adenosine_R_A2B', NULL, '7tmA_Adenosine_R_A2B', NULL, NULL, NULL, 1),
(13233, NULL, 'cd13597', NULL, NULL, 'PBP2_lipoprotein_Tp32', NULL, 'PBP2_lipoprotein_Tp32', NULL, NULL, NULL, 1),
(13234, NULL, 'cd18039', NULL, NULL, 'DEXXQc_UPF1', NULL, 'DEXXQc_UPF1', NULL, NULL, NULL, 1),
(13235, NULL, 'cd15530', NULL, NULL, 'PHD2_d4', NULL, 'PHD2_d4', NULL, NULL, NULL, 1),
(13236, NULL, 'cd04216', NULL, NULL, 'Phytocyanin', NULL, 'Phytocyanin', NULL, NULL, NULL, 1),
(13237, NULL, 'cd04760', NULL, NULL, 'BAH_Dnmt1_I', NULL, 'BAH_Dnmt1_I', NULL, NULL, NULL, 1),
(13238, NULL, 'cd06256', NULL, NULL, 'M14_ASTE_ASPA-like', NULL, 'M14_ASTE_ASPA-like', NULL, NULL, NULL, 1),
(13239, NULL, 'cd05633', NULL, NULL, 'STKc_GRK3', NULL, 'STKc_GRK3', NULL, NULL, NULL, 1),
(13240, NULL, 'cd06006', NULL, NULL, 'R3H_unknown_2', NULL, 'R3H_unknown_2', NULL, NULL, 36381, 1),
(13241, NULL, 'cd15865', NULL, NULL, 'SNARE_SEC20', NULL, 'SNARE_SEC20', NULL, NULL, NULL, 1),
(13242, NULL, 'cd19907', NULL, NULL, 'DSRM_AtDRB-like_rpt1', NULL, 'DSRM_AtDRB-like_rpt1', NULL, NULL, 37653, 1),
(13243, NULL, 'cd16131', NULL, NULL, 'RA_Rin2', NULL, 'RA_Rin2', NULL, NULL, NULL, 1),
(13244, NULL, 'cd12156', NULL, NULL, 'HPPR', NULL, 'HPPR', NULL, NULL, NULL, 1),
(13245, NULL, 'cd03227', NULL, NULL, 'ABC_Class2', NULL, 'ABC_Class2', NULL, NULL, NULL, 1),
(13246, NULL, 'cd19887', NULL, NULL, 'DSRM_STAU1_rpt5', NULL, 'DSRM_STAU1_rpt5', NULL, NULL, NULL, 1),
(13247, NULL, 'cd14085', NULL, NULL, 'STKc_CaMKIV', NULL, 'STKc_CaMKIV', NULL, NULL, NULL, 1),
(13248, NULL, 'cd16297', NULL, NULL, 'artemis-SNM1C-like_MBL-fold', NULL, 'artemis-SNM1C-like_MBL-fold', NULL, NULL, NULL, 1),
(13249, NULL, 'cd02810', NULL, NULL, 'DHOD_DHPD_FMN', NULL, 'DHOD_DHPD_FMN', NULL, NULL, NULL, 1),
(13250, NULL, 'cd12063', NULL, NULL, 'SH3_Caskin2', NULL, 'SH3_Caskin2', NULL, NULL, 16821, 1),
(13251, NULL, 'cd09606', NULL, NULL, 'M3B_PepF', NULL, 'M3B_PepF', NULL, NULL, NULL, 1),
(13252, NULL, 'cd01809', NULL, NULL, 'Ubl_BAG6', NULL, 'Ubl_BAG6', NULL, NULL, NULL, 1),
(13253, NULL, 'cd08247', NULL, NULL, 'AST1_like', NULL, 'AST1_like', NULL, NULL, NULL, 1),
(13254, NULL, 'cd12550', NULL, NULL, 'RRM_II_PABPN1', NULL, 'RRM_II_PABPN1', NULL, NULL, NULL, 1),
(13255, NULL, 'cd04724', NULL, NULL, 'Tryptophan_synthase_alpha', NULL, 'Tryptophan_synthase_alpha', NULL, NULL, 5447, 1),
(13256, NULL, 'cd09707', NULL, NULL, 'Csf3_U', NULL, 'Csf3_U', NULL, NULL, 15054, 1),
(13257, NULL, 'cd11537', NULL, NULL, 'NTP-PPase_RS21-C6_like', NULL, 'NTP-PPase_RS21-C6_like', NULL, NULL, 27381, 1),
(13258, NULL, 'cd15235', NULL, NULL, '7tmA_OR1A-like', NULL, '7tmA_OR1A-like', NULL, NULL, NULL, 1),
(13259, NULL, 'cd19397', NULL, NULL, 'TGF_beta_BMP7', NULL, 'TGF_beta_BMP7', NULL, NULL, NULL, 1),
(13260, NULL, 'cd07173', NULL, NULL, 'NR_DBD_AR', NULL, 'NR_DBD_AR', NULL, NULL, NULL, 1),
(13261, NULL, 'cd09705', NULL, NULL, 'Csf1_U', NULL, 'Csf1_U', NULL, NULL, NULL, 1),
(13262, NULL, 'cd15806', NULL, NULL, 'LGP2_C', NULL, 'LGP2_C', NULL, NULL, NULL, 1),
(13263, NULL, 'cd10469', NULL, NULL, 'FAM20A_C', NULL, 'FAM20A_C', NULL, NULL, NULL, 1),
(13264, NULL, 'cd19934', NULL, NULL, 'REC_OmpR_EcPhoP-like', NULL, 'REC_OmpR_EcPhoP-like', NULL, NULL, NULL, 1),
(13265, NULL, 'cd13572', NULL, NULL, 'PBP2_PnhD_2', NULL, 'PBP2_PnhD_2', NULL, NULL, NULL, 1),
(13266, NULL, 'cd07725', NULL, NULL, 'TTHA1429-like_MBL-fold', NULL, 'TTHA1429-like_MBL-fold', NULL, NULL, NULL, 1),
(13267, NULL, 'cd11919', NULL, NULL, 'SH3_Sorbs1_1', NULL, 'SH3_Sorbs1_1', NULL, NULL, 30357, 1),
(13268, NULL, 'cd15388', NULL, NULL, '7tmA_V2R', NULL, '7tmA_V2R', NULL, NULL, NULL, 1),
(13269, NULL, 'cd16376', NULL, NULL, 'Avd_like', NULL, 'Avd_like', NULL, NULL, NULL, 1),
(13270, NULL, 'cd01842', NULL, NULL, 'SGNH_hydrolase_like_5', NULL, 'SGNH_hydrolase_like_5', NULL, NULL, NULL, 1),
(13271, NULL, 'cd14981', NULL, NULL, '7tmA_Prostanoid_R', NULL, '7tmA_Prostanoid_R', NULL, NULL, NULL, 1),
(13272, NULL, 'cd10920', NULL, NULL, 'CE4_WbmS', NULL, 'CE4_WbmS', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13273, NULL, 'cd01374', NULL, NULL, 'KISc_CENP_E', NULL, 'KISc_CENP_E', NULL, NULL, NULL, 1),
(13274, NULL, 'cd15668', NULL, NULL, 'ePHD_RAI1_like', NULL, 'ePHD_RAI1_like', NULL, NULL, NULL, 1),
(13275, NULL, 'cd16895', NULL, NULL, 'TraH-like', NULL, 'TraH-like', NULL, NULL, NULL, 1),
(13276, NULL, 'cd08451', NULL, NULL, 'PBP2_BudR', NULL, 'PBP2_BudR', NULL, NULL, 31237, 1),
(13277, NULL, 'cd11649', NULL, NULL, 'RsmI_like', NULL, 'RsmI_like', NULL, NULL, NULL, 1),
(13278, NULL, 'cd14482', NULL, NULL, 'SPX_BAH1-like', NULL, 'SPX_BAH1-like', NULL, NULL, NULL, 1),
(13279, NULL, 'cd07176', NULL, NULL, 'terB', NULL, 'terB', NULL, NULL, NULL, 1),
(13280, NULL, 'cd20171', NULL, NULL, 'M34_peptidase', NULL, 'M34_peptidase', NULL, NULL, NULL, 1),
(13281, NULL, 'cd14683', NULL, NULL, 'PH-EXOC1', NULL, 'PH-EXOC1', NULL, NULL, NULL, 1),
(13282, NULL, 'cd07866', NULL, NULL, 'STKc_BUR1', NULL, 'STKc_BUR1', NULL, NULL, NULL, 1),
(13283, NULL, 'cd18581', NULL, NULL, 'ABC_6TM_ABCB6', NULL, 'ABC_6TM_ABCB6', NULL, NULL, NULL, 1),
(13284, NULL, 'cd15146', NULL, NULL, '7tmA_PGE2_EP3', NULL, '7tmA_PGE2_EP3', NULL, NULL, NULL, 1),
(13285, NULL, 'cd09877', NULL, NULL, 'PIN_YacL-like', NULL, 'PIN_YacL-like', NULL, NULL, NULL, 1),
(13286, NULL, 'cd18526', NULL, NULL, 'BACK_ABTB2', NULL, 'BACK_ABTB2', NULL, NULL, NULL, 1),
(13287, NULL, 'cd08353', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(13288, NULL, 'cd10493', NULL, NULL, 'MH1_SMAD_6', NULL, 'MH1_SMAD_6', NULL, NULL, NULL, 1),
(13289, NULL, 'cd03361', NULL, NULL, 'TOPRIM_TopoIA_RevGyr', NULL, 'TOPRIM_TopoIA_RevGyr', NULL, NULL, 5684, 1),
(13290, NULL, 'cd01742', NULL, NULL, 'GATase1_GMP_Synthase', NULL, 'GATase1_GMP_Synthase', NULL, NULL, 5211, 1),
(13291, NULL, 'cd04338', NULL, NULL, 'Rieske_RO_Alpha_Tic55', NULL, 'Rieske_RO_Alpha_Tic55', NULL, NULL, NULL, 1),
(13292, NULL, 'cd07032', NULL, NULL, 'RNAP_I_II_AC40', NULL, 'RNAP_I_II_AC40', NULL, NULL, 32811, 1),
(13293, NULL, 'cd03368', NULL, NULL, 'Ribosomal_S12', NULL, 'Ribosomal_S12', NULL, NULL, 3772, 1),
(13294, NULL, 'cd05099', NULL, NULL, 'PTKc_FGFR4', NULL, 'PTKc_FGFR4', NULL, NULL, NULL, 1),
(13295, NULL, 'cd19372', NULL, NULL, 'UDG_F1_VAVC_D4-like', NULL, 'UDG_F1_VAVC_D4-like', NULL, NULL, NULL, 1),
(13296, NULL, 'cd03366', NULL, NULL, 'TOPRIM_TopoIIA_GyrB', NULL, 'TOPRIM_TopoIIA_GyrB', NULL, NULL, 29262, 1),
(13297, NULL, 'cd18009', NULL, NULL, 'DEXHc_HELLS_SMARCA6', NULL, 'DEXHc_HELLS_SMARCA6', NULL, NULL, 36525, 1),
(13298, NULL, 'cd17537', NULL, NULL, 'REC_FixJ', NULL, 'REC_FixJ', NULL, NULL, NULL, 1),
(13299, NULL, 'cd14169', NULL, NULL, 'STKc_CaMKI_beta', NULL, 'STKc_CaMKI_beta', NULL, NULL, 38865, 1),
(13300, NULL, 'cd11934', NULL, NULL, 'SH3_Lasp1_C', NULL, 'SH3_Lasp1_C', NULL, NULL, 36283, 1),
(13301, NULL, 'cd04031', NULL, NULL, 'C2A_RIM1alpha', NULL, 'C2A_RIM1alpha', NULL, NULL, NULL, 1),
(13302, NULL, 'cd19894', NULL, NULL, 'DSRM_STRBP-like_rpt1', NULL, 'DSRM_STRBP-like_rpt1', NULL, NULL, NULL, 1),
(13303, NULL, 'cd01563', NULL, NULL, 'Thr-synth_1', NULL, 'Thr-synth_1', NULL, NULL, NULL, 1),
(13304, NULL, 'cd05327', NULL, NULL, 'retinol-DH_like_SDR_c_like', NULL, 'retinol-DH_like_SDR_c_like', NULL, NULL, NULL, 1),
(13305, NULL, 'cd18185', NULL, NULL, 'ATP-synt_Fo_c_ATPE', NULL, 'ATP-synt_Fo_c_ATPE', NULL, NULL, NULL, 1),
(13306, NULL, 'cd12025', NULL, NULL, 'SH3_Obscurin_like', NULL, 'SH3_Obscurin_like', NULL, NULL, 29807, 1),
(13307, NULL, 'cd10013', NULL, NULL, 'Cas3''''_I', NULL, 'Cas3''''_I', NULL, NULL, NULL, 1),
(13308, NULL, 'cd07251', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(13309, NULL, 'cd03447', NULL, NULL, 'FAS_MaoC', NULL, 'FAS_MaoC', NULL, NULL, NULL, 1),
(13310, NULL, 'cd16860', NULL, NULL, 'ING_ING1', NULL, 'ING_ING1', NULL, NULL, NULL, 1),
(13311, NULL, 'cd07504', NULL, NULL, 'HAD_5NT', NULL, 'HAD_5NT', NULL, NULL, 6991, 1),
(13312, NULL, 'cd12452', NULL, NULL, 'RRM_ARP_like', NULL, 'RRM_ARP_like', NULL, NULL, 839, 1),
(13313, NULL, 'cd19218', NULL, NULL, 'SET_EZH2', NULL, 'SET_EZH2', NULL, NULL, 37321, 1),
(13314, NULL, 'cd03496', NULL, NULL, 'SQR_TypeC_CybS', NULL, 'SQR_TypeC_CybS', NULL, NULL, 4015, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13315, NULL, 'cd01785', NULL, NULL, 'RA_PDZ-GEF1', NULL, 'RA_PDZ-GEF1', NULL, NULL, NULL, 1),
(13316, NULL, 'cd01862', NULL, NULL, 'Rab7', NULL, 'Rab7', NULL, NULL, NULL, 1),
(13317, NULL, 'cd03480', NULL, NULL, 'Rieske_RO_Alpha_PaO', NULL, 'Rieske_RO_Alpha_PaO', NULL, NULL, NULL, 1),
(13318, NULL, 'cd03029', NULL, NULL, 'GRX_hybridPRX5', NULL, 'GRX_hybridPRX5', NULL, NULL, NULL, 1),
(13319, NULL, 'cd10490', NULL, NULL, 'MH1_SMAD_1_5_9', NULL, 'MH1_SMAD_1_5_9', NULL, NULL, NULL, 1),
(13320, NULL, 'cd09596', NULL, NULL, 'M36', NULL, 'M36', NULL, NULL, NULL, 1),
(13321, NULL, 'cd16854', NULL, NULL, 'STAT4_CCD', NULL, 'STAT4_CCD', NULL, NULL, NULL, 1),
(13322, NULL, 'cd00673', NULL, NULL, 'AlaRS_core', NULL, 'AlaRS_core', NULL, NULL, NULL, 1),
(13323, NULL, 'cd14739', NULL, NULL, 'PAAR_3', NULL, 'PAAR_3', NULL, NULL, NULL, 1),
(13324, NULL, 'cd08334', NULL, NULL, 'DED_Caspase_8_10_r2', NULL, 'DED_Caspase_8_10_r2', NULL, NULL, NULL, 1),
(13325, NULL, 'cd17153', NULL, NULL, 'DCX2_DCDC2B', NULL, 'DCX2_DCDC2B', NULL, NULL, NULL, 1),
(13326, NULL, 'cd01141', NULL, NULL, 'TroA_d', NULL, 'TroA_d', NULL, NULL, NULL, 1),
(13327, NULL, 'cd19352', NULL, NULL, 'Wnt_Wnt8b', NULL, 'Wnt_Wnt8b', NULL, NULL, NULL, 1),
(13328, NULL, 'cd13360', NULL, NULL, 'PH_PLC_fungal', NULL, 'PH_PLC_fungal', NULL, NULL, 35332, 1),
(13329, NULL, 'cd01667', NULL, NULL, 'TGS_ThrRS', NULL, 'TGS_ThrRS', NULL, NULL, NULL, 1),
(13330, NULL, 'cd13121', NULL, NULL, 'BF2867_like_C', NULL, 'BF2867_like_C', NULL, NULL, NULL, 1),
(13331, NULL, 'cd15972', NULL, NULL, '7tmA_SSTR3', NULL, '7tmA_SSTR3', NULL, NULL, NULL, 1),
(13332, NULL, 'cd07557', NULL, NULL, 'trimeric_dUTPase', NULL, 'trimeric_dUTPase', NULL, NULL, 32555, 1),
(13333, NULL, 'cd01726', NULL, NULL, 'LSm6', NULL, 'LSm6', NULL, NULL, NULL, 1),
(13334, NULL, 'cd05140', NULL, NULL, 'Barstar_AU1054-like', NULL, 'Barstar_AU1054-like', NULL, NULL, NULL, 1),
(13335, NULL, 'cd14781', NULL, NULL, 'FHb-globin_1', NULL, 'FHb-globin_1', NULL, NULL, NULL, 1),
(13336, NULL, 'cd16476', NULL, NULL, 'RING-H2_RNF139_like', NULL, 'RING-H2_RNF139_like', NULL, NULL, NULL, 1),
(13337, NULL, 'cd00904', NULL, NULL, 'Ferritin', NULL, 'Ferritin', NULL, NULL, NULL, 1),
(13338, NULL, 'cd09837', NULL, NULL, 'CBS_pair_chlorobiales', NULL, 'CBS_pair_chlorobiales', NULL, NULL, NULL, 1),
(13339, NULL, 'cd14361', NULL, NULL, 'UBA_HYPK', NULL, 'UBA_HYPK', NULL, NULL, 29449, 1),
(13340, NULL, 'cd01517', NULL, NULL, 'PAP_phosphatase', NULL, 'PAP_phosphatase', NULL, NULL, NULL, 1),
(13341, NULL, 'cd14339', NULL, NULL, 'UBA_SNRK', NULL, 'UBA_SNRK', NULL, NULL, NULL, 1),
(13342, NULL, 'cd03206', NULL, NULL, 'GST_C_7', NULL, 'GST_C_7', NULL, NULL, NULL, 1),
(13343, NULL, 'cd04682', NULL, NULL, 'Nudix_Hydrolase_23', NULL, 'Nudix_Hydrolase_23', NULL, NULL, NULL, 1),
(13344, NULL, 'cd04103', NULL, NULL, 'Centaurin_gamma', NULL, 'Centaurin_gamma', NULL, NULL, NULL, 1),
(13345, NULL, 'cd19176', NULL, NULL, 'SET_SETD3', NULL, 'SET_SETD3', NULL, NULL, 37944, 1),
(13346, NULL, 'cd00423', NULL, NULL, 'Pterin_binding', NULL, 'Pterin_binding', NULL, NULL, NULL, 1),
(13347, NULL, 'cd18579', NULL, NULL, 'ABC_6TM_ABCC_D1', NULL, 'ABC_6TM_ABCC_D1', NULL, NULL, 36918, 1),
(13348, NULL, 'cd13183', NULL, NULL, 'FERM_C_FRMPD1_FRMPD3_FRMPD4', NULL, 'FERM_C_FRMPD1_FRMPD3_FRMPD4', NULL, NULL, 32716, 1),
(13349, NULL, 'cd07064', NULL, NULL, 'AlkD_like_1', NULL, 'AlkD_like_1', NULL, NULL, NULL, 1),
(13350, NULL, 'cd14147', NULL, NULL, 'STKc_MLK3', NULL, 'STKc_MLK3', NULL, NULL, NULL, 1),
(13351, NULL, 'cd06121', NULL, NULL, 'cupin_YML079wp', NULL, 'cupin_YML079wp', NULL, NULL, 14903, 1),
(13352, NULL, 'cd16857', NULL, NULL, 'ING_ING1_2', NULL, 'ING_ING1_2', NULL, NULL, NULL, 1),
(13353, NULL, 'cd11672', NULL, NULL, 'ADDz', NULL, 'ADDz', NULL, NULL, NULL, 1),
(13354, NULL, 'cd09470', NULL, NULL, 'LIM1_Lhx9', NULL, 'LIM1_Lhx9', NULL, NULL, NULL, 1),
(13355, NULL, 'cd07453', NULL, NULL, 'CRD_crescent', NULL, 'CRD_crescent', NULL, NULL, 32571, 1),
(13356, NULL, 'cd18405', NULL, NULL, 'BTB_POZ_KCNA4', NULL, 'BTB_POZ_KCNA4', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13357, NULL, 'cd10149', NULL, NULL, 'ClassIIa_HDAC_Gln-rich-N', NULL, 'ClassIIa_HDAC_Gln-rich-N', NULL, NULL, NULL, 1),
(13358, NULL, 'cd05271', NULL, NULL, 'NDUFA9_like_SDR_a', NULL, 'NDUFA9_like_SDR_a', NULL, NULL, NULL, 1),
(13359, NULL, 'cd07155', NULL, NULL, 'NR_DBD_ER_like', NULL, 'NR_DBD_ER_like', NULL, NULL, NULL, 1),
(13360, NULL, 'cd16974', NULL, NULL, 'Alpha_kinase_ALPK2', NULL, 'Alpha_kinase_ALPK2', NULL, NULL, NULL, 1),
(13361, NULL, 'cd05727', NULL, NULL, 'Ig2_Contactin-2-like', NULL, 'Ig2_Contactin-2-like', NULL, NULL, NULL, 1),
(13362, NULL, 'cd08864', NULL, NULL, 'SRPBCC_DUF3074', NULL, 'SRPBCC_DUF3074', NULL, NULL, NULL, 1),
(13363, NULL, 'cd12896', NULL, NULL, 'SPRY_PRY_TRIM65', NULL, 'SPRY_PRY_TRIM65', NULL, NULL, NULL, 1),
(13364, NULL, 'cd12605', NULL, NULL, 'RRM_RALYL', NULL, 'RRM_RALYL', NULL, NULL, 21202, 1),
(13365, NULL, 'cd00385', NULL, NULL, 'Isoprenoid_Biosyn_C1', NULL, 'Isoprenoid_Biosyn_C1', NULL, NULL, NULL, 1),
(13366, NULL, 'cd02248', NULL, NULL, 'Peptidase_C1A', NULL, 'Peptidase_C1A', NULL, NULL, 29768, 1),
(13367, NULL, 'cd19550', NULL, NULL, 'serpinA2_PIL', NULL, 'serpinA2_PIL', NULL, NULL, NULL, 1),
(13368, NULL, 'cd00989', NULL, NULL, 'PDZ_metalloprotease', NULL, 'PDZ_metalloprotease', NULL, NULL, NULL, 1),
(13369, NULL, 'cd11932', NULL, NULL, 'SH3_SH3RF2_2', NULL, 'SH3_SH3RF2_2', NULL, NULL, 35460, 1),
(13370, NULL, 'cd12803', NULL, NULL, 'HopAB_BID', NULL, 'HopAB_BID', NULL, NULL, 23131, 1),
(13371, NULL, 'cd18198', NULL, NULL, 'BTB_POZ_ZBTB7', NULL, 'BTB_POZ_ZBTB7', NULL, NULL, NULL, 1),
(13372, NULL, 'cd12124', NULL, NULL, 'Pgbs', NULL, 'Pgbs', NULL, NULL, 13380, 1),
(13373, NULL, 'cd18001', NULL, NULL, 'DEXHc_ERCC6L', NULL, 'DEXHc_ERCC6L', NULL, NULL, NULL, 1),
(13374, NULL, 'cd06466', NULL, NULL, 'p23_CS_SGT1_like', NULL, 'p23_CS_SGT1_like', NULL, NULL, NULL, 1),
(13375, NULL, 'cd08551', NULL, NULL, 'Fe-ADH', NULL, 'Fe-ADH', NULL, NULL, NULL, 1),
(13376, NULL, 'cd07710', NULL, NULL, 'arylsulfatase_Sdsa1-like_MBL-fold', NULL, 'arylsulfatase_Sdsa1-like_MBL-fold', NULL, NULL, 38316, 1),
(13377, NULL, 'cd12681', NULL, NULL, 'RRM_SKAR', NULL, 'RRM_SKAR', NULL, NULL, 19462, 1),
(13378, NULL, 'cd11766', NULL, NULL, 'SH3_Nck_2', NULL, 'SH3_Nck_2', NULL, NULL, NULL, 1),
(13379, NULL, 'cd14218', NULL, NULL, 'STKc_SRPK3', NULL, 'STKc_SRPK3', NULL, NULL, NULL, 1),
(13380, NULL, 'cd17027', NULL, NULL, 'T3SC_IA_YscB_AscB-like', NULL, 'T3SC_IA_YscB_AscB-like', NULL, NULL, NULL, 1),
(13381, NULL, 'cd20248', NULL, NULL, 'phospholamban_like', NULL, 'phospholamban_like', NULL, NULL, NULL, 1),
(13382, NULL, 'cd17374', NULL, NULL, 'MFS_OAT', NULL, 'MFS_OAT', NULL, NULL, NULL, 1),
(13383, NULL, 'cd04587', NULL, NULL, 'CBS_pair_CAP-ED_NT_Pol-beta-like_DUF294_assoc', NULL, 'CBS_pair_CAP-ED_NT_Pol-beta-like_DUF294_assoc', NULL, NULL, NULL, 1),
(13384, NULL, 'cd11940', NULL, NULL, 'SH3_ARHGEF5_19', NULL, 'SH3_ARHGEF5_19', NULL, NULL, NULL, 1),
(13385, NULL, 'cd00198', NULL, NULL, 'vWFA', NULL, 'vWFA', NULL, NULL, NULL, 1),
(13386, NULL, 'cd13761', NULL, NULL, 'TGF_beta_BMP5_like', NULL, 'TGF_beta_BMP5_like', NULL, NULL, NULL, 1),
(13387, NULL, 'cd18392', NULL, NULL, 'BTB_POZ_KCTD3', NULL, 'BTB_POZ_KCTD3', NULL, NULL, NULL, 1),
(13388, NULL, 'cd17983', NULL, NULL, 'DEXHc_DHX38', NULL, 'DEXHc_DHX38', NULL, NULL, NULL, 1),
(13389, NULL, 'cd01428', NULL, NULL, 'ADK', NULL, 'ADK', NULL, NULL, 15, 1),
(13390, NULL, 'cd18258', NULL, NULL, 'BTB_POZ_KLHL29_KBTBD9', NULL, 'BTB_POZ_KLHL29_KBTBD9', NULL, NULL, NULL, 1),
(13391, NULL, 'cd05761', NULL, NULL, 'Ig2_Necl-1-4_like', NULL, 'Ig2_Necl-1-4_like', NULL, NULL, NULL, 1),
(13392, NULL, 'cd14382', NULL, NULL, 'UBA2_RAD23_plant', NULL, 'UBA2_RAD23_plant', NULL, NULL, NULL, 1),
(13393, NULL, 'cd16874', NULL, NULL, 'ARID_KDM5B', NULL, 'ARID_KDM5B', NULL, NULL, NULL, 1),
(13394, NULL, 'cd05719', NULL, NULL, 'Ig2_PVR_like', NULL, 'Ig2_PVR_like', NULL, NULL, NULL, 1),
(13395, NULL, 'cd18467', NULL, NULL, 'BACK_KLHL28_BTBD5', NULL, 'BACK_KLHL28_BTBD5', NULL, NULL, NULL, 1),
(13396, NULL, 'cd05069', NULL, NULL, 'PTKc_Yes', NULL, 'PTKc_Yes', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13397, NULL, 'cd09503', NULL, NULL, 'SAM_tumor-p63,p73', NULL, 'SAM_tumor-p63,p73', NULL, NULL, NULL, 1),
(13398, NULL, 'cd00418', NULL, NULL, 'GlxRS_core', NULL, 'GlxRS_core', NULL, NULL, NULL, 1),
(13399, NULL, 'cd07206', NULL, NULL, 'Pat_TGL3-4-5_SDP1', NULL, 'Pat_TGL3-4-5_SDP1', NULL, NULL, NULL, 1),
(13400, NULL, 'cd18510', NULL, NULL, 'BACK_KLHL4', NULL, 'BACK_KLHL4', NULL, NULL, NULL, 1),
(13401, NULL, 'cd17087', NULL, NULL, 'RAWUL_DRIP_like', NULL, 'RAWUL_DRIP_like', NULL, NULL, 36824, 1),
(13402, NULL, 'cd15586', NULL, NULL, 'PHD_ING4_5', NULL, 'PHD_ING4_5', NULL, NULL, NULL, 1),
(13403, NULL, 'cd12765', NULL, NULL, 'RRM2_SRSF5', NULL, 'RRM2_SRSF5', NULL, NULL, NULL, 1),
(13404, NULL, 'cd18451', NULL, NULL, 'BACK_KLHL11', NULL, 'BACK_KLHL11', NULL, NULL, NULL, 1),
(13405, NULL, 'cd03062', NULL, NULL, 'TRX_Fd_Sucrase', NULL, 'TRX_Fd_Sucrase', NULL, NULL, 12833, 1),
(13406, NULL, 'cd01805', NULL, NULL, 'Ubl_Rad23', NULL, 'Ubl_Rad23', NULL, NULL, NULL, 1),
(13407, NULL, 'cd12615', NULL, NULL, 'RRM1_TIA1', NULL, 'RRM1_TIA1', NULL, NULL, 36193, 1),
(13408, NULL, 'cd02522', NULL, NULL, 'GT_2_like_a', NULL, 'GT_2_like_a', NULL, NULL, 27153, 1),
(13409, NULL, 'cd14795', NULL, NULL, 'RNLA_N_2', NULL, 'RNLA_N_2', NULL, NULL, NULL, 1),
(13410, NULL, 'cd20268', NULL, NULL, 'Complex1_LYR_SDHAF1_LYRM8', NULL, 'Complex1_LYR_SDHAF1_LYRM8', NULL, NULL, 37239, 1),
(13411, NULL, 'cd10400', NULL, NULL, 'SH2_SAP1a', NULL, 'SH2_SAP1a', NULL, NULL, 35637, 1),
(13412, NULL, 'cd10939', NULL, NULL, 'CE4_ArnD', NULL, 'CE4_ArnD', NULL, NULL, NULL, 1),
(13413, NULL, 'cd19966', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(13414, NULL, 'cd14817', NULL, NULL, 'D-Ala-D-Ala_dipeptidase_VanX', NULL, 'D-Ala-D-Ala_dipeptidase_VanX', NULL, NULL, NULL, 1),
(13415, NULL, 'cd16891', NULL, NULL, 'CwlT-like', NULL, 'CwlT-like', NULL, NULL, NULL, 1),
(13416, NULL, 'cd07444', NULL, NULL, 'CRD_SFRP5', NULL, 'CRD_SFRP5', NULL, NULL, 32256, 1),
(13417, NULL, 'cd03009', NULL, NULL, 'TryX_like_TryX_NRX', NULL, 'TryX_like_TryX_NRX', NULL, NULL, 36566, 1),
(13418, NULL, 'cd15500', NULL, NULL, 'PHD1_PHF1', NULL, 'PHD1_PHF1', NULL, NULL, NULL, 1),
(13419, NULL, 'cd17428', NULL, NULL, 'MFS_MCT9', NULL, 'MFS_MCT9', NULL, NULL, NULL, 1),
(13420, NULL, 'cd03246', NULL, NULL, 'ABCC_Protease_Secretion', NULL, 'ABCC_Protease_Secretion', NULL, NULL, NULL, 1),
(13421, NULL, 'cd07749', NULL, NULL, 'NT_Pol-beta-like_1', NULL, 'NT_Pol-beta-like_1', NULL, NULL, NULL, 1),
(13422, NULL, 'cd07488', NULL, NULL, 'Peptidases_S8_2', NULL, 'Peptidases_S8_2', NULL, NULL, 29919, 1),
(13423, NULL, 'cd14354', NULL, NULL, 'UBA_UBP25', NULL, 'UBA_UBP25', NULL, NULL, NULL, 1),
(13424, NULL, 'cd14363', NULL, NULL, 'CUE_TOLIP', NULL, 'CUE_TOLIP', NULL, NULL, 33047, 1),
(13425, NULL, 'cd08868', NULL, NULL, 'START_STARD1_3_like', NULL, 'START_STARD1_3_like', NULL, NULL, NULL, 1),
(13426, NULL, 'cd19198', NULL, NULL, 'PR-SET_PRDM14', NULL, 'PR-SET_PRDM14', NULL, NULL, 37036, 1),
(13427, NULL, 'cd09176', NULL, NULL, 'PLDc_unchar6', NULL, 'PLDc_unchar6', NULL, NULL, NULL, 1),
(13428, NULL, 'cd09818', NULL, NULL, 'PIOX_like', NULL, 'PIOX_like', NULL, NULL, 31990, 1),
(13429, NULL, 'cd17048', NULL, NULL, 'Ubl_UBL3', NULL, 'Ubl_UBL3', NULL, NULL, NULL, 1),
(13430, NULL, 'cd13412', NULL, NULL, 'TNFRSF11B_teleost', NULL, 'TNFRSF11B_teleost', NULL, NULL, 28725, 1),
(13431, NULL, 'cd13940', NULL, NULL, 'ILEI_FAM3C', NULL, 'ILEI_FAM3C', NULL, NULL, 36028, 1),
(13432, NULL, 'cd13988', NULL, NULL, 'STKc_TBK1', NULL, 'STKc_TBK1', NULL, NULL, NULL, 1),
(13433, NULL, 'cd05708', NULL, NULL, 'S1_Rrp5_repeat_sc12', NULL, 'S1_Rrp5_repeat_sc12', NULL, NULL, NULL, 1),
(13434, NULL, 'cd14875', NULL, NULL, 'MYSc_Myo13', NULL, 'MYSc_Myo13', NULL, NULL, 34440, 1),
(13435, NULL, 'cd05348', NULL, NULL, 'BphB-like_SDR_c', NULL, 'BphB-like_SDR_c', NULL, NULL, NULL, 1),
(13436, NULL, 'cd02604', NULL, NULL, 'HAD_5NT', NULL, 'HAD_5NT', NULL, NULL, 4163, 1),
(13437, NULL, 'cd04601', NULL, NULL, 'CBS_pair_IMPDH', NULL, 'CBS_pair_IMPDH', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13438, NULL, 'cd06526', NULL, NULL, 'metazoan_ACD', NULL, 'metazoan_ACD', NULL, NULL, NULL, 1),
(13439, NULL, 'cd10025', NULL, NULL, '14-3-3_eta', NULL, '14-3-3_eta', NULL, NULL, NULL, 1),
(13440, NULL, 'cd18945', NULL, NULL, 'bHLH_E-protein_TCF4_E2-2', NULL, 'bHLH_E-protein_TCF4_E2-2', NULL, NULL, NULL, 1),
(13441, NULL, 'cd11305', NULL, NULL, 'alpha_DG_C', NULL, 'alpha_DG_C', NULL, NULL, NULL, 1),
(13442, NULL, 'cd09341', NULL, NULL, 'LIM2_Testin_like', NULL, 'LIM2_Testin_like', NULL, NULL, NULL, 1),
(13443, NULL, 'cd16614', NULL, NULL, 'RING-HC_UNK_like', NULL, 'RING-HC_UNK_like', NULL, NULL, NULL, 1),
(13444, NULL, 'cd14619', NULL, NULL, 'R-PTPc-H', NULL, 'R-PTPc-H', NULL, NULL, NULL, 1),
(13445, NULL, 'cd08407', NULL, NULL, 'C2B_Synaptotagmin-13', NULL, 'C2B_Synaptotagmin-13', NULL, NULL, NULL, 1),
(13446, NULL, 'cd00228', NULL, NULL, 'eu-GS', NULL, 'eu-GS', NULL, NULL, 2883, 1),
(13447, NULL, 'cd10498', NULL, NULL, 'MH2_SMAD_4', NULL, 'MH2_SMAD_4', NULL, NULL, NULL, 1),
(13448, NULL, 'cd15532', NULL, NULL, 'PHD2_CHD_II', NULL, 'PHD2_CHD_II', NULL, NULL, NULL, 1),
(13449, NULL, 'cd19399', NULL, NULL, 'TGF_beta_GDF5', NULL, 'TGF_beta_GDF5', NULL, NULL, NULL, 1),
(13450, NULL, 'cd15142', NULL, NULL, '7tmA_PGE2_EP4', NULL, '7tmA_PGE2_EP4', NULL, NULL, NULL, 1),
(13451, NULL, 'cd16485', NULL, NULL, 'mRING-H2-C3H2C2D_RBX1', NULL, 'mRING-H2-C3H2C2D_RBX1', NULL, NULL, NULL, 1),
(13452, NULL, 'cd19405', NULL, NULL, 'TGF_beta_INHBB', NULL, 'TGF_beta_INHBB', NULL, NULL, NULL, 1),
(13453, NULL, 'cd10440', NULL, NULL, 'GIY-YIG_COG3680', NULL, 'GIY-YIG_COG3680', NULL, NULL, NULL, 1),
(13454, NULL, 'cd18774', NULL, NULL, 'PDC2_HK_sensor', NULL, 'PDC2_HK_sensor', NULL, NULL, NULL, 1),
(13455, NULL, 'cd05605', NULL, NULL, 'STKc_GRK4_like', NULL, 'STKc_GRK4_like', NULL, NULL, NULL, 1),
(13456, NULL, 'cd01901', NULL, NULL, 'Ntn_hydrolase', NULL, 'Ntn_hydrolase', NULL, NULL, NULL, 1),
(13457, NULL, 'cd17232', NULL, NULL, 'Ubl_ATG8_GABARAP', NULL, 'Ubl_ATG8_GABARAP', NULL, NULL, NULL, 1),
(13458, NULL, 'cd15563', NULL, NULL, 'PHD3_PHF14', NULL, 'PHD3_PHF14', NULL, NULL, NULL, 1),
(13459, NULL, 'cd18684', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(13460, NULL, 'cd01722', NULL, NULL, 'Sm_F', NULL, 'Sm_F', NULL, NULL, 11056, 1),
(13461, NULL, 'cd04235', NULL, NULL, 'AAK_CK', NULL, 'AAK_CK', NULL, NULL, 7409, 1),
(13462, NULL, 'cd00028', NULL, NULL, 'B_lectin', NULL, 'B_lectin', NULL, NULL, 3038, 1),
(13463, NULL, 'cd03571', NULL, NULL, 'ENTH', NULL, 'ENTH', NULL, NULL, NULL, 1),
(13464, NULL, 'cd04795', NULL, NULL, 'SIS', NULL, 'SIS', NULL, NULL, NULL, 1),
(13465, NULL, 'cd04502', NULL, NULL, 'SGNH_hydrolase_like_7', NULL, 'SGNH_hydrolase_like_7', NULL, NULL, NULL, 1),
(13466, NULL, 'cd04688', NULL, NULL, 'Nudix_Hydrolase_29', NULL, 'Nudix_Hydrolase_29', NULL, NULL, NULL, 1),
(13467, NULL, 'cd14220', NULL, NULL, 'STKc_BMPR1a', NULL, 'STKc_BMPR1a', NULL, NULL, NULL, 1),
(13468, NULL, 'cd14378', NULL, NULL, 'UBA1_Rhp23p_like', NULL, 'UBA1_Rhp23p_like', NULL, NULL, NULL, 1),
(13469, NULL, 'cd15747', NULL, NULL, 'FYVE_Slp3_4_5', NULL, 'FYVE_Slp3_4_5', NULL, NULL, NULL, 1),
(13470, NULL, 'cd10803', NULL, NULL, 'YdjC_EF3048_like', NULL, 'YdjC_EF3048_like', NULL, NULL, 14821, 1),
(13471, NULL, 'cd01487', NULL, NULL, 'E1_ThiF_like', NULL, 'E1_ThiF_like', NULL, NULL, 11604, 1),
(13472, NULL, 'cd08544', NULL, NULL, 'Reeler', NULL, 'Reeler', NULL, NULL, 5714, 1),
(13473, NULL, 'cd02407', NULL, NULL, 'PTH2_family', NULL, 'PTH2_family', NULL, NULL, NULL, 1),
(13474, NULL, 'cd16978', NULL, NULL, 'VHS_HSE1', NULL, 'VHS_HSE1', NULL, NULL, NULL, 1),
(13475, NULL, 'cd14582', NULL, NULL, 'DSP_DUSP15', NULL, 'DSP_DUSP15', NULL, NULL, NULL, 1),
(13476, NULL, 'sd00039', NULL, NULL, '7WD40', NULL, '7WD40', NULL, NULL, NULL, 1),
(13477, NULL, 'cd06360', NULL, NULL, 'PBP1_alkylbenzenes-like', NULL, 'PBP1_alkylbenzenes-like', NULL, NULL, NULL, 1),
(13478, NULL, 'cd19689', NULL, NULL, 'bHLHzip_MLXIPL', NULL, 'bHLHzip_MLXIPL', NULL, NULL, NULL, 1),
(13479, NULL, 'cd09372', NULL, NULL, 'LIM2_FBLP-1', NULL, 'LIM2_FBLP-1', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13480, NULL, 'cd12299', NULL, NULL, 'RRM4_Prp24', NULL, 'RRM4_Prp24', NULL, NULL, 25891, 1),
(13481, NULL, 'cd01263', NULL, NULL, 'PH_anillin', NULL, 'PH_anillin', NULL, NULL, 35573, 1),
(13482, NULL, 'cd19366', NULL, NULL, 'TenA_C_BhTenA-like', NULL, 'TenA_C_BhTenA-like', NULL, NULL, NULL, 1),
(13483, NULL, 'cd13858', NULL, NULL, 'CuRO_1_tcLCC2_insect_like', NULL, 'CuRO_1_tcLCC2_insect_like', NULL, NULL, NULL, 1),
(13484, NULL, 'cd05171', NULL, NULL, 'PIKKc_ATM', NULL, 'PIKKc_ATM', NULL, NULL, 36980, 1),
(13485, NULL, 'cd08251', NULL, NULL, 'polyketide_synthase', NULL, 'polyketide_synthase', NULL, NULL, NULL, 1),
(13486, NULL, 'cd11648', NULL, NULL, 'RsmI', NULL, 'RsmI', NULL, NULL, 7255, 1),
(13487, NULL, 'cd17740', NULL, NULL, 'BRCT_Rad4_rpt1', NULL, 'BRCT_Rad4_rpt1', NULL, NULL, NULL, 1),
(13488, NULL, 'cd09192', NULL, NULL, 'PLDc_DNaseII_beta_2', NULL, 'PLDc_DNaseII_beta_2', NULL, NULL, NULL, 1),
(13489, NULL, 'cd08784', NULL, NULL, 'Death_DRs', NULL, 'Death_DRs', NULL, NULL, NULL, 1),
(13490, NULL, 'cd18375', NULL, NULL, 'BTB_POZ_KCNRG', NULL, 'BTB_POZ_KCNRG', NULL, NULL, NULL, 1),
(13491, NULL, 'cd21487', NULL, NULL, 'bat_HKU4-like_Spike_S1_RBD', NULL, 'bat_HKU4-like_Spike_S1_RBD', NULL, NULL, 39010, 1),
(13492, NULL, 'cd16126', NULL, NULL, 'Ubl_HR23B', NULL, 'Ubl_HR23B', NULL, NULL, NULL, 1),
(13493, NULL, 'cd08182', NULL, NULL, 'HEPD', NULL, 'HEPD', NULL, NULL, 33780, 1),
(13494, NULL, 'cd00548', NULL, NULL, 'NrfA-like', NULL, 'NrfA-like', NULL, NULL, 4421, 1),
(13495, NULL, 'cd21654', NULL, NULL, 'embe-merbe_CoV_ORF8b_protein-I-like', NULL, 'embe-merbe_CoV_ORF8b_protein-I-like', NULL, NULL, NULL, 1),
(13496, NULL, 'cd10542', NULL, NULL, 'SET_SUV39H', NULL, 'SET_SUV39H', NULL, NULL, NULL, 1),
(13497, NULL, 'cd12027', NULL, NULL, 'SH3_ZO-2', NULL, 'SH3_ZO-2', NULL, NULL, 36092, 1),
(13498, NULL, 'cd06125', NULL, NULL, 'DnaQ_like_exo', NULL, 'DnaQ_like_exo', NULL, NULL, NULL, 1),
(13499, NULL, 'cd18292', NULL, NULL, 'BTB_POZ_BTBD17', NULL, 'BTB_POZ_BTBD17', NULL, NULL, NULL, 1),
(13500, NULL, 'cd07582', NULL, NULL, 'nitrilase_4', NULL, 'nitrilase_4', NULL, NULL, NULL, 1),
(13501, NULL, 'cd15800', NULL, NULL, 'PMEI-like_2', NULL, 'PMEI-like_2', NULL, NULL, NULL, 1),
(13502, NULL, 'cd00457', NULL, NULL, 'PEBP', NULL, 'PEBP', NULL, NULL, NULL, 1),
(13503, NULL, 'cd00617', NULL, NULL, 'Tnase_like', NULL, 'Tnase_like', NULL, NULL, NULL, 1),
(13504, NULL, 'cd05365', NULL, NULL, '7_alpha_HSDH_SDR_c', NULL, '7_alpha_HSDH_SDR_c', NULL, NULL, NULL, 1),
(13505, NULL, 'cd19683', NULL, NULL, 'bHLH_SOHLH_like', NULL, 'bHLH_SOHLH_like', NULL, NULL, NULL, 1),
(13506, NULL, 'cd16466', NULL, NULL, 'RING-H2_RBX2', NULL, 'RING-H2_RBX2', NULL, NULL, NULL, 1),
(13507, NULL, 'cd05895', NULL, NULL, 'Ig_Pro_neuregulin-1', NULL, 'Ig_Pro_neuregulin-1', NULL, NULL, NULL, 1),
(13508, NULL, 'cd03538', NULL, NULL, 'Rieske_RO_Alpha_AntDO', NULL, 'Rieske_RO_Alpha_AntDO', NULL, NULL, NULL, 1),
(13509, NULL, 'cd19789', NULL, NULL, 'Bbox2_TRIM56_C-V', NULL, 'Bbox2_TRIM56_C-V', NULL, NULL, NULL, 1),
(13510, NULL, 'cd21598', NULL, NULL, 'ORF7b_SARS_bat-CoV-like', NULL, 'ORF7b_SARS_bat-CoV-like', NULL, NULL, NULL, 1),
(13511, NULL, 'cd11249', NULL, NULL, 'Sema_3A', NULL, 'Sema_3A', NULL, NULL, 37550, 1),
(13512, NULL, 'cd00978', NULL, NULL, 'chitosanase_GH46', NULL, 'chitosanase_GH46', NULL, NULL, 6713, 1),
(13513, NULL, 'cd15740', NULL, NULL, 'FYVE_FGD3', NULL, 'FYVE_FGD3', NULL, NULL, NULL, 1),
(13514, NULL, 'cd05610', NULL, NULL, 'STKc_MASTL', NULL, 'STKc_MASTL', NULL, NULL, 34800, 1),
(13515, NULL, 'cd12676', NULL, NULL, 'RRM3_Nop4p', NULL, 'RRM3_Nop4p', NULL, NULL, 35028, 1),
(13516, NULL, 'cd13755', NULL, NULL, 'TGF_beta_maverick', NULL, 'TGF_beta_maverick', NULL, NULL, NULL, 1),
(13517, NULL, 'cd13846', NULL, NULL, 'CuRO_1_AAO_like_1', NULL, 'CuRO_1_AAO_like_1', NULL, NULL, 35408, 1),
(13518, NULL, 'cd15741', NULL, NULL, 'FYVE_FGD1_2_4', NULL, 'FYVE_FGD1_2_4', NULL, NULL, NULL, 1),
(13519, NULL, 'cd01770', NULL, NULL, 'UBX_UBXN2', NULL, 'UBX_UBXN2', NULL, NULL, NULL, 1),
(13520, NULL, 'cd01469', NULL, NULL, 'vWA_integrins_alpha_subunit', NULL, 'vWA_integrins_alpha_subunit', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13521, NULL, 'cd06357', NULL, NULL, 'PBP1_AmiC', NULL, 'PBP1_AmiC', NULL, NULL, 29236, 1),
(13522, NULL, 'cd15589', NULL, NULL, 'PHD1_KMT2B', NULL, 'PHD1_KMT2B', NULL, NULL, NULL, 1),
(13523, NULL, 'cd03477', NULL, NULL, 'Rieske_YhfW_C', NULL, 'Rieske_YhfW_C', NULL, NULL, 30016, 1),
(13524, NULL, 'cd07503', NULL, NULL, 'HAD_HisB-N', NULL, 'HAD_HisB-N', NULL, NULL, NULL, 1),
(13525, NULL, 'cd21466', NULL, NULL, 'Ubl2_cv_PLpro_N_Nsp3-like', NULL, 'Ubl2_cv_PLpro_N_Nsp3-like', NULL, NULL, 36609, 1),
(13526, NULL, 'cd07826', NULL, NULL, 'SRPBCC_CalC_Aha1-like_9', NULL, 'SRPBCC_CalC_Aha1-like_9', NULL, NULL, NULL, 1),
(13527, NULL, 'cd11680', NULL, NULL, 'HDAC_Hos1', NULL, 'HDAC_Hos1', NULL, NULL, NULL, 1),
(13528, NULL, 'cd03081', NULL, NULL, 'TRX_Fd_NuoE_FDH_gamma', NULL, 'TRX_Fd_NuoE_FDH_gamma', NULL, NULL, NULL, 1),
(13529, NULL, 'cd15720', NULL, NULL, 'FYVE_Hrs', NULL, 'FYVE_Hrs', NULL, NULL, NULL, 1),
(13530, NULL, 'cd03780', NULL, NULL, 'MATH_TRAF5', NULL, 'MATH_TRAF5', NULL, NULL, 29602, 1),
(13531, NULL, 'cd01229', NULL, NULL, 'PH_Ect2', NULL, 'PH_Ect2', NULL, NULL, NULL, 1),
(13532, NULL, 'cd03778', NULL, NULL, 'MATH_TRAF2', NULL, 'MATH_TRAF2', NULL, NULL, 29665, 1),
(13533, NULL, 'cd10446', NULL, NULL, 'GIY-YIG_unchar_1', NULL, 'GIY-YIG_unchar_1', NULL, NULL, NULL, 1),
(13534, NULL, 'cd13566', NULL, NULL, 'PBP2_phosphate', NULL, 'PBP2_phosphate', NULL, NULL, NULL, 1),
(13535, NULL, 'cd15344', NULL, NULL, '7tmA_LPAR1_Edg2', NULL, '7tmA_LPAR1_Edg2', NULL, NULL, 211, 1),
(13536, NULL, 'cd06270', NULL, NULL, 'PBP1_GalS-like', NULL, 'PBP1_GalS-like', NULL, NULL, NULL, 1),
(13537, NULL, 'cd19705', NULL, NULL, 'bHLH_TS_LYL1', NULL, 'bHLH_TS_LYL1', NULL, NULL, NULL, 1),
(13538, NULL, 'cd01873', NULL, NULL, 'RhoBTB', NULL, 'RhoBTB', NULL, NULL, NULL, 1),
(13539, NULL, 'cd16032', NULL, NULL, 'choline-sulfatase', NULL, 'choline-sulfatase', NULL, NULL, 19457, 1),
(13540, NULL, 'cd09025', NULL, NULL, 'Aldose_epim_Slr1438', NULL, 'Aldose_epim_Slr1438', NULL, NULL, NULL, 1),
(13541, NULL, 'cd09098', NULL, NULL, 'INPP5c_Synj1', NULL, 'INPP5c_Synj1', NULL, NULL, NULL, 1),
(13542, NULL, 'cd11293', NULL, NULL, 'gelsolin_S4_like', NULL, 'gelsolin_S4_like', NULL, NULL, NULL, 1),
(13543, NULL, 'cd16304', NULL, NULL, 'BcII-like_MBL-B1', NULL, 'BcII-like_MBL-B1', NULL, NULL, NULL, 1),
(13544, NULL, 'cd18181', NULL, NULL, 'ATP-synt_Vo_Ao_c_TtATPase_like', NULL, 'ATP-synt_Vo_Ao_c_TtATPase_like', NULL, NULL, NULL, 1),
(13545, NULL, 'cd05091', NULL, NULL, 'PTKc_Ror2', NULL, 'PTKc_Ror2', NULL, NULL, NULL, 1),
(13546, NULL, 'cd18922', NULL, NULL, 'bHLHzip_SREBP2', NULL, 'bHLHzip_SREBP2', NULL, NULL, NULL, 1),
(13547, NULL, 'cd13531', NULL, NULL, 'PBP2_MxaJ', NULL, 'PBP2_MxaJ', NULL, NULL, NULL, 1),
(13548, NULL, 'cd15418', NULL, NULL, '7tmA_OR9G-like', NULL, '7tmA_OR9G-like', NULL, NULL, NULL, 1),
(13549, NULL, 'cd15136', NULL, NULL, '7tmA_Glyco_hormone_R', NULL, '7tmA_Glyco_hormone_R', NULL, NULL, NULL, 1),
(13550, NULL, 'cd18650', NULL, NULL, 'CD_HP1beta_Cbx1', NULL, 'CD_HP1beta_Cbx1', NULL, NULL, NULL, 1),
(13551, NULL, 'cd05038', NULL, NULL, 'PTKc_Jak_rpt2', NULL, 'PTKc_Jak_rpt2', NULL, NULL, NULL, 1),
(13552, NULL, 'cd19924', NULL, NULL, 'REC_CheV-like', NULL, 'REC_CheV-like', NULL, NULL, NULL, 1),
(13553, NULL, 'cd12893', NULL, NULL, 'SPRY_PRY_TRIM35', NULL, 'SPRY_PRY_TRIM35', NULL, NULL, NULL, 1),
(13554, NULL, 'cd13213', NULL, NULL, 'PH-GRAM_MTMR14', NULL, 'PH-GRAM_MTMR14', NULL, NULL, 31485, 1),
(13555, NULL, 'cd03220', NULL, NULL, 'ABC_KpsT_Wzt', NULL, 'ABC_KpsT_Wzt', NULL, NULL, 13312, 1),
(13556, NULL, 'cd17765', NULL, NULL, 'PNP_ThPNP_like', NULL, 'PNP_ThPNP_like', NULL, NULL, NULL, 1),
(13557, NULL, 'cd00688', NULL, NULL, 'ISOPREN_C2_like', NULL, 'ISOPREN_C2_like', NULL, NULL, NULL, 1),
(13558, NULL, 'cd13204', NULL, NULL, 'FERM_C2_myosin_like', NULL, 'FERM_C2_myosin_like', NULL, NULL, NULL, 1),
(13559, NULL, 'cd11687', NULL, NULL, 'PpPFK_gamma', NULL, 'PpPFK_gamma', NULL, NULL, 34211, 1),
(13560, NULL, 'cd20228', NULL, NULL, 'PFM_TDP-like', NULL, 'PFM_TDP-like', NULL, NULL, NULL, 1),
(13561, NULL, 'cd08863', NULL, NULL, 'SRPBCC_DUF1857', NULL, 'SRPBCC_DUF1857', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13562, NULL, 'cd17644', NULL, NULL, 'A_NRPS_ApnA-like', NULL, 'A_NRPS_ApnA-like', NULL, NULL, NULL, 1),
(13563, NULL, 'cd07530', NULL, NULL, 'HAD_Pase_UmpH-like', NULL, 'HAD_Pase_UmpH-like', NULL, NULL, NULL, 1),
(13564, NULL, 'cd06140', NULL, NULL, 'DNA_polA_I_Bacillus_like_exo', NULL, 'DNA_polA_I_Bacillus_like_exo', NULL, NULL, NULL, 1),
(13565, NULL, 'cd04123', NULL, NULL, 'Rab21', NULL, 'Rab21', NULL, NULL, 33295, 1),
(13566, NULL, 'cd12879', NULL, NULL, 'SPRY3_RyR', NULL, 'SPRY3_RyR', NULL, NULL, 33311, 1),
(13567, NULL, 'cd18459', NULL, NULL, 'BACK_KLHL20', NULL, 'BACK_KLHL20', NULL, NULL, NULL, 1),
(13568, NULL, 'cd09112', NULL, NULL, 'PLDc_CLS_2', NULL, 'PLDc_CLS_2', NULL, NULL, NULL, 1),
(13569, NULL, 'cd03274', NULL, NULL, 'ABC_SMC4_euk', NULL, 'ABC_SMC4_euk', NULL, NULL, 33413, 1),
(13570, NULL, 'cd09892', NULL, NULL, 'NGN_SP_RfaH', NULL, 'NGN_SP_RfaH', NULL, NULL, NULL, 1),
(13571, NULL, 'cd07483', NULL, NULL, 'Peptidases_S8_Subtilisin_Novo-like', NULL, 'Peptidases_S8_Subtilisin_Novo-like', NULL, NULL, 9671, 1),
(13572, NULL, 'cd11503', NULL, NULL, 'SLC5sbd_NIS', NULL, 'SLC5sbd_NIS', NULL, NULL, 30135, 1),
(13573, NULL, 'cd05865', NULL, NULL, 'Ig1_NCAM-1', NULL, 'Ig1_NCAM-1', NULL, NULL, NULL, 1),
(13574, NULL, 'cd12745', NULL, NULL, 'RRM1_RBM12', NULL, 'RRM1_RBM12', NULL, NULL, 30286, 1),
(13575, NULL, 'cd14893', NULL, NULL, 'MYSc_Myo32', NULL, 'MYSc_Myo32', NULL, NULL, NULL, 1),
(13576, NULL, 'cd18516', NULL, NULL, 'BACK_KLHL40_KBTBD5', NULL, 'BACK_KLHL40_KBTBD5', NULL, NULL, NULL, 1),
(13577, NULL, 'cd14219', NULL, NULL, 'STKc_BMPR1b', NULL, 'STKc_BMPR1b', NULL, NULL, NULL, 1),
(13578, NULL, 'cd01890', NULL, NULL, 'LepA', NULL, 'LepA', NULL, NULL, NULL, 1),
(13579, NULL, 'cd17092', NULL, NULL, 'FERM1_F1_Myosin-VII', NULL, 'FERM1_F1_Myosin-VII', NULL, NULL, NULL, 1),
(13580, NULL, 'cd21668', NULL, NULL, 'deltaCoV_Nsp5_Mpro', NULL, 'deltaCoV_Nsp5_Mpro', NULL, NULL, 39187, 1),
(13581, NULL, 'cd08326', NULL, NULL, 'CARD_CASP9', NULL, 'CARD_CASP9', NULL, NULL, 38554, 1),
(13582, NULL, 'cd08825', NULL, NULL, 'MVP_shoulder', NULL, 'MVP_shoulder', NULL, NULL, 20398, 1),
(13583, NULL, 'cd08047', NULL, NULL, 'TAF7', NULL, 'TAF7', NULL, NULL, 3390, 1),
(13584, NULL, 'cd00642', NULL, NULL, 'GTP_cyclohydro1', NULL, 'GTP_cyclohydro1', NULL, NULL, NULL, 1),
(13585, NULL, 'cd08432', NULL, NULL, 'PBP2_GcdR_TrpI_HvrB_AmpR_like', NULL, 'PBP2_GcdR_TrpI_HvrB_AmpR_like', NULL, NULL, NULL, 1),
(13586, NULL, 'cd15677', NULL, NULL, 'PHD_BRPF2', NULL, 'PHD_BRPF2', NULL, NULL, 32857, 1),
(13587, NULL, 'cd06985', NULL, NULL, 'cupin_BF4112', NULL, 'cupin_BF4112', NULL, NULL, NULL, 1),
(13588, NULL, 'cd20760', NULL, NULL, 'capping_2-OMTase_Mimiviridae', NULL, 'capping_2-OMTase_Mimiviridae', NULL, NULL, NULL, 1),
(13589, NULL, 'cd07958', NULL, NULL, 'Anticodon_Ia_Leu_BEm', NULL, 'Anticodon_Ia_Leu_BEm', NULL, NULL, NULL, 1),
(13590, NULL, 'cd06947', NULL, NULL, 'NR_LBD_GR_Like', NULL, 'NR_LBD_GR_Like', NULL, NULL, NULL, 1),
(13591, NULL, 'cd14993', NULL, NULL, '7tmA_CCKR-like', NULL, '7tmA_CCKR-like', NULL, NULL, NULL, 1),
(13592, NULL, 'cd03194', NULL, NULL, 'GST_C_3', NULL, 'GST_C_3', NULL, NULL, NULL, 1),
(13593, NULL, 'cd14939', NULL, NULL, '7tmD_STE2', NULL, '7tmD_STE2', NULL, NULL, NULL, 1),
(13594, NULL, 'cd17032', NULL, NULL, 'T3SC_IA_SycT-like', NULL, 'T3SC_IA_SycT-like', NULL, NULL, NULL, 1),
(13595, NULL, 'cd16260', NULL, NULL, 'EF4_III', NULL, 'EF4_III', NULL, NULL, NULL, 1),
(13596, NULL, 'cd10805', NULL, NULL, 'YdjC_like_1', NULL, 'YdjC_like_1', NULL, NULL, NULL, 1),
(13597, NULL, 'cd16291', NULL, NULL, 'INTS11-like_MBL-fold', NULL, 'INTS11-like_MBL-fold', NULL, NULL, 32497, 1),
(13598, NULL, 'cd09513', NULL, NULL, 'SAM_BAR', NULL, 'SAM_BAR', NULL, NULL, NULL, 1),
(13599, NULL, 'cd12589', NULL, NULL, 'RRM2_PSP1', NULL, 'RRM2_PSP1', NULL, NULL, 34744, 1),
(13600, NULL, 'cd14224', NULL, NULL, 'PKc_DYRK2_3', NULL, 'PKc_DYRK2_3', NULL, NULL, NULL, 1),
(13601, NULL, 'cd21343', NULL, NULL, 'ZBD_UPF1_nv_SF1_Hel-like', NULL, 'ZBD_UPF1_nv_SF1_Hel-like', NULL, NULL, NULL, 1),
(13602, NULL, 'cd01123', NULL, NULL, 'Rad51_DMC1_radA', NULL, 'Rad51_DMC1_radA', NULL, NULL, 29195, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13603, NULL, 'cd17734', NULL, NULL, 'BRCT_Bard1_rpt1', NULL, 'BRCT_Bard1_rpt1', NULL, NULL, NULL, 1),
(13604, NULL, 'cd12061', NULL, NULL, 'SH3_betaPIX', NULL, 'SH3_betaPIX', NULL, NULL, 35087, 1),
(13605, NULL, 'cd09413', NULL, NULL, 'LIM1_Testin', NULL, 'LIM1_Testin', NULL, NULL, 12004, 1),
(13606, NULL, 'cd08030', NULL, NULL, 'LA_like_plant', NULL, 'LA_like_plant', NULL, NULL, NULL, 1),
(13607, NULL, 'cd17949', NULL, NULL, 'DEADc_DDX31', NULL, 'DEADc_DDX31', NULL, NULL, NULL, 1),
(13608, NULL, 'cd07686', NULL, NULL, 'F-BAR_Fer', NULL, 'F-BAR_Fer', NULL, NULL, 30577, 1),
(13609, NULL, 'cd13901', NULL, NULL, 'CuRO_3_MaLCC_like', NULL, 'CuRO_3_MaLCC_like', NULL, NULL, NULL, 1),
(13610, NULL, 'cd18963', NULL, NULL, 'chromodomain', NULL, 'chromodomain', NULL, NULL, NULL, 1),
(13611, NULL, 'cd09726', NULL, NULL, 'RAMP_I_III', NULL, 'RAMP_I_III', NULL, NULL, NULL, 1),
(13612, NULL, 'cd00553', NULL, NULL, 'NAD_synthase', NULL, 'NAD_synthase', NULL, NULL, 1689, 1),
(13613, NULL, 'cd05603', NULL, NULL, 'STKc_SGK2', NULL, 'STKc_SGK2', NULL, NULL, NULL, 1),
(13614, NULL, 'cd09242', NULL, NULL, 'BRO1_ScBro1_like', NULL, 'BRO1_ScBro1_like', NULL, NULL, NULL, 1),
(13615, NULL, 'cd01415', NULL, NULL, 'SAICAR_synt_PurC', NULL, 'SAICAR_synt_PurC', NULL, NULL, 33054, 1),
(13616, NULL, 'cd09232', NULL, NULL, 'Snurportin-1_C', NULL, 'Snurportin-1_C', NULL, NULL, NULL, 1),
(13617, NULL, 'cd05188', NULL, NULL, 'MDR', NULL, 'MDR', NULL, NULL, NULL, 1),
(13618, NULL, 'cd12699', NULL, NULL, 'RRM3_hnRNPL', NULL, 'RRM3_hnRNPL', NULL, NULL, 36491, 1),
(13619, NULL, 'cd17539', NULL, NULL, 'psREC-like_D2_PleD', NULL, 'psREC-like_D2_PleD', NULL, NULL, NULL, 1),
(13620, NULL, 'cd01221', NULL, NULL, 'PH_ephexin', NULL, 'PH_ephexin', NULL, NULL, NULL, 1),
(13621, NULL, 'cd12688', NULL, NULL, 'RRM1_PTBP1_like', NULL, 'RRM1_PTBP1_like', NULL, NULL, NULL, 1),
(13622, NULL, 'cd08250', NULL, NULL, 'Mgc45594_like', NULL, 'Mgc45594_like', NULL, NULL, NULL, 1),
(13623, NULL, 'cd13577', NULL, NULL, 'PBP2_BugE_Glu', NULL, 'PBP2_BugE_Glu', NULL, NULL, NULL, 1),
(13624, NULL, 'cd00538', NULL, NULL, 'PA', NULL, 'PA', NULL, NULL, NULL, 1),
(13625, NULL, 'cd12821', NULL, NULL, 'EcCorA_ZntB-like', NULL, 'EcCorA_ZntB-like', NULL, NULL, NULL, 1),
(13626, NULL, 'cd19593', NULL, NULL, 'serpin_bacteria_crustaceans', NULL, 'serpin_bacteria_crustaceans', NULL, NULL, NULL, 1),
(13627, NULL, 'cd14213', NULL, NULL, 'PKc_CLK1_4', NULL, 'PKc_CLK1_4', NULL, NULL, NULL, 1),
(13628, NULL, 'cd16463', NULL, NULL, 'RING-H2_PHR', NULL, 'RING-H2_PHR', NULL, NULL, NULL, 1),
(13629, NULL, 'cd03466', NULL, NULL, 'Nitrogenase_NifN_2', NULL, 'Nitrogenase_NifN_2', NULL, NULL, NULL, 1),
(13630, NULL, 'cd07905', NULL, NULL, 'Adenylation_DNA_ligase_LigC', NULL, 'Adenylation_DNA_ligase_LigC', NULL, NULL, 37990, 1),
(13631, NULL, 'cd07281', NULL, NULL, 'PX_SNX1', NULL, 'PX_SNX1', NULL, NULL, 33747, 1),
(13632, NULL, 'cd00017', NULL, NULL, 'ANATO', NULL, 'ANATO', NULL, NULL, 2921, 1),
(13633, NULL, 'cd15633', NULL, NULL, 'PHD_PHF20L1', NULL, 'PHD_PHF20L1', NULL, NULL, NULL, 1),
(13634, NULL, 'cd14813', NULL, NULL, 'bZIP_BmCbz-like', NULL, 'bZIP_BmCbz-like', NULL, NULL, NULL, 1),
(13635, NULL, 'cd14189', NULL, NULL, 'STKc_PLK3', NULL, 'STKc_PLK3', NULL, NULL, 38384, 1),
(13636, NULL, 'cd20270', NULL, NULL, 'Complex1_LYR_SDHAF3_LYRM10', NULL, 'Complex1_LYR_SDHAF3_LYRM10', NULL, NULL, NULL, 1),
(13637, NULL, 'cd12195', NULL, NULL, 'CIPK_C', NULL, 'CIPK_C', NULL, NULL, NULL, 1),
(13638, NULL, 'cd18814', NULL, NULL, 'CAP_PI15', NULL, 'CAP_PI15', NULL, NULL, NULL, 1),
(13639, NULL, 'cd15127', NULL, NULL, '7tmA_GPR37', NULL, '7tmA_GPR37', NULL, NULL, NULL, 1),
(13640, NULL, 'cd02135', NULL, NULL, 'YdjA-like', NULL, 'YdjA-like', NULL, NULL, 26442, 1),
(13641, NULL, 'cd02131', NULL, NULL, 'PA_hNAALADL2_like', NULL, 'PA_hNAALADL2_like', NULL, NULL, NULL, 1),
(13642, NULL, 'cd06869', NULL, NULL, 'PX_UP2_fungi', NULL, 'PX_UP2_fungi', NULL, NULL, NULL, 1),
(13643, NULL, 'cd03338', NULL, NULL, 'TCP1_delta', NULL, 'TCP1_delta', NULL, NULL, 11623, 1),
(13644, NULL, 'cd15514', NULL, NULL, 'PHD6_KMT2C_like', NULL, 'PHD6_KMT2C_like', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13645, NULL, 'cd17358', NULL, NULL, 'MFS_GLUT6_8_Class3_like', NULL, 'MFS_GLUT6_8_Class3_like', NULL, NULL, 39101, 1),
(13646, NULL, 'cd14793', NULL, NULL, 'DUF302_like', NULL, 'DUF302_like', NULL, NULL, NULL, 1),
(13647, NULL, 'cd17313', NULL, NULL, 'MFS_SLC45_SUC', NULL, 'MFS_SLC45_SUC', NULL, NULL, NULL, 1),
(13648, NULL, 'cd01319', NULL, NULL, 'AMPD', NULL, 'AMPD', NULL, NULL, 4668, 1),
(13649, NULL, 'cd03722', NULL, NULL, 'SOCS_ASB3', NULL, 'SOCS_ASB3', NULL, NULL, 33274, 1),
(13650, NULL, 'cd01053', NULL, NULL, 'AOX', NULL, 'AOX', NULL, NULL, 2536, 1),
(13651, NULL, 'cd11418', NULL, NULL, 'bHLH_TS_ASCL', NULL, 'bHLH_TS_ASCL', NULL, NULL, NULL, 1),
(13652, NULL, 'cd06325', NULL, NULL, 'PBP1_ABC_unchar_transporter', NULL, 'PBP1_ABC_unchar_transporter', NULL, NULL, 10095, 1),
(13653, NULL, 'cd09324', NULL, NULL, 'TDT_TehA', NULL, 'TDT_TehA', NULL, NULL, 34258, 1),
(13654, NULL, 'cd18742', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(13655, NULL, 'cd09852', NULL, NULL, 'PIN_SF', NULL, 'PIN_SF', NULL, NULL, NULL, 1),
(13656, NULL, 'cd21171', NULL, NULL, 'NTD_alpha_beta_cv_Nsp15-like', NULL, 'NTD_alpha_beta_cv_Nsp15-like', NULL, NULL, 37633, 1),
(13657, NULL, 'cd16904', NULL, NULL, 'pesticin_lyz-like', NULL, 'pesticin_lyz-like', NULL, NULL, NULL, 1),
(13658, NULL, 'cd19053', NULL, NULL, 'LGIC_TM_GABAAR_beta', NULL, 'LGIC_TM_GABAAR_beta', NULL, NULL, NULL, 1),
(13659, NULL, 'cd13768', NULL, NULL, 'DSS1_Sem1', NULL, 'DSS1_Sem1', NULL, NULL, NULL, 1),
(13660, NULL, 'cd17210', NULL, NULL, 'RA_RGL', NULL, 'RA_RGL', NULL, NULL, NULL, 1),
(13661, NULL, 'cd18002', NULL, NULL, 'DEXQc_INO80', NULL, 'DEXQc_INO80', NULL, NULL, NULL, 1),
(13662, NULL, 'cd03816', NULL, NULL, 'GT33_ALG1-like', NULL, 'GT33_ALG1-like', NULL, NULL, NULL, 1),
(13663, NULL, 'cd12378', NULL, NULL, 'RRM1_I_PABPs', NULL, 'RRM1_I_PABPs', NULL, NULL, NULL, 1),
(13664, NULL, 'cd09713', NULL, NULL, 'Cas8c_I-C', NULL, 'Cas8c_I-C', NULL, NULL, 15074, 1),
(13665, NULL, 'cd15454', NULL, NULL, '7tmC_mGluR8', NULL, '7tmC_mGluR8', NULL, NULL, NULL, 1),
(13666, NULL, 'cd04733', NULL, NULL, 'OYE_like_2_FMN', NULL, 'OYE_like_2_FMN', NULL, NULL, NULL, 1),
(13667, NULL, 'cd00691', NULL, NULL, 'ascorbate_peroxidase', NULL, 'ascorbate_peroxidase', NULL, NULL, NULL, 1),
(13668, NULL, 'cd13744', NULL, NULL, 'SPRY_PRY_TRIM62', NULL, 'SPRY_PRY_TRIM62', NULL, NULL, 34597, 1),
(13669, NULL, 'cd05058', NULL, NULL, 'PTKc_Met_Ron', NULL, 'PTKc_Met_Ron', NULL, NULL, NULL, 1),
(13670, NULL, 'cd03023', NULL, NULL, 'DsbA_Com1_like', NULL, 'DsbA_Com1_like', NULL, NULL, NULL, 1),
(13671, NULL, 'cd04256', NULL, NULL, 'AAK_P5CS_ProBA', NULL, 'AAK_P5CS_ProBA', NULL, NULL, 32556, 1),
(13672, NULL, 'cd05296', NULL, NULL, 'GH4_P_beta_glucosidase', NULL, 'GH4_P_beta_glucosidase', NULL, NULL, NULL, 1),
(13673, NULL, 'cd12510', NULL, NULL, 'RRM1_RBM12_like', NULL, 'RRM1_RBM12_like', NULL, NULL, NULL, 1),
(13674, NULL, 'cd16538', NULL, NULL, 'RING-HC_RNF112', NULL, 'RING-HC_RNF112', NULL, NULL, NULL, 1),
(13675, NULL, 'cd04902', NULL, NULL, 'ACT_3PGDH-xct', NULL, 'ACT_3PGDH-xct', NULL, NULL, NULL, 1),
(13676, NULL, 'cd15729', NULL, NULL, 'FYVE_endofin', NULL, 'FYVE_endofin', NULL, NULL, NULL, 1),
(13677, NULL, 'cd07598', NULL, NULL, 'BAR_FAM92', NULL, 'BAR_FAM92', NULL, NULL, 35118, 1),
(13678, NULL, 'cd17575', NULL, NULL, 'REC_WspR-like', NULL, 'REC_WspR-like', NULL, NULL, NULL, 1),
(13679, NULL, 'cd03088', NULL, NULL, 'ManB', NULL, 'ManB', NULL, NULL, NULL, 1),
(13680, NULL, 'cd15991', NULL, NULL, '7tmB2_CELSR1', NULL, '7tmB2_CELSR1', NULL, NULL, NULL, 1),
(13681, NULL, 'cd01379', NULL, NULL, 'MYSc_Myo3', NULL, 'MYSc_Myo3', NULL, NULL, 33995, 1),
(13682, NULL, 'cd12348', NULL, NULL, 'RRM1_SHARP', NULL, 'RRM1_SHARP', NULL, NULL, 3779, 1),
(13683, NULL, 'cd13617', NULL, NULL, 'PBP2_transferrin_C', NULL, 'PBP2_transferrin_C', NULL, NULL, NULL, 1),
(13684, NULL, 'cd15714', NULL, NULL, 'ePHD_JMJD2B', NULL, 'ePHD_JMJD2B', NULL, NULL, NULL, 1),
(13685, NULL, 'cd05118', NULL, NULL, 'STKc_CMGC', NULL, 'STKc_CMGC', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13686, NULL, 'cd16530', NULL, NULL, 'RING-HC_RAG1', NULL, 'RING-HC_RAG1', NULL, NULL, NULL, 1),
(13687, NULL, 'cd12111', NULL, NULL, 'PHP_HisPPase_Thermotoga_like', NULL, 'PHP_HisPPase_Thermotoga_like', NULL, NULL, NULL, 1),
(13688, NULL, 'cd07164', NULL, NULL, 'NR_DBD_PNR_like_1', NULL, 'NR_DBD_PNR_like_1', NULL, NULL, NULL, 1),
(13689, NULL, 'cd18050', NULL, NULL, 'DEADc_DDX17', NULL, 'DEADc_DDX17', NULL, NULL, 39803, 1),
(13690, NULL, 'cd10312', NULL, NULL, 'Deadenylase_CCR4b', NULL, 'Deadenylase_CCR4b', NULL, NULL, 33702, 1),
(13691, NULL, 'cd16242', NULL, NULL, 'EFh_DMD_like', NULL, 'EFh_DMD_like', NULL, NULL, NULL, 1),
(13692, NULL, 'cd15036', NULL, NULL, '7tmF_FZD9', NULL, '7tmF_FZD9', NULL, NULL, NULL, 1),
(13693, NULL, 'cd12032', NULL, NULL, 'SH3_DLG2', NULL, 'SH3_DLG2', NULL, NULL, 32736, 1),
(13694, NULL, 'cd16194', NULL, NULL, 'EFh_PEF_CAPN12', NULL, 'EFh_PEF_CAPN12', NULL, NULL, NULL, 1),
(13695, NULL, 'cd06149', NULL, NULL, 'ISG20', NULL, 'ISG20', NULL, NULL, 33249, 1),
(13696, NULL, 'cd11009', NULL, NULL, 'Zn_dep_PLPC', NULL, 'Zn_dep_PLPC', NULL, NULL, 3122, 1),
(13697, NULL, 'cd14555', NULL, NULL, 'R-PTPc-typeIIb-1', NULL, 'R-PTPc-typeIIb-1', NULL, NULL, NULL, 1),
(13698, NULL, 'cd10282', NULL, NULL, 'DNase1', NULL, 'DNase1', NULL, NULL, NULL, 1),
(13699, NULL, 'cd17400', NULL, NULL, 'MFS_SLCO1_OATP1', NULL, 'MFS_SLCO1_OATP1', NULL, NULL, NULL, 1),
(13700, NULL, 'cd16700', NULL, NULL, 'RING_CH-C4HC3_MARCH4_like', NULL, 'RING_CH-C4HC3_MARCH4_like', NULL, NULL, NULL, 1),
(13701, NULL, 'cd12507', NULL, NULL, 'RRM1_ESRPs_Fusilli', NULL, 'RRM1_ESRPs_Fusilli', NULL, NULL, NULL, 1),
(13702, NULL, 'cd07489', NULL, NULL, 'Peptidases_S8_5', NULL, 'Peptidases_S8_5', NULL, NULL, 23086, 1),
(13703, NULL, 'cd16571', NULL, NULL, 'RING-HC_SIAHs', NULL, 'RING-HC_SIAHs', NULL, NULL, NULL, 1),
(13704, NULL, 'cd03598', NULL, NULL, 'CLECT_EMBP_like', NULL, 'CLECT_EMBP_like', NULL, NULL, 32088, 1),
(13705, NULL, 'cd03110', NULL, NULL, 'SIMIBI_bact_arch', NULL, 'SIMIBI_bact_arch', NULL, NULL, NULL, 1),
(13706, NULL, 'cd09765', NULL, NULL, 'Csx14_I-U', NULL, 'Csx14_I-U', NULL, NULL, NULL, 1),
(13707, NULL, 'cd18294', NULL, NULL, 'BTB_POZ_BTBD19', NULL, 'BTB_POZ_BTBD19', NULL, NULL, NULL, 1),
(13708, NULL, 'cd15123', NULL, NULL, '7tmA_BRS-3', NULL, '7tmA_BRS-3', NULL, NULL, NULL, 1),
(13709, NULL, 'cd18620', NULL, NULL, 'GH43_XylA-like', NULL, 'GH43_XylA-like', NULL, NULL, NULL, 1),
(13710, NULL, 'cd02911', NULL, NULL, 'arch_FMN', NULL, 'arch_FMN', NULL, NULL, 31132, 1),
(13711, NULL, 'cd12586', NULL, NULL, 'RRM1_PSP1', NULL, 'RRM1_PSP1', NULL, NULL, 34940, 1),
(13712, NULL, 'cd01541', NULL, NULL, 'PBP1_AraR', NULL, 'PBP1_AraR', NULL, NULL, 33319, 1),
(13713, NULL, 'cd11930', NULL, NULL, 'SH3_SH3RF1_2', NULL, 'SH3_SH3RF1_2', NULL, NULL, 35216, 1),
(13714, NULL, 'cd03247', NULL, NULL, 'ABCC_cytochrome_bd', NULL, 'ABCC_cytochrome_bd', NULL, NULL, NULL, 1),
(13715, NULL, 'cd16566', NULL, NULL, 'RING-HC_RSPRY1', NULL, 'RING-HC_RSPRY1', NULL, NULL, NULL, 1),
(13716, NULL, 'cd12601', NULL, NULL, 'RRM2_SRSF1_like', NULL, 'RRM2_SRSF1_like', NULL, NULL, NULL, 1),
(13717, NULL, 'cd09806', NULL, NULL, 'type1_17beta-HSD-like_SDR_c', NULL, 'type1_17beta-HSD-like_SDR_c', NULL, NULL, NULL, 1),
(13718, NULL, 'cd00352', NULL, NULL, 'Gn_AT_II', NULL, 'Gn_AT_II', NULL, NULL, NULL, 1),
(13719, NULL, 'cd01081', NULL, NULL, 'Aldose_epim', NULL, 'Aldose_epim', NULL, NULL, NULL, 1),
(13720, NULL, 'cd11936', NULL, NULL, 'SH3_UBASH3B', NULL, 'SH3_UBASH3B', NULL, NULL, 36362, 1),
(13721, NULL, 'cd15429', NULL, NULL, '7tmA_OR2F-like', NULL, '7tmA_OR2F-like', NULL, NULL, NULL, 1),
(13722, NULL, 'cd08068', NULL, NULL, 'MPN_BRCC36', NULL, 'MPN_BRCC36', NULL, NULL, 35333, 1),
(13723, NULL, 'cd19801', NULL, NULL, 'Bbox1_MID', NULL, 'Bbox1_MID', NULL, NULL, NULL, 1),
(13724, NULL, 'cd04924', NULL, NULL, 'ACT_AK-Arch_2', NULL, 'ACT_AK-Arch_2', NULL, NULL, NULL, 1),
(13725, NULL, 'cd10306', NULL, NULL, 'GST_C_GluRS_N', NULL, 'GST_C_GluRS_N', NULL, NULL, NULL, 1),
(13726, NULL, 'cd20013', NULL, NULL, 'PBP1_RPA0985_benzoate-like', NULL, 'PBP1_RPA0985_benzoate-like', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13727, NULL, 'cd07204', NULL, NULL, 'Pat_PNPLA_like', NULL, 'Pat_PNPLA_like', NULL, NULL, NULL, 1),
(13728, NULL, 'cd08394', NULL, NULL, 'C2A_Munc13', NULL, 'C2A_Munc13', NULL, NULL, NULL, 1),
(13729, NULL, 'cd16853', NULL, NULL, 'STAT3_CCD', NULL, 'STAT3_CCD', NULL, NULL, NULL, 1),
(13730, NULL, 'cd06555', NULL, NULL, 'ASCH_PF0470_like', NULL, 'ASCH_PF0470_like', NULL, NULL, NULL, 1),
(13731, NULL, 'cd15180', NULL, NULL, '7tmA_CXCR3', NULL, '7tmA_CXCR3', NULL, NULL, NULL, 1),
(13732, NULL, 'cd08015', NULL, NULL, 'M28_like', NULL, 'M28_like', NULL, NULL, NULL, 1),
(13733, NULL, 'cd19034', NULL, NULL, 'LGIC_ECD_GABAAR_A1', NULL, 'LGIC_ECD_GABAAR_A1', NULL, NULL, NULL, 1),
(13734, NULL, 'cd04046', NULL, NULL, 'C2_Calpain', NULL, 'C2_Calpain', NULL, NULL, 33630, 1),
(13735, NULL, 'cd00183', NULL, NULL, 'TFIIS_I', NULL, 'TFIIS_I', NULL, NULL, NULL, 1),
(13736, NULL, 'cd01210', NULL, NULL, 'PTB_EPS8', NULL, 'PTB_EPS8', NULL, NULL, 30181, 1),
(13737, NULL, 'cd05239', NULL, NULL, 'GDP_FS_SDR_e', NULL, 'GDP_FS_SDR_e', NULL, NULL, 27394, 1),
(13738, NULL, 'cd12081', NULL, NULL, 'SH3_CASK', NULL, 'SH3_CASK', NULL, NULL, 15596, 1),
(13739, NULL, 'cd07148', NULL, NULL, 'ALDH_RL0313', NULL, 'ALDH_RL0313', NULL, NULL, NULL, 1),
(13740, NULL, 'cd14415', NULL, NULL, 'UBA_NACA_NACP1', NULL, 'UBA_NACA_NACP1', NULL, NULL, NULL, 1),
(13741, NULL, 'cd08640', NULL, NULL, 'DNA_pol_A_plastid_like', NULL, 'DNA_pol_A_plastid_like', NULL, NULL, NULL, 1),
(13742, NULL, 'cd12800', NULL, NULL, 'Sol_i_2', NULL, 'Sol_i_2', NULL, NULL, 13718, 1),
(13743, NULL, 'cd00797', NULL, NULL, 'INT_RitB_C_like', NULL, 'INT_RitB_C_like', NULL, NULL, NULL, 1),
(13744, NULL, 'cd15539', NULL, NULL, 'PHD1_AIRE', NULL, 'PHD1_AIRE', NULL, NULL, NULL, 1),
(13745, NULL, 'cd08258', NULL, NULL, 'Zn_ADH4', NULL, 'Zn_ADH4', NULL, NULL, NULL, 1),
(13746, NULL, 'cd15962', NULL, NULL, '7tmA_GPR6', NULL, '7tmA_GPR6', NULL, NULL, NULL, 1),
(13747, NULL, 'cd06152', NULL, NULL, 'YjgF_YER057c_UK114_like_4', NULL, 'YjgF_YER057c_UK114_like_4', NULL, NULL, NULL, 1),
(13748, NULL, 'cd12812', NULL, NULL, 'BPSL1549', NULL, 'BPSL1549', NULL, NULL, 29702, 1),
(13749, NULL, 'cd14483', NULL, NULL, 'SPX_PHO81_NUC-2_like', NULL, 'SPX_PHO81_NUC-2_like', NULL, NULL, NULL, 1),
(13750, NULL, 'cd17155', NULL, NULL, 'DCX_DCDC1', NULL, 'DCX_DCDC1', NULL, NULL, NULL, 1),
(13751, NULL, 'cd05242', NULL, NULL, 'SDR_a8', NULL, 'SDR_a8', NULL, NULL, NULL, 1),
(13752, NULL, 'cd04613', NULL, NULL, 'CBS_pair_voltage-gated_CLC_bac', NULL, 'CBS_pair_voltage-gated_CLC_bac', NULL, NULL, NULL, 1),
(13753, NULL, 'cd17219', NULL, NULL, 'RA_RASSF3', NULL, 'RA_RASSF3', NULL, NULL, NULL, 1),
(13754, NULL, 'cd15424', NULL, NULL, '7tmA_OR2_unk', NULL, '7tmA_OR2_unk', NULL, NULL, NULL, 1),
(13755, NULL, 'cd07831', NULL, NULL, 'STKc_MOK', NULL, 'STKc_MOK', NULL, NULL, NULL, 1),
(13756, NULL, 'cd19814', NULL, NULL, 'Bbox1_RNF207-like', NULL, 'Bbox1_RNF207-like', NULL, NULL, NULL, 1),
(13757, NULL, 'cd21527', NULL, NULL, 'CoV_Spike_S1_NTD', NULL, 'CoV_Spike_S1_NTD', NULL, NULL, NULL, 1),
(13758, NULL, 'cd17769', NULL, NULL, 'NP_TgUP-like', NULL, 'NP_TgUP-like', NULL, NULL, NULL, 1),
(13759, NULL, 'cd19729', NULL, NULL, 'bHLH-PAS_HIF3a_PASD7', NULL, 'bHLH-PAS_HIF3a_PASD7', NULL, NULL, NULL, 1),
(13760, NULL, 'cd17971', NULL, NULL, 'DEXHc_DHX8', NULL, 'DEXHc_DHX8', NULL, NULL, 36944, 1),
(13761, NULL, 'cd19895', NULL, NULL, 'DSRM_RED1_rpt1', NULL, 'DSRM_RED1_rpt1', NULL, NULL, 37855, 1),
(13762, NULL, 'cd01713', NULL, NULL, 'PAPS_reductase', NULL, 'PAPS_reductase', NULL, NULL, 732, 1),
(13763, NULL, 'cd15576', NULL, NULL, 'PHD_JMJD2B', NULL, 'PHD_JMJD2B', NULL, NULL, NULL, 1),
(13764, NULL, 'cd04882', NULL, NULL, 'ACT_Bt0572_2', NULL, 'ACT_Bt0572_2', NULL, NULL, NULL, 1),
(13765, NULL, 'cd03855', NULL, NULL, 'M14_ASTE', NULL, 'M14_ASTE', NULL, NULL, 20650, 1),
(13766, NULL, 'cd11990', NULL, NULL, 'SH3_Intersectin2_2', NULL, 'SH3_Intersectin2_2', NULL, NULL, 30231, 1),
(13767, NULL, 'cd12205', NULL, NULL, 'RasGAP_plexin', NULL, 'RasGAP_plexin', NULL, NULL, NULL, 1),
(13768, NULL, 'cd17178', NULL, NULL, 'FERM_F1_PLEKHH1', NULL, 'FERM_F1_PLEKHH1', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13769, NULL, 'cd05837', NULL, NULL, 'MSH6_like', NULL, 'MSH6_like', NULL, NULL, NULL, 1),
(13770, NULL, 'cd10351', NULL, NULL, 'SH2_SH2D4B', NULL, 'SH2_SH2D4B', NULL, NULL, 34483, 1),
(13771, NULL, 'cd15559', NULL, NULL, 'PHD1_BPTF', NULL, 'PHD1_BPTF', NULL, NULL, NULL, 1),
(13772, NULL, 'cd07000', NULL, NULL, 'cupin_HGO_N', NULL, 'cupin_HGO_N', NULL, NULL, NULL, 1),
(13773, NULL, 'cd16150', NULL, NULL, 'sulfatase_like', NULL, 'sulfatase_like', NULL, NULL, NULL, 1),
(13774, NULL, 'cd00104', NULL, NULL, 'KAZAL_FS', NULL, 'KAZAL_FS', NULL, NULL, NULL, 1),
(13775, NULL, 'cd03282', NULL, NULL, 'ABC_MSH4_euk', NULL, 'ABC_MSH4_euk', NULL, NULL, NULL, 1),
(13776, NULL, 'cd12401', NULL, NULL, 'RRM_eIF4H', NULL, 'RRM_eIF4H', NULL, NULL, 33277, 1),
(13777, NULL, 'cd14518', NULL, NULL, 'DSP_fungal_YVH1', NULL, 'DSP_fungal_YVH1', NULL, NULL, NULL, 1),
(13778, NULL, 'cd13767', NULL, NULL, 'TGF_beta_BMP9_like', NULL, 'TGF_beta_BMP9_like', NULL, NULL, NULL, 1),
(13779, NULL, 'cd06552', NULL, NULL, 'ASCH_yqfb_like', NULL, 'ASCH_yqfb_like', NULL, NULL, NULL, 1),
(13780, NULL, 'cd12407', NULL, NULL, 'RRM_FOX1_like', NULL, 'RRM_FOX1_like', NULL, NULL, 33088, 1),
(13781, NULL, 'cd00344', NULL, NULL, 'FBP_aldolase_I', NULL, 'FBP_aldolase_I', NULL, NULL, NULL, 1),
(13782, NULL, 'cd15249', NULL, NULL, '7tmF_FZD5', NULL, '7tmF_FZD5', NULL, NULL, NULL, 1),
(13783, NULL, 'cd06207', NULL, NULL, 'CyPoR_like', NULL, 'CyPoR_like', NULL, NULL, NULL, 1),
(13784, NULL, 'cd01716', NULL, NULL, 'Hfq', NULL, 'Hfq', NULL, NULL, 532, 1),
(13785, NULL, 'cd17370', NULL, NULL, 'MFS_MJ1317_like', NULL, 'MFS_MJ1317_like', NULL, NULL, NULL, 1),
(13786, NULL, 'cd19686', NULL, NULL, 'bHLH_TS_FERD3L_like', NULL, 'bHLH_TS_FERD3L_like', NULL, NULL, NULL, 1),
(13787, NULL, 'cd08948', NULL, NULL, '5beta-POR_like_SDR_a', NULL, '5beta-POR_like_SDR_a', NULL, NULL, NULL, 1),
(13788, NULL, 'cd18518', NULL, NULL, 'BACK_SPOP', NULL, 'BACK_SPOP', NULL, NULL, 32377, 1),
(13789, NULL, 'cd14801', NULL, NULL, 'STAT_DBD', NULL, 'STAT_DBD', NULL, NULL, NULL, 1),
(13790, NULL, 'cd16146', NULL, NULL, 'ARS_like', NULL, 'ARS_like', NULL, NULL, NULL, 1),
(13791, NULL, 'cd20288', NULL, NULL, 'cupin_pirin-like_C', NULL, 'cupin_pirin-like_C', NULL, NULL, NULL, 1),
(13792, NULL, 'cd05351', NULL, NULL, 'XR_like_SDR_c', NULL, 'XR_like_SDR_c', NULL, NULL, NULL, 1),
(13793, NULL, 'cd01028', NULL, NULL, 'TOPRIM_TopoIA', NULL, 'TOPRIM_TopoIA', NULL, NULL, NULL, 1),
(13794, NULL, 'cd16969', NULL, NULL, 'Alpha_kinase_ALPK1', NULL, 'Alpha_kinase_ALPK1', NULL, NULL, NULL, 1),
(13795, NULL, 'cd18487', NULL, NULL, 'BACK_BTBD1_like', NULL, 'BACK_BTBD1_like', NULL, NULL, NULL, 1),
(13796, NULL, 'cd12036', NULL, NULL, 'SH3_MPP5', NULL, 'SH3_MPP5', NULL, NULL, 36294, 1),
(13797, NULL, 'cd08715', NULL, NULL, 'RGS_RGS1', NULL, 'RGS_RGS1', NULL, NULL, NULL, 1),
(13798, NULL, 'cd15937', NULL, NULL, '7tmA_OR4N-like', NULL, '7tmA_OR4N-like', NULL, NULL, NULL, 1),
(13799, NULL, 'cd00584', NULL, NULL, 'Prefoldin_alpha', NULL, 'Prefoldin_alpha', NULL, NULL, NULL, 1),
(13800, NULL, 'cd16787', NULL, NULL, 'mRING-HC-C3HC5_CGRF1', NULL, 'mRING-HC-C3HC5_CGRF1', NULL, NULL, NULL, 1),
(13801, NULL, 'cd19376', NULL, NULL, 'TGF_beta_GDF15', NULL, 'TGF_beta_GDF15', NULL, NULL, NULL, 1),
(13802, NULL, 'cd07417', NULL, NULL, 'MPP_PP5_C', NULL, 'MPP_PP5_C', NULL, NULL, 33073, 1),
(13803, NULL, 'cd15195', NULL, NULL, '7tmA_GnRHR-like', NULL, '7tmA_GnRHR-like', NULL, NULL, NULL, 1),
(13804, NULL, 'cd10556', NULL, NULL, 'SER_beta', NULL, 'SER_beta', NULL, NULL, NULL, 1),
(13805, NULL, 'cd19452', NULL, NULL, 'lipocalin_ABP', NULL, 'lipocalin_ABP', NULL, NULL, NULL, 1),
(13806, NULL, 'cd02641', NULL, NULL, 'R3H_Smubp-2_like', NULL, 'R3H_Smubp-2_like', NULL, NULL, 8977, 1),
(13807, NULL, 'cd03670', NULL, NULL, 'ADPRase_NUDT9', NULL, 'ADPRase_NUDT9', NULL, NULL, NULL, 1),
(13808, NULL, 'cd09672', NULL, NULL, 'Cas8a1_I-A', NULL, 'Cas8a1_I-A', NULL, NULL, NULL, 1),
(13809, NULL, 'cd06174', NULL, NULL, 'MFS', NULL, 'MFS', NULL, NULL, NULL, 1),
(13810, NULL, 'cd08060', NULL, NULL, 'MPN_UPF0172', NULL, 'MPN_UPF0172', NULL, NULL, 6254, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13811, NULL, 'cd21596', NULL, NULL, 'batCoV-HKU9-like_RdRp', NULL, 'batCoV-HKU9-like_RdRp', NULL, NULL, 36636, 1),
(13812, NULL, 'cd07664', NULL, NULL, 'BAR_SNX2', NULL, 'BAR_SNX2', NULL, NULL, NULL, 1),
(13813, NULL, 'cd10521', NULL, NULL, 'SET_SMYD5', NULL, 'SET_SMYD5', NULL, NULL, 37864, 1),
(13814, NULL, 'cd02048', NULL, NULL, 'serpinI1_NSP', NULL, 'serpinI1_NSP', NULL, NULL, NULL, 1),
(13815, NULL, 'cd02238', NULL, NULL, 'cupin_KdgF', NULL, 'cupin_KdgF', NULL, NULL, NULL, 1),
(13816, NULL, 'cd13950', NULL, NULL, '7tm_TAS2R', NULL, '7tm_TAS2R', NULL, NULL, NULL, 1),
(13817, NULL, 'cd14306', NULL, NULL, 'UBA_VP13D', NULL, 'UBA_VP13D', NULL, NULL, 32968, 1),
(13818, NULL, 'cd04980', NULL, NULL, 'IgV_L_kappa', NULL, 'IgV_L_kappa', NULL, NULL, NULL, 1),
(13819, NULL, 'cd17651', NULL, NULL, 'A_NRPS_VisG_like', NULL, 'A_NRPS_VisG_like', NULL, NULL, NULL, 1),
(13820, NULL, 'cd17782', NULL, NULL, 'CBS_pair_MUG70_2', NULL, 'CBS_pair_MUG70_2', NULL, NULL, NULL, 1),
(13821, NULL, 'cd01396', NULL, NULL, 'MeCP2_MBD', NULL, 'MeCP2_MBD', NULL, NULL, NULL, 1),
(13822, NULL, 'cd00296', NULL, NULL, 'SIR2', NULL, 'SIR2', NULL, NULL, NULL, 1),
(13823, NULL, 'cd13408', NULL, NULL, 'TNFRSF7', NULL, 'TNFRSF7', NULL, NULL, 31923, 1),
(13824, NULL, 'cd07035', NULL, NULL, 'TPP_PYR_POX_like', NULL, 'TPP_PYR_POX_like', NULL, NULL, NULL, 1),
(13825, NULL, 'cd16550', NULL, NULL, 'RING-HC_RNF168', NULL, 'RING-HC_RNF168', NULL, NULL, NULL, 1),
(13826, NULL, 'cd09733', NULL, NULL, 'Cas6-I-III', NULL, 'Cas6-I-III', NULL, NULL, NULL, 1),
(13827, NULL, 'cd18533', NULL, NULL, 'PTP_fungal', NULL, 'PTP_fungal', NULL, NULL, NULL, 1),
(13828, NULL, 'cd05131', NULL, NULL, 'RasGAP_IQGAP2', NULL, 'RasGAP_IQGAP2', NULL, NULL, NULL, 1),
(13829, NULL, 'cd01292', NULL, NULL, 'metallo-dependent_hydrolases', NULL, 'metallo-dependent_hydrolases', NULL, NULL, NULL, 1),
(13830, NULL, 'cd03745', NULL, NULL, 'SOCS_WSB2_SWIP2', NULL, 'SOCS_WSB2_SWIP2', NULL, NULL, NULL, 1),
(13831, NULL, 'cd13126', NULL, NULL, 'MATE_like_11', NULL, 'MATE_like_11', NULL, NULL, NULL, 1),
(13832, NULL, 'cd20257', NULL, NULL, 'Stannin', NULL, 'Stannin', NULL, NULL, 34973, 1),
(13833, NULL, 'cd11983', NULL, NULL, 'SH3_Shank2', NULL, 'SH3_Shank2', NULL, NULL, NULL, 1),
(13834, NULL, 'cd05506', NULL, NULL, 'Bromo_plant1', NULL, 'Bromo_plant1', NULL, NULL, 29751, 1),
(13835, NULL, 'cd15640', NULL, NULL, 'PHD_KDM7', NULL, 'PHD_KDM7', NULL, NULL, NULL, 1),
(13836, NULL, 'cd14441', NULL, NULL, 'AlgX_N', NULL, 'AlgX_N', NULL, NULL, 15649, 1),
(13837, NULL, 'cd12367', NULL, NULL, 'RRM2_RBM45', NULL, 'RRM2_RBM45', NULL, NULL, 21457, 1),
(13838, NULL, 'cd19063', NULL, NULL, 'LGIC_TM_5-HT3', NULL, 'LGIC_TM_5-HT3', NULL, NULL, NULL, 1),
(13839, NULL, 'cd15680', NULL, NULL, 'PHD_JADE2', NULL, 'PHD_JADE2', NULL, NULL, 33570, 1),
(13840, NULL, 'cd17997', NULL, NULL, 'DEXHc_SMARCA1_SMARCA5', NULL, 'DEXHc_SMARCA1_SMARCA5', NULL, NULL, 36869, 1),
(13841, NULL, 'sd00046', NULL, NULL, 'FHA_bHelix', NULL, 'FHA_bHelix', NULL, NULL, NULL, 1),
(13842, NULL, 'cd15021', NULL, NULL, '7tm_TAS2R10', NULL, '7tm_TAS2R10', NULL, NULL, NULL, 1),
(13843, NULL, 'cd11718', NULL, NULL, 'THUMP_SPOUT', NULL, 'THUMP_SPOUT', NULL, NULL, 32255, 1),
(13844, NULL, 'cd17177', NULL, NULL, 'FERM_F0_SHANK3', NULL, 'FERM_F0_SHANK3', NULL, NULL, NULL, 1),
(13845, NULL, 'cd07129', NULL, NULL, 'ALDH_KGSADH', NULL, 'ALDH_KGSADH', NULL, NULL, 39056, 1),
(13846, NULL, 'cd13861', NULL, NULL, 'CuRO_1_CumA_like', NULL, 'CuRO_1_CumA_like', NULL, NULL, NULL, 1),
(13847, NULL, 'cd01867', NULL, NULL, 'Rab8_Rab10_Rab13_like', NULL, 'Rab8_Rab10_Rab13_like', NULL, NULL, NULL, 1),
(13848, NULL, 'cd08457', NULL, NULL, 'PBP2_OccR', NULL, 'PBP2_OccR', NULL, NULL, 33341, 1),
(13849, NULL, 'cd12936', NULL, NULL, 'GUCT_RHII_Gualpha_beta', NULL, 'GUCT_RHII_Gualpha_beta', NULL, NULL, NULL, 1),
(13850, NULL, 'cd17319', NULL, NULL, 'MFS_ExuT_GudP_like', NULL, 'MFS_ExuT_GudP_like', NULL, NULL, NULL, 1),
(13851, NULL, 'cd07250', NULL, NULL, 'HPPD_C_like', NULL, 'HPPD_C_like', NULL, NULL, 32123, 1),
(13852, NULL, 'cd19890', NULL, NULL, 'DSRM_TARBP2_rpt1', NULL, 'DSRM_TARBP2_rpt1', NULL, NULL, 36809, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13853, NULL, 'cd01034', NULL, NULL, 'EriC_like', NULL, 'EriC_like', NULL, NULL, NULL, 1),
(13854, NULL, 'cd21401', NULL, NULL, 'ZBD_cv_Nsp13-like', NULL, 'ZBD_cv_Nsp13-like', NULL, NULL, 25106, 1),
(13855, NULL, 'cd13751', NULL, NULL, 'TGF_beta_GDF8_like', NULL, 'TGF_beta_GDF8_like', NULL, NULL, NULL, 1),
(13856, NULL, 'cd16745', NULL, NULL, 'RING-HC_AtRMA_like', NULL, 'RING-HC_AtRMA_like', NULL, NULL, NULL, 1),
(13857, NULL, 'cd19107', NULL, NULL, 'AKR_AKR1B1-19', NULL, 'AKR_AKR1B1-19', NULL, NULL, NULL, 1),
(13858, NULL, 'cd06498', NULL, NULL, 'ACD_alphaB-crystallin_HspB5', NULL, 'ACD_alphaB-crystallin_HspB5', NULL, NULL, 35604, 1),
(13859, NULL, 'cd06808', NULL, NULL, 'PLPDE_III', NULL, 'PLPDE_III', NULL, NULL, NULL, 1),
(13860, NULL, 'cd18015', NULL, NULL, 'DEXHc_RecQ1', NULL, 'DEXHc_RecQ1', NULL, NULL, NULL, 1),
(13861, NULL, 'cd00445', NULL, NULL, 'Uricase', NULL, 'Uricase', NULL, NULL, NULL, 1),
(13862, NULL, 'cd10482', NULL, NULL, 'EphR_LBD_A4', NULL, 'EphR_LBD_A4', NULL, NULL, 25042, 1),
(13863, NULL, 'cd17292', NULL, NULL, 'RMtype1_S_LlaA17I_TRD2-CR2_like', NULL, 'RMtype1_S_LlaA17I_TRD2-CR2_like', NULL, NULL, NULL, 1),
(13864, NULL, 'cd15007', NULL, NULL, '7tmA_GPR75', NULL, '7tmA_GPR75', NULL, NULL, NULL, 1),
(13865, NULL, 'cd04817', NULL, NULL, 'PA_VapT_like', NULL, 'PA_VapT_like', NULL, NULL, NULL, 1),
(13866, NULL, 'cd00993', NULL, NULL, 'PBP2_ModA_like', NULL, 'PBP2_ModA_like', NULL, NULL, NULL, 1),
(13867, NULL, 'cd11986', NULL, NULL, 'SH3_Stac3_1', NULL, 'SH3_Stac3_1', NULL, NULL, 30058, 1),
(13868, NULL, 'cd06639', NULL, NULL, 'STKc_myosinIIIB_N', NULL, 'STKc_myosinIIIB_N', NULL, NULL, NULL, 1),
(13869, NULL, 'cd08208', NULL, NULL, 'RLP_Photo', NULL, 'RLP_Photo', NULL, NULL, NULL, 1),
(13870, NULL, 'cd02803', NULL, NULL, 'OYE_like_FMN_family', NULL, 'OYE_like_FMN_family', NULL, NULL, NULL, 1),
(13871, NULL, 'cd08573', NULL, NULL, 'GDPD_GDE1', NULL, 'GDPD_GDE1', NULL, NULL, NULL, 1),
(13872, NULL, 'cd13352', NULL, NULL, 'PH-GRAM2_TBC1D8B', NULL, 'PH-GRAM2_TBC1D8B', NULL, NULL, 30027, 1),
(13873, NULL, 'cd18460', NULL, NULL, 'BACK_KLHL21', NULL, 'BACK_KLHL21', NULL, NULL, NULL, 1),
(13874, NULL, 'cd10019', NULL, NULL, '14-3-3_sigma', NULL, '14-3-3_sigma', NULL, NULL, 29661, 1),
(13875, NULL, 'cd18376', NULL, NULL, 'BTB_POZ_FIP2-like', NULL, 'BTB_POZ_FIP2-like', NULL, NULL, NULL, 1),
(13876, NULL, 'cd16505', NULL, NULL, 'RING-HC_CYHR1', NULL, 'RING-HC_CYHR1', NULL, NULL, NULL, 1),
(13877, NULL, 'cd21652', NULL, NULL, 'ORF4b_HKU4-CoV', NULL, 'ORF4b_HKU4-CoV', NULL, NULL, 39000, 1),
(13878, NULL, 'cd17415', NULL, NULL, 'MFS_NPF3', NULL, 'MFS_NPF3', NULL, NULL, NULL, 1),
(13879, NULL, 'cd09759', NULL, NULL, 'Cas6_I-A', NULL, 'Cas6_I-A', NULL, NULL, NULL, 1),
(13880, NULL, 'cd08443', NULL, NULL, 'PBP2_CysB', NULL, 'PBP2_CysB', NULL, NULL, NULL, 1),
(13881, NULL, 'cd10031', NULL, NULL, 'UDG-F5_TTUDGB_like', NULL, 'UDG-F5_TTUDGB_like', NULL, NULL, 39881, 1),
(13882, NULL, 'cd14246', NULL, NULL, 'ADAM17_MPD', NULL, 'ADAM17_MPD', NULL, NULL, 24462, 1),
(13883, NULL, 'cd07808', NULL, NULL, 'FGGY_D-XK_EcXK-like', NULL, 'FGGY_D-XK_EcXK-like', NULL, NULL, NULL, 1),
(13884, NULL, 'cd17439', NULL, NULL, 'MFS_SV2A', NULL, 'MFS_SV2A', NULL, NULL, NULL, 1),
(13885, NULL, 'cd07859', NULL, NULL, 'STKc_TDY_MAPK', NULL, 'STKc_TDY_MAPK', NULL, NULL, NULL, 1),
(13886, NULL, 'cd05525', NULL, NULL, 'Bromo_ASH1', NULL, 'Bromo_ASH1', NULL, NULL, 37171, 1),
(13887, NULL, 'cd07995', NULL, NULL, 'TPK', NULL, 'TPK', NULL, NULL, 5965, 1),
(13888, NULL, 'cd12362', NULL, NULL, 'RRM3_CELF1-6', NULL, 'RRM3_CELF1-6', NULL, NULL, NULL, 1),
(13889, NULL, 'cd13264', NULL, NULL, 'PH_ITSN', NULL, 'PH_ITSN', NULL, NULL, NULL, 1),
(13890, NULL, 'cd03030', NULL, NULL, 'GRX_SH3BGR', NULL, 'GRX_SH3BGR', NULL, NULL, 5592, 1),
(13891, NULL, 'cd17498', NULL, NULL, 'RMtype1_S_Aco12261I-TRD1-CR1_like', NULL, 'RMtype1_S_Aco12261I-TRD1-CR1_like', NULL, NULL, NULL, 1),
(13892, NULL, 'cd11408', NULL, NULL, 'bHLH-O_HELT', NULL, 'bHLH-O_HELT', NULL, NULL, NULL, 1),
(13893, NULL, 'cd09004', NULL, NULL, 'GH43_bXyl-like', NULL, 'GH43_bXyl-like', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13894, NULL, 'cd15776', NULL, NULL, 'FYVE2_PCLO', NULL, 'FYVE2_PCLO', NULL, NULL, NULL, 1),
(13895, NULL, 'cd13294', NULL, NULL, 'PH_ORP_plant', NULL, 'PH_ORP_plant', NULL, NULL, NULL, 1),
(13896, NULL, 'cd09741', NULL, NULL, 'Csx1_III-U', NULL, 'Csx1_III-U', NULL, NULL, NULL, 1),
(13897, NULL, 'cd07122', NULL, NULL, 'ALDH_F20_ACDH', NULL, 'ALDH_F20_ACDH', NULL, NULL, NULL, 1),
(13898, NULL, 'cd14067', NULL, NULL, 'STKc_LRRK1', NULL, 'STKc_LRRK1', NULL, NULL, NULL, 1),
(13899, NULL, 'cd05608', NULL, NULL, 'STKc_GRK1', NULL, 'STKc_GRK1', NULL, NULL, 35027, 1),
(13900, NULL, 'cd16241', NULL, NULL, 'EFh_SPARC_SMOC2', NULL, 'EFh_SPARC_SMOC2', NULL, NULL, 33584, 1),
(13901, NULL, 'cd07774', NULL, NULL, 'FGGY_1', NULL, 'FGGY_1', NULL, NULL, NULL, 1),
(13902, NULL, 'cd16184', NULL, NULL, 'EFh_PEF_peflin', NULL, 'EFh_PEF_peflin', NULL, NULL, NULL, 1),
(13903, NULL, 'cd15110', NULL, NULL, '7tmA_MrgprH', NULL, '7tmA_MrgprH', NULL, NULL, NULL, 1),
(13904, NULL, 'cd18316', NULL, NULL, 'BTB_POZ_KCTD-like', NULL, 'BTB_POZ_KCTD-like', NULL, NULL, NULL, 1),
(13905, NULL, 'cd02334', NULL, NULL, 'ZZ_dystrophin', NULL, 'ZZ_dystrophin', NULL, NULL, NULL, 1),
(13906, NULL, 'cd19008', NULL, NULL, 'LGIC_ECD_GABAR_RDL-like', NULL, 'LGIC_ECD_GABAR_RDL-like', NULL, NULL, NULL, 1),
(13907, NULL, 'cd01161', NULL, NULL, 'VLCAD', NULL, 'VLCAD', NULL, NULL, NULL, 1),
(13908, NULL, 'cd17100', NULL, NULL, 'FERM_F1_PTPN3_like', NULL, 'FERM_F1_PTPN3_like', NULL, NULL, NULL, 1),
(13909, NULL, 'cd16212', NULL, NULL, 'EFh_NorpA_like', NULL, 'EFh_NorpA_like', NULL, NULL, NULL, 1),
(13910, NULL, 'cd13632', NULL, NULL, 'PBP2_Aa-PDT_like', NULL, 'PBP2_Aa-PDT_like', NULL, NULL, NULL, 1),
(13911, NULL, 'cd13319', NULL, NULL, 'PH_RARhoGAP', NULL, 'PH_RARhoGAP', NULL, NULL, NULL, 1),
(13912, NULL, 'cd14009', NULL, NULL, 'STKc_ATG1_ULK_like', NULL, 'STKc_ATG1_ULK_like', NULL, NULL, NULL, 1),
(13913, NULL, 'cd18388', NULL, NULL, 'BTB_POZ_KCTD15', NULL, 'BTB_POZ_KCTD15', NULL, NULL, 39767, 1),
(13914, NULL, 'cd01193', NULL, NULL, 'INT_IntI_C', NULL, 'INT_IntI_C', NULL, NULL, NULL, 1),
(13915, NULL, 'cd12116', NULL, NULL, 'A_NRPS_Ta1_like', NULL, 'A_NRPS_Ta1_like', NULL, NULL, NULL, 1),
(13916, NULL, 'cd20245', NULL, NULL, 'humanin', NULL, 'humanin', NULL, NULL, 23564, 1),
(13917, NULL, 'cd02777', NULL, NULL, 'MopB_CT_DMSOR-like', NULL, 'MopB_CT_DMSOR-like', NULL, NULL, NULL, 1),
(13918, NULL, 'cd14597', NULL, NULL, 'PTPc-N13', NULL, 'PTPc-N13', NULL, NULL, NULL, 1),
(13919, NULL, 'cd09348', NULL, NULL, 'LIM4_FHL1', NULL, 'LIM4_FHL1', NULL, NULL, NULL, 1),
(13920, NULL, 'cd16247', NULL, NULL, 'EFh_UTRO', NULL, 'EFh_UTRO', NULL, NULL, NULL, 1),
(13921, NULL, 'cd09588', NULL, NULL, 'SAM_LBP1', NULL, 'SAM_LBP1', NULL, NULL, 36316, 1),
(13922, NULL, 'cd00152', NULL, NULL, 'PTX', NULL, 'PTX', NULL, NULL, 3343, 1),
(13923, NULL, 'cd00762', NULL, NULL, 'NAD_bind_malic_enz', NULL, 'NAD_bind_malic_enz', NULL, NULL, NULL, 1),
(13924, NULL, 'cd08774', NULL, NULL, '14-3-3', NULL, '14-3-3', NULL, NULL, NULL, 1),
(13925, NULL, 'cd15226', NULL, NULL, '7tmA_OR4-like', NULL, '7tmA_OR4-like', NULL, NULL, NULL, 1),
(13926, NULL, 'cd09375', NULL, NULL, 'LIM2_Lhx1_Lhx5', NULL, 'LIM2_Lhx1_Lhx5', NULL, NULL, NULL, 1),
(13927, NULL, 'cd02847', NULL, NULL, 'E_set_Chitobiase_C', NULL, 'E_set_Chitobiase_C', NULL, NULL, 7221, 1),
(13928, NULL, 'cd05346', NULL, NULL, 'SDR_c5', NULL, 'SDR_c5', NULL, NULL, NULL, 1),
(13929, NULL, 'cd13720', NULL, NULL, 'PBP2_iGluR_NMDA_Nr3', NULL, 'PBP2_iGluR_NMDA_Nr3', NULL, NULL, NULL, 1),
(13930, NULL, 'cd05398', NULL, NULL, 'NT_ClassII-CCAase', NULL, 'NT_ClassII-CCAase', NULL, NULL, 2848, 1),
(13931, NULL, 'cd05150', NULL, NULL, 'APH', NULL, 'APH', NULL, NULL, 13164, 1),
(13932, NULL, 'cd08554', NULL, NULL, 'Cyt_b561', NULL, 'Cyt_b561', NULL, NULL, NULL, 1),
(13933, NULL, 'cd16154', NULL, NULL, 'sulfatase_like', NULL, 'sulfatase_like', NULL, NULL, NULL, 1),
(13934, NULL, 'cd08559', NULL, NULL, 'GDPD_periplasmic_GlpQ_like', NULL, 'GDPD_periplasmic_GlpQ_like', NULL, NULL, NULL, 1),
(13935, NULL, 'cd14539', NULL, NULL, 'PTP-N23', NULL, 'PTP-N23', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13936, NULL, 'cd19022', NULL, NULL, 'LGIC_ECD_nAChR_A9', NULL, 'LGIC_ECD_nAChR_A9', NULL, NULL, NULL, 1),
(13937, NULL, 'cd03409', NULL, NULL, 'Chelatase_Class_II', NULL, 'Chelatase_Class_II', NULL, NULL, NULL, 1),
(13938, NULL, 'cd19103', NULL, NULL, 'AKR_unchar', NULL, 'AKR_unchar', NULL, NULL, NULL, 1),
(13939, NULL, 'cd07180', NULL, NULL, 'RNase_HII_archaea_like', NULL, 'RNase_HII_archaea_like', NULL, NULL, NULL, 1),
(13940, NULL, 'cd14621', NULL, NULL, 'R-PTPc-A-1', NULL, 'R-PTPc-A-1', NULL, NULL, NULL, 1),
(13941, NULL, 'cd05873', NULL, NULL, 'Ig_Sema4D_like', NULL, 'Ig_Sema4D_like', NULL, NULL, NULL, 1),
(13942, NULL, 'cd08580', NULL, NULL, 'GDPD_Rv2277c_like', NULL, 'GDPD_Rv2277c_like', NULL, NULL, NULL, 1),
(13943, NULL, 'cd04926', NULL, NULL, 'ACT_ACR_4', NULL, 'ACT_ACR_4', NULL, NULL, NULL, 1),
(13944, NULL, 'cd17515', NULL, NULL, 'RMtype1_S_MjaORF132P_Sau1132ORF3780P-TRD1-CR1_like', NULL, 'RMtype1_S_MjaORF132P_Sau1132ORF3780P-TRD1-CR1_like', NULL, NULL, NULL, 1),
(13945, NULL, 'cd12871', NULL, NULL, 'Bacuni_01323_like', NULL, 'Bacuni_01323_like', NULL, NULL, NULL, 1),
(13946, NULL, 'cd08944', NULL, NULL, 'SDR_c12', NULL, 'SDR_c12', NULL, NULL, NULL, 1),
(13947, NULL, 'cd14087', NULL, NULL, 'STKc_PSKH1', NULL, 'STKc_PSKH1', NULL, NULL, NULL, 1),
(13948, NULL, 'cd14346', NULL, NULL, 'UBA_Ubx5_like', NULL, 'UBA_Ubx5_like', NULL, NULL, NULL, 1),
(13949, NULL, 'cd11635', NULL, NULL, 'HR1_PKN2_3', NULL, 'HR1_PKN2_3', NULL, NULL, NULL, 1),
(13950, NULL, 'cd17457', NULL, NULL, 'MFS_SLCO1B_OATP1B', NULL, 'MFS_SLCO1B_OATP1B', NULL, NULL, NULL, 1),
(13951, NULL, 'cd02784', NULL, NULL, 'MopB_CT_PHLH', NULL, 'MopB_CT_PHLH', NULL, NULL, NULL, 1),
(13952, NULL, 'cd13579', NULL, NULL, 'PBP2_Bug_NagM', NULL, 'PBP2_Bug_NagM', NULL, NULL, NULL, 1),
(13953, NULL, 'cd15108', NULL, NULL, '7tmA_MrgprD', NULL, '7tmA_MrgprD', NULL, NULL, NULL, 1),
(13954, NULL, 'cd17668', NULL, NULL, 'R-PTPc-Z-1', NULL, 'R-PTPc-Z-1', NULL, NULL, NULL, 1),
(13955, NULL, 'cd02198', NULL, NULL, 'YjgH_like', NULL, 'YjgH_like', NULL, NULL, 34366, 1),
(13956, NULL, 'cd19387', NULL, NULL, 'TGF_beta_univin', NULL, 'TGF_beta_univin', NULL, NULL, NULL, 1),
(13957, NULL, 'cd12549', NULL, NULL, 'RRM_Set1B', NULL, 'RRM_Set1B', NULL, NULL, 11862, 1),
(13958, NULL, 'cd13562', NULL, NULL, 'PBP2_SsuA_like_5', NULL, 'PBP2_SsuA_like_5', NULL, NULL, NULL, 1),
(13959, NULL, 'cd04085', NULL, NULL, 'delta_endotoxin_C', NULL, 'delta_endotoxin_C', NULL, NULL, NULL, 1),
(13960, NULL, 'cd07546', NULL, NULL, 'P-type_ATPase_Pb_Zn_Cd2-like', NULL, 'P-type_ATPase_Pb_Zn_Cd2-like', NULL, NULL, NULL, 1),
(13961, NULL, 'cd10798', NULL, NULL, 'GH57N_like_1', NULL, 'GH57N_like_1', NULL, NULL, NULL, 1),
(13962, NULL, 'cd18553', NULL, NULL, 'ABC_6TM_PglK_like', NULL, 'ABC_6TM_PglK_like', NULL, NULL, NULL, 1),
(13963, NULL, 'cd14396', NULL, NULL, 'UBA_XtBIRC7_like', NULL, 'UBA_XtBIRC7_like', NULL, NULL, NULL, 1),
(13964, NULL, 'cd18995', NULL, NULL, 'LGIC_AChBP', NULL, 'LGIC_AChBP', NULL, NULL, NULL, 1),
(13965, NULL, 'cd14178', NULL, NULL, 'STKc_RSK3_C', NULL, 'STKc_RSK3_C', NULL, NULL, 37531, 1),
(13966, NULL, 'cd05027', NULL, NULL, 'S-100B', NULL, 'S-100B', NULL, NULL, 28314, 1),
(13967, NULL, 'cd15442', NULL, NULL, '7tmB2_GPR97', NULL, '7tmB2_GPR97', NULL, NULL, NULL, 1),
(13968, NULL, 'cd12712', NULL, NULL, 'RRM_TNRC6B', NULL, 'RRM_TNRC6B', NULL, NULL, 11606, 1),
(13969, NULL, 'cd08903', NULL, NULL, 'START_STARD5-like', NULL, 'START_STARD5-like', NULL, NULL, NULL, 1),
(13970, NULL, 'cd00231', NULL, NULL, 'ZipA', NULL, 'ZipA', NULL, NULL, 4603, 1),
(13971, NULL, 'cd08736', NULL, NULL, 'RGS_RhoGEF-like', NULL, 'RGS_RhoGEF-like', NULL, NULL, NULL, 1),
(13972, NULL, 'cd01482', NULL, NULL, 'vWA_collagen_alphaI-XII-like', NULL, 'vWA_collagen_alphaI-XII-like', NULL, NULL, NULL, 1),
(13973, NULL, 'cd14638', NULL, NULL, 'DSP_DUSP1', NULL, 'DSP_DUSP1', NULL, NULL, NULL, 1),
(13974, NULL, 'cd01135', NULL, NULL, 'V_A-ATPase_B', NULL, 'V_A-ATPase_B', NULL, NULL, NULL, 1),
(13975, NULL, 'cd08373', NULL, NULL, 'C2A_Ferlin', NULL, 'C2A_Ferlin', NULL, NULL, 35026, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(13976, NULL, 'cd11663', NULL, NULL, 'GH119_BcIgtZ-like', NULL, 'GH119_BcIgtZ-like', NULL, NULL, NULL, 1),
(13977, NULL, 'cd05662', NULL, NULL, 'M28_like', NULL, 'M28_like', NULL, NULL, NULL, 1),
(13978, NULL, 'cd05905', NULL, NULL, 'Dip2', NULL, 'Dip2', NULL, NULL, 30398, 1),
(13979, NULL, 'cd07110', NULL, NULL, 'ALDH_F10_BADH', NULL, 'ALDH_F10_BADH', NULL, NULL, NULL, 1),
(13980, NULL, 'cd19997', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(13981, NULL, 'cd14601', NULL, NULL, 'PTPc-N4', NULL, 'PTPc-N4', NULL, NULL, NULL, 1),
(13982, NULL, 'cd06413', NULL, NULL, 'GH25_muramidase_1', NULL, 'GH25_muramidase_1', NULL, NULL, NULL, 1),
(13983, NULL, 'cd06958', NULL, NULL, 'NR_DBD_COUP_TF', NULL, 'NR_DBD_COUP_TF', NULL, NULL, NULL, 1),
(13984, NULL, 'cd18464', NULL, NULL, 'BACK_KLHL25_like', NULL, 'BACK_KLHL25_like', NULL, NULL, NULL, 1),
(13985, NULL, 'cd19858', NULL, NULL, 'DSRM_STAU_rpt2', NULL, 'DSRM_STAU_rpt2', NULL, NULL, NULL, 1),
(13986, NULL, 'cd04448', NULL, NULL, 'DEP_PIKfyve', NULL, 'DEP_PIKfyve', NULL, NULL, 29801, 1),
(13987, NULL, 'cd18522', NULL, NULL, 'BACK_BTBD1', NULL, 'BACK_BTBD1', NULL, NULL, NULL, 1),
(13988, NULL, 'cd01480', NULL, NULL, 'vWA_collagen_alpha_1-VI-type', NULL, 'vWA_collagen_alpha_1-VI-type', NULL, NULL, NULL, 1),
(13989, NULL, 'sd00016', NULL, NULL, 'Apc5', NULL, 'Apc5', NULL, NULL, NULL, 1),
(13990, NULL, 'cd02575', NULL, NULL, 'PseudoU_synth_EcTruD', NULL, 'PseudoU_synth_EcTruD', NULL, NULL, NULL, 1),
(13991, NULL, 'cd03329', NULL, NULL, 'MR_like_4', NULL, 'MR_like_4', NULL, NULL, NULL, 1),
(13992, NULL, 'cd12704', NULL, NULL, 'RRM4_hnRNPL', NULL, 'RRM4_hnRNPL', NULL, NULL, 36061, 1),
(13993, NULL, 'cd12930', NULL, NULL, 'GAT_SF', NULL, 'GAT_SF', NULL, NULL, NULL, 1),
(13994, NULL, 'cd06315', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(13995, NULL, 'cd18239', NULL, NULL, 'BTB_POZ_KLHL9_13', NULL, 'BTB_POZ_KLHL9_13', NULL, NULL, NULL, 1),
(13996, NULL, 'cd03336', NULL, NULL, 'TCP1_beta', NULL, 'TCP1_beta', NULL, NULL, 11672, 1),
(13997, NULL, 'cd12172', NULL, NULL, 'PGDH_like_2', NULL, 'PGDH_like_2', NULL, NULL, NULL, 1),
(13998, NULL, 'cd18037', NULL, NULL, 'DEXSc_Pif1_like', NULL, 'DEXSc_Pif1_like', NULL, NULL, NULL, 1),
(13999, NULL, 'cd07094', NULL, NULL, 'ALDH_F21_LactADH-like', NULL, 'ALDH_F21_LactADH-like', NULL, NULL, NULL, 1),
(14000, NULL, 'cd08066', NULL, NULL, 'MPN_AMSH_like', NULL, 'MPN_AMSH_like', NULL, NULL, 38192, 1),
(14001, NULL, 'cd21641', NULL, NULL, 'ORF8-Ig_SARS-CoV-2-like', NULL, 'ORF8-Ig_SARS-CoV-2-like', NULL, NULL, 40033, 1),
(14002, NULL, 'cd06353', NULL, NULL, 'PBP1_Med-like', NULL, 'PBP1_Med-like', NULL, NULL, NULL, 1),
(14003, NULL, 'cd19048', NULL, NULL, 'LGIC_ECD_GABAAR_rho3', NULL, 'LGIC_ECD_GABAAR_rho3', NULL, NULL, NULL, 1),
(14004, NULL, 'cd06150', NULL, NULL, 'YjgF_YER057c_UK114_like_2', NULL, 'YjgF_YER057c_UK114_like_2', NULL, NULL, 35451, 1),
(14005, NULL, 'cd02040', NULL, NULL, 'NifH', NULL, 'NifH', NULL, NULL, NULL, 1),
(14006, NULL, 'cd02984', NULL, NULL, 'TRX_PICOT', NULL, 'TRX_PICOT', NULL, NULL, NULL, 1),
(14007, NULL, 'cd21564', NULL, NULL, 'alphaCoV_M', NULL, 'alphaCoV_M', NULL, NULL, 38244, 1),
(14008, NULL, 'cd15679', NULL, NULL, 'PHD_JADE1', NULL, 'PHD_JADE1', NULL, NULL, 33636, 1),
(14009, NULL, 'cd18736', NULL, NULL, 'PIN_CcVapC1-like', NULL, 'PIN_CcVapC1-like', NULL, NULL, NULL, 1),
(14010, NULL, 'cd14759', NULL, NULL, 'GS_GGDEF_2', NULL, 'GS_GGDEF_2', NULL, NULL, NULL, 1),
(14011, NULL, 'cd08911', NULL, NULL, 'START_STARD7-like', NULL, 'START_STARD7-like', NULL, NULL, 33366, 1),
(14012, NULL, 'cd02672', NULL, NULL, 'Peptidase_C19P', NULL, 'Peptidase_C19P', NULL, NULL, NULL, 1),
(14013, NULL, 'cd14884', NULL, NULL, 'MYSc_Myo23', NULL, 'MYSc_Myo23', NULL, NULL, NULL, 1),
(14014, NULL, 'cd18587', NULL, NULL, 'ABC_6TM_LapB_like', NULL, 'ABC_6TM_LapB_like', NULL, NULL, NULL, 1),
(14015, NULL, 'cd01981', NULL, NULL, 'Pchlide_reductase_B', NULL, 'Pchlide_reductase_B', NULL, NULL, NULL, 1),
(14016, NULL, 'cd07574', NULL, NULL, 'nitrilase_Rim1_like', NULL, 'nitrilase_Rim1_like', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14017, NULL, 'cd06859', NULL, NULL, 'PX_SNX1_2_like', NULL, 'PX_SNX1_2_like', NULL, NULL, NULL, 1),
(14018, NULL, 'cd09295', NULL, NULL, 'Sema', NULL, 'Sema', NULL, NULL, NULL, 1),
(14019, NULL, 'cd08177', NULL, NULL, 'MAR', NULL, 'MAR', NULL, NULL, 11565, 1),
(14020, NULL, 'cd03588', NULL, NULL, 'CLECT_CSPGs', NULL, 'CLECT_CSPGs', NULL, NULL, 34195, 1),
(14021, NULL, 'cd04511', NULL, NULL, 'Nudix_Hydrolase_4', NULL, 'Nudix_Hydrolase_4', NULL, NULL, NULL, 1),
(14022, NULL, 'cd12689', NULL, NULL, 'RRM1_hnRNPL_like', NULL, 'RRM1_hnRNPL_like', NULL, NULL, NULL, 1),
(14023, NULL, 'cd15076', NULL, NULL, '7tmA_SWS1_opsin', NULL, '7tmA_SWS1_opsin', NULL, NULL, NULL, 1),
(14024, NULL, 'cd08521', NULL, NULL, 'C2A_SLP', NULL, 'C2A_SLP', NULL, NULL, NULL, 1),
(14025, NULL, 'cd12385', NULL, NULL, 'RRM1_hnRNPM_like', NULL, 'RRM1_hnRNPM_like', NULL, NULL, NULL, 1),
(14026, NULL, 'cd04782', NULL, NULL, 'HTH_BltR', NULL, 'HTH_BltR', NULL, NULL, NULL, 1),
(14027, NULL, 'cd04494', NULL, NULL, 'BRCA2DBD_OB2', NULL, 'BRCA2DBD_OB2', NULL, NULL, NULL, 1),
(14028, NULL, 'cd05500', NULL, NULL, 'Bromo_BDF1_2_I', NULL, 'Bromo_BDF1_2_I', NULL, NULL, NULL, 1),
(14029, NULL, 'cd20609', NULL, NULL, 'nitroreductase', NULL, 'nitroreductase', NULL, NULL, NULL, 1),
(14030, NULL, 'cd11656', NULL, NULL, 'FBX4_GTPase_like', NULL, 'FBX4_GTPase_like', NULL, NULL, NULL, 1),
(14031, NULL, 'cd12424', NULL, NULL, 'RRM3_hnRNPL_like', NULL, 'RRM3_hnRNPL_like', NULL, NULL, NULL, 1),
(14032, NULL, 'cd00704', NULL, NULL, 'MDH', NULL, 'MDH', NULL, NULL, NULL, 1),
(14033, NULL, 'cd03743', NULL, NULL, 'SOCS_SSB4', NULL, 'SOCS_SSB4', NULL, NULL, NULL, 1),
(14034, NULL, 'cd05968', NULL, NULL, 'AACS_like', NULL, 'AACS_like', NULL, NULL, NULL, 1),
(14035, NULL, 'cd15516', NULL, NULL, 'PHD2_KDM5A_like', NULL, 'PHD2_KDM5A_like', NULL, NULL, NULL, 1),
(14036, NULL, 'cd07700', NULL, NULL, 'IgV_CD8_beta', NULL, 'IgV_CD8_beta', NULL, NULL, NULL, 1),
(14037, NULL, 'cd07868', NULL, NULL, 'STKc_CDK8', NULL, 'STKc_CDK8', NULL, NULL, NULL, 1),
(14038, NULL, 'cd08744', NULL, NULL, 'RGS_RGS17', NULL, 'RGS_RGS17', NULL, NULL, NULL, 1),
(14039, NULL, 'cd04895', NULL, NULL, 'ACT_ACR_1', NULL, 'ACT_ACR_1', NULL, NULL, NULL, 1),
(14040, NULL, 'cd02045', NULL, NULL, 'serpinC1_AT3', NULL, 'serpinC1_AT3', NULL, NULL, 35539, 1),
(14041, NULL, 'cd06084', NULL, NULL, 'KOW_Spt5_4', NULL, 'KOW_Spt5_4', NULL, NULL, 33081, 1),
(14042, NULL, 'cd19348', NULL, NULL, 'Wnt_Wnt5b', NULL, 'Wnt_Wnt5b', NULL, NULL, NULL, 1),
(14043, NULL, 'cd07179', NULL, NULL, '2DBD_NR_DBD2', NULL, '2DBD_NR_DBD2', NULL, NULL, NULL, 1),
(14044, NULL, 'cd01725', NULL, NULL, 'LSm2', NULL, 'LSm2', NULL, NULL, 19773, 1),
(14045, NULL, 'cd09077', NULL, NULL, 'R1-I-EN', NULL, 'R1-I-EN', NULL, NULL, NULL, 1),
(14046, NULL, 'cd18361', NULL, NULL, 'BTB_POZ_KCTD1-like', NULL, 'BTB_POZ_KCTD1-like', NULL, NULL, NULL, 1),
(14047, NULL, 'cd15053', NULL, NULL, '7tmA_D2-like_dopamine_R', NULL, '7tmA_D2-like_dopamine_R', NULL, NULL, NULL, 1),
(14048, NULL, 'cd11007', NULL, NULL, 'M35_like_1', NULL, 'M35_like_1', NULL, NULL, 10358, 1),
(14049, NULL, 'cd17676', NULL, NULL, 'SWIB_BAF60C', NULL, 'SWIB_BAF60C', NULL, NULL, NULL, 1),
(14050, NULL, 'cd09923', NULL, NULL, 'SH2_SOCS_family', NULL, 'SH2_SOCS_family', NULL, NULL, NULL, 1),
(14051, NULL, 'cd04691', NULL, NULL, 'Nudix_Hydrolase_32', NULL, 'Nudix_Hydrolase_32', NULL, NULL, NULL, 1),
(14052, NULL, 'cd07158', NULL, NULL, 'NR_DBD_Ppar_like', NULL, 'NR_DBD_Ppar_like', NULL, NULL, NULL, 1),
(14053, NULL, 'cd11722', NULL, NULL, 'SOAR', NULL, 'SOAR', NULL, NULL, 25562, 1),
(14054, NULL, 'cd17144', NULL, NULL, 'DCX2_DCLK2', NULL, 'DCX2_DCLK2', NULL, NULL, NULL, 1),
(14055, NULL, 'cd07433', NULL, NULL, 'PHP_PolIIIA_DnaE1', NULL, 'PHP_PolIIIA_DnaE1', NULL, NULL, NULL, 1),
(14056, NULL, 'cd01642', NULL, NULL, 'Arch_FBPase_2', NULL, 'Arch_FBPase_2', NULL, NULL, NULL, 1),
(14057, NULL, 'cd11968', NULL, NULL, 'SH3_SASH3', NULL, 'SH3_SASH3', NULL, NULL, 33551, 1),
(14058, NULL, 'cd01217', NULL, NULL, 'PTB_CG12581', NULL, 'PTB_CG12581', NULL, NULL, NULL, 1),
(14059, NULL, 'cd18926', NULL, NULL, 'bHLHzip_MITF', NULL, 'bHLHzip_MITF', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14060, NULL, 'cd08677', NULL, NULL, 'C2A_Synaptotagmin-13', NULL, 'C2A_Synaptotagmin-13', NULL, NULL, NULL, 1),
(14061, NULL, 'cd14048', NULL, NULL, 'STKc_EIF2AK3_PERK', NULL, 'STKc_EIF2AK3_PERK', NULL, NULL, NULL, 1),
(14062, NULL, 'cd02877', NULL, NULL, 'GH18_hevamine_XipI_class_III', NULL, 'GH18_hevamine_XipI_class_III', NULL, NULL, 38584, 1),
(14063, NULL, 'cd19691', NULL, NULL, 'bHLH_dnHLH_ID1', NULL, 'bHLH_dnHLH_ID1', NULL, NULL, NULL, 1),
(14064, NULL, 'cd05765', NULL, NULL, 'Ig_3', NULL, 'Ig_3', NULL, NULL, NULL, 1),
(14065, NULL, 'cd13715', NULL, NULL, 'PBP2_iGluR_AMPA', NULL, 'PBP2_iGluR_AMPA', NULL, NULL, NULL, 1),
(14066, NULL, 'cd16400', NULL, NULL, 'ParB_Srx_like_nuclease', NULL, 'ParB_Srx_like_nuclease', NULL, NULL, NULL, 1),
(14067, NULL, 'cd01702', NULL, NULL, 'PolY_Pol_eta', NULL, 'PolY_Pol_eta', NULL, NULL, NULL, 1),
(14068, NULL, 'cd03257', NULL, NULL, 'ABC_NikE_OppD_transporters', NULL, 'ABC_NikE_OppD_transporters', NULL, NULL, NULL, 1),
(14069, NULL, 'cd15074', NULL, NULL, '7tmA_Opsin5_neuropsin', NULL, '7tmA_Opsin5_neuropsin', NULL, NULL, NULL, 1),
(14070, NULL, 'cd06319', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(14071, NULL, 'cd07344', NULL, NULL, 'M48_yhfN_like', NULL, 'M48_yhfN_like', NULL, NULL, NULL, 1),
(14072, NULL, 'cd09674', NULL, NULL, 'Cas6_I-F', NULL, 'Cas6_I-F', NULL, NULL, NULL, 1),
(14073, NULL, 'cd06481', NULL, NULL, 'ACD_HspB9_like', NULL, 'ACD_HspB9_like', NULL, NULL, NULL, 1),
(14074, NULL, 'cd17933', NULL, NULL, 'DEXSc_RecD-like', NULL, 'DEXSc_RecD-like', NULL, NULL, NULL, 1),
(14075, NULL, 'cd08254', NULL, NULL, 'hydroxyacyl_CoA_DH', NULL, 'hydroxyacyl_CoA_DH', NULL, NULL, NULL, 1),
(14076, NULL, 'cd09540', NULL, NULL, 'SAM_EPS8-like', NULL, 'SAM_EPS8-like', NULL, NULL, NULL, 1),
(14077, NULL, 'cd17507', NULL, NULL, 'GT28_Beta-DGS-like', NULL, 'GT28_Beta-DGS-like', NULL, NULL, NULL, 1),
(14078, NULL, 'cd08209', NULL, NULL, 'RLP_DK-MTP-1-P-enolase', NULL, 'RLP_DK-MTP-1-P-enolase', NULL, NULL, 18307, 1),
(14079, NULL, 'cd08415', NULL, NULL, 'PBP2_LysR_opines_like', NULL, 'PBP2_LysR_opines_like', NULL, NULL, 32300, 1),
(14080, NULL, 'cd09250', NULL, NULL, 'AP-1_Mu1_Cterm', NULL, 'AP-1_Mu1_Cterm', NULL, NULL, NULL, 1),
(14081, NULL, 'cd01049', NULL, NULL, 'RNRR2', NULL, 'RNRR2', NULL, NULL, 29879, 1),
(14082, NULL, 'cd04443', NULL, NULL, 'DEP_GPR155', NULL, 'DEP_GPR155', NULL, NULL, 29907, 1),
(14083, NULL, 'cd14024', NULL, NULL, 'PK_TRB3', NULL, 'PK_TRB3', NULL, NULL, NULL, 1),
(14084, NULL, 'cd18580', NULL, NULL, 'ABC_6TM_ABCC_D2', NULL, 'ABC_6TM_ABCC_D2', NULL, NULL, 37915, 1),
(14085, NULL, 'cd08463', NULL, NULL, 'PBP2_DntR_like_4', NULL, 'PBP2_DntR_like_4', NULL, NULL, NULL, 1),
(14086, NULL, 'cd07220', NULL, NULL, 'Pat_PNPLA2', NULL, 'Pat_PNPLA2', NULL, NULL, 34838, 1),
(14087, NULL, 'cd06190', NULL, NULL, 'T4MO_e_transfer_like', NULL, 'T4MO_e_transfer_like', NULL, NULL, NULL, 1),
(14088, NULL, 'cd06108', NULL, NULL, 'Ec2MCS_like', NULL, 'Ec2MCS_like', NULL, NULL, NULL, 1),
(14089, NULL, 'cd16496', NULL, NULL, 'RING-HC_BARD1', NULL, 'RING-HC_BARD1', NULL, NULL, 30936, 1),
(14090, NULL, 'cd14316', NULL, NULL, 'UBA2_UBAP1_like', NULL, 'UBA2_UBAP1_like', NULL, NULL, NULL, 1),
(14091, NULL, 'cd17663', NULL, NULL, 'PFA-DSP_Oca6', NULL, 'PFA-DSP_Oca6', NULL, NULL, NULL, 1),
(14092, NULL, 'cd05863', NULL, NULL, 'Ig_VEGFR-3', NULL, 'Ig_VEGFR-3', NULL, NULL, NULL, 1),
(14093, NULL, 'cd11673', NULL, NULL, 'hemoglobin_linker_C', NULL, 'hemoglobin_linker_C', NULL, NULL, 26867, 1),
(14094, NULL, 'cd12674', NULL, NULL, 'RRM1_Nop4p', NULL, 'RRM1_Nop4p', NULL, NULL, 35279, 1),
(14095, NULL, 'cd15184', NULL, NULL, '7tmA_CCR5_CCR2', NULL, '7tmA_CCR5_CCR2', NULL, NULL, NULL, 1),
(14096, NULL, 'cd03864', NULL, NULL, 'M14_CPN', NULL, 'M14_CPN', NULL, NULL, 31536, 1),
(14097, NULL, 'cd11850', NULL, NULL, 'SH3_Abl', NULL, 'SH3_Abl', NULL, NULL, NULL, 1),
(14098, NULL, 'cd17224', NULL, NULL, 'RA_ASPP1', NULL, 'RA_ASPP1', NULL, NULL, NULL, 1),
(14099, NULL, 'cd06235', NULL, NULL, 'M14_AGTPBP-like', NULL, 'M14_AGTPBP-like', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14100, NULL, 'cd01712', NULL, NULL, 'ThiI', NULL, 'ThiI', NULL, NULL, 19090, 1),
(14101, NULL, 'cd10327', NULL, NULL, 'SLC5sbd_PanF', NULL, 'SLC5sbd_PanF', NULL, NULL, 14468, 1),
(14102, NULL, 'cd10952', NULL, NULL, 'CE4_MrCDA_like', NULL, 'CE4_MrCDA_like', NULL, NULL, NULL, 1),
(14103, NULL, 'cd14965', NULL, NULL, '7tm_Opsins_type1', NULL, '7tm_Opsins_type1', NULL, NULL, NULL, 1),
(14104, NULL, 'cd05148', NULL, NULL, 'PTKc_Srm_Brk', NULL, 'PTKc_Srm_Brk', NULL, NULL, NULL, 1),
(14105, NULL, 'cd13272', NULL, NULL, 'PH_INPP4A_INPP4B', NULL, 'PH_INPP4A_INPP4B', NULL, NULL, NULL, 1),
(14106, NULL, 'cd12785', NULL, NULL, 'RRM2_hnRNPL', NULL, 'RRM2_hnRNPL', NULL, NULL, 19956, 1),
(14107, NULL, 'cd16174', NULL, NULL, 'EFh_MICU2', NULL, 'EFh_MICU2', NULL, NULL, NULL, 1),
(14108, NULL, 'cd08646', NULL, NULL, 'FMT_core_Met-tRNA-FMT_N', NULL, 'FMT_core_Met-tRNA-FMT_N', NULL, NULL, 32058, 1),
(14109, NULL, 'cd01433', NULL, NULL, 'Ribosomal_L16_L10e', NULL, 'Ribosomal_L16_L10e', NULL, NULL, 12126, 1),
(14110, NULL, 'cd14171', NULL, NULL, 'STKc_MAPKAPK5', NULL, 'STKc_MAPKAPK5', NULL, NULL, NULL, 1),
(14111, NULL, 'cd19884', NULL, NULL, 'DSRM_STAU2_rpt3', NULL, 'DSRM_STAU2_rpt3', NULL, NULL, 36588, 1),
(14112, NULL, 'cd19417', NULL, NULL, 'lipocalin_C8gamma', NULL, 'lipocalin_C8gamma', NULL, NULL, NULL, 1),
(14113, NULL, 'cd11475', NULL, NULL, 'SLC5sbd_PutP', NULL, 'SLC5sbd_PutP', NULL, NULL, 14328, 1),
(14114, NULL, 'cd15348', NULL, NULL, '7tmA_S1PR5_Edg8', NULL, '7tmA_S1PR5_Edg8', NULL, NULL, NULL, 1),
(14115, NULL, 'cd13370', NULL, NULL, 'PH_GAP1m_mammal-like', NULL, 'PH_GAP1m_mammal-like', NULL, NULL, 34876, 1),
(14116, NULL, 'cd01381', NULL, NULL, 'MYSc_Myo7', NULL, 'MYSc_Myo7', NULL, NULL, 30752, 1),
(14117, NULL, 'cd07182', NULL, NULL, 'RNase_HII_bacteria_HII_like', NULL, 'RNase_HII_bacteria_HII_like', NULL, NULL, 17148, 1),
(14118, NULL, 'cd04199', NULL, NULL, 'CuRO_1_ceruloplasmin_like', NULL, 'CuRO_1_ceruloplasmin_like', NULL, NULL, NULL, 1),
(14119, NULL, 'cd07490', NULL, NULL, 'Peptidases_S8_6', NULL, 'Peptidases_S8_6', NULL, NULL, 10787, 1),
(14120, NULL, 'cd09983', NULL, NULL, 'LOTUS_7_Limkain_b1', NULL, 'LOTUS_7_Limkain_b1', NULL, NULL, NULL, 1),
(14121, NULL, 'cd14412', NULL, NULL, 'UBA_DCNL2', NULL, 'UBA_DCNL2', NULL, NULL, NULL, 1),
(14122, NULL, 'cd12959', NULL, NULL, 'MMACHC-like', NULL, 'MMACHC-like', NULL, NULL, 24417, 1),
(14123, NULL, 'cd15903', NULL, NULL, 'Dicer_PBD', NULL, 'Dicer_PBD', NULL, NULL, NULL, 1),
(14124, NULL, 'cd19444', NULL, NULL, 'FABP1', NULL, 'FABP1', NULL, NULL, NULL, 1),
(14125, NULL, 'cd18698', NULL, NULL, 'PIN_VapC_C-like', NULL, 'PIN_VapC_C-like', NULL, NULL, NULL, 1),
(14126, NULL, 'cd01218', NULL, NULL, 'PH_Phafin2-like', NULL, 'PH_Phafin2-like', NULL, NULL, 35339, 1),
(14127, NULL, 'cd02226', NULL, NULL, 'cupin_YdbB-like', NULL, 'cupin_YdbB-like', NULL, NULL, NULL, 1),
(14128, NULL, 'cd02811', NULL, NULL, 'IDI-2_FMN', NULL, 'IDI-2_FMN', NULL, NULL, 11214, 1),
(14129, NULL, 'cd11783', NULL, NULL, 'SH3_SH3RF_3', NULL, 'SH3_SH3RF_3', NULL, NULL, NULL, 1),
(14130, NULL, 'cd14211', NULL, NULL, 'STKc_HIPK', NULL, 'STKc_HIPK', NULL, NULL, NULL, 1),
(14131, NULL, 'cd02608', NULL, NULL, 'P-type_ATPase_Na-K_like', NULL, 'P-type_ATPase_Na-K_like', NULL, NULL, 4915, 1),
(14132, NULL, 'cd05369', NULL, NULL, 'TER_DECR_SDR_a', NULL, 'TER_DECR_SDR_a', NULL, NULL, NULL, 1),
(14133, NULL, 'cd10325', NULL, NULL, 'SLC5sbd_vSGLT', NULL, 'SLC5sbd_vSGLT', NULL, NULL, NULL, 1),
(14134, NULL, 'cd12492', NULL, NULL, 'RRM2_RBM46', NULL, 'RRM2_RBM46', NULL, NULL, 13724, 1),
(14135, NULL, 'cd12690', NULL, NULL, 'RRM3_PTBPH1_PTBPH2', NULL, 'RRM3_PTBPH1_PTBPH2', NULL, NULL, 35061, 1),
(14136, NULL, 'cd15484', NULL, NULL, 'uS7_plant', NULL, 'uS7_plant', NULL, NULL, 7329, 1),
(14137, NULL, 'cd15201', NULL, NULL, '7tmA_HCAR1-3', NULL, '7tmA_HCAR1-3', NULL, NULL, NULL, 1),
(14138, NULL, 'cd00436', NULL, NULL, 'UP_TbUP-like', NULL, 'UP_TbUP-like', NULL, NULL, NULL, 1),
(14139, NULL, 'cd06903', NULL, NULL, 'lectin_EMP46_EMP47', NULL, 'lectin_EMP46_EMP47', NULL, NULL, 33541, 1),
(14140, NULL, 'cd18920', NULL, NULL, 'bHLH-O_HEY2', NULL, 'bHLH-O_HEY2', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14141, NULL, 'cd00196', NULL, NULL, 'Ubiquitin_like_fold', NULL, 'Ubiquitin_like_fold', NULL, NULL, NULL, 1),
(14142, NULL, 'cd00253', NULL, NULL, 'PL_Passenger_AT', NULL, 'PL_Passenger_AT', NULL, NULL, NULL, 1),
(14143, NULL, 'cd06544', NULL, NULL, 'GH18_narbonin', NULL, 'GH18_narbonin', NULL, NULL, NULL, 1),
(14144, NULL, 'cd00880', NULL, NULL, 'Era_like', NULL, 'Era_like', NULL, NULL, NULL, 1),
(14145, NULL, 'cd00411', NULL, NULL, 'L-asparaginase_like', NULL, 'L-asparaginase_like', NULL, NULL, NULL, 1),
(14146, NULL, 'cd12395', NULL, NULL, 'RRM2_RBM34', NULL, 'RRM2_RBM34', NULL, NULL, 21706, 1),
(14147, NULL, 'cd14808', NULL, NULL, 'RAP_D3', NULL, 'RAP_D3', NULL, NULL, 30565, 1),
(14148, NULL, 'cd01925', NULL, NULL, 'cyclophilin_CeCYP16-like', NULL, 'cyclophilin_CeCYP16-like', NULL, NULL, NULL, 1),
(14149, NULL, 'cd16997', NULL, NULL, 'VHS_Tom1L1', NULL, 'VHS_Tom1L1', NULL, NULL, NULL, 1),
(14150, NULL, 'cd17331', NULL, NULL, 'MFS_SLC22A18', NULL, 'MFS_SLC22A18', NULL, NULL, NULL, 1),
(14151, NULL, 'cd13414', NULL, NULL, 'TNFRSF17', NULL, 'TNFRSF17', NULL, NULL, 15518, 1),
(14152, NULL, 'cd13353', NULL, NULL, 'PH-GRAM2_TBC1D8', NULL, 'PH-GRAM2_TBC1D8', NULL, NULL, 30017, 1),
(14153, NULL, 'cd16509', NULL, NULL, 'RING-HC_HLTF', NULL, 'RING-HC_HLTF', NULL, NULL, NULL, 1),
(14154, NULL, 'cd15496', NULL, NULL, 'PHD_PHF7_G2E3_like', NULL, 'PHD_PHF7_G2E3_like', NULL, NULL, 32820, 1),
(14155, NULL, 'cd08311', NULL, NULL, 'Death_p75NR', NULL, 'Death_p75NR', NULL, NULL, NULL, 1),
(14156, NULL, 'cd12841', NULL, NULL, 'TM_EphA1', NULL, 'TM_EphA1', NULL, NULL, NULL, 1),
(14157, NULL, 'cd02932', NULL, NULL, 'OYE_YqiM_FMN', NULL, 'OYE_YqiM_FMN', NULL, NULL, 36689, 1),
(14158, NULL, 'cd00148', NULL, NULL, 'PROF', NULL, 'PROF', NULL, NULL, 769, 1),
(14159, NULL, 'cd06236', NULL, NULL, 'M14_AGBL5_like', NULL, 'M14_AGBL5_like', NULL, NULL, 26377, 1),
(14160, NULL, 'cd16149', NULL, NULL, 'sulfatase_like', NULL, 'sulfatase_like', NULL, NULL, NULL, 1),
(14161, NULL, 'cd16818', NULL, NULL, 'SP-RING_PIAS1', NULL, 'SP-RING_PIAS1', NULL, NULL, NULL, 1),
(14162, NULL, 'cd19455', NULL, NULL, 'lipocalin_NP1', NULL, 'lipocalin_NP1', NULL, NULL, NULL, 1),
(14163, NULL, 'cd13161', NULL, NULL, 'PTB_TK_HMTK', NULL, 'PTB_TK_HMTK', NULL, NULL, NULL, 1),
(14164, NULL, 'cd06646', NULL, NULL, 'STKc_MAP4K5', NULL, 'STKc_MAP4K5', NULL, NULL, NULL, 1),
(14165, NULL, 'cd16841', NULL, NULL, 'RraA_family', NULL, 'RraA_family', NULL, NULL, 513, 1),
(14166, NULL, 'cd03537', NULL, NULL, 'Rieske_RO_Alpha_PrnD', NULL, 'Rieske_RO_Alpha_PrnD', NULL, NULL, 34364, 1),
(14167, NULL, 'cd09144', NULL, NULL, 'PLDc_vPLD3_1', NULL, 'PLDc_vPLD3_1', NULL, NULL, NULL, 1),
(14168, NULL, 'cd18052', NULL, NULL, 'DEADc_DDX4', NULL, 'DEADc_DDX4', NULL, NULL, NULL, 1),
(14169, NULL, 'cd18804', NULL, NULL, 'SF2_C_priA', NULL, 'SF2_C_priA', NULL, NULL, NULL, 1),
(14170, NULL, 'cd01661', NULL, NULL, 'cbb3_Oxidase_I', NULL, 'cbb3_Oxidase_I', NULL, NULL, 3096, 1),
(14171, NULL, 'cd13189', NULL, NULL, 'FERM_C_PTPN4_PTPN3_like', NULL, 'FERM_C_PTPN4_PTPN3_like', NULL, NULL, 33000, 1),
(14172, NULL, 'cd05497', NULL, NULL, 'Bromo_Brdt_I_like', NULL, 'Bromo_Brdt_I_like', NULL, NULL, 38043, 1),
(14173, NULL, 'cd07370', NULL, NULL, 'HPCD', NULL, 'HPCD', NULL, NULL, 13413, 1),
(14174, NULL, 'cd13969', NULL, NULL, 'ADCK1-like', NULL, 'ADCK1-like', NULL, NULL, 36670, 1),
(14175, NULL, 'cd09400', NULL, NULL, 'LIM_like_1', NULL, 'LIM_like_1', NULL, NULL, NULL, 1),
(14176, NULL, 'cd09472', NULL, NULL, 'LIM2_Lhx3b', NULL, 'LIM2_Lhx3b', NULL, NULL, NULL, 1),
(14177, NULL, 'cd15307', NULL, NULL, '7tmA_5-HT2_insect-like', NULL, '7tmA_5-HT2_insect-like', NULL, NULL, NULL, 1),
(14178, NULL, 'cd03147', NULL, NULL, 'GATase1_Ydr533c_like', NULL, 'GATase1_Ydr533c_like', NULL, NULL, NULL, 1),
(14179, NULL, 'cd03265', NULL, NULL, 'ABC_DrrA', NULL, 'ABC_DrrA', NULL, NULL, NULL, 1),
(14180, NULL, 'cd20334', NULL, NULL, 'Cas13b', NULL, 'Cas13b', NULL, NULL, NULL, 1),
(14181, NULL, 'cd03348', NULL, NULL, 'pro_PheOH', NULL, 'pro_PheOH', NULL, NULL, 137, 1),
(14182, NULL, 'cd04929', NULL, NULL, 'ACT_TPH', NULL, 'ACT_TPH', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14183, NULL, 'cd03681', NULL, NULL, 'MM_CoA_mutase_MeaA', NULL, 'MM_CoA_mutase_MeaA', NULL, NULL, NULL, 1),
(14184, NULL, 'cd14533', NULL, NULL, 'PTP-MTMR3-like', NULL, 'PTP-MTMR3-like', NULL, NULL, NULL, 1),
(14185, NULL, 'cd09951', NULL, NULL, 'HERV-Rb-like_HR1-HR2', NULL, 'HERV-Rb-like_HR1-HR2', NULL, NULL, NULL, 1),
(14186, NULL, 'cd04189', NULL, NULL, 'G1P_TT_long', NULL, 'G1P_TT_long', NULL, NULL, 346, 1),
(14187, NULL, 'cd18550', NULL, NULL, 'ABC_6TM_exporter_like', NULL, 'ABC_6TM_exporter_like', NULL, NULL, NULL, 1),
(14188, NULL, 'cd06171', NULL, NULL, 'Sigma70_r4', NULL, 'Sigma70_r4', NULL, NULL, NULL, 1),
(14189, NULL, 'cd06289', NULL, NULL, 'PBP1_MalI-like', NULL, 'PBP1_MalI-like', NULL, NULL, NULL, 1),
(14190, NULL, 'cd06288', NULL, NULL, 'PBP1_sucrose_transcription_regulator', NULL, 'PBP1_sucrose_transcription_regulator', NULL, NULL, NULL, 1),
(14191, NULL, 'cd16467', NULL, NULL, 'RING-H2_RNF6_like', NULL, 'RING-H2_RNF6_like', NULL, NULL, NULL, 1),
(14192, NULL, 'cd09975', NULL, NULL, 'LOTUS_2_TDRD5', NULL, 'LOTUS_2_TDRD5', NULL, NULL, 34913, 1),
(14193, NULL, 'cd18289', NULL, NULL, 'BTB_POZ_BTBD14A_NAC2', NULL, 'BTB_POZ_BTBD14A_NAC2', NULL, NULL, NULL, 1),
(14194, NULL, 'cd15132', NULL, NULL, '7tmA_motilin_R', NULL, '7tmA_motilin_R', NULL, NULL, NULL, 1),
(14195, NULL, 'cd13171', NULL, NULL, 'RanBD1_RanBP2_insect-like', NULL, 'RanBD1_RanBP2_insect-like', NULL, NULL, NULL, 1),
(14196, NULL, 'cd07676', NULL, NULL, 'F-BAR_FBP17', NULL, 'F-BAR_FBP17', NULL, NULL, 35403, 1),
(14197, NULL, 'cd01856', NULL, NULL, 'YlqF', NULL, 'YlqF', NULL, NULL, NULL, 1),
(14198, NULL, 'cd15073', NULL, NULL, '7tmA_Peropsin', NULL, '7tmA_Peropsin', NULL, NULL, NULL, 1),
(14199, NULL, 'cd16521', NULL, NULL, 'RING-HC_MKRN', NULL, 'RING-HC_MKRN', NULL, NULL, NULL, 1),
(14200, NULL, 'cd13404', NULL, NULL, 'UreI_AmiS_like', NULL, 'UreI_AmiS_like', NULL, NULL, NULL, 1),
(14201, NULL, 'cd18435', NULL, NULL, 'BRCT_BRC1_like_rpt1', NULL, 'BRCT_BRC1_like_rpt1', NULL, NULL, NULL, 1),
(14202, NULL, 'cd06971', NULL, NULL, 'PgpA', NULL, 'PgpA', NULL, NULL, 1208, 1),
(14203, NULL, 'cd16900', NULL, NULL, 'endolysin_R21-like', NULL, 'endolysin_R21-like', NULL, NULL, NULL, 1),
(14204, NULL, 'cd14426', NULL, NULL, 'UBA1_HR23B', NULL, 'UBA1_HR23B', NULL, NULL, NULL, 1),
(14205, NULL, 'cd07932', NULL, NULL, 'arginine_kinase_like', NULL, 'arginine_kinase_like', NULL, NULL, NULL, 1),
(14206, NULL, 'cd12074', NULL, NULL, 'SH3_Tks5_1', NULL, 'SH3_Tks5_1', NULL, NULL, 20592, 1),
(14207, NULL, 'cd12028', NULL, NULL, 'SH3_ZO-3', NULL, 'SH3_ZO-3', NULL, NULL, NULL, 1),
(14208, NULL, 'cd15750', NULL, NULL, 'FYVE_CARP', NULL, 'FYVE_CARP', NULL, NULL, NULL, 1),
(14209, NULL, 'cd08510', NULL, NULL, 'PBP2_Lactococcal_OppA_like', NULL, 'PBP2_Lactococcal_OppA_like', NULL, NULL, NULL, 1),
(14210, NULL, 'cd19767', NULL, NULL, 'Bbox2_TRIM13_C-XI', NULL, 'Bbox2_TRIM13_C-XI', NULL, NULL, NULL, 1),
(14211, NULL, 'cd15678', NULL, NULL, 'PHD_BRPF3', NULL, 'PHD_BRPF3', NULL, NULL, NULL, 1),
(14212, NULL, 'cd07702', NULL, NULL, 'Ig_VEGFR-1', NULL, 'Ig_VEGFR-1', NULL, NULL, NULL, 1),
(14213, NULL, 'cd10408', NULL, NULL, 'SH2_Nck1', NULL, 'SH2_Nck1', NULL, NULL, 35094, 1),
(14214, NULL, 'cd17115', NULL, NULL, 'RA_RHG20', NULL, 'RA_RHG20', NULL, NULL, NULL, 1),
(14215, NULL, 'cd13619', NULL, NULL, 'PBP2_GlnP', NULL, 'PBP2_GlnP', NULL, NULL, NULL, 1),
(14216, NULL, 'cd03720', NULL, NULL, 'SOCS_ASB1', NULL, 'SOCS_ASB1', NULL, NULL, 32007, 1),
(14217, NULL, 'cd04083', NULL, NULL, 'CBM35_Lmo2446-like', NULL, 'CBM35_Lmo2446-like', NULL, NULL, NULL, 1),
(14218, NULL, 'cd12341', NULL, NULL, 'RRM_hnRNPC_like', NULL, 'RRM_hnRNPC_like', NULL, NULL, NULL, 1),
(14219, NULL, 'cd19711', NULL, NULL, 'bHLH_TS_MIST1', NULL, 'bHLH_TS_MIST1', NULL, NULL, NULL, 1),
(14220, NULL, 'cd07856', NULL, NULL, 'STKc_Sty1_Hog1', NULL, 'STKc_Sty1_Hog1', NULL, NULL, 31459, 1),
(14221, NULL, 'cd20006', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(14222, NULL, 'cd00195', NULL, NULL, 'UBCc', NULL, 'UBCc', NULL, NULL, 5839, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14223, NULL, 'cd13756', NULL, NULL, 'TGF_beta_BMPs_GDFs', NULL, 'TGF_beta_BMPs_GDFs', NULL, NULL, NULL, 1),
(14224, NULL, 'cd00817', NULL, NULL, 'ValRS_core', NULL, 'ValRS_core', NULL, NULL, NULL, 1),
(14225, NULL, 'cd14894', NULL, NULL, 'MYSc_Myo33', NULL, 'MYSc_Myo33', NULL, NULL, NULL, 1),
(14226, NULL, 'cd06333', NULL, NULL, 'PBP1_ABC_RPA1789-like', NULL, 'PBP1_ABC_RPA1789-like', NULL, NULL, NULL, 1),
(14227, NULL, 'cd12793', NULL, NULL, 'RasGAP_plexin_B1', NULL, 'RasGAP_plexin_B1', NULL, NULL, NULL, 1),
(14228, NULL, 'cd17653', NULL, NULL, 'A_NRPS_GliP_like', NULL, 'A_NRPS_GliP_like', NULL, NULL, NULL, 1),
(14229, NULL, 'cd03702', NULL, NULL, 'IF2_mtIF2_II', NULL, 'IF2_mtIF2_II', NULL, NULL, 37783, 1),
(14230, NULL, 'cd00045', NULL, NULL, 'DED', NULL, 'DED', NULL, NULL, NULL, 1),
(14231, NULL, 'cd08557', NULL, NULL, 'PI-PLCc_bacteria_like', NULL, 'PI-PLCc_bacteria_like', NULL, NULL, NULL, 1),
(14232, NULL, 'cd12214', NULL, NULL, 'ChiA1_BD', NULL, 'ChiA1_BD', NULL, NULL, NULL, 1),
(14233, NULL, 'cd00923', NULL, NULL, 'Cyt_c_Oxidase_Va', NULL, 'Cyt_c_Oxidase_Va', NULL, NULL, 1935, 1),
(14234, NULL, 'cd01143', NULL, NULL, 'YvrC', NULL, 'YvrC', NULL, NULL, NULL, 1),
(14235, NULL, 'cd08377', NULL, NULL, 'C2C_MCTP_PRT', NULL, 'C2C_MCTP_PRT', NULL, NULL, NULL, 1),
(14236, NULL, 'cd09926', NULL, NULL, 'SH2_CRK_like', NULL, 'SH2_CRK_like', NULL, NULL, NULL, 1),
(14237, NULL, 'cd15681', NULL, NULL, 'PHD_JADE3', NULL, 'PHD_JADE3', NULL, NULL, 33754, 1),
(14238, NULL, 'cd12386', NULL, NULL, 'RRM2_hnRNPM_like', NULL, 'RRM2_hnRNPM_like', NULL, NULL, NULL, 1),
(14239, NULL, 'cd16626', NULL, NULL, 'RING-HC_RBR_HHARI', NULL, 'RING-HC_RBR_HHARI', NULL, NULL, NULL, 1),
(14240, NULL, 'cd03445', NULL, NULL, 'Thioesterase_II_repeat2', NULL, 'Thioesterase_II_repeat2', NULL, NULL, NULL, 1),
(14241, NULL, 'cd11858', NULL, NULL, 'SH3_Myosin-I_fungi', NULL, 'SH3_Myosin-I_fungi', NULL, NULL, 30862, 1),
(14242, NULL, 'cd13165', NULL, NULL, 'PTB_DOK7', NULL, 'PTB_DOK7', NULL, NULL, 34764, 1),
(14243, NULL, 'cd18727', NULL, NULL, 'PIN_Swt1-like', NULL, 'PIN_Swt1-like', NULL, NULL, NULL, 1),
(14244, NULL, 'cd02647', NULL, NULL, 'nuc_hydro_TvIAG', NULL, 'nuc_hydro_TvIAG', NULL, NULL, NULL, 1),
(14245, NULL, 'cd14614', NULL, NULL, 'R-PTPc-O', NULL, 'R-PTPc-O', NULL, NULL, NULL, 1),
(14246, NULL, 'cd15998', NULL, NULL, '7tmB2_GPR124', NULL, '7tmB2_GPR124', NULL, NULL, NULL, 1),
(14247, NULL, 'cd06590', NULL, NULL, 'RNase_HII_bacteria_HIII_like', NULL, 'RNase_HII_bacteria_HIII_like', NULL, NULL, NULL, 1),
(14248, NULL, 'cd13903', NULL, NULL, 'CuRO_3_Tv-LCC_like', NULL, 'CuRO_3_Tv-LCC_like', NULL, NULL, NULL, 1),
(14249, NULL, 'cd13892', NULL, NULL, 'CuRO_3_PHS', NULL, 'CuRO_3_PHS', NULL, NULL, NULL, 1),
(14250, NULL, 'cd03123', NULL, NULL, 'alpha_CA_VI_IX_XII_XIV', NULL, 'alpha_CA_VI_IX_XII_XIV', NULL, NULL, NULL, 1),
(14251, NULL, 'cd18328', NULL, NULL, 'BTB_POZ_ZBTB7C_ZBTB36', NULL, 'BTB_POZ_ZBTB7C_ZBTB36', NULL, NULL, NULL, 1),
(14252, NULL, 'cd00950', NULL, NULL, 'DHDPS', NULL, 'DHDPS', NULL, NULL, 4363, 1),
(14253, NULL, 'cd04501', NULL, NULL, 'SGNH_hydrolase_like_4', NULL, 'SGNH_hydrolase_like_4', NULL, NULL, NULL, 1),
(14254, NULL, 'cd06873', NULL, NULL, 'PX_SNX13', NULL, 'PX_SNX13', NULL, NULL, 29679, 1),
(14255, NULL, 'cd15024', NULL, NULL, '7tm_TAS2R42', NULL, '7tm_TAS2R42', NULL, NULL, NULL, 1),
(14256, NULL, 'cd10359', NULL, NULL, 'SH2_SH3BP2', NULL, 'SH2_SH3BP2', NULL, NULL, 30989, 1),
(14257, NULL, 'cd16077', NULL, NULL, 'TSP-5cc', NULL, 'TSP-5cc', NULL, NULL, 35584, 1),
(14258, NULL, 'cd06606', NULL, NULL, 'STKc_MAPKKK', NULL, 'STKc_MAPKKK', NULL, NULL, NULL, 1),
(14259, NULL, 'cd14411', NULL, NULL, 'UBA_DCNL1', NULL, 'UBA_DCNL1', NULL, NULL, NULL, 1),
(14260, NULL, 'cd17225', NULL, NULL, 'RA_ASPP2', NULL, 'RA_ASPP2', NULL, NULL, NULL, 1),
(14261, NULL, 'cd05675', NULL, NULL, 'M20_yscS_like', NULL, 'M20_yscS_like', NULL, NULL, NULL, 1),
(14262, NULL, 'cd15236', NULL, NULL, '7tmA_OR1E-like', NULL, '7tmA_OR1E-like', NULL, NULL, NULL, 1),
(14263, NULL, 'cd15537', NULL, NULL, 'PHD_BS69', NULL, 'PHD_BS69', NULL, NULL, NULL, 1);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14264, NULL, 'cd12412', NULL, NULL, 'RRM_DAZL_BOULE', NULL, 'RRM_DAZL_BOULE', NULL, NULL, 19040, 1),
(14265, NULL, 'cd00327', NULL, NULL, 'cond_enzymes', NULL, 'cond_enzymes', NULL, NULL, NULL, 1),
(14266, NULL, 'cd12649', NULL, NULL, 'RRM1_SXL', NULL, 'RRM1_SXL', NULL, NULL, NULL, 1),
(14267, NULL, 'cd12722', NULL, NULL, 'RRM_Nup53', NULL, 'RRM_Nup53', NULL, NULL, NULL, 1),
(14268, NULL, 'cd05056', NULL, NULL, 'PTKc_FAK', NULL, 'PTKc_FAK', NULL, NULL, NULL, 1),
(14269, NULL, 'cd03209', NULL, NULL, 'GST_C_Mu', NULL, 'GST_C_Mu', NULL, NULL, NULL, 1),
(14270, NULL, 'cd02765', NULL, NULL, 'MopB_4', NULL, 'MopB_4', NULL, NULL, NULL, 1),
(14271, NULL, 'cd15275', NULL, NULL, '7tmB1_secretin', NULL, '7tmB1_secretin', NULL, NULL, NULL, 1),
(14272, NULL, 'cd13348', NULL, NULL, 'PH-GRAM_MTMR12', NULL, 'PH-GRAM_MTMR12', NULL, NULL, NULL, 1),
(14273, NULL, 'cd19547', NULL, NULL, 'beta-lac_NRPS', NULL, 'beta-lac_NRPS', NULL, NULL, NULL, 1),
(14274, NULL, 'cd08937', NULL, NULL, 'DHB_DH-like_SDR_c', NULL, 'DHB_DH-like_SDR_c', NULL, NULL, NULL, 1),
(14275, NULL, 'cd09581', NULL, NULL, 'SAM_Scm-like-4MBT1,2', NULL, 'SAM_Scm-like-4MBT1,2', NULL, NULL, 36214, 1),
(14276, NULL, 'cd14265', NULL, NULL, 'UDPK_IM_like', NULL, 'UDPK_IM_like', NULL, NULL, 35139, 1),
(14277, NULL, 'cd00251', NULL, NULL, 'Mth_Ecto', NULL, 'Mth_Ecto', NULL, NULL, 8173, 1),
(14278, NULL, 'cd18325', NULL, NULL, 'BTB_POZ_ZBTB18_2-like', NULL, 'BTB_POZ_ZBTB18_2-like', NULL, NULL, NULL, 1),
(14279, NULL, 'cd15906', NULL, NULL, '7tmA_GPR162', NULL, '7tmA_GPR162', NULL, NULL, NULL, 1),
(14280, NULL, 'cd14176', NULL, NULL, 'STKc_RSK2_C', NULL, 'STKc_RSK2_C', NULL, NULL, 32112, 1),
(14281, NULL, 'cd16870', NULL, NULL, 'ARID_JARD2', NULL, 'ARID_JARD2', NULL, NULL, NULL, 1),
(14282, NULL, 'cd09376', NULL, NULL, 'LIM2_Lhx3_Lhx4', NULL, 'LIM2_Lhx3_Lhx4', NULL, NULL, NULL, 1),
(14283, NULL, 'cd07309', NULL, NULL, 'PHP', NULL, 'PHP', NULL, NULL, NULL, 1),
(14284, NULL, 'cd04157', NULL, NULL, 'Arl6', NULL, 'Arl6', NULL, NULL, 32512, 1),
(14285, NULL, 'cd06936', NULL, NULL, 'NR_LBD_Fxr', NULL, 'NR_LBD_Fxr', NULL, NULL, 37674, 1),
(14286, NULL, 'cd17975', NULL, NULL, 'DEXHc_DHX29', NULL, 'DEXHc_DHX29', NULL, NULL, NULL, 1),
(14287, NULL, 'cd08917', NULL, NULL, 'TrHb2_O', NULL, 'TrHb2_O', NULL, NULL, NULL, 1),
(14288, NULL, 'cd07656', NULL, NULL, 'F-BAR_srGAP', NULL, 'F-BAR_srGAP', NULL, NULL, NULL, 1),
(14289, NULL, 'cd16491', NULL, NULL, 'RING-CH-C4HC3_LTN1', NULL, 'RING-CH-C4HC3_LTN1', NULL, NULL, 29782, 1),
(14290, NULL, 'cd12185', NULL, NULL, 'HGDH_LDH_like', NULL, 'HGDH_LDH_like', NULL, NULL, NULL, 1),
(14291, NULL, 'cd04921', NULL, NULL, 'ACT_AKi-HSDH-ThrA-like_1', NULL, 'ACT_AKi-HSDH-ThrA-like_1', NULL, NULL, NULL, 1),
(14292, NULL, 'cd21640', NULL, NULL, 'ORF8-Ig_SARS-CoV-2-like', NULL, 'ORF8-Ig_SARS-CoV-2-like', NULL, NULL, NULL, 1),
(14293, NULL, 'cd06361', NULL, NULL, 'PBP1_GPC6A-like', NULL, 'PBP1_GPC6A-like', NULL, NULL, NULL, 1),
(14294, NULL, 'cd13287', NULL, NULL, 'PH_ORP3_ORP6_ORP7', NULL, 'PH_ORP3_ORP6_ORP7', NULL, NULL, NULL, 1),
(14295, NULL, 'cd11262', NULL, NULL, 'Sema_4G', NULL, 'Sema_4G', NULL, NULL, NULL, 1),
(14296, NULL, 'cd14577', NULL, NULL, 'DUSP13B', NULL, 'DUSP13B', NULL, NULL, NULL, 1),
(14297, NULL, 'cd15583', NULL, NULL, 'PHD_ash2p_like', NULL, 'PHD_ash2p_like', NULL, NULL, NULL, 1),
(14298, NULL, 'cd01247', NULL, NULL, 'PH_FAPP1_FAPP2', NULL, 'PH_FAPP1_FAPP2', NULL, NULL, NULL, 1),
(14299, NULL, 'cd06350', NULL, NULL, 'PBP1_GPCR_family_C-like', NULL, 'PBP1_GPCR_family_C-like', NULL, NULL, NULL, 1),
(14300, NULL, 'cd12373', NULL, NULL, 'RRM_SRSF3_like', NULL, 'RRM_SRSF3_like', NULL, NULL, NULL, 1),
(14301, NULL, 'cd18212', NULL, NULL, 'BTB_POZ_ZBTB24_ZNF450', NULL, 'BTB_POZ_ZBTB24_ZNF450', NULL, NULL, NULL, 1),
(14302, NULL, 'cd16643', NULL, NULL, 'mRING-HC-C3HC3D_TRAF6', NULL, 'mRING-HC-C3HC3D_TRAF6', NULL, NULL, NULL, 1),
(14303, NULL, 'cd01014', NULL, NULL, 'nicotinamidase_related', NULL, 'nicotinamidase_related', NULL, NULL, NULL, 1),
(14304, NULL, 'cd04237', NULL, NULL, 'AAK_NAGS-ABP', NULL, 'AAK_NAGS-ABP', NULL, NULL, 33846, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14305, NULL, 'cd04445', NULL, NULL, 'DEP_PLEK1', NULL, 'DEP_PLEK1', NULL, NULL, 29740, 1),
(14306, NULL, 'cd05637', NULL, NULL, 'SIS_PGI_PMI_2', NULL, 'SIS_PGI_PMI_2', NULL, NULL, 18890, 1),
(14307, NULL, 'cd17215', NULL, NULL, 'RA_Rin1', NULL, 'RA_Rin1', NULL, NULL, NULL, 1),
(14308, NULL, 'cd13609', NULL, NULL, 'PBP2_Opu_like_1', NULL, 'PBP2_Opu_like_1', NULL, NULL, NULL, 1),
(14309, NULL, 'cd14039', NULL, NULL, 'STKc_IKK_alpha', NULL, 'STKc_IKK_alpha', NULL, NULL, NULL, 1),
(14310, NULL, 'cd11532', NULL, NULL, 'NTP-PPase_COG4997', NULL, 'NTP-PPase_COG4997', NULL, NULL, 35728, 1),
(14311, NULL, 'cd18298', NULL, NULL, 'BTB_POZ_RCBTB1_2', NULL, 'BTB_POZ_RCBTB1_2', NULL, NULL, NULL, 1),
(14312, NULL, 'cd03542', NULL, NULL, 'Rieske_RO_Alpha_HBDO', NULL, 'Rieske_RO_Alpha_HBDO', NULL, NULL, NULL, 1),
(14313, NULL, 'cd12520', NULL, NULL, 'RRM1_MRN1', NULL, 'RRM1_MRN1', NULL, NULL, 19688, 1),
(14314, NULL, 'cd15606', NULL, NULL, 'PHD2_KDM5A', NULL, 'PHD2_KDM5A', NULL, NULL, NULL, 1),
(14315, NULL, 'cd18681', NULL, NULL, 'PIN_MtVapC27-VapC40_like', NULL, 'PIN_MtVapC27-VapC40_like', NULL, NULL, NULL, 1),
(14316, NULL, 'cd03775', NULL, NULL, 'MATH_Ubp21p', NULL, 'MATH_Ubp21p', NULL, NULL, NULL, 1),
(14317, NULL, 'cd13951', NULL, NULL, '7tmF_Frizzled_SMO', NULL, '7tmF_Frizzled_SMO', NULL, NULL, NULL, 1),
(14318, NULL, 'cd16932', NULL, NULL, 'HATPase_Phy-like', NULL, 'HATPase_Phy-like', NULL, NULL, 36526, 1),
(14319, NULL, 'cd15090', NULL, NULL, '7tmA_Mu_opioid_R', NULL, '7tmA_Mu_opioid_R', NULL, NULL, NULL, 1),
(14320, NULL, 'cd11020', NULL, NULL, 'CuRO_1_CuNIR', NULL, 'CuRO_1_CuNIR', NULL, NULL, NULL, 1),
(14321, NULL, 'cd16735', NULL, NULL, 'RING-HC_PCGF3', NULL, 'RING-HC_PCGF3', NULL, NULL, NULL, 1),
(14322, NULL, 'cd18934', NULL, NULL, 'bHLH_TS_MRF4_Myf6', NULL, 'bHLH_TS_MRF4_Myf6', NULL, NULL, NULL, 1),
(14323, NULL, 'cd06080', NULL, NULL, 'MUM1_like', NULL, 'MUM1_like', NULL, NULL, 18467, 1),
(14324, NULL, 'cd19185', NULL, NULL, 'SET_KMT5C', NULL, 'SET_KMT5C', NULL, NULL, 37910, 1),
(14325, NULL, 'cd15551', NULL, NULL, 'PHD_PYGO', NULL, 'PHD_PYGO', NULL, NULL, NULL, 1),
(14326, NULL, 'cd07384', NULL, NULL, 'MPP_Cdc1_like', NULL, 'MPP_Cdc1_like', NULL, NULL, NULL, 1),
(14327, NULL, 'cd08576', NULL, NULL, 'GDPD_like_SMaseD_PLD', NULL, 'GDPD_like_SMaseD_PLD', NULL, NULL, NULL, 1),
(14328, NULL, 'cd06326', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(14329, NULL, 'cd14251', NULL, NULL, 'PL-6', NULL, 'PL-6', NULL, NULL, 36312, 1),
(14330, NULL, 'cd18561', NULL, NULL, 'ABC_6TM_AarD_CydDC_like', NULL, 'ABC_6TM_AarD_CydDC_like', NULL, NULL, NULL, 1),
(14331, NULL, 'cd02439', NULL, NULL, 'DMB-PRT_CobT', NULL, 'DMB-PRT_CobT', NULL, NULL, 1542, 1),
(14332, NULL, 'cd09763', NULL, NULL, 'DHRS1-like_SDR_c', NULL, 'DHRS1-like_SDR_c', NULL, NULL, NULL, 1),
(14333, NULL, 'cd00571', NULL, NULL, 'UreE', NULL, 'UreE', NULL, NULL, 13536, 1),
(14334, NULL, 'cd03513', NULL, NULL, 'CrtW_beta-carotene-ketolase', NULL, 'CrtW_beta-carotene-ketolase', NULL, NULL, NULL, 1),
(14335, NULL, 'cd13709', NULL, NULL, 'PBP2_YxeM', NULL, 'PBP2_YxeM', NULL, NULL, NULL, 1),
(14336, NULL, 'cd16192', NULL, NULL, 'EFh_PEF_CAPN9', NULL, 'EFh_PEF_CAPN9', NULL, NULL, NULL, 1),
(14337, NULL, 'cd16768', NULL, NULL, 'RING-HC_TRIM3', NULL, 'RING-HC_TRIM3', NULL, NULL, NULL, 1),
(14338, NULL, 'cd10303', NULL, NULL, 'GST_C_GDAP1', NULL, 'GST_C_GDAP1', NULL, NULL, NULL, 1),
(14339, NULL, 'cd06970', NULL, NULL, 'NR_DBD_PNR', NULL, 'NR_DBD_PNR', NULL, NULL, NULL, 1),
(14340, NULL, 'cd11544', NULL, NULL, 'NTP-PPase_DR2231', NULL, 'NTP-PPase_DR2231', NULL, NULL, NULL, 1),
(14341, NULL, 'cd20223', NULL, NULL, 'PFM_epsilon-toxin-like', NULL, 'PFM_epsilon-toxin-like', NULL, NULL, NULL, 1),
(14342, NULL, 'cd18664', NULL, NULL, 'CD2_tandem_ScCHD1_like', NULL, 'CD2_tandem_ScCHD1_like', NULL, NULL, NULL, 1),
(14343, NULL, 'cd06979', NULL, NULL, 'cupin_RemF-like', NULL, 'cupin_RemF-like', NULL, NULL, NULL, 1),
(14344, NULL, 'cd14474', NULL, NULL, 'SPX_YDR089W', NULL, 'SPX_YDR089W', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14345, NULL, 'cd03045', NULL, NULL, 'GST_N_Delta_Epsilon', NULL, 'GST_N_Delta_Epsilon', NULL, NULL, NULL, 1),
(14346, NULL, 'cd01172', NULL, NULL, 'RfaE_like', NULL, 'RfaE_like', NULL, NULL, 12030, 1),
(14347, NULL, 'cd05162', NULL, NULL, 'PWWP', NULL, 'PWWP', NULL, NULL, NULL, 1),
(14348, NULL, 'cd16087', NULL, NULL, 'IgV_CD86', NULL, 'IgV_CD86', NULL, NULL, 29730, 1),
(14349, NULL, 'cd00074', NULL, NULL, 'H2A', NULL, 'H2A', NULL, NULL, 1463, 1),
(14350, NULL, 'cd03704', NULL, NULL, 'eRF3_C_III', NULL, 'eRF3_C_III', NULL, NULL, NULL, 1),
(14351, NULL, 'cd11450', NULL, NULL, 'bHLH_AtFIT_like', NULL, 'bHLH_AtFIT_like', NULL, NULL, NULL, 1),
(14352, NULL, 'cd13902', NULL, NULL, 'CuRO_3_McoC_like', NULL, 'CuRO_3_McoC_like', NULL, NULL, NULL, 1),
(14353, NULL, 'cd11307', NULL, NULL, 'M35_Asp_f2_like', NULL, 'M35_Asp_f2_like', NULL, NULL, 28986, 1),
(14354, NULL, 'cd16541', NULL, NULL, 'RING-HC_RNF123', NULL, 'RING-HC_RNF123', NULL, NULL, NULL, 1),
(14355, NULL, 'cd14672', NULL, NULL, 'UBA_ceTYDP2_like', NULL, 'UBA_ceTYDP2_like', NULL, NULL, NULL, 1),
(14356, NULL, 'cd16223', NULL, NULL, 'EFh_PRIP2', NULL, 'EFh_PRIP2', NULL, NULL, NULL, 1),
(14357, NULL, 'cd03195', NULL, NULL, 'GST_C_4', NULL, 'GST_C_4', NULL, NULL, 201, 1),
(14358, NULL, 'cd03539', NULL, NULL, 'Rieske_RO_Alpha_S5H', NULL, 'Rieske_RO_Alpha_S5H', NULL, NULL, NULL, 1),
(14359, NULL, 'cd05524', NULL, NULL, 'Bromo_polybromo_I', NULL, 'Bromo_polybromo_I', NULL, NULL, NULL, 1),
(14360, NULL, 'cd08703', NULL, NULL, 'FDH_Hydrolase_C', NULL, 'FDH_Hydrolase_C', NULL, NULL, NULL, 1),
(14361, NULL, 'cd12461', NULL, NULL, 'RRM_SCAF4', NULL, 'RRM_SCAF4', NULL, NULL, 30132, 1),
(14362, NULL, 'cd17277', NULL, NULL, 'RMtype1_M_Cni19672ORF1405P_RMtype11G_Hci611ORF...', NULL, 'RMtype1_M_Cni19672ORF1405P_RMtype11G_Hci611ORFHP_TRD1-CR1_like', NULL, NULL, NULL, 1),
(14363, NULL, 'cd02570', NULL, NULL, 'PseudoU_synth_EcTruA', NULL, 'PseudoU_synth_EcTruA', NULL, NULL, 7193, 1),
(14364, NULL, 'cd10398', NULL, NULL, 'SH2_Tec_Txk', NULL, 'SH2_Tec_Txk', NULL, NULL, 31849, 1),
(14365, NULL, 'cd11335', NULL, NULL, 'AmyAc_MTase_N', NULL, 'AmyAc_MTase_N', NULL, NULL, NULL, 1),
(14366, NULL, 'cd05246', NULL, NULL, 'dTDP_GD_SDR_e', NULL, 'dTDP_GD_SDR_e', NULL, NULL, 6666, 1),
(14367, NULL, 'cd03685', NULL, NULL, 'ClC_6_like', NULL, 'ClC_6_like', NULL, NULL, NULL, 1),
(14368, NULL, 'cd12068', NULL, NULL, 'SH3_MYO15B', NULL, 'SH3_MYO15B', NULL, NULL, 16620, 1),
(14369, NULL, 'cd06294', NULL, NULL, 'PBP1_MalR-like', NULL, 'PBP1_MalR-like', NULL, NULL, NULL, 1),
(14370, NULL, 'cd18430', NULL, NULL, 'M14_ASTE_ASPA_like', NULL, 'M14_ASTE_ASPA_like', NULL, NULL, NULL, 1),
(14371, NULL, 'cd13253', NULL, NULL, 'PH1_ARAP', NULL, 'PH1_ARAP', NULL, NULL, NULL, 1),
(14372, NULL, 'cd06534', NULL, NULL, 'ALDH-SF', NULL, 'ALDH-SF', NULL, NULL, NULL, 1),
(14373, NULL, 'cd09267', NULL, NULL, 'FCHo2_MHD', NULL, 'FCHo2_MHD', NULL, NULL, NULL, 1),
(14374, NULL, 'cd05482', NULL, NULL, 'HIV_retropepsin_like', NULL, 'HIV_retropepsin_like', NULL, NULL, 23170, 1),
(14375, NULL, 'cd01995', NULL, NULL, 'ExsB', NULL, 'ExsB', NULL, NULL, 16742, 1),
(14376, NULL, 'cd09395', NULL, NULL, 'LIM2_Rga', NULL, 'LIM2_Rga', NULL, NULL, NULL, 1),
(14377, NULL, 'cd03749', NULL, NULL, 'proteasome_alpha_type_1', NULL, 'proteasome_alpha_type_1', NULL, NULL, 8576, 1),
(14378, NULL, 'cd18777', NULL, NULL, 'PsaA_MyfA', NULL, 'PsaA_MyfA', NULL, NULL, NULL, 1),
(14379, NULL, 'cd11871', NULL, NULL, 'SH3_p67phox_N', NULL, 'SH3_p67phox_N', NULL, NULL, 31302, 1),
(14380, NULL, 'cd09204', NULL, NULL, 'PLDc_N_DEXD_b2', NULL, 'PLDc_N_DEXD_b2', NULL, NULL, NULL, 1),
(14381, NULL, 'cd04383', NULL, NULL, 'RhoGAP_srGAP', NULL, 'RhoGAP_srGAP', NULL, NULL, NULL, 1),
(14382, NULL, 'cd05684', NULL, NULL, 'S1_DHX8_helicase', NULL, 'S1_DHX8_helicase', NULL, NULL, NULL, 1),
(14383, NULL, 'cd05013', NULL, NULL, 'SIS_RpiR', NULL, 'SIS_RpiR', NULL, NULL, 31085, 1),
(14384, NULL, 'cd00173', NULL, NULL, 'SH2', NULL, 'SH2', NULL, NULL, NULL, 1),
(14385, NULL, 'cd16243', NULL, NULL, 'EFh_DYTN', NULL, 'EFh_DYTN', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14386, NULL, 'cd16347', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(14387, NULL, 'cd10748', NULL, NULL, 'anti-TRAP', NULL, 'anti-TRAP', NULL, NULL, NULL, 1),
(14388, NULL, 'cd02192', NULL, NULL, 'PurM-like3', NULL, 'PurM-like3', NULL, NULL, 8490, 1),
(14389, NULL, 'cd07876', NULL, NULL, 'STKc_JNK2', NULL, 'STKc_JNK2', NULL, NULL, NULL, 1),
(14390, NULL, 'cd07028', NULL, NULL, 'RNAP_RPB3_like', NULL, 'RNAP_RPB3_like', NULL, NULL, NULL, 1),
(14391, NULL, 'cd02243', NULL, NULL, 'cupin_11S_legumin_C', NULL, 'cupin_11S_legumin_C', NULL, NULL, NULL, 1),
(14392, NULL, 'cd03250', NULL, NULL, 'ABCC_MRP_domain1', NULL, 'ABCC_MRP_domain1', NULL, NULL, NULL, 1),
(14393, NULL, 'cd01116', NULL, NULL, 'P_permease', NULL, 'P_permease', NULL, NULL, NULL, 1),
(14394, NULL, 'cd11550', NULL, NULL, 'Serine_rich_NEDD9', NULL, 'Serine_rich_NEDD9', NULL, NULL, NULL, 1),
(14395, NULL, 'cd05299', NULL, NULL, 'CtBP_dh', NULL, 'CtBP_dh', NULL, NULL, 37189, 1),
(14396, NULL, 'cd16076', NULL, NULL, 'TSPcc', NULL, 'TSPcc', NULL, NULL, NULL, 1),
(14397, NULL, 'cd11913', NULL, NULL, 'SH3_BAIAP2L1', NULL, 'SH3_BAIAP2L1', NULL, NULL, 36373, 1),
(14398, NULL, 'cd08750', NULL, NULL, 'RGS_GRK4', NULL, 'RGS_GRK4', NULL, NULL, NULL, 1),
(14399, NULL, 'cd11638', NULL, NULL, 'HR1_ROCK2', NULL, 'HR1_ROCK2', NULL, NULL, 29774, 1),
(14400, NULL, 'cd17972', NULL, NULL, 'DEXHc_DHX9', NULL, 'DEXHc_DHX9', NULL, NULL, 40027, 1),
(14401, NULL, 'cd17343', NULL, NULL, 'MFS_SLC37A4', NULL, 'MFS_SLC37A4', NULL, NULL, NULL, 1),
(14402, NULL, 'cd03714', NULL, NULL, 'RT_DIRS1', NULL, 'RT_DIRS1', NULL, NULL, NULL, 1),
(14403, NULL, 'cd18761', NULL, NULL, 'PIN_MtVapC3-like', NULL, 'PIN_MtVapC3-like', NULL, NULL, NULL, 1),
(14404, NULL, 'cd19726', NULL, NULL, 'bHLH-PAS_cycle_like', NULL, 'bHLH-PAS_cycle_like', NULL, NULL, NULL, 1),
(14405, NULL, 'cd07037', NULL, NULL, 'TPP_PYR_MenD', NULL, 'TPP_PYR_MenD', NULL, NULL, NULL, 1),
(14406, NULL, 'cd07633', NULL, NULL, 'BAR_OPHN1', NULL, 'BAR_OPHN1', NULL, NULL, NULL, 1),
(14407, NULL, 'cd17423', NULL, NULL, 'MFS_MCT11_13', NULL, 'MFS_MCT11_13', NULL, NULL, NULL, 1),
(14408, NULL, 'cd01559', NULL, NULL, 'ADCL_like', NULL, 'ADCL_like', NULL, NULL, 19944, 1),
(14409, NULL, 'cd13431', NULL, NULL, 'LDT_IgD_like_1', NULL, 'LDT_IgD_like_1', NULL, NULL, NULL, 1),
(14410, NULL, 'cd19058', NULL, NULL, 'LGIC_TM_GABAAR_pi', NULL, 'LGIC_TM_GABAAR_pi', NULL, NULL, NULL, 1),
(14411, NULL, 'cd18004', NULL, NULL, 'DEXHc_RAD54', NULL, 'DEXHc_RAD54', NULL, NULL, NULL, 1),
(14412, NULL, 'cd14876', NULL, NULL, 'MYSc_Myo14', NULL, 'MYSc_Myo14', NULL, NULL, 30328, 1),
(14413, NULL, 'cd12129', NULL, NULL, 'PE-PC-PEC_alpha', NULL, 'PE-PC-PEC_alpha', NULL, NULL, NULL, 1),
(14414, NULL, 'cd19180', NULL, NULL, 'SET_SpSET10-like', NULL, 'SET_SpSET10-like', NULL, NULL, 37889, 1),
(14415, NULL, 'cd15555', NULL, NULL, 'PHD_KDM2A_2B', NULL, 'PHD_KDM2A_2B', NULL, NULL, NULL, 1),
(14416, NULL, 'cd09554', NULL, NULL, 'SAM_EPH-B4', NULL, 'SAM_EPH-B4', NULL, NULL, 34937, 1),
(14417, NULL, 'cd14175', NULL, NULL, 'STKc_RSK1_C', NULL, 'STKc_RSK1_C', NULL, NULL, NULL, 1),
(14418, NULL, 'cd09647', NULL, NULL, 'Csm2_III-A', NULL, 'Csm2_III-A', NULL, NULL, 10974, 1),
(14419, NULL, 'cd18649', NULL, NULL, 'CD_Cbx8', NULL, 'CD_Cbx8', NULL, NULL, NULL, 1),
(14420, NULL, 'cd08240', NULL, NULL, '6_hydroxyhexanoate_dh_like', NULL, '6_hydroxyhexanoate_dh_like', NULL, NULL, NULL, 1),
(14421, NULL, 'cd11666', NULL, NULL, 'GH38N_Man2A1', NULL, 'GH38N_Man2A1', NULL, NULL, NULL, 1),
(14422, NULL, 'cd11608', NULL, NULL, 'eIF2D_C', NULL, 'eIF2D_C', NULL, NULL, 29105, 1),
(14423, NULL, 'cd01307', NULL, NULL, 'Met_dep_hydrolase_B', NULL, 'Met_dep_hydrolase_B', NULL, NULL, NULL, 1),
(14424, NULL, 'cd02861', NULL, NULL, 'E_set_pullulanase_like', NULL, 'E_set_pullulanase_like', NULL, NULL, NULL, 1),
(14425, NULL, 'cd15075', NULL, NULL, '7tmA_Parapinopsin', NULL, '7tmA_Parapinopsin', NULL, NULL, NULL, 1),
(14426, NULL, 'cd01900', NULL, NULL, 'YchF', NULL, 'YchF', NULL, NULL, 33192, 1),
(14427, NULL, 'cd03044', NULL, NULL, 'GST_N_EF1Bgamma', NULL, 'GST_N_EF1Bgamma', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14428, NULL, 'cd10794', NULL, NULL, 'GH57N_PfGalA_like', NULL, 'GH57N_PfGalA_like', NULL, NULL, NULL, 1),
(14429, NULL, 'cd21624', NULL, NULL, 'SARS-CoV-like_Spike_S1_NTD', NULL, 'SARS-CoV-like_Spike_S1_NTD', NULL, NULL, 36548, 1),
(14430, NULL, 'cd01767', NULL, NULL, 'UBX', NULL, 'UBX', NULL, NULL, NULL, 1),
(14431, NULL, 'cd07825', NULL, NULL, 'SRPBCC_7', NULL, 'SRPBCC_7', NULL, NULL, NULL, 1),
(14432, NULL, 'cd00779', NULL, NULL, 'ProRS_core_prok', NULL, 'ProRS_core_prok', NULL, NULL, 35194, 1),
(14433, NULL, 'cd07438', NULL, NULL, 'PHP_HisPPase_AMP', NULL, 'PHP_HisPPase_AMP', NULL, NULL, NULL, 1),
(14434, NULL, 'cd07670', NULL, NULL, 'BAR_SNX18', NULL, 'BAR_SNX18', NULL, NULL, NULL, 1),
(14435, NULL, 'cd09383', NULL, NULL, 'LIM2_Lhx7_Lhx8', NULL, 'LIM2_Lhx7_Lhx8', NULL, NULL, NULL, 1),
(14436, NULL, 'cd15019', NULL, NULL, '7tm_TAS2R14-like', NULL, '7tm_TAS2R14-like', NULL, NULL, NULL, 1),
(14437, NULL, 'cd13440', NULL, NULL, 'CamS_repeat_2', NULL, 'CamS_repeat_2', NULL, NULL, NULL, 1),
(14438, NULL, 'cd14208', NULL, NULL, 'PTK_Jak3_rpt1', NULL, 'PTK_Jak3_rpt1', NULL, NULL, NULL, 1),
(14439, NULL, 'cd05971', NULL, NULL, 'MACS_like_3', NULL, 'MACS_like_3', NULL, NULL, NULL, 1),
(14440, NULL, 'cd13222', NULL, NULL, 'PH-GRAM_GEM', NULL, 'PH-GRAM_GEM', NULL, NULL, NULL, 1),
(14441, NULL, 'cd11965', NULL, NULL, 'SH3_ASAP1', NULL, 'SH3_ASAP1', NULL, NULL, 31868, 1),
(14442, NULL, 'cd04738', NULL, NULL, 'DHOD_2_like', NULL, 'DHOD_2_like', NULL, NULL, 4506, 1),
(14443, NULL, 'cd03819', NULL, NULL, 'GT4_WavL-like', NULL, 'GT4_WavL-like', NULL, NULL, NULL, 1),
(14444, NULL, 'cd06061', NULL, NULL, 'PurM-like1', NULL, 'PurM-like1', NULL, NULL, NULL, 1),
(14445, NULL, 'cd19937', NULL, NULL, 'REC_OmpR_BsPhoP-like', NULL, 'REC_OmpR_BsPhoP-like', NULL, NULL, NULL, 1),
(14446, NULL, 'cd03818', NULL, NULL, 'GT4_ExpC-like', NULL, 'GT4_ExpC-like', NULL, NULL, NULL, 1),
(14447, NULL, 'cd17552', NULL, NULL, 'REC_RR468-like', NULL, 'REC_RR468-like', NULL, NULL, NULL, 1),
(14448, NULL, 'cd18120', NULL, NULL, 'ATP-synt_Vo_Ao_c', NULL, 'ATP-synt_Vo_Ao_c', NULL, NULL, NULL, 1),
(14449, NULL, 'cd15044', NULL, NULL, '7tmC_V2R_AA_sensing_receptor-like', NULL, '7tmC_V2R_AA_sensing_receptor-like', NULL, NULL, NULL, 1),
(14450, NULL, 'cd21531', NULL, NULL, 'CoV_E', NULL, 'CoV_E', NULL, NULL, NULL, 1),
(14451, NULL, 'cd11252', NULL, NULL, 'Sema_3D', NULL, 'Sema_3D', NULL, NULL, 38357, 1),
(14452, NULL, 'cd17580', NULL, NULL, 'REC_2_DhkD-like', NULL, 'REC_2_DhkD-like', NULL, NULL, NULL, 1),
(14453, NULL, 'cd16205', NULL, NULL, 'EFh_PI-PLCeta', NULL, 'EFh_PI-PLCeta', NULL, NULL, NULL, 1),
(14454, NULL, 'cd08452', NULL, NULL, 'PBP2_AlsR', NULL, 'PBP2_AlsR', NULL, NULL, 33117, 1),
(14455, NULL, 'cd16522', NULL, NULL, 'RING-HC_MSL2', NULL, 'RING-HC_MSL2', NULL, NULL, NULL, 1),
(14456, NULL, 'cd19161', NULL, NULL, 'AKR_AKR15A1', NULL, 'AKR_AKR15A1', NULL, NULL, 36984, 1),
(14457, NULL, 'cd07014', NULL, NULL, 'S49_SppA', NULL, 'S49_SppA', NULL, NULL, NULL, 1),
(14458, NULL, 'cd08682', NULL, NULL, 'C2_Rab11-FIP_classI', NULL, 'C2_Rab11-FIP_classI', NULL, NULL, NULL, 1),
(14459, NULL, 'cd07448', NULL, NULL, 'CRD_FZ4', NULL, 'CRD_FZ4', NULL, NULL, 32277, 1),
(14460, NULL, 'cd12281', NULL, NULL, 'RRM1_TatSF1_like', NULL, 'RRM1_TatSF1_like', NULL, NULL, 700, 1),
(14461, NULL, 'cd18357', NULL, NULL, 'BTB1_POZ_RHOBTB3', NULL, 'BTB1_POZ_RHOBTB3', NULL, NULL, NULL, 1),
(14462, NULL, 'cd03169', NULL, NULL, 'GATase1_PfpI_1', NULL, 'GATase1_PfpI_1', NULL, NULL, NULL, 1),
(14463, NULL, 'cd09682', NULL, NULL, 'Cmr4_III-B', NULL, 'Cmr4_III-B', NULL, NULL, NULL, 1),
(14464, NULL, 'cd17202', NULL, NULL, 'FERM_F1_EPB41L2', NULL, 'FERM_F1_EPB41L2', NULL, NULL, NULL, 1),
(14465, NULL, 'cd09834', NULL, NULL, 'CBS_pair_bac', NULL, 'CBS_pair_bac', NULL, NULL, NULL, 1),
(14466, NULL, 'cd13343', NULL, NULL, 'PH-GRAM_MTMR6', NULL, 'PH-GRAM_MTMR6', NULL, NULL, 30141, 1),
(14467, NULL, 'cd10307', NULL, NULL, 'GST_C_MetRS_N', NULL, 'GST_C_MetRS_N', NULL, NULL, NULL, 1),
(14468, NULL, 'cd05678', NULL, NULL, 'M20_dipept_like', NULL, 'M20_dipept_like', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14469, NULL, 'cd18832', NULL, NULL, 'GH43_GsAbnA-like', NULL, 'GH43_GsAbnA-like', NULL, NULL, NULL, 1),
(14470, NULL, 'cd16543', NULL, NULL, 'RING-HC_RNF135_like', NULL, 'RING-HC_RNF135_like', NULL, NULL, NULL, 1),
(14471, NULL, 'cd17936', NULL, NULL, 'EEXXEc_NFX1', NULL, 'EEXXEc_NFX1', NULL, NULL, NULL, 1),
(14472, NULL, 'cd06143', NULL, NULL, 'PAN2_exo', NULL, 'PAN2_exo', NULL, NULL, NULL, 1),
(14473, NULL, 'cd14695', NULL, NULL, 'bZIP_HLF', NULL, 'bZIP_HLF', NULL, NULL, NULL, 1),
(14474, NULL, 'cd10384', NULL, NULL, 'SH2_SOCS3', NULL, 'SH2_SOCS3', NULL, NULL, 34316, 1),
(14475, NULL, 'cd07057', NULL, NULL, 'BMC_CcmK', NULL, 'BMC_CcmK', NULL, NULL, NULL, 1),
(14476, NULL, 'cd00200', NULL, NULL, 'WD40', NULL, 'WD40', NULL, NULL, NULL, 1),
(14477, NULL, 'cd07980', NULL, NULL, 'TFIIF_beta', NULL, 'TFIIF_beta', NULL, NULL, NULL, 1),
(14478, NULL, 'cd04096', NULL, NULL, 'eEF2_snRNP_like_C', NULL, 'eEF2_snRNP_like_C', NULL, NULL, NULL, 1),
(14479, NULL, 'cd07066', NULL, NULL, 'CRD_FZ', NULL, 'CRD_FZ', NULL, NULL, NULL, 1),
(14480, NULL, 'cd16581', NULL, NULL, 'RING-HC_TRIM13_like_C-V', NULL, 'RING-HC_TRIM13_like_C-V', NULL, NULL, NULL, 1),
(14481, NULL, 'cd02879', NULL, NULL, 'GH18_plant_chitinase_class_V', NULL, 'GH18_plant_chitinase_class_V', NULL, NULL, NULL, 1),
(14482, NULL, 'cd00088', NULL, NULL, 'HPT', NULL, 'HPT', NULL, NULL, 7128, 1),
(14483, NULL, 'cd05885', NULL, NULL, 'Ig2_Necl-4', NULL, 'Ig2_Necl-4', NULL, NULL, NULL, 1),
(14484, NULL, 'cd15604', NULL, NULL, 'PHD1_KDM5C_5D', NULL, 'PHD1_KDM5C_5D', NULL, NULL, NULL, 1),
(14485, NULL, 'cd17652', NULL, NULL, 'A_NRPS_CmdD_like', NULL, 'A_NRPS_CmdD_like', NULL, NULL, NULL, 1),
(14486, NULL, 'cd16701', NULL, NULL, 'RING_CH-C4HC3_MARCH5', NULL, 'RING_CH-C4HC3_MARCH5', NULL, NULL, NULL, 1),
(14487, NULL, 'cd18222', NULL, NULL, 'BTB_POZ_ZBTB37', NULL, 'BTB_POZ_ZBTB37', NULL, NULL, NULL, 1),
(14488, NULL, 'cd02138', NULL, NULL, 'TdsD-like', NULL, 'TdsD-like', NULL, NULL, NULL, 1),
(14489, NULL, 'cd00084', NULL, NULL, 'HMG-box', NULL, 'HMG-box', NULL, NULL, NULL, 1),
(14490, NULL, 'cd17236', NULL, NULL, 'Ubl_ATG8_MAP1LC3C', NULL, 'Ubl_ATG8_MAP1LC3C', NULL, NULL, NULL, 1),
(14491, NULL, 'cd08933', NULL, NULL, 'RDH_SDR_c', NULL, 'RDH_SDR_c', NULL, NULL, NULL, 1),
(14492, NULL, 'cd00504', NULL, NULL, 'GXGXG', NULL, 'GXGXG', NULL, NULL, NULL, 1),
(14493, NULL, 'cd06564', NULL, NULL, 'GH20_DspB_LnbB-like', NULL, 'GH20_DspB_LnbB-like', NULL, NULL, NULL, 1),
(14494, NULL, 'cd09265', NULL, NULL, 'AP_Syp1_like_MHD', NULL, 'AP_Syp1_like_MHD', NULL, NULL, NULL, 1),
(14495, NULL, 'cd12528', NULL, NULL, 'RRM2_MEI2_fungi', NULL, 'RRM2_MEI2_fungi', NULL, NULL, 9456, 1),
(14496, NULL, 'cd08400', NULL, NULL, 'C2_Ras_p21A1', NULL, 'C2_Ras_p21A1', NULL, NULL, NULL, 1),
(14497, NULL, 'cd19783', NULL, NULL, 'Bbox2_TRIM43-like', NULL, 'Bbox2_TRIM43-like', NULL, NULL, NULL, 1),
(14498, NULL, 'cd06241', NULL, NULL, 'M14-like', NULL, 'M14-like', NULL, NULL, NULL, 1),
(14499, NULL, 'cd05801', NULL, NULL, 'PGM_like3', NULL, 'PGM_like3', NULL, NULL, 6568, 1),
(14500, NULL, 'cd01066', NULL, NULL, 'APP_MetAP', NULL, 'APP_MetAP', NULL, NULL, NULL, 1),
(14501, NULL, 'cd17532', NULL, NULL, 'REC_LytTR_AlgR-like', NULL, 'REC_LytTR_AlgR-like', NULL, NULL, NULL, 1),
(14502, NULL, 'cd00081', NULL, NULL, 'Hint', NULL, 'Hint', NULL, NULL, NULL, 1),
(14503, NULL, 'cd11696', NULL, NULL, 'DHR2_DOCK_B', NULL, 'DHR2_DOCK_B', NULL, NULL, NULL, 1),
(14504, NULL, 'cd12104', NULL, NULL, 'DD_RIIbeta_PKA', NULL, 'DD_RIIbeta_PKA', NULL, NULL, NULL, 1),
(14505, NULL, 'cd13961', NULL, NULL, 'PT_UbiA_DGGGPS', NULL, 'PT_UbiA_DGGGPS', NULL, NULL, NULL, 1),
(14506, NULL, 'cd12534', NULL, NULL, 'RRM_SARFH', NULL, 'RRM_SARFH', NULL, NULL, NULL, 1),
(14507, NULL, 'cd19414', NULL, NULL, 'lipocalin_1_3_4_13-like', NULL, 'lipocalin_1_3_4_13-like', NULL, NULL, NULL, 1),
(14508, NULL, 'cd10538', NULL, NULL, 'SET_SETDB-like', NULL, 'SET_SETDB-like', NULL, NULL, NULL, 1),
(14509, NULL, 'cd05123', NULL, NULL, 'STKc_AGC', NULL, 'STKc_AGC', NULL, NULL, 39939, 1),
(14510, NULL, 'cd09593', NULL, NULL, 'UDG-like', NULL, 'UDG-like', NULL, NULL, NULL, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14511, NULL, 'cd00247', NULL, NULL, 'Endostatin-like', NULL, 'Endostatin-like', NULL, NULL, 12265, 1),
(14512, NULL, 'cd06872', NULL, NULL, 'PX_SNX19_like_plant', NULL, 'PX_SNX19_like_plant', NULL, NULL, NULL, 1),
(14513, NULL, 'cd11266', NULL, NULL, 'Sema_6A', NULL, 'Sema_6A', NULL, NULL, NULL, 1),
(14514, NULL, 'cd15957', NULL, NULL, '7tmA_Beta2_AR', NULL, '7tmA_Beta2_AR', NULL, NULL, NULL, 1),
(14515, NULL, 'cd02648', NULL, NULL, 'nuc_hydro_1', NULL, 'nuc_hydro_1', NULL, NULL, NULL, 1),
(14516, NULL, 'cd04087', NULL, NULL, 'PTPA', NULL, 'PTPA', NULL, NULL, 4904, 1),
(14517, NULL, 'cd04641', NULL, NULL, 'CBS_euAMPK_gamma-like_repeat2', NULL, 'CBS_euAMPK_gamma-like_repeat2', NULL, NULL, NULL, 1),
(14518, NULL, 'cd07127', NULL, NULL, 'ALDH_PAD-PaaZ', NULL, 'ALDH_PAD-PaaZ', NULL, NULL, NULL, 1),
(14519, NULL, 'cd01965', NULL, NULL, 'Nitrogenase_MoFe_beta_like', NULL, 'Nitrogenase_MoFe_beta_like', NULL, NULL, NULL, 1),
(14520, NULL, 'cd07624', NULL, NULL, 'BAR_SNX7_30', NULL, 'BAR_SNX7_30', NULL, NULL, NULL, 1),
(14521, NULL, 'cd03719', NULL, NULL, 'SOCS_SSB2', NULL, 'SOCS_SSB2', NULL, NULL, 30275, 1),
(14522, NULL, 'cd09024', NULL, NULL, 'Aldose_epim_lacX', NULL, 'Aldose_epim_lacX', NULL, NULL, 29639, 1),
(14523, NULL, 'cd09533', NULL, NULL, 'SAM_Ste50-like_fungal', NULL, 'SAM_Ste50-like_fungal', NULL, NULL, NULL, 1),
(14524, NULL, 'cd05601', NULL, NULL, 'STKc_CRIK', NULL, 'STKc_CRIK', NULL, NULL, 33565, 1),
(14525, NULL, 'cd14789', NULL, NULL, 'Tiki', NULL, 'Tiki', NULL, NULL, NULL, 1),
(14526, NULL, 'cd01703', NULL, NULL, 'PolY_Pol_iota', NULL, 'PolY_Pol_iota', NULL, NULL, NULL, 1),
(14527, NULL, 'cd15832', NULL, NULL, 'SNAP', NULL, 'SNAP', NULL, NULL, 6604, 1),
(14528, NULL, 'cd07160', NULL, NULL, 'NR_DBD_LXR', NULL, 'NR_DBD_LXR', NULL, NULL, NULL, 1),
(14529, NULL, 'cd18450', NULL, NULL, 'BACK_KLHL10', NULL, 'BACK_KLHL10', NULL, NULL, NULL, 1),
(14530, NULL, 'cd00034', NULL, NULL, 'CSD', NULL, 'CSD', NULL, NULL, NULL, 1),
(14531, NULL, 'cd12494', NULL, NULL, 'RRM3_hnRNPR', NULL, 'RRM3_hnRNPR', NULL, NULL, NULL, 1),
(14532, NULL, 'cd03390', NULL, NULL, 'PAP2_containing_1_like', NULL, 'PAP2_containing_1_like', NULL, NULL, NULL, 1),
(14533, NULL, 'cd14264', NULL, NULL, 'DAGK_IM', NULL, 'DAGK_IM', NULL, NULL, 35140, 1),
(14534, NULL, 'cd13112', NULL, NULL, 'POLO_box', NULL, 'POLO_box', NULL, NULL, NULL, 1),
(14535, NULL, 'cd15406', NULL, NULL, '7tmA_OR8D-like', NULL, '7tmA_OR8D-like', NULL, NULL, NULL, 1),
(14536, NULL, 'cd06824', NULL, NULL, 'PLPDE_III_Yggs_like', NULL, 'PLPDE_III_Yggs_like', NULL, NULL, NULL, 1),
(14537, NULL, 'cd07320', NULL, NULL, 'Extradiol_Dioxygenase_3B_like', NULL, 'Extradiol_Dioxygenase_3B_like', NULL, NULL, NULL, 1),
(14538, NULL, 'cd21486', NULL, NULL, 'human_MERS-CoV_Spike_S1_RBD', NULL, 'human_MERS-CoV_Spike_S1_RBD', NULL, NULL, 37288, 1),
(14539, NULL, 'cd02962', NULL, NULL, 'TMX2', NULL, 'TMX2', NULL, NULL, 35852, 1),
(14540, NULL, 'cd21344', NULL, NULL, '1B_UPF1_nv_SF1_Hel-like', NULL, '1B_UPF1_nv_SF1_Hel-like', NULL, NULL, NULL, 1),
(14541, NULL, 'cd08839', NULL, NULL, 'ArfGap_SMAP', NULL, 'ArfGap_SMAP', NULL, NULL, 36804, 1),
(14542, NULL, 'cd14674', NULL, NULL, 'PH_PLEKHM3_1', NULL, 'PH_PLEKHM3_1', NULL, NULL, 34305, 1),
(14543, NULL, 'cd00622', NULL, NULL, 'PLPDE_III_ODC', NULL, 'PLPDE_III_ODC', NULL, NULL, NULL, 1),
(14544, NULL, 'cd16689', NULL, NULL, 'RING-H2_Vps18', NULL, 'RING-H2_Vps18', NULL, NULL, NULL, 1),
(14545, NULL, 'cd18990', NULL, NULL, 'LGIC_ECD_GABAAR', NULL, 'LGIC_ECD_GABAAR', NULL, NULL, NULL, 1),
(14546, NULL, 'cd13675', NULL, NULL, 'PBP2_TRAP_SBP_like_5', NULL, 'PBP2_TRAP_SBP_like_5', NULL, NULL, NULL, 1),
(14547, NULL, 'cd11272', NULL, NULL, 'Sema_plexin_A2', NULL, 'Sema_plexin_A2', NULL, NULL, 37829, 1),
(14548, NULL, 'cd07223', NULL, NULL, 'Pat_PNPLA5-mammals', NULL, 'Pat_PNPLA5-mammals', NULL, NULL, NULL, 1),
(14549, NULL, 'cd07833', NULL, NULL, 'STKc_CDKL', NULL, 'STKc_CDKL', NULL, NULL, NULL, 1),
(14550, NULL, 'cd17643', NULL, NULL, 'A_NRPS_Cytc1-like', NULL, 'A_NRPS_Cytc1-like', NULL, NULL, NULL, 1),
(14551, NULL, 'cd15635', NULL, NULL, 'PHD_PYGO1', NULL, 'PHD_PYGO1', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14552, NULL, 'cd02409', NULL, NULL, 'KH-II', NULL, 'KH-II', NULL, NULL, NULL, 1),
(14553, NULL, 'cd13231', NULL, NULL, 'PH2_SSRP1-like', NULL, 'PH2_SSRP1-like', NULL, NULL, NULL, 1),
(14554, NULL, 'cd01863', NULL, NULL, 'Rab18', NULL, 'Rab18', NULL, NULL, NULL, 1),
(14555, NULL, 'cd07541', NULL, NULL, 'P-type_ATPase_APLT_Neo1-like', NULL, 'P-type_ATPase_APLT_Neo1-like', NULL, NULL, NULL, 1),
(14556, NULL, 'cd11671', NULL, NULL, 'TAZ1_RBM', NULL, 'TAZ1_RBM', NULL, NULL, NULL, 1),
(14557, NULL, 'cd00525', NULL, NULL, 'AE_Prim_S_like', NULL, 'AE_Prim_S_like', NULL, NULL, NULL, 1),
(14558, NULL, 'cd13887', NULL, NULL, 'CuRO_2_MCO_like_2', NULL, 'CuRO_2_MCO_like_2', NULL, NULL, NULL, 1),
(14559, NULL, 'cd16013', NULL, NULL, 'AcpA', NULL, 'AcpA', NULL, NULL, NULL, 1),
(14560, NULL, 'cd16147', NULL, NULL, 'G6S', NULL, 'G6S', NULL, NULL, NULL, 1),
(14561, NULL, 'cd02793', NULL, NULL, 'MopB_CT_DMSOR-BSOR-TMAOR', NULL, 'MopB_CT_DMSOR-BSOR-TMAOR', NULL, NULL, 33247, 1),
(14562, NULL, 'cd11333', NULL, NULL, 'AmyAc_SI_OligoGlu_DGase', NULL, 'AmyAc_SI_OligoGlu_DGase', NULL, NULL, NULL, 1),
(14563, NULL, 'cd03136', NULL, NULL, 'GATase1_AraC_ArgR_like', NULL, 'GATase1_AraC_ArgR_like', NULL, NULL, NULL, 1),
(14564, NULL, 'cd11454', NULL, NULL, 'bHLH_AtIND_like', NULL, 'bHLH_AtIND_like', NULL, NULL, NULL, 1),
(14565, NULL, 'cd08010', NULL, NULL, 'MltG_like', NULL, 'MltG_like', NULL, NULL, 2029, 1),
(14566, NULL, 'cd08153', NULL, NULL, 'srpA_like', NULL, 'srpA_like', NULL, NULL, 13434, 1),
(14567, NULL, 'cd05910', NULL, NULL, 'FACL_like_1', NULL, 'FACL_like_1', NULL, NULL, NULL, 1),
(14568, NULL, 'cd03574', NULL, NULL, 'NTR_complement_C345C', NULL, 'NTR_complement_C345C', NULL, NULL, NULL, 1),
(14569, NULL, 'cd00304', NULL, NULL, 'RT_like', NULL, 'RT_like', NULL, NULL, NULL, 1),
(14570, NULL, 'cd04401', NULL, NULL, 'RhoGAP_fMSB1', NULL, 'RhoGAP_fMSB1', NULL, NULL, NULL, 1),
(14571, NULL, 'cd01865', NULL, NULL, 'Rab3', NULL, 'Rab3', NULL, NULL, 29185, 1),
(14572, NULL, 'cd18690', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(14573, NULL, 'cd19754', NULL, NULL, 'FHb_fungal-globin', NULL, 'FHb_fungal-globin', NULL, NULL, NULL, 1),
(14574, NULL, 'cd12197', NULL, NULL, 'MARK4_C', NULL, 'MARK4_C', NULL, NULL, NULL, 1),
(14575, NULL, 'cd07253', NULL, NULL, 'GLOD5', NULL, 'GLOD5', NULL, NULL, NULL, 1),
(14576, NULL, 'cd06961', NULL, NULL, 'NR_DBD_TR', NULL, 'NR_DBD_TR', NULL, NULL, NULL, 1),
(14577, NULL, 'cd03321', NULL, NULL, 'mandelate_racemase', NULL, 'mandelate_racemase', NULL, NULL, NULL, 1),
(14578, NULL, 'cd11778', NULL, NULL, 'SH3_Bzz1_2', NULL, 'SH3_Bzz1_2', NULL, NULL, NULL, 1),
(14579, NULL, 'cd02563', NULL, NULL, 'PseudoU_synth_TruC', NULL, 'PseudoU_synth_TruC', NULL, NULL, NULL, 1),
(14580, NULL, 'cd08610', NULL, NULL, 'GDPD_GDE6', NULL, 'GDPD_GDE6', NULL, NULL, NULL, 1),
(14581, NULL, 'cd17565', NULL, NULL, 'REC_GlnL-like', NULL, 'REC_GlnL-like', NULL, NULL, NULL, 1),
(14582, NULL, 'cd05257', NULL, NULL, 'Arna_like_SDR_e', NULL, 'Arna_like_SDR_e', NULL, NULL, 39208, 1),
(14583, NULL, 'cd18205', NULL, NULL, 'BTB_POZ_ZBTB16_PLZF', NULL, 'BTB_POZ_ZBTB16_PLZF', NULL, NULL, NULL, 1),
(14584, NULL, 'cd09448', NULL, NULL, 'LIM_CLP36', NULL, 'LIM_CLP36', NULL, NULL, NULL, 1),
(14585, NULL, 'cd16459', NULL, NULL, 'RING-H2_DTX1_like', NULL, 'RING-H2_DTX1_like', NULL, NULL, NULL, 1),
(14586, NULL, 'cd03426', NULL, NULL, 'CoAse', NULL, 'CoAse', NULL, NULL, 38455, 1),
(14587, NULL, 'cd19758', NULL, NULL, 'Bbox2_MID', NULL, 'Bbox2_MID', NULL, NULL, NULL, 1),
(14588, NULL, 'cd04480', NULL, NULL, 'RPA1_DBD_A_like', NULL, 'RPA1_DBD_A_like', NULL, NULL, NULL, 1),
(14589, NULL, 'cd02122', NULL, NULL, 'PA_GRAIL_like', NULL, 'PA_GRAIL_like', NULL, NULL, NULL, 1),
(14590, NULL, 'cd11396', NULL, NULL, 'bHLHzip_USF', NULL, 'bHLHzip_USF', NULL, NULL, NULL, 1),
(14591, NULL, 'cd12062', NULL, NULL, 'SH3_Caskin1', NULL, 'SH3_Caskin1', NULL, NULL, 16536, 1),
(14592, NULL, 'cd05127', NULL, NULL, 'RasGAP_IQGAP_like', NULL, 'RasGAP_IQGAP_like', NULL, NULL, NULL, 1),
(14593, NULL, 'cd09743', NULL, NULL, 'Csx16_III-U', NULL, 'Csx16_III-U', NULL, NULL, NULL, 1);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14594, NULL, 'cd19740', NULL, NULL, 'bHLH-PAS_dSIM_like', NULL, 'bHLH-PAS_dSIM_like', NULL, NULL, NULL, 1),
(14595, NULL, 'cd16967', NULL, NULL, 'Alpha_kinase_eEF2K', NULL, 'Alpha_kinase_eEF2K', NULL, NULL, NULL, 1),
(14596, NULL, 'cd03291', NULL, NULL, 'ABCC_CFTR1', NULL, 'ABCC_CFTR1', NULL, NULL, NULL, 1),
(14597, NULL, 'cd01279', NULL, NULL, 'HTH_HspR-like', NULL, 'HTH_HspR-like', NULL, NULL, NULL, 1),
(14598, NULL, 'cd06112', NULL, NULL, 'citrate_synt_like_1_1', NULL, 'citrate_synt_like_1_1', NULL, NULL, NULL, 1),
(14599, NULL, 'cd06212', NULL, NULL, 'monooxygenase_like', NULL, 'monooxygenase_like', NULL, NULL, NULL, 1),
(14600, NULL, 'cd14787', NULL, NULL, 'Tiki_TraB-like', NULL, 'Tiki_TraB-like', NULL, NULL, NULL, 1),
(14601, NULL, 'cd11369', NULL, NULL, 'RNase_PH_RRP43', NULL, 'RNase_PH_RRP43', NULL, NULL, NULL, 1),
(14602, NULL, 'cd04893', NULL, NULL, 'ACT_GcvR_1', NULL, 'ACT_GcvR_1', NULL, NULL, NULL, 1),
(14603, NULL, 'cd02949', NULL, NULL, 'TRX_NTR', NULL, 'TRX_NTR', NULL, NULL, NULL, 1),
(14604, NULL, 'cd02909', NULL, NULL, 'cupin_pirin_N', NULL, 'cupin_pirin_N', NULL, NULL, NULL, 1),
(14605, NULL, 'cd16075', NULL, NULL, 'ORC6_CTD', NULL, 'ORC6_CTD', NULL, NULL, NULL, 1),
(14606, NULL, 'cd13387', NULL, NULL, 'PH1_FGD3', NULL, 'PH1_FGD3', NULL, NULL, NULL, 1),
(14607, NULL, 'cd02014', NULL, NULL, 'TPP_POX', NULL, 'TPP_POX', NULL, NULL, NULL, 1),
(14608, NULL, 'cd10015', NULL, NULL, 'BfiI_C_EcoRII_N_B3', NULL, 'BfiI_C_EcoRII_N_B3', NULL, NULL, NULL, 1),
(14609, NULL, 'cd18519', NULL, NULL, 'BACK_SPOPL', NULL, 'BACK_SPOPL', NULL, NULL, NULL, 1),
(14610, NULL, 'cd04272', NULL, NULL, 'ZnMc_salivary_gland_MPs', NULL, 'ZnMc_salivary_gland_MPs', NULL, NULL, 13298, 1),
(14611, NULL, 'cd03411', NULL, NULL, 'Ferrochelatase_N', NULL, 'Ferrochelatase_N', NULL, NULL, 34233, 1),
(14612, NULL, 'cd01889', NULL, NULL, 'SelB_euk', NULL, 'SelB_euk', NULL, NULL, NULL, 1),
(14613, NULL, 'cd09939', NULL, NULL, 'SH2_STAP_family', NULL, 'SH2_STAP_family', NULL, NULL, NULL, 1),
(14614, NULL, 'cd13425', NULL, NULL, 'Peptidase_G1_like', NULL, 'Peptidase_G1_like', NULL, NULL, 33246, 1),
(14615, NULL, 'cd03545', NULL, NULL, 'Rieske_RO_Alpha_OHBDO_like', NULL, 'Rieske_RO_Alpha_OHBDO_like', NULL, NULL, NULL, 1),
(14616, NULL, 'cd07293', NULL, NULL, 'PX_SNX3', NULL, 'PX_SNX3', NULL, NULL, 36691, 1),
(14617, NULL, 'cd12277', NULL, NULL, 'RRM3_MEI2_EAR1_like', NULL, 'RRM3_MEI2_EAR1_like', NULL, NULL, NULL, 1),
(14618, NULL, 'cd00542', NULL, NULL, 'Ntn_PVA', NULL, 'Ntn_PVA', NULL, NULL, NULL, 1),
(14619, NULL, 'cd03156', NULL, NULL, 'uroplakin_I_like_LEL', NULL, 'uroplakin_I_like_LEL', NULL, NULL, NULL, 1),
(14620, NULL, 'cd03567', NULL, NULL, 'VHS_GGA_metazoan', NULL, 'VHS_GGA_metazoan', NULL, NULL, NULL, 1),
(14621, NULL, 'cd05918', NULL, NULL, 'A_NRPS_SidN3_like', NULL, 'A_NRPS_SidN3_like', NULL, NULL, NULL, 1),
(14622, NULL, 'cd11412', NULL, NULL, 'bHLH_TS_TWIST1', NULL, 'bHLH_TS_TWIST1', NULL, NULL, NULL, 1),
(14623, NULL, 'cd16741', NULL, NULL, 'RING-HC_RNFT1', NULL, 'RING-HC_RNFT1', NULL, NULL, NULL, 1),
(14624, NULL, 'cd16846', NULL, NULL, 'STAT2_DBD', NULL, 'STAT2_DBD', NULL, NULL, NULL, 1),
(14625, NULL, 'cd01586', NULL, NULL, 'AcnA_IRP', NULL, 'AcnA_IRP', NULL, NULL, NULL, 1),
(14626, NULL, 'cd03286', NULL, NULL, 'ABC_MSH6_euk', NULL, 'ABC_MSH6_euk', NULL, NULL, NULL, 1),
(14627, NULL, 'cd15268', NULL, NULL, '7tmB1_GLP1R', NULL, '7tmB1_GLP1R', NULL, NULL, NULL, 1),
(14628, NULL, 'cd00317', NULL, NULL, 'cyclophilin', NULL, 'cyclophilin', NULL, NULL, NULL, 1),
(14629, NULL, 'cd15939', NULL, NULL, '7tmA_OR4A-like', NULL, '7tmA_OR4A-like', NULL, NULL, NULL, 1),
(14630, NULL, 'cd16679', NULL, NULL, 'RING-H2_RNF38', NULL, 'RING-H2_RNF38', NULL, NULL, NULL, 1),
(14631, NULL, 'cd18490', NULL, NULL, 'BACK_BTBD8', NULL, 'BACK_BTBD8', NULL, NULL, 36643, 1),
(14632, NULL, 'cd13893', NULL, NULL, 'CuRO_3_AAO', NULL, 'CuRO_3_AAO', NULL, NULL, 24523, 1),
(14633, NULL, 'cd11637', NULL, NULL, 'HR1_PKN3_3', NULL, 'HR1_PKN3_3', NULL, NULL, NULL, 1),
(14634, NULL, 'cd19010', NULL, NULL, 'LGIC_ECD_GlyR_beta', NULL, 'LGIC_ECD_GlyR_beta', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14635, NULL, 'cd05790', NULL, NULL, 'S1_Rrp40', NULL, 'S1_Rrp40', NULL, NULL, 35873, 1),
(14636, NULL, 'cd07581', NULL, NULL, 'nitrilase_3', NULL, 'nitrilase_3', NULL, NULL, NULL, 1),
(14637, NULL, 'cd12374', NULL, NULL, 'RRM_UHM_SPF45_PUF60', NULL, 'RRM_UHM_SPF45_PUF60', NULL, NULL, NULL, 1),
(14638, NULL, 'cd05777', NULL, NULL, 'DNA_polB_delta_exo', NULL, 'DNA_polB_delta_exo', NULL, NULL, NULL, 1),
(14639, NULL, 'cd05848', NULL, NULL, 'Ig1_Contactin-5', NULL, 'Ig1_Contactin-5', NULL, NULL, NULL, 1),
(14640, NULL, 'cd19991', NULL, NULL, 'PBP1_ABC_xylose_binding', NULL, 'PBP1_ABC_xylose_binding', NULL, NULL, NULL, 1),
(14641, NULL, 'cd06943', NULL, NULL, 'NR_LBD_RXR_like', NULL, 'NR_LBD_RXR_like', NULL, NULL, NULL, 1),
(14642, NULL, 'cd19730', NULL, NULL, 'bHLH-PAS_spineless_like', NULL, 'bHLH-PAS_spineless_like', NULL, NULL, NULL, 1),
(14643, NULL, 'cd05853', NULL, NULL, 'Ig6_Contactin-4', NULL, 'Ig6_Contactin-4', NULL, NULL, NULL, 1),
(14644, NULL, 'cd08179', NULL, NULL, 'NADPH_BDH', NULL, 'NADPH_BDH', NULL, NULL, 15997, 1),
(14645, NULL, 'cd03535', NULL, NULL, 'Rieske_RO_Alpha_NDO', NULL, 'Rieske_RO_Alpha_NDO', NULL, NULL, 37399, 1),
(14646, NULL, 'cd00713', NULL, NULL, 'GltS', NULL, 'GltS', NULL, NULL, NULL, 1),
(14647, NULL, 'cd07672', NULL, NULL, 'F-BAR_PSTPIP2', NULL, 'F-BAR_PSTPIP2', NULL, NULL, 38887, 1),
(14648, NULL, 'cd15079', NULL, NULL, '7tmA_photoreceptors_insect', NULL, '7tmA_photoreceptors_insect', NULL, NULL, NULL, 1),
(14649, NULL, 'cd14617', NULL, NULL, 'R-PTPc-B', NULL, 'R-PTPc-B', NULL, NULL, NULL, 1),
(14650, NULL, 'cd21480', NULL, NULL, 'SARS-CoV-2_Spike_S1_RBD', NULL, 'SARS-CoV-2_Spike_S1_RBD', NULL, NULL, 38568, 1),
(14651, NULL, 'cd20478', NULL, NULL, 'Cas13b_Bz-like', NULL, 'Cas13b_Bz-like', NULL, NULL, NULL, 1),
(14652, NULL, 'cd19851', NULL, NULL, 'lipocalin_CHL', NULL, 'lipocalin_CHL', NULL, NULL, NULL, 1),
(14653, NULL, 'cd14537', NULL, NULL, 'PTP-MTMR10-like', NULL, 'PTP-MTMR10-like', NULL, NULL, NULL, 1),
(14654, NULL, 'cd11568', NULL, NULL, 'FAT-like_CASS4_C', NULL, 'FAT-like_CASS4_C', NULL, NULL, NULL, 1),
(14655, NULL, 'cd14131', NULL, NULL, 'PKc_Mps1', NULL, 'PKc_Mps1', NULL, NULL, NULL, 1),
(14656, NULL, 'cd06166', NULL, NULL, 'Sortase_D_2', NULL, 'Sortase_D_2', NULL, NULL, 34252, 1),
(14657, NULL, 'cd01534', NULL, NULL, '4RHOD_Repeat_3', NULL, '4RHOD_Repeat_3', NULL, NULL, NULL, 1),
(14658, NULL, 'cd08760', NULL, NULL, 'Cyt_b561_FRRS1_like', NULL, 'Cyt_b561_FRRS1_like', NULL, NULL, NULL, 1),
(14659, NULL, 'cd06424', NULL, NULL, 'UGGPase', NULL, 'UGGPase', NULL, NULL, NULL, 1),
(14660, NULL, 'cd12644', NULL, NULL, 'RRM_CFIm59', NULL, 'RRM_CFIm59', NULL, NULL, 33474, 1),
(14661, NULL, 'cd13307', NULL, NULL, 'PH2_AFAP', NULL, 'PH2_AFAP', NULL, NULL, NULL, 1),
(14662, NULL, 'cd17755', NULL, NULL, 'MCM4', NULL, 'MCM4', NULL, NULL, NULL, 1),
(14663, NULL, 'cd13242', NULL, NULL, 'PH_puratrophin-1', NULL, 'PH_puratrophin-1', NULL, NULL, NULL, 1),
(14664, NULL, 'cd03087', NULL, NULL, 'PGM_like1', NULL, 'PGM_like1', NULL, NULL, 12950, 1),
(14665, NULL, 'cd11735', NULL, NULL, 'HSPA12A_like_NBD', NULL, 'HSPA12A_like_NBD', NULL, NULL, NULL, 1),
(14666, NULL, 'cd18535', NULL, NULL, 'PTP-IVa3', NULL, 'PTP-IVa3', NULL, NULL, NULL, 1),
(14667, NULL, 'cd04753', NULL, NULL, 'Commd5_HCaRG', NULL, 'Commd5_HCaRG', NULL, NULL, NULL, 1),
(14668, NULL, 'cd16972', NULL, NULL, 'Alpha_kinase_ChaK2_TRPM6', NULL, 'Alpha_kinase_ChaK2_TRPM6', NULL, NULL, NULL, 1),
(14669, NULL, 'cd15497', NULL, NULL, 'PHD1_Snt2p_like', NULL, 'PHD1_Snt2p_like', NULL, NULL, NULL, 1),
(14670, NULL, 'cd19559', NULL, NULL, 'serpinA14_UTMP_UABP-2', NULL, 'serpinA14_UTMP_UABP-2', NULL, NULL, NULL, 1),
(14671, NULL, 'cd15081', NULL, NULL, '7tmA_LWS_opsin', NULL, '7tmA_LWS_opsin', NULL, NULL, NULL, 1),
(14672, NULL, 'cd18661', NULL, NULL, 'CD2_tandem_CHD1-2_like', NULL, 'CD2_tandem_CHD1-2_like', NULL, NULL, NULL, 1),
(14673, NULL, 'cd20170', NULL, NULL, 'Peptidase_M90-like', NULL, 'Peptidase_M90-like', NULL, NULL, NULL, 1),
(14674, NULL, 'cd07543', NULL, NULL, 'P-type_ATPase_cation', NULL, 'P-type_ATPase_cation', NULL, NULL, NULL, 1);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14675, NULL, 'cd13659', NULL, NULL, 'PBP2_PotF', NULL, 'PBP2_PotF', NULL, NULL, NULL, 1),
(14676, NULL, 'cd14712', NULL, NULL, 'bZIP_CEBPB', NULL, 'bZIP_CEBPB', NULL, NULL, NULL, 1),
(14677, NULL, 'cd07730', NULL, NULL, 'metallo-hydrolase-like_MBL-fold', NULL, 'metallo-hydrolase-like_MBL-fold', NULL, NULL, NULL, 1),
(14678, NULL, 'cd05512', NULL, NULL, 'Bromo_brd1_like', NULL, 'Bromo_brd1_like', NULL, NULL, NULL, 1),
(14679, NULL, 'cd06845', NULL, NULL, 'Bcl-2_like', NULL, 'Bcl-2_like', NULL, NULL, 22479, 1),
(14680, NULL, 'cd00680', NULL, NULL, 'RHO_alpha_C', NULL, 'RHO_alpha_C', NULL, NULL, NULL, 1),
(14681, NULL, 'cd19404', NULL, NULL, 'TGF_beta_INHBA', NULL, 'TGF_beta_INHBA', NULL, NULL, NULL, 1),
(14682, NULL, 'cd00951', NULL, NULL, 'KDGDH', NULL, 'KDGDH', NULL, NULL, 17370, 1),
(14683, NULL, 'cd12220', NULL, NULL, 'Pesticin_RB', NULL, 'Pesticin_RB', NULL, NULL, 33870, 1),
(14684, NULL, 'cd15573', NULL, NULL, 'PHD_JADE', NULL, 'PHD_JADE', NULL, NULL, NULL, 1),
(14685, NULL, 'cd11827', NULL, NULL, 'SH3_MyoIe_If_like', NULL, 'SH3_MyoIe_If_like', NULL, NULL, 18228, 1),
(14686, NULL, 'cd17781', NULL, NULL, 'CBS_pair_MUG70_1', NULL, 'CBS_pair_MUG70_1', NULL, NULL, NULL, 1),
(14687, NULL, 'cd10445', NULL, NULL, 'GIY-YIG_bI1_like', NULL, 'GIY-YIG_bI1_like', NULL, NULL, NULL, 1),
(14688, NULL, 'cd14528', NULL, NULL, 'PFA-DSP_Siw14', NULL, 'PFA-DSP_Siw14', NULL, NULL, NULL, 1),
(14689, NULL, 'cd13362', NULL, NULL, 'PH_PLC_gamma', NULL, 'PH_PLC_gamma', NULL, NULL, NULL, 1),
(14690, NULL, 'cd17317', NULL, NULL, 'MFS_SLC22', NULL, 'MFS_SLC22', NULL, NULL, NULL, 1),
(14691, NULL, 'cd02056', NULL, NULL, 'serpinA1_A1AT', NULL, 'serpinA1_A1AT', NULL, NULL, NULL, 1),
(14692, NULL, 'cd05789', NULL, NULL, 'S1_Rrp4', NULL, 'S1_Rrp4', NULL, NULL, NULL, 1),
(14693, NULL, 'cd15936', NULL, NULL, '7tmA_OR4D-like', NULL, '7tmA_OR4D-like', NULL, NULL, NULL, 1),
(14694, NULL, 'cd13733', NULL, NULL, 'SPRY_PRY_C-I_1', NULL, 'SPRY_PRY_C-I_1', NULL, NULL, NULL, 1),
(14695, NULL, 'cd20183', NULL, NULL, 'M34_PPEP', NULL, 'M34_PPEP', NULL, NULL, NULL, 1),
(14696, NULL, 'cd18529', NULL, NULL, 'BACK_RCBTB2', NULL, 'BACK_RCBTB2', NULL, NULL, NULL, 1),
(14697, NULL, 'cd00798', NULL, NULL, 'INT_XerDC_C', NULL, 'INT_XerDC_C', NULL, NULL, NULL, 1),
(14698, NULL, 'cd02688', NULL, NULL, 'E_set', NULL, 'E_set', NULL, NULL, NULL, 1),
(14699, NULL, 'cd03467', NULL, NULL, 'Rieske', NULL, 'Rieske', NULL, NULL, NULL, 1),
(14700, NULL, 'cd03689', NULL, NULL, 'RF3_II', NULL, 'RF3_II', NULL, NULL, NULL, 1),
(14701, NULL, 'cd09402', NULL, NULL, 'LIM1_CRP', NULL, 'LIM1_CRP', NULL, NULL, NULL, 1),
(14702, NULL, 'cd12697', NULL, NULL, 'RRM3_ROD1', NULL, 'RRM3_ROD1', NULL, NULL, NULL, 1),
(14703, NULL, 'cd16898', NULL, NULL, 'LYZ_LA', NULL, 'LYZ_LA', NULL, NULL, NULL, 1),
(14704, NULL, 'cd18917', NULL, NULL, 'bHLH_AtSAC51_like', NULL, 'bHLH_AtSAC51_like', NULL, NULL, NULL, 1),
(14705, NULL, 'cd08169', NULL, NULL, 'DHQ-like', NULL, 'DHQ-like', NULL, NULL, NULL, 1),
(14706, NULL, 'cd08705', NULL, NULL, 'RGS_R7-like', NULL, 'RGS_R7-like', NULL, NULL, NULL, 1),
(14707, NULL, 'cd18543', NULL, NULL, 'ABC_6TM_Rv0194_D1_like', NULL, 'ABC_6TM_Rv0194_D1_like', NULL, NULL, NULL, 1),
(14708, NULL, 'cd12221', NULL, NULL, 'Cin1', NULL, 'Cin1', NULL, NULL, 33683, 1),
(14709, NULL, 'cd05526', NULL, NULL, 'Bromo_polybromo_VI', NULL, 'Bromo_polybromo_VI', NULL, NULL, NULL, 1),
(14710, NULL, 'cd18176', NULL, NULL, 'ATP-synt_Vo_c_ATP6C_rpt2', NULL, 'ATP-synt_Vo_c_ATP6C_rpt2', NULL, NULL, NULL, 1),
(14711, NULL, 'cd06983', NULL, NULL, 'cupin_dsy2733', NULL, 'cupin_dsy2733', NULL, NULL, NULL, 1),
(14712, NULL, 'cd09367', NULL, NULL, 'LIM1_Lhx1_Lhx5', NULL, 'LIM1_Lhx1_Lhx5', NULL, NULL, NULL, 1),
(14713, NULL, 'cd18630', NULL, NULL, 'CD_Rhino', NULL, 'CD_Rhino', NULL, NULL, NULL, 1),
(14714, NULL, 'cd02077', NULL, NULL, 'P-type_ATPase_Mg', NULL, 'P-type_ATPase_Mg', NULL, NULL, 6746, 1),
(14715, NULL, 'cd12807', NULL, NULL, 'Esterase_713', NULL, 'Esterase_713', NULL, NULL, NULL, 1),
(14716, NULL, 'cd15926', NULL, NULL, '7tmA_RNL3R1', NULL, '7tmA_RNL3R1', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14717, NULL, 'cd05572', NULL, NULL, 'STKc_cGK', NULL, 'STKc_cGK', NULL, NULL, 13384, 1),
(14718, NULL, 'cd00140', NULL, NULL, 'beta_clamp', NULL, 'beta_clamp', NULL, NULL, 4469, 1),
(14719, NULL, 'cd18762', NULL, NULL, 'PIN_MtVapC3-like', NULL, 'PIN_MtVapC3-like', NULL, NULL, NULL, 1),
(14720, NULL, 'cd19876', NULL, NULL, 'DSRM_RNT1p-like', NULL, 'DSRM_RNT1p-like', NULL, NULL, 38675, 1),
(14721, NULL, 'cd03007', NULL, NULL, 'PDI_a_ERp29_N', NULL, 'PDI_a_ERp29_N', NULL, NULL, 13127, 1),
(14722, NULL, 'cd07818', NULL, NULL, 'SRPBCC_1', NULL, 'SRPBCC_1', NULL, NULL, NULL, 1),
(14723, NULL, 'cd17399', NULL, NULL, 'MFS_MFSD7', NULL, 'MFS_MFSD7', NULL, NULL, NULL, 1),
(14724, NULL, 'cd05940', NULL, NULL, 'FATP_FACS', NULL, 'FATP_FACS', NULL, NULL, NULL, 1),
(14725, NULL, 'cd13140', NULL, NULL, 'MATE_like_1', NULL, 'MATE_like_1', NULL, NULL, NULL, 1),
(14726, NULL, 'cd14719', NULL, NULL, 'bZIP_BACH', NULL, 'bZIP_BACH', NULL, NULL, 39882, 1),
(14727, NULL, 'cd19356', NULL, NULL, 'Wnt_Wnt10b', NULL, 'Wnt_Wnt10b', NULL, NULL, NULL, 1),
(14728, NULL, 'cd11602', NULL, NULL, 'Ndc10', NULL, 'Ndc10', NULL, NULL, NULL, 1),
(14729, NULL, 'cd20607', NULL, NULL, 'FbiB_C-like', NULL, 'FbiB_C-like', NULL, NULL, NULL, 1),
(14730, NULL, 'cd12832', NULL, NULL, 'TmCorA-like_u3', NULL, 'TmCorA-like_u3', NULL, NULL, NULL, 1),
(14731, NULL, 'cd16903', NULL, NULL, 'pesticin_lyz-like', NULL, 'pesticin_lyz-like', NULL, NULL, NULL, 1),
(14732, NULL, 'cd18718', NULL, NULL, 'PIN_PRORP', NULL, 'PIN_PRORP', NULL, NULL, NULL, 1),
(14733, NULL, 'cd20610', NULL, NULL, 'Nitro_FMN_reductase_child_20', NULL, 'Nitro_FMN_reductase_child_20', NULL, NULL, NULL, 1),
(14734, NULL, 'cd13941', NULL, NULL, 'PANDER_like_KIAA1199', NULL, 'PANDER_like_KIAA1199', NULL, NULL, NULL, 1),
(14735, NULL, 'cd04491', NULL, NULL, 'SoSSB_OBF', NULL, 'SoSSB_OBF', NULL, NULL, NULL, 1),
(14736, NULL, 'cd18477', NULL, NULL, 'BACK_KLHL40_like', NULL, 'BACK_KLHL40_like', NULL, NULL, NULL, 1),
(14737, NULL, 'cd02537', NULL, NULL, 'GT8_Glycogenin', NULL, 'GT8_Glycogenin', NULL, NULL, NULL, 1),
(14738, NULL, 'cd19766', NULL, NULL, 'Bbox2_TRIM11_C-IV', NULL, 'Bbox2_TRIM11_C-IV', NULL, NULL, NULL, 1),
(14739, NULL, 'cd09969', NULL, NULL, 'UP_IIIb', NULL, 'UP_IIIb', NULL, NULL, NULL, 1),
(14740, NULL, 'cd11513', NULL, NULL, 'SLC6sbd_SERT', NULL, 'SLC6sbd_SERT', NULL, NULL, NULL, 1),
(14741, NULL, 'cd15158', NULL, NULL, '7tmA_CysLTR1', NULL, '7tmA_CysLTR1', NULL, NULL, NULL, 1),
(14742, NULL, 'cd13929', NULL, NULL, 'PT-DMATS_CymD', NULL, 'PT-DMATS_CymD', NULL, NULL, 19205, 1),
(14743, NULL, 'cd16017', NULL, NULL, 'LptA', NULL, 'LptA', NULL, NULL, NULL, 1),
(14744, NULL, 'cd01175', NULL, NULL, 'IPT_COE', NULL, 'IPT_COE', NULL, NULL, 30446, 1),
(14745, NULL, 'cd15130', NULL, NULL, '7tmA_NTSR', NULL, '7tmA_NTSR', NULL, NULL, NULL, 1),
(14746, NULL, 'cd13984', NULL, NULL, 'PK_NRBP1_like', NULL, 'PK_NRBP1_like', NULL, NULL, NULL, 1),
(14747, NULL, 'cd07112', NULL, NULL, 'ALDH_GABALDH-PuuC', NULL, 'ALDH_GABALDH-PuuC', NULL, NULL, NULL, 1),
(14748, NULL, 'cd16378', NULL, NULL, 'CcmH_N', NULL, 'CcmH_N', NULL, NULL, NULL, 1),
(14749, NULL, 'cd11523', NULL, NULL, 'NTP-PPase', NULL, 'NTP-PPase', NULL, NULL, NULL, 1),
(14750, NULL, 'cd08348', NULL, NULL, 'BphC2-C3-RGP6_C_like', NULL, 'BphC2-C3-RGP6_C_like', NULL, NULL, NULL, 1),
(14751, NULL, 'cd06209', NULL, NULL, 'BenDO_FAD_NAD', NULL, 'BenDO_FAD_NAD', NULL, NULL, NULL, 1),
(14752, NULL, 'cd19368', NULL, NULL, 'TenA_C_AtTH2-like', NULL, 'TenA_C_AtTH2-like', NULL, NULL, NULL, 1),
(14753, NULL, 'cd02035', NULL, NULL, 'ArsA', NULL, 'ArsA', NULL, NULL, NULL, 1),
(14754, NULL, 'cd17030', NULL, NULL, 'T3SC_IA_SycH-like', NULL, 'T3SC_IA_SycH-like', NULL, NULL, NULL, 1),
(14755, NULL, 'cd08941', NULL, NULL, '3KS_SDR_c', NULL, '3KS_SDR_c', NULL, NULL, 37951, 1),
(14756, NULL, 'cd09129', NULL, NULL, 'PLDc_unchar2_1', NULL, 'PLDc_unchar2_1', NULL, NULL, NULL, 1),
(14757, NULL, 'cd01810', NULL, NULL, 'Ubl2_ISG15', NULL, 'Ubl2_ISG15', NULL, NULL, NULL, 1),
(14758, NULL, 'cd07465', NULL, NULL, 'CRD_FZ1', NULL, 'CRD_FZ1', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14759, NULL, 'cd12585', NULL, NULL, 'RRM2_hnRPDL', NULL, 'RRM2_hnRPDL', NULL, NULL, NULL, 1),
(14760, NULL, 'cd11880', NULL, NULL, 'SH3_Caskin', NULL, 'SH3_Caskin', NULL, NULL, NULL, 1),
(14761, NULL, 'cd08390', NULL, NULL, 'C2A_Synaptotagmin-15-17', NULL, 'C2A_Synaptotagmin-15-17', NULL, NULL, NULL, 1),
(14762, NULL, 'cd17196', NULL, NULL, 'FERM_F1_FRMPD2', NULL, 'FERM_F1_FRMPD2', NULL, NULL, NULL, 1),
(14763, NULL, 'cd07262', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(14764, NULL, 'cd12632', NULL, NULL, 'RRM1_CELF3_4_5_6', NULL, 'RRM1_CELF3_4_5_6', NULL, NULL, 7204, 1),
(14765, NULL, 'cd15506', NULL, NULL, 'PHD1_KMT2A_like', NULL, 'PHD1_KMT2A_like', NULL, NULL, NULL, 1),
(14766, NULL, 'cd09723', NULL, NULL, 'Csx1_III-U', NULL, 'Csx1_III-U', NULL, NULL, NULL, 1),
(14767, NULL, 'cd03039', NULL, NULL, 'GST_N_Sigma_like', NULL, 'GST_N_Sigma_like', NULL, NULL, NULL, 1),
(14768, NULL, 'cd08608', NULL, NULL, 'GDPD_GDE2', NULL, 'GDPD_GDE2', NULL, NULL, NULL, 1),
(14769, NULL, 'cd15188', NULL, NULL, '7tmA_ACKR2_D6', NULL, '7tmA_ACKR2_D6', NULL, NULL, NULL, 1),
(14770, NULL, 'cd00871', NULL, NULL, 'PI4Ka', NULL, 'PI4Ka', NULL, NULL, NULL, 1),
(14771, NULL, 'cd11425', NULL, NULL, 'bHLH_TS_Mesp_like', NULL, 'bHLH_TS_Mesp_like', NULL, NULL, NULL, 1),
(14772, NULL, 'cd09342', NULL, NULL, 'LIM3_Testin_like', NULL, 'LIM3_Testin_like', NULL, NULL, NULL, 1),
(14773, NULL, 'cd11803', NULL, NULL, 'SH3_Endophilin_A', NULL, 'SH3_Endophilin_A', NULL, NULL, 34837, 1),
(14774, NULL, 'cd12405', NULL, NULL, 'RRM3_NCL', NULL, 'RRM3_NCL', NULL, NULL, 33135, 1),
(14775, NULL, 'cd01912', NULL, NULL, 'proteasome_beta', NULL, 'proteasome_beta', NULL, NULL, NULL, 1),
(14776, NULL, 'cd04818', NULL, NULL, 'PA_subtilisin_1', NULL, 'PA_subtilisin_1', NULL, NULL, NULL, 1),
(14777, NULL, 'cd18447', NULL, NULL, 'BACK_KLHL7', NULL, 'BACK_KLHL7', NULL, NULL, NULL, 1),
(14778, NULL, 'cd02232', NULL, NULL, 'cupin_ARD', NULL, 'cupin_ARD', NULL, NULL, 4697, 1),
(14779, NULL, 'cd04336', NULL, NULL, 'YeaK', NULL, 'YeaK', NULL, NULL, 37638, 1),
(14780, NULL, 'cd06295', NULL, NULL, 'PBP1_CelR', NULL, 'PBP1_CelR', NULL, NULL, NULL, 1),
(14781, NULL, 'cd18496', NULL, NULL, 'BACK_LGALS3BP', NULL, 'BACK_LGALS3BP', NULL, NULL, NULL, 1),
(14782, NULL, 'cd18521', NULL, NULL, 'BACK_Tdpoz', NULL, 'BACK_Tdpoz', NULL, NULL, NULL, 1),
(14783, NULL, 'cd06345', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(14784, NULL, 'cd14428', NULL, NULL, 'UBA2_HR23B', NULL, 'UBA2_HR23B', NULL, NULL, NULL, 1),
(14785, NULL, 'cd16750', NULL, NULL, 'RING-HC_SH3RF3', NULL, 'RING-HC_SH3RF3', NULL, NULL, NULL, 1),
(14786, NULL, 'cd08542', NULL, NULL, 'SAM_PNT-ETS-1', NULL, 'SAM_PNT-ETS-1', NULL, NULL, 32375, 1),
(14787, NULL, 'cd12146', NULL, NULL, 'STING_C', NULL, 'STING_C', NULL, NULL, 35643, 1),
(14788, NULL, 'cd18288', NULL, NULL, 'BTB_POZ_BTBD12_SLX4', NULL, 'BTB_POZ_BTBD12_SLX4', NULL, NULL, NULL, 1),
(14789, NULL, 'cd15298', NULL, NULL, '7tmA_mAChR_M4', NULL, '7tmA_mAChR_M4', NULL, NULL, NULL, 1),
(14790, NULL, 'cd14195', NULL, NULL, 'STKc_DAPK3', NULL, 'STKc_DAPK3', NULL, NULL, NULL, 1),
(14791, NULL, 'cd18937', NULL, NULL, 'bHLH_TS_Myf5', NULL, 'bHLH_TS_Myf5', NULL, NULL, NULL, 1),
(14792, NULL, 'cd00252', NULL, NULL, 'EFh_SPARC_EC', NULL, 'EFh_SPARC_EC', NULL, NULL, NULL, 1),
(14793, NULL, 'cd03476', NULL, NULL, 'Rieske_ArOX_small', NULL, 'Rieske_ArOX_small', NULL, NULL, 13910, 1),
(14794, NULL, 'cd08625', NULL, NULL, 'PI-PLCc_beta3', NULL, 'PI-PLCc_beta3', NULL, NULL, NULL, 1),
(14795, NULL, 'cd07873', NULL, NULL, 'STKc_PCTAIRE1', NULL, 'STKc_PCTAIRE1', NULL, NULL, NULL, 1),
(14796, NULL, 'cd02016', NULL, NULL, 'TPP_E1_OGDC_like', NULL, 'TPP_E1_OGDC_like', NULL, NULL, NULL, 1),
(14797, NULL, 'cd21399', NULL, NULL, 'ZBD_nv_SF1_Hel-like', NULL, 'ZBD_nv_SF1_Hel-like', NULL, NULL, NULL, 1),
(14798, NULL, 'cd11501', NULL, NULL, 'SLC6sbd_ATB0', NULL, 'SLC6sbd_ATB0', NULL, NULL, NULL, 1),
(14799, NULL, 'cd04869', NULL, NULL, 'ACT_GcvR_2', NULL, 'ACT_GcvR_2', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14800, NULL, 'cd01754', NULL, NULL, 'PLAT_plant_stress', NULL, 'PLAT_plant_stress', NULL, NULL, NULL, 1),
(14801, NULL, 'cd19095', NULL, NULL, 'AKR_PA4992-like', NULL, 'AKR_PA4992-like', NULL, NULL, NULL, 1),
(14802, NULL, 'cd12760', NULL, NULL, 'RRM1_MSI2', NULL, 'RRM1_MSI2', NULL, NULL, NULL, 1),
(14803, NULL, 'cd10439', NULL, NULL, 'GIY-YIG_COG3410', NULL, 'GIY-YIG_COG3410', NULL, NULL, NULL, 1),
(14804, NULL, 'cd17381', NULL, NULL, 'MFS_SLC17A5', NULL, 'MFS_SLC17A5', NULL, NULL, NULL, 1),
(14805, NULL, 'cd18207', NULL, NULL, 'BTB_POZ_ZBTB19_PATZ1', NULL, 'BTB_POZ_ZBTB19_PATZ1', NULL, NULL, NULL, 1),
(14806, NULL, 'cd12761', NULL, NULL, 'RRM1_hnRNPA1', NULL, 'RRM1_hnRNPA1', NULL, NULL, 36220, 1),
(14807, NULL, 'cd03046', NULL, NULL, 'GST_N_GTT1_like', NULL, 'GST_N_GTT1_like', NULL, NULL, NULL, 1),
(14808, NULL, 'cd11738', NULL, NULL, 'HSPA4L_NBD', NULL, 'HSPA4L_NBD', NULL, NULL, 38323, 1),
(14809, NULL, 'cd03565', NULL, NULL, 'VHS_Tom1_like', NULL, 'VHS_Tom1_like', NULL, NULL, NULL, 1),
(14810, NULL, 'cd18027', NULL, NULL, 'DEXHc_SKIV2L', NULL, 'DEXHc_SKIV2L', NULL, NULL, NULL, 1),
(14811, NULL, 'cd07653', NULL, NULL, 'F-BAR_CIP4-like', NULL, 'F-BAR_CIP4-like', NULL, NULL, NULL, 1),
(14812, NULL, 'cd19922', NULL, NULL, 'REC_RitR-like', NULL, 'REC_RitR-like', NULL, NULL, NULL, 1),
(14813, NULL, 'cd14448', NULL, NULL, 'CuRO_2_BOD_CotA_like', NULL, 'CuRO_2_BOD_CotA_like', NULL, NULL, NULL, 1),
(14814, NULL, 'cd12259', NULL, NULL, 'RRM_SRSF11_SREK1', NULL, 'RRM_SRSF11_SREK1', NULL, NULL, NULL, 1),
(14815, NULL, 'cd00377', NULL, NULL, 'ICL_PEPM', NULL, 'ICL_PEPM', NULL, NULL, 35841, 1),
(14816, NULL, 'cd06533', NULL, NULL, 'Glyco_transf_WecG_TagA', NULL, 'Glyco_transf_WecG_TagA', NULL, NULL, 2844, 1),
(14817, NULL, 'cd06293', NULL, NULL, 'PBP1_LacI-like', NULL, 'PBP1_LacI-like', NULL, NULL, NULL, 1),
(14818, NULL, 'cd17104', NULL, NULL, 'FERM_F1_MYLIP', NULL, 'FERM_F1_MYLIP', NULL, NULL, NULL, 1),
(14819, NULL, 'cd16374', NULL, NULL, 'DMSOR_beta_like', NULL, 'DMSOR_beta_like', NULL, NULL, NULL, 1),
(14820, NULL, 'cd18791', NULL, NULL, 'SF2_C_RHA', NULL, 'SF2_C_RHA', NULL, NULL, NULL, 1),
(14821, NULL, 'cd07020', NULL, NULL, 'Clp_protease_NfeD_1', NULL, 'Clp_protease_NfeD_1', NULL, NULL, NULL, 1),
(14822, NULL, 'cd02080', NULL, NULL, 'P-type_ATPase_cation', NULL, 'P-type_ATPase_cation', NULL, NULL, NULL, 1),
(14823, NULL, 'cd06631', NULL, NULL, 'STKc_YSK4', NULL, 'STKc_YSK4', NULL, NULL, NULL, 1),
(14824, NULL, 'cd10477', NULL, NULL, 'EphR_LBD_B2', NULL, 'EphR_LBD_B2', NULL, NULL, 29190, 1),
(14825, NULL, 'cd08642', NULL, NULL, 'DNA_pol_A_pol_I_A', NULL, 'DNA_pol_A_pol_I_A', NULL, NULL, NULL, 1),
(14826, NULL, 'cd07531', NULL, NULL, 'HAD_Pase_UmpH-like', NULL, 'HAD_Pase_UmpH-like', NULL, NULL, NULL, 1),
(14827, NULL, 'cd15080', NULL, NULL, '7tmA_MWS_opsin', NULL, '7tmA_MWS_opsin', NULL, NULL, NULL, 1),
(14828, NULL, 'cd09690', NULL, NULL, 'Cas7_I-B', NULL, 'Cas7_I-B', NULL, NULL, NULL, 1),
(14829, NULL, 'cd03730', NULL, NULL, 'SOCS_ASB14', NULL, 'SOCS_ASB14', NULL, NULL, NULL, 1),
(14830, NULL, 'cd05499', NULL, NULL, 'Bromo_BDF1_2_II', NULL, 'Bromo_BDF1_2_II', NULL, NULL, NULL, 1),
(14831, NULL, 'cd19875', NULL, NULL, 'DSRM_EIF2AK2-like', NULL, 'DSRM_EIF2AK2-like', NULL, NULL, NULL, 1),
(14832, NULL, 'cd09471', NULL, NULL, 'LIM2_Isl2', NULL, 'LIM2_Isl2', NULL, NULL, NULL, 1),
(14833, NULL, 'cd06645', NULL, NULL, 'STKc_MAP4K3', NULL, 'STKc_MAP4K3', NULL, NULL, NULL, 1),
(14834, NULL, 'cd08621', NULL, NULL, 'PI-PLCXDc_like_2', NULL, 'PI-PLCXDc_like_2', NULL, NULL, NULL, 1),
(14835, NULL, 'cd12179', NULL, NULL, '2-Hacid_dh_14', NULL, '2-Hacid_dh_14', NULL, NULL, NULL, 1),
(14836, NULL, 'cd14729', NULL, NULL, 'RtxA-like', NULL, 'RtxA-like', NULL, NULL, NULL, 1),
(14837, NULL, 'cd01907', NULL, NULL, 'GlxB', NULL, 'GlxB', NULL, NULL, NULL, 1),
(14838, NULL, 'cd03388', NULL, NULL, 'PAP2_SPPase1', NULL, 'PAP2_SPPase1', NULL, NULL, NULL, 1),
(14839, NULL, 'cd04204', NULL, NULL, 'Pseudoazurin_like', NULL, 'Pseudoazurin_like', NULL, NULL, NULL, 1),
(14840, NULL, 'cd16613', NULL, NULL, 'RING-HC_UHRF', NULL, 'RING-HC_UHRF', NULL, NULL, NULL, 1);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14841, NULL, 'cd16873', NULL, NULL, 'ARID_KDM5A', NULL, 'ARID_KDM5A', NULL, NULL, NULL, 1),
(14842, NULL, 'cd01741', NULL, NULL, 'GATase1_1', NULL, 'GATase1_1', NULL, NULL, 37631, 1),
(14843, NULL, 'cd02114', NULL, NULL, 'bact_SorA_Moco', NULL, 'bact_SorA_Moco', NULL, NULL, NULL, 1),
(14844, NULL, 'cd06536', NULL, NULL, 'CIDE_N_ICAD', NULL, 'CIDE_N_ICAD', NULL, NULL, NULL, 1),
(14845, NULL, 'cd18106', NULL, NULL, 'SpoU-like_RNMTL1', NULL, 'SpoU-like_RNMTL1', NULL, NULL, NULL, 1),
(14846, NULL, 'cd05798', NULL, NULL, 'SIS_TAL_PGI', NULL, 'SIS_TAL_PGI', NULL, NULL, NULL, 1),
(14847, NULL, 'cd13867', NULL, NULL, 'CuRO_2_CueO_FtsP', NULL, 'CuRO_2_CueO_FtsP', NULL, NULL, NULL, 1),
(14848, NULL, 'cd14942', NULL, NULL, 'TRAPPC3_bet3', NULL, 'TRAPPC3_bet3', NULL, NULL, 21974, 1),
(14849, NULL, 'cd20251', NULL, NULL, 'Complex1_LYR_SF', NULL, 'Complex1_LYR_SF', NULL, NULL, NULL, 1),
(14850, NULL, 'cd11730', NULL, NULL, 'Tthb094_like_SDR_c', NULL, 'Tthb094_like_SDR_c', NULL, NULL, NULL, 1),
(14851, NULL, 'cd00876', NULL, NULL, 'Ras', NULL, 'Ras', NULL, NULL, NULL, 1),
(14852, NULL, 'cd00182', NULL, NULL, 'TBOX', NULL, 'TBOX', NULL, NULL, 3215, 1),
(14853, NULL, 'cd13401', NULL, NULL, 'Slt70-like', NULL, 'Slt70-like', NULL, NULL, NULL, 1),
(14854, NULL, 'cd08835', NULL, NULL, 'ArfGap_ACAP', NULL, 'ArfGap_ACAP', NULL, NULL, NULL, 1),
(14855, NULL, 'cd10441', NULL, NULL, 'GIY-YIG_COG1833', NULL, 'GIY-YIG_COG1833', NULL, NULL, 5218, 1),
(14856, NULL, 'cd06248', NULL, NULL, 'M14_CP_insect', NULL, 'M14_CP_insect', NULL, NULL, NULL, 1),
(14857, NULL, 'cd18754', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(14858, NULL, 'cd13259', NULL, NULL, 'PH5_ARAP', NULL, 'PH5_ARAP', NULL, NULL, NULL, 1),
(14859, NULL, 'cd17300', NULL, NULL, 'PIPKc_PIKfyve', NULL, 'PIPKc_PIKfyve', NULL, NULL, 36595, 1),
(14860, NULL, 'cd19362', NULL, NULL, 'TenA_C_SsTenA-1-like', NULL, 'TenA_C_SsTenA-1-like', NULL, NULL, NULL, 1),
(14861, NULL, 'cd18199', NULL, NULL, 'BTB_POZ_ZBTB8', NULL, 'BTB_POZ_ZBTB8', NULL, NULL, NULL, 1),
(14862, NULL, 'cd11358', NULL, NULL, 'RNase_PH', NULL, 'RNase_PH', NULL, NULL, NULL, 1),
(14863, NULL, 'cd05116', NULL, NULL, 'PTKc_Syk', NULL, 'PTKc_Syk', NULL, NULL, NULL, 1),
(14864, NULL, 'cd08453', NULL, NULL, 'PBP2_IlvR', NULL, 'PBP2_IlvR', NULL, NULL, 33450, 1),
(14865, NULL, 'cd16322', NULL, NULL, 'TTHA1623-like_MBL-fold', NULL, 'TTHA1623-like_MBL-fold', NULL, NULL, NULL, 1),
(14866, NULL, 'cd03031', NULL, NULL, 'GRX_GRX_like', NULL, 'GRX_GRX_like', NULL, NULL, NULL, 1),
(14867, NULL, 'cd06210', NULL, NULL, 'MMO_FAD_NAD_binding', NULL, 'MMO_FAD_NAD_binding', NULL, NULL, NULL, 1),
(14868, NULL, 'cd18252', NULL, NULL, 'BTB_POZ_KLHL23', NULL, 'BTB_POZ_KLHL23', NULL, NULL, NULL, 1),
(14869, NULL, 'cd11328', NULL, NULL, 'AmyAc_maltase', NULL, 'AmyAc_maltase', NULL, NULL, NULL, 1),
(14870, NULL, 'cd16889', NULL, NULL, 'chitinase-like', NULL, 'chitinase-like', NULL, NULL, NULL, 1),
(14871, NULL, 'cd14707', NULL, NULL, 'bZIP_plant_BZIP46', NULL, 'bZIP_plant_BZIP46', NULL, NULL, NULL, 1),
(14872, NULL, 'cd07071', NULL, NULL, 'NR_LBD_Nurr1', NULL, 'NR_LBD_Nurr1', NULL, NULL, NULL, 1),
(14873, NULL, 'cd16788', NULL, NULL, 'mRING-HC-C3HC5_RNF26', NULL, 'mRING-HC-C3HC5_RNF26', NULL, NULL, 34322, 1),
(14874, NULL, 'cd02197', NULL, NULL, 'HypE', NULL, 'HypE', NULL, NULL, 14189, 1),
(14875, NULL, 'cd01967', NULL, NULL, 'Nitrogenase_MoFe_alpha_like', NULL, 'Nitrogenase_MoFe_alpha_like', NULL, NULL, NULL, 1),
(14876, NULL, 'cd21565', NULL, NULL, 'betaCoV_M', NULL, 'betaCoV_M', NULL, NULL, NULL, 1),
(14877, NULL, 'cd04468', NULL, NULL, 'S1_eIF5A', NULL, 'S1_eIF5A', NULL, NULL, NULL, 1),
(14878, NULL, 'cd10228', NULL, NULL, 'HSPA4_like_NDB', NULL, 'HSPA4_like_NDB', NULL, NULL, NULL, 1),
(14879, NULL, 'cd17440', NULL, NULL, 'MFS_SV2C', NULL, 'MFS_SV2C', NULL, NULL, NULL, 1),
(14880, NULL, 'cd08619', NULL, NULL, 'PI-PLCXDc_plant', NULL, 'PI-PLCXDc_plant', NULL, NULL, NULL, 1),
(14881, NULL, 'cd20491', NULL, NULL, 'cupin_KduI_C', NULL, 'cupin_KduI_C', NULL, NULL, NULL, 1),
(14882, NULL, 'cd17250', NULL, NULL, 'RMtype1_S_Eco4255II_TRD2-CR2_like', NULL, 'RMtype1_S_Eco4255II_TRD2-CR2_like', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14883, NULL, 'cd00999', NULL, NULL, 'PBP2_ArtJ', NULL, 'PBP2_ArtJ', NULL, NULL, 35764, 1),
(14884, NULL, 'cd16462', NULL, NULL, 'RING-H2_Pep3p_like', NULL, 'RING-H2_Pep3p_like', NULL, NULL, NULL, 1),
(14885, NULL, 'cd04939', NULL, NULL, 'PA2301', NULL, 'PA2301', NULL, NULL, NULL, 1),
(14886, NULL, 'cd08248', NULL, NULL, 'RTN4I1', NULL, 'RTN4I1', NULL, NULL, 35315, 1),
(14887, NULL, 'cd16896', NULL, NULL, 'LT_Slt70-like', NULL, 'LT_Slt70-like', NULL, NULL, NULL, 1),
(14888, NULL, 'cd19868', NULL, NULL, 'DSRM_DGCR8_rpt2', NULL, 'DSRM_DGCR8_rpt2', NULL, NULL, NULL, 1),
(14889, NULL, 'cd15719', NULL, NULL, 'FYVE_WDFY3', NULL, 'FYVE_WDFY3', NULL, NULL, NULL, 1),
(14890, NULL, 'cd03354', NULL, NULL, 'LbH_SAT', NULL, 'LbH_SAT', NULL, NULL, 39629, 1),
(14891, NULL, 'cd15187', NULL, NULL, '7tmA_CCR8', NULL, '7tmA_CCR8', NULL, NULL, NULL, 1),
(14892, NULL, 'cd02663', NULL, NULL, 'Peptidase_C19G', NULL, 'Peptidase_C19G', NULL, NULL, NULL, 1),
(14893, NULL, 'cd02904', NULL, NULL, 'Macro_H2A-like', NULL, 'Macro_H2A-like', NULL, NULL, 31560, 1),
(14894, NULL, 'cd03587', NULL, NULL, 'SOCS', NULL, 'SOCS', NULL, NULL, NULL, 1),
(14895, NULL, 'cd12090', NULL, NULL, 'MDA5_ID', NULL, 'MDA5_ID', NULL, NULL, NULL, 1),
(14896, NULL, 'cd18275', NULL, NULL, 'BTB_POZ_KBTBD11', NULL, 'BTB_POZ_KBTBD11', NULL, NULL, NULL, 1),
(14897, NULL, 'cd10018', NULL, NULL, 'BfiI_C', NULL, 'BfiI_C', NULL, NULL, 34299, 1),
(14898, NULL, 'cd04741', NULL, NULL, 'DHOD_1A_like', NULL, 'DHOD_1A_like', NULL, NULL, 29788, 1),
(14899, NULL, 'cd12742', NULL, NULL, 'RRM3_ESRP1_ESRP2', NULL, 'RRM3_ESRP1_ESRP2', NULL, NULL, NULL, 1),
(14900, NULL, 'cd05508', NULL, NULL, 'Bromo_RACK7', NULL, 'Bromo_RACK7', NULL, NULL, 33528, 1),
(14901, NULL, 'cd17662', NULL, NULL, 'PFA-DSP_Oca4', NULL, 'PFA-DSP_Oca4', NULL, NULL, NULL, 1),
(14902, NULL, 'cd11720', NULL, NULL, 'FANCI', NULL, 'FANCI', NULL, NULL, 26960, 1),
(14903, NULL, 'cd07084', NULL, NULL, 'ALDH_KGSADH-like', NULL, 'ALDH_KGSADH-like', NULL, NULL, NULL, 1),
(14904, NULL, 'cd00714', NULL, NULL, 'GFAT', NULL, 'GFAT', NULL, NULL, NULL, 1),
(14905, NULL, 'cd03556', NULL, NULL, 'L-fucose_isomerase', NULL, 'L-fucose_isomerase', NULL, NULL, NULL, 1),
(14906, NULL, 'cd03188', NULL, NULL, 'GST_C_Beta', NULL, 'GST_C_Beta', NULL, NULL, NULL, 1),
(14907, NULL, 'cd08796', NULL, NULL, 'Death_IRAK-M', NULL, 'Death_IRAK-M', NULL, NULL, 37348, 1),
(14908, NULL, 'cd13925', NULL, NULL, 'RPF', NULL, 'RPF', NULL, NULL, 8071, 1),
(14909, NULL, 'cd11949', NULL, NULL, 'SH3_GRB2_C', NULL, 'SH3_GRB2_C', NULL, NULL, 30023, 1),
(14910, NULL, 'cd00027', NULL, NULL, 'BRCT', NULL, 'BRCT', NULL, NULL, NULL, 1),
(14911, NULL, 'cd15175', NULL, NULL, '7tmA_CCR7', NULL, '7tmA_CCR7', NULL, NULL, NULL, 1),
(14912, NULL, 'cd00083', NULL, NULL, 'bHLH_SF', NULL, 'bHLH_SF', NULL, NULL, NULL, 1),
(14913, NULL, 'cd11717', NULL, NULL, 'THUMP_THUMPD1_like', NULL, 'THUMP_THUMPD1_like', NULL, NULL, 35998, 1),
(14914, NULL, 'cd04652', NULL, NULL, 'LbH_eIF2B_gamma_C', NULL, 'LbH_eIF2B_gamma_C', NULL, NULL, NULL, 1),
(14915, NULL, 'cd16365', NULL, NULL, 'NarH_like', NULL, 'NarH_like', NULL, NULL, NULL, 1),
(14916, NULL, 'cd18370', NULL, NULL, 'BTB_POZ_KCTD11', NULL, 'BTB_POZ_KCTD11', NULL, NULL, NULL, 1),
(14917, NULL, 'cd16228', NULL, NULL, 'EFh_CREC_Calumenin', NULL, 'EFh_CREC_Calumenin', NULL, NULL, NULL, 1),
(14918, NULL, 'cd16648', NULL, NULL, 'mRING-HC-C3HC5_MAPL', NULL, 'mRING-HC-C3HC5_MAPL', NULL, NULL, NULL, 1),
(14919, NULL, 'cd07403', NULL, NULL, 'MPP_TTHA0053', NULL, 'MPP_TTHA0053', NULL, NULL, NULL, 1),
(14920, NULL, 'cd14503', NULL, NULL, 'PTP-bact', NULL, 'PTP-bact', NULL, NULL, NULL, 1),
(14921, NULL, 'cd00353', NULL, NULL, 'Ribosomal_S15p_S13e', NULL, 'Ribosomal_S15p_S13e', NULL, NULL, 5528, 1),
(14922, NULL, 'cd13276', NULL, NULL, 'PH_AtPH1', NULL, 'PH_AtPH1', NULL, NULL, NULL, 1),
(14923, NULL, 'cd16719', NULL, NULL, 'RING-HC_LNX4', NULL, 'RING-HC_LNX4', NULL, NULL, NULL, 1),
(14924, NULL, 'cd07524', NULL, NULL, 'HAD_Pase', NULL, 'HAD_Pase', NULL, NULL, NULL, 1),
(14925, NULL, 'cd07092', NULL, NULL, 'ALDH_ABALDH-YdcW', NULL, 'ALDH_ABALDH-YdcW', NULL, NULL, 18465, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14926, NULL, 'cd03568', NULL, NULL, 'VHS_STAM', NULL, 'VHS_STAM', NULL, NULL, NULL, 1),
(14927, NULL, 'cd06097', NULL, NULL, 'Aspergillopepsin_like', NULL, 'Aspergillopepsin_like', NULL, NULL, 23441, 1),
(14928, NULL, 'cd14821', NULL, NULL, 'BACK_SPOP_like', NULL, 'BACK_SPOP_like', NULL, NULL, NULL, 1),
(14929, NULL, 'cd13898', NULL, NULL, 'CuRO_3_Abr2_like', NULL, 'CuRO_3_Abr2_like', NULL, NULL, NULL, 1),
(14930, NULL, 'cd04412', NULL, NULL, 'NDPk7B', NULL, 'NDPk7B', NULL, NULL, 29528, 1),
(14931, NULL, 'cd07837', NULL, NULL, 'STKc_CdkB_plant', NULL, 'STKc_CdkB_plant', NULL, NULL, NULL, 1),
(14932, NULL, 'cd06881', NULL, NULL, 'PX_SNX15_like', NULL, 'PX_SNX15_like', NULL, NULL, NULL, 1),
(14933, NULL, 'cd04267', NULL, NULL, 'ZnMc_ADAM_like', NULL, 'ZnMc_ADAM_like', NULL, NULL, 34807, 1),
(14934, NULL, 'cd09985', NULL, NULL, 'LOTUS_1_TDRD5', NULL, 'LOTUS_1_TDRD5', NULL, NULL, NULL, 1),
(14935, NULL, 'cd08695', NULL, NULL, 'C2_Dock-B', NULL, 'C2_Dock-B', NULL, NULL, 32189, 1),
(14936, NULL, 'cd14359', NULL, NULL, 'UBA_AeNAC', NULL, 'UBA_AeNAC', NULL, NULL, NULL, 1),
(14937, NULL, 'cd05077', NULL, NULL, 'PTK_Jak1_rpt1', NULL, 'PTK_Jak1_rpt1', NULL, NULL, NULL, 1),
(14938, NULL, 'cd02994', NULL, NULL, 'PDI_a_TMX', NULL, 'PDI_a_TMX', NULL, NULL, NULL, 1),
(14939, NULL, 'cd09128', NULL, NULL, 'PLDc_unchar1_2', NULL, 'PLDc_unchar1_2', NULL, NULL, NULL, 1),
(14940, NULL, 'cd07979', NULL, NULL, 'TAF9', NULL, 'TAF9', NULL, NULL, 1745, 1),
(14941, NULL, 'cd08523', NULL, NULL, 'Reeler_cohesin_like', NULL, 'Reeler_cohesin_like', NULL, NULL, NULL, 1),
(14942, NULL, 'cd14115', NULL, NULL, 'STKc_Kalirin_C', NULL, 'STKc_Kalirin_C', NULL, NULL, NULL, 1),
(14943, NULL, 'cd15016', NULL, NULL, '7tm_TAS2R1', NULL, '7tm_TAS2R1', NULL, NULL, NULL, 1),
(14944, NULL, 'cd07494', NULL, NULL, 'Peptidases_S8_10', NULL, 'Peptidases_S8_10', NULL, NULL, NULL, 1),
(14945, NULL, 'cd03042', NULL, NULL, 'GST_N_Zeta', NULL, 'GST_N_Zeta', NULL, NULL, 20277, 1),
(14946, NULL, 'cd00959', NULL, NULL, 'DeoC', NULL, 'DeoC', NULL, NULL, 9308, 1),
(14947, NULL, 'cd09174', NULL, NULL, 'PLDc_Nuc_like_unchar2', NULL, 'PLDc_Nuc_like_unchar2', NULL, NULL, NULL, 1),
(14948, NULL, 'cd09566', NULL, NULL, 'SAM_liprin-beta1,2_repeat2', NULL, 'SAM_liprin-beta1,2_repeat2', NULL, NULL, 34821, 1),
(14949, NULL, 'cd06283', NULL, NULL, 'PBP1_RegR_EndR_KdgR-like', NULL, 'PBP1_RegR_EndR_KdgR-like', NULL, NULL, NULL, 1),
(14950, NULL, 'cd00799', NULL, NULL, 'INT_Cre_C', NULL, 'INT_Cre_C', NULL, NULL, NULL, 1),
(14951, NULL, 'cd16622', NULL, NULL, 'vRING-HC-C4C4_RBR_RNF217', NULL, 'vRING-HC-C4C4_RBR_RNF217', NULL, NULL, NULL, 1),
(14952, NULL, 'cd00312', NULL, NULL, 'Esterase_lipase', NULL, 'Esterase_lipase', NULL, NULL, NULL, 1),
(14953, NULL, 'cd19396', NULL, NULL, 'TGF_beta_BMP6', NULL, 'TGF_beta_BMP6', NULL, NULL, NULL, 1),
(14954, NULL, 'cd02680', NULL, NULL, 'MIT_calpain7_2', NULL, 'MIT_calpain7_2', NULL, NULL, NULL, 1),
(14955, NULL, 'cd06891', NULL, NULL, 'PX_Vps17p', NULL, 'PX_Vps17p', NULL, NULL, 29217, 1),
(14956, NULL, 'cd15921', NULL, NULL, '7tmA_CysLTR', NULL, '7tmA_CysLTR', NULL, NULL, NULL, 1),
(14957, NULL, 'cd01758', NULL, NULL, 'PLAT_LPL', NULL, 'PLAT_LPL', NULL, NULL, NULL, 1),
(14958, NULL, 'cd06366', NULL, NULL, 'PBP1_GABAb_receptor', NULL, 'PBP1_GABAb_receptor', NULL, NULL, NULL, 1),
(14959, NULL, 'cd11456', NULL, NULL, 'bHLHzip_N-Myc_like', NULL, 'bHLHzip_N-Myc_like', NULL, NULL, NULL, 1),
(14960, NULL, 'cd19832', NULL, NULL, 'Bbox2_MuRF2_C-II', NULL, 'Bbox2_MuRF2_C-II', NULL, NULL, NULL, 1),
(14961, NULL, 'cd15883', NULL, NULL, 'SNARE_syntaxin4', NULL, 'SNARE_syntaxin4', NULL, NULL, NULL, 1),
(14962, NULL, 'cd16630', NULL, NULL, 'RING-HC_RBR_RNF216', NULL, 'RING-HC_RBR_RNF216', NULL, NULL, NULL, 1),
(14963, NULL, 'cd00822', NULL, NULL, 'TopoII_Trans_DNA_gyrase', NULL, 'TopoII_Trans_DNA_gyrase', NULL, NULL, NULL, 1),
(14964, NULL, 'cd00323', NULL, NULL, 'uS7', NULL, 'uS7', NULL, NULL, NULL, 1),
(14965, NULL, 'cd10151', NULL, NULL, 'TthCsoR-like_DUF156', NULL, 'TthCsoR-like_DUF156', NULL, NULL, NULL, 1),
(14966, NULL, 'cd14240', NULL, NULL, 'GAT_GGA3', NULL, 'GAT_GGA3', NULL, NULL, 37923, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(14967, NULL, 'cd04822', NULL, NULL, 'PA_M28_1_3', NULL, 'PA_M28_1_3', NULL, NULL, NULL, 1),
(14968, NULL, 'cd10530', NULL, NULL, 'SET_SETD7', NULL, 'SET_SETD7', NULL, NULL, 37623, 1),
(14969, NULL, 'cd15707', NULL, NULL, 'ePHD_RNO', NULL, 'ePHD_RNO', NULL, NULL, NULL, 1),
(14970, NULL, 'cd07501', NULL, NULL, 'HAD_MDP-1_like', NULL, 'HAD_MDP-1_like', NULL, NULL, 35502, 1),
(14971, NULL, 'cd13438', NULL, NULL, 'SPFH_eoslipins_u2', NULL, 'SPFH_eoslipins_u2', NULL, NULL, NULL, 1),
(14972, NULL, 'cd03867', NULL, NULL, 'M14_CPZ', NULL, 'M14_CPZ', NULL, NULL, 18697, 1),
(14973, NULL, 'cd08062', NULL, NULL, 'MPN_RPN7_8', NULL, 'MPN_RPN7_8', NULL, NULL, 31384, 1),
(14974, NULL, 'cd12257', NULL, NULL, 'RRM1_RBM26_like', NULL, 'RRM1_RBM26_like', NULL, NULL, NULL, 1),
(14975, NULL, 'cd08885', NULL, NULL, 'RHO_alpha_C_1', NULL, 'RHO_alpha_C_1', NULL, NULL, NULL, 1),
(14976, NULL, 'cd09545', NULL, NULL, 'SAM_EPH-A4', NULL, 'SAM_EPH-A4', NULL, NULL, 28037, 1),
(14977, NULL, 'cd19800', NULL, NULL, 'Bbox2_xNF7-like', NULL, 'Bbox2_xNF7-like', NULL, NULL, NULL, 1),
(14978, NULL, 'cd20296', NULL, NULL, 'cupin_PpnP-like', NULL, 'cupin_PpnP-like', NULL, NULL, NULL, 1),
(14979, NULL, 'cd09929', NULL, NULL, 'SH2_BLNK_SLP-76', NULL, 'SH2_BLNK_SLP-76', NULL, NULL, NULL, 1),
(14980, NULL, 'cd13870', NULL, NULL, 'CuRO_2_CopA_like_1', NULL, 'CuRO_2_CopA_like_1', NULL, NULL, NULL, 1),
(14981, NULL, 'cd05791', NULL, NULL, 'S1_CSL4', NULL, 'S1_CSL4', NULL, NULL, NULL, 1),
(14982, NULL, 'cd08231', NULL, NULL, 'MDR_TM0436_like', NULL, 'MDR_TM0436_like', NULL, NULL, NULL, 1),
(14983, NULL, 'cd11995', NULL, NULL, 'SH3_Intersectin1_5', NULL, 'SH3_Intersectin1_5', NULL, NULL, NULL, 1),
(14984, NULL, 'cd01179', NULL, NULL, 'IPT_plexin_repeat2', NULL, 'IPT_plexin_repeat2', NULL, NULL, NULL, 1),
(14985, NULL, 'cd11915', NULL, NULL, 'SH3_Irsp53', NULL, 'SH3_Irsp53', NULL, NULL, 34458, 1),
(14986, NULL, 'cd16443', NULL, NULL, 'LplA', NULL, 'LplA', NULL, NULL, NULL, 1),
(14987, NULL, 'cd18020', NULL, NULL, 'DEXHc_ASCC3_1', NULL, 'DEXHc_ASCC3_1', NULL, NULL, NULL, 1),
(14988, NULL, 'cd10814', NULL, NULL, 'GH38N_AMII_SpGH38_like', NULL, 'GH38N_AMII_SpGH38_like', NULL, NULL, NULL, 1),
(14989, NULL, 'cd21658', NULL, NULL, 'gammaCoV_Nsp14', NULL, 'gammaCoV_Nsp14', NULL, NULL, 38839, 1),
(14990, NULL, 'cd07900', NULL, NULL, 'Adenylation_DNA_ligase_I_Euk', NULL, 'Adenylation_DNA_ligase_I_Euk', NULL, NULL, NULL, 1),
(14991, NULL, 'cd18527', NULL, NULL, 'BACK_BTBD11', NULL, 'BACK_BTBD11', NULL, NULL, NULL, 1),
(14992, NULL, 'cd00053', NULL, NULL, 'EGF', NULL, 'EGF', NULL, NULL, NULL, 1),
(14993, NULL, 'cd19973', NULL, NULL, 'PBP1_ABC_sugar_binding-like', NULL, 'PBP1_ABC_sugar_binding-like', NULL, NULL, NULL, 1),
(14994, NULL, 'cd18956', NULL, NULL, 'BTB_POZ_ZBTB42', NULL, 'BTB_POZ_ZBTB42', NULL, NULL, NULL, 1),
(14995, NULL, 'cd07667', NULL, NULL, 'BAR_SNX30', NULL, 'BAR_SNX30', NULL, NULL, NULL, 1),
(14996, NULL, 'cd09749', NULL, NULL, 'Cmr5_III-B', NULL, 'Cmr5_III-B', NULL, NULL, NULL, 1),
(14997, NULL, 'cd18610', NULL, NULL, 'GH130_BT3780-like', NULL, 'GH130_BT3780-like', NULL, NULL, NULL, 1),
(14998, NULL, 'cd15855', NULL, NULL, 'SNARE_SNAP25C_23C', NULL, 'SNARE_SNAP25C_23C', NULL, NULL, NULL, 1),
(14999, NULL, 'cd14772', NULL, NULL, 'TrHb2_Bs-trHb-like_O', NULL, 'TrHb2_Bs-trHb-like_O', NULL, NULL, NULL, 1),
(15000, NULL, 'cd16161', NULL, NULL, 'ARSG', NULL, 'ARSG', NULL, NULL, NULL, 1),
(15001, NULL, 'cd16020', NULL, NULL, 'GPI_EPT_1', NULL, 'GPI_EPT_1', NULL, NULL, 35495, 1),
(15002, NULL, 'cd01194', NULL, NULL, 'INT_C_like_4', NULL, 'INT_C_like_4', NULL, NULL, NULL, 1),
(15003, NULL, 'cd18784', NULL, NULL, 'ABC_6TM_ABCB9_like', NULL, 'ABC_6TM_ABCB9_like', NULL, NULL, NULL, 1),
(15004, NULL, 'cd00351', NULL, NULL, 'TS_Pyrimidine_HMase', NULL, 'TS_Pyrimidine_HMase', NULL, NULL, 16377, 1),
(15005, NULL, 'cd02996', NULL, NULL, 'PDI_a_ERp44', NULL, 'PDI_a_ERp44', NULL, NULL, NULL, 1),
(15006, NULL, 'cd15811', NULL, NULL, 'SPRY_PRY_TRIM11', NULL, 'SPRY_PRY_TRIM11', NULL, NULL, NULL, 1),
(15007, NULL, 'cd05691', NULL, NULL, 'S1_RPS1_repeat_ec6', NULL, 'S1_RPS1_repeat_ec6', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15008, NULL, 'cd14323', NULL, NULL, 'UBA_PLCs_like', NULL, 'UBA_PLCs_like', NULL, NULL, NULL, 1),
(15009, NULL, 'cd16492', NULL, NULL, 'RING-CH-C4HC3_NFX1_like', NULL, 'RING-CH-C4HC3_NFX1_like', NULL, NULL, NULL, 1),
(15010, NULL, 'cd16749', NULL, NULL, 'RING-HC_SH3RF2', NULL, 'RING-HC_SH3RF2', NULL, NULL, NULL, 1),
(15011, NULL, 'cd01824', NULL, NULL, 'Phospholipase_B_like', NULL, 'Phospholipase_B_like', NULL, NULL, 30724, 1),
(15012, NULL, 'cd16310', NULL, NULL, 'Mbl1b-like_MBL-B3', NULL, 'Mbl1b-like_MBL-B3', NULL, NULL, NULL, 1),
(15013, NULL, 'cd04330', NULL, NULL, 'RNAP_III_Rpc25_N', NULL, 'RNAP_III_Rpc25_N', NULL, NULL, NULL, 1),
(15014, NULL, 'cd16994', NULL, NULL, 'ENTH_Ent4', NULL, 'ENTH_Ent4', NULL, NULL, NULL, 1),
(15015, NULL, 'cd05298', NULL, NULL, 'GH4_GlvA_pagL_like', NULL, 'GH4_GlvA_pagL_like', NULL, NULL, NULL, 1),
(15016, NULL, 'cd17299', NULL, NULL, 'acetolactate_decarboxylase', NULL, 'acetolactate_decarboxylase', NULL, NULL, 7465, 1),
(15017, NULL, 'cd06164', NULL, NULL, 'S2P-M50_SpoIVFB_CBS', NULL, 'S2P-M50_SpoIVFB_CBS', NULL, NULL, NULL, 1),
(15018, NULL, 'cd07884', NULL, NULL, 'RHD-n_Relish', NULL, 'RHD-n_Relish', NULL, NULL, NULL, 1),
(15019, NULL, 'cd01849', NULL, NULL, 'YlqF_related_GTPase', NULL, 'YlqF_related_GTPase', NULL, NULL, NULL, 1),
(15020, NULL, 'cd17448', NULL, NULL, 'MFS_SLC46A3', NULL, 'MFS_SLC46A3', NULL, NULL, NULL, 1),
(15021, NULL, 'cd04403', NULL, NULL, 'RhoGAP_ARHGAP27_15_12_9', NULL, 'RhoGAP_ARHGAP27_15_12_9', NULL, NULL, NULL, 1),
(15022, NULL, 'cd06197', NULL, NULL, 'FNR_like_2', NULL, 'FNR_like_2', NULL, NULL, NULL, 1),
(15023, NULL, 'cd14016', NULL, NULL, 'STKc_CK1', NULL, 'STKc_CK1', NULL, NULL, NULL, 1),
(15024, NULL, 'cd15368', NULL, NULL, '7tmA_P2Y8', NULL, '7tmA_P2Y8', NULL, NULL, NULL, 1),
(15025, NULL, 'cd19078', NULL, NULL, 'AKR_AKR13C1_2', NULL, 'AKR_AKR13C1_2', NULL, NULL, NULL, 1),
(15026, NULL, 'cd17431', NULL, NULL, 'MFS_GLUT_Class1', NULL, 'MFS_GLUT_Class1', NULL, NULL, NULL, 1),
(15027, NULL, 'cd02885', NULL, NULL, 'IPP_Isomerase', NULL, 'IPP_Isomerase', NULL, NULL, 14347, 1),
(15028, NULL, 'cd05016', NULL, NULL, 'SIS_PGI_2', NULL, 'SIS_PGI_2', NULL, NULL, 31323, 1),
(15029, NULL, 'cd04012', NULL, NULL, 'C2A_PI3K_class_II', NULL, 'C2A_PI3K_class_II', NULL, NULL, NULL, 1),
(15030, NULL, 'cd13390', NULL, NULL, 'PH_LARG', NULL, 'PH_LARG', NULL, NULL, 31403, 1),
(15031, NULL, 'cd03255', NULL, NULL, 'ABC_MJ0796_LolCDE_FtsE', NULL, 'ABC_MJ0796_LolCDE_FtsE', NULL, NULL, 13497, 1),
(15032, NULL, 'cd03394', NULL, NULL, 'PAP2_like_5', NULL, 'PAP2_like_5', NULL, NULL, NULL, 1),
(15033, NULL, 'cd01456', NULL, NULL, 'vWA_ywmD_type', NULL, 'vWA_ywmD_type', NULL, NULL, NULL, 1),
(15034, NULL, 'cd10380', NULL, NULL, 'SH2_Jak3', NULL, 'SH2_Jak3', NULL, NULL, NULL, 1),
(15035, NULL, 'cd12776', NULL, NULL, 'RRM2_HuC', NULL, 'RRM2_HuC', NULL, NULL, NULL, 1),
(15036, NULL, 'cd19572', NULL, NULL, 'serpinB13_headpin', NULL, 'serpinB13_headpin', NULL, NULL, NULL, 1),
(15037, NULL, 'cd02204', NULL, NULL, 'PurL_repeat2', NULL, 'PurL_repeat2', NULL, NULL, NULL, 1),
(15038, NULL, 'cd05374', NULL, NULL, '17beta-HSD-like_SDR_c', NULL, '17beta-HSD-like_SDR_c', NULL, NULL, NULL, 1),
(15039, NULL, 'cd01413', NULL, NULL, 'SIR2_Af2', NULL, 'SIR2_Af2', NULL, NULL, NULL, 1),
(15040, NULL, 'cd04455', NULL, NULL, 'S1_NusA', NULL, 'S1_NusA', NULL, NULL, NULL, 1),
(15041, NULL, 'cd14001', NULL, NULL, 'PKc_TOPK', NULL, 'PKc_TOPK', NULL, NULL, 32636, 1),
(15042, NULL, 'cd10916', NULL, NULL, 'CE4_PuuE_HpPgdA_like', NULL, 'CE4_PuuE_HpPgdA_like', NULL, NULL, NULL, 1),
(15043, NULL, 'cd08799', NULL, NULL, 'Death_UNC5C', NULL, 'Death_UNC5C', NULL, NULL, 36890, 1),
(15044, NULL, 'cd11633', NULL, NULL, 'HR1_Rhophilin-1', NULL, 'HR1_Rhophilin-1', NULL, NULL, NULL, 1),
(15045, NULL, 'cd16832', NULL, NULL, 'CNF1_CheD_YfiH-like', NULL, 'CNF1_CheD_YfiH-like', NULL, NULL, NULL, 1),
(15046, NULL, 'cd06825', NULL, NULL, 'PLPDE_III_VanT', NULL, 'PLPDE_III_VanT', NULL, NULL, NULL, 1),
(15047, NULL, 'cd12466', NULL, NULL, 'RRM2_AtRSp31_like', NULL, 'RRM2_AtRSp31_like', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15048, NULL, 'cd09740', NULL, NULL, 'Csx3_III-U', NULL, 'Csx3_III-U', NULL, NULL, NULL, 1),
(15049, NULL, 'cd12700', NULL, NULL, 'RRM3_hnRPLL', NULL, 'RRM3_hnRPLL', NULL, NULL, 19063, 1),
(15050, NULL, 'cd02809', NULL, NULL, 'alpha_hydroxyacid_oxid_FMN', NULL, 'alpha_hydroxyacid_oxid_FMN', NULL, NULL, 14464, 1),
(15051, NULL, 'cd08502', NULL, NULL, 'PBP2_NikA_DppA_OppA_like_16', NULL, 'PBP2_NikA_DppA_OppA_like_16', NULL, NULL, NULL, 1),
(15052, NULL, 'cd16595', NULL, NULL, 'RING-HC_TRIM17_C-IV', NULL, 'RING-HC_TRIM17_C-IV', NULL, NULL, NULL, 1),
(15053, NULL, 'cd07943', NULL, NULL, 'DRE_TIM_HOA', NULL, 'DRE_TIM_HOA', NULL, NULL, 34663, 1),
(15054, NULL, 'cd14771', NULL, NULL, 'TrHb2_Mt-trHbO-like_O', NULL, 'TrHb2_Mt-trHbO-like_O', NULL, NULL, NULL, 1),
(15055, NULL, 'cd00153', NULL, NULL, 'RA_RalGDS_like', NULL, 'RA_RalGDS_like', NULL, NULL, NULL, 1),
(15056, NULL, 'cd19098', NULL, NULL, 'AKR_unchar', NULL, 'AKR_unchar', NULL, NULL, NULL, 1),
(15057, NULL, 'cd01421', NULL, NULL, 'IMPCH', NULL, 'IMPCH', NULL, NULL, NULL, 1),
(15058, NULL, 'cd03442', NULL, NULL, 'BFIT_BACH', NULL, 'BFIT_BACH', NULL, NULL, NULL, 1),
(15059, NULL, 'cd18339', NULL, NULL, 'BTB_POZ_KLHL3', NULL, 'BTB_POZ_KLHL3', NULL, NULL, NULL, 1),
(15060, NULL, 'cd01395', NULL, NULL, 'HMT_MBD', NULL, 'HMT_MBD', NULL, NULL, NULL, 1),
(15061, NULL, 'cd05563', NULL, NULL, 'PTS_IIB_ascorbate', NULL, 'PTS_IIB_ascorbate', NULL, NULL, NULL, 1),
(15062, NULL, 'cd17249', NULL, NULL, 'RMtype1_S_EcoR124I-TRD2-CR2_like', NULL, 'RMtype1_S_EcoR124I-TRD2-CR2_like', NULL, NULL, NULL, 1),
(15063, NULL, 'cd18735', NULL, NULL, 'PIN_HiVapC1-like', NULL, 'PIN_HiVapC1-like', NULL, NULL, NULL, 1),
(15064, NULL, 'cd07086', NULL, NULL, 'ALDH_F7_AASADH-like', NULL, 'ALDH_F7_AASADH-like', NULL, NULL, NULL, 1),
(15065, NULL, 'cd13757', NULL, NULL, 'TGF_beta_AMH', NULL, 'TGF_beta_AMH', NULL, NULL, NULL, 1),
(15066, NULL, 'cd15617', NULL, NULL, 'PHD_UHRF2', NULL, 'PHD_UHRF2', NULL, NULL, NULL, 1),
(15067, NULL, 'cd02136', NULL, NULL, 'PnbA_NfnB-like', NULL, 'PnbA_NfnB-like', NULL, NULL, NULL, 1),
(15068, NULL, 'cd05840', NULL, NULL, 'SPBC215_ISWI_like', NULL, 'SPBC215_ISWI_like', NULL, NULL, 18453, 1),
(15069, NULL, 'cd14952', NULL, NULL, 'NHL_PKND_like', NULL, 'NHL_PKND_like', NULL, NULL, 19551, 1),
(15070, NULL, 'cd18446', NULL, NULL, 'BACK_KLHL6', NULL, 'BACK_KLHL6', NULL, NULL, NULL, 1),
(15071, NULL, 'cd10555', NULL, NULL, 'EBDH_beta', NULL, 'EBDH_beta', NULL, NULL, 20042, 1),
(15072, NULL, 'cd08166', NULL, NULL, 'MPP_Cdc1_like_1', NULL, 'MPP_Cdc1_like_1', NULL, NULL, NULL, 1),
(15073, NULL, 'cd12137', NULL, NULL, 'GbX', NULL, 'GbX', NULL, NULL, NULL, 1),
(15074, NULL, 'cd02742', NULL, NULL, 'GH20_hexosaminidase', NULL, 'GH20_hexosaminidase', NULL, NULL, NULL, 1),
(15075, NULL, 'cd06906', NULL, NULL, 'M14_Nna1', NULL, 'M14_Nna1', NULL, NULL, 35387, 1),
(15076, NULL, 'cd08826', NULL, NULL, 'SPFH_eoslipins_u1', NULL, 'SPFH_eoslipins_u1', NULL, NULL, NULL, 1),
(15077, NULL, 'cd09130', NULL, NULL, 'PLDc_unchar2_2', NULL, 'PLDc_unchar2_2', NULL, NULL, NULL, 1),
(15078, NULL, 'cd11744', NULL, NULL, 'MIT_CorA-like', NULL, 'MIT_CorA-like', NULL, NULL, NULL, 1),
(15079, NULL, 'cd16816', NULL, NULL, 'mRING-HC-C3HC5_MGRN1', NULL, 'mRING-HC-C3HC5_MGRN1', NULL, NULL, NULL, 1),
(15080, NULL, 'sd00019', NULL, NULL, 'ZF_C2H2', NULL, 'ZF_C2H2', NULL, NULL, NULL, 1),
(15081, NULL, 'cd18908', NULL, NULL, 'bHLH_SOHLH1_2', NULL, 'bHLH_SOHLH1_2', NULL, NULL, NULL, 1),
(15082, NULL, 'cd03232', NULL, NULL, 'ABCG_PDR_domain2', NULL, 'ABCG_PDR_domain2', NULL, NULL, 22657, 1),
(15083, NULL, 'cd14552', NULL, NULL, 'R-PTPc-A-E-2', NULL, 'R-PTPc-A-E-2', NULL, NULL, NULL, 1),
(15084, NULL, 'cd00010', NULL, NULL, 'AAI_LTSS', NULL, 'AAI_LTSS', NULL, NULL, NULL, 1),
(15085, NULL, 'cd14946', NULL, NULL, 'Tet_JBP', NULL, 'Tet_JBP', NULL, NULL, NULL, 1),
(15086, NULL, 'cd06543', NULL, NULL, 'GH18_PF-ChiA-like', NULL, 'GH18_PF-ChiA-like', NULL, NULL, NULL, 1),
(15087, NULL, 'cd08148', NULL, NULL, 'RuBisCO_large', NULL, 'RuBisCO_large', NULL, NULL, NULL, 1),
(15088, NULL, 'cd09331', NULL, NULL, 'LIM1_PINCH', NULL, 'LIM1_PINCH', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15089, NULL, 'cd09366', NULL, NULL, 'LIM1_Isl', NULL, 'LIM1_Isl', NULL, NULL, NULL, 1),
(15090, NULL, 'cd06230', NULL, NULL, 'M14_ASTE_ASPA_like', NULL, 'M14_ASTE_ASPA_like', NULL, NULL, NULL, 1),
(15091, NULL, 'cd00023', NULL, NULL, 'BBI', NULL, 'BBI', NULL, NULL, 199, 1),
(15092, NULL, 'cd02151', NULL, NULL, 'nitroreductase', NULL, 'nitroreductase', NULL, NULL, NULL, 1),
(15093, NULL, 'cd08180', NULL, NULL, 'PDD', NULL, 'PDD', NULL, NULL, NULL, 1),
(15094, NULL, 'cd17393', NULL, NULL, 'MFS_MosC_like', NULL, 'MFS_MosC_like', NULL, NULL, NULL, 1),
(15095, NULL, 'cd06068', NULL, NULL, 'H2MP_like-1', NULL, 'H2MP_like-1', NULL, NULL, NULL, 1),
(15096, NULL, 'cd03131', NULL, NULL, 'GATase1_HTS', NULL, 'GATase1_HTS', NULL, NULL, 32568, 1),
(15097, NULL, 'cd11535', NULL, NULL, 'NTP-PPase_SsMazG', NULL, 'NTP-PPase_SsMazG', NULL, NULL, NULL, 1),
(15098, NULL, 'cd15120', NULL, NULL, '7tmA_GPR33', NULL, '7tmA_GPR33', NULL, NULL, NULL, 1),
(15099, NULL, 'cd07022', NULL, NULL, 'S49_Sppa_36K_type', NULL, 'S49_Sppa_36K_type', NULL, NULL, 33207, 1),
(15100, NULL, 'cd00133', NULL, NULL, 'PTS_IIB', NULL, 'PTS_IIB', NULL, NULL, NULL, 1),
(15101, NULL, 'cd05344', NULL, NULL, 'BKR_like_SDR_like', NULL, 'BKR_like_SDR_like', NULL, NULL, NULL, 1),
(15102, NULL, 'cd05585', NULL, NULL, 'STKc_YPK1_like', NULL, 'STKc_YPK1_like', NULL, NULL, NULL, 1),
(15103, NULL, 'cd16954', NULL, NULL, 'HATPase_PhoQ-like', NULL, 'HATPase_PhoQ-like', NULL, NULL, NULL, 1),
(15104, NULL, 'cd16662', NULL, NULL, 'RING-Ubox2_NOSIP', NULL, 'RING-Ubox2_NOSIP', NULL, NULL, NULL, 1),
(15105, NULL, 'cd00812', NULL, NULL, 'LeuRS_core', NULL, 'LeuRS_core', NULL, NULL, NULL, 1),
(15106, NULL, 'cd06451', NULL, NULL, 'AGAT_like', NULL, 'AGAT_like', NULL, NULL, NULL, 1),
(15107, NULL, 'cd15006', NULL, NULL, '7tmA_GPR176', NULL, '7tmA_GPR176', NULL, NULL, 37735, 1),
(15108, NULL, 'cd00729', NULL, NULL, 'rubredoxin_SM', NULL, 'rubredoxin_SM', NULL, NULL, NULL, 1),
(15109, NULL, 'cd11263', NULL, NULL, 'Sema_5A', NULL, 'Sema_5A', NULL, NULL, 37811, 1),
(15110, NULL, 'cd14126', NULL, NULL, 'STKc_CK1_gamma', NULL, 'STKc_CK1_gamma', NULL, NULL, NULL, 1),
(15111, NULL, 'cd15027', NULL, NULL, '7tm_TAS2R43-like', NULL, '7tm_TAS2R43-like', NULL, NULL, NULL, 1),
(15112, NULL, 'cd11996', NULL, NULL, 'SH3_Intersectin2_5', NULL, 'SH3_Intersectin2_5', NULL, NULL, 30032, 1),
(15113, NULL, 'cd01680', NULL, NULL, 'EFG_like_IV', NULL, 'EFG_like_IV', NULL, NULL, NULL, 1),
(15114, NULL, 'cd19846', NULL, NULL, 'Bbox1_TIF1b_C-VI', NULL, 'Bbox1_TIF1b_C-VI', NULL, NULL, NULL, 1),
(15115, NULL, 'cd17346', NULL, NULL, 'MFS_DtpA_like', NULL, 'MFS_DtpA_like', NULL, NULL, 4344, 1),
(15116, NULL, 'cd19153', NULL, NULL, 'AKR_galDH-like', NULL, 'AKR_galDH-like', NULL, NULL, NULL, 1),
(15117, NULL, 'cd14013', NULL, NULL, 'STKc_SNT7_plant', NULL, 'STKc_SNT7_plant', NULL, NULL, NULL, 1),
(15118, NULL, 'cd11314', NULL, NULL, 'AmyAc_arch_bac_plant_AmyA', NULL, 'AmyAc_arch_bac_plant_AmyA', NULL, NULL, NULL, 1),
(15119, NULL, 'cd12154', NULL, NULL, 'FDH_GDH_like', NULL, 'FDH_GDH_like', NULL, NULL, NULL, 1),
(15120, NULL, 'cd15552', NULL, NULL, 'PHD_PHF3_like', NULL, 'PHD_PHF3_like', NULL, NULL, NULL, 1),
(15121, NULL, 'cd00473', NULL, NULL, 'bS6', NULL, 'bS6', NULL, NULL, 21189, 1),
(15122, NULL, 'cd09620', NULL, NULL, 'CBM9_like_3', NULL, 'CBM9_like_3', NULL, NULL, NULL, 1),
(15123, NULL, 'cd12891', NULL, NULL, 'SPRY_PRY_C-I_2', NULL, 'SPRY_PRY_C-I_2', NULL, NULL, NULL, 1),
(15124, NULL, 'cd19566', NULL, NULL, 'serpinB7_megsin', NULL, 'serpinB7_megsin', NULL, NULL, NULL, 1),
(15125, NULL, 'cd05871', NULL, NULL, 'Ig_Semaphorin_classIII', NULL, 'Ig_Semaphorin_classIII', NULL, NULL, NULL, 1),
(15126, NULL, 'cd04384', NULL, NULL, 'RhoGAP_CdGAP', NULL, 'RhoGAP_CdGAP', NULL, NULL, NULL, 1),
(15127, NULL, 'cd06826', NULL, NULL, 'PLPDE_III_AR2', NULL, 'PLPDE_III_AR2', NULL, NULL, 37718, 1),
(15128, NULL, 'cd17233', NULL, NULL, 'Ubl_ATG8_GABARAPL1_like', NULL, 'Ubl_ATG8_GABARAPL1_like', NULL, NULL, NULL, 1),
(15129, NULL, 'cd12339', NULL, NULL, 'RRM2_SRSF1_4_like', NULL, 'RRM2_SRSF1_4_like', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15130, NULL, 'cd20303', NULL, NULL, 'cupin_ChrR_1', NULL, 'cupin_ChrR_1', NULL, NULL, NULL, 1),
(15131, NULL, 'cd08696', NULL, NULL, 'C2_Dock-C', NULL, 'C2_Dock-C', NULL, NULL, 32003, 1),
(15132, NULL, 'cd19839', NULL, NULL, 'Bbox1_TRIM16', NULL, 'Bbox1_TRIM16', NULL, NULL, NULL, 1),
(15133, NULL, 'cd01294', NULL, NULL, 'DHOase', NULL, 'DHOase', NULL, NULL, 3512, 1),
(15134, NULL, 'cd03414', NULL, NULL, 'CbiX_SirB_C', NULL, 'CbiX_SirB_C', NULL, NULL, NULL, 1),
(15135, NULL, 'cd03859', NULL, NULL, 'M14_CPT', NULL, 'M14_CPT', NULL, NULL, 31788, 1),
(15136, NULL, 'cd03086', NULL, NULL, 'PGM3', NULL, 'PGM3', NULL, NULL, 19595, 1),
(15137, NULL, 'cd12143', NULL, NULL, 'SH3_ARHGAP9', NULL, 'SH3_ARHGAP9', NULL, NULL, 15123, 1),
(15138, NULL, 'cd10980', NULL, NULL, 'CE4_SpCDA1', NULL, 'CE4_SpCDA1', NULL, NULL, NULL, 1),
(15139, NULL, 'cd02526', NULL, NULL, 'GT2_RfbF_like', NULL, 'GT2_RfbF_like', NULL, NULL, NULL, 1),
(15140, NULL, 'cd12719', NULL, NULL, 'RRM_SYNJ1', NULL, 'RRM_SYNJ1', NULL, NULL, 29441, 1),
(15141, NULL, 'cd00712', NULL, NULL, 'AsnB', NULL, 'AsnB', NULL, NULL, 31877, 1),
(15142, NULL, 'cd10141', NULL, NULL, 'CopZ-like_Fer2_BFD-like', NULL, 'CopZ-like_Fer2_BFD-like', NULL, NULL, NULL, 1),
(15143, NULL, 'cd12486', NULL, NULL, 'RRM1_ACF', NULL, 'RRM1_ACF', NULL, NULL, 1435, 1),
(15144, NULL, 'cd13393', NULL, NULL, 'PH_ARHGEF2', NULL, 'PH_ARHGEF2', NULL, NULL, 34179, 1),
(15145, NULL, 'cd14854', NULL, NULL, 'TRAPPC2L', NULL, 'TRAPPC2L', NULL, NULL, 36656, 1),
(15146, NULL, 'cd19423', NULL, NULL, 'lipocalin_LTBP1-like', NULL, 'lipocalin_LTBP1-like', NULL, NULL, NULL, 1),
(15147, NULL, 'cd01727', NULL, NULL, 'LSm8', NULL, 'LSm8', NULL, NULL, 2796, 1),
(15148, NULL, 'cd04395', NULL, NULL, 'RhoGAP_ARHGAP21', NULL, 'RhoGAP_ARHGAP21', NULL, NULL, NULL, 1),
(15149, NULL, 'cd18245', NULL, NULL, 'BTB_POZ_KLHL16_gigaxonin', NULL, 'BTB_POZ_KLHL16_gigaxonin', NULL, NULL, NULL, 1),
(15150, NULL, 'cd16155', NULL, NULL, 'sulfatase_like', NULL, 'sulfatase_like', NULL, NULL, NULL, 1),
(15151, NULL, 'cd07756', NULL, NULL, 'CYTH-like_Pase_CHAD', NULL, 'CYTH-like_Pase_CHAD', NULL, NULL, NULL, 1),
(15152, NULL, 'cd03014', NULL, NULL, 'PRX_Atyp2cys', NULL, 'PRX_Atyp2cys', NULL, NULL, 5106, 1),
(15153, NULL, 'cd09769', NULL, NULL, 'Luminal_IRE1', NULL, 'Luminal_IRE1', NULL, NULL, NULL, 1),
(15154, NULL, 'cd18035', NULL, NULL, 'DEXHc_Hef', NULL, 'DEXHc_Hef', NULL, NULL, NULL, 1),
(15155, NULL, 'cd18006', NULL, NULL, 'DEXHc_CHD1L', NULL, 'DEXHc_CHD1L', NULL, NULL, NULL, 1),
(15156, NULL, 'cd18268', NULL, NULL, 'BTB_POZ_KLHL38', NULL, 'BTB_POZ_KLHL38', NULL, NULL, NULL, 1),
(15157, NULL, 'cd07895', NULL, NULL, 'Adenylation_mRNA_capping', NULL, 'Adenylation_mRNA_capping', NULL, NULL, 7489, 1),
(15158, NULL, 'cd03572', NULL, NULL, 'ENTH_like_Tepsin', NULL, 'ENTH_like_Tepsin', NULL, NULL, 35641, 1),
(15159, NULL, 'cd09589', NULL, NULL, 'SAM_TFCP2', NULL, 'SAM_TFCP2', NULL, NULL, 36488, 1),
(15160, NULL, 'cd16663', NULL, NULL, 'RING-Ubox_PPIL2', NULL, 'RING-Ubox_PPIL2', NULL, NULL, 23205, 1),
(15161, NULL, 'cd10362', NULL, NULL, 'SH2_Src_Lck', NULL, 'SH2_Src_Lck', NULL, NULL, 34723, 1),
(15162, NULL, 'cd13193', NULL, NULL, 'FERM_C_FARP1-like', NULL, 'FERM_C_FARP1-like', NULL, NULL, 32665, 1),
(15163, NULL, 'cd06975', NULL, NULL, 'cupin_BacB', NULL, 'cupin_BacB', NULL, NULL, NULL, 1),
(15164, NULL, 'cd04411', NULL, NULL, 'Ribosomal_P1_P2_L12p', NULL, 'Ribosomal_P1_P2_L12p', NULL, NULL, NULL, 1),
(15165, NULL, 'cd11353', NULL, NULL, 'AmyAc_euk_bac_CMD_like', NULL, 'AmyAc_euk_bac_CMD_like', NULL, NULL, NULL, 1),
(15166, NULL, 'cd16267', NULL, NULL, 'HBS1-like_II', NULL, 'HBS1-like_II', NULL, NULL, NULL, 1),
(15167, NULL, 'cd06184', NULL, NULL, 'flavohem_like_fad_nad_binding', NULL, 'flavohem_like_fad_nad_binding', NULL, NULL, NULL, 1),
(15168, NULL, 'cd12747', NULL, NULL, 'RRM2_RBM12', NULL, 'RRM2_RBM12', NULL, NULL, 30267, 1),
(15169, NULL, 'cd01514', NULL, NULL, 'Elongation_Factor_C', NULL, 'Elongation_Factor_C', NULL, NULL, NULL, 1),
(15170, NULL, 'cd15501', NULL, NULL, 'PHD_Int12', NULL, 'PHD_Int12', NULL, NULL, 35622, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15171, NULL, 'cd07390', NULL, NULL, 'MPP_AQ1575', NULL, 'MPP_AQ1575', NULL, NULL, NULL, 1),
(15172, NULL, 'cd02888', NULL, NULL, 'RNR_II_dimer', NULL, 'RNR_II_dimer', NULL, NULL, 18955, 1),
(15173, NULL, 'cd11549', NULL, NULL, 'Serine_rich_CAS', NULL, 'Serine_rich_CAS', NULL, NULL, NULL, 1),
(15174, NULL, 'cd04590', NULL, NULL, 'CBS_pair_CorC_HlyC_assoc', NULL, 'CBS_pair_CorC_HlyC_assoc', NULL, NULL, 36881, 1),
(15175, NULL, 'cd06635', NULL, NULL, 'STKc_TAO1', NULL, 'STKc_TAO1', NULL, NULL, NULL, 1),
(15176, NULL, 'cd06122', NULL, NULL, 'cupin_TTHA0104', NULL, 'cupin_TTHA0104', NULL, NULL, NULL, 1),
(15177, NULL, 'cd12069', NULL, NULL, 'SH3_ARHGAP27', NULL, 'SH3_ARHGAP27', NULL, NULL, NULL, 1),
(15178, NULL, 'cd17970', NULL, NULL, 'DEAHc_FancJ', NULL, 'DEAHc_FancJ', NULL, NULL, NULL, 1),
(15179, NULL, 'cd04622', NULL, NULL, 'CBS_pair_HRP1_like', NULL, 'CBS_pair_HRP1_like', NULL, NULL, NULL, 1),
(15180, NULL, 'cd05712', NULL, NULL, 'Ig_Siglec_N', NULL, 'Ig_Siglec_N', NULL, NULL, NULL, 1),
(15181, NULL, 'cd11881', NULL, NULL, 'SH3_MYO7A', NULL, 'SH3_MYO7A', NULL, NULL, NULL, 1),
(15182, NULL, 'cd17347', NULL, NULL, 'MFS_SLC15A1_2_like', NULL, 'MFS_SLC15A1_2_like', NULL, NULL, NULL, 1),
(15183, NULL, 'cd08749', NULL, NULL, 'RGS_GRK7', NULL, 'RGS_GRK7', NULL, NULL, NULL, 1),
(15184, NULL, 'cd17493', NULL, NULL, 'toxin_TenpN', NULL, 'toxin_TenpN', NULL, NULL, NULL, 1),
(15185, NULL, 'cd01094', NULL, NULL, 'Alkanesulfonate_monoxygenase', NULL, 'Alkanesulfonate_monoxygenase', NULL, NULL, NULL, 1),
(15186, NULL, 'cd07925', NULL, NULL, 'LigA_like_1', NULL, 'LigA_like_1', NULL, NULL, NULL, 1),
(15187, NULL, 'cd07231', NULL, NULL, 'Pat_SDP1-like', NULL, 'Pat_SDP1-like', NULL, NULL, NULL, 1),
(15188, NULL, 'cd11359', NULL, NULL, 'AmyAc_SLC3A1', NULL, 'AmyAc_SLC3A1', NULL, NULL, NULL, 1),
(15189, NULL, 'cd13184', NULL, NULL, 'FERM_C_4_1_family', NULL, 'FERM_C_4_1_family', NULL, NULL, NULL, 1),
(15190, NULL, 'cd17172', NULL, NULL, 'FERM_F0_TLN2', NULL, 'FERM_F0_TLN2', NULL, NULL, NULL, 1),
(15191, NULL, 'cd03353', NULL, NULL, 'LbH_GlmU_C', NULL, 'LbH_GlmU_C', NULL, NULL, 30175, 1),
(15192, NULL, 'cd18969', NULL, NULL, 'chromodomain', NULL, 'chromodomain', NULL, NULL, NULL, 1),
(15193, NULL, 'cd12597', NULL, NULL, 'RRM1_SRSF1', NULL, 'RRM1_SRSF1', NULL, NULL, 34986, 1),
(15194, NULL, 'cd03599', NULL, NULL, 'CLECT_DGCR2_like', NULL, 'CLECT_DGCR2_like', NULL, NULL, 6081, 1),
(15195, NULL, 'cd03558', NULL, NULL, 'LGIC_ECD', NULL, 'LGIC_ECD', NULL, NULL, NULL, 1),
(15196, NULL, 'cd04697', NULL, NULL, 'Nudix_Hydrolase_38', NULL, 'Nudix_Hydrolase_38', NULL, NULL, NULL, 1),
(15197, NULL, 'cd08173', NULL, NULL, 'Gro1PDH', NULL, 'Gro1PDH', NULL, NULL, NULL, 1),
(15198, NULL, 'cd12943', NULL, NULL, 'LEM_ANKL1', NULL, 'LEM_ANKL1', NULL, NULL, NULL, 1),
(15199, NULL, 'cd13186', NULL, NULL, 'FERM_C_NBL4_NBL5', NULL, 'FERM_C_NBL4_NBL5', NULL, NULL, NULL, 1),
(15200, NULL, 'cd15220', NULL, NULL, '7tmA_GPR61_GPR62-like', NULL, '7tmA_GPR61_GPR62-like', NULL, NULL, NULL, 1),
(15201, NULL, 'cd06469', NULL, NULL, 'p23_DYX1C1_like', NULL, 'p23_DYX1C1_like', NULL, NULL, 29465, 1),
(15202, NULL, 'cd12246', NULL, NULL, 'RRM1_U1A_like', NULL, 'RRM1_U1A_like', NULL, NULL, NULL, 1),
(15203, NULL, 'cd12180', NULL, NULL, '2-Hacid_dh_15', NULL, '2-Hacid_dh_15', NULL, NULL, NULL, 1),
(15204, NULL, 'cd09465', NULL, NULL, 'LIM2_LIMK2', NULL, 'LIM2_LIMK2', NULL, NULL, NULL, 1),
(15205, NULL, 'cd19147', NULL, NULL, 'AKR_AKR9A3_9B1-4', NULL, 'AKR_AKR9A3_9B1-4', NULL, NULL, NULL, 1),
(15206, NULL, 'cd00761', NULL, NULL, 'Glyco_tranf_GTA_type', NULL, 'Glyco_tranf_GTA_type', NULL, NULL, NULL, 1),
(15207, NULL, 'cd05806', NULL, NULL, 'CBM20_laforin', NULL, 'CBM20_laforin', NULL, NULL, 10263, 1),
(15208, NULL, 'cd14716', NULL, NULL, 'bZIP_CEBP-like_1', NULL, 'bZIP_CEBP-like_1', NULL, NULL, NULL, 1),
(15209, NULL, 'cd09656', NULL, NULL, 'Cmr3_III-B', NULL, 'Cmr3_III-B', NULL, NULL, NULL, 1),
(15210, NULL, 'cd18231', NULL, NULL, 'BTB_POZ_ZBTB47_ZNF651', NULL, 'BTB_POZ_ZBTB47_ZNF651', NULL, NULL, NULL, 1),
(15211, NULL, 'cd18788', NULL, NULL, 'SF2_C_XPD', NULL, 'SF2_C_XPD', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15212, NULL, 'cd19420', NULL, NULL, 'lipocalin_VDE', NULL, 'lipocalin_VDE', NULL, NULL, NULL, 1),
(15213, NULL, 'cd08913', NULL, NULL, 'START_STARD14-like', NULL, 'START_STARD14-like', NULL, NULL, NULL, 1),
(15214, NULL, 'cd16977', NULL, NULL, 'VHS_GGA', NULL, 'VHS_GGA', NULL, NULL, NULL, 1),
(15215, NULL, 'cd05569', NULL, NULL, 'PTS_IIB_fructose', NULL, 'PTS_IIB_fructose', NULL, NULL, 4462, 1),
(15216, NULL, 'cd03281', NULL, NULL, 'ABC_MSH5_euk', NULL, 'ABC_MSH5_euk', NULL, NULL, NULL, 1),
(15217, NULL, 'cd04719', NULL, NULL, 'BAH_Orc1p_animal', NULL, 'BAH_Orc1p_animal', NULL, NULL, NULL, 1),
(15218, NULL, 'cd05651', NULL, NULL, 'M20_ArgE_DapE-like', NULL, 'M20_ArgE_DapE-like', NULL, NULL, NULL, 1),
(15219, NULL, 'cd03736', NULL, NULL, 'SOCS_SOCS2', NULL, 'SOCS_SOCS2', NULL, NULL, NULL, 1),
(15220, NULL, 'cd01324', NULL, NULL, 'cbb3_Oxidase_CcoQ', NULL, 'cbb3_Oxidase_CcoQ', NULL, NULL, 14445, 1),
(15221, NULL, 'cd16776', NULL, NULL, 'RING-HC_RBR_RNF19B', NULL, 'RING-HC_RBR_RNF19B', NULL, NULL, NULL, 1),
(15222, NULL, 'cd12440', NULL, NULL, 'RRM_SYNJ', NULL, 'RRM_SYNJ', NULL, NULL, NULL, 1),
(15223, NULL, 'cd14770', NULL, NULL, 'PC-PEC_alpha', NULL, 'PC-PEC_alpha', NULL, NULL, NULL, 1),
(15224, NULL, 'cd16321', NULL, NULL, 'MraZ_C', NULL, 'MraZ_C', NULL, NULL, 35422, 1),
(15225, NULL, 'cd04329', NULL, NULL, 'RNAP_II_Rpb7_N', NULL, 'RNAP_II_Rpb7_N', NULL, NULL, NULL, 1),
(15226, NULL, 'cd15306', NULL, NULL, '7tmA_5-HT2B', NULL, '7tmA_5-HT2B', NULL, NULL, NULL, 1),
(15227, NULL, 'cd18281', NULL, NULL, 'BTB_POZ_BTBD1_2', NULL, 'BTB_POZ_BTBD1_2', NULL, NULL, NULL, 1),
(15228, NULL, 'cd18823', NULL, NULL, 'GH43_RcAra43A-like', NULL, 'GH43_RcAra43A-like', NULL, NULL, NULL, 1),
(15229, NULL, 'cd19948', NULL, NULL, 'NasA-like_Fer2_BFD-like', NULL, 'NasA-like_Fer2_BFD-like', NULL, NULL, NULL, 1),
(15230, NULL, 'cd00929', NULL, NULL, 'Cyt_c_Oxidase_VIIc', NULL, 'Cyt_c_Oxidase_VIIc', NULL, NULL, 2535, 1),
(15231, NULL, 'cd16879', NULL, NULL, 'ARID_ARID3B', NULL, 'ARID_ARID3B', NULL, NULL, NULL, 1),
(15232, NULL, 'cd06537', NULL, NULL, 'CIDE_N_B', NULL, 'CIDE_N_B', NULL, NULL, NULL, 1),
(15233, NULL, 'cd15219', NULL, NULL, '7tmA_GPR26_GPR78-like', NULL, '7tmA_GPR26_GPR78-like', NULL, NULL, NULL, 1),
(15234, NULL, 'cd16796', NULL, NULL, 'RING-H2_RNF13', NULL, 'RING-H2_RNF13', NULL, NULL, NULL, 1),
(15235, NULL, 'cd17371', NULL, NULL, 'MFS_MucK', NULL, 'MFS_MucK', NULL, NULL, NULL, 1),
(15236, NULL, 'cd01118', NULL, NULL, 'ArsB_permease', NULL, 'ArsB_permease', NULL, NULL, 4371, 1),
(15237, NULL, 'cd16107', NULL, NULL, 'Ubl_AtUPL5_like', NULL, 'Ubl_AtUPL5_like', NULL, NULL, NULL, 1),
(15238, NULL, 'cd21158', NULL, NULL, 'NendoU_nv', NULL, 'NendoU_nv', NULL, NULL, NULL, 1),
(15239, NULL, 'cd10970', NULL, NULL, 'CE4_DAC_u1_6s', NULL, 'CE4_DAC_u1_6s', NULL, NULL, NULL, 1),
(15240, NULL, 'cd18728', NULL, NULL, 'PIN_N4BP1-like', NULL, 'PIN_N4BP1-like', NULL, NULL, NULL, 1),
(15241, NULL, 'cd08745', NULL, NULL, 'RGS_RGS19', NULL, 'RGS_RGS19', NULL, NULL, NULL, 1),
(15242, NULL, 'cd08467', NULL, NULL, 'PBP2_SyrM', NULL, 'PBP2_SyrM', NULL, NULL, 33364, 1),
(15243, NULL, 'cd09420', NULL, NULL, 'LIM3_Prickle', NULL, 'LIM3_Prickle', NULL, NULL, 35079, 1),
(15244, NULL, 'cd08252', NULL, NULL, 'AL_MDR', NULL, 'AL_MDR', NULL, NULL, 8624, 1),
(15245, NULL, 'cd02109', NULL, NULL, 'arch_bact_SO_family_Moco', NULL, 'arch_bact_SO_family_Moco', NULL, NULL, NULL, 1),
(15246, NULL, 'cd01837', NULL, NULL, 'SGNH_plant_lipase_like', NULL, 'SGNH_plant_lipase_like', NULL, NULL, 35034, 1),
(15247, NULL, 'cd09362', NULL, NULL, 'LIM2_Enigma_like', NULL, 'LIM2_Enigma_like', NULL, NULL, NULL, 1),
(15248, NULL, 'cd10421', NULL, NULL, 'SH2_STAT5a', NULL, 'SH2_STAT5a', NULL, NULL, NULL, 1),
(15249, NULL, 'cd16688', NULL, NULL, 'RING-H2_Vps11', NULL, 'RING-H2_Vps11', NULL, NULL, NULL, 1),
(15250, NULL, 'cd07776', NULL, NULL, 'FGGY_D-XK_euk', NULL, 'FGGY_D-XK_euk', NULL, NULL, 33352, 1),
(15251, NULL, 'cd09268', NULL, NULL, 'FCHo1_MHD', NULL, 'FCHo1_MHD', NULL, NULL, NULL, 1),
(15252, NULL, 'cd12733', NULL, NULL, 'RRM3_GRSF1', NULL, 'RRM3_GRSF1', NULL, NULL, 13236, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15253, NULL, 'cd04181', NULL, NULL, 'NTP_transferase', NULL, 'NTP_transferase', NULL, NULL, NULL, 1),
(15254, NULL, 'cd04690', NULL, NULL, 'Nudix_Hydrolase_31', NULL, 'Nudix_Hydrolase_31', NULL, NULL, NULL, 1),
(15255, NULL, 'cd15379', NULL, NULL, '7tmA_P2Y6', NULL, '7tmA_P2Y6', NULL, NULL, NULL, 1),
(15256, NULL, 'cd01924', NULL, NULL, 'cyclophilin_TLP40_like', NULL, 'cyclophilin_TLP40_like', NULL, NULL, NULL, 1),
(15257, NULL, 'cd12794', NULL, NULL, 'Hsm3_like', NULL, 'Hsm3_like', NULL, NULL, NULL, 1),
(15258, NULL, 'cd15709', NULL, NULL, 'ePHD_AF17', NULL, 'ePHD_AF17', NULL, NULL, NULL, 1),
(15259, NULL, 'cd07983', NULL, NULL, 'LPLAT_DUF374-like', NULL, 'LPLAT_DUF374-like', NULL, NULL, 469, 1),
(15260, NULL, 'cd05258', NULL, NULL, 'CDP_TE_SDR_e', NULL, 'CDP_TE_SDR_e', NULL, NULL, NULL, 1),
(15261, NULL, 'cd05897', NULL, NULL, 'Ig2_IL1R2_like', NULL, 'Ig2_IL1R2_like', NULL, NULL, NULL, 1),
(15262, NULL, 'cd12439', NULL, NULL, 'RRM_TRMT2A', NULL, 'RRM_TRMT2A', NULL, NULL, 6621, 1),
(15263, NULL, 'cd18419', NULL, NULL, 'BTB_POZ_KCND3', NULL, 'BTB_POZ_KCND3', NULL, NULL, NULL, 1),
(15264, NULL, 'cd05898', NULL, NULL, 'Ig5_KIRREL3', NULL, 'Ig5_KIRREL3', NULL, NULL, NULL, 1),
(15265, NULL, 'cd15670', NULL, NULL, 'ePHD_BRPF', NULL, 'ePHD_BRPF', NULL, NULL, NULL, 1),
(15266, NULL, 'cd17337', NULL, NULL, 'MFS_CsbX', NULL, 'MFS_CsbX', NULL, NULL, NULL, 1),
(15267, NULL, 'cd19928', NULL, NULL, 'REC_RcNtrC-like', NULL, 'REC_RcNtrC-like', NULL, NULL, NULL, 1),
(15268, NULL, 'cd01715', NULL, NULL, 'ETF_alpha', NULL, 'ETF_alpha', NULL, NULL, 35381, 1),
(15269, NULL, 'cd12265', NULL, NULL, 'RRM_SLT11', NULL, 'RRM_SLT11', NULL, NULL, 660, 1),
(15270, NULL, 'cd11616', NULL, NULL, 'SAF_DH_OX_like', NULL, 'SAF_DH_OX_like', NULL, NULL, NULL, 1),
(15271, NULL, 'cd11659', NULL, NULL, 'SANT_CDC5_II', NULL, 'SANT_CDC5_II', NULL, NULL, NULL, 1),
(15272, NULL, 'cd19583', NULL, NULL, 'serpinN_SPI-1_SPI-2', NULL, 'serpinN_SPI-1_SPI-2', NULL, NULL, NULL, 1),
(15273, NULL, 'cd17348', NULL, NULL, 'MFS_SLC15A3_4', NULL, 'MFS_SLC15A3_4', NULL, NULL, NULL, 1),
(15274, NULL, 'cd01297', NULL, NULL, 'D-aminoacylase', NULL, 'D-aminoacylase', NULL, NULL, NULL, 1),
(15275, NULL, 'cd18821', NULL, NULL, 'GH43_Pc3Gal43A-like', NULL, 'GH43_Pc3Gal43A-like', NULL, NULL, NULL, 1),
(15276, NULL, 'cd13589', NULL, NULL, 'PBP2_polyamine_RpCGA009', NULL, 'PBP2_polyamine_RpCGA009', NULL, NULL, NULL, 1),
(15277, NULL, 'cd02241', NULL, NULL, 'cupin_OxOx', NULL, 'cupin_OxOx', NULL, NULL, NULL, 1),
(15278, NULL, 'cd00946', NULL, NULL, 'FBP_aldolase_IIA', NULL, 'FBP_aldolase_IIA', NULL, NULL, 5635, 1),
(15279, NULL, 'cd18194', NULL, NULL, 'BTB_POZ_ZBTB3-like', NULL, 'BTB_POZ_ZBTB3-like', NULL, NULL, NULL, 1),
(15280, NULL, 'cd13906', NULL, NULL, 'CuRO_3_CumA_like', NULL, 'CuRO_3_CumA_like', NULL, NULL, NULL, 1),
(15281, NULL, 'cd02779', NULL, NULL, 'MopB_CT_Arsenite-Ox', NULL, 'MopB_CT_Arsenite-Ox', NULL, NULL, NULL, 1),
(15282, NULL, 'cd00318', NULL, NULL, 'Phosphoglycerate_kinase', NULL, 'Phosphoglycerate_kinase', NULL, NULL, 5480, 1),
(15283, NULL, 'cd01553', NULL, NULL, 'EPT_RTPC-like', NULL, 'EPT_RTPC-like', NULL, NULL, NULL, 1),
(15284, NULL, 'cd07200', NULL, NULL, 'cPLA2_Grp-IVA', NULL, 'cPLA2_Grp-IVA', NULL, NULL, NULL, 1),
(15285, NULL, 'cd04442', NULL, NULL, 'DEP_1_DEP6', NULL, 'DEP_1_DEP6', NULL, NULL, 30002, 1),
(15286, NULL, 'cd13588', NULL, NULL, 'PBP2_polyamine_1', NULL, 'PBP2_polyamine_1', NULL, NULL, NULL, 1),
(15287, NULL, 'cd16831', NULL, NULL, 'HemS-like_C', NULL, 'HemS-like_C', NULL, NULL, NULL, 1),
(15288, NULL, 'cd11251', NULL, NULL, 'Sema_3C', NULL, 'Sema_3C', NULL, NULL, NULL, 1),
(15289, NULL, 'cd11966', NULL, NULL, 'SH3_ASAP2', NULL, 'SH3_ASAP2', NULL, NULL, 33383, 1),
(15290, NULL, 'cd14226', NULL, NULL, 'PKc_DYRK1', NULL, 'PKc_DYRK1', NULL, NULL, 37528, 1),
(15291, NULL, 'cd17105', NULL, NULL, 'FERM_F1_EPB41', NULL, 'FERM_F1_EPB41', NULL, NULL, NULL, 1),
(15292, NULL, 'cd08746', NULL, NULL, 'RGS_RGS20', NULL, 'RGS_RGS20', NULL, NULL, NULL, 1),
(15293, NULL, 'cd08263', NULL, NULL, 'Zn_ADH10', NULL, 'Zn_ADH10', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15294, NULL, 'cd06982', NULL, NULL, 'cupin_BauB-like', NULL, 'cupin_BauB-like', NULL, NULL, NULL, 1),
(15295, NULL, 'cd18502', NULL, NULL, 'BACK_NS1BP_IVNS1ABP', NULL, 'BACK_NS1BP_IVNS1ABP', NULL, NULL, NULL, 1),
(15296, NULL, 'cd04978', NULL, NULL, 'Ig4_L1-NrCAM_like', NULL, 'Ig4_L1-NrCAM_like', NULL, NULL, NULL, 1),
(15297, NULL, 'cd16377', NULL, NULL, '23S_rRNA_IVP_like', NULL, '23S_rRNA_IVP_like', NULL, NULL, 10615, 1),
(15298, NULL, 'cd11362', NULL, NULL, 'RNase_PH_bact', NULL, 'RNase_PH_bact', NULL, NULL, 6732, 1),
(15299, NULL, 'cd03319', NULL, NULL, 'L-Ala-DL-Glu_epimerase', NULL, 'L-Ala-DL-Glu_epimerase', NULL, NULL, 11337, 1),
(15300, NULL, 'cd16288', NULL, NULL, 'BJP-1_FEZ-1-like_MBL-B3', NULL, 'BJP-1_FEZ-1-like_MBL-B3', NULL, NULL, NULL, 1),
(15301, NULL, 'cd09899', NULL, NULL, 'H3TH_T4-like', NULL, 'H3TH_T4-like', NULL, NULL, NULL, 1),
(15302, NULL, 'cd17926', NULL, NULL, 'DEXHc_RE', NULL, 'DEXHc_RE', NULL, NULL, NULL, 1),
(15303, NULL, 'cd12302', NULL, NULL, 'RRM_scSet1p_like', NULL, 'RRM_scSet1p_like', NULL, NULL, NULL, 1),
(15304, NULL, 'cd09921', NULL, NULL, 'SH2_Jak_family', NULL, 'SH2_Jak_family', NULL, NULL, NULL, 1),
(15305, NULL, 'cd12805', NULL, NULL, 'Allergen_V_VI', NULL, 'Allergen_V_VI', NULL, NULL, NULL, 1),
(15306, NULL, 'cd04102', NULL, NULL, 'RabL3', NULL, 'RabL3', NULL, NULL, NULL, 1),
(15307, NULL, 'cd14199', NULL, NULL, 'STKc_CaMKK2', NULL, 'STKc_CaMKK2', NULL, NULL, NULL, 1),
(15308, NULL, 'cd13407', NULL, NULL, 'TNFRSF5', NULL, 'TNFRSF5', NULL, NULL, 15917, 1),
(15309, NULL, 'cd16885', NULL, NULL, 'ARID_ARID5B', NULL, 'ARID_ARID5B', NULL, NULL, NULL, 1),
(15310, NULL, 'cd12058', NULL, NULL, 'SH3_MLK4', NULL, 'SH3_MLK4', NULL, NULL, NULL, 1),
(15311, NULL, 'cd03114', NULL, NULL, 'MMAA-like', NULL, 'MMAA-like', NULL, NULL, NULL, 1),
(15312, NULL, 'cd15078', NULL, NULL, '7tmA_Encephalopsin', NULL, '7tmA_Encephalopsin', NULL, NULL, NULL, 1),
(15313, NULL, 'cd15109', NULL, NULL, '7tmA_MrgprF', NULL, '7tmA_MrgprF', NULL, NULL, NULL, 1),
(15314, NULL, 'cd15028', NULL, NULL, '7tm_Opsin-1_euk', NULL, '7tm_Opsin-1_euk', NULL, NULL, NULL, 1),
(15315, NULL, 'cd08893', NULL, NULL, 'SRPBCC_CalC_Aha1-like_GntR-HTH', NULL, 'SRPBCC_CalC_Aha1-like_GntR-HTH', NULL, NULL, NULL, 1),
(15316, NULL, 'cd09302', NULL, NULL, 'Jacalin_like', NULL, 'Jacalin_like', NULL, NULL, NULL, 1),
(15317, NULL, 'cd11662', NULL, NULL, 'apollo_TRF2_binding', NULL, 'apollo_TRF2_binding', NULL, NULL, NULL, 1),
(15318, NULL, 'cd02393', NULL, NULL, 'PNPase_KH', NULL, 'PNPase_KH', NULL, NULL, NULL, 1),
(15319, NULL, 'cd01677', NULL, NULL, 'PFL2_DhaB_BssA', NULL, 'PFL2_DhaB_BssA', NULL, NULL, NULL, 1),
(15320, NULL, 'cd15783', NULL, NULL, 'SA1633_like', NULL, 'SA1633_like', NULL, NULL, 28397, 1),
(15321, NULL, 'cd05489', NULL, NULL, 'xylanase_inhibitor_I_like', NULL, 'xylanase_inhibitor_I_like', NULL, NULL, 29737, 1),
(15322, NULL, 'cd12650', NULL, NULL, 'RRM1_Hu', NULL, 'RRM1_Hu', NULL, NULL, 21598, 1),
(15323, NULL, 'cd04208', NULL, NULL, 'CuRO_2_CuNIR', NULL, 'CuRO_2_CuNIR', NULL, NULL, NULL, 1),
(15324, NULL, 'cd13719', NULL, NULL, 'PBP2_iGluR_NMDA_Nr1', NULL, 'PBP2_iGluR_NMDA_Nr1', NULL, NULL, NULL, 1),
(15325, NULL, 'cd06894', NULL, NULL, 'PX_SNX3_like', NULL, 'PX_SNX3_like', NULL, NULL, NULL, 1),
(15326, NULL, 'cd04316', NULL, NULL, 'ND_PkAspRS_like_N', NULL, 'ND_PkAspRS_like_N', NULL, NULL, NULL, 1),
(15327, NULL, 'cd16274', NULL, NULL, 'PQQB-like_MBL-fold', NULL, 'PQQB-like_MBL-fold', NULL, NULL, 14244, 1),
(15328, NULL, 'cd01610', NULL, NULL, 'PAP2_like', NULL, 'PAP2_like', NULL, NULL, NULL, 1),
(15329, NULL, 'cd02514', NULL, NULL, 'GT13_GLCNAC-TI', NULL, 'GT13_GLCNAC-TI', NULL, NULL, NULL, 1),
(15330, NULL, 'cd05168', NULL, NULL, 'PI4Kc_III_beta', NULL, 'PI4Kc_III_beta', NULL, NULL, NULL, 1),
(15331, NULL, 'cd13549', NULL, NULL, 'PBP2_Fbp_like_3', NULL, 'PBP2_Fbp_like_3', NULL, NULL, NULL, 1),
(15332, NULL, 'cd05879', NULL, NULL, 'Ig_P0', NULL, 'Ig_P0', NULL, NULL, NULL, 1),
(15333, NULL, 'cd13666', NULL, NULL, 'PBP2_TRAP_DctP_like_1', NULL, 'PBP2_TRAP_DctP_like_1', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15334, NULL, 'cd15882', NULL, NULL, 'SNARE_syntaxin2', NULL, 'SNARE_syntaxin2', NULL, NULL, NULL, 1),
(15335, NULL, 'cd14765', NULL, NULL, 'Hb', NULL, 'Hb', NULL, NULL, NULL, 1),
(15336, NULL, 'cd15591', NULL, NULL, 'PHD2_KMT2B', NULL, 'PHD2_KMT2B', NULL, NULL, NULL, 1),
(15337, NULL, 'cd06338', NULL, NULL, 'PBP1_ABC_ligand_binding-like', NULL, 'PBP1_ABC_ligand_binding-like', NULL, NULL, NULL, 1),
(15338, NULL, 'cd12258', NULL, NULL, 'RRM2_RBM26_like', NULL, 'RRM2_RBM26_like', NULL, NULL, 36387, 1),
(15339, NULL, 'cd02755', NULL, NULL, 'MopB_Thiosulfate-R-like', NULL, 'MopB_Thiosulfate-R-like', NULL, NULL, NULL, 1),
(15340, NULL, 'cd05023', NULL, NULL, 'S-100A11', NULL, 'S-100A11', NULL, NULL, NULL, 1),
(15341, NULL, 'cd18299', NULL, NULL, 'BTB1_POZ_RhoBTB', NULL, 'BTB1_POZ_RhoBTB', NULL, NULL, NULL, 1),
(15342, NULL, 'cd08359', NULL, NULL, 'VOC_like', NULL, 'VOC_like', NULL, NULL, NULL, 1),
(15343, NULL, 'cd15384', NULL, NULL, '7tmA_GnRHR_invertebrate', NULL, '7tmA_GnRHR_invertebrate', NULL, NULL, NULL, 1),
(15344, NULL, 'cd10333', NULL, NULL, 'LeuT-like_sbd', NULL, 'LeuT-like_sbd', NULL, NULL, NULL, 1),
(15345, NULL, 'cd09860', NULL, NULL, 'PIN_T4-like', NULL, 'PIN_T4-like', NULL, NULL, NULL, 1),
(15346, NULL, 'cd13997', NULL, NULL, 'PKc_Wee1_like', NULL, 'PKc_Wee1_like', NULL, NULL, 38157, 1),
(15347, NULL, 'cd08259', NULL, NULL, 'Zn_ADH5', NULL, 'Zn_ADH5', NULL, NULL, NULL, 1),
(15348, NULL, 'cd19829', NULL, NULL, 'Bbox2_TIF1b_C-VI', NULL, 'Bbox2_TIF1b_C-VI', NULL, NULL, NULL, 1),
(15349, NULL, 'cd12759', NULL, NULL, 'RRM1_MSI1', NULL, 'RRM1_MSI1', NULL, NULL, NULL, 1),
(15350, NULL, 'cd18609', NULL, NULL, 'GH32-like', NULL, 'GH32-like', NULL, NULL, NULL, 1),
(15351, NULL, 'cd06200', NULL, NULL, 'SiR_like1', NULL, 'SiR_like1', NULL, NULL, NULL, 1),
(15352, NULL, 'cd10964', NULL, NULL, 'CE4_PgaB_5s', NULL, 'CE4_PgaB_5s', NULL, NULL, NULL, 1),
(15353, NULL, 'cd09590', NULL, NULL, 'SAM_LBP9', NULL, 'SAM_LBP9', NULL, NULL, 36137, 1),
(15354, NULL, 'cd21536', NULL, NULL, 'SARS-CoV-2_E', NULL, 'SARS-CoV-2_E', NULL, NULL, 36597, 1),
(15355, NULL, 'cd16483', NULL, NULL, 'RING-H2_UBR3', NULL, 'RING-H2_UBR3', NULL, NULL, NULL, 1),
(15356, NULL, 'cd04984', NULL, NULL, 'IgV_L_lambda', NULL, 'IgV_L_lambda', NULL, NULL, NULL, 1),
(15357, NULL, 'cd15186', NULL, NULL, '7tmA_CX3CR1', NULL, '7tmA_CX3CR1', NULL, NULL, NULL, 1),
(15358, NULL, 'cd19082', NULL, NULL, 'AKR_AKR10A1_2', NULL, 'AKR_AKR10A1_2', NULL, NULL, NULL, 1),
(15359, NULL, 'cd06640', NULL, NULL, 'STKc_MST4', NULL, 'STKc_MST4', NULL, NULL, 19253, 1),
(15360, NULL, 'cd15334', NULL, NULL, '7tmA_5-HT1F', NULL, '7tmA_5-HT1F', NULL, NULL, NULL, 1),
(15361, NULL, 'cd01165', NULL, NULL, 'BTB_POZ', NULL, 'BTB_POZ', NULL, NULL, NULL, 1),
(15362, NULL, 'cd10981', NULL, NULL, 'ZnPC_S1P1', NULL, 'ZnPC_S1P1', NULL, NULL, NULL, 1),
(15363, NULL, 'cd15088', NULL, NULL, '7tmA_MCHR-like', NULL, '7tmA_MCHR-like', NULL, NULL, NULL, 1),
(15364, NULL, 'cd05383', NULL, NULL, 'CAP_CRISP', NULL, 'CAP_CRISP', NULL, NULL, 23246, 1),
(15365, NULL, 'cd02808', NULL, NULL, 'GltS_FMN', NULL, 'GltS_FMN', NULL, NULL, 6582, 1),
(15366, NULL, 'cd11334', NULL, NULL, 'AmyAc_TreS', NULL, 'AmyAc_TreS', NULL, NULL, NULL, 1),
(15367, NULL, 'cd01783', NULL, NULL, 'RA2_DAGK-theta', NULL, 'RA2_DAGK-theta', NULL, NULL, NULL, 1),
(15368, NULL, 'cd10935', NULL, NULL, 'CE4_WalW', NULL, 'CE4_WalW', NULL, NULL, NULL, 1),
(15369, NULL, 'cd00529', NULL, NULL, 'RuvC_like', NULL, 'RuvC_like', NULL, NULL, NULL, 1),
(15370, NULL, 'cd08283', NULL, NULL, 'FDH_like_1', NULL, 'FDH_like_1', NULL, NULL, NULL, 1),
(15371, NULL, 'cd11286', NULL, NULL, 'ADF_cofilin_like', NULL, 'ADF_cofilin_like', NULL, NULL, 8458, 1),
(15372, NULL, 'cd14055', NULL, NULL, 'STKc_TGFbR2_like', NULL, 'STKc_TGFbR2_like', NULL, NULL, NULL, 1),
(15373, NULL, 'cd16296', NULL, NULL, 'RNaseZ_ELAC2-N-term-like_MBL-fold', NULL, 'RNaseZ_ELAC2-N-term-like_MBL-fold', NULL, NULL, NULL, 1),
(15374, NULL, 'cd07630', NULL, NULL, 'BAR_SNX_like', NULL, 'BAR_SNX_like', NULL, NULL, NULL, 1),
(15375, NULL, 'cd19473', NULL, NULL, 'SET_SUV39H_DIM5-like', NULL, 'SET_SUV39H_DIM5-like', NULL, NULL, NULL, 1);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15376, NULL, 'cd02851', NULL, NULL, 'E_set_GO_C', NULL, 'E_set_GO_C', NULL, NULL, 10985, 1),
(15377, NULL, 'cd19605', NULL, NULL, 'serpin_protozoa', NULL, 'serpin_protozoa', NULL, NULL, NULL, 1),
(15378, NULL, 'cd10291', NULL, NULL, 'GST_C_YfcG_like', NULL, 'GST_C_YfcG_like', NULL, NULL, NULL, 1),
(15379, NULL, 'cd10927', NULL, NULL, 'CE4_u3', NULL, 'CE4_u3', NULL, NULL, NULL, 1),
(15380, NULL, 'cd15696', NULL, NULL, 'ePHD1_KMT2C', NULL, 'ePHD1_KMT2C', NULL, NULL, 33264, 1),
(15381, NULL, 'cd13693', NULL, NULL, 'PBP2_polar_AA', NULL, 'PBP2_polar_AA', NULL, NULL, NULL, 1),
(15382, NULL, 'cd16219', NULL, NULL, 'EFh_PI-PLCdelta4', NULL, 'EFh_PI-PLCdelta4', NULL, NULL, NULL, 1),
(15383, NULL, 'cd11273', NULL, NULL, 'Sema_plexin_A3', NULL, 'Sema_plexin_A3', NULL, NULL, NULL, 1),
(15384, NULL, 'cd12008', NULL, NULL, 'SH3_Src', NULL, 'SH3_Src', NULL, NULL, NULL, 1),
(15385, NULL, 'cd01790', NULL, NULL, 'Ubl_HERP', NULL, 'Ubl_HERP', NULL, NULL, NULL, 1),
(15386, NULL, 'cd06917', NULL, NULL, 'STKc_NAK1_like', NULL, 'STKc_NAK1_like', NULL, NULL, 16241, 1),
(15387, NULL, 'cd15071', NULL, NULL, '7tmA_Adenosine_R_A1', NULL, '7tmA_Adenosine_R_A1', NULL, NULL, NULL, 1),
(15388, NULL, 'cd01220', NULL, NULL, 'PH1_FARP1-like', NULL, 'PH1_FARP1-like', NULL, NULL, NULL, 1),
(15389, NULL, 'cd09925', NULL, NULL, 'SH2_SHC', NULL, 'SH2_SHC', NULL, NULL, 33429, 1),
(15390, NULL, 'cd10499', NULL, NULL, 'MH2_SMAD_6', NULL, 'MH2_SMAD_6', NULL, NULL, NULL, 1),
(15391, NULL, 'cd15401', NULL, NULL, '7tmA_Mel1C', NULL, '7tmA_Mel1C', NULL, NULL, NULL, 1),
(15392, NULL, 'cd00232', NULL, NULL, 'HemeO-like', NULL, 'HemeO-like', NULL, NULL, NULL, 1),
(15393, NULL, 'cd12308', NULL, NULL, 'RRM1_Spen', NULL, 'RRM1_Spen', NULL, NULL, NULL, 1),
(15394, NULL, 'cd02866', NULL, NULL, 'PseudoU_synth_TruA_Archea', NULL, 'PseudoU_synth_TruA_Archea', NULL, NULL, NULL, 1),
(15395, NULL, 'cd12736', NULL, NULL, 'RRM1_ESRP1', NULL, 'RRM1_ESRP1', NULL, NULL, 13103, 1),
(15396, NULL, 'cd12960', NULL, NULL, 'Spider_toxin', NULL, 'Spider_toxin', NULL, NULL, 2979, 1),
(15397, NULL, 'cd05623', NULL, NULL, 'STKc_MRCK_alpha', NULL, 'STKc_MRCK_alpha', NULL, NULL, NULL, 1),
(15398, NULL, 'cd00472', NULL, NULL, 'Ribosomal_L24e_L24', NULL, 'Ribosomal_L24e_L24', NULL, NULL, 451, 1),
(15399, NULL, 'cd04309', NULL, NULL, 'HAD_PSP_eu', NULL, 'HAD_PSP_eu', NULL, NULL, NULL, 1),
(15400, NULL, 'cd11961', NULL, NULL, 'SH3_Abp1_fungi_C2', NULL, 'SH3_Abp1_fungi_C2', NULL, NULL, 33935, 1),
(15401, NULL, 'cd05379', NULL, NULL, 'CAP_bacterial', NULL, 'CAP_bacterial', NULL, NULL, NULL, 1),
(15402, NULL, 'cd05343', NULL, NULL, 'Mgc4172-like_SDR_c', NULL, 'Mgc4172-like_SDR_c', NULL, NULL, NULL, 1),
(15403, NULL, 'cd03047', NULL, NULL, 'GST_N_2', NULL, 'GST_N_2', NULL, NULL, NULL, 1),
(15404, NULL, 'cd11356', NULL, NULL, 'AmyAc_Sucrose_phosphorylase-like_1', NULL, 'AmyAc_Sucrose_phosphorylase-like_1', NULL, NULL, 31163, 1),
(15405, NULL, 'cd20265', NULL, NULL, 'Complex1_LYR_ETFRF1_LYRM5', NULL, 'Complex1_LYR_ETFRF1_LYRM5', NULL, NULL, 36692, 1),
(15406, NULL, 'cd10967', NULL, NULL, 'CE4_GLA_like_6s', NULL, 'CE4_GLA_like_6s', NULL, NULL, NULL, 1),
(15407, NULL, 'cd11298', NULL, NULL, 'O-FucT-2', NULL, 'O-FucT-2', NULL, NULL, NULL, 1),
(15408, NULL, 'cd07119', NULL, NULL, 'ALDH_BADH-GbsA', NULL, 'ALDH_BADH-GbsA', NULL, NULL, NULL, 1),
(15409, NULL, 'cd02433', NULL, NULL, 'Nodulin-21_like_2', NULL, 'Nodulin-21_like_2', NULL, NULL, NULL, 1),
(15410, NULL, 'cd08977', NULL, NULL, 'SusD', NULL, 'SusD', NULL, NULL, NULL, 1),
(15411, NULL, 'cd17518', NULL, NULL, 'RMtype1_S_Asp27244ORF1181P-TRD1-CR1_like', NULL, 'RMtype1_S_Asp27244ORF1181P-TRD1-CR1_like', NULL, NULL, NULL, 1),
(15412, NULL, 'cd06578', NULL, NULL, 'HemD', NULL, 'HemD', NULL, NULL, 2108, 1),
(15413, NULL, 'cd00314', NULL, NULL, 'plant_peroxidase_like', NULL, 'plant_peroxidase_like', NULL, NULL, NULL, 1),
(15414, NULL, 'cd16012', NULL, NULL, 'ALP', NULL, 'ALP', NULL, NULL, 2244, 1),
(15415, NULL, 'cd09930', NULL, NULL, 'SH2_cSH2_p85_like', NULL, 'SH2_cSH2_p85_like', NULL, NULL, 20894, 1),
(15416, NULL, 'cd16792', NULL, NULL, 'SP-RING_Siz_plant', NULL, 'SP-RING_Siz_plant', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15417, NULL, 'cd16810', NULL, NULL, 'RING_CH-C4HC3_MARCH11', NULL, 'RING_CH-C4HC3_MARCH11', NULL, NULL, NULL, 1),
(15418, NULL, 'cd13550', NULL, NULL, 'PBP2_Fbp_like_4', NULL, 'PBP2_Fbp_like_4', NULL, NULL, NULL, 1),
(15419, NULL, 'cd08199', NULL, NULL, 'EEVS', NULL, 'EEVS', NULL, NULL, 33987, 1),
(15420, NULL, 'cd09136', NULL, NULL, 'PLDc_PSS_G_neg_2', NULL, 'PLDc_PSS_G_neg_2', NULL, NULL, NULL, 1),
(15421, NULL, 'cd16327', NULL, NULL, 'RseB', NULL, 'RseB', NULL, NULL, 34097, 1),
(15422, NULL, 'cd12066', NULL, NULL, 'SH3_GRAF3', NULL, 'SH3_GRAF3', NULL, NULL, NULL, 1),
(15423, NULL, 'cd12543', NULL, NULL, 'RRM2_PAR14', NULL, 'RRM2_PAR14', NULL, NULL, 12371, 1),
(15424, NULL, 'cd19859', NULL, NULL, 'DSRM_STAU_rpt3', NULL, 'DSRM_STAU_rpt3', NULL, NULL, NULL, 1),
(15425, NULL, 'cd08685', NULL, NULL, 'C2_RGS-like', NULL, 'C2_RGS-like', NULL, NULL, NULL, 1),
(15426, NULL, 'cd12377', NULL, NULL, 'RRM3_Hu', NULL, 'RRM3_Hu', NULL, NULL, NULL, 1),
(15427, NULL, 'cd11824', NULL, NULL, 'SH3_PSTPIP1', NULL, 'SH3_PSTPIP1', NULL, NULL, 25307, 1),
(15428, NULL, 'cd08883', NULL, NULL, 'RHO_alpha_C_CMO-like', NULL, 'RHO_alpha_C_CMO-like', NULL, NULL, NULL, 1),
(15429, NULL, 'cd01466', NULL, NULL, 'vWA_C3HC4_type', NULL, 'vWA_C3HC4_type', NULL, NULL, NULL, 1),
(15430, NULL, 'cd03807', NULL, NULL, 'GT4_WbnK-like', NULL, 'GT4_WbnK-like', NULL, NULL, NULL, 1),
(15431, NULL, 'cd02051', NULL, NULL, 'serpinE1_PAI-1', NULL, 'serpinE1_PAI-1', NULL, NULL, NULL, 1),
(15432, NULL, 'cd16011', NULL, NULL, 'iPGM_like', NULL, 'iPGM_like', NULL, NULL, 7278, 1),
(15433, NULL, 'cd03064', NULL, NULL, 'TRX_Fd_NuoE', NULL, 'TRX_Fd_NuoE', NULL, NULL, 38331, 1),
(15434, NULL, 'cd11578', NULL, NULL, 'GH99_GH71_like_1', NULL, 'GH99_GH71_like_1', NULL, NULL, NULL, 1),
(15435, NULL, 'cd18476', NULL, NULL, 'BACK_KLHL38', NULL, 'BACK_KLHL38', NULL, NULL, NULL, 1),
(15436, NULL, 'cd19534', NULL, NULL, 'E_NRPS', NULL, 'E_NRPS', NULL, NULL, NULL, 1),
(15437, NULL, 'cd08728', NULL, NULL, 'RGS-like_2', NULL, 'RGS-like_2', NULL, NULL, NULL, 1),
(15438, NULL, 'cd15008', NULL, NULL, '7tmA_GPR19', NULL, '7tmA_GPR19', NULL, NULL, NULL, 1),
(15439, NULL, 'cd13648', NULL, NULL, 'PBP2_PBGD_1', NULL, 'PBP2_PBGD_1', NULL, NULL, NULL, 1),
(15440, NULL, 'cd07738', NULL, NULL, 'DdPDE5-like_MBL-fold', NULL, 'DdPDE5-like_MBL-fold', NULL, NULL, NULL, 1),
(15441, NULL, 'cd16820', NULL, NULL, 'SP-RING_PIAS3', NULL, 'SP-RING_PIAS3', NULL, NULL, NULL, 1),
(15442, NULL, 'cd18541', NULL, NULL, 'ABC_6TM_TmrB_like', NULL, 'ABC_6TM_TmrB_like', NULL, NULL, NULL, 1),
(15443, NULL, 'cd01864', NULL, NULL, 'Rab19', NULL, 'Rab19', NULL, NULL, NULL, 1),
(15444, NULL, 'cd07973', NULL, NULL, 'Spt4', NULL, 'Spt4', NULL, NULL, 17303, 1),
(15445, NULL, 'cd00109', NULL, NULL, 'KU', NULL, 'KU', NULL, NULL, 401, 1),
(15446, NULL, 'cd08966', NULL, NULL, 'EcFpg-like_N', NULL, 'EcFpg-like_N', NULL, NULL, NULL, 1),
(15447, NULL, 'cd17751', NULL, NULL, 'BRCT_microcephalin_rpt3', NULL, 'BRCT_microcephalin_rpt3', NULL, NULL, NULL, 1),
(15448, NULL, 'cd02126', NULL, NULL, 'PA_EDEM3_like', NULL, 'PA_EDEM3_like', NULL, NULL, 35517, 1),
(15449, NULL, 'cd10548', NULL, NULL, 'cupin_CDO', NULL, 'cupin_CDO', NULL, NULL, NULL, 1),
(15450, NULL, 'cd20292', NULL, NULL, 'cupin_QdtA-like', NULL, 'cupin_QdtA-like', NULL, NULL, 7567, 1),
(15451, NULL, 'cd04879', NULL, NULL, 'ACT_3PGDH-like', NULL, 'ACT_3PGDH-like', NULL, NULL, NULL, 1),
(15452, NULL, 'cd17380', NULL, NULL, 'MFS_SLC17A9_like', NULL, 'MFS_SLC17A9_like', NULL, NULL, 37655, 1),
(15453, NULL, 'cd03203', NULL, NULL, 'GST_C_Lambda', NULL, 'GST_C_Lambda', NULL, NULL, NULL, 1),
(15454, NULL, 'cd11581', NULL, NULL, 'GINS_A', NULL, 'GINS_A', NULL, NULL, NULL, 1),
(15455, NULL, 'cd14920', NULL, NULL, 'MYSc_Myh10', NULL, 'MYSc_Myh10', NULL, NULL, NULL, 1),
(15456, NULL, 'cd21414', NULL, NULL, 'unc_rv_SF1_Hel-like', NULL, 'unc_rv_SF1_Hel-like', NULL, NULL, 38613, 1),
(15457, NULL, 'cd16318', NULL, NULL, 'MUS_TUS_MBL-B1', NULL, 'MUS_TUS_MBL-B1', NULL, NULL, NULL, 1),
(15458, NULL, 'cd15346', NULL, NULL, '7tmA_S1PR1_Edg1', NULL, '7tmA_S1PR1_Edg1', NULL, NULL, NULL, 1);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15459, NULL, 'cd12475', NULL, NULL, 'RRM2_RBMS3', NULL, 'RRM2_RBMS3', NULL, NULL, 15584, 1),
(15460, NULL, 'cd05130', NULL, NULL, 'RasGAP_Neurofibromin', NULL, 'RasGAP_Neurofibromin', NULL, NULL, NULL, 1),
(15461, NULL, 'cd15624', NULL, NULL, 'PHD_TIF1gamma', NULL, 'PHD_TIF1gamma', NULL, NULL, NULL, 1),
(15462, NULL, 'cd08878', NULL, NULL, 'RHO_alpha_C_DMO-like', NULL, 'RHO_alpha_C_DMO-like', NULL, NULL, NULL, 1),
(15463, NULL, 'cd12961', NULL, NULL, 'CBM58_SusG', NULL, 'CBM58_SusG', NULL, NULL, NULL, 1),
(15464, NULL, 'cd11987', NULL, NULL, 'SH3_Intersectin1_1', NULL, 'SH3_Intersectin1_1', NULL, NULL, NULL, 1),
(15465, NULL, 'cd00858', NULL, NULL, 'GlyRS_anticodon', NULL, 'GlyRS_anticodon', NULL, NULL, NULL, 1),
(15466, NULL, 'cd18409', NULL, NULL, 'BTB_POZ_KCNA10', NULL, 'BTB_POZ_KCNA10', NULL, NULL, NULL, 1),
(15467, NULL, 'cd15181', NULL, NULL, '7tmA_CXCR5', NULL, '7tmA_CXCR5', NULL, NULL, NULL, 1),
(15468, NULL, 'cd00892', NULL, NULL, 'PIKKc_ATR', NULL, 'PIKKc_ATR', NULL, NULL, NULL, 1),
(15469, NULL, 'cd11338', NULL, NULL, 'AmyAc_CMD', NULL, 'AmyAc_CMD', NULL, NULL, NULL, 1),
(15470, NULL, 'cd15297', NULL, NULL, '7tmA_mAChR_M2', NULL, '7tmA_mAChR_M2', NULL, NULL, NULL, 1),
(15471, NULL, 'cd11761', NULL, NULL, 'SH3_FCHSD_1', NULL, 'SH3_FCHSD_1', NULL, NULL, 15214, 1),
(15472, NULL, 'cd17910', NULL, NULL, 'CheC_ClassII', NULL, 'CheC_ClassII', NULL, NULL, NULL, 1),
(15473, NULL, 'cd12523', NULL, NULL, 'RRM2_MRN1', NULL, 'RRM2_MRN1', NULL, NULL, NULL, 1),
(15474, NULL, 'cd08762', NULL, NULL, 'Cyt_b561_CYBASC3', NULL, 'Cyt_b561_CYBASC3', NULL, NULL, NULL, 1),
(15475, NULL, 'cd12624', NULL, NULL, 'RRM_PRC', NULL, 'RRM_PRC', NULL, NULL, 36161, 1),
(15476, NULL, 'cd19084', NULL, NULL, 'AKR_AKR11B1-like', NULL, 'AKR_AKR11B1-like', NULL, NULL, NULL, 1),
(15477, NULL, 'cd15447', NULL, NULL, '7tmC_mGluR2', NULL, '7tmC_mGluR2', NULL, NULL, NULL, 1),
(15478, NULL, 'cd18030', NULL, NULL, 'DEXHc_RE_I_HsdR', NULL, 'DEXHc_RE_I_HsdR', NULL, NULL, NULL, 1),
(15479, NULL, 'cd13899', NULL, NULL, 'CuRO_3_Fet3p', NULL, 'CuRO_3_Fet3p', NULL, NULL, NULL, 1),
(15480, NULL, 'cd10297', NULL, NULL, 'GST_C_CLIC5', NULL, 'GST_C_CLIC5', NULL, NULL, 34408, 1),
(15481, NULL, 'cd05616', NULL, NULL, 'STKc_cPKC_beta', NULL, 'STKc_cPKC_beta', NULL, NULL, 18641, 1),
(15482, NULL, 'cd15543', NULL, NULL, 'PHD_RSF1', NULL, 'PHD_RSF1', NULL, NULL, NULL, 1),
(15483, NULL, 'cd16726', NULL, NULL, 'RING1-HC_MIB2', NULL, 'RING1-HC_MIB2', NULL, NULL, NULL, 1),
(15484, NULL, 'cd10377', NULL, NULL, 'SH2_STAT6', NULL, 'SH2_STAT6', NULL, NULL, 34729, 1),
(15485, NULL, 'cd04643', NULL, NULL, 'CBS_pair_bac', NULL, 'CBS_pair_bac', NULL, NULL, NULL, 1),
(15486, NULL, 'cd09327', NULL, NULL, 'LIM1_abLIM', NULL, 'LIM1_abLIM', NULL, NULL, NULL, 1),
(15487, NULL, 'cd00300', NULL, NULL, 'LDH_like', NULL, 'LDH_like', NULL, NULL, NULL, 1),
(15488, NULL, 'cd14379', NULL, NULL, 'UBA1_Rad23_plant', NULL, 'UBA1_Rad23_plant', NULL, NULL, NULL, 1),
(15489, NULL, 'cd17264', NULL, NULL, 'RMtype1_S_Eco3763I-TRD2-CR2_like', NULL, 'RMtype1_S_Eco3763I-TRD2-CR2_like', NULL, NULL, NULL, 1),
(15490, NULL, 'cd06643', NULL, NULL, 'STKc_SLK', NULL, 'STKc_SLK', NULL, NULL, NULL, 1),
(15491, NULL, 'cd13990', NULL, NULL, 'STKc_TLK', NULL, 'STKc_TLK', NULL, NULL, NULL, 1),
(15492, NULL, 'cd11691', NULL, NULL, 'HRI1_like', NULL, 'HRI1_like', NULL, NULL, NULL, 1),
(15493, NULL, 'cd14912', NULL, NULL, 'MYSc_Myh2_mammals', NULL, 'MYSc_Myh2_mammals', NULL, NULL, NULL, 1),
(15494, NULL, 'cd06303', NULL, NULL, 'PBP1_LuxPQ_Quorum_Sensing', NULL, 'PBP1_LuxPQ_Quorum_Sensing', NULL, NULL, NULL, 1),
(15495, NULL, 'cd13894', NULL, NULL, 'CuRO_3_AAO_like_1', NULL, 'CuRO_3_AAO_like_1', NULL, NULL, 35043, 1),
(15496, NULL, 'cd00928', NULL, NULL, 'Cyt_c_Oxidase_VIIa', NULL, 'Cyt_c_Oxidase_VIIa', NULL, NULL, 1778, 1),
(15497, NULL, 'cd17631', NULL, NULL, 'FACL_FadD13-like', NULL, 'FACL_FadD13-like', NULL, NULL, NULL, 1),
(15498, NULL, 'cd11457', NULL, NULL, 'bHLHzip_L-Myc', NULL, 'bHLHzip_L-Myc', NULL, NULL, NULL, 1),
(15499, NULL, 'cd11984', NULL, NULL, 'SH3_Shank3', NULL, 'SH3_Shank3', NULL, NULL, NULL, 1);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15500, NULL, 'cd07635', NULL, NULL, 'BAR_GRAF2', NULL, 'BAR_GRAF2', NULL, NULL, NULL, 1),
(15501, NULL, 'cd11988', NULL, NULL, 'SH3_Intersectin2_1', NULL, 'SH3_Intersectin2_1', NULL, NULL, 30131, 1),
(15502, NULL, 'cd16609', NULL, NULL, 'RING-HC_TRIM65_C-IV', NULL, 'RING-HC_TRIM65_C-IV', NULL, NULL, NULL, 1),
(15503, NULL, 'cd19807', NULL, NULL, 'Bbox1_TRIM36-like', NULL, 'Bbox1_TRIM36-like', NULL, NULL, NULL, 1),
(15504, NULL, 'cd13567', NULL, NULL, 'PBP2_TtGluBP', NULL, 'PBP2_TtGluBP', NULL, NULL, NULL, 1),
(15505, NULL, 'cd17661', NULL, NULL, 'PFA-DSP_Oca2', NULL, 'PFA-DSP_Oca2', NULL, NULL, NULL, 1),
(15506, NULL, 'cd12824', NULL, NULL, 'ZntB-like', NULL, 'ZntB-like', NULL, NULL, NULL, 1),
(15507, NULL, 'cd17000', NULL, NULL, 'VHS_STAM1', NULL, 'VHS_STAM1', NULL, NULL, NULL, 1),
(15508, NULL, 'cd15764', NULL, NULL, 'FYVE_Slp4', NULL, 'FYVE_Slp4', NULL, NULL, 38866, 1),
(15509, NULL, 'cd15118', NULL, NULL, '7tmA_PD2R2_CRTH2', NULL, '7tmA_PD2R2_CRTH2', NULL, NULL, NULL, 1),
(15510, NULL, 'cd09353', NULL, NULL, 'LIM2_Zyxin', NULL, 'LIM2_Zyxin', NULL, NULL, NULL, 1),
(15511, NULL, 'cd10455', NULL, NULL, 'GIY-YIG_SLX1', NULL, 'GIY-YIG_SLX1', NULL, NULL, NULL, 1),
(15512, NULL, 'cd07789', NULL, NULL, 'FGGY_CsGK_like', NULL, 'FGGY_CsGK_like', NULL, NULL, NULL, 1),
(15513, NULL, 'cd13270', NULL, NULL, 'PH1_TAPP1_2', NULL, 'PH1_TAPP1_2', NULL, NULL, NULL, 1),
(15514, NULL, 'cd06857', NULL, NULL, 'SLC5-6-like_sbd', NULL, 'SLC5-6-like_sbd', NULL, NULL, NULL, 1),
(15515, NULL, 'cd05758', NULL, NULL, 'Ig5_KIRREL3-like', NULL, 'Ig5_KIRREL3-like', NULL, NULL, NULL, 1),
(15516, NULL, 'cd14312', NULL, NULL, 'UBA_II_E2_UBC27_like', NULL, 'UBA_II_E2_UBC27_like', NULL, NULL, 32649, 1),
(15517, NULL, 'cd10801', NULL, NULL, 'LamB_YcsF_like_1', NULL, 'LamB_YcsF_like_1', NULL, NULL, NULL, 1),
(15518, NULL, 'cd19721', NULL, NULL, 'bHLH_TS_NeuroD4_ATOH3', NULL, 'bHLH_TS_NeuroD4_ATOH3', NULL, NULL, NULL, 1),
(15519, NULL, 'cd09177', NULL, NULL, 'PLDc_RE_NgoFVII', NULL, 'PLDc_RE_NgoFVII', NULL, NULL, NULL, 1),
(15520, NULL, 'cd03562', NULL, NULL, 'CID', NULL, 'CID', NULL, NULL, NULL, 1),
(15521, NULL, 'cd06111', NULL, NULL, 'DsCS_like', NULL, 'DsCS_like', NULL, NULL, NULL, 1),
(15522, NULL, 'cd15247', NULL, NULL, '7tmF_FZD1', NULL, '7tmF_FZD1', NULL, NULL, NULL, 1),
(15523, NULL, 'cd19184', NULL, NULL, 'SET_KMT5B', NULL, 'SET_KMT5B', NULL, NULL, 37775, 1),
(15524, NULL, 'cd07058', NULL, NULL, 'BMC_CsoS1', NULL, 'BMC_CsoS1', NULL, NULL, NULL, 1),
(15525, NULL, 'cd11248', NULL, NULL, 'Sema_MET_like', NULL, 'Sema_MET_like', NULL, NULL, NULL, 1),
(15526, NULL, 'cd06158', NULL, NULL, 'S2P-M50_like_1', NULL, 'S2P-M50_like_1', NULL, NULL, 37310, 1),
(15527, NULL, 'cd16880', NULL, NULL, 'ARID_ARID3C', NULL, 'ARID_ARID3C', NULL, NULL, NULL, 1),
(15528, NULL, 'cd09663', NULL, NULL, 'Csm4_III-A', NULL, 'Csm4_III-A', NULL, NULL, NULL, 1),
(15529, NULL, 'cd05845', NULL, NULL, 'Ig2_L1-CAM_like', NULL, 'Ig2_L1-CAM_like', NULL, NULL, NULL, 1),
(15530, NULL, 'cd07187', NULL, NULL, 'YvcK_like', NULL, 'YvcK_like', NULL, NULL, NULL, 1),
(15531, NULL, 'cd08295', NULL, NULL, 'double_bond_reductase_like', NULL, 'double_bond_reductase_like', NULL, NULL, NULL, 1),
(15532, NULL, 'cd05752', NULL, NULL, 'Ig1_FcgammaR_like', NULL, 'Ig1_FcgammaR_like', NULL, NULL, NULL, 1),
(15533, NULL, 'cd12561', NULL, NULL, 'RRM1_RBM5_like', NULL, 'RRM1_RBM5_like', NULL, NULL, NULL, 1),
(15534, NULL, 'cd05492', NULL, NULL, 'Bromo_ZMYND11', NULL, 'Bromo_ZMYND11', NULL, NULL, NULL, 1),
(15535, NULL, 'cd00577', NULL, NULL, 'PCNA', NULL, 'PCNA', NULL, NULL, NULL, 1),
(15536, NULL, 'cd19910', NULL, NULL, 'DSRM_ILF3_rpt1', NULL, 'DSRM_ILF3_rpt1', NULL, NULL, NULL, 1),
(15537, NULL, 'cd01380', NULL, NULL, 'MYSc_Myo5', NULL, 'MYSc_Myo5', NULL, NULL, 30838, 1),
(15538, NULL, 'cd01994', NULL, NULL, 'Alpha_ANH_like_IV', NULL, 'Alpha_ANH_like_IV', NULL, NULL, 4004, 1),
(15539, NULL, 'cd06139', NULL, NULL, 'DNA_polA_I_Ecoli_like_exo', NULL, 'DNA_polA_I_Ecoli_like_exo', NULL, NULL, NULL, 1),
(15540, NULL, 'cd18475', NULL, NULL, 'BACK_KLHL36', NULL, 'BACK_KLHL36', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15541, NULL, 'cd05757', NULL, NULL, 'Ig2_IL1R_like', NULL, 'Ig2_IL1R_like', NULL, NULL, NULL, 1),
(15542, NULL, 'cd09122', NULL, NULL, 'PLDc_Tdp1_1', NULL, 'PLDc_Tdp1_1', NULL, NULL, NULL, 1),
(15543, NULL, 'cd18944', NULL, NULL, 'bHLH_E-protein_E2A_TCF3', NULL, 'bHLH_E-protein_E2A_TCF3', NULL, NULL, NULL, 1),
(15544, NULL, 'cd08337', NULL, NULL, 'DED_c-FLIP_r1', NULL, 'DED_c-FLIP_r1', NULL, NULL, NULL, 1),
(15545, NULL, 'cd17226', NULL, NULL, 'RA_ARAP1', NULL, 'RA_ARAP1', NULL, NULL, NULL, 1),
(15546, NULL, 'cd09111', NULL, NULL, 'PLDc_ymdC_like_1', NULL, 'PLDc_ymdC_like_1', NULL, NULL, NULL, 1),
(15547, NULL, 'cd17715', NULL, NULL, 'BRCT_polymerase_lambda', NULL, 'BRCT_polymerase_lambda', NULL, NULL, NULL, 1),
(15548, NULL, 'cd17025', NULL, NULL, 'T3SC_IA_ShcF-like', NULL, 'T3SC_IA_ShcF-like', NULL, NULL, NULL, 1),
(15549, NULL, 'cd15309', NULL, NULL, '7tmA_D2_dopamine_R', NULL, '7tmA_D2_dopamine_R', NULL, NULL, NULL, 1),
(15550, NULL, 'cd04299', NULL, NULL, 'GT35_Glycogen_Phosphorylase-like', NULL, 'GT35_Glycogen_Phosphorylase-like', NULL, NULL, NULL, 1),
(15551, NULL, 'cd18192', NULL, NULL, 'BTB_POZ_ZBTB1', NULL, 'BTB_POZ_ZBTB1', NULL, NULL, NULL, 1),
(15552, NULL, 'cd18964', NULL, NULL, 'chromodomain', NULL, 'chromodomain', NULL, NULL, NULL, 1),
(15553, NULL, 'cd03678', NULL, NULL, 'MM_CoA_mutase_1', NULL, 'MM_CoA_mutase_1', NULL, NULL, NULL, 1),
(15554, NULL, 'cd18259', NULL, NULL, 'BTB_POZ_KLHL30', NULL, 'BTB_POZ_KLHL30', NULL, NULL, NULL, 1),
(15555, NULL, 'cd18574', NULL, NULL, 'ABC_6TM_ABCB8_like', NULL, 'ABC_6TM_ABCB8_like', NULL, NULL, NULL, 1),
(15556, NULL, 'cd14188', NULL, NULL, 'STKc_PLK2', NULL, 'STKc_PLK2', NULL, NULL, 37773, 1),
(15557, NULL, 'cd14449', NULL, NULL, 'CuRO_1_2DMCO_NIR_like_2', NULL, 'CuRO_1_2DMCO_NIR_like_2', NULL, NULL, NULL, 1),
(15558, NULL, 'cd01748', NULL, NULL, 'GATase1_IGP_Synthase', NULL, 'GATase1_IGP_Synthase', NULL, NULL, 10905, 1),
(15559, NULL, 'cd04283', NULL, NULL, 'ZnMc_hatching_enzyme', NULL, 'ZnMc_hatching_enzyme', NULL, NULL, 28761, 1),
(15560, NULL, 'cd01356', NULL, NULL, 'AcnX_swivel', NULL, 'AcnX_swivel', NULL, NULL, 5419, 1),
(15561, NULL, 'cd14231', NULL, NULL, 'GAT_GGA_like_plant', NULL, 'GAT_GGA_like_plant', NULL, NULL, NULL, 1),
(15562, NULL, 'cd16962', NULL, NULL, 'RuvC', NULL, 'RuvC', NULL, NULL, 5338, 1),
(15563, NULL, 'cd19071', NULL, NULL, 'AKR_AKR1-5-like', NULL, 'AKR_AKR1-5-like', NULL, NULL, NULL, 1),
(15564, NULL, 'cd12506', NULL, NULL, 'RRM3_hnRNPH_CRSF1_like', NULL, 'RRM3_hnRNPH_CRSF1_like', NULL, NULL, NULL, 1),
(15565, NULL, 'cd04725', NULL, NULL, 'OMP_decarboxylase_like', NULL, 'OMP_decarboxylase_like', NULL, NULL, NULL, 1),
(15566, NULL, 'cd06616', NULL, NULL, 'PKc_MKK4', NULL, 'PKc_MKK4', NULL, NULL, NULL, 1),
(15567, NULL, 'cd16629', NULL, NULL, 'RING-HC_RBR_RNF19', NULL, 'RING-HC_RBR_RNF19', NULL, NULL, NULL, 1),
(15568, NULL, 'cd01543', NULL, NULL, 'PBP1_XylR', NULL, 'PBP1_XylR', NULL, NULL, NULL, 1),
(15569, NULL, 'cd18016', NULL, NULL, 'DEXHc_RecQ2_BLM', NULL, 'DEXHc_RecQ2_BLM', NULL, NULL, NULL, 1),
(15570, NULL, 'cd11022', NULL, NULL, 'CuRO_4_ceruloplasmin', NULL, 'CuRO_4_ceruloplasmin', NULL, NULL, NULL, 1),
(15571, NULL, 'cd15439', NULL, NULL, '7tmB2_EMR', NULL, '7tmB2_EMR', NULL, NULL, NULL, 1),
(15572, NULL, 'cd14805', NULL, NULL, 'Translin-like', NULL, 'Translin-like', NULL, NULL, NULL, 1),
(15573, NULL, 'cd09836', NULL, NULL, 'CBS_pair_arch', NULL, 'CBS_pair_arch', NULL, NULL, NULL, 1),
(15574, NULL, 'cd09644', NULL, NULL, 'Csn2', NULL, 'Csn2', NULL, NULL, NULL, 1),
(15575, NULL, 'cd03465', NULL, NULL, 'URO-D_like', NULL, 'URO-D_like', NULL, NULL, NULL, 1),
(15576, NULL, 'cd19799', NULL, NULL, 'Bbox2_MYCBP2', NULL, 'Bbox2_MYCBP2', NULL, NULL, NULL, 1),
(15577, NULL, 'cd01533', NULL, NULL, '4RHOD_Repeat_2', NULL, '4RHOD_Repeat_2', NULL, NULL, NULL, 1),
(15578, NULL, 'cd07783', NULL, NULL, 'FGGY_CarbK-RPE_like', NULL, 'FGGY_CarbK-RPE_like', NULL, NULL, NULL, 1),
(15579, NULL, 'cd09604', NULL, NULL, 'M1_APN_like', NULL, 'M1_APN_like', NULL, NULL, NULL, 1),
(15580, NULL, 'cd17384', NULL, NULL, 'MFS_SLC18A1_2_VAT1_2', NULL, 'MFS_SLC18A1_2_VAT1_2', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15581, NULL, 'cd13202', NULL, NULL, 'FERM_C_MyoX', NULL, 'FERM_C_MyoX', NULL, NULL, 33391, 1),
(15582, NULL, 'cd07265', NULL, NULL, '2_3_CTD_N', NULL, '2_3_CTD_N', NULL, NULL, NULL, 1),
(15583, NULL, 'cd01378', NULL, NULL, 'MYSc_Myo1', NULL, 'MYSc_Myo1', NULL, NULL, 29482, 1),
(15584, NULL, 'cd02259', NULL, NULL, 'Peptidase_C39_like', NULL, 'Peptidase_C39_like', NULL, NULL, NULL, 1),
(15585, NULL, 'cd15529', NULL, NULL, 'PHD2_PHF10', NULL, 'PHD2_PHF10', NULL, NULL, NULL, 1),
(15586, NULL, 'cd09256', NULL, NULL, 'AP_MuD_MHD', NULL, 'AP_MuD_MHD', NULL, NULL, NULL, 1),
(15587, NULL, 'cd15190', NULL, NULL, '7tmA_Apelin_R', NULL, '7tmA_Apelin_R', NULL, NULL, NULL, 1),
(15588, NULL, 'cd12217', NULL, NULL, 'Stu0660_Csn2', NULL, 'Stu0660_Csn2', NULL, NULL, NULL, 1),
(15589, NULL, 'cd06302', NULL, NULL, 'PBP1_LsrB_Quorum_Sensing-like', NULL, 'PBP1_LsrB_Quorum_Sensing-like', NULL, NULL, NULL, 1),
(15590, NULL, 'cd17220', NULL, NULL, 'RA_RASSF5', NULL, 'RA_RASSF5', NULL, NULL, NULL, 1),
(15591, NULL, 'cd15673', NULL, NULL, 'ePHD_PHF6_like', NULL, 'ePHD_PHF6_like', NULL, NULL, NULL, 1),
(15592, NULL, 'cd18700', NULL, NULL, 'PIN_GNAT-like', NULL, 'PIN_GNAT-like', NULL, NULL, NULL, 1),
(15593, NULL, 'cd18961', NULL, NULL, 'CD_CEC-4_like', NULL, 'CD_CEC-4_like', NULL, NULL, NULL, 1),
(15594, NULL, 'cd07459', NULL, NULL, 'CRD_TK_ROR_like', NULL, 'CRD_TK_ROR_like', NULL, NULL, 32933, 1),
(15595, NULL, 'cd06919', NULL, NULL, 'Asp_decarbox', NULL, 'Asp_decarbox', NULL, NULL, 1715, 1),
(15596, NULL, 'cd02394', NULL, NULL, 'vigilin_like_KH', NULL, 'vigilin_like_KH', NULL, NULL, NULL, 1),
(15597, NULL, 'cd19204', NULL, NULL, 'SET_SETD1A', NULL, 'SET_SETD1A', NULL, NULL, NULL, 1),
(15598, NULL, 'cd12593', NULL, NULL, 'RRM_RBM11', NULL, 'RRM_RBM11', NULL, NULL, 32105, 1),
(15599, NULL, 'cd15857', NULL, NULL, 'SNARE_SEC9C', NULL, 'SNARE_SEC9C', NULL, NULL, NULL, 1),
(15600, NULL, 'cd01795', NULL, NULL, 'Ubl_USP48', NULL, 'Ubl_USP48', NULL, NULL, 39248, 1),
(15601, NULL, 'cd05103', NULL, NULL, 'PTKc_VEGFR2', NULL, 'PTKc_VEGFR2', NULL, NULL, NULL, 1),
(15602, NULL, 'cd20273', NULL, NULL, 'Complex1_LYR_unchar', NULL, 'Complex1_LYR_unchar', NULL, NULL, NULL, 1),
(15603, NULL, 'cd12771', NULL, NULL, 'RRM1_HuB', NULL, 'RRM1_HuB', NULL, NULL, NULL, 1),
(15604, NULL, 'cd14590', NULL, NULL, 'PTP-MTMR2', NULL, 'PTP-MTMR2', NULL, NULL, NULL, 1),
(15605, NULL, 'cd09525', NULL, NULL, 'SAM_GAREM', NULL, 'SAM_GAREM', NULL, NULL, NULL, 1),
(15606, NULL, 'cd03309', NULL, NULL, 'CmuC_like', NULL, 'CmuC_like', NULL, NULL, NULL, 1),
(15607, NULL, 'cd18605', NULL, NULL, 'ABC_6TM_MRP7_D2_like', NULL, 'ABC_6TM_MRP7_D2_like', NULL, NULL, NULL, 1),
(15608, NULL, 'cd00103', NULL, NULL, 'IRF', NULL, 'IRF', NULL, NULL, 2241, 1),
(15609, NULL, 'cd12248', NULL, NULL, 'RRM_RBM44', NULL, 'RRM_RBM44', NULL, NULL, 15046, 1),
(15610, NULL, 'cd01567', NULL, NULL, 'NAPRTase_PncB', NULL, 'NAPRTase_PncB', NULL, NULL, NULL, 1),
(15611, NULL, 'cd06625', NULL, NULL, 'STKc_MEKK3_like', NULL, 'STKc_MEKK3_like', NULL, NULL, NULL, 1),
(15612, NULL, 'cd10804', NULL, NULL, 'YdjC_HpnK_like', NULL, 'YdjC_HpnK_like', NULL, NULL, NULL, 1),
(15613, NULL, 'cd20307', NULL, NULL, 'cupin_BacB_N', NULL, 'cupin_BacB_N', NULL, NULL, NULL, 1),
(15614, NULL, 'cd17082', NULL, NULL, 'RAWUL_PCGF2_like', NULL, 'RAWUL_PCGF2_like', NULL, NULL, NULL, 1),
(15615, NULL, 'cd00668', NULL, NULL, 'Ile_Leu_Val_MetRS_core', NULL, 'Ile_Leu_Val_MetRS_core', NULL, NULL, NULL, 1),
(15616, NULL, 'cd21511', NULL, NULL, 'cv-alpha_beta_Nsp2-like', NULL, 'cv-alpha_beta_Nsp2-like', NULL, NULL, NULL, 1),
(15617, NULL, 'cd19158', NULL, NULL, 'AKR_KCAB2B_AKR6A1-like', NULL, 'AKR_KCAB2B_AKR6A1-like', NULL, NULL, NULL, 1),
(15618, NULL, 'cd18081', NULL, NULL, 'RlmH-like', NULL, 'RlmH-like', NULL, NULL, 4441, 1),
(15619, NULL, 'cd00854', NULL, NULL, 'NagA', NULL, 'NagA', NULL, NULL, 2337, 1),
(15620, NULL, 'cd19118', NULL, NULL, 'AKR_AKR3B1-3', NULL, 'AKR_AKR3B1-3', NULL, NULL, 37155, 1),
(15621, NULL, 'cd06502', NULL, NULL, 'TA_like', NULL, 'TA_like', NULL, NULL, NULL, 1),
(15622, NULL, 'cd02230', NULL, NULL, 'cupin_HP0902-like', NULL, 'cupin_HP0902-like', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15623, NULL, 'cd09582', NULL, NULL, 'SAM_Scm-like-3MBT3,4', NULL, 'SAM_Scm-like-3MBT3,4', NULL, NULL, NULL, 1),
(15624, NULL, 'cd09982', NULL, NULL, 'LOTUS_6_Limkain_b1', NULL, 'LOTUS_6_Limkain_b1', NULL, NULL, NULL, 1),
(15625, NULL, 'cd10379', NULL, NULL, 'SH2_Jak2', NULL, 'SH2_Jak2', NULL, NULL, 32213, 1),
(15626, NULL, 'cd12769', NULL, NULL, 'RRM1_HuR', NULL, 'RRM1_HuR', NULL, NULL, NULL, 1),
(15627, NULL, 'cd05370', NULL, NULL, 'SDR_c2', NULL, 'SDR_c2', NULL, NULL, NULL, 1),
(15628, NULL, 'cd14671', NULL, NULL, 'PAAR_like', NULL, 'PAAR_like', NULL, NULL, NULL, 1),
(15629, NULL, 'cd16411', NULL, NULL, 'ParB_N_like', NULL, 'ParB_N_like', NULL, NULL, NULL, 1),
(15630, NULL, 'cd12823', NULL, NULL, 'Mrs2_Mfm1p-like', NULL, 'Mrs2_Mfm1p-like', NULL, NULL, 35669, 1),
(15631, NULL, 'cd17519', NULL, NULL, 'RMtype1_S_HpyCR35ORFAP-TRD1-CR1_like', NULL, 'RMtype1_S_HpyCR35ORFAP-TRD1-CR1_like', NULL, NULL, NULL, 1),
(15632, NULL, 'cd04775', NULL, NULL, 'HTH_Cfa-like', NULL, 'HTH_Cfa-like', NULL, NULL, NULL, 1),
(15633, NULL, 'cd19737', NULL, NULL, 'bHLH-PAS_NPAS2_PASD4', NULL, 'bHLH-PAS_NPAS2_PASD4', NULL, NULL, NULL, 1),
(15634, NULL, 'cd15523', NULL, NULL, 'PHD_PHF21A', NULL, 'PHD_PHF21A', NULL, NULL, NULL, 1),
(15635, NULL, 'cd00188', NULL, NULL, 'TOPRIM', NULL, 'TOPRIM', NULL, NULL, NULL, 1),
(15636, NULL, 'cd04925', NULL, NULL, 'ACT_ACR_2', NULL, 'ACT_ACR_2', NULL, NULL, NULL, 1),
(15637, NULL, 'cd10326', NULL, NULL, 'SLC5sbd_NIS-like', NULL, 'SLC5sbd_NIS-like', NULL, NULL, NULL, 1),
(15638, NULL, 'cd05635', NULL, NULL, 'LbH_unknown', NULL, 'LbH_unknown', NULL, NULL, NULL, 1),
(15639, NULL, 'cd09109', NULL, NULL, 'PLDc_PMFPLD_like_2', NULL, 'PLDc_PMFPLD_like_2', NULL, NULL, NULL, 1),
(15640, NULL, 'cd07853', NULL, NULL, 'STKc_NLK', NULL, 'STKc_NLK', NULL, NULL, NULL, 1),
(15641, NULL, 'cd13557', NULL, NULL, 'PBP2_SsuA', NULL, 'PBP2_SsuA', NULL, NULL, NULL, 1),
(15642, NULL, 'cd16380', NULL, NULL, 'YitT_C', NULL, 'YitT_C', NULL, NULL, NULL, 1),
(15643, NULL, 'cd08232', NULL, NULL, 'idonate-5-DH', NULL, 'idonate-5-DH', NULL, NULL, NULL, 1),
(15644, NULL, 'cd09090', NULL, NULL, 'INPP5c_ScInp51p-like', NULL, 'INPP5c_ScInp51p-like', NULL, NULL, NULL, 1),
(15645, NULL, 'cd07939', NULL, NULL, 'DRE_TIM_NifV', NULL, 'DRE_TIM_NifV', NULL, NULL, 10434, 1),
(15646, NULL, 'cd11261', NULL, NULL, 'Sema_4F', NULL, 'Sema_4F', NULL, NULL, NULL, 1),
(15647, NULL, 'cd13338', NULL, NULL, 'FERM-like_C_SNX27', NULL, 'FERM-like_C_SNX27', NULL, NULL, 34380, 1),
(15648, NULL, 'cd16805', NULL, NULL, 'RING-H2_RNF150', NULL, 'RING-H2_RNF150', NULL, NULL, NULL, 1),
(15649, NULL, 'cd06479', NULL, NULL, 'ACD_HspB7_like', NULL, 'ACD_HspB7_like', NULL, NULL, 35724, 1),
(15650, NULL, 'sd00025', NULL, NULL, 'zf-RanBP2', NULL, 'zf-RanBP2', NULL, NULL, NULL, 1),
(15651, NULL, 'cd07734', NULL, NULL, 'Int9-11_CPSF2-3-like_MBL-fold', NULL, 'Int9-11_CPSF2-3-like_MBL-fold', NULL, NULL, NULL, 1),
(15652, NULL, 'cd14277', NULL, NULL, 'UBA_UBP2_like', NULL, 'UBA_UBP2_like', NULL, NULL, NULL, 1),
(15653, NULL, 'cd15795', NULL, NULL, 'PMEI-Pla_a_1_like', NULL, 'PMEI-Pla_a_1_like', NULL, NULL, 32207, 1),
(15654, NULL, 'cd14713', NULL, NULL, 'bZIP_CEBPG', NULL, 'bZIP_CEBPG', NULL, NULL, NULL, 1),
(15655, NULL, 'cd00845', NULL, NULL, 'MPP_UshA_N_like', NULL, 'MPP_UshA_N_like', NULL, NULL, NULL, 1),
(15656, NULL, 'cd19985', NULL, NULL, 'PBP1_ABC_HAAT-like', NULL, 'PBP1_ABC_HAAT-like', NULL, NULL, NULL, 1),
(15657, NULL, 'cd15168', NULL, NULL, '7tmA_P2Y1-like', NULL, '7tmA_P2Y1-like', NULL, NULL, NULL, 1),
(15658, NULL, 'cd07082', NULL, NULL, 'ALDH_F11_NP-GAPDH', NULL, 'ALDH_F11_NP-GAPDH', NULL, NULL, NULL, 1),
(15659, NULL, 'cd07533', NULL, NULL, 'HAD_like', NULL, 'HAD_like', NULL, NULL, NULL, 1),
(15660, NULL, 'cd09424', NULL, NULL, 'LIM2_FHL1', NULL, 'LIM2_FHL1', NULL, NULL, NULL, 1),
(15661, NULL, 'cd04221', NULL, NULL, 'MauL', NULL, 'MauL', NULL, NULL, 20177, 1),
(15662, NULL, 'cd12519', NULL, NULL, 'RRM1_SREK1', NULL, 'RRM1_SREK1', NULL, NULL, NULL, 1),
(15663, NULL, 'cd02859', NULL, NULL, 'E_set_AMPKbeta_like_N', NULL, 'E_set_AMPKbeta_like_N', NULL, NULL, NULL, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15664, NULL, 'cd11997', NULL, NULL, 'SH3_PACSIN3', NULL, 'SH3_PACSIN3', NULL, NULL, NULL, 1),
(15665, NULL, 'cd09139', NULL, NULL, 'PLDc_pPLD_like_1', NULL, 'PLDc_pPLD_like_1', NULL, NULL, NULL, 1),
(15666, NULL, 'cd18575', NULL, NULL, 'ABC_6TM_bac_exporter_ABCB8_10_like', NULL, 'ABC_6TM_bac_exporter_ABCB8_10_like', NULL, NULL, NULL, 1),
(15667, NULL, 'cd00655', NULL, NULL, 'RNAP_Rpb7_N_like', NULL, 'RNAP_Rpb7_N_like', NULL, NULL, NULL, 1),
(15668, NULL, 'cd05725', NULL, NULL, 'Ig3_Robo', NULL, 'Ig3_Robo', NULL, NULL, NULL, 1),
(15669, NULL, 'cd06260', NULL, NULL, 'DUF820', NULL, 'DUF820', NULL, NULL, 13174, 1),
(15670, NULL, 'cd13725', NULL, NULL, 'PBP2_iGluR_kainate_KA2', NULL, 'PBP2_iGluR_kainate_KA2', NULL, NULL, NULL, 1),
(15671, NULL, 'cd16275', NULL, NULL, 'BaeB-like_MBL-fold', NULL, 'BaeB-like_MBL-fold', NULL, NULL, NULL, 1),
(15672, NULL, 'cd19923', NULL, NULL, 'REC_CheY_CheY3', NULL, 'REC_CheY_CheY3', NULL, NULL, NULL, 1),
(15673, NULL, 'cd09710', NULL, NULL, 'Cas3_I-D', NULL, 'Cas3_I-D', NULL, NULL, NULL, 1),
(15674, NULL, 'sd00038', NULL, NULL, 'Kelch', NULL, 'Kelch', NULL, NULL, NULL, 1),
(15675, NULL, 'cd12540', NULL, NULL, 'RRM_U2AFBPL', NULL, 'RRM_U2AFBPL', NULL, NULL, NULL, 1),
(15676, NULL, 'cd16270', NULL, NULL, 'Apc5_N', NULL, 'Apc5_N', NULL, NULL, NULL, 1),
(15677, NULL, 'cd01753', NULL, NULL, 'PLAT_LOX', NULL, 'PLAT_LOX', NULL, NULL, 32510, 1),
(15678, NULL, 'cd18341', NULL, NULL, 'BTB_POZ_KLHL41_KBTBD10', NULL, 'BTB_POZ_KLHL41_KBTBD10', NULL, NULL, NULL, 1),
(15679, NULL, 'cd05473', NULL, NULL, 'beta_secretase_like', NULL, 'beta_secretase_like', NULL, NULL, 29313, 1),
(15680, NULL, 'cd11400', NULL, NULL, 'bHLHzip_Myc', NULL, 'bHLHzip_Myc', NULL, NULL, NULL, 1),
(15681, NULL, 'cd07163', NULL, NULL, 'NR_DBD_TLX', NULL, 'NR_DBD_TLX', NULL, NULL, NULL, 1),
(15682, NULL, 'cd00683', NULL, NULL, 'Trans_IPPS_HH', NULL, 'Trans_IPPS_HH', NULL, NULL, 31567, 1),
(15683, NULL, 'cd15588', NULL, NULL, 'PHD1_KMT2A', NULL, 'PHD1_KMT2A', NULL, NULL, 33442, 1),
(15684, NULL, 'cd01771', NULL, NULL, 'UBX_UBXN3A', NULL, 'UBX_UBXN3A', NULL, NULL, 33889, 1),
(15685, NULL, 'cd15969', NULL, NULL, '7tmA_GPR87', NULL, '7tmA_GPR87', NULL, NULL, NULL, 1),
(15686, NULL, 'cd04881', NULL, NULL, 'ACT_HSDH-Hom', NULL, 'ACT_HSDH-Hom', NULL, NULL, NULL, 1),
(15687, NULL, 'cd19742', NULL, NULL, 'bHLH_TS_ASCL1_Mash1', NULL, 'bHLH_TS_ASCL1_Mash1', NULL, NULL, NULL, 1),
(15688, NULL, 'cd08168', NULL, NULL, 'Cytochrom_C3', NULL, 'Cytochrom_C3', NULL, NULL, NULL, 1),
(15689, NULL, 'cd04681', NULL, NULL, 'Nudix_Hydrolase_22', NULL, 'Nudix_Hydrolase_22', NULL, NULL, NULL, 1),
(15690, NULL, 'cd08805', NULL, NULL, 'Death_ank1', NULL, 'Death_ank1', NULL, NULL, NULL, 1),
(15691, NULL, 'cd03750', NULL, NULL, 'proteasome_alpha_type_2', NULL, 'proteasome_alpha_type_2', NULL, NULL, NULL, 1),
(15692, NULL, 'cd02940', NULL, NULL, 'DHPD_FMN', NULL, 'DHPD_FMN', NULL, NULL, NULL, 1),
(15693, NULL, 'cd15214', NULL, NULL, '7tmA_GPR161', NULL, '7tmA_GPR161', NULL, NULL, NULL, 1),
(15694, NULL, 'cd18005', NULL, NULL, 'DEXHc_ERCC6L2', NULL, 'DEXHc_ERCC6L2', NULL, NULL, NULL, 1),
(15695, NULL, 'cd00404', NULL, NULL, 'Aconitase_swivel', NULL, 'Aconitase_swivel', NULL, NULL, NULL, 1),
(15696, NULL, 'cd04129', NULL, NULL, 'Rho2', NULL, 'Rho2', NULL, NULL, NULL, 1),
(15697, NULL, 'cd07588', NULL, NULL, 'BAR_Amphiphysin', NULL, 'BAR_Amphiphysin', NULL, NULL, NULL, 1),
(15698, NULL, 'cd09154', NULL, NULL, 'PLDc_SMU_988_like_1', NULL, 'PLDc_SMU_988_like_1', NULL, NULL, NULL, 1),
(15699, NULL, 'cd12766', NULL, NULL, 'RRM2_SRSF6', NULL, 'RRM2_SRSF6', NULL, NULL, NULL, 1),
(15700, NULL, 'cd14637', NULL, NULL, 'R-PTPc-U-2', NULL, 'R-PTPc-U-2', NULL, NULL, NULL, 1),
(15701, NULL, 'cd05006', NULL, NULL, 'SIS_GmhA', NULL, 'SIS_GmhA', NULL, NULL, 31410, 1),
(15702, NULL, 'cd08234', NULL, NULL, 'threonine_DH_like', NULL, 'threonine_DH_like', NULL, NULL, NULL, 1),
(15703, NULL, 'cd07602', NULL, NULL, 'BAR_RhoGAP_OPHN1-like', NULL, 'BAR_RhoGAP_OPHN1-like', NULL, NULL, NULL, 1),
(15704, NULL, 'cd17527', NULL, NULL, 'HAMP_II', NULL, 'HAMP_II', NULL, NULL, NULL, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15705, NULL, 'cd15911', NULL, NULL, '7tmA_OR11A-like', NULL, '7tmA_OR11A-like', NULL, NULL, NULL, 1),
(15706, NULL, 'cd03505', NULL, NULL, 'Delta9-FADS-like', NULL, 'Delta9-FADS-like', NULL, NULL, 7319, 1),
(15707, NULL, 'cd09301', NULL, NULL, 'HDAC', NULL, 'HDAC', NULL, NULL, NULL, 1),
(15708, NULL, 'cd14630', NULL, NULL, 'R-PTPc-T-1', NULL, 'R-PTPc-T-1', NULL, NULL, NULL, 1),
(15709, NULL, 'cd08907', NULL, NULL, 'START_STARD8-like', NULL, 'START_STARD8-like', NULL, NULL, NULL, 1),
(15710, NULL, 'cd14069', NULL, NULL, 'STKc_Chk1', NULL, 'STKc_Chk1', NULL, NULL, 9015, 1),
(15711, NULL, 'cd04367', NULL, NULL, 'IlGF_insulin_like', NULL, 'IlGF_insulin_like', NULL, NULL, 4412, 1),
(15712, NULL, 'cd01763', NULL, NULL, 'Ubl_SUMO_like', NULL, 'Ubl_SUMO_like', NULL, NULL, NULL, 1),
(15713, NULL, 'cd14424', NULL, NULL, 'CUE_Cue1p_like', NULL, 'CUE_Cue1p_like', NULL, NULL, NULL, 1),
(15714, NULL, 'cd20754', NULL, NULL, 'capping_2-OMTase_viral', NULL, 'capping_2-OMTase_viral', NULL, NULL, NULL, 1),
(15715, NULL, 'cd05382', NULL, NULL, 'CAP_GAPR1-like', NULL, 'CAP_GAPR1-like', NULL, NULL, 4940, 1),
(15716, NULL, 'cd10009', NULL, NULL, 'HDAC9', NULL, 'HDAC9', NULL, NULL, NULL, 1),
(15717, NULL, 'cd02221', NULL, NULL, 'cupin_TM1287-like', NULL, 'cupin_TM1287-like', NULL, NULL, NULL, 1),
(15718, NULL, 'cd08022', NULL, NULL, 'M28_PSMA_like', NULL, 'M28_PSMA_like', NULL, NULL, NULL, 1),
(15719, NULL, 'cd12112', NULL, NULL, 'PHP_HisPPase_Chlorobi_like', NULL, 'PHP_HisPPase_Chlorobi_like', NULL, NULL, NULL, 1),
(15720, NULL, 'cd09178', NULL, NULL, 'PLDc_N_Snf2_like', NULL, 'PLDc_N_Snf2_like', NULL, NULL, NULL, 1),
(15721, NULL, 'cd16164', NULL, NULL, 'OCRE_VG5Q', NULL, 'OCRE_VG5Q', NULL, NULL, 36499, 1),
(15722, NULL, 'cd16882', NULL, NULL, 'ARID_ARID4A', NULL, 'ARID_ARID4A', NULL, NULL, NULL, 1),
(15723, NULL, 'cd05711', NULL, NULL, 'Ig2_LILR_KIR_like', NULL, 'Ig2_LILR_KIR_like', NULL, NULL, NULL, 1),
(15724, NULL, 'cd13219', NULL, NULL, 'PH-GRAM_C2-GRAM', NULL, 'PH-GRAM_C2-GRAM', NULL, NULL, NULL, 1),
(15725, NULL, 'cd00669', NULL, NULL, 'Asp_Lys_Asn_RS_core', NULL, 'Asp_Lys_Asn_RS_core', NULL, NULL, NULL, 1),
(15726, NULL, 'cd00221', NULL, NULL, 'Vsr', NULL, 'Vsr', NULL, NULL, 900, 1),
(15727, NULL, 'cd10582', NULL, NULL, 'TNFRSF14', NULL, 'TNFRSF14', NULL, NULL, 33632, 1),
(15728, NULL, 'cd19086', NULL, NULL, 'AKR_AKR11C1', NULL, 'AKR_AKR11C1', NULL, NULL, NULL, 1),
(15729, NULL, 'cd03561', NULL, NULL, 'VHS', NULL, 'VHS', NULL, NULL, NULL, 1),
(15730, NULL, 'cd06083', NULL, NULL, 'KOW_Spt5_3', NULL, 'KOW_Spt5_3', NULL, NULL, 33201, 1),
(15731, NULL, 'cd11843', NULL, NULL, 'SH3_PACSIN', NULL, 'SH3_PACSIN', NULL, NULL, NULL, 1),
(15732, NULL, 'cd01208', NULL, NULL, 'PTB_X11', NULL, 'PTB_X11', NULL, NULL, NULL, 1),
(15733, NULL, 'cd05732', NULL, NULL, 'Ig_NCAM-1_like', NULL, 'Ig_NCAM-1_like', NULL, NULL, NULL, 1),
(15734, NULL, 'cd06830', NULL, NULL, 'PLPDE_III_ADC', NULL, 'PLPDE_III_ADC', NULL, NULL, 7263, 1),
(15735, NULL, 'cd09987', NULL, NULL, 'Arginase_HDAC', NULL, 'Arginase_HDAC', NULL, NULL, NULL, 1),
(15736, NULL, 'cd16015', NULL, NULL, 'LTA_synthase', NULL, 'LTA_synthase', NULL, NULL, NULL, 1),
(15737, NULL, 'cd15389', NULL, NULL, '7tmA_GPR83', NULL, '7tmA_GPR83', NULL, NULL, NULL, 1),
(15738, NULL, 'cd02956', NULL, NULL, 'ybbN', NULL, 'ybbN', NULL, NULL, NULL, 1),
(15739, NULL, 'cd07437', NULL, NULL, 'PHP_HisPPase_Ycdx_like', NULL, 'PHP_HisPPase_Ycdx_like', NULL, NULL, NULL, 1),
(15740, NULL, 'cd02638', NULL, NULL, 'R3H_unknown_1', NULL, 'R3H_unknown_1', NULL, NULL, NULL, 1),
(15741, NULL, 'cd17937', NULL, NULL, 'DEXXYc_viral_SF1-N', NULL, 'DEXXYc_viral_SF1-N', NULL, NULL, NULL, 1),
(15742, NULL, 'cd04789', NULL, NULL, 'HTH_Cfa', NULL, 'HTH_Cfa', NULL, NULL, NULL, 1),
(15743, NULL, 'cd17201', NULL, NULL, 'FERM_F1_EPB41L1', NULL, 'FERM_F1_EPB41L1', NULL, NULL, NULL, 1),
(15744, NULL, 'cd01427', NULL, NULL, 'HAD_like', NULL, 'HAD_like', NULL, NULL, NULL, 1),
(15745, NULL, 'cd10460', NULL, NULL, 'PUB_UBXD1', NULL, 'PUB_UBXD1', NULL, NULL, 38217, 1),
(15746, NULL, 'cd09344', NULL, NULL, 'LIM1_FHL1', NULL, 'LIM1_FHL1', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15747, NULL, 'cd12710', NULL, NULL, 'RRM_RCAN3', NULL, 'RRM_RCAN3', NULL, NULL, NULL, 1),
(15748, NULL, 'cd19778', NULL, NULL, 'Bbox2_TRIM36_C-I', NULL, 'Bbox2_TRIM36_C-I', NULL, NULL, NULL, 1),
(15749, NULL, 'cd14742', NULL, NULL, 'PAAR_RHS', NULL, 'PAAR_RHS', NULL, NULL, NULL, 1),
(15750, NULL, 'cd18659', NULL, NULL, 'CD2_tandem', NULL, 'CD2_tandem', NULL, NULL, NULL, 1),
(15751, NULL, 'cd11733', NULL, NULL, 'HSPA9-like_NBD', NULL, 'HSPA9-like_NBD', NULL, NULL, NULL, 1),
(15752, NULL, 'cd13561', NULL, NULL, 'PBP2_SsuA_like_4', NULL, 'PBP2_SsuA_like_4', NULL, NULL, NULL, 1),
(15753, NULL, 'cd16368', NULL, NULL, 'DMSOR_beta_like', NULL, 'DMSOR_beta_like', NULL, NULL, NULL, 1),
(15754, NULL, 'cd04227', NULL, NULL, 'CuRO_3_FVIII_like', NULL, 'CuRO_3_FVIII_like', NULL, NULL, NULL, 1),
(15755, NULL, 'cd08795', NULL, NULL, 'Death_IRAK2', NULL, 'Death_IRAK2', NULL, NULL, 36853, 1),
(15756, NULL, 'cd12485', NULL, NULL, 'RRM1_RBM47', NULL, 'RRM1_RBM47', NULL, NULL, NULL, 1),
(15757, NULL, 'cd17154', NULL, NULL, 'DCX2_DCDC2C', NULL, 'DCX2_DCDC2C', NULL, NULL, NULL, 1),
(15758, NULL, 'cd17714', NULL, NULL, 'BRCT_PAXIP1_rpt1', NULL, 'BRCT_PAXIP1_rpt1', NULL, NULL, NULL, 1),
(15759, NULL, 'cd17784', NULL, NULL, 'CBS_pair_Euryarchaeota', NULL, 'CBS_pair_Euryarchaeota', NULL, NULL, NULL, 1),
(15760, NULL, 'cd15065', NULL, NULL, '7tmA_Ap5-HTB1-like', NULL, '7tmA_Ap5-HTB1-like', NULL, NULL, NULL, 1),
(15761, NULL, 'cd04452', NULL, NULL, 'S1_IF2_alpha', NULL, 'S1_IF2_alpha', NULL, NULL, 37360, 1),
(15762, NULL, 'cd04185', NULL, NULL, 'GT_2_like_b', NULL, 'GT_2_like_b', NULL, NULL, NULL, 1),
(15763, NULL, 'cd16487', NULL, NULL, 'mRING-H2-C3DHC3_ZFPL1', NULL, 'mRING-H2-C3DHC3_ZFPL1', NULL, NULL, NULL, 1),
(15764, NULL, 'cd17064', NULL, NULL, 'Ubl_TAFs_like', NULL, 'Ubl_TAFs_like', NULL, NULL, NULL, 1),
(15765, NULL, 'cd15593', NULL, NULL, 'PHD3_KMT2B', NULL, 'PHD3_KMT2B', NULL, NULL, NULL, 1),
(15766, NULL, 'cd10231', NULL, NULL, 'YegD_like', NULL, 'YegD_like', NULL, NULL, 32911, 1),
(15767, NULL, 'cd15212', NULL, NULL, '7tmA_GPR135', NULL, '7tmA_GPR135', NULL, NULL, NULL, 1),
(15768, NULL, 'cd16582', NULL, NULL, 'RING-HC_TRIM31_C-V', NULL, 'RING-HC_TRIM31_C-V', NULL, NULL, NULL, 1),
(15769, NULL, 'cd16850', NULL, NULL, 'STAT6_DBD', NULL, 'STAT6_DBD', NULL, NULL, NULL, 1),
(15770, NULL, 'cd04413', NULL, NULL, 'NDPk_I', NULL, 'NDPk_I', NULL, NULL, NULL, 1),
(15771, NULL, 'cd07421', NULL, NULL, 'MPP_Rhilphs', NULL, 'MPP_Rhilphs', NULL, NULL, 33473, 1),
(15772, NULL, 'cd01075', NULL, NULL, 'NAD_bind_Leu_Phe_Val_DH', NULL, 'NAD_bind_Leu_Phe_Val_DH', NULL, NULL, NULL, 1),
(15773, NULL, 'cd11468', NULL, NULL, 'bHLH_TS_bHLHe22_like', NULL, 'bHLH_TS_bHLHe22_like', NULL, NULL, NULL, 1),
(15774, NULL, 'cd19199', NULL, NULL, 'PR-SET_PRDM15', NULL, 'PR-SET_PRDM15', NULL, NULL, 37261, 1),
(15775, NULL, 'cd19787', NULL, NULL, 'Bbox2_TRIM50-like', NULL, 'Bbox2_TRIM50-like', NULL, NULL, NULL, 1),
(15776, NULL, 'cd13674', NULL, NULL, 'PBP2_TRAP_SBP_like_1', NULL, 'PBP2_TRAP_SBP_like_1', NULL, NULL, NULL, 1),
(15777, NULL, 'cd14603', NULL, NULL, 'PTPc-N18', NULL, 'PTPc-N18', NULL, NULL, NULL, 1),
(15778, NULL, 'cd00956', NULL, NULL, 'Transaldolase_FSA', NULL, 'Transaldolase_FSA', NULL, NULL, 31486, 1),
(15779, NULL, 'cd06567', NULL, NULL, 'Peptidase_S41', NULL, 'Peptidase_S41', NULL, NULL, NULL, 1),
(15780, NULL, 'cd09747', NULL, NULL, 'Csx1_III-U', NULL, 'Csx1_III-U', NULL, NULL, NULL, 1),
(15781, NULL, 'cd00842', NULL, NULL, 'MPP_ASMase', NULL, 'MPP_ASMase', NULL, NULL, 33339, 1),
(15782, NULL, 'cd19582', NULL, NULL, 'serpinM_ShSPI', NULL, 'serpinM_ShSPI', NULL, NULL, NULL, 1),
(15783, NULL, 'cd12443', NULL, NULL, 'RRM_MCM3A_like', NULL, 'RRM_MCM3A_like', NULL, NULL, 6808, 1),
(15784, NULL, 'cd21514', NULL, NULL, 'cv_alpha_Nsp2_HCoV-229E-like', NULL, 'cv_alpha_Nsp2_HCoV-229E-like', NULL, NULL, 39350, 1),
(15785, NULL, 'cd02112', NULL, NULL, 'eukary_NR_Moco', NULL, 'eukary_NR_Moco', NULL, NULL, NULL, 1),
(15786, NULL, 'cd16110', NULL, NULL, 'DCX1_RP_like', NULL, 'DCX1_RP_like', NULL, NULL, NULL, 1),
(15787, NULL, 'cd05531', NULL, NULL, 'POLBc_B2', NULL, 'POLBc_B2', NULL, NULL, NULL, 1);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15788, NULL, 'cd05744', NULL, NULL, 'Ig_Myotilin_C_like', NULL, 'Ig_Myotilin_C_like', NULL, NULL, NULL, 1),
(15789, NULL, 'cd04214', NULL, NULL, 'PAD_N', NULL, 'PAD_N', NULL, NULL, NULL, 1),
(15790, NULL, 'cd16283', NULL, NULL, 'RomA-like_MBL-fold', NULL, 'RomA-like_MBL-fold', NULL, NULL, NULL, 1),
(15791, NULL, 'cd20300', NULL, NULL, 'cupin_npun_f5605-like_N', NULL, 'cupin_npun_f5605-like_N', NULL, NULL, NULL, 1),
(15792, NULL, 'cd15398', NULL, NULL, '7tmA_NPY5R', NULL, '7tmA_NPY5R', NULL, NULL, 6702, 1),
(15793, NULL, 'cd12212', NULL, NULL, 'Fis1', NULL, 'Fis1', NULL, NULL, 31321, 1),
(15794, NULL, 'cd12502', NULL, NULL, 'RRM2_RMB19', NULL, 'RRM2_RMB19', NULL, NULL, 12783, 1),
(15795, NULL, 'cd09884', NULL, NULL, 'PIN_Smg5-like', NULL, 'PIN_Smg5-like', NULL, NULL, NULL, 1),
(15796, NULL, 'cd06991', NULL, NULL, 'cupin_TcmJ-like', NULL, 'cupin_TcmJ-like', NULL, NULL, NULL, 1),
(15797, NULL, 'cd18051', NULL, NULL, 'DEADc_DDX3', NULL, 'DEADc_DDX3', NULL, NULL, NULL, 1),
(15798, NULL, 'cd18647', NULL, NULL, 'CD_Cbx2', NULL, 'CD_Cbx2', NULL, NULL, NULL, 1),
(15799, NULL, 'cd04390', NULL, NULL, 'RhoGAP_ARHGAP22_24_25', NULL, 'RhoGAP_ARHGAP22_24_25', NULL, NULL, NULL, 1),
(15800, NULL, 'cd05717', NULL, NULL, 'Ig1_Necl_like', NULL, 'Ig1_Necl_like', NULL, NULL, NULL, 1),
(15801, NULL, 'cd02233', NULL, NULL, 'cupin_HNL-like', NULL, 'cupin_HNL-like', NULL, NULL, NULL, 1),
(15802, NULL, 'cd07708', NULL, NULL, 'MBL-B3-like', NULL, 'MBL-B3-like', NULL, NULL, NULL, 1),
(15803, NULL, 'cd13784', NULL, NULL, 'SP_1775_like', NULL, 'SP_1775_like', NULL, NULL, NULL, 1),
(15804, NULL, 'cd14680', NULL, NULL, 'PH_p190RhoGEF', NULL, 'PH_p190RhoGEF', NULL, NULL, 34105, 1),
(15805, NULL, 'cd01446', NULL, NULL, 'DSP_MapKP', NULL, 'DSP_MapKP', NULL, NULL, NULL, 1),
(15806, NULL, 'cd12108', NULL, NULL, 'Hr-like', NULL, 'Hr-like', NULL, NULL, NULL, 1),
(15807, NULL, 'cd11799', NULL, NULL, 'SH3_ARHGEF37_C1', NULL, 'SH3_ARHGEF37_C1', NULL, NULL, 34789, 1),
(15808, NULL, 'cd14865', NULL, NULL, 'Fe-ADH-like', NULL, 'Fe-ADH-like', NULL, NULL, NULL, 1),
(15809, NULL, 'cd00839', NULL, NULL, 'MPP_PAPs', NULL, 'MPP_PAPs', NULL, NULL, 33496, 1),
(15810, NULL, 'cd03718', NULL, NULL, 'SOCS_SSB1_4', NULL, 'SOCS_SSB1_4', NULL, NULL, NULL, 1),
(15811, NULL, 'cd06932', NULL, NULL, 'NR_LBD_PPAR', NULL, 'NR_LBD_PPAR', NULL, NULL, NULL, 1),
(15812, NULL, 'cd19913', NULL, NULL, 'DSRM_DRADA_rpt1', NULL, 'DSRM_DRADA_rpt1', NULL, NULL, 37761, 1),
(15813, NULL, 'cd17538', NULL, NULL, 'REC_D1_PleD-like', NULL, 'REC_D1_PleD-like', NULL, NULL, NULL, 1),
(15814, NULL, 'cd03576', NULL, NULL, 'NTR_PCOLCE', NULL, 'NTR_PCOLCE', NULL, NULL, 35740, 1),
(15815, NULL, 'cd19422', NULL, NULL, 'lipocalin_15-like', NULL, 'lipocalin_15-like', NULL, NULL, NULL, 1),
(15816, NULL, 'cd17551', NULL, NULL, 'REC_RpfG-like', NULL, 'REC_RpfG-like', NULL, NULL, NULL, 1),
(15817, NULL, 'cd08014', NULL, NULL, 'M20_Acy1-like', NULL, 'M20_Acy1-like', NULL, NULL, NULL, 1),
(15818, NULL, 'cd05615', NULL, NULL, 'STKc_cPKC_alpha', NULL, 'STKc_cPKC_alpha', NULL, NULL, 5016, 1),
(15819, NULL, 'cd05256', NULL, NULL, 'UDP_AE_SDR_e', NULL, 'UDP_AE_SDR_e', NULL, NULL, NULL, 1),
(15820, NULL, 'cd15686', NULL, NULL, 'PHD3_KDM5A', NULL, 'PHD3_KDM5A', NULL, NULL, NULL, 1),
(15821, NULL, 'cd21623', NULL, NULL, 'ORF7b_SARS-CoV-2', NULL, 'ORF7b_SARS-CoV-2', NULL, NULL, NULL, 1),
(15822, NULL, 'cd01234', NULL, NULL, 'PH_CADPS', NULL, 'PH_CADPS', NULL, NULL, NULL, 1),
(15823, NULL, 'cd20247', NULL, NULL, 'DWORF', NULL, 'DWORF', NULL, NULL, 37448, 1),
(15824, NULL, 'cd02086', NULL, NULL, 'P-type_ATPase_Na_ENA', NULL, 'P-type_ATPase_Na_ENA', NULL, NULL, 6608, 1),
(15825, NULL, 'cd03193', NULL, NULL, 'GST_C_Metaxin', NULL, 'GST_C_Metaxin', NULL, NULL, NULL, 1),
(15826, NULL, 'cd19860', NULL, NULL, 'DSRM_STAU_rpt4', NULL, 'DSRM_STAU_rpt4', NULL, NULL, NULL, 1),
(15827, NULL, 'cd08401', NULL, NULL, 'C2A_RasA2_RasA3', NULL, 'C2A_RasA2_RasA3', NULL, NULL, NULL, 1),
(15828, NULL, 'cd18423', NULL, NULL, 'BTB_POZ_KCNG4', NULL, 'BTB_POZ_KCNG4', NULL, NULL, NULL, 1),
(15829, NULL, 'cd16938', NULL, NULL, 'HATPase_ETR2_ERS2-EIN4-like', NULL, 'HATPase_ETR2_ERS2-EIN4-like', NULL, NULL, NULL, 1);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15830, NULL, 'cd00057', NULL, NULL, 'FA58C', NULL, 'FA58C', NULL, NULL, 4672, 1),
(15831, NULL, 'cd10917', NULL, NULL, 'CE4_NodB_like_6s_7s', NULL, 'CE4_NodB_like_6s_7s', NULL, NULL, NULL, 1),
(15832, NULL, 'cd06827', NULL, NULL, 'PLPDE_III_AR_proteobact', NULL, 'PLPDE_III_AR_proteobact', NULL, NULL, NULL, 1),
(15833, NULL, 'cd06428', NULL, NULL, 'M1P_guanylylT_A_like_N', NULL, 'M1P_guanylylT_A_like_N', NULL, NULL, NULL, 1),
(15834, NULL, 'cd10145', NULL, NULL, 'TFIIA_gamma_N', NULL, 'TFIIA_gamma_N', NULL, NULL, 14229, 1),
(15835, NULL, 'cd18572', NULL, NULL, 'ABC_6TM_TAP', NULL, 'ABC_6TM_TAP', NULL, NULL, NULL, 1),
(15836, NULL, 'cd14709', NULL, NULL, 'bZIP_CREBL2', NULL, 'bZIP_CREBL2', NULL, NULL, NULL, 1),
(15837, NULL, 'cd03497', NULL, NULL, 'SQR_TypeB_1_TM', NULL, 'SQR_TypeB_1_TM', NULL, NULL, 9279, 1),
(15838, NULL, 'cd00823', NULL, NULL, 'TopoIIB_Trans', NULL, 'TopoIIB_Trans', NULL, NULL, 13544, 1),
(15839, NULL, 'cd09857', NULL, NULL, 'PIN_EXO1', NULL, 'PIN_EXO1', NULL, NULL, 37860, 1),
(15840, NULL, 'cd12779', NULL, NULL, 'RRM1_ROD1', NULL, 'RRM1_ROD1', NULL, NULL, 20673, 1),
(15841, NULL, 'cd00466', NULL, NULL, 'DHQase_II', NULL, 'DHQase_II', NULL, NULL, 4299, 1),
(15842, NULL, 'cd00162', NULL, NULL, 'RING_Ubox', NULL, 'RING_Ubox', NULL, NULL, NULL, 1),
(15843, NULL, 'cd16383', NULL, NULL, 'GUN4', NULL, 'GUN4', NULL, NULL, 14479, 1),
(15844, NULL, 'cd08379', NULL, NULL, 'C2D_MCTP_PRT_plant', NULL, 'C2D_MCTP_PRT_plant', NULL, NULL, NULL, 1),
(15845, NULL, 'cd05034', NULL, NULL, 'PTKc_Src_like', NULL, 'PTKc_Src_like', NULL, NULL, NULL, 1),
(15846, NULL, 'cd17310', NULL, NULL, 'PIPKc_PIP5K2B', NULL, 'PIPKc_PIP5K2B', NULL, NULL, NULL, 1),
(15847, NULL, 'cd03721', NULL, NULL, 'SOCS_ASB2', NULL, 'SOCS_ASB2', NULL, NULL, 33022, 1),
(15848, NULL, 'cd16412', NULL, NULL, 'dndB', NULL, 'dndB', NULL, NULL, 16913, 1),
(15849, NULL, 'cd06193', NULL, NULL, 'siderophore_interacting', NULL, 'siderophore_interacting', NULL, NULL, NULL, 1),
(15850, NULL, 'cd20232', NULL, NULL, 'PFM_crystallin-like', NULL, 'PFM_crystallin-like', NULL, NULL, NULL, 1),
(15851, NULL, 'cd07970', NULL, NULL, 'OBF_DNA_ligase_LigC', NULL, 'OBF_DNA_ligase_LigC', NULL, NULL, 39368, 1),
(15852, NULL, 'cd18242', NULL, NULL, 'BTB_POZ_KLHL12_C3IP1_DKIR', NULL, 'BTB_POZ_KLHL12_C3IP1_DKIR', NULL, NULL, NULL, 1),
(15853, NULL, 'cd14768', NULL, NULL, 'PC_PEC_beta', NULL, 'PC_PEC_beta', NULL, NULL, NULL, 1),
(15854, NULL, 'cd11424', NULL, NULL, 'bHLH_TS_OUT', NULL, 'bHLH_TS_OUT', NULL, NULL, NULL, 1),
(15855, NULL, 'cd17094', NULL, NULL, 'FERM_F1_Max1_like', NULL, 'FERM_F1_Max1_like', NULL, NULL, NULL, 1),
(15856, NULL, 'cd21597', NULL, NULL, 'SARS-CoV-2_Orf10', NULL, 'SARS-CoV-2_Orf10', NULL, NULL, 36847, 1),
(15857, NULL, 'cd17495', NULL, NULL, 'RMtype1_S_Cep9333ORF4827P-TRD2-CR2_like', NULL, 'RMtype1_S_Cep9333ORF4827P-TRD2-CR2_like', NULL, NULL, NULL, 1),
(15858, NULL, 'cd08598', NULL, NULL, 'PI-PLC1c_yeast', NULL, 'PI-PLC1c_yeast', NULL, NULL, NULL, 1),
(15859, NULL, 'cd08493', NULL, NULL, 'PBP2_DppA_like', NULL, 'PBP2_DppA_like', NULL, NULL, NULL, 1),
(15860, NULL, 'cd15896', NULL, NULL, 'MYSc_Myh19', NULL, 'MYSc_Myh19', NULL, NULL, NULL, 1),
(15861, NULL, 'cd19383', NULL, NULL, 'TGF_beta_Neurturin', NULL, 'TGF_beta_Neurturin', NULL, NULL, NULL, 1),
(15862, NULL, 'cd02645', NULL, NULL, 'R3H_AAA', NULL, 'R3H_AAA', NULL, NULL, 29133, 1),
(15863, NULL, 'cd00249', NULL, NULL, 'AGE', NULL, 'AGE', NULL, NULL, 21640, 1),
(15864, NULL, 'cd18012', NULL, NULL, 'DEXQc_arch_SWI2_SNF2', NULL, 'DEXQc_arch_SWI2_SNF2', NULL, NULL, NULL, 1),
(15865, NULL, 'cd14027', NULL, NULL, 'STKc_RIP1', NULL, 'STKc_RIP1', NULL, NULL, NULL, 1),
(15866, NULL, 'cd15872', NULL, NULL, 'R-SNARE_VAMP5', NULL, 'R-SNARE_VAMP5', NULL, NULL, 38248, 1),
(15867, NULL, 'cd12711', NULL, NULL, 'RRM_TNRC6A', NULL, 'RRM_TNRC6A', NULL, NULL, 11936, 1),
(15868, NULL, 'cd13182', NULL, NULL, 'EVH1-like_Dcp1', NULL, 'EVH1-like_Dcp1', NULL, NULL, NULL, 1),
(15869, NULL, 'cd10481', NULL, NULL, 'EphR_LBD_A3', NULL, 'EphR_LBD_A3', NULL, NULL, 21322, 1),
(15870, NULL, 'cd10492', NULL, NULL, 'MH1_SMAD_4', NULL, 'MH1_SMAD_4', NULL, NULL, NULL, 1);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15871, NULL, 'cd09450', NULL, NULL, 'LIM_ALP', NULL, 'LIM_ALP', NULL, NULL, NULL, 1),
(15872, NULL, 'cd15856', NULL, NULL, 'SNARE_SNAP29C', NULL, 'SNARE_SNAP29C', NULL, NULL, NULL, 1),
(15873, NULL, 'cd06281', NULL, NULL, 'PBP1_LacI-like', NULL, 'PBP1_LacI-like', NULL, NULL, NULL, 1),
(15874, NULL, 'cd08352', NULL, NULL, 'VOC_Bs_YwkD_like', NULL, 'VOC_Bs_YwkD_like', NULL, NULL, 35290, 1),
(15875, NULL, 'cd13354', NULL, NULL, 'PH-GRAM2_TCB1D9_TCB1D9B', NULL, 'PH-GRAM2_TCB1D9_TCB1D9B', NULL, NULL, 30008, 1),
(15876, NULL, 'cd19879', NULL, NULL, 'DSRM_STAU1_rpt1', NULL, 'DSRM_STAU1_rpt1', NULL, NULL, NULL, 1),
(15877, NULL, 'cd17814', NULL, NULL, 'Fe-ADH-like', NULL, 'Fe-ADH-like', NULL, NULL, NULL, 1),
(15878, NULL, 'cd20222', NULL, NULL, 'PFM_parasporin-2-like', NULL, 'PFM_parasporin-2-like', NULL, NULL, NULL, 1),
(15879, NULL, 'cd21144', NULL, NULL, 'NendoU_XendoU-like', NULL, 'NendoU_XendoU-like', NULL, NULL, NULL, 1),
(15880, NULL, 'cd01458', NULL, NULL, 'vWA_ku', NULL, 'vWA_ku', NULL, NULL, NULL, 1),
(15881, NULL, 'cd11447', NULL, NULL, 'bHLH-O_HEYL', NULL, 'bHLH-O_HEYL', NULL, NULL, NULL, 1),
(15882, NULL, 'cd05784', NULL, NULL, 'DNA_polB_II_exo', NULL, 'DNA_polB_II_exo', NULL, NULL, NULL, 1),
(15883, NULL, 'cd09889', NULL, NULL, 'NGN_Bact_2', NULL, 'NGN_Bact_2', NULL, NULL, NULL, 1),
(15884, NULL, 'cd07425', NULL, NULL, 'MPP_Shelphs', NULL, 'MPP_Shelphs', NULL, NULL, 33330, 1),
(15885, NULL, 'cd11536', NULL, NULL, 'NTP-PPase_iMazG', NULL, 'NTP-PPase_iMazG', NULL, NULL, NULL, 1),
(15886, NULL, 'cd15847', NULL, NULL, 'SNARE_syntaxin7_like', NULL, 'SNARE_syntaxin7_like', NULL, NULL, NULL, 1),
(15887, NULL, 'cd04398', NULL, NULL, 'RhoGAP_fRGD1', NULL, 'RhoGAP_fRGD1', NULL, NULL, NULL, 1),
(15888, NULL, 'cd04689', NULL, NULL, 'Nudix_Hydrolase_30', NULL, 'Nudix_Hydrolase_30', NULL, NULL, NULL, 1),
(15889, NULL, 'cd06163', NULL, NULL, 'S2P-M50_PDZ_RseP-like', NULL, 'S2P-M50_PDZ_RseP-like', NULL, NULL, NULL, 1),
(15890, NULL, 'cd03393', NULL, NULL, 'PAP2_like_3', NULL, 'PAP2_like_3', NULL, NULL, NULL, 1),
(15891, NULL, 'cd13778', NULL, NULL, 'Aar2_C', NULL, 'Aar2_C', NULL, NULL, 32677, 1),
(15892, NULL, 'cd18689', NULL, NULL, 'PIN_VapC-like', NULL, 'PIN_VapC-like', NULL, NULL, NULL, 1),
(15893, NULL, 'cd09621', NULL, NULL, 'CBM9_like_5', NULL, 'CBM9_like_5', NULL, NULL, NULL, 1),
(15894, NULL, 'cd14310', NULL, NULL, 'UBA_cnDdi1_like', NULL, 'UBA_cnDdi1_like', NULL, NULL, NULL, 1),
(15895, NULL, 'cd12144', NULL, NULL, 'SDH_N_domain', NULL, 'SDH_N_domain', NULL, NULL, 3535, 1),
(15896, NULL, 'cd01820', NULL, NULL, 'PAF_acetylesterase_like', NULL, 'PAF_acetylesterase_like', NULL, NULL, NULL, 1),
(15897, NULL, 'cd00982', NULL, NULL, 'gltB_C', NULL, 'gltB_C', NULL, NULL, 807, 1),
(15898, NULL, 'cd15250', NULL, NULL, '7tmF_FZD8', NULL, '7tmF_FZD8', NULL, NULL, NULL, 1),
(15899, NULL, 'cd12937', NULL, NULL, 'GUCT_RH7_like', NULL, 'GUCT_RH7_like', NULL, NULL, NULL, 1),
(15900, NULL, 'cd15385', NULL, NULL, '7tmA_V1aR', NULL, '7tmA_V1aR', NULL, NULL, NULL, 1),
(15901, NULL, 'cd12721', NULL, NULL, 'RRM_Nup53p_fungi', NULL, 'RRM_Nup53p_fungi', NULL, NULL, NULL, 1),
(15902, NULL, 'cd16394', NULL, NULL, 'sopB_N', NULL, 'sopB_N', NULL, NULL, NULL, 1),
(15903, NULL, 'cd09275', NULL, NULL, 'RNase_HI_RT_DIRS1', NULL, 'RNase_HI_RT_DIRS1', NULL, NULL, NULL, 1),
(15904, NULL, 'cd12752', NULL, NULL, 'RRM1_RBM5', NULL, 'RRM1_RBM5', NULL, NULL, 14619, 1),
(15905, NULL, 'cd14165', NULL, NULL, 'STKc_TSSK1_2-like', NULL, 'STKc_TSSK1_2-like', NULL, NULL, NULL, 1),
(15906, NULL, 'cd16140', NULL, NULL, 'RA_GRB7', NULL, 'RA_GRB7', NULL, NULL, NULL, 1),
(15907, NULL, 'cd02555', NULL, NULL, 'PSSA_1', NULL, 'PSSA_1', NULL, NULL, NULL, 1),
(15908, NULL, 'cd09504', NULL, NULL, 'SAM_STIM-1,2-like', NULL, 'SAM_STIM-1,2-like', NULL, NULL, NULL, 1),
(15909, NULL, 'cd16109', NULL, NULL, 'DCX1', NULL, 'DCX1', NULL, NULL, NULL, 1),
(15910, NULL, 'cd18523', NULL, NULL, 'BACK_BTBD2', NULL, 'BACK_BTBD2', NULL, NULL, NULL, 1),
(15911, NULL, 'cd08513', NULL, NULL, 'PBP2_thermophilic_Hb8_like', NULL, 'PBP2_thermophilic_Hb8_like', NULL, NULL, NULL, 1);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15912, NULL, 'cd07286', NULL, NULL, 'PX_SNX18', NULL, 'PX_SNX18', NULL, NULL, 30126, 1),
(15913, NULL, 'cd15632', NULL, NULL, 'PHD_PHF13', NULL, 'PHD_PHF13', NULL, NULL, 33113, 1),
(15914, NULL, 'cd15975', NULL, NULL, '7tmA_ET-AR', NULL, '7tmA_ET-AR', NULL, NULL, NULL, 1),
(15915, NULL, 'cd16839', NULL, NULL, 'PCSK9_C-CRD', NULL, 'PCSK9_C-CRD', NULL, NULL, NULL, 1),
(15916, NULL, 'cd03117', NULL, NULL, 'alpha_CA_IV_XV_like', NULL, 'alpha_CA_IV_XV_like', NULL, NULL, 32682, 1),
(15917, NULL, 'cd01834', NULL, NULL, 'SGNH_hydrolase_like_2', NULL, 'SGNH_hydrolase_like_2', NULL, NULL, NULL, 1),
(15918, NULL, 'cd12886', NULL, NULL, 'SPRY_like', NULL, 'SPRY_like', NULL, NULL, NULL, 1),
(15919, NULL, 'cd07796', NULL, NULL, 'FGGY_NHO1_plant', NULL, 'FGGY_NHO1_plant', NULL, NULL, NULL, 1),
(15920, NULL, 'cd04228', NULL, NULL, 'CuRO_5_FVIII_like', NULL, 'CuRO_5_FVIII_like', NULL, NULL, NULL, 1),
(15921, NULL, 'cd08485', NULL, NULL, 'PBP2_ClcR', NULL, 'PBP2_ClcR', NULL, NULL, 32186, 1),
(15922, NULL, 'cd09809', NULL, NULL, 'human_WWOX_like_SDR_c-like', NULL, 'human_WWOX_like_SDR_c-like', NULL, NULL, 37207, 1),
(15923, NULL, 'cd01080', NULL, NULL, 'NAD_bind_m-THF_DH_Cyclohyd', NULL, 'NAD_bind_m-THF_DH_Cyclohyd', NULL, NULL, 20146, 1),
(15924, NULL, 'cd13394', NULL, NULL, 'Syo1_like', NULL, 'Syo1_like', NULL, NULL, NULL, 1),
(15925, NULL, 'cd06554', NULL, NULL, 'ASCH_ASC-1_like', NULL, 'ASCH_ASC-1_like', NULL, NULL, NULL, 1),
(15926, NULL, 'cd01801', NULL, NULL, 'Ubl_TECR_like', NULL, 'Ubl_TECR_like', NULL, NULL, NULL, 1),
(15927, NULL, 'cd03139', NULL, NULL, 'GATase1_PfpI_2', NULL, 'GATase1_PfpI_2', NULL, NULL, NULL, 1),
(15928, NULL, 'cd18910', NULL, NULL, 'bHLHzip_USF3', NULL, 'bHLHzip_USF3', NULL, NULL, NULL, 1),
(15929, NULL, 'cd15940', NULL, NULL, '7tmA_OR4E-like', NULL, '7tmA_OR4E-like', NULL, NULL, NULL, 1),
(15930, NULL, 'cd16675', NULL, NULL, 'RING-H2_RNF24', NULL, 'RING-H2_RNF24', NULL, NULL, NULL, 1),
(15931, NULL, 'cd00806', NULL, NULL, 'TrpRS_core', NULL, 'TrpRS_core', NULL, NULL, 6052, 1),
(15932, NULL, 'cd04119', NULL, NULL, 'RJL', NULL, 'RJL', NULL, NULL, NULL, 1),
(15933, NULL, 'cd16471', NULL, NULL, 'RING-H2_RNF32', NULL, 'RING-H2_RNF32', NULL, NULL, NULL, 1),
(15934, NULL, 'cd00475', NULL, NULL, 'Cis_IPPS', NULL, 'Cis_IPPS', NULL, NULL, 3042, 1),
(15935, NULL, 'cd07073', NULL, NULL, 'NR_LBD_AR', NULL, 'NR_LBD_AR', NULL, NULL, NULL, 1),
(15936, NULL, 'cd08829', NULL, NULL, 'SPFH_paraslipin', NULL, 'SPFH_paraslipin', NULL, NULL, NULL, 1),
(15937, NULL, 'cd16173', NULL, NULL, 'EFh_MICU1', NULL, 'EFh_MICU1', NULL, NULL, NULL, 1),
(15938, NULL, 'cd04090', NULL, NULL, 'EF2_II_snRNP', NULL, 'EF2_II_snRNP', NULL, NULL, NULL, 1),
(15939, NULL, 'cd20759', NULL, NULL, 'capping_2-OMTase_Phytoreovirus', NULL, 'capping_2-OMTase_Phytoreovirus', NULL, NULL, 37314, 1),
(15940, NULL, 'cd17001', NULL, NULL, 'CID_RPRD2', NULL, 'CID_RPRD2', NULL, NULL, NULL, 1),
(15941, NULL, 'cd03034', NULL, NULL, 'ArsC_ArsC', NULL, 'ArsC_ArsC', NULL, NULL, 1680, 1),
(15942, NULL, 'cd06382', NULL, NULL, 'PBP1_iGluR_Kainate', NULL, 'PBP1_iGluR_Kainate', NULL, NULL, NULL, 1),
(15943, NULL, 'cd08320', NULL, NULL, 'Pyrin_NALPs', NULL, 'Pyrin_NALPs', NULL, NULL, NULL, 1),
(15944, NULL, 'cd14521', NULL, NULL, 'DSP_fungal_SDP1-like', NULL, 'DSP_fungal_SDP1-like', NULL, NULL, NULL, 1),
(15945, NULL, 'cd07308', NULL, NULL, 'lectin_leg-like', NULL, 'lectin_leg-like', NULL, NULL, NULL, 1),
(15946, NULL, 'cd09380', NULL, NULL, 'LIM1_Lhx6', NULL, 'LIM1_Lhx6', NULL, NULL, NULL, 1),
(15947, NULL, 'cd03066', NULL, NULL, 'PDI_b_Calsequestrin_middle', NULL, 'PDI_b_Calsequestrin_middle', NULL, NULL, 33343, 1),
(15948, NULL, 'cd03245', NULL, NULL, 'ABCC_bacteriocin_exporters', NULL, 'ABCC_bacteriocin_exporters', NULL, NULL, NULL, 1),
(15949, NULL, 'cd19920', NULL, NULL, 'REC_PA4781-like', NULL, 'REC_PA4781-like', NULL, NULL, NULL, 1),
(15950, NULL, 'cd06296', NULL, NULL, 'PBP1_CatR-like', NULL, 'PBP1_CatR-like', NULL, NULL, NULL, 1),
(15951, NULL, 'cd14121', NULL, NULL, 'STKc_ULK3', NULL, 'STKc_ULK3', NULL, NULL, NULL, 1),
(15952, NULL, 'cd17773', NULL, NULL, 'CBS_pair_NeuB', NULL, 'CBS_pair_NeuB', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15953, NULL, 'cd01853', NULL, NULL, 'Toc34_like', NULL, 'Toc34_like', NULL, NULL, NULL, 1),
(15954, NULL, 'cd12457', NULL, NULL, 'RRM_XMAS2', NULL, 'RRM_XMAS2', NULL, NULL, 4362, 1),
(15955, NULL, 'cd18589', NULL, NULL, 'ABC_6TM_TAP1', NULL, 'ABC_6TM_TAP1', NULL, NULL, NULL, 1),
(15956, NULL, 'cd04493', NULL, NULL, 'BRCA2DBD_OB1', NULL, 'BRCA2DBD_OB1', NULL, NULL, 10698, 1),
(15957, NULL, 'cd03674', NULL, NULL, 'Nudix_Hydrolase_1', NULL, 'Nudix_Hydrolase_1', NULL, NULL, NULL, 1),
(15958, NULL, 'cd19908', NULL, NULL, 'DSRM_AtDRB-like_rpt2', NULL, 'DSRM_AtDRB-like_rpt2', NULL, NULL, 37845, 1),
(15959, NULL, 'cd14702', NULL, NULL, 'bZIP_plant_GBF1', NULL, 'bZIP_plant_GBF1', NULL, NULL, 39444, 1),
(15960, NULL, 'cd01569', NULL, NULL, 'PBEF_like', NULL, 'PBEF_like', NULL, NULL, 15573, 1),
(15961, NULL, 'cd08249', NULL, NULL, 'enoyl_reductase_like', NULL, 'enoyl_reductase_like', NULL, NULL, NULL, 1),
(15962, NULL, 'cd05814', NULL, NULL, 'CBM20_Prei4', NULL, 'CBM20_Prei4', NULL, NULL, 13942, 1),
(15963, NULL, 'cd16127', NULL, NULL, 'Ubl_ATG8_GABARAP_like', NULL, 'Ubl_ATG8_GABARAP_like', NULL, NULL, NULL, 1),
(15964, NULL, 'cd06251', NULL, NULL, 'M14_ASTE_ASPA-like', NULL, 'M14_ASTE_ASPA-like', NULL, NULL, NULL, 1),
(15965, NULL, 'cd10045', NULL, NULL, 'Reelin_repeat_1_subrepeat_2', NULL, 'Reelin_repeat_1_subrepeat_2', NULL, NULL, NULL, 1),
(15966, NULL, 'cd17459', NULL, NULL, 'MFS_SLCO1C_OATP1C', NULL, 'MFS_SLCO1C_OATP1C', NULL, NULL, NULL, 1),
(15967, NULL, 'cd17218', NULL, NULL, 'RA_RASSF1', NULL, 'RA_RASSF1', NULL, NULL, NULL, 1),
(15968, NULL, 'cd05389', NULL, NULL, 'CobQ_N', NULL, 'CobQ_N', NULL, NULL, NULL, 1),
(15969, NULL, 'cd12675', NULL, NULL, 'RRM2_Nop4p', NULL, 'RRM2_Nop4p', NULL, NULL, 35176, 1),
(15970, NULL, 'cd03115', NULL, NULL, 'SRP_G_like', NULL, 'SRP_G_like', NULL, NULL, NULL, 1),
(15971, NULL, 'cd12093', NULL, NULL, 'TM_ErbB1', NULL, 'TM_ErbB1', NULL, NULL, NULL, 1),
(15972, NULL, 'cd06853', NULL, NULL, 'GT_WecA_like', NULL, 'GT_WecA_like', NULL, NULL, NULL, 1),
(15973, NULL, 'cd13230', NULL, NULL, 'PH1_SSRP1-like', NULL, 'PH1_SSRP1-like', NULL, NULL, NULL, 1),
(15974, NULL, 'cd01775', NULL, NULL, 'RA_PHLPP_like', NULL, 'RA_PHLPP_like', NULL, NULL, NULL, 1),
(15975, NULL, 'cd05665', NULL, NULL, 'M20_Acy1_IAAspH', NULL, 'M20_Acy1_IAAspH', NULL, NULL, 32710, 1),
(15976, NULL, 'cd15522', NULL, NULL, 'PHD_TAF3', NULL, 'PHD_TAF3', NULL, NULL, NULL, 1),
(15977, NULL, 'cd06969', NULL, NULL, 'NR_DBD_NGFI-B', NULL, 'NR_DBD_NGFI-B', NULL, NULL, NULL, 1),
(15978, NULL, 'cd15711', NULL, NULL, 'ePHD2_PHF6', NULL, 'ePHD2_PHF6', NULL, NULL, NULL, 1),
(15979, NULL, 'cd08909', NULL, NULL, 'START_STARD13-like', NULL, 'START_STARD13-like', NULL, NULL, NULL, 1),
(15980, NULL, 'cd10322', NULL, NULL, 'SLC5sbd', NULL, 'SLC5sbd', NULL, NULL, NULL, 1),
(15981, NULL, 'cd06446', NULL, NULL, 'Trp-synth_B', NULL, 'Trp-synth_B', NULL, NULL, 1218, 1),
(15982, NULL, 'cd09681', NULL, NULL, 'Csx3_III-U', NULL, 'Csx3_III-U', NULL, NULL, NULL, 1),
(15983, NULL, 'cd15432', NULL, NULL, '7tmA_OR2B2-like', NULL, '7tmA_OR2B2-like', NULL, NULL, NULL, 1),
(15984, NULL, 'cd20283', NULL, NULL, 'cupin_DddY', NULL, 'cupin_DddY', NULL, NULL, NULL, 1),
(15985, NULL, 'cd01923', NULL, NULL, 'cyclophilin_RING', NULL, 'cyclophilin_RING', NULL, NULL, NULL, 1),
(15986, NULL, 'cd05638', NULL, NULL, 'M42', NULL, 'M42', NULL, NULL, NULL, 1),
(15987, NULL, 'cd11275', NULL, NULL, 'Sema_plexin_B1', NULL, 'Sema_plexin_B1', NULL, NULL, NULL, 1),
(15988, NULL, 'cd19848', NULL, NULL, 'Bbox1_TRIM36_C-I', NULL, 'Bbox1_TRIM36_C-I', NULL, NULL, NULL, 1),
(15989, NULL, 'cd16829', NULL, NULL, 'ChuX_HutX-like', NULL, 'ChuX_HutX-like', NULL, NULL, 9982, 1),
(15990, NULL, 'cd02979', NULL, NULL, 'PHOX_C', NULL, 'PHOX_C', NULL, NULL, NULL, 1),
(15991, NULL, 'cd13661', NULL, NULL, 'PBP2_PotD_PotF_like_1', NULL, 'PBP2_PotD_PotF_like_1', NULL, NULL, NULL, 1),
(15992, NULL, 'cd00354', NULL, NULL, 'FBPase', NULL, 'FBPase', NULL, NULL, 3931, 1),
(15993, NULL, 'cd09914', NULL, NULL, 'RocCOR', NULL, 'RocCOR', NULL, NULL, NULL, 1),
(15994, NULL, 'cd01974', NULL, NULL, 'Nitrogenase_MoFe_beta', NULL, 'Nitrogenase_MoFe_beta', NULL, NULL, NULL, 1);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(15995, NULL, 'cd14757', NULL, NULL, 'GS_EcDosC-like_GGDEF', NULL, 'GS_EcDosC-like_GGDEF', NULL, NULL, 35605, 1),
(15996, NULL, 'cd18202', NULL, NULL, 'BTB_POZ_ZBTB11', NULL, 'BTB_POZ_ZBTB11', NULL, NULL, NULL, 1),
(15997, NULL, 'cd06271', NULL, NULL, 'PBP1_AglR_RafR-like', NULL, 'PBP1_AglR_RafR-like', NULL, NULL, NULL, 1),
(15998, NULL, 'cd21402', NULL, NULL, 'ZBD_mv_SF1_Hel-like', NULL, 'ZBD_mv_SF1_Hel-like', NULL, NULL, NULL, 1),
(15999, NULL, 'cd08161', NULL, NULL, 'SET', NULL, 'SET', NULL, NULL, NULL, 1),
(16000, NULL, 'cd01355', NULL, NULL, 'AcnX', NULL, 'AcnX', NULL, NULL, 10201, 1),
(16001, NULL, 'cd11018', NULL, NULL, 'CuRO_6_FVIII_like', NULL, 'CuRO_6_FVIII_like', NULL, NULL, NULL, 1),
(16002, NULL, 'cd19812', NULL, NULL, 'Bbox1_TRIM71_C-VII', NULL, 'Bbox1_TRIM71_C-VII', NULL, NULL, NULL, 1),
(16003, NULL, 'cd17284', NULL, NULL, 'RMtype1_S_Cbo7060ORF11580P_TRD2-CR2_like', NULL, 'RMtype1_S_Cbo7060ORF11580P_TRD2-CR2_like', NULL, NULL, NULL, 1),
(16004, NULL, 'cd12709', NULL, NULL, 'RRM_RCAN2', NULL, 'RRM_RCAN2', NULL, NULL, 11079, 1),
(16005, NULL, 'cd02244', NULL, NULL, 'cupin_7S_vicilin-like_N', NULL, 'cupin_7S_vicilin-like_N', NULL, NULL, NULL, 1),
(16006, NULL, 'cd03887', NULL, NULL, 'M20_Acy1L2', NULL, 'M20_Acy1L2', NULL, NULL, NULL, 1),
(16007, NULL, 'cd11767', NULL, NULL, 'SH3_Nck_3', NULL, 'SH3_Nck_3', NULL, NULL, NULL, 1),
(16008, NULL, 'cd07143', NULL, NULL, 'ALDH_AldA_AN0554', NULL, 'ALDH_AldA_AN0554', NULL, NULL, NULL, 1),
(16009, NULL, 'cd06063', NULL, NULL, 'H2MP_Cyano-H2up', NULL, 'H2MP_Cyano-H2up', NULL, NULL, NULL, 1),
(16010, NULL, 'cd16806', NULL, NULL, 'RING_CH-C4HC3_MARCH1', NULL, 'RING_CH-C4HC3_MARCH1', NULL, NULL, NULL, 1),
(16011, NULL, 'cd02436', NULL, NULL, 'Nodulin-21', NULL, 'Nodulin-21', NULL, NULL, NULL, 1),
(16012, NULL, 'cd01859', NULL, NULL, 'MJ1464', NULL, 'MJ1464', NULL, NULL, NULL, 1),
(16013, NULL, 'cd18278', NULL, NULL, 'BTB_POZ_BACH2', NULL, 'BTB_POZ_BACH2', NULL, NULL, NULL, 1),
(16014, NULL, 'cd08622', NULL, NULL, 'PI-PLCXDc_CG14945_like', NULL, 'PI-PLCXDc_CG14945_like', NULL, NULL, NULL, 1),
(16015, NULL, 'cd12795', NULL, NULL, 'FILIA_N_like', NULL, 'FILIA_N_like', NULL, NULL, 28586, 1),
(16016, NULL, 'cd15163', NULL, NULL, '7tmA_GPR20', NULL, '7tmA_GPR20', NULL, NULL, NULL, 1),
(16017, NULL, 'cd15971', NULL, NULL, '7tmA_SSTR2', NULL, '7tmA_SSTR2', NULL, NULL, NULL, 1),
(16018, NULL, 'cd19578', NULL, NULL, 'serpinK_insect_SRPN2-like', NULL, 'serpinK_insect_SRPN2-like', NULL, NULL, NULL, 1),
(16019, NULL, 'cd01050', NULL, NULL, 'Acyl_ACP_Desat', NULL, 'Acyl_ACP_Desat', NULL, NULL, 2265, 1),
(16020, NULL, 'cd13977', NULL, NULL, 'STKc_PDIK1L', NULL, 'STKc_PDIK1L', NULL, NULL, NULL, 1),
(16021, NULL, 'cd06007', NULL, NULL, 'R3H_DEXH_helicase', NULL, 'R3H_DEXH_helicase', NULL, NULL, 26712, 1),
(16022, NULL, 'cd08662', NULL, NULL, 'M13', NULL, 'M13', NULL, NULL, 3650, 1),
(16023, NULL, 'cd09730', NULL, NULL, 'Cas8a1_I-A', NULL, 'Cas8a1_I-A', NULL, NULL, NULL, 1),
(16024, NULL, 'cd01659', NULL, NULL, 'TRX_superfamily', NULL, 'TRX_superfamily', NULL, NULL, NULL, 1),
(16025, NULL, 'cd04224', NULL, NULL, 'CuRO_3_ceruloplasmin', NULL, 'CuRO_3_ceruloplasmin', NULL, NULL, NULL, 1),
(16026, NULL, 'cd05709', NULL, NULL, 'S2P-M50', NULL, 'S2P-M50', NULL, NULL, NULL, 1),
(16027, NULL, 'cd11822', NULL, NULL, 'SH3_SASH_like', NULL, 'SH3_SASH_like', NULL, NULL, NULL, 1),
(16028, NULL, 'cd13125', NULL, NULL, 'MATE_like_10', NULL, 'MATE_like_10', NULL, NULL, 38237, 1),
(16029, NULL, 'cd14285', NULL, NULL, 'UBA_scEDE1_like', NULL, 'UBA_scEDE1_like', NULL, NULL, NULL, 1),
(16030, NULL, 'cd18489', NULL, NULL, 'BACK_BTBD7', NULL, 'BACK_BTBD7', NULL, NULL, NULL, 1),
(16031, NULL, 'cd03242', NULL, NULL, 'ABC_RecF', NULL, 'ABC_RecF', NULL, NULL, NULL, 1),
(16032, NULL, 'cd08215', NULL, NULL, 'STKc_Nek', NULL, 'STKc_Nek', NULL, NULL, NULL, 1),
(16033, NULL, 'cd18312', NULL, NULL, 'BTB_POZ_NPY3-like', NULL, 'BTB_POZ_NPY3-like', NULL, NULL, NULL, 1),
(16034, NULL, 'cd20169', NULL, NULL, 'Peptidase_M90_mtfA', NULL, 'Peptidase_M90_mtfA', NULL, NULL, 9501, 1),
(16035, NULL, 'cd13127', NULL, NULL, 'MATE_tuaB_like', NULL, 'MATE_tuaB_like', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16036, NULL, 'cd18590', NULL, NULL, 'ABC_6TM_TAP2', NULL, 'ABC_6TM_TAP2', NULL, NULL, NULL, 1),
(16037, NULL, 'cd01296', NULL, NULL, 'Imidazolone-5PH', NULL, 'Imidazolone-5PH', NULL, NULL, 208, 1),
(16038, NULL, 'cd08483', NULL, NULL, 'PBP2_HvrB', NULL, 'PBP2_HvrB', NULL, NULL, NULL, 1),
(16039, NULL, 'cd12530', NULL, NULL, 'RRM3_EAR1_like', NULL, 'RRM3_EAR1_like', NULL, NULL, 30573, 1),
(16040, NULL, 'cd18767', NULL, NULL, 'PIN_MtVapC3-like', NULL, 'PIN_MtVapC3-like', NULL, NULL, NULL, 1),
(16041, NULL, 'cd18317', NULL, NULL, 'BTB_POZ_Kv', NULL, 'BTB_POZ_Kv', NULL, NULL, NULL, 1),
(16042, NULL, 'cd11845', NULL, NULL, 'SH3_Src_like', NULL, 'SH3_Src_like', NULL, NULL, NULL, 1),
(16043, NULL, 'cd02678', NULL, NULL, 'MIT_VPS4', NULL, 'MIT_VPS4', NULL, NULL, 39782, 1),
(16044, NULL, 'cd15713', NULL, NULL, 'ePHD_JMJD2A', NULL, 'ePHD_JMJD2A', NULL, NULL, NULL, 1),
(16045, NULL, 'cd01611', NULL, NULL, 'Ubl_Autophagy_like', NULL, 'Ubl_Autophagy_like', NULL, NULL, NULL, 1),
(16046, NULL, 'cd12673', NULL, NULL, 'RRM_BOULE', NULL, 'RRM_BOULE', NULL, NULL, NULL, 1),
(16047, NULL, 'cd14057', NULL, NULL, 'PK_ILK', NULL, 'PK_ILK', NULL, NULL, 31727, 1),
(16048, NULL, 'cd07991', NULL, NULL, 'LPLAT_LPCAT1-like', NULL, 'LPLAT_LPCAT1-like', NULL, NULL, 39860, 1),
(16049, NULL, 'cd08260', NULL, NULL, 'Zn_ADH6', NULL, 'Zn_ADH6', NULL, NULL, NULL, 1),
(16050, NULL, 'cd14173', NULL, NULL, 'STKc_Mnk2', NULL, 'STKc_Mnk2', NULL, NULL, NULL, 1),
(16051, NULL, 'cd16727', NULL, NULL, 'RING3-HC_MIB1', NULL, 'RING3-HC_MIB1', NULL, NULL, NULL, 1),
(16052, NULL, 'cd08186', NULL, NULL, 'Fe-ADH-like', NULL, 'Fe-ADH-like', NULL, NULL, 40005, 1),
(16053, NULL, 'cd07491', NULL, NULL, 'Peptidases_S8_7', NULL, 'Peptidases_S8_7', NULL, NULL, NULL, 1),
(16054, NULL, 'cd00557', NULL, NULL, 'Translocase_SecB', NULL, 'Translocase_SecB', NULL, NULL, NULL, 1),
(16055, NULL, 'cd04772', NULL, NULL, 'HTH_TioE_rpt1', NULL, 'HTH_TioE_rpt1', NULL, NULL, NULL, 1),
(16056, NULL, 'cd12889', NULL, NULL, 'SPRY_PRY_TRIM67_9', NULL, 'SPRY_PRY_TRIM67_9', NULL, NULL, NULL, 1),
(16057, NULL, 'cd01645', NULL, NULL, 'RT_Rtv', NULL, 'RT_Rtv', NULL, NULL, NULL, 1),
(16058, NULL, 'cd13963', NULL, NULL, 'PT_UbiA_2', NULL, 'PT_UbiA_2', NULL, NULL, NULL, 1),
(16059, NULL, 'cd01973', NULL, NULL, 'Nitrogenase_VFe_beta_like', NULL, 'Nitrogenase_VFe_beta_like', NULL, NULL, NULL, 1),
(16060, NULL, 'cd15421', NULL, NULL, '7tmA_OR2T-like', NULL, '7tmA_OR2T-like', NULL, NULL, NULL, 1),
(16061, NULL, 'cd09665', NULL, NULL, 'Cas8a1_I-A', NULL, 'Cas8a1_I-A', NULL, NULL, NULL, 1),
(16062, NULL, 'cd16819', NULL, NULL, 'SP-RING_PIAS2', NULL, 'SP-RING_PIAS2', NULL, NULL, NULL, 1),
(16063, NULL, 'cd00271', NULL, NULL, 'Chemokine_C', NULL, 'Chemokine_C', NULL, NULL, 6262, 1),
(16064, NULL, 'cd09356', NULL, NULL, 'LIM2_TRIP6', NULL, 'LIM2_TRIP6', NULL, NULL, NULL, 1),
(16065, NULL, 'cd19337', NULL, NULL, 'Wnt_Wnt5', NULL, 'Wnt_Wnt5', NULL, NULL, NULL, 1),
(16066, NULL, 'cd11463', NULL, NULL, 'bHLH-O_HES2', NULL, 'bHLH-O_HES2', NULL, NULL, NULL, 1),
(16067, NULL, 'cd18773', NULL, NULL, 'PDC1_HK_sensor', NULL, 'PDC1_HK_sensor', NULL, NULL, NULL, 1),
(16068, NULL, 'cd10286', NULL, NULL, 'somatolactin', NULL, 'somatolactin', NULL, NULL, NULL, 1),
(16069, NULL, 'cd11978', NULL, NULL, 'SH3_VAV3_2', NULL, 'SH3_VAV3_2', NULL, NULL, 30482, 1),
(16070, NULL, 'cd03794', NULL, NULL, 'GT4_WbuB-like', NULL, 'GT4_WbuB-like', NULL, NULL, NULL, 1),
(16071, NULL, 'cd11976', NULL, NULL, 'SH3_VAV1_2', NULL, 'SH3_VAV1_2', NULL, NULL, 30402, 1),
(16072, NULL, 'cd13742', NULL, NULL, 'SPRY_PRY_TRIM72', NULL, 'SPRY_PRY_TRIM72', NULL, NULL, NULL, 1),
(16073, NULL, 'cd15538', NULL, NULL, 'PHD_PRKCBP1', NULL, 'PHD_PRKCBP1', NULL, NULL, 37440, 1),
(16074, NULL, 'cd14102', NULL, NULL, 'STKc_PIM3', NULL, 'STKc_PIM3', NULL, NULL, NULL, 1),
(16075, NULL, 'cd07043', NULL, NULL, 'STAS_anti-anti-sigma_factors', NULL, 'STAS_anti-anti-sigma_factors', NULL, NULL, NULL, 1),
(16076, NULL, 'cd05561', NULL, NULL, 'Peptidases_S8_4', NULL, 'Peptidases_S8_4', NULL, NULL, NULL, 1),
(16077, NULL, 'cd16943', NULL, NULL, 'HATPase_AtoS-like', NULL, 'HATPase_AtoS-like', NULL, NULL, NULL, 1);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16078, NULL, 'cd17870', NULL, NULL, 'GPN1', NULL, 'GPN1', NULL, NULL, NULL, 1),
(16079, NULL, 'cd02871', NULL, NULL, 'GH18_chitinase_D-like', NULL, 'GH18_chitinase_D-like', NULL, NULL, NULL, 1),
(16080, NULL, 'cd20218', NULL, NULL, 'PFM_aerolysin', NULL, 'PFM_aerolysin', NULL, NULL, NULL, 1),
(16081, NULL, 'cd13601', NULL, NULL, 'PBP2_TRAP_DctP1_3_4_like', NULL, 'PBP2_TRAP_DctP1_3_4_like', NULL, NULL, NULL, 1),
(16082, NULL, 'cd15664', NULL, NULL, 'ePHD_KMT2A_like', NULL, 'ePHD_KMT2A_like', NULL, NULL, NULL, 1),
(16083, NULL, 'cd03053', NULL, NULL, 'GST_N_Phi', NULL, 'GST_N_Phi', NULL, NULL, NULL, 1),
(16084, NULL, 'cd14807', NULL, NULL, 'RAP_D2', NULL, 'RAP_D2', NULL, NULL, 35990, 1),
(16085, NULL, 'cd12000', NULL, NULL, 'SH3_CASS4', NULL, 'SH3_CASS4', NULL, NULL, 30401, 1),
(16086, NULL, 'cd15634', NULL, NULL, 'PHD_PHF20', NULL, 'PHD_PHF20', NULL, NULL, NULL, 1),
(16087, NULL, 'cd01990', NULL, NULL, 'Alpha_ANH_like_I', NULL, 'Alpha_ANH_like_I', NULL, NULL, 11086, 1),
(16088, NULL, 'cd07961', NULL, NULL, 'Anticodon_Ia_Ile_ABEc', NULL, 'Anticodon_Ia_Ile_ABEc', NULL, NULL, 35407, 1),
(16089, NULL, 'cd08720', NULL, NULL, 'RGS_SNX25', NULL, 'RGS_SNX25', NULL, NULL, NULL, 1),
(16090, NULL, 'cd00382', NULL, NULL, 'beta_CA', NULL, 'beta_CA', NULL, NULL, NULL, 1),
(16091, NULL, 'cd15087', NULL, NULL, '7tmA_NPBWR', NULL, '7tmA_NPBWR', NULL, NULL, NULL, 1),
(16092, NULL, 'cd00114', NULL, NULL, 'LIGANc', NULL, 'LIGANc', NULL, NULL, 12865, 1),
(16093, NULL, 'cd02671', NULL, NULL, 'Peptidase_C19O', NULL, 'Peptidase_C19O', NULL, NULL, 32447, 1),
(16094, NULL, 'cd09902', NULL, NULL, 'H3TH_MKT1', NULL, 'H3TH_MKT1', NULL, NULL, 35179, 1),
(16095, NULL, 'cd08235', NULL, NULL, 'iditol_2_DH_like', NULL, 'iditol_2_DH_like', NULL, NULL, NULL, 1),
(16096, NULL, 'cd07762', NULL, NULL, 'CYTH-like_Pase_1', NULL, 'CYTH-like_Pase_1', NULL, NULL, 9878, 1),
(16097, NULL, 'cd19838', NULL, NULL, 'Bbox1_TRIM8_C-V', NULL, 'Bbox1_TRIM8_C-V', NULL, NULL, NULL, 1),
(16098, NULL, 'cd00380', NULL, NULL, 'KOW', NULL, 'KOW', NULL, NULL, NULL, 1),
(16099, NULL, 'cd01737', NULL, NULL, 'LSm16_N', NULL, 'LSm16_N', NULL, NULL, 21523, 1),
(16100, NULL, 'cd08734', NULL, NULL, 'RGS-like_1', NULL, 'RGS-like_1', NULL, NULL, NULL, 1),
(16101, NULL, 'cd08973', NULL, NULL, 'BaFpgNei_N_1', NULL, 'BaFpgNei_N_1', NULL, NULL, NULL, 1),
(16102, NULL, 'cd15043', NULL, NULL, '7tmC_RAIG_GPRC5', NULL, '7tmC_RAIG_GPRC5', NULL, NULL, NULL, 1),
(16103, NULL, 'cd17424', NULL, NULL, 'MFS_MCT12', NULL, 'MFS_MCT12', NULL, NULL, NULL, 1),
(16104, NULL, 'cd08435', NULL, NULL, 'PBP2_GbpR', NULL, 'PBP2_GbpR', NULL, NULL, 35055, 1),
(16105, NULL, 'cd15802', NULL, NULL, 'RING_CBP-p300', NULL, 'RING_CBP-p300', NULL, NULL, 7670, 1),
(16106, NULL, 'cd03207', NULL, NULL, 'GST_C_8', NULL, 'GST_C_8', NULL, NULL, NULL, 1),
(16107, NULL, 'cd08565', NULL, NULL, 'GDPD_pAtGDE_like', NULL, 'GDPD_pAtGDE_like', NULL, NULL, NULL, 1),
(16108, NULL, 'cd07023', NULL, NULL, 'S49_Sppa_N_C', NULL, 'S49_Sppa_N_C', NULL, NULL, 1245, 1),
(16109, NULL, 'cd13560', NULL, NULL, 'PBP2_taurine', NULL, 'PBP2_taurine', NULL, NULL, 6037, 1),
(16110, NULL, 'cd11509', NULL, NULL, 'SLC6sbd_CT1', NULL, 'SLC6sbd_CT1', NULL, NULL, NULL, 1),
(16111, NULL, 'cd14351', NULL, NULL, 'UBA_Ubx1_like', NULL, 'UBA_Ubx1_like', NULL, NULL, NULL, 1),
(16112, NULL, 'cd09493', NULL, NULL, 'SAM_SASH-like', NULL, 'SAM_SASH-like', NULL, NULL, NULL, 1),
(16113, NULL, 'cd04788', NULL, NULL, 'HTH_NolA-AlbR', NULL, 'HTH_NolA-AlbR', NULL, NULL, NULL, 1),
(16114, NULL, 'cd19796', NULL, NULL, 'Bbox2_TRIM71_C-VII', NULL, 'Bbox2_TRIM71_C-VII', NULL, NULL, NULL, 1),
(16115, NULL, 'cd19702', NULL, NULL, 'bHLH_TS_HEN2', NULL, 'bHLH_TS_HEN2', NULL, NULL, NULL, 1),
(16116, NULL, 'cd04192', NULL, NULL, 'GT_2_like_e', NULL, 'GT_2_like_e', NULL, NULL, NULL, 1),
(16117, NULL, 'cd16006', NULL, NULL, '7tmB2_Latrophilin-2', NULL, '7tmB2_Latrophilin-2', NULL, NULL, NULL, 1),
(16118, NULL, 'cd09257', NULL, NULL, 'AP_muniscins_like_MHD', NULL, 'AP_muniscins_like_MHD', NULL, NULL, NULL, 1),
(16119, NULL, 'cd06146', NULL, NULL, 'mut-7_like_exo', NULL, 'mut-7_like_exo', NULL, NULL, 33470, 1);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16120, NULL, 'cd11236', NULL, NULL, 'Sema_plexin_like', NULL, 'Sema_plexin_like', NULL, NULL, NULL, 1),
(16121, NULL, 'cd16103', NULL, NULL, 'Ubl2_OASL', NULL, 'Ubl2_OASL', NULL, NULL, NULL, 1),
(16122, NULL, 'cd05700', NULL, NULL, 'S1_Rrp5_repeat_hs9', NULL, 'S1_Rrp5_repeat_hs9', NULL, NULL, NULL, 1),
(16123, NULL, 'cd19437', NULL, NULL, 'lipocalin_apoD-like', NULL, 'lipocalin_apoD-like', NULL, NULL, NULL, 1),
(16124, NULL, 'cd14758', NULL, NULL, 'GS_GGDEF_1', NULL, 'GS_GGDEF_1', NULL, NULL, NULL, 1),
(16125, NULL, 'cd16237', NULL, NULL, 'EFh_SPARC_TICN1', NULL, 'EFh_SPARC_TICN1', NULL, NULL, NULL, 1),
(16126, NULL, 'cd08330', NULL, NULL, 'CARD_ASC_NALP1', NULL, 'CARD_ASC_NALP1', NULL, NULL, 34628, 1),
(16127, NULL, 'cd07241', NULL, NULL, 'VOC_BsYyaH', NULL, 'VOC_BsYyaH', NULL, NULL, NULL, 1),
(16128, NULL, 'cd09193', NULL, NULL, 'PLDc_mTdp1_1', NULL, 'PLDc_mTdp1_1', NULL, NULL, NULL, 1),
(16129, NULL, 'cd03121', NULL, NULL, 'alpha_CARP_X_XI_like', NULL, 'alpha_CARP_X_XI_like', NULL, NULL, 33471, 1),
(16130, NULL, 'cd03275', NULL, NULL, 'ABC_SMC1_euk', NULL, 'ABC_SMC1_euk', NULL, NULL, 26211, 1),
(16131, NULL, 'cd08920', NULL, NULL, 'Ngb', NULL, 'Ngb', NULL, NULL, NULL, 1),
(16132, NULL, 'cd19793', NULL, NULL, 'Bbox2_TRIM65-like', NULL, 'Bbox2_TRIM65-like', NULL, NULL, NULL, 1),
(16133, NULL, 'cd02553', NULL, NULL, 'PseudoU_synth_RsuA', NULL, 'PseudoU_synth_RsuA', NULL, NULL, NULL, 1),
(16134, NULL, 'cd09882', NULL, NULL, 'PIN_MtVapC3-like_start', NULL, 'PIN_MtVapC3-like_start', NULL, NULL, NULL, 1),
(16135, NULL, 'cd17918', NULL, NULL, 'DEXHc_RecG', NULL, 'DEXHc_RecG', NULL, NULL, NULL, 1),
(16136, NULL, 'cd07391', NULL, NULL, 'MPP_PF1019', NULL, 'MPP_PF1019', NULL, NULL, NULL, 1),
(16137, NULL, 'cd09082', NULL, NULL, 'Deadenylase', NULL, 'Deadenylase', NULL, NULL, NULL, 1),
(16138, NULL, 'cd00315', NULL, NULL, 'Cyt_C5_DNA_methylase', NULL, 'Cyt_C5_DNA_methylase', NULL, NULL, NULL, 1),
(16139, NULL, 'cd07482', NULL, NULL, 'Peptidases_S8_Lantibiotic_specific_protease', NULL, 'Peptidases_S8_Lantibiotic_specific_protease', NULL, NULL, 7932, 1),
(16140, NULL, 'cd07878', NULL, NULL, 'STKc_p38beta', NULL, 'STKc_p38beta', NULL, NULL, NULL, 1),
(16141, NULL, 'cd09671', NULL, NULL, 'Csx1_III-U', NULL, 'Csx1_III-U', NULL, NULL, NULL, 1),
(16142, NULL, 'cd08051', NULL, NULL, 'gp6_gp15_like', NULL, 'gp6_gp15_like', NULL, NULL, NULL, 1),
(16143, NULL, 'cd08228', NULL, NULL, 'STKc_Nek6', NULL, 'STKc_Nek6', NULL, NULL, NULL, 1),
(16144, NULL, 'cd16240', NULL, NULL, 'EFh_SPARC_SMOC1', NULL, 'EFh_SPARC_SMOC1', NULL, NULL, 34608, 1),
(16145, NULL, 'cd19989', NULL, NULL, 'PBP1_SBP-like', NULL, 'PBP1_SBP-like', NULL, NULL, NULL, 1),
(16146, NULL, 'cd09756', NULL, NULL, 'Cas5_I-E', NULL, 'Cas5_I-E', NULL, NULL, NULL, 1),
(16147, NULL, 'cd16708', NULL, NULL, 'RING-HC_Cbl', NULL, 'RING-HC_Cbl', NULL, NULL, NULL, 1),
(16148, NULL, 'cd13856', NULL, NULL, 'CuRO_1_Tv-LCC_like', NULL, 'CuRO_1_Tv-LCC_like', NULL, NULL, NULL, 1),
(16149, NULL, 'cd18724', NULL, NULL, 'PIN_LabA-like', NULL, 'PIN_LabA-like', NULL, NULL, NULL, 1),
(16150, NULL, 'cd12755', NULL, NULL, 'RRM2_RBM5', NULL, 'RRM2_RBM5', NULL, NULL, 14758, 1),
(16151, NULL, 'cd07891', NULL, NULL, 'CYTH-like_CthTTM-like_1', NULL, 'CYTH-like_CthTTM-like_1', NULL, NULL, NULL, 1),
(16152, NULL, 'cd17707', NULL, NULL, 'BRCT_XRCC1_rpt2', NULL, 'BRCT_XRCC1_rpt2', NULL, NULL, NULL, 1),
(16153, NULL, 'cd13606', NULL, NULL, 'PBP2_ProX_like', NULL, 'PBP2_ProX_like', NULL, NULL, NULL, 1),
(16154, NULL, 'cd18748', NULL, NULL, 'PIN_VapC4-5_FitB-like', NULL, 'PIN_VapC4-5_FitB-like', NULL, NULL, NULL, 1),
(16155, NULL, 'cd09986', NULL, NULL, 'LOTUS_1_TDRD7', NULL, 'LOTUS_1_TDRD7', NULL, NULL, NULL, 1),
(16156, NULL, 'cd17297', NULL, NULL, 'AldB-like', NULL, 'AldB-like', NULL, NULL, NULL, 1),
(16157, NULL, 'cd15251', NULL, NULL, '7tmB2_BAI_Adhesion_VII', NULL, '7tmB2_BAI_Adhesion_VII', NULL, NULL, NULL, 1),
(16158, NULL, 'cd01647', NULL, NULL, 'RT_LTR', NULL, 'RT_LTR', NULL, NULL, NULL, 1),
(16159, NULL, 'cd17265', NULL, NULL, 'RMtype1_S_Eco4255III-TRD2-CR2_like', NULL, 'RMtype1_S_Eco4255III-TRD2-CR2_like', NULL, NULL, NULL, 1); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16160, NULL, 'cd17129', NULL, NULL, 'Ubl1_FAF1', NULL, 'Ubl1_FAF1', NULL, NULL, NULL, 1),
(16161, NULL, 'cd00309', NULL, NULL, 'chaperonin_type_I_II', NULL, 'chaperonin_type_I_II', NULL, NULL, NULL, 1),
(16162, NULL, 'cd10431', NULL, NULL, 'GHITM', NULL, 'GHITM', NULL, NULL, 31584, 1),
(16163, NULL, 'cd12012', NULL, NULL, 'SH3_RIM-BP_2', NULL, 'SH3_RIM-BP_2', NULL, NULL, 32935, 1),
(16164, NULL, 'cd17916', NULL, NULL, 'DEXHc_UvrB', NULL, 'DEXHc_UvrB', NULL, NULL, NULL, 1),
(16165, NULL, 'cd19553', NULL, NULL, 'serpinA5_PCI', NULL, 'serpinA5_PCI', NULL, NULL, NULL, 1),
(16166, NULL, 'cd09071', NULL, NULL, 'FAR_C', NULL, 'FAR_C', NULL, NULL, 32654, 1),
(16167, NULL, 'cd09650', NULL, NULL, 'Cas7_I', NULL, 'Cas7_I', NULL, NULL, NULL, 1),
(16168, NULL, 'cd12796', NULL, NULL, 'LbR_Ice_bind', NULL, 'LbR_Ice_bind', NULL, NULL, NULL, 1),
(16169, NULL, 'cd15457', NULL, NULL, 'NADAR', NULL, 'NADAR', NULL, NULL, 12606, 1),
(16170, NULL, 'cd00001', NULL, NULL, 'PTS_IIB_man', NULL, 'PTS_IIB_man', NULL, NULL, 3799, 1),
(16171, NULL, 'cd00586', NULL, NULL, '4HBT', NULL, '4HBT', NULL, NULL, NULL, 1),
(16172, NULL, 'cd14484', NULL, NULL, 'SPX_GDE1_like', NULL, 'SPX_GDE1_like', NULL, NULL, NULL, 1),
(16173, NULL, 'cd13185', NULL, NULL, 'FERM_C_FRMD1_FRMD6', NULL, 'FERM_C_FRMD1_FRMD6', NULL, NULL, 32684, 1),
(16174, NULL, 'cd06103', NULL, NULL, 'ScCS-like', NULL, 'ScCS-like', NULL, NULL, NULL, 1),
(16175, NULL, 'cd13436', NULL, NULL, 'SPFH_SLP-1', NULL, 'SPFH_SLP-1', NULL, NULL, NULL, 1),
(16176, NULL, 'cd10788', NULL, NULL, 'YdjC_like', NULL, 'YdjC_like', NULL, NULL, NULL, 1),
(16177, NULL, 'cd09886', NULL, NULL, 'NGN_SP', NULL, 'NGN_SP', NULL, NULL, NULL, 1),
(16178, NULL, 'cd14692', NULL, NULL, 'bZIP_ATF4', NULL, 'bZIP_ATF4', NULL, NULL, NULL, 1),
(16179, NULL, 'cd14950', NULL, NULL, 'Asparaginase_2_like_2', NULL, 'Asparaginase_2_like_2', NULL, NULL, NULL, 1),
(16180, NULL, 'cd01134', NULL, NULL, 'V_A-ATPase_A', NULL, 'V_A-ATPase_A', NULL, NULL, NULL, 1),
(16181, NULL, 'cd05170', NULL, NULL, 'PIKKc_SMG1', NULL, 'PIKKc_SMG1', NULL, NULL, 29946, 1),
(16182, NULL, 'cd02577', NULL, NULL, 'PSTD1', NULL, 'PSTD1', NULL, NULL, NULL, 1),
(16183, NULL, 'cd12478', NULL, NULL, 'RRM1_U2B', NULL, 'RRM1_U2B', NULL, NULL, 3809, 1),
(16184, NULL, 'cd05279', NULL, NULL, 'Zn_ADH1', NULL, 'Zn_ADH1', NULL, NULL, NULL, 1),
(16185, NULL, 'cd12462', NULL, NULL, 'RRM_SCAF8', NULL, 'RRM_SCAF8', NULL, NULL, 33320, 1),
(16186, NULL, 'cd09592', NULL, NULL, 'SAM_DLC2', NULL, 'SAM_DLC2', NULL, NULL, NULL, 1),
(16187, NULL, 'cd17675', NULL, NULL, 'SWIB_BAF60B', NULL, 'SWIB_BAF60B', NULL, NULL, NULL, 1),
(16188, NULL, 'cd08579', NULL, NULL, 'GDPD_memb_like', NULL, 'GDPD_memb_like', NULL, NULL, NULL, 1),
(16189, NULL, 'cd16480', NULL, NULL, 'RING-H2_TRAIP', NULL, 'RING-H2_TRAIP', NULL, NULL, NULL, 1),
(16190, NULL, 'cd07717', NULL, NULL, 'RNaseZ_ZiPD-like_MBL-fold', NULL, 'RNaseZ_ZiPD-like_MBL-fold', NULL, NULL, 10009, 1),
(16191, NULL, 'cd09607', NULL, NULL, 'M3B_PepF', NULL, 'M3B_PepF', NULL, NULL, 1759, 1),
(16192, NULL, 'cd12835', NULL, NULL, 'EcCorA-like_1', NULL, 'EcCorA-like_1', NULL, NULL, NULL, 1),
(16193, NULL, 'cd21170', NULL, NULL, 'NTD_cv_Nsp15-like', NULL, 'NTD_cv_Nsp15-like', NULL, NULL, 37798, 1),
(16194, NULL, 'cd15989', NULL, NULL, '7tmB2_BAI3', NULL, '7tmB2_BAI3', NULL, NULL, NULL, 1),
(16195, NULL, 'cd14362', NULL, NULL, 'CUE_TAB2_TAB3', NULL, 'CUE_TAB2_TAB3', NULL, NULL, 32218, 1),
(16196, NULL, 'cd10972', NULL, NULL, 'CE4_DAC_u3_5s', NULL, 'CE4_DAC_u3_5s', NULL, NULL, NULL, 1),
(16197, NULL, 'cd05740', NULL, NULL, 'Ig_CEACAM', NULL, 'Ig_CEACAM', NULL, NULL, NULL, 1),
(16198, NULL, 'cd18025', NULL, NULL, 'DEXHc_DDX60', NULL, 'DEXHc_DDX60', NULL, NULL, NULL, 1),
(16199, NULL, 'cd15852', NULL, NULL, 'SNARE_Syntaxin8', NULL, 'SNARE_Syntaxin8', NULL, NULL, 32898, 1),
(16200, NULL, 'cd17508', NULL, NULL, 'Alpha_kinase', NULL, 'Alpha_kinase', NULL, NULL, NULL, 1),
(16201, NULL, 'cd10316', NULL, NULL, 'RGL4_M', NULL, 'RGL4_M', NULL, NULL, 21622, 1),
(16202, NULL, 'cd03829', NULL, NULL, 'Sina', NULL, 'Sina', NULL, NULL, NULL, 1);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16203, NULL, 'cd17731', NULL, NULL, 'BRCT_TopBP1_rpt2_like', NULL, 'BRCT_TopBP1_rpt2_like', NULL, NULL, NULL, 1),
(16204, NULL, 'cd15615', NULL, NULL, 'PHD_ARID4_like', NULL, 'PHD_ARID4_like', NULL, NULL, NULL, 1),
(16205, NULL, 'cd04700', NULL, NULL, 'DR1025_like', NULL, 'DR1025_like', NULL, NULL, NULL, 1),
(16206, NULL, 'cd11977', NULL, NULL, 'SH3_VAV2_2', NULL, 'SH3_VAV2_2', NULL, NULL, 30014, 1),
(16207, NULL, 'cd14989', NULL, NULL, '7tmA_GPER1', NULL, '7tmA_GPER1', NULL, NULL, NULL, 1),
(16208, NULL, 'cd15577', NULL, NULL, 'PHD_JMJD2C', NULL, 'PHD_JMJD2C', NULL, NULL, NULL, 1),
(16209, NULL, 'cd03874', NULL, NULL, 'M28_PMSA_TfR_like', NULL, 'M28_PMSA_TfR_like', NULL, NULL, NULL, 1),
(16210, NULL, 'cd08374', NULL, NULL, 'C2F_Ferlin', NULL, 'C2F_Ferlin', NULL, NULL, 35040, 1),
(16211, NULL, 'cd12827', NULL, NULL, 'EcCorA_ZntB-like_u2', NULL, 'EcCorA_ZntB-like_u2', NULL, NULL, NULL, 1),
(16212, NULL, 'cd05491', NULL, NULL, 'Bromo_TBP7_like', NULL, 'Bromo_TBP7_like', NULL, NULL, NULL, 1),
(16213, NULL, 'Coil', NULL, NULL, NULL, NULL, 'Coil', NULL, NULL, NULL, 2),
(16214, NULL, 'G3DSA:3.30.1070.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16215, NULL, 'G3DSA:3.30.240.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16216, NULL, 'G3DSA:3.30.160.510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16217, NULL, 'G3DSA:3.40.50.10540', NULL, NULL, NULL, NULL, '', NULL, NULL, 17454, 3),
(16218, NULL, 'G3DSA:3.30.1880.10', NULL, NULL, NULL, NULL, 'protein ne1242 domain like', NULL, NULL, 21115, 3),
(16219, NULL, 'G3DSA:6.10.250.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16220, NULL, 'G3DSA:3.30.930.10', NULL, NULL, NULL, NULL, 'Bira Bifunctional Protein; Domain 2', NULL, NULL, 39869, 3),
(16221, NULL, 'G3DSA:2.170.130.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 32955, 3),
(16222, NULL, 'G3DSA:1.10.8.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16223, NULL, 'G3DSA:1.10.1740.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16224, NULL, 'G3DSA:1.20.120.450', NULL, NULL, NULL, NULL, 'dinb family like domain', NULL, NULL, 7967, 3),
(16225, NULL, 'G3DSA:1.10.10.1700', NULL, NULL, NULL, NULL, '', NULL, NULL, 33248, 3),
(16226, NULL, 'G3DSA:2.60.40.3710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16227, NULL, 'G3DSA:3.30.1560.10', NULL, NULL, NULL, NULL, 'Mago nashi', NULL, NULL, 35200, 3),
(16228, NULL, 'G3DSA:1.20.1270.280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16229, NULL, 'G3DSA:3.30.1680.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16230, NULL, 'G3DSA:1.20.120.430', NULL, NULL, NULL, NULL, 'tRNA modification GTPase MnmE domain 2', NULL, NULL, 21516, 3),
(16231, NULL, 'G3DSA:1.20.1270.360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16232, NULL, 'G3DSA:2.60.40.700', NULL, NULL, NULL, NULL, '', NULL, NULL, 36493, 3),
(16233, NULL, 'G3DSA:3.40.30.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16234, NULL, 'G3DSA:3.90.330.10', NULL, NULL, NULL, NULL, 'Nitrile hydratase alpha /Thiocyanate hydrolase gamma', NULL, NULL, 33378, 3),
(16235, NULL, 'G3DSA:1.20.58.1980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16236, NULL, 'G3DSA:3.20.20.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 36361, 3),
(16237, NULL, 'G3DSA:2.10.22.10', NULL, NULL, NULL, NULL, 'Antistasin; domain 1', NULL, NULL, NULL, 3),
(16238, NULL, 'G3DSA:1.10.8.640', NULL, NULL, NULL, NULL, 'Cytochrome C biogenesis protein', NULL, NULL, 33586, 3),
(16239, NULL, 'G3DSA:2.40.50.270', NULL, NULL, NULL, NULL, 'transglycosylase MltA', NULL, NULL, NULL, 3),
(16240, NULL, 'G3DSA:2.60.40.3630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16241, NULL, 'G3DSA:2.10.10.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 38924, 3),
(16242, NULL, 'G3DSA:2.30.120.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37751, 3),
(16243, NULL, 'G3DSA:1.10.3600.10', NULL, NULL, NULL, NULL, 'Putative bacterial toxin ydaT', NULL, NULL, 31875, 3),
(16244, NULL, 'G3DSA:3.90.870.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16245, NULL, 'G3DSA:3.10.510.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 16607, 3); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16246, NULL, 'G3DSA:3.30.70.3270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16247, NULL, 'G3DSA:6.10.250.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16248, NULL, 'G3DSA:1.10.1270.20', NULL, NULL, NULL, NULL, 'tRNA(m1g37)methyltransferase, domain 2', NULL, NULL, 7830, 3),
(16249, NULL, 'G3DSA:3.30.1820.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 7786, 3),
(16250, NULL, 'G3DSA:3.30.310.120', NULL, NULL, NULL, NULL, 'Rbstp2229 like protein', NULL, NULL, NULL, 3),
(16251, NULL, 'G3DSA:3.40.1350.90', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF11572, DUF3234', NULL, NULL, NULL, 3),
(16252, NULL, 'G3DSA:3.20.200.10', NULL, NULL, NULL, NULL, 'MHCK/EF2 kinase', NULL, NULL, NULL, 3),
(16253, NULL, 'G3DSA:3.30.9.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16254, NULL, 'G3DSA:2.40.10.230', NULL, NULL, NULL, NULL, 'Probable tRNA pseudouridine synthase domain', NULL, NULL, 36081, 3),
(16255, NULL, 'G3DSA:2.20.220.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16256, NULL, 'G3DSA:2.60.60.30', NULL, NULL, NULL, NULL, 'sav2460 like domains', NULL, NULL, NULL, 3),
(16257, NULL, 'G3DSA:3.30.70.3190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16258, NULL, 'G3DSA:2.60.98.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34965, 3),
(16259, NULL, 'G3DSA:3.30.2430.10', NULL, NULL, NULL, NULL, 'phosphothreonine lyase', NULL, NULL, 34946, 3),
(16260, NULL, 'G3DSA:1.10.10.1250', NULL, NULL, NULL, NULL, '', NULL, NULL, 34818, 3),
(16261, NULL, 'G3DSA:2.60.260.50', NULL, NULL, NULL, NULL, 'Flavivirus polyprotein propeptide domain', NULL, NULL, 36428, 3),
(16262, NULL, 'G3DSA:6.10.250.1390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16263, NULL, 'G3DSA:3.40.50.10380', NULL, NULL, NULL, NULL, '', NULL, NULL, 32212, 3),
(16264, NULL, 'G3DSA:1.10.357.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16265, NULL, 'G3DSA:3.30.2000.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16266, NULL, 'G3DSA:2.60.240.10', NULL, NULL, NULL, NULL, 'Major secreted virus protein', NULL, NULL, 36453, 3),
(16267, NULL, 'G3DSA:6.10.250.1760', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16268, NULL, 'G3DSA:3.40.50.11010', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16269, NULL, 'G3DSA:3.30.230.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 26065, 3),
(16270, NULL, 'G3DSA:3.10.450.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16271, NULL, 'G3DSA:3.40.50.10360', NULL, NULL, NULL, NULL, 'Hypothetical protein TT1679', NULL, NULL, 28658, 3),
(16272, NULL, 'G3DSA:1.10.490.10', NULL, NULL, NULL, NULL, 'Globins', NULL, NULL, 13764, 3),
(16273, NULL, 'G3DSA:1.10.489.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34278, 3),
(16274, NULL, 'G3DSA:2.20.20.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16275, NULL, 'G3DSA:2.40.30.320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16276, NULL, 'G3DSA:2.60.40.1450', NULL, NULL, NULL, NULL, 'LAG1, DNA binding domain', NULL, NULL, 35544, 3),
(16277, NULL, 'G3DSA:1.10.260.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16278, NULL, 'G3DSA:6.20.210.20', NULL, NULL, NULL, NULL, 'THAP domain', NULL, NULL, 33771, 3),
(16279, NULL, 'G3DSA:3.40.50.10700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16280, NULL, 'G3DSA:3.90.820.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16281, NULL, 'G3DSA:1.20.1270.440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16282, NULL, 'G3DSA:3.30.160.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16283, NULL, 'G3DSA:1.10.10.1620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16284, NULL, 'G3DSA:3.90.640.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16285, NULL, 'G3DSA:2.60.290.11', NULL, NULL, NULL, NULL, '', NULL, NULL, 31929, 3),
(16286, NULL, 'G3DSA:1.10.287.4310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16287, NULL, 'G3DSA:2.30.110.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16288, NULL, 'G3DSA:2.40.128.480', NULL, NULL, NULL, NULL, '', NULL, NULL, 33883, 3),
(16289, NULL, 'G3DSA:6.10.250.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16290, NULL, 'G3DSA:1.10.8.1310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16291, NULL, 'G3DSA:3.30.450.50', NULL, NULL, NULL, NULL, 'Longin domain', NULL, NULL, NULL, 3),
(16292, NULL, 'G3DSA:3.30.160.430', NULL, NULL, NULL, NULL, '', NULL, NULL, 33533, 3),
(16293, NULL, 'G3DSA:1.10.1850.10', NULL, NULL, NULL, NULL, 'Scaffold protein D', NULL, NULL, 33063, 3),
(16294, NULL, 'G3DSA:1.10.1000.11', NULL, NULL, NULL, NULL, '', NULL, NULL, 16324, 3),
(16295, NULL, 'G3DSA:3.40.50.12780', NULL, NULL, NULL, NULL, '', NULL, NULL, 33270, 3),
(16296, NULL, 'G3DSA:1.10.442.10', NULL, NULL, NULL, NULL, 'Cytochrome c oxidase subunit IV', NULL, NULL, 33099, 3),
(16297, NULL, 'G3DSA:2.30.31.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16298, NULL, 'G3DSA:3.30.70.1110', NULL, NULL, NULL, NULL, '', NULL, NULL, 31549, 3),
(16299, NULL, 'G3DSA:2.40.128.690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16300, NULL, 'G3DSA:6.10.250.1920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16301, NULL, 'G3DSA:2.20.25.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16302, NULL, 'G3DSA:1.10.8.660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16303, NULL, 'G3DSA:2.20.28.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 24573, 3),
(16304, NULL, 'G3DSA:3.30.429.10', NULL, NULL, NULL, NULL, 'Macrophage Migration Inhibitory Factor', NULL, NULL, 13369, 3),
(16305, NULL, 'G3DSA:3.30.310.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 13949, 3),
(16306, NULL, 'G3DSA:3.30.500.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32302, 3),
(16307, NULL, 'G3DSA:3.30.40.240', NULL, NULL, NULL, NULL, 'Transglutaminase elicitor, body domain', NULL, NULL, NULL, 3),
(16308, NULL, 'G3DSA:3.90.930.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16309, NULL, 'G3DSA:3.40.462.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16310, NULL, 'G3DSA:6.10.140.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 32287, 3),
(16311, NULL, 'G3DSA:3.30.420.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 36265, 3),
(16312, NULL, 'G3DSA:6.10.330.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 35158, 3),
(16313, NULL, 'G3DSA:1.20.1510.10', NULL, NULL, NULL, NULL, 'Cation efflux protein transmembrane domain', NULL, NULL, 26432, 3),
(16314, NULL, 'G3DSA:2.40.50.220', NULL, NULL, NULL, NULL, 'EutN/Ccml', NULL, NULL, 30522, 3),
(16315, NULL, 'G3DSA:1.20.58.450', NULL, NULL, NULL, NULL, 'Cell division control protein 42 homolog', NULL, NULL, NULL, 3),
(16316, NULL, 'G3DSA:1.10.8.870', NULL, NULL, NULL, NULL, '', NULL, NULL, 33851, 3),
(16317, NULL, 'G3DSA:2.40.30.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16318, NULL, 'G3DSA:6.20.90.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16319, NULL, 'G3DSA:1.10.10.510', NULL, NULL, NULL, NULL, '', NULL, NULL, 30437, 3),
(16320, NULL, 'G3DSA:3.10.310.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16321, NULL, 'G3DSA:3.30.70.2880', NULL, NULL, NULL, NULL, '', NULL, NULL, 35169, 3),
(16322, NULL, 'G3DSA:2.60.40.1590', NULL, NULL, NULL, NULL, 'Peptidoglycan hydrolase domains', NULL, NULL, NULL, 3),
(16323, NULL, 'G3DSA:6.10.250.2230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16324, NULL, 'G3DSA:3.40.50.1110', NULL, NULL, NULL, NULL, 'SGNH hydrolase', NULL, NULL, 32960, 3),
(16325, NULL, 'G3DSA:2.60.40.380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16326, NULL, 'G3DSA:3.30.1490.290', NULL, NULL, NULL, NULL, '', NULL, NULL, 36613, 3),
(16327, NULL, 'G3DSA:1.20.58.1690', NULL, NULL, NULL, NULL, '', NULL, NULL, 33966, 3),
(16328, NULL, 'G3DSA:1.20.1050.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16329, NULL, 'G3DSA:3.30.160.140', NULL, NULL, NULL, NULL, '', NULL, NULL, 31702, 3),
(16330, NULL, 'G3DSA:3.30.160.270', NULL, NULL, NULL, NULL, '', NULL, NULL, 32479, 3),
(16331, NULL, 'G3DSA:3.30.1120.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16332, NULL, 'G3DSA:1.10.287.850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16333, NULL, 'G3DSA:3.30.40.80', NULL, NULL, NULL, NULL, 'Effector protein NleG', NULL, NULL, 33742, 3);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16334, NULL, 'G3DSA:2.60.120.330', NULL, NULL, NULL, NULL, '', NULL, NULL, 27674, 3),
(16335, NULL, 'G3DSA:1.20.1280.70', NULL, NULL, NULL, NULL, 'Exonuclease ExoI, domain 3', NULL, NULL, NULL, 3),
(16336, NULL, 'G3DSA:2.60.40.1460', NULL, NULL, NULL, NULL, 'Integrin domains. Chain A, domain 2', NULL, NULL, NULL, 3),
(16337, NULL, 'G3DSA:3.30.1490.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16338, NULL, 'G3DSA:4.10.10.10', NULL, NULL, NULL, NULL, 'Metallothionein Isoform II', NULL, NULL, 21193, 3),
(16339, NULL, 'G3DSA:2.40.30.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16340, NULL, 'G3DSA:2.60.40.3260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16341, NULL, 'G3DSA:3.40.630.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16342, NULL, 'G3DSA:3.30.1360.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16343, NULL, 'G3DSA:1.20.58.2240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16344, NULL, 'G3DSA:2.120.10.100', NULL, NULL, NULL, NULL, 'Apyrase', NULL, NULL, 31577, 3),
(16345, NULL, 'G3DSA:3.30.1490.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 7450, 3),
(16346, NULL, 'G3DSA:1.10.287.600', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, 16770, 3),
(16347, NULL, 'G3DSA:6.10.280.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 39041, 3),
(16348, NULL, 'G3DSA:1.10.287.930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16349, NULL, 'G3DSA:2.10.70.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16350, NULL, 'G3DSA:1.10.8.1020', NULL, NULL, NULL, NULL, '', NULL, NULL, 39115, 3),
(16351, NULL, 'G3DSA:6.10.250.2310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16352, NULL, 'G3DSA:1.10.10.1330', NULL, NULL, NULL, NULL, '', NULL, NULL, 33163, 3),
(16353, NULL, 'G3DSA:3.30.1120.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 31186, 3),
(16354, NULL, 'G3DSA:2.60.120.1560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16355, NULL, 'G3DSA:2.40.50.870', NULL, NULL, NULL, NULL, 'Protein of unknown function (DUF3299)', NULL, NULL, NULL, 3),
(16356, NULL, 'G3DSA:2.60.40.4100', NULL, NULL, NULL, NULL, '', NULL, NULL, 38988, 3),
(16357, NULL, 'G3DSA:4.10.80.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16358, NULL, 'G3DSA:3.10.490.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 37208, 3),
(16359, NULL, 'G3DSA:3.40.1520.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16360, NULL, 'G3DSA:2.60.120.1690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16361, NULL, 'G3DSA:3.30.457.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16362, NULL, 'G3DSA:3.40.50.1820', NULL, NULL, NULL, NULL, 'alpha/beta hydrolase', NULL, NULL, 26387, 3),
(16363, NULL, 'G3DSA:1.10.274.30', NULL, NULL, NULL, NULL, 'MRG domain', NULL, NULL, 29003, 3),
(16364, NULL, 'G3DSA:6.10.250.410', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16365, NULL, 'G3DSA:3.30.1120.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16366, NULL, 'G3DSA:2.10.70.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16367, NULL, 'G3DSA:6.10.250.330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16368, NULL, 'G3DSA:1.10.8.950', NULL, NULL, NULL, NULL, '', NULL, NULL, 38208, 3),
(16369, NULL, 'G3DSA:2.60.40.1230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16370, NULL, 'G3DSA:1.20.1260.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 7809, 3),
(16371, NULL, 'G3DSA:3.90.460.10', NULL, NULL, NULL, NULL, 'Ferredoxin thioredoxin reductase catalytic beta subunit', NULL, NULL, 33181, 3),
(16372, NULL, 'G3DSA:6.10.280.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 33828, 3),
(16373, NULL, 'G3DSA:2.60.40.3920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16374, NULL, 'G3DSA:3.30.70.1400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16375, NULL, 'G3DSA:2.60.20.10', NULL, NULL, NULL, NULL, 'Crystallins', NULL, NULL, NULL, 3),
(16376, NULL, 'G3DSA:3.30.2390.20', NULL, NULL, NULL, NULL, 'Type VII secretion system EccB, repeat 1 domain', NULL, NULL, 37916, 3),
(16377, NULL, 'G3DSA:1.10.3730.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16378, NULL, 'G3DSA:4.10.410.10', NULL, NULL, NULL, NULL, 'Pancreatic trypsin inhibitor Kunitz domain', NULL, NULL, 30822, 3),
(16379, NULL, 'G3DSA:3.30.70.3250', NULL, NULL, NULL, NULL, 'Ribonuclease P, Pop5 subunit', NULL, NULL, 33809, 3),
(16380, NULL, 'G3DSA:2.40.10.520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16381, NULL, 'G3DSA:3.50.30.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16382, NULL, 'G3DSA:3.30.1690.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16383, NULL, 'G3DSA:2.40.128.720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16384, NULL, 'G3DSA:1.20.1260.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 37136, 3),
(16385, NULL, 'G3DSA:1.10.3030.10', NULL, NULL, NULL, NULL, 'Gametocyte protein Pfg27', NULL, NULL, 33910, 3),
(16386, NULL, 'G3DSA:3.40.50.1480', NULL, NULL, NULL, NULL, '', NULL, NULL, 37425, 3),
(16387, NULL, 'G3DSA:1.10.8.160', NULL, NULL, NULL, NULL, 'DNA primase S; domain 2', NULL, NULL, NULL, 3),
(16388, NULL, 'G3DSA:3.30.70.330', NULL, NULL, NULL, NULL, '', NULL, NULL, 12039, 3),
(16389, NULL, 'G3DSA:3.90.45.10', NULL, NULL, NULL, NULL, 'Peptide deformylase', NULL, NULL, 30268, 3),
(16390, NULL, 'G3DSA:1.10.287.1020', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16391, NULL, 'G3DSA:3.40.630.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16392, NULL, 'G3DSA:3.40.50.10620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16393, NULL, 'G3DSA:1.10.132.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16394, NULL, 'G3DSA:3.40.970.30', NULL, NULL, NULL, NULL, 'yp_829618.1 like domains', NULL, NULL, NULL, 3),
(16395, NULL, 'G3DSA:1.20.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33955, 3),
(16396, NULL, 'G3DSA:3.10.180.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16397, NULL, 'G3DSA:1.10.287.4070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16398, NULL, 'G3DSA:3.30.360.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16399, NULL, 'G3DSA:1.10.8.1070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16400, NULL, 'G3DSA:2.60.40.4380', NULL, NULL, NULL, NULL, 'Translational regulator CsrA', NULL, NULL, 35969, 3),
(16401, NULL, 'G3DSA:2.60.40.3500', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16402, NULL, 'G3DSA:2.60.40.3180', NULL, NULL, NULL, NULL, '', NULL, NULL, 32224, 3),
(16403, NULL, 'G3DSA:3.30.70.380', NULL, NULL, NULL, NULL, '', NULL, NULL, 33641, 3),
(16404, NULL, 'G3DSA:4.10.93.10', NULL, NULL, NULL, NULL, 'Mitochondrial cytochrome c oxidase subunit VIc/VIIs', NULL, NULL, 31992, 3),
(16405, NULL, 'G3DSA:3.30.1370.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 33723, 3),
(16406, NULL, 'G3DSA:6.10.250.1680', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16407, NULL, 'G3DSA:3.10.20.770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16408, NULL, 'G3DSA:1.20.140.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 36372, 3),
(16409, NULL, 'G3DSA:1.10.1740.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16410, NULL, 'G3DSA:1.10.286.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16411, NULL, 'G3DSA:1.10.8.900', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16412, NULL, 'G3DSA:2.60.40.4230', NULL, NULL, NULL, NULL, 'Resistin head domain', NULL, NULL, 31848, 3),
(16413, NULL, 'G3DSA:1.10.246.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16414, NULL, 'G3DSA:2.60.40.2950', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16415, NULL, 'G3DSA:1.20.140.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16416, NULL, 'G3DSA:1.20.5.1350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16417, NULL, 'G3DSA:1.20.81.30', NULL, NULL, NULL, NULL, 'Type II secretion system (T2SS), domain F', NULL, NULL, 33427, 3),
(16418, NULL, 'G3DSA:3.30.1370.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16419, NULL, 'G3DSA:2.60.120.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 27342, 3),
(16420, NULL, 'G3DSA:4.10.1240.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16421, NULL, 'G3DSA:1.25.70.10', NULL, NULL, NULL, NULL, 'Transcription termination factor 3, mitochondrial', NULL, NULL, 36153, 3);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16422, NULL, 'G3DSA:3.30.300.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 36470, 3),
(16423, NULL, 'G3DSA:6.10.250.1630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16424, NULL, 'G3DSA:1.10.10.1150', NULL, NULL, NULL, NULL, 'Coenzyme PQQ synthesis protein D (PqqD)', NULL, NULL, 32544, 3),
(16425, NULL, 'G3DSA:2.60.310.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16426, NULL, 'G3DSA:6.10.140.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16427, NULL, 'G3DSA:3.40.50.2030', NULL, NULL, NULL, NULL, '', NULL, NULL, 10515, 3),
(16428, NULL, 'G3DSA:1.10.246.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16429, NULL, 'G3DSA:6.10.250.1970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16430, NULL, 'G3DSA:3.30.1360.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 34393, 3),
(16431, NULL, 'G3DSA:1.20.5.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16432, NULL, 'G3DSA:3.30.160.150', NULL, NULL, NULL, NULL, 'Lipoprotein like domain', NULL, NULL, NULL, 3),
(16433, NULL, 'G3DSA:3.30.420.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16434, NULL, 'G3DSA:2.60.120.1270', NULL, NULL, NULL, NULL, '', NULL, NULL, 36365, 3),
(16435, NULL, 'G3DSA:1.10.2020.10', NULL, NULL, NULL, NULL, 'uronate isomerase, domain 2, chain A', NULL, NULL, NULL, 3),
(16436, NULL, 'G3DSA:3.40.525.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30853, 3),
(16437, NULL, 'G3DSA:3.40.50.12790', NULL, NULL, NULL, NULL, 'FHIPEP family, domain 4', NULL, NULL, 37665, 3),
(16438, NULL, 'G3DSA:2.40.50.200', NULL, NULL, NULL, NULL, '', NULL, NULL, 34156, 3),
(16439, NULL, 'G3DSA:3.30.530.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16440, NULL, 'G3DSA:1.10.3490.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16441, NULL, 'G3DSA:3.40.140.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 37347, 3),
(16442, NULL, 'G3DSA:1.10.10.1830', NULL, NULL, NULL, NULL, '', NULL, NULL, 36893, 3),
(16443, NULL, 'G3DSA:6.10.250.1180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16444, NULL, 'G3DSA:1.10.569.10', NULL, NULL, NULL, NULL, 'Aldehyde Ferredoxin Oxidoreductase Protein, subunit A, domain 2', NULL, NULL, 13036, 3),
(16445, NULL, 'G3DSA:1.10.3780.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16446, NULL, 'G3DSA:1.20.1460.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16447, NULL, 'G3DSA:2.30.29.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16448, NULL, 'G3DSA:3.10.196.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30582, 3),
(16449, NULL, 'G3DSA:1.10.287.840', NULL, NULL, NULL, NULL, 'Mycolic acid cyclopropane synthase domain like', NULL, NULL, 15643, 3),
(16450, NULL, 'G3DSA:3.90.209.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 18020, 3),
(16451, NULL, 'G3DSA:6.20.50.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16452, NULL, 'G3DSA:3.30.70.1380', NULL, NULL, NULL, NULL, 'Transcriptional regulatory protein pf0864 domain like', NULL, NULL, NULL, 3),
(16453, NULL, 'G3DSA:3.30.160.560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16454, NULL, 'G3DSA:6.10.220.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16455, NULL, 'G3DSA:2.30.30.1040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16456, NULL, 'G3DSA:1.10.132.50', NULL, NULL, NULL, NULL, 'ATP synthase (C/AC39) subunit, domain 3', NULL, NULL, 36839, 3),
(16457, NULL, 'G3DSA:1.10.287.3180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16458, NULL, 'G3DSA:3.90.1310.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16459, NULL, 'G3DSA:3.40.1190.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34326, 3),
(16460, NULL, 'G3DSA:3.30.1250.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36318, 3),
(16461, NULL, 'G3DSA:3.30.780.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16462, NULL, 'G3DSA:1.10.1350.10', NULL, NULL, NULL, NULL, 'Viral capsid alpha domain', NULL, NULL, NULL, 3),
(16463, NULL, 'G3DSA:3.90.1600.10', NULL, NULL, NULL, NULL, 'Palm domain of DNA polymerase', NULL, NULL, 2610, 3),
(16464, NULL, 'G3DSA:3.40.50.11300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16465, NULL, 'G3DSA:3.30.920.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16466, NULL, 'G3DSA:1.20.5.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 30154, 3),
(16467, NULL, 'G3DSA:1.25.40.980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16468, NULL, 'G3DSA:2.40.50.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 9863, 3),
(16469, NULL, 'G3DSA:3.30.60.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16470, NULL, 'G3DSA:2.40.128.590', NULL, NULL, NULL, NULL, 'CpcT/CpeT domain', NULL, NULL, 36427, 3),
(16471, NULL, 'G3DSA:1.10.3320.10', NULL, NULL, NULL, NULL, 'pa2218 like domain', NULL, NULL, 15970, 3),
(16472, NULL, 'G3DSA:1.10.30.20', NULL, NULL, NULL, NULL, 'Bacterial XPD DNA helicase, FeS cluster domain', NULL, NULL, 36273, 3),
(16473, NULL, 'G3DSA:3.90.105.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 33873, 3),
(16474, NULL, 'G3DSA:3.30.2190.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36046, 3),
(16475, NULL, 'G3DSA:3.30.479.20', NULL, NULL, NULL, NULL, 'Elongation factor Ts, dimerisation domain', NULL, NULL, 31587, 3),
(16476, NULL, 'G3DSA:3.10.330.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16477, NULL, 'G3DSA:1.10.10.1120', NULL, NULL, NULL, NULL, '', NULL, NULL, 33168, 3),
(16478, NULL, 'G3DSA:1.10.8.810', NULL, NULL, NULL, NULL, 'Daxx helical bundle domain', NULL, NULL, 33950, 3),
(16479, NULL, 'G3DSA:3.20.20.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16480, NULL, 'G3DSA:2.60.98.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16481, NULL, 'G3DSA:1.20.120.1370', NULL, NULL, NULL, NULL, 'Regulator of RNA polymerase sigma(70) subunit, domain 4', NULL, NULL, 31067, 3),
(16482, NULL, 'G3DSA:3.40.50.10590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16483, NULL, 'G3DSA:3.40.30.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16484, NULL, 'G3DSA:1.10.8.370', NULL, NULL, NULL, NULL, 'nsp7 replicase', NULL, NULL, 35932, 3),
(16485, NULL, 'G3DSA:1.10.1790.10', NULL, NULL, NULL, NULL, 'PRD domain', NULL, NULL, NULL, 3),
(16486, NULL, 'G3DSA:3.30.457.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32156, 3),
(16487, NULL, 'G3DSA:3.30.1330.200', NULL, NULL, NULL, NULL, '', NULL, NULL, 34911, 3),
(16488, NULL, 'G3DSA:1.20.1320.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16489, NULL, 'G3DSA:1.20.960.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16490, NULL, 'G3DSA:3.30.70.2670', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16491, NULL, 'G3DSA:1.20.1420.20', NULL, NULL, NULL, NULL, 'M75 peptidase, HXXE motif', NULL, NULL, 35771, 3),
(16492, NULL, 'G3DSA:1.10.3910.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36478, 3),
(16493, NULL, 'G3DSA:2.60.90.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 33911, 3),
(16494, NULL, 'G3DSA:3.10.570.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16495, NULL, 'G3DSA:6.10.250.700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16496, NULL, 'G3DSA:2.20.25.350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16497, NULL, 'G3DSA:2.40.330.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16498, NULL, 'G3DSA:3.60.40.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30946, 3),
(16499, NULL, 'G3DSA:2.30.29.70', NULL, NULL, NULL, NULL, 'Proteasomal ubiquitin receptor Rpn13/ADRM1', NULL, NULL, 29488, 3),
(16500, NULL, 'G3DSA:3.30.67.20', NULL, NULL, NULL, NULL, 'Rubella membrane glycoprotein E1, domain 2', NULL, NULL, 39138, 3),
(16501, NULL, 'G3DSA:3.40.50.10330', NULL, NULL, NULL, NULL, '', NULL, NULL, 12235, 3),
(16502, NULL, 'G3DSA:4.10.1090.10', NULL, NULL, NULL, NULL, 'Endosialidase, domain 4', NULL, NULL, 39398, 3),
(16503, NULL, 'G3DSA:2.60.120.1430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16504, NULL, 'G3DSA:2.20.20.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16505, NULL, 'G3DSA:3.30.70.250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16506, NULL, 'G3DSA:1.10.3810.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33025, 3),
(16507, NULL, 'G3DSA:1.10.1240.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16508, NULL, 'G3DSA:3.90.190.10', NULL, NULL, NULL, NULL, 'Protein tyrosine phosphatase superfamily', NULL, NULL, 28971, 3);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16509, NULL, 'G3DSA:3.40.1390.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 25110, 3),
(16510, NULL, 'G3DSA:3.30.1440.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 14781, 3),
(16511, NULL, 'G3DSA:1.20.960.10', NULL, NULL, NULL, NULL, 'Mitochondrial outer membrane translocase complex, subunit Tom20 domain', NULL, NULL, 16339, 3),
(16512, NULL, 'G3DSA:2.70.20.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 37603, 3),
(16513, NULL, 'G3DSA:4.10.80.410', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16514, NULL, 'G3DSA:1.20.58.1480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16515, NULL, 'G3DSA:2.60.40.3420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16516, NULL, 'G3DSA:2.40.128.640', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16517, NULL, 'G3DSA:3.10.590.10', NULL, NULL, NULL, NULL, 'ph1033 like domains', NULL, NULL, NULL, 3),
(16518, NULL, 'G3DSA:1.20.1270.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 11014, 3),
(16519, NULL, 'G3DSA:3.30.572.10', NULL, NULL, NULL, NULL, 'Thymidylate synthase/dCMP hydroxymethylase domain', NULL, NULL, 35120, 3),
(16520, NULL, 'G3DSA:3.30.420.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 32950, 3),
(16521, NULL, 'G3DSA:4.10.95.10', NULL, NULL, NULL, NULL, 'Cytochrome c oxidase, subunit VIa', NULL, NULL, 30420, 3),
(16522, NULL, 'G3DSA:2.60.40.1520', NULL, NULL, NULL, NULL, '', NULL, NULL, 30842, 3),
(16523, NULL, 'G3DSA:3.30.390.140', NULL, NULL, NULL, NULL, '', NULL, NULL, 33626, 3),
(16524, NULL, 'G3DSA:1.10.10.2220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16525, NULL, 'G3DSA:1.20.272.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 34901, 3),
(16526, NULL, 'G3DSA:3.40.50.12570', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16527, NULL, 'G3DSA:1.10.3680.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 22269, 3),
(16528, NULL, 'G3DSA:2.40.40.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16529, NULL, 'G3DSA:1.10.246.40', NULL, NULL, NULL, NULL, 'Tn5 transposase; domain 1', NULL, NULL, 36244, 3),
(16530, NULL, 'G3DSA:1.20.120.1400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16531, NULL, 'G3DSA:1.10.10.350', NULL, NULL, NULL, NULL, '', NULL, NULL, 14804, 3),
(16532, NULL, 'G3DSA:1.20.5.1010', NULL, NULL, NULL, NULL, 'TRPM, tetramerisation domain', NULL, NULL, 31517, 3),
(16533, NULL, 'G3DSA:6.10.20.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 36820, 3),
(16534, NULL, 'G3DSA:1.10.1200.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16535, NULL, 'G3DSA:3.30.110.90', NULL, NULL, NULL, NULL, 'Amidohydrolase', NULL, NULL, NULL, 3),
(16536, NULL, 'G3DSA:2.10.50.20', NULL, NULL, NULL, NULL, 'Inosine monophosphate dehydrogenase (IMPDH)', NULL, NULL, NULL, 3),
(16537, NULL, 'G3DSA:2.20.28.30', NULL, NULL, NULL, NULL, 'RNA polymerase ii, chain L', NULL, NULL, NULL, 3),
(16538, NULL, 'G3DSA:1.10.10.2010', NULL, NULL, NULL, NULL, '', NULL, NULL, 32245, 3),
(16539, NULL, 'G3DSA:2.30.31.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 36021, 3),
(16540, NULL, 'G3DSA:3.90.1370.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8667, 3),
(16541, NULL, 'G3DSA:6.10.250.1710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16542, NULL, 'G3DSA:1.10.532.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32713, 3),
(16543, NULL, 'G3DSA:2.20.25.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16544, NULL, 'G3DSA:3.30.70.3510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16545, NULL, 'G3DSA:1.10.4120.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 25490, 3),
(16546, NULL, 'G3DSA:1.10.287.520', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, NULL, 3),
(16547, NULL, 'G3DSA:2.40.10.360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16548, NULL, 'G3DSA:1.10.8.740', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16549, NULL, 'G3DSA:4.10.970.10', NULL, NULL, NULL, NULL, 'Ku70, bridge and pillars', NULL, NULL, 27735, 3),
(16550, NULL, 'G3DSA:2.60.30.10', NULL, NULL, NULL, NULL, 'Methylamine/Aralkylamine dehydrogenase light chain', NULL, NULL, 36296, 3),
(16551, NULL, 'G3DSA:6.10.140.310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16552, NULL, 'G3DSA:6.10.250.540', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16553, NULL, 'G3DSA:3.10.130.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30251, 3),
(16554, NULL, 'G3DSA:2.60.40.4240', NULL, NULL, NULL, NULL, 'Transcription activator, Churchill', NULL, NULL, 30171, 3),
(16555, NULL, 'G3DSA:1.10.287.4280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16556, NULL, 'G3DSA:3.40.605.10', NULL, NULL, NULL, NULL, 'Aldehyde Dehydrogenase; Chain A, domain 1', NULL, NULL, 12383, 3),
(16557, NULL, 'G3DSA:2.40.33.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8684, 3),
(16558, NULL, 'G3DSA:2.40.128.430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16559, NULL, 'G3DSA:1.20.58.590', NULL, NULL, NULL, NULL, 'Chromosome partition protein MukF, middle domain', NULL, NULL, 31016, 3),
(16560, NULL, 'G3DSA:4.10.320.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33158, 3),
(16561, NULL, 'G3DSA:3.40.1700.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30556, 3),
(16562, NULL, 'G3DSA:2.60.40.3390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16563, NULL, 'G3DSA:2.40.10.310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16564, NULL, 'G3DSA:6.10.250.2100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16565, NULL, 'G3DSA:3.30.160.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 36105, 3),
(16566, NULL, 'G3DSA:3.90.1030.10', NULL, NULL, NULL, NULL, 'Ribosomal protein L17', NULL, NULL, 30933, 3),
(16567, NULL, 'G3DSA:3.90.1660.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16568, NULL, 'G3DSA:3.90.1220.10', NULL, NULL, NULL, NULL, 'Cellulose docking domain, dockering', NULL, NULL, 10418, 3),
(16569, NULL, 'G3DSA:3.40.5.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 38309, 3),
(16570, NULL, 'G3DSA:1.10.8.610', NULL, NULL, NULL, NULL, '', NULL, NULL, 38303, 3),
(16571, NULL, 'G3DSA:3.30.980.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16572, NULL, 'G3DSA:3.10.380.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34880, 3),
(16573, NULL, 'G3DSA:4.10.320.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16574, NULL, 'G3DSA:2.60.200.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 13065, 3),
(16575, NULL, 'G3DSA:6.10.250.2150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16576, NULL, 'G3DSA:6.10.250.620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16577, NULL, 'G3DSA:3.40.50.1440', NULL, NULL, NULL, NULL, 'Tubulin/FtsZ, GTPase domain', NULL, NULL, 35908, 3),
(16578, NULL, 'G3DSA:3.30.413.10', NULL, NULL, NULL, NULL, 'Sulfite Reductase Hemoprotein, domain 1', NULL, NULL, 36793, 3),
(16579, NULL, 'G3DSA:3.90.70.190', NULL, NULL, NULL, NULL, 'Domain of unknown function (DUF5086)', NULL, NULL, 37964, 3),
(16580, NULL, 'G3DSA:1.20.190.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16581, NULL, 'G3DSA:2.40.30.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16582, NULL, 'G3DSA:1.20.58.460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16583, NULL, 'G3DSA:4.10.1130.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16584, NULL, 'G3DSA:2.60.40.3470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16585, NULL, 'G3DSA:1.10.3720.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 13898, 3),
(16586, NULL, 'G3DSA:3.90.1280.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12132, 3),
(16587, NULL, 'G3DSA:3.30.720.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16588, NULL, 'G3DSA:2.20.25.190', NULL, NULL, NULL, NULL, '', NULL, NULL, 32476, 3),
(16589, NULL, 'G3DSA:2.150.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 9228, 3),
(16590, NULL, 'G3DSA:1.10.150.400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16591, NULL, 'G3DSA:2.20.25.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16592, NULL, 'G3DSA:2.40.30.290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16593, NULL, 'G3DSA:3.30.70.3560', NULL, NULL, NULL, NULL, '', NULL, NULL, 34976, 3),
(16594, NULL, 'G3DSA:1.20.1270.150', NULL, NULL, NULL, NULL, 'Surface Active Protein', NULL, NULL, 35230, 3),
(16595, NULL, 'G3DSA:2.30.180.10', NULL, NULL, NULL, NULL, 'FAS1 domain', NULL, NULL, 35475, 3);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16596, NULL, 'G3DSA:1.10.3590.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16597, NULL, 'G3DSA:3.40.1130.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16598, NULL, 'G3DSA:3.40.1260.20', NULL, NULL, NULL, NULL, 'Ribonuclease E, catalytic domain', NULL, NULL, NULL, 3),
(16599, NULL, 'G3DSA:2.60.40.10', NULL, NULL, NULL, NULL, 'Immunoglobulins', NULL, NULL, 11673, 3),
(16600, NULL, 'G3DSA:2.40.160.70', NULL, NULL, NULL, NULL, 'outer membrane protein from Thermus thermophilus HB27.', NULL, NULL, NULL, 3),
(16601, NULL, 'G3DSA:3.10.20.850', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF3861', NULL, NULL, 32083, 3),
(16602, NULL, 'G3DSA:1.10.155.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36073, 3),
(16603, NULL, 'G3DSA:3.30.720.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16604, NULL, 'G3DSA:3.10.290.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 30413, 3),
(16605, NULL, 'G3DSA:4.10.290.10', NULL, NULL, NULL, NULL, 'Bacteriorhodopsin Fragment', NULL, NULL, NULL, 3),
(16606, NULL, 'G3DSA:3.90.640.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16607, NULL, 'G3DSA:2.40.37.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16608, NULL, 'G3DSA:1.10.287.490', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, NULL, 3),
(16609, NULL, 'G3DSA:3.30.1330.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 37512, 3),
(16610, NULL, 'G3DSA:1.10.565.10', NULL, NULL, NULL, NULL, 'Retinoid X Receptor', NULL, NULL, 31794, 3),
(16611, NULL, 'G3DSA:2.60.200.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16612, NULL, 'G3DSA:3.90.1850.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16613, NULL, 'G3DSA:6.10.250.2070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16614, NULL, 'G3DSA:1.10.246.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16615, NULL, 'G3DSA:3.30.160.300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16616, NULL, 'G3DSA:1.10.10.2890', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16617, NULL, 'G3DSA:1.20.5.1930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16618, NULL, 'G3DSA:3.30.2320.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 37070, 3),
(16619, NULL, 'G3DSA:1.20.5.3960', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16620, NULL, 'G3DSA:1.20.120.790', NULL, NULL, NULL, NULL, '', NULL, NULL, 34107, 3),
(16621, NULL, 'G3DSA:4.10.510.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 11385, 3),
(16622, NULL, 'G3DSA:1.20.1370.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 37945, 3),
(16623, NULL, 'G3DSA:1.10.490.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16624, NULL, 'G3DSA:2.60.20.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 34868, 3),
(16625, NULL, 'G3DSA:6.10.250.2020', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16626, NULL, 'G3DSA:1.20.1270.310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16627, NULL, 'G3DSA:3.40.50.150', NULL, NULL, NULL, NULL, 'Vaccinia Virus protein VP39', NULL, NULL, NULL, 3),
(16628, NULL, 'G3DSA:3.90.640.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30091, 3),
(16629, NULL, 'G3DSA:3.10.450.150', NULL, NULL, NULL, NULL, 'enterococcus faecalis protein', NULL, NULL, NULL, 3),
(16630, NULL, 'G3DSA:6.10.250.1890', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16631, NULL, 'G3DSA:1.10.287.720', NULL, NULL, NULL, NULL, 'Pollen allergen ole e 6', NULL, NULL, 33519, 3),
(16632, NULL, 'G3DSA:3.30.160.350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16633, NULL, 'G3DSA:3.30.2290.10', NULL, NULL, NULL, NULL, 'PmbA/TldD superfamily', NULL, NULL, 36009, 3),
(16634, NULL, 'G3DSA:3.30.1120.60', NULL, NULL, NULL, NULL, 'Colicin', NULL, NULL, NULL, 3),
(16635, NULL, 'G3DSA:2.40.30.220', NULL, NULL, NULL, NULL, 'Photosystem II Psb28', NULL, NULL, 36015, 3),
(16636, NULL, 'G3DSA:3.30.2130.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16637, NULL, 'G3DSA:3.40.1380.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16638, NULL, 'G3DSA:3.30.1530.10', NULL, NULL, NULL, NULL, 'manganese catalase, domain 2, chain A', NULL, NULL, 22017, 3),
(16639, NULL, 'G3DSA:3.40.1760.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 11761, 3);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16640, NULL, 'G3DSA:3.30.70.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 13693, 3),
(16641, NULL, 'G3DSA:1.10.150.620', NULL, NULL, NULL, NULL, 'Capsid protein VP3, domain 1', NULL, NULL, 38040, 3),
(16642, NULL, 'G3DSA:3.30.70.2590', NULL, NULL, NULL, NULL, '', NULL, NULL, 34665, 3),
(16643, NULL, 'G3DSA:1.10.10.430', NULL, NULL, NULL, NULL, '', NULL, NULL, 32485, 3),
(16644, NULL, 'G3DSA:2.40.470.10', NULL, NULL, NULL, NULL, 'catalase hpii domain', NULL, NULL, NULL, 3),
(16645, NULL, 'G3DSA:1.10.439.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 38034, 3),
(16646, NULL, 'G3DSA:6.10.250.1840', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16647, NULL, 'G3DSA:1.10.8.790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16648, NULL, 'G3DSA:3.30.230.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16649, NULL, 'G3DSA:2.30.30.490', NULL, NULL, NULL, NULL, '', NULL, NULL, 36764, 3),
(16650, NULL, 'G3DSA:2.40.50.250', NULL, NULL, NULL, NULL, 'bipa protein', NULL, NULL, 37970, 3),
(16651, NULL, 'G3DSA:3.30.70.1610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16652, NULL, 'G3DSA:1.20.1440.130', NULL, NULL, NULL, NULL, 'VKOR domain', NULL, NULL, 35651, 3),
(16653, NULL, 'G3DSA:2.10.55.10', NULL, NULL, NULL, NULL, 'Leishmanolysin domain 3', NULL, NULL, NULL, 3),
(16654, NULL, 'G3DSA:4.10.240.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16655, NULL, 'G3DSA:3.40.50.10400', NULL, NULL, NULL, NULL, 'Hypothetical protein PA1492', NULL, NULL, NULL, 3),
(16656, NULL, 'G3DSA:3.30.1370.150', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF10928, DUF2810', NULL, NULL, NULL, 3),
(16657, NULL, 'G3DSA:2.60.40.2900', NULL, NULL, NULL, NULL, '', NULL, NULL, 33560, 3),
(16658, NULL, 'G3DSA:1.10.1790.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16659, NULL, 'G3DSA:1.10.285.20', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF01937, DUF89, domain 2', NULL, NULL, NULL, 3),
(16660, NULL, 'G3DSA:3.40.1600.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36484, 3),
(16661, NULL, 'G3DSA:1.20.58.620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16662, NULL, 'G3DSA:1.25.40.930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16663, NULL, 'G3DSA:2.40.50.790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16664, NULL, 'G3DSA:2.40.310.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32372, 3),
(16665, NULL, 'G3DSA:3.40.390.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16666, NULL, 'G3DSA:1.10.8.540', NULL, NULL, NULL, NULL, 'FHIPEP family, domain 3', NULL, NULL, 37643, 3),
(16667, NULL, 'G3DSA:1.20.50.20', NULL, NULL, NULL, NULL, 'DnaG, RNA polymerase domain, helical bundle', NULL, NULL, NULL, 3),
(16668, NULL, 'G3DSA:6.10.10.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16669, NULL, 'G3DSA:3.40.50.11270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16670, NULL, 'G3DSA:1.10.3530.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 16796, 3),
(16671, NULL, 'G3DSA:2.60.40.2290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16672, NULL, 'G3DSA:1.10.8.570', NULL, NULL, NULL, NULL, 'Hypothetical protein YfmB', NULL, NULL, 30366, 3),
(16673, NULL, 'G3DSA:2.10.290.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 24552, 3),
(16674, NULL, 'G3DSA:6.20.370.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16675, NULL, 'G3DSA:1.20.1300.10', NULL, NULL, NULL, NULL, 'Fumarate reductase/succinate dehydrogenase, transmembrane subunit', NULL, NULL, 33732, 3),
(16676, NULL, 'G3DSA:1.10.260.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 8195, 3),
(16677, NULL, 'G3DSA:1.20.5.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16678, NULL, 'G3DSA:3.40.50.12360', NULL, NULL, NULL, NULL, '', NULL, NULL, 35494, 3),
(16679, NULL, 'G3DSA:3.40.50.12440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16680, NULL, 'G3DSA:3.50.50.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 29259, 3),
(16681, NULL, 'G3DSA:3.40.1620.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16682, NULL, 'G3DSA:1.10.760.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31075, 3),
(16683, NULL, 'G3DSA:3.90.1450.10', NULL, NULL, NULL, NULL, 'Guanylin', NULL, NULL, 35355, 3);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16684, NULL, 'G3DSA:6.10.250.2730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16685, NULL, 'G3DSA:1.20.1320.20', NULL, NULL, NULL, NULL, 'hef helicase domain', NULL, NULL, NULL, 3),
(16686, NULL, 'G3DSA:2.10.60.10', NULL, NULL, NULL, NULL, 'CD59', NULL, NULL, 37371, 3),
(16687, NULL, 'G3DSA:6.10.250.830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16688, NULL, 'G3DSA:2.40.50.1000', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16689, NULL, 'G3DSA:1.10.196.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 19247, 3),
(16690, NULL, 'G3DSA:1.10.150.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16691, NULL, 'G3DSA:2.10.110.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 36050, 3),
(16692, NULL, 'G3DSA:2.60.40.1880', NULL, NULL, NULL, NULL, 'Invasion associated locus B (IalB) protein', NULL, NULL, 35575, 3),
(16693, NULL, 'G3DSA:1.10.8.350', NULL, NULL, NULL, NULL, 'Bacterial muramidase', NULL, NULL, NULL, 3),
(16694, NULL, 'G3DSA:3.40.210.10', NULL, NULL, NULL, NULL, 'PVUII Endonuclease, subunit A', NULL, NULL, 29375, 3),
(16695, NULL, 'G3DSA:3.40.970.20', NULL, NULL, NULL, NULL, 'Carbon monoxide dehydrogenase alpha subunit. Chain D, domain 4', NULL, NULL, NULL, 3),
(16696, NULL, 'G3DSA:2.30.30.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 10969, 3),
(16697, NULL, 'G3DSA:1.10.340.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16698, NULL, 'G3DSA:2.60.40.3970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16699, NULL, 'G3DSA:6.10.250.380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16700, NULL, 'G3DSA:6.10.250.2570', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16701, NULL, 'G3DSA:3.40.50.11890', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16702, NULL, 'G3DSA:1.20.5.5160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16703, NULL, 'G3DSA:2.40.160.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16704, NULL, 'G3DSA:1.20.5.690', NULL, NULL, NULL, NULL, '', NULL, NULL, 32947, 3),
(16705, NULL, 'G3DSA:3.30.1340.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 2461, 3),
(16706, NULL, 'G3DSA:2.40.128.220', NULL, NULL, NULL, NULL, '', NULL, NULL, 36426, 3),
(16707, NULL, 'G3DSA:2.10.210.10', NULL, NULL, NULL, NULL, 'Cytochrome Bc1 Complex; Chain I', NULL, NULL, NULL, 3),
(16708, NULL, 'G3DSA:1.20.58.420', NULL, NULL, NULL, NULL, 'AHSP', NULL, NULL, NULL, 3),
(16709, NULL, 'G3DSA:1.10.8.200', NULL, NULL, NULL, NULL, 'Replisome organizer (g39p helicase loader/inhibitor protein)', NULL, NULL, NULL, 3),
(16710, NULL, 'G3DSA:4.10.365.10', NULL, NULL, NULL, NULL, 'p27', NULL, NULL, 39267, 3),
(16711, NULL, 'G3DSA:4.10.830.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16712, NULL, 'G3DSA:1.10.418.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16713, NULL, 'G3DSA:1.20.5.420', NULL, NULL, NULL, NULL, 'Immunoglobulin FC, subunit C', NULL, NULL, NULL, 3),
(16714, NULL, 'G3DSA:1.10.40.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16715, NULL, 'G3DSA:3.30.2140.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16716, NULL, 'G3DSA:6.20.70.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16717, NULL, 'G3DSA:2.40.240.10', NULL, NULL, NULL, NULL, 'Ribosomal Protein L25; Chain P', NULL, NULL, 16417, 3),
(16718, NULL, 'G3DSA:1.25.40.170', NULL, NULL, NULL, NULL, 'Smaug, PHAT domain', NULL, NULL, 35670, 3),
(16719, NULL, 'G3DSA:3.30.2340.10', NULL, NULL, NULL, NULL, 'TruD, insertion domain', NULL, NULL, 37010, 3),
(16720, NULL, 'G3DSA:1.20.1020.10', NULL, NULL, NULL, NULL, 'TAZ domain', NULL, NULL, 20586, 3),
(16721, NULL, 'G3DSA:6.10.140.1320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16722, NULL, 'G3DSA:3.40.1470.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16723, NULL, 'G3DSA:2.60.40.1360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16724, NULL, 'G3DSA:1.20.1270.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16725, NULL, 'G3DSA:1.10.10.2430', NULL, NULL, NULL, NULL, '', NULL, NULL, 32379, 3),
(16726, NULL, 'G3DSA:3.30.379.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 24362, 3); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16727, NULL, 'G3DSA:1.25.40.310', NULL, NULL, NULL, NULL, '', NULL, NULL, 33936, 3),
(16728, NULL, 'G3DSA:1.20.20.10', NULL, NULL, NULL, NULL, 'F1F0 ATP synthase subunit C', NULL, NULL, 35713, 3),
(16729, NULL, 'G3DSA:3.30.230.20', NULL, NULL, NULL, NULL, 'lpxc deacetylase, domain 1', NULL, NULL, 13800, 3),
(16730, NULL, 'G3DSA:1.10.3340.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36255, 3),
(16731, NULL, 'G3DSA:1.20.20.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 32264, 3),
(16732, NULL, 'G3DSA:1.10.230.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 9392, 3),
(16733, NULL, 'G3DSA:1.20.190.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34982, 3),
(16734, NULL, 'G3DSA:1.10.8.290', NULL, NULL, NULL, NULL, 'uncharacterized protein sp1917 domain', NULL, NULL, 20253, 3),
(16735, NULL, 'G3DSA:1.20.58.1800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16736, NULL, 'G3DSA:6.10.140.2040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16737, NULL, 'G3DSA:6.10.250.1500', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16738, NULL, 'G3DSA:1.20.120.330', NULL, NULL, NULL, NULL, 'Nucleotidyltransferases  domain 2', NULL, NULL, NULL, 3),
(16739, NULL, 'G3DSA:6.10.140.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16740, NULL, 'G3DSA:2.30.30.730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16741, NULL, 'G3DSA:6.10.250.1130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16742, NULL, 'G3DSA:3.90.550.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16743, NULL, 'G3DSA:1.20.120.1450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16744, NULL, 'G3DSA:1.20.120.1610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16745, NULL, 'G3DSA:1.10.10.770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16746, NULL, 'G3DSA:3.40.1410.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 25446, 3),
(16747, NULL, 'G3DSA:3.40.1680.10', NULL, NULL, NULL, NULL, 'yp_829618.1 domain like', NULL, NULL, NULL, 3),
(16748, NULL, 'G3DSA:1.20.1050.50', NULL, NULL, NULL, NULL, 'Particulate methane monooxygenase subunit c2. Chain: C', NULL, NULL, 21251, 3),
(16749, NULL, 'G3DSA:2.30.30.940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16750, NULL, 'G3DSA:2.20.28.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16751, NULL, 'G3DSA:3.40.50.11850', NULL, NULL, NULL, NULL, 'Diphthamide synthesis DPH1/DPH2 domain 2', NULL, NULL, 37269, 3),
(16752, NULL, 'G3DSA:2.30.30.570', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16753, NULL, 'G3DSA:1.10.150.780', NULL, NULL, NULL, NULL, '', NULL, NULL, 34667, 3),
(16754, NULL, 'G3DSA:1.10.10.930', NULL, NULL, NULL, NULL, '', NULL, NULL, 34303, 3),
(16755, NULL, 'G3DSA:3.40.1280.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 28576, 3),
(16756, NULL, 'G3DSA:1.10.225.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 32141, 3),
(16757, NULL, 'G3DSA:3.30.70.2460', NULL, NULL, NULL, NULL, '', NULL, NULL, 39082, 3),
(16758, NULL, 'G3DSA:6.10.140.1490', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(16759, NULL, 'G3DSA:4.10.110.10', NULL, NULL, NULL, NULL, 'Spasmolytic Protein, domain 1', NULL, NULL, 39143, 3),
(16760, NULL, 'G3DSA:1.20.1160.11', NULL, NULL, NULL, NULL, 'Paired amphipathic helix', NULL, NULL, 35483, 3),
(16761, NULL, 'G3DSA:3.30.460.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16762, NULL, 'G3DSA:2.40.160.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16763, NULL, 'G3DSA:3.40.33.10', NULL, NULL, NULL, NULL, 'CAP', NULL, NULL, 7875, 3),
(16764, NULL, 'G3DSA:2.60.40.1480', NULL, NULL, NULL, NULL, 'Coatomer, gamma subunit, appendage domain', NULL, NULL, 32167, 3),
(16765, NULL, 'G3DSA:2.60.270.30', NULL, NULL, NULL, NULL, 'Vibrio parahaemolyticus thermostable direct hemolysin', NULL, NULL, 36420, 3),
(16766, NULL, 'G3DSA:6.10.140.1160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16767, NULL, 'G3DSA:3.20.190.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 14036, 3),
(16768, NULL, 'G3DSA:3.30.1490.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16769, NULL, 'G3DSA:1.25.40.1040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16770, NULL, 'G3DSA:2.40.128.260', NULL, NULL, NULL, NULL, 'Type IV secretion system, VirB10/TraB/TrbI', NULL, NULL, 37609, 3),
(16771, NULL, 'G3DSA:2.60.120.460', NULL, NULL, NULL, NULL, '', NULL, NULL, 26313, 3),
(16772, NULL, 'G3DSA:2.40.370.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 15838, 3),
(16773, NULL, 'G3DSA:1.10.490.110', NULL, NULL, NULL, NULL, 'Uncharacterized conserved protein DUF2267', NULL, NULL, 33871, 3),
(16774, NULL, 'G3DSA:2.60.40.3210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16775, NULL, 'G3DSA:1.20.5.1300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16776, NULL, 'G3DSA:3.30.1300.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16777, NULL, 'G3DSA:3.40.1660.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16778, NULL, 'G3DSA:2.30.29.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16779, NULL, 'G3DSA:3.20.170.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 36787, 3),
(16780, NULL, 'G3DSA:6.10.140.1110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16781, NULL, 'G3DSA:4.10.280.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 29151, 3),
(16782, NULL, 'G3DSA:2.160.20.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 10868, 3),
(16783, NULL, 'G3DSA:3.90.76.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16784, NULL, 'G3DSA:6.20.180.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16785, NULL, 'G3DSA:4.10.1230.10', NULL, NULL, NULL, NULL, 'Ecotin, trypsin inhibitor', NULL, NULL, 23193, 3),
(16786, NULL, 'G3DSA:3.10.680.10', NULL, NULL, NULL, NULL, 'Photosystem II CP47 reaction center protein', NULL, NULL, NULL, 3),
(16787, NULL, 'G3DSA:1.20.245.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16788, NULL, 'G3DSA:3.30.70.1700', NULL, NULL, NULL, NULL, 'Phage minor tail protein U', NULL, NULL, 34909, 3),
(16789, NULL, 'G3DSA:2.60.40.2530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16790, NULL, 'G3DSA:3.40.190.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16791, NULL, 'G3DSA:3.40.50.12600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16792, NULL, 'G3DSA:1.10.40.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16793, NULL, 'G3DSA:1.25.40.560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16794, NULL, 'G3DSA:4.10.270.10', NULL, NULL, NULL, NULL, 'Myosin, subunit A', NULL, NULL, NULL, 3),
(16795, NULL, 'G3DSA:1.10.10.2590', NULL, NULL, NULL, NULL, 'BEN domain', NULL, NULL, NULL, 3),
(16796, NULL, 'G3DSA:1.25.40.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 36339, 3),
(16797, NULL, 'G3DSA:1.10.287.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16798, NULL, 'G3DSA:2.10.220.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16799, NULL, 'G3DSA:3.30.1300.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30094, 3),
(16800, NULL, 'G3DSA:1.25.40.150', NULL, NULL, NULL, NULL, '', NULL, NULL, 36057, 3),
(16801, NULL, 'G3DSA:3.10.50.20', NULL, NULL, NULL, NULL, 'Cloacin immunity protein', NULL, NULL, 36041, 3),
(16802, NULL, 'G3DSA:3.30.2080.10', NULL, NULL, NULL, NULL, 'GH92 mannosidase domain', NULL, NULL, NULL, 3),
(16803, NULL, 'G3DSA:1.10.238.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16804, NULL, 'G3DSA:3.20.20.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 34435, 3),
(16805, NULL, 'G3DSA:1.10.20.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16806, NULL, 'G3DSA:3.40.50.11710', NULL, NULL, NULL, NULL, 'Cyclodipeptide synthase', NULL, NULL, 35424, 3),
(16807, NULL, 'G3DSA:3.90.70.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 35857, 3),
(16808, NULL, 'G3DSA:4.10.430.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16809, NULL, 'G3DSA:1.20.1450.10', NULL, NULL, NULL, NULL, 'Ammonia/particulate methane monooxygenase, subunit A', NULL, NULL, 30837, 3),
(16810, NULL, 'G3DSA:6.10.250.3290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16811, NULL, 'G3DSA:1.10.287.190', NULL, NULL, NULL, NULL, '', NULL, NULL, 6276, 3),
(16812, NULL, 'G3DSA:2.30.30.320', NULL, NULL, NULL, NULL, '', NULL, NULL, 30451, 3),
(16813, NULL, 'G3DSA:1.10.150.610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16814, NULL, 'G3DSA:3.30.900.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16815, NULL, 'G3DSA:1.10.3250.10', NULL, NULL, NULL, NULL, 'type ii restriction endonuclease, domain 1', NULL, NULL, NULL, 3),
(16816, NULL, 'G3DSA:1.20.5.500', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(16817, NULL, 'G3DSA:6.10.250.2360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16818, NULL, 'G3DSA:2.60.40.1980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16819, NULL, 'G3DSA:1.10.2020.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 32515, 3),
(16820, NULL, 'G3DSA:3.20.20.350', NULL, NULL, NULL, NULL, 'Diol/glycerol dehydratase, large subunit', NULL, NULL, 30595, 3),
(16821, NULL, 'G3DSA:1.10.238.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16822, NULL, 'G3DSA:3.90.530.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30101, 3),
(16823, NULL, 'G3DSA:3.40.1420.20', NULL, NULL, NULL, NULL, 'Pathogenicity island component CagD', NULL, NULL, 36495, 3),
(16824, NULL, 'G3DSA:3.30.1150.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16825, NULL, 'G3DSA:6.20.310.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16826, NULL, 'G3DSA:3.30.750.80', NULL, NULL, NULL, NULL, 'RNA methyltransferase domain (HRMD) like', NULL, NULL, NULL, 3),
(16827, NULL, 'G3DSA:1.20.970.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 35806, 3),
(16828, NULL, 'G3DSA:6.10.140.520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16829, NULL, 'G3DSA:3.90.640.10', NULL, NULL, NULL, NULL, 'Actin; Chain A, domain 4', NULL, NULL, NULL, 3),
(16830, NULL, 'G3DSA:2.60.40.1600', NULL, NULL, NULL, NULL, '', NULL, NULL, 36152, 3),
(16831, NULL, 'G3DSA:4.10.950.10', NULL, NULL, NULL, NULL, 'Ribosomal protein L2, domain 3', NULL, NULL, 9496, 3),
(16832, NULL, 'G3DSA:3.40.50.12030', NULL, NULL, NULL, NULL, 'Uncharacterised protein family UPF0261, NC domain', NULL, NULL, NULL, 3),
(16833, NULL, 'G3DSA:6.10.140.1780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16834, NULL, 'G3DSA:1.20.200.20', NULL, NULL, NULL, NULL, 'She2 domain', NULL, NULL, 30103, 3),
(16835, NULL, 'G3DSA:2.60.60.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16836, NULL, 'G3DSA:1.10.8.1330', NULL, NULL, NULL, NULL, 'Intein homing endonuclease, domain III', NULL, NULL, NULL, 3),
(16837, NULL, 'G3DSA:3.30.380.10', NULL, NULL, NULL, NULL, 'MS2 Viral Coat Protein', NULL, NULL, 8381, 3),
(16838, NULL, 'G3DSA:3.40.50.12650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16839, NULL, 'G3DSA:1.10.8.530', NULL, NULL, NULL, NULL, '', NULL, NULL, 37902, 3),
(16840, NULL, 'G3DSA:1.25.40.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 38857, 3),
(16841, NULL, 'G3DSA:3.40.120.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16842, NULL, 'G3DSA:1.10.287.110', NULL, NULL, NULL, NULL, 'DnaJ domain', NULL, NULL, 30575, 3),
(16843, NULL, 'G3DSA:3.90.70.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 37403, 3),
(16844, NULL, 'G3DSA:6.10.140.850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16845, NULL, 'G3DSA:1.10.472.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16846, NULL, 'G3DSA:2.10.77.10', NULL, NULL, NULL, NULL, 'Hemagglutinin Chain A, Domain 2', NULL, NULL, NULL, 3),
(16847, NULL, 'G3DSA:6.10.250.2980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16848, NULL, 'G3DSA:6.10.140.1730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16849, NULL, 'G3DSA:2.60.40.4280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16850, NULL, 'G3DSA:1.20.58.1190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16851, NULL, 'G3DSA:1.25.40.810', NULL, NULL, NULL, NULL, 'UpxZ', NULL, NULL, 36067, 3),
(16852, NULL, 'G3DSA:1.20.58.440', NULL, NULL, NULL, NULL, 'choline binding protein A', NULL, NULL, NULL, 3),
(16853, NULL, 'G3DSA:2.20.130.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16854, NULL, 'G3DSA:3.40.50.11720', NULL, NULL, NULL, NULL, '', NULL, NULL, 32925, 3),
(16855, NULL, 'G3DSA:6.20.240.30', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(16856, NULL, 'G3DSA:3.30.70.2750', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16857, NULL, 'G3DSA:2.60.40.2580', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16858, NULL, 'G3DSA:3.10.20.720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16859, NULL, 'G3DSA:1.10.4030.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16860, NULL, 'G3DSA:1.25.40.640', NULL, NULL, NULL, NULL, 'Avirulence protein ATR13', NULL, NULL, 36269, 3),
(16861, NULL, 'G3DSA:2.30.30.280', NULL, NULL, NULL, NULL, '', NULL, NULL, 17182, 3),
(16862, NULL, 'G3DSA:2.60.40.1650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16863, NULL, 'G3DSA:3.30.70.1420', NULL, NULL, NULL, NULL, 'Structure from the mobile metagenome of cole harbour salt marsh: integron cassette protein hfx_cass1', NULL, NULL, NULL, 3),
(16864, NULL, 'G3DSA:3.10.450.280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16865, NULL, 'G3DSA:3.30.70.1030', NULL, NULL, NULL, NULL, 'Apc35880; domain 1', NULL, NULL, NULL, 3),
(16866, NULL, 'G3DSA:3.30.70.2700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16867, NULL, 'G3DSA:6.20.370.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16868, NULL, 'G3DSA:1.20.120.1160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16869, NULL, 'G3DSA:3.10.20.350', NULL, NULL, NULL, NULL, '', NULL, NULL, 33745, 3),
(16870, NULL, 'G3DSA:1.20.940.10', NULL, NULL, NULL, NULL, 'Functional domain of the splicing factor Prp18', NULL, NULL, NULL, 3),
(16871, NULL, 'G3DSA:3.40.50.11220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16872, NULL, 'G3DSA:3.90.1030.20', NULL, NULL, NULL, NULL, 'DNA polymerase delta, p66 (Cdc27) subunit, wHTH domain', NULL, NULL, 32254, 3),
(16873, NULL, 'G3DSA:6.10.140.1990', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16874, NULL, 'G3DSA:2.20.25.690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16875, NULL, 'G3DSA:6.20.60.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16876, NULL, 'G3DSA:2.60.40.3760', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16877, NULL, 'G3DSA:4.10.1080.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 28670, 3),
(16878, NULL, 'G3DSA:2.40.128.120', NULL, NULL, NULL, NULL, 'Quinohemoprotein amine dehydrogenase alpha subunit, domain 2', NULL, NULL, 34767, 3),
(16879, NULL, 'G3DSA:1.25.40.40', NULL, NULL, NULL, NULL, 'Cytochrome c oxidase, subunit Va/VI', NULL, NULL, 36414, 3),
(16880, NULL, 'G3DSA:2.40.270.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31975, 3),
(16881, NULL, 'G3DSA:3.90.970.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 9155, 3),
(16882, NULL, 'G3DSA:6.20.370.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16883, NULL, 'G3DSA:1.10.260.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16884, NULL, 'G3DSA:2.60.120.620', NULL, NULL, NULL, NULL, 'q2cbj1_9rhob like domain', NULL, NULL, NULL, 3),
(16885, NULL, 'G3DSA:1.20.1250.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 31134, 3),
(16886, NULL, 'G3DSA:4.10.490.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16887, NULL, 'G3DSA:2.40.160.60', NULL, NULL, NULL, NULL, 'Outer membrane protein transport protein (OMPP1/FadL/TodX)', NULL, NULL, NULL, 3),
(16888, NULL, 'G3DSA:3.20.130.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30805, 3),
(16889, NULL, 'G3DSA:3.40.91.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16890, NULL, 'G3DSA:3.30.40.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 33695, 3),
(16891, NULL, 'G3DSA:6.20.90.20', NULL, NULL, NULL, NULL, 'Benzylsuccinate synthase gamma subunit', NULL, NULL, 29119, 3),
(16892, NULL, 'G3DSA:1.10.150.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 26670, 3),
(16893, NULL, 'G3DSA:6.10.140.730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16894, NULL, 'G3DSA:2.60.40.1150', NULL, NULL, NULL, NULL, '', NULL, NULL, 14411, 3),
(16895, NULL, 'G3DSA:1.25.40.600', NULL, NULL, NULL, NULL, '', NULL, NULL, 36249, 3),
(16896, NULL, 'G3DSA:6.20.410.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16897, NULL, 'G3DSA:2.90.20.10', NULL, NULL, NULL, NULL, 'Plasmodium vivax P25 domain', NULL, NULL, NULL, 3),
(16898, NULL, 'G3DSA:2.40.50.460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16899, NULL, 'G3DSA:3.50.30.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16900, NULL, 'G3DSA:2.40.128.270', NULL, NULL, NULL, NULL, '', NULL, NULL, 36165, 3),
(16901, NULL, 'G3DSA:2.60.120.1190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16902, NULL, 'G3DSA:2.60.340.10', NULL, NULL, NULL, NULL, 'baseplate structural protein gp8, domain 1', NULL, NULL, NULL, 3),
(16903, NULL, 'G3DSA:6.10.140.480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16904, NULL, 'G3DSA:6.20.280.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16905, NULL, 'G3DSA:3.30.160.690', NULL, NULL, NULL, NULL, 'Bacterial toxin RNase RnlA/LsoA, N repeated domain', NULL, NULL, NULL, 3),
(16906, NULL, 'G3DSA:3.30.70.3060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16907, NULL, 'G3DSA:2.60.120.690', NULL, NULL, NULL, NULL, 'Proprotein convertase subtilisin/kexin type 9', NULL, NULL, NULL, 3),
(16908, NULL, 'G3DSA:1.20.58.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16909, NULL, 'G3DSA:1.10.286.90', NULL, NULL, NULL, NULL, 'MFS transporter, transmembrane helix TM10b', NULL, NULL, NULL, 3),
(16910, NULL, 'G3DSA:1.20.120.540', NULL, NULL, NULL, NULL, '', NULL, NULL, 26057, 3),
(16911, NULL, 'G3DSA:3.30.70.3220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16912, NULL, 'G3DSA:3.40.50.9100', NULL, NULL, NULL, NULL, 'Dehydroquinase, class II', NULL, NULL, 30513, 3),
(16913, NULL, 'G3DSA:3.30.70.1780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16914, NULL, 'G3DSA:3.30.310.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 9556, 3),
(16915, NULL, 'G3DSA:1.10.3210.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 29545, 3),
(16916, NULL, 'G3DSA:6.20.120.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34113, 3),
(16917, NULL, 'G3DSA:3.40.1350.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16918, NULL, 'G3DSA:2.10.70.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16919, NULL, 'G3DSA:6.10.250.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16920, NULL, 'G3DSA:1.10.3460.10', NULL, NULL, NULL, NULL, 'Chlorophyll a/b binding protein domain', NULL, NULL, NULL, 3),
(16921, NULL, 'G3DSA:6.10.250.2520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16922, NULL, 'G3DSA:1.20.1480.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16923, NULL, 'G3DSA:3.30.505.10', NULL, NULL, NULL, NULL, 'SH2 domain', NULL, NULL, 30839, 3),
(16924, NULL, 'G3DSA:3.40.50.11860', NULL, NULL, NULL, NULL, 'Diphthamide synthesis DPH1/DPH2 domain 3', NULL, NULL, 37235, 3),
(16925, NULL, 'G3DSA:6.10.140.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16926, NULL, 'G3DSA:3.40.50.670', NULL, NULL, NULL, NULL, '', NULL, NULL, 7636, 3),
(16927, NULL, 'G3DSA:3.40.50.10750', NULL, NULL, NULL, NULL, '', NULL, NULL, 38311, 3),
(16928, NULL, 'G3DSA:1.10.10.470', NULL, NULL, NULL, NULL, 'Maltooligosyl trehalose synthase; domain 4', NULL, NULL, 10365, 3),
(16929, NULL, 'G3DSA:1.10.10.2480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16930, NULL, 'G3DSA:1.10.150.730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16931, NULL, 'G3DSA:6.10.250.790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16932, NULL, 'G3DSA:4.10.1210.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33689, 3),
(16933, NULL, 'G3DSA:1.20.1290.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 34774, 3),
(16934, NULL, 'G3DSA:3.40.1620.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16935, NULL, 'G3DSA:6.20.380.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16936, NULL, 'G3DSA:6.10.140.2090', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16937, NULL, 'G3DSA:3.20.20.460', NULL, NULL, NULL, NULL, 'Monomethylamine methyltransferase MtmB', NULL, NULL, 32161, 3),
(16938, NULL, 'G3DSA:1.20.58.1020', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16939, NULL, 'G3DSA:1.20.920.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16940, NULL, 'G3DSA:2.60.220.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16941, NULL, 'G3DSA:3.40.50.12150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16942, NULL, 'G3DSA:3.10.360.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16943, NULL, 'G3DSA:2.10.280.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16944, NULL, 'G3DSA:2.30.30.780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16945, NULL, 'G3DSA:3.55.50.60', NULL, NULL, NULL, NULL, 'DotD protein', NULL, NULL, 33316, 3),
(16946, NULL, 'G3DSA:3.40.50.11060', NULL, NULL, NULL, NULL, '', NULL, NULL, 36898, 3),
(16947, NULL, 'G3DSA:3.30.590.10', NULL, NULL, NULL, NULL, 'Glutamine synthetase/guanido kinase, catalytic domain', NULL, NULL, NULL, 3),
(16948, NULL, 'G3DSA:2.40.110.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16949, NULL, 'G3DSA:1.20.120.1660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16950, NULL, 'G3DSA:2.60.40.2080', NULL, NULL, NULL, NULL, '', NULL, NULL, 31782, 3),
(16951, NULL, 'G3DSA:1.10.10.2390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16952, NULL, 'G3DSA:6.20.50.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16953, NULL, 'G3DSA:3.90.780.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36128, 3),
(16954, NULL, 'G3DSA:2.10.10.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16955, NULL, 'G3DSA:4.10.1000.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16956, NULL, 'G3DSA:1.20.1440.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 11882, 3),
(16957, NULL, 'G3DSA:1.25.40.720', NULL, NULL, NULL, NULL, '', NULL, NULL, 36108, 3),
(16958, NULL, 'G3DSA:1.20.960.50', NULL, NULL, NULL, NULL, 'Cleavage stimulation factor subunit 1, dimerisation domain', NULL, NULL, 32981, 3),
(16959, NULL, 'G3DSA:1.10.4060.10', NULL, NULL, NULL, NULL, 'BPP1347 like domain', NULL, NULL, NULL, 3),
(16960, NULL, 'G3DSA:3.30.70.3260', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF10802, DUF2540', NULL, NULL, NULL, 3),
(16961, NULL, 'G3DSA:2.60.120.960', NULL, NULL, NULL, NULL, '', NULL, NULL, 38506, 3),
(16962, NULL, 'G3DSA:1.20.120.1820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16963, NULL, 'G3DSA:1.10.10.980', NULL, NULL, NULL, NULL, '', NULL, NULL, 32725, 3),
(16964, NULL, 'G3DSA:3.30.750.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16965, NULL, 'G3DSA:1.20.120.10', NULL, NULL, NULL, NULL, 'Cytochrome c/b562', NULL, NULL, NULL, 3),
(16966, NULL, 'G3DSA:2.60.40.3050', NULL, NULL, NULL, NULL, '', NULL, NULL, 32243, 3),
(16967, NULL, 'G3DSA:1.10.287.1520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16968, NULL, 'G3DSA:1.20.140.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16969, NULL, 'G3DSA:2.20.28.290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16970, NULL, 'G3DSA:1.10.238.110', NULL, NULL, NULL, NULL, 'Diacylglycerol kinase alpha.', NULL, NULL, 32359, 3),
(16971, NULL, 'G3DSA:6.10.140.1280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16972, NULL, 'G3DSA:3.30.70.2250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16973, NULL, 'G3DSA:1.10.357.10', NULL, NULL, NULL, NULL, 'Tetracycline Repressor, domain 2', NULL, NULL, NULL, 3),
(16974, NULL, 'G3DSA:6.10.250.1340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16975, NULL, 'G3DSA:3.30.1970.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30392, 3),
(16976, NULL, 'G3DSA:4.10.51.10', NULL, NULL, NULL, NULL, 'Cytochrome C Oxidase, chain K', NULL, NULL, 6774, 3),
(16977, NULL, 'G3DSA:3.40.30.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16978, NULL, 'G3DSA:2.40.150.20', NULL, NULL, NULL, NULL, 'Ribosomal protein L14', NULL, NULL, 34353, 3),
(16979, NULL, 'G3DSA:4.10.1270.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 39023, 3),
(16980, NULL, 'G3DSA:1.10.150.570', NULL, NULL, NULL, NULL, '', NULL, NULL, 39125, 3),
(16981, NULL, 'G3DSA:2.20.70.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 32971, 3),
(16982, NULL, 'G3DSA:1.20.120.290', NULL, NULL, NULL, NULL, '', NULL, NULL, 2235, 3),
(16983, NULL, 'G3DSA:6.10.250.1550', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16984, NULL, 'G3DSA:3.30.1840.10', NULL, NULL, NULL, NULL, 'Polyphosphate kinase middle domain', NULL, NULL, 30098, 3),
(16985, NULL, 'G3DSA:2.40.50.580', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(16986, NULL, 'G3DSA:1.10.10.720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16987, NULL, 'G3DSA:2.30.30.990', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16988, NULL, 'G3DSA:1.20.150.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 37461, 3),
(16989, NULL, 'G3DSA:3.10.450.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16990, NULL, 'G3DSA:4.10.640.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 33900, 3),
(16991, NULL, 'G3DSA:6.10.250.950', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16992, NULL, 'G3DSA:1.20.120.1110', NULL, NULL, NULL, NULL, 'TAFH/NHR1 domain', NULL, NULL, 34717, 3),
(16993, NULL, 'G3DSA:3.65.10.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30219, 3),
(16994, NULL, 'G3DSA:1.10.10.1130', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF10982, DUF2789', NULL, NULL, 34577, 3),
(16995, NULL, 'G3DSA:3.10.450.490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16996, NULL, 'G3DSA:1.10.10.1410', NULL, NULL, NULL, NULL, '', NULL, NULL, 33300, 3),
(16997, NULL, 'G3DSA:6.10.140.640', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16998, NULL, 'G3DSA:3.30.1370.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(16999, NULL, 'G3DSA:3.30.450.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17000, NULL, 'G3DSA:3.30.300.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17001, NULL, 'G3DSA:3.30.70.2040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17002, NULL, 'G3DSA:2.60.40.2120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17003, NULL, 'G3DSA:1.10.10.1460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17004, NULL, 'G3DSA:2.60.40.4070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17005, NULL, 'G3DSA:2.60.120.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17006, NULL, 'G3DSA:6.10.140.2200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17007, NULL, 'G3DSA:2.170.150.20', NULL, NULL, NULL, NULL, 'Peptide methionine sulfoxide reductase.', NULL, NULL, NULL, 3),
(17008, NULL, 'G3DSA:3.30.450.140', NULL, NULL, NULL, NULL, '', NULL, NULL, 33890, 3),
(17009, NULL, 'G3DSA:3.30.300.280', NULL, NULL, NULL, NULL, '', NULL, NULL, 37254, 3),
(17010, NULL, 'G3DSA:3.30.70.1940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17011, NULL, 'G3DSA:6.10.280.160', NULL, NULL, NULL, NULL, 'Mediator of RNA polymerase II transcription subunit 22', NULL, NULL, NULL, 3),
(17012, NULL, 'G3DSA:1.10.357.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17013, NULL, 'G3DSA:2.40.155.10', NULL, NULL, NULL, NULL, 'Green fluorescent protein', NULL, NULL, 9517, 3),
(17014, NULL, 'G3DSA:6.10.250.3450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17015, NULL, 'G3DSA:1.25.40.770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17016, NULL, 'G3DSA:2.40.50.670', NULL, NULL, NULL, NULL, '', NULL, NULL, 29627, 3),
(17017, NULL, 'G3DSA:3.90.1000.10', NULL, NULL, NULL, NULL, 'Hypothetical protein TM0875', NULL, NULL, 30143, 3),
(17018, NULL, 'G3DSA:1.20.5.1220', NULL, NULL, NULL, NULL, 'Regulatory protein rop', NULL, NULL, NULL, 3),
(17019, NULL, 'G3DSA:2.60.40.1260', NULL, NULL, NULL, NULL, 'Lamin Tail domain', NULL, NULL, 30329, 3),
(17020, NULL, 'G3DSA:1.20.5.750', NULL, NULL, NULL, NULL, 'Moricin domain', NULL, NULL, 31696, 3),
(17021, NULL, 'G3DSA:2.60.120.870', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17022, NULL, 'G3DSA:3.30.30.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 33525, 3),
(17023, NULL, 'G3DSA:3.30.30.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17024, NULL, 'G3DSA:1.10.245.10', NULL, NULL, NULL, NULL, 'SWIB/MDM2 domain', NULL, NULL, 30988, 3),
(17025, NULL, 'G3DSA:2.20.28.120', NULL, NULL, NULL, NULL, 'Ribosomal protein L33', NULL, NULL, 32118, 3),
(17026, NULL, 'G3DSA:3.40.50.10960', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17027, NULL, 'G3DSA:6.10.140.1370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17028, NULL, 'G3DSA:1.10.3040.10', NULL, NULL, NULL, NULL, 'borna disease virus nucleoprotein, domain 1', NULL, NULL, 9423, 3),
(17029, NULL, 'G3DSA:1.10.60.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17030, NULL, 'G3DSA:3.90.1720.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17031, NULL, 'G3DSA:3.30.160.720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17032, NULL, 'G3DSA:2.40.400.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 15950, 3),
(17033, NULL, 'G3DSA:3.30.910.30', NULL, NULL, NULL, NULL, 'Peptidase C10 family', NULL, NULL, NULL, 3),
(17034, NULL, 'G3DSA:3.10.600.10', NULL, NULL, NULL, NULL, 'pyruvate carboxylase f1077a mutant domain', NULL, NULL, NULL, 3),
(17035, NULL, 'G3DSA:2.60.40.4060', NULL, NULL, NULL, NULL, 'Reeler domain', NULL, NULL, 39306, 3),
(17036, NULL, 'G3DSA:3.30.479.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33998, 3),
(17037, NULL, 'G3DSA:3.30.110.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17038, NULL, 'G3DSA:3.30.1370.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17039, NULL, 'G3DSA:1.20.58.830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17040, NULL, 'G3DSA:3.90.1530.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17041, NULL, 'G3DSA:2.170.260.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17042, NULL, 'G3DSA:3.30.70.1990', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17043, NULL, 'G3DSA:3.40.50.10090', NULL, NULL, NULL, NULL, '', NULL, NULL, 35786, 3),
(17044, NULL, 'G3DSA:3.30.1050.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36134, 3),
(17045, NULL, 'G3DSA:6.10.140.690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17046, NULL, 'G3DSA:1.10.1040.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30297, 3),
(17047, NULL, 'G3DSA:3.30.70.2960', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17048, NULL, 'G3DSA:3.30.190.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17049, NULL, 'G3DSA:3.40.50.12810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17050, NULL, 'G3DSA:1.20.1480.10', NULL, NULL, NULL, NULL, 'hypothetical protein mp506/mpn330, domain 1', NULL, NULL, 16158, 3),
(17051, NULL, 'G3DSA:3.30.1370.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17052, NULL, 'G3DSA:2.20.150.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17053, NULL, 'G3DSA:6.20.220.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35295, 3),
(17054, NULL, 'G3DSA:3.55.40.10', NULL, NULL, NULL, NULL, 'minor pseudopilin epsh domain', NULL, NULL, NULL, 3),
(17055, NULL, 'G3DSA:3.30.740.10', NULL, NULL, NULL, NULL, 'Protein Inhibitor Of Neuronal Nitric Oxide Synthase;', NULL, NULL, 34263, 3),
(17056, NULL, 'G3DSA:1.20.120.980', NULL, NULL, NULL, NULL, 'Serine carboxypeptidase S28, SKS domain', NULL, NULL, 37460, 3),
(17057, NULL, 'G3DSA:3.90.1150.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17058, NULL, 'G3DSA:3.90.1150.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 35463, 3),
(17059, NULL, 'G3DSA:3.10.260.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 29202, 3),
(17060, NULL, 'G3DSA:1.50.10.100', NULL, NULL, NULL, NULL, 'Chondroitin AC/alginate lyase', NULL, NULL, 8566, 3),
(17061, NULL, 'G3DSA:3.40.50.11930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17062, NULL, 'G3DSA:3.100.10.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 37649, 3),
(17063, NULL, 'G3DSA:3.90.1150.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 35024, 3),
(17064, NULL, 'G3DSA:3.30.70.2910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17065, NULL, 'G3DSA:6.10.140.1940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17066, NULL, 'G3DSA:3.30.950.30', NULL, NULL, NULL, NULL, 'Schlafen, AAA domain', NULL, NULL, 34725, 3),
(17067, NULL, 'G3DSA:3.90.1150.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17068, NULL, 'G3DSA:2.60.40.1860', NULL, NULL, NULL, NULL, '', NULL, NULL, 35330, 3),
(17069, NULL, 'G3DSA:2.30.30.1210', NULL, NULL, NULL, NULL, 'Domain of unknown function DUF1541', NULL, NULL, NULL, 3),
(17070, NULL, 'G3DSA:2.40.510.10', NULL, NULL, NULL, NULL, 'Positive stranded ssRNA viruses', NULL, NULL, NULL, 3),
(17071, NULL, 'G3DSA:3.40.190.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17072, NULL, 'G3DSA:3.30.70.2970', NULL, NULL, NULL, NULL, 'Protein of unknown function (DUF541), domain 2', NULL, NULL, NULL, 3); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17073, NULL, 'G3DSA:3.30.460.60', NULL, NULL, NULL, NULL, 'Poxvirus poly(A) polymerase, nucleotidyltransferase domain', NULL, NULL, 33691, 3),
(17074, NULL, 'G3DSA:4.10.81.20', NULL, NULL, NULL, NULL, 'KCNMB2, ball/chain domain', NULL, NULL, 35796, 3),
(17075, NULL, 'G3DSA:2.170.15.10', NULL, NULL, NULL, NULL, 'Proaerolysin, chain A, domain 3', NULL, NULL, NULL, 3),
(17076, NULL, 'G3DSA:3.40.430.10', NULL, NULL, NULL, NULL, 'Dihydrofolate Reductase, subunit A', NULL, NULL, 19441, 3),
(17077, NULL, 'G3DSA:1.20.120.2010', NULL, NULL, NULL, NULL, 'NAB conserved domain 2', NULL, NULL, 29016, 3),
(17078, NULL, 'G3DSA:3.40.1230.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30192, 3),
(17079, NULL, 'G3DSA:3.10.450.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17080, NULL, 'G3DSA:1.10.150.520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17081, NULL, 'G3DSA:2.40.50.610', NULL, NULL, NULL, NULL, '', NULL, NULL, 37835, 3),
(17082, NULL, 'G3DSA:1.10.10.2690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17083, NULL, 'G3DSA:3.10.20.440', NULL, NULL, NULL, NULL, '', NULL, NULL, 37895, 3),
(17084, NULL, 'G3DSA:2.60.40.2360', NULL, NULL, NULL, NULL, 'Intracellular proteinase inhibitor BsuPI', NULL, NULL, 33486, 3),
(17085, NULL, 'G3DSA:1.10.1040.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 11111, 3),
(17086, NULL, 'G3DSA:6.10.140.860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17087, NULL, 'G3DSA:6.10.140.2210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17088, NULL, 'G3DSA:1.10.287.2320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17089, NULL, 'G3DSA:3.40.50.12640', NULL, NULL, NULL, NULL, 'Phosphopantoate/pantothenate synthetase', NULL, NULL, 35280, 3),
(17090, NULL, 'G3DSA:6.20.50.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17091, NULL, 'G3DSA:3.30.70.2690', NULL, NULL, NULL, NULL, 'LOR/SDH bifunctional enzyme, conserved domain', NULL, NULL, 38715, 3),
(17092, NULL, 'G3DSA:2.60.40.200', NULL, NULL, NULL, NULL, 'Superoxide dismutase, copper/zinc binding domain', NULL, NULL, 30444, 3),
(17093, NULL, 'G3DSA:1.20.90.10', NULL, NULL, NULL, NULL, 'Phospholipase A2 domain', NULL, NULL, 34164, 3),
(17094, NULL, 'G3DSA:1.10.287.800', NULL, NULL, NULL, NULL, 'protein ne1242', NULL, NULL, NULL, 3),
(17095, NULL, 'G3DSA:3.40.50.12080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17096, NULL, 'G3DSA:2.170.120.12', NULL, NULL, NULL, NULL, '', NULL, NULL, 31626, 3),
(17097, NULL, 'G3DSA:1.10.10.2260', NULL, NULL, NULL, NULL, '', NULL, NULL, 32702, 3),
(17098, NULL, 'G3DSA:1.10.220.10', NULL, NULL, NULL, NULL, 'Annexin', NULL, NULL, 30218, 3),
(17099, NULL, 'G3DSA:6.10.140.1660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17100, NULL, 'G3DSA:3.10.690.10', NULL, NULL, NULL, NULL, 'Bifunctional nuclease domain', NULL, NULL, 36170, 3),
(17101, NULL, 'G3DSA:3.20.170.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 35396, 3),
(17102, NULL, 'G3DSA:3.90.920.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 39479, 3),
(17103, NULL, 'G3DSA:6.10.230.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17104, NULL, 'G3DSA:1.10.10.2770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17105, NULL, 'G3DSA:6.10.310.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17106, NULL, 'G3DSA:3.90.1150.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17107, NULL, 'G3DSA:3.30.420.590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17108, NULL, 'G3DSA:2.60.40.2700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17109, NULL, 'G3DSA:6.10.140.350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17110, NULL, 'G3DSA:3.40.35.10', NULL, NULL, NULL, NULL, 'Phosphotransferase system, sorbose subfamily IIB component', NULL, NULL, 30813, 3),
(17111, NULL, 'G3DSA:1.20.1280.30', NULL, NULL, NULL, NULL, 'Methane monooxygenase, gamma chain, domain 2', NULL, NULL, 8299, 3),
(17112, NULL, 'G3DSA:6.10.140.1580', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17113, NULL, 'G3DSA:2.70.180.10', NULL, NULL, NULL, NULL, 'Hypothetical protein YojF', NULL, NULL, 33982, 3);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17114, NULL, 'G3DSA:2.30.30.290', NULL, NULL, NULL, NULL, '', NULL, NULL, 17320, 3),
(17115, NULL, 'G3DSA:1.10.287.1770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17116, NULL, 'G3DSA:3.40.1170.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17117, NULL, 'G3DSA:1.20.120.1440', NULL, NULL, NULL, NULL, '', NULL, NULL, 38528, 3),
(17118, NULL, 'G3DSA:3.30.70.1570', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17119, NULL, 'G3DSA:1.10.10.680', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17120, NULL, 'G3DSA:4.10.40.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17121, NULL, 'G3DSA:2.40.360.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 15837, 3),
(17122, NULL, 'G3DSA:3.30.210.10', NULL, NULL, NULL, NULL, 'DNA polymerase, thumb domain', NULL, NULL, 31829, 3),
(17123, NULL, 'G3DSA:3.40.1580.20', NULL, NULL, NULL, NULL, 'Syd protein', NULL, NULL, 36482, 3),
(17124, NULL, 'G3DSA:3.40.50.12240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17125, NULL, 'G3DSA:1.20.5.700', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(17126, NULL, 'G3DSA:2.70.100.10', NULL, NULL, NULL, NULL, 'Glycoside hydrolase, family 7, domain', NULL, NULL, 30867, 3),
(17127, NULL, 'G3DSA:1.10.1410.30', NULL, NULL, NULL, NULL, 'CCA tRNA nucleotidyltransferase, domain 2', NULL, NULL, 33116, 3),
(17128, NULL, 'G3DSA:3.30.70.2630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17129, NULL, 'G3DSA:6.10.140.1600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17130, NULL, 'G3DSA:3.30.60.290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17131, NULL, 'G3DSA:1.10.10.2340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17132, NULL, 'G3DSA:6.20.400.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17133, NULL, 'G3DSA:1.20.1310.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17134, NULL, 'G3DSA:2.40.50.590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17135, NULL, 'G3DSA:3.40.470.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30584, 3),
(17136, NULL, 'G3DSA:1.20.120.830', NULL, NULL, NULL, NULL, '', NULL, NULL, 31070, 3),
(17137, NULL, 'G3DSA:1.10.20.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17138, NULL, 'G3DSA:6.20.130.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17139, NULL, 'G3DSA:1.10.3210.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17140, NULL, 'G3DSA:4.10.80.370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17141, NULL, 'G3DSA:1.25.40.730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17142, NULL, 'G3DSA:1.25.40.500', NULL, NULL, NULL, NULL, 'TFIID subunit TAF5, NTD2 domain', NULL, NULL, 34275, 3),
(17143, NULL, 'G3DSA:1.10.3470.10', NULL, NULL, NULL, NULL, 'ABC transporter involved in vitamin B12 uptake, BtuC', NULL, NULL, 32184, 3),
(17144, NULL, 'G3DSA:6.20.270.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17145, NULL, 'G3DSA:3.20.190.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17146, NULL, 'G3DSA:1.25.10.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17147, NULL, 'G3DSA:1.10.4140.10', NULL, NULL, NULL, NULL, 'effector protein (NleL)', NULL, NULL, 35352, 3),
(17148, NULL, 'G3DSA:2.30.30.310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17149, NULL, 'G3DSA:2.30.130.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17150, NULL, 'G3DSA:1.20.1640.10', NULL, NULL, NULL, NULL, 'Multidrug efflux transporter AcrB transmembrane domain', NULL, NULL, NULL, 3),
(17151, NULL, 'G3DSA:3.30.56.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17152, NULL, 'G3DSA:1.10.930.10', NULL, NULL, NULL, NULL, 'Syk Kinase; Chain A, domain 2', NULL, NULL, 16116, 3),
(17153, NULL, 'G3DSA:3.10.290.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17154, NULL, 'G3DSA:3.30.30.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 36103, 3),
(17155, NULL, 'G3DSA:1.10.472.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17156, NULL, 'G3DSA:1.20.1270.110', NULL, NULL, NULL, NULL, 'Uncharacterised protein family UPF0058', NULL, NULL, 35967, 3),
(17157, NULL, 'G3DSA:6.10.250.740', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17158, NULL, 'G3DSA:6.10.250.2480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17159, NULL, 'G3DSA:1.10.287.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17160, NULL, 'G3DSA:1.10.4080.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34354, 3),
(17161, NULL, 'G3DSA:6.10.250.3090', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17162, NULL, 'G3DSA:2.60.40.2250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17163, NULL, 'G3DSA:2.30.29.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 32281, 3),
(17164, NULL, 'G3DSA:2.160.20.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 14685, 3),
(17165, NULL, 'G3DSA:1.20.1440.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 36568, 3),
(17166, NULL, 'G3DSA:3.30.1460.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 18707, 3),
(17167, NULL, 'G3DSA:3.10.580.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17168, NULL, 'G3DSA:6.10.250.2690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17169, NULL, 'G3DSA:3.10.20.810', NULL, NULL, NULL, NULL, '', NULL, NULL, 30127, 3),
(17170, NULL, 'G3DSA:3.30.70.1280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17171, NULL, 'G3DSA:3.30.200.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17172, NULL, 'G3DSA:3.30.1540.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 37343, 3),
(17173, NULL, 'G3DSA:3.30.1600.10', NULL, NULL, NULL, NULL, 'SIR2/SIRT2 ''Small Domain''', NULL, NULL, 24289, 3),
(17174, NULL, 'G3DSA:1.25.40.510', NULL, NULL, NULL, NULL, '', NULL, NULL, 36402, 3),
(17175, NULL, 'G3DSA:3.60.60.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17176, NULL, 'G3DSA:2.60.40.1850', NULL, NULL, NULL, NULL, '', NULL, NULL, 30717, 3),
(17177, NULL, 'G3DSA:2.60.120.740', NULL, NULL, NULL, NULL, '', NULL, NULL, 36733, 3),
(17178, NULL, 'G3DSA:3.30.1950.10', NULL, NULL, NULL, NULL, 'wza like domain', NULL, NULL, NULL, 3),
(17179, NULL, 'G3DSA:1.10.3960.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 24517, 3),
(17180, NULL, 'G3DSA:1.20.1440.250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17181, NULL, 'G3DSA:3.40.50.11920', NULL, NULL, NULL, NULL, '', NULL, NULL, 35111, 3),
(17182, NULL, 'G3DSA:1.20.58.1360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17183, NULL, 'G3DSA:1.20.58.1280', NULL, NULL, NULL, NULL, '', NULL, NULL, 32400, 3),
(17184, NULL, 'G3DSA:3.40.50.11260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17185, NULL, 'G3DSA:2.60.120.1230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17186, NULL, 'G3DSA:3.30.950.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8870, 3),
(17187, NULL, 'G3DSA:4.10.470.10', NULL, NULL, NULL, NULL, 'Ricin (A Subunit), domain 2', NULL, NULL, 11087, 3),
(17188, NULL, 'G3DSA:4.10.230.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32274, 3),
(17189, NULL, 'G3DSA:3.30.70.1360', NULL, NULL, NULL, NULL, '', NULL, NULL, 34167, 3),
(17190, NULL, 'G3DSA:1.20.120.380', NULL, NULL, NULL, NULL, '', NULL, NULL, 21914, 3),
(17191, NULL, 'G3DSA:2.60.220.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17192, NULL, 'G3DSA:2.60.90.20', NULL, NULL, NULL, NULL, 'Virus attachment protein , globular domain', NULL, NULL, NULL, 3),
(17193, NULL, 'G3DSA:2.30.29.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17194, NULL, 'G3DSA:2.40.50.830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17195, NULL, 'G3DSA:3.30.200.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 9029, 3),
(17196, NULL, 'G3DSA:6.10.250.1010', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17197, NULL, 'G3DSA:2.60.40.2380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17198, NULL, 'G3DSA:1.20.140.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17199, NULL, 'G3DSA:1.20.120.220', NULL, NULL, NULL, NULL, 'ATP synthase, F0 complex, subunit A', NULL, NULL, 11562, 3),
(17200, NULL, 'G3DSA:1.10.10.920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17201, NULL, 'G3DSA:3.20.20.370', NULL, NULL, NULL, NULL, 'Glycoside hydrolase/deacetylase', NULL, NULL, NULL, 3),
(17202, NULL, 'G3DSA:6.10.140.1900', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17203, NULL, 'G3DSA:1.10.10.840', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17204, NULL, 'G3DSA:2.90.10.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17205, NULL, 'G3DSA:3.40.390.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17206, NULL, 'G3DSA:2.70.98.50', NULL, NULL, NULL, NULL, 'putative glycoside hydrolase family protein from bacillus halodurans', NULL, NULL, NULL, 3),
(17207, NULL, 'G3DSA:3.30.70.2130', NULL, NULL, NULL, NULL, 'Metalloenzyme domain', NULL, NULL, 37697, 3),
(17208, NULL, 'G3DSA:3.10.20.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17209, NULL, 'G3DSA:2.40.30.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 19719, 3),
(17210, NULL, 'G3DSA:3.20.14.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 29364, 3),
(17211, NULL, 'G3DSA:1.10.340.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 15815, 3),
(17212, NULL, 'G3DSA:1.10.1420.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17213, NULL, 'G3DSA:6.10.140.800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17214, NULL, 'G3DSA:1.10.10.1000', NULL, NULL, NULL, NULL, 'Type III secretion system virulence factor YopR, core domain', NULL, NULL, 32284, 3),
(17215, NULL, 'G3DSA:3.40.1610.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 27764, 3),
(17216, NULL, 'G3DSA:3.30.300.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17217, NULL, 'G3DSA:3.90.1460.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33308, 3),
(17218, NULL, 'G3DSA:6.10.140.430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17219, NULL, 'G3DSA:1.10.472.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 33762, 3),
(17220, NULL, 'G3DSA:2.30.30.230', NULL, NULL, NULL, NULL, '', NULL, NULL, 33842, 3),
(17221, NULL, 'G3DSA:3.40.1180.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30477, 3),
(17222, NULL, 'G3DSA:3.30.230.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17223, NULL, 'G3DSA:3.90.1380.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31871, 3),
(17224, NULL, 'G3DSA:1.50.10.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17225, NULL, 'G3DSA:1.20.58.120', NULL, NULL, NULL, NULL, 'BAG domain', NULL, NULL, 36248, 3),
(17226, NULL, 'G3DSA:2.30.31.50', NULL, NULL, NULL, NULL, 'Borrelia outer surface protein E/F', NULL, NULL, 36424, 3),
(17227, NULL, 'G3DSA:1.10.10.1950', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17228, NULL, 'G3DSA:1.20.890.20', NULL, NULL, NULL, NULL, 'mpn423 like domain', NULL, NULL, NULL, 3),
(17229, NULL, 'G3DSA:3.30.420.150', NULL, NULL, NULL, NULL, 'Exopolyphosphatase. Domain 2', NULL, NULL, NULL, 3),
(17230, NULL, 'G3DSA:1.10.1500.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17231, NULL, 'G3DSA:3.30.1920.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17232, NULL, 'G3DSA:6.10.80.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17233, NULL, 'G3DSA:2.30.280.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17234, NULL, 'G3DSA:6.10.250.3110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17235, NULL, 'G3DSA:1.20.120.1950', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17236, NULL, 'G3DSA:1.20.1060.10', NULL, NULL, NULL, NULL, 'Taq DNA Polymerase; Chain T, domain 4', NULL, NULL, NULL, 3),
(17237, NULL, 'G3DSA:2.60.120.1310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17238, NULL, 'G3DSA:1.25.40.430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17239, NULL, 'G3DSA:1.10.3710.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17240, NULL, 'G3DSA:2.20.25.680', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17241, NULL, 'G3DSA:6.10.250.3380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17242, NULL, 'G3DSA:1.20.200.10', NULL, NULL, NULL, NULL, 'Fumarase/aspartase (Central domain)', NULL, NULL, NULL, 3),
(17243, NULL, 'G3DSA:3.40.50.11180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17244, NULL, 'G3DSA:2.10.25.20', NULL, NULL, NULL, NULL, 'reovirus attachment protein sigma1; domain 1', NULL, NULL, NULL, 3),
(17245, NULL, 'G3DSA:2.60.40.830', NULL, NULL, NULL, NULL, 'Cytochrome f large domain', NULL, NULL, 30230, 3),
(17246, NULL, 'G3DSA:3.40.1310.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17247, NULL, 'G3DSA:1.10.150.440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17248, NULL, 'G3DSA:6.10.140.1360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17249, NULL, 'G3DSA:1.20.5.300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17250, NULL, 'G3DSA:1.10.287.280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17251, NULL, 'G3DSA:1.10.40.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17252, NULL, 'G3DSA:3.30.420.440', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF4152', NULL, NULL, NULL, 3),
(17253, NULL, 'G3DSA:3.30.310.280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17254, NULL, 'G3DSA:2.40.50.290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17255, NULL, 'G3DSA:2.30.30.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30532, 3),
(17256, NULL, 'G3DSA:3.20.20.380', NULL, NULL, NULL, NULL, 'Copper homeostasis (CutC) domain', NULL, NULL, 30083, 3),
(17257, NULL, 'G3DSA:6.10.250.2560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17258, NULL, 'G3DSA:6.10.250.660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17259, NULL, 'G3DSA:6.20.10.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17260, NULL, 'G3DSA:1.10.3630.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 29849, 3),
(17261, NULL, 'G3DSA:1.20.5.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17262, NULL, 'G3DSA:2.30.140.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 29247, 3),
(17263, NULL, 'G3DSA:2.10.69.10', NULL, NULL, NULL, NULL, 'Cysteine Protease (Bromelain) Inhibitor, subunit H', NULL, NULL, 16873, 3),
(17264, NULL, 'G3DSA:3.30.450.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 24318, 3),
(17265, NULL, 'G3DSA:3.20.20.480', NULL, NULL, NULL, NULL, '', NULL, NULL, 35417, 3),
(17266, NULL, 'G3DSA:3.40.50.11770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17267, NULL, 'G3DSA:1.20.120.530', NULL, NULL, NULL, NULL, '', NULL, NULL, 8604, 3),
(17268, NULL, 'G3DSA:3.90.1210.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17269, NULL, 'G3DSA:2.60.420.10', NULL, NULL, NULL, NULL, 'Maltose phosphorylase, domain 3', NULL, NULL, NULL, 3),
(17270, NULL, 'G3DSA:3.40.50.1360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17271, NULL, 'G3DSA:1.20.120.1230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17272, NULL, 'G3DSA:3.30.1110.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17273, NULL, 'G3DSA:6.10.140.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17274, NULL, 'G3DSA:3.40.50.11500', NULL, NULL, NULL, NULL, '', NULL, NULL, 39714, 3),
(17275, NULL, 'G3DSA:2.40.240.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17276, NULL, 'G3DSA:1.10.10.580', NULL, NULL, NULL, NULL, 'Structural maintenance of chromosome 1. Chain E', NULL, NULL, 15833, 3),
(17277, NULL, 'G3DSA:2.60.40.2160', NULL, NULL, NULL, NULL, '', NULL, NULL, 35406, 3),
(17278, NULL, 'G3DSA:3.90.470.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 33664, 3),
(17279, NULL, 'G3DSA:1.10.1900.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17280, NULL, 'G3DSA:3.30.70.2330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17281, NULL, 'G3DSA:3.30.70.2840', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17282, NULL, 'G3DSA:3.30.200.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17283, NULL, 'G3DSA:3.30.160.840', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17284, NULL, 'G3DSA:1.25.40.190', NULL, NULL, NULL, NULL, '', NULL, NULL, 34688, 3),
(17285, NULL, 'G3DSA:3.30.200.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17286, NULL, 'G3DSA:6.10.250.2780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17287, NULL, 'G3DSA:1.10.472.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17288, NULL, 'G3DSA:3.30.1490.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17289, NULL, 'G3DSA:3.20.140.10', NULL, NULL, NULL, NULL, 'nicotinate phosphoribosyltransferase', NULL, NULL, NULL, 3),
(17290, NULL, 'G3DSA:4.10.160.10', NULL, NULL, NULL, NULL, 'Methanol dehydrogenase, beta subunit', NULL, NULL, 29609, 3),
(17291, NULL, 'G3DSA:2.60.40.1550', NULL, NULL, NULL, NULL, 'SARS coronavirus X4', NULL, NULL, 33799, 3);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17292, NULL, 'G3DSA:3.55.50.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17293, NULL, 'G3DSA:1.25.40.520', NULL, NULL, NULL, NULL, '', NULL, NULL, 36240, 3),
(17294, NULL, 'G3DSA:2.60.200.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17295, NULL, 'G3DSA:1.10.40.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17296, NULL, 'G3DSA:2.60.120.700', NULL, NULL, NULL, NULL, 'Peptidase G1', NULL, NULL, 34997, 3),
(17297, NULL, 'G3DSA:1.10.8.1190', NULL, NULL, NULL, NULL, '', NULL, NULL, 37061, 3),
(17298, NULL, 'G3DSA:2.30.29.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17299, NULL, 'G3DSA:1.10.10.2920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17300, NULL, 'G3DSA:1.20.1440.340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17301, NULL, 'G3DSA:1.10.287.4270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17302, NULL, 'G3DSA:3.40.50.12230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17303, NULL, 'G3DSA:1.20.1280.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17304, NULL, 'G3DSA:3.90.640.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17305, NULL, 'G3DSA:6.10.20.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17306, NULL, 'G3DSA:1.10.168.10', NULL, NULL, NULL, NULL, 'Phosducin, domain 2', NULL, NULL, 20330, 3),
(17307, NULL, 'G3DSA:3.30.1490.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 30851, 3),
(17308, NULL, 'G3DSA:1.10.3280.10', NULL, NULL, NULL, NULL, 'Siroheme synthase; domain 3', NULL, NULL, NULL, 3),
(17309, NULL, 'G3DSA:1.20.5.850', NULL, NULL, NULL, NULL, 'Rbstp2229 protein', NULL, NULL, NULL, 3),
(17310, NULL, 'G3DSA:6.10.250.3080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17311, NULL, 'G3DSA:6.10.20.140', NULL, NULL, NULL, NULL, '50S ribosomal protein L1; Chain A, Domain 1', NULL, NULL, NULL, 3),
(17312, NULL, 'G3DSA:1.20.120.1310', NULL, NULL, NULL, NULL, '', NULL, NULL, 38611, 3),
(17313, NULL, 'G3DSA:1.10.287.2170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17314, NULL, 'G3DSA:3.90.930.20', NULL, NULL, NULL, NULL, 'Small outer capsid protein Soc', NULL, NULL, 35819, 3),
(17315, NULL, 'G3DSA:2.20.28.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17316, NULL, 'G3DSA:1.10.287.2110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17317, NULL, 'G3DSA:1.10.4160.10', NULL, NULL, NULL, NULL, 'Hydantoin permease', NULL, NULL, NULL, 3),
(17318, NULL, 'G3DSA:3.30.2030.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17319, NULL, 'G3DSA:3.30.497.10', NULL, NULL, NULL, NULL, 'Antithrombin, subunit I, domain 2', NULL, NULL, 37140, 3),
(17320, NULL, 'G3DSA:3.90.100.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17321, NULL, 'G3DSA:3.30.1300.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17322, NULL, 'G3DSA:2.60.40.2670', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17323, NULL, 'G3DSA:3.30.70.1600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17324, NULL, 'G3DSA:6.10.140.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17325, NULL, 'G3DSA:1.20.5.290', NULL, NULL, NULL, NULL, 'Phospholamban', NULL, NULL, NULL, 3),
(17326, NULL, 'G3DSA:6.10.290.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 31050, 3),
(17327, NULL, 'G3DSA:1.10.150.290', NULL, NULL, NULL, NULL, '', NULL, NULL, 7558, 3),
(17328, NULL, 'G3DSA:1.10.150.80', NULL, NULL, NULL, NULL, 'HRDC domain', NULL, NULL, 37721, 3),
(17329, NULL, 'G3DSA:2.60.40.2590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17330, NULL, 'G3DSA:1.10.10.2130', NULL, NULL, NULL, NULL, '', NULL, NULL, 32530, 3),
(17331, NULL, 'G3DSA:1.10.10.2050', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17332, NULL, 'G3DSA:3.90.55.10', NULL, NULL, NULL, NULL, 'Dimethylsulfoxide Reductase, domain 3', NULL, NULL, NULL, 3),
(17333, NULL, 'G3DSA:2.40.33.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17334, NULL, 'G3DSA:3.30.160.390', NULL, NULL, NULL, NULL, '', NULL, NULL, 35720, 3),
(17335, NULL, 'G3DSA:1.20.89.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17336, NULL, 'G3DSA:1.10.10.390', NULL, NULL, NULL, NULL, '', NULL, NULL, 7188, 3);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17337, NULL, 'G3DSA:6.10.140.2000', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17338, NULL, 'G3DSA:6.20.240.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17339, NULL, 'G3DSA:3.40.1620.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 36988, 3),
(17340, NULL, 'G3DSA:6.20.250.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17341, NULL, 'G3DSA:1.10.10.1660', NULL, NULL, NULL, NULL, 'Nicotine adenine dinucleotide glycohydrolase, helical linker domain', NULL, NULL, 33128, 3),
(17342, NULL, 'G3DSA:3.10.450.690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17343, NULL, 'G3DSA:4.10.1180.10', NULL, NULL, NULL, NULL, 'tm1086 domain', NULL, NULL, 39302, 3),
(17344, NULL, 'G3DSA:6.10.250.2860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17345, NULL, 'G3DSA:1.10.150.310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17346, NULL, 'G3DSA:1.20.810.10', NULL, NULL, NULL, NULL, 'Cytochrome Bc1 Complex; Chain C', NULL, NULL, 25582, 3),
(17347, NULL, 'G3DSA:3.90.1620.10', NULL, NULL, NULL, NULL, 'adenovirus 2 penton base, domain 2', NULL, NULL, NULL, 3),
(17348, NULL, 'G3DSA:2.40.30.280', NULL, NULL, NULL, NULL, '', NULL, NULL, 32060, 3),
(17349, NULL, 'G3DSA:3.30.730.20', NULL, NULL, NULL, NULL, 'Cell division activator CedA', NULL, NULL, 34947, 3),
(17350, NULL, 'G3DSA:6.10.140.1870', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17351, NULL, 'G3DSA:3.30.1830.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17352, NULL, 'G3DSA:3.90.1280.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17353, NULL, 'G3DSA:4.10.1130.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17354, NULL, 'G3DSA:3.30.720.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17355, NULL, 'G3DSA:1.10.700.10', NULL, NULL, NULL, NULL, 'Dioxygenase LigAB, LigA subunit', NULL, NULL, 31492, 3),
(17356, NULL, 'G3DSA:3.30.2320.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17357, NULL, 'G3DSA:2.40.220.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 20287, 3),
(17358, NULL, 'G3DSA:2.60.40.1190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17359, NULL, 'G3DSA:1.20.5.590', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(17360, NULL, 'G3DSA:6.10.250.2800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17361, NULL, 'G3DSA:4.10.240.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17362, NULL, 'G3DSA:6.10.10.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17363, NULL, 'G3DSA:2.60.40.1790', NULL, NULL, NULL, NULL, 'Fungal immunomodulatory protein Fve', NULL, NULL, NULL, 3),
(17364, NULL, 'G3DSA:2.30.30.520', NULL, NULL, NULL, NULL, '', NULL, NULL, 31931, 3),
(17365, NULL, 'G3DSA:1.20.190.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30153, 3),
(17366, NULL, 'G3DSA:3.90.1170.10', NULL, NULL, NULL, NULL, 'Ribosomal protein L10e/L16', NULL, NULL, 35117, 3),
(17367, NULL, 'G3DSA:1.20.1550.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 16465, 3),
(17368, NULL, 'G3DSA:1.20.1280.150', NULL, NULL, NULL, NULL, '', NULL, NULL, 37526, 3),
(17369, NULL, 'G3DSA:3.30.1360.100', NULL, NULL, NULL, NULL, 'General secretion pathway protein M, EpsM', NULL, NULL, NULL, 3),
(17370, NULL, 'G3DSA:2.20.28.40', NULL, NULL, NULL, NULL, 'H/ACA ribonucleoprotein complex, subunit Nop10', NULL, NULL, NULL, 3),
(17371, NULL, 'G3DSA:3.40.50.11480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17372, NULL, 'G3DSA:3.30.110.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 39933, 3),
(17373, NULL, 'G3DSA:1.20.120.660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17374, NULL, 'G3DSA:2.60.120.1440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17375, NULL, 'G3DSA:3.90.25.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17376, NULL, 'G3DSA:2.60.40.4140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17377, NULL, 'G3DSA:3.30.1360.140', NULL, NULL, NULL, NULL, '', NULL, NULL, 34586, 3),
(17378, NULL, 'G3DSA:6.10.250.530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17379, NULL, 'G3DSA:1.20.1720.10', NULL, NULL, NULL, NULL, 'Multidrug resistance protein D', NULL, NULL, NULL, 3);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17380, NULL, 'G3DSA:1.20.1220.20', NULL, NULL, NULL, NULL, 'Uncharcterised protein PF01724', NULL, NULL, NULL, 3),
(17381, NULL, 'G3DSA:3.10.129.10', NULL, NULL, NULL, NULL, 'Hotdog Thioesterase', NULL, NULL, NULL, 3),
(17382, NULL, 'G3DSA:3.10.460.20', NULL, NULL, NULL, NULL, 'Rhabdovirus matrix protein M2', NULL, NULL, 32259, 3),
(17383, NULL, 'G3DSA:2.40.50.740', NULL, NULL, NULL, NULL, '', NULL, NULL, 32422, 3),
(17384, NULL, 'G3DSA:1.20.5.930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17385, NULL, 'G3DSA:3.30.170.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30816, 3),
(17386, NULL, 'G3DSA:1.10.132.110', NULL, NULL, NULL, NULL, 'Serum amyloid A protein', NULL, NULL, NULL, 3),
(17387, NULL, 'G3DSA:1.20.1260.140', NULL, NULL, NULL, NULL, 'Alternative oxidase', NULL, NULL, 35706, 3),
(17388, NULL, 'G3DSA:3.40.50.740', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17389, NULL, 'G3DSA:1.10.3190.10', NULL, NULL, NULL, NULL, 'yfbu gene product, domain 2', NULL, NULL, 15626, 3),
(17390, NULL, 'G3DSA:6.10.20.40', NULL, NULL, NULL, NULL, 'TEA/ATTS domain', NULL, NULL, 32231, 3),
(17391, NULL, 'G3DSA:3.10.20.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17392, NULL, 'G3DSA:3.30.1910.10', NULL, NULL, NULL, NULL, 'so0334 like domain', NULL, NULL, NULL, 3),
(17393, NULL, 'G3DSA:6.10.250.1140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17394, NULL, 'G3DSA:2.30.30.530', NULL, NULL, NULL, NULL, '', NULL, NULL, 36795, 3),
(17395, NULL, 'G3DSA:6.10.280.210', NULL, NULL, NULL, NULL, 'Dsl1p vesicle tethering complex, Tip20p subunit, domain A', NULL, NULL, 32584, 3),
(17396, NULL, 'G3DSA:2.60.300.12', NULL, NULL, NULL, NULL, '', NULL, NULL, 7665, 3),
(17397, NULL, 'G3DSA:3.30.70.1440', NULL, NULL, NULL, NULL, 'Multidrug efflux transporter AcrB pore domain', NULL, NULL, NULL, 3),
(17398, NULL, 'G3DSA:1.20.1170.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17399, NULL, 'G3DSA:3.90.870.10', NULL, NULL, NULL, NULL, 'DHBP synthase', NULL, NULL, NULL, 3),
(17400, NULL, 'G3DSA:1.10.10.1740', NULL, NULL, NULL, NULL, '', NULL, NULL, 39213, 3),
(17401, NULL, 'G3DSA:3.40.190.150', NULL, NULL, NULL, NULL, 'Bordetella uptake gene, domain 1', NULL, NULL, 33102, 3),
(17402, NULL, 'G3DSA:1.10.418.40', NULL, NULL, NULL, NULL, 'Autophagy protein 6/Beclin 1', NULL, NULL, 33768, 3),
(17403, NULL, 'G3DSA:2.60.40.4350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17404, NULL, 'G3DSA:6.10.250.3310', NULL, NULL, NULL, NULL, 'signal transducer and activator of transcription 1', NULL, NULL, 33774, 3),
(17405, NULL, 'G3DSA:2.60.40.1760', NULL, NULL, NULL, NULL, 'glycosyl hydrolase (family 31)', NULL, NULL, NULL, 3),
(17406, NULL, 'G3DSA:3.30.70.1790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17407, NULL, 'G3DSA:1.10.101.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36487, 3),
(17408, NULL, 'G3DSA:1.20.58.200', NULL, NULL, NULL, NULL, 'Translin; domain 2', NULL, NULL, 10235, 3),
(17409, NULL, 'G3DSA:2.40.230.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 34791, 3),
(17410, NULL, 'G3DSA:1.20.5.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17411, NULL, 'G3DSA:3.40.50.11390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17412, NULL, 'G3DSA:3.90.70.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17413, NULL, 'G3DSA:6.10.250.1220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17414, NULL, 'G3DSA:3.30.390.80', NULL, NULL, NULL, NULL, 'DNA repair protein Rad52/59/22', NULL, NULL, 39936, 3),
(17415, NULL, 'G3DSA:4.10.81.10', NULL, NULL, NULL, NULL, 'Cytochrome c oxidase, subunit 8', NULL, NULL, 36136, 3),
(17416, NULL, 'G3DSA:1.20.80.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8621, 3),
(17417, NULL, 'G3DSA:3.30.70.650', NULL, NULL, NULL, NULL, 'Translation repressor RegA', NULL, NULL, 32508, 3),
(17418, NULL, 'G3DSA:3.40.50.12660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17419, NULL, 'G3DSA:1.20.1630.10', NULL, NULL, NULL, NULL, 'Formate dehydrogenase/DMSO reductase domain', NULL, NULL, NULL, 3),
(17420, NULL, 'G3DSA:1.25.40.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17421, NULL, 'G3DSA:1.10.1740.100', NULL, NULL, NULL, NULL, 'Set2, Rpb1 interacting domain', NULL, NULL, 32050, 3),
(17422, NULL, 'G3DSA:4.10.1120.10', NULL, NULL, NULL, NULL, 'Retinal cGMP phosphodiesterase, gamma subunit', NULL, NULL, 29868, 3),
(17423, NULL, 'G3DSA:3.30.1360.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 1628, 3),
(17424, NULL, 'G3DSA:1.10.246.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 37540, 3),
(17425, NULL, 'G3DSA:1.20.5.710', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, 30715, 3),
(17426, NULL, 'G3DSA:3.90.510.10', NULL, NULL, NULL, NULL, 'Phycoerythrin alpha chain', NULL, NULL, 30777, 3),
(17427, NULL, 'G3DSA:1.10.10.480', NULL, NULL, NULL, NULL, 'Phosphofructokinase; domain 3', NULL, NULL, NULL, 3),
(17428, NULL, 'G3DSA:3.40.50.410', NULL, NULL, NULL, NULL, 'von Willebrand factor, type A domain', NULL, NULL, 31507, 3),
(17429, NULL, 'G3DSA:3.30.300.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17430, NULL, 'G3DSA:4.10.8.20', NULL, NULL, NULL, NULL, 'DNA/RNA polymerases', NULL, NULL, NULL, 3),
(17431, NULL, 'G3DSA:3.10.450.720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17432, NULL, 'G3DSA:3.40.1800.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17433, NULL, 'G3DSA:1.20.5.1230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17434, NULL, 'G3DSA:6.10.250.2990', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17435, NULL, 'G3DSA:1.10.1200.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17436, NULL, 'G3DSA:1.20.1650.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17437, NULL, 'G3DSA:3.10.330.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17438, NULL, 'G3DSA:1.20.58.1300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17439, NULL, 'G3DSA:3.30.1730.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30464, 3),
(17440, NULL, 'G3DSA:1.20.1440.330', NULL, NULL, NULL, NULL, '', NULL, NULL, 39234, 3),
(17441, NULL, 'G3DSA:3.10.620.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17442, NULL, 'G3DSA:6.10.80.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34969, 3),
(17443, NULL, 'G3DSA:2.60.175.20', NULL, NULL, NULL, NULL, 'Major capsid L1 (late) superfamily, Papillomavirus', NULL, NULL, 32641, 3),
(17444, NULL, 'G3DSA:2.60.40.2370', NULL, NULL, NULL, NULL, '', NULL, NULL, 33209, 3),
(17445, NULL, 'G3DSA:1.10.287.1130', NULL, NULL, NULL, NULL, 'CytochromE C oxidase copper chaperone', NULL, NULL, NULL, 3),
(17446, NULL, 'G3DSA:6.20.250.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17447, NULL, 'G3DSA:2.30.300.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17448, NULL, 'G3DSA:1.10.720.30', NULL, NULL, NULL, NULL, 'SAP domain', NULL, NULL, 35206, 3),
(17449, NULL, 'G3DSA:1.10.520.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17450, NULL, 'G3DSA:1.20.5.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 16360, 3),
(17451, NULL, 'G3DSA:6.10.140.1790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17452, NULL, 'G3DSA:3.90.980.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32494, 3),
(17453, NULL, 'G3DSA:3.30.70.2760', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17454, NULL, 'G3DSA:3.30.60.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17455, NULL, 'G3DSA:3.10.20.360', NULL, NULL, NULL, NULL, 'CKK domain', NULL, NULL, 32177, 3),
(17456, NULL, 'G3DSA:3.30.70.1660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17457, NULL, 'G3DSA:1.10.8.1060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17458, NULL, 'G3DSA:6.10.250.3170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17459, NULL, 'G3DSA:2.60.40.1490', NULL, NULL, NULL, NULL, '', NULL, NULL, 34618, 3),
(17460, NULL, 'G3DSA:3.90.1750.10', NULL, NULL, NULL, NULL, 'Hect, E3 ligase catalytic domains', NULL, NULL, NULL, 3),
(17461, NULL, 'G3DSA:2.40.500.10', NULL, NULL, NULL, NULL, 'Upper collar protein gp10 (connector protein)', NULL, NULL, NULL, 3),
(17462, NULL, 'G3DSA:6.10.250.2770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17463, NULL, 'G3DSA:2.60.120.1520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17464, NULL, 'G3DSA:4.10.800.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17465, NULL, 'G3DSA:3.90.730.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30535, 3),
(17466, NULL, 'G3DSA:2.60.40.1220', NULL, NULL, NULL, NULL, '', NULL, NULL, 8010, 3),
(17467, NULL, 'G3DSA:2.60.40.4220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17468, NULL, 'G3DSA:1.25.40.490', NULL, NULL, NULL, NULL, '', NULL, NULL, 36500, 3),
(17469, NULL, 'G3DSA:2.70.250.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8125, 3),
(17470, NULL, 'G3DSA:1.20.120.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 14167, 3),
(17471, NULL, 'G3DSA:3.40.210.20', NULL, NULL, NULL, NULL, 'MvaI/BcnI restriction endonuclease, catalytic domain', NULL, NULL, 38649, 3),
(17472, NULL, 'G3DSA:6.10.250.450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17473, NULL, 'G3DSA:6.10.140.1570', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17474, NULL, 'G3DSA:3.30.1350.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30950, 3),
(17475, NULL, 'G3DSA:2.10.230.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17476, NULL, 'G3DSA:3.30.2220.10', NULL, NULL, NULL, NULL, 'rbstp2171', NULL, NULL, NULL, 3),
(17477, NULL, 'G3DSA:1.50.10.150', NULL, NULL, NULL, NULL, '', NULL, NULL, 35869, 3),
(17478, NULL, 'G3DSA:3.30.70.2540', NULL, NULL, NULL, NULL, '', NULL, NULL, 38708, 3),
(17479, NULL, 'G3DSA:3.30.1490.410', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF16224, DUF4883', NULL, NULL, NULL, 3),
(17480, NULL, 'G3DSA:6.10.250.2140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17481, NULL, 'G3DSA:3.30.110.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 26446, 3),
(17482, NULL, 'G3DSA:1.20.1500.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17483, NULL, 'G3DSA:2.40.170.10', NULL, NULL, NULL, NULL, 'Porin, LamB type', NULL, NULL, 30835, 3),
(17484, NULL, 'G3DSA:3.40.50.700', NULL, NULL, NULL, NULL, '', NULL, NULL, 29937, 3),
(17485, NULL, 'G3DSA:6.10.250.2650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17486, NULL, 'G3DSA:1.20.58.1270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17487, NULL, 'G3DSA:1.20.1440.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17488, NULL, 'G3DSA:1.20.1280.100', NULL, NULL, NULL, NULL, 'Pas factor, saposin domain', NULL, NULL, NULL, 3),
(17489, NULL, 'G3DSA:2.10.70.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17490, NULL, 'G3DSA:2.40.128.650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17491, NULL, 'G3DSA:3.40.50.10260', NULL, NULL, NULL, NULL, '', NULL, NULL, 30941, 3),
(17492, NULL, 'G3DSA:2.20.28.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17493, NULL, 'G3DSA:3.40.950.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17494, NULL, 'G3DSA:6.20.50.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 32054, 3),
(17495, NULL, 'G3DSA:1.10.490.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17496, NULL, 'G3DSA:2.60.40.3380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17497, NULL, 'G3DSA:2.60.40.3430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17498, NULL, 'G3DSA:2.60.120.1680', NULL, NULL, NULL, NULL, '', NULL, NULL, 37769, 3),
(17499, NULL, 'G3DSA:3.90.1840.10', NULL, NULL, NULL, NULL, 'Major capsid protein', NULL, NULL, 30263, 3),
(17500, NULL, 'G3DSA:3.30.70.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17501, NULL, 'G3DSA:3.30.70.2000', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17502, NULL, 'G3DSA:3.40.630.190', NULL, NULL, NULL, NULL, 'LCP protein', NULL, NULL, NULL, 3),
(17503, NULL, 'G3DSA:6.10.250.1050', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17504, NULL, 'G3DSA:2.20.25.560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17505, NULL, 'G3DSA:3.40.50.11350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17506, NULL, 'G3DSA:2.60.120.1220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17507, NULL, 'G3DSA:3.30.1460.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17508, NULL, 'G3DSA:1.20.120.1100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17509, NULL, 'G3DSA:3.30.160.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17510, NULL, 'G3DSA:3.30.1490.330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17511, NULL, 'G3DSA:1.10.10.500', NULL, NULL, NULL, NULL, '', NULL, NULL, 30258, 3),
(17512, NULL, 'G3DSA:6.10.140.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17513, NULL, 'G3DSA:3.30.1450.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34264, 3),
(17514, NULL, 'G3DSA:4.10.260.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 37784, 3),
(17515, NULL, 'G3DSA:3.30.160.710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17516, NULL, 'G3DSA:1.20.58.700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17517, NULL, 'G3DSA:3.60.21.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17518, NULL, 'G3DSA:3.30.420.60', NULL, NULL, NULL, NULL, 'eRF1 domain 2', NULL, NULL, 36732, 3),
(17519, NULL, 'G3DSA:1.10.3550.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17520, NULL, 'G3DSA:3.40.5.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17521, NULL, 'G3DSA:1.20.930.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 34609, 3),
(17522, NULL, 'G3DSA:1.20.1600.10', NULL, NULL, NULL, NULL, 'Outer membrane efflux proteins (OEP)', NULL, NULL, NULL, 3),
(17523, NULL, 'G3DSA:3.40.50.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17524, NULL, 'G3DSA:3.30.70.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 18612, 3),
(17525, NULL, 'G3DSA:1.20.1280.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17526, NULL, 'G3DSA:1.20.5.840', NULL, NULL, NULL, NULL, 'hypothetical RNA methyltransferase', NULL, NULL, NULL, 3),
(17527, NULL, 'G3DSA:6.10.250.1590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17528, NULL, 'G3DSA:2.60.40.3890', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17529, NULL, 'G3DSA:3.10.610.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17530, NULL, 'G3DSA:6.10.20.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17531, NULL, 'G3DSA:1.10.3480.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17532, NULL, 'G3DSA:3.30.2150.10', NULL, NULL, NULL, NULL, 'Fibrillarin homologue', NULL, NULL, NULL, 3),
(17533, NULL, 'G3DSA:1.10.1200.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17534, NULL, 'G3DSA:3.40.50.10710', NULL, NULL, NULL, NULL, '', NULL, NULL, 37074, 3),
(17535, NULL, 'G3DSA:1.10.1750.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 10696, 3),
(17536, NULL, 'G3DSA:1.10.8.860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17537, NULL, 'G3DSA:6.10.140.980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17538, NULL, 'G3DSA:1.10.10.1290', NULL, NULL, NULL, NULL, '', NULL, NULL, 32419, 3),
(17539, NULL, 'G3DSA:2.70.50.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17540, NULL, 'G3DSA:3.30.1490.480', NULL, NULL, NULL, NULL, 'Endolytic murein transglycosylase', NULL, NULL, NULL, 3),
(17541, NULL, 'G3DSA:2.30.30.1250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17542, NULL, 'G3DSA:3.20.20.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17543, NULL, 'G3DSA:3.20.20.520', NULL, NULL, NULL, NULL, 'Glycosyl hydrolase family 115', NULL, NULL, 36407, 3),
(17544, NULL, 'G3DSA:6.10.250.750', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17545, NULL, 'G3DSA:1.20.120.1920', NULL, NULL, NULL, NULL, 'UBAP1 SOUBA domain', NULL, NULL, 36878, 3),
(17546, NULL, 'G3DSA:1.10.520.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 26106, 3),
(17547, NULL, 'G3DSA:3.30.1490.360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17548, NULL, 'G3DSA:1.20.120.870', NULL, NULL, NULL, NULL, '', NULL, NULL, 39109, 3),
(17549, NULL, 'G3DSA:1.10.287.1350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17550, NULL, 'G3DSA:1.10.530.50', NULL, NULL, NULL, NULL, 'Peptidase U40', NULL, NULL, 33767, 3),
(17551, NULL, 'G3DSA:1.20.58.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17552, NULL, 'G3DSA:1.10.1220.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 11259, 3),
(17553, NULL, 'G3DSA:6.10.250.320', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(17554, NULL, 'G3DSA:3.10.450.360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17555, NULL, 'G3DSA:1.10.1600.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17556, NULL, 'G3DSA:2.60.120.380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17557, NULL, 'G3DSA:6.10.140.440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17558, NULL, 'G3DSA:3.10.450.570', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17559, NULL, 'G3DSA:3.30.1330.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17560, NULL, 'G3DSA:6.10.250.3200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17561, NULL, 'G3DSA:1.20.1440.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 32317, 3),
(17562, NULL, 'G3DSA:2.60.40.2820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17563, NULL, 'G3DSA:3.30.70.1900', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17564, NULL, 'G3DSA:1.10.1140.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 19127, 3),
(17565, NULL, 'G3DSA:1.10.1900.20', NULL, NULL, NULL, NULL, 'Ribosomal protein L20', NULL, NULL, 29621, 3),
(17566, NULL, 'G3DSA:3.40.1120.10', NULL, NULL, NULL, NULL, 'Ribosomal protein l15e', NULL, NULL, 24374, 3),
(17567, NULL, 'G3DSA:3.55.50.50', NULL, NULL, NULL, NULL, 'Baseplate protein Gp16, domain 2', NULL, NULL, 38082, 3),
(17568, NULL, 'G3DSA:1.10.1090.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36097, 3),
(17569, NULL, 'G3DSA:3.30.2230.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 28959, 3),
(17570, NULL, 'G3DSA:3.40.1710.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17571, NULL, 'G3DSA:2.60.98.20', NULL, NULL, NULL, NULL, 'Flagellar hook protein FlgE', NULL, NULL, 32418, 3),
(17572, NULL, 'G3DSA:3.30.70.3600', NULL, NULL, NULL, NULL, '', NULL, NULL, 33993, 3),
(17573, NULL, 'G3DSA:3.30.70.3550', NULL, NULL, NULL, NULL, '', NULL, NULL, 39159, 3),
(17574, NULL, 'G3DSA:3.10.20.800', NULL, NULL, NULL, NULL, '', NULL, NULL, 35125, 3),
(17575, NULL, 'G3DSA:3.90.1560.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34098, 3),
(17576, NULL, 'G3DSA:2.10.10.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17577, NULL, 'G3DSA:3.40.960.10', NULL, NULL, NULL, NULL, 'VSR Endonuclease', NULL, NULL, NULL, 3),
(17578, NULL, 'G3DSA:1.20.120.1250', NULL, NULL, NULL, NULL, 'Sulfhydryl oxidase R596, ORFan domain', NULL, NULL, NULL, 3),
(17579, NULL, 'G3DSA:2.60.120.590', NULL, NULL, NULL, NULL, '', NULL, NULL, 31733, 3),
(17580, NULL, 'G3DSA:3.10.20.270', NULL, NULL, NULL, NULL, '', NULL, NULL, 36350, 3),
(17581, NULL, 'G3DSA:3.90.20.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 8495, 3),
(17582, NULL, 'G3DSA:1.20.120.1080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17583, NULL, 'G3DSA:1.10.10.690', NULL, NULL, NULL, NULL, '', NULL, NULL, 28830, 3),
(17584, NULL, 'G3DSA:1.20.58.890', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17585, NULL, 'G3DSA:1.10.8.210', NULL, NULL, NULL, NULL, 'Sirohaem synthase, dimerisation domain', NULL, NULL, 30277, 3),
(17586, NULL, 'G3DSA:1.10.1390.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 16574, 3),
(17587, NULL, 'G3DSA:3.30.2010.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17588, NULL, 'G3DSA:3.30.2020.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17589, NULL, 'G3DSA:1.10.260.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17590, NULL, 'G3DSA:1.10.390.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17591, NULL, 'G3DSA:3.40.1480.10', NULL, NULL, NULL, NULL, 'MOFRL domain', NULL, NULL, 31576, 3),
(17592, NULL, 'G3DSA:1.20.58.1510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17593, NULL, 'G3DSA:1.10.220.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 32457, 3),
(17594, NULL, 'G3DSA:3.60.110.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36280, 3),
(17595, NULL, 'G3DSA:2.30.38.10', NULL, NULL, NULL, NULL, 'Luciferase; Domain 3', NULL, NULL, NULL, 3),
(17596, NULL, 'G3DSA:3.40.140.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17597, NULL, 'G3DSA:3.40.50.12140', NULL, NULL, NULL, NULL, 'Domain of unknown function DUF4159', NULL, NULL, NULL, 3),
(17598, NULL, 'G3DSA:4.10.480.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31631, 3),
(17599, NULL, 'G3DSA:6.10.30.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17600, NULL, 'G3DSA:2.40.128.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17601, NULL, 'G3DSA:6.10.140.1030', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17602, NULL, 'G3DSA:3.40.50.12170', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF07075, DUF1343', NULL, NULL, NULL, 3),
(17603, NULL, 'G3DSA:3.40.91.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17604, NULL, 'G3DSA:1.10.45.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12035, 3),
(17605, NULL, 'G3DSA:3.30.450.340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17606, NULL, 'G3DSA:2.40.290.30', NULL, NULL, NULL, NULL, 'Mediator complex subunit 25, ACID domain', NULL, NULL, 32589, 3),
(17607, NULL, 'G3DSA:6.10.140.770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17608, NULL, 'G3DSA:2.40.30.310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17609, NULL, 'G3DSA:3.40.1580.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33360, 3),
(17610, NULL, 'G3DSA:1.10.533.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17611, NULL, 'G3DSA:2.70.150.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17612, NULL, 'G3DSA:3.40.1570.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17613, NULL, 'G3DSA:3.40.630.150', NULL, NULL, NULL, NULL, '', NULL, NULL, 38458, 3),
(17614, NULL, 'G3DSA:3.90.1720.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17615, NULL, 'G3DSA:1.20.58.910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17616, NULL, 'G3DSA:3.40.50.11170', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF08960, DUF1874', NULL, NULL, 35385, 3),
(17617, NULL, 'G3DSA:3.40.1190.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 25645, 3),
(17618, NULL, 'G3DSA:1.20.120.1860', NULL, NULL, NULL, NULL, '', NULL, NULL, 29895, 3),
(17619, NULL, 'G3DSA:1.10.1670.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8904, 3),
(17620, NULL, 'G3DSA:2.60.120.220', NULL, NULL, NULL, NULL, 'Satellite virus coat domain', NULL, NULL, NULL, 3),
(17621, NULL, 'G3DSA:2.20.70.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17622, NULL, 'G3DSA:2.170.210.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35313, 3),
(17623, NULL, 'G3DSA:6.10.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37176, 3),
(17624, NULL, 'G3DSA:2.30.30.400', NULL, NULL, NULL, NULL, '', NULL, NULL, 33678, 3),
(17625, NULL, 'G3DSA:3.30.300.150', NULL, NULL, NULL, NULL, 'DNA polymerase III, tau subunit, domain V', NULL, NULL, 30097, 3),
(17626, NULL, 'G3DSA:1.10.20.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17627, NULL, 'G3DSA:3.30.390.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 35717, 3),
(17628, NULL, 'G3DSA:1.10.490.60', NULL, NULL, NULL, NULL, 'Phage p2 RNA dependent RNA polymerase domain', NULL, NULL, 39359, 3),
(17629, NULL, 'G3DSA:6.10.250.1350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17630, NULL, 'G3DSA:6.10.140.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17631, NULL, 'G3DSA:2.102.20.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30304, 3),
(17632, NULL, 'G3DSA:1.10.150.530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17633, NULL, 'G3DSA:6.10.250.1830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17634, NULL, 'G3DSA:2.40.50.700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17635, NULL, 'G3DSA:1.20.58.250', NULL, NULL, NULL, NULL, '', NULL, NULL, 30060, 3),
(17636, NULL, 'G3DSA:3.10.260.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17637, NULL, 'G3DSA:3.30.70.1120', NULL, NULL, NULL, NULL, '', NULL, NULL, 30394, 3),
(17638, NULL, 'G3DSA:1.20.5.1180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17639, NULL, 'G3DSA:3.40.50.10470', NULL, NULL, NULL, NULL, '', NULL, NULL, 39666, 3),
(17640, NULL, 'G3DSA:3.30.1310.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17641, NULL, 'G3DSA:1.20.120.1530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17642, NULL, 'G3DSA:1.10.4110.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8119, 3),
(17643, NULL, 'G3DSA:2.40.128.350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17644, NULL, 'G3DSA:3.30.1370.140', NULL, NULL, NULL, NULL, '', NULL, NULL, 29884, 3);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17645, NULL, 'G3DSA:3.30.70.3300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17646, NULL, 'G3DSA:3.40.30.10', NULL, NULL, NULL, NULL, 'Glutaredoxin', NULL, NULL, NULL, 3),
(17647, NULL, 'G3DSA:3.100.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17648, NULL, 'G3DSA:1.25.40.850', NULL, NULL, NULL, NULL, '', NULL, NULL, 39680, 3),
(17649, NULL, 'G3DSA:3.30.1200.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35809, 3),
(17650, NULL, 'G3DSA:2.60.40.3130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17651, NULL, 'G3DSA:2.40.128.150', NULL, NULL, NULL, NULL, 'Cysteine proteinases', NULL, NULL, NULL, 3),
(17652, NULL, 'G3DSA:1.20.225.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 37328, 3),
(17653, NULL, 'G3DSA:1.20.1200.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34061, 3),
(17654, NULL, 'G3DSA:2.60.40.1280', NULL, NULL, NULL, NULL, '', NULL, NULL, 13499, 3),
(17655, NULL, 'G3DSA:3.40.50.11020', NULL, NULL, NULL, NULL, '', NULL, NULL, 37351, 3),
(17656, NULL, 'G3DSA:6.20.220.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17657, NULL, 'G3DSA:3.40.50.10050', NULL, NULL, NULL, NULL, '', NULL, NULL, 35450, 3),
(17658, NULL, 'G3DSA:3.90.1150.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17659, NULL, 'G3DSA:4.10.640.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17660, NULL, 'G3DSA:3.50.70.20', NULL, NULL, NULL, NULL, 'Cytochrome P460', NULL, NULL, 33411, 3),
(17661, NULL, 'G3DSA:3.30.70.1860', NULL, NULL, NULL, NULL, 'Uncharacterised protein family Ycf54', NULL, NULL, 33555, 3),
(17662, NULL, 'G3DSA:3.30.750.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17663, NULL, 'G3DSA:6.20.390.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17664, NULL, 'G3DSA:3.40.50.10950', NULL, NULL, NULL, NULL, '', NULL, NULL, 38015, 3),
(17665, NULL, 'G3DSA:1.10.490.40', NULL, NULL, NULL, NULL, 'Diphtheria toxin, translocation domain', NULL, NULL, NULL, 3),
(17666, NULL, 'G3DSA:2.60.40.420', NULL, NULL, NULL, NULL, '', NULL, NULL, 9344, 3),
(17667, NULL, 'G3DSA:1.10.3330.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36258, 3),
(17668, NULL, 'G3DSA:2.40.128.580', NULL, NULL, NULL, NULL, 'GXWXG domain', NULL, NULL, NULL, 3),
(17669, NULL, 'G3DSA:1.10.246.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17670, NULL, 'G3DSA:3.10.129.110', NULL, NULL, NULL, NULL, 'Polyketide synthase dehydratase', NULL, NULL, 33021, 3),
(17671, NULL, 'G3DSA:2.120.10.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 9407, 3),
(17672, NULL, 'G3DSA:3.10.330.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17673, NULL, 'G3DSA:6.10.250.1260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17674, NULL, 'G3DSA:3.30.386.10', NULL, NULL, NULL, NULL, 'Chitosanase, subunit A, domain 2', NULL, NULL, 15863, 3),
(17675, NULL, 'G3DSA:3.30.30.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 33722, 3),
(17676, NULL, 'G3DSA:6.10.130.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 40006, 3),
(17677, NULL, 'G3DSA:2.170.270.10', NULL, NULL, NULL, NULL, 'SET domain', NULL, NULL, NULL, 3),
(17678, NULL, 'G3DSA:2.60.270.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17679, NULL, 'G3DSA:2.40.30.250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17680, NULL, 'G3DSA:3.10.450.730', NULL, NULL, NULL, NULL, 'BLIP domain', NULL, NULL, NULL, 3),
(17681, NULL, 'G3DSA:2.20.25.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 16099, 3),
(17682, NULL, 'G3DSA:3.30.70.1450', NULL, NULL, NULL, NULL, '', NULL, NULL, 34610, 3),
(17683, NULL, 'G3DSA:2.30.30.650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17684, NULL, 'G3DSA:3.30.2210.10', NULL, NULL, NULL, NULL, 'Integron cassette protein superfamily', NULL, NULL, NULL, 3),
(17685, NULL, 'G3DSA:1.20.1070.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17686, NULL, 'G3DSA:2.60.120.830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17687, NULL, 'G3DSA:3.10.50.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 36245, 3),
(17688, NULL, 'G3DSA:2.30.130.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17689, NULL, 'G3DSA:2.10.25.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17690, NULL, 'G3DSA:6.10.140.1810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17691, NULL, 'G3DSA:3.10.40.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30783, 3),
(17692, NULL, 'G3DSA:1.10.1740.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17693, NULL, 'G3DSA:3.30.1360.170', NULL, NULL, NULL, NULL, '', NULL, NULL, 29862, 3),
(17694, NULL, 'G3DSA:3.40.630.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17695, NULL, 'G3DSA:1.20.190.30', NULL, NULL, NULL, NULL, 'CAG pathogenicity island protein, CagZ', NULL, NULL, 34433, 3),
(17696, NULL, 'G3DSA:1.20.5.820', NULL, NULL, NULL, NULL, 'Preprotein translocase SecE subunit', NULL, NULL, 16181, 3),
(17697, NULL, 'G3DSA:1.20.120.1740', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17698, NULL, 'G3DSA:3.30.1490.150', NULL, NULL, NULL, NULL, 'Hypothetical protein ph0010; domain 2', NULL, NULL, NULL, 3),
(17699, NULL, 'G3DSA:2.60.310.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34453, 3),
(17700, NULL, 'G3DSA:1.20.1440.90', NULL, NULL, NULL, NULL, 'Phosphoenolpyruvate/pyruvate domain', NULL, NULL, NULL, 3),
(17701, NULL, 'G3DSA:1.20.58.1930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17702, NULL, 'G3DSA:6.10.250.960', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17703, NULL, 'G3DSA:2.170.260.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17704, NULL, 'G3DSA:2.60.11.10', NULL, NULL, NULL, NULL, 'Cytochrome c oxidase, subunit Vb', NULL, NULL, 30700, 3),
(17705, NULL, 'G3DSA:1.20.120.1940', NULL, NULL, NULL, NULL, 'YfdX protein domain', NULL, NULL, NULL, 3),
(17706, NULL, 'G3DSA:1.10.1200.20', NULL, NULL, NULL, NULL, 'Colicin E immunity protein', NULL, NULL, 15105, 3),
(17707, NULL, 'G3DSA:3.30.1690.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17708, NULL, 'G3DSA:2.60.40.1370', NULL, NULL, NULL, NULL, 'Bacterial adhesin receptor binding domain', NULL, NULL, 34835, 3),
(17709, NULL, 'G3DSA:1.10.10.2560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17710, NULL, 'G3DSA:1.10.287.1080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17711, NULL, 'G3DSA:6.10.250.1380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17712, NULL, 'G3DSA:3.40.50.12690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17713, NULL, 'G3DSA:3.30.412.10', NULL, NULL, NULL, NULL, 'Proaerolysin, chain A, domain 2', NULL, NULL, NULL, 3),
(17714, NULL, 'G3DSA:3.10.450.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17715, NULL, 'G3DSA:1.25.10.30', NULL, NULL, NULL, NULL, 'IP3 receptor type 1 binding core, RIH domain', NULL, NULL, NULL, 3),
(17716, NULL, 'G3DSA:3.10.500.10', NULL, NULL, NULL, NULL, 'Staphopain proregion domain', NULL, NULL, 31959, 3),
(17717, NULL, 'G3DSA:1.10.1220.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17718, NULL, 'G3DSA:1.10.1320.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31764, 3),
(17719, NULL, 'G3DSA:1.10.3990.20', NULL, NULL, NULL, NULL, 'protein bp1543', NULL, NULL, 35434, 3),
(17720, NULL, 'G3DSA:3.30.1120.30', NULL, NULL, NULL, NULL, 'POLO box domain', NULL, NULL, 33389, 3),
(17721, NULL, 'G3DSA:1.20.5.470', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(17722, NULL, 'G3DSA:1.10.1290.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36176, 3),
(17723, NULL, 'G3DSA:3.55.50.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17724, NULL, 'G3DSA:2.40.160.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17725, NULL, 'G3DSA:2.20.70.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17726, NULL, 'G3DSA:1.10.287.2620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17727, NULL, 'G3DSA:1.25.10.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17728, NULL, 'G3DSA:2.60.40.3680', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17729, NULL, 'G3DSA:2.60.120.420', NULL, NULL, NULL, NULL, 'Membrane penetration protein mu1, Chain B, domain 4', NULL, NULL, 8656, 3),
(17730, NULL, 'G3DSA:1.20.58.2030', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17731, NULL, 'G3DSA:3.30.70.2890', NULL, NULL, NULL, NULL, 'XS domain', NULL, NULL, 34743, 3);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17732, NULL, 'G3DSA:6.10.140.1450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17733, NULL, 'G3DSA:2.30.340.10', NULL, NULL, NULL, NULL, 'PAZ domain superfamily', NULL, NULL, NULL, 3),
(17734, NULL, 'G3DSA:1.10.268.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17735, NULL, 'G3DSA:1.20.1270.230', NULL, NULL, NULL, NULL, 'DNA terminal protein Gp3, priming domain', NULL, NULL, 37489, 3),
(17736, NULL, 'G3DSA:2.20.140.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17737, NULL, 'G3DSA:3.40.91.70', NULL, NULL, NULL, NULL, 'Type II restriction endonuclease, HindIII', NULL, NULL, 35049, 3),
(17738, NULL, 'G3DSA:1.10.287.730', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, NULL, 3),
(17739, NULL, 'G3DSA:6.10.140.560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17740, NULL, 'G3DSA:2.30.320.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17741, NULL, 'G3DSA:1.10.287.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 36233, 3),
(17742, NULL, 'G3DSA:1.20.1240.10', NULL, NULL, NULL, NULL, 'Photosystem I PsaL, reaction centre subunit XI', NULL, NULL, 35528, 3),
(17743, NULL, 'G3DSA:3.40.50.10860', NULL, NULL, NULL, NULL, 'Leucine Dehydrogenase, chain A, domain 1', NULL, NULL, NULL, 3),
(17744, NULL, 'G3DSA:6.10.140.650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17745, NULL, 'G3DSA:2.60.120.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17746, NULL, 'G3DSA:1.10.1370.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17747, NULL, 'G3DSA:3.10.20.690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17748, NULL, 'G3DSA:2.60.40.3590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17749, NULL, 'G3DSA:3.30.70.3490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17750, NULL, 'G3DSA:2.60.40.3220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17751, NULL, 'G3DSA:6.10.250.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17752, NULL, 'G3DSA:2.60.40.3700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17753, NULL, 'G3DSA:6.10.250.1770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17754, NULL, 'G3DSA:1.20.1400.10', NULL, NULL, NULL, NULL, 'Attractin', NULL, NULL, 32452, 3),
(17755, NULL, 'G3DSA:3.30.1660.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 30070, 3),
(17756, NULL, 'G3DSA:3.30.360.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17757, NULL, 'G3DSA:3.30.1330.70', NULL, NULL, NULL, NULL, 'Holliday junction resolvase RusA', NULL, NULL, 30249, 3),
(17758, NULL, 'G3DSA:2.30.30.1160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17759, NULL, 'G3DSA:2.30.30.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17760, NULL, 'G3DSA:3.30.370.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 11358, 3),
(17761, NULL, 'G3DSA:1.10.1660.60', NULL, NULL, NULL, NULL, 'Putative excisionased domain DUF1233', NULL, NULL, 33863, 3),
(17762, NULL, 'G3DSA:2.60.120.1010', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17763, NULL, 'G3DSA:1.10.3450.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17764, NULL, 'G3DSA:3.40.50.1390', NULL, NULL, NULL, NULL, '', NULL, NULL, 32833, 3),
(17765, NULL, 'G3DSA:1.10.3230.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36322, 3),
(17766, NULL, 'G3DSA:2.60.120.240', NULL, NULL, NULL, NULL, 'Protective antigen, heptamerisation domain', NULL, NULL, 31677, 3),
(17767, NULL, 'G3DSA:6.20.270.20', NULL, NULL, NULL, NULL, 'LapD/MoxY periplasmic domain', NULL, NULL, 37179, 3),
(17768, NULL, 'G3DSA:3.40.50.11050', NULL, NULL, NULL, NULL, '', NULL, NULL, 29266, 3),
(17769, NULL, 'G3DSA:1.20.58.1060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17770, NULL, 'G3DSA:3.30.390.70', NULL, NULL, NULL, NULL, 'Salmonella typhimurium protein', NULL, NULL, NULL, 3),
(17771, NULL, 'G3DSA:3.40.50.10920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17772, NULL, 'G3DSA:1.10.150.430', NULL, NULL, NULL, NULL, 'DUF3349, helical bundle', NULL, NULL, 39270, 3),
(17773, NULL, 'G3DSA:1.10.2000.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36039, 3),
(17774, NULL, 'G3DSA:1.10.1240.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17775, NULL, 'G3DSA:1.20.5.810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17776, NULL, 'G3DSA:1.20.1700.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17777, NULL, 'G3DSA:2.60.320.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17778, NULL, 'G3DSA:3.30.310.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 31987, 3),
(17779, NULL, 'G3DSA:1.10.10.1400', NULL, NULL, NULL, NULL, '', NULL, NULL, 33188, 3),
(17780, NULL, 'G3DSA:2.60.40.1940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17781, NULL, 'G3DSA:3.40.1350.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 34232, 3),
(17782, NULL, 'G3DSA:3.10.350.10', NULL, NULL, NULL, NULL, 'LysM domain', NULL, NULL, 36433, 3),
(17783, NULL, 'G3DSA:2.160.20.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17784, NULL, 'G3DSA:3.30.1490.160', NULL, NULL, NULL, NULL, 'ctc02137 like domains', NULL, NULL, NULL, 3),
(17785, NULL, 'G3DSA:6.20.120.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17786, NULL, 'G3DSA:3.30.420.210', NULL, NULL, NULL, NULL, 'SEP domain', NULL, NULL, 32049, 3),
(17787, NULL, 'G3DSA:1.20.1250.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 6108, 3),
(17788, NULL, 'G3DSA:1.20.120.990', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17789, NULL, 'G3DSA:6.20.290.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17790, NULL, 'G3DSA:1.10.750.20', NULL, NULL, NULL, NULL, 'SOCS box', NULL, NULL, NULL, 3),
(17791, NULL, 'G3DSA:3.90.1680.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17792, NULL, 'G3DSA:6.10.250.3320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17793, NULL, 'G3DSA:3.50.4.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 33259, 3),
(17794, NULL, 'G3DSA:3.90.226.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 37487, 3),
(17795, NULL, 'G3DSA:1.20.1000.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17796, NULL, 'G3DSA:1.10.10.1590', NULL, NULL, NULL, NULL, '', NULL, NULL, 32290, 3),
(17797, NULL, 'G3DSA:4.10.80.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17798, NULL, 'G3DSA:6.10.140.2120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17799, NULL, 'G3DSA:6.20.370.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17800, NULL, 'G3DSA:3.40.50.10170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17801, NULL, 'G3DSA:3.30.565.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17802, NULL, 'G3DSA:3.90.1740.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17803, NULL, 'G3DSA:3.30.420.250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17804, NULL, 'G3DSA:2.70.98.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 34859, 3),
(17805, NULL, 'G3DSA:3.30.160.800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17806, NULL, 'G3DSA:2.60.40.3010', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17807, NULL, 'G3DSA:3.30.70.1150', NULL, NULL, NULL, NULL, '', NULL, NULL, 26298, 3),
(17808, NULL, 'G3DSA:3.40.50.11230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17809, NULL, 'G3DSA:2.60.120.1100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17810, NULL, 'G3DSA:1.10.150.740', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17811, NULL, 'G3DSA:1.20.58.1150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17812, NULL, 'G3DSA:1.10.10.2470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17813, NULL, 'G3DSA:3.40.50.10830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17814, NULL, 'G3DSA:3.30.920.10', NULL, NULL, NULL, NULL, 'Frataxin/CyaY', NULL, NULL, 35983, 3),
(17815, NULL, 'G3DSA:6.10.140.1240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17816, NULL, 'G3DSA:3.90.1170.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17817, NULL, 'G3DSA:2.30.220.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17818, NULL, 'G3DSA:6.10.330.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17819, NULL, 'G3DSA:1.20.120.1650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17820, NULL, 'G3DSA:1.10.12.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17821, NULL, 'G3DSA:1.20.58.1590', NULL, NULL, NULL, NULL, 'Tethering factor for nuclear proteasome Cut8/Sts1', NULL, NULL, 33770, 3);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17822, NULL, 'G3DSA:3.40.50.1780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17823, NULL, 'G3DSA:3.40.30.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17824, NULL, 'G3DSA:3.10.540.10', NULL, NULL, NULL, NULL, 'duf1285 like domain', NULL, NULL, NULL, 3),
(17825, NULL, 'G3DSA:3.30.460.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17826, NULL, 'G3DSA:2.60.40.2910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17827, NULL, 'G3DSA:1.20.1390.10', NULL, NULL, NULL, NULL, 'PWI domain', NULL, NULL, NULL, 3),
(17828, NULL, 'G3DSA:6.10.250.2440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17829, NULL, 'G3DSA:1.10.8.590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17830, NULL, 'G3DSA:3.20.20.440', NULL, NULL, NULL, NULL, '', NULL, NULL, 32440, 3),
(17831, NULL, 'G3DSA:1.20.58.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17832, NULL, 'G3DSA:1.20.1250.90', NULL, NULL, NULL, NULL, 'Thymic stromal lymphopoietin', NULL, NULL, 31099, 3),
(17833, NULL, 'G3DSA:2.40.160.10', NULL, NULL, NULL, NULL, 'Porin', NULL, NULL, 16547, 3),
(17834, NULL, 'G3DSA:3.30.230.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 30782, 3),
(17835, NULL, 'G3DSA:3.30.70.2120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17836, NULL, 'G3DSA:3.30.70.2210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17837, NULL, 'G3DSA:1.10.3610.10', NULL, NULL, NULL, NULL, 'Nucleoprotein', NULL, NULL, 15908, 3),
(17838, NULL, 'G3DSA:1.10.3100.20', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF269', NULL, NULL, NULL, 3),
(17839, NULL, 'G3DSA:3.90.1360.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32415, 3),
(17840, NULL, 'G3DSA:3.10.20.230', NULL, NULL, NULL, NULL, 'Doublecortin domain', NULL, NULL, 33610, 3),
(17841, NULL, 'G3DSA:3.30.310.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17842, NULL, 'G3DSA:3.30.470.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 39964, 3),
(17843, NULL, 'G3DSA:6.10.250.2350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17844, NULL, 'G3DSA:3.30.450.310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17845, NULL, 'G3DSA:3.40.50.12110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17846, NULL, 'G3DSA:1.10.260.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 30994, 3),
(17847, NULL, 'G3DSA:1.20.1260.100', NULL, NULL, NULL, NULL, 'TspO/MBR protein', NULL, NULL, 31430, 3),
(17848, NULL, 'G3DSA:2.40.50.400', NULL, NULL, NULL, NULL, '', NULL, NULL, 32102, 3),
(17849, NULL, 'G3DSA:3.40.50.11140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17850, NULL, 'G3DSA:3.30.450.220', NULL, NULL, NULL, NULL, '', NULL, NULL, 38194, 3),
(17851, NULL, 'G3DSA:1.10.645.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 22487, 3),
(17852, NULL, 'G3DSA:2.60.60.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17853, NULL, 'G3DSA:2.30.160.11', NULL, NULL, NULL, NULL, '', NULL, NULL, 38366, 3),
(17854, NULL, 'G3DSA:1.20.120.880', NULL, NULL, NULL, NULL, 'Histidine kinase (KinB), sensor domain', NULL, NULL, 31340, 3),
(17855, NULL, 'G3DSA:1.10.10.800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17856, NULL, 'G3DSA:1.20.120.770', NULL, NULL, NULL, NULL, 'Amyloid precursor protein, E2 domain', NULL, NULL, 34181, 3),
(17857, NULL, 'G3DSA:3.40.50.10740', NULL, NULL, NULL, NULL, '', NULL, NULL, 26480, 3),
(17858, NULL, 'G3DSA:4.10.80.30', NULL, NULL, NULL, NULL, 'DNA polymerase; domain 6', NULL, NULL, NULL, 3),
(17859, NULL, 'G3DSA:6.10.140.1150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17860, NULL, 'G3DSA:6.10.250.870', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17861, NULL, 'G3DSA:1.10.275.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17862, NULL, 'G3DSA:1.10.150.650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17863, NULL, 'G3DSA:3.40.1620.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17864, NULL, 'G3DSA:3.30.420.480', NULL, NULL, NULL, NULL, 'Domain of unknown function (DUF4445)', NULL, NULL, 37212, 3),
(17865, NULL, 'G3DSA:3.30.1770.10', NULL, NULL, NULL, NULL, 'TPR 1 domain of DNA polymerase', NULL, NULL, NULL, 3);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17866, NULL, 'G3DSA:1.10.238.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17867, NULL, 'G3DSA:2.60.40.790', NULL, NULL, NULL, NULL, '', NULL, NULL, 9268, 3),
(17868, NULL, 'G3DSA:1.10.580.10', NULL, NULL, NULL, NULL, 'Citrate Synthase, domain 1', NULL, NULL, 9281, 3),
(17869, NULL, 'G3DSA:2.40.128.710', NULL, NULL, NULL, NULL, '', NULL, NULL, 37386, 3),
(17870, NULL, 'G3DSA:2.60.250.10', NULL, NULL, NULL, NULL, 'Baculovirus p35', NULL, NULL, 35828, 3),
(17871, NULL, 'G3DSA:1.10.3540.10', NULL, NULL, NULL, NULL, 'uncharacterized protein from magnetospirillum magneticum domain', NULL, NULL, 17250, 3),
(17872, NULL, 'G3DSA:3.30.1490.450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17873, NULL, 'G3DSA:4.10.680.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32396, 3),
(17874, NULL, 'G3DSA:1.20.120.740', NULL, NULL, NULL, NULL, 'YgfB uncharacterised protein family UPF0149, PF03695', NULL, NULL, 31031, 3),
(17875, NULL, 'G3DSA:3.30.70.1240', NULL, NULL, NULL, NULL, '', NULL, NULL, 17322, 3),
(17876, NULL, 'G3DSA:6.10.250.1470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17877, NULL, 'G3DSA:2.10.70.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 38471, 3),
(17878, NULL, 'G3DSA:3.30.40.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17879, NULL, 'G3DSA:3.30.43.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 38343, 3),
(17880, NULL, 'G3DSA:3.30.30.200', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(17881, NULL, 'G3DSA:6.10.250.630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17882, NULL, 'G3DSA:4.10.80.340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17883, NULL, 'G3DSA:4.10.40.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17884, NULL, 'G3DSA:3.30.230.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 18593, 3),
(17885, NULL, 'G3DSA:1.20.5.970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17886, NULL, 'G3DSA:1.10.150.490', NULL, NULL, NULL, NULL, 'Retroviral GAG p10 protein', NULL, NULL, 34889, 3),
(17887, NULL, 'G3DSA:3.10.450.530', NULL, NULL, NULL, NULL, '', NULL, NULL, 33478, 3),
(17888, NULL, 'G3DSA:6.10.140.400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17889, NULL, 'G3DSA:2.20.20.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17890, NULL, 'G3DSA:1.10.8.600', NULL, NULL, NULL, NULL, '', NULL, NULL, 32398, 3),
(17891, NULL, 'G3DSA:1.20.58.190', NULL, NULL, NULL, NULL, 'Translin; domain 1', NULL, NULL, 10359, 3),
(17892, NULL, 'G3DSA:2.170.15.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17893, NULL, 'G3DSA:3.40.50.11070', NULL, NULL, NULL, NULL, '', NULL, NULL, 36148, 3),
(17894, NULL, 'G3DSA:6.10.250.1330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17895, NULL, 'G3DSA:1.20.5.1150', NULL, NULL, NULL, NULL, 'Ribosomal protein S8', NULL, NULL, 32458, 3),
(17896, NULL, 'G3DSA:1.20.5.390', NULL, NULL, NULL, NULL, 'L1 transposable element, trimerization domain', NULL, NULL, NULL, 3),
(17897, NULL, 'G3DSA:1.10.10.1050', NULL, NULL, NULL, NULL, 'Dcp2, box A domain', NULL, NULL, 36055, 3),
(17898, NULL, 'G3DSA:6.20.20.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17899, NULL, 'G3DSA:1.10.10.2230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17900, NULL, 'G3DSA:6.10.250.1410', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17901, NULL, 'G3DSA:6.20.240.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17902, NULL, 'G3DSA:3.30.720.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17903, NULL, 'G3DSA:3.40.1810.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30627, 3),
(17904, NULL, 'G3DSA:2.60.40.2570', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17905, NULL, 'G3DSA:1.10.10.2270', NULL, NULL, NULL, NULL, 'Dsl1p vesicle tethering complex, Tip20p subunit, domain E', NULL, NULL, 32795, 3),
(17906, NULL, 'G3DSA:1.10.287.1660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17907, NULL, 'G3DSA:1.25.40.680', NULL, NULL, NULL, NULL, '', NULL, NULL, 36776, 3),
(17908, NULL, 'G3DSA:3.30.1900.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17909, NULL, 'G3DSA:1.10.8.1290', NULL, NULL, NULL, NULL, '', NULL, NULL, 38037, 3);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17910, NULL, 'G3DSA:3.90.770.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 15445, 3),
(17911, NULL, 'G3DSA:3.40.309.10', NULL, NULL, NULL, NULL, 'Aldehyde Dehydrogenase; Chain A, domain 2', NULL, NULL, 12473, 3),
(17912, NULL, 'G3DSA:1.10.10.41', NULL, NULL, NULL, NULL, '', NULL, NULL, 14126, 3),
(17913, NULL, 'G3DSA:2.130.10.150', NULL, NULL, NULL, NULL, 'Peptidase/esterase ''gauge'' domain', NULL, NULL, NULL, 3),
(17914, NULL, 'G3DSA:3.30.70.1620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17915, NULL, 'G3DSA:1.20.120.1330', NULL, NULL, NULL, NULL, '', NULL, NULL, 36773, 3),
(17916, NULL, 'G3DSA:3.30.1920.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17917, NULL, 'G3DSA:2.20.110.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17918, NULL, 'G3DSA:2.100.10.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 34104, 3),
(17919, NULL, 'G3DSA:1.20.120.1410', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17920, NULL, 'G3DSA:3.30.54.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17921, NULL, 'G3DSA:1.10.10.1680', NULL, NULL, NULL, NULL, '', NULL, NULL, 33454, 3),
(17922, NULL, 'G3DSA:3.90.1530.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17923, NULL, 'G3DSA:1.20.5.630', NULL, NULL, NULL, NULL, 'Integrin beta subunit, cytoplasmic domain', NULL, NULL, NULL, 3),
(17924, NULL, 'G3DSA:3.30.1740.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30845, 3),
(17925, NULL, 'G3DSA:2.60.40.3040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17926, NULL, 'G3DSA:2.60.40.3120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17927, NULL, 'G3DSA:3.10.20.390', NULL, NULL, NULL, NULL, '', NULL, NULL, 35244, 3),
(17928, NULL, 'G3DSA:3.30.1580.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33449, 3),
(17929, NULL, 'G3DSA:1.10.287.4290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17930, NULL, 'G3DSA:1.10.246.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17931, NULL, 'G3DSA:2.30.30.690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17932, NULL, 'G3DSA:6.10.140.1690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17933, NULL, 'G3DSA:3.30.780.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17934, NULL, 'G3DSA:2.20.25.440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17935, NULL, 'G3DSA:2.30.29.210', NULL, NULL, NULL, NULL, 'FACT complex subunit Spt16p/Cdc68p', NULL, NULL, NULL, 3),
(17936, NULL, 'G3DSA:3.30.10.10', NULL, NULL, NULL, NULL, 'Trypsin Inhibitor V, subunit A', NULL, NULL, NULL, 3),
(17937, NULL, 'G3DSA:3.30.390.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17938, NULL, 'G3DSA:3.30.1370.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 37115, 3),
(17939, NULL, 'G3DSA:3.40.50.11880', NULL, NULL, NULL, NULL, 'Plasmid SOS inhibition protein', NULL, NULL, 35344, 3),
(17940, NULL, 'G3DSA:3.10.20.330', NULL, NULL, NULL, NULL, 'Protein of unknown function YopT', NULL, NULL, 33673, 3),
(17941, NULL, 'G3DSA:6.10.60.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17942, NULL, 'G3DSA:3.30.1050.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17943, NULL, 'G3DSA:1.10.10.570', NULL, NULL, NULL, NULL, '', NULL, NULL, 7187, 3),
(17944, NULL, 'G3DSA:3.30.700.20', NULL, NULL, NULL, NULL, 'Hypothetical protein ph0010; domain 1', NULL, NULL, 29194, 3),
(17945, NULL, 'G3DSA:2.60.40.1080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17946, NULL, 'G3DSA:1.10.238.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 30430, 3),
(17947, NULL, 'G3DSA:3.90.940.40', NULL, NULL, NULL, NULL, 'Protein CHLORORESPIRATORY REDUCTION 7', NULL, NULL, 35876, 3),
(17948, NULL, 'G3DSA:6.10.250.2900', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17949, NULL, 'G3DSA:3.40.30.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17950, NULL, 'G3DSA:3.90.550.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17951, NULL, 'G3DSA:3.30.300.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17952, NULL, 'G3DSA:3.30.9.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17953, NULL, 'G3DSA:6.10.250.470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17954, NULL, 'G3DSA:3.40.600.10', NULL, NULL, NULL, NULL, 'DNA mismatch repair MutH/Restriction endonuclease, type II', NULL, NULL, 32364, 3),
(17955, NULL, 'G3DSA:3.30.420.560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17956, NULL, 'G3DSA:1.10.3830.10', NULL, NULL, NULL, NULL, 'Diacylglycerol kinase (DAGK) domain', NULL, NULL, NULL, 3),
(17957, NULL, 'G3DSA:1.20.120.260', NULL, NULL, NULL, NULL, 'Virulence factor YopE uncharacterised domain', NULL, NULL, 31776, 3),
(17958, NULL, 'G3DSA:1.20.58.370', NULL, NULL, NULL, NULL, '', NULL, NULL, 17912, 3),
(17959, NULL, 'G3DSA:6.10.250.1980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17960, NULL, 'G3DSA:2.30.130.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17961, NULL, 'G3DSA:3.30.30.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 33733, 3),
(17962, NULL, 'G3DSA:1.10.3970.10', NULL, NULL, NULL, NULL, 'BSD domain', NULL, NULL, 27152, 3),
(17963, NULL, 'G3DSA:1.20.120.1980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17964, NULL, 'G3DSA:1.10.530.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17965, NULL, 'G3DSA:3.90.176.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17966, NULL, 'G3DSA:2.40.128.420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17967, NULL, 'G3DSA:3.30.160.860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17968, NULL, 'G3DSA:1.20.58.530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17969, NULL, 'G3DSA:3.30.260.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 26270, 3),
(17970, NULL, 'G3DSA:6.10.140.1120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17971, NULL, 'G3DSA:1.20.58.740', NULL, NULL, NULL, NULL, '', NULL, NULL, 37225, 3),
(17972, NULL, 'G3DSA:3.10.20.310', NULL, NULL, NULL, NULL, 'membrane protein fhac', NULL, NULL, NULL, 3),
(17973, NULL, 'G3DSA:3.30.1980.10', NULL, NULL, NULL, NULL, 'Hypothetical protein YunC', NULL, NULL, 33984, 3),
(17974, NULL, 'G3DSA:3.10.129.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17975, NULL, 'G3DSA:3.10.28.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17976, NULL, 'G3DSA:3.30.590.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17977, NULL, 'G3DSA:3.30.420.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31711, 3),
(17978, NULL, 'G3DSA:3.40.5.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30352, 3),
(17979, NULL, 'G3DSA:1.10.441.10', NULL, NULL, NULL, NULL, 'Phosphomannose Isomerase, domain 2', NULL, NULL, NULL, 3),
(17980, NULL, 'G3DSA:2.30.30.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 33353, 3),
(17981, NULL, 'G3DSA:1.10.20.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 32483, 3),
(17982, NULL, 'G3DSA:2.60.40.3850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17983, NULL, 'G3DSA:4.10.220.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 6607, 3),
(17984, NULL, 'G3DSA:1.10.443.30', NULL, NULL, NULL, NULL, 'Telomere resolvase', NULL, NULL, 33566, 3),
(17985, NULL, 'G3DSA:6.20.80.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17986, NULL, 'G3DSA:1.20.5.4570', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17987, NULL, 'G3DSA:2.20.25.650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17988, NULL, 'G3DSA:2.30.30.480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17989, NULL, 'G3DSA:3.90.1310.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17990, NULL, 'G3DSA:3.30.160.650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17991, NULL, 'G3DSA:1.10.150.510', NULL, NULL, NULL, NULL, 'Receptor activity modifying family', NULL, NULL, 34583, 3),
(17992, NULL, 'G3DSA:6.10.10.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17993, NULL, 'G3DSA:1.20.5.2620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17994, NULL, 'G3DSA:3.40.1420.10', NULL, NULL, NULL, NULL, 'Inhibitor of vertebrate lysozyme', NULL, NULL, 33915, 3),
(17995, NULL, 'G3DSA:3.90.580.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32861, 3),
(17996, NULL, 'G3DSA:6.10.250.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17997, NULL, 'G3DSA:2.40.128.510', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF4738', NULL, NULL, NULL, 3);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(17998, NULL, 'G3DSA:2.10.110.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(17999, NULL, 'G3DSA:3.30.160.240', NULL, NULL, NULL, NULL, 'Rv1738', NULL, NULL, 33334, 3),
(18000, NULL, 'G3DSA:4.10.450.10', NULL, NULL, NULL, NULL, 'Glucose Oxidase, domain 2', NULL, NULL, 23897, 3),
(18001, NULL, 'G3DSA:6.10.250.1040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18002, NULL, 'G3DSA:3.40.50.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 11917, 3),
(18003, NULL, 'G3DSA:2.60.40.840', NULL, NULL, NULL, NULL, '', NULL, NULL, 14262, 3),
(18004, NULL, 'G3DSA:2.60.120.750', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF3845', NULL, NULL, NULL, 3),
(18005, NULL, 'G3DSA:2.20.28.150', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(18006, NULL, 'G3DSA:1.20.5.1940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18007, NULL, 'G3DSA:3.60.40.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18008, NULL, 'G3DSA:2.60.120.510', NULL, NULL, NULL, NULL, 'Mitogen Ypm', NULL, NULL, 33803, 3),
(18009, NULL, 'G3DSA:6.10.140.1980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18010, NULL, 'G3DSA:3.90.740.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 9619, 3),
(18011, NULL, 'G3DSA:2.160.10.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18012, NULL, 'G3DSA:3.30.160.110', NULL, NULL, NULL, NULL, 'Siroheme synthase; domain 2', NULL, NULL, NULL, 3),
(18013, NULL, 'G3DSA:2.60.120.1050', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18014, NULL, 'G3DSA:2.40.10.300', NULL, NULL, NULL, NULL, 'Copper resistance protein K', NULL, NULL, 33734, 3),
(18015, NULL, 'G3DSA:2.60.120.920', NULL, NULL, NULL, NULL, '', NULL, NULL, 37506, 3),
(18016, NULL, 'G3DSA:1.10.10.490', NULL, NULL, NULL, NULL, '', NULL, NULL, 31424, 3),
(18017, NULL, 'G3DSA:2.20.70.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18018, NULL, 'G3DSA:2.60.40.2860', NULL, NULL, NULL, NULL, '', NULL, NULL, 33087, 3),
(18019, NULL, 'G3DSA:2.60.40.4400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18020, NULL, 'G3DSA:1.20.5.160', NULL, NULL, NULL, NULL, 'Bacterial aa3 type cytochrome c oxidase subunit IV', NULL, NULL, 35167, 3),
(18021, NULL, 'G3DSA:4.10.260.20', NULL, NULL, NULL, NULL, 'Iron hydrogenase, small subunit', NULL, NULL, 34077, 3),
(18022, NULL, 'G3DSA:3.30.1550.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36476, 3),
(18023, NULL, 'G3DSA:2.60.320.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18024, NULL, 'G3DSA:1.20.58.1710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18025, NULL, 'G3DSA:2.30.30.560', NULL, NULL, NULL, NULL, '', NULL, NULL, 37081, 3),
(18026, NULL, 'G3DSA:1.20.1250.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 31446, 3),
(18027, NULL, 'G3DSA:3.30.230.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18028, NULL, 'G3DSA:3.40.570.10', NULL, NULL, NULL, NULL, 'Extracellular Endonuclease, subunit A', NULL, NULL, 39200, 3),
(18029, NULL, 'G3DSA:1.25.20.10', NULL, NULL, NULL, NULL, 'Bacterial muramidases', NULL, NULL, NULL, 3),
(18030, NULL, 'G3DSA:1.20.5.790', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(18031, NULL, 'G3DSA:3.90.1150.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18032, NULL, 'G3DSA:3.30.70.2580', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18033, NULL, 'G3DSA:3.90.132.10', NULL, NULL, NULL, NULL, 'Leishmanolysin , domain 2', NULL, NULL, NULL, 3),
(18034, NULL, 'G3DSA:3.90.1150.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18035, NULL, 'G3DSA:2.60.200.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18036, NULL, 'G3DSA:1.20.190.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18037, NULL, 'G3DSA:1.10.472.60', NULL, NULL, NULL, NULL, 'putative protein disulfide isomerase domain', NULL, NULL, NULL, 3),
(18038, NULL, 'G3DSA:1.25.40.390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18039, NULL, 'G3DSA:2.40.50.500', NULL, NULL, NULL, NULL, '', NULL, NULL, 32062, 3),
(18040, NULL, 'G3DSA:1.10.3930.10', NULL, NULL, NULL, NULL, 'Arginine deiminase', NULL, NULL, NULL, 3);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18041, NULL, 'G3DSA:1.10.720.50', NULL, NULL, NULL, NULL, 'PWWP, helical domain', NULL, NULL, NULL, 3),
(18042, NULL, 'G3DSA:6.20.50.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18043, NULL, 'G3DSA:2.70.98.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 39671, 3),
(18044, NULL, 'G3DSA:2.60.120.670', NULL, NULL, NULL, NULL, 'Minor capsid protein.', NULL, NULL, 35078, 3),
(18045, NULL, 'G3DSA:6.10.20.60', NULL, NULL, NULL, NULL, 'PHD finger protein 12', NULL, NULL, 32327, 3),
(18046, NULL, 'G3DSA:2.10.110.10', NULL, NULL, NULL, NULL, 'Cysteine Rich Protein', NULL, NULL, NULL, 3),
(18047, NULL, 'G3DSA:1.10.8.1160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18048, NULL, 'G3DSA:3.10.320.10', NULL, NULL, NULL, NULL, 'Class II Histocompatibility Antigen, M Beta Chain; Chain B, domain 1', NULL, NULL, 12879, 3),
(18049, NULL, 'G3DSA:4.10.80.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18050, NULL, 'G3DSA:1.10.287.2210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18051, NULL, 'G3DSA:3.30.700.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18052, NULL, 'G3DSA:2.40.240.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18053, NULL, 'G3DSA:3.40.50.12430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18054, NULL, 'G3DSA:3.10.20.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18055, NULL, 'G3DSA:2.60.40.3410', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18056, NULL, 'G3DSA:3.30.1010.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18057, NULL, 'G3DSA:1.10.10.2150', NULL, NULL, NULL, NULL, '', NULL, NULL, 32614, 3),
(18058, NULL, 'G3DSA:3.30.420.430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18059, NULL, 'G3DSA:3.30.540.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18060, NULL, 'G3DSA:1.20.81.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 32533, 3),
(18061, NULL, 'G3DSA:2.20.25.570', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18062, NULL, 'G3DSA:3.30.720.10', NULL, NULL, NULL, NULL, 'Signal recognition particle alu RNA binding heterodimer, srp9/1', NULL, NULL, 9989, 3),
(18063, NULL, 'G3DSA:2.40.10.430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18064, NULL, 'G3DSA:1.20.1370.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18065, NULL, 'G3DSA:1.20.120.620', NULL, NULL, NULL, NULL, 'Backbone structure of the membrane domain of e. Coli histidine kinase receptor kdpd,', NULL, NULL, 31276, 3),
(18066, NULL, 'G3DSA:1.20.5.4130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18067, NULL, 'G3DSA:3.40.50.10220', NULL, NULL, NULL, NULL, 'DNA polymerase III, psi subunit', NULL, NULL, 30547, 3),
(18068, NULL, 'G3DSA:1.10.8.730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18069, NULL, 'G3DSA:1.10.60.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 15834, 3),
(18070, NULL, 'G3DSA:1.20.140.80', NULL, NULL, NULL, NULL, 'Transcription factor DP', NULL, NULL, 32006, 3),
(18071, NULL, 'G3DSA:1.20.58.520', NULL, NULL, NULL, NULL, 'Amidohydrolase', NULL, NULL, NULL, 3),
(18072, NULL, 'G3DSA:6.10.250.550', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18073, NULL, 'G3DSA:1.20.5.360', NULL, NULL, NULL, NULL, 'SFTPD helical domain', NULL, NULL, NULL, 3),
(18074, NULL, 'G3DSA:1.20.58.1400', NULL, NULL, NULL, NULL, 'Domain of unknown function DUF3837', NULL, NULL, 32446, 3),
(18075, NULL, 'G3DSA:6.10.250.2820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18076, NULL, 'G3DSA:3.10.450.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18077, NULL, 'G3DSA:2.30.29.220', NULL, NULL, NULL, NULL, '', NULL, NULL, 32392, 3),
(18078, NULL, 'G3DSA:3.30.450.210', NULL, NULL, NULL, NULL, '', NULL, NULL, 34801, 3),
(18079, NULL, 'G3DSA:4.10.690.10', NULL, NULL, NULL, NULL, 'Cricket Paralysis Virus, Vp4; Chain D', NULL, NULL, NULL, 3),
(18080, NULL, 'G3DSA:2.40.30.40', NULL, NULL, NULL, NULL, 'Peptidase M42, domain 2', NULL, NULL, 15612, 3),
(18081, NULL, 'G3DSA:4.10.1300.10', NULL, NULL, NULL, NULL, 'Dinoflagellate luciferase', NULL, NULL, 39009, 3),
(18082, NULL, 'G3DSA:3.30.70.920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18083, NULL, 'G3DSA:1.20.85.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34223, 3),
(18084, NULL, 'G3DSA:3.50.80.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18085, NULL, 'G3DSA:2.40.128.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 34341, 3),
(18086, NULL, 'G3DSA:6.10.140.1250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18087, NULL, 'G3DSA:3.20.20.510', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF12979, DUF3863', NULL, NULL, NULL, 3),
(18088, NULL, 'G3DSA:1.10.287.670', NULL, NULL, NULL, NULL, 'Phycobilisome degradation protein NblA', NULL, NULL, 34829, 3),
(18089, NULL, 'G3DSA:1.20.58.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18090, NULL, 'G3DSA:1.10.8.400', NULL, NULL, NULL, NULL, 'Enoyl acyl carrier protein reductase', NULL, NULL, NULL, 3),
(18091, NULL, 'G3DSA:2.40.128.500', NULL, NULL, NULL, NULL, '', NULL, NULL, 35020, 3),
(18092, NULL, 'G3DSA:3.90.1720.10', NULL, NULL, NULL, NULL, 'endopeptidase domain like (from Nostoc punctiforme)', NULL, NULL, NULL, 3),
(18093, NULL, 'G3DSA:2.30.36.70', NULL, NULL, NULL, NULL, 'Actin; Chain A, domain 2', NULL, NULL, NULL, 3),
(18094, NULL, 'G3DSA:3.40.850.10', NULL, NULL, NULL, NULL, 'Kinesin motor domain', NULL, NULL, 30771, 3),
(18095, NULL, 'G3DSA:1.20.120.1460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18096, NULL, 'G3DSA:3.40.50.11960', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18097, NULL, 'G3DSA:1.20.1280.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18098, NULL, 'G3DSA:6.10.140.1480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18099, NULL, 'G3DSA:2.60.40.3250', NULL, NULL, NULL, NULL, '', NULL, NULL, 32272, 3),
(18100, NULL, 'G3DSA:2.40.128.470', NULL, NULL, NULL, NULL, '', NULL, NULL, 32152, 3),
(18101, NULL, 'G3DSA:2.40.350.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 15785, 3),
(18102, NULL, 'G3DSA:2.20.25.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18103, NULL, 'G3DSA:6.10.250.680', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18104, NULL, 'G3DSA:3.30.70.1830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18105, NULL, 'G3DSA:2.40.10.270', NULL, NULL, NULL, NULL, '', NULL, NULL, 36197, 3),
(18106, NULL, 'G3DSA:3.40.1490.10', NULL, NULL, NULL, NULL, 'Bit1', NULL, NULL, 16471, 3),
(18107, NULL, 'G3DSA:1.10.10.2360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18108, NULL, 'G3DSA:6.10.250.760', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18109, NULL, 'G3DSA:6.10.250.2010', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18110, NULL, 'G3DSA:3.60.10.10', NULL, NULL, NULL, NULL, 'Endonuclease/exonuclease/phosphatase', NULL, NULL, 33638, 3),
(18111, NULL, 'G3DSA:2.40.10.350', NULL, NULL, NULL, NULL, '', NULL, NULL, 37044, 3),
(18112, NULL, 'G3DSA:2.70.40.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33091, 3),
(18113, NULL, 'G3DSA:1.10.620.20', NULL, NULL, NULL, NULL, 'Ribonucleotide Reductase, subunit A', NULL, NULL, 7851, 3),
(18114, NULL, 'G3DSA:3.10.129.150', NULL, NULL, NULL, NULL, 'Domain of unknown function (DUF5070)', NULL, NULL, NULL, 3),
(18115, NULL, 'G3DSA:6.10.20.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18116, NULL, 'G3DSA:3.30.720.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18117, NULL, 'G3DSA:3.30.2090.10', NULL, NULL, NULL, NULL, 'Multidrug efflux transporter AcrB TolC docking domain; DN and DC subdomains', NULL, NULL, 28536, 3),
(18118, NULL, 'G3DSA:2.40.128.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 30673, 3),
(18119, NULL, 'G3DSA:2.30.30.190', NULL, NULL, NULL, NULL, '', NULL, NULL, 30716, 3),
(18120, NULL, 'G3DSA:1.10.260.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18121, NULL, 'G3DSA:3.20.20.70', NULL, NULL, NULL, NULL, 'Aldolase class I', NULL, NULL, 11527, 3),
(18122, NULL, 'G3DSA:1.25.10.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18123, NULL, 'G3DSA:1.10.10.1470', NULL, NULL, NULL, NULL, '', NULL, NULL, 39462, 3),
(18124, NULL, 'G3DSA:6.10.250.990', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18125, NULL, 'G3DSA:6.10.140.1560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18126, NULL, 'G3DSA:6.10.250.1540', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18127, NULL, 'G3DSA:2.60.40.3330', NULL, NULL, NULL, NULL, '', NULL, NULL, 35228, 3),
(18128, NULL, 'G3DSA:6.20.200.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33606, 3),
(18129, NULL, 'G3DSA:2.60.40.2410', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF12988, DUF3872', NULL, NULL, 33571, 3),
(18130, NULL, 'G3DSA:1.20.870.10', NULL, NULL, NULL, NULL, 'Son of sevenless (SoS) protein Chain: S domain 1', NULL, NULL, NULL, 3),
(18131, NULL, 'G3DSA:1.20.120.490', NULL, NULL, NULL, NULL, '', NULL, NULL, 19344, 3),
(18132, NULL, 'G3DSA:1.20.120.570', NULL, NULL, NULL, NULL, '', NULL, NULL, 36262, 3),
(18133, NULL, 'G3DSA:2.20.25.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18134, NULL, 'G3DSA:1.20.1440.370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18135, NULL, 'G3DSA:6.10.250.840', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18136, NULL, 'G3DSA:2.30.270.10', NULL, NULL, NULL, NULL, 'duf1285 protein', NULL, NULL, 19919, 3),
(18137, NULL, 'G3DSA:3.90.1020.10', NULL, NULL, NULL, NULL, 'ArcTGT, C1 domain', NULL, NULL, 35003, 3),
(18138, NULL, 'G3DSA:3.90.440.10', NULL, NULL, NULL, NULL, 'Nitric Oxide Synthase;Heme Domain;Chain A domain 2', NULL, NULL, 36741, 3),
(18139, NULL, 'G3DSA:1.10.10.1390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18140, NULL, 'G3DSA:3.30.980.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18141, NULL, 'G3DSA:1.20.58.320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18142, NULL, 'G3DSA:2.60.40.2890', NULL, NULL, NULL, NULL, 'Domain of unknown function DUF5300', NULL, NULL, NULL, 3),
(18143, NULL, 'G3DSA:3.30.720.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18144, NULL, 'G3DSA:3.40.1350.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 36496, 3),
(18145, NULL, 'G3DSA:2.60.120.760', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18146, NULL, 'G3DSA:3.30.390.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18147, NULL, 'G3DSA:3.30.379.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18148, NULL, 'G3DSA:1.20.120.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 30529, 3),
(18149, NULL, 'G3DSA:1.20.120.1620', NULL, NULL, NULL, NULL, '', NULL, NULL, 31185, 3),
(18150, NULL, 'G3DSA:3.80.30.20', NULL, NULL, NULL, NULL, 'tm_1862 like domain', NULL, NULL, 16445, 3),
(18151, NULL, 'G3DSA:2.40.160.210', NULL, NULL, NULL, NULL, '', NULL, NULL, 37606, 3),
(18152, NULL, 'G3DSA:2.10.240.10', NULL, NULL, NULL, NULL, 'Dihydroorotate dehydrogenase, electron transfer subunit', NULL, NULL, 30158, 3),
(18153, NULL, 'G3DSA:6.10.250.2950', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18154, NULL, 'G3DSA:6.10.140.610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18155, NULL, 'G3DSA:3.30.70.1910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18156, NULL, 'G3DSA:2.20.20.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18157, NULL, 'G3DSA:2.60.120.1390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18158, NULL, 'G3DSA:2.20.28.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18159, NULL, 'G3DSA:3.40.1510.10', NULL, NULL, NULL, NULL, 'Hut operon regulatory protein HutP', NULL, NULL, 33631, 3),
(18160, NULL, 'G3DSA:6.10.140.1170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18161, NULL, 'G3DSA:1.20.120.1770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18162, NULL, 'G3DSA:1.10.287.2500', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18163, NULL, 'G3DSA:1.25.40.890', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18164, NULL, 'G3DSA:1.10.10.2750', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18165, NULL, 'G3DSA:3.30.70.3340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18166, NULL, 'G3DSA:2.60.40.2280', NULL, NULL, NULL, NULL, '', NULL, NULL, 33898, 3),
(18167, NULL, 'G3DSA:3.20.20.105', NULL, NULL, NULL, NULL, '', NULL, NULL, 32983, 3),
(18168, NULL, 'G3DSA:3.30.460.10', NULL, NULL, NULL, NULL, 'Beta Polymerase, domain 2', NULL, NULL, 37996, 3),
(18169, NULL, 'G3DSA:3.30.1680.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18170, NULL, 'G3DSA:3.30.9.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18171, NULL, 'G3DSA:1.20.58.160', NULL, NULL, NULL, NULL, '', NULL, NULL, 33580, 3),
(18172, NULL, 'G3DSA:1.10.10.1080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18173, NULL, 'G3DSA:1.20.5.5200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18174, NULL, 'G3DSA:3.30.2050.10', NULL, NULL, NULL, NULL, 'photosynthetic oxygen evolving center domain', NULL, NULL, NULL, 3),
(18175, NULL, 'G3DSA:1.20.920.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18176, NULL, 'G3DSA:3.30.70.1370', NULL, NULL, NULL, NULL, 'HD domain like', NULL, NULL, NULL, 3),
(18177, NULL, 'G3DSA:2.60.40.2070', NULL, NULL, NULL, NULL, '', NULL, NULL, 37538, 3),
(18178, NULL, 'G3DSA:2.40.490.10', NULL, NULL, NULL, NULL, 'Newcastle disease virus like domain', NULL, NULL, NULL, 3),
(18179, NULL, 'G3DSA:3.30.230.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 32223, 3),
(18180, NULL, 'G3DSA:2.60.40.3640', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18181, NULL, 'G3DSA:2.40.480.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 39429, 3),
(18182, NULL, 'G3DSA:2.30.36.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18183, NULL, 'G3DSA:3.30.750.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18184, NULL, 'G3DSA:3.90.870.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18185, NULL, 'G3DSA:1.10.1020.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 7805, 3),
(18186, NULL, 'G3DSA:2.60.40.1740', NULL, NULL, NULL, NULL, 'hypothetical protein (bacova_03559)', NULL, NULL, NULL, 3),
(18187, NULL, 'G3DSA:6.10.280.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18188, NULL, 'G3DSA:1.10.286.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 10967, 3),
(18189, NULL, 'G3DSA:3.40.50.1370', NULL, NULL, NULL, NULL, 'Aspartate/ornithine carbamoyltransferase', NULL, NULL, 34637, 3),
(18190, NULL, 'G3DSA:3.50.30.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18191, NULL, 'G3DSA:1.10.357.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18192, NULL, 'G3DSA:2.60.40.710', NULL, NULL, NULL, NULL, '', NULL, NULL, 30706, 3),
(18193, NULL, 'G3DSA:2.60.40.2990', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18194, NULL, 'G3DSA:2.60.120.1180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18195, NULL, 'G3DSA:1.10.287.1140', NULL, NULL, NULL, NULL, '', NULL, NULL, 32233, 3),
(18196, NULL, 'G3DSA:1.10.1040.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18197, NULL, 'G3DSA:3.30.70.2370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18198, NULL, 'G3DSA:3.40.50.12350', NULL, NULL, NULL, NULL, '', NULL, NULL, 32618, 3),
(18199, NULL, 'G3DSA:1.20.1270.190', NULL, NULL, NULL, NULL, '', NULL, NULL, 36747, 3),
(18200, NULL, 'G3DSA:6.20.140.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18201, NULL, 'G3DSA:3.30.40.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18202, NULL, 'G3DSA:6.10.250.1930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18203, NULL, 'G3DSA:1.25.40.530', NULL, NULL, NULL, NULL, 'MyTH4 domain', NULL, NULL, 32689, 3),
(18204, NULL, 'G3DSA:3.30.990.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32067, 3),
(18205, NULL, 'G3DSA:1.10.287.3700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18206, NULL, 'G3DSA:3.30.40.150', NULL, NULL, NULL, NULL, '', NULL, NULL, 38894, 3),
(18207, NULL, 'G3DSA:2.60.120.1260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18208, NULL, 'G3DSA:2.60.40.2610', NULL, NULL, NULL, NULL, 'Outer membrane usher protein FimD, plug domain', NULL, NULL, 37342, 3),
(18209, NULL, 'G3DSA:1.25.40.590', NULL, NULL, NULL, NULL, 'Type IV / VI secretion system, DotU', NULL, NULL, 36143, 3),
(18210, NULL, 'G3DSA:2.60.120.890', NULL, NULL, NULL, NULL, '', NULL, NULL, 34926, 3),
(18211, NULL, 'G3DSA:3.30.420.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18212, NULL, 'G3DSA:1.20.1270.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18213, NULL, 'G3DSA:2.40.70.10', NULL, NULL, NULL, NULL, 'Acid Proteases', NULL, NULL, 15319, 3),
(18214, NULL, 'G3DSA:6.10.250.1620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18215, NULL, 'G3DSA:6.20.370.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18216, NULL, 'G3DSA:2.60.40.4110', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF4354', NULL, NULL, NULL, 3),
(18217, NULL, 'G3DSA:1.20.58.670', NULL, NULL, NULL, NULL, 'Dsl1p vesicle tethering complex, Tip20p subunit, domain D', NULL, NULL, 32520, 3),
(18218, NULL, 'G3DSA:3.10.20.710', NULL, NULL, NULL, NULL, '', NULL, NULL, 29057, 3),
(18219, NULL, 'G3DSA:2.170.9.10', NULL, NULL, NULL, NULL, 'Adenovirus Type 2 Hexon, domain 1', NULL, NULL, NULL, 3),
(18220, NULL, 'G3DSA:1.10.1200.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 32495, 3),
(18221, NULL, 'G3DSA:1.10.1740.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18222, NULL, 'G3DSA:3.30.420.140', NULL, NULL, NULL, NULL, '', NULL, NULL, 29723, 3),
(18223, NULL, 'G3DSA:2.60.40.3960', NULL, NULL, NULL, NULL, 'Velvet domain', NULL, NULL, 35893, 3),
(18224, NULL, 'G3DSA:1.10.3050.10', NULL, NULL, NULL, NULL, 'borna disease virus nucleoprotein, domain 2', NULL, NULL, 9114, 3),
(18225, NULL, 'G3DSA:3.30.420.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18226, NULL, 'G3DSA:3.30.450.280', NULL, NULL, NULL, NULL, 'GAF domain', NULL, NULL, 33503, 3),
(18227, NULL, 'G3DSA:2.30.30.1000', NULL, NULL, NULL, NULL, 'Replicase polyprotein 1a', NULL, NULL, 29146, 3),
(18228, NULL, 'G3DSA:1.25.40.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18229, NULL, 'G3DSA:6.10.250.1750', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18230, NULL, 'G3DSA:2.40.50.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18231, NULL, 'G3DSA:6.20.370.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18232, NULL, 'G3DSA:3.30.160.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18233, NULL, 'G3DSA:2.60.40.3200', NULL, NULL, NULL, NULL, 'Alphavirus E2 glycoprotein, A domain', NULL, NULL, 38166, 3),
(18234, NULL, 'G3DSA:3.40.920.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 5661, 3),
(18235, NULL, 'G3DSA:3.30.230.40', NULL, NULL, NULL, NULL, 'Imidazole glycerol phosphate dehydratase; domain 1', NULL, NULL, 34785, 3),
(18236, NULL, 'G3DSA:1.20.960.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18237, NULL, 'G3DSA:1.10.1810.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33777, 3),
(18238, NULL, 'G3DSA:2.30.29.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 13249, 3),
(18239, NULL, 'G3DSA:3.40.1170.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18240, NULL, 'G3DSA:3.90.80.10', NULL, NULL, NULL, NULL, 'Inorganic pyrophosphatase', NULL, NULL, 30710, 3),
(18241, NULL, 'G3DSA:6.20.110.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18242, NULL, 'G3DSA:3.30.1120.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18243, NULL, 'G3DSA:1.10.246.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18244, NULL, 'G3DSA:3.30.559.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 5688, 3),
(18245, NULL, 'G3DSA:1.10.12.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18246, NULL, 'G3DSA:3.10.470.10', NULL, NULL, NULL, NULL, 'Chromosomal protein MC1', NULL, NULL, 30542, 3),
(18247, NULL, 'G3DSA:1.10.10.2670', NULL, NULL, NULL, NULL, '', NULL, NULL, 32831, 3),
(18248, NULL, 'G3DSA:6.20.170.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18249, NULL, 'G3DSA:1.10.10.1060', NULL, NULL, NULL, NULL, 'Catalase HPII, helical domain', NULL, NULL, NULL, 3),
(18250, NULL, 'G3DSA:1.20.5.1000', NULL, NULL, NULL, NULL, 'arf6 gtpase in complex with a specific effector, jip4', NULL, NULL, NULL, 3),
(18251, NULL, 'G3DSA:2.40.380.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31982, 3),
(18252, NULL, 'G3DSA:6.20.50.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18253, NULL, 'G3DSA:2.60.40.630', NULL, NULL, NULL, NULL, '', NULL, NULL, 7799, 3),
(18254, NULL, 'G3DSA:1.20.140.140', NULL, NULL, NULL, NULL, '', NULL, NULL, 35785, 3),
(18255, NULL, 'G3DSA:2.60.40.1210', NULL, NULL, NULL, NULL, 'Cellobiose dehydrogenase, cytochrome domain', NULL, NULL, NULL, 3),
(18256, NULL, 'G3DSA:1.10.287.1060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18257, NULL, 'G3DSA:6.20.190.10', NULL, NULL, NULL, NULL, 'Nutrient germinant receptor protein C, domain 1', NULL, NULL, NULL, 3),
(18258, NULL, 'G3DSA:1.20.5.3790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18259, NULL, 'G3DSA:3.30.450.420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18260, NULL, 'G3DSA:1.20.1730.10', NULL, NULL, NULL, NULL, 'Sodium/glucose cotransporter', NULL, NULL, 32236, 3),
(18261, NULL, 'G3DSA:1.10.1650.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 9001, 3),
(18262, NULL, 'G3DSA:3.40.50.10240', NULL, NULL, NULL, NULL, 'Thiamin pyrophosphokinase, catalytic domain', NULL, NULL, 34930, 3),
(18263, NULL, 'G3DSA:6.10.290.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 31256, 3),
(18264, NULL, 'G3DSA:3.30.390.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 24038, 3),
(18265, NULL, 'G3DSA:1.10.8.520', NULL, NULL, NULL, NULL, '', NULL, NULL, 36959, 3),
(18266, NULL, 'G3DSA:6.20.300.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18267, NULL, 'G3DSA:1.10.10.1540', NULL, NULL, NULL, NULL, 'Costar domain', NULL, NULL, 32063, 3),
(18268, NULL, 'G3DSA:3.30.70.390', NULL, NULL, NULL, NULL, '', NULL, NULL, 30546, 3),
(18269, NULL, 'G3DSA:1.10.418.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 38696, 3),
(18270, NULL, 'G3DSA:6.10.140.1040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18271, NULL, 'G3DSA:3.90.1720.30', NULL, NULL, NULL, NULL, 'PPPDE domains', NULL, NULL, 37043, 3),
(18272, NULL, 'G3DSA:2.40.50.340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18273, NULL, 'G3DSA:2.60.40.2150', NULL, NULL, NULL, NULL, '', NULL, NULL, 38420, 3),
(18274, NULL, 'G3DSA:1.20.120.960', NULL, NULL, NULL, NULL, 'Histidine kinase NarX, sensor domain', NULL, NULL, 37999, 3),
(18275, NULL, 'G3DSA:2.40.320.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18276, NULL, 'G3DSA:2.130.10.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 35429, 3),
(18277, NULL, 'G3DSA:1.10.132.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 32101, 3),
(18278, NULL, 'G3DSA:1.10.1710.10', NULL, NULL, NULL, NULL, 'ProQ/FinO domain', NULL, NULL, 34210, 3),
(18279, NULL, 'G3DSA:2.40.128.340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18280, NULL, 'G3DSA:6.10.140.1090', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18281, NULL, 'G3DSA:2.60.120.1570', NULL, NULL, NULL, NULL, '', NULL, NULL, 38390, 3),
(18282, NULL, 'G3DSA:3.40.109.10', NULL, NULL, NULL, NULL, 'NADH Oxidase', NULL, NULL, 6758, 3),
(18283, NULL, 'G3DSA:3.30.1120.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18284, NULL, 'G3DSA:3.30.70.1010', NULL, NULL, NULL, NULL, 'Translation elongation factor EF1B, gamma chain, conserved domain', NULL, NULL, 30958, 3),
(18285, NULL, 'G3DSA:1.10.10.460', NULL, NULL, NULL, NULL, 'Ribonuclease hii. Domain 2', NULL, NULL, 9189, 3),
(18286, NULL, 'G3DSA:6.10.250.860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18287, NULL, 'G3DSA:1.10.1780.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33498, 3),
(18288, NULL, 'G3DSA:2.60.40.1300', NULL, NULL, NULL, NULL, '', NULL, NULL, 33892, 3),
(18289, NULL, 'G3DSA:3.30.2400.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18290, NULL, 'G3DSA:4.10.210.10', NULL, NULL, NULL, NULL, 'Transactivator Protein (TAT, TAT EIAVY)', NULL, NULL, NULL, 3),
(18291, NULL, 'G3DSA:1.10.3200.20', NULL, NULL, NULL, NULL, 'DNA Polymerase alpha, zinc finger', NULL, NULL, 29950, 3),
(18292, NULL, 'G3DSA:3.30.1490.250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18293, NULL, 'G3DSA:4.10.87.10', NULL, NULL, NULL, NULL, 'mRNA Capping Enzyme; domain 3', NULL, NULL, NULL, 3),
(18294, NULL, 'G3DSA:6.10.250.3180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18295, NULL, 'G3DSA:3.10.450.300', NULL, NULL, NULL, NULL, '', NULL, NULL, 33256, 3),
(18296, NULL, 'G3DSA:1.20.120.1590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18297, NULL, 'G3DSA:1.20.120.240', NULL, NULL, NULL, NULL, 'Lipoprotein, type 6', NULL, NULL, 30563, 3),
(18298, NULL, 'G3DSA:2.60.120.320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18299, NULL, 'G3DSA:2.60.40.4390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18300, NULL, 'G3DSA:1.20.58.1320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18301, NULL, 'G3DSA:4.10.1170.10', NULL, NULL, NULL, NULL, 'MAP kinase activated protein kinase 2', NULL, NULL, 26374, 3),
(18302, NULL, 'G3DSA:3.40.718.10', NULL, NULL, NULL, NULL, 'Isopropylmalate Dehydrogenase', NULL, NULL, NULL, 3),
(18303, NULL, 'G3DSA:3.40.50.10820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18304, NULL, 'G3DSA:1.20.5.2020', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18305, NULL, 'G3DSA:6.10.140.1350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18306, NULL, 'G3DSA:6.10.140.1430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18307, NULL, 'G3DSA:4.10.910.10', NULL, NULL, NULL, NULL, '30s ribosomal protein s13, domain 2', NULL, NULL, 23436, 3),
(18308, NULL, 'G3DSA:1.40.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36475, 3),
(18309, NULL, 'G3DSA:1.20.120.360', NULL, NULL, NULL, NULL, '', NULL, NULL, 30139, 3),
(18310, NULL, 'G3DSA:3.30.1870.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18311, NULL, 'G3DSA:1.10.287.510', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, NULL, 3),
(18312, NULL, 'G3DSA:2.70.20.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 39921, 3),
(18313, NULL, 'G3DSA:6.10.250.1640', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18314, NULL, 'G3DSA:2.20.25.670', NULL, NULL, NULL, NULL, 'GCM domain, large subdomain', NULL, NULL, 38833, 3),
(18315, NULL, 'G3DSA:1.25.40.900', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18316, NULL, 'G3DSA:1.10.600.10', NULL, NULL, NULL, NULL, 'Farnesyl Diphosphate Synthase', NULL, NULL, 8941, 3),
(18317, NULL, 'G3DSA:2.70.70.10', NULL, NULL, NULL, NULL, 'Glucose Permease (Domain IIA)', NULL, NULL, 9038, 3),
(18318, NULL, 'G3DSA:3.50.30.10', NULL, NULL, NULL, NULL, 'Phosphohistidine domain', NULL, NULL, NULL, 3),
(18319, NULL, 'G3DSA:4.10.940.10', NULL, NULL, NULL, NULL, 'Quinohemoprotein amine dehydrogenase, gamma subunit structural domain', NULL, NULL, 33512, 3),
(18320, NULL, 'G3DSA:3.90.226.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18321, NULL, 'G3DSA:2.60.40.2880', NULL, NULL, NULL, NULL, '', NULL, NULL, 35240, 3),
(18322, NULL, 'G3DSA:2.60.40.3550', NULL, NULL, NULL, NULL, 'Domain of unknown function DUF4466', NULL, NULL, NULL, 3),
(18323, NULL, 'G3DSA:1.20.1440.160', NULL, NULL, NULL, NULL, '', NULL, NULL, 35667, 3),
(18324, NULL, 'G3DSA:3.30.890.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18325, NULL, 'G3DSA:3.90.800.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18326, NULL, 'G3DSA:6.10.250.1670', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18327, NULL, 'G3DSA:1.10.246.200', NULL, NULL, NULL, NULL, 'WPP domain', NULL, NULL, 36246, 3),
(18328, NULL, 'G3DSA:3.40.1550.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 25246, 3),
(18329, NULL, 'G3DSA:2.60.40.2230', NULL, NULL, NULL, NULL, '', NULL, NULL, 34793, 3),
(18330, NULL, 'G3DSA:3.40.140.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18331, NULL, 'G3DSA:6.10.10.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 38657, 3),
(18332, NULL, 'G3DSA:3.40.50.10110', NULL, NULL, NULL, NULL, 'DNA polymerase III subunit chi', NULL, NULL, 36006, 3),
(18333, NULL, 'G3DSA:3.40.50.11380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18334, NULL, 'G3DSA:3.30.565.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 35770, 3),
(18335, NULL, 'G3DSA:2.60.210.10', NULL, NULL, NULL, NULL, 'Apoptosis, Tumor Necrosis Factor Receptor Associated Protein 2; Chain A', NULL, NULL, 9058, 3),
(18336, NULL, 'G3DSA:3.40.390.30', NULL, NULL, NULL, NULL, 'Metalloproteases ("zincins"), catalytic domain', NULL, NULL, 15541, 3),
(18337, NULL, 'G3DSA:3.90.550.10', NULL, NULL, NULL, NULL, 'Spore Coat Polysaccharide Biosynthesis Protein SpsA; Chain A', NULL, NULL, 25920, 3),
(18338, NULL, 'G3DSA:2.60.120.390', NULL, NULL, NULL, NULL, 'Olfactory marker', NULL, NULL, 34514, 3),
(18339, NULL, 'G3DSA:2.40.50.730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18340, NULL, 'G3DSA:1.10.490.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18341, NULL, 'G3DSA:3.90.470.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30045, 3),
(18342, NULL, 'G3DSA:6.20.370.40', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(18343, NULL, 'G3DSA:3.50.30.50', NULL, NULL, NULL, NULL, 'Putative cyclase', NULL, NULL, 35936, 3),
(18344, NULL, 'G3DSA:2.40.128.680', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18345, NULL, 'G3DSA:2.170.200.10', NULL, NULL, NULL, NULL, 'Papillomavirus E2 early protein domain', NULL, NULL, 39997, 3),
(18346, NULL, 'G3DSA:2.30.30.350', NULL, NULL, NULL, NULL, 'mobile metagenome of vibrio cholerae. Integron cassette protein vch_cass4.', NULL, NULL, NULL, 3),
(18347, NULL, 'G3DSA:1.10.10.1990', NULL, NULL, NULL, NULL, '', NULL, NULL, 32552, 3),
(18348, NULL, 'G3DSA:2.60.40.1680', NULL, NULL, NULL, NULL, '', NULL, NULL, 22023, 3),
(18349, NULL, 'G3DSA:1.20.120.1020', NULL, NULL, NULL, NULL, '', NULL, NULL, 31168, 3),
(18350, NULL, 'G3DSA:3.40.1350.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18351, NULL, 'G3DSA:1.20.5.5100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18352, NULL, 'G3DSA:6.10.250.3150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18353, NULL, 'G3DSA:2.30.30.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18354, NULL, 'G3DSA:1.20.58.2250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18355, NULL, 'G3DSA:3.40.1360.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18356, NULL, 'G3DSA:1.20.950.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18357, NULL, 'G3DSA:1.10.357.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18358, NULL, 'G3DSA:6.10.140.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18359, NULL, 'G3DSA:6.10.250.2220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18360, NULL, 'G3DSA:1.10.287.1890', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18361, NULL, 'G3DSA:3.30.1480.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36431, 3),
(18362, NULL, 'G3DSA:1.10.10.1820', NULL, NULL, NULL, NULL, '', NULL, NULL, 33074, 3),
(18363, NULL, 'G3DSA:6.10.140.390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18364, NULL, 'G3DSA:3.30.2120.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 22471, 3),
(18365, NULL, 'G3DSA:4.10.170.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32008, 3),
(18366, NULL, 'G3DSA:3.30.700.10', NULL, NULL, NULL, NULL, 'Glycoprotein, Type 4 Pilin', NULL, NULL, NULL, 3),
(18367, NULL, 'G3DSA:3.40.50.10180', NULL, NULL, NULL, NULL, '', NULL, NULL, 35224, 3),
(18368, NULL, 'G3DSA:3.40.225.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34487, 3),
(18369, NULL, 'G3DSA:6.10.250.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18370, NULL, 'G3DSA:6.10.250.1020', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18371, NULL, 'G3DSA:3.90.1480.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18372, NULL, 'G3DSA:1.20.970.20', NULL, NULL, NULL, NULL, 'Glycogen synthesis protein GlgS', NULL, NULL, 34126, 3),
(18373, NULL, 'G3DSA:2.60.40.820', NULL, NULL, NULL, NULL, '', NULL, NULL, 30986, 3),
(18374, NULL, 'G3DSA:1.10.287.890', NULL, NULL, NULL, NULL, 'Crystal structure of tRNA isopentenylpyrophosphate transferase (bh2366) domain', NULL, NULL, NULL, 3),
(18375, NULL, 'G3DSA:2.60.40.3800', NULL, NULL, NULL, NULL, '', NULL, NULL, 35778, 3),
(18376, NULL, 'G3DSA:1.10.287.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18377, NULL, 'G3DSA:3.30.1140.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 34562, 3),
(18378, NULL, 'G3DSA:1.10.10.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 7988, 3),
(18379, NULL, 'G3DSA:1.20.5.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18380, NULL, 'G3DSA:3.30.470.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18381, NULL, 'G3DSA:1.10.420.10', NULL, NULL, NULL, NULL, 'Peroxidase, domain 2', NULL, NULL, NULL, 3),
(18382, NULL, 'G3DSA:1.20.58.2040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18383, NULL, 'G3DSA:3.30.70.3180', NULL, NULL, NULL, NULL, '', NULL, NULL, 29862, 3),
(18384, NULL, 'G3DSA:1.10.1660.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 34594, 3);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18385, NULL, 'G3DSA:3.30.860.10', NULL, NULL, NULL, NULL, '30s Ribosomal Protein S19; Chain A', NULL, NULL, 20427, 3),
(18386, NULL, 'G3DSA:3.20.20.390', NULL, NULL, NULL, NULL, '', NULL, NULL, 34527, 3),
(18387, NULL, 'G3DSA:3.30.2310.50', NULL, NULL, NULL, NULL, 'Protein of unknown function (DUF3228), domain 1', NULL, NULL, NULL, 3),
(18388, NULL, 'G3DSA:2.30.30.910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18389, NULL, 'G3DSA:1.20.1270.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18390, NULL, 'G3DSA:1.10.8.930', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF1465', NULL, NULL, 33696, 3),
(18391, NULL, 'G3DSA:3.40.50.10780', NULL, NULL, NULL, NULL, 'Dipeptide transport protein', NULL, NULL, 26180, 3),
(18392, NULL, 'G3DSA:1.20.120.600', NULL, NULL, NULL, NULL, 'Crystal structure from the mobile metagenome of halifax harbour sewage outfall', NULL, NULL, NULL, 3),
(18393, NULL, 'G3DSA:2.40.450.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33276, 3),
(18394, NULL, 'G3DSA:4.10.650.10', NULL, NULL, NULL, NULL, 'Metallothionein domain superfamily, yeast', NULL, NULL, 30411, 3),
(18395, NULL, 'G3DSA:3.30.160.600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18396, NULL, 'G3DSA:2.40.50.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18397, NULL, 'G3DSA:1.20.5.480', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, 32028, 3),
(18398, NULL, 'G3DSA:3.30.830.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18399, NULL, 'G3DSA:6.10.140.1670', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18400, NULL, 'G3DSA:1.10.287.1270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18401, NULL, 'G3DSA:1.10.274.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 15972, 3),
(18402, NULL, 'G3DSA:1.10.10.710', NULL, NULL, NULL, NULL, 'PSPTO_1197 like', NULL, NULL, 33738, 3),
(18403, NULL, 'G3DSA:3.90.600.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18404, NULL, 'G3DSA:1.10.238.190', NULL, NULL, NULL, NULL, '', NULL, NULL, 36144, 3),
(18405, NULL, 'G3DSA:3.40.800.10', NULL, NULL, NULL, NULL, 'Ureohydrolase domain', NULL, NULL, NULL, 3),
(18406, NULL, 'G3DSA:2.140.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18407, NULL, 'G3DSA:3.30.70.1200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18408, NULL, 'G3DSA:3.10.50.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18409, NULL, 'G3DSA:1.20.5.4520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18410, NULL, 'G3DSA:1.10.287.830', NULL, NULL, NULL, NULL, 'putative peptidase helix hairpin domain like', NULL, NULL, NULL, 3),
(18411, NULL, 'G3DSA:3.90.1470.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18412, NULL, 'G3DSA:3.30.470.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18413, NULL, 'G3DSA:6.10.250.1800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18414, NULL, 'G3DSA:3.30.30.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18415, NULL, 'G3DSA:3.30.428.40', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF3067', NULL, NULL, NULL, 3),
(18416, NULL, 'G3DSA:3.30.1490.490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18417, NULL, 'G3DSA:3.40.1800.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18418, NULL, 'G3DSA:6.10.250.970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18419, NULL, 'G3DSA:1.10.287.790', NULL, NULL, NULL, NULL, 'luxt domain from vibrio parahaemolyticus', NULL, NULL, NULL, 3),
(18420, NULL, 'G3DSA:3.30.300.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18421, NULL, 'G3DSA:1.20.5.370', NULL, NULL, NULL, NULL, '', NULL, NULL, 7300, 3),
(18422, NULL, 'G3DSA:3.30.470.160', NULL, NULL, NULL, NULL, 'Inositol polyphosphate kinase', NULL, NULL, 33658, 3),
(18423, NULL, 'G3DSA:3.60.130.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 38305, 3),
(18424, NULL, 'G3DSA:1.10.2090.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31015, 3),
(18425, NULL, 'G3DSA:2.20.120.10', NULL, NULL, NULL, NULL, 'Multimodular pneumococcal cell wall endolysin, domain 3', NULL, NULL, NULL, 3),
(18426, NULL, 'G3DSA:3.30.310.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 31743, 3);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18427, NULL, 'G3DSA:6.10.140.2220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18428, NULL, 'G3DSA:3.30.310.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18429, NULL, 'G3DSA:2.30.130.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18430, NULL, 'G3DSA:6.10.250.2390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18431, NULL, 'G3DSA:3.90.1810.10', NULL, NULL, NULL, NULL, 'Reovirus components', NULL, NULL, NULL, 3),
(18432, NULL, 'G3DSA:2.30.18.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 6063, 3),
(18433, NULL, 'G3DSA:1.10.10.2570', NULL, NULL, NULL, NULL, '', NULL, NULL, 30486, 3),
(18434, NULL, 'G3DSA:2.60.40.3830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18435, NULL, 'G3DSA:1.20.5.2230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18436, NULL, 'G3DSA:6.10.250.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18437, NULL, 'G3DSA:6.10.140.1140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18438, NULL, 'G3DSA:1.10.405.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18439, NULL, 'G3DSA:3.30.70.610', NULL, NULL, NULL, NULL, '', NULL, NULL, 12089, 3),
(18440, NULL, 'G3DSA:6.10.250.1850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18441, NULL, 'G3DSA:1.20.5.990', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18442, NULL, 'G3DSA:1.10.287.970', NULL, NULL, NULL, NULL, 'His Kinase A (phosphoacceptor) domain', NULL, NULL, 28738, 3),
(18443, NULL, 'G3DSA:2.20.28.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 32200, 3),
(18444, NULL, 'G3DSA:2.50.10.10', NULL, NULL, NULL, NULL, 'Bacteriochlorophyll A', NULL, NULL, 35973, 3),
(18445, NULL, 'G3DSA:2.60.40.2050', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18446, NULL, 'G3DSA:3.10.50.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18447, NULL, 'G3DSA:3.30.2450.10', NULL, NULL, NULL, NULL, 'Secreted effector protein pipB2', NULL, NULL, NULL, 3),
(18448, NULL, 'G3DSA:2.60.40.3460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18449, NULL, 'G3DSA:3.30.70.2160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18450, NULL, 'G3DSA:3.90.1140.10', NULL, NULL, NULL, NULL, 'Cyclic phosphodiesterase', NULL, NULL, NULL, 3),
(18451, NULL, 'G3DSA:3.30.160.310', NULL, NULL, NULL, NULL, '', NULL, NULL, 32660, 3),
(18452, NULL, 'G3DSA:1.10.10.750', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18453, NULL, 'G3DSA:6.20.130.20', NULL, NULL, NULL, NULL, 'Mitochondrial ribosomal protein L55', NULL, NULL, 39317, 3),
(18454, NULL, 'G3DSA:1.20.120.1750', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18455, NULL, 'G3DSA:6.10.270.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18456, NULL, 'G3DSA:3.40.30.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18457, NULL, 'G3DSA:1.20.1120.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31382, 3),
(18458, NULL, 'G3DSA:3.20.180.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 38897, 3),
(18459, NULL, 'G3DSA:3.40.830.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18460, NULL, 'G3DSA:3.30.70.3520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18461, NULL, 'G3DSA:1.10.274.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18462, NULL, 'G3DSA:6.10.210.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18463, NULL, 'G3DSA:2.60.120.940', NULL, NULL, NULL, NULL, '', NULL, NULL, 39251, 3),
(18464, NULL, 'G3DSA:2.40.50.550', NULL, NULL, NULL, NULL, '', NULL, NULL, 36115, 3),
(18465, NULL, 'G3DSA:2.30.30.610', NULL, NULL, NULL, NULL, 'Chromatin protein Cren7', NULL, NULL, 33798, 3),
(18466, NULL, 'G3DSA:1.20.58.2070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18467, NULL, 'G3DSA:1.20.120.1640', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18468, NULL, 'G3DSA:6.20.50.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18469, NULL, 'G3DSA:3.30.505.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 33655, 3),
(18470, NULL, 'G3DSA:1.10.10.2460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18471, NULL, 'G3DSA:1.10.220.110', NULL, NULL, NULL, NULL, 'GDNF binding domain', NULL, NULL, NULL, 3);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18472, NULL, 'G3DSA:1.20.1440.110', NULL, NULL, NULL, NULL, 'acylaminoacyl peptidase', NULL, NULL, NULL, 3),
(18473, NULL, 'G3DSA:6.10.250.2400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18474, NULL, 'G3DSA:3.10.360.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18475, NULL, 'G3DSA:3.30.70.3150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18476, NULL, 'G3DSA:3.60.21.40', NULL, NULL, NULL, NULL, 'GpdQ, catalytic alpha/beta sandwich domain', NULL, NULL, 37206, 3),
(18477, NULL, 'G3DSA:1.10.275.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 37407, 3),
(18478, NULL, 'G3DSA:2.40.128.240', NULL, NULL, NULL, NULL, '', NULL, NULL, 32973, 3),
(18479, NULL, 'G3DSA:1.10.15.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18480, NULL, 'G3DSA:2.40.50.710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18481, NULL, 'G3DSA:6.10.280.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18482, NULL, 'G3DSA:6.10.250.1460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18483, NULL, 'G3DSA:1.10.720.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18484, NULL, 'G3DSA:4.10.80.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18485, NULL, 'G3DSA:3.10.450.350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18486, NULL, 'G3DSA:3.30.160.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 33930, 3),
(18487, NULL, 'G3DSA:2.60.40.2440', NULL, NULL, NULL, NULL, '', NULL, NULL, 32307, 3),
(18488, NULL, 'G3DSA:2.160.20.50', NULL, NULL, NULL, NULL, 'Insect antifreeze protein', NULL, NULL, NULL, 3),
(18489, NULL, 'G3DSA:6.10.140.2110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18490, NULL, 'G3DSA:1.20.1260.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18491, NULL, 'G3DSA:6.10.250.3360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18492, NULL, 'G3DSA:3.10.540.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18493, NULL, 'G3DSA:3.30.70.1070', NULL, NULL, NULL, NULL, 'Sporulation related repeat', NULL, NULL, 32080, 3),
(18494, NULL, 'G3DSA:1.20.5.3800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18495, NULL, 'G3DSA:3.55.20.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 7561, 3),
(18496, NULL, 'G3DSA:3.30.110.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18497, NULL, 'G3DSA:3.90.1390.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18498, NULL, 'G3DSA:1.10.720.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18499, NULL, 'G3DSA:6.10.250.1430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18500, NULL, 'G3DSA:6.10.140.990', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18501, NULL, 'G3DSA:4.10.180.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18502, NULL, 'G3DSA:2.70.98.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 18812, 3),
(18503, NULL, 'G3DSA:1.25.40.470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18504, NULL, 'G3DSA:1.10.1760.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18505, NULL, 'G3DSA:2.50.20.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 35650, 3),
(18506, NULL, 'G3DSA:4.10.860.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18507, NULL, 'G3DSA:3.90.1680.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35626, 3),
(18508, NULL, 'G3DSA:3.90.1520.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35550, 3),
(18509, NULL, 'G3DSA:6.10.250.810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18510, NULL, 'G3DSA:1.20.120.1200', NULL, NULL, NULL, NULL, '', NULL, NULL, 37023, 3),
(18511, NULL, 'G3DSA:6.10.250.650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18512, NULL, 'G3DSA:3.30.450.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 34436, 3),
(18513, NULL, 'G3DSA:2.10.10.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18514, NULL, 'G3DSA:2.40.240.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18515, NULL, 'G3DSA:1.10.3070.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35413, 3),
(18516, NULL, 'G3DSA:1.10.10.2020', NULL, NULL, NULL, NULL, '', NULL, NULL, 32758, 3),
(18517, NULL, 'G3DSA:1.20.190.40', NULL, NULL, NULL, NULL, 'Viral ssDNA binding protein, head domain', NULL, NULL, 38402, 3);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18518, NULL, 'G3DSA:3.30.720.20', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF1797', NULL, NULL, 33212, 3),
(18519, NULL, 'G3DSA:3.30.310.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18520, NULL, 'G3DSA:1.10.560.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 26427, 3),
(18521, NULL, 'G3DSA:3.30.160.810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18522, NULL, 'G3DSA:3.90.1420.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33825, 3),
(18523, NULL, 'G3DSA:6.10.110.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36305, 3),
(18524, NULL, 'G3DSA:6.10.250.1070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18525, NULL, 'G3DSA:1.10.260.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18526, NULL, 'G3DSA:2.40.10.240', NULL, NULL, NULL, NULL, '', NULL, NULL, 37202, 3),
(18527, NULL, 'G3DSA:3.30.1700.10', NULL, NULL, NULL, NULL, 'lpxc deacetylase, domain 2', NULL, NULL, 13820, 3),
(18528, NULL, 'G3DSA:3.40.532.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30754, 3),
(18529, NULL, 'G3DSA:6.10.250.420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18530, NULL, 'G3DSA:2.40.128.630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18531, NULL, 'G3DSA:3.30.200.60', NULL, NULL, NULL, NULL, 'Peptidase C65 Otubain, subdomain 1', NULL, NULL, 38207, 3),
(18532, NULL, 'G3DSA:1.20.58.220', NULL, NULL, NULL, NULL, 'Phosphate transport system protein phou homolog 2; domain 2', NULL, NULL, 30086, 3),
(18533, NULL, 'G3DSA:1.20.58.1110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18534, NULL, 'G3DSA:6.10.140.1640', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18535, NULL, 'G3DSA:3.40.190.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18536, NULL, 'G3DSA:2.60.120.1070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18537, NULL, 'G3DSA:3.40.50.10610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18538, NULL, 'G3DSA:3.30.1330.110', NULL, NULL, NULL, NULL, 'BB2672', NULL, NULL, 14428, 3),
(18539, NULL, 'G3DSA:3.40.1550.20', NULL, NULL, NULL, NULL, 'Transcriptional regulator MraZ domain', NULL, NULL, 32126, 3),
(18540, NULL, 'G3DSA:3.10.20.740', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18541, NULL, 'G3DSA:6.20.30.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18542, NULL, 'G3DSA:1.10.3730.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18543, NULL, 'G3DSA:1.10.287.680', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, 15613, 3),
(18544, NULL, 'G3DSA:3.10.450.740', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18545, NULL, 'G3DSA:1.20.120.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 30372, 3),
(18546, NULL, 'G3DSA:3.10.650.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18547, NULL, 'G3DSA:2.40.128.140', NULL, NULL, NULL, NULL, 'Outer membrane protein', NULL, NULL, 30211, 3),
(18548, NULL, 'G3DSA:6.10.300.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18549, NULL, 'G3DSA:3.40.50.11840', NULL, NULL, NULL, NULL, 'Diphthamide synthesis DPH1/DPH2 domain 1', NULL, NULL, 37364, 3),
(18550, NULL, 'G3DSA:1.20.1270.140', NULL, NULL, NULL, NULL, 'AvrPto', NULL, NULL, 32719, 3),
(18551, NULL, 'G3DSA:2.60.40.1470', NULL, NULL, NULL, NULL, 'ApaG domain', NULL, NULL, 29703, 3),
(18552, NULL, 'G3DSA:1.20.1270.290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18553, NULL, 'G3DSA:1.10.750.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30380, 3),
(18554, NULL, 'G3DSA:2.60.120.570', NULL, NULL, NULL, NULL, 'Particulate methane monooxygenase, b subunit. Chain: A, domain 1', NULL, NULL, 7159, 3),
(18555, NULL, 'G3DSA:3.30.70.1800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18556, NULL, 'G3DSA:6.10.250.2430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18557, NULL, 'G3DSA:1.10.1130.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18558, NULL, 'G3DSA:2.60.98.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18559, NULL, 'G3DSA:1.10.472.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18560, NULL, 'G3DSA:3.10.120.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34476, 3);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18561, NULL, 'G3DSA:1.10.3200.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34072, 3),
(18562, NULL, 'G3DSA:3.40.1170.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18563, NULL, 'G3DSA:3.10.310.20', NULL, NULL, NULL, NULL, 'DHHA2 domain', NULL, NULL, 29222, 3),
(18564, NULL, 'G3DSA:2.40.30.90', NULL, NULL, NULL, NULL, 'Bacterial fluorinating enzyme like', NULL, NULL, 7361, 3),
(18565, NULL, 'G3DSA:2.40.30.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18566, NULL, 'G3DSA:3.30.40.250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18567, NULL, 'G3DSA:2.60.460.10', NULL, NULL, NULL, NULL, 'protein yfey like domain', NULL, NULL, 33958, 3),
(18568, NULL, 'G3DSA:3.40.190.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18569, NULL, 'G3DSA:2.60.120.1030', NULL, NULL, NULL, NULL, 'Clp1, DNA binding domain', NULL, NULL, 36010, 3),
(18570, NULL, 'G3DSA:6.10.140.820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18571, NULL, 'G3DSA:3.40.50.11740', NULL, NULL, NULL, NULL, 'HypD, alpha/beta domain 2', NULL, NULL, 36821, 3),
(18572, NULL, 'G3DSA:2.60.40.3620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18573, NULL, 'G3DSA:3.60.21.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 35044, 3),
(18574, NULL, 'G3DSA:3.40.930.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12359, 3),
(18575, NULL, 'G3DSA:3.40.50.11540', NULL, NULL, NULL, NULL, '', NULL, NULL, 31019, 3),
(18576, NULL, 'G3DSA:1.20.5.2440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18577, NULL, 'G3DSA:4.10.400.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35926, 3),
(18578, NULL, 'G3DSA:3.30.310.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18579, NULL, 'G3DSA:2.60.40.3670', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18580, NULL, 'G3DSA:3.40.1460.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18581, NULL, 'G3DSA:1.10.150.480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18582, NULL, 'G3DSA:2.60.40.1720', NULL, NULL, NULL, NULL, '', NULL, NULL, 34750, 3),
(18583, NULL, 'G3DSA:1.20.58.790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18584, NULL, 'G3DSA:3.30.428.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34359, 3),
(18585, NULL, 'G3DSA:3.40.366.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 5140, 3),
(18586, NULL, 'G3DSA:2.170.120.20', NULL, NULL, NULL, NULL, 'Ribosomal protein L25, beta domain', NULL, NULL, 30291, 3),
(18587, NULL, 'G3DSA:2.40.128.380', NULL, NULL, NULL, NULL, 'T3SS negative regulator GrlR', NULL, NULL, 38908, 3),
(18588, NULL, 'G3DSA:6.10.250.2180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18589, NULL, 'G3DSA:3.40.50.11590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18590, NULL, 'G3DSA:1.20.1090.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18591, NULL, 'G3DSA:3.30.1680.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18592, NULL, 'G3DSA:1.20.5.340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18593, NULL, 'G3DSA:1.10.490.20', NULL, NULL, NULL, NULL, 'Phycocyanins', NULL, NULL, 35007, 3),
(18594, NULL, 'G3DSA:1.10.10.1010', NULL, NULL, NULL, NULL, 'Intein homing endonuclease, domain IV', NULL, NULL, NULL, 3),
(18595, NULL, 'G3DSA:1.10.286.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37272, 3),
(18596, NULL, 'G3DSA:3.30.70.1410', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18597, NULL, 'G3DSA:1.20.120.150', NULL, NULL, NULL, NULL, '', NULL, NULL, 35935, 3),
(18598, NULL, 'G3DSA:1.10.150.90', NULL, NULL, NULL, NULL, 'Immunodeficiency lentiviruses, gag gene matrix protein p17', NULL, NULL, 7690, 3),
(18599, NULL, 'G3DSA:1.20.58.970', NULL, NULL, NULL, NULL, '', NULL, NULL, 33670, 3),
(18600, NULL, 'G3DSA:1.10.3640.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31911, 3),
(18601, NULL, 'G3DSA:3.90.470.10', NULL, NULL, NULL, NULL, 'Ribosomal protein L22/L17', NULL, NULL, 31330, 3),
(18602, NULL, 'G3DSA:3.30.420.380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18603, NULL, 'G3DSA:2.60.40.1610', NULL, NULL, NULL, NULL, 'Domain of unknown function DUF1254', NULL, NULL, 31738, 3),
(18604, NULL, 'G3DSA:3.40.50.280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18605, NULL, 'G3DSA:6.10.140.1850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18606, NULL, 'G3DSA:2.60.40.1290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18607, NULL, 'G3DSA:6.10.170.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18608, NULL, 'G3DSA:2.60.510.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18609, NULL, 'G3DSA:2.60.270.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18610, NULL, 'G3DSA:1.20.140.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18611, NULL, 'G3DSA:1.10.357.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 32480, 3),
(18612, NULL, 'G3DSA:3.30.2460.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18613, NULL, 'G3DSA:3.30.70.400', NULL, NULL, NULL, NULL, '', NULL, NULL, 7288, 3),
(18614, NULL, 'G3DSA:2.60.40.1900', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18615, NULL, 'G3DSA:1.10.287.990', NULL, NULL, NULL, NULL, 'Fe,Mn superoxide dismutase (SOD) domain', NULL, NULL, 30199, 3),
(18616, NULL, 'G3DSA:6.10.140.1460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18617, NULL, 'G3DSA:2.60.40.2830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18618, NULL, 'G3DSA:1.10.10.2250', NULL, NULL, NULL, NULL, '', NULL, NULL, 32631, 3),
(18619, NULL, 'G3DSA:3.30.160.570', NULL, NULL, NULL, NULL, 'Ncd80 complex, Spc24 subunit', NULL, NULL, NULL, 3),
(18620, NULL, 'G3DSA:3.40.50.11980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18621, NULL, 'G3DSA:3.30.1370.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 33546, 3),
(18622, NULL, 'G3DSA:3.30.200.160', NULL, NULL, NULL, NULL, 'TFIIIC, subcomplex tauA, subunit Sfc1, barrel domain', NULL, NULL, 40022, 3),
(18623, NULL, 'G3DSA:3.10.28.10', NULL, NULL, NULL, NULL, 'Homing endonucleases', NULL, NULL, 25502, 3),
(18624, NULL, 'G3DSA:3.40.600.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 35214, 3),
(18625, NULL, 'G3DSA:3.30.200.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18626, NULL, 'G3DSA:1.10.150.870', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18627, NULL, 'G3DSA:3.10.270.10', NULL, NULL, NULL, NULL, 'Urate Oxidase;', NULL, NULL, NULL, 3),
(18628, NULL, 'G3DSA:2.20.60.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30414, 3),
(18629, NULL, 'G3DSA:2.60.40.3230', NULL, NULL, NULL, NULL, '', NULL, NULL, 32609, 3),
(18630, NULL, 'G3DSA:3.30.1240.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18631, NULL, 'G3DSA:6.10.250.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18632, NULL, 'G3DSA:3.30.70.141', NULL, NULL, NULL, NULL, '', NULL, NULL, 34185, 3),
(18633, NULL, 'G3DSA:3.40.50.11690', NULL, NULL, NULL, NULL, 'Cell division protein FtsQ/DivIB', NULL, NULL, 37154, 3),
(18634, NULL, 'G3DSA:1.10.533.10', NULL, NULL, NULL, NULL, 'Death Domain, Fas', NULL, NULL, 9362, 3),
(18635, NULL, 'G3DSA:3.30.70.2390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18636, NULL, 'G3DSA:2.40.128.450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18637, NULL, 'G3DSA:3.90.1800.10', NULL, NULL, NULL, NULL, 'RNA polymerase alpha subunit dimerisation domain', NULL, NULL, NULL, 3),
(18638, NULL, 'G3DSA:3.40.1650.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 10987, 3),
(18639, NULL, 'G3DSA:1.20.5.4730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18640, NULL, 'G3DSA:3.30.750.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18641, NULL, 'G3DSA:1.10.287.1480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18642, NULL, 'G3DSA:6.10.250.1250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18643, NULL, 'G3DSA:1.10.150.910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18644, NULL, 'G3DSA:1.10.1740.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18645, NULL, 'G3DSA:3.30.1370.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 12156, 3),
(18646, NULL, 'G3DSA:1.10.10.540', NULL, NULL, NULL, NULL, '', NULL, NULL, 30184, 3),
(18647, NULL, 'G3DSA:1.10.1580.20', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF1040', NULL, NULL, 34994, 3),
(18648, NULL, 'G3DSA:1.20.58.920', NULL, NULL, NULL, NULL, '', NULL, NULL, 33784, 3);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18649, NULL, 'G3DSA:3.20.20.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18650, NULL, 'G3DSA:6.20.390.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18651, NULL, 'G3DSA:2.70.50.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18652, NULL, 'G3DSA:2.60.120.730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18653, NULL, 'G3DSA:1.20.58.350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18654, NULL, 'G3DSA:3.30.70.1020', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18655, NULL, 'G3DSA:2.30.30.1240', NULL, NULL, NULL, NULL, '', NULL, NULL, 38134, 3),
(18656, NULL, 'G3DSA:1.20.120.590', NULL, NULL, NULL, NULL, '', NULL, NULL, 36013, 3),
(18657, NULL, 'G3DSA:6.10.250.1200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18658, NULL, 'G3DSA:6.10.10.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 39284, 3),
(18659, NULL, 'G3DSA:2.60.40.2260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18660, NULL, 'G3DSA:1.10.287.480', NULL, NULL, NULL, NULL, 'helix hairpin bin', NULL, NULL, 5050, 3),
(18661, NULL, 'G3DSA:1.20.140.40', NULL, NULL, NULL, NULL, 'Invertase/pectin methylesterase inhibitor family protein', NULL, NULL, 35423, 3),
(18662, NULL, 'G3DSA:3.90.1580.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33255, 3),
(18663, NULL, 'G3DSA:3.30.70.3360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18664, NULL, 'G3DSA:1.10.10.2200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18665, NULL, 'G3DSA:1.10.10.1600', NULL, NULL, NULL, NULL, 'Bacterial DNA polymerase III alpha subunit, thumb domain', NULL, NULL, 32789, 3),
(18666, NULL, 'G3DSA:1.25.40.860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18667, NULL, 'G3DSA:6.10.250.2610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18668, NULL, 'G3DSA:6.10.10.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18669, NULL, 'G3DSA:1.10.2010.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18670, NULL, 'G3DSA:3.30.1810.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31602, 3),
(18671, NULL, 'G3DSA:3.30.2020.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36037, 3),
(18672, NULL, 'G3DSA:2.170.210.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 36399, 3),
(18673, NULL, 'G3DSA:1.20.5.1130', NULL, NULL, NULL, NULL, 'Connexin43', NULL, NULL, 31676, 3),
(18674, NULL, 'G3DSA:4.10.840.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30068, 3),
(18675, NULL, 'G3DSA:1.25.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12721, 3),
(18676, NULL, 'G3DSA:4.10.80.390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18677, NULL, 'G3DSA:1.10.250.10', NULL, NULL, NULL, NULL, 'Bluetongue Virus 10, subunit 1, domain 1', NULL, NULL, 10475, 3),
(18678, NULL, 'G3DSA:3.30.70.3310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18679, NULL, 'G3DSA:3.30.300.370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18680, NULL, 'G3DSA:2.20.20.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18681, NULL, 'G3DSA:3.30.9.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18682, NULL, 'G3DSA:3.40.50.12380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18683, NULL, 'G3DSA:2.60.350.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 25298, 3),
(18684, NULL, 'G3DSA:1.20.120.670', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18685, NULL, 'G3DSA:1.10.3900.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18686, NULL, 'G3DSA:2.40.10.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18687, NULL, 'G3DSA:6.10.250.580', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18688, NULL, 'G3DSA:3.40.50.880', NULL, NULL, NULL, NULL, '', NULL, NULL, 26088, 3),
(18689, NULL, 'G3DSA:3.30.720.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18690, NULL, 'G3DSA:2.60.40.1990', NULL, NULL, NULL, NULL, '', NULL, NULL, 33997, 3),
(18691, NULL, 'G3DSA:3.30.450.20', NULL, NULL, NULL, NULL, 'PAS domain', NULL, NULL, NULL, 3),
(18692, NULL, 'G3DSA:1.20.5.1160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18693, NULL, 'G3DSA:2.60.40.2620', NULL, NULL, NULL, NULL, '', NULL, NULL, 37257, 3),
(18694, NULL, 'G3DSA:1.25.40.650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18695, NULL, 'G3DSA:3.60.15.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30629, 3),
(18696, NULL, 'G3DSA:2.60.120.600', NULL, NULL, NULL, NULL, '', NULL, NULL, 31791, 3),
(18697, NULL, 'G3DSA:1.10.4020.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35021, 3),
(18698, NULL, 'G3DSA:6.10.250.1280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18699, NULL, 'G3DSA:3.40.50.10490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18700, NULL, 'G3DSA:6.10.140.1070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18701, NULL, 'G3DSA:2.20.70.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18702, NULL, 'G3DSA:2.20.130.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18703, NULL, 'G3DSA:2.60.40.2540', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18704, NULL, 'G3DSA:6.20.250.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18705, NULL, 'G3DSA:1.10.150.640', NULL, NULL, NULL, NULL, 'AcsD, thumb domain, helical bundle', NULL, NULL, 38139, 3),
(18706, NULL, 'G3DSA:2.40.128.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 28629, 3),
(18707, NULL, 'G3DSA:3.30.2010.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30183, 3),
(18708, NULL, 'G3DSA:3.30.920.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18709, NULL, 'G3DSA:2.40.230.10', NULL, NULL, NULL, NULL, 'Phospholipase A1', NULL, NULL, 36029, 3),
(18710, NULL, 'G3DSA:2.10.250.10', NULL, NULL, NULL, NULL, 'Calreticulin/calnexin, P domain', NULL, NULL, 10480, 3),
(18711, NULL, 'G3DSA:6.10.250.600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18712, NULL, 'G3DSA:2.40.50.60', NULL, NULL, NULL, NULL, 'Antifungal protein domain', NULL, NULL, 21966, 3),
(18713, NULL, 'G3DSA:6.10.140.780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18714, NULL, 'G3DSA:1.20.1480.40', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF16133, DUF4844', NULL, NULL, 35813, 3),
(18715, NULL, 'G3DSA:1.10.40.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18716, NULL, 'G3DSA:3.30.70.2260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18717, NULL, 'G3DSA:1.20.120.1360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18718, NULL, 'G3DSA:3.40.50.11040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18719, NULL, 'G3DSA:3.40.50.11120', NULL, NULL, NULL, NULL, '', NULL, NULL, 40036, 3),
(18720, NULL, 'G3DSA:6.10.250.1300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18721, NULL, 'G3DSA:3.30.70.1880', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF881', NULL, NULL, NULL, 3),
(18722, NULL, 'G3DSA:1.10.8.560', NULL, NULL, NULL, NULL, 'Antirestriction protein ArdA, domain 2', NULL, NULL, 32564, 3),
(18723, NULL, 'G3DSA:1.10.8.110', NULL, NULL, NULL, NULL, 'Photosystem I PsaF, reaction centre subunit III', NULL, NULL, 33949, 3),
(18724, NULL, 'G3DSA:3.30.70.1730', NULL, NULL, NULL, NULL, '', NULL, NULL, 37175, 3),
(18725, NULL, 'G3DSA:3.10.450.560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18726, NULL, 'G3DSA:1.10.10.2850', NULL, NULL, NULL, NULL, '', NULL, NULL, 34292, 3),
(18727, NULL, 'G3DSA:2.40.128.310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18728, NULL, 'G3DSA:3.30.420.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18729, NULL, 'G3DSA:3.40.50.12610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18730, NULL, 'G3DSA:1.10.10.250', NULL, NULL, NULL, NULL, '', NULL, NULL, 36391, 3),
(18731, NULL, 'G3DSA:1.10.287.3810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18732, NULL, 'G3DSA:3.10.180.80', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF07063, DUF1338', NULL, NULL, NULL, 3),
(18733, NULL, 'G3DSA:2.60.120.580', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18734, NULL, 'G3DSA:6.10.250.520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18735, NULL, 'G3DSA:3.30.70.1250', NULL, NULL, NULL, NULL, 'Phosphopentomutase', NULL, NULL, 12123, 3),
(18736, NULL, 'G3DSA:1.20.58.1610', NULL, NULL, NULL, NULL, 'NADH:ubiquinone/plastoquinone oxidoreductase, chain 3', NULL, NULL, 33619, 3),
(18737, NULL, 'G3DSA:3.30.410.10', NULL, NULL, NULL, NULL, 'Cholesterol Oxidase; domain 2', NULL, NULL, NULL, 3);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18738, NULL, 'G3DSA:3.90.182.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18739, NULL, 'G3DSA:2.40.30.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18740, NULL, 'G3DSA:3.30.930.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18741, NULL, 'G3DSA:6.10.250.3400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18742, NULL, 'G3DSA:1.10.440.10', NULL, NULL, NULL, NULL, 'T4 endonuclease V', NULL, NULL, 24269, 3),
(18743, NULL, 'G3DSA:1.10.132.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 32538, 3),
(18744, NULL, 'G3DSA:1.10.150.710', NULL, NULL, NULL, NULL, 'Glutamate cysteine ligase subdomain', NULL, NULL, NULL, 3),
(18745, NULL, 'G3DSA:1.20.58.1070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18746, NULL, 'G3DSA:1.10.357.100', NULL, NULL, NULL, NULL, 'Dsl1p vesicle tethering complex, Tip20p subunit, domain C', NULL, NULL, 32959, 3),
(18747, NULL, 'G3DSA:3.30.250.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 36765, 3),
(18748, NULL, 'G3DSA:6.20.210.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34056, 3),
(18749, NULL, 'G3DSA:1.10.167.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18750, NULL, 'G3DSA:1.20.120.1300', NULL, NULL, NULL, NULL, '', NULL, NULL, 34657, 3),
(18751, NULL, 'G3DSA:3.30.60.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18752, NULL, 'G3DSA:6.10.340.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18753, NULL, 'G3DSA:1.20.5.600', NULL, NULL, NULL, NULL, 'Potassium channel, voltage dependent, Kv1.4, tandem inactivation domain', NULL, NULL, 32425, 3),
(18754, NULL, 'G3DSA:4.10.280.20', NULL, NULL, NULL, NULL, 'membrane protein stannin', NULL, NULL, 25319, 3),
(18755, NULL, 'G3DSA:3.10.180.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18756, NULL, 'G3DSA:3.10.10.10', NULL, NULL, NULL, NULL, 'HIV Type 1 Reverse Transcriptase, subunit A, domain 1', NULL, NULL, NULL, 3),
(18757, NULL, 'G3DSA:3.20.20.410', NULL, NULL, NULL, NULL, 'Protein of unknown function UPF0759', NULL, NULL, 35987, 3),
(18758, NULL, 'G3DSA:3.40.50.1070', NULL, NULL, NULL, NULL, '', NULL, NULL, 29411, 3),
(18759, NULL, 'G3DSA:6.20.240.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18760, NULL, 'G3DSA:3.30.70.2200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18761, NULL, 'G3DSA:1.10.1200.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18762, NULL, 'G3DSA:6.10.140.1010', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(18763, NULL, 'G3DSA:1.20.58.690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18764, NULL, 'G3DSA:3.40.50.12670', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18765, NULL, 'G3DSA:1.20.1280.310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18766, NULL, 'G3DSA:1.20.58.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18767, NULL, 'G3DSA:1.10.10.2120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18768, NULL, 'G3DSA:1.25.40.570', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18769, NULL, 'G3DSA:2.40.128.370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18770, NULL, 'G3DSA:1.20.225.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 6357, 3),
(18771, NULL, 'G3DSA:3.30.300.360', NULL, NULL, NULL, NULL, 'Protein of unknown function (DUF2498)', NULL, NULL, 32347, 3),
(18772, NULL, 'G3DSA:3.40.630.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 38235, 3),
(18773, NULL, 'G3DSA:2.160.20.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18774, NULL, 'G3DSA:6.10.250.2850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18775, NULL, 'G3DSA:3.10.450.130', NULL, NULL, NULL, NULL, 'folded 79 residue fragment of lin0334 like domains', NULL, NULL, NULL, 3),
(18776, NULL, 'G3DSA:3.40.30.150', NULL, NULL, NULL, NULL, 'Coronavirus polyprotein cleavage domain', NULL, NULL, 31778, 3),
(18777, NULL, 'G3DSA:3.30.1370.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18778, NULL, 'G3DSA:3.30.450.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18779, NULL, 'G3DSA:1.20.120.610', NULL, NULL, NULL, NULL, '', NULL, NULL, 28075, 3),
(18780, NULL, 'G3DSA:1.10.195.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 10430, 3);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18781, NULL, 'G3DSA:1.20.58.710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18782, NULL, 'G3DSA:1.10.150.660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18783, NULL, 'G3DSA:1.10.8.1050', NULL, NULL, NULL, NULL, '', NULL, NULL, 38409, 3),
(18784, NULL, 'G3DSA:3.10.129.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 38810, 3),
(18785, NULL, 'G3DSA:2.30.60.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32312, 3),
(18786, NULL, 'G3DSA:1.10.287.470', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, NULL, 3),
(18787, NULL, 'G3DSA:4.10.770.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 27603, 3),
(18788, NULL, 'G3DSA:2.40.50.240', NULL, NULL, NULL, NULL, '', NULL, NULL, 19273, 3),
(18789, NULL, 'G3DSA:6.10.140.1950', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18790, NULL, 'G3DSA:1.20.120.400', NULL, NULL, NULL, NULL, '', NULL, NULL, 33860, 3),
(18791, NULL, 'G3DSA:1.10.10.1510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18792, NULL, 'G3DSA:3.30.70.3100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18793, NULL, 'G3DSA:3.10.450.430', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF2787', NULL, NULL, NULL, 3),
(18794, NULL, 'G3DSA:2.60.120.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 9838, 3),
(18795, NULL, 'G3DSA:1.10.606.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18796, NULL, 'G3DSA:1.20.58.480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18797, NULL, 'G3DSA:6.10.280.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18798, NULL, 'G3DSA:1.20.5.800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18799, NULL, 'G3DSA:2.20.70.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18800, NULL, 'G3DSA:1.20.1530.10', NULL, NULL, NULL, NULL, 'Na+/H+ antiporter like domain', NULL, NULL, 9645, 3),
(18801, NULL, 'G3DSA:1.20.1050.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18802, NULL, 'G3DSA:2.60.40.1800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18803, NULL, 'G3DSA:3.90.1410.10', NULL, NULL, NULL, NULL, 'set domain protein methyltransferase, domain 1', NULL, NULL, NULL, 3),
(18804, NULL, 'G3DSA:1.20.120.1430', NULL, NULL, NULL, NULL, 'HP0721 helical bundle', NULL, NULL, 31036, 3),
(18805, NULL, 'G3DSA:1.10.890.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18806, NULL, 'G3DSA:1.10.10.1490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18807, NULL, 'G3DSA:6.10.140.1820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18808, NULL, 'G3DSA:3.40.50.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 35758, 3),
(18809, NULL, 'G3DSA:1.10.150.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18810, NULL, 'G3DSA:3.10.310.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18811, NULL, 'G3DSA:1.20.1280.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 34907, 3),
(18812, NULL, 'G3DSA:6.10.140.720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18813, NULL, 'G3DSA:3.90.1650.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36038, 3),
(18814, NULL, 'G3DSA:1.10.1220.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18815, NULL, 'G3DSA:3.30.70.2470', NULL, NULL, NULL, NULL, '', NULL, NULL, 32706, 3),
(18816, NULL, 'G3DSA:3.90.1150.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18817, NULL, 'G3DSA:1.10.1180.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35663, 3),
(18818, NULL, 'G3DSA:2.60.40.1930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18819, NULL, 'G3DSA:1.20.58.1950', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18820, NULL, 'G3DSA:1.20.930.10', NULL, NULL, NULL, NULL, 'Conserved domain common to transcription factors TFIIS, elongin A, CRSP70', NULL, NULL, 34157, 3),
(18821, NULL, 'G3DSA:3.40.50.1010', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18822, NULL, 'G3DSA:1.20.1280.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18823, NULL, 'G3DSA:2.40.280.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8072, 3),
(18824, NULL, 'G3DSA:1.10.8.1130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18825, NULL, 'G3DSA:2.60.120.790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18826, NULL, 'G3DSA:1.10.10.1360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18827, NULL, 'G3DSA:1.10.340.60', NULL, NULL, NULL, NULL, 'AcsD, palm domain, helix bundle', NULL, NULL, 38062, 3),
(18828, NULL, 'G3DSA:2.30.90.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36401, 3),
(18829, NULL, 'G3DSA:1.10.3440.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 10543, 3),
(18830, NULL, 'G3DSA:2.30.30.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 16028, 3),
(18831, NULL, 'G3DSA:1.10.20.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 38593, 3),
(18832, NULL, 'G3DSA:2.40.30.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18833, NULL, 'G3DSA:1.20.1280.290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18834, NULL, 'G3DSA:2.30.30.340', NULL, NULL, NULL, NULL, 'Hypothetical protein YfhH like domains', NULL, NULL, NULL, 3),
(18835, NULL, 'G3DSA:3.50.30.70', NULL, NULL, NULL, NULL, 'Swiveling domain of dehydratase reactivase alpha subunit', NULL, NULL, 25196, 3),
(18836, NULL, 'G3DSA:2.60.120.1670', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18837, NULL, 'G3DSA:1.10.287.820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18838, NULL, 'G3DSA:3.30.1370.10', NULL, NULL, NULL, NULL, 'K Homology domain, type 1', NULL, NULL, 32798, 3),
(18839, NULL, 'G3DSA:6.10.140.570', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18840, NULL, 'G3DSA:1.10.274.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18841, NULL, 'G3DSA:2.40.30.150', NULL, NULL, NULL, NULL, 'Bacteriophage T4, Gp27, baseplate hub, domain 3', NULL, NULL, 37486, 3),
(18842, NULL, 'G3DSA:3.40.1260.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 25856, 3),
(18843, NULL, 'G3DSA:2.60.320.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36065, 3),
(18844, NULL, 'G3DSA:3.30.2360.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18845, NULL, 'G3DSA:1.20.120.1780', NULL, NULL, NULL, NULL, 'UbiA prenyltransferase', NULL, NULL, NULL, 3),
(18846, NULL, 'G3DSA:3.30.1370.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18847, NULL, 'G3DSA:3.30.200.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18848, NULL, 'G3DSA:3.40.1060.10', NULL, NULL, NULL, NULL, 'Aconitase, Domain 2', NULL, NULL, 8379, 3),
(18849, NULL, 'G3DSA:6.10.250.1570', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18850, NULL, 'G3DSA:3.30.960.10', NULL, NULL, NULL, NULL, 'eRF1 domain 1', NULL, NULL, 9213, 3),
(18851, NULL, 'G3DSA:3.30.420.320', NULL, NULL, NULL, NULL, '', NULL, NULL, 33669, 3),
(18852, NULL, 'G3DSA:6.20.70.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18853, NULL, 'G3DSA:6.10.250.1150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18854, NULL, 'G3DSA:4.10.60.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18855, NULL, 'G3DSA:2.60.40.3880', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18856, NULL, 'G3DSA:3.10.390.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 10921, 3),
(18857, NULL, 'G3DSA:2.60.490.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 26124, 3),
(18858, NULL, 'G3DSA:3.90.1160.10', NULL, NULL, NULL, NULL, 'Baseplate structural protein gp11, finger domain', NULL, NULL, 9420, 3),
(18859, NULL, 'G3DSA:3.30.2390.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18860, NULL, 'G3DSA:3.40.50.12590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18861, NULL, 'G3DSA:1.10.3370.10', NULL, NULL, NULL, NULL, 'SecY subunit domain', NULL, NULL, 17895, 3),
(18862, NULL, 'G3DSA:3.30.300.160', NULL, NULL, NULL, NULL, '', NULL, NULL, 34716, 3),
(18863, NULL, 'G3DSA:2.130.10.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 25367, 3),
(18864, NULL, 'G3DSA:2.30.300.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 39940, 3),
(18865, NULL, 'G3DSA:1.10.8.840', NULL, NULL, NULL, NULL, '', NULL, NULL, 37341, 3),
(18866, NULL, 'G3DSA:3.90.1320.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18867, NULL, 'G3DSA:6.10.250.3330', NULL, NULL, NULL, NULL, '', NULL, NULL, 36967, 3),
(18868, NULL, 'G3DSA:6.10.250.2930', NULL, NULL, NULL, NULL, '', NULL, NULL, 36779, 3),
(18869, NULL, 'G3DSA:3.30.750.140', NULL, NULL, NULL, NULL, '', NULL, NULL, 35410, 3);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18870, NULL, 'G3DSA:2.30.30.600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18871, NULL, 'G3DSA:1.10.150.810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18872, NULL, 'G3DSA:3.40.462.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12145, 3),
(18873, NULL, 'G3DSA:3.40.198.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 25395, 3),
(18874, NULL, 'G3DSA:3.30.310.230', NULL, NULL, NULL, NULL, '', NULL, NULL, 33931, 3),
(18875, NULL, 'G3DSA:6.10.250.290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18876, NULL, 'G3DSA:1.20.5.2650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18877, NULL, 'G3DSA:2.60.40.3020', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18878, NULL, 'G3DSA:1.10.10.1780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18879, NULL, 'G3DSA:1.20.150.10', NULL, NULL, NULL, NULL, 'Fertilization protein', NULL, NULL, 12969, 3),
(18880, NULL, 'G3DSA:3.90.1720.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18881, NULL, 'G3DSA:2.20.25.80', NULL, NULL, NULL, NULL, 'WRKY domain', NULL, NULL, 33992, 3),
(18882, NULL, 'G3DSA:2.160.10.10', NULL, NULL, NULL, NULL, 'Hexapeptide repeat proteins', NULL, NULL, NULL, 3),
(18883, NULL, 'G3DSA:2.20.28.180', NULL, NULL, NULL, NULL, 'Arenavirus glycoprotein, zinc binding domain', NULL, NULL, 38502, 3),
(18884, NULL, 'G3DSA:3.30.70.2050', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18885, NULL, 'G3DSA:3.30.1490.430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18886, NULL, 'G3DSA:6.10.300.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18887, NULL, 'G3DSA:1.10.30.10', NULL, NULL, NULL, NULL, 'High mobility group box domain', NULL, NULL, 31220, 3),
(18888, NULL, 'G3DSA:1.20.1280.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 35459, 3),
(18889, NULL, 'G3DSA:6.10.90.10', NULL, NULL, NULL, NULL, 'Apolipoprotein CIII', NULL, NULL, 32294, 3),
(18890, NULL, 'G3DSA:3.40.1850.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18891, NULL, 'G3DSA:1.10.1740.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18892, NULL, 'G3DSA:2.40.128.520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18893, NULL, 'G3DSA:1.10.1580.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 11769, 3),
(18894, NULL, 'G3DSA:2.40.128.600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18895, NULL, 'G3DSA:1.10.150.370', NULL, NULL, NULL, NULL, '', NULL, NULL, 37640, 3),
(18896, NULL, 'G3DSA:1.20.1520.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36833, 3),
(18897, NULL, 'G3DSA:3.40.50.10720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18898, NULL, 'G3DSA:1.20.120.1150', NULL, NULL, NULL, NULL, '', NULL, NULL, 37192, 3),
(18899, NULL, 'G3DSA:3.30.2060.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18900, NULL, 'G3DSA:3.30.160.120', NULL, NULL, NULL, NULL, 'Hypothetical protein MTH1880', NULL, NULL, 31793, 3),
(18901, NULL, 'G3DSA:3.40.1570.10', NULL, NULL, NULL, NULL, 'HemS/ChuS/ChuX like domains', NULL, NULL, NULL, 3),
(18902, NULL, 'G3DSA:4.10.40.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 34560, 3),
(18903, NULL, 'G3DSA:3.30.10.30', NULL, NULL, NULL, NULL, 'DYRK', NULL, NULL, 39825, 3),
(18904, NULL, 'G3DSA:6.10.30.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18905, NULL, 'G3DSA:3.40.50.10640', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18906, NULL, 'G3DSA:3.20.20.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 34078, 3),
(18907, NULL, 'G3DSA:2.20.25.540', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18908, NULL, 'G3DSA:2.10.10.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18909, NULL, 'G3DSA:1.10.220.90', NULL, NULL, NULL, NULL, 'Mistic', NULL, NULL, 32262, 3),
(18910, NULL, 'G3DSA:4.10.70.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18911, NULL, 'G3DSA:1.10.1240.20', NULL, NULL, NULL, NULL, 'Lytic transglycosylase, superhelical linker domain', NULL, NULL, 32299, 3),
(18912, NULL, 'G3DSA:1.10.3570.10', NULL, NULL, NULL, NULL, 'Rhabdovirus nucleocapsid protein like domain', NULL, NULL, 15859, 3),
(18913, NULL, 'G3DSA:6.10.130.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18914, NULL, 'G3DSA:1.10.3450.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 33093, 3),
(18915, NULL, 'G3DSA:2.70.210.12', NULL, NULL, NULL, NULL, 'GTP1/OBG domain', NULL, NULL, 34519, 3),
(18916, NULL, 'G3DSA:1.20.5.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 16007, 3),
(18917, NULL, 'G3DSA:6.10.140.300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18918, NULL, 'G3DSA:6.10.140.1530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18919, NULL, 'G3DSA:6.10.140.1610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18920, NULL, 'G3DSA:6.10.140.2140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18921, NULL, 'G3DSA:6.10.250.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18922, NULL, 'G3DSA:3.30.2160.10', NULL, NULL, NULL, NULL, 'Hect, E3 ligase catalytic domain', NULL, NULL, NULL, 3),
(18923, NULL, 'G3DSA:1.20.1370.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18924, NULL, 'G3DSA:3.30.110.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18925, NULL, 'G3DSA:1.20.5.440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18926, NULL, 'G3DSA:3.90.70.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18927, NULL, 'G3DSA:1.20.120.1070', NULL, NULL, NULL, NULL, '', NULL, NULL, 39879, 3),
(18928, NULL, 'G3DSA:3.10.290.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18929, NULL, 'G3DSA:3.60.100.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31763, 3),
(18930, NULL, 'G3DSA:1.20.5.1700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18931, NULL, 'G3DSA:3.10.450.390', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF3889', NULL, NULL, NULL, 3),
(18932, NULL, 'G3DSA:6.10.140.280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18933, NULL, 'G3DSA:2.40.128.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18934, NULL, 'G3DSA:3.30.1390.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18935, NULL, 'G3DSA:3.40.91.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 13744, 3),
(18936, NULL, 'G3DSA:3.30.70.3290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18937, NULL, 'G3DSA:3.30.1310.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18938, NULL, 'G3DSA:3.10.260.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30920, 3),
(18939, NULL, 'G3DSA:2.30.30.790', NULL, NULL, NULL, NULL, '', NULL, NULL, 36462, 3),
(18940, NULL, 'G3DSA:6.10.250.1490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18941, NULL, 'G3DSA:6.10.140.930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18942, NULL, 'G3DSA:3.30.200.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18943, NULL, 'G3DSA:6.10.140.1220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18944, NULL, 'G3DSA:2.40.37.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 37883, 3),
(18945, NULL, 'G3DSA:1.20.1440.200', NULL, NULL, NULL, NULL, '', NULL, NULL, 35562, 3),
(18946, NULL, 'G3DSA:3.10.450.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 6132, 3),
(18947, NULL, 'G3DSA:3.10.420.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 16768, 3),
(18948, NULL, 'G3DSA:1.20.58.630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18949, NULL, 'G3DSA:1.20.58.1220', NULL, NULL, NULL, NULL, '', NULL, NULL, 38201, 3),
(18950, NULL, 'G3DSA:1.10.472.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 38628, 3),
(18951, NULL, 'G3DSA:3.40.1820.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18952, NULL, 'G3DSA:2.10.10.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18953, NULL, 'G3DSA:6.10.280.170', NULL, NULL, NULL, NULL, 'Substrate of the Dot/Icm secretion system', NULL, NULL, NULL, 3),
(18954, NULL, 'G3DSA:1.20.120.820', NULL, NULL, NULL, NULL, '', NULL, NULL, 35727, 3),
(18955, NULL, 'G3DSA:1.20.1420.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 35704, 3),
(18956, NULL, 'G3DSA:3.60.20.30', NULL, NULL, NULL, NULL, '(Glycosyl)asparaginase', NULL, NULL, NULL, 3),
(18957, NULL, 'G3DSA:3.40.50.10280', NULL, NULL, NULL, NULL, '', NULL, NULL, 29055, 3),
(18958, NULL, 'G3DSA:4.10.410.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 31305, 3),
(18959, NULL, 'G3DSA:1.10.1200.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 29753, 3);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(18960, NULL, 'G3DSA:3.30.70.3020', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18961, NULL, 'G3DSA:1.10.274.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18962, NULL, 'G3DSA:3.90.105.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18963, NULL, 'G3DSA:1.20.1260.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18964, NULL, 'G3DSA:4.10.80.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18965, NULL, 'G3DSA:3.30.2070.10', NULL, NULL, NULL, NULL, 'Formate dehydrogenase/DMSO reductase,', NULL, NULL, NULL, 3),
(18966, NULL, 'G3DSA:6.10.250.3250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18967, NULL, 'G3DSA:1.10.287.30', NULL, NULL, NULL, NULL, 'E2 (early) protein, N terminal domain, subdomain 1', NULL, NULL, 39296, 3),
(18968, NULL, 'G3DSA:2.60.60.20', NULL, NULL, NULL, NULL, 'PLAT/LH2 domain', NULL, NULL, NULL, 3),
(18969, NULL, 'G3DSA:1.10.287.80', NULL, NULL, NULL, NULL, 'ATP synthase, gamma subunit, helix hairpin domain', NULL, NULL, NULL, 3),
(18970, NULL, 'G3DSA:6.10.250.2640', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18971, NULL, 'G3DSA:1.20.50.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18972, NULL, 'G3DSA:4.10.1190.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36872, 3),
(18973, NULL, 'G3DSA:2.30.210.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18974, NULL, 'G3DSA:2.20.180.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 19821, 3),
(18975, NULL, 'G3DSA:6.10.250.370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18976, NULL, 'G3DSA:2.20.25.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18977, NULL, 'G3DSA:1.20.5.1760', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18978, NULL, 'G3DSA:2.60.40.2020', NULL, NULL, NULL, NULL, '', NULL, NULL, 30152, 3),
(18979, NULL, 'G3DSA:3.90.550.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18980, NULL, 'G3DSA:2.60.40.3900', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18981, NULL, 'G3DSA:2.60.40.4300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18982, NULL, 'G3DSA:1.20.58.2140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18983, NULL, 'G3DSA:2.40.50.1040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18984, NULL, 'G3DSA:4.10.1060.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18985, NULL, 'G3DSA:6.10.250.3040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18986, NULL, 'G3DSA:6.10.250.2330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18987, NULL, 'G3DSA:1.20.5.760', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(18988, NULL, 'G3DSA:3.30.20.10', NULL, NULL, NULL, NULL, 'Endochitinase, domain 2', NULL, NULL, NULL, 3),
(18989, NULL, 'G3DSA:1.10.220.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 39024, 3),
(18990, NULL, 'G3DSA:6.10.140.360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18991, NULL, 'G3DSA:3.30.1360.120', NULL, NULL, NULL, NULL, 'Probable tRNA modification gtpase trme; domain 1', NULL, NULL, 17638, 3),
(18992, NULL, 'G3DSA:3.30.40.30', NULL, NULL, NULL, NULL, 'YqaI domain', NULL, NULL, 15126, 3),
(18993, NULL, 'G3DSA:3.30.70.2800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18994, NULL, 'G3DSA:6.10.140.490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18995, NULL, 'G3DSA:3.40.220.10', NULL, NULL, NULL, NULL, 'Leucine Aminopeptidase, subunit E, domain 1', NULL, NULL, 37138, 3),
(18996, NULL, 'G3DSA:1.20.50.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 10181, 3),
(18997, NULL, 'G3DSA:3.40.50.1400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18998, NULL, 'G3DSA:3.40.1440.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(18999, NULL, 'G3DSA:3.30.1490.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19000, NULL, 'G3DSA:2.30.140.50', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF2790', NULL, NULL, NULL, 3),
(19001, NULL, 'G3DSA:3.30.1360.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 30884, 3),
(19002, NULL, 'G3DSA:1.10.10.440', NULL, NULL, NULL, NULL, 'FF domain', NULL, NULL, 32673, 3),
(19003, NULL, 'G3DSA:2.60.120.290', NULL, NULL, NULL, NULL, 'Spermadhesin, CUB domain', NULL, NULL, 19957, 3);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19004, NULL, 'G3DSA:3.30.430.10', NULL, NULL, NULL, NULL, 'Killer Toxin P4, subunit A', NULL, NULL, NULL, 3),
(19005, NULL, 'G3DSA:3.10.290.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34469, 3),
(19006, NULL, 'G3DSA:3.40.109.30', NULL, NULL, NULL, NULL, 'putative nitroreductase (tm1586), domain 2', NULL, NULL, NULL, 3),
(19007, NULL, 'G3DSA:3.10.20.280', NULL, NULL, NULL, NULL, '', NULL, NULL, 30553, 3),
(19008, NULL, 'G3DSA:1.20.5.1890', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19009, NULL, 'G3DSA:3.30.70.3080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19010, NULL, 'G3DSA:2.20.20.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 37317, 3),
(19011, NULL, 'G3DSA:2.60.240.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19012, NULL, 'G3DSA:1.10.150.450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19013, NULL, 'G3DSA:3.30.1330.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19014, NULL, 'G3DSA:3.40.50.1220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19015, NULL, 'G3DSA:1.20.1460.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19016, NULL, 'G3DSA:6.10.250.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19017, NULL, 'G3DSA:1.20.1310.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 37967, 3),
(19018, NULL, 'G3DSA:1.20.58.1740', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19019, NULL, 'G3DSA:3.90.1730.10', NULL, NULL, NULL, NULL, 'Infectious bursal virus vp1 polymerase domain', NULL, NULL, NULL, 3),
(19020, NULL, 'G3DSA:6.10.140.1740', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19021, NULL, 'G3DSA:2.60.40.1180', NULL, NULL, NULL, NULL, '', NULL, NULL, 11577, 3),
(19022, NULL, 'G3DSA:6.10.250.2720', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(19023, NULL, 'G3DSA:1.10.4090.10', NULL, NULL, NULL, NULL, 'Viral capsid, core domain supefamily, Hepatitis B virus', NULL, NULL, 30943, 3),
(19024, NULL, 'G3DSA:2.60.120.1300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19025, NULL, 'G3DSA:1.10.533.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 33727, 3),
(19026, NULL, 'G3DSA:1.10.575.10', NULL, NULL, NULL, NULL, 'P1 Nuclease', NULL, NULL, 8908, 3),
(19027, NULL, 'G3DSA:2.60.40.4180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19028, NULL, 'G3DSA:1.10.520.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19029, NULL, 'G3DSA:2.60.40.3510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19030, NULL, 'G3DSA:1.10.640.10', NULL, NULL, NULL, NULL, 'Haem peroxidase domain superfamily, animal type', NULL, NULL, 30459, 3),
(19031, NULL, 'G3DSA:6.10.280.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 31857, 3),
(19032, NULL, 'G3DSA:3.30.2300.10', NULL, NULL, NULL, NULL, 'THUMP superfamily', NULL, NULL, NULL, 3),
(19033, NULL, 'G3DSA:1.10.238.150', NULL, NULL, NULL, NULL, 'Formin, FH3 diaphanous domain', NULL, NULL, NULL, 3),
(19034, NULL, 'G3DSA:6.10.250.3120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19035, NULL, 'G3DSA:1.10.8.480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19036, NULL, 'G3DSA:2.30.29.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19037, NULL, 'G3DSA:2.170.220.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19038, NULL, 'G3DSA:3.30.500.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19039, NULL, 'G3DSA:6.20.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19040, NULL, 'G3DSA:6.10.160.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 33659, 3),
(19041, NULL, 'G3DSA:3.30.1790.10', NULL, NULL, NULL, NULL, 'hypothetical protein mp506/mpn330, domain 2', NULL, NULL, 16213, 3),
(19042, NULL, 'G3DSA:3.30.1330.220', NULL, NULL, NULL, NULL, 'Arterivirus nonstructural protein 7 alpha', NULL, NULL, 33709, 3),
(19043, NULL, 'G3DSA:2.30.110.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 7728, 3),
(19044, NULL, 'G3DSA:3.30.2010.10', NULL, NULL, NULL, NULL, 'Metalloproteases ("zincins"), catalytic domain', NULL, NULL, NULL, 3),
(19045, NULL, 'G3DSA:6.10.10.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19046, NULL, 'G3DSA:3.30.460.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19047, NULL, 'G3DSA:6.10.140.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19048, NULL, 'G3DSA:1.10.1370.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 32942, 3),
(19049, NULL, 'G3DSA:2.60.40.3340', NULL, NULL, NULL, NULL, 'Domain of unknown function DUF4426', NULL, NULL, NULL, 3),
(19050, NULL, 'G3DSA:1.10.10.1190', NULL, NULL, NULL, NULL, 'Antirestriction protein ArdA, domain 3', NULL, NULL, 32927, 3),
(19051, NULL, 'G3DSA:3.10.580.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19052, NULL, 'G3DSA:1.20.120.1550', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF5063', NULL, NULL, 31374, 3),
(19053, NULL, 'G3DSA:2.60.120.820', NULL, NULL, NULL, NULL, 'PHR domain', NULL, NULL, 36060, 3),
(19054, NULL, 'G3DSA:6.10.250.1360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19055, NULL, 'G3DSA:3.90.380.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19056, NULL, 'G3DSA:1.20.1440.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 35950, 3),
(19057, NULL, 'G3DSA:1.10.418.30', NULL, NULL, NULL, NULL, 'Ncd80 complex, Ncd80 subunit', NULL, NULL, 35106, 3),
(19058, NULL, 'G3DSA:3.30.420.530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19059, NULL, 'G3DSA:3.30.56.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19060, NULL, 'G3DSA:3.30.1510.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19061, NULL, 'G3DSA:4.10.6.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19062, NULL, 'G3DSA:1.10.3380.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19063, NULL, 'G3DSA:1.20.1660.10', NULL, NULL, NULL, NULL, 'Hypothetical protein (EF3068)', NULL, NULL, NULL, 3),
(19064, NULL, 'G3DSA:1.10.287.1120', NULL, NULL, NULL, NULL, 'Bipartite methylase S protein', NULL, NULL, NULL, 3),
(19065, NULL, 'G3DSA:3.30.1380.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8523, 3),
(19066, NULL, 'G3DSA:4.10.1220.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19067, NULL, 'G3DSA:3.90.1570.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19068, NULL, 'G3DSA:6.10.50.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19069, NULL, 'G3DSA:2.30.30.970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19070, NULL, 'G3DSA:3.30.1540.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36819, 3),
(19071, NULL, 'G3DSA:3.40.50.10150', NULL, NULL, NULL, NULL, '', NULL, NULL, 9144, 3),
(19072, NULL, 'G3DSA:3.30.66.10', NULL, NULL, NULL, NULL, 'DNA topoisomerase I domain', NULL, NULL, 20768, 3),
(19073, NULL, 'G3DSA:3.30.565.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 34697, 3),
(19074, NULL, 'G3DSA:1.10.1040.30', NULL, NULL, NULL, NULL, 'ISWI, HAND domain', NULL, NULL, 34027, 3),
(19075, NULL, 'G3DSA:2.40.10.500', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19076, NULL, 'G3DSA:6.10.250.910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19077, NULL, 'G3DSA:2.40.170.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30496, 3),
(19078, NULL, 'G3DSA:1.10.1410.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19079, NULL, 'G3DSA:3.40.1380.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 35281, 3),
(19080, NULL, 'G3DSA:3.40.1390.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19081, NULL, 'G3DSA:3.40.1010.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19082, NULL, 'G3DSA:3.20.20.300', NULL, NULL, NULL, NULL, '', NULL, NULL, 30997, 3),
(19083, NULL, 'G3DSA:2.40.128.210', NULL, NULL, NULL, NULL, 'Pab87 octamerisation domain', NULL, NULL, 31885, 3),
(19084, NULL, 'G3DSA:3.40.1350.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19085, NULL, 'G3DSA:1.10.287.1970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19086, NULL, 'G3DSA:6.20.370.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19087, NULL, 'G3DSA:1.25.40.10', NULL, NULL, NULL, NULL, 'Tetratricopeptide repeat domain', NULL, NULL, 12595, 3),
(19088, NULL, 'G3DSA:6.10.140.1400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19089, NULL, 'G3DSA:1.10.287.380', NULL, NULL, NULL, NULL, '', NULL, NULL, 30260, 3),
(19090, NULL, 'G3DSA:1.10.287.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 33458, 3);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19091, NULL, 'G3DSA:2.40.160.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19092, NULL, 'G3DSA:4.10.670.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33721, 3),
(19093, NULL, 'G3DSA:3.10.20.550', NULL, NULL, NULL, NULL, 'ASAP complex, SAP18 subunit', NULL, NULL, 37465, 3),
(19094, NULL, 'G3DSA:3.90.110.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8063, 3),
(19095, NULL, 'G3DSA:3.10.450.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19096, NULL, 'G3DSA:1.10.8.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19097, NULL, 'G3DSA:1.10.132.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19098, NULL, 'G3DSA:3.90.660.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19099, NULL, 'G3DSA:1.20.5.960', NULL, NULL, NULL, NULL, 'Bacteriophage t4 gene product 9 (gp9)', NULL, NULL, NULL, 3),
(19100, NULL, 'G3DSA:2.40.50.840', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19101, NULL, 'G3DSA:3.30.1390.40', NULL, NULL, NULL, NULL, 'Ribosomal protein L30p/L7e', NULL, NULL, NULL, 3),
(19102, NULL, 'G3DSA:6.10.140.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19103, NULL, 'G3DSA:2.40.160.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19104, NULL, 'G3DSA:1.20.150.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 32251, 3),
(19105, NULL, 'G3DSA:1.10.506.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19106, NULL, 'G3DSA:6.10.140.2010', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19107, NULL, 'G3DSA:6.10.250.890', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19108, NULL, 'G3DSA:3.10.450.250', NULL, NULL, NULL, NULL, 'S. aureus uracil DNA glycosylase inhibitor', NULL, NULL, 38721, 3),
(19109, NULL, 'G3DSA:3.40.50.10850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19110, NULL, 'G3DSA:1.10.287.400', NULL, NULL, NULL, NULL, '', NULL, NULL, 12911, 3),
(19111, NULL, 'G3DSA:2.40.50.810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19112, NULL, 'G3DSA:1.20.1580.10', NULL, NULL, NULL, NULL, 'ABC transporter ATPase  like domain', NULL, NULL, NULL, 3),
(19113, NULL, 'G3DSA:3.90.120.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19114, NULL, 'G3DSA:3.30.70.850', NULL, NULL, NULL, NULL, '', NULL, NULL, 34726, 3),
(19115, NULL, 'G3DSA:4.10.91.10', NULL, NULL, NULL, NULL, 'Cytochrome c oxidase, subunit VIIa', NULL, NULL, 36347, 3),
(19116, NULL, 'G3DSA:2.60.20.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 14184, 3),
(19117, NULL, 'G3DSA:3.40.1530.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 32428, 3),
(19118, NULL, 'G3DSA:3.30.1490.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19119, NULL, 'G3DSA:6.10.250.940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19120, NULL, 'G3DSA:1.25.50.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31635, 3),
(19121, NULL, 'G3DSA:3.10.390.20', NULL, NULL, NULL, NULL, 'Viral glycoprotein L', NULL, NULL, 31483, 3),
(19122, NULL, 'G3DSA:3.30.300.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 32122, 3),
(19123, NULL, 'G3DSA:3.40.50.1460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19124, NULL, 'G3DSA:1.10.3500.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 15795, 3),
(19125, NULL, 'G3DSA:2.60.480.10', NULL, NULL, NULL, NULL, 'eubacterium ventriosum atcc domain', NULL, NULL, 33902, 3),
(19126, NULL, 'G3DSA:1.10.287.3160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19127, NULL, 'G3DSA:2.60.40.2180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19128, NULL, 'G3DSA:3.30.60.300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19129, NULL, 'G3DSA:1.10.8.380', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF01937, DUF89, domain 1', NULL, NULL, NULL, 3),
(19130, NULL, 'G3DSA:1.10.3870.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19131, NULL, 'G3DSA:3.30.1360.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19132, NULL, 'G3DSA:3.30.1360.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19133, NULL, 'G3DSA:6.20.120.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 32895, 3),
(19134, NULL, 'G3DSA:1.25.40.990', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19135, NULL, 'G3DSA:2.40.160.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19136, NULL, 'G3DSA:1.10.10.140', NULL, NULL, NULL, NULL, 'Cytochrome c oxidase, subunit VIb', NULL, NULL, 36383, 3),
(19137, NULL, 'G3DSA:3.10.50.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 25993, 3),
(19138, NULL, 'G3DSA:1.20.1690.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36062, 3),
(19139, NULL, 'G3DSA:1.10.470.10', NULL, NULL, NULL, NULL, 'Variant Surface Glycoprotein, subunit A, domain 2', NULL, NULL, NULL, 3),
(19140, NULL, 'G3DSA:3.30.360.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19141, NULL, 'G3DSA:2.30.280.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34165, 3),
(19142, NULL, 'G3DSA:3.30.1180.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37215, 3),
(19143, NULL, 'G3DSA:6.10.250.1720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19144, NULL, 'G3DSA:1.20.120.1320', NULL, NULL, NULL, NULL, 'Aspartokinase, catalytic domain', NULL, NULL, 37568, 3),
(19145, NULL, 'G3DSA:1.10.790.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35405, 3),
(19146, NULL, 'G3DSA:2.10.80.10', NULL, NULL, NULL, NULL, 'Lipase, subunit A', NULL, NULL, NULL, 3),
(19147, NULL, 'G3DSA:2.60.40.4360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19148, NULL, 'G3DSA:1.20.120.650', NULL, NULL, NULL, NULL, 'Colicin D', NULL, NULL, 33656, 3),
(19149, NULL, 'G3DSA:1.10.287.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19150, NULL, 'G3DSA:1.10.287.1030', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19151, NULL, 'G3DSA:2.60.40.2930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19152, NULL, 'G3DSA:1.10.10.820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19153, NULL, 'G3DSA:3.90.70.10', NULL, NULL, NULL, NULL, 'Cysteine proteinases', NULL, NULL, NULL, 3),
(19154, NULL, 'G3DSA:3.30.1110.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19155, NULL, 'G3DSA:1.10.287.980', NULL, NULL, NULL, NULL, 'plastocyanin oxidoreductase', NULL, NULL, NULL, 3),
(19156, NULL, 'G3DSA:4.10.1000.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19157, NULL, 'G3DSA:2.60.120.1330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19158, NULL, 'G3DSA:3.30.1330.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30226, 3),
(19159, NULL, 'G3DSA:3.30.310.160', NULL, NULL, NULL, NULL, 'YycH protein, domain 2', NULL, NULL, 37290, 3),
(19160, NULL, 'G3DSA:1.10.10.2490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19161, NULL, 'G3DSA:3.40.1390.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19162, NULL, 'G3DSA:3.30.2330.10', NULL, NULL, NULL, NULL, 'arginine biosynthesis bifunctional protein suprefamily', NULL, NULL, NULL, 3),
(19163, NULL, 'G3DSA:6.10.250.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19164, NULL, 'G3DSA:2.60.120.1540', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19165, NULL, 'G3DSA:6.10.140.1380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19166, NULL, 'G3DSA:2.30.270.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19167, NULL, 'G3DSA:3.40.1770.10', NULL, NULL, NULL, NULL, 'Urocanase superfamily', NULL, NULL, NULL, 3),
(19168, NULL, 'G3DSA:1.10.1280.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8619, 3),
(19169, NULL, 'G3DSA:2.60.40.1410', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19170, NULL, 'G3DSA:3.30.310.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 33772, 3),
(19171, NULL, 'G3DSA:1.20.120.1240', NULL, NULL, NULL, NULL, 'Dynamin, middle domain', NULL, NULL, NULL, 3),
(19172, NULL, 'G3DSA:1.10.10.880', NULL, NULL, NULL, NULL, '', NULL, NULL, 30654, 3),
(19173, NULL, 'G3DSA:2.60.40.770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19174, NULL, 'G3DSA:1.20.120.1720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19175, NULL, 'G3DSA:3.30.70.2830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19176, NULL, 'G3DSA:2.60.40.1620', NULL, NULL, NULL, NULL, '', NULL, NULL, 30285, 3),
(19177, NULL, 'G3DSA:1.10.10.1930', NULL, NULL, NULL, NULL, '', NULL, NULL, 32374, 3),
(19178, NULL, 'G3DSA:2.60.220.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 10923, 3);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19179, NULL, 'G3DSA:3.90.70.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19180, NULL, 'G3DSA:3.40.1520.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34872, 3),
(19181, NULL, 'G3DSA:1.20.58.1380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19182, NULL, 'G3DSA:3.30.310.140', NULL, NULL, NULL, NULL, 'sec7 domains', NULL, NULL, 33287, 3),
(19183, NULL, 'G3DSA:3.40.1350.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19184, NULL, 'G3DSA:3.30.70.2620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19185, NULL, 'G3DSA:2.60.40.1690', NULL, NULL, NULL, NULL, 'Head and neck region of the ectodomain of NDV fusion glycoprotein', NULL, NULL, NULL, 3),
(19186, NULL, 'G3DSA:3.40.50.510', NULL, NULL, NULL, NULL, '', NULL, NULL, 30976, 3),
(19187, NULL, 'G3DSA:3.20.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37324, 3),
(19188, NULL, 'G3DSA:2.60.40.3570', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19189, NULL, 'G3DSA:3.30.1310.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30850, 3),
(19190, NULL, 'G3DSA:2.60.40.1390', NULL, NULL, NULL, NULL, '', NULL, NULL, 30238, 3),
(19191, NULL, 'G3DSA:6.10.250.1880', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19192, NULL, 'G3DSA:3.30.110.170', NULL, NULL, NULL, NULL, 'Protein of unknown function (DUF541), domain 1', NULL, NULL, NULL, 3),
(19193, NULL, 'G3DSA:1.20.1270.370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19194, NULL, 'G3DSA:1.20.120.510', NULL, NULL, NULL, NULL, 'mg296 homolog like', NULL, NULL, 21806, 3),
(19195, NULL, 'G3DSA:2.60.120.1360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19196, NULL, 'G3DSA:1.10.1370.10', NULL, NULL, NULL, NULL, 'Neurolysin, domain 3', NULL, NULL, 12683, 3),
(19197, NULL, 'G3DSA:6.10.250.2510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19198, NULL, 'G3DSA:2.60.40.2200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19199, NULL, 'G3DSA:1.20.58.840', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19200, NULL, 'G3DSA:3.10.450.400', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF15513, DUF4651', NULL, NULL, NULL, 3),
(19201, NULL, 'G3DSA:1.25.10.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19202, NULL, 'G3DSA:1.10.472.150', NULL, NULL, NULL, NULL, '', NULL, NULL, 37709, 3),
(19203, NULL, 'G3DSA:2.60.40.3750', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19204, NULL, 'G3DSA:1.10.300.10', NULL, NULL, NULL, NULL, 'Adenylosuccinate Synthetase, subunit A, domain 2', NULL, NULL, 38051, 3),
(19205, NULL, 'G3DSA:2.120.10.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 7856, 3),
(19206, NULL, 'G3DSA:1.20.58.1560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19207, NULL, 'G3DSA:3.20.20.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 34170, 3),
(19208, NULL, 'G3DSA:2.60.120.970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19209, NULL, 'G3DSA:1.10.10.1180', NULL, NULL, NULL, NULL, '', NULL, NULL, 33094, 3),
(19210, NULL, 'G3DSA:3.30.1640.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19211, NULL, 'G3DSA:1.10.3140.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19212, NULL, 'G3DSA:3.40.50.11460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19213, NULL, 'G3DSA:2.170.130.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19214, NULL, 'G3DSA:1.10.10.910', NULL, NULL, NULL, NULL, 'ATP synthase, F1 beta subunit', NULL, NULL, 34222, 3),
(19215, NULL, 'G3DSA:3.30.60.280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19216, NULL, 'G3DSA:3.10.20.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19217, NULL, 'G3DSA:6.10.250.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19218, NULL, 'G3DSA:3.30.160.340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19219, NULL, 'G3DSA:3.90.220.20', NULL, NULL, NULL, NULL, 'DNA methylase specificity domains', NULL, NULL, 39363, 3),
(19220, NULL, 'G3DSA:1.20.58.760', NULL, NULL, NULL, NULL, 'Peptidase M41', NULL, NULL, 36182, 3),
(19221, NULL, 'G3DSA:1.10.287.1240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19222, NULL, 'G3DSA:2.60.40.1770', NULL, NULL, NULL, NULL, 'ephrin a2 ectodomain', NULL, NULL, NULL, 3);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19223, NULL, 'G3DSA:3.30.70.1130', NULL, NULL, NULL, NULL, 'EIF_2_alpha', NULL, NULL, 12163, 3),
(19224, NULL, 'G3DSA:1.10.1740.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19225, NULL, 'G3DSA:3.40.50.11490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19226, NULL, 'G3DSA:3.40.50.360', NULL, NULL, NULL, NULL, '', NULL, NULL, 26388, 3),
(19227, NULL, 'G3DSA:4.10.800.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30708, 3),
(19228, NULL, 'G3DSA:2.20.28.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19229, NULL, 'G3DSA:6.10.250.2280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19230, NULL, 'G3DSA:1.20.1270.60', NULL, NULL, NULL, NULL, 'Arfaptin homology (AH) domain/BAR domain', NULL, NULL, 17652, 3),
(19231, NULL, 'G3DSA:1.20.890.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19232, NULL, 'G3DSA:2.30.30.420', NULL, NULL, NULL, NULL, 'glucansucrase', NULL, NULL, NULL, 3),
(19233, NULL, 'G3DSA:3.20.170.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 34331, 3),
(19234, NULL, 'G3DSA:3.90.180.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19235, NULL, 'G3DSA:1.10.10.1900', NULL, NULL, NULL, NULL, '', NULL, NULL, 39443, 3),
(19236, NULL, 'G3DSA:1.10.860.10', NULL, NULL, NULL, NULL, 'DNAb Helicase; Chain A', NULL, NULL, 11319, 3),
(19237, NULL, 'G3DSA:6.10.140.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19238, NULL, 'G3DSA:1.20.120.1900', NULL, NULL, NULL, NULL, '', NULL, NULL, 36534, 3),
(19239, NULL, 'G3DSA:1.20.58.870', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19240, NULL, 'G3DSA:1.10.720.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 9097, 3),
(19241, NULL, 'G3DSA:1.20.5.260', NULL, NULL, NULL, NULL, '', NULL, NULL, 32403, 3),
(19242, NULL, 'G3DSA:6.20.340.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19243, NULL, 'G3DSA:3.40.50.10900', NULL, NULL, NULL, NULL, '', NULL, NULL, 29230, 3),
(19244, NULL, 'G3DSA:1.10.1410.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19245, NULL, 'G3DSA:3.60.20.10', NULL, NULL, NULL, NULL, 'Glutamine Phosphoribosylpyrophosphate, subunit 1, domain 1', NULL, NULL, 25552, 3),
(19246, NULL, 'G3DSA:3.40.190.120', NULL, NULL, NULL, NULL, 'Osmoprotection protein (prox); domain 2', NULL, NULL, NULL, 3),
(19247, NULL, 'G3DSA:1.10.287.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19248, NULL, 'G3DSA:3.40.50.12280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19249, NULL, 'G3DSA:1.10.287.740', NULL, NULL, NULL, NULL, 'Photosystem II PsbZ, reaction centre', NULL, NULL, 32551, 3),
(19250, NULL, 'G3DSA:1.10.246.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19251, NULL, 'G3DSA:1.10.290.10', NULL, NULL, NULL, NULL, 'Topoisomerase I, domain 4', NULL, NULL, 18175, 3),
(19252, NULL, 'G3DSA:6.10.250.3070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19253, NULL, 'G3DSA:3.40.220.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 29030, 3),
(19254, NULL, 'G3DSA:2.20.210.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19255, NULL, 'G3DSA:6.10.240.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19256, NULL, 'G3DSA:4.10.1200.10', NULL, NULL, NULL, NULL, 'nitrate reductase tail', NULL, NULL, 39413, 3),
(19257, NULL, 'G3DSA:2.40.10.480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19258, NULL, 'G3DSA:2.60.40.4120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19259, NULL, 'G3DSA:1.10.3520.10', NULL, NULL, NULL, NULL, 'Glycolipid transfer protein', NULL, NULL, 33613, 3),
(19260, NULL, 'G3DSA:2.60.40.3720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19261, NULL, 'G3DSA:2.40.10.320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19262, NULL, 'G3DSA:1.20.1050.40', NULL, NULL, NULL, NULL, 'Endopeptidase. Chain P; domain 1', NULL, NULL, 12979, 3),
(19263, NULL, 'G3DSA:2.70.98.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19264, NULL, 'G3DSA:3.10.520.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 4741, 3),
(19265, NULL, 'G3DSA:3.30.70.2860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19266, NULL, 'G3DSA:2.60.40.1630', NULL, NULL, NULL, NULL, 'bacillus anthracis domain', NULL, NULL, NULL, 3);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19267, NULL, 'G3DSA:6.10.250.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19268, NULL, 'G3DSA:3.90.249.10', NULL, NULL, NULL, NULL, 'Hexon Major Viral Coat Protein, domain 3', NULL, NULL, 11484, 3),
(19269, NULL, 'G3DSA:2.30.110.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19270, NULL, 'G3DSA:3.30.870.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 32507, 3),
(19271, NULL, 'G3DSA:1.10.10.640', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19272, NULL, 'G3DSA:2.30.24.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33075, 3),
(19273, NULL, 'G3DSA:2.40.50.660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19274, NULL, 'G3DSA:3.10.380.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 32388, 3),
(19275, NULL, 'G3DSA:3.40.50.12820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19276, NULL, 'G3DSA:2.40.128.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19277, NULL, 'G3DSA:1.10.439.10', NULL, NULL, NULL, NULL, 'Penicillin Amidohydrolase, domain 1', NULL, NULL, 15563, 3),
(19278, NULL, 'G3DSA:1.20.120.1510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19279, NULL, 'G3DSA:4.10.1310.10', NULL, NULL, NULL, NULL, 'Dinoflagellate luciferase repeat', NULL, NULL, 36750, 3),
(19280, NULL, 'G3DSA:2.20.25.510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19281, NULL, 'G3DSA:3.90.39.10', NULL, NULL, NULL, NULL, 'Hexon Major Viral Coat Protein, domain 2', NULL, NULL, 39133, 3),
(19282, NULL, 'G3DSA:1.10.1070.11', NULL, NULL, NULL, NULL, '', NULL, NULL, 30198, 3),
(19283, NULL, 'G3DSA:6.10.250.3280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19284, NULL, 'G3DSA:4.10.870.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 27515, 3),
(19285, NULL, 'G3DSA:6.10.140.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19286, NULL, 'G3DSA:1.20.5.1140', NULL, NULL, NULL, NULL, 'Docking domain of the erythromycin polyketide synthase (DEBS)', NULL, NULL, NULL, 3),
(19287, NULL, 'G3DSA:3.30.457.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19288, NULL, 'G3DSA:3.90.228.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 14084, 3),
(19289, NULL, 'G3DSA:6.10.20.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19290, NULL, 'G3DSA:3.55.60.10', NULL, NULL, NULL, NULL, 'Reovirus components', NULL, NULL, NULL, 3),
(19291, NULL, 'G3DSA:3.30.70.1470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19292, NULL, 'G3DSA:3.90.310.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 9196, 3),
(19293, NULL, 'G3DSA:1.25.40.800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19294, NULL, 'G3DSA:1.20.1440.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19295, NULL, 'G3DSA:3.60.20.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 37676, 3),
(19296, NULL, 'G3DSA:1.10.3700.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 15916, 3),
(19297, NULL, 'G3DSA:1.20.5.5260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19298, NULL, 'G3DSA:3.40.50.11130', NULL, NULL, NULL, NULL, 'Glycoprotein VP7, domain 1', NULL, NULL, 37592, 3),
(19299, NULL, 'G3DSA:3.30.70.670', NULL, NULL, NULL, NULL, '', NULL, NULL, 32240, 3),
(19300, NULL, 'G3DSA:1.10.1610.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 19783, 3),
(19301, NULL, 'G3DSA:3.30.70.2080', NULL, NULL, NULL, NULL, '', NULL, NULL, 36331, 3),
(19302, NULL, 'G3DSA:3.20.120.10', NULL, NULL, NULL, NULL, 'Hydrophobin', NULL, NULL, 34611, 3),
(19303, NULL, 'G3DSA:3.15.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19304, NULL, 'G3DSA:1.20.120.1490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19305, NULL, 'G3DSA:3.10.20.820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19306, NULL, 'G3DSA:1.10.287.560', NULL, NULL, NULL, NULL, '', NULL, NULL, 30690, 3),
(19307, NULL, 'G3DSA:2.40.50.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19308, NULL, 'G3DSA:3.30.1330.180', NULL, NULL, NULL, NULL, 'Cyanuric acid hydrolase/Barbiturase, RU B', NULL, NULL, 38740, 3),
(19309, NULL, 'G3DSA:1.10.150.420', NULL, NULL, NULL, NULL, '', NULL, NULL, 34792, 3),
(19310, NULL, 'G3DSA:6.10.250.730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19311, NULL, 'G3DSA:4.10.340.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 7831, 3),
(19312, NULL, 'G3DSA:1.10.287.860', NULL, NULL, NULL, NULL, 'Nucleotidyltransferase', NULL, NULL, NULL, 3),
(19313, NULL, 'G3DSA:6.10.250.2120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19314, NULL, 'G3DSA:2.60.40.2750', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19315, NULL, 'G3DSA:2.30.30.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19316, NULL, 'G3DSA:3.40.850.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19317, NULL, 'G3DSA:6.10.250.1510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19318, NULL, 'G3DSA:3.10.550.10', NULL, NULL, NULL, NULL, 'Hypothetical protein Atu2299', NULL, NULL, 21299, 3),
(19319, NULL, 'G3DSA:3.90.940.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32962, 3),
(19320, NULL, 'G3DSA:3.40.50.720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19321, NULL, 'G3DSA:1.10.418.90', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF1823', NULL, NULL, NULL, 3),
(19322, NULL, 'G3DSA:1.20.1270.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 11333, 3),
(19323, NULL, 'G3DSA:3.40.1590.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34817, 3),
(19324, NULL, 'G3DSA:6.20.50.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 32441, 3),
(19325, NULL, 'G3DSA:3.30.460.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19326, NULL, 'G3DSA:3.10.490.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19327, NULL, 'G3DSA:3.40.50.960', NULL, NULL, NULL, NULL, 'Lumazine/riboflavin synthase', NULL, NULL, 31511, 3),
(19328, NULL, 'G3DSA:2.70.180.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19329, NULL, 'G3DSA:3.30.160.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19330, NULL, 'G3DSA:2.40.50.630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19331, NULL, 'G3DSA:1.10.443.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 33666, 3),
(19332, NULL, 'G3DSA:3.40.50.1980', NULL, NULL, NULL, NULL, 'Nitrogenase molybdenum iron protein domain', NULL, NULL, NULL, 3),
(19333, NULL, 'G3DSA:1.20.930.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19334, NULL, 'G3DSA:6.10.140.330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19335, NULL, 'G3DSA:6.10.140.1590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19336, NULL, 'G3DSA:1.20.1280.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19337, NULL, 'G3DSA:6.10.250.1120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19338, NULL, 'G3DSA:3.60.21.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 25787, 3),
(19339, NULL, 'G3DSA:2.20.25.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19340, NULL, 'G3DSA:4.10.900.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 27644, 3),
(19341, NULL, 'G3DSA:3.40.1080.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 34848, 3),
(19342, NULL, 'G3DSA:2.60.120.810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19343, NULL, 'G3DSA:2.10.150.10', NULL, NULL, NULL, NULL, 'Urease, beta subunit', NULL, NULL, 30693, 3),
(19344, NULL, 'G3DSA:1.25.40.200', NULL, NULL, NULL, NULL, '', NULL, NULL, 34935, 3),
(19345, NULL, 'G3DSA:1.10.287.950', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19346, NULL, 'G3DSA:3.90.340.10', NULL, NULL, NULL, NULL, 'Nitric Oxide Synthase; Chain A, domain 1', NULL, NULL, 36952, 3),
(19347, NULL, 'G3DSA:3.30.1120.40', NULL, NULL, NULL, NULL, 'Stage V sporulation protein G', NULL, NULL, 34878, 3),
(19348, NULL, 'G3DSA:2.10.50.10', NULL, NULL, NULL, NULL, 'Tumor Necrosis Factor Receptor, subunit A, domain 2', NULL, NULL, NULL, 3),
(19349, NULL, 'G3DSA:1.20.1270.340', NULL, NULL, NULL, NULL, '', NULL, NULL, 35253, 3),
(19350, NULL, 'G3DSA:1.10.10.2330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19351, NULL, 'G3DSA:2.170.150.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19352, NULL, 'G3DSA:3.30.240.10', NULL, NULL, NULL, NULL, 'CRO Repressor', NULL, NULL, 33585, 3),
(19353, NULL, 'G3DSA:3.30.750.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19354, NULL, 'G3DSA:2.60.40.1200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19355, NULL, 'G3DSA:1.25.40.410', NULL, NULL, NULL, NULL, '', NULL, NULL, 37387, 3),
(19356, NULL, 'G3DSA:3.30.1940.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31519, 3),
(19357, NULL, 'G3DSA:3.30.2320.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19358, NULL, 'G3DSA:1.20.120.1880', NULL, NULL, NULL, NULL, '', NULL, NULL, 36598, 3),
(19359, NULL, 'G3DSA:3.40.190.170', NULL, NULL, NULL, NULL, '', NULL, NULL, 29198, 3),
(19360, NULL, 'G3DSA:2.40.30.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 16238, 3),
(19361, NULL, 'G3DSA:1.10.10.1720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19362, NULL, 'G3DSA:3.90.1570.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19363, NULL, 'G3DSA:1.10.1220.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19364, NULL, 'G3DSA:1.25.40.780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19365, NULL, 'G3DSA:4.10.140.10', NULL, NULL, NULL, NULL, 'Thrombin light chain domain', NULL, NULL, 30408, 3),
(19366, NULL, 'G3DSA:1.10.720.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19367, NULL, 'G3DSA:1.20.990.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 15716, 3),
(19368, NULL, 'G3DSA:2.60.40.2390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19369, NULL, 'G3DSA:2.40.50.1010', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19370, NULL, 'G3DSA:3.30.300.290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19371, NULL, 'G3DSA:3.50.14.10', NULL, NULL, NULL, NULL, 'Replication terminator Tus, domain 1 superfamily/Replication terminator Tus', NULL, NULL, 34966, 3),
(19372, NULL, 'G3DSA:3.30.56.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19373, NULL, 'G3DSA:1.20.1480.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 13896, 3),
(19374, NULL, 'G3DSA:3.30.1330.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 33562, 3),
(19375, NULL, 'G3DSA:3.40.1620.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19376, NULL, 'G3DSA:4.10.1030.10', NULL, NULL, NULL, NULL, 'Ring Box Chain A; domain 5', NULL, NULL, NULL, 3),
(19377, NULL, 'G3DSA:3.90.1260.10', NULL, NULL, NULL, NULL, 'Argininosuccinate synthetase, chain A, domain 2', NULL, NULL, 12614, 3),
(19378, NULL, 'G3DSA:3.30.70.2650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19379, NULL, 'G3DSA:3.10.620.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30207, 3),
(19380, NULL, 'G3DSA:2.10.70.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19381, NULL, 'G3DSA:1.10.1510.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37330, 3),
(19382, NULL, 'G3DSA:1.10.150.790', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(19383, NULL, 'G3DSA:3.90.350.10', NULL, NULL, NULL, NULL, 'Transposase Inhibitor Protein From Tn5; Chain A, domain 1', NULL, NULL, NULL, 3),
(19384, NULL, 'G3DSA:1.10.3800.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19385, NULL, 'G3DSA:1.20.120.390', NULL, NULL, NULL, NULL, 'Hla class ii histocompatibility antigen, dr alpha chain. Chain D, domain 1', NULL, NULL, NULL, 3),
(19386, NULL, 'G3DSA:3.30.1780.10', NULL, NULL, NULL, NULL, 'ornithine cyclodeaminase, domain 1', NULL, NULL, 16030, 3),
(19387, NULL, 'G3DSA:2.160.20.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19388, NULL, 'G3DSA:2.60.40.350', NULL, NULL, NULL, NULL, '', NULL, NULL, 4839, 3),
(19389, NULL, 'G3DSA:3.40.630.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19390, NULL, 'G3DSA:2.60.40.2520', NULL, NULL, NULL, NULL, 'CFA/I fimbrial subunit E, adhesin domain', NULL, NULL, 36513, 3),
(19391, NULL, 'G3DSA:1.20.58.2170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19392, NULL, 'G3DSA:3.10.20.250', NULL, NULL, NULL, NULL, '', NULL, NULL, 14646, 3),
(19393, NULL, 'G3DSA:1.10.1820.10', NULL, NULL, NULL, NULL, 'protein kinase ck2 holoenzyme, chain C, domain 1', NULL, NULL, 11115, 3),
(19394, NULL, 'G3DSA:6.10.140.2170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19395, NULL, 'G3DSA:1.20.58.1770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19396, NULL, 'G3DSA:3.20.20.490', NULL, NULL, NULL, NULL, '', NULL, NULL, 34690, 3),
(19397, NULL, 'G3DSA:1.20.58.2220', NULL, NULL, NULL, NULL, 'Formin, FH2 domain', NULL, NULL, 37807, 3);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19398, NULL, 'G3DSA:4.10.240.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30688, 3),
(19399, NULL, 'G3DSA:6.10.140.1770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19400, NULL, 'G3DSA:3.30.1360.210', NULL, NULL, NULL, NULL, '', NULL, NULL, 29827, 3),
(19401, NULL, 'G3DSA:6.10.140.510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19402, NULL, 'G3DSA:3.40.50.10300', NULL, NULL, NULL, NULL, '', NULL, NULL, 21817, 3),
(19403, NULL, 'G3DSA:2.20.28.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19404, NULL, 'G3DSA:1.20.910.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19405, NULL, 'G3DSA:6.10.250.2490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19406, NULL, 'G3DSA:3.40.50.10690', NULL, NULL, NULL, NULL, 'putative lor/sdh protein like domains', NULL, NULL, NULL, 3),
(19407, NULL, 'G3DSA:3.30.450.130', NULL, NULL, NULL, NULL, 'irre protein', NULL, NULL, NULL, 3),
(19408, NULL, 'G3DSA:1.10.8.1080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19409, NULL, 'G3DSA:3.40.970.40', NULL, NULL, NULL, NULL, 'fibrinogen binding protein from staphylococcus aureus domain like', NULL, NULL, NULL, 3),
(19410, NULL, 'G3DSA:1.10.287.3550', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19411, NULL, 'G3DSA:1.10.520.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 33868, 3),
(19412, NULL, 'G3DSA:3.40.50.11280', NULL, NULL, NULL, NULL, '', NULL, NULL, 39659, 3),
(19413, NULL, 'G3DSA:2.60.40.2960', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19414, NULL, 'G3DSA:3.60.90.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19415, NULL, 'G3DSA:3.90.210.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19416, NULL, 'G3DSA:3.10.450.30', NULL, NULL, NULL, NULL, 'Microbial ribonucleases', NULL, NULL, NULL, 3),
(19417, NULL, 'G3DSA:6.10.280.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19418, NULL, 'G3DSA:2.60.40.3360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19419, NULL, 'G3DSA:3.30.70.2340', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF12112 family, DUF3579', NULL, NULL, NULL, 3),
(19420, NULL, 'G3DSA:3.30.980.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19421, NULL, 'G3DSA:3.30.60.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19422, NULL, 'G3DSA:1.10.287.900', NULL, NULL, NULL, NULL, 'The crystal structure of the spermine/spermidine acetyltransferase from enterococcus faecali', NULL, NULL, 28772, 3),
(19423, NULL, 'G3DSA:3.30.2310.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 29197, 3),
(19424, NULL, 'G3DSA:2.40.50.450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19425, NULL, 'G3DSA:1.20.5.1070', NULL, NULL, NULL, NULL, 'Head and neck region of the ectodomain of NDV fusion glycoprotein', NULL, NULL, NULL, 3),
(19426, NULL, 'G3DSA:1.10.3650.10', NULL, NULL, NULL, NULL, 'nitrate reductase domain like', NULL, NULL, 29633, 3),
(19427, NULL, 'G3DSA:1.10.10.850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19428, NULL, 'G3DSA:3.10.450.610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19429, NULL, 'G3DSA:1.10.220.150', NULL, NULL, NULL, NULL, 'Arf GTPase activating protein', NULL, NULL, 34779, 3),
(19430, NULL, 'G3DSA:1.20.50.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19431, NULL, 'G3DSA:6.20.440.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19432, NULL, 'G3DSA:1.10.287.770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19433, NULL, 'G3DSA:1.20.58.2010', NULL, NULL, NULL, NULL, 'PRONE domain, subdomain 1', NULL, NULL, NULL, 3),
(19434, NULL, 'G3DSA:1.20.5.2700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19435, NULL, 'G3DSA:6.10.250.1900', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19436, NULL, 'G3DSA:3.40.1310.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19437, NULL, 'G3DSA:3.30.450.270', NULL, NULL, NULL, NULL, '', NULL, NULL, 36880, 3),
(19438, NULL, 'G3DSA:3.30.70.1490', NULL, NULL, NULL, NULL, 'Cysteine protease Prp', NULL, NULL, 34713, 3),
(19439, NULL, 'G3DSA:2.60.120.1150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19440, NULL, 'G3DSA:1.20.1270.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19441, NULL, 'G3DSA:1.10.238.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19442, NULL, 'G3DSA:6.10.250.2300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19443, NULL, 'G3DSA:1.20.920.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19444, NULL, 'G3DSA:2.40.40.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 37032, 3),
(19445, NULL, 'G3DSA:3.90.70.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19446, NULL, 'G3DSA:3.40.20.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19447, NULL, 'G3DSA:2.60.40.4330', NULL, NULL, NULL, NULL, '', NULL, NULL, 32816, 3),
(19448, NULL, 'G3DSA:2.60.40.1380', NULL, NULL, NULL, NULL, 'E set domains; domain 4', NULL, NULL, 14827, 3),
(19449, NULL, 'G3DSA:3.30.2350.10', NULL, NULL, NULL, NULL, 'Pseudouridine synthase', NULL, NULL, NULL, 3),
(19450, NULL, 'G3DSA:3.30.70.1290', NULL, NULL, NULL, NULL, '', NULL, NULL, 32896, 3),
(19451, NULL, 'G3DSA:3.30.300.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 29292, 3),
(19452, NULL, 'G3DSA:1.10.1740.170', NULL, NULL, NULL, NULL, 'Erythrocyte binding antigen 175 region VI', NULL, NULL, 38677, 3),
(19453, NULL, 'G3DSA:6.10.140.900', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19454, NULL, 'G3DSA:1.10.1070.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19455, NULL, 'G3DSA:3.40.1000.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19456, NULL, 'G3DSA:6.10.250.340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19457, NULL, 'G3DSA:4.10.80.20', NULL, NULL, NULL, NULL, 'DNA polymerase; domain 5', NULL, NULL, NULL, 3),
(19458, NULL, 'G3DSA:1.20.120.850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19459, NULL, 'G3DSA:6.10.250.2880', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19460, NULL, 'G3DSA:3.30.160.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19461, NULL, 'G3DSA:2.60.40.740', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19462, NULL, 'G3DSA:1.10.1200.150', NULL, NULL, NULL, NULL, '', NULL, NULL, 32524, 3),
(19463, NULL, 'G3DSA:2.30.140.40', NULL, NULL, NULL, NULL, 'Pestivirus Npro endopeptidase C53, interaction domain', NULL, NULL, 36521, 3),
(19464, NULL, 'G3DSA:2.60.40.3930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19465, NULL, 'G3DSA:2.30.30.810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19466, NULL, 'G3DSA:3.90.70.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 35753, 3),
(19467, NULL, 'G3DSA:1.10.8.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19468, NULL, 'G3DSA:3.90.840.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34372, 3),
(19469, NULL, 'G3DSA:3.30.1660.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 25311, 3),
(19470, NULL, 'G3DSA:3.10.20.300', NULL, NULL, NULL, NULL, 'mk0293 like domain', NULL, NULL, NULL, 3),
(19471, NULL, 'G3DSA:1.10.10.1480', NULL, NULL, NULL, NULL, 'Plasmid replication protein', NULL, NULL, 32234, 3),
(19472, NULL, 'G3DSA:2.170.150.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19473, NULL, 'G3DSA:3.30.730.10', NULL, NULL, NULL, NULL, 'AP2/ERF domain', NULL, NULL, 30536, 3),
(19474, NULL, 'G3DSA:1.10.4190.10', NULL, NULL, NULL, NULL, 'Urease accessory protein UreF', NULL, NULL, 33592, 3),
(19475, NULL, 'G3DSA:3.30.2460.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 37858, 3),
(19476, NULL, 'G3DSA:1.20.1050.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19477, NULL, 'G3DSA:3.30.1370.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19478, NULL, 'G3DSA:4.10.75.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19479, NULL, 'G3DSA:3.40.50.11580', NULL, NULL, NULL, NULL, '', NULL, NULL, 37087, 3),
(19480, NULL, 'G3DSA:6.10.140.1630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19481, NULL, 'G3DSA:1.10.1220.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19482, NULL, 'G3DSA:3.30.70.3570', NULL, NULL, NULL, NULL, 'MvaI/BcnI restriction endonuclease, recognition domain', NULL, NULL, 38731, 3),
(19483, NULL, 'G3DSA:1.20.58.1040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19484, NULL, 'G3DSA:3.30.2030.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19485, NULL, 'G3DSA:4.10.80.40', NULL, NULL, NULL, NULL, 'succinate dehydrogenase protein domain', NULL, NULL, NULL, 3),
(19486, NULL, 'G3DSA:2.40.50.480', NULL, NULL, NULL, NULL, '', NULL, NULL, 32951, 3),
(19487, NULL, 'G3DSA:1.20.5.490', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(19488, NULL, 'G3DSA:6.10.140.1710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19489, NULL, 'G3DSA:1.10.150.470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19490, NULL, 'G3DSA:1.10.150.390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19491, NULL, 'G3DSA:3.30.465.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19492, NULL, 'G3DSA:2.170.150.10', NULL, NULL, NULL, NULL, 'Metal Binding Protein, Guanine Nucleotide Exchange Factor; Chain A', NULL, NULL, 13990, 3),
(19493, NULL, 'G3DSA:3.40.1170.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19494, NULL, 'G3DSA:2.10.160.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30201, 3),
(19495, NULL, 'G3DSA:3.30.70.2150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19496, NULL, 'G3DSA:2.60.40.150', NULL, NULL, NULL, NULL, 'C2 domain', NULL, NULL, 6578, 3),
(19497, NULL, 'G3DSA:3.30.750.44', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19498, NULL, 'G3DSA:2.60.120.980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19499, NULL, 'G3DSA:1.50.40.10', NULL, NULL, NULL, NULL, 'Mitochondrial carrier domain', NULL, NULL, 16397, 3),
(19500, NULL, 'G3DSA:3.90.850.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34117, 3),
(19501, NULL, 'G3DSA:1.10.10.2660', NULL, NULL, NULL, NULL, '', NULL, NULL, 33437, 3),
(19502, NULL, 'G3DSA:6.20.250.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19503, NULL, 'G3DSA:1.10.10.2740', NULL, NULL, NULL, NULL, '', NULL, NULL, 32765, 3),
(19504, NULL, 'G3DSA:2.60.40.2060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19505, NULL, 'G3DSA:1.20.120.1380', NULL, NULL, NULL, NULL, 'Flagellar FlhF biosynthesis protein, N domain', NULL, NULL, NULL, 3),
(19506, NULL, 'G3DSA:6.20.50.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19507, NULL, 'G3DSA:3.40.50.12050', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19508, NULL, 'G3DSA:4.10.110.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19509, NULL, 'G3DSA:2.60.40.2140', NULL, NULL, NULL, NULL, '', NULL, NULL, 38882, 3),
(19510, NULL, 'G3DSA:1.10.1660.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19511, NULL, 'G3DSA:3.90.79.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 38640, 3),
(19512, NULL, 'G3DSA:6.10.140.910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19513, NULL, 'G3DSA:6.10.140.830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19514, NULL, 'G3DSA:2.60.34.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 29165, 3),
(19515, NULL, 'G3DSA:4.10.372.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 24175, 3),
(19516, NULL, 'G3DSA:1.10.287.2720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19517, NULL, 'G3DSA:6.10.300.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19518, NULL, 'G3DSA:1.20.970.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19519, NULL, 'G3DSA:1.20.5.650', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(19520, NULL, 'G3DSA:4.10.1150.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12823, 3),
(19521, NULL, 'G3DSA:1.20.120.1760', NULL, NULL, NULL, NULL, '', NULL, NULL, 37103, 3),
(19522, NULL, 'G3DSA:2.40.128.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 12405, 3),
(19523, NULL, 'G3DSA:3.30.720.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19524, NULL, 'G3DSA:1.20.120.1390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19525, NULL, 'G3DSA:6.10.140.380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19526, NULL, 'G3DSA:1.10.2030.10', NULL, NULL, NULL, NULL, 'Anthrax toxin lethal factor, domain 3, chain A', NULL, NULL, NULL, 3),
(19527, NULL, 'G3DSA:6.10.140.1180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19528, NULL, 'G3DSA:1.10.390.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19529, NULL, 'G3DSA:1.10.890.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33914, 3);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19530, NULL, 'G3DSA:1.10.220.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19531, NULL, 'G3DSA:6.20.370.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19532, NULL, 'G3DSA:1.20.58.1120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19533, NULL, 'G3DSA:4.10.60.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 34624, 3),
(19534, NULL, 'G3DSA:6.10.250.3350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19535, NULL, 'G3DSA:3.40.1050.10', NULL, NULL, NULL, NULL, 'Carbonic anhydrase', NULL, NULL, 30721, 3),
(19536, NULL, 'G3DSA:2.70.160.11', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19537, NULL, 'G3DSA:1.20.120.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19538, NULL, 'G3DSA:2.70.98.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 29477, 3),
(19539, NULL, 'G3DSA:1.20.141.10', NULL, NULL, NULL, NULL, 'Chitosanase, subunit A, domain 1', NULL, NULL, NULL, 3),
(19540, NULL, 'G3DSA:1.10.150.630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19541, NULL, 'G3DSA:3.90.1150.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19542, NULL, 'G3DSA:6.10.140.1550', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19543, NULL, 'G3DSA:1.10.150.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 7576, 3),
(19544, NULL, 'G3DSA:2.40.50.640', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19545, NULL, 'G3DSA:2.40.410.10', NULL, NULL, NULL, NULL, 'putative membrane protein from Corynebacterium diphtheriae superfamily', NULL, NULL, 16905, 3),
(19546, NULL, 'G3DSA:3.90.1340.10', NULL, NULL, NULL, NULL, 'Phage tail collar domain', NULL, NULL, 31807, 3),
(19547, NULL, 'G3DSA:3.10.450.580', NULL, NULL, NULL, NULL, 'Mediator complex, subunit Med6', NULL, NULL, 33171, 3),
(19548, NULL, 'G3DSA:1.20.1280.260', NULL, NULL, NULL, NULL, '', NULL, NULL, 35272, 3),
(19549, NULL, 'G3DSA:1.20.58.310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19550, NULL, 'G3DSA:3.30.450.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19551, NULL, 'G3DSA:6.10.250.2960', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19552, NULL, 'G3DSA:1.10.269.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35227, 3),
(19553, NULL, 'G3DSA:1.10.10.1200', NULL, NULL, NULL, NULL, 'MAGE homology domain, winged helix WH1 motif', NULL, NULL, 33345, 3),
(19554, NULL, 'G3DSA:1.10.1200.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19555, NULL, 'G3DSA:3.30.1360.110', NULL, NULL, NULL, NULL, 'Domain 2, Phosphonoacetate Hydrolase', NULL, NULL, 6824, 3),
(19556, NULL, 'G3DSA:2.120.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19557, NULL, 'G3DSA:3.30.30.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19558, NULL, 'G3DSA:6.10.140.2100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19559, NULL, 'G3DSA:6.20.200.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19560, NULL, 'G3DSA:3.90.1780.10', NULL, NULL, NULL, NULL, 'Trimeric adhesin', NULL, NULL, 29954, 3),
(19561, NULL, 'G3DSA:2.60.40.4150', NULL, NULL, NULL, NULL, 'Type VI secretion system, lipoprotein SciN', NULL, NULL, 33069, 3),
(19562, NULL, 'G3DSA:6.10.250.690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19563, NULL, 'G3DSA:2.10.50.30', NULL, NULL, NULL, NULL, 'GPCR, family 3, nine cysteines domain', NULL, NULL, 36229, 3),
(19564, NULL, 'G3DSA:3.30.300.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 30636, 3),
(19565, NULL, 'G3DSA:1.25.40.460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19566, NULL, 'G3DSA:1.20.1440.360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19567, NULL, 'G3DSA:1.25.40.620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19568, NULL, 'G3DSA:2.115.10.20', NULL, NULL, NULL, NULL, 'Glycosyl hydrolase domain; family 43', NULL, NULL, 15794, 3),
(19569, NULL, 'G3DSA:1.10.1040.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19570, NULL, 'G3DSA:3.30.559.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 38827, 3),
(19571, NULL, 'G3DSA:4.10.91.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19572, NULL, 'G3DSA:1.20.1280.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19573, NULL, 'G3DSA:3.90.70.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19574, NULL, 'G3DSA:1.10.2040.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8505, 3),
(19575, NULL, 'G3DSA:6.10.20.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19576, NULL, 'G3DSA:1.10.287.1880', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19577, NULL, 'G3DSA:1.20.1290.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 24847, 3),
(19578, NULL, 'G3DSA:6.10.140.540', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19579, NULL, 'G3DSA:1.10.418.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30772, 3),
(19580, NULL, 'G3DSA:6.10.250.770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19581, NULL, 'G3DSA:3.30.470.30', NULL, NULL, NULL, NULL, 'DNA ligase/mRNA capping enzyme', NULL, NULL, NULL, 3),
(19582, NULL, 'G3DSA:2.60.40.1670', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19583, NULL, 'G3DSA:3.40.970.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32097, 3),
(19584, NULL, 'G3DSA:3.30.70.1840', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19585, NULL, 'G3DSA:2.20.28.300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19586, NULL, 'G3DSA:6.10.140.1340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19587, NULL, 'G3DSA:2.30.30.630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19588, NULL, 'G3DSA:1.20.1280.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19589, NULL, 'G3DSA:6.10.250.3270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19590, NULL, 'G3DSA:1.20.5.3070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19591, NULL, 'G3DSA:2.30.30.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 18678, 3),
(19592, NULL, 'G3DSA:3.30.750.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19593, NULL, 'G3DSA:6.10.250.2590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19594, NULL, 'G3DSA:3.90.230.10', NULL, NULL, NULL, NULL, 'Creatinase/methionine aminopeptidase superfamily', NULL, NULL, 32695, 3),
(19595, NULL, 'G3DSA:3.90.660.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19596, NULL, 'G3DSA:2.30.30.710', NULL, NULL, NULL, NULL, '', NULL, NULL, 37962, 3),
(19597, NULL, 'G3DSA:1.20.140.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19598, NULL, 'G3DSA:6.10.140.1390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19599, NULL, 'G3DSA:2.40.350.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19600, NULL, 'G3DSA:2.40.20.10', NULL, NULL, NULL, NULL, 'Plasminogen Kringle 4', NULL, NULL, 32059, 3),
(19601, NULL, 'G3DSA:3.20.90.10', NULL, NULL, NULL, NULL, 'Tubby Protein; Chain A', NULL, NULL, 24605, 3),
(19602, NULL, 'G3DSA:2.60.220.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19603, NULL, 'G3DSA:3.30.70.1890', NULL, NULL, NULL, NULL, '', NULL, NULL, 38761, 3),
(19604, NULL, 'G3DSA:1.10.12.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 7253, 3),
(19605, NULL, 'G3DSA:6.10.140.460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19606, NULL, 'G3DSA:1.10.375.10', NULL, NULL, NULL, NULL, 'Human Immunodeficiency Virus Type 1 Capsid Protein', NULL, NULL, 8933, 3),
(19607, NULL, 'G3DSA:1.10.20.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19608, NULL, 'G3DSA:2.60.40.2220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19609, NULL, 'G3DSA:3.90.1070.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19610, NULL, 'G3DSA:3.30.1850.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31947, 3),
(19611, NULL, 'G3DSA:3.40.600.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 36700, 3),
(19612, NULL, 'G3DSA:1.20.5.1190', NULL, NULL, NULL, NULL, 'iswi atpase', NULL, NULL, NULL, 3),
(19613, NULL, 'G3DSA:3.90.245.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30896, 3),
(19614, NULL, 'G3DSA:3.90.660.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19615, NULL, 'G3DSA:1.10.288.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19616, NULL, 'G3DSA:1.20.140.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 38911, 3),
(19617, NULL, 'G3DSA:3.10.450.590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19618, NULL, 'G3DSA:3.30.390.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19619, NULL, 'G3DSA:3.90.70.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19620, NULL, 'G3DSA:1.10.150.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 33499, 3),
(19621, NULL, 'G3DSA:6.10.140.590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19622, NULL, 'G3DSA:3.90.70.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19623, NULL, 'G3DSA:2.60.40.2510', NULL, NULL, NULL, NULL, '', NULL, NULL, 35476, 3),
(19624, NULL, 'G3DSA:1.10.286.70', NULL, NULL, NULL, NULL, 'Get5 dimerization domain', NULL, NULL, NULL, 3),
(19625, NULL, 'G3DSA:3.30.1460.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19626, NULL, 'G3DSA:2.60.40.2270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19627, NULL, 'G3DSA:3.30.200.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19628, NULL, 'G3DSA:2.40.160.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19629, NULL, 'G3DSA:6.10.250.2670', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19630, NULL, 'G3DSA:1.20.58.1250', NULL, NULL, NULL, NULL, '', NULL, NULL, 32032, 3),
(19631, NULL, 'G3DSA:1.10.590.10', NULL, NULL, NULL, NULL, 'Chorismate mutase, AroQ class superfamily, eukaryotic', NULL, NULL, 31837, 3),
(19632, NULL, 'G3DSA:6.10.10.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 33517, 3),
(19633, NULL, 'G3DSA:1.10.10.950', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19634, NULL, 'G3DSA:6.10.140.1420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19635, NULL, 'G3DSA:2.40.50.770', NULL, NULL, NULL, NULL, '', NULL, NULL, 40016, 3),
(19636, NULL, 'G3DSA:1.20.1440.230', NULL, NULL, NULL, NULL, '', NULL, NULL, 35623, 3),
(19637, NULL, 'G3DSA:1.10.3080.10', NULL, NULL, NULL, NULL, 'Clc chloride channel', NULL, NULL, NULL, 3),
(19638, NULL, 'G3DSA:3.40.50.11660', NULL, NULL, NULL, NULL, '', NULL, NULL, 34964, 3),
(19639, NULL, 'G3DSA:2.60.40.1170', NULL, NULL, NULL, NULL, 'Mu homology domain, subdomain B', NULL, NULL, NULL, 3),
(19640, NULL, 'G3DSA:6.10.250.3410', NULL, NULL, NULL, NULL, 'DBF zinc finger', NULL, NULL, 30431, 3),
(19641, NULL, 'G3DSA:1.10.3380.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19642, NULL, 'G3DSA:1.20.58.600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19643, NULL, 'G3DSA:1.10.287.2480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19644, NULL, 'G3DSA:6.10.140.1840', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19645, NULL, 'G3DSA:3.40.190.190', NULL, NULL, NULL, NULL, 'CypI, domain 2', NULL, NULL, 37367, 3),
(19646, NULL, 'G3DSA:3.30.460.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 30492, 3),
(19647, NULL, 'G3DSA:1.10.150.920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19648, NULL, 'G3DSA:6.10.10.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19649, NULL, 'G3DSA:3.30.70.1390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19650, NULL, 'G3DSA:2.60.40.1960', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19651, NULL, 'G3DSA:3.10.20.410', NULL, NULL, NULL, NULL, '', NULL, NULL, 29977, 3),
(19652, NULL, 'G3DSA:6.10.140.1470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19653, NULL, 'G3DSA:2.60.120.770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19654, NULL, 'G3DSA:3.10.450.160', NULL, NULL, NULL, NULL, 'inner membrane protein cigr', NULL, NULL, NULL, 3),
(19655, NULL, 'G3DSA:3.30.70.2440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19656, NULL, 'G3DSA:3.40.50.10980', NULL, NULL, NULL, NULL, 'Nibrin, BRCT2 domain', NULL, NULL, 38605, 3),
(19657, NULL, 'G3DSA:6.10.250.3220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19658, NULL, 'G3DSA:1.10.287.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 34543, 3),
(19659, NULL, 'G3DSA:2.30.150.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36964, 3),
(19660, NULL, 'G3DSA:1.20.5.570', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(19661, NULL, 'G3DSA:4.10.1290.10', NULL, NULL, NULL, NULL, 'Tumor necrosis factor receptor superfamily', NULL, NULL, NULL, 3),
(19662, NULL, 'G3DSA:1.20.58.1200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19663, NULL, 'G3DSA:2.60.40.1910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19664, NULL, 'G3DSA:1.20.1420.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19665, NULL, 'G3DSA:2.30.30.440', NULL, NULL, NULL, NULL, 'Domain of unknown function DUF1918', NULL, NULL, NULL, 3),
(19666, NULL, 'G3DSA:3.30.2400.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19667, NULL, 'G3DSA:1.20.5.3310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19668, NULL, 'G3DSA:1.10.4050.10', NULL, NULL, NULL, NULL, 'Glutamine synthase adenylyltransferase GlnE', NULL, NULL, NULL, 3),
(19669, NULL, 'G3DSA:2.180.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19670, NULL, 'G3DSA:1.20.120.640', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19671, NULL, 'G3DSA:2.60.120.650', NULL, NULL, NULL, NULL, 'Cupin', NULL, NULL, NULL, 3),
(19672, NULL, 'G3DSA:3.40.50.11290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19673, NULL, 'G3DSA:1.10.287.3030', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19674, NULL, 'G3DSA:1.20.58.340', NULL, NULL, NULL, NULL, 'Magnesium transport protein CorA, transmembrane region', NULL, NULL, NULL, 3),
(19675, NULL, 'G3DSA:1.10.100.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19676, NULL, 'G3DSA:3.40.47.40', NULL, NULL, NULL, NULL, 'Stage V sporulation protein AD', NULL, NULL, 35082, 3),
(19677, NULL, 'G3DSA:2.60.120.1200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19678, NULL, 'G3DSA:1.20.1610.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19679, NULL, 'G3DSA:6.10.140.2020', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19680, NULL, 'G3DSA:2.40.50.910', NULL, NULL, NULL, NULL, 'Type VII secretion system EccB, repeat 3 domain', NULL, NULL, 38013, 3),
(19681, NULL, 'G3DSA:1.25.10.20', NULL, NULL, NULL, NULL, 'Vitellinogen, superhelical', NULL, NULL, 9457, 3),
(19682, NULL, 'G3DSA:1.25.40.540', NULL, NULL, NULL, NULL, '', NULL, NULL, 36114, 3),
(19683, NULL, 'G3DSA:1.10.287.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 31205, 3),
(19684, NULL, 'G3DSA:1.10.287.1040', NULL, NULL, NULL, NULL, 'Exonuclease VII, small subunit', NULL, NULL, 30591, 3),
(19685, NULL, 'G3DSA:3.10.20.320', NULL, NULL, NULL, NULL, 'Putative peptidoglycan bound protein (lpxtg motif)', NULL, NULL, NULL, 3),
(19686, NULL, 'G3DSA:1.20.1440.280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19687, NULL, 'G3DSA:3.90.600.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30292, 3),
(19688, NULL, 'G3DSA:3.10.20.620', NULL, NULL, NULL, NULL, '', NULL, NULL, 36892, 3),
(19689, NULL, 'G3DSA:4.10.790.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19690, NULL, 'G3DSA:3.30.310.80', NULL, NULL, NULL, NULL, 'Kinase associated domain 1, KA1', NULL, NULL, NULL, 3),
(19691, NULL, 'G3DSA:3.30.465.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12313, 3),
(19692, NULL, 'G3DSA:1.10.472.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19693, NULL, 'G3DSA:2.60.390.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30215, 3),
(19694, NULL, 'G3DSA:2.40.50.430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19695, NULL, 'G3DSA:1.10.1740.30', NULL, NULL, NULL, NULL, 'Secreted effector protein SifA helical domain', NULL, NULL, 39430, 3),
(19696, NULL, 'G3DSA:1.10.579.10', NULL, NULL, NULL, NULL, 'DNA Cyclobutane Dipyrimidine Photolyase, subunit A, domain 3', NULL, NULL, NULL, 3),
(19697, NULL, 'G3DSA:1.25.40.830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19698, NULL, 'G3DSA:3.30.43.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12142, 3),
(19699, NULL, 'G3DSA:2.30.30.1270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19700, NULL, 'G3DSA:2.60.40.2720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19701, NULL, 'G3DSA:3.30.310.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19702, NULL, 'G3DSA:6.10.350.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19703, NULL, 'G3DSA:1.20.900.10', NULL, NULL, NULL, NULL, 'Dbl homology (DH) domain', NULL, NULL, 21361, 3),
(19704, NULL, 'G3DSA:3.50.50.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19705, NULL, 'G3DSA:3.50.80.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 16596, 3);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19706, NULL, 'G3DSA:2.40.420.10', NULL, NULL, NULL, NULL, 'conserved putative lor/sdh protein from methanococcus maripaludis s2 domain', NULL, NULL, NULL, 3),
(19707, NULL, 'G3DSA:3.30.70.2360', NULL, NULL, NULL, NULL, '', NULL, NULL, 36130, 3),
(19708, NULL, 'G3DSA:3.30.70.2280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19709, NULL, 'G3DSA:2.60.40.2010', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19710, NULL, 'G3DSA:3.90.1630.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19711, NULL, 'G3DSA:3.40.50.12180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19712, NULL, 'G3DSA:1.10.357.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 40003, 3),
(19713, NULL, 'G3DSA:2.60.40.3540', NULL, NULL, NULL, NULL, 'Domain of unknown function DUF4458', NULL, NULL, 33880, 3),
(19714, NULL, 'G3DSA:2.60.40.2190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19715, NULL, 'G3DSA:2.40.50.510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19716, NULL, 'G3DSA:3.40.1350.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 13715, 3),
(19717, NULL, 'G3DSA:3.10.170.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19718, NULL, 'G3DSA:1.20.5.1030', NULL, NULL, NULL, NULL, 'Preprotein translocase secy subunit', NULL, NULL, 32289, 3),
(19719, NULL, 'G3DSA:1.10.455.10', NULL, NULL, NULL, NULL, 'Ribosomal protein S7 domain', NULL, NULL, 30339, 3),
(19720, NULL, 'G3DSA:1.20.1260.110', NULL, NULL, NULL, NULL, 'DNA integrity scanning linker region', NULL, NULL, 31194, 3),
(19721, NULL, 'G3DSA:6.20.50.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19722, NULL, 'G3DSA:1.10.150.240', NULL, NULL, NULL, NULL, 'Putative phosphatase; domain 2', NULL, NULL, 15526, 3),
(19723, NULL, 'G3DSA:3.30.1370.60', NULL, NULL, NULL, NULL, 'Hypothetical oxidoreductase yiak; domain 2', NULL, NULL, 37511, 3),
(19724, NULL, 'G3DSA:2.40.30.10', NULL, NULL, NULL, NULL, 'Translation factors', NULL, NULL, NULL, 3),
(19725, NULL, 'G3DSA:2.60.40.2800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19726, NULL, 'G3DSA:3.30.710.10', NULL, NULL, NULL, NULL, 'Potassium Channel Kv1.1; Chain A', NULL, NULL, 13809, 3),
(19727, NULL, 'G3DSA:2.70.130.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 9673, 3),
(19728, NULL, 'G3DSA:3.30.160.870', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19729, NULL, 'G3DSA:1.10.210.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19730, NULL, 'G3DSA:1.20.930.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 36335, 3),
(19731, NULL, 'G3DSA:3.40.980.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 37816, 3),
(19732, NULL, 'G3DSA:2.30.30.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 9724, 3),
(19733, NULL, 'G3DSA:3.30.420.570', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19734, NULL, 'G3DSA:6.10.140.880', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19735, NULL, 'G3DSA:2.30.30.1190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19736, NULL, 'G3DSA:6.10.140.1050', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19737, NULL, 'G3DSA:6.10.140.700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19738, NULL, 'G3DSA:3.30.70.2100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19739, NULL, 'G3DSA:3.30.70.2020', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19740, NULL, 'G3DSA:3.30.1140.32', NULL, NULL, NULL, NULL, '', NULL, NULL, 30314, 3),
(19741, NULL, 'G3DSA:1.10.1650.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19742, NULL, 'G3DSA:3.30.70.2400', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF13773, DUF4170', NULL, NULL, NULL, 3),
(19743, NULL, 'G3DSA:1.20.1270.320', NULL, NULL, NULL, NULL, 'Poxvirus poly(A) polymerase, N domain', NULL, NULL, 35062, 3),
(19744, NULL, 'G3DSA:2.60.40.1830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19745, NULL, 'G3DSA:1.20.5.740', NULL, NULL, NULL, NULL, 'Single helix  bin', NULL, NULL, NULL, 3),
(19746, NULL, 'G3DSA:3.30.1900.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19747, NULL, 'G3DSA:1.25.40.670', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19748, NULL, 'G3DSA:1.20.5.3600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19749, NULL, 'G3DSA:3.30.300.340', NULL, NULL, NULL, NULL, '', NULL, NULL, 39036, 3),
(19750, NULL, 'G3DSA:2.60.98.30', NULL, NULL, NULL, NULL, 'Rubella membrane glycoprotein E1, domain 1', NULL, NULL, 39346, 3),
(19751, NULL, 'G3DSA:3.30.30.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19752, NULL, 'G3DSA:1.10.1660.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19753, NULL, 'G3DSA:1.10.220.60', NULL, NULL, NULL, NULL, 'GRIP domain', NULL, NULL, NULL, 3),
(19754, NULL, 'G3DSA:2.40.160.200', NULL, NULL, NULL, NULL, '', NULL, NULL, 34978, 3),
(19755, NULL, 'G3DSA:3.10.450.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19756, NULL, 'G3DSA:2.20.20.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19757, NULL, 'G3DSA:6.10.250.3300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19758, NULL, 'G3DSA:6.10.250.1400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19759, NULL, 'G3DSA:3.30.240.20', NULL, NULL, NULL, NULL, 'bsu07140 like domains', NULL, NULL, 15658, 3),
(19760, NULL, 'G3DSA:1.20.120.900', NULL, NULL, NULL, NULL, 'Pex19, mPTS binding domain', NULL, NULL, 31416, 3),
(19761, NULL, 'G3DSA:6.10.140.1920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19762, NULL, 'G3DSA:2.70.98.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 30968, 3),
(19763, NULL, 'G3DSA:1.20.120.1710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19764, NULL, 'G3DSA:3.10.20.700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19765, NULL, 'G3DSA:3.90.280.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30051, 3),
(19766, NULL, 'G3DSA:2.130.10.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 9368, 3),
(19767, NULL, 'G3DSA:1.10.220.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 15525, 3),
(19768, NULL, 'G3DSA:3.40.50.11790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19769, NULL, 'G3DSA:6.10.250.2380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19770, NULL, 'G3DSA:3.10.450.460', NULL, NULL, NULL, NULL, '', NULL, NULL, 39225, 3),
(19771, NULL, 'G3DSA:3.30.1370.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19772, NULL, 'G3DSA:6.10.250.850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19773, NULL, 'G3DSA:2.40.50.690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19774, NULL, 'G3DSA:2.60.120.1020', NULL, NULL, NULL, NULL, 'Peptide N glycanase, PAW domain', NULL, NULL, 36351, 3),
(19775, NULL, 'G3DSA:3.10.20.540', NULL, NULL, NULL, NULL, '', NULL, NULL, 37133, 3),
(19776, NULL, 'G3DSA:3.30.40.10', NULL, NULL, NULL, NULL, 'Zinc/RING finger domain, C3HC4 (zinc finger)', NULL, NULL, 7475, 3),
(19777, NULL, 'G3DSA:1.20.1440.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19778, NULL, 'G3DSA:1.20.58.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19779, NULL, 'G3DSA:3.50.7.10', NULL, NULL, NULL, NULL, 'GroEL', NULL, NULL, 26401, 3),
(19780, NULL, 'G3DSA:3.90.1150.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19781, NULL, 'G3DSA:3.40.50.11900', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19782, NULL, 'G3DSA:6.10.140.2150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19783, NULL, 'G3DSA:6.20.370.30', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(19784, NULL, 'G3DSA:2.10.270.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19785, NULL, 'G3DSA:1.20.58.1700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19786, NULL, 'G3DSA:3.90.226.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19787, NULL, 'G3DSA:2.120.10.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19788, NULL, 'G3DSA:3.30.1220.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 29498, 3),
(19789, NULL, 'G3DSA:2.60.120.1120', NULL, NULL, NULL, NULL, '', NULL, NULL, 36225, 3),
(19790, NULL, 'G3DSA:1.10.260.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19791, NULL, 'G3DSA:3.20.20.360', NULL, NULL, NULL, NULL, 'Malate synthase, domain 3', NULL, NULL, NULL, 3),
(19792, NULL, 'G3DSA:2.160.30.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19793, NULL, 'G3DSA:4.10.1010.10', NULL, NULL, NULL, NULL, 'Apical membrane antigen 1', NULL, NULL, 12243, 3);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19794, NULL, 'G3DSA:3.30.1050.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19795, NULL, 'G3DSA:6.10.140.1210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19796, NULL, 'G3DSA:3.90.1820.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19797, NULL, 'G3DSA:1.10.238.90', NULL, NULL, NULL, NULL, 'Restriction endonuclease BsobI, helical domain', NULL, NULL, 40034, 3),
(19798, NULL, 'G3DSA:3.30.70.1970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19799, NULL, 'G3DSA:3.50.20.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 11085, 3),
(19800, NULL, 'G3DSA:1.10.287.2510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19801, NULL, 'G3DSA:1.10.238.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19802, NULL, 'G3DSA:2.60.330.10', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(19803, NULL, 'G3DSA:1.20.920.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30548, 3),
(19804, NULL, 'G3DSA:3.40.50.11820', NULL, NULL, NULL, NULL, '', NULL, NULL, 37525, 3),
(19805, NULL, 'G3DSA:3.10.400.10', NULL, NULL, NULL, NULL, 'Sulfate adenylyltransferase', NULL, NULL, NULL, 3),
(19806, NULL, 'G3DSA:1.10.3940.10', NULL, NULL, NULL, NULL, 'AF_0924 domain', NULL, NULL, NULL, 3),
(19807, NULL, 'G3DSA:1.10.3130.20', NULL, NULL, NULL, NULL, 'Phycobilisome linker domain', NULL, NULL, 29949, 3),
(19808, NULL, 'G3DSA:2.40.128.200', NULL, NULL, NULL, NULL, '', NULL, NULL, 30305, 3),
(19809, NULL, 'G3DSA:3.30.700.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19810, NULL, 'G3DSA:2.60.510.10', NULL, NULL, NULL, NULL, 'EV matrix protein', NULL, NULL, 17573, 3),
(19811, NULL, 'G3DSA:1.10.150.200', NULL, NULL, NULL, NULL, 'Maltooligosyl trehalose synthase; domain 3', NULL, NULL, NULL, 3),
(19812, NULL, 'G3DSA:1.20.120.350', NULL, NULL, NULL, NULL, '', NULL, NULL, 21813, 3),
(19813, NULL, 'G3DSA:3.40.50.11950', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19814, NULL, 'G3DSA:3.10.110.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 38909, 3),
(19815, NULL, 'G3DSA:3.90.480.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19816, NULL, 'G3DSA:1.10.3020.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19817, NULL, 'G3DSA:6.10.250.2460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19818, NULL, 'G3DSA:3.10.450.140', NULL, NULL, NULL, NULL, 'dsDNA mimic, putative', NULL, NULL, 34724, 3),
(19819, NULL, 'G3DSA:2.20.70.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19820, NULL, 'G3DSA:2.60.40.2650', NULL, NULL, NULL, NULL, 'Rubella membrane glycoprotein E1, domain 3', NULL, NULL, 39289, 3),
(19821, NULL, 'G3DSA:3.65.10.10', NULL, NULL, NULL, NULL, 'Enolpyruvate transferase domain', NULL, NULL, 30511, 3),
(19822, NULL, 'G3DSA:1.10.3270.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 15855, 3),
(19823, NULL, 'G3DSA:2.40.128.250', NULL, NULL, NULL, NULL, '', NULL, NULL, 36044, 3),
(19824, NULL, 'G3DSA:3.40.50.1700', NULL, NULL, NULL, NULL, '', NULL, NULL, 30609, 3),
(19825, NULL, 'G3DSA:1.10.8.430', NULL, NULL, NULL, NULL, '', NULL, NULL, 37533, 3),
(19826, NULL, 'G3DSA:3.10.280.10', NULL, NULL, NULL, NULL, 'Mitochondrial glycoprotein', NULL, NULL, 35866, 3),
(19827, NULL, 'G3DSA:6.10.250.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19828, NULL, 'G3DSA:1.10.10.2400', NULL, NULL, NULL, NULL, '', NULL, NULL, 32615, 3),
(19829, NULL, 'G3DSA:3.75.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19830, NULL, 'G3DSA:3.30.70.1920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19831, NULL, 'G3DSA:1.20.120.1680', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19832, NULL, 'G3DSA:3.40.50.11570', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF257', NULL, NULL, NULL, 3),
(19833, NULL, 'G3DSA:1.10.1470.20', NULL, NULL, NULL, NULL, 'Fatty acid synthase; domain 2', NULL, NULL, NULL, 3),
(19834, NULL, 'G3DSA:6.10.140.1260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19835, NULL, 'G3DSA:3.30.1330.160', NULL, NULL, NULL, NULL, 'Cyanuric acid hydrolase/Barbituras, RU C', NULL, NULL, 38616, 3),
(19836, NULL, 'G3DSA:1.10.8.720', NULL, NULL, NULL, NULL, 'Region D6 of dynein motor', NULL, NULL, 38588, 3);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19837, NULL, 'G3DSA:1.10.8.190', NULL, NULL, NULL, NULL, 'Carbon monoxide dehydrogenase alpha subunit. Chain M, domain 1', NULL, NULL, NULL, 3),
(19838, NULL, 'G3DSA:1.10.185.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19839, NULL, 'G3DSA:2.70.40.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 35859, 3),
(19840, NULL, 'G3DSA:1.10.3750.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12049, 3),
(19841, NULL, 'G3DSA:1.10.760.20', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF3243', NULL, NULL, 33787, 3),
(19842, NULL, 'G3DSA:1.20.920.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19843, NULL, 'G3DSA:3.30.379.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19844, NULL, 'G3DSA:3.40.190.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19845, NULL, 'G3DSA:1.10.10.2450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19846, NULL, 'G3DSA:6.10.140.620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19847, NULL, 'G3DSA:1.20.58.360', NULL, NULL, NULL, NULL, 'Shigella T3SS effector IpaH defines', NULL, NULL, NULL, 3),
(19848, NULL, 'G3DSA:6.10.140.1130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19849, NULL, 'G3DSA:1.20.1670.10', NULL, NULL, NULL, NULL, 'Type II deoxyuridine triphosphatase', NULL, NULL, NULL, 3),
(19850, NULL, 'G3DSA:6.10.140.670', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19851, NULL, 'G3DSA:1.10.1670.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19852, NULL, 'G3DSA:3.30.410.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19853, NULL, 'G3DSA:3.30.1490.170', NULL, NULL, NULL, NULL, 'Allophycocyanin linker chain (domain)', NULL, NULL, 10862, 3),
(19854, NULL, 'G3DSA:3.40.1160.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30760, 3),
(19855, NULL, 'G3DSA:6.10.140.2230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19856, NULL, 'G3DSA:6.10.140.750', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19857, NULL, 'G3DSA:1.10.400.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19858, NULL, 'G3DSA:1.20.1530.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 35600, 3),
(19859, NULL, 'G3DSA:1.10.4150.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8002, 3),
(19860, NULL, 'G3DSA:6.10.250.930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19861, NULL, 'G3DSA:3.90.1440.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19862, NULL, 'G3DSA:2.60.40.3780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19863, NULL, 'G3DSA:3.30.1040.70', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(19864, NULL, 'G3DSA:2.30.130.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19865, NULL, 'G3DSA:3.30.1610.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30351, 3),
(19866, NULL, 'G3DSA:3.30.310.250', NULL, NULL, NULL, NULL, 'Sporulation inhibitor of replication protein SirA', NULL, NULL, 33587, 3),
(19867, NULL, 'G3DSA:3.40.1350.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19868, NULL, 'G3DSA:1.20.120.1630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19869, NULL, 'G3DSA:2.20.25.530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19870, NULL, 'G3DSA:1.20.81.10', NULL, NULL, NULL, NULL, 'RAP domain', NULL, NULL, 30490, 3),
(19871, NULL, 'G3DSA:6.10.250.3430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19872, NULL, 'G3DSA:2.30.30.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19873, NULL, 'G3DSA:3.30.2200.10', NULL, NULL, NULL, NULL, 'histidine kinase doma clostridium symbiosum atcc 14940', NULL, NULL, NULL, 3),
(19874, NULL, 'G3DSA:3.10.100.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12086, 3),
(19875, NULL, 'G3DSA:2.20.28.270', NULL, NULL, NULL, NULL, '', NULL, NULL, 33757, 3),
(19876, NULL, 'G3DSA:3.10.450.380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19877, NULL, 'G3DSA:3.30.30.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19878, NULL, 'G3DSA:6.10.250.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19879, NULL, 'G3DSA:1.20.1440.180', NULL, NULL, NULL, NULL, 'KEN domain', NULL, NULL, 35928, 3),
(19880, NULL, 'G3DSA:3.20.19.10', NULL, NULL, NULL, NULL, 'Aconitase, domain 4', NULL, NULL, 11098, 3);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19881, NULL, 'G3DSA:3.30.1490.180', NULL, NULL, NULL, NULL, 'RNA polymerase ii', NULL, NULL, NULL, 3),
(19882, NULL, 'G3DSA:2.60.40.3030', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19883, NULL, 'G3DSA:2.60.40.180', NULL, NULL, NULL, NULL, 'Transthyretin/hydroxyisourate hydrolase domain', NULL, NULL, 30368, 3),
(19884, NULL, 'G3DSA:1.20.120.730', NULL, NULL, NULL, NULL, 'Sec23/Sec24 helical domain', NULL, NULL, NULL, 3),
(19885, NULL, 'G3DSA:2.40.160.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19886, NULL, 'G3DSA:1.10.1900.40', NULL, NULL, NULL, NULL, 'Acidic terminal segments, variant surface antigen of PfEMP1', NULL, NULL, 39038, 3),
(19887, NULL, 'G3DSA:3.30.300.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19888, NULL, 'G3DSA:4.10.540.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35591, 3),
(19889, NULL, 'G3DSA:3.90.830.10', NULL, NULL, NULL, NULL, 'Syntaxin Binding Protein 1; Chain A, domain 2', NULL, NULL, 36512, 3),
(19890, NULL, 'G3DSA:3.30.70.640', NULL, NULL, NULL, NULL, 'Molybdopterin cofactor biosynthesis C (MoaC) domain', NULL, NULL, 35856, 3),
(19891, NULL, 'G3DSA:3.30.310.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19892, NULL, 'G3DSA:3.90.1690.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19893, NULL, 'G3DSA:1.20.250.10', NULL, NULL, NULL, NULL, 'Colicin Ia, domain 1', NULL, NULL, NULL, 3),
(19894, NULL, 'G3DSA:3.30.1370.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19895, NULL, 'G3DSA:6.10.250.980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19896, NULL, 'G3DSA:2.60.40.1700', NULL, NULL, NULL, NULL, '', NULL, NULL, 36307, 3),
(19897, NULL, 'G3DSA:2.10.70.10', NULL, NULL, NULL, NULL, 'Complement Module, domain 1', NULL, NULL, NULL, 3),
(19898, NULL, 'G3DSA:2.10.110.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19899, NULL, 'G3DSA:3.30.1230.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 34781, 3),
(19900, NULL, 'G3DSA:1.20.1250.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19901, NULL, 'G3DSA:2.40.30.120', NULL, NULL, NULL, NULL, 'Positive stranded ssRNA viruses', NULL, NULL, NULL, 3),
(19902, NULL, 'G3DSA:2.100.10.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19903, NULL, 'G3DSA:1.10.1620.10', NULL, NULL, NULL, NULL, 'Ribosomal protein L39e', NULL, NULL, 12141, 3),
(19904, NULL, 'G3DSA:3.40.50.11080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19905, NULL, 'G3DSA:1.10.443.10', NULL, NULL, NULL, NULL, 'Intergrase catalytic core', NULL, NULL, 7702, 3),
(19906, NULL, 'G3DSA:3.30.1040.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19907, NULL, 'G3DSA:1.25.40.700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19908, NULL, 'G3DSA:3.30.160.740', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19909, NULL, 'G3DSA:1.10.60.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 34406, 3),
(19910, NULL, 'G3DSA:6.10.100.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36583, 3),
(19911, NULL, 'G3DSA:6.10.250.2090', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19912, NULL, 'G3DSA:2.60.40.2850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19913, NULL, 'G3DSA:3.90.1470.10', NULL, NULL, NULL, NULL, 'thrh gene product, domain 2', NULL, NULL, NULL, 3),
(19914, NULL, 'G3DSA:3.10.640.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30465, 3),
(19915, NULL, 'G3DSA:2.60.40.3940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19916, NULL, 'G3DSA:3.40.1530.20', NULL, NULL, NULL, NULL, 'Protein of unknown function (DUF1491)', NULL, NULL, NULL, 3),
(19917, NULL, 'G3DSA:3.30.70.1060', NULL, NULL, NULL, NULL, 'Dimeric alpha+beta barrel', NULL, NULL, NULL, 3),
(19918, NULL, 'G3DSA:1.10.287.3610', NULL, NULL, NULL, NULL, '', NULL, NULL, 30040, 3),
(19919, NULL, 'G3DSA:6.10.250.1610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19920, NULL, 'G3DSA:3.20.110.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19921, NULL, 'G3DSA:3.30.230.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19922, NULL, 'G3DSA:3.30.420.360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19923, NULL, 'G3DSA:3.40.910.10', NULL, NULL, NULL, NULL, 'Deoxyhypusine synthase', NULL, NULL, 32506, 3),
(19924, NULL, 'G3DSA:3.10.450.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19925, NULL, 'G3DSA:2.60.120.780', NULL, NULL, NULL, NULL, 'PINIT domain', NULL, NULL, 34974, 3),
(19926, NULL, 'G3DSA:3.30.310.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19927, NULL, 'G3DSA:6.10.250.2700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19928, NULL, 'G3DSA:3.10.129.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19929, NULL, 'G3DSA:6.10.250.350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19930, NULL, 'G3DSA:3.40.50.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19931, NULL, 'G3DSA:3.40.50.10730', NULL, NULL, NULL, NULL, 'Urocanase like domains', NULL, NULL, 35283, 3),
(19932, NULL, 'G3DSA:2.60.110.10', NULL, NULL, NULL, NULL, 'Thaumatin', NULL, NULL, 35838, 3),
(19933, NULL, 'G3DSA:2.60.200.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 12465, 3),
(19934, NULL, 'G3DSA:2.60.40.2770', NULL, NULL, NULL, NULL, '', NULL, NULL, 36138, 3),
(19935, NULL, 'G3DSA:1.10.246.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 34728, 3),
(19936, NULL, 'G3DSA:1.10.132.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 29123, 3),
(19937, NULL, 'G3DSA:3.30.1120.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19938, NULL, 'G3DSA:3.30.160.660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19939, NULL, 'G3DSA:1.10.601.10', NULL, NULL, NULL, NULL, 'RNA Polymerase Primary Sigma Factor', NULL, NULL, NULL, 3),
(19940, NULL, 'G3DSA:2.40.50.300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19941, NULL, 'G3DSA:1.10.287.460', NULL, NULL, NULL, NULL, '', NULL, NULL, 30106, 3),
(19942, NULL, 'G3DSA:3.20.20.330', NULL, NULL, NULL, NULL, '', NULL, NULL, 35757, 3),
(19943, NULL, 'G3DSA:1.20.1310.10', NULL, NULL, NULL, NULL, 'Cullin Repeats', NULL, NULL, NULL, 3),
(19944, NULL, 'G3DSA:1.10.8.800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19945, NULL, 'G3DSA:3.75.10.20', NULL, NULL, NULL, NULL, 'Succinylarginine dihydrolase', NULL, NULL, 29564, 3),
(19946, NULL, 'G3DSA:2.70.50.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19947, NULL, 'G3DSA:2.70.20.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 36593, 3),
(19948, NULL, 'G3DSA:2.30.29.50', NULL, NULL, NULL, NULL, 'Bacterial Pleckstrin homology domain', NULL, NULL, 32043, 3),
(19949, NULL, 'G3DSA:1.20.930.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19950, NULL, 'G3DSA:3.60.60.10', NULL, NULL, NULL, NULL, 'Penicillin V Acylase; Chain A', NULL, NULL, NULL, 3),
(19951, NULL, 'G3DSA:3.30.60.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19952, NULL, 'G3DSA:1.20.5.2050', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19953, NULL, 'G3DSA:3.30.1490.300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19954, NULL, 'G3DSA:3.40.720.10', NULL, NULL, NULL, NULL, 'Alkaline Phosphatase, subunit A', NULL, NULL, 21232, 3),
(19955, NULL, 'G3DSA:6.20.50.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19956, NULL, 'G3DSA:1.20.1280.170', NULL, NULL, NULL, NULL, 'Exocyst complex component Exo70', NULL, NULL, NULL, 3),
(19957, NULL, 'G3DSA:3.40.50.1380', NULL, NULL, NULL, NULL, '', NULL, NULL, 31453, 3),
(19958, NULL, 'G3DSA:3.30.2320.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 34845, 3),
(19959, NULL, 'G3DSA:3.60.20.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 36007, 3),
(19960, NULL, 'G3DSA:2.40.128.700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19961, NULL, 'G3DSA:3.40.50.12470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19962, NULL, 'G3DSA:1.10.10.1020', NULL, NULL, NULL, NULL, '', NULL, NULL, 34001, 3),
(19963, NULL, 'G3DSA:3.30.70.150', NULL, NULL, NULL, NULL, '', NULL, NULL, 33788, 3),
(19964, NULL, 'G3DSA:6.10.140.1970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19965, NULL, 'G3DSA:2.60.40.1430', NULL, NULL, NULL, NULL, 'Perfringolysin, domain 4', NULL, NULL, 33953, 3),
(19966, NULL, 'G3DSA:1.10.287.540', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, NULL, 3);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(19967, NULL, 'G3DSA:6.10.140.1000', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19968, NULL, 'G3DSA:2.170.240.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30555, 3),
(19969, NULL, 'G3DSA:1.20.1050.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19970, NULL, 'G3DSA:4.10.420.10', NULL, NULL, NULL, NULL, 'Smk Toxin, alpha chain', NULL, NULL, 13781, 3),
(19971, NULL, 'G3DSA:2.10.90.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 24716, 3),
(19972, NULL, 'G3DSA:2.170.8.10', NULL, NULL, NULL, NULL, 'Phosphoenolpyruvate Carboxykinase, domain 2', NULL, NULL, NULL, 3),
(19973, NULL, 'G3DSA:2.60.40.4040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19974, NULL, 'G3DSA:2.40.15.10', NULL, NULL, NULL, NULL, 'TCL1/MTCP1', NULL, NULL, 30934, 3),
(19975, NULL, 'G3DSA:3.30.1610.10', NULL, NULL, NULL, NULL, 'Peptidase S59, nucleoporin', NULL, NULL, 34584, 3),
(19976, NULL, 'G3DSA:1.10.167.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19977, NULL, 'G3DSA:1.10.555.10', NULL, NULL, NULL, NULL, 'Rho GTPase activation protein', NULL, NULL, 8817, 3),
(19978, NULL, 'G3DSA:3.30.110.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 18736, 3),
(19979, NULL, 'G3DSA:3.40.440.10', NULL, NULL, NULL, NULL, 'Adenylosuccinate Synthetase, subunit A, domain 1', NULL, NULL, 38046, 3),
(19980, NULL, 'G3DSA:3.30.305.10', NULL, NULL, NULL, NULL, 'Colicin Ia; domain 2', NULL, NULL, 33667, 3),
(19981, NULL, 'G3DSA:3.30.530.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19982, NULL, 'G3DSA:3.30.720.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19983, NULL, 'G3DSA:1.20.1440.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19984, NULL, 'G3DSA:6.10.250.2540', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19985, NULL, 'G3DSA:3.30.420.600', NULL, NULL, NULL, NULL, 'Thermoplasma acidophilum protein TA0956', NULL, NULL, 32242, 3),
(19986, NULL, 'G3DSA:3.40.50.300', NULL, NULL, NULL, NULL, '', NULL, NULL, 24964, 3),
(19987, NULL, 'G3DSA:2.60.120.610', NULL, NULL, NULL, NULL, 'arabinofuranosyltransferase like domain', NULL, NULL, 27636, 3),
(19988, NULL, 'G3DSA:3.10.670.10', NULL, NULL, NULL, NULL, 'Secreted effector protein ssei.', NULL, NULL, NULL, 3),
(19989, NULL, 'G3DSA:3.30.2370.10', NULL, NULL, NULL, NULL, 'putative pyruvate dehydrogenase', NULL, NULL, NULL, 3),
(19990, NULL, 'G3DSA:1.10.10.2110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19991, NULL, 'G3DSA:2.40.300.10', NULL, NULL, NULL, NULL, 'Head decoration protein D', NULL, NULL, NULL, 3),
(19992, NULL, 'G3DSA:1.10.286.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 9499, 3),
(19993, NULL, 'G3DSA:2.60.120.950', NULL, NULL, NULL, NULL, 'Circovirus capsid protein', NULL, NULL, 34691, 3),
(19994, NULL, 'G3DSA:3.90.1590.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19995, NULL, 'G3DSA:1.10.10.450', NULL, NULL, NULL, NULL, '', NULL, NULL, 34005, 3),
(19996, NULL, 'G3DSA:3.10.450.410', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19997, NULL, 'G3DSA:3.90.810.10', NULL, NULL, NULL, NULL, 'CRIB domain', NULL, NULL, 30350, 3),
(19998, NULL, 'G3DSA:1.20.5.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(19999, NULL, 'G3DSA:6.10.20.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20000, NULL, 'G3DSA:2.60.120.430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20001, NULL, 'G3DSA:3.30.70.2940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20002, NULL, 'G3DSA:3.90.1150.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20003, NULL, 'G3DSA:2.60.120.800', NULL, NULL, NULL, NULL, '', NULL, NULL, 37667, 3),
(20004, NULL, 'G3DSA:1.20.1050.80', NULL, NULL, NULL, NULL, 'VPS9 domain', NULL, NULL, 34154, 3),
(20005, NULL, 'G3DSA:1.20.58.1910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20006, NULL, 'G3DSA:3.30.70.2570', NULL, NULL, NULL, NULL, '', NULL, NULL, 35155, 3),
(20007, NULL, 'G3DSA:2.20.25.390', NULL, NULL, NULL, NULL, 'Stomagen', NULL, NULL, 32227, 3),
(20008, NULL, 'G3DSA:1.10.10.610', NULL, NULL, NULL, NULL, '', NULL, NULL, 32487, 3),
(20009, NULL, 'G3DSA:1.20.120.1130', NULL, NULL, NULL, NULL, '', NULL, NULL, 35999, 3);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20010, NULL, 'G3DSA:3.30.46.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20011, NULL, 'G3DSA:3.30.9.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20012, NULL, 'G3DSA:3.90.1530.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20013, NULL, 'G3DSA:1.10.3410.10', NULL, NULL, NULL, NULL, 'putative deoxyguanosinetriphosphate triphosphohydrolase like domain', NULL, NULL, 15888, 3),
(20014, NULL, 'G3DSA:3.30.428.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 34359, 3),
(20015, NULL, 'G3DSA:1.20.1220.12', NULL, NULL, NULL, NULL, 'Malate synthase, domain III', NULL, NULL, 11707, 3),
(20016, NULL, 'G3DSA:3.10.20.590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20017, NULL, 'G3DSA:3.30.1860.10', NULL, NULL, NULL, NULL, 'uncharacterized conserved protein from methanopyrus kandleri domain like', NULL, NULL, NULL, 3),
(20018, NULL, 'G3DSA:1.10.1440.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 16883, 3),
(20019, NULL, 'G3DSA:6.10.280.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 32198, 3),
(20020, NULL, 'G3DSA:2.60.40.3320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20021, NULL, 'G3DSA:3.40.50.10070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20022, NULL, 'G3DSA:3.30.110.70', NULL, NULL, NULL, NULL, 'Hypothetical protein apc22750. Chain B', NULL, NULL, NULL, 3),
(20023, NULL, 'G3DSA:4.10.890.10', NULL, NULL, NULL, NULL, 'HIV 1 nef anchor domain', NULL, NULL, 25070, 3),
(20024, NULL, 'G3DSA:2.20.25.370', NULL, NULL, NULL, NULL, '', NULL, NULL, 32471, 3),
(20025, NULL, 'G3DSA:1.10.287.1700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20026, NULL, 'G3DSA:1.10.10.2320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20027, NULL, 'G3DSA:6.10.250.1370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20028, NULL, 'G3DSA:1.10.8.970', NULL, NULL, NULL, NULL, '', NULL, NULL, 33567, 3),
(20029, NULL, 'G3DSA:4.10.1240.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20030, NULL, 'G3DSA:3.90.1150.40', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF2002', NULL, NULL, NULL, 3),
(20031, NULL, 'G3DSA:1.20.5.2210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20032, NULL, 'G3DSA:3.30.70.1050', NULL, NULL, NULL, NULL, '', NULL, NULL, 30223, 3),
(20033, NULL, 'G3DSA:2.60.40.3110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20034, NULL, 'G3DSA:2.40.128.330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20035, NULL, 'G3DSA:3.30.1330.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20036, NULL, 'G3DSA:2.30.30.760', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20037, NULL, 'G3DSA:3.40.50.1170', NULL, NULL, NULL, NULL, '', NULL, NULL, 31896, 3),
(20038, NULL, 'G3DSA:6.10.140.2070', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(20039, NULL, 'G3DSA:6.10.250.1320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20040, NULL, 'G3DSA:3.30.910.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34696, 3),
(20041, NULL, 'G3DSA:3.10.20.520', NULL, NULL, NULL, NULL, 'Phenylacetic acid degradation B', NULL, NULL, 35837, 3),
(20042, NULL, 'G3DSA:2.60.120.530', NULL, NULL, NULL, NULL, 'Cucumovirus coat protein, subunit A', NULL, NULL, 30379, 3),
(20043, NULL, 'G3DSA:6.10.250.720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20044, NULL, 'G3DSA:6.10.140.410', NULL, NULL, NULL, NULL, '', NULL, NULL, 32287, 3),
(20045, NULL, 'G3DSA:6.10.20.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20046, NULL, 'G3DSA:1.10.238.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 18915, 3),
(20047, NULL, 'G3DSA:1.20.850.10', NULL, NULL, NULL, NULL, 'Hydroxylamine Oxidoreductase; Chain A, domain 2', NULL, NULL, NULL, 3),
(20048, NULL, 'G3DSA:1.20.120.1500', NULL, NULL, NULL, NULL, '', NULL, NULL, 38026, 3),
(20049, NULL, 'G3DSA:1.20.140.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 35880, 3),
(20050, NULL, 'G3DSA:3.90.320.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30732, 3),
(20051, NULL, 'G3DSA:3.20.20.540', NULL, NULL, NULL, NULL, 'Radical SAM ThiC family, central domain', NULL, NULL, 35038, 3),
(20052, NULL, 'G3DSA:3.30.420.110', NULL, NULL, NULL, NULL, 'MutS, connector domain', NULL, NULL, 32356, 3);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20053, NULL, 'G3DSA:3.30.300.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 39391, 3),
(20054, NULL, 'G3DSA:3.10.450.620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20055, NULL, 'G3DSA:3.30.70.1710', NULL, NULL, NULL, NULL, '', NULL, NULL, 32397, 3),
(20056, NULL, 'G3DSA:2.60.40.3490', NULL, NULL, NULL, NULL, '', NULL, NULL, 35485, 3),
(20057, NULL, 'G3DSA:1.10.285.10', NULL, NULL, NULL, NULL, 'Glutamate Dehydrogenase, chain A, domain 3', NULL, NULL, NULL, 3),
(20058, NULL, 'G3DSA:1.10.1080.10', NULL, NULL, NULL, NULL, 'Glutathione Synthetase; Chain A, domain 3', NULL, NULL, 13887, 3),
(20059, NULL, 'G3DSA:3.30.780.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20060, NULL, 'G3DSA:3.40.630.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 34094, 3),
(20061, NULL, 'G3DSA:3.90.190.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 32678, 3),
(20062, NULL, 'G3DSA:2.170.150.80', NULL, NULL, NULL, NULL, 'NAC domain', NULL, NULL, 29947, 3),
(20063, NULL, 'G3DSA:1.10.3300.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 15813, 3),
(20064, NULL, 'G3DSA:3.10.50.50', NULL, NULL, NULL, NULL, 'Rubella virus capsid protein', NULL, NULL, 38977, 3),
(20065, NULL, 'G3DSA:3.30.730.30', NULL, NULL, NULL, NULL, 'YaiA protein', NULL, NULL, 34565, 3),
(20066, NULL, 'G3DSA:3.40.50.10930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20067, NULL, 'G3DSA:2.60.40.2560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20068, NULL, 'G3DSA:1.20.890.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20069, NULL, 'G3DSA:2.40.100.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20070, NULL, 'G3DSA:6.20.240.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20071, NULL, 'G3DSA:2.60.169.10', NULL, NULL, NULL, NULL, 'Microviridae F protein', NULL, NULL, 30883, 3),
(20072, NULL, 'G3DSA:3.90.70.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 35596, 3),
(20073, NULL, 'G3DSA:2.20.28.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 30114, 3),
(20074, NULL, 'G3DSA:4.10.80.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20075, NULL, 'G3DSA:2.30.30.1060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20076, NULL, 'G3DSA:2.60.120.1250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20077, NULL, 'G3DSA:1.10.150.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 8676, 3),
(20078, NULL, 'G3DSA:3.40.210.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 38876, 3),
(20079, NULL, 'G3DSA:3.40.50.11240', NULL, NULL, NULL, NULL, '', NULL, NULL, 37546, 3),
(20080, NULL, 'G3DSA:2.60.40.640', NULL, NULL, NULL, NULL, '', NULL, NULL, 14409, 3),
(20081, NULL, 'G3DSA:3.10.20.830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20082, NULL, 'G3DSA:1.10.1370.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20083, NULL, 'G3DSA:2.80.20.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20084, NULL, 'G3DSA:3.10.310.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20085, NULL, 'G3DSA:3.90.1700.10', NULL, NULL, NULL, NULL, 'v583 domain like', NULL, NULL, NULL, 3),
(20086, NULL, 'G3DSA:6.10.250.2250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20087, NULL, 'G3DSA:4.10.760.10', NULL, NULL, NULL, NULL, 'Agouti domain', NULL, NULL, 30494, 3),
(20088, NULL, 'G3DSA:2.60.120.1620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20089, NULL, 'G3DSA:2.60.40.1890', NULL, NULL, NULL, NULL, 'PCu(A)C copper chaperone', NULL, NULL, 36035, 3),
(20090, NULL, 'G3DSA:3.30.40.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20091, NULL, 'G3DSA:1.20.5.520', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, 32229, 3),
(20092, NULL, 'G3DSA:1.10.1200.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 9107, 3),
(20093, NULL, 'G3DSA:3.20.110.10', NULL, NULL, NULL, NULL, 'Glycoside hydrolase 38, N terminal domain', NULL, NULL, 26836, 3),
(20094, NULL, 'G3DSA:2.60.175.10', NULL, NULL, NULL, NULL, 'Capsid protein VP1,Polyomavirus', NULL, NULL, 35063, 3),
(20095, NULL, 'G3DSA:1.20.5.3730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20096, NULL, 'G3DSA:3.40.250.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20097, NULL, 'G3DSA:2.140.10.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20098, NULL, 'G3DSA:1.10.10.900', NULL, NULL, NULL, NULL, '', NULL, NULL, 31787, 3),
(20099, NULL, 'G3DSA:1.20.960.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20100, NULL, 'G3DSA:3.60.140.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35399, 3),
(20101, NULL, 'G3DSA:2.40.10.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20102, NULL, 'G3DSA:3.30.1930.10', NULL, NULL, NULL, NULL, 'capsid protein of prophage domain', NULL, NULL, NULL, 3),
(20103, NULL, 'G3DSA:3.30.450.370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20104, NULL, 'G3DSA:3.30.70.1340', NULL, NULL, NULL, NULL, '', NULL, NULL, 8926, 3),
(20105, NULL, 'G3DSA:3.10.560.10', NULL, NULL, NULL, NULL, 'Outer membrane lipoprotein wza domain like', NULL, NULL, NULL, 3),
(20106, NULL, 'G3DSA:1.10.287.3080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20107, NULL, 'G3DSA:3.90.1010.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20108, NULL, 'G3DSA:1.20.272.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20109, NULL, 'G3DSA:3.60.70.12', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20110, NULL, 'G3DSA:3.30.70.3040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20111, NULL, 'G3DSA:2.60.40.690', NULL, NULL, NULL, NULL, '', NULL, NULL, 36053, 3),
(20112, NULL, 'G3DSA:1.20.272.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20113, NULL, 'G3DSA:1.20.1230.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 40014, 3),
(20114, NULL, 'G3DSA:1.10.225.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20115, NULL, 'G3DSA:1.20.1270.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20116, NULL, 'G3DSA:6.10.160.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20117, NULL, 'G3DSA:1.10.10.1690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20118, NULL, 'G3DSA:3.30.2380.10', NULL, NULL, NULL, NULL, 'CGI121/TPRKB', NULL, NULL, 33888, 3),
(20119, NULL, 'G3DSA:3.40.50.11610', NULL, NULL, NULL, NULL, '', NULL, NULL, 37125, 3),
(20120, NULL, 'G3DSA:1.20.1270.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20121, NULL, 'G3DSA:2.170.120.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20122, NULL, 'G3DSA:3.10.20.880', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20123, NULL, 'G3DSA:1.20.58.1620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20124, NULL, 'G3DSA:1.20.120.1180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20125, NULL, 'G3DSA:3.30.70.3090', NULL, NULL, NULL, NULL, '', NULL, NULL, 38142, 3),
(20126, NULL, 'G3DSA:3.30.60.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20127, NULL, 'G3DSA:3.30.1340.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20128, NULL, 'G3DSA:1.10.8.140', NULL, NULL, NULL, NULL, '', NULL, NULL, 30580, 3),
(20129, NULL, 'G3DSA:6.10.140.1760', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20130, NULL, 'G3DSA:3.10.450.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20131, NULL, 'G3DSA:2.30.30.390', NULL, NULL, NULL, NULL, '', NULL, NULL, 31369, 3),
(20132, NULL, 'G3DSA:1.10.150.340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20133, NULL, 'G3DSA:3.10.25.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30733, 3),
(20134, NULL, 'G3DSA:2.40.30.300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20135, NULL, 'G3DSA:6.10.140.960', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20136, NULL, 'G3DSA:2.60.40.2400', NULL, NULL, NULL, NULL, 'Alphavirus E2 glycoprotein, domain C', NULL, NULL, 38447, 3),
(20137, NULL, 'G3DSA:3.90.1170.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30015, 3),
(20138, NULL, 'G3DSA:2.60.40.3530', NULL, NULL, NULL, NULL, '', NULL, NULL, 33818, 3),
(20139, NULL, 'G3DSA:1.20.58.2180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20140, NULL, 'G3DSA:3.30.230.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20141, NULL, 'G3DSA:3.40.1280.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 34558, 3),
(20142, NULL, 'G3DSA:2.60.40.1120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20143, NULL, 'G3DSA:3.30.70.1550', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20144, NULL, 'G3DSA:2.40.30.60', NULL, NULL, NULL, NULL, 'RimM', NULL, NULL, 32865, 3),
(20145, NULL, 'G3DSA:1.10.246.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20146, NULL, 'G3DSA:1.20.5.2710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20147, NULL, 'G3DSA:3.40.50.10760', NULL, NULL, NULL, NULL, 'Reovirus core', NULL, NULL, NULL, 3),
(20148, NULL, 'G3DSA:3.30.70.3450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20149, NULL, 'G3DSA:2.170.170.11', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20150, NULL, 'G3DSA:3.30.1360.20', NULL, NULL, NULL, NULL, 'Transcriptional coactivator/pterin dehydratase', NULL, NULL, 30747, 3),
(20151, NULL, 'G3DSA:6.10.140.250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20152, NULL, 'G3DSA:1.20.1270.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20153, NULL, 'G3DSA:6.10.250.1940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20154, NULL, 'G3DSA:1.10.1160.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 16260, 3),
(20155, NULL, 'G3DSA:6.10.140.1500', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20156, NULL, 'G3DSA:3.30.1330.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20157, NULL, 'G3DSA:1.20.272.50', NULL, NULL, NULL, NULL, 'Bacteriophage clamp loader A subunit, A'' domain', NULL, NULL, NULL, 3),
(20158, NULL, 'G3DSA:6.10.250.2040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20159, NULL, 'G3DSA:3.30.63.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20160, NULL, 'G3DSA:1.10.10.1070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20161, NULL, 'G3DSA:3.30.2320.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20162, NULL, 'G3DSA:1.10.196.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20163, NULL, 'G3DSA:2.70.10.10', NULL, NULL, NULL, NULL, 'Thrombin Inhibitor (Hirudin), subunit I', NULL, NULL, 24416, 3),
(20164, NULL, 'G3DSA:6.10.10.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 33534, 3),
(20165, NULL, 'G3DSA:1.10.40.40', NULL, NULL, NULL, NULL, 'Deoxyribonucleotidase; domain 2', NULL, NULL, NULL, 3),
(20166, NULL, 'G3DSA:3.30.1300.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 36763, 3),
(20167, NULL, 'G3DSA:3.50.50.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 36846, 3),
(20168, NULL, 'G3DSA:1.20.1270.380', NULL, NULL, NULL, NULL, '', NULL, NULL, 35361, 3),
(20169, NULL, 'G3DSA:3.90.450.1', NULL, NULL, NULL, NULL, 'Minor Coat Protein; Domain 2', NULL, NULL, 18489, 3),
(20170, NULL, 'G3DSA:1.10.287.410', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20171, NULL, 'G3DSA:1.10.820.10', NULL, NULL, NULL, NULL, 'RNA Helicase Chain A , domain 3', NULL, NULL, NULL, 3),
(20172, NULL, 'G3DSA:4.10.280.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20173, NULL, 'G3DSA:3.30.110.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20174, NULL, 'G3DSA:3.90.920.10', NULL, NULL, NULL, NULL, 'DNA primase, PRIM domain', NULL, NULL, NULL, 3),
(20175, NULL, 'G3DSA:3.90.660.20', NULL, NULL, NULL, NULL, 'Protoporphyrinogen oxidase, mitochondrial; domain 2', NULL, NULL, NULL, 3),
(20176, NULL, 'G3DSA:6.10.40.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20177, NULL, 'G3DSA:1.20.1280.210', NULL, NULL, NULL, NULL, '', NULL, NULL, 35286, 3),
(20178, NULL, 'G3DSA:1.20.50.60', NULL, NULL, NULL, NULL, 'ESP1, core domain', NULL, NULL, 38224, 3),
(20179, NULL, 'G3DSA:1.10.8.760', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20180, NULL, 'G3DSA:1.10.10.2160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20181, NULL, 'G3DSA:3.40.1310.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20182, NULL, 'G3DSA:3.30.60.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20183, NULL, 'G3DSA:3.40.1000.10', NULL, NULL, NULL, NULL, 'Mog1/PsbP, alpha/beta/alpha sandwich', NULL, NULL, NULL, 3),
(20184, NULL, 'G3DSA:3.30.980.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20185, NULL, 'G3DSA:3.30.70.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20186, NULL, 'G3DSA:6.10.250.2910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20187, NULL, 'G3DSA:1.20.5.550', NULL, NULL, NULL, NULL, 'Single Helix bin', NULL, NULL, 12839, 3),
(20188, NULL, 'G3DSA:4.10.375.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20189, NULL, 'G3DSA:4.10.40.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20190, NULL, 'G3DSA:6.20.370.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20191, NULL, 'G3DSA:3.30.70.2730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20192, NULL, 'G3DSA:6.10.280.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20193, NULL, 'G3DSA:1.20.91.20', NULL, NULL, NULL, NULL, 'Anaphylotoxins (complement system)', NULL, NULL, NULL, 3),
(20194, NULL, 'G3DSA:3.90.75.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 39494, 3),
(20195, NULL, 'G3DSA:1.25.40.1010', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20196, NULL, 'G3DSA:2.30.30.370', NULL, NULL, NULL, NULL, 'FAH', NULL, NULL, NULL, 3),
(20197, NULL, 'G3DSA:6.10.250.2750', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20198, NULL, 'G3DSA:1.10.3480.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20199, NULL, 'G3DSA:3.30.720.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20200, NULL, 'G3DSA:4.10.320.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20201, NULL, 'G3DSA:6.10.250.1820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20202, NULL, 'G3DSA:1.20.120.1140', NULL, NULL, NULL, NULL, 'CAG pathogenicity island protein 13, CagS', NULL, NULL, 31255, 3),
(20203, NULL, 'G3DSA:1.10.1630.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32027, 3),
(20204, NULL, 'G3DSA:1.10.8.1040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20205, NULL, 'G3DSA:3.10.460.10', NULL, NULL, NULL, NULL, 'VSV matrix protein', NULL, NULL, 36251, 3),
(20206, NULL, 'G3DSA:1.20.1440.310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20207, NULL, 'G3DSA:3.40.1790.10', NULL, NULL, NULL, NULL, 'Indigoidine synthase domain', NULL, NULL, 17270, 3),
(20208, NULL, 'G3DSA:3.30.160.330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20209, NULL, 'G3DSA:2.60.20.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20210, NULL, 'G3DSA:1.10.1220.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20211, NULL, 'G3DSA:2.20.130.30', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF2782', NULL, NULL, NULL, 3),
(20212, NULL, 'G3DSA:2.30.30.660', NULL, NULL, NULL, NULL, 'Protein of unknown function (DUF3539)', NULL, NULL, NULL, 3),
(20213, NULL, 'G3DSA:1.10.10.400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20214, NULL, 'G3DSA:3.20.70.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20215, NULL, 'G3DSA:3.30.70.360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20216, NULL, 'G3DSA:1.20.120.930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20217, NULL, 'G3DSA:1.10.3290.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20218, NULL, 'G3DSA:1.10.287.1090', NULL, NULL, NULL, NULL, '', NULL, NULL, 10385, 3),
(20219, NULL, 'G3DSA:1.10.287.1250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20220, NULL, 'G3DSA:2.60.40.2300', NULL, NULL, NULL, NULL, '', NULL, NULL, 35419, 3),
(20221, NULL, 'G3DSA:1.20.1700.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 14429, 3),
(20222, NULL, 'G3DSA:4.10.80.10', NULL, NULL, NULL, NULL, 'Picornavirus coat protein VP4', NULL, NULL, 34214, 3),
(20223, NULL, 'G3DSA:1.20.1270.420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20224, NULL, 'G3DSA:2.60.40.4250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20225, NULL, 'G3DSA:1.10.357.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20226, NULL, 'G3DSA:1.10.1060.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 6124, 3),
(20227, NULL, 'G3DSA:1.10.1100.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30257, 3),
(20228, NULL, 'G3DSA:6.10.250.1780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20229, NULL, 'G3DSA:1.10.10.1230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20230, NULL, 'G3DSA:4.10.92.10', NULL, NULL, NULL, NULL, 'Aminolevulinic Acid Synthase 2', NULL, NULL, NULL, 3),
(20231, NULL, 'G3DSA:3.90.930.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20232, NULL, 'G3DSA:2.60.40.4200', NULL, NULL, NULL, NULL, '', NULL, NULL, 38020, 3),
(20233, NULL, 'G3DSA:1.10.357.140', NULL, NULL, NULL, NULL, 'UbiA prenyltransferase', NULL, NULL, 37707, 3),
(20234, NULL, 'G3DSA:4.10.40.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20235, NULL, 'G3DSA:3.90.1570.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20236, NULL, 'G3DSA:3.30.250.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20237, NULL, 'G3DSA:1.10.10.2580', NULL, NULL, NULL, NULL, 'Penicillin Acylase III; Chain A, Domain 2', NULL, NULL, NULL, 3),
(20238, NULL, 'G3DSA:1.20.5.730', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(20239, NULL, 'G3DSA:3.30.2220.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 30202, 3),
(20240, NULL, 'G3DSA:1.50.10.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 30831, 3),
(20241, NULL, 'G3DSA:3.30.2330.20', NULL, NULL, NULL, NULL, 'family 98 glycoside hydrolase', NULL, NULL, NULL, 3),
(20242, NULL, 'G3DSA:3.30.342.10', NULL, NULL, NULL, NULL, 'DNA Polymerase, chain B, domain 1', NULL, NULL, NULL, 3),
(20243, NULL, 'G3DSA:1.20.80.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 37193, 3),
(20244, NULL, 'G3DSA:2.40.50.1070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20245, NULL, 'G3DSA:3.30.70.2520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20246, NULL, 'G3DSA:2.40.50.800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20247, NULL, 'G3DSA:3.30.1710.10', NULL, NULL, NULL, NULL, 'top7, de novo designed protein', NULL, NULL, NULL, 3),
(20248, NULL, 'G3DSA:1.20.5.1170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20249, NULL, 'G3DSA:1.10.287.1960', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20250, NULL, 'G3DSA:2.40.50.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20251, NULL, 'G3DSA:3.30.2130.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20252, NULL, 'G3DSA:3.40.50.10480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20253, NULL, 'G3DSA:6.10.280.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20254, NULL, 'G3DSA:3.30.1490.190', NULL, NULL, NULL, NULL, '', NULL, NULL, 37086, 3),
(20255, NULL, 'G3DSA:2.10.25.10', NULL, NULL, NULL, NULL, 'Laminin', NULL, NULL, NULL, 3),
(20256, NULL, 'G3DSA:2.20.25.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20257, NULL, 'G3DSA:3.10.20.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20258, NULL, 'G3DSA:1.10.340.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20259, NULL, 'G3DSA:2.40.30.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20260, NULL, 'G3DSA:2.40.50.1020', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20261, NULL, 'G3DSA:6.20.450.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20262, NULL, 'G3DSA:3.30.56.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 26120, 3),
(20263, NULL, 'G3DSA:3.40.50.200', NULL, NULL, NULL, NULL, 'Peptidase S8/S53 domain', NULL, NULL, 34046, 3),
(20264, NULL, 'G3DSA:6.20.160.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20265, NULL, 'G3DSA:1.25.40.880', NULL, NULL, NULL, NULL, 'Alkyl sulfatase, dimerisation domain', NULL, NULL, 36353, 3),
(20266, NULL, 'G3DSA:1.20.1380.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30391, 3),
(20267, NULL, 'G3DSA:1.20.225.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 32841, 3),
(20268, NULL, 'G3DSA:3.30.1490.140', NULL, NULL, NULL, NULL, '', NULL, NULL, 34247, 3),
(20269, NULL, 'G3DSA:2.30.29.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 29134, 3),
(20270, NULL, 'G3DSA:3.30.70.930', NULL, NULL, NULL, NULL, '', NULL, NULL, 28262, 3),
(20271, NULL, 'G3DSA:4.10.280.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 33939, 3),
(20272, NULL, 'G3DSA:2.60.120.1140', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF192', NULL, NULL, 34788, 3),
(20273, NULL, 'G3DSA:3.30.56.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20274, NULL, 'G3DSA:2.60.40.2460', NULL, NULL, NULL, NULL, 'Phage bIL170 RBP, head domain', NULL, NULL, 36889, 3),
(20275, NULL, 'G3DSA:2.30.29.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20276, NULL, 'G3DSA:1.20.58.150', NULL, NULL, NULL, NULL, 'ANTH domain', NULL, NULL, 9315, 3),
(20277, NULL, 'G3DSA:3.40.50.12420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20278, NULL, 'G3DSA:3.10.660.10', NULL, NULL, NULL, NULL, 'DPH Zinc finger', NULL, NULL, 32052, 3),
(20279, NULL, 'G3DSA:2.115.10.10', NULL, NULL, NULL, NULL, 'Tachylectin 2', NULL, NULL, NULL, 3),
(20280, NULL, 'G3DSA:1.10.10.1280', NULL, NULL, NULL, NULL, '', NULL, NULL, 32391, 3),
(20281, NULL, 'G3DSA:2.40.30.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20282, NULL, 'G3DSA:6.10.250.560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20283, NULL, 'G3DSA:1.10.3620.10', NULL, NULL, NULL, NULL, 'YdcF like domain', NULL, NULL, NULL, 3),
(20284, NULL, 'G3DSA:1.10.10.1850', NULL, NULL, NULL, NULL, '', NULL, NULL, 33105, 3),
(20285, NULL, 'G3DSA:3.30.70.980', NULL, NULL, NULL, NULL, '', NULL, NULL, 25992, 3),
(20286, NULL, 'G3DSA:6.10.250.1160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20287, NULL, 'G3DSA:1.20.5.900', NULL, NULL, NULL, NULL, 'transmembrane domain of human cd4', NULL, NULL, NULL, 3),
(20288, NULL, 'G3DSA:2.40.260.10', NULL, NULL, NULL, NULL, 'Sortase', NULL, NULL, 20018, 3),
(20289, NULL, 'G3DSA:2.40.10.380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20290, NULL, 'G3DSA:3.40.50.2300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20291, NULL, 'G3DSA:1.20.1250.20', NULL, NULL, NULL, NULL, 'MFS general substrate transporter like domains', NULL, NULL, 33299, 3),
(20292, NULL, 'G3DSA:1.10.486.10', NULL, NULL, NULL, NULL, 'PCRA; domain 4', NULL, NULL, NULL, 3),
(20293, NULL, 'G3DSA:2.10.109.10', NULL, NULL, NULL, NULL, 'Umud Fragment, subunit A', NULL, NULL, NULL, 3),
(20294, NULL, 'G3DSA:1.10.418.60', NULL, NULL, NULL, NULL, 'Ncd80 complex, Nuf2 subunit', NULL, NULL, 33988, 3),
(20295, NULL, 'G3DSA:3.90.550.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20296, NULL, 'G3DSA:1.10.4000.10', NULL, NULL, NULL, NULL, 'Flagellar transcriptional activator FlhD', NULL, NULL, 31844, 3),
(20297, NULL, 'G3DSA:1.10.3860.10', NULL, NULL, NULL, NULL, 'Sodium:dicarboxylate symporter', NULL, NULL, 30985, 3),
(20298, NULL, 'G3DSA:6.10.140.200', NULL, NULL, NULL, NULL, '', NULL, NULL, 36900, 3),
(20299, NULL, 'G3DSA:1.10.8.850', NULL, NULL, NULL, NULL, '', NULL, NULL, 38519, 3),
(20300, NULL, 'G3DSA:1.20.5.4820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20301, NULL, 'G3DSA:6.10.250.510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20302, NULL, 'G3DSA:1.10.1840.10', NULL, NULL, NULL, NULL, 'main proteinase (3clpro) structure, domain 3', NULL, NULL, 36851, 3),
(20303, NULL, 'G3DSA:2.20.25.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20304, NULL, 'G3DSA:3.55.50.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20305, NULL, 'G3DSA:6.10.250.1730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20306, NULL, 'G3DSA:2.30.170.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 39276, 3),
(20307, NULL, 'G3DSA:3.40.50.1950', NULL, NULL, NULL, NULL, '', NULL, NULL, 36448, 3),
(20308, NULL, 'G3DSA:1.10.189.10', NULL, NULL, NULL, NULL, 'Pyruvate Phosphate Dikinase, domain 2', NULL, NULL, NULL, 3),
(20309, NULL, 'G3DSA:3.40.50.800', NULL, NULL, NULL, NULL, '', NULL, NULL, 33228, 3),
(20310, NULL, 'G3DSA:1.10.472.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20311, NULL, 'G3DSA:6.10.250.2130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20312, NULL, 'G3DSA:3.40.50.460', NULL, NULL, NULL, NULL, 'Phosphofructokinase domain', NULL, NULL, 32269, 3),
(20313, NULL, 'G3DSA:3.40.50.10310', NULL, NULL, NULL, NULL, 'Creatininase', NULL, NULL, 12851, 3),
(20314, NULL, 'G3DSA:1.10.287.3290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20315, NULL, 'G3DSA:6.10.250.3060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20316, NULL, 'G3DSA:3.40.50.2000', NULL, NULL, NULL, NULL, 'Glycogen Phosphorylase B;', NULL, NULL, NULL, 3),
(20317, NULL, 'G3DSA:1.20.1260.20', NULL, NULL, NULL, NULL, 'PPE superfamily', NULL, NULL, 35447, 3),
(20318, NULL, 'G3DSA:1.10.150.190', NULL, NULL, NULL, NULL, 'Translation initiation factor 2; subunit 1; domain 2', NULL, NULL, 12294, 3);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20319, NULL, 'G3DSA:3.40.228.10', NULL, NULL, NULL, NULL, 'Dimethylsulfoxide Reductase, domain 2', NULL, NULL, NULL, 3),
(20320, NULL, 'G3DSA:1.20.5.780', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(20321, NULL, 'G3DSA:3.40.50.850', NULL, NULL, NULL, NULL, '', NULL, NULL, 35093, 3),
(20322, NULL, 'G3DSA:3.10.20.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 36168, 3),
(20323, NULL, 'G3DSA:3.55.50.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 39786, 3),
(20324, NULL, 'G3DSA:3.30.390.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20325, NULL, 'G3DSA:1.25.40.330', NULL, NULL, NULL, NULL, '', NULL, NULL, 32283, 3),
(20326, NULL, 'G3DSA:6.10.180.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20327, NULL, 'G3DSA:1.25.40.750', NULL, NULL, NULL, NULL, 'Domain of unknown function DUF5071', NULL, NULL, 34955, 3),
(20328, NULL, 'G3DSA:1.10.287.3240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20329, NULL, 'G3DSA:3.40.50.11400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20330, NULL, 'G3DSA:3.10.20.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 12073, 3),
(20331, NULL, 'G3DSA:1.10.10.1800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20332, NULL, 'G3DSA:2.60.40.1330', NULL, NULL, NULL, NULL, '', NULL, NULL, 8452, 3),
(20333, NULL, 'G3DSA:6.10.250.3010', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20334, NULL, 'G3DSA:3.40.5.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 37899, 3),
(20335, NULL, 'G3DSA:3.40.50.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20336, NULL, 'G3DSA:3.30.1120.90', NULL, NULL, NULL, NULL, 'Nucleosome assembly protein', NULL, NULL, NULL, 3),
(20337, NULL, 'G3DSA:1.20.58.1460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20338, NULL, 'G3DSA:1.20.5.250', NULL, NULL, NULL, NULL, '', NULL, NULL, 12158, 3),
(20339, NULL, 'G3DSA:2.105.10.10', NULL, NULL, NULL, NULL, 'Pseudo beta propeller', NULL, NULL, 8083, 3),
(20340, NULL, 'G3DSA:1.10.150.550', NULL, NULL, NULL, NULL, 'Arenavirus nucleocapsid protein, head domain', NULL, NULL, NULL, 3),
(20341, NULL, 'G3DSA:1.10.10.670', NULL, NULL, NULL, NULL, 'photosystem ii from thermosynechococcus elongatus', NULL, NULL, 39089, 3),
(20342, NULL, 'G3DSA:3.30.450.380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20343, NULL, 'G3DSA:2.10.10.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20344, NULL, 'G3DSA:2.60.120.680', NULL, NULL, NULL, NULL, 'GOLD domain', NULL, NULL, NULL, 3),
(20345, NULL, 'G3DSA:1.10.3100.10', NULL, NULL, NULL, NULL, 'Putative cytoplasmic protein', NULL, NULL, 24235, 3),
(20346, NULL, 'G3DSA:1.20.1270.330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20347, NULL, 'G3DSA:1.20.58.850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20348, NULL, 'G3DSA:2.160.20.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20349, NULL, 'G3DSA:3.30.420.190', NULL, NULL, NULL, NULL, 'conserved archaeal protein q6m145', NULL, NULL, NULL, 3),
(20350, NULL, 'G3DSA:2.40.390.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12691, 3),
(20351, NULL, 'G3DSA:2.60.430.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8636, 3),
(20352, NULL, 'G3DSA:3.30.110.110', NULL, NULL, NULL, NULL, 'Mre11, capping domain', NULL, NULL, 35586, 3),
(20353, NULL, 'G3DSA:2.60.120.480', NULL, NULL, NULL, NULL, 'Ureidoglycolate hydrolase', NULL, NULL, 12878, 3),
(20354, NULL, 'G3DSA:1.10.20.10', NULL, NULL, NULL, NULL, 'Histone, subunit A', NULL, NULL, 6479, 3),
(20355, NULL, 'G3DSA:1.10.10.1140', NULL, NULL, NULL, NULL, '', NULL, NULL, 34334, 3),
(20356, NULL, 'G3DSA:2.60.98.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20357, NULL, 'G3DSA:2.30.30.40', NULL, NULL, NULL, NULL, 'SH3 Domains', NULL, NULL, NULL, 3),
(20358, NULL, 'G3DSA:2.60.120.520', NULL, NULL, NULL, NULL, '', NULL, NULL, 27738, 3),
(20359, NULL, 'G3DSA:3.30.56.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 36131, 3),
(20360, NULL, 'G3DSA:3.30.387.10', NULL, NULL, NULL, NULL, 'Viral Envelope Glycoprotein, domain 3', NULL, NULL, 7647, 3),
(20361, NULL, 'G3DSA:3.90.870.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 35653, 3);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20362, NULL, 'G3DSA:1.10.1220.160', NULL, NULL, NULL, NULL, 'DNA sulphur modification protein DndE', NULL, NULL, 35738, 3),
(20363, NULL, 'G3DSA:1.20.1270.410', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20364, NULL, 'G3DSA:2.170.120.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20365, NULL, 'G3DSA:3.90.950.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 32465, 3),
(20366, NULL, 'G3DSA:3.90.400.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36589, 3),
(20367, NULL, 'G3DSA:1.20.5.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20368, NULL, 'G3DSA:3.30.70.1180', NULL, NULL, NULL, NULL, 'Vacuolar atp synthase subunit c; domain 1', NULL, NULL, NULL, 3),
(20369, NULL, 'G3DSA:6.10.50.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20370, NULL, 'G3DSA:1.20.1250.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 6108, 3),
(20371, NULL, 'G3DSA:6.10.140.2190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20372, NULL, 'G3DSA:3.20.20.470', NULL, NULL, NULL, NULL, 'Glucansucrase', NULL, NULL, NULL, 3),
(20373, NULL, 'G3DSA:2.60.40.3070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20374, NULL, 'G3DSA:3.30.428.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 37406, 3),
(20375, NULL, 'G3DSA:3.90.320.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 13908, 3),
(20376, NULL, 'G3DSA:2.30.130.10', NULL, NULL, NULL, NULL, 'PUA domain', NULL, NULL, 32509, 3),
(20377, NULL, 'G3DSA:2.60.40.1780', NULL, NULL, NULL, NULL, 'Carmovirus coat protein', NULL, NULL, NULL, 3),
(20378, NULL, 'G3DSA:2.40.440.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35113, 3),
(20379, NULL, 'G3DSA:3.30.70.1430', NULL, NULL, NULL, NULL, 'Multidrug efflux transporter AcrB pore domain', NULL, NULL, NULL, 3),
(20380, NULL, 'G3DSA:2.40.128.440', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF14274, DUF4361', NULL, NULL, NULL, 3),
(20381, NULL, 'G3DSA:1.10.1540.10', NULL, NULL, NULL, NULL, 'BEACH domain', NULL, NULL, 30698, 3),
(20382, NULL, 'G3DSA:1.10.10.1650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20383, NULL, 'G3DSA:2.70.20.10', NULL, NULL, NULL, NULL, 'Topoisomerase I, domain 3', NULL, NULL, 18342, 3),
(20384, NULL, 'G3DSA:2.60.120.1290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20385, NULL, 'G3DSA:1.10.357.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20386, NULL, 'G3DSA:2.40.128.230', NULL, NULL, NULL, NULL, 'Pilot protein MxiM', NULL, NULL, 34985, 3),
(20387, NULL, 'G3DSA:3.40.50.11200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20388, NULL, 'G3DSA:2.60.40.4130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20389, NULL, 'G3DSA:2.30.310.10', NULL, NULL, NULL, NULL, 'ibrinogen binding protein from staphylococcus aureus domain', NULL, NULL, NULL, 3),
(20390, NULL, 'G3DSA:3.30.70.2640', NULL, NULL, NULL, NULL, 'Arenavirus RNA polymerase', NULL, NULL, NULL, 3),
(20391, NULL, 'G3DSA:3.10.450.420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20392, NULL, 'G3DSA:3.40.1190.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20393, NULL, 'G3DSA:1.10.287.3440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20394, NULL, 'G3DSA:6.10.250.1440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20395, NULL, 'G3DSA:2.40.30.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 21096, 3),
(20396, NULL, 'G3DSA:1.10.1240.10', NULL, NULL, NULL, NULL, 'Methionine synthase domain', NULL, NULL, 35435, 3),
(20397, NULL, 'G3DSA:2.20.160.10', NULL, NULL, NULL, NULL, 'titin domain like', NULL, NULL, 21989, 3),
(20398, NULL, 'G3DSA:1.20.1270.390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20399, NULL, 'G3DSA:3.30.420.610', NULL, NULL, NULL, NULL, '', NULL, NULL, 33077, 3),
(20400, NULL, 'G3DSA:3.40.190.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20401, NULL, 'G3DSA:6.10.280.10', NULL, NULL, NULL, NULL, 'Mediator complex, subunit Med21', NULL, NULL, NULL, 3),
(20402, NULL, 'G3DSA:1.10.287.1260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20403, NULL, 'G3DSA:6.10.250.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20404, NULL, 'G3DSA:4.10.40.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20405, NULL, 'G3DSA:1.10.1050.10', NULL, NULL, NULL, NULL, 'Ribosomal Protein S4 Delta 41; Chain A, domain 1', NULL, NULL, NULL, 3),
(20406, NULL, 'G3DSA:2.60.40.3740', NULL, NULL, NULL, NULL, '', NULL, NULL, 38693, 3),
(20407, NULL, 'G3DSA:2.60.40.2970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20408, NULL, 'G3DSA:3.90.25.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20409, NULL, 'G3DSA:6.10.150.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20410, NULL, 'G3DSA:3.30.1740.20', NULL, NULL, NULL, NULL, 'Ribosomal protein S26e', NULL, NULL, 30307, 3),
(20411, NULL, 'G3DSA:1.10.135.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36472, 3),
(20412, NULL, 'G3DSA:3.30.240.40', NULL, NULL, NULL, NULL, 'E6 early regulatory protein', NULL, NULL, 34810, 3),
(20413, NULL, 'G3DSA:6.10.250.2260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20414, NULL, 'G3DSA:1.10.8.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20415, NULL, 'G3DSA:1.10.8.710', NULL, NULL, NULL, NULL, '', NULL, NULL, 39563, 3),
(20416, NULL, 'G3DSA:3.30.300.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20417, NULL, 'G3DSA:3.15.20.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20418, NULL, 'G3DSA:2.40.128.80', NULL, NULL, NULL, NULL, 'Cathepsin C, exclusion domain', NULL, NULL, 33518, 3),
(20419, NULL, 'G3DSA:3.30.1120.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 34988, 3),
(20420, NULL, 'G3DSA:2.40.128.530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20421, NULL, 'G3DSA:1.20.59.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20422, NULL, 'G3DSA:6.20.350.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20423, NULL, 'G3DSA:1.10.490.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 32134, 3),
(20424, NULL, 'G3DSA:2.40.50.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20425, NULL, 'G3DSA:6.20.50.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20426, NULL, 'G3DSA:1.10.780.10', NULL, NULL, NULL, NULL, 'Hydroxylamine Oxidoreductase; Chain A, domain 1', NULL, NULL, NULL, 3),
(20427, NULL, 'G3DSA:3.30.160.540', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20428, NULL, 'G3DSA:3.30.110.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30519, 3),
(20429, NULL, 'G3DSA:3.40.5.40', NULL, NULL, NULL, NULL, 'FHIPEP family, domain 2', NULL, NULL, NULL, 3),
(20430, NULL, 'G3DSA:1.20.1260.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 35177, 3),
(20431, NULL, 'G3DSA:3.10.450.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 8852, 3),
(20432, NULL, 'G3DSA:3.30.1490.420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20433, NULL, 'G3DSA:4.10.80.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20434, NULL, 'G3DSA:1.20.120.750', NULL, NULL, NULL, NULL, 'Staphylcoagulase, helix bundle domain 1', NULL, NULL, 36757, 3),
(20435, NULL, 'G3DSA:6.20.430.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20436, NULL, 'G3DSA:1.10.8.550', NULL, NULL, NULL, NULL, '', NULL, NULL, 36537, 3),
(20437, NULL, 'G3DSA:3.30.70.1000', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20438, NULL, 'G3DSA:3.30.70.80', NULL, NULL, NULL, NULL, 'Peptidase S8 propeptide/proteinase inhibitor I9', NULL, NULL, 31694, 3),
(20439, NULL, 'G3DSA:3.90.640.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20440, NULL, 'G3DSA:3.30.70.3460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20441, NULL, 'G3DSA:6.10.280.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20442, NULL, 'G3DSA:3.10.450.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20443, NULL, 'G3DSA:6.20.100.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20444, NULL, 'G3DSA:1.25.60.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30455, 3),
(20445, NULL, 'G3DSA:3.40.630.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 39821, 3),
(20446, NULL, 'G3DSA:2.20.200.10', NULL, NULL, NULL, NULL, 'Outer membrane efflux proteins (OEP)', NULL, NULL, NULL, 3),
(20447, NULL, 'G3DSA:3.30.1370.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 30897, 3),
(20448, NULL, 'G3DSA:1.20.1440.190', NULL, NULL, NULL, NULL, 'Tenuivirus movement protein', NULL, NULL, 37711, 3);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20449, NULL, 'G3DSA:2.30.30.70', NULL, NULL, NULL, NULL, 'Ribosomal protein L21', NULL, NULL, 33159, 3),
(20450, NULL, 'G3DSA:3.40.1170.40', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF3203', NULL, NULL, 34651, 3),
(20451, NULL, 'G3DSA:2.40.128.540', NULL, NULL, NULL, NULL, 'Domain of unknown function DUF4822', NULL, NULL, NULL, 3),
(20452, NULL, 'G3DSA:1.10.210.10', NULL, NULL, NULL, NULL, 'Secretoglobin', NULL, NULL, NULL, 3),
(20453, NULL, 'G3DSA:3.30.360.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 32144, 3),
(20454, NULL, 'G3DSA:6.10.140.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20455, NULL, 'G3DSA:1.20.1440.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 19804, 3),
(20456, NULL, 'G3DSA:1.10.10.2040', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20457, NULL, 'G3DSA:2.20.20.40', NULL, NULL, NULL, NULL, 'Integron cassette protein', NULL, NULL, NULL, 3),
(20458, NULL, 'G3DSA:6.10.250.440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20459, NULL, 'G3DSA:3.30.457.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20460, NULL, 'G3DSA:1.20.58.560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20461, NULL, 'G3DSA:3.30.70.860', NULL, NULL, NULL, NULL, '', NULL, NULL, 29549, 3),
(20462, NULL, 'G3DSA:2.70.9.20', NULL, NULL, NULL, NULL, 'Major capsid protein Vp54', NULL, NULL, 35379, 3),
(20463, NULL, 'G3DSA:3.30.1330.140', NULL, NULL, NULL, NULL, '', NULL, NULL, 38968, 3),
(20464, NULL, 'G3DSA:1.20.1260.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 35309, 3),
(20465, NULL, 'G3DSA:3.30.70.1510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20466, NULL, 'G3DSA:2.20.70.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20467, NULL, 'G3DSA:3.90.1170.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 34074, 3),
(20468, NULL, 'G3DSA:3.40.50.10670', NULL, NULL, NULL, NULL, 'af2093 domain', NULL, NULL, NULL, 3),
(20469, NULL, 'G3DSA:3.30.70.3500', NULL, NULL, NULL, NULL, 'MukB, hinge domain', NULL, NULL, 39311, 3),
(20470, NULL, 'G3DSA:1.20.120.1220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20471, NULL, 'G3DSA:1.10.238.20', NULL, NULL, NULL, NULL, 'Pheromone/general odorant binding protein domain', NULL, NULL, 34900, 3),
(20472, NULL, 'G3DSA:6.10.250.1650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20473, NULL, 'G3DSA:1.10.3210.10', NULL, NULL, NULL, NULL, 'Hypothetical protein af1432', NULL, NULL, NULL, 3),
(20474, NULL, 'G3DSA:1.10.3880.10', NULL, NULL, NULL, NULL, 'Fe(II) trafficking protein YggX', NULL, NULL, 34685, 3),
(20475, NULL, 'G3DSA:6.10.250.2200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20476, NULL, 'G3DSA:1.10.287.1110', NULL, NULL, NULL, NULL, 'Tubulin, GTPase', NULL, NULL, NULL, 3),
(20477, NULL, 'G3DSA:1.20.1690.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20478, NULL, 'G3DSA:3.40.1350.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20479, NULL, 'G3DSA:3.90.1180.10', NULL, NULL, NULL, NULL, 'Ribosomal protein L13', NULL, NULL, 30847, 3),
(20480, NULL, 'G3DSA:3.30.1360.60', NULL, NULL, NULL, NULL, 'Glucose permease domain IIB', NULL, NULL, 30886, 3),
(20481, NULL, 'G3DSA:1.10.1740.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20482, NULL, 'G3DSA:2.40.50.170', NULL, NULL, NULL, NULL, 'Cysteine proteinases. Chain C', NULL, NULL, NULL, 3),
(20483, NULL, 'G3DSA:4.10.260.10', NULL, NULL, NULL, NULL, 'Transducin (heterotrimeric G protein), gamma chain', NULL, NULL, 33621, 3),
(20484, NULL, 'G3DSA:2.40.160.160', NULL, NULL, NULL, NULL, '', NULL, NULL, 32367, 3),
(20485, NULL, 'G3DSA:3.40.50.11310', NULL, NULL, NULL, NULL, 'Bacterial phosphonate metabolism protein PhnH', NULL, NULL, 35202, 3),
(20486, NULL, 'G3DSA:6.10.250.2710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20487, NULL, 'G3DSA:3.40.1450.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31693, 3),
(20488, NULL, 'G3DSA:3.40.50.10140', NULL, NULL, NULL, NULL, '', NULL, NULL, 10547, 3),
(20489, NULL, 'G3DSA:1.10.8.1180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20490, NULL, 'G3DSA:2.60.40.3440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20491, NULL, 'G3DSA:1.20.5.210', NULL, NULL, NULL, NULL, '', NULL, NULL, 33121, 3),
(20492, NULL, 'G3DSA:1.20.1390.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20493, NULL, 'G3DSA:1.25.40.790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20494, NULL, 'G3DSA:3.30.70.270', NULL, NULL, NULL, NULL, '', NULL, NULL, 37959, 3),
(20495, NULL, 'G3DSA:1.10.3670.10', NULL, NULL, NULL, NULL, 'Putative xylanase like domain', NULL, NULL, NULL, 3),
(20496, NULL, 'G3DSA:3.90.1490.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20497, NULL, 'G3DSA:1.10.390.10', NULL, NULL, NULL, NULL, 'Neutral Protease Domain 2', NULL, NULL, 26013, 3),
(20498, NULL, 'G3DSA:3.40.50.11410', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20499, NULL, 'G3DSA:2.60.40.1340', NULL, NULL, NULL, NULL, '', NULL, NULL, 11117, 3),
(20500, NULL, 'G3DSA:3.30.1340.20', NULL, NULL, NULL, NULL, '3H domain', NULL, NULL, 28623, 3),
(20501, NULL, 'G3DSA:2.60.120.1160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20502, NULL, 'G3DSA:1.20.1270.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20503, NULL, 'G3DSA:2.60.120.1080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20504, NULL, 'G3DSA:2.60.40.810', NULL, NULL, NULL, NULL, '', NULL, NULL, 27957, 3),
(20505, NULL, 'G3DSA:3.50.30.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 25885, 3),
(20506, NULL, 'G3DSA:1.10.10.1440', NULL, NULL, NULL, NULL, '', NULL, NULL, 32037, 3),
(20507, NULL, 'G3DSA:1.10.168.20', NULL, NULL, NULL, NULL, 'Ribosomal protein S8e, subdomain', NULL, NULL, 38136, 3),
(20508, NULL, 'G3DSA:2.20.25.420', NULL, NULL, NULL, NULL, 'ZPR1, zinc finger domain', NULL, NULL, 36539, 3),
(20509, NULL, 'G3DSA:3.20.20.190', NULL, NULL, NULL, NULL, 'Phosphatidylinositol (PI) phosphodiesterase', NULL, NULL, 19059, 3),
(20510, NULL, 'G3DSA:3.30.1490.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 7943, 3),
(20511, NULL, 'G3DSA:3.90.1310.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20512, NULL, 'G3DSA:3.30.500.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20513, NULL, 'G3DSA:1.10.287.870', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20514, NULL, 'G3DSA:3.30.300.210', NULL, NULL, NULL, NULL, 'Nutrient germinant receptor protein C, domain 3', NULL, NULL, 34540, 3),
(20515, NULL, 'G3DSA:1.10.150.220', NULL, NULL, NULL, NULL, '', NULL, NULL, 32249, 3),
(20516, NULL, 'G3DSA:3.30.450.170', NULL, NULL, NULL, NULL, '', NULL, NULL, 33921, 3),
(20517, NULL, 'G3DSA:3.30.420.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20518, NULL, 'G3DSA:3.40.1530.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30156, 3),
(20519, NULL, 'G3DSA:3.70.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20520, NULL, 'G3DSA:3.30.420.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20521, NULL, 'G3DSA:3.30.2310.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 32137, 3),
(20522, NULL, 'G3DSA:1.20.5.4090', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20523, NULL, 'G3DSA:2.20.50.20', NULL, NULL, NULL, NULL, 'Lipovitellin. Chain A, domain 3', NULL, NULL, 12503, 3),
(20524, NULL, 'G3DSA:3.90.930.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20525, NULL, 'G3DSA:2.40.30.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20526, NULL, 'G3DSA:3.50.90.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 16523, 3),
(20527, NULL, 'G3DSA:2.60.120.660', NULL, NULL, NULL, NULL, 'icosahedral virus', NULL, NULL, NULL, 3),
(20528, NULL, 'G3DSA:1.10.3660.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20529, NULL, 'G3DSA:1.20.5.1240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20530, NULL, 'G3DSA:1.10.1200.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35921, 3),
(20531, NULL, 'G3DSA:1.20.120.1270', NULL, NULL, NULL, NULL, 'CagA exotoxin domain III', NULL, NULL, NULL, 3),
(20532, NULL, 'G3DSA:3.90.550.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20533, NULL, 'G3DSA:2.60.450.10', NULL, NULL, NULL, NULL, 'Lipopolysaccharide (LPS) transport protein A like domain', NULL, NULL, NULL, 3),
(20534, NULL, 'G3DSA:1.10.3740.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 25461, 3);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20535, NULL, 'G3DSA:1.20.5.830', NULL, NULL, NULL, NULL, 'luxt domain from vibrio parahaemolyticus', NULL, NULL, NULL, 3),
(20536, NULL, 'G3DSA:6.10.250.1520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20537, NULL, 'G3DSA:6.10.250.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20538, NULL, 'G3DSA:2.170.150.40', NULL, NULL, NULL, NULL, 'Domain of unknown function (DUF427)', NULL, NULL, 34938, 3),
(20539, NULL, 'G3DSA:2.30.110.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30856, 3),
(20540, NULL, 'G3DSA:3.30.70.1170', NULL, NULL, NULL, NULL, 'Sun protein; domain 3', NULL, NULL, NULL, 3),
(20541, NULL, 'G3DSA:1.10.3360.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20542, NULL, 'G3DSA:1.10.4040.10', NULL, NULL, NULL, NULL, 'Penicillinase repressor domain', NULL, NULL, NULL, 3),
(20543, NULL, 'G3DSA:1.10.132.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20544, NULL, 'G3DSA:3.30.420.370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20545, NULL, 'G3DSA:1.20.91.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 10722, 3),
(20546, NULL, 'G3DSA:1.20.5.1060', NULL, NULL, NULL, NULL, 'Tetrabrachion', NULL, NULL, 35258, 3),
(20547, NULL, 'G3DSA:3.30.160.620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20548, NULL, 'G3DSA:1.20.890.70', NULL, NULL, NULL, NULL, 'Protein translocase subunit SecA, preprotein binding domain', NULL, NULL, NULL, 3),
(20549, NULL, 'G3DSA:6.20.40.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 39030, 3),
(20550, NULL, 'G3DSA:1.20.58.980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20551, NULL, 'G3DSA:1.20.910.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 9060, 3),
(20552, NULL, 'G3DSA:3.30.63.10', NULL, NULL, NULL, NULL, 'Guanylate Kinase phosphate binding domain', NULL, NULL, NULL, 3),
(20553, NULL, 'G3DSA:2.70.98.20', NULL, NULL, NULL, NULL, 'Copper amine oxidase, catalytic domain', NULL, NULL, 34351, 3),
(20554, NULL, 'G3DSA:1.10.8.470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20555, NULL, 'G3DSA:3.40.275.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 29400, 3),
(20556, NULL, 'G3DSA:1.20.1690.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20557, NULL, 'G3DSA:3.30.420.310', NULL, NULL, NULL, NULL, '', NULL, NULL, 37950, 3),
(20558, NULL, 'G3DSA:3.30.300.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 25337, 3),
(20559, NULL, 'G3DSA:3.40.1440.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 39375, 3),
(20560, NULL, 'G3DSA:3.40.30.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 36080, 3),
(20561, NULL, 'G3DSA:6.10.250.1230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20562, NULL, 'G3DSA:4.10.640.10', NULL, NULL, NULL, NULL, 'Ribosomal protein S18', NULL, NULL, 30825, 3),
(20563, NULL, 'G3DSA:1.10.10.830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20564, NULL, 'G3DSA:3.90.1290.10', NULL, NULL, NULL, NULL, 'Plakin repeat', NULL, NULL, 18695, 3),
(20565, NULL, 'G3DSA:3.20.170.20', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF952', NULL, NULL, NULL, 3),
(20566, NULL, 'G3DSA:6.10.140.1300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20567, NULL, 'G3DSA:3.55.40.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 31654, 3),
(20568, NULL, 'G3DSA:3.90.199.10', NULL, NULL, NULL, NULL, 'Topoisomerase II, domain 5', NULL, NULL, 7997, 3),
(20569, NULL, 'G3DSA:1.10.10.1760', NULL, NULL, NULL, NULL, '60S ribosomal protein L36', NULL, NULL, 32034, 3),
(20570, NULL, 'G3DSA:3.10.450.630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20571, NULL, 'G3DSA:1.10.1330.10', NULL, NULL, NULL, NULL, 'Dockerin domain', NULL, NULL, 34443, 3),
(20572, NULL, 'G3DSA:3.60.130.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33215, 3),
(20573, NULL, 'G3DSA:3.30.40.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20574, NULL, 'G3DSA:1.20.58.1880', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20575, NULL, 'G3DSA:2.100.10.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20576, NULL, 'G3DSA:1.20.58.1960', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20577, NULL, 'G3DSA:3.30.70.1270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20578, NULL, 'G3DSA:3.30.70.3540', NULL, NULL, NULL, NULL, 'Nsp8 replicase, head domain', NULL, NULL, 31010, 3),
(20579, NULL, 'G3DSA:3.40.1830.10', NULL, NULL, NULL, NULL, 'Thermophilic metalloprotease (M29)', NULL, NULL, 7769, 3),
(20580, NULL, 'G3DSA:2.60.40.720', NULL, NULL, NULL, NULL, '', NULL, NULL, 7719, 3),
(20581, NULL, 'G3DSA:2.60.40.2980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20582, NULL, 'G3DSA:6.20.370.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20583, NULL, 'G3DSA:3.90.170.10', NULL, NULL, NULL, NULL, 'Adenylosuccinate Synthetase, subunit A, domain 3', NULL, NULL, 38161, 3),
(20584, NULL, 'G3DSA:4.10.800.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 37266, 3),
(20585, NULL, 'G3DSA:2.60.40.4260', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(20586, NULL, 'G3DSA:3.40.50.11090', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20587, NULL, 'G3DSA:2.30.22.10', NULL, NULL, NULL, NULL, 'Head domain of nucleotide exchange factor GrpE', NULL, NULL, 9750, 3),
(20588, NULL, 'G3DSA:6.10.250.2470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20589, NULL, 'G3DSA:3.30.457.50', NULL, NULL, NULL, NULL, 'Chromosome segregation protein Spc25', NULL, NULL, NULL, 3),
(20590, NULL, 'G3DSA:2.70.50.40', NULL, NULL, NULL, NULL, 'GMP phosphodiesterase, delta subunit', NULL, NULL, 31661, 3),
(20591, NULL, 'G3DSA:1.10.260.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20592, NULL, 'G3DSA:1.10.132.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20593, NULL, 'G3DSA:3.30.70.560', NULL, NULL, NULL, NULL, '', NULL, NULL, 10683, 3),
(20594, NULL, 'G3DSA:6.20.400.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20595, NULL, 'G3DSA:1.20.120.560', NULL, NULL, NULL, NULL, 'alix/aip1 in complex with the ypdl late domain', NULL, NULL, NULL, 3),
(20596, NULL, 'G3DSA:3.30.450.250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20597, NULL, 'G3DSA:2.60.120.470', NULL, NULL, NULL, NULL, 'PITH domain', NULL, NULL, 31701, 3),
(20598, NULL, 'G3DSA:3.90.1640.20', NULL, NULL, NULL, NULL, 'TON_0340', NULL, NULL, NULL, 3),
(20599, NULL, 'G3DSA:2.60.40.3730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20600, NULL, 'G3DSA:3.90.1710.10', NULL, NULL, NULL, NULL, 'Enterococcus faecalis V583 domain', NULL, NULL, NULL, 3),
(20601, NULL, 'G3DSA:1.20.120.1870', NULL, NULL, NULL, NULL, 'Fic/DOC protein, Fido domain', NULL, NULL, NULL, 3),
(20602, NULL, 'G3DSA:3.40.91.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 35388, 3),
(20603, NULL, 'G3DSA:1.10.287.1050', NULL, NULL, NULL, NULL, '', NULL, NULL, 25108, 3),
(20604, NULL, 'G3DSA:6.10.140.2060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20605, NULL, 'G3DSA:1.25.40.580', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20606, NULL, 'G3DSA:1.10.274.100', NULL, NULL, NULL, NULL, 'RNA polymerase Rpb1, domain 3', NULL, NULL, 33245, 3),
(20607, NULL, 'G3DSA:3.30.1680.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20608, NULL, 'G3DSA:1.20.1710.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36088, 3),
(20609, NULL, 'G3DSA:3.40.1350.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20610, NULL, 'G3DSA:3.30.70.2720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20611, NULL, 'G3DSA:1.10.1620.20', NULL, NULL, NULL, NULL, 'ATP synthase, F1 complex, epsilon  subunit superfamily, mitochondrial', NULL, NULL, 34602, 3),
(20612, NULL, 'G3DSA:3.30.70.1210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20613, NULL, 'G3DSA:3.40.50.2060', NULL, NULL, NULL, NULL, '', NULL, NULL, 36579, 3),
(20614, NULL, 'G3DSA:3.30.1670.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35037, 3),
(20615, NULL, 'G3DSA:1.10.1510.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20616, NULL, 'G3DSA:3.40.50.11110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20617, NULL, 'G3DSA:3.40.50.10010', NULL, NULL, NULL, NULL, '', NULL, NULL, 32321, 3),
(20618, NULL, 'G3DSA:2.30.30.830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20619, NULL, 'G3DSA:6.10.140.1960', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20620, NULL, 'G3DSA:2.20.25.400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20621, NULL, 'G3DSA:3.90.1150.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 32273, 3),
(20622, NULL, 'G3DSA:1.20.58.1630', NULL, NULL, NULL, NULL, 'Chaperone lipoprotein PulS/OutS', NULL, NULL, 33946, 3),
(20623, NULL, 'G3DSA:1.10.1870.10', NULL, NULL, NULL, NULL, 'Domain 3, Saccharopine reductase', NULL, NULL, NULL, 3),
(20624, NULL, 'G3DSA:3.30.2450.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20625, NULL, 'G3DSA:1.10.150.320', NULL, NULL, NULL, NULL, 'Photosystem II 12 kDa extrinsic protein', NULL, NULL, NULL, 3),
(20626, NULL, 'G3DSA:2.20.70.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20627, NULL, 'G3DSA:3.90.540.10', NULL, NULL, NULL, NULL, 'Colicin/pyocin, DNase domain', NULL, NULL, 31555, 3),
(20628, NULL, 'G3DSA:3.30.160.750', NULL, NULL, NULL, NULL, '', NULL, NULL, 37165, 3),
(20629, NULL, 'G3DSA:3.40.630.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 34695, 3),
(20630, NULL, 'G3DSA:3.10.450.200', NULL, NULL, NULL, NULL, '', NULL, NULL, 34574, 3),
(20631, NULL, 'G3DSA:3.40.50.12090', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20632, NULL, 'G3DSA:1.10.8.340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20633, NULL, 'G3DSA:3.30.70.2190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20634, NULL, 'G3DSA:1.10.10.1350', NULL, NULL, NULL, NULL, '', NULL, NULL, 36040, 3),
(20635, NULL, 'G3DSA:2.20.150.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 19099, 3),
(20636, NULL, 'G3DSA:2.30.240.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 29630, 3),
(20637, NULL, 'G3DSA:1.10.510.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20638, NULL, 'G3DSA:1.20.1270.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20639, NULL, 'G3DSA:1.20.1250.60', NULL, NULL, NULL, NULL, 'Interferon lambda', NULL, NULL, 31235, 3),
(20640, NULL, 'G3DSA:2.60.40.1530', NULL, NULL, NULL, NULL, 'ntegrin, alpha v. Chain A, domain 4', NULL, NULL, NULL, 3),
(20641, NULL, 'G3DSA:6.20.240.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20642, NULL, 'G3DSA:1.10.1740.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20643, NULL, 'G3DSA:3.30.160.80', NULL, NULL, NULL, NULL, 'Amb V Allergen', NULL, NULL, 34269, 3),
(20644, NULL, 'G3DSA:1.10.275.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20645, NULL, 'G3DSA:6.20.50.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20646, NULL, 'G3DSA:1.10.40.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20647, NULL, 'G3DSA:3.30.160.170', NULL, NULL, NULL, NULL, '', NULL, NULL, 24384, 3),
(20648, NULL, 'G3DSA:2.60.40.3160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20649, NULL, 'G3DSA:1.10.490.30', NULL, NULL, NULL, NULL, 'Colicin', NULL, NULL, 33581, 3),
(20650, NULL, 'G3DSA:3.40.50.12620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20651, NULL, 'G3DSA:2.60.40.2550', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20652, NULL, 'G3DSA:2.170.260.10', NULL, NULL, NULL, NULL, 'paz domain', NULL, NULL, NULL, 3),
(20653, NULL, 'G3DSA:3.90.950.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 25909, 3),
(20654, NULL, 'G3DSA:1.20.58.940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20655, NULL, 'G3DSA:3.30.565.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30749, 3),
(20656, NULL, 'G3DSA:3.30.450.290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20657, NULL, 'G3DSA:3.40.50.1450', NULL, NULL, NULL, NULL, '', NULL, NULL, 16401, 3),
(20658, NULL, 'G3DSA:3.30.160.830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20659, NULL, 'G3DSA:2.60.40.2760', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20660, NULL, 'G3DSA:1.20.1330.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20661, NULL, 'G3DSA:1.10.1900.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20662, NULL, 'G3DSA:3.40.462.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20663, NULL, 'G3DSA:3.30.1490.390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20664, NULL, 'G3DSA:2.60.40.3950', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20665, NULL, 'G3DSA:1.20.5.530', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(20666, NULL, 'G3DSA:3.30.70.590', NULL, NULL, NULL, NULL, 'Poly(A) polymerase predicted RNA binding domain', NULL, NULL, NULL, 3),
(20667, NULL, 'G3DSA:3.30.420.400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20668, NULL, 'G3DSA:3.10.340.11', NULL, NULL, NULL, NULL, 'Methenyltetrahydromethanopterin Cyclohydrolase; Chain A, domain 1', NULL, NULL, NULL, 3),
(20669, NULL, 'G3DSA:3.10.20.530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20670, NULL, 'G3DSA:1.10.3180.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 15589, 3),
(20671, NULL, 'G3DSA:3.30.70.3330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20672, NULL, 'G3DSA:1.25.40.380', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF1810', NULL, NULL, 34042, 3),
(20673, NULL, 'G3DSA:3.90.1150.210', NULL, NULL, NULL, NULL, '', NULL, NULL, 37303, 3),
(20674, NULL, 'G3DSA:3.30.1360.230', NULL, NULL, NULL, NULL, '', NULL, NULL, 35731, 3),
(20675, NULL, 'G3DSA:1.20.58.2190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20676, NULL, 'G3DSA:2.20.20.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20677, NULL, 'G3DSA:2.160.20.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20678, NULL, 'G3DSA:3.30.30.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20679, NULL, 'G3DSA:6.10.250.360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20680, NULL, 'G3DSA:3.10.450.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20681, NULL, 'G3DSA:1.20.120.1010', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20682, NULL, 'G3DSA:3.30.910.20', NULL, NULL, NULL, NULL, 'Skp domain', NULL, NULL, 21518, 3),
(20683, NULL, 'G3DSA:6.10.250.2410', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20684, NULL, 'G3DSA:3.30.70.3030', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20685, NULL, 'G3DSA:2.60.40.1130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20686, NULL, 'G3DSA:1.10.287.700', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, NULL, 3),
(20687, NULL, 'G3DSA:1.10.1200.140', NULL, NULL, NULL, NULL, 'Alkaline phosphatase, crown domain', NULL, NULL, 32937, 3),
(20688, NULL, 'G3DSA:2.60.40.3650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20689, NULL, 'G3DSA:2.60.120.230', NULL, NULL, NULL, NULL, '', NULL, NULL, 8717, 3),
(20690, NULL, 'G3DSA:1.10.287.750', NULL, NULL, NULL, NULL, '', NULL, NULL, 35680, 3),
(20691, NULL, 'G3DSA:2.60.120.310', NULL, NULL, NULL, NULL, '', NULL, NULL, 30087, 3),
(20692, NULL, 'G3DSA:1.20.58.860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20693, NULL, 'G3DSA:6.20.40.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20694, NULL, 'G3DSA:3.30.1490.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 7310, 3),
(20695, NULL, 'G3DSA:1.20.58.1660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20696, NULL, 'G3DSA:3.30.310.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20697, NULL, 'G3DSA:2.60.40.4050', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20698, NULL, 'G3DSA:3.30.110.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20699, NULL, 'G3DSA:1.20.58.610', NULL, NULL, NULL, NULL, 'Cdc37, Hsp90 binding domain', NULL, NULL, 33573, 3),
(20700, NULL, 'G3DSA:3.40.50.10800', NULL, NULL, NULL, NULL, '', NULL, NULL, 29741, 3),
(20701, NULL, 'G3DSA:1.10.2050.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 39132, 3),
(20702, NULL, 'G3DSA:3.30.1320.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 17954, 3),
(20703, NULL, 'G3DSA:3.90.570.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34010, 3),
(20704, NULL, 'G3DSA:1.10.150.590', NULL, NULL, NULL, NULL, '', NULL, NULL, 34507, 3),
(20705, NULL, 'G3DSA:3.30.1330.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 26110, 3),
(20706, NULL, 'G3DSA:6.10.250.3390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20707, NULL, 'G3DSA:1.10.468.10', NULL, NULL, NULL, NULL, 'Photosynthetic Reaction Center, subunit C, domain 2', NULL, NULL, 4286, 3),
(20708, NULL, 'G3DSA:3.10.450.330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20709, NULL, 'G3DSA:3.90.148.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36004, 3),
(20710, NULL, 'G3DSA:3.30.70.3160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20711, NULL, 'G3DSA:1.20.1570.10', NULL, NULL, NULL, NULL, 'dip2346 domain like', NULL, NULL, NULL, 3),
(20712, NULL, 'G3DSA:3.30.390.180', NULL, NULL, NULL, NULL, 'RNA silencing suppressor P19', NULL, NULL, 36257, 3),
(20713, NULL, 'G3DSA:3.30.70.1300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20714, NULL, 'G3DSA:1.10.246.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20715, NULL, 'G3DSA:3.40.50.10350', NULL, NULL, NULL, NULL, 'Glycerate kinase; domain 1', NULL, NULL, 7909, 3),
(20716, NULL, 'G3DSA:6.10.250.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20717, NULL, 'G3DSA:3.30.1570.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33668, 3),
(20718, NULL, 'G3DSA:6.10.140.1880', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20719, NULL, 'G3DSA:3.30.70.2850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20720, NULL, 'G3DSA:6.10.250.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20721, NULL, 'G3DSA:1.10.287.1150', NULL, NULL, NULL, NULL, 'TPP helical domain', NULL, NULL, NULL, 3),
(20722, NULL, 'G3DSA:6.10.250.1530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20723, NULL, 'G3DSA:3.30.920.30', NULL, NULL, NULL, NULL, 'Hypothetical protein.', NULL, NULL, 34680, 3),
(20724, NULL, 'G3DSA:6.10.250.2500', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20725, NULL, 'G3DSA:1.10.599.10', NULL, NULL, NULL, NULL, 'Aldehyde Ferredoxin Oxidoreductase Protein, subunit A, domain 3', NULL, NULL, 13318, 3),
(20726, NULL, 'G3DSA:2.30.30.220', NULL, NULL, NULL, NULL, '', NULL, NULL, 29821, 3),
(20727, NULL, 'G3DSA:1.20.5.1450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20728, NULL, 'G3DSA:3.30.70.1650', NULL, NULL, NULL, NULL, 'PDO, CxxC motif', NULL, NULL, NULL, 3),
(20729, NULL, 'G3DSA:1.20.120.1800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20730, NULL, 'G3DSA:2.60.40.3820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20731, NULL, 'G3DSA:4.10.80.280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20732, NULL, 'G3DSA:1.10.1240.40', NULL, NULL, NULL, NULL, 'ENT domain', NULL, NULL, 30558, 3),
(20733, NULL, 'G3DSA:2.60.40.2680', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20734, NULL, 'G3DSA:4.10.1000.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20735, NULL, 'G3DSA:1.20.58.770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20736, NULL, 'G3DSA:2.60.40.3080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20737, NULL, 'G3DSA:1.20.1130.10', NULL, NULL, NULL, NULL, 'Photosystem I PsaA/PsaB', NULL, NULL, 34075, 3),
(20738, NULL, 'G3DSA:1.10.8.260', NULL, NULL, NULL, NULL, '', NULL, NULL, 15819, 3),
(20739, NULL, 'G3DSA:6.10.250.1310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20740, NULL, 'G3DSA:3.30.420.580', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20741, NULL, 'G3DSA:1.20.1250.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 31170, 3),
(20742, NULL, 'G3DSA:2.60.40.2100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20743, NULL, 'G3DSA:3.30.450.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20744, NULL, 'G3DSA:3.60.120.10', NULL, NULL, NULL, NULL, 'Anthranilate synthase', NULL, NULL, 5783, 3),
(20745, NULL, 'G3DSA:3.30.1190.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30776, 3),
(20746, NULL, 'G3DSA:1.20.1280.10', NULL, NULL, NULL, NULL, 'Methane monooxygenase, gamma chain, domain 1', NULL, NULL, 8237, 3),
(20747, NULL, 'G3DSA:1.20.5.2480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20748, NULL, 'G3DSA:3.30.1330.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20749, NULL, 'G3DSA:2.60.40.1250', NULL, NULL, NULL, NULL, '', NULL, NULL, 35335, 3),
(20750, NULL, 'G3DSA:1.20.120.440', NULL, NULL, NULL, NULL, '', NULL, NULL, 16845, 3),
(20751, NULL, 'G3DSA:3.40.50.10770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20752, NULL, 'G3DSA:2.60.40.2340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20753, NULL, 'G3DSA:4.10.1260.10', NULL, NULL, NULL, NULL, 'Scaffolding protein gpD of bacteriophage procapsid', NULL, NULL, 35839, 3),
(20754, NULL, 'G3DSA:1.25.40.370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20755, NULL, 'G3DSA:3.30.460.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20756, NULL, 'G3DSA:3.30.70.2510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20757, NULL, 'G3DSA:3.30.1460.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20758, NULL, 'G3DSA:2.40.128.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 34559, 3),
(20759, NULL, 'G3DSA:2.30.42.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20760, NULL, 'G3DSA:3.30.470.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20761, NULL, 'G3DSA:6.10.140.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20762, NULL, 'G3DSA:4.10.400.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20763, NULL, 'G3DSA:3.30.70.870', NULL, NULL, NULL, NULL, 'Elongation Factor G (Translational Gtpase), domain 3', NULL, NULL, NULL, 3),
(20764, NULL, 'G3DSA:2.30.30.430', NULL, NULL, NULL, NULL, 'Kinase associated protein B domain', NULL, NULL, 33698, 3),
(20765, NULL, 'G3DSA:1.20.140.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20766, NULL, 'G3DSA:6.10.250.3230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20767, NULL, 'G3DSA:3.40.50.11830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20768, NULL, 'G3DSA:1.20.5.770', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(20769, NULL, 'G3DSA:6.20.450.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20770, NULL, 'G3DSA:6.10.250.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20771, NULL, 'G3DSA:3.40.1020.10', NULL, NULL, NULL, NULL, 'Biosynthetic Threonine Deaminase; Domain 3', NULL, NULL, 32855, 3),
(20772, NULL, 'G3DSA:1.20.142.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 38874, 3),
(20773, NULL, 'G3DSA:3.20.16.10', NULL, NULL, NULL, NULL, 'Herpesvirus/Caudovirus protease domain', NULL, NULL, 34052, 3),
(20774, NULL, 'G3DSA:2.60.40.3860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20775, NULL, 'G3DSA:6.10.250.780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20776, NULL, 'G3DSA:1.20.58.1240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20777, NULL, 'G3DSA:2.20.25.590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20778, NULL, 'G3DSA:6.10.250.1080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20779, NULL, 'G3DSA:3.40.50.11780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20780, NULL, 'G3DSA:6.10.250.3260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20781, NULL, 'G3DSA:1.20.120.920', NULL, NULL, NULL, NULL, '', NULL, NULL, 37952, 3),
(20782, NULL, 'G3DSA:3.40.30.60', NULL, NULL, NULL, NULL, 'FHIPEP family, domain 1', NULL, NULL, 37815, 3),
(20783, NULL, 'G3DSA:6.10.250.2170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20784, NULL, 'G3DSA:3.40.50.12390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20785, NULL, 'G3DSA:1.10.3060.10', NULL, NULL, NULL, NULL, 'Helical scaffold and wing domains of SecA', NULL, NULL, NULL, 3),
(20786, NULL, 'G3DSA:3.30.60.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20787, NULL, 'G3DSA:2.60.120.10', NULL, NULL, NULL, NULL, 'Jelly Rolls', NULL, NULL, 18001, 3),
(20788, NULL, 'G3DSA:3.30.1040.10', NULL, NULL, NULL, NULL, 'Carboxypeptidase inhibitor', NULL, NULL, 8521, 3),
(20789, NULL, 'G3DSA:3.30.750.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20790, NULL, 'G3DSA:1.25.40.340', NULL, NULL, NULL, NULL, '', NULL, NULL, 35638, 3),
(20791, NULL, 'G3DSA:2.20.25.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20792, NULL, 'G3DSA:3.30.1330.170', NULL, NULL, NULL, NULL, 'Cyanuric acid hydrolase/Barbiturase, RU A', NULL, NULL, 38594, 3),
(20793, NULL, 'G3DSA:2.40.128.620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20794, NULL, 'G3DSA:3.30.1500.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31320, 3),
(20795, NULL, 'G3DSA:1.10.8.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20796, NULL, 'G3DSA:3.30.2020.40', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF10387, DUF2442', NULL, NULL, NULL, 3),
(20797, NULL, 'G3DSA:2.170.40.20', NULL, NULL, NULL, NULL, 'Human immunodeficiency virus 1, Gp160, envelope glycoprotein', NULL, NULL, 35500, 3),
(20798, NULL, 'G3DSA:1.20.58.1210', NULL, NULL, NULL, NULL, '', NULL, NULL, 38436, 3),
(20799, NULL, 'G3DSA:1.10.10.990', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20800, NULL, 'G3DSA:1.10.20.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20801, NULL, 'G3DSA:1.10.1200.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20802, NULL, 'G3DSA:4.10.780.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30255, 3),
(20803, NULL, 'G3DSA:1.20.58.730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20804, NULL, 'G3DSA:2.70.50.30', NULL, NULL, NULL, NULL, 'Coagulation Factor XIII, subunit A, domain 1', NULL, NULL, 24127, 3),
(20805, NULL, 'G3DSA:3.40.1630.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20806, NULL, 'G3DSA:2.60.120.860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20807, NULL, 'G3DSA:3.90.220.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12295, 3),
(20808, NULL, 'G3DSA:1.20.5.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 30799, 3),
(20809, NULL, 'G3DSA:1.20.120.950', NULL, NULL, NULL, NULL, 'Uncharacterised protein DUF5062', NULL, NULL, NULL, 3),
(20810, NULL, 'G3DSA:3.30.2220.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30325, 3),
(20811, NULL, 'G3DSA:3.30.70.3120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20812, NULL, 'G3DSA:2.40.50.1060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20813, NULL, 'G3DSA:2.40.10.340', NULL, NULL, NULL, NULL, '', NULL, NULL, 38788, 3),
(20814, NULL, 'G3DSA:3.10.530.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35321, 3),
(20815, NULL, 'G3DSA:6.10.250.800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20816, NULL, 'G3DSA:2.30.42.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20817, NULL, 'G3DSA:2.60.40.3910', NULL, NULL, NULL, NULL, 'Inclusion body protein', NULL, NULL, 33521, 3),
(20818, NULL, 'G3DSA:2.20.20.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 18885, 3),
(20819, NULL, 'G3DSA:1.10.150.830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20820, NULL, 'G3DSA:2.50.20.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 35810, 3),
(20821, NULL, 'G3DSA:3.30.70.2030', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20822, NULL, 'G3DSA:3.30.420.280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20823, NULL, 'G3DSA:2.170.140.10', NULL, NULL, NULL, NULL, 'Chitin binding domain', NULL, NULL, NULL, 3),
(20824, NULL, 'G3DSA:2.40.340.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33660, 3),
(20825, NULL, 'G3DSA:6.10.140.1270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20826, NULL, 'G3DSA:1.10.150.350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20827, NULL, 'G3DSA:3.30.160.220', NULL, NULL, NULL, NULL, 'YoaG', NULL, NULL, 33605, 3),
(20828, NULL, 'G3DSA:3.30.310.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20829, NULL, 'G3DSA:2.40.360.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20830, NULL, 'G3DSA:1.10.8.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 29637, 3),
(20831, NULL, 'G3DSA:6.10.140.1750', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20832, NULL, 'G3DSA:6.10.130.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 30043, 3),
(20833, NULL, 'G3DSA:3.90.1640.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20834, NULL, 'G3DSA:6.20.60.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20835, NULL, 'G3DSA:1.10.10.1770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20836, NULL, 'G3DSA:3.30.2400.10', NULL, NULL, NULL, NULL, 'Major capsid protein gp5', NULL, NULL, NULL, 3),
(20837, NULL, 'G3DSA:1.20.120.1560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20838, NULL, 'G3DSA:1.10.287.2920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20839, NULL, 'G3DSA:6.10.140.1540', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20840, NULL, 'G3DSA:3.30.2300.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20841, NULL, 'G3DSA:2.40.50.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 35944, 3),
(20842, NULL, 'G3DSA:1.10.10.2380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20843, NULL, 'G3DSA:6.10.20.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20844, NULL, 'G3DSA:3.30.1390.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 35377, 3),
(20845, NULL, 'G3DSA:2.80.10.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20846, NULL, 'G3DSA:3.40.50.11320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20847, NULL, 'G3DSA:3.10.20.750', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20848, NULL, 'G3DSA:3.50.70.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 10405, 3),
(20849, NULL, 'G3DSA:2.60.120.1170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20850, NULL, 'G3DSA:1.20.920.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20851, NULL, 'G3DSA:1.10.220.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20852, NULL, 'G3DSA:3.40.50.10230', NULL, NULL, NULL, NULL, '', NULL, NULL, 35537, 3),
(20853, NULL, 'G3DSA:2.60.90.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20854, NULL, 'G3DSA:1.10.150.380', NULL, NULL, NULL, NULL, '', NULL, NULL, 39552, 3),
(20855, NULL, 'G3DSA:4.10.80.300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20856, NULL, 'G3DSA:3.10.400.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20857, NULL, 'G3DSA:3.10.450.90', NULL, NULL, NULL, NULL, 'ArcTGT, C2 domain', NULL, NULL, 30180, 3),
(20858, NULL, 'G3DSA:3.30.2000.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30191, 3),
(20859, NULL, 'G3DSA:1.10.287.2230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20860, NULL, 'G3DSA:2.40.290.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12315, 3),
(20861, NULL, 'G3DSA:3.30.300.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 33751, 3),
(20862, NULL, 'G3DSA:1.10.10.2830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20863, NULL, 'G3DSA:3.90.1150.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20864, NULL, 'G3DSA:3.40.50.12020', NULL, NULL, NULL, NULL, 'Uncharacterised protein family UPF0261, NN domain', NULL, NULL, NULL, 3),
(20865, NULL, 'G3DSA:3.10.250.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34456, 3),
(20866, NULL, 'G3DSA:3.10.450.540', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20867, NULL, 'G3DSA:1.10.166.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30493, 3),
(20868, NULL, 'G3DSA:3.40.50.12100', NULL, NULL, NULL, NULL, 'Stimulator of interferon genes protein', NULL, NULL, 35297, 3),
(20869, NULL, 'G3DSA:2.40.110.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20870, NULL, 'G3DSA:3.10.330.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20871, NULL, 'G3DSA:1.20.144.10', NULL, NULL, NULL, NULL, 'Phosphatidic acid phosphatase type 2/haloperoxidase', NULL, NULL, NULL, 3),
(20872, NULL, 'G3DSA:2.70.230.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20873, NULL, 'G3DSA:2.60.40.60', NULL, NULL, NULL, NULL, 'Cadherins', NULL, NULL, NULL, 3),
(20874, NULL, 'G3DSA:1.10.287.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20875, NULL, 'G3DSA:1.10.10.520', NULL, NULL, NULL, NULL, 'Ubiquitin activating enzymes (Uba3). Chain: B, domain 2', NULL, NULL, 16856, 3),
(20876, NULL, 'G3DSA:3.30.70.2240', NULL, NULL, NULL, NULL, '', NULL, NULL, 38412, 3),
(20877, NULL, 'G3DSA:1.20.58.430', NULL, NULL, NULL, NULL, '', NULL, NULL, 5931, 3),
(20878, NULL, 'G3DSA:1.10.10.740', NULL, NULL, NULL, NULL, 'Crisp domain', NULL, NULL, 32915, 3),
(20879, NULL, 'G3DSA:3.30.505.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20880, NULL, 'G3DSA:3.30.300.330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20881, NULL, 'G3DSA:2.20.210.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20882, NULL, 'G3DSA:6.10.250.570', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20883, NULL, 'G3DSA:1.10.10.200', NULL, NULL, NULL, NULL, '', NULL, NULL, 21122, 3),
(20884, NULL, 'G3DSA:2.170.11.10', NULL, NULL, NULL, NULL, 'DNA Topoisomerase I, domain 2', NULL, NULL, 14073, 3),
(20885, NULL, 'G3DSA:3.30.70.990', NULL, NULL, NULL, NULL, '', NULL, NULL, 29522, 3);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20886, NULL, 'G3DSA:3.30.390.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20887, NULL, 'G3DSA:2.100.10.10', NULL, NULL, NULL, NULL, 'Pesticidal crystal protein, central domain', NULL, NULL, 34036, 3),
(20888, NULL, 'G3DSA:3.40.1780.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37983, 3),
(20889, NULL, 'G3DSA:3.10.129.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20890, NULL, 'G3DSA:2.40.250.10', NULL, NULL, NULL, NULL, 'Core binding factor, beta subunit', NULL, NULL, 36295, 3),
(20891, NULL, 'G3DSA:1.10.150.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 30024, 3),
(20892, NULL, 'G3DSA:2.40.128.410', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20893, NULL, 'G3DSA:1.10.730.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20894, NULL, 'G3DSA:2.170.160.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 17823, 3),
(20895, NULL, 'G3DSA:3.40.5.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20896, NULL, 'G3DSA:6.20.150.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20897, NULL, 'G3DSA:2.30.250.10', NULL, NULL, NULL, NULL, 'Aminopeptidase i, Domain 2', NULL, NULL, 19352, 3),
(20898, NULL, 'G3DSA:1.10.8.1000', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20899, NULL, 'G3DSA:3.30.1370.170', NULL, NULL, NULL, NULL, '', NULL, NULL, 30003, 3),
(20900, NULL, 'G3DSA:4.10.530.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20901, NULL, 'G3DSA:3.10.630.10', NULL, NULL, NULL, NULL, 'dip2346 domain like', NULL, NULL, NULL, 3),
(20902, NULL, 'G3DSA:1.25.40.820', NULL, NULL, NULL, NULL, '', NULL, NULL, 36355, 3),
(20903, NULL, 'G3DSA:2.20.20.30', NULL, NULL, NULL, NULL, 'reverse gyrase domain', NULL, NULL, NULL, 3),
(20904, NULL, 'G3DSA:3.90.370.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 25120, 3),
(20905, NULL, 'G3DSA:3.30.365.10', NULL, NULL, NULL, NULL, 'Aldehyde oxidase/xanthine dehydrogenase, molybdopterin binding domain', NULL, NULL, NULL, 3),
(20906, NULL, 'G3DSA:6.10.250.3440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20907, NULL, 'G3DSA:6.10.10.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20908, NULL, 'G3DSA:3.30.70.2810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20909, NULL, 'G3DSA:1.10.10.530', NULL, NULL, NULL, NULL, '', NULL, NULL, 34093, 3),
(20910, NULL, 'G3DSA:3.40.50.12710', NULL, NULL, NULL, NULL, '', NULL, NULL, 35192, 3),
(20911, NULL, 'G3DSA:6.10.250.3020', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20912, NULL, 'G3DSA:3.40.50.1580', NULL, NULL, NULL, NULL, 'Nucleoside phosphorylase domain', NULL, NULL, 16647, 3),
(20913, NULL, 'G3DSA:6.10.250.2620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20914, NULL, 'G3DSA:3.40.10.10', NULL, NULL, NULL, NULL, 'DNA Methylphosphotriester Repair Domain', NULL, NULL, 20989, 3),
(20915, NULL, 'G3DSA:3.40.1030.10', NULL, NULL, NULL, NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase catalytic domain', NULL, NULL, 14220, 3),
(20916, NULL, 'G3DSA:3.30.70.2490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20917, NULL, 'G3DSA:3.30.2440.10', NULL, NULL, NULL, NULL, 'Secreted effector protein SifA', NULL, NULL, NULL, 3),
(20918, NULL, 'G3DSA:3.30.1370.230', NULL, NULL, NULL, NULL, '', NULL, NULL, 33254, 3),
(20919, NULL, 'G3DSA:3.90.1570.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20920, NULL, 'G3DSA:1.10.530.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 21054, 3),
(20921, NULL, 'G3DSA:1.20.58.1030', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20922, NULL, 'G3DSA:3.10.450.320', NULL, NULL, NULL, NULL, 'Mitochondrial import inner membrane translocase subunit Tim21', NULL, NULL, 34603, 3),
(20923, NULL, 'G3DSA:3.30.30.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33922, 3),
(20924, NULL, 'G3DSA:1.10.4180.10', NULL, NULL, NULL, NULL, 'Protein LEAFY', NULL, NULL, 33956, 3),
(20925, NULL, 'G3DSA:1.10.1240.30', NULL, NULL, NULL, NULL, 'KaiA/RbsU domain', NULL, NULL, 2765, 3),
(20926, NULL, 'G3DSA:3.30.70.2870', NULL, NULL, NULL, NULL, 'Mastadenovirus E4 ORF3', NULL, NULL, 35376, 3),
(20927, NULL, 'G3DSA:3.40.50.220', NULL, NULL, NULL, NULL, '', NULL, NULL, 23512, 3); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20928, NULL, 'G3DSA:6.10.140.1510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20929, NULL, 'G3DSA:3.30.70.440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20930, NULL, 'G3DSA:1.10.8.890', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(20931, NULL, 'G3DSA:2.60.40.2310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20932, NULL, 'G3DSA:1.20.1300.20', NULL, NULL, NULL, NULL, 'Peptidase C65 Otubain, subdomain 2', NULL, NULL, 40018, 3),
(20933, NULL, 'G3DSA:2.30.30.170', NULL, NULL, NULL, NULL, '', NULL, NULL, 32580, 3),
(20934, NULL, 'G3DSA:2.60.40.3610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20935, NULL, 'G3DSA:1.10.1240.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20936, NULL, 'G3DSA:1.10.437.20', NULL, NULL, NULL, NULL, 'dsDNA poxvirus', NULL, NULL, 38712, 3),
(20937, NULL, 'G3DSA:3.40.1170.10', NULL, NULL, NULL, NULL, 'DNA repair protein MutS, domain I', NULL, NULL, 11093, 3),
(20938, NULL, 'G3DSA:3.30.1300.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20939, NULL, 'G3DSA:1.20.58.400', NULL, NULL, NULL, NULL, '', NULL, NULL, 33543, 3),
(20940, NULL, 'G3DSA:6.10.140.740', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20941, NULL, 'G3DSA:4.10.410.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20942, NULL, 'G3DSA:3.40.1350.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 38787, 3),
(20943, NULL, 'G3DSA:3.30.50.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20944, NULL, 'G3DSA:1.20.120.1050', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20945, NULL, 'G3DSA:2.20.100.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35103, 3),
(20946, NULL, 'G3DSA:1.10.3020.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20947, NULL, 'G3DSA:3.60.150.10', NULL, NULL, NULL, NULL, 'Chorismate synthase AroC', NULL, NULL, 10964, 3),
(20948, NULL, 'G3DSA:1.10.260.70', NULL, NULL, NULL, NULL, 'SATB, CULT domain', NULL, NULL, 36154, 3),
(20949, NULL, 'G3DSA:2.30.29.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20950, NULL, 'G3DSA:6.10.280.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20951, NULL, 'G3DSA:6.10.140.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20952, NULL, 'G3DSA:1.10.287.160', NULL, NULL, NULL, NULL, 'HR1 repeat', NULL, NULL, NULL, 3),
(20953, NULL, 'G3DSA:3.30.200.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20954, NULL, 'G3DSA:2.170.280.10', NULL, NULL, NULL, NULL, 'f41 fragment of flagellin, middle domain', NULL, NULL, NULL, 3),
(20955, NULL, 'G3DSA:6.10.250.1100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20956, NULL, 'G3DSA:2.60.40.4170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20957, NULL, 'G3DSA:1.10.1510.20', NULL, NULL, NULL, NULL, 'Propanediol/glycerol dehydratase, small subunit', NULL, NULL, 35025, 3),
(20958, NULL, 'G3DSA:1.20.5.4880', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20959, NULL, 'G3DSA:2.70.20.40', NULL, NULL, NULL, NULL, 'Borna disease virus, matrix protein', NULL, NULL, 29580, 3),
(20960, NULL, 'G3DSA:2.20.90.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 29087, 3),
(20961, NULL, 'G3DSA:3.30.360.30', NULL, NULL, NULL, NULL, 'homospermidine synthase like', NULL, NULL, 11648, 3),
(20962, NULL, 'G3DSA:6.10.140.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20963, NULL, 'G3DSA:3.30.70.3370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20964, NULL, 'G3DSA:2.60.40.4290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20965, NULL, 'G3DSA:3.90.105.10', NULL, NULL, NULL, NULL, 'Molybdopterin biosynthesis moea protein, domain 2', NULL, NULL, NULL, 3),
(20966, NULL, 'G3DSA:2.160.20.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 31558, 3),
(20967, NULL, 'G3DSA:6.10.140.680', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20968, NULL, 'G3DSA:2.30.29.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20969, NULL, 'G3DSA:3.90.1230.10', NULL, NULL, NULL, NULL, 'Nitric Oxide Synthase; Chain A, domain 3', NULL, NULL, 39340, 3),
(20970, NULL, 'G3DSA:1.10.40.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 35004, 3);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(20971, NULL, 'G3DSA:6.10.250.1740', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20972, NULL, 'G3DSA:1.25.40.550', NULL, NULL, NULL, NULL, '', NULL, NULL, 36213, 3),
(20973, NULL, 'G3DSA:1.10.10.2080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20974, NULL, 'G3DSA:3.30.70.600', NULL, NULL, NULL, NULL, 'Ribosomal protein S10 domain', NULL, NULL, 30239, 3),
(20975, NULL, 'G3DSA:3.40.1500.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20976, NULL, 'G3DSA:2.40.10.220', NULL, NULL, NULL, NULL, 'predicted glycosyltransferase like domains', NULL, NULL, NULL, 3),
(20977, NULL, 'G3DSA:3.30.1170.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20978, NULL, 'G3DSA:6.20.250.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20979, NULL, 'G3DSA:1.20.1050.70', NULL, NULL, NULL, NULL, 'Large T antigen, SV40, domain 3', NULL, NULL, NULL, 3),
(20980, NULL, 'G3DSA:6.10.180.10', NULL, NULL, NULL, NULL, 'Antitoxin ParD', NULL, NULL, 33534, 3),
(20981, NULL, 'G3DSA:3.40.50.11990', NULL, NULL, NULL, NULL, '', NULL, NULL, 32566, 3),
(20982, NULL, 'G3DSA:2.130.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8301, 3),
(20983, NULL, 'G3DSA:1.25.40.1050', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20984, NULL, 'G3DSA:2.60.120.1400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20985, NULL, 'G3DSA:3.30.1120.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20986, NULL, 'G3DSA:6.10.140.2030', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20987, NULL, 'G3DSA:1.10.150.260', NULL, NULL, NULL, NULL, '', NULL, NULL, 36285, 3),
(20988, NULL, 'G3DSA:3.10.20.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 32069, 3),
(20989, NULL, 'G3DSA:1.10.472.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20990, NULL, 'G3DSA:3.90.640.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 35559, 3),
(20991, NULL, 'G3DSA:2.60.40.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 35115, 3),
(20992, NULL, 'G3DSA:3.30.1240.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 37021, 3),
(20993, NULL, 'G3DSA:1.25.40.290', NULL, NULL, NULL, NULL, 'ARM repeat domains', NULL, NULL, NULL, 3),
(20994, NULL, 'G3DSA:1.10.8.1210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20995, NULL, 'G3DSA:1.10.30.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 37942, 3),
(20996, NULL, 'G3DSA:6.10.250.3050', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20997, NULL, 'G3DSA:3.10.310.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(20998, NULL, 'G3DSA:3.30.1300.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37462, 3),
(20999, NULL, 'G3DSA:3.40.1380.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21000, NULL, 'G3DSA:1.10.3420.10', NULL, NULL, NULL, NULL, 'putative ntp pyrophosphohydrolase like domain', NULL, NULL, 21191, 3),
(21001, NULL, 'G3DSA:1.10.132.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 7403, 3),
(21002, NULL, 'G3DSA:3.30.1490.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21003, NULL, 'G3DSA:1.10.286.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21004, NULL, 'G3DSA:1.20.120.140', NULL, NULL, NULL, NULL, '', NULL, NULL, 33301, 3),
(21005, NULL, 'G3DSA:1.20.120.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 18030, 3),
(21006, NULL, 'G3DSA:2.10.270.10', NULL, NULL, NULL, NULL, 'Cholin Binding', NULL, NULL, NULL, 3),
(21007, NULL, 'G3DSA:1.10.1790.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21008, NULL, 'G3DSA:6.20.90.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21009, NULL, 'G3DSA:1.10.1740.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21010, NULL, 'G3DSA:3.30.200.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 38972, 3),
(21011, NULL, 'G3DSA:2.60.40.2130', NULL, NULL, NULL, NULL, '', NULL, NULL, 34904, 3),
(21012, NULL, 'G3DSA:2.60.120.1380', NULL, NULL, NULL, NULL, '', NULL, NULL, 35548, 3),
(21013, NULL, 'G3DSA:6.10.140.290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21014, NULL, 'G3DSA:1.20.120.1350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21015, NULL, 'G3DSA:1.10.8.770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21016, NULL, 'G3DSA:3.30.1750.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 22387, 3),
(21017, NULL, 'G3DSA:6.10.250.1860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21018, NULL, 'G3DSA:1.10.3380.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21019, NULL, 'G3DSA:3.20.100.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30602, 3),
(21020, NULL, 'G3DSA:1.20.120.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21021, NULL, 'G3DSA:2.40.240.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 32279, 3),
(21022, NULL, 'G3DSA:4.10.20.10', NULL, NULL, NULL, NULL, 'Tat domain', NULL, NULL, 30638, 3),
(21023, NULL, 'G3DSA:3.30.70.1630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21024, NULL, 'G3DSA:3.60.9.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33990, 3),
(21025, NULL, 'G3DSA:3.30.30.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21026, NULL, 'G3DSA:6.10.250.1290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21027, NULL, 'G3DSA:2.60.40.3100', NULL, NULL, NULL, NULL, '', NULL, NULL, 35066, 3),
(21028, NULL, 'G3DSA:3.40.50.10990', NULL, NULL, NULL, NULL, 'GTP cyclohydrolase II', NULL, NULL, 31052, 3),
(21029, NULL, 'G3DSA:4.10.1050.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 23451, 3),
(21030, NULL, 'G3DSA:1.50.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 7602, 3),
(21031, NULL, 'G3DSA:2.40.128.320', NULL, NULL, NULL, NULL, '', NULL, NULL, 38310, 3),
(21032, NULL, 'G3DSA:2.30.33.40', NULL, NULL, NULL, NULL, 'GroES chaperonin', NULL, NULL, 30439, 3),
(21033, NULL, 'G3DSA:3.30.1030.10', NULL, NULL, NULL, NULL, 'Methenyltetrahydromethanopterin Cyclohydrolase; Chain A, domain 2', NULL, NULL, NULL, 3),
(21034, NULL, 'G3DSA:3.40.50.11530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21035, NULL, 'G3DSA:3.30.760.10', NULL, NULL, NULL, NULL, 'RNA Cap, Translation Initiation Factor Eif4e', NULL, NULL, 16428, 3),
(21036, NULL, 'G3DSA:2.30.30.470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21037, NULL, 'G3DSA:1.10.287.1100', NULL, NULL, NULL, NULL, 'Sporulation inhibitor A', NULL, NULL, 31462, 3),
(21038, NULL, 'G3DSA:6.10.250.480', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(21039, NULL, 'G3DSA:2.20.25.290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21040, NULL, 'G3DSA:1.10.357.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 32643, 3),
(21041, NULL, 'G3DSA:3.30.70.1090', NULL, NULL, NULL, NULL, 'Dimeric alpha+beta barrel.', NULL, NULL, 34708, 3),
(21042, NULL, 'G3DSA:4.10.470.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21043, NULL, 'G3DSA:3.40.50.980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21044, NULL, 'G3DSA:6.10.140.1330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21045, NULL, 'G3DSA:3.90.78.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 29051, 3),
(21046, NULL, 'G3DSA:2.170.290.10', NULL, NULL, NULL, NULL, 'baseplate structural protein gp8, domain 2', NULL, NULL, NULL, 3),
(21047, NULL, 'G3DSA:3.30.460.80', NULL, NULL, NULL, NULL, 'NADH:ubiquinone oxidoreductase, 30kDa subunit', NULL, NULL, 29034, 3),
(21048, NULL, 'G3DSA:3.10.10.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21049, NULL, 'G3DSA:3.10.20.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21050, NULL, 'G3DSA:1.20.1280.200', NULL, NULL, NULL, NULL, '', NULL, NULL, 40002, 3),
(21051, NULL, 'G3DSA:1.10.10.2170', NULL, NULL, NULL, NULL, '', NULL, NULL, 32203, 3),
(21052, NULL, 'G3DSA:1.20.120.700', NULL, NULL, NULL, NULL, 'nitrate reductase, subunit delta (NarJ)', NULL, NULL, NULL, 3),
(21053, NULL, 'G3DSA:1.20.58.1540', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21054, NULL, 'G3DSA:4.10.1250.10', NULL, NULL, NULL, NULL, 'Aminomethyltransferase  fragment', NULL, NULL, NULL, 3),
(21055, NULL, 'G3DSA:3.10.430.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21056, NULL, 'G3DSA:4.10.860.20', NULL, NULL, NULL, NULL, 'Rabenosyn, Rab binding domain', NULL, NULL, NULL, 3),
(21057, NULL, 'G3DSA:2.40.180.10', NULL, NULL, NULL, NULL, 'Catalase core domain', NULL, NULL, NULL, 3),
(21058, NULL, 'G3DSA:6.10.280.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21059, NULL, 'G3DSA:6.10.250.2740', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21060, NULL, 'G3DSA:1.10.720.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21061, NULL, 'G3DSA:3.20.20.80', NULL, NULL, NULL, NULL, 'Glycosidases', NULL, NULL, NULL, 3),
(21062, NULL, 'G3DSA:2.30.29.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21063, NULL, 'G3DSA:2.60.15.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36185, 3),
(21064, NULL, 'G3DSA:1.10.530.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21065, NULL, 'G3DSA:1.10.1520.20', NULL, NULL, NULL, NULL, 'Ribonuclease III', NULL, NULL, 34699, 3),
(21066, NULL, 'G3DSA:1.20.1430.10', NULL, NULL, NULL, NULL, 'Families 57/38 glycoside transferase, middle domain', NULL, NULL, 29273, 3),
(21067, NULL, 'G3DSA:2.60.120.560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21068, NULL, 'G3DSA:3.40.630.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21069, NULL, 'G3DSA:3.30.70.3000', NULL, NULL, NULL, NULL, '', NULL, NULL, 34605, 3),
(21070, NULL, 'G3DSA:6.10.140.1720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21071, NULL, 'G3DSA:2.70.20.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 36825, 3),
(21072, NULL, 'G3DSA:3.30.720.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 35014, 3),
(21073, NULL, 'G3DSA:2.60.34.10', NULL, NULL, NULL, NULL, 'Substrate Binding Domain Of DNAk; Chain A, domain 1', NULL, NULL, 27166, 3),
(21074, NULL, 'G3DSA:2.60.410.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31888, 3),
(21075, NULL, 'G3DSA:6.10.250.3140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21076, NULL, 'G3DSA:1.10.3760.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21077, NULL, 'G3DSA:3.30.70.2600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21078, NULL, 'G3DSA:1.20.1440.300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21079, NULL, 'G3DSA:6.10.250.390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21080, NULL, 'G3DSA:3.30.160.320', NULL, NULL, NULL, NULL, '', NULL, NULL, 30421, 3),
(21081, NULL, 'G3DSA:3.30.1120.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21082, NULL, 'G3DSA:6.10.140.1060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21083, NULL, 'G3DSA:1.10.150.560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21084, NULL, 'G3DSA:1.10.10.410', NULL, NULL, NULL, NULL, '', NULL, NULL, 9028, 3),
(21085, NULL, 'G3DSA:1.10.10.1100', NULL, NULL, NULL, NULL, '', NULL, NULL, 33049, 3),
(21086, NULL, 'G3DSA:6.10.30.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21087, NULL, 'G3DSA:3.90.1170.50', NULL, NULL, NULL, NULL, 'Aldehyde oxidase/xanthine dehydrogenase, a/b hammerhead', NULL, NULL, NULL, 3),
(21088, NULL, 'G3DSA:2.30.31.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21089, NULL, 'G3DSA:2.170.30.10', NULL, NULL, NULL, NULL, 'Parvovirus coat protein VP1/VP2', NULL, NULL, 33053, 3),
(21090, NULL, 'G3DSA:1.20.120.710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21091, NULL, 'G3DSA:3.30.200.20', NULL, NULL, NULL, NULL, 'Phosphorylase Kinase; domain 1', NULL, NULL, NULL, 3),
(21092, NULL, 'G3DSA:2.60.40.3310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21093, NULL, 'G3DSA:3.30.70.140', NULL, NULL, NULL, NULL, '', NULL, NULL, 36463, 3),
(21094, NULL, 'G3DSA:1.20.5.1200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21095, NULL, 'G3DSA:3.10.450.750', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21096, NULL, 'G3DSA:3.40.50.11620', NULL, NULL, NULL, NULL, '', NULL, NULL, 35486, 3),
(21097, NULL, 'G3DSA:1.10.287.620', NULL, NULL, NULL, NULL, 'Helix Hairpins', NULL, NULL, NULL, 3),
(21098, NULL, 'G3DSA:2.20.170.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 19333, 3),
(21099, NULL, 'G3DSA:1.10.10.620', NULL, NULL, NULL, NULL, 'ribosome modulation factor like domain', NULL, NULL, 17601, 3),
(21100, NULL, 'G3DSA:1.10.150.170', NULL, NULL, NULL, NULL, 'Putative methyltransferase TM0872, insert domain', NULL, NULL, 16202, 3),
(21101, NULL, 'G3DSA:2.60.40.2430', NULL, NULL, NULL, NULL, '', NULL, NULL, 37747, 3),
(21102, NULL, 'G3DSA:3.40.50.9200', NULL, NULL, NULL, NULL, 'Hypothetical protein MTH538', NULL, NULL, 33749, 3);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21103, NULL, 'G3DSA:6.10.250.2920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21104, NULL, 'G3DSA:3.30.720.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21105, NULL, 'G3DSA:3.40.50.10390', NULL, NULL, NULL, NULL, 'Gingipain r; domain 1', NULL, NULL, 25426, 3),
(21106, NULL, 'G3DSA:1.10.3510.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 17244, 3),
(21107, NULL, 'G3DSA:3.40.50.12500', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21108, NULL, 'G3DSA:2.40.30.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21109, NULL, 'G3DSA:6.10.140.470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21110, NULL, 'G3DSA:6.20.370.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21111, NULL, 'G3DSA:1.10.8.1120', NULL, NULL, NULL, NULL, '', NULL, NULL, 34659, 3),
(21112, NULL, 'G3DSA:3.30.590.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21113, NULL, 'G3DSA:6.10.250.1950', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21114, NULL, 'G3DSA:3.90.70.200', NULL, NULL, NULL, NULL, '', NULL, NULL, 36194, 3),
(21115, NULL, 'G3DSA:1.10.287.3990', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21116, NULL, 'G3DSA:1.10.3230.20', NULL, NULL, NULL, NULL, 'P22 tail accessory factor (Gp4)', NULL, NULL, 29651, 3),
(21117, NULL, 'G3DSA:3.10.20.870', NULL, NULL, NULL, NULL, '', NULL, NULL, 34503, 3),
(21118, NULL, 'G3DSA:2.140.10.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 1679, 3),
(21119, NULL, 'G3DSA:3.30.60.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 36266, 3),
(21120, NULL, 'G3DSA:3.55.10.10', NULL, NULL, NULL, NULL, 'Archease domain', NULL, NULL, 30173, 3),
(21121, NULL, 'G3DSA:3.30.1650.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34954, 3),
(21122, NULL, 'G3DSA:3.30.70.1720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21123, NULL, 'G3DSA:3.30.1400.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34511, 3),
(21124, NULL, 'G3DSA:3.30.920.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 36422, 3),
(21125, NULL, 'G3DSA:1.10.287.3020', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21126, NULL, 'G3DSA:1.10.405.10', NULL, NULL, NULL, NULL, 'Guanine Nucleotide Dissociation Inhibitor, domain 1', NULL, NULL, NULL, 3),
(21127, NULL, 'G3DSA:1.10.1200.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21128, NULL, 'G3DSA:3.90.25.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21129, NULL, 'G3DSA:3.90.105.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 37237, 3),
(21130, NULL, 'G3DSA:1.20.120.1260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21131, NULL, 'G3DSA:4.10.430.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31759, 3),
(21132, NULL, 'G3DSA:1.10.287.550', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, NULL, 3),
(21133, NULL, 'G3DSA:3.30.160.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21134, NULL, 'G3DSA:2.30.30.380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21135, NULL, 'G3DSA:3.30.540.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 33514, 3),
(21136, NULL, 'G3DSA:6.10.20.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21137, NULL, 'G3DSA:2.60.40.3980', NULL, NULL, NULL, NULL, '', NULL, NULL, 39967, 3),
(21138, NULL, 'G3DSA:1.10.8.680', NULL, NULL, NULL, NULL, '', NULL, NULL, 38006, 3),
(21139, NULL, 'G3DSA:1.20.58.290', NULL, NULL, NULL, NULL, 'Hypothetical membrane protein ta0354_69_121.', NULL, NULL, NULL, 3),
(21140, NULL, 'G3DSA:4.10.860.10', NULL, NULL, NULL, NULL, 'UVR domain', NULL, NULL, NULL, 3),
(21141, NULL, 'G3DSA:3.90.650.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32489, 3),
(21142, NULL, 'G3DSA:1.10.880.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21143, NULL, 'G3DSA:1.10.8.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 15750, 3),
(21144, NULL, 'G3DSA:6.10.140.950', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21145, NULL, 'G3DSA:1.10.287.1170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21146, NULL, 'G3DSA:2.60.260.40', NULL, NULL, NULL, NULL, 'q5lls5 like domains', NULL, NULL, NULL, 3),
(21147, NULL, 'G3DSA:2.60.40.3400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21148, NULL, 'G3DSA:3.40.190.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21149, NULL, 'G3DSA:2.60.40.730', NULL, NULL, NULL, NULL, 'SOR catalytic domain', NULL, NULL, 35089, 3),
(21150, NULL, 'G3DSA:3.40.220.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 36760, 3),
(21151, NULL, 'G3DSA:6.10.250.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21152, NULL, 'G3DSA:3.40.580.10', NULL, NULL, NULL, NULL, 'Eco RI Endonuclease, subunit A', NULL, NULL, 13853, 3),
(21153, NULL, 'G3DSA:3.30.70.2740', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21154, NULL, 'G3DSA:2.30.26.10', NULL, NULL, NULL, NULL, 'Dihydroorotate Dehydrogenase A, chain A, domain 2', NULL, NULL, 19964, 3),
(21155, NULL, 'G3DSA:1.25.40.1000', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21156, NULL, 'G3DSA:3.10.20.560', NULL, NULL, NULL, NULL, 'Phenol hydroxylase', NULL, NULL, 39005, 3),
(21157, NULL, 'G3DSA:3.20.170.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21158, NULL, 'G3DSA:3.90.1510.10', NULL, NULL, NULL, NULL, 'Glycerate kinase, domain 2', NULL, NULL, 19784, 3),
(21159, NULL, 'G3DSA:3.90.70.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21160, NULL, 'G3DSA:4.10.460.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36561, 3),
(21161, NULL, 'G3DSA:6.10.250.3000', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21162, NULL, 'G3DSA:1.10.287.880', NULL, NULL, NULL, NULL, 'Hypothetical protein YfhH domain', NULL, NULL, NULL, 3),
(21163, NULL, 'G3DSA:1.20.5.620', NULL, NULL, NULL, NULL, 'F1F0 ATP synthase subunit B, membrane domain', NULL, NULL, NULL, 3),
(21164, NULL, 'G3DSA:2.60.320.20', NULL, NULL, NULL, NULL, 'Pestivirus envelope glycoprotein E2, domain A', NULL, NULL, 39499, 3),
(21165, NULL, 'G3DSA:3.10.290.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21166, NULL, 'G3DSA:6.10.250.2370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21167, NULL, 'G3DSA:1.10.405.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21168, NULL, 'G3DSA:2.60.270.20', NULL, NULL, NULL, NULL, 'Cytolysin/lectin', NULL, NULL, 8136, 3),
(21169, NULL, 'G3DSA:1.10.10.650', NULL, NULL, NULL, NULL, '', NULL, NULL, 16938, 3),
(21170, NULL, 'G3DSA:2.40.100.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 27446, 3),
(21171, NULL, 'G3DSA:2.60.40.4160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21172, NULL, 'G3DSA:6.10.20.10', NULL, NULL, NULL, NULL, 'Lysine tRNA ligase, stem contact fold domain', NULL, NULL, 34473, 3),
(21173, NULL, 'G3DSA:6.20.150.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21174, NULL, 'G3DSA:2.60.290.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21175, NULL, 'G3DSA:1.25.40.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21176, NULL, 'G3DSA:1.20.58.1330', NULL, NULL, NULL, NULL, 'Plasmodium falciparum UIS3 membrane protein', NULL, NULL, 32202, 3),
(21177, NULL, 'G3DSA:3.30.1330.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 34756, 3),
(21178, NULL, 'G3DSA:6.10.140.320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21179, NULL, 'G3DSA:6.10.30.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21180, NULL, 'G3DSA:6.10.140.2160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21181, NULL, 'G3DSA:2.60.90.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21182, NULL, 'G3DSA:1.20.58.1470', NULL, NULL, NULL, NULL, '', NULL, NULL, 33861, 3),
(21183, NULL, 'G3DSA:3.30.2410.10', NULL, NULL, NULL, NULL, 'Hect, E3 ligase catalytic domain', NULL, NULL, NULL, 3),
(21184, NULL, 'G3DSA:3.30.70.2660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21185, NULL, 'G3DSA:3.90.70.110', NULL, NULL, NULL, NULL, 'Alphavirus nsP2 protease domain', NULL, NULL, 39123, 3),
(21186, NULL, 'G3DSA:2.40.50.990', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21187, NULL, 'G3DSA:1.10.287.320', NULL, NULL, NULL, NULL, 'Viral phosphoprotein oligmorisation site domain', NULL, NULL, 39986, 3),
(21188, NULL, 'G3DSA:3.40.50.11600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21189, NULL, 'G3DSA:2.10.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30269, 3);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21190, NULL, 'G3DSA:4.10.1060.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 30397, 3),
(21191, NULL, 'G3DSA:3.10.450.450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21192, NULL, 'G3DSA:1.10.10.730', NULL, NULL, NULL, NULL, '', NULL, NULL, 32707, 3),
(21193, NULL, 'G3DSA:2.60.120.1420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21194, NULL, 'G3DSA:4.10.49.10', NULL, NULL, NULL, NULL, 'Cytochrome c oxidase subunit VIIc', NULL, NULL, 33258, 3),
(21195, NULL, 'G3DSA:4.10.1040.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34407, 3),
(21196, NULL, 'G3DSA:1.10.110.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21197, NULL, 'G3DSA:3.10.510.20', NULL, NULL, NULL, NULL, 'YcgL domain', NULL, NULL, 33652, 3),
(21198, NULL, 'G3DSA:6.10.20.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21199, NULL, 'G3DSA:3.30.70.2820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21200, NULL, 'G3DSA:2.70.98.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21201, NULL, 'G3DSA:2.30.30.770', NULL, NULL, NULL, NULL, '', NULL, NULL, 35756, 3),
(21202, NULL, 'G3DSA:3.90.1010.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21203, NULL, 'G3DSA:1.10.1060.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21204, NULL, 'G3DSA:3.10.20.470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21205, NULL, 'G3DSA:2.30.30.930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21206, NULL, 'G3DSA:3.40.50.11680', NULL, NULL, NULL, NULL, 'Poxvirus mRNA capping enzyme, small subunit', NULL, NULL, 38019, 3),
(21207, NULL, 'G3DSA:3.40.50.11730', NULL, NULL, NULL, NULL, 'Peroxisome assembly protein 22', NULL, NULL, 35457, 3),
(21208, NULL, 'G3DSA:1.10.3160.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21209, NULL, 'G3DSA:2.30.30.850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21210, NULL, 'G3DSA:4.10.1070.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 39035, 3),
(21211, NULL, 'G3DSA:1.10.3680.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21212, NULL, 'G3DSA:3.90.198.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36565, 3),
(21213, NULL, 'G3DSA:3.30.310.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 28891, 3),
(21214, NULL, 'G3DSA:3.30.560.10', NULL, NULL, NULL, NULL, 'Glucose Oxidase, domain 3', NULL, NULL, NULL, 3),
(21215, NULL, 'G3DSA:6.10.140.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21216, NULL, 'G3DSA:3.30.1140.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 39618, 3),
(21217, NULL, 'G3DSA:6.10.280.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 39521, 3),
(21218, NULL, 'G3DSA:3.15.10.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30385, 3),
(21219, NULL, 'G3DSA:3.30.70.890', NULL, NULL, NULL, NULL, '', NULL, NULL, 32019, 3),
(21220, NULL, 'G3DSA:3.30.60.50', NULL, NULL, NULL, NULL, 'Hypothetical oxidoreductase yiak; domain 3', NULL, NULL, NULL, 3),
(21221, NULL, 'G3DSA:1.20.58.1390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21222, NULL, 'G3DSA:6.10.250.2530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21223, NULL, 'G3DSA:2.60.120.1340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21224, NULL, 'G3DSA:2.120.10.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21225, NULL, 'G3DSA:1.10.472.100', NULL, NULL, NULL, NULL, 'Presenilin', NULL, NULL, 39622, 3),
(21226, NULL, 'G3DSA:1.10.8.440', NULL, NULL, NULL, NULL, '', NULL, NULL, 37691, 3),
(21227, NULL, 'G3DSA:3.40.50.12190', NULL, NULL, NULL, NULL, '', NULL, NULL, 34993, 3),
(21228, NULL, 'G3DSA:3.40.91.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21229, NULL, 'G3DSA:1.20.860.20', NULL, NULL, NULL, NULL, 'Photosystem I PsaK, reaction centre', NULL, NULL, 30118, 3),
(21230, NULL, 'G3DSA:3.30.1360.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21231, NULL, 'G3DSA:6.10.140.970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21232, NULL, 'G3DSA:2.30.31.10', NULL, NULL, NULL, NULL, 'Transcriptional Coactivator Pc4; Chain A', NULL, NULL, 12261, 3),
(21233, NULL, 'G3DSA:3.30.300.350', NULL, NULL, NULL, NULL, '', NULL, NULL, 30358, 3),
(21234, NULL, 'G3DSA:3.30.43.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21235, NULL, 'G3DSA:1.25.50.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21236, NULL, 'G3DSA:3.30.1490.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 34952, 3),
(21237, NULL, 'G3DSA:1.10.4120.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21238, NULL, 'G3DSA:6.20.120.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21239, NULL, 'G3DSA:1.10.287.260', NULL, NULL, NULL, NULL, '', NULL, NULL, 19094, 3),
(21240, NULL, 'G3DSA:2.40.10.180', NULL, NULL, NULL, NULL, 'Phage tail proteins', NULL, NULL, NULL, 3),
(21241, NULL, 'G3DSA:3.40.50.10970', NULL, NULL, NULL, NULL, '', NULL, NULL, 29061, 3),
(21242, NULL, 'G3DSA:1.10.720.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21243, NULL, 'G3DSA:2.40.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37226, 3),
(21244, NULL, 'G3DSA:2.60.40.3000', NULL, NULL, NULL, NULL, 'Pestivirus envelope glycoprotein E2, domain B', NULL, NULL, 38440, 3),
(21245, NULL, 'G3DSA:1.20.58.900', NULL, NULL, NULL, NULL, '', NULL, NULL, 35742, 3),
(21246, NULL, 'G3DSA:3.30.450.350', NULL, NULL, NULL, NULL, 'CHASE domain', NULL, NULL, 36538, 3),
(21247, NULL, 'G3DSA:2.60.40.3690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21248, NULL, 'G3DSA:3.30.160.490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21249, NULL, 'G3DSA:3.30.70.3530', NULL, NULL, NULL, NULL, 'GCM motif', NULL, NULL, 38869, 3),
(21250, NULL, 'G3DSA:1.20.1160.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21251, NULL, 'G3DSA:1.20.5.1210', NULL, NULL, NULL, NULL, 'Integron cassette protein helical domain', NULL, NULL, NULL, 3),
(21252, NULL, 'G3DSA:2.10.70.40', NULL, NULL, NULL, NULL, 'peptidoglycan hydrolase', NULL, NULL, NULL, 3),
(21253, NULL, 'G3DSA:1.10.287.580', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, NULL, 3),
(21254, NULL, 'G3DSA:2.30.30.1260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21255, NULL, 'G3DSA:2.100.10.20', NULL, NULL, NULL, NULL, 'Vitelline membrane outer layer protein I (VOMI)', NULL, NULL, 34175, 3),
(21256, NULL, 'G3DSA:3.10.25.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21257, NULL, 'G3DSA:3.30.70.1260', NULL, NULL, NULL, NULL, 'bacterial protein sp0830 like', NULL, NULL, NULL, 3),
(21258, NULL, 'G3DSA:1.10.3430.10', NULL, NULL, NULL, NULL, 'Ammonium transporter AmtB like domains', NULL, NULL, 22055, 3),
(21259, NULL, 'G3DSA:1.10.940.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 27939, 3),
(21260, NULL, 'G3DSA:6.10.250.1090', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21261, NULL, 'G3DSA:1.10.10.1920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21262, NULL, 'G3DSA:1.20.120.860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21263, NULL, 'G3DSA:1.20.5.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21264, NULL, 'G3DSA:1.10.287.340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21265, NULL, 'G3DSA:4.10.710.10', NULL, NULL, NULL, NULL, 'Hepatitis C Virus Capsid Protein; Chain A', NULL, NULL, 39226, 3),
(21266, NULL, 'G3DSA:3.90.480.10', NULL, NULL, NULL, NULL, 'Sulfite Reductase Hemoprotein;Domain 2', NULL, NULL, NULL, 3),
(21267, NULL, 'G3DSA:1.20.120.1700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21268, NULL, 'G3DSA:2.40.10.370', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF3599', NULL, NULL, 36397, 3),
(21269, NULL, 'G3DSA:1.20.1370.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34355, 3),
(21270, NULL, 'G3DSA:1.10.240.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21271, NULL, 'G3DSA:1.20.58.1420', NULL, NULL, NULL, NULL, 'Dsl1p vesicle tethering complex, Tip20p subunit, domain B', NULL, NULL, 32712, 3),
(21272, NULL, 'G3DSA:2.30.230.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12734, 3),
(21273, NULL, 'G3DSA:4.10.1330.10', NULL, NULL, NULL, NULL, 'non globular Virulence effector SptP domain', NULL, NULL, 36983, 3),
(21274, NULL, 'G3DSA:2.60.40.2810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21275, NULL, 'G3DSA:4.10.960.10', NULL, NULL, NULL, NULL, 'Ribosomal protein L3, domain 3', NULL, NULL, 39451, 3),
(21276, NULL, 'G3DSA:3.30.1520.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30599, 3); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21277, NULL, 'G3DSA:2.60.40.1820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21278, NULL, 'G3DSA:1.20.50.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21279, NULL, 'G3DSA:1.10.1790.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21280, NULL, 'G3DSA:3.40.50.11440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21281, NULL, 'G3DSA:1.20.5.1500', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21282, NULL, 'G3DSA:6.10.250.920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21283, NULL, 'G3DSA:1.10.950.10', NULL, NULL, NULL, NULL, 'Villin headpiece domain', NULL, NULL, 30869, 3),
(21284, NULL, 'G3DSA:6.10.250.1170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21285, NULL, 'G3DSA:1.10.10.1840', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21286, NULL, 'G3DSA:6.10.20.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21287, NULL, 'G3DSA:3.30.470.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21288, NULL, 'G3DSA:2.40.128.490', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF14869, DUF4488', NULL, NULL, NULL, 3),
(21289, NULL, 'G3DSA:6.10.140.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21290, NULL, 'G3DSA:1.10.8.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 14662, 3),
(21291, NULL, 'G3DSA:1.20.5.320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21292, NULL, 'G3DSA:1.20.1440.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 30395, 3),
(21293, NULL, 'G3DSA:3.30.65.10', NULL, NULL, NULL, NULL, 'Bacterial Topoisomerase I, domain 1', NULL, NULL, NULL, 3),
(21294, NULL, 'G3DSA:1.10.10.1890', NULL, NULL, NULL, NULL, '', NULL, NULL, 32642, 3),
(21295, NULL, 'G3DSA:3.90.1150.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 33813, 3),
(21296, NULL, 'G3DSA:1.10.10.1970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21297, NULL, 'G3DSA:1.20.120.1420', NULL, NULL, NULL, NULL, 'LntA helical domain', NULL, NULL, 38557, 3),
(21298, NULL, 'G3DSA:2.60.120.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 11220, 3),
(21299, NULL, 'G3DSA:2.60.120.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21300, NULL, 'G3DSA:6.10.140.1930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21301, NULL, 'G3DSA:3.30.1390.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 18502, 3),
(21302, NULL, 'G3DSA:1.10.3110.10', NULL, NULL, NULL, NULL, 'protoporphyrinogen ix oxidase, domain 3', NULL, NULL, NULL, 3),
(21303, NULL, 'G3DSA:1.10.510.10', NULL, NULL, NULL, NULL, 'Transferase(Phosphotransferase) domain 1', NULL, NULL, NULL, 3),
(21304, NULL, 'G3DSA:3.30.70.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21305, NULL, 'G3DSA:1.10.8.940', NULL, NULL, NULL, NULL, 'Uncharacterised protein, phage p2 ORF12', NULL, NULL, 37595, 3),
(21306, NULL, 'G3DSA:1.10.1410.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21307, NULL, 'G3DSA:3.90.960.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34813, 3),
(21308, NULL, 'G3DSA:2.60.40.4320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21309, NULL, 'G3DSA:3.30.190.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 32065, 3),
(21310, NULL, 'G3DSA:1.20.120.420', NULL, NULL, NULL, NULL, '', NULL, NULL, 21742, 3),
(21311, NULL, 'G3DSA:2.30.30.720', NULL, NULL, NULL, NULL, 'Protein of unknown function (DUF3247)', NULL, NULL, NULL, 3),
(21312, NULL, 'G3DSA:3.40.1000.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 26302, 3),
(21313, NULL, 'G3DSA:2.60.40.2000', NULL, NULL, NULL, NULL, '', NULL, NULL, 33933, 3),
(21314, NULL, 'G3DSA:3.40.50.12800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21315, NULL, 'G3DSA:1.10.1220.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21316, NULL, 'G3DSA:4.10.860.120', NULL, NULL, NULL, NULL, 'RNA polymerase II, clamp domain', NULL, NULL, 36679, 3),
(21317, NULL, 'G3DSA:1.10.287.450', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, NULL, 3),
(21318, NULL, 'G3DSA:2.30.31.30', NULL, NULL, NULL, NULL, 'Arterivirus nps1beta, nuclease domain', NULL, NULL, NULL, 3),
(21319, NULL, 'G3DSA:1.10.275.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21320, NULL, 'G3DSA:3.80.30.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21321, NULL, 'G3DSA:1.20.58.1790', NULL, NULL, NULL, NULL, 'JHP933, helical tail domain', NULL, NULL, NULL, 3),
(21322, NULL, 'G3DSA:1.10.4170.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35189, 3),
(21323, NULL, 'G3DSA:1.10.10.1110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21324, NULL, 'G3DSA:2.60.9.10', NULL, NULL, NULL, NULL, 'Neurohypophysial hormone domain', NULL, NULL, 29654, 3),
(21325, NULL, 'G3DSA:1.20.82.10', NULL, NULL, NULL, NULL, 'ADP Ribosyl Cyclase; Chain A, domain 1', NULL, NULL, NULL, 3),
(21326, NULL, 'G3DSA:3.30.70.2530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21327, NULL, 'G3DSA:3.40.50.10890', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21328, NULL, 'G3DSA:3.30.1960.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35144, 3),
(21329, NULL, 'G3DSA:2.60.260.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21330, NULL, 'G3DSA:1.10.238.100', NULL, NULL, NULL, NULL, 'YAP1 redox domain. Chain B', NULL, NULL, NULL, 3),
(21331, NULL, 'G3DSA:3.90.25.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21332, NULL, 'G3DSA:3.40.1000.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 36272, 3),
(21333, NULL, 'G3DSA:4.10.220.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21334, NULL, 'G3DSA:1.25.40.760', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21335, NULL, 'G3DSA:3.30.1590.10', NULL, NULL, NULL, NULL, 'Maltooligosyl trehalose synthase, domain 2', NULL, NULL, NULL, 3),
(21336, NULL, 'G3DSA:3.90.640.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21337, NULL, 'G3DSA:2.60.40.2730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21338, NULL, 'G3DSA:3.40.50.12480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21339, NULL, 'G3DSA:2.60.450.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21340, NULL, 'G3DSA:3.30.70.970', NULL, NULL, NULL, NULL, '', NULL, NULL, 31908, 3),
(21341, NULL, 'G3DSA:3.30.60.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21342, NULL, 'G3DSA:6.10.250.2450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21343, NULL, 'G3DSA:1.20.1500.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 16199, 3),
(21344, NULL, 'G3DSA:1.10.8.360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21345, NULL, 'G3DSA:1.10.400.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 9129, 3),
(21346, NULL, 'G3DSA:6.10.140.1200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21347, NULL, 'G3DSA:2.60.40.3770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21348, NULL, 'G3DSA:1.10.3130.10', NULL, NULL, NULL, NULL, 'serine acetyltransferase, domain 1', NULL, NULL, 37211, 3),
(21349, NULL, 'G3DSA:1.10.287.3980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21350, NULL, 'G3DSA:2.40.50.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21351, NULL, 'G3DSA:3.90.25.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21352, NULL, 'G3DSA:6.10.250.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21353, NULL, 'G3DSA:3.30.1070.10', NULL, NULL, NULL, NULL, 'Cell division topological specificity factor MinE', NULL, NULL, 34037, 3),
(21354, NULL, 'G3DSA:3.90.640.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21355, NULL, 'G3DSA:3.30.2320.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21356, NULL, 'G3DSA:3.10.150.10', NULL, NULL, NULL, NULL, 'DNA Polymerase III, subunit A, domain 2', NULL, NULL, NULL, 3),
(21357, NULL, 'G3DSA:1.10.10.1260', NULL, NULL, NULL, NULL, 'Envelope glycoprotein gp160, DUF2291, helical domain', NULL, NULL, NULL, 3),
(21358, NULL, 'G3DSA:6.10.250.500', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21359, NULL, 'G3DSA:1.20.5.2120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21360, NULL, 'G3DSA:2.40.160.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 36107, 3),
(21361, NULL, 'G3DSA:1.20.1180.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31594, 3),
(21362, NULL, 'G3DSA:1.20.58.820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21363, NULL, 'G3DSA:1.10.238.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 15537, 3),
(21364, NULL, 'G3DSA:2.30.290.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 11840, 3);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21365, NULL, 'G3DSA:1.10.287.390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21366, NULL, 'G3DSA:3.40.50.10840', NULL, NULL, NULL, NULL, '', NULL, NULL, 31533, 3),
(21367, NULL, 'G3DSA:3.30.1640.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 32061, 3),
(21368, NULL, 'G3DSA:2.40.128.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 34563, 3),
(21369, NULL, 'G3DSA:6.10.250.2080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21370, NULL, 'G3DSA:1.20.1340.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21371, NULL, 'G3DSA:1.20.120.1690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21372, NULL, 'G3DSA:3.30.160.780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21373, NULL, 'G3DSA:2.60.200.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21374, NULL, 'G3DSA:2.10.50.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21375, NULL, 'G3DSA:3.40.50.10910', NULL, NULL, NULL, NULL, 'Amidohydrolase', NULL, NULL, NULL, 3),
(21376, NULL, 'G3DSA:2.40.460.10', NULL, NULL, NULL, NULL, 'Biotin dependent carboxylase carboxyltransferase', NULL, NULL, NULL, 3),
(21377, NULL, 'G3DSA:3.40.50.1260', NULL, NULL, NULL, NULL, '', NULL, NULL, 8796, 3),
(21378, NULL, 'G3DSA:3.90.1150.10', NULL, NULL, NULL, NULL, 'Aspartate Aminotransferase, domain 1', NULL, NULL, 7649, 3),
(21379, NULL, 'G3DSA:1.10.150.330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21380, NULL, 'G3DSA:3.30.1490.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 19824, 3),
(21381, NULL, 'G3DSA:1.10.630.10', NULL, NULL, NULL, NULL, 'Cytochrome P450', NULL, NULL, 31273, 3),
(21382, NULL, 'G3DSA:6.10.140.450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21383, NULL, 'G3DSA:2.60.40.3480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21384, NULL, 'G3DSA:3.40.50.261', NULL, NULL, NULL, NULL, '', NULL, NULL, 11280, 3),
(21385, NULL, 'G3DSA:1.10.287.610', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, NULL, 3),
(21386, NULL, 'G3DSA:1.10.20.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21387, NULL, 'G3DSA:3.30.70.3420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21388, NULL, 'G3DSA:3.90.79.10', NULL, NULL, NULL, NULL, 'Nucleoside Triphosphate Pyrophosphohydrolase', NULL, NULL, NULL, 3),
(21389, NULL, 'G3DSA:3.30.565.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21390, NULL, 'G3DSA:3.30.360.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21391, NULL, 'G3DSA:1.10.8.1240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21392, NULL, 'G3DSA:3.30.300.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21393, NULL, 'G3DSA:3.40.190.290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21394, NULL, 'G3DSA:3.90.1430.10', NULL, NULL, NULL, NULL, 'Yeast translation eEF2 (G'' domain)', NULL, NULL, NULL, 3),
(21395, NULL, 'G3DSA:2.60.40.1400', NULL, NULL, NULL, NULL, '', NULL, NULL, 9876, 3),
(21396, NULL, 'G3DSA:3.40.1730.10', NULL, NULL, NULL, NULL, 'pa0076 domain', NULL, NULL, 36017, 3),
(21397, NULL, 'G3DSA:2.10.70.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21398, NULL, 'G3DSA:6.20.330.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21399, NULL, 'G3DSA:1.10.8.650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21400, NULL, 'G3DSA:3.40.50.10160', NULL, NULL, NULL, NULL, '', NULL, NULL, 32103, 3),
(21401, NULL, 'G3DSA:2.30.30.980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21402, NULL, 'G3DSA:3.90.1640.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21403, NULL, 'G3DSA:1.10.8.960', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21404, NULL, 'G3DSA:4.10.1240.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21405, NULL, 'G3DSA:2.30.140.10', NULL, NULL, NULL, NULL, 'Spermidine synthase, tetramerisation domain', NULL, NULL, 31524, 3),
(21406, NULL, 'G3DSA:2.60.40.3170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21407, NULL, 'G3DSA:1.20.5.4280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21408, NULL, 'G3DSA:1.10.246.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21409, NULL, 'G3DSA:3.30.10.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21410, NULL, 'G3DSA:1.10.10.2100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21411, NULL, 'G3DSA:1.10.8.1320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21412, NULL, 'G3DSA:2.60.40.1660', NULL, NULL, NULL, NULL, '', NULL, NULL, 34080, 3),
(21413, NULL, 'G3DSA:6.20.360.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21414, NULL, 'G3DSA:2.40.50.860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21415, NULL, 'G3DSA:1.10.167.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 38953, 3),
(21416, NULL, 'G3DSA:3.30.930.20', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF1054', NULL, NULL, NULL, 3),
(21417, NULL, 'G3DSA:3.30.500.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21418, NULL, 'G3DSA:1.10.150.770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21419, NULL, 'G3DSA:1.20.58.1340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21420, NULL, 'G3DSA:1.10.150.850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21421, NULL, 'G3DSA:6.10.250.3130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21422, NULL, 'G3DSA:1.10.10.600', NULL, NULL, NULL, NULL, '', NULL, NULL, 29994, 3),
(21423, NULL, 'G3DSA:3.40.50.11650', NULL, NULL, NULL, NULL, '', NULL, NULL, 37052, 3),
(21424, NULL, 'G3DSA:1.10.1400.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37186, 3),
(21425, NULL, 'G3DSA:3.30.70.1040', NULL, NULL, NULL, NULL, 'Dystroglycan, domain 2', NULL, NULL, 24509, 3),
(21426, NULL, 'G3DSA:6.10.250.3210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21427, NULL, 'G3DSA:3.30.800.10', NULL, NULL, NULL, NULL, 'Phosphatidylinositol Phosphate Kinase II Beta', NULL, NULL, 29152, 3),
(21428, NULL, 'G3DSA:3.40.50.11810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21429, NULL, 'G3DSA:3.40.1580.30', NULL, NULL, NULL, NULL, 'Domain of unknown function (DUF5066)', NULL, NULL, NULL, 3),
(21430, NULL, 'G3DSA:6.10.250.2160', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(21431, NULL, 'G3DSA:3.30.370.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21432, NULL, 'G3DSA:2.20.220.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21433, NULL, 'G3DSA:1.20.1270.350', NULL, NULL, NULL, NULL, '', NULL, NULL, 38341, 3),
(21434, NULL, 'G3DSA:3.10.20.510', NULL, NULL, NULL, NULL, 'RNA polymerase inhibitor', NULL, NULL, 35187, 3),
(21435, NULL, 'G3DSA:3.90.1150.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21436, NULL, 'G3DSA:3.30.300.300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21437, NULL, 'G3DSA:3.30.70.1320', NULL, NULL, NULL, NULL, 'Multidrug efflux transporter AcrB pore domain like', NULL, NULL, NULL, 3),
(21438, NULL, 'G3DSA:1.10.8.270', NULL, NULL, NULL, NULL, 'putative rabgap domain of human tbc1 domain family member 14 like domains', NULL, NULL, NULL, 3),
(21439, NULL, 'G3DSA:2.40.160.40', NULL, NULL, NULL, NULL, 'monomeric porin ompg', NULL, NULL, NULL, 3),
(21440, NULL, 'G3DSA:3.90.79.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 35567, 3),
(21441, NULL, 'G3DSA:3.30.1460.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 29875, 3),
(21442, NULL, 'G3DSA:3.50.4.10', NULL, NULL, NULL, NULL, 'Hepatocyte Growth Factor', NULL, NULL, NULL, 3),
(21443, NULL, 'G3DSA:6.10.140.1700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21444, NULL, 'G3DSA:3.55.30.10', NULL, NULL, NULL, NULL, 'Hsp33 domain', NULL, NULL, 12404, 3),
(21445, NULL, 'G3DSA:3.40.1350.140', NULL, NULL, NULL, NULL, '', NULL, NULL, 36051, 3),
(21446, NULL, 'G3DSA:3.30.70.470', NULL, NULL, NULL, NULL, '', NULL, NULL, 7965, 3),
(21447, NULL, 'G3DSA:3.40.1500.10', NULL, NULL, NULL, NULL, 'Coproporphyrinogen III oxidase, aerobic', NULL, NULL, 34059, 3),
(21448, NULL, 'G3DSA:1.20.5.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21449, NULL, 'G3DSA:3.30.530.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 16236, 3),
(21450, NULL, 'G3DSA:3.40.50.1760', NULL, NULL, NULL, NULL, '', NULL, NULL, 30808, 3),
(21451, NULL, 'G3DSA:1.25.40.400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21452, NULL, 'G3DSA:6.10.280.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 30552, 3);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21453, NULL, 'G3DSA:1.20.1050.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21454, NULL, 'G3DSA:3.30.40.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 13960, 3),
(21455, NULL, 'G3DSA:1.20.120.690', NULL, NULL, NULL, NULL, 'RDM1 protein domain', NULL, NULL, 30222, 3),
(21456, NULL, 'G3DSA:3.30.70.1980', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF09406, DUF2004', NULL, NULL, NULL, 3),
(21457, NULL, 'G3DSA:1.20.5.270', NULL, NULL, NULL, NULL, 'Ubiquinol cytochrome reductase, transmembrane domain', NULL, NULL, 30601, 3),
(21458, NULL, 'G3DSA:3.40.50.11250', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF3013', NULL, NULL, NULL, 3),
(21459, NULL, 'G3DSA:1.10.8.490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21460, NULL, 'G3DSA:1.20.970.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21461, NULL, 'G3DSA:6.10.140.760', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21462, NULL, 'G3DSA:3.40.1010.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21463, NULL, 'G3DSA:3.40.30.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 36012, 3),
(21464, NULL, 'G3DSA:3.90.1240.10', NULL, NULL, NULL, NULL, 'Metalloproteases ("zincins"), catalytic domain like', NULL, NULL, NULL, 3),
(21465, NULL, 'G3DSA:1.10.150.460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21466, NULL, 'G3DSA:2.30.30.700', NULL, NULL, NULL, NULL, 'SLA1 homology domain 1', NULL, NULL, NULL, 3),
(21467, NULL, 'G3DSA:3.30.920.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 38179, 3),
(21468, NULL, 'G3DSA:3.30.70.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21469, NULL, 'G3DSA:3.90.70.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21470, NULL, 'G3DSA:6.10.140.920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21471, NULL, 'G3DSA:6.10.250.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21472, NULL, 'G3DSA:2.40.30.330', NULL, NULL, NULL, NULL, '', NULL, NULL, 36206, 3),
(21473, NULL, 'G3DSA:3.40.5.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21474, NULL, 'G3DSA:2.40.50.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21475, NULL, 'G3DSA:2.60.240.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 36102, 3),
(21476, NULL, 'G3DSA:1.20.58.2150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21477, NULL, 'G3DSA:1.20.120.520', NULL, NULL, NULL, NULL, 'nmb1532 protein domain like', NULL, NULL, NULL, 3),
(21478, NULL, 'G3DSA:3.20.20.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21479, NULL, 'G3DSA:1.20.1050.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21480, NULL, 'G3DSA:6.10.250.2320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21481, NULL, 'G3DSA:1.20.58.1180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21482, NULL, 'G3DSA:1.25.40.970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21483, NULL, 'G3DSA:3.30.70.2140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21484, NULL, 'G3DSA:2.30.30.1130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21485, NULL, 'G3DSA:3.40.50.10680', NULL, NULL, NULL, NULL, '', NULL, NULL, 35135, 3),
(21486, NULL, 'G3DSA:4.10.740.10', NULL, NULL, NULL, NULL, 'Coagulation Factor IX', NULL, NULL, 17646, 3),
(21487, NULL, 'G3DSA:1.20.58.1970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21488, NULL, 'G3DSA:6.10.250.1700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21489, NULL, 'G3DSA:1.10.260.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21490, NULL, 'G3DSA:3.20.20.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 35437, 3),
(21491, NULL, 'G3DSA:3.30.40.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21492, NULL, 'G3DSA:3.10.20.890', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21493, NULL, 'G3DSA:2.40.50.470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21494, NULL, 'G3DSA:6.20.50.150', NULL, NULL, NULL, NULL, '', NULL, NULL, 32456, 3),
(21495, NULL, 'G3DSA:3.40.190.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21496, NULL, 'G3DSA:3.30.56.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 35618, 3),
(21497, NULL, 'G3DSA:3.30.70.2320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21498, NULL, 'G3DSA:1.10.1270.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32014, 3),
(21499, NULL, 'G3DSA:1.25.40.840', NULL, NULL, NULL, NULL, '', NULL, NULL, 36382, 3),
(21500, NULL, 'G3DSA:1.25.40.920', NULL, NULL, NULL, NULL, '', NULL, NULL, 36333, 3),
(21501, NULL, 'G3DSA:2.60.40.760', NULL, NULL, NULL, NULL, '', NULL, NULL, 34578, 3),
(21502, NULL, 'G3DSA:2.60.40.2940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21503, NULL, 'G3DSA:6.10.280.250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21504, NULL, 'G3DSA:3.50.30.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 33108, 3),
(21505, NULL, 'G3DSA:1.20.1260.120', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF2935', NULL, NULL, NULL, 3),
(21506, NULL, 'G3DSA:3.10.260.20', NULL, NULL, NULL, NULL, 'Ski', NULL, NULL, 30695, 3),
(21507, NULL, 'G3DSA:3.10.20.840', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21508, NULL, 'G3DSA:3.40.1390.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21509, NULL, 'G3DSA:3.30.1280.10', NULL, NULL, NULL, NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurS', NULL, NULL, 35320, 3),
(21510, NULL, 'G3DSA:3.40.350.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 27404, 3),
(21511, NULL, 'G3DSA:6.10.10.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21512, NULL, 'G3DSA:6.10.280.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 37957, 3),
(21513, NULL, 'G3DSA:1.20.120.760', NULL, NULL, NULL, NULL, 'Staphylcoagulase, helix bundle, domain 2', NULL, NULL, 39758, 3),
(21514, NULL, 'G3DSA:2.40.50.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 34034, 3),
(21515, NULL, 'G3DSA:3.30.62.10', NULL, NULL, NULL, NULL, 'Nef Regulatory Factor', NULL, NULL, 25481, 3),
(21516, NULL, 'G3DSA:3.40.50.10320', NULL, NULL, NULL, NULL, '', NULL, NULL, 19095, 3),
(21517, NULL, 'G3DSA:3.10.20.570', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF3248', NULL, NULL, NULL, 3),
(21518, NULL, 'G3DSA:2.40.50.650', NULL, NULL, NULL, NULL, '', NULL, NULL, 36370, 3),
(21519, NULL, 'G3DSA:3.30.70.2450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21520, NULL, 'G3DSA:1.25.40.610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21521, NULL, 'G3DSA:3.10.450.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21522, NULL, 'G3DSA:1.20.5.450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21523, NULL, 'G3DSA:6.10.250.3340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21524, NULL, 'G3DSA:2.60.40.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 9251, 3),
(21525, NULL, 'G3DSA:1.20.1270.220', NULL, NULL, NULL, NULL, '', NULL, NULL, 35136, 3),
(21526, NULL, 'G3DSA:2.60.120.1210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21527, NULL, 'G3DSA:1.10.4010.10', NULL, NULL, NULL, NULL, 'Type II deoxyuridine triphosphatase', NULL, NULL, NULL, 3),
(21528, NULL, 'G3DSA:4.10.60.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21529, NULL, 'G3DSA:2.60.120.1130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21530, NULL, 'G3DSA:2.40.50.780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21531, NULL, 'G3DSA:2.60.60.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21532, NULL, 'G3DSA:6.20.390.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21533, NULL, 'G3DSA:2.60.40.1510', NULL, NULL, NULL, NULL, 'ntegrin, alpha v. Chain A, domain 3', NULL, NULL, NULL, 3),
(21534, NULL, 'G3DSA:1.20.120.460', NULL, NULL, NULL, NULL, 'protein pf1176 like', NULL, NULL, 31406, 3),
(21535, NULL, 'G3DSA:1.10.287.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21536, NULL, 'G3DSA:3.90.1750.20', NULL, NULL, NULL, NULL, 'Putative Large Serine Recombinase; Chain B, Domain 2', NULL, NULL, 32181, 3),
(21537, NULL, 'G3DSA:2.60.120.400', NULL, NULL, NULL, NULL, '', NULL, NULL, 32025, 3),
(21538, NULL, 'G3DSA:1.10.1240.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21539, NULL, 'G3DSA:6.10.140.840', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21540, NULL, 'G3DSA:3.40.50.2020', NULL, NULL, NULL, NULL, '', NULL, NULL, 26301, 3),
(21541, NULL, 'G3DSA:1.20.5.400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21542, NULL, 'G3DSA:2.40.30.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 32334, 3),
(21543, NULL, 'G3DSA:3.30.70.1750', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF11491, DUF3213', NULL, NULL, NULL, 3),
(21544, NULL, 'G3DSA:2.60.40.680', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21545, NULL, 'G3DSA:1.10.3450.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 29137, 3),
(21546, NULL, 'G3DSA:1.10.1380.10', NULL, NULL, NULL, NULL, 'Neutral endopeptidase , domain2', NULL, NULL, 33042, 3),
(21547, NULL, 'G3DSA:3.90.1110.10', NULL, NULL, NULL, NULL, 'RNA polymerase Rpb2, domain 2', NULL, NULL, 31968, 3),
(21548, NULL, 'G3DSA:6.10.250.710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21549, NULL, 'G3DSA:3.30.2310.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 34923, 3),
(21550, NULL, 'G3DSA:6.10.140.890', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21551, NULL, 'G3DSA:3.40.50.620', NULL, NULL, NULL, NULL, 'HUPs', NULL, NULL, 13106, 3),
(21552, NULL, 'G3DSA:2.20.230.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21553, NULL, 'G3DSA:1.10.3730.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21554, NULL, 'G3DSA:3.20.20.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 8789, 3),
(21555, NULL, 'G3DSA:3.30.1470.10', NULL, NULL, NULL, NULL, 'Photosystem I PsaD, reaction center subunit II', NULL, NULL, NULL, 3),
(21556, NULL, 'G3DSA:3.30.70.2060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21557, NULL, 'G3DSA:2.30.30.670', NULL, NULL, NULL, NULL, 'Thioester domain', NULL, NULL, NULL, 3),
(21558, NULL, 'G3DSA:6.10.140.530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21559, NULL, 'G3DSA:3.40.50.12270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21560, NULL, 'G3DSA:3.10.180.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21561, NULL, 'G3DSA:6.10.250.2290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21562, NULL, 'G3DSA:2.60.120.280', NULL, NULL, NULL, NULL, 'Regulatory protein AraC', NULL, NULL, NULL, 3),
(21563, NULL, 'G3DSA:2.40.128.390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21564, NULL, 'G3DSA:1.10.287.1010', NULL, NULL, NULL, NULL, '', NULL, NULL, 25184, 3),
(21565, NULL, 'G3DSA:1.10.287.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 36030, 3),
(21566, NULL, 'G3DSA:1.10.287.660', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, 25292, 3),
(21567, NULL, 'G3DSA:2.30.29.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21568, NULL, 'G3DSA:3.40.1000.50', NULL, NULL, NULL, NULL, 'Repressor of RNA polymerase III transcription  Maf1', NULL, NULL, 34795, 3),
(21569, NULL, 'G3DSA:1.10.150.540', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21570, NULL, 'G3DSA:6.10.140.580', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21571, NULL, 'G3DSA:1.10.8.1010', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21572, NULL, 'G3DSA:1.20.930.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21573, NULL, 'G3DSA:1.10.1490.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21574, NULL, 'G3DSA:3.30.70.2010', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21575, NULL, 'G3DSA:2.130.10.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 6457, 3),
(21576, NULL, 'G3DSA:1.10.132.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21577, NULL, 'G3DSA:3.40.50.10630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21578, NULL, 'G3DSA:3.10.310.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21579, NULL, 'G3DSA:3.30.390.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 6769, 3),
(21580, NULL, 'G3DSA:6.10.250.2240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21581, NULL, 'G3DSA:1.40.20.10', NULL, NULL, NULL, NULL, 'CHAD domain', NULL, NULL, 32941, 3),
(21582, NULL, 'G3DSA:1.20.58.2230', NULL, NULL, NULL, NULL, '', NULL, NULL, 33645, 3),
(21583, NULL, 'G3DSA:3.30.430.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 33699, 3),
(21584, NULL, 'G3DSA:3.40.5.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 34362, 3),
(21585, NULL, 'G3DSA:3.40.50.11750', NULL, NULL, NULL, NULL, 'HypD, alpha/beta domain 1', NULL, NULL, 36821, 3);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21586, NULL, 'G3DSA:2.60.40.340', NULL, NULL, NULL, NULL, '', NULL, NULL, 32276, 3),
(21587, NULL, 'G3DSA:3.90.70.150', NULL, NULL, NULL, NULL, 'Helper component proteinase', NULL, NULL, 39075, 3),
(21588, NULL, 'G3DSA:3.10.310.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21589, NULL, 'G3DSA:1.10.3450.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21590, NULL, 'G3DSA:1.10.287.940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21591, NULL, 'G3DSA:1.10.150.750', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21592, NULL, 'G3DSA:1.20.1270.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 27040, 3),
(21593, NULL, 'G3DSA:3.30.2280.10', NULL, NULL, NULL, NULL, 'Hypothetical protein (hspc210)', NULL, NULL, 9339, 3),
(21594, NULL, 'G3DSA:3.30.750.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21595, NULL, 'G3DSA:3.30.160.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 29992, 3),
(21596, NULL, 'G3DSA:3.30.60.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30930, 3),
(21597, NULL, 'G3DSA:3.30.700.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21598, NULL, 'G3DSA:3.30.720.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 34849, 3),
(21599, NULL, 'G3DSA:3.90.56.20', NULL, NULL, NULL, NULL, 'replication protein C, winged helix domain', NULL, NULL, NULL, 3),
(21600, NULL, 'G3DSA:3.30.2310.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21601, NULL, 'G3DSA:3.40.50.1000', NULL, NULL, NULL, NULL, '', NULL, NULL, 4609, 3),
(21602, NULL, 'G3DSA:1.20.1050.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21603, NULL, 'G3DSA:2.30.30.620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21604, NULL, 'G3DSA:6.10.200.10', NULL, NULL, NULL, NULL, 'Regulatory phage protein Cox', NULL, NULL, 33611, 3),
(21605, NULL, 'G3DSA:1.20.920.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21606, NULL, 'G3DSA:6.10.140.1910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21607, NULL, 'G3DSA:3.50.40.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 21334, 3),
(21608, NULL, 'G3DSA:6.20.290.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21609, NULL, 'G3DSA:2.60.40.1970', NULL, NULL, NULL, NULL, 'YEATS domain', NULL, NULL, 33796, 3),
(21610, NULL, 'G3DSA:1.20.1280.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21611, NULL, 'G3DSA:3.40.50.1970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21612, NULL, 'G3DSA:1.10.418.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21613, NULL, 'G3DSA:1.10.472.90', NULL, NULL, NULL, NULL, 'Conserved carboxylase domain', NULL, NULL, NULL, 3),
(21614, NULL, 'G3DSA:2.40.37.10', NULL, NULL, NULL, NULL, 'Lyase, Ornithine Decarboxylase; Chain A, domain 1', NULL, NULL, 9596, 3),
(21615, NULL, 'G3DSA:1.10.10.1500', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21616, NULL, 'G3DSA:2.30.170.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21617, NULL, 'G3DSA:2.40.128.100', NULL, NULL, NULL, NULL, 'OPCA outer membrane adhesin/invasin', NULL, NULL, NULL, 3),
(21618, NULL, 'G3DSA:6.10.250.2680', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21619, NULL, 'G3DSA:3.30.450.230', NULL, NULL, NULL, NULL, '', NULL, NULL, 33795, 3),
(21620, NULL, 'G3DSA:1.25.40.450', NULL, NULL, NULL, NULL, '', NULL, NULL, 40009, 3),
(21621, NULL, 'G3DSA:1.10.1200.80', NULL, NULL, NULL, NULL, 'Putative flavin oxidoreducatase; domain 2', NULL, NULL, 19193, 3),
(21622, NULL, 'G3DSA:1.10.3790.10', NULL, NULL, NULL, NULL, 'NinB', NULL, NULL, 30526, 3),
(21623, NULL, 'G3DSA:1.10.418.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 37030, 3),
(21624, NULL, 'G3DSA:3.30.750.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21625, NULL, 'G3DSA:2.10.310.10', NULL, NULL, NULL, NULL, 'Serpins superfamily', NULL, NULL, NULL, 3),
(21626, NULL, 'G3DSA:1.20.1440.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21627, NULL, 'G3DSA:1.10.8.750', NULL, NULL, NULL, NULL, 'Phosphoribosylformylglycinamidine synthase, linker domain', NULL, NULL, NULL, 3),
(21628, NULL, 'G3DSA:2.40.160.50', NULL, NULL, NULL, NULL, 'membrane protein fhac: a member of the omp85/tpsb transporter family', NULL, NULL, NULL, 3);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21629, NULL, 'G3DSA:4.10.80.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21630, NULL, 'G3DSA:3.30.67.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21631, NULL, 'G3DSA:1.25.40.420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21632, NULL, 'G3DSA:3.30.1420.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37383, 3),
(21633, NULL, 'G3DSA:3.30.1040.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21634, NULL, 'G3DSA:1.10.10.660', NULL, NULL, NULL, NULL, 'conserved protein of unknown function from Enterococcus faecalis V583', NULL, NULL, 19274, 3),
(21635, NULL, 'G3DSA:1.20.58.1310', NULL, NULL, NULL, NULL, 'PRONE domain, subdomain 2', NULL, NULL, NULL, 3),
(21636, NULL, 'G3DSA:1.10.840.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30892, 3),
(21637, NULL, 'G3DSA:3.30.870.10', NULL, NULL, NULL, NULL, 'Endonuclease Chain A', NULL, NULL, NULL, 3),
(21638, NULL, 'G3DSA:1.20.1280.300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21639, NULL, 'G3DSA:3.30.450.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21640, NULL, 'G3DSA:3.30.420.330', NULL, NULL, NULL, NULL, '', NULL, NULL, 31839, 3),
(21641, NULL, 'G3DSA:1.10.287.650', NULL, NULL, NULL, NULL, 'L27 domain', NULL, NULL, NULL, 3),
(21642, NULL, 'G3DSA:1.20.58.1160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21643, NULL, 'G3DSA:2.30.30.460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21644, NULL, 'G3DSA:2.60.120.1110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21645, NULL, 'G3DSA:1.10.60.10', NULL, NULL, NULL, NULL, 'Iron dependent repressor, metal binding and dimerisation domain', NULL, NULL, 30438, 3),
(21646, NULL, 'G3DSA:1.10.3210.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21647, NULL, 'G3DSA:1.10.287.4300', NULL, NULL, NULL, NULL, '', NULL, NULL, 34537, 3),
(21648, NULL, 'G3DSA:6.10.140.660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21649, NULL, 'G3DSA:2.40.40.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21650, NULL, 'G3DSA:1.10.287.1400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21651, NULL, 'G3DSA:6.20.50.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21652, NULL, 'G3DSA:2.10.300.10', NULL, NULL, NULL, NULL, 'Porin MspA ribbon domain', NULL, NULL, NULL, 3),
(21653, NULL, 'G3DSA:1.10.1300.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30697, 3),
(21654, NULL, 'G3DSA:1.10.287.780', NULL, NULL, NULL, NULL, '', NULL, NULL, 21431, 3),
(21655, NULL, 'G3DSA:1.10.1240.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21656, NULL, 'G3DSA:3.40.50.10660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21657, NULL, 'G3DSA:6.10.250.2060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21658, NULL, 'G3DSA:2.60.40.1840', NULL, NULL, NULL, NULL, '', NULL, NULL, 35097, 3),
(21659, NULL, 'G3DSA:3.30.70.420', NULL, NULL, NULL, NULL, '', NULL, NULL, 10180, 3),
(21660, NULL, 'G3DSA:2.40.30.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21661, NULL, 'G3DSA:3.90.1150.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21662, NULL, 'G3DSA:2.30.29.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21663, NULL, 'G3DSA:1.10.3260.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35134, 3),
(21664, NULL, 'G3DSA:3.40.1090.10', NULL, NULL, NULL, NULL, 'Cytosolic phospholipase A2 catalytic domain', NULL, NULL, NULL, 3),
(21665, NULL, 'G3DSA:2.20.25.500', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21666, NULL, 'G3DSA:3.40.50.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 26058, 3),
(21667, NULL, 'G3DSA:3.30.70.1520', NULL, NULL, NULL, NULL, 'Heterotetrameric sarcosine oxidase', NULL, NULL, NULL, 3),
(21668, NULL, 'G3DSA:3.10.310.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21669, NULL, 'G3DSA:3.10.20.860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21670, NULL, 'G3DSA:2.60.40.1570', NULL, NULL, NULL, NULL, 'Dr adhesin', NULL, NULL, 29511, 3),
(21671, NULL, 'G3DSA:1.10.800.10', NULL, NULL, NULL, NULL, 'Aromatic amino acid hydroxylase', NULL, NULL, 33015, 3),
(21672, NULL, 'G3DSA:3.90.1670.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12949, 3);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21673, NULL, 'G3DSA:1.10.30.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21674, NULL, 'G3DSA:1.10.10.2910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21675, NULL, 'G3DSA:2.20.25.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21676, NULL, 'G3DSA:1.25.40.440', NULL, NULL, NULL, NULL, 'Nucleoporin, helical domain, central subdomain', NULL, NULL, 37166, 3),
(21677, NULL, 'G3DSA:2.10.80.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21678, NULL, 'G3DSA:3.30.70.1480', NULL, NULL, NULL, NULL, '', NULL, NULL, 22082, 3),
(21679, NULL, 'G3DSA:1.20.140.30', NULL, NULL, NULL, NULL, 'MOB kinase activator', NULL, NULL, 34234, 3),
(21680, NULL, 'G3DSA:6.10.140.710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21681, NULL, 'G3DSA:3.30.450.300', NULL, NULL, NULL, NULL, 'Sensor histidine kinase RisS, periplasmic domain', NULL, NULL, 33852, 3),
(21682, NULL, 'G3DSA:3.30.2180.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37285, 3),
(21683, NULL, 'G3DSA:6.10.250.2110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21684, NULL, 'G3DSA:1.10.220.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 37825, 3),
(21685, NULL, 'G3DSA:1.10.3980.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21686, NULL, 'G3DSA:3.40.800.20', NULL, NULL, NULL, NULL, 'Histone deacetylase domain', NULL, NULL, 30337, 3),
(21687, NULL, 'G3DSA:3.30.70.1690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21688, NULL, 'G3DSA:3.30.110.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21689, NULL, 'G3DSA:6.10.140.550', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21690, NULL, 'G3DSA:2.60.120.710', NULL, NULL, NULL, NULL, 'Toxoplasma gondii micronemal protein 1 TgMIC1', NULL, NULL, 36126, 3),
(21691, NULL, 'G3DSA:1.10.890.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 7624, 3),
(21692, NULL, 'G3DSA:3.90.70.50', NULL, NULL, NULL, NULL, 'Peptidase C10, streptopain', NULL, NULL, 37650, 3),
(21693, NULL, 'G3DSA:2.60.40.2710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21694, NULL, 'G3DSA:1.10.1170.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21695, NULL, 'G3DSA:3.40.50.970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21696, NULL, 'G3DSA:3.10.170.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21697, NULL, 'G3DSA:1.20.58.1000', NULL, NULL, NULL, NULL, '', NULL, NULL, 32195, 3),
(21698, NULL, 'G3DSA:1.20.5.580', NULL, NULL, NULL, NULL, 'Single Helix bin', NULL, NULL, NULL, 3),
(21699, NULL, 'G3DSA:3.30.920.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 34622, 3),
(21700, NULL, 'G3DSA:6.10.250.490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21701, NULL, 'G3DSA:6.20.250.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21702, NULL, 'G3DSA:6.10.250.3420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21703, NULL, 'G3DSA:3.40.640.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 7705, 3),
(21704, NULL, 'G3DSA:1.10.274.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 33057, 3),
(21705, NULL, 'G3DSA:3.30.1490.440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21706, NULL, 'G3DSA:1.10.1470.10', NULL, NULL, NULL, NULL, 'YjbJ', NULL, NULL, 30668, 3),
(21707, NULL, 'G3DSA:6.10.250.2870', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21708, NULL, 'G3DSA:1.10.1220.190', NULL, NULL, NULL, NULL, 'VirC2, RHH domain', NULL, NULL, 34797, 3),
(21709, NULL, 'G3DSA:3.40.140.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 39572, 3),
(21710, NULL, 'G3DSA:3.90.1860.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 29384, 3),
(21711, NULL, 'G3DSA:3.40.1420.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21712, NULL, 'G3DSA:6.10.300.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21713, NULL, 'G3DSA:6.20.230.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21714, NULL, 'G3DSA:2.102.30.10', NULL, NULL, NULL, NULL, 'tm1086 (SG structure) domain', NULL, NULL, 39012, 3),
(21715, NULL, 'G3DSA:3.30.420.300', NULL, NULL, NULL, NULL, '', NULL, NULL, 37554, 3),
(21716, NULL, 'G3DSA:3.30.1370.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21717, NULL, 'G3DSA:1.10.8.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21718, NULL, 'G3DSA:2.40.30.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 35767, 3),
(21719, NULL, 'G3DSA:3.90.420.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30694, 3),
(21720, NULL, 'G3DSA:3.30.2170.10', NULL, NULL, NULL, NULL, 'archaeoglobus fulgidus dsm 4304 superfamily', NULL, NULL, NULL, 3),
(21721, NULL, 'G3DSA:3.40.50.920', NULL, NULL, NULL, NULL, '', NULL, NULL, 9536, 3),
(21722, NULL, 'G3DSA:3.15.10.60', NULL, NULL, NULL, NULL, 'Alkylmercury lyase', NULL, NULL, NULL, 3),
(21723, NULL, 'G3DSA:2.60.500.10', NULL, NULL, NULL, NULL, 'Surface Active Protein domain', NULL, NULL, 33951, 3),
(21724, NULL, 'G3DSA:1.10.10.1810', NULL, NULL, NULL, NULL, 'RNA ligase', NULL, NULL, 32370, 3),
(21725, NULL, 'G3DSA:1.10.8.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21726, NULL, 'G3DSA:6.10.250.1910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21727, NULL, 'G3DSA:2.60.40.1580', NULL, NULL, NULL, NULL, 'Particulate methane monooxygenase, b subunit. Chain: A, domain 3', NULL, NULL, 9967, 3),
(21728, NULL, 'G3DSA:2.30.30.210', NULL, NULL, NULL, NULL, 'Ribonuclease P/MRP, subunit p29', NULL, NULL, 32714, 3),
(21729, NULL, 'G3DSA:4.10.1100.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30888, 3),
(21730, NULL, 'G3DSA:3.60.15.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21731, NULL, 'G3DSA:1.20.58.1050', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21732, NULL, 'G3DSA:1.10.1720.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31609, 3),
(21733, NULL, 'G3DSA:1.10.1220.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21734, NULL, 'G3DSA:6.10.250.2840', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21735, NULL, 'G3DSA:3.90.290.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34461, 3),
(21736, NULL, 'G3DSA:1.20.890.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21737, NULL, 'G3DSA:6.10.250.2890', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21738, NULL, 'G3DSA:1.20.120.810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21739, NULL, 'G3DSA:3.30.1230.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31637, 3),
(21740, NULL, 'G3DSA:2.60.120.1000', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21741, NULL, 'G3DSA:1.10.1450.10', NULL, NULL, NULL, NULL, 'Tetraspanin', NULL, NULL, 8880, 3),
(21742, NULL, 'G3DSA:3.30.1370.250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21743, NULL, 'G3DSA:3.40.80.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32728, 3),
(21744, NULL, 'G3DSA:1.25.40.740', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21745, NULL, 'G3DSA:2.170.130.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32467, 3),
(21746, NULL, 'G3DSA:1.10.460.10', NULL, NULL, NULL, NULL, 'Topoisomerase I, domain 2', NULL, NULL, 18098, 3),
(21747, NULL, 'G3DSA:2.40.200.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 21676, 3),
(21748, NULL, 'G3DSA:6.10.140.2180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21749, NULL, 'G3DSA:1.10.238.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21750, NULL, 'G3DSA:1.25.40.210', NULL, NULL, NULL, NULL, '', NULL, NULL, 33954, 3),
(21751, NULL, 'G3DSA:6.20.420.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21752, NULL, 'G3DSA:3.40.30.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21753, NULL, 'G3DSA:3.30.720.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21754, NULL, 'G3DSA:1.20.58.810', NULL, NULL, NULL, NULL, 'Photosystem II Pbs27', NULL, NULL, 33957, 3),
(21755, NULL, 'G3DSA:3.40.1440.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21756, NULL, 'G3DSA:1.10.10.1530', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21757, NULL, 'G3DSA:6.10.250.1480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21758, NULL, 'G3DSA:3.40.630.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21759, NULL, 'G3DSA:2.30.34.10', NULL, NULL, NULL, NULL, 'Leishmanolysin domain 4', NULL, NULL, NULL, 3),
(21760, NULL, 'G3DSA:1.20.120.840', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21761, NULL, 'G3DSA:3.10.300.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30815, 3);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21762, NULL, 'G3DSA:6.10.140.370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21763, NULL, 'G3DSA:4.10.810.10', NULL, NULL, NULL, NULL, 'Virus Scaffolding Protein; Chain A', NULL, NULL, 27900, 3),
(21764, NULL, 'G3DSA:1.20.1060.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21765, NULL, 'G3DSA:1.10.10.1580', NULL, NULL, NULL, NULL, '', NULL, NULL, 39198, 3),
(21766, NULL, 'G3DSA:6.10.140.1190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21767, NULL, 'G3DSA:1.20.58.380', NULL, NULL, NULL, NULL, 'Flagellar protein flit.', NULL, NULL, NULL, 3),
(21768, NULL, 'G3DSA:1.20.50.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21769, NULL, 'G3DSA:3.30.70.660', NULL, NULL, NULL, NULL, '', NULL, NULL, 16402, 3),
(21770, NULL, 'G3DSA:3.30.160.290', NULL, NULL, NULL, NULL, 'Rag2 PHD finger', NULL, NULL, NULL, 3),
(21771, NULL, 'G3DSA:3.90.215.10', NULL, NULL, NULL, NULL, 'Gamma Fibrinogen, chain A, domain 1', NULL, NULL, 18750, 3),
(21772, NULL, 'G3DSA:1.20.120.470', NULL, NULL, NULL, NULL, '', NULL, NULL, 36317, 3),
(21773, NULL, 'G3DSA:1.10.287.810', NULL, NULL, NULL, NULL, 'Mitochondrial import inner membrane translocase subunit tim13 like domains', NULL, NULL, 19294, 3),
(21774, NULL, 'G3DSA:1.10.150.250', NULL, NULL, NULL, NULL, 'Flavinator of succinate dehydrogenase', NULL, NULL, 34345, 3),
(21775, NULL, 'G3DSA:3.30.70.1670', NULL, NULL, NULL, NULL, '', NULL, NULL, 33693, 3),
(21776, NULL, 'G3DSA:1.10.3170.10', NULL, NULL, NULL, NULL, 'Recbcd, chain B, domain 2', NULL, NULL, NULL, 3),
(21777, NULL, 'G3DSA:3.30.1330.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 19527, 3),
(21778, NULL, 'G3DSA:3.30.70.2110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21779, NULL, 'G3DSA:3.90.1350.10', NULL, NULL, NULL, NULL, 'Exotoxin A, middle domain', NULL, NULL, 33513, 3),
(21780, NULL, 'G3DSA:3.40.140.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 12167, 3),
(21781, NULL, 'G3DSA:3.30.160.360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21782, NULL, 'G3DSA:1.10.8.1220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21783, NULL, 'G3DSA:2.60.40.3350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21784, NULL, 'G3DSA:1.10.10.2090', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21785, NULL, 'G3DSA:3.30.720.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21786, NULL, 'G3DSA:3.40.50.12060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21787, NULL, 'G3DSA:6.10.140.1620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21788, NULL, 'G3DSA:6.20.250.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21789, NULL, 'G3DSA:2.60.40.2420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21790, NULL, 'G3DSA:1.10.287.760', NULL, NULL, NULL, NULL, '', NULL, NULL, 17610, 3),
(21791, NULL, 'G3DSA:1.20.120.20', NULL, NULL, NULL, NULL, 'Apolipoprotein', NULL, NULL, NULL, 3),
(21792, NULL, 'G3DSA:2.60.120.990', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21793, NULL, 'G3DSA:3.30.70.2220', NULL, NULL, NULL, NULL, '', NULL, NULL, 36177, 3),
(21794, NULL, 'G3DSA:1.20.58.1780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21795, NULL, 'G3DSA:2.150.10.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21796, NULL, 'G3DSA:3.30.390.170', NULL, NULL, NULL, NULL, '', NULL, NULL, 31307, 3),
(21797, NULL, 'G3DSA:2.60.120.1320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21798, NULL, 'G3DSA:6.10.140.500', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21799, NULL, 'G3DSA:6.20.70.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21800, NULL, 'G3DSA:2.120.10.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 33711, 3),
(21801, NULL, 'G3DSA:2.60.40.4340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21802, NULL, 'G3DSA:3.30.2270.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30288, 3),
(21803, NULL, 'G3DSA:3.30.1360.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21804, NULL, 'G3DSA:3.30.1330.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35086, 3),
(21805, NULL, 'G3DSA:1.25.40.300', NULL, NULL, NULL, NULL, 'Putative secreted effector protein', NULL, NULL, NULL, 3);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21806, NULL, 'G3DSA:1.20.120.780', NULL, NULL, NULL, NULL, 'DNA mimic ocr', NULL, NULL, 33853, 3),
(21807, NULL, 'G3DSA:1.10.287.3510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21808, NULL, 'G3DSA:1.20.58.1370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21809, NULL, 'G3DSA:2.170.190.11', NULL, NULL, NULL, NULL, 'Molybdopterin biosynthesis moea protein, domain 3.', NULL, NULL, NULL, 3),
(21810, NULL, 'G3DSA:3.30.70.2610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21811, NULL, 'G3DSA:6.10.250.2270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21812, NULL, 'G3DSA:1.20.1740.10', NULL, NULL, NULL, NULL, 'Amino acid/polyamine transporter I', NULL, NULL, NULL, 3),
(21813, NULL, 'G3DSA:6.10.250.3100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21814, NULL, 'G3DSA:3.30.1520.20', NULL, NULL, NULL, NULL, 'Exonuclease ExoI, domain 2', NULL, NULL, 29500, 3),
(21815, NULL, 'G3DSA:1.10.268.10', NULL, NULL, NULL, NULL, 'Topoisomerase, domain 3', NULL, NULL, 7717, 3),
(21816, NULL, 'G3DSA:2.60.130.10', NULL, NULL, NULL, NULL, 'Aromatic compound dioxygenase', NULL, NULL, 7143, 3),
(21817, NULL, 'G3DSA:1.25.40.240', NULL, NULL, NULL, NULL, '', NULL, NULL, 33994, 3),
(21818, NULL, 'G3DSA:3.40.1110.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 14808, 3),
(21819, NULL, 'G3DSA:6.10.140.1020', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21820, NULL, 'G3DSA:2.60.40.2210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21821, NULL, 'G3DSA:1.10.520.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 15836, 3),
(21822, NULL, 'G3DSA:2.60.40.1320', NULL, NULL, NULL, NULL, 'SRS domain', NULL, NULL, 34520, 3),
(21823, NULL, 'G3DSA:1.10.3350.20', NULL, NULL, NULL, NULL, 'Tmem141 protein family', NULL, NULL, 29582, 3),
(21824, NULL, 'G3DSA:2.170.230.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 21259, 3),
(21825, NULL, 'G3DSA:6.10.250.1690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21826, NULL, 'G3DSA:6.20.370.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21827, NULL, 'G3DSA:3.40.50.10130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21828, NULL, 'G3DSA:3.40.1400.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33844, 3),
(21829, NULL, 'G3DSA:1.20.5.870', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21830, NULL, 'G3DSA:2.40.50.420', NULL, NULL, NULL, NULL, 'Envelope glycoprotein gp160, DUF2291, alpha/beta domain', NULL, NULL, NULL, 3),
(21831, NULL, 'G3DSA:6.20.120.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21832, NULL, 'G3DSA:2.40.50.320', NULL, NULL, NULL, NULL, 'Copper binding periplasmic protein CusF', NULL, NULL, 38599, 3),
(21833, NULL, 'G3DSA:1.10.10.1210', NULL, NULL, NULL, NULL, 'MAGE homology domain, winged helix WH2 motif', NULL, NULL, 33028, 3),
(21834, NULL, 'G3DSA:3.30.2110.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35246, 3),
(21835, NULL, 'G3DSA:1.10.1200.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21836, NULL, 'G3DSA:3.30.500.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21837, NULL, 'G3DSA:1.10.8.620', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21838, NULL, 'G3DSA:3.30.420.510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21839, NULL, 'G3DSA:3.30.350.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30440, 3),
(21840, NULL, 'G3DSA:3.40.50.11700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21841, NULL, 'G3DSA:1.20.5.880', NULL, NULL, NULL, NULL, 'Photosystem II reaction center protein H', NULL, NULL, 30894, 3),
(21842, NULL, 'G3DSA:3.10.20.420', NULL, NULL, NULL, NULL, '', NULL, NULL, 32737, 3),
(21843, NULL, 'G3DSA:3.10.20.260', NULL, NULL, NULL, NULL, '', NULL, NULL, 32481, 3),
(21844, NULL, 'G3DSA:1.10.10.630', NULL, NULL, NULL, NULL, '', NULL, NULL, 31574, 3),
(21845, NULL, 'G3DSA:1.10.606.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 11204, 3),
(21846, NULL, 'G3DSA:2.60.40.4370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21847, NULL, 'G3DSA:2.30.30.640', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21848, NULL, 'G3DSA:2.40.10.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21849, NULL, 'G3DSA:3.30.70.1530', NULL, NULL, NULL, NULL, 'Hypothetical protein rpa1041', NULL, NULL, NULL, 3),
(21850, NULL, 'G3DSA:2.60.40.780', NULL, NULL, NULL, NULL, '', NULL, NULL, 30099, 3),
(21851, NULL, 'G3DSA:4.10.830.10', NULL, NULL, NULL, NULL, '30s Ribosomal Protein S14; Chain N', NULL, NULL, 37806, 3),
(21852, NULL, 'G3DSA:3.30.470.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21853, NULL, 'G3DSA:3.10.180.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 26239, 3),
(21854, NULL, 'G3DSA:1.10.506.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8817, 3),
(21855, NULL, 'G3DSA:1.10.287.910', NULL, NULL, NULL, NULL, 'bacterial mercury transporter, merf', NULL, NULL, NULL, 3),
(21856, NULL, 'G3DSA:2.20.25.220', NULL, NULL, NULL, NULL, 'Hepatitis C virus NS5A, 1B domain', NULL, NULL, 32044, 3),
(21857, NULL, 'G3DSA:1.25.40.950', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21858, NULL, 'G3DSA:1.20.5.1040', NULL, NULL, NULL, NULL, 'Sensor protein qsec.', NULL, NULL, NULL, 3),
(21859, NULL, 'G3DSA:1.10.1740.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21860, NULL, 'G3DSA:3.30.750.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 37107, 3),
(21861, NULL, 'G3DSA:2.60.40.2920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21862, NULL, 'G3DSA:1.10.1520.10', NULL, NULL, NULL, NULL, 'Ribonuclease III domain', NULL, NULL, 30671, 3),
(21863, NULL, 'G3DSA:2.60.120.370', NULL, NULL, NULL, NULL, 'YhcH/YjgK/YiaL', NULL, NULL, 30505, 3),
(21864, NULL, 'G3DSA:1.50.10.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21865, NULL, 'G3DSA:2.30.30.1150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21866, NULL, 'G3DSA:3.30.70.2290', NULL, NULL, NULL, NULL, 'Protein of unknown function (DUF3208)', NULL, NULL, NULL, 3),
(21867, NULL, 'G3DSA:1.25.40.630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21868, NULL, 'G3DSA:1.20.1270.130', NULL, NULL, NULL, NULL, 'Shigella T3SS effector IpaH domain', NULL, NULL, NULL, 3),
(21869, NULL, 'G3DSA:3.40.50.11100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21870, NULL, 'G3DSA:3.10.290.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 11596, 3),
(21871, NULL, 'G3DSA:3.40.50.1240', NULL, NULL, NULL, NULL, '', NULL, NULL, 25252, 3),
(21872, NULL, 'G3DSA:1.20.1410.10', NULL, NULL, NULL, NULL, 'I/LWEQ domain', NULL, NULL, NULL, 3),
(21873, NULL, 'G3DSA:1.10.10.1710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21874, NULL, 'G3DSA:1.20.272.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21875, NULL, 'G3DSA:1.10.10.1940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21876, NULL, 'G3DSA:3.10.20.650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21877, NULL, 'G3DSA:1.10.1200.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 8646, 3),
(21878, NULL, 'G3DSA:3.90.390.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 7645, 3),
(21879, NULL, 'G3DSA:6.20.250.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21880, NULL, 'G3DSA:2.60.40.2040', NULL, NULL, NULL, NULL, 'CFA/I fimbrial subunit E, pilin domain', NULL, NULL, NULL, 3),
(21881, NULL, 'G3DSA:1.20.930.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21882, NULL, 'G3DSA:2.40.128.360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21883, NULL, 'G3DSA:3.40.1820.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21884, NULL, 'G3DSA:2.40.40.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31195, 3),
(21885, NULL, 'G3DSA:1.10.287.370', NULL, NULL, NULL, NULL, '', NULL, NULL, 6197, 3),
(21886, NULL, 'G3DSA:2.60.440.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 28559, 3),
(21887, NULL, 'G3DSA:1.20.5.640', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(21888, NULL, 'G3DSA:3.40.1740.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21889, NULL, 'G3DSA:6.10.250.900', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21890, NULL, 'G3DSA:3.30.2000.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21891, NULL, 'G3DSA:4.10.1240.10', NULL, NULL, NULL, NULL, 'GPCR, family 2, extracellular hormone receptor domain', NULL, NULL, 30971, 3);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21892, NULL, 'G3DSA:1.10.10.2520', NULL, NULL, NULL, NULL, 'Cell wall hydrolase SleB, domain 1', NULL, NULL, 32975, 3),
(21893, NULL, 'G3DSA:2.20.230.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21894, NULL, 'G3DSA:3.30.160.590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21895, NULL, 'G3DSA:3.80.20.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 30034, 3),
(21896, NULL, 'G3DSA:3.40.20.10', NULL, NULL, NULL, NULL, 'Severin', NULL, NULL, 25874, 3),
(21897, NULL, 'G3DSA:1.20.58.2200', NULL, NULL, NULL, NULL, '', NULL, NULL, 33875, 3),
(21898, NULL, 'G3DSA:1.20.1680.10', NULL, NULL, NULL, NULL, 'Type II deoxyuridine triphosphatase', NULL, NULL, NULL, 3),
(21899, NULL, 'G3DSA:1.10.132.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21900, NULL, 'G3DSA:6.10.140.340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21901, NULL, 'G3DSA:3.30.60.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21902, NULL, 'G3DSA:2.40.160.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21903, NULL, 'G3DSA:2.20.25.340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21904, NULL, 'G3DSA:3.40.1690.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21905, NULL, 'G3DSA:6.10.140.870', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21906, NULL, 'G3DSA:1.10.390.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 37153, 3),
(21907, NULL, 'G3DSA:3.30.1410.10', NULL, NULL, NULL, NULL, 'GTP cyclohydrolase I feedback regulatory protein GFRP', NULL, NULL, 34875, 3),
(21908, NULL, 'G3DSA:3.30.70.680', NULL, NULL, NULL, NULL, '', NULL, NULL, 34742, 3),
(21909, NULL, 'G3DSA:1.20.140.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21910, NULL, 'G3DSA:3.40.1210.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35823, 3),
(21911, NULL, 'G3DSA:1.10.8.280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21912, NULL, 'G3DSA:1.20.120.1090', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21913, NULL, 'G3DSA:1.10.8.460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21914, NULL, 'G3DSA:3.40.1750.10', NULL, NULL, NULL, NULL, 'peptide peptidase (sppa) like domain', NULL, NULL, NULL, 3),
(21915, NULL, 'G3DSA:3.40.140.10', NULL, NULL, NULL, NULL, 'Cytidine Deaminase, domain 2', NULL, NULL, NULL, 3),
(21916, NULL, 'G3DSA:1.20.58.300', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21917, NULL, 'G3DSA:1.20.59.10', NULL, NULL, NULL, NULL, 'Chorismate mutase', NULL, NULL, 32938, 3),
(21918, NULL, 'G3DSA:1.10.239.10', NULL, NULL, NULL, NULL, 'Elicitin domain', NULL, NULL, 31578, 3),
(21919, NULL, 'G3DSA:1.10.3920.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 28543, 3),
(21920, NULL, 'G3DSA:6.20.50.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21921, NULL, 'G3DSA:2.20.25.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 13710, 3),
(21922, NULL, 'G3DSA:2.40.10.510', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21923, NULL, 'G3DSA:1.20.120.630', NULL, NULL, NULL, NULL, '', NULL, NULL, 34281, 3),
(21924, NULL, 'G3DSA:2.40.128.290', NULL, NULL, NULL, NULL, 'Uncharacterised protein Atu4866, PF11512', NULL, NULL, 33708, 3),
(21925, NULL, 'G3DSA:2.60.40.1240', NULL, NULL, NULL, NULL, '', NULL, NULL, 27379, 3),
(21926, NULL, 'G3DSA:6.10.140.1800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21927, NULL, 'G3DSA:1.20.5.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21928, NULL, 'G3DSA:2.30.30.550', NULL, NULL, NULL, NULL, 'Major Vault Protein repeat', NULL, NULL, 38684, 3),
(21929, NULL, 'G3DSA:6.10.140.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21930, NULL, 'G3DSA:3.15.30.10', NULL, NULL, NULL, NULL, 'putative capsid protein of prophage domain like', NULL, NULL, NULL, 3),
(21931, NULL, 'G3DSA:2.30.130.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21932, NULL, 'G3DSA:1.20.120.1520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21933, NULL, 'G3DSA:1.20.970.10', NULL, NULL, NULL, NULL, 'Transferase, Pyrimidine Nucleoside Phosphorylase; Chain C', NULL, NULL, NULL, 3),
(21934, NULL, 'G3DSA:3.40.50.1860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21935, NULL, 'G3DSA:3.90.228.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21936, NULL, 'G3DSA:3.90.940.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 19529, 3),
(21937, NULL, 'G3DSA:2.60.530.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32358, 3),
(21938, NULL, 'G3DSA:2.20.28.50', NULL, NULL, NULL, NULL, 'degv family protein', NULL, NULL, NULL, 3),
(21939, NULL, 'G3DSA:1.20.120.680', NULL, NULL, NULL, NULL, '', NULL, NULL, 35276, 3),
(21940, NULL, 'G3DSA:1.20.1440.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21941, NULL, 'G3DSA:3.90.1330.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31596, 3),
(21942, NULL, 'G3DSA:6.10.140.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21943, NULL, 'G3DSA:1.10.246.190', NULL, NULL, NULL, NULL, 'Autophagy protein Apg5, helix rich domain', NULL, NULL, 36313, 3),
(21944, NULL, 'G3DSA:2.40.10.330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21945, NULL, 'G3DSA:6.20.10.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21946, NULL, 'G3DSA:1.10.3350.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8699, 3),
(21947, NULL, 'G3DSA:3.30.420.80', NULL, NULL, NULL, NULL, 'Ribosomal protein S11', NULL, NULL, 30810, 3),
(21948, NULL, 'G3DSA:1.10.8.990', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21949, NULL, 'G3DSA:3.30.50.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 7377, 3),
(21950, NULL, 'G3DSA:3.40.1560.10', NULL, NULL, NULL, NULL, 'type ii restriction endonuclease, domain 2', NULL, NULL, 13636, 3),
(21951, NULL, 'G3DSA:3.30.56.110', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF2237', NULL, NULL, NULL, 3),
(21952, NULL, 'G3DSA:6.10.360.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8839, 3),
(21953, NULL, 'G3DSA:1.20.5.5270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21954, NULL, 'G3DSA:2.170.180.11', NULL, NULL, NULL, NULL, 'Methuselah ectodomain, domain 2', NULL, NULL, 17995, 3),
(21955, NULL, 'G3DSA:1.20.120.1480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21956, NULL, 'G3DSA:3.40.1080.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21957, NULL, 'G3DSA:2.30.170.20', NULL, NULL, NULL, NULL, 'Ribosomal protein L24e', NULL, NULL, 29170, 3),
(21958, NULL, 'G3DSA:3.90.1770.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21959, NULL, 'G3DSA:3.10.200.10', NULL, NULL, NULL, NULL, 'Alpha carbonic anhydrase', NULL, NULL, 34479, 3),
(21960, NULL, 'G3DSA:2.60.40.3140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21961, NULL, 'G3DSA:1.20.120.1930', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF16691, DUF5062', NULL, NULL, 31196, 3),
(21962, NULL, 'G3DSA:3.30.1490.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21963, NULL, 'G3DSA:3.40.366.30', NULL, NULL, NULL, NULL, '50S ribosomal protein L16 arginine hydroxylase; Chain A, Domain 2', NULL, NULL, NULL, 3),
(21964, NULL, 'G3DSA:6.10.250.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21965, NULL, 'G3DSA:1.10.3890.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31984, 3),
(21966, NULL, 'G3DSA:6.10.250.2660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21967, NULL, 'G3DSA:1.10.287.1390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21968, NULL, 'G3DSA:1.20.120.1910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21969, NULL, 'G3DSA:3.90.430.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31441, 3),
(21970, NULL, 'G3DSA:2.40.128.400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21971, NULL, 'G3DSA:3.30.200.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 32680, 3),
(21972, NULL, 'G3DSA:3.30.70.2480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21973, NULL, 'G3DSA:3.30.70.2430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21974, NULL, 'G3DSA:3.30.1310.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21975, NULL, 'G3DSA:4.10.90.10', NULL, NULL, NULL, NULL, 'Capsid protein VP4 superfamily, Picornavirus', NULL, NULL, 32426, 3),
(21976, NULL, 'G3DSA:2.40.50.230', NULL, NULL, NULL, NULL, '', NULL, NULL, 29883, 3),
(21977, NULL, 'G3DSA:6.10.280.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(21978, NULL, 'G3DSA:2.20.140.10', NULL, NULL, NULL, NULL, 'WGR domain', NULL, NULL, NULL, 3),
(21979, NULL, 'G3DSA:3.40.140.30', NULL, NULL, NULL, NULL, 'Hypothetical protein TM1506', NULL, NULL, 32436, 3),
(21980, NULL, 'G3DSA:3.30.1490.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21981, NULL, 'G3DSA:1.10.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30622, 3),
(21982, NULL, 'G3DSA:3.30.160.190', NULL, NULL, NULL, NULL, 'atu1810 like domain', NULL, NULL, 29710, 3),
(21983, NULL, 'G3DSA:3.30.9.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21984, NULL, 'G3DSA:3.30.1430.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21985, NULL, 'G3DSA:3.40.1840.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8269, 3),
(21986, NULL, 'G3DSA:2.70.170.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34617, 3),
(21987, NULL, 'G3DSA:6.10.120.10', NULL, NULL, NULL, NULL, 'Bacterial aspartate aminotransferase, helical domain', NULL, NULL, NULL, 3),
(21988, NULL, 'G3DSA:2.60.40.3190', NULL, NULL, NULL, NULL, '', NULL, NULL, 32390, 3),
(21989, NULL, 'G3DSA:3.20.20.10', NULL, NULL, NULL, NULL, 'Alanine racemase', NULL, NULL, 26232, 3),
(21990, NULL, 'G3DSA:1.20.1280.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21991, NULL, 'G3DSA:3.15.10.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 30895, 3),
(21992, NULL, 'G3DSA:3.40.50.1470', NULL, NULL, NULL, NULL, '', NULL, NULL, 30142, 3),
(21993, NULL, 'G3DSA:2.60.120.640', NULL, NULL, NULL, NULL, 'gp9', NULL, NULL, 22009, 3),
(21994, NULL, 'G3DSA:3.90.79.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21995, NULL, 'G3DSA:3.30.1120.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21996, NULL, 'G3DSA:3.10.110.10', NULL, NULL, NULL, NULL, 'Ubiquitin Conjugating Enzyme', NULL, NULL, 11040, 3),
(21997, NULL, 'G3DSA:1.10.730.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(21998, NULL, 'G3DSA:4.10.1110.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 4817, 3),
(21999, NULL, 'G3DSA:2.40.50.390', NULL, NULL, NULL, NULL, 'Conjugative transposon protein, DUF961', NULL, NULL, 32237, 3),
(22000, NULL, 'G3DSA:1.10.10.1320', NULL, NULL, NULL, NULL, '', NULL, NULL, 32166, 3),
(22001, NULL, 'G3DSA:6.10.140.1410', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22002, NULL, 'G3DSA:3.30.1620.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22003, NULL, 'G3DSA:3.30.160.60', NULL, NULL, NULL, NULL, 'Classic Zinc Finger', NULL, NULL, NULL, 3),
(22004, NULL, 'G3DSA:1.10.10.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22005, NULL, 'G3DSA:2.20.210.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22006, NULL, 'G3DSA:3.30.300.320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22007, NULL, 'G3DSA:3.30.160.460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22008, NULL, 'G3DSA:2.60.40.1500', NULL, NULL, NULL, NULL, 'Glycosyl hydrolase domain; family 39', NULL, NULL, NULL, 3),
(22009, NULL, 'G3DSA:3.30.70.1140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22010, NULL, 'G3DSA:3.20.80.10', NULL, NULL, NULL, NULL, 'Regulatory factor, effector binding domain', NULL, NULL, 9191, 3),
(22011, NULL, 'G3DSA:1.10.4100.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37242, 3),
(22012, NULL, 'G3DSA:3.30.1330.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 25826, 3),
(22013, NULL, 'G3DSA:3.40.50.11630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22014, NULL, 'G3DSA:1.20.58.2130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22015, NULL, 'G3DSA:1.10.287.710', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, 13524, 3),
(22016, NULL, 'G3DSA:1.20.58.2050', NULL, NULL, NULL, NULL, '', NULL, NULL, 33595, 3),
(22017, NULL, 'G3DSA:2.60.370.10', NULL, NULL, NULL, NULL, 'Ctag/Cox11', NULL, NULL, 16237, 3),
(22018, NULL, 'G3DSA:2.60.90.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 9026, 3),
(22019, NULL, 'G3DSA:3.40.50.11550', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22020, NULL, 'G3DSA:2.60.40.3580', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22021, NULL, 'G3DSA:2.60.520.10', NULL, NULL, NULL, NULL, 'Phage fibre proteins', NULL, NULL, NULL, 3);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22022, NULL, 'G3DSA:1.20.120.1790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22023, NULL, 'G3DSA:1.20.5.430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22024, NULL, 'G3DSA:3.30.1300.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22025, NULL, 'G3DSA:2.60.40.4190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22026, NULL, 'G3DSA:1.10.8.880', NULL, NULL, NULL, NULL, 'Birnavirus VP3 protein, domain 2', NULL, NULL, 38125, 3),
(22027, NULL, 'G3DSA:3.30.40.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22028, NULL, 'G3DSA:3.30.1130.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37264, 3),
(22029, NULL, 'G3DSA:3.30.310.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22030, NULL, 'G3DSA:6.10.250.2420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22031, NULL, 'G3DSA:3.30.70.2710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22032, NULL, 'G3DSA:1.10.260.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22033, NULL, 'G3DSA:3.40.50.12160', NULL, NULL, NULL, NULL, '', NULL, NULL, 35184, 3),
(22034, NULL, 'G3DSA:1.20.5.860', NULL, NULL, NULL, NULL, 'Photosystem II cytochrome b559, alpha subunit', NULL, NULL, 29680, 3),
(22035, NULL, 'G3DSA:3.10.20.480', NULL, NULL, NULL, NULL, 'Antirestriction protein ArdA, domain 1', NULL, NULL, 32620, 3),
(22036, NULL, 'G3DSA:2.60.40.2030', NULL, NULL, NULL, NULL, '', NULL, NULL, 34979, 3),
(22037, NULL, 'G3DSA:1.25.40.1030', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22038, NULL, 'G3DSA:1.20.1110.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22039, NULL, 'G3DSA:2.60.40.650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22040, NULL, 'G3DSA:3.20.20.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 34213, 3),
(22041, NULL, 'G3DSA:3.30.160.370', NULL, NULL, NULL, NULL, 'Domain of unknown function DUF5064', NULL, NULL, NULL, 3),
(22042, NULL, 'G3DSA:3.30.1660.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 32094, 3),
(22043, NULL, 'G3DSA:3.90.241.10', NULL, NULL, NULL, NULL, 'Foki Restriction Endonuclease, Chain A, domain 1', NULL, NULL, 36746, 3),
(22044, NULL, 'G3DSA:3.30.56.130', NULL, NULL, NULL, NULL, 'Transcriptional regulator CtsR, winged HTH domain', NULL, NULL, 32591, 3),
(22045, NULL, 'G3DSA:3.30.200.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22046, NULL, 'G3DSA:2.70.240.10', NULL, NULL, NULL, NULL, 'Leukocidin/porin MspA', NULL, NULL, NULL, 3),
(22047, NULL, 'G3DSA:2.170.14.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35665, 3),
(22048, NULL, 'G3DSA:4.10.990.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 27919, 3),
(22049, NULL, 'G3DSA:3.30.190.10', NULL, NULL, NULL, NULL, 'Ribulose bisphosphate carboxylase, small subunit', NULL, NULL, 35262, 3),
(22050, NULL, 'G3DSA:3.40.1690.10', NULL, NULL, NULL, NULL, 'secretion proteins EscU', NULL, NULL, 28686, 3),
(22051, NULL, 'G3DSA:3.30.9.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22052, NULL, 'G3DSA:2.70.98.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 34892, 3),
(22053, NULL, 'G3DSA:3.30.70.3320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22054, NULL, 'G3DSA:2.60.40.4210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22055, NULL, 'G3DSA:6.10.20.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 33648, 3),
(22056, NULL, 'G3DSA:1.10.10.1030', NULL, NULL, NULL, NULL, 'IrrE, HTH domain', NULL, NULL, 39179, 3),
(22057, NULL, 'G3DSA:1.10.287.3280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22058, NULL, 'G3DSA:1.20.1270.250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22059, NULL, 'G3DSA:2.60.40.2110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22060, NULL, 'G3DSA:6.10.140.270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22061, NULL, 'G3DSA:1.10.1240.90', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(22062, NULL, 'G3DSA:3.40.91.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22063, NULL, 'G3DSA:2.60.120.1450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22064, NULL, 'G3DSA:3.30.40.210', NULL, NULL, NULL, NULL, '', NULL, NULL, 34710, 3),
(22065, NULL, 'G3DSA:2.60.120.1370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22066, NULL, 'G3DSA:2.170.150.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 36320, 3),
(22067, NULL, 'G3DSA:3.30.810.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22068, NULL, 'G3DSA:3.90.700.10', NULL, NULL, NULL, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein, catalytic domain', NULL, NULL, 25403, 3),
(22069, NULL, 'G3DSA:3.10.20.600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22070, NULL, 'G3DSA:1.25.40.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 14749, 3),
(22071, NULL, 'G3DSA:1.20.1150.12', NULL, NULL, NULL, NULL, '', NULL, NULL, 30377, 3),
(22072, NULL, 'G3DSA:6.10.140.1230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22073, NULL, 'G3DSA:6.10.140.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22074, NULL, 'G3DSA:1.10.10.1730', NULL, NULL, NULL, NULL, 'Folliculin', NULL, NULL, 39277, 3),
(22075, NULL, 'G3DSA:3.30.1360.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22076, NULL, 'G3DSA:3.30.70.3400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22077, NULL, 'G3DSA:1.10.287.630', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, NULL, 3),
(22078, NULL, 'G3DSA:1.10.720.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22079, NULL, 'G3DSA:1.10.150.360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22080, NULL, 'G3DSA:2.30.30.880', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22081, NULL, 'G3DSA:3.30.70.2770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22082, NULL, 'G3DSA:3.40.710.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 7610, 3),
(22083, NULL, 'G3DSA:1.10.1740.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22084, NULL, 'G3DSA:1.20.58.1440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22085, NULL, 'G3DSA:3.30.70.940', NULL, NULL, NULL, NULL, '', NULL, NULL, 34616, 3),
(22086, NULL, 'G3DSA:3.30.70.1220', NULL, NULL, NULL, NULL, '', NULL, NULL, 13531, 3),
(22087, NULL, 'G3DSA:3.40.5.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22088, NULL, 'G3DSA:3.40.630.10', NULL, NULL, NULL, NULL, 'Zn peptidases', NULL, NULL, NULL, 3),
(22089, NULL, 'G3DSA:2.40.50.960', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22090, NULL, 'G3DSA:6.10.250.3030', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22091, NULL, 'G3DSA:6.10.250.1810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22092, NULL, 'G3DSA:1.10.275.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 13339, 3),
(22093, NULL, 'G3DSA:6.10.260.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22094, NULL, 'G3DSA:2.30.30.150', NULL, NULL, NULL, NULL, '', NULL, NULL, 31841, 3),
(22095, NULL, 'G3DSA:3.90.930.1', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22096, NULL, 'G3DSA:2.40.160.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22097, NULL, 'G3DSA:3.40.50.450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22098, NULL, 'G3DSA:1.10.287.690', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, NULL, 3),
(22099, NULL, 'G3DSA:1.10.246.140', NULL, NULL, NULL, NULL, '', NULL, NULL, 36198, 3),
(22100, NULL, 'G3DSA:6.20.320.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22101, NULL, 'G3DSA:6.10.290.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22102, NULL, 'G3DSA:1.20.58.960', NULL, NULL, NULL, NULL, 'Protein of unknown function (DUF3120)', NULL, NULL, 33845, 3),
(22103, NULL, 'G3DSA:3.30.360.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22104, NULL, 'G3DSA:3.30.300.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 8053, 3),
(22105, NULL, 'G3DSA:6.10.140.2050', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22106, NULL, 'G3DSA:3.30.70.1350', NULL, NULL, NULL, NULL, 'Cation efflux protein, cytoplasmic domain', NULL, NULL, 30387, 3),
(22107, NULL, 'G3DSA:3.90.10.10', NULL, NULL, NULL, NULL, 'Cytochrome C3', NULL, NULL, NULL, 3),
(22108, NULL, 'G3DSA:6.20.160.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22109, NULL, 'G3DSA:2.10.25.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 29648, 3),
(22110, NULL, 'G3DSA:1.20.58.1090', NULL, NULL, NULL, NULL, 'Phage polarity suppression protein monomer', NULL, NULL, NULL, 3);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22111, NULL, 'G3DSA:1.20.5.540', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(22112, NULL, 'G3DSA:2.30.32.30', NULL, NULL, NULL, NULL, 'CBM10', NULL, NULL, 36183, 3),
(22113, NULL, 'G3DSA:3.80.30.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22114, NULL, 'G3DSA:1.25.40.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 8663, 3),
(22115, NULL, 'G3DSA:1.10.8.390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22116, NULL, 'G3DSA:6.10.250.1870', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22117, NULL, 'G3DSA:2.80.10.70', NULL, NULL, NULL, NULL, 'Spindlin/Ssty', NULL, NULL, 36753, 3),
(22118, NULL, 'G3DSA:3.30.70.960', NULL, NULL, NULL, NULL, 'SEA domain', NULL, NULL, 35137, 3),
(22119, NULL, 'G3DSA:1.10.10.1340', NULL, NULL, NULL, NULL, 'Mediator of RNA polymerase II, submodule Med31 (Soh1)', NULL, NULL, 33523, 3),
(22120, NULL, 'G3DSA:1.10.287.310', NULL, NULL, NULL, NULL, '', NULL, NULL, 35698, 3),
(22121, NULL, 'G3DSA:1.20.89.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22122, NULL, 'G3DSA:2.30.36.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22123, NULL, 'G3DSA:1.20.142.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30412, 3),
(22124, NULL, 'G3DSA:6.10.140.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22125, NULL, 'G3DSA:3.40.140.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 39926, 3),
(22126, NULL, 'G3DSA:1.10.10.1310', NULL, NULL, NULL, NULL, 'ToxT, HTH1 motif', NULL, NULL, 37948, 3),
(22127, NULL, 'G3DSA:1.20.58.180', NULL, NULL, NULL, NULL, 'Class II aaRS and biotin synthetases; domain 2', NULL, NULL, NULL, 3),
(22128, NULL, 'G3DSA:1.10.10.970', NULL, NULL, NULL, NULL, '', NULL, NULL, 34298, 3),
(22129, NULL, 'G3DSA:3.90.75.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22130, NULL, 'G3DSA:6.10.130.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22131, NULL, 'G3DSA:6.10.10.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22132, NULL, 'G3DSA:1.20.58.1230', NULL, NULL, NULL, NULL, '', NULL, NULL, 36631, 3),
(22133, NULL, 'G3DSA:3.30.360.10', NULL, NULL, NULL, NULL, 'Dihydrodipicolinate Reductase; domain 2', NULL, NULL, NULL, 3),
(22134, NULL, 'G3DSA:1.10.287.2460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22135, NULL, 'G3DSA:2.40.330.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 12514, 3),
(22136, NULL, 'G3DSA:3.40.395.10', NULL, NULL, NULL, NULL, 'Adenoviral Proteinase; Chain A', NULL, NULL, NULL, 3),
(22137, NULL, 'G3DSA:1.10.3390.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22138, NULL, 'G3DSA:3.40.91.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 35051, 3),
(22139, NULL, 'G3DSA:2.60.200.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22140, NULL, 'G3DSA:2.70.50.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22141, NULL, 'G3DSA:1.10.150.300', NULL, NULL, NULL, NULL, '', NULL, NULL, 18814, 3),
(22142, NULL, 'G3DSA:3.30.1460.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22143, NULL, 'G3DSA:6.10.250.1600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22144, NULL, 'G3DSA:3.40.50.10190', NULL, NULL, NULL, NULL, 'BRCT domain', NULL, NULL, 30332, 3),
(22145, NULL, 'G3DSA:3.10.450.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22146, NULL, 'G3DSA:2.40.50.880', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22147, NULL, 'G3DSA:3.20.20.210', NULL, NULL, NULL, NULL, '', NULL, NULL, 33017, 3),
(22148, NULL, 'G3DSA:1.10.287.2610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22149, NULL, 'G3DSA:3.90.1570.10', NULL, NULL, NULL, NULL, 'tt1808, chain A', NULL, NULL, 13984, 3),
(22150, NULL, 'G3DSA:1.10.8.330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22151, NULL, 'G3DSA:6.10.140.1310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22152, NULL, 'G3DSA:1.20.1420.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 39449, 3),
(22153, NULL, 'G3DSA:2.40.10.390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22154, NULL, 'G3DSA:3.10.450.710', NULL, NULL, NULL, NULL, 'Tgt2/MlaC', NULL, NULL, 36569, 3),
(22155, NULL, 'G3DSA:3.40.1370.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 19460, 3);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22156, NULL, 'G3DSA:3.30.750.24', NULL, NULL, NULL, NULL, 'STAS domain', NULL, NULL, 32669, 3),
(22157, NULL, 'G3DSA:3.30.70.3590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22158, NULL, 'G3DSA:1.20.120.160', NULL, NULL, NULL, NULL, 'HPT domain', NULL, NULL, 30569, 3),
(22159, NULL, 'G3DSA:3.55.50.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22160, NULL, 'G3DSA:6.10.250.3240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22161, NULL, 'G3DSA:3.10.430.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 36471, 3),
(22162, NULL, 'G3DSA:3.40.50.12370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22163, NULL, 'G3DSA:3.30.1060.10', NULL, NULL, NULL, NULL, 'Peptide methionine sulphoxide reductase MsrA', NULL, NULL, 32547, 3),
(22164, NULL, 'G3DSA:3.10.450.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22165, NULL, 'G3DSA:3.90.1170.40', NULL, NULL, NULL, NULL, 'Molybdopterin biosynthesis MoaE subunit', NULL, NULL, 35576, 3),
(22166, NULL, 'G3DSA:6.10.250.1060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22167, NULL, 'G3DSA:1.20.120.1730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22168, NULL, 'G3DSA:2.40.10.410', NULL, NULL, NULL, NULL, '', NULL, NULL, 31862, 3),
(22169, NULL, 'G3DSA:1.20.1440.70', NULL, NULL, NULL, NULL, '', NULL, NULL, 24334, 3),
(22170, NULL, 'G3DSA:3.30.540.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22171, NULL, 'G3DSA:3.30.70.2500', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22172, NULL, 'G3DSA:3.60.21.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22173, NULL, 'G3DSA:6.10.250.3160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22174, NULL, 'G3DSA:1.20.120.1810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22175, NULL, 'G3DSA:3.30.160.670', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22176, NULL, 'G3DSA:2.30.39.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37286, 3),
(22177, NULL, 'G3DSA:3.90.1400.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 19002, 3),
(22178, NULL, 'G3DSA:3.30.160.400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22179, NULL, 'G3DSA:3.30.60.210', NULL, NULL, NULL, NULL, 'Stc1 domain', NULL, NULL, 37160, 3),
(22180, NULL, 'G3DSA:1.20.1270.50', NULL, NULL, NULL, NULL, 'Glycoside hydrolase family 38, central domain', NULL, NULL, 35594, 3),
(22181, NULL, 'G3DSA:6.10.140.940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22182, NULL, 'G3DSA:3.30.70.1820', NULL, NULL, NULL, NULL, 'L1 transposable element, RRM domain', NULL, NULL, NULL, 3),
(22183, NULL, 'G3DSA:2.10.70.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22184, NULL, 'G3DSA:3.30.200.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22185, NULL, 'G3DSA:3.30.2450.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22186, NULL, 'G3DSA:2.30.170.40', NULL, NULL, NULL, NULL, 'Ribosomal protein L28/L24', NULL, NULL, 31744, 3),
(22187, NULL, 'G3DSA:1.10.150.210', NULL, NULL, NULL, NULL, 'Phosphoserine phosphatase; domain 2', NULL, NULL, NULL, 3),
(22188, NULL, 'G3DSA:1.10.3690.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32354, 3),
(22189, NULL, 'G3DSA:6.10.250.880', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22190, NULL, 'G3DSA:3.40.1340.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34239, 3),
(22191, NULL, 'G3DSA:1.20.5.350', NULL, NULL, NULL, NULL, '', NULL, NULL, 34573, 3),
(22192, NULL, 'G3DSA:6.10.250.2340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22193, NULL, 'G3DSA:3.40.1010.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8597, 3),
(22194, NULL, 'G3DSA:6.10.280.50', NULL, NULL, NULL, NULL, '', NULL, NULL, 33589, 3),
(22195, NULL, 'G3DSA:2.60.40.2840', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22196, NULL, 'G3DSA:3.30.360.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 37357, 3),
(22197, NULL, 'G3DSA:1.20.58.930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22198, NULL, 'G3DSA:3.40.50.1100', NULL, NULL, NULL, NULL, '', NULL, NULL, 35582, 3),
(22199, NULL, 'G3DSA:1.25.40.120', NULL, NULL, NULL, NULL, 'Protein prenylyltransferase', NULL, NULL, NULL, 3);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22200, NULL, 'G3DSA:3.30.1360.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22201, NULL, 'G3DSA:3.30.1490.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22202, NULL, 'G3DSA:1.20.5.1610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22203, NULL, 'G3DSA:6.10.250.2190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22204, NULL, 'G3DSA:1.20.58.1730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22205, NULL, 'G3DSA:1.20.1440.170', NULL, NULL, NULL, NULL, '', NULL, NULL, 35848, 3),
(22206, NULL, 'G3DSA:1.20.5.2280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22207, NULL, 'G3DSA:3.10.310.10', NULL, NULL, NULL, NULL, 'Diaminopimelate Epimerase; Chain A, domain 1', NULL, NULL, NULL, 3),
(22208, NULL, 'G3DSA:6.10.140.210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22209, NULL, 'G3DSA:3.90.15.10', NULL, NULL, NULL, NULL, 'Topoisomerase I; Chain A, domain 3', NULL, NULL, 7446, 3),
(22210, NULL, 'G3DSA:3.90.980.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22211, NULL, 'G3DSA:6.10.140.2130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22212, NULL, 'G3DSA:2.30.30.1230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22213, NULL, 'G3DSA:1.20.5.460', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(22214, NULL, 'G3DSA:2.50.20.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22215, NULL, 'G3DSA:2.60.40.550', NULL, NULL, NULL, NULL, 'Ecotin', NULL, NULL, NULL, 3),
(22216, NULL, 'G3DSA:6.10.30.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22217, NULL, 'G3DSA:6.10.250.1790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22218, NULL, 'G3DSA:1.10.3550.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 23975, 3),
(22219, NULL, 'G3DSA:1.10.287.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22220, NULL, 'G3DSA:1.25.40.280', NULL, NULL, NULL, NULL, 'alix/aip1 like domains', NULL, NULL, 36281, 3),
(22221, NULL, 'G3DSA:3.40.1540.10', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF1780, putative endonuclease', NULL, NULL, 32271, 3),
(22222, NULL, 'G3DSA:2.20.25.630', NULL, NULL, NULL, NULL, '', NULL, NULL, 33971, 3),
(22223, NULL, 'G3DSA:1.10.3820.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35380, 3),
(22224, NULL, 'G3DSA:3.30.1490.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 15535, 3),
(22225, NULL, 'G3DSA:3.30.2420.10', NULL, NULL, NULL, NULL, 'TonB', NULL, NULL, NULL, 3),
(22226, NULL, 'G3DSA:3.30.160.250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22227, NULL, 'G3DSA:3.30.1300.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 32629, 3),
(22228, NULL, 'G3DSA:3.50.100.10', NULL, NULL, NULL, NULL, 'protein il1583 domain', NULL, NULL, NULL, 3),
(22229, NULL, 'G3DSA:4.10.820.10', NULL, NULL, NULL, NULL, 'Translocated intimin receptor, central domain', NULL, NULL, 30768, 3),
(22230, NULL, 'G3DSA:3.30.420.540', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22231, NULL, 'G3DSA:2.50.20.10', NULL, NULL, NULL, NULL, 'Lipoprotein localisation LolA/LolB/LppX', NULL, NULL, NULL, 3),
(22232, NULL, 'G3DSA:1.10.140.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 16227, 3),
(22233, NULL, 'G3DSA:2.60.40.3810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22234, NULL, 'G3DSA:3.30.499.10', NULL, NULL, NULL, NULL, 'Aconitase, domain 3', NULL, NULL, 12682, 3),
(22235, NULL, 'G3DSA:3.30.60.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 37510, 3),
(22236, NULL, 'G3DSA:3.20.100.30', NULL, NULL, NULL, NULL, 'VTC, catalytic tunnel domain', NULL, NULL, 37436, 3),
(22237, NULL, 'G3DSA:6.10.250.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22238, NULL, 'G3DSA:6.10.250.2550', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22239, NULL, 'G3DSA:2.60.120.880', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22240, NULL, 'G3DSA:2.40.128.570', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF4909', NULL, NULL, NULL, 3),
(22241, NULL, 'G3DSA:2.60.120.1600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22242, NULL, 'G3DSA:1.20.58.1650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22243, NULL, 'G3DSA:1.10.246.60', NULL, NULL, NULL, NULL, 'Eukaryotic translation initiation factor 3 like domains', NULL, NULL, 18503, 3),
(22244, NULL, 'G3DSA:3.30.2260.10', NULL, NULL, NULL, NULL, 'Enhancer of rudimentary', NULL, NULL, 19283, 3),
(22245, NULL, 'G3DSA:2.40.10.190', NULL, NULL, NULL, NULL, 'translation elongation factor selb, chain A, domain 4', NULL, NULL, 36156, 3),
(22246, NULL, 'G3DSA:1.25.40.270', NULL, NULL, NULL, NULL, '', NULL, NULL, 15806, 3),
(22247, NULL, 'G3DSA:2.60.40.1710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22248, NULL, 'G3DSA:3.30.44.10', NULL, NULL, NULL, NULL, 'Smk Toxin, beta chain', NULL, NULL, 33515, 3),
(22249, NULL, 'G3DSA:3.10.129.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22250, NULL, 'G3DSA:1.20.58.800', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22251, NULL, 'G3DSA:4.10.1280.10', NULL, NULL, NULL, NULL, 'Clostridium neurotoxins', NULL, NULL, NULL, 3),
(22252, NULL, 'G3DSA:3.15.10.30', NULL, NULL, NULL, NULL, 'Haemolymph juvenile hormone binding protein', NULL, NULL, 30672, 3),
(22253, NULL, 'G3DSA:6.10.250.1000', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22254, NULL, 'G3DSA:1.20.140.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22255, NULL, 'G3DSA:3.30.900.10', NULL, NULL, NULL, NULL, 'HORMA domain', NULL, NULL, 33681, 3),
(22256, NULL, 'G3DSA:2.60.40.3790', NULL, NULL, NULL, NULL, '', NULL, NULL, 34736, 3),
(22257, NULL, 'G3DSA:2.30.30.750', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22258, NULL, 'G3DSA:4.10.280.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22259, NULL, 'G3DSA:2.40.420.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22260, NULL, 'G3DSA:2.60.40.2240', NULL, NULL, NULL, NULL, '', NULL, NULL, 39102, 3),
(22261, NULL, 'G3DSA:1.20.120.890', NULL, NULL, NULL, NULL, 'tRNA(Met) cytidine acetyltransferase, tail domain', NULL, NULL, 31226, 3),
(22262, NULL, 'G3DSA:1.10.1200.270', NULL, NULL, NULL, NULL, '', NULL, NULL, 32747, 3),
(22263, NULL, 'G3DSA:2.170.16.10', NULL, NULL, NULL, NULL, 'Hedgehog/Intein (Hint) domain', NULL, NULL, NULL, 3),
(22264, NULL, 'G3DSA:1.10.720.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22265, NULL, 'G3DSA:1.20.1440.30', NULL, NULL, NULL, NULL, 'Biosynthetic Protein domain', NULL, NULL, NULL, 3),
(22266, NULL, 'G3DSA:3.20.160.10', NULL, NULL, NULL, NULL, 'vpa0580 domain like', NULL, NULL, 35371, 3),
(22267, NULL, 'G3DSA:4.10.880.10', NULL, NULL, NULL, NULL, 'Poliovirus 3D polymerase  Domain 1 (Nucleotidyltransferase)', NULL, NULL, NULL, 3),
(22268, NULL, 'G3DSA:3.30.450.330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22269, NULL, 'G3DSA:1.10.1530.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 37692, 3),
(22270, NULL, 'G3DSA:3.90.150.10', NULL, NULL, NULL, NULL, 'Variant Surface Glycoprotein, subunit A domain 1', NULL, NULL, NULL, 3),
(22271, NULL, 'G3DSA:3.40.1800.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34898, 3),
(22272, NULL, 'G3DSA:1.10.287.3490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22273, NULL, 'G3DSA:3.30.110.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36082, 3),
(22274, NULL, 'G3DSA:3.30.1120.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22275, NULL, 'G3DSA:1.20.58.780', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22276, NULL, 'G3DSA:3.30.300.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22277, NULL, 'G3DSA:3.40.1640.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22278, NULL, 'G3DSA:3.40.250.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30843, 3),
(22279, NULL, 'G3DSA:3.30.1350.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22280, NULL, 'G3DSA:3.30.70.3110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22281, NULL, 'G3DSA:2.40.290.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22282, NULL, 'G3DSA:3.30.300.250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22283, NULL, 'G3DSA:2.60.120.630', NULL, NULL, NULL, NULL, 'mth639 domain like', NULL, NULL, 11954, 3),
(22284, NULL, 'G3DSA:3.40.50.10870', NULL, NULL, NULL, NULL, 'Glycosyl hydrolase family 3', NULL, NULL, NULL, 3); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22285, NULL, 'G3DSA:3.90.380.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22286, NULL, 'G3DSA:1.20.80.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22287, NULL, 'G3DSA:1.20.140.130', NULL, NULL, NULL, NULL, '', NULL, NULL, 35979, 3),
(22288, NULL, 'G3DSA:2.60.120.340', NULL, NULL, NULL, NULL, 'Nucleoplasmin core domain', NULL, NULL, NULL, 3),
(22289, NULL, 'G3DSA:1.20.120.970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22290, NULL, 'G3DSA:3.30.2020.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 35864, 3),
(22291, NULL, 'G3DSA:3.30.450.410', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22292, NULL, 'G3DSA:1.25.40.350', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22293, NULL, 'G3DSA:1.10.1200.100', NULL, NULL, NULL, NULL, 'conserved protein domain from corynebacterium diphtheriae', NULL, NULL, 36629, 3),
(22294, NULL, 'G3DSA:6.20.460.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22295, NULL, 'G3DSA:3.10.20.370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22296, NULL, 'G3DSA:1.20.5.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22297, NULL, 'G3DSA:6.10.250.2630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22298, NULL, 'G3DSA:3.30.30.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 34782, 3),
(22299, NULL, 'G3DSA:2.20.25.210', NULL, NULL, NULL, NULL, 'Hepatitis C NS5A, domain 1B', NULL, NULL, 32910, 3),
(22300, NULL, 'G3DSA:1.10.110.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33816, 3),
(22301, NULL, 'G3DSA:1.10.357.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 29735, 3),
(22302, NULL, 'G3DSA:3.30.70.790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22303, NULL, 'G3DSA:3.40.50.11420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22304, NULL, 'G3DSA:3.90.120.10', NULL, NULL, NULL, NULL, 'DNA Methylase, subunit A, domain 2', NULL, NULL, NULL, 3),
(22305, NULL, 'G3DSA:1.10.472.20', NULL, NULL, NULL, NULL, 'Nitrile hydratase, beta subunit', NULL, NULL, 37241, 3),
(22306, NULL, 'G3DSA:3.20.100.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22307, NULL, 'G3DSA:1.25.10.60', NULL, NULL, NULL, NULL, 'Rad61, Wapl domain', NULL, NULL, 36253, 3),
(22308, NULL, 'G3DSA:3.30.9.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22309, NULL, 'G3DSA:3.30.70.3170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22310, NULL, 'G3DSA:3.30.1490.260', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22311, NULL, 'G3DSA:1.10.1790.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22312, NULL, 'G3DSA:3.40.50.10810', NULL, NULL, NULL, NULL, '', NULL, NULL, 35695, 3),
(22313, NULL, 'G3DSA:3.30.420.230', NULL, NULL, NULL, NULL, '', NULL, NULL, 39771, 3),
(22314, NULL, 'G3DSA:3.30.1360.130', NULL, NULL, NULL, NULL, 'Dipeptide transport protein', NULL, NULL, NULL, 3),
(22315, NULL, 'G3DSA:3.30.2320.10', NULL, NULL, NULL, NULL, 'hypothetical protein PF0899 domain', NULL, NULL, NULL, 3),
(22316, NULL, 'G3DSA:3.30.1890.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22317, NULL, 'G3DSA:2.70.9.10', NULL, NULL, NULL, NULL, 'Adenovirus Type 2 Hexon, domain 4', NULL, NULL, NULL, 3),
(22318, NULL, 'G3DSA:6.10.250.1660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22319, NULL, 'G3DSA:1.10.1050.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22320, NULL, 'G3DSA:3.30.1490.470', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22321, NULL, 'G3DSA:2.30.42.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22322, NULL, 'G3DSA:2.30.30.360', NULL, NULL, NULL, NULL, '', NULL, NULL, 9704, 3),
(22323, NULL, 'G3DSA:3.30.450.30', NULL, NULL, NULL, NULL, 'Dynein light chain 2a, cytoplasmic', NULL, NULL, NULL, 3),
(22324, NULL, 'G3DSA:3.30.2350.20', NULL, NULL, NULL, NULL, 'TruD, catalytic domain', NULL, NULL, 37557, 3),
(22325, NULL, 'G3DSA:2.110.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35231, 3),
(22326, NULL, 'G3DSA:6.10.140.1650', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22327, NULL, 'G3DSA:4.10.430.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22328, NULL, 'G3DSA:3.30.70.520', NULL, NULL, NULL, NULL, '', NULL, NULL, 16105, 3);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22329, NULL, 'G3DSA:2.40.128.660', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF15525, DUF4652', NULL, NULL, NULL, 3),
(22330, NULL, 'G3DSA:1.10.3120.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31633, 3),
(22331, NULL, 'G3DSA:3.90.56.10', NULL, NULL, NULL, NULL, 'Monooxygenase component MmoB/DmpM', NULL, NULL, 30632, 3),
(22332, NULL, 'G3DSA:2.60.40.4310', NULL, NULL, NULL, NULL, 'Alphavirus E2 glycoprotein, domain B', NULL, NULL, 38334, 3),
(22333, NULL, 'G3DSA:3.30.310.220', NULL, NULL, NULL, NULL, '', NULL, NULL, 38914, 3),
(22334, NULL, 'G3DSA:3.30.1490.340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22335, NULL, 'G3DSA:2.60.40.1640', NULL, NULL, NULL, NULL, 'Conserved domain protein.', NULL, NULL, NULL, 3),
(22336, NULL, 'G3DSA:2.30.130.30', NULL, NULL, NULL, NULL, 'Hypothetical protein.', NULL, NULL, NULL, 3),
(22337, NULL, 'G3DSA:1.20.5.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22338, NULL, 'G3DSA:6.20.370.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22339, NULL, 'G3DSA:1.10.2080.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30868, 3),
(22340, NULL, 'G3DSA:3.40.50.11030', NULL, NULL, NULL, NULL, '', NULL, NULL, 29118, 3),
(22341, NULL, 'G3DSA:3.90.20.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22342, NULL, 'G3DSA:6.10.140.1440', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22343, NULL, 'G3DSA:3.30.70.1740', NULL, NULL, NULL, NULL, '', NULL, NULL, 32943, 3),
(22344, NULL, 'G3DSA:3.30.1760.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 17284, 3),
(22345, NULL, 'G3DSA:1.20.5.2950', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22346, NULL, 'G3DSA:3.40.50.790', NULL, NULL, NULL, NULL, '', NULL, NULL, 10285, 3),
(22347, NULL, 'G3DSA:1.10.260.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22348, NULL, 'G3DSA:1.20.1050.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22349, NULL, 'G3DSA:3.80.10.10', NULL, NULL, NULL, NULL, 'Ribonuclease Inhibitor', NULL, NULL, 18972, 3),
(22350, NULL, 'G3DSA:3.30.67.10', NULL, NULL, NULL, NULL, 'Viral Envelope Glycoprotein, domain 2', NULL, NULL, 7836, 3),
(22351, NULL, 'G3DSA:6.10.250.670', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22352, NULL, 'G3DSA:1.10.10.1870', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22353, NULL, 'G3DSA:6.10.250.590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22354, NULL, 'G3DSA:2.30.30.300', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(22355, NULL, 'G3DSA:1.20.120.910', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22356, NULL, 'G3DSA:1.10.3400.10', NULL, NULL, NULL, NULL, 'af_2093 domain like', NULL, NULL, 15531, 3),
(22357, NULL, 'G3DSA:1.20.5.4980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22358, NULL, 'G3DSA:3.30.160.880', NULL, NULL, NULL, NULL, '', NULL, NULL, 38524, 3),
(22359, NULL, 'G3DSA:1.10.10.1790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22360, NULL, 'G3DSA:3.30.70.2980', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22361, NULL, 'G3DSA:3.10.20.580', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22362, NULL, 'G3DSA:6.10.250.2940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22363, NULL, 'G3DSA:2.60.270.70', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22364, NULL, 'G3DSA:4.10.80.400', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22365, NULL, 'G3DSA:3.30.60.230', NULL, NULL, NULL, NULL, 'Lsr2, dimerization domain', NULL, NULL, 37331, 3),
(22366, NULL, 'G3DSA:2.10.25.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22367, NULL, 'G3DSA:2.30.260.10', NULL, NULL, NULL, NULL, 'putative xylanase like domain', NULL, NULL, NULL, 3),
(22368, NULL, 'G3DSA:3.90.870.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22369, NULL, 'G3DSA:6.10.250.1270', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22370, NULL, 'G3DSA:3.40.50.12580', NULL, NULL, NULL, NULL, '', NULL, NULL, 37542, 3),
(22371, NULL, 'G3DSA:3.30.1020.10', NULL, NULL, NULL, NULL, 'Antioxidant, Horf6; Chain A, domain2', NULL, NULL, NULL, 3),
(22372, NULL, 'G3DSA:4.10.410.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22373, NULL, 'G3DSA:2.30.30.870', NULL, NULL, NULL, NULL, 'Pelota, domain A', NULL, NULL, 35124, 3),
(22374, NULL, 'G3DSA:6.10.250.1190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22375, NULL, 'G3DSA:2.160.20.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22376, NULL, 'G3DSA:3.30.420.340', NULL, NULL, NULL, NULL, 'UvrC, RNAse H endonuclease domain', NULL, NULL, 34502, 3),
(22377, NULL, 'G3DSA:2.30.30.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22378, NULL, 'G3DSA:1.25.40.660', NULL, NULL, NULL, NULL, '', NULL, NULL, 36592, 3),
(22379, NULL, 'G3DSA:3.10.410.10', NULL, NULL, NULL, NULL, 'Formyltetrahydrofolate synthetase, domain 3', NULL, NULL, NULL, 3),
(22380, NULL, 'G3DSA:3.30.559.30', NULL, NULL, NULL, NULL, 'Nonribosomal peptide synthetase, condensation domain', NULL, NULL, NULL, 3),
(22381, NULL, 'G3DSA:3.40.449.10', NULL, NULL, NULL, NULL, 'Phosphoenolpyruvate Carboxykinase, domain 1', NULL, NULL, 7066, 3),
(22382, NULL, 'G3DSA:2.60.40.4270', NULL, NULL, NULL, NULL, '', NULL, NULL, 38539, 3),
(22383, NULL, 'G3DSA:2.60.40.3600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22384, NULL, 'G3DSA:2.60.40.2320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22385, NULL, 'G3DSA:4.10.640.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 35270, 3),
(22386, NULL, 'G3DSA:3.20.180.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30453, 3),
(22387, NULL, 'G3DSA:3.40.1720.10', NULL, NULL, NULL, NULL, 'Streptococcus thermophilus LMG 18311 protein like', NULL, NULL, 36209, 3),
(22388, NULL, 'G3DSA:6.10.250.280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22389, NULL, 'G3DSA:6.10.250.1580', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22390, NULL, 'G3DSA:1.20.120.1060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22391, NULL, 'G3DSA:3.40.50.11340', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22392, NULL, 'G3DSA:1.10.287.2250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22393, NULL, 'G3DSA:3.30.60.160', NULL, NULL, NULL, NULL, '', NULL, NULL, 35294, 3),
(22394, NULL, 'G3DSA:1.10.1200.210', NULL, NULL, NULL, NULL, '', NULL, NULL, 31043, 3),
(22395, NULL, 'G3DSA:6.10.140.1830', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22396, NULL, 'G3DSA:2.60.40.1270', NULL, NULL, NULL, NULL, '', NULL, NULL, 29493, 3),
(22397, NULL, 'G3DSA:1.10.10.790', NULL, NULL, NULL, NULL, 'Surp module', NULL, NULL, 32406, 3),
(22398, NULL, 'G3DSA:3.30.70.340', NULL, NULL, NULL, NULL, '', NULL, NULL, 34437, 3),
(22399, NULL, 'G3DSA:3.40.980.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30150, 3),
(22400, NULL, 'G3DSA:3.40.50.10940', NULL, NULL, NULL, NULL, '', NULL, NULL, 34836, 3),
(22401, NULL, 'G3DSA:2.60.40.1920', NULL, NULL, NULL, NULL, '', NULL, NULL, 33548, 3),
(22402, NULL, 'G3DSA:3.10.180.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22403, NULL, 'G3DSA:3.30.2250.10', NULL, NULL, NULL, NULL, 'Bifunctional DNA primase/polymerase domain', NULL, NULL, NULL, 3),
(22404, NULL, 'G3DSA:1.10.10.2840', NULL, NULL, NULL, NULL, '', NULL, NULL, 34381, 3),
(22405, NULL, 'G3DSA:3.90.760.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35818, 3),
(22406, NULL, 'G3DSA:1.20.58.1520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22407, NULL, 'G3DSA:3.30.1920.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 16253, 3),
(22408, NULL, 'G3DSA:3.40.50.10550', NULL, NULL, NULL, NULL, 'Hypothetical protein af1403; domain 2', NULL, NULL, NULL, 3),
(22409, NULL, 'G3DSA:3.30.1160.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 33507, 3),
(22410, NULL, 'G3DSA:1.10.150.280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22411, NULL, 'G3DSA:6.10.140.1520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22412, NULL, 'G3DSA:1.10.287.440', NULL, NULL, NULL, NULL, '', NULL, NULL, 12161, 3),
(22413, NULL, 'G3DSA:2.10.260.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22414, NULL, 'G3DSA:3.40.50.12700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22415, NULL, 'G3DSA:2.60.120.1090', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22416, NULL, 'G3DSA:1.10.287.2900', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22417, NULL, 'G3DSA:1.10.287.1540', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22418, NULL, 'G3DSA:1.10.238.200', NULL, NULL, NULL, NULL, 'Cullin, PONY binding domain', NULL, NULL, 39532, 3),
(22419, NULL, 'G3DSA:3.90.520.10', NULL, NULL, NULL, NULL, 'SMAD MH1 domain', NULL, NULL, 32100, 3),
(22420, NULL, 'G3DSA:1.20.120.1850', NULL, NULL, NULL, NULL, 'Ebh helix bundles repeating unit (S and A modules)', NULL, NULL, NULL, 3),
(22421, NULL, 'G3DSA:1.20.1280.280', NULL, NULL, NULL, NULL, '', NULL, NULL, 35181, 3),
(22422, NULL, 'G3DSA:2.60.40.2630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22423, NULL, 'G3DSA:1.25.40.250', NULL, NULL, NULL, NULL, 'ARM repeat; domain 1', NULL, NULL, 8078, 3),
(22424, NULL, 'G3DSA:2.60.40.290', NULL, NULL, NULL, NULL, '', NULL, NULL, 13567, 3),
(22425, NULL, 'G3DSA:1.20.1420.10', NULL, NULL, NULL, NULL, 'Talin, central domain', NULL, NULL, NULL, 3),
(22426, NULL, 'G3DSA:3.90.1480.20', NULL, NULL, NULL, NULL, 'Glycosyl transferase family 29', NULL, NULL, 34811, 3),
(22427, NULL, 'G3DSA:1.50.10.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22428, NULL, 'G3DSA:3.30.70.3280', NULL, NULL, NULL, NULL, 'Peptide chain release factor 3, domain III', NULL, NULL, 34715, 3),
(22429, NULL, 'G3DSA:1.10.10.370', NULL, NULL, NULL, NULL, '', NULL, NULL, 34020, 3),
(22430, NULL, 'G3DSA:3.40.50.10580', NULL, NULL, NULL, NULL, 'ATPase, V1 complex, subunit F', NULL, NULL, 36423, 3),
(22431, NULL, 'G3DSA:3.30.450.150', NULL, NULL, NULL, NULL, '', NULL, NULL, 33694, 3),
(22432, NULL, 'G3DSA:3.40.50.10880', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF01937, DUF89, domain 3', NULL, NULL, NULL, 3),
(22433, NULL, 'G3DSA:1.10.246.20', NULL, NULL, NULL, NULL, 'Coactivator CBP, KIX domain', NULL, NULL, 36218, 3),
(22434, NULL, 'G3DSA:1.10.10.1550', NULL, NULL, NULL, NULL, 'ROS/MUCR transcriptional regulator protein', NULL, NULL, 32109, 3),
(22435, NULL, 'G3DSA:1.20.1280.220', NULL, NULL, NULL, NULL, '', NULL, NULL, 35164, 3),
(22436, NULL, 'G3DSA:1.10.340.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 39489, 3),
(22437, NULL, 'G3DSA:1.10.10.1420', NULL, NULL, NULL, NULL, '', NULL, NULL, 32363, 3),
(22438, NULL, 'G3DSA:1.10.150.720', NULL, NULL, NULL, NULL, '', NULL, NULL, 39002, 3),
(22439, NULL, 'G3DSA:1.10.220.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22440, NULL, 'G3DSA:3.30.230.130', NULL, NULL, NULL, NULL, 'Cullin; Chain C, Domain 2', NULL, NULL, NULL, 3),
(22441, NULL, 'G3DSA:1.10.238.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22442, NULL, 'G3DSA:2.160.20.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 14621, 3),
(22443, NULL, 'G3DSA:3.30.160.380', NULL, NULL, NULL, NULL, 'Dicer dimerisation domain', NULL, NULL, 30044, 3),
(22444, NULL, 'G3DSA:1.10.740.10', NULL, NULL, NULL, NULL, 'Transferase Inhibitor Protein From Tn5; Chain', NULL, NULL, 12672, 3),
(22445, NULL, 'G3DSA:1.10.274.60', NULL, NULL, NULL, NULL, 'Spidroin, repetitive domain', NULL, NULL, 37447, 3),
(22446, NULL, 'G3DSA:2.20.70.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22447, NULL, 'G3DSA:1.10.3290.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35390, 3),
(22448, NULL, 'G3DSA:2.40.50.330', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22449, NULL, 'G3DSA:1.20.58.540', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22450, NULL, 'G3DSA:4.10.830.30', NULL, NULL, NULL, NULL, 'Ribosomal protein L31', NULL, NULL, 39849, 3),
(22451, NULL, 'G3DSA:3.30.160.890', NULL, NULL, NULL, NULL, 'Hepatitis C virus envelope glycoprotein E1, chain C', NULL, NULL, NULL, 3),
(22452, NULL, 'G3DSA:3.30.420.410', NULL, NULL, NULL, NULL, '', NULL, NULL, 32824, 3),
(22453, NULL, 'G3DSA:2.130.10.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22454, NULL, 'G3DSA:3.30.160.820', NULL, NULL, NULL, NULL, '', NULL, NULL, 38165, 3),
(22455, NULL, 'G3DSA:1.20.58.570', NULL, NULL, NULL, NULL, '', NULL, NULL, 37014, 3),
(22456, NULL, 'G3DSA:2.30.330.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30659, 3),
(22457, NULL, 'G3DSA:3.30.450.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22458, NULL, 'G3DSA:3.90.1830.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 39071, 3),
(22459, NULL, 'G3DSA:2.20.80.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22460, NULL, 'G3DSA:6.10.250.2810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22461, NULL, 'G3DSA:3.40.1000.40', NULL, NULL, NULL, NULL, 'Respiratory growth induced protein 1', NULL, NULL, 36151, 3),
(22462, NULL, 'G3DSA:3.30.70.1230', NULL, NULL, NULL, NULL, 'Nucleotide cyclase', NULL, NULL, 27701, 3),
(22463, NULL, 'G3DSA:1.10.357.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22464, NULL, 'G3DSA:6.10.280.220', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22465, NULL, 'G3DSA:3.40.630.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22466, NULL, 'G3DSA:1.10.170.10', NULL, NULL, NULL, NULL, 'Bluetongue Virus 10, subunit 1, domain 3', NULL, NULL, 10145, 3),
(22467, NULL, 'G3DSA:1.10.870.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32278, 3),
(22468, NULL, 'G3DSA:1.20.210.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35363, 3),
(22469, NULL, 'G3DSA:2.40.160.130', NULL, NULL, NULL, NULL, 'Capsule assembly protein Wzi', NULL, NULL, 33926, 3),
(22470, NULL, 'G3DSA:2.60.40.1140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22471, NULL, 'G3DSA:1.20.1280.250', NULL, NULL, NULL, NULL, '', NULL, NULL, 35203, 3),
(22472, NULL, 'G3DSA:2.40.30.180', NULL, NULL, NULL, NULL, '', NULL, NULL, 36042, 3),
(22473, NULL, 'G3DSA:1.10.287.2070', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22474, NULL, 'G3DSA:3.30.70.2350', NULL, NULL, NULL, NULL, '', NULL, NULL, 36436, 3),
(22475, NULL, 'G3DSA:1.10.10.2060', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22476, NULL, 'G3DSA:1.20.120.550', NULL, NULL, NULL, NULL, '', NULL, NULL, 19721, 3),
(22477, NULL, 'G3DSA:6.20.200.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22478, NULL, 'G3DSA:2.60.120.1040', NULL, NULL, NULL, NULL, 'ZPR1, A/B domain', NULL, NULL, 36591, 3),
(22479, NULL, 'G3DSA:2.60.40.2470', NULL, NULL, NULL, NULL, 'SoxY domain', NULL, NULL, 33227, 3),
(22480, NULL, 'G3DSA:2.40.128.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22481, NULL, 'G3DSA:2.60.40.2450', NULL, NULL, NULL, NULL, '', NULL, NULL, 34747, 3),
(22482, NULL, 'G3DSA:3.30.450.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22483, NULL, 'G3DSA:2.40.50.360', NULL, NULL, NULL, NULL, '', NULL, NULL, 39084, 3),
(22484, NULL, 'G3DSA:2.40.33.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 30705, 3),
(22485, NULL, 'G3DSA:6.10.250.430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22486, NULL, 'G3DSA:1.10.60.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22487, NULL, 'G3DSA:1.20.1280.40', NULL, NULL, NULL, NULL, 'HHA', NULL, NULL, 32225, 3),
(22488, NULL, 'G3DSA:2.60.40.230', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22489, NULL, 'G3DSA:1.10.2060.10', NULL, NULL, NULL, NULL, 'PutA proline dehydrogenase (PRODH), domain 2', NULL, NULL, NULL, 3),
(22490, NULL, 'G3DSA:1.10.40.50', NULL, NULL, NULL, NULL, 'Probable gtpase engc; domain 3', NULL, NULL, NULL, 3),
(22491, NULL, 'G3DSA:2.70.220.10', NULL, NULL, NULL, NULL, 'Ganglioside GM2 activator', NULL, NULL, 34194, 3),
(22492, NULL, 'G3DSA:2.30.29.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22493, NULL, 'G3DSA:1.20.5.4010', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22494, NULL, 'G3DSA:3.40.5.20', NULL, NULL, NULL, NULL, 'YqbF domain', NULL, NULL, 30313, 3),
(22495, NULL, 'G3DSA:6.10.250.1450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22496, NULL, 'G3DSA:1.20.120.1190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22497, NULL, 'G3DSA:2.20.25.450', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(22498, NULL, 'G3DSA:3.40.50.11210', NULL, NULL, NULL, NULL, '', NULL, NULL, 18611, 3),
(22499, NULL, 'G3DSA:3.50.30.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 31684, 3),
(22500, NULL, 'G3DSA:3.40.50.11160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22501, NULL, 'G3DSA:6.10.140.600', NULL, NULL, NULL, NULL, '', NULL, NULL, 35137, 3),
(22502, NULL, 'G3DSA:1.10.150.670', NULL, NULL, NULL, NULL, '', NULL, NULL, 39893, 3);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22503, NULL, 'G3DSA:2.60.40.2500', NULL, NULL, NULL, NULL, '', NULL, NULL, 33491, 3),
(22504, NULL, 'G3DSA:1.10.10.1450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22505, NULL, 'G3DSA:1.20.5.920', NULL, NULL, NULL, NULL, 'rhodobacter sphaeroides pufx membrane protein', NULL, NULL, NULL, 3),
(22506, NULL, 'G3DSA:3.30.420.390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22507, NULL, 'G3DSA:1.10.3950.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35284, 3),
(22508, NULL, 'G3DSA:2.60.120.1060', NULL, NULL, NULL, NULL, 'NPCBM/NEW2 domain', NULL, NULL, 35777, 3),
(22509, NULL, 'G3DSA:2.60.40.1730', NULL, NULL, NULL, NULL, 'tricorn interacting facor f3 domain', NULL, NULL, 33418, 3),
(22510, NULL, 'G3DSA:6.10.140.1860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22511, NULL, 'G3DSA:1.20.58.1860', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22512, NULL, 'G3DSA:3.40.1620.80', NULL, NULL, NULL, NULL, '', NULL, NULL, 32993, 3),
(22513, NULL, 'G3DSA:2.60.40.1090', NULL, NULL, NULL, NULL, '', NULL, NULL, 30306, 3),
(22514, NULL, 'G3DSA:3.40.50.11000', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22515, NULL, 'G3DSA:3.40.1440.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 13593, 3),
(22516, NULL, 'G3DSA:1.10.287.920', NULL, NULL, NULL, NULL, 'Pheromone alpha factor receptor.', NULL, NULL, 28978, 3),
(22517, NULL, 'G3DSA:3.30.1920.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 37289, 3),
(22518, NULL, 'G3DSA:3.30.1370.120', NULL, NULL, NULL, NULL, '', NULL, NULL, 34970, 3),
(22519, NULL, 'G3DSA:1.10.890.30', NULL, NULL, NULL, NULL, 'YmgD protein', NULL, NULL, 33835, 3),
(22520, NULL, 'G3DSA:6.10.250.2000', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22521, NULL, 'G3DSA:1.20.120.580', NULL, NULL, NULL, NULL, '', NULL, NULL, 31690, 3),
(22522, NULL, 'G3DSA:3.30.1050.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22523, NULL, 'G3DSA:1.20.58.410', NULL, NULL, NULL, NULL, 'Release factor', NULL, NULL, NULL, 3),
(22524, NULL, 'G3DSA:6.20.50.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22525, NULL, 'G3DSA:1.20.1260.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22526, NULL, 'G3DSA:4.10.70.10', NULL, NULL, NULL, NULL, 'Disintegrin domain', NULL, NULL, 30973, 3),
(22527, NULL, 'G3DSA:3.30.70.1560', NULL, NULL, NULL, NULL, '', NULL, NULL, 32878, 3),
(22528, NULL, 'G3DSA:3.40.420.10', NULL, NULL, NULL, NULL, 'Ricin (A subunit), domain 1', NULL, NULL, 11436, 3),
(22529, NULL, 'G3DSA:3.30.2000.40', NULL, NULL, NULL, NULL, 'Myoviridae tail sheath stabiliser', NULL, NULL, 30473, 3),
(22530, NULL, 'G3DSA:3.30.2040.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22531, NULL, 'G3DSA:1.10.3230.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22532, NULL, 'G3DSA:1.10.10.1670', NULL, NULL, NULL, NULL, 'HetR, flap domain', NULL, NULL, 33460, 3),
(22533, NULL, 'G3DSA:3.90.175.10', NULL, NULL, NULL, NULL, 'Diphtheria Toxin, domain 1', NULL, NULL, NULL, 3),
(22534, NULL, 'G3DSA:6.10.250.1240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22535, NULL, 'G3DSA:1.20.58.1080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22536, NULL, 'G3DSA:3.30.70.1590', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22537, NULL, 'G3DSA:2.20.25.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22538, NULL, 'G3DSA:3.30.70.580', NULL, NULL, NULL, NULL, '', NULL, NULL, 16372, 3),
(22539, NULL, 'G3DSA:2.60.40.3290', NULL, NULL, NULL, NULL, 'Fimbrial protein EcpA', NULL, NULL, 35488, 3),
(22540, NULL, 'G3DSA:3.30.110.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22541, NULL, 'G3DSA:3.40.50.12760', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22542, NULL, 'G3DSA:3.30.160.130', NULL, NULL, NULL, NULL, 'ykff protein like domains', NULL, NULL, 30736, 3),
(22543, NULL, 'G3DSA:2.60.120.550', NULL, NULL, NULL, NULL, 'Penton protein; domain 1', NULL, NULL, NULL, 3),
(22544, NULL, 'G3DSA:2.40.128.300', NULL, NULL, NULL, NULL, '', NULL, NULL, 37358, 3),
(22545, NULL, 'G3DSA:6.20.260.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34506, 3);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22546, NULL, 'G3DSA:3.30.450.390', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22547, NULL, 'G3DSA:1.20.120.1960', NULL, NULL, NULL, NULL, 'QSOX sulfhydryl oxidase domain', NULL, NULL, 36841, 3),
(22548, NULL, 'G3DSA:1.10.1740.70', NULL, NULL, NULL, NULL, 'ChaB', NULL, NULL, 35568, 3),
(22549, NULL, 'G3DSA:1.10.10.2240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22550, NULL, 'G3DSA:6.10.140.1080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22551, NULL, 'G3DSA:2.30.110.40', NULL, NULL, NULL, NULL, 'Phage tail tube protein', NULL, NULL, 33815, 3),
(22552, NULL, 'G3DSA:6.10.250.460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22553, NULL, 'G3DSA:1.20.120.310', NULL, NULL, NULL, NULL, 'ERV/ALR sulfhydryl oxidase domain', NULL, NULL, 29517, 3),
(22554, NULL, 'G3DSA:1.25.40.710', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22555, NULL, 'G3DSA:4.10.80.380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22556, NULL, 'G3DSA:3.30.450.260', NULL, NULL, NULL, NULL, 'Haem NO binding associated domain', NULL, NULL, 40004, 3),
(22557, NULL, 'G3DSA:4.10.720.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31528, 3),
(22558, NULL, 'G3DSA:3.30.750.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22559, NULL, 'G3DSA:3.90.260.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34328, 3),
(22560, NULL, 'G3DSA:3.90.930.12', NULL, NULL, NULL, NULL, '', NULL, NULL, 36486, 3),
(22561, NULL, 'G3DSA:3.40.630.100', NULL, NULL, NULL, NULL, '', NULL, NULL, 35072, 3),
(22562, NULL, 'G3DSA:3.40.1670.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22563, NULL, 'G3DSA:6.10.180.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22564, NULL, 'G3DSA:3.40.50.1910', NULL, NULL, NULL, NULL, '', NULL, NULL, 25334, 3),
(22565, NULL, 'G3DSA:2.40.128.460', NULL, NULL, NULL, NULL, '', NULL, NULL, 35561, 3),
(22566, NULL, 'G3DSA:1.10.8.250', NULL, NULL, NULL, NULL, 'DNA polymerase III clamp loader domain like', NULL, NULL, NULL, 3),
(22567, NULL, 'G3DSA:3.40.50.11970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22568, NULL, 'G3DSA:1.20.1440.320', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22569, NULL, 'G3DSA:3.40.1760.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 36279, 3),
(22570, NULL, 'G3DSA:2.60.120.720', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22571, NULL, 'G3DSA:1.10.540.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 32110, 3),
(22572, NULL, 'G3DSA:6.10.250.610', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22573, NULL, 'G3DSA:1.10.3090.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22574, NULL, 'G3DSA:6.10.250.1210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22575, NULL, 'G3DSA:6.10.250.2760', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22576, NULL, 'G3DSA:1.10.10.160', NULL, NULL, NULL, NULL, '', NULL, NULL, 7182, 3),
(22577, NULL, 'G3DSA:1.10.10.1270', NULL, NULL, NULL, NULL, 'Sbi, C3 binding domain IV', NULL, NULL, 32823, 3),
(22578, NULL, 'G3DSA:1.10.8.500', NULL, NULL, NULL, NULL, 'HAMP domain in histidine kinase', NULL, NULL, NULL, 3),
(22579, NULL, 'G3DSA:2.30.29.160', NULL, NULL, NULL, NULL, '', NULL, NULL, 29189, 3),
(22580, NULL, 'G3DSA:1.20.1590.10', NULL, NULL, NULL, NULL, 'YP_001051499.1 domain like', NULL, NULL, 16195, 3),
(22581, NULL, 'G3DSA:1.10.150.700', NULL, NULL, NULL, NULL, 'PolC, middle finger domain', NULL, NULL, 39189, 3),
(22582, NULL, 'G3DSA:3.40.50.11940', NULL, NULL, NULL, NULL, '', NULL, NULL, 35105, 3),
(22583, NULL, 'G3DSA:2.60.40.1870', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22584, NULL, 'G3DSA:3.30.110.150', NULL, NULL, NULL, NULL, '', NULL, NULL, 34853, 3),
(22585, NULL, 'G3DSA:2.60.40.3090', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22586, NULL, 'G3DSA:3.30.390.110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22587, NULL, 'G3DSA:3.10.20.130', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22588, NULL, 'G3DSA:3.30.54.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22589, NULL, 'G3DSA:3.10.450.230', NULL, NULL, NULL, NULL, 'VirB8 protein', NULL, NULL, NULL, 3);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22590, NULL, 'G3DSA:3.40.47.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 13424, 3),
(22591, NULL, 'G3DSA:3.30.750.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22592, NULL, 'G3DSA:3.40.50.10440', NULL, NULL, NULL, NULL, 'Dihydroxyacetone kinase; domain 1', NULL, NULL, NULL, 3),
(22593, NULL, 'G3DSA:1.10.8.420', NULL, NULL, NULL, NULL, 'RecR Domain 1', NULL, NULL, NULL, 3),
(22594, NULL, 'G3DSA:1.10.340.30', NULL, NULL, NULL, NULL, 'Hypothetical protein; domain 2', NULL, NULL, NULL, 3),
(22595, NULL, 'G3DSA:2.90.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30691, 3),
(22596, NULL, 'G3DSA:2.60.40.2690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22597, NULL, 'G3DSA:4.10.220.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 26148, 3),
(22598, NULL, 'G3DSA:3.30.310.170', NULL, NULL, NULL, NULL, 'Outer membrane protein assembly factor BamC', NULL, NULL, 37391, 3),
(22599, NULL, 'G3DSA:1.25.40.480', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22600, NULL, 'G3DSA:6.10.190.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22601, NULL, 'G3DSA:1.10.15.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22602, NULL, 'G3DSA:2.60.40.2170', NULL, NULL, NULL, NULL, 'Wnt, WIF domain', NULL, NULL, 34692, 3),
(22603, NULL, 'G3DSA:3.30.30.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 34439, 3),
(22604, NULL, 'G3DSA:3.40.50.10420', NULL, NULL, NULL, NULL, '', NULL, NULL, 9275, 3),
(22605, NULL, 'G3DSA:3.30.450.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22606, NULL, 'G3DSA:1.10.357.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22607, NULL, 'G3DSA:1.10.2010.10', NULL, NULL, NULL, NULL, 'Crustacean CHH/MIH/GIH neurohormone', NULL, NULL, 35127, 3),
(22608, NULL, 'G3DSA:1.20.5.4770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22609, NULL, 'G3DSA:3.90.1300.10', NULL, NULL, NULL, NULL, 'Amidase signature (AS) domain', NULL, NULL, 35462, 3),
(22610, NULL, 'G3DSA:6.20.410.20', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(22611, NULL, 'G3DSA:4.10.280.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 34309, 3),
(22612, NULL, 'G3DSA:2.40.30.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22613, NULL, 'G3DSA:3.90.1150.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22614, NULL, 'G3DSA:6.10.250.2030', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22615, NULL, 'G3DSA:6.10.140.630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22616, NULL, 'G3DSA:1.10.287.1490', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22617, NULL, 'G3DSA:2.60.120.1350', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF4465', NULL, NULL, NULL, 3),
(22618, NULL, 'G3DSA:6.10.140.1890', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22619, NULL, 'G3DSA:6.10.320.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22620, NULL, 'G3DSA:3.10.440.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8833, 3),
(22621, NULL, 'G3DSA:4.10.75.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30751, 3),
(22622, NULL, 'G3DSA:1.10.472.40', NULL, NULL, NULL, NULL, 'Hypothetical protein mg237 homolog; domain 3', NULL, NULL, NULL, 3),
(22623, NULL, 'G3DSA:2.60.40.3240', NULL, NULL, NULL, NULL, '', NULL, NULL, 37097, 3),
(22624, NULL, 'G3DSA:1.10.357.20', NULL, NULL, NULL, NULL, 'SLC41 divalent cation transporters, integral membrane domain', NULL, NULL, 34972, 3),
(22625, NULL, 'G3DSA:3.30.70.2380', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22626, NULL, 'G3DSA:6.10.140.790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22627, NULL, 'G3DSA:3.30.450.400', NULL, NULL, NULL, NULL, 'Colicin M, catalytic domain', NULL, NULL, NULL, 3),
(22628, NULL, 'G3DSA:1.10.1200.240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22629, NULL, 'G3DSA:3.15.10.40', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF07273, DUF1439', NULL, NULL, NULL, 3),
(22630, NULL, 'G3DSA:1.10.357.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22631, NULL, 'G3DSA:3.30.519.10', NULL, NULL, NULL, NULL, 'Guanine Nucleotide Dissociation Inhibitor, domain 2', NULL, NULL, NULL, 3);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22632, NULL, 'G3DSA:2.40.50.150', NULL, NULL, NULL, NULL, '', NULL, NULL, 9311, 3),
(22633, NULL, 'G3DSA:3.10.20.340', NULL, NULL, NULL, NULL, '', NULL, NULL, 39577, 3),
(22634, NULL, 'G3DSA:3.90.1100.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22635, NULL, 'G3DSA:2.40.430.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22636, NULL, 'G3DSA:2.30.42.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 29108, 3),
(22637, NULL, 'G3DSA:1.25.40.320', NULL, NULL, NULL, NULL, '', NULL, NULL, 36234, 3),
(22638, NULL, 'G3DSA:3.30.428.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 19378, 3),
(22639, NULL, 'G3DSA:3.30.160.280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22640, NULL, 'G3DSA:3.30.70.2920', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22641, NULL, 'G3DSA:3.30.1990.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22642, NULL, 'G3DSA:1.20.58.1680', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22643, NULL, 'G3DSA:1.10.150.880', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22644, NULL, 'G3DSA:1.20.58.390', NULL, NULL, NULL, NULL, '', NULL, NULL, 34198, 3),
(22645, NULL, 'G3DSA:1.10.1660.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22646, NULL, 'G3DSA:3.30.70.2560', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22647, NULL, 'G3DSA:6.10.70.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22648, NULL, 'G3DSA:3.40.50.10210', NULL, NULL, NULL, NULL, '', NULL, NULL, 35252, 3),
(22649, NULL, 'G3DSA:2.60.40.4030', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22650, NULL, 'G3DSA:3.30.70.2070', NULL, NULL, NULL, NULL, 'VP9 protein domain', NULL, NULL, 36286, 3),
(22651, NULL, 'G3DSA:3.40.5.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22652, NULL, 'G3DSA:1.10.10.2790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22653, NULL, 'G3DSA:6.10.140.810', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22654, NULL, 'G3DSA:2.60.120.1240', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22655, NULL, 'G3DSA:3.30.60.190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22656, NULL, 'G3DSA:3.30.2140.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22657, NULL, 'G3DSA:1.10.10.1630', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22658, NULL, 'G3DSA:1.20.1270.430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22659, NULL, 'G3DSA:3.30.1330.150', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22660, NULL, 'G3DSA:4.10.410.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22661, NULL, 'G3DSA:1.10.274.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30821, 3),
(22662, NULL, 'G3DSA:2.30.140.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22663, NULL, 'G3DSA:2.60.470.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22664, NULL, 'G3DSA:1.20.80.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22665, NULL, 'G3DSA:1.20.140.160', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22666, NULL, 'G3DSA:3.90.930.60', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22667, NULL, 'G3DSA:1.20.58.1290', NULL, NULL, NULL, NULL, '', NULL, NULL, 37887, 3),
(22668, NULL, 'G3DSA:6.10.250.1030', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22669, NULL, 'G3DSA:1.20.58.110', NULL, NULL, NULL, NULL, 'Ribosomal protein S20', NULL, NULL, 32803, 3),
(22670, NULL, 'G3DSA:2.70.240.20', NULL, NULL, NULL, NULL, 'Leukocidin/Hemolysin toxin, cytolysin domain', NULL, NULL, NULL, 3),
(22671, NULL, 'G3DSA:3.30.530.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22672, NULL, 'G3DSA:1.10.150.900', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22673, NULL, 'G3DSA:1.20.1270.460', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22674, NULL, 'G3DSA:3.40.30.30', NULL, NULL, NULL, NULL, 'Hypothetical protein sa0798.', NULL, NULL, 36374, 3),
(22675, NULL, 'G3DSA:6.10.250.250', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22676, NULL, 'G3DSA:6.10.250.2600', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(22677, NULL, 'G3DSA:1.10.10.2210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22678, NULL, 'G3DSA:1.10.287.570', NULL, NULL, NULL, NULL, 'Helical hairpin bin', NULL, NULL, NULL, 3),
(22679, NULL, 'G3DSA:6.10.250.2210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22680, NULL, 'G3DSA:1.20.1440.140', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22681, NULL, 'G3DSA:3.30.70.1950', NULL, NULL, NULL, NULL, '', NULL, NULL, 34754, 3),
(22682, NULL, 'G3DSA:1.20.5.560', NULL, NULL, NULL, NULL, 'Single Heli x bin', NULL, NULL, 9390, 3),
(22683, NULL, 'G3DSA:3.40.1140.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22684, NULL, 'G3DSA:3.40.190.180', NULL, NULL, NULL, NULL, 'Cypl, domain I', NULL, NULL, 37031, 3),
(22685, NULL, 'G3DSA:6.10.250.2580', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22686, NULL, 'G3DSA:3.30.1360.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 36395, 3),
(22687, NULL, 'G3DSA:3.90.1070.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22688, NULL, 'G3DSA:1.10.3580.10', NULL, NULL, NULL, NULL, 'ATP12 ATPase', NULL, NULL, 19902, 3),
(22689, NULL, 'G3DSA:1.10.10.940', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22690, NULL, 'G3DSA:1.10.1030.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30649, 3),
(22691, NULL, 'G3DSA:3.30.390.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 12007, 3),
(22692, NULL, 'G3DSA:3.90.360.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30088, 3),
(22693, NULL, 'G3DSA:3.30.479.30', NULL, NULL, NULL, NULL, 'Band 7 domain', NULL, NULL, 29940, 3),
(22694, NULL, 'G3DSA:3.30.1490.310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22695, NULL, 'G3DSA:1.20.140.50', NULL, NULL, NULL, NULL, 'alix/aip1 like domains', NULL, NULL, NULL, 3),
(22696, NULL, 'G3DSA:2.10.25.160', NULL, NULL, NULL, NULL, 'Granulin', NULL, NULL, 35307, 3),
(22697, NULL, 'G3DSA:1.10.287.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22698, NULL, 'G3DSA:1.20.120.1030', NULL, NULL, NULL, NULL, '', NULL, NULL, 33423, 3),
(22699, NULL, 'G3DSA:1.10.3560.10', NULL, NULL, NULL, NULL, 'yst0336 like domain', NULL, NULL, 17282, 3),
(22700, NULL, 'G3DSA:1.10.10.190', NULL, NULL, NULL, NULL, '', NULL, NULL, 10463, 3),
(22701, NULL, 'G3DSA:6.10.250.640', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22702, NULL, 'G3DSA:1.20.5.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22703, NULL, 'G3DSA:3.60.60.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 38375, 3),
(22704, NULL, 'G3DSA:4.10.520.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8291, 3),
(22705, NULL, 'G3DSA:1.10.150.60', NULL, NULL, NULL, NULL, '', NULL, NULL, 30714, 3),
(22706, NULL, 'G3DSA:1.20.120.340', NULL, NULL, NULL, NULL, 'Flagellar protein FliS', NULL, NULL, NULL, 3),
(22707, NULL, 'G3DSA:3.30.2030.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22708, NULL, 'G3DSA:2.30.27.10', NULL, NULL, NULL, NULL, 'Phage FD Coat Protein,Membrane penetration domain', NULL, NULL, NULL, 3),
(22709, NULL, 'G3DSA:3.10.450.310', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22710, NULL, 'G3DSA:1.20.58.240', NULL, NULL, NULL, NULL, 'STAT; domain 1', NULL, NULL, NULL, 3),
(22711, NULL, 'G3DSA:3.40.50.10600', NULL, NULL, NULL, NULL, '', NULL, NULL, 29069, 3),
(22712, NULL, 'G3DSA:6.20.30.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22713, NULL, 'G3DSA:3.10.105.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22714, NULL, 'G3DSA:3.40.50.11370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22715, NULL, 'G3DSA:1.20.5.1430', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22716, NULL, 'G3DSA:2.60.40.2870', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22717, NULL, 'G3DSA:3.30.530.70', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF12723, DUF3809', NULL, NULL, NULL, 3),
(22718, NULL, 'G3DSA:3.20.20.450', NULL, NULL, NULL, NULL, 'EAL domain', NULL, NULL, 26295, 3),
(22719, NULL, 'G3DSA:3.10.450.520', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22720, NULL, 'G3DSA:3.30.30.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22721, NULL, 'G3DSA:6.10.20.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22722, NULL, 'G3DSA:3.30.1910.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22723, NULL, 'G3DSA:3.30.1120.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22724, NULL, 'G3DSA:6.10.250.2970', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22725, NULL, 'G3DSA:4.10.1140.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22726, NULL, 'G3DSA:1.10.246.110', NULL, NULL, NULL, NULL, '', NULL, NULL, 36096, 3),
(22727, NULL, 'G3DSA:1.10.1760.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 34526, 3),
(22728, NULL, 'G3DSA:6.10.250.1420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22729, NULL, 'G3DSA:1.10.437.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30474, 3),
(22730, NULL, 'G3DSA:1.20.120.1600', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22731, NULL, 'G3DSA:2.70.9.30', NULL, NULL, NULL, NULL, 'Viral coat protein p3', NULL, NULL, 11123, 3),
(22732, NULL, 'G3DSA:6.10.250.820', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22733, NULL, 'G3DSA:1.10.4200.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22734, NULL, 'G3DSA:2.102.10.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 35247, 3),
(22735, NULL, 'G3DSA:1.20.1080.10', NULL, NULL, NULL, NULL, 'Glycerol uptake facilitator protein.', NULL, NULL, 13997, 3),
(22736, NULL, 'G3DSA:1.25.40.690', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22737, NULL, 'G3DSA:2.60.40.2480', NULL, NULL, NULL, NULL, '', NULL, NULL, 35068, 3),
(22738, NULL, 'G3DSA:3.40.367.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22739, NULL, 'G3DSA:2.60.40.2660', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22740, NULL, 'G3DSA:2.40.50.930', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22741, NULL, 'G3DSA:6.10.250.2790', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22742, NULL, 'G3DSA:1.20.120.720', NULL, NULL, NULL, NULL, 'Myosin VI head, motor domain, U50 subdomain', NULL, NULL, NULL, 3),
(22743, NULL, 'G3DSA:3.40.190.90', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22744, NULL, 'G3DSA:1.10.1200.200', NULL, NULL, NULL, NULL, 'Protein of unknown function DUF3227', NULL, NULL, 36925, 3),
(22745, NULL, 'G3DSA:2.40.128.280', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22746, NULL, 'G3DSA:3.40.30.40', NULL, NULL, NULL, NULL, 'Perfringolysin', NULL, NULL, NULL, 3),
(22747, NULL, 'G3DSA:6.10.250.3190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22748, NULL, 'G3DSA:3.40.390.10', NULL, NULL, NULL, NULL, 'Collagenase (Catalytic Domain)', NULL, NULL, 12638, 3),
(22749, NULL, 'G3DSA:2.60.40.3870', NULL, NULL, NULL, NULL, 'Uncharacterised protein PF16024, DUF4785', NULL, NULL, NULL, 3),
(22750, NULL, 'G3DSA:2.10.25.60', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3),
(22751, NULL, 'G3DSA:2.60.40.1110', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22752, NULL, 'G3DSA:1.10.260.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22753, NULL, 'G3DSA:3.30.70.3580', NULL, NULL, NULL, NULL, 'Antirestriction protein', NULL, NULL, 36112, 3),
(22754, NULL, 'G3DSA:1.20.120.940', NULL, NULL, NULL, NULL, '', NULL, NULL, 31350, 3),
(22755, NULL, 'G3DSA:3.30.1380.20', NULL, NULL, NULL, NULL, 'Trafficking protein particle complex subunit 3', NULL, NULL, NULL, 3),
(22756, NULL, 'G3DSA:3.30.720.100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22757, NULL, 'G3DSA:1.20.120.320', NULL, NULL, NULL, NULL, 'Group V grass pollen allergen', NULL, NULL, 29619, 3),
(22758, NULL, 'G3DSA:3.40.50.12770', NULL, NULL, NULL, NULL, 'Nitrate reductase alpha subunit', NULL, NULL, NULL, 3),
(22759, NULL, 'G3DSA:3.90.1200.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22760, NULL, 'G3DSA:3.40.50.12550', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22761, NULL, 'G3DSA:3.50.20.20', NULL, NULL, NULL, NULL, 'Janus/Ocnus', NULL, NULL, 34566, 3),
(22762, NULL, 'G3DSA:2.40.10.250', NULL, NULL, NULL, NULL, 'Replicase NSP9', NULL, NULL, 33791, 3),
(22763, NULL, 'G3DSA:3.30.70.370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22764, NULL, 'G3DSA:1.20.840.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 8922, 3),
(22765, NULL, 'G3DSA:3.90.470.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22766, NULL, 'G3DSA:3.30.160.850', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22767, NULL, 'G3DSA:1.20.58.1100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22768, NULL, 'G3DSA:1.10.10.2420', NULL, NULL, NULL, NULL, '', NULL, NULL, 38495, 3),
(22769, NULL, 'G3DSA:1.10.790.20', NULL, NULL, NULL, NULL, 'Domain of unknown function DUF1476', NULL, NULL, 33801, 3),
(22770, NULL, 'G3DSA:6.10.250.3370', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22771, NULL, 'G3DSA:2.40.50.540', NULL, NULL, NULL, NULL, '', NULL, NULL, 33288, 3),
(22772, NULL, 'G3DSA:4.10.320.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22773, NULL, 'G3DSA:1.20.1540.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 27021, 3),
(22774, NULL, 'G3DSA:2.160.10.20', NULL, NULL, NULL, NULL, 'Insect antifreeze protein', NULL, NULL, NULL, 3),
(22775, NULL, 'G3DSA:1.10.10.760', NULL, NULL, NULL, NULL, '', NULL, NULL, 36621, 3),
(22776, NULL, 'G3DSA:6.10.140.1290', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22777, NULL, 'G3DSA:1.10.238.180', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22778, NULL, 'G3DSA:3.30.450.360', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22779, NULL, 'G3DSA:2.40.10.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22780, NULL, 'G3DSA:2.170.300.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22781, NULL, 'G3DSA:1.20.1050.90', NULL, NULL, NULL, NULL, '', NULL, NULL, 37475, 3),
(22782, NULL, 'G3DSA:3.40.50.11190', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22783, NULL, 'G3DSA:1.10.287.500', NULL, NULL, NULL, NULL, 'Helix hairpin bin', NULL, NULL, NULL, 3),
(22784, NULL, 'G3DSA:1.10.8.700', NULL, NULL, NULL, NULL, 'Bacteriophage clamp loader A subunit, A domain', NULL, NULL, NULL, 3),
(22785, NULL, 'G3DSA:1.20.5.950', NULL, NULL, NULL, NULL, '', NULL, NULL, 32412, 3),
(22786, NULL, 'G3DSA:3.40.50.11670', NULL, NULL, NULL, NULL, 'DNA replication regulator HobA', NULL, NULL, 36026, 3),
(22787, NULL, 'G3DSA:3.40.50.10790', NULL, NULL, NULL, NULL, '', NULL, NULL, 12563, 3),
(22788, NULL, 'G3DSA:1.10.4070.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22789, NULL, 'G3DSA:3.60.130.30', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22790, NULL, 'G3DSA:1.20.120.1210', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22791, NULL, 'G3DSA:6.10.280.80', NULL, NULL, NULL, NULL, 'NCX, peripheral helical region', NULL, NULL, NULL, 3),
(22792, NULL, 'G3DSA:2.60.34.30', NULL, NULL, NULL, NULL, '', NULL, NULL, 36415, 3),
(22793, NULL, 'G3DSA:2.30.30.20', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22794, NULL, 'G3DSA:3.30.2240.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22795, NULL, 'G3DSA:2.60.40.2090', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22796, NULL, 'G3DSA:3.30.420.200', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22797, NULL, 'G3DSA:3.30.280.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 31617, 3),
(22798, NULL, 'G3DSA:6.20.50.50', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22799, NULL, 'G3DSA:3.10.20.730', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22800, NULL, 'G3DSA:6.10.140.1100', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22801, NULL, 'G3DSA:3.30.1180.20', NULL, NULL, NULL, NULL, 'Dihydroxyacetone kinase; domain 2', NULL, NULL, NULL, 3),
(22802, NULL, 'G3DSA:3.30.110.40', NULL, NULL, NULL, NULL, '', NULL, NULL, 30766, 3),
(22803, NULL, 'G3DSA:4.10.80.170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22804, NULL, 'G3DSA:1.10.1130.10', NULL, NULL, NULL, NULL, 'Flavocytochrome C3; Chain A', NULL, NULL, NULL, 3),
(22805, NULL, 'G3DSA:3.30.230.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22806, NULL, 'G3DSA:3.60.160.10', NULL, NULL, NULL, NULL, 'Mitochondrial biogenesis AIM24', NULL, NULL, 34144, 3),
(22807, NULL, 'G3DSA:3.90.1150.190', NULL, NULL, NULL, NULL, 'SLED domain', NULL, NULL, 35747, 3),
(22808, NULL, 'G3DSA:1.10.10.2030', NULL, NULL, NULL, NULL, '', NULL, NULL, 29106, 3),
(22809, NULL, 'G3DSA:3.10.450.700', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22810, NULL, 'G3DSA:6.10.140.2080', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22811, NULL, 'G3DSA:3.90.50.10', NULL, NULL, NULL, NULL, 'Photosynthetic Reaction Center, subunit H, domain 2', NULL, NULL, 11652, 3),
(22812, NULL, 'G3DSA:3.30.1460.10', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22813, NULL, 'G3DSA:3.40.50.12120', NULL, NULL, NULL, NULL, 'POC1 chaperone', NULL, NULL, 35013, 3),
(22814, NULL, 'G3DSA:1.10.150.120', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22815, NULL, 'G3DSA:6.10.140.1680', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22816, NULL, 'G3DSA:3.40.109.40', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22817, NULL, 'G3DSA:3.30.70.2170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22818, NULL, 'G3DSA:2.30.40.10', NULL, NULL, NULL, NULL, 'Urease, subunit C, domain 1', NULL, NULL, 9500, 3),
(22819, NULL, 'G3DSA:2.60.40.3450', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22820, NULL, 'G3DSA:1.20.5.680', NULL, NULL, NULL, NULL, 'Single Helix bin', NULL, NULL, NULL, 3),
(22821, NULL, 'G3DSA:1.10.150.690', NULL, NULL, NULL, NULL, 'DUF2063', NULL, NULL, 39233, 3),
(22822, NULL, 'G3DSA:4.10.490.10', NULL, NULL, NULL, NULL, '', NULL, NULL, 30960, 3),
(22823, NULL, 'G3DSA:1.10.220.70', NULL, NULL, NULL, NULL, 'lyase', NULL, NULL, 39286, 3),
(22824, NULL, 'G3DSA:2.30.30.1020', NULL, NULL, NULL, NULL, '', NULL, NULL, 29453, 3),
(22825, NULL, 'G3DSA:3.40.600.20', NULL, NULL, NULL, NULL, 'Restriction endonuclease BglI', NULL, NULL, 36862, 3),
(22826, NULL, 'G3DSA:6.10.140.420', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22827, NULL, 'G3DSA:1.10.196.20', NULL, NULL, NULL, NULL, '', NULL, NULL, 19158, 3),
(22828, NULL, 'G3DSA:3.40.630.80', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22829, NULL, 'G3DSA:1.20.5.510', NULL, NULL, NULL, NULL, 'Single helix bin', NULL, NULL, NULL, 3),
(22830, NULL, 'G3DSA:1.10.246.90', NULL, NULL, NULL, NULL, 'Nop domain', NULL, NULL, 36823, 3),
(22831, NULL, 'G3DSA:3.30.70.1770', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22832, NULL, 'G3DSA:1.20.1560.10', NULL, NULL, NULL, NULL, 'ABC transporter type 1, transmembrane domain', NULL, NULL, 29158, 3),
(22833, NULL, 'G3DSA:3.90.1760.10', NULL, NULL, NULL, NULL, 'Anthrax toxin, edema factor, central domain', NULL, NULL, 30551, 3),
(22834, NULL, 'G3DSA:1.10.8.1170', NULL, NULL, NULL, NULL, '', NULL, NULL, NULL, 3),
(22835, NULL, 'mobidb-lite', NULL, NULL, 'consensus disorder prediction', NULL, 'disorder_prediction', NULL, NULL, NULL, 4),
(22836, NULL, 'SFLDG01122', NULL, NULL, 'methyltransferase (class C)', NULL, 'methyltransferase_(class_C)', NULL, NULL, NULL, 5),
(22837, NULL, 'SFLDF00545', NULL, NULL, 'cyclopropanase', NULL, 'cyclopropanase', NULL, NULL, NULL, 5),
(22838, NULL, 'SFLDG01204', NULL, NULL, 'Grx2-like.1', NULL, 'Grx2-like.1', NULL, NULL, 12127, 5),
(22839, NULL, 'SFLDF00413', NULL, NULL, 'CDK5RAP1', NULL, 'CDK5RAP1', NULL, NULL, NULL, 5),
(22840, NULL, 'SFLDG01124', NULL, NULL, 'C0.1: RNA Pol CTD Phosphatase Like', NULL, 'C0.1:_RNA_Pol_CTD_Phosphatase', NULL, NULL, 33637, 5),
(22841, NULL, 'SFLDG01182', NULL, NULL, 'Prostaglandin E synthase like', NULL, 'Prostaglandin_E_synthase_like', NULL, NULL, NULL, 5),
(22842, NULL, 'SFLDF00568', NULL, NULL, 'paromamine deoxygenase', NULL, 'paromamine_deoxygenase', NULL, NULL, NULL, 5),
(22843, NULL, 'SFLDF00278', NULL, NULL, 'pyruvate formate-lyase activase', NULL, 'pyruvate_formate-lyase_activa', NULL, NULL, 33373, 5),
(22844, NULL, 'SFLDF00272', NULL, NULL, 'biotin synthase', NULL, 'biotin_synthase', NULL, NULL, 13539, 5),
(22845, NULL, 'SFLDS00014', NULL, NULL, 'RuBisCO', NULL, 'RuBisCO', NULL, NULL, 31950, 5),
(22846, NULL, 'SFLDG01148', NULL, NULL, 'Xi (cytGST)', NULL, 'Xi_(cytGST)', NULL, NULL, NULL, 5),
(22847, NULL, 'SFLDG00309', NULL, NULL, 'galactarate dehydratase', NULL, 'galactarate_dehydratase', NULL, NULL, NULL, 5),
(22848, NULL, 'SFLDG01128', NULL, NULL, 'C1.4: 5''-Nucleotidase Like', NULL, 'C1.4:_5''-Nucleotidase_Like', NULL, NULL, 6991, 5),
(22849, NULL, 'SFLDG01151', NULL, NULL, 'Main.2: Nu-like', NULL, 'Main.2:_Nu-like', NULL, NULL, NULL, 5);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22850, NULL, 'SFLDG01146', NULL, NULL, 'C1.2.2', NULL, 'C1.2.2', NULL, NULL, NULL, 5),
(22851, NULL, 'SFLDG01095', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 7', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 5),
(22852, NULL, 'SFLDF00157', NULL, NULL, '2,3-diketo-5-methylthiopentyl-1-phosphate enolase', NULL, '2,3-diketo-5-methylthiopentyl', NULL, NULL, 18307, 5),
(22853, NULL, 'SFLDF00273', NULL, NULL, '(dimethylallyl)adenosine tRNA methylthiotransferase (MiaB-like)', NULL, '(dimethylallyl)adenosine_tRNA', NULL, NULL, 4759, 5),
(22854, NULL, 'SFLDG01121', NULL, NULL, 'Diphthamide biosynthesis', NULL, 'Diphthamide_biosynthesis', NULL, NULL, NULL, 5),
(22855, NULL, 'SFLDG01280', NULL, NULL, 'HydE/PylB-like', NULL, 'HydE/PylB-like', NULL, NULL, NULL, 5),
(22856, NULL, 'SFLDG01139', NULL, NULL, 'C2.A: Pyridoxal Phosphate Phosphatase Like', NULL, 'C2.A:_Pyridoxal_Phosphate_Pho', NULL, NULL, NULL, 5),
(22857, NULL, 'SFLDF00546', NULL, NULL, 'neomycin C-like epimerase', NULL, 'neomycin_C-like_epimerase', NULL, NULL, NULL, 5),
(22858, NULL, 'SFLDG00010', NULL, NULL, 'C1.8: polynucleotide 5''-hydroxyl-kinase c-terminal phosphatase like', NULL, 'C1.8:_polynucleotide_5''-hydro', NULL, NULL, 37020, 5),
(22859, NULL, 'SFLDF00376', NULL, NULL, '7-carboxy-7-deazaguanine synthase, Cx14CxxC type', NULL, '7-carboxy-7-deazaguanine_synt', NULL, NULL, 25850, 5),
(22860, NULL, 'SFLDF00385', NULL, NULL, '7,8-dihydro-6-hydroxymethylpterin dimethylase', NULL, '7,8-dihydro-6-hydroxymethylpt', NULL, NULL, 20006, 5),
(22861, NULL, 'SFLDG01100', NULL, NULL, 'methyltransferase (Class D)', NULL, 'methyltransferase_(Class_D)', NULL, NULL, 20051, 5),
(22862, NULL, 'SFLDS00055', NULL, NULL, 'Pyruvoyl-Dependent Histidine/Arginine Decarboxylase', NULL, 'Pyruvoyl-Dependent_Histidine/', NULL, NULL, NULL, 5),
(22863, NULL, 'SFLDF00392', NULL, NULL, 'YjjI activase', NULL, 'YjjI_activase', NULL, NULL, 18597, 5),
(22864, NULL, 'SFLDG01088', NULL, NULL, 'antiviral proteins', NULL, 'antiviral_proteins', NULL, NULL, NULL, 5),
(22865, NULL, 'SFLDS00033', NULL, NULL, 'Radical SAM Phosphonate Metabolism', NULL, 'Radical_SAM_Phosphonate_Metab', NULL, NULL, NULL, 5),
(22866, NULL, 'SFLDF00557', NULL, NULL, '3,6-anhydro-alpha-L-galactonate cycloisomerase', NULL, '3,6-anhydro-alpha-L-galactona', NULL, NULL, 14624, 5),
(22867, NULL, 'SFLDS00113', NULL, NULL, 'Radical SAM Phosphomethylpyrimidine Synthase', NULL, 'Radical_SAM_Phosphomethylpyri', NULL, NULL, NULL, 5),
(22868, NULL, 'SFLDG01101', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 14', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, 29210, 5),
(22869, NULL, 'SFLDG01118', NULL, NULL, 'activating enzymes, group 2', NULL, 'activating_enzymes,_group_2', NULL, NULL, 34470, 5),
(22870, NULL, 'SFLDG01152', NULL, NULL, 'Main.3: Omega- and Tau-like', NULL, 'Main.3:_Omega-_and_Tau-like_', NULL, NULL, 38199, 5),
(22871, NULL, 'SFLDG01018', NULL, NULL, 'Squalene/Phytoene Synthase Like', NULL, 'Squalene/Phytoene_Synthase_Li', NULL, NULL, 5299, 5),
(22872, NULL, 'SFLDF00438', NULL, NULL, 'pactamycin methyltransferase (PctO-like)', NULL, 'pactamycin_methyltransferase_', NULL, NULL, NULL, 5),
(22873, NULL, 'SFLDG01113', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 4', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 5),
(22874, NULL, 'SFLDG01138', NULL, NULL, 'C1.6.2: Deoxy-d-mannose-octulosonate 8-phosphate Phosphatase Like', NULL, 'C1.6.2:_Deoxy-d-mannose-octul', NULL, NULL, 5068, 5),
(22875, NULL, 'SFLDF00035', NULL, NULL, 'phosphoglycolate phosphatase', NULL, 'phosphoglycolate_phosphatase', NULL, NULL, NULL, 5),
(22876, NULL, 'SFLDF00040', NULL, NULL, 'epoxide hydrolase n-terminal phosphatase', NULL, 'epoxide_hydrolase_n-terminal_', NULL, NULL, NULL, 5),
(22877, NULL, 'SFLDG01079', NULL, NULL, 'spore photoproduct lyase like', NULL, 'spore_photoproduct_lyase_like', NULL, NULL, NULL, 5),
(22878, NULL, 'SFLDG01058', NULL, NULL, 'lipoyl synthase like', NULL, 'lipoyl_synthase_like', NULL, NULL, NULL, 5),
(22879, NULL, 'SFLDG01605', NULL, NULL, 'Terpene Cyclase Like 1 N-term - Enzymatic', NULL, 'Terpene_Cyclase_Like_1_N-term', NULL, NULL, NULL, 5);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22880, NULL, 'SFLDF00463', NULL, NULL, 'AIM14', NULL, 'AIM14', NULL, NULL, NULL, 5),
(22881, NULL, 'SFLDG01205', NULL, NULL, 'AMPS.1', NULL, 'AMPS.1', NULL, NULL, NULL, 5),
(22882, NULL, 'SFLDF00336', NULL, NULL, 'quinohemoprotein amine dehydrogenase maturation protein (QhpD-like)', NULL, 'quinohemoprotein_amine_dehydr', NULL, NULL, 18490, 5),
(22883, NULL, 'SFLDG01083', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 1', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, 31344, 5),
(22884, NULL, 'SFLDF00315', NULL, NULL, 'antilisterial bacteriocin subtilosin biosynthesis protein (AlbA-like)', NULL, 'antilisterial_bacteriocin_sub', NULL, NULL, NULL, 5),
(22885, NULL, 'SFLDG01114', NULL, NULL, 'phosphomethylpyrimidine synthase (ThiC)', NULL, 'phosphomethylpyrimidine_synth', NULL, NULL, NULL, 5),
(22886, NULL, 'SFLDG01104', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 17', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, 8582, 5),
(22887, NULL, 'SFLDF00306', NULL, NULL, 'carbapenem intermediate methyltransferase (ThnL-like)', NULL, 'carbapenem_intermediate_methy', NULL, NULL, 31535, 5),
(22888, NULL, 'SFLDF00365', NULL, NULL, 'thuricin CD (TrnCD-like)', NULL, 'thuricin_CD_(TrnCD-like)', NULL, NULL, NULL, 5),
(22889, NULL, 'SFLDF00436', NULL, NULL, 'pactamycin C-methyltransferase (PctJ-like)', NULL, 'pactamycin_C-methyltransferas', NULL, NULL, NULL, 5),
(22890, NULL, 'SFLDF00348', NULL, NULL, '[FeFe] hydrogenase maturase (HydE-like)', NULL, '[FeFe]_hydrogenase_maturase_(', NULL, NULL, 15132, 5),
(22891, NULL, 'SFLDG01067', NULL, NULL, 'SPASM/twitch domain containing', NULL, 'SPASM/twitch_domain_containin', NULL, NULL, NULL, 5),
(22892, NULL, 'SFLDG01389', NULL, NULL, 'menaquinone synthsis involved', NULL, 'menaquinone_synthsis_involved', NULL, NULL, NULL, 5),
(22893, NULL, 'SFLDG01604', NULL, NULL, 'Terpene Cyclase Like 1 C Terminal Domain - Enzymatic', NULL, 'Terpene_Cyclase_Like_1_C_Term', NULL, NULL, NULL, 5),
(22894, NULL, 'SFLDF00434', NULL, NULL, '3-methyl-2-indolic acid methyltransferase (NocN/NosN like)', NULL, '3-methyl-2-indolic_acid_methy', NULL, NULL, 6441, 5),
(22895, NULL, 'SFLDF00300', NULL, NULL, '7-carboxy-7-deazaguanine synthase, Cx3CxxC type', NULL, '7-carboxy-7-deazaguanine_synt', NULL, NULL, 18966, 5),
(22896, NULL, 'SFLDG01145', NULL, NULL, 'C1.2.1', NULL, 'C1.2.1', NULL, NULL, NULL, 5),
(22897, NULL, 'SFLDF00349', NULL, NULL, '3-methylornithine synthase (PylB-like)', NULL, '3-methylornithine_synthase_(P', NULL, NULL, 8202, 5),
(22898, NULL, 'SFLDF00046', NULL, NULL, 'beta-phosphoglucomutase', NULL, 'beta-phosphoglucomutase', NULL, NULL, NULL, 5),
(22899, NULL, 'SFLDG01143', NULL, NULL, 'C2.B.3: Phosphomannomutase Like', NULL, 'C2.B.3:_Phosphomannomutase_Li', NULL, NULL, NULL, 5),
(22900, NULL, 'SFLDF00570', NULL, NULL, 'tungsten cofactor oxidoreducase radical SAM maturase', NULL, 'tungsten_cofactor_oxidoreduca', NULL, NULL, 23574, 5),
(22901, NULL, 'SFLDF00298', NULL, NULL, 'glycerol dehydratase activase', NULL, 'glycerol_dehydratase_activase', NULL, NULL, 30581, 5),
(22902, NULL, 'SFLDF00111', NULL, NULL, 'L-fuconate dehydratase', NULL, 'L-fuconate_dehydratase', NULL, NULL, 11820, 5),
(22903, NULL, 'SFLDF00002', NULL, NULL, 'enolase', NULL, 'enolase', NULL, NULL, 3112, 5),
(22904, NULL, 'SFLDF00379', NULL, NULL, 'Phosphonate metabolism (PhnJ)', NULL, 'Phosphonate_metabolism_(PhnJ)', NULL, NULL, 8169, 5),
(22905, NULL, 'SFLDF00418', NULL, NULL, 'pactamycin C-methyltransferase (PctN-like)', NULL, 'pactamycin_C-methyltransferas', NULL, NULL, NULL, 5),
(22906, NULL, 'SFLDF00552', NULL, NULL, 'xylonate dehydratase 1', NULL, 'xylonate_dehydratase_1', NULL, NULL, NULL, 5),
(22907, NULL, 'SFLDG00179', NULL, NULL, 'mandelate racemase', NULL, 'mandelate_racemase', NULL, NULL, NULL, 5),
(22908, NULL, 'SFLDG01091', NULL, NULL, 'uncharacterized CHP01210-like', NULL, 'uncharacterized_CHP01210-like', NULL, NULL, 438, 5),
(22909, NULL, 'SFLDG01278', NULL, NULL, 'biotin synthase like', NULL, 'biotin_synthase_like', NULL, NULL, NULL, 5),
(22910, NULL, 'SFLDF00005', NULL, NULL, 'glucarate dehydratase', NULL, 'glucarate_dehydratase', NULL, NULL, 9903, 5);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22911, NULL, 'SFLDG01168', NULL, NULL, 'Ferric reductase subgroup (FRE)', NULL, 'Ferric_reductase_subgroup_(FR', NULL, NULL, NULL, 5),
(22912, NULL, 'SFLDF00562', NULL, NULL, 'HemN-like, clustered with heat shock genes', NULL, 'HemN-like,_clustered_with_hea', NULL, NULL, 644, 5),
(22913, NULL, 'SFLDF00299', NULL, NULL, 'anaerobic ribonucleoside-triphosphate reductase activase', NULL, 'anaerobic_ribonucleoside-trip', NULL, NULL, 12848, 5),
(22914, NULL, 'SFLDF00271', NULL, NULL, 'lipoyl synthase', NULL, 'lipoyl_synthase', NULL, NULL, 2427, 5),
(22915, NULL, 'SFLDF00445', NULL, NULL, 'alpha-phosphomannomutase', NULL, 'alpha-phosphomannomutase', NULL, NULL, 516, 5),
(22916, NULL, 'SFLDG01099', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 12', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, 31467, 5),
(22917, NULL, 'SFLDF00162', NULL, NULL, 'galactarate dehydratase 2', NULL, 'galactarate_dehydratase_2', NULL, NULL, 31736, 5),
(22918, NULL, 'SFLDG01103', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 16', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, 8810, 5),
(22919, NULL, 'SFLDG01154', NULL, NULL, 'Main.5: Phi-like', NULL, 'Main.5:_Phi-like', NULL, NULL, NULL, 5),
(22920, NULL, 'SFLDF00281', NULL, NULL, 'FeMo cofactor biosynthesis protein (nifB-like)', NULL, 'FeMo_cofactor_biosynthesis_pr', NULL, NULL, NULL, 5),
(22921, NULL, 'SFLDF00037', NULL, NULL, 'glycerol-3-phosphate phosphatase', NULL, 'glycerol-3-phosphate_phosphat', NULL, NULL, NULL, 5),
(22922, NULL, 'SFLDG01125', NULL, NULL, 'C1.1: Acid Phosphatase Like', NULL, 'C1.1:_Acid_Phosphatase_Like', NULL, NULL, 6661, 5),
(22923, NULL, 'SFLDF00439', NULL, NULL, 'methylation of yatakemycin (YTK)', NULL, 'methylation_of_yatakemycin_(Y', NULL, NULL, 7448, 5),
(22924, NULL, 'SFLDG01020', NULL, NULL, 'Terpene Cyclase Like 2', NULL, 'Terpene_Cyclase_Like_2', NULL, NULL, 35190, 5),
(22925, NULL, 'SFLDG01141', NULL, NULL, 'C2.B.1: Sucrose Phosphatase Like', NULL, 'C2.B.1:_Sucrose_Phosphatase_L', NULL, NULL, NULL, 5),
(22926, NULL, 'SFLDS00070', NULL, NULL, 'SPOUT Methyltransferase', NULL, 'SPOUT_Methyltransferase', NULL, NULL, NULL, 5),
(22927, NULL, 'SFLDF00276', NULL, NULL, 'cyclic pyranopterin phosphate synthase (MoaA-like)', NULL, 'cyclic_pyranopterin_phosphate', NULL, NULL, NULL, 5),
(22928, NULL, 'SFLDG00002', NULL, NULL, 'C1.7: P-type atpase like', NULL, 'C1.7:_P-type_atpase_like', NULL, NULL, NULL, 5),
(22929, NULL, 'SFLDG01169', NULL, NULL, 'NADPH oxidase subgroup (NOX)', NULL, 'NADPH_oxidase_subgroup_(NOX)', NULL, NULL, NULL, 5),
(22930, NULL, 'SFLDF00329', NULL, NULL, 'gentamicin-like N-methyltransferase  (GntE-like)', NULL, 'gentamicin-like_N-methyltrans', NULL, NULL, 31880, 5),
(22931, NULL, 'SFLDF00407', NULL, NULL, 'phosphomethylpyrimidine synthase (ThiC)', NULL, 'phosphomethylpyrimidine_synth', NULL, NULL, 4714, 5),
(22932, NULL, 'SFLDG00178', NULL, NULL, 'enolase', NULL, 'enolase', NULL, NULL, NULL, 5),
(22933, NULL, 'SFLDF00009', NULL, NULL, 'o-succinylbenzoate synthase', NULL, 'o-succinylbenzoate_synthase', NULL, NULL, NULL, 5),
(22934, NULL, 'SFLDF00301', NULL, NULL, '2-iminoacetate synthase (ThiH)', NULL, '2-iminoacetate_synthase_(ThiH', NULL, NULL, 11728, 5),
(22935, NULL, 'SFLDG01127', NULL, NULL, 'C1.3: Acid Phosphatase Like', NULL, 'C1.3:_Acid_Phosphatase_Like', NULL, NULL, 5233, 5),
(22936, NULL, 'SFLDG01110', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 8', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, 34083, 5),
(22937, NULL, 'SFLDG01216', NULL, NULL, 'thioether bond formation requiring one auxiliary iron-sulfur cluster', NULL, 'thioether_bond_formation_requ', NULL, NULL, NULL, 5),
(22938, NULL, 'SFLDF00347', NULL, NULL, 'KxxxW cyclic peptide maturase (StrB-like)', NULL, 'KxxxW_cyclic_peptide_maturase', NULL, NULL, 11865, 5),
(22939, NULL, 'SFLDF00296', NULL, NULL, 'adenosine C8 methyltransferase (Cfr-like)', NULL, 'adenosine_C8_methyltransferas', NULL, NULL, 17077, 5),
(22940, NULL, 'SFLDF00554', NULL, NULL, 'L-lyxonate dehydratase', NULL, 'L-lyxonate_dehydratase', NULL, NULL, 1174, 5),
(22941, NULL, 'SFLDG01130', NULL, NULL, 'C1.5.1: Epoxide Hydrolase Phosphatase Like', NULL, 'C1.5.1:_Epoxide_Hydrolase_Pho', NULL, NULL, NULL, 5);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22942, NULL, 'SFLDF00543', NULL, NULL, 'alternative heme biosynthesis C (AhbC-like)', NULL, 'alternative_heme_biosynthesis', NULL, NULL, 21106, 5),
(22943, NULL, 'SFLDF00420', NULL, NULL, 'spectinomycin biosynthesis (SpcY-like)', NULL, 'spectinomycin_biosynthesis_(S', NULL, NULL, NULL, 5),
(22944, NULL, 'SFLDF00045', NULL, NULL, '2-haloacid dehalogenase', NULL, '2-haloacid_dehalogenase', NULL, NULL, NULL, 5),
(22945, NULL, 'SFLDG01052', NULL, NULL, 'RuBisCO', NULL, 'RuBisCO', NULL, NULL, NULL, 5),
(22946, NULL, 'SFLDF00563', NULL, NULL, 'galactarate dehydratase 3', NULL, 'galactarate_dehydratase_3', NULL, NULL, 5712, 5),
(22947, NULL, 'SFLDF00285', NULL, NULL, 'anaerobic Ser-type sulfatase-maturating enzyme', NULL, 'anaerobic_Ser-type_sulfatase-', NULL, NULL, 8809, 5),
(22948, NULL, 'SFLDG01133', NULL, NULL, 'C1.5.4: Enolase-phosphatase Like', NULL, 'C1.5.4:_Enolase-phosphatase_L', NULL, NULL, NULL, 5),
(22949, NULL, 'SFLDF00043', NULL, NULL, 'sucrose-phosphatase', NULL, 'sucrose-phosphatase', NULL, NULL, NULL, 5),
(22950, NULL, 'SFLDG01171', NULL, NULL, 'Pyruvoyl-dependent histidine decarboxylase', NULL, 'Pyruvoyl-dependent_histidine_', NULL, NULL, NULL, 5),
(22951, NULL, 'SFLDG01064', NULL, NULL, 'F420, menaquinone cofactor biosynthesis', NULL, 'F420,_menaquinone_cofactor_bi', NULL, NULL, NULL, 5),
(22952, NULL, 'SFLDG01066', NULL, NULL, 'organic radical-activating enzymes', NULL, 'organic_radical-activating_en', NULL, NULL, NULL, 5),
(22953, NULL, 'SFLDG01107', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 20', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, 15438, 5),
(22954, NULL, 'SFLDG01144', NULL, NULL, 'C2.B.4: PGP Like', NULL, 'C2.B.4:_PGP_Like', NULL, NULL, NULL, 5),
(22955, NULL, 'SFLDF00006', NULL, NULL, 'rhamnonate dehydratase', NULL, 'rhamnonate_dehydratase', NULL, NULL, 16191, 5),
(22956, NULL, 'SFLDG01200', NULL, NULL, 'SUF1.1', NULL, 'SUF1.1', NULL, NULL, 28732, 5),
(22957, NULL, 'SFLDG01061', NULL, NULL, 'methylthiotransferase', NULL, 'methylthiotransferase', NULL, NULL, 5564, 5),
(22958, NULL, 'SFLDF00001', NULL, NULL, 'mannonate dehydratase', NULL, 'mannonate_dehydratase', NULL, NULL, 9741, 5),
(22959, NULL, 'SFLDF00393', NULL, NULL, 'heme D1 biosynthesis (NirJ-like)', NULL, 'heme_D1_biosynthesis_(NirJ-li', NULL, NULL, 18742, 5),
(22960, NULL, 'SFLDG01015', NULL, NULL, 'Prenyltransferase Like 1', NULL, 'Prenyltransferase_Like_1', NULL, NULL, NULL, 5),
(22961, NULL, 'SFLDG01069', NULL, NULL, 'UPF0313', NULL, 'UPF0313', NULL, NULL, 14911, 5),
(22962, NULL, 'SFLDG01383', NULL, NULL, 'cyclic pyranopterin phosphate synthase (MoaA-like)', NULL, 'cyclic_pyranopterin_phosphate', NULL, NULL, NULL, 5),
(22963, NULL, 'SFLDF00342', NULL, NULL, 'cyclic dehypoxanthine futalosine synthase (mqnC-like)', NULL, 'cyclic_dehypoxanthine_futalos', NULL, NULL, NULL, 5),
(22964, NULL, 'SFLDF00290', NULL, NULL, 'glutamate 2,3-aminomutase', NULL, 'glutamate_2,3-aminomutase', NULL, NULL, 28122, 5),
(22965, NULL, 'SFLDG01132', NULL, NULL, 'C1.5.3: 5''-Nucleotidase Like', NULL, 'C1.5.3:_5''-Nucleotidase_Like', NULL, NULL, 4163, 5),
(22966, NULL, 'SFLDF00435', NULL, NULL, 'carbapenem intermediate methyltransferase (ThnK-like)', NULL, 'carbapenem_intermediate_methy', NULL, NULL, 31967, 5),
(22967, NULL, 'SFLDF00039', NULL, NULL, 'phosphoglycolate phosphatase 2', NULL, 'phosphoglycolate_phosphatase_', NULL, NULL, NULL, 5),
(22968, NULL, 'SFLDF00277', NULL, NULL, 'oxygen-independent coproporphyrinogen-III oxidase 1 (HemN-like)', NULL, 'oxygen-independent_coproporph', NULL, NULL, 4196, 5),
(22969, NULL, 'SFLDG01202', NULL, NULL, 'SUF2.2', NULL, 'SUF2.2', NULL, NULL, NULL, 5),
(22970, NULL, 'SFLDF00343', NULL, NULL, 'aminofutalosine synthase (mqnE-like)', NULL, 'aminofutalosine_synthase_(mqn', NULL, NULL, 12225, 5),
(22971, NULL, 'SFLDF00408', NULL, NULL, 'Diphthamide biosynthesis family (Dph2)', NULL, 'Diphthamide_biosynthesis_fami', NULL, NULL, NULL, 5),
(22972, NULL, 'SFLDF00417', NULL, NULL, 'gentamicin C-6'' methyltransferase (GenK-like)', NULL, 'gentamicin_C-6''_methyltransfe', NULL, NULL, 33814, 5);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(22973, NULL, 'SFLDG01071', NULL, NULL, 'tRNA wybutosine-synthesizing', NULL, 'tRNA_wybutosine-synthesizing', NULL, NULL, NULL, 5),
(22974, NULL, 'SFLDF00008', NULL, NULL, 'gluconate dehydratase', NULL, 'gluconate_dehydratase', NULL, NULL, 9578, 5),
(22975, NULL, 'SFLDF00283', NULL, NULL, 'L-lysine 2,3-aminomutase (LAM-like)', NULL, 'L-lysine_2,3-aminomutase_(LAM', NULL, NULL, 16177, 5),
(22976, NULL, 'SFLDS00003', NULL, NULL, 'Haloacid Dehalogenase', NULL, 'Haloacid_Dehalogenase', NULL, NULL, NULL, 5),
(22977, NULL, 'SFLDF00466', NULL, NULL, 'Pyruvoyl-dependent histidine decarboxylase', NULL, 'Pyruvoyl-dependent_histidine_', NULL, NULL, 5242, 5),
(22978, NULL, 'SFLDG01162', NULL, NULL, 'I', NULL, 'I_', NULL, NULL, NULL, 5),
(22979, NULL, 'SFLDG01115', NULL, NULL, 'Phosphonate metabolism (PhnJ)', NULL, 'Phosphonate_metabolism_(PhnJ)', NULL, NULL, NULL, 5),
(22980, NULL, 'SFLDG01135', NULL, NULL, 'C1.5.6: HAD, Beta-PGM, Phosphatase Like', NULL, 'C1.5.6:_HAD,_Beta-PGM,_Phosph', NULL, NULL, NULL, 5),
(22981, NULL, 'SFLDF00004', NULL, NULL, 'mandelate racemase', NULL, 'mandelate_racemase', NULL, NULL, 18169, 5),
(22982, NULL, 'SFLDF00515', NULL, NULL, 'sporulation killing factor protein (SkfB-like)', NULL, 'sporulation_killing_factor_pr', NULL, NULL, 27787, 5),
(22983, NULL, 'SFLDG01206', NULL, NULL, 'Xi.1', NULL, 'Xi.1', NULL, NULL, 19782, 5),
(22984, NULL, 'SFLDG01258', NULL, NULL, '(chloro)muconate cycloisomerase (syn) like', NULL, '(chloro)muconate_cycloisomera', NULL, NULL, 18770, 5),
(22985, NULL, 'SFLDF00003', NULL, NULL, 'D-galactonate dehydratase', NULL, 'D-galactonate_dehydratase', NULL, NULL, 16949, 5),
(22986, NULL, 'SFLDF00357', NULL, NULL, 'ExsD-like', NULL, 'ExsD-like', NULL, NULL, NULL, 5),
(22987, NULL, 'SFLDF00027', NULL, NULL, 'p-type atpase', NULL, 'p-type_atpase', NULL, NULL, 37248, 5),
(22988, NULL, 'SFLDF00294', NULL, NULL, '7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase (CofG-like)', NULL, '7,8-didemethyl-8-hydroxy-5-de', NULL, NULL, 18224, 5),
(22989, NULL, 'SFLDF00317', NULL, NULL, 'thioacetal methlytransferase (Swb9-like)', NULL, 'thioacetal_methlytransferase_', NULL, NULL, NULL, 5),
(22990, NULL, 'SFLDS00052', NULL, NULL, 'Ferric Reductase Domain', NULL, 'Ferric_Reductase_Domain', NULL, NULL, NULL, 5),
(22991, NULL, 'SFLDS00036', NULL, NULL, 'Aromatic Prenyltransferase', NULL, 'Aromatic_Prenyltransferase', NULL, NULL, 36314, 5),
(22992, NULL, 'SFLDG01134', NULL, NULL, 'C1.5.5: Heptose Bisphosphate Phosphatase Like', NULL, 'C1.5.5:_Heptose_Bisphosphate_', NULL, NULL, NULL, 5),
(22993, NULL, 'SFLDF00542', NULL, NULL, 'alternative heme biosynthesis D (AhbD-like)', NULL, 'alternative_heme_biosynthesis', NULL, NULL, 26884, 5),
(22994, NULL, 'SFLDF00042', NULL, NULL, 'mannosyl-3-phosphoglycerate phosphatase', NULL, 'mannosyl-3-phosphoglycerate_p', NULL, NULL, NULL, 5),
(22995, NULL, 'SFLDG01065', NULL, NULL, 'anaerobic coproporphyrinogen-III oxidase like', NULL, 'anaerobic_coproporphyrinogen-', NULL, NULL, NULL, 5),
(22996, NULL, 'SFLDG01150', NULL, NULL, 'Main.1: Beta-like', NULL, 'Main.1:_Beta-like', NULL, NULL, NULL, 5),
(22997, NULL, 'SFLDF00402', NULL, NULL, 'carbapenem intermediate methyltransferase (ThnP-like)', NULL, 'carbapenem_intermediate_methy', NULL, NULL, 30757, 5),
(22998, NULL, 'SFLDG01111', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 5', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, 8712, 5),
(22999, NULL, 'SFLDF00280', NULL, NULL, 'coenzyme PQQ synthesis protein E (PqqE-like)', NULL, 'coenzyme_PQQ_synthesis_protei', NULL, NULL, 14162, 5),
(23000, NULL, 'SFLDG01386', NULL, NULL, 'main SPASM domain-containing', NULL, 'main_SPASM_domain-containing', NULL, NULL, NULL, 5),
(23001, NULL, 'SFLDF00404', NULL, NULL, 'hopanetetrol cyclitol ether synthase', NULL, 'hopanetetrol_cyclitol_ether_s', NULL, NULL, 20195, 5),
(23002, NULL, 'SFLDG01211', NULL, NULL, 'Competence Regulatory Protein ComQ', NULL, 'Competence_Regulatory_Protein', NULL, NULL, 33760, 5),
(23003, NULL, 'SFLDF00416', NULL, NULL, 'fortimicin-like methyltransferase', NULL, 'fortimicin-like_methyltransfe', NULL, NULL, NULL, 5);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23004, NULL, 'SFLDF00155', NULL, NULL, 'muconate cycloisomerase (anti)', NULL, 'muconate_cycloisomerase_(anti', NULL, NULL, 11998, 5),
(23005, NULL, 'SFLDF00415', NULL, NULL, 'ladderane biosynthesis', NULL, 'ladderane_biosynthesis', NULL, NULL, NULL, 5),
(23006, NULL, 'SFLDG01384', NULL, NULL, 'thioether bond formation requiring two auxiliary iron-sulfur clusters', NULL, 'thioether_bond_formation_requ', NULL, NULL, 17360, 5),
(23007, NULL, 'SFLDG01119', NULL, NULL, 'spectinomycin biosynthesis (SpcY-like)', NULL, 'spectinomycin_biosynthesis_(S', NULL, NULL, 31991, 5),
(23008, NULL, 'SFLDG01129', NULL, NULL, 'C1.5: HAD, Beta-PGM, Phosphatase Like', NULL, 'C1.5:_HAD,_Beta-PGM,_Phosphat', NULL, NULL, NULL, 5),
(23009, NULL, 'SFLDF00555', NULL, NULL, 'cis-3-hydroxy-L-proline dehydratase', NULL, 'cis-3-hydroxy-L-proline_dehyd', NULL, NULL, 1290, 5),
(23010, NULL, 'SFLDG01181', NULL, NULL, 'SUF2', NULL, 'SUF2', NULL, NULL, NULL, 5),
(23011, NULL, 'SFLDF00031', NULL, NULL, '2-deoxyglucose-6-phosphatase', NULL, '2-deoxyglucose-6-phosphatase', NULL, NULL, NULL, 5),
(23012, NULL, 'SFLDF00044', NULL, NULL, 'enolase-phosphatase', NULL, 'enolase-phosphatase', NULL, NULL, 10068, 5),
(23013, NULL, 'SFLDG01136', NULL, NULL, 'C1.6: Phosphoserine Phosphatase Like', NULL, 'C1.6:_Phosphoserine_Phosphata', NULL, NULL, NULL, 5),
(23014, NULL, 'SFLDF00029', NULL, NULL, 'phosphoserine phosphatase', NULL, 'phosphoserine_phosphatase', NULL, NULL, 7007, 5),
(23015, NULL, 'SFLDS00019', NULL, NULL, 'Glutathione Transferase (cytosolic)', NULL, 'Glutathione_Transferase_(cyto', NULL, NULL, 29918, 5),
(23016, NULL, 'SFLDF00423', NULL, NULL, 'chondrochloren A methyltransferase (CndI-like)', NULL, 'chondrochloren_A_methyltransf', NULL, NULL, 33725, 5),
(23017, NULL, 'SFLDG01163', NULL, NULL, 'II', NULL, 'II', NULL, NULL, 15890, 5),
(23018, NULL, 'SFLDG01108', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 21', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, 31361, 5),
(23019, NULL, 'SFLDF00284', NULL, NULL, 'tRNA wybutosine-synthesizing', NULL, 'tRNA_wybutosine-synthesizing', NULL, NULL, 9139, 5),
(23020, NULL, 'SFLDF00292', NULL, NULL, 'spore photoproduct lyase 1', NULL, 'spore_photoproduct_lyase_1', NULL, NULL, 9583, 5),
(23021, NULL, 'SFLDG01131', NULL, NULL, 'C1.5.2: MDP Like', NULL, 'C1.5.2:_MDP_Like', NULL, NULL, NULL, 5),
(23022, NULL, 'SFLDG01021', NULL, NULL, 'Trichodiene Synthase Like', NULL, 'Trichodiene_Synthase_Like', NULL, NULL, 11188, 5),
(23023, NULL, 'SFLDF00425', NULL, NULL, 'dTDP-4-amino-4,6-dideoxy-D-glucose ammonia-lyase (DesII-like)', NULL, 'dTDP-4-amino-4,6-dideoxy-D-gl', NULL, NULL, 16003, 5),
(23024, NULL, 'SFLDF00041', NULL, NULL, 'mdp-1', NULL, 'mdp-1', NULL, NULL, NULL, 5),
(23025, NULL, 'SFLDF00279', NULL, NULL, '4-hydroxyphenylacetate decarboxylase activase', NULL, '4-hydroxyphenylacetate_decarb', NULL, NULL, 6891, 5),
(23026, NULL, 'SFLDF00326', NULL, NULL, '5''''-pyrrole methytransferase', NULL, '5''''-pyrrole_methytransferase', NULL, NULL, 24452, 5),
(23027, NULL, 'SFLDF00319', NULL, NULL, '[Fe] hydrogenase maturase (HydG-like)', NULL, '[Fe]_hydrogenase_maturase_(Hy', NULL, NULL, 16080, 5),
(23028, NULL, 'SFLDF00311', NULL, NULL, 'heme degradation proteins (HutW/ChuW-like)', NULL, 'heme_degradation_proteins_(Hu', NULL, NULL, 24092, 5),
(23029, NULL, 'SFLDG01014', NULL, NULL, 'Terpene Cyclase Like 1 N-term', NULL, 'Terpene_Cyclase_Like_1_N-term', NULL, NULL, NULL, 5),
(23030, NULL, 'SFLDF00553', NULL, NULL, 'galactarolactone cycloisomerase', NULL, 'galactarolactone_cycloisomera', NULL, NULL, 1334, 5),
(23031, NULL, 'SFLDG01102', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 15', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, 17290, 5),
(23032, NULL, 'SFLDG01387', NULL, NULL, 'BtrN-like SPASM domain containing', NULL, 'BtrN-like_SPASM_domain_contai', NULL, NULL, 32585, 5),
(23033, NULL, 'SFLDF00289', NULL, NULL, 'anaerobic Cys-type sulfatase-maturating enzyme', NULL, 'anaerobic_Cys-type_sulfatase-', NULL, NULL, 14724, 5),
(23034, NULL, 'SFLDF00424', NULL, NULL, '2-deoxy-scyllo-inosamine dehydrogenase (BtrN-like)', NULL, '2-deoxy-scyllo-inosamine_dehy', NULL, NULL, 33891, 5);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23035, NULL, 'SFLDF00324', NULL, NULL, 'bacteriocin maturation', NULL, 'bacteriocin_maturation', NULL, NULL, 11630, 5),
(23036, NULL, 'SFLDG01060', NULL, NULL, 'BATS domain containing', NULL, 'BATS_domain_containing', NULL, NULL, NULL, 5),
(23037, NULL, 'SFLDF00293', NULL, NULL, '((2,3,4,5-tetrahydroxypentyl)amino)dihydropyrimidine-2,4-dione synthase (CofH-like)', NULL, '((2,3,4,5-tetrahydroxypentyl)', NULL, NULL, 18483, 5),
(23038, NULL, 'SFLDF00344', NULL, NULL, 'ELP3-like', NULL, 'ELP3-like', NULL, NULL, 35193, 5),
(23039, NULL, 'SFLDF00403', NULL, NULL, 'phosphonoacetaldehyde methylase (fom3-like)', NULL, 'phosphonoacetaldehyde_methyla', NULL, NULL, 6632, 5),
(23040, NULL, 'SFLDF00471', NULL, NULL, 'Pyruvoyl-dependent arginine decarboxylase', NULL, 'Pyruvoyl-dependent_arginine_d', NULL, NULL, NULL, 5),
(23041, NULL, 'SFLDS00005', NULL, NULL, 'Isoprenoid Synthase Type I', NULL, 'Isoprenoid_Synthase_Type_I', NULL, NULL, NULL, 5),
(23042, NULL, 'SFLDG01086', NULL, NULL, 'elongater protein-like', NULL, 'elongater_protein-like', NULL, NULL, NULL, 5),
(23043, NULL, 'SFLDG01117', NULL, NULL, 'AviX12-like', NULL, 'AviX12-like', NULL, NULL, NULL, 5),
(23044, NULL, 'SFLDG01279', NULL, NULL, 'HMD cofactor maturase (HmdB-like)', NULL, 'HMD_cofactor_maturase_(HmdB-l', NULL, NULL, NULL, 5),
(23045, NULL, 'SFLDF00432', NULL, NULL, 'pyrimidine ring methyltransferase (bleomycin-like antibiotic biosynthesis)', NULL, 'pyrimidine_ring_methyltransfe', NULL, NULL, 395, 5),
(23046, NULL, 'SFLDG01137', NULL, NULL, 'C1.6.1: Phosphoserine Phosphatase Like', NULL, 'C1.6.1:_Phosphoserine_Phospha', NULL, NULL, NULL, 5),
(23047, NULL, 'SFLDF00303', NULL, NULL, 'hopanoid C2-methyltransferase (HpnP-like)', NULL, 'hopanoid_C2-methyltransferase', NULL, NULL, 7404, 5),
(23048, NULL, 'SFLDF00310', NULL, NULL, 'oxygen-independent coproporphyrinogen-III oxidase 2 (HemZ-like)', NULL, 'oxygen-independent_coproporph', NULL, NULL, 18639, 5),
(23049, NULL, 'SFLDG01179', NULL, NULL, 'Complement C3/C4 Like', NULL, 'Complement_C3/C4_Like', NULL, NULL, NULL, 5),
(23050, NULL, 'SFLDG01388', NULL, NULL, '7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase', NULL, '7,8-didemethyl-8-hydroxy-5-de', NULL, NULL, NULL, 5),
(23051, NULL, 'SFLDF00116', NULL, NULL, 'N-succinylamino acid racemase', NULL, 'N-succinylamino_acid_racemase', NULL, NULL, NULL, 5),
(23052, NULL, 'SFLDF00118', NULL, NULL, 'D-tartrate dehydratase', NULL, 'D-tartrate_dehydratase', NULL, NULL, 11758, 5),
(23053, NULL, 'SFLDF00429', NULL, NULL, 'UDP-N-acetyl-tunicamine-uracil synthase (TunB-like)', NULL, 'UDP-N-acetyl-tunicamine-uraci', NULL, NULL, 31988, 5),
(23054, NULL, 'SFLDF00314', NULL, NULL, 'L-lysine 2,3-aminomutase (yjeK like)', NULL, 'L-lysine_2,3-aminomutase_(yje', NULL, NULL, 16407, 5),
(23055, NULL, 'SFLDF00134', NULL, NULL, 'L-talarate/galactarate dehydratase', NULL, 'L-talarate/galactarate_dehydr', NULL, NULL, 31899, 5),
(23056, NULL, 'SFLDF00156', NULL, NULL, 'D-arabinonate dehydratase', NULL, 'D-arabinonate_dehydratase', NULL, NULL, NULL, 5),
(23057, NULL, 'SFLDG01068', NULL, NULL, 'FeMo cofactor biosynthesis protein', NULL, 'FeMo_cofactor_biosynthesis_pr', NULL, NULL, NULL, 5),
(23058, NULL, 'SFLDF00571', NULL, NULL, 'Tte1186a maturase', NULL, 'Tte1186a_maturase', NULL, NULL, 9416, 5),
(23059, NULL, 'SFLDG01217', NULL, NULL, 'B12-binding methylthiotransferase like', NULL, 'B12-binding_methylthiotransfe', NULL, NULL, 11923, 5),
(23060, NULL, 'SFLDG01123', NULL, NULL, 'methyltransferase (Class B)', NULL, 'methyltransferase_(Class_B)', NULL, NULL, 20268, 5),
(23061, NULL, 'SFLDG01385', NULL, NULL, 'heme carboxy lyase like', NULL, 'heme_carboxy_lyase_like', NULL, NULL, 21264, 5),
(23062, NULL, 'SFLDG01180', NULL, NULL, 'SUF1', NULL, 'SUF1', NULL, NULL, NULL, 5),
(23063, NULL, 'SFLDF00412', NULL, NULL, 'spore photoproduct lyase 2', NULL, 'spore_photoproduct_lyase_2', NULL, NULL, 9604, 5),
(23064, NULL, 'SFLDG01072', NULL, NULL, 'dehydrogenase like', NULL, 'dehydrogenase_like', NULL, NULL, NULL, 5),
(23065, NULL, 'SFLDF00516', NULL, NULL, 'thurincin H (ThnB-like)', NULL, 'thurincin_H_(ThnB-like)', NULL, NULL, NULL, 5);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23066, NULL, 'SFLDG01097', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 10', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, 26757, 5),
(23067, NULL, 'SFLDG01019', NULL, NULL, 'Terpene Cyclase Like 1 C Terminal Domain', NULL, 'Terpene_Cyclase_Like_1_C_Term', NULL, NULL, 8188, 5),
(23068, NULL, 'SFLDG01183', NULL, NULL, 'Grx2-like', NULL, 'Grx2-like', NULL, NULL, NULL, 5),
(23069, NULL, 'SFLDG01109', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 22', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 5),
(23070, NULL, 'SFLDG01142', NULL, NULL, 'C2.B.2: Mannosyl-3-phosphoglycerate Phosphatase Like', NULL, 'C2.B.2:_Mannosyl-3-phosphogly', NULL, NULL, 5516, 5),
(23071, NULL, 'SFLDG01082', NULL, NULL, 'B12-binding domain containing', NULL, 'B12-binding_domain_containing', NULL, NULL, NULL, 5),
(23072, NULL, 'SFLDG01084', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 2', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, 31100, 5),
(23073, NULL, 'SFLDG00363', NULL, NULL, 'AMPS (cytGST): Alpha-, Mu-, Pi-, and Sigma-like', NULL, 'AMPS_(cytGST):_Alpha-,_Mu-,_P', NULL, NULL, NULL, 5),
(23074, NULL, 'SFLDF00414', NULL, NULL, 'bacteriochlorophyll C12 methyltransferase', NULL, 'bacteriochlorophyll_C12_methy', NULL, NULL, 8721, 5),
(23075, NULL, 'SFLDF00564', NULL, NULL, 'xylonate dehydratase 2', NULL, 'xylonate_dehydratase_2', NULL, NULL, 5991, 5),
(23076, NULL, 'SFLDF00158', NULL, NULL, '5-methylthio-D-ribulose 1-phosphate isomerase', NULL, '5-methylthio-D-ribulose_1-pho', NULL, NULL, NULL, 5),
(23077, NULL, 'SFLDF00316', NULL, NULL, 'C-terminal tyrosine decarboxylase (MftC-like)', NULL, 'C-terminal_tyrosine_decarboxy', NULL, NULL, 18918, 5),
(23078, NULL, 'SFLDS00057', NULL, NULL, 'Glutaminase/Asparaginase', NULL, 'Glutaminase/Asparaginase', NULL, NULL, NULL, 5),
(23079, NULL, 'SFLDG01153', NULL, NULL, 'Main.4: Theta-like', NULL, 'Main.4:_Theta-like', NULL, NULL, NULL, 5),
(23080, NULL, 'SFLDF00270', NULL, NULL, 'L-galactonate dehydratase', NULL, 'L-galactonate_dehydratase', NULL, NULL, NULL, 5),
(23081, NULL, 'SFLDF00318', NULL, NULL, 'Viperin', NULL, 'Viperin', NULL, NULL, NULL, 5),
(23082, NULL, 'SFLDF00430', NULL, NULL, 'OxsB-like', NULL, 'OxsB-like', NULL, NULL, 7324, 5),
(23083, NULL, 'SFLDF00464', NULL, NULL, 'Ferric/cupric reductase', NULL, 'Ferric/cupric_reductase', NULL, NULL, NULL, 5),
(23084, NULL, 'SFLDG01070', NULL, NULL, 'PLP-dependent', NULL, 'PLP-dependent', NULL, NULL, 2459, 5),
(23085, NULL, 'SFLDF00397', NULL, NULL, 'adenosyl-hopene transferase', NULL, 'adenosyl-hopene_transferase', NULL, NULL, 20482, 5),
(23086, NULL, 'SFLDS00032', NULL, NULL, 'Radical SAM 3-amino-3-carboxypropyl Radical Forming', NULL, 'Radical_SAM_3-amino-3-carboxy', NULL, NULL, 15685, 5),
(23087, NULL, 'SFLDG01081', NULL, NULL, 'cleavage of the Ca-Cb bond in aromatic amino acids', NULL, 'cleavage_of_the_Ca-Cb_bond_in', NULL, NULL, NULL, 5),
(23088, NULL, 'SFLDS00029', NULL, NULL, 'Radical SAM', NULL, 'Radical_SAM', NULL, NULL, 1051, 5),
(23089, NULL, 'SFLDG01062', NULL, NULL, 'methyltransferase (Class A)', NULL, 'methyltransferase_(Class_A)', NULL, NULL, NULL, 5),
(23090, NULL, 'SFLDG00180', NULL, NULL, 'muconate cycloisomerase', NULL, 'muconate_cycloisomerase', NULL, NULL, NULL, 5),
(23091, NULL, 'SFLDS00001', NULL, NULL, 'Enolase', NULL, 'Enolase', NULL, NULL, NULL, 5),
(23092, NULL, 'SFLDF00007', NULL, NULL, 'methylaspartate ammonia-lyase', NULL, 'methylaspartate_ammonia-lyase', NULL, NULL, 5729, 5),
(23093, NULL, 'SFLDG01126', NULL, NULL, 'C1.2: Nucleotidase Like', NULL, 'C1.2:_Nucleotidase_Like', NULL, NULL, NULL, 5),
(23094, NULL, 'SFLDG01201', NULL, NULL, 'SUF2.1', NULL, 'SUF2.1', NULL, NULL, NULL, 5),
(23095, NULL, 'SFLDS00028', NULL, NULL, 'Proline Racemase', NULL, 'Proline_Racemase', NULL, NULL, 14135, 5),
(23096, NULL, 'SFLDF00565', NULL, NULL, 'hopanoid C3-methyltransferase (HpnR-like)', NULL, 'hopanoid_C3-methyltransferase', NULL, NULL, 24049, 5),
(23097, NULL, 'SFLDG01016', NULL, NULL, 'Prenyltransferase Like 2', NULL, 'Prenyltransferase_Like_2', NULL, NULL, 20660, 5);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23098, NULL, 'SFLDF00446', NULL, NULL, 'phosphoglycolate phosphatase 3', NULL, 'phosphoglycolate_phosphatase_', NULL, NULL, NULL, 5),
(23099, NULL, 'SFLDG01203', NULL, NULL, 'Prostaglandin E synthase like.1', NULL, 'Prostaglandin_E_synthase_like', NULL, NULL, 20323, 5),
(23100, NULL, 'SFLDF00275', NULL, NULL, 'adenosine C2 methyltransferase (RlmN-like)', NULL, 'adenosine_C2_methyltransferas', NULL, NULL, 5507, 5),
(23101, NULL, 'SFLDG01116', NULL, NULL, 'DesII-like', NULL, 'DesII-like', NULL, NULL, NULL, 5),
(23102, NULL, 'SFLDF00322', NULL, NULL, 'tryptophan 2-C-methyltransferase', NULL, 'tryptophan_2-C-methyltransfer', NULL, NULL, 27368, 5),
(23103, NULL, 'SFLDF00517', NULL, NULL, 'cytosylglucuronate decarboxylase', NULL, 'cytosylglucuronate_decarboxyl', NULL, NULL, 27691, 5),
(23104, NULL, 'SFLDF00274', NULL, NULL, 'ribosomal protein S12 methylthiotransferase (RimO-like)', NULL, 'ribosomal_protein_S12_methylt', NULL, NULL, 5585, 5),
(23105, NULL, 'SFLDF00032', NULL, NULL, 'trehalose-phosphatase', NULL, 'trehalose-phosphatase', NULL, NULL, NULL, 5),
(23106, NULL, 'SFLDF00302', NULL, NULL, 'anaerobic magnesium-protoporphyrin-IX monomethyl ester cyclase', NULL, 'anaerobic_magnesium-protoporp', NULL, NULL, NULL, 5),
(23107, NULL, 'SFLDF00288', NULL, NULL, 'HemN-like, clustered with nucleoside-triphosphate RdgB', NULL, 'HemN-like,_clustered_with_nuc', NULL, NULL, NULL, 5),
(23108, NULL, 'SFLDG01094', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 6', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, 12709, 5),
(23109, NULL, 'SFLDF00330', NULL, NULL, 'HMD cofactor maturase (HmdB-like)', NULL, 'HMD_cofactor_maturase_(HmdB-l', NULL, NULL, 17620, 5),
(23110, NULL, 'SFLDG01140', NULL, NULL, 'C2.B: Phosphomannomutase and Phosphatase Like', NULL, 'C2.B:_Phosphomannomutase_and_', NULL, NULL, NULL, 5),
(23111, NULL, 'SFLDF00028', NULL, NULL, 'histidinol-phosphatase', NULL, 'histidinol-phosphatase', NULL, NULL, NULL, 5),
(23112, NULL, 'SFLDG00033', NULL, NULL, 'mannonate dehydratase', NULL, 'mannonate_dehydratase', NULL, NULL, 9688, 5),
(23113, NULL, 'SFLDF00569', NULL, NULL, 'pcfB-like', NULL, 'pcfB-like', NULL, NULL, NULL, 5),
(23114, NULL, 'SFLDF00010', NULL, NULL, 'dipeptide epimerase', NULL, 'dipeptide_epimerase', NULL, NULL, 11337, 5),
(23115, NULL, 'SFLDF00291', NULL, NULL, 'arginine 2,3-aminomutase', NULL, 'arginine_2,3-aminomutase', NULL, NULL, 27619, 5),
(23116, NULL, 'SFLDG01170', NULL, NULL, 'Pyruvoyl-dependent arginine decarboxylase', NULL, 'Pyruvoyl-dependent_arginine_d', NULL, NULL, 3660, 5),
(23117, NULL, 'SFLDF00036', NULL, NULL, 'deoxy-d-mannose-octulosonate 8-phosphate phosphatase', NULL, 'deoxy-d-mannose-octulosonate_', NULL, NULL, NULL, 5),
(23118, NULL, 'SFLDG00301', NULL, NULL, 'RuBisCO-like proteins', NULL, 'RuBisCO-like_proteins', NULL, NULL, NULL, 5),
(23119, NULL, 'SFLDF00154', NULL, NULL, 'N-succinylamino acid racemase 2', NULL, 'N-succinylamino_acid_racemase', NULL, NULL, NULL, 5),
(23120, NULL, 'SFLDG00358', NULL, NULL, 'Main (cytGST)', NULL, 'Main_(cytGST)', NULL, NULL, NULL, 5),
(23121, NULL, 'SFLDG01063', NULL, NULL, 'activating enzymes, group 1', NULL, 'activating_enzymes,_group_1', NULL, NULL, NULL, 5),
(23122, NULL, 'SFLDG00151', NULL, NULL, 'methylaspartate ammonia-lyase', NULL, 'methylaspartate_ammonia-lyase', NULL, NULL, NULL, 5),
(23123, NULL, 'SFLDF00307', NULL, NULL, 'bacteriochlorophyll C8 methyltransferase', NULL, 'bacteriochlorophyll_C8_methyl', NULL, NULL, 8859, 5),
(23124, NULL, 'SFLDG01098', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 11', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 5),
(23125, NULL, 'SFLDF00038', NULL, NULL, 'phosphonoacetaldehyde hydrolase', NULL, 'phosphonoacetaldehyde_hydrola', NULL, NULL, NULL, 5),
(23126, NULL, 'SFLDF00297', NULL, NULL, 'benzylsuccinate synthase activase', NULL, 'benzylsuccinate_synthase_acti', NULL, NULL, 33125, 5),
(23127, NULL, 'SFLDF00419', NULL, NULL, '3-methyl-2-indolic acid synthase (NosL)', NULL, '3-methyl-2-indolic_acid_synth', NULL, NULL, 21963, 5),
(23128, NULL, 'SFLDF00422', NULL, NULL, 'valine cyclopropanase', NULL, 'valine_cyclopropanase', NULL, NULL, NULL, 5);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23129, NULL, 'SFLDF00421', NULL, NULL, 'avilamycin epimerase', NULL, 'avilamycin_epimerase', NULL, NULL, 30735, 5),
(23130, NULL, 'SFLDG01212', NULL, NULL, 'Phytoene synthase like', NULL, 'Phytoene_synthase_like', NULL, NULL, 36998, 5),
(23131, NULL, 'SFLDG01017', NULL, NULL, 'Polyprenyl Transferase Like', NULL, 'Polyprenyl_Transferase_Like', NULL, NULL, NULL, 5),
(23132, NULL, 'SFLDF00295', NULL, NULL, 'threonylcarbamoyladenosine tRNA methylthiotransferase', NULL, 'threonylcarbamoyladenosine_tR', NULL, NULL, 9340, 5),
(23133, NULL, 'SFLDF00556', NULL, NULL, '4R-hydroxyproline betaine 2-epimerase', NULL, '4R-hydroxyproline_betaine_2-e', NULL, NULL, 1708, 5),
(23134, NULL, 'SFLDG00055', NULL, NULL, 'glucarate dehydratase', NULL, 'glucarate_dehydratase', NULL, NULL, NULL, 5),
(23135, NULL, 'O', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6),
(23136, NULL, 'inside', NULL, NULL, 'inside cell region', NULL, NULL, NULL, NULL, NULL, 6),
(23137, NULL, 'outside', NULL, NULL, 'outside cell region', NULL, NULL, NULL, NULL, NULL, 6),
(23138, NULL, 'TMhelix', NULL, NULL, 'Region of a membrane-bound protein predicted to be embedded in the membrane.', NULL, NULL, NULL, NULL, NULL, 6),
(23139, NULL, 'NON_CYTOPLASMIC_DOMAIN', NULL, NULL, 'Region of a membrane-bound protein predicted to be outside the membrane, in the extracellular region.', NULL, 'Non cytoplasmic domain', NULL, NULL, NULL, 7),
(23140, NULL, 'SIGNAL_PEPTIDE_N_REGION', NULL, NULL, 'N-terminal region of a signal peptide.', NULL, 'Signal peptide N-region', NULL, NULL, NULL, 7),
(23141, NULL, 'SIGNAL_PEPTIDE_H_REGION', NULL, NULL, 'Hydrophobic region of a signal peptide.', NULL, 'Signal peptide H-region', NULL, NULL, NULL, 7),
(23142, NULL, 'SIGNAL_PEPTIDE_C_REGION', NULL, NULL, 'C-terminal region of a signal peptide.', NULL, 'Signal peptide C-region', NULL, NULL, NULL, 7),
(23143, NULL, 'TRANSMEMBRANE', NULL, NULL, 'Region of a membrane-bound protein predicted to be embedded in the membrane.', NULL, 'Transmembrane region', NULL, NULL, NULL, 7),
(23144, NULL, 'CYTOPLASMIC_DOMAIN', NULL, NULL, 'Region of a membrane-bound protein predicted to be outside the membrane, in the cytoplasm.', NULL, 'Cytoplasmic domain', NULL, NULL, NULL, 7),
(23145, NULL, 'SIGNAL_PEPTIDE', NULL, NULL, 'Signal peptide region', NULL, 'Signal Peptide', NULL, NULL, NULL, 7),
(23146, NULL, 'PF01570', NULL, NULL, 'Flavivirus polyprotein propeptide', NULL, 'Flavi_propep', NULL, NULL, 517, 8),
(23147, NULL, 'PF16094', NULL, NULL, 'Proteasome assembly chaperone 4', NULL, 'PAC1', NULL, NULL, 18422, 8),
(23148, NULL, 'PF02173', NULL, NULL, 'pKID domain', NULL, 'pKID', NULL, NULL, 4806, 8),
(23149, NULL, 'PF00292', NULL, NULL, '''Paired box'' domain', NULL, 'PAX', NULL, NULL, 5940, 8),
(23150, NULL, 'PF04278', NULL, NULL, 'Tic22-like family', NULL, 'Tic22', NULL, NULL, 5928, 8),
(23151, NULL, 'PF10257', NULL, NULL, 'Retinoic acid induced 16-like protein', NULL, 'RAI16-like', NULL, NULL, 15823, 8),
(23152, NULL, 'PF17745', NULL, NULL, 'Ydr279p protein triple barrel domain', NULL, 'Ydr279_N', NULL, NULL, 31315, 8),
(23153, NULL, 'PF08370', NULL, NULL, 'Plant PDR ABC transporter associated', NULL, 'PDR_assoc', NULL, NULL, 12336, 8),
(23154, NULL, 'PF03668', NULL, NULL, 'P-loop ATPase protein family', NULL, 'ATP_bind_2', NULL, NULL, 6341, 8),
(23155, NULL, 'PF13797', NULL, NULL, 'Post-transcriptional regulator', NULL, 'Post_transc_reg', NULL, NULL, 25029, 8),
(23156, NULL, 'PF15018', NULL, NULL, 'TRP-interacting helix', NULL, 'InaF-motif', NULL, NULL, 29436, 8),
(23157, NULL, 'PF07821', NULL, NULL, 'Alpha-amylase C-terminal beta-sheet domain', NULL, 'Alpha-amyl_C2', NULL, NULL, 12954, 8),
(23158, NULL, 'PF13508', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_7', NULL, NULL, 1672, 8),
(23159, NULL, 'PF12725', NULL, NULL, 'Protein of unknown function (DUF3810)', NULL, 'DUF3810', NULL, NULL, 13638, 8),
(23160, NULL, 'PF13949', NULL, NULL, 'ALIX V-shaped domain binding to HIV', NULL, 'ALIX_LYPXL_bnd', NULL, NULL, 23704, 8),
(23161, NULL, 'PF08729', NULL, NULL, 'HPC2 and ubinuclein domain', NULL, 'HUN', NULL, NULL, 11983, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23162, NULL, 'PF19977', NULL, NULL, 'xRRM domain', NULL, 'xRRM', NULL, NULL, 39656, 8),
(23163, NULL, 'PF14510', NULL, NULL, 'ABC-transporter N-terminal', NULL, 'ABC_trans_N', NULL, NULL, 24123, 8),
(23164, NULL, 'PF03496', NULL, NULL, 'ADP-ribosyltransferase exoenzyme', NULL, 'ADPrib_exo_Tox', NULL, NULL, 7186, 8),
(23165, NULL, 'PF13110', NULL, NULL, 'Protein of unknown function (DUF3966)', NULL, 'DUF3966', NULL, NULL, 23768, 8),
(23166, NULL, 'PF08728', NULL, NULL, 'CRT10', NULL, 'CRT10', NULL, NULL, 11524, 8),
(23167, NULL, 'PF20088', NULL, NULL, 'Family of unknown function (DUF6480)', NULL, 'DUF6480', NULL, NULL, 39778, 8),
(23168, NULL, 'PF04332', NULL, NULL, 'Protein of unknown function (DUF475)', NULL, 'DUF475', NULL, NULL, 3971, 8),
(23169, NULL, 'PF07782', NULL, NULL, 'DC-STAMP-like protein', NULL, 'DC_STAMP', NULL, NULL, 12546, 8),
(23170, NULL, 'PF06426', NULL, NULL, 'Serine acetyltransferase, N-terminal', NULL, 'SATase_N', NULL, NULL, 10054, 8),
(23171, NULL, 'PF05149', NULL, NULL, 'Paraflagellar rod protein', NULL, 'Flagellar_rod', NULL, NULL, 2008, 8),
(23172, NULL, 'PF03455', NULL, NULL, 'dDENN domain', NULL, 'dDENN', NULL, NULL, 10714, 8),
(23173, NULL, 'PF17032', NULL, NULL, 'zinc-ribbon family', NULL, 'zinc_ribbon_15', NULL, NULL, 23173, 8),
(23174, NULL, 'PF09129', NULL, NULL, 'Cholesterol oxidase, substrate-binding', NULL, 'Chol_subst-bind', NULL, NULL, 10810, 8),
(23175, NULL, 'PF10572', NULL, NULL, 'UPF0556 domain', NULL, 'UPF0556', NULL, NULL, 21324, 8),
(23176, NULL, 'PF13561', NULL, NULL, 'Enoyl-(Acyl carrier protein) reductase', NULL, 'adh_short_C2', NULL, NULL, NULL, 8),
(23177, NULL, 'PF14595', NULL, NULL, 'Thioredoxin', NULL, 'Thioredoxin_9', NULL, NULL, NULL, 8),
(23178, NULL, 'PF19505', NULL, NULL, 'Family of unknown function (DUF6039)', NULL, 'DUF6039', NULL, NULL, 39206, 8),
(23179, NULL, 'PF17187', NULL, NULL, 'Svf1-like C-terminal lipocalin-like domain', NULL, 'Svf1_C', NULL, NULL, 29642, 8),
(23180, NULL, 'PF17013', NULL, NULL, 'Putative acetyl-transferase', NULL, 'Acetyltransf_15', NULL, NULL, 23115, 8),
(23181, NULL, 'PF07154', NULL, NULL, 'Protein of unknown function (DUF1392)', NULL, 'DUF1392', NULL, NULL, 13578, 8),
(23182, NULL, 'PF11024', NULL, NULL, 'Dispersed gene family protein 1 of Trypanosoma cruzi region 4', NULL, 'DGF-1_4', NULL, NULL, 15189, 8),
(23183, NULL, 'PF11266', NULL, NULL, 'Long-chain fatty aldehyde decarbonylase', NULL, 'Ald_deCOase', NULL, NULL, 16920, 8),
(23184, NULL, 'PF17456', NULL, NULL, 'Toxin-coregulated pilus protein S', NULL, 'TcpS', NULL, NULL, 19015, 8),
(23185, NULL, 'PF10008', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2251)', NULL, 'DUF2251', NULL, NULL, 9567, 8),
(23186, NULL, 'PF02820', NULL, NULL, 'mbt repeat', NULL, 'MBT', NULL, NULL, 1933, 8),
(23187, NULL, 'PF09589', NULL, NULL, 'HrpA pilus formation protein', NULL, 'HrpA_pilin', NULL, NULL, 15771, 8),
(23188, NULL, 'PF04079', NULL, NULL, 'Segregation and condensation complex subunit ScpB', NULL, 'SMC_ScpB', NULL, NULL, 11460, 8),
(23189, NULL, 'PF16738', NULL, NULL, 'Starch-binding module 26', NULL, 'CBM26', NULL, NULL, 23563, 8),
(23190, NULL, 'PF11648', NULL, NULL, 'C-terminal domain of RIG-I', NULL, 'RIG-I_C-RD', NULL, NULL, 19244, 8),
(23191, NULL, 'PF07338', NULL, NULL, 'Protein of unknown function (DUF1471)', NULL, 'DUF1471', NULL, NULL, 11960, 8),
(23192, NULL, 'PF12754', NULL, NULL, 'Blt1 N-terminal domain', NULL, 'Blt1', NULL, NULL, NULL, 8),
(23193, NULL, 'PF03344', NULL, NULL, 'Daxx N-terminal Rassf1C-interacting domain', NULL, 'Daxx', NULL, NULL, 22382, 8),
(23194, NULL, 'PF13352', NULL, NULL, 'Protein of unknown function (DUF4100)', NULL, 'DUF4100', NULL, NULL, 27805, 8),
(23195, NULL, 'PF06469', NULL, NULL, 'Domain of Unknown Function (DUF1088)', NULL, 'DUF1088', NULL, NULL, 10674, 8),
(23196, NULL, 'PF17180', NULL, NULL, 'Zinc-binding domain', NULL, 'zf-3CxxC_2', NULL, NULL, 31966, 8),
(23197, NULL, 'PF05585', NULL, NULL, 'Putative peptidase (DUF1758)', NULL, 'DUF1758', NULL, NULL, 12051, 8),
(23198, NULL, 'PF19009', NULL, NULL, 'Family of unknown function (DUF5738)', NULL, 'DUF5738', NULL, NULL, 37814, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23199, NULL, 'PF10258', NULL, NULL, 'PHAX RNA-binding domain', NULL, 'RNA_GG_bind', NULL, NULL, 15937, 8),
(23200, NULL, 'PF13776', NULL, NULL, 'Domain of unknown function (DUF4172)', NULL, 'DUF4172', NULL, NULL, 23956, 8),
(23201, NULL, 'PF08071', NULL, NULL, 'RS4NT (NUC023) domain', NULL, 'RS4NT', NULL, NULL, 12439, 8),
(23202, NULL, 'PF09045', NULL, NULL, 'L27_2', NULL, 'L27_2', NULL, NULL, 9577, 8),
(23203, NULL, 'PF07412', NULL, NULL, 'Geminin', NULL, 'Geminin', NULL, NULL, 14813, 8),
(23204, NULL, 'PF18061', NULL, NULL, 'CRISPR-Cas9 WED domain', NULL, 'CRISPR_Cas9_WED', NULL, NULL, 30515, 8),
(23205, NULL, 'PF10293', NULL, NULL, 'Domain of unknown function (DUF2405)', NULL, 'DUF2405', NULL, NULL, 16882, 8),
(23206, NULL, 'PF19897', NULL, NULL, 'Family of unknown function (DUF6370)', NULL, 'DUF6370', NULL, NULL, 39092, 8),
(23207, NULL, 'PF09792', NULL, NULL, 'Ubiquitin 3 binding protein But2 C-terminal domain', NULL, 'But2', NULL, NULL, 16117, 8),
(23208, NULL, 'PF04839', NULL, NULL, 'Plastid and cyanobacterial ribosomal protein (PSRP-3 / Ycf65)', NULL, 'PSRP-3_Ycf65', NULL, NULL, 5155, 8),
(23209, NULL, 'PF08481', NULL, NULL, 'GBS Bsp-like repeat', NULL, 'GBS_Bsp-like', NULL, NULL, 13824, 8),
(23210, NULL, 'PF05346', NULL, NULL, 'Eukaryotic membrane protein family', NULL, 'DUF747', NULL, NULL, 5420, 8),
(23211, NULL, 'PF18307', NULL, NULL, 'Transcription factor Tfb2 (p52) C-terminal domain', NULL, 'Tfb2_C', NULL, NULL, 29810, 8),
(23212, NULL, 'PF17150', NULL, NULL, 'C-terminal domain of two-partite extracellular sensor domain', NULL, 'CHASE6_C', NULL, NULL, 31924, 8),
(23213, NULL, 'PF15650', NULL, NULL, 'Restriction endonuclease fold toxin 9', NULL, 'Tox-REase-9', NULL, NULL, 26196, 8),
(23214, NULL, 'PF12994', NULL, NULL, 'Domain of unknown function, E. rectale Gene description (DUF3878)', NULL, 'DUF3878', NULL, NULL, 25652, 8),
(23215, NULL, 'PF13613', NULL, NULL, 'Helix-turn-helix of DDE superfamily endonuclease', NULL, 'HTH_Tnp_4', NULL, NULL, 24915, 8),
(23216, NULL, 'PF16169', NULL, NULL, 'Domain of unknown function (DUF4872)', NULL, 'DUF4872', NULL, NULL, 25594, 8),
(23217, NULL, 'PF14580', NULL, NULL, 'Leucine-rich repeat', NULL, 'LRR_9', NULL, NULL, NULL, 8),
(23218, NULL, 'PF05451', NULL, NULL, 'Phytoreovirus nonstructural protein Pns10/11', NULL, 'Phytoreo_Pns', NULL, NULL, 12476, 8),
(23219, NULL, 'PF06404', NULL, NULL, 'Phytosulfokine precursor protein (PSK)', NULL, 'PSK', NULL, NULL, 8373, 8),
(23220, NULL, 'PF17369', NULL, NULL, 'Family of unknown function (DUF5391)', NULL, 'DUF5391', NULL, NULL, 18091, 8),
(23221, NULL, 'PF05560', NULL, NULL, 'Bacillus thuringiensis P21 molecular chaperone protein', NULL, 'Bt_P21', NULL, NULL, 8818, 8),
(23222, NULL, 'PF09158', NULL, NULL, 'Bacteriophage T4 MotA, C-terminal', NULL, 'MotCF', NULL, NULL, 12889, 8),
(23223, NULL, 'PF04312', NULL, NULL, 'Protein of unknown function (DUF460)', NULL, 'DUF460', NULL, NULL, 3525, 8),
(23224, NULL, 'PF10487', NULL, NULL, 'Nucleoporin subcomplex protein binding to Pom34', NULL, 'Nup188', NULL, NULL, 21478, 8),
(23225, NULL, 'PF13406', NULL, NULL, 'Transglycosylase SLT domain', NULL, 'SLT_2', NULL, NULL, 21809, 8),
(23226, NULL, 'PF10116', NULL, NULL, 'Protein required for attachment to host cells', NULL, 'Host_attach', NULL, NULL, 20080, 8),
(23227, NULL, 'PF06378', NULL, NULL, 'Protein of unknown function (DUF1071)', NULL, 'DUF1071', NULL, NULL, 8225, 8),
(23228, NULL, 'PF13791', NULL, NULL, 'Sigma factor regulator C-terminal', NULL, 'Sigma_reg_C', NULL, NULL, 25468, 8),
(23229, NULL, 'PF08347', NULL, NULL, 'N-terminal CTNNB1 binding', NULL, 'CTNNB1_binding', NULL, NULL, 13126, 8),
(23230, NULL, 'PF13779', NULL, NULL, 'Domain of unknown function (DUF4175)', NULL, 'DUF4175', NULL, NULL, 11654, 8),
(23231, NULL, 'PF19393', NULL, NULL, 'Family of unknown function (DUF5968)', NULL, 'DUF5968', NULL, NULL, 37994, 8),
(23232, NULL, 'PF03395', NULL, NULL, 'Poxvirus P4A protein', NULL, 'Pox_P4A', NULL, NULL, 2494, 8),
(23233, NULL, 'PF01335', NULL, NULL, 'Death effector domain', NULL, 'DED', NULL, NULL, 4463, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23234, NULL, 'PF12016', NULL, NULL, 'Stonin 2', NULL, 'Stonin2_N', NULL, NULL, 14999, 8),
(23235, NULL, 'PF07545', NULL, NULL, 'Vestigial/Tondu family', NULL, 'Vg_Tdu', NULL, NULL, 12628, 8),
(23236, NULL, 'PF12601', NULL, NULL, 'Rubivirus non-structural protein', NULL, 'Rubi_NSP_C', NULL, NULL, 21460, 8),
(23237, NULL, 'PF09550', NULL, NULL, 'Phage tail assembly chaperone protein, TAC', NULL, 'Phage_TAC_6', NULL, NULL, 16767, 8),
(23238, NULL, 'PF16101', NULL, NULL, 'Proline-rich membrane anchor 1', NULL, 'PRIMA1', NULL, NULL, NULL, 8),
(23239, NULL, 'PF11815', NULL, NULL, 'Domain of unknown function (DUF3336)', NULL, 'DUF3336', NULL, NULL, 19758, 8),
(23240, NULL, 'PF19037', NULL, NULL, 'Second Longin domain of FUZ, MON1 and HPS1', NULL, 'Fuz_longin_2', NULL, NULL, 37146, 8),
(23241, NULL, 'PF00036', NULL, NULL, 'EF hand', NULL, 'EF-hand_1', NULL, NULL, 1197, 8),
(23242, NULL, 'PF13114', NULL, NULL, 'RecO N terminal', NULL, 'RecO_N_2', NULL, NULL, 16522, 8),
(23243, NULL, 'PF19963', NULL, NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 1', NULL, 'VMAP-M1', NULL, NULL, 38767, 8),
(23244, NULL, 'PF05318', NULL, NULL, 'Tombusvirus movement protein', NULL, 'Tombus_movement', NULL, NULL, 4226, 8),
(23245, NULL, 'PF18440', NULL, NULL, 'Putative GlcNAc-1 phosphotransferase regulatory domain', NULL, 'GlcNAc-1_reg', NULL, NULL, 32194, 8),
(23246, NULL, 'PF13516', NULL, NULL, 'Leucine Rich repeat', NULL, 'LRR_6', NULL, NULL, 5460, 8),
(23247, NULL, 'PF10541', NULL, NULL, 'Nuclear envelope localisation domain', NULL, 'KASH', NULL, NULL, 11997, 8),
(23248, NULL, 'PF05216', NULL, NULL, 'UNC-50 family', NULL, 'UNC-50', NULL, NULL, 3350, 8),
(23249, NULL, 'PF00177', NULL, NULL, 'Ribosomal protein S7p/S5e', NULL, 'Ribosomal_S7', NULL, NULL, 17856, 8),
(23250, NULL, 'PF04289', NULL, NULL, 'Protein of unknown function (DUF447)', NULL, 'DUF447', NULL, NULL, 6494, 8),
(23251, NULL, 'PF16928', NULL, NULL, 'DNA/protein translocase of phage P22 injectosome', NULL, 'Inj_translocase', NULL, NULL, 26780, 8),
(23252, NULL, 'PF18311', NULL, NULL, 'Exosome complex exonuclease Rrp40 N-terminal domain', NULL, 'Rrp40_N', NULL, NULL, 31087, 8),
(23253, NULL, 'PF16123', NULL, NULL, 'Hydroxyacylglutathione hydrolase C-terminus', NULL, 'HAGH_C', NULL, NULL, 26890, 8),
(23254, NULL, 'PF20064', NULL, NULL, 'Family of unknown function (DUF6463)', NULL, 'DUF6463', NULL, NULL, 39568, 8),
(23255, NULL, 'PF02041', NULL, NULL, 'Auxin binding protein', NULL, 'Auxin_BP', NULL, NULL, 5665, 8),
(23256, NULL, 'PF14486', NULL, NULL, 'Domain of unknown function (DUF4432)', NULL, 'DUF4432', NULL, NULL, 28366, 8),
(23257, NULL, 'PF00760', NULL, NULL, 'Cucumovirus coat protein', NULL, 'Cucumo_coat', NULL, NULL, 17504, 8),
(23258, NULL, 'PF15737', NULL, NULL, 'Domain of unknown function (DUF4685)', NULL, 'DUF4685', NULL, NULL, 22955, 8),
(23259, NULL, 'PF03438', NULL, NULL, 'Pneumovirus NS1 protein', NULL, 'Pneumo_NS1', NULL, NULL, 10993, 8),
(23260, NULL, 'PF14334', NULL, NULL, 'Domain of unknown function (DUF4390)', NULL, 'DUF4390', NULL, NULL, 28015, 8),
(23261, NULL, 'PF17903', NULL, NULL, 'Krr1 KH1 domain', NULL, 'KH_8', NULL, NULL, 31495, 8),
(23262, NULL, 'PF01458', NULL, NULL, 'SUF system FeS cluster assembly, SufBD', NULL, 'SUFBD', NULL, NULL, 304, 8),
(23263, NULL, 'PF12149', NULL, NULL, 'Herpes simplex virus virion protein 16 C terminal', NULL, 'HSV_VP16_C', NULL, NULL, 15083, 8),
(23264, NULL, 'PF03034', NULL, NULL, 'Phosphatidyl serine synthase', NULL, 'PSS', NULL, NULL, 4841, 8),
(23265, NULL, 'PF00589', NULL, NULL, 'Phage integrase family', NULL, 'Phage_integrase', NULL, NULL, 1038, 8),
(23266, NULL, 'PF18071', NULL, NULL, 'HMW1C N-terminal', NULL, 'HMW1C_N', NULL, NULL, 31713, 8),
(23267, NULL, 'PF00668', NULL, NULL, 'Condensation domain', NULL, 'Condensation', NULL, NULL, 654, 8),
(23268, NULL, 'PF03946', NULL, NULL, 'Ribosomal protein L11, N-terminal domain', NULL, 'Ribosomal_L11_N', NULL, NULL, 21001, 8),
(23269, NULL, 'PF01505', NULL, NULL, 'Major Vault Protein repeat domain', NULL, 'Vault', NULL, NULL, 31651, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23270, NULL, 'PF16653', NULL, NULL, 'Saccharopine dehydrogenase C-terminal domain', NULL, 'Sacchrp_dh_C', NULL, NULL, 23807, 8),
(23271, NULL, 'PF06454', NULL, NULL, 'Protein of unknown function (DUF1084)', NULL, 'DUF1084', NULL, NULL, 9090, 8),
(23272, NULL, 'PF16734', NULL, NULL, 'Type IV pilin-like G and H, putative', NULL, 'Pilin_GH', NULL, NULL, 25295, 8),
(23273, NULL, 'PF11532', NULL, NULL, 'HnRNP M nuclear localisation signal', NULL, 'HnRNP_M_NLS', NULL, NULL, 5756, 8),
(23274, NULL, 'PF10656', NULL, NULL, 'Hypothetical protein of unknown function (DUF2483)', NULL, 'DUF2483', NULL, NULL, 15053, 8),
(23275, NULL, 'PF20020', NULL, NULL, 'Domain of unknown function (DUF6431)', NULL, 'DUF6431', NULL, NULL, 38992, 8),
(23276, NULL, 'PF04956', NULL, NULL, 'TrbC/VIRB2 pilin', NULL, 'TrbC', NULL, NULL, 6794, 8),
(23277, NULL, 'PF09029', NULL, NULL, '5-aminolevulinate synthase presequence', NULL, 'Preseq_ALAS', NULL, NULL, 9980, 8),
(23278, NULL, 'PF15892', NULL, NULL, 'BNR repeat-containing family member', NULL, 'BNR_4', NULL, NULL, NULL, 8),
(23279, NULL, 'PF06809', NULL, NULL, 'Neural proliferation differentiation control-1 protein (NPDC1)', NULL, 'NPDC1', NULL, NULL, 11346, 8),
(23280, NULL, 'PF19006', NULL, NULL, 'Family of unknown function (DUF5735)', NULL, 'DUF5735', NULL, NULL, 38095, 8),
(23281, NULL, 'PF16491', NULL, NULL, 'CAAX prenyl protease N-terminal, five membrane helices', NULL, 'Peptidase_M48_N', NULL, NULL, 23566, 8),
(23282, NULL, 'PF06175', NULL, NULL, 'tRNA-(MS[2]IO[6]A)-hydroxylase (MiaE)', NULL, 'MiaE', NULL, NULL, 9951, 8),
(23283, NULL, 'PF07740', NULL, NULL, 'Ion channel inhibitory toxin', NULL, 'Toxin_12', NULL, NULL, 10763, 8),
(23284, NULL, 'PF11748', NULL, NULL, 'Protein of unknown function (DUF3306)', NULL, 'DUF3306', NULL, NULL, 19787, 8),
(23285, NULL, 'PF08130', NULL, NULL, 'Type A lantibiotic family', NULL, 'Antimicrobial18', NULL, NULL, 12807, 8),
(23286, NULL, 'PF03814', NULL, NULL, 'Potassium-transporting ATPase A subunit', NULL, 'KdpA', NULL, NULL, 2037, 8),
(23287, NULL, 'PF19655', NULL, NULL, 'Family of unknown function (DUF6158)', NULL, 'DUF6158', NULL, NULL, 39723, 8),
(23288, NULL, 'PF14281', NULL, NULL, 'PD-(D/E)XK nuclease superfamily', NULL, 'PDDEXK_4', NULL, NULL, 28730, 8),
(23289, NULL, 'PF16308', NULL, NULL, 'Domain of unknown function (DUF4950)', NULL, 'DUF4950', NULL, NULL, 27762, 8),
(23290, NULL, 'PF17425', NULL, NULL, 'Arylsulfotransferase Ig-like domain', NULL, 'Arylsulfotran_N', NULL, NULL, 14989, 8),
(23291, NULL, 'PF09452', NULL, NULL, 'ESCRT-I subunit Mvb12', NULL, 'Mvb12', NULL, NULL, 16151, 8),
(23292, NULL, 'PF19950', NULL, NULL, 'Family of unknown function (DUF6412)', NULL, 'DUF6412', NULL, NULL, 38768, 8),
(23293, NULL, 'PF05393', NULL, NULL, 'Human adenovirus early E3A glycoprotein', NULL, 'Hum_adeno_E3A', NULL, NULL, 13445, 8),
(23294, NULL, 'PF06178', NULL, NULL, 'Oligogalacturonate-specific porin protein (KdgM)', NULL, 'KdgM', NULL, NULL, 14982, 8),
(23295, NULL, 'PF06455', NULL, NULL, 'NADH dehydrogenase subunit 5 C-terminus', NULL, 'NADH5_C', NULL, NULL, 7888, 8),
(23296, NULL, 'PF14039', NULL, NULL, 'YusW-like protein', NULL, 'YusW', NULL, NULL, 25193, 8),
(23297, NULL, 'PF09330', NULL, NULL, 'D-lactate dehydrogenase, membrane binding', NULL, 'Lact-deh-memb', NULL, NULL, 14455, 8),
(23298, NULL, 'PF12175', NULL, NULL, 'White spot syndrome virus structural envelope protein VP', NULL, 'WSS_VP', NULL, NULL, 20956, 8),
(23299, NULL, 'PF17641', NULL, NULL, 'Ancylostoma-associated secreted protein related', NULL, 'ASPRs', NULL, NULL, 31662, 8),
(23300, NULL, 'PF00353', NULL, NULL, 'RTX calcium-binding nonapeptide repeat (4 copies)', NULL, 'HemolysinCabind', NULL, NULL, 7474, 8),
(23301, NULL, 'PF12991', NULL, NULL, 'Domain of unknown function, B. Theta Gene description (DUF3875)', NULL, 'DUF3875', NULL, NULL, 25840, 8),
(23302, NULL, 'PF07885', NULL, NULL, 'Ion channel', NULL, 'Ion_trans_2', NULL, NULL, 18614, 8),
(23303, NULL, 'PF15762', NULL, NULL, 'Domain of unknown function (DUF4691)', NULL, 'DUF4691', NULL, NULL, 28816, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23304, NULL, 'PF02167', NULL, NULL, 'Cytochrome C1 family', NULL, 'Cytochrom_C1', NULL, NULL, 6792, 8),
(23305, NULL, 'PF09938', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2170)', NULL, 'DUF2170', NULL, NULL, 19468, 8),
(23306, NULL, 'PF15765', NULL, NULL, 'Domain of unknown function (DUF4694)', NULL, 'DUF4694', NULL, NULL, 28981, 8),
(23307, NULL, 'PF06601', NULL, NULL, 'Orthopoxvirus F6 protein', NULL, 'Orthopox_F6', NULL, NULL, 10173, 8),
(23308, NULL, 'PF14136', NULL, NULL, 'Domain of unknown function (DUF4303)', NULL, 'DUF4303', NULL, NULL, 28109, 8),
(23309, NULL, 'PF06348', NULL, NULL, 'Protein of unknown function (DUF1059)', NULL, 'DUF1059', NULL, NULL, 8187, 8),
(23310, NULL, 'PF08109', NULL, NULL, 'Lactocin 705 family', NULL, 'Antimicrobial14', NULL, NULL, 12898, 8),
(23311, NULL, 'PF05316', NULL, NULL, 'Mitochondrial ribosomal protein (VAR1)', NULL, 'VAR1', NULL, NULL, 4435, 8),
(23312, NULL, 'PF10833', NULL, NULL, 'Protein of unknown function (DUF2572)', NULL, 'DUF2572', NULL, NULL, 16849, 8),
(23313, NULL, 'PF02638', NULL, NULL, 'Glycosyl hydrolase-like 10', NULL, 'GHL10', NULL, NULL, 6057, 8),
(23314, NULL, 'PF08919', NULL, NULL, 'F-actin binding', NULL, 'F_actin_bind', NULL, NULL, 7995, 8),
(23315, NULL, 'PF07182', NULL, NULL, 'Protein of unknown function (DUF1402)', NULL, 'DUF1402', NULL, NULL, 13621, 8),
(23316, NULL, 'PF10054', NULL, NULL, 'Predicted periplasmic lipoprotein (DUF2291)', NULL, 'DUF2291', NULL, NULL, 8130, 8),
(23317, NULL, 'PF00220', NULL, NULL, 'Neurohypophysial hormones, N-terminal Domain', NULL, 'Hormone_4', NULL, NULL, 21262, 8),
(23318, NULL, 'PF14448', NULL, NULL, 'Nuclease N terminal', NULL, 'Nuc_N', NULL, NULL, 24784, 8),
(23319, NULL, 'PF16894', NULL, NULL, 'Domain of unknown function (DUF5084)', NULL, 'DUF5084', NULL, NULL, 23242, 8),
(23320, NULL, 'PF01492', NULL, NULL, 'Geminivirus C4 protein', NULL, 'Gemini_C4', NULL, NULL, 836, 8),
(23321, NULL, 'PF12815', NULL, NULL, 'Spt5 C-terminal nonapeptide repeat binding Spt4', NULL, 'CTD', NULL, NULL, NULL, 8),
(23322, NULL, 'PF03607', NULL, NULL, 'Doublecortin', NULL, 'DCX', NULL, NULL, 7285, 8),
(23323, NULL, 'PF11230', NULL, NULL, 'Protein of unknown function (DUF3029)', NULL, 'DUF3029', NULL, NULL, 17065, 8),
(23324, NULL, 'PF14197', NULL, NULL, 'Centrosome localisation domain of PPC89', NULL, 'Cep57_CLD_2', NULL, NULL, 22343, 8),
(23325, NULL, 'PF02872', NULL, NULL, '5''-nucleotidase, C-terminal domain', NULL, '5_nucleotid_C', NULL, NULL, 12440, 8),
(23326, NULL, 'PF07723', NULL, NULL, 'Leucine Rich Repeat', NULL, 'LRR_2', NULL, NULL, 18739, 8),
(23327, NULL, 'PF18967', NULL, NULL, 'Family of unknown function (DUF5706)', NULL, 'DUF5706', NULL, NULL, 37617, 8),
(23328, NULL, 'PF10703', NULL, NULL, 'MoaF N-terminal domain', NULL, 'MoaF', NULL, NULL, 1362, 8),
(23329, NULL, 'PF11212', NULL, NULL, 'Protein of unknown function (DUF2999)', NULL, 'DUF2999', NULL, NULL, 18443, 8),
(23330, NULL, 'PF11844', NULL, NULL, 'Domain of unknown function (DUF3364)', NULL, 'DUF3364', NULL, NULL, 22220, 8),
(23331, NULL, 'PF02742', NULL, NULL, 'Iron dependent repressor, metal binding and dimerisation domain', NULL, 'Fe_dep_repr_C', NULL, NULL, 7293, 8),
(23332, NULL, 'PF05537', NULL, NULL, 'Borrelia burgdorferi protein of unknown function (DUF759)', NULL, 'DUF759', NULL, NULL, 12211, 8),
(23333, NULL, 'PF06683', NULL, NULL, 'Protein of unknown function (DUF1184)', NULL, 'DUF1184', NULL, NULL, 799, 8),
(23334, NULL, 'PF15856', NULL, NULL, 'Domain of unknown function (DUF4727)', NULL, 'DUF4727', NULL, NULL, 27282, 8),
(23335, NULL, 'PF17937', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_28', NULL, NULL, 33214, 8),
(23336, NULL, 'PF10052', NULL, NULL, 'Protein of unknown function (DUF2288)', NULL, 'DUF2288', NULL, NULL, 18912, 8),
(23337, NULL, 'PF15114', NULL, NULL, 'Uncharacterised protein family UPF0640', NULL, 'UPF0640', NULL, NULL, 21717, 8),
(23338, NULL, 'PF01856', NULL, NULL, 'Helicobacter outer membrane protein', NULL, 'HP_OMP', NULL, NULL, 3949, 8),
(23339, NULL, 'PF16548', NULL, NULL, 'Flagellar assembly protein T, N-terminal domain', NULL, 'FlgT_N', NULL, NULL, 28905, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23340, NULL, 'PF01085', NULL, NULL, 'Hedgehog amino-terminal signalling domain', NULL, 'HH_signal', NULL, NULL, 717, 8),
(23341, NULL, 'PF04685', NULL, NULL, 'Glycosyl-hydrolase family 116, catalytic region', NULL, 'DUF608', NULL, NULL, 3396, 8),
(23342, NULL, 'PF05383', NULL, NULL, 'La domain', NULL, 'La', NULL, NULL, 1203, 8),
(23343, NULL, 'PF06959', NULL, NULL, 'RecQ helicase protein-like 5 (RecQ5)', NULL, 'RecQ5', NULL, NULL, 10298, 8),
(23344, NULL, 'PF20061', NULL, NULL, 'Family of unknown function (DUF6460)', NULL, 'DUF6460', NULL, NULL, 38813, 8),
(23345, NULL, 'PF02553', NULL, NULL, 'Cobalt transport protein component CbiN', NULL, 'CbiN', NULL, NULL, 6472, 8),
(23346, NULL, 'PF15481', NULL, NULL, 'Chondroitin proteoglycan 4', NULL, 'CPG4', NULL, NULL, 27634, 8),
(23347, NULL, 'PF09413', NULL, NULL, 'Putative prokaryotic signal transducing protein', NULL, 'DUF2007', NULL, NULL, 15140, 8),
(23348, NULL, 'PF11991', NULL, NULL, 'Tryptophan dimethylallyltransferase', NULL, 'Trp_DMAT', NULL, NULL, 19205, 8),
(23349, NULL, 'PF01075', NULL, NULL, 'Glycosyltransferase family 9 (heptosyltransferase)', NULL, 'Glyco_transf_9', NULL, NULL, 21, 8),
(23350, NULL, 'PF11415', NULL, NULL, 'Antifungal peptide termicin', NULL, 'Toxin_37', NULL, NULL, 27646, 8),
(23351, NULL, 'PF07250', NULL, NULL, 'Glyoxal oxidase N-terminus', NULL, 'Glyoxal_oxid_N', NULL, NULL, 14681, 8),
(23352, NULL, 'PF18580', NULL, NULL, 'SUN2 helix-turn-helix domain', NULL, 'HTH_SUN2', NULL, NULL, 30937, 8),
(23353, NULL, 'PF14303', NULL, NULL, 'No apical meristem-associated C-terminal domain', NULL, 'NAM-associated', NULL, NULL, 28555, 8),
(23354, NULL, 'PF04424', NULL, NULL, 'MINDY deubiquitinase', NULL, 'MINDY_DUB', NULL, NULL, 27136, 8),
(23355, NULL, 'PF06385', NULL, NULL, 'Baculovirus LEF-11 protein', NULL, 'Baculo_LEF-11', NULL, NULL, 8437, 8),
(23356, NULL, 'PF12607', NULL, NULL, 'Protein of unknown function (DUF3772)', NULL, 'DUF3772', NULL, NULL, 21161, 8),
(23357, NULL, 'PF18789', NULL, NULL, 'Defence against restriction A C-terminal', NULL, 'DarA_C', NULL, NULL, 31545, 8),
(23358, NULL, 'PF12213', NULL, NULL, 'DNA polymerases epsilon N terminal', NULL, 'Dpoe2NT', NULL, NULL, 5911, 8),
(23359, NULL, 'PF16818', NULL, NULL, 'Protein SLM4', NULL, 'SLM4', NULL, NULL, 19760, 8),
(23360, NULL, 'PF08905', NULL, NULL, 'Domain of unknown function (DUF1850)', NULL, 'DUF1850', NULL, NULL, 7991, 8),
(23361, NULL, 'PF02731', NULL, NULL, 'SKIP/SNW domain', NULL, 'SKIP_SNW', NULL, NULL, 533, 8),
(23362, NULL, 'PF02333', NULL, NULL, 'Phytase', NULL, 'Phytase', NULL, NULL, 5383, 8),
(23363, NULL, 'PF12643', NULL, NULL, 'MazG-like family', NULL, 'MazG-like', NULL, NULL, 27381, 8),
(23364, NULL, 'PF03770', NULL, NULL, 'Inositol polyphosphate kinase', NULL, 'IPK', NULL, NULL, 1946, 8),
(23365, NULL, 'PF02011', NULL, NULL, 'Glycosyl hydrolase family 48', NULL, 'Glyco_hydro_48', NULL, NULL, 5985, 8),
(23366, NULL, 'PF17721', NULL, NULL, 'Family of unknown function (DUF5566)', NULL, 'DUF5566', NULL, NULL, 35285, 8),
(23367, NULL, 'PF16681', NULL, NULL, 'Ig-like domain on T-cell surface glycoprotein CD3 epsilon chain', NULL, 'Ig_5', NULL, NULL, NULL, 8),
(23368, NULL, 'PF03232', NULL, NULL, 'Ubiquinone biosynthesis protein COQ7', NULL, 'COQ7', NULL, NULL, 8153, 8),
(23369, NULL, 'PF04846', NULL, NULL, 'Herpesvirus pp38 phosphoprotein', NULL, 'Herpes_pp38', NULL, NULL, 5144, 8),
(23370, NULL, 'PF10486', NULL, NULL, 'Phosphoinositide 3-kinase gamma adapter protein p101 subunit', NULL, 'PI3K_1B_p101', NULL, NULL, 18540, 8),
(23371, NULL, 'PF12906', NULL, NULL, 'RING-variant domain', NULL, 'RINGv', NULL, NULL, 9358, 8),
(23372, NULL, 'PF00416', NULL, NULL, 'Ribosomal protein S13/S18', NULL, 'Ribosomal_S13', NULL, NULL, 4451, 8),
(23373, NULL, 'PF03778', NULL, NULL, 'Protein of unknown function (DUF321)', NULL, 'DUF321', NULL, NULL, 1975, 8),
(23374, NULL, 'PF18714', NULL, NULL, 'DNA polymerase II intein Domain IV', NULL, 'PI-TkoII_IV', NULL, NULL, 31525, 8),
(23375, NULL, 'PF10553', NULL, NULL, 'MSV199 domain', NULL, 'MSV199', NULL, NULL, 21116, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23376, NULL, 'PF17810', NULL, NULL, 'Arginine decarboxylase helical bundle domain', NULL, 'Arg_decarb_HB', NULL, NULL, 30167, 8),
(23377, NULL, 'PF02100', NULL, NULL, 'Ornithine decarboxylase antizyme', NULL, 'ODC_AZ', NULL, NULL, 7461, 8),
(23378, NULL, 'PF18423', NULL, NULL, 'Zinc binding domain', NULL, 'zf_CopZ', NULL, NULL, 34516, 8),
(23379, NULL, 'PF10229', NULL, NULL, 'Methylmalonic aciduria and homocystinuria type D protein', NULL, 'MMADHC', NULL, NULL, 15632, 8),
(23380, NULL, 'PF14975', NULL, NULL, 'Domain of unknown function (DUF4512)', NULL, 'DUF4512', NULL, NULL, 27825, 8),
(23381, NULL, 'PF16794', NULL, NULL, 'Fibronectin-III type domain', NULL, 'fn3_4', NULL, NULL, 7492, 8),
(23382, NULL, 'PF06740', NULL, NULL, 'Protein of unknown function (DUF1213)', NULL, 'DUF1213', NULL, NULL, 1953, 8),
(23383, NULL, 'PF10063', NULL, NULL, 'Uncharacterized integral membrane protein (DUF2301)', NULL, 'DUF2301', NULL, NULL, 20451, 8),
(23384, NULL, 'PF04627', NULL, NULL, 'Mitochondrial ATP synthase epsilon chain', NULL, 'ATP-synt_Eps', NULL, NULL, 2499, 8),
(23385, NULL, 'PF19259', NULL, NULL, 'Ty3 transposon capsid-like protein', NULL, 'Ty3_capsid', NULL, NULL, 37573, 8),
(23386, NULL, 'PF14295', NULL, NULL, 'PAN domain', NULL, 'PAN_4', NULL, NULL, 745, 8),
(23387, NULL, 'PF19390', NULL, NULL, 'Family of unknown function (DUF5965)', NULL, 'DUF5965', NULL, NULL, 39088, 8),
(23388, NULL, 'PF19319', NULL, NULL, 'Domain of unknown function (DUF5919)', NULL, 'DUF5919', NULL, NULL, 38840, 8),
(23389, NULL, 'PF05805', NULL, NULL, 'L6 membrane protein', NULL, 'L6_membrane', NULL, NULL, 13316, 8),
(23390, NULL, 'PF09400', NULL, NULL, 'Protein of unknown function (DUF2002)', NULL, 'DUF2002', NULL, NULL, 16079, 8),
(23391, NULL, 'PF15092', NULL, NULL, 'Uncharacterised protein family UPF0728', NULL, 'UPF0728', NULL, NULL, 25117, 8),
(23392, NULL, 'PF06889', NULL, NULL, 'Protein of unknown function (DUF1266)', NULL, 'DUF1266', NULL, NULL, 11808, 8),
(23393, NULL, 'PF11882', NULL, NULL, 'Domain of unknown function (DUF3402)', NULL, 'DUF3402', NULL, NULL, 20273, 8),
(23394, NULL, 'PF19003', NULL, NULL, 'Family of unknown function (DUF5732)', NULL, 'DUF5732', NULL, NULL, 37629, 8),
(23395, NULL, 'PF18536', NULL, NULL, 'Domain of unknown function (DUF5623)', NULL, 'DUF5623', NULL, NULL, 34073, 8),
(23396, NULL, 'PF18257', NULL, NULL, 'Disulfide isomerase DsbG N-terminal', NULL, 'DsbG_N', NULL, NULL, 32984, 8),
(23397, NULL, 'PF16050', NULL, NULL, 'Paf1 complex subunit CDC73 N-terminal', NULL, 'CDC73_N', NULL, NULL, 27791, 8),
(23398, NULL, 'PF16291', NULL, NULL, 'Domain of unknown function (DUF4937', NULL, 'DUF4937', NULL, NULL, 22408, 8),
(23399, NULL, 'PF04325', NULL, NULL, 'Protein of unknown function (DUF465)', NULL, 'DUF465', NULL, NULL, 3890, 8),
(23400, NULL, 'PF01315', NULL, NULL, 'Aldehyde oxidase and xanthine dehydrogenase, a/b hammerhead domain', NULL, 'Ald_Xan_dh_C', NULL, NULL, 3569, 8),
(23401, NULL, 'PF04421', NULL, NULL, 'Mss4 protein', NULL, 'Mss4', NULL, NULL, 10928, 8),
(23402, NULL, 'PF13847', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_31', NULL, NULL, 25918, 8),
(23403, NULL, 'PF13980', NULL, NULL, 'Uncharacterised protein family (UPF0370)', NULL, 'UPF0370', NULL, NULL, 14682, 8),
(23404, NULL, 'PF11847', NULL, NULL, 'Alpha-(1->3)-arabinofuranosyltransferase', NULL, 'DUF3367', NULL, NULL, 19699, 8),
(23405, NULL, 'PF02571', NULL, NULL, 'Precorrin-6x reductase CbiJ/CobK', NULL, 'CbiJ', NULL, NULL, 2199, 8),
(23406, NULL, 'PF09504', NULL, NULL, 'Bsp6I restriction endonuclease', NULL, 'RE_Bsp6I', NULL, NULL, 16067, 8),
(23407, NULL, 'PF14225', NULL, NULL, 'Cell morphogenesis C-terminal', NULL, 'MOR2-PAG1_C', NULL, NULL, 28148, 8),
(23408, NULL, 'PF05465', NULL, NULL, 'Halobacterial gas vesicle protein C (GVPC) repeat', NULL, 'Halo_GVPC', NULL, NULL, 14013, 8),
(23409, NULL, 'PF14145', NULL, NULL, 'YrhK-like protein', NULL, 'YrhK', NULL, NULL, 28455, 8),
(23410, NULL, 'PF11555', NULL, NULL, 'EGFR receptor inhibitor Mig-6', NULL, 'Inhibitor_Mig-6', NULL, NULL, 19237, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23411, NULL, 'PF10066', NULL, NULL, 'Uncharacterized conserved protein (DUF2304)', NULL, 'DUF2304', NULL, NULL, 20394, 8),
(23412, NULL, 'PF11485', NULL, NULL, 'Protein of unknown function (DUF3211)', NULL, 'DUF3211', NULL, NULL, 19411, 8),
(23413, NULL, 'PF00415', NULL, NULL, 'Regulator of chromosome condensation (RCC1) repeat', NULL, 'RCC1', NULL, NULL, 6885, 8),
(23414, NULL, 'PF14894', NULL, NULL, 'Lsm C-terminal', NULL, 'Lsm_C', NULL, NULL, 28573, 8),
(23415, NULL, 'PF00556', NULL, NULL, 'Antenna complex alpha/beta subunit', NULL, 'LHC', NULL, NULL, 2919, 8),
(23416, NULL, 'PF05720', NULL, NULL, 'Cell-cell adhesion domain', NULL, 'Dicty_CAD', NULL, NULL, 14329, 8),
(23417, NULL, 'PF19361', NULL, NULL, 'Family of unknown function (DUF5937)', NULL, 'DUF5937', NULL, NULL, 39457, 8),
(23418, NULL, 'PF04786', NULL, NULL, 'ssDNA binding protein', NULL, 'Baculo_DNA_bind', NULL, NULL, 4591, 8),
(23419, NULL, 'PF06422', NULL, NULL, 'CDR ABC transporter', NULL, 'PDR_CDR', NULL, NULL, 7911, 8),
(23420, NULL, 'PF19124', NULL, NULL, 'Family of unknown function (DUF5808)', NULL, 'DUF5808', NULL, NULL, 38315, 8),
(23421, NULL, 'PF18926', NULL, NULL, '2TM family of unknown function (DUF5676)', NULL, 'DUF5676', NULL, NULL, 37007, 8),
(23422, NULL, 'PF13616', NULL, NULL, 'PPIC-type PPIASE domain', NULL, 'Rotamase_3', NULL, NULL, NULL, 8),
(23423, NULL, 'PF18656', NULL, NULL, 'Family of unknown function (DUF5633)', NULL, 'DUF5633', NULL, NULL, 35800, 8),
(23424, NULL, 'PF15677', NULL, NULL, 'Cell cycle exit and neuronal differentiation protein 1', NULL, 'CEND1', NULL, NULL, 13799, 8),
(23425, NULL, 'PF06680', NULL, NULL, 'Protein of unknown function (DUF1181)', NULL, 'DUF1181', NULL, NULL, 10308, 8),
(23426, NULL, 'PF08106', NULL, NULL, 'Formaecin family', NULL, 'Antimicrobial11', NULL, NULL, 12515, 8),
(23427, NULL, 'PF15228', NULL, NULL, 'Death-associated protein', NULL, 'DAP', NULL, NULL, 8168, 8),
(23428, NULL, 'PF00105', NULL, NULL, 'Zinc finger, C4 type (two domains)', NULL, 'zf-C4', NULL, NULL, 3308, 8),
(23429, NULL, 'PF11111', NULL, NULL, 'Centromere protein M (CENP-M)', NULL, 'CENP-M', NULL, NULL, 20132, 8),
(23430, NULL, 'PF02497', NULL, NULL, 'Arterivirus glycoprotein', NULL, 'Arteri_GP4', NULL, NULL, 5374, 8),
(23431, NULL, 'PF12138', NULL, NULL, 'Spherulation-specific family 4', NULL, 'Spherulin4', NULL, NULL, 20522, 8),
(23432, NULL, 'PF05847', NULL, NULL, 'Nucleopolyhedrovirus late expression factor 3 (LEF-3)', NULL, 'Baculo_LEF-3', NULL, NULL, 8890, 8),
(23433, NULL, 'PF13414', NULL, NULL, 'TPR repeat', NULL, 'TPR_11', NULL, NULL, NULL, 8),
(23434, NULL, 'PF18923', NULL, NULL, 'Domain of unknown function (DUF5673)', NULL, 'DUF5673', NULL, NULL, 38189, 8),
(23435, NULL, 'PF11659', NULL, NULL, 'Protein of unknown function (DUF3261)', NULL, 'DUF3261', NULL, NULL, 19051, 8),
(23436, NULL, 'PF01245', NULL, NULL, 'Ribosomal protein L19', NULL, 'Ribosomal_L19', NULL, NULL, 4364, 8),
(23437, NULL, 'PF01750', NULL, NULL, 'Hydrogenase maturation protease', NULL, 'HycI', NULL, NULL, 3737, 8),
(23438, NULL, 'PF00395', NULL, NULL, 'S-layer homology domain', NULL, 'SLH', NULL, NULL, 1265, 8),
(23439, NULL, 'PF05086', NULL, NULL, 'Dictyostelium (Slime Mold) REP protein', NULL, 'Dicty_REP', NULL, NULL, 1259, 8),
(23440, NULL, 'PF13416', NULL, NULL, 'Bacterial extracellular solute-binding protein', NULL, 'SBP_bac_8', NULL, NULL, 2950, 8),
(23441, NULL, 'PF09318', NULL, NULL, 'Glycosyl transferase 1 domain A', NULL, 'Glyco_trans_A_1', NULL, NULL, 14472, 8),
(23442, NULL, 'PF04632', NULL, NULL, 'Fusaric acid resistance protein family', NULL, 'FUSC', NULL, NULL, 2395, 8),
(23443, NULL, 'PF16736', NULL, NULL, 'Single Cache-like', NULL, 'sCache_like', NULL, NULL, 23526, 8),
(23444, NULL, 'PF17182', NULL, NULL, 'OSK domain', NULL, 'OSK', NULL, NULL, 31803, 8),
(23445, NULL, 'PF17829', NULL, NULL, 'Gylcosyl hydrolase family 115 C-terminal domain', NULL, 'GH115_C', NULL, NULL, 32082, 8),
(23446, NULL, 'PF02256', NULL, NULL, 'Iron hydrogenase small subunit', NULL, 'Fe_hyd_SSU', NULL, NULL, 3460, 8),
(23447, NULL, 'PF19502', NULL, NULL, 'Nucleotidyltransferase of unknown function (DUF6036)', NULL, 'DUF6036', NULL, NULL, 38656, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23448, NULL, 'PF09851', NULL, NULL, 'Short C-terminal domain', NULL, 'SHOCT', NULL, NULL, 16872, 8),
(23449, NULL, 'PF01219', NULL, NULL, 'Prokaryotic diacylglycerol kinase', NULL, 'DAGK_prokar', NULL, NULL, 4711, 8),
(23450, NULL, 'PF15540', NULL, NULL, 'Bacterial toxin 47', NULL, 'Ntox47', NULL, NULL, 26366, 8),
(23451, NULL, 'PF08360', NULL, NULL, 'QacR-like protein, C-terminal region', NULL, 'TetR_C_5', NULL, NULL, 13275, 8),
(23452, NULL, 'PF15542', NULL, NULL, 'Bacterial toxin 50', NULL, 'Ntox50', NULL, NULL, 26231, 8),
(23453, NULL, 'PF07177', NULL, NULL, 'Neuralized', NULL, 'Neuralized', NULL, NULL, 180, 8),
(23454, NULL, 'PF17025', NULL, NULL, 'Domain of unknown function (DUF5099)', NULL, 'DUF5099', NULL, NULL, 23377, 8),
(23455, NULL, 'PF10498', NULL, NULL, 'Intra-flagellar transport protein 57', NULL, 'IFT57', NULL, NULL, 19088, 8),
(23456, NULL, 'PF11548', NULL, NULL, 'Protein-tyrosine phosphatase receptor IA-2', NULL, 'Receptor_IA-2', NULL, NULL, 19115, 8),
(23457, NULL, 'PF11504', NULL, NULL, 'Colicin Ia', NULL, 'Colicin_Ia', NULL, NULL, 12751, 8),
(23458, NULL, 'PF12077', NULL, NULL, 'Transmembrane protein of unknown function (DUF3556)', NULL, 'DUF3556', NULL, NULL, 20204, 8),
(23459, NULL, 'PF05291', NULL, NULL, 'Bystin', NULL, 'Bystin', NULL, NULL, 4159, 8),
(23460, NULL, 'PF09485', NULL, NULL, 'CRISPR-associated protein Cse2 (CRISPR_cse2)', NULL, 'CRISPR_Cse2', NULL, NULL, 11772, 8),
(23461, NULL, 'PF11885', NULL, NULL, 'Protein of unknown function (DUF3405)', NULL, 'DUF3405', NULL, NULL, 20081, 8),
(23462, NULL, 'PF14484', NULL, NULL, 'Fish-specific NACHT associated domain', NULL, 'FISNA', NULL, NULL, 23264, 8),
(23463, NULL, 'PF06807', NULL, NULL, 'Pre-mRNA cleavage complex II protein Clp1', NULL, 'Clp1', NULL, NULL, 9355, 8),
(23464, NULL, 'PF13258', NULL, NULL, 'Domain of unknown function (DUF4049)', NULL, 'DUF4049', NULL, NULL, 23872, 8),
(23465, NULL, 'PF14434', NULL, NULL, 'Immunity protein Imm6', NULL, 'Imm6', NULL, NULL, 25999, 8),
(23466, NULL, 'PF08133', NULL, NULL, 'Anticodon nuclease activator family', NULL, 'Nuclease_act', NULL, NULL, 9695, 8),
(23467, NULL, 'PF08648', NULL, NULL, 'U4/U6.U5 small nuclear ribonucleoproteins', NULL, 'SNRNP27', NULL, NULL, 8475, 8),
(23468, NULL, 'PF15353', NULL, NULL, 'Headcase protein family homologue', NULL, 'HECA', NULL, NULL, 25929, 8),
(23469, NULL, 'PF02050', NULL, NULL, 'Flagellar FliJ protein', NULL, 'FliJ', NULL, NULL, 12774, 8),
(23470, NULL, 'PF11584', NULL, NULL, 'Proteinaceous host-selective toxin ToxA', NULL, 'Toxin_ToxA', NULL, NULL, 19036, 8),
(23471, NULL, 'PF06203', NULL, NULL, 'CCT motif', NULL, 'CCT', NULL, NULL, 9950, 8),
(23472, NULL, 'PF05436', NULL, NULL, 'Mating factor alpha precursor N-terminus', NULL, 'MF_alpha_N', NULL, NULL, 13308, 8),
(23473, NULL, 'PF19185', NULL, NULL, 'Family of unknown function (DUF5867)', NULL, 'DUF5867', NULL, NULL, 37651, 8),
(23474, NULL, 'PF00482', NULL, NULL, 'Type II secretion system (T2SS), protein F', NULL, 'T2SSF', NULL, NULL, 13937, 8),
(23475, NULL, 'PF01818', NULL, NULL, 'Bacteriophage translational regulator', NULL, 'Translat_reg', NULL, NULL, 3891, 8),
(23476, NULL, 'PF03590', NULL, NULL, 'Aspartate-ammonia ligase', NULL, 'AsnA', NULL, NULL, 2210, 8),
(23477, NULL, 'PF16362', NULL, NULL, 'YaiA protein', NULL, 'YaiA', NULL, NULL, 26888, 8),
(23478, NULL, 'PF00270', NULL, NULL, 'DEAD/DEAH box helicase', NULL, 'DEAD', NULL, NULL, 11454, 8),
(23479, NULL, 'PF05734', NULL, NULL, 'Herpesvirus protein of unknown function (DUF832)', NULL, 'DUF832', NULL, NULL, 13199, 8),
(23480, NULL, 'PF13934', NULL, NULL, 'Nuclear pore complex assembly', NULL, 'ELYS', NULL, NULL, 27596, 8),
(23481, NULL, 'PF04212', NULL, NULL, 'MIT (microtubule interacting and transport) domain', NULL, 'MIT', NULL, NULL, 5148, 8),
(23482, NULL, 'PF10405', NULL, NULL, 'Rad4 beta-hairpin domain 3', NULL, 'BHD_3', NULL, NULL, 20466, 8),
(23483, NULL, 'PF14475', NULL, NULL, 'Sec1-binding region of Mso1', NULL, 'Mso1_Sec1_bdg', NULL, NULL, 28146, 8),
(23484, NULL, 'PF03617', NULL, NULL, 'IBV 3A protein', NULL, 'IBV_3A', NULL, NULL, 5412, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23485, NULL, 'PF08273', NULL, NULL, 'Zinc-binding domain of primase-helicase', NULL, 'Prim_Zn_Ribbon', NULL, NULL, 12679, 8),
(23486, NULL, 'PF19900', NULL, NULL, 'Family of unknown function (DUF6373)', NULL, 'DUF6373', NULL, NULL, 39493, 8),
(23487, NULL, 'PF07921', NULL, NULL, 'Fibritin C-terminal region', NULL, 'Fibritin_C', NULL, NULL, 14805, 8),
(23488, NULL, 'PF20084', NULL, NULL, 'Conjugative transfer region protein TrbK', NULL, 'TrbK', NULL, NULL, 24170, 8),
(23489, NULL, 'PF09067', NULL, NULL, 'Erythropoietin receptor, ligand binding', NULL, 'EpoR_lig-bind', NULL, NULL, 9958, 8),
(23490, NULL, 'PF05696', NULL, NULL, 'Protein of unknown function (DUF826)', NULL, 'DUF826', NULL, NULL, 13293, 8),
(23491, NULL, 'PF00772', NULL, NULL, 'DnaB-like helicase N terminal domain', NULL, 'DnaB', NULL, NULL, 1195, 8),
(23492, NULL, 'PF03168', NULL, NULL, 'Late embryogenesis abundant protein', NULL, 'LEA_2', NULL, NULL, 7175, 8),
(23493, NULL, 'PF11355', NULL, NULL, 'Protein of unknown function (DUF3157)', NULL, 'DUF3157', NULL, NULL, 18664, 8),
(23494, NULL, 'PF00085', NULL, NULL, 'Thioredoxin', NULL, 'Thioredoxin', NULL, NULL, 10955, 8),
(23495, NULL, 'PF19260', NULL, NULL, 'Family of unknown function (DUF5903)', NULL, 'DUF5903', NULL, NULL, 37556, 8),
(23496, NULL, 'PF00681', NULL, NULL, 'Plectin repeat', NULL, 'Plectin', NULL, NULL, 5329, 8),
(23497, NULL, 'PF12566', NULL, NULL, 'Protein of unknown function (DUF3748)', NULL, 'DUF3748', NULL, NULL, 21318, 8),
(23498, NULL, 'PF10715', NULL, NULL, 'T4-page Endoribonuclease RegB', NULL, 'REGB_T4', NULL, NULL, 21266, 8),
(23499, NULL, 'PF08653', NULL, NULL, 'DASH complex subunit Dam1', NULL, 'DASH_Dam1', NULL, NULL, 8245, 8),
(23500, NULL, 'PF07677', NULL, NULL, 'A-macroglobulin receptor binding domain', NULL, 'A2M_recep', NULL, NULL, 12413, 8),
(23501, NULL, 'PF07913', NULL, NULL, 'Protein of unknown function (DUF1678)', NULL, 'DUF1678', NULL, NULL, 14927, 8),
(23502, NULL, 'PF07041', NULL, NULL, 'Protein of unknown function (DUF1327)', NULL, 'DUF1327', NULL, NULL, 12944, 8),
(23503, NULL, 'PF04672', NULL, NULL, 'S-adenosyl methyltransferase', NULL, 'Methyltransf_19', NULL, NULL, 3499, 8),
(23504, NULL, 'PF10081', NULL, NULL, 'Alpha/beta-hydrolase family', NULL, 'Abhydrolase_9', NULL, NULL, 26655, 8),
(23505, NULL, 'PF09331', NULL, NULL, 'Domain of unknown function (DUF1985)', NULL, 'DUF1985', NULL, NULL, 14101, 8),
(23506, NULL, 'PF11951', NULL, NULL, 'Fungal specific transcription factor domain', NULL, 'Fungal_trans_2', NULL, NULL, 20449, 8),
(23507, NULL, 'PF17383', NULL, NULL, 'Uncharacterized KorC regulated protein A', NULL, 'kleA_kleC', NULL, NULL, 31999, 8),
(23508, NULL, 'PF09418', NULL, NULL, 'Protein of unknown function (DUF2009)', NULL, 'DUF2009', NULL, NULL, 15043, 8),
(23509, NULL, 'PF15102', NULL, NULL, 'TMEM154 protein family', NULL, 'TMEM154', NULL, NULL, 28775, 8),
(23510, NULL, 'PF16401', NULL, NULL, 'Domain of unknown function (DUF5009)', NULL, 'DUF5009', NULL, NULL, 24683, 8),
(23511, NULL, 'PF09743', NULL, NULL, 'E3 UFM1-protein ligase 1', NULL, 'E3_UFM1_ligase', NULL, NULL, 16308, 8),
(23512, NULL, 'PF15087', NULL, NULL, 'Protein of unknown function (DUF4551)', NULL, 'DUF4551', NULL, NULL, 25308, 8),
(23513, NULL, 'PF02353', NULL, NULL, 'Mycolic acid cyclopropane synthetase', NULL, 'CMAS', NULL, NULL, NULL, 8),
(23514, NULL, 'PF14184', NULL, NULL, 'Regulatory protein YrvL', NULL, 'YrvL', NULL, NULL, 24443, 8),
(23515, NULL, 'PF06859', NULL, NULL, 'Bicoid-interacting protein 3 (Bin3)', NULL, 'Bin3', NULL, NULL, 9180, 8),
(23516, NULL, 'PF12741', NULL, NULL, 'Susd and RagB outer membrane lipoprotein', NULL, 'SusD-like', NULL, NULL, 20533, 8),
(23517, NULL, 'PF12685', NULL, NULL, 'SpoIIIAH-like protein', NULL, 'SpoIIIAH', NULL, NULL, 18083, 8),
(23518, NULL, 'PF17337', NULL, NULL, 'Galactose-inhibitable lectin 35 kDa subunit', NULL, 'Gal_GalNac_35kD', NULL, NULL, 35242, 8),
(23519, NULL, 'PF11439', NULL, NULL, 'Type III secretion system filament chaperone CesA', NULL, 'T3SchapCesA', NULL, NULL, 18663, 8),
(23520, NULL, 'PF03118', NULL, NULL, 'Bacterial RNA polymerase, alpha chain C terminal domain', NULL, 'RNA_pol_A_CTD', NULL, NULL, 9647, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23521, NULL, 'PF10950', NULL, NULL, 'Organ specific protein', NULL, 'Organ_specific', NULL, NULL, 25707, 8),
(23522, NULL, 'PF11162', NULL, NULL, 'Protein of unknown function (DUF2946)', NULL, 'DUF2946', NULL, NULL, 17675, 8),
(23523, NULL, 'PF01949', NULL, NULL, 'Protein of unknown function DUF99', NULL, 'DUF99', NULL, NULL, 4770, 8),
(23524, NULL, 'PF12005', NULL, NULL, 'Protein of unknown function (DUF3499)', NULL, 'DUF3499', NULL, NULL, 20328, 8),
(23525, NULL, 'PF13112', NULL, NULL, 'Protein of unknown function (DUF3965)', NULL, 'DUF3965', NULL, NULL, 23825, 8),
(23526, NULL, 'PF19681', NULL, NULL, 'Family of unknown function (DUF6183)', NULL, 'DUF6183', NULL, NULL, 38927, 8),
(23527, NULL, 'PF07195', NULL, NULL, 'Flagellar hook-associated protein 2 C-terminus', NULL, 'FliD_C', NULL, NULL, 11201, 8),
(23528, NULL, 'PF01993', NULL, NULL, 'methylene-5,6,7,8-tetrahydromethanopterin dehydrogenase', NULL, 'MTD', NULL, NULL, 5738, 8),
(23529, NULL, 'PF14337', NULL, NULL, 'Abortive infection alpha', NULL, 'Abi_alpha', NULL, NULL, 28252, 8),
(23530, NULL, 'PF07152', NULL, NULL, 'YaeQ protein', NULL, 'YaeQ', NULL, NULL, 13538, 8),
(23531, NULL, 'PF07366', NULL, NULL, 'SnoaL-like polyketide cyclase', NULL, 'SnoaL', NULL, NULL, 8339, 8),
(23532, NULL, 'PF05412', NULL, NULL, 'Equine arterivirus Nsp2-type cysteine proteinase', NULL, 'Peptidase_C33', NULL, NULL, 12031, 8),
(23533, NULL, 'PF18214', NULL, NULL, 'STATa Immunoglobulin-like domain', NULL, 'STATa_Ig', NULL, NULL, 32900, 8),
(23534, NULL, 'PF03763', NULL, NULL, 'Remorin, C-terminal region', NULL, 'Remorin_C', NULL, NULL, 1998, 8),
(23535, NULL, 'PF16565', NULL, NULL, 'Phospholipase D-like domain at C-terminus of MIT', NULL, 'MIT_C', NULL, NULL, 25908, 8),
(23536, NULL, 'PF00044', NULL, NULL, 'Glyceraldehyde 3-phosphate dehydrogenase, NAD binding domain', NULL, 'Gp_dh_N', NULL, NULL, 19102, 8),
(23537, NULL, 'PF02513', NULL, NULL, 'Spin/Ssty Family', NULL, 'Spin-Ssty', NULL, NULL, 1396, 8),
(23538, NULL, 'PF13261', NULL, NULL, 'Protein of unknown function (DUF4052)', NULL, 'DUF4052', NULL, NULL, 23562, 8),
(23539, NULL, 'PF04529', NULL, NULL, 'Herpesvirus U59 protein', NULL, 'Herpes_U59', NULL, NULL, 2730, 8),
(23540, NULL, 'PF09697', NULL, NULL, 'Protein of unknown function (Porph_ging)', NULL, 'Porph_ging', NULL, NULL, 6633, 8),
(23541, NULL, 'PF09840', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2067)', NULL, 'DUF2067', NULL, NULL, 19436, 8),
(23542, NULL, 'PF05233', NULL, NULL, 'PHB accumulation regulatory domain', NULL, 'PHB_acc', NULL, NULL, 3352, 8),
(23543, NULL, 'PF19710', NULL, NULL, 'PIK3 catalytic subunit gamma adaptor-binding domain', NULL, 'PIK3CG_ABD', NULL, NULL, 38583, 8),
(23544, NULL, 'PF08783', NULL, NULL, 'DWNN domain', NULL, 'DWNN', NULL, NULL, 13241, 8),
(23545, NULL, 'PF00879', NULL, NULL, 'Defensin propeptide', NULL, 'Defensin_propep', NULL, NULL, 6594, 8),
(23546, NULL, 'PF04636', NULL, NULL, 'PA26 p53-induced protein (sestrin)', NULL, 'PA26', NULL, NULL, 2414, 8),
(23547, NULL, 'PF00475', NULL, NULL, 'Imidazoleglycerol-phosphate dehydratase', NULL, 'IGPD', NULL, NULL, 5127, 8),
(23548, NULL, 'PF10370', NULL, NULL, 'Domain of unknown function (DUF2437)', NULL, 'DUF2437', NULL, NULL, 20379, 8),
(23549, NULL, 'PF18235', NULL, NULL, 'Oligosaccharyltransferase Peripheral 2 domain', NULL, 'OST_P2', NULL, NULL, 31392, 8),
(23550, NULL, 'PF00855', NULL, NULL, 'PWWP domain', NULL, 'PWWP', NULL, NULL, 796, 8),
(23551, NULL, 'PF09812', NULL, NULL, 'Mitochondrial ribosomal protein L28', NULL, 'MRP-L28', NULL, NULL, 18780, 8),
(23552, NULL, 'PF07072', NULL, NULL, 'Cell division protein', NULL, 'ZapD', NULL, NULL, 12974, 8),
(23553, NULL, 'PF00657', NULL, NULL, 'GDSL-like Lipase/Acylhydrolase', NULL, 'Lipase_GDSL', NULL, NULL, 4380, 8),
(23554, NULL, 'PF15630', NULL, NULL, 'CENP-S protein', NULL, 'CENP-S', NULL, NULL, 25226, 8),
(23555, NULL, 'PF07691', NULL, NULL, 'PA14 domain', NULL, 'PA14', NULL, NULL, 10504, 8),
(23556, NULL, 'PF14866', NULL, NULL, 'Potassium channel toxin', NULL, 'Toxin_38', NULL, NULL, 28980, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23557, NULL, 'PF06839', NULL, NULL, 'GRF zinc finger', NULL, 'zf-GRF', NULL, NULL, 9485, 8),
(23558, NULL, 'PF04866', NULL, NULL, 'Rotavirus non-structural protein 6', NULL, 'Rota_NS6', NULL, NULL, 5582, 8),
(23559, NULL, 'PF13007', NULL, NULL, 'Transposase C of IS166 homeodomain', NULL, 'LZ_Tnp_IS66', NULL, NULL, 23203, 8),
(23560, NULL, 'PF05390', NULL, NULL, 'Yeast cell wall synthesis protein KRE9/KNH1', NULL, 'KRE9', NULL, NULL, 13176, 8),
(23561, NULL, 'PF05943', NULL, NULL, 'EvpB/VC_A0108, tail sheath N-terminal domain', NULL, 'VipB', NULL, NULL, 38240, 8),
(23562, NULL, 'PF12860', NULL, NULL, 'PAS fold', NULL, 'PAS_7', NULL, NULL, NULL, 8),
(23563, NULL, 'PF13975', NULL, NULL, 'gag-polyprotein putative aspartyl protease', NULL, 'gag-asp_proteas', NULL, NULL, NULL, 8),
(23564, NULL, 'PF02844', NULL, NULL, 'Phosphoribosylglycinamide synthetase, N domain', NULL, 'GARS_N', NULL, NULL, 14890, 8),
(23565, NULL, 'PF17927', NULL, NULL, 'Inositol 1,3,4-trisphosphate 5/6-kinase pre-ATP-grasp domain', NULL, 'Ins134_P3_kin_N', NULL, NULL, 33166, 8),
(23566, NULL, 'PF08411', NULL, NULL, 'Exonuclease C-terminal', NULL, 'Exonuc_X-T_C', NULL, NULL, 11491, 8),
(23567, NULL, 'PF16229', NULL, NULL, 'Domain of unknown function (DUF4888)', NULL, 'DUF4888', NULL, NULL, 28397, 8),
(23568, NULL, 'PF15597', NULL, NULL, 'Immunity protein 59', NULL, 'Imm59', NULL, NULL, 25859, 8),
(23569, NULL, 'PF10149', NULL, NULL, 'Transmembrane protein 231', NULL, 'TM231', NULL, NULL, 15039, 8),
(23570, NULL, 'PF10961', NULL, NULL, 'Selenoprotein SelK_SelG', NULL, 'SelK_SelG', NULL, NULL, 25987, 8),
(23571, NULL, 'PF12708', NULL, NULL, 'Pectate lyase superfamily protein', NULL, 'Pectate_lyase_3', NULL, NULL, 25963, 8),
(23572, NULL, 'PF01290', NULL, NULL, 'Thymosin beta-4 family', NULL, 'Thymosin', NULL, NULL, 1031, 8),
(23573, NULL, 'PF05876', NULL, NULL, 'Phage terminase large subunit (GpA)', NULL, 'Terminase_GpA', NULL, NULL, 7559, 8),
(23574, NULL, 'PF18466', NULL, NULL, 'Glutamate--tRNA ligase N-terminal domain', NULL, 'GluRS_N', NULL, NULL, 31742, 8),
(23575, NULL, 'PF09193', NULL, NULL, 'Cholecystokinin A receptor, N-terminal', NULL, 'CholecysA-Rec_N', NULL, NULL, 12965, 8),
(23576, NULL, 'PF18490', NULL, NULL, 'tRNA-binding domain', NULL, 'tRNA_bind_4', NULL, NULL, 31231, 8),
(23577, NULL, 'PF15558', NULL, NULL, 'Domain of unknown function (DUF4659)', NULL, 'DUF4659', NULL, NULL, 26119, 8),
(23578, NULL, 'PF08249', NULL, NULL, 'Mastoparan protein', NULL, 'Mastoparan', NULL, NULL, 17513, 8),
(23579, NULL, 'PF04777', NULL, NULL, 'Erv1 / Alr family', NULL, 'Evr1_Alr', NULL, NULL, 13079, 8),
(23580, NULL, 'PF04589', NULL, NULL, 'RFX1 transcription activation region', NULL, 'RFX1_trans_act', NULL, NULL, 341, 8),
(23581, NULL, 'PF02300', NULL, NULL, 'Fumarate reductase subunit C', NULL, 'Fumarate_red_C', NULL, NULL, 6216, 8),
(23582, NULL, 'PF06993', NULL, NULL, 'Protein of unknown function (DUF1304)', NULL, 'DUF1304', NULL, NULL, 12966, 8),
(23583, NULL, 'PF18327', NULL, NULL, 'Proline utilization A proline dehydrogenase N-terminal domain', NULL, 'PRODH', NULL, NULL, 31883, 8),
(23584, NULL, 'PF09994', NULL, NULL, 'Uncharacterized alpha/beta hydrolase domain (DUF2235)', NULL, 'DUF2235', NULL, NULL, 17701, 8),
(23585, NULL, 'PF10047', NULL, NULL, 'Protein of unknown function (DUF2281)', NULL, 'DUF2281', NULL, NULL, 18529, 8),
(23586, NULL, 'PF10559', NULL, NULL, 'Plug domain of Sec61p', NULL, 'Plug_translocon', NULL, NULL, 19795, 8),
(23587, NULL, 'PF13881', NULL, NULL, 'Ubiquitin-2 like Rad60 SUMO-like', NULL, 'Rad60-SLD_2', NULL, NULL, 35815, 8),
(23588, NULL, 'PF06817', NULL, NULL, 'Reverse transcriptase thumb domain', NULL, 'RVT_thumb', NULL, NULL, 9439, 8),
(23589, NULL, 'PF16031', NULL, NULL, 'TonB polyproline region', NULL, 'TonB_N', NULL, NULL, NULL, 8),
(23590, NULL, 'PF13010', NULL, NULL, 'Primase helical domain', NULL, 'pRN1_helical', NULL, NULL, 19122, 8),
(23591, NULL, 'PF16164', NULL, NULL, 'VWA N-terminal', NULL, 'VWA_N2', NULL, NULL, 23292, 8),
(23592, NULL, 'PF03220', NULL, NULL, 'Tombusvirus P19 core protein', NULL, 'Tombus_P19', NULL, NULL, 1762, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23593, NULL, 'PF07583', NULL, NULL, 'Protein of unknown function (DUF1549)', NULL, 'PSCyt2', NULL, NULL, 13935, 8),
(23594, NULL, 'PF05712', NULL, NULL, 'MRG', NULL, 'MRG', NULL, NULL, 26097, 8),
(23595, NULL, 'PF14240', NULL, NULL, 'YHYH protein', NULL, 'YHYH', NULL, NULL, 24055, 8),
(23596, NULL, 'PF16753', NULL, NULL, 'TNF-alpha-Inducing protein of Helicobacter', NULL, 'Tipalpha', NULL, NULL, 27408, 8),
(23597, NULL, 'PF00097', NULL, NULL, 'Zinc finger, C3HC4 type (RING finger)', NULL, 'zf-C3HC4', NULL, NULL, 15216, 8),
(23598, NULL, 'PF05075', NULL, NULL, 'Protein of unknown function (DUF684)', NULL, 'DUF684', NULL, NULL, 1442, 8),
(23599, NULL, 'PF10150', NULL, NULL, 'Ribonuclease E/G family', NULL, 'RNase_E_G', NULL, NULL, 15490, 8),
(23600, NULL, 'PF09724', NULL, NULL, 'Sister chromatid cohesion protein Dcc1', NULL, 'Dcc1', NULL, NULL, 17884, 8),
(23601, NULL, 'PF17990', NULL, NULL, 'L-Lysine epsilon oxidase N-terminal', NULL, 'LodA_N', NULL, NULL, 31404, 8),
(23602, NULL, 'PF06736', NULL, NULL, 'Endosomal/lysosomal potassium channel TMEM175', NULL, 'TMEM175', NULL, NULL, 8258, 8),
(23603, NULL, 'PF16103', NULL, NULL, 'Domain of unknown function (DUF4822)', NULL, 'DUF4822', NULL, NULL, 24016, 8),
(23604, NULL, 'PF08983', NULL, NULL, 'Domain of unknown function (DUF1856)', NULL, 'DUF1856', NULL, NULL, 8964, 8),
(23605, NULL, 'PF06224', NULL, NULL, 'Winged helix DNA-binding domain', NULL, 'HTH_42', NULL, NULL, 14544, 8),
(23606, NULL, 'PF04084', NULL, NULL, 'Origin recognition complex subunit 2', NULL, 'ORC2', NULL, NULL, 6470, 8),
(23607, NULL, 'PF13133', NULL, NULL, 'Protein of unknown function (DUF3949)', NULL, 'DUF3949', NULL, NULL, 27323, 8),
(23608, NULL, 'PF18691', NULL, NULL, 'Cell division control protein 13, OB2 domain', NULL, 'Cdc13_OB2', NULL, NULL, 30925, 8),
(23609, NULL, 'PF18759', NULL, NULL, 'Plavaka transposase', NULL, 'Plavaka', NULL, NULL, 31349, 8),
(23610, NULL, 'PF09831', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2058)', NULL, 'DUF2058', NULL, NULL, 16494, 8),
(23611, NULL, 'PF17596', NULL, NULL, 'Family of unknown function (DUF5492)', NULL, 'DUF5492', NULL, NULL, 19694, 8),
(23612, NULL, 'PF05031', NULL, NULL, 'Iron Transport-associated domain', NULL, 'NEAT', NULL, NULL, 1068, 8),
(23613, NULL, 'PF15865', NULL, NULL, 'Fanconi anaemia group A protein N terminus', NULL, 'Fanconi_A_N', NULL, NULL, 25220, 8),
(23614, NULL, 'PF12474', NULL, NULL, 'Polo kinase kinase', NULL, 'PKK', NULL, NULL, 21372, 8),
(23615, NULL, 'PF13082', NULL, NULL, 'Protein of unknown function (DUF3931)', NULL, 'DUF3931', NULL, NULL, 23603, 8),
(23616, NULL, 'PF13252', NULL, NULL, 'Protein of unknown function (DUF4043)', NULL, 'DUF4043', NULL, NULL, 27806, 8),
(23617, NULL, 'PF09519', NULL, NULL, 'HindVP restriction endonuclease', NULL, 'RE_HindVP', NULL, NULL, 16610, 8),
(23618, NULL, 'PF00904', NULL, NULL, 'Involucrin repeat', NULL, 'Involucrin', NULL, NULL, 184, 8),
(23619, NULL, 'PF02386', NULL, NULL, 'Cation transport protein', NULL, 'TrkH', NULL, NULL, 5221, 8),
(23620, NULL, 'PF19906', NULL, NULL, 'Domain of unknown function (DUF6379)', NULL, 'DUF6379', NULL, NULL, 39228, 8),
(23621, NULL, 'PF19151', NULL, NULL, 'Sublancin', NULL, 'Sublancin', NULL, NULL, 27364, 8),
(23622, NULL, 'PF09765', NULL, NULL, 'FANCL UBC-like domain 1', NULL, 'FANCL_d1', NULL, NULL, 18974, 8),
(23623, NULL, 'PF12183', NULL, NULL, 'Restriction endonuclease NotI', NULL, 'NotI', NULL, NULL, 20710, 8),
(23624, NULL, 'PF06127', NULL, NULL, 'Protein of unknown function (DUF962)', NULL, 'DUF962', NULL, NULL, 13533, 8),
(23625, NULL, 'PF17076', NULL, NULL, 'SBE2, cell-wall formation', NULL, 'SBE2', NULL, NULL, 25026, 8),
(23626, NULL, 'PF10082', NULL, NULL, 'Putative beta-barrel porin 2', NULL, 'BBP2_2', NULL, NULL, 18769, 8),
(23627, NULL, 'PF03227', NULL, NULL, 'Gamma interferon inducible lysosomal thiol reductase (GILT)', NULL, 'GILT', NULL, NULL, 1967, 8),
(23628, NULL, 'PF03078', NULL, NULL, 'ATHILA ORF-1 family', NULL, 'ATHILA', NULL, NULL, 4823, 8),
(23629, NULL, 'PF18104', NULL, NULL, 'Jumonji domain-containing protein 2A Tudor domain', NULL, 'Tudor_2', NULL, NULL, 30450, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23630, NULL, 'PF04514', NULL, NULL, 'Bluetongue virus non-structural protein NS2', NULL, 'BTV_NS2', NULL, NULL, 2882, 8),
(23631, NULL, 'PF08436', NULL, NULL, '1-deoxy-D-xylulose 5-phosphate reductoisomerase C-terminal domain', NULL, 'DXP_redisom_C', NULL, NULL, 13130, 8),
(23632, NULL, 'PF05512', NULL, NULL, 'AWPM-19-like family', NULL, 'AWPM-19', NULL, NULL, 7535, 8),
(23633, NULL, 'PF02325', NULL, NULL, 'YGGT family', NULL, 'YGGT', NULL, NULL, 5175, 8),
(23634, NULL, 'PF19798', NULL, NULL, 'Sulfotransferase domain', NULL, 'Sulfotransfer_5', NULL, NULL, NULL, 8),
(23635, NULL, 'PF05034', NULL, NULL, 'Methylaspartate ammonia-lyase N-terminus', NULL, 'MAAL_N', NULL, NULL, 17220, 8),
(23636, NULL, 'PF16493', NULL, NULL, 'N-terminal of Homeobox Meis and PKNOX1', NULL, 'Meis_PKNOX_N', NULL, NULL, 25689, 8),
(23637, NULL, 'PF18245', NULL, NULL, '5-3 exonuclease XRN1 DCP1-binding motif', NULL, 'XRN1_DBM', NULL, NULL, 30107, 8),
(23638, NULL, 'PF04658', NULL, NULL, 'TAFII55 protein conserved region', NULL, 'TAFII55_N', NULL, NULL, 3390, 8),
(23639, NULL, 'PF07431', NULL, NULL, 'Protein of unknown function (DUF1512)', NULL, 'DUF1512', NULL, NULL, 9121, 8),
(23640, NULL, 'PF15651', NULL, NULL, 'Salivary glad secreted protein domain toxin', NULL, 'Tox-SGS', NULL, NULL, 26309, 8),
(23641, NULL, 'PF09641', NULL, NULL, 'Protein of unknown function (DUF2026)', NULL, 'DUF2026', NULL, NULL, 15577, 8),
(23642, NULL, 'PF13869', NULL, NULL, 'Nucleotide hydrolase', NULL, 'NUDIX_2', NULL, NULL, 21000, 8),
(23643, NULL, 'PF13267', NULL, NULL, 'Protein of unknown function (DUF4058)', NULL, 'DUF4058', NULL, NULL, 23961, 8),
(23644, NULL, 'PF03961', NULL, NULL, 'Flagellar Assembly Protein A', NULL, 'FapA', NULL, NULL, 2560, 8),
(23645, NULL, 'PF15794', NULL, NULL, 'Coiled-coil domain-containing protein 106', NULL, 'CCDC106', NULL, NULL, 24870, 8),
(23646, NULL, 'PF12023', NULL, NULL, 'Domain of unknown function (DUF3511)', NULL, 'DUF3511', NULL, NULL, 20120, 8),
(23647, NULL, 'PF10711', NULL, NULL, 'Hypothetical protein (DUF2513)', NULL, 'DUF2513', NULL, NULL, 21143, 8),
(23648, NULL, 'PF03256', NULL, NULL, 'Anaphase-promoting complex, subunit 10 (APC10)', NULL, 'ANAPC10', NULL, NULL, 1952, 8),
(23649, NULL, 'PF08793', NULL, NULL, '2-cysteine adaptor domain', NULL, '2C_adapt', NULL, NULL, 13480, 8),
(23650, NULL, 'PF18054', NULL, NULL, 'CEL-III C-terminal', NULL, 'CEL_III_C', NULL, NULL, 31691, 8),
(23651, NULL, 'PF16643', NULL, NULL, 'Unstructured region on cNMP-binding protein', NULL, 'cNMPbd_u2', NULL, NULL, NULL, 8),
(23652, NULL, 'PF13806', NULL, NULL, 'Rieske-like [2Fe-2S] domain', NULL, 'Rieske_2', NULL, NULL, 9817, 8),
(23653, NULL, 'PF17331', NULL, NULL, 'GFD1 mRNA transport factor', NULL, 'GFD1', NULL, NULL, 19920, 8),
(23654, NULL, 'PF19652', NULL, NULL, 'Family of unknown function (DUF6155)', NULL, 'DUF6155', NULL, NULL, 39582, 8),
(23655, NULL, 'PF06958', NULL, NULL, 'S-type Pyocin', NULL, 'Pyocin_S', NULL, NULL, 13766, 8),
(23656, NULL, 'PF02234', NULL, NULL, 'Cyclin-dependent kinase inhibitor', NULL, 'CDI', NULL, NULL, 1843, 8),
(23657, NULL, 'PF18472', NULL, NULL, 'HP1451 C-terminal domain', NULL, 'HP1451_C', NULL, NULL, 29592, 8),
(23658, NULL, 'PF05423', NULL, NULL, 'Mycobacterium membrane protein', NULL, 'Mycobact_memb', NULL, NULL, 13444, 8),
(23659, NULL, 'PF02753', NULL, NULL, 'Pili assembly chaperone PapD, C-terminal domain', NULL, 'PapD_C', NULL, NULL, 11081, 8),
(23660, NULL, 'PF06781', NULL, NULL, 'Cell division protein CrgA', NULL, 'CrgA', NULL, NULL, 1575, 8),
(23661, NULL, 'PF16399', NULL, NULL, 'Intron-binding protein aquarius N-terminus', NULL, 'Aquarius_N', NULL, NULL, 24823, 8),
(23662, NULL, 'PF17855', NULL, NULL, 'MCM AAA-lid domain', NULL, 'MCM_lid', NULL, NULL, 32699, 8),
(23663, NULL, 'PF18720', NULL, NULL, 'Tenascin EGF domain', NULL, 'EGF_Tenascin', NULL, NULL, 31189, 8),
(23664, NULL, 'PF04238', NULL, NULL, 'Protein of unknown function (DUF420)', NULL, 'DUF420', NULL, NULL, 5859, 8),
(23665, NULL, 'PF05947', NULL, NULL, 'Type VI secretion system, TssF', NULL, 'T6SS_TssF', NULL, NULL, 7731, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23666, NULL, 'PF08825', NULL, NULL, 'E2 binding domain', NULL, 'E2_bind', NULL, NULL, 14306, 8),
(23667, NULL, 'PF12262', NULL, NULL, 'Bacterial virulence factor lipase N-terminal', NULL, 'Lipase_bact_N', NULL, NULL, 24321, 8),
(23668, NULL, 'PF12547', NULL, NULL, 'Ataxin-1 like family', NULL, 'ATXN-1_C', NULL, NULL, 15386, 8),
(23669, NULL, 'PF06417', NULL, NULL, 'Protein of unknown function (DUF1077)', NULL, 'DUF1077', NULL, NULL, 8398, 8),
(23670, NULL, 'PF20034', NULL, NULL, 'Peptidase S80 family', NULL, 'Peptidase_S80', NULL, NULL, 38226, 8),
(23671, NULL, 'PF00784', NULL, NULL, 'MyTH4 domain', NULL, 'MyTH4', NULL, NULL, 4947, 8),
(23672, NULL, 'PF11277', NULL, NULL, 'Mediator complex subunit 24 N-terminal', NULL, 'Med24_N', NULL, NULL, 18466, 8),
(23673, NULL, 'PF07893', NULL, NULL, 'Protein of unknown function (DUF1668)', NULL, 'DUF1668', NULL, NULL, 12699, 8),
(23674, NULL, 'PF19929', NULL, NULL, 'Family of unknown function (DUF6392)', NULL, 'DUF6392', NULL, NULL, 36955, 8),
(23675, NULL, 'PF12354', NULL, NULL, 'Bacterial adhesion/invasion protein N terminal', NULL, 'Internalin_N', NULL, NULL, 3503, 8),
(23676, NULL, 'PF19439', NULL, NULL, 'CLEC16A C-terminal', NULL, 'CLEC16A_C', NULL, NULL, 39981, 8),
(23677, NULL, 'PF17623', NULL, NULL, 'Domain of unknown function', NULL, 'B277', NULL, NULL, 17130, 8),
(23678, NULL, 'PF17273', NULL, NULL, 'Family of unknown function (DUF5338)', NULL, 'DUF5338', NULL, NULL, 15001, 8),
(23679, NULL, 'PF04540', NULL, NULL, 'Herpesvirus UL51 protein', NULL, 'Herpes_UL51', NULL, NULL, 2543, 8),
(23680, NULL, 'PF08538', NULL, NULL, 'Protein of unknown function (DUF1749)', NULL, 'DUF1749', NULL, NULL, 7896, 8),
(23681, NULL, 'PF02572', NULL, NULL, 'ATP:corrinoid adenosyltransferase BtuR/CobO/CobP', NULL, 'CobA_CobO_BtuR', NULL, NULL, 6248, 8),
(23682, NULL, 'PF06805', NULL, NULL, 'Bacteriophage lambda tail assembly protein I', NULL, 'Lambda_tail_I', NULL, NULL, 9421, 8),
(23683, NULL, 'PF09388', NULL, NULL, 'Spo0E like sporulation regulatory protein', NULL, 'SpoOE-like', NULL, NULL, 14639, 8),
(23684, NULL, 'PF06540', NULL, NULL, 'Galanin message associated peptide (GMAP)', NULL, 'GMAP', NULL, NULL, 7718, 8),
(23685, NULL, 'PF00682', NULL, NULL, 'HMGL-like', NULL, 'HMGL-like', NULL, NULL, 4585, 8),
(23686, NULL, 'PF18361', NULL, NULL, 'Single stranded DNA-binding protein ss DNA binding domain', NULL, 'ssDBP_DBD', NULL, NULL, 34219, 8),
(23687, NULL, 'PF01713', NULL, NULL, 'Smr domain', NULL, 'Smr', NULL, NULL, 2762, 8),
(23688, NULL, 'PF10380', NULL, NULL, 'Transcription factor CRF1', NULL, 'CRF1', NULL, NULL, 20374, 8),
(23689, NULL, 'PF05719', NULL, NULL, 'Golgi phosphoprotein 3 (GPP34)', NULL, 'GPP34', NULL, NULL, 14486, 8),
(23690, NULL, 'PF04714', NULL, NULL, 'BCL7, N-terminal conserver region', NULL, 'BCL_N', NULL, NULL, 3562, 8),
(23691, NULL, 'PF10957', NULL, NULL, 'Sporulation protein Cse60', NULL, 'Spore_Cse60', NULL, NULL, 20585, 8),
(23692, NULL, 'PF11201', NULL, NULL, 'Protein of unknown function (DUF2982)', NULL, 'DUF2982', NULL, NULL, 18178, 8),
(23693, NULL, 'PF18596', NULL, NULL, 'Sld7 C-terminal domain', NULL, 'Sld7_C', NULL, NULL, 32579, 8),
(23694, NULL, 'PF17545', NULL, NULL, 'Family of unknown function (DUF5461)', NULL, 'DUF5461', NULL, NULL, 20190, 8),
(23695, NULL, 'PF00053', NULL, NULL, 'Laminin EGF domain', NULL, 'Laminin_EGF', NULL, NULL, 1356, 8),
(23696, NULL, 'PF15665', NULL, NULL, 'Family with sequence similarity 184, A and B', NULL, 'FAM184', NULL, NULL, 30589, 8),
(23697, NULL, 'PF02061', NULL, NULL, 'Lambda Phage CIII', NULL, 'Lambda_CIII', NULL, NULL, 11304, 8),
(23698, NULL, 'PF06335', NULL, NULL, 'Protein of unknown function (DUF1054)', NULL, 'DUF1054', NULL, NULL, 8013, 8),
(23699, NULL, 'PF09793', NULL, NULL, 'Anticodon-binding domain', NULL, 'AD', NULL, NULL, 18690, 8),
(23700, NULL, 'PF16519', NULL, NULL, 'Tetramerisation domain of TRPM', NULL, 'TRPM_tetra', NULL, NULL, 24099, 8),
(23701, NULL, 'PF06527', NULL, NULL, 'TniQ', NULL, 'TniQ', NULL, NULL, 9134, 8),
(23702, NULL, 'PF05116', NULL, NULL, 'Sucrose-6F-phosphate phosphohydrolase', NULL, 'S6PP', NULL, NULL, 5636, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23703, NULL, 'PF15747', NULL, NULL, 'Domain of unknown function (DUF4687)', NULL, 'DUF4687', NULL, NULL, 27485, 8),
(23704, NULL, 'PF09982', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2219)', NULL, 'DUF2219', NULL, NULL, 17868, 8),
(23705, NULL, 'PF19625', NULL, NULL, 'Family of unknown function (DUF6130)', NULL, 'DUF6130', NULL, NULL, 39510, 8),
(23706, NULL, 'PF14693', NULL, NULL, 'Ribosomal protein TL5, C-terminal domain', NULL, 'Ribosomal_TL5_C', NULL, NULL, 16051, 8),
(23707, NULL, 'PF04144', NULL, NULL, 'SCAMP family', NULL, 'SCAMP', NULL, NULL, 7096, 8),
(23708, NULL, 'PF10801', NULL, NULL, 'Protein of unknown function (DUF2537)', NULL, 'DUF2537', NULL, NULL, 20206, 8),
(23709, NULL, 'PF03831', NULL, NULL, 'PhnA domain', NULL, 'YjdM', NULL, NULL, 11564, 8),
(23710, NULL, 'PF17622', NULL, NULL, 'Viral unique long protein 16', NULL, 'UL16', NULL, NULL, 17455, 8),
(23711, NULL, 'PF08916', NULL, NULL, 'Phenylalanine zipper', NULL, 'Phe_ZIP', NULL, NULL, 7910, 8),
(23712, NULL, 'PF08459', NULL, NULL, 'UvrC RIbonuclease H-like domain', NULL, 'UvrC_HhH_N', NULL, NULL, 1325, 8),
(23713, NULL, 'PF18420', NULL, NULL, 'CSN4/RPN5/eIF3a helix turn helix domain', NULL, 'CSN4_RPN5_eIF3a', NULL, NULL, 32124, 8),
(23714, NULL, 'PF06099', NULL, NULL, 'Phenol hydroxylase subunit', NULL, 'Phenol_hyd_sub', NULL, NULL, 8906, 8),
(23715, NULL, 'PF08197', NULL, NULL, 'pORF2a truncated protein', NULL, 'TT_ORF2a', NULL, NULL, 13086, 8),
(23716, NULL, 'PF10249', NULL, NULL, 'NADH-ubiquinone oxidoreductase subunit 10', NULL, 'NDUFB10', NULL, NULL, 15715, 8),
(23717, NULL, 'PF14998', NULL, NULL, 'Transcription Regulator', NULL, 'Ripply', NULL, NULL, 22751, 8),
(23718, NULL, 'PF15667', NULL, NULL, 'Protein of unknown function with motif GDWWSH', NULL, 'GDWWSH', NULL, NULL, 22203, 8),
(23719, NULL, 'PF13734', NULL, NULL, 'Spi protease inhibitor', NULL, 'Inhibitor_I69', NULL, NULL, 27638, 8),
(23720, NULL, 'PF03497', NULL, NULL, 'Anthrax toxin LF subunit', NULL, 'Anthrax_toxA', NULL, NULL, 4641, 8),
(23721, NULL, 'PF14459', NULL, NULL, 'Prokaryotic E2 family C', NULL, 'Prok-E2_C', NULL, NULL, 26974, 8),
(23722, NULL, 'PF15866', NULL, NULL, 'Domain of unknown function (DUF4729)', NULL, 'DUF4729', NULL, NULL, 25346, 8),
(23723, NULL, 'PF06421', NULL, NULL, 'GTP-binding protein LepA C-terminus', NULL, 'LepA_C', NULL, NULL, 17989, 8),
(23724, NULL, 'PF07192', NULL, NULL, 'SNURF/RPN4 protein', NULL, 'SNURF', NULL, NULL, 14252, 8),
(23725, NULL, 'PF09484', NULL, NULL, 'CRISPR-associated protein TM1802 (cas_TM1802)', NULL, 'Cas_TM1802', NULL, NULL, 11738, 8),
(23726, NULL, 'PF06650', NULL, NULL, 'SHR-binding domain of vacuolar-sorting associated protein 13', NULL, 'SHR-BD', NULL, NULL, 10031, 8),
(23727, NULL, 'PF18215', NULL, NULL, 'Histone chaperone Rtt106 N-terminal domain', NULL, 'Rtt106_N', NULL, NULL, 30611, 8),
(23728, NULL, 'PF10581', NULL, NULL, 'Synapsin N-terminal', NULL, 'Synapsin_N', NULL, NULL, 12543, 8),
(23729, NULL, 'PF09378', NULL, NULL, 'HAS barrel domain', NULL, 'HAS-barrel', NULL, NULL, 14853, 8),
(23730, NULL, 'PF03581', NULL, NULL, 'Herpesvirus UL33-like protein', NULL, 'Herpes_UL33', NULL, NULL, 5421, 8),
(23731, NULL, 'PF04534', NULL, NULL, 'Herpesvirus UL56 protein', NULL, 'Herpes_UL56', NULL, NULL, 2869, 8),
(23732, NULL, 'PF03580', NULL, NULL, 'Herpesvirus UL14-like protein', NULL, 'Herpes_UL14', NULL, NULL, 5436, 8),
(23733, NULL, 'PF01086', NULL, NULL, 'Clathrin light chain', NULL, 'Clathrin_lg_ch', NULL, NULL, 3479, 8),
(23734, NULL, 'PF08577', NULL, NULL, 'PI31 proteasome regulator', NULL, 'PI31_Prot_C', NULL, NULL, 17748, 8),
(23735, NULL, 'PF04349', NULL, NULL, 'Periplasmic glucan biosynthesis protein, MdoG', NULL, 'MdoG', NULL, NULL, 4702, 8),
(23736, NULL, 'PF05047', NULL, NULL, 'Mitochondrial ribosomal protein L51 / S25 / CI-B8 domain', NULL, 'L51_S25_CI-B8', NULL, NULL, 1207, 8),
(23737, NULL, 'PF14088', NULL, NULL, 'Domain of unknown function (DUF4268)', NULL, 'DUF4268', NULL, NULL, 23215, 8),
(23738, NULL, 'PF13824', NULL, NULL, 'Zinc-finger of mitochondrial splicing suppressor 51', NULL, 'zf-Mss51', NULL, NULL, 29150, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23739, NULL, 'PF09905', NULL, NULL, 'DNA-binding protein VF530', NULL, 'VF530', NULL, NULL, 17396, 8),
(23740, NULL, 'PF16472', NULL, NULL, 'Domain of unknown function (DUF5050)', NULL, 'DUF5050', NULL, NULL, 18314, 8),
(23741, NULL, 'PF04721', NULL, NULL, 'PNGase C-terminal domain, mannose-binding module PAW', NULL, 'PAW', NULL, NULL, 245, 8),
(23742, NULL, 'PF03060', NULL, NULL, 'Nitronate monooxygenase', NULL, 'NMO', NULL, NULL, 2792, 8),
(23743, NULL, 'PF18297', NULL, NULL, 'NFACT protein RNA binding domain', NULL, 'NFACT-R_2', NULL, NULL, NULL, 8),
(23744, NULL, 'PF10929', NULL, NULL, 'Protein of unknown function (DUF2811)', NULL, 'DUF2811', NULL, NULL, 17899, 8),
(23745, NULL, 'PF18497', NULL, NULL, 'Ribonuclease III N-terminal domain', NULL, 'RNase_3_N', NULL, NULL, 30012, 8),
(23746, NULL, 'PF03314', NULL, NULL, 'Protein of unknown function, DUF273', NULL, 'DUF273', NULL, NULL, 641, 8),
(23747, NULL, 'PF05377', NULL, NULL, 'Flagella accessory protein C (FlaC)', NULL, 'FlaC_arch', NULL, NULL, 10716, 8),
(23748, NULL, 'PF14260', NULL, NULL, 'C4-type zinc-finger of DNA polymerase delta', NULL, 'zf-C4pol', NULL, NULL, 25792, 8),
(23749, NULL, 'PF17435', NULL, NULL, 'Family of unknown function (DUF5414)', NULL, 'DUF5414', NULL, NULL, 29018, 8),
(23750, NULL, 'PF09197', NULL, NULL, 'Rap1, DNA-binding', NULL, 'Rap1-DNA-bind', NULL, NULL, 12989, 8),
(23751, NULL, 'PF17321', NULL, NULL, 'Vacuole-related protein 17', NULL, 'Vac17', NULL, NULL, 34474, 8),
(23752, NULL, 'PF08549', NULL, NULL, 'Fungal domain of unknown function (DUF1750)', NULL, 'SWI-SNF_Ssr4', NULL, NULL, 9729, 8),
(23753, NULL, 'PF19966', NULL, NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 4', NULL, 'VMAP-M4', NULL, NULL, 39670, 8),
(23754, NULL, 'PF06559', NULL, NULL, '2''-deoxycytidine 5''-triphosphate deaminase (DCD)', NULL, 'DCD', NULL, NULL, 8344, 8),
(23755, NULL, 'PF14617', NULL, NULL, 'U3-containing 90S pre-ribosomal complex subunit', NULL, 'CMS1', NULL, NULL, 22243, 8),
(23756, NULL, 'PF19346', NULL, NULL, 'Family of unknown function (DUF5924)', NULL, 'DUF5924', NULL, NULL, 39264, 8),
(23757, NULL, 'PF09001', NULL, NULL, 'Domain of unknown function (DUF1890)', NULL, 'DUF1890', NULL, NULL, 11416, 8),
(23758, NULL, 'PF05789', NULL, NULL, 'Baculovirus VP1054 protein', NULL, 'Baculo_VP1054', NULL, NULL, 8927, 8),
(23759, NULL, 'PF07216', NULL, NULL, 'LcrG protein', NULL, 'LcrG', NULL, NULL, 14992, 8),
(23760, NULL, 'PF14089', NULL, NULL, 'KinB-signalling pathway activation in sporulation', NULL, 'KbaA', NULL, NULL, 13185, 8),
(23761, NULL, 'PF03919', NULL, NULL, 'mRNA capping enzyme, C-terminal domain', NULL, 'mRNA_cap_C', NULL, NULL, 9866, 8),
(23762, NULL, 'PF16672', NULL, NULL, 'Ragulator complex protein LAMTOR5', NULL, 'LAMTOR5', NULL, NULL, 8246, 8),
(23763, NULL, 'PF11670', NULL, NULL, 'Major surface protein 1a (MSP1a)', NULL, 'MSP1a', NULL, NULL, 19353, 8),
(23764, NULL, 'PF08757', NULL, NULL, 'CotH kinase protein', NULL, 'CotH', NULL, NULL, 13170, 8),
(23765, NULL, 'PF14432', NULL, NULL, 'DYW family of nucleic acid deaminases', NULL, 'DYW_deaminase', NULL, NULL, 26618, 8),
(23766, NULL, 'PF00176', NULL, NULL, 'SNF2-related domain', NULL, 'SNF2-rel_dom', NULL, NULL, 4798, 8),
(23767, NULL, 'PF18564', NULL, NULL, 'Glycoside hydrolase family 5 C-terminal domain', NULL, 'Glyco_hydro_5_C', NULL, NULL, 31724, 8),
(23768, NULL, 'PF19239', NULL, NULL, 'GIY-YIG domain-containing protein', NULL, 'GIY_YIG_domain', NULL, NULL, NULL, 8),
(23769, NULL, 'PF19309', NULL, NULL, 'Frem protein N-terminal domain', NULL, 'Frem_N', NULL, NULL, 38961, 8),
(23770, NULL, 'PF04701', NULL, NULL, 'Pox virus D2 protein', NULL, 'Pox_D2', NULL, NULL, 3270, 8),
(23771, NULL, 'PF16930', NULL, NULL, 'Putative porin', NULL, 'Porin_5', NULL, NULL, 22049, 8),
(23772, NULL, 'PF19292', NULL, NULL, 'Phosphorylase b kinase C-terminal domain', NULL, 'KPBB_C', NULL, NULL, 39567, 8),
(23773, NULL, 'PF06821', NULL, NULL, 'Serine hydrolase', NULL, 'Ser_hydrolase', NULL, NULL, 9165, 8),
(23774, NULL, 'PF01418', NULL, NULL, 'Helix-turn-helix domain, rpiR family', NULL, 'HTH_6', NULL, NULL, 832, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23775, NULL, 'PF08219', NULL, NULL, 'Outer membrane protein TOM13', NULL, 'TOM13', NULL, NULL, 13368, 8),
(23776, NULL, 'PF06884', NULL, NULL, 'Protein of unknown function (DUF1264)', NULL, 'DUF1264', NULL, NULL, 9327, 8),
(23777, NULL, 'PF12059', NULL, NULL, 'Protein of unknown function (DUF3540)', NULL, 'DUF3540', NULL, NULL, 20111, 8),
(23778, NULL, 'PF01834', NULL, NULL, 'XRCC1 N terminal domain', NULL, 'XRCC1_N', NULL, NULL, 3697, 8),
(23779, NULL, 'PF12248', NULL, NULL, 'Farnesoic acid 0-methyl transferase', NULL, 'Methyltransf_FA', NULL, NULL, 20517, 8),
(23780, NULL, 'PF02180', NULL, NULL, 'Bcl-2 homology region 4', NULL, 'BH4', NULL, NULL, 862, 8),
(23781, NULL, 'PF00411', NULL, NULL, 'Ribosomal protein S11', NULL, 'Ribosomal_S11', NULL, NULL, 2243, 8),
(23782, NULL, 'PF05656', NULL, NULL, 'Protein of unknown function (DUF805)', NULL, 'DUF805', NULL, NULL, 13169, 8),
(23783, NULL, 'PF12357', NULL, NULL, 'Phospholipase D C terminal', NULL, 'PLD_C', NULL, NULL, 3905, 8),
(23784, NULL, 'PF09465', NULL, NULL, 'Lamin-B receptor of TUDOR domain', NULL, 'LBR_tudor', NULL, NULL, 16136, 8),
(23785, NULL, 'PF12578', NULL, NULL, 'Myotubularin-associated protein', NULL, '3-PAP', NULL, NULL, 17445, 8),
(23786, NULL, 'PF04506', NULL, NULL, 'Rft protein', NULL, 'Rft-1', NULL, NULL, 2782, 8),
(23787, NULL, 'PF05706', NULL, NULL, 'Cyclin-dependent kinase inhibitor 3 (CDKN3)', NULL, 'CDKN3', NULL, NULL, 17180, 8),
(23788, NULL, 'PF16444', NULL, NULL, 'Domain of unknown function (DUF5041)', NULL, 'DUF5041', NULL, NULL, 25910, 8),
(23789, NULL, 'PF13207', NULL, NULL, 'AAA domain', NULL, 'AAA_17', NULL, NULL, NULL, 8),
(23790, NULL, 'PF12151', NULL, NULL, 'Mannan-binding protein', NULL, 'MVL', NULL, NULL, 20918, 8),
(23791, NULL, 'PF13012', NULL, NULL, 'Maintenance of mitochondrial structure and function', NULL, 'MitMem_reg', NULL, NULL, 22620, 8),
(23792, NULL, 'PF01347', NULL, NULL, 'Lipoprotein amino terminal region', NULL, 'Vitellogenin_N', NULL, NULL, 4558, 8),
(23793, NULL, 'PF02772', NULL, NULL, 'S-adenosylmethionine synthetase, central domain', NULL, 'S-AdoMet_synt_M', NULL, NULL, 16602, 8),
(23794, NULL, 'PF09868', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2095)', NULL, 'DUF2095', NULL, NULL, 16580, 8),
(23795, NULL, 'PF02376', NULL, NULL, 'CUT domain', NULL, 'CUT', NULL, NULL, 4391, 8),
(23796, NULL, 'PF02989', NULL, NULL, 'Lyme disease proteins of unknown function', NULL, 'DUF228', NULL, NULL, 3564, 8),
(23797, NULL, 'PF18353', NULL, NULL, 'Phosphoglucose isomerase N-terminal domain', NULL, 'PG_isomerase_N', NULL, NULL, 31648, 8),
(23798, NULL, 'PF07136', NULL, NULL, 'Protein of unknown function (DUF1385)', NULL, 'DUF1385', NULL, NULL, 11272, 8),
(23799, NULL, 'PF08568', NULL, NULL, 'Uncharacterised protein family, YAP/Alf4/glomulin', NULL, 'Kinetochor_Ybp2', NULL, NULL, 17875, 8),
(23800, NULL, 'PF16515', NULL, NULL, 'Clathrin-binding domain of Huntingtin-interacting protein 1', NULL, 'HIP1_clath_bdg', NULL, NULL, 24262, 8),
(23801, NULL, 'PF03673', NULL, NULL, 'Uncharacterised protein family (UPF0128)', NULL, 'UPF0128', NULL, NULL, 4272, 8),
(23802, NULL, 'PF06994', NULL, NULL, 'Involucrin', NULL, 'Involucrin2', NULL, NULL, 12613, 8),
(23803, NULL, 'PF10131', NULL, NULL, '6-pyruvoyl-tetrahydropterin synthase related domain; membrane protein', NULL, 'PTPS_related', NULL, NULL, 19340, 8),
(23804, NULL, 'PF19233', NULL, NULL, 'Family of unknown function (DUF5886)', NULL, 'DUF5886', NULL, NULL, 38250, 8),
(23805, NULL, 'PF10230', NULL, NULL, 'Lipid-droplet associated hydrolase', NULL, 'LIDHydrolase', NULL, NULL, 15689, 8),
(23806, NULL, 'PF05365', NULL, NULL, 'Ubiquinol-cytochrome C reductase, UQCRX/QCR9 like', NULL, 'UCR_UQCRX_QCR9', NULL, NULL, 5226, 8),
(23807, NULL, 'PF09244', NULL, NULL, 'Domain of unknown function (DUF1964)', NULL, 'DUF1964', NULL, NULL, 13608, 8),
(23808, NULL, 'PF07655', NULL, NULL, 'Secretin N-terminal domain', NULL, 'Secretin_N_2', NULL, NULL, 12755, 8),
(23809, NULL, 'PF09865', NULL, NULL, 'Predicted periplasmic protein (DUF2092)', NULL, 'DUF2092', NULL, NULL, 19380, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23810, NULL, 'PF04971', NULL, NULL, 'Bacteriophage P21 holin S', NULL, 'Phage_holin_2_1', NULL, NULL, 6915, 8),
(23811, NULL, 'PF14384', NULL, NULL, 'BrnA antitoxin of type II toxin-antitoxin system', NULL, 'BrnA_antitoxin', NULL, NULL, 28183, 8),
(23812, NULL, 'PF15683', NULL, NULL, 'Testis development-related protein', NULL, 'TDRP', NULL, NULL, 27028, 8),
(23813, NULL, 'PF09909', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2138)', NULL, 'DUF2138', NULL, NULL, 17015, 8),
(23814, NULL, 'PF13209', NULL, NULL, 'Protein of unknown function (DUF4017)', NULL, 'DUF4017', NULL, NULL, 23924, 8),
(23815, NULL, 'PF13558', NULL, NULL, 'Putative exonuclease SbcCD, C subunit', NULL, 'SbcCD_C', NULL, NULL, NULL, 8),
(23816, NULL, 'PF08928', NULL, NULL, 'Domain of unknown function (DUF1910)', NULL, 'DUF1910', NULL, NULL, 7987, 8),
(23817, NULL, 'PF04820', NULL, NULL, 'Tryptophan halogenase', NULL, 'Trp_halogenase', NULL, NULL, 4762, 8),
(23818, NULL, 'PF19603', NULL, NULL, 'Family of unknown function (DUF6108)', NULL, 'DUF6108', NULL, NULL, 39484, 8),
(23819, NULL, 'PF16458', NULL, NULL, 'Beta-prism lectin', NULL, 'Beta-prism_lec', NULL, NULL, 22516, 8),
(23820, NULL, 'PF08206', NULL, NULL, 'Ribonuclease B OB domain', NULL, 'OB_RNB', NULL, NULL, 12053, 8),
(23821, NULL, 'PF14622', NULL, NULL, 'Ribonuclease-III-like', NULL, 'Ribonucleas_3_3', NULL, NULL, 47, 8),
(23822, NULL, 'PF03037', NULL, NULL, 'Kinetoplastid membrane protein 11', NULL, 'KMP11', NULL, NULL, 2571, 8),
(23823, NULL, 'PF01084', NULL, NULL, 'Ribosomal protein S18', NULL, 'Ribosomal_S18', NULL, NULL, 5234, 8),
(23824, NULL, 'PF18031', NULL, NULL, 'Ubiquitin carboxyl-terminal hydrolases', NULL, 'UCH_C', NULL, NULL, 32825, 8),
(23825, NULL, 'PF05099', NULL, NULL, 'Tellurite resistance protein TerB', NULL, 'TerB', NULL, NULL, 2331, 8),
(23826, NULL, 'PF01652', NULL, NULL, 'Eukaryotic initiation factor 4E', NULL, 'IF4E', NULL, NULL, 1246, 8),
(23827, NULL, 'PF13850', NULL, NULL, 'Endoplasmic Reticulum-Golgi Intermediate Compartment (ERGIC)', NULL, 'ERGIC_N', NULL, NULL, 35628, 8),
(23828, NULL, 'PF18876', NULL, NULL, 'AF-4 proto-oncoprotein C-terminal region', NULL, 'AF-4_C', NULL, NULL, 37833, 8),
(23829, NULL, 'PF03380', NULL, NULL, 'Caenorhabditis protein of unknown function, DUF282', NULL, 'DUF282', NULL, NULL, 2353, 8),
(23830, NULL, 'PF04937', NULL, NULL, 'Protein of unknown function (DUF 659)', NULL, 'DUF659', NULL, NULL, 6699, 8),
(23831, NULL, 'PF18742', NULL, NULL, 'REase_DpnII-MboI', NULL, 'DpnII-MboI', NULL, NULL, NULL, 8),
(23832, NULL, 'PF04909', NULL, NULL, 'Amidohydrolase', NULL, 'Amidohydro_2', NULL, NULL, 2463, 8),
(23833, NULL, 'PF13076', NULL, NULL, 'Fur-regulated basic protein A', NULL, 'Fur_reg_FbpA', NULL, NULL, 23507, 8),
(23834, NULL, 'PF19859', NULL, NULL, 'Family of unknown function (DUF6333)', NULL, 'DUF6333', NULL, NULL, NULL, 8),
(23835, NULL, 'PF07880', NULL, NULL, 'Bacteriophage T4 gp9/10-like protein', NULL, 'T4_gp9_10', NULL, NULL, 9519, 8),
(23836, NULL, 'PF01996', NULL, NULL, 'F420-0:Gamma-glutamyl ligase', NULL, 'F420_ligase', NULL, NULL, 5908, 8),
(23837, NULL, 'PF16884', NULL, NULL, 'N-terminal domain of oxidoreductase', NULL, 'ADH_N_2', NULL, NULL, 32992, 8),
(23838, NULL, 'PF19664', NULL, NULL, 'Family of unknown function (DUF6167)', NULL, 'DUF6167', NULL, NULL, 39640, 8),
(23839, NULL, 'PF14364', NULL, NULL, 'Domain of unknown function (DUF4408)', NULL, 'DUF4408', NULL, NULL, 28496, 8),
(23840, NULL, 'PF05105', NULL, NULL, 'Bacteriophage holin family', NULL, 'Phage_holin_4_1', NULL, NULL, 6001, 8),
(23841, NULL, 'PF04098', NULL, NULL, 'Rad52/22 family double-strand break repair protein', NULL, 'Rad52_Rad22', NULL, NULL, 32071, 8),
(23842, NULL, 'PF01182', NULL, NULL, 'Glucosamine-6-phosphate isomerases/6-phosphogluconolactonase', NULL, 'Glucosamine_iso', NULL, NULL, 11211, 8),
(23843, NULL, 'PF04781', NULL, NULL, 'Protein of unknown function (DUF627)', NULL, 'DUF627', NULL, NULL, 4315, 8),
(23844, NULL, 'PF19832', NULL, NULL, 'Family of unknown function (DUF6313)', NULL, 'DUF6313', NULL, NULL, 39793, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23845, NULL, 'PF13050', NULL, NULL, 'Protein of unknown function (DUF3911)', NULL, 'DUF3911', NULL, NULL, 23952, 8),
(23846, NULL, 'PF05054', NULL, NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV) protein', NULL, 'AcMNPV_Ac109', NULL, NULL, 1112, 8),
(23847, NULL, 'PF06591', NULL, NULL, 'T4-like phage nuclear disruption protein (Ndd)', NULL, 'Phage_T4_Ndd', NULL, NULL, 9388, 8),
(23848, NULL, 'PF07964', NULL, NULL, 'Rec10 / Red1', NULL, 'Red1', NULL, NULL, 12544, 8),
(23849, NULL, 'PF15471', NULL, NULL, 'Transmembrane protein family 171', NULL, 'TMEM171', NULL, NULL, 28948, 8),
(23850, NULL, 'PF02671', NULL, NULL, 'Paired amphipathic helix repeat', NULL, 'PAH', NULL, NULL, 3008, 8),
(23851, NULL, 'PF05170', NULL, NULL, 'AsmA family', NULL, 'AsmA', NULL, NULL, 2028, 8),
(23852, NULL, 'PF13230', NULL, NULL, 'Glutamine amidotransferases class-II', NULL, 'GATase_4', NULL, NULL, 28795, 8),
(23853, NULL, 'PF12212', NULL, NULL, 'PAZ domain', NULL, 'PAZ_siRNAbind', NULL, NULL, 18998, 8),
(23854, NULL, 'PF09367', NULL, NULL, 'CpeS-like protein', NULL, 'CpeS', NULL, NULL, 14650, 8),
(23855, NULL, 'PF14103', NULL, NULL, 'Domain of unknown function (DUF4276)', NULL, 'DUF4276', NULL, NULL, 23103, 8),
(23856, NULL, 'PF15570', NULL, NULL, 'Immunity protein 43', NULL, 'Imm43', NULL, NULL, 26416, 8),
(23857, NULL, 'PF12846', NULL, NULL, 'AAA-like domain', NULL, 'AAA_10', NULL, NULL, NULL, 8),
(23858, NULL, 'PF14074', NULL, NULL, 'Protein of unknown function (DUF4257)', NULL, 'DUF4257', NULL, NULL, 23376, 8),
(23859, NULL, 'PF05839', NULL, NULL, 'Apc13p protein', NULL, 'Apc13p', NULL, NULL, 8919, 8),
(23860, NULL, 'PF11093', NULL, NULL, 'Mitochondrial export protein Som1', NULL, 'Mitochondr_Som1', NULL, NULL, 8884, 8),
(23861, NULL, 'PF10435', NULL, NULL, 'Beta-galactosidase, domain 2', NULL, 'BetaGal_dom2', NULL, NULL, 16582, 8),
(23862, NULL, 'PF19250', NULL, NULL, 'Family of unknown function (DUF5898)', NULL, 'DUF5898', NULL, NULL, 38064, 8),
(23863, NULL, 'PF02689', NULL, NULL, 'Helicase', NULL, 'Herpes_Helicase', NULL, NULL, 3231, 8),
(23864, NULL, 'PF08514', NULL, NULL, 'STAG domain', NULL, 'STAG', NULL, NULL, 14224, 8),
(23865, NULL, 'PF07281', NULL, NULL, 'Insulin-induced protein (INSIG)', NULL, 'INSIG', NULL, NULL, 25687, 8),
(23866, NULL, 'PF14518', NULL, NULL, 'Iron-containing redox enzyme', NULL, 'Haem_oxygenas_2', NULL, NULL, NULL, 8),
(23867, NULL, 'PF13650', NULL, NULL, 'Aspartyl protease', NULL, 'Asp_protease_2', NULL, NULL, NULL, 8),
(23868, NULL, 'PF04092', NULL, NULL, 'SRS domain', NULL, 'SAG', NULL, NULL, 6848, 8),
(23869, NULL, 'PF13459', NULL, NULL, '4Fe-4S single cluster domain', NULL, 'Fer4_15', NULL, NULL, NULL, 8),
(23870, NULL, 'PF13279', NULL, NULL, 'Thioesterase-like superfamily', NULL, '4HBT_2', NULL, NULL, NULL, 8),
(23871, NULL, 'PF19015', NULL, NULL, 'Family of unknown function (DUF5744)', NULL, 'DUF5744', NULL, NULL, 38432, 8),
(23872, NULL, 'PF18608', NULL, NULL, 'XIAP-associated factor 1 C-terminal domain', NULL, 'XAF1_C', NULL, NULL, 32009, 8),
(23873, NULL, 'PF15685', NULL, NULL, 'Gametogenetin', NULL, 'GGN', NULL, NULL, 27001, 8),
(23874, NULL, 'PF15438', NULL, NULL, 'Antigenic membrane protein of phytoplasma', NULL, 'Phyto-Amp', NULL, NULL, 28721, 8),
(23875, NULL, 'PF10808', NULL, NULL, 'Protein of unknown function (DUF2542)', NULL, 'DUF2542', NULL, NULL, 13645, 8),
(23876, NULL, 'PF14143', NULL, NULL, 'YrhC-like protein', NULL, 'YrhC', NULL, NULL, 28251, 8),
(23877, NULL, 'PF03472', NULL, NULL, 'Autoinducer binding domain', NULL, 'Autoind_bind', NULL, NULL, 4094, 8),
(23878, NULL, 'PF05165', NULL, NULL, 'GTP cyclohydrolase III', NULL, 'GCH_III', NULL, NULL, 2257, 8),
(23879, NULL, 'PF15859', NULL, NULL, 'Deleted in esophageal cancer 1 family', NULL, 'DEC1', NULL, NULL, 27442, 8),
(23880, NULL, 'PF17940', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_31', NULL, NULL, 32883, 8),
(23881, NULL, 'PF04321', NULL, NULL, 'RmlD substrate binding domain', NULL, 'RmlD_sub_bind', NULL, NULL, 26355, 8),
(23882, NULL, 'PF07953', NULL, NULL, 'Clostridium neurotoxin, N-terminal receptor binding', NULL, 'Toxin_R_bind_N', NULL, NULL, 8383, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23883, NULL, 'PF03308', NULL, NULL, 'Methylmalonyl Co-A mutase-associated GTPase MeaB', NULL, 'MeaB', NULL, NULL, NULL, 8),
(23884, NULL, 'PF04474', NULL, NULL, 'Protein of unknown function (DUF554)', NULL, 'DUF554', NULL, NULL, 1810, 8),
(23885, NULL, 'PF09612', NULL, NULL, 'Bacterial protein of unknown function (HtrL_YibB)', NULL, 'HtrL_YibB', NULL, NULL, 11507, 8),
(23886, NULL, 'PF04347', NULL, NULL, 'Flagellar biosynthesis protein, FliO', NULL, 'FliO', NULL, NULL, 14531, 8),
(23887, NULL, 'PF05223', NULL, NULL, 'NTF2-like N-terminal transpeptidase domain', NULL, 'MecA_N', NULL, NULL, 3088, 8),
(23888, NULL, 'PF10744', NULL, NULL, 'Mediator of RNA polymerase II transcription subunit 1', NULL, 'Med1', NULL, NULL, 20367, 8),
(23889, NULL, 'PF15302', NULL, NULL, 'P33 mono-oxygenase', NULL, 'P33MONOX', NULL, NULL, 25112, 8),
(23890, NULL, 'PF02618', NULL, NULL, 'YceG-like family', NULL, 'YceG', NULL, NULL, 2029, 8),
(23891, NULL, 'PF06698', NULL, NULL, 'Protein of unknown function (DUF1192)', NULL, 'DUF1192', NULL, NULL, 901, 8),
(23892, NULL, 'PF19737', NULL, NULL, 'Fukutin N-terminal', NULL, 'FKTN_N', NULL, NULL, 38811, 8),
(23893, NULL, 'PF16909', NULL, NULL, 'Vacuolar-sorting-associated 13 protein C-terminal', NULL, 'VPS13_C', NULL, NULL, 22090, 8),
(23894, NULL, 'PF09635', NULL, NULL, 'MetRS-N binding domain', NULL, 'MetRS-N', NULL, NULL, 17788, 8),
(23895, NULL, 'PF06912', NULL, NULL, 'Protein of unknown function (DUF1275)', NULL, 'DUF1275', NULL, NULL, 10319, 8),
(23896, NULL, 'PF05730', NULL, NULL, 'CFEM domain', NULL, 'CFEM', NULL, NULL, 8883, 8),
(23897, NULL, 'PF03362', NULL, NULL, 'Herpesvirus UL47 protein', NULL, 'Herpes_UL47', NULL, NULL, 1152, 8),
(23898, NULL, 'PF12982', NULL, NULL, 'Protein of unknown function (DUF3866)', NULL, 'DUF3866', NULL, NULL, 23134, 8),
(23899, NULL, 'PF01531', NULL, NULL, 'Glycosyl transferase family 11', NULL, 'Glyco_transf_11', NULL, NULL, 940, 8),
(23900, NULL, 'PF19102', NULL, NULL, 'Family of unknown function (DUF5789)', NULL, 'DUF5789', NULL, NULL, 36885, 8),
(23901, NULL, 'PF03070', NULL, NULL, 'TENA/THI-4/PQQC family', NULL, 'TENA_THI-4', NULL, NULL, 4758, 8),
(23902, NULL, 'PF09233', NULL, NULL, 'Restriction endonuclease EcoRV', NULL, 'Endonuc-EcoRV', NULL, NULL, 13673, 8),
(23903, NULL, 'PF02461', NULL, NULL, 'Ammonia monooxygenase', NULL, 'AMO', NULL, NULL, 5143, 8),
(23904, NULL, 'PF08188', NULL, NULL, 'Spermatozal protamine family', NULL, 'Protamine_3', NULL, NULL, 9923, 8),
(23905, NULL, 'PF05857', NULL, NULL, 'TraX protein', NULL, 'TraX', NULL, NULL, 7847, 8),
(23906, NULL, 'PF14980', NULL, NULL, 'TIP39 peptide', NULL, 'TIP39', NULL, NULL, 24420, 8),
(23907, NULL, 'PF05995', NULL, NULL, 'Cysteine dioxygenase type I', NULL, 'CDO_I', NULL, NULL, 7736, 8),
(23908, NULL, 'PF05183', NULL, NULL, 'RNA dependent RNA polymerase', NULL, 'RdRP', NULL, NULL, 2018, 8),
(23909, NULL, 'PF01712', NULL, NULL, 'Deoxynucleoside kinase', NULL, 'dNK', NULL, NULL, 25555, 8),
(23910, NULL, 'PF08913', NULL, NULL, 'Vinculin Binding Site', NULL, 'VBS', NULL, NULL, 7594, 8),
(23911, NULL, 'PF18677', NULL, NULL, 'Archaellum regulatory network B, C-terminal domain', NULL, 'ArnB_C', NULL, NULL, 29556, 8),
(23912, NULL, 'PF16879', NULL, NULL, 'C-terminal domain of Sin3a protein', NULL, 'Sin3a_C', NULL, NULL, 25756, 8),
(23913, NULL, 'PF10933', NULL, NULL, 'Protein of unknown function (DUF2827)', NULL, 'DUF2827', NULL, NULL, 17723, 8),
(23914, NULL, 'PF14723', NULL, NULL, 'Sperm-specific antigen 2 C-terminus', NULL, 'SSFA2_C', NULL, NULL, 21596, 8),
(23915, NULL, 'PF07960', NULL, NULL, 'CBP4', NULL, 'CBP4', NULL, NULL, 13882, 8),
(23916, NULL, 'PF00058', NULL, NULL, 'Low-density lipoprotein receptor repeat class B', NULL, 'Ldl_recept_b', NULL, NULL, 7302, 8),
(23917, NULL, 'PF02464', NULL, NULL, 'Competence-damaged protein', NULL, 'CinA', NULL, NULL, 6155, 8),
(23918, NULL, 'PF03154', NULL, NULL, 'Atrophin-1 family', NULL, 'Atrophin-1', NULL, NULL, 7126, 8),
(23919, NULL, 'PF05020', NULL, NULL, 'NPL4 family, putative zinc binding region', NULL, 'zf-NPL4', NULL, NULL, 1484, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23920, NULL, 'PF16025', NULL, NULL, 'Calcium-dependent calmodulin binding', NULL, 'CaM_bind', NULL, NULL, NULL, 8),
(23921, NULL, 'PF12809', NULL, NULL, 'Eukaryotic metallothionein', NULL, 'Metallothi_Euk2', NULL, NULL, 33137, 8),
(23922, NULL, 'PF02906', NULL, NULL, 'Iron only hydrogenase large subunit, C-terminal domain', NULL, 'Fe_hyd_lg_C', NULL, NULL, 1588, 8),
(23923, NULL, 'PF00535', NULL, NULL, 'Glycosyl transferase family 2', NULL, 'Glycos_transf_2', NULL, NULL, 1252, 8),
(23924, NULL, 'PF15395', NULL, NULL, 'Domain of unknown function (DUF4617)', NULL, 'DUF4617', NULL, NULL, 27977, 8),
(23925, NULL, 'PF08405', NULL, NULL, 'Viral polyprotein N-terminal', NULL, 'Calici_PP_N', NULL, NULL, 11388, 8),
(23926, NULL, 'PF01007', NULL, NULL, 'Inward rectifier potassium channel transmembrane domain', NULL, 'IRK', NULL, NULL, 30331, 8),
(23927, NULL, 'PF02182', NULL, NULL, 'SAD/SRA domain', NULL, 'SAD_SRA', NULL, NULL, 1314, 8),
(23928, NULL, 'PF12353', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit G', NULL, 'eIF3g', NULL, NULL, 187, 8),
(23929, NULL, 'PF05477', NULL, NULL, 'Surfeit locus protein 2 (SURF2)', NULL, 'SURF2', NULL, NULL, 14038, 8),
(23930, NULL, 'PF03548', NULL, NULL, 'Outer membrane lipoprotein carrier protein LolA', NULL, 'LolA', NULL, NULL, 756, 8),
(23931, NULL, 'PF16023', NULL, NULL, 'Domain of unknown function (DUF4784)', NULL, 'DUF4784', NULL, NULL, 25021, 8),
(23932, NULL, 'PF17836', NULL, NULL, 'PglD N-terminal domain', NULL, 'PglD_N', NULL, NULL, 32599, 8),
(23933, NULL, 'PF14499', NULL, NULL, 'Domain of unknown function (DUF4437)', NULL, 'DUF4437', NULL, NULL, 24758, 8),
(23934, NULL, 'PF05449', NULL, NULL, 'Putative 3TM holin, Phage_holin_3', NULL, 'Phage_holin_3_7', NULL, NULL, 12427, 8),
(23935, NULL, 'PF12270', NULL, NULL, 'Cytochrome c oxidase subunit IV', NULL, 'Cyt_c_ox_IV', NULL, NULL, 15287, 8),
(23936, NULL, 'PF12972', NULL, NULL, 'Alpha-N-acetylglucosaminidase (NAGLU) C-terminal domain', NULL, 'NAGLU_C', NULL, NULL, 27700, 8),
(23937, NULL, 'PF14378', NULL, NULL, 'PAP2 superfamily', NULL, 'PAP2_3', NULL, NULL, 22757, 8),
(23938, NULL, 'PF05548', NULL, NULL, 'Gametolysin peptidase M11', NULL, 'Peptidase_M11', NULL, NULL, 12174, 8),
(23939, NULL, 'PF14625', NULL, NULL, 'Lustrin, cysteine-rich repeated domain', NULL, 'Lustrin_cystein', NULL, NULL, 21692, 8),
(23940, NULL, 'PF15019', NULL, NULL, 'C9orf72-like protein family', NULL, 'C9orf72-like', NULL, NULL, 22589, 8),
(23941, NULL, 'PF06292', NULL, NULL, 'MUN domain', NULL, 'MUN', NULL, NULL, 10364, 8),
(23942, NULL, 'PF11385', NULL, NULL, 'Protein of unknown function (DUF3189)', NULL, 'DUF3189', NULL, NULL, 18846, 8),
(23943, NULL, 'PF12732', NULL, NULL, 'YtxH-like protein', NULL, 'YtxH', NULL, NULL, 25219, 8),
(23944, NULL, 'PF09929', NULL, NULL, 'Putative PD-(D/E)XK phosphodiesterase (DUF2161)', NULL, 'DUF2161', NULL, NULL, 17367, 8),
(23945, NULL, 'PF05531', NULL, NULL, 'Nucleopolyhedrovirus P10 protein', NULL, 'NPV_P10', NULL, NULL, 13481, 8),
(23946, NULL, 'PF19848', NULL, NULL, 'Family of unknown function (DUF6323)', NULL, 'DUF6323', NULL, NULL, 39513, 8),
(23947, NULL, 'PF15430', NULL, NULL, 'Single domain von Willebrand factor type C', NULL, 'SVWC', NULL, NULL, 28616, 8),
(23948, NULL, 'PF02636', NULL, NULL, 'Putative S-adenosyl-L-methionine-dependent methyltransferase', NULL, 'Methyltransf_28', NULL, NULL, 6184, 8),
(23949, NULL, 'PF11850', NULL, NULL, 'Protein of unknown function (DUF3370)', NULL, 'DUF3370', NULL, NULL, 19677, 8),
(23950, NULL, 'PF16826', NULL, NULL, 'Domain of unknown function (DUF5076)', NULL, 'DUF5076', NULL, NULL, 27978, 8),
(23951, NULL, 'PF08021', NULL, NULL, 'Siderophore-interacting FAD-binding domain', NULL, 'FAD_binding_9', NULL, NULL, 18818, 8),
(23952, NULL, 'PF16386', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4995', NULL, NULL, 22593, 8),
(23953, NULL, 'PF06048', NULL, NULL, 'Domain of unknown function (DUF927)', NULL, 'DUF927', NULL, NULL, 13982, 8),
(23954, NULL, 'PF04706', NULL, NULL, 'Dickkopf N-terminal cysteine-rich region', NULL, 'Dickkopf_N', NULL, NULL, 3709, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23955, NULL, 'PF15873', NULL, NULL, 'Domain of unknown function (DUF4730)', NULL, 'DUF4730', NULL, NULL, 24807, 8),
(23956, NULL, 'PF12030', NULL, NULL, 'Domain of unknown function (DUF3517)', NULL, 'DUF3517', NULL, NULL, 20439, 8),
(23957, NULL, 'PF08667', NULL, NULL, 'BetR domain', NULL, 'BetR', NULL, NULL, 8329, 8),
(23958, NULL, 'PF19314', NULL, NULL, 'Family of unknown function (DUF5917)', NULL, 'DUF5917', NULL, NULL, 39934, 8),
(23959, NULL, 'PF05870', NULL, NULL, 'Phenolic acid decarboxylase (PAD)', NULL, 'PA_decarbox', NULL, NULL, 12246, 8),
(23960, NULL, 'PF04296', NULL, NULL, 'Protein of unknown function (DUF448)', NULL, 'YlxR', NULL, NULL, 3923, 8),
(23961, NULL, 'PF06835', NULL, NULL, 'Lipopolysaccharide-assembly, LptC-related', NULL, 'LptC', NULL, NULL, 9350, 8),
(23962, NULL, 'PF09638', NULL, NULL, 'Ph1570 protein', NULL, 'Ph1570', NULL, NULL, 21439, 8),
(23963, NULL, 'PF16979', NULL, NULL, 'SAPK-interacting protein 1 (Sin1), Pleckstrin-homology', NULL, 'SIN1_PH', NULL, NULL, 12817, 8),
(23964, NULL, 'PF07193', NULL, NULL, 'Protein of unknown function (DUF1408)', NULL, 'DUF1408', NULL, NULL, 14030, 8),
(23965, NULL, 'PF00156', NULL, NULL, 'Phosphoribosyl transferase domain', NULL, 'Pribosyltran', NULL, NULL, 4701, 8),
(23966, NULL, 'PF01126', NULL, NULL, 'Heme oxygenase', NULL, 'Heme_oxygenase', NULL, NULL, 9102, 8),
(23967, NULL, 'PF08186', NULL, NULL, 'Wound-inducible basic protein family', NULL, 'Wound_ind', NULL, NULL, 10973, 8),
(23968, NULL, 'PF11790', NULL, NULL, 'Glycosyl hydrolase catalytic core', NULL, 'Glyco_hydro_cc', NULL, NULL, 25917, 8),
(23969, NULL, 'PF05853', NULL, NULL, 'beta-keto acid cleavage enzyme', NULL, 'BKACE', NULL, NULL, 13084, 8),
(23970, NULL, 'PF16102', NULL, NULL, 'ACTH-associated domain', NULL, 'ACTH_assoc', NULL, NULL, 24437, 8),
(23971, NULL, 'PF00839', NULL, NULL, 'Cysteine rich repeat', NULL, 'Cys_rich_FGFR', NULL, NULL, 4296, 8),
(23972, NULL, 'PF12985', NULL, NULL, 'Domain of unknown function (DUF3869)', NULL, 'DUF3869', NULL, NULL, 3336, 8),
(23973, NULL, 'PF12753', NULL, NULL, 'Nuclear pore complex subunit Nro1', NULL, 'Nro1', NULL, NULL, 28608, 8),
(23974, NULL, 'PF02176', NULL, NULL, 'TRAF-type zinc finger', NULL, 'zf-TRAF', NULL, NULL, 5462, 8),
(23975, NULL, 'PF00844', NULL, NULL, 'Geminivirus coat protein/nuclear export factor BR1 family', NULL, 'Gemini_coat', NULL, NULL, 4723, 8),
(23976, NULL, 'PF10400', NULL, NULL, 'Virulence activator alpha C-term', NULL, 'Vir_act_alpha_C', NULL, NULL, 8970, 8),
(23977, NULL, 'PF16792', NULL, NULL, 'Phage tail base-plate attachment protein of Caudovirales ORF16', NULL, 'Caudo_bapla16', NULL, NULL, 28511, 8),
(23978, NULL, 'PF01028', NULL, NULL, 'Eukaryotic DNA topoisomerase I, catalytic core', NULL, 'Topoisom_I', NULL, NULL, 12188, 8),
(23979, NULL, 'PF06245', NULL, NULL, 'Protein of unknown function (DUF1015)', NULL, 'DUF1015', NULL, NULL, 7826, 8),
(23980, NULL, 'PF14798', NULL, NULL, 'Calcium homeostasis modulator', NULL, 'Ca_hom_mod', NULL, NULL, 27667, 8),
(23981, NULL, 'PF04073', NULL, NULL, 'Aminoacyl-tRNA editing domain', NULL, 'tRNA_edit', NULL, NULL, 6318, 8),
(23982, NULL, 'PF03415', NULL, NULL, 'Clostripain family', NULL, 'Peptidase_C11', NULL, NULL, 10043, 8),
(23983, NULL, 'PF19632', NULL, NULL, 'Family of unknown function (DUF6136)', NULL, 'DUF6136', NULL, NULL, 36540, 8),
(23984, NULL, 'PF15527', NULL, NULL, 'Bacterial toxin 22', NULL, 'Ntox22', NULL, NULL, 25283, 8),
(23985, NULL, 'PF00225', NULL, NULL, 'Kinesin motor domain', NULL, 'Kinesin', NULL, NULL, 3081, 8),
(23986, NULL, 'PF13286', NULL, NULL, 'Phosphohydrolase-associated domain', NULL, 'HD_assoc', NULL, NULL, 28687, 8),
(23987, NULL, 'PF05972', NULL, NULL, 'APC 15 residue motif', NULL, 'APC_15aa', NULL, NULL, 12875, 8),
(23988, NULL, 'PF05317', NULL, NULL, 'Thermopsin', NULL, 'Thermopsin', NULL, NULL, 4165, 8),
(23989, NULL, 'PF20069', NULL, NULL, 'Family of unknown function (DUF6465)', NULL, 'DUF6465', NULL, NULL, 39762, 8),
(23990, NULL, 'PF09692', NULL, NULL, 'Argonaute siRNA chaperone (ARC) complex subunit Arb1', NULL, 'Arb1', NULL, NULL, 16049, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(23991, NULL, 'PF20019', NULL, NULL, 'vWA-MoxR associated protein middle region 20', NULL, 'VMAP-M20', NULL, NULL, NULL, 8),
(23992, NULL, 'PF12052', NULL, NULL, 'Voltage gated calcium channel subunit beta domain 4Aa N terminal', NULL, 'VGCC_beta4Aa_N', NULL, NULL, 5545, 8),
(23993, NULL, 'PF14187', NULL, NULL, 'Domain of unknown function (DUF4310)', NULL, 'DUF4310', NULL, NULL, 28237, 8),
(23994, NULL, 'PF08288', NULL, NULL, 'PIGA (GPI anchor biosynthesis)', NULL, 'PIGA', NULL, NULL, 12222, 8),
(23995, NULL, 'PF17266', NULL, NULL, 'Family of unknown function (DUF5332)', NULL, 'DUF5332', NULL, NULL, 19563, 8),
(23996, NULL, 'PF19263', NULL, NULL, 'Family of unknown function (DUF5906)', NULL, 'DUF5906', NULL, NULL, 38725, 8),
(23997, NULL, 'PF13600', NULL, NULL, 'N-terminal domain of unknown function (DUF4140)', NULL, 'DUF4140', NULL, NULL, 23716, 8),
(23998, NULL, 'PF14117', NULL, NULL, 'Domain of unknown function (DUF4287)', NULL, 'DUF4287', NULL, NULL, 26005, 8),
(23999, NULL, 'PF09005', NULL, NULL, 'Domain of unknown function (DUF1897)', NULL, 'DUF1897', NULL, NULL, 8504, 8),
(24000, NULL, 'PF09588', NULL, NULL, 'YqaJ-like viral recombinase domain', NULL, 'YqaJ', NULL, NULL, 16779, 8),
(24001, NULL, 'PF19845', NULL, NULL, 'Family of unknown function (DUF6320)', NULL, 'DUF6320', NULL, NULL, 39975, 8),
(24002, NULL, 'PF00349', NULL, NULL, 'Hexokinase', NULL, 'Hexokinase_1', NULL, NULL, 17378, 8),
(24003, NULL, 'PF14248', NULL, NULL, 'Domain of unknown function (DUF4345)', NULL, 'DUF4345', NULL, NULL, 28304, 8),
(24004, NULL, 'PF00271', NULL, NULL, 'Helicase conserved C-terminal domain', NULL, 'Helicase_C', NULL, NULL, 3254, 8),
(24005, NULL, 'PF15617', NULL, NULL, 'C-C_Bond_Lyase of the TIM-Barrel fold', NULL, 'C-C_Bond_Lyase', NULL, NULL, 30794, 8),
(24006, NULL, 'PF15889', NULL, NULL, 'Domain of unknown function (DUF4738)', NULL, 'DUF4738', NULL, NULL, 24934, 8),
(24007, NULL, 'PF17385', NULL, NULL, 'Lacto-N-biose phosphorylase central domain', NULL, 'LBP_M', NULL, NULL, 33453, 8),
(24008, NULL, 'PF09977', NULL, NULL, 'Putative Tad-like Flp pilus-assembly', NULL, 'Tad_C', NULL, NULL, 17694, 8),
(24009, NULL, 'PF04763', NULL, NULL, 'Protein of unknown function (DUF562)', NULL, 'DUF562', NULL, NULL, 4177, 8),
(24010, NULL, 'PF15348', NULL, NULL, 'Gemini of Cajal bodies-associated protein 8', NULL, 'GEMIN8', NULL, NULL, 8733, 8),
(24011, NULL, 'PF15350', NULL, NULL, 'Ewing''s tumour-associated antigen 1 homologue', NULL, 'ETAA1', NULL, NULL, 26356, 8),
(24012, NULL, 'PF08721', NULL, NULL, 'TnsA endonuclease C terminal', NULL, 'Tn7_Tnp_TnsA_C', NULL, NULL, 11937, 8),
(24013, NULL, 'PF01133', NULL, NULL, 'Enhancer of rudimentary', NULL, 'ER', NULL, NULL, 6588, 8),
(24014, NULL, 'PF02736', NULL, NULL, 'Myosin N-terminal SH3-like domain', NULL, 'Myosin_N', NULL, NULL, 1000, 8),
(24015, NULL, 'PF14353', NULL, NULL, 'CpXC protein', NULL, 'CpXC', NULL, NULL, 25945, 8),
(24016, NULL, 'PF19257', NULL, NULL, 'BURAN domain', NULL, 'BURAN', NULL, NULL, 37922, 8),
(24017, NULL, 'PF09618', NULL, NULL, 'CRISPR-associated protein (Cas_Csy4)', NULL, 'Cas_Csy4', NULL, NULL, 11823, 8),
(24018, NULL, 'PF19661', NULL, NULL, 'Family of unknown function (DUF6164)', NULL, 'DUF6164', NULL, NULL, 39947, 8),
(24019, NULL, 'PF00239', NULL, NULL, 'Resolvase, N terminal domain', NULL, 'Resolvase', NULL, NULL, 10446, 8),
(24020, NULL, 'PF19480', NULL, NULL, 'Domain of unknown function (DUF6016)', NULL, 'DUF6016', NULL, NULL, 39349, 8),
(24021, NULL, 'PF02099', NULL, NULL, 'Josephin', NULL, 'Josephin', NULL, NULL, 10032, 8),
(24022, NULL, 'PF05415', NULL, NULL, 'Beet necrotic yellow vein furovirus-type papain-like endopeptidase', NULL, 'Peptidase_C36', NULL, NULL, 12204, 8),
(24023, NULL, 'PF03614', NULL, NULL, 'Repressor of phase-1 flagellin', NULL, 'Flag1_repress', NULL, NULL, 6326, 8),
(24024, NULL, 'PF10539', NULL, NULL, 'Development and cell death domain', NULL, 'Dev_Cell_Death', NULL, NULL, 10169, 8),
(24025, NULL, 'PF11297', NULL, NULL, 'Protein of unknown function (DUF3098)', NULL, 'DUF3098', NULL, NULL, 18424, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24026, NULL, 'PF13603', NULL, NULL, 'Leucyl-tRNA synthetase, Domain 2', NULL, 'tRNA-synt_1_2', NULL, NULL, 25749, 8),
(24027, NULL, 'PF09644', NULL, NULL, 'Mg296 protein', NULL, 'Mg296', NULL, NULL, 17549, 8),
(24028, NULL, 'PF18187', NULL, NULL, 'TbRIF5 SNase domain 1', NULL, 'RIF5_SNase_1', NULL, NULL, 30596, 8),
(24029, NULL, 'PF02074', NULL, NULL, 'Carboxypeptidase Taq (M32) metallopeptidase', NULL, 'Peptidase_M32', NULL, NULL, 51, 8),
(24030, NULL, 'PF08787', NULL, NULL, 'Alginate lyase', NULL, 'Alginate_lyase2', NULL, NULL, 13226, 8),
(24031, NULL, 'PF15419', NULL, NULL, 'Leukemia NUP98 fusion partner 1', NULL, 'LNP1', NULL, NULL, 28867, 8),
(24032, NULL, 'PF01501', NULL, NULL, 'Glycosyl transferase family 8', NULL, 'Glyco_transf_8', NULL, NULL, 824, 8),
(24033, NULL, 'PF07472', NULL, NULL, 'Fucose-binding lectin II (PA-IIL)', NULL, 'PA-IIL', NULL, NULL, 12805, 8),
(24034, NULL, 'PF07726', NULL, NULL, 'ATPase family associated with various cellular activities (AAA)', NULL, 'AAA_3', NULL, NULL, 8276, 8),
(24035, NULL, 'PF02040', NULL, NULL, 'Arsenical pump membrane protein', NULL, 'ArsB', NULL, NULL, 4371, 8),
(24036, NULL, 'PF02776', NULL, NULL, 'Thiamine pyrophosphate enzyme, N-terminal TPP binding domain', NULL, 'TPP_enzyme_N', NULL, NULL, 7686, 8),
(24037, NULL, 'PF10753', NULL, NULL, 'Toxin GhoT_OrtT', NULL, 'Toxin_GhoT_OrtT', NULL, NULL, 20975, 8),
(24038, NULL, 'PF16232', NULL, NULL, 'Domain of unknown function (DUF4891)', NULL, 'DUF4891', NULL, NULL, 27542, 8),
(24039, NULL, 'PF18333', NULL, NULL, 'Non-canonical single-stranded DNA-binding domain', NULL, 'ssDNA_DBD', NULL, NULL, NULL, 8),
(24040, NULL, 'PF07938', NULL, NULL, 'Fungal fucose-specific lectin', NULL, 'Fungal_lectin', NULL, NULL, 14746, 8),
(24041, NULL, 'PF18834', NULL, NULL, 'Large polyvalent protein associated domain 22', NULL, 'LPD22', NULL, NULL, 30527, 8),
(24042, NULL, 'PF10093', NULL, NULL, 'Elongation-Factor P (EF-P) rhamnosyltransferase EarP', NULL, 'EarP', NULL, NULL, 19596, 8),
(24043, NULL, 'PF13430', NULL, NULL, 'Domain of unknown function (DUF4112)', NULL, 'DUF4112', NULL, NULL, 23074, 8),
(24044, NULL, 'PF02732', NULL, NULL, 'ERCC4 domain', NULL, 'ERCC4', NULL, NULL, 10081, 8),
(24045, NULL, 'PF07955', NULL, NULL, 'Protein of unknown function (DUF1687)', NULL, 'DUF1687', NULL, NULL, 13059, 8),
(24046, NULL, 'PF07307', NULL, NULL, 'Heptaprenyl diphosphate synthase (HEPPP synthase) subunit 1', NULL, 'HEPPP_synt_1', NULL, NULL, 7592, 8),
(24047, NULL, 'PF19357', NULL, NULL, 'Family of unknown function (DUF5934)', NULL, 'DUF5934', NULL, NULL, 39341, 8),
(24048, NULL, 'PF17727', NULL, NULL, 'CtsR C-terminal dimerization domain', NULL, 'CtsR_C', NULL, NULL, 32355, 8),
(24049, NULL, 'PF06875', NULL, NULL, 'Plethodontid receptivity factor PRF', NULL, 'PRF', NULL, NULL, 9436, 8),
(24050, NULL, 'PF02225', NULL, NULL, 'PA domain', NULL, 'PA', NULL, NULL, 1858, 8),
(24051, NULL, 'PF00816', NULL, NULL, 'H-NS histone family', NULL, 'Histone_HNS', NULL, NULL, 4227, 8),
(24052, NULL, 'PF05210', NULL, NULL, 'Sprouty protein (Spry)', NULL, 'Sprouty', NULL, NULL, 3204, 8),
(24053, NULL, 'PF05623', NULL, NULL, 'Protein of unknown function (DUF789)', NULL, 'DUF789', NULL, NULL, 12398, 8),
(24054, NULL, 'PF01591', NULL, NULL, '6-phosphofructo-2-kinase', NULL, '6PF2K', NULL, NULL, 11599, 8),
(24055, NULL, 'PF11008', NULL, NULL, 'Protein of unknown function (DUF2846)', NULL, 'DUF2846', NULL, NULL, 16737, 8),
(24056, NULL, 'PF14527', NULL, NULL, 'WhiA LAGLIDADG-like domain', NULL, 'LAGLIDADG_WhiA', NULL, NULL, 35630, 8),
(24057, NULL, 'PF05955', NULL, NULL, 'Equine herpesvirus glycoprotein gp2', NULL, 'Herpes_gp2', NULL, NULL, 7918, 8),
(24058, NULL, 'PF14511', NULL, NULL, 'Type II restriction endonuclease EcoO109I', NULL, 'RE_EcoO109I', NULL, NULL, 22254, 8),
(24059, NULL, 'PF13389', NULL, NULL, 'Protein of unknown function (DUF4107)', NULL, 'DUF4107', NULL, NULL, 23391, 8),
(24060, NULL, 'PF00559', NULL, NULL, 'Retroviral Vif (Viral infectivity) protein', NULL, 'Vif', NULL, NULL, 6766, 8),
(24061, NULL, 'PF11361', NULL, NULL, 'Protein of unknown function (DUF3159)', NULL, 'DUF3159', NULL, NULL, 18367, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24062, NULL, 'PF08444', NULL, NULL, 'Aralkyl acyl-CoA:amino acid N-acyltransferase, C-terminal region', NULL, 'Gly_acyl_tr_C', NULL, NULL, 12411, 8),
(24063, NULL, 'PF07904', NULL, NULL, 'Chromatin modification-related protein EAF7', NULL, 'Eaf7', NULL, NULL, 13913, 8),
(24064, NULL, 'PF00861', NULL, NULL, 'Ribosomal L18 of archaea, bacteria, mitoch. and chloroplast', NULL, 'Ribosomal_L18p', NULL, NULL, 802, 8),
(24065, NULL, 'PF14292', NULL, NULL, 'SusE outer membrane protein', NULL, 'SusE', NULL, NULL, 24144, 8),
(24066, NULL, 'PF18747', NULL, NULL, 'P-loop Nucleotide Kinase2', NULL, 'Ploopntkinase2', NULL, NULL, 31812, 8),
(24067, NULL, 'PF19254', NULL, NULL, 'Family of unknown function (DUF5901)', NULL, 'DUF5901', NULL, NULL, 36771, 8),
(24068, NULL, 'PF13890', NULL, NULL, 'Rab3 GTPase-activating protein catalytic subunit', NULL, 'Rab3-GTPase_cat', NULL, NULL, 23673, 8),
(24069, NULL, 'PF16226', NULL, NULL, 'Domain of unknown function (DUF4885)', NULL, 'DUF4885', NULL, NULL, 28181, 8),
(24070, NULL, 'PF09592', NULL, NULL, 'Protein of unknown function (DUF2031)', NULL, 'DUF2031', NULL, NULL, 6482, 8),
(24071, NULL, 'PF05140', NULL, NULL, 'ResB-like family', NULL, 'ResB', NULL, NULL, 2446, 8),
(24072, NULL, 'PF05612', NULL, NULL, 'Leg1', NULL, 'Leg1', NULL, NULL, 12248, 8),
(24073, NULL, 'PF16223', NULL, NULL, 'Domain of unknown function (DUF4882)', NULL, 'DUF4882', NULL, NULL, 28187, 8),
(24074, NULL, 'PF16525', NULL, NULL, 'Haemophore, haem-binding', NULL, 'MHB', NULL, NULL, 26753, 8),
(24075, NULL, 'PF16081', NULL, NULL, 'Mycobacterial 2 TMS Phage Holin (M2 Hol) Family', NULL, 'Phage_holin_7_1', NULL, NULL, 23128, 8),
(24076, NULL, 'PF10735', NULL, NULL, 'Protein of unknown function (DUF2526)', NULL, 'DUF2526', NULL, NULL, 21584, 8),
(24077, NULL, 'PF13255', NULL, NULL, 'Protein of unknown function (DUF4046)', NULL, 'DUF4046', NULL, NULL, 23986, 8),
(24078, NULL, 'PF13355', NULL, NULL, 'ARC6-like, IMS domain', NULL, 'ARC6-like_IMS', NULL, NULL, 23337, 8),
(24079, NULL, 'PF19437', NULL, NULL, 'VCIP135 N-terminal', NULL, 'VCIP135_N', NULL, NULL, 38995, 8),
(24080, NULL, 'PF05764', NULL, NULL, 'YL1 nuclear protein', NULL, 'YL1', NULL, NULL, 7862, 8),
(24081, NULL, 'PF06541', NULL, NULL, 'Putative ABC-transporter type IV', NULL, 'ABC_trans_CmpB', NULL, NULL, 14801, 8),
(24082, NULL, 'PF14793', NULL, NULL, 'Pyrimidine/purine nucleotide 5''-monophosphate nucleosidases', NULL, 'DUF4478', NULL, NULL, 22428, 8),
(24083, NULL, 'PF13108', NULL, NULL, 'Protein of unknown function (DUF3969)', NULL, 'DUF3969', NULL, NULL, 23894, 8),
(24084, NULL, 'PF18981', NULL, NULL, 'Internalin K domain (D3/D4)', NULL, 'InlK_D3', NULL, NULL, 37993, 8),
(24085, NULL, 'PF02929', NULL, NULL, 'Beta galactosidase small chain', NULL, 'Bgal_small_N', NULL, NULL, 738, 8),
(24086, NULL, 'PF19121', NULL, NULL, 'Family of unknown function (DUF5805)', NULL, 'DUF5805', NULL, NULL, 37057, 8),
(24087, NULL, 'PF01623', NULL, NULL, 'Carlavirus putative nucleic acid binding protein', NULL, 'Carla_C4', NULL, NULL, 1999, 8),
(24088, NULL, 'PF10157', NULL, NULL, 'BLOC-1-related complex sub-unit 6', NULL, 'BORCS6', NULL, NULL, 15040, 8),
(24089, NULL, 'PF09754', NULL, NULL, 'PAC2 family', NULL, 'PAC2', NULL, NULL, 18715, 8),
(24090, NULL, 'PF14239', NULL, NULL, 'RRXRR protein', NULL, 'RRXRR', NULL, NULL, 24097, 8),
(24091, NULL, 'PF05536', NULL, NULL, 'Neurochondrin', NULL, 'Neurochondrin', NULL, NULL, 13001, 8),
(24092, NULL, 'PF05753', NULL, NULL, 'Translocon-associated protein beta (TRAPB)', NULL, 'TRAP_beta', NULL, NULL, NULL, 8),
(24093, NULL, 'PF12499', NULL, NULL, 'Pherophorin', NULL, 'DUF3707', NULL, NULL, 28553, 8),
(24094, NULL, 'PF02575', NULL, NULL, 'YbaB/EbfC DNA-binding family', NULL, 'YbaB_DNA_bd', NULL, NULL, 5894, 8),
(24095, NULL, 'PF07744', NULL, NULL, 'SPOC domain', NULL, 'SPOC', NULL, NULL, 8500, 8),
(24096, NULL, 'PF16260', NULL, NULL, 'Domain of unknown function (DUF4914)', NULL, 'DUF4914', NULL, NULL, 22321, 8),
(24097, NULL, 'PF05871', NULL, NULL, 'ESCRT-II complex subunit', NULL, 'ESCRT-II', NULL, NULL, 13078, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24098, NULL, 'PF00196', NULL, NULL, 'Bacterial regulatory proteins, luxR family', NULL, 'GerE', NULL, NULL, 6974, 8),
(24099, NULL, 'PF09633', NULL, NULL, 'Protein of unknown function (DUF2023)', NULL, 'DUF2023', NULL, NULL, 15849, 8),
(24100, NULL, 'PF08622', NULL, NULL, 'Svf1-like N-terminal lipocalin domain', NULL, 'Svf1', NULL, NULL, 14470, 8),
(24101, NULL, 'PF06605', NULL, NULL, 'Prophage endopeptidase tail', NULL, 'Prophage_tail', NULL, NULL, 8282, 8),
(24102, NULL, 'PF16166', NULL, NULL, 'Chloroplast import apparatus Tic20-like', NULL, 'TIC20', NULL, NULL, 3820, 8),
(24103, NULL, 'PF10633', NULL, NULL, 'NPCBM-associated, NEW3 domain of alpha-galactosidase', NULL, 'NPCBM_assoc', NULL, NULL, 21476, 8),
(24104, NULL, 'PF05083', NULL, NULL, 'LST-1 protein', NULL, 'LST1', NULL, NULL, 1440, 8),
(24105, NULL, 'PF15151', NULL, NULL, 'Response gene to complement 32 protein family', NULL, 'RGCC', NULL, NULL, 21756, 8),
(24106, NULL, 'PF04297', NULL, NULL, 'Putative helix-turn-helix protein, YlxM / p13 like', NULL, 'UPF0122', NULL, NULL, 3714, 8),
(24107, NULL, 'PF13264', NULL, NULL, 'Domain of unknown function (DUF4055)', NULL, 'DUF4055', NULL, NULL, 23833, 8),
(24108, NULL, 'PF17192', NULL, NULL, 'MukF middle domain', NULL, 'MukF_M', NULL, NULL, 34188, 8),
(24109, NULL, 'PF02986', NULL, NULL, 'Fibronectin binding repeat', NULL, 'Fn_bind', NULL, NULL, 3600, 8),
(24110, NULL, 'PF09897', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2124)', NULL, 'DUF2124', NULL, NULL, 9995, 8),
(24111, NULL, 'PF09676', NULL, NULL, 'Type IV conjugative transfer system lipoprotein (TraV)', NULL, 'TraV', NULL, NULL, 13625, 8),
(24112, NULL, 'PF04621', NULL, NULL, 'PEA3 subfamily ETS-domain transcription factor N terminal domain', NULL, 'ETS_PEA3_N', NULL, NULL, 2370, 8),
(24113, NULL, 'PF18320', NULL, NULL, 'Csc2 Crispr', NULL, 'Csc2', NULL, NULL, 16005, 8),
(24114, NULL, 'PF18909', NULL, NULL, 'Domain of unknown function (DUF5664)', NULL, 'DUF5664', NULL, NULL, 37894, 8),
(24115, NULL, 'PF02727', NULL, NULL, 'Copper amine oxidase, N2 domain', NULL, 'Cu_amine_oxidN2', NULL, NULL, 12970, 8),
(24116, NULL, 'PF01835', NULL, NULL, 'MG2 domain', NULL, 'MG2', NULL, NULL, 5732, 8),
(24117, NULL, 'PF15784', NULL, NULL, 'G-protein pathway suppressor 2-interacting domain', NULL, 'GPS2_interact', NULL, NULL, 25148, 8),
(24118, NULL, 'PF19173', NULL, NULL, 'Family of unknown function (DUF5855)', NULL, 'DUF5855', NULL, NULL, 37029, 8),
(24119, NULL, 'PF18675', NULL, NULL, 'Heparinase II C-terminal domain', NULL, 'HepII_C', NULL, NULL, 29973, 8),
(24120, NULL, 'PF18528', NULL, NULL, 'RNA editing 3'' terminal uridylyl transferase 2 middle domain', NULL, 'Ret2_MD', NULL, NULL, 31332, 8),
(24121, NULL, 'PF20075', NULL, NULL, 'Domain of unknown function (DUF6471)', NULL, 'DUF6471', NULL, NULL, 39777, 8),
(24122, NULL, 'PF04175', NULL, NULL, 'Protein of unknown function (DUF406)', NULL, 'DUF406', NULL, NULL, 4234, 8),
(24123, NULL, 'PF05941', NULL, NULL, 'Chordopoxvirus A20R protein', NULL, 'Chordopox_A20R', NULL, NULL, 7994, 8),
(24124, NULL, 'PF03325', NULL, NULL, 'Herpesvirus polymerase accessory protein', NULL, 'Herpes_PAP', NULL, NULL, 857, 8),
(24125, NULL, 'PF03816', NULL, NULL, 'LytR_cpsA_psr family', NULL, 'LytR_cpsA_psr', NULL, NULL, 7426, 8),
(24126, NULL, 'PF11841', NULL, NULL, 'Domain of unknown function (DUF3361)', NULL, 'DUF3361', NULL, NULL, 22221, 8),
(24127, NULL, 'PF17722', NULL, NULL, 'Intraflagellar transport-associated protein', NULL, 'IFTAP', NULL, NULL, 29335, 8),
(24128, NULL, 'PF10346', NULL, NULL, 'Conidiation protein 6', NULL, 'Con-6', NULL, NULL, 20492, 8),
(24129, NULL, 'PF01832', NULL, NULL, 'Mannosyl-glycoprotein endo-beta-N-acetylglucosaminidase', NULL, 'Glucosaminidase', NULL, NULL, 6348, 8),
(24130, NULL, 'PF19182', NULL, NULL, 'Family of unknown function (DUF5864)', NULL, 'DUF5864', NULL, NULL, 38149, 8),
(24131, NULL, 'PF02101', NULL, NULL, 'Ocular albinism type 1 protein', NULL, 'Ocular_alb', NULL, NULL, 6234, 8),
(24132, NULL, 'PF04148', NULL, NULL, 'Transmembrane adaptor Erv26', NULL, 'Erv26', NULL, NULL, 7071, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24133, NULL, 'PF03463', NULL, NULL, 'eRF1 domain 1', NULL, 'eRF1_1', NULL, NULL, 7198, 8),
(24134, NULL, 'PF11343', NULL, NULL, 'Protein of unknown function (DUF3145)', NULL, 'DUF3145', NULL, NULL, 18970, 8),
(24135, NULL, 'PF14772', NULL, NULL, 'Sperm tail', NULL, 'NYD-SP28', NULL, NULL, 33877, 8),
(24136, NULL, 'PF04493', NULL, NULL, 'Endonuclease V', NULL, 'Endonuclease_5', NULL, NULL, 1973, 8),
(24137, NULL, 'PF07418', NULL, NULL, 'Acidic phosphoprotein precursor PCEMA1', NULL, 'PCEMA1', NULL, NULL, 11664, 8),
(24138, NULL, 'PF11314', NULL, NULL, 'Protein of unknown function (DUF3117)', NULL, 'DUF3117', NULL, NULL, 18948, 8),
(24139, NULL, 'PF15241', NULL, NULL, 'Cylicin N-terminus', NULL, 'Cylicin_N', NULL, NULL, 28412, 8),
(24140, NULL, 'PF10867', NULL, NULL, 'Protein of unknown function (DUF2664)', NULL, 'DUF2664', NULL, NULL, 16512, 8),
(24141, NULL, 'PF19684', NULL, NULL, 'Family of unknown function (DUF6186)', NULL, 'DUF6186', NULL, NULL, 39833, 8),
(24142, NULL, 'PF14038', NULL, NULL, 'YqzE-like protein', NULL, 'YqzE', NULL, NULL, 25216, 8),
(24143, NULL, 'PF10213', NULL, NULL, 'Mitochondrial ribosomal subunit protein', NULL, 'MRP-S28', NULL, NULL, 15854, 8),
(24144, NULL, 'PF19987', NULL, NULL, 'Family of unknown function (DUF6423)', NULL, 'DUF6423', NULL, NULL, 39672, 8),
(24145, NULL, 'PF11204', NULL, NULL, 'Protein of unknown function (DUF2985)', NULL, 'DUF2985', NULL, NULL, 18448, 8),
(24146, NULL, 'PF04689', NULL, NULL, 'DNA binding protein S1FA', NULL, 'S1FA', NULL, NULL, 3072, 8),
(24147, NULL, 'PF15783', NULL, NULL, 'Fibrous sheath-interacting protein 2', NULL, 'FSIP2', NULL, NULL, 25113, 8),
(24148, NULL, 'PF18877', NULL, NULL, 'SSSPR-51 domain', NULL, 'SSSPR-51', NULL, NULL, 23021, 8),
(24149, NULL, 'PF13364', NULL, NULL, 'Beta-galactosidase jelly roll domain', NULL, 'BetaGal_dom4_5', NULL, NULL, 27514, 8),
(24150, NULL, 'PF04326', NULL, NULL, 'Putative DNA-binding domain', NULL, 'AlbA_2', NULL, NULL, 3573, 8),
(24151, NULL, 'PF11535', NULL, NULL, 'Calcium binding', NULL, 'Calci_bind_CcbP', NULL, NULL, 20812, 8),
(24152, NULL, 'PF19415', NULL, NULL, 'Astrovirus transmembrane protein 1A', NULL, 'Astro_1A', NULL, NULL, 38709, 8),
(24153, NULL, 'PF02711', NULL, NULL, 'E4 protein', NULL, 'Pap_E4', NULL, NULL, 3153, 8),
(24154, NULL, 'PF06587', NULL, NULL, 'Protein of unknown function (DUF1137)', NULL, 'DUF1137', NULL, NULL, 8235, 8),
(24155, NULL, 'PF19202', NULL, NULL, 'Family of unknown function (DUF5874)', NULL, 'DUF5874', NULL, NULL, 37627, 8),
(24156, NULL, 'PF15604', NULL, NULL, 'Novel toxin 15', NULL, 'Ntox15', NULL, NULL, 25812, 8),
(24157, NULL, 'PF11331', NULL, NULL, 'Probable zinc-ribbon domain', NULL, 'zinc_ribbon_12', NULL, NULL, 18728, 8),
(24158, NULL, 'PF00536', NULL, NULL, 'SAM domain (Sterile alpha motif)', NULL, 'SAM_1', NULL, NULL, 5053, 8),
(24159, NULL, 'PF02246', NULL, NULL, 'Protein L b1 domain', NULL, 'B1', NULL, NULL, 2980, 8),
(24160, NULL, 'PF08048', NULL, NULL, 'Tap RepA1 leader peptide', NULL, 'RepA1_leader', NULL, NULL, 9922, 8),
(24161, NULL, 'PF11037', NULL, NULL, 'Insulin-resistance promoting peptide in skeletal muscle', NULL, 'Musclin', NULL, NULL, 15435, 8),
(24162, NULL, 'PF16254', NULL, NULL, 'Domain of unknown function (DUF4910)', NULL, 'DUF4910', NULL, NULL, 25036, 8),
(24163, NULL, 'PF15077', NULL, NULL, 'Membrane-anchored junction protein', NULL, 'MAJIN', NULL, NULL, 22297, 8),
(24164, NULL, 'PF18579', NULL, NULL, 'Rubisco accumulation factor 1 helix turn helix domain', NULL, 'Raf1_HTH', NULL, NULL, 30605, 8),
(24165, NULL, 'PF06714', NULL, NULL, 'Gp5 N-terminal OB domain', NULL, 'Gp5_OB', NULL, NULL, 1830, 8),
(24166, NULL, 'PF17228', NULL, NULL, 'Sulphur globule protein', NULL, 'SGP', NULL, NULL, 20012, 8),
(24167, NULL, 'PF03791', NULL, NULL, 'KNOX2 domain', NULL, 'KNOX2', NULL, NULL, 1641, 8),
(24168, NULL, 'PF00129', NULL, NULL, 'Class I Histocompatibility antigen, domains alpha 1 and 2', NULL, 'MHC_I', NULL, NULL, 12578, 8),
(24169, NULL, 'PF02951', NULL, NULL, 'Prokaryotic glutathione synthetase, N-terminal domain', NULL, 'GSH-S_N', NULL, NULL, 3902, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24170, NULL, 'PF17282', NULL, NULL, 'Family of unknown function (DUF5347)', NULL, 'DUF5347', NULL, NULL, 15988, 8),
(24171, NULL, 'PF04959', NULL, NULL, 'Arsenite-resistance protein 2', NULL, 'ARS2', NULL, NULL, 6585, 8),
(24172, NULL, 'PF10123', NULL, NULL, 'Mu-like prophage I protein', NULL, 'Mu-like_Pro', NULL, NULL, 13451, 8),
(24173, NULL, 'PF15066', NULL, NULL, 'Cancer-associated gene protein 1 family', NULL, 'CAGE1', NULL, NULL, 28296, 8),
(24174, NULL, 'PF01667', NULL, NULL, 'Ribosomal protein S27', NULL, 'Ribosomal_S27e', NULL, NULL, 5570, 8),
(24175, NULL, 'PF02818', NULL, NULL, 'PPAK motif', NULL, 'PPAK', NULL, NULL, 2935, 8),
(24176, NULL, 'PF04366', NULL, NULL, 'Las17-binding protein actin regulator', NULL, 'Ysc84', NULL, NULL, 4654, 8),
(24177, NULL, 'PF03210', NULL, NULL, 'Paramyxovirus P/V phosphoprotein C-terminal', NULL, 'Paramyx_P_V_C', NULL, NULL, 36, 8),
(24178, NULL, 'PF09809', NULL, NULL, 'Mitochondrial ribosomal protein L27', NULL, 'MRP-L27', NULL, NULL, 18930, 8),
(24179, NULL, 'PF16383', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4992', NULL, NULL, 22575, 8),
(24180, NULL, 'PF11652', NULL, NULL, 'FAM167', NULL, 'FAM167', NULL, NULL, 9483, 8),
(24181, NULL, 'PF14173', NULL, NULL, 'ComG operon protein 7', NULL, 'ComGG', NULL, NULL, 20294, 8),
(24182, NULL, 'PF06081', NULL, NULL, 'Aromatic acid exporter family member 1', NULL, 'ArAE_1', NULL, NULL, 8509, 8),
(24183, NULL, 'PF11551', NULL, NULL, 'Outer membrane protein Omp28', NULL, 'Omp28', NULL, NULL, 19384, 8),
(24184, NULL, 'PF19333', NULL, NULL, 'Failed axon connections homolog N-terminus', NULL, 'FAXC_N', NULL, NULL, 38563, 8),
(24185, NULL, 'PF11549', NULL, NULL, 'Protein transport protein SEC31', NULL, 'Sec31', NULL, NULL, 19437, 8),
(24186, NULL, 'PF18045', NULL, NULL, 'ISP3 C-terminal', NULL, 'ISP3_C', NULL, NULL, 31817, 8),
(24187, NULL, 'PF01149', NULL, NULL, 'Formamidopyrimidine-DNA glycosylase N-terminal domain', NULL, 'Fapy_DNA_glyco', NULL, NULL, 11902, 8),
(24188, NULL, 'PF10313', NULL, NULL, 'Uncharacterised protein domain (DUF2415)', NULL, 'DUF2415', NULL, NULL, 16628, 8),
(24189, NULL, 'PF07027', NULL, NULL, 'Protein of unknown function (DUF1318)', NULL, 'DUF1318', NULL, NULL, 8986, 8),
(24190, NULL, 'PF19524', NULL, NULL, 'Family of unknown function (DUF6054)', NULL, 'DUF6054', NULL, NULL, 39857, 8),
(24191, NULL, 'PF17857', NULL, NULL, 'AAA+ lid domain', NULL, 'AAA_lid_1', NULL, NULL, 32888, 8),
(24192, NULL, 'PF19012', NULL, NULL, 'Family of unknown function (DUF5741)', NULL, 'DUF5741', NULL, NULL, 38294, 8),
(24193, NULL, 'PF10865', NULL, NULL, 'Domain of unknown function (DUF2703)', NULL, 'DUF2703', NULL, NULL, 17607, 8),
(24194, NULL, 'PF13429', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_15', NULL, NULL, NULL, 8),
(24195, NULL, 'PF02224', NULL, NULL, 'Cytidylate kinase', NULL, 'Cytidylate_kin', NULL, NULL, 10503, 8),
(24196, NULL, 'PF07331', NULL, NULL, 'Tripartite tricarboxylate transporter TctB family', NULL, 'TctB', NULL, NULL, 8409, 8),
(24197, NULL, 'PF20081', NULL, NULL, 'Domain of unknown function (DUF6475)', NULL, 'DUF6475', NULL, NULL, 38730, 8),
(24198, NULL, 'PF01715', NULL, NULL, 'IPP transferase', NULL, 'IPPT', NULL, NULL, NULL, 8),
(24199, NULL, 'PF01921', NULL, NULL, 'tRNA synthetases class I (K)', NULL, 'tRNA-synt_1f', NULL, NULL, 6428, 8),
(24200, NULL, 'PF08434', NULL, NULL, 'Calcium-activated chloride channel N terminal', NULL, 'CLCA', NULL, NULL, 13286, 8),
(24201, NULL, 'PF12540', NULL, NULL, 'Protein of unknown function (DUF3736)', NULL, 'DUF3736', NULL, NULL, 21494, 8),
(24202, NULL, 'PF11789', NULL, NULL, 'Zinc-finger of the MIZ type in Nse subunit', NULL, 'zf-Nse', NULL, NULL, 2580, 8),
(24203, NULL, 'PF06818', NULL, NULL, 'Fez1', NULL, 'Fez1', NULL, NULL, NULL, 8),
(24204, NULL, 'PF20031', NULL, NULL, 'Family of unknown function (DUF6437)', NULL, 'DUF6437', NULL, NULL, 38779, 8),
(24205, NULL, 'PF15221', NULL, NULL, 'Lens epithelial cell protein LEP503', NULL, 'LEP503', NULL, NULL, 21617, 8),
(24206, NULL, 'PF10120', NULL, NULL, 'Thiamine-phosphate synthase', NULL, 'ThiP_synth', NULL, NULL, 20395, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24207, NULL, 'PF08429', NULL, NULL, 'PLU-1-like protein', NULL, 'PLU-1', NULL, NULL, 13482, 8),
(24208, NULL, 'PF20002', NULL, NULL, 'FtsH ternary system domain X3-analog', NULL, 'fvmX3-analog', NULL, NULL, 38817, 8),
(24209, NULL, 'PF06588', NULL, NULL, 'Muskelin N-terminus', NULL, 'Muskelin_N', NULL, NULL, 8059, 8),
(24210, NULL, 'PF17107', NULL, NULL, 'N-terminal domain on NACHT_NTPase and P-loop NTPases', NULL, 'SesA', NULL, NULL, 2942, 8),
(24211, NULL, 'PF11020', NULL, NULL, 'Domain of unknown function (DUF2610)', NULL, 'DUF2610', NULL, NULL, 17807, 8),
(24212, NULL, 'PF10743', NULL, NULL, 'Regulatory phage protein cox', NULL, 'Phage_Cox', NULL, NULL, 20445, 8),
(24213, NULL, 'PF00672', NULL, NULL, 'HAMP domain', NULL, 'HAMP', NULL, NULL, 1390, 8),
(24214, NULL, 'PF06557', NULL, NULL, 'Protein of unknown function (DUF1122)', NULL, 'DUF1122', NULL, NULL, 8995, 8),
(24215, NULL, 'PF07979', NULL, NULL, 'Intimin C-type lectin domain', NULL, 'Intimin_C', NULL, NULL, 18881, 8),
(24216, NULL, 'PF19741', NULL, NULL, 'Family of unknown function (DUF6230)', NULL, 'DUF6230', NULL, NULL, 39655, 8),
(24217, NULL, 'PF14121', NULL, NULL, 'Putative porin', NULL, 'Porin_10', NULL, NULL, 26105, 8),
(24218, NULL, 'PF17078', NULL, NULL, 'SWI5-dependent HO expression protein 3', NULL, 'SHE3', NULL, NULL, 25259, 8),
(24219, NULL, 'PF17795', NULL, NULL, 'Major Vault Protein Repeat domain', NULL, 'Vault_3', NULL, NULL, 31058, 8),
(24220, NULL, 'PF19817', NULL, NULL, 'Family of unknown function (DUF6300)', NULL, 'DUF6300', NULL, NULL, 39832, 8),
(24221, NULL, 'PF02022', NULL, NULL, 'Integrase Zinc binding domain', NULL, 'Integrase_Zn', NULL, NULL, 3914, 8),
(24222, NULL, 'PF18287', NULL, NULL, 'Integron Cassette Protein Hfx_Cass5', NULL, 'Hfx_Cass5', NULL, NULL, 31496, 8),
(24223, NULL, 'PF15989', NULL, NULL, 'Domain of unknown function (DUF4768)', NULL, 'DUF4768', NULL, NULL, 27842, 8),
(24224, NULL, 'PF06177', NULL, NULL, 'QueT transporter', NULL, 'QueT', NULL, NULL, 9638, 8),
(24225, NULL, 'PF09685', NULL, NULL, 'Domain of unknown function (DUF4870)', NULL, 'DUF4870', NULL, NULL, 17575, 8),
(24226, NULL, 'PF19670', NULL, NULL, 'Family of unknown function (DUF6173)', NULL, 'DUF6173', NULL, NULL, 39902, 8),
(24227, NULL, 'PF08840', NULL, NULL, 'BAAT / Acyl-CoA thioester hydrolase C terminal', NULL, 'BAAT_C', NULL, NULL, 14290, 8),
(24228, NULL, 'PF13441', NULL, NULL, 'YMGG-like Gly-zipper', NULL, 'Gly-zipper_YMGG', NULL, NULL, 25483, 8),
(24229, NULL, 'PF11299', NULL, NULL, 'Protein of unknown function (DUF3100)', NULL, 'DUF3100', NULL, NULL, 18458, 8),
(24230, NULL, 'PF02238', NULL, NULL, 'Cytochrome c oxidase subunit VII', NULL, 'COX7a', NULL, NULL, 32076, 8),
(24231, NULL, 'PF03700', NULL, NULL, 'Sorting nexin, N-terminal domain', NULL, 'Sorting_nexin', NULL, NULL, 5538, 8),
(24232, NULL, 'PF13398', NULL, NULL, 'Peptidase M50B-like', NULL, 'Peptidase_M50B', NULL, NULL, NULL, 8),
(24233, NULL, 'PF18744', NULL, NULL, 'Secreted Novel AID/APOBEC-like Deaminase 1', NULL, 'SNAD1', NULL, NULL, 31005, 8),
(24234, NULL, 'PF18860', NULL, NULL, 'AbiJ N-terminal domain 3', NULL, 'AbiJ_NTD3', NULL, NULL, 31719, 8),
(24235, NULL, 'PF02068', NULL, NULL, 'Plant PEC family metallothionein', NULL, 'Metallothio_PEC', NULL, NULL, 4883, 8),
(24236, NULL, 'PF11806', NULL, NULL, 'Domain of unknown function (DUF3327)', NULL, 'DUF3327', NULL, NULL, 19761, 8),
(24237, NULL, 'PF03097', NULL, NULL, 'BRO1-like domain', NULL, 'BRO1', NULL, NULL, 4914, 8),
(24238, NULL, 'PF16293', NULL, NULL, 'C2H2 type zinc-finger (1 copy)', NULL, 'zf-C2H2_9', NULL, NULL, 22138, 8),
(24239, NULL, 'PF19586', NULL, NULL, 'Family of unknown function (DUF6093)', NULL, 'DUF6093', NULL, NULL, 39215, 8),
(24240, NULL, 'PF17690', NULL, NULL, 'Family of unknown function (DUF5537)', NULL, 'DUF5537', NULL, NULL, 29570, 8),
(24241, NULL, 'PF08122', NULL, NULL, 'NADH-ubiquinone oxidoreductase B12 subunit family', NULL, 'NDUF_B12', NULL, NULL, 9957, 8),
(24242, NULL, 'PF07946', NULL, NULL, 'Protein of unknown function (DUF1682)', NULL, 'DUF1682', NULL, NULL, 13299, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24243, NULL, 'PF04848', NULL, NULL, 'Poxvirus A22 protein', NULL, 'Pox_A22', NULL, NULL, 5179, 8),
(24244, NULL, 'PF10623', NULL, NULL, 'Plasmid conjugative transfer protein PilI', NULL, 'PilI', NULL, NULL, 21216, 8),
(24245, NULL, 'PF00815', NULL, NULL, 'Histidinol dehydrogenase', NULL, 'Histidinol_dh', NULL, NULL, 14351, 8),
(24246, NULL, 'PF19436', NULL, NULL, 'ACS/CODH beta subunit C-terminal', NULL, 'ACS_CODH_B_C', NULL, NULL, 38591, 8),
(24247, NULL, 'PF09997', NULL, NULL, 'Predicted membrane protein (DUF2238)', NULL, 'DUF2238', NULL, NULL, 11600, 8),
(24248, NULL, 'PF02897', NULL, NULL, 'Prolyl oligopeptidase, N-terminal beta-propeller domain', NULL, 'Peptidase_S9_N', NULL, NULL, 15926, 8),
(24249, NULL, 'PF18237', NULL, NULL, 'Tk-SP N-propeptide domain', NULL, 'Tk-SP_N-pro', NULL, NULL, 32777, 8),
(24250, NULL, 'PF00210', NULL, NULL, 'Ferritin-like domain', NULL, 'Ferritin', NULL, NULL, 12017, 8),
(24251, NULL, 'PF11812', NULL, NULL, 'Domain of unknown function (DUF3333)', NULL, 'DUF3333', NULL, NULL, 22259, 8),
(24252, NULL, 'PF16763', NULL, NULL, 'Major ampullate spidroin 1, spider silk protein 1, N-term', NULL, 'Spidroin_N', NULL, NULL, 23330, 8),
(24253, NULL, 'PF17599', NULL, NULL, 'Family of unknown function (DUF5495)', NULL, 'DUF5495', NULL, NULL, 20346, 8),
(24254, NULL, 'PF19941', NULL, NULL, 'Family of unknown function (DUF6403)', NULL, 'DUF6403', NULL, NULL, 38648, 8),
(24255, NULL, 'PF14375', NULL, NULL, 'Cysteine-rich CWC', NULL, 'Cys_rich_CWC', NULL, NULL, 29219, 8),
(24256, NULL, 'PF03412', NULL, NULL, 'Peptidase C39 family', NULL, 'Peptidase_C39', NULL, NULL, 10413, 8),
(24257, NULL, 'PF19411', NULL, NULL, 'Cell cycle link protein Clink', NULL, 'Clink', NULL, NULL, 38728, 8),
(24258, NULL, 'PF18260', NULL, NULL, 'Nuclear polyadenylated RNA-binding 2 protein CCCH zinc finger 1', NULL, 'Nab2p_Zf1', NULL, NULL, 32015, 8),
(24259, NULL, 'PF04393', NULL, NULL, 'Protein of unknown function (DUF535)', NULL, 'DUF535', NULL, NULL, 10167, 8),
(24260, NULL, 'PF05760', NULL, NULL, 'Immediate early response protein (IER)', NULL, 'IER', NULL, NULL, 13142, 8),
(24261, NULL, 'PF08195', NULL, NULL, 'TRI9 protein', NULL, 'TRI9', NULL, NULL, 13200, 8),
(24262, NULL, 'PF00471', NULL, NULL, 'Ribosomal protein L33', NULL, 'Ribosomal_L33', NULL, NULL, 3347, 8),
(24263, NULL, 'PF00921', NULL, NULL, 'Borrelia lipoprotein', NULL, 'Lipoprotein_2', NULL, NULL, 3523, 8),
(24264, NULL, 'PF01964', NULL, NULL, 'Radical SAM ThiC family', NULL, 'ThiC_Rad_SAM', NULL, NULL, 4714, 8),
(24265, NULL, 'PF11099', NULL, NULL, 'Apoptosis regulator M11L like', NULL, 'M11L', NULL, NULL, 15481, 8),
(24266, NULL, 'PF13058', NULL, NULL, 'Protein of unknown function (DUF3920)', NULL, 'DUF3920', NULL, NULL, 23773, 8),
(24267, NULL, 'PF06219', NULL, NULL, 'Protein of unknown function (DUF1005)', NULL, 'DUF1005', NULL, NULL, 9856, 8),
(24268, NULL, 'PF09078', NULL, NULL, 'CheY binding', NULL, 'CheY-binding', NULL, NULL, 9898, 8),
(24269, NULL, 'PF19241', NULL, NULL, 'Family of unknown function (DUF5891)', NULL, 'DUF5891', NULL, NULL, 39871, 8),
(24270, NULL, 'PF17701', NULL, NULL, 'Family of unknown function (DUF5547)', NULL, 'DUF5547', NULL, NULL, 31537, 8),
(24271, NULL, 'PF06639', NULL, NULL, 'Basal layer antifungal peptide (BAP)', NULL, 'BAP', NULL, NULL, 10196, 8),
(24272, NULL, 'PF12402', NULL, NULL, 'NocA-like zinc-finger protein 1', NULL, 'nlz1', NULL, NULL, 21289, 8),
(24273, NULL, 'PF06280', NULL, NULL, 'Fn3-like domain', NULL, 'fn3_5', NULL, NULL, 9549, 8),
(24274, NULL, 'PF03773', NULL, NULL, 'Predicted permease', NULL, 'ArsP_1', NULL, NULL, 1653, 8),
(24275, NULL, 'PF17231', NULL, NULL, 'Family of unknown function (DUF5305)', NULL, 'DUF5305', NULL, NULL, 20243, 8),
(24276, NULL, 'PF10821', NULL, NULL, 'Protein of unknown function (DUF2567)', NULL, 'DUF2567', NULL, NULL, 17704, 8),
(24277, NULL, 'PF11968', NULL, NULL, '25S rRNA (adenine(2142)-N(1))-methyltransferase, Bmt2', NULL, 'Bmt2', NULL, NULL, 20397, 8),
(24278, NULL, 'PF07094', NULL, NULL, 'Protein of unknown function (DUF1357)', NULL, 'DUF1357', NULL, NULL, 13328, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24279, NULL, 'PF10784', NULL, NULL, 'Plasmid stability protein', NULL, 'Plasmid_stab_B', NULL, NULL, 21417, 8),
(24280, NULL, 'PF10214', NULL, NULL, 'RNA polymerase I-specific transcription-initiation factor', NULL, 'Rrn6', NULL, NULL, 15851, 8),
(24281, NULL, 'PF01079', NULL, NULL, 'Hint module', NULL, 'Hint', NULL, NULL, 3160, 8),
(24282, NULL, 'PF20025', NULL, NULL, 'Family of unknown function (DUF6433)', NULL, 'DUF6433', NULL, NULL, 38573, 8),
(24283, NULL, 'PF06564', NULL, NULL, 'Cellulose biosynthesis protein BcsQ', NULL, 'CBP_BcsQ', NULL, NULL, 19025, 8),
(24284, NULL, 'PF17570', NULL, NULL, 'Family of unknown function (DUF5476)', NULL, 'DUF5476', NULL, NULL, 13963, 8),
(24285, NULL, 'PF19511', NULL, NULL, 'Family of unknown function (DUF6045)', NULL, 'DUF6045', NULL, NULL, 39512, 8),
(24286, NULL, 'PF18335', NULL, NULL, 'ATP-dependent RecD-like DNA helicase SH3 domain', NULL, 'SH3_13', NULL, NULL, 31921, 8),
(24287, NULL, 'PF08646', NULL, NULL, 'Replication factor-A C terminal domain', NULL, 'Rep_fac-A_C', NULL, NULL, 8364, 8),
(24288, NULL, 'PF00650', NULL, NULL, 'CRAL/TRIO domain', NULL, 'CRAL_TRIO', NULL, NULL, 6978, 8),
(24289, NULL, 'PF14168', NULL, NULL, 'YjzC-like protein', NULL, 'YjzC', NULL, NULL, 25092, 8),
(24290, NULL, 'PF15799', NULL, NULL, 'Coiled-coil domain-containing protein 48', NULL, 'CCD48', NULL, NULL, 26766, 8),
(24291, NULL, 'PF08732', NULL, NULL, 'HIM1', NULL, 'HIM1', NULL, NULL, 11537, 8),
(24292, NULL, 'PF02421', NULL, NULL, 'Ferrous iron transport protein B', NULL, 'FeoB_N', NULL, NULL, 26103, 8),
(24293, NULL, 'PF14203', NULL, NULL, 'Putative transposon-transfer assisting protein', NULL, 'TTRAP', NULL, NULL, 28091, 8),
(24294, NULL, 'PF16347', NULL, NULL, 'Domain of unknown function (DUF4976)', NULL, 'DUF4976', NULL, NULL, 22059, 8),
(24295, NULL, 'PF07236', NULL, NULL, 'Phytoreovirus S7 protein', NULL, 'Phytoreo_S7', NULL, NULL, 14832, 8),
(24296, NULL, 'PF13191', NULL, NULL, 'AAA ATPase domain', NULL, 'AAA_16', NULL, NULL, 33138, 8),
(24297, NULL, 'PF01822', NULL, NULL, 'WSC domain', NULL, 'WSC', NULL, NULL, 5964, 8),
(24298, NULL, 'PF10459', NULL, NULL, 'Peptidase S46', NULL, 'Peptidase_S46', NULL, NULL, 18792, 8),
(24299, NULL, 'PF00670', NULL, NULL, 'S-adenosyl-L-homocysteine hydrolase, NAD binding domain', NULL, 'AdoHcyase_NAD', NULL, NULL, 7140, 8),
(24300, NULL, 'PF13319', NULL, NULL, 'Protein of unknown function (DUF4090)', NULL, 'DUF4090', NULL, NULL, 23605, 8),
(24301, NULL, 'PF05161', NULL, NULL, 'MOFRL family', NULL, 'MOFRL', NULL, NULL, 2291, 8),
(24302, NULL, 'PF16447', NULL, NULL, 'Domain of unknown function (DUF5044)', NULL, 'DUF5044', NULL, NULL, 29095, 8),
(24303, NULL, 'PF09494', NULL, NULL, 'Slx4 endonuclease', NULL, 'Slx4', NULL, NULL, 15993, 8),
(24304, NULL, 'PF00854', NULL, NULL, 'POT family', NULL, 'PTR2', NULL, NULL, 3872, 8),
(24305, NULL, 'PF06883', NULL, NULL, 'RNA polymerase I, Rpa2 specific domain', NULL, 'RNA_pol_Rpa2_4', NULL, NULL, 11951, 8),
(24306, NULL, 'PF13270', NULL, NULL, 'Domain of unknown function (DUF4061)', NULL, 'DUF4061', NULL, NULL, 27594, 8),
(24307, NULL, 'PF10281', NULL, NULL, 'Putative nuclear envelope organisation protein', NULL, 'Ish1', NULL, NULL, 19211, 8),
(24308, NULL, 'PF14726', NULL, NULL, 'Rotatin, an armadillo repeat protein, centriole functioning', NULL, 'RTTN_N', NULL, NULL, 28849, 8),
(24309, NULL, 'PF11682', NULL, NULL, 'Probable zinc-ribbon', NULL, 'zinc_ribbon_11', NULL, NULL, 19179, 8),
(24310, NULL, 'PF07549', NULL, NULL, 'SecD/SecF GG Motif', NULL, 'Sec_GG', NULL, NULL, 17286, 8),
(24311, NULL, 'PF10231', NULL, NULL, 'Apoptogenic protein 1', NULL, 'DUF2315', NULL, NULL, 19009, 8),
(24312, NULL, 'PF05552', NULL, NULL, 'Conserved TM helix', NULL, 'TM_helix', NULL, NULL, 7637, 8),
(24313, NULL, 'PF05771', NULL, NULL, 'Poxvirus A31 protein', NULL, 'Pox_A31', NULL, NULL, 12196, 8),
(24314, NULL, 'PF18135', NULL, NULL, 'Type ISP C-terminal specificity domain', NULL, 'Type_ISP_C', NULL, NULL, 32957, 8),
(24315, NULL, 'PF02281', NULL, NULL, 'Transposase Tn5 dimerisation domain', NULL, 'Dimer_Tnp_Tn5', NULL, NULL, 3043, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24316, NULL, 'PF10287', NULL, NULL, 'Putative TOS1-like glycosyl hydrolase (DUF2401)', NULL, 'DUF2401', NULL, NULL, 19322, 8),
(24317, NULL, 'PF13651', NULL, NULL, 'Adenine-specific methyltransferase EcoRI', NULL, 'EcoRI_methylase', NULL, NULL, 27664, 8),
(24318, NULL, 'PF19592', NULL, NULL, 'Family of unknown function (DUF6097)', NULL, 'DUF6097', NULL, NULL, 39500, 8),
(24319, NULL, 'PF02714', NULL, NULL, 'Calcium-dependent channel, 7TM region, putative phosphate', NULL, 'RSN1_7TM', NULL, NULL, 3004, 8),
(24320, NULL, 'PF05222', NULL, NULL, 'Alanine dehydrogenase/PNT, N-terminal domain', NULL, 'AlaDh_PNT_N', NULL, NULL, 3421, 8),
(24321, NULL, 'PF15698', NULL, NULL, 'Phosphatase', NULL, 'Phosphatase', NULL, NULL, 28975, 8),
(24322, NULL, 'PF05836', NULL, NULL, 'Chorion protein S16', NULL, 'Chorion_S16', NULL, NULL, 11745, 8),
(24323, NULL, 'PF16205', NULL, NULL, 'Ribosomal_S17 N-terminal', NULL, 'Ribosomal_S17_N', NULL, NULL, 26914, 8),
(24324, NULL, 'PF01936', NULL, NULL, 'NYN domain', NULL, 'NYN', NULL, NULL, 15191, 8),
(24325, NULL, 'PF08576', NULL, NULL, 'Eukaryotic protein of unknown function (DUF1764)', NULL, 'DUF1764', NULL, NULL, 17666, 8),
(24326, NULL, 'PF07760', NULL, NULL, 'Protein of unknown function (DUF1616)', NULL, 'DUF1616', NULL, NULL, 10771, 8),
(24327, NULL, 'PF00947', NULL, NULL, 'Picornavirus core protein 2A', NULL, 'Pico_P2A', NULL, NULL, 2788, 8),
(24328, NULL, 'PF04978', NULL, NULL, 'Protein of unknown function (DUF664)', NULL, 'DUF664', NULL, NULL, 6733, 8),
(24329, NULL, 'PF06661', NULL, NULL, 'VirE3', NULL, 'VirE3', NULL, NULL, 10088, 8),
(24330, NULL, 'PF04247', NULL, NULL, 'Invasion gene expression up-regulator, SirB', NULL, 'SirB', NULL, NULL, 5918, 8),
(24331, NULL, 'PF15931', NULL, NULL, 'Domain of unknown function (DUF4747)', NULL, 'DUF4747', NULL, NULL, 27221, 8),
(24332, NULL, 'PF07899', NULL, NULL, 'Frigida-like protein', NULL, 'Frigida', NULL, NULL, 14945, 8),
(24333, NULL, 'PF10683', NULL, NULL, 'Hermes transposase DNA-binding domain', NULL, 'DBD_Tnp_Hermes', NULL, NULL, 21844, 8),
(24334, NULL, 'PF16969', NULL, NULL, 'RNA-binding signal recognition particle 68', NULL, 'SRP68', NULL, NULL, 28332, 8),
(24335, NULL, 'PF14886', NULL, NULL, 'FAM183A and FAM183B related', NULL, 'FAM183', NULL, NULL, 29079, 8),
(24336, NULL, 'PF10686', NULL, NULL, 'YspA, cpYpsA-related SLOG family', NULL, 'YAcAr', NULL, NULL, 21135, 8),
(24337, NULL, 'PF00769', NULL, NULL, 'Ezrin/radixin/moesin family', NULL, 'ERM', NULL, NULL, NULL, 8),
(24338, NULL, 'PF03994', NULL, NULL, 'Domain of Unknown Function (DUF350)', NULL, 'DUF350', NULL, NULL, 236, 8),
(24339, NULL, 'PF15218', NULL, NULL, 'Spermatogenesis-associated protein 25', NULL, 'SPATA25', NULL, NULL, 21762, 8),
(24340, NULL, 'PF14314', NULL, NULL, 'Virus-capping methyltransferase', NULL, 'Methyltrans_Mon', NULL, NULL, 36394, 8),
(24341, NULL, 'PF00147', NULL, NULL, 'Fibrinogen beta and gamma chains, C-terminal globular domain', NULL, 'Fibrinogen_C', NULL, NULL, 5810, 8),
(24342, NULL, 'PF10697', NULL, NULL, 'Protein of unknown function (DUF2502)', NULL, 'DUF2502', NULL, NULL, 21297, 8),
(24343, NULL, 'PF15091', NULL, NULL, 'Domain of unknown function (DUF4554)', NULL, 'DUF4554', NULL, NULL, 24831, 8),
(24344, NULL, 'PF19980', NULL, NULL, 'Family of unknown function (DUF6416)', NULL, 'DUF6416', NULL, NULL, 39987, 8),
(24345, NULL, 'PF00891', NULL, NULL, 'O-methyltransferase domain', NULL, 'Methyltransf_2', NULL, NULL, 1142, 8),
(24346, NULL, 'PF18997', NULL, NULL, 'Family of unknown function (DUF5727)', NULL, 'DUF5727', NULL, NULL, 37600, 8),
(24347, NULL, 'PF02171', NULL, NULL, 'Piwi domain', NULL, 'Piwi', NULL, NULL, 1914, 8),
(24348, NULL, 'PF18931', NULL, NULL, 'Domain of unknown function (DUF5680)', NULL, 'DUF5680', NULL, NULL, 38433, 8),
(24349, NULL, 'PF19149', NULL, NULL, 'Family of unknown function (DUF5831)', NULL, 'DUF5831', NULL, NULL, 36982, 8),
(24350, NULL, 'PF19956', NULL, NULL, 'Effector-associated domain 2', NULL, 'EAD2', NULL, NULL, 38350, 8),
(24351, NULL, 'PF20117', NULL, NULL, 'Family of unknown function (DUF6507)', NULL, 'DUF6507', NULL, NULL, 38066, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24352, NULL, 'PF07678', NULL, NULL, 'A-macroglobulin TED domain', NULL, 'TED_complement', NULL, NULL, 10093, 8),
(24353, NULL, 'PF16351', NULL, NULL, 'Domain of unknown function (DUF4979)', NULL, 'DUF4979', NULL, NULL, 22976, 8),
(24354, NULL, 'PF19750', NULL, NULL, 'Family of unknown function (DUF6237)', NULL, 'DUF6237', NULL, NULL, 39648, 8),
(24355, NULL, 'PF17925', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_20', NULL, NULL, 32549, 8),
(24356, NULL, 'PF03067', NULL, NULL, 'Lytic polysaccharide mono-oxygenase, cellulose-degrading', NULL, 'LPMO_10', NULL, NULL, 4781, 8),
(24357, NULL, 'PF05019', NULL, NULL, 'Coenzyme Q (ubiquinone) biosynthesis protein Coq4', NULL, 'Coq4', NULL, NULL, 1294, 8),
(24358, NULL, 'PF19918', NULL, NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX2', NULL, 'bpX2', NULL, NULL, 39916, 8),
(24359, NULL, 'PF13879', NULL, NULL, 'Hemingway/CFA97', NULL, 'Hmw_CFAP97', NULL, NULL, 28833, 8),
(24360, NULL, 'PF13583', NULL, NULL, 'Metallo-peptidase family M12B Reprolysin-like', NULL, 'Reprolysin_4', NULL, NULL, NULL, 8),
(24361, NULL, 'PF09900', NULL, NULL, 'Predicted membrane protein (DUF2127)', NULL, 'DUF2127', NULL, NULL, 15202, 8),
(24362, NULL, 'PF10429', NULL, NULL, 'Nuclear pore RNA shuttling protein Mtr2', NULL, 'Mtr2', NULL, NULL, 18963, 8),
(24363, NULL, 'PF11575', NULL, NULL, 'FhuF 2Fe-2S C-terminal domain', NULL, 'FhuF_C', NULL, NULL, 5634, 8),
(24364, NULL, 'PF18252', NULL, NULL, 'Copper(I)-binding protein CorA', NULL, 'Cu_bind_CorA', NULL, NULL, 31710, 8),
(24365, NULL, 'PF12093', NULL, NULL, 'Betacoronavirus NS8 protein', NULL, 'bCoV_NS8', NULL, NULL, 14569, 8),
(24366, NULL, 'PF16849', NULL, NULL, 'Glycosyltransferase family 88', NULL, 'Glyco_transf_88', NULL, NULL, 23379, 8),
(24367, NULL, 'PF02894', NULL, NULL, 'Oxidoreductase family, C-terminal alpha/beta domain', NULL, 'GFO_IDH_MocA_C', NULL, NULL, 1738, 8),
(24368, NULL, 'PF03839', NULL, NULL, 'Translocation protein Sec62', NULL, 'Sec62', NULL, NULL, 3699, 8),
(24369, NULL, 'PF16652', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_13', NULL, NULL, 1034, 8),
(24370, NULL, 'PF15936', NULL, NULL, 'Domain of unknown function (DUF4749)', NULL, 'DUF4749', NULL, NULL, 27210, 8),
(24371, NULL, 'PF12771', NULL, NULL, 'Starch-binding associating with outer membrane', NULL, 'SusD-like_2', NULL, NULL, 33488, 8),
(24372, NULL, 'PF04476', NULL, NULL, '4-HFC-P synthase', NULL, '4HFCP_synth', NULL, NULL, 1797, 8),
(24373, NULL, 'PF00340', NULL, NULL, 'Interleukin-1 / 18', NULL, 'IL1', NULL, NULL, 3178, 8),
(24374, NULL, 'PF04831', NULL, NULL, 'Popeye protein conserved region', NULL, 'Popeye', NULL, NULL, 4996, 8),
(24375, NULL, 'PF07829', NULL, NULL, 'Alpha-A conotoxin PIVA-like protein', NULL, 'Toxin_14', NULL, NULL, 12645, 8),
(24376, NULL, 'PF10414', NULL, NULL, 'Sirohaem synthase dimerisation region', NULL, 'CysG_dimeriser', NULL, NULL, 17996, 8),
(24377, NULL, 'PF12894', NULL, NULL, 'Anaphase-promoting complex subunit 4 WD40 domain', NULL, 'ANAPC4_WD40', NULL, NULL, 22718, 8),
(24378, NULL, 'PF16670', NULL, NULL, 'Phosphoinositide phospholipase C, Ca2+-dependent', NULL, 'PI-PLC-C1', NULL, NULL, 28403, 8),
(24379, NULL, 'PF06718', NULL, NULL, 'Protein of unknown function (DUF1203)', NULL, 'DUF1203', NULL, NULL, 1959, 8),
(24380, NULL, 'PF16765', NULL, NULL, 'Pesticin immunity protein', NULL, 'Pim', NULL, NULL, 22839, 8),
(24381, NULL, 'PF04244', NULL, NULL, 'Deoxyribodipyrimidine photo-lyase-related protein', NULL, 'DPRP', NULL, NULL, 5989, 8),
(24382, NULL, 'PF12898', NULL, NULL, 'Stc1 domain', NULL, 'Stc1', NULL, NULL, 13864, 8),
(24383, NULL, 'PF02730', NULL, NULL, 'Aldehyde ferredoxin oxidoreductase, N-terminal domain', NULL, 'AFOR_N', NULL, NULL, 12842, 8),
(24384, NULL, 'PF01821', NULL, NULL, 'Anaphylotoxin-like domain', NULL, 'ANATO', NULL, NULL, 2921, 8),
(24385, NULL, 'PF10530', NULL, NULL, 'Toxin with inhibitor cystine knot ICK or Knottin scaffold', NULL, 'Toxin_35', NULL, NULL, 19509, 8),
(24386, NULL, 'PF13111', NULL, NULL, 'pPIWI_RE module N-terminal domain', NULL, 'pPIWI_RE_X', NULL, NULL, 23743, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24387, NULL, 'PF00260', NULL, NULL, 'Protamine P1', NULL, 'Protamine_P1', NULL, NULL, 3973, 8),
(24388, NULL, 'PF19289', NULL, NULL, 'PmbA/TldA metallopeptidase C-terminal domain', NULL, 'PmbA_TldD_C', NULL, NULL, 38850, 8),
(24389, NULL, 'PF18590', NULL, NULL, 'Immune Mapped Protein 2 (IMP2) N-terminal domain', NULL, 'IMP2_N', NULL, NULL, 31233, 8),
(24390, NULL, 'PF18048', NULL, NULL, 'TNF receptor-associated factor 6 zinc finger 2', NULL, 'TRAF6_Z2', NULL, NULL, 32153, 8),
(24391, NULL, 'PF16927', NULL, NULL, 'N-terminal 7TM region of histidine kinase', NULL, 'HisKA_7TM', NULL, NULL, 26887, 8),
(24392, NULL, 'PF01870', NULL, NULL, 'Archaeal holliday junction resolvase (hjc)', NULL, 'Hjc', NULL, NULL, 3545, 8),
(24393, NULL, 'PF03332', NULL, NULL, 'Eukaryotic phosphomannomutase', NULL, 'PMM', NULL, NULL, 516, 8),
(24394, NULL, 'PF00538', NULL, NULL, 'linker histone H1 and H5 family', NULL, 'Linker_histone', NULL, NULL, 5633, 8),
(24395, NULL, 'PF05936', NULL, NULL, 'Bacterial Type VI secretion, VC_A0110, EvfL, ImpJ, VasE', NULL, 'T6SS_VasE', NULL, NULL, 7992, 8),
(24396, NULL, 'PF02866', NULL, NULL, 'lactate/malate dehydrogenase, alpha/beta C-terminal domain', NULL, 'Ldh_1_C', NULL, NULL, 16200, 8),
(24397, NULL, 'PF11665', NULL, NULL, 'Protein of unknown function (DUF3265)', NULL, 'DUF3265', NULL, NULL, 19356, 8),
(24398, NULL, 'PF11862', NULL, NULL, 'Domain of unknown function (DUF3382)', NULL, 'DUF3382', NULL, NULL, 19664, 8),
(24399, NULL, 'PF19293', NULL, NULL, 'CdaA N-terminal transmembrane domain', NULL, 'CdaA_N', NULL, NULL, 38639, 8),
(24400, NULL, 'PF03912', NULL, NULL, 'Psb28 protein', NULL, 'Psb28', NULL, NULL, 2620, 8),
(24401, NULL, 'PF19300', NULL, NULL, 'Binding-prot-dependent transport system membrane comp, N-term', NULL, 'BPD_transp_1_N', NULL, NULL, 36993, 8),
(24402, NULL, 'PF02843', NULL, NULL, 'Phosphoribosylglycinamide synthetase, C domain', NULL, 'GARS_C', NULL, NULL, 14947, 8),
(24403, NULL, 'PF00489', NULL, NULL, 'Interleukin-6/G-CSF/MGF family', NULL, 'IL6', NULL, NULL, 443, 8),
(24404, NULL, 'PF13737', NULL, NULL, 'Transposase DDE domain', NULL, 'DDE_Tnp_1_5', NULL, NULL, 25343, 8),
(24405, NULL, 'PF02248', NULL, NULL, 'Small coat protein', NULL, 'Como_SCP', NULL, NULL, 1888, 8),
(24406, NULL, 'PF05229', NULL, NULL, 'Spore Coat Protein U domain', NULL, 'SCPU', NULL, NULL, 3476, 8),
(24407, NULL, 'PF06345', NULL, NULL, 'DRF Autoregulatory Domain', NULL, 'Drf_DAD', NULL, NULL, 10037, 8),
(24408, NULL, 'PF02822', NULL, NULL, 'Antistasin family', NULL, 'Antistasin', NULL, NULL, 1931, 8),
(24409, NULL, 'PF10077', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2314)', NULL, 'DUF2314', NULL, NULL, 18914, 8),
(24410, NULL, 'PF07988', NULL, NULL, 'LMSTEN motif', NULL, 'LMSTEN', NULL, NULL, 10640, 8),
(24411, NULL, 'PF08184', NULL, NULL, 'Cuticle protein 7 isoform family', NULL, 'Cuticle_2', NULL, NULL, 8830, 8),
(24412, NULL, 'PF09959', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2193)', NULL, 'DUF2193', NULL, NULL, 17806, 8),
(24413, NULL, 'PF00483', NULL, NULL, 'Nucleotidyl transferase', NULL, 'NTP_transferase', NULL, NULL, 5687, 8),
(24414, NULL, 'PF18723', NULL, NULL, 'alpha-glutamyl/putrescinyl thymine pyrophosphorylase clade 1', NULL, 'aGPT-Pplase1', NULL, NULL, 30921, 8),
(24415, NULL, 'PF00501', NULL, NULL, 'AMP-binding enzyme', NULL, 'AMP-binding', NULL, NULL, 4840, 8),
(24416, NULL, 'PF08527', NULL, NULL, 'Protein-arginine deiminase (PAD) middle domain', NULL, 'PAD_M', NULL, NULL, 7508, 8),
(24417, NULL, 'PF00491', NULL, NULL, 'Arginase family', NULL, 'Arginase', NULL, NULL, 2821, 8),
(24418, NULL, 'PF11669', NULL, NULL, 'WW domain-binding protein 1', NULL, 'WBP-1', NULL, NULL, 19089, 8),
(24419, NULL, 'PF08383', NULL, NULL, 'Maf N-terminal region', NULL, 'Maf_N', NULL, NULL, 12457, 8),
(24420, NULL, 'PF12782', NULL, NULL, 'Invertebrate innate immunity transcript family', NULL, 'Innate_immun', NULL, NULL, 23124, 8),
(24421, NULL, 'PF00514', NULL, NULL, 'Armadillo/beta-catenin-like repeat', NULL, 'Arm', NULL, NULL, 3930, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24422, NULL, 'PF17924', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_19', NULL, NULL, NULL, 8),
(24423, NULL, 'PF12895', NULL, NULL, 'Anaphase-promoting complex, cyclosome, subunit 3', NULL, 'ANAPC3', NULL, NULL, NULL, 8),
(24424, NULL, 'PF18185', NULL, NULL, 'Sir2- and TIR-associating SLOG family', NULL, 'STALD', NULL, NULL, 31878, 8),
(24425, NULL, 'PF08892', NULL, NULL, 'YqcI/YcgG family', NULL, 'YqcI_YcgG', NULL, NULL, 7556, 8),
(24426, NULL, 'PF17808', NULL, NULL, 'Fn3-like domain from Purple Acid Phosphatase', NULL, 'fn3_PAP', NULL, NULL, 30168, 8),
(24427, NULL, 'PF01837', NULL, NULL, 'Homocysteine biosynthesis enzyme, sulfur-incorporation', NULL, 'HcyBio', NULL, NULL, 3901, 8),
(24428, NULL, 'PF07793', NULL, NULL, 'Protein of unknown function (DUF1631)', NULL, 'DUF1631', NULL, NULL, 14697, 8),
(24429, NULL, 'PF13717', NULL, NULL, 'zinc-ribbon domain', NULL, 'zinc_ribbon_4', NULL, NULL, 11367, 8),
(24430, NULL, 'PF10851', NULL, NULL, 'Protein of unknown function (DUF2652)', NULL, 'DUF2652', NULL, NULL, 20089, 8),
(24431, NULL, 'PF00370', NULL, NULL, 'FGGY family of carbohydrate kinases, N-terminal domain', NULL, 'FGGY_N', NULL, NULL, 21578, 8),
(24432, NULL, 'PF11289', NULL, NULL, 'Betacoronavirus viroporin', NULL, 'bCoV_viroporin', NULL, NULL, 22962, 8),
(24433, NULL, 'PF06327', NULL, NULL, 'Domain of Unknown Function (DUF1053)', NULL, 'DUF1053', NULL, NULL, 8497, 8),
(24434, NULL, 'PF08451', NULL, NULL, 'Adenosine/AMP deaminase N-terminal', NULL, 'A_deaminase_N', NULL, NULL, 12129, 8),
(24435, NULL, 'PF12956', NULL, NULL, 'Domain of Unknown Function with PDB structure', NULL, 'DUF3845', NULL, NULL, 28888, 8),
(24436, NULL, 'PF11252', NULL, NULL, 'Protein of unknown function (DUF3051)', NULL, 'DUF3051', NULL, NULL, 18153, 8),
(24437, NULL, 'PF12828', NULL, NULL, 'PX-associated', NULL, 'PXB', NULL, NULL, 22330, 8),
(24438, NULL, 'PF01742', NULL, NULL, 'Clostridial neurotoxin zinc protease', NULL, 'Peptidase_M27', NULL, NULL, 4452, 8),
(24439, NULL, 'PF03985', NULL, NULL, 'Paf1', NULL, 'Paf1', NULL, NULL, 53, 8),
(24440, NULL, 'PF02845', NULL, NULL, 'CUE domain', NULL, 'CUE', NULL, NULL, 4289, 8),
(24441, NULL, 'PF04730', NULL, NULL, 'Agrobacterium VirD5 protein', NULL, 'Agro_virD5', NULL, NULL, 3534, 8),
(24442, NULL, 'PF07544', NULL, NULL, 'RNA polymerase II transcription mediator complex subunit 9', NULL, 'Med9', NULL, NULL, 13603, 8),
(24443, NULL, 'PF12884', NULL, NULL, 'Transducer of regulated CREB activity, N terminus', NULL, 'TORC_N', NULL, NULL, 25410, 8),
(24444, NULL, 'PF08428', NULL, NULL, 'Rib domain', NULL, 'Rib', NULL, NULL, NULL, 8),
(24445, NULL, 'PF04623', NULL, NULL, 'Adenovirus E1B protein N-terminus', NULL, 'Adeno_E1B_55K_N', NULL, NULL, 2415, 8),
(24446, NULL, 'PF06594', NULL, NULL, 'Haemolysin-type calcium binding protein related domain', NULL, 'HCBP_related', NULL, NULL, 8240, 8),
(24447, NULL, 'PF19345', NULL, NULL, 'Mycobacterial methylenetetrahydrofolate reductase', NULL, 'MTHFR_2', NULL, NULL, NULL, 8),
(24448, NULL, 'PF01415', NULL, NULL, 'Interleukin 7', NULL, 'IL7', NULL, NULL, 1042, 8),
(24449, NULL, 'PF14341', NULL, NULL, 'PilX N-terminal', NULL, 'PilX_N', NULL, NULL, 23355, 8),
(24450, NULL, 'PF08563', NULL, NULL, 'P53 transactivation motif', NULL, 'P53_TAD', NULL, NULL, 9603, 8),
(24451, NULL, 'PF11833', NULL, NULL, 'Protein CHAPERONE-LIKE PROTEIN OF POR1-like', NULL, 'CPP1-like', NULL, NULL, 19870, 8),
(24452, NULL, 'PF11715', NULL, NULL, 'Nucleoporin Nup120/160', NULL, 'Nup160', NULL, NULL, NULL, 8),
(24453, NULL, 'PF08078', NULL, NULL, 'PsaX family', NULL, 'PsaX', NULL, NULL, 12229, 8),
(24454, NULL, 'PF12205', NULL, NULL, 'G protein-coupled receptor kinase-interacting protein 1 C term', NULL, 'GIT1_C', NULL, NULL, 20504, 8),
(24455, NULL, 'PF05162', NULL, NULL, 'Ribosomal protein L41', NULL, 'Ribosomal_L41', NULL, NULL, 2170, 8),
(24456, NULL, 'PF11784', NULL, NULL, 'Protein of unknown function (DUF3320)', NULL, 'DUF3320', NULL, NULL, 19713, 8),
(24457, NULL, 'PF19612', NULL, NULL, 'Family of unknown function (DUF6117)', NULL, 'DUF6117', NULL, NULL, 39956, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24458, NULL, 'PF07064', NULL, NULL, 'RIC1', NULL, 'RIC1', NULL, NULL, 12987, 8),
(24459, NULL, 'PF14288', NULL, NULL, '1,3-beta-glucan synthase subunit FKS1, domain-1', NULL, 'FKS1_dom1', NULL, NULL, 28675, 8),
(24460, NULL, 'PF13190', NULL, NULL, 'PDGLE domain', NULL, 'PDGLE', NULL, NULL, 24492, 8),
(24461, NULL, 'PF17064', NULL, NULL, 'Sleepless protein', NULL, 'QVR', NULL, NULL, 28380, 8),
(24462, NULL, 'PF00208', NULL, NULL, 'Glutamate/Leucine/Phenylalanine/Valine dehydrogenase', NULL, 'ELFV_dehydrog', NULL, NULL, 2698, 8),
(24463, NULL, 'PF03515', NULL, NULL, 'Colicin-like bacteriocin tRNase domain', NULL, 'Cloacin', NULL, NULL, 13766, 8),
(24464, NULL, 'PF19276', NULL, NULL, 'HD associated region', NULL, 'HD_assoc_2', NULL, NULL, 39526, 8),
(24465, NULL, 'PF15397', NULL, NULL, 'Domain of unknown function (DUF4618)', NULL, 'DUF4618', NULL, NULL, 22002, 8),
(24466, NULL, 'PF16888', NULL, NULL, 'Domain of unknown function (DUF5082)', NULL, 'DUF5082', NULL, NULL, 23375, 8),
(24467, NULL, 'PF15165', NULL, NULL, 'Meiotic recombination protein REC114-like', NULL, 'REC114-like', NULL, NULL, 21861, 8),
(24468, NULL, 'PF15169', NULL, NULL, 'Cytochrome b-245 chaperone 1 / Eros', NULL, 'Cybc1_Eros', NULL, NULL, 28308, 8),
(24469, NULL, 'PF17977', NULL, NULL, 'RING/Ubox like zinc-binding domain', NULL, 'zf-RING_13', NULL, NULL, 31122, 8),
(24470, NULL, 'PF18343', NULL, NULL, 'Dda helicase SH3 domain', NULL, 'SH3_14', NULL, NULL, 31470, 8),
(24471, NULL, 'PF16973', NULL, NULL, 'Flagellar motor switch protein FliN N-terminal', NULL, 'FliN_N', NULL, NULL, 28879, 8),
(24472, NULL, 'PF01516', NULL, NULL, 'Orbivirus helicase VP6', NULL, 'Orbi_VP6', NULL, NULL, 7156, 8),
(24473, NULL, 'PF13189', NULL, NULL, 'Cytidylate kinase-like family', NULL, 'Cytidylate_kin2', NULL, NULL, NULL, 8),
(24474, NULL, 'PF03527', NULL, NULL, 'RHS protein', NULL, 'RHS', NULL, NULL, 4254, 8),
(24475, NULL, 'PF15786', NULL, NULL, 'PET assembly of cytochrome c oxidase, mitochondrial', NULL, 'PET117', NULL, NULL, 24990, 8),
(24476, NULL, 'PF11788', NULL, NULL, '39S mitochondrial ribosomal protein L46', NULL, 'MRP-L46', NULL, NULL, 19825, 8),
(24477, NULL, 'PF13199', NULL, NULL, 'Glycosyl hydrolase family 66', NULL, 'Glyco_hydro_66', NULL, NULL, 22756, 8),
(24478, NULL, 'PF13369', NULL, NULL, 'Transglutaminase-like superfamily', NULL, 'Transglut_core2', NULL, NULL, 29368, 8),
(24479, NULL, 'PF04168', NULL, NULL, 'A predicted alpha-helical domain with a conserved ER motif.', NULL, 'Alpha-E', NULL, NULL, 7153, 8),
(24480, NULL, 'PF09671', NULL, NULL, 'Spore coat protein (Spore_GerQ)', NULL, 'Spore_GerQ', NULL, NULL, 14026, 8),
(24481, NULL, 'PF06996', NULL, NULL, 'Type VI secretion, TssG', NULL, 'T6SS_TssG', NULL, NULL, 10441, 8),
(24482, NULL, 'PF18587', NULL, NULL, 'PTX/LNS-Like (PLL) domain', NULL, 'PLL', NULL, NULL, 30116, 8),
(24483, NULL, 'PF12878', NULL, NULL, 'SICA extracellular beta domain', NULL, 'SICA_beta', NULL, NULL, 9138, 8),
(24484, NULL, 'PF19583', NULL, NULL, 'ODP family beta lactamase', NULL, 'ODP', NULL, NULL, 36935, 8),
(24485, NULL, 'PF19785', NULL, NULL, 'Family of unknown function (UPF0738)', NULL, 'UPF0738', NULL, NULL, NULL, 8),
(24486, NULL, 'PF16278', NULL, NULL, 'C2HE / C2H2 / C2HC zinc-binding finger', NULL, 'zf-C2HE', NULL, NULL, 22400, 8),
(24487, NULL, 'PF15637', NULL, NULL, 'HNH/Endo VII superfamily nuclease toxin with a HHH motif', NULL, 'Tox-HNH-HHH', NULL, NULL, 26059, 8),
(24488, NULL, 'PF17463', NULL, NULL, 'Gene product 79', NULL, 'GP79', NULL, NULL, 35461, 8),
(24489, NULL, 'PF17306', NULL, NULL, 'Family of unknown function (DUF5355)', NULL, 'DUF5355', NULL, NULL, 34025, 8),
(24490, NULL, 'PF18375', NULL, NULL, 'CDH1/2 SANT-Helical linker 1', NULL, 'CDH1_2_SANT_HL1', NULL, NULL, 31358, 8),
(24491, NULL, 'PF06169', NULL, NULL, 'Protein of unknown function (DUF982)', NULL, 'DUF982', NULL, NULL, 9943, 8),
(24492, NULL, 'PF12352', NULL, NULL, 'Snare region anchored in the vesicle membrane C-terminus', NULL, 'V-SNARE_C', NULL, NULL, NULL, 8),
(24493, NULL, 'PF10463', NULL, NULL, 'Peptidase U49', NULL, 'Peptidase_U49', NULL, NULL, 18924, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24494, NULL, 'PF13912', NULL, NULL, 'C2H2-type zinc finger', NULL, 'zf-C2H2_6', NULL, NULL, NULL, 8),
(24495, NULL, 'PF12105', NULL, NULL, 'SpoU, rRNA methylase, C-terminal', NULL, 'SpoU_methylas_C', NULL, NULL, 14622, 8),
(24496, NULL, 'PF00249', NULL, NULL, 'Myb-like DNA-binding domain', NULL, 'Myb_DNA-binding', NULL, NULL, 21321, 8),
(24497, NULL, 'PF16234', NULL, NULL, 'Domain of unknown function (DUF4892)', NULL, 'DUF4892', NULL, NULL, 27652, 8),
(24498, NULL, 'PF11124', NULL, NULL, 'Inorganic phosphate transporter Pho86', NULL, 'Pho86', NULL, NULL, 20198, 8),
(24499, NULL, 'PF07473', NULL, NULL, 'Spasmodic peptide gm9a; conotoxin from Conus species', NULL, 'Toxin_11', NULL, NULL, 9341, 8),
(24500, NULL, 'PF00238', NULL, NULL, 'Ribosomal protein L14p/L23e', NULL, 'Ribosomal_L14', NULL, NULL, 1525, 8),
(24501, NULL, 'PF16431', NULL, NULL, 'Domain of unknown function (DUF5028)', NULL, 'DUF5028', NULL, NULL, 25538, 8),
(24502, NULL, 'PF06489', NULL, NULL, 'Orthopoxvirus A49R protein', NULL, 'Orthopox_A49R', NULL, NULL, 9454, 8),
(24503, NULL, 'PF04687', NULL, NULL, 'Microvirus H protein (pilot protein)', NULL, 'Microvir_H', NULL, NULL, 3278, 8),
(24504, NULL, 'PF06405', NULL, NULL, 'Red chlorophyll catabolite reductase (RCC reductase)', NULL, 'RCC_reductase', NULL, NULL, 8337, 8),
(24505, NULL, 'PF01148', NULL, NULL, 'Cytidylyltransferase family', NULL, 'CTP_transf_1', NULL, NULL, NULL, 8),
(24506, NULL, 'PF19561', NULL, NULL, 'Family of unknown function (DUF6083)', NULL, 'DUF6083', NULL, NULL, 37120, 8),
(24507, NULL, 'PF09507', NULL, NULL, 'DNA polymerase subunit Cdc27', NULL, 'CDC27', NULL, NULL, 16422, 8),
(24508, NULL, 'PF19616', NULL, NULL, 'Family of unknown function (DUF6121)', NULL, 'DUF6121', NULL, NULL, 39836, 8),
(24509, NULL, 'PF10226', NULL, NULL, 'CCDC85 family', NULL, 'CCDC85', NULL, NULL, 15923, 8),
(24510, NULL, 'PF16704', NULL, NULL, 'Rab binding domain', NULL, 'Rab_bind', NULL, NULL, 24389, 8),
(24511, NULL, 'PF13246', NULL, NULL, 'Cation transport ATPase (P-type)', NULL, 'Cation_ATPase', NULL, NULL, NULL, 8),
(24512, NULL, 'PF05918', NULL, NULL, 'Apoptosis inhibitory protein 5 (API5)', NULL, 'API5', NULL, NULL, 7772, 8),
(24513, NULL, 'PF03383', NULL, NULL, 'Caenorhabditis serpentine receptor-like protein, class xa', NULL, 'Serpentine_r_xa', NULL, NULL, 2364, 8),
(24514, NULL, 'PF17510', NULL, NULL, 'Gene product 44', NULL, 'GP44', NULL, NULL, 17553, 8),
(24515, NULL, 'PF08173', NULL, NULL, 'Membrane bound YbgT-like protein', NULL, 'YbgT_YccB', NULL, NULL, 12461, 8),
(24516, NULL, 'PF17202', NULL, NULL, 'Single cache domain 3', NULL, 'sCache_3_3', NULL, NULL, 29953, 8),
(24517, NULL, 'PF00980', NULL, NULL, 'Rotavirus major capsid protein VP6', NULL, 'Rota_Capsid_VP6', NULL, NULL, 2348, 8),
(24518, NULL, 'PF19937', NULL, NULL, 'Gliding motility-associated protein GldC-like', NULL, 'GldC-like', NULL, NULL, 18154, 8),
(24519, NULL, 'PF17429', NULL, NULL, 'Gene product 70', NULL, 'GP70', NULL, NULL, 30928, 8),
(24520, NULL, 'PF19984', NULL, NULL, 'Family of unknown function (DUF6420)', NULL, 'DUF6420', NULL, NULL, 39824, 8),
(24521, NULL, 'PF06101', NULL, NULL, 'Vacuolar protein sorting-associated protein 62', NULL, 'Vps62', NULL, NULL, 13562, 8),
(24522, NULL, 'PF19328', NULL, NULL, '2,4-diaminopentanoate dehydrogenase C-terminal domain', NULL, 'DAP_DH_C', NULL, NULL, 36949, 8),
(24523, NULL, 'PF16759', NULL, NULL, 'DNA ligase 3 BRCT domain', NULL, 'LIG3_BRCT', NULL, NULL, 23454, 8),
(24524, NULL, 'PF15482', NULL, NULL, 'Coiled-coil domain-containing glutamate-rich protein family 1', NULL, 'CCER1', NULL, NULL, 25398, 8),
(24525, NULL, 'PF03144', NULL, NULL, 'Elongation factor Tu domain 2', NULL, 'GTP_EFTU_D2', NULL, NULL, 2711, 8),
(24526, NULL, 'PF06013', NULL, NULL, 'Proteins of 100 residues with WXG', NULL, 'WXG100', NULL, NULL, 8770, 8),
(24527, NULL, 'PF16540', NULL, NULL, 'Arf6-interacting domain of mitotic kinesin-like protein 1', NULL, 'MKLP1_Arf_bdg', NULL, NULL, 26746, 8),
(24528, NULL, 'PF18972', NULL, NULL, 'Cns1/TTC4 Wheel domain', NULL, 'Wheel', NULL, NULL, 37703, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24529, NULL, 'PF15226', NULL, NULL, 'HCF-1 beta-propeller-interacting protein family', NULL, 'HPIP', NULL, NULL, 21818, 8),
(24530, NULL, 'PF10587', NULL, NULL, 'Eukaryotic elongation factor 1 beta central acidic region', NULL, 'EF-1_beta_acid', NULL, NULL, 9338, 8),
(24531, NULL, 'PF08948', NULL, NULL, 'Domain of unknown function (DUF1859)', NULL, 'DUF1859', NULL, NULL, 7962, 8),
(24532, NULL, 'PF16184', NULL, NULL, 'Cadherin-like', NULL, 'Cadherin_3', NULL, NULL, NULL, 8),
(24533, NULL, 'PF11770', NULL, NULL, 'GRB2-binding adapter (GAPT)', NULL, 'GAPT', NULL, NULL, 18188, 8),
(24534, NULL, 'PF14950', NULL, NULL, 'Domain of unknown function (DUF4502)', NULL, 'DUF4502', NULL, NULL, 24887, 8),
(24535, NULL, 'PF20050', NULL, NULL, 'Family of unknown function (DUF6452)', NULL, 'DUF6452', NULL, NULL, 36977, 8),
(24536, NULL, 'PF12115', NULL, NULL, 'Salivary protein of 15kDa inhibits CD4+ T cell activation', NULL, 'Salp15', NULL, NULL, 20593, 8),
(24537, NULL, 'PF10488', NULL, NULL, 'Phosphatase-1 catalytic subunit binding region', NULL, 'PP1c_bdg', NULL, NULL, 18575, 8),
(24538, NULL, 'PF08544', NULL, NULL, 'GHMP kinases C terminal', NULL, 'GHMP_kinases_C', NULL, NULL, 7650, 8),
(24539, NULL, 'PF09861', NULL, NULL, 'Lactate racemase N-terminal domain', NULL, 'Lar_N', NULL, NULL, 16795, 8),
(24540, NULL, 'PF01907', NULL, NULL, 'Ribosomal protein L37e', NULL, 'Ribosomal_L37e', NULL, NULL, 5135, 8),
(24541, NULL, 'PF06973', NULL, NULL, 'Domain of unknown function (DUF1297)', NULL, 'DUF1297', NULL, NULL, 12203, 8),
(24542, NULL, 'PF16526', NULL, NULL, 'C-terminal leucine zipper domain of cyclic nucleotide-gated channels', NULL, 'CLZ', NULL, NULL, 26928, 8),
(24543, NULL, 'PF02891', NULL, NULL, 'MIZ/SP-RING zinc finger', NULL, 'zf-MIZ', NULL, NULL, 2580, 8),
(24544, NULL, 'PF03401', NULL, NULL, 'Tripartite tricarboxylate transporter family receptor', NULL, 'TctC', NULL, NULL, 2099, 8),
(24545, NULL, 'PF13212', NULL, NULL, 'Domain of unknown function (DUF4020)', NULL, 'DUF4020', NULL, NULL, 23987, 8),
(24546, NULL, 'PF07315', NULL, NULL, 'Protein of unknown function (DUF1462)', NULL, 'DUF1462', NULL, NULL, 9834, 8),
(24547, NULL, 'PF12552', NULL, NULL, 'Protein of unknown function (DUF3741)', NULL, 'DUF3741', NULL, NULL, 21327, 8),
(24548, NULL, 'PF07773', NULL, NULL, 'Protein of unknown function (DUF1619)', NULL, 'DUF1619', NULL, NULL, 10872, 8),
(24549, NULL, 'PF11782', NULL, NULL, 'Protein of unknown function (DUF3319)', NULL, 'DUF3319', NULL, NULL, 19724, 8),
(24550, NULL, 'PF18202', NULL, NULL, 'T-Q ester bond containing domain', NULL, 'TQ', NULL, NULL, 31469, 8),
(24551, NULL, 'PF02569', NULL, NULL, 'Pantoate-beta-alanine ligase', NULL, 'Pantoate_ligase', NULL, NULL, 2021, 8),
(24552, NULL, 'PF00915', NULL, NULL, 'Calicivirus coat protein', NULL, 'Calici_coat', NULL, NULL, 880, 8),
(24553, NULL, 'PF03883', NULL, NULL, 'Peroxide stress protein YaaA', NULL, 'H2O2_YaaD', NULL, NULL, 1650, 8),
(24554, NULL, 'PF16574', NULL, NULL, 'Coiled-coil region of centrosome protein CE290', NULL, 'CEP209_CC5', NULL, NULL, 26942, 8),
(24555, NULL, 'PF06471', NULL, NULL, 'Coronavirus proofreading exoribonuclease', NULL, 'CoV_ExoN', NULL, NULL, 9378, 8),
(24556, NULL, 'PF11219', NULL, NULL, 'Protein of unknown function (DUF3014)', NULL, 'DUF3014', NULL, NULL, 18163, 8),
(24557, NULL, 'PF17085', NULL, NULL, 'Unique cartilage matrix associated protein', NULL, 'UCMA', NULL, NULL, 25489, 8),
(24558, NULL, 'PF05263', NULL, NULL, 'Protein of unknown function (DUF722)', NULL, 'DUF722', NULL, NULL, 3339, 8),
(24559, NULL, 'PF19716', NULL, NULL, 'Family of unknown function (DUF6211)', NULL, 'DUF6211', NULL, NULL, 39756, 8),
(24560, NULL, 'PF16606', NULL, NULL, 'Unstructured conserved, between two C2H2-type zinc-fingers', NULL, 'zf-C2H2_assoc', NULL, NULL, NULL, 8),
(24561, NULL, 'PF09152', NULL, NULL, 'Domain of unknown function (DUF1937)', NULL, 'DUF1937', NULL, NULL, 10581, 8),
(24562, NULL, 'PF11965', NULL, NULL, 'Domain of unknown function (DUF3479)', NULL, 'DUF3479', NULL, NULL, 16953, 8),
(24563, NULL, 'PF15587', NULL, NULL, 'Immunity protein 9', NULL, 'Imm9', NULL, NULL, 26297, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24564, NULL, 'PF16082', NULL, NULL, 'Bacteriophage holin family, superfamily II-like', NULL, 'Phage_holin_2_4', NULL, NULL, 23122, 8),
(24565, NULL, 'PF06356', NULL, NULL, 'Protein of unknown function (DUF1064)', NULL, 'DUF1064', NULL, NULL, 8338, 8),
(24566, NULL, 'PF14283', NULL, NULL, 'Domain of unknown function (DUF4366)', NULL, 'DUF4366', NULL, NULL, 21614, 8),
(24567, NULL, 'PF04432', NULL, NULL, 'Coenzyme F420 hydrogenase/dehydrogenase, beta subunit C terminus', NULL, 'FrhB_FdhB_C', NULL, NULL, 10564, 8),
(24568, NULL, 'PF10251', NULL, NULL, 'Presenilin enhancer-2 subunit of gamma secretase', NULL, 'PEN-2', NULL, NULL, 15742, 8),
(24569, NULL, 'PF11868', NULL, NULL, 'Protein of unknown function (DUF3388)', NULL, 'DUF3388', NULL, NULL, 25632, 8),
(24570, NULL, 'PF11491', NULL, NULL, 'Protein of unknown function (DUF3213)', NULL, 'DUF3213', NULL, NULL, 19097, 8),
(24571, NULL, 'PF04245', NULL, NULL, '37-kD nucleoid-associated bacterial protein', NULL, 'NA37', NULL, NULL, 5662, 8),
(24572, NULL, 'PF02972', NULL, NULL, 'Phycoerythrin, alpha/beta chain', NULL, 'Phycoerythr_ab', NULL, NULL, 3918, 8),
(24573, NULL, 'PF07460', NULL, NULL, 'NUMOD3 motif', NULL, 'NUMOD3', NULL, NULL, 831, 8),
(24574, NULL, 'PF14362', NULL, NULL, 'Domain of unknown function (DUF4407)', NULL, 'DUF4407', NULL, NULL, 28080, 8),
(24575, NULL, 'PF17792', NULL, NULL, 'ThiD2 family', NULL, 'ThiD2', NULL, NULL, 31754, 8),
(24576, NULL, 'PF04646', NULL, NULL, 'Protein of unknown function, DUF604', NULL, 'DUF604', NULL, NULL, 3492, 8),
(24577, NULL, 'PF04082', NULL, NULL, 'Fungal specific transcription factor domain', NULL, 'Fungal_trans', NULL, NULL, 6190, 8),
(24578, NULL, 'PF02521', NULL, NULL, 'Putative outer membrane protein', NULL, 'HP_OMP_2', NULL, NULL, 1403, 8),
(24579, NULL, 'PF16858', NULL, NULL, 'Condensin II complex subunit CAP-H2 or CNDH2, C-term', NULL, 'CNDH2_C', NULL, NULL, 23226, 8),
(24580, NULL, 'PF09912', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2141)', NULL, 'DUF2141', NULL, NULL, 17121, 8),
(24581, NULL, 'PF16972', NULL, NULL, 'Na+ channel auxiliary subunit TipE', NULL, 'TipE', NULL, NULL, 23247, 8),
(24582, NULL, 'PF02445', NULL, NULL, 'Quinolinate synthetase A protein', NULL, 'NadA', NULL, NULL, 6463, 8),
(24583, NULL, 'PF18225', NULL, NULL, 'Sensor histidine kinase (AbfS) sensor domain', NULL, 'AbfS_sensor', NULL, NULL, 31379, 8),
(24584, NULL, 'PF12013', NULL, NULL, 'Orsellinic acid/F9775 biosynthesis cluster protein D', NULL, 'OrsD', NULL, NULL, 14556, 8),
(24585, NULL, 'PF11598', NULL, NULL, 'Cartilage oligomeric matrix protein', NULL, 'COMP', NULL, NULL, 21894, 8),
(24586, NULL, 'PF18129', NULL, NULL, 'Xrn1 SH3-like domain', NULL, 'SH3_12', NULL, NULL, 31852, 8),
(24587, NULL, 'PF19258', NULL, NULL, 'KxYKxGKxW signal peptide', NULL, 'KxYKxGKxW_sig', NULL, NULL, 15672, 8),
(24588, NULL, 'PF14534', NULL, NULL, 'Domain of unknown function (DUF4440)', NULL, 'DUF4440', NULL, NULL, 28064, 8),
(24589, NULL, 'PF15875', NULL, NULL, 'Domain of unknown function (DUF4731)', NULL, 'DUF4731', NULL, NULL, 24501, 8),
(24590, NULL, 'PF04283', NULL, NULL, 'Chemotaxis signal transduction system protein F from archaea', NULL, 'CheF-arch', NULL, NULL, 5955, 8),
(24591, NULL, 'PF18118', NULL, NULL, 'Polycomb repressive complex 2 tri-helical domain', NULL, 'PRC2_HTH_1', NULL, NULL, 31103, 8),
(24592, NULL, 'PF09351', NULL, NULL, 'Domain of unknown function (DUF1993)', NULL, 'DUF1993', NULL, NULL, 14604, 8),
(24593, NULL, 'PF09610', NULL, NULL, 'Mycoplasma virulence signal region (Myco_arth_vir_N)', NULL, 'Myco_arth_vir_N', NULL, NULL, 11795, 8),
(24594, NULL, 'PF07794', NULL, NULL, 'Protein of unknown function (DUF1633)', NULL, 'DUF1633', NULL, NULL, 14644, 8),
(24595, NULL, 'PF06847', NULL, NULL, 'Archaeal Peptidase A24 C-terminus Type II', NULL, 'Arc_PepC_II', NULL, NULL, 11202, 8),
(24596, NULL, 'PF17088', NULL, NULL, 'Uncharacterised protein family', NULL, 'YCF90', NULL, NULL, 25469, 8),
(24597, NULL, 'PF14401', NULL, NULL, 'RimK-like ATPgrasp N-terminal domain', NULL, 'RLAN', NULL, NULL, 25090, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24598, NULL, 'PF04811', NULL, NULL, 'Sec23/Sec24 trunk domain', NULL, 'Sec23_trunk', NULL, NULL, 4556, 8),
(24599, NULL, 'PF16435', NULL, NULL, 'Domain of unknown function (DUF5032)', NULL, 'DUF5032', NULL, NULL, 25991, 8),
(24600, NULL, 'PF13705', NULL, NULL, 'TRC8 N-terminal domain', NULL, 'TRC8_N', NULL, NULL, 26193, 8),
(24601, NULL, 'PF03065', NULL, NULL, 'Glycosyl hydrolase family 57', NULL, 'Glyco_hydro_57', NULL, NULL, 4982, 8),
(24602, NULL, 'PF08572', NULL, NULL, 'pre-mRNA processing factor 3 (PRP3)', NULL, 'PRP3', NULL, NULL, 17562, 8),
(24603, NULL, 'PF10397', NULL, NULL, 'Adenylosuccinate lyase C-terminus', NULL, 'ADSL_C', NULL, NULL, 17625, 8),
(24604, NULL, 'PF19872', NULL, NULL, 'Family of unknown function (DUF6345)', NULL, 'DUF6345', NULL, NULL, 39195, 8),
(24605, NULL, 'PF18886', NULL, NULL, 'Repeats of unknown function (DUF5649)', NULL, 'DUF5649', NULL, NULL, 36653, 8),
(24606, NULL, 'PF10534', NULL, NULL, 'Connector enhancer of kinase suppressor of ras', NULL, 'CRIC_ras_sig', NULL, NULL, 18709, 8),
(24607, NULL, 'PF14125', NULL, NULL, 'Domain of unknown function (DUF4292)', NULL, 'DUF4292', NULL, NULL, 26165, 8),
(24608, NULL, 'PF04591', NULL, NULL, 'Protein of unknown function, DUF596', NULL, 'DUF596', NULL, NULL, 771, 8),
(24609, NULL, 'PF15504', NULL, NULL, 'Domain of unknown function (DUF4647)', NULL, 'DUF4647', NULL, NULL, 25251, 8),
(24610, NULL, 'PF13513', NULL, NULL, 'HEAT-like repeat', NULL, 'HEAT_EZ', NULL, NULL, NULL, 8),
(24611, NULL, 'PF13565', NULL, NULL, 'Homeodomain-like domain', NULL, 'HTH_32', NULL, NULL, NULL, 8),
(24612, NULL, 'PF15631', NULL, NULL, 'NTF2 fold immunity protein', NULL, 'Imm-NTF2-2', NULL, NULL, 26491, 8),
(24613, NULL, 'PF14450', NULL, NULL, 'Cell division protein FtsA', NULL, 'FtsA', NULL, NULL, NULL, 8),
(24614, NULL, 'PF15319', NULL, NULL, 'RAD9, RAD1, HUS1-interacting nuclear orphan protein', NULL, 'RHINO', NULL, NULL, 25688, 8),
(24615, NULL, 'PF18282', NULL, NULL, 'RAP80 N-terminal ubiquitin interaction motif', NULL, 'RAP80_UIM', NULL, NULL, 29808, 8),
(24616, NULL, 'PF13427', NULL, NULL, 'Domain of unknown function (DUF4111)', NULL, 'DUF4111', NULL, NULL, 23467, 8),
(24617, NULL, 'PF13106', NULL, NULL, 'Domain of unknown function (DUF3961)', NULL, 'DUF3961', NULL, NULL, 23641, 8),
(24618, NULL, 'PF03384', NULL, NULL, 'Drosophila protein of unknown function, DUF287', NULL, 'DUF287', NULL, NULL, 2046, 8),
(24619, NULL, 'PF03917', NULL, NULL, 'Eukaryotic glutathione synthase, ATP binding domain', NULL, 'GSH_synth_ATP', NULL, NULL, 2883, 8),
(24620, NULL, 'PF16136', NULL, NULL, 'Putative nuclear localisation signal', NULL, 'NINJA_B', NULL, NULL, 28428, 8),
(24621, NULL, 'PF16829', NULL, NULL, 'Avirulence protein ATR13, RxLR effector', NULL, 'ATR13', NULL, NULL, 22903, 8),
(24622, NULL, 'PF17141', NULL, NULL, 'Domain of unknown function (DUF5114)', NULL, 'DUF5114', NULL, NULL, 35035, 8),
(24623, NULL, 'PF10078', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2316)', NULL, 'DUF2316', NULL, NULL, 18747, 8),
(24624, NULL, 'PF06855', NULL, NULL, 'YozE SAM-like fold', NULL, 'YozE_SAM_like', NULL, NULL, 15948, 8),
(24625, NULL, 'PF00626', NULL, NULL, 'Gelsolin repeat', NULL, 'Gelsolin', NULL, NULL, 45, 8),
(24626, NULL, 'PF10996', NULL, NULL, 'Beta-Casp domain', NULL, 'Beta-Casp', NULL, NULL, 17345, 8),
(24627, NULL, 'PF19578', NULL, NULL, 'Family of unknown function (DUF6090)', NULL, 'DUF6090', NULL, NULL, 38600, 8),
(24628, NULL, 'PF19809', NULL, NULL, 'Family of unknown function (DUF6292)', NULL, 'DUF6292', NULL, NULL, 39831, 8),
(24629, NULL, 'PF09059', NULL, NULL, 'TyeA', NULL, 'TyeA', NULL, NULL, 9920, 8),
(24630, NULL, 'PF16955', NULL, NULL, 'Ferrous iron uptake permease, iron-lead transporter', NULL, 'OFeT_1', NULL, NULL, 23424, 8),
(24631, NULL, 'PF02713', NULL, NULL, 'Domain of unknown function DUF220', NULL, 'DUF220', NULL, NULL, 3315, 8),
(24632, NULL, 'PF01215', NULL, NULL, 'Cytochrome c oxidase subunit Vb', NULL, 'COX5B', NULL, NULL, 5371, 8),
(24633, NULL, 'PF13084', NULL, NULL, 'Domain of unknown function (DUF3943)', NULL, 'DUF3943', NULL, NULL, 23568, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24634, NULL, 'PF12373', NULL, NULL, 'Major surface glycoprotein 2 C terminal', NULL, 'Msg2_C', NULL, NULL, 15456, 8),
(24635, NULL, 'PF14101', NULL, NULL, 'Domain of unknown function (DUF4275)', NULL, 'DUF4275', NULL, NULL, 23257, 8),
(24636, NULL, 'PF17546', NULL, NULL, 'Beta defensin 50', NULL, 'Defb50', NULL, NULL, 20336, 8),
(24637, NULL, 'PF14884', NULL, NULL, 'Type I membrane glycoproteins cell-cell fusogen', NULL, 'EFF-AFF', NULL, NULL, 29478, 8),
(24638, NULL, 'PF16760', NULL, NULL, 'Starch/carbohydrate-binding module (family 53)', NULL, 'CBM53', NULL, NULL, 10225, 8),
(24639, NULL, 'PF00909', NULL, NULL, 'Ammonium Transporter Family', NULL, 'Ammonium_transp', NULL, NULL, 19226, 8),
(24640, NULL, 'PF11823', NULL, NULL, 'Protein of unknown function (DUF3343)', NULL, 'DUF3343', NULL, NULL, 19828, 8),
(24641, NULL, 'PF13103', NULL, NULL, 'TonB C terminal', NULL, 'TonB_2', NULL, NULL, NULL, 8),
(24642, NULL, 'PF15186', NULL, NULL, 'Testis-expressed sequence 13 protein family', NULL, 'TEX13', NULL, NULL, 23433, 8),
(24643, NULL, 'PF18351', NULL, NULL, 'Fungal Argonaute N-terminal domain', NULL, 'Ago_N_1', NULL, NULL, 31004, 8),
(24644, NULL, 'PF04844', NULL, NULL, 'Transcriptional repressor, ovate', NULL, 'Ovate', NULL, NULL, 6930, 8),
(24645, NULL, 'PF09922', NULL, NULL, 'Cell wall-active antibiotics response 4TMS YvqF', NULL, 'DUF2154', NULL, NULL, 24688, 8),
(24646, NULL, 'PF17353', NULL, NULL, 'Family of unknown function (DUF5381)', NULL, 'DUF5381', NULL, NULL, 9978, 8),
(24647, NULL, 'PF05125', NULL, NULL, 'Phage major capsid protein, P2 family', NULL, 'Phage_cap_P2', NULL, NULL, 6811, 8),
(24648, NULL, 'PF06298', NULL, NULL, 'Photosystem II protein Y (PsbY)', NULL, 'PsbY', NULL, NULL, 8181, 8),
(24649, NULL, 'PF07883', NULL, NULL, 'Cupin domain', NULL, 'Cupin_2', NULL, NULL, 18551, 8),
(24650, NULL, 'PF15445', NULL, NULL, 'acidic terminal segments, variant surface antigen of PfEMP1', NULL, 'ATS', NULL, NULL, 28527, 8),
(24651, NULL, 'PF08753', NULL, NULL, 'NikR C terminal nickel binding domain', NULL, 'NikR_C', NULL, NULL, 13334, 8),
(24652, NULL, 'PF15761', NULL, NULL, 'Immortalisation up-regulated protein', NULL, 'IMUP', NULL, NULL, 23258, 8),
(24653, NULL, 'PF17896', NULL, NULL, 'Non-structural protein 2, gammacoronavirus', NULL, 'NSP2_gammaCoV', NULL, NULL, 31127, 8),
(24654, NULL, 'PF07831', NULL, NULL, 'Pyrimidine nucleoside phosphorylase C-terminal domain', NULL, 'PYNP_C', NULL, NULL, 18765, 8),
(24655, NULL, 'PF04187', NULL, NULL, 'Haem-binding uptake, Tiki superfamily, ChaN', NULL, 'Cofac_haem_bdg', NULL, NULL, 4592, 8),
(24656, NULL, 'PF06972', NULL, NULL, 'GBF-interacting protein 1 N-terminal', NULL, 'GIP1_N', NULL, NULL, 12205, 8),
(24657, NULL, 'PF07485', NULL, NULL, 'Domain of Unknown Function (DUF1259)', NULL, 'DUF1529', NULL, NULL, 11397, 8),
(24658, NULL, 'PF08096', NULL, NULL, 'Bombolitin family', NULL, 'Bombolitin', NULL, NULL, 12897, 8),
(24659, NULL, 'PF06486', NULL, NULL, 'Protein of unknown function (DUF1093)', NULL, 'DUF1093', NULL, NULL, 95, 8),
(24660, NULL, 'PF10729', NULL, NULL, 'Cell division activator CedA', NULL, 'CedA', NULL, NULL, 21314, 8),
(24661, NULL, 'PF00368', NULL, NULL, 'Hydroxymethylglutaryl-coenzyme A reductase', NULL, 'HMG-CoA_red', NULL, NULL, 135, 8),
(24662, NULL, 'PF05280', NULL, NULL, 'Flagellar transcriptional activator (FlhC)', NULL, 'FlhC', NULL, NULL, 4357, 8),
(24663, NULL, 'PF18400', NULL, NULL, 'Thioredoxin-like domain', NULL, 'Thioredoxin_12', NULL, NULL, 30874, 8),
(24664, NULL, 'PF15649', NULL, NULL, 'Restriction endonuclease fold toxin 7', NULL, 'Tox-REase-7', NULL, NULL, 26444, 8),
(24665, NULL, 'PF08211', NULL, NULL, 'Cytidine and deoxycytidylate deaminase zinc-binding region', NULL, 'dCMP_cyt_deam_2', NULL, NULL, 8587, 8),
(24666, NULL, 'PF13006', NULL, NULL, 'Insertion element 4 transposase N-terminal', NULL, 'Nterm_IS4', NULL, NULL, 23460, 8),
(24667, NULL, 'PF04108', NULL, NULL, 'Autophagy protein ATG17-like domain', NULL, 'ATG17_like', NULL, NULL, 39571, 8),
(24668, NULL, 'PF04802', NULL, NULL, 'Component of IIS longevity pathway SMK-1', NULL, 'SMK-1', NULL, NULL, 4546, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24669, NULL, 'PF12822', NULL, NULL, 'ECF transporter, substrate-specific component', NULL, 'ECF_trnsprt', NULL, NULL, 25770, 8),
(24670, NULL, 'PF19113', NULL, NULL, 'Family of unknown function (DUF5799)', NULL, 'DUF5799', NULL, NULL, 38286, 8),
(24671, NULL, 'PF10942', NULL, NULL, 'Protein of unknown function (DUF2619)', NULL, 'DUF2619', NULL, NULL, 20317, 8),
(24672, NULL, 'PF10045', NULL, NULL, 'Uncharacterized conserved protein (DUF2280)', NULL, 'DUF2280', NULL, NULL, 18552, 8),
(24673, NULL, 'PF13032', NULL, NULL, 'RNaseH domain of pPIWI_RE', NULL, 'RNaseH_pPIWI_RE', NULL, NULL, 23741, 8),
(24674, NULL, 'PF02159', NULL, NULL, 'Oestrogen receptor', NULL, 'Oest_recep', NULL, NULL, 312, 8),
(24675, NULL, 'PF15574', NULL, NULL, 'Immunity protein 48', NULL, 'Imm48', NULL, NULL, 26025, 8),
(24676, NULL, 'PF11294', NULL, NULL, 'Protein of unknown function (DUF3095)', NULL, 'DUF3095', NULL, NULL, 18441, 8),
(24677, NULL, 'PF02138', NULL, NULL, 'Beige/BEACH domain', NULL, 'Beach', NULL, NULL, 247, 8),
(24678, NULL, 'PF13826', NULL, NULL, 'Domain of unknown function (DUF4188)', NULL, 'DUF4188', NULL, NULL, 23036, 8),
(24679, NULL, 'PF14753', NULL, NULL, 'Protein FAM221A/B', NULL, 'FAM221', NULL, NULL, 25263, 8),
(24680, NULL, 'PF15378', NULL, NULL, 'Domain of unknown function (DUF4605)', NULL, 'DUF4605', NULL, NULL, 25013, 8),
(24681, NULL, 'PF15371', NULL, NULL, 'Domain of unknown function (DUF4599)', NULL, 'DUF4599', NULL, NULL, 25183, 8),
(24682, NULL, 'PF10717', NULL, NULL, 'Occlusion-derived virus envelope protein ODV-E18', NULL, 'ODV-E18', NULL, NULL, 21233, 8),
(24683, NULL, 'PF07191', NULL, NULL, 'zinc-ribbons', NULL, 'zinc-ribbons_6', NULL, NULL, 11369, 8),
(24684, NULL, 'PF07458', NULL, NULL, 'Sperm protein associated with nucleus, mapped to X chromosome', NULL, 'SPAN-X', NULL, NULL, 9049, 8),
(24685, NULL, 'PF12888', NULL, NULL, 'Lipid-binding putative hydrolase', NULL, 'Lipid_bd', NULL, NULL, 24837, 8),
(24686, NULL, 'PF01724', NULL, NULL, 'Domain of unknown function DUF29', NULL, 'DUF29', NULL, NULL, 2640, 8),
(24687, NULL, 'PF08012', NULL, NULL, 'Protein of unknown function (DUF1702)', NULL, 'DUF1702', NULL, NULL, 12212, 8),
(24688, NULL, 'PF11625', NULL, NULL, 'Protein of unknown function (DUF3253)', NULL, 'DUF3253', NULL, NULL, 19067, 8),
(24689, NULL, 'PF11520', NULL, NULL, 'Chromatin protein Cren7', NULL, 'Cren7', NULL, NULL, 14637, 8),
(24690, NULL, 'PF08056', NULL, NULL, 'Tryptophan operon leader peptide', NULL, 'Trp_leader2', NULL, NULL, 10501, 8),
(24691, NULL, 'PF08774', NULL, NULL, 'VRR-NUC domain', NULL, 'VRR_NUC', NULL, NULL, 13303, 8),
(24692, NULL, 'PF12008', NULL, NULL, 'Type I restriction and modification enzyme - subunit R C terminal', NULL, 'EcoR124_C', NULL, NULL, 16972, 8),
(24693, NULL, 'PF07394', NULL, NULL, 'Protein of unknown function (DUF1501)', NULL, 'DUF1501', NULL, NULL, 11708, 8),
(24694, NULL, 'PF00069', NULL, NULL, 'Protein kinase domain', NULL, 'Pkinase', NULL, NULL, 3723, 8),
(24695, NULL, 'PF01680', NULL, NULL, 'SOR/SNZ family', NULL, 'SOR_SNZ', NULL, NULL, 30159, 8),
(24696, NULL, 'PF19312', NULL, NULL, 'NtrY N-terminal region', NULL, 'NtrY_N', NULL, NULL, 36908, 8),
(24697, NULL, 'PF00139', NULL, NULL, 'Legume lectin domain', NULL, 'Lectin_legB', NULL, NULL, 2371, 8),
(24698, NULL, 'PF15525', NULL, NULL, 'Domain of unknown function (DUF4652)', NULL, 'DUF4652', NULL, NULL, 26306, 8),
(24699, NULL, 'PF16832', NULL, NULL, 'Erythroid krueppel-like transcription factor, transactivation 1', NULL, 'EKLF_TAD1', NULL, NULL, 22598, 8),
(24700, NULL, 'PF05489', NULL, NULL, 'Phage Tail Protein X', NULL, 'Phage_tail_X', NULL, NULL, 14164, 8),
(24701, NULL, 'PF18916', NULL, NULL, 'Lycopene cyclase', NULL, 'Lycopene_cyc', NULL, NULL, 20169, 8),
(24702, NULL, 'PF06896', NULL, NULL, 'Phage tail assembly chaperone proteins, TAC', NULL, 'Phage_TAC_3', NULL, NULL, 11620, 8),
(24703, NULL, 'PF07005', NULL, NULL, 'Sugar-binding N-terminal domain', NULL, 'SBD_N', NULL, NULL, 10303, 8),
(24704, NULL, 'PF08075', NULL, NULL, 'NOPS (NUC059) domain', NULL, 'NOPS', NULL, NULL, 12093, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24705, NULL, 'PF10379', NULL, NULL, 'Virulence protein nec1', NULL, 'nec1', NULL, NULL, 20416, 8),
(24706, NULL, 'PF04039', NULL, NULL, 'Domain related to MnhB subunit of Na+/H+ antiporter', NULL, 'MnhB', NULL, NULL, 890, 8),
(24707, NULL, 'PF07287', NULL, NULL, 'Acyclic terpene utilisation family protein AtuA', NULL, 'AtuA', NULL, NULL, 11898, 8),
(24708, NULL, 'PF09852', NULL, NULL, 'Predicted membrane protein (DUF2079)', NULL, 'DUF2079', NULL, NULL, 16914, 8),
(24709, NULL, 'PF11832', NULL, NULL, 'Protein of unknown function (DUF3352)', NULL, 'DUF3352', NULL, NULL, 19865, 8),
(24710, NULL, 'PF02368', NULL, NULL, 'Bacterial Ig-like domain (group 2)', NULL, 'Big_2', NULL, NULL, 4098, 8),
(24711, NULL, 'PF02741', NULL, NULL, 'FTR, proximal lobe', NULL, 'FTR_C', NULL, NULL, 4617, 8),
(24712, NULL, 'PF05454', NULL, NULL, 'Dystroglycan (Dystrophin-associated glycoprotein 1)', NULL, 'DAG1', NULL, NULL, 12182, 8),
(24713, NULL, 'PF14390', NULL, NULL, 'Putative  PD-(D/E)XK family member, (DUF4420)', NULL, 'DUF4420', NULL, NULL, 28471, 8),
(24714, NULL, 'PF13273', NULL, NULL, 'Protein of unknown function (DUF4064)', NULL, 'DUF4064', NULL, NULL, 27560, 8),
(24715, NULL, 'PF06553', NULL, NULL, 'BNIP3', NULL, 'BNIP3', NULL, NULL, 14841, 8),
(24716, NULL, 'PF14778', NULL, NULL, 'Odorant response abnormal 4-like', NULL, 'ODR4-like', NULL, NULL, 27743, 8),
(24717, NULL, 'PF18872', NULL, NULL, 'Daz repeat', NULL, 'Daz', NULL, NULL, 38075, 8),
(24718, NULL, 'PF11907', NULL, NULL, 'Domain of unknown function (DUF3427)', NULL, 'DUF3427', NULL, NULL, 20010, 8),
(24719, NULL, 'PF10032', NULL, NULL, 'Phosphate transport (Pho88)', NULL, 'Pho88', NULL, NULL, 13365, 8),
(24720, NULL, 'PF14597', NULL, NULL, 'Metallo-beta-lactamase superfamily', NULL, 'Lactamase_B_5', NULL, NULL, NULL, 8),
(24721, NULL, 'PF19135', NULL, NULL, 'Protein of unknown function (DUF5818)', NULL, 'DUF5818', NULL, NULL, 36549, 8),
(24722, NULL, 'PF12701', NULL, NULL, 'Scd6-like Sm domain', NULL, 'LSM14', NULL, NULL, 24075, 8),
(24723, NULL, 'PF05831', NULL, NULL, 'GAGE protein', NULL, 'GAGE', NULL, NULL, 28255, 8),
(24724, NULL, 'PF14558', NULL, NULL, 'ML-like domain', NULL, 'TRP_N', NULL, NULL, 22165, 8),
(24725, NULL, 'PF19476', NULL, NULL, 'Family of unknown function (DUF6013)', NULL, 'DUF6013', NULL, NULL, 39320, 8),
(24726, NULL, 'PF08307', NULL, NULL, 'Glycosyl hydrolase family 98 C-terminal domain', NULL, 'Glyco_hydro_98C', NULL, NULL, 17585, 8),
(24727, NULL, 'PF13168', NULL, NULL, 'Poxvirus B22R protein C-terminal', NULL, 'Poxvirus_B22R_C', NULL, NULL, 22672, 8),
(24728, NULL, 'PF11744', NULL, NULL, 'Aluminium activated malate transporter', NULL, 'ALMT', NULL, NULL, 14910, 8),
(24729, NULL, 'PF18849', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 7', NULL, 'baeRF_family7', NULL, NULL, 34660, 8),
(24730, NULL, 'PF10938', NULL, NULL, 'YfdX protein', NULL, 'YfdX', NULL, NULL, 17760, 8),
(24731, NULL, 'PF04301', NULL, NULL, 'Protein of unknown function (DUF452)', NULL, 'DUF452', NULL, NULL, 3542, 8),
(24732, NULL, 'PF09888', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2115)', NULL, 'DUF2115', NULL, NULL, 19293, 8),
(24733, NULL, 'PF15446', NULL, NULL, 'PHD/FYVE-zinc-finger like domain', NULL, 'zf-PHD-like', NULL, NULL, 33412, 8),
(24734, NULL, 'PF05687', NULL, NULL, 'BES1/BZR1 plant transcription factor, N-terminal', NULL, 'BES1_N', NULL, NULL, 13092, 8),
(24735, NULL, 'PF09391', NULL, NULL, 'Protein of unknown function (DUF2000)', NULL, 'DUF2000', NULL, NULL, 15722, 8),
(24736, NULL, 'PF12920', NULL, NULL, 'TcdA/TcdB pore forming domain', NULL, 'TcdA_TcdB_pore', NULL, NULL, 21271, 8),
(24737, NULL, 'PF07054', NULL, NULL, 'Pericardin like repeat', NULL, 'Pericardin_rpt', NULL, NULL, 12684, 8),
(24738, NULL, 'PF13627', NULL, NULL, 'Prokaryotic lipoprotein-attachment site', NULL, 'LPAM_2', NULL, NULL, 22235, 8),
(24739, NULL, 'PF09242', NULL, NULL, 'Flavocytochrome c sulphide dehydrogenase, flavin-binding', NULL, 'FCSD-flav_bind', NULL, NULL, 13814, 8),
(24740, NULL, 'PF05045', NULL, NULL, 'Rhamnan synthesis protein F', NULL, 'RgpF', NULL, NULL, 1169, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24741, NULL, 'PF02751', NULL, NULL, 'Transcription initiation factor IIA, gamma subunit', NULL, 'TFIIA_gamma_C', NULL, NULL, 14381, 8),
(24742, NULL, 'PF04272', NULL, NULL, 'Phospholamban', NULL, 'Phospholamban', NULL, NULL, 1232, 8),
(24743, NULL, 'PF02481', NULL, NULL, 'DNA recombination-mediator protein A', NULL, 'DNA_processg_A', NULL, NULL, 6282, 8),
(24744, NULL, 'PF12051', NULL, NULL, 'Protein of unknown function (DUF3533)', NULL, 'DUF3533', NULL, NULL, 17152, 8),
(24745, NULL, 'PF14293', NULL, NULL, 'YWFCY protein', NULL, 'YWFCY', NULL, NULL, 27233, 8),
(24746, NULL, 'PF16282', NULL, NULL, 'SANT/Myb-like domain of DAMP1', NULL, 'SANT_DAMP1_like', NULL, NULL, 22367, 8),
(24747, NULL, 'PF16367', NULL, NULL, 'RNA recognition motif', NULL, 'RRM_7', NULL, NULL, 5800, 8),
(24748, NULL, 'PF05271', NULL, NULL, 'Tobravirus 2B protein', NULL, 'Tobravirus_2B', NULL, NULL, 4262, 8),
(24749, NULL, 'PF11235', NULL, NULL, 'Mediator complex subunit 25 synapsin 1', NULL, 'Med25_SD1', NULL, NULL, 18393, 8),
(24750, NULL, 'PF06712', NULL, NULL, 'Protein of unknown function (DUF1199)', NULL, 'DUF1199', NULL, NULL, 1820, 8),
(24751, NULL, 'PF17842', NULL, NULL, 'Double-stranded RNA binding domain 2', NULL, 'dsRBD2', NULL, NULL, 30518, 8),
(24752, NULL, 'PF12618', NULL, NULL, 'Protein of unknown function (DUF3776)', NULL, 'DUF3776', NULL, NULL, 21085, 8),
(24753, NULL, 'PF05193', NULL, NULL, 'Peptidase M16 inactive domain', NULL, 'Peptidase_M16_C', NULL, NULL, 3229, 8),
(24754, NULL, 'PF04259', NULL, NULL, 'Small, acid-soluble spore protein, gamma-type', NULL, 'SASP_gamma', NULL, NULL, 4590, 8),
(24755, NULL, 'PF09675', NULL, NULL, 'Chlamydia-phage Chp2 scaffold (Chlamy_scaf)', NULL, 'Chlamy_scaf', NULL, NULL, 14432, 8),
(24756, NULL, 'PF05443', NULL, NULL, 'ROS/MUCR transcriptional regulator protein', NULL, 'ROS_MUCR', NULL, NULL, 14388, 8),
(24757, NULL, 'PF16381', NULL, NULL, 'Coatomer subunit gamma-1 C-terminal appendage platform', NULL, 'Coatomer_g_Cpla', NULL, NULL, 22804, 8),
(24758, NULL, 'PF18857', NULL, NULL, 'Large polyvalent protein associated domain 38', NULL, 'LPD38', NULL, NULL, 29109, 8),
(24759, NULL, 'PF16199', NULL, NULL, 'Radical_SAM C-terminal domain', NULL, 'Radical_SAM_C', NULL, NULL, 28226, 8),
(24760, NULL, 'PF04821', NULL, NULL, 'Timeless protein', NULL, 'TIMELESS', NULL, NULL, 4791, 8),
(24761, NULL, 'PF05496', NULL, NULL, 'Holliday junction DNA helicase RuvB P-loop domain', NULL, 'RuvB_N', NULL, NULL, 14363, 8),
(24762, NULL, 'PF12010', NULL, NULL, 'Domain of unknown function (DUF3502)', NULL, 'DUF3502', NULL, NULL, 16718, 8),
(24763, NULL, 'PF03105', NULL, NULL, 'SPX domain', NULL, 'SPX', NULL, NULL, 4892, 8),
(24764, NULL, 'PF07754', NULL, NULL, 'Small zinc finger protein HVO_2753-like, Zn-binding pocket', NULL, 'HVO_2753_ZBP', NULL, NULL, 10598, 8),
(24765, NULL, 'PF10338', NULL, NULL, 'Protein of unknown function (DUF2423)', NULL, 'DUF2423', NULL, NULL, 17977, 8),
(24766, NULL, 'PF11247', NULL, NULL, 'Protein of unknown function (DUF2675)', NULL, 'DUF2675', NULL, NULL, 16674, 8),
(24767, NULL, 'PF03014', NULL, NULL, 'Structural protein 2', NULL, 'SP2', NULL, NULL, 3628, 8),
(24768, NULL, 'PF18611', NULL, NULL, 'IL-3 receptor alpha chain N-terminal domain', NULL, 'IL3Ra_N', NULL, NULL, 31433, 8),
(24769, NULL, 'PF00131', NULL, NULL, 'Metallothionein', NULL, 'Metallothio', NULL, NULL, 166, 8),
(24770, NULL, 'PF14215', NULL, NULL, 'bHLH-MYC and R2R3-MYB transcription factors N-terminal', NULL, 'bHLH-MYC_N', NULL, NULL, 27865, 8),
(24771, NULL, 'PF12104', NULL, NULL, 'T cell CD4 receptor C terminal region', NULL, 'Tcell_CD4_C', NULL, NULL, 20677, 8),
(24772, NULL, 'PF00274', NULL, NULL, 'Fructose-bisphosphate aldolase class-I', NULL, 'Glycolytic', NULL, NULL, 6596, 8),
(24773, NULL, 'PF11334', NULL, NULL, 'Protein of unknown function (DUF3136)', NULL, 'DUF3136', NULL, NULL, 18672, 8),
(24774, NULL, 'PF18793', NULL, NULL, 'Nitrous oxide reductase propeller repeat 2', NULL, 'nos_propeller_2', NULL, NULL, 31080, 8),
(24775, NULL, 'PF16440', NULL, NULL, 'Domain of unknown function (DUF5037)', NULL, 'DUF5037', NULL, NULL, 25988, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24776, NULL, 'PF15715', NULL, NULL, 'PCNA-associated factor histone like domain', NULL, 'PAF', NULL, NULL, 24950, 8),
(24777, NULL, 'PF01602', NULL, NULL, 'Adaptin N terminal region', NULL, 'Adaptin_N', NULL, NULL, 1714, 8),
(24778, NULL, 'PF05395', NULL, NULL, 'Protein phosphatase inhibitor 1/DARPP-32', NULL, 'DARPP-32', NULL, NULL, 12091, 8),
(24779, NULL, 'PF14507', NULL, NULL, 'CppA C-terminal', NULL, 'CppA_C', NULL, NULL, 22162, 8),
(24780, NULL, 'PF19170', NULL, NULL, 'Family of unknown function (DUF5852)', NULL, 'DUF5852', NULL, NULL, 37405, 8),
(24781, NULL, 'PF19736', NULL, NULL, 'Family of unknown function (DUF6226)', NULL, 'DUF6226', NULL, NULL, 36714, 8),
(24782, NULL, 'PF05010', NULL, NULL, 'Transforming acidic coiled-coil-containing protein (TACC), C-terminal', NULL, 'TACC_C', NULL, NULL, 1354, 8),
(24783, NULL, 'PF15333', NULL, NULL, 'TATA box-binding protein-associated factor 1D', NULL, 'TAF1D', NULL, NULL, 26882, 8),
(24784, NULL, 'PF02251', NULL, NULL, 'Proteasome activator pa28 alpha subunit', NULL, 'PA28_alpha', NULL, NULL, 3496, 8),
(24785, NULL, 'PF05629', NULL, NULL, 'Nanovirus component 8 (C8) protein', NULL, 'Nanovirus_C8', NULL, NULL, 13228, 8),
(24786, NULL, 'PF14205', NULL, NULL, 'Cysteine-rich KTR', NULL, 'Cys_rich_KTR', NULL, NULL, 25147, 8),
(24787, NULL, 'PF00539', NULL, NULL, 'Transactivating regulatory protein (Tat)', NULL, 'Tat', NULL, NULL, 4436, 8),
(24788, NULL, 'PF04641', NULL, NULL, 'Rtf2 RING-finger', NULL, 'Rtf2', NULL, NULL, NULL, 8),
(24789, NULL, 'PF18477', NULL, NULL, 'PIN like domain', NULL, 'PIN_9', NULL, NULL, 31436, 8),
(24790, NULL, 'PF01582', NULL, NULL, 'TIR domain', NULL, 'TIR', NULL, NULL, 1739, 8),
(24791, NULL, 'PF16838', NULL, NULL, 'Caudoviral major tail protein N-terminus', NULL, 'Caud_tail_N', NULL, NULL, 27784, 8),
(24792, NULL, 'PF15726', NULL, NULL, 'Domain of unknown function (DUF4677)', NULL, 'DUF4677', NULL, NULL, 27630, 8),
(24793, NULL, 'PF00030', NULL, NULL, 'Beta/Gamma crystallin', NULL, 'Crystall', NULL, NULL, 2197, 8),
(24794, NULL, 'PF04991', NULL, NULL, 'LicD family', NULL, 'LicD', NULL, NULL, 7024, 8),
(24795, NULL, 'PF05120', NULL, NULL, 'Gas vesicle protein G', NULL, 'GvpG', NULL, NULL, 2386, 8),
(24796, NULL, 'PF05990', NULL, NULL, 'Alpha/beta hydrolase of unknown function (DUF900)', NULL, 'DUF900', NULL, NULL, 7541, 8),
(24797, NULL, 'PF14808', NULL, NULL, 'TMEM164 family', NULL, 'TMEM164', NULL, NULL, 24472, 8),
(24798, NULL, 'PF16571', NULL, NULL, 'FBP C-terminal treble-clef zinc-finger', NULL, 'FBP_C', NULL, NULL, 26797, 8),
(24799, NULL, 'PF05999', NULL, NULL, 'Herpesvirus U5-like family', NULL, 'Herpes_U5', NULL, NULL, 7671, 8),
(24800, NULL, 'PF10162', NULL, NULL, 'G8 domain', NULL, 'G8', NULL, NULL, 15461, 8),
(24801, NULL, 'PF07788', NULL, NULL, 'PD-(D/E)XK nuclease superfamily', NULL, 'PDDEXK_10', NULL, NULL, 13614, 8),
(24802, NULL, 'PF19646', NULL, NULL, 'Family of unknown function (DUF6149)', NULL, 'DUF6149', NULL, NULL, 39800, 8),
(24803, NULL, 'PF17407', NULL, NULL, 'Nrap protein domain 6', NULL, 'Nrap_D6', NULL, NULL, 9905, 8),
(24804, NULL, 'PF01369', NULL, NULL, 'Sec7 domain', NULL, 'Sec7', NULL, NULL, 3094, 8),
(24805, NULL, 'PF13432', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_16', NULL, NULL, NULL, 8),
(24806, NULL, 'PF20097', NULL, NULL, 'Domain of unknown function (DUF6487)', NULL, 'DUF6487', NULL, NULL, 39690, 8),
(24807, NULL, 'PF09770', NULL, NULL, 'Topoisomerase II-associated protein PAT1', NULL, 'PAT1', NULL, NULL, 18669, 8),
(24808, NULL, 'PF16242', NULL, NULL, 'Pyridoxamine 5''-phosphate oxidase like', NULL, 'Pyrid_ox_like', NULL, NULL, 34143, 8),
(24809, NULL, 'PF10964', NULL, NULL, 'Protein of unknown function (DUF2766)', NULL, 'DUF2766', NULL, NULL, 19738, 8),
(24810, NULL, 'PF14809', NULL, NULL, 'C1 domain of tRNA-guanine transglycosylase dimerisation', NULL, 'TGT_C1', NULL, NULL, 28406, 8),
(24811, NULL, 'PF17607', NULL, NULL, 'Family of unknown function (DUF5503)', NULL, 'DUF5503', NULL, NULL, 21112, 8),
(24812, NULL, 'PF05188', NULL, NULL, 'MutS domain II', NULL, 'MutS_II', NULL, NULL, 3102, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24813, NULL, 'PF05041', NULL, NULL, 'Pecanex protein (C-terminus)', NULL, 'Pecanex_C', NULL, NULL, 1263, 8),
(24814, NULL, 'PF05230', NULL, NULL, 'MASE2 domain', NULL, 'MASE2', NULL, NULL, 3471, 8),
(24815, NULL, 'PF20068', NULL, NULL, 'Amphi-Trp domain', NULL, 'Amphi-Trp', NULL, NULL, 24344, 8),
(24816, NULL, 'PF03130', NULL, NULL, 'PBS lyase HEAT-like repeat', NULL, 'HEAT_PBS', NULL, NULL, 2683, 8),
(24817, NULL, 'PF18428', NULL, NULL, 'BRCA1 C Terminus (BRCT) domain', NULL, 'BRCT_3', NULL, NULL, NULL, 8),
(24818, NULL, 'PF07475', NULL, NULL, 'HPr Serine kinase C-terminal domain', NULL, 'Hpr_kinase_C', NULL, NULL, 11362, 8),
(24819, NULL, 'PF08940', NULL, NULL, 'Domain of unknown function (DUF1918)', NULL, 'DUF1918', NULL, NULL, 7795, 8),
(24820, NULL, 'PF10216', NULL, NULL, 'CO2 hydration protein (ChpXY)', NULL, 'ChpXY', NULL, NULL, 4218, 8),
(24821, NULL, 'PF15613', NULL, NULL, 'Williams-Beuren syndrome DDT (WSD), D-TOX E motif', NULL, 'WSD', NULL, NULL, 25766, 8),
(24822, NULL, 'PF19516', NULL, NULL, 'Family of unknown function (DUF6049)', NULL, 'DUF6049', NULL, NULL, 39845, 8),
(24823, NULL, 'PF03610', NULL, NULL, 'PTS system fructose IIA component', NULL, 'EIIA-man', NULL, NULL, 3962, 8),
(24824, NULL, 'PF15129', NULL, NULL, 'FAM150 family', NULL, 'FAM150', NULL, NULL, 28238, 8),
(24825, NULL, 'PF05880', NULL, NULL, 'Fijivirus 64 kDa capsid protein', NULL, 'Fiji_64_capsid', NULL, NULL, 14099, 8),
(24826, NULL, 'PF08936', NULL, NULL, 'Carboxysome Shell Carbonic Anhydrase', NULL, 'CsoSCA', NULL, NULL, 13695, 8),
(24827, NULL, 'PF15524', NULL, NULL, 'Novel toxin 17', NULL, 'Ntox17', NULL, NULL, 25383, 8),
(24828, NULL, 'PF15992', NULL, NULL, 'Domain of unknown function (DUF4769)', NULL, 'DUF4769', NULL, NULL, 26208, 8),
(24829, NULL, 'PF16852', NULL, NULL, 'Herpes viral adaptor-to-host cellular mRNA binding domain', NULL, 'HHV-1_VABD', NULL, NULL, 23305, 8),
(24830, NULL, 'PF00031', NULL, NULL, 'Cystatin domain', NULL, 'Cystatin', NULL, NULL, 2589, 8),
(24831, NULL, 'PF05438', NULL, NULL, 'Thyrotropin-releasing hormone (TRH)', NULL, 'TRH', NULL, NULL, 14016, 8),
(24832, NULL, 'PF04712', NULL, NULL, 'Radial spokehead-like protein', NULL, 'Radial_spoke', NULL, NULL, 3618, 8),
(24833, NULL, 'PF10134', NULL, NULL, 'Replication initiator protein A', NULL, 'RPA', NULL, NULL, 19013, 8),
(24834, NULL, 'PF11311', NULL, NULL, 'Protein of unknown function (DUF3114)', NULL, 'DUF3114', NULL, NULL, 18933, 8),
(24835, NULL, 'PF00374', NULL, NULL, 'Nickel-dependent hydrogenase', NULL, 'NiFeSe_Hases', NULL, NULL, 6182, 8),
(24836, NULL, 'PF18641', NULL, NULL, 'LidA long coiled-coil domain', NULL, 'LidA_Long_CC', NULL, NULL, 32967, 8),
(24837, NULL, 'PF19975', NULL, NULL, 'Double-GTPase 1', NULL, 'DO-GTPase1', NULL, NULL, 38733, 8),
(24838, NULL, 'PF04007', NULL, NULL, 'Protein of unknown function (DUF354)', NULL, 'DUF354', NULL, NULL, 471, 8),
(24839, NULL, 'PF09209', NULL, NULL, 'HTH-type transcriptional dual regulator CecR, C-terminal domain', NULL, 'CecR_C', NULL, NULL, 12674, 8),
(24840, NULL, 'PF05205', NULL, NULL, 'COMPASS (Complex proteins associated with Set1p) component shg1', NULL, 'COMPASS-Shg1', NULL, NULL, NULL, 8),
(24841, NULL, 'PF00041', NULL, NULL, 'Fibronectin type III domain', NULL, 'fn3', NULL, NULL, 7492, 8),
(24842, NULL, 'PF08748', NULL, NULL, 'Phage tail assembly chaperone', NULL, 'Phage_TAC_4', NULL, NULL, 13221, 8),
(24843, NULL, 'PF14011', NULL, NULL, 'EspG family', NULL, 'ESX-1_EspG', NULL, NULL, 23701, 8),
(24844, NULL, 'PF13193', NULL, NULL, 'AMP-binding enzyme C-terminal domain', NULL, 'AMP-binding_C', NULL, NULL, 22763, 8),
(24845, NULL, 'PF11557', NULL, NULL, 'Solitary outer membrane autotransporter beta-barrel domain', NULL, 'Omp_AT', NULL, NULL, 19321, 8),
(24846, NULL, 'PF00845', NULL, NULL, 'Geminivirus BL1 movement protein', NULL, 'Gemini_BL1', NULL, NULL, 3908, 8),
(24847, NULL, 'PF11693', NULL, NULL, 'Protein of unknown function (DUF2990)', NULL, 'DUF2990', NULL, NULL, 19538, 8),
(24848, NULL, 'PF07748', NULL, NULL, 'Glycosyl hydrolases family 38 C-terminal domain', NULL, 'Glyco_hydro_38C', NULL, NULL, 10860, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24849, NULL, 'PF13987', NULL, NULL, 'YedD-like protein', NULL, 'YedD', NULL, NULL, 23320, 8),
(24850, NULL, 'PF05791', NULL, NULL, 'Bacillus haemolytic enterotoxin (HBL)', NULL, 'Bacillus_HBL', NULL, NULL, 8639, 8),
(24851, NULL, 'PF17417', NULL, NULL, 'Herpesvirus Glycoprotein B PH-like domain', NULL, 'Glycoprot_B_PH2', NULL, NULL, 35951, 8),
(24852, NULL, 'PF19368', NULL, NULL, 'AraR C-terminal winged HTH domain', NULL, 'AraR_C', NULL, NULL, 39974, 8),
(24853, NULL, 'PF09263', NULL, NULL, 'Peroxisome biogenesis factor 1, N-terminal', NULL, 'PEX-2N', NULL, NULL, 13660, 8),
(24854, NULL, 'PF14848', NULL, NULL, 'DNA-binding domain', NULL, 'HU-DNA_bdg', NULL, NULL, NULL, 8),
(24855, NULL, 'PF02276', NULL, NULL, 'Photosynthetic reaction centre cytochrome C subunit', NULL, 'CytoC_RC', NULL, NULL, 3104, 8),
(24856, NULL, 'PF11940', NULL, NULL, 'Domain of unknown function (DUF3458) Ig-like fold', NULL, 'DUF3458', NULL, NULL, 18144, 8),
(24857, NULL, 'PF03612', NULL, NULL, 'Sorbitol phosphotransferase enzyme II N-terminus', NULL, 'EIIBC-GUT_N', NULL, NULL, 11243, 8),
(24858, NULL, 'PF14424', NULL, NULL, 'The  BURPS668_1122 family of deaminases', NULL, 'Toxin-deaminase', NULL, NULL, 29389, 8),
(24859, NULL, 'PF05960', NULL, NULL, 'Bacterial protein of unknown function (DUF885)', NULL, 'DUF885', NULL, NULL, 7797, 8),
(24860, NULL, 'PF07179', NULL, NULL, 'SseB protein N-terminal domain', NULL, 'SseB', NULL, NULL, 13696, 8),
(24861, NULL, 'PF12376', NULL, NULL, 'Protein of unknown function (DUF3654)', NULL, 'DUF3654', NULL, NULL, 21368, 8),
(24862, NULL, 'PF07738', NULL, NULL, 'Sad1 / UNC-like C-terminal', NULL, 'Sad1_UNC', NULL, NULL, 8094, 8),
(24863, NULL, 'PF02078', NULL, NULL, 'Synapsin, N-terminal domain', NULL, 'Synapsin', NULL, NULL, 20633, 8),
(24864, NULL, 'PF17236', NULL, NULL, 'Family of unknown function (DUF5309)', NULL, 'DUF5309', NULL, NULL, 21003, 8),
(24865, NULL, 'PF17684', NULL, NULL, 'PH domain of plant-specific actin-binding protein', NULL, 'SCAB-PH', NULL, NULL, 31328, 8),
(24866, NULL, 'PF15950', NULL, NULL, 'Putative sperm flagellar membrane protein', NULL, 'DUF4758', NULL, NULL, 22529, 8),
(24867, NULL, 'PF08795', NULL, NULL, 'Putative papain-like cysteine peptidase (DUF1796)', NULL, 'DUF1796', NULL, NULL, 13064, 8),
(24868, NULL, 'PF09285', NULL, NULL, 'Elongation factor P, C-terminal', NULL, 'Elong-fact-P_C', NULL, NULL, 13750, 8),
(24869, NULL, 'PF14354', NULL, NULL, 'Restriction alleviation protein Lar', NULL, 'Lar_restr_allev', NULL, NULL, NULL, 8),
(24870, NULL, 'PF10310', NULL, NULL, 'Family of unknown function (DUF5427)', NULL, 'DUF5427', NULL, NULL, 20324, 8),
(24871, NULL, 'PF10693', NULL, NULL, 'Protein of unknown function (DUF2499)', NULL, 'DUF2499', NULL, NULL, 21088, 8),
(24872, NULL, 'PF09344', NULL, NULL, 'CT1975-like protein', NULL, 'Cas_CT1975', NULL, NULL, 10859, 8),
(24873, NULL, 'PF17954', NULL, NULL, 'Quercetinase C-terminal cupin domain', NULL, 'Pirin_C_2', NULL, NULL, 33032, 8),
(24874, NULL, 'PF07499', NULL, NULL, 'RuvA, C-terminal domain', NULL, 'RuvA_C', NULL, NULL, 11343, 8),
(24875, NULL, 'PF11417', NULL, NULL, 'Loader and inhibitor of phage G40P', NULL, 'Inhibitor_G39P', NULL, NULL, 22783, 8),
(24876, NULL, 'PF06135', NULL, NULL, 'IreB regulatory phosphoprotein', NULL, 'IreB', NULL, NULL, 14789, 8),
(24877, NULL, 'PF10354', NULL, NULL, 'Domain of unknown function (DUF2431)', NULL, 'DUF2431', NULL, NULL, 17560, 8),
(24878, NULL, 'PF12875', NULL, NULL, 'Protein of unknown function (DUF3826)', NULL, 'DUF3826', NULL, NULL, 9497, 8),
(24879, NULL, 'PF00648', NULL, NULL, 'Calpain family cysteine protease', NULL, 'Peptidase_C2', NULL, NULL, 2109, 8),
(24880, NULL, 'PF06988', NULL, NULL, 'NifT/FixU protein', NULL, 'NifT', NULL, NULL, 12319, 8),
(24881, NULL, 'PF19099', NULL, NULL, 'Family of unknown function (DUF5786)', NULL, 'DUF5786', NULL, NULL, 37149, 8),
(24882, NULL, 'PF14360', NULL, NULL, 'PAP2 superfamily C-terminal', NULL, 'PAP2_C', NULL, NULL, 23237, 8),
(24883, NULL, 'PF15093', NULL, NULL, 'Domain of unknown function (DUF4555)', NULL, 'DUF4555', NULL, NULL, 25064, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24884, NULL, 'PF03744', NULL, NULL, '6-carboxyhexanoate--CoA ligase', NULL, 'BioW', NULL, NULL, 996, 8),
(24885, NULL, 'PF20041', NULL, NULL, 'Domain of unknown function (DUF6443)', NULL, 'DUF6443', NULL, NULL, 36582, 8),
(24886, NULL, 'PF10737', NULL, NULL, 'Spore germination protein GerPC', NULL, 'GerPC', NULL, NULL, 20239, 8),
(24887, NULL, 'PF13820', NULL, NULL, 'Putative nucleic acid-binding region', NULL, 'Nucleic_acid_bd', NULL, NULL, 29191, 8),
(24888, NULL, 'PF16722', NULL, NULL, 'Pathogenicity island protein gp6 in Staphylococcus', NULL, 'SAPIS-gp6', NULL, NULL, 23748, 8),
(24889, NULL, 'PF18216', NULL, NULL, 'N-formyltransferase dimerization C-terminal domain', NULL, 'N_formyltrans_C', NULL, NULL, 30600, 8),
(24890, NULL, 'PF12123', NULL, NULL, 'PlyG Cell wall binding domain', NULL, 'CBD_PlyG', NULL, NULL, 20574, 8),
(24891, NULL, 'PF15898', NULL, NULL, 'cGMP-dependent protein kinase interacting domain', NULL, 'PRKG1_interact', NULL, NULL, 27277, 8),
(24892, NULL, 'PF16268', NULL, NULL, 'Domain of unknown function (DUF4921)', NULL, 'DUF4921', NULL, NULL, 22265, 8),
(24893, NULL, 'PF02981', NULL, NULL, 'Restriction endonuclease FokI, recognition domain', NULL, 'FokI_N', NULL, NULL, 3683, 8),
(24894, NULL, 'PF08059', NULL, NULL, 'SEP domain', NULL, 'SEP', NULL, NULL, 12221, 8),
(24895, NULL, 'PF15673', NULL, NULL, 'Circadian-associated transcriptional repressor', NULL, 'Ciart', NULL, NULL, 27121, 8),
(24896, NULL, 'PF01463', NULL, NULL, 'Leucine rich repeat C-terminal domain', NULL, 'LRRCT', NULL, NULL, 5802, 8),
(24897, NULL, 'PF00719', NULL, NULL, 'Inorganic pyrophosphatase', NULL, 'Pyrophosphatase', NULL, NULL, 7493, 8),
(24898, NULL, 'PF07868', NULL, NULL, 'Protein of unknown function (DUF1655)', NULL, 'DUF1655', NULL, NULL, 14792, 8),
(24899, NULL, 'PF00937', NULL, NULL, 'Coronavirus nucleocapsid', NULL, 'CoV_nucleocap', NULL, NULL, 1321, 8),
(24900, NULL, 'PF11859', NULL, NULL, 'Protein of unknown function (DUF3379)', NULL, 'DUF3379', NULL, NULL, 19593, 8),
(24901, NULL, 'PF11732', NULL, NULL, 'Transcription- and export-related complex subunit', NULL, 'Thoc2', NULL, NULL, 19793, 8),
(24902, NULL, 'PF17584', NULL, NULL, 'Bacillus competence protein S', NULL, 'ComS', NULL, NULL, 19615, 8),
(24903, NULL, 'PF09955', NULL, NULL, 'Predicted integral membrane protein (DUF2189)', NULL, 'DUF2189', NULL, NULL, 17754, 8),
(24904, NULL, 'PF01569', NULL, NULL, 'PAP2 superfamily', NULL, 'PAP2', NULL, NULL, 4866, 8),
(24905, NULL, 'PF12210', NULL, NULL, 'Hepatocyte growth factor-regulated tyrosine kinase substrate', NULL, 'Hrs_helical', NULL, NULL, 4288, 8),
(24906, NULL, 'PF15895', NULL, NULL, 'CAAX box cerebral protein 1', NULL, 'CAAX_1', NULL, NULL, 27497, 8),
(24907, NULL, 'PF19857', NULL, NULL, 'Family of unknown function (DUF6332)', NULL, 'DUF6332', NULL, NULL, 39979, 8),
(24908, NULL, 'PF00446', NULL, NULL, 'Gonadotropin-releasing hormone', NULL, 'GnRH', NULL, NULL, 2031, 8),
(24909, NULL, 'PF02633', NULL, NULL, 'Creatinine amidohydrolase', NULL, 'Creatininase', NULL, NULL, 3185, 8),
(24910, NULL, 'PF14979', NULL, NULL, 'Transmembrane 52', NULL, 'TMEM52', NULL, NULL, NULL, 8),
(24911, NULL, 'PF19111', NULL, NULL, 'Family of unknown function (DUF5798)', NULL, 'DUF5798', NULL, NULL, 38041, 8),
(24912, NULL, 'PF17984', NULL, NULL, 'Telomerase reverse transcriptase thumb DNA binding domain', NULL, 'TERT_thumb', NULL, NULL, 32098, 8),
(24913, NULL, 'PF07155', NULL, NULL, 'ECF-type riboflavin transporter, S component', NULL, 'ECF-ribofla_trS', NULL, NULL, 13964, 8),
(24914, NULL, 'PF15041', NULL, NULL, 'Domain of unknown function (DUF4531)', NULL, 'DUF4531', NULL, NULL, 29199, 8),
(24915, NULL, 'PF10387', NULL, NULL, 'Protein of unknown function (DUF2442)', NULL, 'DUF2442', NULL, NULL, 20281, 8),
(24916, NULL, 'PF01804', NULL, NULL, 'Penicillin amidase', NULL, 'Penicil_amidase', NULL, NULL, 3706, 8),
(24917, NULL, 'PF15999', NULL, NULL, 'Domain of unknown function (DUF4774)', NULL, 'DUF4774', NULL, NULL, 27972, 8),
(24918, NULL, 'PF02198', NULL, NULL, 'Sterile alpha motif (SAM)/Pointed domain', NULL, 'SAM_PNT', NULL, NULL, 2801, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24919, NULL, 'PF12426', NULL, NULL, 'RNA dependent RNA polymerase', NULL, 'DUF3674', NULL, NULL, 22702, 8),
(24920, NULL, 'PF15968', NULL, NULL, 'Membrane-anchored ion channel, Abi component', NULL, 'RexB', NULL, NULL, 27493, 8),
(24921, NULL, 'PF10348', NULL, NULL, 'Domain of unknown function (DUF2427)', NULL, 'DUF2427', NULL, NULL, 20140, 8),
(24922, NULL, 'PF12464', NULL, NULL, 'Maltose acetyltransferase', NULL, 'Mac', NULL, NULL, 22540, 8),
(24923, NULL, 'PF06590', NULL, NULL, 'PerB protein', NULL, 'PerB', NULL, NULL, 9415, 8),
(24924, NULL, 'PF03631', NULL, NULL, 'Virulence factor BrkB', NULL, 'Virul_fac_BrkB', NULL, NULL, 19163, 8),
(24925, NULL, 'PF15596', NULL, NULL, 'Immunity protein 57', NULL, 'Imm57', NULL, NULL, 25783, 8),
(24926, NULL, 'PF05970', NULL, NULL, 'PIF1-like helicase', NULL, 'PIF1', NULL, NULL, 7966, 8),
(24927, NULL, 'PF12325', NULL, NULL, 'TATA element modulatory factor 1 TATA binding', NULL, 'TMF_TATA_bd', NULL, NULL, 20656, 8),
(24928, NULL, 'PF04104', NULL, NULL, 'Eukaryotic and archaeal DNA primase, large subunit', NULL, 'DNA_primase_lrg', NULL, NULL, 6552, 8),
(24929, NULL, 'PF09185', NULL, NULL, 'Domain of unknown function (DUF1948)', NULL, 'DUF1948', NULL, NULL, 12771, 8),
(24930, NULL, 'PF03230', NULL, NULL, 'Antirestriction protein', NULL, 'Antirestrict', NULL, NULL, 1989, 8),
(24931, NULL, 'PF16723', NULL, NULL, 'Domain of unknown function (DUF5065)', NULL, 'DUF5065', NULL, NULL, 23834, 8),
(24932, NULL, 'PF00334', NULL, NULL, 'Nucleoside diphosphate kinase', NULL, 'NDK', NULL, NULL, 30899, 8),
(24933, NULL, 'PF02883', NULL, NULL, 'Adaptin C-terminal domain', NULL, 'Alpha_adaptinC2', NULL, NULL, 7149, 8),
(24934, NULL, 'PF06851', NULL, NULL, 'Protein of unknown function (DUF1247)', NULL, 'DUF1247', NULL, NULL, 11431, 8),
(24935, NULL, 'PF16160', NULL, NULL, 'Domain of unknown function (DUF4866)', NULL, 'DUF4866', NULL, NULL, 23286, 8),
(24936, NULL, 'PF13200', NULL, NULL, 'Putative glycosyl hydrolase domain', NULL, 'DUF4015', NULL, NULL, 23501, 8),
(24937, NULL, 'PF18206', NULL, NULL, 'Porphyranase catalytic subdomain 1', NULL, 'Porphyrn_cat_1', NULL, NULL, 34478, 8),
(24938, NULL, 'PF13685', NULL, NULL, 'Iron-containing alcohol dehydrogenase', NULL, 'Fe-ADH_2', NULL, NULL, 22287, 8),
(24939, NULL, 'PF20126', NULL, NULL, 'Family of unknown function (DUF6516)', NULL, 'DUF6516', NULL, NULL, 38302, 8),
(24940, NULL, 'PF05669', NULL, NULL, 'SOH1', NULL, 'Med31', NULL, NULL, 14287, 8),
(24941, NULL, 'PF05984', NULL, NULL, 'Cytomegalovirus UL20A protein', NULL, 'Cytomega_UL20A', NULL, NULL, 13888, 8),
(24942, NULL, 'PF16793', NULL, NULL, 'RepB DNA-primase from phage plasmid', NULL, 'RepB_primase', NULL, NULL, 33535, 8),
(24943, NULL, 'PF06824', NULL, NULL, 'Metal-independent alpha-mannosidase (GH125)', NULL, 'Glyco_hydro_125', NULL, NULL, 7694, 8),
(24944, NULL, 'PF10002', NULL, NULL, 'Predicted membrane protein (DUF2243)', NULL, 'DUF2243', NULL, NULL, 17972, 8),
(24945, NULL, 'PF03747', NULL, NULL, 'ADP-ribosylglycohydrolase', NULL, 'ADP_ribosyl_GH', NULL, NULL, 690, 8),
(24946, NULL, 'PF20058', NULL, NULL, 'Domain of unknown function (DUF6457)', NULL, 'DUF6457', NULL, NULL, 39749, 8),
(24947, NULL, 'PF12965', NULL, NULL, 'Domain of unknown function (DUF3854)', NULL, 'DUF3854', NULL, NULL, 23920, 8),
(24948, NULL, 'PF01666', NULL, NULL, 'DX module', NULL, 'DX', NULL, NULL, 1958, 8),
(24949, NULL, 'PF00420', NULL, NULL, 'NADH-ubiquinone/plastoquinone oxidoreductase chain 4L', NULL, 'Oxidored_q2', NULL, NULL, 35701, 8),
(24950, NULL, 'PF10292', NULL, NULL, 'Serpentine type 7TM GPCR receptor class ab chemoreceptor', NULL, '7TM_GPCR_Srab', NULL, NULL, 16662, 8),
(24951, NULL, 'PF16996', NULL, NULL, 'Accessory secretory protein Sec Asp4', NULL, 'Asp4', NULL, NULL, 25454, 8),
(24952, NULL, 'PF09855', NULL, NULL, 'Nucleic-acid-binding protein containing Zn-ribbon domain (DUF2082)', NULL, 'zinc_ribbon_13', NULL, NULL, 16765, 8),
(24953, NULL, 'PF11172', NULL, NULL, 'Protein of unknown function (DUF2959)', NULL, 'DUF2959', NULL, NULL, 18192, 8),
(24954, NULL, 'PF14304', NULL, NULL, 'Transcription termination and cleavage factor C-terminal', NULL, 'CSTF_C', NULL, NULL, 28759, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24955, NULL, 'PF00868', NULL, NULL, 'Transglutaminase family', NULL, 'Transglut_N', NULL, NULL, 4035, 8),
(24956, NULL, 'PF05478', NULL, NULL, 'Prominin', NULL, 'Prominin', NULL, NULL, 14098, 8),
(24957, NULL, 'PF13187', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_9', NULL, NULL, 13131, 8),
(24958, NULL, 'PF10898', NULL, NULL, 'Protein of unknown function (DUF2716)', NULL, 'DUF2716', NULL, NULL, 19678, 8),
(24959, NULL, 'PF00595', NULL, NULL, 'PDZ domain', NULL, 'PDZ', NULL, NULL, 3345, 8),
(24960, NULL, 'PF07739', NULL, NULL, 'TipAS antibiotic-recognition domain', NULL, 'TipAS', NULL, NULL, 8183, 8),
(24961, NULL, 'PF08755', NULL, NULL, 'Hemimethylated DNA-binding protein YccV like', NULL, 'YccV-like', NULL, NULL, 11208, 8),
(24962, NULL, 'PF04068', NULL, NULL, 'Possible Fer4-like domain in RNase L inhibitor, RLI', NULL, 'RLI', NULL, NULL, 1214, 8),
(24963, NULL, 'PF14539', NULL, NULL, 'Domain of unknown function (DUF4442)', NULL, 'DUF4442', NULL, NULL, 24652, 8),
(24964, NULL, 'PF19947', NULL, NULL, 'Family of unknown function (DUF6409)', NULL, 'DUF6409', NULL, NULL, 39914, 8),
(24965, NULL, 'PF07969', NULL, NULL, 'Amidohydrolase family', NULL, 'Amidohydro_3', NULL, NULL, 18583, 8),
(24966, NULL, 'PF19158', NULL, NULL, 'Family of unknown function (DUF5840)', NULL, 'DUF5840', NULL, NULL, 28404, 8),
(24967, NULL, 'PF01253', NULL, NULL, 'Translation initiation factor SUI1', NULL, 'SUI1', NULL, NULL, 4214, 8),
(24968, NULL, 'PF09741', NULL, NULL, 'Uncharacterized conserved protein (DUF2045)', NULL, 'DUF2045', NULL, NULL, 17647, 8),
(24969, NULL, 'PF07586', NULL, NULL, 'Protein of unknown function (DUF1552)', NULL, 'HXXSHH', NULL, NULL, 13623, 8),
(24970, NULL, 'PF05148', NULL, NULL, 'Hypothetical methyltransferase', NULL, 'Methyltransf_8', NULL, NULL, 2289, 8),
(24971, NULL, 'PF07839', NULL, NULL, 'Plant calmodulin-binding domain', NULL, 'CaM_binding', NULL, NULL, 13881, 8),
(24972, NULL, 'PF02701', NULL, NULL, 'Dof domain, zinc finger', NULL, 'zf-Dof', NULL, NULL, 3249, 8),
(24973, NULL, 'PF01218', NULL, NULL, 'Coproporphyrinogen III oxidase', NULL, 'Coprogen_oxidas', NULL, NULL, 2462, 8),
(24974, NULL, 'PF18965', NULL, NULL, 'Family of unknown function (DUF5705)', NULL, 'DUF5705', NULL, NULL, 39425, 8),
(24975, NULL, 'PF10368', NULL, NULL, 'Putative cell-wall binding lipoprotein', NULL, 'YkyA', NULL, NULL, 17964, 8),
(24976, NULL, 'PF10949', NULL, NULL, 'Protein of unknown function (DUF2777)', NULL, 'DUF2777', NULL, NULL, 25601, 8),
(24977, NULL, 'PF13652', NULL, NULL, 'Putative quorum-sensing-regulated virulence factor', NULL, 'QSregVF', NULL, NULL, 21707, 8),
(24978, NULL, 'PF11105', NULL, NULL, 'Arthropod cardioacceleratory peptide 2a', NULL, 'CCAP', NULL, NULL, 20145, 8),
(24979, NULL, 'PF16626', NULL, NULL, 'Linking region between Kunitz_BPTI and I-set on papilin', NULL, 'Papilin_u7', NULL, NULL, NULL, 8),
(24980, NULL, 'PF16860', NULL, NULL, 'CHCH-CHCH-like Cx9C, IMS import disulfide relay-system,', NULL, 'CX9C', NULL, NULL, 27253, 8),
(24981, NULL, 'PF16256', NULL, NULL, 'Domain of unknown function (DUF4911)', NULL, 'DUF4911', NULL, NULL, 22170, 8),
(24982, NULL, 'PF12854', NULL, NULL, 'PPR repeat', NULL, 'PPR_1', NULL, NULL, 5805, 8),
(24983, NULL, 'PF10637', NULL, NULL, 'Oxoglutarate and iron-dependent oxygenase degradation C-term', NULL, 'Ofd1_CTDD', NULL, NULL, 20316, 8),
(24984, NULL, 'PF12921', NULL, NULL, 'Mitochondrial ATPase expression', NULL, 'ATP13', NULL, NULL, 25782, 8),
(24985, NULL, 'PF13374', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_10', NULL, NULL, NULL, 8),
(24986, NULL, 'PF09478', NULL, NULL, 'Carbohydrate binding domain CBM49', NULL, 'CBM49', NULL, NULL, 16390, 8),
(24987, NULL, 'PF19500', NULL, NULL, 'Family of unknown function (DUF6035)', NULL, 'DUF6035', NULL, NULL, 39022, 8),
(24988, NULL, 'PF04400', NULL, NULL, '(Na+)-NQR maturation NqrM', NULL, 'NqrM', NULL, NULL, 10165, 8),
(24989, NULL, 'PF00594', NULL, NULL, 'Vitamin K-dependent carboxylation/gamma-carboxyglutamic (GLA) domain', NULL, 'Gla', NULL, NULL, 4589, 8),
(24990, NULL, 'PF00669', NULL, NULL, 'Bacterial flagellin N-terminal helical region', NULL, 'Flagellin_N', NULL, NULL, 1049, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(24991, NULL, 'PF04385', NULL, NULL, 'Domain of unknown function, DUF529', NULL, 'FAINT', NULL, NULL, 10003, 8),
(24992, NULL, 'PF06436', NULL, NULL, 'Pneumovirus matrix protein 2 (M2)', NULL, 'Pneumovirus_M2', NULL, NULL, 9448, 8),
(24993, NULL, 'PF18945', NULL, NULL, 'EvpB/VC_A0108, tail sheath gpW/gp25-like domain', NULL, 'VipB_2', NULL, NULL, 38332, 8),
(24994, NULL, 'PF01830', NULL, NULL, 'Peptidase C7 family', NULL, 'Peptidase_C7', NULL, NULL, 3863, 8),
(24995, NULL, 'PF05153', NULL, NULL, 'Myo-inositol oxygenase', NULL, 'MIOX', NULL, NULL, 2392, 8),
(24996, NULL, 'PF05820', NULL, NULL, 'Baculoviridae AC81', NULL, 'Ac81', NULL, NULL, 13385, 8),
(24997, NULL, 'PF13017', NULL, NULL, 'piRNA pathway germ-plasm component', NULL, 'Maelstrom', NULL, NULL, 28099, 8),
(24998, NULL, 'PF15311', NULL, NULL, 'Hydrolethalus syndrome protein 1 C-terminus', NULL, 'HYLS1_C', NULL, NULL, 26250, 8),
(24999, NULL, 'PF05114', NULL, NULL, 'Protein of unknown function (DUF692)', NULL, 'DUF692', NULL, NULL, 2026, 8),
(25000, NULL, 'PF10746', NULL, NULL, 'Phage holin T7 family, holin superfamily II', NULL, 'Phage_holin_2_2', NULL, NULL, 20785, 8),
(25001, NULL, 'PF16374', NULL, NULL, 'Cycle inhibiting factor (CIF)', NULL, 'CIF', NULL, NULL, 28048, 8),
(25002, NULL, 'PF02672', NULL, NULL, 'CP12 domain', NULL, 'CP12', NULL, NULL, NULL, 8),
(25003, NULL, 'PF00699', NULL, NULL, 'Urease beta subunit', NULL, 'Urease_beta', NULL, NULL, 2284, 8),
(25004, NULL, 'PF12150', NULL, NULL, 'Cytosolic motility protein', NULL, 'MFP2b', NULL, NULL, 15194, 8),
(25005, NULL, 'PF03530', NULL, NULL, 'Calcium-activated SK potassium channel', NULL, 'SK_channel', NULL, NULL, 9330, 8),
(25006, NULL, 'PF10028', NULL, NULL, 'Predicted integral membrane protein (DUF2270)', NULL, 'DUF2270', NULL, NULL, 9697, 8),
(25007, NULL, 'PF16080', NULL, NULL, 'Bacteriophage holin family HP1', NULL, 'Phage_holin_2_3', NULL, NULL, 23354, 8),
(25008, NULL, 'PF16690', NULL, NULL, 'Methylmalonic aciduria and homocystinuria type C family', NULL, 'MMACHC', NULL, NULL, 24417, 8),
(25009, NULL, 'PF07572', NULL, NULL, 'Bucentaur or craniofacial development', NULL, 'BCNT', NULL, NULL, 13929, 8),
(25010, NULL, 'PF14718', NULL, NULL, 'Soluble lytic murein transglycosylase L domain', NULL, 'SLT_L', NULL, NULL, 13464, 8),
(25011, NULL, 'PF11776', NULL, NULL, 'Nickel/cobalt transporter regulator', NULL, 'RcnB', NULL, NULL, 22406, 8),
(25012, NULL, 'PF16967', NULL, NULL, 'E-set like domain', NULL, 'TcfC', NULL, NULL, 22498, 8),
(25013, NULL, 'PF08001', NULL, NULL, 'CMV US', NULL, 'CMV_US', NULL, NULL, 12557, 8),
(25014, NULL, 'PF01020', NULL, NULL, 'Ribosomal L40e family', NULL, 'Ribosomal_L40e', NULL, NULL, 4007, 8),
(25015, NULL, 'PF18491', NULL, NULL, 'SET and RING associated domain', NULL, 'SRA', NULL, NULL, 30110, 8),
(25016, NULL, 'PF01144', NULL, NULL, 'Coenzyme A transferase', NULL, 'CoA_trans', NULL, NULL, 2994, 8),
(25017, NULL, 'PF19794', NULL, NULL, 'Family of unknown function (DUF6278)', NULL, 'DUF6278', NULL, NULL, 39912, 8),
(25018, NULL, 'PF00746', NULL, NULL, 'LPXTG cell wall anchor motif', NULL, 'Gram_pos_anchor', NULL, NULL, 18289, 8),
(25019, NULL, 'PF10739', NULL, NULL, 'Protein of unknown function (DUF2550)', NULL, 'DUF2550', NULL, NULL, 20284, 8),
(25020, NULL, 'PF15052', NULL, NULL, 'TMEM169 protein family', NULL, 'TMEM169', NULL, NULL, 28466, 8),
(25021, NULL, 'PF01413', NULL, NULL, 'C-terminal tandem repeated domain in type 4 procollagen', NULL, 'C4', NULL, NULL, 6610, 8),
(25022, NULL, 'PF17098', NULL, NULL, 'WTAP/Mum2p family', NULL, 'Wtap', NULL, NULL, 36425, 8),
(25023, NULL, 'PF04298', NULL, NULL, 'Putative neutral zinc metallopeptidase', NULL, 'Zn_peptidase_2', NULL, NULL, 3786, 8),
(25024, NULL, 'PF10167', NULL, NULL, 'BLOC-1-related complex sub-unit 8', NULL, 'BORCS8', NULL, NULL, 15321, 8),
(25025, NULL, 'PF18685', NULL, NULL, 'Family of unknown function (DUF5635)', NULL, 'DUF5635', NULL, NULL, 30683, 8),
(25026, NULL, 'PF05703', NULL, NULL, 'Auxin canalisation', NULL, 'Auxin_canalis', NULL, NULL, 13232, 8),
(25027, NULL, 'PF11980', NULL, NULL, 'C-terminal domain of neuropilin glycoprotein', NULL, 'DUF3481', NULL, NULL, 16858, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25028, NULL, 'PF11737', NULL, NULL, 'Protein of unknown function (DUF3300)', NULL, 'DUF3300', NULL, NULL, 19896, 8),
(25029, NULL, 'PF19161', NULL, NULL, 'Family of unknown function (DUF5843)', NULL, 'DUF5843', NULL, NULL, 37256, 8),
(25030, NULL, 'PF19600', NULL, NULL, 'Family of unknown function (DUF6105)', NULL, 'DUF6105', NULL, NULL, 39287, 8),
(25031, NULL, 'PF06488', NULL, NULL, 'Phage tail tube protein', NULL, 'L_lac_phage_MSP', NULL, NULL, 12333, 8),
(25032, NULL, 'PF08240', NULL, NULL, 'Alcohol dehydrogenase GroES-like domain', NULL, 'ADH_N', NULL, NULL, 8716, 8),
(25033, NULL, 'PF10974', NULL, NULL, 'Protein of unknown function (DUF2804)', NULL, 'DUF2804', NULL, NULL, 17773, 8),
(25034, NULL, 'PF07096', NULL, NULL, 'Protein of unknown function (DUF1358)', NULL, 'DUF1358', NULL, NULL, 13351, 8),
(25035, NULL, 'PF02622', NULL, NULL, 'Uncharacterized ACR, COG1678', NULL, 'DUF179', NULL, NULL, 2528, 8),
(25036, NULL, 'PF14641', NULL, NULL, 'Helix-turn-helix DNA-binding domain of SPT6', NULL, 'HTH_44', NULL, NULL, 23707, 8),
(25037, NULL, 'PF07276', NULL, NULL, 'Apopolysialoglycoprotein (PSGP)', NULL, 'PSGP', NULL, NULL, 14702, 8),
(25038, NULL, 'PF16078', NULL, NULL, '2-oxoglutarate dehydrogenase N-terminus', NULL, '2-oxogl_dehyd_N', NULL, NULL, 24544, 8),
(25039, NULL, 'PF16585', NULL, NULL, 'Lipocalin-like domain', NULL, 'Lipocalin_8', NULL, NULL, 23338, 8),
(25040, NULL, 'PF11887', NULL, NULL, 'Cholesterol uptake porter CUP1 of Mce4, putative', NULL, 'Mce4_CUP1', NULL, NULL, 25757, 8),
(25041, NULL, 'PF06188', NULL, NULL, 'HrpE/YscL/FliH and V-type ATPase subunit E', NULL, 'HrpE', NULL, NULL, 14686, 8),
(25042, NULL, 'PF14551', NULL, NULL, 'MCM N-terminal domain', NULL, 'MCM_N', NULL, NULL, 25669, 8),
(25043, NULL, 'PF09658', NULL, NULL, 'CRISPR-associated protein (Cas_Csx9)', NULL, 'Cas_Csx9', NULL, NULL, 10075, 8),
(25044, NULL, 'PF14805', NULL, NULL, 'Tetrahydrodipicolinate N-succinyltransferase N-terminal', NULL, 'THDPS_N_2', NULL, NULL, 11631, 8),
(25045, NULL, 'PF02498', NULL, NULL, 'BRO family, N-terminal domain', NULL, 'Bro-N', NULL, NULL, 6410, 8),
(25046, NULL, 'PF07112', NULL, NULL, 'Protein of unknown function (DUF1368)', NULL, 'DUF1368', NULL, NULL, 11120, 8),
(25047, NULL, 'PF04611', NULL, NULL, 'Mating type protein A alpha Y mating type dependent binding region', NULL, 'AalphaY_MDB', NULL, NULL, 1118, 8),
(25048, NULL, 'PF03978', NULL, NULL, 'Borrelia burgdorferi REV protein', NULL, 'Borrelia_REV', NULL, NULL, 357, 8),
(25049, NULL, 'PF08673', NULL, NULL, 'Phosphoserine phosphatase RsbU, N-terminal domain', NULL, 'RsbU_N', NULL, NULL, 11637, 8),
(25050, NULL, 'PF07219', NULL, NULL, 'HemY protein N-terminus', NULL, 'HemY_N', NULL, NULL, 11118, 8),
(25051, NULL, 'PF06114', NULL, NULL, 'IrrE N-terminal-like domain', NULL, 'Peptidase_M78', NULL, NULL, 8761, 8),
(25052, NULL, 'PF18780', NULL, NULL, 'Homing endonuclease associated repeat', NULL, 'HNH_repeat', NULL, NULL, 30283, 8),
(25053, NULL, 'PF11853', NULL, NULL, 'Protein of unknown function (DUF3373)', NULL, 'DUF3373', NULL, NULL, 19576, 8),
(25054, NULL, 'PF13834', NULL, NULL, 'Domain of unknown function (DUF4193)', NULL, 'DUF4193', NULL, NULL, 23590, 8),
(25055, NULL, 'PF00540', NULL, NULL, 'gag gene protein p17 (matrix protein)', NULL, 'Gag_p17', NULL, NULL, 3773, 8),
(25056, NULL, 'PF18228', NULL, NULL, 'CdiI N-terminal domain', NULL, 'CdiI_N', NULL, NULL, 29809, 8),
(25057, NULL, 'PF15607', NULL, NULL, 'Bacterial toxin 44', NULL, 'Ntox44', NULL, NULL, 25947, 8),
(25058, NULL, 'PF18443', NULL, NULL, 'Tle cognate immunity protein 4 N-terminal domain', NULL, 'Tli4_N', NULL, NULL, 30956, 8),
(25059, NULL, 'PF15296', NULL, NULL, 'Codanin-1 C-terminus', NULL, 'Codanin-1_C', NULL, NULL, 26292, 8),
(25060, NULL, 'PF14106', NULL, NULL, 'Domain of unknown function (DUF4279)', NULL, 'DUF4279', NULL, NULL, 23254, 8),
(25061, NULL, 'PF05121', NULL, NULL, 'Gas vesicle protein K', NULL, 'GvpK', NULL, NULL, 2182, 8),
(25062, NULL, 'PF12048', NULL, NULL, 'Protein of unknown function (DUF3530)', NULL, 'DUF3530', NULL, NULL, 14800, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25063, NULL, 'PF05431', NULL, NULL, 'Insecticidal Crystal Toxin, P42', NULL, 'Toxin_10', NULL, NULL, 7600, 8),
(25064, NULL, 'PF18839', NULL, NULL, 'Large polyvalent protein associated domain 24', NULL, 'LPD24', NULL, NULL, 31940, 8),
(25065, NULL, 'PF06026', NULL, NULL, 'Ribose 5-phosphate isomerase A (phosphoriboisomerase A)', NULL, 'Rib_5-P_isom_A', NULL, NULL, 5170, 8),
(25066, NULL, 'PF05060', NULL, NULL, 'N-acetylglucosaminyltransferase II (MGAT2)', NULL, 'MGAT2', NULL, NULL, 1032, 8),
(25067, NULL, 'PF12363', NULL, NULL, 'Phage tail assembly chaperone protein, TAC', NULL, 'Phage_TAC_12', NULL, NULL, 22524, 8),
(25068, NULL, 'PF05062', NULL, NULL, 'RICH domain', NULL, 'RICH', NULL, NULL, 1237, 8),
(25069, NULL, 'PF08287', NULL, NULL, 'Spc19', NULL, 'DASH_Spc19', NULL, NULL, 13373, 8),
(25070, NULL, 'PF12677', NULL, NULL, 'Domain of unknown function (DUF3797)', NULL, 'DUF3797', NULL, NULL, 20173, 8),
(25071, NULL, 'PF12266', NULL, NULL, 'Protein of unknown function (DUF3613)', NULL, 'DUF3613', NULL, NULL, 20552, 8),
(25072, NULL, 'PF14638', NULL, NULL, 'Folliculin-interacting protein C-terminus', NULL, 'FNIP_C', NULL, NULL, 23891, 8),
(25073, NULL, 'PF07222', NULL, NULL, 'Proacrosin binding protein sp32', NULL, 'PBP_sp32', NULL, NULL, 14990, 8),
(25074, NULL, 'PF16246', NULL, NULL, 'Domain of unknown function (DUF4903)', NULL, 'DUF4903', NULL, NULL, 25983, 8),
(25075, NULL, 'PF04759', NULL, NULL, 'Protein of unknown function, DUF617', NULL, 'DUF617', NULL, NULL, 6967, 8),
(25076, NULL, 'PF09736', NULL, NULL, 'Pre-mRNA-splicing factor of RES complex', NULL, 'Bud13', NULL, NULL, 16242, 8),
(25077, NULL, 'PF04913', NULL, NULL, 'Baculovirus Y142 protein', NULL, 'Baculo_Y142', NULL, NULL, 6500, 8),
(25078, NULL, 'PF09662', NULL, NULL, 'Phenylphosphate carboxylase gamma subunit (Phenyl_P_gamma)', NULL, 'Phenyl_P_gamma', NULL, NULL, 14337, 8),
(25079, NULL, 'PF14294', NULL, NULL, 'Domain of unknown function (DUF4372)', NULL, 'DUF4372', NULL, NULL, 21936, 8),
(25080, NULL, 'PF16389', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4998', NULL, NULL, NULL, 8),
(25081, NULL, 'PF02761', NULL, NULL, 'CBL proto-oncogene N-terminus, EF hand-like domain', NULL, 'Cbl_N2', NULL, NULL, 14149, 8),
(25082, NULL, 'PF17562', NULL, NULL, 'Styelin', NULL, 'Styelin', NULL, NULL, 34960, 8),
(25083, NULL, 'PF02828', NULL, NULL, 'L27 domain', NULL, 'L27', NULL, NULL, 12810, 8),
(25084, NULL, 'PF12509', NULL, NULL, 'Protein of unknown function (DUF3715)', NULL, 'DUF3715', NULL, NULL, 21035, 8),
(25085, NULL, 'PF14291', NULL, NULL, 'Domain of unknown function (DUF4371)', NULL, 'DUF4371', NULL, NULL, 21723, 8),
(25086, NULL, 'PF17269', NULL, NULL, 'Family of unknown function (DUF5335)', NULL, 'DUF5335', NULL, NULL, 19103, 8),
(25087, NULL, 'PF10599', NULL, NULL, 'Retro-transposon transporting motif', NULL, 'Nup_retrotrp_bd', NULL, NULL, 21483, 8),
(25088, NULL, 'PF19451', NULL, NULL, 'Family of unknown function (DUF5989)', NULL, 'DUF5989', NULL, NULL, 39169, 8),
(25089, NULL, 'PF07681', NULL, NULL, 'DoxX', NULL, 'DoxX', NULL, NULL, 23787, 8),
(25090, NULL, 'PF15116', NULL, NULL, 'CAMPATH-1 antigen', NULL, 'CD52', NULL, NULL, 24451, 8),
(25091, NULL, 'PF15837', NULL, NULL, 'Domain of unknown function (DUF4716)', NULL, 'DUF4716', NULL, NULL, 27261, 8),
(25092, NULL, 'PF08841', NULL, NULL, 'Diol dehydratase reactivase ATPase-like domain', NULL, 'DDR', NULL, NULL, 22301, 8),
(25093, NULL, 'PF16093', NULL, NULL, 'Proteasome assembly chaperone 4', NULL, 'PAC4', NULL, NULL, 28145, 8),
(25094, NULL, 'PF08427', NULL, NULL, 'Domain of unknown function (DUF1741)', NULL, 'DUF1741', NULL, NULL, 11444, 8),
(25095, NULL, 'PF19711', NULL, NULL, 'Family of unknown function (DUF6207)', NULL, 'DUF6207', NULL, NULL, 39739, 8),
(25096, NULL, 'PF11825', NULL, NULL, 'Nuclear/hormone receptor activator site AF-1', NULL, 'Nuc_recep-AF1', NULL, NULL, 19864, 8),
(25097, NULL, 'PF18241', NULL, NULL, 'Flax-rust effector AvrM-A', NULL, 'AvrM-A', NULL, NULL, 34004, 8),
(25098, NULL, 'PF18600', NULL, NULL, 'MCSS domain', NULL, 'Ezh2_MCSS', NULL, NULL, 29524, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25099, NULL, 'PF06898', NULL, NULL, 'Putative stage IV sporulation protein YqfD', NULL, 'YqfD', NULL, NULL, 9310, 8),
(25100, NULL, 'PF11954', NULL, NULL, 'Domain of unknown function (DUF3471)', NULL, 'DUF3471', NULL, NULL, 20460, 8),
(25101, NULL, 'PF13541', NULL, NULL, 'Subunit ChlI of Mg-chelatase', NULL, 'ChlI', NULL, NULL, NULL, 8),
(25102, NULL, 'PF19965', NULL, NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 2', NULL, 'VMAP-M2', NULL, NULL, 39923, 8),
(25103, NULL, 'PF09924', NULL, NULL, 'Phosphatidylglycerol lysyltransferase, C-terminal', NULL, 'LPG_synthase_C', NULL, NULL, 28861, 8),
(25104, NULL, 'PF12517', NULL, NULL, 'Protein of unknown function (DUF3720)', NULL, 'DUF3720', NULL, NULL, 21153, 8),
(25105, NULL, 'PF15796', NULL, NULL, 'KELK-motif containing domain of MRCK Ser/Thr protein kinase', NULL, 'KELK', NULL, NULL, 24924, 8),
(25106, NULL, 'PF16276', NULL, NULL, 'Nucleophosmin C-terminal domain', NULL, 'NPM1-C', NULL, NULL, 22080, 8),
(25107, NULL, 'PF10168', NULL, NULL, 'Nuclear pore component', NULL, 'Nup88', NULL, NULL, 15079, 8),
(25108, NULL, 'PF13972', NULL, NULL, 'Bacterial transcriptional repressor', NULL, 'TetR', NULL, NULL, 27327, 8),
(25109, NULL, 'PF13075', NULL, NULL, 'Protein of unknown function (DUF3939)', NULL, 'DUF3939', NULL, NULL, 23578, 8),
(25110, NULL, 'PF04206', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit E', NULL, 'MtrE', NULL, NULL, 5926, 8),
(25111, NULL, 'PF14679', NULL, NULL, 'FANCI helical domain 1', NULL, 'FANCI_HD1', NULL, NULL, 28630, 8),
(25112, NULL, 'PF11450', NULL, NULL, 'Protein of unknwon function (DUF3008)', NULL, 'DUF3008', NULL, NULL, 18530, 8),
(25113, NULL, 'PF15652', NULL, NULL, 'HNH/Endo VII superfamily toxin with a SHH signature', NULL, 'Tox-SHH', NULL, NULL, 26123, 8),
(25114, NULL, 'PF10724', NULL, NULL, 'Protein of unknown function (DUF2516)', NULL, 'DUF2516', NULL, NULL, 21418, 8),
(25115, NULL, 'PF19384', NULL, NULL, 'Family of unknown function (DUF5959)', NULL, 'DUF5959', NULL, NULL, 39422, 8),
(25116, NULL, 'PF08848', NULL, NULL, 'Domain of unknown function (DUF1818)', NULL, 'DUF1818', NULL, NULL, 14165, 8),
(25117, NULL, 'PF14111', NULL, NULL, 'Domain of unknown function (DUF4283)', NULL, 'DUF4283', NULL, NULL, 23508, 8),
(25118, NULL, 'PF01659', NULL, NULL, 'Luteovirus putative VPg genome linked protein', NULL, 'Luteo_Vpg', NULL, NULL, 4054, 8),
(25119, NULL, 'PF00490', NULL, NULL, 'Delta-aminolevulinic acid dehydratase', NULL, 'ALAD', NULL, NULL, 3056, 8),
(25120, NULL, 'PF06210', NULL, NULL, 'Protein of unknown function (DUF1003)', NULL, 'DUF1003', NULL, NULL, 9683, 8),
(25121, NULL, 'PF04322', NULL, NULL, 'Protein of unknown function (DUF473)', NULL, 'DUF473', NULL, NULL, 3581, 8),
(25122, NULL, 'PF04152', NULL, NULL, 'Mre11 DNA-binding presumed domain', NULL, 'Mre11_DNA_bind', NULL, NULL, 7033, 8),
(25123, NULL, 'PF10932', NULL, NULL, 'Protein of unknown function (DUF2783)', NULL, 'DUF2783', NULL, NULL, 17808, 8),
(25124, NULL, 'PF03927', NULL, NULL, 'NapD protein', NULL, 'NapD', NULL, NULL, 2740, 8),
(25125, NULL, 'PF12350', NULL, NULL, 'CTD kinase subunit gamma CTK3 C-terminus', NULL, 'CTK3_C', NULL, NULL, 13902, 8),
(25126, NULL, 'PF09301', NULL, NULL, 'Domain of unknown function (DUF1970)', NULL, 'DUF1970', NULL, NULL, NULL, 8),
(25127, NULL, 'PF15674', NULL, NULL, 'Coiled-coil domain-containing protein 23', NULL, 'CCDC23', NULL, NULL, 27106, 8),
(25128, NULL, 'PF09119', NULL, NULL, 'SicP binding', NULL, 'SicP-binding', NULL, NULL, 10825, 8),
(25129, NULL, 'PF01761', NULL, NULL, '3-dehydroquinate synthase', NULL, 'DHQ_synthase', NULL, NULL, 26116, 8),
(25130, NULL, 'PF12278', NULL, NULL, 'Sex determination protein N terminal', NULL, 'SDP_N', NULL, NULL, 20828, 8),
(25131, NULL, 'PF15839', NULL, NULL, 'Testis-expressed sequence 29 protein', NULL, 'TEX29', NULL, NULL, 27439, 8),
(25132, NULL, 'PF09028', NULL, NULL, 'Mac 1', NULL, 'Mac-1', NULL, NULL, 9708, 8),
(25133, NULL, 'PF15902', NULL, NULL, 'Sortilin, neurotensin receptor 3,', NULL, 'Sortilin-Vps10', NULL, NULL, 27161, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25134, NULL, 'PF00862', NULL, NULL, 'Sucrose synthase', NULL, 'Sucrose_synth', NULL, NULL, 339, 8),
(25135, NULL, 'PF09313', NULL, NULL, 'Domain of unknown function (DUF1971)', NULL, 'DUF1971', NULL, NULL, 14154, 8),
(25136, NULL, 'PF18995', NULL, NULL, 'Proteolysis_6 C-terminal', NULL, 'PRT6_C', NULL, NULL, 38312, 8),
(25137, NULL, 'PF12730', NULL, NULL, 'ABC-2 family transporter protein', NULL, 'ABC2_membrane_4', NULL, NULL, NULL, 8),
(25138, NULL, 'PF03803', NULL, NULL, 'Scramblase', NULL, 'Scramblase', NULL, NULL, 1684, 8),
(25139, NULL, 'PF19472', NULL, NULL, 'Family of unknown function (DUF6009)', NULL, 'DUF6009', NULL, NULL, 39149, 8),
(25140, NULL, 'PF02919', NULL, NULL, 'Eukaryotic DNA topoisomerase I, DNA binding fragment', NULL, 'Topoisom_I_N', NULL, NULL, 12098, 8),
(25141, NULL, 'PF17744', NULL, NULL, 'Family of unknown function (DUF5581)', NULL, 'DUF5581', NULL, NULL, 36070, 8),
(25142, NULL, 'PF19575', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_58', NULL, NULL, 38782, 8),
(25143, NULL, 'PF11102', NULL, NULL, 'Group 4 capsule polysaccharide lipoprotein gfcB, YjbF', NULL, 'YjbF', NULL, NULL, 17840, 8),
(25144, NULL, 'PF16886', NULL, NULL, 'ATPsynthase alpha/beta subunit N-term extension', NULL, 'ATP-synt_ab_Xtn', NULL, NULL, 23333, 8),
(25145, NULL, 'PF15107', NULL, NULL, 'FAM216B protein family', NULL, 'FAM216B', NULL, NULL, 28157, 8),
(25146, NULL, 'PF06051', NULL, NULL, 'Domain of Unknown Function (DUF928)', NULL, 'DUF928', NULL, NULL, 8947, 8),
(25147, NULL, 'PF03817', NULL, NULL, 'Malonate transporter MadL subunit', NULL, 'MadL', NULL, NULL, 3119, 8),
(25148, NULL, 'PF08897', NULL, NULL, 'Domain of unknown function (DUF1841)', NULL, 'DUF1841', NULL, NULL, 7661, 8),
(25149, NULL, 'PF06193', NULL, NULL, 'Orthopoxvirus A5L protein-like', NULL, 'Orthopox_A5L', NULL, NULL, 9515, 8),
(25150, NULL, 'PF08616', NULL, NULL, 'Stabilization of polarity axis', NULL, 'SPA', NULL, NULL, NULL, 8),
(25151, NULL, 'PF01136', NULL, NULL, 'Peptidase family U32', NULL, 'Peptidase_U32', NULL, NULL, 5768, 8),
(25152, NULL, 'PF06431', NULL, NULL, 'Polyomavirus large T antigen C-terminus', NULL, 'Polyoma_lg_T_C', NULL, NULL, 7514, 8),
(25153, NULL, 'PF09820', NULL, NULL, 'Predicted AAA-ATPase', NULL, 'AAA-ATPase_like', NULL, NULL, 16333, 8),
(25154, NULL, 'PF02510', NULL, NULL, 'Surface presentation of antigens protein', NULL, 'SPAN', NULL, NULL, 6105, 8),
(25155, NULL, 'PF00526', NULL, NULL, 'Dictyostelium (slime mold) repeat', NULL, 'Dicty_CTDC', NULL, NULL, 3084, 8),
(25156, NULL, 'PF01723', NULL, NULL, 'Chorion protein', NULL, 'Chorion_1', NULL, NULL, 2554, 8),
(25157, NULL, 'PF05154', NULL, NULL, 'TM2 domain', NULL, 'TM2', NULL, NULL, 2172, 8),
(25158, NULL, 'PF08961', NULL, NULL, 'Nuclear receptor-binding factor 2, autophagy regulator', NULL, 'NRBF2', NULL, NULL, 8825, 8),
(25159, NULL, 'PF10745', NULL, NULL, 'Protein of unknown function (DUF2530)', NULL, 'DUF2530', NULL, NULL, 20499, 8),
(25160, NULL, 'PF15513', NULL, NULL, 'Domain of unknown function (DUF4651)', NULL, 'DUF4651', NULL, NULL, 26167, 8),
(25161, NULL, 'PF18854', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 10', NULL, 'baeRF_family10', NULL, NULL, 31737, 8),
(25162, NULL, 'PF01770', NULL, NULL, 'Reduced folate carrier', NULL, 'Folate_carrier', NULL, NULL, 2948, 8),
(25163, NULL, 'PF07541', NULL, NULL, 'Eukaryotic translation initiation factor 2 alpha subunit', NULL, 'EIF_2_alpha', NULL, NULL, 12550, 8),
(25164, NULL, 'PF13479', NULL, NULL, 'AAA domain', NULL, 'AAA_24', NULL, NULL, NULL, 8),
(25165, NULL, 'PF17038', NULL, NULL, 'Cellulose biosynthesis protein BcsN', NULL, 'CBP_BcsN', NULL, NULL, 23837, 8),
(25166, NULL, 'PF03743', NULL, NULL, 'Bacterial conjugation TrbI-like protein', NULL, 'TrbI', NULL, NULL, 684, 8),
(25167, NULL, 'PF03223', NULL, NULL, 'V-ATPase subunit C', NULL, 'V-ATPase_C', NULL, NULL, 1539, 8),
(25168, NULL, 'PF00721', NULL, NULL, 'Virus coat protein (TMV like)', NULL, 'TMV_coat', NULL, NULL, 2166, 8),
(25169, NULL, 'PF10566', NULL, NULL, 'Glycoside hydrolase 97', NULL, 'Glyco_hydro_97', NULL, NULL, 19880, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25170, NULL, 'PF16521', NULL, NULL, 'Myosin VI cargo binding domain', NULL, 'Myosin-VI_CBD', NULL, NULL, 24207, 8),
(25171, NULL, 'PF05801', NULL, NULL, 'Lagovirus protein of unknown function (DUF840)', NULL, 'DUF840', NULL, NULL, 13111, 8),
(25172, NULL, 'PF17740', NULL, NULL, 'Family of unknown function (DUF5577)', NULL, 'DUF5577', NULL, NULL, 32801, 8),
(25173, NULL, 'PF17004', NULL, NULL, 'Putative TPR-like repeat', NULL, 'SRP_TPR_like', NULL, NULL, 25203, 8),
(25174, NULL, 'PF03952', NULL, NULL, 'Enolase, N-terminal domain', NULL, 'Enolase_N', NULL, NULL, 14534, 8),
(25175, NULL, 'PF10058', NULL, NULL, 'Predicted integral membrane zinc-ribbon metal-binding protein', NULL, 'zinc_ribbon_10', NULL, NULL, 20219, 8),
(25176, NULL, 'PF11408', NULL, NULL, 'Sgs1 RecQ helicase', NULL, 'Helicase_Sgs1', NULL, NULL, 17265, 8),
(25177, NULL, 'PF10847', NULL, NULL, 'Protein of unknown function (DUF2656)', NULL, 'DUF2656', NULL, NULL, 20116, 8),
(25178, NULL, 'PF11092', NULL, NULL, 'Neuronal protein 3.1 (p311)', NULL, 'Alveol-reg_P311', NULL, NULL, 24548, 8),
(25179, NULL, 'PF18798', NULL, NULL, 'Large polyvalent protein-associated domain 3', NULL, 'LPD3', NULL, NULL, 34532, 8),
(25180, NULL, 'PF04973', NULL, NULL, 'Nicotinamide mononucleotide transporter', NULL, 'NMN_transporter', NULL, NULL, 6528, 8),
(25181, NULL, 'PF13761', NULL, NULL, 'Domain of unknown function (DUF4166)', NULL, 'DUF4166', NULL, NULL, 22644, 8),
(25182, NULL, 'PF02878', NULL, NULL, 'Phosphoglucomutase/phosphomannomutase, alpha/beta/alpha domain I', NULL, 'PGM_PMM_I', NULL, NULL, 5901, 8),
(25183, NULL, 'PF19812', NULL, NULL, 'Family of unknown function (DUF6295)', NULL, 'DUF6295', NULL, NULL, 39942, 8),
(25184, NULL, 'PF03313', NULL, NULL, 'Serine dehydratase alpha chain', NULL, 'SDH_alpha', NULL, NULL, 7380, 8),
(25185, NULL, 'PF13695', NULL, NULL, 'Zinc-binding domain', NULL, 'zf-3CxxC', NULL, NULL, 25199, 8),
(25186, NULL, 'PF11871', NULL, NULL, 'Domain of unknown function (DUF3391)', NULL, 'DUF3391', NULL, NULL, 19767, 8),
(25187, NULL, 'PF08254', NULL, NULL, 'Threonine leader peptide', NULL, 'Leader_Thr', NULL, NULL, 11003, 8),
(25188, NULL, 'PF12481', NULL, NULL, 'Aluminium induced protein', NULL, 'DUF3700', NULL, NULL, 20032, 8),
(25189, NULL, 'PF20003', NULL, NULL, 'FtsH ternary system domain X5', NULL, 'fvmX5', NULL, NULL, 38562, 8),
(25190, NULL, 'PF11835', NULL, NULL, 'RRM-like domain', NULL, 'RRM_8', NULL, NULL, 19931, 8),
(25191, NULL, 'PF06522', NULL, NULL, 'NADH-ubiquinone reductase complex 1 MLRQ subunit', NULL, 'B12D', NULL, NULL, 14788, 8),
(25192, NULL, 'PF19640', NULL, NULL, 'Family of unknown function (DUF6143)', NULL, 'DUF6143', NULL, NULL, 39531, 8),
(25193, NULL, 'PF05177', NULL, NULL, 'RCSD region', NULL, 'RCSD', NULL, NULL, 2451, 8),
(25194, NULL, 'PF00755', NULL, NULL, 'Choline/Carnitine o-acyltransferase', NULL, 'Carn_acyltransf', NULL, NULL, 36191, 8),
(25195, NULL, 'PF05736', NULL, NULL, 'OprF membrane domain', NULL, 'OprF', NULL, NULL, 12023, 8),
(25196, NULL, 'PF14307', NULL, NULL, 'Glycosyltransferase WbsX', NULL, 'Glyco_tran_WbsX', NULL, NULL, 29495, 8),
(25197, NULL, 'PF04982', NULL, NULL, 'HPP family', NULL, 'HPP', NULL, NULL, 6680, 8),
(25198, NULL, 'PF13418', NULL, NULL, 'Galactose oxidase, central domain', NULL, 'Kelch_4', NULL, NULL, NULL, 8),
(25199, NULL, 'PF17366', NULL, NULL, 'A-agglutinin-binding subunit Aga2', NULL, 'AGA2', NULL, NULL, 7517, 8),
(25200, NULL, 'PF02373', NULL, NULL, 'JmjC domain, hydroxylase', NULL, 'JmjC', NULL, NULL, 4329, 8),
(25201, NULL, 'PF12067', NULL, NULL, 'Sox 17/18 central domain', NULL, 'Sox17_18_mid', NULL, NULL, 29818, 8),
(25202, NULL, 'PF14941', NULL, NULL, 'Transcriptional regulator, Out at first', NULL, 'OAF', NULL, NULL, 27752, 8),
(25203, NULL, 'PF14186', NULL, NULL, 'Cytoskeletal adhesion', NULL, 'Aida_C2', NULL, NULL, 24568, 8),
(25204, NULL, 'PF12110', NULL, NULL, 'Nuclear protein 96', NULL, 'Nup96', NULL, NULL, 20529, 8),
(25205, NULL, 'PF13959', NULL, NULL, 'Domain of unknown function (DUF4217)', NULL, 'DUF4217', NULL, NULL, 22545, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25206, NULL, 'PF19912', NULL, NULL, 'Domain of unknown function (DUF6385)', NULL, 'DUF6385', NULL, NULL, 39043, 8),
(25207, NULL, 'PF13837', NULL, NULL, 'Myb/SANT-like DNA-binding domain', NULL, 'Myb_DNA-bind_4', NULL, NULL, 39442, 8),
(25208, NULL, 'PF04072', NULL, NULL, 'Leucine carboxyl methyltransferase', NULL, 'LCM', NULL, NULL, 6292, 8),
(25209, NULL, 'PF13450', NULL, NULL, 'NAD(P)-binding Rossmann-like domain', NULL, 'NAD_binding_8', NULL, NULL, NULL, 8),
(25210, NULL, 'PF17541', NULL, NULL, 'Type VI secretion system, TssC, VipB', NULL, 'TssC', NULL, NULL, 36221, 8),
(25211, NULL, 'PF10728', NULL, NULL, 'Domain of unknown function (DUF2520)', NULL, 'DUF2520', NULL, NULL, 15242, 8),
(25212, NULL, 'PF13839', NULL, NULL, 'GDSL/SGNH-like Acyl-Esterase family found in Pmr5 and Cas1p', NULL, 'PC-Esterase', NULL, NULL, 23962, 8),
(25213, NULL, 'PF06199', NULL, NULL, 'Phage tail tube protein', NULL, 'Phage_tail_2', NULL, NULL, 14288, 8),
(25214, NULL, 'PF11666', NULL, NULL, 'Protein of unknown function (DUF2933)', NULL, 'DUF2933', NULL, NULL, 19327, 8),
(25215, NULL, 'PF11752', NULL, NULL, 'Protein of unknown function (DUF3309)', NULL, 'DUF3309', NULL, NULL, 19638, 8),
(25216, NULL, 'PF12951', NULL, NULL, 'Passenger-associated-transport-repeat', NULL, 'PATR', NULL, NULL, 9345, 8),
(25217, NULL, 'PF08072', NULL, NULL, 'BDHCT (NUC031) domain', NULL, 'BDHCT', NULL, NULL, 12723, 8),
(25218, NULL, 'PF01753', NULL, NULL, 'MYND finger', NULL, 'zf-MYND', NULL, NULL, 6053, 8),
(25219, NULL, 'PF07814', NULL, NULL, 'Wings apart-like protein regulation of heterochromatin', NULL, 'WAPL', NULL, NULL, 11307, 8),
(25220, NULL, 'PF18284', NULL, NULL, 'DNA methylase N-terminal domain', NULL, 'DNA_meth_N', NULL, NULL, 31840, 8),
(25221, NULL, 'PF04690', NULL, NULL, 'YABBY protein', NULL, 'YABBY', NULL, NULL, 3267, 8),
(25222, NULL, 'PF13092', NULL, NULL, 'Kinetochore complex Sim4 subunit Fta1', NULL, 'CENP-L', NULL, NULL, 22104, 8),
(25223, NULL, 'PF07205', NULL, NULL, 'Domain of unknown function (DUF1413)', NULL, 'DUF1413', NULL, NULL, 11044, 8),
(25224, NULL, 'PF03846', NULL, NULL, 'Cell division inhibitor SulA', NULL, 'SulA', NULL, NULL, 828, 8),
(25225, NULL, 'PF00939', NULL, NULL, 'Sodium:sulfate symporter transmembrane region', NULL, 'Na_sulph_symp', NULL, NULL, 2376, 8),
(25226, NULL, 'PF05361', NULL, NULL, 'PKC-activated protein phosphatase-1 inhibitor', NULL, 'PP1_inhibitor', NULL, NULL, 5443, 8),
(25227, NULL, 'PF08315', NULL, NULL, 'cwf18 pre-mRNA splicing factor', NULL, 'cwf18', NULL, NULL, 8804, 8),
(25228, NULL, 'PF02315', NULL, NULL, 'Methanol dehydrogenase beta subunit', NULL, 'MDH', NULL, NULL, 5188, 8),
(25229, NULL, 'PF06429', NULL, NULL, 'Flagellar basal body rod FlgEFG protein C-terminal', NULL, 'Flg_bbr_C', NULL, NULL, 7890, 8),
(25230, NULL, 'PF11928', NULL, NULL, 'Early growth response N-terminal domain', NULL, 'DUF3446', NULL, NULL, 20086, 8),
(25231, NULL, 'PF16538', NULL, NULL, 'Flagellar assembly protein T, C-terminal domain', NULL, 'FlgT_C', NULL, NULL, 26781, 8),
(25232, NULL, 'PF18205', NULL, NULL, 'VPDSG-CTERM motif', NULL, 'VPDSG-CTERM', NULL, NULL, 15778, 8),
(25233, NULL, 'PF03416', NULL, NULL, 'Peptidase family C54', NULL, 'Peptidase_C54', NULL, NULL, 10162, 8),
(25234, NULL, 'PF14526', NULL, NULL, 'Integron-associated effector binding protein', NULL, 'Cass2', NULL, NULL, 27312, 8),
(25235, NULL, 'PF04032', NULL, NULL, 'RNAse P Rpr2/Rpp21/SNM1 subunit domain', NULL, 'Rpr2', NULL, NULL, 886, 8),
(25236, NULL, 'PF07727', NULL, NULL, 'Reverse transcriptase (RNA-dependent DNA polymerase)', NULL, 'RVT_2', NULL, NULL, 18596, 8),
(25237, NULL, 'PF03524', NULL, NULL, 'Conjugal transfer protein', NULL, 'CagX', NULL, NULL, 9241, 8),
(25238, NULL, 'PF04723', NULL, NULL, 'Glycine reductase complex selenoprotein A', NULL, 'GRDA', NULL, NULL, 3580, 8),
(25239, NULL, 'PF09170', NULL, NULL, 'CST, Suppressor of cdc thirteen homolog, complex subunit STN1', NULL, 'STN1_2', NULL, NULL, 12502, 8),
(25240, NULL, 'PF09172', NULL, NULL, 'Domain of unknown function (DUF1943)', NULL, 'DUF1943', NULL, NULL, 12700, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25241, NULL, 'PF03387', NULL, NULL, 'Herpesvirus UL46 protein', NULL, 'Herpes_UL46', NULL, NULL, 2084, 8),
(25242, NULL, 'PF12283', NULL, NULL, 'Bacteriophage protein K', NULL, 'Protein_K', NULL, NULL, 14631, 8),
(25243, NULL, 'PF00455', NULL, NULL, 'DeoR C terminal sensor domain', NULL, 'DeoRC', NULL, NULL, 12192, 8),
(25244, NULL, 'PF03242', NULL, NULL, 'Late embryogenesis abundant protein', NULL, 'LEA_3', NULL, NULL, 1719, 8),
(25245, NULL, 'PF08879', NULL, NULL, 'WRC', NULL, 'WRC', NULL, NULL, 14266, 8),
(25246, NULL, 'PF18978', NULL, NULL, 'Family of unknown function (DUF5714)', NULL, 'DUF5714', NULL, NULL, 38274, 8),
(25247, NULL, 'PF07077', NULL, NULL, 'Protein of unknown function (DUF1345)', NULL, 'DUF1345', NULL, NULL, 13058, 8),
(25248, NULL, 'PF12220', NULL, NULL, 'U1 small nuclear ribonucleoprotein of 70kDa MW N terminal', NULL, 'U1snRNP70_N', NULL, NULL, 20805, 8),
(25249, NULL, 'PF00216', NULL, NULL, 'Bacterial DNA-binding protein', NULL, 'Bac_DNA_binding', NULL, NULL, 1992, 8),
(25250, NULL, 'PF03410', NULL, NULL, 'Metallopeptidase from vaccinia pox', NULL, 'Peptidase_M44', NULL, NULL, 10394, 8),
(25251, NULL, 'PF17513', NULL, NULL, 'Family of unknown function (DUF5441)', NULL, 'DUF5441', NULL, NULL, 16109, 8),
(25252, NULL, 'PF19698', NULL, NULL, 'Family of unknown function (DUF6197)', NULL, 'DUF6197', NULL, NULL, 38843, 8),
(25253, NULL, 'PF10442', NULL, NULL, 'FIST C domain', NULL, 'FIST_C', NULL, NULL, 18925, 8),
(25254, NULL, 'PF18167', NULL, NULL, 'SMODS-associated NUDIX domain', NULL, 'Sa_NUDIX', NULL, NULL, 34951, 8),
(25255, NULL, 'PF15236', NULL, NULL, 'Coiled-coil domain-containing protein 66', NULL, 'CCDC66', NULL, NULL, 29836, 8),
(25256, NULL, 'PF09072', NULL, NULL, 'Translation machinery associated TMA7', NULL, 'TMA7', NULL, NULL, 9743, 8),
(25257, NULL, 'PF18348', NULL, NULL, 'Bacterial dipeptidyl-peptidase Sh3 domain', NULL, 'SH3_16', NULL, NULL, 31894, 8),
(25258, NULL, 'PF10597', NULL, NULL, 'U5-snRNA binding site 2 of PrP8', NULL, 'U5_2-snRNA_bdg', NULL, NULL, 20196, 8),
(25259, NULL, 'PF06006', NULL, NULL, 'Bacterial protein of unknown function (DUF905)', NULL, 'DUF905', NULL, NULL, 13782, 8),
(25260, NULL, 'PF09294', NULL, NULL, 'Interferon-alpha/beta receptor, fibronectin type III', NULL, 'Interfer-bind', NULL, NULL, 14338, 8),
(25261, NULL, 'PF15297', NULL, NULL, 'Cytoskeleton-associated protein 2 C-terminus', NULL, 'CKAP2_C', NULL, NULL, 29363, 8),
(25262, NULL, 'PF14085', NULL, NULL, 'Domain of unknown function (DUF4265)', NULL, 'DUF4265', NULL, NULL, 23301, 8),
(25263, NULL, 'PF01755', NULL, NULL, 'Glycosyltransferase family 25 (LPS biosynthesis protein)', NULL, 'Glyco_transf_25', NULL, NULL, 2966, 8),
(25264, NULL, 'PF11467', NULL, NULL, 'Lens epithelium-derived growth factor (LEDGF)', NULL, 'LEDGF', NULL, NULL, 18661, 8),
(25265, NULL, 'PF00443', NULL, NULL, 'Ubiquitin carboxyl-terminal hydrolase', NULL, 'UCH', NULL, NULL, 7392, 8),
(25266, NULL, 'PF09991', NULL, NULL, 'Predicted membrane protein (DUF2232)', NULL, 'DUF2232', NULL, NULL, 17736, 8),
(25267, NULL, 'PF00211', NULL, NULL, 'Adenylate and Guanylate cyclase catalytic domain', NULL, 'Guanylate_cyc', NULL, NULL, 1424, 8),
(25268, NULL, 'PF07523', NULL, NULL, 'Bacterial Ig-like domain (group 3)', NULL, 'Big_3', NULL, NULL, 20725, 8),
(25269, NULL, 'PF11373', NULL, NULL, 'Protein of unknown function (DUF3175)', NULL, 'DUF3175', NULL, NULL, 18836, 8),
(25270, NULL, 'PF09130', NULL, NULL, 'Domain of unknown function (DUF1932)', NULL, 'DUF1932', NULL, NULL, 8218, 8),
(25271, NULL, 'PF00805', NULL, NULL, 'Pentapeptide repeats (8 copies)', NULL, 'Pentapeptide', NULL, NULL, 5261, 8),
(25272, NULL, 'PF05879', NULL, NULL, 'Root hair defective 3 GTP-binding protein (RHD3)', NULL, 'RHD3', NULL, NULL, 14277, 8),
(25273, NULL, 'PF09086', NULL, NULL, 'Domain of unknown function (DUF1924)', NULL, 'DUF1924', NULL, NULL, 9991, 8),
(25274, NULL, 'PF11919', NULL, NULL, 'Domain of unknown function (DUF3437)', NULL, 'DUF3437', NULL, NULL, 20155, 8),
(25275, NULL, 'PF08510', NULL, NULL, 'PIG-P', NULL, 'PIG-P', NULL, NULL, 14182, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25276, NULL, 'PF12973', NULL, NULL, 'ChrR Cupin-like domain', NULL, 'Cupin_7', NULL, NULL, 28569, 8),
(25277, NULL, 'PF06148', NULL, NULL, 'COG (conserved oligomeric Golgi) complex component, COG2', NULL, 'COG2', NULL, NULL, 28788, 8),
(25278, NULL, 'PF04999', NULL, NULL, 'Cell division protein FtsL', NULL, 'FtsL', NULL, NULL, 11185, 8),
(25279, NULL, 'PF12827', NULL, NULL, 'Peroxisomal biogenesis protein family', NULL, 'Peroxin-22', NULL, NULL, 24589, 8),
(25280, NULL, 'PF17550', NULL, NULL, 'Family of unknown function', NULL, 'PsaF', NULL, NULL, 35395, 8),
(25281, NULL, 'PF05250', NULL, NULL, 'Uncharacterised protein family (UPF0193)', NULL, 'UPF0193', NULL, NULL, 3407, 8),
(25282, NULL, 'PF13815', NULL, NULL, 'Iguana/Dzip1-like DAZ-interacting protein N-terminal', NULL, 'Dzip-like_N', NULL, NULL, 29353, 8),
(25283, NULL, 'PF14302', NULL, NULL, 'Domain of unknown function (DUF4377)', NULL, 'DUF4377', NULL, NULL, 28353, 8),
(25284, NULL, 'PF07399', NULL, NULL, 'Putative Na+/H+ antiporter', NULL, 'Na_H_antiport_3', NULL, NULL, 8296, 8),
(25285, NULL, 'PF01059', NULL, NULL, 'NADH-ubiquinone oxidoreductase chain 4, amino terminus', NULL, 'Oxidored_q5_N', NULL, NULL, 4772, 8),
(25286, NULL, 'PF12063', NULL, NULL, 'Domain of unknown function (DUF3543)', NULL, 'DUF3543', NULL, NULL, 17162, 8),
(25287, NULL, 'PF03142', NULL, NULL, 'Chitin synthase', NULL, 'Chitin_synth_2', NULL, NULL, NULL, 8),
(25288, NULL, 'PF09292', NULL, NULL, 'Endonuclease VIII-like 1, DNA bind', NULL, 'Neil1-DNA_bind', NULL, NULL, 14146, 8),
(25289, NULL, 'PF19697', NULL, NULL, 'Atg11 middle domain', NULL, 'Atg11_middle', NULL, NULL, 38795, 8),
(25290, NULL, 'PF05129', NULL, NULL, 'Transcription elongation factor Elf1 like', NULL, 'Elf1', NULL, NULL, 2133, 8),
(25291, NULL, 'PF05414', NULL, NULL, 'Viral domain of unknown function (DUF1717)', NULL, 'DUF1717', NULL, NULL, 12400, 8),
(25292, NULL, 'PF09810', NULL, NULL, 'Exonuclease V - a 5'' deoxyribonuclease', NULL, 'Exo5', NULL, NULL, 18657, 8),
(25293, NULL, 'PF19431', NULL, NULL, 'MEKK4 N-terminal', NULL, 'MEKK4_N', NULL, NULL, 39862, 8),
(25294, NULL, 'PF19903', NULL, NULL, 'Family of unknown function (DUF6376)', NULL, 'DUF6376', NULL, NULL, 39369, 8),
(25295, NULL, 'PF09083', NULL, NULL, 'Domain of unknown function (DUF1923)', NULL, 'DUF1923', NULL, NULL, 9873, 8),
(25296, NULL, 'PF13463', NULL, NULL, 'Winged helix DNA-binding domain', NULL, 'HTH_27', NULL, NULL, 4858, 8),
(25297, NULL, 'PF19467', NULL, NULL, 'Family of unknown function (DUF6004)', NULL, 'DUF6004', NULL, NULL, 39470, 8),
(25298, NULL, 'PF14318', NULL, NULL, 'Mononegavirales mRNA-capping region V', NULL, 'Mononeg_mRNAcap', NULL, NULL, 28855, 8),
(25299, NULL, 'PF08011', NULL, NULL, 'PD-(D/E)XK nuclease superfamily', NULL, 'PDDEXK_9', NULL, NULL, 8945, 8),
(25300, NULL, 'PF00450', NULL, NULL, 'Serine carboxypeptidase', NULL, 'Peptidase_S10', NULL, NULL, 5398, 8),
(25301, NULL, 'PF02517', NULL, NULL, 'Type II CAAX prenyl endopeptidase Rce1-like', NULL, 'Rce1-like', NULL, NULL, 1144, 8),
(25302, NULL, 'PF04252', NULL, NULL, 'Predicted SAM-dependent RNA methyltransferase', NULL, 'RNA_Me_trans', NULL, NULL, 5521, 8),
(25303, NULL, 'PF03418', NULL, NULL, 'Germination protease', NULL, 'Peptidase_A25', NULL, NULL, 10340, 8),
(25304, NULL, 'PF11327', NULL, NULL, 'Egh16-like virulence factor', NULL, 'Egh16-like', NULL, NULL, 18940, 8),
(25305, NULL, 'PF16108', NULL, NULL, 'Domain of unknown function (DUF4826)', NULL, 'DUF4826', NULL, NULL, 22574, 8),
(25306, NULL, 'PF15011', NULL, NULL, 'Casein Kinase 2 substrate', NULL, 'CK2S', NULL, NULL, 29115, 8),
(25307, NULL, 'PF14119', NULL, NULL, 'Domain of unknown function (DUF4288)', NULL, 'DUF4288', NULL, NULL, 26069, 8),
(25308, NULL, 'PF07326', NULL, NULL, 'Regulator of chromosome segregation 1', NULL, 'RCS1', NULL, NULL, 8131, 8),
(25309, NULL, 'PF13933', NULL, NULL, 'Putative peptidase family', NULL, 'HRXXH', NULL, NULL, 28986, 8),
(25310, NULL, 'PF00618', NULL, NULL, 'RasGEF N-terminal motif', NULL, 'RasGEF_N', NULL, NULL, 6765, 8),
(25311, NULL, 'PF05000', NULL, NULL, 'RNA polymerase Rpb1, domain 4', NULL, 'RNA_pol_Rpb1_4', NULL, NULL, 286, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25312, NULL, 'PF05396', NULL, NULL, 'Phage T7 capsid assembly protein', NULL, 'Phage_T7_Capsid', NULL, NULL, 12148, 8),
(25313, NULL, 'PF19191', NULL, NULL, 'HEF_HK domain', NULL, 'HEF_HK', NULL, NULL, 38427, 8),
(25314, NULL, 'PF18584', NULL, NULL, 'Synaptonemal complex 2 Spt16M-like domain', NULL, 'SYCP2_SLD', NULL, NULL, 29007, 8),
(25315, NULL, 'PF08724', NULL, NULL, 'Rep protein catalytic domain like', NULL, 'Rep_N', NULL, NULL, 11801, 8),
(25316, NULL, 'PF06015', NULL, NULL, 'Chordopoxvirus A30L protein', NULL, 'Chordopox_A30L', NULL, NULL, 13921, 8),
(25317, NULL, 'PF15195', NULL, NULL, 'TMEM210 family', NULL, 'TMEM210', NULL, NULL, 27201, 8),
(25318, NULL, 'PF09354', NULL, NULL, 'HNF3 C-terminal domain', NULL, 'HNF_C', NULL, NULL, 14861, 8),
(25319, NULL, 'PF17531', NULL, NULL, 'outer-membrane spanin sub-unit', NULL, 'O_Spanin_T7', NULL, NULL, 13669, 8),
(25320, NULL, 'PF01603', NULL, NULL, 'Protein phosphatase 2A regulatory B subunit (B56 family)', NULL, 'B56', NULL, NULL, 1710, 8),
(25321, NULL, 'PF05708', NULL, NULL, 'Permuted papain-like amidase enzyme, YaeF/YiiX, C92 family', NULL, 'Peptidase_C92', NULL, NULL, 21698, 8),
(25322, NULL, 'PF03529', NULL, NULL, 'Otx1 transcription factor', NULL, 'TF_Otx', NULL, NULL, 18094, 8),
(25323, NULL, 'PF09436', NULL, NULL, 'Domain of unknown function (DUF2016)', NULL, 'DUF2016', NULL, NULL, 15860, 8),
(25324, NULL, 'PF16971', NULL, NULL, 'Rough colony protein B, tight adherence - tad - subunit', NULL, 'RcpB', NULL, NULL, 23141, 8),
(25325, NULL, 'PF17129', NULL, NULL, 'C-terminal domain of metallo-carboxypeptidase', NULL, 'Peptidase_M99_C', NULL, NULL, 30136, 8),
(25326, NULL, 'PF01939', NULL, NULL, 'Endonuclease NucS', NULL, 'NucS', NULL, NULL, 4898, 8),
(25327, NULL, 'PF02875', NULL, NULL, 'Mur ligase family, glutamate ligase domain', NULL, 'Mur_ligase_C', NULL, NULL, 1889, 8),
(25328, NULL, 'PF06614', NULL, NULL, 'Neuromodulin', NULL, 'Neuromodulin', NULL, NULL, 18743, 8),
(25329, NULL, 'PF12316', NULL, NULL, 'Segment polarity protein dishevelled (Dsh) C terminal', NULL, 'Dsh_C', NULL, NULL, 24114, 8),
(25330, NULL, 'PF09008', NULL, NULL, 'Head binding', NULL, 'Head_binding', NULL, NULL, 6243, 8),
(25331, NULL, 'PF20142', NULL, NULL, 'Scaffold domain', NULL, 'Scaffold', NULL, NULL, 39688, 8),
(25332, NULL, 'PF16167', NULL, NULL, 'Domain of unknown function (DUF4871)', NULL, 'DUF4871', NULL, NULL, 25726, 8),
(25333, NULL, 'PF09531', NULL, NULL, 'Nucleoporin protein Ndc1-Nup', NULL, 'Ndc1_Nup', NULL, NULL, 16543, 8),
(25334, NULL, 'PF14278', NULL, NULL, 'Transcriptional regulator C-terminal region', NULL, 'TetR_C_8', NULL, NULL, 36033, 8),
(25335, NULL, 'PF09561', NULL, NULL, 'HpaII restriction endonuclease', NULL, 'RE_HpaII', NULL, NULL, 16875, 8),
(25336, NULL, 'PF14164', NULL, NULL, 'YqzH-like protein', NULL, 'YqzH', NULL, NULL, 24621, 8),
(25337, NULL, 'PF04013', NULL, NULL, 'Putative SAM-dependent RNA methyltransferase', NULL, 'Methyltrn_RNA_2', NULL, NULL, 151, 8),
(25338, NULL, 'PF11452', NULL, NULL, 'Protein of unknown function (DUF3000)', NULL, 'DUF3000', NULL, NULL, 18937, 8),
(25339, NULL, 'PF14972', NULL, NULL, 'Mitochondrial morphogenesis regulator', NULL, 'Mito_morph_reg', NULL, NULL, 27672, 8),
(25340, NULL, 'PF10070', NULL, NULL, 'Na+-translocating membrane potential-generating system (MpsB)', NULL, 'MpsB', NULL, NULL, 18843, 8),
(25341, NULL, 'PF10298', NULL, NULL, 'WhiA N-terminal LAGLIDADG-like domain', NULL, 'WhiA_N', NULL, NULL, 21688, 8),
(25342, NULL, 'PF16966', NULL, NULL, 'Porin-like glycoporin RafY', NULL, 'Porin_8', NULL, NULL, 18023, 8),
(25343, NULL, 'PF09620', NULL, NULL, 'CRISPR-associated protein (Cas_csx3)', NULL, 'Cas_csx3', NULL, NULL, 9072, 8),
(25344, NULL, 'PF15879', NULL, NULL, 'NADH-ubiquinone oxidoreductase MWFE subunit', NULL, 'MWFE', NULL, NULL, 18256, 8),
(25345, NULL, 'PF09175', NULL, NULL, 'Domain of unknown function (DUF1944)', NULL, 'DUF1944', NULL, NULL, 13000, 8),
(25346, NULL, 'PF13043', NULL, NULL, 'Domain of unknown function (DUF3903)', NULL, 'DUF3903', NULL, NULL, 23963, 8),
(25347, NULL, 'PF02890', NULL, NULL, 'Borrelia family of unknown function DUF226', NULL, 'DUF226', NULL, NULL, 2816, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25348, NULL, 'PF07660', NULL, NULL, 'Secretin and TonB N terminus short domain', NULL, 'STN', NULL, NULL, 10818, 8),
(25349, NULL, 'PF07261', NULL, NULL, 'Replication initiation and membrane attachment', NULL, 'DnaB_2', NULL, NULL, 4612, 8),
(25350, NULL, 'PF03310', NULL, NULL, 'Caulimovirus DNA-binding protein', NULL, 'Cauli_DNA-bind', NULL, NULL, 685, 8),
(25351, NULL, 'PF02271', NULL, NULL, 'Ubiquinol-cytochrome C reductase complex 14kD subunit', NULL, 'UCR_14kD', NULL, NULL, 3284, 8),
(25352, NULL, 'PF05797', NULL, NULL, 'Yeast trans-acting factor (REP1/REP2)', NULL, 'Rep_4', NULL, NULL, 7823, 8),
(25353, NULL, 'PF14182', NULL, NULL, 'YgaB-like protein', NULL, 'YgaB', NULL, NULL, 25234, 8),
(25354, NULL, 'PF10823', NULL, NULL, 'Protein of unknown function (DUF2568)', NULL, 'DUF2568', NULL, NULL, 17956, 8),
(25355, NULL, 'PF12044', NULL, NULL, 'Putative peptidase family', NULL, 'Metallopep', NULL, NULL, 20301, 8),
(25356, NULL, 'PF03538', NULL, NULL, 'Salmonella virulence plasmid 28.1kDa A protein', NULL, 'VRP1', NULL, NULL, 19240, 8),
(25357, NULL, 'PF15179', NULL, NULL, 'Myc target protein 1', NULL, 'Myc_target_1', NULL, NULL, 21563, 8),
(25358, NULL, 'PF19789', NULL, NULL, 'Family of unknown function (DUF6273)', NULL, 'DUF6273', NULL, NULL, 39991, 8),
(25359, NULL, 'PF06069', NULL, NULL, 'PerC transcriptional activator', NULL, 'PerC', NULL, NULL, 25773, 8),
(25360, NULL, 'PF03502', NULL, NULL, 'Nucleoside-specific channel-forming protein, Tsx', NULL, 'Channel_Tsx', NULL, NULL, 18636, 8),
(25361, NULL, 'PF11050', NULL, NULL, 'Virus envelope protein E26', NULL, 'Viral_env_E26', NULL, NULL, 17866, 8),
(25362, NULL, 'PF13033', NULL, NULL, 'Protein of unknown function (DUF3894)', NULL, 'DUF3894', NULL, NULL, 23471, 8),
(25363, NULL, 'PF05639', NULL, NULL, 'Pup-like protein', NULL, 'Pup', NULL, NULL, 12977, 8),
(25364, NULL, 'PF08281', NULL, NULL, 'Sigma-70, region 4', NULL, 'Sigma70_r4_2', NULL, NULL, 13302, 8),
(25365, NULL, 'PF13886', NULL, NULL, 'Domain of unknown function (DUF4203)', NULL, 'DUF4203', NULL, NULL, 23531, 8),
(25366, NULL, 'PF14752', NULL, NULL, 'Retinol binding protein receptor', NULL, 'RBP_receptor', NULL, NULL, NULL, 8),
(25367, NULL, 'PF03036', NULL, NULL, 'Perilipin family', NULL, 'Perilipin', NULL, NULL, 4818, 8),
(25368, NULL, 'PF08468', NULL, NULL, 'Methyltransferase small domain N-terminal', NULL, 'MTS_N', NULL, NULL, 13812, 8),
(25369, NULL, 'PF14040', NULL, NULL, 'Deoxyribonuclease NucA/NucB', NULL, 'DNase_NucA_NucB', NULL, NULL, 28970, 8),
(25370, NULL, 'PF15342', NULL, NULL, 'FAM212 family', NULL, 'FAM212', NULL, NULL, 28603, 8),
(25371, NULL, 'PF01698', NULL, NULL, 'Floricaula / Leafy protein SAM domain', NULL, 'SAM_LFY', NULL, NULL, 31678, 8),
(25372, NULL, 'PF16529', NULL, NULL, 'WD40 region of Ge1, enhancer of mRNA-decapping protein', NULL, 'Ge1_WD40', NULL, NULL, 26976, 8),
(25373, NULL, 'PF03820', NULL, NULL, 'Sideroflexins', NULL, 'SFXNs', NULL, NULL, 3200, 8),
(25374, NULL, 'PF17645', NULL, NULL, 'Arylmalonate decarboxylase', NULL, 'Amdase', NULL, NULL, 26490, 8),
(25375, NULL, 'PF08623', NULL, NULL, 'TATA-binding protein interacting (TIP20)', NULL, 'TIP120', NULL, NULL, 14194, 8),
(25376, NULL, 'PF11146', NULL, NULL, 'Protein of unknown function (DUF2905)', NULL, 'DUF2905', NULL, NULL, 17938, 8),
(25377, NULL, 'PF05586', NULL, NULL, 'Anthrax receptor C-terminus region', NULL, 'Ant_C', NULL, NULL, 7857, 8),
(25378, NULL, 'PF12466', NULL, NULL, 'Glutamate dehydrogenase N terminal', NULL, 'GDH_N', NULL, NULL, 27990, 8),
(25379, NULL, 'PF09088', NULL, NULL, 'MIF4G like', NULL, 'MIF4G_like', NULL, NULL, 9752, 8),
(25380, NULL, 'PF18803', NULL, NULL, 'CxC2 like cysteine cluster associated with KDZ transposases', NULL, 'CxC2', NULL, NULL, 32258, 8),
(25381, NULL, 'PF10955', NULL, NULL, 'Protein of unknown function (DUF2757)', NULL, 'DUF2757', NULL, NULL, 12892, 8),
(25382, NULL, 'PF15929', NULL, NULL, 'Myofilin', NULL, 'Myofilin', NULL, NULL, 27305, 8),
(25383, NULL, 'PF20014', NULL, NULL, 'GTPase-associated protein 1, middle domain', NULL, 'GAP1-M', NULL, NULL, 38437, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25384, NULL, 'PF02455', NULL, NULL, 'Hexon-associated protein (IIIa)', NULL, 'Hex_IIIa', NULL, NULL, 6492, 8),
(25385, NULL, 'PF13726', NULL, NULL, 'Na+-H+ antiporter family', NULL, 'Na_H_antiport_2', NULL, NULL, 22445, 8),
(25386, NULL, 'PF05676', NULL, NULL, 'NADH-ubiquinone oxidoreductase B18 subunit (NDUFB7)', NULL, 'NDUF_B7', NULL, NULL, 13048, 8),
(25387, NULL, 'PF16492', NULL, NULL, 'Cadherin cytoplasmic C-terminal', NULL, 'Cadherin_C_2', NULL, NULL, 23949, 8),
(25388, NULL, 'PF05577', NULL, NULL, 'Serine carboxypeptidase S28', NULL, 'Peptidase_S28', NULL, NULL, 12121, 8),
(25389, NULL, 'PF15176', NULL, NULL, 'Leucine-rich repeat family 19 TM domain', NULL, 'LRR19-TM', NULL, NULL, NULL, 8),
(25390, NULL, 'PF13952', NULL, NULL, 'Domain of unknown function (DUF4216)', NULL, 'DUF4216', NULL, NULL, 22866, 8),
(25391, NULL, 'PF08300', NULL, NULL, 'Hepatitis C virus non-structural 5a zinc finger domain', NULL, 'HCV_NS5a_1a', NULL, NULL, 17897, 8),
(25392, NULL, 'PF00858', NULL, NULL, 'Amiloride-sensitive sodium channel', NULL, 'ASC', NULL, NULL, 4224, 8),
(25393, NULL, 'PF00153', NULL, NULL, 'Mitochondrial carrier protein', NULL, 'Mito_carr', NULL, NULL, 13566, 8),
(25394, NULL, 'PF14699', NULL, NULL, 'N-terminal domain from the human glycogen debranching enzyme', NULL, 'hGDE_N', NULL, NULL, 29238, 8),
(25395, NULL, 'PF10733', NULL, NULL, 'Protein of unknown function (DUF2525)', NULL, 'DUF2525', NULL, NULL, 21728, 8),
(25396, NULL, 'PF16739', NULL, NULL, 'Caspase recruitment domain', NULL, 'CARD_2', NULL, NULL, 23616, 8),
(25397, NULL, 'PF16824', NULL, NULL, 'C-terminal carbohydrate-binding module', NULL, 'CBM_26', NULL, NULL, 27951, 8),
(25398, NULL, 'PF18249', NULL, NULL, 'Calcium binding protein SSO6904', NULL, 'Ca_bind_SSO6904', NULL, NULL, 30311, 8),
(25399, NULL, 'PF07670', NULL, NULL, 'Nucleoside recognition', NULL, 'Gate', NULL, NULL, 10753, 8),
(25400, NULL, 'PF01810', NULL, NULL, 'LysE type translocator', NULL, 'LysE', NULL, NULL, 1368, 8),
(25401, NULL, 'PF04426', NULL, NULL, 'Bul1 C terminus', NULL, 'Bul1_C', NULL, NULL, 17261, 8),
(25402, NULL, 'PF06919', NULL, NULL, 'Phage Gp30.7 protein', NULL, 'Phage_T4_Gp30_7', NULL, NULL, 11987, 8),
(25403, NULL, 'PF03984', NULL, NULL, 'Repeat of unknown function (DUF346)', NULL, 'DUF346', NULL, NULL, 18, 8),
(25404, NULL, 'PF05315', NULL, NULL, 'ICEA Protein', NULL, 'ICEA', NULL, NULL, 4001, 8),
(25405, NULL, 'PF11739', NULL, NULL, 'Dicarboxylate transport', NULL, 'DctA-YdbH', NULL, NULL, 19770, 8),
(25406, NULL, 'PF16396', NULL, NULL, 'Domain of unknown function (DUF5005)', NULL, 'DUF5005', NULL, NULL, 28491, 8),
(25407, NULL, 'PF17805', NULL, NULL, 'AsnC-like ligand binding domain', NULL, 'AsnC_trans_reg2', NULL, NULL, 34262, 8),
(25408, NULL, 'PF00606', NULL, NULL, 'Herpesvirus Glycoprotein B ectodomain', NULL, 'Glycoprotein_B', NULL, NULL, NULL, 8),
(25409, NULL, 'PF08952', NULL, NULL, 'Domain of unknown function (DUF1866)', NULL, 'DUF1866', NULL, NULL, 7852, 8),
(25410, NULL, 'PF18081', NULL, NULL, 'Fanconi anemia-associated nuclease SAP domain', NULL, 'FANC_SAP', NULL, NULL, 29783, 8),
(25411, NULL, 'PF18762', NULL, NULL, 'Serine/Threonine/Tyrosine Kinase found in polyvalent proteins', NULL, 'Kinase-PolyVal', NULL, NULL, 31169, 8),
(25412, NULL, 'PF09169', NULL, NULL, 'BRCA2, helical', NULL, 'BRCA-2_helical', NULL, NULL, 12565, 8),
(25413, NULL, 'PF14000', NULL, NULL, 'DNA packaging protein FI', NULL, 'Packaging_FI', NULL, NULL, 27920, 8),
(25414, NULL, 'PF15969', NULL, NULL, 'Intracellular sensor of Lambda phage, Abi component', NULL, 'RexA', NULL, NULL, 27020, 8),
(25415, NULL, 'PF00043', NULL, NULL, 'Glutathione S-transferase, C-terminal domain', NULL, 'GST_C', NULL, NULL, 633, 8),
(25416, NULL, 'PF18558', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_51', NULL, NULL, 31497, 8),
(25417, NULL, 'PF12347', NULL, NULL, 'Holliday junction regulator protein family C-terminal repeat', NULL, 'HJURP_C', NULL, NULL, 20694, 8),
(25418, NULL, 'PF18560', NULL, NULL, 'Lectin like domain', NULL, 'Lectin_like', NULL, NULL, 34089, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25419, NULL, 'PF15935', NULL, NULL, 'RNase LS, bacterial toxin', NULL, 'RnlA_toxin', NULL, NULL, 27084, 8),
(25420, NULL, 'PF02516', NULL, NULL, 'Oligosaccharyl transferase STT3 subunit', NULL, 'STT3', NULL, NULL, 1004, 8),
(25421, NULL, 'PF08248', NULL, NULL, 'Tryptophyllin-3 skin active peptide', NULL, 'Tryp_FSAP', NULL, NULL, 13268, 8),
(25422, NULL, 'PF00473', NULL, NULL, 'Corticotropin-releasing factor family', NULL, 'CRF', NULL, NULL, 3666, 8),
(25423, NULL, 'PF05254', NULL, NULL, 'Uncharacterised protein family (UPF0203)', NULL, 'UPF0203', NULL, NULL, 3152, 8),
(25424, NULL, 'PF07722', NULL, NULL, 'Peptidase C26', NULL, 'Peptidase_C26', NULL, NULL, 11440, 8),
(25425, NULL, 'PF08441', NULL, NULL, 'Integrin alpha', NULL, 'Integrin_alpha2', NULL, NULL, 12419, 8),
(25426, NULL, 'PF17695', NULL, NULL, 'Family of unknown function (DUF5541)', NULL, 'DUF5541', NULL, NULL, 31077, 8),
(25427, NULL, 'PF12617', NULL, NULL, 'Iron-Sulfur binding protein C terminal', NULL, 'LdpA_C', NULL, NULL, 15243, 8),
(25428, NULL, 'PF04783', NULL, NULL, 'Protein of unknown function (DUF630)', NULL, 'DUF630', NULL, NULL, 4936, 8),
(25429, NULL, 'PF09777', NULL, NULL, 'Osteopetrosis-associated transmembrane protein 1 precursor', NULL, 'OSTMP1', NULL, NULL, 18781, 8),
(25430, NULL, 'PF02899', NULL, NULL, 'Phage integrase, N-terminal SAM-like domain', NULL, 'Phage_int_SAM_1', NULL, NULL, 1758, 8),
(25431, NULL, 'PF16238', NULL, NULL, 'Domain of unknown function (DUF4897)', NULL, 'DUF4897', NULL, NULL, 25797, 8),
(25432, NULL, 'PF04622', NULL, NULL, 'ERG2 and Sigma1 receptor like protein', NULL, 'ERG2_Sigma1R', NULL, NULL, 2225, 8),
(25433, NULL, 'PF02347', NULL, NULL, 'Glycine cleavage system P-protein', NULL, 'GDC-P', NULL, NULL, 19879, 8),
(25434, NULL, 'PF08733', NULL, NULL, 'PalH/RIM21', NULL, 'PalH', NULL, NULL, 11644, 8),
(25435, NULL, 'PF04114', NULL, NULL, 'Gaa1-like, GPI transamidase component', NULL, 'Gaa1', NULL, NULL, 6647, 8),
(25436, NULL, 'PF07724', NULL, NULL, 'AAA domain (Cdc48 subfamily)', NULL, 'AAA_2', NULL, NULL, 7190, 8),
(25437, NULL, 'PF17059', NULL, NULL, 'MgtA leader peptide', NULL, 'MGTL', NULL, NULL, 28460, 8),
(25438, NULL, 'PF09349', NULL, NULL, 'OHCU decarboxylase', NULL, 'OHCU_decarbox', NULL, NULL, 12423, 8),
(25439, NULL, 'PF16372', NULL, NULL, 'Domain of unknown function (DUF4984)', NULL, 'DUF4984', NULL, NULL, 28024, 8),
(25440, NULL, 'PF01047', NULL, NULL, 'MarR family', NULL, 'MarR', NULL, NULL, 4858, 8),
(25441, NULL, 'PF05168', NULL, NULL, 'HEPN domain', NULL, 'HEPN', NULL, NULL, 2418, 8),
(25442, NULL, 'PF10761', NULL, NULL, 'Protein of unknown function (DUF2590)', NULL, 'DUF2590', NULL, NULL, 20691, 8),
(25443, NULL, 'PF16410', NULL, NULL, 'Domain of unknown function (DUF5018)', NULL, 'DUF5018', NULL, NULL, 24574, 8),
(25444, NULL, 'PF13787', NULL, NULL, 'Protein of unknown function with HXXEE motif', NULL, 'HXXEE', NULL, NULL, 25179, 8),
(25445, NULL, 'PF12473', NULL, NULL, 'Kinesin protein', NULL, 'DUF3694', NULL, NULL, 21167, 8),
(25446, NULL, 'PF06926', NULL, NULL, 'Putative replisome organiser protein C-terminus', NULL, 'Rep_Org_C', NULL, NULL, 11877, 8),
(25447, NULL, 'PF14864', NULL, NULL, 'Alkyl sulfatase C-terminal', NULL, 'Alkyl_sulf_C', NULL, NULL, 28814, 8),
(25448, NULL, 'PF17930', NULL, NULL, 'LpxI N-terminal domain', NULL, 'LpxI_N', NULL, NULL, 32329, 8),
(25449, NULL, 'PF00392', NULL, NULL, 'Bacterial regulatory proteins, gntR family', NULL, 'GntR', NULL, NULL, 5846, 8),
(25450, NULL, 'PF01330', NULL, NULL, 'RuvA N terminal domain', NULL, 'RuvA_N', NULL, NULL, 8446, 8),
(25451, NULL, 'PF15589', NULL, NULL, 'Immunity protein 21', NULL, 'Imm21', NULL, NULL, 26163, 8),
(25452, NULL, 'PF14099', NULL, NULL, 'Polysaccharide lyase', NULL, 'Polysacc_lyase', NULL, NULL, 23429, 8),
(25453, NULL, 'PF02724', NULL, NULL, 'CDC45-like protein', NULL, 'CDC45', NULL, NULL, 4024, 8),
(25454, NULL, 'PF16426', NULL, NULL, 'Domain of unknown function (DUF5023)', NULL, 'DUF5023', NULL, NULL, 25857, 8),
(25455, NULL, 'PF07599', NULL, NULL, 'Protein of unknown function (DUF1563)', NULL, 'DUF1563', NULL, NULL, 13863, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25456, NULL, 'PF05942', NULL, NULL, 'Archaeal PaREP1/PaREP8 family', NULL, 'PaREP1', NULL, NULL, 7756, 8),
(25457, NULL, 'PF09655', NULL, NULL, 'Conserved nitrate reductase-associated protein (Nitr_red_assoc)', NULL, 'Nitr_red_assoc', NULL, NULL, 10445, 8),
(25458, NULL, 'PF16003', NULL, NULL, 'Domain of unknown function (DUF4776)', NULL, 'DUF4776', NULL, NULL, 28552, 8),
(25459, NULL, 'PF07685', NULL, NULL, 'CobB/CobQ-like glutamine amidotransferase domain', NULL, 'GATase_3', NULL, NULL, 11439, 8),
(25460, NULL, 'PF10422', NULL, NULL, 'Monopolin complex subunit LRS4', NULL, 'LRS4', NULL, NULL, 21537, 8),
(25461, NULL, 'PF00849', NULL, NULL, 'RNA pseudouridylate synthase', NULL, 'PseudoU_synth_2', NULL, NULL, 11320, 8),
(25462, NULL, 'PF12112', NULL, NULL, 'Protein of unknown function (DUF3579)', NULL, 'DUF3579', NULL, NULL, 20892, 8),
(25463, NULL, 'PF07270', NULL, NULL, 'Protein of unknown function (DUF1438)', NULL, 'DUF1438', NULL, NULL, 14960, 8),
(25464, NULL, 'PF10775', NULL, NULL, 'ATP synthase complex subunit h', NULL, 'ATP_sub_h', NULL, NULL, 21295, 8),
(25465, NULL, 'PF16707', NULL, NULL, 'Cag pathogenicity island protein S of Helicobacter pylori', NULL, 'CagS', NULL, NULL, 24396, 8),
(25466, NULL, 'PF04216', NULL, NULL, 'Protein involved in formate dehydrogenase formation', NULL, 'FdhE', NULL, NULL, 6955, 8),
(25467, NULL, 'PF11465', NULL, NULL, 'Natural killer cell receptor 2B4', NULL, 'Receptor_2B4', NULL, NULL, 16115, 8),
(25468, NULL, 'PF17522', NULL, NULL, 'Family of unknown function (DUF5446)', NULL, 'DUF5446', NULL, NULL, 19622, 8),
(25469, NULL, 'PF13789', NULL, NULL, 'Domain of unknown function (DUF4181)', NULL, 'DUF4181', NULL, NULL, 23146, 8),
(25470, NULL, 'PF15050', NULL, NULL, 'SCIMP protein', NULL, 'SCIMP', NULL, NULL, 21556, 8),
(25471, NULL, 'PF15980', NULL, NULL, 'Putative Competence protein ComGF', NULL, 'ComGF', NULL, NULL, 18396, 8),
(25472, NULL, 'PF20092', NULL, NULL, 'Family of unknown function (DUF6483)', NULL, 'DUF6483', NULL, NULL, 39696, 8),
(25473, NULL, 'PF05679', NULL, NULL, 'Chondroitin N-acetylgalactosaminyltransferase', NULL, 'CHGN', NULL, NULL, 8514, 8),
(25474, NULL, 'PF07750', NULL, NULL, 'GcrA cell cycle regulator', NULL, 'GcrA', NULL, NULL, 10746, 8),
(25475, NULL, 'PF13298', NULL, NULL, 'DNA polymerase Ligase (LigD)', NULL, 'LigD_N', NULL, NULL, 14025, 8),
(25476, NULL, 'PF11285', NULL, NULL, 'Protein of unknown function (DUF3086)', NULL, 'DUF3086', NULL, NULL, 18302, 8),
(25477, NULL, 'PF10602', NULL, NULL, '26S proteasome subunit RPN7', NULL, 'RPN7', NULL, NULL, 39467, 8),
(25478, NULL, 'PF05278', NULL, NULL, 'Arabidopsis phospholipase-like protein (PEARLI 4)', NULL, 'PEARLI-4', NULL, NULL, 4490, 8),
(25479, NULL, 'PF06035', NULL, NULL, 'Bacterial transglutaminase-like cysteine proteinase BTLCP', NULL, 'Peptidase_C93', NULL, NULL, 8513, 8),
(25480, NULL, 'PF06842', NULL, NULL, 'Protein of unknown function (DUF1242)', NULL, 'DUF1242', NULL, NULL, 11134, 8),
(25481, NULL, 'PF19881', NULL, NULL, 'Family of unknown function (DUF6354)', NULL, 'DUF6354', NULL, NULL, 39495, 8),
(25482, NULL, 'PF17664', NULL, NULL, 'Cilia- and flagella-associated protein HOATZ-like', NULL, 'HOATZ-like', NULL, NULL, 30111, 8),
(25483, NULL, 'PF03808', NULL, NULL, 'Glycosyl transferase WecG/TagA/CpsF family', NULL, 'Glyco_tran_WecG', NULL, NULL, 2844, 8),
(25484, NULL, 'PF08635', NULL, NULL, 'Putative oxidoreductase C terminal domain', NULL, 'ox_reductase_C', NULL, NULL, 8265, 8),
(25485, NULL, 'PF00012', NULL, NULL, 'Hsp70 protein', NULL, 'HSP70', NULL, NULL, 18692, 8),
(25486, NULL, 'PF02739', NULL, NULL, '5''-3'' exonuclease, N-terminal resolvase-like domain', NULL, '5_3_exonuc_N', NULL, NULL, 15708, 8),
(25487, NULL, 'PF10302', NULL, NULL, 'DUF2407 ubiquitin-like domain', NULL, 'DUF2407', NULL, NULL, 16594, 8),
(25488, NULL, 'PF17414', NULL, NULL, 'MatP C-terminal ribbon-helix-helix domain', NULL, 'MatP_C', NULL, NULL, 9725, 8),
(25489, NULL, 'PF09447', NULL, NULL, 'Cnl2/NKP2 family protein', NULL, 'Cnl2_NKP2', NULL, NULL, 15796, 8),
(25490, NULL, 'PF14091', NULL, NULL, 'Domain of unknown function (DUF4269)', NULL, 'DUF4269', NULL, NULL, 23265, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25491, NULL, 'PF07576', NULL, NULL, 'BRCA1-associated protein 2', NULL, 'BRAP2', NULL, NULL, 13683, 8),
(25492, NULL, 'PF00580', NULL, NULL, 'UvrD/REP helicase N-terminal domain', NULL, 'UvrD-helicase', NULL, NULL, 9266, 8),
(25493, NULL, 'PF00777', NULL, NULL, 'Glycosyltransferase family 29 (sialyltransferase)', NULL, 'Glyco_transf_29', NULL, NULL, 3016, 8),
(25494, NULL, 'PF10043', NULL, NULL, 'Predicted periplasmic lipoprotein (DUF2279)', NULL, 'DUF2279', NULL, NULL, 18991, 8),
(25495, NULL, 'PF07056', NULL, NULL, 'Protein of unknown function (DUF1335)', NULL, 'DUF1335', NULL, NULL, 12753, 8),
(25496, NULL, 'PF07631', NULL, NULL, 'Protein of unknown function (DUF1592)', NULL, 'PSD4', NULL, NULL, 10403, 8),
(25497, NULL, 'PF06372', NULL, NULL, 'Gemin6 protein', NULL, 'Gemin6', NULL, NULL, 8316, 8),
(25498, NULL, 'PF07613', NULL, NULL, 'Protein of unknown function (DUF1576)', NULL, 'DUF1576', NULL, NULL, 14368, 8),
(25499, NULL, 'PF10295', NULL, NULL, 'Uncharacterised protein (DUF2406)', NULL, 'DUF2406', NULL, NULL, 20209, 8),
(25500, NULL, 'PF00149', NULL, NULL, 'Calcineurin-like phosphoesterase', NULL, 'Metallophos', NULL, NULL, 4621, 8),
(25501, NULL, 'PF06780', NULL, NULL, 'Erp protein C-terminus', NULL, 'Erp_C', NULL, NULL, 1593, 8),
(25502, NULL, 'PF18095', NULL, NULL, 'UPF0242 C-terminal PAS-like domain', NULL, 'PAS_12', NULL, NULL, 29899, 8),
(25503, NULL, 'PF03406', NULL, NULL, 'Phage tail fibre repeat', NULL, 'Phage_fiber_2', NULL, NULL, 2426, 8),
(25504, NULL, 'PF01280', NULL, NULL, 'Ribosomal protein L19e', NULL, 'Ribosomal_L19e', NULL, NULL, 1496, 8),
(25505, NULL, 'PF06544', NULL, NULL, 'Protein of unknown function (DUF1115)', NULL, 'DUF1115', NULL, NULL, 14984, 8),
(25506, NULL, 'PF13984', NULL, NULL, 'MsyB protein', NULL, 'MsyB', NULL, NULL, 23714, 8),
(25507, NULL, 'PF08283', NULL, NULL, 'Geminivirus rep protein central domain', NULL, 'Gemini_AL1_M', NULL, NULL, 14577, 8),
(25508, NULL, 'PF10502', NULL, NULL, 'Signal peptidase, peptidase S26', NULL, 'Peptidase_S26', NULL, NULL, 19140, 8),
(25509, NULL, 'PF02596', NULL, NULL, 'Uncharacterised ArCR, COG2043', NULL, 'DUF169', NULL, NULL, 6026, 8),
(25510, NULL, 'PF05422', NULL, NULL, 'Stress-activated map kinase interacting protein 1 (SIN1)', NULL, 'SIN1', NULL, NULL, 28041, 8),
(25511, NULL, 'PF17756', NULL, NULL, 'RET Cadherin like domain 1', NULL, 'RET_CLD1', NULL, NULL, 31149, 8),
(25512, NULL, 'PF03573', NULL, NULL, 'outer membrane porin, OprD family', NULL, 'OprD', NULL, NULL, 5209, 8),
(25513, NULL, 'PF14333', NULL, NULL, 'Domain of unknown function (DUF4389)', NULL, 'DUF4389', NULL, NULL, 28485, 8),
(25514, NULL, 'PF00195', NULL, NULL, 'Chalcone and stilbene synthases, N-terminal domain', NULL, 'Chal_sti_synt_N', NULL, NULL, 2076, 8),
(25515, NULL, 'PF06939', NULL, NULL, 'Protein of unknown function (DUF1286)', NULL, 'DUF1286', NULL, NULL, 11901, 8),
(25516, NULL, 'PF13206', NULL, NULL, 'Trypanosomal VSG domain', NULL, 'VSG_B', NULL, NULL, 25873, 8),
(25517, NULL, 'PF07055', NULL, NULL, 'Enoyl reductase FAD binding domain', NULL, 'Eno-Rase_FAD_bd', NULL, NULL, 27808, 8),
(25518, NULL, 'PF01242', NULL, NULL, '6-pyruvoyl tetrahydropterin synthase', NULL, 'PTPS', NULL, NULL, 453, 8),
(25519, NULL, 'PF15870', NULL, NULL, 'ElonginA binding-protein 1', NULL, 'EloA-BP1', NULL, NULL, 27105, 8),
(25520, NULL, 'PF01707', NULL, NULL, 'Peptidase family C9', NULL, 'Peptidase_C9', NULL, NULL, 2989, 8),
(25521, NULL, 'PF13863', NULL, NULL, 'Domain of unknown function (DUF4200)', NULL, 'DUF4200', NULL, NULL, 23642, 8),
(25522, NULL, 'PF07927', NULL, NULL, 'HicA toxin of bacterial toxin-antitoxin,', NULL, 'HicA_toxin', NULL, NULL, 8349, 8),
(25523, NULL, 'PF12415', NULL, NULL, 'Poxvirus DNA dependent RNA polymerase', NULL, 'rpo132', NULL, NULL, 22677, 8),
(25524, NULL, 'PF02576', NULL, NULL, 'RimP N-terminal domain', NULL, 'DUF150', NULL, NULL, 22291, 8),
(25525, NULL, 'PF02773', NULL, NULL, 'S-adenosylmethionine synthetase, C-terminal domain', NULL, 'S-AdoMet_synt_C', NULL, NULL, 16629, 8),
(25526, NULL, 'PF09373', NULL, NULL, 'Pseudomurein-binding repeat', NULL, 'PMBR', NULL, NULL, 15082, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25527, NULL, 'PF09873', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2100)', NULL, 'DUF2100', NULL, NULL, 21901, 8),
(25528, NULL, 'PF10261', NULL, NULL, 'Inositol phospholipid synthesis and fat-storage-inducing TM', NULL, 'Scs3p', NULL, NULL, 15523, 8),
(25529, NULL, 'PF11222', NULL, NULL, 'Protein of unknown function (DUF3017)', NULL, 'DUF3017', NULL, NULL, 18339, 8),
(25530, NULL, 'PF00339', NULL, NULL, 'Arrestin (or S-antigen), N-terminal domain', NULL, 'Arrestin_N', NULL, NULL, 9430, 8),
(25531, NULL, 'PF00350', NULL, NULL, 'Dynamin family', NULL, 'Dynamin_N', NULL, NULL, 39039, 8),
(25532, NULL, 'PF02475', NULL, NULL, 'Met-10+ like-protein', NULL, 'Met_10', NULL, NULL, 22121, 8),
(25533, NULL, 'PF05013', NULL, NULL, 'N-formylglutamate amidohydrolase', NULL, 'FGase', NULL, NULL, 1132, 8),
(25534, NULL, 'PF14376', NULL, NULL, 'Haem-binding domain', NULL, 'Haem_bd', NULL, NULL, 27013, 8),
(25535, NULL, 'PF01445', NULL, NULL, 'Viral small hydrophobic protein', NULL, 'SH', NULL, NULL, 6429, 8),
(25536, NULL, 'PF01446', NULL, NULL, 'Replication protein', NULL, 'Rep_1', NULL, NULL, 3138, 8),
(25537, NULL, 'PF13363', NULL, NULL, 'Beta-galactosidase, domain 3', NULL, 'BetaGal_dom3', NULL, NULL, 23097, 8),
(25538, NULL, 'PF15205', NULL, NULL, 'Placenta-specific protein 9', NULL, 'PLAC9', NULL, NULL, 26046, 8),
(25539, NULL, 'PF17114', NULL, NULL, 'Gef2-related medial cortical node protein Nod1', NULL, 'Nod1', NULL, NULL, 22185, 8),
(25540, NULL, 'PF15409', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_8', NULL, NULL, 32409, 8),
(25541, NULL, 'PF18278', NULL, NULL, 'Receptor activator of the NF-KB cysteine-rich repeat domain 2', NULL, 'RANK_CRD_2', NULL, NULL, 32658, 8),
(25542, NULL, 'PF11714', NULL, NULL, 'Thrombin inhibitor Madanin', NULL, 'Inhibitor_I53', NULL, NULL, 19971, 8),
(25543, NULL, 'PF04204', NULL, NULL, 'Homoserine O-succinyltransferase', NULL, 'HTS', NULL, NULL, 32568, 8),
(25544, NULL, 'PF00121', NULL, NULL, 'Triosephosphate isomerase', NULL, 'TIM', NULL, NULL, 4335, 8),
(25545, NULL, 'PF01923', NULL, NULL, 'Cobalamin adenosyltransferase', NULL, 'Cob_adeno_trans', NULL, NULL, 9003, 8),
(25546, NULL, 'PF16590', NULL, NULL, 'Exocrine gland-secreting peptide', NULL, 'ESP', NULL, NULL, 25376, 8),
(25547, NULL, 'PF06536', NULL, NULL, 'Avian adenovirus fibre, N-terminal', NULL, 'Av_adeno_fibre', NULL, NULL, 14750, 8),
(25548, NULL, 'PF09053', NULL, NULL, 'CagZ', NULL, 'CagZ', NULL, NULL, 9767, 8),
(25549, NULL, 'PF13291', NULL, NULL, 'ACT domain', NULL, 'ACT_4', NULL, NULL, 6456, 8),
(25550, NULL, 'PF11507', NULL, NULL, 'Ebola virus-specific transcription factor VP30', NULL, 'Transcript_VP30', NULL, NULL, 9684, 8),
(25551, NULL, 'PF01380', NULL, NULL, 'SIS domain', NULL, 'SIS', NULL, NULL, 7053, 8),
(25552, NULL, 'PF13059', NULL, NULL, 'Protein of unknown function (DUF3992)', NULL, 'DUF3922', NULL, NULL, 23557, 8),
(25553, NULL, 'PF18890', NULL, NULL, 'FANCL UBC-like domain 2', NULL, 'FANCL_d2', NULL, NULL, 37313, 8),
(25554, NULL, 'PF18189', NULL, NULL, 'TbRIF5 SNase domain 2', NULL, 'RIF5_SNase_2', NULL, NULL, 34108, 8),
(25555, NULL, 'PF16044', NULL, NULL, 'Domain of unknown function (DUF4796)', NULL, 'DUF4796', NULL, NULL, 27635, 8),
(25556, NULL, 'PF02809', NULL, NULL, 'Ubiquitin interaction motif', NULL, 'UIM', NULL, NULL, 4184, 8),
(25557, NULL, 'PF17948', NULL, NULL, 'DnaT DNA-binding domain', NULL, 'DnaT', NULL, NULL, 30052, 8),
(25558, NULL, 'PF04342', NULL, NULL, 'Putative member of DMT superfamily (DUF486)', NULL, 'DMT_6', NULL, NULL, 3619, 8),
(25559, NULL, 'PF13080', NULL, NULL, 'Protein of unknown function (DUF3926)', NULL, 'DUF3926', NULL, NULL, 23895, 8),
(25560, NULL, 'PF12774', NULL, NULL, 'Hydrolytic ATP binding site of dynein motor region', NULL, 'AAA_6', NULL, NULL, 34297, 8),
(25561, NULL, 'PF17738', NULL, NULL, 'Family of unknown function (DUF5575)', NULL, 'DUF5575', NULL, NULL, 35146, 8),
(25562, NULL, 'PF17975', NULL, NULL, 'Ribonucleotide reductase alpha domain', NULL, 'RNR_Alpha', NULL, NULL, 30650, 8),
(25563, NULL, 'PF18355', NULL, NULL, 'Domain of unknown function (DUF5607)', NULL, 'DUF5607', NULL, NULL, 32263, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25564, NULL, 'PF09716', NULL, NULL, 'Malarial early transcribed membrane protein (ETRAMP)', NULL, 'ETRAMP', NULL, NULL, 5915, 8),
(25565, NULL, 'PF12095', NULL, NULL, 'Protein CHLORORESPIRATORY REDUCTION 7', NULL, 'CRR7', NULL, NULL, 20826, 8),
(25566, NULL, 'PF05417', NULL, NULL, 'Hepatitis E cysteine protease', NULL, 'Peptidase_C41', NULL, NULL, 12173, 8),
(25567, NULL, 'PF17866', NULL, NULL, 'AAA lid domain', NULL, 'AAA_lid_6', NULL, NULL, 32700, 8),
(25568, NULL, 'PF03195', NULL, NULL, 'Lateral organ boundaries (LOB) domain', NULL, 'LOB', NULL, NULL, 7216, 8),
(25569, NULL, 'PF10640', NULL, NULL, 'mRNA capping enzyme N-terminal, ATPase and guanylyltransferase', NULL, 'Pox_ATPase-GT', NULL, NULL, 20097, 8),
(25570, NULL, 'PF04693', NULL, NULL, 'Archaeal putative transposase ISC1217', NULL, 'DDE_Tnp_2', NULL, NULL, 3257, 8),
(25571, NULL, 'PF06804', NULL, NULL, 'NlpB/DapX lipoprotein', NULL, 'Lipoprotein_18', NULL, NULL, 9289, 8),
(25572, NULL, 'PF08456', NULL, NULL, 'Viral methyltransferase C-terminal', NULL, 'Vmethyltransf_C', NULL, NULL, 12234, 8),
(25573, NULL, 'PF13015', NULL, NULL, 'Glucosidase II beta subunit-like protein', NULL, 'PRKCSH_1', NULL, NULL, 30166, 8),
(25574, NULL, 'PF02593', NULL, NULL, 'Domain of unknown function', NULL, 'DUF166', NULL, NULL, 2425, 8),
(25575, NULL, 'PF09691', NULL, NULL, 'Type II secretion system pilotin lipoprotein (PulS_OutS)', NULL, 'T2SS_PulS_OutS', NULL, NULL, 17571, 8),
(25576, NULL, 'PF07683', NULL, NULL, 'Cobalamin synthesis protein cobW C-terminal domain', NULL, 'CobW_C', NULL, NULL, 10652, 8),
(25577, NULL, 'PF04963', NULL, NULL, 'Sigma-54 factor, core binding domain', NULL, 'Sigma54_CBD', NULL, NULL, 6767, 8),
(25578, NULL, 'PF09131', NULL, NULL, 'Bacillus thuringiensis delta-Endotoxin, middle domain', NULL, 'Endotoxin_mid', NULL, NULL, 10758, 8),
(25579, NULL, 'PF00895', NULL, NULL, 'ATP synthase protein 8', NULL, 'ATP-synt_8', NULL, NULL, 6683, 8),
(25580, NULL, 'PF18194', NULL, NULL, 'Exoribonuclease 1 Domain-3', NULL, 'Xrn1_D3', NULL, NULL, 30484, 8),
(25581, NULL, 'PF00628', NULL, NULL, 'PHD-finger', NULL, 'PHD', NULL, NULL, 15146, 8),
(25582, NULL, 'PF08789', NULL, NULL, 'PBCV-specific basic adaptor domain', NULL, 'PBCV_basic_adap', NULL, NULL, 13242, 8),
(25583, NULL, 'PF04133', NULL, NULL, 'Vacuolar protein sorting 55', NULL, 'Vps55', NULL, NULL, 6534, 8),
(25584, NULL, 'PF05191', NULL, NULL, 'Adenylate kinase, active site lid', NULL, 'ADK_lid', NULL, NULL, 3286, 8),
(25585, NULL, 'PF10614', NULL, NULL, 'Type VIII secretion system (T8SS), CsgF protein', NULL, 'CsgF', NULL, NULL, 21225, 8),
(25586, NULL, 'PF13874', NULL, NULL, 'Nucleoporin complex subunit 54', NULL, 'Nup54', NULL, NULL, 25377, 8),
(25587, NULL, 'PF13530', NULL, NULL, 'Sterol carrier protein domain', NULL, 'SCP2_2', NULL, NULL, 24966, 8),
(25588, NULL, 'PF16622', NULL, NULL, 'zinc-finger C2H2-type', NULL, 'zf-C2H2_11', NULL, NULL, 32664, 8),
(25589, NULL, 'PF19821', NULL, NULL, 'Phage capsid protein', NULL, 'Phage_capsid_2', NULL, NULL, 39951, 8),
(25590, NULL, 'PF14877', NULL, NULL, 'Mitochondrial translation initiation factor', NULL, 'mIF3', NULL, NULL, 21673, 8),
(25591, NULL, 'PF04359', NULL, NULL, 'Protein of unknown function (DUF493)', NULL, 'DUF493', NULL, NULL, 4889, 8),
(25592, NULL, 'PF16322', NULL, NULL, 'Tubby N-terminal', NULL, 'Tub_N', NULL, NULL, 7483, 8),
(25593, NULL, 'PF16488', NULL, NULL, 'Argonaute linker 2 domain', NULL, 'ArgoL2', NULL, NULL, 22029, 8),
(25594, NULL, 'PF00557', NULL, NULL, 'Metallopeptidase family M24', NULL, 'Peptidase_M24', NULL, NULL, 3261, 8),
(25595, NULL, 'PF02936', NULL, NULL, 'Cytochrome c oxidase subunit IV', NULL, 'COX4', NULL, NULL, 2947, 8),
(25596, NULL, 'PF01586', NULL, NULL, 'Myogenic Basic domain', NULL, 'Basic', NULL, NULL, 1530, 8),
(25597, NULL, 'PF06721', NULL, NULL, 'Protein of unknown function (DUF1204)', NULL, 'DUF1204', NULL, NULL, 1547, 8),
(25598, NULL, 'PF06840', NULL, NULL, 'Protein of unknown function (DUF1241)', NULL, 'DUF1241', NULL, NULL, NULL, 8),
(25599, NULL, 'PF03991', NULL, NULL, 'Copper binding octapeptide repeat', NULL, 'Prion_octapep', NULL, NULL, 14735, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25600, NULL, 'PF06223', NULL, NULL, 'Minor tail protein T', NULL, 'Phage_tail_T', NULL, NULL, 14996, 8),
(25601, NULL, 'PF18506', NULL, NULL, 'RelB Antitoxin alpha helical domain', NULL, 'RelB_N', NULL, NULL, NULL, 8),
(25602, NULL, 'PF02140', NULL, NULL, 'Galactose binding lectin domain', NULL, 'Gal_Lectin', NULL, NULL, 329, 8),
(25603, NULL, 'PF05067', NULL, NULL, 'Manganese containing catalase', NULL, 'Mn_catalase', NULL, NULL, 1494, 8),
(25604, NULL, 'PF20158', NULL, NULL, 'Cas5fv helical domain', NULL, 'Cas5fv_helical', NULL, NULL, 38365, 8),
(25605, NULL, 'PF12091', NULL, NULL, 'Protein of unknown function (DUF3567)', NULL, 'DUF3567', NULL, NULL, 20591, 8),
(25606, NULL, 'PF08463', NULL, NULL, 'EcoEI R protein C-terminal', NULL, 'EcoEI_R_C', NULL, NULL, 13760, 8),
(25607, NULL, 'PF03772', NULL, NULL, 'Competence protein', NULL, 'Competence', NULL, NULL, 7499, 8),
(25608, NULL, 'PF14916', NULL, NULL, 'Coiled-coil domain of unknown function', NULL, 'CCDC92', NULL, NULL, 31229, 8),
(25609, NULL, 'PF17555', NULL, NULL, 'Type VI secretion system, TssN', NULL, 'TssN', NULL, NULL, 35110, 8),
(25610, NULL, 'PF13160', NULL, NULL, 'Protein of unknown function (DUF3995)', NULL, 'DUF3995', NULL, NULL, 23853, 8),
(25611, NULL, 'PF10209', NULL, NULL, 'Uncharacterized conserved protein (DUF2340)', NULL, 'DUF2340', NULL, NULL, 19377, 8),
(25612, NULL, 'PF20138', NULL, NULL, 'Family of unknown function (DUF6528)', NULL, 'DUF6528', NULL, NULL, 38362, 8),
(25613, NULL, 'PF11508', NULL, NULL, 'Protein of unknown function (DUF3218)', NULL, 'DUF3218', NULL, NULL, 19217, 8),
(25614, NULL, 'PF17166', NULL, NULL, 'Domain of unknown function (DUF5126)', NULL, 'DUF5126', NULL, NULL, 35009, 8),
(25615, NULL, 'PF06110', NULL, NULL, 'Eukaryotic protein of unknown function (DUF953)', NULL, 'DUF953', NULL, NULL, 8826, 8),
(25616, NULL, 'PF06984', NULL, NULL, 'Mitochondrial 39-S ribosomal protein L47 (MRP-L47)', NULL, 'MRP-L47', NULL, NULL, 10328, 8),
(25617, NULL, 'PF13259', NULL, NULL, 'Protein of unknown function (DUF4050)', NULL, 'DUF4050', NULL, NULL, 23617, 8),
(25618, NULL, 'PF00837', NULL, NULL, 'Iodothyronine deiodinase', NULL, 'T4_deiodinase', NULL, NULL, 4382, 8),
(25619, NULL, 'PF12813', NULL, NULL, 'XPG domain containing', NULL, 'XPG_I_2', NULL, NULL, 35805, 8),
(25620, NULL, 'PF14663', NULL, NULL, 'Rapamycin-insensitive companion of mTOR RasGEF_N domain', NULL, 'RasGEF_N_2', NULL, NULL, 24958, 8),
(25621, NULL, 'PF12658', NULL, NULL, 'Telomere capping, CST complex subunit', NULL, 'Ten1', NULL, NULL, 20534, 8),
(25622, NULL, 'PF05261', NULL, NULL, 'TraM protein, DNA-binding', NULL, 'Tra_M', NULL, NULL, 3453, 8),
(25623, NULL, 'PF11959', NULL, NULL, 'Domain of unknown function (DUF3473)', NULL, 'DUF3473', NULL, NULL, 16707, 8),
(25624, NULL, 'PF05523', NULL, NULL, 'WxcM-like, C-terminal', NULL, 'FdtA', NULL, NULL, 7567, 8),
(25625, NULL, 'PF08402', NULL, NULL, 'TOBE domain', NULL, 'TOBE_2', NULL, NULL, 11477, 8),
(25626, NULL, 'PF16741', NULL, NULL, 'mRNA-decapping enzyme C-terminus', NULL, 'mRNA_decap_C', NULL, NULL, 23918, 8),
(25627, NULL, 'PF03087', NULL, NULL, 'Arabidopsis protein of unknown function', NULL, 'DUF241', NULL, NULL, 4538, 8),
(25628, NULL, 'PF01214', NULL, NULL, 'Casein kinase II regulatory subunit', NULL, 'CK_II_beta', NULL, NULL, 6657, 8),
(25629, NULL, 'PF10004', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2247)', NULL, 'DUF2247', NULL, NULL, 19554, 8),
(25630, NULL, 'PF12831', NULL, NULL, 'FAD dependent oxidoreductase', NULL, 'FAD_oxidored', NULL, NULL, NULL, 8),
(25631, NULL, 'PF06020', NULL, NULL, 'Drosophila roughex protein', NULL, 'Roughex', NULL, NULL, 13591, 8),
(25632, NULL, 'PF08815', NULL, NULL, 'Nuclear receptor coactivator', NULL, 'Nuc_rec_co-act', NULL, NULL, 13488, 8),
(25633, NULL, 'PF08047', NULL, NULL, 'Histidine operon leader peptide', NULL, 'His_leader', NULL, NULL, 9790, 8),
(25634, NULL, 'PF05021', NULL, NULL, 'NPL4 family', NULL, 'NPL4', NULL, NULL, 1166, 8),
(25635, NULL, 'PF12194', NULL, NULL, 'Protein kinase Fus3-binding', NULL, 'Ste5_C', NULL, NULL, 18835, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25636, NULL, 'PF00800', NULL, NULL, 'Prephenate dehydratase', NULL, 'PDT', NULL, NULL, 4404, 8),
(25637, NULL, 'PF03299', NULL, NULL, 'Transcription factor AP-2', NULL, 'TF_AP-2', NULL, NULL, 11692, 8),
(25638, NULL, 'PF01337', NULL, NULL, 'Barstar (barnase inhibitor)', NULL, 'Barstar', NULL, NULL, 5656, 8),
(25639, NULL, 'PF09876', NULL, NULL, 'Predicted metal-binding protein (DUF2103)', NULL, 'DUF2103', NULL, NULL, 16998, 8),
(25640, NULL, 'PF19430', NULL, NULL, 'TBC1 domain family member 23 C-terminal', NULL, 'TBC1D23_C', NULL, NULL, 39798, 8),
(25641, NULL, 'PF00578', NULL, NULL, 'AhpC/TSA family', NULL, 'AhpC-TSA', NULL, NULL, 712, 8),
(25642, NULL, 'PF07622', NULL, NULL, 'Protein of unknown function (DUF1583)', NULL, 'DUF1583', NULL, NULL, 14278, 8),
(25643, NULL, 'PF12227', NULL, NULL, 'Protein of unknown function (DUF3603)', NULL, 'DUF3603', NULL, NULL, 14936, 8),
(25644, NULL, 'PF14183', NULL, NULL, 'YwpF-like protein', NULL, 'YwpF', NULL, NULL, 25441, 8),
(25645, NULL, 'PF01663', NULL, NULL, 'Type I phosphodiesterase / nucleotide pyrophosphatase', NULL, 'Phosphodiest', NULL, NULL, 1788, 8),
(25646, NULL, 'PF09515', NULL, NULL, 'Thiamine transporter protein (Thia_YuaJ)', NULL, 'Thia_YuaJ', NULL, NULL, 10549, 8),
(25647, NULL, 'PF15880', NULL, NULL, 'NADH dehydrogenase [ubiquinone] flavoprotein 3, mitochondrial', NULL, 'NDUFV3', NULL, NULL, 26762, 8),
(25648, NULL, 'PF04086', NULL, NULL, 'Signal recognition particle, alpha subunit, N-terminal', NULL, 'SRP-alpha_N', NULL, NULL, 6261, 8),
(25649, NULL, 'PF14676', NULL, NULL, 'FANCI solenoid 2', NULL, 'FANCI_S2', NULL, NULL, 28748, 8),
(25650, NULL, 'PF19238', NULL, NULL, 'Radical SAM-like domain', NULL, 'Radical_SAM_2', NULL, NULL, 39530, 8),
(25651, NULL, 'PF18102', NULL, NULL, 'Deltex C-terminal domain', NULL, 'DTC', NULL, NULL, 35803, 8),
(25652, NULL, 'PF04901', NULL, NULL, 'Receptor activity modifying family', NULL, 'RAMP', NULL, NULL, 5857, 8),
(25653, NULL, 'PF07764', NULL, NULL, 'Omega Transcriptional Repressor', NULL, 'Omega_Repress', NULL, NULL, 10958, 8),
(25654, NULL, 'PF09907', NULL, NULL, 'HigB_toxin, RelE-like toxic component of a toxin-antitoxin system', NULL, 'HigB_toxin', NULL, NULL, 17474, 8),
(25655, NULL, 'PF02209', NULL, NULL, 'Villin headpiece domain', NULL, 'VHP', NULL, NULL, 1769, 8),
(25656, NULL, 'PF12705', NULL, NULL, 'PD-(D/E)XK nuclease superfamily', NULL, 'PDDEXK_1', NULL, NULL, 34463, 8),
(25657, NULL, 'PF13848', NULL, NULL, 'Thioredoxin-like domain', NULL, 'Thioredoxin_6', NULL, NULL, NULL, 8),
(25658, NULL, 'PF00692', NULL, NULL, 'dUTPase', NULL, 'dUTPase', NULL, NULL, 21945, 8),
(25659, NULL, 'PF11592', NULL, NULL, 'Central core of the bacterial effector protein AvrPto', NULL, 'AvrPto', NULL, NULL, 20786, 8),
(25660, NULL, 'PF18510', NULL, NULL, 'Nuclease domain', NULL, 'NUC', NULL, NULL, 35820, 8),
(25661, NULL, 'PF14781', NULL, NULL, 'Ciliary BBSome complex subunit 2, N-terminal', NULL, 'BBS2_N', NULL, NULL, 21979, 8),
(25662, NULL, 'PF13749', NULL, NULL, 'Putative ATP-dependent DNA helicase recG C-terminal', NULL, 'HATPase_c_4', NULL, NULL, 25022, 8),
(25663, NULL, 'PF10393', NULL, NULL, 'Trimeric coiled-coil oligomerisation domain of matrilin', NULL, 'Matrilin_ccoil', NULL, NULL, 17926, 8),
(25664, NULL, 'PF02264', NULL, NULL, 'LamB porin', NULL, 'LamB', NULL, NULL, 3251, 8),
(25665, NULL, 'PF00190', NULL, NULL, 'Cupin', NULL, 'Cupin_1', NULL, NULL, 2674, 8),
(25666, NULL, 'PF16988', NULL, NULL, 'Vacuolar protein sorting 36 NZF-N zinc-finger domain', NULL, 'Vps36-NZF-N', NULL, NULL, 25416, 8),
(25667, NULL, 'PF17918', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_15', NULL, NULL, 32667, 8),
(25668, NULL, 'PF05547', NULL, NULL, 'Immune inhibitor A peptidase M6', NULL, 'Peptidase_M6', NULL, NULL, 12384, 8),
(25669, NULL, 'PF14476', NULL, NULL, 'Petal formation-expressed', NULL, 'Chloroplast_duf', NULL, NULL, 23759, 8),
(25670, NULL, 'PF01198', NULL, NULL, 'Ribosomal protein L31e', NULL, 'Ribosomal_L31e', NULL, NULL, 2559, 8),
(25671, NULL, 'PF13640', NULL, NULL, '2OG-Fe(II) oxygenase superfamily', NULL, '2OG-FeII_Oxy_3', NULL, NULL, 38816, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25672, NULL, 'PF00059', NULL, NULL, 'Lectin C-type domain', NULL, 'Lectin_C', NULL, NULL, 207, 8),
(25673, NULL, 'PF01609', NULL, NULL, 'Transposase DDE domain', NULL, 'DDE_Tnp_1', NULL, NULL, 1831, 8),
(25674, NULL, 'PF10972', NULL, NULL, 'Peptidoglycan-binding protein, CsiV', NULL, 'CsiV', NULL, NULL, 17709, 8),
(25675, NULL, 'PF06573', NULL, NULL, 'Churchill protein', NULL, 'Churchill', NULL, NULL, 9336, 8),
(25676, NULL, 'PF14229', NULL, NULL, 'Domain of unknown function (DUF4332)', NULL, 'DUF4332', NULL, NULL, 23972, 8),
(25677, NULL, 'PF15081', NULL, NULL, 'Domain of unknown function (DUF4548)', NULL, 'DUF4548', NULL, NULL, 28144, 8),
(25678, NULL, 'PF19187', NULL, NULL, 'PafC helix-turn-helix domain', NULL, 'HTH_PafC', NULL, NULL, 37741, 8),
(25679, NULL, 'PF01206', NULL, NULL, 'Sulfurtransferase TusA', NULL, 'TusA', NULL, NULL, 3116, 8),
(25680, NULL, 'PF12926', NULL, NULL, 'Mitotic-spindle organizing gamma-tubulin ring associated', NULL, 'MOZART2', NULL, NULL, 25735, 8),
(25681, NULL, 'PF19464', NULL, NULL, 'Family of unknown function (DUF6001)', NULL, 'DUF6001', NULL, NULL, 39298, 8),
(25682, NULL, 'PF07591', NULL, NULL, 'Pretoxin HINT domain', NULL, 'PT-HINT', NULL, NULL, NULL, 8),
(25683, NULL, 'PF18986', NULL, NULL, 'Family of unknown function (DUF5719)', NULL, 'DUF5719', NULL, NULL, 38103, 8),
(25684, NULL, 'PF03712', NULL, NULL, 'Copper type II ascorbate-dependent monooxygenase, C-terminal domain', NULL, 'Cu2_monoox_C', NULL, NULL, 23476, 8),
(25685, NULL, 'PF08163', NULL, NULL, 'NUC194 domain', NULL, 'NUC194', NULL, NULL, 9738, 8),
(25686, NULL, 'PF09830', NULL, NULL, 'ATP adenylyltransferase C-terminal domain', NULL, 'ATP_transf', NULL, NULL, 19037, 8),
(25687, NULL, 'PF01584', NULL, NULL, 'CheW-like domain', NULL, 'CheW', NULL, NULL, 1847, 8),
(25688, NULL, 'PF07486', NULL, NULL, 'Cell Wall Hydrolase', NULL, 'Hydrolase_2', NULL, NULL, 11011, 8),
(25689, NULL, 'PF19224', NULL, NULL, 'pATOM36 family', NULL, 'pATOM36', NULL, NULL, 37785, 8),
(25690, NULL, 'PF15921', NULL, NULL, 'Coiled-coil domain-containing protein 158', NULL, 'CCDC158', NULL, NULL, 27362, 8),
(25691, NULL, 'PF13334', NULL, NULL, 'Domain of unknown function (DUF4094)', NULL, 'DUF4094', NULL, NULL, 27724, 8),
(25692, NULL, 'PF13723', NULL, NULL, 'Beta-ketoacyl synthase, N-terminal domain', NULL, 'Ketoacyl-synt_2', NULL, NULL, 12702, 8),
(25693, NULL, 'PF06503', NULL, NULL, 'Protein of unknown function (DUF1101)', NULL, 'DUF1101', NULL, NULL, 12130, 8),
(25694, NULL, 'PF09211', NULL, NULL, 'Domain of unknown function (DUF1958)', NULL, 'DUF1958', NULL, NULL, 12524, 8),
(25695, NULL, 'PF16300', NULL, NULL, 'Type of WD40 repeat', NULL, 'WD40_4', NULL, NULL, NULL, 8),
(25696, NULL, 'PF00168', NULL, NULL, 'C2 domain', NULL, 'C2', NULL, NULL, 2681, 8),
(25697, NULL, 'PF07128', NULL, NULL, 'Protein of unknown function (DUF1380)', NULL, 'DUF1380', NULL, NULL, 13663, 8),
(25698, NULL, 'PF12537', NULL, NULL, 'The Golgi pH Regulator (GPHR) Family N-terminal', NULL, 'GPHR_N', NULL, NULL, 14547, 8),
(25699, NULL, 'PF04358', NULL, NULL, 'DsrC like protein', NULL, 'DsrC', NULL, NULL, 4828, 8),
(25700, NULL, 'PF01820', NULL, NULL, 'D-ala D-ala ligase N-terminus', NULL, 'Dala_Dala_lig_N', NULL, NULL, 9930, 8),
(25701, NULL, 'PF15795', NULL, NULL, 'Ectodermal ciliogenesis protein', NULL, 'Spec3', NULL, NULL, 27345, 8),
(25702, NULL, 'PF09879', NULL, NULL, 'Predicted membrane protein (DUF2106)', NULL, 'DUF2106', NULL, NULL, 10639, 8),
(25703, NULL, 'PF19896', NULL, NULL, 'Family of unknown function (DUF6369)', NULL, 'DUF6369', NULL, NULL, 39001, 8),
(25704, NULL, 'PF12634', NULL, NULL, 'Inheritance of peroxisomes protein 1', NULL, 'Inp1', NULL, NULL, 19389, 8),
(25705, NULL, 'PF00219', NULL, NULL, 'Insulin-like growth factor binding protein', NULL, 'IGFBP', NULL, NULL, 4526, 8),
(25706, NULL, 'PF17579', NULL, NULL, 'Family of unknown function (DUF5482)', NULL, 'DUF5482', NULL, NULL, 33189, 8),
(25707, NULL, 'PF14120', NULL, NULL, 'YhzD-like protein', NULL, 'YhzD', NULL, NULL, 24750, 8),
(25708, NULL, 'PF11412', NULL, NULL, 'Disulphide bond corrector protein DsbC', NULL, 'DsbC', NULL, NULL, 26125, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25709, NULL, 'PF04952', NULL, NULL, 'Succinylglutamate desuccinylase / Aspartoacylase family', NULL, 'AstE_AspA', NULL, NULL, 6849, 8),
(25710, NULL, 'PF17054', NULL, NULL, 'Microtubule-Associated protein Jupiter', NULL, 'JUPITER', NULL, NULL, 32444, 8),
(25711, NULL, 'PF19225', NULL, NULL, 'Spo16 protein', NULL, 'Spo16', NULL, NULL, 38273, 8),
(25712, NULL, 'PF06953', NULL, NULL, 'Arsenical resistance operon protein ArsD', NULL, 'ArsD', NULL, NULL, 10245, 8),
(25713, NULL, 'PF01177', NULL, NULL, 'Asp/Glu/Hydantoin racemase', NULL, 'Asp_Glu_race', NULL, NULL, 8038, 8),
(25714, NULL, 'PF14713', NULL, NULL, 'Domain of unknown function (DUF4464)', NULL, 'DUF4464', NULL, NULL, 27918, 8),
(25715, NULL, 'PF18542', NULL, NULL, 'Transcription factor IIB C-terminal module 1', NULL, 'TFIIB_C_1', NULL, NULL, 31292, 8),
(25716, NULL, 'PF13399', NULL, NULL, 'LytR cell envelope-related transcriptional attenuator', NULL, 'LytR_C', NULL, NULL, 25574, 8),
(25717, NULL, 'PF13344', NULL, NULL, 'Haloacid dehalogenase-like hydrolase', NULL, 'Hydrolase_6', NULL, NULL, 4854, 8),
(25718, NULL, 'PF19052', NULL, NULL, 'BMP/retinoic acid-inducible neural-specific protein', NULL, 'BRINP', NULL, NULL, 33110, 8),
(25719, NULL, 'PF07335', NULL, NULL, 'Fungal chitosanase of glycosyl hydrolase group 75', NULL, 'Glyco_hydro_75', NULL, NULL, 8306, 8),
(25720, NULL, 'PF15548', NULL, NULL, 'Domain of unknown function (DUF4655)', NULL, 'DUF4655', NULL, NULL, 25008, 8),
(25721, NULL, 'PF00226', NULL, NULL, 'DnaJ domain', NULL, 'DnaJ', NULL, NULL, 1247, 8),
(25722, NULL, 'PF10034', NULL, NULL, 'Q-cell neuroblast polarisation', NULL, 'Dpy19', NULL, NULL, 18898, 8),
(25723, NULL, 'PF07687', NULL, NULL, 'Peptidase dimerisation domain', NULL, 'M20_dimer', NULL, NULL, 10671, 8),
(25724, NULL, 'PF09348', NULL, NULL, 'Domain of unknown function (DUF1990)', NULL, 'DUF1990', NULL, NULL, 15011, 8),
(25725, NULL, 'PF16145', NULL, NULL, 'Domain of unknown function (DUF4853)', NULL, 'DUF4853', NULL, NULL, 23034, 8),
(25726, NULL, 'PF11011', NULL, NULL, 'Protein of unknown function (DUF2849)', NULL, 'DUF2849', NULL, NULL, 17871, 8),
(25727, NULL, 'PF02436', NULL, NULL, 'Conserved carboxylase domain', NULL, 'PYC_OADA', NULL, NULL, 4579, 8),
(25728, NULL, 'PF10985', NULL, NULL, 'Protein of unknown function (DUF2805)', NULL, 'DUF2805', NULL, NULL, 18149, 8),
(25729, NULL, 'PF06248', NULL, NULL, 'Centromere/kinetochore Zw10', NULL, 'Zw10', NULL, NULL, 14818, 8),
(25730, NULL, 'PF08832', NULL, NULL, 'Steroid receptor coactivator', NULL, 'SRC-1', NULL, NULL, 14356, 8),
(25731, NULL, 'PF10451', NULL, NULL, 'Telomere regulation protein Stn1', NULL, 'Stn1', NULL, NULL, 21281, 8),
(25732, NULL, 'PF15477', NULL, NULL, 'Small acidic protein family', NULL, 'SMAP', NULL, NULL, 22931, 8),
(25733, NULL, 'PF14604', NULL, NULL, 'Variant SH3 domain', NULL, 'SH3_9', NULL, NULL, 6360, 8),
(25734, NULL, 'PF01424', NULL, NULL, 'R3H domain', NULL, 'R3H', NULL, NULL, 7045, 8),
(25735, NULL, 'PF18389', NULL, NULL, 'TrmO C-terminal domain', NULL, 'TrmO_C', NULL, NULL, 31551, 8),
(25736, NULL, 'PF13864', NULL, NULL, 'Calmodulin-binding', NULL, 'Enkurin', NULL, NULL, 25244, 8),
(25737, NULL, 'PF13240', NULL, NULL, 'zinc-ribbon domain', NULL, 'zinc_ribbon_2', NULL, NULL, 28938, 8),
(25738, NULL, 'PF02433', NULL, NULL, 'Cytochrome C oxidase, mono-heme subunit/FixO', NULL, 'FixO', NULL, NULL, 6322, 8),
(25739, NULL, 'PF10304', NULL, NULL, 'Required for nuclear transport of RNA pol II C-terminus 2', NULL, 'RTP1_C2', NULL, NULL, 16728, 8),
(25740, NULL, 'PF12406', NULL, NULL, 'Surface protein', NULL, 'DUF3664', NULL, NULL, 21026, 8),
(25741, NULL, 'PF13584', NULL, NULL, 'BatD DUF11 like domain', NULL, 'BatD', NULL, NULL, 26291, 8),
(25742, NULL, 'PF13140', NULL, NULL, 'Domain of unknown function (DUF3980)', NULL, 'DUF3980', NULL, NULL, 23263, 8),
(25743, NULL, 'PF14957', NULL, NULL, 'Cdc42 effector', NULL, 'BORG_CEP', NULL, NULL, 21661, 8),
(25744, NULL, 'PF17412', NULL, NULL, 'Family of unknown function', NULL, 'VraX', NULL, NULL, 9506, 8),
(25745, NULL, 'PF12929', NULL, NULL, 'Stretch-activated Ca2+-permeable channel component', NULL, 'Mid1', NULL, NULL, 25673, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25746, NULL, 'PF09445', NULL, NULL, 'RNA cap guanine-N2 methyltransferase', NULL, 'Methyltransf_15', NULL, NULL, 16015, 8),
(25747, NULL, 'PF00338', NULL, NULL, 'Ribosomal protein S10p/S20e', NULL, 'Ribosomal_S10', NULL, NULL, 27060, 8),
(25748, NULL, 'PF19087', NULL, NULL, 'Domain of unknown function (DUF5776)', NULL, 'DUF5776', NULL, NULL, 37308, 8),
(25749, NULL, 'PF05009', NULL, NULL, 'Epstein-Barr virus nuclear antigen 3 (EBNA-3)', NULL, 'EBV-NA3', NULL, NULL, 1357, 8),
(25750, NULL, 'PF20030', NULL, NULL, 'MoxR domain in the MoxR-vWA-beta-propeller ternary systems', NULL, 'bpMoxR', NULL, NULL, 38012, 8),
(25751, NULL, 'PF03119', NULL, NULL, 'NAD-dependent DNA ligase C4 zinc finger domain', NULL, 'DNA_ligase_ZBD', NULL, NULL, 2692, 8),
(25752, NULL, 'PF10577', NULL, NULL, 'Uncharacterised protein family UPF0560', NULL, 'UPF0560', NULL, NULL, 21086, 8),
(25753, NULL, 'PF16639', NULL, NULL, 'Apocytochrome F, N-terminal', NULL, 'Apocytochr_F_N', NULL, NULL, 21870, 8),
(25754, NULL, 'PF10604', NULL, NULL, 'Polyketide cyclase / dehydrase and lipid transport', NULL, 'Polyketide_cyc2', NULL, NULL, 20085, 8),
(25755, NULL, 'PF19834', NULL, NULL, 'Family of unknown function (DUF6314)', NULL, 'DUF6314', NULL, NULL, 39692, 8),
(25756, NULL, 'PF11668', NULL, NULL, 'HCMV glycoprotein pUL130', NULL, 'Gp_UL130', NULL, NULL, 15232, 8),
(25757, NULL, 'PF01006', NULL, NULL, 'Hepatitis C virus non-structural protein NS4a', NULL, 'HCV_NS4a', NULL, NULL, 6565, 8),
(25758, NULL, 'PF18565', NULL, NULL, 'Glycoside hydrolase family 2 C-terminal domain 5', NULL, 'Glyco_hydro2_C5', NULL, NULL, 29725, 8),
(25759, NULL, 'PF04883', NULL, NULL, 'Bacteriophage HK97-gp10, putative tail-component', NULL, 'HK97-gp10_like', NULL, NULL, 6347, 8),
(25760, NULL, 'PF10284', NULL, NULL, 'Luciferase helical bundle domain', NULL, 'Luciferase_3H', NULL, NULL, 21564, 8),
(25761, NULL, 'PF04612', NULL, NULL, 'Type II secretion system (T2SS), protein M', NULL, 'T2SSM', NULL, NULL, 1469, 8),
(25762, NULL, 'PF19533', NULL, NULL, 'Rab3 GTPase-activating protein catalytic subunit C-terminal', NULL, 'Rab3-GAP_cat_C', NULL, NULL, 38532, 8),
(25763, NULL, 'PF10624', NULL, NULL, 'Plasmid conjugative transfer entry exclusion protein TraS', NULL, 'TraS', NULL, NULL, 21212, 8),
(25764, NULL, 'PF10447', NULL, NULL, 'Exosome component EXOSC1/CSL4', NULL, 'EXOSC1', NULL, NULL, 18938, 8),
(25765, NULL, 'PF05472', NULL, NULL, 'DNA replication terminus site-binding protein (Ter protein)', NULL, 'Ter', NULL, NULL, 7521, 8),
(25766, NULL, 'PF12132', NULL, NULL, 'Protein of unknown function (DUF3587)', NULL, 'DUF3587', NULL, NULL, 20931, 8),
(25767, NULL, 'PF05856', NULL, NULL, 'ARP2/3 complex 20 kDa subunit (ARPC4)', NULL, 'ARPC4', NULL, NULL, 7557, 8),
(25768, NULL, 'PF17001', NULL, NULL, 'Type III secretion basal body protein I, YscI, HrpB, PscI', NULL, 'T3SS_basalb_I', NULL, NULL, 13421, 8),
(25769, NULL, 'PF14359', NULL, NULL, 'Domain of unknown function (DUF4406)', NULL, 'DUF4406', NULL, NULL, 28205, 8),
(25770, NULL, 'PF16148', NULL, NULL, 'Domain of unknown function (DUF4856)', NULL, 'DUF4856', NULL, NULL, 23447, 8),
(25771, NULL, 'PF01284', NULL, NULL, 'Membrane-associating domain', NULL, 'MARVEL', NULL, NULL, 6118, 8),
(25772, NULL, 'PF03880', NULL, NULL, 'DbpA RNA binding domain', NULL, 'DbpA', NULL, NULL, 1636, 8),
(25773, NULL, 'PF09575', NULL, NULL, 'Small spore protein J (Spore_SspJ)', NULL, 'Spore_SspJ', NULL, NULL, 10508, 8),
(25774, NULL, 'PF11593', NULL, NULL, 'Mediator complex subunit 3 fungal', NULL, 'Med3', NULL, NULL, 15047, 8),
(25775, NULL, 'PF16012', NULL, NULL, 'Domain of unknown function (DUF4780)', NULL, 'DUF4780', NULL, NULL, 22856, 8),
(25776, NULL, 'PF06270', NULL, NULL, 'Protein of unknown function (DUF1030)', NULL, 'DUF1030', NULL, NULL, 14732, 8),
(25777, NULL, 'PF18660', NULL, NULL, 'Tsi6', NULL, 'Tsi6', NULL, NULL, 31420, 8),
(25778, NULL, 'PF07730', NULL, NULL, 'Histidine kinase', NULL, 'HisKA_3', NULL, NULL, 8471, 8),
(25779, NULL, 'PF16554', NULL, NULL, 'Dimerisation domain of d-ornithine 4,5-aminomutase', NULL, 'OAM_dimer', NULL, NULL, 22420, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25780, NULL, 'PF16016', NULL, NULL, 'VAD1 Analog of StAR-related lipid transfer domain', NULL, 'VASt', NULL, NULL, 23855, 8),
(25781, NULL, 'PF02162', NULL, NULL, 'XYPPX repeat (two copies)', NULL, 'XYPPX', NULL, NULL, 1388, 8),
(25782, NULL, 'PF12751', NULL, NULL, 'Vacuolar segregation subunit 7', NULL, 'Vac7', NULL, NULL, 12658, 8),
(25783, NULL, 'PF07887', NULL, NULL, 'Calmodulin binding protein-like', NULL, 'Calmodulin_bind', NULL, NULL, 13950, 8),
(25784, NULL, 'PF08222', NULL, NULL, 'CodY helix-turn-helix domain', NULL, 'HTH_CodY', NULL, NULL, 17719, 8),
(25785, NULL, 'PF19509', NULL, NULL, 'Family of unknown function (DUF6043)', NULL, 'DUF6043', NULL, NULL, 39830, 8),
(25786, NULL, 'PF05345', NULL, NULL, 'Putative Ig domain', NULL, 'He_PIG', NULL, NULL, NULL, 8),
(25787, NULL, 'PF11699', NULL, NULL, 'Mif2/CENP-C like', NULL, 'CENP-C_C', NULL, NULL, 23013, 8),
(25788, NULL, 'PF14349', NULL, NULL, 'Motility related/secretion protein', NULL, 'SprA_N', NULL, NULL, 25878, 8),
(25789, NULL, 'PF00916', NULL, NULL, 'Sulfate permease family', NULL, 'Sulfate_transp', NULL, NULL, 9061, 8),
(25790, NULL, 'PF01542', NULL, NULL, 'Hepatitis C virus core protein', NULL, 'HCV_core', NULL, NULL, 976, 8),
(25791, NULL, 'PF18807', NULL, NULL, 'Tripartite Tc toxins repeat', NULL, 'TTc_toxin_rep', NULL, NULL, 32976, 8),
(25792, NULL, 'PF19893', NULL, NULL, 'Family of unknown function (DUF6366)', NULL, 'DUF6366', NULL, NULL, 39478, 8),
(25793, NULL, 'PF09581', NULL, NULL, 'Stage III sporulation protein AF (Spore_III_AF)', NULL, 'Spore_III_AF', NULL, NULL, 11196, 8),
(25794, NULL, 'PF00311', NULL, NULL, 'Phosphoenolpyruvate carboxylase', NULL, 'PEPcase', NULL, NULL, 15025, 8),
(25795, NULL, 'PF00634', NULL, NULL, 'BRCA2 repeat', NULL, 'BRCA2', NULL, NULL, 1264, 8),
(25796, NULL, 'PF02395', NULL, NULL, 'Immunoglobulin A1 protease', NULL, 'Peptidase_S6', NULL, NULL, 3964, 8),
(25797, NULL, 'PF08512', NULL, NULL, 'Histone chaperone Rttp106-like', NULL, 'Rtt106', NULL, NULL, 14004, 8),
(25798, NULL, 'PF16065', NULL, NULL, 'Domain of unknown function (DUF4807)', NULL, 'DUF4807', NULL, NULL, 25174, 8),
(25799, NULL, 'PF05580', NULL, NULL, 'SpoIVB peptidase S55', NULL, 'Peptidase_S55', NULL, NULL, 12309, 8),
(25800, NULL, 'PF07775', NULL, NULL, 'PaRep2b protein', NULL, 'PaRep2b', NULL, NULL, 10702, 8),
(25801, NULL, 'PF05299', NULL, NULL, 'M61 glycyl aminopeptidase', NULL, 'Peptidase_M61', NULL, NULL, 4290, 8),
(25802, NULL, 'PF18683', NULL, NULL, 'Chitinase W immunoglobulin-like domain', NULL, 'ChiW_Ig_like', NULL, NULL, 31352, 8),
(25803, NULL, 'PF11556', NULL, NULL, 'Erythrocyte binding antigen 175', NULL, 'EBA-175_VI', NULL, NULL, 19308, 8),
(25804, NULL, 'PF16320', NULL, NULL, 'Ribosomal protein L7/L12 dimerisation domain', NULL, 'Ribosomal_L12_N', NULL, NULL, 8653, 8),
(25805, NULL, 'PF10787', NULL, NULL, 'Uncharacterised protein from bacillus cereus group', NULL, 'YfmQ', NULL, NULL, 21399, 8),
(25806, NULL, 'PF07282', NULL, NULL, 'Putative transposase DNA-binding domain', NULL, 'OrfB_Zn_ribbon', NULL, NULL, 2306, 8),
(25807, NULL, 'PF01637', NULL, NULL, 'ATPase domain predominantly from Archaea', NULL, 'ATPase_2', NULL, NULL, 10603, 8),
(25808, NULL, 'PF18650', NULL, NULL, 'Immunomodulating metalloprotease N-terminal domain', NULL, 'IMPa_N_2', NULL, NULL, 30881, 8),
(25809, NULL, 'PF03372', NULL, NULL, 'Endonuclease/Exonuclease/phosphatase family', NULL, 'Exo_endo_phos', NULL, NULL, 7189, 8),
(25810, NULL, 'PF11358', NULL, NULL, 'Protein of unknown function (DUF3158)', NULL, 'DUF3158', NULL, NULL, 18513, 8),
(25811, NULL, 'PF04380', NULL, NULL, 'Membrane fusogenic activity', NULL, 'BMFP', NULL, NULL, 2250, 8),
(25812, NULL, 'PF02204', NULL, NULL, 'Vacuolar sorting protein 9 (VPS9) domain', NULL, 'VPS9', NULL, NULL, 1918, 8),
(25813, NULL, 'PF07970', NULL, NULL, 'Endoplasmic reticulum vesicle transporter', NULL, 'COPIIcoated_ERV', NULL, NULL, 8435, 8),
(25814, NULL, 'PF00813', NULL, NULL, 'FliP family', NULL, 'FliP', NULL, NULL, 5744, 8),
(25815, NULL, 'PF03068', NULL, NULL, 'Protein-arginine deiminase (PAD)', NULL, 'PAD', NULL, NULL, 8701, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25816, NULL, 'PF02563', NULL, NULL, 'Polysaccharide biosynthesis/export protein', NULL, 'Poly_export', NULL, NULL, 6021, 8),
(25817, NULL, 'PF00819', NULL, NULL, 'Myotoxin, crotamine', NULL, 'Myotoxins', NULL, NULL, 4826, 8),
(25818, NULL, 'PF04710', NULL, NULL, 'Pellino', NULL, 'Pellino', NULL, NULL, 3685, 8),
(25819, NULL, 'PF05282', NULL, NULL, 'AAR2 protein', NULL, 'AAR2', NULL, NULL, 4002, 8),
(25820, NULL, 'PF07102', NULL, NULL, 'Protein of unknown function (DUF1364)', NULL, 'DUF1364', NULL, NULL, 10567, 8),
(25821, NULL, 'PF17092', NULL, NULL, 'Penicillin-binding protein OB-like domain', NULL, 'PCB_OB', NULL, NULL, 25341, 8),
(25822, NULL, 'PF20100', NULL, NULL, 'Family of unknown function (DUF6490)', NULL, 'DUF6490', NULL, NULL, 39627, 8),
(25823, NULL, 'PF14765', NULL, NULL, 'Polyketide synthase dehydratase', NULL, 'PS-DH', NULL, NULL, 19890, 8),
(25824, NULL, 'PF19713', NULL, NULL, 'Family of unknown function (DUF6208)', NULL, 'DUF6208', NULL, NULL, 39769, 8),
(25825, NULL, 'PF01051', NULL, NULL, 'Initiator Replication protein', NULL, 'Rep_3', NULL, NULL, 5673, 8),
(25826, NULL, 'PF15555', NULL, NULL, 'Domain of unknown function (DUF4658)', NULL, 'DUF4658', NULL, NULL, 26430, 8),
(25827, NULL, 'PF06501', NULL, NULL, 'Human herpesvirus U55 protein', NULL, 'Herpes_U55', NULL, NULL, 9264, 8),
(25828, NULL, 'PF14531', NULL, NULL, 'Kinase-like', NULL, 'Kinase-like', NULL, NULL, 25616, 8),
(25829, NULL, 'PF01595', NULL, NULL, 'Cyclin M transmembrane N-terminal domain', NULL, 'DUF21', NULL, NULL, 1638, 8),
(25830, NULL, 'PF12439', NULL, NULL, 'Glycogen debranching enzyme N terminal', NULL, 'GDE_N', NULL, NULL, 10392, 8),
(25831, NULL, 'PF04071', NULL, NULL, 'Cysteine-rich small domain', NULL, 'zf-like', NULL, NULL, 6012, 8),
(25832, NULL, 'PF15009', NULL, NULL, 'Transmembrane protein 173', NULL, 'TMEM173', NULL, NULL, 29420, 8),
(25833, NULL, 'PF15343', NULL, NULL, 'Decidual protein induced by progesterone family', NULL, 'DEPP', NULL, NULL, 13783, 8),
(25834, NULL, 'PF09442', NULL, NULL, 'Domain of unknown function (DUF2018)', NULL, 'DUF2018', NULL, NULL, 15600, 8),
(25835, NULL, 'PF06458', NULL, NULL, 'MucBP domain', NULL, 'MucBP', NULL, NULL, 9395, 8),
(25836, NULL, 'PF09729', NULL, NULL, 'Gti1/Pac2 family', NULL, 'Gti1_Pac2', NULL, NULL, 16334, 8),
(25837, NULL, 'PF12723', NULL, NULL, 'Protein of unknown function (DUF3809)', NULL, 'DUF3809', NULL, NULL, 20735, 8),
(25838, NULL, 'PF01648', NULL, NULL, '4''-phosphopantetheinyl transferase superfamily', NULL, 'ACPS', NULL, NULL, 7723, 8),
(25839, NULL, 'PF17577', NULL, NULL, 'ECORI-T site', NULL, 'ETM', NULL, NULL, 33485, 8),
(25840, NULL, 'PF08064', NULL, NULL, 'UME (NUC010) domain', NULL, 'UME', NULL, NULL, 12199, 8),
(25841, NULL, 'PF12615', NULL, NULL, 'F sex factor protein N terminal', NULL, 'TraD_N', NULL, NULL, 15301, 8),
(25842, NULL, 'PF08945', NULL, NULL, 'Bcl-x interacting, BH3 domain', NULL, 'Bclx_interact', NULL, NULL, 7802, 8),
(25843, NULL, 'PF13001', NULL, NULL, 'Proteasome stabiliser', NULL, 'Ecm29', NULL, NULL, 24315, 8),
(25844, NULL, 'PF16578', NULL, NULL, 'Interleukin 17 receptor D', NULL, 'IL17R_fnIII_D2', NULL, NULL, NULL, 8),
(25845, NULL, 'PF10466', NULL, NULL, 'Saccharopepsin inhibitor I34', NULL, 'Inhibitor_I34', NULL, NULL, 18894, 8),
(25846, NULL, 'PF08032', NULL, NULL, 'RNA 2''-O ribose methyltransferase substrate binding', NULL, 'SpoU_sub_bind', NULL, NULL, 18928, 8),
(25847, NULL, 'PF18573', NULL, NULL, 'BclA C-terminal domain', NULL, 'BclA_C', NULL, NULL, 32809, 8),
(25848, NULL, 'PF03829', NULL, NULL, 'PTS system glucitol/sorbitol-specific IIA component', NULL, 'PTSIIA_gutA', NULL, NULL, 3956, 8),
(25849, NULL, 'PF05204', NULL, NULL, 'Homing endonuclease', NULL, 'Hom_end', NULL, NULL, 3482, 8),
(25850, NULL, 'PF15084', NULL, NULL, 'Domain of unknown function (DUF4550)', NULL, 'DUF4550', NULL, NULL, 25445, 8),
(25851, NULL, 'PF06141', NULL, NULL, 'Phage minor tail protein U', NULL, 'Phage_tail_U', NULL, NULL, 14689, 8),
(25852, NULL, 'PF17106', NULL, NULL, 'Sigma domain on NACHT-NTPases', NULL, 'NACHT_sigma', NULL, NULL, 2505, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25853, NULL, 'PF04303', NULL, NULL, 'PrpF protein', NULL, 'PrpF', NULL, NULL, 3574, 8),
(25854, NULL, 'PF17764', NULL, NULL, '3''DNA-binding domain (3''BD)', NULL, 'PriA_3primeBD', NULL, NULL, 31377, 8),
(25855, NULL, 'PF00073', NULL, NULL, 'picornavirus capsid protein', NULL, 'Rhv', NULL, NULL, 3010, 8),
(25856, NULL, 'PF01876', NULL, NULL, 'RNase P subunit p30', NULL, 'RNase_P_p30', NULL, NULL, 3883, 8),
(25857, NULL, 'PF04257', NULL, NULL, 'Exodeoxyribonuclease V, gamma subunit', NULL, 'Exonuc_V_gamma', NULL, NULL, NULL, 8),
(25858, NULL, 'PF12824', NULL, NULL, 'Mitochondrial ribosomal protein subunit L20', NULL, 'MRP-L20', NULL, NULL, NULL, 8),
(25859, NULL, 'PF06074', NULL, NULL, 'Protein of unknown function (DUF935)', NULL, 'DUF935', NULL, NULL, 13540, 8),
(25860, NULL, 'PF13580', NULL, NULL, 'SIS domain', NULL, 'SIS_2', NULL, NULL, 7053, 8),
(25861, NULL, 'PF03929', NULL, NULL, 'PepSY-associated TM region', NULL, 'PepSY_TM', NULL, NULL, 2973, 8),
(25862, NULL, 'PF10948', NULL, NULL, 'Protein of unknown function (DUF2635)', NULL, 'DUF2635', NULL, NULL, 22980, 8),
(25863, NULL, 'PF02943', NULL, NULL, 'Ferredoxin thioredoxin reductase catalytic beta chain', NULL, 'FeThRed_B', NULL, NULL, 3591, 8),
(25864, NULL, 'PF12193', NULL, NULL, 'Sulfolobus virus coat protein C terminal', NULL, 'Sulf_coat_C', NULL, NULL, 20749, 8),
(25865, NULL, 'PF19854', NULL, NULL, 'Family of unknown function (DUF6329)', NULL, 'DUF6329', NULL, NULL, 39705, 8),
(25866, NULL, 'PF02123', NULL, NULL, 'Viral RNA-directed RNA-polymerase', NULL, 'RdRP_4', NULL, NULL, 4083, 8),
(25867, NULL, 'PF11139', NULL, NULL, 'Sap, sulfolipid-1-addressing protein', NULL, 'SfLAP', NULL, NULL, 17676, 8),
(25868, NULL, 'PF05975', NULL, NULL, 'Bacterial ABC transporter protein EcsB', NULL, 'EcsB', NULL, NULL, 7989, 8),
(25869, NULL, 'PF10417', NULL, NULL, 'C-terminal domain of 1-Cys peroxiredoxin', NULL, '1-cysPrx_C', NULL, NULL, 17987, 8),
(25870, NULL, 'PF12421', NULL, NULL, 'Fibronectin type III protein', NULL, 'DUF3672', NULL, NULL, 15479, 8),
(25871, NULL, 'PF17564', NULL, NULL, 'Family of unknown function (DUF5470)', NULL, 'DUF5470', NULL, NULL, 21021, 8),
(25872, NULL, 'PF19321', NULL, NULL, 'BTB/POZ domain-containing protein KCTD18 C-terminus', NULL, 'KCTD18_C', NULL, NULL, 39765, 8),
(25873, NULL, 'PF13284', NULL, NULL, 'Domain of unknown function (DUF4072)', NULL, 'DUF4072', NULL, NULL, 22625, 8),
(25874, NULL, 'PF03385', NULL, NULL, 'STELLO glycosyltransferases', NULL, 'STELLO', NULL, NULL, 2358, 8),
(25875, NULL, 'PF14684', NULL, NULL, 'Tricorn protease C1 domain', NULL, 'Tricorn_C1', NULL, NULL, 28912, 8),
(25876, NULL, 'PF16553', NULL, NULL, 'BCORL-PCGF1-binding domain', NULL, 'PUFD', NULL, NULL, 28945, 8),
(25877, NULL, 'PF20037', NULL, NULL, 'Family of unknown function (DUF6440)', NULL, 'DUF6440', NULL, NULL, 39776, 8),
(25878, NULL, 'PF09920', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2150)', NULL, 'DUF2150', NULL, NULL, 11704, 8),
(25879, NULL, 'PF03440', NULL, NULL, 'Aerolysin/Pertussis toxin (APT) domain', NULL, 'APT', NULL, NULL, 7236, 8),
(25880, NULL, 'PF08147', NULL, NULL, 'DBP10CT (NUC160) domain', NULL, 'DBP10CT', NULL, NULL, 8534, 8),
(25881, NULL, 'PF11423', NULL, NULL, 'Regulatory protein Mnt', NULL, 'Repressor_Mnt', NULL, NULL, 22687, 8),
(25882, NULL, 'PF17189', NULL, NULL, 'Glycosyl hydrolase family 30 beta sandwich domain', NULL, 'Glyco_hydro_30C', NULL, NULL, 34971, 8),
(25883, NULL, 'PF18893', NULL, NULL, 'Family of unknown function (DUF5652)', NULL, 'DUF5652', NULL, NULL, 36816, 8),
(25884, NULL, 'PF11988', NULL, NULL, 'Retrograde transport protein Dsl1 N terminal', NULL, 'Dsl1_N', NULL, NULL, 20498, 8),
(25885, NULL, 'PF13169', NULL, NULL, 'Poxvirus B22R protein N-terminal', NULL, 'Poxvirus_B22R_N', NULL, NULL, 22752, 8),
(25886, NULL, 'PF17755', NULL, NULL, 'UvrA DNA-binding domain', NULL, 'UvrA_DNA-bind', NULL, NULL, 32762, 8),
(25887, NULL, 'PF03205', NULL, NULL, 'Molybdopterin guanine dinucleotide synthesis protein B', NULL, 'MobB', NULL, NULL, 7496, 8),
(25888, NULL, 'PF09988', NULL, NULL, 'Uncharacterized metal-binding protein (DUF2227)', NULL, 'DUF2227', NULL, NULL, 20326, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25889, NULL, 'PF17611', NULL, NULL, 'Family of unknown function (DUF5506)', NULL, 'DUF5506', NULL, NULL, 19776, 8),
(25890, NULL, 'PF13293', NULL, NULL, 'Domain of unknown function (DUF4074)', NULL, 'DUF4074', NULL, NULL, 27998, 8),
(25891, NULL, 'PF18914', NULL, NULL, 'Domain of unknown function (DUF5666)', NULL, 'DUF5666', NULL, NULL, 38272, 8),
(25892, NULL, 'PF17464', NULL, NULL, 'Non-structural protein 11 and 12', NULL, 'Pns11_12', NULL, NULL, 35052, 8),
(25893, NULL, 'PF02562', NULL, NULL, 'PhoH-like protein', NULL, 'PhoH', NULL, NULL, 2178, 8),
(25894, NULL, 'PF11986', NULL, NULL, 'Influenza A Proapoptotic protein', NULL, 'PB1-F2', NULL, NULL, 15159, 8),
(25895, NULL, 'PF09943', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2175)', NULL, 'DUF2175', NULL, NULL, 17134, 8),
(25896, NULL, 'PF13748', NULL, NULL, 'ABC transporter transmembrane region', NULL, 'ABC_membrane_3', NULL, NULL, 12360, 8),
(25897, NULL, 'PF07989', NULL, NULL, 'Centrosomin N-terminal motif 1', NULL, 'Cnn_1N', NULL, NULL, 8024, 8),
(25898, NULL, 'PF10568', NULL, NULL, 'Outer mitochondrial membrane transport complex protein', NULL, 'Tom37', NULL, NULL, 19636, 8),
(25899, NULL, 'PF05721', NULL, NULL, 'Phytanoyl-CoA dioxygenase (PhyH)', NULL, 'PhyH', NULL, NULL, 12492, 8),
(25900, NULL, 'PF01583', NULL, NULL, 'Adenylylsulphate kinase', NULL, 'APS_kinase', NULL, NULL, NULL, 8),
(25901, NULL, 'PF06673', NULL, NULL, 'Lactococcus lactis bacteriophage major capsid protein', NULL, 'L_lactis_ph-MCP', NULL, NULL, 10417, 8),
(25902, NULL, 'PF17277', NULL, NULL, 'Family of unknown function (DUF5342)', NULL, 'DUF5342', NULL, NULL, 16298, 8),
(25903, NULL, 'PF14727', NULL, NULL, 'PTHB1 N-terminus', NULL, 'PHTB1_N', NULL, NULL, 23544, 8),
(25904, NULL, 'PF19806', NULL, NULL, 'Family of unknown function (DUF6289)', NULL, 'DUF6289', NULL, NULL, 39712, 8),
(25905, NULL, 'PF03627', NULL, NULL, 'PapG carbohydrate binding domain', NULL, 'PapG_N', NULL, NULL, 5265, 8),
(25906, NULL, 'PF17752', NULL, NULL, 'Burkholderia lethal factor 1', NULL, 'BLF1', NULL, NULL, 29702, 8),
(25907, NULL, 'PF05325', NULL, NULL, 'Protein of unknown function (DUF730)', NULL, 'DUF730', NULL, NULL, 4431, 8),
(25908, NULL, 'PF09776', NULL, NULL, 'Mitochondrial ribosomal protein L55', NULL, 'Mitoc_L55', NULL, NULL, 16351, 8),
(25909, NULL, 'PF05834', NULL, NULL, 'Lycopene cyclase protein', NULL, 'Lycopene_cycl', NULL, NULL, NULL, 8),
(25910, NULL, 'PF08027', NULL, NULL, 'Albumin I chain b', NULL, 'Albumin_I', NULL, NULL, 12649, 8),
(25911, NULL, 'PF16402', NULL, NULL, 'Domain of unknown function (DUF5010)', NULL, 'DUF5010', NULL, NULL, 24971, 8),
(25912, NULL, 'PF03535', NULL, NULL, 'Paxillin family', NULL, 'Paxillin', NULL, NULL, NULL, 8),
(25913, NULL, 'PF06603', NULL, NULL, 'UpxZ family of transcription anti-terminator antagonists', NULL, 'UpxZ', NULL, NULL, 8491, 8),
(25914, NULL, 'PF11122', NULL, NULL, 'Inner spore coat protein D', NULL, 'Spore-coat_CotD', NULL, NULL, 12759, 8),
(25915, NULL, 'PF14131', NULL, NULL, 'Domain of unknown function (DUF4298)', NULL, 'DUF4298', NULL, NULL, 28469, 8),
(25916, NULL, 'PF00343', NULL, NULL, 'Carbohydrate phosphorylase', NULL, 'Phosphorylase', NULL, NULL, 5478, 8),
(25917, NULL, 'PF02389', NULL, NULL, 'Cornifin (SPRR) family', NULL, 'Cornifin', NULL, NULL, NULL, 8),
(25918, NULL, 'PF03508', NULL, NULL, 'Gap junction alpha-1 protein (Cx43)', NULL, 'Connexin43', NULL, NULL, 18608, 8),
(25919, NULL, 'PF12155', NULL, NULL, 'NADH dehydrogenase subunit 2 N-terminal', NULL, 'NADHdh-2_N', NULL, NULL, 17196, 8),
(25920, NULL, 'PF13892', NULL, NULL, 'DNA-binding domain', NULL, 'DBINO', NULL, NULL, 20508, 8),
(25921, NULL, 'PF07881', NULL, NULL, 'L-fucose isomerase, first N-terminal domain', NULL, 'Fucose_iso_N1', NULL, NULL, 13391, 8),
(25922, NULL, 'PF12080', NULL, NULL, 'GldM C-terminal domain', NULL, 'GldM_C', NULL, NULL, 17246, 8),
(25923, NULL, 'PF14946', NULL, NULL, 'Domain of unknown function (DUF4501)', NULL, 'DUF4501', NULL, NULL, 27824, 8),
(25924, NULL, 'PF17120', NULL, NULL, 'Zinc-ribbon, C4HC2 type', NULL, 'Zn_ribbon_17', NULL, NULL, NULL, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25925, NULL, 'PF00150', NULL, NULL, 'Cellulase (glycosyl hydrolase family 5)', NULL, 'Cellulase', NULL, NULL, 5743, 8),
(25926, NULL, 'PF06616', NULL, NULL, 'BsuBI/PstI restriction endonuclease domain', NULL, 'BsuBI_PstI_RE', NULL, NULL, 10407, 8),
(25927, NULL, 'PF13746', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_18', NULL, NULL, 13131, 8),
(25928, NULL, 'PF10937', NULL, NULL, 'Ribosomal protein S36, mitochondrial', NULL, 'S36_mt', NULL, NULL, 20076, 8),
(25929, NULL, 'PF01841', NULL, NULL, 'Transglutaminase-like superfamily', NULL, 'Transglut_core', NULL, NULL, 6773, 8),
(25930, NULL, 'PF09801', NULL, NULL, 'Integral membrane protein S linking to the trans Golgi network', NULL, 'SYS1', NULL, NULL, 18708, 8),
(25931, NULL, 'PF14944', NULL, NULL, 'Tongue Cancer Chemotherapy Resistant Protein 1', NULL, 'TCRP1', NULL, NULL, 28984, 8),
(25932, NULL, 'PF00688', NULL, NULL, 'TGF-beta propeptide', NULL, 'TGFb_propeptide', NULL, NULL, 1126, 8),
(25933, NULL, 'PF01272', NULL, NULL, 'Transcription elongation factor, GreA/GreB, C-term', NULL, 'GreA_GreB', NULL, NULL, 3265, 8),
(25934, NULL, 'PF06800', NULL, NULL, 'Sugar transport protein', NULL, 'Sugar_transport', NULL, NULL, 9087, 8),
(25935, NULL, 'PF04166', NULL, NULL, 'Pyridoxal phosphate biosynthetic protein PdxA', NULL, 'PdxA', NULL, NULL, 11062, 8),
(25936, NULL, 'PF09363', NULL, NULL, 'XFP C-terminal domain', NULL, 'XFP_C', NULL, NULL, 15323, 8),
(25937, NULL, 'PF06537', NULL, NULL, 'Di-haem oxidoreductase, putative peroxidase', NULL, 'DHOR', NULL, NULL, 14835, 8),
(25938, NULL, 'PF02145', NULL, NULL, 'Rap/ran-GAP', NULL, 'Rap_GAP', NULL, NULL, 797, 8),
(25939, NULL, 'PF10852', NULL, NULL, 'Protein of unknown function (DUF2651)', NULL, 'DUF2651', NULL, NULL, 19746, 8),
(25940, NULL, 'PF11976', NULL, NULL, 'Ubiquitin-2 like Rad60 SUMO-like', NULL, 'Rad60-SLD', NULL, NULL, 16516, 8),
(25941, NULL, 'PF15308', NULL, NULL, 'CEP170 C-terminus', NULL, 'CEP170_C', NULL, NULL, 25738, 8),
(25942, NULL, 'PF17548', NULL, NULL, 'Histone-like Protein p6', NULL, 'p6', NULL, NULL, 20478, 8),
(25943, NULL, 'PF19244', NULL, NULL, 'Poly(A) polymerase catalytic subunit', NULL, 'Poly_A_pol_cat', NULL, NULL, 37594, 8),
(25944, NULL, 'PF07566', NULL, NULL, 'Domain of Unknown Function (DUF1543)', NULL, 'DUF1543', NULL, NULL, 13630, 8),
(25945, NULL, 'PF08471', NULL, NULL, 'Class II vitamin B12-dependent ribonucleotide reductase', NULL, 'Ribonuc_red_2_N', NULL, NULL, 13940, 8),
(25946, NULL, 'PF04750', NULL, NULL, 'FAR-17a/AIG1-like protein', NULL, 'Far-17a_AIG1', NULL, NULL, 4301, 8),
(25947, NULL, 'PF15022', NULL, NULL, 'Protein of unknown function (DUF4522)', NULL, 'DUF4522', NULL, NULL, 22626, 8),
(25948, NULL, 'PF09411', NULL, NULL, 'Lipid A 3-O-deacylase (PagL)', NULL, 'PagL', NULL, NULL, 15207, 8),
(25949, NULL, 'PF01087', NULL, NULL, 'Galactose-1-phosphate uridyl transferase, N-terminal domain', NULL, 'GalP_UDP_transf', NULL, NULL, 5973, 8),
(25950, NULL, 'PF03585', NULL, NULL, 'Herpesvirus ICP4-like protein C-terminal region', NULL, 'Herpes_ICP4_C', NULL, NULL, 6561, 8),
(25951, NULL, 'PF12335', NULL, NULL, 'Myotubularin protein', NULL, 'SBF2', NULL, NULL, 20758, 8),
(25952, NULL, 'PF18486', NULL, NULL, 'PNGase/UBA- or UBX-containing domain', NULL, 'PUB_1', NULL, NULL, 30524, 8),
(25953, NULL, 'PF01646', NULL, NULL, 'Herpes virus proteins UL24 and UL76', NULL, 'Herpes_UL24', NULL, NULL, 1879, 8),
(25954, NULL, 'PF16926', NULL, NULL, 'Archaeal 4TM region of histidine kinase', NULL, 'HisKA_4TM', NULL, NULL, 26840, 8),
(25955, NULL, 'PF18014', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_18', NULL, NULL, 31625, 8),
(25956, NULL, 'PF16053', NULL, NULL, 'Mitochondrial 28S ribosomal protein S34', NULL, 'MRP-S34', NULL, NULL, 23456, 8),
(25957, NULL, 'PF11306', NULL, NULL, 'Protein of unknown function (DUF3108)', NULL, 'DUF3108', NULL, NULL, 18172, 8),
(25958, NULL, 'PF02952', NULL, NULL, 'L-fucose isomerase, C-terminal domain', NULL, 'Fucose_iso_C', NULL, NULL, 7129, 8),
(25959, NULL, 'PF14057', NULL, NULL, 'GGGtGRT protein', NULL, 'GGGtGRT', NULL, NULL, 23671, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25960, NULL, 'PF05535', NULL, NULL, 'Chromadorea ALT protein', NULL, 'Chromadorea_ALT', NULL, NULL, 11532, 8),
(25961, NULL, 'PF12892', NULL, NULL, 'Spy0128-like isopeptide containing domain', NULL, 'FctA', NULL, NULL, 16023, 8),
(25962, NULL, 'PF07948', NULL, NULL, 'Nairovirus M polyprotein-like', NULL, 'Nairovirus_M', NULL, NULL, 12999, 8),
(25963, NULL, 'PF11582', NULL, NULL, 'Protein of unknown function (DUF3240)', NULL, 'DUF3240', NULL, NULL, 19132, 8),
(25964, NULL, 'PF08624', NULL, NULL, 'Chromatin remodelling complex Rsc7/Swp82 subunit', NULL, 'CRC_subunit', NULL, NULL, 14416, 8),
(25965, NULL, 'PF09046', NULL, NULL, 'AvrPtoB E3 ubiquitin ligase', NULL, 'AvrPtoB-E3_ubiq', NULL, NULL, 9987, 8),
(25966, NULL, 'PF09937', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2169)', NULL, 'DUF2169', NULL, NULL, 17068, 8),
(25967, NULL, 'PF02459', NULL, NULL, 'Adenoviral DNA terminal protein', NULL, 'Adeno_terminal', NULL, NULL, 5315, 8),
(25968, NULL, 'PF16253', NULL, NULL, 'Domain of unknown function (DUF4909)', NULL, 'DUF4909', NULL, NULL, 25498, 8),
(25969, NULL, 'PF14048', NULL, NULL, 'C-terminal domain of methyl-CpG binding protein 2 and 3', NULL, 'MBD_C', NULL, NULL, 23776, 8),
(25970, NULL, 'PF11742', NULL, NULL, 'Protein of unknown function (DUF3302)', NULL, 'DUF3302', NULL, NULL, 10658, 8),
(25971, NULL, 'PF16840', NULL, NULL, 'Actin-like protein 7A N-terminus', NULL, 'ACTL7A_N', NULL, NULL, 25728, 8),
(25972, NULL, 'PF03750', NULL, NULL, 'Csm2 Type III-A', NULL, 'Csm2_III-A', NULL, NULL, 10974, 8),
(25973, NULL, 'PF04149', NULL, NULL, 'Domain of unknown function (DUF397)', NULL, 'DUF397', NULL, NULL, 7242, 8),
(25974, NULL, 'PF18948', NULL, NULL, 'Family of unknown function (DUF5692)', NULL, 'DUF5692', NULL, NULL, 38002, 8),
(25975, NULL, 'PF00296', NULL, NULL, 'Luciferase-like monooxygenase', NULL, 'Bac_luciferase', NULL, NULL, 9441, 8),
(25976, NULL, 'PF15246', NULL, NULL, 'Nck-associated protein 5, Peripheral clock protein', NULL, 'NCKAP5', NULL, NULL, 22765, 8),
(25977, NULL, 'PF19272', NULL, NULL, 'Acid sphingomyelin phosphodiesterase C-terminal region', NULL, 'ASMase_C', NULL, NULL, 38888, 8),
(25978, NULL, 'PF08450', NULL, NULL, 'SMP-30/Gluconolactonase/LRE-like region', NULL, 'SGL', NULL, NULL, 12314, 8),
(25979, NULL, 'PF06820', NULL, NULL, 'Putative prophage tail fibre C-terminus', NULL, 'Phage_fiber_C', NULL, NULL, 11390, 8),
(25980, NULL, 'PF09489', NULL, NULL, 'Probable cobalt transporter subunit (CbtB)', NULL, 'CbtB', NULL, NULL, 13406, 8),
(25981, NULL, 'PF12025', NULL, NULL, 'Phage protein C', NULL, 'Phage_C', NULL, NULL, 21795, 8),
(25982, NULL, 'PF07138', NULL, NULL, 'Protein of unknown function (DUF1386)', NULL, 'DUF1386', NULL, NULL, 13796, 8),
(25983, NULL, 'PF14862', NULL, NULL, 'Big defensin', NULL, 'Defensin_big', NULL, NULL, 26868, 8),
(25984, NULL, 'PF03963', NULL, NULL, 'Flagellar hook capping protein - N-terminal region', NULL, 'FlgD', NULL, NULL, 2915, 8),
(25985, NULL, 'PF13907', NULL, NULL, 'Domain of unknown function (DUF4208)', NULL, 'DUF4208', NULL, NULL, 23554, 8),
(25986, NULL, 'PF09751', NULL, NULL, 'Nuclear protein Es2', NULL, 'Es2', NULL, NULL, 18973, 8),
(25987, NULL, 'PF18753', NULL, NULL, 'Nucleotide modification associated domain 2', NULL, 'Nmad2', NULL, NULL, 31347, 8),
(25988, NULL, 'PF09333', NULL, NULL, 'Autophagy-related protein C terminal domain', NULL, 'ATG_C', NULL, NULL, 7622, 8),
(25989, NULL, 'PF02823', NULL, NULL, 'ATP synthase, Delta/Epsilon chain, beta-sandwich domain', NULL, 'ATP-synt_DE_N', NULL, NULL, 21031, 8),
(25990, NULL, 'PF19540', NULL, NULL, 'Family of unknown function (DUF6064)', NULL, 'DUF6064', NULL, NULL, 38663, 8),
(25991, NULL, 'PF17503', NULL, NULL, 'Family of unknown function (DUF5435)', NULL, 'DUF5435', NULL, NULL, 34719, 8),
(25992, NULL, 'PF00938', NULL, NULL, 'Lipoprotein', NULL, 'Lipoprotein_3', NULL, NULL, 7117, 8),
(25993, NULL, 'PF14503', NULL, NULL, 'YhfZ C-terminal domain', NULL, 'YhfZ_C', NULL, NULL, 22285, 8),
(25994, NULL, 'PF15137', NULL, NULL, 'Domain of unknown function (DUF4571)', NULL, 'DUF4571', NULL, NULL, 21846, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(25995, NULL, 'PF12891', NULL, NULL, 'Glycoside hydrolase family 44', NULL, 'Glyco_hydro_44', NULL, NULL, 18855, 8),
(25996, NULL, 'PF14151', NULL, NULL, 'YfhD-like protein', NULL, 'YfhD', NULL, NULL, 28136, 8),
(25997, NULL, 'PF19023', NULL, NULL, 'Family of unknown function (DUF5749)', NULL, 'DUF5749', NULL, NULL, 38174, 8),
(25998, NULL, 'PF09475', NULL, NULL, 'Dot/Icm secretion system protein (dot_icm_IcmQ)', NULL, 'Dot_icm_IcmQ', NULL, NULL, 18660, 8),
(25999, NULL, 'PF13227', NULL, NULL, 'Protein of unknown function (DUF4035)', NULL, 'DUF4035', NULL, NULL, 23877, 8),
(26000, NULL, 'PF16265', NULL, NULL, 'Domain of unknown function (DUF4918)', NULL, 'DUF4918', NULL, NULL, 22136, 8),
(26001, NULL, 'PF08619', NULL, NULL, 'Alkali metal cation/H+ antiporter Nha1 C terminus', NULL, 'Nha1_C', NULL, NULL, 14103, 8),
(26002, NULL, 'PF01398', NULL, NULL, 'JAB1/Mov34/MPN/PAD-1 ubiquitin protease', NULL, 'JAB', NULL, NULL, 5567, 8),
(26003, NULL, 'PF10785', NULL, NULL, 'NADH-ubiquinone oxidoreductase complex I, 21 kDa subunit', NULL, 'NADH-u_ox-rdase', NULL, NULL, 21369, 8),
(26004, NULL, 'PF10609', NULL, NULL, 'NUBPL iron-transfer P-loop NTPase', NULL, 'ParA', NULL, NULL, 30626, 8),
(26005, NULL, 'PF12756', NULL, NULL, 'C2H2 type zinc-finger (2 copies)', NULL, 'zf-C2H2_2', NULL, NULL, 33326, 8),
(26006, NULL, 'PF17540', NULL, NULL, 'Family of unknown function (DUF5457)', NULL, 'DUF5457', NULL, NULL, 36049, 8),
(26007, NULL, 'PF16073', NULL, NULL, 'Starter unit:ACP transacylase in aflatoxin biosynthesis', NULL, 'SAT', NULL, NULL, 25467, 8),
(26008, NULL, 'PF03874', NULL, NULL, 'RNA polymerase Rpb4', NULL, 'RNA_pol_Rpb4', NULL, NULL, 1550, 8),
(26009, NULL, 'PF01853', NULL, NULL, 'MOZ/SAS family', NULL, 'MOZ_SAS', NULL, NULL, 3766, 8),
(26010, NULL, 'PF04778', NULL, NULL, 'LMP repeated region', NULL, 'LMP', NULL, NULL, 4384, 8),
(26011, NULL, 'PF14554', NULL, NULL, 'VEGF heparin-binding domain', NULL, 'VEGF_C', NULL, NULL, 25609, 8),
(26012, NULL, 'PF14509', NULL, NULL, 'Glycosyl-hydrolase 97 C-terminal, oligomerisation', NULL, 'GH97_C', NULL, NULL, 24186, 8),
(26013, NULL, 'PF03077', NULL, NULL, 'Putative vacuolating cytotoxin', NULL, 'VacA2', NULL, NULL, 4514, 8),
(26014, NULL, 'PF14107', NULL, NULL, 'Domain of unknown function (DUF4280)', NULL, 'DUF4280', NULL, NULL, 23488, 8),
(26015, NULL, 'PF09004', NULL, NULL, 'Domain of unknown function (DUF1891)', NULL, 'DUF1891', NULL, NULL, 8677, 8),
(26016, NULL, 'PF17716', NULL, NULL, 'Family of unknown function (DUF5561)', NULL, 'DUF5561', NULL, NULL, 35030, 8),
(26017, NULL, 'PF12737', NULL, NULL, 'C-terminal domain of homeodomain 1', NULL, 'Mating_C', NULL, NULL, 25540, 8),
(26018, NULL, 'PF03143', NULL, NULL, 'Elongation factor Tu C-terminal domain', NULL, 'GTP_EFTU_D3', NULL, NULL, 2881, 8),
(26019, NULL, 'PF04010', NULL, NULL, 'Protein of unknown function (DUF357)', NULL, 'DUF357', NULL, NULL, 17364, 8),
(26020, NULL, 'PF14985', NULL, NULL, 'TM140 protein family', NULL, 'TM140', NULL, NULL, 22358, 8),
(26021, NULL, 'PF15435', NULL, NULL, 'UNC119-binding protein C5orf30 homologue', NULL, 'UNC119_bdg', NULL, NULL, 28671, 8),
(26022, NULL, 'PF10398', NULL, NULL, 'Protein of unknown function (DUF2443)', NULL, 'DUF2443', NULL, NULL, 17590, 8),
(26023, NULL, 'PF00908', NULL, NULL, 'dTDP-4-dehydrorhamnose 3,5-epimerase', NULL, 'dTDP_sugar_isom', NULL, NULL, 112, 8),
(26024, NULL, 'PF19422', NULL, NULL, 'Ariadne domain', NULL, 'Ariadne', NULL, NULL, 38765, 8),
(26025, NULL, 'PF00071', NULL, NULL, 'Ras family', NULL, 'Ras', NULL, NULL, 4505, 8),
(26026, NULL, 'PF05803', NULL, NULL, 'Chordopoxvirus L2 protein', NULL, 'Chordopox_L2', NULL, NULL, 8690, 8),
(26027, NULL, 'PF16917', NULL, NULL, 'Biotin/lipoate A/B protein ligase family', NULL, 'BPL_LplA_LipB_2', NULL, NULL, 2514, 8),
(26028, NULL, 'PF00561', NULL, NULL, 'alpha/beta hydrolase fold', NULL, 'Abhydrolase_1', NULL, NULL, 3705, 8),
(26029, NULL, 'PF07116', NULL, NULL, 'Protein of unknown function (DUF1372)', NULL, 'DUF1372', NULL, NULL, 11241, 8),
(26030, NULL, 'PF02816', NULL, NULL, 'Alpha-kinase family', NULL, 'Alpha_kinase', NULL, NULL, 2657, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26031, NULL, 'PF03312', NULL, NULL, 'Protein of unknown function (DUF272)', NULL, 'DUF272', NULL, NULL, 563, 8),
(26032, NULL, 'PF04829', NULL, NULL, 'Pre-toxin domain with VENN motif', NULL, 'PT-VENN', NULL, NULL, 4650, 8),
(26033, NULL, 'PF18063', NULL, NULL, 'Beta barrel Pore-forming domain', NULL, 'BB_PF', NULL, NULL, 29687, 8),
(26034, NULL, 'PF19378', NULL, NULL, 'Family of unknown function (DUF5953)', NULL, 'DUF5953', NULL, NULL, 39252, 8),
(26035, NULL, 'PF04362', NULL, NULL, 'Bacterial Fe(2+) trafficking', NULL, 'Iron_traffic', NULL, NULL, 4887, 8),
(26036, NULL, 'PF03540', NULL, NULL, 'Transcription initiation factor TFIID 23-30kDa subunit', NULL, 'TFIID_30kDa', NULL, NULL, 6240, 8),
(26037, NULL, 'PF08924', NULL, NULL, 'Domain of unknown function (DUF1906)', NULL, 'DUF1906', NULL, NULL, 7575, 8),
(26038, NULL, 'PF15583', NULL, NULL, 'Immunity protein 68', NULL, 'Imm68', NULL, NULL, 28704, 8),
(26039, NULL, 'PF16213', NULL, NULL, 'Dimerisation and cyclophilin-binding domain of Mon2', NULL, 'DCB', NULL, NULL, 22429, 8),
(26040, NULL, 'PF19925', NULL, NULL, 'Family of unknown function (DUF6388)', NULL, 'DUF6388', NULL, NULL, 38671, 8),
(26041, NULL, 'PF09711', NULL, NULL, 'CRISPR-associated protein (Cas_Csn2)', NULL, 'Cas_Csn2', NULL, NULL, 10665, 8),
(26042, NULL, 'PF02738', NULL, NULL, 'Molybdopterin-binding domain of aldehyde dehydrogenase', NULL, 'Ald_Xan_dh_C2', NULL, NULL, 6418, 8),
(26043, NULL, 'PF01142', NULL, NULL, 'tRNA pseudouridine synthase D (TruD)', NULL, 'TruD', NULL, NULL, 3233, 8),
(26044, NULL, 'PF11290', NULL, NULL, 'Protein of unknown function (DUF3090)', NULL, 'DUF3090', NULL, NULL, 18216, 8),
(26045, NULL, 'PF06041', NULL, NULL, 'Bacterial protein of unknown function (DUF924)', NULL, 'DUF924', NULL, NULL, 8951, 8),
(26046, NULL, 'PF03226', NULL, NULL, 'Yippee zinc-binding/DNA-binding /Mis18, centromere assembly', NULL, 'Yippee-Mis18', NULL, NULL, 1815, 8),
(26047, NULL, 'PF19867', NULL, NULL, 'Family of unknown function (DUF6340)', NULL, 'DUF6340', NULL, NULL, 39147, 8),
(26048, NULL, 'PF10374', NULL, NULL, 'Telomerase activating protein Est1', NULL, 'EST1', NULL, NULL, 17759, 8),
(26049, NULL, 'PF19343', NULL, NULL, 'Family of unknown function (DUF5923)', NULL, 'DUF5923', NULL, NULL, 39378, 8),
(26050, NULL, 'PF10259', NULL, NULL, 'Rogdi leucine zipper containing protein', NULL, 'Rogdi_lz', NULL, NULL, 21985, 8),
(26051, NULL, 'PF12852', NULL, NULL, 'Cupin', NULL, 'Cupin_6', NULL, NULL, 22149, 8),
(26052, NULL, 'PF14586', NULL, NULL, 'Class I Histocompatibility antigen, NKG2D ligand, domains 1 and 2', NULL, 'MHC_I_2', NULL, NULL, 21675, 8),
(26053, NULL, 'PF14933', NULL, NULL, 'CEP19-like protein', NULL, 'CEP19', NULL, NULL, 24510, 8),
(26054, NULL, 'PF01660', NULL, NULL, 'Viral methyltransferase', NULL, 'Vmethyltransf', NULL, NULL, 1590, 8),
(26055, NULL, 'PF13769', NULL, NULL, 'Virulence factor', NULL, 'Virulence_fact', NULL, NULL, 27438, 8),
(26056, NULL, 'PF15417', NULL, NULL, 'Domain of unknown function (DUF4624)', NULL, 'DUF4624', NULL, NULL, 26151, 8),
(26057, NULL, 'PF18331', NULL, NULL, 'PKHD-type hydroxylase C-terminal domain', NULL, 'PKHD_C', NULL, NULL, 31974, 8),
(26058, NULL, 'PF10669', NULL, NULL, 'Protein gp23 (Bacteriophage A118)', NULL, 'Phage_Gp23', NULL, NULL, 15429, 8),
(26059, NULL, 'PF00377', NULL, NULL, 'Prion/Doppel alpha-helical domain', NULL, 'Prion', NULL, NULL, 16414, 8),
(26060, NULL, 'PF17123', NULL, NULL, 'RING-like zinc finger', NULL, 'zf-RING_11', NULL, NULL, 4199, 8),
(26061, NULL, 'PF15746', NULL, NULL, 'TMEM215 family', NULL, 'TMEM215', NULL, NULL, 27061, 8),
(26062, NULL, 'PF19075', NULL, NULL, 'Family of unknown function (DUF5771)', NULL, 'DUF5771', NULL, NULL, 37763, 8),
(26063, NULL, 'PF18075', NULL, NULL, 'FtsX extracellular domain', NULL, 'FtsX_ECD', NULL, NULL, 30684, 8),
(26064, NULL, 'PF18711', NULL, NULL, 'Toxoflavin-degrading enzyme', NULL, 'TxDE', NULL, NULL, 29246, 8),
(26065, NULL, 'PF08279', NULL, NULL, 'HTH domain', NULL, 'HTH_11', NULL, NULL, 17700, 8),
(26066, NULL, 'PF15463', NULL, NULL, 'Extracellular mutant protein 11', NULL, 'ECM11', NULL, NULL, 28757, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26067, NULL, 'PF05811', NULL, NULL, 'Eukaryotic protein of unknown function (DUF842)', NULL, 'DUF842', NULL, NULL, 13165, 8),
(26068, NULL, 'PF02422', NULL, NULL, 'Keratin', NULL, 'Keratin', NULL, NULL, 5946, 8),
(26069, NULL, 'PF18607', NULL, NULL, 'ParA helix turn helix domain', NULL, 'HTH_54', NULL, NULL, 32491, 8),
(26070, NULL, 'PF00600', NULL, NULL, 'Influenza non-structural protein (NS1)', NULL, 'Flu_NS1', NULL, NULL, 4248, 8),
(26071, NULL, 'PF05860', NULL, NULL, 'haemagglutination activity domain', NULL, 'Haemagg_act', NULL, NULL, 14326, 8),
(26072, NULL, 'PF09501', NULL, NULL, 'Probable sporulation protein (Bac_small_yrzI)', NULL, 'Bac_small_YrzI', NULL, NULL, 10768, 8),
(26073, NULL, 'PF00104', NULL, NULL, 'Ligand-binding domain of nuclear hormone receptor', NULL, 'Hormone_recep', NULL, NULL, 5638, 8),
(26074, NULL, 'PF15130', NULL, NULL, 'Domain of unknown function (DUF4566)', NULL, 'DUF4566', NULL, NULL, 24100, 8),
(26075, NULL, 'PF02998', NULL, NULL, 'Lentiviral Tat protein', NULL, 'Lentiviral_Tat', NULL, NULL, 3822, 8),
(26076, NULL, 'PF12796', NULL, NULL, 'Ankyrin repeats (3 copies)', NULL, 'Ank_2', NULL, NULL, 1196, 8),
(26077, NULL, 'PF06769', NULL, NULL, 'YoeB-like toxin of bacterial type II toxin-antitoxin system', NULL, 'YoeB_toxin', NULL, NULL, 1642, 8),
(26078, NULL, 'PF02150', NULL, NULL, 'RNA polymerases M/15 Kd subunit', NULL, 'RNA_POL_M_15KD', NULL, NULL, 3163, 8),
(26079, NULL, 'PF02764', NULL, NULL, 'Diphtheria toxin, T domain', NULL, 'Diphtheria_T', NULL, NULL, 21210, 8),
(26080, NULL, 'PF15539', NULL, NULL, 'CAF1 complex subunit p150, region binding to CAF1-p60 at C-term', NULL, 'CAF1-p150_C2', NULL, NULL, 26142, 8),
(26081, NULL, 'PF17203', NULL, NULL, 'Single cache domain 3', NULL, 'sCache_3_2', NULL, NULL, 29953, 8),
(26082, NULL, 'PF10016', NULL, NULL, 'Predicted secreted protein (DUF2259)', NULL, 'DUF2259', NULL, NULL, 17752, 8),
(26083, NULL, 'PF14413', NULL, NULL, 'Thg1 C terminal domain', NULL, 'Thg1C', NULL, NULL, 25034, 8),
(26084, NULL, 'PF03020', NULL, NULL, 'LEM domain', NULL, 'LEM', NULL, NULL, 4164, 8),
(26085, NULL, 'PF15486', NULL, NULL, 'Domain of unknown function (DUF4644)', NULL, 'DUF4644', NULL, NULL, 26810, 8),
(26086, NULL, 'PF06140', NULL, NULL, 'Interferon-induced 6-16 family', NULL, 'Ifi-6-16', NULL, NULL, 14583, 8),
(26087, NULL, 'PF07212', NULL, NULL, 'Hyaluronidase protein (HylP)', NULL, 'Hyaluronidase_1', NULL, NULL, 14612, 8),
(26088, NULL, 'PF10203', NULL, NULL, 'Cytochrome c oxidase assembly protein PET191', NULL, 'Pet191_N', NULL, NULL, 19070, 8),
(26089, NULL, 'PF00214', NULL, NULL, 'Calcitonin / CGRP / IAPP family', NULL, 'Calc_CGRP_IAPP', NULL, NULL, 17092, 8),
(26090, NULL, 'PF06861', NULL, NULL, 'BALF1 protein', NULL, 'BALF1', NULL, NULL, 9382, 8),
(26091, NULL, 'PF08361', NULL, NULL, 'MAATS-type transcriptional repressor, C-terminal region', NULL, 'TetR_C_2', NULL, NULL, 13426, 8),
(26092, NULL, 'PF14071', NULL, NULL, 'Putative coat protein', NULL, 'YlbD_coat', NULL, NULL, 22690, 8),
(26093, NULL, 'PF07637', NULL, NULL, 'Protein of unknown function (DUF1595)', NULL, 'PSD5', NULL, NULL, 10209, 8),
(26094, NULL, 'PF11495', NULL, NULL, 'Archaeal transcriptional regulator TrmB', NULL, 'Regulator_TrmB', NULL, NULL, 19245, 8),
(26095, NULL, 'PF03338', NULL, NULL, 'Poxvirus J1 protein', NULL, 'Pox_J1', NULL, NULL, 512, 8),
(26096, NULL, 'PF14196', NULL, NULL, 'L-2-amino-thiazoline-4-carboxylic acid hydrolase', NULL, 'ATC_hydrolase', NULL, NULL, 24076, 8),
(26097, NULL, 'PF05604', NULL, NULL, 'Protein of unknown function (DUF776)', NULL, 'DUF776', NULL, NULL, 12382, 8),
(26098, NULL, 'PF01147', NULL, NULL, 'Crustacean CHH/MIH/GIH neurohormone family', NULL, 'Crust_neurohorm', NULL, NULL, 26657, 8),
(26099, NULL, 'PF12287', NULL, NULL, 'Cytoplasmic activation/proliferation-associated protein-1 C term', NULL, 'Caprin-1_C', NULL, NULL, 20736, 8),
(26100, NULL, 'PF10689', NULL, NULL, 'Protein of unknown function (DUF2496)', NULL, 'DUF2496', NULL, NULL, 21250, 8),
(26101, NULL, 'PF00945', NULL, NULL, 'Rhabdovirus nucleocapsid protein', NULL, 'Rhabdo_ncap', NULL, NULL, 6884, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26102, NULL, 'PF14935', NULL, NULL, 'Transmembrane protein 138', NULL, 'TMEM138', NULL, NULL, 8426, 8),
(26103, NULL, 'PF17547', NULL, NULL, 'Family of unknown function (DUF5462)', NULL, 'DUF5462', NULL, NULL, 20148, 8),
(26104, NULL, 'PF02768', NULL, NULL, 'DNA polymerase III beta subunit, C-terminal domain', NULL, 'DNA_pol3_beta_3', NULL, NULL, 17444, 8),
(26105, NULL, 'PF14584', NULL, NULL, 'Protein of unknown function (DUF4446)', NULL, 'DUF4446', NULL, NULL, 27115, 8),
(26106, NULL, 'PF08713', NULL, NULL, 'DNA alkylation repair enzyme', NULL, 'DNA_alkylation', NULL, NULL, 11856, 8),
(26107, NULL, 'PF18454', NULL, NULL, 'Major tropism determinant N-terminal domain', NULL, 'Mtd_N', NULL, NULL, 31522, 8),
(26108, NULL, 'PF11874', NULL, NULL, 'Domain of unknown function (DUF3394)', NULL, 'DUF3394', NULL, NULL, 19899, 8),
(26109, NULL, 'PF14712', NULL, NULL, 'Snapin/Pallidin', NULL, 'Snapin_Pallidin', NULL, NULL, 22583, 8),
(26110, NULL, 'PF17030', NULL, NULL, 'Putative beta-lactamase-like family', NULL, 'Beta_lactamase3', NULL, NULL, 23249, 8),
(26111, NULL, 'PF03252', NULL, NULL, 'Herpesvirus UL21', NULL, 'Herpes_UL21', NULL, NULL, 1576, 8),
(26112, NULL, 'PF04495', NULL, NULL, 'GRASP55/65 PDZ-like domain', NULL, 'GRASP55_65', NULL, NULL, 25304, 8),
(26113, NULL, 'PF09125', NULL, NULL, 'Cytochrome C oxidase subunit II, transmembrane', NULL, 'COX2-transmemb', NULL, NULL, 10630, 8),
(26114, NULL, 'PF14830', NULL, NULL, 'Haemocyanin beta-sandwich', NULL, 'Haemocyan_bet_s', NULL, NULL, 28524, 8),
(26115, NULL, 'PF18550', NULL, NULL, 'Nitrososphaera output domain 2', NULL, 'NitrOD2', NULL, NULL, 31006, 8),
(26116, NULL, 'PF12717', NULL, NULL, 'non-SMC mitotic condensation complex subunit 1', NULL, 'Cnd1', NULL, NULL, 29056, 8),
(26117, NULL, 'PF14983', NULL, NULL, 'Domain of unknown function (DUF4513)', NULL, 'DUF4513', NULL, NULL, 25262, 8),
(26118, NULL, 'PF12700', NULL, NULL, 'HlyD family secretion protein', NULL, 'HlyD_2', NULL, NULL, 29039, 8),
(26119, NULL, 'PF06357', NULL, NULL, 'Omega-atracotoxin', NULL, 'Omega-toxin', NULL, NULL, 8049, 8),
(26120, NULL, 'PF06581', NULL, NULL, 'Mad1 and Cdc20-bound-Mad2 binding', NULL, 'p31comet', NULL, NULL, 9245, 8),
(26121, NULL, 'PF09213', NULL, NULL, 'M3', NULL, 'M3', NULL, NULL, 12946, 8),
(26122, NULL, 'PF18077', NULL, NULL, 'Domain of unknown function (DUF5595)', NULL, 'DUF5595', NULL, NULL, 30388, 8),
(26123, NULL, 'PF16157', NULL, NULL, 'Domain of unknown function (DUF4865)', NULL, 'DUF4865', NULL, NULL, 25814, 8),
(26124, NULL, 'PF08822', NULL, NULL, 'Protein of unknown function (DUF1804)', NULL, 'DUF1804', NULL, NULL, 14343, 8),
(26125, NULL, 'PF02606', NULL, NULL, 'Tetraacyldisaccharide-1-P 4''-kinase', NULL, 'LpxK', NULL, NULL, 2368, 8),
(26126, NULL, 'PF09252', NULL, NULL, 'Allergen Fel d I-B chain', NULL, 'Feld-I_B', NULL, NULL, 13692, 8),
(26127, NULL, 'PF02087', NULL, NULL, 'Nitrophorin', NULL, 'Nitrophorin', NULL, NULL, 6550, 8),
(26128, NULL, 'PF17466', NULL, NULL, 'Family of unknown function', NULL, 'NinD', NULL, NULL, 15781, 8),
(26129, NULL, 'PF01012', NULL, NULL, 'Electron transfer flavoprotein domain', NULL, 'ETF', NULL, NULL, 13500, 8),
(26130, NULL, 'PF14672', NULL, NULL, 'Late cornified envelope', NULL, 'LCE', NULL, NULL, 28969, 8),
(26131, NULL, 'PF14631', NULL, NULL, 'Fanconi anaemia protein FancD2 nuclease', NULL, 'FancD2', NULL, NULL, 27315, 8),
(26132, NULL, 'PF19044', NULL, NULL, 'TraG P-loop domain', NULL, 'P-loop_TraG', NULL, NULL, 37395, 8),
(26133, NULL, 'PF12094', NULL, NULL, 'Protein of unknown function (DUF3570)', NULL, 'DUF3570', NULL, NULL, 20543, 8),
(26134, NULL, 'PF14316', NULL, NULL, 'Domain of unknown function (DUF4381)', NULL, 'DUF4381', NULL, NULL, 28357, 8),
(26135, NULL, 'PF05716', NULL, NULL, 'A-kinase anchor protein 110 kDa (AKAP 110)', NULL, 'AKAP_110', NULL, NULL, 15683, 8),
(26136, NULL, 'PF11225', NULL, NULL, 'Protein of unknown function (DUF3024)', NULL, 'DUF3024', NULL, NULL, 18048, 8),
(26137, NULL, 'PF19931', NULL, NULL, 'Family of unknown function (DUF6394)', NULL, 'DUF6394', NULL, NULL, 36575, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26138, NULL, 'PF15803', NULL, NULL, 'Zinc-finger of sodium channel modifier 1', NULL, 'zf-SCNM1', NULL, NULL, 27746, 8),
(26139, NULL, 'PF00642', NULL, NULL, 'Zinc finger C-x8-C-x5-C-x3-H type (and similar)', NULL, 'zf-CCCH', NULL, NULL, 5824, 8),
(26140, NULL, 'PF05486', NULL, NULL, 'Signal recognition particle 9 kDa protein (SRP9)', NULL, 'SRP9-21', NULL, NULL, 35790, 8),
(26141, NULL, 'PF18382', NULL, NULL, 'Formin N-terminal GTPase-binding domain', NULL, 'Formin_GBD_N', NULL, NULL, 31647, 8),
(26142, NULL, 'PF07403', NULL, NULL, 'Protein of unknown function (DUF1505)', NULL, 'DUF1505', NULL, NULL, 8165, 8),
(26143, NULL, 'PF09368', NULL, NULL, 'Sas10 C-terminal domain', NULL, 'Sas10', NULL, NULL, 15181, 8),
(26144, NULL, 'PF03295', NULL, NULL, 'Poxvirus trans-activator protein A1 C-terminal', NULL, 'Pox_TAA1', NULL, NULL, 988, 8),
(26145, NULL, 'PF07700', NULL, NULL, 'Haem-NO-binding', NULL, 'HNOB', NULL, NULL, 10843, 8),
(26146, NULL, 'PF08426', NULL, NULL, 'ICE2', NULL, 'ICE2', NULL, NULL, 11376, 8),
(26147, NULL, 'PF10262', NULL, NULL, 'Rdx family', NULL, 'Rdx', NULL, NULL, 8897, 8),
(26148, NULL, 'PF15522', NULL, NULL, 'Novel toxin 14', NULL, 'Ntox14', NULL, NULL, 25306, 8),
(26149, NULL, 'PF09964', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2198)', NULL, 'DUF2198', NULL, NULL, 20382, 8),
(26150, NULL, 'PF12739', NULL, NULL, 'ER-Golgi trafficking TRAPP I complex 85 kDa subunit', NULL, 'TRAPPC-Trs85', NULL, NULL, 25232, 8),
(26151, NULL, 'PF12053', NULL, NULL, 'N-terminal of Par3 and HAL proteins', NULL, 'Par3_HAL_N_term', NULL, NULL, 20075, 8),
(26152, NULL, 'PF12550', NULL, NULL, 'Transcriptional activator of glycolytic enzymes', NULL, 'GCR1_C', NULL, NULL, 21187, 8),
(26153, NULL, 'PF15256', NULL, NULL, 'SPATIAL', NULL, 'SPATIAL', NULL, NULL, 34886, 8),
(26154, NULL, 'PF05179', NULL, NULL, 'RNA pol II accessory factor, Cdc73 family, C-terminal', NULL, 'CDC73_C', NULL, NULL, 27608, 8),
(26155, NULL, 'PF19066', NULL, NULL, 'Family of unknown function (DUF5762)', NULL, 'DUF5762', NULL, NULL, 37917, 8),
(26156, NULL, 'PF10759', NULL, NULL, 'Protein of unknown function (DUF2587)', NULL, 'DUF2587', NULL, NULL, 20583, 8),
(26157, NULL, 'PF15158', NULL, NULL, 'Domain of unknown function (DUF4579)', NULL, 'DUF4579', NULL, NULL, 27823, 8),
(26158, NULL, 'PF10363', NULL, NULL, 'Required for nuclear transport of RNA pol II C-terminus 1', NULL, 'RTP1_C1', NULL, NULL, 17744, 8),
(26159, NULL, 'PF11513', NULL, NULL, 'Thermoplasma acidophilum protein TA0956', NULL, 'TA0956', NULL, NULL, 19419, 8),
(26160, NULL, 'PF08958', NULL, NULL, 'Domain of unknown function (DUF1871)', NULL, 'DUF1871', NULL, NULL, 8795, 8),
(26161, NULL, 'PF09329', NULL, NULL, 'Primase zinc finger', NULL, 'zf-primase', NULL, NULL, 14373, 8),
(26162, NULL, 'PF01212', NULL, NULL, 'Beta-eliminating lyase', NULL, 'Beta_elim_lyase', NULL, NULL, 11330, 8),
(26163, NULL, 'PF00244', NULL, NULL, '14-3-3 protein', NULL, '14-3-3', NULL, NULL, 16037, 8),
(26164, NULL, 'PF02670', NULL, NULL, '1-deoxy-D-xylulose 5-phosphate reductoisomerase', NULL, 'DXP_reductoisom', NULL, NULL, 9956, 8),
(26165, NULL, 'PF05211', NULL, NULL, 'Neuraminyllactose-binding hemagglutinin precursor (NLBH)', NULL, 'NLBH', NULL, NULL, 3024, 8),
(26166, NULL, 'PF06946', NULL, NULL, 'Bacteriophage A118-like holin, Hol118', NULL, 'Phage_holin_5_1', NULL, NULL, 11860, 8),
(26167, NULL, 'PF14607', NULL, NULL, 'N-terminus of Esterase_SGNH_hydro-type', NULL, 'GxDLY', NULL, NULL, 22051, 8),
(26168, NULL, 'PF01864', NULL, NULL, 'CDP-archaeol synthase', NULL, 'CarS-like', NULL, NULL, 22325, 8),
(26169, NULL, 'PF12058', NULL, NULL, 'Protein of unknown function (DUF3539)', NULL, 'DUF3539', NULL, NULL, 20384, 8),
(26170, NULL, 'PF11877', NULL, NULL, 'Protein of unknown function (DUF3397)', NULL, 'DUF3397', NULL, NULL, 25799, 8),
(26171, NULL, 'PF17821', NULL, NULL, 'Family of unknown function (DUF5583)', NULL, 'DUF5583', NULL, NULL, 30568, 8),
(26172, NULL, 'PF03469', NULL, NULL, 'XH domain', NULL, 'XH', NULL, NULL, 6471, 8),
(26173, NULL, 'PF10013', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2256)', NULL, 'DUF2256', NULL, NULL, 20689, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26174, NULL, 'PF16249', NULL, NULL, 'Domain of unknown function (DUF4906)', NULL, 'DUF4906', NULL, NULL, 25365, 8),
(26175, NULL, 'PF19621', NULL, NULL, 'Family of unknown function (DUF6126)', NULL, 'DUF6126', NULL, NULL, 39600, 8),
(26176, NULL, 'PF00715', NULL, NULL, 'Interleukin 2', NULL, 'IL2', NULL, NULL, 3879, 8),
(26177, NULL, 'PF12627', NULL, NULL, 'Probable RNA and SrmB- binding site of polymerase A', NULL, 'PolyA_pol_RNAbd', NULL, NULL, 22376, 8),
(26178, NULL, 'PF19753', NULL, NULL, 'Family of unknown function (DUF6240)', NULL, 'DUF6240', NULL, NULL, 39658, 8),
(26179, NULL, 'PF06620', NULL, NULL, 'Protein of unknown function (DUF1150)', NULL, 'DUF1150', NULL, NULL, 10094, 8),
(26180, NULL, 'PF04688', NULL, NULL, 'SPP1 phage holin', NULL, 'Holin_SPP1', NULL, NULL, 6375, 8),
(26181, NULL, 'PF14954', NULL, NULL, 'Limb expression 1', NULL, 'LIX1', NULL, NULL, 22205, 8),
(26182, NULL, 'PF00640', NULL, NULL, 'Phosphotyrosine interaction domain (PTB/PID)', NULL, 'PID', NULL, NULL, 1147, 8),
(26183, NULL, 'PF15051', NULL, NULL, 'FAM198 protein', NULL, 'FAM198', NULL, NULL, 29387, 8),
(26184, NULL, 'PF02979', NULL, NULL, 'Nitrile hydratase, alpha chain', NULL, 'NHase_alpha', NULL, NULL, 3944, 8),
(26185, NULL, 'PF11264', NULL, NULL, 'Thylakoid formation protein', NULL, 'ThylakoidFormat', NULL, NULL, 21156, 8),
(26186, NULL, 'PF01677', NULL, NULL, 'Herpesvirus UL7 like', NULL, 'Herpes_UL7', NULL, NULL, 1897, 8),
(26187, NULL, 'PF12340', NULL, NULL, 'Protein of unknown function (DUF3638)', NULL, 'DUF3638', NULL, NULL, 20576, 8),
(26188, NULL, 'PF15028', NULL, NULL, 'Pre-T-cell antigen receptor', NULL, 'PTCRA', NULL, NULL, 22715, 8),
(26189, NULL, 'PF19103', NULL, NULL, 'Family of unknown function (DUF5790)', NULL, 'DUF5790', NULL, NULL, 38493, 8),
(26190, NULL, 'PF18180', NULL, NULL, 'SLOG cluster3 family', NULL, 'LD_cluster3', NULL, NULL, 31309, 8),
(26191, NULL, 'PF07323', NULL, NULL, 'Protein of unknown function (DUF1465)', NULL, 'DUF1465', NULL, NULL, 11911, 8),
(26192, NULL, 'PF19332', NULL, NULL, 'E3 ubiquitin-protein ligase RNF180 C-terminus', NULL, 'RNF180_C', NULL, NULL, 39556, 8),
(26193, NULL, 'PF17343', NULL, NULL, 'Family of unknown function (DUF5373)', NULL, 'DUF5373', NULL, NULL, 9667, 8),
(26194, NULL, 'PF01665', NULL, NULL, 'Rotavirus non-structural protein NSP3', NULL, 'Rota_NSP3', NULL, NULL, 5788, 8),
(26195, NULL, 'PF13982', NULL, NULL, 'YbfN-like lipoprotein', NULL, 'YbfN', NULL, NULL, 23826, 8),
(26196, NULL, 'PF15886', NULL, NULL, 'Carbohydrate binding domain (family 32)', NULL, 'CBM39', NULL, NULL, 27425, 8),
(26197, NULL, 'PF05893', NULL, NULL, 'Acyl-CoA reductase (LuxC)', NULL, 'LuxC', NULL, NULL, 13102, 8),
(26198, NULL, 'PF11157', NULL, NULL, 'Protein of unknown function (DUF2937)', NULL, 'DUF2937', NULL, NULL, 16979, 8),
(26199, NULL, 'PF04603', NULL, NULL, 'Ran-interacting Mog1 protein', NULL, 'Mog1', NULL, NULL, 776, 8),
(26200, NULL, 'PF02378', NULL, NULL, 'Phosphotransferase system, EIIC', NULL, 'PTS_EIIC', NULL, NULL, 4348, 8),
(26201, NULL, 'PF16532', NULL, NULL, 'Sf6-type phage tail needle knob or tip of some Caudovirales', NULL, 'Phage_tail_NK', NULL, NULL, 25621, 8),
(26202, NULL, 'PF00160', NULL, NULL, 'Cyclophilin type peptidyl-prolyl cis-trans isomerase/CLD', NULL, 'Pro_isomerase', NULL, NULL, 5330, 8),
(26203, NULL, 'PF11228', NULL, NULL, 'Protein of unknown function (DUF3027)', NULL, 'DUF3027', NULL, NULL, 18205, 8),
(26204, NULL, 'PF06762', NULL, NULL, 'Lipase maturation factor', NULL, 'LMF1', NULL, NULL, 1688, 8),
(26205, NULL, 'PF03625', NULL, NULL, 'Domain of unknown function DUF302', NULL, 'DUF302', NULL, NULL, 5176, 8),
(26206, NULL, 'PF14720', NULL, NULL, 'NiFe/NiFeSe hydrogenase small subunit C-terminal', NULL, 'NiFe_hyd_SSU_C', NULL, NULL, 27669, 8),
(26207, NULL, 'PF07321', NULL, NULL, 'Type III secretion protein YscO', NULL, 'YscO', NULL, NULL, 8438, 8),
(26208, NULL, 'PF08305', NULL, NULL, 'NPCBM/NEW2 domain', NULL, 'NPCBM', NULL, NULL, 12258, 8),
(26209, NULL, 'PF10552', NULL, NULL, 'ORF6C domain', NULL, 'ORF6C', NULL, NULL, 21040, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26210, NULL, 'PF16946', NULL, NULL, 'OMPG-porin 1 family', NULL, 'Porin_OmpG_1_2', NULL, NULL, 27382, 8),
(26211, NULL, 'PF18469', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_18', NULL, NULL, 31390, 8),
(26212, NULL, 'PF00329', NULL, NULL, 'Respiratory-chain NADH dehydrogenase, 30 Kd subunit', NULL, 'Complex1_30kDa', NULL, NULL, 244, 8),
(26213, NULL, 'PF12160', NULL, NULL, 'Fibrinogen alpha C domain', NULL, 'Fibrinogen_aC', NULL, NULL, 20594, 8),
(26214, NULL, 'PF17758', NULL, NULL, 'Proteasomal ATPase OB N-terminal domain', NULL, 'Prot_ATP_OB_N', NULL, NULL, 32454, 8),
(26215, NULL, 'PF03951', NULL, NULL, 'Glutamine synthetase, beta-Grasp domain', NULL, 'Gln-synt_N', NULL, NULL, 7217, 8),
(26216, NULL, 'PF10903', NULL, NULL, 'Protein of unknown function (DUF2691)', NULL, 'DUF2691', NULL, NULL, 19391, 8),
(26217, NULL, 'PF00317', NULL, NULL, 'Ribonucleotide reductase, all-alpha domain', NULL, 'Ribonuc_red_lgN', NULL, NULL, 9973, 8),
(26218, NULL, 'PF12691', NULL, NULL, 'Bacteriophage minor capsid protein', NULL, 'Minor_capsid_3', NULL, NULL, 22547, 8),
(26219, NULL, 'PF02722', NULL, NULL, 'Major Outer Sheath Protein C-terminal domain', NULL, 'MOSP_C', NULL, NULL, 4209, 8),
(26220, NULL, 'PF02814', NULL, NULL, 'UreE urease accessory protein, N-terminal domain', NULL, 'UreE_N', NULL, NULL, 891, 8),
(26221, NULL, 'PF08687', NULL, NULL, 'Apx/Shroom domain ASD2', NULL, 'ASD2', NULL, NULL, 11806, 8),
(26222, NULL, 'PF08077', NULL, NULL, 'Chloramphenicol resistance gene leader peptide', NULL, 'Cm_res_leader', NULL, NULL, 8823, 8),
(26223, NULL, 'PF06427', NULL, NULL, 'UDP-glucose:Glycoprotein Glucosyltransferase', NULL, 'UDP-g_GGTase', NULL, NULL, 8478, 8),
(26224, NULL, 'PF19269', NULL, NULL, 'Anticodon binding domain', NULL, 'Anticodon_2', NULL, NULL, 39509, 8),
(26225, NULL, 'PF10704', NULL, NULL, 'Protein of unknown function (DUF2508)', NULL, 'DUF2508', NULL, NULL, 21152, 8),
(26226, NULL, 'PF00128', NULL, NULL, 'Alpha amylase, catalytic domain', NULL, 'Alpha-amylase', NULL, NULL, 2599, 8),
(26227, NULL, 'PF15518', NULL, NULL, 'L protein N-terminus', NULL, 'L_protein_N', NULL, NULL, 25239, 8),
(26228, NULL, 'PF03348', NULL, NULL, 'Serine incorporator (Serinc)', NULL, 'Serinc', NULL, NULL, 975, 8),
(26229, NULL, 'PF06521', NULL, NULL, 'PAR1 protein', NULL, 'PAR1', NULL, NULL, 9318, 8),
(26230, NULL, 'PF01298', NULL, NULL, 'C-lobe and N-lobe beta barrels of Tf-binding protein B', NULL, 'TbpB_B_D', NULL, NULL, 3212, 8),
(26231, NULL, 'PF19559', NULL, NULL, 'Family of unknown function (DUF6081)', NULL, 'DUF6081', NULL, NULL, 37222, 8),
(26232, NULL, 'PF10777', NULL, NULL, 'Inner membrane protein YlaC', NULL, 'YlaC', NULL, NULL, 21060, 8),
(26233, NULL, 'PF19679', NULL, NULL, 'Family of unknown function (DUF6181)', NULL, 'DUF6181', NULL, NULL, 38825, 8),
(26234, NULL, 'PF19938', NULL, NULL, 'Family of unknown function (DUF6400)', NULL, 'DUF6400', NULL, NULL, 38859, 8),
(26235, NULL, 'PF15565', NULL, NULL, 'Immunity protein 30', NULL, 'Imm30', NULL, NULL, 26200, 8),
(26236, NULL, 'PF18748', NULL, NULL, 'P-loop Nucleotide Kinase1', NULL, 'Ploopntkinase1', NULL, NULL, 29861, 8),
(26237, NULL, 'PF04384', NULL, NULL, 'Iron-sulphur cluster assembly', NULL, 'Fe-S_assembly', NULL, NULL, 10200, 8),
(26238, NULL, 'PF05505', NULL, NULL, 'Ebola nucleoprotein', NULL, 'Ebola_NP', NULL, NULL, 14238, 8),
(26239, NULL, 'PF09983', NULL, NULL, 'Uncharacterized protein conserved in bacteria C-term(DUF2220)', NULL, 'DUF2220', NULL, NULL, 23784, 8),
(26240, NULL, 'PF02177', NULL, NULL, 'Amyloid A4 N-terminal heparin-binding', NULL, 'APP_N', NULL, NULL, 12687, 8),
(26241, NULL, 'PF08866', NULL, NULL, 'Putative amino acid metabolism', NULL, 'DUF1831', NULL, NULL, 14325, 8),
(26242, NULL, 'PF19815', NULL, NULL, 'Family of unknown function (DUF6298)', NULL, 'DUF6298', NULL, NULL, 39667, 8),
(26243, NULL, 'PF03738', NULL, NULL, 'Glutathionylspermidine synthase preATP-grasp', NULL, 'GSP_synth', NULL, NULL, 587, 8),
(26244, NULL, 'PF07579', NULL, NULL, 'Domain of Unknown Function (DUF1548)', NULL, 'DUF1548', NULL, NULL, 8900, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26245, NULL, 'PF11003', NULL, NULL, 'Protein of unknown function (DUF2842)', NULL, 'DUF2842', NULL, NULL, 17542, 8),
(26246, NULL, 'PF14440', NULL, NULL, 'Xanthomonas XOO_2897-like deaminase', NULL, 'XOO_2897-deam', NULL, NULL, 29035, 8),
(26247, NULL, 'PF13688', NULL, NULL, 'Metallo-peptidase family M12', NULL, 'Reprolysin_5', NULL, NULL, NULL, 8),
(26248, NULL, 'PF14031', NULL, NULL, 'Putative serine dehydratase domain', NULL, 'D-ser_dehydrat', NULL, NULL, 27665, 8),
(26249, NULL, 'PF11459', NULL, NULL, 'Transcriptional regulator, AbiEi antitoxin, Type IV TA system', NULL, 'AbiEi_3', NULL, NULL, 18652, 8),
(26250, NULL, 'PF01423', NULL, NULL, 'LSM domain', NULL, 'LSM', NULL, NULL, 1466, 8),
(26251, NULL, 'PF10562', NULL, NULL, 'Calmodulin-binding domain C0 of NMDA receptor NR1 subunit', NULL, 'CaM_bdg_C0', NULL, NULL, 21199, 8),
(26252, NULL, 'PF17081', NULL, NULL, 'Suppressor of PMA 1-7 protein', NULL, 'SOP4', NULL, NULL, 25205, 8),
(26253, NULL, 'PF10791', NULL, NULL, 'Mitochondrial F1-F0 ATP synthase subunit F of fungi', NULL, 'F1F0-ATPsyn_F', NULL, NULL, 21141, 8),
(26254, NULL, 'PF11349', NULL, NULL, 'Protein of unknown function (DUF3151)', NULL, 'DUF3151', NULL, NULL, 10064, 8),
(26255, NULL, 'PF14190', NULL, NULL, 'Domain of unknown function (DUF4313)', NULL, 'DUF4313', NULL, NULL, 28156, 8),
(26256, NULL, 'PF03159', NULL, NULL, 'XRN 5''-3'' exonuclease N-terminus', NULL, 'XRN_N', NULL, NULL, 7229, 8),
(26257, NULL, 'PF19696', NULL, NULL, 'Family of unknown function (DUF6196)', NULL, 'DUF6196', NULL, NULL, 38758, 8),
(26258, NULL, 'PF00745', NULL, NULL, 'Glutamyl-tRNAGlu reductase, dimerisation domain', NULL, 'GlutR_dimer', NULL, NULL, 7618, 8),
(26259, NULL, 'PF02775', NULL, NULL, 'Thiamine pyrophosphate enzyme, C-terminal TPP binding domain', NULL, 'TPP_enzyme_C', NULL, NULL, 11309, 8),
(26260, NULL, 'PF15903', NULL, NULL, 'Filopodia upregulated, FAM65', NULL, 'PL48', NULL, NULL, 27169, 8),
(26261, NULL, 'PF13572', NULL, NULL, 'Domain of unknown function (DUF4134)', NULL, 'DUF4134', NULL, NULL, 23225, 8),
(26262, NULL, 'PF14592', NULL, NULL, 'Chondroitinase B', NULL, 'Chondroitinas_B', NULL, NULL, 36312, 8),
(26263, NULL, 'PF12124', NULL, NULL, 'Betacoronavirus SUD-C domain', NULL, 'bCoV_SUD_C', NULL, NULL, 17442, 8),
(26264, NULL, 'PF15121', NULL, NULL, 'TMEM71 protein family', NULL, 'TMEM71', NULL, NULL, 26843, 8),
(26265, NULL, 'PF08386', NULL, NULL, 'TAP-like protein', NULL, 'Abhydrolase_4', NULL, NULL, 12209, 8),
(26266, NULL, 'PF11086', NULL, NULL, 'Protein of unknown function (DUF2878)', NULL, 'DUF2878', NULL, NULL, 17970, 8),
(26267, NULL, 'PF07429', NULL, NULL, '4-alpha-L-fucosyltransferase glycosyl transferase group 56', NULL, 'Glyco_transf_56', NULL, NULL, 9025, 8),
(26268, NULL, 'PF09048', NULL, NULL, 'Cro', NULL, 'Cro', NULL, NULL, 4328, 8),
(26269, NULL, 'PF05349', NULL, NULL, 'GATA-type transcription activator, N-terminal', NULL, 'GATA-N', NULL, NULL, 5416, 8),
(26270, NULL, 'PF14313', NULL, NULL, 'N-terminal region of Paramyxovirinae phosphoprotein (P)', NULL, 'Soyouz_module', NULL, NULL, 23022, 8),
(26271, NULL, 'PF19179', NULL, NULL, 'Domain of unknown function (DUF5861)', NULL, 'DUF5861', NULL, NULL, 37090, 8),
(26272, NULL, 'PF17314', NULL, NULL, 'Family of unknown function (DUF5360)', NULL, 'DUF5360', NULL, NULL, 19737, 8),
(26273, NULL, 'PF06056', NULL, NULL, 'Putative ATPase subunit of terminase (gpP-like)', NULL, 'Terminase_5', NULL, NULL, 8692, 8),
(26274, NULL, 'PF00164', NULL, NULL, 'Ribosomal protein S12/S23', NULL, 'Ribosom_S12_S23', NULL, NULL, 1096, 8),
(26275, NULL, 'PF06207', NULL, NULL, 'Protein of unknown function (DUF1002)', NULL, 'DUF1002', NULL, NULL, 14877, 8),
(26276, NULL, 'PF14009', NULL, NULL, 'PADRE domain', NULL, 'PADRE', NULL, NULL, 22609, 8),
(26277, NULL, 'PF19729', NULL, NULL, 'F-box/LRR-repeat protein 18 C-terminal', NULL, 'FBXL18_C', NULL, NULL, 38775, 8),
(26278, NULL, 'PF00320', NULL, NULL, 'GATA zinc finger', NULL, 'GATA', NULL, NULL, 3540, 8),
(26279, NULL, 'PF18147', NULL, NULL, 'Suv3 C-terminal domain 1', NULL, 'Suv3_C_1', NULL, NULL, 31373, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26280, NULL, 'PF18875', NULL, NULL, 'AF4 interaction motif', NULL, 'AF4_int', NULL, NULL, 37635, 8),
(26281, NULL, 'PF09019', NULL, NULL, 'EcoRII C terminal', NULL, 'EcoRII-C', NULL, NULL, 9730, 8),
(26282, NULL, 'PF17677', NULL, NULL, 'Glycosyl hydrolases family 38 C-terminal beta sandwich domain', NULL, 'Glyco_hydro38C2', NULL, NULL, 31180, 8),
(26283, NULL, 'PF12999', NULL, NULL, 'Glucosidase II beta subunit-like', NULL, 'PRKCSH-like', NULL, NULL, 22852, 8),
(26284, NULL, 'PF09025', NULL, NULL, 'YopR, type III needle-polymerisation regulator', NULL, 'T3SS_needle_reg', NULL, NULL, 18788, 8),
(26285, NULL, 'PF04048', NULL, NULL, 'Sec8 exocyst complex component specific domain', NULL, 'Sec8_exocyst', NULL, NULL, 1323, 8),
(26286, NULL, 'PF15037', NULL, NULL, 'Interleukin-17 receptor extracellular region', NULL, 'IL17_R_N', NULL, NULL, 22873, 8),
(26287, NULL, 'PF19958', NULL, NULL, 'Effector-associated domain 6', NULL, 'EAD6', NULL, NULL, 38452, 8),
(26288, NULL, 'PF07717', NULL, NULL, 'Oligonucleotide/oligosaccharide-binding (OB)-fold', NULL, 'OB_NTP_bind', NULL, NULL, 8028, 8),
(26289, NULL, 'PF12611', NULL, NULL, 'Putative flagellar', NULL, 'Flagellar_put', NULL, NULL, 18870, 8),
(26290, NULL, 'PF17047', NULL, NULL, 'Synaptotagmin-like mitochondrial-lipid-binding domain', NULL, 'SMP_LBD', NULL, NULL, 34949, 8),
(26291, NULL, 'PF06217', NULL, NULL, 'GAGA binding protein-like family', NULL, 'GAGA_bind', NULL, NULL, 9833, 8),
(26292, NULL, 'PF18479', NULL, NULL, 'PIN like domain', NULL, 'PIN_11', NULL, NULL, 31864, 8),
(26293, NULL, 'PF01628', NULL, NULL, 'HrcA protein C terminal domain', NULL, 'HrcA', NULL, NULL, 15678, 8),
(26294, NULL, 'PF12083', NULL, NULL, 'Domain of unknown function (DUF3560)', NULL, 'DUF3560', NULL, NULL, 20425, 8),
(26295, NULL, 'PF14454', NULL, NULL, 'Prokaryotic Ubiquitin', NULL, 'Prok_Ub', NULL, NULL, 26734, 8),
(26296, NULL, 'PF03781', NULL, NULL, 'Sulfatase-modifying factor enzyme 1', NULL, 'FGE-sulfatase', NULL, NULL, 1669, 8),
(26297, NULL, 'PF14553', NULL, NULL, 'YqbF, hypothetical protein domain', NULL, 'YqbF', NULL, NULL, 25946, 8),
(26298, NULL, 'PF04554', NULL, NULL, 'Extensin-like region', NULL, 'Extensin_2', NULL, NULL, 2231, 8),
(26299, NULL, 'PF18589', NULL, NULL, 'Obesity receptor immunoglobulin like domain', NULL, 'ObR_Ig', NULL, NULL, 31081, 8),
(26300, NULL, 'PF09856', NULL, NULL, 'Short-chain fatty acyl coenzyme A regulators', NULL, 'ScfRs', NULL, NULL, 16655, 8),
(26301, NULL, 'PF01694', NULL, NULL, 'Rhomboid family', NULL, 'Rhomboid', NULL, NULL, 20139, 8),
(26302, NULL, 'PF02970', NULL, NULL, 'Tubulin binding cofactor A', NULL, 'TBCA', NULL, NULL, 3992, 8),
(26303, NULL, 'PF14573', NULL, NULL, 'Acyl-carrier', NULL, 'PP-binding_2', NULL, NULL, 6163, 8),
(26304, NULL, 'PF15844', NULL, NULL, 'Transmembrane and coiled-coil domain-containing protein 2', NULL, 'TMCCDC2', NULL, NULL, 28430, 8),
(26305, NULL, 'PF06833', NULL, NULL, 'Malonate decarboxylase gamma subunit (MdcE)', NULL, 'MdcE', NULL, NULL, NULL, 8),
(26306, NULL, 'PF18022', NULL, NULL, 'Ricin-type beta-trefoil lectin C-terminal domain', NULL, 'Lectin_C_term', NULL, NULL, NULL, 8),
(26307, NULL, 'PF18928', NULL, NULL, 'Family of unknown function (DUF5677)', NULL, 'DUF5677', NULL, NULL, 38129, 8),
(26308, NULL, 'PF19590', NULL, NULL, 'TrbL/VirB6 plasmid conjugal transfer like protein', NULL, 'TrbL_3', NULL, NULL, 36762, 8),
(26309, NULL, 'PF14739', NULL, NULL, 'Domain of unknown function (DUF4472)', NULL, 'DUF4472', NULL, NULL, 21580, 8),
(26310, NULL, 'PF14325', NULL, NULL, 'Domain of unknown function (DUF4383)', NULL, 'DUF4383', NULL, NULL, 28032, 8),
(26311, NULL, 'PF17516', NULL, NULL, 'ProQ C-terminal domain', NULL, 'ProQ_C', NULL, NULL, 15856, 8),
(26312, NULL, 'PF12378', NULL, NULL, 'Trypsin-sensitive surface-exposed protein', NULL, 'CytadhesinP1', NULL, NULL, 21062, 8),
(26313, NULL, 'PF15198', NULL, NULL, 'Dexamethasone-induced', NULL, 'Dexa_ind', NULL, NULL, 18865, 8),
(26314, NULL, 'PF12069', NULL, NULL, 'Protein of unknown function (DUF3549)', NULL, 'DUF3549', NULL, NULL, 20477, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26315, NULL, 'PF01486', NULL, NULL, 'K-box region', NULL, 'K-box', NULL, NULL, 846, 8),
(26316, NULL, 'PF07939', NULL, NULL, 'Protein of unknown function (DUF1685)', NULL, 'DUF1685', NULL, NULL, 13493, 8),
(26317, NULL, 'PF10980', NULL, NULL, 'Protein of unknown function (DUF2787)', NULL, 'DUF2787', NULL, NULL, 17521, 8),
(26318, NULL, 'PF02837', NULL, NULL, 'Glycosyl hydrolases family 2, sugar binding domain', NULL, 'Glyco_hydro_2_N', NULL, NULL, 10271, 8),
(26319, NULL, 'PF16172', NULL, NULL, 'DOCK N-terminus', NULL, 'DOCK_N', NULL, NULL, 28265, 8),
(26320, NULL, 'PF01687', NULL, NULL, 'Riboflavin kinase', NULL, 'Flavokinase', NULL, NULL, 12694, 8),
(26321, NULL, 'PF19783', NULL, NULL, 'Domain of unknown function (DUF6268)', NULL, 'DUF6268', NULL, NULL, 39581, 8),
(26322, NULL, 'PF04076', NULL, NULL, 'Bacterial OB fold (BOF) protein', NULL, 'BOF', NULL, NULL, 11310, 8),
(26323, NULL, 'PF03202', NULL, NULL, 'Putative mycoplasma lipoprotein, C-terminal region', NULL, 'Lipoprotein_10', NULL, NULL, 489, 8),
(26324, NULL, 'PF17293', NULL, NULL, 'Arm DNA-binding domain', NULL, 'Arm-DNA-bind_5', NULL, NULL, 14589, 8),
(26325, NULL, 'PF15254', NULL, NULL, 'Coiled-coil domain-containing protein 14', NULL, 'CCDC14', NULL, NULL, 24631, 8),
(26326, NULL, 'PF04005', NULL, NULL, 'Hus1-like protein', NULL, 'Hus1', NULL, NULL, 291, 8),
(26327, NULL, 'PF12507', NULL, NULL, 'Human Cytomegalovirus UL139 protein', NULL, 'HCMV_UL139', NULL, NULL, 15498, 8),
(26328, NULL, 'PF10490', NULL, NULL, 'Rb-binding domain of kinetochore protein Cenp-F/LEK1', NULL, 'CENP-F_C_Rb_bdg', NULL, NULL, 20090, 8),
(26329, NULL, 'PF18898', NULL, NULL, 'Family of unknown function (DUF5654)', NULL, 'DUF5654', NULL, NULL, 38461, 8),
(26330, NULL, 'PF04478', NULL, NULL, 'Mid2 like cell wall stress sensor', NULL, 'Mid2', NULL, NULL, 1599, 8),
(26331, NULL, 'PF08469', NULL, NULL, 'Nucleoside triphosphatase I C-terminal', NULL, 'NPHI_C', NULL, NULL, 13836, 8),
(26332, NULL, 'PF15708', NULL, NULL, 'Proline-rich protein family 20', NULL, 'PRR20', NULL, NULL, 27065, 8),
(26333, NULL, 'PF12508', NULL, NULL, 'Conjugative transposon, TraM', NULL, 'Transposon_TraM', NULL, NULL, 21433, 8),
(26334, NULL, 'PF02254', NULL, NULL, 'TrkA-N domain', NULL, 'TrkA_N', NULL, NULL, 1844, 8),
(26335, NULL, 'PF09925', NULL, NULL, 'Predicted membrane protein (DUF2157)', NULL, 'DUF2157', NULL, NULL, 17113, 8),
(26336, NULL, 'PF18699', NULL, NULL, 'Mitoribosomal protein mL52', NULL, 'MRPL52', NULL, NULL, 11647, 8),
(26337, NULL, 'PF13622', NULL, NULL, 'Thioesterase-like superfamily', NULL, '4HBT_3', NULL, NULL, NULL, 8),
(26338, NULL, 'PF16451', NULL, NULL, 'Betacoronavirus-like spike glycoprotein S1, N-terminal', NULL, 'bCoV_S1_N', NULL, NULL, 22726, 8),
(26339, NULL, 'PF08943', NULL, NULL, 'CsiD', NULL, 'CsiD', NULL, NULL, 7961, 8),
(26340, NULL, 'PF13655', NULL, NULL, 'N-terminal domain of reverse transcriptase', NULL, 'RVT_N', NULL, NULL, 25227, 8),
(26341, NULL, 'PF10731', NULL, NULL, 'Thrombin inhibitor from mosquito', NULL, 'Anophelin', NULL, NULL, 15031, 8),
(26342, NULL, 'PF17400', NULL, NULL, 'Family of unknown function (DUF5406)', NULL, 'DUF5406', NULL, NULL, 14679, 8),
(26343, NULL, 'PF15390', NULL, NULL, 'WD repeat and coiled-coil-containing protein family', NULL, 'WDCP', NULL, NULL, 26175, 8),
(26344, NULL, 'PF19964', NULL, NULL, 'Effector-associated domain 11', NULL, 'EAD11', NULL, NULL, 39562, 8),
(26345, NULL, 'PF15948', NULL, NULL, 'Domain of unknown function (DUF4756)', NULL, 'DUF4756', NULL, NULL, 22835, 8),
(26346, NULL, 'PF17007', NULL, NULL, 'HTH-like', NULL, 'HTH_micro', NULL, NULL, 25411, 8),
(26347, NULL, 'PF05506', NULL, NULL, 'Domain of unknown function (DUF756)', NULL, 'DUF756', NULL, NULL, 12433, 8),
(26348, NULL, 'PF14869', NULL, NULL, 'Domain of unknown function (DUF4488)', NULL, 'DUF4488', NULL, NULL, 25568, 8),
(26349, NULL, 'PF04368', NULL, NULL, 'Protein of unknown function (DUF507)', NULL, 'DUF507', NULL, NULL, 4745, 8),
(26350, NULL, 'PF14733', NULL, NULL, 'AP2-coincident C-terminal', NULL, 'ACDC', NULL, NULL, 23535, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26351, NULL, 'PF15959', NULL, NULL, 'Domain of unknown function (DUF4762)', NULL, 'DUF4762', NULL, NULL, 28666, 8),
(26352, NULL, 'PF19442', NULL, NULL, 'Cysteine-rich motor neuron 1 protein C-terminal', NULL, 'CRIM1_C', NULL, NULL, 36652, 8),
(26353, NULL, 'PF01619', NULL, NULL, 'Proline dehydrogenase', NULL, 'Pro_dh', NULL, NULL, 5659, 8),
(26354, NULL, 'PF07688', NULL, NULL, 'KaiA C-terminal domain', NULL, 'KaiA', NULL, NULL, 21107, 8),
(26355, NULL, 'PF15433', NULL, NULL, 'Mitochondrial 28S ribosomal protein S31', NULL, 'MRP-S31', NULL, NULL, 27822, 8),
(26356, NULL, 'PF15517', NULL, NULL, 'TBP-interacting protein N-terminus', NULL, 'TBPIP_N', NULL, NULL, 25294, 8),
(26357, NULL, 'PF17204', NULL, NULL, 'Sid-5 family', NULL, 'Sid-5', NULL, NULL, 31326, 8),
(26358, NULL, 'PF05351', NULL, NULL, 'GMP-PDE, delta subunit', NULL, 'GMP_PDE_delta', NULL, NULL, 5098, 8),
(26359, NULL, 'PF11414', NULL, NULL, 'Adenomatous polyposis coli tumour suppressor protein', NULL, 'Suppressor_APC', NULL, NULL, NULL, 8),
(26360, NULL, 'PF17446', NULL, NULL, 'Late transcription unit A', NULL, 'LtuA', NULL, NULL, 36336, 8),
(26361, NULL, 'PF03080', NULL, NULL, 'Neprosin', NULL, 'Neprosin', NULL, NULL, 4560, 8),
(26362, NULL, 'PF13608', NULL, NULL, 'Protein P3 of Potyviral polyprotein', NULL, 'Potyvirid-P3', NULL, NULL, 36106, 8),
(26363, NULL, 'PF10087', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2325)', NULL, 'DUF2325', NULL, NULL, 15306, 8),
(26364, NULL, 'PF08973', NULL, NULL, 'Domain of unknown function (DUF1893)', NULL, 'TM1506', NULL, NULL, 8819, 8),
(26365, NULL, 'PF03211', NULL, NULL, 'Pectate lyase', NULL, 'Pectate_lyase', NULL, NULL, 1693, 8),
(26366, NULL, 'PF02060', NULL, NULL, 'Slow voltage-gated potassium channel', NULL, 'ISK_Channel', NULL, NULL, 412, 8),
(26367, NULL, 'PF00331', NULL, NULL, 'Glycosyl hydrolase family 10', NULL, 'Glyco_hydro_10', NULL, NULL, 3452, 8),
(26368, NULL, 'PF16034', NULL, NULL, 'JAKMIP CC3 domain', NULL, 'JAKMIP_CC3', NULL, NULL, 23198, 8),
(26369, NULL, 'PF18738', NULL, NULL, 'DZIP3/ hRUL138-like HEPN', NULL, 'HEPN_DZIP3', NULL, NULL, 31078, 8),
(26370, NULL, 'PF05051', NULL, NULL, 'Cytochrome C oxidase copper chaperone (COX17)', NULL, 'COX17', NULL, NULL, 1378, 8),
(26371, NULL, 'PF16159', NULL, NULL, 'FOXP coiled-coil domain', NULL, 'FOXP-CC', NULL, NULL, 25715, 8),
(26372, NULL, 'PF11511', NULL, NULL, 'Intrinsic membrane protein PufX', NULL, 'RhodobacterPufX', NULL, NULL, 13658, 8),
(26373, NULL, 'PF14620', NULL, NULL, 'YpeB sporulation', NULL, 'YPEB', NULL, NULL, 10747, 8),
(26374, NULL, 'PF14969', NULL, NULL, 'Domain of unknown function (DUF4508)', NULL, 'DUF4508', NULL, NULL, 22116, 8),
(26375, NULL, 'PF09615', NULL, NULL, 'CRISPR-associated protein (Cas_Csy3)', NULL, 'Cas_Csy3', NULL, NULL, 11679, 8),
(26376, NULL, 'PF06742', NULL, NULL, 'Protein of unknown function (DUF1214)', NULL, 'DUF1214', NULL, NULL, 9127, 8),
(26377, NULL, 'PF02197', NULL, NULL, 'Regulatory subunit of type II PKA R-subunit', NULL, 'RIIa', NULL, NULL, 1548, 8),
(26378, NULL, 'PF11410', NULL, NULL, 'Antifungal peptide', NULL, 'Antifungal_pept', NULL, NULL, 9678, 8),
(26379, NULL, 'PF09973', NULL, NULL, 'Predicted membrane protein (DUF2208)', NULL, 'DUF2208', NULL, NULL, 9895, 8),
(26380, NULL, 'PF04613', NULL, NULL, 'UDP-3-O-[3-hydroxymyristoyl] glucosamine N-acyltransferase, LpxD', NULL, 'LpxD', NULL, NULL, 19780, 8),
(26381, NULL, 'PF10234', NULL, NULL, 'Clusterin-associated protein-1', NULL, 'Cluap1', NULL, NULL, 15971, 8),
(26382, NULL, 'PF16904', NULL, NULL, 'Phosphoribosylformylglycinamidine synthase II C-terminus', NULL, 'PurL_C', NULL, NULL, 22427, 8),
(26383, NULL, 'PF07382', NULL, NULL, 'Histone H1-like nucleoprotein HC2', NULL, 'HC2', NULL, NULL, 8017, 8),
(26384, NULL, 'PF12912', NULL, NULL, 'NLPC_P60 stabilising domain, N term', NULL, 'N_NLPC_P60', NULL, NULL, 24165, 8),
(26385, NULL, 'PF03873', NULL, NULL, 'Anti sigma-E protein RseA, C-terminal domain', NULL, 'RseA_C', NULL, NULL, 1966, 8),
(26386, NULL, 'PF04070', NULL, NULL, 'Domain of unknown function (DUF378)', NULL, 'DUF378', NULL, NULL, 6225, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26387, NULL, 'PF01156', NULL, NULL, 'Inosine-uridine preferring nucleoside hydrolase', NULL, 'IU_nuc_hydro', NULL, NULL, 4028, 8),
(26388, NULL, 'PF03392', NULL, NULL, 'Insect pheromone-binding family, A10/OS-D', NULL, 'OS-D', NULL, NULL, 2224, 8),
(26389, NULL, 'PF07757', NULL, NULL, 'Predicted AdoMet-dependent methyltransferase', NULL, 'AdoMet_MTase', NULL, NULL, 10591, 8),
(26390, NULL, 'PF15785', NULL, NULL, 'Serine/threonine-protein kinase smg-1', NULL, 'SMG1', NULL, NULL, 25243, 8),
(26391, NULL, 'PF19375', NULL, NULL, 'Family of unknown function (DUF5950)', NULL, 'DUF5950', NULL, NULL, 39146, 8),
(26392, NULL, 'PF00431', NULL, NULL, 'CUB domain', NULL, 'CUB', NULL, NULL, 3196, 8),
(26393, NULL, 'PF07958', NULL, NULL, 'Protein of unknown function (DUF1688)', NULL, 'DUF1688', NULL, NULL, 14574, 8),
(26394, NULL, 'PF00064', NULL, NULL, 'Neuraminidase', NULL, 'Neur', NULL, NULL, 4376, 8),
(26395, NULL, 'PF08465', NULL, NULL, 'Thymidine kinase from Herpesvirus C-terminal', NULL, 'Herpes_TK_C', NULL, NULL, 13549, 8),
(26396, NULL, 'PF05543', NULL, NULL, 'Staphopain peptidase C47', NULL, 'Peptidase_C47', NULL, NULL, 12396, 8),
(26397, NULL, 'PF10114', NULL, NULL, 'Sensory domain found in PocR', NULL, 'PocR', NULL, NULL, 18777, 8),
(26398, NULL, 'PF12663', NULL, NULL, 'Protein of unknown function (DUF3788)', NULL, 'DUF3788', NULL, NULL, 20210, 8),
(26399, NULL, 'PF13567', NULL, NULL, 'Domain of unknown function (DUF4131)', NULL, 'DUF4131', NULL, NULL, 23387, 8),
(26400, NULL, 'PF13958', NULL, NULL, 'Toxin ToxN, type III toxin-antitoxin system', NULL, 'ToxN_toxin', NULL, NULL, 24225, 8),
(26401, NULL, 'PF17719', NULL, NULL, 'Family of unknown function (DUF5564)', NULL, 'DUF5564', NULL, NULL, 30644, 8),
(26402, NULL, 'PF14237', NULL, NULL, 'GYF domain 2', NULL, 'GYF_2', NULL, NULL, 26319, 8),
(26403, NULL, 'PF13714', NULL, NULL, 'Phosphoenolpyruvate phosphomutase', NULL, 'PEP_mutase', NULL, NULL, NULL, 8),
(26404, NULL, 'PF09055', NULL, NULL, 'Nickel-containing superoxide dismutase', NULL, 'Sod_Ni', NULL, NULL, 13665, 8),
(26405, NULL, 'PF00496', NULL, NULL, 'Bacterial extracellular solute-binding proteins, family 5 Middle', NULL, 'SBP_bac_5', NULL, NULL, 390, 8),
(26406, NULL, 'PF02909', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_1', NULL, NULL, 1515, 8),
(26407, NULL, 'PF03596', NULL, NULL, 'Cadmium resistance transporter', NULL, 'Cad', NULL, NULL, 3240, 8),
(26408, NULL, 'PF00525', NULL, NULL, 'Alpha crystallin A chain, N terminal', NULL, 'Crystallin', NULL, NULL, 841, 8),
(26409, NULL, 'PF16356', NULL, NULL, 'Domain of unknown function (DUF4983)', NULL, 'DUF4983', NULL, NULL, 26584, 8),
(26410, NULL, 'PF01436', NULL, NULL, 'NHL repeat', NULL, 'NHL', NULL, NULL, 2106, 8),
(26411, NULL, 'PF08742', NULL, NULL, 'C8 domain', NULL, 'C8', NULL, NULL, 12648, 8),
(26412, NULL, 'PF01658', NULL, NULL, 'Myo-inositol-1-phosphate synthase', NULL, 'Inos-1-P_synth', NULL, NULL, 14097, 8),
(26413, NULL, 'PF12781', NULL, NULL, 'ATP-binding dynein motor region', NULL, 'AAA_9', NULL, NULL, 31296, 8),
(26414, NULL, 'PF14072', NULL, NULL, 'DNA-sulfur modification-associated', NULL, 'DndB', NULL, NULL, 16913, 8),
(26415, NULL, 'PF14421', NULL, NULL, 'A distinct subfamily of CDD/CDA-like deaminases', NULL, 'LmjF365940-deam', NULL, NULL, 28454, 8),
(26416, NULL, 'PF16171', NULL, NULL, 'Centromere kinetochore component CENP-T N-terminus', NULL, 'CENP-T_N', NULL, NULL, 28278, 8),
(26417, NULL, 'PF00548', NULL, NULL, '3C cysteine protease (picornain 3C)', NULL, 'Peptidase_C3', NULL, NULL, 3900, 8),
(26418, NULL, 'PF18775', NULL, NULL, 'APOBEC4', NULL, 'APOBEC4', NULL, NULL, NULL, 8),
(26419, NULL, 'PF04708', NULL, NULL, 'Poxvirus F16 protein', NULL, 'Pox_F16', NULL, NULL, 3507, 8),
(26420, NULL, 'PF09443', NULL, NULL, 'Cripto_Frl-1_Cryptic (CFC)', NULL, 'CFC', NULL, NULL, 16431, 8),
(26421, NULL, 'PF09740', NULL, NULL, 'Uncharacterized conserved protein (DUF2043)', NULL, 'DUF2043', NULL, NULL, 16370, 8),
(26422, NULL, 'PF07525', NULL, NULL, 'SOCS box', NULL, 'SOCS_box', NULL, NULL, 3493, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26423, NULL, 'PF17292', NULL, NULL, 'POB3-like N-terminal PH domain', NULL, 'POB3_N', NULL, NULL, 33700, 8),
(26424, NULL, 'PF03935', NULL, NULL, 'Beta-glucan synthesis-associated protein SKN1/KRE6/Sbg1', NULL, 'SKN1_KRE6_Sbg1', NULL, NULL, 2757, 8),
(26425, NULL, 'PF00375', NULL, NULL, 'Sodium:dicarboxylate symporter family', NULL, 'SDF', NULL, NULL, 2058, 8),
(26426, NULL, 'PF18408', NULL, NULL, 'C2H2 Hakai zinc finger domain', NULL, 'zf_Hakai', NULL, NULL, 31734, 8),
(26427, NULL, 'PF17523', NULL, NULL, 'MinK-related peptide, potassium channel accessory sub-unit protein 4', NULL, 'MPS-4', NULL, NULL, 20491, 8),
(26428, NULL, 'PF18219', NULL, NULL, 'SidC N-terminal domain', NULL, 'SidC_N', NULL, NULL, 31529, 8),
(26429, NULL, 'PF10423', NULL, NULL, 'Bacterial AMP nucleoside phosphorylase N-terminus', NULL, 'AMNp_N', NULL, NULL, 16668, 8),
(26430, NULL, 'PF01554', NULL, NULL, 'MatE', NULL, 'MatE', NULL, NULL, 834, 8),
(26431, NULL, 'PF05866', NULL, NULL, 'Endodeoxyribonuclease RusA', NULL, 'RusA', NULL, NULL, 14423, 8),
(26432, NULL, 'PF07822', NULL, NULL, 'Neurotoxin B-IV-like protein', NULL, 'Toxin_13', NULL, NULL, 12533, 8),
(26433, NULL, 'PF08390', NULL, NULL, 'TRAM1-like protein', NULL, 'TRAM1', NULL, NULL, 11352, 8),
(26434, NULL, 'PF09073', NULL, NULL, 'BUD22', NULL, 'BUD22', NULL, NULL, 9521, 8),
(26435, NULL, 'PF05219', NULL, NULL, 'DREV methyltransferase', NULL, 'DREV', NULL, NULL, 3458, 8),
(26436, NULL, 'PF12333', NULL, NULL, 'Rix1 complex component involved in 60S ribosome maturation', NULL, 'Ipi1_N', NULL, NULL, 21559, 8),
(26437, NULL, 'PF18513', NULL, NULL, 'Prodomain subtilisin 2', NULL, 'Pro_sub2', NULL, NULL, 31408, 8),
(26438, NULL, 'PF06832', NULL, NULL, 'Penicillin-Binding Protein C-terminus Family', NULL, 'BiPBP_C', NULL, NULL, 11252, 8),
(26439, NULL, 'PF15619', NULL, NULL, 'Ciliary protein causing Leber congenital amaurosis disease', NULL, 'Lebercilin', NULL, NULL, 26764, 8),
(26440, NULL, 'PF16883', NULL, NULL, 'Domain of unknown function (DUF5080)', NULL, 'DUF5080', NULL, NULL, 25730, 8),
(26441, NULL, 'PF04884', NULL, NULL, 'Vitamin B6 photo-protection and homoeostasis', NULL, 'UVB_sens_prot', NULL, NULL, 5730, 8),
(26442, NULL, 'PF04533', NULL, NULL, 'Herpes virus U44 protein', NULL, 'Herpes_U44', NULL, NULL, 2664, 8),
(26443, NULL, 'PF18434', NULL, NULL, 'Kazal-type serine protease inhibitor domain', NULL, 'Kazal_3', NULL, NULL, 30711, 8),
(26444, NULL, 'PF02910', NULL, NULL, 'Fumarate reductase flavoprotein C-term', NULL, 'Succ_DH_flav_C', NULL, NULL, 8066, 8),
(26445, NULL, 'PF00817', NULL, NULL, 'impB/mucB/samB family', NULL, 'IMS', NULL, NULL, 1066, 8),
(26446, NULL, 'PF17387', NULL, NULL, 'Glycosyl hydrolase family 59 central domain', NULL, 'Glyco_hydro_59M', NULL, NULL, 14754, 8),
(26447, NULL, 'PF11224', NULL, NULL, 'Protein of unknown function (DUF3023)', NULL, 'DUF3023', NULL, NULL, 18043, 8),
(26448, NULL, 'PF07068', NULL, NULL, 'Major capsid protein Gp23', NULL, 'Gp23', NULL, NULL, 10244, 8),
(26449, NULL, 'PF10017', NULL, NULL, 'Histidine-specific methyltransferase, SAM-dependent', NULL, 'Methyltransf_33', NULL, NULL, 20047, 8),
(26450, NULL, 'PF15666', NULL, NULL, 'Germinal center-associated lymphoma', NULL, 'HGAL', NULL, NULL, 27350, 8),
(26451, NULL, 'PF13245', NULL, NULL, 'AAA domain', NULL, 'AAA_19', NULL, NULL, NULL, 8),
(26452, NULL, 'PF19222', NULL, NULL, 'Nodavirus Vmethyltransferase', NULL, 'Noda_Vmethyltr', NULL, NULL, 37848, 8),
(26453, NULL, 'PF18621', NULL, NULL, 'Family of unknown function (DUF5628)', NULL, 'DUF5628', NULL, NULL, 32322, 8),
(26454, NULL, 'PF03886', NULL, NULL, 'ABC-type transport auxiliary lipoprotein component', NULL, 'ABC_trans_aux', NULL, NULL, 1668, 8),
(26455, NULL, 'PF06370', NULL, NULL, 'Protein of unknown function (DUF1069)', NULL, 'DUF1069', NULL, NULL, 8449, 8),
(26456, NULL, 'PF16494', NULL, NULL, 'C-terminal extension of sodium/calcium exchanger domain', NULL, 'Na_Ca_ex_C', NULL, NULL, 25542, 8),
(26457, NULL, 'PF18149', NULL, NULL, 'N-terminal helicase PWI domain', NULL, 'Helicase_PWI', NULL, NULL, 31053, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26458, NULL, 'PF05339', NULL, NULL, 'Protein of unknown function (DUF739)', NULL, 'DUF739', NULL, NULL, 5404, 8),
(26459, NULL, 'PF11303', NULL, NULL, 'Protein of unknown function (DUF3105)', NULL, 'DUF3105', NULL, NULL, 18261, 8),
(26460, NULL, 'PF11496', NULL, NULL, 'Class II histone deacetylase complex subunits 2 and 3', NULL, 'HDA2-3', NULL, NULL, 15030, 8),
(26461, NULL, 'PF16817', NULL, NULL, 'Domain of unknown function (DUF5073)', NULL, 'DUF5073', NULL, NULL, 22554, 8),
(26462, NULL, 'PF19851', NULL, NULL, 'Family of unknown function (DUF6326)', NULL, 'DUF6326', NULL, NULL, 39700, 8),
(26463, NULL, 'PF06340', NULL, NULL, 'Vibrio cholerae toxin co-regulated pilus biosynthesis protein F', NULL, 'TcpF', NULL, NULL, 8129, 8),
(26464, NULL, 'PF01709', NULL, NULL, 'Transcriptional regulator', NULL, 'Transcrip_reg', NULL, NULL, 5891, 8),
(26465, NULL, 'PF06543', NULL, NULL, 'Lactococcus bacteriophage repressor', NULL, 'Lac_bphage_repr', NULL, NULL, 9259, 8),
(26466, NULL, 'PF12200', NULL, NULL, 'Domain of unknown function (DUF3597)', NULL, 'DUF3597', NULL, NULL, 20521, 8),
(26467, NULL, 'PF09118', NULL, NULL, 'Domain of unknown function (DUF1929)', NULL, 'DUF1929', NULL, NULL, 10985, 8),
(26468, NULL, 'PF15611', NULL, NULL, 'EH_Signature domain', NULL, 'EH_Signature', NULL, NULL, 25647, 8),
(26469, NULL, 'PF06197', NULL, NULL, 'Protein of unknown function (DUF998)', NULL, 'DUF998', NULL, NULL, 14508, 8),
(26470, NULL, 'PF07114', NULL, NULL, 'Transmembrane protein 126', NULL, 'TMEM126', NULL, NULL, 13798, 8),
(26471, NULL, 'PF07634', NULL, NULL, 'RtxA repeat', NULL, 'RtxA', NULL, NULL, 12962, 8),
(26472, NULL, 'PF16062', NULL, NULL, 'Domain of unknown function (DUF4804)', NULL, 'DUF4804', NULL, NULL, 24770, 8),
(26473, NULL, 'PF01139', NULL, NULL, 'tRNA-splicing ligase RtcB', NULL, 'RtcB', NULL, NULL, 580, 8),
(26474, NULL, 'PF02403', NULL, NULL, 'Seryl-tRNA synthetase N-terminal domain', NULL, 'Seryl_tRNA_N', NULL, NULL, 13306, 8),
(26475, NULL, 'PF15358', NULL, NULL, 'Testis-specific serine kinase substrate', NULL, 'TSKS', NULL, NULL, 22776, 8),
(26476, NULL, 'PF18103', NULL, NULL, 'Retroviral integrase C-terminal SH3 domain', NULL, 'SH3_11', NULL, NULL, 35603, 8),
(26477, NULL, 'PF19242', NULL, NULL, 'Putative zinc finger protein', NULL, 'Zn_finger_prot', NULL, NULL, 38116, 8),
(26478, NULL, 'PF10554', NULL, NULL, 'Ash protein family', NULL, 'Phage_ASH', NULL, NULL, 21331, 8),
(26479, NULL, 'PF12979', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3863)', NULL, 'DUF3863', NULL, NULL, 28994, 8),
(26480, NULL, 'PF14285', NULL, NULL, 'Domain of unknown function (DUF4367)', NULL, 'DUF4367', NULL, NULL, 21520, 8),
(26481, NULL, 'PF00518', NULL, NULL, 'Early Protein (E6)', NULL, 'E6', NULL, NULL, 2139, 8),
(26482, NULL, 'PF01899', NULL, NULL, 'Na+/H+ ion antiporter subunit', NULL, 'MNHE', NULL, NULL, 4099, 8),
(26483, NULL, 'PF10871', NULL, NULL, 'Protein of unknown function (DUF2748)', NULL, 'DUF2748', NULL, NULL, 13611, 8),
(26484, NULL, 'PF16799', NULL, NULL, 'C-terminal membrane-localisation domain of ion-channel, VCN1', NULL, 'VGPC1_C', NULL, NULL, 22568, 8),
(26485, NULL, 'PF19288', NULL, NULL, 'CofH/MqnC C-terminal region', NULL, 'CofH_C', NULL, NULL, 38643, 8),
(26486, NULL, 'PF04043', NULL, NULL, 'Plant invertase/pectin methylesterase inhibitor', NULL, 'PMEI', NULL, NULL, 6638, 8),
(26487, NULL, 'PF18817', NULL, NULL, 'Repeat of uncharacterized protein PH0542', NULL, 'HEAT_UF', NULL, NULL, 29857, 8),
(26488, NULL, 'PF18312', NULL, NULL, 'Copper resistance protein ScsC N-terminal domain', NULL, 'ScsC_N', NULL, NULL, 31605, 8),
(26489, NULL, 'PF11794', NULL, NULL, '4-hydroxyphenylacetate 3-hydroxylase N terminal', NULL, 'HpaB_N', NULL, NULL, 21967, 8),
(26490, NULL, 'PF07012', NULL, NULL, 'Curlin associated repeat', NULL, 'Curlin_rpt', NULL, NULL, 12779, 8),
(26491, NULL, 'PF12531', NULL, NULL, 'DNA-K related protein', NULL, 'DUF3731', NULL, NULL, 15009, 8),
(26492, NULL, 'PF13411', NULL, NULL, 'MerR HTH family regulatory protein', NULL, 'MerR_1', NULL, NULL, 5561, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26493, NULL, 'PF19369', NULL, NULL, 'Family of unknown function (DUF5944)', NULL, 'DUF5944', NULL, NULL, 39103, 8),
(26494, NULL, 'PF02620', NULL, NULL, 'Large ribosomal RNA subunit accumulation protein YceD', NULL, 'YceD', NULL, NULL, 6478, 8),
(26495, NULL, 'PF05852', NULL, NULL, 'Gammaherpesvirus protein of unknown function (DUF848)', NULL, 'DUF848', NULL, NULL, 13162, 8),
(26496, NULL, 'PF15464', NULL, NULL, 'Domain of unknown function (DUF4633)', NULL, 'DUF4633', NULL, NULL, 25575, 8),
(26497, NULL, 'PF13431', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_17', NULL, NULL, NULL, 8),
(26498, NULL, 'PF20090', NULL, NULL, 'Family of unknown function (DUF6482)', NULL, 'DUF6482', NULL, NULL, 39955, 8),
(26499, NULL, 'PF15498', NULL, NULL, 'Nephrin and CD2AP-binding protein, Dendrin', NULL, 'Dendrin', NULL, NULL, 24025, 8),
(26500, NULL, 'PF05782', NULL, NULL, 'Extracellular matrix protein 1 (ECM1)', NULL, 'ECM1', NULL, NULL, 14433, 8),
(26501, NULL, 'PF18218', NULL, NULL, 'Lantibiotic immunity protein Spa1 C-terminal domain', NULL, 'Spa1_C', NULL, NULL, 35779, 8),
(26502, NULL, 'PF19340', NULL, NULL, 'Gamma-tubulin complex component 6 N-terminus', NULL, 'GCP6_N', NULL, NULL, 38836, 8),
(26503, NULL, 'PF05562', NULL, NULL, 'Cold acclimation protein WCOR413', NULL, 'WCOR413', NULL, NULL, 7919, 8),
(26504, NULL, 'PF12206', NULL, NULL, 'Domain of unknown function (DUF3599)', NULL, 'DUF3599', NULL, NULL, 22310, 8),
(26505, NULL, 'PF01561', NULL, NULL, 'Hantavirus/Nairovirus glycoprotein G2', NULL, 'Hanta_G2', NULL, NULL, 777, 8),
(26506, NULL, 'PF14408', NULL, NULL, 'Ribosomally synthesised peptide in actinomycetes', NULL, 'Actino_peptide', NULL, NULL, 25217, 8),
(26507, NULL, 'PF03867', NULL, NULL, 'Fushi tarazu (FTZ), N-terminal region', NULL, 'FTZ', NULL, NULL, 1784, 8),
(26508, NULL, 'PF05127', NULL, NULL, 'Helicase', NULL, 'Helicase_RecD', NULL, NULL, 2122, 8),
(26509, NULL, 'PF19118', NULL, NULL, 'Family of unknown function (DUF5802)', NULL, 'DUF5802', NULL, NULL, 38627, 8),
(26510, NULL, 'PF02387', NULL, NULL, 'IncFII RepA protein family', NULL, 'IncFII_repA', NULL, NULL, 5164, 8),
(26511, NULL, 'PF09174', NULL, NULL, 'Maf1 regulator', NULL, 'Maf1', NULL, NULL, 12804, 8),
(26512, NULL, 'PF08294', NULL, NULL, 'TIM21', NULL, 'TIM21', NULL, NULL, 13141, 8),
(26513, NULL, 'PF16633', NULL, NULL, 'Unstructured region on APC between 1st two creatine-rich regions', NULL, 'APC_u9', NULL, NULL, NULL, 8),
(26514, NULL, 'PF14271', NULL, NULL, 'Domain of unknown function (DUF4359)', NULL, 'DUF4359', NULL, NULL, 28097, 8),
(26515, NULL, 'PF06795', NULL, NULL, 'Erythrovirus X protein', NULL, 'Erythrovirus_X', NULL, NULL, 1868, 8),
(26516, NULL, 'PF17506', NULL, NULL, 'Family of unknown function (DUF5438)', NULL, 'DUF5438', NULL, NULL, 12731, 8),
(26517, NULL, 'PF10616', NULL, NULL, 'Protein of unknown function (DUF2471)', NULL, 'DUF2471', NULL, NULL, 21211, 8),
(26518, NULL, 'PF13061', NULL, NULL, 'Protein of unknown function (DUF3923)', NULL, 'DUF3923', NULL, NULL, 23907, 8),
(26519, NULL, 'PF01453', NULL, NULL, 'D-mannose binding lectin', NULL, 'B_lectin', NULL, NULL, 3038, 8),
(26520, NULL, 'PF08291', NULL, NULL, 'Peptidase M15', NULL, 'Peptidase_M15_3', NULL, NULL, 12116, 8),
(26521, NULL, 'PF04318', NULL, NULL, 'Protein of unknown function (DUF468)', NULL, 'DUF468', NULL, NULL, 3536, 8),
(26522, NULL, 'PF10276', NULL, NULL, 'Zinc-finger domain', NULL, 'zf-CHCC', NULL, NULL, 16874, 8),
(26523, NULL, 'PF03026', NULL, NULL, 'Influenza C virus M1 protein', NULL, 'CM1', NULL, NULL, 3634, 8),
(26524, NULL, 'PF19400', NULL, NULL, 'Family of unknown function (DUF5975)', NULL, 'DUF5975', NULL, NULL, 39172, 8),
(26525, NULL, 'PF02303', NULL, NULL, 'Helix-destabilising protein', NULL, 'Phage_DNA_bind', NULL, NULL, 6336, 8),
(26526, NULL, 'PF01179', NULL, NULL, 'Copper amine oxidase, enzyme domain', NULL, 'Cu_amine_oxid', NULL, NULL, 12991, 8),
(26527, NULL, 'PF00142', NULL, NULL, '4Fe-4S iron sulfur cluster binding proteins, NifH/frxC family', NULL, 'Fer4_NifH', NULL, NULL, 4909, 8),
(26528, NULL, 'PF06283', NULL, NULL, 'Trehalose utilisation', NULL, 'ThuA', NULL, NULL, 25024, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26529, NULL, 'PF15163', NULL, NULL, 'Meiosis-expressed', NULL, 'Meiosis_expr', NULL, NULL, 18011, 8),
(26530, NULL, 'PF06475', NULL, NULL, 'Putative glycolipid-binding', NULL, 'Glycolipid_bind', NULL, NULL, 9302, 8),
(26531, NULL, 'PF18801', NULL, NULL, 'response regulator aspartate phosphatase H, N terminal', NULL, 'RapH_N', NULL, NULL, 29885, 8),
(26532, NULL, 'PF01674', NULL, NULL, 'Lipase (class 2)', NULL, 'Lipase_2', NULL, NULL, 6387, 8),
(26533, NULL, 'PF05808', NULL, NULL, 'Podoplanin', NULL, 'Podoplanin', NULL, NULL, NULL, 8),
(26534, NULL, 'PF19913', NULL, NULL, 'Wolframin C-terminal OB-fold domain', NULL, 'WCOB', NULL, NULL, 38944, 8),
(26535, NULL, 'PF00209', NULL, NULL, 'Sodium:neurotransmitter symporter family', NULL, 'SNF', NULL, NULL, 3945, 8),
(26536, NULL, 'PF18992', NULL, NULL, 'Family of unknown function (DUF5725)', NULL, 'DUF5725', NULL, NULL, 37743, 8),
(26537, NULL, 'PF19018', NULL, NULL, 'Vanin C-terminal domain', NULL, 'Vanin_C', NULL, NULL, 38251, 8),
(26538, NULL, 'PF16187', NULL, NULL, 'Middle or third domain of peptidase_M16', NULL, 'Peptidase_M16_M', NULL, NULL, 22425, 8),
(26539, NULL, 'PF14829', NULL, NULL, 'Glycerol-3-phosphate acyltransferase N-terminal', NULL, 'GPAT_N', NULL, NULL, 15690, 8),
(26540, NULL, 'PF02583', NULL, NULL, 'Metal-sensitive transcriptional repressor', NULL, 'Trns_repr_metal', NULL, NULL, 2328, 8),
(26541, NULL, 'PF09399', NULL, NULL, 'Betacoronavirus lipid binding protein', NULL, 'bCoV_lipid_BD', NULL, NULL, 14736, 8),
(26542, NULL, 'PF04029', NULL, NULL, '2-phosphosulpholactate phosphatase', NULL, '2-ph_phosp', NULL, NULL, 11323, 8),
(26543, NULL, 'PF08464', NULL, NULL, 'Geminivirus AC4/5 conserved region', NULL, 'Gemini_AC4_5_2', NULL, NULL, 13624, 8),
(26544, NULL, 'PF17225', NULL, NULL, 'Domain of unknown function (DUF5300)', NULL, 'DUF5301', NULL, NULL, 32590, 8),
(26545, NULL, 'PF01210', NULL, NULL, 'NAD-dependent glycerol-3-phosphate dehydrogenase N-terminus', NULL, 'NAD_Gly3P_dh_N', NULL, NULL, 9872, 8),
(26546, NULL, 'PF05151', NULL, NULL, 'Photosystem II reaction centre M protein (PsbM)', NULL, 'PsbM', NULL, NULL, 2131, 8),
(26547, NULL, 'PF02065', NULL, NULL, 'Melibiase', NULL, 'Melibiase', NULL, NULL, NULL, 8),
(26548, NULL, 'PF01115', NULL, NULL, 'F-actin capping protein, beta subunit', NULL, 'F_actin_cap_B', NULL, NULL, 3213, 8),
(26549, NULL, 'PF01416', NULL, NULL, 'tRNA pseudouridine synthase', NULL, 'PseudoU_synth_1', NULL, NULL, 18984, 8),
(26550, NULL, 'PF18485', NULL, NULL, 'Glutathione S-transferase, N-terminal domain', NULL, 'GST_N_5', NULL, NULL, 33186, 8),
(26551, NULL, 'PF00093', NULL, NULL, 'von Willebrand factor type C domain', NULL, 'VWC', NULL, NULL, 2253, 8),
(26552, NULL, 'PF00341', NULL, NULL, 'PDGF/VEGF domain', NULL, 'PDGF', NULL, NULL, 2771, 8),
(26553, NULL, 'PF10309', NULL, NULL, 'Nuclear cap-binding protein subunit 3', NULL, 'NCBP3', NULL, NULL, 16863, 8),
(26554, NULL, 'PF02014', NULL, NULL, 'Reeler domain', NULL, 'Reeler', NULL, NULL, 5714, 8),
(26555, NULL, 'PF11043', NULL, NULL, 'Protein of unknown function (DUF2856)', NULL, 'DUF2856', NULL, NULL, 20306, 8),
(26556, NULL, 'PF10630', NULL, NULL, 'Protein of unknown function (DUF2476)', NULL, 'DUF2476', NULL, NULL, 21129, 8),
(26557, NULL, 'PF19607', NULL, NULL, 'Family of unknown function (DUF6112)', NULL, 'DUF6112', NULL, NULL, 39404, 8),
(26558, NULL, 'PF14655', NULL, NULL, 'Rab3 GTPase-activating protein regulatory subunit N-terminus', NULL, 'RAB3GAP2_N', NULL, NULL, 22779, 8),
(26559, NULL, 'PF09304', NULL, NULL, 'Cortexillin I, coiled coil', NULL, 'Cortex-I_coil', NULL, NULL, 14185, 8),
(26560, NULL, 'PF14807', NULL, NULL, 'Adaptin AP4 complex epsilon appendage platform', NULL, 'AP4E_app_platf', NULL, NULL, 29090, 8),
(26561, NULL, 'PF17443', NULL, NULL, 'Uncharacterized protein pXO2-72', NULL, 'pXO2-72', NULL, NULL, 21036, 8),
(26562, NULL, 'PF14020', NULL, NULL, 'Protein of unknown function (DUF4236)', NULL, 'DUF4236', NULL, NULL, 22594, 8),
(26563, NULL, 'PF00356', NULL, NULL, 'Bacterial regulatory proteins, lacI family', NULL, 'LacI', NULL, NULL, 408, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26564, NULL, 'PF15008', NULL, NULL, 'Domain of unknown function (DUF4518)', NULL, 'DUF4518', NULL, NULL, 25158, 8),
(26565, NULL, 'PF10067', NULL, NULL, 'Predicted membrane protein (DUF2306)', NULL, 'DUF2306', NULL, NULL, 18603, 8),
(26566, NULL, 'PF08984', NULL, NULL, 'Domain of unknown function (DUF1858)', NULL, 'DUF1858', NULL, NULL, 8811, 8),
(26567, NULL, 'PF19051', NULL, NULL, 'Oxidoreductase family, C-terminal alpha/beta domain', NULL, 'GFO_IDH_MocA_C2', NULL, NULL, 37904, 8),
(26568, NULL, 'PF12805', NULL, NULL, 'FUSC-like inner membrane protein yccS', NULL, 'FUSC-like', NULL, NULL, 29332, 8),
(26569, NULL, 'PF11186', NULL, NULL, 'Protein of unknown function (DUF2972)', NULL, 'DUF2972', NULL, NULL, 18247, 8),
(26570, NULL, 'PF12042', NULL, NULL, 'Tubuliform egg casing silk strands structural domain', NULL, 'RP1-2', NULL, NULL, 20393, 8),
(26571, NULL, 'PF19527', NULL, NULL, 'Family of unknown function (DUF6055)', NULL, 'DUF6055', NULL, NULL, 39630, 8),
(26572, NULL, 'PF13120', NULL, NULL, 'Domain of unknown function (DUF3974)', NULL, 'DUF3974', NULL, NULL, 27011, 8),
(26573, NULL, 'PF00759', NULL, NULL, 'Glycosyl hydrolase family 9', NULL, 'Glyco_hydro_9', NULL, NULL, 3483, 8),
(26574, NULL, 'PF01545', NULL, NULL, 'Cation efflux family', NULL, 'Cation_efflux', NULL, NULL, 521, 8),
(26575, NULL, 'PF11595', NULL, NULL, 'Protein of unknown function (DUF3245)', NULL, 'DUF3245', NULL, NULL, 19259, 8),
(26576, NULL, 'PF10228', NULL, NULL, 'Uncharacterised conserved protein (DUF2228)', NULL, 'DUF2228', NULL, NULL, 15564, 8),
(26577, NULL, 'PF17452', NULL, NULL, 'Uncharacterized YnfE-like', NULL, 'YnfE', NULL, NULL, 20138, 8),
(26578, NULL, 'PF17551', NULL, NULL, 'Family of unknown function (DUF5463)', NULL, 'DUF5463', NULL, NULL, 35257, 8),
(26579, NULL, 'PF04699', NULL, NULL, 'ARP2/3 complex 16 kDa subunit (p16-Arc)', NULL, 'P16-Arc', NULL, NULL, 3098, 8),
(26580, NULL, 'PF08234', NULL, NULL, 'Chromosome segregation protein Spc25', NULL, 'Spindle_Spc25', NULL, NULL, 13408, 8),
(26581, NULL, 'PF12583', NULL, NULL, 'Tripeptidyl peptidase II N terminal', NULL, 'TPPII_N', NULL, NULL, 21228, 8),
(26582, NULL, 'PF08256', NULL, NULL, 'Aurein-like antibiotic peptide', NULL, 'Antimicrobial20', NULL, NULL, 8617, 8),
(26583, NULL, 'PF14427', NULL, NULL, 'Pput_2613-like deaminase', NULL, 'Pput2613-deam', NULL, NULL, 27220, 8),
(26584, NULL, 'PF16298', NULL, NULL, 'Domain of unknown function (DUF4940)', NULL, 'DUF4940', NULL, NULL, 27555, 8),
(26585, NULL, 'PF09597', NULL, NULL, 'IGR protein motif', NULL, 'IGR', NULL, NULL, 16792, 8),
(26586, NULL, 'PF14027', NULL, NULL, 'Questin oxidase-like', NULL, 'Questin_oxidase', NULL, NULL, 22895, 8),
(26587, NULL, 'PF03351', NULL, NULL, 'DOMON domain', NULL, 'DOMON', NULL, NULL, NULL, 8),
(26588, NULL, 'PF10096', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2334)', NULL, 'DUF2334', NULL, NULL, 18573, 8),
(26589, NULL, 'PF12832', NULL, NULL, 'MFS_1 like family', NULL, 'MFS_1_like', NULL, NULL, 23317, 8),
(26590, NULL, 'PF19494', NULL, NULL, 'Family of unknown function (DUF6029)', NULL, 'DUF6029', NULL, NULL, 39290, 8),
(26591, NULL, 'PF04951', NULL, NULL, 'D-aminopeptidase', NULL, 'Peptidase_M55', NULL, NULL, 6522, 8),
(26592, NULL, 'PF14784', NULL, NULL, 'C-terminal domain of the ECSIT protein', NULL, 'ECSIT_C', NULL, NULL, 21880, 8),
(26593, NULL, 'PF19770', NULL, NULL, 'Family of unknown function (DUF6256)', NULL, 'DUF6256', NULL, NULL, 39576, 8),
(26594, NULL, 'PF02401', NULL, NULL, 'LytB protein', NULL, 'LYTB', NULL, NULL, 5866, 8),
(26595, NULL, 'PF04087', NULL, NULL, 'Domain of unknown function (DUF389)', NULL, 'DUF389', NULL, NULL, 11500, 8),
(26596, NULL, 'PF13576', NULL, NULL, 'Pentapeptide repeats (9 copies)', NULL, 'Pentapeptide_3', NULL, NULL, 5261, 8),
(26597, NULL, 'PF03975', NULL, NULL, 'CheD chemotactic sensory transduction', NULL, 'CheD', NULL, NULL, 3689, 8),
(26598, NULL, 'PF05613', NULL, NULL, 'Human herpesvirus U15 protein', NULL, 'Herpes_U15', NULL, NULL, 14920, 8),
(26599, NULL, 'PF06991', NULL, NULL, 'Microfibril-associated/Pre-mRNA processing', NULL, 'MFAP1', NULL, NULL, 12501, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26600, NULL, 'PF11211', NULL, NULL, 'Protein of unknown function (DUF2997)', NULL, 'DUF2997', NULL, NULL, 18028, 8),
(26601, NULL, 'PF18435', NULL, NULL, 'Esterase Ig-like N-terminal domain', NULL, 'EstA_Ig_like', NULL, NULL, 31095, 8),
(26602, NULL, 'PF07160', NULL, NULL, 'Spindle and kinetochore-associated protein 1', NULL, 'SKA1', NULL, NULL, 13802, 8),
(26603, NULL, 'PF01618', NULL, NULL, 'MotA/TolQ/ExbB proton channel family', NULL, 'MotA_ExbB', NULL, NULL, 6440, 8),
(26604, NULL, 'PF08089', NULL, NULL, 'Huwentoxin-II family', NULL, 'Toxin_20', NULL, NULL, 9502, 8),
(26605, NULL, 'PF13013', NULL, NULL, 'F-box-like domain', NULL, 'F-box-like_2', NULL, NULL, 4824, 8),
(26606, NULL, 'PF00205', NULL, NULL, 'Thiamine pyrophosphate enzyme, central domain', NULL, 'TPP_enzyme_M', NULL, NULL, 7511, 8),
(26607, NULL, 'PF13865', NULL, NULL, 'C-terminal duplication domain of Friend of PRMT1', NULL, 'FoP_duplication', NULL, NULL, 25951, 8),
(26608, NULL, 'PF13691', NULL, NULL, 'tRNase Z endonuclease', NULL, 'Lactamase_B_4', NULL, NULL, 23495, 8),
(26609, NULL, 'PF13905', NULL, NULL, 'Thioredoxin-like', NULL, 'Thioredoxin_8', NULL, NULL, 7603, 8),
(26610, NULL, 'PF09520', NULL, NULL, 'Type II restriction endonuclease, TdeIII', NULL, 'RE_TdeIII', NULL, NULL, 16591, 8),
(26611, NULL, 'PF03725', NULL, NULL, '3'' exoribonuclease family, domain 2', NULL, 'RNase_PH_C', NULL, NULL, 9192, 8),
(26612, NULL, 'PF02259', NULL, NULL, 'FAT domain', NULL, 'FAT', NULL, NULL, 1986, 8),
(26613, NULL, 'PF02868', NULL, NULL, 'Thermolysin metallopeptidase, alpha-helical domain', NULL, 'Peptidase_M4_C', NULL, NULL, 3289, 8),
(26614, NULL, 'PF08102', NULL, NULL, 'Scorpion antimicrobial peptide', NULL, 'Antimicrobial_7', NULL, NULL, 12940, 8),
(26615, NULL, 'PF06249', NULL, NULL, 'Ethanolamine utilisation protein EutQ', NULL, 'EutQ', NULL, NULL, 9746, 8),
(26616, NULL, 'PF07361', NULL, NULL, 'Cytochrome b562', NULL, 'Cytochrom_B562', NULL, NULL, 9947, 8),
(26617, NULL, 'PF11197', NULL, NULL, 'Protein of unknown function (DUF2835)', NULL, 'DUF2835', NULL, NULL, 18026, 8),
(26618, NULL, 'PF08600', NULL, NULL, 'Rsm1-like', NULL, 'Rsm1', NULL, NULL, 18312, 8),
(26619, NULL, 'PF04681', NULL, NULL, 'Blastomyces yeast-phase-specific protein', NULL, 'Bys1', NULL, NULL, 3472, 8),
(26620, NULL, 'PF07548', NULL, NULL, 'Chlamydia polymorphic membrane protein middle domain', NULL, 'ChlamPMP_M', NULL, NULL, 13891, 8),
(26621, NULL, 'PF13153', NULL, NULL, 'Protein of unknown function (DUF3985)', NULL, 'DUF3985', NULL, NULL, 23570, 8),
(26622, NULL, 'PF06146', NULL, NULL, 'Phosphate-starvation-inducible E family', NULL, 'PsiE', NULL, NULL, 14597, 8),
(26623, NULL, 'PF11337', NULL, NULL, 'Protein of unknown function (DUF3139)', NULL, 'DUF3139', NULL, NULL, 18759, 8),
(26624, NULL, 'PF15576', NULL, NULL, 'Domain of unknown function (DUF4661)', NULL, 'DUF4661', NULL, NULL, 26290, 8),
(26625, NULL, 'PF06633', NULL, NULL, 'Protein of unknown function (DUF1155)', NULL, 'DUF1155', NULL, NULL, 10442, 8),
(26626, NULL, 'PF05774', NULL, NULL, 'Herpesvirus helicase-primase complex component', NULL, 'Herpes_heli_pri', NULL, NULL, 13195, 8),
(26627, NULL, 'PF11711', NULL, NULL, 'Inner membrane protein import complex subunit Tim54', NULL, 'Tim54', NULL, NULL, 15283, 8),
(26628, NULL, 'PF12526', NULL, NULL, 'Protein of unknown function (DUF3729)', NULL, 'DUF3729', NULL, NULL, 21164, 8),
(26629, NULL, 'PF15819', NULL, NULL, 'Fin bud initiation factor homologue', NULL, 'Fibin', NULL, NULL, 25425, 8),
(26630, NULL, 'PF16811', NULL, NULL, 'TRAP transporter T-component', NULL, 'TAtT', NULL, NULL, 22874, 8),
(26631, NULL, 'PF18253', NULL, NULL, 'Hsp70-interacting protein N N-terminal domain', NULL, 'HipN', NULL, NULL, 5508, 8),
(26632, NULL, 'PF06505', NULL, NULL, 'Activator of aromatic catabolism', NULL, 'XylR_N', NULL, NULL, 12323, 8),
(26633, NULL, 'PF01634', NULL, NULL, 'ATP phosphoribosyltransferase', NULL, 'HisG', NULL, NULL, 14172, 8),
(26634, NULL, 'PF00902', NULL, NULL, 'Sec-independent protein translocase protein (TatC)', NULL, 'TatC', NULL, NULL, 5384, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26635, NULL, 'PF01010', NULL, NULL, 'NADH-dehyrogenase subunit F, TMs, (complex I) C-terminus', NULL, 'Proton_antipo_C', NULL, NULL, 5454, 8),
(26636, NULL, 'PF07648', NULL, NULL, 'Kazal-type serine protease inhibitor domain', NULL, 'Kazal_2', NULL, NULL, 6107, 8),
(26637, NULL, 'PF16963', NULL, NULL, 'PelD GGDEF domain', NULL, 'PelD_GGDEF', NULL, NULL, 23439, 8),
(26638, NULL, 'PF16731', NULL, NULL, 'Glutamic acid/alanine-rich protein of Trypanosoma', NULL, 'GARP', NULL, NULL, 23722, 8),
(26639, NULL, 'PF11710', NULL, NULL, 'G protein-coupled glucose receptor regulating Gpa2', NULL, 'Git3', NULL, NULL, 8915, 8),
(26640, NULL, 'PF19983', NULL, NULL, 'Family of unknown function (DUF6419)', NULL, 'DUF6419', NULL, NULL, 39586, 8),
(26641, NULL, 'PF13781', NULL, NULL, 'DoxX-like family', NULL, 'DoxX_3', NULL, NULL, 25815, 8),
(26642, NULL, 'PF02840', NULL, NULL, 'Prp18 domain', NULL, 'Prp18', NULL, NULL, 1509, 8),
(26643, NULL, 'PF03073', NULL, NULL, 'TspO/MBR family', NULL, 'TspO_MBR', NULL, NULL, 4541, 8),
(26644, NULL, 'PF12967', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3855)', NULL, 'DUF3855', NULL, NULL, 23081, 8),
(26645, NULL, 'PF01814', NULL, NULL, 'Hemerythrin HHE cation binding domain', NULL, 'Hemerythrin', NULL, NULL, 12397, 8),
(26646, NULL, 'PF09471', NULL, NULL, 'IgA Peptidase M64', NULL, 'Peptidase_M64', NULL, NULL, 16348, 8),
(26647, NULL, 'PF05608', NULL, NULL, 'Protein of unknown function (DUF778)', NULL, 'DUF778', NULL, NULL, 12114, 8),
(26648, NULL, 'PF05745', NULL, NULL, 'Chlamydia 15 kDa cysteine-rich outer membrane protein (CRPA)', NULL, 'CRPA', NULL, NULL, 8515, 8),
(26649, NULL, 'PF18956', NULL, NULL, 'Family of unknown function (DUF5699)', NULL, 'DUF5699', NULL, NULL, 36995, 8),
(26650, NULL, 'PF15775', NULL, NULL, 'Domain of unknown function (DUF4703)', NULL, 'DUF4703', NULL, NULL, 27134, 8),
(26651, NULL, 'PF11754', NULL, NULL, 'Velvet factor', NULL, 'Velvet', NULL, NULL, 29126, 8),
(26652, NULL, 'PF10472', NULL, NULL, 'eIF2-alpha phosphatase phosphorylation constitutive repressor', NULL, 'CReP_N', NULL, NULL, 18857, 8),
(26653, NULL, 'PF13910', NULL, NULL, 'Domain of unknown function (DUF4209)', NULL, 'DUF4209', NULL, NULL, 21896, 8),
(26654, NULL, 'PF05707', NULL, NULL, 'Zonular occludens toxin (Zot)', NULL, 'Zot', NULL, NULL, 7629, 8),
(26655, NULL, 'PF00217', NULL, NULL, 'ATP:guanido phosphotransferase, C-terminal catalytic domain', NULL, 'ATP-gua_Ptrans', NULL, NULL, 16379, 8),
(26656, NULL, 'PF18593', NULL, NULL, 'CdiI immunity protein', NULL, 'CdiI_2', NULL, NULL, 31341, 8),
(26657, NULL, 'PF10360', NULL, NULL, 'Protein of unknown function (DUF2433)', NULL, 'DUF2433', NULL, NULL, 20254, 8),
(26658, NULL, 'PF07146', NULL, NULL, 'Protein of unknown function (DUF1389)', NULL, 'DUF1389', NULL, NULL, 11027, 8),
(26659, NULL, 'PF19497', NULL, NULL, 'Family of unknown function (DUF6032)', NULL, 'DUF6032', NULL, NULL, 39203, 8),
(26660, NULL, 'PF07895', NULL, NULL, 'Protein of unknown function (DUF1673)', NULL, 'DUF1673', NULL, NULL, 12547, 8),
(26661, NULL, 'PF00703', NULL, NULL, 'Glycosyl hydrolases family 2', NULL, 'Glyco_hydro_2', NULL, NULL, 2756, 8),
(26662, NULL, 'PF01119', NULL, NULL, 'DNA mismatch repair protein, C-terminal domain', NULL, 'DNA_mis_repair', NULL, NULL, 7627, 8),
(26663, NULL, 'PF00551', NULL, NULL, 'Formyl transferase', NULL, 'Formyl_trans_N', NULL, NULL, 6263, 8),
(26664, NULL, 'PF01816', NULL, NULL, 'Leucine rich repeat variant', NULL, 'LRV', NULL, NULL, 4186, 8),
(26665, NULL, 'PF17218', NULL, NULL, 'CBX family C-terminal motif', NULL, 'CBX7_C', NULL, NULL, 30321, 8),
(26666, NULL, 'PF06579', NULL, NULL, 'Caenorhabditis elegans ly-6-related protein', NULL, 'Ly-6_related', NULL, NULL, 8137, 8),
(26667, NULL, 'PF01184', NULL, NULL, 'GPR1/FUN34/yaaH family', NULL, 'Gpr1_Fun34_YaaH', NULL, NULL, 6795, 8),
(26668, NULL, 'PF15994', NULL, NULL, 'Domain of unknown function (DUF4770)', NULL, 'DUF4770', NULL, NULL, 26248, 8),
(26669, NULL, 'PF19543', NULL, NULL, 'Family of unknown function (DUF6067)', NULL, 'DUF6067', NULL, NULL, 38638, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26670, NULL, 'PF05043', NULL, NULL, 'Mga helix-turn-helix domain', NULL, 'Mga', NULL, NULL, 1286, 8),
(26671, NULL, 'PF05344', NULL, NULL, 'Domain of Unknown Function (DUF746)', NULL, 'DUF746', NULL, NULL, 5337, 8),
(26672, NULL, 'PF16041', NULL, NULL, 'Domain of unknown function (DUF4793)', NULL, 'DUF4793', NULL, NULL, 27995, 8),
(26673, NULL, 'PF08557', NULL, NULL, 'Sphingolipid Delta4-desaturase (DES)', NULL, 'Lipid_DES', NULL, NULL, 9761, 8),
(26674, NULL, 'PF04962', NULL, NULL, 'KduI/IolB family', NULL, 'KduI', NULL, NULL, 19045, 8),
(26675, NULL, 'PF07618', NULL, NULL, 'Protein of unknown function (DUF1580)', NULL, 'DUF1580', NULL, NULL, 14462, 8),
(26676, NULL, 'PF04684', NULL, NULL, 'BAF1 / ABF1 chromatin reorganising factor', NULL, 'BAF1_ABF1', NULL, NULL, 3174, 8),
(26677, NULL, 'PF20018', NULL, NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 14', NULL, 'VMAP-M14', NULL, NULL, 38703, 8),
(26678, NULL, 'PF16464', NULL, NULL, 'Domain of unknown function (DUF5045)', NULL, 'DUF5045', NULL, NULL, 22246, 8),
(26679, NULL, 'PF00883', NULL, NULL, 'Cytosol aminopeptidase family, catalytic domain', NULL, 'Peptidase_M17', NULL, NULL, 254, 8),
(26680, NULL, 'PF06424', NULL, NULL, 'PRP1 splicing factor, N-terminal', NULL, 'PRP1_N', NULL, NULL, 10269, 8),
(26681, NULL, 'PF11809', NULL, NULL, 'Domain of unknown function (DUF3330)', NULL, 'DUF3330', NULL, NULL, 19558, 8),
(26682, NULL, 'PF04928', NULL, NULL, 'Poly(A) polymerase central domain', NULL, 'PAP_central', NULL, NULL, 6950, 8),
(26683, NULL, 'PF13224', NULL, NULL, 'Domain of unknown function (DUF4032)', NULL, 'DUF4032', NULL, NULL, 23689, 8),
(26684, NULL, 'PF13831', NULL, NULL, 'PHD-finger', NULL, 'PHD_2', NULL, NULL, NULL, 8),
(26685, NULL, 'PF10237', NULL, NULL, 'Probable N6-adenine methyltransferase', NULL, 'N6-adenineMlase', NULL, NULL, 31640, 8),
(26686, NULL, 'PF19119', NULL, NULL, 'Family of unknown function (DUF5803)', NULL, 'DUF5803', NULL, NULL, 38781, 8),
(26687, NULL, 'PF15842', NULL, NULL, 'Domain of unknown function (DUF4718)', NULL, 'DUF4718', NULL, NULL, 28310, 8),
(26688, NULL, 'PF17565', NULL, NULL, 'Family of unknown function (DUF5471)', NULL, 'DUF5471', NULL, NULL, 33724, 8),
(26689, NULL, 'PF02649', NULL, NULL, 'Type I GTP cyclohydrolase folE2', NULL, 'GCHY-1', NULL, NULL, 3015, 8),
(26690, NULL, 'PF03616', NULL, NULL, 'Sodium/glutamate symporter', NULL, 'Glt_symporter', NULL, NULL, 7317, 8),
(26691, NULL, 'PF12910', NULL, NULL, 'Antitoxin of toxin-antitoxin, RelE / RelB, TA system', NULL, 'PHD_like', NULL, NULL, 18403, 8),
(26692, NULL, 'PF01672', NULL, NULL, 'Putative plasmid partition protein', NULL, 'Plasmid_parti', NULL, NULL, 1516, 8),
(26693, NULL, 'PF04879', NULL, NULL, 'Molybdopterin oxidoreductase Fe4S4 domain', NULL, 'Molybdop_Fe4S4', NULL, NULL, 5823, 8),
(26694, NULL, 'PF12324', NULL, NULL, 'Helix-turn-helix domain of alkylmercury lyase', NULL, 'HTH_15', NULL, NULL, 12642, 8),
(26695, NULL, 'PF13215', NULL, NULL, 'Protein of unknown function (DUF4023)', NULL, 'DUF4023', NULL, NULL, 23681, 8),
(26696, NULL, 'PF20104', NULL, NULL, 'Family of unknown function (DUF6494)', NULL, 'DUF6494', NULL, NULL, 38612, 8),
(26697, NULL, 'PF08949', NULL, NULL, 'Domain of unknown function (DUF1860)', NULL, 'DUF1860', NULL, NULL, 7820, 8),
(26698, NULL, 'PF05533', NULL, NULL, 'Beet yellows virus-type papain-like endopeptidase C42', NULL, 'Peptidase_C42', NULL, NULL, 12087, 8),
(26699, NULL, 'PF03780', NULL, NULL, 'Asp23 family, cell envelope-related function', NULL, 'Asp23', NULL, NULL, 1997, 8),
(26700, NULL, 'PF17222', NULL, NULL, 'Viral cysteine endopeptidase C107', NULL, 'Peptidase_C107', NULL, NULL, 32767, 8),
(26701, NULL, 'PF17749', NULL, NULL, 'Microtubule-binding protein MIP-T3 C-terminal region', NULL, 'MIP-T3_C', NULL, NULL, 32740, 8),
(26702, NULL, 'PF11007', NULL, NULL, 'Spore coat associated protein JA (CotJA)', NULL, 'CotJA', NULL, NULL, 19994, 8),
(26703, NULL, 'PF02427', NULL, NULL, 'Photosystem I reaction centre subunit IV / PsaE', NULL, 'PSI_PsaE', NULL, NULL, 4553, 8),
(26704, NULL, 'PF12750', NULL, NULL, 'Maff2 family', NULL, 'Maff2', NULL, NULL, 10400, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26705, NULL, 'PF13499', NULL, NULL, 'EF-hand domain pair', NULL, 'EF-hand_7', NULL, NULL, 1197, 8),
(26706, NULL, 'PF17987', NULL, NULL, 'Phosphoethanolamine N-methyltransferase 2 N-terminal', NULL, 'PMT2_N', NULL, NULL, 34168, 8),
(26707, NULL, 'PF02025', NULL, NULL, 'Interleukin 5', NULL, 'IL5', NULL, NULL, 1873, 8),
(26708, NULL, 'PF09451', NULL, NULL, 'Autophagy-related protein 27', NULL, 'ATG27', NULL, NULL, 9171, 8),
(26709, NULL, 'PF04571', NULL, NULL, 'lipin, N-terminal conserved region', NULL, 'Lipin_N', NULL, NULL, 389, 8),
(26710, NULL, 'PF09474', NULL, NULL, 'Type III secretion system YscX (type_III_YscX)', NULL, 'Type_III_YscX', NULL, NULL, 13340, 8),
(26711, NULL, 'PF10119', NULL, NULL, 'Predicted methyltransferase regulatory domain', NULL, 'MethyTransf_Reg', NULL, NULL, 18892, 8),
(26712, NULL, 'PF15351', NULL, NULL, 'Junctional protein associated with coronary artery disease', NULL, 'JCAD', NULL, NULL, 24121, 8),
(26713, NULL, 'PF09956', NULL, NULL, 'Uncharacterized conserved protein (DUF2190)', NULL, 'DUF2190', NULL, NULL, 10759, 8),
(26714, NULL, 'PF13963', NULL, NULL, 'Transposase-associated domain', NULL, 'Transpos_assoc', NULL, NULL, 28693, 8),
(26715, NULL, 'PF02484', NULL, NULL, 'Rhabdovirus Non-virion protein', NULL, 'Rhabdo_NV', NULL, NULL, 6383, 8),
(26716, NULL, 'PF09772', NULL, NULL, 'Transmembrane protein 26', NULL, 'Tmem26', NULL, NULL, 18745, 8),
(26717, NULL, 'PF12630', NULL, NULL, 'Poxvirus poly(A) polymerase N-terminal domain', NULL, 'Pox_polyA_pol_N', NULL, NULL, 22505, 8),
(26718, NULL, 'PF02877', NULL, NULL, 'Poly(ADP-ribose) polymerase, regulatory domain', NULL, 'PARP_reg', NULL, NULL, 1524, 8),
(26719, NULL, 'PF05576', NULL, NULL, 'PS-10 peptidase S37', NULL, 'Peptidase_S37', NULL, NULL, 12443, 8),
(26720, NULL, 'PF11865', NULL, NULL, 'Domain of unknown function (DUF3385)', NULL, 'DUF3385', NULL, NULL, 28924, 8),
(26721, NULL, 'PF00864', NULL, NULL, 'ATP P2X receptor', NULL, 'P2X_receptor', NULL, NULL, NULL, 8),
(26722, NULL, 'PF12959', NULL, NULL, 'Protein of unknown function (DUF3848)', NULL, 'DUF3848', NULL, NULL, 23668, 8),
(26723, NULL, 'PF16938', NULL, NULL, 'Putative phage holin Dp-1', NULL, 'Phage_holin_Dp1', NULL, NULL, 27413, 8),
(26724, NULL, 'PF02565', NULL, NULL, 'Recombination protein O C terminal', NULL, 'RecO_C', NULL, NULL, 2299, 8),
(26725, NULL, 'PF01525', NULL, NULL, 'Rotavirus NS26', NULL, 'Rota_NS26', NULL, NULL, 998, 8),
(26726, NULL, 'PF10369', NULL, NULL, 'Small subunit of acetolactate synthase', NULL, 'ALS_ss_C', NULL, NULL, 17608, 8),
(26727, NULL, 'PF15712', NULL, NULL, 'NPAT C terminus', NULL, 'NPAT_C', NULL, NULL, 27027, 8),
(26728, NULL, 'PF18444', NULL, NULL, 'RNA recognition motif', NULL, 'RRM_9', NULL, NULL, 30637, 8),
(26729, NULL, 'PF18705', NULL, NULL, 'Family of unknown function (DUF5643)', NULL, 'DUF5643', NULL, NULL, 30993, 8),
(26730, NULL, 'PF18276', NULL, NULL, 'Tc toxin complex TcA C-terminal TcB-binding domain', NULL, 'TcA_TcB_BD', NULL, NULL, 34894, 8),
(26731, NULL, 'PF03478', NULL, NULL, 'Protein of unknown function (DUF295)', NULL, 'DUF295', NULL, NULL, 5317, 8),
(26732, NULL, 'PF17847', NULL, NULL, 'Glucose ABC transporter C-terminal domain', NULL, 'GlcV_C_terminal', NULL, NULL, 35398, 8),
(26733, NULL, 'PF12903', NULL, NULL, 'Protein of unknown function (DUF3830)', NULL, 'DUF3830', NULL, NULL, 25877, 8),
(26734, NULL, 'PF16982', NULL, NULL, 'Putative Flagellin, Flp1-like, domain', NULL, 'Flp1_like', NULL, NULL, 24733, 8),
(26735, NULL, 'PF11796', NULL, NULL, 'Protein of unknown function N-terminus (DUF3323)', NULL, 'DUF3323', NULL, NULL, 21651, 8),
(26736, NULL, 'PF11103', NULL, NULL, 'Protein of unknown function (DUF2887)', NULL, 'DUF2887', NULL, NULL, 16850, 8),
(26737, NULL, 'PF12140', NULL, NULL, 'SLED domain', NULL, 'SLED', NULL, NULL, 20599, 8),
(26738, NULL, 'PF13994', NULL, NULL, 'PgaD-like protein', NULL, 'PgaD', NULL, NULL, 17749, 8),
(26739, NULL, 'PF15450', NULL, NULL, 'Coiled-coil domain-containing protein 154', NULL, 'CCDC154', NULL, NULL, 24648, 8),
(26740, NULL, 'PF13472', NULL, NULL, 'GDSL-like Lipase/Acylhydrolase family', NULL, 'Lipase_GDSL_2', NULL, NULL, 18101, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26741, NULL, 'PF16566', NULL, NULL, 'Cell-cycle alteration and expression-elevated protein in tumour', NULL, 'CREPT', NULL, NULL, 26886, 8),
(26742, NULL, 'PF18339', NULL, NULL, 'RapA N-terminal Tudor like domain 1', NULL, 'Tudor_1_RapA', NULL, NULL, 30449, 8),
(26743, NULL, 'PF15160', NULL, NULL, 'Spermatogenesis-associated serine-rich protein 1', NULL, 'SASRP1', NULL, NULL, 21668, 8),
(26744, NULL, 'PF16004', NULL, NULL, '116 kDa U5 small nuclear ribonucleoprotein component N-terminus', NULL, 'EFTUD2', NULL, NULL, 28631, 8),
(26745, NULL, 'PF17136', NULL, NULL, 'Ribosomal proteins 50S L24/mitochondrial 39S L24', NULL, 'ribosomal_L24', NULL, NULL, 2957, 8),
(26746, NULL, 'PF19732', NULL, NULL, 'Stage II sporulation protein E N-terminal', NULL, 'SpoIIE_N', NULL, NULL, 36769, 8),
(26747, NULL, 'PF04674', NULL, NULL, 'Phosphate-induced protein 1 conserved region', NULL, 'Phi_1', NULL, NULL, 3012, 8),
(26748, NULL, 'PF14643', NULL, NULL, 'Domain of unknown function (DUF4455)', NULL, 'DUF4455', NULL, NULL, 23630, 8),
(26749, NULL, 'PF09121', NULL, NULL, 'Tower', NULL, 'Tower', NULL, NULL, 10806, 8),
(26750, NULL, 'PF17316', NULL, NULL, 'Perilipin protein', NULL, 'Perilipin_2', NULL, NULL, NULL, 8),
(26751, NULL, 'PF05037', NULL, NULL, 'Protein of unknown function (DUF669)', NULL, 'DUF669', NULL, NULL, 1419, 8),
(26752, NULL, 'PF06395', NULL, NULL, 'CDC24 Calponin', NULL, 'CDC24', NULL, NULL, 10460, 8),
(26753, NULL, 'PF09497', NULL, NULL, 'Transcription mediator complex subunit Med12', NULL, 'Med12', NULL, NULL, 16340, 8),
(26754, NULL, 'PF11136', NULL, NULL, 'Protein of unknown function (DUF2889)', NULL, 'DUF2889', NULL, NULL, 17721, 8),
(26755, NULL, 'PF08889', NULL, NULL, 'WbqC-like protein family', NULL, 'WbqC', NULL, NULL, 14253, 8),
(26756, NULL, 'PF09505', NULL, NULL, 'Dimethylamine methyltransferase (Dimeth_PyL)', NULL, 'Dimeth_Pyl', NULL, NULL, 10804, 8),
(26757, NULL, 'PF08823', NULL, NULL, 'Putative peptidoglycan binding domain', NULL, 'PG_binding_2', NULL, NULL, 14142, 8),
(26758, NULL, 'PF07274', NULL, NULL, 'Protein of unknown function (DUF1440)', NULL, 'DUF1440', NULL, NULL, 14857, 8),
(26759, NULL, 'PF18319', NULL, NULL, 'PriA DNA helicase Cys-rich region (CRR) domain', NULL, 'PriA_CRR', NULL, NULL, 29838, 8),
(26760, NULL, 'PF08327', NULL, NULL, 'Activator of Hsp90 ATPase homolog 1-like protein', NULL, 'AHSA1', NULL, NULL, 13096, 8),
(26761, NULL, 'PF19826', NULL, NULL, 'Family of unknown function (DUF6307)', NULL, 'DUF6307', NULL, NULL, 39621, 8),
(26762, NULL, 'PF01477', NULL, NULL, 'PLAT/LH2 domain', NULL, 'PLAT', NULL, NULL, 2391, 8),
(26763, NULL, 'PF07985', NULL, NULL, 'SRR1', NULL, 'SRR1', NULL, NULL, 8285, 8),
(26764, NULL, 'PF10373', NULL, NULL, 'Est1 DNA/RNA binding domain', NULL, 'EST1_DNA_bind', NULL, NULL, 20267, 8),
(26765, NULL, 'PF18888', NULL, NULL, 'Repeat of unknown function (DUF5650)', NULL, 'DUF5650', NULL, NULL, 36946, 8),
(26766, NULL, 'PF13473', NULL, NULL, 'Cupredoxin-like domain', NULL, 'Cupredoxin_1', NULL, NULL, 26080, 8),
(26767, NULL, 'PF14749', NULL, NULL, 'Acyl-coenzyme A oxidase N-terminal', NULL, 'Acyl-CoA_ox_N', NULL, NULL, 28898, 8),
(26768, NULL, 'PF00401', NULL, NULL, 'ATP synthase, Delta/Epsilon chain, long alpha-helix domain', NULL, 'ATP-synt_DE', NULL, NULL, 21275, 8),
(26769, NULL, 'PF03733', NULL, NULL, 'Inner membrane component domain', NULL, 'YccF', NULL, NULL, 5049, 8),
(26770, NULL, 'PF15049', NULL, NULL, 'Protein of unknown function (DUF4534)', NULL, 'DUF4534', NULL, NULL, 27647, 8),
(26771, NULL, 'PF01960', NULL, NULL, 'ArgJ family', NULL, 'ArgJ', NULL, NULL, 4863, 8),
(26772, NULL, 'PF05768', NULL, NULL, 'Glutaredoxin-like domain (DUF836)', NULL, 'Glrx-like', NULL, NULL, 13053, 8),
(26773, NULL, 'PF02255', NULL, NULL, 'PTS system, Lactose/Cellobiose specific IIA subunit', NULL, 'PTS_IIA', NULL, NULL, 3187, 8),
(26774, NULL, 'PF02774', NULL, NULL, 'Semialdehyde dehydrogenase, dimerisation domain', NULL, 'Semialdhyde_dhC', NULL, NULL, 10917, 8),
(26775, NULL, 'PF02223', NULL, NULL, 'Thymidylate kinase', NULL, 'Thymidylate_kin', NULL, NULL, 35899, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26776, NULL, 'PF19248', NULL, NULL, 'Family of unknown function (DUF5896)', NULL, 'DUF5896', NULL, NULL, 38457, 8),
(26777, NULL, 'PF06291', NULL, NULL, 'Bor protein', NULL, 'Lambda_Bor', NULL, NULL, 9571, 8),
(26778, NULL, 'PF14858', NULL, NULL, 'Cilia- and flagella-associated protein 54', NULL, 'CFAP54_N', NULL, NULL, 24109, 8),
(26779, NULL, 'PF14141', NULL, NULL, 'YqzM-like protein', NULL, 'YqzM', NULL, NULL, 28349, 8),
(26780, NULL, 'PF04756', NULL, NULL, 'OST3 / OST6 family, transporter family', NULL, 'OST3_OST6', NULL, NULL, 15554, 8),
(26781, NULL, 'PF11522', NULL, NULL, 'Yeast phosphatidylinositol-4-OH kinase Pik1', NULL, 'Pik1', NULL, NULL, 19029, 8),
(26782, NULL, 'PF17147', NULL, NULL, 'Pyruvate:ferredoxin oxidoreductase core domain II', NULL, 'PFOR_II', NULL, NULL, 31685, 8),
(26783, NULL, 'PF18702', NULL, NULL, 'Domain of unknown function (DUF5642)', NULL, 'DUF5642', NULL, NULL, 31187, 8),
(26784, NULL, 'PF06894', NULL, NULL, 'Bacteriophage lambda tail assembly chaperone, TAC, protein G', NULL, 'Phage_TAC_2', NULL, NULL, 5291, 8),
(26785, NULL, 'PF12692', NULL, NULL, 'S-adenosyl-L-methionine methyltransferase', NULL, 'Methyltransf_17', NULL, NULL, 25931, 8),
(26786, NULL, 'PF00654', NULL, NULL, 'Voltage gated chloride channel', NULL, 'Voltage_CLC', NULL, NULL, 4414, 8),
(26787, NULL, 'PF05475', NULL, NULL, 'Pgp3 C-terminal domain', NULL, 'Chlam_vir', NULL, NULL, 35479, 8),
(26788, NULL, 'PF01491', NULL, NULL, 'Frataxin-like domain', NULL, 'Frataxin_Cyay', NULL, NULL, 6172, 8),
(26789, NULL, 'PF05840', NULL, NULL, 'Bacteriophage replication gene A protein (GPA)', NULL, 'Phage_GPA', NULL, NULL, 12046, 8),
(26790, NULL, 'PF11787', NULL, NULL, 'Aft1 HRR domain', NULL, 'Aft1_HRR', NULL, NULL, 19928, 8),
(26791, NULL, 'PF06770', NULL, NULL, 'Actin-rearrangement-inducing factor (Arif-1)', NULL, 'Arif-1', NULL, NULL, 9225, 8),
(26792, NULL, 'PF06086', NULL, NULL, 'Orthopoxvirus A26L/A30L protein', NULL, 'Pox_A30L_A26L', NULL, NULL, 13735, 8),
(26793, NULL, 'PF16008', NULL, NULL, 'Domain of unknown function (DUF4778)', NULL, 'DUF4778', NULL, NULL, 22818, 8),
(26794, NULL, 'PF06507', NULL, NULL, 'Auxin response factor', NULL, 'Auxin_resp', NULL, NULL, 12197, 8),
(26795, NULL, 'PF16929', NULL, NULL, 'Accessory Sec system GspB-transporter', NULL, 'Asp2', NULL, NULL, 15842, 8),
(26796, NULL, 'PF15638', NULL, NULL, 'Metallopeptidase toxin 2', NULL, 'Tox-MPTase2', NULL, NULL, 26450, 8),
(26797, NULL, 'PF16110', NULL, NULL, 'Domain of unknown function (DUF4828)', NULL, 'DUF4828', NULL, NULL, 24669, 8),
(26798, NULL, 'PF19564', NULL, NULL, 'Family of unknown function (DUF6086)', NULL, 'DUF6086', NULL, NULL, 37431, 8),
(26799, NULL, 'PF05672', NULL, NULL, 'MAP7 (E-MAP-115) family', NULL, 'MAP7', NULL, NULL, 14331, 8),
(26800, NULL, 'PF19733', NULL, NULL, 'Family of unknown function (DUF6223)', NULL, 'DUF6223', NULL, NULL, 36635, 8),
(26801, NULL, 'PF09103', NULL, NULL, 'BRCA2, oligonucleotide/oligosaccharide-binding, domain 1', NULL, 'BRCA-2_OB1', NULL, NULL, 10698, 8),
(26802, NULL, 'PF01357', NULL, NULL, 'Expansin C-terminal domain', NULL, 'Expansin_C', NULL, NULL, 159, 8),
(26803, NULL, 'PF07085', NULL, NULL, 'DRTGG domain', NULL, 'DRTGG', NULL, NULL, 10876, 8),
(26804, NULL, 'PF11574', NULL, NULL, 'Protein of unknown function (DUF3235)', NULL, 'DUF3235', NULL, NULL, 19427, 8),
(26805, NULL, 'PF06728', NULL, NULL, 'GPI transamidase subunit PIG-U', NULL, 'PIG-U', NULL, NULL, NULL, 8),
(26806, NULL, 'PF16593', NULL, NULL, 'Bridge helix of CRISPR-associated endonuclease Cas9', NULL, 'Cas9-BH', NULL, NULL, 29305, 8),
(26807, NULL, 'PF01378', NULL, NULL, 'B domain', NULL, 'IgG_binding_B', NULL, NULL, 3807, 8),
(26808, NULL, 'PF09160', NULL, NULL, 'FimH, mannose binding', NULL, 'FimH_man-bind', NULL, NULL, 12765, 8),
(26809, NULL, 'PF11393', NULL, NULL, 'Type-IV b secretion system, inner-membrane complex component', NULL, 'T4BSS_DotI_IcmL', NULL, NULL, 15362, 8),
(26810, NULL, 'PF01163', NULL, NULL, 'RIO1 family', NULL, 'RIO1', NULL, NULL, NULL, 8),
(26811, NULL, 'PF09890', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2117)', NULL, 'DUF2117', NULL, NULL, 11266, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26812, NULL, 'PF17628', NULL, NULL, 'Inclusion membrane protein D', NULL, 'IncD', NULL, NULL, 8525, 8),
(26813, NULL, 'PF09759', NULL, NULL, 'Spinocerebellar ataxia type 10 protein domain', NULL, 'Atx10homo_assoc', NULL, NULL, 18976, 8),
(26814, NULL, 'PF17251', NULL, NULL, 'Protochlamydia outer membrane protein', NULL, 'Pom', NULL, NULL, 19087, 8),
(26815, NULL, 'PF12941', NULL, NULL, 'HCV NS5a protein C-terminal region', NULL, 'HCV_NS5a_C', NULL, NULL, 22502, 8),
(26816, NULL, 'PF15272', NULL, NULL, 'Spindle pole body component BBP1, C-terminal', NULL, 'BBP1_C', NULL, NULL, 24803, 8),
(26817, NULL, 'PF01805', NULL, NULL, 'Surp module', NULL, 'Surp', NULL, NULL, 2661, 8),
(26818, NULL, 'PF13249', NULL, NULL, 'Squalene-hopene cyclase N-terminal domain', NULL, 'SQHop_cyclase_N', NULL, NULL, 29131, 8),
(26819, NULL, 'PF08925', NULL, NULL, 'Domain of Unknown Function (DUF1907)', NULL, 'DUF1907', NULL, NULL, 7605, 8),
(26820, NULL, 'PF10756', NULL, NULL, 'Bacterial PH domain', NULL, 'bPH_6', NULL, NULL, 20782, 8),
(26821, NULL, 'PF03269', NULL, NULL, 'Caenorhabditis protein of unknown function, DUF268', NULL, 'DUF268', NULL, NULL, 2976, 8),
(26822, NULL, 'PF03572', NULL, NULL, 'Peptidase family S41', NULL, 'Peptidase_S41', NULL, NULL, 4176, 8),
(26823, NULL, 'PF19820', NULL, NULL, 'Family of unknown function (DUF6303)', NULL, 'DUF6303', NULL, NULL, 39504, 8),
(26824, NULL, 'PF02735', NULL, NULL, 'Ku70/Ku80 beta-barrel domain', NULL, 'Ku', NULL, NULL, 10255, 8),
(26825, NULL, 'PF07024', NULL, NULL, 'ImpE protein', NULL, 'ImpE', NULL, NULL, 10822, 8),
(26826, NULL, 'PF14219', NULL, NULL, 'Domain of unknown function (DUF4328)', NULL, 'DUF4328', NULL, NULL, 23577, 8),
(26827, NULL, 'PF13211', NULL, NULL, 'Protein of unknown function (DUF4019)', NULL, 'DUF4019', NULL, NULL, 23735, 8),
(26828, NULL, 'PF15891', NULL, NULL, 'Nucleoside 2-deoxyribosyltransferase like', NULL, 'Nuc_deoxyri_tr2', NULL, NULL, 36301, 8),
(26829, NULL, 'PF17988', NULL, NULL, 'VEGFR-2 Transmembrane domain', NULL, 'VEGFR-2_TMD', NULL, NULL, 31674, 8),
(26830, NULL, 'PF00263', NULL, NULL, 'Bacterial type II and III secretion system protein', NULL, 'Secretin', NULL, NULL, 4793, 8),
(26831, NULL, 'PF04186', NULL, NULL, 'FxsA cytoplasmic membrane protein', NULL, 'FxsA', NULL, NULL, 4516, 8),
(26832, NULL, 'PF11978', NULL, NULL, 'Shoulder domain', NULL, 'MVP_shoulder', NULL, NULL, 20398, 8),
(26833, NULL, 'PF00378', NULL, NULL, 'Enoyl-CoA hydratase/isomerase', NULL, 'ECH_1', NULL, NULL, 3115, 8),
(26834, NULL, 'PF11330', NULL, NULL, 'C-Terminal of 30K viral movement proteins', NULL, '30K_MP_C_Ter', NULL, NULL, 18700, 8),
(26835, NULL, 'PF13218', NULL, NULL, 'Protein of unknown function (DUF4026)', NULL, 'DUF4026', NULL, NULL, 23682, 8),
(26836, NULL, 'PF15978', NULL, NULL, 'Tn7-like transposition protein D', NULL, 'TnsD', NULL, NULL, 22882, 8),
(26837, NULL, 'PF09684', NULL, NULL, 'Phage tail protein (Tail_P2_I)', NULL, 'Tail_P2_I', NULL, NULL, 127, 8),
(26838, NULL, 'PF16614', NULL, NULL, 'Unstructured region two on RhoGEF 6 and 7', NULL, 'RhoGEF67_u2', NULL, NULL, NULL, 8),
(26839, NULL, 'PF10883', NULL, NULL, 'Protein of unknown function (DUF2681)', NULL, 'DUF2681', NULL, NULL, 19859, 8),
(26840, NULL, 'PF15321', NULL, NULL, 'ATPase family AAA domain containing 4', NULL, 'ATAD4', NULL, NULL, 23700, 8),
(26841, NULL, 'PF11829', NULL, NULL, 'Protein of unknown function (DUF3349)', NULL, 'DUF3349', NULL, NULL, 19726, 8),
(26842, NULL, 'PF16748', NULL, NULL, 'Inscuteable LGN-binding domain', NULL, 'INSC_LBD', NULL, NULL, 23752, 8),
(26843, NULL, 'PF09176', NULL, NULL, 'Methylene-tetrahydromethanopterin dehydrogenase, N-terminal', NULL, 'Mpt_N', NULL, NULL, 12735, 8),
(26844, NULL, 'PF08302', NULL, NULL, 'Fungal tRNA ligase phosphodiesterase domain', NULL, 'tRNA_lig_CPD', NULL, NULL, 8713, 8),
(26845, NULL, 'PF05513', NULL, NULL, 'TraA', NULL, 'TraA', NULL, NULL, 7792, 8),
(26846, NULL, 'PF10300', NULL, NULL, 'Protein of unknown function (DUF3808)', NULL, 'DUF3808', NULL, NULL, 16780, 8),
(26847, NULL, 'PF04711', NULL, NULL, 'Apolipoprotein A-II (ApoA-II)', NULL, 'ApoA-II', NULL, NULL, 3762, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26848, NULL, 'PF16786', NULL, NULL, 'Recombination enhancement, RecA-dependent nuclease', NULL, 'RecA_dep_nuc', NULL, NULL, 28966, 8),
(26849, NULL, 'PF02628', NULL, NULL, 'Cytochrome oxidase assembly protein', NULL, 'COX15-CtaA', NULL, NULL, 3203, 8),
(26850, NULL, 'PF08482', NULL, NULL, 'ATP-dependent helicase C-terminal', NULL, 'HrpB_C', NULL, NULL, 13543, 8),
(26851, NULL, 'PF13065', NULL, NULL, 'Protein of unknown function (DUF3928)', NULL, 'DUF3928', NULL, NULL, 21784, 8),
(26852, NULL, 'PF11080', NULL, NULL, 'Endoribonuclease GhoS', NULL, 'GhoS', NULL, NULL, 16577, 8),
(26853, NULL, 'PF03291', NULL, NULL, 'mRNA capping enzyme', NULL, 'Pox_MCEL', NULL, NULL, 502, 8),
(26854, NULL, 'PF15275', NULL, NULL, 'PEHE domain', NULL, 'PEHE', NULL, NULL, 24505, 8),
(26855, NULL, 'PF13121', NULL, NULL, 'Domain of unknown function (DUF3976)', NULL, 'DUF3976', NULL, NULL, 27257, 8),
(26856, NULL, 'PF19802', NULL, NULL, 'Domain of unknown function (DUF6285)', NULL, 'DUF6285', NULL, NULL, 39995, 8),
(26857, NULL, 'PF10545', NULL, NULL, 'Alcohol dehydrogenase transcription factor Myb/SANT-like', NULL, 'MADF_DNA_bdg', NULL, NULL, 111, 8),
(26858, NULL, 'PF06075', NULL, NULL, 'Plant protein of unknown function (DUF936)', NULL, 'DUF936', NULL, NULL, 8768, 8),
(26859, NULL, 'PF05592', NULL, NULL, 'Bacterial alpha-L-rhamnosidase concanavalin-like domain', NULL, 'Bac_rhamnosid', NULL, NULL, 7583, 8),
(26860, NULL, 'PF00645', NULL, NULL, 'Poly(ADP-ribose) polymerase and DNA-Ligase Zn-finger region', NULL, 'zf-PARP', NULL, NULL, 3322, 8),
(26861, NULL, 'PF11528', NULL, NULL, 'Protein of unknown function (DUF3224)', NULL, 'DUF3224', NULL, NULL, 19329, 8),
(26862, NULL, 'PF15017', NULL, NULL, 'Putative WW-binding domain and destruction box', NULL, 'WRNPLPNID', NULL, NULL, 31945, 8),
(26863, NULL, 'PF16949', NULL, NULL, 'Putative ATP-binding cassette', NULL, 'ABC_tran_2', NULL, NULL, 23220, 8),
(26864, NULL, 'PF01412', NULL, NULL, 'Putative GTPase activating protein for Arf', NULL, 'ArfGap', NULL, NULL, 1167, 8),
(26865, NULL, 'PF11255', NULL, NULL, 'Protein of unknown function (DUF3054)', NULL, 'DUF3054', NULL, NULL, 18197, 8),
(26866, NULL, 'PF00725', NULL, NULL, '3-hydroxyacyl-CoA dehydrogenase, C-terminal domain', NULL, '3HCDH', NULL, NULL, 10136, 8),
(26867, NULL, 'PF08452', NULL, NULL, 'DNA polymerase family B exonuclease domain, N-terminal', NULL, 'DNAP_B_exo_N', NULL, NULL, 12099, 8),
(26868, NULL, 'PF01575', NULL, NULL, 'MaoC like domain', NULL, 'MaoC_dehydratas', NULL, NULL, 917, 8),
(26869, NULL, 'PF01629', NULL, NULL, 'Domain of unknown function DUF22', NULL, 'DUF22', NULL, NULL, 1872, 8),
(26870, NULL, 'PF08930', NULL, NULL, 'Domain of unknown function (DUF1912)', NULL, 'DUF1912', NULL, NULL, 7685, 8),
(26871, NULL, 'PF15053', NULL, NULL, 'Mjmu-R1-like protein family', NULL, 'Njmu-R1', NULL, NULL, 28677, 8),
(26872, NULL, 'PF16785', NULL, NULL, 'Small metal-binding protein', NULL, 'SMBP', NULL, NULL, 28514, 8),
(26873, NULL, 'PF02723', NULL, NULL, 'Coronavirus small envelope protein E', NULL, 'CoV_E', NULL, NULL, 4263, 8),
(26874, NULL, 'PF17072', NULL, NULL, 'Torovirinae spike glycoprotein', NULL, 'Spike_torovirin', NULL, NULL, 25279, 8),
(26875, NULL, 'PF14860', NULL, NULL, 'DrrA phosphatidylinositol 4-phosphate binding domain', NULL, 'DrrA_P4M', NULL, NULL, 26659, 8),
(26876, NULL, 'PF17956', NULL, NULL, 'Nicotinate phosphoribosyltransferase C-terminal domain', NULL, 'NAPRTase_C', NULL, NULL, 32828, 8),
(26877, NULL, 'PF02686', NULL, NULL, 'Glu-tRNAGln amidotransferase C subunit', NULL, 'Glu-tRNAGln', NULL, NULL, 3269, 8),
(26878, NULL, 'PF06078', NULL, NULL, 'Bacterial protein of unknown function (DUF937)', NULL, 'DUF937', NULL, NULL, 13713, 8),
(26879, NULL, 'PF06882', NULL, NULL, 'Protein of unknown function (DUF1263)', NULL, 'DUF1263', NULL, NULL, 9342, 8),
(26880, NULL, 'PF01372', NULL, NULL, 'Melittin', NULL, 'Melittin', NULL, NULL, 1067, 8),
(26881, NULL, 'PF11808', NULL, NULL, 'Phosphate regulon sensor protein PhoR', NULL, 'PhoR', NULL, NULL, 19796, 8),
(26882, NULL, 'PF15943', NULL, NULL, 'Putative antitoxin of bacterial toxin-antitoxin system, YdaS/YdaT', NULL, 'YdaS_antitoxin', NULL, NULL, 26412, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26883, NULL, 'PF19517', NULL, NULL, 'Family of unknown function (DUF6050)', NULL, 'DUF6050', NULL, NULL, 39587, 8),
(26884, NULL, 'PF12311', NULL, NULL, 'Protein of unknown function (DUF3632)', NULL, 'DUF3632', NULL, NULL, 20567, 8),
(26885, NULL, 'PF13623', NULL, NULL, 'SurA N-terminal domain', NULL, 'SurA_N_2', NULL, NULL, NULL, 8),
(26886, NULL, 'PF19962', NULL, NULL, 'Effector-associated domain 9', NULL, 'EAD9', NULL, NULL, 39868, 8),
(26887, NULL, 'PF10322', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Sru', NULL, '7TM_GPCR_Sru', NULL, NULL, 3281, 8),
(26888, NULL, 'PF12862', NULL, NULL, 'Anaphase-promoting complex subunit 5', NULL, 'ANAPC5', NULL, NULL, 24240, 8),
(26889, NULL, 'PF11932', NULL, NULL, 'Protein of unknown function (DUF3450)', NULL, 'DUF3450', NULL, NULL, 16009, 8),
(26890, NULL, 'PF12379', NULL, NULL, 'Betacoronavirus replicase NSP3, N-terminal', NULL, 'bCoV_NSP3_N', NULL, NULL, 22719, 8),
(26891, NULL, 'PF07203', NULL, NULL, 'Protein of unknown function (DUF1412)', NULL, 'DUF1412', NULL, NULL, 14147, 8),
(26892, NULL, 'PF12863', NULL, NULL, 'Domain of unknown function (DUF3821)', NULL, 'DUF3821', NULL, NULL, 10329, 8),
(26893, NULL, 'PF02415', NULL, NULL, 'Chlamydia polymorphic membrane protein (Chlamydia_PMP) repeat', NULL, 'Chlam_PMP', NULL, NULL, 4068, 8),
(26894, NULL, 'PF02839', NULL, NULL, 'Carbohydrate binding domain', NULL, 'CBM_5_12', NULL, NULL, 851, 8),
(26895, NULL, 'PF12360', NULL, NULL, 'Paired box protein 7', NULL, 'Pax7', NULL, NULL, 20605, 8),
(26896, NULL, 'PF10240', NULL, NULL, 'Multivesicular body subunit 12', NULL, 'DUF2464', NULL, NULL, 19385, 8),
(26897, NULL, 'PF18861', NULL, NULL, 'TM proximal of protein tyrosine phosphatase, receptor type J', NULL, 'PTP_tm', NULL, NULL, 31683, 8),
(26898, NULL, 'PF06686', NULL, NULL, 'Stage III sporulation protein AC/AD protein family', NULL, 'SpoIIIAC', NULL, NULL, 25084, 8),
(26899, NULL, 'PF13799', NULL, NULL, 'Domain of unknown function (DUF4183)', NULL, 'DUF4183', NULL, NULL, 23592, 8),
(26900, NULL, 'PF01706', NULL, NULL, 'FliG C-terminal domain', NULL, 'FliG_C', NULL, NULL, 15516, 8),
(26901, NULL, 'PF19970', NULL, NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 9', NULL, 'VMAP-M9', NULL, NULL, 38964, 8),
(26902, NULL, 'PF13555', NULL, NULL, 'P-loop containing region of AAA domain', NULL, 'AAA_29', NULL, NULL, NULL, 8),
(26903, NULL, 'PF09188', NULL, NULL, 'Domain of unknown function (DUF1951)', NULL, 'DUF1951', NULL, NULL, 12938, 8),
(26904, NULL, 'PF19112', NULL, NULL, 'Vanillate O-demethylase oxygenase C-terminal domain', NULL, 'VanA_C', NULL, NULL, 37841, 8),
(26905, NULL, 'PF03486', NULL, NULL, 'HI0933-like protein', NULL, 'HI0933_like', NULL, NULL, NULL, 8),
(26906, NULL, 'PF12445', NULL, NULL, 'Flagellin protein', NULL, 'FliC', NULL, NULL, 22061, 8),
(26907, NULL, 'PF13373', NULL, NULL, 'DUF2407 C-terminal domain', NULL, 'DUF2407_C', NULL, NULL, 23154, 8),
(26908, NULL, 'PF12857', NULL, NULL, 'TOBE-like domain', NULL, 'TOBE_3', NULL, NULL, 19405, 8),
(26909, NULL, 'PF01267', NULL, NULL, 'F-actin capping protein alpha subunit', NULL, 'F-actin_cap_A', NULL, NULL, 220, 8),
(26910, NULL, 'PF11372', NULL, NULL, 'Domain of unknown function (DUF3173)', NULL, 'DUF3173', NULL, NULL, 18643, 8),
(26911, NULL, 'PF03721', NULL, NULL, 'UDP-glucose/GDP-mannose dehydrogenase family, NAD binding domain', NULL, 'UDPG_MGDP_dh_N', NULL, NULL, 3105, 8),
(26912, NULL, 'PF15485', NULL, NULL, 'Domain of unknown function (DUF4643)', NULL, 'DUF4643', NULL, NULL, 24566, 8),
(26913, NULL, 'PF18794', NULL, NULL, 'DNA mismatch repair protein HSM3, C terminal domain', NULL, 'HSM3_C', NULL, NULL, 31438, 8),
(26914, NULL, 'PF18812', NULL, NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease3', NULL, 'PBECR3', NULL, NULL, 31429, 8),
(26915, NULL, 'PF03259', NULL, NULL, 'Roadblock/LC7 domain', NULL, 'Robl_LC7', NULL, NULL, 1925, 8),
(26916, NULL, 'PF03459', NULL, NULL, 'TOBE domain', NULL, 'TOBE', NULL, NULL, 10867, 8),
(26917, NULL, 'PF06377', NULL, NULL, 'Adipokinetic hormone', NULL, 'Adipokin_hormo', NULL, NULL, 10267, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26918, NULL, 'PF03273', NULL, NULL, 'Baculovirus gp64 envelope glycoprotein family', NULL, 'Baculo_gp64', NULL, NULL, 2519, 8),
(26919, NULL, 'PF00814', NULL, NULL, 'tRNA N6-adenosine threonylcarbamoyltransferase', NULL, 'TsaD', NULL, NULL, 105, 8),
(26920, NULL, 'PF18299', NULL, NULL, 'ATP-grasp domain, R2K clade family 2', NULL, 'R2K_2', NULL, NULL, 31125, 8),
(26921, NULL, 'PF12697', NULL, NULL, 'Alpha/beta hydrolase family', NULL, 'Abhydrolase_6', NULL, NULL, 3705, 8),
(26922, NULL, 'PF03104', NULL, NULL, 'DNA polymerase family B, exonuclease domain', NULL, 'DNA_pol_B_exo1', NULL, NULL, 10148, 8),
(26923, NULL, 'PF15138', NULL, NULL, 'Syncollin', NULL, 'Syncollin', NULL, NULL, 27110, 8),
(26924, NULL, 'PF08604', NULL, NULL, 'Nucleoporin Nup153-like', NULL, 'Nup153', NULL, NULL, 18093, 8),
(26925, NULL, 'PF17568', NULL, NULL, 'Family of unknown function (DUF5474)', NULL, 'DUF5474', NULL, NULL, 12681, 8),
(26926, NULL, 'PF00410', NULL, NULL, 'Ribosomal protein S8', NULL, 'Ribosomal_S8', NULL, NULL, 5828, 8),
(26927, NULL, 'PF00773', NULL, NULL, 'RNB domain', NULL, 'RNB', NULL, NULL, 2355, 8),
(26928, NULL, 'PF15551', NULL, NULL, 'Domain of unknown function (DUF4656)', NULL, 'DUF4656', NULL, NULL, 24952, 8),
(26929, NULL, 'PF15893', NULL, NULL, 'Domain of unknown function (DUF4739)', NULL, 'DUF4739', NULL, NULL, 24955, 8),
(26930, NULL, 'PF03583', NULL, NULL, 'Secretory lipase', NULL, 'LIP', NULL, NULL, 4374, 8),
(26931, NULL, 'PF10159', NULL, NULL, 'Multiple myeloma tumor-associated', NULL, 'MMtag', NULL, NULL, 15226, 8),
(26932, NULL, 'PF04143', NULL, NULL, 'Sulphur transport', NULL, 'Sulf_transp', NULL, NULL, 7132, 8),
(26933, NULL, 'PF15588', NULL, NULL, 'Immunity protein 10', NULL, 'Imm10', NULL, NULL, 26035, 8),
(26934, NULL, 'PF07553', NULL, NULL, 'Host cell surface-exposed lipoprotein', NULL, 'Lipoprotein_Ltp', NULL, NULL, 13528, 8),
(26935, NULL, 'PF11826', NULL, NULL, 'Protein of unknown function (DUF3346)', NULL, 'DUF3346', NULL, NULL, 19802, 8),
(26936, NULL, 'PF04628', NULL, NULL, 'Sedlin, N-terminal conserved region', NULL, 'Sedlin_N', NULL, NULL, 2191, 8),
(26937, NULL, 'PF09438', NULL, NULL, 'Domain of unknown function (DUF2017)', NULL, 'DUF2017', NULL, NULL, 15692, 8),
(26938, NULL, 'PF19838', NULL, NULL, 'LptD protein', NULL, 'LptD_2', NULL, NULL, 38698, 8),
(26939, NULL, 'PF10327', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Sri', NULL, '7TM_GPCR_Sri', NULL, NULL, 17753, 8),
(26940, NULL, 'PF12356', NULL, NULL, 'Baculoviral IAP repeat-containing protein 6', NULL, 'BIRC6', NULL, NULL, 20789, 8),
(26941, NULL, 'PF19879', NULL, NULL, 'Family of unknown function (DUF6352)', NULL, 'DUF6352', NULL, NULL, 39265, 8),
(26942, NULL, 'PF06161', NULL, NULL, 'Protein of unknown function (DUF975)', NULL, 'DUF975', NULL, NULL, 9764, 8),
(26943, NULL, 'PF05079', NULL, NULL, 'Protein of unknown function (DUF680)', NULL, 'DUF680', NULL, NULL, 1086, 8),
(26944, NULL, 'PF03862', NULL, NULL, 'SpoVAC/SpoVAEB sporulation membrane protein', NULL, 'SpoVAC_SpoVAEB', NULL, NULL, 1994, 8),
(26945, NULL, 'PF17303', NULL, NULL, 'Family of unknown function (DUF5352)', NULL, 'DUF5352', NULL, NULL, 34140, 8),
(26946, NULL, 'PF13611', NULL, NULL, 'Serine peptidase of plant viral polyprotein, P1', NULL, 'Peptidase_S76', NULL, NULL, 23076, 8),
(26947, NULL, 'PF14683', NULL, NULL, 'Polysaccharide lyase family 4, domain III', NULL, 'CBM-like', NULL, NULL, 21684, 8),
(26948, NULL, 'PF15380', NULL, NULL, 'Domain of unknown function (DUF4607)', NULL, 'DUF4607', NULL, NULL, 25362, 8),
(26949, NULL, 'PF04363', NULL, NULL, 'Protein of unknown function (DUF496)', NULL, 'DUF496', NULL, NULL, 4510, 8),
(26950, NULL, 'PF07652', NULL, NULL, 'Flavivirus DEAD domain', NULL, 'Flavi_DEAD', NULL, NULL, 12516, 8),
(26951, NULL, 'PF08672', NULL, NULL, 'Anaphase promoting complex (APC) subunit 2', NULL, 'ANAPC2', NULL, NULL, 11706, 8),
(26952, NULL, 'PF11780', NULL, NULL, 'Protein of unknown function (DUF3318)', NULL, 'DUF3318', NULL, NULL, 19849, 8),
(26953, NULL, 'PF12657', NULL, NULL, 'Transcription factor IIIC subunit delta N-term', NULL, 'TFIIIC_delta', NULL, NULL, 19077, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26954, NULL, 'PF10626', NULL, NULL, 'Conjugative transposon protein TraO', NULL, 'TraO', NULL, NULL, 21140, 8),
(26955, NULL, 'PF04159', NULL, NULL, 'NB glycoprotein', NULL, 'NB', NULL, NULL, 7271, 8),
(26956, NULL, 'PF04704', NULL, NULL, 'Zfx / Zfy transcription activation region', NULL, 'Zfx_Zfy_act', NULL, NULL, 3080, 8),
(26957, NULL, 'PF03741', NULL, NULL, 'Integral membrane protein TerC family', NULL, 'TerC', NULL, NULL, 858, 8),
(26958, NULL, 'PF06477', NULL, NULL, 'Protein of unknown function (DUF1091)', NULL, 'DUF1091', NULL, NULL, 10781, 8),
(26959, NULL, 'PF02174', NULL, NULL, 'PTB domain (IRS-1 type)', NULL, 'IRS', NULL, NULL, 6533, 8),
(26960, NULL, 'PF14154', NULL, NULL, 'Domain of unknown function (DUF4306)', NULL, 'DUF4306', NULL, NULL, 28106, 8),
(26961, NULL, 'PF01649', NULL, NULL, 'Ribosomal protein S20', NULL, 'Ribosomal_S20p', NULL, NULL, 1600, 8),
(26962, NULL, 'PF08761', NULL, NULL, 'dUTPase', NULL, 'dUTPase_2', NULL, NULL, 13418, 8),
(26963, NULL, 'PF13300', NULL, NULL, 'Domain of unknown function (DUF4078)', NULL, 'DUF4078', NULL, NULL, 22577, 8),
(26964, NULL, 'PF15097', NULL, NULL, 'Immunoglobulin J chain', NULL, 'Ig_J_chain', NULL, NULL, 9836, 8),
(26965, NULL, 'PF07539', NULL, NULL, 'Down-regulated in metastasis', NULL, 'DRIM', NULL, NULL, 13886, 8),
(26966, NULL, 'PF09773', NULL, NULL, 'Meckelin (Transmembrane protein 67)', NULL, 'Meckelin', NULL, NULL, 18534, 8),
(26967, NULL, 'PF04155', NULL, NULL, 'Ground-like domain', NULL, 'Ground-like', NULL, NULL, 7107, 8),
(26968, NULL, 'PF07569', NULL, NULL, 'TUP1-like enhancer of split', NULL, 'Hira', NULL, NULL, 12632, 8),
(26969, NULL, 'PF17453', NULL, NULL, 'Sigma-M inhibitor', NULL, 'Sigma_M_inh', NULL, NULL, 20056, 8),
(26970, NULL, 'PF15204', NULL, NULL, 'Kita-kyushu lung cancer antigen 1', NULL, 'KKLCAg1', NULL, NULL, 26402, 8),
(26971, NULL, 'PF01916', NULL, NULL, 'Deoxyhypusine synthase', NULL, 'DS', NULL, NULL, 4549, 8),
(26972, NULL, 'PF19704', NULL, NULL, 'DNA-PKcs, CC5', NULL, 'DNAPKcs_CC5', NULL, NULL, 36616, 8),
(26973, NULL, 'PF10385', NULL, NULL, 'RNA polymerase beta subunit external 1 domain', NULL, 'RNA_pol_Rpb2_45', NULL, NULL, 17595, 8),
(26974, NULL, 'PF13181', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_8', NULL, NULL, 21305, 8),
(26975, NULL, 'PF15730', NULL, NULL, 'Domain of unknown function (DUF4680)', NULL, 'DUF4680', NULL, NULL, 27254, 8),
(26976, NULL, 'PF07095', NULL, NULL, 'Intracellular growth attenuator protein IgaA', NULL, 'IgaA', NULL, NULL, 10782, 8),
(26977, NULL, 'PF17215', NULL, NULL, 'S1 domain', NULL, 'Rrp44_S1', NULL, NULL, 34235, 8),
(26978, NULL, 'PF17389', NULL, NULL, 'Bacterial alpha-L-rhamnosidase 6 hairpin glycosidase domain', NULL, 'Bac_rhamnosid6H', NULL, NULL, 14847, 8),
(26979, NULL, 'PF04834', NULL, NULL, 'Early E3 14.5 kDa protein', NULL, 'Adeno_E3_14_5', NULL, NULL, 6167, 8),
(26980, NULL, 'PF00307', NULL, NULL, 'Calponin homology (CH) domain', NULL, 'CH', NULL, NULL, 3395, 8),
(26981, NULL, 'PF12757', NULL, NULL, 'Eisosome protein 1', NULL, 'Eisosome1', NULL, NULL, 25697, 8),
(26982, NULL, 'PF10524', NULL, NULL, 'Nuclear factor I protein pre-N-terminus', NULL, 'NfI_DNAbd_pre-N', NULL, NULL, 19197, 8),
(26983, NULL, 'PF16696', NULL, NULL, 'Zinc finger FYVE domain-containing protein 21 C-terminus', NULL, 'ZFYVE21_C', NULL, NULL, 24493, 8),
(26984, NULL, 'PF02990', NULL, NULL, 'Endomembrane protein 70', NULL, 'EMP70', NULL, NULL, 3508, 8),
(26985, NULL, 'PF03635', NULL, NULL, 'Vacuolar protein sorting-associated protein 35', NULL, 'Vps35', NULL, NULL, 6074, 8),
(26986, NULL, 'PF07176', NULL, NULL, 'Alpha/beta hydrolase of unknown function (DUF1400)', NULL, 'DUF1400', NULL, NULL, 11142, 8),
(26987, NULL, 'PF17058', NULL, NULL, 'Mitochondrial biogenesis regulation protein 1', NULL, 'MBR1', NULL, NULL, 22897, 8),
(26988, NULL, 'PF09837', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2064)', NULL, 'DUF2064', NULL, NULL, 16814, 8),
(26989, NULL, 'PF17005', NULL, NULL, 'WD40-like domain', NULL, 'WD40_like', NULL, NULL, 25322, 8),
(26990, NULL, 'PF19387', NULL, NULL, 'Family of unknown function (DUF5962)', NULL, 'DUF5962', NULL, NULL, 39191, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(26991, NULL, 'PF13786', NULL, NULL, 'Domain of unknown function (DUF4179)', NULL, 'DUF4179', NULL, NULL, 23323, 8),
(26992, NULL, 'PF09071', NULL, NULL, 'Alpha-amylase, C terminal', NULL, 'Alpha-amyl_C', NULL, NULL, 9612, 8),
(26993, NULL, 'PF13938', NULL, NULL, 'Putative heavy-metal chelation', NULL, 'DUF4213', NULL, NULL, 23835, 8),
(26994, NULL, 'PF00614', NULL, NULL, 'Phospholipase D Active site motif', NULL, 'PLDc', NULL, NULL, 3001, 8),
(26995, NULL, 'PF13877', NULL, NULL, 'Potential Monad-binding region of RPAP3', NULL, 'RPAP3_C', NULL, NULL, 27490, 8),
(26996, NULL, 'PF18649', NULL, NULL, 'EcpB C-terminal domain', NULL, 'EcpB_C', NULL, NULL, 30035, 8),
(26997, NULL, 'PF12654', NULL, NULL, 'Domain of unknown function (DUF3786)', NULL, 'DUF3786', NULL, NULL, 20114, 8),
(26998, NULL, 'PF17906', NULL, NULL, 'HTH domain in Mos1 transposase', NULL, 'HTH_48', NULL, NULL, 33155, 8),
(26999, NULL, 'PF02247', NULL, NULL, 'Large coat protein', NULL, 'Como_LCP', NULL, NULL, 1613, 8),
(27000, NULL, 'PF11489', NULL, NULL, 'Altered inheritance of mitochondria protein 21', NULL, 'Aim21', NULL, NULL, 19022, 8),
(27001, NULL, 'PF10084', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2322)', NULL, 'DUF2322', NULL, NULL, 21641, 8),
(27002, NULL, 'PF08178', NULL, NULL, 'GnsA/GnsB toxin of bacterial toxin-antitoxin system', NULL, 'GnsAB_toxin', NULL, NULL, 9887, 8),
(27003, NULL, 'PF12769', NULL, NULL, '4TM region of pyridine nucleotide transhydrogenase, mitoch', NULL, 'PNTB_4TM', NULL, NULL, 28530, 8),
(27004, NULL, 'PF13649', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_25', NULL, NULL, 32668, 8),
(27005, NULL, 'PF03479', NULL, NULL, 'Plants and Prokaryotes Conserved (PCC) domain', NULL, 'PCC', NULL, NULL, 5302, 8),
(27006, NULL, 'PF02748', NULL, NULL, 'Aspartate carbamoyltransferase regulatory chain, metal binding domain', NULL, 'PyrI_C', NULL, NULL, 20716, 8),
(27007, NULL, 'PF03600', NULL, NULL, 'Citrate transporter', NULL, 'CitMHS', NULL, NULL, 3268, 8),
(27008, NULL, 'PF05817', NULL, NULL, 'Oligosaccharyltransferase subunit Ribophorin II', NULL, 'Ribophorin_II', NULL, NULL, 14235, 8),
(27009, NULL, 'PF11753', NULL, NULL, 'Protein of unknwon function (DUF3310)', NULL, 'DUF3310', NULL, NULL, 19555, 8),
(27010, NULL, 'PF04676', NULL, NULL, 'Protein similar to CwfJ C-terminus 2', NULL, 'CwfJ_C_2', NULL, NULL, 3250, 8),
(27011, NULL, 'PF16746', NULL, NULL, 'BAR domain of APPL family', NULL, 'BAR_3', NULL, NULL, NULL, 8),
(27012, NULL, 'PF08818', NULL, NULL, 'Domain of unknown function (DU1801)', NULL, 'DUF1801', NULL, NULL, 14010, 8),
(27013, NULL, 'PF12244', NULL, NULL, 'Protein of unknown function (DUF3606)', NULL, 'DUF3606', NULL, NULL, 20821, 8),
(27014, NULL, 'PF07006', NULL, NULL, 'Protein of unknown function (DUF1310)', NULL, 'DUF1310', NULL, NULL, 10381, 8),
(27015, NULL, 'PF08920', NULL, NULL, 'Splicing factor 3B subunit 1', NULL, 'SF3b1', NULL, NULL, 7742, 8),
(27016, NULL, 'PF09126', NULL, NULL, 'Restriction endonuclease NaeI', NULL, 'NaeI', NULL, NULL, 10635, 8),
(27017, NULL, 'PF01176', NULL, NULL, 'Translation initiation factor 1A / IF-1', NULL, 'eIF-1a', NULL, NULL, 11256, 8),
(27018, NULL, 'PF06812', NULL, NULL, 'ImpA, N-terminal, type VI secretion system', NULL, 'ImpA_N', NULL, NULL, 9277, 8),
(27019, NULL, 'PF19459', NULL, NULL, 'Family of unknown function (DUF5996)', NULL, 'DUF5996', NULL, NULL, 39465, 8),
(27020, NULL, 'PF08357', NULL, NULL, 'SEFIR domain', NULL, 'SEFIR', NULL, NULL, 13425, 8),
(27021, NULL, 'PF08466', NULL, NULL, 'Inward rectifier potassium channel N-terminal', NULL, 'IRK_N', NULL, NULL, 13943, 8),
(27022, NULL, 'PF13986', NULL, NULL, 'Domain of unknown function (DUF4224)', NULL, 'DUF4224', NULL, NULL, 22989, 8),
(27023, NULL, 'PF03767', NULL, NULL, 'HAD superfamily, subfamily IIIB (Acid phosphatase)', NULL, 'Acid_phosphat_B', NULL, NULL, 1770, 8),
(27024, NULL, 'PF05924', NULL, NULL, 'SAMP Motif', NULL, 'SAMP', NULL, NULL, 12908, 8),
(27025, NULL, 'PF02472', NULL, NULL, 'Biopolymer transport protein ExbD/TolR', NULL, 'ExbD', NULL, NULL, 5025, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27026, NULL, 'PF14987', NULL, NULL, 'NADH dehydrogenase 1 alpha subcomplex subunit 3', NULL, 'NADHdh_A3', NULL, NULL, 24133, 8),
(27027, NULL, 'PF10273', NULL, NULL, 'Pre-rRNA-processing protein TSR2', NULL, 'WGG', NULL, NULL, 16996, 8),
(27028, NULL, 'PF04771', NULL, NULL, 'Chicken anaemia virus VP-3 protein', NULL, 'CAV_VP3', NULL, NULL, 4109, 8),
(27029, NULL, 'PF10779', NULL, NULL, 'Haemolysin XhlA', NULL, 'XhlA', NULL, NULL, 21276, 8),
(27030, NULL, 'PF07598', NULL, NULL, 'Protein of unknown function (DUF1561)', NULL, 'DUF1561', NULL, NULL, 13973, 8),
(27031, NULL, 'PF14329', NULL, NULL, 'Domain of unknown function (DUF4386)', NULL, 'DUF4386', NULL, NULL, 28100, 8),
(27032, NULL, 'PF16891', NULL, NULL, 'Serine-threonine protein phosphatase N-terminal domain', NULL, 'STPPase_N', NULL, NULL, 23438, 8),
(27033, NULL, 'PF05785', NULL, NULL, 'Rho-activating domain of cytotoxic necrotizing factor', NULL, 'CNF1', NULL, NULL, 8847, 8),
(27034, NULL, 'PF10136', NULL, NULL, 'Site-specific recombinase', NULL, 'SpecificRecomb', NULL, NULL, 14658, 8),
(27035, NULL, 'PF14767', NULL, NULL, 'Replication protein A interacting middle', NULL, 'RPA_interact_M', NULL, NULL, 24819, 8),
(27036, NULL, 'PF18551', NULL, NULL, 'Thaumarchaeal output domain 1', NULL, 'TackOD1', NULL, NULL, 29563, 8),
(27037, NULL, 'PF02810', NULL, NULL, 'SEC-C motif', NULL, 'SEC-C', NULL, NULL, 534, 8),
(27038, NULL, 'PF04002', NULL, NULL, 'RadC-like JAB domain', NULL, 'RadC', NULL, NULL, 24830, 8),
(27039, NULL, 'PF08923', NULL, NULL, 'Mitogen-activated protein kinase kinase 1 interacting', NULL, 'MAPKK1_Int', NULL, NULL, 7984, 8),
(27040, NULL, 'PF09377', NULL, NULL, 'SBDS protein C-terminal domain', NULL, 'SBDS_C', NULL, NULL, 15394, 8),
(27041, NULL, 'PF12339', NULL, NULL, 'DNA-J related protein', NULL, 'DNAJ_related', NULL, NULL, 15201, 8),
(27042, NULL, 'PF18557', NULL, NULL, 'Anti-sigma factor NepR', NULL, 'NepR', NULL, NULL, 32139, 8),
(27043, NULL, 'PF18897', NULL, NULL, 'Recombination directionality factor-like', NULL, 'Gp3-like', NULL, NULL, 39536, 8),
(27044, NULL, 'PF02581', NULL, NULL, 'Thiamine monophosphate synthase', NULL, 'TMP-TENI', NULL, NULL, 15322, 8),
(27045, NULL, 'PF20016', NULL, NULL, 'Domain of unknown function (DUF6430)', NULL, 'DUF6430', NULL, NULL, 38669, 8),
(27046, NULL, 'PF09919', NULL, NULL, 'Uncharacterized conserved protein (DUF2149)', NULL, 'DUF2149', NULL, NULL, 17021, 8),
(27047, NULL, 'PF14473', NULL, NULL, 'RD3 protein', NULL, 'RD3', NULL, NULL, 28216, 8),
(27048, NULL, 'PF10643', NULL, NULL, 'Photosystem P840 reaction-centre cytochrome c-551', NULL, 'Cytochrome-c551', NULL, NULL, 20153, 8),
(27049, NULL, 'PF15069', NULL, NULL, 'FAM163 family', NULL, 'FAM163', NULL, NULL, 28209, 8),
(27050, NULL, 'PF04504', NULL, NULL, 'Protein of unknown function, DUF573', NULL, 'DUF573', NULL, NULL, 2793, 8),
(27051, NULL, 'PF03170', NULL, NULL, 'Bacterial cellulose synthase subunit', NULL, 'BcsB', NULL, NULL, 15018, 8),
(27052, NULL, 'PF00993', NULL, NULL, 'Class II histocompatibility antigen, alpha domain', NULL, 'MHC_II_alpha', NULL, NULL, 393, 8),
(27053, NULL, 'PF10124', NULL, NULL, 'Mu-like prophage major head subunit gpT', NULL, 'Mu-like_gpT', NULL, NULL, 18543, 8),
(27054, NULL, 'PF01375', NULL, NULL, 'Heat-labile enterotoxin alpha chain', NULL, 'Enterotoxin_a', NULL, NULL, 2334, 8),
(27055, NULL, 'PF12500', NULL, NULL, 'TRSP domain C terminus to PRTase_2', NULL, 'TRSP', NULL, NULL, 16928, 8),
(27056, NULL, 'PF10347', NULL, NULL, 'RNA pol II promoter Fmp27 protein domain', NULL, 'Fmp27_GFWDK', NULL, NULL, 17867, 8),
(27057, NULL, 'PF13030', NULL, NULL, 'Protein of unknown function (DUF3891)', NULL, 'DUF3891', NULL, NULL, 22587, 8),
(27058, NULL, 'PF07254', NULL, NULL, 'Membrane-bound toxin component of toxin-antitoxin system', NULL, 'Cpta_toxin', NULL, NULL, 14647, 8),
(27059, NULL, 'PF10786', NULL, NULL, 'Glucose-6-phosphate 1-dehydrogenase (EC 1.1.1.49)', NULL, 'G6PD_bact', NULL, NULL, 21311, 8),
(27060, NULL, 'PF05950', NULL, NULL, 'Orthopoxvirus A36R protein', NULL, 'Orthopox_A36R', NULL, NULL, 7582, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27061, NULL, 'PF02447', NULL, NULL, 'GntP family permease', NULL, 'GntP_permease', NULL, NULL, 6183, 8),
(27062, NULL, 'PF12455', NULL, NULL, 'Dynein associated protein', NULL, 'Dynactin', NULL, NULL, 21366, 8),
(27063, NULL, 'PF03216', NULL, NULL, 'Rhabdovirus nucleoprotein', NULL, 'Rhabdo_ncap_2', NULL, NULL, 1664, 8),
(27064, NULL, 'PF00193', NULL, NULL, 'Extracellular link domain', NULL, 'Xlink', NULL, NULL, 5622, 8),
(27065, NULL, 'PF03127', NULL, NULL, 'GAT domain', NULL, 'GAT', NULL, NULL, 2772, 8),
(27066, NULL, 'PF07505', NULL, NULL, 'Protein of unknown function (DUF5131)', NULL, 'DUF5131', NULL, NULL, 11483, 8),
(27067, NULL, 'PF06932', NULL, NULL, 'Protein of unknown function (DUF1283)', NULL, 'DUF1283', NULL, NULL, 11610, 8),
(27068, NULL, 'PF11073', NULL, NULL, 'Rift valley fever virus non structural protein (NSs) like', NULL, 'NSs', NULL, NULL, 35560, 8),
(27069, NULL, 'PF08621', NULL, NULL, 'RPAP1-like, N-terminal', NULL, 'RPAP1_N', NULL, NULL, 14123, 8),
(27070, NULL, 'PF13845', NULL, NULL, 'Septum formation', NULL, 'Septum_form', NULL, NULL, 24208, 8),
(27071, NULL, 'PF06339', NULL, NULL, 'Ectoine synthase', NULL, 'Ectoine_synth', NULL, NULL, 10071, 8),
(27072, NULL, 'PF07870', NULL, NULL, 'Protein of unknown function (DUF1657)', NULL, 'DUF1657', NULL, NULL, 14974, 8),
(27073, NULL, 'PF06935', NULL, NULL, 'Protein of unknown function (DUF1284)', NULL, 'DUF1284', NULL, NULL, 11878, 8),
(27074, NULL, 'PF04501', NULL, NULL, 'Baculovirus major capsid protein VP39', NULL, 'Baculo_VP39', NULL, NULL, 2911, 8),
(27075, NULL, 'PF06938', NULL, NULL, 'Protein of unknown function (DUF1285)', NULL, 'DUF1285', NULL, NULL, 10386, 8),
(27076, NULL, 'PF04819', NULL, NULL, 'Family of unknown function (DUF716)', NULL, 'DUF716', NULL, NULL, 4984, 8),
(27077, NULL, 'PF16414', NULL, NULL, 'Niemann-Pick C1 N terminus', NULL, 'NPC1_N', NULL, NULL, 24591, 8),
(27078, NULL, 'PF19354', NULL, NULL, 'Family of unknown function (DUF5931)', NULL, 'DUF5931', NULL, NULL, 39257, 8),
(27079, NULL, 'PF02229', NULL, NULL, 'Transcriptional Coactivator p15 (PC4)', NULL, 'PC4', NULL, NULL, 1569, 8),
(27080, NULL, 'PF01984', NULL, NULL, 'Double-stranded DNA-binding domain', NULL, 'dsDNA_bind', NULL, NULL, 5039, 8),
(27081, NULL, 'PF17242', NULL, NULL, 'Disordered region of unknown function (DUF5315)', NULL, 'DUF5315', NULL, NULL, NULL, 8),
(27082, NULL, 'PF08200', NULL, NULL, 'Bacteriophage 1.1 Protein', NULL, 'Phage_1_1', NULL, NULL, 12272, 8),
(27083, NULL, 'PF10138', NULL, NULL, 'vWA found in TerF C terminus', NULL, 'vWA-TerF-like', NULL, NULL, 15363, 8),
(27084, NULL, 'PF18152', NULL, NULL, 'DAHP synthase ferredoxin-like domain', NULL, 'DAHP_snth_FXD', NULL, NULL, 31274, 8),
(27085, NULL, 'PF19413', NULL, NULL, 'YaiO membrane beta barrel domain', NULL, 'YaiO', NULL, NULL, 22966, 8),
(27086, NULL, 'PF01490', NULL, NULL, 'Transmembrane amino acid transporter protein', NULL, 'Aa_trans', NULL, NULL, 12247, 8),
(27087, NULL, 'PF08270', NULL, NULL, 'M protein trans-acting positive regulator (MGA) PRD domain', NULL, 'PRD_Mga', NULL, NULL, 12981, 8),
(27088, NULL, 'PF03462', NULL, NULL, 'PCRF domain', NULL, 'PCRF', NULL, NULL, 7438, 8),
(27089, NULL, 'PF17396', NULL, NULL, 'Domain of unknown function (DUF1611_N) Rossmann-like domain', NULL, 'DUF1611_N', NULL, NULL, 16492, 8),
(27090, NULL, 'PF00276', NULL, NULL, 'Ribosomal protein L23', NULL, 'Ribosomal_L23', NULL, NULL, 11680, 8),
(27091, NULL, 'PF04967', NULL, NULL, 'HTH DNA binding domain', NULL, 'HTH_10', NULL, NULL, 6786, 8),
(27092, NULL, 'PF14895', NULL, NULL, 'Protein phosphatase 1 inhibitor', NULL, 'PPPI_inhib', NULL, NULL, 23964, 8),
(27093, NULL, 'PF00399', NULL, NULL, 'Yeast PIR protein repeat', NULL, 'PIR', NULL, NULL, 4232, 8),
(27094, NULL, 'PF00009', NULL, NULL, 'Elongation factor Tu GTP binding domain', NULL, 'GTP_EFTU', NULL, NULL, 6861, 8),
(27095, NULL, 'PF02392', NULL, NULL, 'Ycf4', NULL, 'Ycf4', NULL, NULL, 4018, 8),
(27096, NULL, 'PF04725', NULL, NULL, 'Photosystem II 10 kDa polypeptide PsbR', NULL, 'PsbR', NULL, NULL, 3954, 8),
(27097, NULL, 'PF00612', NULL, NULL, 'IQ calmodulin-binding motif', NULL, 'IQ', NULL, NULL, 2955, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27098, NULL, 'PF00749', NULL, NULL, 'tRNA synthetases class I (E and Q), catalytic domain', NULL, 'tRNA-synt_1c', NULL, NULL, 16386, 8),
(27099, NULL, 'PF04984', NULL, NULL, 'Phage tail sheath protein subtilisin-like domain', NULL, 'Phage_sheath_1', NULL, NULL, 33434, 8),
(27100, NULL, 'PF16882', NULL, NULL, 'Domain of unknown function (DUF5079)', NULL, 'DUF5079', NULL, NULL, 26000, 8),
(27101, NULL, 'PF14651', NULL, NULL, 'Lipocalin / cytosolic fatty-acid binding protein family', NULL, 'Lipocalin_7', NULL, NULL, NULL, 8),
(27102, NULL, 'PF06030', NULL, NULL, 'Bacterial protein of unknown function (DUF916)', NULL, 'DUF916', NULL, NULL, 8641, 8),
(27103, NULL, 'PF02543', NULL, NULL, 'Carbamoyltransferase N-terminus', NULL, 'Carbam_trans_N', NULL, NULL, 2143, 8),
(27104, NULL, 'PF15240', NULL, NULL, 'Proline-rich protein', NULL, 'Pro-rich', NULL, NULL, 25868, 8),
(27105, NULL, 'PF08839', NULL, NULL, 'DNA replication factor CDT1 like', NULL, 'CDT1', NULL, NULL, 14086, 8),
(27106, NULL, 'PF14449', NULL, NULL, 'Pre-toxin TG', NULL, 'PT-TG', NULL, NULL, 23172, 8),
(27107, NULL, 'PF01056', NULL, NULL, 'Myc amino-terminal region', NULL, 'Myc_N', NULL, NULL, 7531, 8),
(27108, NULL, 'PF04527', NULL, NULL, 'Drosophila Retinin like protein', NULL, 'Retinin_C', NULL, NULL, 2860, 8),
(27109, NULL, 'PF02212', NULL, NULL, 'Dynamin GTPase effector domain', NULL, 'GED', NULL, NULL, 1605, 8),
(27110, NULL, 'PF01455', NULL, NULL, 'HupF/HypC family', NULL, 'HupF_HypC', NULL, NULL, 1204, 8),
(27111, NULL, 'PF20145', NULL, NULL, 'ARMET, N-terminal', NULL, 'ARMET_N', NULL, NULL, 38630, 8),
(27112, NULL, 'PF15835', NULL, NULL, 'Domain of unknown function (DUF4715)', NULL, 'DUF4715', NULL, NULL, 27090, 8),
(27113, NULL, 'PF15663', NULL, NULL, 'Zinc-finger containing family', NULL, 'zf-CCCH_3', NULL, NULL, 33156, 8),
(27114, NULL, 'PF18606', NULL, NULL, 'Zap  helix turn helix N-terminal domain', NULL, 'HTH_53', NULL, NULL, 31731, 8),
(27115, NULL, 'PF19748', NULL, NULL, 'Family of unknown function (DUF6235)', NULL, 'DUF6235', NULL, NULL, 39913, 8),
(27116, NULL, 'PF10021', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2263)', NULL, 'DUF2263', NULL, NULL, 20214, 8),
(27117, NULL, 'PF08480', NULL, NULL, 'Disaggregatase related', NULL, 'Disaggr_assoc', NULL, NULL, 13786, 8),
(27118, NULL, 'PF00554', NULL, NULL, 'Rel homology DNA-binding domain', NULL, 'RHD_DNA_bind', NULL, NULL, 7616, 8),
(27119, NULL, 'PF12724', NULL, NULL, 'Flavodoxin domain', NULL, 'Flavodoxin_5', NULL, NULL, 23169, 8),
(27120, NULL, 'PF09079', NULL, NULL, 'CDC6, C terminal winged helix domain', NULL, 'Cdc6_C', NULL, NULL, 9839, 8),
(27121, NULL, 'PF11903', NULL, NULL, 'ParD-like antitoxin of type II bacterial toxin-antitoxin system', NULL, 'ParD_like', NULL, NULL, 20483, 8),
(27122, NULL, 'PF04920', NULL, NULL, 'Family of unknown function (DUF656)', NULL, 'DUF656', NULL, NULL, 6591, 8),
(27123, NULL, 'PF06891', NULL, NULL, 'P2 phage tail completion protein R (GpR)', NULL, 'P2_Phage_GpR', NULL, NULL, 11753, 8),
(27124, NULL, 'PF12230', NULL, NULL, 'Pre-mRNA splicing factor PRP21 like protein', NULL, 'PRP21_like_P', NULL, NULL, 20714, 8),
(27125, NULL, 'PF05491', NULL, NULL, 'RuvB C-terminal winged helix domain', NULL, 'RuvB_C', NULL, NULL, 14107, 8),
(27126, NULL, 'PF08709', NULL, NULL, 'Inositol 1,4,5-trisphosphate/ryanodine receptor', NULL, 'Ins145_P3_rec', NULL, NULL, 11837, 8),
(27127, NULL, 'PF07373', NULL, NULL, 'CAMP factor (Cfa)', NULL, 'CAMP_factor', NULL, NULL, 11593, 8),
(27128, NULL, 'PF07617', NULL, NULL, 'Protein of unknown function (DUF1579)', NULL, 'DUF1579', NULL, NULL, 14485, 8),
(27129, NULL, 'PF13412', NULL, NULL, 'Winged helix-turn-helix DNA-binding', NULL, 'HTH_24', NULL, NULL, NULL, 8),
(27130, NULL, 'PF08306', NULL, NULL, 'Glycosyl hydrolase family 98', NULL, 'Glyco_hydro_98M', NULL, NULL, 17613, 8),
(27131, NULL, 'PF02075', NULL, NULL, 'Crossover junction endodeoxyribonuclease RuvC', NULL, 'RuvC', NULL, NULL, 5338, 8),
(27132, NULL, 'PF04709', NULL, NULL, 'Anti-Mullerian hormone, N terminal region', NULL, 'AMH_N', NULL, NULL, 3888, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27133, NULL, 'PF07376', NULL, NULL, 'Prosystemin', NULL, 'Prosystemin', NULL, NULL, 8220, 8),
(27134, NULL, 'PF10940', NULL, NULL, 'Protein of unknown function (DUF2618)', NULL, 'DUF2618', NULL, NULL, 17950, 8),
(27135, NULL, 'PF07910', NULL, NULL, 'Peptidase family C78', NULL, 'Peptidase_C78', NULL, NULL, 14836, 8),
(27136, NULL, 'PF03945', NULL, NULL, 'delta endotoxin, N-terminal domain', NULL, 'Endotoxin_N', NULL, NULL, 2879, 8),
(27137, NULL, 'PF09325', NULL, NULL, 'Vps5 C terminal like', NULL, 'Vps5', NULL, NULL, 14209, 8),
(27138, NULL, 'PF10911', NULL, NULL, 'Protein of unknown function (DUF2717)', NULL, 'DUF2717', NULL, NULL, 12956, 8),
(27139, NULL, 'PF12544', NULL, NULL, 'Lysine-2,3-aminomutase', NULL, 'LAM_C', NULL, NULL, 27750, 8),
(27140, NULL, 'PF15717', NULL, NULL, 'Pericentriolar material 1 C terminus', NULL, 'PCM1_C', NULL, NULL, 24957, 8),
(27141, NULL, 'PF19619', NULL, NULL, 'Family of unknown function (DUF6124)', NULL, 'DUF6124', NULL, NULL, NULL, 8),
(27142, NULL, 'PF18191', NULL, NULL, 'Hydroquinone 1,2-dioxygenase large subunit N-terminal', NULL, 'PnpCD_PnpD_N', NULL, NULL, 31216, 8),
(27143, NULL, 'PF17678', NULL, NULL, 'Glycosyl hydrolase family 92 N-terminal domain', NULL, 'Glyco_hydro_92N', NULL, NULL, 31935, 8),
(27144, NULL, 'PF06836', NULL, NULL, 'Protein of unknown function (DUF1240)', NULL, 'DUF1240', NULL, NULL, 9374, 8),
(27145, NULL, 'PF02129', NULL, NULL, 'X-Pro dipeptidyl-peptidase (S15 family)', NULL, 'Peptidase_S15', NULL, NULL, 4686, 8),
(27146, NULL, 'PF05997', NULL, NULL, 'Nucleolar protein,Nop52', NULL, 'Nop52', NULL, NULL, 7914, 8),
(27147, NULL, 'PF06706', NULL, NULL, 'Citrus tristeza virus 6-kDa protein', NULL, 'CTV_P6', NULL, NULL, 1741, 8),
(27148, NULL, 'PF16100', NULL, NULL, 'RecQ-mediated genome instability protein 2', NULL, 'RMI2', NULL, NULL, 24221, 8),
(27149, NULL, 'PF09455', NULL, NULL, 'CRISPR-associated (Cas) DxTHG family', NULL, 'Cas_DxTHG', NULL, NULL, 16021, 8),
(27150, NULL, 'PF06576', NULL, NULL, 'Protein of unknown function (DUF1133)', NULL, 'DUF1133', NULL, NULL, 8472, 8),
(27151, NULL, 'PF06949', NULL, NULL, 'Protein of unknown function (DUF1292)', NULL, 'DUF1292', NULL, NULL, 12066, 8),
(27152, NULL, 'PF08661', NULL, NULL, 'Replication factor A protein 3', NULL, 'Rep_fac-A_3', NULL, NULL, 8267, 8),
(27153, NULL, 'PF12479', NULL, NULL, 'Protein of unknown function (DUF3698)', NULL, 'DUF3698', NULL, NULL, 21446, 8),
(27154, NULL, 'PF04618', NULL, NULL, 'HD-ZIP protein N terminus', NULL, 'HD-ZIP_N', NULL, NULL, 2126, 8),
(27155, NULL, 'PF04633', NULL, NULL, 'Herpesvirus BMRF2 protein', NULL, 'Herpes_BMRF2', NULL, NULL, 2226, 8),
(27156, NULL, 'PF12086', NULL, NULL, 'Protein of unknown function (DUF3563)', NULL, 'DUF3563', NULL, NULL, 20690, 8),
(27157, NULL, 'PF17757', NULL, NULL, 'UvrB interaction domain', NULL, 'UvrB_inter', NULL, NULL, 32193, 8),
(27158, NULL, 'PF18416', NULL, NULL, 'N-acetylglucosamine binding protein domain 2', NULL, 'GbpA_2', NULL, NULL, 31981, 8),
(27159, NULL, 'PF14469', NULL, NULL, '28 kDa A-kinase anchor', NULL, 'AKAP28', NULL, NULL, 22360, 8),
(27160, NULL, 'PF08501', NULL, NULL, 'Shikimate dehydrogenase substrate binding domain', NULL, 'Shikimate_dh_N', NULL, NULL, 14442, 8),
(27161, NULL, 'PF04045', NULL, NULL, 'Arp2/3 complex, 34 kD subunit p34-Arc', NULL, 'P34-Arc', NULL, NULL, 1346, 8),
(27162, NULL, 'PF20130', NULL, NULL, 'Family of unknown function (DUF6520)', NULL, 'DUF6520', NULL, NULL, 38009, 8),
(27163, NULL, 'PF03795', NULL, NULL, 'YCII-related domain', NULL, 'YCII', NULL, NULL, 1595, 8),
(27164, NULL, 'PF09894', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2121)', NULL, 'DUF2121', NULL, NULL, 21988, 8),
(27165, NULL, 'PF03000', NULL, NULL, 'NPH3 family', NULL, 'NPH3', NULL, NULL, 25097, 8),
(27166, NULL, 'PF07442', NULL, NULL, 'Ponericin', NULL, 'Ponericin', NULL, NULL, 9333, 8),
(27167, NULL, 'PF11060', NULL, NULL, 'Protein of unknown function (DUF2861)', NULL, 'DUF2861', NULL, NULL, 17642, 8),
(27168, NULL, 'PF12318', NULL, NULL, 'Membrane bound FAD containing D-sorbitol dehydrogenase', NULL, 'FAD-SLDH', NULL, NULL, 1070, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27169, NULL, 'PF13719', NULL, NULL, 'zinc-ribbon domain', NULL, 'zinc_ribbon_5', NULL, NULL, 11367, 8),
(27170, NULL, 'PF12002', NULL, NULL, 'MgsA AAA+ ATPase C terminal', NULL, 'MgsA_C', NULL, NULL, 20071, 8),
(27171, NULL, 'PF12873', NULL, NULL, 'Domain of unknown function (DUF3825)', NULL, 'DUF3825', NULL, NULL, 29322, 8),
(27172, NULL, 'PF18712', NULL, NULL, 'Family of unknown function (DUF5644)', NULL, 'DUF5644', NULL, NULL, 32048, 8),
(27173, NULL, 'PF17474', NULL, NULL, 'Tegument protein UL11 homolog', NULL, 'U71', NULL, NULL, 13572, 8),
(27174, NULL, 'PF14629', NULL, NULL, 'Origin recognition complex (ORC) subunit 4 C-terminus', NULL, 'ORC4_C', NULL, NULL, 22278, 8),
(27175, NULL, 'PF13505', NULL, NULL, 'Outer membrane protein beta-barrel domain', NULL, 'OMP_b-brl', NULL, NULL, 25587, 8),
(27176, NULL, 'PF13961', NULL, NULL, 'Domain of unknown function (DUF4219)', NULL, 'DUF4219', NULL, NULL, 22714, 8),
(27177, NULL, 'PF05886', NULL, NULL, 'Orthopoxvirus F8 protein', NULL, 'Orthopox_F8', NULL, NULL, 12417, 8),
(27178, NULL, 'PF05816', NULL, NULL, 'Toxic anion resistance protein (TelA)', NULL, 'TelA', NULL, NULL, 14129, 8),
(27179, NULL, 'PF05673', NULL, NULL, 'Protein of unknown function (DUF815)', NULL, 'DUF815', NULL, NULL, 13419, 8),
(27180, NULL, 'PF12121', NULL, NULL, 'Dermaseptin', NULL, 'DD_K', NULL, NULL, 17473, 8),
(27181, NULL, 'PF15020', NULL, NULL, 'Cation channel sperm-associated protein subunit delta', NULL, 'CATSPERD', NULL, NULL, 24282, 8),
(27182, NULL, 'PF00173', NULL, NULL, 'Cytochrome b5-like Heme/Steroid binding domain', NULL, 'Cyt-b5', NULL, NULL, 1476, 8),
(27183, NULL, 'PF07911', NULL, NULL, 'Protein of unknown function (DUF1677)', NULL, 'DUF1677', NULL, NULL, 12982, 8),
(27184, NULL, 'PF11213', NULL, NULL, 'Protein of unknown function (DUF3006)', NULL, 'DUF3006', NULL, NULL, 18257, 8),
(27185, NULL, 'PF12564', NULL, NULL, 'Type III restriction/modification enzyme methylation subunit', NULL, 'TypeIII_RM_meth', NULL, NULL, 21048, 8),
(27186, NULL, 'PF17726', NULL, NULL, 'Dam-replacing HTH domain', NULL, 'DpnI_C', NULL, NULL, 31709, 8),
(27187, NULL, 'PF03150', NULL, NULL, 'Di-haem cytochrome c peroxidase', NULL, 'CCP_MauG', NULL, NULL, 7154, 8),
(27188, NULL, 'PF11173', NULL, NULL, 'Protein of unknown function (DUF2960)', NULL, 'DUF2960', NULL, NULL, 18171, 8),
(27189, NULL, 'PF01970', NULL, NULL, 'Tripartite tricarboxylate transporter TctA family', NULL, 'TctA', NULL, NULL, 4968, 8),
(27190, NULL, 'PF01074', NULL, NULL, 'Glycosyl hydrolases family 38 N-terminal domain', NULL, 'Glyco_hydro_38N', NULL, NULL, 5602, 8),
(27191, NULL, 'PF12614', NULL, NULL, 'Ribosome recycling factor', NULL, 'RRF_GI', NULL, NULL, 21441, 8),
(27192, NULL, 'PF06397', NULL, NULL, 'Desulfoferrodoxin, N-terminal domain', NULL, 'Desulfoferrod_N', NULL, NULL, 7487, 8),
(27193, NULL, 'PF05627', NULL, NULL, 'Cleavage site for pathogenic type III effector avirulence factor Avr', NULL, 'AvrRpt-cleavage', NULL, NULL, 13039, 8),
(27194, NULL, 'PF13009', NULL, NULL, 'Putative phage integrase', NULL, 'Phage_Integr_2', NULL, NULL, 19337, 8),
(27195, NULL, 'PF00360', NULL, NULL, 'Phytochrome region', NULL, 'PHY', NULL, NULL, 9547, 8),
(27196, NULL, 'PF16505', NULL, NULL, 'P4 movement protein of Emaravirus, and the 30K superfamily', NULL, 'Emaravirus_P4', NULL, NULL, 26678, 8),
(27197, NULL, 'PF18059', NULL, NULL, 'Csd3 N-terminal', NULL, 'Csd3_N', NULL, NULL, 30696, 8),
(27198, NULL, 'PF14169', NULL, NULL, 'Cold-inducible protein YdjO', NULL, 'YdjO', NULL, NULL, 24465, 8),
(27199, NULL, 'PF19884', NULL, NULL, 'Family of unknown function (DUF6357)', NULL, 'DUF6357', NULL, NULL, 39091, 8),
(27200, NULL, 'PF18930', NULL, NULL, 'Domain of unknown function (DUF5679)', NULL, 'DUF5679', NULL, NULL, 37810, 8),
(27201, NULL, 'PF03639', NULL, NULL, 'Glycosyl hydrolase family 81 N-terminal domain', NULL, 'Glyco_hydro_81', NULL, NULL, 30138, 8),
(27202, NULL, 'PF18727', NULL, NULL, 'Alstrom syndrome repeat', NULL, 'ALMS_repeat', NULL, NULL, 30006, 8),
(27203, NULL, 'PF18818', NULL, NULL, 'Zincin-like metallopeptidase', NULL, 'MPTase-PolyVal', NULL, NULL, 32407, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27204, NULL, 'PF17307', NULL, NULL, 'Small integral membrane protein 3', NULL, 'Smim3', NULL, NULL, 34488, 8),
(27205, NULL, 'PF16467', NULL, NULL, 'Domain of unknown function (DUF5048)', NULL, 'DUF5048', NULL, NULL, 7759, 8),
(27206, NULL, 'PF19786', NULL, NULL, 'Family of unknown function (DUF6270)', NULL, 'DUF6270', NULL, NULL, 39502, 8),
(27207, NULL, 'PF16545', NULL, NULL, 'Cerebral cavernous malformation protein, harmonin-homology', NULL, 'CCM2_C', NULL, NULL, 22025, 8),
(27208, NULL, 'PF01296', NULL, NULL, 'Galanin', NULL, 'Galanin', NULL, NULL, 7338, 8),
(27209, NULL, 'PF06858', NULL, NULL, 'Nucleolar GTP-binding protein 1 (NOG1)', NULL, 'NOG1', NULL, NULL, 9162, 8),
(27210, NULL, 'PF18357', NULL, NULL, 'Diphteria toxin repressor SH3 domain', NULL, 'DtxR', NULL, NULL, 30972, 8),
(27211, NULL, 'PF01500', NULL, NULL, 'Keratin, high sulfur B2 protein', NULL, 'Keratin_B2', NULL, NULL, 848, 8),
(27212, NULL, 'PF04258', NULL, NULL, 'Signal peptide peptidase', NULL, 'Peptidase_A22B', NULL, NULL, 5920, 8),
(27213, NULL, 'PF04886', NULL, NULL, 'PT repeat', NULL, 'PT', NULL, NULL, 5995, 8),
(27214, NULL, 'PF20152', NULL, NULL, 'Family of unknown function (DUF6534)', NULL, 'DUF6534', NULL, NULL, 39501, 8),
(27215, NULL, 'PF17640', NULL, NULL, 'Uncharacterized UL17', NULL, 'UL17', NULL, NULL, 19933, 8),
(27216, NULL, 'PF03526', NULL, NULL, 'Colicin E1 (microcin) immunity protein', NULL, 'Microcin', NULL, NULL, 6875, 8),
(27217, NULL, 'PF06287', NULL, NULL, 'Protein of unknown function (DUF1039)', NULL, 'DUF1039', NULL, NULL, 9513, 8),
(27218, NULL, 'PF09320', NULL, NULL, 'Domain of unknown function (DUF1977)', NULL, 'DUF1977', NULL, NULL, 14051, 8),
(27219, NULL, 'PF19649', NULL, NULL, 'Family of unknown function (DUF6152)', NULL, 'DUF6152', NULL, NULL, 39928, 8),
(27220, NULL, 'PF19141', NULL, NULL, 'Family of unknown function (DUF5824)', NULL, 'DUF5824', NULL, NULL, 36695, 8),
(27221, NULL, 'PF03109', NULL, NULL, 'ABC1 atypical kinase-like domain', NULL, 'ABC1', NULL, NULL, 2813, 8),
(27222, NULL, 'PF04404', NULL, NULL, 'ERF superfamily', NULL, 'ERF', NULL, NULL, 10174, 8),
(27223, NULL, 'PF08118', NULL, NULL, 'Yeast mitochondrial distribution and morphology (MDM) proteins', NULL, 'MDM31_MDM32', NULL, NULL, 9505, 8),
(27224, NULL, 'PF13842', NULL, NULL, 'DDE_Tnp_1-like zinc-ribbon', NULL, 'Tnp_zf-ribbon_2', NULL, NULL, 29124, 8),
(27225, NULL, 'PF16352', NULL, NULL, 'Domain of unknown function (DUF4980)', NULL, 'DUF4980', NULL, NULL, 26932, 8),
(27226, NULL, 'PF05867', NULL, NULL, 'Protein of unknown function (DUF851)', NULL, 'DUF851', NULL, NULL, 13452, 8),
(27227, NULL, 'PF11363', NULL, NULL, 'Protein of unknown function (DUF3164)', NULL, 'DUF3164', NULL, NULL, 18960, 8),
(27228, NULL, 'PF18642', NULL, NULL, 'Immunomodulating metalloprotease helical domain', NULL, 'IMPa_helical', NULL, NULL, 33384, 8),
(27229, NULL, 'PF19888', NULL, NULL, 'Family of unknown function (DUF6361)', NULL, 'DUF6361', NULL, NULL, 39487, 8),
(27230, NULL, 'PF14529', NULL, NULL, 'Endonuclease-reverse transcriptase', NULL, 'Exo_endo_phos_2', NULL, NULL, 7189, 8),
(27231, NULL, 'PF02153', NULL, NULL, 'Prephenate dehydrogenase', NULL, 'PDH', NULL, NULL, 1385, 8),
(27232, NULL, 'PF11351', NULL, NULL, 'Holin of 3TMs, for gene-transfer release', NULL, 'GTA_holin_3TM', NULL, NULL, 18544, 8),
(27233, NULL, 'PF07779', NULL, NULL, '10 TM Acyl Transferase domain found in Cas1p', NULL, 'Cas1_AcylT', NULL, NULL, 13998, 8),
(27234, NULL, 'PF17943', NULL, NULL, 'Homeobox-cysteine loop-homeobox', NULL, 'HOCHOB', NULL, NULL, 31074, 8),
(27235, NULL, 'PF18461', NULL, NULL, 'Atypical caspase recruitment domain', NULL, 'Atypical_Card', NULL, NULL, 31263, 8),
(27236, NULL, 'PF02044', NULL, NULL, 'Bombesin-like peptide', NULL, 'Bombesin', NULL, NULL, 143, 8),
(27237, NULL, 'PF18029', NULL, NULL, 'Glyoxalase-like domain', NULL, 'Glyoxalase_6', NULL, NULL, 32781, 8),
(27238, NULL, 'PF15646', NULL, NULL, 'Restriction endonuclease fold toxin 2', NULL, 'Tox-REase-2', NULL, NULL, 26434, 8),
(27239, NULL, 'PF17018', NULL, NULL, 'Spore wall protein', NULL, 'MICSWaP', NULL, NULL, 23094, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27240, NULL, 'PF11109', NULL, NULL, 'Orexigenic neuropeptide Qrfp/P518', NULL, 'RFamide_26RFa', NULL, NULL, 28890, 8),
(27241, NULL, 'PF17325', NULL, NULL, 'Stationary phase protein 4', NULL, 'SPG4', NULL, NULL, 21253, 8),
(27242, NULL, 'PF01154', NULL, NULL, 'Hydroxymethylglutaryl-coenzyme A synthase N terminal', NULL, 'HMG_CoA_synt_N', NULL, NULL, 8715, 8),
(27243, NULL, 'PF14769', NULL, NULL, 'Flagellar C1a complex subunit C1a-32', NULL, 'CLAMP', NULL, NULL, 28200, 8),
(27244, NULL, 'PF18599', NULL, NULL, 'Limiting CO2-inducible proteins B/C beta carbonyic anhydrases', NULL, 'LCIB_C_CA', NULL, NULL, 30803, 8),
(27245, NULL, 'PF04657', NULL, NULL, 'Putative inner membrane exporter, YdcZ', NULL, 'DMT_YdcZ', NULL, NULL, 3398, 8),
(27246, NULL, 'PF07530', NULL, NULL, 'Associated with zinc fingers', NULL, 'PRE_C2HC', NULL, NULL, 81, 8),
(27247, NULL, 'PF10351', NULL, NULL, 'Golgi-body localisation protein domain', NULL, 'Apt1', NULL, NULL, 17670, 8),
(27248, NULL, 'PF17352', NULL, NULL, 'Male Flower Specific protein 18', NULL, 'MFS18', NULL, NULL, 9921, 8),
(27249, NULL, 'PF17084', NULL, NULL, 'Topoisomerase I damage affected protein 11', NULL, 'TDA11', NULL, NULL, 25666, 8),
(27250, NULL, 'PF18154', NULL, NULL, 'REase associating with pPIWI_RE', NULL, 'pPIWI_RE_REase', NULL, NULL, 34950, 8),
(27251, NULL, 'PF12185', NULL, NULL, 'Nup358/RanBP2 E3 ligase domain', NULL, 'IR1-M', NULL, NULL, 20967, 8),
(27252, NULL, 'PF06566', NULL, NULL, 'Chondroitin sulphate attachment domain', NULL, 'Chon_Sulph_att', NULL, NULL, 8326, 8),
(27253, NULL, 'PF09264', NULL, NULL, 'Vibrio cholerae sialidase, lectin insertion', NULL, 'Sial-lect-inser', NULL, NULL, 13955, 8),
(27254, NULL, 'PF08433', NULL, NULL, 'Chromatin associated protein KTI12', NULL, 'KTI12', NULL, NULL, 13410, 8),
(27255, NULL, 'PF14852', NULL, NULL, 'Fis1 N-terminal tetratricopeptide repeat', NULL, 'Fis1_TPR_N', NULL, NULL, 27830, 8),
(27256, NULL, 'PF10127', NULL, NULL, 'RNA repair pathway DNA polymerase beta family', NULL, 'RlaP', NULL, NULL, 18838, 8),
(27257, NULL, 'PF05337', NULL, NULL, 'Macrophage colony stimulating factor-1 (CSF-1)', NULL, 'CSF-1', NULL, NULL, 4394, 8),
(27258, NULL, 'PF00513', NULL, NULL, 'Late Protein L2', NULL, 'Late_protein_L2', NULL, NULL, 4537, 8),
(27259, NULL, 'PF05273', NULL, NULL, 'Poxvirus RNA polymerase 22 kDa subunit', NULL, 'Pox_RNA_Pol_22', NULL, NULL, 4077, 8),
(27260, NULL, 'PF08900', NULL, NULL, 'Transcriptional regulator AcaB', NULL, 'AcaB', NULL, NULL, 7734, 8),
(27261, NULL, 'PF06760', NULL, NULL, 'Protein of unknown function (DUF1221)', NULL, 'DUF1221', NULL, NULL, 9455, 8),
(27262, NULL, 'PF01008', NULL, NULL, 'Initiation factor 2 subunit family', NULL, 'IF-2B', NULL, NULL, 6776, 8),
(27263, NULL, 'PF18106', NULL, NULL, 'Rolling Circle replication initiation protein N-terminal domain', NULL, 'Rol_Rep_N', NULL, NULL, 31484, 8),
(27264, NULL, 'PF06823', NULL, NULL, 'Protein of unknown function (DUF1236)', NULL, 'DUF1236', NULL, NULL, 11430, 8),
(27265, NULL, 'PF15310', NULL, NULL, 'Vitamin A-deficiency (VAD) rat model signalling', NULL, 'VAD1-2', NULL, NULL, 25863, 8),
(27266, NULL, 'PF03672', NULL, NULL, 'Uncharacterised protein family (UPF0154)', NULL, 'UPF0154', NULL, NULL, 6370, 8),
(27267, NULL, 'PF09230', NULL, NULL, 'DNA fragmentation factor 40 kDa', NULL, 'DFF40', NULL, NULL, 13967, 8),
(27268, NULL, 'PF06968', NULL, NULL, 'Biotin and Thiamin Synthesis associated domain', NULL, 'BATS', NULL, NULL, 10345, 8),
(27269, NULL, 'PF17554', NULL, NULL, 'Family of unknown function (DUF5466)', NULL, 'DUF5466', NULL, NULL, 35238, 8),
(27270, NULL, 'PF14936', NULL, NULL, 'Tumour protein p53-inducible protein 11', NULL, 'p53-inducible11', NULL, NULL, 29362, 8),
(27271, NULL, 'PF00352', NULL, NULL, 'Transcription factor TFIID (or TATA-binding protein, TBP)', NULL, 'TBP', NULL, NULL, 5312, 8),
(27272, NULL, 'PF02554', NULL, NULL, 'Carbon starvation protein CstA', NULL, 'CstA', NULL, NULL, 2273, 8),
(27273, NULL, 'PF05064', NULL, NULL, 'Nsp1-like C-terminal region', NULL, 'Nsp1_C', NULL, NULL, 1113, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27274, NULL, 'PF10708', NULL, NULL, 'Protein of unknown function (DUF2510)', NULL, 'DUF2510', NULL, NULL, 15344, 8),
(27275, NULL, 'PF16198', NULL, NULL, 'tRNA pseudouridylate synthase B C-terminal domain', NULL, 'TruB_C_2', NULL, NULL, 22380, 8),
(27276, NULL, 'PF05756', NULL, NULL, 'S-antigen protein', NULL, 'S-antigen', NULL, NULL, 14193, 8),
(27277, NULL, 'PF07468', NULL, NULL, 'Agglutinin domain', NULL, 'Agglutinin', NULL, NULL, 9573, 8),
(27278, NULL, 'PF13490', NULL, NULL, 'Putative zinc-finger', NULL, 'zf-HC2', NULL, NULL, 25865, 8),
(27279, NULL, 'PF16089', NULL, NULL, 'Domain of unknown function (DUF4818)', NULL, 'DUF4818', NULL, NULL, 28073, 8),
(27280, NULL, 'PF17824', NULL, NULL, 'Family of unknown function (DUF5586)', NULL, 'DUF5586', NULL, NULL, 30343, 8),
(27281, NULL, 'PF07991', NULL, NULL, 'Acetohydroxy acid isomeroreductase, NADPH-binding domain', NULL, 'IlvN', NULL, NULL, 18684, 8),
(27282, NULL, 'PF09034', NULL, NULL, 'TRADD, N-terminal domain', NULL, 'TRADD_N', NULL, NULL, 6189, 8),
(27283, NULL, 'PF01394', NULL, NULL, 'Clathrin propeller repeat', NULL, 'Clathrin_propel', NULL, NULL, 21128, 8),
(27284, NULL, 'PF12397', NULL, NULL, 'U3 small nucleolar RNA-associated protein 10', NULL, 'U3snoRNP10', NULL, NULL, 21055, 8),
(27285, NULL, 'PF12313', NULL, NULL, 'NPR1/NIM1 like defence protein C terminal', NULL, 'NPR1_like_C', NULL, NULL, 15021, 8),
(27286, NULL, 'PF00474', NULL, NULL, 'Sodium:solute symporter family', NULL, 'SSF', NULL, NULL, 5281, 8),
(27287, NULL, 'PF00673', NULL, NULL, 'ribosomal L5P family C-terminus', NULL, 'Ribosomal_L5_C', NULL, NULL, 26983, 8),
(27288, NULL, 'PF06613', NULL, NULL, 'KorB C-terminal beta-barrel domain', NULL, 'KorB_C', NULL, NULL, 8498, 8),
(27289, NULL, 'PF13370', NULL, NULL, '4Fe-4S single cluster domain of Ferredoxin I', NULL, 'Fer4_13', NULL, NULL, NULL, 8),
(27290, NULL, 'PF13805', NULL, NULL, 'Eisosome component PIL1', NULL, 'Pil1', NULL, NULL, 21655, 8),
(27291, NULL, 'PF00967', NULL, NULL, 'Barwin family', NULL, 'Barwin', NULL, NULL, 1304, 8),
(27292, NULL, 'PF13853', NULL, NULL, 'Olfactory receptor', NULL, '7tm_4', NULL, NULL, 6911, 8),
(27293, NULL, 'PF06635', NULL, NULL, 'Nodulation protein NolV', NULL, 'NolV', NULL, NULL, 8415, 8),
(27294, NULL, 'PF05732', NULL, NULL, 'Firmicute plasmid replication protein (RepL)', NULL, 'RepL', NULL, NULL, 14076, 8),
(27295, NULL, 'PF03364', NULL, NULL, 'Polyketide cyclase / dehydrase and lipid transport', NULL, 'Polyketide_cyc', NULL, NULL, 1184, 8),
(27296, NULL, 'PF16279', NULL, NULL, 'Domain of unknown function (DUF4927)', NULL, 'DUF4927', NULL, NULL, 22270, 8),
(27297, NULL, 'PF14148', NULL, NULL, 'YhdB-like protein', NULL, 'YhdB', NULL, NULL, 28021, 8),
(27298, NULL, 'PF17172', NULL, NULL, 'Glutathione S-transferase N-terminal domain', NULL, 'GST_N_4', NULL, NULL, 7603, 8),
(27299, NULL, 'PF16378', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4988', NULL, NULL, 22999, 8),
(27300, NULL, 'PF09881', NULL, NULL, 'Predicted membrane protein (DUF2108)', NULL, 'DUF2108', NULL, NULL, 19409, 8),
(27301, NULL, 'PF03466', NULL, NULL, 'LysR substrate binding domain', NULL, 'LysR_substrate', NULL, NULL, 10795, 8),
(27302, NULL, 'PF19069', NULL, NULL, 'Family of unknown function (DUF5765)', NULL, 'DUF5765', NULL, NULL, 37717, 8),
(27303, NULL, 'PF19791', NULL, NULL, 'Family of unknown function (DUF6275)', NULL, 'DUF6275', NULL, NULL, 39525, 8),
(27304, NULL, 'PF08992', NULL, NULL, 'Quinohemoprotein amine dehydrogenase, gamma subunit', NULL, 'QH-AmDH_gamma', NULL, NULL, 8527, 8),
(27305, NULL, 'PF12914', NULL, NULL, 'SH3 domain of SH3b2 type', NULL, 'SH3_7', NULL, NULL, 28940, 8),
(27306, NULL, 'PF13093', NULL, NULL, 'Kinetochore complex Fta4 of Sim4 subunit, or CENP-50', NULL, 'FTA4', NULL, NULL, 22414, 8),
(27307, NULL, 'PF04986', NULL, NULL, 'Putative transposase', NULL, 'Y2_Tnp', NULL, NULL, 6619, 8),
(27308, NULL, 'PF07795', NULL, NULL, 'Protein of unknown function (DUF1635)', NULL, 'DUF1635', NULL, NULL, 12915, 8),
(27309, NULL, 'PF12669', NULL, NULL, 'FeoB-associated Cys-rich membrane protein', NULL, 'FeoB_associated', NULL, NULL, NULL, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27310, NULL, 'PF19556', NULL, NULL, 'PRTRC system protein E', NULL, 'PRTRC_E', NULL, NULL, 15922, 8),
(27311, NULL, 'PF14642', NULL, NULL, 'FAM47 family', NULL, 'FAM47', NULL, NULL, 22453, 8),
(27312, NULL, 'PF02013', NULL, NULL, 'Cellulose or protein binding domain', NULL, 'CBM_10', NULL, NULL, 5713, 8),
(27313, NULL, 'PF11691', NULL, NULL, 'Protein of unknown function (DUF3288)', NULL, 'DUF3288', NULL, NULL, 19616, 8),
(27314, NULL, 'PF06273', NULL, NULL, 'Plant specific eukaryotic initiation factor 4B', NULL, 'eIF-4B', NULL, NULL, 9831, 8),
(27315, NULL, 'PF08893', NULL, NULL, 'Domain of unknown function (DUF1839)', NULL, 'DUF1839', NULL, NULL, 7744, 8),
(27316, NULL, 'PF16011', NULL, NULL, 'Carbohydrate-binding family 9', NULL, 'CBM9_2', NULL, NULL, 10815, 8),
(27317, NULL, 'PF08763', NULL, NULL, 'Voltage gated calcium channel IQ domain', NULL, 'Ca_chan_IQ', NULL, NULL, 13006, 8),
(27318, NULL, 'PF01201', NULL, NULL, 'Ribosomal protein S8e', NULL, 'Ribosomal_S8e', NULL, NULL, 21002, 8),
(27319, NULL, 'PF04107', NULL, NULL, 'Glutamate-cysteine ligase family 2(GCS2)', NULL, 'GCS2', NULL, NULL, 4853, 8),
(27320, NULL, 'PF07736', NULL, NULL, 'Chorismate mutase type I', NULL, 'CM_1', NULL, NULL, 590, 8),
(27321, NULL, 'PF06691', NULL, NULL, 'Protein of unknown function (DUF1189)', NULL, 'DUF1189', NULL, NULL, 835, 8),
(27322, NULL, 'PF20162', NULL, NULL, 'Septation protein etd1', NULL, 'Etd1', NULL, NULL, 39505, 8),
(27323, NULL, 'PF02504', NULL, NULL, 'Fatty acid synthesis protein', NULL, 'FA_synthesis', NULL, NULL, 6345, 8),
(27324, NULL, 'PF12307', NULL, NULL, 'Protein of unknown function (DUF3631)', NULL, 'DUF3631', NULL, NULL, 20905, 8),
(27325, NULL, 'PF01943', NULL, NULL, 'Polysaccharide biosynthesis protein', NULL, 'Polysacc_synt', NULL, NULL, 4694, 8),
(27326, NULL, 'PF02977', NULL, NULL, 'Carboxypeptidase A inhibitor', NULL, 'CarbpepA_inh', NULL, NULL, 3556, 8),
(27327, NULL, 'PF10989', NULL, NULL, 'Protein of unknown function (DUF2808)', NULL, 'DUF2808', NULL, NULL, 17924, 8),
(27328, NULL, 'PF14226', NULL, NULL, 'non-haem dioxygenase in morphine synthesis N-terminal', NULL, 'DIOX_N', NULL, NULL, 27696, 8),
(27329, NULL, 'PF18597', NULL, NULL, 'Myosin X N-terminal SH3 domain', NULL, 'SH3_19', NULL, NULL, 30092, 8),
(27330, NULL, 'PF10107', NULL, NULL, 'Endonuclease related to archaeal Holliday junction resolvase', NULL, 'Endonuc_Holl', NULL, NULL, 20419, 8),
(27331, NULL, 'PF17438', NULL, NULL, 'Family of unknown function (DUF5417)', NULL, 'DUF5417', NULL, NULL, 29140, 8),
(27332, NULL, 'PF01091', NULL, NULL, 'PTN/MK heparin-binding protein family, C-terminal domain', NULL, 'PTN_MK_C', NULL, NULL, 16279, 8),
(27333, NULL, 'PF14598', NULL, NULL, 'PAS domain', NULL, 'PAS_11', NULL, NULL, NULL, 8),
(27334, NULL, 'PF14599', NULL, NULL, 'Zinc-ribbon', NULL, 'zinc_ribbon_6', NULL, NULL, 36340, 8),
(27335, NULL, 'PF16509', NULL, NULL, 'TrfB plasmid transcriptional repressor', NULL, 'KORA', NULL, NULL, 26968, 8),
(27336, NULL, 'PF02252', NULL, NULL, 'Proteasome activator pa28 beta subunit', NULL, 'PA28_beta', NULL, NULL, 1799, 8),
(27337, NULL, 'PF05221', NULL, NULL, 'S-adenosyl-L-homocysteine hydrolase', NULL, 'AdoHcyase', NULL, NULL, 3724, 8),
(27338, NULL, 'PF09640', NULL, NULL, 'Domain of unknown function (DUF2027)', NULL, 'DUF2027', NULL, NULL, 15774, 8),
(27339, NULL, 'PF15860', NULL, NULL, 'Domain of unknown function (DUF4728)', NULL, 'DUF4728', NULL, NULL, 27047, 8),
(27340, NULL, 'PF11328', NULL, NULL, 'Protein of unknown function (DUF3130', NULL, 'DUF3130', NULL, NULL, 18518, 8),
(27341, NULL, 'PF09651', NULL, NULL, 'CRISPR-associated protein (Cas_APE2256)', NULL, 'Cas_APE2256', NULL, NULL, 9291, 8),
(27342, NULL, 'PF12416', NULL, NULL, 'Cep120 protein', NULL, 'DUF3668', NULL, NULL, 21070, 8),
(27343, NULL, 'PF03102', NULL, NULL, 'NeuB family', NULL, 'NeuB', NULL, NULL, 9740, 8),
(27344, NULL, 'PF06008', NULL, NULL, 'Laminin Domain I', NULL, 'Laminin_I', NULL, NULL, 13795, 8),
(27345, NULL, 'PF14246', NULL, NULL, 'AefR-like transcriptional repressor, C-terminal domain', NULL, 'TetR_C_7', NULL, NULL, 29408, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27346, NULL, 'PF09613', NULL, NULL, 'Bacterial type III secretion protein (HrpB1_HrpK)', NULL, 'HrpB1_HrpK', NULL, NULL, 11914, 8),
(27347, NULL, 'PF11856', NULL, NULL, 'Protein of unknown function (DUF3376)', NULL, 'DUF3376', NULL, NULL, 12983, 8),
(27348, NULL, 'PF01003', NULL, NULL, 'Flavivirus capsid protein C', NULL, 'Flavi_capsid', NULL, NULL, 1848, 8),
(27349, NULL, 'PF01765', NULL, NULL, 'Ribosome recycling factor', NULL, 'RRF', NULL, NULL, 14961, 8),
(27350, NULL, 'PF14563', NULL, NULL, 'Domain of unknown function (DUF4444)', NULL, 'DUF4444', NULL, NULL, 25268, 8),
(27351, NULL, 'PF00468', NULL, NULL, 'Ribosomal protein L34', NULL, 'Ribosomal_L34', NULL, NULL, 874, 8),
(27352, NULL, 'PF02920', NULL, NULL, 'DNA binding domain of tn916 integrase', NULL, 'Integrase_DNA', NULL, NULL, 2768, 8),
(27353, NULL, 'PF19215', NULL, NULL, 'Coronavirus replicase NSP15, uridylate-specific endoribonuclease', NULL, 'CoV_NSP15_C', NULL, NULL, 37675, 8),
(27354, NULL, 'PF04692', NULL, NULL, 'Platelet-derived growth factor, N terminal region', NULL, 'PDGF_N', NULL, NULL, 3353, 8),
(27355, NULL, 'PF14234', NULL, NULL, 'Domain of unknown function (DUF4336)', NULL, 'DUF4336', NULL, NULL, 26426, 8),
(27356, NULL, 'PF18761', NULL, NULL, 'Heliorhodopsin', NULL, 'Heliorhodopsin', NULL, NULL, 31079, 8),
(27357, NULL, 'PF19999', NULL, NULL, 'FtsH ternary system domain X3', NULL, 'fvmX3', NULL, NULL, 38772, 8),
(27358, NULL, 'PF10894', NULL, NULL, 'Protein of unknown function (DUF2689)', NULL, 'DUF2689', NULL, NULL, 24983, 8),
(27359, NULL, 'PF19452', NULL, NULL, 'Family of unknown function (DUF5990)', NULL, 'DUF5990', NULL, NULL, 39165, 8),
(27360, NULL, 'PF16831', NULL, NULL, 'CS6 fimbrial subunits A and B, Coli surface antigen 6', NULL, 'CssAB', NULL, NULL, 22801, 8),
(27361, NULL, 'PF06153', NULL, NULL, 'Cyclic-di-AMP receptor', NULL, 'CdAMP_rec', NULL, NULL, 9037, 8),
(27362, NULL, 'PF03638', NULL, NULL, 'Tesmin/TSO1-like CXC domain, cysteine-rich domain', NULL, 'TCR', NULL, NULL, 4895, 8),
(27363, NULL, 'PF19117', NULL, NULL, 'Mitochondrial import 2', NULL, 'Mim2', NULL, NULL, 33677, 8),
(27364, NULL, 'PF09324', NULL, NULL, 'Domain of unknown function (DUF1981)', NULL, 'DUF1981', NULL, NULL, 14483, 8),
(27365, NULL, 'PF13678', NULL, NULL, 'NFkB-p65-degrading zinc protease', NULL, 'Peptidase_M85', NULL, NULL, 21732, 8),
(27366, NULL, 'PF08408', NULL, NULL, 'DNA polymerase family B viral insert', NULL, 'DNA_pol_B_3', NULL, NULL, 11182, 8),
(27367, NULL, 'PF00002', NULL, NULL, '7 transmembrane receptor (Secretin family)', NULL, '7tm_2', NULL, NULL, 145, 8),
(27368, NULL, 'PF02734', NULL, NULL, 'DAK2 domain', NULL, 'Dak2', NULL, NULL, 548, 8),
(27369, NULL, 'PF09795', NULL, NULL, 'Autophagy-related protein 31', NULL, 'ATG31', NULL, NULL, 16475, 8),
(27370, NULL, 'PF16474', NULL, NULL, 'Kinase non-catalytic C-lobe domain', NULL, 'KIND', NULL, NULL, 9443, 8),
(27371, NULL, 'PF19535', NULL, NULL, 'Family of unknown function (DUF6060)', NULL, 'DUF6060', NULL, NULL, 39969, 8),
(27372, NULL, 'PF16139', NULL, NULL, 'Domain of unknown function (DUF4847)', NULL, 'DUF4847', NULL, NULL, 28059, 8),
(27373, NULL, 'PF20129', NULL, NULL, 'Family of unknown function (DUF6519)', NULL, 'DUF6519', NULL, NULL, 38360, 8),
(27374, NULL, 'PF14174', NULL, NULL, 'YycC-like protein', NULL, 'YycC', NULL, NULL, 25059, 8),
(27375, NULL, 'PF15076', NULL, NULL, 'Domain of unknown function (DUF4543)', NULL, 'DUF4543', NULL, NULL, 25419, 8),
(27376, NULL, 'PF06567', NULL, NULL, 'Neural chondroitin sulphate proteoglycan cytoplasmic domain', NULL, 'Neural_ProG_Cyt', NULL, NULL, 9292, 8),
(27377, NULL, 'PF00051', NULL, NULL, 'Kringle domain', NULL, 'Kringle', NULL, NULL, 1561, 8),
(27378, NULL, 'PF18415', NULL, NULL, 'Histidine kinase receptor ArcB trans-membrane domain', NULL, 'HKR_ArcB_TM', NULL, NULL, 30375, 8),
(27379, NULL, 'PF00313', NULL, NULL, '''Cold-shock'' DNA-binding domain', NULL, 'CSD', NULL, NULL, 1439, 8),
(27380, NULL, 'PF12228', NULL, NULL, 'Protein of unknown function (DUF3604)', NULL, 'DUF3604', NULL, NULL, 20742, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27381, NULL, 'PF01848', NULL, NULL, 'Hok/gef family', NULL, 'HOK_GEF', NULL, NULL, 2894, 8),
(27382, NULL, 'PF08073', NULL, NULL, 'CHDNT (NUC034) domain', NULL, 'CHDNT', NULL, NULL, 12206, 8),
(27383, NULL, 'PF12562', NULL, NULL, 'Protein of unknown function (DUF3746)', NULL, 'DUF3746', NULL, NULL, 21360, 8),
(27384, NULL, 'PF13573', NULL, NULL, 'SprB repeat', NULL, 'SprB', NULL, NULL, 25460, 8),
(27385, NULL, 'PF02535', NULL, NULL, 'ZIP Zinc transporter', NULL, 'Zip', NULL, NULL, 1856, 8),
(27386, NULL, 'PF19428', NULL, NULL, 'Semaphorin 4F C-terminal', NULL, 'Sema4F_C', NULL, NULL, 39910, 8),
(27387, NULL, 'PF06638', NULL, NULL, 'Strabismus protein', NULL, 'Strabismus', NULL, NULL, 10414, 8),
(27388, NULL, 'PF08475', NULL, NULL, 'Viral capsid protein 91 N-terminal', NULL, 'Baculo_VP91_N', NULL, NULL, 13813, 8),
(27389, NULL, 'PF08794', NULL, NULL, 'Lipoprotein GNA1870 C terminal like', NULL, 'Lipoprot_C', NULL, NULL, 13431, 8),
(27390, NULL, 'PF14906', NULL, NULL, 'Domain of unknown function (DUF4495)', NULL, 'DUF4495', NULL, NULL, 25879, 8),
(27391, NULL, 'PF07610', NULL, NULL, 'Protein of unknown function (DUF1573)', NULL, 'DUF1573', NULL, NULL, 14466, 8),
(27392, NULL, 'PF13873', NULL, NULL, 'Myb/SANT-like DNA-binding domain', NULL, 'Myb_DNA-bind_5', NULL, NULL, 24242, 8),
(27393, NULL, 'PF15549', NULL, NULL, 'PGC7/Stella/Dppa3 domain', NULL, 'PGC7_Stella', NULL, NULL, 26026, 8),
(27394, NULL, 'PF14667', NULL, NULL, 'Polysaccharide biosynthesis C-terminal domain', NULL, 'Polysacc_synt_C', NULL, NULL, 28892, 8),
(27395, NULL, 'PF18850', NULL, NULL, 'Large polyvalent protein associated domain 30', NULL, 'LPD30', NULL, NULL, 30769, 8),
(27396, NULL, 'PF12835', NULL, NULL, 'Integrase', NULL, 'Integrase_1', NULL, NULL, 21667, 8),
(27397, NULL, 'PF12338', NULL, NULL, 'Ribulose-1,5-bisphosphate carboxylase small subunit', NULL, 'RbcS', NULL, NULL, 21757, 8),
(27398, NULL, 'PF01976', NULL, NULL, 'Protein of unknown function DUF116', NULL, 'DUF116', NULL, NULL, 5036, 8),
(27399, NULL, 'PF02275', NULL, NULL, 'Linear amide C-N hydrolases, choloylglycine hydrolase family', NULL, 'CBAH', NULL, NULL, 25290, 8),
(27400, NULL, 'PF15622', NULL, NULL, 'Kinetochore assembly subunit CENP-C N-terminal', NULL, 'CENP_C_N', NULL, NULL, 26650, 8),
(27401, NULL, 'PF05267', NULL, NULL, 'Protein of unknown function (DUF725)', NULL, 'DUF725', NULL, NULL, 4221, 8),
(27402, NULL, 'PF17712', NULL, NULL, 'Family of unknown function (DUF5557)', NULL, 'DUF5557', NULL, NULL, 31415, 8),
(27403, NULL, 'PF03082', NULL, NULL, 'Male accessory gland secretory protein', NULL, 'MAGSP', NULL, NULL, 4588, 8),
(27404, NULL, 'PF06783', NULL, NULL, 'Uncharacterised protein family (UPF0239)', NULL, 'UPF0239', NULL, NULL, 1518, 8),
(27405, NULL, 'PF03115', NULL, NULL, 'Astrovirus capsid protein precursor', NULL, 'Astro_capsid_N', NULL, NULL, 4797, 8),
(27406, NULL, 'PF11430', NULL, NULL, 'Programmed cell death activator EGL-1', NULL, 'EGL-1', NULL, NULL, 18795, 8),
(27407, NULL, 'PF04120', NULL, NULL, 'Low affinity iron permease', NULL, 'Iron_permease', NULL, NULL, 6947, 8),
(27408, NULL, 'PF18882', NULL, NULL, 'Family of unknown function (DUF5647)', NULL, 'DUF5647', NULL, NULL, 36781, 8),
(27409, NULL, 'PF07296', NULL, NULL, 'TraP protein', NULL, 'TraP', NULL, NULL, 14773, 8),
(27410, NULL, 'PF11724', NULL, NULL, 'YvbH-like oligomerisation region', NULL, 'YvbH_ext', NULL, NULL, 19970, 8),
(27411, NULL, 'PF11803', NULL, NULL, 'UDP-glucuronate decarboxylase N-terminal', NULL, 'UXS1_N', NULL, NULL, 19584, 8),
(27412, NULL, 'PF18731', NULL, NULL, 'Swt1-like HEPN', NULL, 'HEPN_Swt1', NULL, NULL, 32859, 8),
(27413, NULL, 'PF15890', NULL, NULL, 'Putative zinc-binding metallo-peptidase', NULL, 'Peptidase_Mx1', NULL, NULL, 26695, 8),
(27414, NULL, 'PF13447', NULL, NULL, 'Seven times multi-haem cytochrome CxxCH', NULL, 'Multi-haem_cyto', NULL, NULL, NULL, 8),
(27415, NULL, 'PF15624', NULL, NULL, 'Kinetochore CENP-C fungal homologue, Mif2, N-terminal', NULL, 'Mif2_N', NULL, NULL, 26235, 8),
(27416, NULL, 'PF14900', NULL, NULL, 'Domain of unknown function (DUF4493)', NULL, 'DUF4493', NULL, NULL, 28475, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27417, NULL, 'PF19230', NULL, NULL, 'Family of unknown function (DUF5883)', NULL, 'DUF5883', NULL, NULL, 39949, 8),
(27418, NULL, 'PF12688', NULL, NULL, 'Tetratrico peptide repeat', NULL, 'TPR_5', NULL, NULL, 32854, 8),
(27419, NULL, 'PF12380', NULL, NULL, 'Gill-associated viral 3C-like peptidase', NULL, 'Peptidase_C62', NULL, NULL, 22514, 8),
(27420, NULL, 'PF10805', NULL, NULL, 'Protein of unknown function (DUF2730)', NULL, 'DUF2730', NULL, NULL, 19980, 8),
(27421, NULL, 'PF16217', NULL, NULL, 'Peptidase M64 N-terminus', NULL, 'M64_N', NULL, NULL, 28175, 8),
(27422, NULL, 'PF01972', NULL, NULL, 'Serine dehydrogenase proteinase', NULL, 'SDH_sah', NULL, NULL, 4769, 8),
(27423, NULL, 'PF08911', NULL, NULL, 'NUP50 (Nucleoporin 50 kDa)', NULL, 'NUP50', NULL, NULL, 7654, 8),
(27424, NULL, 'PF11324', NULL, NULL, 'Protein of unknown function (DUF3126)', NULL, 'DUF3126', NULL, NULL, 18705, 8),
(27425, NULL, 'PF12576', NULL, NULL, 'Protein of unknown function (DUF3754)', NULL, 'DUF3754', NULL, NULL, 21357, 8),
(27426, NULL, 'PF04454', NULL, NULL, 'Encapsulating protein for peroxidase', NULL, 'Linocin_M18', NULL, NULL, 3833, 8),
(27427, NULL, 'PF03136', NULL, NULL, 'Pup-ligase protein', NULL, 'Pup_ligase', NULL, NULL, 5896, 8),
(27428, NULL, 'PF10252', NULL, NULL, 'Casein kinase substrate phosphoprotein PP28', NULL, 'PP28', NULL, NULL, 15894, 8),
(27429, NULL, 'PF18259', NULL, NULL, 'Carbohydrate binding module 65 domain 1', NULL, 'CBM65_1', NULL, NULL, 35737, 8),
(27430, NULL, 'PF10492', NULL, NULL, 'Nrf1 activator activation site binding domain', NULL, 'Nrf1_activ_bdg', NULL, NULL, 18589, 8),
(27431, NULL, 'PF02098', NULL, NULL, 'Tick histamine binding protein', NULL, 'His_binding', NULL, NULL, 6540, 8),
(27432, NULL, 'PF07362', NULL, NULL, 'Post-segregation antitoxin CcdA', NULL, 'CcdA', NULL, NULL, 8243, 8),
(27433, NULL, 'PF17475', NULL, NULL, 'Clostridial binary toxin B/anthrax toxin PA domain 2', NULL, 'Binary_toxB_2', NULL, NULL, 27642, 8),
(27434, NULL, 'PF04170', NULL, NULL, 'NlpE N-terminal domain', NULL, 'NlpE', NULL, NULL, 259, 8),
(27435, NULL, 'PF11698', NULL, NULL, 'V-ATPase subunit H', NULL, 'V-ATPase_H_C', NULL, NULL, 12655, 8),
(27436, NULL, 'PF11810', NULL, NULL, 'Domain of unknown function (DUF3332)', NULL, 'DUF3332', NULL, NULL, 19619, 8),
(27437, NULL, 'PF12579', NULL, NULL, 'Protein of unknown function (DUF3755)', NULL, 'DUF3755', NULL, NULL, 21066, 8),
(27438, NULL, 'PF11627', NULL, NULL, 'Nuclear factor hnRNPA1', NULL, 'HnRNPA1', NULL, NULL, 19343, 8),
(27439, NULL, 'PF12038', NULL, NULL, 'Domain of unknown function (DUF3524)', NULL, 'DUF3524', NULL, NULL, 14858, 8),
(27440, NULL, 'PF13165', NULL, NULL, 'Six-cysteine peptide SCIFF', NULL, 'SCIFF', NULL, NULL, 11650, 8),
(27441, NULL, 'PF12470', NULL, NULL, 'Suppressor of Fused Gli/Ci N terminal binding domain', NULL, 'SUFU_C', NULL, NULL, 28503, 8),
(27442, NULL, 'PF01956', NULL, NULL, 'Integral membrane protein EMC3/TMCO1-like', NULL, 'EMC3_TMCO1', NULL, NULL, 4710, 8),
(27443, NULL, 'PF10288', NULL, NULL, 'Cytoplasmic tRNA 2-thiolation protein 2', NULL, 'CTU2', NULL, NULL, 16631, 8),
(27444, NULL, 'PF15939', NULL, NULL, 'Putative antitoxin of bacterial toxin-antitoxin system', NULL, 'YmcE_antitoxin', NULL, NULL, 26451, 8),
(27445, NULL, 'PF19762', NULL, NULL, 'Domain of unknown function (DUF6249)', NULL, 'DUF6249', NULL, NULL, 39892, 8),
(27446, NULL, 'PF03914', NULL, NULL, 'CBF/Mak21 family', NULL, 'CBF', NULL, NULL, 2591, 8),
(27447, NULL, 'PF04647', NULL, NULL, 'Accessory gene regulator B', NULL, 'AgrB', NULL, NULL, 3181, 8),
(27448, NULL, 'PF07379', NULL, NULL, 'Protein of unknown function (DUF1494)', NULL, 'DUF1494', NULL, NULL, 8135, 8),
(27449, NULL, 'PF09961', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2195)', NULL, 'DUF2195', NULL, NULL, 17548, 8),
(27450, NULL, 'PF00052', NULL, NULL, 'Laminin B (Domain IV)', NULL, 'Laminin_B', NULL, NULL, 2943, 8),
(27451, NULL, 'PF09906', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2135)', NULL, 'DUF2135', NULL, NULL, 19313, 8),
(27452, NULL, 'PF17486', NULL, NULL, 'Cystine knot toxins', NULL, 'Cys_Knot_tox', NULL, NULL, 15530, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27453, NULL, 'PF09813', NULL, NULL, 'Coiled-coil domain-containing protein 56', NULL, 'Coiled-coil_56', NULL, NULL, 16255, 8),
(27454, NULL, 'PF05798', NULL, NULL, 'Bacteriophage FRD3 protein', NULL, 'Phage_FRD3', NULL, NULL, 12166, 8),
(27455, NULL, 'PF02017', NULL, NULL, 'CIDE-N domain', NULL, 'CIDE-N', NULL, NULL, 6219, 8),
(27456, NULL, 'PF12216', NULL, NULL, 'Immune evasion protein', NULL, 'm04gp34like', NULL, NULL, 20860, 8),
(27457, NULL, 'PF02119', NULL, NULL, 'Flagellar P-ring protein', NULL, 'FlgI', NULL, NULL, 3046, 8),
(27458, NULL, 'PF15653', NULL, NULL, 'URI fold toxin 2', NULL, 'Tox-URI2', NULL, NULL, 26135, 8),
(27459, NULL, 'PF01422', NULL, NULL, 'NF-X1 type zinc finger', NULL, 'zf-NF-X1', NULL, NULL, 3435, 8),
(27460, NULL, 'PF06865', NULL, NULL, 'Pyrimidine/purine nucleoside phosphorylase', NULL, 'Ppnp', NULL, NULL, 11906, 8),
(27461, NULL, 'PF17946', NULL, NULL, 'RecC C-terminal domain', NULL, 'RecC_C', NULL, NULL, 31650, 8),
(27462, NULL, 'PF19624', NULL, NULL, 'Family of unknown function (DUF6129)', NULL, 'DUF6129', NULL, NULL, 39823, 8),
(27463, NULL, 'PF14814', NULL, NULL, 'Bifunctional transglycosylase second domain', NULL, 'UB2H', NULL, NULL, 24749, 8),
(27464, NULL, 'PF05652', NULL, NULL, 'Scavenger mRNA decapping enzyme (DcpS) N-terminal', NULL, 'DcpS', NULL, NULL, 14392, 8),
(27465, NULL, 'PF14054', NULL, NULL, 'Domain of unknown function (DUF4249)', NULL, 'DUF4249', NULL, NULL, 22830, 8),
(27466, NULL, 'PF03813', NULL, NULL, 'Nrap protein domain 1', NULL, 'Nrap', NULL, NULL, 7952, 8),
(27467, NULL, 'PF00218', NULL, NULL, 'Indole-3-glycerol phosphate synthase', NULL, 'IGPS', NULL, NULL, 9882, 8),
(27468, NULL, 'PF02702', NULL, NULL, 'Osmosensitive K+ channel His kinase sensor domain', NULL, 'KdpD', NULL, NULL, 3276, 8),
(27469, NULL, 'PF09885', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2112)', NULL, 'DUF2112', NULL, NULL, 12534, 8),
(27470, NULL, 'PF18698', NULL, NULL, 'Histidine kinase sensor domain', NULL, 'HisK_sensor', NULL, NULL, 33111, 8),
(27471, NULL, 'PF12289', NULL, NULL, 'Rotavirus VP1 C-terminal domain', NULL, 'Rotavirus_VP1', NULL, NULL, 20795, 8),
(27472, NULL, 'PF15222', NULL, NULL, 'Kidney androgen-regulated', NULL, 'KAR', NULL, NULL, 26931, 8),
(27473, NULL, 'PF00652', NULL, NULL, 'Ricin-type beta-trefoil lectin domain', NULL, 'Ricin_B_lectin', NULL, NULL, 3865, 8),
(27474, NULL, 'PF06474', NULL, NULL, 'MltD lipid attachment motif', NULL, 'MLTD_N', NULL, NULL, 10697, 8),
(27475, NULL, 'PF19199', NULL, NULL, 'Phage major coat protein, Gp8', NULL, 'Phage_coatGP8', NULL, NULL, 5231, 8),
(27476, NULL, 'PF01585', NULL, NULL, 'G-patch domain', NULL, 'G-patch', NULL, NULL, 6999, 8),
(27477, NULL, 'PF09946', NULL, NULL, 'Predicted membrane protein (DUF2178)', NULL, 'DUF2178', NULL, NULL, 19425, 8),
(27478, NULL, 'PF10511', NULL, NULL, 'Trappin protein transglutaminase binding domain', NULL, 'Cementoin', NULL, NULL, 19048, 8),
(27479, NULL, 'PF17346', NULL, NULL, 'Family of unknown function (DUF5376)', NULL, 'DUF5376', NULL, NULL, 33969, 8),
(27480, NULL, 'PF07147', NULL, NULL, 'Mitochondrial 28S ribosomal protein S30 (PDCD9)', NULL, 'PDCD9', NULL, NULL, 11054, 8),
(27481, NULL, 'PF02591', NULL, NULL, 'C4-type zinc ribbon domain', NULL, 'zf-RING_7', NULL, NULL, 6091, 8),
(27482, NULL, 'PF07353', NULL, NULL, 'Uroplakin II', NULL, 'Uroplakin_II', NULL, NULL, 8320, 8),
(27483, NULL, 'PF05018', NULL, NULL, 'Protein of unknown function (DUF667)', NULL, 'DUF667', NULL, NULL, 1448, 8),
(27484, NULL, 'PF20006', NULL, NULL, 'YukD-like N-terminal domain', NULL, 'fvmYukDl_N', NULL, NULL, 38650, 8),
(27485, NULL, 'PF10468', NULL, NULL, 'Carboxypeptidase inhibitor I68', NULL, 'Inhibitor_I68', NULL, NULL, 18520, 8),
(27486, NULL, 'PF02107', NULL, NULL, 'Flagellar L-ring protein', NULL, 'FlgH', NULL, NULL, 5719, 8),
(27487, NULL, 'PF12009', NULL, NULL, 'Telomerase ribonucleoprotein complex - RNA binding domain', NULL, 'Telomerase_RBD', NULL, NULL, 20437, 8),
(27488, NULL, 'PF05569', NULL, NULL, 'BlaR1 peptidase M56', NULL, 'Peptidase_M56', NULL, NULL, 12010, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27489, NULL, 'PF10716', NULL, NULL, 'NADH dehydrogenase transmembrane subunit', NULL, 'NdhL', NULL, NULL, 21242, 8),
(27490, NULL, 'PF16302', NULL, NULL, 'Domain of unknown function (DUF4944)', NULL, 'DUF4944', NULL, NULL, 27693, 8),
(27491, NULL, 'PF17351', NULL, NULL, 'Family of unknown function (DUF5380)', NULL, 'DUF5380', NULL, NULL, 20392, 8),
(27492, NULL, 'PF00070', NULL, NULL, 'Pyridine nucleotide-disulphide oxidoreductase', NULL, 'Pyr_redox', NULL, NULL, 29100, 8),
(27493, NULL, 'PF09155', NULL, NULL, 'Domain of unknown function (DUF1940)', NULL, 'DUF1940', NULL, NULL, 12523, 8),
(27494, NULL, 'PF14791', NULL, NULL, 'DNA polymerase beta thumb', NULL, 'DNA_pol_B_thumb', NULL, NULL, 26002, 8),
(27495, NULL, 'PF19132', NULL, NULL, 'Family of unknown function (DUF5815)', NULL, 'DUF5815', NULL, NULL, 36713, 8),
(27496, NULL, 'PF01983', NULL, NULL, 'Guanylyl transferase CofC like', NULL, 'CofC', NULL, NULL, 5332, 8),
(27497, NULL, 'PF04399', NULL, NULL, 'Glutaredoxin 2, C terminal domain', NULL, 'Glutaredoxin2_C', NULL, NULL, 10474, 8),
(27498, NULL, 'PF02932', NULL, NULL, 'Neurotransmitter-gated ion-channel transmembrane region', NULL, 'Neur_chan_memb', NULL, NULL, 1283, 8),
(27499, NULL, 'PF01782', NULL, NULL, 'RimM N-terminal domain', NULL, 'RimM', NULL, NULL, 2843, 8),
(27500, NULL, 'PF10506', NULL, NULL, 'PDZ domain of MCC-2 bdg protein for Usher syndrome', NULL, 'MCC-bdg_PDZ', NULL, NULL, 19131, 8),
(27501, NULL, 'PF11141', NULL, NULL, 'Protein of unknown function (DUF2914)', NULL, 'DUF2914', NULL, NULL, 14855, 8),
(27502, NULL, 'PF09298', NULL, NULL, 'Fumarylacetoacetase N-terminal', NULL, 'FAA_hydrolase_N', NULL, NULL, 14263, 8),
(27503, NULL, 'PF03710', NULL, NULL, 'Glutamate-ammonia ligase adenylyltransferase', NULL, 'GlnE', NULL, NULL, 5096, 8),
(27504, NULL, 'PF16413', NULL, NULL, 'DNA mismatch repair protein Mlh1 C-terminus', NULL, 'Mlh1_C', NULL, NULL, 24787, 8),
(27505, NULL, 'PF08617', NULL, NULL, 'Kinase binding protein CGI-121', NULL, 'CGI-121', NULL, NULL, 14152, 8),
(27506, NULL, 'PF10256', NULL, NULL, 'Golgin subfamily A member 7/ERF4 family', NULL, 'Erf4', NULL, NULL, 15867, 8),
(27507, NULL, 'PF16581', NULL, NULL, 'Cytidyltransferase-related C-terminal region', NULL, 'HIGH_NTase1_ass', NULL, NULL, 28140, 8),
(27508, NULL, 'PF10236', NULL, NULL, 'Mitochondrial ribosomal death-associated protein 3', NULL, 'DAP3', NULL, NULL, 15717, 8),
(27509, NULL, 'PF17248', NULL, NULL, 'Family of unknown function (DUF5317)', NULL, 'DUF5317', NULL, NULL, 19016, 8),
(27510, NULL, 'PF17933', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_25', NULL, NULL, 31953, 8),
(27511, NULL, 'PF06143', NULL, NULL, 'Baculovirus 11 kDa family', NULL, 'Baculo_11_kDa', NULL, NULL, 14837, 8),
(27512, NULL, 'PF18927', NULL, NULL, 'Glycosyl-4,4''-diaponeurosporenoate acyltransferase', NULL, 'CrtO', NULL, NULL, 37682, 8),
(27513, NULL, 'PF16105', NULL, NULL, 'Domain of unknown function (DUF4823)', NULL, 'DUF4823', NULL, NULL, 22790, 8),
(27514, NULL, 'PF03637', NULL, NULL, 'Mob1/phocein family', NULL, 'Mob1_phocein', NULL, NULL, 5487, 8),
(27515, NULL, 'PF14208', NULL, NULL, 'Domain of unknown function (DUF4320)', NULL, 'DUF4320', NULL, NULL, 28045, 8),
(27516, NULL, 'PF12199', NULL, NULL, 'Extracellular fibrinogen binding protein C terminal', NULL, 'efb-c', NULL, NULL, 15343, 8),
(27517, NULL, 'PF05341', NULL, NULL, 'Per os infectivity factor 6', NULL, 'PIF6', NULL, NULL, 5407, 8),
(27518, NULL, 'PF13244', NULL, NULL, 'Domain of unknown function (DUF4040)', NULL, 'DUF4040', NULL, NULL, 23148, 8),
(27519, NULL, 'PF04433', NULL, NULL, 'SWIRM domain', NULL, 'SWIRM', NULL, NULL, 10629, 8),
(27520, NULL, 'PF18121', NULL, NULL, 'TFA2 Winged helix domain 2', NULL, 'TFA2_Winged_2', NULL, NULL, 29816, 8),
(27521, NULL, 'PF00428', NULL, NULL, '60s Acidic ribosomal protein', NULL, 'Ribosomal_60s', NULL, NULL, NULL, 8),
(27522, NULL, 'PF07888', NULL, NULL, 'Calcium binding and coiled-coil domain (CALCOCO1) like', NULL, 'CALCOCO1', NULL, NULL, 12575, 8),
(27523, NULL, 'PF12838', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_7', NULL, NULL, 13131, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27524, NULL, 'PF17999', NULL, NULL, 'Pullulanase N1-terminal domain', NULL, 'PulA_N1', NULL, NULL, 29891, 8),
(27525, NULL, 'PF11308', NULL, NULL, 'Glycosyl hydrolases related to GH101 family, GH129', NULL, 'Glyco_hydro_129', NULL, NULL, 18744, 8),
(27526, NULL, 'PF16691', NULL, NULL, 'Domain of unknown function (DUF5062)', NULL, 'DUF5062', NULL, NULL, 24309, 8),
(27527, NULL, 'PF17075', NULL, NULL, 'Regular of rDNA transcription protein 14', NULL, 'RRT14', NULL, NULL, 25206, 8),
(27528, NULL, 'PF15635', NULL, NULL, 'GHH signature containing HNH/Endo VII superfamily nuclease toxin  2', NULL, 'Tox-GHH2', NULL, NULL, 26112, 8),
(27529, NULL, 'PF04457', NULL, NULL, 'MJ1316 RNA cyclic group end recognition domain', NULL, 'MJ1316', NULL, NULL, 30365, 8),
(27530, NULL, 'PF14477', NULL, NULL, 'Membrane-polarising domain of Mso1', NULL, 'Mso1_C', NULL, NULL, NULL, 8),
(27531, NULL, 'PF09268', NULL, NULL, 'Clathrin, heavy-chain linker', NULL, 'Clathrin-link', NULL, NULL, 13807, 8),
(27532, NULL, 'PF13236', NULL, NULL, 'Clustered mitochondria', NULL, 'CLU', NULL, NULL, 23519, 8),
(27533, NULL, 'PF16600', NULL, NULL, 'Caskin1 CASK-interaction domain', NULL, 'Caskin1-CID', NULL, NULL, 29315, 8),
(27534, NULL, 'PF15270', NULL, NULL, 'Metallo-carboxypeptidase inhibitor', NULL, 'ACI44', NULL, NULL, 22674, 8),
(27535, NULL, 'PF08340', NULL, NULL, 'Domain of unknown function (DUF1732)', NULL, 'DUF1732', NULL, NULL, 13181, 8),
(27536, NULL, 'PF03173', NULL, NULL, 'Putative carbohydrate binding domain', NULL, 'CHB_HEX', NULL, NULL, 7250, 8),
(27537, NULL, 'PF06187', NULL, NULL, 'Protein of unknown function (DUF993)', NULL, 'DUF993', NULL, NULL, 14970, 8),
(27538, NULL, 'PF04755', NULL, NULL, 'PAP_fibrillin', NULL, 'PAP_fibrillin', NULL, NULL, 4406, 8),
(27539, NULL, 'PF06873', NULL, NULL, 'Cell surface immobilisation antigen SerH', NULL, 'SerH', NULL, NULL, 11553, 8),
(27540, NULL, 'PF13088', NULL, NULL, 'BNR repeat-like domain', NULL, 'BNR_2', NULL, NULL, 9371, 8),
(27541, NULL, 'PF00017', NULL, NULL, 'SH2 domain', NULL, 'SH2', NULL, NULL, 3420, 8),
(27542, NULL, 'PF18354', NULL, NULL, 'CarS bacterial SH3 domain', NULL, 'SH3_18', NULL, NULL, 31922, 8),
(27543, NULL, 'PF19934', NULL, NULL, 'Family of unknown function (DUF6397)', NULL, 'DUF6397', NULL, NULL, 38957, 8),
(27544, NULL, 'PF11117', NULL, NULL, 'Protein of unknown function (DUF2626)', NULL, 'DUF2626', NULL, NULL, 19785, 8),
(27545, NULL, 'PF05257', NULL, NULL, 'CHAP domain', NULL, 'CHAP', NULL, NULL, 3303, 8),
(27546, NULL, 'PF18625', NULL, NULL, 'ESX-1 secreted protein B PE domain', NULL, 'EspB_PE', NULL, NULL, 32253, 8),
(27547, NULL, 'PF02757', NULL, NULL, 'YLP motif', NULL, 'YLP', NULL, NULL, 711, 8),
(27548, NULL, 'PF11089', NULL, NULL, 'Exopolysaccharide production repressor', NULL, 'SyrA', NULL, NULL, 20193, 8),
(27549, NULL, 'PF04733', NULL, NULL, 'Coatomer epsilon subunit', NULL, 'Coatomer_E', NULL, NULL, NULL, 8),
(27550, NULL, 'PF13851', NULL, NULL, 'Growth-arrest specific micro-tubule binding', NULL, 'GAS', NULL, NULL, 25509, 8),
(27551, NULL, 'PF17028', NULL, NULL, '8TM Microsporidial transmembrane domain', NULL, '8TM_micro', NULL, NULL, 23135, 8),
(27552, NULL, 'PF19692', NULL, NULL, 'Family of unknown function (DUF6193)', NULL, 'DUF6193', NULL, NULL, 38567, 8),
(27553, NULL, 'PF16663', NULL, NULL, 'Unstructured region on MAGI', NULL, 'MAGI_u1', NULL, NULL, NULL, 8),
(27554, NULL, 'PF05899', NULL, NULL, 'EutQ-like cupin domain', NULL, 'Cupin_3', NULL, NULL, 13580, 8),
(27555, NULL, 'PF09686', NULL, NULL, 'Plasmid protein of unknown function (Plasmid_RAQPRD)', NULL, 'Plasmid_RAQPRD', NULL, NULL, 17830, 8),
(27556, NULL, 'PF09393', NULL, NULL, 'Phage tail tube protein', NULL, 'DUF2001', NULL, NULL, 15726, 8),
(27557, NULL, 'PF20000', NULL, NULL, 'FtsH ternary system domain X2', NULL, 'fvmX2', NULL, NULL, 38544, 8),
(27558, NULL, 'PF13046', NULL, NULL, 'Protein of unknown function (DUF3906)', NULL, 'DUF3906', NULL, NULL, 23838, 8),
(27559, NULL, 'PF02789', NULL, NULL, 'Cytosol aminopeptidase family, N-terminal domain', NULL, 'Peptidase_M17_N', NULL, NULL, 9602, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27560, NULL, 'PF13042', NULL, NULL, 'Protein of unknown function (DUF3902)', NULL, 'DUF3902', NULL, NULL, 23745, 8),
(27561, NULL, 'PF02399', NULL, NULL, 'Origin of replication binding protein', NULL, 'Herpes_ori_bp', NULL, NULL, 5514, 8),
(27562, NULL, 'PF12116', NULL, NULL, 'Stage III sporulation protein D', NULL, 'SpoIIID', NULL, NULL, 9447, 8),
(27563, NULL, 'PF04826', NULL, NULL, 'Armadillo-like', NULL, 'Arm_2', NULL, NULL, 4891, 8),
(27564, NULL, 'PF18975', NULL, NULL, 'Family of unknown function (DUF5711)', NULL, 'DUF5711', NULL, NULL, 37607, 8),
(27565, NULL, 'PF05923', NULL, NULL, 'APC repeat', NULL, 'APC_r', NULL, NULL, 12538, 8),
(27566, NULL, 'PF19320', NULL, NULL, 'Galactofuranosyltransferase-2, domain 3', NULL, 'GlfT2_domain3', NULL, NULL, 38896, 8),
(27567, NULL, 'PF16270', NULL, NULL, 'Lipocalin-like domain (DUF4923)', NULL, 'DUF4923', NULL, NULL, 22161, 8),
(27568, NULL, 'PF18518', NULL, NULL, 'TcA receptor binding domain', NULL, 'TcA_RBD', NULL, NULL, 33098, 8),
(27569, NULL, 'PF08678', NULL, NULL, 'Rsbr N terminal', NULL, 'Rsbr_N', NULL, NULL, 11741, 8),
(27570, NULL, 'PF08053', NULL, NULL, 'Tryptophanase operon leader peptide', NULL, 'Tna_leader', NULL, NULL, 9701, 8),
(27571, NULL, 'PF17602', NULL, NULL, 'Family of unknown function (DUF5498)', NULL, 'DUF5498', NULL, NULL, 34672, 8),
(27572, NULL, 'PF06675', NULL, NULL, 'Protein of unknown function (DUF1177)', NULL, 'DUF1177', NULL, NULL, 10317, 8),
(27573, NULL, 'PF15710', NULL, NULL, 'Break repair meiotic recombinase recruitment factor 1', NULL, 'Brme1', NULL, NULL, 27346, 8),
(27574, NULL, 'PF14348', NULL, NULL, 'Domain of unknown function (DUF4400)', NULL, 'DUF4400', NULL, NULL, 15905, 8),
(27575, NULL, 'PF05142', NULL, NULL, 'Domain of unknown function (DUF702)', NULL, 'DUF702', NULL, NULL, NULL, 8),
(27576, NULL, 'PF14399', NULL, NULL, 'Butirosin biosynthesis protein H, N-terminal', NULL, 'BtrH_N', NULL, NULL, 23091, 8),
(27577, NULL, 'PF00798', NULL, NULL, 'Arenavirus glycoprotein', NULL, 'Arena_glycoprot', NULL, NULL, 3323, 8),
(27578, NULL, 'PF00575', NULL, NULL, 'S1 RNA binding domain', NULL, 'S1', NULL, NULL, 102, 8),
(27579, NULL, 'PF08455', NULL, NULL, 'Bacterial SNF2 helicase associated', NULL, 'SNF2_assoc', NULL, NULL, 12298, 8),
(27580, NULL, 'PF00194', NULL, NULL, 'Eukaryotic-type carbonic anhydrase', NULL, 'Carb_anhydrase', NULL, NULL, 2104, 8),
(27581, NULL, 'PF04119', NULL, NULL, 'Heat shock protein 9/12', NULL, 'HSP9_HSP12', NULL, NULL, 6616, 8),
(27582, NULL, 'PF17148', NULL, NULL, 'Domain of unknown function (DUF5117)', NULL, 'DUF5117', NULL, NULL, 31937, 8),
(27583, NULL, 'PF02958', NULL, NULL, 'Ecdysteroid kinase-like family', NULL, 'EcKL', NULL, NULL, 1622, 8),
(27584, NULL, 'PF15620', NULL, NULL, 'Centromere assembly component CENP-C middle DNMT3B-binding region', NULL, 'CENP-C_mid', NULL, NULL, 26261, 8),
(27585, NULL, 'PF01420', NULL, NULL, 'Type I restriction modification DNA specificity domain', NULL, 'Methylase_S', NULL, NULL, 3633, 8),
(27586, NULL, 'PF04284', NULL, NULL, 'Protein of unknown function (DUF441)', NULL, 'DUF441', NULL, NULL, 5903, 8),
(27587, NULL, 'PF06692', NULL, NULL, 'Melon necrotic spot virus P7B protein', NULL, 'MNSV_P7B', NULL, NULL, 972, 8),
(27588, NULL, 'PF01216', NULL, NULL, 'Calsequestrin', NULL, 'Calsequestrin', NULL, NULL, 6810, 8),
(27589, NULL, 'PF01941', NULL, NULL, 'S-adenosylmethionine synthetase (AdoMet synthetase)', NULL, 'AdoMet_Synthase', NULL, NULL, 26276, 8),
(27590, NULL, 'PF06076', NULL, NULL, 'Orthopoxvirus F14 protein', NULL, 'Orthopox_F14', NULL, NULL, 13833, 8),
(27591, NULL, 'PF14150', NULL, NULL, 'YesK-like protein', NULL, 'YesK', NULL, NULL, 28302, 8),
(27592, NULL, 'PF15276', NULL, NULL, 'Protein phosphatase 1 binding', NULL, 'PP1_bind', NULL, NULL, 24893, 8),
(27593, NULL, 'PF03090', NULL, NULL, 'Replicase family', NULL, 'Replicase', NULL, NULL, 4956, 8),
(27594, NULL, 'PF10420', NULL, NULL, 'Cytokine interleukin-12p40 C-terminus', NULL, 'IL12p40_C', NULL, NULL, 18714, 8),
(27595, NULL, 'PF09547', NULL, NULL, 'Stage IV sporulation protein A (spore_IV_A)', NULL, 'Spore_IV_A', NULL, NULL, 9111, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27596, NULL, 'PF15740', NULL, NULL, 'Protein phosphatase 1 regulatory subunit 26 N-terminus', NULL, 'PPP1R26_N', NULL, NULL, 23636, 8),
(27597, NULL, 'PF07746', NULL, NULL, 'Aromatic-ring-opening dioxygenase LigAB, LigA subunit', NULL, 'LigA', NULL, NULL, 12530, 8),
(27598, NULL, 'PF03096', NULL, NULL, 'Ndr family', NULL, 'Ndr', NULL, NULL, 2871, 8),
(27599, NULL, 'PF07937', NULL, NULL, 'Protein of unknown function (DUF1686)', NULL, 'DUF1686', NULL, NULL, 14756, 8),
(27600, NULL, 'PF00143', NULL, NULL, 'Interferon alpha/beta domain', NULL, 'Interferon', NULL, NULL, 5769, 8),
(27601, NULL, 'PF03323', NULL, NULL, 'Bacillus/Clostridium GerA spore germination protein', NULL, 'GerA', NULL, NULL, 991, 8),
(27602, NULL, 'PF10970', NULL, NULL, 'Spore germination protein GerPE', NULL, 'GerPE', NULL, NULL, 25959, 8),
(27603, NULL, 'PF08550', NULL, NULL, 'Fungal protein of unknown function (DUF1752)', NULL, 'DUF1752', NULL, NULL, 9535, 8),
(27604, NULL, 'PF01052', NULL, NULL, 'Type III flagellar switch regulator (C-ring) FliN C-term', NULL, 'FliMN_C', NULL, NULL, 5705, 8),
(27605, NULL, 'PF17195', NULL, NULL, 'Protein of unknown function (DUF5132)', NULL, 'DUF5132', NULL, NULL, 33010, 8),
(27606, NULL, 'PF14645', NULL, NULL, 'Chibby family', NULL, 'Chibby', NULL, NULL, 22553, 8),
(27607, NULL, 'PF17743', NULL, NULL, 'Family of unknown function (DUF5580)', NULL, 'DUF5580', NULL, NULL, 31316, 8),
(27608, NULL, 'PF18661', NULL, NULL, 'Avirulence Effector AvrLm4-7', NULL, 'AvrLm4-7', NULL, NULL, 34941, 8),
(27609, NULL, 'PF03827', NULL, NULL, 'Orexin receptor type 2', NULL, 'Orexin_rec2', NULL, NULL, 882, 8),
(27610, NULL, 'PF17629', NULL, NULL, 'Family of unknown function (DUF5510)', NULL, 'DUF5510', NULL, NULL, 8698, 8),
(27611, NULL, 'PF00103', NULL, NULL, 'Somatotropin hormone family', NULL, 'Hormone_1', NULL, NULL, 5473, 8),
(27612, NULL, 'PF05248', NULL, NULL, 'Adenovirus E3A', NULL, 'Adeno_E3A', NULL, NULL, 3124, 8),
(27613, NULL, 'PF08239', NULL, NULL, 'Bacterial SH3 domain', NULL, 'SH3_3', NULL, NULL, 1404, 8),
(27614, NULL, 'PF14730', NULL, NULL, 'Domain of unknown function (DUF4468) with TBP-like fold', NULL, 'DUF4468', NULL, NULL, 22403, 8),
(27615, NULL, 'PF02230', NULL, NULL, 'Phospholipase/Carboxylesterase', NULL, 'Abhydrolase_2', NULL, NULL, 1782, 8),
(27616, NULL, 'PF20038', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_59', NULL, NULL, 38392, 8),
(27617, NULL, 'PF04602', NULL, NULL, 'Mycobacterial cell wall arabinan synthesis protein', NULL, 'Arabinose_trans', NULL, NULL, 607, 8),
(27618, NULL, 'PF13289', NULL, NULL, 'SIR2-like domain', NULL, 'SIR2_2', NULL, NULL, 33284, 8),
(27619, NULL, 'PF16693', NULL, NULL, 'Inner membrane component of T3SS, periplasmic domain', NULL, 'Yop-YscD_ppl', NULL, NULL, 24500, 8),
(27620, NULL, 'PF02911', NULL, NULL, 'Formyl transferase, C-terminal domain', NULL, 'Formyl_trans_C', NULL, NULL, 6799, 8),
(27621, NULL, 'PF19237', NULL, NULL, 'Family of unknown function (DUF5889)', NULL, 'DUF5889', NULL, NULL, 38333, 8),
(27622, NULL, 'PF00830', NULL, NULL, 'Ribosomal L28 family', NULL, 'Ribosomal_L28', NULL, NULL, 22199, 8),
(27623, NULL, 'PF13313', NULL, NULL, 'Domain of unknown function (DUF4082)', NULL, 'DUF4082', NULL, NULL, 23816, 8),
(27624, NULL, 'PF04769', NULL, NULL, 'Mating-type protein MAT alpha 1 HMG-box', NULL, 'MATalpha_HMGbox', NULL, NULL, 4295, 8),
(27625, NULL, 'PF14504', NULL, NULL, 'CAP-associated N-terminal', NULL, 'CAP_assoc_N', NULL, NULL, 26382, 8),
(27626, NULL, 'PF14083', NULL, NULL, 'PGDYG protein', NULL, 'PGDYG', NULL, NULL, 25944, 8),
(27627, NULL, 'PF03134', NULL, NULL, 'TB2/DP1, HVA22 family', NULL, 'TB2_DP1_HVA22', NULL, NULL, 5694, 8),
(27628, NULL, 'PF16358', NULL, NULL, 'RcsF lipoprotein', NULL, 'RcsF', NULL, NULL, 26708, 8),
(27629, NULL, 'PF13493', NULL, NULL, 'Domain of unknown function (DUF4118)', NULL, 'DUF4118', NULL, NULL, 23038, 8),
(27630, NULL, 'PF15944', NULL, NULL, 'Domain of unknown function (DUF4752)', NULL, 'DUF4752', NULL, NULL, 26465, 8),
(27631, NULL, 'PF00943', NULL, NULL, 'Alphavirus E2 glycoprotein', NULL, 'Alpha_E2_glycop', NULL, NULL, 3487, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27632, NULL, 'PF00454', NULL, NULL, 'Phosphatidylinositol 3- and 4-kinase', NULL, 'PI3_PI4_kinase', NULL, NULL, 4669, 8),
(27633, NULL, 'PF01442', NULL, NULL, 'Apolipoprotein A1/A4/E domain', NULL, 'Apolipoprotein', NULL, NULL, 2747, 8),
(27634, NULL, 'PF19352', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_38', NULL, NULL, 10559, 8),
(27635, NULL, 'PF05228', NULL, NULL, 'CHASE4 domain', NULL, 'CHASE4', NULL, NULL, 3053, 8),
(27636, NULL, 'PF15595', NULL, NULL, 'Immunity protein 51', NULL, 'Imm51', NULL, NULL, 25585, 8),
(27637, NULL, 'PF04519', NULL, NULL, 'Polymer-forming cytoskeletal', NULL, 'Bactofilin', NULL, NULL, 2663, 8),
(27638, NULL, 'PF19702', NULL, NULL, 'Family of unknown function (DUF6200)', NULL, 'DUF6200', NULL, NULL, 38979, 8),
(27639, NULL, 'PF08792', NULL, NULL, 'A2L zinc ribbon domain', NULL, 'A2L_zn_ribbon', NULL, NULL, 13322, 8),
(27640, NULL, 'PF14094', NULL, NULL, 'Domain of unknown function (DUF4272)', NULL, 'DUF4272', NULL, NULL, 23213, 8),
(27641, NULL, 'PF06513', NULL, NULL, 'Repeat of unknown function (DUF1103)', NULL, 'DUF1103', NULL, NULL, 9005, 8),
(27642, NULL, 'PF01303', NULL, NULL, 'Egg lysin (Sperm-lysin)', NULL, 'Egg_lysin', NULL, NULL, 6959, 8),
(27643, NULL, 'PF11620', NULL, NULL, 'GA-binding protein alpha chain', NULL, 'GABP-alpha', NULL, NULL, 21652, 8),
(27644, NULL, 'PF09261', NULL, NULL, 'Alpha mannosidase middle domain', NULL, 'Alpha-mann_mid', NULL, NULL, 13648, 8),
(27645, NULL, 'PF08786', NULL, NULL, 'DcrB', NULL, 'DcrB', NULL, NULL, 13347, 8),
(27646, NULL, 'PF12236', NULL, NULL, 'Bacteriophage head to tail connecting protein', NULL, 'Head-tail_con', NULL, NULL, 15108, 8),
(27647, NULL, 'PF07720', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_3', NULL, NULL, 8907, 8),
(27648, NULL, 'PF12834', NULL, NULL, 'Phage integrase, N-terminal', NULL, 'Phage_int_SAM_2', NULL, NULL, 21586, 8),
(27649, NULL, 'PF16634', NULL, NULL, 'Unstructured region on APC between APC_crr and SAMP', NULL, 'APC_u13', NULL, NULL, NULL, 8),
(27650, NULL, 'PF12746', NULL, NULL, 'GNAT acetyltransferase', NULL, 'GNAT_acetyltran', NULL, NULL, 25056, 8),
(27651, NULL, 'PF04213', NULL, NULL, 'Htaa', NULL, 'HtaA', NULL, NULL, 5243, 8),
(27652, NULL, 'PF12300', NULL, NULL, 'ATP-dependent RNA helicase RhlB', NULL, 'RhlB', NULL, NULL, 20965, 8),
(27653, NULL, 'PF03523', NULL, NULL, 'Macrophage scavenger receptor', NULL, 'Macscav_rec', NULL, NULL, 7435, 8),
(27654, NULL, 'PF04697', NULL, NULL, 'pinin/SDK conserved region', NULL, 'Pinin_SDK_N', NULL, NULL, 3090, 8),
(27655, NULL, 'PF06247', NULL, NULL, 'Pvs28 EGF domain', NULL, 'Plasmod_Pvs28', NULL, NULL, 9613, 8),
(27656, NULL, 'PF13115', NULL, NULL, 'YtkA-like', NULL, 'YtkA', NULL, NULL, 29268, 8),
(27657, NULL, 'PF03613', NULL, NULL, 'PTS system mannose/fructose/sorbose family IID component', NULL, 'EIID-AGA', NULL, NULL, 3841, 8),
(27658, NULL, 'PF08676', NULL, NULL, 'MutL C terminal dimerisation domain', NULL, 'MutL_C', NULL, NULL, 11809, 8),
(27659, NULL, 'PF18132', NULL, NULL, 'Tyosinase C-terminal domain', NULL, 'Tyosinase_C', NULL, NULL, 32919, 8),
(27660, NULL, 'PF18492', NULL, NULL, 'Open reading frame 2 N-terminal domain', NULL, 'ORF_2_N', NULL, NULL, NULL, 8),
(27661, NULL, 'PF19766', NULL, NULL, 'Family of unknown function (DUF6253)', NULL, 'DUF6253', NULL, NULL, 39747, 8),
(27662, NULL, 'PF05598', NULL, NULL, 'Transposase domain (DUF772)', NULL, 'DUF772', NULL, NULL, 12299, 8),
(27663, NULL, 'PF09303', NULL, NULL, 'KCNMB2, ball and chain domain', NULL, 'KcnmB2_inactiv', NULL, NULL, 14300, 8),
(27664, NULL, 'PF09846', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2073)', NULL, 'DUF2073', NULL, NULL, 11207, 8),
(27665, NULL, 'PF05595', NULL, NULL, 'Domain of unknown function (DUF771)', NULL, 'DUF771', NULL, NULL, 12284, 8),
(27666, NULL, 'PF04197', NULL, NULL, 'Birnavirus RNA dependent RNA polymerase (VP1)', NULL, 'Birna_RdRp', NULL, NULL, 37, 8),
(27667, NULL, 'PF14159', NULL, NULL, 'CAAD domains of cyanobacterial aminoacyl-tRNA synthetase', NULL, 'CAAD', NULL, NULL, 23765, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27668, NULL, 'PF16161', NULL, NULL, 'Domain of unknown function (DUF4867)', NULL, 'DUF4867', NULL, NULL, 23499, 8),
(27669, NULL, 'PF04614', NULL, NULL, 'Pex19 protein family', NULL, 'Pex19', NULL, NULL, 2043, 8),
(27670, NULL, 'PF18144', NULL, NULL, 'Second Messenger Oligonucleotide or Dinucleotide Synthetase domain', NULL, 'SMODS', NULL, NULL, NULL, 8),
(27671, NULL, 'PF03063', NULL, NULL, 'Prismane/CO dehydrogenase family', NULL, 'Prismane', NULL, NULL, 2635, 8),
(27672, NULL, 'PF06406', NULL, NULL, 'StbA protein', NULL, 'StbA', NULL, NULL, 8193, 8),
(27673, NULL, 'PF20156', NULL, NULL, 'Flagellin glycosyltransferase Maf helical bundle domain', NULL, 'Maf_C', NULL, NULL, 39612, 8),
(27674, NULL, 'PF11199', NULL, NULL, 'Protein of unknown function (DUF2891)', NULL, 'DUF2891', NULL, NULL, 18024, 8),
(27675, NULL, 'PF08093', NULL, NULL, 'Magi 5 toxic peptide family', NULL, 'Toxin_23', NULL, NULL, 9805, 8),
(27676, NULL, 'PF13470', NULL, NULL, 'PIN domain', NULL, 'PIN_3', NULL, NULL, 3625, 8),
(27677, NULL, 'PF10375', NULL, NULL, 'GRAB domain', NULL, 'GRAB', NULL, NULL, 17909, 8),
(27678, NULL, 'PF16192', NULL, NULL, 'C-terminal four TMM region of protein-O-mannosyltransferase', NULL, 'PMT_4TMC', NULL, NULL, 26632, 8),
(27679, NULL, 'PF06618', NULL, NULL, 'Protein of unknown function (DUF1148)', NULL, 'DUF1148', NULL, NULL, 10238, 8),
(27680, NULL, 'PF01103', NULL, NULL, 'Omp85 superfamily domain', NULL, 'Omp85', NULL, NULL, 1609, 8),
(27681, NULL, 'PF19197', NULL, NULL, 'Family of unknown function (DUF5872)', NULL, 'DUF5872', NULL, NULL, 37832, 8),
(27682, NULL, 'PF10517', NULL, NULL, 'Electron transfer DM13', NULL, 'DM13', NULL, NULL, 19394, 8),
(27683, NULL, 'PF10543', NULL, NULL, 'ORF6N domain', NULL, 'ORF6N', NULL, NULL, 21041, 8),
(27684, NULL, 'PF00387', NULL, NULL, 'Phosphatidylinositol-specific phospholipase C, Y domain', NULL, 'PI-PLC-Y', NULL, NULL, 3125, 8),
(27685, NULL, 'PF08592', NULL, NULL, 'Domain of unknown function (DUF1772)', NULL, 'DUF1772', NULL, NULL, NULL, 8),
(27686, NULL, 'PF10936', NULL, NULL, 'Protein of unknown function DUF2617', NULL, 'DUF2617', NULL, NULL, 25847, 8),
(27687, NULL, 'PF13455', NULL, NULL, 'Meiotically up-regulated gene 113', NULL, 'MUG113', NULL, NULL, NULL, 8),
(27688, NULL, 'PF19757', NULL, NULL, 'Family of unknown function (DUF6244)', NULL, 'DUF6244', NULL, NULL, 39534, 8),
(27689, NULL, 'PF01568', NULL, NULL, 'Molydopterin dinucleotide binding domain', NULL, 'Molydop_binding', NULL, NULL, 1453, 8),
(27690, NULL, 'PF14350', NULL, NULL, 'Beta protein', NULL, 'Beta_protein', NULL, NULL, 25654, 8),
(27691, NULL, 'PF12893', NULL, NULL, 'Putative lumazine-binding', NULL, 'Lumazine_bd_2', NULL, NULL, 36111, 8),
(27692, NULL, 'PF12007', NULL, NULL, 'Protein of unknown function (DUF3501)', NULL, 'DUF3501', NULL, NULL, 20167, 8),
(27693, NULL, 'PF13859', NULL, NULL, 'BNR repeat-like domain', NULL, 'BNR_3', NULL, NULL, 9371, 8),
(27694, NULL, 'PF06002', NULL, NULL, 'Alpha-2,3-sialyltransferase (CST-I)', NULL, 'CST-I', NULL, NULL, 13674, 8),
(27695, NULL, 'PF12049', NULL, NULL, 'Protein of unknown function (DUF3531)', NULL, 'DUF3531', NULL, NULL, 20221, 8),
(27696, NULL, 'PF09527', NULL, NULL, 'Putative F0F1-ATPase subunit Ca2+/Mg2+ transporter', NULL, 'ATPase_gene1', NULL, NULL, 26653, 8),
(27697, NULL, 'PF15472', NULL, NULL, 'Domain of unknown function (DUF4638)', NULL, 'DUF4638', NULL, NULL, 28558, 8),
(27698, NULL, 'PF07209', NULL, NULL, 'Protein of unknown function (DUF1415)', NULL, 'DUF1415', NULL, NULL, 14834, 8),
(27699, NULL, 'PF07941', NULL, NULL, 'Potassium channel Kv1.4 tandem inactivation domain', NULL, 'K_channel_TID', NULL, NULL, 13393, 8),
(27700, NULL, 'PF03051', NULL, NULL, 'Peptidase C1-like family', NULL, 'Peptidase_C1_2', NULL, NULL, 2945, 8),
(27701, NULL, 'PF18188', NULL, NULL, 'Prim-pol 4', NULL, 'PPL4', NULL, NULL, 29419, 8),
(27702, NULL, 'PF14740', NULL, NULL, 'Domain of unknown function (DUF4471)', NULL, 'DUF4471', NULL, NULL, 23662, 8),
(27703, NULL, 'PF15368', NULL, NULL, 'Spermatogenesis family BioT2', NULL, 'BioT2', NULL, NULL, 28681, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27704, NULL, 'PF18666', NULL, NULL, 'Carbohydrate-binding module 64', NULL, 'CBM64', NULL, NULL, 32158, 8),
(27705, NULL, 'PF03522', NULL, NULL, 'Solute carrier family 12', NULL, 'SLC12', NULL, NULL, 14752, 8),
(27706, NULL, 'PF00091', NULL, NULL, 'Tubulin/FtsZ family, GTPase domain', NULL, 'Tubulin', NULL, NULL, 7351, 8),
(27707, NULL, 'PF01199', NULL, NULL, 'Ribosomal protein L34e', NULL, 'Ribosomal_L34e', NULL, NULL, 7031, 8),
(27708, NULL, 'PF08515', NULL, NULL, 'Transforming growth factor beta type I GS-motif', NULL, 'TGF_beta_GS', NULL, NULL, 332, 8),
(27709, NULL, 'PF19403', NULL, NULL, 'Prealbumin-like fold domain', NULL, 'SpaA_2', NULL, NULL, 38651, 8),
(27710, NULL, 'PF07367', NULL, NULL, 'Fungal fruit body lectin', NULL, 'FB_lectin', NULL, NULL, 8264, 8),
(27711, NULL, 'PF14070', NULL, NULL, 'Putative motility protein', NULL, 'YjfB_motility', NULL, NULL, 24449, 8),
(27712, NULL, 'PF07189', NULL, NULL, 'Splicing factor 3B subunit 10 (SF3b10)', NULL, 'SF3b10', NULL, NULL, 13640, 8),
(27713, NULL, 'PF06771', NULL, NULL, 'Viral Desmoplakin N-terminus', NULL, 'Desmo_N', NULL, NULL, 1720, 8),
(27714, NULL, 'PF15242', NULL, NULL, 'Family of FAM53', NULL, 'FAM53', NULL, NULL, 28071, 8),
(27715, NULL, 'PF16533', NULL, NULL, 'STIM1 Orai1-activating region', NULL, 'SOAR', NULL, NULL, 25562, 8),
(27716, NULL, 'PF10030', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2272)', NULL, 'DUF2272', NULL, NULL, 20157, 8),
(27717, NULL, 'PF01900', NULL, NULL, 'Rpp14/Pop5 family', NULL, 'RNase_P_Rpp14', NULL, NULL, 4274, 8),
(27718, NULL, 'PF19875', NULL, NULL, 'Family of unknown function (DUF6348)', NULL, 'DUF6348', NULL, NULL, 39274, 8),
(27719, NULL, 'PF02341', NULL, NULL, 'RbcX protein', NULL, 'RbcX', NULL, NULL, 5323, 8),
(27720, NULL, 'PF12074', NULL, NULL, 'Generalcontrol nonderepressible 1 (Gcn1) N-terminal', NULL, 'Gcn1_N', NULL, NULL, 17271, 8),
(27721, NULL, 'PF07159', NULL, NULL, 'CYRIA/CYRIB Rac1 binding domain', NULL, 'DUF1394', NULL, NULL, 13642, 8),
(27722, NULL, 'PF18038', NULL, NULL, 'FERM N-terminal domain', NULL, 'FERM_N_2', NULL, NULL, 31996, 8),
(27723, NULL, 'PF16174', NULL, NULL, 'Intracellular hyaluronan-binding protein 4 N-terminal', NULL, 'IHABP4_N', NULL, NULL, 28394, 8),
(27724, NULL, 'PF10044', NULL, NULL, 'Retinal tissue protein', NULL, 'LIN52', NULL, NULL, 18789, 8),
(27725, NULL, 'PF07238', NULL, NULL, 'PilZ domain', NULL, 'PilZ', NULL, NULL, 14584, 8),
(27726, NULL, 'PF12513', NULL, NULL, 'Mitochondrial degradasome RNA helicase subunit C terminal', NULL, 'SUV3_C', NULL, NULL, 21415, 8),
(27727, NULL, 'PF05061', NULL, NULL, 'Poxvirus A11 Protein', NULL, 'Pox_A11', NULL, NULL, 1188, 8),
(27728, NULL, 'PF19866', NULL, NULL, 'Family of unknown function (DUF6339)', NULL, 'DUF6339', NULL, NULL, 39156, 8),
(27729, NULL, 'PF12755', NULL, NULL, 'Vacuolar 14 Fab1-binding region', NULL, 'Vac14_Fab1_bd', NULL, NULL, NULL, 8),
(27730, NULL, 'PF04051', NULL, NULL, 'Transport protein particle (TRAPP) component', NULL, 'TRAPP', NULL, NULL, 1441, 8),
(27731, NULL, 'PF17731', NULL, NULL, 'Family of unknown function (DUF5570)', NULL, 'DUF5570', NULL, NULL, 31879, 8),
(27732, NULL, 'PF01066', NULL, NULL, 'CDP-alcohol phosphatidyltransferase', NULL, 'CDP-OH_P_transf', NULL, NULL, 6599, 8),
(27733, NULL, 'PF06550', NULL, NULL, 'Signal-peptide peptidase, presenilin aspartyl protease', NULL, 'SPP', NULL, NULL, 14680, 8),
(27734, NULL, 'PF03931', NULL, NULL, 'Skp1 family, tetramerisation domain', NULL, 'Skp1_POZ', NULL, NULL, 10437, 8),
(27735, NULL, 'PF04042', NULL, NULL, 'DNA polymerase alpha/epsilon subunit B', NULL, 'DNA_pol_E_B', NULL, NULL, 864, 8),
(27736, NULL, 'PF15797', NULL, NULL, 'Domain of unknown function (DUF4706)', NULL, 'DUF4706', NULL, NULL, 26992, 8),
(27737, NULL, 'PF13238', NULL, NULL, 'AAA domain', NULL, 'AAA_18', NULL, NULL, NULL, 8),
(27738, NULL, 'PF10977', NULL, NULL, 'Protein of unknown function (DUF2797)', NULL, 'DUF2797', NULL, NULL, 17876, 8),
(27739, NULL, 'PF16057', NULL, NULL, 'Domain of unknown function (DUF4800)', NULL, 'DUF4800', NULL, NULL, NULL, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27740, NULL, 'PF01117', NULL, NULL, 'Aerolysin toxin', NULL, 'Aerolysin', NULL, NULL, 5919, 8),
(27741, NULL, 'PF01850', NULL, NULL, 'PIN domain', NULL, 'PIN', NULL, NULL, 3625, 8),
(27742, NULL, 'PF01624', NULL, NULL, 'MutS domain I', NULL, 'MutS_I', NULL, NULL, 1383, 8),
(27743, NULL, 'PF05902', NULL, NULL, '4.1 protein C-terminal domain (CTD)', NULL, '4_1_CTD', NULL, NULL, 7527, 8),
(27744, NULL, 'PF10555', NULL, NULL, 'Phospho-N-acetylmuramoyl-pentapeptide-transferase signature 1', NULL, 'MraY_sig1', NULL, NULL, 9204, 8),
(27745, NULL, 'PF02945', NULL, NULL, 'Recombination endonuclease VII', NULL, 'Endonuclease_7', NULL, NULL, 3864, 8),
(27746, NULL, 'PF19344', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_32', NULL, NULL, 39682, 8),
(27747, NULL, 'PF06277', NULL, NULL, 'Ethanolamine utilisation protein EutA', NULL, 'EutA', NULL, NULL, 14706, 8),
(27748, NULL, 'PF04760', NULL, NULL, 'Translation initiation factor IF-2, N-terminal region', NULL, 'IF2_N', NULL, NULL, 4005, 8),
(27749, NULL, 'PF18588', NULL, NULL, 'Polysaccharide biosynthesis enzyme WcbI', NULL, 'WcbI', NULL, NULL, 32313, 8),
(27750, NULL, 'PF01869', NULL, NULL, 'BadF/BadG/BcrA/BcrD ATPase family', NULL, 'BcrAD_BadFG', NULL, NULL, 3758, 8),
(27751, NULL, 'PF09095', NULL, NULL, 'Domain of unknown function (DUF1926)', NULL, 'DUF1926', NULL, NULL, 10898, 8),
(27752, NULL, 'PF11768', NULL, NULL, 'WD repeat-containing and planar cell polarity effector protein Fritz', NULL, 'Frtz', NULL, NULL, 25658, 8),
(27753, NULL, 'PF15391', NULL, NULL, 'Domain of unknown function (DUF4614)', NULL, 'DUF4614', NULL, NULL, 27986, 8),
(27754, NULL, 'PF00481', NULL, NULL, 'Protein phosphatase 2C', NULL, 'PP2C', NULL, NULL, 2171, 8),
(27755, NULL, 'PF18484', NULL, NULL, 'Cadmium carbonic anhydrase repeat', NULL, 'CDCA', NULL, NULL, 30718, 8),
(27756, NULL, 'PF14585', NULL, NULL, 'CagY type 1 repeat', NULL, 'CagY_I', NULL, NULL, 21662, 8),
(27757, NULL, 'PF19914', NULL, NULL, 'Wolframin EF-hand domain', NULL, 'WEF-hand', NULL, NULL, 38967, 8),
(27758, NULL, 'PF19396', NULL, NULL, 'Family of unknown function (DUF5971)', NULL, 'DUF5971', NULL, NULL, 39492, 8),
(27759, NULL, 'PF02263', NULL, NULL, 'Guanylate-binding protein, N-terminal domain', NULL, 'GBP', NULL, NULL, 7707, 8),
(27760, NULL, 'PF14929', NULL, NULL, 'TAF RNA Polymerase I subunit A', NULL, 'TAF1_subA', NULL, NULL, 31160, 8),
(27761, NULL, 'PF08712', NULL, NULL, 'Scaffold protein Nfu/NifU N terminal', NULL, 'Nfu_N', NULL, NULL, 11838, 8),
(27762, NULL, 'PF19811', NULL, NULL, 'Family of unknown function (DUF6294)', NULL, 'DUF6294', NULL, NULL, 39883, 8),
(27763, NULL, 'PF03934', NULL, NULL, 'Type II secretion system (T2SS), protein K', NULL, 'T2SSK', NULL, NULL, 2841, 8),
(27764, NULL, 'PF12290', NULL, NULL, 'Protein of unknown function (DUF3802)', NULL, 'DUF3802', NULL, NULL, 14684, 8),
(27765, NULL, 'PF12833', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_18', NULL, NULL, 13720, 8),
(27766, NULL, 'PF11044', NULL, NULL, 'Plectrovirus spv1-c74 ORF 12 transmembrane protein', NULL, 'TMEMspv1-c74-12', NULL, NULL, NULL, 8),
(27767, NULL, 'PF11948', NULL, NULL, 'Protein of unknown function (DUF3465)', NULL, 'DUF3465', NULL, NULL, 20275, 8),
(27768, NULL, 'PF07865', NULL, NULL, 'Protein of unknown function (DUF1652)', NULL, 'DUF1652', NULL, NULL, 14839, 8),
(27769, NULL, 'PF16650', NULL, NULL, 'Unstructured region on SPEG complex protein', NULL, 'SPEG_u2', NULL, NULL, NULL, 8),
(27770, NULL, 'PF17413', NULL, NULL, 'Outer membrane lipoprotein virB7', NULL, 'VirB7', NULL, NULL, 31141, 8),
(27771, NULL, 'PF04696', NULL, NULL, 'pinin/SDK/memA/ protein conserved region', NULL, 'Pinin_SDK_memA', NULL, NULL, 3305, 8),
(27772, NULL, 'PF02332', NULL, NULL, 'Methane/Phenol/Toluene Hydroxylase', NULL, 'Phenol_Hydrox', NULL, NULL, 5227, 8),
(27773, NULL, 'PF17237', NULL, NULL, 'Family of unknown function (DUF5310)', NULL, 'DUF5310', NULL, NULL, 20072, 8),
(27774, NULL, 'PF03510', NULL, NULL, '2C endopeptidase (C24) cysteine protease family', NULL, 'Peptidase_C24', NULL, NULL, 4534, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27775, NULL, 'PF06670', NULL, NULL, 'Microneme protein Etmic-2', NULL, 'Etmic-2', NULL, NULL, 10001, 8),
(27776, NULL, 'PF07421', NULL, NULL, 'Neurotensin/neuromedin N precursor', NULL, 'Pro-NT_NN', NULL, NULL, 5084, 8),
(27777, NULL, 'PF03632', NULL, NULL, 'Glycosyl hydrolase family 65 central catalytic domain', NULL, 'Glyco_hydro_65m', NULL, NULL, 5057, 8),
(27778, NULL, 'PF06970', NULL, NULL, 'Replication initiator protein A (RepA) N-terminus', NULL, 'RepA_N', NULL, NULL, 10337, 8),
(27779, NULL, 'PF12947', NULL, NULL, 'EGF domain', NULL, 'EGF_3', NULL, NULL, 13672, 8),
(27780, NULL, 'PF13661', NULL, NULL, '2OG-Fe(II) oxygenase superfamily', NULL, '2OG-FeII_Oxy_4', NULL, NULL, 35966, 8),
(27781, NULL, 'PF09143', NULL, NULL, 'AvrPphF-ORF-2', NULL, 'AvrPphF-ORF-2', NULL, NULL, 10944, 8),
(27782, NULL, 'PF04211', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit C', NULL, 'MtrC', NULL, NULL, 6797, 8),
(27783, NULL, 'PF02690', NULL, NULL, 'Na+/Pi-cotransporter', NULL, 'Na_Pi_cotrans', NULL, NULL, 3195, 8),
(27784, NULL, 'PF05335', NULL, NULL, 'Protein of unknown function (DUF745)', NULL, 'DUF745', NULL, NULL, 4453, 8),
(27785, NULL, 'PF03982', NULL, NULL, 'Diacylglycerol acyltransferase', NULL, 'DAGAT', NULL, NULL, 91, 8),
(27786, NULL, 'PF07441', NULL, NULL, 'SigmaK-factor processing regulatory protein BofA', NULL, 'BofA', NULL, NULL, 9337, 8),
(27787, NULL, 'PF03376', NULL, NULL, 'Adenovirus E3B protein', NULL, 'Adeno_E3B', NULL, NULL, 2080, 8),
(27788, NULL, 'PF17327', NULL, NULL, 'Acyl homoserine lactone synthase', NULL, 'AHL_synthase', NULL, NULL, 15995, 8),
(27789, NULL, 'PF13808', NULL, NULL, 'DDE_Tnp_1-associated', NULL, 'DDE_Tnp_1_assoc', NULL, NULL, 22177, 8),
(27790, NULL, 'PF15722', NULL, NULL, 'FAM153 family', NULL, 'FAM153', NULL, NULL, 15623, 8),
(27791, NULL, 'PF16669', NULL, NULL, 'Tetratricopeptide repeat protein 5 OB fold domain', NULL, 'TTC5_OB', NULL, NULL, 28383, 8),
(27792, NULL, 'PF13403', NULL, NULL, 'Hint domain', NULL, 'Hint_2', NULL, NULL, 22026, 8),
(27793, NULL, 'PF03261', NULL, NULL, 'Cyclin-dependent kinase 5 activator protein', NULL, 'CDK5_activator', NULL, NULL, 1709, 8),
(27794, NULL, 'PF15537', NULL, NULL, 'Bacterial toxin 43', NULL, 'Ntox43', NULL, NULL, 25149, 8),
(27795, NULL, 'PF14842', NULL, NULL, 'FliG N-terminal domain', NULL, 'FliG_N', NULL, NULL, 23515, 8),
(27796, NULL, 'PF10110', NULL, NULL, 'Membrane domain of glycerophosphoryl diester phosphodiesterase', NULL, 'GPDPase_memb', NULL, NULL, 21510, 8),
(27797, NULL, 'PF02862', NULL, NULL, 'DDHD domain', NULL, 'DDHD', NULL, NULL, 2627, 8),
(27798, NULL, 'PF17377', NULL, NULL, 'Family of unknown function (DUF5399)', NULL, 'DUF5399', NULL, NULL, 16855, 8),
(27799, NULL, 'PF19473', NULL, NULL, 'Family of unknown function (DUF6010)', NULL, 'DUF6010', NULL, NULL, 39148, 8),
(27800, NULL, 'PF19349', NULL, NULL, 'Family of unknown function (DUF5927)', NULL, 'DUF5927', NULL, NULL, 39045, 8),
(27801, NULL, 'PF16715', NULL, NULL, 'Cyclodipeptide synthase', NULL, 'CDPS', NULL, NULL, 26574, 8),
(27802, NULL, 'PF17573', NULL, NULL, 'GA-like domain', NULL, 'GA-like', NULL, NULL, 35208, 8),
(27803, NULL, 'PF12639', NULL, NULL, 'DNase/tRNase domain of colicin-like bacteriocin', NULL, 'Colicin-DNase', NULL, NULL, NULL, 8),
(27804, NULL, 'PF00820', NULL, NULL, 'Borrelia lipoprotein', NULL, 'Lipoprotein_1', NULL, NULL, 4137, 8),
(27805, NULL, 'PF05914', NULL, NULL, 'RIB43A', NULL, 'RIB43A', NULL, NULL, 14183, 8),
(27806, NULL, 'PF15362', NULL, NULL, 'Enamelin', NULL, 'Enamelin', NULL, NULL, 18414, 8),
(27807, NULL, 'PF08610', NULL, NULL, 'Peroxisomal membrane protein (Pex16)', NULL, 'Pex16', NULL, NULL, 14461, 8),
(27808, NULL, 'PF16314', NULL, NULL, 'Domain of unknown function (DUF4954)', NULL, 'DUF4954', NULL, NULL, 27610, 8),
(27809, NULL, 'PF17066', NULL, NULL, 'RBPJ-interacting and tubulin associated protein', NULL, 'RITA', NULL, NULL, 28420, 8),
(27810, NULL, 'PF18837', NULL, NULL, 'Leucine-rich repeat', NULL, 'LRR_12', NULL, NULL, 31146, 8),
(27811, NULL, 'PF11104', NULL, NULL, 'Type IV pilus assembly protein PilM;', NULL, 'PilM_2', NULL, NULL, 6722, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27812, NULL, 'PF07297', NULL, NULL, 'Dolichol phosphate-mannose biosynthesis regulatory protein (DPM2)', NULL, 'DPM2', NULL, NULL, 14895, 8),
(27813, NULL, 'PF02718', NULL, NULL, 'Herpesvirus UL31-like protein', NULL, 'Herpes_UL31', NULL, NULL, 15602, 8),
(27814, NULL, 'PF06905', NULL, NULL, 'Fas apoptotic inhibitory molecule (FAIM1)', NULL, 'FAIM1', NULL, NULL, 10307, 8),
(27815, NULL, 'PF17803', NULL, NULL, 'Bacterial cadherin-like domain', NULL, 'Cadherin_4', NULL, NULL, 35317, 8),
(27816, NULL, 'PF05122', NULL, NULL, 'Mobile element transfer protein', NULL, 'SpdB', NULL, NULL, 2120, 8),
(27817, NULL, 'PF10714', NULL, NULL, 'Late embryogenesis abundant protein 18', NULL, 'LEA_6', NULL, NULL, 15450, 8),
(27818, NULL, 'PF02631', NULL, NULL, 'RecX family', NULL, 'RecX', NULL, NULL, 3329, 8),
(27819, NULL, 'PF01295', NULL, NULL, 'Adenylate cyclase, class-I', NULL, 'Adenylate_cycl', NULL, NULL, 4808, 8),
(27820, NULL, 'PF11033', NULL, NULL, 'Competence protein J (ComJ)', NULL, 'ComJ', NULL, NULL, 20418, 8),
(27821, NULL, 'PF14266', NULL, NULL, 'Putative component of ''biosynthetic module''', NULL, 'YceG_bac', NULL, NULL, 26411, 8),
(27822, NULL, 'PF12629', NULL, NULL, 'Poxvirus poly(A) polymerase C-terminal domain', NULL, 'Pox_polyA_pol_C', NULL, NULL, 22685, 8),
(27823, NULL, 'PF02765', NULL, NULL, 'Telomeric single stranded DNA binding POT1/CDC13', NULL, 'POT1', NULL, NULL, 12287, 8),
(27824, NULL, 'PF06962', NULL, NULL, 'Putative rRNA methylase', NULL, 'rRNA_methylase', NULL, NULL, 10369, 8),
(27825, NULL, 'PF15268', NULL, NULL, 'Dapper', NULL, 'Dapper', NULL, NULL, 16048, 8),
(27826, NULL, 'PF04456', NULL, NULL, 'Protein of unknown function (DUF503)', NULL, 'DUF503', NULL, NULL, 3680, 8),
(27827, NULL, 'PF04970', NULL, NULL, 'Lecithin retinol acyltransferase', NULL, 'LRAT', NULL, NULL, 6763, 8),
(27828, NULL, 'PF12400', NULL, NULL, 'STIMATE family', NULL, 'STIMATE', NULL, NULL, 21227, 8),
(27829, NULL, 'PF12551', NULL, NULL, 'Poly-beta-hydroxybutyrate polymerase N terminal', NULL, 'PHBC_N', NULL, NULL, 21493, 8),
(27830, NULL, 'PF04305', NULL, NULL, 'Protein of unknown function (DUF455)', NULL, 'DUF455', NULL, NULL, 3800, 8),
(27831, NULL, 'PF07709', NULL, NULL, 'Seven Residue Repeat', NULL, 'SRR', NULL, NULL, 8117, 8),
(27832, NULL, 'PF08756', NULL, NULL, 'YfkB-like domain', NULL, 'YfkB', NULL, NULL, 13387, 8),
(27833, NULL, 'PF14157', NULL, NULL, 'YmzC-like protein', NULL, 'YmzC', NULL, NULL, 28138, 8),
(27834, NULL, 'PF00434', NULL, NULL, 'Glycoprotein VP7', NULL, 'VP7', NULL, NULL, 2094, 8),
(27835, NULL, 'PF12163', NULL, NULL, 'DNA replication regulator', NULL, 'HobA', NULL, NULL, 15071, 8),
(27836, NULL, 'PF05197', NULL, NULL, 'TRIC channel', NULL, 'TRIC', NULL, NULL, 3149, 8),
(27837, NULL, 'PF02009', NULL, NULL, 'Rifin', NULL, 'RIFIN', NULL, NULL, 5842, 8),
(27838, NULL, 'PF13116', NULL, NULL, 'Protein of unknown function', NULL, 'DUF3971', NULL, NULL, 27929, 8),
(27839, NULL, 'PF07801', NULL, NULL, 'Protein of unknown function (DUF1647)', NULL, 'DUF1647', NULL, NULL, 14819, 8),
(27840, NULL, 'PF10436', NULL, NULL, 'Mitochondrial branched-chain alpha-ketoacid dehydrogenase kinase', NULL, 'BCDHK_Adom3', NULL, NULL, 16656, 8),
(27841, NULL, 'PF16117', NULL, NULL, 'Domain of unknown function (DUF4833)', NULL, 'DUF4833', NULL, NULL, 28413, 8),
(27842, NULL, 'PF08872', NULL, NULL, 'KGK domain', NULL, 'KGK', NULL, NULL, 14419, 8),
(27843, NULL, 'PF07099', NULL, NULL, 'Protein of unknown function (DUF1361)', NULL, 'DUF1361', NULL, NULL, 13689, 8),
(27844, NULL, 'PF19427', NULL, NULL, 'Protein inscuteable C-terminal', NULL, 'Insc_C', NULL, NULL, 39770, 8),
(27845, NULL, 'PF00717', NULL, NULL, 'Peptidase S24-like', NULL, 'Peptidase_S24', NULL, NULL, 8112, 8),
(27846, NULL, 'PF10158', NULL, NULL, 'Tumour suppressor protein', NULL, 'LOH1CR12', NULL, NULL, 19398, 8),
(27847, NULL, 'PF12866', NULL, NULL, 'Protein of unknown function (DUF3823) N-terminal domain', NULL, 'DUF3823', NULL, NULL, 12657, 8),
(27848, NULL, 'PF02556', NULL, NULL, 'Preprotein translocase subunit SecB', NULL, 'SecB', NULL, NULL, 2274, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27849, NULL, 'PF17099', NULL, NULL, 'Tryptophan transporter TrpP', NULL, 'TrpP', NULL, NULL, 4753, 8),
(27850, NULL, 'PF01297', NULL, NULL, 'Zinc-uptake complex component A periplasmic', NULL, 'ZnuA', NULL, NULL, 10082, 8),
(27851, NULL, 'PF09069', NULL, NULL, 'EF-hand', NULL, 'EF-hand_3', NULL, NULL, 9794, 8),
(27852, NULL, 'PF07092', NULL, NULL, 'Protein of unknown function (DUF1356)', NULL, 'DUF1356', NULL, NULL, 13263, 8),
(27853, NULL, 'PF16221', NULL, NULL, 'winged helix-turn-helix', NULL, 'HTH_47', NULL, NULL, 28492, 8),
(27854, NULL, 'PF06662', NULL, NULL, 'D-glucuronyl C5-epimerase C-terminus', NULL, 'C5-epim_C', NULL, NULL, 8351, 8),
(27855, NULL, 'PF14463', NULL, NULL, 'E1 N-terminal domain', NULL, 'E1-N', NULL, NULL, 27698, 8),
(27856, NULL, 'PF19514', NULL, NULL, 'MobC-like protein', NULL, 'MobC_2', NULL, NULL, 38547, 8),
(27857, NULL, 'PF18468', NULL, NULL, 'Phosphofructokinase N-terminal domain yeast', NULL, 'Pfk_N', NULL, NULL, 29873, 8),
(27858, NULL, 'PF09134', NULL, NULL, 'Invasin, domain 3', NULL, 'Invasin_D3', NULL, NULL, 10968, 8),
(27859, NULL, 'PF14012', NULL, NULL, 'Protein of unknown function (DUF4229)', NULL, 'DUF4229', NULL, NULL, 22796, 8),
(27860, NULL, 'PF11490', NULL, NULL, 'DNA polymerase III polC-type N-terminus II', NULL, 'DNA_pol3_a_NII', NULL, NULL, 24453, 8),
(27861, NULL, 'PF11098', NULL, NULL, 'Chlorosome envelope protein C', NULL, 'Chlorosome_CsmC', NULL, NULL, 15084, 8),
(27862, NULL, 'PF09262', NULL, NULL, 'Peroxisome biogenesis factor 1, N-terminal', NULL, 'PEX-1N', NULL, NULL, 13840, 8),
(27863, NULL, 'PF16339', NULL, NULL, 'Domain of unknown function (DUF4969)', NULL, 'DUF4969', NULL, NULL, 22559, 8),
(27864, NULL, 'PF03319', NULL, NULL, 'Ethanolamine utilisation protein EutN/carboxysome', NULL, 'EutN_CcmL', NULL, NULL, 697, 8),
(27865, NULL, 'PF04661', NULL, NULL, 'Poxvirus I3 ssDNA-binding protein', NULL, 'Pox_I3', NULL, NULL, 3130, 8),
(27866, NULL, 'PF02020', NULL, NULL, 'eIF4-gamma/eIF5/eIF2-epsilon', NULL, 'W2', NULL, NULL, 3835, 8),
(27867, NULL, 'PF00189', NULL, NULL, 'Ribosomal protein S3, C-terminal domain', NULL, 'Ribosomal_S3_C', NULL, NULL, 7241, 8),
(27868, NULL, 'PF17252', NULL, NULL, 'Family of unknown function (DUF5319)', NULL, 'DUF5319', NULL, NULL, 19423, 8),
(27869, NULL, 'PF07483', NULL, NULL, 'Tryptophan-rich Synechocystis species C-terminal domain', NULL, 'W_rich_C', NULL, NULL, 11235, 8),
(27870, NULL, 'PF02023', NULL, NULL, 'SCAN domain', NULL, 'SCAN', NULL, NULL, 1170, 8),
(27871, NULL, 'PF05953', NULL, NULL, 'Allatostatin', NULL, 'Allatostatin', NULL, NULL, 7873, 8),
(27872, NULL, 'PF14077', NULL, NULL, 'Alternative WD40 repeat motif', NULL, 'WD40_alt', NULL, NULL, 27722, 8),
(27873, NULL, 'PF02031', NULL, NULL, 'Streptomyces extracellular neutral proteinase (M7) family', NULL, 'Peptidase_M7', NULL, NULL, 2739, 8),
(27874, NULL, 'PF08004', NULL, NULL, 'Protein of unknown function (DUF1699)', NULL, 'DUF1699', NULL, NULL, 8863, 8),
(27875, NULL, 'PF01430', NULL, NULL, 'Hsp33 protein', NULL, 'HSP33', NULL, NULL, 4656, 8),
(27876, NULL, 'PF10561', NULL, NULL, 'Uncharacterised protein family UPF0565', NULL, 'UPF0565', NULL, NULL, 21094, 8),
(27877, NULL, 'PF00885', NULL, NULL, '6,7-dimethyl-8-ribityllumazine synthase', NULL, 'DMRL_synthase', NULL, NULL, 1253, 8),
(27878, NULL, 'PF17017', NULL, NULL, 'Aberrant zinc-finger', NULL, 'zf-C2H2_aberr', NULL, NULL, 23367, 8),
(27879, NULL, 'PF14914', NULL, NULL, 'LRRC37A/B like protein 1 C-terminal domain', NULL, 'LRRC37AB_C', NULL, NULL, 24617, 8),
(27880, NULL, 'PF18865', NULL, NULL, 'AbiJ N-terminal domain 5', NULL, 'AbiJ_NTD5', NULL, NULL, 29917, 8),
(27881, NULL, 'PF00713', NULL, NULL, 'Hirudin', NULL, 'Hirudin', NULL, NULL, 6682, 8),
(27882, NULL, 'PF11970', NULL, NULL, 'G protein-coupled glucose receptor regulating Gpa2 C-term', NULL, 'GPR_Gpa2_C', NULL, NULL, 16054, 8),
(27883, NULL, 'PF17134', NULL, NULL, 'Domain of unknown function (DUF5109)', NULL, 'DUF5109', NULL, NULL, 32836, 8),
(27884, NULL, 'PF11633', NULL, NULL, 'Betacoronavirus single-stranded poly(A) binding domain', NULL, 'bCoV_SUD_M', NULL, NULL, 22778, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27885, NULL, 'PF08714', NULL, NULL, 'Formaldehyde-activating enzyme (Fae)', NULL, 'Fae', NULL, NULL, 11908, 8),
(27886, NULL, 'PF15375', NULL, NULL, 'Domain of unknown function (DUF4602)', NULL, 'DUF4602', NULL, NULL, 26569, 8),
(27887, NULL, 'PF17692', NULL, NULL, 'Family of unknown function (DUF5538)', NULL, 'DUF5538', NULL, NULL, 30775, 8),
(27888, NULL, 'PF06903', NULL, NULL, 'VirK protein', NULL, 'VirK', NULL, NULL, 10050, 8),
(27889, NULL, 'PF12057', NULL, NULL, 'BCL2-associated athanogene 6', NULL, 'BAG6', NULL, NULL, 20469, 8),
(27890, NULL, 'PF01254', NULL, NULL, 'Nuclear transition protein 2', NULL, 'TP2', NULL, NULL, 3842, 8),
(27891, NULL, 'PF13720', NULL, NULL, 'Udp N-acetylglucosamine O-acyltransferase; Domain 2', NULL, 'Acetyltransf_11', NULL, NULL, 25972, 8),
(27892, NULL, 'PF08859', NULL, NULL, 'DGC domain', NULL, 'DGC', NULL, NULL, 14268, 8),
(27893, NULL, 'PF15757', NULL, NULL, 'Amelotin', NULL, 'Amelotin', NULL, NULL, 26279, 8),
(27894, NULL, 'PF19419', NULL, NULL, 'Family of unknown function (DUF5983)', NULL, 'DUF5983', NULL, NULL, 39029, 8),
(27895, NULL, 'PF01506', NULL, NULL, 'Hepatitis C virus non-structural 5a protein membrane anchor', NULL, 'HCV_NS5a', NULL, NULL, 5949, 8),
(27896, NULL, 'PF13077', NULL, NULL, 'Protein of unknown function (DUF3909)', NULL, 'DUF3909', NULL, NULL, 23753, 8),
(27897, NULL, 'PF06623', NULL, NULL, 'MHC_I C-terminus', NULL, 'MHC_I_C', NULL, NULL, 8012, 8),
(27898, NULL, 'PF14823', NULL, NULL, 'Sirohaem biosynthesis protein C-terminal', NULL, 'Sirohm_synth_C', NULL, NULL, 24650, 8),
(27899, NULL, 'PF01740', NULL, NULL, 'STAS domain', NULL, 'STAS', NULL, NULL, 2680, 8),
(27900, NULL, 'PF00040', NULL, NULL, 'Fibronectin type II domain', NULL, 'fn2', NULL, NULL, 5695, 8),
(27901, NULL, 'PF12624', NULL, NULL, 'N-terminal region of Chorein or VPS13', NULL, 'Chorein_N', NULL, NULL, 26262, 8),
(27902, NULL, 'PF19547', NULL, NULL, 'Family of unknown function (DUF6071)', NULL, 'DUF6071', NULL, NULL, 38543, 8),
(27903, NULL, 'PF11531', NULL, NULL, 'Coactivator-associated arginine methyltransferase 1 N terminal', NULL, 'CARM1', NULL, NULL, 15172, 8),
(27904, NULL, 'PF19532', NULL, NULL, 'Transmembrane protein 131-like', NULL, 'TMEM131_like', NULL, NULL, 38946, 8),
(27905, NULL, 'PF10139', NULL, NULL, 'Putative bacterial virulence factor', NULL, 'Virul_Fac', NULL, NULL, 19302, 8),
(27906, NULL, 'PF16244', NULL, NULL, 'Domain of unknown function (DUF4901)', NULL, 'DUF4901', NULL, NULL, 25559, 8),
(27907, NULL, 'PF05044', NULL, NULL, 'Homeo-prospero domain', NULL, 'HPD', NULL, NULL, 15302, 8),
(27908, NULL, 'PF06881', NULL, NULL, 'RNA polymerase II transcription factor SIII (Elongin) subunit A', NULL, 'Elongin_A', NULL, NULL, 9149, 8),
(27909, NULL, 'PF05181', NULL, NULL, 'XPA protein C-terminus', NULL, 'XPA_C', NULL, NULL, 17002, 8),
(27910, NULL, 'PF01235', NULL, NULL, 'Sodium:alanine symporter family', NULL, 'Na_Ala_symp', NULL, NULL, 3210, 8),
(27911, NULL, 'PF13031', NULL, NULL, 'Protein of unknown function (DUF3892)', NULL, 'DUF3892', NULL, NULL, 23626, 8),
(27912, NULL, 'PF14380', NULL, NULL, 'Wall-associated receptor kinase C-terminal', NULL, 'WAK_assoc', NULL, NULL, 24959, 8),
(27913, NULL, 'PF09887', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2114)', NULL, 'DUF2114', NULL, NULL, 8543, 8),
(27914, NULL, 'PF13247', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_11', NULL, NULL, 13131, 8),
(27915, NULL, 'PF19691', NULL, NULL, 'Family of unknown function (DUF6192)', NULL, 'DUF6192', NULL, NULL, 38755, 8),
(27916, NULL, 'PF00261', NULL, NULL, 'Tropomyosin', NULL, 'Tropomyosin', NULL, NULL, 5740, 8),
(27917, NULL, 'PF10452', NULL, NULL, 'TORC1 subunit TCO89', NULL, 'TCO89', NULL, NULL, 21272, 8),
(27918, NULL, 'PF06437', NULL, NULL, 'IMP-specific 5''-nucleotidase', NULL, 'ISN1', NULL, NULL, 9286, 8),
(27919, NULL, 'PF14956', NULL, NULL, 'Domain of unknown function (DUF4505)', NULL, 'DUF4505', NULL, NULL, 26263, 8),
(27920, NULL, 'PF16107', NULL, NULL, 'Domain of unknown function (DUF4825)', NULL, 'DUF4825', NULL, NULL, 22974, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27921, NULL, 'PF10843', NULL, NULL, 'Respiratory growth induced protein 1', NULL, 'RGI1', NULL, NULL, 14652, 8),
(27922, NULL, 'PF04751', NULL, NULL, 'Protein of unknown function (DUF615)', NULL, 'DUF615', NULL, NULL, 4249, 8),
(27923, NULL, 'PF00707', NULL, NULL, 'Translation initiation factor IF-3, C-terminal domain', NULL, 'IF3_C', NULL, NULL, 17584, 8),
(27924, NULL, 'PF18478', NULL, NULL, 'PIN like domain', NULL, 'PIN_10', NULL, NULL, 31399, 8),
(27925, NULL, 'PF09347', NULL, NULL, 'Domain of unknown function (DUF1989)', NULL, 'DUF1989', NULL, NULL, 15488, 8),
(27926, NULL, 'PF14129', NULL, NULL, 'Domain of unknown function (DUF4296)', NULL, 'DUF4296', NULL, NULL, 28483, 8),
(27927, NULL, 'PF19275', NULL, NULL, 'HflX C-terminal domain', NULL, 'HflX_C', NULL, NULL, 39702, 8),
(27928, NULL, 'PF16980', NULL, NULL, 'Putative citrate transport', NULL, 'CitMHS_2', NULL, NULL, 24639, 8),
(27929, NULL, 'PF19882', NULL, NULL, 'Family of unknown function (DUF6355)', NULL, 'DUF6355', NULL, NULL, 39164, 8),
(27930, NULL, 'PF05279', NULL, NULL, 'Aspartyl beta-hydroxylase N-terminal region', NULL, 'Asp-B-Hydro_N', NULL, NULL, 4042, 8),
(27931, NULL, 'PF03263', NULL, NULL, 'Cucumovirus protein 2B', NULL, 'Cucumo_2B', NULL, NULL, 1920, 8),
(27932, NULL, 'PF07232', NULL, NULL, 'Putative rep protein (DUF1424)', NULL, 'DUF1424', NULL, NULL, 14774, 8),
(27933, NULL, 'PF16334', NULL, NULL, 'Domain of unknown function (DUF4964)', NULL, 'DUF4964', NULL, NULL, 25480, 8),
(27934, NULL, 'PF00611', NULL, NULL, 'Fes/CIP4, and EFC/F-BAR homology domain', NULL, 'FCH', NULL, NULL, 1272, 8),
(27935, NULL, 'PF14015', NULL, NULL, 'Protein of unknown function (DUF4231)', NULL, 'DUF4231', NULL, NULL, 22635, 8),
(27936, NULL, 'PF02440', NULL, NULL, 'Adenovirus E3 region protein CR1', NULL, 'Adeno_E3_CR1', NULL, NULL, 6097, 8),
(27937, NULL, 'PF19084', NULL, NULL, 'Family of unknown function (DUF5775)', NULL, 'DUF5775', NULL, NULL, 37518, 8),
(27938, NULL, 'PF00312', NULL, NULL, 'Ribosomal protein S15', NULL, 'Ribosomal_S15', NULL, NULL, 5528, 8),
(27939, NULL, 'PF10725', NULL, NULL, 'Protein of unknown function (DUF2517)', NULL, 'DUF2517', NULL, NULL, 21111, 8),
(27940, NULL, 'PF19163', NULL, NULL, 'Family of unknown function (DUF5845)', NULL, 'DUF5845', NULL, NULL, 36836, 8),
(27941, NULL, 'PF00881', NULL, NULL, 'Nitroreductase family', NULL, 'Nitroreductase', NULL, NULL, 24285, 8),
(27942, NULL, 'PF09850', NULL, NULL, 'Type VI secretion system protein DotU', NULL, 'DotU', NULL, NULL, 18931, 8),
(27943, NULL, 'PF15141', NULL, NULL, 'Ubiquinol-cytochrome-c reductase complex assembly factor 3', NULL, 'UQCC3', NULL, NULL, 27968, 8),
(27944, NULL, 'PF08253', NULL, NULL, 'Erm Leader peptide', NULL, 'Leader_Erm', NULL, NULL, 17783, 8),
(27945, NULL, 'PF10212', NULL, NULL, 'Predicted coiled-coil domain-containing protein', NULL, 'TTKRSYEDQ', NULL, NULL, 15697, 8),
(27946, NULL, 'PF13841', NULL, NULL, 'Beta defensin', NULL, 'Defensin_beta_2', NULL, NULL, 25660, 8),
(27947, NULL, 'PF01786', NULL, NULL, 'Alternative oxidase', NULL, 'AOX', NULL, NULL, 2536, 8),
(27948, NULL, 'PF16833', NULL, NULL, 'Erythroid krueppel-like transcription factor, transactivation 2', NULL, 'EKLF_TAD2', NULL, NULL, 22164, 8),
(27949, NULL, 'PF05674', NULL, NULL, 'Baculovirus protein of unknown function (DUF816)', NULL, 'DUF816', NULL, NULL, 13294, 8),
(27950, NULL, 'PF15567', NULL, NULL, 'Immunity protein 35', NULL, 'Imm35', NULL, NULL, 26074, 8),
(27951, NULL, 'PF09033', NULL, NULL, 'DNA Fragmentation factor 45kDa, C terminal domain', NULL, 'DFF-C', NULL, NULL, 9541, 8),
(27952, NULL, 'PF06105', NULL, NULL, 'Aph-1 protein', NULL, 'Aph-1', NULL, NULL, 13740, 8),
(27953, NULL, 'PF17689', NULL, NULL, 'Arabinosyltransferase concanavalin like domain', NULL, 'Arabino_trans_N', NULL, NULL, 29830, 8),
(27954, NULL, 'PF20029', NULL, NULL, 'Domain of unknown function (DUF6436)', NULL, 'DUF6436', NULL, NULL, 37230, 8),
(27955, NULL, 'PF08843', NULL, NULL, 'Nucleotidyl transferase AbiEii toxin, Type IV TA system', NULL, 'AbiEii', NULL, NULL, 14111, 8),
(27956, NULL, 'PF12902', NULL, NULL, 'Ferritin-like', NULL, 'Ferritin-like', NULL, NULL, 22705, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27957, NULL, 'PF16645', NULL, NULL, 'Unstructured region on Pneumococcal histidine triad protein', NULL, 'PHtD_u1', NULL, NULL, NULL, 8),
(27958, NULL, 'PF18019', NULL, NULL, 'HD domain', NULL, 'HD_6', NULL, NULL, 6435, 8),
(27959, NULL, 'PF02674', NULL, NULL, 'Colicin V production protein', NULL, 'Colicin_V', NULL, NULL, 3120, 8),
(27960, NULL, 'PF10025', NULL, NULL, 'Uncharacterized conserved protein (DUF2267)', NULL, 'DUF2267', NULL, NULL, 18122, 8),
(27961, NULL, 'PF07702', NULL, NULL, 'UTRA domain', NULL, 'UTRA', NULL, NULL, 10525, 8),
(27962, NULL, 'PF11245', NULL, NULL, 'Protein of unknown function (DUF2544)', NULL, 'DUF2544', NULL, NULL, 18152, 8),
(27963, NULL, 'PF00564', NULL, NULL, 'PB1 domain', NULL, 'PB1', NULL, NULL, 945, 8),
(27964, NULL, 'PF03579', NULL, NULL, 'Small hydrophobic protein', NULL, 'SHP', NULL, NULL, 5551, 8),
(27965, NULL, 'PF09631', NULL, NULL, 'Sen15 protein', NULL, 'Sen15', NULL, NULL, 15949, 8),
(27966, NULL, 'PF14756', NULL, NULL, 'Peptidase_C33-associated domain', NULL, 'Pdase_C33_assoc', NULL, NULL, 22940, 8),
(27967, NULL, 'PF09064', NULL, NULL, 'Thrombomodulin like fifth domain, EGF-like', NULL, 'Tme5_EGF_like', NULL, NULL, 9906, 8),
(27968, NULL, 'PF12308', NULL, NULL, 'Neurogenesis glycoprotein', NULL, 'Noelin-1', NULL, NULL, 20596, 8),
(27969, NULL, 'PF02288', NULL, NULL, 'Dehydratase medium subunit', NULL, 'Dehydratase_MU', NULL, NULL, 2239, 8),
(27970, NULL, 'PF07580', NULL, NULL, 'M26 IgA1-specific Metallo-endopeptidase C-terminal region', NULL, 'Peptidase_M26_C', NULL, NULL, 12961, 8),
(27971, NULL, 'PF11639', NULL, NULL, 'REDY-like protein HapK', NULL, 'HapK', NULL, NULL, 19108, 8),
(27972, NULL, 'PF01480', NULL, NULL, 'PWI domain', NULL, 'PWI', NULL, NULL, 788, 8),
(27973, NULL, 'PF03443', NULL, NULL, 'Auxiliary Activity family 9 (formerly GH61)', NULL, 'AA9', NULL, NULL, 10920, 8),
(27974, NULL, 'PF15326', NULL, NULL, 'Testis expressed sequence 15', NULL, 'TEX15', NULL, NULL, 22854, 8),
(27975, NULL, 'PF09643', NULL, NULL, 'YopX protein', NULL, 'YopX', NULL, NULL, 17717, 8),
(27976, NULL, 'PF13973', NULL, NULL, 'Domain of unknown function (DUF4222)', NULL, 'DUF4222', NULL, NULL, 22915, 8),
(27977, NULL, 'PF07001', NULL, NULL, 'BAT2 N-terminus', NULL, 'BAT2_N', NULL, NULL, 12611, 8),
(27978, NULL, 'PF05685', NULL, NULL, 'Putative restriction endonuclease', NULL, 'Uma2', NULL, NULL, 13174, 8),
(27979, NULL, 'PF10102', NULL, NULL, 'Domain of unknown function (DUF2341)', NULL, 'DUF2341', NULL, NULL, 18732, 8),
(27980, NULL, 'PF01851', NULL, NULL, 'Proteasome/cyclosome repeat', NULL, 'PC_rep', NULL, NULL, 5340, 8),
(27981, NULL, 'PF17814', NULL, NULL, 'LisH-like dimerisation domain', NULL, 'LisH_TPL', NULL, NULL, NULL, 8),
(27982, NULL, 'PF10206', NULL, NULL, 'Mitochondrial F1F0-ATP synthase, subunit f', NULL, 'WRW', NULL, NULL, 15693, 8),
(27983, NULL, 'PF13070', NULL, NULL, 'Protein of unknown function (DUF3934)', NULL, 'DUF3934', NULL, NULL, 21779, 8),
(27984, NULL, 'PF07546', NULL, NULL, 'EMI domain', NULL, 'EMI', NULL, NULL, 12743, 8),
(27985, NULL, 'PF12931', NULL, NULL, 'Sec23-binding domain of Sec16', NULL, 'Sec16_C', NULL, NULL, 20299, 8),
(27986, NULL, 'PF05231', NULL, NULL, 'MASE1', NULL, 'MASE1', NULL, NULL, 3170, 8),
(27987, NULL, 'PF18402', NULL, NULL, 'Thioredoxin-like domain', NULL, 'Thioredoxin_14', NULL, NULL, 30852, 8),
(27988, NULL, 'PF00253', NULL, NULL, 'Ribosomal protein S14p/S29e', NULL, 'Ribosomal_S14', NULL, NULL, 1485, 8),
(27989, NULL, 'PF14542', NULL, NULL, 'GCN5-related N-acetyl-transferase', NULL, 'Acetyltransf_CG', NULL, NULL, 24948, 8),
(27990, NULL, 'PF17163', NULL, NULL, 'Domain of unknown function (DUF5125)', NULL, 'DUF5125', NULL, NULL, 35109, 8),
(27991, NULL, 'PF04151', NULL, NULL, 'Bacterial pre-peptidase C-terminal domain', NULL, 'PPC', NULL, NULL, 7436, 8),
(27992, NULL, 'PF09586', NULL, NULL, 'Bacterial membrane protein YfhO', NULL, 'YfhO', NULL, NULL, 15504, 8),
(27993, NULL, 'PF05268', NULL, NULL, 'Phage tail fibre adhesin Gp38', NULL, 'GP38', NULL, NULL, 4432, 8),
(27994, NULL, 'PF18445', NULL, NULL, 'PR zinc knuckle motif', NULL, 'zf_PR_Knuckle', NULL, NULL, 31518, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(27995, NULL, 'PF06490', NULL, NULL, 'Flagellar regulatory protein FleQ', NULL, 'FleQ', NULL, NULL, 12374, 8),
(27996, NULL, 'PF10176', NULL, NULL, 'Protein of unknown function (DUF2370)', NULL, 'DUF2370', NULL, NULL, 15391, 8),
(27997, NULL, 'PF11015', NULL, NULL, 'Protein of unknown function (DUF2853)', NULL, 'DUF2853', NULL, NULL, 17519, 8),
(27998, NULL, 'PF06360', NULL, NULL, 'Euplotes raikovi mating pheromone', NULL, 'E_raikovi_mat', NULL, NULL, 6462, 8),
(27999, NULL, 'PF16137', NULL, NULL, 'Domain of unknown function (DUF4845)', NULL, 'DUF4845', NULL, NULL, 28324, 8),
(28000, NULL, 'PF18487', NULL, NULL, 'Thrombospondin type 1 repeat', NULL, 'TSR', NULL, NULL, NULL, 8),
(28001, NULL, 'PF04654', NULL, NULL, 'Protein of unknown function, DUF599', NULL, 'DUF599', NULL, NULL, 3145, 8),
(28002, NULL, 'PF18628', NULL, NULL, 'Viral coat protein P2 N-terminal domain', NULL, 'P2_N', NULL, NULL, 31581, 8),
(28003, NULL, 'PF14589', NULL, NULL, 'Polysulfide reductase', NULL, 'NrfD_2', NULL, NULL, 22027, 8),
(28004, NULL, 'PF16712', NULL, NULL, 'Coiled-coil regions of plant-specific actin-binding protein', NULL, 'SCAB_CC', NULL, NULL, 25260, 8),
(28005, NULL, 'PF18792', NULL, NULL, 'Ubiquitous surface protein adhesin repeat', NULL, 'UspA1_rep', NULL, NULL, 30829, 8),
(28006, NULL, 'PF17315', NULL, NULL, 'Found in mitochondrial proteome', NULL, 'FMP23', NULL, NULL, 34062, 8),
(28007, NULL, 'PF00695', NULL, NULL, 'Major surface antigen from hepadnavirus', NULL, 'vMSA', NULL, NULL, 5000, 8),
(28008, NULL, 'PF14868', NULL, NULL, 'Domain of unknown function (DUF4487)', NULL, 'DUF4487', NULL, NULL, 24272, 8),
(28009, NULL, 'PF12598', NULL, NULL, 'T-box transcription factor', NULL, 'TBX', NULL, NULL, 16840, 8),
(28010, NULL, 'PF09862', NULL, NULL, 'Protein of unknown function (DUF2089)', NULL, 'DUF2089', NULL, NULL, 16657, 8),
(28011, NULL, 'PF04561', NULL, NULL, 'RNA polymerase Rpb2, domain 2', NULL, 'RNA_pol_Rpb2_2', NULL, NULL, 2015, 8),
(28012, NULL, 'PF09204', NULL, NULL, 'Bacterial self-protective colicin-like immunity', NULL, 'Colicin_immun', NULL, NULL, 12924, 8),
(28013, NULL, 'PF00531', NULL, NULL, 'Death domain', NULL, 'Death', NULL, NULL, 5980, 8),
(28014, NULL, 'PF05391', NULL, NULL, 'Lsm interaction motif', NULL, 'Lsm_interact', NULL, NULL, 13323, 8),
(28015, NULL, 'PF07333', NULL, NULL, 'S locus-related glycoprotein 1 binding pollen coat protein (SLR1-BP)', NULL, 'SLR1-BP', NULL, NULL, 11949, 8),
(28016, NULL, 'PF04601', NULL, NULL, 'Domain of unknown function (DUF569)', NULL, 'DUF569', NULL, NULL, 677, 8),
(28017, NULL, 'PF02833', NULL, NULL, 'DHHA2 domain', NULL, 'DHHA2', NULL, NULL, 1744, 8),
(28018, NULL, 'PF11237', NULL, NULL, 'Protein of unknown function (DUF3038)', NULL, 'DUF3038', NULL, NULL, 18376, 8),
(28019, NULL, 'PF08614', NULL, NULL, 'Autophagy protein 16 (ATG16)', NULL, 'ATG16', NULL, NULL, 14105, 8),
(28020, NULL, 'PF17512', NULL, NULL, 'Metapneumovirus Small hydrophobic protein', NULL, 'Sh_2', NULL, NULL, 17499, 8),
(28021, NULL, 'PF17790', NULL, NULL, 'Macroglobulin domain MG1', NULL, 'MG1', NULL, NULL, 32386, 8),
(28022, NULL, 'PF10060', NULL, NULL, 'Uncharacterized membrane protein (DUF2298)', NULL, 'DUF2298', NULL, NULL, 18682, 8),
(28023, NULL, 'PF15288', NULL, NULL, 'Zinc knuckle', NULL, 'zf-CCHC_6', NULL, NULL, 32826, 8),
(28024, NULL, 'PF12451', NULL, NULL, 'Vacuolar protein sorting protein 11 C terminal', NULL, 'VPS11_C', NULL, NULL, 14523, 8),
(28025, NULL, 'PF08542', NULL, NULL, 'Replication factor C C-terminal domain', NULL, 'Rep_fac_C', NULL, NULL, 7711, 8),
(28026, NULL, 'PF08747', NULL, NULL, 'Domain of unknown function (DUF1788)', NULL, 'DUF1788', NULL, NULL, 13265, 8),
(28027, NULL, 'PF03549', NULL, NULL, 'Translocated intimin receptor (Tir) intimin-binding domain', NULL, 'Tir_receptor_M', NULL, NULL, 7111, 8),
(28028, NULL, 'PF03578', NULL, NULL, 'HGWP repeat', NULL, 'HGWP', NULL, NULL, 5339, 8),
(28029, NULL, 'PF15924', NULL, NULL, 'ALG11 mannosyltransferase N-terminus', NULL, 'ALG11_N', NULL, NULL, 23117, 8),
(28030, NULL, 'PF00362', NULL, NULL, 'Integrin beta chain VWA domain', NULL, 'Integrin_beta', NULL, NULL, 6736, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28031, NULL, 'PF01131', NULL, NULL, 'DNA topoisomerase', NULL, 'Topoisom_bac', NULL, NULL, 10887, 8),
(28032, NULL, 'PF00620', NULL, NULL, 'RhoGAP domain', NULL, 'RhoGAP', NULL, NULL, 1343, 8),
(28033, NULL, 'PF04817', NULL, NULL, 'Umbravirus long distance movement (LDM) family', NULL, 'Umbravirus_LDM', NULL, NULL, 4670, 8),
(28034, NULL, 'PF11112', NULL, NULL, 'Pyocin activator protein PrtN', NULL, 'PyocinActivator', NULL, NULL, 19606, 8),
(28035, NULL, 'PF14872', NULL, NULL, 'Hypothetical glycoside hydrolase 5', NULL, 'GHL5', NULL, NULL, 27885, 8),
(28036, NULL, 'PF03769', NULL, NULL, 'Attacin, C-terminal region', NULL, 'Attacin_C', NULL, NULL, 1752, 8),
(28037, NULL, 'PF16783', NULL, NULL, 'FANCM to MHF binding domain', NULL, 'FANCM-MHF_bd', NULL, NULL, 28819, 8),
(28038, NULL, 'PF07502', NULL, NULL, 'MANEC domain', NULL, 'MANEC', NULL, NULL, 11322, 8),
(28039, NULL, 'PF11129', NULL, NULL, 'Rev protein of equine infectious anaemia virus', NULL, 'EIAV_Rev', NULL, NULL, 17581, 8),
(28040, NULL, 'PF02880', NULL, NULL, 'Phosphoglucomutase/phosphomannomutase, alpha/beta/alpha domain III', NULL, 'PGM_PMM_III', NULL, NULL, 5529, 8),
(28041, NULL, 'PF16038', NULL, NULL, 'TMIE protein', NULL, 'TMIE', NULL, NULL, 27893, 8),
(28042, NULL, 'PF08076', NULL, NULL, 'Tetracycline resistance determinant leader peptide', NULL, 'TetM_leader', NULL, NULL, 12014, 8),
(28043, NULL, 'PF13838', NULL, NULL, 'Clathrin-H-link', NULL, 'Clathrin_H_link', NULL, NULL, NULL, 8),
(28044, NULL, 'PF16083', NULL, NULL, 'LydA holin phage, holin superfamily III', NULL, 'Phage_holin_3_3', NULL, NULL, 23032, 8),
(28045, NULL, 'PF19067', NULL, NULL, 'Family of unknown function (DUF5763)', NULL, 'DUF5763', NULL, NULL, 37664, 8),
(28046, NULL, 'PF09467', NULL, NULL, 'Hypothetical protein Yopt', NULL, 'Yopt', NULL, NULL, 15924, 8),
(28047, NULL, 'PF15824', NULL, NULL, 'Spermatogenesis-associated protein 9', NULL, 'SPATA9', NULL, NULL, 28842, 8),
(28048, NULL, 'PF18439', NULL, NULL, 'Ubiquitin-Binding Zinc Finger', NULL, 'zf_UBZ', NULL, NULL, 31593, 8),
(28049, NULL, 'PF03905', NULL, NULL, 'Coronavirus non-structural protein NS4', NULL, 'Corona_NS4', NULL, NULL, 2700, 8),
(28050, NULL, 'PF12795', NULL, NULL, 'Mechanosensitive ion channel porin domain', NULL, 'MscS_porin', NULL, NULL, 23558, 8),
(28051, NULL, 'PF13947', NULL, NULL, 'Wall-associated receptor kinase galacturonan-binding', NULL, 'GUB_WAK_bind', NULL, NULL, 23911, 8),
(28052, NULL, 'PF10356', NULL, NULL, 'Protein of unknown function (DUF2034)', NULL, 'DUF2034', NULL, NULL, 20365, 8),
(28053, NULL, 'PF12505', NULL, NULL, 'Protein of unknown function (DUF3712)', NULL, 'DUF3712', NULL, NULL, 21270, 8),
(28054, NULL, 'PF16880', NULL, NULL, 'N-terminal EH-domain containing protein', NULL, 'EHD_N', NULL, NULL, 25695, 8),
(28055, NULL, 'PF01329', NULL, NULL, 'Pterin 4 alpha carbinolamine dehydratase', NULL, 'Pterin_4a', NULL, NULL, 5796, 8),
(28056, NULL, 'PF05787', NULL, NULL, 'Bacterial protein of unknown function (DUF839)', NULL, 'DUF839', NULL, NULL, 13233, 8),
(28057, NULL, 'PF12276', NULL, NULL, 'Protein of unknown function (DUF3617)', NULL, 'DUF3617', NULL, NULL, 20569, 8),
(28058, NULL, 'PF06042', NULL, NULL, 'Nucleotidyltransferase', NULL, 'NTP_transf_6', NULL, NULL, 13938, 8),
(28059, NULL, 'PF03665', NULL, NULL, 'Uncharacterised protein family (UPF0172)', NULL, 'UPF0172', NULL, NULL, 6254, 8),
(28060, NULL, 'PF09437', NULL, NULL, 'Pombe specific 5TM protein', NULL, 'Pombe_5TM', NULL, NULL, 19141, 8),
(28061, NULL, 'PF05766', NULL, NULL, 'Bacteriophage Lambda NinG protein', NULL, 'NinG', NULL, NULL, 13135, 8),
(28062, NULL, 'PF10841', NULL, NULL, 'Protein of unknown function (DUF2644)', NULL, 'DUF2644', NULL, NULL, 21027, 8),
(28063, NULL, 'PF17131', NULL, NULL, 'Outer membrane lipoprotein-sorting protein', NULL, 'LolA_like', NULL, NULL, 30252, 8),
(28064, NULL, 'PF15533', NULL, NULL, 'Bacterial toxin 33', NULL, 'Ntox33', NULL, NULL, 25129, 8),
(28065, NULL, 'PF16006', NULL, NULL, 'Nucleolar and spindle-associated protein', NULL, 'NUSAP', NULL, NULL, 25499, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28066, NULL, 'PF04232', NULL, NULL, 'Stage V sporulation protein S (SpoVS)', NULL, 'SpoVS', NULL, NULL, 5997, 8),
(28067, NULL, 'PF12897', NULL, NULL, 'Aspartate amino-transferase', NULL, 'Asp_aminotransf', NULL, NULL, 28827, 8),
(28068, NULL, 'PF13547', NULL, NULL, 'GTA TIM-barrel-like domain', NULL, 'GTA_TIM', NULL, NULL, 21505, 8),
(28069, NULL, 'PF04091', NULL, NULL, 'Exocyst complex subunit Sec15-like', NULL, 'Sec15', NULL, NULL, 6846, 8),
(28070, NULL, 'PF17822', NULL, NULL, 'Family of unknown function (DUF5584)', NULL, 'DUF5584', NULL, NULL, 29610, 8),
(28071, NULL, 'PF05418', NULL, NULL, 'Apovitellenin I (Apo-VLDL-II)', NULL, 'Apo-VLDL-II', NULL, NULL, 8909, 8),
(28072, NULL, 'PF15779', NULL, NULL, 'Leucine-rich repeat-containing protein 37 family', NULL, 'LRRC37', NULL, NULL, 22823, 8),
(28073, NULL, 'PF17879', NULL, NULL, 'DNA ligase C-terminal domain', NULL, 'DNA_ligase_C', NULL, NULL, 32201, 8),
(28074, NULL, 'PF13222', NULL, NULL, 'Protein of unknown function (DUF4030)', NULL, 'DUF4030', NULL, NULL, 23675, 8),
(28075, NULL, 'PF18665', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_37', NULL, NULL, 32513, 8),
(28076, NULL, 'PF00964', NULL, NULL, 'Elicitin', NULL, 'Elicitin', NULL, NULL, 210, 8),
(28077, NULL, 'PF14423', NULL, NULL, 'Immunity protein Imm5', NULL, 'Imm5', NULL, NULL, 25537, 8),
(28078, NULL, 'PF11140', NULL, NULL, 'Protein of unknown function (DUF2913)', NULL, 'DUF2913', NULL, NULL, 17772, 8),
(28079, NULL, 'PF00092', NULL, NULL, 'von Willebrand factor type A domain', NULL, 'VWA', NULL, NULL, 2293, 8),
(28080, NULL, 'PF06342', NULL, NULL, 'Alpha/beta hydrolase of unknown function (DUF1057)', NULL, 'DUF1057', NULL, NULL, 10447, 8),
(28081, NULL, 'PF04225', NULL, NULL, 'Opacity-associated protein A LysM-like domain', NULL, 'OapA', NULL, NULL, 5682, 8),
(28082, NULL, 'PF07920', NULL, NULL, 'Protein of unknown function (DUF1684)', NULL, 'DUF1684', NULL, NULL, 14809, 8),
(28083, NULL, 'PF19722', NULL, NULL, 'Sentrin-specific protease 3/5 N-terminal', NULL, 'SENP3_5_N', NULL, NULL, 38803, 8),
(28084, NULL, 'PF12851', NULL, NULL, 'Oxygenase domain of the 2OGFeDO superfamily', NULL, 'Tet_JBP', NULL, NULL, 16189, 8),
(28085, NULL, 'PF14939', NULL, NULL, 'DDB1-and CUL4-substrate receptor 15, WD repeat', NULL, 'DCAF15_WD40', NULL, NULL, 28206, 8),
(28086, NULL, 'PF16033', NULL, NULL, 'Domain of unknown function (DUF4789)', NULL, 'DUF4789', NULL, NULL, 23403, 8),
(28087, NULL, 'PF12548', NULL, NULL, 'Sulfatase protein', NULL, 'DUF3740', NULL, NULL, 28917, 8),
(28088, NULL, 'PF14051', NULL, NULL, 'N-terminal domain of DPF2/REQ.', NULL, 'Requiem_N', NULL, NULL, 27301, 8),
(28089, NULL, 'PF10702', NULL, NULL, 'Protein of unknown function (DUF2507)', NULL, 'DUF2507', NULL, NULL, 21308, 8),
(28090, NULL, 'PF02847', NULL, NULL, 'MA3 domain', NULL, 'MA3', NULL, NULL, 6402, 8),
(28091, NULL, 'PF07509', NULL, NULL, 'Protein of unknown function (DUF1523)', NULL, 'DUF1523', NULL, NULL, 11109, 8),
(28092, NULL, 'PF10426', NULL, NULL, 'Recombination-activating protein 1 zinc-finger domain', NULL, 'zf-RAG1', NULL, NULL, 18586, 8),
(28093, NULL, 'PF07289', NULL, NULL, 'Bardet-Biedl syndrome 5 protein', NULL, 'BBL5', NULL, NULL, 1282, 8),
(28094, NULL, 'PF01323', NULL, NULL, 'DSBA-like thioredoxin domain', NULL, 'DSBA', NULL, NULL, 4012, 8),
(28095, NULL, 'PF00165', NULL, NULL, 'Bacterial regulatory helix-turn-helix proteins, AraC family', NULL, 'HTH_AraC', NULL, NULL, 13720, 8),
(28096, NULL, 'PF03901', NULL, NULL, 'Alg9-like mannosyltransferase family', NULL, 'Glyco_transf_22', NULL, NULL, 2924, 8),
(28097, NULL, 'PF06231', NULL, NULL, 'Protein of unknown function (DUF1010)', NULL, 'DUF1010', NULL, NULL, 9607, 8),
(28098, NULL, 'PF13404', NULL, NULL, 'AsnC-type helix-turn-helix domain', NULL, 'HTH_AsnC-type', NULL, NULL, 6906, 8),
(28099, NULL, 'PF03382', NULL, NULL, 'Mycoplasma protein of unknown function, DUF285', NULL, 'DUF285', NULL, NULL, 2119, 8),
(28100, NULL, 'PF18358', NULL, NULL, 'Histone methyltransferase Tudor domain', NULL, 'Tudor_4', NULL, NULL, 31346, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28101, NULL, 'PF19088', NULL, NULL, 'TUTase nucleotidyltransferase domain', NULL, 'TUTase', NULL, NULL, 38478, 8),
(28102, NULL, 'PF02216', NULL, NULL, 'B domain', NULL, 'B', NULL, NULL, 1860, 8),
(28103, NULL, 'PF09867', NULL, NULL, 'TagF N-terminal domain, Type VI secretion system-associated', NULL, 'TagF_N', NULL, NULL, 19168, 8),
(28104, NULL, 'PF15105', NULL, NULL, 'TMEM61 protein family', NULL, 'TMEM61', NULL, NULL, 24774, 8),
(28105, NULL, 'PF02018', NULL, NULL, 'Carbohydrate binding domain', NULL, 'CBM_4_9', NULL, NULL, 3942, 8),
(28106, NULL, 'PF18387', NULL, NULL, 'Zinc-fingers and homeoboxes C2H2 finger domain', NULL, 'zf_C2H2_ZHX', NULL, NULL, 31221, 8),
(28107, NULL, 'PF11287', NULL, NULL, 'Protein of unknown function (DUF3088)', NULL, 'DUF3088', NULL, NULL, 18004, 8),
(28108, NULL, 'PF16297', NULL, NULL, 'Domain of unknown function (DUF4939)', NULL, 'DUF4939', NULL, NULL, 27549, 8),
(28109, NULL, 'PF13094', NULL, NULL, 'CENP-Q, a CENPA-CAD centromere complex subunit', NULL, 'CENP-Q', NULL, NULL, 22848, 8),
(28110, NULL, 'PF10768', NULL, NULL, 'Class II flagellar assembly regulator', NULL, 'FliX', NULL, NULL, 21312, 8),
(28111, NULL, 'PF04136', NULL, NULL, 'Sec34-like family', NULL, 'Sec34', NULL, NULL, 6894, 8),
(28112, NULL, 'PF13744', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_37', NULL, NULL, 35222, 8),
(28113, NULL, 'PF07322', NULL, NULL, 'Seadornavirus Vp10', NULL, 'Seadorna_Vp10', NULL, NULL, 8113, 8),
(28114, NULL, 'PF18768', NULL, NULL, 'RNPP family C-terminal domain', NULL, 'RNPP_C', NULL, NULL, 31001, 8),
(28115, NULL, 'PF04448', NULL, NULL, 'Protein of unknown function (DUF551)', NULL, 'DUF551', NULL, NULL, 10509, 8),
(28116, NULL, 'PF09273', NULL, NULL, 'Rubisco LSMT substrate-binding', NULL, 'Rubis-subs-bind', NULL, NULL, 13831, 8),
(28117, NULL, 'PF19921', NULL, NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX5', NULL, 'bpX5', NULL, NULL, 39583, 8),
(28118, NULL, 'PF00252', NULL, NULL, 'Ribosomal protein L16p/L10e', NULL, 'Ribosomal_L16', NULL, NULL, 12126, 8),
(28119, NULL, 'PF08507', NULL, NULL, 'COPI associated protein', NULL, 'COPI_assoc', NULL, NULL, 14420, 8),
(28120, NULL, 'PF16115', NULL, NULL, 'Domain of unknown function (DUF4831)', NULL, 'DUF4831', NULL, NULL, 28016, 8),
(28121, NULL, 'PF19792', NULL, NULL, 'Family of unknown function (DUF6276)', NULL, 'DUF6276', NULL, NULL, 39866, 8),
(28122, NULL, 'PF04387', NULL, NULL, 'Protein tyrosine phosphatase-like protein, PTPLA', NULL, 'PTPLA', NULL, NULL, 10057, 8),
(28123, NULL, 'PF00602', NULL, NULL, 'Influenza RNA-dependent RNA polymerase subunit PB1', NULL, 'Flu_PB1', NULL, NULL, 3477, 8),
(28124, NULL, 'PF00080', NULL, NULL, 'Copper/zinc superoxide dismutase (SODC)', NULL, 'Sod_Cu', NULL, NULL, 3451, 8),
(28125, NULL, 'PF17259', NULL, NULL, 'Family of unknown function (DUF5325)', NULL, 'DUF5325', NULL, NULL, 18375, 8),
(28126, NULL, 'PF13331', NULL, NULL, 'Domain of unknown function (DUF4093)', NULL, 'DUF4093', NULL, NULL, 27628, 8),
(28127, NULL, 'PF03806', NULL, NULL, 'AbgT putative transporter family', NULL, 'ABG_transport', NULL, NULL, 3728, 8),
(28128, NULL, 'PF19855', NULL, NULL, 'Family of unknown function (DUF6330)', NULL, 'DUF6330', NULL, NULL, 39614, 8),
(28129, NULL, 'PF03214', NULL, NULL, 'Reversibly glycosylated polypeptide', NULL, 'RGP', NULL, NULL, 29786, 8),
(28130, NULL, 'PF05283', NULL, NULL, 'Multi-glycosylated core protein 24 (MGC-24), sialomucin', NULL, 'MGC-24', NULL, NULL, 4047, 8),
(28131, NULL, 'PF03885', NULL, NULL, 'Protein of unknown function (DUF327)', NULL, 'DUF327', NULL, NULL, 1717, 8),
(28132, NULL, 'PF16182', NULL, NULL, 'Putative adherens-junction anchoring region of AbLIM', NULL, 'AbLIM_anchor', NULL, NULL, 22355, 8),
(28133, NULL, 'PF09390', NULL, NULL, 'Protein of unknown function (DUF1999)', NULL, 'DUF1999', NULL, NULL, 15933, 8),
(28134, NULL, 'PF00863', NULL, NULL, 'Peptidase family C4', NULL, 'Peptidase_C4', NULL, NULL, 3228, 8),
(28135, NULL, 'PF01277', NULL, NULL, 'Oleosin', NULL, 'Oleosin', NULL, NULL, 1900, 8),
(28136, NULL, 'PF09790', NULL, NULL, 'Hyccin', NULL, 'Hyccin', NULL, NULL, 16068, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28137, NULL, 'PF06625', NULL, NULL, 'Protein of unknown function (DUF1151)', NULL, 'DUF1151', NULL, NULL, 10376, 8),
(28138, NULL, 'PF18482', NULL, NULL, 'Fungal Pih1 CS domain', NULL, 'Pih1_fungal_CS', NULL, NULL, 31846, 8),
(28139, NULL, 'PF08019', NULL, NULL, 'Phosphoethanolamine transferase EptA/EptB', NULL, 'EptA_B_N', NULL, NULL, 8769, 8),
(28140, NULL, 'PF15505', NULL, NULL, 'Domain of unknown function (DUF4648)', NULL, 'DUF4648', NULL, NULL, 25261, 8),
(28141, NULL, 'PF08904', NULL, NULL, 'EipB-like', NULL, 'EipB_like', NULL, NULL, 7938, 8),
(28142, NULL, 'PF09678', NULL, NULL, 'Cytochrome c oxidase caa3 assembly factor (Caa3_CtaG)', NULL, 'Caa3_CtaG', NULL, NULL, 17514, 8),
(28143, NULL, 'PF03404', NULL, NULL, 'Mo-co oxidoreductase dimerisation domain', NULL, 'Mo-co_dimer', NULL, NULL, 2019, 8),
(28144, NULL, 'PF03899', NULL, NULL, 'ATP synthase I chain', NULL, 'ATP-synt_I', NULL, NULL, 2504, 8),
(28145, NULL, 'PF15349', NULL, NULL, 'DDB1- and CUL4-associated factor 16', NULL, 'DCA16', NULL, NULL, 22652, 8),
(28146, NULL, 'PF19475', NULL, NULL, 'Family of unknown function (DUF6012)', NULL, 'DUF6012', NULL, NULL, 39214, 8),
(28147, NULL, 'PF15233', NULL, NULL, 'Synaptonemal complex central element protein 1', NULL, 'SYCE1', NULL, NULL, 27499, 8),
(28148, NULL, 'PF02720', NULL, NULL, 'Domain of unknown function (DUF222)', NULL, 'DUF222', NULL, NULL, 6305, 8),
(28149, NULL, 'PF03294', NULL, NULL, 'RNA polymerase-associated transcription specificity factor, Rap94', NULL, 'Pox_Rap94', NULL, NULL, 545, 8),
(28150, NULL, 'PF17654', NULL, NULL, 'Selenocysteine tRNA 1 associated proteins', NULL, 'Trnau1ap', NULL, NULL, 31411, 8),
(28151, NULL, 'PF02183', NULL, NULL, 'Homeobox associated leucine zipper', NULL, 'HALZ', NULL, NULL, 1309, 8),
(28152, NULL, 'PF11655', NULL, NULL, 'Protein of unknown function (DUF2589)', NULL, 'DUF2589', NULL, NULL, 25723, 8),
(28153, NULL, 'PF15934', NULL, NULL, 'Yuri gagarin', NULL, 'Yuri_gagarin', NULL, NULL, 27222, 8),
(28154, NULL, 'PF17905', NULL, NULL, 'GLD-3 KH domain 5', NULL, 'KH_10', NULL, NULL, 31505, 8),
(28155, NULL, 'PF09265', NULL, NULL, 'Cytokinin dehydrogenase 1, FAD and cytokinin binding', NULL, 'Cytokin-bind', NULL, NULL, 13917, 8),
(28156, NULL, 'PF03859', NULL, NULL, 'CG-1 domain', NULL, 'CG-1', NULL, NULL, 1713, 8),
(28157, NULL, 'PF08201', NULL, NULL, 'BssC/TutF protein', NULL, 'BssC_TutF', NULL, NULL, 8618, 8),
(28158, NULL, 'PF11085', NULL, NULL, 'Conserved membrane protein YqhR', NULL, 'YqhR', NULL, NULL, 28872, 8),
(28159, NULL, 'PF02431', NULL, NULL, 'Chalcone-flavanone isomerase', NULL, 'Chalcone', NULL, NULL, 10212, 8),
(28160, NULL, 'PF15299', NULL, NULL, 'Amyotrophic lateral sclerosis 2 chromosomal region candidate gene 8', NULL, 'ALS2CR8', NULL, NULL, 25751, 8),
(28161, NULL, 'PF01366', NULL, NULL, 'Herpesvirus processing and transport protein', NULL, 'PRTP', NULL, NULL, 4067, 8),
(28162, NULL, 'PF11914', NULL, NULL, 'Domain of unknown function (DUF3432)', NULL, 'DUF3432', NULL, NULL, 20043, 8),
(28163, NULL, 'PF20043', NULL, NULL, 'Family of unknown function (DUF6445)', NULL, 'DUF6445', NULL, NULL, 36557, 8),
(28164, NULL, 'PF00778', NULL, NULL, 'DIX domain', NULL, 'DIX', NULL, NULL, 1199, 8),
(28165, NULL, 'PF11405', NULL, NULL, 'Bromelain inhibitor VI', NULL, 'Inhibitor_I67', NULL, NULL, 17352, 8),
(28166, NULL, 'PF15071', NULL, NULL, 'Transmembrane family 220, helix', NULL, 'TMEM220', NULL, NULL, 28228, 8),
(28167, NULL, 'PF19734', NULL, NULL, 'Family of unknown function (DUF6224)', NULL, 'DUF6224', NULL, NULL, 36551, 8),
(28168, NULL, 'PF11419', NULL, NULL, 'Protein of unknown function (DUF3194)', NULL, 'DUF3194', NULL, NULL, 25725, 8),
(28169, NULL, 'PF09539', NULL, NULL, 'Protein of unknown function (DUF2385)', NULL, 'DUF2385', NULL, NULL, 10656, 8),
(28170, NULL, 'PF10069', NULL, NULL, 'Sensory domain in DIguanylate Cyclases and Two-component system', NULL, 'DICT', NULL, NULL, 20247, 8),
(28171, NULL, 'PF02049', NULL, NULL, 'Flagellar hook-basal body complex protein FliE', NULL, 'FliE', NULL, NULL, 3236, 8),
(28172, NULL, 'PF17206', NULL, NULL, 'SeqA protein N-terminal domain', NULL, 'SeqA_N', NULL, NULL, 31244, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28173, NULL, 'PF09256', NULL, NULL, 'BAFF-R, TALL-1 binding', NULL, 'BaffR-Tall_bind', NULL, NULL, 13834, 8),
(28174, NULL, 'PF08277', NULL, NULL, 'PAN-like domain', NULL, 'PAN_3', NULL, NULL, 347, 8),
(28175, NULL, 'PF18141', NULL, NULL, 'RNA helicase UPF1, 1B domain', NULL, 'UPF1_1B_dom', NULL, NULL, 31664, 8),
(28176, NULL, 'PF03811', NULL, NULL, 'InsA N-terminal domain', NULL, 'Zn_Tnp_IS1', NULL, NULL, 2990, 8),
(28177, NULL, 'PF16428', NULL, NULL, 'Domain of unknown function (DUF5025)', NULL, 'DUF5025', NULL, NULL, 25990, 8),
(28178, NULL, 'PF19606', NULL, NULL, 'Family of unknown function (DUF6111)', NULL, 'DUF6111', NULL, NULL, 39116, 8),
(28179, NULL, 'PF05480', NULL, NULL, 'Phenol-soluble modulin beta protein', NULL, 'PSMbeta', NULL, NULL, 14279, 8),
(28180, NULL, 'PF19693', NULL, NULL, 'Phenol-soluble modulin delta protein', NULL, 'PSMdelta', NULL, NULL, 38906, 8),
(28181, NULL, 'PF15590', NULL, NULL, 'Immunity protein 27', NULL, 'Imm27', NULL, NULL, 26413, 8),
(28182, NULL, 'PF09674', NULL, NULL, 'Protein of unknown function (DUF2400)', NULL, 'DUF2400', NULL, NULL, 13914, 8),
(28183, NULL, 'PF09816', NULL, NULL, 'RNA polymerase II transcription elongation factor', NULL, 'EAF', NULL, NULL, 18945, 8),
(28184, NULL, 'PF11458', NULL, NULL, 'Membrane-integrating protein Mistic', NULL, 'Mistic', NULL, NULL, 16557, 8),
(28185, NULL, 'PF02290', NULL, NULL, 'Signal recognition particle 14kD protein', NULL, 'SRP14', NULL, NULL, 3468, 8),
(28186, NULL, 'PF04521', NULL, NULL, 'ssRNA positive strand viral 18kD cysteine rich protein', NULL, 'Viral_P18', NULL, NULL, 2910, 8),
(28187, NULL, 'PF18900', NULL, NULL, 'Protein of unknown function (DUF5656)', NULL, 'DUF5656', NULL, NULL, 38068, 8),
(28188, NULL, 'PF18248', NULL, NULL, 'RalF C-terminal Sec-7 capping domain', NULL, 'RalF_SCD', NULL, NULL, 29605, 8),
(28189, NULL, 'PF06176', NULL, NULL, 'Lipopolysaccharide core biosynthesis protein (WaaY)', NULL, 'WaaY', NULL, NULL, 14826, 8),
(28190, NULL, 'PF07364', NULL, NULL, 'Metallopeptidase family M81', NULL, 'DUF1485', NULL, NULL, 9381, 8),
(28191, NULL, 'PF05661', NULL, NULL, 'Protein of unknown function (DUF808)', NULL, 'DUF808', NULL, NULL, 13022, 8),
(28192, NULL, 'PF17519', NULL, NULL, 'Family of unknown function (DUF5444)', NULL, 'DUF5444', NULL, NULL, 20727, 8),
(28193, NULL, 'PF11981', NULL, NULL, 'Domain of unknown function (DUF3482)', NULL, 'DUF3482', NULL, NULL, 20475, 8),
(28194, NULL, 'PF12733', NULL, NULL, 'Cadherin-like beta sandwich domain', NULL, 'Cadherin-like', NULL, NULL, 23966, 8),
(28195, NULL, 'PF13105', NULL, NULL, 'Protein of unknown function (DUF3959)', NULL, 'DUF3959', NULL, NULL, 23549, 8),
(28196, NULL, 'PF04924', NULL, NULL, 'Poxvirus A6 protein', NULL, 'Pox_A6', NULL, NULL, 6777, 8),
(28197, NULL, 'PF04938', NULL, NULL, 'Survival motor neuron (SMN) interacting protein 1 (SIP1)', NULL, 'SIP1', NULL, NULL, 18902, 8),
(28198, NULL, 'PF15700', NULL, NULL, 'Domain of unknown function (DUF4667)', NULL, 'DUF4667', NULL, NULL, 28505, 8),
(28199, NULL, 'PF05306', NULL, NULL, 'Protein of unknown function (DUF733)', NULL, 'DUF733', NULL, NULL, 4086, 8),
(28200, NULL, 'PF07344', NULL, NULL, 'Amastin surface glycoprotein', NULL, 'Amastin', NULL, NULL, 8377, 8),
(28201, NULL, 'PF02500', NULL, NULL, 'Probable DNA packing protein, N-terminus', NULL, 'DNA_pack_N', NULL, NULL, 6295, 8),
(28202, NULL, 'PF01040', NULL, NULL, 'UbiA prenyltransferase family', NULL, 'UbiA', NULL, NULL, 5671, 8),
(28203, NULL, 'PF04680', NULL, NULL, 'Opioid growth factor receptor repeat', NULL, 'OGFr_III', NULL, NULL, 3146, 8),
(28204, NULL, 'PF14603', NULL, NULL, 'Helically-extended SH3 domain', NULL, 'hSH3', NULL, NULL, 28642, 8),
(28205, NULL, 'PF12776', NULL, NULL, 'Myb/SANT-like DNA-binding domain', NULL, 'Myb_DNA-bind_3', NULL, NULL, 21702, 8),
(28206, NULL, 'PF12785', NULL, NULL, 'Variant erythrocyte surface antigen-1', NULL, 'VESA1_N', NULL, NULL, 20298, 8),
(28207, NULL, 'PF06189', NULL, NULL, '5''-nucleotidase', NULL, '5-nucleotidase', NULL, NULL, 9942, 8),
(28208, NULL, 'PF09460', NULL, NULL, 'Saf-pilin pilus formation protein', NULL, 'Saf-Nte_pilin', NULL, NULL, 15515, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28209, NULL, 'PF02010', NULL, NULL, 'REJ domain', NULL, 'REJ', NULL, NULL, 5618, 8),
(28210, NULL, 'PF05481', NULL, NULL, 'Mycobacterium 19 kDa lipoprotein antigen', NULL, 'Myco_19_kDa', NULL, NULL, 13314, 8),
(28211, NULL, 'PF17344', NULL, NULL, 'Family of unknown function (DUF5374)', NULL, 'DUF5374', NULL, NULL, 19947, 8),
(28212, NULL, 'PF12955', NULL, NULL, 'Domain of unknown function (DUF3844)', NULL, 'DUF3844', NULL, NULL, 23732, 8),
(28213, NULL, 'PF02384', NULL, NULL, 'N-6 DNA Methylase', NULL, 'N6_Mtase', NULL, NULL, 4006, 8),
(28214, NULL, 'PF10901', NULL, NULL, 'Protein of unknown function (DUF2690)', NULL, 'DUF2690', NULL, NULL, 17757, 8),
(28215, NULL, 'PF13219', NULL, NULL, 'Protein of unknown function (DUF4027)', NULL, 'DUF4027', NULL, NULL, 23900, 8),
(28216, NULL, 'PF16498', NULL, NULL, 'SWIRM-associated domain at the C-terminal', NULL, 'SWIRM-assoc_3', NULL, NULL, 25901, 8),
(28217, NULL, 'PF16936', NULL, NULL, 'Putative holin', NULL, 'Holin_9', NULL, NULL, 26926, 8),
(28218, NULL, 'PF15448', NULL, NULL, 'N-terminal segments of P. falciparum erythrocyte membrane protein', NULL, 'NTS_2', NULL, NULL, 22667, 8),
(28219, NULL, 'PF16466', NULL, NULL, 'Domain of unknown function (DUF5047)', NULL, 'DUF5047', NULL, NULL, 7680, 8),
(28220, NULL, 'PF01464', NULL, NULL, 'Transglycosylase SLT domain', NULL, 'SLT', NULL, NULL, 8902, 8),
(28221, NULL, 'PF07749', NULL, NULL, 'Endoplasmic reticulum protein ERp29, C-terminal domain', NULL, 'ERp29', NULL, NULL, 10546, 8),
(28222, NULL, 'PF07312', NULL, NULL, 'Protein of unknown function (DUF1459)', NULL, 'DUF1459', NULL, NULL, 8474, 8),
(28223, NULL, 'PF11148', NULL, NULL, 'Protein of unknown function (DUF2922)', NULL, 'DUF2922', NULL, NULL, 17667, 8),
(28224, NULL, 'PF18467', NULL, NULL, 'Domain of unknown function (DUF5613)', NULL, 'DUF5613', NULL, NULL, 29252, 8),
(28225, NULL, 'PF01029', NULL, NULL, 'NusB family', NULL, 'NusB', NULL, NULL, 1228, 8),
(28226, NULL, 'PF02336', NULL, NULL, 'Capsid protein VP4', NULL, 'Denso_VP4', NULL, NULL, 5160, 8),
(28227, NULL, 'PF19418', NULL, NULL, 'DEPDC5 protein C-terminal region', NULL, 'DEPDC5_CTD', NULL, NULL, 38958, 8),
(28228, NULL, 'PF08588', NULL, NULL, 'Protein of unknown function (DUF1769)', NULL, 'DUF1769', NULL, NULL, 18359, 8),
(28229, NULL, 'PF17688', NULL, NULL, 'Family of unknown function (DUF5536)', NULL, 'DUF5536', NULL, NULL, 32634, 8),
(28230, NULL, 'PF11159', NULL, NULL, 'Protein of unknown function (DUF2939)', NULL, 'DUF2939', NULL, NULL, 17886, 8),
(28231, NULL, 'PF13998', NULL, NULL, 'MgrB protein', NULL, 'MgrB', NULL, NULL, 15000, 8),
(28232, NULL, 'PF17504', NULL, NULL, 'Family of unknown function (DUF5436)', NULL, 'DUF5436', NULL, NULL, 12958, 8),
(28233, NULL, 'PF07351', NULL, NULL, 'Protein of unknown function (DUF1480)', NULL, 'DUF1480', NULL, NULL, 8051, 8),
(28234, NULL, 'PF09398', NULL, NULL, 'FOP N terminal dimerisation domain', NULL, 'FOP_dimer', NULL, NULL, 16374, 8),
(28235, NULL, 'PF18913', NULL, NULL, 'Fructose-1-6-bisphosphatase, C-terminal domain', NULL, 'FBPase_C', NULL, NULL, 39668, 8),
(28236, NULL, 'PF15157', NULL, NULL, 'Fusion protein IQCJ-SCHIP1 with IQ-like motif', NULL, 'IQCJ-SCHIP1', NULL, NULL, 28176, 8),
(28237, NULL, 'PF04505', NULL, NULL, 'Interferon-induced transmembrane protein', NULL, 'CD225', NULL, NULL, 2868, 8),
(28238, NULL, 'PF15947', NULL, NULL, 'Domain of unknown function (DUF4755)', NULL, 'DUF4755', NULL, NULL, 22885, 8),
(28239, NULL, 'PF15455', NULL, NULL, 'Proline-rich 19', NULL, 'Pro-rich_19', NULL, NULL, 24163, 8),
(28240, NULL, 'PF03691', NULL, NULL, 'Uncharacterised protein family (UPF0167)', NULL, 'UPF0167', NULL, NULL, 6481, 8),
(28241, NULL, 'PF16394', NULL, NULL, 'Domain of unknown function (DUF5003)', NULL, 'DUF5003', NULL, NULL, 28081, 8),
(28242, NULL, 'PF06159', NULL, NULL, 'Protein of unknown function (DUF974)', NULL, 'DUF974', NULL, NULL, 9901, 8),
(28243, NULL, 'PF14310', NULL, NULL, 'Fibronectin type III-like domain', NULL, 'Fn3-like', NULL, NULL, 28846, 8),
(28244, NULL, 'PF17009', NULL, NULL, 'Domain of unknown function (DUF5090)', NULL, 'DUF5090', NULL, NULL, 22846, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28245, NULL, 'PF07998', NULL, NULL, 'Peptidase family M54', NULL, 'Peptidase_M54', NULL, NULL, 12409, 8),
(28246, NULL, 'PF05830', NULL, NULL, 'Nodulation protein Z (NodZ)', NULL, 'NodZ', NULL, NULL, 13114, 8),
(28247, NULL, 'PF09037', NULL, NULL, 'Stf0 sulphotransferase', NULL, 'Sulphotransf', NULL, NULL, 3701, 8),
(28248, NULL, 'PF16132', NULL, NULL, 'Domain of unknown function (DUF4843)', NULL, 'DUF4843', NULL, NULL, 24178, 8),
(28249, NULL, 'PF08177', NULL, NULL, 'Small acid-soluble spore protein N family', NULL, 'SspN', NULL, NULL, 9935, 8),
(28250, NULL, 'PF11329', NULL, NULL, 'Protein of unknown function (DUF3131)', NULL, 'DUF3131', NULL, NULL, 18978, 8),
(28251, NULL, 'PF11440', NULL, NULL, 'DNA alpha-glucosyltransferase', NULL, 'AGT', NULL, NULL, 17229, 8),
(28252, NULL, 'PF15030', NULL, NULL, 'Protein of unknown function (DUF4527)', NULL, 'DUF4527', NULL, NULL, 22631, 8),
(28253, NULL, 'PF07153', NULL, NULL, 'Marek''s disease-like virus SORF3 protein', NULL, 'Marek_SORF3', NULL, NULL, 13700, 8),
(28254, NULL, 'PF14993', NULL, NULL, 'Neuropeptide S precursor protein', NULL, 'Neuropeptide_S', NULL, NULL, 27066, 8),
(28255, NULL, 'PF11984', NULL, NULL, 'Protein of unknown function (DUF3485)', NULL, 'DUF3485', NULL, NULL, 11858, 8),
(28256, NULL, 'PF02470', NULL, NULL, 'MlaD protein', NULL, 'MlaD', NULL, NULL, 5100, 8),
(28257, NULL, 'PF15985', NULL, NULL, 'KH domain', NULL, 'KH_6', NULL, NULL, 1813, 8),
(28258, NULL, 'PF13939', NULL, NULL, 'Toxin TisB, type I toxin-antitoxin system', NULL, 'TisB_toxin', NULL, NULL, 21545, 8),
(28259, NULL, 'PF19622', NULL, NULL, 'Family of unknown function (DUF6127)', NULL, 'DUF6127', NULL, NULL, 39601, 8),
(28260, NULL, 'PF13123', NULL, NULL, 'Protein of unknown function (DUF3978)', NULL, 'DUF3978', NULL, NULL, 27175, 8),
(28261, NULL, 'PF19060', NULL, NULL, 'DVNP family', NULL, 'DVNP', NULL, NULL, 37630, 8),
(28262, NULL, 'PF10966', NULL, NULL, 'Protein of unknown function (DUF2768)', NULL, 'DUF2768', NULL, NULL, 12643, 8),
(28263, NULL, 'PF00112', NULL, NULL, 'Papain family cysteine protease', NULL, 'Peptidase_C1', NULL, NULL, 5657, 8),
(28264, NULL, 'PF06645', NULL, NULL, 'Microsomal signal peptidase 12 kDa subunit (SPC12)', NULL, 'SPC12', NULL, NULL, 10333, 8),
(28265, NULL, 'PF09767', NULL, NULL, 'Predicted membrane protein (DUF2053)', NULL, 'DUF2053', NULL, NULL, 18625, 8),
(28266, NULL, 'PF18534', NULL, NULL, 'Helical bundle domain', NULL, 'HBD', NULL, NULL, 32602, 8),
(28267, NULL, 'PF16348', NULL, NULL, 'Coronavirus replicase NSP4, C-terminal', NULL, 'CoV_NSP4_C', NULL, NULL, 22785, 8),
(28268, NULL, 'PF18874', NULL, NULL, 'QPE domain', NULL, 'QPE', NULL, NULL, 37567, 8),
(28269, NULL, 'PF13048', NULL, NULL, 'Protein of unknown function (DUF3908)', NULL, 'DUF3908', NULL, NULL, 23632, 8),
(28270, NULL, 'PF12135', NULL, NULL, 'Plasmodium repeat family', NULL, 'Plasmo_rep', NULL, NULL, 20510, 8),
(28271, NULL, 'PF17176', NULL, NULL, 'tRNA-binding domain', NULL, 'tRNA_bind_3', NULL, NULL, 31863, 8),
(28272, NULL, 'PF00928', NULL, NULL, 'Adaptor complexes medium subunit family', NULL, 'Adap_comp_sub', NULL, NULL, 28284, 8),
(28273, NULL, 'PF11518', NULL, NULL, 'Protein of unknown function (DUF3221)', NULL, 'DUF3221', NULL, NULL, 19440, 8),
(28274, NULL, 'PF02887', NULL, NULL, 'Pyruvate kinase, alpha/beta domain', NULL, 'PK_C', NULL, NULL, 5579, 8),
(28275, NULL, 'PF07982', NULL, NULL, 'Herpes UL74 glycoproteins', NULL, 'Herpes_UL74', NULL, NULL, 9598, 8),
(28276, NULL, 'PF08526', NULL, NULL, 'Protein-arginine deiminase (PAD) N-terminal domain', NULL, 'PAD_N', NULL, NULL, 7726, 8),
(28277, NULL, 'PF17138', NULL, NULL, 'Domain of unknown function (DUF5111)', NULL, 'DUF5111', NULL, NULL, 32613, 8),
(28278, NULL, 'PF18806', NULL, NULL, 'Importin 13 repeat', NULL, 'Importin_rep_3', NULL, NULL, 34245, 8),
(28279, NULL, 'PF12293', NULL, NULL, 'Putative outer membrane core complex of type IVb secretion', NULL, 'T4BSS_DotH_IcmK', NULL, NULL, 20859, 8),
(28280, NULL, 'PF00166', NULL, NULL, 'Chaperonin 10 Kd subunit', NULL, 'Cpn10', NULL, NULL, 14874, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28281, NULL, 'PF05076', NULL, NULL, 'Suppressor of fused protein (SUFU)', NULL, 'SUFU', NULL, NULL, 14759, 8),
(28282, NULL, 'PF08138', NULL, NULL, 'Sex peptide (SP) family', NULL, 'Sex_peptide', NULL, NULL, 9689, 8),
(28283, NULL, 'PF17608', NULL, NULL, 'Family of unknown function (DUF5504)', NULL, 'DUF5504', NULL, NULL, 20278, 8),
(28284, NULL, 'PF06491', NULL, NULL, 'Disulphide isomerase', NULL, 'Disulph_isomer', NULL, NULL, 9254, 8),
(28285, NULL, 'PF08143', NULL, NULL, 'CBFNT (NUC161) domain', NULL, 'CBFNT', NULL, NULL, 12311, 8),
(28286, NULL, 'PF17295', NULL, NULL, 'Domain of unknown function (DUF5348)', NULL, 'DUF5348', NULL, NULL, 30491, 8),
(28287, NULL, 'PF10390', NULL, NULL, 'RNA polymerase II elongation factor ELL', NULL, 'ELL', NULL, NULL, 17913, 8),
(28288, NULL, 'PF04550', NULL, NULL, 'Phage holin family 2', NULL, 'Phage_holin_3_2', NULL, NULL, 2165, 8),
(28289, NULL, 'PF13203', NULL, NULL, 'Putative metallopeptidase domain', NULL, 'DUF2201_N', NULL, NULL, 27816, 8),
(28290, NULL, 'PF02754', NULL, NULL, 'Cysteine-rich domain', NULL, 'CCG', NULL, NULL, 611, 8),
(28291, NULL, 'PF15888', NULL, NULL, 'Folded gastrulation N-terminus', NULL, 'FOG_N', NULL, NULL, 24657, 8),
(28292, NULL, 'PF01548', NULL, NULL, 'Transposase', NULL, 'DEDD_Tnp_IS110', NULL, NULL, 504, 8),
(28293, NULL, 'PF17618', NULL, NULL, 'Uncharacterized Strongylid L4 protein', NULL, 'SL4P', NULL, NULL, 30797, 8),
(28294, NULL, 'PF08022', NULL, NULL, 'FAD-binding domain', NULL, 'FAD_binding_8', NULL, NULL, 18699, 8),
(28295, NULL, 'PF18554', NULL, NULL, 'PheRS DNA binding domain 2', NULL, 'PheRS_DBD2', NULL, NULL, 30531, 8),
(28296, NULL, 'PF06624', NULL, NULL, 'Ribosome associated membrane protein RAMP4', NULL, 'RAMP4', NULL, NULL, 8466, 8),
(28297, NULL, 'PF09490', NULL, NULL, 'Probable cobalt transporter subunit (CbtA)', NULL, 'CbtA', NULL, NULL, 10805, 8),
(28298, NULL, 'PF14710', NULL, NULL, 'Respiratory nitrate reductase alpha N-terminal', NULL, 'Nitr_red_alph_N', NULL, NULL, 22273, 8),
(28299, NULL, 'PF17831', NULL, NULL, 'Pyruvate dehydrogenase E1 component middle domain', NULL, 'PDH_E1_M', NULL, NULL, 32192, 8),
(28300, NULL, 'PF01987', NULL, NULL, 'Mitochondrial biogenesis AIM24', NULL, 'AIM24', NULL, NULL, 5491, 8),
(28301, NULL, 'PF02641', NULL, NULL, 'Uncharacterized ACR, COG1993', NULL, 'DUF190', NULL, NULL, 3376, 8),
(28302, NULL, 'PF12619', NULL, NULL, 'Mini-chromosome maintenance protein 2', NULL, 'MCM2_N', NULL, NULL, 5468, 8),
(28303, NULL, 'PF12238', NULL, NULL, 'Merozoite surface antigen 2c', NULL, 'MSA-2c', NULL, NULL, 15377, 8),
(28304, NULL, 'PF17707', NULL, NULL, 'Family of unknown function (DUF5553)', NULL, 'DUF5553', NULL, NULL, 35173, 8),
(28305, NULL, 'PF12223', NULL, NULL, 'Protein of unknown function (DUF3602)', NULL, 'DUF3602', NULL, NULL, 20951, 8),
(28306, NULL, 'PF19026', NULL, NULL, 'HYPK UBA domain', NULL, 'HYPK_UBA', NULL, NULL, 38133, 8),
(28307, NULL, 'PF06201', NULL, NULL, 'PITH domain', NULL, 'PITH', NULL, NULL, 9621, 8),
(28308, NULL, 'PF07240', NULL, NULL, 'Stress-inducible humoral factor Turandot', NULL, 'Turandot', NULL, NULL, 11464, 8),
(28309, NULL, 'PF01887', NULL, NULL, 'S-adenosyl-l-methionine hydroxide adenosyltransferase', NULL, 'SAM_adeno_trans', NULL, NULL, 3759, 8),
(28310, NULL, 'PF18437', NULL, NULL, 'Nup54 C-terminal interacting domain', NULL, 'Nup54_C', NULL, NULL, 31152, 8),
(28311, NULL, 'PF03158', NULL, NULL, 'Multigene family 530 protein', NULL, 'DUF249', NULL, NULL, 7209, 8),
(28312, NULL, 'PF03108', NULL, NULL, 'MuDR family transposase', NULL, 'DBD_Tnp_Mut', NULL, NULL, 4785, 8),
(28313, NULL, 'PF03421', NULL, NULL, 'YopJ Serine/Threonine acetyltransferase', NULL, 'Acetyltransf_14', NULL, NULL, 10248, 8),
(28314, NULL, 'PF15832', NULL, NULL, 'FAM27 D and E protein family', NULL, 'FAM27', NULL, NULL, 28056, 8),
(28315, NULL, 'PF02896', NULL, NULL, 'PEP-utilising enzyme, PEP-binding domain', NULL, 'PEP-utilizers_C', NULL, NULL, 1640, 8),
(28316, NULL, 'PF11961', NULL, NULL, 'Domain of unknown function (DUF3475)', NULL, 'DUF3475', NULL, NULL, 20489, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28317, NULL, 'PF10335', NULL, NULL, 'Putative nucleotidyltransferase substrate binding domain', NULL, 'DUF294_C', NULL, NULL, 20061, 8),
(28318, NULL, 'PF18002', NULL, NULL, 'T6 antigen Ig like domain', NULL, 'T6_Ig_like', NULL, NULL, 31060, 8),
(28319, NULL, 'PF15252', NULL, NULL, 'Domain of unknown function (DUF4589)', NULL, 'DUF4589', NULL, NULL, 25948, 8),
(28320, NULL, 'PF01644', NULL, NULL, 'Chitin synthase', NULL, 'Chitin_synth_1', NULL, NULL, 4429, 8),
(28321, NULL, 'PF00269', NULL, NULL, 'Small, acid-soluble spore proteins, alpha/beta type', NULL, 'SASP', NULL, NULL, 3166, 8),
(28322, NULL, 'PF12448', NULL, NULL, 'Kinesin associated protein', NULL, 'Milton', NULL, NULL, 21488, 8),
(28323, NULL, 'PF01973', NULL, NULL, 'Protein of unknown function DUF115', NULL, 'MAF_flag10', NULL, NULL, 4735, 8),
(28324, NULL, 'PF19515', NULL, NULL, 'Domain of unknown function (DUF6048)', NULL, 'DUF6048', NULL, NULL, 39813, 8),
(28325, NULL, 'PF11872', NULL, NULL, 'Protein of unknown function (DUF3392)', NULL, 'DUF3392', NULL, NULL, 19612, 8),
(28326, NULL, 'PF08174', NULL, NULL, 'Cell division protein anillin', NULL, 'Anillin', NULL, NULL, 12448, 8),
(28327, NULL, 'PF01189', NULL, NULL, '16S rRNA methyltransferase RsmB/F', NULL, 'Methyltr_RsmB-F', NULL, NULL, 3311, 8),
(28328, NULL, 'PF09843', NULL, NULL, 'Predicted membrane protein (DUF2070)', NULL, 'DUF2070', NULL, NULL, 19229, 8),
(28329, NULL, 'PF15259', NULL, NULL, 'G-2 and S-phase expressed 1', NULL, 'GTSE1_N', NULL, NULL, 22985, 8),
(28330, NULL, 'PF05208', NULL, NULL, 'ALG3 protein', NULL, 'ALG3', NULL, NULL, 3159, 8),
(28331, NULL, 'PF06764', NULL, NULL, 'Protein of unknown function (DUF1223)', NULL, 'DUF1223', NULL, NULL, 9218, 8),
(28332, NULL, 'PF15970', NULL, NULL, 'HicB_like antitoxin of bacterial toxin-antitoxin system', NULL, 'HicB-like_2', NULL, NULL, 21567, 8),
(28333, NULL, 'PF05194', NULL, NULL, 'UreE urease accessory protein, C-terminal domain', NULL, 'UreE_C', NULL, NULL, 3218, 8),
(28334, NULL, 'PF14815', NULL, NULL, 'NUDIX domain', NULL, 'NUDIX_4', NULL, NULL, 27532, 8),
(28335, NULL, 'PF11946', NULL, NULL, 'Domain of unknown function (DUF3463)', NULL, 'DUF3463', NULL, NULL, 16681, 8),
(28336, NULL, 'PF09913', NULL, NULL, 'Predicted membrane protein (DUF2142)', NULL, 'DUF2142', NULL, NULL, 17091, 8),
(28337, NULL, 'PF20124', NULL, NULL, 'Family of unknown function (DUF6514)', NULL, 'DUF6514', NULL, NULL, 19489, 8),
(28338, NULL, 'PF01471', NULL, NULL, 'Putative peptidoglycan binding domain', NULL, 'PG_binding_1', NULL, NULL, 523, 8),
(28339, NULL, 'PF16275', NULL, NULL, 'Splicing factor 1 helix-hairpin domain', NULL, 'SF1-HH', NULL, NULL, 22022, 8),
(28340, NULL, 'PF19374', NULL, NULL, 'Family of unknown function (DUF5949)', NULL, 'DUF5949', NULL, NULL, 39192, 8),
(28341, NULL, 'PF12870', NULL, NULL, 'Domain of unknown function (DUF4878)', NULL, 'DUF4878', NULL, NULL, 20272, 8),
(28342, NULL, 'PF19997', NULL, NULL, 'vWA domain found in the FtsH ternary systems', NULL, 'ivWA', NULL, NULL, 37315, 8),
(28343, NULL, 'PF18476', NULL, NULL, 'PIN like domain', NULL, 'PIN_8', NULL, NULL, 32626, 8),
(28344, NULL, 'PF05118', NULL, NULL, 'Aspartyl/Asparaginyl beta-hydroxylase', NULL, 'Asp_Arg_Hydrox', NULL, NULL, 2305, 8),
(28345, NULL, 'PF06483', NULL, NULL, 'Chitinase C', NULL, 'ChiC', NULL, NULL, 9464, 8),
(28346, NULL, 'PF19674', NULL, NULL, 'Family of unknown function (DUF6177)', NULL, 'DUF6177', NULL, NULL, 39730, 8),
(28347, NULL, 'PF11012', NULL, NULL, 'Protein of unknown function (DUF2850)', NULL, 'DUF2850', NULL, NULL, 17603, 8),
(28348, NULL, 'PF04812', NULL, NULL, 'Hepatocyte nuclear factor 1 (HNF-1), beta isoform C terminus', NULL, 'HNF-1B_C', NULL, NULL, 4698, 8),
(28349, NULL, 'PF04798', NULL, NULL, 'Baculovirus 19 kDa protein conserved region', NULL, 'Baculo_19', NULL, NULL, 4502, 8),
(28350, NULL, 'PF08193', NULL, NULL, 'INO80 complex subunit Ies4', NULL, 'INO80_Ies4', NULL, NULL, 17569, 8),
(28351, NULL, 'PF16726', NULL, NULL, 'Inositol polyphosphate 5-phosphatase clathrin binding domain', NULL, 'OCRL_clath_bd', NULL, NULL, 23740, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28352, NULL, 'PF09236', NULL, NULL, 'Alpha-haemoglobin stabilising protein', NULL, 'AHSP', NULL, NULL, 13679, 8),
(28353, NULL, 'PF09479', NULL, NULL, 'Listeria-Bacteroides repeat domain (List_Bact_rpt)', NULL, 'Flg_new', NULL, NULL, 11879, 8),
(28354, NULL, 'PF19490', NULL, NULL, 'Family of unknown function (DUF6025)', NULL, 'DUF6025', NULL, NULL, 39394, 8),
(28355, NULL, 'PF13213', NULL, NULL, 'Protein of unknown function (DUF4021)', NULL, 'DUF4021', NULL, NULL, 23850, 8),
(28356, NULL, 'PF15337', NULL, NULL, 'Vascular protein family Vasculin-like 1', NULL, 'Vasculin', NULL, NULL, 22603, 8),
(28357, NULL, 'PF10523', NULL, NULL, 'BEN domain', NULL, 'BEN', NULL, NULL, 20520, 8),
(28358, NULL, 'PF15134', NULL, NULL, 'Domain of unknown function (DUF4570)', NULL, 'DUF4570', NULL, NULL, 24902, 8),
(28359, NULL, 'PF07497', NULL, NULL, 'Rho termination factor, RNA-binding domain', NULL, 'Rho_RNA_bind', NULL, NULL, 11302, 8),
(28360, NULL, 'PF16067', NULL, NULL, 'Domain of unknown function (DUF4809)', NULL, 'DUF4809', NULL, NULL, 25132, 8),
(28361, NULL, 'PF16069', NULL, NULL, 'Domain of unknown function (DUF4811)', NULL, 'DUF4811', NULL, NULL, 25301, 8),
(28362, NULL, 'PF10366', NULL, NULL, 'Vacuolar sorting protein 39 domain 1', NULL, 'Vps39_1', NULL, NULL, 17810, 8),
(28363, NULL, 'PF03369', NULL, NULL, 'Herpesvirus UL3 protein', NULL, 'Herpes_UL3', NULL, NULL, 2017, 8),
(28364, NULL, 'PF16219', NULL, NULL, 'Domain of unknown function (DUF4879)', NULL, 'DUF4879', NULL, NULL, 28001, 8),
(28365, NULL, 'PF02791', NULL, NULL, 'DDT domain', NULL, 'DDT', NULL, NULL, 15454, 8),
(28366, NULL, 'PF00781', NULL, NULL, 'Diacylglycerol kinase catalytic domain', NULL, 'DAGK_cat', NULL, NULL, 4104, 8),
(28367, NULL, 'PF04050', NULL, NULL, 'Up-frameshift suppressor 2', NULL, 'Upf2', NULL, NULL, 1019, 8),
(28368, NULL, 'PF01174', NULL, NULL, 'SNO glutamine amidotransferase family', NULL, 'SNO', NULL, NULL, 5272, 8),
(28369, NULL, 'PF18330', NULL, NULL, 'Ligase Pab1020 C-terminal region', NULL, 'Lig_C', NULL, NULL, 32318, 8),
(28370, NULL, 'PF04254', NULL, NULL, 'Protein of unknown function (DUF432)', NULL, 'DUF432', NULL, NULL, 5791, 8),
(28371, NULL, 'PF08867', NULL, NULL, 'FRG domain', NULL, 'FRG', NULL, NULL, 14023, 8),
(28372, NULL, 'PF06226', NULL, NULL, 'Protein of unknown function (DUF1007)', NULL, 'DUF1007', NULL, NULL, 9698, 8),
(28373, NULL, 'PF12369', NULL, NULL, 'Gonadotropin hormone receptor transmembrane region', NULL, 'GnHR_trans', NULL, NULL, 3988, 8),
(28374, NULL, 'PF00300', NULL, NULL, 'Histidine phosphatase superfamily (branch 1)', NULL, 'His_Phos_1', NULL, NULL, 7761, 8),
(28375, NULL, 'PF01268', NULL, NULL, 'Formate--tetrahydrofolate ligase', NULL, 'FTHFS', NULL, NULL, 5503, 8),
(28376, NULL, 'PF08580', NULL, NULL, 'Yeast cortical protein KAR9', NULL, 'KAR9', NULL, NULL, 17605, 8),
(28377, NULL, 'PF12390', NULL, NULL, 'Selenocysteine synthase N terminal', NULL, 'Se-cys_synth_N', NULL, NULL, 27293, 8),
(28378, NULL, 'PF18647', NULL, NULL, 'Alpha-galactosyl-binding fungal lectin', NULL, 'Fungal_lectin_2', NULL, NULL, NULL, 8),
(28379, NULL, 'PF11939', NULL, NULL, '[NiFe]-hydrogenase assembly, chaperone, HybE', NULL, 'NiFe-hyd_HybE', NULL, NULL, 18989, 8),
(28380, NULL, 'PF14352', NULL, NULL, 'Domain of unknown function (DUF4402)', NULL, 'DUF4402', NULL, NULL, 28379, 8),
(28381, NULL, 'PF12632', NULL, NULL, 'Mysoin-binding motif of peroxisomes', NULL, 'Vezatin', NULL, NULL, 26050, 8),
(28382, NULL, 'PF15585', NULL, NULL, 'Immunity protein 7', NULL, 'Imm7', NULL, NULL, 26222, 8),
(28383, NULL, 'PF05848', NULL, NULL, 'CtsR N-terminal HTH domain', NULL, 'CtsR', NULL, NULL, 31306, 8),
(28384, NULL, 'PF15664', NULL, NULL, 'Transmembrane protein 252 family', NULL, 'TMEM252', NULL, NULL, 4520, 8),
(28385, NULL, 'PF08917', NULL, NULL, 'Transforming growth factor beta receptor 2 ectodomain', NULL, 'ecTbetaR2', NULL, NULL, 7789, 8),
(28386, NULL, 'PF10794', NULL, NULL, 'Protein of unknown function (DUF2606)', NULL, 'DUF2606', NULL, NULL, 21443, 8),
(28387, NULL, 'PF06610', NULL, NULL, 'L-alanine exporter', NULL, 'AlaE', NULL, NULL, 8319, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28388, NULL, 'PF01521', NULL, NULL, 'Iron-sulphur cluster biosynthesis', NULL, 'Fe-S_biosyn', NULL, NULL, 4527, 8),
(28389, NULL, 'PF10104', NULL, NULL, 'Di-sulfide bridge nucleocytoplasmic transport domain', NULL, 'Brr6_like_C_C', NULL, NULL, 18522, 8),
(28390, NULL, 'PF01759', NULL, NULL, 'UNC-6/NTR/C345C module', NULL, 'NTR', NULL, NULL, 9157, 8),
(28391, NULL, 'PF04731', NULL, NULL, 'Caudal like protein activation region', NULL, 'Caudal_act', NULL, NULL, 3873, 8),
(28392, NULL, 'PF15639', NULL, NULL, 'Metallopeptidase toxin 3', NULL, 'Tox-MPTase3', NULL, NULL, 26391, 8),
(28393, NULL, 'PF18848', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 6', NULL, 'baeRF_family6', NULL, NULL, 29969, 8),
(28394, NULL, 'PF18619', NULL, NULL, 'GPCR-Autoproteolysis-INducing (GAIN) subdomain A', NULL, 'GAIN_A', NULL, NULL, 31585, 8),
(28395, NULL, 'PF04118', NULL, NULL, 'Dopey, N-terminal', NULL, 'Dopey_N', NULL, NULL, 6600, 8),
(28396, NULL, 'PF12927', NULL, NULL, 'Domain of unknown function (DUF3835)', NULL, 'DUF3835', NULL, NULL, 28717, 8),
(28397, NULL, 'PF09621', NULL, NULL, 'Type III secretion system regulator (LcrR)', NULL, 'LcrR', NULL, NULL, 17186, 8),
(28398, NULL, 'PF13711', NULL, NULL, 'Domain of unknown function (DUF4160)', NULL, 'DUF4160', NULL, NULL, 23284, 8),
(28399, NULL, 'PF12535', NULL, NULL, 'Hydrolase of X-linked nucleoside diphosphate N terminal', NULL, 'Nudix_N', NULL, NULL, NULL, 8),
(28400, NULL, 'PF06145', NULL, NULL, 'Coronavirus nonstructural protein NS1', NULL, 'Corona_NS1', NULL, NULL, 14757, 8),
(28401, NULL, 'PF14657', NULL, NULL, 'Arm DNA-binding domain', NULL, 'Arm-DNA-bind_4', NULL, NULL, 29474, 8),
(28402, NULL, 'PF14850', NULL, NULL, 'DNA-binding domain of Proline dehydrogenase', NULL, 'Pro_dh-DNA_bdg', NULL, NULL, 19341, 8),
(28403, NULL, 'PF09173', NULL, NULL, 'Initiation factor eIF2 gamma, C terminal', NULL, 'eIF2_C', NULL, NULL, 12574, 8),
(28404, NULL, 'PF20077', NULL, NULL, 'CcmD family protein', NULL, 'CcmD_alt', NULL, NULL, NULL, 8),
(28405, NULL, 'PF05894', NULL, NULL, 'Podovirus DNA encapsidation protein (Gp16)', NULL, 'Podovirus_Gp16', NULL, NULL, 12493, 8),
(28406, NULL, 'PF07437', NULL, NULL, 'YfaZ precursor', NULL, 'YfaZ', NULL, NULL, 9476, 8),
(28407, NULL, 'PF00860', NULL, NULL, 'Permease family', NULL, 'Xan_ur_permease', NULL, NULL, 11496, 8),
(28408, NULL, 'PF05507', NULL, NULL, 'Microfibril-associated glycoprotein (MAGP)', NULL, 'MAGP', NULL, NULL, 13388, 8),
(28409, NULL, 'PF18800', NULL, NULL, 'Attenuator of Hedgehog', NULL, 'Atthog', NULL, NULL, 35278, 8),
(28410, NULL, 'PF16725', NULL, NULL, 'Nucleolin binding domain', NULL, 'Nucleolin_bd', NULL, NULL, 23669, 8),
(28411, NULL, 'PF09958', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2192)', NULL, 'DUF2192', NULL, NULL, 17564, 8),
(28412, NULL, 'PF12133', NULL, NULL, 'Betacoronavirus NS6 protein', NULL, 'bCoV_NS6', NULL, NULL, 17340, 8),
(28413, NULL, 'PF01016', NULL, NULL, 'Ribosomal L27 protein', NULL, 'Ribosomal_L27', NULL, NULL, 3211, 8),
(28414, NULL, 'PF15913', NULL, NULL, 'Furin-like repeat, cysteine-rich', NULL, 'Furin-like_2', NULL, NULL, 37972, 8),
(28415, NULL, 'PF16579', NULL, NULL, 'Adenylate sensor of SNF1-like protein kinase', NULL, 'AdenylateSensor', NULL, NULL, 28355, 8),
(28416, NULL, 'PF04270', NULL, NULL, 'Streptococcal histidine triad protein', NULL, 'Strep_his_triad', NULL, NULL, 3794, 8),
(28417, NULL, 'PF19457', NULL, NULL, 'Family of unknown function (DUF5994)', NULL, 'DUF5994', NULL, NULL, 39408, 8),
(28418, NULL, 'PF11028', NULL, NULL, 'Protein of unknown function (DUF2723)', NULL, 'DUF2723', NULL, NULL, 17718, 8),
(28419, NULL, 'PF01735', NULL, NULL, 'Lysophospholipase catalytic domain', NULL, 'PLA2_B', NULL, NULL, 2710, 8),
(28420, NULL, 'PF18994', NULL, NULL, 'Prophage endopeptidase tail N-terminal domain', NULL, 'Prophage_tailD1', NULL, NULL, 38474, 8),
(28421, NULL, 'PF03309', NULL, NULL, 'Type III pantothenate kinase', NULL, 'Pan_kinase', NULL, NULL, 2468, 8),
(28422, NULL, 'PF08323', NULL, NULL, 'Starch synthase catalytic domain', NULL, 'Glyco_transf_5', NULL, NULL, 13110, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28423, NULL, 'PF11570', NULL, NULL, 'Coiled-coil receptor-binding R-domain of colicin E2', NULL, 'E2R135', NULL, NULL, 24238, 8),
(28424, NULL, 'PF11446', NULL, NULL, 'Protein of unknown function (DUF2897)', NULL, 'DUF2897', NULL, NULL, 18590, 8),
(28425, NULL, 'PF11616', NULL, NULL, 'WD repeat binding protein EZH2', NULL, 'EZH2_WD-Binding', NULL, NULL, 19079, 8),
(28426, NULL, 'PF09498', NULL, NULL, 'Protein of unknown function (DUF2388)', NULL, 'DUF2388', NULL, NULL, 10562, 8),
(28427, NULL, 'PF10391', NULL, NULL, 'Fingers domain of DNA polymerase lambda', NULL, 'DNA_pol_lambd_f', NULL, NULL, 15373, 8),
(28428, NULL, 'PF13462', NULL, NULL, 'Thioredoxin', NULL, 'Thioredoxin_4', NULL, NULL, 7603, 8),
(28429, NULL, 'PF06974', NULL, NULL, 'WS/DGAT C-terminal domain', NULL, 'WS_DGAT_C', NULL, NULL, 12274, 8),
(28430, NULL, 'PF14521', NULL, NULL, 'Lysine-specific metallo-endopeptidase', NULL, 'Aspzincin_M35', NULL, NULL, 24394, 8),
(28431, NULL, 'PF14787', NULL, NULL, 'GAG-polyprotein viral zinc-finger', NULL, 'zf-CCHC_5', NULL, NULL, NULL, 8),
(28432, NULL, 'PF04055', NULL, NULL, 'Radical SAM superfamily', NULL, 'Radical_SAM', NULL, NULL, 1051, 8),
(28433, NULL, 'PF17328', NULL, NULL, 'Family of unknown function (DUF5366)', NULL, 'DUF5366', NULL, NULL, 34130, 8),
(28434, NULL, 'PF16588', NULL, NULL, 'C2H2 zinc-finger', NULL, 'zf-C2H2_10', NULL, NULL, NULL, 8),
(28435, NULL, 'PF04716', NULL, NULL, 'ETC complex I subunit conserved region', NULL, 'ETC_C1_NDUFA5', NULL, NULL, 3980, 8),
(28436, NULL, 'PF17381', NULL, NULL, 'Seminal vesicle secretory proteins 4/5/6', NULL, 'Svs_4_5_6', NULL, NULL, 16877, 8),
(28437, NULL, 'PF01301', NULL, NULL, 'Glycosyl hydrolases family 35', NULL, 'Glyco_hydro_35', NULL, NULL, 16651, 8),
(28438, NULL, 'PF01929', NULL, NULL, 'Ribosomal protein L14', NULL, 'Ribosomal_L14e', NULL, NULL, 4601, 8),
(28439, NULL, 'PF17587', NULL, NULL, 'Discriminator of mRNA degradation', NULL, 'Dmd', NULL, NULL, 30879, 8),
(28440, NULL, 'PF18911', NULL, NULL, 'PKD domain', NULL, 'PKD_4', NULL, NULL, NULL, 8),
(28441, NULL, 'PF16437', NULL, NULL, 'Domain of unknown function (DUF5034)', NULL, 'DUF5034', NULL, NULL, 25778, 8),
(28442, NULL, 'PF16866', NULL, NULL, 'PHD-finger', NULL, 'PHD_4', NULL, NULL, 15146, 8),
(28443, NULL, 'PF13150', NULL, NULL, 'Conjugative transposon protein TraL', NULL, 'TraL_transposon', NULL, NULL, 23999, 8),
(28444, NULL, 'PF16422', NULL, NULL, 'Transcription factor COE1 DNA-binding domain', NULL, 'COE1_DBD', NULL, NULL, 25935, 8),
(28445, NULL, 'PF10951', NULL, NULL, 'Protein of unknown function (DUF2776)', NULL, 'DUF2776', NULL, NULL, 17966, 8),
(28446, NULL, 'PF16921', NULL, NULL, 'Tex protein YqgF-like domain', NULL, 'Tex_YqgF', NULL, NULL, 22300, 8),
(28447, NULL, 'PF02166', NULL, NULL, 'Androgen receptor', NULL, 'Androgen_recep', NULL, NULL, 2475, 8),
(28448, NULL, 'PF03728', NULL, NULL, 'Viral DNA-binding protein, zinc binding domain', NULL, 'Viral_DNA_Zn_bi', NULL, NULL, 6086, 8),
(28449, NULL, 'PF09601', NULL, NULL, 'Protein of unknown function (DUF2459)', NULL, 'DUF2459', NULL, NULL, 11597, 8),
(28450, NULL, 'PF16641', NULL, NULL, 'CLIP1 zinc knuckle', NULL, 'CLIP1_ZNF', NULL, NULL, 23652, 8),
(28451, NULL, 'PF11542', NULL, NULL, 'Mitochondrial division protein 1', NULL, 'Mdv1', NULL, NULL, 15164, 8),
(28452, NULL, 'PF04870', NULL, NULL, 'Moulting cycle', NULL, 'Moulting_cycle', NULL, NULL, 5619, 8),
(28453, NULL, 'PF09511', NULL, NULL, 'RNA ligase', NULL, 'RNA_lig_T4_1', NULL, NULL, 16464, 8),
(28454, NULL, 'PF03656', NULL, NULL, 'Pam16', NULL, 'Pam16', NULL, NULL, NULL, 8),
(28455, NULL, 'PF09923', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2155)', NULL, 'DUF2155', NULL, NULL, 19267, 8),
(28456, NULL, 'PF18638', NULL, NULL, 'Cysteine-Rich Protective Antigen 6 bladed domain', NULL, 'CyRPA', NULL, NULL, 31623, 8),
(28457, NULL, 'PF01057', NULL, NULL, 'Parvovirus non-structural protein NS1', NULL, 'Parvo_NS1', NULL, NULL, 1085, 8),
(28458, NULL, 'PF02792', NULL, NULL, 'Mago nashi protein', NULL, 'Mago_nashi', NULL, NULL, 893, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28459, NULL, 'PF15012', NULL, NULL, 'Domain of unknown function (DUF4519)', NULL, 'DUF4519', NULL, NULL, 25221, 8),
(28460, NULL, 'PF07519', NULL, NULL, 'Tannase and feruloyl esterase', NULL, 'Tannase', NULL, NULL, 11007, 8),
(28461, NULL, 'PF01440', NULL, NULL, 'Geminivirus AL2 protein', NULL, 'Gemini_AL2', NULL, NULL, 375, 8),
(28462, NULL, 'PF17276', NULL, NULL, 'Family of unknown function (DUF5341)', NULL, 'DUF5341', NULL, NULL, 30334, 8),
(28463, NULL, 'PF17915', NULL, NULL, 'Reverse gyrase zinc finger', NULL, 'zf_Rg', NULL, NULL, 29843, 8),
(28464, NULL, 'PF13060', NULL, NULL, 'Protein of unknown function (DUF3921)', NULL, 'DUF3921', NULL, NULL, 23775, 8),
(28465, NULL, 'PF14995', NULL, NULL, 'Transmembrane protein', NULL, 'TMEM107', NULL, NULL, 28961, 8),
(28466, NULL, 'PF11420', NULL, NULL, 'Bacteriocin subtilosin A', NULL, 'Subtilosin_A', NULL, NULL, 18645, 8),
(28467, NULL, 'PF04566', NULL, NULL, 'RNA polymerase Rpb2, domain 4', NULL, 'RNA_pol_Rpb2_4', NULL, NULL, 216, 8),
(28468, NULL, 'PF07557', NULL, NULL, 'Shugoshin C terminus', NULL, 'Shugoshin_C', NULL, NULL, 12646, 8),
(28469, NULL, 'PF04851', NULL, NULL, 'Type III restriction enzyme, res subunit', NULL, 'ResIII', NULL, NULL, 5785, 8),
(28470, NULL, 'PF00979', NULL, NULL, 'Reovirus outer capsid protein, Sigma 3', NULL, 'Reovirus_cap', NULL, NULL, 1905, 8),
(28471, NULL, 'PF10357', NULL, NULL, 'Domain of Kin17 curved DNA-binding protein', NULL, 'Kin17_mid', NULL, NULL, 17716, 8),
(28472, NULL, 'PF11537', NULL, NULL, 'Nitrosopumilus output domain 5', NULL, 'NitrOD5', NULL, NULL, 19256, 8),
(28473, NULL, 'PF14843', NULL, NULL, 'Growth factor receptor domain IV', NULL, 'GF_recep_IV', NULL, NULL, 22827, 8),
(28474, NULL, 'PF20005', NULL, NULL, 'FtsH ternary system domain X7', NULL, 'fvmX7', NULL, NULL, 36814, 8),
(28475, NULL, 'PF18858', NULL, NULL, 'Large polyvalent protein associated domain 39', NULL, 'LPD39', NULL, NULL, 32114, 8),
(28476, NULL, 'PF05951', NULL, NULL, 'Bacterial protein of unknown function (DUF882)', NULL, 'Peptidase_M15_2', NULL, NULL, 7774, 8),
(28477, NULL, 'PF07993', NULL, NULL, 'Male sterility protein', NULL, 'NAD_binding_4', NULL, NULL, 18644, 8),
(28478, NULL, 'PF08571', NULL, NULL, 'Yos1-like', NULL, 'Yos1', NULL, NULL, 17764, 8),
(28479, NULL, 'PF11906', NULL, NULL, 'Protein of unknown function (DUF3426)', NULL, 'DUF3426', NULL, NULL, 20160, 8),
(28480, NULL, 'PF15488', NULL, NULL, 'Domain of unknown function (DUF4645)', NULL, 'DUF4645', NULL, NULL, 25224, 8),
(28481, NULL, 'PF05602', NULL, NULL, 'Cleft lip and palate transmembrane protein 1 (CLPTM1)', NULL, 'CLPTM1', NULL, NULL, 8786, 8),
(28482, NULL, 'PF11761', NULL, NULL, 'Cobalamin biosynthesis central region', NULL, 'CbiG_mid', NULL, NULL, 19537, 8),
(28483, NULL, 'PF12514', NULL, NULL, 'Protein of unknown function (DUF3718)', NULL, 'DUF3718', NULL, NULL, 21277, 8),
(28484, NULL, 'PF00004', NULL, NULL, 'ATPase family associated with various cellular activities (AAA)', NULL, 'AAA', NULL, NULL, 7190, 8),
(28485, NULL, 'PF10001', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2242)', NULL, 'DUF2242', NULL, NULL, 17894, 8),
(28486, NULL, 'PF11766', NULL, NULL, 'Cell-wall agglutinin N-terminal ligand-sugar binding', NULL, 'Candida_ALS_N', NULL, NULL, 21748, 8),
(28487, NULL, 'PF19726', NULL, NULL, 'Family of unknown function (DUF6218)', NULL, 'DUF6218', NULL, NULL, 39616, 8),
(28488, NULL, 'PF10324', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srw', NULL, '7TM_GPCR_Srw', NULL, NULL, 17570, 8),
(28489, NULL, 'PF06011', NULL, NULL, 'Transient receptor potential (TRP) ion channel', NULL, 'TRP', NULL, NULL, 8674, 8),
(28490, NULL, 'PF14497', NULL, NULL, 'Glutathione S-transferase, C-terminal domain', NULL, 'GST_C_3', NULL, NULL, 633, 8),
(28491, NULL, 'PF14909', NULL, NULL, 'Spermatogenesis-assoc protein 6', NULL, 'SPATA6', NULL, NULL, 28082, 8),
(28492, NULL, 'PF10443', NULL, NULL, 'RNA12 protein', NULL, 'RNA12', NULL, NULL, 20107, 8),
(28493, NULL, 'PF03786', NULL, NULL, 'D-mannonate dehydratase (UxuA)', NULL, 'UxuA', NULL, NULL, 2548, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28494, NULL, 'PF08321', NULL, NULL, 'PPP5 TPR repeat region', NULL, 'PPP5', NULL, NULL, 12664, 8),
(28495, NULL, 'PF15411', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_10', NULL, NULL, NULL, 8),
(28496, NULL, 'PF17699', NULL, NULL, 'Family of unknown function (DUF5545)', NULL, 'DUF5545', NULL, NULL, 31887, 8),
(28497, NULL, 'PF12309', NULL, NULL, 'KIF-1 binding protein C terminal', NULL, 'KBP_C', NULL, NULL, 20620, 8),
(28498, NULL, 'PF12528', NULL, NULL, 'Type II secretion prepilin peptidase dependent protein C', NULL, 'T2SSppdC', NULL, NULL, 21076, 8),
(28499, NULL, 'PF11269', NULL, NULL, 'Protein of unknown function (DUF3069)', NULL, 'DUF3069', NULL, NULL, 18282, 8),
(28500, NULL, 'PF03826', NULL, NULL, 'OAR motif', NULL, 'OAR', NULL, NULL, 1052, 8),
(28501, NULL, 'PF18181', NULL, NULL, 'SMODS and SLOG-associating 2TM effector domain 1', NULL, 'SLATT_1', NULL, NULL, 35903, 8),
(28502, NULL, 'PF16727', NULL, NULL, 'DNA repair protein REV1 C-terminal domain', NULL, 'REV1_C', NULL, NULL, 23599, 8),
(28503, NULL, 'PF16699', NULL, NULL, 'Cleavage stimulation factor subunit 1, dimerisation domain', NULL, 'CSTF1_dimer', NULL, NULL, 24488, 8),
(28504, NULL, 'PF17806', NULL, NULL, 'Sarcosine oxidase A3 domain', NULL, 'SO_alpha_A3', NULL, NULL, 31161, 8),
(28505, NULL, 'PF05322', NULL, NULL, 'NINE Protein', NULL, 'NinE', NULL, NULL, 4379, 8),
(28506, NULL, 'PF16797', NULL, NULL, 'Fungal kinase associated-1 domain', NULL, 'Fungal_KA1', NULL, NULL, 25653, 8),
(28507, NULL, 'PF03272', NULL, NULL, 'Putative mucin or carbohydrate-binding module', NULL, 'Mucin_bdg', NULL, NULL, 2632, 8),
(28508, NULL, 'PF04770', NULL, NULL, 'ZF-HD protein dimerisation region', NULL, 'ZF-HD_dimer', NULL, NULL, 6701, 8),
(28509, NULL, 'PF05874', NULL, NULL, 'Pheromone biosynthesis activating neuropeptide (PBAN)', NULL, 'PBAN', NULL, NULL, 12351, 8),
(28510, NULL, 'PF04338', NULL, NULL, 'Protein of unknown function, DUF481', NULL, 'DUF481', NULL, NULL, 3826, 8),
(28511, NULL, 'PF16798', NULL, NULL, 'Domain of unknown function (DUF5069)', NULL, 'DUF5069', NULL, NULL, 25635, 8),
(28512, NULL, 'PF05568', NULL, NULL, 'African swine fever virus J13L protein', NULL, 'ASFV_J13L', NULL, NULL, 7633, 8),
(28513, NULL, 'PF09231', NULL, NULL, 'Rice dwarf virus p3', NULL, 'RDV-p3', NULL, NULL, 13995, 8),
(28514, NULL, 'PF14590', NULL, NULL, 'Domain of unknown function (DUF4447)', NULL, 'DUF4447', NULL, NULL, 24480, 8),
(28515, NULL, 'PF14024', NULL, NULL, 'Protein of unknown function (DUF4240)', NULL, 'DUF4240', NULL, NULL, 22501, 8),
(28516, NULL, 'PF01364', NULL, NULL, 'Peptidase family C25', NULL, 'Peptidase_C25', NULL, NULL, 3369, 8),
(28517, NULL, 'PF05030', NULL, NULL, 'SSXT protein (N-terminal region)', NULL, 'SSXT', NULL, NULL, 1153, 8),
(28518, NULL, 'PF17672', NULL, NULL, 'Fertilisation-influencing membrane protein', NULL, 'FIMP', NULL, NULL, 35477, 8),
(28519, NULL, 'PF05986', NULL, NULL, 'ADAM-TS Spacer 1', NULL, 'ADAM_spacer1', NULL, NULL, 7691, 8),
(28520, NULL, 'PF01507', NULL, NULL, 'Phosphoadenosine phosphosulfate reductase family', NULL, 'PAPS_reduct', NULL, NULL, 732, 8),
(28521, NULL, 'PF14930', NULL, NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit domain II', NULL, 'Qn_am_d_aII', NULL, NULL, 7868, 8),
(28522, NULL, 'PF16942', NULL, NULL, 'Putative cyclic bacteriocin', NULL, 'CclA_1', NULL, NULL, 27391, 8),
(28523, NULL, 'PF19591', NULL, NULL, 'Family of unknown function (DUF6096)', NULL, 'DUF6096', NULL, NULL, 39292, 8),
(28524, NULL, 'PF00325', NULL, NULL, 'Bacterial regulatory proteins, crp family', NULL, 'Crp', NULL, NULL, 11710, 8),
(28525, NULL, 'PF18078', NULL, NULL, 'Thioredoxin-like SNTX domain', NULL, 'Thioredoxin_11', NULL, NULL, 30780, 8),
(28526, NULL, 'PF19172', NULL, NULL, 'Family of unknown function (DUF5854)', NULL, 'DUF5854', NULL, NULL, 37300, 8),
(28527, NULL, 'PF03597', NULL, NULL, 'Cytochrome oxidase maturation protein cbb3-type', NULL, 'FixS', NULL, NULL, 3586, 8),
(28528, NULL, 'PF01468', NULL, NULL, 'GA module', NULL, 'GA', NULL, NULL, 7155, 8),
(28529, NULL, 'PF01638', NULL, NULL, 'HxlR-like helix-turn-helix', NULL, 'HxlR', NULL, NULL, 1659, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28530, NULL, 'PF04873', NULL, NULL, 'Ethylene insensitive 3', NULL, 'EIN3', NULL, NULL, 5658, 8),
(28531, NULL, 'PF06689', NULL, NULL, 'ClpX C4-type zinc finger', NULL, 'zf-C4_ClpX', NULL, NULL, 8044, 8),
(28532, NULL, 'PF15821', NULL, NULL, 'Domain of unknown function (DUF4709)', NULL, 'DUF4709', NULL, NULL, 27199, 8),
(28533, NULL, 'PF14006', NULL, NULL, 'YqzL-like protein', NULL, 'YqzL', NULL, NULL, 28364, 8),
(28534, NULL, 'PF19538', NULL, NULL, 'Family of unknown function (DUF6062)', NULL, 'DUF6062', NULL, NULL, 38681, 8),
(28535, NULL, 'PF02398', NULL, NULL, 'Coronavirus protein 7', NULL, 'Corona_7', NULL, NULL, 5432, 8),
(28536, NULL, 'PF19986', NULL, NULL, 'Family of unknown function (DUF6422)', NULL, 'DUF6422', NULL, NULL, 39960, 8),
(28537, NULL, 'PF15212', NULL, NULL, 'Spermatogenesis-associated protein 19, mitochondrial', NULL, 'SPATA19', NULL, NULL, 24351, 8),
(28538, NULL, 'PF02443', NULL, NULL, 'Circovirus capsid protein', NULL, 'Circo_capsid', NULL, NULL, 4630, 8),
(28539, NULL, 'PF17517', NULL, NULL, 'IgGFc binding protein', NULL, 'IgGFc_binding', NULL, NULL, 15721, 8),
(28540, NULL, 'PF07559', NULL, NULL, 'Flagellar basal body protein FlaE', NULL, 'FlaE', NULL, NULL, 12827, 8),
(28541, NULL, 'PF04717', NULL, NULL, 'Type VI secretion system/phage-baseplate injector OB domain', NULL, 'Phage_base_V', NULL, NULL, 182, 8),
(28542, NULL, 'PF06890', NULL, NULL, 'Bacteriophage Mu Gp45 spike protein', NULL, 'Phage_Mu_Gp45', NULL, NULL, 9885, 8),
(28543, NULL, 'PF18465', NULL, NULL, 'Rieske 3Fe-4S', NULL, 'Rieske_3', NULL, NULL, 32464, 8),
(28544, NULL, 'PF04121', NULL, NULL, 'Nuclear pore protein 84 / 107', NULL, 'Nup84_Nup100', NULL, NULL, 6503, 8),
(28545, NULL, 'PF06496', NULL, NULL, 'Protein of unknown function (DUF1097)', NULL, 'DUF1097', NULL, NULL, 9298, 8),
(28546, NULL, 'PF00846', NULL, NULL, 'Hantavirus nucleocapsid protein', NULL, 'Hanta_nucleocap', NULL, NULL, 441, 8),
(28547, NULL, 'PF01529', NULL, NULL, 'DHHC palmitoyltransferase', NULL, 'DHHC', NULL, NULL, 3410, 8),
(28548, NULL, 'PF04663', NULL, NULL, 'Phenol hydroxylase conserved region', NULL, 'Phenol_monoox', NULL, NULL, 3300, 8),
(28549, NULL, 'PF19615', NULL, NULL, 'Family of unknown function (DUF6120)', NULL, 'DUF6120', NULL, NULL, 39819, 8),
(28550, NULL, 'PF17723', NULL, NULL, 'Ribbon-Helix-Helix transcriptional regulator family', NULL, 'RHH_8', NULL, NULL, 31721, 8),
(28551, NULL, 'PF08348', NULL, NULL, 'YheO-like PAS domain', NULL, 'PAS_6', NULL, NULL, 13440, 8),
(28552, NULL, 'PF16423', NULL, NULL, 'Transcription factor COE1 helix-loop-helix domain', NULL, 'COE1_HLH', NULL, NULL, 25638, 8),
(28553, NULL, 'PF15955', NULL, NULL, 'Cuticle protein', NULL, 'Cuticle_4', NULL, NULL, 28361, 8),
(28554, NULL, 'PF18985', NULL, NULL, 'Family of unknown function (DUF5718)', NULL, 'DUF5718', NULL, NULL, 38479, 8),
(28555, NULL, 'PF02448', NULL, NULL, 'L71 family', NULL, 'L71', NULL, NULL, 6033, 8),
(28556, NULL, 'PF15503', NULL, NULL, 'Protein phosphatase 1 regulatory subunit 35 C-terminus', NULL, 'PPP1R35_C', NULL, NULL, 25269, 8),
(28557, NULL, 'PF08566', NULL, NULL, 'Mitochondrial import protein Pam17', NULL, 'Pam17', NULL, NULL, 9938, 8),
(28558, NULL, 'PF10296', NULL, NULL, 'Maintenance of mitochondrial morphology protein 1', NULL, 'MMM1', NULL, NULL, 16598, 8),
(28559, NULL, 'PF13511', NULL, NULL, 'Domain of unknown function (DUF4124)', NULL, 'DUF4124', NULL, NULL, 23374, 8),
(28560, NULL, 'PF16620', NULL, NULL, 'Unstructured linker between I-set domains 2 and 3 on MYLCK', NULL, '23ISL', NULL, NULL, NULL, 8),
(28561, NULL, 'PF06034', NULL, NULL, 'Nucleopolyhedrovirus protein of unknown function (DUF919)', NULL, 'DUF919', NULL, NULL, 13895, 8),
(28562, NULL, 'PF01097', NULL, NULL, 'Arthropod defensin', NULL, 'Defensin_2', NULL, NULL, 5811, 8),
(28563, NULL, 'PF04703', NULL, NULL, 'FaeA-like protein', NULL, 'FaeA', NULL, NULL, 3123, 8),
(28564, NULL, 'PF10635', NULL, NULL, 'DisA bacterial checkpoint controller linker region', NULL, 'DisA-linker', NULL, NULL, 21438, 8),
(28565, NULL, 'PF18853', NULL, NULL, 'Large polyvalent protein associated domain 37', NULL, 'LPD37', NULL, NULL, 31500, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28566, NULL, 'PF00414', NULL, NULL, 'Neuraxin and MAP1B repeat', NULL, 'MAP1B_neuraxin', NULL, NULL, 3599, 8),
(28567, NULL, 'PF01565', NULL, NULL, 'FAD binding domain', NULL, 'FAD_binding_4', NULL, NULL, 2708, 8),
(28568, NULL, 'PF13158', NULL, NULL, 'Protein of unknown function (DUF3993)', NULL, 'DUF3993', NULL, NULL, 23941, 8),
(28569, NULL, 'PF02599', NULL, NULL, 'Global regulator protein family', NULL, 'CsrA', NULL, NULL, 2398, 8),
(28570, NULL, 'PF14342', NULL, NULL, 'Domain of unknown function (DUF4396)', NULL, 'DUF4396', NULL, NULL, 28457, 8),
(28571, NULL, 'PF03280', NULL, NULL, 'Proteobacterial lipase chaperone protein', NULL, 'Lipase_chap', NULL, NULL, 2619, 8),
(28572, NULL, 'PF05382', NULL, NULL, 'Bacteriophage peptidoglycan hydrolase', NULL, 'Amidase_5', NULL, NULL, 5409, 8),
(28573, NULL, 'PF08831', NULL, NULL, 'Class II MHC-associated invariant chain trimerisation domain', NULL, 'MHCassoc_trimer', NULL, NULL, 12893, 8),
(28574, NULL, 'PF04446', NULL, NULL, 'tRNAHis guanylyltransferase', NULL, 'Thg1', NULL, NULL, 25200, 8),
(28575, NULL, 'PF10376', NULL, NULL, 'Double-strand recombination repair protein', NULL, 'Mei5', NULL, NULL, 21993, 8),
(28576, NULL, 'PF01388', NULL, NULL, 'ARID/BRIGHT DNA binding domain', NULL, 'ARID', NULL, NULL, 5307, 8),
(28577, NULL, 'PF03784', NULL, NULL, 'Cyclotide family', NULL, 'Cyclotide', NULL, NULL, 1785, 8),
(28578, NULL, 'PF15133', NULL, NULL, 'TLR adaptor interacting with SLC15A4 on the lysosome', NULL, 'TASL', NULL, NULL, 27973, 8),
(28579, NULL, 'PF11510', NULL, NULL, 'Fanconi Anaemia group E protein FANCE', NULL, 'FA_FANCE', NULL, NULL, 16468, 8),
(28580, NULL, 'PF17949', NULL, NULL, 'FANCM pseudonuclease domain', NULL, 'PND', NULL, NULL, 30880, 8),
(28581, NULL, 'PF16534', NULL, NULL, 'Ubiquitin-like oligomerisation domain of SATB', NULL, 'ULD', NULL, NULL, 25911, 8),
(28582, NULL, 'PF04221', NULL, NULL, 'RelB antitoxin', NULL, 'RelB', NULL, NULL, 5405, 8),
(28583, NULL, 'PF01725', NULL, NULL, 'Ham1 family', NULL, 'Ham1p_like', NULL, NULL, 2587, 8),
(28584, NULL, 'PF09871', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2098)', NULL, 'DUF2098', NULL, NULL, 19431, 8),
(28585, NULL, 'PF00789', NULL, NULL, 'UBX domain', NULL, 'UBX', NULL, NULL, 2027, 8),
(28586, NULL, 'PF11769', NULL, NULL, 'Protein of unknown function (DUF3313)', NULL, 'DUF3313', NULL, NULL, 19714, 8),
(28587, NULL, 'PF05624', NULL, NULL, 'Lipolysis stimulated receptor (LSR)', NULL, 'LSR', NULL, NULL, 13021, 8),
(28588, NULL, 'PF18764', NULL, NULL, 'Nitrous oxide reductase propeller repeat', NULL, 'nos_propeller', NULL, NULL, 31207, 8),
(28589, NULL, 'PF07225', NULL, NULL, 'NADH-ubiquinone oxidoreductase B15 subunit (NDUFB4)', NULL, 'NDUF_B4', NULL, NULL, 14664, 8),
(28590, NULL, 'PF16985', NULL, NULL, 'Domain of unknown function (DUF5086)', NULL, 'DUF5086', NULL, NULL, 25477, 8),
(28591, NULL, 'PF13531', NULL, NULL, 'Bacterial extracellular solute-binding protein', NULL, 'SBP_bac_11', NULL, NULL, NULL, 8),
(28592, NULL, 'PF16856', NULL, NULL, 'Cell division control protein 4 dimerisation domain', NULL, 'CDC4_D', NULL, NULL, 23197, 8),
(28593, NULL, 'PF04787', NULL, NULL, 'Late protein H7', NULL, 'Pox_H7', NULL, NULL, 4522, 8),
(28594, NULL, 'PF03491', NULL, NULL, 'Serotonin (5-HT) neurotransmitter transporter, N-terminus', NULL, '5HT_transport_N', NULL, NULL, 7944, 8),
(28595, NULL, 'PF05427', NULL, NULL, 'Acidic fibroblast growth factor binding (FIBP)', NULL, 'FIBP', NULL, NULL, 14175, 8),
(28596, NULL, 'PF01751', NULL, NULL, 'Toprim domain', NULL, 'Toprim', NULL, NULL, 11261, 8),
(28597, NULL, 'PF15920', NULL, NULL, 'N-terminal of Junction-mediating and WASP homolog-associated', NULL, 'WHAMM-JMY_N', NULL, NULL, 27302, 8),
(28598, NULL, 'PF03709', NULL, NULL, 'Orn/Lys/Arg decarboxylase, N-terminal domain', NULL, 'OKR_DC_1_N', NULL, NULL, 5277, 8),
(28599, NULL, 'PF06138', NULL, NULL, 'Chordopoxvirus E11 protein', NULL, 'Chordopox_E11', NULL, NULL, 10828, 8),
(28600, NULL, 'PF17922', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_17', NULL, NULL, 33394, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28601, NULL, 'PF08216', NULL, NULL, 'Catenin-beta-like, Arm-motif containing nuclear', NULL, 'CTNNBL', NULL, NULL, 17695, 8),
(28602, NULL, 'PF11975', NULL, NULL, 'Family 4 glycosyl hydrolase C-terminal domain', NULL, 'Glyco_hydro_4C', NULL, NULL, 16931, 8),
(28603, NULL, 'PF15104', NULL, NULL, 'Domain of unknown function (DUF4558)', NULL, 'DUF4558', NULL, NULL, 28019, 8),
(28604, NULL, 'PF01847', NULL, NULL, 'VHL beta domain', NULL, 'VHL', NULL, NULL, 12136, 8),
(28605, NULL, 'PF04081', NULL, NULL, 'DNA polymerase delta, subunit 4', NULL, 'DNA_pol_delta_4', NULL, NULL, 6423, 8),
(28606, NULL, 'PF17520', NULL, NULL, 'Family of unknown function (DUF5445)', NULL, 'DUF5445', NULL, NULL, 12913, 8),
(28607, NULL, 'PF16075', NULL, NULL, 'Domain of unknown function (DUF4815)', NULL, 'DUF4815', NULL, NULL, 25240, 8),
(28608, NULL, 'PF07490', NULL, NULL, 'Translocated intimin receptor (Tir) N-terminus', NULL, 'Tir_receptor_N', NULL, NULL, 16739, 8),
(28609, NULL, 'PF01522', NULL, NULL, 'Polysaccharide deacetylase', NULL, 'Polysacc_deac_1', NULL, NULL, 837, 8),
(28610, NULL, 'PF15894', NULL, NULL, 'Inhibitor of glucose uptake transporter SgrT', NULL, 'SgrT', NULL, NULL, 24615, 8),
(28611, NULL, 'PF09721', NULL, NULL, 'Transmembrane exosortase (Exosortase_EpsH)', NULL, 'Exosortase_EpsH', NULL, NULL, 17687, 8),
(28612, NULL, 'PF10802', NULL, NULL, 'Protein of unknown function (DUF2540)', NULL, 'DUF2540', NULL, NULL, 13907, 8),
(28613, NULL, 'PF04441', NULL, NULL, 'Poxvirus early transcription factor (VETF), large subunit', NULL, 'Pox_VERT_large', NULL, NULL, 10583, 8),
(28614, NULL, 'PF00732', NULL, NULL, 'GMC oxidoreductase', NULL, 'GMC_oxred_N', NULL, NULL, 3760, 8),
(28615, NULL, 'PF10740', NULL, NULL, 'Domain of unknown function (DUF2529)', NULL, 'DUF2529', NULL, NULL, 20444, 8),
(28616, NULL, 'PF12534', NULL, NULL, 'Pannexin-like TM region of LRRC8', NULL, 'Pannexin_like', NULL, NULL, 15351, 8),
(28617, NULL, 'PF16122', NULL, NULL, '40S ribosomal protein SA C-terminus', NULL, '40S_SA_C', NULL, NULL, 26571, 8),
(28618, NULL, 'PF14037', NULL, NULL, 'YoqO-like protein', NULL, 'YoqO', NULL, NULL, 28009, 8),
(28619, NULL, 'PF19629', NULL, NULL, 'Family of unknown function (DUF6133)', NULL, 'DUF6133', NULL, NULL, 36657, 8),
(28620, NULL, 'PF08629', NULL, NULL, 'PDE8 phosphodiesterase', NULL, 'PDE8', NULL, NULL, 14489, 8),
(28621, NULL, 'PF16462', NULL, NULL, 'Phage tail assembly chaperone protein, TAC', NULL, 'Phage_TAC_14', NULL, NULL, 22524, 8),
(28622, NULL, 'PF01722', NULL, NULL, 'BolA-like protein', NULL, 'BolA', NULL, NULL, 2831, 8),
(28623, NULL, 'PF02665', NULL, NULL, 'Nitrate reductase gamma subunit', NULL, 'Nitrate_red_gam', NULL, NULL, 8542, 8),
(28624, NULL, 'PF13382', NULL, NULL, 'Adenine deaminase C-terminal domain', NULL, 'Adenine_deam_C', NULL, NULL, 28884, 8),
(28625, NULL, 'PF03330', NULL, NULL, 'Lytic transglycolase', NULL, 'DPBB_1', NULL, NULL, 9977, 8),
(28626, NULL, 'PF03320', NULL, NULL, 'Bacterial fructose-1,6-bisphosphatase, glpX-encoded', NULL, 'FBPase_glpX', NULL, NULL, 7459, 8),
(28627, NULL, 'PF11898', NULL, NULL, 'Domain of unknown function (DUF3418)', NULL, 'DUF3418', NULL, NULL, 28955, 8),
(28628, NULL, 'PF12393', NULL, NULL, 'Dr family adhesin', NULL, 'Dr_adhesin', NULL, NULL, 16075, 8),
(28629, NULL, 'PF19271', NULL, NULL, 'Nis1 family', NULL, 'Nis1', NULL, NULL, 38902, 8),
(28630, NULL, 'PF00460', NULL, NULL, 'Flagella basal body rod protein', NULL, 'Flg_bb_rod', NULL, NULL, 6576, 8),
(28631, NULL, 'PF12687', NULL, NULL, 'Protein of unknown function (DUF3801)', NULL, 'DUF3801', NULL, NULL, 20122, 8),
(28632, NULL, 'PF05357', NULL, NULL, 'Phage Coat Protein A', NULL, 'Phage_Coat_A', NULL, NULL, 5389, 8),
(28633, NULL, 'PF09191', NULL, NULL, 'CD4, extracellular', NULL, 'CD4-extracel', NULL, NULL, 12615, 8),
(28634, NULL, 'PF08633', NULL, NULL, 'Rox3 mediator complex subunit', NULL, 'Rox3', NULL, NULL, 8005, 8),
(28635, NULL, 'PF17779', NULL, NULL, 'NOD2 winged helix domain', NULL, 'NOD2_WH', NULL, NULL, 31145, 8),
(28636, NULL, 'PF14471', NULL, NULL, 'Domain of unknown function (DUF4428)', NULL, 'DUF4428', NULL, NULL, 27852, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28637, NULL, 'PF12131', NULL, NULL, 'Protein of unknown function (DUF3586)', NULL, 'DUF3586', NULL, NULL, 20538, 8),
(28638, NULL, 'PF05584', NULL, NULL, 'Sulfolobus plasmid regulatory protein', NULL, 'Sulfolobus_pRN', NULL, NULL, 14202, 8),
(28639, NULL, 'PF12661', NULL, NULL, 'Human growth factor-like EGF', NULL, 'hEGF', NULL, NULL, 10366, 8),
(28640, NULL, 'PF19297', NULL, NULL, 'QcrA subunit N-terminal region', NULL, 'QcrA_N', NULL, NULL, 36602, 8),
(28641, NULL, 'PF13090', NULL, NULL, 'Polyphosphate kinase C-terminal domain 2', NULL, 'PP_kinase_C', NULL, NULL, 22014, 8),
(28642, NULL, 'PF16203', NULL, NULL, 'ERCC3/RAD25/XPB C-terminal helicase', NULL, 'ERCC3_RAD25_C', NULL, NULL, 28132, 8),
(28643, NULL, 'PF00344', NULL, NULL, 'SecY', NULL, 'SecY', NULL, NULL, 147, 8),
(28644, NULL, 'PF17647', NULL, NULL, 'Family of unknown function (DUF5518)', NULL, 'DUF5518', NULL, NULL, 29803, 8),
(28645, NULL, 'PF19498', NULL, NULL, 'Protein of unknown function (DUF6033)', NULL, 'DUF6033', NULL, NULL, 39331, 8),
(28646, NULL, 'PF16702', NULL, NULL, 'Domain of unknown function (DUF5063)', NULL, 'DUF5063', NULL, NULL, 24287, 8),
(28647, NULL, 'PF10880', NULL, NULL, 'Protein of unknown function (DUF2673)', NULL, 'DUF2673', NULL, NULL, 20117, 8),
(28648, NULL, 'PF18110', NULL, NULL, 'BRCC36 C-terminal helical domain', NULL, 'BRCC36_C', NULL, NULL, 31020, 8),
(28649, NULL, 'PF03461', NULL, NULL, 'TRCF domain', NULL, 'TRCF', NULL, NULL, 10855, 8),
(28650, NULL, 'PF08055', NULL, NULL, 'Tryptophan leader peptide', NULL, 'Trp_leader1', NULL, NULL, 10916, 8),
(28651, NULL, 'PF03123', NULL, NULL, 'CAT RNA binding domain', NULL, 'CAT_RBD', NULL, NULL, 4880, 8),
(28652, NULL, 'PF05588', NULL, NULL, 'Clostridium botulinum HA-17 domain', NULL, 'Botulinum_HA-17', NULL, NULL, NULL, 8),
(28653, NULL, 'PF01635', NULL, NULL, 'Coronavirus M matrix/glycoprotein', NULL, 'CoV_M', NULL, NULL, 1822, 8),
(28654, NULL, 'PF13801', NULL, NULL, 'Heavy-metal resistance', NULL, 'Metal_resist', NULL, NULL, 25412, 8),
(28655, NULL, 'PF14386', NULL, NULL, 'Domain of unknown function (DUF4417)', NULL, 'DUF4417', NULL, NULL, 28402, 8),
(28656, NULL, 'PF16009', NULL, NULL, 'Domain of unknown function (DUF4779)', NULL, 'DUF4779', NULL, NULL, 22759, 8),
(28657, NULL, 'PF16682', NULL, NULL, 'CXC domain of E3 ubiquitin-protein ligase MSL2', NULL, 'MSL2-CXC', NULL, NULL, 26534, 8),
(28658, NULL, 'PF12192', NULL, NULL, 'Fungal calcium binding protein', NULL, 'CBP', NULL, NULL, 20906, 8),
(28659, NULL, 'PF05989', NULL, NULL, 'Chordopoxvirus A35R protein', NULL, 'Chordopox_A35R', NULL, NULL, 13829, 8),
(28660, NULL, 'PF10185', NULL, NULL, 'Chaperone for wingless signalling and trafficking of LDL receptor', NULL, 'Mesd', NULL, NULL, 15065, 8),
(28661, NULL, 'PF00134', NULL, NULL, 'Cyclin, N-terminal domain', NULL, 'Cyclin_N', NULL, NULL, 2149, 8),
(28662, NULL, 'PF10994', NULL, NULL, 'Protein of unknown function (DUF2817)', NULL, 'DUF2817', NULL, NULL, 17834, 8),
(28663, NULL, 'PF14665', NULL, NULL, 'Rapamycin-insensitive companion of mTOR, phosphorylation-site', NULL, 'RICTOR_phospho', NULL, NULL, 22102, 8),
(28664, NULL, 'PF03453', NULL, NULL, 'MoeA N-terminal region (domain I and II)', NULL, 'MoeA_N', NULL, NULL, 10732, 8),
(28665, NULL, 'PF08773', NULL, NULL, 'Cathepsin C exclusion domain', NULL, 'CathepsinC_exc', NULL, NULL, 13024, 8),
(28666, NULL, 'PF15883', NULL, NULL, 'Domain of unknown function (DUF4736)', NULL, 'DUF4736', NULL, NULL, 27417, 8),
(28667, NULL, 'PF06986', NULL, NULL, 'Type-1V conjugative transfer system mating pair stabilisation', NULL, 'TraN', NULL, NULL, 13777, 8),
(28668, NULL, 'PF14567', NULL, NULL, 'SMI1-KNR4 cell-wall', NULL, 'SUKH_5', NULL, NULL, NULL, 8),
(28669, NULL, 'PF16385', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4994', NULL, NULL, 22821, 8),
(28670, NULL, 'PF08977', NULL, NULL, 'Bypass of Forespore C, N terminal', NULL, 'BOFC_N', NULL, NULL, 8575, 8),
(28671, NULL, 'PF14429', NULL, NULL, 'C2 domain in Dock180 and Zizimin proteins', NULL, 'DOCK-C2', NULL, NULL, 25491, 8),
(28672, NULL, 'PF06320', NULL, NULL, 'GCN5-like protein 1 (GCN5L1)', NULL, 'GCN5L1', NULL, NULL, 8268, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28673, NULL, 'PF12118', NULL, NULL, 'SprA-related family', NULL, 'SprA-related', NULL, NULL, 20806, 8),
(28674, NULL, 'PF15132', NULL, NULL, 'Domain of unknown function (DUF4568)', NULL, 'DUF4568', NULL, NULL, 24263, 8),
(28675, NULL, 'PF12574', NULL, NULL, '120 KDa Rickettsia surface antigen', NULL, '120_Rick_ant', NULL, NULL, 14923, 8),
(28676, NULL, 'PF02278', NULL, NULL, 'Polysaccharide lyase family 8, super-sandwich domain', NULL, 'Lyase_8', NULL, NULL, 1990, 8),
(28677, NULL, 'PF05539', NULL, NULL, 'Pneumovirinae attachment membrane glycoprotein G', NULL, 'Pneumo_att_G', NULL, NULL, 12380, 8),
(28678, NULL, 'PF16168', NULL, NULL, 'Adhesin of bacterial autotransporter system, probable stalk', NULL, 'AIDA', NULL, NULL, 28316, 8),
(28679, NULL, 'PF18158', NULL, NULL, 'Adaptive response protein AidB N-terminal domain', NULL, 'AidB_N', NULL, NULL, 31811, 8),
(28680, NULL, 'PF07984', NULL, NULL, 'Nucleotidyltransferase', NULL, 'NTP_transf_7', NULL, NULL, 8482, 8),
(28681, NULL, 'PF19089', NULL, NULL, 'Membrane bound beta barrel domain (DUF5777)', NULL, 'DUF5777', NULL, NULL, 39015, 8),
(28682, NULL, 'PF02790', NULL, NULL, 'Cytochrome C oxidase subunit II, transmembrane domain', NULL, 'COX2_TM', NULL, NULL, 8257, 8),
(28683, NULL, 'PF02924', NULL, NULL, 'Bacteriophage lambda head decoration protein D', NULL, 'HDPD', NULL, NULL, 4638, 8),
(28684, NULL, 'PF06777', NULL, NULL, 'Helical and beta-bridge domain', NULL, 'HBB', NULL, NULL, 9011, 8),
(28685, NULL, 'PF16051', NULL, NULL, 'Domain of unknown function (DUF4797)', NULL, 'DUF4797', NULL, NULL, 23248, 8),
(28686, NULL, 'PF19562', NULL, NULL, 'Family of unknown function (DUF6084)', NULL, 'DUF6084', NULL, NULL, 37101, 8),
(28687, NULL, 'PF14282', NULL, NULL, 'FlxA-like protein', NULL, 'FlxA', NULL, NULL, 25497, 8),
(28688, NULL, 'PF08446', NULL, NULL, 'PAS fold', NULL, 'PAS_2', NULL, NULL, 12346, 8),
(28689, NULL, 'PF14794', NULL, NULL, 'Domain of unknown function (DUF4479)', NULL, 'DUF4479', NULL, NULL, 27579, 8),
(28690, NULL, 'PF07022', NULL, NULL, 'Bacteriophage CI repressor helix-turn-helix domain', NULL, 'Phage_CI_repr', NULL, NULL, 10084, 8),
(28691, NULL, 'PF03153', NULL, NULL, 'Transcription factor IIA, alpha/beta subunit', NULL, 'TFIIA', NULL, NULL, 7034, 8),
(28692, NULL, 'PF05172', NULL, NULL, 'Nup53/35/40-type RNA recognition motif', NULL, 'Nup35_RRM', NULL, NULL, 2500, 8),
(28693, NULL, 'PF15444', NULL, NULL, 'Transmembrane protein 247', NULL, 'TMEM247', NULL, NULL, 29125, 8),
(28694, NULL, 'PF12620', NULL, NULL, 'Protein of unknown function (DUF3778)', NULL, 'DUF3778', NULL, NULL, 21467, 8),
(28695, NULL, 'PF10455', NULL, NULL, 'Bin/amphiphysin/Rvs domain for vesicular trafficking', NULL, 'BAR_2', NULL, NULL, 21024, 8),
(28696, NULL, 'PF01304', NULL, NULL, 'Gas vesicles protein GVPc repeated domain', NULL, 'Gas_vesicle_C', NULL, NULL, 2413, 8),
(28697, NULL, 'PF01593', NULL, NULL, 'Flavin containing amine oxidoreductase', NULL, 'Amino_oxidase', NULL, NULL, 6866, 8),
(28698, NULL, 'PF04592', NULL, NULL, 'Selenoprotein P, N terminal region', NULL, 'SelP_N', NULL, NULL, 508, 8),
(28699, NULL, 'PF19291', NULL, NULL, 'Domain of unknown function (DUF5911)', NULL, 'DUF5911', NULL, NULL, 39748, 8),
(28700, NULL, 'PF01891', NULL, NULL, 'Cobalt uptake substrate-specific transmembrane region', NULL, 'CbiM', NULL, NULL, 3746, 8),
(28701, NULL, 'PF09532', NULL, NULL, 'FDF domain', NULL, 'FDF', NULL, NULL, 16595, 8),
(28702, NULL, 'PF06750', NULL, NULL, 'Bacterial Peptidase A24 N-terminal domain', NULL, 'DiS_P_DiS', NULL, NULL, 9024, 8),
(28703, NULL, 'PF18044', NULL, NULL, 'CCCH-type zinc finger', NULL, 'zf-CCCH_4', NULL, NULL, 31618, 8),
(28704, NULL, 'PF01122', NULL, NULL, 'Eukaryotic cobalamin-binding protein', NULL, 'Cobalamin_bind', NULL, NULL, 480, 8),
(28705, NULL, 'PF18304', NULL, NULL, 'SabA N-terminal extracellular adhesion domain', NULL, 'SabA_adhesion', NULL, NULL, 34956, 8),
(28706, NULL, 'PF16617', NULL, NULL, 'Intersectin and clathrin adaptor AP2 binding region', NULL, 'INTAP', NULL, NULL, NULL, 8),
(28707, NULL, 'PF16749', NULL, NULL, 'Arterivirus nonstructural protein 7 alpha', NULL, 'Arteri_nsp7a', NULL, NULL, 28105, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28708, NULL, 'PF14661', NULL, NULL, 'HAUS augmin-like complex subunit 6 N-terminus', NULL, 'HAUS6_N', NULL, NULL, 24640, 8),
(28709, NULL, 'PF10696', NULL, NULL, 'Protein of unknown function (DUF2501)', NULL, 'DUF2501', NULL, NULL, 21118, 8),
(28710, NULL, 'PF04285', NULL, NULL, 'Protein of unknown function (DUF444)', NULL, 'DUF444', NULL, NULL, 2422, 8),
(28711, NULL, 'PF01747', NULL, NULL, 'ATP-sulfurylase', NULL, 'ATP-sulfurylase', NULL, NULL, 28596, 8),
(28712, NULL, 'PF07301', NULL, NULL, 'Protein of unknown function (DUF1453)', NULL, 'DUF1453', NULL, NULL, 26503, 8),
(28713, NULL, 'PF10680', NULL, NULL, 'RNA polymerase I specific transcription initiation factor', NULL, 'RRN9', NULL, NULL, 21079, 8),
(28714, NULL, 'PF01620', NULL, NULL, 'Ribonuclease (pollen allergen)', NULL, 'Pollen_allerg_2', NULL, NULL, 6310, 8),
(28715, NULL, 'PF09732', NULL, NULL, 'Cactus-binding C-terminus of cactin protein', NULL, 'CactinC_cactus', NULL, NULL, 17782, 8),
(28716, NULL, 'PF20115', NULL, NULL, 'Family of unknown function (DUF6505)', NULL, 'DUF6505', NULL, NULL, 38595, 8),
(28717, NULL, 'PF03203', NULL, NULL, 'MerC mercury resistance protein', NULL, 'MerC', NULL, NULL, 405, 8),
(28718, NULL, 'PF19305', NULL, NULL, 'MmgE/PrpD C-terminal domain', NULL, 'MmgE_PrpD_C', NULL, NULL, 38805, 8),
(28719, NULL, 'PF19528', NULL, NULL, 'Family of unknown function (DUF6056)', NULL, 'DUF6056', NULL, NULL, 39535, 8),
(28720, NULL, 'PF05332', NULL, NULL, 'Protein of unknown function (DUF743)', NULL, 'DUF743', NULL, NULL, 4393, 8),
(28721, NULL, 'PF11077', NULL, NULL, 'Protein of unknown function (DUF2616)', NULL, 'DUF2616', NULL, NULL, 13571, 8),
(28722, NULL, 'PF13510', NULL, NULL, '2Fe-2S iron-sulfur cluster binding domain', NULL, 'Fer2_4', NULL, NULL, NULL, 8),
(28723, NULL, 'PF03333', NULL, NULL, 'Adhesin biosynthesis transcription regulatory protein', NULL, 'PapB', NULL, NULL, 5966, 8),
(28724, NULL, 'PF12329', NULL, NULL, 'TATA element modulatory factor 1 DNA binding', NULL, 'TMF_DNA_bd', NULL, NULL, 20528, 8),
(28725, NULL, 'PF01733', NULL, NULL, 'Nucleoside transporter', NULL, 'Nucleoside_tran', NULL, NULL, 6427, 8),
(28726, NULL, 'PF10503', NULL, NULL, 'Esterase PHB depolymerase', NULL, 'Esterase_PHB', NULL, NULL, 10778, 8),
(28727, NULL, 'PF04351', NULL, NULL, 'Pilus assembly protein, PilP', NULL, 'PilP', NULL, NULL, 4642, 8),
(28728, NULL, 'PF13002', NULL, NULL, 'Arrestin_N terminal like', NULL, 'LDB19', NULL, NULL, 25049, 8),
(28729, NULL, 'PF07755', NULL, NULL, 'Domain of unknown function (DUF1611_C) P-loop domain', NULL, 'DUF1611', NULL, NULL, 30367, 8),
(28730, NULL, 'PF02137', NULL, NULL, 'Adenosine-deaminase (editase) domain', NULL, 'A_deamin', NULL, NULL, 7080, 8),
(28731, NULL, 'PF16039', NULL, NULL, 'Domain of unknown function (DUF4791)', NULL, 'DUF4791', NULL, NULL, 27882, 8),
(28732, NULL, 'PF15401', NULL, NULL, 'Tryptophan-ring motif of head of Trimeric autotransporter adhesin', NULL, 'TAA-Trp-ring', NULL, NULL, 23364, 8),
(28733, NULL, 'PF15925', NULL, NULL, 'SOSS complex subunit C', NULL, 'SOSSC', NULL, NULL, 23260, 8),
(28734, NULL, 'PF09577', NULL, NULL, 'Sporulation protein YpjB (SpoYpjB)', NULL, 'Spore_YpjB', NULL, NULL, 10556, 8),
(28735, NULL, 'PF10332', NULL, NULL, 'Protein of unknown function (DUF2418)', NULL, 'DUF2418', NULL, NULL, 20295, 8),
(28736, NULL, 'PF09251', NULL, NULL, 'Salmonella phage P22 tail-spike', NULL, 'PhageP22-tail', NULL, NULL, 13583, 8),
(28737, NULL, 'PF14007', NULL, NULL, 'YtpI-like protein', NULL, 'YtpI', NULL, NULL, 28005, 8),
(28738, NULL, 'PF01614', NULL, NULL, 'Bacterial transcriptional regulator', NULL, 'IclR', NULL, NULL, 12797, 8),
(28739, NULL, 'PF15818', NULL, NULL, 'Coiled-coil domain-containing protein 73 family', NULL, 'CCDC73', NULL, NULL, 24829, 8),
(28740, NULL, 'PF16479', NULL, NULL, 'Domain of unknown function (DUF5056)', NULL, 'DUF5056', NULL, NULL, 28143, 8),
(28741, NULL, 'PF00221', NULL, NULL, 'Aromatic amino acid lyase', NULL, 'Lyase_aromatic', NULL, NULL, 2059, 8),
(28742, NULL, 'PF15140', NULL, NULL, 'Domain of unknown function (DUF4573)', NULL, 'DUF4573', NULL, NULL, 27989, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28743, NULL, 'PF09932', NULL, NULL, 'Uncharacterized conserved protein (DUF2164)', NULL, 'DUF2164', NULL, NULL, 17248, 8),
(28744, NULL, 'PF07787', NULL, NULL, 'Transmembrane protein 43', NULL, 'TMEM43', NULL, NULL, 13725, 8),
(28745, NULL, 'PF10184', NULL, NULL, 'Uncharacterized conserved protein (DUF2358)', NULL, 'DUF2358', NULL, NULL, 19287, 8),
(28746, NULL, 'PF16853', NULL, NULL, 'Cell division control protein 13 N-terminus', NULL, 'CDC13_N', NULL, NULL, 23208, 8),
(28747, NULL, 'PF08065', NULL, NULL, 'KI67R (NUC007) repeat', NULL, 'KI67R', NULL, NULL, 9892, 8),
(28748, NULL, 'PF04735', NULL, NULL, 'Baculovirus DNA helicase', NULL, 'Baculo_helicase', NULL, NULL, 3875, 8),
(28749, NULL, 'PF03879', NULL, NULL, 'Cgr1 family', NULL, 'Cgr1', NULL, NULL, 1736, 8),
(28750, NULL, 'PF18760', NULL, NULL, 'ADP-Ribosyltransferase in polyvalent proteins', NULL, 'ART-PolyVal', NULL, NULL, NULL, 8),
(28751, NULL, 'PF10525', NULL, NULL, 'Engrailed homeobox C-terminal signature domain', NULL, 'Engrail_1_C_sig', NULL, NULL, 19478, 8),
(28752, NULL, 'PF12778', NULL, NULL, 'PXPV repeat (3 copies)', NULL, 'PXPV', NULL, NULL, 25641, 8),
(28753, NULL, 'PF13566', NULL, NULL, 'Domain of unknown function (DUF4130', NULL, 'DUF4130', NULL, NULL, 23266, 8),
(28754, NULL, 'PF08842', NULL, NULL, 'Fimbrillin-A associated anchor proteins Mfa1 and Mfa2', NULL, 'Mfa2', NULL, NULL, 14316, 8),
(28755, NULL, 'PF07855', NULL, NULL, 'Autophagy-related protein 101', NULL, 'ATG101', NULL, NULL, 14995, 8),
(28756, NULL, 'PF11973', NULL, NULL, 'NQRA C-terminal domain', NULL, 'NQRA_SLBB', NULL, NULL, 16622, 8),
(28757, NULL, 'PF12928', NULL, NULL, 'tRNA-splicing endonuclease subunit sen54 N-term', NULL, 'tRNA_int_end_N2', NULL, NULL, 25583, 8),
(28758, NULL, 'PF15336', NULL, NULL, 'Autism susceptibility gene 2 protein', NULL, 'Auts2', NULL, NULL, 15705, 8),
(28759, NULL, 'PF14569', NULL, NULL, 'Zinc-binding RING-finger', NULL, 'zf-UDP', NULL, NULL, 25904, 8),
(28760, NULL, 'PF19356', NULL, NULL, 'Domain of unknown function (DUF5933)', NULL, 'DUF5933', NULL, NULL, 39105, 8),
(28761, NULL, 'PF18073', NULL, NULL, 'Rubredoxin metal binding domain', NULL, 'Rubredoxin_2', NULL, NULL, 31209, 8),
(28762, NULL, 'PF16453', NULL, NULL, 'PH domain', NULL, 'IQ_SEC7_PH', NULL, NULL, 34377, 8),
(28763, NULL, 'PF00039', NULL, NULL, 'Fibronectin type I domain', NULL, 'fn1', NULL, NULL, 3614, 8),
(28764, NULL, 'PF13198', NULL, NULL, 'Protein of unknown function (DUF4014)', NULL, 'DUF4014', NULL, NULL, 22762, 8),
(28765, NULL, 'PF13858', NULL, NULL, 'Protein of unknown function (DUF4199)', NULL, 'DUF4199', NULL, NULL, 23937, 8),
(28766, NULL, 'PF18810', NULL, NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease2', NULL, 'PBECR2', NULL, NULL, 31024, 8),
(28767, NULL, 'PF09483', NULL, NULL, 'Type III secretion protein (HpaP)', NULL, 'HpaP', NULL, NULL, 11821, 8),
(28768, NULL, 'PF11589', NULL, NULL, 'Domain of unknown function (DUF3244)', NULL, 'DUF3244', NULL, NULL, 19074, 8),
(28769, NULL, 'PF04823', NULL, NULL, 'Herpesvirus UL49 tegument protein', NULL, 'Herpes_UL49_2', NULL, NULL, 4561, 8),
(28770, NULL, 'PF06244', NULL, NULL, 'Coiled-coil domain-containing protein 124 /Oxs1', NULL, 'Ccdc124', NULL, NULL, 9591, 8),
(28771, NULL, 'PF16531', NULL, NULL, 'Centriolar protein SAS N-terminal', NULL, 'SAS-6_N', NULL, NULL, 25870, 8),
(28772, NULL, 'PF12599', NULL, NULL, 'Protein of unknown function (DUF3768)', NULL, 'DUF3768', NULL, NULL, 21245, 8),
(28773, NULL, 'PF10742', NULL, NULL, 'Protein of unknown function (DUF2555)', NULL, 'DUF2555', NULL, NULL, 20105, 8),
(28774, NULL, 'PF13148', NULL, NULL, 'Protein of unknown function (DUF3987)', NULL, 'DUF3987', NULL, NULL, 23524, 8),
(28775, NULL, 'PF11313', NULL, NULL, 'Protein of unknown function (DUF3116)', NULL, 'DUF3116', NULL, NULL, 18793, 8),
(28776, NULL, 'PF18507', NULL, NULL, 'WW domain', NULL, 'WW_1', NULL, NULL, 1194, 8),
(28777, NULL, 'PF10094', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2332)', NULL, 'DUF2332', NULL, NULL, 10436, 8),
(28778, NULL, 'PF12454', NULL, NULL, 'GPI-anchored cell wall organization protein', NULL, 'Ecm33', NULL, NULL, NULL, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28779, NULL, 'PF16549', NULL, NULL, 'Type II secretion system (T2SS) pilotin, S protein', NULL, 'T2SSS_2', NULL, NULL, 16031, 8),
(28780, NULL, 'PF03052', NULL, NULL, 'Adenoviral protein L1 52/55-kDa', NULL, 'Adeno_52K', NULL, NULL, 4935, 8),
(28781, NULL, 'PF19613', NULL, NULL, 'Family of unknown function (DUF6118)', NULL, 'DUF6118', NULL, NULL, 39689, 8),
(28782, NULL, 'PF03053', NULL, NULL, 'ORF3b coronavirus protein', NULL, 'Corona_NS3b', NULL, NULL, 4705, 8),
(28783, NULL, 'PF05430', NULL, NULL, 'S-adenosyl-L-methionine-dependent methyltransferase', NULL, 'Methyltransf_30', NULL, NULL, 12406, 8),
(28784, NULL, 'PF06243', NULL, NULL, 'Phenylacetic acid degradation B', NULL, 'PaaB', NULL, NULL, 14983, 8),
(28785, NULL, 'PF00723', NULL, NULL, 'Glycosyl hydrolases family 15', NULL, 'Glyco_hydro_15', NULL, NULL, 10963, 8),
(28786, NULL, 'PF20076', NULL, NULL, 'Domain of unknown function (DUF6472)', NULL, 'DUF6472', NULL, NULL, 38598, 8),
(28787, NULL, 'PF00829', NULL, NULL, 'Ribosomal prokaryotic L21 protein', NULL, 'Ribosomal_L21p', NULL, NULL, 25764, 8),
(28788, NULL, 'PF19380', NULL, NULL, 'Family of unknown function (DUF5955)', NULL, 'DUF5955', NULL, NULL, 39325, 8),
(28789, NULL, 'PF03576', NULL, NULL, 'Peptidase family S58', NULL, 'Peptidase_S58', NULL, NULL, 5580, 8),
(28790, NULL, 'PF13894', NULL, NULL, 'C2H2-type zinc finger', NULL, 'zf-C2H2_4', NULL, NULL, NULL, 8),
(28791, NULL, 'PF14717', NULL, NULL, 'Domain of unknown function (DUF4465)', NULL, 'DUF4465', NULL, NULL, 22218, 8),
(28792, NULL, 'PF04194', NULL, NULL, 'Programmed cell death protein 2, C-terminal putative domain', NULL, 'PDCD2_C', NULL, NULL, 4577, 8),
(28793, NULL, 'PF08991', NULL, NULL, 'Mature-T-Cell Proliferation I type', NULL, 'MTCP1', NULL, NULL, 22409, 8),
(28794, NULL, 'PF17472', NULL, NULL, 'Family of unknown function (DUF5425)', NULL, 'DUF5425', NULL, NULL, 18538, 8),
(28795, NULL, 'PF01512', NULL, NULL, 'Respiratory-chain NADH dehydrogenase 51 Kd subunit', NULL, 'Complex1_51K', NULL, NULL, 7776, 8),
(28796, NULL, 'PF08910', NULL, NULL, 'Aida N-terminus', NULL, 'Aida_N', NULL, NULL, 16477, 8),
(28797, NULL, 'PF01331', NULL, NULL, 'mRNA capping enzyme, catalytic domain', NULL, 'mRNA_cap_enzyme', NULL, NULL, 7489, 8),
(28798, NULL, 'PF01314', NULL, NULL, 'Aldehyde ferredoxin oxidoreductase, domains 2 & 3', NULL, 'AFOR_C', NULL, NULL, 1491, 8),
(28799, NULL, 'PF02838', NULL, NULL, 'Glycosyl hydrolase family 20, domain 2', NULL, 'Glyco_hydro_20b', NULL, NULL, 7010, 8),
(28800, NULL, 'PF12170', NULL, NULL, 'DNA polymerase III tau subunit V interacting with alpha', NULL, 'DNA_pol3_tau_5', NULL, NULL, 15004, 8),
(28801, NULL, 'PF09258', NULL, NULL, 'Glycosyl transferase family 64 domain', NULL, 'Glyco_transf_64', NULL, NULL, 13987, 8),
(28802, NULL, 'PF16061', NULL, NULL, 'Domain of unknown function (DUF4803)', NULL, 'DUF4803', NULL, NULL, 24877, 8),
(28803, NULL, 'PF01217', NULL, NULL, 'Clathrin adaptor complex small chain', NULL, 'Clat_adaptor_s', NULL, NULL, 17042, 8),
(28804, NULL, 'PF04235', NULL, NULL, 'Protein of unknown function (DUF418)', NULL, 'DUF418', NULL, NULL, 5553, 8),
(28805, NULL, 'PF14179', NULL, NULL, 'YppG-like protein', NULL, 'YppG', NULL, NULL, 25256, 8),
(28806, NULL, 'PF04083', NULL, NULL, 'Partial alpha/beta-hydrolase lipase region', NULL, 'Abhydro_lipase', NULL, NULL, 2261, 8),
(28807, NULL, 'PF11536', NULL, NULL, 'Protein of unknown function (DUF3226)', NULL, 'DUF3226', NULL, NULL, 25897, 8),
(28808, NULL, 'PF14022', NULL, NULL, 'Protein of unknown function (DUF4238)', NULL, 'DUF4238', NULL, NULL, 22890, 8),
(28809, NULL, 'PF01567', NULL, NULL, 'Hantavirus glycoprotein G1', NULL, 'Hanta_G1', NULL, NULL, 966, 8),
(28810, NULL, 'PF06235', NULL, NULL, 'NADH dehydrogenase subunit 4L (NAD4L)', NULL, 'NAD4L', NULL, NULL, 14825, 8),
(28811, NULL, 'PF08902', NULL, NULL, 'Domain of unknown function (DUF1848)', NULL, 'DUF1848', NULL, NULL, 7599, 8),
(28812, NULL, 'PF04490', NULL, NULL, 'Poxvirus T4 protein, C terminus', NULL, 'Pox_T4_C', NULL, NULL, 1787, 8),
(28813, NULL, 'PF12407', NULL, NULL, 'Homeobox protein', NULL, 'Abdominal-A', NULL, NULL, 21256, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28814, NULL, 'PF06441', NULL, NULL, 'Epoxide hydrolase N terminus', NULL, 'EHN', NULL, NULL, 10690, 8),
(28815, NULL, 'PF00806', NULL, NULL, 'Pumilio-family RNA binding repeat', NULL, 'PUF', NULL, NULL, 2290, 8),
(28816, NULL, 'PF01989', NULL, NULL, 'Aconitase X swivel domain', NULL, 'DUF126', NULL, NULL, 5419, 8),
(28817, NULL, 'PF15877', NULL, NULL, 'Transmembrane protein family 232', NULL, 'TMEM232', NULL, NULL, 24660, 8),
(28818, NULL, 'PF09630', NULL, NULL, 'Domain of unknown function (DUF2024)', NULL, 'DUF2024', NULL, NULL, 15608, 8),
(28819, NULL, 'PF16040', NULL, NULL, 'Domain of unknown function (DUF4792)', NULL, 'DUF4792', NULL, NULL, 27731, 8),
(28820, NULL, 'PF07309', NULL, NULL, 'Flagellar protein FlaF', NULL, 'FlaF', NULL, NULL, 11502, 8),
(28821, NULL, 'PF05303', NULL, NULL, 'Protein of unknown function (DUF727)', NULL, 'DUF727', NULL, NULL, 4398, 8),
(28822, NULL, 'PF10548', NULL, NULL, 'P22AR C-terminal domain', NULL, 'P22_AR_C', NULL, NULL, 21030, 8),
(28823, NULL, 'PF18701', NULL, NULL, 'Family of unknown function (DUF5641)', NULL, 'DUF5641', NULL, NULL, 30785, 8),
(28824, NULL, 'PF17091', NULL, NULL, 'Inovirus G7P protein', NULL, 'Inovirus_G7P_1', NULL, NULL, 25438, 8),
(28825, NULL, 'PF08641', NULL, NULL, 'Kinetochore protein Mis14 like', NULL, 'Mis14', NULL, NULL, 8238, 8),
(28826, NULL, 'PF19835', NULL, NULL, 'Putative endonuclease segE, GIY-YIG domain', NULL, 'SegE_GIY-YIG', NULL, NULL, 38618, 8),
(28827, NULL, 'PF06856', NULL, NULL, 'Protein of unknown function (DUF1251)', NULL, 'DUF1251', NULL, NULL, 11414, 8),
(28828, NULL, 'PF10477', NULL, NULL, 'Nucleocytoplasmic shuttling protein for mRNA cap-binding EIF4E', NULL, 'EIF4E-T', NULL, NULL, 21159, 8),
(28829, NULL, 'PF18520', NULL, NULL, 'Spindle pole body component 110 C-terminal domain', NULL, 'Spc110_C', NULL, NULL, 34352, 8),
(28830, NULL, 'PF16648', NULL, NULL, 'Unstructured region on Calpain-3', NULL, 'Calpain_u2', NULL, NULL, NULL, 8),
(28831, NULL, 'PF13329', NULL, NULL, 'Autophagy-related protein 2 CAD motif', NULL, 'ATG2_CAD', NULL, NULL, 28741, 8),
(28832, NULL, 'PF07463', NULL, NULL, 'NUMOD4 motif', NULL, 'NUMOD4', NULL, NULL, 12021, 8),
(28833, NULL, 'PF07758', NULL, NULL, 'Protein of unknown function (DUF1614)', NULL, 'DUF1614', NULL, NULL, 10610, 8),
(28834, NULL, 'PF08268', NULL, NULL, 'F-box associated domain', NULL, 'FBA_3', NULL, NULL, 17527, 8),
(28835, NULL, 'PF02355', NULL, NULL, 'Protein export membrane protein', NULL, 'SecD_SecF', NULL, NULL, 14887, 8),
(28836, NULL, 'PF01293', NULL, NULL, 'Phosphoenolpyruvate carboxykinase', NULL, 'PEPCK_ATP', NULL, NULL, 5043, 8),
(28837, NULL, 'PF04473', NULL, NULL, 'Transglutaminase-like domain', NULL, 'DUF553', NULL, NULL, 1278, 8),
(28838, NULL, 'PF04898', NULL, NULL, 'Glutamate synthase central domain', NULL, 'Glu_syn_central', NULL, NULL, 5584, 8),
(28839, NULL, 'PF19315', NULL, NULL, 'Mesaconyl-CoA hydratase', NULL, 'MC_hydratase', NULL, NULL, 39994, 8),
(28840, NULL, 'PF08051', NULL, NULL, 'Erythromycin resistance leader peptide', NULL, 'Ery_res_leader1', NULL, NULL, 9804, 8),
(28841, NULL, 'PF16911', NULL, NULL, 'Phthiocerol/phthiodiolone dimycocerosyl transferase C-terminus', NULL, 'PapA_C', NULL, NULL, 26759, 8),
(28842, NULL, 'PF09063', NULL, NULL, 'Phage PP7 coat protein', NULL, 'Phage_coat', NULL, NULL, 9533, 8),
(28843, NULL, 'PF11878', NULL, NULL, 'Domain of unknown function (DUF3398)', NULL, 'DUF3398', NULL, NULL, 20212, 8),
(28844, NULL, 'PF00146', NULL, NULL, 'NADH dehydrogenase', NULL, 'NADHdh', NULL, NULL, 3076, 8),
(28845, NULL, 'PF04634', NULL, NULL, 'Protein of unknown function, DUF600', NULL, 'DUF600', NULL, NULL, 2069, 8),
(28846, NULL, 'PF12900', NULL, NULL, 'Pyridoxamine 5''-phosphate oxidase', NULL, 'Pyridox_ox_2', NULL, NULL, 19154, 8),
(28847, NULL, 'PF13724', NULL, NULL, 'DNA-binding domain', NULL, 'DNA_binding_2', NULL, NULL, 25053, 8),
(28848, NULL, 'PF06061', NULL, NULL, 'Baculoviridae ME53', NULL, 'Baculo_ME53', NULL, NULL, 8720, 8),
(28849, NULL, 'PF16683', NULL, NULL, 'Transglutaminase elicitor', NULL, 'TGase_elicitor', NULL, NULL, 26862, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28850, NULL, 'PF00235', NULL, NULL, 'Profilin', NULL, 'Profilin', NULL, NULL, 769, 8),
(28851, NULL, 'PF18381', NULL, NULL, 'YcaO cyclodehydratase C-terminal domain', NULL, 'YcaO_C', NULL, NULL, 31224, 8),
(28852, NULL, 'PF13228', NULL, NULL, 'Domain of unknown function (DUF4037)', NULL, 'DUF4037', NULL, NULL, 23576, 8),
(28853, NULL, 'PF03145', NULL, NULL, 'Seven in absentia protein family', NULL, 'Sina', NULL, NULL, 13889, 8),
(28854, NULL, 'PF19846', NULL, NULL, 'Domain of unknown function (DUF6321)', NULL, 'DUF6321', NULL, NULL, 39710, 8),
(28855, NULL, 'PF13868', NULL, NULL, 'Trichohyalin-plectin-homology domain', NULL, 'TPH', NULL, NULL, 37575, 8),
(28856, NULL, 'PF01980', NULL, NULL, 'tRNA-methyltransferase O', NULL, 'TrmO', NULL, NULL, 15792, 8),
(28857, NULL, 'PF00022', NULL, NULL, 'Actin', NULL, 'Actin', NULL, NULL, 974, 8),
(28858, NULL, 'PF04789', NULL, NULL, 'Protein of unknown function (DUF621)', NULL, 'DUF621', NULL, NULL, 4671, 8),
(28859, NULL, 'PF11751', NULL, NULL, 'Type IX secretion system membrane protein PorP/SprF', NULL, 'PorP_SprF', NULL, NULL, 16638, 8),
(28860, NULL, 'PF05091', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit 7 (eIF-3)', NULL, 'eIF-3_zeta', NULL, NULL, 2267, 8),
(28861, NULL, 'PF15640', NULL, NULL, 'Metallopeptidase toxin 4', NULL, 'Tox-MPTase4', NULL, NULL, 26389, 8),
(28862, NULL, 'PF09097', NULL, NULL, 'Baseplate structural protein, domain 1', NULL, 'Phage-tail_1', NULL, NULL, 10802, 8),
(28863, NULL, 'PF13920', NULL, NULL, 'Zinc finger, C3HC4 type (RING finger)', NULL, 'zf-C3HC4_3', NULL, NULL, NULL, 8),
(28864, NULL, 'PF11869', NULL, NULL, 'Protein of unknown function (DUF3389)', NULL, 'DUF3389', NULL, NULL, 19518, 8),
(28865, NULL, 'PF12975', NULL, NULL, 'Domain of unknown function (DUF3859)', NULL, 'DUF3859', NULL, NULL, 28845, 8),
(28866, NULL, 'PF19825', NULL, NULL, 'Domain of unknown function (DUF6306)', NULL, 'DUF6306', NULL, NULL, 39742, 8),
(28867, NULL, 'PF19236', NULL, NULL, 'ADAM cysteine-rich domain', NULL, 'ADAM_CR_3', NULL, NULL, 39889, 8),
(28868, NULL, 'PF14901', NULL, NULL, 'Cleavage inducing molecular chaperone', NULL, 'Jiv90', NULL, NULL, 22520, 8),
(28869, NULL, 'PF08351', NULL, NULL, 'Domain of unknown function (DUF1726)', NULL, 'DUF1726', NULL, NULL, 13315, 8),
(28870, NULL, 'PF07857', NULL, NULL, 'Transmembrane family, TMEM144 of transporters', NULL, 'TMEM144', NULL, NULL, 14864, 8),
(28871, NULL, 'PF08488', NULL, NULL, 'Wall-associated kinase', NULL, 'WAK', NULL, NULL, 13947, 8),
(28872, NULL, 'PF07150', NULL, NULL, 'Protein of unknown function (DUF1390)', NULL, 'DUF1390', NULL, NULL, 13557, 8),
(28873, NULL, 'PF00066', NULL, NULL, 'LNR domain', NULL, 'Notch', NULL, NULL, 6643, 8),
(28874, NULL, 'PF10963', NULL, NULL, 'Phage tail assembly chaperone', NULL, 'Phage_TAC_10', NULL, NULL, 22703, 8),
(28875, NULL, 'PF18574', NULL, NULL, 'C2HC Zing finger domain', NULL, 'zf_C2HC_14', NULL, NULL, 15880, 8),
(28876, NULL, 'PF03003', NULL, NULL, 'Pox virus entry-fusion-complex G9/A16', NULL, 'Pox_G9-A16', NULL, NULL, 3645, 8),
(28877, NULL, 'PF12766', NULL, NULL, 'Pyridoxamine 5''-phosphate oxidase', NULL, 'Pyridox_oxase_2', NULL, NULL, 25382, 8),
(28878, NULL, 'PF06252', NULL, NULL, 'Protein of unknown function (DUF1018)', NULL, 'DUF1018', NULL, NULL, 14627, 8),
(28879, NULL, 'PF13281', NULL, NULL, 'MAP3K TRAFs-binding domain', NULL, 'MAP3K_TRAF_bd', NULL, NULL, 22656, 8),
(28880, NULL, 'PF17042', NULL, NULL, 'Nucleotide-binding C-terminal domain', NULL, 'NBD_C', NULL, NULL, 23664, 8),
(28881, NULL, 'PF10815', NULL, NULL, 'ComZ', NULL, 'ComZ', NULL, NULL, 28820, 8),
(28882, NULL, 'PF07745', NULL, NULL, 'Glycosyl hydrolase family 53', NULL, 'Glyco_hydro_53', NULL, NULL, 10856, 8),
(28883, NULL, 'PF11384', NULL, NULL, 'Protein of unknown function (DUF3188)', NULL, 'DUF3188', NULL, NULL, 18537, 8),
(28884, NULL, 'PF06717', NULL, NULL, 'Protein of unknown function (DUF1202)', NULL, 'DUF1202', NULL, NULL, 1584, 8),
(28885, NULL, 'PF01872', NULL, NULL, 'RibD C-terminal domain', NULL, 'RibD_C', NULL, NULL, 3816, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28886, NULL, 'PF14619', NULL, NULL, 'Snf2-ATP coupling, chromatin remodelling complex', NULL, 'SnAC', NULL, NULL, 28988, 8),
(28887, NULL, 'PF18305', NULL, NULL, '3'' to 5'' exonuclease C-terminal domain', NULL, 'DNA_pol_A_exoN', NULL, NULL, 32449, 8),
(28888, NULL, 'PF12322', NULL, NULL, 'T4 bacteriophage base plate protein', NULL, 'T4_baseplate', NULL, NULL, 22894, 8),
(28889, NULL, 'PF00664', NULL, NULL, 'ABC transporter transmembrane region', NULL, 'ABC_membrane', NULL, NULL, 12360, 8),
(28890, NULL, 'PF00960', NULL, NULL, 'Neocarzinostatin family', NULL, 'Neocarzinostat', NULL, NULL, 1410, 8),
(28891, NULL, 'PF18221', NULL, NULL, 'Mutator 2 Fork head associated domain', NULL, 'MU2_FHA', NULL, NULL, 29901, 8),
(28892, NULL, 'PF04281', NULL, NULL, 'Mitochondrial import receptor subunit Tom22', NULL, 'Tom22', NULL, NULL, 3735, 8),
(28893, NULL, 'PF11540', NULL, NULL, 'Cytoplasmic dynein 1 intermediate chain 2', NULL, 'Dynein_IC2', NULL, NULL, 25805, 8),
(28894, NULL, 'PF17761', NULL, NULL, 'DUF1016 N-terminal domain', NULL, 'DUF1016_N', NULL, NULL, 32304, 8),
(28895, NULL, 'PF01265', NULL, NULL, 'Cytochrome c/c1 heme lyase', NULL, 'Cyto_heme_lyase', NULL, NULL, 6648, 8),
(28896, NULL, 'PF02669', NULL, NULL, 'K+-transporting ATPase, c chain', NULL, 'KdpC', NULL, NULL, 3176, 8),
(28897, NULL, 'PF06113', NULL, NULL, 'Brain and reproductive organ-expressed protein (BRE)', NULL, 'BRE', NULL, NULL, 8969, 8),
(28898, NULL, 'PF02073', NULL, NULL, 'Thermophilic metalloprotease (M29)', NULL, 'Peptidase_M29', NULL, NULL, 4756, 8),
(28899, NULL, 'PF02163', NULL, NULL, 'Peptidase family M50', NULL, 'Peptidase_M50', NULL, NULL, 1746, 8),
(28900, NULL, 'PF14675', NULL, NULL, 'FANCI solenoid 1', NULL, 'FANCI_S1', NULL, NULL, 28525, 8),
(28901, NULL, 'PF15869', NULL, NULL, 'TolB-like 6-blade propeller-like', NULL, 'TolB_like', NULL, NULL, NULL, 8),
(28902, NULL, 'PF16628', NULL, NULL, 'Unstructured region on maltose acetyltransferase', NULL, 'Mac_assoc', NULL, NULL, NULL, 8),
(28903, NULL, 'PF06646', NULL, NULL, 'High affinity transport system protein p37', NULL, 'Mycoplasma_p37', NULL, NULL, 8370, 8),
(28904, NULL, 'PF03711', NULL, NULL, 'Orn/Lys/Arg decarboxylase, C-terminal domain', NULL, 'OKR_DC_1_C', NULL, NULL, 9643, 8),
(28905, NULL, 'PF08014', NULL, NULL, 'Domain of unknown function (DUF1704)', NULL, 'DUF1704', NULL, NULL, 8827, 8),
(28906, NULL, 'PF02189', NULL, NULL, 'Immunoreceptor tyrosine-based activation motif', NULL, 'ITAM', NULL, NULL, 1210, 8),
(28907, NULL, 'PF06195', NULL, NULL, 'Protein of unknown function (DUF996)', NULL, 'DUF996', NULL, NULL, 9926, 8),
(28908, NULL, 'PF01513', NULL, NULL, 'ATP-NAD kinase N-terminal domain', NULL, 'NAD_kinase', NULL, NULL, 541, 8),
(28909, NULL, 'PF12952', NULL, NULL, 'Domain of unknown function (DUF3841)', NULL, 'DUF3841', NULL, NULL, 21929, 8),
(28910, NULL, 'PF05693', NULL, NULL, 'Glycogen synthase', NULL, 'Glycogen_syn', NULL, NULL, 14446, 8),
(28911, NULL, 'PF07574', NULL, NULL, 'Nse1 non-SMC component of SMC5-6 complex', NULL, 'SMC_Nse1', NULL, NULL, 12754, 8),
(28912, NULL, 'PF11820', NULL, NULL, 'Protein of unknown function (DUF3339)', NULL, 'DUF3339', NULL, NULL, 19626, 8),
(28913, NULL, 'PF01021', NULL, NULL, 'Ty transposon capsid protein', NULL, 'TYA', NULL, NULL, 13666, 8),
(28914, NULL, 'PF07996', NULL, NULL, 'Type IV secretion system proteins', NULL, 'T4SS', NULL, NULL, 14119, 8),
(28915, NULL, 'PF04766', NULL, NULL, 'Nucleopolyhedrovirus p26 protein', NULL, 'Baculo_p26', NULL, NULL, 4409, 8),
(28916, NULL, 'PF10243', NULL, NULL, 'Microtubule-binding protein MIP-T3 CH-like domain', NULL, 'MIP-T3', NULL, NULL, 29696, 8),
(28917, NULL, 'PF19799', NULL, NULL, 'Family of unknown function (DUF6282)', NULL, 'DUF6282', NULL, NULL, 39941, 8),
(28918, NULL, 'PF08954', NULL, NULL, 'Trimerisation motif', NULL, 'Trimer_CC', NULL, NULL, 7895, 8),
(28919, NULL, 'PF05744', NULL, NULL, 'Benyvirus P25/P26 protein', NULL, 'Benyvirus_P25', NULL, NULL, 8747, 8),
(28920, NULL, 'PF08844', NULL, NULL, 'Domain of unknown function (DUF1815)', NULL, 'DUF1815', NULL, NULL, 14430, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28921, NULL, 'PF09137', NULL, NULL, 'Glucodextranase, domain N', NULL, 'Glucodextran_N', NULL, NULL, 10841, 8),
(28922, NULL, 'PF16544', NULL, NULL, 'Homodimerisation region of STAR domain protein', NULL, 'STAR_dimer', NULL, NULL, 22373, 8),
(28923, NULL, 'PF02130', NULL, NULL, 'Endoribonuclease YbeY', NULL, 'YbeY', NULL, NULL, 2356, 8),
(28924, NULL, 'PF03488', NULL, NULL, 'Nematode insulin-related peptide beta type', NULL, 'Ins_beta', NULL, NULL, 2734, 8),
(28925, NULL, 'PF08325', NULL, NULL, 'WLM domain', NULL, 'WLM', NULL, NULL, 13446, 8),
(28926, NULL, 'PF11560', NULL, NULL, 'Lamina-associated polypeptide 2 alpha', NULL, 'LAP2alpha', NULL, NULL, 19433, 8),
(28927, NULL, 'PF17409', NULL, NULL, 'MoaF C-terminal domain', NULL, 'MoaF_C', NULL, NULL, 33114, 8),
(28928, NULL, 'PF17265', NULL, NULL, 'Family of unknown function (DUF5331)', NULL, 'DUF5331', NULL, NULL, 19893, 8),
(28929, NULL, 'PF15568', NULL, NULL, 'Immunity protein 39', NULL, 'Imm39', NULL, NULL, 26107, 8),
(28930, NULL, 'PF18204', NULL, NULL, 'PGF-CTERM motif', NULL, 'PGF-CTERM', NULL, NULL, NULL, 8),
(28931, NULL, 'PF02053', NULL, NULL, 'Gene 66 (IR5) protein', NULL, 'Gene66', NULL, NULL, 3583, 8),
(28932, NULL, 'PF17063', NULL, NULL, 'Phenol-soluble modulin alpha peptide family', NULL, 'PSMalpha', NULL, NULL, 28490, 8),
(28933, NULL, 'PF05359', NULL, NULL, 'Domain of Unknown Function (DUF748)', NULL, 'DUF748', NULL, NULL, 5024, 8),
(28934, NULL, 'PF09305', NULL, NULL, 'TACI, cysteine-rich domain', NULL, 'TACI-CRD2', NULL, NULL, 14421, 8),
(28935, NULL, 'PF09428', NULL, NULL, 'Fungal protein of unknown function (DUF2011)', NULL, 'DUF2011', NULL, NULL, 15652, 8),
(28936, NULL, 'PF06971', NULL, NULL, 'Putative DNA-binding protein N-terminus', NULL, 'Put_DNA-bind_N', NULL, NULL, 12499, 8),
(28937, NULL, 'PF15932', NULL, NULL, 'Domain of unknown function (DUF4748)', NULL, 'DUF4748', NULL, NULL, 27034, 8),
(28938, NULL, 'PF05524', NULL, NULL, 'PEP-utilising enzyme, N-terminal', NULL, 'PEP-utilisers_N', NULL, NULL, 12037, 8),
(28939, NULL, 'PF08828', NULL, NULL, 'Doublesex dimerisation domain', NULL, 'DSX_dimer', NULL, NULL, 14286, 8),
(28940, NULL, 'PF16743', NULL, NULL, 'Periplasmic lysozyme inhibitor of I-type lysozyme', NULL, 'PliI', NULL, NULL, 23571, 8),
(28941, NULL, 'PF18447', NULL, NULL, 'Fibronectin type III domain', NULL, 'FN3_7', NULL, NULL, 31538, 8),
(28942, NULL, 'PF05207', NULL, NULL, 'CSL zinc finger', NULL, 'zf-CSL', NULL, NULL, 3318, 8),
(28943, NULL, 'PF11426', NULL, NULL, 'Tn7 transposition regulator TnsC', NULL, 'Tn7_TnsC_Int', NULL, NULL, 18674, 8),
(28944, NULL, 'PF04202', NULL, NULL, 'Foot protein 3', NULL, 'Mfp-3', NULL, NULL, 5367, 8),
(28945, NULL, 'PF07747', NULL, NULL, 'MTH865-like family', NULL, 'MTH865', NULL, NULL, 12883, 8),
(28946, NULL, 'PF04993', NULL, NULL, 'TfoX N-terminal domain', NULL, 'TfoX_N', NULL, NULL, 7106, 8),
(28947, NULL, 'PF10361', NULL, NULL, 'Protein of unknown function (DUF2434)', NULL, 'DUF2434', NULL, NULL, 20225, 8),
(28948, NULL, 'PF15776', NULL, NULL, 'Proline-rich protein family 22', NULL, 'PRR22', NULL, NULL, 27492, 8),
(28949, NULL, 'PF12098', NULL, NULL, 'Protein of unknown function (DUF3574)', NULL, 'DUF3574', NULL, NULL, 20571, 8),
(28950, NULL, 'PF12984', NULL, NULL, 'Domain of unknown function, B. Theta Gene description (DUF3868)', NULL, 'DUF3868', NULL, NULL, 23319, 8),
(28951, NULL, 'PF10165', NULL, NULL, 'Guanine nucleotide exchange factor synembryn', NULL, 'Ric8', NULL, NULL, 15072, 8),
(28952, NULL, 'PF14163', NULL, NULL, 'Super-infection exclusion protein B', NULL, 'SieB', NULL, NULL, 25822, 8),
(28953, NULL, 'PF05093', NULL, NULL, 'Cytokine-induced anti-apoptosis inhibitor 1, Fe-S biogenesis', NULL, 'CIAPIN1', NULL, NULL, 2085, 8),
(28954, NULL, 'PF19105', NULL, NULL, 'Family of unknown function (DUF5792)', NULL, 'DUF5792', NULL, NULL, 38220, 8),
(28955, NULL, 'PF03649', NULL, NULL, 'Uncharacterised protein family (UPF0014)', NULL, 'UPF0014', NULL, NULL, 11402, 8),
(28956, NULL, 'PF17704', NULL, NULL, 'Family of unknown function (DUF5550)', NULL, 'DUF5550', NULL, NULL, 34343, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28957, NULL, 'PF17952', NULL, NULL, 'Cas6 N-terminal domain', NULL, 'Cas6_N', NULL, NULL, 31480, 8),
(28958, NULL, 'PF00596', NULL, NULL, 'Class II Aldolase and Adducin N-terminal domain', NULL, 'Aldolase_II', NULL, NULL, 364, 8),
(28959, NULL, 'PF09768', NULL, NULL, 'Peptidase M76 family', NULL, 'Peptidase_M76', NULL, NULL, 18595, 8),
(28960, NULL, 'PF02893', NULL, NULL, 'GRAM domain', NULL, 'GRAM', NULL, NULL, 2922, 8),
(28961, NULL, 'PF11082', NULL, NULL, 'Protein of unknown function (DUF2880)', NULL, 'DUF2880', NULL, NULL, 17905, 8),
(28962, NULL, 'PF02825', NULL, NULL, 'WWE domain', NULL, 'WWE', NULL, NULL, 2864, 8),
(28963, NULL, 'PF06682', NULL, NULL, 'SOCE-associated regulatory factor of calcium homoeostasis', NULL, 'SARAF', NULL, NULL, 646, 8),
(28964, NULL, 'PF06098', NULL, NULL, 'Radial spoke protein 3', NULL, 'Radial_spoke_3', NULL, NULL, 13978, 8),
(28965, NULL, 'PF02503', NULL, NULL, 'Polyphosphate kinase middle domain', NULL, 'PP_kinase', NULL, NULL, 28539, 8),
(28966, NULL, 'PF16889', NULL, NULL, 'Heparinase II/III N-terminus', NULL, 'Hepar_II_III_N', NULL, NULL, 23028, 8),
(28967, NULL, 'PF08878', NULL, NULL, 'Cap4 SAVED domain', NULL, 'Cap4_SAVED', NULL, NULL, 14156, 8),
(28968, NULL, 'PF16806', NULL, NULL, 'Antiactivator protein ExsD', NULL, 'ExsD', NULL, NULL, 22664, 8),
(28969, NULL, 'PF11176', NULL, NULL, 'Translation machinery-associated protein 16', NULL, 'Tma16', NULL, NULL, 18401, 8),
(28970, NULL, 'PF18005', NULL, NULL, 'eIF3 subunit M, C-terminal helix', NULL, 'eIF3m_C_helix', NULL, NULL, 31083, 8),
(28971, NULL, 'PF01250', NULL, NULL, 'Ribosomal protein S6', NULL, 'Ribosomal_S6', NULL, NULL, 5865, 8),
(28972, NULL, 'PF13906', NULL, NULL, 'C-terminus of AA_permease', NULL, 'AA_permease_C', NULL, NULL, 28580, 8),
(28973, NULL, 'PF16951', NULL, NULL, 'Putative methionine and alanine importer, small subunit', NULL, 'MaAIMP_sms', NULL, NULL, 23271, 8),
(28974, NULL, 'PF08026', NULL, NULL, 'Bee antimicrobial peptide', NULL, 'Antimicrobial_5', NULL, NULL, 12775, 8),
(28975, NULL, 'PF10076', NULL, NULL, 'Uncharacterised protein conserved in bacteria (DUF2313)', NULL, 'DUF2313', NULL, NULL, 18873, 8),
(28976, NULL, 'PF01539', NULL, NULL, 'Hepatitis C virus envelope glycoprotein E1', NULL, 'HCV_env', NULL, NULL, 610, 8),
(28977, NULL, 'PF19058', NULL, NULL, 'Family of unknown function (DUF5754)', NULL, 'DUF5754', NULL, NULL, 38482, 8),
(28978, NULL, 'PF19508', NULL, NULL, 'Family of unknown function (DUF6042)', NULL, 'DUF6042', NULL, NULL, 39584, 8),
(28979, NULL, 'PF11667', NULL, NULL, 'Putative zincin peptidase', NULL, 'DUF3267', NULL, NULL, 19004, 8),
(28980, NULL, 'PF11918', NULL, NULL, 'N-terminal domain of Peptidase_S41 in eukaryotic IRBP', NULL, 'Peptidase_S41_N', NULL, NULL, NULL, 8),
(28981, NULL, 'PF12341', NULL, NULL, 'Minichromosome loss protein, Mcl1, middle region', NULL, 'Mcl1_mid', NULL, NULL, 20832, 8),
(28982, NULL, 'PF11116', NULL, NULL, 'Protein of unknown function (DUF2624)', NULL, 'DUF2624', NULL, NULL, 19848, 8),
(28983, NULL, 'PF01914', NULL, NULL, 'MarC family integral membrane protein', NULL, 'MarC', NULL, NULL, 4859, 8),
(28984, NULL, 'PF11612', NULL, NULL, 'Type II secretion system (T2SS), protein J', NULL, 'T2SSJ', NULL, NULL, 5153, 8),
(28985, NULL, 'PF01291', NULL, NULL, 'LIF / OSM family', NULL, 'LIF_OSM', NULL, NULL, 5094, 8),
(28986, NULL, 'PF17324', NULL, NULL, 'BLOC-1 interactor 1', NULL, 'BLI1', NULL, NULL, 21440, 8),
(28987, NULL, 'PF05296', NULL, NULL, 'Taste receptor protein (TAS2R)', NULL, 'TAS2R', NULL, NULL, 4003, 8),
(28988, NULL, 'PF06551', NULL, NULL, 'Protein of unknown function (DUF1120)', NULL, 'DUF1120', NULL, NULL, 14674, 8),
(28989, NULL, 'PF08986', NULL, NULL, 'Domain of unknown function (DUF1889)', NULL, 'DUF1889', NULL, NULL, 8983, 8),
(28990, NULL, 'PF15961', NULL, NULL, 'Domain of unknown function (DUF4764)', NULL, 'DUF4764', NULL, NULL, 28810, 8),
(28991, NULL, 'PF13832', NULL, NULL, 'PHD-zinc-finger like domain', NULL, 'zf-HC5HC2H_2', NULL, NULL, NULL, 8),
(28992, NULL, 'PF18028', NULL, NULL, 'Zmiz1 N-terminal tetratricopeptide repeat domain', NULL, 'Zmiz1_N', NULL, NULL, 31465, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(28993, NULL, 'PF16769', NULL, NULL, 'MCM3AP domain of GANP', NULL, 'MCM3AP_GANP', NULL, NULL, 22741, 8),
(28994, NULL, 'PF19582', NULL, NULL, 'Family of unknown function (DUF6091)', NULL, 'DUF6091', NULL, NULL, 39932, 8),
(28995, NULL, 'PF20035', NULL, NULL, 'Family of unknown function (DUF6439)', NULL, 'DUF6439', NULL, NULL, 39988, 8),
(28996, NULL, 'PF03157', NULL, NULL, 'High molecular weight glutenin subunit', NULL, 'Glutenin_hmw', NULL, NULL, 6676, 8),
(28997, NULL, 'PF12229', NULL, NULL, 'Putative peptidoglycan binding domain', NULL, 'PG_binding_4', NULL, NULL, 20957, 8),
(28998, NULL, 'PF11262', NULL, NULL, 'Transcription factor/nuclear export subunit protein 2', NULL, 'Tho2', NULL, NULL, 18385, 8),
(28999, NULL, 'PF03724', NULL, NULL, 'META domain', NULL, 'META', NULL, NULL, 5310, 8),
(29000, NULL, 'PF00448', NULL, NULL, 'SRP54-type protein, GTPase domain', NULL, 'SRP54', NULL, NULL, 299, 8),
(29001, NULL, 'PF01434', NULL, NULL, 'Peptidase family M41', NULL, 'Peptidase_M41', NULL, NULL, 6708, 8),
(29002, NULL, 'PF12530', NULL, NULL, 'Protein of unknown function (DUF3730)', NULL, 'DUF3730', NULL, NULL, 16593, 8),
(29003, NULL, 'PF09284', NULL, NULL, 'Rhamnogalacturonan lyase B, N-terminal', NULL, 'RhgB_N', NULL, NULL, 13785, 8),
(29004, NULL, 'PF13597', NULL, NULL, 'Anaerobic ribonucleoside-triphosphate reductase', NULL, 'NRDD', NULL, NULL, 12767, 8),
(29005, NULL, 'PF16539', NULL, NULL, 'Flagellar assembly protein T, middle domain', NULL, 'FlgT_M', NULL, NULL, 26722, 8),
(29006, NULL, 'PF15387', NULL, NULL, 'Domain of unknown function (DUF4611)', NULL, 'DUF4611', NULL, NULL, 27935, 8),
(29007, NULL, 'PF03955', NULL, NULL, 'Adenovirus hexon-associated protein (IX)', NULL, 'Adeno_PIX', NULL, NULL, 2695, 8),
(29008, NULL, 'PF13220', NULL, NULL, 'Protein of unknown function (DUF4028)', NULL, 'DUF4028', NULL, NULL, 23994, 8),
(29009, NULL, 'PF08199', NULL, NULL, 'Bacteriophage E2-like protein', NULL, 'E2', NULL, NULL, 17662, 8),
(29010, NULL, 'PF10839', NULL, NULL, 'Protein of unknown function (DUF2647)', NULL, 'DUF2647', NULL, NULL, 16966, 8),
(29011, NULL, 'PF19339', NULL, NULL, 'Domain of unknown function (DUF5922)', NULL, 'DUF5922', NULL, NULL, 36554, 8),
(29012, NULL, 'PF16480', NULL, NULL, 'Domain of unknown function (DUF5057)', NULL, 'DUF5057', NULL, NULL, 18052, 8),
(29013, NULL, 'PF17260', NULL, NULL, 'Family of unknown function (DUF5326)', NULL, 'DUF5326', NULL, NULL, 21008, 8),
(29014, NULL, 'PF13681', NULL, NULL, 'Type IV pilus assembly protein PilX C-term', NULL, 'PilX', NULL, NULL, 21849, 8),
(29015, NULL, 'PF19371', NULL, NULL, 'Family of unknown function (DUF5946)', NULL, 'DUF5946', NULL, NULL, 39095, 8),
(29016, NULL, 'PF05563', NULL, NULL, 'Salmonella plasmid virulence protein SpvD', NULL, 'SpvD', NULL, NULL, 14170, 8),
(29017, NULL, 'PF07377', NULL, NULL, 'Protein of unknown function (DUF1493)', NULL, 'DUF1493', NULL, NULL, 11755, 8),
(29018, NULL, 'PF10850', NULL, NULL, 'Protein of unknown function (DUF2653)', NULL, 'DUF2653', NULL, NULL, 19814, 8),
(29019, NULL, 'PF09965', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2199)', NULL, 'DUF2199', NULL, NULL, 17865, 8),
(29020, NULL, 'PF18603', NULL, NULL, 'L-amino acid ligase C-terminal domain 2', NULL, 'LAL_C2', NULL, NULL, 29834, 8),
(29021, NULL, 'PF19310', NULL, NULL, 'Neurolysin/Thimet oligopeptidase, N-terminal domain', NULL, 'TOP_N', NULL, NULL, 39891, 8),
(29022, NULL, 'PF00832', NULL, NULL, 'Ribosomal L39 protein', NULL, 'Ribosomal_L39', NULL, NULL, 2836, 8),
(29023, NULL, 'PF00931', NULL, NULL, 'NB-ARC domain', NULL, 'NB-ARC', NULL, NULL, 1500, 8),
(29024, NULL, 'PF01737', NULL, NULL, 'YCF9', NULL, 'Ycf9', NULL, NULL, 2872, 8),
(29025, NULL, 'PF08750', NULL, NULL, 'CNP1-like family', NULL, 'CNP1', NULL, NULL, 13333, 8),
(29026, NULL, 'PF14500', NULL, NULL, 'Dos2-interacting transcription regulator of RNA-Pol-II', NULL, 'MMS19_N', NULL, NULL, 24330, 8),
(29027, NULL, 'PF19090', NULL, NULL, 'Family of unknown function (DUF5778)', NULL, 'DUF5778', NULL, NULL, 37619, 8),
(29028, NULL, 'PF13922', NULL, NULL, 'PHD domain of transcriptional enhancer, Asx', NULL, 'PHD_3', NULL, NULL, 28839, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29029, NULL, 'PF17041', NULL, NULL, 'E domain', NULL, 'SasG_E', NULL, NULL, 23546, 8),
(29030, NULL, 'PF00763', NULL, NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase, catalytic domain', NULL, 'THF_DHG_CYH', NULL, NULL, 20434, 8),
(29031, NULL, 'PF09311', NULL, NULL, 'Rabaptin-like protein', NULL, 'Rab5-bind', NULL, NULL, 14006, 8),
(29032, NULL, 'PF08861', NULL, NULL, 'Domain of unknown function DUF1828', NULL, 'DUF1828', NULL, NULL, 14040, 8),
(29033, NULL, 'PF02561', NULL, NULL, 'Flagellar protein FliS', NULL, 'FliS', NULL, NULL, 2038, 8),
(29034, NULL, 'PF03493', NULL, NULL, 'Calcium-activated BK potassium channel alpha subunit', NULL, 'BK_channel_a', NULL, NULL, 6211, 8),
(29035, NULL, 'PF07028', NULL, NULL, 'Protein of unknown function (DUF1319)', NULL, 'DUF1319', NULL, NULL, 10224, 8),
(29036, NULL, 'PF16828', NULL, NULL, 'GAG-binding domain on surface antigen', NULL, 'GAGBD', NULL, NULL, 22691, 8),
(29037, NULL, 'PF17856', NULL, NULL, 'TIP49 AAA-lid domain', NULL, 'TIP49_C', NULL, NULL, 32462, 8),
(29038, NULL, 'PF10978', NULL, NULL, 'Protein of unknown function (DUF2785)', NULL, 'DUF2785', NULL, NULL, 17845, 8),
(29039, NULL, 'PF15862', NULL, NULL, 'Coilin N-terminus', NULL, 'Coilin_N', NULL, NULL, 27272, 8),
(29040, NULL, 'PF01515', NULL, NULL, 'Phosphate acetyl/butaryl transferase', NULL, 'PTA_PTB', NULL, NULL, 795, 8),
(29041, NULL, 'PF09974', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2209)', NULL, 'DUF2209', NULL, NULL, 11709, 8),
(29042, NULL, 'PF11150', NULL, NULL, 'Protein of unknown function (DUF2927)', NULL, 'DUF2927', NULL, NULL, 17520, 8),
(29043, NULL, 'PF11828', NULL, NULL, 'Protein of unknown function (DUF3348)', NULL, 'DUF3348', NULL, NULL, 19911, 8),
(29044, NULL, 'PF04182', NULL, NULL, 'B-block binding subunit of TFIIIC', NULL, 'B-block_TFIIIC', NULL, NULL, 4788, 8),
(29045, NULL, 'PF18243', NULL, NULL, 'Metal-independent restriction enzyme BfiI DNA binding domain', NULL, 'BfiI_DBD', NULL, NULL, 30680, 8),
(29046, NULL, 'PF12219', NULL, NULL, 'Catalytic domain of bacteriophage endosialidase', NULL, 'End_tail_spike', NULL, NULL, 28674, 8),
(29047, NULL, 'PF15512', NULL, NULL, 'Chromatin assembly factor complex 1 subunit p60, C-terminal', NULL, 'CAF-1_p60_C', NULL, NULL, 25288, 8),
(29048, NULL, 'PF19019', NULL, NULL, 'Phlebovirus glycoprotein G2 C-terminal domain', NULL, 'Phlebo_G2_C', NULL, NULL, 37778, 8),
(29049, NULL, 'PF07166', NULL, NULL, 'Protein of unknown function (DUF1398)', NULL, 'DUF1398', NULL, NULL, 13934, 8),
(29050, NULL, 'PF14394', NULL, NULL, 'Domain of unknown function (DUF4423)', NULL, 'DUF4423', NULL, NULL, 28223, 8),
(29051, NULL, 'PF15480', NULL, NULL, 'Domain of unknown function (DUF4640)', NULL, 'DUF4640', NULL, NULL, 24217, 8),
(29052, NULL, 'PF14243', NULL, NULL, 'ATP-grasp domain, R2K clade family 3', NULL, 'R2K_3', NULL, NULL, 26131, 8),
(29053, NULL, 'PF17643', NULL, NULL, 'Type VI secretion system, TssR', NULL, 'TssR', NULL, NULL, 34286, 8),
(29054, NULL, 'PF17069', NULL, NULL, 'Arginine/Serine-Rich protein 1', NULL, 'RSRP', NULL, NULL, NULL, 8),
(29055, NULL, 'PF17323', NULL, NULL, 'Trans-membrane regulatory protein ToxS', NULL, 'ToxS', NULL, NULL, 34254, 8),
(29056, NULL, 'PF14491', NULL, NULL, 'Protein of unknown function (DUF4435)', NULL, 'DUF4435', NULL, NULL, 24412, 8),
(29057, NULL, 'PF05005', NULL, NULL, 'Janus/Ocnus family (Ocnus)', NULL, 'Ocnus', NULL, NULL, 1393, 8),
(29058, NULL, 'PF03212', NULL, NULL, 'Pertactin', NULL, 'Pertactin', NULL, NULL, 1960, 8),
(29059, NULL, 'PF00437', NULL, NULL, 'Type II/IV secretion system protein', NULL, 'T2SSE', NULL, NULL, 3058, 8),
(29060, NULL, 'PF11137', NULL, NULL, 'Protein of unknown function (DUF2909)', NULL, 'DUF2909', NULL, NULL, 17713, 8),
(29061, NULL, 'PF16660', NULL, NULL, 'PHD finger protein 20-like protein 1', NULL, 'PHD20L1_u1', NULL, NULL, NULL, 8),
(29062, NULL, 'PF19604', NULL, NULL, 'Family of unknown function (DUF6109)', NULL, 'DUF6109', NULL, NULL, 39128, 8),
(29063, NULL, 'PF13276', NULL, NULL, 'HTH-like domain', NULL, 'HTH_21', NULL, NULL, 24879, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29064, NULL, 'PF17168', NULL, NULL, 'Domain of unknown function (DUF5127)', NULL, 'DUF5127', NULL, NULL, 35454, 8),
(29065, NULL, 'PF17813', NULL, NULL, 'RET Cadherin like domain 4', NULL, 'RET_CLD4', NULL, NULL, 32810, 8),
(29066, NULL, 'PF00426', NULL, NULL, 'Outer Capsid protein VP4 (Hemagglutinin) Concanavalin-like domain', NULL, 'VP4_haemagglut', NULL, NULL, 6844, 8),
(29067, NULL, 'PF08378', NULL, NULL, 'Nuclease-related domain', NULL, 'NERD', NULL, NULL, 12352, 8),
(29068, NULL, 'PF19633', NULL, NULL, 'Protein SET DOMAIN GROUP 2 C-terminal', NULL, 'SDG2_C', NULL, NULL, 36927, 8),
(29069, NULL, 'PF08154', NULL, NULL, 'NLE (NUC135) domain', NULL, 'NLE', NULL, NULL, 12080, 8),
(29070, NULL, 'PF09608', NULL, NULL, 'Putative transmembrane protein (Alph_Pro_TM)', NULL, 'Alph_Pro_TM', NULL, NULL, 16955, 8),
(29071, NULL, 'PF04006', NULL, NULL, 'Mpp10 protein', NULL, 'Mpp10', NULL, NULL, 7341, 8),
(29072, NULL, 'PF09625', NULL, NULL, 'VP9 protein', NULL, 'VP9', NULL, NULL, 15974, 8),
(29073, NULL, 'PF11977', NULL, NULL, 'Zc3h12a-like Ribonuclease NYN domain', NULL, 'RNase_Zc3h12a', NULL, NULL, 20004, 8),
(29074, NULL, 'PF18279', NULL, NULL, 'Werner helicase-interacting protein 1 ubiquitin-binding domain', NULL, 'zf-WRNIP1_ubi', NULL, NULL, 30061, 8),
(29075, NULL, 'PF03517', NULL, NULL, 'Regulator of volume decrease after cellular swelling', NULL, 'Voldacs', NULL, NULL, 32639, 8),
(29076, NULL, 'PF08352', NULL, NULL, 'Oligopeptide/dipeptide transporter, C-terminal region', NULL, 'oligo_HPY', NULL, NULL, 13279, 8),
(29077, NULL, 'PF14621', NULL, NULL, 'RFX5 DNA-binding domain', NULL, 'RFX5_DNA_bdg', NULL, NULL, 28652, 8),
(29078, NULL, 'PF11779', NULL, NULL, 'Small subunit of serine palmitoyltransferase-like', NULL, 'SPT_ssu-like', NULL, NULL, 25678, 8),
(29079, NULL, 'PF08583', NULL, NULL, 'Cytochrome c oxidase biogenesis protein Cmc1 like', NULL, 'Cmc1', NULL, NULL, 17671, 8),
(29080, NULL, 'PF13954', NULL, NULL, 'PapC N-terminal domain', NULL, 'PapC_N', NULL, NULL, 22274, 8),
(29081, NULL, 'PF00702', NULL, NULL, 'haloacid dehalogenase-like hydrolase', NULL, 'Hydrolase', NULL, NULL, NULL, 8),
(29082, NULL, 'PF07093', NULL, NULL, 'SGT1 protein', NULL, 'SGT1', NULL, NULL, 10649, 8),
(29083, NULL, 'PF03318', NULL, NULL, 'Clostridium epsilon toxin ETX/Bacillus mosquitocidal toxin MTX2', NULL, 'ETX_MTX2', NULL, NULL, 909, 8),
(29084, NULL, 'PF19201', NULL, NULL, 'Family of unknown function (DUF5873)', NULL, 'DUF5873', NULL, NULL, 38241, 8),
(29085, NULL, 'PF16740', NULL, NULL, 'Spindle and kinetochore-associated protein 2', NULL, 'SKA2', NULL, NULL, 32779, 8),
(29086, NULL, 'PF01875', NULL, NULL, 'Memo-like protein', NULL, 'Memo', NULL, NULL, 3510, 8),
(29087, NULL, 'PF07396', NULL, NULL, 'Phosphate-selective porin O and P', NULL, 'Porin_O_P', NULL, NULL, 11774, 8),
(29088, NULL, 'PF01777', NULL, NULL, 'Ribosomal L27e protein family', NULL, 'Ribosomal_L27e', NULL, NULL, 1206, 8),
(29089, NULL, 'PF08183', NULL, NULL, 'Stage V sporulation protein family', NULL, 'SpoV', NULL, NULL, 9808, 8),
(29090, NULL, 'PF04841', NULL, NULL, 'Vps16, N-terminal region', NULL, 'Vps16_N', NULL, NULL, 5171, 8),
(29091, NULL, 'PF06321', NULL, NULL, 'Major fimbrial subunit protein (FimA)', NULL, 'P_gingi_FimA', NULL, NULL, 25487, 8),
(29092, NULL, 'PF17929', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_34', NULL, NULL, 31825, 8),
(29093, NULL, 'PF04940', NULL, NULL, 'Sensors of blue-light using FAD', NULL, 'BLUF', NULL, NULL, 6592, 8),
(29094, NULL, 'PF12395', NULL, NULL, 'Protein of unknown function', NULL, 'DUF3658', NULL, NULL, 21178, 8),
(29095, NULL, 'PF13515', NULL, NULL, 'Fusaric acid resistance protein-like', NULL, 'FUSC_2', NULL, NULL, NULL, 8),
(29096, NULL, 'PF02136', NULL, NULL, 'Nuclear transport factor 2 (NTF2) domain', NULL, 'NTF2', NULL, NULL, 1256, 8),
(29097, NULL, 'PF11457', NULL, NULL, 'Protein of unknown function (DUF3021)', NULL, 'DUF3021', NULL, NULL, 18716, 8),
(29098, NULL, 'PF15161', NULL, NULL, 'Neuropeptide-like', NULL, 'Neuropep_like', NULL, NULL, 21843, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29099, NULL, 'PF15964', NULL, NULL, 'Centrosomal colon cancer autoantigen protein family', NULL, 'CCCAP', NULL, NULL, 28979, 8),
(29100, NULL, 'PF10071', NULL, NULL, 'Zn-ribbon-containing, possibly nucleic-acid-binding protein (DUF2310)', NULL, 'DUF2310', NULL, NULL, 17169, 8),
(29101, NULL, 'PF14899', NULL, NULL, 'Domain of unknown function (DUF4492)', NULL, 'DUF4492', NULL, NULL, 27534, 8),
(29102, NULL, 'PF19850', NULL, NULL, 'Family of unknown function (DUF6325)', NULL, 'DUF6325', NULL, NULL, 39993, 8),
(29103, NULL, 'PF18429', NULL, NULL, 'Domain of unknown function (DUF5609)', NULL, 'DUF5609', NULL, NULL, 31771, 8),
(29104, NULL, 'PF06096', NULL, NULL, 'Baculoviridae 8.2 KDa protein', NULL, 'Baculo_8kDa', NULL, NULL, 13586, 8),
(29105, NULL, 'PF07197', NULL, NULL, 'Protein of unknown function (DUF1409)', NULL, 'DUF1409', NULL, NULL, 11341, 8),
(29106, NULL, 'PF12211', NULL, NULL, 'Low molecular weight S layer protein N terminal', NULL, 'LMWSLP_N', NULL, NULL, 15407, 8),
(29107, NULL, 'PF12284', NULL, NULL, 'Hox protein A13 N terminal', NULL, 'HoxA13_N', NULL, NULL, 20681, 8),
(29108, NULL, 'PF02375', NULL, NULL, 'jmjN domain', NULL, 'JmjN', NULL, NULL, 4102, 8),
(29109, NULL, 'PF07226', NULL, NULL, 'Protein of unknown function (DUF1422)', NULL, 'DUF1422', NULL, NULL, 14585, 8),
(29110, NULL, 'PF01514', NULL, NULL, 'Secretory protein of YscJ/FliF family', NULL, 'YscJ_FliF', NULL, NULL, 11157, 8),
(29111, NULL, 'PF04207', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit D', NULL, 'MtrD', NULL, NULL, 5889, 8),
(29112, NULL, 'PF13793', NULL, NULL, 'N-terminal domain of ribose phosphate pyrophosphokinase', NULL, 'Pribosyltran_N', NULL, NULL, 25553, 8),
(29113, NULL, 'PF00264', NULL, NULL, 'Common central domain of tyrosinase', NULL, 'Tyrosinase', NULL, NULL, 463, 8),
(29114, NULL, 'PF11031', NULL, NULL, 'Bacteriophage T holin', NULL, 'Phage_holin_T', NULL, NULL, 16147, 8),
(29115, NULL, 'PF02388', NULL, NULL, 'FemAB family', NULL, 'FemAB', NULL, NULL, 5121, 8),
(29116, NULL, 'PF00985', NULL, NULL, 'Merozoite Surface Antigen 2 (MSA-2) family', NULL, 'MSA_2', NULL, NULL, 1603, 8),
(29117, NULL, 'PF13287', NULL, NULL, 'Fn3 associated', NULL, 'Fn3_assoc', NULL, NULL, 28517, 8),
(29118, NULL, 'PF03010', NULL, NULL, 'GP4', NULL, 'GP4', NULL, NULL, 3727, 8),
(29119, NULL, 'PF18783', NULL, NULL, 'Isopullulanase beta-solenoid repeat', NULL, 'IPU_b_solenoid', NULL, NULL, 31287, 8),
(29120, NULL, 'PF13137', NULL, NULL, 'Protein of unknown function (DUF3983)', NULL, 'DUF3983', NULL, NULL, 23072, 8),
(29121, NULL, 'PF14140', NULL, NULL, 'YpzI-like protein', NULL, 'YpzI', NULL, NULL, 28092, 8),
(29122, NULL, 'PF15424', NULL, NULL, 'Odontogenic ameloblast-associated family', NULL, 'ODAM', NULL, NULL, 22859, 8),
(29123, NULL, 'PF12020', NULL, NULL, 'TAFA family', NULL, 'TAFA', NULL, NULL, 14529, 8),
(29124, NULL, 'PF02807', NULL, NULL, 'ATP:guanido phosphotransferase, N-terminal domain', NULL, 'ATP-gua_PtransN', NULL, NULL, 16371, 8),
(29125, NULL, 'PF12031', NULL, NULL, 'SWI/SNF-like complex subunit BAF250/Osa', NULL, 'BAF250_C', NULL, NULL, 32829, 8),
(29126, NULL, 'PF00429', NULL, NULL, 'ENV polyprotein (coat polyprotein)', NULL, 'TLV_coat', NULL, NULL, 13761, 8),
(29127, NULL, 'PF10968', NULL, NULL, 'Protein of unknown function (DUF2770)', NULL, 'DUF2770', NULL, NULL, 25998, 8),
(29128, NULL, 'PF17951', NULL, NULL, 'Fatty acid synthase meander beta sheet domain', NULL, 'FAS_meander', NULL, NULL, 35629, 8),
(29129, NULL, 'PF01948', NULL, NULL, 'Aspartate carbamoyltransferase regulatory chain, allosteric domain', NULL, 'PyrI', NULL, NULL, 20848, 8),
(29130, NULL, 'PF14770', NULL, NULL, 'Transmembrane protein 18', NULL, 'TMEM18', NULL, NULL, 22248, 8),
(29131, NULL, 'PF00423', NULL, NULL, 'Haemagglutinin-neuraminidase', NULL, 'HN', NULL, NULL, 6871, 8),
(29132, NULL, 'PF19379', NULL, NULL, 'Family of unknown function (DUF5954)', NULL, 'DUF5954', NULL, NULL, 39431, 8),
(29133, NULL, 'PF01901', NULL, NULL, 'Putative O-antigen polymerase', NULL, 'O_anti_polymase', NULL, NULL, 4303, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29134, NULL, 'PF01824', NULL, NULL, 'MatK/TrnK amino terminal region', NULL, 'MatK_N', NULL, NULL, 28942, 8),
(29135, NULL, 'PF17715', NULL, NULL, 'Family of unknown function (DUF5560)', NULL, 'DUF5560', NULL, NULL, 34590, 8),
(29136, NULL, 'PF00188', NULL, NULL, 'Cysteine-rich secretory protein family', NULL, 'CAP', NULL, NULL, 9359, 8),
(29137, NULL, 'PF09941', NULL, NULL, 'Uncharacterized conserved protein (DUF2173)', NULL, 'DUF2173', NULL, NULL, 17478, 8),
(29138, NULL, 'PF18418', NULL, NULL, 'Ankyrin ubiquitin-binding domain', NULL, 'AnkUBD', NULL, NULL, 31806, 8),
(29139, NULL, 'PF08389', NULL, NULL, 'Exportin 1-like protein', NULL, 'Xpo1', NULL, NULL, 11234, 8),
(29140, NULL, 'PF18735', NULL, NULL, 'RiboL-PSP-HEPN', NULL, 'HEPN_RiboL-PSP', NULL, NULL, 32230, 8),
(29141, NULL, 'PF15200', NULL, NULL, 'Keratinocyte differentiation-associated', NULL, 'KRTDAP', NULL, NULL, 23202, 8),
(29142, NULL, 'PF06338', NULL, NULL, 'ComK protein', NULL, 'ComK', NULL, NULL, 10218, 8),
(29143, NULL, 'PF17010', NULL, NULL, 'Domain of unknown function (DUF5092)', NULL, 'DUF5092', NULL, NULL, 22692, 8),
(29144, NULL, 'PF07273', NULL, NULL, 'Protein of unknown function (DUF1439)', NULL, 'DUF1439', NULL, NULL, 11974, 8),
(29145, NULL, 'PF18458', NULL, NULL, 'Xeroderma pigmentosum group B helicase damage recognition domain', NULL, 'XPB_DRD', NULL, NULL, 29986, 8),
(29146, NULL, 'PF05400', NULL, NULL, 'Flagellar protein FliT', NULL, 'FliT', NULL, NULL, 14444, 8),
(29147, NULL, 'PF15658', NULL, NULL, 'Latrotoxin C-terminal domain', NULL, 'Latrotoxin_C', NULL, NULL, 26619, 8),
(29148, NULL, 'PF12428', NULL, NULL, 'Protein of unknown function (DUF3675)', NULL, 'DUF3675', NULL, NULL, 21384, 8),
(29149, NULL, 'PF06877', NULL, NULL, 'Regulator of ribonuclease activity B', NULL, 'RraB', NULL, NULL, 11909, 8),
(29150, NULL, 'PF02939', NULL, NULL, 'UcrQ family', NULL, 'UcrQ', NULL, NULL, 3946, 8),
(29151, NULL, 'PF18634', NULL, NULL, 'RXLR phytopathogen effector protein WY-domain', NULL, 'RXLR_WY', NULL, NULL, 30656, 8),
(29152, NULL, 'PF12652', NULL, NULL, 'CotJB protein', NULL, 'CotJB', NULL, NULL, 9707, 8),
(29153, NULL, 'PF07615', NULL, NULL, 'YKOF-related Family', NULL, 'Ykof', NULL, NULL, 12601, 8),
(29154, NULL, 'PF03326', NULL, NULL, 'Herpesvirus transcription activation factor (transactivator)', NULL, 'Herpes_TAF50', NULL, NULL, 803, 8),
(29155, NULL, 'PF16527', NULL, NULL, 'Two-component sensor protein CpxA, periplasmic domain', NULL, 'CpxA_peri', NULL, NULL, 26631, 8),
(29156, NULL, 'PF03160', NULL, NULL, 'Calx-beta domain', NULL, 'Calx-beta', NULL, NULL, 1349, 8),
(29157, NULL, 'PF10825', NULL, NULL, 'Protein of unknown function (DUF2752)', NULL, 'DUF2752', NULL, NULL, 17993, 8),
(29158, NULL, 'PF05565', NULL, NULL, 'Siphovirus Gp157', NULL, 'Sipho_Gp157', NULL, NULL, 14407, 8),
(29159, NULL, 'PF05992', NULL, NULL, 'SbmA/BacA-like family', NULL, 'SbmA_BacA', NULL, NULL, 13582, 8),
(29160, NULL, 'PF01030', NULL, NULL, 'Receptor L domain', NULL, 'Recep_L_domain', NULL, NULL, 6850, 8),
(29161, NULL, 'PF04695', NULL, NULL, 'Pex14 N-terminal domain', NULL, 'Pex14_N', NULL, NULL, 3424, 8),
(29162, NULL, 'PF04127', NULL, NULL, 'DNA / pantothenate metabolism flavoprotein', NULL, 'DFP', NULL, NULL, 126, 8),
(29163, NULL, 'PF16995', NULL, NULL, 'Transmembrane region of lysyl-tRNA synthetase', NULL, 'tRNA-synt_2_TM', NULL, NULL, 25474, 8),
(29164, NULL, 'PF00068', NULL, NULL, 'Phospholipase A2', NULL, 'Phospholip_A2_1', NULL, NULL, 10126, 8),
(29165, NULL, 'PF14576', NULL, NULL, 'Sieve element occlusion N-terminus', NULL, 'SEO_N', NULL, NULL, 25742, 8),
(29166, NULL, 'PF05100', NULL, NULL, 'Phage minor tail protein L', NULL, 'Phage_tail_L', NULL, NULL, 6166, 8),
(29167, NULL, 'PF10956', NULL, NULL, 'Protein of unknown function (DUF2756)', NULL, 'DUF2756', NULL, NULL, 13523, 8),
(29168, NULL, 'PF01764', NULL, NULL, 'Lipase (class 3)', NULL, 'Lipase_3', NULL, NULL, 6966, 8),
(29169, NULL, 'PF05370', NULL, NULL, 'Domain of unknown function (DUF749)', NULL, 'DUF749', NULL, NULL, 5210, 8),
(29170, NULL, 'PF10710', NULL, NULL, 'Protein of unknown function (DUF2512)', NULL, 'DUF2512', NULL, NULL, 21104, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29171, NULL, 'PF18777', NULL, NULL, 'Chromosome region maintenance or exportin repeat', NULL, 'CRM1_repeat', NULL, NULL, 31275, 8),
(29172, NULL, 'PF07370', NULL, NULL, 'Protein of unknown function (DUF1489)', NULL, 'DUF1489', NULL, NULL, 7673, 8),
(29173, NULL, 'PF00286', NULL, NULL, 'Viral coat protein', NULL, 'Flexi_CP', NULL, NULL, 2634, 8),
(29174, NULL, 'PF05892', NULL, NULL, 'Trichovirus coat protein', NULL, 'Tricho_coat', NULL, NULL, 7793, 8),
(29175, NULL, 'PF01109', NULL, NULL, 'Granulocyte-macrophage colony-stimulating factor', NULL, 'GM_CSF', NULL, NULL, 6706, 8),
(29176, NULL, 'PF16520', NULL, NULL, 'ssRNA-binding matrix protein of Bornaviridae', NULL, 'BDV_M', NULL, NULL, 24303, 8),
(29177, NULL, 'PF00499', NULL, NULL, 'NADH-ubiquinone/plastoquinone oxidoreductase chain 6', NULL, 'Oxidored_q3', NULL, NULL, 3040, 8),
(29178, NULL, 'PF03245', NULL, NULL, 'Bacteriophage Rz lysis protein', NULL, 'Phage_lysis', NULL, NULL, 1748, 8),
(29179, NULL, 'PF00591', NULL, NULL, 'Glycosyl transferase family, a/b domain', NULL, 'Glycos_transf_3', NULL, NULL, 4231, 8),
(29180, NULL, 'PF01871', NULL, NULL, 'AMMECR1', NULL, 'AMMECR1', NULL, NULL, 3601, 8),
(29181, NULL, 'PF17846', NULL, NULL, 'Xrn1 helical domain', NULL, 'XRN_M', NULL, NULL, 32946, 8),
(29182, NULL, 'PF04573', NULL, NULL, 'Signal peptidase subunit', NULL, 'SPC22', NULL, NULL, 340, 8),
(29183, NULL, 'PF05907', NULL, NULL, 'Eukaryotic protein of unknown function (DUF866)', NULL, 'DUF866', NULL, NULL, 14406, 8),
(29184, NULL, 'PF07906', NULL, NULL, 'ShET2 enterotoxin, N-terminal region', NULL, 'Toxin_15', NULL, NULL, 8212, 8),
(29185, NULL, 'PF15814', NULL, NULL, 'Protein family FAM199X', NULL, 'FAM199X', NULL, NULL, 24502, 8),
(29186, NULL, 'PF06878', NULL, NULL, 'Pkip-1 protein', NULL, 'Pkip-1', NULL, NULL, 11576, 8),
(29187, NULL, 'PF09364', NULL, NULL, 'XFP N-terminal domain', NULL, 'XFP_N', NULL, NULL, 15491, 8),
(29188, NULL, 'PF04142', NULL, NULL, 'Nucleotide-sugar transporter', NULL, 'Nuc_sug_transp', NULL, NULL, 7054, 8),
(29189, NULL, 'PF01957', NULL, NULL, 'NfeD-like C-terminal, partner-binding', NULL, 'NfeD', NULL, NULL, 4639, 8),
(29190, NULL, 'PF15672', NULL, NULL, 'Cell-membrane associated Mucin15', NULL, 'Mucin15', NULL, NULL, 27068, 8),
(29191, NULL, 'PF04780', NULL, NULL, 'Protein of unknown function (DUF629)', NULL, 'DUF629', NULL, NULL, 4030, 8),
(29192, NULL, 'PF12056', NULL, NULL, 'Protein of unknown function (DUF3537)', NULL, 'DUF3537', NULL, NULL, 20388, 8),
(29193, NULL, 'PF14047', NULL, NULL, 'Dppa2/4 conserved region', NULL, 'DCR', NULL, NULL, 27798, 8),
(29194, NULL, 'PF14306', NULL, NULL, 'PUA-like domain', NULL, 'PUA_2', NULL, NULL, 28914, 8),
(29195, NULL, 'PF17762', NULL, NULL, 'HTH domain found in ParB protein', NULL, 'HTH_ParB', NULL, NULL, 32439, 8),
(29196, NULL, 'PF17093', NULL, NULL, 'Penicillin-binding protein N-terminus', NULL, 'PBP_N', NULL, NULL, 25276, 8),
(29197, NULL, 'PF15572', NULL, NULL, 'Immunity protein 45', NULL, 'Imm45', NULL, NULL, 26114, 8),
(29198, NULL, 'PF09745', NULL, NULL, 'Coiled-coil domain-containing protein 55 (DUF2040)', NULL, 'DUF2040', NULL, NULL, 16271, 8),
(29199, NULL, 'PF16924', NULL, NULL, 'Dipicolinate synthase subunit A N-terminal domain', NULL, 'DpaA_N', NULL, NULL, 26873, 8),
(29200, NULL, 'PF18109', NULL, NULL, 'Ferredoxin I 4Fe-4S cluster domain', NULL, 'Fer4_24', NULL, NULL, NULL, 8),
(29201, NULL, 'PF12320', NULL, NULL, 'Type 5 capsule protein repressor C-terminal domain', NULL, 'SbcD_C', NULL, NULL, 26775, 8),
(29202, NULL, 'PF15805', NULL, NULL, 'Acidic C-terminal region of sodium channel modifier 1 SCNM1', NULL, 'SCNM1_acidic', NULL, NULL, 27878, 8),
(29203, NULL, 'PF08846', NULL, NULL, 'Domain of unknown function (DUF1816)', NULL, 'DUF1816', NULL, NULL, 14410, 8),
(29204, NULL, 'PF00200', NULL, NULL, 'Disintegrin', NULL, 'Disintegrin', NULL, NULL, 3073, 8),
(29205, NULL, 'PF10873', NULL, NULL, 'Cysteine and tyrosine-rich protein 1', NULL, 'CYYR1', NULL, NULL, 17413, 8),
(29206, NULL, 'PF20107', NULL, NULL, 'Family of unknown function (DUF6497)', NULL, 'DUF6497', NULL, NULL, 36709, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29207, NULL, 'PF15720', NULL, NULL, 'Domain of unknown function (DUF4675)', NULL, 'DUF4675', NULL, NULL, NULL, 8),
(29208, NULL, 'PF05949', NULL, NULL, 'Bacterial protein of unknown function (DUF881)', NULL, 'DUF881', NULL, NULL, 7739, 8),
(29209, NULL, 'PF00910', NULL, NULL, 'RNA helicase', NULL, 'RNA_helicase', NULL, NULL, 5942, 8),
(29210, NULL, 'PF18414', NULL, NULL, 'C2H2 type zinc-finger', NULL, 'zf_C2H2_10', NULL, NULL, NULL, 8),
(29211, NULL, 'PF11585', NULL, NULL, 'Insect antimicrobial peptide, stomoxyn', NULL, 'Stomoxyn', NULL, NULL, 15422, 8),
(29212, NULL, 'PF03278', NULL, NULL, 'IpaB/EvcA family', NULL, 'IpaB_EvcA', NULL, NULL, 2578, 8),
(29213, NULL, 'PF17468', NULL, NULL, 'Phage gene product 52', NULL, 'GP52', NULL, NULL, 18734, 8),
(29214, NULL, 'PF00304', NULL, NULL, 'Gamma-thionin family', NULL, 'Gamma-thionin', NULL, NULL, NULL, 8),
(29215, NULL, 'PF11443', NULL, NULL, 'Domain of unknown function (DUF2828)', NULL, 'DUF2828', NULL, NULL, 10913, 8),
(29216, NULL, 'PF03347', NULL, NULL, 'Vibrio thermostable direct hemolysin', NULL, 'TDH', NULL, NULL, 910, 8),
(29217, NULL, 'PF08937', NULL, NULL, 'MTH538 TIR-like domain (DUF1863)', NULL, 'DUF1863', NULL, NULL, 7948, 8),
(29218, NULL, 'PF06260', NULL, NULL, 'Protein of unknown function (DUF1024)', NULL, 'DUF1024', NULL, NULL, 14540, 8),
(29219, NULL, 'PF08274', NULL, NULL, 'PhnA Zinc-Ribbon', NULL, 'YjdM_Zn_Ribbon', NULL, NULL, 11962, 8),
(29220, NULL, 'PF05694', NULL, NULL, '56kDa selenium binding protein (SBP56)', NULL, 'SBP56', NULL, NULL, 14301, 8),
(29221, NULL, 'PF09379', NULL, NULL, 'FERM N-terminal domain', NULL, 'FERM_N', NULL, NULL, 15300, 8),
(29222, NULL, 'PF09049', NULL, NULL, 'Stannin transmembrane', NULL, 'SNN_transmemb', NULL, NULL, 9731, 8),
(29223, NULL, 'PF15680', NULL, NULL, 'Orofacial cleft 1 candidate gene 1 protein', NULL, 'OFCC1', NULL, NULL, 27228, 8),
(29224, NULL, 'PF00961', NULL, NULL, 'LAGLIDADG endonuclease', NULL, 'LAGLIDADG_1', NULL, NULL, 7320, 8),
(29225, NULL, 'PF10752', NULL, NULL, 'Protein of unknown function (DUF2533)', NULL, 'DUF2533', NULL, NULL, 20773, 8),
(29226, NULL, 'PF05751', NULL, NULL, 'FixH', NULL, 'FixH', NULL, NULL, 14397, 8),
(29227, NULL, 'PF05910', NULL, NULL, 'Plant protein of unknown function (DUF868)', NULL, 'DUF868', NULL, NULL, 14017, 8),
(29228, NULL, 'PF16913', NULL, NULL, 'Purine nucleobase transmembrane transport', NULL, 'PUNUT', NULL, NULL, NULL, 8),
(29229, NULL, 'PF15579', NULL, NULL, 'Immunity protein 52', NULL, 'Imm52', NULL, NULL, 26094, 8),
(29230, NULL, 'PF08043', NULL, NULL, 'Xin repeat', NULL, 'Xin', NULL, NULL, 12985, 8),
(29231, NULL, 'PF18740', NULL, NULL, 'EC042_2821-lke REase', NULL, 'EC042_2821', NULL, NULL, NULL, 8),
(29232, NULL, 'PF18767', NULL, NULL, 'Activation induced deaminase', NULL, 'AID', NULL, NULL, NULL, 8),
(29233, NULL, 'PF13699', NULL, NULL, 'Domain of unknown function (DUF4157)', NULL, 'DUF4157', NULL, NULL, 23935, 8),
(29234, NULL, 'PF17601', NULL, NULL, 'Family of unknown function (DUF5497)', NULL, 'DUF5497', NULL, NULL, 19645, 8),
(29235, NULL, 'PF10211', NULL, NULL, 'Axonemal dynein light chain', NULL, 'Ax_dynein_light', NULL, NULL, 15966, 8),
(29236, NULL, 'PF07380', NULL, NULL, 'Pneumovirus M2 protein', NULL, 'Pneumo_M2', NULL, NULL, 8142, 8),
(29237, NULL, 'PF09461', NULL, NULL, 'Phytotoxin PcF protein', NULL, 'PcF', NULL, NULL, 15507, 8),
(29238, NULL, 'PF06393', NULL, NULL, 'BH3 interacting domain (BID)', NULL, 'BID', NULL, NULL, 10157, 8),
(29239, NULL, 'PF07935', NULL, NULL, 'ORF D-335-like protein', NULL, 'SSV1_ORF_D-335', NULL, NULL, 8101, 8),
(29240, NULL, 'PF04979', NULL, NULL, 'Protein phosphatase inhibitor 2 (IPP-2)', NULL, 'IPP-2', NULL, NULL, 6695, 8),
(29241, NULL, 'PF14973', NULL, NULL, 'TERF1-interacting nuclear factor 2 N-terminus', NULL, 'TINF2_N', NULL, NULL, 24259, 8),
(29242, NULL, 'PF07390', NULL, NULL, 'Mycoplasma P30 protein', NULL, 'P30', NULL, NULL, 8255, 8),
(29243, NULL, 'PF09074', NULL, NULL, 'Mer2', NULL, 'Mer2', NULL, NULL, 9656, 8),
(29244, NULL, 'PF16227', NULL, NULL, 'Domain of unknown function (DUF4886)', NULL, 'DUF4886', NULL, NULL, 28442, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29245, NULL, 'PF03074', NULL, NULL, 'Glutamate-cysteine ligase', NULL, 'GCS', NULL, NULL, 4829, 8),
(29246, NULL, 'PF15167', NULL, NULL, 'Domain of unknown function (DUF4581)', NULL, 'DUF4581', NULL, NULL, 27836, 8),
(29247, NULL, 'PF16517', NULL, NULL, 'Novel Ras effector 1 C-terminal SARAH (Sav/Rassf/Hpo) domain', NULL, 'Nore1-SARAH', NULL, NULL, 12253, 8),
(29248, NULL, 'PF01083', NULL, NULL, 'Cutinase', NULL, 'Cutinase', NULL, NULL, 3753, 8),
(29249, NULL, 'PF15993', NULL, NULL, 'Fuseless', NULL, 'Fuseless', NULL, NULL, 22755, 8),
(29250, NULL, 'PF18867', NULL, NULL, 'HEPN-like integron domain', NULL, 'HEPN-like_int', NULL, NULL, 31184, 8),
(29251, NULL, 'PF16288', NULL, NULL, 'Domain of unknown function (DUF4934)', NULL, 'DUF4934', NULL, NULL, 22194, 8),
(29252, NULL, 'PF10371', NULL, NULL, 'Domain of unknown function', NULL, 'EKR', NULL, NULL, 17565, 8),
(29253, NULL, 'PF18346', NULL, NULL, 'Mind bomb SH3 repeat domain', NULL, 'SH3_15', NULL, NULL, 34808, 8),
(29254, NULL, 'PF08909', NULL, NULL, 'Domain of unknown function (DUF1854)', NULL, 'DUF1854', NULL, NULL, 7591, 8),
(29255, NULL, 'PF03904', NULL, NULL, 'Domain of unknown function (DUF334)', NULL, 'DUF334', NULL, NULL, 2753, 8),
(29256, NULL, 'PF14517', NULL, NULL, 'Tachylectin', NULL, 'Tachylectin', NULL, NULL, 15765, 8),
(29257, NULL, 'PF04642', NULL, NULL, 'Protein of unknown function, DUF601', NULL, 'DUF601', NULL, NULL, 3107, 8),
(29258, NULL, 'PF01873', NULL, NULL, 'Domain found in IF2B/IF5', NULL, 'eIF-5_eIF-2B', NULL, NULL, 3524, 8),
(29259, NULL, 'PF02088', NULL, NULL, 'Ornatin', NULL, 'Ornatin', NULL, NULL, 7061, 8),
(29260, NULL, 'PF11889', NULL, NULL, 'Domain of unknown function (DUF3409)', NULL, 'DUF3409', NULL, NULL, 20189, 8),
(29261, NULL, 'PF03866', NULL, NULL, 'Hydrophobic abundant protein (HAP)', NULL, 'HAP', NULL, NULL, 1625, 8),
(29262, NULL, 'PF11261', NULL, NULL, 'Interferon regulatory factor 2-binding protein zinc finger', NULL, 'IRF-2BP1_2', NULL, NULL, 17036, 8),
(29263, NULL, 'PF09492', NULL, NULL, 'Pectic acid lyase', NULL, 'Pec_lyase', NULL, NULL, 13459, 8),
(29264, NULL, 'PF03266', NULL, NULL, 'NTPase', NULL, 'NTPase_1', NULL, NULL, 2827, 8),
(29265, NULL, 'PF17309', NULL, NULL, 'Family of unknown function (DUF5356)', NULL, 'DUF5356', NULL, NULL, 16549, 8),
(29266, NULL, 'PF10218', NULL, NULL, 'SREBP regulating gene protein', NULL, 'SPRING1', NULL, NULL, 15753, 8),
(29267, NULL, 'PF20015', NULL, NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 12', NULL, 'VMAP-M12', NULL, NULL, NULL, 8),
(29268, NULL, 'PF06837', NULL, NULL, 'Fijivirus P9-2 protein', NULL, 'Fijivirus_P9-2', NULL, NULL, 11125, 8),
(29269, NULL, 'PF13512', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_18', NULL, NULL, NULL, 8),
(29270, NULL, 'PF06363', NULL, NULL, 'Picornaviridae P3A protein', NULL, 'Picorna_P3A', NULL, NULL, 8363, 8),
(29271, NULL, 'PF09405', NULL, NULL, 'CASC3/Barentsz eIF4AIII binding', NULL, 'Btz', NULL, NULL, 15003, 8),
(29272, NULL, 'PF12712', NULL, NULL, 'Domain of unknown function (DUF3805)', NULL, 'DUF3805', NULL, NULL, 28719, 8),
(29273, NULL, 'PF06251', NULL, NULL, 'Capsule biosynthesis GfcC', NULL, 'Caps_synth_GfcC', NULL, NULL, 9881, 8),
(29274, NULL, 'PF07774', NULL, NULL, 'ER membrane protein complex subunit 1, C-terminal', NULL, 'EMC1_C', NULL, NULL, 10693, 8),
(29275, NULL, 'PF19665', NULL, NULL, 'Family of unknown function (DUF6168)', NULL, 'DUF6168', NULL, NULL, 39751, 8),
(29276, NULL, 'PF17679', NULL, NULL, 'gp37/Dip protein', NULL, 'Dip', NULL, NULL, 35162, 8),
(29277, NULL, 'PF02335', NULL, NULL, 'Cytochrome c552', NULL, 'Cytochrom_C552', NULL, NULL, 4421, 8),
(29278, NULL, 'PF08727', NULL, NULL, 'Poliovirus 3A protein like', NULL, 'P3A', NULL, NULL, 11518, 8),
(29279, NULL, 'PF07482', NULL, NULL, 'Domain of Unknown Function (DUF1522)', NULL, 'DUF1522', NULL, NULL, 11291, 8),
(29280, NULL, 'PF01050', NULL, NULL, 'Mannose-6-phosphate isomerase', NULL, 'MannoseP_isomer', NULL, NULL, 5294, 8),
(29281, NULL, 'PF16446', NULL, NULL, 'Domain of unknown function (DUF5043)', NULL, 'DUF5043', NULL, NULL, 29182, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29282, NULL, 'PF10172', NULL, NULL, 'Det1 complexing ubiquitin ligase', NULL, 'DDA1', NULL, NULL, 8705, 8),
(29283, NULL, 'PF11151', NULL, NULL, 'Protein of unknown function (DUF2929)', NULL, 'DUF2929', NULL, NULL, 17651, 8),
(29284, NULL, 'PF01699', NULL, NULL, 'Sodium/calcium exchanger protein', NULL, 'Na_Ca_ex', NULL, NULL, 4419, 8),
(29285, NULL, 'PF01462', NULL, NULL, 'Leucine rich repeat N-terminal domain', NULL, 'LRRNT', NULL, NULL, 4509, 8),
(29286, NULL, 'PF16483', NULL, NULL, 'Beta-1,3-glucanase', NULL, 'Glyco_hydro_64', NULL, NULL, 18138, 8),
(29287, NULL, 'PF09297', NULL, NULL, 'NADH pyrophosphatase zinc ribbon domain', NULL, 'zf-NADH-PPase', NULL, NULL, 14153, 8),
(29288, NULL, 'PF12081', NULL, NULL, 'GldM N-terminal domain', NULL, 'GldM_N', NULL, NULL, 17101, 8),
(29289, NULL, 'PF01125', NULL, NULL, 'G10 protein', NULL, 'G10', NULL, NULL, 4635, 8),
(29290, NULL, 'PF13889', NULL, NULL, 'Chromosome segregation during meiosis', NULL, 'Chromosome_seg', NULL, NULL, 29063, 8),
(29291, NULL, 'PF12153', NULL, NULL, 'LPS binding domain of CAP18 (C terminal)', NULL, 'CAP18_C', NULL, NULL, 17251, 8),
(29292, NULL, 'PF17859', NULL, NULL, 'Pelovaterin', NULL, 'Pelovaterin', NULL, NULL, 32385, 8),
(29293, NULL, 'PF14470', NULL, NULL, 'Bacterial PH domain', NULL, 'bPH_3', NULL, NULL, 35902, 8),
(29294, NULL, 'PF09002', NULL, NULL, 'Domain of unknown function (DUF1887)', NULL, 'DUF1887', NULL, NULL, 8598, 8),
(29295, NULL, 'PF19022', NULL, NULL, 'Family of unknown function (DUF5748)', NULL, 'DUF5748', NULL, NULL, 38477, 8),
(29296, NULL, 'PF16933', NULL, NULL, 'Putative exopolysaccharide Exporter (EPS-E)', NULL, 'PelG', NULL, NULL, 26998, 8),
(29297, NULL, 'PF19683', NULL, NULL, 'Family of unknown function (DUF6185)', NULL, 'DUF6185', NULL, NULL, 39606, 8),
(29298, NULL, 'PF17179', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_22', NULL, NULL, 13131, 8),
(29299, NULL, 'PF02518', NULL, NULL, 'Histidine kinase-, DNA gyrase B-, and HSP90-like ATPase', NULL, 'HATPase_c', NULL, NULL, 156, 8),
(29300, NULL, 'PF19145', NULL, NULL, 'Family of unknown function (DUF5827)', NULL, 'DUF5827', NULL, NULL, 37022, 8),
(29301, NULL, 'PF09307', NULL, NULL, 'CLIP, MHC2 interacting', NULL, 'MHC2-interact', NULL, NULL, 14028, 8),
(29302, NULL, 'PF04917', NULL, NULL, 'Bacterial shufflon protein, N-terminal constant region', NULL, 'Shufflon_N', NULL, NULL, 6420, 8),
(29303, NULL, 'PF05463', NULL, NULL, 'Sclerostin (SOST)', NULL, 'Sclerostin', NULL, NULL, 14078, 8),
(29304, NULL, 'PF06432', NULL, NULL, 'Phosphatidylinositol N-acetylglucosaminyltransferase', NULL, 'GPI2', NULL, NULL, 9278, 8),
(29305, NULL, 'PF07815', NULL, NULL, 'Abl-interactor HHR', NULL, 'Abi_HHR', NULL, NULL, 12744, 8),
(29306, NULL, 'PF04536', NULL, NULL, 'TPM domain', NULL, 'TPM_phosphatase', NULL, NULL, 2777, 8),
(29307, NULL, 'PF13517', NULL, NULL, 'FG-GAP-like repeat', NULL, 'FG-GAP_3', NULL, NULL, 13605, 8),
(29308, NULL, 'PF18827', NULL, NULL, 'Large polyvalent protein-associated domain 14', NULL, 'LPD14', NULL, NULL, 34882, 8),
(29309, NULL, 'PF04491', NULL, NULL, 'Poxvirus T4 protein, N terminus', NULL, 'Pox_T4_N', NULL, NULL, 1794, 8),
(29310, NULL, 'PF14600', NULL, NULL, 'Cellulose-binding domain', NULL, 'CBM_5_12_2', NULL, NULL, 22431, 8),
(29311, NULL, 'PF08780', NULL, NULL, 'Nucleotidyltransferase substrate binding protein like', NULL, 'NTase_sub_bind', NULL, NULL, 4049, 8),
(29312, NULL, 'PF12792', NULL, NULL, 'CSS motif domain associated with EAL', NULL, 'CSS-motif', NULL, NULL, 17599, 8),
(29313, NULL, 'PF09834', NULL, NULL, 'Predicted membrane protein (DUF2061)', NULL, 'DUF2061', NULL, NULL, 16868, 8),
(29314, NULL, 'PF19228', NULL, NULL, 'Family of unknown function (DUF5881)', NULL, 'DUF5881', NULL, NULL, 39516, 8),
(29315, NULL, 'PF16114', NULL, NULL, 'ATP citrate lyase citrate-binding', NULL, 'Citrate_bind', NULL, NULL, 24818, 8),
(29316, NULL, 'PF19235', NULL, NULL, 'Family of unknown function (DUF5888)', NULL, 'DUF5888', NULL, NULL, 38388, 8),
(29317, NULL, 'PF09804', NULL, NULL, 'DENN domain-containing protein 11', NULL, 'DENND11', NULL, NULL, 16108, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29318, NULL, 'PF03587', NULL, NULL, 'EMG1/NEP1 methyltransferase', NULL, 'EMG1', NULL, NULL, 5103, 8),
(29319, NULL, 'PF06368', NULL, NULL, 'Methylaspartate mutase E chain (MutE)', NULL, 'Met_asp_mut_E', NULL, NULL, 5910, 8),
(29320, NULL, 'PF06933', NULL, NULL, 'Special lobe-specific silk protein SSP160', NULL, 'SSP160', NULL, NULL, 11520, 8),
(29321, NULL, 'PF00661', NULL, NULL, 'Viral matrix protein', NULL, 'Matrix', NULL, NULL, 3321, 8),
(29322, NULL, 'PF17730', NULL, NULL, 'Centrosomal C10orf90', NULL, 'Centro_C10orf90', NULL, NULL, 31474, 8),
(29323, NULL, 'PF17863', NULL, NULL, 'AAA lid domain', NULL, 'AAA_lid_2', NULL, NULL, 32469, 8),
(29324, NULL, 'PF14669', NULL, NULL, 'Putative aspartate racemase', NULL, 'Asp_Glu_race_2', NULL, NULL, 29339, 8),
(29325, NULL, 'PF18689', NULL, NULL, 'Primase X', NULL, 'PriX', NULL, NULL, 35172, 8),
(29326, NULL, 'PF19027', NULL, NULL, 'Family of unknown function (DUF5752)', NULL, 'DUF5752', NULL, NULL, 37463, 8),
(29327, NULL, 'PF18079', NULL, NULL, 'Archaeal glycosylation protein B long peripheral domain', NULL, 'AglB_L1', NULL, NULL, 31354, 8),
(29328, NULL, 'PF15561', NULL, NULL, 'Immunity protein 15', NULL, 'Imm15', NULL, NULL, 23809, 8),
(29329, NULL, 'PF16762', NULL, NULL, 'Ribbon-helix-helix domain', NULL, 'RHH_6', NULL, NULL, 23105, 8),
(29330, NULL, 'PF14819', NULL, NULL, 'Nitrile reductase, 7-cyano-7-deazaguanine-reductase N-term', NULL, 'QueF_N', NULL, NULL, 27772, 8),
(29331, NULL, 'PF01088', NULL, NULL, 'Ubiquitin carboxyl-terminal hydrolase, family 1', NULL, 'Peptidase_C12', NULL, NULL, 3351, 8),
(29332, NULL, 'PF02585', NULL, NULL, 'GlcNAc-PI de-N-acetylase', NULL, 'PIG-L', NULL, NULL, 6235, 8),
(29333, NULL, 'PF07884', NULL, NULL, 'Vitamin K epoxide reductase family', NULL, 'VKOR', NULL, NULL, 8118, 8),
(29334, NULL, 'PF14496', NULL, NULL, 'C-terminal novel E3 ligase, LRR-interacting', NULL, 'NEL', NULL, NULL, 24461, 8),
(29335, NULL, 'PF01023', NULL, NULL, 'S-100/ICaBP type calcium binding domain', NULL, 'S_100', NULL, NULL, 13003, 8),
(29336, NULL, 'PF19954', NULL, NULL, 'Effector-associated domain 10', NULL, 'EAD10', NULL, NULL, 39533, 8),
(29337, NULL, 'PF19991', NULL, NULL, 'Heavy metal associated domain 2', NULL, 'HMA_2', NULL, NULL, NULL, 8),
(29338, NULL, 'PF17362', NULL, NULL, 'Family of unknown function', NULL, 'pXO2-34', NULL, NULL, 19709, 8),
(29339, NULL, 'PF03664', NULL, NULL, 'Glycosyl hydrolase family 62', NULL, 'Glyco_hydro_62', NULL, NULL, 6079, 8),
(29340, NULL, 'PF10520', NULL, NULL, 'Lipid desaturase domain', NULL, 'Lipid_desat', NULL, NULL, 19251, 8),
(29341, NULL, 'PF01842', NULL, NULL, 'ACT domain', NULL, 'ACT', NULL, NULL, 6456, 8),
(29342, NULL, 'PF15339', NULL, NULL, 'Acrosome formation-associated factor', NULL, 'Afaf', NULL, NULL, 28546, 8),
(29343, NULL, 'PF01410', NULL, NULL, 'Fibrillar collagen C-terminal domain', NULL, 'COLFI', NULL, NULL, 4599, 8),
(29344, NULL, 'PF15922', NULL, NULL, 'YjeJ-like', NULL, 'YjeJ', NULL, NULL, 27487, 8),
(29345, NULL, 'PF12494', NULL, NULL, 'Protein of unknown function (DUF3695)', NULL, 'DUF3695', NULL, NULL, 21374, 8),
(29346, NULL, 'PF08682', NULL, NULL, 'Putative endonuclease, protein of unknown function (DUF1780)', NULL, 'DUF1780', NULL, NULL, 11558, 8),
(29347, NULL, 'PF02449', NULL, NULL, 'Beta-galactosidase', NULL, 'Glyco_hydro_42', NULL, NULL, 8590, 8),
(29348, NULL, 'PF14280', NULL, NULL, 'Domain of unknown function (DUF4365)', NULL, 'DUF4365', NULL, NULL, 21750, 8),
(29349, NULL, 'PF19905', NULL, NULL, 'Domain of unknown function (DUF6378)', NULL, 'DUF6378', NULL, NULL, 39411, 8),
(29350, NULL, 'PF15628', NULL, NULL, 'RRM in Demeter', NULL, 'RRM_DME', NULL, NULL, 26321, 8),
(29351, NULL, 'PF02954', NULL, NULL, 'Bacterial regulatory protein, Fis family', NULL, 'HTH_8', NULL, NULL, 154, 8),
(29352, NULL, 'PF16569', NULL, NULL, 'Gram-positive pilin backbone subunit 2, Cna-B-like domain', NULL, 'GramPos_pilinBB', NULL, NULL, 26505, 8),
(29353, NULL, 'PF19092', NULL, NULL, 'Family of unknown function (DUF5780)', NULL, 'DUF5780', NULL, NULL, 38027, 8),
(29354, NULL, 'PF07608', NULL, NULL, 'Protein of unknown function (DUF1571)', NULL, 'DUF1571', NULL, NULL, 13905, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29355, NULL, 'PF17274', NULL, NULL, 'Family of unknown function (DUF5339)', NULL, 'DUF5339', NULL, NULL, 19748, 8),
(29356, NULL, 'PF10100', NULL, NULL, 'Staphylopine dehydrogenase', NULL, 'Staph_opine_DH', NULL, NULL, 18121, 8),
(29357, NULL, 'PF15465', NULL, NULL, 'Domain of unknown function (DUF4634)', NULL, 'DUF4634', NULL, NULL, 25350, 8),
(29358, NULL, 'PF06923', NULL, NULL, 'Glucitol operon activator protein (GutM)', NULL, 'GutM', NULL, NULL, 11617, 8),
(29359, NULL, 'PF09361', NULL, NULL, 'Phasin protein', NULL, 'Phasin_2', NULL, NULL, 15261, 8),
(29360, NULL, 'PF17031', NULL, NULL, 'Domain of unknown function (DUF5101)', NULL, 'DUF5101', NULL, NULL, 23484, 8),
(29361, NULL, 'PF12695', NULL, NULL, 'Alpha/beta hydrolase family', NULL, 'Abhydrolase_5', NULL, NULL, 26045, 8),
(29362, NULL, 'PF04123', NULL, NULL, 'Domain of unknown function (DUF373)', NULL, 'DUF373', NULL, NULL, 6951, 8),
(29363, NULL, 'PF12672', NULL, NULL, 'Protein of unknown function (DUF3793)', NULL, 'DUF3793', NULL, NULL, 25776, 8),
(29364, NULL, 'PF17967', NULL, NULL, 'Pullulanase N2 domain', NULL, 'Pullulanase_N2', NULL, NULL, 30902, 8),
(29365, NULL, 'PF07563', NULL, NULL, 'Protein of unknown function (DUF1541)', NULL, 'DUF1541', NULL, NULL, 13959, 8),
(29366, NULL, 'PF12948', NULL, NULL, 'MSP7-like protein C-terminal domain', NULL, 'MSP7_C', NULL, NULL, 25121, 8),
(29367, NULL, 'PF15219', NULL, NULL, 'Testis-expressed 12', NULL, 'TEX12', NULL, NULL, 21670, 8),
(29368, NULL, 'PF20139', NULL, NULL, 'Family of unknown function (DUF6529)', NULL, 'DUF6529', NULL, NULL, 39528, 8),
(29369, NULL, 'PF07891', NULL, NULL, 'Protein of unknown function (DUF1666)', NULL, 'DUF1666', NULL, NULL, 12996, 8),
(29370, NULL, 'PF01732', NULL, NULL, 'Putative peptidase (DUF31)', NULL, 'DUF31', NULL, NULL, 16206, 8),
(29371, NULL, 'PF08800', NULL, NULL, 'VirE N-terminal domain', NULL, 'VirE_N', NULL, NULL, 13460, 8),
(29372, NULL, 'PF12702', NULL, NULL, 'Lipocalin-like', NULL, 'Lipocalin_3', NULL, NULL, 23338, 8),
(29373, NULL, 'PF12039', NULL, NULL, 'Protein of unknown function (DUF3525)', NULL, 'DUF3525', NULL, NULL, 20456, 8),
(29374, NULL, 'PF04403', NULL, NULL, 'Paraquat-inducible protein A', NULL, 'PqiA', NULL, NULL, 10053, 8),
(29375, NULL, 'PF07961', NULL, NULL, 'MBA1-like protein', NULL, 'MBA1', NULL, NULL, 3652, 8),
(29376, NULL, 'PF16576', NULL, NULL, 'Barrel-sandwich domain of CusB or HlyD membrane-fusion', NULL, 'HlyD_D23', NULL, NULL, 26587, 8),
(29377, NULL, 'PF17118', NULL, NULL, 'Domain of unknown function (DUF5105)', NULL, 'DUF5105', NULL, NULL, 27913, 8),
(29378, NULL, 'PF17103', NULL, NULL, 'Stealth protein CR4, conserved region 4', NULL, 'Stealth_CR4', NULL, NULL, 2696, 8),
(29379, NULL, 'PF10722', NULL, NULL, 'Putative bacterial sensory transduction regulator', NULL, 'YbjN', NULL, NULL, 21423, 8),
(29380, NULL, 'PF12201', NULL, NULL, 'Bcl2-interacting killer, BH3-domain containing', NULL, 'bcl-2I13', NULL, NULL, 24168, 8),
(29381, NULL, 'PF08837', NULL, NULL, 'Protein of unknown function (DUF1810)', NULL, 'DUF1810', NULL, NULL, 14383, 8),
(29382, NULL, 'PF09706', NULL, NULL, 'CRISPR-associated protein (Cas_CXXC_CXXC)', NULL, 'Cas_CXXC_CXXC', NULL, NULL, 17600, 8),
(29383, NULL, 'PF00955', NULL, NULL, 'HCO3- transporter family', NULL, 'HCO3_cotransp', NULL, NULL, 8419, 8),
(29384, NULL, 'PF05144', NULL, NULL, 'Phage replication protein CRI', NULL, 'Phage_CRI', NULL, NULL, 14915, 8),
(29385, NULL, 'PF17683', NULL, NULL, 'TFIIF, beta subunit N-terminus', NULL, 'TFIIF_beta_N', NULL, NULL, 29508, 8),
(29386, NULL, 'PF09206', NULL, NULL, 'Alpha-L-arabinofuranosidase B, catalytic', NULL, 'ArabFuran-catal', NULL, NULL, 12972, 8),
(29387, NULL, 'PF12246', NULL, NULL, 'Temperature dependent protein affecting M2 dsRNA replication', NULL, 'MKT1_C', NULL, NULL, 20562, 8),
(29388, NULL, 'PF13589', NULL, NULL, 'Histidine kinase-, DNA gyrase B-, and HSP90-like ATPase', NULL, 'HATPase_c_3', NULL, NULL, NULL, 8),
(29389, NULL, 'PF00333', NULL, NULL, 'Ribosomal protein S5, N-terminal domain', NULL, 'Ribosomal_S5', NULL, NULL, 18712, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29390, NULL, 'PF12176', NULL, NULL, 'Methanol-cobalamin methyltransferase B subunit', NULL, 'MtaB', NULL, NULL, 16660, 8),
(29391, NULL, 'PF04339', NULL, NULL, 'Peptidogalycan biosysnthesis/recognition', NULL, 'FemAB_like', NULL, NULL, 3539, 8),
(29392, NULL, 'PF12734', NULL, NULL, 'Cysteine-rich TM module stress tolerance', NULL, 'CYSTM', NULL, NULL, 22655, 8),
(29393, NULL, 'PF16710', NULL, NULL, 'N-terminal N1 domain of Vibrio phage CTXphi pIII', NULL, 'CTXphi_pIII-N1', NULL, NULL, 25025, 8),
(29394, NULL, 'PF00047', NULL, NULL, 'Immunoglobulin domain', NULL, 'ig', NULL, NULL, 8450, 8),
(29395, NULL, 'PF10849', NULL, NULL, 'Protein of unknown function (DUF2654)', NULL, 'DUF2654', NULL, NULL, 14640, 8),
(29396, NULL, 'PF14691', NULL, NULL, 'Dihydroprymidine dehydrogenase domain II, 4Fe-4S cluster', NULL, 'Fer4_20', NULL, NULL, 23733, 8),
(29397, NULL, 'PF03974', NULL, NULL, 'Ecotin', NULL, 'Ecotin', NULL, NULL, 2849, 8),
(29398, NULL, 'PF16745', NULL, NULL, 'RsgA N-terminal domain', NULL, 'RsgA_N', NULL, NULL, 23874, 8),
(29399, NULL, 'PF08401', NULL, NULL, 'N-terminal domain of anti-restriction factor ArdC', NULL, 'ArdcN', NULL, NULL, 11165, 8),
(29400, NULL, 'PF09187', NULL, NULL, 'RNA-directed DNA methylation 1', NULL, 'RdDM_RDM1', NULL, NULL, 12923, 8),
(29401, NULL, 'PF15501', NULL, NULL, 'Nuclear protein MDM1', NULL, 'MDM1', NULL, NULL, 25329, 8),
(29402, NULL, 'PF04191', NULL, NULL, 'Phospholipid methyltransferase', NULL, 'PEMT', NULL, NULL, 4938, 8),
(29403, NULL, 'PF15615', NULL, NULL, 'TerB-C domain', NULL, 'TerB_C', NULL, NULL, 26001, 8),
(29404, NULL, 'PF02343', NULL, NULL, 'TRA-1 regulated protein R03H10.4', NULL, 'TRA-1_regulated', NULL, NULL, 4401, 8),
(29405, NULL, 'PF14797', NULL, NULL, 'Serine-rich region of AP3B1, clathrin-adaptor complex', NULL, 'SEEEED', NULL, NULL, 26454, 8),
(29406, NULL, 'PF08528', NULL, NULL, 'Whi5 like', NULL, 'Whi5', NULL, NULL, 7893, 8),
(29407, NULL, 'PF11250', NULL, NULL, 'Fantastic Four meristem regulator', NULL, 'FAF', NULL, NULL, 18063, 8),
(29408, NULL, 'PF07810', NULL, NULL, 'TMC domain', NULL, 'TMC', NULL, NULL, 12943, 8),
(29409, NULL, 'PF00242', NULL, NULL, 'DNA polymerase (viral) N-terminal domain', NULL, 'DNA_pol_viral_N', NULL, NULL, 3910, 8),
(29410, NULL, 'PF12993', NULL, NULL, 'Domain of unknown function, E. rectale Gene description (DUF3877)', NULL, 'DUF3877', NULL, NULL, 25884, 8),
(29411, NULL, 'PF00015', NULL, NULL, 'Methyl-accepting chemotaxis protein (MCP) signalling domain', NULL, 'MCPsignal', NULL, NULL, 1985, 8),
(29412, NULL, 'PF04960', NULL, NULL, 'Glutaminase', NULL, 'Glutaminase', NULL, NULL, 13643, 8),
(29413, NULL, 'PF06301', NULL, NULL, 'Bacteriophage lambda Kil protein', NULL, 'Lambda_Kil', NULL, NULL, 10316, 8),
(29414, NULL, 'PF07732', NULL, NULL, 'Multicopper oxidase', NULL, 'Cu-oxidase_3', NULL, NULL, 8019, 8),
(29415, NULL, 'PF07922', NULL, NULL, 'Glycosyltransferase family 52', NULL, 'Glyco_transf_52', NULL, NULL, 11989, 8),
(29416, NULL, 'PF10210', NULL, NULL, 'Mitochondrial 28S ribosomal protein S32', NULL, 'MRP-S32', NULL, NULL, 15508, 8),
(29417, NULL, 'PF11611', NULL, NULL, 'Domain of unknown function (DUF4352)', NULL, 'DUF4352', NULL, NULL, 27306, 8),
(29418, NULL, 'PF10709', NULL, NULL, 'Protein of unknown function (DUF2511)', NULL, 'DUF2511', NULL, NULL, 21326, 8),
(29419, NULL, 'PF11133', NULL, NULL, 'Head fiber protein', NULL, 'Phage_head_fibr', NULL, NULL, 17328, 8),
(29420, NULL, 'PF02301', NULL, NULL, 'HORMA domain', NULL, 'HORMA', NULL, NULL, 6294, 8),
(29421, NULL, 'PF04572', NULL, NULL, 'Alpha 1,4-glycosyltransferase conserved region', NULL, 'Gb3_synth', NULL, NULL, 262, 8),
(29422, NULL, 'PF00635', NULL, NULL, 'MSP (Major sperm protein) domain', NULL, 'Motile_Sperm', NULL, NULL, 5797, 8),
(29423, NULL, 'PF12314', NULL, NULL, 'Inner membrane complex protein', NULL, 'IMCp', NULL, NULL, 20708, 8),
(29424, NULL, 'PF12714', NULL, NULL, 'TILa domain', NULL, 'TILa', NULL, NULL, 24248, 8),
(29425, NULL, 'PF14474', NULL, NULL, 'RTC4-like domain', NULL, 'RTC4', NULL, NULL, 28410, 8),
(29426, NULL, 'PF07129', NULL, NULL, 'Protein of unknown function (DUF1381)', NULL, 'DUF1381', NULL, NULL, 13847, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29427, NULL, 'PF08311', NULL, NULL, 'Mad3/BUB1 homology region 1', NULL, 'Mad3_BUB1_I', NULL, NULL, 17873, 8),
(29428, NULL, 'PF18645', NULL, NULL, 'Family of unknown function (DUF5631)', NULL, 'DUF5631', NULL, NULL, 34977, 8),
(29429, NULL, 'PF04502', NULL, NULL, 'Saf4/Yju2 protein', NULL, 'Saf4_Yju2', NULL, NULL, 2818, 8),
(29430, NULL, 'PF11837', NULL, NULL, 'Domain of unknown function (DUF3357)', NULL, 'DUF3357', NULL, NULL, 19903, 8),
(29431, NULL, 'PF13855', NULL, NULL, 'Leucine rich repeat', NULL, 'LRR_8', NULL, NULL, 5460, 8),
(29432, NULL, 'PF18155', NULL, NULL, 'pPIWI RE three-gene island domain Z', NULL, 'pPIWI_RE_Z', NULL, NULL, NULL, 8),
(29433, NULL, 'PF11649', NULL, NULL, 'Virus neck protein', NULL, 'T4_neck-protein', NULL, NULL, 19069, 8),
(29434, NULL, 'PF04056', NULL, NULL, 'Ssl1-like', NULL, 'Ssl1', NULL, NULL, 1180, 8),
(29435, NULL, 'PF04427', NULL, NULL, 'Brix domain', NULL, 'Brix', NULL, NULL, 203, 8),
(29436, NULL, 'PF17572', NULL, NULL, 'Family of unknown function (DUF5478)', NULL, 'DUF5478', NULL, NULL, 18398, 8),
(29437, NULL, 'PF10009', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2252)', NULL, 'DUF2252', NULL, NULL, 17743, 8),
(29438, NULL, 'PF03350', NULL, NULL, 'Uncharacterized protein family, UPF0114', NULL, 'UPF0114', NULL, NULL, 7002, 8),
(29439, NULL, 'PF15171', NULL, NULL, 'Neuropeptide secretory protein family, NPQ, spexin', NULL, 'Spexin', NULL, NULL, 22564, 8),
(29440, NULL, 'PF07397', NULL, NULL, 'Repeat of unknown function (DUF1502)', NULL, 'DUF1502', NULL, NULL, 11536, 8),
(29441, NULL, 'PF13460', NULL, NULL, 'NAD(P)H-binding', NULL, 'NAD_binding_10', NULL, NULL, 13383, 8),
(29442, NULL, 'PF00665', NULL, NULL, 'Integrase core domain', NULL, 'rve', NULL, NULL, 5455, 8),
(29443, NULL, 'PF10364', NULL, NULL, 'Putative capsular polysaccharide synthesis protein', NULL, 'NKWYS', NULL, NULL, 20352, 8),
(29444, NULL, 'PF14204', NULL, NULL, 'Ribosomal L18 C-terminal region', NULL, 'Ribosomal_L18_c', NULL, NULL, 27933, 8),
(29445, NULL, 'PF16371', NULL, NULL, 'N terminal of Calcineurin-like phosphoesterase', NULL, 'MetallophosN', NULL, NULL, 28433, 8),
(29446, NULL, 'PF19728', NULL, NULL, 'Family of unknown function (DUF6220)', NULL, 'DUF6220', NULL, NULL, 39673, 8),
(29447, NULL, 'PF14582', NULL, NULL, 'Metallophosphoesterase, calcineurin superfamily', NULL, 'Metallophos_3', NULL, NULL, 24339, 8),
(29448, NULL, 'PF14892', NULL, NULL, 'Domain of unknown function (DUF4490)', NULL, 'DUF4490', NULL, NULL, 24161, 8),
(29449, NULL, 'PF00515', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_1', NULL, NULL, 6757, 8),
(29450, NULL, 'PF00400', NULL, NULL, 'WD domain, G-beta repeat', NULL, 'WD40', NULL, NULL, 3484, 8),
(29451, NULL, 'PF17883', NULL, NULL, 'MBG domain', NULL, 'MBG', NULL, NULL, 32047, 8),
(29452, NULL, 'PF14535', NULL, NULL, 'AMP-binding enzyme C-terminal domain', NULL, 'AMP-binding_C_2', NULL, NULL, 24908, 8),
(29453, NULL, 'PF06681', NULL, NULL, 'Protein of unknown function (DUF1182)', NULL, 'DUF1182', NULL, NULL, 8336, 8),
(29454, NULL, 'PF12368', NULL, NULL, 'Rhodanase C-terminal', NULL, 'Rhodanese_C', NULL, NULL, 21462, 8),
(29455, NULL, 'PF04037', NULL, NULL, 'Domain of unknown function (DUF382)', NULL, 'DUF382', NULL, NULL, 687, 8),
(29456, NULL, 'PF13843', NULL, NULL, 'Transposase IS4', NULL, 'DDE_Tnp_1_7', NULL, NULL, 24936, 8),
(29457, NULL, 'PF03977', NULL, NULL, 'Na+-transporting oxaloacetate decarboxylase beta subunit', NULL, 'OAD_beta', NULL, NULL, 3694, 8),
(29458, NULL, 'PF09011', NULL, NULL, 'HMG-box domain', NULL, 'HMG_box_2', NULL, NULL, 6110, 8),
(29459, NULL, 'PF05353', NULL, NULL, 'Delta Atracotoxin', NULL, 'Atracotoxin', NULL, NULL, 5102, 8),
(29460, NULL, 'PF02942', NULL, NULL, 'Influenza B non-structural protein (NS1)', NULL, 'Flu_B_NS1', NULL, NULL, 3529, 8),
(29461, NULL, 'PF07632', NULL, NULL, 'Protein of unknown function (DUF1593)', NULL, 'DUF1593', NULL, NULL, 12799, 8),
(29462, NULL, 'PF07110', NULL, NULL, 'EthD domain', NULL, 'EthD', NULL, NULL, 13690, 8),
(29463, NULL, 'PF05270', NULL, NULL, 'Alpha-L-arabinofuranosidase B (ABFB) domain', NULL, 'AbfB', NULL, NULL, 4356, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29464, NULL, 'PF06814', NULL, NULL, 'Lung seven transmembrane receptor', NULL, 'Lung_7-TM_R', NULL, NULL, 11391, 8),
(29465, NULL, 'PF00406', NULL, NULL, 'Adenylate kinase', NULL, 'ADK', NULL, NULL, NULL, 8),
(29466, NULL, 'PF10550', NULL, NULL, 'Conantokin toxin', NULL, 'Toxin_36', NULL, NULL, 12993, 8),
(29467, NULL, 'PF01523', NULL, NULL, 'PmbA/TldA metallopeptidase domain 1', NULL, 'PmbA_TldD', NULL, NULL, 855, 8),
(29468, NULL, 'PF13635', NULL, NULL, 'Domain of unknown function (DUF4143)', NULL, 'DUF4143', NULL, NULL, 23059, 8),
(29469, NULL, 'PF04782', NULL, NULL, 'Protein of unknown function (DUF632)', NULL, 'DUF632', NULL, NULL, 4559, 8),
(29470, NULL, 'PF17945', NULL, NULL, 'Beta/Gamma crystallin', NULL, 'Crystall_4', NULL, NULL, 29988, 8),
(29471, NULL, 'PF19139', NULL, NULL, 'Family of unknown function (DUF5822)', NULL, 'DUF5822', NULL, NULL, 36716, 8),
(29472, NULL, 'PF06791', NULL, NULL, 'Prophage tail length tape measure protein', NULL, 'TMP_2', NULL, NULL, 1751, 8),
(29473, NULL, 'PF11296', NULL, NULL, 'Protein of unknown function (DUF3097)', NULL, 'DUF3097', NULL, NULL, 18368, 8),
(29474, NULL, 'PF17773', NULL, NULL, 'UPF0176 acylphosphatase like domain', NULL, 'UPF0176_N', NULL, NULL, 29792, 8),
(29475, NULL, 'PF15938', NULL, NULL, 'Domain of unknown function (DUF4750)', NULL, 'DUF4750', NULL, NULL, 27091, 8),
(29476, NULL, 'PF10879', NULL, NULL, 'Protein of unknown function (DUF2674)', NULL, 'DUF2674', NULL, NULL, 20179, 8),
(29477, NULL, 'PF09132', NULL, NULL, 'BmKX', NULL, 'BmKX', NULL, NULL, 10995, 8),
(29478, NULL, 'PF03238', NULL, NULL, 'ESAG protein', NULL, 'ESAG1', NULL, NULL, 1614, 8),
(29479, NULL, 'PF06572', NULL, NULL, 'Protein of unknown function (DUF1131)', NULL, 'DUF1131', NULL, NULL, 7503, 8),
(29480, NULL, 'PF10195', NULL, NULL, 'DNA-binding nuclear phosphoprotein p8', NULL, 'Phospho_p8', NULL, NULL, 19171, 8),
(29481, NULL, 'PF03413', NULL, NULL, 'Peptidase propeptide and YPEB domain', NULL, 'PepSY', NULL, NULL, 25974, 8),
(29482, NULL, 'PF06194', NULL, NULL, 'Phage Conserved Open Reading Frame 51', NULL, 'Phage_Orf51', NULL, NULL, 14803, 8),
(29483, NULL, 'PF09254', NULL, NULL, 'Restriction endonuclease FokI, C terminal', NULL, 'Endonuc-FokI_C', NULL, NULL, 13535, 8),
(29484, NULL, 'PF13618', NULL, NULL, 'Gluconate 2-dehydrogenase subunit 3', NULL, 'Gluconate_2-dh3', NULL, NULL, 26484, 8),
(29485, NULL, 'PF19952', NULL, NULL, 'Family of unknown function (DUF6414)', NULL, 'DUF6414', NULL, NULL, 36888, 8),
(29486, NULL, 'PF08257', NULL, NULL, 'Sulfakinin family', NULL, 'Sulfakinin', NULL, NULL, 13395, 8),
(29487, NULL, 'PF11727', NULL, NULL, 'Invariant surface glycoprotein', NULL, 'ISG65-75', NULL, NULL, 15325, 8),
(29488, NULL, 'PF14737', NULL, NULL, 'Domain of unknown function (DUF4470)', NULL, 'DUF4470', NULL, NULL, 25450, 8),
(29489, NULL, 'PF19943', NULL, NULL, 'Family of unknown function (DUF6405)', NULL, 'DUF6405', NULL, NULL, 38644, 8),
(29490, NULL, 'PF01544', NULL, NULL, 'CorA-like Mg2+ transporter protein', NULL, 'CorA', NULL, NULL, 710, 8),
(29491, NULL, 'PF14743', NULL, NULL, 'DNA ligase OB-like domain', NULL, 'DNA_ligase_OB_2', NULL, NULL, 28565, 8),
(29492, NULL, 'PF05626', NULL, NULL, 'Protein of unknown function (DUF790)', NULL, 'DUF790', NULL, NULL, 12410, 8),
(29493, NULL, 'PF00667', NULL, NULL, 'FAD binding domain', NULL, 'FAD_binding_1', NULL, NULL, 1376, 8),
(29494, NULL, 'PF12317', NULL, NULL, 'Intraflagellar transport complex B protein 46 C terminal', NULL, 'IFT46_B_C', NULL, NULL, 20868, 8),
(29495, NULL, 'PF04066', NULL, NULL, 'Multiple resistance and pH regulation protein F (MrpF / PhaF)', NULL, 'MrpF_PhaF', NULL, NULL, 1406, 8),
(29496, NULL, 'PF12174', NULL, NULL, 'RCD1-SRO-TAF4 (RST) plant domain', NULL, 'RST', NULL, NULL, 20631, 8),
(29497, NULL, 'PF17361', NULL, NULL, 'Family of unknown function (DUF5387)', NULL, 'DUF5387', NULL, NULL, 29255, 8),
(29498, NULL, 'PF12240', NULL, NULL, 'Angiomotin C terminal', NULL, 'Angiomotin_C', NULL, NULL, 6139, 8),
(29499, NULL, 'PF12588', NULL, NULL, 'Phophatidylserine decarboxylase', NULL, 'PSDC', NULL, NULL, 21419, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29500, NULL, 'PF16317', NULL, NULL, 'Glycosyl hydrolase family 99', NULL, 'Glyco_hydro_99', NULL, NULL, 21789, 8),
(29501, NULL, 'PF05090', NULL, NULL, 'Vitamin K-dependent gamma-carboxylase', NULL, 'VKG_Carbox', NULL, NULL, 1041, 8),
(29502, NULL, 'PF16809', NULL, NULL, 'NleF caspase inhibitor', NULL, 'NleF_casp_inhib', NULL, NULL, 22588, 8),
(29503, NULL, 'PF07354', NULL, NULL, 'Zona-pellucida-binding protein (Sp38)', NULL, 'Sp38', NULL, NULL, 11872, 8),
(29504, NULL, 'PF15901', NULL, NULL, 'Sortilin, neurotensin receptor 3, C-terminal', NULL, 'Sortilin_C', NULL, NULL, 27449, 8),
(29505, NULL, 'PF01205', NULL, NULL, 'Uncharacterized protein family UPF0029', NULL, 'UPF0029', NULL, NULL, 6415, 8),
(29506, NULL, 'PF02146', NULL, NULL, 'Sir2 family', NULL, 'SIR2', NULL, NULL, 7476, 8),
(29507, NULL, 'PF09526', NULL, NULL, 'Probable metal-binding protein (DUF2387)', NULL, 'DUF2387', NULL, NULL, 10721, 8),
(29508, NULL, 'PF17015', NULL, NULL, 'Domain of unknown function (DUF5094)', NULL, 'DUF5094', NULL, NULL, 23073, 8),
(29509, NULL, 'PF19926', NULL, NULL, 'Family of unknown function (DUF6389)', NULL, 'DUF6389', NULL, NULL, 38954, 8),
(29510, NULL, 'PF12336', NULL, NULL, 'SOX transcription factor', NULL, 'SOXp', NULL, NULL, 20548, 8),
(29511, NULL, 'PF14344', NULL, NULL, 'Domain of unknown function (DUF4397)', NULL, 'DUF4397', NULL, NULL, 28044, 8),
(29512, NULL, 'PF06969', NULL, NULL, 'HemN C-terminal domain', NULL, 'HemN_C', NULL, NULL, 10058, 8),
(29513, NULL, 'PF19218', NULL, NULL, 'Coronavirus replicase NSP3, C-terminal', NULL, 'CoV_NSP3_C', NULL, NULL, 38358, 8),
(29514, NULL, 'PF05846', NULL, NULL, 'Chordopoxvirus A15 protein', NULL, 'Chordopox_A15', NULL, NULL, 8910, 8),
(29515, NULL, 'PF09270', NULL, NULL, 'Beta-trefoil DNA-binding domain', NULL, 'BTD', NULL, NULL, 13667, 8),
(29516, NULL, 'PF07626', NULL, NULL, 'Protein of unknown function (DUF1587)', NULL, 'PSD3', NULL, NULL, 12650, 8),
(29517, NULL, 'PF04028', NULL, NULL, 'Domain of unknown function (DUF374)', NULL, 'DUF374', NULL, NULL, 469, 8),
(29518, NULL, 'PF18690', NULL, NULL, 'Family of unknown function (DUF5639)', NULL, 'DUF5639', NULL, NULL, 31532, 8),
(29519, NULL, 'PF09756', NULL, NULL, 'DDRGK domain', NULL, 'DDRGK', NULL, NULL, 18507, 8),
(29520, NULL, 'PF06430', NULL, NULL, 'Lactococcus lactis RepB C-terminus', NULL, 'L_lactis_RepB_C', NULL, NULL, 7623, 8),
(29521, NULL, 'PF15193', NULL, NULL, 'FAM24 family', NULL, 'FAM24', NULL, NULL, 27498, 8),
(29522, NULL, 'PF12961', NULL, NULL, 'Domain of unknown function (DUF3850)', NULL, 'DUF3850', NULL, NULL, 33092, 8),
(29523, NULL, 'PF07034', NULL, NULL, 'Origin recognition complex (ORC) subunit 3 N-terminus', NULL, 'ORC3_N', NULL, NULL, 39822, 8),
(29524, NULL, 'PF00853', NULL, NULL, 'Runt domain', NULL, 'Runt', NULL, NULL, 7779, 8),
(29525, NULL, 'PF06734', NULL, NULL, 'UL97', NULL, 'UL97', NULL, NULL, 8216, 8),
(29526, NULL, 'PF14411', NULL, NULL, 'A nuclease of the HNH/ENDO VII superfamily with conserved LHH', NULL, 'LHH', NULL, NULL, 22946, 8),
(29527, NULL, 'PF13667', NULL, NULL, 'ThiC-associated domain', NULL, 'ThiC-associated', NULL, NULL, 26417, 8),
(29528, NULL, 'PF14396', NULL, NULL, 'Cystic fibrosis TM conductance regulator (CFTR), regulator domain', NULL, 'CFTR_R', NULL, NULL, 25201, 8),
(29529, NULL, 'PF01798', NULL, NULL, 'snoRNA binding domain, fibrillarin', NULL, 'Nop', NULL, NULL, 2857, 8),
(29530, NULL, 'PF18199', NULL, NULL, 'Dynein heavy chain C-terminal domain', NULL, 'Dynein_C', NULL, NULL, 32733, 8),
(29531, NULL, 'PF01721', NULL, NULL, 'Class II bacteriocin', NULL, 'Bacteriocin_II', NULL, NULL, 2941, 8),
(29532, NULL, 'PF16836', NULL, NULL, 'Shu complex component Psy3, DNA-binding description', NULL, 'PSY3', NULL, NULL, 27844, 8),
(29533, NULL, 'PF16546', NULL, NULL, 'Homodimerisation domain of SGTA', NULL, 'SGTA_dimer', NULL, NULL, 28901, 8),
(29534, NULL, 'PF08968', NULL, NULL, 'Domain of unknown function (DUF1885)', NULL, 'DUF1885', NULL, NULL, 8577, 8),
(29535, NULL, 'PF11338', NULL, NULL, 'Protein of unknown function (DUF3140)', NULL, 'DUF3140', NULL, NULL, 18599, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29536, NULL, 'PF05348', NULL, NULL, 'Proteasome maturation factor UMP1', NULL, 'UMP1', NULL, NULL, 5128, 8),
(29537, NULL, 'PF08876', NULL, NULL, 'Domain of unknown function (DUF1836)', NULL, 'DUF1836', NULL, NULL, 14436, 8),
(29538, NULL, 'PF09500', NULL, NULL, 'Putative thioesterase (yiiD_Cterm)', NULL, 'YiiD_C', NULL, NULL, 10526, 8),
(29539, NULL, 'PF11468', NULL, NULL, 'Aromatic prenyltransferase Orf2', NULL, 'PTase_Orf2', NULL, NULL, 15890, 8),
(29540, NULL, 'PF05594', NULL, NULL, 'Haemagluttinin repeat', NULL, 'Fil_haemagg', NULL, NULL, 14261, 8),
(29541, NULL, 'PF01459', NULL, NULL, 'Eukaryotic porin', NULL, 'Porin_3', NULL, NULL, 28972, 8),
(29542, NULL, 'PF04030', NULL, NULL, 'D-arabinono-1,4-lactone oxidase', NULL, 'ALO', NULL, NULL, 527, 8),
(29543, NULL, 'PF04764', NULL, NULL, 'Protein of unknown function (DUF613)', NULL, 'DUF613', NULL, NULL, 4460, 8),
(29544, NULL, 'PF16130', NULL, NULL, 'Domain of unknown function (DUF4842)', NULL, 'DUF4842', NULL, NULL, 24375, 8),
(29545, NULL, 'PF01099', NULL, NULL, 'Uteroglobin family', NULL, 'Uteroglobin', NULL, NULL, 11452, 8),
(29546, NULL, 'PF00042', NULL, NULL, 'Globin', NULL, 'Globin', NULL, NULL, 3408, 8),
(29547, NULL, 'PF14345', NULL, NULL, 'GDYXXLXY protein', NULL, 'GDYXXLXY', NULL, NULL, 25431, 8),
(29548, NULL, 'PF16900', NULL, NULL, 'Replication protein A OB domain', NULL, 'REPA_OB_2', NULL, NULL, 23356, 8),
(29549, NULL, 'PF00875', NULL, NULL, 'DNA photolyase', NULL, 'DNA_photolyase', NULL, NULL, 2846, 8),
(29550, NULL, 'PF18139', NULL, NULL, 'SLOG in TRPM', NULL, 'LSDAT_euk', NULL, NULL, 31687, 8),
(29551, NULL, 'PF01349', NULL, NULL, 'Flavivirus non-structural protein NS4B', NULL, 'Flavi_NS4B', NULL, NULL, 5717, 8),
(29552, NULL, 'PF05982', NULL, NULL, 'Na+-dependent bicarbonate transporter superfamily', NULL, 'Sbt_1', NULL, NULL, 7601, 8),
(29553, NULL, 'PF15101', NULL, NULL, 'Telomere-associated protein TERB2', NULL, 'TERB2', NULL, NULL, 28590, 8),
(29554, NULL, 'PF01376', NULL, NULL, 'Heat-labile enterotoxin beta chain', NULL, 'Enterotoxin_b', NULL, NULL, 4434, 8),
(29555, NULL, 'PF11749', NULL, NULL, 'Protein of unknown function (DUF3305)', NULL, 'DUF3305', NULL, NULL, 19572, 8),
(29556, NULL, 'PF09104', NULL, NULL, 'BRCA2, oligonucleotide/oligosaccharide-binding, domain 3', NULL, 'BRCA-2_OB3', NULL, NULL, 10538, 8),
(29557, NULL, 'PF08029', NULL, NULL, 'HisG, C-terminal domain', NULL, 'HisG_C', NULL, NULL, 18727, 8),
(29558, NULL, 'PF03960', NULL, NULL, 'ArsC family', NULL, 'ArsC', NULL, NULL, 1866, 8),
(29559, NULL, 'PF05109', NULL, NULL, 'Herpes virus major outer envelope glycoprotein (BLLF1)', NULL, 'Herpes_BLLF1', NULL, NULL, 2443, 8),
(29560, NULL, 'PF11469', NULL, NULL, 'Ribonuclease III', NULL, 'Ribonucleas_3_2', NULL, NULL, 18932, 8),
(29561, NULL, 'PF05510', NULL, NULL, 'Sarcoglycan alpha/epsilon', NULL, 'Sarcoglycan_2', NULL, NULL, 7871, 8),
(29562, NULL, 'PF05413', NULL, NULL, 'Putative closterovirus papain-like endopeptidase', NULL, 'Peptidase_C34', NULL, NULL, 12117, 8),
(29563, NULL, 'PF14725', NULL, NULL, 'Domain of unknown function (DUF4466)', NULL, 'DUF4466', NULL, NULL, 23575, 8),
(29564, NULL, 'PF05725', NULL, NULL, 'FNIP Repeat', NULL, 'FNIP', NULL, NULL, 14364, 8),
(29565, NULL, 'PF11530', NULL, NULL, 'Minor type IV pilin, PilX', NULL, 'Pilin_PilX', NULL, NULL, 22294, 8),
(29566, NULL, 'PF12718', NULL, NULL, 'Tropomyosin like', NULL, 'Tropomyosin_1', NULL, NULL, 5740, 8),
(29567, NULL, 'PF18552', NULL, NULL, 'PheRS DNA binding domain 1', NULL, 'PheRS_DBD1', NULL, NULL, 31681, 8),
(29568, NULL, 'PF01813', NULL, NULL, 'ATP synthase subunit D', NULL, 'ATP-synt_D', NULL, NULL, 3538, 8),
(29569, NULL, 'PF08054', NULL, NULL, 'Leucine operon leader peptide', NULL, 'Leu_leader', NULL, NULL, 9825, 8),
(29570, NULL, 'PF14689', NULL, NULL, 'Sensor_kinase_SpoOB-type, alpha-helical domain', NULL, 'SPOB_a', NULL, NULL, 33959, 8),
(29571, NULL, 'PF16730', NULL, NULL, 'DnaG-primase C-terminal, helicase-binding domain', NULL, 'DnaGprimase_HBD', NULL, NULL, 23528, 8),
(29572, NULL, 'PF01484', NULL, NULL, 'Nematode cuticle collagen N-terminal domain', NULL, 'Col_cuticle_N', NULL, NULL, 622, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29573, NULL, 'PF10421', NULL, NULL, '2''-5''-oligoadenylate synthetase 1, domain 2, C-terminus', NULL, 'OAS1_C', NULL, NULL, 16908, 8),
(29574, NULL, 'PF00234', NULL, NULL, 'Protease inhibitor/seed storage/LTP family', NULL, 'Tryp_alpha_amyl', NULL, NULL, 11457, 8),
(29575, NULL, 'PF04314', NULL, NULL, 'Copper chaperone PCu(A)C', NULL, 'PCuAC', NULL, NULL, 3881, 8),
(29576, NULL, 'PF01902', NULL, NULL, 'Diphthamide synthase', NULL, 'Diphthami_syn_2', NULL, NULL, 4004, 8),
(29577, NULL, 'PF10183', NULL, NULL, 'ESSS subunit of NADH:ubiquinone oxidoreductase (complex I)', NULL, 'ESSS', NULL, NULL, 15120, 8),
(29578, NULL, 'PF01227', NULL, NULL, 'GTP cyclohydrolase I', NULL, 'GTP_cyclohydroI', NULL, NULL, 20942, 8),
(29579, NULL, 'PF18924', NULL, NULL, 'Protein of unknown function (DUF5674)', NULL, 'DUF5674', NULL, NULL, 38369, 8),
(29580, NULL, 'PF09660', NULL, NULL, 'Protein of unknown function (DUF2397)', NULL, 'DUF2397', NULL, NULL, 10063, 8),
(29581, NULL, 'PF01933', NULL, NULL, '2-phospho-L-lactate transferase CofD', NULL, 'CofD', NULL, NULL, 5696, 8),
(29582, NULL, 'PF00684', NULL, NULL, 'DnaJ central domain', NULL, 'DnaJ_CXXCXGXG', NULL, NULL, 356, 8),
(29583, NULL, 'PF16784', NULL, NULL, 'Putative HNHc nuclease', NULL, 'HNHc_6', NULL, NULL, 32902, 8),
(29584, NULL, 'PF16095', NULL, NULL, 'C-terminal of Roc, COR, domain', NULL, 'COR', NULL, NULL, 24872, 8),
(29585, NULL, 'PF07369', NULL, NULL, 'Protein of unknown function (DUF1488)', NULL, 'DUF1488', NULL, NULL, 8171, 8),
(29586, NULL, 'PF19777', NULL, NULL, 'Family of unknown function (DUF6263)', NULL, 'DUF6263', NULL, NULL, 39594, 8),
(29587, NULL, 'PF09105', NULL, NULL, 'Elongation factor SelB, winged helix', NULL, 'SelB-wing_1', NULL, NULL, 10830, 8),
(29588, NULL, 'PF15456', NULL, NULL, 'Up-regulated During Septation', NULL, 'Uds1', NULL, NULL, 28572, 8),
(29589, NULL, 'PF02057', NULL, NULL, 'Glycosyl hydrolase family 59', NULL, 'Glyco_hydro_59', NULL, NULL, 2150, 8),
(29590, NULL, 'PF00959', NULL, NULL, 'Phage lysozyme', NULL, 'Phage_lysozyme', NULL, NULL, 6123, 8),
(29591, NULL, 'PF11226', NULL, NULL, 'Protein of unknown function (DUF3022)', NULL, 'DUF3022', NULL, NULL, 18475, 8),
(29592, NULL, 'PF18140', NULL, NULL, 'Propionyl-coenzyme A carboxylase BT domain', NULL, 'PCC_BT', NULL, NULL, 31873, 8),
(29593, NULL, 'PF04138', NULL, NULL, 'GtrA-like protein', NULL, 'GtrA', NULL, NULL, 7279, 8),
(29594, NULL, 'PF09277', NULL, NULL, 'Erythronolide synthase, docking', NULL, 'Erythro-docking', NULL, NULL, 13819, 8),
(29595, NULL, 'PF05742', NULL, NULL, 'Transport and Golgi organisation 2', NULL, 'TANGO2', NULL, NULL, 13197, 8),
(29596, NULL, 'PF01185', NULL, NULL, 'Fungal hydrophobin', NULL, 'Hydrophobin', NULL, NULL, 287, 8),
(29597, NULL, 'PF12264', NULL, NULL, 'Waikavirus capsid protein 1', NULL, 'Waikav_capsid_1', NULL, NULL, 22876, 8),
(29598, NULL, 'PF18830', NULL, NULL, 'Large polyvalent protein-associated domain 16', NULL, 'LPD16', NULL, NULL, 29506, 8),
(29599, NULL, 'PF15330', NULL, NULL, 'SHP2-interacting transmembrane adaptor protein, SIT', NULL, 'SIT', NULL, NULL, NULL, 8),
(29600, NULL, 'PF12570', NULL, NULL, 'Protein of unknown function (DUF3750)', NULL, 'DUF3750', NULL, NULL, 21280, 8),
(29601, NULL, 'PF19028', NULL, NULL, 'Spondin-like TSP1 domain', NULL, 'TSP1_spondin', NULL, NULL, 39550, 8),
(29602, NULL, 'PF16945', NULL, NULL, 'Putative lactococcus lactis phage r1t holin', NULL, 'Phage_r1t_holin', NULL, NULL, 12695, 8),
(29603, NULL, 'PF04196', NULL, NULL, 'Bunyavirus RNA dependent RNA polymerase', NULL, 'Bunya_RdRp', NULL, NULL, 4740, 8),
(29604, NULL, 'PF05078', NULL, NULL, 'Protein of unknown function (DUF679)', NULL, 'DUF679', NULL, NULL, 1094, 8),
(29605, NULL, 'PF10297', NULL, NULL, 'Minimal binding motif of Hap4 for binding to Hap2/3/5', NULL, 'Hap4_Hap_bind', NULL, NULL, 20241, 8),
(29606, NULL, 'PF14587', NULL, NULL, 'O-Glycosyl hydrolase family 30', NULL, 'Glyco_hydr_30_2', NULL, NULL, 36146, 8),
(29607, NULL, 'PF02438', NULL, NULL, 'Late 100kD protein', NULL, 'Adeno_100', NULL, NULL, 4812, 8),
(29608, NULL, 'PF10128', NULL, NULL, 'Glucose-6-phosphate dehydrogenase subunit', NULL, 'OpcA_G6PD_assem', NULL, NULL, 926, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29609, NULL, 'PF18115', NULL, NULL, 'DNA repair protein Crb2 Tudor domain', NULL, 'Tudor_3', NULL, NULL, 31378, 8),
(29610, NULL, 'PF05058', NULL, NULL, 'ActA Protein', NULL, 'ActA', NULL, NULL, 1384, 8),
(29611, NULL, 'PF12321', NULL, NULL, 'Protein of unknown function (DUF3634)', NULL, 'DUF3634', NULL, NULL, 20961, 8),
(29612, NULL, 'PF14415', NULL, NULL, 'Domain of unknown function (DUF4424)', NULL, 'DUF4424', NULL, NULL, 28452, 8),
(29613, NULL, 'PF16318', NULL, NULL, 'Domain of unknown function (DUF4957)', NULL, 'DUF4957', NULL, NULL, 27415, 8),
(29614, NULL, 'PF03113', NULL, NULL, 'Respiratory synctial virus non-structural protein NS2', NULL, 'RSV_NS2', NULL, NULL, 4911, 8),
(29615, NULL, 'PF07934', NULL, NULL, '8-oxoguanine DNA glycosylase, N-terminal domain', NULL, 'OGG_N', NULL, NULL, 13474, 8),
(29616, NULL, 'PF15356', NULL, NULL, 'Psoriasis susceptibility locus 2', NULL, 'SPR1', NULL, NULL, 28923, 8),
(29617, NULL, 'PF18752', NULL, NULL, 'Dictyosteliid AID/APOBEC-like Deaminase', NULL, 'DAAD', NULL, NULL, 31334, 8),
(29618, NULL, 'PF03377', NULL, NULL, 'TAL effector repeat', NULL, 'TAL_effector', NULL, NULL, 2377, 8),
(29619, NULL, 'PF17838', NULL, NULL, 'PH domain', NULL, 'PH_16', NULL, NULL, 34308, 8),
(29620, NULL, 'PF10646', NULL, NULL, 'Sporulation and spore germination', NULL, 'Germane', NULL, NULL, 20263, 8),
(29621, NULL, 'PF12853', NULL, NULL, 'C-terminal of NADH-ubiquinone oxidoreductase 21 kDa subunit', NULL, 'NADH_u_ox_C', NULL, NULL, 28377, 8),
(29622, NULL, 'PF15182', NULL, NULL, 'Otospiralin', NULL, 'OTOS', NULL, NULL, 23221, 8),
(29623, NULL, 'PF12696', NULL, NULL, 'TraM recognition site of TraD and TraG', NULL, 'TraG-D_C', NULL, NULL, 29318, 8),
(29624, NULL, 'PF12915', NULL, NULL, 'Protein of unknown function (DUF3833)', NULL, 'DUF3833', NULL, NULL, 22864, 8),
(29625, NULL, 'PF18907', NULL, NULL, 'Family of unknown function (DUF5662)', NULL, 'DUF5662', NULL, NULL, 38301, 8),
(29626, NULL, 'PF16953', NULL, NULL, 'Protein-only RNase P', NULL, 'PRORP', NULL, NULL, 23324, 8),
(29627, NULL, 'PF03169', NULL, NULL, 'OPT oligopeptide transporter protein', NULL, 'OPT', NULL, NULL, 4313, 8),
(29628, NULL, 'PF06776', NULL, NULL, 'Invasion associated locus B (IalB) protein', NULL, 'IalB', NULL, NULL, 9153, 8),
(29629, NULL, 'PF06990', NULL, NULL, 'Galactose-3-O-sulfotransferase', NULL, 'Gal-3-0_sulfotr', NULL, NULL, 12693, 8),
(29630, NULL, 'PF14498', NULL, NULL, 'Glycosyl hydrolase family 65, N-terminal domain', NULL, 'Glyco_hyd_65N_2', NULL, NULL, 22122, 8),
(29631, NULL, 'PF14833', NULL, NULL, 'NAD-binding of NADP-dependent 3-hydroxyisobutyrate dehydrogenase', NULL, 'NAD_binding_11', NULL, NULL, 25150, 8),
(29632, NULL, 'PF17864', NULL, NULL, 'RuvB AAA lid domain', NULL, 'AAA_lid_4', NULL, NULL, 32519, 8),
(29633, NULL, 'PF14214', NULL, NULL, 'Helitron helicase-like domain at N-terminus', NULL, 'Helitron_like_N', NULL, NULL, 28273, 8),
(29634, NULL, 'PF06916', NULL, NULL, 'Protein of unknown function (DUF1279)', NULL, 'DUF1279', NULL, NULL, 11723, 8),
(29635, NULL, 'PF04488', NULL, NULL, 'Glycosyltransferase sugar-binding region containing DXD motif', NULL, 'Gly_transf_sug', NULL, NULL, 1969, 8),
(29636, NULL, 'PF12233', NULL, NULL, 'Human adult T cell leukemia/lymphoma virus protein', NULL, 'p12I', NULL, NULL, 15275, 8),
(29637, NULL, 'PF10792', NULL, NULL, 'Protein of unknown function (DUF2605)', NULL, 'DUF2605', NULL, NULL, 21064, 8),
(29638, NULL, 'PF14175', NULL, NULL, 'YaaC-like Protein', NULL, 'YaaC', NULL, NULL, 27817, 8),
(29639, NULL, 'PF10563', NULL, NULL, 'Delta carbonic anhydrase', NULL, 'CA_like', NULL, NULL, 21340, 8),
(29640, NULL, 'PF17057', NULL, NULL, 'Poxviridae B3 protein', NULL, 'B3R', NULL, NULL, 23654, 8),
(29641, NULL, 'PF17963', NULL, NULL, 'Bacterial Ig domain', NULL, 'Big_9', NULL, NULL, NULL, 8),
(29642, NULL, 'PF19482', NULL, NULL, 'Family of unknown function (DUF6018)', NULL, 'DUF6018', NULL, NULL, 39253, 8),
(29643, NULL, 'PF15703', NULL, NULL, 'Linker for activation of T-cells family member 2', NULL, 'LAT2', NULL, NULL, 28601, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29644, NULL, 'PF03894', NULL, NULL, 'D-xylulose 5-phosphate/D-fructose 6-phosphate phosphoketolase', NULL, 'XFP', NULL, NULL, 2638, 8),
(29645, NULL, 'PF12577', NULL, NULL, 'PPAR gamma N-terminal region', NULL, 'PPARgamma_N', NULL, NULL, 16589, 8),
(29646, NULL, 'PF12533', NULL, NULL, 'Neuronal helix-loop-helix transcription factor', NULL, 'Neuro_bHLH', NULL, NULL, 16726, 8),
(29647, NULL, 'PF18517', NULL, NULL, 'Leucine zipper with capping helix domain', NULL, 'LZ3wCH', NULL, NULL, 29530, 8),
(29648, NULL, 'PF06233', NULL, NULL, 'Usg-like family', NULL, 'Usg', NULL, NULL, 14975, 8),
(29649, NULL, 'PF09446', NULL, NULL, 'VMA21-like domain', NULL, 'VMA21', NULL, NULL, 16257, 8),
(29650, NULL, 'PF19399', NULL, NULL, 'Family of unknown function (DUF5974)', NULL, 'DUF5974', NULL, NULL, 39268, 8),
(29651, NULL, 'PF11120', NULL, NULL, 'Cellulose biosynthesis protein BcsF', NULL, 'CBP_BcsF', NULL, NULL, 17109, 8),
(29652, NULL, 'PF07550', NULL, NULL, 'Protein of unknown function (DUF1533)', NULL, 'DUF1533', NULL, NULL, 13944, 8),
(29653, NULL, 'PF00616', NULL, NULL, 'GTPase-activator protein for Ras-like GTPase', NULL, 'RasGAP', NULL, NULL, 2448, 8),
(29654, NULL, 'PF11750', NULL, NULL, 'Protein of unknown function (DUF3307)', NULL, 'DUF3307', NULL, NULL, 19743, 8),
(29655, NULL, 'PF16365', NULL, NULL, 'Ethanolamine utilization protein EutK C-terminus', NULL, 'EutK_C', NULL, NULL, 25430, 8),
(29656, NULL, 'PF02269', NULL, NULL, 'Transcription initiation factor IID, 18kD subunit', NULL, 'TFIID-18kDa', NULL, NULL, 4864, 8),
(29657, NULL, 'PF06290', NULL, NULL, 'Plasmid SOS inhibition protein (PsiB)', NULL, 'PsiB', NULL, NULL, 8371, 8),
(29658, NULL, 'PF16074', NULL, NULL, 'Type IV Pilus-assembly protein W', NULL, 'PilW', NULL, NULL, 25320, 8),
(29659, NULL, 'PF17154', NULL, NULL, 'Gammaproteobacterial periplasmic sensor domain', NULL, 'GAPES3', NULL, NULL, 33489, 8),
(29660, NULL, 'PF14537', NULL, NULL, 'Cytochrome c3', NULL, 'Cytochrom_c3_2', NULL, NULL, 13031, 8),
(29661, NULL, 'PF01278', NULL, NULL, 'Omptin family', NULL, 'Omptin', NULL, NULL, 2667, 8),
(29662, NULL, 'PF06379', NULL, NULL, 'L-rhamnose-proton symport protein (RhaT)', NULL, 'RhaT', NULL, NULL, 2892, 8),
(29663, NULL, 'PF18514', NULL, NULL, 'Get5 C-terminal domain', NULL, 'Get5_C', NULL, NULL, 30409, 8),
(29664, NULL, 'PF09057', NULL, NULL, 'Second Mitochondria-derived Activator of Caspases', NULL, 'Smac_DIABLO', NULL, NULL, 9751, 8),
(29665, NULL, 'PF12575', NULL, NULL, 'Poxvirus entry protein complex L1 and I2', NULL, 'Pox_EPC_I2-L1', NULL, NULL, 9955, 8),
(29666, NULL, 'PF05017', NULL, NULL, 'TMP repeat', NULL, 'TMP', NULL, NULL, 1062, 8),
(29667, NULL, 'PF01650', NULL, NULL, 'Peptidase C13 family', NULL, 'Peptidase_C13', NULL, NULL, 1205, 8),
(29668, NULL, 'PF06525', NULL, NULL, 'Sulfocyanin (SoxE) domain', NULL, 'SoxE', NULL, NULL, NULL, 8),
(29669, NULL, 'PF01373', NULL, NULL, 'Glycosyl hydrolase family 14', NULL, 'Glyco_hydro_14', NULL, NULL, 5944, 8),
(29670, NULL, 'PF09332', NULL, NULL, 'Mcm10 replication factor', NULL, 'Mcm10', NULL, NULL, 14273, 8),
(29671, NULL, 'PF12167', NULL, NULL, 'Arm DNA-binding domain', NULL, 'Arm-DNA-bind_2', NULL, NULL, 20674, 8),
(29672, NULL, 'PF02206', NULL, NULL, 'Domain of unknown function', NULL, 'WSN', NULL, NULL, 2666, 8),
(29673, NULL, 'PF14029', NULL, NULL, 'Protein of unknown function (DUF4244)', NULL, 'DUF4244', NULL, NULL, 22834, 8),
(29674, NULL, 'PF18746', NULL, NULL, 'Alpha-glutamyl/putrescinyl thymine pyrophosphorylase clade 3', NULL, 'aGPT-Pplase3', NULL, NULL, 32127, 8),
(29675, NULL, 'PF07042', NULL, NULL, 'TrfA protein', NULL, 'TrfA', NULL, NULL, 10113, 8),
(29676, NULL, 'PF13995', NULL, NULL, 'YebF-like protein', NULL, 'YebF', NULL, NULL, 23232, 8),
(29677, NULL, 'PF07447', NULL, NULL, 'Matrix protein VP40', NULL, 'VP40', NULL, NULL, 9911, 8),
(29678, NULL, 'PF17402', NULL, NULL, 'Family of unknown function (DUF5408)', NULL, 'DUF5408', NULL, NULL, 33225, 8),
(29679, NULL, 'PF00124', NULL, NULL, 'Photosynthetic reaction centre protein', NULL, 'Photo_RC', NULL, NULL, 5872, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29680, NULL, 'PF15566', NULL, NULL, 'Immunity protein 32', NULL, 'Imm32', NULL, NULL, 26147, 8),
(29681, NULL, 'PF17533', NULL, NULL, 'Family of unknown function (DUF5452)', NULL, 'DUF5452', NULL, NULL, 15421, 8),
(29682, NULL, 'PF02921', NULL, NULL, 'Ubiquinol cytochrome reductase transmembrane region', NULL, 'UCR_TM', NULL, NULL, 2961, 8),
(29683, NULL, 'PF00183', NULL, NULL, 'Hsp90 protein', NULL, 'HSP90', NULL, NULL, 7470, 8),
(29684, NULL, 'PF01262', NULL, NULL, 'Alanine dehydrogenase/PNT, C-terminal domain', NULL, 'AlaDh_PNT_C', NULL, NULL, 1456, 8),
(29685, NULL, 'PF03967', NULL, NULL, 'Photosynthetic reaction centre, H-chain N-terminal region', NULL, 'PRCH', NULL, NULL, 12873, 8),
(29686, NULL, 'PF11765', NULL, NULL, 'Hyphally regulated cell wall protein N-terminal', NULL, 'Hyphal_reg_CWP', NULL, NULL, 16098, 8),
(29687, NULL, 'PF12243', NULL, NULL, 'CTD kinase subunit gamma CTK3', NULL, 'CTK3', NULL, NULL, 13730, 8),
(29688, NULL, 'PF05788', NULL, NULL, 'Orbivirus RNA-dependent RNA polymerase (VP1)', NULL, 'Orbi_VP1', NULL, NULL, 12283, 8),
(29689, NULL, 'PF14195', NULL, NULL, 'Domain of unknown function (DUF4316)', NULL, 'DUF4316', NULL, NULL, 28261, 8),
(29690, NULL, 'PF17769', NULL, NULL, 'Phosphoribosylaminoimidazole carboxylase C-terminal domain', NULL, 'PurK_C', NULL, NULL, 30525, 8),
(29691, NULL, 'PF19630', NULL, NULL, 'Family of unknown function (DUF6134)', NULL, 'DUF6134', NULL, NULL, 36639, 8),
(29692, NULL, 'PF03284', NULL, NULL, 'Phenazine biosynthesis protein A/B', NULL, 'PHZA_PHZB', NULL, NULL, 2517, 8),
(29693, NULL, 'PF11170', NULL, NULL, 'Protein of unknown function (DUF2957)', NULL, 'DUF2957', NULL, NULL, 18232, 8),
(29694, NULL, 'PF15511', NULL, NULL, 'Centromere kinetochore component CENP-T histone fold', NULL, 'CENP-T_C', NULL, NULL, 33983, 8),
(29695, NULL, 'PF19208', NULL, NULL, 'Family of unknown function (DUF5880)', NULL, 'DUF5880', NULL, NULL, 37756, 8),
(29696, NULL, 'PF11904', NULL, NULL, 'GPCR-chaperone', NULL, 'GPCR_chapero_1', NULL, NULL, 20200, 8),
(29697, NULL, 'PF14990', NULL, NULL, 'Domain of unknown function (DUF4516)', NULL, 'DUF4516', NULL, NULL, 27847, 8),
(29698, NULL, 'PF04942', NULL, NULL, 'CC domain', NULL, 'CC', NULL, NULL, 6981, 8),
(29699, NULL, 'PF09000', NULL, NULL, 'Cytotoxic', NULL, 'Cytotoxic', NULL, NULL, 7832, 8),
(29700, NULL, 'PF17232', NULL, NULL, 'Elicitor peptide 1-7', NULL, 'Pep1_7', NULL, NULL, 20448, 8),
(29701, NULL, 'PF11272', NULL, NULL, 'Protein of unknown function (DUF3072)', NULL, 'DUF3072', NULL, NULL, 18300, 8),
(29702, NULL, 'PF11653', NULL, NULL, 'Bacteriophage T7 virion assembly protein', NULL, 'VirionAssem_T7', NULL, NULL, 9401, 8),
(29703, NULL, 'PF06131', NULL, NULL, 'Schizosaccharomyces pombe repeat of unknown function (DUF963)', NULL, 'DUF963', NULL, NULL, 13509, 8),
(29704, NULL, 'PF08117', NULL, NULL, 'Ptu family', NULL, 'Toxin_30', NULL, NULL, 11827, 8),
(29705, NULL, 'PF11198', NULL, NULL, 'Protein of unknown function (DUF2857)', NULL, 'DUF2857', NULL, NULL, 18237, 8),
(29706, NULL, 'PF08176', NULL, NULL, 'Small acid-soluble spore protein K family', NULL, 'SspK', NULL, NULL, 9588, 8),
(29707, NULL, 'PF03843', NULL, NULL, 'Outer membrane lipoprotein Slp family', NULL, 'Slp', NULL, NULL, 2563, 8),
(29708, NULL, 'PF05134', NULL, NULL, 'Type II secretion system (T2SS), protein L', NULL, 'T2SSL', NULL, NULL, 9148, 8),
(29709, NULL, 'PF03918', NULL, NULL, 'Cytochrome C biogenesis protein', NULL, 'CcmH', NULL, NULL, 2755, 8),
(29710, NULL, 'PF19140', NULL, NULL, 'Family of unknown function (DUF5823)', NULL, 'DUF5823', NULL, NULL, 36607, 8),
(29711, NULL, 'PF07510', NULL, NULL, 'Protein of unknown function (DUF1524)', NULL, 'DUF1524', NULL, NULL, 11448, 8),
(29712, NULL, 'PF13449', NULL, NULL, 'Esterase-like activity of phytase', NULL, 'Phytase-like', NULL, NULL, 25456, 8),
(29713, NULL, 'PF15110', NULL, NULL, 'TMEM141 protein family', NULL, 'TMEM141', NULL, NULL, 24275, 8),
(29714, NULL, 'PF17777', NULL, NULL, 'Insertion domain in 60S ribosomal protein L10P', NULL, 'RL10P_insert', NULL, NULL, 30205, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29715, NULL, 'PF09857', NULL, NULL, 'Putative toxin of bacterial toxin-antitoxin pair', NULL, 'YjhX_toxin', NULL, NULL, 16964, 8),
(29716, NULL, 'PF03045', NULL, NULL, 'DAN domain', NULL, 'DAN', NULL, NULL, 2676, 8),
(29717, NULL, 'PF16812', NULL, NULL, 'C-terminal head domain of the fowl adenovirus type 1 long fibre', NULL, 'AdHead_fibreRBD', NULL, NULL, 22780, 8),
(29718, NULL, 'PF15389', NULL, NULL, 'Domain of unknown function (DUF4612)', NULL, 'DUF4612', NULL, NULL, 25465, 8),
(29719, NULL, 'PF16236', NULL, NULL, 'Domain of unknown function (DUF4895)', NULL, 'DUF4895', NULL, NULL, 27732, 8),
(29720, NULL, 'PF17729', NULL, NULL, 'Family of unknown function (DUF5569)', NULL, 'DUF5569', NULL, NULL, 33743, 8),
(29721, NULL, 'PF04582', NULL, NULL, 'Reovirus sigma C capsid protein C-terminal domain', NULL, 'Reo_sigmaC', NULL, NULL, 400, 8),
(29722, NULL, 'PF12079', NULL, NULL, 'Protein of unknown function (DUF3558)', NULL, 'DUF3558', NULL, NULL, 25748, 8),
(29723, NULL, 'PF18648', NULL, NULL, 'Tse2 ADP-ribosyltransferase toxins', NULL, 'ADPRTs_Tse2', NULL, NULL, 31657, 8),
(29724, NULL, 'PF08235', NULL, NULL, 'LNS2 (Lipin/Ned1/Smp2)', NULL, 'LNS2', NULL, NULL, 17860, 8),
(29725, NULL, 'PF03457', NULL, NULL, 'Helicase associated domain', NULL, 'HA', NULL, NULL, 10704, 8),
(29726, NULL, 'PF09353', NULL, NULL, 'Domain of unknown function (DUF1995)', NULL, 'DUF1995', NULL, NULL, 15192, 8),
(29727, NULL, 'PF08982', NULL, NULL, 'Domain of unknown function (DUF1857)', NULL, 'DUF1857', NULL, NULL, 8615, 8),
(29728, NULL, 'PF10014', NULL, NULL, '2OG-Fe dioxygenase', NULL, '2OG-Fe_Oxy_2', NULL, NULL, 17640, 8),
(29729, NULL, 'PF17521', NULL, NULL, 'Honey bee peptides', NULL, 'Secapin', NULL, NULL, 18784, 8),
(29730, NULL, 'PF11169', NULL, NULL, 'Protein of unknown function (DUF2956)', NULL, 'DUF2956', NULL, NULL, 18265, 8),
(29731, NULL, 'PF17250', NULL, NULL, 'NADH-ubiquinone oxidoreductase 11 kDa subunit', NULL, 'NDUFB11', NULL, NULL, 9039, 8),
(29732, NULL, 'PF00869', NULL, NULL, 'Flavivirus glycoprotein, central and dimerisation domains', NULL, 'Flavi_glycoprot', NULL, NULL, 12236, 8),
(29733, NULL, 'PF18277', NULL, NULL, 'AbrB C-terminal domain', NULL, 'AbrB_C', NULL, NULL, 30951, 8),
(29734, NULL, 'PF01132', NULL, NULL, 'Elongation factor P (EF-P) OB domain', NULL, 'EFP', NULL, NULL, 2204, 8),
(29735, NULL, 'PF03345', NULL, NULL, 'Oligosaccharyltransferase 48 kDa subunit beta', NULL, 'DDOST_48kD', NULL, NULL, 536, 8),
(29736, NULL, 'PF12001', NULL, NULL, 'Domain of unknown function (DUF3496)', NULL, 'DUF3496', NULL, NULL, 20351, 8),
(29737, NULL, 'PF18535', NULL, NULL, 'Gal11 activator-binding domain (ABD1)', NULL, 'Gal11_ABD1', NULL, NULL, 34401, 8),
(29738, NULL, 'PF02558', NULL, NULL, 'Ketopantoate reductase PanE/ApbA', NULL, 'ApbA', NULL, NULL, 14071, 8),
(29739, NULL, 'PF05933', NULL, NULL, 'Fungal ATP synthase protein 8 (A6L)', NULL, 'Fun_ATP-synt_8', NULL, NULL, 12594, 8),
(29740, NULL, 'PF01326', NULL, NULL, 'Pyruvate phosphate dikinase, AMP/ATP-binding domain', NULL, 'PPDK_N', NULL, NULL, 459, 8),
(29741, NULL, 'PF06139', NULL, NULL, 'BphX-like', NULL, 'BphX', NULL, NULL, 14859, 8),
(29742, NULL, 'PF19196', NULL, NULL, 'Family of unknown function (DUF5871)', NULL, 'DUF5871', NULL, NULL, 37658, 8),
(29743, NULL, 'PF15806', NULL, NULL, 'Domain of unknown function (DUF4707)', NULL, 'DUF4707', NULL, NULL, 27540, 8),
(29744, NULL, 'PF01510', NULL, NULL, 'N-acetylmuramoyl-L-alanine amidase', NULL, 'Amidase_2', NULL, NULL, 852, 8),
(29745, NULL, 'PF13740', NULL, NULL, 'ACT domain', NULL, 'ACT_6', NULL, NULL, NULL, 8),
(29746, NULL, 'PF02412', NULL, NULL, 'Thrombospondin type 3 repeat', NULL, 'TSP_3', NULL, NULL, 4407, 8),
(29747, NULL, 'PF08227', NULL, NULL, 'DASH complex subunit Hsk3 like', NULL, 'DASH_Hsk3', NULL, NULL, 17714, 8),
(29748, NULL, 'PF12411', NULL, NULL, 'Choline sulfatase enzyme C terminal', NULL, 'Choline_sulf_C', NULL, NULL, 27285, 8),
(29749, NULL, 'PF16313', NULL, NULL, 'Met-zincin', NULL, 'DUF4953', NULL, NULL, 27577, 8),
(29750, NULL, 'PF06418', NULL, NULL, 'CTP synthase N-terminus', NULL, 'CTP_synth_N', NULL, NULL, 18533, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29751, NULL, 'PF03215', NULL, NULL, 'Rad17 P-loop domain', NULL, 'Rad17', NULL, NULL, NULL, 8),
(29752, NULL, 'PF11839', NULL, NULL, 'Alanine-zipper, major outer membrane lipoprotein', NULL, 'Alanine_zipper', NULL, NULL, 19799, 8),
(29753, NULL, 'PF12102', NULL, NULL, 'MrcB-like, N-terminal domain', NULL, 'MrcB_N', NULL, NULL, 20729, 8),
(29754, NULL, 'PF13979', NULL, NULL, 'SopA-like catalytic domain', NULL, 'SopA_C', NULL, NULL, 23906, 8),
(29755, NULL, 'PF16862', NULL, NULL, 'Glycosyl hydrolase family 79 C-terminal beta domain', NULL, 'Glyco_hydro_79C', NULL, NULL, 27216, 8),
(29756, NULL, 'PF01888', NULL, NULL, 'CbiD', NULL, 'CbiD', NULL, NULL, 3661, 8),
(29757, NULL, 'PF10344', NULL, NULL, 'Mitochondrial protein from FMP27', NULL, 'Fmp27', NULL, NULL, 17919, 8),
(29758, NULL, 'PF15441', NULL, NULL, 'RhoGEF 5/35 N-terminal disordered region', NULL, 'ARHGEF5_35', NULL, NULL, 28756, 8),
(29759, NULL, 'PF15728', NULL, NULL, 'Domain of unknown function (DUF4679)', NULL, 'DUF4679', NULL, NULL, 27626, 8),
(29760, NULL, 'PF12491', NULL, NULL, 'Apolipoprotein B100 C terminal', NULL, 'ApoB100_C', NULL, NULL, 21069, 8),
(29761, NULL, 'PF01752', NULL, NULL, 'Collagenase', NULL, 'Peptidase_M9', NULL, NULL, 253, 8),
(29762, NULL, 'PF06384', NULL, NULL, 'Beta-catenin-interacting protein ICAT', NULL, 'ICAT', NULL, NULL, 8041, 8),
(29763, NULL, 'PF09282', NULL, NULL, 'Mago binding', NULL, 'Mago-bind', NULL, NULL, 13866, 8),
(29764, NULL, 'PF10959', NULL, NULL, 'Protein of unknown function (DUF2761)', NULL, 'DUF2761', NULL, NULL, 20136, 8),
(29765, NULL, 'PF15601', NULL, NULL, 'Immunity protein 70', NULL, 'Imm70', NULL, NULL, 22290, 8),
(29766, NULL, 'PF11187', NULL, NULL, 'Protein of unknown function (DUF2974)', NULL, 'DUF2974', NULL, NULL, 25608, 8),
(29767, NULL, 'PF14924', NULL, NULL, 'Protein of unknown function (DUF4497)', NULL, 'DUF4497', NULL, NULL, NULL, 8),
(29768, NULL, 'PF19198', NULL, NULL, 'RsaA N-terminal domain', NULL, 'RsaA_NTD', NULL, NULL, NULL, 8),
(29769, NULL, 'PF08594', NULL, NULL, 'Uncharacterised protein family (UPF0300)', NULL, 'UPF0300', NULL, NULL, 18147, 8),
(29770, NULL, 'PF04497', NULL, NULL, 'Poxviridae protein', NULL, 'Pox_E2-like', NULL, NULL, 18844, 8),
(29771, NULL, 'PF05777', NULL, NULL, 'Drosophila accessory gland-specific peptide 26Ab (Acp26Ab)', NULL, 'Acp26Ab', NULL, NULL, 7532, 8),
(29772, NULL, 'PF03920', NULL, NULL, 'Groucho/TLE N-terminal Q-rich domain', NULL, 'TLE_N', NULL, NULL, 2723, 8),
(29773, NULL, 'PF16343', NULL, NULL, 'Domain of unknown function (DUF4973)', NULL, 'DUF4973', NULL, NULL, 22787, 8),
(29774, NULL, 'PF18522', NULL, NULL, 'Domain of unknown function (DUF5620)', NULL, 'DUF5620', NULL, NULL, 31225, 8),
(29775, NULL, 'PF15887', NULL, NULL, 'Putative zinc-binding metallo-peptidase', NULL, 'Peptidase_Mx', NULL, NULL, 22442, 8),
(29776, NULL, 'PF17585', NULL, NULL, 'Accessory recombination function protein', NULL, 'Phage_Arf', NULL, NULL, 20734, 8),
(29777, NULL, 'PF00872', NULL, NULL, 'Transposase, Mutator family', NULL, 'Transposase_mut', NULL, NULL, 1498, 8),
(29778, NULL, 'PF01562', NULL, NULL, 'Reprolysin family propeptide', NULL, 'Pep_M12B_propep', NULL, NULL, 5999, 8),
(29779, NULL, 'PF08824', NULL, NULL, 'Serine rich protein interaction domain', NULL, 'Serine_rich', NULL, NULL, 14310, 8),
(29780, NULL, 'PF07343', NULL, NULL, 'Protein of unknown function (DUF1475)', NULL, 'DUF1475', NULL, NULL, 8015, 8),
(29781, NULL, 'PF16010', NULL, NULL, 'Cytochrome domain of cellobiose dehydrogenase', NULL, 'CDH-cyt', NULL, NULL, 8262, 8),
(29782, NULL, 'PF05868', NULL, NULL, 'Rotavirus major outer capsid protein VP7', NULL, 'Rotavirus_VP7', NULL, NULL, 14457, 8),
(29783, NULL, 'PF04796', NULL, NULL, 'Plasmid encoded RepA protein', NULL, 'RepA_C', NULL, NULL, 4704, 8),
(29784, NULL, 'PF09634', NULL, NULL, 'Protein of unknown function (DUF2025)', NULL, 'DUF2025', NULL, NULL, 15122, 8),
(29785, NULL, 'PF11474', NULL, NULL, 'Telomerase reverse transcriptase TEN domain', NULL, 'N-Term_TEN', NULL, NULL, NULL, 8),
(29786, NULL, 'PF07087', NULL, NULL, 'Protein of unknown function (DUF1353)', NULL, 'DUF1353', NULL, NULL, 10566, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29787, NULL, 'PF09481', NULL, NULL, 'CRISPR-associated protein Cse1 (CRISPR_cse1)', NULL, 'CRISPR_Cse1', NULL, NULL, 11893, 8),
(29788, NULL, 'PF01494', NULL, NULL, 'FAD binding domain', NULL, 'FAD_binding_3', NULL, NULL, 6977, 8),
(29789, NULL, 'PF15534', NULL, NULL, 'Bacterial toxin 35', NULL, 'Ntox35', NULL, NULL, 25032, 8),
(29790, NULL, 'PF15420', NULL, NULL, 'Alpha/beta-hydrolase family N-terminus', NULL, 'Abhydrolase_9_N', NULL, NULL, 26609, 8),
(29791, NULL, 'PF01826', NULL, NULL, 'Trypsin Inhibitor like cysteine rich domain', NULL, 'TIL', NULL, NULL, 6237, 8),
(29792, NULL, 'PF01968', NULL, NULL, 'Hydantoinase/oxoprolinase', NULL, 'Hydantoinase_A', NULL, NULL, 4771, 8),
(29793, NULL, 'PF19391', NULL, NULL, 'Family of unknown function (DUF5966)', NULL, 'DUF5966', NULL, NULL, 39059, 8),
(29794, NULL, 'PF16528', NULL, NULL, 'Exocyst component 84 C-terminal', NULL, 'Exo84_C', NULL, NULL, 26572, 8),
(29795, NULL, 'PF18640', NULL, NULL, 'LepB N-terminal domain', NULL, 'LepB_N', NULL, NULL, 34199, 8),
(29796, NULL, 'PF14231', NULL, NULL, 'GXWXG protein', NULL, 'GXWXG', NULL, NULL, 22675, 8),
(29797, NULL, 'PF00894', NULL, NULL, 'Luteovirus coat protein', NULL, 'Luteo_coat', NULL, NULL, 6274, 8),
(29798, NULL, 'PF13730', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_36', NULL, NULL, NULL, 8),
(29799, NULL, 'PF16608', NULL, NULL, 'TNRC6-PABC binding domain', NULL, 'TNRC6-PABC_bdg', NULL, NULL, 25861, 8),
(29800, NULL, 'PF04333', NULL, NULL, 'MlaA lipoprotein', NULL, 'MlaA', NULL, NULL, 3576, 8),
(29801, NULL, 'PF06438', NULL, NULL, 'Heme-binding protein A (HasA)', NULL, 'HasA', NULL, NULL, 10571, 8),
(29802, NULL, 'PF12128', NULL, NULL, 'Protein of unknown function (DUF3584)', NULL, 'DUF3584', NULL, NULL, 20952, 8),
(29803, NULL, 'PF02699', NULL, NULL, 'Preprotein translocase subunit', NULL, 'YajC', NULL, NULL, 3093, 8),
(29804, NULL, 'PF11453', NULL, NULL, 'Protein of unknown function (DUF2950)', NULL, 'DUF2950', NULL, NULL, 18921, 8),
(29805, NULL, 'PF04095', NULL, NULL, 'Nicotinate phosphoribosyltransferase (NAPRTase) family', NULL, 'NAPRTase', NULL, NULL, 32087, 8),
(29806, NULL, 'PF03002', NULL, NULL, 'Somatostatin/Cortistatin family', NULL, 'Somatostatin', NULL, NULL, 13615, 8),
(29807, NULL, 'PF14874', NULL, NULL, 'Flagellar-associated PapD-like', NULL, 'PapD-like', NULL, NULL, NULL, 8),
(29808, NULL, 'PF16087', NULL, NULL, 'Helix-turn-helix domain (DUF4817)', NULL, 'DUF4817', NULL, NULL, 25051, 8),
(29809, NULL, 'PF04570', NULL, NULL, 'zinc-finger of the FCS-type, C2-C2', NULL, 'zf-FLZ', NULL, NULL, 35, 8),
(29810, NULL, 'PF15108', NULL, NULL, 'Voltage-dependent calcium channel gamma-like subunit protein family', NULL, 'TMEM37', NULL, NULL, 28179, 8),
(29811, NULL, 'PF16154', NULL, NULL, 'Domain of unknown function (DUF4862)', NULL, 'DUF4862', NULL, NULL, 28191, 8),
(29812, NULL, 'PF07063', NULL, NULL, 'Domain of unknown function (DUF1338)', NULL, 'DUF1338', NULL, NULL, 12769, 8),
(29813, NULL, 'PF09976', NULL, NULL, 'Tetratricopeptide repeat-like domain', NULL, 'TPR_21', NULL, NULL, 17922, 8),
(29814, NULL, 'PF07158', NULL, NULL, 'Dicarboxylate carrier protein MatC N-terminus', NULL, 'MatC_N', NULL, NULL, 13612, 8),
(29815, NULL, 'PF14153', NULL, NULL, 'Spore coat protein CotO', NULL, 'Spore_coat_CotO', NULL, NULL, 28236, 8),
(29816, NULL, 'PF06275', NULL, NULL, 'Protein of unknown function (DUF1031)', NULL, 'DUF1031', NULL, NULL, 14926, 8),
(29817, NULL, 'PF13175', NULL, NULL, 'AAA ATPase domain', NULL, 'AAA_15', NULL, NULL, 32996, 8),
(29818, NULL, 'PF01974', NULL, NULL, 'tRNA intron endonuclease, catalytic C-terminal domain', NULL, 'tRNA_int_endo', NULL, NULL, 2220, 8),
(29819, NULL, 'PF06460', NULL, NULL, 'Coronavirus 2''-O-methyltransferase', NULL, 'CoV_Methyltr_2', NULL, NULL, 9413, 8),
(29820, NULL, 'PF12520', NULL, NULL, 'Protein of unknown function (DUF3723)', NULL, 'DUF3723', NULL, NULL, 21435, 8),
(29821, NULL, 'PF15036', NULL, NULL, 'Interleukin 34', NULL, 'IL34', NULL, NULL, 20250, 8),
(29822, NULL, 'PF05016', NULL, NULL, 'ParE toxin of type II toxin-antitoxin system, parDE', NULL, 'ParE_toxin', NULL, NULL, 1082, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29823, NULL, 'PF07875', NULL, NULL, 'Coat F domain', NULL, 'Coat_F', NULL, NULL, 12752, 8),
(29824, NULL, 'PF16961', NULL, NULL, 'Putative OmpA-OmpF-like porin family', NULL, 'OmpA_like', NULL, NULL, 23107, 8),
(29825, NULL, 'PF11312', NULL, NULL, 'Putative SAM-dependent methyltransferase', NULL, 'Methyltransf_34', NULL, NULL, 18909, 8),
(29826, NULL, 'PF17981', NULL, NULL, 'Cysteine Rich ADD domain', NULL, 'ADD_ATRX', NULL, NULL, 33079, 8),
(29827, NULL, 'PF14155', NULL, NULL, 'Domain of unknown function (DUF4307)', NULL, 'DUF4307', NULL, NULL, 28390, 8),
(29828, NULL, 'PF16099', NULL, NULL, 'Recq-mediated genome instability protein 1, C-terminal OB-fold', NULL, 'RMI1_C', NULL, NULL, 22688, 8),
(29829, NULL, 'PF16737', NULL, NULL, 'PHD finger protein 12 MRG binding domain', NULL, 'PHF12_MRG_bd', NULL, NULL, 23774, 8),
(29830, NULL, 'PF02453', NULL, NULL, 'Reticulon', NULL, 'Reticulon', NULL, NULL, 4964, 8),
(29831, NULL, 'PF03339', NULL, NULL, 'Poxvirus L3/FP4 protein', NULL, 'Pox_L3_FP4', NULL, NULL, 768, 8),
(29832, NULL, 'PF19388', NULL, NULL, 'Family of unknown function (DUF5963)', NULL, 'DUF5963', NULL, NULL, 39477, 8),
(29833, NULL, 'PF02796', NULL, NULL, 'Helix-turn-helix domain of resolvase', NULL, 'HTH_7', NULL, NULL, 10421, 8),
(29834, NULL, 'PF10668', NULL, NULL, 'Phage terminase small subunit', NULL, 'Phage_terminase', NULL, NULL, 15469, 8),
(29835, NULL, 'PF05994', NULL, NULL, 'Cytoplasmic Fragile-X interacting family', NULL, 'FragX_IP', NULL, NULL, 6396, 8),
(29836, NULL, 'PF16714', NULL, NULL, 'Tyrosyl-tRNA synthetase C-terminal domain', NULL, 'TyrRSs_C', NULL, NULL, 24141, 8),
(29837, NULL, 'PF00741', NULL, NULL, 'Gas vesicle protein', NULL, 'Gas_vesicle', NULL, NULL, 3711, 8),
(29838, NULL, 'PF08258', NULL, NULL, 'WWamide peptide', NULL, 'WWamide', NULL, NULL, 13173, 8),
(29839, NULL, 'PF19056', NULL, NULL, 'WD40 repeated domain', NULL, 'WD40_2', NULL, NULL, NULL, 8),
(29840, NULL, 'PF09456', NULL, NULL, 'RcsC Alpha-Beta-Loop (ABL)', NULL, 'RcsC', NULL, NULL, 16001, 8),
(29841, NULL, 'PF18258', NULL, NULL, 'Interleukin-4 inducing immunoglobulin-binding domain', NULL, 'IL4_i_Ig', NULL, NULL, 32188, 8),
(29842, NULL, 'PF17043', NULL, NULL, 'Mating type protein 1-1-2 of unknown function', NULL, 'MAT1-1-2', NULL, NULL, 28745, 8),
(29843, NULL, 'PF11674', NULL, NULL, 'Protein of unknown function (DUF3270)', NULL, 'DUF3270', NULL, NULL, 19035, 8),
(29844, NULL, 'PF13764', NULL, NULL, 'E3 ubiquitin-protein ligase UBR4', NULL, 'E3_UbLigase_R4', NULL, NULL, 24724, 8),
(29845, NULL, 'PF17000', NULL, NULL, 'Accessory secretory protein Sec, Asp5', NULL, 'Asp5', NULL, NULL, 25400, 8),
(29846, NULL, 'PF10747', NULL, NULL, 'Sporulation inhibitor of replication protein SirA', NULL, 'SirA', NULL, NULL, 20560, 8),
(29847, NULL, 'PF11254', NULL, NULL, 'Protein of unknown function (DUF3053)', NULL, 'DUF3053', NULL, NULL, 18371, 8),
(29848, NULL, 'PF14030', NULL, NULL, 'Protein of unknown function (DUF4245)', NULL, 'DUF4245', NULL, NULL, 22612, 8),
(29849, NULL, 'PF01353', NULL, NULL, 'Green fluorescent protein', NULL, 'GFP', NULL, NULL, 11372, 8),
(29850, NULL, 'PF08308', NULL, NULL, 'PEGA domain', NULL, 'PEGA', NULL, NULL, 12026, 8),
(29851, NULL, 'PF04998', NULL, NULL, 'RNA polymerase Rpb1, domain 5', NULL, 'RNA_pol_Rpb1_5', NULL, NULL, 2, 8),
(29852, NULL, 'PF06532', NULL, NULL, 'Negative regulator of sigma F', NULL, 'NrsF', NULL, NULL, 9200, 8),
(29853, NULL, 'PF19154', NULL, NULL, 'Family of unknown function (DUF5836)', NULL, 'DUF5836', NULL, NULL, 37302, 8),
(29854, NULL, 'PF10479', NULL, NULL, 'Fragile site-associated protein C-terminus', NULL, 'FSA_C', NULL, NULL, 21068, 8),
(29855, NULL, 'PF18894', NULL, NULL, 'Putative phage metallopeptidase', NULL, 'PhageMetallopep', NULL, NULL, 39698, 8),
(29856, NULL, 'PF19281', NULL, NULL, 'Phytanoyl-CoA hydroxylase-interacting protein C-terminus', NULL, 'PHYHIP_C', NULL, NULL, 39835, 8),
(29857, NULL, 'PF01571', NULL, NULL, 'Aminomethyltransferase folate-binding domain', NULL, 'GCV_T', NULL, NULL, 11171, 8),
(29858, NULL, 'PF13709', NULL, NULL, 'Domain of unknown function (DUF4159)', NULL, 'DUF4159', NULL, NULL, 23793, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29859, NULL, 'PF16460', NULL, NULL, 'Phage tail tube, TTP, lambda-like', NULL, 'Phage_TTP_11', NULL, NULL, 22665, 8),
(29860, NULL, 'PF01076', NULL, NULL, 'Plasmid recombination enzyme', NULL, 'Mob_Pre', NULL, NULL, 3288, 8),
(29861, NULL, 'PF03513', NULL, NULL, 'Cloacin immunity protein', NULL, 'Cloacin_immun', NULL, NULL, 914, 8),
(29862, NULL, 'PF19992', NULL, NULL, 'Family of unknown function (DUF6427)', NULL, 'DUF6427', NULL, NULL, 36659, 8),
(29863, NULL, 'PF01274', NULL, NULL, 'Malate synthase', NULL, 'Malate_synthase', NULL, NULL, 6220, 8),
(29864, NULL, 'PF15991', NULL, NULL, 'G-protein pathway suppressor', NULL, 'G_path_suppress', NULL, NULL, 27185, 8),
(29865, NULL, 'PF06574', NULL, NULL, 'FAD synthetase', NULL, 'FAD_syn', NULL, NULL, 13213, 8),
(29866, NULL, 'PF01128', NULL, NULL, '2-C-methyl-D-erythritol 4-phosphate cytidylyltransferase', NULL, 'IspD', NULL, NULL, 19030, 8),
(29867, NULL, 'PF10806', NULL, NULL, 'SAM35, subunit of SAM coomplex', NULL, 'SAM35', NULL, NULL, 17858, 8),
(29868, NULL, 'PF00988', NULL, NULL, 'Carbamoyl-phosphate synthase small chain, CPSase domain', NULL, 'CPSase_sm_chain', NULL, NULL, 5063, 8),
(29869, NULL, 'PF19598', NULL, NULL, 'Family of unknown function (DUF6103)', NULL, 'DUF6103', NULL, NULL, 39004, 8),
(29870, NULL, 'PF11258', NULL, NULL, 'Protein of unknown function (DUF3048) N-terminal domain', NULL, 'DUF3048', NULL, NULL, 18481, 8),
(29871, NULL, 'PF13376', NULL, NULL, 'Bacteriocin-protection, YdeI or OmpD-Associated', NULL, 'OmdA', NULL, NULL, NULL, 8),
(29872, NULL, 'PF04306', NULL, NULL, 'Protein of unknown function (DUF456)', NULL, 'DUF456', NULL, NULL, 3997, 8),
(29873, NULL, 'PF08261', NULL, NULL, 'Carcinustatin peptide', NULL, 'Carcinustatin', NULL, NULL, NULL, 8),
(29874, NULL, 'PF00198', NULL, NULL, '2-oxoacid dehydrogenases acyltransferase (catalytic domain)', NULL, '2-oxoacid_dh', NULL, NULL, 1145, 8),
(29875, NULL, 'PF04217', NULL, NULL, 'Protein of unknown function, DUF412', NULL, 'DUF412', NULL, NULL, 5474, 8),
(29876, NULL, 'PF12469', NULL, NULL, 'CRISPR-associated protein', NULL, 'DUF3692', NULL, NULL, 28731, 8),
(29877, NULL, 'PF09043', NULL, NULL, 'D-Lysine 5,6-aminomutase TIM-barrel domain of alpha subunit', NULL, 'Lys-AminoMut_A', NULL, NULL, 9813, 8),
(29878, NULL, 'PF09459', NULL, NULL, 'Ethylbenzene dehydrogenase', NULL, 'EB_dh', NULL, NULL, 16096, 8),
(29879, NULL, 'PF12995', NULL, NULL, 'Domain of unknown function, E. rectale Gene description (DUF3879)', NULL, 'DUF3879', NULL, NULL, 25510, 8),
(29880, NULL, 'PF00060', NULL, NULL, 'Ligand-gated ion channel', NULL, 'Lig_chan', NULL, NULL, 475, 8),
(29881, NULL, 'PF13919', NULL, NULL, 'Asx homology domain', NULL, 'ASXH', NULL, NULL, 24105, 8),
(29882, NULL, 'PF01041', NULL, NULL, 'DegT/DnrJ/EryC1/StrS aminotransferase family', NULL, 'DegT_DnrJ_EryC1', NULL, NULL, 4103, 8),
(29883, NULL, 'PF06549', NULL, NULL, 'Protein of unknown function (DUF1118)', NULL, 'DUF1118', NULL, NULL, 9365, 8),
(29884, NULL, 'PF09114', NULL, NULL, 'Transcription factor MotA, activation domain', NULL, 'MotA_activ', NULL, NULL, 10813, 8),
(29885, NULL, 'PF17886', NULL, NULL, 'HSP20-like domain found in ArsA', NULL, 'ArsA_HSP20', NULL, NULL, 30906, 8),
(29886, NULL, 'PF04776', NULL, NULL, 'Protein MS5', NULL, 'protein_MS5', NULL, NULL, 6544, 8),
(29887, NULL, 'PF00724', NULL, NULL, 'NADH:flavin oxidoreductase / NADH oxidase family', NULL, 'Oxidored_FMN', NULL, NULL, 1001, 8),
(29888, NULL, 'PF05186', NULL, NULL, 'Dpy-30 motif', NULL, 'Dpy-30', NULL, NULL, 3017, 8),
(29889, NULL, 'PF08221', NULL, NULL, 'RNA polymerase III subunit RPC82 helix-turn-helix domain', NULL, 'HTH_9', NULL, NULL, 17999, 8),
(29890, NULL, 'PF09798', NULL, NULL, 'DNA damage checkpoint protein', NULL, 'LCD1', NULL, NULL, 16159, 8),
(29891, NULL, 'PF12319', NULL, NULL, 'Tryptophan-Threonine-rich plasmodium antigen C terminal', NULL, 'TryThrA_C', NULL, NULL, 20636, 8),
(29892, NULL, 'PF01061', NULL, NULL, 'ABC-2 type transporter', NULL, 'ABC2_membrane', NULL, NULL, 8837, 8),
(29893, NULL, 'PF03379', NULL, NULL, 'CcmB protein', NULL, 'CcmB', NULL, NULL, 7115, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29894, NULL, 'PF19865', NULL, NULL, 'Family of unknown function (DUF6338)', NULL, 'DUF6338', NULL, NULL, 39194, 8),
(29895, NULL, 'PF08570', NULL, NULL, 'Protein of unknown function (DUF1761)', NULL, 'DUF1761', NULL, NULL, 17792, 8),
(29896, NULL, 'PF15367', NULL, NULL, 'Calcium-binding and spermatid-specific protein 1', NULL, 'CABS1', NULL, NULL, 23486, 8),
(29897, NULL, 'PF17374', NULL, NULL, 'Family of unknown function (DUF5396)', NULL, 'DUF5396', NULL, NULL, 19643, 8),
(29898, NULL, 'PF01032', NULL, NULL, 'FecCD transport family', NULL, 'FecCD', NULL, NULL, 5816, 8),
(29899, NULL, 'PF05838', NULL, NULL, 'Glycosyl hydrolase 108', NULL, 'Glyco_hydro_108', NULL, NULL, 13010, 8),
(29900, NULL, 'PF04825', NULL, NULL, 'N terminus of Rad21 / Rec8 like protein', NULL, 'Rad21_Rec8_N', NULL, NULL, 4794, 8),
(29901, NULL, 'PF04765', NULL, NULL, 'Protein of unknown function (DUF616)', NULL, 'DUF616', NULL, NULL, 4017, 8),
(29902, NULL, 'PF14945', NULL, NULL, 'Normal lung function maintenance, Low in Lung Cancer 1 protein', NULL, 'LLC1', NULL, NULL, 19553, 8),
(29903, NULL, 'PF15148', NULL, NULL, 'Apolipoprotein F', NULL, 'Apolipo_F', NULL, NULL, 27565, 8),
(29904, NULL, 'PF13233', NULL, NULL, 'Complex1_LYR-like', NULL, 'Complex1_LYR_2', NULL, NULL, NULL, 8),
(29905, NULL, 'PF13696', NULL, NULL, 'Zinc knuckle', NULL, 'zf-CCHC_2', NULL, NULL, 25407, 8),
(29906, NULL, 'PF18300', NULL, NULL, 'Domain of unknown function (DUF5604)', NULL, 'DUF5604', NULL, NULL, 35683, 8),
(29907, NULL, 'PF16028', NULL, NULL, 'Solute carrier family 3 member 2 N-terminus', NULL, 'SLC3A2_N', NULL, NULL, 25164, 8),
(29908, NULL, 'PF02815', NULL, NULL, 'MIR domain', NULL, 'MIR', NULL, NULL, 13560, 8),
(29909, NULL, 'PF08166', NULL, NULL, 'NUC202 domain', NULL, 'NUC202', NULL, NULL, 12455, 8),
(29910, NULL, 'PF03900', NULL, NULL, 'Porphobilinogen deaminase, C-terminal domain', NULL, 'Porphobil_deamC', NULL, NULL, 16226, 8),
(29911, NULL, 'PF02984', NULL, NULL, 'Cyclin, C-terminal domain', NULL, 'Cyclin_C', NULL, NULL, 5856, 8),
(29912, NULL, 'PF04893', NULL, NULL, 'Yip1 domain', NULL, 'Yip1', NULL, NULL, 5628, 8),
(29913, NULL, 'PF02462', NULL, NULL, 'Opacity family porin protein', NULL, 'Opacity', NULL, NULL, 5303, 8),
(29914, NULL, 'PF14960', NULL, NULL, 'ATP synthase regulation', NULL, 'ATP_synth_reg', NULL, NULL, 10870, 8),
(29915, NULL, 'PF11321', NULL, NULL, 'Protein of unknown function (DUF3123)', NULL, 'DUF3123', NULL, NULL, 18609, 8),
(29916, NULL, 'PF10854', NULL, NULL, 'Protein of unknown function (DUF2649)', NULL, 'DUF2649', NULL, NULL, 17775, 8),
(29917, NULL, 'PF03551', NULL, NULL, 'Transcriptional regulator PadR-like family', NULL, 'PadR', NULL, NULL, 4427, 8),
(29918, NULL, 'PF06276', NULL, NULL, 'Ferric iron reductase FhuF-like transporter', NULL, 'FhuF', NULL, NULL, 17425, 8),
(29919, NULL, 'PF12889', NULL, NULL, 'Protein of unknown function (DUF3829)', NULL, 'DUF3829', NULL, NULL, 13716, 8),
(29920, NULL, 'PF07827', NULL, NULL, 'KNTase C-terminal domain', NULL, 'KNTase_C', NULL, NULL, 11787, 8),
(29921, NULL, 'PF08775', NULL, NULL, 'ParB family', NULL, 'ParB', NULL, NULL, 13374, 8),
(29922, NULL, 'PF13040', NULL, NULL, 'Fur-regulated basic protein B', NULL, 'Fur_reg_FbpB', NULL, NULL, 23782, 8),
(29923, NULL, 'PF02222', NULL, NULL, 'ATP-grasp domain', NULL, 'ATP-grasp', NULL, NULL, 2773, 8),
(29924, NULL, 'PF03249', NULL, NULL, 'Type specific antigen', NULL, 'TSA', NULL, NULL, 1655, 8),
(29925, NULL, 'PF19752', NULL, NULL, 'Family of unknown function (DUF6239)', NULL, 'DUF6239', NULL, NULL, 39635, 8),
(29926, NULL, 'PF00308', NULL, NULL, 'Bacterial dnaA  protein', NULL, 'Bac_DnaA', NULL, NULL, 13353, 8),
(29927, NULL, 'PF00438', NULL, NULL, 'S-adenosylmethionine synthetase, N-terminal domain', NULL, 'S-AdoMet_synt_N', NULL, NULL, 16970, 8),
(29928, NULL, 'PF06917', NULL, NULL, 'Periplasmic pectate lyase', NULL, 'Pectate_lyase_2', NULL, NULL, 10085, 8),
(29929, NULL, 'PF18176', NULL, NULL, 'KptA in kinetoplastid DICER domain', NULL, 'KptA_kDCL', NULL, NULL, 29532, 8),
(29930, NULL, 'PF04753', NULL, NULL, 'Coronavirus non-structural protein NS12.7 family', NULL, 'Corona_NS12-7', NULL, NULL, 4050, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29931, NULL, 'PF08368', NULL, NULL, 'FAST kinase-like protein, subdomain 2', NULL, 'FAST_2', NULL, NULL, 12379, 8),
(29932, NULL, 'PF03776', NULL, NULL, 'Septum formation topological specificity factor MinE', NULL, 'MinE', NULL, NULL, 1574, 8),
(29933, NULL, 'PF00029', NULL, NULL, 'Connexin', NULL, 'Connexin', NULL, NULL, 8210, 8),
(29934, NULL, 'PF02679', NULL, NULL, '(2R)-phospho-3-sulfolactate synthase (ComA)', NULL, 'ComA', NULL, NULL, 3045, 8),
(29935, NULL, 'PF00822', NULL, NULL, 'PMP-22/EMP/MP20/Claudin family', NULL, 'PMP22_Claudin', NULL, NULL, 881, 8),
(29936, NULL, 'PF03174', NULL, NULL, 'Chitobiase/beta-hexosaminidase C-terminal domain', NULL, 'CHB_HEX_C', NULL, NULL, 7221, 8),
(29937, NULL, 'PF14538', NULL, NULL, 'Raptor N-terminal CASPase like domain', NULL, 'Raptor_N', NULL, NULL, 24742, 8),
(29938, NULL, 'PF19688', NULL, NULL, 'Family of unknown function (DUF6189)', NULL, 'DUF6189', NULL, NULL, 39878, 8),
(29939, NULL, 'PF12637', NULL, NULL, 'TSCPD domain', NULL, 'TSCPD', NULL, NULL, 28669, 8),
(29940, NULL, 'PF19423', NULL, NULL, 'E3 ubiquitin-protein ligases UBR4 N-terminal', NULL, 'E3_UBR4_N', NULL, NULL, 38576, 8),
(29941, NULL, 'PF03834', NULL, NULL, 'Binding domain of DNA repair protein Ercc1 (rad10/Swi10)', NULL, 'Rad10', NULL, NULL, 789, 8),
(29942, NULL, 'PF17983', NULL, NULL, 'Trypsin inhibitors 1,2 and 3', NULL, 'Tryp_inh', NULL, NULL, 34995, 8),
(29943, NULL, 'PF15058', NULL, NULL, 'Speriolin N terminus', NULL, 'Speriolin_N', NULL, NULL, 28182, 8),
(29944, NULL, 'PF14368', NULL, NULL, 'Probable lipid transfer', NULL, 'LTP_2', NULL, NULL, 11457, 8),
(29945, NULL, 'PF20080', NULL, NULL, 'ALTTAQ repeat', NULL, 'ALTTAQ_rpt', NULL, NULL, 38276, 8),
(29946, NULL, 'PF14418', NULL, NULL, 'OST-HTH Associated domain', NULL, 'OHA', NULL, NULL, 25570, 8),
(29947, NULL, 'PF04248', NULL, NULL, 'Domain of unknown function (DUF427)', NULL, 'NTP_transf_9', NULL, NULL, 5807, 8),
(29948, NULL, 'PF01403', NULL, NULL, 'Sema domain', NULL, 'Sema', NULL, NULL, 5208, 8),
(29949, NULL, 'PF03199', NULL, NULL, 'Eukaryotic glutathione synthase', NULL, 'GSH_synthase', NULL, NULL, 308, 8),
(29950, NULL, 'PF02142', NULL, NULL, 'MGS-like domain', NULL, 'MGS', NULL, NULL, 8132, 8),
(29951, NULL, 'PF04074', NULL, NULL, 'YhcH/YjgK/YiaL', NULL, 'DUF386', NULL, NULL, 5755, 8),
(29952, NULL, 'PF17310', NULL, NULL, 'Family of unknown function (DUF5357)', NULL, 'DUF5357', NULL, NULL, 20303, 8),
(29953, NULL, 'PF12572', NULL, NULL, 'Protein of unknown function (DUF3752)', NULL, 'DUF3752', NULL, NULL, 21500, 8),
(29954, NULL, 'PF14371', NULL, NULL, 'Domain of unknown function (DUF4412)', NULL, 'DUF4412', NULL, NULL, 28414, 8),
(29955, NULL, 'PF18186', NULL, NULL, 'SMODS and SLOG-associating 2TM effector domain family 4', NULL, 'SLATT_4', NULL, NULL, 31153, 8),
(29956, NULL, 'PF16305', NULL, NULL, 'Domain of unknown function (DUF4947)', NULL, 'DUF4947', NULL, NULL, 27866, 8),
(29957, NULL, 'PF08855', NULL, NULL, 'Domain of unknown function (DUF1825)', NULL, 'DUF1825', NULL, NULL, 14046, 8),
(29958, NULL, 'PF15689', NULL, NULL, 'Nuclear receptor-interacting protein 1 repression 3', NULL, 'NRIP1_repr_3', NULL, NULL, 28434, 8),
(29959, NULL, 'PF13767', NULL, NULL, 'Domain of unknown function (DUF4168)', NULL, 'DUF4168', NULL, NULL, 23270, 8),
(29960, NULL, 'PF04273', NULL, NULL, 'Putative phosphatase (DUF442)', NULL, 'DUF442', NULL, NULL, 185, 8),
(29961, NULL, 'PF17065', NULL, NULL, 'Putative cytokine, C6ORF120', NULL, 'UPF0669', NULL, NULL, 28244, 8),
(29962, NULL, 'PF19721', NULL, NULL, 'Family of unknown function (DUF6215)', NULL, 'DUF6215', NULL, NULL, 39804, 8),
(29963, NULL, 'PF06931', NULL, NULL, 'Mastadenovirus E4 ORF3 protein', NULL, 'Adeno_E4_ORF3', NULL, NULL, 11767, 8),
(29964, NULL, 'PF04596', NULL, NULL, 'Poxvirus protein F15', NULL, 'Pox_F15', NULL, NULL, 670, 8),
(29965, NULL, 'PF13993', NULL, NULL, 'YccJ-like protein', NULL, 'YccJ', NULL, NULL, 23325, 8),
(29966, NULL, 'PF08341', NULL, NULL, 'Thioester domain', NULL, 'TED', NULL, NULL, 13237, 8),
(29967, NULL, 'PF16326', NULL, NULL, 'ABC transporter C-terminal domain', NULL, 'ABC_tran_CTD', NULL, NULL, 25175, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(29968, NULL, 'PF01700', NULL, NULL, 'Orbivirus VP3 (T2) protein', NULL, 'Orbi_VP3', NULL, NULL, 1540, 8),
(29969, NULL, 'PF19833', NULL, NULL, 'ATP-dependent DNA helicase RecG C-terminal', NULL, 'RecG_C', NULL, NULL, 38856, 8),
(29970, NULL, 'PF07886', NULL, NULL, 'BA14K-like protein', NULL, 'BA14K', NULL, NULL, 13965, 8),
(29971, NULL, 'PF00571', NULL, NULL, 'CBS domain', NULL, 'CBS', NULL, NULL, 4110, 8),
(29972, NULL, 'PF10048', NULL, NULL, 'Predicted integral membrane protein (DUF2282)', NULL, 'DUF2282', NULL, NULL, 18787, 8),
(29973, NULL, 'PF12362', NULL, NULL, 'DNA polymerase III gamma and tau subunits C terminal', NULL, 'DUF3646', NULL, NULL, 20855, 8),
(29974, NULL, 'PF20099', NULL, NULL, 'Family of unknown function (DUF6489)', NULL, 'DUF6489', NULL, NULL, 36788, 8),
(29975, NULL, 'PF06029', NULL, NULL, 'AlkA N-terminal domain', NULL, 'AlkA_N', NULL, NULL, 8829, 8),
(29976, NULL, 'PF11731', NULL, NULL, 'Pathogenicity locus', NULL, 'Cdd1', NULL, NULL, 19676, 8),
(29977, NULL, 'PF15719', NULL, NULL, 'Domain of unknown function (DUF4674)', NULL, 'DUF4674', NULL, NULL, 28831, 8),
(29978, NULL, 'PF08250', NULL, NULL, 'Sperm-activating peptides', NULL, 'Sperm_act_pep', NULL, NULL, 13379, 8),
(29979, NULL, 'PF12538', NULL, NULL, 'DNA transporter', NULL, 'FtsK_SpoIIIE_N', NULL, NULL, 21174, 8),
(29980, NULL, 'PF14300', NULL, NULL, 'Domain of unknown function (DUF4375)', NULL, 'DUF4375', NULL, NULL, 21982, 8),
(29981, NULL, 'PF03367', NULL, NULL, 'ZPR1 zinc-finger domain', NULL, 'zf-ZPR1', NULL, NULL, 7057, 8),
(29982, NULL, 'PF04845', NULL, NULL, 'PurA ssDNA and RNA-binding protein', NULL, 'PurA', NULL, NULL, 1254, 8),
(29983, NULL, 'PF09198', NULL, NULL, 'Bacteriophage T4 beta-glucosyltransferase', NULL, 'T4-Gluco-transf', NULL, NULL, 12589, 8),
(29984, NULL, 'PF07285', NULL, NULL, 'Protein of unknown function (DUF1444)', NULL, 'DUF1444', NULL, NULL, 11994, 8),
(29985, NULL, 'PF06888', NULL, NULL, 'Putative Phosphatase', NULL, 'Put_Phosphatase', NULL, NULL, 18182, 8),
(29986, NULL, 'PF11006', NULL, NULL, 'Protein of unknown function (DUF2845)', NULL, 'DUF2845', NULL, NULL, 17637, 8),
(29987, NULL, 'PF14662', NULL, NULL, 'Coiled-coil region of CCDC155 or KASH', NULL, 'KASH_CCD', NULL, NULL, 24992, 8),
(29988, NULL, 'PF00154', NULL, NULL, 'recA bacterial DNA recombination protein', NULL, 'RecA', NULL, NULL, 7617, 8),
(29989, NULL, 'PF08099', NULL, NULL, 'Scorpion calcine family', NULL, 'Toxin_27', NULL, NULL, 10873, 8),
(29990, NULL, 'PF11628', NULL, NULL, 'T-cell surface glycoprotein CD3 zeta chain', NULL, 'TCR_zetazeta', NULL, NULL, 19346, 8),
(29991, NULL, 'PF01717', NULL, NULL, 'Cobalamin-independent synthase, Catalytic domain', NULL, 'Meth_synt_2', NULL, NULL, 2925, 8),
(29992, NULL, 'PF08989', NULL, NULL, 'Domain of unknown function (DUF1896)', NULL, 'DUF1896', NULL, NULL, 8658, 8),
(29993, NULL, 'PF12087', NULL, NULL, 'Protein of unknown function (DUF3564)', NULL, 'DUF3564', NULL, NULL, 20985, 8),
(29994, NULL, 'PF18066', NULL, NULL, 'Phage ABA sandwich domain', NULL, 'Phage_ABA_S', NULL, NULL, 32057, 8),
(29995, NULL, 'PF18480', NULL, NULL, 'Domain of unknown function (DUF5615)', NULL, 'DUF5615', NULL, NULL, 32265, 8),
(29996, NULL, 'PF18663', NULL, NULL, 'Pallilysin beta barrel domain', NULL, 'Pallilysin', NULL, NULL, 30543, 8),
(29997, NULL, 'PF18334', NULL, NULL, 'Exoribonuclease Xrn1 D2/D3 domain', NULL, 'XRN1_D2_D3', NULL, NULL, 31116, 8),
(29998, NULL, 'PF15115', NULL, NULL, 'Domain of unknown function with conserved HDNR motif', NULL, 'HDNR', NULL, NULL, 28150, 8),
(29999, NULL, 'PF01754', NULL, NULL, 'A20-like zinc finger', NULL, 'zf-A20', NULL, NULL, 2569, 8),
(30000, NULL, 'PF06288', NULL, NULL, 'Protein of unknown function (DUF1040)', NULL, 'DUF1040', NULL, NULL, 8402, 8),
(30001, NULL, 'PF04997', NULL, NULL, 'RNA polymerase Rpb1, domain 1', NULL, 'RNA_pol_Rpb1_1', NULL, NULL, 265, 8),
(30002, NULL, 'PF18001', NULL, NULL, 'Interleukin-13 receptor subunit alpha Ig-like domain', NULL, 'Il13Ra_Ig', NULL, NULL, 29865, 8),
(30003, NULL, 'PF10246', NULL, NULL, 'Mitochondrial ribosomal protein MRP-S35', NULL, 'MRP-S35', NULL, NULL, 15666, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30004, NULL, 'PF09466', NULL, NULL, 'Hypothetical protein Yqai', NULL, 'Yqai', NULL, NULL, 21876, 8),
(30005, NULL, 'PF00622', NULL, NULL, 'SPRY domain', NULL, 'SPRY', NULL, NULL, 6353, 8),
(30006, NULL, 'PF03686', NULL, NULL, 'Uncharacterised protein family (UPF0146)', NULL, 'UPF0146', NULL, NULL, 6260, 8),
(30007, NULL, 'PF01285', NULL, NULL, 'TEA/ATTS domain', NULL, 'TEA', NULL, NULL, 5166, 8),
(30008, NULL, 'PF12202', NULL, NULL, 'Oxidative-stress-responsive kinase 1 C-terminal domain', NULL, 'OSR1_C', NULL, NULL, 21827, 8),
(30009, NULL, 'PF14495', NULL, NULL, 'Cytochrome c-550 domain', NULL, 'Cytochrom_C550', NULL, NULL, 24467, 8),
(30010, NULL, 'PF06307', NULL, NULL, 'Herpesvirus IR6 protein', NULL, 'Herpes_IR6', NULL, NULL, 10273, 8),
(30011, NULL, 'PF11964', NULL, NULL, 'SpoIIAA-like', NULL, 'SpoIIAA-like', NULL, NULL, 20412, 8),
(30012, NULL, 'PF10772', NULL, NULL, 'Protein of unknown function (DUF2597)', NULL, 'DUF2597', NULL, NULL, 21034, 8),
(30013, NULL, 'PF00027', NULL, NULL, 'Cyclic nucleotide-binding domain', NULL, 'cNMP_binding', NULL, NULL, 5678, 8),
(30014, NULL, 'PF05648', NULL, NULL, 'Peroxisomal biogenesis factor 11 (PEX11)', NULL, 'PEX11', NULL, NULL, 12230, 8),
(30015, NULL, 'PF08115', NULL, NULL, 'SFI toxin family', NULL, 'Toxin_28', NULL, NULL, 10619, 8),
(30016, NULL, 'PF16621', NULL, NULL, 'SH3 terminal domain of 2nd SH3 on Neutrophil cytosol factor 1', NULL, 'NECFESHC', NULL, NULL, 22586, 8),
(30017, NULL, 'PF19032', NULL, NULL, 'Intu longin-like domain 2', NULL, 'Intu_longin_2', NULL, NULL, 38077, 8),
(30018, NULL, 'PF05578', NULL, NULL, 'Pestivirus NS3 polyprotein peptidase S31', NULL, 'Peptidase_S31', NULL, NULL, 4539, 8),
(30019, NULL, 'PF06442', NULL, NULL, 'R67 dihydrofolate reductase', NULL, 'DHFR_2', NULL, NULL, 9600, 8),
(30020, NULL, 'PF07386', NULL, NULL, 'Protein of unknown function (DUF1499)', NULL, 'DUF1499', NULL, NULL, 11816, 8),
(30021, NULL, 'PF08312', NULL, NULL, 'cwf21 domain', NULL, 'cwf21', NULL, NULL, 8659, 8),
(30022, NULL, 'PF19637', NULL, NULL, 'Family of unknown function (DUF6140)', NULL, 'DUF6140', NULL, NULL, 39728, 8),
(30023, NULL, 'PF11418', NULL, NULL, 'Phi29 scaffolding protein', NULL, 'Scaffolding_pro', NULL, NULL, 22605, 8),
(30024, NULL, 'PF19348', NULL, NULL, 'Family of unknown function (DUF5926)', NULL, 'DUF5926', NULL, NULL, 39308, 8),
(30025, NULL, 'PF14931', NULL, NULL, 'Intraflagellar transport complex B, subunit 20', NULL, 'IFT20', NULL, NULL, 25667, 8),
(30026, NULL, 'PF07372', NULL, NULL, 'Protein of unknown function (DUF1491)', NULL, 'DUF1491', NULL, NULL, 8256, 8),
(30027, NULL, 'PF02664', NULL, NULL, 'S-Ribosylhomocysteinase (LuxS)', NULL, 'LuxS', NULL, NULL, 3338, 8),
(30028, NULL, 'PF14274', NULL, NULL, 'Domain of unknown function (DUF4361)', NULL, 'DUF4361', NULL, NULL, 21682, 8),
(30029, NULL, 'PF03620', NULL, NULL, 'IBV 3C protein', NULL, 'IBV_3C', NULL, NULL, 5458, 8),
(30030, NULL, 'PF18687', NULL, NULL, 'Family of unknown function (DUF5637)', NULL, 'DUF5637', NULL, NULL, 32168, 8),
(30031, NULL, 'PF19935', NULL, NULL, 'Domain of unknown function (DUF6398)', NULL, 'DUF6398', NULL, NULL, 38561, 8),
(30032, NULL, 'PF17158', NULL, NULL, 'Membrane-associated sensor, integral membrane domain', NULL, 'MASE4', NULL, NULL, 33866, 8),
(30033, NULL, 'PF02372', NULL, NULL, 'Interleukin 15', NULL, 'IL15', NULL, NULL, 5118, 8),
(30034, NULL, 'PF09805', NULL, NULL, 'Nucleolar protein 12 (25kDa)', NULL, 'Nop25', NULL, NULL, 18886, 8),
(30035, NULL, 'PF01239', NULL, NULL, 'Protein prenyltransferase alpha subunit repeat', NULL, 'PPTA', NULL, NULL, 5417, 8),
(30036, NULL, 'PF05844', NULL, NULL, 'YopD protein', NULL, 'YopD', NULL, NULL, 7547, 8),
(30037, NULL, 'PF06607', NULL, NULL, 'Prokineticin', NULL, 'Prokineticin', NULL, NULL, 10774, 8),
(30038, NULL, 'PF16910', NULL, NULL, 'Repeating coiled region of VPS13', NULL, 'VPS13_mid_rpt', NULL, NULL, 28529, 8),
(30039, NULL, 'PF08941', NULL, NULL, 'USP8 interacting', NULL, 'USP8_interact', NULL, NULL, 7843, 8),
(30040, NULL, 'PF11728', NULL, NULL, 'Putative aromatic acid exporter C-terminal domain', NULL, 'ArAE_1_C', NULL, NULL, 15297, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30041, NULL, 'PF10396', NULL, NULL, 'GTP-binding protein TrmE N-terminus', NULL, 'TrmE_N', NULL, NULL, 15381, 8),
(30042, NULL, 'PF01504', NULL, NULL, 'Phosphatidylinositol-4-phosphate 5-Kinase', NULL, 'PIP5K', NULL, NULL, 702, 8),
(30043, NULL, 'PF04862', NULL, NULL, 'Protein of unknown function (DUF642)', NULL, 'DUF642', NULL, NULL, 5647, 8),
(30044, NULL, 'PF11855', NULL, NULL, 'Protein of unknown function (DUF3375)', NULL, 'DUF3375', NULL, NULL, 19762, 8),
(30045, NULL, 'PF03035', NULL, NULL, 'Calicivirus putative RNA polymerase/capsid protein', NULL, 'RNA_capsid', NULL, NULL, 4543, 8),
(30046, NULL, 'PF17439', NULL, NULL, 'Family of unknown function (DUF5418)', NULL, 'DUF5418', NULL, NULL, 34592, 8),
(30047, NULL, 'PF04129', NULL, NULL, 'Vps52 / Sac2 family', NULL, 'Vps52', NULL, NULL, 6869, 8),
(30048, NULL, 'PF05980', NULL, NULL, 'Toxin 7', NULL, 'Toxin_7', NULL, NULL, NULL, 8),
(30049, NULL, 'PF10118', NULL, NULL, 'Predicted metal-dependent hydrolase', NULL, 'Metal_hydrol', NULL, NULL, 16266, 8),
(30050, NULL, 'PF10673', NULL, NULL, 'Protein of unknown function (DUF2487)', NULL, 'DUF2487', NULL, NULL, 20389, 8),
(30051, NULL, 'PF01855', NULL, NULL, 'Pyruvate flavodoxin/ferredoxin oxidoreductase, thiamine diP-bdg', NULL, 'POR_N', NULL, NULL, 5631, 8),
(30052, NULL, 'PF09429', NULL, NULL, 'WW domain binding protein 11', NULL, 'Wbp11', NULL, NULL, 16415, 8),
(30053, NULL, 'PF13974', NULL, NULL, 'YebO-like protein', NULL, 'YebO', NULL, NULL, 23056, 8),
(30054, NULL, 'PF02676', NULL, NULL, 'Methyltransferase TYW3', NULL, 'TYW3', NULL, NULL, 6311, 8),
(30055, NULL, 'PF04122', NULL, NULL, 'ell wall binding domain 2 (CWB2)', NULL, 'CW_binding_2', NULL, NULL, 6549, 8),
(30056, NULL, 'PF01062', NULL, NULL, 'Bestrophin, RFP-TM, chloride channel', NULL, 'Bestrophin', NULL, NULL, 15416, 8),
(30057, NULL, 'PF19209', NULL, NULL, 'Coronavirus spike glycoprotein S1, C-terminal', NULL, 'CoV_S1_C', NULL, NULL, 37598, 8),
(30058, NULL, 'PF19548', NULL, NULL, 'Chordin-like protein 1/2 C-terminal', NULL, 'CHRDL_1_2_C', NULL, NULL, 38819, 8),
(30059, NULL, 'PF09510', NULL, NULL, 'Rtt102p-like transcription regulator protein', NULL, 'Rtt102p', NULL, NULL, 20319, 8),
(30060, NULL, 'PF13916', NULL, NULL, 'PP1-regulatory protein, Phostensin N-terminal', NULL, 'Phostensin_N', NULL, NULL, 23165, 8),
(30061, NULL, 'PF18609', NULL, NULL, 'Exuperantia SAM-like domain', NULL, 'SAM_Exu', NULL, NULL, 31995, 8),
(30062, NULL, 'PF18896', NULL, NULL, 'Lysozyme like domain', NULL, 'SLT_3', NULL, NULL, 37602, 8),
(30063, NULL, 'PF18360', NULL, NULL, 'Heterogeneous nuclear ribonucleoprotein Q acidic domain', NULL, 'hnRNP_Q_AcD', NULL, NULL, 32455, 8),
(30064, NULL, 'PF06757', NULL, NULL, 'Insect allergen related repeat, nitrile-specifier detoxification', NULL, 'Ins_allergen_rp', NULL, NULL, 9181, 8),
(30065, NULL, 'PF18791', NULL, NULL, 'Transport inhibitor response 1 protein domain', NULL, 'Transp_inhibit', NULL, NULL, 31590, 8),
(30066, NULL, 'PF00185', NULL, NULL, 'Aspartate/ornithine carbamoyltransferase, Asp/Orn binding domain', NULL, 'OTCace', NULL, NULL, 10213, 8),
(30067, NULL, 'PF15736', NULL, NULL, 'Domain of unknown function (DUF4684)', NULL, 'DUF4684', NULL, NULL, 27197, 8),
(30068, NULL, 'PF03511', NULL, NULL, 'Fanconi anaemia group A protein', NULL, 'Fanconi_A', NULL, NULL, 6174, 8),
(30069, NULL, 'PF11597', NULL, NULL, 'Mediator complex subunit 13 N-terminal', NULL, 'Med13_N', NULL, NULL, 19209, 8),
(30070, NULL, 'PF06174', NULL, NULL, 'Protein of unknown function (DUF987)', NULL, 'DUF987', NULL, NULL, 14517, 8),
(30071, NULL, 'PF19081', NULL, NULL, 'Ig-like domain CHU_C associated', NULL, 'Ig_7', NULL, NULL, 38227, 8),
(30072, NULL, 'PF10450', NULL, NULL, 'POC1 chaperone', NULL, 'POC1', NULL, NULL, 21011, 8),
(30073, NULL, 'PF17027', NULL, NULL, 'Histone-fold protein', NULL, 'Bromo_TP_like', NULL, NULL, 23089, 8),
(30074, NULL, 'PF09179', NULL, NULL, 'TilS substrate binding domain', NULL, 'TilS', NULL, NULL, 12654, 8),
(30075, NULL, 'PF15057', NULL, NULL, 'Domain of unknown function (DUF4537)', NULL, 'DUF4537', NULL, NULL, 22831, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30076, NULL, 'PF01954', NULL, NULL, 'Protein of unknown function DUF104', NULL, 'DUF104', NULL, NULL, 7416, 8),
(30077, NULL, 'PF05655', NULL, NULL, 'Pseudomonas avirulence D protein (AvrD)', NULL, 'AvrD', NULL, NULL, 14490, 8),
(30078, NULL, 'PF03040', NULL, NULL, 'CemA family', NULL, 'CemA', NULL, NULL, 4627, 8),
(30079, NULL, 'PF11065', NULL, NULL, 'Protein of unknown function (DUF2866)', NULL, 'DUF2866', NULL, NULL, 17933, 8),
(30080, NULL, 'PF12738', NULL, NULL, 'twin BRCT domain', NULL, 'PTCB-BRCT', NULL, NULL, 7359, 8),
(30081, NULL, 'PF03830', NULL, NULL, 'PTS system sorbose subfamily IIB component', NULL, 'PTSIIB_sorb', NULL, NULL, 3799, 8),
(30082, NULL, 'PF15811', NULL, NULL, 'Small VCP/p97-interacting protein', NULL, 'SVIP', NULL, NULL, 27309, 8),
(30083, NULL, 'PF08108', NULL, NULL, 'Halocidin family', NULL, 'Antimicrobial13', NULL, NULL, 12607, 8),
(30084, NULL, 'PF13167', NULL, NULL, 'GTP-binding GTPase N-terminal', NULL, 'GTP-bdg_N', NULL, NULL, 22842, 8),
(30085, NULL, 'PF10312', NULL, NULL, 'Conserved mid region of cactin', NULL, 'Cactin_mid', NULL, NULL, 20296, 8),
(30086, NULL, 'PF07080', NULL, NULL, 'Protein of unknown function (DUF1348)', NULL, 'DUF1348', NULL, NULL, 13437, 8),
(30087, NULL, 'PF12524', NULL, NULL, 'dsDNA virus glycoprotein L C terminal', NULL, 'GlyL_C', NULL, NULL, 21317, 8),
(30088, NULL, 'PF09116', NULL, NULL, 'gp45 sliding clamp, C terminal', NULL, 'gp45-slide_C', NULL, NULL, 10770, 8),
(30089, NULL, 'PF11404', NULL, NULL, 'Potassium voltage-gated channel', NULL, 'Potassium_chann', NULL, NULL, 18823, 8),
(30090, NULL, 'PF13646', NULL, NULL, 'HEAT repeats', NULL, 'HEAT_2', NULL, NULL, NULL, 8),
(30091, NULL, 'PF16129', NULL, NULL, 'Domain of unknown function (DUF4841)', NULL, 'DUF4841', NULL, NULL, 26768, 8),
(30092, NULL, 'PF20067', NULL, NULL, 'Adipocyte plasma membrane-associated protein-like, N-terminal', NULL, 'APMAP_N', NULL, NULL, NULL, 8),
(30093, NULL, 'PF17391', NULL, NULL, 'Urocanase N-terminal domain', NULL, 'Urocanase_N', NULL, NULL, 14784, 8),
(30094, NULL, 'PF07786', NULL, NULL, 'Heparan-alpha-glucosaminide N-acetyltransferase, catalytic', NULL, 'HGSNAT_cat', NULL, NULL, 13622, 8),
(30095, NULL, 'PF11800', NULL, NULL, 'Replication protein C C-terminal region', NULL, 'RP-C_C', NULL, NULL, 19562, 8),
(30096, NULL, 'PF18101', NULL, NULL, 'Pan3 Pseudokinase domain', NULL, 'Pan3_PK', NULL, NULL, 32293, 8),
(30097, NULL, 'PF02342', NULL, NULL, 'TerD domain', NULL, 'TerD', NULL, NULL, 4307, 8),
(30098, NULL, 'PF20013', NULL, NULL, 'GTPase-associated protein 1, N-terminal domain type 2', NULL, 'GAP1-N2', NULL, NULL, 38487, 8),
(30099, NULL, 'PF01401', NULL, NULL, 'Angiotensin-converting enzyme', NULL, 'Peptidase_M2', NULL, NULL, 3079, 8),
(30100, NULL, 'PF12288', NULL, NULL, 'Carboxysome shell peptide mid-region', NULL, 'CsoS2_M', NULL, NULL, 14595, 8),
(30101, NULL, 'PF06925', NULL, NULL, 'Monogalactosyldiacylglycerol (MGDG) synthase', NULL, 'MGDG_synth', NULL, NULL, 11528, 8),
(30102, NULL, 'PF04871', NULL, NULL, 'Uso1 / p115 like vesicle tethering protein, C terminal region', NULL, 'Uso1_p115_C', NULL, NULL, 5927, 8),
(30103, NULL, 'PF06456', NULL, NULL, 'Arfaptin-like domain', NULL, 'Arfaptin', NULL, NULL, 10777, 8),
(30104, NULL, 'PF08518', NULL, NULL, 'Spa2 homology domain (SHD) of GIT', NULL, 'GIT_SHD', NULL, NULL, 14365, 8),
(30105, NULL, 'PF02001', NULL, NULL, 'Protein of unknown function  DUF134', NULL, 'DUF134', NULL, NULL, 5548, 8),
(30106, NULL, 'PF20133', NULL, NULL, 'Family of unknown function (DUF6523)', NULL, 'DUF6523', NULL, NULL, 38468, 8),
(30107, NULL, 'PF10853', NULL, NULL, 'Protein of unknown function (DUF2650)', NULL, 'DUF2650', NULL, NULL, 14881, 8),
(30108, NULL, 'PF14646', NULL, NULL, 'MYCBP-associated protein family', NULL, 'MYCBPAP', NULL, NULL, 22368, 8),
(30109, NULL, 'PF01579', NULL, NULL, 'Domain of unknown function (DUF19)', NULL, 'DUF19', NULL, NULL, 1765, 8),
(30110, NULL, 'PF03998', NULL, NULL, 'Utp11 protein', NULL, 'Utp11', NULL, NULL, 285, 8),
(30111, NULL, 'PF17816', NULL, NULL, 'PDZ domain', NULL, 'PDZ_4', NULL, NULL, 31128, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30112, NULL, 'PF03884', NULL, NULL, 'DNA gyrase inhibitor YacG', NULL, 'YacG', NULL, NULL, 1602, 8),
(30113, NULL, 'PF02579', NULL, NULL, 'Dinitrogenase iron-molybdenum cofactor', NULL, 'Nitro_FeMo-Co', NULL, NULL, 2429, 8),
(30114, NULL, 'PF18953', NULL, NULL, 'SAP domain-containing new25', NULL, 'SAP_new25', NULL, NULL, NULL, 8),
(30115, NULL, 'PF18963', NULL, NULL, 'Family of unknown function (DUF5703)', NULL, 'DUF5703', NULL, NULL, 37346, 8),
(30116, NULL, 'PF09449', NULL, NULL, 'Domain of unknown function (DUF2020)', NULL, 'DUF2020', NULL, NULL, 15812, 8),
(30117, NULL, 'PF01108', NULL, NULL, 'Tissue factor', NULL, 'Tissue_fac', NULL, NULL, 7492, 8),
(30118, NULL, 'PF01399', NULL, NULL, 'PCI domain', NULL, 'PCI', NULL, NULL, 6602, 8),
(30119, NULL, 'PF16329', NULL, NULL, 'Pestivirus envelope glycoprotein E2', NULL, 'Pestivirus_E2', NULL, NULL, 26354, 8),
(30120, NULL, 'PF03125', NULL, NULL, 'C. elegans Sre G protein-coupled chemoreceptor', NULL, 'Sre', NULL, NULL, 2582, 8),
(30121, NULL, 'PF13402', NULL, NULL, 'Peptidase M60, enhancin and enhancin-like', NULL, 'Peptidase_M60', NULL, NULL, 26939, 8),
(30122, NULL, 'PF15016', NULL, NULL, 'Domain of unknown function (DUF4520)', NULL, 'DUF4520', NULL, NULL, 25324, 8),
(30123, NULL, 'PF19296', NULL, NULL, 'Domain of unknown function (DUF5913)', NULL, 'DUF5913', NULL, NULL, 39809, 8),
(30124, NULL, 'PF01558', NULL, NULL, 'Pyruvate ferredoxin/flavodoxin oxidoreductase', NULL, 'POR', NULL, NULL, 9098, 8),
(30125, NULL, 'PF03718', NULL, NULL, 'Glycosyl hydrolase family 49', NULL, 'Glyco_hydro_49', NULL, NULL, 5195, 8),
(30126, NULL, 'PF19194', NULL, NULL, 'Family of unknown function (DUF5869)', NULL, 'DUF5869', NULL, NULL, 38292, 8),
(30127, NULL, 'PF00809', NULL, NULL, 'Pterin binding enzyme', NULL, 'Pterin_bind', NULL, NULL, 5513, 8),
(30128, NULL, 'PF15973', NULL, NULL, 'Domain of unknown function (DUF4766)', NULL, 'DUF4766', NULL, NULL, 27111, 8),
(30129, NULL, 'PF12608', NULL, NULL, 'Type IVb secretion, IcmS, effector-recruitment', NULL, 'T4bSS_IcmS', NULL, NULL, 21294, 8),
(30130, NULL, 'PF02272', NULL, NULL, 'DHHA1 domain', NULL, 'DHHA1', NULL, NULL, 1512, 8),
(30131, NULL, 'PF08980', NULL, NULL, 'Domain of unknown function (DUF1883)', NULL, 'DUF1883', NULL, NULL, 8851, 8),
(30132, NULL, 'PF15694', NULL, NULL, 'Mediator complex subunit 26 middle domain', NULL, 'Med26_M', NULL, NULL, 27520, 8),
(30133, NULL, 'PF16037', NULL, NULL, 'Domain of unknown function (DUF4790)', NULL, 'DUF4790', NULL, NULL, 27602, 8),
(30134, NULL, 'PF07966', NULL, NULL, 'A1 Propeptide', NULL, 'A1_Propeptide', NULL, NULL, 12666, 8),
(30135, NULL, 'PF13804', NULL, NULL, 'Retro-transcribing viruses envelope glycoprotein', NULL, 'HERV-K_env_2', NULL, NULL, 25907, 8),
(30136, NULL, 'PF10600', NULL, NULL, 'PDZ-associated domain of NMDA receptors', NULL, 'PDZ_assoc', NULL, NULL, 20262, 8),
(30137, NULL, 'PF17458', NULL, NULL, 'Family of unknown function (DUF5421)', NULL, 'DUF5421', NULL, NULL, 21102, 8),
(30138, NULL, 'PF05752', NULL, NULL, 'Calicivirus minor structural protein', NULL, 'Calici_MSP', NULL, NULL, 8857, 8),
(30139, NULL, 'PF09178', NULL, NULL, 'Domain of unknown function (DUF1945)', NULL, 'DUF1945', NULL, NULL, 12630, 8),
(30140, NULL, 'PF06632', NULL, NULL, 'DNA double-strand break repair and V(D)J recombination protein XRCC4', NULL, 'XRCC4', NULL, NULL, 8392, 8),
(30141, NULL, 'PF01396', NULL, NULL, 'Topoisomerase DNA binding C4 zinc finger', NULL, 'zf-C4_Topoisom', NULL, NULL, 10626, 8),
(30142, NULL, 'PF03187', NULL, NULL, 'Corona nucleocapsid I protein', NULL, 'Corona_I', NULL, NULL, 7276, 8),
(30143, NULL, 'PF03336', NULL, NULL, 'Poxvirus C4/C10 protein', NULL, 'Pox_C4_C10', NULL, NULL, 511, 8),
(30144, NULL, 'PF18047', NULL, NULL, 'PatG Domain', NULL, 'PatG_D', NULL, NULL, 30090, 8),
(30145, NULL, 'PF03305', NULL, NULL, 'Mycoplasma MG185/MG260 protein', NULL, 'Lipoprotein_X', NULL, NULL, 763, 8),
(30146, NULL, 'PF10618', NULL, NULL, 'Phage tail tube protein', NULL, 'Tail_tube', NULL, NULL, 20472, 8),
(30147, NULL, 'PF05089', NULL, NULL, 'Alpha-N-acetylglucosaminidase (NAGLU) tim-barrel domain', NULL, 'NAGLU', NULL, NULL, 27615, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30148, NULL, 'PF13142', NULL, NULL, 'Domain of unknown function (DUF3960)', NULL, 'DUF3960', NULL, NULL, 23111, 8),
(30149, NULL, 'PF05460', NULL, NULL, 'Origin recognition complex subunit 6 (ORC6)', NULL, 'ORC6', NULL, NULL, 12305, 8),
(30150, NULL, 'PF07405', NULL, NULL, 'Protein of unknown function (DUF1506)', NULL, 'DUF1506', NULL, NULL, 11674, 8),
(30151, NULL, 'PF09698', NULL, NULL, 'Geobacter CxxxxCH...CXXCH motif (GSu_C4xC__C2xCH)', NULL, 'GSu_C4xC__C2xCH', NULL, NULL, 4132, 8),
(30152, NULL, 'PF11996', NULL, NULL, 'Protein of unknown function (DUF3491)', NULL, 'DUF3491', NULL, NULL, 20236, 8),
(30153, NULL, 'PF08491', NULL, NULL, 'Squalene epoxidase', NULL, 'SE', NULL, NULL, 14207, 8),
(30154, NULL, 'PF14859', NULL, NULL, 'Colicin M', NULL, 'Colicin_M', NULL, NULL, 26725, 8),
(30155, NULL, 'PF14591', NULL, NULL, 'AF0941-like', NULL, 'AF0941-like', NULL, NULL, 12884, 8),
(30156, NULL, 'PF09902', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2129)', NULL, 'DUF2129', NULL, NULL, 18353, 8),
(30157, NULL, 'PF03414', NULL, NULL, 'Glycosyltransferase family 6', NULL, 'Glyco_transf_6', NULL, NULL, 10485, 8),
(30158, NULL, 'PF02778', NULL, NULL, 'tRNA intron endonuclease, N-terminal domain', NULL, 'tRNA_int_endo_N', NULL, NULL, 2254, 8),
(30159, NULL, 'PF03562', NULL, NULL, 'MltA specific insert domain', NULL, 'MltA', NULL, NULL, 5352, 8),
(30160, NULL, 'PF18008', NULL, NULL, 'Replication initiator protein A C-terminal domain', NULL, 'Bac_RepA_C', NULL, NULL, 31102, 8),
(30161, NULL, 'PF05633', NULL, NULL, 'Protein BYPASS1-related', NULL, 'BPS1', NULL, NULL, 12542, 8),
(30162, NULL, 'PF10046', NULL, NULL, 'Biogenesis of lysosome-related organelles complex-1 subunit 2', NULL, 'BLOC1_2', NULL, NULL, 20413, 8),
(30163, NULL, 'PF05738', NULL, NULL, 'Cna protein B-type domain', NULL, 'Cna_B', NULL, NULL, 12471, 8),
(30164, NULL, 'PF09782', NULL, NULL, 'NADH:ubiquinone oxidoreductase, NDUFB6/B17 subunit', NULL, 'NDUF_B6', NULL, NULL, 18703, 8),
(30165, NULL, 'PF04863', NULL, NULL, 'Alliinase EGF-like domain', NULL, 'EGF_alliinase', NULL, NULL, 5566, 8),
(30166, NULL, 'PF03889', NULL, NULL, 'Alternative ribosome-rescue factor A', NULL, 'ArfA', NULL, NULL, 2673, 8),
(30167, NULL, 'PF17097', NULL, NULL, 'Spindle pole body component', NULL, 'Kre28', NULL, NULL, 24790, 8),
(30168, NULL, 'PF00034', NULL, NULL, 'Cytochrome c', NULL, 'Cytochrom_C', NULL, NULL, 6008, 8),
(30169, NULL, 'PF09089', NULL, NULL, 'Phage short tail fibre protein gp12, middle domain', NULL, 'gp12-short_mid', NULL, NULL, 10605, 8),
(30170, NULL, 'PF11646', NULL, NULL, 'Protein of unknown function DUF3258', NULL, 'DUF3258', NULL, NULL, 19057, 8),
(30171, NULL, 'PF09226', NULL, NULL, 'Restriction endonuclease HincII', NULL, 'Endonuc-HincII', NULL, NULL, 13912, 8),
(30172, NULL, 'PF06400', NULL, NULL, 'Alpha-2-macroglobulin RAP, N-terminal domain', NULL, 'Alpha-2-MRAP_N', NULL, NULL, 6339, 8),
(30173, NULL, 'PF09243', NULL, NULL, 'Mitochondrial small ribosomal subunit Rsm22', NULL, 'Rsm22', NULL, NULL, 13503, 8),
(30174, NULL, 'PF04131', NULL, NULL, 'Putative N-acetylmannosamine-6-phosphate epimerase', NULL, 'NanE', NULL, NULL, 6835, 8),
(30175, NULL, 'PF14834', NULL, NULL, 'Glutathione S-transferase, C-terminal domain', NULL, 'GST_C_4', NULL, NULL, 201, 8),
(30176, NULL, 'PF18976', NULL, NULL, 'Family of unknown function (DUF5712)', NULL, 'DUF5712', NULL, NULL, 37566, 8),
(30177, NULL, 'PF11278', NULL, NULL, 'Protein of unknown function (DUF3079)', NULL, 'DUF3079', NULL, NULL, 18360, 8),
(30178, NULL, 'PF09109', NULL, NULL, 'Switch protein XOL-1, GHMP-like', NULL, 'Xol-1_GHMP-like', NULL, NULL, 10530, 8),
(30179, NULL, 'PF12772', NULL, NULL, 'Growth hormone receptor binding', NULL, 'GHBP', NULL, NULL, 27265, 8),
(30180, NULL, 'PF18070', NULL, NULL, 'CRISPR-Cas9 PI domain', NULL, 'Cas9_PI2', NULL, NULL, 29065, 8),
(30181, NULL, 'PF04775', NULL, NULL, 'Acyl-CoA thioester hydrolase/BAAT N-terminal region', NULL, 'Bile_Hydr_Trans', NULL, NULL, 4327, 8),
(30182, NULL, 'PF13442', NULL, NULL, 'Cytochrome C oxidase, cbb3-type, subunit III', NULL, 'Cytochrome_CBB3', NULL, NULL, 6008, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30183, NULL, 'PF02348', NULL, NULL, 'Cytidylyltransferase', NULL, 'CTP_transf_3', NULL, NULL, 4089, 8),
(30184, NULL, 'PF17312', NULL, NULL, 'Bacteriocin helveticin-J', NULL, 'Helveticin_J', NULL, NULL, 34009, 8),
(30185, NULL, 'PF05591', NULL, NULL, 'Type VI secretion system, VipA, VC_A0107 or Hcp2', NULL, 'T6SS_VipA', NULL, NULL, 7950, 8),
(30186, NULL, 'PF19531', NULL, NULL, 'Family of unknown function (DUF6058)', NULL, 'DUF6058', NULL, NULL, 38855, 8),
(30187, NULL, 'PF13250', NULL, NULL, 'Domain of unknown function (DUF4041)', NULL, 'DUF4041', NULL, NULL, 23731, 8),
(30188, NULL, 'PF07310', NULL, NULL, 'PAS domain', NULL, 'PAS_5', NULL, NULL, 8111, 8),
(30189, NULL, 'PF18390', NULL, NULL, 'Glycogen debranching enzyme C-terminal domain', NULL, 'GlgX_C', NULL, NULL, 31167, 8),
(30190, NULL, 'PF11486', NULL, NULL, 'Protein of unknown function (DUF3212)', NULL, 'DUF3212', NULL, NULL, 19227, 8),
(30191, NULL, 'PF12646', NULL, NULL, 'Domain of unknown function (DUF3783)', NULL, 'DUF3783', NULL, NULL, 19614, 8),
(30192, NULL, 'PF01499', NULL, NULL, 'Herpesvirus UL25 family', NULL, 'Herpes_UL25', NULL, NULL, 514, 8),
(30193, NULL, 'PF10233', NULL, NULL, 'Uncharacterized conserved protein CG6151-P', NULL, 'Cg6151-P', NULL, NULL, 15561, 8),
(30194, NULL, 'PF12143', NULL, NULL, 'Protein of unknown function (DUF_B2219)', NULL, 'PPO1_KFDV', NULL, NULL, 17356, 8),
(30195, NULL, 'PF08741', NULL, NULL, 'YwhD family', NULL, 'YwhD', NULL, NULL, 11747, 8),
(30196, NULL, 'PF00842', NULL, NULL, 'Alanine racemase, C-terminal domain', NULL, 'Ala_racemase_C', NULL, NULL, 10259, 8),
(30197, NULL, 'PF12040', NULL, NULL, 'Domain of unknown function (DUF3526)', NULL, 'DUF3526', NULL, NULL, 20063, 8),
(30198, NULL, 'PF16684', NULL, NULL, 'Telomere resolvase', NULL, 'Telomere_res', NULL, NULL, 26823, 8),
(30199, NULL, 'PF17153', NULL, NULL, 'Periplasmic sensor domain, extracellular', NULL, 'CHASE9', NULL, NULL, 33438, 8),
(30200, NULL, 'PF12640', NULL, NULL, 'UPF0489 domain', NULL, 'UPF0489', NULL, NULL, 8036, 8),
(30201, NULL, 'PF05634', NULL, NULL, 'APO RNA-binding', NULL, 'APO_RNA-bind', NULL, NULL, 15996, 8),
(30202, NULL, 'PF02338', NULL, NULL, 'OTU-like cysteine protease', NULL, 'OTU', NULL, NULL, 4087, 8),
(30203, NULL, 'PF02244', NULL, NULL, 'Carboxypeptidase activation peptide', NULL, 'Propep_M14', NULL, NULL, 1864, 8),
(30204, NULL, 'PF04803', NULL, NULL, 'Cor1/Xlr/Xmr conserved region', NULL, 'Cor1', NULL, NULL, 4845, 8),
(30205, NULL, 'PF00790', NULL, NULL, 'VHS domain', NULL, 'VHS', NULL, NULL, 2498, 8),
(30206, NULL, 'PF01669', NULL, NULL, 'Myelin basic protein', NULL, 'Myelin_MBP', NULL, NULL, 5574, 8),
(30207, NULL, 'PF20144', NULL, NULL, 'TIG domain', NULL, 'TIG_SUH', NULL, NULL, 30296, 8),
(30208, NULL, 'PF12826', NULL, NULL, 'Helix-hairpin-helix motif', NULL, 'HHH_2', NULL, NULL, 33031, 8),
(30209, NULL, 'PF16666', NULL, NULL, 'Unstructured region on MAGI', NULL, 'MAGI_u5', NULL, NULL, NULL, 8),
(30210, NULL, 'PF01302', NULL, NULL, 'CAP-Gly domain', NULL, 'CAP_GLY', NULL, NULL, 3064, 8),
(30211, NULL, 'PF19189', NULL, NULL, 'Mtf2 family', NULL, 'Mtf2', NULL, NULL, 38361, 8),
(30212, NULL, 'PF01904', NULL, NULL, 'Protein of unknown function DUF72', NULL, 'DUF72', NULL, NULL, 4428, 8),
(30213, NULL, 'PF03685', NULL, NULL, 'Uncharacterised protein family (UPF0147)', NULL, 'UPF0147', NULL, NULL, 6054, 8),
(30214, NULL, 'PF15846', NULL, NULL, 'Domain of unknown function (DUF4720)', NULL, 'DUF4720', NULL, NULL, 28090, 8),
(30215, NULL, 'PF03714', NULL, NULL, 'Bacterial pullanase-associated domain', NULL, 'PUD', NULL, NULL, 5543, 8),
(30216, NULL, 'PF06803', NULL, NULL, 'Protein of unknown function (DUF1232)', NULL, 'DUF1232', NULL, NULL, 9411, 8),
(30217, NULL, 'PF16997', NULL, NULL, 'Wap1 domain', NULL, 'Wap1', NULL, NULL, 25043, 8),
(30218, NULL, 'PF07864', NULL, NULL, 'Protein of unknown function (DUF1651)', NULL, 'DUF1651', NULL, NULL, 14731, 8),
(30219, NULL, 'PF14579', NULL, NULL, 'Helix-hairpin-helix motif', NULL, 'HHH_6', NULL, NULL, 24302, 8),
(30220, NULL, 'PF04665', NULL, NULL, 'Poxvirus A32 protein', NULL, 'Pox_A32', NULL, NULL, 3444, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30221, NULL, 'PF00382', NULL, NULL, 'Transcription factor TFIIB repeat', NULL, 'TFIIB', NULL, NULL, 8355, 8),
(30222, NULL, 'PF18662', NULL, NULL, 'Cch helix turn helix domain', NULL, 'HTH_56', NULL, NULL, 30122, 8),
(30223, NULL, 'PF05688', NULL, NULL, 'Bacterial Immunoglobulin-like 21', NULL, 'BIg21', NULL, NULL, 13448, 8),
(30224, NULL, 'PF08654', NULL, NULL, 'DASH complex subunit Dad2', NULL, 'DASH_Dad2', NULL, NULL, 8211, 8),
(30225, NULL, 'PF18268', NULL, NULL, 'Hit1 C-terminal', NULL, 'Hit1_C', NULL, NULL, 29561, 8),
(30226, NULL, 'PF04608', NULL, NULL, 'Phosphatidylglycerophosphatase A', NULL, 'PgpA', NULL, NULL, 1208, 8),
(30227, NULL, 'PF10820', NULL, NULL, 'Protein of unknown function (DUF2543)', NULL, 'DUF2543', NULL, NULL, 19671, 8),
(30228, NULL, 'PF09880', NULL, NULL, 'Predicted membrane protein (DUF2107)', NULL, 'DUF2107', NULL, NULL, 10606, 8),
(30229, NULL, 'PF10111', NULL, NULL, 'Glycosyltransferase like family 2', NULL, 'Glyco_tranf_2_2', NULL, NULL, 20485, 8),
(30230, NULL, 'PF19363', NULL, NULL, 'Family of unknown function (DUF5939)', NULL, 'DUF5939', NULL, NULL, 39240, 8),
(30231, NULL, 'PF12089', NULL, NULL, 'Transmembrane domain of unknown function (DUF3566)', NULL, 'DUF3566', NULL, NULL, 20507, 8),
(30232, NULL, 'PF09545', NULL, NULL, 'AccI restriction endonuclease', NULL, 'RE_AccI', NULL, NULL, 16885, 8),
(30233, NULL, 'PF18811', NULL, NULL, 'Dipeptidyl peptidase IV (DPP IV) low complexity region', NULL, 'DPPIV_rep', NULL, NULL, 34387, 8),
(30234, NULL, 'PF16774', NULL, NULL, 'Baseplate protein', NULL, 'Baseplate', NULL, NULL, 25409, 8),
(30235, NULL, 'PF14412', NULL, NULL, 'A nuclease family of the HNH/ENDO VII superfamily with conserved AHH', NULL, 'AHH', NULL, NULL, 24732, 8),
(30236, NULL, 'PF01797', NULL, NULL, 'Transposase IS200 like', NULL, 'Y1_Tnp', NULL, NULL, 2530, 8),
(30237, NULL, 'PF17037', NULL, NULL, 'Cellulose biosynthesis protein BcsO', NULL, 'CBP_BcsO', NULL, NULL, 23755, 8),
(30238, NULL, 'PF14827', NULL, NULL, 'Double sensory domain of two-component sensor kinase', NULL, 'dCache_3', NULL, NULL, 27432, 8),
(30239, NULL, 'PF18172', NULL, NULL, 'LepB GAP domain N-terminal subdomain', NULL, 'LepB_GAP_N', NULL, NULL, 32490, 8),
(30240, NULL, 'PF18743', NULL, NULL, 'REase_AHJR-like', NULL, 'AHJR-like', NULL, NULL, 35529, 8),
(30241, NULL, 'PF04109', NULL, NULL, 'Autophagy protein ATG9', NULL, 'ATG9', NULL, NULL, 6564, 8),
(30242, NULL, 'PF15384', NULL, NULL, 'PAXX, PAralog of XRCC4 and XLF, also called C9orf142', NULL, 'PAXX', NULL, NULL, 27835, 8),
(30243, NULL, 'PF06256', NULL, NULL, 'Nucleopolyhedrovirus LEF-12 protein', NULL, 'Nucleo_LEF-12', NULL, NULL, 14654, 8),
(30244, NULL, 'PF04814', NULL, NULL, 'Hepatocyte nuclear factor 1 (HNF-1), N terminus', NULL, 'HNF-1_N', NULL, NULL, 4628, 8),
(30245, NULL, 'PF18784', NULL, NULL, 'CRM1 / Exportin repeat 2', NULL, 'CRM1_repeat_2', NULL, NULL, 31217, 8),
(30246, NULL, 'PF08671', NULL, NULL, 'Anti-repressor SinI', NULL, 'SinI', NULL, NULL, 8197, 8),
(30247, NULL, 'PF14061', NULL, NULL, 'Polycomb-like MTF2 factor 2', NULL, 'Mtf2_C', NULL, NULL, 27710, 8),
(30248, NULL, 'PF18704', NULL, NULL, 'Chromatin organization modifier domain 2', NULL, 'Chromo_2', NULL, NULL, 34414, 8),
(30249, NULL, 'PF08896', NULL, NULL, 'Domain of unknown function (DUF1842)', NULL, 'DUF1842', NULL, NULL, 7982, 8),
(30250, NULL, 'PF10099', NULL, NULL, 'Anti-sigma-K factor rskA', NULL, 'RskA', NULL, NULL, 18953, 8),
(30251, NULL, 'PF13425', NULL, NULL, 'O-antigen ligase like membrane protein', NULL, 'O-antigen_lig', NULL, NULL, NULL, 8),
(30252, NULL, 'PF11227', NULL, NULL, 'Protein of unknown function (DUF3025)', NULL, 'DUF3025', NULL, NULL, 18488, 8),
(30253, NULL, 'PF09084', NULL, NULL, 'NMT1/THI5 like', NULL, 'NMT1', NULL, NULL, 9696, 8),
(30254, NULL, 'PF09549', NULL, NULL, 'Bpu10I restriction endonuclease', NULL, 'RE_Bpu10I', NULL, NULL, 15776, 8),
(30255, NULL, 'PF04406', NULL, NULL, 'Type IIB DNA topoisomerase', NULL, 'TP6A_N', NULL, NULL, 8081, 8),
(30256, NULL, 'PF17525', NULL, NULL, 'Family of unknown function (DUF5447)', NULL, 'DUF5447', NULL, NULL, 30759, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30257, NULL, 'PF18227', NULL, NULL, 'LepB GAP domain C-terminal subdomain', NULL, 'LepB_GAP_C', NULL, NULL, 30145, 8),
(30258, NULL, 'PF09523', NULL, NULL, 'Protein of unknown function (DUF2390)', NULL, 'DUF2390', NULL, NULL, 10903, 8),
(30259, NULL, 'PF17155', NULL, NULL, 'Gammaproteobacterial periplasmic sensor domain', NULL, 'GAPES1', NULL, NULL, 33414, 8),
(30260, NULL, 'PF08735', NULL, NULL, 'Putative pyruvate format-lyase activating enzyme (DUF1786)', NULL, 'DUF1786', NULL, NULL, 11607, 8),
(30261, NULL, 'PF12249', NULL, NULL, 'Arabinofuranosyltransferase A C terminal', NULL, 'AftA_C', NULL, NULL, 16100, 8),
(30262, NULL, 'PF10917', NULL, NULL, 'Fungus-induced protein', NULL, 'Fungus-induced', NULL, NULL, 24748, 8),
(30263, NULL, 'PF03771', NULL, NULL, 'Domain of unknown function (DUF317)', NULL, 'SPDY', NULL, NULL, 1913, 8),
(30264, NULL, 'PF10343', NULL, NULL, 'Potential Queuosine, Q, salvage protein family', NULL, 'Q_salvage', NULL, NULL, 17681, 8),
(30265, NULL, 'PF02957', NULL, NULL, 'TT viral ORF2', NULL, 'TT_ORF2', NULL, NULL, 1754, 8),
(30266, NULL, 'PF16908', NULL, NULL, 'Vacuolar sorting-associated protein 13, N-terminal', NULL, 'VPS13', NULL, NULL, 22475, 8),
(30267, NULL, 'PF06057', NULL, NULL, 'Bacterial virulence protein (VirJ)', NULL, 'VirJ', NULL, NULL, 8570, 8),
(30268, NULL, 'PF10307', NULL, NULL, 'HAD domain family 1 in Swiss Army Knife RNA repair proteins', NULL, 'HAD_SAK_1', NULL, NULL, 20057, 8),
(30269, NULL, 'PF15475', NULL, NULL, 'Transmembrane protein C12orf23, UPF0444', NULL, 'UPF0444', NULL, NULL, 24931, 8),
(30270, NULL, 'PF06918', NULL, NULL, 'Protein of unknown function (DUF1280)', NULL, 'DUF1280', NULL, NULL, 11921, 8),
(30271, NULL, 'PF02471', NULL, NULL, 'Borrelia outer surface protein E', NULL, 'OspE', NULL, NULL, 6070, 8),
(30272, NULL, 'PF06874', NULL, NULL, 'Firmicute fructose-1,6-bisphosphatase', NULL, 'FBPase_2', NULL, NULL, 9823, 8),
(30273, NULL, 'PF18614', NULL, NULL, 'RNase II-type exonuclease C-terminal S1 domain', NULL, 'RNase_II_C_S1', NULL, NULL, 29659, 8),
(30274, NULL, 'PF19807', NULL, NULL, 'Family of unknown function (DUF6290)', NULL, 'DUF6290', NULL, NULL, 39679, 8),
(30275, NULL, 'PF00754', NULL, NULL, 'F5/8 type C domain', NULL, 'F5_F8_type_C', NULL, NULL, 4672, 8),
(30276, NULL, 'PF06234', NULL, NULL, 'Toluene-4-monooxygenase system protein B (TmoB)', NULL, 'TmoB', NULL, NULL, 14988, 8),
(30277, NULL, 'PF07293', NULL, NULL, 'Protein of unknown function (DUF1450)', NULL, 'DUF1450', NULL, NULL, 14607, 8),
(30278, NULL, 'PF13419', NULL, NULL, 'Haloacid dehalogenase-like hydrolase', NULL, 'HAD_2', NULL, NULL, 32205, 8),
(30279, NULL, 'PF19131', NULL, NULL, 'Family of unknown function (DUF5814)', NULL, 'DUF5814', NULL, NULL, 36987, 8),
(30280, NULL, 'PF06862', NULL, NULL, 'Utp25, U3 small nucleolar RNA-associated SSU processome protein 25', NULL, 'UTP25', NULL, NULL, 9313, 8),
(30281, NULL, 'PF04856', NULL, NULL, 'Securin sister-chromatid separation inhibitor', NULL, 'Securin', NULL, NULL, 5686, 8),
(30282, NULL, 'PF10655', NULL, NULL, 'Hypothetical protein of unknown function (DUF2482)', NULL, 'DUF2482', NULL, NULL, 15495, 8),
(30283, NULL, 'PF07850', NULL, NULL, 'Renin receptor-like protein', NULL, 'Renin_r', NULL, NULL, 12757, 8),
(30284, NULL, 'PF00298', NULL, NULL, 'Ribosomal protein L11, RNA binding domain', NULL, 'Ribosomal_L11', NULL, NULL, 21355, 8),
(30285, NULL, 'PF08460', NULL, NULL, 'Bacterial SH3 domain', NULL, 'SH3_5', NULL, NULL, 1404, 8),
(30286, NULL, 'PF19703', NULL, NULL, 'Family of unknown function (DUF6201)', NULL, 'DUF6201', NULL, NULL, 38680, 8),
(30287, NULL, 'PF00453', NULL, NULL, 'Ribosomal protein L20', NULL, 'Ribosomal_L20', NULL, NULL, 5994, 8),
(30288, NULL, 'PF19761', NULL, NULL, 'Family of unknown function (DUF6248)', NULL, 'DUF6248', NULL, NULL, 39609, 8),
(30289, NULL, 'PF09154', NULL, NULL, 'Domain of unknown function (DUF1939)', NULL, 'DUF1939', NULL, NULL, 12760, 8),
(30290, NULL, 'PF01784', NULL, NULL, 'NIF3 (NGG1p interacting factor 3)', NULL, 'NIF3', NULL, NULL, 2665, 8),
(30291, NULL, 'PF06268', NULL, NULL, 'Fascin domain', NULL, 'Fascin', NULL, NULL, 20015, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30292, NULL, 'PF19907', NULL, NULL, 'Family of unknown function (DUF6380)', NULL, 'DUF6380', NULL, NULL, 39498, 8),
(30293, NULL, 'PF01356', NULL, NULL, 'Alpha amylase inhibitor', NULL, 'A_amylase_inhib', NULL, NULL, 4976, 8),
(30294, NULL, 'PF05786', NULL, NULL, 'Condensin complex subunit 2', NULL, 'Cnd2', NULL, NULL, 15149, 8),
(30295, NULL, 'PF05272', NULL, NULL, 'Virulence-associated protein E', NULL, 'VirE', NULL, NULL, 4487, 8),
(30296, NULL, 'PF07949', NULL, NULL, 'YbbR-like protein', NULL, 'YbbR', NULL, NULL, 12631, 8),
(30297, NULL, 'PF12137', NULL, NULL, 'RNA polymerase recycling family C-terminal', NULL, 'RapA_C', NULL, NULL, 14698, 8),
(30298, NULL, 'PF01033', NULL, NULL, 'Somatomedin B domain', NULL, 'Somatomedin_B', NULL, NULL, 1464, 8),
(30299, NULL, 'PF07606', NULL, NULL, 'Protein of unknown function (DUF1569)', NULL, 'DUF1569', NULL, NULL, 13745, 8),
(30300, NULL, 'PF02934', NULL, NULL, 'GatB/GatE catalytic domain', NULL, 'GatB_N', NULL, NULL, 10142, 8),
(30301, NULL, 'PF03836', NULL, NULL, 'RasGAP C-terminus', NULL, 'RasGAP_C', NULL, NULL, 5711, 8),
(30302, NULL, 'PF10401', NULL, NULL, 'Interferon-regulatory factor 3', NULL, 'IRF-3', NULL, NULL, 17697, 8),
(30303, NULL, 'PF06500', NULL, NULL, 'Esterase FrsA-like', NULL, 'FrsA-like', NULL, NULL, 12201, 8),
(30304, NULL, 'PF10467', NULL, NULL, 'Peptidase inhibitor clitocypin', NULL, 'Inhibitor_I48', NULL, NULL, 18724, 8),
(30305, NULL, 'PF15612', NULL, NULL, 'WSTF, HB1, Itc1p, MBD9 motif 1', NULL, 'WHIM1', NULL, NULL, 25781, 8),
(30306, NULL, 'PF15967', NULL, NULL, 'Nucleoporin FG repeated region', NULL, 'Nucleoporin_FG2', NULL, NULL, NULL, 8),
(30307, NULL, 'PF11174', NULL, NULL, 'Protein of unknown function (DUF2970)', NULL, 'DUF2970', NULL, NULL, 18381, 8),
(30308, NULL, 'PF04290', NULL, NULL, 'Tripartite ATP-independent periplasmic transporters, DctQ component', NULL, 'DctQ', NULL, NULL, 6069, 8),
(30309, NULL, 'PF09077', NULL, NULL, 'Mu B transposition protein, C terminal', NULL, 'Phage-MuB_C', NULL, NULL, 6205, 8),
(30310, NULL, 'PF06737', NULL, NULL, 'Transglycosylase-like domain', NULL, 'Transglycosylas', NULL, NULL, 8071, 8),
(30311, NULL, 'PF02487', NULL, NULL, 'CLN3 protein', NULL, 'CLN3', NULL, NULL, 6433, 8),
(30312, NULL, 'PF05352', NULL, NULL, 'Phage Connector (GP10)', NULL, 'Phage_connector', NULL, NULL, 5086, 8),
(30313, NULL, 'PF17146', NULL, NULL, 'PIN domain of ribonuclease', NULL, 'PIN_6', NULL, NULL, 35412, 8),
(30314, NULL, 'PF12334', NULL, NULL, 'Rickettsia outer membrane protein B', NULL, 'rOmpB', NULL, NULL, 20777, 8),
(30315, NULL, 'PF20012', NULL, NULL, 'GTPase-associated protein 1, N-terminal domain type 1', NULL, 'GAP1-N1', NULL, NULL, NULL, 8),
(30316, NULL, 'PF07401', NULL, NULL, 'Bovine Lentivirus VIF protein', NULL, 'Lenti_VIF_2', NULL, NULL, 8284, 8),
(30317, NULL, 'PF04458', NULL, NULL, 'Protein of unknown function (DUF505)', NULL, 'DUF505', NULL, NULL, 3698, 8),
(30318, NULL, 'PF13524', NULL, NULL, 'Glycosyl transferases group 1', NULL, 'Glyco_trans_1_2', NULL, NULL, NULL, 8),
(30319, NULL, 'PF08144', NULL, NULL, 'CPL (NUC119) domain', NULL, 'CPL', NULL, NULL, 12001, 8),
(30320, NULL, 'PF03358', NULL, NULL, 'NADPH-dependent FMN reductase', NULL, 'FMN_red', NULL, NULL, 1101, 8),
(30321, NULL, 'PF03913', NULL, NULL, 'Ragweed group 5 pollen allergen', NULL, 'Ragweed_pollen', NULL, NULL, 2608, 8),
(30322, NULL, 'PF02092', NULL, NULL, 'Glycyl-tRNA synthetase beta subunit', NULL, 'tRNA_synt_2f', NULL, NULL, 8361, 8),
(30323, NULL, 'PF02831', NULL, NULL, 'gpW', NULL, 'gpW', NULL, NULL, 2972, 8),
(30324, NULL, 'PF02829', NULL, NULL, '3H domain', NULL, '3H', NULL, NULL, 2862, 8),
(30325, NULL, 'PF11487', NULL, NULL, 'Type II restriction enzyme SfiI', NULL, 'RestrictionSfiI', NULL, NULL, 19486, 8),
(30326, NULL, 'PF15386', NULL, NULL, 'Drosophila Tantalus-like', NULL, 'Tantalus', NULL, NULL, 21513, 8),
(30327, NULL, 'PF05022', NULL, NULL, 'SRP40, C-terminal domain', NULL, 'SRP40_C', NULL, NULL, 1443, 8),
(30328, NULL, 'PF19570', NULL, NULL, 'Family of unknown function (DUF6088)', NULL, 'DUF6088', NULL, NULL, 37268, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30329, NULL, 'PF09806', NULL, NULL, 'Cyclin-dependent kinase 2-associated protein', NULL, 'CDK2AP', NULL, NULL, 16281, 8),
(30330, NULL, 'PF03722', NULL, NULL, 'Hemocyanin, all-alpha domain', NULL, 'Hemocyanin_N', NULL, NULL, 5109, 8),
(30331, NULL, 'PF14331', NULL, NULL, 'IcmF-related N-terminal domain', NULL, 'IcmF-related_N', NULL, NULL, 23345, 8),
(30332, NULL, 'PF17558', NULL, NULL, 'Androgenic gland hormone', NULL, 'AGH', NULL, NULL, 20808, 8),
(30333, NULL, 'PF01270', NULL, NULL, 'Glycosyl hydrolases family 8', NULL, 'Glyco_hydro_8', NULL, NULL, 5027, 8),
(30334, NULL, 'PF11178', NULL, NULL, 'Protein of unknown function (DUF2963)', NULL, 'DUF2963', NULL, NULL, 18060, 8),
(30335, NULL, 'PF20132', NULL, NULL, 'Family of unknown function (DUF6522)', NULL, 'DUF6522', NULL, NULL, 38290, 8),
(30336, NULL, 'PF17736', NULL, NULL, 'C17orf99 Ig domain', NULL, 'Ig_C17orf99', NULL, NULL, 35632, 8),
(30337, NULL, 'PF03124', NULL, NULL, 'EXS family', NULL, 'EXS', NULL, NULL, 4624, 8),
(30338, NULL, 'PF06254', NULL, NULL, 'Putative bacterial toxin ydaT', NULL, 'YdaT_toxin', NULL, NULL, 14695, 8),
(30339, NULL, 'PF06611', NULL, NULL, 'Protein of unknown function (DUF1145)', NULL, 'DUF1145', NULL, NULL, 10036, 8),
(30340, NULL, 'PF07228', NULL, NULL, 'Stage II sporulation protein E (SpoIIE)', NULL, 'SpoIIE', NULL, NULL, 2171, 8),
(30341, NULL, 'PF04833', NULL, NULL, 'COBRA-like protein', NULL, 'COBRA', NULL, NULL, 4949, 8),
(30342, NULL, 'PF14799', NULL, NULL, 'FAM195 family', NULL, 'FAM195', NULL, NULL, 26365, 8),
(30343, NULL, 'PF17016', NULL, NULL, 'Domain of unknown function (DUF5095)', NULL, 'DUF5095', NULL, NULL, 23051, 8),
(30344, NULL, 'PF04822', NULL, NULL, 'Takusan', NULL, 'Takusan', NULL, NULL, 4580, 8),
(30345, NULL, 'PF15497', NULL, NULL, 'snRNA-activating protein complex subunit 19, SNAPc subunit 19', NULL, 'SNAPC5', NULL, NULL, 25345, 8),
(30346, NULL, 'PF12747', NULL, NULL, 'DdrB-like protein', NULL, 'DdrB', NULL, NULL, 20618, 8),
(30347, NULL, 'PF18471', NULL, NULL, 'Ribosomal L27 protein C-terminal domain', NULL, 'Ribosomal_L27_C', NULL, NULL, 31329, 8),
(30348, NULL, 'PF17249', NULL, NULL, 'Family of unknown function (DUF5318)', NULL, 'DUF5318', NULL, NULL, 19350, 8),
(30349, NULL, 'PF00182', NULL, NULL, 'Chitinase class I', NULL, 'Glyco_hydro_19', NULL, NULL, 7203, 8),
(30350, NULL, 'PF16865', NULL, NULL, 'Glutathione S-transferase, C-terminal domain', NULL, 'GST_C_5', NULL, NULL, 32912, 8),
(30351, NULL, 'PF20053', NULL, NULL, 'Wolframin cysteine-rich domain', NULL, 'WC-rich', NULL, NULL, 38319, 8),
(30352, NULL, 'PF01546', NULL, NULL, 'Peptidase family M20/M25/M40', NULL, 'Peptidase_M20', NULL, NULL, 6969, 8),
(30353, NULL, 'PF08746', NULL, NULL, 'RING-like domain', NULL, 'zf-RING-like', NULL, NULL, 13098, 8),
(30354, NULL, 'PF11860', NULL, NULL, 'N-acetylmuramidase', NULL, 'Muramidase', NULL, NULL, 22686, 8),
(30355, NULL, 'PF11896', NULL, NULL, 'Domain of unknown function (DUF3416)', NULL, 'DUF3416', NULL, NULL, 20260, 8),
(30356, NULL, 'PF05833', NULL, NULL, 'NFACT N-terminal and middle domains', NULL, 'NFACT_N', NULL, NULL, NULL, 8),
(30357, NULL, 'PF14356', NULL, NULL, 'Domain of unknown function (DUF4403)', NULL, 'DUF4403', NULL, NULL, 28013, 8),
(30358, NULL, 'PF05321', NULL, NULL, 'Haemolysin expression modulating protein', NULL, 'HHA', NULL, NULL, 4044, 8),
(30359, NULL, 'PF02457', NULL, NULL, 'DisA bacterial checkpoint controller nucleotide-binding', NULL, 'DAC', NULL, NULL, 4731, 8),
(30360, NULL, 'PF12254', NULL, NULL, 'DNA polymerase alpha subunit p180 N terminal', NULL, 'DNA_pol_alpha_N', NULL, NULL, 6888, 8),
(30361, NULL, 'PF18673', NULL, NULL, 'interleukin receptor mimic protein A', NULL, 'IrmA', NULL, NULL, 31157, 8),
(30362, NULL, 'PF04483', NULL, NULL, 'Protein of unknown function (DUF565)', NULL, 'DUF565', NULL, NULL, 1686, 8),
(30363, NULL, 'PF12186', NULL, NULL, 'Acyl-CoA dehydrogenase C terminal', NULL, 'AcylCoA_dehyd_C', NULL, NULL, 14513, 8),
(30364, NULL, 'PF19847', NULL, NULL, 'Family of unknown function (DUF6322)', NULL, 'DUF6322', NULL, NULL, 39870, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30365, NULL, 'PF13008', NULL, NULL, 'Zinc-binding domain of Paramyxoviridae V protein', NULL, 'zf-Paramyx-P', NULL, NULL, 12528, 8),
(30366, NULL, 'PF15914', NULL, NULL, 'FAM193 family C-terminal', NULL, 'FAM193_C', NULL, NULL, 25354, 8),
(30367, NULL, 'PF17267', NULL, NULL, 'Family of unknown function (DUF5333)', NULL, 'DUF5333', NULL, NULL, 19769, 8),
(30368, NULL, 'PF07194', NULL, NULL, 'P2 response regulator binding domain', NULL, 'P2', NULL, NULL, 11022, 8),
(30369, NULL, 'PF18244', NULL, NULL, 'Cellulose-binding protein CttA N-terminal domain', NULL, 'CttA_N', NULL, NULL, 31064, 8),
(30370, NULL, 'PF07151', NULL, NULL, 'Protein of unknown function (DUF1391)', NULL, 'DUF1391', NULL, NULL, 13708, 8),
(30371, NULL, 'PF18977', NULL, NULL, 'Family of unknown function (DUF5713)', NULL, 'DUF5713', NULL, NULL, 38460, 8),
(30372, NULL, 'PF01552', NULL, NULL, 'Picornavirus 2B protein', NULL, 'Pico_P2B', NULL, NULL, 800, 8),
(30373, NULL, 'PF13307', NULL, NULL, 'Helicase C-terminal domain', NULL, 'Helicase_C_2', NULL, NULL, 11, 8),
(30374, NULL, 'PF05135', NULL, NULL, 'Phage gp6-like head-tail connector protein', NULL, 'Phage_connect_1', NULL, NULL, 15878, 8),
(30375, NULL, 'PF04729', NULL, NULL, 'ASF1 like histone chaperone', NULL, 'ASF1_hist_chap', NULL, NULL, 3859, 8),
(30376, NULL, 'PF11322', NULL, NULL, 'Protein of unknown function (DUF3124)', NULL, 'DUF3124', NULL, NULL, 18746, 8),
(30377, NULL, 'PF18337', NULL, NULL, 'RapA N-terminal Tudor like domain', NULL, 'Tudor_RapA', NULL, NULL, 30050, 8),
(30378, NULL, 'PF01613', NULL, NULL, 'Flavin reductase like domain', NULL, 'Flavin_Reduct', NULL, NULL, 1522, 8),
(30379, NULL, 'PF11772', NULL, NULL, 'DNA-directed RNA polymerase subunit beta', NULL, 'EpuA', NULL, NULL, 22820, 8),
(30380, NULL, 'PF19298', NULL, NULL, '3-Ketosteroid 9alpha-hydroxylase C-terminal domain', NULL, 'KshA_C', NULL, NULL, 36736, 8),
(30381, NULL, 'PF09070', NULL, NULL, 'PFU (PLAA family ubiquitin binding)', NULL, 'PFU', NULL, NULL, 9879, 8),
(30382, NULL, 'PF17140', NULL, NULL, 'Domain of unknown function (DUF5113)', NULL, 'DUF5113', NULL, NULL, 35132, 8),
(30383, NULL, 'PF13800', NULL, NULL, 'Sigma factor regulator N-terminal', NULL, 'Sigma_reg_N', NULL, NULL, 25712, 8),
(30384, NULL, 'PF03089', NULL, NULL, 'Recombination activating protein 2', NULL, 'RAG2', NULL, NULL, 4709, 8),
(30385, NULL, 'PF10813', NULL, NULL, 'Protein of unknown function (DUF2733)', NULL, 'DUF2733', NULL, NULL, 22518, 8),
(30386, NULL, 'PF05304', NULL, NULL, 'Protein of unknown function (DUF728)', NULL, 'DUF728', NULL, NULL, 4168, 8),
(30387, NULL, 'PF09985', NULL, NULL, 'C-terminal binding-module, SLH-like, of glucodextranase', NULL, 'Glucodextran_C', NULL, NULL, 20440, 8),
(30388, NULL, 'PF16304', NULL, NULL, 'Domain of unknown function (DUF4946)', NULL, 'DUF4946', NULL, NULL, 27568, 8),
(30389, NULL, 'PF05328', NULL, NULL, 'CybS, succinate dehydrogenase cytochrome B small subunit', NULL, 'CybS', NULL, NULL, NULL, 8),
(30390, NULL, 'PF19397', NULL, NULL, 'Family of unknown function (DUF5972)', NULL, 'DUF5972', NULL, NULL, 39019, 8),
(30391, NULL, 'PF03495', NULL, NULL, 'Clostridial binary toxin B/anthrax toxin PA Ca-binding domain', NULL, 'Binary_toxB', NULL, NULL, 30124, 8),
(30392, NULL, 'PF03787', NULL, NULL, 'RAMP superfamily', NULL, 'RAMPs', NULL, NULL, 1661, 8),
(30393, NULL, 'PF13795', NULL, NULL, 'HupE / UreJ protein', NULL, 'HupE_UreJ_2', NULL, NULL, 22353, 8),
(30394, NULL, 'PF19506', NULL, NULL, 'Family of unknown function (DUF6040)', NULL, 'DUF6040', NULL, NULL, 39247, 8),
(30395, NULL, 'PF12386', NULL, NULL, 'Pseudomurein endo-isopeptidase Pei', NULL, 'Peptidase_C71', NULL, NULL, 21375, 8),
(30396, NULL, 'PF03489', NULL, NULL, 'Saposin-like type B, region 2', NULL, 'SapB_2', NULL, NULL, 7183, 8),
(30397, NULL, 'PF08769', NULL, NULL, 'Sporulation initiation factor Spo0A C terminal', NULL, 'Spo0A_C', NULL, NULL, 13486, 8),
(30398, NULL, 'PF16654', NULL, NULL, 'Diaminopimelic acid dehydrogenase C-terminal domain', NULL, 'DAPDH_C', NULL, NULL, 23805, 8),
(30399, NULL, 'PF12214', NULL, NULL, 'Cell cycle regulated microtubule associated protein', NULL, 'TPX2_importin', NULL, NULL, 25633, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30400, NULL, 'PF14385', NULL, NULL, 'Domain of unknown function (DUF4416)', NULL, 'DUF4416', NULL, NULL, 28495, 8),
(30401, NULL, 'PF14317', NULL, NULL, 'YcxB-like protein', NULL, 'YcxB', NULL, NULL, 23466, 8),
(30402, NULL, 'PF15603', NULL, NULL, 'Immunity protein 74', NULL, 'Imm74', NULL, NULL, 21524, 8),
(30403, NULL, 'PF00348', NULL, NULL, 'Polyprenyl synthetase', NULL, 'polyprenyl_synt', NULL, NULL, 2600, 8),
(30404, NULL, 'PF01221', NULL, NULL, 'Dynein light chain type 1', NULL, 'Dynein_light', NULL, NULL, 464, 8),
(30405, NULL, 'PF01257', NULL, NULL, 'Thioredoxin-like [2Fe-2S] ferredoxin', NULL, '2Fe-2S_thioredx', NULL, NULL, NULL, 8),
(30406, NULL, 'PF16289', NULL, NULL, 'PIN domain', NULL, 'PIN_12', NULL, NULL, 22179, 8),
(30407, NULL, 'PF18056', NULL, NULL, 'Penicillin Binding Protein 3 Domain', NULL, 'PBP3', NULL, NULL, NULL, 8),
(30408, NULL, 'PF06864', NULL, NULL, 'Pilin accessory protein (PilO)', NULL, 'PAP_PilO', NULL, NULL, 11535, 8),
(30409, NULL, 'PF00975', NULL, NULL, 'Thioesterase domain', NULL, 'Thioesterase', NULL, NULL, 1315, 8),
(30410, NULL, 'PF10612', NULL, NULL, 'Spore coat protein Z', NULL, 'Spore-coat_CotZ', NULL, NULL, 20152, 8),
(30411, NULL, 'PF15413', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_11', NULL, NULL, NULL, 8),
(30412, NULL, 'PF00167', NULL, NULL, 'Fibroblast growth factor', NULL, 'FGF', NULL, NULL, 6380, 8),
(30413, NULL, 'PF18116', NULL, NULL, 'Sorting Nexin 17 FERM C-terminal domain', NULL, 'SNX17_FERM_C', NULL, NULL, 34932, 8),
(30414, NULL, 'PF08242', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_12', NULL, NULL, 12343, 8),
(30415, NULL, 'PF12590', NULL, NULL, 'Acyl-ATP thioesterase', NULL, 'Acyl-thio_N', NULL, NULL, 20297, 8),
(30416, NULL, 'PF17766', NULL, NULL, 'Fibronectin type-III domain', NULL, 'fn3_6', NULL, NULL, 32026, 8),
(30417, NULL, 'PF18856', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 12', NULL, 'baeRF_family12', NULL, NULL, 31573, 8),
(30418, NULL, 'PF15282', NULL, NULL, 'BMP-2-inducible protein kinase C-terminus', NULL, 'BMP2K_C', NULL, NULL, 21959, 8),
(30419, NULL, 'PF16368', NULL, NULL, 'Cytoplasmic polyadenylation element-binding protein 1 N-terminus', NULL, 'CEBP1_N', NULL, NULL, 25181, 8),
(30420, NULL, 'PF13314', NULL, NULL, 'Domain of unknown function (DUF4083)', NULL, 'DUF4083', NULL, NULL, 23560, 8),
(30421, NULL, 'PF00127', NULL, NULL, 'Copper binding proteins, plastocyanin/azurin family', NULL, 'Copper-bind', NULL, NULL, 3191, 8),
(30422, NULL, 'PF10810', NULL, NULL, 'Protein of unknown function (DUF2545)', NULL, 'DUF2545', NULL, NULL, 26006, 8),
(30423, NULL, 'PF18006', NULL, NULL, 'O-phosphoseryl-tRNA synthetase C-terminal domain', NULL, 'SepRS_C', NULL, NULL, 32148, 8),
(30424, NULL, 'PF02097', NULL, NULL, 'Filoviridae VP35', NULL, 'Filo_VP35', NULL, NULL, 7180, 8),
(30425, NULL, 'PF06097', NULL, NULL, 'Bacterial protein of unknown function (DUF945)', NULL, 'DUF945', NULL, NULL, 8748, 8),
(30426, NULL, 'PF01657', NULL, NULL, 'Salt stress response/antifungal', NULL, 'Stress-antifung', NULL, NULL, 6071, 8),
(30427, NULL, 'PF15641', NULL, NULL, 'Metallopeptidase toxin 5', NULL, 'Tox-MPTase5', NULL, NULL, 26452, 8),
(30428, NULL, 'PF20094', NULL, NULL, 'GWxTD domain', NULL, 'GWxTD_dom', NULL, NULL, 26606, 8),
(30429, NULL, 'PF05937', NULL, NULL, 'EB-1 Binding Domain', NULL, 'EB1_binding', NULL, NULL, 12741, 8),
(30430, NULL, 'PF17849', NULL, NULL, 'Dis3-like cold-shock domain 2 (CSD2)', NULL, 'OB_Dis3', NULL, NULL, 32554, 8),
(30431, NULL, 'PF17986', NULL, NULL, 'EMP3-KAHRP-like N-terminal domain', NULL, 'EKAL', NULL, NULL, 31364, 8),
(30432, NULL, 'PF02192', NULL, NULL, 'PI3-kinase family, p85-binding domain', NULL, 'PI3K_p85B', NULL, NULL, 1511, 8),
(30433, NULL, 'PF05763', NULL, NULL, 'Protein of unknown function (DUF835)', NULL, 'DUF835', NULL, NULL, 13230, 8),
(30434, NULL, 'PF01192', NULL, NULL, 'RNA polymerase Rpb6', NULL, 'RNA_pol_Rpb6', NULL, NULL, 10156, 8),
(30435, NULL, 'PF00766', NULL, NULL, 'Electron transfer flavoprotein FAD-binding domain', NULL, 'ETF_alpha', NULL, NULL, 13447, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30436, NULL, 'PF02852', NULL, NULL, 'Pyridine nucleotide-disulphide oxidoreductase, dimerisation domain', NULL, 'Pyr_redox_dim', NULL, NULL, 1585, 8),
(30437, NULL, 'PF05709', NULL, NULL, 'Phage tail protein', NULL, 'Sipho_tail', NULL, NULL, 14121, 8),
(30438, NULL, 'PF14918', NULL, NULL, 'MDM2-binding', NULL, 'MTBP_N', NULL, NULL, 24817, 8),
(30439, NULL, 'PF17812', NULL, NULL, 'RET Cadherin like domain 3', NULL, 'RET_CLD3', NULL, NULL, 30170, 8),
(30440, NULL, 'PF16873', NULL, NULL, 'Putative abortive phage resistance protein AbiGii toxin', NULL, 'AbiGii_2', NULL, NULL, 25543, 8),
(30441, NULL, 'PF13295', NULL, NULL, 'Domain of unknown function (DUF4077)', NULL, 'DUF4077', NULL, NULL, 27983, 8),
(30442, NULL, 'PF19098', NULL, NULL, 'Family of unknown function (DUF5785)', NULL, 'DUF5785', NULL, NULL, 37301, 8),
(30443, NULL, 'PF12673', NULL, NULL, 'Domain of unknown function (DUF3794)', NULL, 'DUF3794', NULL, NULL, 20638, 8),
(30444, NULL, 'PF15217', NULL, NULL, 'TSC21 family', NULL, 'TSC21', NULL, NULL, 28153, 8),
(30445, NULL, 'PF19252', NULL, NULL, 'HIND motif', NULL, 'HIND', NULL, NULL, 37803, 8),
(30446, NULL, 'PF04806', NULL, NULL, 'EspF protein repeat', NULL, 'EspF', NULL, NULL, 4979, 8),
(30447, NULL, 'PF09695', NULL, NULL, 'Bacterial protein of unknown function (YtfJ_HI0045)', NULL, 'YtfJ_HI0045', NULL, NULL, 6954, 8),
(30448, NULL, 'PF14905', NULL, NULL, 'Outer membrane protein beta-barrel family', NULL, 'OMP_b-brl_3', NULL, NULL, 33398, 8),
(30449, NULL, 'PF18481', NULL, NULL, 'Domain of unknown function (DUF5616)', NULL, 'DUF5616', NULL, NULL, 32729, 8),
(30450, NULL, 'PF09205', NULL, NULL, 'Domain of unknown function (DUF1955)', NULL, 'DUF1955', NULL, NULL, 12846, 8),
(30451, NULL, 'PF02492', NULL, NULL, 'CobW/HypB/UreG, nucleotide-binding domain', NULL, 'cobW', NULL, NULL, 6224, 8),
(30452, NULL, 'PF03925', NULL, NULL, 'SeqA protein C-terminal domain', NULL, 'SeqA', NULL, NULL, 27464, 8),
(30453, NULL, 'PF11635', NULL, NULL, 'Mediator complex subunit 16', NULL, 'Med16', NULL, NULL, 19496, 8),
(30454, NULL, 'PF12765', NULL, NULL, 'HEAT repeat associated with sister chromatid cohesion', NULL, 'Cohesin_HEAT', NULL, NULL, 24457, 8),
(30455, NULL, 'PF09076', NULL, NULL, 'Beta/Gamma crystallin', NULL, 'Crystall_2', NULL, NULL, 9723, 8),
(30456, NULL, 'PF09516', NULL, NULL, 'CfrBI restriction endonuclease', NULL, 'RE_CfrBI', NULL, NULL, 16857, 8),
(30457, NULL, 'PF15094', NULL, NULL, 'Domain of unknown function (DUF4556)', NULL, 'DUF4556', NULL, NULL, 25168, 8),
(30458, NULL, 'PF05961', NULL, NULL, 'Chordopoxvirus A13L protein', NULL, 'Chordopox_A13L', NULL, NULL, 12520, 8),
(30459, NULL, 'PF07999', NULL, NULL, 'Retrotransposon hot spot protein', NULL, 'RHSP', NULL, NULL, 172, 8),
(30460, NULL, 'PF05388', NULL, NULL, 'Carboxypeptidase Y pro-peptide', NULL, 'Carbpep_Y_N', NULL, NULL, 8511, 8),
(30461, NULL, 'PF08458', NULL, NULL, 'Plant pleckstrin homology-like region', NULL, 'PH_2', NULL, NULL, 13704, 8),
(30462, NULL, 'PF03815', NULL, NULL, 'LCCL domain', NULL, 'LCCL', NULL, NULL, 937, 8),
(30463, NULL, 'PF07086', NULL, NULL, 'Jagunal, ER re-organisation during oogenesis', NULL, 'Jagunal', NULL, NULL, 13123, 8),
(30464, NULL, 'PF08642', NULL, NULL, 'Histone deacetylation protein Rxt3', NULL, 'Rxt3', NULL, NULL, 8404, 8),
(30465, NULL, 'PF00445', NULL, NULL, 'Ribonuclease T2 family', NULL, 'Ribonuclease_T2', NULL, NULL, 5192, 8),
(30466, NULL, 'PF09295', NULL, NULL, 'ChAPs (Chs5p-Arf1p-binding proteins)', NULL, 'ChAPs', NULL, NULL, 14332, 8),
(30467, NULL, 'PF01808', NULL, NULL, 'AICARFT/IMPCHase bienzyme', NULL, 'AICARFT_IMPCHas', NULL, NULL, 3871, 8),
(30468, NULL, 'PF12690', NULL, NULL, 'Intracellular proteinase inhibitor', NULL, 'BsuPI', NULL, NULL, 21468, 8),
(30469, NULL, 'PF15871', NULL, NULL, 'Junction-mediating and -regulatory protein', NULL, 'JMY', NULL, NULL, 24878, 8),
(30470, NULL, 'PF12745', NULL, NULL, 'Anticodon binding domain of tRNAs', NULL, 'HGTP_anticodon2', NULL, NULL, 23160, 8),
(30471, NULL, 'PF03120', NULL, NULL, 'NAD-dependent DNA ligase OB-fold domain', NULL, 'DNA_ligase_OB', NULL, NULL, 2934, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30472, NULL, 'PF15462', NULL, NULL, 'Bartter syndrome, infantile, with sensorineural deafness (Barttin)', NULL, 'Barttin', NULL, NULL, 28895, 8),
(30473, NULL, 'PF00096', NULL, NULL, 'Zinc finger, C2H2 type', NULL, 'zf-C2H2', NULL, NULL, 13919, 8),
(30474, NULL, 'PF00771', NULL, NULL, 'FHIPEP family', NULL, 'FHIPEP', NULL, NULL, 3025, 8),
(30475, NULL, 'PF04624', NULL, NULL, 'Dec-1 repeat', NULL, 'Dec-1', NULL, NULL, 2190, 8),
(30476, NULL, 'PF08500', NULL, NULL, 'Tombusvirus p33', NULL, 'Tombus_P33', NULL, NULL, 14258, 8),
(30477, NULL, 'PF10510', NULL, NULL, 'Phosphatidylinositol-glycan biosynthesis class S protein', NULL, 'PIG-S', NULL, NULL, 19495, 8),
(30478, NULL, 'PF12515', NULL, NULL, 'Ca2+-ATPase N terminal autoinhibitory domain', NULL, 'CaATP_NAI', NULL, NULL, 20064, 8),
(30479, NULL, 'PF06001', NULL, NULL, 'Domain of Unknown Function (DUF902)', NULL, 'DUF902', NULL, NULL, 7670, 8),
(30480, NULL, 'PF05110', NULL, NULL, 'AF-4 proto-oncoprotein N-terminal region', NULL, 'AF-4', NULL, NULL, NULL, 8),
(30481, NULL, 'PF05590', NULL, NULL, 'Xylella fastidiosa protein of unknown function (DUF769)', NULL, 'DUF769', NULL, NULL, 12097, 8),
(30482, NULL, 'PF06570', NULL, NULL, 'Protein of unknown function (DUF1129)', NULL, 'DUF1129', NULL, NULL, 10853, 8),
(30483, NULL, 'PF01467', NULL, NULL, 'Cytidylyltransferase-like', NULL, 'CTP_transf_like', NULL, NULL, 4279, 8),
(30484, NULL, 'PF10145', NULL, NULL, 'Phage-related minor tail protein', NULL, 'PhageMin_Tail', NULL, NULL, 2050, 8),
(30485, NULL, 'PF18441', NULL, NULL, 'Hen1 La-motif C-terminal domain', NULL, 'Hen1_Lam_C', NULL, NULL, 31680, 8),
(30486, NULL, 'PF17884', NULL, NULL, 'Domain of unknown function (DUF5591)', NULL, 'DUF5591', NULL, NULL, 30961, 8),
(30487, NULL, 'PF07981', NULL, NULL, 'Plasmodium repeat_MYXSPDY', NULL, 'Plasmod_MYXSPDY', NULL, NULL, 9512, 8),
(30488, NULL, 'PF12375', NULL, NULL, 'Phage protein', NULL, 'DUF3653', NULL, NULL, 15179, 8),
(30489, NULL, 'PF09221', NULL, NULL, 'Bacteriocin class IId cyclical uberolysin-like', NULL, 'Bacteriocin_IId', NULL, NULL, 18055, 8),
(30490, NULL, 'PF18851', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 8', NULL, 'baeRF_family8', NULL, NULL, 34535, 8),
(30491, NULL, 'PF01166', NULL, NULL, 'TSC-22/dip/bun family', NULL, 'TSC22', NULL, NULL, 5874, 8),
(30492, NULL, 'PF05199', NULL, NULL, 'GMC oxidoreductase', NULL, 'GMC_oxred_C', NULL, NULL, 3066, 8),
(30493, NULL, 'PF13016', NULL, NULL, 'Cys-rich Gliadin N-terminal', NULL, 'Gliadin', NULL, NULL, 11457, 8),
(30494, NULL, 'PF06942', NULL, NULL, 'GlpM protein', NULL, 'GlpM', NULL, NULL, 11931, 8),
(30495, NULL, 'PF14158', NULL, NULL, 'YndJ-like protein', NULL, 'YndJ', NULL, NULL, 28450, 8),
(30496, NULL, 'PF00162', NULL, NULL, 'Phosphoglycerate kinase', NULL, 'PGK', NULL, NULL, 5480, 8),
(30497, NULL, 'PF09534', NULL, NULL, 'Tryptophan-associated transmembrane protein (Trp_oprn_chp)', NULL, 'Trp_oprn_chp', NULL, NULL, 16837, 8),
(30498, NULL, 'PF07252', NULL, NULL, 'Protein of unknown function (DUF1433)', NULL, 'DUF1433', NULL, NULL, 14557, 8),
(30499, NULL, 'PF19155', NULL, NULL, 'Family of unknown function (DUF5837)', NULL, 'DUF5837', NULL, NULL, 38470, 8),
(30500, NULL, 'PF01387', NULL, NULL, 'Synuclein', NULL, 'Synuclein', NULL, NULL, 2421, 8),
(30501, NULL, 'PF04262', NULL, NULL, 'Glutamate-cysteine ligase', NULL, 'Glu_cys_ligase', NULL, NULL, 5565, 8),
(30502, NULL, 'PF05420', NULL, NULL, 'Cellulose synthase operon protein C C-terminus (BCSC_C)', NULL, 'BCSC_C', NULL, NULL, 8991, 8),
(30503, NULL, 'PF12679', NULL, NULL, 'ABC-2 family transporter protein', NULL, 'ABC2_membrane_2', NULL, NULL, 29429, 8),
(30504, NULL, 'PF13915', NULL, NULL, 'Domain of unknown function (DUF4210)', NULL, 'DUF4210', NULL, NULL, 23958, 8),
(30505, NULL, 'PF19889', NULL, NULL, 'Domain of unknown function (DUF6362)', NULL, 'DUF6362', NULL, NULL, 39227, 8),
(30506, NULL, 'PF00718', NULL, NULL, 'Polyomavirus coat protein', NULL, 'Polyoma_coat', NULL, NULL, 6784, 8),
(30507, NULL, 'PF03759', NULL, NULL, 'PRONE (Plant-specific Rop nucleotide exchanger)', NULL, 'PRONE', NULL, NULL, 1468, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30508, NULL, 'PF04860', NULL, NULL, 'Phage portal protein', NULL, 'Phage_portal', NULL, NULL, 5907, 8),
(30509, NULL, 'PF03707', NULL, NULL, 'Bacterial signalling protein N terminal repeat', NULL, 'MHYT', NULL, NULL, 5840, 8),
(30510, NULL, 'PF01476', NULL, NULL, 'LysM domain', NULL, 'LysM', NULL, NULL, 8557, 8),
(30511, NULL, 'PF03023', NULL, NULL, 'Lipid II flippase MurJ', NULL, 'MurJ', NULL, NULL, 3530, 8),
(30512, NULL, 'PF12779', NULL, NULL, 'WXXGXW repeat (2 copies)', NULL, 'WXXGXW', NULL, NULL, 25531, 8),
(30513, NULL, 'PF05550', NULL, NULL, 'Pestivirus Npro endopeptidase C53', NULL, 'Peptidase_C53', NULL, NULL, 12033, 8),
(30514, NULL, 'PF18156', NULL, NULL, 'pPIWI_RE three-gene island domain Y', NULL, 'pPIWI_RE_Y', NULL, NULL, 31855, 8),
(30515, NULL, 'PF08970', NULL, NULL, 'Sporulation inhibitor A', NULL, 'Sda', NULL, NULL, 8980, 8),
(30516, NULL, 'PF01246', NULL, NULL, 'Ribosomal protein L24e', NULL, 'Ribosomal_L24e', NULL, NULL, 451, 8),
(30517, NULL, 'PF10573', NULL, NULL, 'Uncharacterised protein family UPF0561', NULL, 'UPF0561', NULL, NULL, 21133, 8),
(30518, NULL, 'PF06027', NULL, NULL, 'Solute carrier family 35', NULL, 'SLC35F', NULL, NULL, 13505, 8),
(30519, NULL, 'PF17125', NULL, NULL, 'N-terminal domain of 16S rRNA methyltransferase RsmF', NULL, 'Methyltr_RsmF_N', NULL, NULL, 27960, 8),
(30520, NULL, 'PF08626', NULL, NULL, 'Transport protein Trs120 or TRAPPC9, TRAPP II complex subunit', NULL, 'TRAPPC9-Trs120', NULL, NULL, 14492, 8),
(30521, NULL, 'PF13913', NULL, NULL, 'zinc-finger of a C2HC-type', NULL, 'zf-C2HC_2', NULL, NULL, NULL, 8),
(30522, NULL, 'PF05458', NULL, NULL, 'Cd27 binding protein (Siva)', NULL, 'Siva', NULL, NULL, 11451, 8),
(30523, NULL, 'PF16021', NULL, NULL, 'Programmed cell death protein 7', NULL, 'PDCD7', NULL, NULL, 23840, 8),
(30524, NULL, 'PF08688', NULL, NULL, 'Apx/Shroom domain ASD1', NULL, 'ASD1', NULL, NULL, 11993, 8),
(30525, NULL, 'PF09723', NULL, NULL, 'Zinc ribbon domain', NULL, 'Zn-ribbon_8', NULL, NULL, 9475, 8),
(30526, NULL, 'PF00436', NULL, NULL, 'Single-strand binding protein family', NULL, 'SSB', NULL, NULL, 6744, 8),
(30527, NULL, 'PF12966', NULL, NULL, 'N-ATPase, AtpR subunit', NULL, 'AtpR', NULL, NULL, 16204, 8),
(30528, NULL, 'PF13283', NULL, NULL, 'Bacteriophage N adsorption protein A C-term', NULL, 'NfrA_C', NULL, NULL, 22676, 8),
(30529, NULL, 'PF15199', NULL, NULL, 'D-amino acid oxidase activator', NULL, 'DAOA', NULL, NULL, 26272, 8),
(30530, NULL, 'PF07402', NULL, NULL, 'Human herpesvirus U26 protein', NULL, 'Herpes_U26', NULL, NULL, 8200, 8),
(30531, NULL, 'PF12963', NULL, NULL, 'Protein of unknown function (DUF3852)', NULL, 'DUF3852', NULL, NULL, 28526, 8),
(30532, NULL, 'PF13155', NULL, NULL, 'Toprim-like', NULL, 'Toprim_2', NULL, NULL, NULL, 8),
(30533, NULL, 'PF17571', NULL, NULL, 'Family of unknown function (DUF5477)', NULL, 'DUF5477', NULL, NULL, 16919, 8),
(30534, NULL, 'PF04922', NULL, NULL, 'DIE2/ALG10 family', NULL, 'DIE2_ALG10', NULL, NULL, 17032, 8),
(30535, NULL, 'PF19521', NULL, NULL, 'Anaphase-promoting complex subunit 1 N-terminal', NULL, 'Apc1_N', NULL, NULL, NULL, 8),
(30536, NULL, 'PF06043', NULL, NULL, 'Reovirus P9-like family', NULL, 'Reo_P9', NULL, NULL, 13511, 8),
(30537, NULL, 'PF08398', NULL, NULL, 'Phospholipase A2-like domain', NULL, 'Phospholip_A2_4', NULL, NULL, 11466, 8),
(30538, NULL, 'PF10282', NULL, NULL, 'Lactonase, 7-bladed beta-propeller', NULL, 'Lactonase', NULL, NULL, 16924, 8),
(30539, NULL, 'PF16575', NULL, NULL, 'mRNA cleavage and polyadenylation factor CLP1 P-loop', NULL, 'CLP1_P', NULL, NULL, 26826, 8),
(30540, NULL, 'PF14748', NULL, NULL, 'Pyrroline-5-carboxylate reductase dimerisation', NULL, 'P5CR_dimer', NULL, NULL, 25142, 8),
(30541, NULL, 'PF15676', NULL, NULL, 'Six6 opposite strand transcript 1 family', NULL, 'S6OS1', NULL, NULL, 27264, 8),
(30542, NULL, 'PF16755', NULL, NULL, 'Nucleoporin or Nuclear pore complex subunit NUP214=Nup159', NULL, 'NUP214', NULL, NULL, 33577, 8),
(30543, NULL, 'PF17029', NULL, NULL, 'Domain of unknown function (DUF5100)', NULL, 'DUF5100', NULL, NULL, 23363, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30544, NULL, 'PF09392', NULL, NULL, 'Type III secretion needle MxiH, YscF, SsaG, EprI, PscF, EscF', NULL, 'T3SS_needle_F', NULL, NULL, 9104, 8),
(30545, NULL, 'PF15813', NULL, NULL, 'Domain of unknown function (DUF4708)', NULL, 'DUF4708', NULL, NULL, 24737, 8),
(30546, NULL, 'PF03485', NULL, NULL, 'Arginyl tRNA synthetase N terminal domain', NULL, 'Arg_tRNA_synt_N', NULL, NULL, 4297, 8),
(30547, NULL, 'PF04843', NULL, NULL, 'Herpesvirus tegument protein, N-terminal conserved region', NULL, 'Herpes_teg_N', NULL, NULL, 5065, 8),
(30548, NULL, 'PF04827', NULL, NULL, 'Plant transposon protein', NULL, 'Plant_tran', NULL, NULL, 4917, 8),
(30549, NULL, 'PF13718', NULL, NULL, 'GNAT acetyltransferase 2', NULL, 'GNAT_acetyltr_2', NULL, NULL, 1672, 8),
(30550, NULL, 'PF11729', NULL, NULL, 'nodavirus capsid protein', NULL, 'Capsid-VNN', NULL, NULL, 20166, 8),
(30551, NULL, 'PF07679', NULL, NULL, 'Immunoglobulin I-set domain', NULL, 'I-set', NULL, NULL, 18772, 8),
(30552, NULL, 'PF17786', NULL, NULL, 'Mannosidase Ig/CBM-like domain', NULL, 'Mannosidase_ig', NULL, NULL, 32709, 8),
(30553, NULL, 'PF08260', NULL, NULL, 'Insect kinin peptide', NULL, 'Kinin', NULL, NULL, 17960, 8),
(30554, NULL, 'PF01940', NULL, NULL, 'Integral membrane protein DUF92', NULL, 'DUF92', NULL, NULL, 4606, 8),
(30555, NULL, 'PF00365', NULL, NULL, 'Phosphofructokinase', NULL, 'PFK', NULL, NULL, 2550, 8),
(30556, NULL, 'PF15285', NULL, NULL, 'Beclin-1 BH3 domain, Bcl-2-interacting', NULL, 'BH3', NULL, NULL, 25664, 8),
(30557, NULL, 'PF11493', NULL, NULL, 'Thylakoid soluble phosphoprotein TSP9', NULL, 'TSP9', NULL, NULL, 19328, 8),
(30558, NULL, 'PF00677', NULL, NULL, 'Lumazine binding domain', NULL, 'Lum_binding', NULL, NULL, 26616, 8),
(30559, NULL, 'PF09543', NULL, NULL, 'Protein of unknown function (DUF2379)', NULL, 'DUF2379', NULL, NULL, 11625, 8),
(30560, NULL, 'PF05503', NULL, NULL, 'Poxvirus G7-like', NULL, 'Pox_G7', NULL, NULL, 12194, 8),
(30561, NULL, 'PF08477', NULL, NULL, 'Ras of Complex, Roc, domain of DAPkinase', NULL, 'Roc', NULL, NULL, NULL, 8),
(30562, NULL, 'PF00866', NULL, NULL, 'Ring hydroxylating beta subunit', NULL, 'Ring_hydroxyl_B', NULL, NULL, 6518, 8),
(30563, NULL, 'PF05038', NULL, NULL, 'Cytochrome Cytochrome b558 alpha-subunit', NULL, 'Cytochrom_B558a', NULL, NULL, 1048, 8),
(30564, NULL, 'PF11614', NULL, NULL, 'IG-like fold at C-terminal of FixG, putative oxidoreductase', NULL, 'FixG_C', NULL, NULL, 23754, 8),
(30565, NULL, 'PF06752', NULL, NULL, 'Enhancer of Polycomb C-terminus', NULL, 'E_Pc_C', NULL, NULL, 1616, 8),
(30566, NULL, 'PF09781', NULL, NULL, 'NADH:ubiquinone oxidoreductase, NDUFB5/SGDH subunit', NULL, 'NDUF_B5', NULL, NULL, 18834, 8),
(30567, NULL, 'PF08863', NULL, NULL, 'YolD-like protein', NULL, 'YolD', NULL, NULL, 14145, 8),
(30568, NULL, 'PF06365', NULL, NULL, 'CD34/Podocalyxin family', NULL, 'CD34_antigen', NULL, NULL, 17501, 8),
(30569, NULL, 'PF07905', NULL, NULL, 'Purine catabolism regulatory protein-like family', NULL, 'PucR', NULL, NULL, 13063, 8),
(30570, NULL, 'PF16165', NULL, NULL, 'Ferlin C-terminus', NULL, 'Ferlin_C', NULL, NULL, 23224, 8),
(30571, NULL, 'PF09463', NULL, NULL, 'Opy2 protein', NULL, 'Opy2', NULL, NULL, 15978, 8),
(30572, NULL, 'PF19365', NULL, NULL, 'Family of unknown function (DUF5941)', NULL, 'DUF5941', NULL, NULL, 39090, 8),
(30573, NULL, 'PF05111', NULL, NULL, 'Ameloblastin precursor (Amelin)', NULL, 'Amelin', NULL, NULL, 2394, 8),
(30574, NULL, 'PF03467', NULL, NULL, 'Smg-4/UPF3 family', NULL, 'Smg4_UPF3', NULL, NULL, 10976, 8),
(30575, NULL, 'PF04580', NULL, NULL, 'Chordopoxvirinae D3 protein', NULL, 'Pox_D3', NULL, NULL, 270, 8),
(30576, NULL, 'PF16408', NULL, NULL, 'Domain of unknown function (DUF5016)', NULL, 'DUF5016', NULL, NULL, 24780, 8),
(30577, NULL, 'PF02933', NULL, NULL, 'Cell division protein 48 (CDC48), domain 2', NULL, 'CDC48_2', NULL, NULL, 2907, 8),
(30578, NULL, 'PF02832', NULL, NULL, 'Flavivirus glycoprotein, immunoglobulin-like domain', NULL, 'Flavi_glycop_C', NULL, NULL, 21794, 8),
(30579, NULL, 'PF06517', NULL, NULL, 'Orthopoxvirus A43R protein', NULL, 'Orthopox_A43R', NULL, NULL, 9287, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30580, NULL, 'PF11675', NULL, NULL, 'Protein of unknown function (DUF3271)', NULL, 'DUF3271', NULL, NULL, 19481, 8),
(30581, NULL, 'PF00948', NULL, NULL, 'Flavivirus non-structural Protein NS1', NULL, 'Flavi_NS1', NULL, NULL, 1474, 8),
(30582, NULL, 'PF19553', NULL, NULL, 'Family of unknown function (DUF6076)', NULL, 'DUF6076', NULL, NULL, 37394, 8),
(30583, NULL, 'PF04444', NULL, NULL, 'Catechol dioxygenase N terminus', NULL, 'Dioxygenase_N', NULL, NULL, 10797, 8),
(30584, NULL, 'PF02052', NULL, NULL, 'Gallidermin', NULL, 'Gallidermin', NULL, NULL, 2502, 8),
(30585, NULL, 'PF17090', NULL, NULL, 'YtcA family', NULL, 'Ytca', NULL, NULL, 25075, 8),
(30586, NULL, 'PF07986', NULL, NULL, 'Tubulin binding cofactor C', NULL, 'TBCC', NULL, NULL, 8018, 8),
(30587, NULL, 'PF02089', NULL, NULL, 'Palmitoyl protein thioesterase', NULL, 'Palm_thioest', NULL, NULL, NULL, 8),
(30588, NULL, 'PF03702', NULL, NULL, 'Anhydro-N-acetylmuramic acid kinase', NULL, 'AnmK', NULL, NULL, 6379, 8),
(30589, NULL, 'PF04435', NULL, NULL, 'Domain of unknown function (DUF545)', NULL, 'SPK', NULL, NULL, 13, 8),
(30590, NULL, 'PF09825', NULL, NULL, 'Biotin-protein ligase, N terminal', NULL, 'BPL_N', NULL, NULL, 18983, 8),
(30591, NULL, 'PF00683', NULL, NULL, 'TB domain', NULL, 'TB', NULL, NULL, 13389, 8),
(30592, NULL, 'PF13871', NULL, NULL, 'C-terminal domain on Strawberry notch homologue', NULL, 'Helicase_C_4', NULL, NULL, 23410, 8),
(30593, NULL, 'PF04818', NULL, NULL, 'CID domain', NULL, 'CID', NULL, NULL, 428, 8),
(30594, NULL, 'PF17791', NULL, NULL, 'Macroglobulin domain MG3', NULL, 'MG3', NULL, NULL, 32756, 8),
(30595, NULL, 'PF08416', NULL, NULL, 'Phosphotyrosine-binding domain', NULL, 'PTB', NULL, NULL, 11154, 8),
(30596, NULL, 'PF05551', NULL, NULL, 'Zinc-binding loop region of homing endonuclease', NULL, 'zf-His_Me_endon', NULL, NULL, 13492, 8),
(30597, NULL, 'PF08025', NULL, NULL, 'Spider antimicrobial peptide', NULL, 'Antimicrobial_3', NULL, NULL, 12782, 8),
(30598, NULL, 'PF14825', NULL, NULL, 'Domain of unknown function (DUF4483)', NULL, 'DUF4483', NULL, NULL, 27281, 8),
(30599, NULL, 'PF15918', NULL, NULL, 'Domain of unknown function (DUF4744)', NULL, 'DUF4744', NULL, NULL, 21593, 8),
(30600, NULL, 'PF18715', NULL, NULL, 'Phage spike trimer', NULL, 'Phage_spike', NULL, NULL, 29976, 8),
(30601, NULL, 'PF07835', NULL, NULL, 'Bacterial aa3 type cytochrome c oxidase subunit IV', NULL, 'COX4_pro_2', NULL, NULL, 13788, 8),
(30602, NULL, 'PF10907', NULL, NULL, 'Protein of unknown function (DUF2749)', NULL, 'DUF2749', NULL, NULL, 26456, 8),
(30603, NULL, 'PF19040', NULL, NULL, 'SGNH domain (fused to AT3 domains)', NULL, 'SGNH', NULL, NULL, 37183, 8),
(30604, NULL, 'PF04205', NULL, NULL, 'FMN-binding domain', NULL, 'FMN_bind', NULL, NULL, 5493, 8),
(30605, NULL, 'PF06271', NULL, NULL, 'RDD family', NULL, 'RDD', NULL, NULL, 9504, 8),
(30606, NULL, 'PF10513', NULL, NULL, 'Enhancer of polycomb-like', NULL, 'EPL1', NULL, NULL, 19307, 8),
(30607, NULL, 'PF11115', NULL, NULL, 'Protein of unknown function (DUF2623)', NULL, 'DUF2623', NULL, NULL, 16788, 8),
(30608, NULL, 'PF15112', NULL, NULL, 'Domain of unknown function (DUF4559)', NULL, 'DUF4559', NULL, NULL, 25389, 8),
(30609, NULL, 'PF16803', NULL, NULL, 'Fe-S cluster assembly protein DRE2 N-terminus', NULL, 'DRE2_N', NULL, NULL, 22579, 8),
(30610, NULL, 'PF17895', NULL, NULL, 'Giardia Dicer N-terminal domain', NULL, 'Dicer_N', NULL, NULL, 32350, 8),
(30611, NULL, 'PF02007', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase MtrH subunit', NULL, 'MtrH', NULL, NULL, 16246, 8),
(30612, NULL, 'PF11516', NULL, NULL, 'Protein of unknown function (DUF3120)', NULL, 'DUF3220', NULL, NULL, 19107, 8),
(30613, NULL, 'PF08967', NULL, NULL, 'Domain of unknown function (DUF1884)', NULL, 'DUF1884', NULL, NULL, 7652, 8),
(30614, NULL, 'PF01230', NULL, NULL, 'HIT domain', NULL, 'HIT', NULL, NULL, 9009, 8),
(30615, NULL, 'PF07305', NULL, NULL, 'Protein of unknown function (DUF1454)', NULL, 'DUF1454', NULL, NULL, 7782, 8),
(30616, NULL, 'PF13629', NULL, NULL, 'Pilus formation protein N terminal region', NULL, 'T2SS-T3SS_pil_N', NULL, NULL, 22157, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30617, NULL, 'PF10285', NULL, NULL, 'Luciferase catalytic domain', NULL, 'Luciferase_cat', NULL, NULL, 19195, 8),
(30618, NULL, 'PF09200', NULL, NULL, 'Monellin', NULL, 'Monellin', NULL, NULL, 12906, 8),
(30619, NULL, 'PF18493', NULL, NULL, 'Domain of unknown function (DUF5617)', NULL, 'DUF5617', NULL, NULL, 31487, 8),
(30620, NULL, 'PF14578', NULL, NULL, 'Elongation factor Tu domain 4', NULL, 'GTP_EFTU_D4', NULL, NULL, 24408, 8),
(30621, NULL, 'PF15224', NULL, NULL, 'Scrapie-responsive protein 1', NULL, 'SCRG1', NULL, NULL, 26970, 8),
(30622, NULL, 'PF02865', NULL, NULL, 'STAT protein, protein interaction domain', NULL, 'STAT_int', NULL, NULL, 18392, 8),
(30623, NULL, 'PF00137', NULL, NULL, 'ATP synthase subunit C', NULL, 'ATP-synt_C', NULL, NULL, 6601, 8),
(30624, NULL, 'PF02536', NULL, NULL, 'mTERF', NULL, 'mTERF', NULL, NULL, 4855, 8),
(30625, NULL, 'PF14514', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_9', NULL, NULL, 10559, 8),
(30626, NULL, 'PF07715', NULL, NULL, 'TonB-dependent Receptor Plug Domain', NULL, 'Plug', NULL, NULL, 13218, 8),
(30627, NULL, 'PF14837', NULL, NULL, 'Integrator complex subunit 5 N-terminus', NULL, 'INTS5_N', NULL, NULL, 29343, 8),
(30628, NULL, 'PF12749', NULL, NULL, 'Eukaryotic metallothionein', NULL, 'Metallothio_Euk', NULL, NULL, NULL, 8),
(30629, NULL, 'PF17991', NULL, NULL, 'Thioredoxin like C-terminal domain', NULL, 'Thioredoxin_10', NULL, NULL, 34237, 8),
(30630, NULL, 'PF05011', NULL, NULL, 'Lariat debranching enzyme, C-terminal domain', NULL, 'DBR1', NULL, NULL, 1061, 8),
(30631, NULL, 'PF17680', NULL, NULL, 'FlgO protein', NULL, 'FlgO', NULL, NULL, 31388, 8),
(30632, NULL, 'PF08634', NULL, NULL, 'Mitochondrial protein Pet127', NULL, 'Pet127', NULL, NULL, 8272, 8),
(30633, NULL, 'PF11736', NULL, NULL, 'Protein of unknown function (DUF3299)', NULL, 'DUF3299', NULL, NULL, 19589, 8),
(30634, NULL, 'PF06047', NULL, NULL, 'NF-kappa-B-activating protein C-terminal domain', NULL, 'Nkap_C', NULL, NULL, 13852, 8),
(30635, NULL, 'PF13057', NULL, NULL, 'Protein of unknown function (DUF3919)', NULL, 'DUF3919', NULL, NULL, 23583, 8),
(30636, NULL, 'PF07157', NULL, NULL, 'DNA circularisation protein N-terminus', NULL, 'DNA_circ_N', NULL, NULL, 13915, 8),
(30637, NULL, 'PF17713', NULL, NULL, 'Family of unknown function (DUF5558)', NULL, 'DUF5558', NULL, NULL, 31448, 8),
(30638, NULL, 'PF19014', NULL, NULL, 'Family of unknown function (DUF5743)', NULL, 'DUF5743', NULL, NULL, 38167, 8),
(30639, NULL, 'PF02574', NULL, NULL, 'Homocysteine S-methyltransferase', NULL, 'S-methyl_trans', NULL, NULL, 2472, 8),
(30640, NULL, 'PF14185', NULL, NULL, 'Antitoxin SpoIISB, type II toxin-antitoxin system', NULL, 'SpoIISB_antitox', NULL, NULL, 22011, 8),
(30641, NULL, 'PF14162', NULL, NULL, 'YozD-like protein', NULL, 'YozD', NULL, NULL, 24528, 8),
(30642, NULL, 'PF12922', NULL, NULL, 'non-SMC mitotic condensation complex subunit 1, N-term', NULL, 'Cnd1_N', NULL, NULL, 25618, 8),
(30643, NULL, 'PF01451', NULL, NULL, 'Low molecular weight phosphotyrosine protein phosphatase', NULL, 'LMWPc', NULL, NULL, 17429, 8),
(30644, NULL, 'PF11937', NULL, NULL, 'Protein of unknown function (DUF3455)', NULL, 'DUF3455', NULL, NULL, 20055, 8),
(30645, NULL, 'PF18864', NULL, NULL, 'AbiTii', NULL, 'AbiTii', NULL, NULL, 32368, 8),
(30646, NULL, 'PF01111', NULL, NULL, 'Cyclin-dependent kinase regulatory subunit', NULL, 'CKS', NULL, NULL, 4800, 8),
(30647, NULL, 'PF04508', NULL, NULL, 'Viral A-type inclusion protein repeat', NULL, 'Pox_A_type_inc', NULL, NULL, 2716, 8),
(30648, NULL, 'PF07713', NULL, NULL, 'Protein of unknown function (DUF1604)', NULL, 'DUF1604', NULL, NULL, 10532, 8),
(30649, NULL, 'PF03619', NULL, NULL, 'Organic solute transporter Ostalpha', NULL, 'Solute_trans_a', NULL, NULL, 5379, 8),
(30650, NULL, 'PF11026', NULL, NULL, 'Protein of unknown function (DUF2721)', NULL, 'DUF2721', NULL, NULL, 17756, 8),
(30651, NULL, 'PF16893', NULL, NULL, 'Fibronectin type III domain', NULL, 'fn3_2', NULL, NULL, 23010, 8),
(30652, NULL, 'PF04553', NULL, NULL, 'Tis11B like protein, N terminus', NULL, 'Tis11B_N', NULL, NULL, 2296, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30653, NULL, 'PF10278', NULL, NULL, 'Mediator of RNA pol II transcription subunit 19', NULL, 'Med19', NULL, NULL, 16537, 8),
(30654, NULL, 'PF00893', NULL, NULL, 'Small Multidrug Resistance protein', NULL, 'Multi_Drug_Res', NULL, NULL, 39820, 8),
(30655, NULL, 'PF06899', NULL, NULL, 'WzyE protein, O-antigen assembly polymerase', NULL, 'WzyE', NULL, NULL, 9377, 8),
(30656, NULL, 'PF01288', NULL, NULL, '7,8-dihydro-6-hydroxymethylpterin-pyrophosphokinase (HPPK)', NULL, 'HPPK', NULL, NULL, 5776, 8),
(30657, NULL, 'PF07178', NULL, NULL, 'TraL protein', NULL, 'TraL', NULL, NULL, 13844, 8),
(30658, NULL, 'PF12976', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3860)', NULL, 'DUF3860', NULL, NULL, 28662, 8),
(30659, NULL, 'PF00651', NULL, NULL, 'BTB/POZ domain', NULL, 'BTB', NULL, NULL, 1700, 8),
(30660, NULL, 'PF16724', NULL, NULL, 'T4-like virus Myoviridae tail sheath stabiliser', NULL, 'T4-gp15_tss', NULL, NULL, 23888, 8),
(30661, NULL, 'PF11538', NULL, NULL, 'Snurportin1', NULL, 'Snurportin1', NULL, NULL, 27552, 8),
(30662, NULL, 'PF02179', NULL, NULL, 'BAG domain', NULL, 'BAG', NULL, NULL, 1109, 8),
(30663, NULL, 'PF11716', NULL, NULL, 'Mycothiol maleylpyruvate isomerase N-terminal domain', NULL, 'MDMPI_N', NULL, NULL, 22812, 8),
(30664, NULL, 'PF00552', NULL, NULL, 'Integrase DNA binding domain', NULL, 'IN_DBD_C', NULL, NULL, 1373, 8),
(30665, NULL, 'PF02586', NULL, NULL, 'SOS response associated peptidase (SRAP)', NULL, 'SRAP', NULL, NULL, 6377, 8),
(30666, NULL, 'PF04450', NULL, NULL, 'Peptidase of plants and bacteria', NULL, 'BSP', NULL, NULL, 10623, 8),
(30667, NULL, 'PF17910', NULL, NULL, 'FeoB cytosolic helical domain', NULL, 'FeoB_Cyto', NULL, NULL, 31277, 8),
(30668, NULL, 'PF10835', NULL, NULL, 'Protein of unknown function (DUF2573)', NULL, 'DUF2573', NULL, NULL, 20054, 8),
(30669, NULL, 'PF15571', NULL, NULL, 'Immunity protein 44', NULL, 'Imm44', NULL, NULL, 26066, 8),
(30670, NULL, 'PF01632', NULL, NULL, 'Ribosomal protein L35', NULL, 'Ribosomal_L35p', NULL, NULL, 15013, 8),
(30671, NULL, 'PF10412', NULL, NULL, 'Type IV secretion-system coupling protein DNA-binding domain', NULL, 'TrwB_AAD_bind', NULL, NULL, 17825, 8),
(30672, NULL, 'PF15220', NULL, NULL, 'Hypoxia-inducible lipid droplet-associated', NULL, 'HILPDA', NULL, NULL, 26894, 8),
(30673, NULL, 'PF12113', NULL, NULL, 'SVM protein signal sequence', NULL, 'SVM_signal', NULL, NULL, 20769, 8),
(30674, NULL, 'PF13004', NULL, NULL, 'Putative binding domain, N-terminal', NULL, 'BACON', NULL, NULL, 24904, 8),
(30675, NULL, 'PF13100', NULL, NULL, 'OstA-like protein', NULL, 'OstA_2', NULL, NULL, 2531, 8),
(30676, NULL, 'PF07771', NULL, NULL, 'Tick salivary peptide group 1', NULL, 'TSGP1', NULL, NULL, 10708, 8),
(30677, NULL, 'PF08546', NULL, NULL, 'Ketopantoate reductase PanE/ApbA C terminal', NULL, 'ApbA_C', NULL, NULL, 7750, 8),
(30678, NULL, 'PF02953', NULL, NULL, 'Tim10/DDP family zinc finger', NULL, 'zf-Tim10_DDP', NULL, NULL, 3893, 8),
(30679, NULL, 'PF10475', NULL, NULL, 'Vacuolar-sorting protein 54, of GARP complex', NULL, 'Vps54_N', NULL, NULL, 18618, 8),
(30680, NULL, 'PF18286', NULL, NULL, 'Type III secretion system ExsE', NULL, 'T3SS_ExsE', NULL, NULL, 35772, 8),
(30681, NULL, 'PF03783', NULL, NULL, 'Curli production assembly/transport component CsgG', NULL, 'CsgG', NULL, NULL, 1723, 8),
(30682, NULL, 'PF10832', NULL, NULL, 'Protein of unknown function (DUF2559)', NULL, 'DUF2559', NULL, NULL, 16732, 8),
(30683, NULL, 'PF01044', NULL, NULL, 'Vinculin family', NULL, 'Vinculin', NULL, NULL, 2802, 8),
(30684, NULL, 'PF06472', NULL, NULL, 'ABC transporter transmembrane region 2', NULL, 'ABC_membrane_2', NULL, NULL, 12360, 8),
(30685, NULL, 'PF14035', NULL, NULL, 'YlzJ-like protein', NULL, 'YlzJ', NULL, NULL, 28311, 8),
(30686, NULL, 'PF02390', NULL, NULL, 'Putative methyltransferase', NULL, 'Methyltransf_4', NULL, NULL, 4461, 8),
(30687, NULL, 'PF14068', NULL, NULL, 'Putative membrane protein', NULL, 'YuiB', NULL, NULL, 24463, 8),
(30688, NULL, 'PF19719', NULL, NULL, 'Family of unknown function (DUF6213)', NULL, 'DUF6213', NULL, NULL, 39543, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30689, NULL, 'PF09156', NULL, NULL, 'Anthrax toxin lethal factor, middle domain', NULL, 'Anthrax-tox_M', NULL, NULL, 12559, 8),
(30690, NULL, 'PF01496', NULL, NULL, 'V-type ATPase 116kDa subunit family', NULL, 'V_ATPase_I', NULL, NULL, 681, 8),
(30691, NULL, 'PF05845', NULL, NULL, 'Bacterial phosphonate metabolism protein (PhnH)', NULL, 'PhnH', NULL, NULL, 12146, 8),
(30692, NULL, 'PF17600', NULL, NULL, 'Family of unknown function (DUF5496)', NULL, 'DUF5496', NULL, NULL, 34550, 8),
(30693, NULL, 'PF08437', NULL, NULL, 'Glycosyl transferase family 8 C-terminal', NULL, 'Glyco_transf_8C', NULL, NULL, 12160, 8),
(30694, NULL, 'PF02085', NULL, NULL, 'Class III cytochrome C family', NULL, 'Cytochrom_CIII', NULL, NULL, 14672, 8),
(30695, NULL, 'PF12114', NULL, NULL, 'Period protein 2/3C-terminal region', NULL, 'Period_C', NULL, NULL, 14764, 8),
(30696, NULL, 'PF19563', NULL, NULL, 'Family of unknown function (DUF6085)', NULL, 'DUF6085', NULL, NULL, 37078, 8),
(30697, NULL, 'PF06943', NULL, NULL, 'LSD1 zinc finger', NULL, 'zf-LSD1', NULL, NULL, 4925, 8),
(30698, NULL, 'PF00579', NULL, NULL, 'tRNA synthetases class I (W and Y)', NULL, 'tRNA-synt_1b', NULL, NULL, 6543, 8),
(30699, NULL, 'PF18938', NULL, NULL, 'Atypical Rib domain', NULL, 'aRib', NULL, NULL, 38462, 8),
(30700, NULL, 'PF03716', NULL, NULL, 'WCCH motif', NULL, 'WCCH', NULL, NULL, 4107, 8),
(30701, NULL, 'PF15742', NULL, NULL, 'Domain of unknown function (DUF4686)', NULL, 'DUF4686', NULL, NULL, 23612, 8),
(30702, NULL, 'PF05300', NULL, NULL, 'MICOS complex subunit MIC19/MIC25', NULL, 'MIC19_MIC25', NULL, NULL, 4405, 8),
(30703, NULL, 'PF17770', NULL, NULL, 'Ribonuclease J C-terminal domain', NULL, 'RNase_J_C', NULL, NULL, 32904, 8),
(30704, NULL, 'PF04316', NULL, NULL, 'Anti-sigma-28 factor, FlgM', NULL, 'FlgM', NULL, NULL, 24821, 8),
(30705, NULL, 'PF00081', NULL, NULL, 'Iron/manganese superoxide dismutases, alpha-hairpin domain', NULL, 'Sod_Fe_N', NULL, NULL, 17893, 8),
(30706, NULL, 'PF09162', NULL, NULL, 'Tap, RNA-binding', NULL, 'Tap-RNA_bind', NULL, NULL, 12562, 8),
(30707, NULL, 'PF14828', NULL, NULL, 'Amnionless', NULL, 'Amnionless', NULL, NULL, 27840, 8),
(30708, NULL, 'PF18883', NULL, NULL, 'Autochaperone Domain Type 1', NULL, 'AC_1', NULL, NULL, 39637, 8),
(30709, NULL, 'PF00705', NULL, NULL, 'Proliferating cell nuclear antigen, N-terminal domain', NULL, 'PCNA_N', NULL, NULL, 17151, 8),
(30710, NULL, 'PF18163', NULL, NULL, 'SLOG cluster2', NULL, 'LD_cluster2', NULL, NULL, 31126, 8),
(30711, NULL, 'PF13596', NULL, NULL, 'PAS domain', NULL, 'PAS_10', NULL, NULL, NULL, 8),
(30712, NULL, 'PF18681', NULL, NULL, 'Family of unknown function (DUF5634)', NULL, 'DUF5634', NULL, NULL, 29615, 8),
(30713, NULL, 'PF00898', NULL, NULL, 'Orbivirus outer capsid protein VP2', NULL, 'Orbi_VP2', NULL, NULL, 3491, 8),
(30714, NULL, 'PF04945', NULL, NULL, 'YHS domain', NULL, 'YHS', NULL, NULL, 6614, 8),
(30715, NULL, 'PF08080', NULL, NULL, 'RNPHF zinc finger', NULL, 'zf-RNPHF', NULL, NULL, 12324, 8),
(30716, NULL, 'PF19890', NULL, NULL, 'Domain of unknown function (DUF6363)', NULL, 'DUF6363', NULL, NULL, 39396, 8),
(30717, NULL, 'PF12235', NULL, NULL, 'Fragile X-related 1 protein core C terminal', NULL, 'FXMRP1_C_core', NULL, NULL, 20503, 8),
(30718, NULL, 'PF14654', NULL, NULL, 'Mucin, catalytic, TM and cytoplasmic tail region', NULL, 'Epiglycanin_C', NULL, NULL, 27991, 8),
(30719, NULL, 'PF12187', NULL, NULL, 'Viral/Archaeal nuclease', NULL, 'VirArc_Nuclease', NULL, NULL, 20667, 8),
(30720, NULL, 'PF04350', NULL, NULL, 'Pilus assembly protein, PilO', NULL, 'PilO', NULL, NULL, 4975, 8),
(30721, NULL, 'PF17034', NULL, NULL, 'Zinc-ribbon like family', NULL, 'zinc_ribbon_16', NULL, NULL, 23125, 8),
(30722, NULL, 'PF01474', NULL, NULL, 'Class-II DAHP synthetase family', NULL, 'DAHP_synth_2', NULL, NULL, 863, 8),
(30723, NULL, 'PF13385', NULL, NULL, 'Concanavalin A-like lectin/glucanases superfamily', NULL, 'Laminin_G_3', NULL, NULL, NULL, 8),
(30724, NULL, 'PF09551', NULL, NULL, 'Stage II sporulation protein R (spore_II_R)', NULL, 'Spore_II_R', NULL, NULL, 9300, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30725, NULL, 'PF05077', NULL, NULL, 'Protein of unknown function (DUF678)', NULL, 'DUF678', NULL, NULL, 1127, 8),
(30726, NULL, 'PF07699', NULL, NULL, 'Tyrosine-protein kinase ephrin type A/B receptor-like', NULL, 'Ephrin_rec_like', NULL, NULL, 10539, 8),
(30727, NULL, 'PF08664', NULL, NULL, 'YcbB domain', NULL, 'YcbB', NULL, NULL, 8082, 8),
(30728, NULL, 'PF09869', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2096)', NULL, 'DUF2096', NULL, NULL, 20600, 8),
(30729, NULL, 'PF11811', NULL, NULL, 'Domain of unknown function (DUF3331)', NULL, 'DUF3331', NULL, NULL, 19628, 8),
(30730, NULL, 'PF00393', NULL, NULL, '6-phosphogluconate dehydrogenase, C-terminal domain', NULL, '6PGD', NULL, NULL, 10253, 8),
(30731, NULL, 'PF07328', NULL, NULL, 'T-DNA border endonuclease VirD1', NULL, 'VirD1', NULL, NULL, 8110, 8),
(30732, NULL, 'PF00120', NULL, NULL, 'Glutamine synthetase, catalytic domain', NULL, 'Gln-synt_C', NULL, NULL, 7230, 8),
(30733, NULL, 'PF07260', NULL, NULL, 'Progressive ankylosis protein (ANKH)', NULL, 'ANKH', NULL, NULL, 14886, 8),
(30734, NULL, 'PF13671', NULL, NULL, 'AAA domain', NULL, 'AAA_33', NULL, NULL, NULL, 8),
(30735, NULL, 'PF09113', NULL, NULL, 'Peptide-N-glycosidase F, C terminal', NULL, 'N-glycanase_C', NULL, NULL, 10551, 8),
(30736, NULL, 'PF15293', NULL, NULL, 'Nuclear fragile X mental retardation-interacting protein 2', NULL, 'NUFIP2', NULL, NULL, 22798, 8),
(30737, NULL, 'PF13266', NULL, NULL, 'Protein of unknown function (DUF4057)', NULL, 'DUF4057', NULL, NULL, 23635, 8),
(30738, NULL, 'PF07424', NULL, NULL, 'TrbM', NULL, 'TrbM', NULL, NULL, 9092, 8),
(30739, NULL, 'PF01607', NULL, NULL, 'Chitin binding Peritrophin-A domain', NULL, 'CBM_14', NULL, NULL, 1890, 8),
(30740, NULL, 'PF03856', NULL, NULL, 'Beta-glucosidase (SUN family)', NULL, 'SUN', NULL, NULL, 1501, 8),
(30741, NULL, 'PF11279', NULL, NULL, 'Protein of unknown function (DUF3080)', NULL, 'DUF3080', NULL, NULL, 18137, 8),
(30742, NULL, 'PF13483', NULL, NULL, 'Beta-lactamase superfamily domain', NULL, 'Lactamase_B_3', NULL, NULL, NULL, 8),
(30743, NULL, 'PF16473', NULL, NULL, '3'' exoribonuclease, RNase T-like', NULL, 'DUF5051', NULL, NULL, 30534, 8),
(30744, NULL, 'PF00122', NULL, NULL, 'E1-E2 ATPase', NULL, 'E1-E2_ATPase', NULL, NULL, NULL, 8),
(30745, NULL, 'PF17932', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_24', NULL, NULL, 31766, 8),
(30746, NULL, 'PF07148', NULL, NULL, 'Maltose operon periplasmic protein precursor (MalM)', NULL, 'MalM', NULL, NULL, 11357, 8),
(30747, NULL, 'PF08244', NULL, NULL, 'Glycosyl hydrolases family 32 C terminal', NULL, 'Glyco_hydro_32C', NULL, NULL, 17631, 8),
(30748, NULL, 'PF10248', NULL, NULL, 'Myelodysplasia-myeloid leukemia factor 1-interacting protein', NULL, 'Mlf1IP', NULL, NULL, 15538, 8),
(30749, NULL, 'PF12495', NULL, NULL, 'Vegetative insecticide protein 3A N terminal', NULL, 'Vip3A_N', NULL, NULL, 21171, 8),
(30750, NULL, 'PF15868', NULL, NULL, 'Transcription activator MBF2', NULL, 'MBF2', NULL, NULL, 25222, 8),
(30751, NULL, 'PF08020', NULL, NULL, 'Protein of unknown function (DUF1706)', NULL, 'DUF1706', NULL, NULL, 8864, 8),
(30752, NULL, 'PF18644', NULL, NULL, 'Phage integrase SAM-like domain', NULL, 'Phage_int_SAM_6', NULL, NULL, 31042, 8),
(30753, NULL, 'PF19448', NULL, NULL, 'Family of unknown function (DUF5986)', NULL, 'DUF5986', NULL, NULL, 39120, 8),
(30754, NULL, 'PF14102', NULL, NULL, 'Capsule biosynthesis CapC', NULL, 'Caps_synth_CapC', NULL, NULL, 7656, 8),
(30755, NULL, 'PF08895', NULL, NULL, 'Domain of unknown function (DUF1840)', NULL, 'DUF1840', NULL, NULL, 7770, 8),
(30756, NULL, 'PF11171', NULL, NULL, 'Protein of unknown function (DUF2958)', NULL, 'DUF2958', NULL, NULL, 18487, 8),
(30757, NULL, 'PF16810', NULL, NULL, 'RXLR phytopathogen effector protein, Avirulence activity', NULL, 'RXLR', NULL, NULL, 22948, 8),
(30758, NULL, 'PF01365', NULL, NULL, 'RIH domain', NULL, 'RYDR_ITPR', NULL, NULL, 6909, 8),
(30759, NULL, 'PF20098', NULL, NULL, 'Family of unknown function (DUF6488)', NULL, 'DUF6488', NULL, NULL, 39514, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30760, NULL, 'PF12156', NULL, NULL, 'Putative metal-binding domain of cation transport ATPase', NULL, 'ATPase-cat_bd', NULL, NULL, 20950, 8),
(30761, NULL, 'PF03229', NULL, NULL, 'Alphavirus glycoprotein J', NULL, 'Alpha_GJ', NULL, NULL, 1587, 8),
(30762, NULL, 'PF11454', NULL, NULL, 'Protein of unknown function (DUF3016)', NULL, 'DUF3016', NULL, NULL, 18943, 8),
(30763, NULL, 'PF12430', NULL, NULL, 'Abscisic acid G-protein coupled receptor', NULL, 'ABA_GPCR', NULL, NULL, 24300, 8),
(30764, NULL, 'PF16350', NULL, NULL, 'FAD dependent oxidoreductase central domain', NULL, 'FAO_M', NULL, NULL, 23000, 8),
(30765, NULL, 'PF05052', NULL, NULL, 'MerE protein', NULL, 'MerE', NULL, NULL, 1292, 8),
(30766, NULL, 'PF06184', NULL, NULL, 'Potexvirus coat protein', NULL, 'Potex_coat', NULL, NULL, 9837, 8),
(30767, NULL, 'PF14583', NULL, NULL, 'Oligogalacturonate lyase', NULL, 'Pectate_lyase22', NULL, NULL, 25646, 8),
(30768, NULL, 'PF18730', NULL, NULL, 'Cthe_2314-like HEPN', NULL, 'HEPN_Cthe2314', NULL, NULL, 31531, 8),
(30769, NULL, 'PF19945', NULL, NULL, 'Family of unknown function (DUF6407)', NULL, 'DUF6407', NULL, NULL, 39788, 8),
(30770, NULL, 'PF04754', NULL, NULL, 'Putative transposase, YhgA-like', NULL, 'Transposase_31', NULL, NULL, 4235, 8),
(30771, NULL, 'PF12536', NULL, NULL, 'Patatin phospholipase', NULL, 'DUF3734', NULL, NULL, 15428, 8),
(30772, NULL, 'PF13509', NULL, NULL, 'S1 domain', NULL, 'S1_2', NULL, NULL, 29186, 8),
(30773, NULL, 'PF19960', NULL, NULL, 'Effector-associated domain 7', NULL, 'EAD7', NULL, NULL, 39599, 8),
(30774, NULL, 'PF15168', NULL, NULL, 'Triple QxxK/R motif-containing protein family', NULL, 'TRIQK', NULL, NULL, 22828, 8),
(30775, NULL, 'PF15469', NULL, NULL, 'Exocyst complex component Sec5', NULL, 'Sec5', NULL, NULL, 36180, 8),
(30776, NULL, 'PF09895', NULL, NULL, 'RecB-family nuclease (DUF2122)', NULL, 'DUF2122', NULL, NULL, 16921, 8),
(30777, NULL, 'PF10180', NULL, NULL, 'WKF domain', NULL, 'WKF', NULL, NULL, 15094, 8),
(30778, NULL, 'PF18932', NULL, NULL, 'Family of unknown function (DUF5681)', NULL, 'DUF5681', NULL, NULL, 36510, 8),
(30779, NULL, 'PF03264', NULL, NULL, 'NapC/NirT cytochrome c family, N-terminal region', NULL, 'Cytochrom_NNT', NULL, NULL, 7366, 8),
(30780, NULL, 'PF10997', NULL, NULL, 'Alternate to MurJ', NULL, 'Amj', NULL, NULL, 17982, 8),
(30781, NULL, 'PF13965', NULL, NULL, 'dsRNA-gated channel SID-1', NULL, 'SID-1_RNA_chan', NULL, NULL, 23718, 8),
(30782, NULL, 'PF19491', NULL, NULL, 'Family of unknown function (DUF6026)', NULL, 'DUF6026', NULL, NULL, 39017, 8),
(30783, NULL, 'PF02110', NULL, NULL, 'Hydroxyethylthiazole kinase family', NULL, 'HK', NULL, NULL, 6900, 8),
(30784, NULL, 'PF05493', NULL, NULL, 'ATP synthase subunit H', NULL, 'ATP_synt_H', NULL, NULL, 7519, 8),
(30785, NULL, 'PF01346', NULL, NULL, 'Domain amino terminal to FKBP-type peptidyl-prolyl isomerase', NULL, 'FKBP_N', NULL, NULL, 6629, 8),
(30786, NULL, 'PF09931', NULL, NULL, 'Uncharacterized conserved protein (DUF2163)', NULL, 'DUF2163', NULL, NULL, 19261, 8),
(30787, NULL, 'PF14568', NULL, NULL, 'SMI1-KNR4 cell-wall', NULL, 'SUKH_6', NULL, NULL, NULL, 8),
(30788, NULL, 'PF07106', NULL, NULL, 'TBPIP/Hop2 winged helix domain', NULL, 'TBPIP', NULL, NULL, 11423, 8),
(30789, NULL, 'PF08448', NULL, NULL, 'PAS fold', NULL, 'PAS_4', NULL, NULL, 12016, 8),
(30790, NULL, 'PF16920', NULL, NULL, 'Leucine rich repeat C-terminal motif', NULL, 'LRRCT_2', NULL, NULL, 26643, 8),
(30791, NULL, 'PF01576', NULL, NULL, 'Myosin tail', NULL, 'Myosin_tail_1', NULL, NULL, 6719, 8),
(30792, NULL, 'PF13921', NULL, NULL, 'Myb-like DNA-binding domain', NULL, 'Myb_DNA-bind_6', NULL, NULL, NULL, 8),
(30793, NULL, 'PF07434', NULL, NULL, 'CblD like pilus biogenesis initiator', NULL, 'CblD', NULL, NULL, 11843, 8),
(30794, NULL, 'PF06707', NULL, NULL, 'Protein of unknown function (DUF1194)', NULL, 'DUF1194', NULL, NULL, 8224, 8),
(30795, NULL, 'PF07020', NULL, NULL, 'Orthopoxvirus C10L protein', NULL, 'Orthopox_C10L', NULL, NULL, 12838, 8),
(30796, NULL, 'PF11807', NULL, NULL, 'Mycotoxin biosynthesis protein UstYa', NULL, 'UstYa', NULL, NULL, 19590, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30797, NULL, 'PF19355', NULL, NULL, 'Family of unknown function (DUF5932)', NULL, 'DUF5932', NULL, NULL, 39294, 8),
(30798, NULL, 'PF00488', NULL, NULL, 'MutS domain V', NULL, 'MutS_V', NULL, NULL, 4632, 8),
(30799, NULL, 'PF17302', NULL, NULL, 'Family of unknown function (DUF5351)', NULL, 'DUF5351', NULL, NULL, 34124, 8),
(30800, NULL, 'PF10411', NULL, NULL, 'Disulfide bond isomerase protein N-terminus', NULL, 'DsbC_N', NULL, NULL, 15376, 8),
(30801, NULL, 'PF05635', NULL, NULL, '23S rRNA-intervening sequence protein', NULL, '23S_rRNA_IVP', NULL, NULL, 10615, 8),
(30802, NULL, 'PF10807', NULL, NULL, 'Protein of unknown function (DUF2541)', NULL, 'DUF2541', NULL, NULL, 21320, 8),
(30803, NULL, 'PF18190', NULL, NULL, 'Polo-like Kinase 4 Polo Box 1', NULL, 'Plk4_PB1', NULL, NULL, 31760, 8),
(30804, NULL, 'PF20106', NULL, NULL, 'Family of unknown function (DUF6496)', NULL, 'DUF6496', NULL, NULL, 36909, 8),
(30805, NULL, 'PF14320', NULL, NULL, 'Phosphoprotein P region PNT disordered', NULL, 'Paramyxo_PNT', NULL, NULL, 19917, 8),
(30806, NULL, 'PF00593', NULL, NULL, 'TonB dependent receptor', NULL, 'TonB_dep_Rec', NULL, NULL, 5838, 8),
(30807, NULL, 'PF11922', NULL, NULL, 'Domain of unknown function (DUF3440)', NULL, 'DUF3440', NULL, NULL, 20019, 8),
(30808, NULL, 'PF19341', NULL, NULL, 'Beta-1,3-galactosyltransferase 2 N-terminus', NULL, 'B3GALT2_N', NULL, NULL, 38507, 8),
(30809, NULL, 'PF10334', NULL, NULL, 'Aromatic acid exporter family member 2', NULL, 'ArAE_2', NULL, NULL, 20060, 8),
(30810, NULL, 'PF09117', NULL, NULL, 'MiAMP1', NULL, 'MiAMP1', NULL, NULL, 10642, 8),
(30811, NULL, 'PF19138', NULL, NULL, 'Family of unknown function (DUF5821)', NULL, 'DUF5821', NULL, NULL, 36507, 8),
(30812, NULL, 'PF10493', NULL, NULL, 'Rough deal protein C-terminal region', NULL, 'Rod_C', NULL, NULL, 19046, 8),
(30813, NULL, 'PF00494', NULL, NULL, 'Squalene/phytoene synthase', NULL, 'SQS_PSY', NULL, NULL, 5299, 8),
(30814, NULL, 'PF07769', NULL, NULL, 'psiF repeat', NULL, 'PsiF_repeat', NULL, NULL, 10617, 8),
(30815, NULL, 'PF15647', NULL, NULL, 'Restriction endonuclease fold toxin 3', NULL, 'Tox-REase-3', NULL, NULL, 26437, 8),
(30816, NULL, 'PF11972', NULL, NULL, 'HTH DNA binding domain', NULL, 'HTH_13', NULL, NULL, 15203, 8),
(30817, NULL, 'PF09537', NULL, NULL, 'Domain of unknown function (DUF2383)', NULL, 'DUF2383', NULL, NULL, 16773, 8),
(30818, NULL, 'PF13301', NULL, NULL, 'Protein of unknown function (DUF4079)', NULL, 'DUF4079', NULL, NULL, 22602, 8),
(30819, NULL, 'PF00710', NULL, NULL, 'Asparaginase, N-terminal', NULL, 'Asparaginase', NULL, NULL, 26204, 8),
(30820, NULL, 'PF15045', NULL, NULL, 'Clathrin-binding box of Aftiphilin, vesicle trafficking', NULL, 'Clathrin_bdg', NULL, NULL, 29232, 8),
(30821, NULL, 'PF16342', NULL, NULL, 'Domain of unknown function (DUF4972)', NULL, 'DUF4972', NULL, NULL, 22896, 8),
(30822, NULL, 'PF15963', NULL, NULL, 'Myb DNA-binding like', NULL, 'Myb_DNA-bind_7', NULL, NULL, 36410, 8),
(30823, NULL, 'PF18940', NULL, NULL, 'Family of unknown function (DUF5687)', NULL, 'DUF5687', NULL, NULL, 36981, 8),
(30824, NULL, 'PF19776', NULL, NULL, 'Family of unknown function (DUF6262)', NULL, 'DUF6262', NULL, NULL, 39706, 8),
(30825, NULL, 'PF02538', NULL, NULL, 'Hydantoinase B/oxoprolinase', NULL, 'Hydantoinase_B', NULL, NULL, 1940, 8),
(30826, NULL, 'PF10661', NULL, NULL, 'WXG100 protein secretion system (Wss), protein EssA', NULL, 'EssA', NULL, NULL, 1996, 8),
(30827, NULL, 'PF09214', NULL, NULL, 'Bacteriophage Prd1, adsorption protein P2', NULL, 'Prd1-P2', NULL, NULL, 12844, 8),
(30828, NULL, 'PF00322', NULL, NULL, 'Endothelin family', NULL, 'Endothelin', NULL, NULL, 4359, 8),
(30829, NULL, 'PF05843', NULL, NULL, 'Suppressor of forked protein (Suf)', NULL, 'Suf', NULL, NULL, 14276, 8),
(30830, NULL, 'PF06109', NULL, NULL, 'Haemolysin E (HlyE)', NULL, 'HlyE', NULL, NULL, 25073, 8),
(30831, NULL, 'PF15251', NULL, NULL, 'Domain of unknown function (DUF4588)', NULL, 'DUF4588', NULL, NULL, 29157, 8),
(30832, NULL, 'PF20059', NULL, NULL, 'Domain of unknown function (DUF6458)', NULL, 'DUF6458', NULL, NULL, 38514, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30833, NULL, 'PF10291', NULL, NULL, 'Muniscin C-terminal mu homology domain', NULL, 'muHD', NULL, NULL, 19382, 8),
(30834, NULL, 'PF11783', NULL, NULL, 'Cytochrome c bacterial', NULL, 'Cytochrome_cB', NULL, NULL, 21754, 8),
(30835, NULL, 'PF05981', NULL, NULL, 'CreA protein', NULL, 'CreA', NULL, NULL, 7981, 8),
(30836, NULL, 'PF11068', NULL, NULL, 'YlqD protein', NULL, 'YlqD', NULL, NULL, 17735, 8),
(30837, NULL, 'PF10160', NULL, NULL, 'Predicted membrane protein', NULL, 'Tmemb_40', NULL, NULL, 19164, 8),
(30838, NULL, 'PF00729', NULL, NULL, 'Viral coat protein (S domain)', NULL, 'Viral_coat', NULL, NULL, 349, 8),
(30839, NULL, 'PF16770', NULL, NULL, 'Regulator of Ty1 transposition protein 107 BRCT domain', NULL, 'RTT107_BRCT_5', NULL, NULL, 7359, 8),
(30840, NULL, 'PF15723', NULL, NULL, 'Motility quorum-sensing regulator, toxin of MqsA', NULL, 'MqsR_toxin', NULL, NULL, 27246, 8),
(30841, NULL, 'PF12656', NULL, NULL, 'G-patch domain', NULL, 'G-patch_2', NULL, NULL, 22947, 8),
(30842, NULL, 'PF06440', NULL, NULL, 'DNA polymerase III, theta subunit', NULL, 'DNA_pol3_theta', NULL, NULL, 6019, 8),
(30843, NULL, 'PF19251', NULL, NULL, 'Family of unknown function (DUF5899)', NULL, 'DUF5899', NULL, NULL, 38356, 8),
(30844, NULL, 'PF03231', NULL, NULL, 'Bunyavirus non-structural protein NS-S', NULL, 'Bunya_NS-S_2', NULL, NULL, 1853, 8),
(30845, NULL, 'PF06014', NULL, NULL, 'Bacterial protein of unknown function (DUF910)', NULL, 'DUF910', NULL, NULL, 13892, 8),
(30846, NULL, 'PF08062', NULL, NULL, 'P120R (NUC006) repeat', NULL, 'P120R', NULL, NULL, 9682, 8),
(30847, NULL, 'PF09317', NULL, NULL, 'Domain of unknown function (DUF1974)', NULL, 'DUF1974', NULL, NULL, 14043, 8),
(30848, NULL, 'PF10457', NULL, NULL, 'Cholesterol-capturing domain', NULL, 'MENTAL', NULL, NULL, 18506, 8),
(30849, NULL, 'PF11091', NULL, NULL, 'Tail-tube assembly protein', NULL, 'T4_tail_cap', NULL, NULL, 22773, 8),
(30850, NULL, 'PF12512', NULL, NULL, 'Protein of unknown function (DUF3717)', NULL, 'DUF3717', NULL, NULL, 21208, 8),
(30851, NULL, 'PF17594', NULL, NULL, 'Phage Tail fiber assembly helper gene product 57', NULL, 'GP57', NULL, NULL, 13595, 8),
(30852, NULL, 'PF03902', NULL, NULL, 'Gal4-like dimerisation domain', NULL, 'Gal4_dimer', NULL, NULL, 2639, 8),
(30853, NULL, 'PF15062', NULL, NULL, 'Haemopoietic lineage transmembrane helix', NULL, 'ARL6IP6', NULL, NULL, 28065, 8),
(30854, NULL, 'PF10367', NULL, NULL, 'Vacuolar sorting protein 39 domain 2', NULL, 'Vps39_2', NULL, NULL, 17730, 8),
(30855, NULL, 'PF16742', NULL, NULL, 'N-terminus of interleukin 17 receptor D', NULL, 'IL17R_D_N', NULL, NULL, 23854, 8),
(30856, NULL, 'PF00373', NULL, NULL, 'FERM central domain', NULL, 'FERM_M', NULL, NULL, 21158, 8),
(30857, NULL, 'PF07565', NULL, NULL, 'Band 3 cytoplasmic domain', NULL, 'Band_3_cyto', NULL, NULL, 8973, 8),
(30858, NULL, 'PF05699', NULL, NULL, 'hAT family C-terminal dimerisation region', NULL, 'Dimer_Tnp_hAT', NULL, NULL, 7872, 8),
(30859, NULL, 'PF02905', NULL, NULL, 'Epstein Barr virus nuclear antigen-1, DNA-binding domain', NULL, 'EBV-NA1', NULL, NULL, 2916, 8),
(30860, NULL, 'PF01655', NULL, NULL, 'Ribosomal protein L32', NULL, 'Ribosomal_L32e', NULL, NULL, 6461, 8),
(30861, NULL, 'PF11935', NULL, NULL, 'Symplekin/PTA1 N-terminal', NULL, 'SYMPK_PTA1_N', NULL, NULL, 29274, 8),
(30862, NULL, 'PF15919', NULL, NULL, 'HicB_like antitoxin of bacterial toxin-antitoxin system', NULL, 'HicB_lk_antitox', NULL, NULL, 21567, 8),
(30863, NULL, 'PF17186', NULL, NULL, 'Lipocalin-like domain', NULL, 'Lipocalin_9', NULL, NULL, NULL, 8),
(30864, NULL, 'PF16208', NULL, NULL, 'Keratin type II head', NULL, 'Keratin_2_head', NULL, NULL, 25439, 8),
(30865, NULL, 'PF17953', NULL, NULL, 'CRISPR Csm4 C-terminal domain', NULL, 'Csm4_C', NULL, NULL, 31449, 8),
(30866, NULL, 'PF06658', NULL, NULL, 'Protein of unknown function (DUF1168)', NULL, 'DUF1168', NULL, NULL, 10029, 8),
(30867, NULL, 'PF07272', NULL, NULL, 'Orthoreovirus P17 protein', NULL, 'Orthoreo_P17', NULL, NULL, 14908, 8),
(30868, NULL, 'PF09339', NULL, NULL, 'IclR helix-turn-helix domain', NULL, 'HTH_IclR', NULL, NULL, 818, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30869, NULL, 'PF13866', NULL, NULL, 'SAP30 zinc-finger', NULL, 'zf-SAP30', NULL, NULL, 25831, 8),
(30870, NULL, 'PF08730', NULL, NULL, 'Rad33', NULL, 'Rad33', NULL, NULL, 11717, 8),
(30871, NULL, 'PF06259', NULL, NULL, 'Alpha/beta hydrolase', NULL, 'Abhydrolase_8', NULL, NULL, 9858, 8),
(30872, NULL, 'PF01313', NULL, NULL, 'Bacterial export proteins, family 3', NULL, 'Bac_export_3', NULL, NULL, 5342, 8),
(30873, NULL, 'PF03116', NULL, NULL, 'NQR2, RnfD, RnfE family', NULL, 'NQR2_RnfD_RnfE', NULL, NULL, 4673, 8),
(30874, NULL, 'PF05084', NULL, NULL, 'Granule antigen protein (GRA6)', NULL, 'GRA6', NULL, NULL, 6035, 8),
(30875, NULL, 'PF07356', NULL, NULL, 'Protein of unknown function (DUF1481)', NULL, 'DUF1481', NULL, NULL, 11804, 8),
(30876, NULL, 'PF13914', NULL, NULL, 'Phostensin PP1-binding and SH3-binding region', NULL, 'Phostensin', NULL, NULL, 23064, 8),
(30877, NULL, 'PF02364', NULL, NULL, '1,3-beta-glucan synthase component', NULL, 'Glucan_synthase', NULL, NULL, 5020, 8),
(30878, NULL, 'PF11023', NULL, NULL, 'Zinc-ribbon containing domain', NULL, 'DUF2614', NULL, NULL, 14700, 8),
(30879, NULL, 'PF17636', NULL, NULL, 'Viral Unique Long protein 21a', NULL, 'UL21a', NULL, NULL, 31510, 8),
(30880, NULL, 'PF15269', NULL, NULL, 'Zinc-finger', NULL, 'zf-C2H2_7', NULL, NULL, 35444, 8),
(30881, NULL, 'PF04001', NULL, NULL, 'Transcription factor Vhr1', NULL, 'Vhr1', NULL, NULL, 28, 8),
(30882, NULL, 'PF17892', NULL, NULL, 'Cadherin-like domain', NULL, 'Cadherin_5', NULL, NULL, 32897, 8),
(30883, NULL, 'PF09835', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2062)', NULL, 'DUF2062', NULL, NULL, 16552, 8),
(30884, NULL, 'PF12457', NULL, NULL, 'Tuftelin interacting protein N terminal', NULL, 'TIP_N', NULL, NULL, 21082, 8),
(30885, NULL, 'PF14721', NULL, NULL, 'Apoptosis-inducing factor, mitochondrion-associated, C-term', NULL, 'AIF_C', NULL, NULL, 21526, 8),
(30886, NULL, 'PF16542', NULL, NULL, 'PNKP adenylyltransferase domain, ligase domain', NULL, 'PNKP_ligase', NULL, NULL, 26673, 8),
(30887, NULL, 'PF19919', NULL, NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX3', NULL, 'bpX3', NULL, NULL, 39663, 8),
(30888, NULL, 'PF19751', NULL, NULL, 'Family of unknown function (DUF6238)', NULL, 'DUF6238', NULL, NULL, 39760, 8),
(30889, NULL, 'PF01988', NULL, NULL, 'VIT family', NULL, 'VIT1', NULL, NULL, 849, 8),
(30890, NULL, 'PF13549', NULL, NULL, 'ATP-grasp domain', NULL, 'ATP-grasp_5', NULL, NULL, NULL, 8),
(30891, NULL, 'PF18107', NULL, NULL, 'Fission yeast centromere protein N-terminal domain', NULL, 'HTH_ABP1_N', NULL, NULL, 31498, 8),
(30892, NULL, 'PF15727', NULL, NULL, 'Domain of unknown function (DUF4678)', NULL, 'DUF4678', NULL, NULL, 27512, 8),
(30893, NULL, 'PF19382', NULL, NULL, 'Family of unknown function (DUF5957)', NULL, 'DUF5957', NULL, NULL, 39399, 8),
(30894, NULL, 'PF19195', NULL, NULL, 'Family of unknown function (DUF5870)', NULL, 'DUF5870', NULL, NULL, 38307, 8),
(30895, NULL, 'PF11890', NULL, NULL, 'Domain of unknown function (DUF3410)', NULL, 'DUF3410', NULL, NULL, 23884, 8),
(30896, NULL, 'PF07768', NULL, NULL, 'PVL ORF-50-like family', NULL, 'PVL_ORF50', NULL, NULL, 10809, 8),
(30897, NULL, 'PF01947', NULL, NULL, 'p-hydroxybenzoic acid synthase', NULL, 'DUF98', NULL, NULL, 4954, 8),
(30898, NULL, 'PF14257', NULL, NULL, 'Domain of unknown function (DUF4349)', NULL, 'DUF4349', NULL, NULL, 26095, 8),
(30899, NULL, 'PF13759', NULL, NULL, 'Putative 2OG-Fe(II) oxygenase', NULL, '2OG-FeII_Oxy_5', NULL, NULL, 13476, 8),
(30900, NULL, 'PF00905', NULL, NULL, 'Penicillin binding protein transpeptidase domain', NULL, 'Transpeptidase', NULL, NULL, 3330, 8),
(30901, NULL, 'PF16163', NULL, NULL, 'Domain of unknown function (DUF4869)', NULL, 'DUF4869', NULL, NULL, 23183, 8),
(30902, NULL, 'PF10036', NULL, NULL, 'RNA transcription, translation and transport factor protein', NULL, 'RLL', NULL, NULL, 20205, 8),
(30903, NULL, 'PF05066', NULL, NULL, 'HB1, ASXL, restriction endonuclease HTH domain', NULL, 'HARE-HTH', NULL, NULL, 1200, 8),
(30904, NULL, 'PF15044', NULL, NULL, 'Mitochondrial function, CLU-N-term', NULL, 'CLU_N', NULL, NULL, 28579, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30905, NULL, 'PF03031', NULL, NULL, 'NLI interacting factor-like phosphatase', NULL, 'NIF', NULL, NULL, 4834, 8),
(30906, NULL, 'PF01743', NULL, NULL, 'Poly A polymerase head domain', NULL, 'PolyA_pol', NULL, NULL, 2848, 8),
(30907, NULL, 'PF18366', NULL, NULL, 'Zic proteins zinc finger domain', NULL, 'zf_ZIC', NULL, NULL, 32267, 8),
(30908, NULL, 'PF03460', NULL, NULL, 'Nitrite/Sulfite reductase ferredoxin-like half domain', NULL, 'NIR_SIR_ferr', NULL, NULL, 10882, 8),
(30909, NULL, 'PF10225', NULL, NULL, 'NEMP family', NULL, 'NEMP', NULL, NULL, 15959, 8),
(30910, NULL, 'PF12125', NULL, NULL, 'D domain of beta-TrCP', NULL, 'Beta-TrCP_D', NULL, NULL, 20651, 8),
(30911, NULL, 'PF11179', NULL, NULL, 'Protein of unknown function (DUF2967)', NULL, 'DUF2967', NULL, NULL, 18158, 8),
(30912, NULL, 'PF18436', NULL, NULL, 'Helical box domain of E3 ubiquitin-protein ligase HECW1', NULL, 'HECW1_helix', NULL, NULL, 34180, 8),
(30913, NULL, 'PF03875', NULL, NULL, 'Statherin', NULL, 'Statherin', NULL, NULL, 1937, 8),
(30914, NULL, 'PF10333', NULL, NULL, 'GPI-Mannosyltransferase II co-activator', NULL, 'Pga1', NULL, NULL, 17892, 8),
(30915, NULL, 'PF00050', NULL, NULL, 'Kazal-type serine protease inhibitor domain', NULL, 'Kazal_1', NULL, NULL, 6107, 8),
(30916, NULL, 'PF13621', NULL, NULL, 'Cupin-like domain', NULL, 'Cupin_8', NULL, NULL, 32954, 8),
(30917, NULL, 'PF05003', NULL, NULL, 'Protein of unknown function (DUF668)', NULL, 'DUF668', NULL, NULL, 1413, 8),
(30918, NULL, 'PF09903', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2130)', NULL, 'DUF2130', NULL, NULL, 19420, 8),
(30919, NULL, 'PF02108', NULL, NULL, 'Flagellar assembly protein FliH', NULL, 'FliH', NULL, NULL, 16575, 8),
(30920, NULL, 'PF10947', NULL, NULL, 'Protein of unknown function (DUF2628)', NULL, 'DUF2628', NULL, NULL, 22904, 8),
(30921, NULL, 'PF02439', NULL, NULL, 'Adenovirus E3 region protein CR2', NULL, 'Adeno_E3_CR2', NULL, NULL, 6226, 8),
(30922, NULL, 'PF11793', NULL, NULL, 'FANCL C-terminal domain', NULL, 'FANCL_C', NULL, NULL, 26150, 8),
(30923, NULL, 'PF01883', NULL, NULL, 'Iron-sulfur cluster assembly protein', NULL, 'FeS_assembly_P', NULL, NULL, 3563, 8),
(30924, NULL, 'PF02637', NULL, NULL, 'GatB domain', NULL, 'GatB_Yqey', NULL, NULL, 16501, 8),
(30925, NULL, 'PF14202', NULL, NULL, 'Transposon-encoded protein TnpW', NULL, 'TnpW', NULL, NULL, 27880, 8),
(30926, NULL, 'PF12659', NULL, NULL, 'Telomere capping C-terminal wHTH', NULL, 'Stn1_C', NULL, NULL, 20156, 8),
(30927, NULL, 'PF03403', NULL, NULL, 'Platelet-activating factor acetylhydrolase, isoform II', NULL, 'PAF-AH_p_II', NULL, NULL, 2236, 8),
(30928, NULL, 'PF05453', NULL, NULL, 'BmTXKS1/BmP02 toxin family', NULL, 'Toxin_6', NULL, NULL, 7804, 8),
(30929, NULL, 'PF13362', NULL, NULL, 'Toprim domain', NULL, 'Toprim_3', NULL, NULL, 11261, 8),
(30930, NULL, 'PF07199', NULL, NULL, 'Protein of unknown function (DUF1411)', NULL, 'DUF1411', NULL, NULL, 14342, 8),
(30931, NULL, 'PF16823', NULL, NULL, 'Atypical PilZ domain, cyclic di-GMP receptor', NULL, 'PilZ_2', NULL, NULL, 27510, 8),
(30932, NULL, 'PF18795', NULL, NULL, 'DNA mismatch repair protein HSM3, N terminal domain', NULL, 'HSM3_N', NULL, NULL, 32239, 8),
(30933, NULL, 'PF01503', NULL, NULL, 'Phosphoribosyl-ATP pyrophosphohydrolase', NULL, 'PRA-PH', NULL, NULL, 15051, 8),
(30934, NULL, 'PF05825', NULL, NULL, 'Beta-microseminoprotein (PSP-94)', NULL, 'PSP94', NULL, NULL, 12041, 8),
(30935, NULL, 'PF04220', NULL, NULL, 'Der GTPase activator (YihI)', NULL, 'YihI', NULL, NULL, 5255, 8),
(30936, NULL, 'PF00268', NULL, NULL, 'Ribonucleotide reductase, small chain', NULL, 'Ribonuc_red_sm', NULL, NULL, 348, 8),
(30937, NULL, 'PF03677', NULL, NULL, 'Uncharacterised protein family (UPF0137)', NULL, 'UPF0137', NULL, NULL, 6394, 8),
(30938, NULL, 'PF19800', NULL, NULL, 'Family of unknown function (DUF6283)', NULL, 'DUF6283', NULL, NULL, 39503, 8),
(30939, NULL, 'PF09208', NULL, NULL, 'Restriction endonuclease MspI', NULL, 'Endonuc-MspI', NULL, NULL, 12837, 8),
(30940, NULL, 'PF12845', NULL, NULL, 'TBD domain', NULL, 'TBD', NULL, NULL, 25492, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30941, NULL, 'PF06508', NULL, NULL, 'Queuosine biosynthesis protein QueC', NULL, 'QueC', NULL, NULL, 16742, 8),
(30942, NULL, 'PF00874', NULL, NULL, 'PRD domain', NULL, 'PRD', NULL, NULL, 8346, 8),
(30943, NULL, 'PF14520', NULL, NULL, 'Helix-hairpin-helix domain', NULL, 'HHH_5', NULL, NULL, NULL, 8),
(30944, NULL, 'PF15569', NULL, NULL, 'Immunity protein 40', NULL, 'Imm40', NULL, NULL, 26267, 8),
(30945, NULL, 'PF05662', NULL, NULL, 'Coiled stalk of trimeric autotransporter adhesin', NULL, 'YadA_stalk', NULL, NULL, 14417, 8),
(30946, NULL, 'PF10667', NULL, NULL, 'Protein of unknown function (DUF2486)', NULL, 'DUF2486', NULL, NULL, 15250, 8),
(30947, NULL, 'PF16551', NULL, NULL, 'Putative nuclear localisation signal of quaking', NULL, 'Quaking_NLS', NULL, NULL, 28944, 8),
(30948, NULL, 'PF05695', NULL, NULL, 'Plant protein of unknown function (DUF825)', NULL, 'DUF825', NULL, NULL, 13073, 8),
(30949, NULL, 'PF14067', NULL, NULL, 'LssY C-terminus', NULL, 'LssY_C', NULL, NULL, 24169, 8),
(30950, NULL, 'PF11429', NULL, NULL, 'Colicin D', NULL, 'Colicin_D', NULL, NULL, 23342, 8),
(30951, NULL, 'PF14948', NULL, NULL, 'RESP18 domain', NULL, 'RESP18', NULL, NULL, 24230, 8),
(30952, NULL, 'PF17432', NULL, NULL, 'Domain of unknown function (DUF3458_C) ARM repeats', NULL, 'DUF3458_C', NULL, NULL, 28594, 8),
(30953, NULL, 'PF00794', NULL, NULL, 'PI3-kinase family, ras-binding domain', NULL, 'PI3K_rbd', NULL, NULL, 122, 8),
(30954, NULL, 'PF17488', NULL, NULL, 'Herpesvirus glycoprotein H C-terminal domain', NULL, 'Herpes_glycoH_C', NULL, NULL, 9581, 8),
(30955, NULL, 'PF02069', NULL, NULL, 'Prokaryotic metallothionein', NULL, 'Metallothio_Pro', NULL, NULL, 6790, 8),
(30956, NULL, 'PF11181', NULL, NULL, 'Heat induced stress protein YflT', NULL, 'YflT', NULL, NULL, 25869, 8),
(30957, NULL, 'PF03910', NULL, NULL, 'Adenovirus minor core protein PV', NULL, 'Adeno_PV', NULL, NULL, 2549, 8),
(30958, NULL, 'PF15300', NULL, NULL, 'INTS6/SAGE1/DDX26B/CT45 C-terminus', NULL, 'INT_SG_DDX_CT_C', NULL, NULL, 25832, 8),
(30959, NULL, 'PF06779', NULL, NULL, 'Uncharacterised MFS-type transporter YbfB', NULL, 'MFS_4', NULL, NULL, 9326, 8),
(30960, NULL, 'PF17706', NULL, NULL, 'Family of unknown function (DUF5552)', NULL, 'DUF5552', NULL, NULL, 32085, 8),
(30961, NULL, 'PF10831', NULL, NULL, 'Protein of unknown function (DUF2556)', NULL, 'DUF2556', NULL, NULL, 16544, 8),
(30962, NULL, 'PF08486', NULL, NULL, 'Stage II sporulation protein', NULL, 'SpoIID', NULL, NULL, 13801, 8),
(30963, NULL, 'PF19373', NULL, NULL, 'Family of unknown function (DUF5948)', NULL, 'DUF5948', NULL, NULL, 39261, 8),
(30964, NULL, 'PF19106', NULL, NULL, 'Family of unknown function (DUF5793)', NULL, 'DUF5793', NULL, NULL, 38406, 8),
(30965, NULL, 'PF19856', NULL, NULL, 'Family of unknown function (DUF6331)', NULL, 'DUF6331', NULL, NULL, 39561, 8),
(30966, NULL, 'PF15754', NULL, NULL, 'Sperm equatorial segment protein 1', NULL, 'SPESP1', NULL, NULL, 27993, 8),
(30967, NULL, 'PF12097', NULL, NULL, 'Protein of unknown function (DUF3573)', NULL, 'DUF3573', NULL, NULL, 20579, 8),
(30968, NULL, 'PF20017', NULL, NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 15', NULL, 'VMAP-M15', NULL, NULL, NULL, 8),
(30969, NULL, 'PF18668', NULL, NULL, 'Tail spike TSP1/Gp66 receptor binding N-terminal domain', NULL, 'Tail_spike_N', NULL, NULL, 31033, 8),
(30970, NULL, 'PF06241', NULL, NULL, 'Castor and Pollux, part of voltage-gated ion channel', NULL, 'Castor_Poll_mid', NULL, NULL, 9582, 8),
(30971, NULL, 'PF04027', NULL, NULL, 'Domain of unknown function (DUF371)', NULL, 'DUF371', NULL, NULL, 474, 8),
(30972, NULL, 'PF10608', NULL, NULL, 'Polyubiquitination (PEST) N-terminal domain of MAGUK', NULL, 'MAGUK_N_PEST', NULL, NULL, 20165, 8),
(30973, NULL, 'PF09778', NULL, NULL, 'Guanylylate cyclase', NULL, 'Guanylate_cyc_2', NULL, NULL, 16418, 8),
(30974, NULL, 'PF11547', NULL, NULL, 'E3 ubiquitin ligase EDD', NULL, 'E3_UbLigase_EDD', NULL, NULL, 1347, 8),
(30975, NULL, 'PF01190', NULL, NULL, 'Pollen protein Ole e 1 like', NULL, 'Pollen_Ole_e_1', NULL, NULL, NULL, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(30976, NULL, 'PF11983', NULL, NULL, 'Membrane-attachment and polymerisation-promoting switch', NULL, 'DUF3484', NULL, NULL, 20333, 8),
(30977, NULL, 'PF06819', NULL, NULL, 'Archaeal Peptidase A24 C-terminal Domain', NULL, 'Arc_PepC', NULL, NULL, 11334, 8),
(30978, NULL, 'PF12107', NULL, NULL, 'Plasminogen (Pg) ligand in fibrinolytic pathway', NULL, 'VEK-30', NULL, NULL, 20547, 8),
(30979, NULL, 'PF04530', NULL, NULL, 'Viral Beta C/D like family', NULL, 'Viral_Beta_CD', NULL, NULL, 2811, 8),
(30980, NULL, 'PF08808', NULL, NULL, 'RES domain', NULL, 'RES', NULL, NULL, 13107, 8),
(30981, NULL, 'PF12986', NULL, NULL, 'Domain of unknown function (DUF3870)', NULL, 'DUF3870', NULL, NULL, 1030, 8),
(30982, NULL, 'PF05092', NULL, NULL, 'Per os infectivity', NULL, 'PIF', NULL, NULL, 2325, 8),
(30983, NULL, 'PF07892', NULL, NULL, 'Protein of unknown function (DUF1667)', NULL, 'DUF1667', NULL, NULL, 14648, 8),
(30984, NULL, 'PF15826', NULL, NULL, 'Bcl-2-binding component 3, p53 upregulated modulator of apoptosis', NULL, 'PUMA', NULL, NULL, 28835, 8),
(30985, NULL, 'PF12872', NULL, NULL, 'OST-HTH/LOTUS domain', NULL, 'OST-HTH', NULL, NULL, 24322, 8),
(30986, NULL, 'PF06206', NULL, NULL, 'CpeT/CpcT family (DUF1001)', NULL, 'CpeT', NULL, NULL, 9507, 8),
(30987, NULL, 'PF19004', NULL, NULL, 'Family of unknown function (DUF5733)', NULL, 'DUF5733', NULL, NULL, 37795, 8),
(30988, NULL, 'PF13256', NULL, NULL, 'Domain of unknown function (DUF4047)', NULL, 'DUF4047', NULL, NULL, 23905, 8),
(30989, NULL, 'PF15031', NULL, NULL, 'Domain of unknown function (DUF4528)', NULL, 'DUF4528', NULL, NULL, 22268, 8),
(30990, NULL, 'PF15971', NULL, NULL, 'DolP-mannose mannosyltransferase', NULL, 'Mannosyl_trans4', NULL, NULL, 27423, 8),
(30991, NULL, 'PF18776', NULL, NULL, 'Hexapeptide repeat including loop', NULL, 'Hexapep_loop', NULL, NULL, 30740, 8),
(30992, NULL, 'PF14481', NULL, NULL, 'Type 4 fimbrial biogenesis protein PilY2', NULL, 'Fimbrial_PilY2', NULL, NULL, 24286, 8),
(30993, NULL, 'PF13708', NULL, NULL, 'Domain of unknown function (DUF4942)', NULL, 'DUF4942', NULL, NULL, 22868, 8),
(30994, NULL, 'PF10339', NULL, NULL, 'Yeast-specific zinc responsive', NULL, 'Vel1p', NULL, NULL, 17979, 8),
(30995, NULL, 'PF02763', NULL, NULL, 'Diphtheria toxin, C domain', NULL, 'Diphtheria_C', NULL, NULL, 21043, 8),
(30996, NULL, 'PF06150', NULL, NULL, 'ChaB', NULL, 'ChaB', NULL, NULL, 14876, 8),
(30997, NULL, 'PF15696', NULL, NULL, 'RAD51 interacting motif', NULL, 'RAD51_interact', NULL, NULL, 27829, 8),
(30998, NULL, 'PF02405', NULL, NULL, 'Permease MlaE', NULL, 'MlaE', NULL, NULL, 22606, 8),
(30999, NULL, 'PF12191', NULL, NULL, 'Tumour necrosis factor receptor stn_TNFRSF12A_TNFR domain', NULL, 'stn_TNFRSF12A', NULL, NULL, 15703, 8),
(31000, NULL, 'PF10267', NULL, NULL, 'Predicted transmembrane and coiled-coil 2 protein', NULL, 'Tmemb_cc2', NULL, NULL, 16977, 8),
(31001, NULL, 'PF04049', NULL, NULL, 'Anaphase promoting complex subunit 8 / Cdc23', NULL, 'ANAPC8', NULL, NULL, 1185, 8),
(31002, NULL, 'PF13180', NULL, NULL, 'PDZ domain', NULL, 'PDZ_2', NULL, NULL, 3345, 8),
(31003, NULL, 'PF10876', NULL, NULL, 'Phage tail assembly chaperone protein, TAC', NULL, 'Phage_TAC_9', NULL, NULL, 14555, 8),
(31004, NULL, 'PF15586', NULL, NULL, 'Immunity protein 8', NULL, 'Imm8', NULL, NULL, 26478, 8),
(31005, NULL, 'PF08609', NULL, NULL, 'Nucleotide exchange factor Fes1', NULL, 'Fes1', NULL, NULL, 14216, 8),
(31006, NULL, 'PF18957', NULL, NULL, 'Long Rib domain', NULL, 'RibLong', NULL, NULL, NULL, 8),
(31007, NULL, 'PF01363', NULL, NULL, 'FYVE zinc finger', NULL, 'FYVE', NULL, NULL, 790, 8),
(31008, NULL, 'PF19484', NULL, NULL, 'Family of unknown function (DUF6020)', NULL, 'DUF6020', NULL, NULL, 39322, 8),
(31009, NULL, 'PF02660', NULL, NULL, 'Glycerol-3-phosphate acyltransferase', NULL, 'G3P_acyltransf', NULL, NULL, 6465, 8),
(31010, NULL, 'PF07349', NULL, NULL, 'Protein of unknown function (DUF1478)', NULL, 'DUF1478', NULL, NULL, 8050, 8),
(31011, NULL, 'PF01279', NULL, NULL, 'Parathyroid hormone family', NULL, 'Parathyroid', NULL, NULL, 6358, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31012, NULL, 'PF10828', NULL, NULL, 'Protein of unknown function (DUF2570)', NULL, 'DUF2570', NULL, NULL, 16741, 8),
(31013, NULL, 'PF17621', NULL, NULL, 'Family of unknown function (DUF5508)', NULL, 'DUF5508', NULL, NULL, 17464, 8),
(31014, NULL, 'PF05467', NULL, NULL, 'Herpesvirus glycoprotein U47', NULL, 'Herpes_U47', NULL, NULL, 14913, 8),
(31015, NULL, 'PF18921', NULL, NULL, 'Cyanophycin synthase-like N-terminal domain', NULL, 'Cyanophycin_syn', NULL, NULL, 38288, 8),
(31016, NULL, 'PF11733', NULL, NULL, 'Non-capsid protein NP1', NULL, 'NP1-WLL', NULL, NULL, 15286, 8),
(31017, NULL, 'PF12586', NULL, NULL, 'Protein of unknown function (DUF3760)', NULL, 'DUF3760', NULL, NULL, 21089, 8),
(31018, NULL, 'PF16885', NULL, NULL, 'Voltage-gated calcium channel subunit alpha, C-term', NULL, 'CAC1F_C', NULL, NULL, 26255, 8),
(31019, NULL, 'PF13225', NULL, NULL, 'Beta-carotene isomerase D27-like, C-terminal', NULL, 'D27-like_C', NULL, NULL, 23862, 8),
(31020, NULL, 'PF01244', NULL, NULL, 'Membrane dipeptidase (Peptidase family M19)', NULL, 'Peptidase_M19', NULL, NULL, 8848, 8),
(31021, NULL, 'PF17171', NULL, NULL, 'Glutathione S-transferase, C-terminal domain', NULL, 'GST_C_6', NULL, NULL, 30616, 8),
(31022, NULL, 'PF19122', NULL, NULL, 'Family of unknown function (DUF5806)', NULL, 'DUF5806', NULL, NULL, 38444, 8),
(31023, NULL, 'PF19682', NULL, NULL, 'Family of unknown function (DUF6184)', NULL, 'DUF6184', NULL, NULL, 39574, 8),
(31024, NULL, 'PF04176', NULL, NULL, 'TIP41-like family', NULL, 'TIP41', NULL, NULL, 4792, 8),
(31025, NULL, 'PF11052', NULL, NULL, 'Trans-sialidase of Trypanosoma hydrophobic C-terminal', NULL, 'Tr-sialidase_C', NULL, NULL, 17602, 8),
(31026, NULL, 'PF03079', NULL, NULL, 'ARD/ARD'' family', NULL, 'ARD', NULL, NULL, 4697, 8),
(31027, NULL, 'PF12401', NULL, NULL, 'Protein of unknown function (DUF3662)', NULL, 'DUF3662', NULL, NULL, 21383, 8),
(31028, NULL, 'PF18013', NULL, NULL, 'Phage tail lysozyme', NULL, 'Phage_lysozyme2', NULL, NULL, 31606, 8),
(31029, NULL, 'PF16680', NULL, NULL, 'T-cell surface glycoprotein CD3 delta chain', NULL, 'Ig_4', NULL, NULL, 26911, 8),
(31030, NULL, 'PF17395', NULL, NULL, 'Family of unknown function (DUF5403)', NULL, 'DUF5403', NULL, NULL, 33045, 8),
(31031, NULL, 'PF03471', NULL, NULL, 'Transporter associated domain', NULL, 'CorC_HlyC', NULL, NULL, 4827, 8),
(31032, NULL, 'PF07983', NULL, NULL, 'X8 domain', NULL, 'X8', NULL, NULL, 8307, 8),
(31033, NULL, 'PF12877', NULL, NULL, 'Domain of unknown function (DUF3827)', NULL, 'DUF3827', NULL, NULL, 28962, 8),
(31034, NULL, 'PF14097', NULL, NULL, 'Stage V sporulation protein AE1', NULL, 'SpoVAE', NULL, NULL, 24015, 8),
(31035, NULL, 'PF02639', NULL, NULL, 'Uncharacterized BCR, YaiI/YqxD family COG1671', NULL, 'DUF188', NULL, NULL, 6284, 8),
(31036, NULL, 'PF02210', NULL, NULL, 'Laminin G domain', NULL, 'Laminin_G_2', NULL, NULL, 3412, 8),
(31037, NULL, 'PF07784', NULL, NULL, 'Protein of unknown function (DUF1622)', NULL, 'DUF1622', NULL, NULL, 13649, 8),
(31038, NULL, 'PF14177', NULL, NULL, 'YkyB-like protein', NULL, 'YkyB', NULL, NULL, 25408, 8),
(31039, NULL, 'PF15514', NULL, NULL, 'Restriction endonuclease ThaI', NULL, 'ThaI', NULL, NULL, 25447, 8),
(31040, NULL, 'PF14023', NULL, NULL, 'Protein of unknown function (DUF4239)', NULL, 'DUF4239', NULL, NULL, 22523, 8),
(31041, NULL, 'PF08171', NULL, NULL, 'Mad3/BUB1 homology region 2', NULL, 'Mad3_BUB1_II', NULL, NULL, 9614, 8),
(31042, NULL, 'PF08801', NULL, NULL, 'Nup133 N terminal like', NULL, 'Nucleoporin_N', NULL, NULL, 13204, 8),
(31043, NULL, 'PF18134', NULL, NULL, 'Adenylyl/Guanylyl and SMODS C-terminal sensor domain', NULL, 'AGS_C', NULL, NULL, 29958, 8),
(31044, NULL, 'PF16465', NULL, NULL, 'Domain of unknown function (DUF5046)', NULL, 'DUF5046', NULL, NULL, 22413, 8),
(31045, NULL, 'PF05605', NULL, NULL, 'Drought induced 19 protein (Di19), zinc-binding', NULL, 'zf-Di19', NULL, NULL, 14390, 8),
(31046, NULL, 'PF07833', NULL, NULL, 'Copper amine oxidase N-terminal domain', NULL, 'Cu_amine_oxidN1', NULL, NULL, 12573, 8),
(31047, NULL, 'PF08423', NULL, NULL, 'Rad51', NULL, 'Rad51', NULL, NULL, 11213, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31048, NULL, 'PF01790', NULL, NULL, 'Prolipoprotein diacylglyceryl transferase', NULL, 'LGT', NULL, NULL, 3221, 8),
(31049, NULL, 'PF01487', NULL, NULL, 'Type I 3-dehydroquinase', NULL, 'DHquinase_I', NULL, NULL, 6674, 8),
(31050, NULL, 'PF15731', NULL, NULL, 'Antitoxin component of bacterial toxin-antitoxin system, MqsA', NULL, 'MqsA_antitoxin', NULL, NULL, 22795, 8),
(31051, NULL, 'PF17911', NULL, NULL, 'Ski2 N-terminal region', NULL, 'Ski2_N', NULL, NULL, 34841, 8),
(31052, NULL, 'PF09796', NULL, NULL, 'Ubiquinol-cytochrome-c reductase complex subunit (QCR10)', NULL, 'QCR10', NULL, NULL, 18532, 8),
(31053, NULL, 'PF10682', NULL, NULL, 'Glycoprotein of human cytomegalovirus HHV-5', NULL, 'UL40', NULL, NULL, 21217, 8),
(31054, NULL, 'PF13346', NULL, NULL, 'ABC-2 family transporter protein', NULL, 'ABC2_membrane_5', NULL, NULL, 23614, 8),
(31055, NULL, 'PF19614', NULL, NULL, 'Family of unknown function (DUF6119)', NULL, 'DUF6119', NULL, NULL, 24002, 8),
(31056, NULL, 'PF00082', NULL, NULL, 'Subtilase family', NULL, 'Peptidase_S8', NULL, NULL, 1106, 8),
(31057, NULL, 'PF18971', NULL, NULL, 'CagA protein', NULL, 'CagA_N', NULL, NULL, 39044, 8),
(31058, NULL, 'PF20044', NULL, NULL, 'Family of unknown function (DUF6446)', NULL, 'DUF6446', NULL, NULL, 36815, 8),
(31059, NULL, 'PF08224', NULL, NULL, 'Domain of unknown function (DUF1719)', NULL, 'DUF1719', NULL, NULL, 17558, 8),
(31060, NULL, 'PF11217', NULL, NULL, 'Protein of unknown function (DUF3013)', NULL, 'DUF3013', NULL, NULL, 18329, 8),
(31061, NULL, 'PF14800', NULL, NULL, 'Domain of unknown function (DUF4481)', NULL, 'DUF4481', NULL, NULL, 28800, 8),
(31062, NULL, 'PF05355', NULL, NULL, 'Apolipoprotein C-II', NULL, 'Apo-CII', NULL, NULL, 5391, 8),
(31063, NULL, 'PF19039', NULL, NULL, 'ASK kinase PH domain', NULL, 'ASK_PH', NULL, NULL, 37035, 8),
(31064, NULL, 'PF14650', NULL, NULL, 'FAM75 family', NULL, 'FAM75', NULL, NULL, 29418, 8),
(31065, NULL, 'PF06128', NULL, NULL, 'Shigella flexneri OspC protein', NULL, 'Shigella_OspC', NULL, NULL, 8808, 8),
(31066, NULL, 'PF03257', NULL, NULL, 'Mycoplasma adhesin P1', NULL, 'Adhesin_P1', NULL, NULL, 1578, 8),
(31067, NULL, 'PF15258', NULL, NULL, 'Protein family of FAM222A', NULL, 'FAM222A', NULL, NULL, 24635, 8),
(31068, NULL, 'PF02931', NULL, NULL, 'Neurotransmitter-gated ion-channel ligand binding domain', NULL, 'Neur_chan_LBD', NULL, NULL, 11311, 8),
(31069, NULL, 'PF01000', NULL, NULL, 'RNA polymerase Rpb3/RpoA insert domain', NULL, 'RNA_pol_A_bac', NULL, NULL, 9652, 8),
(31070, NULL, 'PF18901', NULL, NULL, 'Family of unknown function (DUF5657)', NULL, 'DUF5657', NULL, NULL, 38368, 8),
(31071, NULL, 'PF08069', NULL, NULL, 'Ribosomal S13/S15 N-terminal domain', NULL, 'Ribosomal_S13_N', NULL, NULL, 9828, 8),
(31072, NULL, 'PF10888', NULL, NULL, 'Protein of unknown function (DUF2742)', NULL, 'DUF2742', NULL, NULL, 24786, 8),
(31073, NULL, 'PF05302', NULL, NULL, 'Protein of unknown function (DUF720)', NULL, 'DUF720', NULL, NULL, 4178, 8),
(31074, NULL, 'PF11036', NULL, NULL, 'Virulence promoting factor', NULL, 'YqgB', NULL, NULL, 18457, 8),
(31075, NULL, 'PF03287', NULL, NULL, 'Poxvirus C7/F8A protein', NULL, 'Pox_C7_F8A', NULL, NULL, 2764, 8),
(31076, NULL, 'PF02721', NULL, NULL, 'Domain of unknown function DUF223', NULL, 'DUF223', NULL, NULL, 4138, 8),
(31077, NULL, 'PF01774', NULL, NULL, 'UreD urease accessory protein', NULL, 'UreD', NULL, NULL, 2621, 8),
(31078, NULL, 'PF17854', NULL, NULL, 'FtsK alpha domain', NULL, 'FtsK_alpha', NULL, NULL, 31919, 8),
(31079, NULL, 'PF12394', NULL, NULL, 'Protein FAM135', NULL, 'DUF3657', NULL, NULL, 21072, 8),
(31080, NULL, 'PF10238', NULL, NULL, 'E2F-associated phosphoprotein', NULL, 'Eapp_C', NULL, NULL, 15850, 8),
(31081, NULL, 'PF16757', NULL, NULL, 'Alpha-L-fucosidase C-terminal domain', NULL, 'Fucosidase_C', NULL, NULL, 23778, 8),
(31082, NULL, 'PF07311', NULL, NULL, 'Dodecin', NULL, 'Dodecin', NULL, NULL, 8042, 8),
(31083, NULL, 'PF09238', NULL, NULL, 'Interleukin-4 receptor alpha chain, N-terminal', NULL, 'IL4Ra_N', NULL, NULL, 13974, 8),
(31084, NULL, 'PF13514', NULL, NULL, 'AAA domain', NULL, 'AAA_27', NULL, NULL, 35832, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31085, NULL, 'PF19928', NULL, NULL, 'Domain of unknown function (DUF6391)', NULL, 'DUF6391', NULL, NULL, NULL, 8),
(31086, NULL, 'PF02995', NULL, NULL, 'Protein of unknown function (DUF229)', NULL, 'DUF229', NULL, NULL, 3981, 8),
(31087, NULL, 'PF06373', NULL, NULL, 'Cocaine and amphetamine regulated transcript protein (CART)', NULL, 'CART', NULL, NULL, 7939, 8),
(31088, NULL, 'PF08951', NULL, NULL, 'Enterocin A Immunity', NULL, 'EntA_Immun', NULL, NULL, 7714, 8),
(31089, NULL, 'PF14336', NULL, NULL, 'Domain of unknown function (DUF4392)', NULL, 'DUF4392', NULL, NULL, 28473, 8),
(31090, NULL, 'PF01865', NULL, NULL, 'Protein of unknown function DUF47', NULL, 'PhoU_div', NULL, NULL, 21875, 8),
(31091, NULL, 'PF04492', NULL, NULL, 'Bacteriophage replication protein O', NULL, 'Phage_rep_O', NULL, NULL, 6984, 8),
(31092, NULL, 'PF16706', NULL, NULL, 'Izumo-like Immunoglobulin domain', NULL, 'Izumo-Ig', NULL, NULL, 28309, 8),
(31093, NULL, 'PF02077', NULL, NULL, 'SURF4 family', NULL, 'SURF4', NULL, NULL, 7268, 8),
(31094, NULL, 'PF11577', NULL, NULL, 'NF-kappa-B essential modulator NEMO', NULL, 'NEMO', NULL, NULL, 15310, 8),
(31095, NULL, 'PF07275', NULL, NULL, 'Antirestriction protein (ArdA)', NULL, 'ArdA', NULL, NULL, 14862, 8),
(31096, NULL, 'PF14664', NULL, NULL, 'Rapamycin-insensitive companion of mTOR, N-term', NULL, 'RICTOR_N', NULL, NULL, 23646, 8),
(31097, NULL, 'PF03176', NULL, NULL, 'MMPL family', NULL, 'MMPL', NULL, NULL, 7433, 8),
(31098, NULL, 'PF02294', NULL, NULL, '7kD DNA-binding domain', NULL, '7kD_DNA_binding', NULL, NULL, 2369, 8),
(31099, NULL, 'PF17460', NULL, NULL, 'Uncharacterized protein RP854', NULL, 'RP854', NULL, NULL, 13553, 8),
(31100, NULL, 'PF03289', NULL, NULL, 'Poxvirus protein I1', NULL, 'Pox_I1', NULL, NULL, 581, 8),
(31101, NULL, 'PF17441', NULL, NULL, 'Family of unknown function (DUF5419)', NULL, 'DUF5419', NULL, NULL, 35801, 8),
(31102, NULL, 'PF18462', NULL, NULL, 'Domain of unknown function (DUF5612)', NULL, 'DUF5612', NULL, NULL, 30115, 8),
(31103, NULL, 'PF00390', NULL, NULL, 'Malic enzyme, N-terminal domain', NULL, 'malic', NULL, NULL, 13371, 8),
(31104, NULL, 'PF11433', NULL, NULL, 'Protein of unknown function (DUF3198)', NULL, 'DUF3198', NULL, NULL, 25566, 8),
(31105, NULL, 'PF10762', NULL, NULL, 'Protein of unknown function (DUF2583)', NULL, 'DUF2583', NULL, NULL, 20746, 8),
(31106, NULL, 'PF00174', NULL, NULL, 'Oxidoreductase molybdopterin binding domain', NULL, 'Oxidored_molyb', NULL, NULL, 5680, 8),
(31107, NULL, 'PF12954', NULL, NULL, 'Protein of unknown function (DUF3843)', NULL, 'DUF3843', NULL, NULL, 20910, 8),
(31108, NULL, 'PF17498', NULL, NULL, 'Family of unknown function (DUF5433)', NULL, 'DUF5433', NULL, NULL, 21012, 8),
(31109, NULL, 'PF04004', NULL, NULL, 'Leo1-like protein', NULL, 'Leo1', NULL, NULL, 206, 8),
(31110, NULL, 'PF11827', NULL, NULL, 'Protein of unknown function (DUF3347)', NULL, 'DUF3347', NULL, NULL, 19751, 8),
(31111, NULL, 'PF09052', NULL, NULL, 'SipA N-terminal domain', NULL, 'SipA', NULL, NULL, 9617, 8),
(31112, NULL, 'PF17258', NULL, NULL, 'Family of unknown function (DUF5324)', NULL, 'DUF5324', NULL, NULL, 18720, 8),
(31113, NULL, 'PF18591', NULL, NULL, 'Immune Mapped Protein 2 (IMP2) C-terminal domain', NULL, 'IMP2_C', NULL, NULL, 31363, 8),
(31114, NULL, 'PF01145', NULL, NULL, 'SPFH domain / Band 7 family', NULL, 'Band_7', NULL, NULL, 1150, 8),
(31115, NULL, 'PF09096', NULL, NULL, 'Baseplate structural protein, domain 2', NULL, 'Phage-tail_2', NULL, NULL, 10570, 8),
(31116, NULL, 'PF09677', NULL, NULL, 'Type-F conjugative transfer system protein (TrbI_Ftype)', NULL, 'TrbI_Ftype', NULL, NULL, 13585, 8),
(31117, NULL, 'PF12830', NULL, NULL, 'Sister chromatid cohesion C-terminus', NULL, 'Nipped-B_C', NULL, NULL, 23365, 8),
(31118, NULL, 'PF10551', NULL, NULL, 'MULE transposase domain', NULL, 'MULE', NULL, NULL, 19318, 8),
(31119, NULL, 'PF19920', NULL, NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX4', NULL, 'bpX4', NULL, NULL, 39919, 8),
(31120, NULL, 'PF01695', NULL, NULL, 'IstB-like ATP binding protein', NULL, 'IstB_IS21', NULL, NULL, 1979, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31121, NULL, 'PF17609', NULL, NULL, 'Family of unknown function', NULL, 'HCMV_UL124', NULL, NULL, 19487, 8),
(31122, NULL, 'PF16642', NULL, NULL, 'Unstructured region on Potassium channel subunit alpha KvLQT2', NULL, 'KCNQ2_u3', NULL, NULL, NULL, 8),
(31123, NULL, 'PF09967', NULL, NULL, 'VWA-like domain (DUF2201)', NULL, 'DUF2201', NULL, NULL, 17827, 8),
(31124, NULL, 'PF03450', NULL, NULL, 'CO dehydrogenase flavoprotein C-terminal domain', NULL, 'CO_deh_flav_C', NULL, NULL, 10890, 8),
(31125, NULL, 'PF01757', NULL, NULL, 'Acyltransferase family', NULL, 'Acyl_transf_3', NULL, NULL, 2804, 8),
(31126, NULL, 'PF18301', NULL, NULL, 'pre ATP-grasp 3 domain', NULL, 'preATP-grasp_3', NULL, NULL, 34683, 8),
(31127, NULL, 'PF01526', NULL, NULL, 'Tn3 transposase DDE domain', NULL, 'DDE_Tnp_Tn3', NULL, NULL, 718, 8),
(31128, NULL, 'PF16804', NULL, NULL, 'Domain of unknown function (DUF5071)', NULL, 'DUF5071', NULL, NULL, 22918, 8),
(31129, NULL, 'PF02161', NULL, NULL, 'Progesterone receptor', NULL, 'Prog_receptor', NULL, NULL, 3775, 8),
(31130, NULL, 'PF08994', NULL, NULL, 'T4 gene Gp59 loader of gp41 DNA helicase C-term', NULL, 'T4_Gp59_C', NULL, NULL, 8773, 8),
(31131, NULL, 'PF04939', NULL, NULL, 'Ribosome biogenesis regulatory protein (RRS1)', NULL, 'RRS1', NULL, NULL, 6874, 8),
(31132, NULL, 'PF09939', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2171)', NULL, 'DUF2171', NULL, NULL, 17211, 8),
(31133, NULL, 'PF16204', NULL, NULL, 'BDHCT-box associated domain on Bloom syndrome protein', NULL, 'BDHCT_assoc', NULL, NULL, 28315, 8),
(31134, NULL, 'PF10270', NULL, NULL, 'Membrane magnesium transporter', NULL, 'MMgT', NULL, NULL, 15415, 8),
(31135, NULL, 'PF04364', NULL, NULL, 'DNA polymerase III chi subunit, HolC', NULL, 'DNA_pol3_chi', NULL, NULL, 4707, 8),
(31136, NULL, 'PF19727', NULL, NULL, 'Family of unknown function (DUF6219)', NULL, 'DUF6219', NULL, NULL, 39686, 8),
(31137, NULL, 'PF04620', NULL, NULL, 'Flagellar filament outer layer protein Flaa', NULL, 'FlaA', NULL, NULL, 2258, 8),
(31138, NULL, 'PF12224', NULL, NULL, 'Putative amidoligase enzyme', NULL, 'Amidoligase_2', NULL, NULL, 20880, 8),
(31139, NULL, 'PF19712', NULL, NULL, 'Acylglycerol kinase C-terminal', NULL, 'AGK_C', NULL, NULL, 39841, 8),
(31140, NULL, 'PF08620', NULL, NULL, 'RPAP1-like, C-terminal', NULL, 'RPAP1_C', NULL, NULL, 14114, 8),
(31141, NULL, 'PF07264', NULL, NULL, 'Etoposide-induced protein 2.4 (EI24)', NULL, 'EI24', NULL, NULL, NULL, 8),
(31142, NULL, 'PF17108', NULL, NULL, 'N-terminal small S protein of HET, non-prionic', NULL, 'HET-S', NULL, NULL, 2707, 8),
(31143, NULL, 'PF14446', NULL, NULL, 'Prokaryotic RING finger family 1', NULL, 'Prok-RING_1', NULL, NULL, 35367, 8),
(31144, NULL, 'PF11180', NULL, NULL, 'Protein of unknown function (DUF2968)', NULL, 'DUF2968', NULL, NULL, 18369, 8),
(31145, NULL, 'PF19219', NULL, NULL, 'Coronavirus replicase NSP15, N-terminal oligomerisation', NULL, 'CoV_NSP15_N', NULL, NULL, 37847, 8),
(31146, NULL, 'PF16290', NULL, NULL, 'Domain of unknown function (DUF4936)', NULL, 'DUF4936', NULL, NULL, 22193, 8),
(31147, NULL, 'PF02366', NULL, NULL, 'Dolichyl-phosphate-mannose-protein mannosyltransferase', NULL, 'PMT', NULL, NULL, 4316, 8),
(31148, NULL, 'PF13981', NULL, NULL, 'SopA-like central domain', NULL, 'SopA', NULL, NULL, 23902, 8),
(31149, NULL, 'PF15530', NULL, NULL, 'Bacterial toxin 25', NULL, 'Ntox25', NULL, NULL, 25054, 8),
(31150, NULL, 'PF06963', NULL, NULL, 'Ferroportin1 (FPN1)', NULL, 'FPN1', NULL, NULL, 12109, 8),
(31151, NULL, 'PF12584', NULL, NULL, 'Trafficking protein particle complex subunit 10, TRAPPC10', NULL, 'TRAPPC10', NULL, NULL, 21290, 8),
(31152, NULL, 'PF10789', NULL, NULL, 'Phage RNA polymerase binding, RpbA', NULL, 'Phage_RpbA', NULL, NULL, 21393, 8),
(31153, NULL, 'PF07846', NULL, NULL, 'Metallothionein family', NULL, 'Metallothio_Cad', NULL, NULL, 11705, 8),
(31154, NULL, 'PF00641', NULL, NULL, 'Zn-finger in Ran binding protein and others', NULL, 'zf-RanBP', NULL, NULL, 5051, 8),
(31155, NULL, 'PF00573', NULL, NULL, 'Ribosomal protein L4/L1 family', NULL, 'Ribosomal_L4', NULL, NULL, 5399, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31156, NULL, 'PF19045', NULL, NULL, 'Ligase-CoA domain', NULL, 'Ligase_CoA_2', NULL, NULL, 37893, 8),
(31157, NULL, 'PF19047', NULL, NULL, 'HOOK domain', NULL, 'HOOK_N', NULL, NULL, 37859, 8),
(31158, NULL, 'PF14098', NULL, NULL, 'Small, acid-soluble spore protein I', NULL, 'SSPI', NULL, NULL, 15196, 8),
(31159, NULL, 'PF14564', NULL, NULL, 'Membrane binding', NULL, 'Membrane_bind', NULL, NULL, 21823, 8),
(31160, NULL, 'PF14013', NULL, NULL, 'MT0933-like antitoxin protein', NULL, 'MT0933_antitox', NULL, NULL, 24089, 8),
(31161, NULL, 'PF17873', NULL, NULL, 'Replicase polyprotein 1ab', NULL, 'Rep_1B', NULL, NULL, 31246, 8),
(31162, NULL, 'PF18639', NULL, NULL, 'Yeast longin domain', NULL, 'Longin_2', NULL, NULL, 31268, 8),
(31163, NULL, 'PF17670', NULL, NULL, 'Family of unknown function (DUF5530)', NULL, 'DUF5530', NULL, NULL, 35340, 8),
(31164, NULL, 'PF00427', NULL, NULL, 'Phycobilisome Linker polypeptide', NULL, 'PBS_linker_poly', NULL, NULL, 5258, 8),
(31165, NULL, 'PF18546', NULL, NULL, 'Methanogen output domain 1', NULL, 'MetOD1', NULL, NULL, 31007, 8),
(31166, NULL, 'PF07878', NULL, NULL, 'CopG-like RHH_1 or ribbon-helix-helix domain, RHH_5', NULL, 'RHH_5', NULL, NULL, 12644, 8),
(31167, NULL, 'PF03464', NULL, NULL, 'eRF1 domain 2', NULL, 'eRF1_2', NULL, NULL, 7347, 8),
(31168, NULL, 'PF18581', NULL, NULL, 'Synaptonemal complex 2 armadillo-repeat-like domain', NULL, 'SYCP2_ARLD', NULL, NULL, 32648, 8),
(31169, NULL, 'PF19995', NULL, NULL, 'inactive STAND', NULL, 'iSTAND', NULL, NULL, 38620, 8),
(31170, NULL, 'PF05625', NULL, NULL, 'PAXNEB protein', NULL, 'PAXNEB', NULL, NULL, 12292, 8),
(31171, NULL, 'PF15042', NULL, NULL, 'Late cornified envelope-like proline-rich protein 1', NULL, 'LELP1', NULL, NULL, 21582, 8),
(31172, NULL, 'PF11280', NULL, NULL, 'Protein of unknown function (DUF3081)', NULL, 'DUF3081', NULL, NULL, 18079, 8),
(31173, NULL, 'PF04741', NULL, NULL, 'InvH outer membrane lipoprotein', NULL, 'InvH', NULL, NULL, 3717, 8),
(31174, NULL, 'PF15214', NULL, NULL, 'Peroxisomal testis-specific protein 1', NULL, 'PXT1', NULL, NULL, 21735, 8),
(31175, NULL, 'PF11101', NULL, NULL, 'Protein of unknown function (DUF2884)', NULL, 'DUF2884', NULL, NULL, 17941, 8),
(31176, NULL, 'PF02653', NULL, NULL, 'Branched-chain amino acid transport system / permease component', NULL, 'BPD_transp_2', NULL, NULL, 4321, 8),
(31177, NULL, 'PF00449', NULL, NULL, 'Urease alpha-subunit, N-terminal domain', NULL, 'Urease_alpha', NULL, NULL, 8075, 8),
(31178, NULL, 'PF18819', NULL, NULL, 'Phage MuF-C-terminal domain', NULL, 'MuF_C', NULL, NULL, 31032, 8),
(31179, NULL, 'PF05150', NULL, NULL, 'Legionella pneumophila major outer membrane protein precursor', NULL, 'Legionella_OMP', NULL, NULL, 2292, 8),
(31180, NULL, 'PF12014', NULL, NULL, 'Cyclin D1 binding domain', NULL, 'Cyclin_D1_bind', NULL, NULL, NULL, 8),
(31181, NULL, 'PF05667', NULL, NULL, 'Protein of unknown function (DUF812)', NULL, 'DUF812', NULL, NULL, 13077, 8),
(31182, NULL, 'PF10570', NULL, NULL, 'Myelin-PO cytoplasmic C-term p65 binding region', NULL, 'Myelin-PO_C', NULL, NULL, 19968, 8),
(31183, NULL, 'PF07019', NULL, NULL, 'EMC6', NULL, 'EMC6', NULL, NULL, 25432, 8),
(31184, NULL, 'PF11032', NULL, NULL, 'ApoM domain', NULL, 'ApoM', NULL, NULL, 17273, 8),
(31185, NULL, 'PF11797', NULL, NULL, 'Protein of unknown function C-terminal (DUF3324)', NULL, 'DUF3324', NULL, NULL, 19715, 8),
(31186, NULL, 'PF13178', NULL, NULL, 'Protein of unknown function (DUF4005)', NULL, 'DUF4005', NULL, NULL, 23810, 8),
(31187, NULL, 'PF15823', NULL, NULL, 'UPF0524 of C3orf70', NULL, 'UPF0524', NULL, NULL, 24638, 8),
(31188, NULL, 'PF01159', NULL, NULL, 'Ribosomal protein L6e', NULL, 'Ribosomal_L6e', NULL, NULL, 3264, 8),
(31189, NULL, 'PF04994', NULL, NULL, 'TfoX C-terminal domain', NULL, 'TfoX_C', NULL, NULL, 7262, 8),
(31190, NULL, 'PF16572', NULL, NULL, 'Long alpha hairpin domain of cation efflux system protein, CusB', NULL, 'HlyD_D4', NULL, NULL, 26944, 8),
(31191, NULL, 'PF13978', NULL, NULL, 'Protein of unknown function (DUF4223)', NULL, 'DUF4223', NULL, NULL, 22740, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31192, NULL, 'PF18908', NULL, NULL, 'Protein of unknown function (DUF5663)', NULL, 'DUF5663', NULL, NULL, 38426, 8),
(31193, NULL, 'PF04736', NULL, NULL, 'Eclosion hormone', NULL, 'Eclosion', NULL, NULL, 3671, 8),
(31194, NULL, 'PF17914', NULL, NULL, 'HopA1 effector protein family', NULL, 'HopA1', NULL, NULL, 30587, 8),
(31195, NULL, 'PF18805', NULL, NULL, 'Leucine-rich repeat', NULL, 'LRR_10', NULL, NULL, 31665, 8),
(31196, NULL, 'PF04391', NULL, NULL, 'Protein of unknown function (DUF533)', NULL, 'DUF533', NULL, NULL, 10252, 8),
(31197, NULL, 'PF14571', NULL, NULL, 'Stress-induced protein Di19, C-terminal', NULL, 'Di19_C', NULL, NULL, 25598, 8),
(31198, NULL, 'PF08627', NULL, NULL, 'CRT-like, chloroquine-resistance transporter-like', NULL, 'CRT-like', NULL, NULL, 14151, 8),
(31199, NULL, 'PF12797', NULL, NULL, '4Fe-4S binding domain', NULL, 'Fer4_2', NULL, NULL, 13131, 8),
(31200, NULL, 'PF01656', NULL, NULL, 'CobQ/CobB/MinD/ParA nucleotide binding domain', NULL, 'CbiA', NULL, NULL, 1875, 8),
(31201, NULL, 'PF14751', NULL, NULL, 'Domain of unknown function (DUF4474)', NULL, 'DUF4474', NULL, NULL, 28857, 8),
(31202, NULL, 'PF18835', NULL, NULL, 'Beta helix repeat of Inulin fructotransferase', NULL, 'Beta_helix_2', NULL, NULL, 34468, 8),
(31203, NULL, 'PF05670', NULL, NULL, 'NFACT protein RNA binding domain', NULL, 'NFACT-R_1', NULL, NULL, 13390, 8),
(31204, NULL, 'PF11707', NULL, NULL, 'Ribosome 60S biogenesis N-terminal', NULL, 'Npa1', NULL, NULL, 19889, 8),
(31205, NULL, 'PF02531', NULL, NULL, 'PsaD', NULL, 'PsaD', NULL, NULL, 1786, 8),
(31206, NULL, 'PF16611', NULL, NULL, 'Unstructured region between RBD and GoLoco', NULL, 'RGS12_us2', NULL, NULL, NULL, 8),
(31207, NULL, 'PF14253', NULL, NULL, 'Bacteriophage abortive infection AbiH', NULL, 'AbiH', NULL, NULL, 24098, 8),
(31208, NULL, 'PF14763', NULL, NULL, 'Hermansky-Pudlak syndrome 3, C-terminal', NULL, 'HPS3_C', NULL, NULL, 29405, 8),
(31209, NULL, 'PF18137', NULL, NULL, 'Origin recognition complex winged helix C-terminal', NULL, 'ORC_WH_C', NULL, NULL, 35053, 8),
(31210, NULL, 'PF08685', NULL, NULL, 'GON domain', NULL, 'GON', NULL, NULL, 11956, 8),
(31211, NULL, 'PF03213', NULL, NULL, 'Poxvirus P35 protein', NULL, 'Pox_P35', NULL, NULL, 1881, 8),
(31212, NULL, 'PF01102', NULL, NULL, 'Glycophorin A', NULL, 'Glycophorin_A', NULL, NULL, NULL, 8),
(31213, NULL, 'PF07538', NULL, NULL, 'Clostridial hydrophobic W', NULL, 'ChW', NULL, NULL, 1327, 8),
(31214, NULL, 'PF15621', NULL, NULL, 'Proline-rich submaxillary gland androgen-regulated family', NULL, 'PROL5-SMR', NULL, NULL, 23812, 8),
(31215, NULL, 'PF15383', NULL, NULL, 'Transmembrane protein 237', NULL, 'TMEM237', NULL, NULL, 26192, 8),
(31216, NULL, 'PF04293', NULL, NULL, 'SpoVR like protein', NULL, 'SpoVR', NULL, NULL, 3778, 8),
(31217, NULL, 'PF14762', NULL, NULL, 'Hermansky-Pudlak syndrome 3, middle region', NULL, 'HPS3_Mid', NULL, NULL, 24646, 8),
(31218, NULL, 'PF16561', NULL, NULL, 'Glycogen recognition site of AMP-activated protein kinase', NULL, 'AMPK1_CBM', NULL, NULL, 22075, 8),
(31219, NULL, 'PF06167', NULL, NULL, 'Glucose-regulated metallo-peptidase M90', NULL, 'Peptidase_M90', NULL, NULL, 9501, 8),
(31220, NULL, 'PF03029', NULL, NULL, 'Conserved hypothetical ATP binding protein', NULL, 'ATP_bind_1', NULL, NULL, 2908, 8),
(31221, NULL, 'PF03015', NULL, NULL, 'Male sterility protein', NULL, 'Sterile', NULL, NULL, 32654, 8),
(31222, NULL, 'PF18999', NULL, NULL, 'Family of unknown function (DUF5728)', NULL, 'DUF5728', NULL, NULL, 37831, 8),
(31223, NULL, 'PF04746', NULL, NULL, 'Protein of unknown function (DUF575)', NULL, 'DUF575', NULL, NULL, 3798, 8),
(31224, NULL, 'PF02127', NULL, NULL, 'Aminopeptidase I zinc metalloprotease (M18)', NULL, 'Peptidase_M18', NULL, NULL, 4475, 8),
(31225, NULL, 'PF14351', NULL, NULL, 'Domain of unknown function (DUF4401)', NULL, 'DUF4401', NULL, NULL, 28211, 8),
(31226, NULL, 'PF08346', NULL, NULL, 'AntA/AntB antirepressor', NULL, 'AntA', NULL, NULL, 13177, 8),
(31227, NULL, 'PF13977', NULL, NULL, 'BetI-type transcriptional repressor, C-terminal', NULL, 'TetR_C_6', NULL, NULL, 35834, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31228, NULL, 'PF07200', NULL, NULL, 'Modifier of rudimentary (Mod(r)) protein', NULL, 'Mod_r', NULL, NULL, 14315, 8),
(31229, NULL, 'PF07244', NULL, NULL, 'Surface antigen variable number repeat', NULL, 'POTRA', NULL, NULL, 11396, 8),
(31230, NULL, 'PF04046', NULL, NULL, 'PSP', NULL, 'PSP', NULL, NULL, 450, 8),
(31231, NULL, 'PF15159', NULL, NULL, 'Phosphatidylinositol N-acetylglucosaminyltransferase subunit Y', NULL, 'PIG-Y', NULL, NULL, 21881, 8),
(31232, NULL, 'PF19522', NULL, NULL, 'Family of unknown function (DUF6052)', NULL, 'DUF6052', NULL, NULL, 39733, 8),
(31233, NULL, 'PF14065', NULL, NULL, 'Pvc16 N-terminal domain', NULL, 'Pvc16_N', NULL, NULL, 23024, 8),
(31234, NULL, 'PF10204', NULL, NULL, 'Dual oxidase maturation factor', NULL, 'DuoxA', NULL, NULL, 21887, 8),
(31235, NULL, 'PF02913', NULL, NULL, 'FAD linked oxidases, C-terminal domain', NULL, 'FAD-oxidase_C', NULL, NULL, 1793, 8),
(31236, NULL, 'PF17471', NULL, NULL, 'Gene product 63', NULL, 'GP63', NULL, NULL, 18897, 8),
(31237, NULL, 'PF09624', NULL, NULL, 'Protein of unknown function (DUF2393)', NULL, 'DUF2393', NULL, NULL, 9271, 8),
(31238, NULL, 'PF18562', NULL, NULL, 'Cysteine-Rich Interdomain Region 1 gamma', NULL, 'CIDR1_gamma', NULL, NULL, 31539, 8),
(31239, NULL, 'PF14114', NULL, NULL, 'Domain of unknown function (DUF4286)', NULL, 'DUF4286', NULL, NULL, 23738, 8),
(31240, NULL, 'PF07279', NULL, NULL, 'Protein of unknown function (DUF1442)', NULL, 'DUF1442', NULL, NULL, 14661, 8),
(31241, NULL, 'PF16349', NULL, NULL, 'Domain of unknown function (DUF4978)', NULL, 'DUF4978', NULL, NULL, 22992, 8),
(31242, NULL, 'PF02287', NULL, NULL, 'Dehydratase small subunit', NULL, 'Dehydratase_SU', NULL, NULL, 3109, 8),
(31243, NULL, 'PF16189', NULL, NULL, 'Creatinase/Prolidase N-terminal domain', NULL, 'Creatinase_N_2', NULL, NULL, NULL, 8),
(31244, NULL, 'PF01310', NULL, NULL, 'Adenovirus hexon associated protein, protein VIII', NULL, 'Adeno_PVIII', NULL, NULL, 4016, 8),
(31245, NULL, 'PF14512', NULL, NULL, 'Putative TM nitroreductase', NULL, 'TM1586_NiRdase', NULL, NULL, 24415, 8),
(31246, NULL, 'PF01392', NULL, NULL, 'Fz domain', NULL, 'Fz', NULL, NULL, 18626, 8),
(31247, NULL, 'PF18774', NULL, NULL, 'APOBEC4-like -AID/APOBEC-deaminase', NULL, 'APOBEC4_like', NULL, NULL, 33408, 8),
(31248, NULL, 'PF11573', NULL, NULL, 'Mediator complex subunit 23', NULL, 'Med23', NULL, NULL, 19258, 8),
(31249, NULL, 'PF16871', NULL, NULL, 'Domain of unknown function (DUF5077)', NULL, 'DUF5077', NULL, NULL, 25565, 8),
(31250, NULL, 'PF17663', NULL, NULL, 'Family of unknown function (DUF5525)', NULL, 'DUF5525', NULL, NULL, 35178, 8),
(31251, NULL, 'PF16068', NULL, NULL, 'Domain of unknown function (DUF4810)', NULL, 'DUF4810', NULL, NULL, 11557, 8),
(31252, NULL, 'PF06957', NULL, NULL, 'Coatomer (COPI) alpha subunit C-terminus', NULL, 'COPI_C', NULL, NULL, 10338, 8),
(31253, NULL, 'PF18316', NULL, NULL, 'S-layer protein SbsC C-terminal domain', NULL, 'S-l_SbsC_C', NULL, NULL, 31144, 8),
(31254, NULL, 'PF06569', NULL, NULL, 'Protein of unknown function (DUF1128)', NULL, 'DUF1128', NULL, NULL, 9068, 8),
(31255, NULL, 'PF12843', NULL, NULL, 'Putative quorum-sensing-regulated virulence factor', NULL, 'QSregVF_b', NULL, NULL, 25928, 8),
(31256, NULL, 'PF02109', NULL, NULL, 'DAD family', NULL, 'DAD', NULL, NULL, 478, 8),
(31257, NULL, 'PF00680', NULL, NULL, 'Viral RNA-dependent RNA polymerase', NULL, 'RdRP_1', NULL, NULL, 1345, 8),
(31258, NULL, 'PF07556', NULL, NULL, 'Protein of unknown function (DUF1538)', NULL, 'DUF1538', NULL, NULL, 13519, 8),
(31259, NULL, 'PF02922', NULL, NULL, 'Carbohydrate-binding module 48 (Isoamylase N-terminal domain)', NULL, 'CBM_48', NULL, NULL, 2585, 8),
(31260, NULL, 'PF17542', NULL, NULL, 'Uncharacterized RP853', NULL, 'RP853', NULL, NULL, 13825, 8),
(31261, NULL, 'PF05917', NULL, NULL, 'Helicobacter pylori protein of unknown function (DUF874)', NULL, 'DUF874', NULL, NULL, 14088, 8),
(31262, NULL, 'PF09326', NULL, NULL, 'NADH-ubiquinone oxidoreductase subunit G, C-terminal', NULL, 'NADH_dhqG_C', NULL, NULL, 14222, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31263, NULL, 'PF02258', NULL, NULL, 'Shiga-like toxin beta subunit', NULL, 'SLT_beta', NULL, NULL, 1894, 8),
(31264, NULL, 'PF19091', NULL, NULL, 'Family of unknown function (DUF5779)', NULL, 'DUF5779', NULL, NULL, 38459, 8),
(31265, NULL, 'PF12600', NULL, NULL, 'Protein of unknown function (DUF3769)', NULL, 'DUF3769', NULL, NULL, 21010, 8),
(31266, NULL, 'PF14335', NULL, NULL, 'Domain of unknown function (DUF4391)', NULL, 'DUF4391', NULL, NULL, 28249, 8),
(31267, NULL, 'PF10864', NULL, NULL, 'Protein of unknown function (DUF2663)', NULL, 'DUF2663', NULL, NULL, 19288, 8),
(31268, NULL, 'PF06328', NULL, NULL, 'Ig-like C2-type domain', NULL, 'Lep_receptor_Ig', NULL, NULL, 10351, 8),
(31269, NULL, 'PF15864', NULL, NULL, 'Protein glycosylation ligase', NULL, 'PglL_A', NULL, NULL, 24921, 8),
(31270, NULL, 'PF17491', NULL, NULL, 'Spider Toxins mu-diguetoxin-1 a, b and c', NULL, 'm_DGTX_Dc1a_b_c', NULL, NULL, 33599, 8),
(31271, NULL, 'PF16657', NULL, NULL, 'Maltogenic Amylase, C-terminal domain', NULL, 'Malt_amylase_C', NULL, NULL, 23504, 8),
(31272, NULL, 'PF13957', NULL, NULL, 'Toxin YafO, type II toxin-antitoxin system', NULL, 'YafO_toxin', NULL, NULL, 20309, 8),
(31273, NULL, 'PF17898', NULL, NULL, 'Spore germination GerD central core domain', NULL, 'GerD', NULL, NULL, 31101, 8),
(31274, NULL, 'PF10440', NULL, NULL, 'Ubiquitin-binding WIYLD domain', NULL, 'WIYLD', NULL, NULL, 20348, 8),
(31275, NULL, 'PF14925', NULL, NULL, 'Domain of unknown function', NULL, 'HPHLAWLY', NULL, NULL, 27333, 8),
(31276, NULL, 'PF09940', NULL, NULL, 'Domain of unknown function (DUF2172)', NULL, 'DUF2172', NULL, NULL, 24928, 8),
(31277, NULL, 'PF07532', NULL, NULL, 'Bacterial Ig-like domain (group 4)', NULL, 'Big_4', NULL, NULL, 10851, 8),
(31278, NULL, 'PF19059', NULL, NULL, 'Family of unknown function (DUF5755)', NULL, 'DUF5755', NULL, NULL, 37912, 8),
(31279, NULL, 'PF14915', NULL, NULL, 'CCDC144C protein coiled-coil region', NULL, 'CCDC144C', NULL, NULL, 31105, 8),
(31280, NULL, 'PF18328', NULL, NULL, 'Fatty acid synthase subunit PfaD N-terminal domain', NULL, 'PfaD_N', NULL, NULL, 29638, 8),
(31281, NULL, 'PF02520', NULL, NULL, 'Domain of unknown function DUF148', NULL, 'DUF148', NULL, NULL, 1193, 8),
(31282, NULL, 'PF04576', NULL, NULL, 'Zein-binding', NULL, 'Zein-binding', NULL, NULL, 455, 8),
(31283, NULL, 'PF16200', NULL, NULL, 'C-terminal region of band_7', NULL, 'Band_7_C', NULL, NULL, 28047, 8),
(31284, NULL, 'PF03909', NULL, NULL, 'BSD domain', NULL, 'BSD', NULL, NULL, 2854, 8),
(31285, NULL, 'PF09996', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2237)', NULL, 'DUF2237', NULL, NULL, 17796, 8),
(31286, NULL, 'PF15373', NULL, NULL, 'Domain of unknown function (DUF4601)', NULL, 'DUF4601', NULL, NULL, 24594, 8),
(31287, NULL, 'PF13680', NULL, NULL, 'Protein of unknown function (DUF4152)', NULL, 'DUF4152', NULL, NULL, 21711, 8),
(31288, NULL, 'PF00876', NULL, NULL, 'Innexin', NULL, 'Innexin', NULL, NULL, 3282, 8),
(31289, NULL, 'PF20052', NULL, NULL, 'GTPase-associated protein 1, C-terminal domain', NULL, 'GAP1-C', NULL, NULL, NULL, 8),
(31290, NULL, 'PF00532', NULL, NULL, 'Periplasmic binding proteins and sugar binding domain of LacI family', NULL, 'Peripla_BP_1', NULL, NULL, 3140, 8),
(31291, NULL, 'PF02785', NULL, NULL, 'Biotin carboxylase C-terminal domain', NULL, 'Biotin_carb_C', NULL, NULL, 822, 8),
(31292, NULL, 'PF19985', NULL, NULL, 'Family of unknown function (DUF6421)', NULL, 'DUF6421', NULL, NULL, 39716, 8),
(31293, NULL, 'PF14265', NULL, NULL, 'Domain of unknown function (DUF4355)', NULL, 'DUF4355', NULL, NULL, 28123, 8),
(31294, NULL, 'PF11521', NULL, NULL, 'C-terminal general transcription factor TFIIE alpha', NULL, 'TFIIE-A_C', NULL, NULL, 19373, 8),
(31295, NULL, 'PF12117', NULL, NULL, 'Parvovirus non-structural protein 1, C-terminal', NULL, 'NS1_C', NULL, NULL, 20904, 8),
(31296, NULL, 'PF14044', NULL, NULL, 'NETI protein', NULL, 'NETI', NULL, NULL, 24455, 8),
(31297, NULL, 'PF08044', NULL, NULL, 'Domain of unknown function (DUF1707)', NULL, 'DUF1707', NULL, NULL, 8648, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31298, NULL, 'PF05842', NULL, NULL, 'Euplotes octocarinatus mating pheromone protein', NULL, 'Euplotes_phero', NULL, NULL, 14041, 8),
(31299, NULL, 'PF12268', NULL, NULL, 'Protein of unknown function (DUF3612)', NULL, 'DUF3612', NULL, NULL, 20897, 8),
(31300, NULL, 'PF16079', NULL, NULL, 'Phage holin family Hol44, in holin superfamily V', NULL, 'Phage_holin_5_2', NULL, NULL, 24894, 8),
(31301, NULL, 'PF11963', NULL, NULL, 'Protein of unknown function (DUF3477)', NULL, 'DUF3477', NULL, NULL, 16550, 8),
(31302, NULL, 'PF18695', NULL, NULL, 'Cytosolic phospholipases A2 C2-domain', NULL, 'cPLA2_C2', NULL, NULL, 30425, 8),
(31303, NULL, 'PF18421', NULL, NULL, 'Peptidase family M23 N-terminal domain', NULL, 'Peptidase_M23_N', NULL, NULL, 30019, 8),
(31304, NULL, 'PF13066', NULL, NULL, 'Protein of unknown function (DUF3929)', NULL, 'DUF3929', NULL, NULL, 21621, 8),
(31305, NULL, 'PF14393', NULL, NULL, 'Domain of unknown function (DUF4422)', NULL, 'DUF4422', NULL, NULL, 28292, 8),
(31306, NULL, 'PF02194', NULL, NULL, 'PXA domain', NULL, 'PXA', NULL, NULL, 2557, 8),
(31307, NULL, 'PF03976', NULL, NULL, 'Polyphosphate kinase 2 (PPK2)', NULL, 'PPK2', NULL, NULL, 16566, 8),
(31308, NULL, 'PF05832', NULL, NULL, 'Eukaryotic protein of unknown function (DUF846)', NULL, 'DUF846', NULL, NULL, 13463, 8),
(31309, NULL, 'PF03206', NULL, NULL, 'Nitrogen fixation protein NifW', NULL, 'NifW', NULL, NULL, 372, 8),
(31310, NULL, 'PF04294', NULL, NULL, 'VanW like protein', NULL, 'VanW', NULL, NULL, 3979, 8),
(31311, NULL, 'PF15962', NULL, NULL, 'Domain of unknown function (DUF4765)', NULL, 'DUF4765', NULL, NULL, 28542, 8),
(31312, NULL, 'PF18636', NULL, NULL, 'Mitochondrial morphogenesis protein SLD7 N-terminal domain', NULL, 'Sld7_N', NULL, NULL, 32718, 8),
(31313, NULL, 'PF08805', NULL, NULL, 'PilS N terminal', NULL, 'PilS', NULL, NULL, 13044, 8),
(31314, NULL, 'PF01383', NULL, NULL, 'CpcD/allophycocyanin linker domain', NULL, 'CpcD', NULL, NULL, 506, 8),
(31315, NULL, 'PF17772', NULL, NULL, 'MYST family zinc finger domain', NULL, 'zf-MYST', NULL, NULL, 30592, 8),
(31316, NULL, 'PF03506', NULL, NULL, 'Influenza C non-structural protein (NS1)', NULL, 'Flu_C_NS1', NULL, NULL, 6279, 8),
(31317, NULL, 'PF17705', NULL, NULL, 'Family of unknown function (DUF5551)', NULL, 'DUF5551', NULL, NULL, 34551, 8),
(31318, NULL, 'PF08862', NULL, NULL, 'Domain of unknown function DUF1829', NULL, 'DUF1829', NULL, NULL, 14346, 8),
(31319, NULL, 'PF13731', NULL, NULL, 'WxL domain surface cell wall-binding', NULL, 'WxL', NULL, NULL, 24626, 8),
(31320, NULL, 'PF18230', NULL, NULL, 'Glycosyl hydrolases family 38 C-terminal sub-domain', NULL, 'Glyc_hyd_38C_2', NULL, NULL, 33307, 8),
(31321, NULL, 'PF01616', NULL, NULL, 'Orbivirus NS3', NULL, 'Orbi_NS3', NULL, NULL, 1801, 8),
(31322, NULL, 'PF13149', NULL, NULL, 'Fimbrillin-like', NULL, 'Mfa_like_1', NULL, NULL, 23970, 8),
(31323, NULL, 'PF04855', NULL, NULL, 'SNF5 / SMARCB1 / INI1', NULL, 'SNF5', NULL, NULL, 5655, 8),
(31324, NULL, 'PF15855', NULL, NULL, 'Domain of unknown function (DUF4726)', NULL, 'DUF4726', NULL, NULL, 27237, 8),
(31325, NULL, 'PF03117', NULL, NULL, 'UL49 family', NULL, 'Herpes_UL49_1', NULL, NULL, 4746, 8),
(31326, NULL, 'PF08523', NULL, NULL, 'Multiprotein bridging factor 1', NULL, 'MBF1', NULL, NULL, 7931, 8),
(31327, NULL, 'PF12096', NULL, NULL, 'Protein of unknown function (DUF3572)', NULL, 'DUF3572', NULL, NULL, 20793, 8),
(31328, NULL, 'PF03222', NULL, NULL, 'Tryptophan/tyrosine permease family', NULL, 'Trp_Tyr_perm', NULL, NULL, 7741, 8),
(31329, NULL, 'PF05638', NULL, NULL, 'Type VI secretion system effector, Hcp', NULL, 'T6SS_HCP', NULL, NULL, 12756, 8),
(31330, NULL, 'PF16481', NULL, NULL, 'Domain of unknown function (DUF5058)', NULL, 'DUF5058', NULL, NULL, 18062, 8),
(31331, NULL, 'PF04287', NULL, NULL, 'tRNA pseudouridine synthase C', NULL, 'DUF446', NULL, NULL, 15748, 8),
(31332, NULL, 'PF11356', NULL, NULL, 'Type II secretion system protein C', NULL, 'T2SSC', NULL, NULL, 24853, 8),
(31333, NULL, 'PF19405', NULL, NULL, 'Family of unknown function (DUF5978)', NULL, 'DUF5978', NULL, NULL, 39424, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31334, NULL, 'PF10147', NULL, NULL, 'Growth arrest and DNA-damage-inducible proteins-interacting protein 1', NULL, 'CR6_interact', NULL, NULL, 21872, 8),
(31335, NULL, 'PF12791', NULL, NULL, 'Anti-sigma factor N-terminus', NULL, 'RsgI_N', NULL, NULL, 25573, 8),
(31336, NULL, 'PF08006', NULL, NULL, 'Protein of unknown function (DUF1700)', NULL, 'DUF1700', NULL, NULL, 12395, 8),
(31337, NULL, 'PF11718', NULL, NULL, 'Pre-mRNA 3''-end-processing endonuclease polyadenylation factor C-term', NULL, 'CPSF73-100_C', NULL, NULL, 19916, 8),
(31338, NULL, 'PF19372', NULL, NULL, 'Family of unknown function (DUF5947)', NULL, 'DUF5947', NULL, NULL, 39151, 8),
(31339, NULL, 'PF18962', NULL, NULL, 'Secretion system C-terminal sorting domain', NULL, 'Por_Secre_tail', NULL, NULL, 24270, 8),
(31340, NULL, 'PF12561', NULL, NULL, 'ToxR activated gene A lipoprotein domain', NULL, 'TagA', NULL, NULL, 21430, 8),
(31341, NULL, 'PF14056', NULL, NULL, 'Domain of unknown function (DUF4250)', NULL, 'DUF4250', NULL, NULL, 23062, 8),
(31342, NULL, 'PF08298', NULL, NULL, 'PrkA AAA domain', NULL, 'AAA_PrkA', NULL, NULL, 8631, 8),
(31343, NULL, 'PF04643', NULL, NULL, 'Motilin/ghrelin-associated peptide', NULL, 'Motilin_assoc', NULL, NULL, 3361, 8),
(31344, NULL, 'PF01385', NULL, NULL, 'Probable transposase', NULL, 'OrfB_IS605', NULL, NULL, 2266, 8),
(31345, NULL, 'PF03964', NULL, NULL, 'Chorion family 2', NULL, 'Chorion_2', NULL, NULL, 2583, 8),
(31346, NULL, 'PF13257', NULL, NULL, 'Domain of unknown function (DUF4048)', NULL, 'DUF4048', NULL, NULL, 23785, 8),
(31347, NULL, 'PF05649', NULL, NULL, 'Peptidase family M13', NULL, 'Peptidase_M13_N', NULL, NULL, 12349, 8),
(31348, NULL, 'PF09822', NULL, NULL, 'ABC-type uncharacterized transport system', NULL, 'ABC_transp_aux', NULL, NULL, 18670, 8),
(31349, NULL, 'PF18371', NULL, NULL, 'Flavin adenine dinucleotide (FAD)-dependent sulfhydryl oxidase', NULL, 'FAD_SOX', NULL, NULL, 31355, 8),
(31350, NULL, 'PF09278', NULL, NULL, 'MerR, DNA binding', NULL, 'MerR-DNA-bind', NULL, NULL, 13684, 8),
(31351, NULL, 'PF01540', NULL, NULL, 'Adhesin lipoprotein', NULL, 'Lipoprotein_7', NULL, NULL, 931, 8),
(31352, NULL, 'PF13323', NULL, NULL, 'N-terminal domain with HPIH motif', NULL, 'HPIH', NULL, NULL, 25934, 8),
(31353, NULL, 'PF10719', NULL, NULL, 'Late competence development protein ComFB', NULL, 'ComFB', NULL, NULL, 21471, 8),
(31354, NULL, 'PF00257', NULL, NULL, 'Dehydrin', NULL, 'Dehydrin', NULL, NULL, 1586, 8),
(31355, NULL, 'PF08229', NULL, NULL, 'ER membrane protein SH3', NULL, 'SHR3_chaperone', NULL, NULL, 13381, 8),
(31356, NULL, 'PF07393', NULL, NULL, 'Exocyst complex component Sec10', NULL, 'Sec10', NULL, NULL, 8233, 8),
(31357, NULL, 'PF15392', NULL, NULL, 'Joubert syndrome-associated', NULL, 'Joubert', NULL, NULL, 23532, 8),
(31358, NULL, 'PF17662', NULL, NULL, 'Family of unknown function (DUF5524)', NULL, 'DUF5524', NULL, NULL, 34028, 8),
(31359, NULL, 'PF18242', NULL, NULL, 'Legionella ubiquitin-specific protease A domain', NULL, 'LupA', NULL, NULL, 31749, 8),
(31360, NULL, 'PF19899', NULL, NULL, 'Family of unknown function (DUF6372)', NULL, 'DUF6372', NULL, NULL, 39201, 8),
(31361, NULL, 'PF14417', NULL, NULL, 'MEDS: MEthanogen/methylotroph, DcmR Sensory domain', NULL, 'MEDS', NULL, NULL, 25165, 8),
(31362, NULL, 'PF18955', NULL, NULL, 'Domain of unknown function (DUF5698)', NULL, 'DUF5698', NULL, NULL, 38108, 8),
(31363, NULL, 'PF07061', NULL, NULL, 'Swi5', NULL, 'Swi5', NULL, NULL, 10279, 8),
(31364, NULL, 'PF11503', NULL, NULL, 'Protein of unknown function (DUF3215)', NULL, 'DUF3215', NULL, NULL, 19359, 8),
(31365, NULL, 'PF12154', NULL, NULL, 'Glycoprotein B N-terminal antigenic domain of HCMV', NULL, 'HCMVantigenic_N', NULL, NULL, 15274, 8),
(31366, NULL, 'PF18852', NULL, NULL, 'Large polyvalent protein associated domain 34', NULL, 'LPD34', NULL, NULL, 30245, 8),
(31367, NULL, 'PF06119', NULL, NULL, 'Nidogen-like', NULL, 'NIDO', NULL, NULL, 4143, 8),
(31368, NULL, 'PF13176', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_7', NULL, NULL, 21305, 8),
(31369, NULL, 'PF19784', NULL, NULL, 'Family of unknown function (DUF6269)', NULL, 'DUF6269', NULL, NULL, 39757, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31370, NULL, 'PF07230', NULL, NULL, 'Bacteriophage T4-like portal protein (Gp20)', NULL, 'Portal_Gp20', NULL, NULL, 11363, 8),
(31371, NULL, 'PF01408', NULL, NULL, 'Oxidoreductase family, NAD-binding Rossmann fold', NULL, 'GFO_IDH_MocA', NULL, NULL, 3665, 8),
(31372, NULL, 'PF17889', NULL, NULL, 'NLRC4 helical domain', NULL, 'NLRC4_HD', NULL, NULL, 30310, 8),
(31373, NULL, 'PF11801', NULL, NULL, 'Tom37 C-terminal domain', NULL, 'Tom37_C', NULL, NULL, 12521, 8),
(31374, NULL, 'PF13807', NULL, NULL, 'G-rich domain on putative tyrosine kinase', NULL, 'GNVR', NULL, NULL, 22371, 8),
(31375, NULL, 'PF15882', NULL, NULL, 'Domain of unknown function (DUF4735)', NULL, 'DUF4735', NULL, NULL, 27445, 8),
(31376, NULL, 'PF01890', NULL, NULL, 'Cobalamin synthesis G C-terminus', NULL, 'CbiG_C', NULL, NULL, 3986, 8),
(31377, NULL, 'PF10778', NULL, NULL, 'Halocarboxylic acid dehydrogenase DehI', NULL, 'DehI', NULL, NULL, 21197, 8),
(31378, NULL, 'PF12699', NULL, NULL, 'phiKZ-like phage internal head proteins', NULL, 'phiKZ_IP', NULL, NULL, 22807, 8),
(31379, NULL, 'PF12767', NULL, NULL, 'Transcriptional regulator of RNA polII, SAGA, subunit', NULL, 'SAGA-Tad1', NULL, NULL, 10079, 8),
(31380, NULL, 'PF08584', NULL, NULL, 'Ribonuclease P 40kDa (Rpp40) subunit', NULL, 'Ribonuc_P_40', NULL, NULL, 17526, 8),
(31381, NULL, 'PF13186', NULL, NULL, 'Iron-sulfur cluster-binding domain', NULL, 'SPASM', NULL, NULL, 17802, 8),
(31382, NULL, 'PF08349', NULL, NULL, 'Protein of unknown function (DUF1722)', NULL, 'DUF1722', NULL, NULL, 13257, 8),
(31383, NULL, 'PF14696', NULL, NULL, 'Hydroxyphenylpyruvate dioxygenase, HPPD, N-terminal', NULL, 'Glyoxalase_5', NULL, NULL, NULL, 8),
(31384, NULL, 'PF00245', NULL, NULL, 'Alkaline phosphatase', NULL, 'Alk_phosphatase', NULL, NULL, 2244, 8),
(31385, NULL, 'PF10192', NULL, NULL, 'Rhodopsin-like GPCR transmembrane domain', NULL, 'GpcrRhopsn4', NULL, NULL, 15611, 8),
(31386, NULL, 'PF11413', NULL, NULL, 'Hypoxia-inducible factor-1', NULL, 'HIF-1', NULL, NULL, 18988, 8),
(31387, NULL, 'PF11040', NULL, NULL, 'Dispersed gene family protein 1 of Trypanosoma cruzi C-terminus', NULL, 'DGF-1_C', NULL, NULL, 15131, 8),
(31388, NULL, 'PF11409', NULL, NULL, 'Smad anchor for receptor activation (SARA)', NULL, 'SARA', NULL, NULL, 22650, 8),
(31389, NULL, 'PF18757', NULL, NULL, 'Nucleotide modification associated domain 5', NULL, 'Nmad5', NULL, NULL, 34613, 8),
(31390, NULL, 'PF09870', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2097)', NULL, 'DUF2097', NULL, NULL, 19187, 8),
(31391, NULL, 'PF18758', NULL, NULL, 'Kyakuja-Dileera-Zisupton transposase', NULL, 'KDZ', NULL, NULL, 34452, 8),
(31392, NULL, 'PF03381', NULL, NULL, 'LEM3 (ligand-effect modulator 3) family / CDC50 family', NULL, 'CDC50', NULL, NULL, 2279, 8),
(31393, NULL, 'PF08103', NULL, NULL, 'Uperin family', NULL, 'Antimicrobial_8', NULL, NULL, 12860, 8),
(31394, NULL, 'PF19038', NULL, NULL, 'Third Longin domain of FUZ, MON1 and HPS1', NULL, 'Fuz_longin_3', NULL, NULL, 37482, 8),
(31395, NULL, 'PF13136', NULL, NULL, 'Protein of unknown function (DUF3984)', NULL, 'DUF3984', NULL, NULL, 22841, 8),
(31396, NULL, 'PF08692', NULL, NULL, 'Mitochondrial protein Pet20', NULL, 'Pet20', NULL, NULL, 11988, 8),
(31397, NULL, 'PF12019', NULL, NULL, 'Type II transport protein GspH', NULL, 'GspH', NULL, NULL, 21283, 8),
(31398, NULL, 'PF03004', NULL, NULL, 'Plant transposase (Ptta/En/Spm family)', NULL, 'Transposase_24', NULL, NULL, 3784, 8),
(31399, NULL, 'PF12988', NULL, NULL, 'TraQ conjugal transfer protein', NULL, 'TraQ_transposon', NULL, NULL, 24343, 8),
(31400, NULL, 'PF13288', NULL, NULL, 'DXP reductoisomerase C-terminal domain', NULL, 'DXPR_C', NULL, NULL, 28646, 8),
(31401, NULL, 'PF08655', NULL, NULL, 'DASH complex subunit Ask1', NULL, 'DASH_Ask1', NULL, NULL, 8151, 8),
(31402, NULL, 'PF12970', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3858)', NULL, 'DUF3858', NULL, NULL, 28386, 8),
(31403, NULL, 'PF07897', NULL, NULL, 'Ethylene-responsive binding factor-associated repression', NULL, 'EAR', NULL, NULL, 14866, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31404, NULL, 'PF08651', NULL, NULL, 'DASH complex subunit Duo1', NULL, 'DASH_Duo1', NULL, NULL, 8400, 8),
(31405, NULL, 'PF03049', NULL, NULL, 'UL79 family', NULL, 'Herpes_UL79', NULL, NULL, 4596, 8),
(31406, NULL, 'PF03533', NULL, NULL, 'SPO11 homologue', NULL, 'SPO11_like', NULL, NULL, 1876, 8),
(31407, NULL, 'PF13440', NULL, NULL, 'Polysaccharide biosynthesis protein', NULL, 'Polysacc_synt_3', NULL, NULL, NULL, 8),
(31408, NULL, 'PF13739', NULL, NULL, 'Deacetylase PdaC', NULL, 'PdaC', NULL, NULL, 23876, 8),
(31409, NULL, 'PF04595', NULL, NULL, 'Poxvirus I6-like family', NULL, 'Pox_I6', NULL, NULL, 813, 8),
(31410, NULL, 'PF09098', NULL, NULL, 'Quinohemoprotein amine dehydrogenase A, alpha subunit, haem binding', NULL, 'Dehyd-heme_bind', NULL, NULL, 10660, 8),
(31411, NULL, 'PF08838', NULL, NULL, 'Protein of unknown function (DUF1811)', NULL, 'DUF1811', NULL, NULL, 14055, 8),
(31412, NULL, 'PF19656', NULL, NULL, 'Family of unknown function (DUF6159)', NULL, 'DUF6159', NULL, NULL, 39925, 8),
(31413, NULL, 'PF02406', NULL, NULL, 'MmoB/DmpM family', NULL, 'MmoB_DmpM', NULL, NULL, 5852, 8),
(31414, NULL, 'PF11913', NULL, NULL, 'Protein of unknown function (DUF3431)', NULL, 'DUF3431', NULL, NULL, 20357, 8),
(31415, NULL, 'PF03615', NULL, NULL, 'GCM motif protein', NULL, 'GCM', NULL, NULL, 4097, 8),
(31416, NULL, 'PF12387', NULL, NULL, 'Pestivirus NS2 peptidase', NULL, 'Peptidase_C74', NULL, NULL, 21013, 8),
(31417, NULL, 'PF02626', NULL, NULL, 'Carboxyltransferase domain, subdomain A and B', NULL, 'CT_A_B', NULL, NULL, 3381, 8),
(31418, NULL, 'PF13221', NULL, NULL, 'Protein of unknown function (DUF4029)', NULL, 'DUF4029', NULL, NULL, 23637, 8),
(31419, NULL, 'PF17536', NULL, NULL, 'Matrix and Matrix long proteins N-terminal', NULL, 'Mx_ML', NULL, NULL, 15334, 8),
(31420, NULL, 'PF06064', NULL, NULL, 'Host-nuclease inhibitor protein Gam', NULL, 'Gam', NULL, NULL, 13946, 8),
(31421, NULL, 'PF10051', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2286)', NULL, 'DUF2286', NULL, NULL, 19065, 8),
(31422, NULL, 'PF11912', NULL, NULL, 'Protein of unknown function (DUF3430)', NULL, 'DUF3430', NULL, NULL, 20404, 8),
(31423, NULL, 'PF14637', NULL, NULL, 'Folliculin-interacting protein middle domain', NULL, 'FNIP_M', NULL, NULL, 23506, 8),
(31424, NULL, 'PF10838', NULL, NULL, 'Protein of unknown function (DUF2677)', NULL, 'DUF2677', NULL, NULL, 16712, 8),
(31425, NULL, 'PF14824', NULL, NULL, 'Sirohaem biosynthesis protein central', NULL, 'Sirohm_synth_M', NULL, NULL, 28713, 8),
(31426, NULL, 'PF15812', NULL, NULL, 'Melanoregulin', NULL, 'MREG', NULL, NULL, 25046, 8),
(31427, NULL, 'PF04233', NULL, NULL, 'Phage Mu protein F like protein', NULL, 'Phage_Mu_F', NULL, NULL, 337, 8),
(31428, NULL, 'PF07350', NULL, NULL, 'Protein of unknown function (DUF1479)', NULL, 'DUF1479', NULL, NULL, 11693, 8),
(31429, NULL, 'PF15414', NULL, NULL, 'Protein of unknown function (DUF4621)', NULL, 'DUF4621', NULL, NULL, 25443, 8),
(31430, NULL, 'PF18863', NULL, NULL, 'AbiJ N-terminal domain 4', NULL, 'AbiJ_NTD4', NULL, NULL, NULL, 8),
(31431, NULL, 'PF15563', NULL, NULL, 'Immunity protein 19', NULL, 'Imm19', NULL, NULL, 26462, 8),
(31432, NULL, 'PF16059', NULL, NULL, 'Domain of unknown function (DUF4801)', NULL, 'DUF4801', NULL, NULL, 24584, 8),
(31433, NULL, 'PF00927', NULL, NULL, 'Transglutaminase family, C-terminal ig like domain', NULL, 'Transglut_C', NULL, NULL, 8579, 8),
(31434, NULL, 'PF03393', NULL, NULL, 'Pneumovirus matrix protein', NULL, 'Pneumo_matrix', NULL, NULL, 2264, 8),
(31435, NULL, 'PF18111', NULL, NULL, 'Retinitis pigmentosa G-protein regulator interacting C-terminal', NULL, 'RPGR1_C', NULL, NULL, 31240, 8),
(31436, NULL, 'PF09299', NULL, NULL, 'Mu transposase, C-terminal', NULL, 'Mu-transpos_C', NULL, NULL, 14257, 8),
(31437, NULL, 'PF18939', NULL, NULL, 'Family of unknown function (DUF5686)', NULL, 'DUF5686', NULL, NULL, 36710, 8),
(31438, NULL, 'PF02369', NULL, NULL, 'Bacterial Ig-like domain (group 1)', NULL, 'Big_1', NULL, NULL, 4055, 8),
(31439, NULL, 'PF06834', NULL, NULL, 'TraU protein', NULL, 'TraU', NULL, NULL, 11449, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31440, NULL, 'PF10474', NULL, NULL, 'Protein of unknown function C-terminus (DUF2451)', NULL, 'DUF2451', NULL, NULL, 18934, 8),
(31441, NULL, 'PF15529', NULL, NULL, 'Bacterial toxin 24', NULL, 'Ntox24', NULL, NULL, 25348, 8),
(31442, NULL, 'PF15827', NULL, NULL, 'UPF0730 unknown protein family', NULL, 'UPF0730', NULL, NULL, 27930, 8),
(31443, NULL, 'PF17650', NULL, NULL, 'RACo linker region', NULL, 'RACo_linker', NULL, NULL, 29660, 8),
(31444, NULL, 'PF02540', NULL, NULL, 'NAD synthase', NULL, 'NAD_synthase', NULL, NULL, 15060, 8),
(31445, NULL, 'PF04371', NULL, NULL, 'Porphyromonas-type peptidyl-arginine deiminase', NULL, 'PAD_porph', NULL, NULL, 4884, 8),
(31446, NULL, 'PF07172', NULL, NULL, 'Glycine rich protein family', NULL, 'GRP', NULL, NULL, 11298, 8),
(31447, NULL, 'PF18234', NULL, NULL, 'Violacein biosynthetic enzyme VioE', NULL, 'VioE', NULL, NULL, 35001, 8),
(31448, NULL, 'PF19546', NULL, NULL, 'Family of unknown function (DUF6070)', NULL, 'DUF6070', NULL, NULL, 38980, 8),
(31449, NULL, 'PF00923', NULL, NULL, 'Transaldolase/Fructose-6-phosphate aldolase', NULL, 'TAL_FSA', NULL, NULL, 3456, 8),
(31450, NULL, 'PF14942', NULL, NULL, 'Organelle biogenesis, Muted-like protein', NULL, 'Muted', NULL, NULL, 15881, 8),
(31451, NULL, 'PF03930', NULL, NULL, 'Recombinase Flp protein N-terminus', NULL, 'Flp_N', NULL, NULL, 17024, 8),
(31452, NULL, 'PF13428', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_14', NULL, NULL, NULL, 8),
(31453, NULL, 'PF01106', NULL, NULL, 'NifU-like domain', NULL, 'NifU', NULL, NULL, 1277, 8),
(31454, NULL, 'PF13387', NULL, NULL, 'Domain of unknown function (DUF4105)', NULL, 'DUF4105', NULL, NULL, 23236, 8),
(31455, NULL, 'PF17492', NULL, NULL, 'Delta Ctenitoxins', NULL, 'D_CNTX', NULL, NULL, 21200, 8),
(31456, NULL, 'PF13316', NULL, NULL, 'Protein of unknown function (DUF4087)', NULL, 'DUF4087', NULL, NULL, 23890, 8),
(31457, NULL, 'PF10005', NULL, NULL, 'zinc-ribbon domain', NULL, 'zinc-ribbon_6', NULL, NULL, 10462, 8),
(31458, NULL, 'PF18868', NULL, NULL, 'Zinc finger C2H2-type, 3 repeats', NULL, 'zf-C2H2_3rep', NULL, NULL, 30059, 8),
(31459, NULL, 'PF19265', NULL, NULL, 'Family of unknown function (DUF5908)', NULL, 'DUF5908', NULL, NULL, 39978, 8),
(31460, NULL, 'PF10384', NULL, NULL, 'Centromere protein Scm3', NULL, 'Scm3', NULL, NULL, 21719, 8),
(31461, NULL, 'PF09645', NULL, NULL, 'F-112 protein', NULL, 'F-112', NULL, NULL, 15590, 8),
(31462, NULL, 'PF13039', NULL, NULL, 'Protein of unknown function (DUF3900)', NULL, 'DUF3900', NULL, NULL, 23803, 8),
(31463, NULL, 'PF12727', NULL, NULL, 'PBP superfamily domain', NULL, 'PBP_like', NULL, NULL, 25004, 8),
(31464, NULL, 'PF12864', NULL, NULL, 'Protein of unknown function (DUF3822)', NULL, 'DUF3822', NULL, NULL, 21956, 8),
(31465, NULL, 'PF17335', NULL, NULL, 'Ino80 complex subunit 5', NULL, 'IES5', NULL, NULL, 20252, 8),
(31466, NULL, 'PF00379', NULL, NULL, 'Insect cuticle protein', NULL, 'Chitin_bind_4', NULL, NULL, 5578, 8),
(31467, NULL, 'PF15118', NULL, NULL, 'Domain of unknown function (DUF4560)', NULL, 'DUF4560', NULL, NULL, 28387, 8),
(31468, NULL, 'PF06542', NULL, NULL, 'Regulator protein PHA-1', NULL, 'PHA-1', NULL, NULL, 9116, 8),
(31469, NULL, 'PF17257', NULL, NULL, 'Family of unknown function (DUF5323)', NULL, 'DUF5323', NULL, NULL, 19727, 8),
(31470, NULL, 'PF00537', NULL, NULL, 'Scorpion toxin-like domain', NULL, 'Toxin_3', NULL, NULL, 1430, 8),
(31471, NULL, 'PF04943', NULL, NULL, 'Poxvirus F11 protein', NULL, 'Pox_F11', NULL, NULL, 6926, 8),
(31472, NULL, 'PF00028', NULL, NULL, 'Cadherin domain', NULL, 'Cadherin', NULL, NULL, 1312, 8),
(31473, NULL, 'PF15804', NULL, NULL, 'Coiled-coil domain-containing protein 168', NULL, 'CCDC168_N', NULL, NULL, 27657, 8),
(31474, NULL, 'PF18823', NULL, NULL, 'Inorganic Pyrophosphatase', NULL, 'InPase', NULL, NULL, 33107, 8),
(31475, NULL, 'PF19840', NULL, NULL, 'Family of unknown function (DUF6317)', NULL, 'DUF6317', NULL, NULL, 38938, 8),
(31476, NULL, 'PF19841', NULL, NULL, 'Gliding motility associated protein GldN', NULL, 'GldN', NULL, NULL, 15049, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31477, NULL, 'PF03386', NULL, NULL, 'Early nodulin 93 ENOD93 protein', NULL, 'ENOD93', NULL, NULL, 2083, 8),
(31478, NULL, 'PF11383', NULL, NULL, 'Protein of unknown function (DUF3187)', NULL, 'DUF3187', NULL, NULL, 18980, 8),
(31479, NULL, 'PF15257', NULL, NULL, 'Domain of unknown function (DUF4590)', NULL, 'DUF4590', NULL, NULL, 25161, 8),
(31480, NULL, 'PF17289', NULL, NULL, 'Terminase RNaseH-like domain', NULL, 'Terminase_6C', NULL, NULL, 18049, 8),
(31481, NULL, 'PF04174', NULL, NULL, 'A circularly permuted ATPgrasp', NULL, 'CP_ATPgrasp_1', NULL, NULL, 4565, 8),
(31482, NULL, 'PF17671', NULL, NULL, 'Family of unknown function (DUF5531)', NULL, 'DUF5531', NULL, NULL, 35292, 8),
(31483, NULL, 'PF13498', NULL, NULL, 'Domain of unknown function (DUF4122)', NULL, 'DUF4122', NULL, NULL, 21755, 8),
(31484, NULL, 'PF19898', NULL, NULL, 'Domain of unknown function (DUF6371)', NULL, 'DUF6371', NULL, NULL, 39137, 8),
(31485, NULL, 'PF00743', NULL, NULL, 'Flavin-binding monooxygenase-like', NULL, 'FMO-like', NULL, NULL, 20005, 8),
(31486, NULL, 'PF17489', NULL, NULL, 'L1 transposable element trimerization domain', NULL, 'Tnp_22_trimer', NULL, NULL, 10250, 8),
(31487, NULL, 'PF02029', NULL, NULL, 'Caldesmon', NULL, 'Caldesmon', NULL, NULL, 1021, 8),
(31488, NULL, 'PF02598', NULL, NULL, 'Putative RNA methyltransferase', NULL, 'Methyltrn_RNA_3', NULL, NULL, 2013, 8),
(31489, NULL, 'PF06687', NULL, NULL, 'SUR7/PalI family', NULL, 'SUR7', NULL, NULL, 953, 8),
(31490, NULL, 'PF15591', NULL, NULL, 'Immunity protein 31', NULL, 'Imm31', NULL, NULL, 28547, 8),
(31491, NULL, 'PF05826', NULL, NULL, 'Phospholipase A2', NULL, 'Phospholip_A2_2', NULL, NULL, 10126, 8),
(31492, NULL, 'PF13000', NULL, NULL, 'Acetyl-coenzyme A transporter 1', NULL, 'Acatn', NULL, NULL, 24192, 8),
(31493, NULL, 'PF02786', NULL, NULL, 'Carbamoyl-phosphate synthase L chain, ATP binding domain', NULL, 'CPSase_L_D2', NULL, NULL, 883, 8),
(31494, NULL, 'PF12072', NULL, NULL, 'RNase Y N-terminal region', NULL, 'RNase_Y_N', NULL, NULL, 17247, 8),
(31495, NULL, 'PF00528', NULL, NULL, 'Binding-protein-dependent transport system inner membrane component', NULL, 'BPD_transp_1', NULL, NULL, 5913, 8),
(31496, NULL, 'PF19005', NULL, NULL, 'Family of unknown function (DUF5734)', NULL, 'DUF5734', NULL, NULL, 38414, 8),
(31497, NULL, 'PF01196', NULL, NULL, 'Ribosomal protein L17', NULL, 'Ribosomal_L17', NULL, NULL, 6838, 8),
(31498, NULL, 'PF00782', NULL, NULL, 'Dual specificity phosphatase, catalytic domain', NULL, 'DSPc', NULL, NULL, 256, 8),
(31499, NULL, 'PF04892', NULL, NULL, 'VanZ like family', NULL, 'VanZ', NULL, NULL, 5888, 8),
(31500, NULL, 'PF16024', NULL, NULL, 'Domain of unknown function (DUF4785)', NULL, 'DUF4785', NULL, NULL, 25130, 8),
(31501, NULL, 'PF00999', NULL, NULL, 'Sodium/hydrogen exchanger family', NULL, 'Na_H_Exchanger', NULL, NULL, 11229, 8),
(31502, NULL, 'PF02151', NULL, NULL, 'UvrB/uvrC motif', NULL, 'UVR', NULL, NULL, 2092, 8),
(31503, NULL, 'PF11880', NULL, NULL, 'Domain of unknown function (DUF3400)', NULL, 'DUF3400', NULL, NULL, 20226, 8),
(31504, NULL, 'PF08875', NULL, NULL, 'Domain of unknown function (DUF1833)', NULL, 'DUF1833', NULL, NULL, 14303, 8),
(31505, NULL, 'PF12348', NULL, NULL, 'CLASP N terminal', NULL, 'CLASP_N', NULL, NULL, 25437, 8),
(31506, NULL, 'PF02096', NULL, NULL, '60Kd inner membrane protein', NULL, '60KD_IMP', NULL, NULL, 3134, 8),
(31507, NULL, 'PF10208', NULL, NULL, 'ARMET, C-terminal', NULL, 'ARMET_C', NULL, NULL, 15664, 8),
(31508, NULL, 'PF17089', NULL, NULL, 'Uncharacterised protein family', NULL, 'YjbT', NULL, NULL, 25230, 8),
(31509, NULL, 'PF04713', NULL, NULL, 'Poxvirus protein I5', NULL, 'Pox_I5', NULL, NULL, 3917, 8),
(31510, NULL, 'PF15580', NULL, NULL, 'Immunity protein 53', NULL, 'Imm53', NULL, NULL, 23448, 8),
(31511, NULL, 'PF08353', NULL, NULL, 'MurT ligase C-terminal', NULL, 'MurT_C', NULL, NULL, 13376, 8),
(31512, NULL, 'PF10992', NULL, NULL, 'Epiplasmin protein', NULL, 'Epiplasmin', NULL, NULL, 17663, 8),
(31513, NULL, 'PF16857', NULL, NULL, 'RNA polymerase inhibitor', NULL, 'RNA_pol_inhib', NULL, NULL, 21538, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31514, NULL, 'PF16638', NULL, NULL, 'Unstructured region on methyltransferase between zinc-fingers', NULL, 'Tristanin_u2', NULL, NULL, NULL, 8),
(31515, NULL, 'PF19404', NULL, NULL, 'Family of unknown function (DUF5977)', NULL, 'DUF5977', NULL, NULL, 39254, 8),
(31516, NULL, 'PF07703', NULL, NULL, 'Alpha-2-macroglobulin bait region domain', NULL, 'A2M_BRD', NULL, NULL, 10102, 8),
(31517, NULL, 'PF10763', NULL, NULL, 'Protein of unknown function (DUF2584)', NULL, 'DUF2584', NULL, NULL, 20935, 8),
(31518, NULL, 'PF17624', NULL, NULL, 'Family of unknown function', NULL, 'US30', NULL, NULL, 17259, 8),
(31519, NULL, 'PF16384', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4993', NULL, NULL, 22939, 8),
(31520, NULL, 'PF03790', NULL, NULL, 'KNOX1 domain', NULL, 'KNOX1', NULL, NULL, 1840, 8),
(31521, NULL, 'PF18023', NULL, NULL, 'BDBT FKBP like N-terminal', NULL, 'FKBP_N_2', NULL, NULL, 30172, 8),
(31522, NULL, 'PF08590', NULL, NULL, 'Domain of unknown function (DUF1771)', NULL, 'DUF1771', NULL, NULL, 18336, 8),
(31523, NULL, 'PF03690', NULL, NULL, 'Uncharacterised protein family (UPF0160)', NULL, 'UPF0160', NULL, NULL, 2766, 8),
(31524, NULL, 'PF04801', NULL, NULL, 'RPC5 protein', NULL, 'RPC5', NULL, NULL, 4655, 8),
(31525, NULL, 'PF06028', NULL, NULL, 'Alpha/beta hydrolase of unknown function (DUF915)', NULL, 'DUF915', NULL, NULL, 8912, 8),
(31526, NULL, 'PF04538', NULL, NULL, 'Brain expressed X-linked like family', NULL, 'BEX', NULL, NULL, 15756, 8),
(31527, NULL, 'PF17923', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_18', NULL, NULL, 31040, 8),
(31528, NULL, 'PF10061', NULL, NULL, 'Uncharacterized conserved protein (DUF2299)', NULL, 'DUF2299', NULL, NULL, 18942, 8),
(31529, NULL, 'PF16678', NULL, NULL, 'HOIP UBA domain pair', NULL, 'HOIP-UBA', NULL, NULL, 28230, 8),
(31530, NULL, 'PF19181', NULL, NULL, 'Family of unknown function (DUF5863)', NULL, 'DUF5863', NULL, NULL, 37642, 8),
(31531, NULL, 'PF02937', NULL, NULL, 'Cytochrome c oxidase subunit VIc', NULL, 'COX6C', NULL, NULL, 10520, 8),
(31532, NULL, 'PF09552', NULL, NULL, 'BstXI restriction endonuclease', NULL, 'RE_BstXI', NULL, NULL, 15550, 8),
(31533, NULL, 'PF16758', NULL, NULL, 'Herpes-like virus membrane glycoprotein UL141', NULL, 'UL141', NULL, NULL, 23368, 8),
(31534, NULL, 'PF00973', NULL, NULL, 'Paramyxovirus nucleocapsid protein', NULL, 'Paramyxo_ncap', NULL, NULL, 5224, 8),
(31535, NULL, 'PF00163', NULL, NULL, 'Ribosomal protein S4/S9 N-terminal domain', NULL, 'Ribosomal_S4', NULL, NULL, 4057, 8),
(31536, NULL, 'PF12450', NULL, NULL, 'von Willebrand factor', NULL, 'vWF_A', NULL, NULL, 21023, 8),
(31537, NULL, 'PF06869', NULL, NULL, 'Protein of unknown function (DUF1258)', NULL, 'DUF1258', NULL, NULL, 11619, 8),
(31538, NULL, 'PF10897', NULL, NULL, 'Protein of unknown function (DUF2713)', NULL, 'DUF2713', NULL, NULL, 19888, 8),
(31539, NULL, 'PF15192', NULL, NULL, 'TMEM213 family', NULL, 'TMEM213', NULL, NULL, 27118, 8),
(31540, NULL, 'PF15079', NULL, NULL, 'Testis-specific protein 35', NULL, 'Tsc35', NULL, NULL, 25473, 8),
(31541, NULL, 'PF01281', NULL, NULL, 'Ribosomal protein L9, N-terminal domain', NULL, 'Ribosomal_L9_N', NULL, NULL, 18619, 8),
(31542, NULL, 'PF12055', NULL, NULL, 'Domain of unknown function (DUF3536)', NULL, 'DUF3536', NULL, NULL, 20276, 8),
(31543, NULL, 'PF10811', NULL, NULL, 'Protein of unknown function (DUF2532)', NULL, 'DUF2532', NULL, NULL, 24843, 8),
(31544, NULL, 'PF01113', NULL, NULL, 'Dihydrodipicolinate reductase, N-terminus', NULL, 'DapB_N', NULL, NULL, 4878, 8),
(31545, NULL, 'PF01738', NULL, NULL, 'Dienelactone hydrolase family', NULL, 'DLH', NULL, NULL, 6920, 8),
(31546, NULL, 'PF18039', NULL, NULL, 'UBA-like domain', NULL, 'UBA_6', NULL, NULL, 29469, 8),
(31547, NULL, 'PF06848', NULL, NULL, 'Disaggregatase related repeat', NULL, 'Disaggr_repeat', NULL, NULL, 9206, 8),
(31548, NULL, 'PF13265', NULL, NULL, 'Protein of unknown function (DUF4056)', NULL, 'DUF4056', NULL, NULL, 23804, 8),
(31549, NULL, 'PF01469', NULL, NULL, 'Pentapeptide repeats (8 copies)', NULL, 'Pentapeptide_2', NULL, NULL, 7287, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31550, NULL, 'PF18087', NULL, NULL, 'Rubisco Assembly chaperone C-terminal domain', NULL, 'RuBisCo_chap_C', NULL, NULL, 35499, 8),
(31551, NULL, 'PF01350', NULL, NULL, 'Flavivirus non-structural protein NS4A', NULL, 'Flavi_NS4A', NULL, NULL, 6703, 8),
(31552, NULL, 'PF08987', NULL, NULL, 'Protein of unknown function (DUF1892)', NULL, 'DUF1892', NULL, NULL, 8553, 8),
(31553, NULL, 'PF11304', NULL, NULL, 'Protein of unknown function (DUF3106)', NULL, 'DUF3106', NULL, NULL, 18410, 8),
(31554, NULL, 'PF08181', NULL, NULL, 'DegQ (SacQ) family', NULL, 'DegQ', NULL, NULL, 8567, 8),
(31555, NULL, 'PF13598', NULL, NULL, 'Domain of unknown function (DUF4139)', NULL, 'DUF4139', NULL, NULL, 32435, 8),
(31556, NULL, 'PF12798', NULL, NULL, '4Fe-4S binding domain', NULL, 'Fer4_3', NULL, NULL, 13131, 8),
(31557, NULL, 'PF03085', NULL, NULL, 'Rhoptry-associated protein 1 (RAP-1)', NULL, 'RAP-1', NULL, NULL, 4661, 8),
(31558, NULL, 'PF04223', NULL, NULL, 'Citrate lyase, alpha subunit (CitF)', NULL, 'CitF', NULL, NULL, 6042, 8),
(31559, NULL, 'PF13574', NULL, NULL, 'Metallo-peptidase family M12B Reprolysin-like', NULL, 'Reprolysin_2', NULL, NULL, NULL, 8),
(31560, NULL, 'PF19492', NULL, NULL, 'Family of unknown function (DUF6027)', NULL, 'DUF6027', NULL, NULL, 39176, 8),
(31561, NULL, 'PF09003', NULL, NULL, 'Bacteriophage lambda integrase, Arm DNA-binding domain', NULL, 'Arm-DNA-bind_1', NULL, NULL, 8666, 8),
(31562, NULL, 'PF13754', NULL, NULL, 'Domain of unknown function', NULL, 'Big_3_4', NULL, NULL, 20725, 8),
(31563, NULL, 'PF17556', NULL, NULL, 'MIT-like atracotoxin family', NULL, 'MIT_LIKE_ACTX', NULL, NULL, 13885, 8),
(31564, NULL, 'PF01071', NULL, NULL, 'Phosphoribosylglycinamide synthetase, ATP-grasp (A) domain', NULL, 'GARS_A', NULL, NULL, 14967, 8),
(31565, NULL, 'PF11071', NULL, NULL, 'Nucleoside 2-deoxyribosyltransferase YtoQ', NULL, 'Nuc_deoxyri_tr3', NULL, NULL, 18242, 8),
(31566, NULL, 'PF00267', NULL, NULL, 'Gram-negative porin', NULL, 'Porin_1', NULL, NULL, 3463, 8),
(31567, NULL, 'PF14073', NULL, NULL, 'Centrosome localisation domain of Cep57', NULL, 'Cep57_CLD', NULL, NULL, 24469, 8),
(31568, NULL, 'PF01536', NULL, NULL, 'Adenosylmethionine decarboxylase', NULL, 'SAM_decarbox', NULL, NULL, 5174, 8),
(31569, NULL, 'PF12950', NULL, NULL, 'TaqI-like C-terminal specificity domain', NULL, 'TaqI_C', NULL, NULL, 25969, 8),
(31570, NULL, 'PF19529', NULL, NULL, 'Family of unknown function (DUF6057)', NULL, 'DUF6057', NULL, NULL, 38717, 8),
(31571, NULL, 'PF10615', NULL, NULL, 'Protein of unknown function (DUF2470)', NULL, 'DUF2470', NULL, NULL, 20361, 8),
(31572, NULL, 'PF00136', NULL, NULL, 'DNA polymerase family B', NULL, 'DNA_pol_B', NULL, NULL, 10465, 8),
(31573, NULL, 'PF17135', NULL, NULL, 'Ribosomal protein 60S L18 and 50S L18e', NULL, 'Ribosomal_L18', NULL, NULL, 15404, 8),
(31574, NULL, 'PF02691', NULL, NULL, 'Vacuolating cyotoxin', NULL, 'VacA', NULL, NULL, 3071, 8),
(31575, NULL, 'PF18240', NULL, NULL, 'Photosystem II Psb31 protein', NULL, 'PSII_Pbs31', NULL, NULL, 31286, 8),
(31576, NULL, 'PF19212', NULL, NULL, 'Coronavirus replicase NSP2, C-terminal', NULL, 'CoV_NSP2_C', NULL, NULL, 38608, 8),
(31577, NULL, 'PF16907', NULL, NULL, 'Proline rich region of Caskin proteins', NULL, 'Caskin-Pro-rich', NULL, NULL, NULL, 8),
(31578, NULL, 'PF09689', NULL, NULL, 'Plasmodium yoelii repeat (PY_rept_46)', NULL, 'PY_rept_46', NULL, NULL, 38164, 8),
(31579, NULL, 'PF14374', NULL, NULL, '60S ribosomal protein L4 C-terminal domain', NULL, 'Ribos_L4_asso_C', NULL, NULL, 23101, 8),
(31580, NULL, 'PF15825', NULL, NULL, 'FAM25 family', NULL, 'FAM25', NULL, NULL, 15510, 8),
(31581, NULL, 'PF08220', NULL, NULL, 'DeoR-like helix-turn-helix domain', NULL, 'HTH_DeoR', NULL, NULL, 1274, 8),
(31582, NULL, 'PF13502', NULL, NULL, 'AsmA-like C-terminal region', NULL, 'AsmA_2', NULL, NULL, 29285, 8),
(31583, NULL, 'PF05621', NULL, NULL, 'Bacterial TniB protein', NULL, 'TniB', NULL, NULL, 7681, 8),
(31584, NULL, 'PF06863', NULL, NULL, 'Protein of unknown function (DUF1254)', NULL, 'DUF1254', NULL, NULL, 9045, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31585, NULL, 'PF02441', NULL, NULL, 'Flavoprotein', NULL, 'Flavoprotein', NULL, NULL, 4525, 8),
(31586, NULL, 'PF13468', NULL, NULL, 'Glyoxalase-like domain', NULL, 'Glyoxalase_3', NULL, NULL, 27354, 8),
(31587, NULL, 'PF14515', NULL, NULL, 'Haem-oxygenase-associated N-terminal helices', NULL, 'HOASN', NULL, NULL, 24273, 8),
(31588, NULL, 'PF11583', NULL, NULL, 'P-aminobenzoate N-oxygenase AurF', NULL, 'AurF', NULL, NULL, 27181, 8),
(31589, NULL, 'PF17375', NULL, NULL, 'Family of unknown function (DUF5397)', NULL, 'DUF5397', NULL, NULL, 31722, 8),
(31590, NULL, 'PF04386', NULL, NULL, 'Stringent starvation protein B', NULL, 'SspB', NULL, NULL, 10110, 8),
(31591, NULL, 'PF18317', NULL, NULL, 'Shikimate 5''-dehydrogenase C-terminal domain', NULL, 'SDH_C', NULL, NULL, 31261, 8),
(31592, NULL, 'PF10049', NULL, NULL, 'Protein of unknown function (DUF2283)', NULL, 'DUF2283', NULL, NULL, 20229, 8),
(31593, NULL, 'PF01390', NULL, NULL, 'SEA domain', NULL, 'SEA', NULL, NULL, 2974, 8),
(31594, NULL, 'PF16070', NULL, NULL, 'Transmembrane protein family 132', NULL, 'TMEM132', NULL, NULL, 25494, 8),
(31595, NULL, 'PF05659', NULL, NULL, 'Arabidopsis broad-spectrum mildew resistance protein RPW8', NULL, 'RPW8', NULL, NULL, 14048, 8),
(31596, NULL, 'PF13132', NULL, NULL, 'Domain of unknown function (DUF3950)', NULL, 'DUF3950', NULL, NULL, 27195, 8),
(31597, NULL, 'PF18384', NULL, NULL, 'Unkempt Zinc finger domain 1 (Znf1)', NULL, 'zf_CCCH_5', NULL, NULL, 29795, 8),
(31598, NULL, 'PF18099', NULL, NULL, 'DUF5010 C-terminal domain', NULL, 'DUF5010_C', NULL, NULL, 31851, 8),
(31599, NULL, 'PF06362', NULL, NULL, 'Protein of unknown function (DUF1067)', NULL, 'DUF1067', NULL, NULL, 8167, 8),
(31600, NULL, 'PF16438', NULL, NULL, 'Domain of unknown function (DUF5035)', NULL, 'DUF5035', NULL, NULL, 25894, 8),
(31601, NULL, 'PF04857', NULL, NULL, 'CAF1 family ribonuclease', NULL, 'CAF1', NULL, NULL, 5591, 8),
(31602, NULL, 'PF14903', NULL, NULL, 'WG containing repeat', NULL, 'WG_beta_rep', NULL, NULL, 22826, 8),
(31603, NULL, 'PF03409', NULL, NULL, 'Transmembrane glycoprotein', NULL, 'Glycoprotein', NULL, NULL, 10073, 8),
(31604, NULL, 'PF01843', NULL, NULL, 'DIL domain', NULL, 'DIL', NULL, NULL, 3722, 8),
(31605, NULL, 'PF18553', NULL, NULL, 'PheRS DNA binding domain 3', NULL, 'PheRS_DBD3', NULL, NULL, 31997, 8),
(31606, NULL, 'PF06413', NULL, NULL, 'Neugrin', NULL, 'Neugrin', NULL, NULL, 10129, 8),
(31607, NULL, 'PF06708', NULL, NULL, 'Protein of unknown function (DUF1195)', NULL, 'DUF1195', NULL, NULL, 8428, 8),
(31608, NULL, 'PF01327', NULL, NULL, 'Polypeptide deformylase', NULL, 'Pep_deformylase', NULL, NULL, 6236, 8),
(31609, NULL, 'PF18809', NULL, NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease1', NULL, 'PBECR1', NULL, NULL, 31543, 8),
(31610, NULL, 'PF13435', NULL, NULL, 'Cytochrome c554 and c-prime', NULL, 'Cytochrome_C554', NULL, NULL, 15962, 8),
(31611, NULL, 'PF11938', NULL, NULL, 'TLR4 regulator and MIR-interacting MSAP', NULL, 'DUF3456', NULL, NULL, 20074, 8),
(31612, NULL, 'PF01799', NULL, NULL, '[2Fe-2S] binding domain', NULL, 'Fer2_2', NULL, NULL, 5650, 8),
(31613, NULL, 'PF18884', NULL, NULL, 'Bacterial TSP3 repeat', NULL, 'TSP3_bac', NULL, NULL, NULL, 8),
(31614, NULL, 'PF09290', NULL, NULL, 'Prokaryotic acetaldehyde dehydrogenase, dimerisation', NULL, 'AcetDehyd-dimer', NULL, NULL, 11588, 8),
(31615, NULL, 'PF15833', NULL, NULL, 'Domain of unknown function (DUF4714)', NULL, 'DUF4714', NULL, NULL, 27135, 8),
(31616, NULL, 'PF04190', NULL, NULL, 'Golgi to ER traffic protein 4', NULL, 'GET4', NULL, NULL, 4815, 8),
(31617, NULL, 'PF10505', NULL, NULL, 'NMDA receptor-regulated gene protein 2 C-terminus', NULL, 'NARG2_C', NULL, NULL, 19019, 8),
(31618, NULL, 'PF11281', NULL, NULL, 'Protein of unknown function (DUF3083)', NULL, 'DUF3083', NULL, NULL, 18500, 8),
(31619, NULL, 'PF19268', NULL, NULL, 'Contractile injection system tape measure protein', NULL, 'CIS_TMP', NULL, NULL, 38802, 8),
(31620, NULL, 'PF19013', NULL, NULL, 'Family of unknown function (DUF5742)', NULL, 'DUF5742', NULL, NULL, 38010, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31621, NULL, 'PF19331', NULL, NULL, 'Methylcrotonoyl-CoA carboxylase subunit alpha BT domain', NULL, 'MCCA_BT', NULL, NULL, 37084, 8),
(31622, NULL, 'PF14105', NULL, NULL, 'Domain of unknown function (DUF4278)', NULL, 'DUF4278', NULL, NULL, 23401, 8),
(31623, NULL, 'PF09450', NULL, NULL, 'Domain of unknown function (DUF2019)', NULL, 'DUF2019', NULL, NULL, 15769, 8),
(31624, NULL, 'PF16188', NULL, NULL, 'C-terminal region of peptidase_M24', NULL, 'Peptidase_M24_C', NULL, NULL, 26938, 8),
(31625, NULL, 'PF13143', NULL, NULL, 'Protein of unknown function (DUF3986)', NULL, 'DUF3986', NULL, NULL, 23310, 8),
(31626, NULL, 'PF12463', NULL, NULL, 'Protein of unknown function (DUF3689)', NULL, 'DUF3689', NULL, NULL, 21420, 8),
(31627, NULL, 'PF11879', NULL, NULL, 'Domain of unknown function (DUF3399)', NULL, 'DUF3399', NULL, NULL, 28780, 8),
(31628, NULL, 'PF14999', NULL, NULL, 'Shadow of prion protein, neuroprotective', NULL, 'Shadoo', NULL, NULL, 22094, 8),
(31629, NULL, 'PF16592', NULL, NULL, 'REC lobe of CRISPR-associated endonuclease Cas9', NULL, 'Cas9_REC', NULL, NULL, 29463, 8),
(31630, NULL, 'PF15741', NULL, NULL, 'Ligand-dependent nuclear receptor-interacting factor 1', NULL, 'LRIF1', NULL, NULL, 21907, 8),
(31631, NULL, 'PF05251', NULL, NULL, 'Oligosaccharyltransferase subunit 5', NULL, 'Ost5', NULL, NULL, 3148, 8),
(31632, NULL, 'PF04882', NULL, NULL, 'Peroxin-3', NULL, 'Peroxin-3', NULL, NULL, 5869, 8),
(31633, NULL, 'PF16508', NULL, NULL, 'Second BRCT domain on Nijmegen syndrome breakage protein', NULL, 'NIBRIN_BRCT_II', NULL, NULL, 26990, 8),
(31634, NULL, 'PF02284', NULL, NULL, 'Cytochrome c oxidase subunit Va', NULL, 'COX5A', NULL, NULL, 1935, 8),
(31635, NULL, 'PF10967', NULL, NULL, 'Protein of unknown function (DUF2769)', NULL, 'DUF2769', NULL, NULL, 12238, 8),
(31636, NULL, 'PF10462', NULL, NULL, 'Peptidase M66', NULL, 'Peptidase_M66', NULL, NULL, NULL, 8),
(31637, NULL, 'PF20114', NULL, NULL, 'Family of unknown function (DUF6504)', NULL, 'DUF6504', NULL, NULL, 39854, 8),
(31638, NULL, 'PF15531', NULL, NULL, 'Bacterial toxin 27', NULL, 'Ntox27', NULL, NULL, 25016, 8),
(31639, NULL, 'PF09021', NULL, NULL, 'HutP', NULL, 'HutP', NULL, NULL, 9874, 8),
(31640, NULL, 'PF04617', NULL, NULL, 'Hox9 activation region', NULL, 'Hox9_act', NULL, NULL, 2177, 8),
(31641, NULL, 'PF00125', NULL, NULL, 'Core histone H2A/H2B/H3/H4', NULL, 'Histone', NULL, NULL, 26, 8),
(31642, NULL, 'PF15458', NULL, NULL, 'Nineteen complex-related protein 2', NULL, 'NTR2', NULL, NULL, 22630, 8),
(31643, NULL, 'PF08400', NULL, NULL, 'Prophage tail fibre N-terminal', NULL, 'phage_tail_N', NULL, NULL, 11437, 8),
(31644, NULL, 'PF05784', NULL, NULL, 'Betaherpesvirus UL82/83 protein N terminus', NULL, 'Herpes_UL82_83', NULL, NULL, 13147, 8),
(31645, NULL, 'PF18124', NULL, NULL, 'Kindlin-2 N-terminal domain', NULL, 'Kindlin_2_N', NULL, NULL, 31418, 8),
(31646, NULL, 'PF13632', NULL, NULL, 'Glycosyl transferase family group 2', NULL, 'Glyco_trans_2_3', NULL, NULL, 1252, 8),
(31647, NULL, 'PF08615', NULL, NULL, 'Ribonuclease H2 non-catalytic subunit (Ylr154p-like)', NULL, 'RNase_H2_suC', NULL, NULL, 14269, 8),
(31648, NULL, 'PF08814', NULL, NULL, 'XisH protein', NULL, 'XisH', NULL, NULL, 13276, 8),
(31649, NULL, 'PF07101', NULL, NULL, 'Protein of unknown function (DUF1363)', NULL, 'DUF1363', NULL, NULL, 13797, 8),
(31650, NULL, 'PF14671', NULL, NULL, 'Dual specificity protein phosphatase, N-terminal half', NULL, 'DSPn', NULL, NULL, 22383, 8),
(31651, NULL, 'PF07198', NULL, NULL, 'Protein of unknown function (DUF1410)', NULL, 'DUF1410', NULL, NULL, 14400, 8),
(31652, NULL, 'PF07568', NULL, NULL, 'Histidine kinase', NULL, 'HisKA_2', NULL, NULL, 12902, 8),
(31653, NULL, 'PF14301', NULL, NULL, 'Domain of unknown function (DUF4376)', NULL, 'DUF4376', NULL, NULL, 28180, 8),
(31654, NULL, 'PF18179', NULL, NULL, 'SMODS- and Ubiquitin system-associated 2TM effector domain', NULL, 'SUa-2TM', NULL, NULL, 32238, 8),
(31655, NULL, 'PF12366', NULL, NULL, 'Cancer susceptibility candidate 1 C-terminal', NULL, 'Casc1_C', NULL, NULL, 21215, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31656, NULL, 'PF01693', NULL, NULL, 'Caulimovirus viroplasmin', NULL, 'Cauli_VI', NULL, NULL, 13011, 8),
(31657, NULL, 'PF03993', NULL, NULL, 'Domain of Unknown Function (DUF349)', NULL, 'DUF349', NULL, NULL, 200, 8),
(31658, NULL, 'PF02250', NULL, NULL, '35kD major secreted virus protein', NULL, 'Orthopox_35kD', NULL, NULL, 1617, 8),
(31659, NULL, 'PF16975', NULL, NULL, 'Ly6/PLAUR domain-containing protein 6, Lypd6', NULL, 'UPAR_LY6_2', NULL, NULL, NULL, 8),
(31660, NULL, 'PF09966', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2200)', NULL, 'DUF2200', NULL, NULL, 8155, 8),
(31661, NULL, 'PF14704', NULL, NULL, 'Dermatopontin', NULL, 'DERM', NULL, NULL, 24325, 8),
(31662, NULL, 'PF19523', NULL, NULL, 'Family of unknown function (DUF6053)', NULL, 'DUF6053', NULL, NULL, 39559, 8),
(31663, NULL, 'PF15232', NULL, NULL, 'Domain of unknown function (DUF4585)', NULL, 'DUF4585', NULL, NULL, 28172, 8),
(31664, NULL, 'PF16656', NULL, NULL, 'Purple acid Phosphatase, N-terminal domain', NULL, 'Pur_ac_phosph_N', NULL, NULL, 8227, 8),
(31665, NULL, 'PF17518', NULL, NULL, 'Family of unknown function (DUF5443)', NULL, 'DUF5443', NULL, NULL, 9034, 8),
(31666, NULL, 'PF06324', NULL, NULL, 'Pigment-dispersing hormone (PDH)', NULL, 'Pigment_DH', NULL, NULL, 8315, 8),
(31667, NULL, 'PF01232', NULL, NULL, 'Mannitol dehydrogenase Rossmann domain', NULL, 'Mannitol_dh', NULL, NULL, 12698, 8),
(31668, NULL, 'PF08037', NULL, NULL, 'Attractin family', NULL, 'Attractin', NULL, NULL, 12790, 8),
(31669, NULL, 'PF07578', NULL, NULL, 'Lipid A Biosynthesis N-terminal domain', NULL, 'LAB_N', NULL, NULL, 12928, 8),
(31670, NULL, 'PF18602', NULL, NULL, 'Rap1a immunity proteins', NULL, 'Rap1a', NULL, NULL, 32537, 8),
(31671, NULL, 'PF07994', NULL, NULL, 'Myo-inositol-1-phosphate synthase', NULL, 'NAD_binding_5', NULL, NULL, 1532, 8),
(31672, NULL, 'PF14355', NULL, NULL, 'Abortive infection C-terminus', NULL, 'Abi_C', NULL, NULL, 24305, 8),
(31673, NULL, 'PF03534', NULL, NULL, 'Salmonella virulence plasmid 65kDa B protein', NULL, 'SpvB', NULL, NULL, 3028, 8),
(31674, NULL, 'PF00457', NULL, NULL, 'Glycosyl hydrolases family 11', NULL, 'Glyco_hydro_11', NULL, NULL, 36014, 8),
(31675, NULL, 'PF08598', NULL, NULL, 'Sds3-like', NULL, 'Sds3', NULL, NULL, 18462, 8),
(31676, NULL, 'PF05085', NULL, NULL, 'Protein of unknown function (DUF685)', NULL, 'DUF685', NULL, NULL, 1076, 8),
(31677, NULL, 'PF02084', NULL, NULL, 'Bindin', NULL, 'Bindin', NULL, NULL, 4397, 8),
(31678, NULL, 'PF03363', NULL, NULL, 'Herpesvirus leader protein', NULL, 'Herpes_LP', NULL, NULL, 1069, 8),
(31679, NULL, 'PF01483', NULL, NULL, 'Proprotein convertase P-domain', NULL, 'P_proprotein', NULL, NULL, 5954, 8),
(31680, NULL, 'PF06266', NULL, NULL, 'HrpF protein', NULL, 'HrpF', NULL, NULL, 14883, 8),
(31681, NULL, 'PF08677', NULL, NULL, 'GP11 baseplate wedge protein', NULL, 'GP11', NULL, NULL, 11775, 8),
(31682, NULL, 'PF19273', NULL, NULL, 'Exportin-5 family', NULL, 'Exportin-5', NULL, NULL, 37205, 8),
(31683, NULL, 'PF12977', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3861)', NULL, 'DUF3861', NULL, NULL, 23184, 8),
(31684, NULL, 'PF14861', NULL, NULL, 'Plant antimicrobial peptide', NULL, 'Antimicrobial21', NULL, NULL, 28998, 8),
(31685, NULL, 'PF17698', NULL, NULL, 'Family of unknown function (DUF5544)', NULL, 'DUF5544', NULL, NULL, 31397, 8),
(31686, NULL, 'PF03207', NULL, NULL, 'Borrelia outer surface protein D (OspD)', NULL, 'OspD', NULL, NULL, 128, 8),
(31687, NULL, 'PF10175', NULL, NULL, 'M-phase phosphoprotein 6', NULL, 'MPP6', NULL, NULL, 15244, 8),
(31688, NULL, 'PF13396', NULL, NULL, 'Phospholipase_D-nuclease N-terminal', NULL, 'PLDc_N', NULL, NULL, 25753, 8),
(31689, NULL, 'PF05311', NULL, NULL, 'Baculovirus 33KDa late protein (PP31)', NULL, 'Baculo_PP31', NULL, NULL, 4119, 8),
(31690, NULL, 'PF10011', NULL, NULL, 'Predicted membrane protein (DUF2254)', NULL, 'DUF2254', NULL, NULL, 17672, 8),
(31691, NULL, 'PF05579', NULL, NULL, 'Equine arteritis virus serine endopeptidase S32', NULL, 'Peptidase_S32', NULL, NULL, 12312, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31692, NULL, 'PF10035', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2179)', NULL, 'DUF2179', NULL, NULL, 20045, 8),
(31693, NULL, 'PF12939', NULL, NULL, 'Domain of unknown function (DUF3837)', NULL, 'DUF3837', NULL, NULL, 21878, 8),
(31694, NULL, 'PF02666', NULL, NULL, 'Phosphatidylserine decarboxylase', NULL, 'PS_Dcarbxylase', NULL, NULL, 3498, 8),
(31695, NULL, 'PF19347', NULL, NULL, 'Domain of unknown function (DUF5925)', NULL, 'DUF5925', NULL, NULL, 39427, 8),
(31696, NULL, 'PF06130', NULL, NULL, 'Phosphate propanoyltransferase', NULL, 'PTAC', NULL, NULL, 8877, 8),
(31697, NULL, 'PF02317', NULL, NULL, 'NAD/NADP octopine/nopaline dehydrogenase, alpha-helical domain', NULL, 'Octopine_DH', NULL, NULL, 5375, 8),
(31698, NULL, 'PF04567', NULL, NULL, 'RNA polymerase Rpb2, domain 5', NULL, 'RNA_pol_Rpb2_5', NULL, NULL, 275, 8),
(31699, NULL, 'PF14461', NULL, NULL, 'Prokaryotic E2 family B', NULL, 'Prok-E2_B', NULL, NULL, 22236, 8),
(31700, NULL, 'PF02106', NULL, NULL, 'Fanconi anaemia group C protein', NULL, 'Fanconi_C', NULL, NULL, 6817, 8),
(31701, NULL, 'PF04767', NULL, NULL, 'DNA-binding 11 kDa phosphoprotein', NULL, 'Pox_F17', NULL, NULL, 4342, 8),
(31702, NULL, 'PF09343', NULL, NULL, 'Conserved hypothetical protein 2217 (DUF2460)', NULL, 'DUF2460', NULL, NULL, 11785, 8),
(31703, NULL, 'PF10129', NULL, NULL, 'OpgC protein', NULL, 'OpgC_C', NULL, NULL, 12198, 8),
(31704, NULL, 'PF10765', NULL, NULL, 'Protein of unknown function (DUF2591)', NULL, 'DUF2591', NULL, NULL, 20546, 8),
(31705, NULL, 'PF05776', NULL, NULL, 'Papillomavirus E5A protein', NULL, 'Papilloma_E5A', NULL, NULL, 12490, 8),
(31706, NULL, 'PF13673', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_10', NULL, NULL, 1672, 8),
(31707, NULL, 'PF00111', NULL, NULL, '2Fe-2S iron-sulfur cluster binding domain', NULL, 'Fer2', NULL, NULL, 2219, 8),
(31708, NULL, 'PF15135', NULL, NULL, 'Uncharacterised protein UPF0515', NULL, 'UPF0515', NULL, NULL, 22971, 8),
(31709, NULL, 'PF15415', NULL, NULL, 'Fimbrillin-like', NULL, 'Mfa_like_2', NULL, NULL, 22415, 8),
(31710, NULL, 'PF10557', NULL, NULL, 'Cullin protein neddylation domain', NULL, 'Cullin_Nedd8', NULL, NULL, 19914, 8),
(31711, NULL, 'PF03713', NULL, NULL, 'Domain of unknown function (DUF305)', NULL, 'DUF305', NULL, NULL, 5248, 8),
(31712, NULL, 'PF11347', NULL, NULL, 'Protein of unknown function (DUF3148)', NULL, 'DUF3148', NULL, NULL, 18659, 8),
(31713, NULL, 'PF16014', NULL, NULL, 'Histone deacetylase complex subunit SAP130 C-terminus', NULL, 'SAP130_C', NULL, NULL, 22960, 8),
(31714, NULL, 'PF17750', NULL, NULL, 'Reovirus sigma C capsid protein triple beta spiral', NULL, 'Reo_sigmaC_M', NULL, NULL, 31913, 8),
(31715, NULL, 'PF13628', NULL, NULL, 'Domain of unknown function (DUF4142)', NULL, 'DUF4142', NULL, NULL, 23378, 8),
(31716, NULL, 'PF04340', NULL, NULL, 'Protein of unknown function, DUF484', NULL, 'DUF484', NULL, NULL, 3770, 8),
(31717, NULL, 'PF17290', NULL, NULL, 'Arenavirus nucleocapsid C-terminal domain', NULL, 'Arena_ncap_C', NULL, NULL, 31489, 8),
(31718, NULL, 'PF01840', NULL, NULL, 'TCL1/MTCP1 family', NULL, 'TCL1_MTCP1', NULL, NULL, 4499, 8),
(31719, NULL, 'PF09099', NULL, NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit domain III', NULL, 'Qn_am_d_aIII', NULL, NULL, 10717, 8),
(31720, NULL, 'PF07807', NULL, NULL, 'RED-like protein C-terminal region', NULL, 'RED_C', NULL, NULL, 12640, 8),
(31721, NULL, 'PF12694', NULL, NULL, 'Circularly permutated YpsA SLOG family', NULL, 'cpYpsA', NULL, NULL, 26015, 8),
(31722, NULL, 'PF11035', NULL, NULL, 'Small nuclear RNA activating complex (SNAPc), subunit 2', NULL, 'SNAPC2', NULL, NULL, 17969, 8),
(31723, NULL, 'PF15273', NULL, NULL, 'NHS-like', NULL, 'NHS', NULL, NULL, 22920, 8),
(31724, NULL, 'PF00519', NULL, NULL, 'Papillomavirus helicase', NULL, 'PPV_E1_C', NULL, NULL, 1201, 8),
(31725, NULL, 'PF16976', NULL, NULL, 'Flp pilus assembly protein RcpC/CpaB', NULL, 'RcpC', NULL, NULL, 28640, 8),
(31726, NULL, 'PF16577', NULL, NULL, 'UBA domain', NULL, 'UBA_5', NULL, NULL, 33456, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31727, NULL, 'PF13157', NULL, NULL, 'Protein of unknown function (DUF3992)', NULL, 'DUF3992', NULL, NULL, 23831, 8),
(31728, NULL, 'PF12953', NULL, NULL, 'Domain of unknown function (DUF3842)', NULL, 'DUF3842', NULL, NULL, 11534, 8),
(31729, NULL, 'PF00497', NULL, NULL, 'Bacterial extracellular solute-binding proteins, family 3', NULL, 'SBP_bac_3', NULL, NULL, 3243, 8),
(31730, NULL, 'PF05155', NULL, NULL, 'Phage X family', NULL, 'Phage_X', NULL, NULL, 14601, 8),
(31731, NULL, 'PF04320', NULL, NULL, 'YggL 50S ribosome-binding protein', NULL, 'YggL_50S_bp', NULL, NULL, 3764, 8),
(31732, NULL, 'PF01299', NULL, NULL, 'Lysosome-associated membrane glycoprotein (Lamp)', NULL, 'Lamp', NULL, NULL, 5074, 8),
(31733, NULL, 'PF07806', NULL, NULL, 'Nodule-specific GRP repeat', NULL, 'Nod_GRP', NULL, NULL, 12685, 8),
(31734, NULL, 'PF15532', NULL, NULL, 'Bacterial toxin 30', NULL, 'Ntox30', NULL, NULL, 25488, 8),
(31735, NULL, 'PF17291', NULL, NULL, 'N-terminal domain of M60-like peptidases', NULL, 'M60-like_N', NULL, NULL, 33597, 8),
(31736, NULL, 'PF16665', NULL, NULL, 'Unstructured region on nuclear receptor coactivator protein', NULL, 'NCOA_u2', NULL, NULL, NULL, 8),
(31737, NULL, 'PF10042', NULL, NULL, 'Uncharacterized conserved protein (DUF2278)', NULL, 'DUF2278', NULL, NULL, 20285, 8),
(31738, NULL, 'PF14991', NULL, NULL, 'Protein melan-A', NULL, 'MLANA', NULL, NULL, 22335, 8),
(31739, NULL, 'PF03186', NULL, NULL, 'CobD/Cbib protein', NULL, 'CobD_Cbib', NULL, NULL, 1457, 8),
(31740, NULL, 'PF09582', NULL, NULL, 'Iron only nitrogenase protein AnfO (AnfO_nitrog)', NULL, 'AnfO_nitrog', NULL, NULL, 9383, 8),
(31741, NULL, 'PF13522', NULL, NULL, 'Glutamine amidotransferase domain', NULL, 'GATase_6', NULL, NULL, NULL, 8),
(31742, NULL, 'PF03487', NULL, NULL, 'Interleukin-13', NULL, 'IL13', NULL, NULL, 19798, 8),
(31743, NULL, 'PF13860', NULL, NULL, 'FlgD Ig-like domain', NULL, 'FlgD_ig', NULL, NULL, 25500, 8),
(31744, NULL, 'PF13753', NULL, NULL, 'Putative flagellar system-associated repeat', NULL, 'SWM_repeat', NULL, NULL, 28532, 8),
(31745, NULL, 'PF03360', NULL, NULL, 'Glycosyltransferase family 43', NULL, 'Glyco_transf_43', NULL, NULL, 1366, 8),
(31746, NULL, 'PF12529', NULL, NULL, 'Xylosyltransferase C terminal', NULL, 'Xylo_C', NULL, NULL, 23042, 8),
(31747, NULL, 'PF08586', NULL, NULL, 'RSC complex, Rsc14/Ldb7 subunit', NULL, 'Rsc14', NULL, NULL, 18318, 8),
(31748, NULL, 'PF00631', NULL, NULL, 'GGL domain', NULL, 'G-gamma', NULL, NULL, 7721, 8),
(31749, NULL, 'PF08136', NULL, NULL, '30S ribosomal protein subunit S22 family', NULL, 'Ribosomal_S22', NULL, NULL, 9552, 8),
(31750, NULL, 'PF07371', NULL, NULL, 'Protein of unknown function (DUF1490)', NULL, 'DUF1490', NULL, NULL, 8140, 8),
(31751, NULL, 'PF15032', NULL, NULL, 'Protein of unknown function (DUF4529)', NULL, 'DUF4529', NULL, NULL, 22654, 8),
(31752, NULL, 'PF15972', NULL, NULL, 'Unpaired protein', NULL, 'Unpaired', NULL, NULL, 27113, 8),
(31753, NULL, 'PF04936', NULL, NULL, 'Protein of unknown function (DUF658)', NULL, 'DUF658', NULL, NULL, 6727, 8),
(31754, NULL, 'PF08403', NULL, NULL, 'Amino acid permease N-terminal', NULL, 'AA_permease_N', NULL, NULL, 11356, 8),
(31755, NULL, 'PF12934', NULL, NULL, 'FTO C-terminal domain', NULL, 'FTO_CTD', NULL, NULL, 23077, 8),
(31756, NULL, 'PF01889', NULL, NULL, 'Membrane protein of unknown function DUF63', NULL, 'DUF63', NULL, NULL, 3513, 8),
(31757, NULL, 'PF02377', NULL, NULL, 'Dishevelled specific domain', NULL, 'Dishevelled', NULL, NULL, 4346, 8),
(31758, NULL, 'PF19050', NULL, NULL, 'PhoD related phosphatase', NULL, 'PhoD_2', NULL, NULL, 37931, 8),
(31759, NULL, 'PF07352', NULL, NULL, 'Bacteriophage Mu Gam like protein', NULL, 'Phage_Mu_Gam', NULL, NULL, 8411, 8),
(31760, NULL, 'PF00736', NULL, NULL, 'EF-1 guanine nucleotide exchange domain', NULL, 'EF1_GNE', NULL, NULL, 11992, 8),
(31761, NULL, 'PF01231', NULL, NULL, 'Indoleamine 2,3-dioxygenase', NULL, 'IDO', NULL, NULL, 3389, 8),
(31762, NULL, 'PF01791', NULL, NULL, 'DeoC/LacD family aldolase', NULL, 'DeoC', NULL, NULL, 6095, 8),
(31763, NULL, 'PF03663', NULL, NULL, 'Glycosyl hydrolase family 76', NULL, 'Glyco_hydro_76', NULL, NULL, 6878, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31764, NULL, 'PF08532', NULL, NULL, 'Beta-galactosidase trimerisation domain', NULL, 'Glyco_hydro_42M', NULL, NULL, 7597, 8),
(31765, NULL, 'PF12605', NULL, NULL, 'Casein kinase 1 gamma C terminal', NULL, 'CK1gamma_C', NULL, NULL, 21342, 8),
(31766, NULL, 'PF01781', NULL, NULL, 'Ribosomal L38e protein family', NULL, 'Ribosomal_L38e', NULL, NULL, 2526, 8),
(31767, NULL, 'PF15452', NULL, NULL, 'Neuronal tyrosine-phosphorylated phosphoinositide-3-kinase adapter', NULL, 'NYAP_C', NULL, NULL, 24146, 8),
(31768, NULL, 'PF06924', NULL, NULL, 'Protein of unknown function (DUF1281)', NULL, 'DUF1281', NULL, NULL, 11541, 8),
(31769, NULL, 'PF04224', NULL, NULL, 'Protein of unknown function, DUF417', NULL, 'DUF417', NULL, NULL, 5629, 8),
(31770, NULL, 'PF10829', NULL, NULL, 'Protein of unknown function (DUF2554)', NULL, 'DUF2554', NULL, NULL, 12891, 8),
(31771, NULL, 'PF14742', NULL, NULL, 'N-terminal domain of (some) glycogen debranching enzymes', NULL, 'GDE_N_bis', NULL, NULL, 24291, 8),
(31772, NULL, 'PF02358', NULL, NULL, 'Trehalose-phosphatase', NULL, 'Trehalose_PPase', NULL, NULL, 4500, 8),
(31773, NULL, 'PF07925', NULL, NULL, 'Reovirus RNA-dependent RNA polymerase lambda 3', NULL, 'RdRP_5', NULL, NULL, 13055, 8),
(31774, NULL, 'PF17893', NULL, NULL, 'CRISPR-associated endonuclease Cas9 beta-hairpin domain', NULL, 'Cas9_b_hairpin', NULL, NULL, 34826, 8),
(31775, NULL, 'PF16201', NULL, NULL, 'Nucleolar pre-ribosomal-associated protein 1', NULL, 'NopRA1', NULL, NULL, 28307, 8),
(31776, NULL, 'PF03140', NULL, NULL, 'Plant protein of unknown function', NULL, 'DUF247', NULL, NULL, 2687, 8),
(31777, NULL, 'PF06451', NULL, NULL, 'Moricin', NULL, 'Moricin', NULL, NULL, 9492, 8),
(31778, NULL, 'PF17877', NULL, NULL, 'DIS3-like exonuclease 2 C terminal', NULL, 'Dis3l2_C_term', NULL, NULL, 31200, 8),
(31779, NULL, 'PF17508', NULL, NULL, 'Microcin V bacteriocin', NULL, 'MccV', NULL, NULL, 19591, 8),
(31780, NULL, 'PF17714', NULL, NULL, 'Family of unknown function (DUF5559)', NULL, 'DUF5559', NULL, NULL, 29690, 8),
(31781, NULL, 'PF03749', NULL, NULL, 'Sugar fermentation stimulation protein RE domain', NULL, 'SfsA', NULL, NULL, 30282, 8),
(31782, NULL, 'PF04858', NULL, NULL, 'TH1 protein', NULL, 'TH1', NULL, NULL, 5947, 8),
(31783, NULL, 'PF03958', NULL, NULL, 'Bacterial type II/III secretion system short domain', NULL, 'Secretin_N', NULL, NULL, 2705, 8),
(31784, NULL, 'PF08956', NULL, NULL, 'Domain of unknown function (DUF1869)', NULL, 'DUF1869', NULL, NULL, 8531, 8),
(31785, NULL, 'PF13885', NULL, NULL, 'Keratin, high sulfur B2 protein', NULL, 'Keratin_B2_2', NULL, NULL, 848, 8),
(31786, NULL, 'PF05858', NULL, NULL, 'Bovine immunodeficiency virus surface protein (SU)', NULL, 'BIV_Env', NULL, NULL, 8665, 8),
(31787, NULL, 'PF00366', NULL, NULL, 'Ribosomal protein S17', NULL, 'Ribosomal_S17', NULL, NULL, 599, 8),
(31788, NULL, 'PF15701', NULL, NULL, 'Domain of unknown function (DUF4668)', NULL, 'DUF4668', NULL, NULL, 28621, 8),
(31789, NULL, 'PF08997', NULL, NULL, 'Ubiquinol-cytochrome C reductase complex, 6.4kD protein', NULL, 'UCR_6-4kD', NULL, NULL, 8634, 8),
(31790, NULL, 'PF04052', NULL, NULL, 'TolB amino-terminal domain', NULL, 'TolB_N', NULL, NULL, 1451, 8),
(31791, NULL, 'PF14063', NULL, NULL, 'Protein of unknown function (DUF4254)', NULL, 'DUF4254', NULL, NULL, 23234, 8),
(31792, NULL, 'PF14273', NULL, NULL, 'Domain of unknown function (DUF4360)', NULL, 'DUF4360', NULL, NULL, 26053, 8),
(31793, NULL, 'PF14741', NULL, NULL, 'N-terminal glycosyl-hydrolase-114-associated domain', NULL, 'GH114_assoc', NULL, NULL, NULL, 8),
(31794, NULL, 'PF15927', NULL, NULL, 'Cancer susceptibility candidate 1 N-terminus', NULL, 'Casc1_N', NULL, NULL, 27287, 8),
(31795, NULL, 'PF17809', NULL, NULL, 'UPA domain', NULL, 'UPA_2', NULL, NULL, 31772, 8),
(31796, NULL, 'PF01959', NULL, NULL, '3-dehydroquinate synthase II', NULL, 'DHQS', NULL, NULL, 4517, 8),
(31797, NULL, 'PF11781', NULL, NULL, 'Zinc-finger of RNA-polymerase I-specific TFIIB, Rrn7', NULL, 'zf-RRN7', NULL, NULL, 19669, 8),
(31798, NULL, 'PF18970', NULL, NULL, 'Family of unknown function (DUF5709)', NULL, 'DUF5709', NULL, NULL, 37671, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31799, NULL, 'PF06399', NULL, NULL, 'GTP cyclohydrolase I feedback regulatory protein (GFRP)', NULL, 'GFRP', NULL, NULL, 7505, 8),
(31800, NULL, 'PF14403', NULL, NULL, 'Circularly permuted ATP-grasp type 2', NULL, 'CP_ATPgrasp_2', NULL, NULL, 25387, 8),
(31801, NULL, 'PF15520', NULL, NULL, 'Novel toxin 10', NULL, 'Ntox10', NULL, NULL, 25299, 8),
(31802, NULL, 'PF12777', NULL, NULL, 'Microtubule-binding stalk of dynein motor', NULL, 'MT', NULL, NULL, 12399, 8),
(31803, NULL, 'PF10798', NULL, NULL, 'Biofilm development protein YmgB/AriR', NULL, 'YmgB', NULL, NULL, 19388, 8),
(31804, NULL, 'PF08564', NULL, NULL, 'Cdc37 C terminal domain', NULL, 'CDC37_C', NULL, NULL, 9527, 8),
(31805, NULL, 'PF13747', NULL, NULL, 'Domain of unknown function (DUF4164)', NULL, 'DUF4164', NULL, NULL, 22907, 8),
(31806, NULL, 'PF02185', NULL, NULL, 'Hr1 repeat', NULL, 'HR1', NULL, NULL, 10529, 8),
(31807, NULL, 'PF07465', NULL, NULL, 'Photosystem I protein M (PsaM)', NULL, 'PsaM', NULL, NULL, 9380, 8),
(31808, NULL, 'PF08776', NULL, NULL, 'VASP tetramerisation domain', NULL, 'VASP_tetra', NULL, NULL, 13138, 8),
(31809, NULL, 'PF00266', NULL, NULL, 'Aminotransferase class-V', NULL, 'Aminotran_5', NULL, NULL, 1364, 8),
(31810, NULL, 'PF03683', NULL, NULL, 'Uncharacterised protein family (UPF0175)', NULL, 'UPF0175', NULL, NULL, 6251, 8),
(31811, NULL, 'PF18093', NULL, NULL, 'tRNA methyltransferase 5 N-terminal domain', NULL, 'Trm5_N', NULL, NULL, 29833, 8),
(31812, NULL, 'PF08271', NULL, NULL, 'TFIIB zinc-binding', NULL, 'TF_Zn_Ribbon', NULL, NULL, 7841, 8),
(31813, NULL, 'PF14711', NULL, NULL, 'Respiratory nitrate reductase beta C-terminal', NULL, 'Nitr_red_bet_C', NULL, NULL, 22004, 8),
(31814, NULL, 'PF13891', NULL, NULL, 'Potential DNA-binding domain', NULL, 'zf-C3Hc3H', NULL, NULL, 24181, 8),
(31815, NULL, 'PF06524', NULL, NULL, 'NOA36 protein', NULL, 'NOA36', NULL, NULL, 14816, 8),
(31816, NULL, 'PF18015', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_19', NULL, NULL, 29826, 8),
(31817, NULL, 'PF14113', NULL, NULL, 'Type VI secretion system (T6SS), amidase effector protein 4', NULL, 'Tae4', NULL, NULL, 23561, 8),
(31818, NULL, 'PF07488', NULL, NULL, 'Glycosyl hydrolase family 67 middle domain', NULL, 'Glyco_hydro_67M', NULL, NULL, 11206, 8),
(31819, NULL, 'PF04088', NULL, NULL, 'Peroxin 13, N-terminal region', NULL, 'Peroxin-13_N', NULL, NULL, 6013, 8),
(31820, NULL, 'PF16258', NULL, NULL, 'Domain of unknown function (DUF4912)', NULL, 'DUF4912', NULL, NULL, 22365, 8),
(31821, NULL, 'PF16813', NULL, NULL, 'CRISPR-associated protein Csn2 subfamily St', NULL, 'Cas_St_Csn2', NULL, NULL, 22604, 8),
(31822, NULL, 'PF05895', NULL, NULL, 'Siphovirus protein of unknown function (DUF859)', NULL, 'DUF859', NULL, NULL, 13880, 8),
(31823, NULL, 'PF19499', NULL, NULL, 'Family of unknown function (DUF6034)', NULL, 'DUF6034', NULL, NULL, 39403, 8),
(31824, NULL, 'PF00386', NULL, NULL, 'C1q domain', NULL, 'C1q', NULL, NULL, 2270, 8),
(31825, NULL, 'PF16596', NULL, NULL, 'Disordered region downstream of MFMR', NULL, 'MFMR_assoc', NULL, NULL, NULL, 8),
(31826, NULL, 'PF10057', NULL, NULL, 'Na+-translocating membrane potential-generating system (MpsC)', NULL, 'MpsC', NULL, NULL, 18950, 8),
(31827, NULL, 'PF01225', NULL, NULL, 'Mur ligase family, catalytic domain', NULL, 'Mur_ligase', NULL, NULL, 3823, 8),
(31828, NULL, 'PF08858', NULL, NULL, 'IDEAL domain', NULL, 'IDEAL', NULL, NULL, 14042, 8),
(31829, NULL, 'PF14959', NULL, NULL, 'gamma-Secretase-activating protein C-term', NULL, 'GSAP-16', NULL, NULL, 22207, 8),
(31830, NULL, 'PF00605', NULL, NULL, 'Interferon regulatory factor transcription factor', NULL, 'IRF', NULL, NULL, 2241, 8),
(31831, NULL, 'PF17817', NULL, NULL, 'PDZ domain', NULL, 'PDZ_5', NULL, NULL, 30655, 8),
(31832, NULL, 'PF00363', NULL, NULL, 'Casein', NULL, 'Casein', NULL, NULL, 5116, 8),
(31833, NULL, 'PF19435', NULL, NULL, 'Integrator complex subunit 14', NULL, 'IntS14', NULL, NULL, 36855, 8),
(31834, NULL, 'PF11158', NULL, NULL, 'Protein of unknown function (DUF2938)', NULL, 'DUF2938', NULL, NULL, 17946, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31835, NULL, 'PF01437', NULL, NULL, 'Plexin repeat', NULL, 'PSI', NULL, NULL, 336, 8),
(31836, NULL, 'PF19589', NULL, NULL, 'Family of unknown function (DUF6095)', NULL, 'DUF6095', NULL, NULL, 39066, 8),
(31837, NULL, 'PF06758', NULL, NULL, 'Olduvai domain', NULL, 'Olduvai', NULL, NULL, 9135, 8),
(31838, NULL, 'PF05603', NULL, NULL, 'Protein of unknown function (DUF775)', NULL, 'DUF775', NULL, NULL, 12162, 8),
(31839, NULL, 'PF17505', NULL, NULL, 'Family of unknown function (DUF5437)', NULL, 'DUF5437', NULL, NULL, 34671, 8),
(31840, NULL, 'PF07162', NULL, NULL, 'Ciliary basal body-associated, B9 protein', NULL, 'B9-C2', NULL, NULL, 11308, 8),
(31841, NULL, 'PF19978', NULL, NULL, 'Tail virion protein G7P', NULL, 'Inovirus_G7P_2', NULL, NULL, 38534, 8),
(31842, NULL, 'PF13825', NULL, NULL, 'Paramyxovirus structural protein V/P N-terminus', NULL, 'Paramyxo_P_V_N', NULL, NULL, 21814, 8),
(31843, NULL, 'PF16155', NULL, NULL, 'Domain of unknown function (DUF4863)', NULL, 'DUF4863', NULL, NULL, 28459, 8),
(31844, NULL, 'PF03657', NULL, NULL, 'UPF0113 PUA domain', NULL, 'UPF0113', NULL, NULL, 4172, 8),
(31845, NULL, 'PF06563', NULL, NULL, 'Protein of unknown function (DUF1125)', NULL, 'DUF1125', NULL, NULL, 9040, 8),
(31846, NULL, 'PF08894', NULL, NULL, 'Protein of unknown function (DUF1838)', NULL, 'DUF1838', NULL, NULL, 7704, 8),
(31847, NULL, 'PF12686', NULL, NULL, 'Protein of unknown function (DUF3800)', NULL, 'DUF3800', NULL, NULL, 25634, 8),
(31848, NULL, 'PF05724', NULL, NULL, 'Thiopurine S-methyltransferase (TPMT)', NULL, 'TPMT', NULL, NULL, 14323, 8),
(31849, NULL, 'PF14519', NULL, NULL, 'Macro-like domain', NULL, 'Macro_2', NULL, NULL, 23957, 8),
(31850, NULL, 'PF18233', NULL, NULL, 'Cdc13 OB4 dimerization domain', NULL, 'Cdc13_OB4_dimer', NULL, NULL, 30104, 8),
(31851, NULL, 'PF03881', NULL, NULL, 'Fructosamine kinase', NULL, 'Fructosamin_kin', NULL, NULL, 15772, 8),
(31852, NULL, 'PF05940', NULL, NULL, 'NnrS protein', NULL, 'NnrS', NULL, NULL, 7827, 8),
(31853, NULL, 'PF09215', NULL, NULL, 'Bacteriophage T4, Gp8', NULL, 'Phage-Gp8', NULL, NULL, 12825, 8),
(31854, NULL, 'PF08918', NULL, NULL, 'PhoQ Sensor', NULL, 'PhoQ_Sensor', NULL, NULL, 7698, 8),
(31855, NULL, 'PF13359', NULL, NULL, 'DDE superfamily endonuclease', NULL, 'DDE_Tnp_4', NULL, NULL, 24909, 8),
(31856, NULL, 'PF19824', NULL, NULL, 'Small, acid-soluble spore protein Tlp', NULL, 'Tlp', NULL, NULL, 15067, 8),
(31857, NULL, 'PF13310', NULL, NULL, 'Virulence protein RhuM family', NULL, 'Virulence_RhuM', NULL, NULL, 10839, 8),
(31858, NULL, 'PF19927', NULL, NULL, 'Family of unknown function (DUF6390)', NULL, 'DUF6390', NULL, NULL, 38948, 8),
(31859, NULL, 'PF15139', NULL, NULL, 'Domain of unknown function (DUF4572)', NULL, 'DUF4572', NULL, NULL, 24380, 8),
(31860, NULL, 'PF03893', NULL, NULL, 'Lipase 3 N-terminal region', NULL, 'Lipase3_N', NULL, NULL, 2830, 8),
(31861, NULL, 'PF16407', NULL, NULL, 'PKD-like family', NULL, 'PKD_2', NULL, NULL, 24695, 8),
(31862, NULL, 'PF05727', NULL, NULL, 'Uncharacterised protein family (UPF0228)', NULL, 'UPF0228', NULL, NULL, 7537, 8),
(31863, NULL, 'PF15845', NULL, NULL, 'Cysteine-rich C-terminal 1 family', NULL, 'NICE-1', NULL, NULL, 28078, 8),
(31864, NULL, 'PF00983', NULL, NULL, 'Tymovirus coat protein', NULL, 'Tymo_coat', NULL, NULL, 5806, 8),
(31865, NULL, 'PF16855', NULL, NULL, 'Small outer capsid protein', NULL, 'Soc', NULL, NULL, 23190, 8),
(31866, NULL, 'PF11895', NULL, NULL, 'Fungal peroxidase extension region', NULL, 'Peroxidase_ext', NULL, NULL, 28843, 8),
(31867, NULL, 'PF00223', NULL, NULL, 'Photosystem I psaA/psaB protein', NULL, 'PsaA_PsaB', NULL, NULL, 2247, 8),
(31868, NULL, 'PF18706', NULL, NULL, 'D-ribitol-5-phosphate cytidylyltransferase C-terminal domain', NULL, 'ISPD_C', NULL, NULL, 30907, 8),
(31869, NULL, 'PF03296', NULL, NULL, 'Poxvirus poly(A) polymerase nucleotidyltransferase domain', NULL, 'Pox_polyA_pol', NULL, NULL, 9215, 8),
(31870, NULL, 'PF14813', NULL, NULL, 'NADH dehydrogenase 1 beta subcomplex subunit 2', NULL, 'NADH_B2', NULL, NULL, 24019, 8),
(31871, NULL, 'PF11945', NULL, NULL, 'WAHD domain of WASH complex', NULL, 'WASH_WAHD', NULL, NULL, 20035, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31872, NULL, 'PF18969', NULL, NULL, 'Family of unknown function (DUF5708)', NULL, 'DUF5708', NULL, NULL, 37925, 8),
(31873, NULL, 'PF13353', NULL, NULL, '4Fe-4S single cluster domain', NULL, 'Fer4_12', NULL, NULL, NULL, 8),
(31874, NULL, 'PF08944', NULL, NULL, 'NADPH oxidase subunit p47Phox, C terminal domain', NULL, 'p47_phox_C', NULL, NULL, 7724, 8),
(31875, NULL, 'PF06897', NULL, NULL, 'Protein of unknown function (DUF1269)', NULL, 'DUF1269', NULL, NULL, 10927, 8),
(31876, NULL, 'PF13840', NULL, NULL, 'ACT domain', NULL, 'ACT_7', NULL, NULL, 23353, 8),
(31877, NULL, 'PF18403', NULL, NULL, 'Thioredoxin-like domain', NULL, 'Thioredoxin_15', NULL, NULL, 34279, 8),
(31878, NULL, 'PF09548', NULL, NULL, 'Stage III sporulation protein AB (spore_III_AB)', NULL, 'Spore_III_AB', NULL, NULL, 8573, 8),
(31879, NULL, 'PF11014', NULL, NULL, 'Protein of unknown function (DUF2852)', NULL, 'DUF2852', NULL, NULL, 17622, 8),
(31880, NULL, 'PF09218', NULL, NULL, 'Domain of unknown function (DUF1959)', NULL, 'DUF1959', NULL, NULL, 11616, 8),
(31881, NULL, 'PF12729', NULL, NULL, 'Four helix bundle sensory module for signal transduction', NULL, '4HB_MCP_1', NULL, NULL, 28510, 8),
(31882, NULL, 'PF19398', NULL, NULL, 'Family of unknown function (DUF5973)', NULL, 'DUF5973', NULL, NULL, 39370, 8),
(31883, NULL, 'PF10409', NULL, NULL, 'C2 domain of PTEN tumour-suppressor protein', NULL, 'PTEN_C2', NULL, NULL, 9472, 8),
(31884, NULL, 'PF06830', NULL, NULL, 'Root cap', NULL, 'Root_cap', NULL, NULL, 11488, 8),
(31885, NULL, 'PF11188', NULL, NULL, 'Protein of unknown function (DUF2975)', NULL, 'DUF2975', NULL, NULL, 18090, 8),
(31886, NULL, 'PF17593', NULL, NULL, 'Family of unknown function (DUF5490)', NULL, 'DUF5490', NULL, NULL, 13559, 8),
(31887, NULL, 'PF08232', NULL, NULL, 'Striatin family', NULL, 'Striatin', NULL, NULL, 13035, 8),
(31888, NULL, 'PF19545', NULL, NULL, 'Family of unknown function (DUF6069)', NULL, 'DUF6069', NULL, NULL, 39890, 8),
(31889, NULL, 'PF09580', NULL, NULL, 'Sporulation lipoprotein YhcN/YlaJ (Spore_YhcN_YlaJ)', NULL, 'Spore_YhcN_YlaJ', NULL, NULL, 16754, 8),
(31890, NULL, 'PF13127', NULL, NULL, 'Protein of unknown function (DUF3955)', NULL, 'DUF3955', NULL, NULL, 27336, 8),
(31891, NULL, 'PF07627', NULL, NULL, 'Protein of unknown function (DUF1588)', NULL, 'PSCyt3', NULL, NULL, 10389, 8),
(31892, NULL, 'PF18169', NULL, NULL, 'SMODS and SLOG-associating 2TM effector domain 6', NULL, 'SLATT_6', NULL, NULL, 31375, 8),
(31893, NULL, 'PF06595', NULL, NULL, 'Borna disease virus P24 protein', NULL, 'BDV_P24', NULL, NULL, 9124, 8),
(31894, NULL, 'PF13861', NULL, NULL, 'FlgD Tudor-like domain', NULL, 'FLgD_tudor', NULL, NULL, 25352, 8),
(31895, NULL, 'PF14014', NULL, NULL, 'Protein of unknown function (DUF4230)', NULL, 'DUF4230', NULL, NULL, 22541, 8),
(31896, NULL, 'PF18889', NULL, NULL, 'Beta helix repeat', NULL, 'Beta_helix_3', NULL, NULL, NULL, 8),
(31897, NULL, 'PF11663', NULL, NULL, 'Toxin with endonuclease activity, of toxin-antitoxin system', NULL, 'Toxin_YhaV', NULL, NULL, 19119, 8),
(31898, NULL, 'PF04229', NULL, NULL, 'GrpB protein', NULL, 'GrpB', NULL, NULL, 5517, 8),
(31899, NULL, 'PF08018', NULL, NULL, 'Frog antimicrobial peptide', NULL, 'Antimicrobial_1', NULL, NULL, 12708, 8),
(31900, NULL, 'PF10830', NULL, NULL, 'Protein of unknown function (DUF2553)', NULL, 'DUF2553', NULL, NULL, 19214, 8),
(31901, NULL, 'PF13277', NULL, NULL, 'YmdB-like protein', NULL, 'YmdB', NULL, NULL, 11270, 8),
(31902, NULL, 'PF09177', NULL, NULL, 'Syntaxin 6, N-terminal', NULL, 'Syntaxin-6_N', NULL, NULL, 12560, 8),
(31903, NULL, 'PF12775', NULL, NULL, 'P-loop containing dynein motor region', NULL, 'AAA_7', NULL, NULL, NULL, 8),
(31904, NULL, 'PF12302', NULL, NULL, 'Protein of unknown function (DUF3629)', NULL, 'DUF3629', NULL, NULL, 20798, 8),
(31905, NULL, 'PF15629', NULL, NULL, 'Permuted single zf-CXXC unit', NULL, 'Perm-CXXC', NULL, NULL, 26471, 8),
(31906, NULL, 'PF11406', NULL, NULL, 'Antimicrobial peptide tachystatin A', NULL, 'Tachystatin_A', NULL, NULL, 17398, 8),
(31907, NULL, 'PF06609', NULL, NULL, 'Fungal trichothecene efflux pump (TRI12)', NULL, 'TRI12', NULL, NULL, 8261, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31908, NULL, 'PF18891', NULL, NULL, 'FANCL UBC-like domain 3', NULL, 'FANCL_d3', NULL, NULL, 37968, 8),
(31909, NULL, 'PF02496', NULL, NULL, 'ABA/WDS induced protein', NULL, 'ABA_WDS', NULL, NULL, 6223, 8),
(31910, NULL, 'PF17938', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_29', NULL, NULL, 32130, 8),
(31911, NULL, 'PF05675', NULL, NULL, 'Protein of unknown function (DUF817)', NULL, 'DUF817', NULL, NULL, 13134, 8),
(31912, NULL, 'PF10050', NULL, NULL, 'Predicted metal-binding protein (DUF2284)', NULL, 'DUF2284', NULL, NULL, 20068, 8),
(31913, NULL, 'PF13297', NULL, NULL, 'Replication stress response SDE2 C-terminal', NULL, 'SDE2_2C', NULL, NULL, NULL, 8),
(31914, NULL, 'PF08531', NULL, NULL, 'Alpha-L-rhamnosidase N-terminal domain', NULL, 'Bac_rhamnosid_N', NULL, NULL, 7904, 8),
(31915, NULL, 'PF08657', NULL, NULL, 'DASH complex subunit Spc34', NULL, 'DASH_Spc34', NULL, NULL, 8007, 8),
(31916, NULL, 'PF20083', NULL, NULL, 'Family of unknown function (DUF6477)', NULL, 'DUF6477', NULL, NULL, 39719, 8),
(31917, NULL, 'PF01286', NULL, NULL, 'XPA protein N-terminal', NULL, 'XPA_N', NULL, NULL, 17372, 8),
(31918, NULL, 'PF11684', NULL, NULL, 'Protein of unknown function (DUF2380)', NULL, 'DUF3280', NULL, NULL, 19061, 8),
(31919, NULL, 'PF12070', NULL, NULL, 'Protein SCAI', NULL, 'SCAI', NULL, NULL, 17317, 8),
(31920, NULL, 'PF08251', NULL, NULL, 'Mastoparan peptide', NULL, 'Mastoparan_2', NULL, NULL, 17546, 8),
(31921, NULL, 'PF00440', NULL, NULL, 'Bacterial regulatory proteins, tetR family', NULL, 'TetR_N', NULL, NULL, 3103, 8),
(31922, NULL, 'PF17865', NULL, NULL, 'Midasin AAA lid domain', NULL, 'AAA_lid_5', NULL, NULL, 31394, 8),
(31923, NULL, 'PF02413', NULL, NULL, 'Caudovirales tail fibre assembly protein, lambda gpK', NULL, 'Caudo_TAP', NULL, NULL, 5836, 8),
(31924, NULL, 'PF09771', NULL, NULL, 'Transmembrane protein 188', NULL, 'Tmemb_18A', NULL, NULL, 18620, 8),
(31925, NULL, 'PF12645', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_16', NULL, NULL, 19060, 8),
(31926, NULL, 'PF11472', NULL, NULL, 'Protein of unknown function (DUF3206)', NULL, 'DUF3206', NULL, NULL, 18602, 8),
(31927, NULL, 'PF12251', NULL, NULL, 'snRNA-activating protein complex (SNAPc), subunit 3', NULL, 'SNAPC3', NULL, NULL, 20882, 8),
(31928, NULL, 'PF12969', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3857)', NULL, 'DUF3857', NULL, NULL, 28918, 8),
(31929, NULL, 'PF05459', NULL, NULL, 'Herpesvirus transcriptional regulator family', NULL, 'Herpes_UL69', NULL, NULL, 13255, 8),
(31930, NULL, 'PF07711', NULL, NULL, 'Rab geranylgeranyl transferase alpha-subunit, insert domain', NULL, 'RabGGT_insert', NULL, NULL, 6169, 8),
(31931, NULL, 'PF00936', NULL, NULL, 'BMC domain', NULL, 'BMC', NULL, NULL, 1043, 8),
(31932, NULL, 'PF06713', NULL, NULL, 'Bacterial PH domain', NULL, 'bPH_4', NULL, NULL, 1510, 8),
(31933, NULL, 'PF03292', NULL, NULL, 'Poxvirus P4B major core protein', NULL, 'Pox_P4B', NULL, NULL, 954, 8),
(31934, NULL, 'PF03746', NULL, NULL, 'LamB/YcsF family', NULL, 'LamB_YcsF', NULL, NULL, 859, 8),
(31935, NULL, 'PF09039', NULL, NULL, 'Mu DNA binding, I gamma subdomain', NULL, 'HTH_Tnp_Mu_2', NULL, NULL, 9800, 8),
(31936, NULL, 'PF06281', NULL, NULL, 'Structural protein VP1/VP3', NULL, 'VP1_VP3', NULL, NULL, 8009, 8),
(31937, NULL, 'PF13458', NULL, NULL, 'Periplasmic binding protein', NULL, 'Peripla_BP_6', NULL, NULL, 26028, 8),
(31938, NULL, 'PF06083', NULL, NULL, 'Interleukin-17', NULL, 'IL17', NULL, NULL, 8935, 8),
(31939, NULL, 'PF14686', NULL, NULL, 'Polysaccharide lyase family 4, domain II', NULL, 'fn3_3', NULL, NULL, 21622, 8),
(31940, NULL, 'PF16646', NULL, NULL, 'Axin-1 tankyrase binding domain', NULL, 'AXIN1_TNKS_BD', NULL, NULL, 23764, 8),
(31941, NULL, 'PF16060', NULL, NULL, 'Domain of unknown function (DUF4802)', NULL, 'DUF4802', NULL, NULL, 24678, 8),
(31942, NULL, 'PF15332', NULL, NULL, 'Lck-interacting transmembrane adapter 1', NULL, 'LIME1', NULL, NULL, 21976, 8),
(31943, NULL, 'PF00323', NULL, NULL, 'Mammalian defensin', NULL, 'Defensin_1', NULL, NULL, 2752, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31944, NULL, 'PF07306', NULL, NULL, 'Protein of unknown function (DUF1455)', NULL, 'DUF1455', NULL, NULL, 7631, 8),
(31945, NULL, 'PF13813', NULL, NULL, 'Membrane bound O-acyl transferase family', NULL, 'MBOAT_2', NULL, NULL, 22334, 8),
(31946, NULL, 'PF07271', NULL, NULL, 'Cytadhesin P30/P32', NULL, 'Cytadhesin_P30', NULL, NULL, 14554, 8),
(31947, NULL, 'PF02117', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Sra', NULL, '7TM_GPCR_Sra', NULL, NULL, 491, 8),
(31948, NULL, 'PF05356', NULL, NULL, 'Inovirus Coat protein B', NULL, 'Phage_Coat_B', NULL, NULL, 5231, 8),
(31949, NULL, 'PF13151', NULL, NULL, 'Protein of unknown function (DUF3990)', NULL, 'DUF3990', NULL, NULL, 23980, 8),
(31950, NULL, 'PF03234', NULL, NULL, 'Cdc37 N terminal kinase binding', NULL, 'CDC37_N', NULL, NULL, 18987, 8),
(31951, NULL, 'PF03431', NULL, NULL, 'RNA replicase, beta-chain', NULL, 'RNA_replicase_B', NULL, NULL, 10163, 8),
(31952, NULL, 'PF02799', NULL, NULL, 'Myristoyl-CoA:protein N-myristoyltransferase, C-terminal domain', NULL, 'NMT_C', NULL, NULL, 17493, 8),
(31953, NULL, 'PF18133', NULL, NULL, 'Hydrogen maturase F tetramerization domain', NULL, 'HydF_tetramer', NULL, NULL, 30859, 8),
(31954, NULL, 'PF11478', NULL, NULL, 'Antimicrobial chitin binding protein tachystatin B', NULL, 'Tachystatin_B', NULL, NULL, 14546, 8),
(31955, NULL, 'PF15428', NULL, NULL, 'Immunity protein 26', NULL, 'Imm26', NULL, NULL, 28567, 8),
(31956, NULL, 'PF05802', NULL, NULL, 'Enterobacterial EspB protein', NULL, 'EspB', NULL, NULL, 14169, 8),
(31957, NULL, 'PF00848', NULL, NULL, 'Ring hydroxylating alpha subunit (catalytic domain)', NULL, 'Ring_hydroxyl_A', NULL, NULL, 7079, 8),
(31958, NULL, 'PF08081', NULL, NULL, 'RBM1CTR (NUC064) family', NULL, 'RBM1CTR', NULL, NULL, 9668, 8),
(31959, NULL, 'PF00607', NULL, NULL, 'gag protein p24 N-terminal domain', NULL, 'Gag_p24', NULL, NULL, 6741, 8),
(31960, NULL, 'PF09106', NULL, NULL, 'Elongation factor SelB, winged helix', NULL, 'SelB-wing_2', NULL, NULL, 10881, 8),
(31961, NULL, 'PF17256', NULL, NULL, 'Anaphase-promoting complex, subunit 16', NULL, 'ANAPC16', NULL, NULL, 27144, 8),
(31962, NULL, 'PF18568', NULL, NULL, 'TRIM C-terminal subgroup One Signature domain', NULL, 'COS', NULL, NULL, 35360, 8),
(31963, NULL, 'PF08276', NULL, NULL, 'PAN-like domain', NULL, 'PAN_2', NULL, NULL, 745, 8),
(31964, NULL, 'PF07239', NULL, NULL, 'Outer membrane protein OpcA', NULL, 'OpcA', NULL, NULL, 14722, 8),
(31965, NULL, 'PF04542', NULL, NULL, 'Sigma-70 region 2', NULL, 'Sigma70_r2', NULL, NULL, 2324, 8),
(31966, NULL, 'PF20160', NULL, NULL, 'C-JID domain', NULL, 'C-JID', NULL, NULL, 38329, 8),
(31967, NULL, 'PF17021', NULL, NULL, 'Putative double-strand recombination repair-like', NULL, 'Mei5_like', NULL, NULL, 23037, 8),
(31968, NULL, 'PF08684', NULL, NULL, 'DNA mimic ocr', NULL, 'ocr', NULL, NULL, 11981, 8),
(31969, NULL, 'PF03765', NULL, NULL, 'CRAL/TRIO, N-terminal domain', NULL, 'CRAL_TRIO_N', NULL, NULL, 10729, 8),
(31970, NULL, 'PF07471', NULL, NULL, 'Phage DNA packaging protein Nu1', NULL, 'Phage_Nu1', NULL, NULL, 12597, 8),
(31971, NULL, 'PF06392', NULL, NULL, 'Acid shock protein repeat', NULL, 'Asr', NULL, NULL, 8095, 8),
(31972, NULL, 'PF07443', NULL, NULL, 'HepA-related protein (HARP)', NULL, 'HARP', NULL, NULL, 9064, 8),
(31973, NULL, 'PF07450', NULL, NULL, 'Formate hydrogenlyase maturation protein HycH', NULL, 'HycH', NULL, NULL, 9273, 8),
(31974, NULL, 'PF01395', NULL, NULL, 'PBP/GOBP family', NULL, 'PBP_GOBP', NULL, NULL, 10022, 8),
(31975, NULL, 'PF00255', NULL, NULL, 'Glutathione peroxidase', NULL, 'GSHPx', NULL, NULL, 4594, 8),
(31976, NULL, 'PF11402', NULL, NULL, 'Antifungal protein', NULL, 'Antifungal_prot', NULL, NULL, 17267, 8),
(31977, NULL, 'PF01895', NULL, NULL, 'PhoU domain', NULL, 'PhoU', NULL, NULL, 24834, 8),
(31978, NULL, 'PF01590', NULL, NULL, 'GAF domain', NULL, 'GAF', NULL, NULL, 150, 8),
(31979, NULL, 'PF09614', NULL, NULL, 'CRISPR-associated protein (Cas_Csy2)', NULL, 'Cas_Csy2', NULL, NULL, 11512, 8),
(31980, NULL, 'PF04260', NULL, NULL, 'Protein of unknown function (DUF436)', NULL, 'DUF436', NULL, NULL, 4664, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(31981, NULL, 'PF05195', NULL, NULL, 'Aminopeptidase P, N-terminal domain', NULL, 'AMP_N', NULL, NULL, 3272, 8),
(31982, NULL, 'PF17300', NULL, NULL, 'Filaments in between nuclei protein-1', NULL, 'FIN1', NULL, NULL, 30134, 8),
(31983, NULL, 'PF17275', NULL, NULL, 'Family of unknown function (DUF5340)', NULL, 'DUF5340', NULL, NULL, 15342, 8),
(31984, NULL, 'PF08377', NULL, NULL, 'MAP2/Tau projection domain', NULL, 'MAP2_projctn', NULL, NULL, 12468, 8),
(31985, NULL, 'PF06808', NULL, NULL, 'Tripartite ATP-independent periplasmic transporter, DctM component', NULL, 'DctM', NULL, NULL, 9128, 8),
(31986, NULL, 'PF06872', NULL, NULL, 'EspG protein', NULL, 'EspG', NULL, NULL, 11525, 8),
(31987, NULL, 'PF19864', NULL, NULL, 'Radical SAM proteins, N-terminal', NULL, 'Radical_SAM_N2', NULL, NULL, 38792, 8),
(31988, NULL, 'PF07359', NULL, NULL, 'Liver-expressed antimicrobial peptide 2 precursor (LEAP-2)', NULL, 'LEAP-2', NULL, NULL, 8464, 8),
(31989, NULL, 'PF16686', NULL, NULL, 'ssDNA-binding domain of telomere protection protein', NULL, 'POT1PC', NULL, NULL, 27712, 8),
(31990, NULL, 'PF19381', NULL, NULL, 'Family of unknown function (DUF5956)', NULL, 'DUF5956', NULL, NULL, 39326, 8),
(31991, NULL, 'PF19478', NULL, NULL, 'TrbL/VirB6 plasmid conjugal transfer like protein', NULL, 'TrbL_2', NULL, NULL, 38985, 8),
(31992, NULL, 'PF07411', NULL, NULL, 'Domain of unknown function (DUF1508)', NULL, 'DUF1508', NULL, NULL, 11539, 8),
(31993, NULL, 'PF00412', NULL, NULL, 'LIM domain', NULL, 'LIM', NULL, NULL, 4843, 8),
(31994, NULL, 'PF00644', NULL, NULL, 'Poly(ADP-ribose) polymerase catalytic domain', NULL, 'PARP', NULL, NULL, 11694, 8),
(31995, NULL, 'PF04610', NULL, NULL, 'TrbL/VirB6 plasmid conjugal transfer protein', NULL, 'TrbL', NULL, NULL, 1361, 8),
(31996, NULL, 'PF05704', NULL, NULL, 'Capsular polysaccharide synthesis protein', NULL, 'Caps_synth', NULL, NULL, 8881, 8),
(31997, NULL, 'PF19605', NULL, NULL, 'Family of unknown function (DUF6110)', NULL, 'DUF6110', NULL, NULL, 39129, 8),
(31998, NULL, 'PF19554', NULL, NULL, 'Family of unknown function (DUF6077)', NULL, 'DUF6077', NULL, NULL, 37096, 8),
(31999, NULL, 'PF17440', NULL, NULL, 'Thiol-activated cytolysin beta sandwich domain', NULL, 'Thiol_cytolys_C', NULL, NULL, 29073, 8),
(32000, NULL, 'PF19537', NULL, NULL, 'Family of unknown function (DUF6061)', NULL, 'DUF6061', NULL, NULL, 38860, 8),
(32001, NULL, 'PF17534', NULL, NULL, 'Family of unknown function (DUF5453)', NULL, 'DUF5453', NULL, NULL, 15101, 8),
(32002, NULL, 'PF10583', NULL, NULL, 'Involucrin of squamous epithelia N-terminus', NULL, 'Involucrin_N', NULL, NULL, 19526, 8),
(32003, NULL, 'PF06907', NULL, NULL, 'Latexin', NULL, 'Latexin', NULL, NULL, 11799, 8),
(32004, NULL, 'PF15768', NULL, NULL, 'Coiled-coil domain-containing protein 190', NULL, 'CC190', NULL, NULL, 27095, 8),
(32005, NULL, 'PF00835', NULL, NULL, 'SNAP-25 family', NULL, 'SNAP-25', NULL, NULL, 3310, 8),
(32006, NULL, 'PF12802', NULL, NULL, 'MarR family', NULL, 'MarR_2', NULL, NULL, 4858, 8),
(32007, NULL, 'PF03356', NULL, NULL, 'Viral late protein H2', NULL, 'Pox_LP_H2', NULL, NULL, 1473, 8),
(32008, NULL, 'PF19282', NULL, NULL, 'Exportin-T', NULL, 'Exportin-T', NULL, NULL, 38538, 8),
(32009, NULL, 'PF06416', NULL, NULL, 'Effector protein NleG', NULL, 'T3SS_NleG', NULL, NULL, 10195, 8),
(32010, NULL, 'PF18074', NULL, NULL, 'Primosomal protein N C-terminal domain', NULL, 'PriA_C', NULL, NULL, 32842, 8),
(32011, NULL, 'PF02160', NULL, NULL, 'Cauliflower mosaic virus peptidase (A3)', NULL, 'Peptidase_A3', NULL, NULL, 5922, 8),
(32012, NULL, 'PF14755', NULL, NULL, 'Nsp2, transmembrane domain', NULL, 'Nsp2_AV', NULL, NULL, 22649, 8),
(32013, NULL, 'PF02466', NULL, NULL, 'Tim17/Tim22/Tim23/Pmp24 family', NULL, 'Tim17', NULL, NULL, NULL, 8),
(32014, NULL, 'PF01581', NULL, NULL, 'FMRFamide related peptide family', NULL, 'FARP', NULL, NULL, 1611, 8),
(32015, NULL, 'PF07206', NULL, NULL, 'Baculovirus late expression factor 10 (LEF-10)', NULL, 'Baculo_LEF-10', NULL, NULL, 14139, 8),
(32016, NULL, 'PF03727', NULL, NULL, 'Hexokinase', NULL, 'Hexokinase_2', NULL, NULL, 17394, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32017, NULL, 'PF12326', NULL, NULL, 'N-glycosylation protein', NULL, 'EOS1', NULL, NULL, 15341, 8),
(32018, NULL, 'PF04809', NULL, NULL, 'HupH hydrogenase expression protein, C-terminal conserved region', NULL, 'HupH_C', NULL, NULL, 4544, 8),
(32019, NULL, 'PF04631', NULL, NULL, 'Per os infectivity factor 2', NULL, 'PIF2', NULL, NULL, 2393, 8),
(32020, NULL, 'PF04395', NULL, NULL, 'Poxvirus B22R protein', NULL, 'Poxvirus_B22R', NULL, NULL, 10311, 8),
(32021, NULL, 'PF14796', NULL, NULL, 'Clathrin-adaptor complex-3 beta-1 subunit C-terminal', NULL, 'AP3B1_C', NULL, NULL, 26461, 8),
(32022, NULL, 'PF07872', NULL, NULL, 'Protein of unknown function (DUF1659)', NULL, 'DUF1659', NULL, NULL, 14519, 8),
(32023, NULL, 'PF11637', NULL, NULL, 'UvsW.1 domain', NULL, 'UvsW-1', NULL, NULL, 14860, 8),
(32024, NULL, 'PF01312', NULL, NULL, 'FlhB HrpN YscU SpaS Family', NULL, 'Bac_export_2', NULL, NULL, 10149, 8),
(32025, NULL, 'PF06668', NULL, NULL, 'Inter-alpha-trypsin inhibitor heavy chain C-terminus', NULL, 'ITI_HC_C', NULL, NULL, 8274, 8),
(32026, NULL, 'PF06514', NULL, NULL, 'Photosystem II 12 kDa extrinsic protein (PsbU)', NULL, 'PsbU', NULL, NULL, 12108, 8),
(32027, NULL, 'PF12667', NULL, NULL, 'NigD-like N-terminal OB domain', NULL, 'NigD_N', NULL, NULL, 20158, 8),
(32028, NULL, 'PF07286', NULL, NULL, 'Protein of unknown function (DUF1445)', NULL, 'DUF1445', NULL, NULL, 14868, 8),
(32029, NULL, 'PF16630', NULL, NULL, 'Unstructured region on APC between 1st and 2nd catenin-bdg motifs', NULL, 'APC_u5', NULL, NULL, NULL, 8),
(32030, NULL, 'PF14453', NULL, NULL, 'ThiS-like ubiquitin', NULL, 'ThiS-like', NULL, NULL, 28335, 8),
(32031, NULL, 'PF03782', NULL, NULL, 'AMOP domain', NULL, 'AMOP', NULL, NULL, 1534, 8),
(32032, NULL, 'PF16002', NULL, NULL, 'Headcase protein', NULL, 'Headcase', NULL, NULL, 27677, 8),
(32033, NULL, 'PF00701', NULL, NULL, 'Dihydrodipicolinate synthetase family', NULL, 'DHDPS', NULL, NULL, 6149, 8),
(32034, NULL, 'PF02043', NULL, NULL, 'Bacteriochlorophyll C binding protein', NULL, 'Bac_chlorC', NULL, NULL, 3430, 8),
(32035, NULL, 'PF10027', NULL, NULL, 'Predicted integral membrane protein (DUF2269)', NULL, 'DUF2269', NULL, NULL, 18236, 8),
(32036, NULL, 'PF04234', NULL, NULL, 'CopC domain', NULL, 'CopC', NULL, NULL, 5773, 8),
(32037, NULL, 'PF10558', NULL, NULL, 'Mitochondrial 18 KDa protein (MTP18)', NULL, 'MTP18', NULL, NULL, 19974, 8),
(32038, NULL, 'PF08462', NULL, NULL, 'Carmovirus coat protein', NULL, 'Carmo_coat_C', NULL, NULL, 13652, 8),
(32039, NULL, 'PF14871', NULL, NULL, 'Hypothetical glycosyl hydrolase 6', NULL, 'GHL6', NULL, NULL, 23413, 8),
(32040, NULL, 'PF15946', NULL, NULL, 'Domain of unknown function (DUF4754)', NULL, 'DUF4754', NULL, NULL, 26719, 8),
(32041, NULL, 'PF18347', NULL, NULL, 'Domain of unknown function (DUF5606)', NULL, 'DUF5606', NULL, NULL, 31104, 8),
(32042, NULL, 'PF15250', NULL, NULL, 'Raftlin', NULL, 'Raftlin', NULL, NULL, 26240, 8),
(32043, NULL, 'PF03419', NULL, NULL, 'Sporulation factor SpoIIGA', NULL, 'Peptidase_U4', NULL, NULL, 10203, 8),
(32044, NULL, 'PF16400', NULL, NULL, 'Domain of unknown function (DUF5008)', NULL, 'DUF5008', NULL, NULL, 24859, 8),
(32045, NULL, 'PF11340', NULL, NULL, 'Protein of unknown function (DUF3142)', NULL, 'DUF3142', NULL, NULL, 18802, 8),
(32046, NULL, 'PF01608', NULL, NULL, 'I/LWEQ domain', NULL, 'I_LWEQ', NULL, NULL, 1519, 8),
(32047, NULL, 'PF00788', NULL, NULL, 'Ras association (RalGDS/AF-6) domain', NULL, 'RA', NULL, NULL, 3818, 8),
(32048, NULL, 'PF01292', NULL, NULL, 'Prokaryotic cytochrome b561', NULL, 'Ni_hydr_CYTB', NULL, NULL, 11004, 8),
(32049, NULL, 'PF16925', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_13', NULL, NULL, 10559, 8),
(32050, NULL, 'PF00441', NULL, NULL, 'Acyl-CoA dehydrogenase, C-terminal domain', NULL, 'Acyl-CoA_dh_1', NULL, NULL, 6290, 8),
(32051, NULL, 'PF02306', NULL, NULL, 'Major spike protein (G protein)', NULL, 'Phage_G', NULL, NULL, 6468, 8),
(32052, NULL, 'PF11288', NULL, NULL, 'Protein of unknown function (DUF3089)', NULL, 'DUF3089', NULL, NULL, 18215, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32053, NULL, 'PF12301', NULL, NULL, 'CD99 antigen like protein 2', NULL, 'CD99L2', NULL, NULL, 20537, 8),
(32054, NULL, 'PF03106', NULL, NULL, 'WRKY DNA -binding domain', NULL, 'WRKY', NULL, NULL, 1054, 8),
(32055, NULL, 'PF18009', NULL, NULL, '4Fe-4S iron-sulfur cluster binding domain', NULL, 'Fer4_23', NULL, NULL, 31856, 8),
(32056, NULL, 'PF19164', NULL, NULL, 'Family of unknown function (DUF5846)', NULL, 'DUF5846', NULL, NULL, 36590, 8),
(32057, NULL, 'PF06955', NULL, NULL, 'Xyloglucan endo-transglycosylase (XET) C-terminus', NULL, 'XET_C', NULL, NULL, 10066, 8),
(32058, NULL, 'PF16850', NULL, NULL, 'Peptidase inhibitor I66', NULL, 'Inhibitor_I66', NULL, NULL, 23294, 8),
(32059, NULL, 'PF03072', NULL, NULL, 'Domain of unknown function (DUF237)', NULL, 'DUF237', NULL, NULL, 4721, 8),
(32060, NULL, 'PF16504', NULL, NULL, 'Putative virion membrane protein of plant and insect virus', NULL, 'SP24', NULL, NULL, 23195, 8),
(32061, NULL, 'PF08243', NULL, NULL, 'SPT2 chromatin protein', NULL, 'SPT2', NULL, NULL, 13285, 8),
(32062, NULL, 'PF04500', NULL, NULL, 'FLYWCH zinc finger domain', NULL, 'FLYWCH', NULL, NULL, 2936, 8),
(32063, NULL, 'PF16771', NULL, NULL, 'Regulator of Ty1 transposition protein 107 BRCT domain', NULL, 'RTT107_BRCT_6', NULL, NULL, 22791, 8),
(32064, NULL, 'PF02005', NULL, NULL, 'N2,N2-dimethylguanosine tRNA methyltransferase', NULL, 'TRM', NULL, NULL, 6120, 8),
(32065, NULL, 'PF07967', NULL, NULL, 'C3HC zinc finger-like', NULL, 'zf-C3HC', NULL, NULL, 8342, 8),
(32066, NULL, 'PF05615', NULL, NULL, 'Tho complex subunit 7', NULL, 'THOC7', NULL, NULL, 12228, 8),
(32067, NULL, 'PF06179', NULL, NULL, 'Surfeit locus protein 5 subunit 22 of Mediator complex', NULL, 'Med22', NULL, NULL, 14767, 8),
(32068, NULL, 'PF13955', NULL, NULL, 'Toxin Fst, type I toxin-antitoxin system', NULL, 'Fst_toxin', NULL, NULL, 22369, 8),
(32069, NULL, 'PF15128', NULL, NULL, 'T-cell leukemia translocation-altered', NULL, 'T_cell_tran_alt', NULL, NULL, 18157, 8),
(32070, NULL, 'PF04361', NULL, NULL, 'Protein of unknown function (DUF494)', NULL, 'DUF494', NULL, NULL, 4875, 8),
(32071, NULL, 'PF06754', NULL, NULL, 'Phosphonate metabolism protein PhnG', NULL, 'PhnG', NULL, NULL, 1835, 8),
(32072, NULL, 'PF07521', NULL, NULL, 'Zn-dependent metallo-hydrolase RNA specificity domain', NULL, 'RMMBL', NULL, NULL, 11026, 8),
(32073, NULL, 'PF01769', NULL, NULL, 'Divalent cation transporter', NULL, 'MgtE', NULL, NULL, 1766, 8),
(32074, NULL, 'PF15562', NULL, NULL, 'Immunity protein 17', NULL, 'Imm17', NULL, NULL, 26219, 8),
(32075, NULL, 'PF00867', NULL, NULL, 'XPG I-region', NULL, 'XPG_I', NULL, NULL, 2515, 8),
(32076, NULL, 'PF06330', NULL, NULL, 'Trichodiene synthase (TRI5)', NULL, 'TRI5', NULL, NULL, 11188, 8),
(32077, NULL, 'PF11125', NULL, NULL, 'Protein of unknown function (DUF2830)', NULL, 'DUF2830', NULL, NULL, 16759, 8),
(32078, NULL, 'PF07002', NULL, NULL, 'Copine', NULL, 'Copine', NULL, NULL, 10368, 8),
(32079, NULL, 'PF17648', NULL, NULL, 'Family of unknown function (DUF5519)', NULL, 'DUF5519', NULL, NULL, 34600, 8),
(32080, NULL, 'PF17941', NULL, NULL, 'Polyphosphate kinase C-terminal domain 1', NULL, 'PP_kinase_C_1', NULL, NULL, 31023, 8),
(32081, NULL, 'PF06502', NULL, NULL, 'Equine infectious anaemia virus S2 protein', NULL, 'Equine_IAV_S2', NULL, NULL, 9238, 8),
(32082, NULL, 'PF14137', NULL, NULL, 'Domain of unknown function (DUF4304)', NULL, 'DUF4304', NULL, NULL, 28409, 8),
(32083, NULL, 'PF14792', NULL, NULL, 'DNA polymerase beta palm', NULL, 'DNA_pol_B_palm', NULL, NULL, 22956, 8),
(32084, NULL, 'PF07661', NULL, NULL, 'MORN repeat variant', NULL, 'MORN_2', NULL, NULL, 10514, 8),
(32085, NULL, 'PF04619', NULL, NULL, 'Dr-family adhesin', NULL, 'Adhesin_Dr', NULL, NULL, 2025, 8),
(32086, NULL, 'PF05977', NULL, NULL, 'Transmembrane secretion effector', NULL, 'MFS_3', NULL, NULL, 7585, 8),
(32087, NULL, 'PF10549', NULL, NULL, 'ORF11CD3 domain', NULL, 'ORF11CD3', NULL, NULL, 21291, 8),
(32088, NULL, 'PF12408', NULL, NULL, 'Ribose-5-phosphate isomerase', NULL, 'DUF3666', NULL, NULL, 21490, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32089, NULL, 'PF15287', NULL, NULL, 'KRBA1 family repeat', NULL, 'KRBA1', NULL, NULL, 25554, 8),
(32090, NULL, 'PF17676', NULL, NULL, 'LD-carboxypeptidase C-terminal domain', NULL, 'Peptidase_S66C', NULL, NULL, 29706, 8),
(32091, NULL, 'PF00118', NULL, NULL, 'TCP-1/cpn60 chaperonin family', NULL, 'Cpn60_TCP1', NULL, NULL, 2791, 8),
(32092, NULL, 'PF01594', NULL, NULL, 'AI-2E family transporter', NULL, 'AI-2E_transport', NULL, NULL, 1947, 8),
(32093, NULL, 'PF14822', NULL, NULL, 'Vasohibin', NULL, 'Vasohibin', NULL, NULL, 22532, 8),
(32094, NULL, 'PF16235', NULL, NULL, 'Domain of unknown function (DUF4894)', NULL, 'DUF4894', NULL, NULL, 27965, 8),
(32095, NULL, 'PF18309', NULL, NULL, 'Argonaute PAZ domain', NULL, 'Ago_PAZ', NULL, NULL, 34568, 8),
(32096, NULL, 'PF10306', NULL, NULL, 'Hypothetical protein FLILHELTA', NULL, 'FLILHELTA', NULL, NULL, 20095, 8),
(32097, NULL, 'PF12527', NULL, NULL, 'Protein of unknown function (DUF3727)', NULL, 'DUF3727', NULL, NULL, 21109, 8),
(32098, NULL, 'PF10037', NULL, NULL, 'Mitochondrial 28S ribosomal protein S27', NULL, 'MRP-S27', NULL, NULL, 11084, 8),
(32099, NULL, 'PF08091', NULL, NULL, 'Spider insecticidal peptide', NULL, 'Toxin_21', NULL, NULL, 9812, 8),
(32100, NULL, 'PF20123', NULL, NULL, 'Family of unknown function (DUF6513)', NULL, 'DUF6513', NULL, NULL, 38115, 8),
(32101, NULL, 'PF14818', NULL, NULL, 'Domain of unknown function (DUF4482)', NULL, 'DUF4482', NULL, NULL, 27899, 8),
(32102, NULL, 'PF08494', NULL, NULL, 'DEAD/H associated', NULL, 'DEAD_assoc', NULL, NULL, 14054, 8),
(32103, NULL, 'PF09366', NULL, NULL, 'Protein of unknown function (DUF1997)', NULL, 'DUF1997', NULL, NULL, 15168, 8),
(32104, NULL, 'PF02226', NULL, NULL, 'Picornavirus coat protein (VP4)', NULL, 'Pico_P1A', NULL, NULL, 2523, 8),
(32105, NULL, 'PF05996', NULL, NULL, 'Ferredoxin-dependent bilin reductase', NULL, 'Fe_bilin_red', NULL, NULL, 13722, 8),
(32106, NULL, 'PF12449', NULL, NULL, 'Protein of unknown function (DUF3684)', NULL, 'DUF3684', NULL, NULL, 21429, 8),
(32107, NULL, 'PF12962', NULL, NULL, 'Protein of unknown function (DUF3851)', NULL, 'DUF3851', NULL, NULL, 20844, 8),
(32108, NULL, 'PF02779', NULL, NULL, 'Transketolase, pyrimidine binding domain', NULL, 'Transket_pyr', NULL, NULL, 629, 8),
(32109, NULL, 'PF04020', NULL, NULL, 'Mycobacterial 4 TMS phage holin, superfamily IV', NULL, 'Phage_holin_4_2', NULL, NULL, 215, 8),
(32110, NULL, 'PF00025', NULL, NULL, 'ADP-ribosylation factor family', NULL, 'Arf', NULL, NULL, 2063, 8),
(32111, NULL, 'PF06745', NULL, NULL, 'KaiC', NULL, 'ATPase', NULL, NULL, 12517, 8),
(32112, NULL, 'PF15007', NULL, NULL, 'Centrosomal spindle body, CEP44', NULL, 'CEP44', NULL, NULL, 29080, 8),
(32113, NULL, 'PF03180', NULL, NULL, 'NlpA lipoprotein', NULL, 'Lipoprotein_9', NULL, NULL, 7138, 8),
(32114, NULL, 'PF12024', NULL, NULL, 'Domain of unknown function (DUF3512)', NULL, 'DUF3512', NULL, NULL, 20471, 8),
(32115, NULL, 'PF11845', NULL, NULL, 'Protein of unknown function (DUF3365)', NULL, 'DUF3365', NULL, NULL, 19941, 8),
(32116, NULL, 'PF19412', NULL, NULL, 'Domain of unknown function (DUF5982)', NULL, 'DUF5982', NULL, NULL, 39183, 8),
(32117, NULL, 'PF06337', NULL, NULL, 'DUSP domain', NULL, 'DUSP', NULL, NULL, 1179, 8),
(32118, NULL, 'PF07163', NULL, NULL, 'Pex26 protein', NULL, 'Pex26', NULL, NULL, 11076, 8),
(32119, NULL, 'PF18457', NULL, NULL, 'Up-Regulated in long-lived daf-2', NULL, 'PUD1_2', NULL, NULL, 31254, 8),
(32120, NULL, 'PF04606', NULL, NULL, 'Ogr/Delta-like zinc finger', NULL, 'Ogr_Delta', NULL, NULL, 956, 8),
(32121, NULL, 'PF11897', NULL, NULL, 'Protein of unknown function (DUF3417)', NULL, 'DUF3417', NULL, NULL, 25864, 8),
(32122, NULL, 'PF08447', NULL, NULL, 'PAS fold', NULL, 'PAS_3', NULL, NULL, 12458, 8),
(32123, NULL, 'PF09092', NULL, NULL, 'Lyase, N terminal', NULL, 'Lyase_N', NULL, NULL, 10680, 8),
(32124, NULL, 'PF09239', NULL, NULL, 'Topoisomerase VI B subunit, transducer', NULL, 'Topo-VIb_trans', NULL, NULL, 13544, 8),
(32125, NULL, 'PF19673', NULL, NULL, 'Family of unknown function (DUF6176)', NULL, 'DUF6176', NULL, NULL, 39764, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32126, NULL, 'PF19449', NULL, NULL, 'Family of unknown function (DUF5987)', NULL, 'DUF5987', NULL, NULL, 39034, 8),
(32127, NULL, 'PF03684', NULL, NULL, 'Uncharacterised protein family (UPF0179)', NULL, 'UPF0179', NULL, NULL, 6045, 8),
(32128, NULL, 'PF13599', NULL, NULL, 'Pentapeptide repeats (9 copies)', NULL, 'Pentapeptide_4', NULL, NULL, 5261, 8),
(32129, NULL, 'PF15467', NULL, NULL, 'Secretogranin-3', NULL, 'SGIII', NULL, NULL, 26794, 8),
(32130, NULL, 'PF13141', NULL, NULL, 'Protein of unknown function (DUF3979)', NULL, 'DUF3979', NULL, NULL, 23052, 8),
(32131, NULL, 'PF04353', NULL, NULL, 'Regulator of RNA polymerase sigma(70) subunit, Rsd/AlgQ', NULL, 'Rsd_AlgQ', NULL, NULL, 4689, 8),
(32132, NULL, 'PF15770', NULL, NULL, 'Domain of unknown function (DUF4699)', NULL, 'DUF4699', NULL, NULL, 27352, 8),
(32133, NULL, 'PF13946', NULL, NULL, 'Domain of unknown function (DUF4214)', NULL, 'DUF4214', NULL, NULL, 23887, 8),
(32134, NULL, 'PF06775', NULL, NULL, 'Putative adipose-regulatory protein (Seipin)', NULL, 'Seipin', NULL, NULL, 1629, 8),
(32135, NULL, 'PF14357', NULL, NULL, 'Domain of unknown function (DUF4404)', NULL, 'DUF4404', NULL, NULL, 28173, 8),
(32136, NULL, 'PF19768', NULL, NULL, 'Family of unknown function (DUF6255)', NULL, 'DUF6255', NULL, NULL, 39610, 8),
(32137, NULL, 'PF05640', NULL, NULL, 'Na,K-Atpase Interacting protein', NULL, 'NKAIN', NULL, NULL, 12599, 8),
(32138, NULL, 'PF12130', NULL, NULL, 'Bivalent Mical/EHBP Rab binding domain', NULL, 'DUF3585', NULL, NULL, 14715, 8),
(32139, NULL, 'PF05201', NULL, NULL, 'Glutamyl-tRNAGlu reductase, N-terminal domain', NULL, 'GlutR_N', NULL, NULL, 7586, 8),
(32140, NULL, 'PF01519', NULL, NULL, 'Protein of unknown function DUF16', NULL, 'DUF16', NULL, NULL, 5777, 8),
(32141, NULL, 'PF07456', NULL, NULL, 'Heptaprenyl diphosphate synthase component I', NULL, 'Hpre_diP_synt_I', NULL, NULL, 12152, 8),
(32142, NULL, 'PF10836', NULL, NULL, 'Protein of unknown function (DUF2574)', NULL, 'DUF2574', NULL, NULL, 20322, 8),
(32143, NULL, 'PF02607', NULL, NULL, 'B12 binding domain', NULL, 'B12-binding_2', NULL, NULL, 2321, 8),
(32144, NULL, 'PF17931', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_23', NULL, NULL, 32998, 8),
(32145, NULL, 'PF10846', NULL, NULL, 'Protein of unknown function (DUF2722)', NULL, 'DUF2722', NULL, NULL, 17578, 8),
(32146, NULL, 'PF10565', NULL, NULL, 'N-methyl D-aspartate receptor 2B3 C-terminus', NULL, 'NMDAR2_C', NULL, NULL, 21138, 8),
(32147, NULL, 'PF18463', NULL, NULL, 'Proprotein convertase subtilisin-like/kexin type 9 C-terminal domain', NULL, 'PCSK9_C3', NULL, NULL, 31389, 8),
(32148, NULL, 'PF00610', NULL, NULL, 'Domain found in Dishevelled, Egl-10, and Pleckstrin (DEP)', NULL, 'DEP', NULL, NULL, 5746, 8),
(32149, NULL, 'PF11387', NULL, NULL, 'Protein of unknown function (DUF2795)', NULL, 'DUF2795', NULL, NULL, 18647, 8),
(32150, NULL, 'PF19944', NULL, NULL, 'Family of unknown function (DUF6406)', NULL, 'DUF6406', NULL, NULL, 38617, 8),
(32151, NULL, 'PF03013', NULL, NULL, 'Pyrimidine dimer DNA glycosylase', NULL, 'Pyr_excise', NULL, NULL, 3565, 8),
(32152, NULL, 'PF04078', NULL, NULL, 'Cell differentiation family, Rcd1-like', NULL, 'Rcd1', NULL, NULL, NULL, 8),
(32153, NULL, 'PF09128', NULL, NULL, 'Regulator of G protein signalling-like domain', NULL, 'RGS-like', NULL, NULL, 10588, 8),
(32154, NULL, 'PF12315', NULL, NULL, 'Protein DA1', NULL, 'DA1-like', NULL, NULL, 20909, 8),
(32155, NULL, 'PF09864', NULL, NULL, 'Membrane-bound lysozyme-inhibitor of c-type lysozyme', NULL, 'MliC', NULL, NULL, 16801, 8),
(32156, NULL, 'PF19690', NULL, NULL, 'Family of unknown function (DUF6191)', NULL, 'DUF6191', NULL, NULL, 36511, 8),
(32157, NULL, 'PF16827', NULL, NULL, 'zinc-finger', NULL, 'zf-HC3', NULL, NULL, 27767, 8),
(32158, NULL, 'PF03012', NULL, NULL, 'Phosphoprotein', NULL, 'PP_M1', NULL, NULL, 5523, 8),
(32159, NULL, 'PF08942', NULL, NULL, 'Domain of unknown function (DUF1919)', NULL, 'DUF1919', NULL, NULL, 7596, 8),
(32160, NULL, 'PF02329', NULL, NULL, 'Histidine carboxylase PI chain', NULL, 'HDC', NULL, NULL, 5242, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32161, NULL, 'PF10927', NULL, NULL, 'Protein of unknown function (DUF2738)', NULL, 'DUF2738', NULL, NULL, 24554, 8),
(32162, NULL, 'PF00627', NULL, NULL, 'UBA/TS-N domain', NULL, 'UBA', NULL, NULL, 8359, 8),
(32163, NULL, 'PF13559', NULL, NULL, 'Domain of unknown function (DUF4129)', NULL, 'DUF4129', NULL, NULL, 23048, 8),
(32164, NULL, 'PF19891', NULL, NULL, 'Family of unknown function (DUF6364)', NULL, 'DUF6364', NULL, NULL, 39333, 8),
(32165, NULL, 'PF17526', NULL, NULL, 'Family of unknown function (DUF5448)', NULL, 'DUF5448', NULL, NULL, 20245, 8),
(32166, NULL, 'PF19466', NULL, NULL, 'Family of unknown function (DUF6003)', NULL, 'DUF6003', NULL, NULL, 39053, 8),
(32167, NULL, 'PF08107', NULL, NULL, 'Pleurocidin family', NULL, 'Antimicrobial12', NULL, NULL, 12526, 8),
(32168, NULL, 'PF07607', NULL, NULL, 'Protein of unknown function (DUF1570)', NULL, 'DUF1570', NULL, NULL, 13927, 8),
(32169, NULL, 'PF03103', NULL, NULL, 'Domain of unknown function (DUF243)', NULL, 'DUF243', NULL, NULL, 2978, 8),
(32170, NULL, 'PF11066', NULL, NULL, 'Protein of unknown function (DUF2867)', NULL, 'DUF2867', NULL, NULL, 17878, 8),
(32171, NULL, 'PF00770', NULL, NULL, 'Adenovirus endoprotease', NULL, 'Peptidase_C5', NULL, NULL, 498, 8),
(32172, NULL, 'PF01371', NULL, NULL, 'Trp repressor protein', NULL, 'Trp_repressor', NULL, NULL, 4674, 8),
(32173, NULL, 'PF08938', NULL, NULL, 'HBS1 N-terminus', NULL, 'HBS1_N', NULL, NULL, 7642, 8),
(32174, NULL, 'PF13846', NULL, NULL, 'Domain of unknown function (DUF4196)', NULL, 'DUF4196', NULL, NULL, 23623, 8),
(32175, NULL, 'PF12760', NULL, NULL, 'Transposase zinc-ribbon domain', NULL, 'Zn_Tnp_IS1595', NULL, NULL, 25763, 8),
(32176, NULL, 'PF07161', NULL, NULL, 'LppX_LprAFG lipoprotein', NULL, 'LppX_LprAFG', NULL, NULL, 13952, 8),
(32177, NULL, 'PF07671', NULL, NULL, 'Protein of unknown function (DUF1601)', NULL, 'DUF1601', NULL, NULL, 10563, 8),
(32178, NULL, 'PF07972', NULL, NULL, 'NrdI Flavodoxin like', NULL, 'Flavodoxin_NdrI', NULL, NULL, 7480, 8),
(32179, NULL, 'PF09493', NULL, NULL, 'Tryptophan-rich protein (DUF2389)', NULL, 'DUF2389', NULL, NULL, 10965, 8),
(32180, NULL, 'PF10699', NULL, NULL, 'Male gamete fusion factor', NULL, 'HAP2-GCS1', NULL, NULL, 15151, 8),
(32181, NULL, 'PF17490', NULL, NULL, 'L1 transposable element dsRBD-like domain', NULL, 'Tnp_22_dsRBD', NULL, NULL, 33854, 8),
(32182, NULL, 'PF03201', NULL, NULL, 'H2-forming N5,N10-methylene-tetrahydromethanopterin dehydrogenase', NULL, 'HMD', NULL, NULL, 460, 8),
(32183, NULL, 'PF02055', NULL, NULL, 'Glycosyl hydrolase family 30 TIM-barrel domain', NULL, 'Glyco_hydro_30', NULL, NULL, 31616, 8),
(32184, NULL, 'PF04992', NULL, NULL, 'RNA polymerase Rpb1, domain 6', NULL, 'RNA_pol_Rpb1_6', NULL, NULL, 7269, 8),
(32185, NULL, 'PF14032', NULL, NULL, 'PknH-like extracellular domain', NULL, 'PknH_C', NULL, NULL, 27502, 8),
(32186, NULL, 'PF00887', NULL, NULL, 'Acyl CoA binding protein', NULL, 'ACBP', NULL, NULL, 5745, 8),
(32187, NULL, 'PF03636', NULL, NULL, 'Glycosyl hydrolase family 65, N-terminal domain', NULL, 'Glyco_hydro_65N', NULL, NULL, 5350, 8),
(32188, NULL, 'PF01263', NULL, NULL, 'Aldose 1-epimerase', NULL, 'Aldose_epim', NULL, NULL, 7215, 8),
(32189, NULL, 'PF02624', NULL, NULL, 'YcaO cyclodehydratase, ATP-ad Mg2+-binding', NULL, 'YcaO', NULL, NULL, 6338, 8),
(32190, NULL, 'PF09950', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2184)', NULL, 'DUF2184', NULL, NULL, 18065, 8),
(32191, NULL, 'PF06786', NULL, NULL, 'Uncharacterised protein family (UPF0253)', NULL, 'UPF0253', NULL, NULL, 1772, 8),
(32192, NULL, 'PF09338', NULL, NULL, 'Glycine/sarcosine/betaine reductase component B subunits', NULL, 'Gly_reductase', NULL, NULL, 7590, 8),
(32193, NULL, 'PF06125', NULL, NULL, 'Bacterial protein of unknown function (DUF961)', NULL, 'DUF961', NULL, NULL, 8660, 8),
(32194, NULL, 'PF06376', NULL, NULL, 'Arabinogalactan peptide', NULL, 'AGP', NULL, NULL, 8176, 8),
(32195, NULL, 'PF15283', NULL, NULL, 'Domain of unknown function (DUF4595) with porin-like fold', NULL, 'DUF4595', NULL, NULL, 26613, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32196, NULL, 'PF12698', NULL, NULL, 'ABC-2 family transporter protein', NULL, 'ABC2_membrane_3', NULL, NULL, NULL, 8),
(32197, NULL, 'PF07564', NULL, NULL, 'Domain of Unknown Function (DUF1542)', NULL, 'DUF1542', NULL, NULL, 13662, 8),
(32198, NULL, 'PF13274', NULL, NULL, 'Protein of unknown function (DUF4065)', NULL, 'DUF4065', NULL, NULL, 27748, 8),
(32199, NULL, 'PF13788', NULL, NULL, 'Domain of unknown function (DUF4180)', NULL, 'DUF4180', NULL, NULL, 23009, 8),
(32200, NULL, 'PF12871', NULL, NULL, 'Pre-mRNA-splicing factor 38-associated hydrophilic C-term', NULL, 'PRP38_assoc', NULL, NULL, 20778, 8),
(32201, NULL, 'PF15366', NULL, NULL, 'Domain of unknown function (DUF4597)', NULL, 'DUF4597', NULL, NULL, 27763, 8),
(32202, NULL, 'PF04352', NULL, NULL, 'ProQ/FINO family', NULL, 'ProQ', NULL, NULL, 11296, 8),
(32203, NULL, 'PF09986', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2225)', NULL, 'DUF2225', NULL, NULL, 17680, 8),
(32204, NULL, 'PF11394', NULL, NULL, 'Protein of unknown function (DUF2875)', NULL, 'DUF2875', NULL, NULL, 18554, 8),
(32205, NULL, 'PF18688', NULL, NULL, 'Family of unknown function (DUF5638)', NULL, 'DUF5638', NULL, NULL, 30501, 8),
(32206, NULL, 'PF19193', NULL, NULL, 'Tectonin domain', NULL, 'Tectonin', NULL, NULL, 1222, 8),
(32207, NULL, 'PF12925', NULL, NULL, 'E2 domain of amyloid precursor protein', NULL, 'APP_E2', NULL, NULL, 25698, 8),
(32208, NULL, 'PF13757', NULL, NULL, 'Vault protein inter-alpha-trypsin domain', NULL, 'VIT_2', NULL, NULL, 13983, 8),
(32209, NULL, 'PF14493', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_40', NULL, NULL, 24173, 8),
(32210, NULL, 'PF14272', NULL, NULL, 'Glycine-rich SFCGS', NULL, 'Gly_rich_SFCGS', NULL, NULL, 18252, 8),
(32211, NULL, 'PF07902', NULL, NULL, 'gp58-like protein', NULL, 'Gp58', NULL, NULL, 13145, 8),
(32212, NULL, 'PF12585', NULL, NULL, 'Protein of unknown function (DUF3759)', NULL, 'DUF3759', NULL, NULL, 21362, 8),
(32213, NULL, 'PF06902', NULL, NULL, 'Divergent 4Fe-4S mono-cluster', NULL, 'Fer4_19', NULL, NULL, 10198, 8),
(32214, NULL, 'PF11743', NULL, NULL, 'Protein of unknown function (DUF3301)', NULL, 'DUF3301', NULL, NULL, 19611, 8),
(32215, NULL, 'PF01405', NULL, NULL, 'Photosystem II reaction centre T protein', NULL, 'PsbT', NULL, NULL, 3173, 8),
(32216, NULL, 'PF14287', NULL, NULL, 'Domain of unknown function (DUF4368)', NULL, 'DUF4368', NULL, NULL, 21649, 8),
(32217, NULL, 'PF12803', NULL, NULL, 'mRNA (guanine-7-)methyltransferase (G-7-MTase)', NULL, 'G-7-MTase', NULL, NULL, 22693, 8),
(32218, NULL, 'PF02947', NULL, NULL, 'flt3 ligand', NULL, 'Flt3_lig', NULL, NULL, 3589, 8),
(32219, NULL, 'PF11374', NULL, NULL, 'Protein of unknown function (DUF3176)', NULL, 'DUF3176', NULL, NULL, 18891, 8),
(32220, NULL, 'PF05587', NULL, NULL, 'Anthrax receptor extracellular domain', NULL, 'Anth_Ig', NULL, NULL, 8861, 8),
(32221, NULL, 'PF16864', NULL, NULL, 'Dimerisation domain', NULL, 'Dimerisation2', NULL, NULL, 25997, 8),
(32222, NULL, 'PF19759', NULL, NULL, 'Family of unknown function (DUF6246)', NULL, 'DUF6246', NULL, NULL, 39736, 8),
(32223, NULL, 'PF16912', NULL, NULL, 'Glucose dehydrogenase C-terminus', NULL, 'Glu_dehyd_C', NULL, NULL, 26600, 8),
(32224, NULL, 'PF19483', NULL, NULL, 'Family of unknown function (DUF6019)', NULL, 'DUF6019', NULL, NULL, 39423, 8),
(32225, NULL, 'PF17194', NULL, NULL, 'Transcriptional regulator, AbiEi antitoxin N-terminal domain', NULL, 'AbiEi_3_N', NULL, NULL, 35879, 8),
(32226, NULL, 'PF14299', NULL, NULL, 'Phloem protein 2', NULL, 'PP2', NULL, NULL, 22438, 8),
(32227, NULL, 'PF18332', NULL, NULL, 'Exoribonuclease Xrn1 D1 domain', NULL, 'XRN1_D1', NULL, NULL, 31150, 8),
(32228, NULL, 'PF00477', NULL, NULL, 'Small hydrophilic plant seed protein', NULL, 'LEA_5', NULL, NULL, 32147, 8),
(32229, NULL, 'PF02782', NULL, NULL, 'FGGY family of carbohydrate kinases, C-terminal domain', NULL, 'FGGY_C', NULL, NULL, 21722, 8),
(32230, NULL, 'PF08328', NULL, NULL, 'Adenylosuccinate lyase C-terminal', NULL, 'ASL_C', NULL, NULL, 13262, 8),
(32231, NULL, 'PF05658', NULL, NULL, 'Head domain of trimeric autotransporter adhesin', NULL, 'YadA_head', NULL, NULL, 14418, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32232, NULL, 'PF16845', NULL, NULL, 'Aspartic acid proteinase inhibitor', NULL, 'SQAPI', NULL, NULL, 2589, 8),
(32233, NULL, 'PF02321', NULL, NULL, 'Outer membrane efflux protein', NULL, 'OEP', NULL, NULL, 5280, 8),
(32234, NULL, 'PF14613', NULL, NULL, 'Protein of unknown function (DUF4449)', NULL, 'DUF4449', NULL, NULL, 28439, 8),
(32235, NULL, 'PF19873', NULL, NULL, 'Family of unknown function (DUF6346)', NULL, 'DUF6346', NULL, NULL, 39486, 8),
(32236, NULL, 'PF12710', NULL, NULL, 'haloacid dehalogenase-like hydrolase', NULL, 'HAD', NULL, NULL, NULL, 8),
(32237, NULL, 'PF13104', NULL, NULL, 'Protein of unknown function (DUF3956)', NULL, 'DUF3956', NULL, NULL, 22531, 8),
(32238, NULL, 'PF04463', NULL, NULL, '2-thiouracil desulfurase', NULL, '2-thiour_desulf', NULL, NULL, 3848, 8),
(32239, NULL, 'PF13234', NULL, NULL, 'rRNA-processing arch domain', NULL, 'rRNA_proc-arch', NULL, NULL, 23534, 8),
(32240, NULL, 'PF05717', NULL, NULL, 'IS66 Orf2 like protein', NULL, 'TnpB_IS66', NULL, NULL, 7745, 8),
(32241, NULL, 'PF10445', NULL, NULL, 'Protein of unknown function (DUF2456)', NULL, 'DUF2456', NULL, NULL, 20292, 8),
(32242, NULL, 'PF16319', NULL, NULL, 'Domain of unknown function (DUF4958)', NULL, 'DUF4958', NULL, NULL, 27421, 8),
(32243, NULL, 'PF17188', NULL, NULL, 'MucB/RseB C-terminal domain', NULL, 'MucB_RseB_C', NULL, NULL, 34274, 8),
(32244, NULL, 'PF17336', NULL, NULL, 'Family of unknown function (DUF5368)', NULL, 'DUF5368', NULL, NULL, 35074, 8),
(32245, NULL, 'PF14688', NULL, NULL, 'Domain of unknown function (DUF4461)', NULL, 'DUF4461', NULL, NULL, 25760, 8),
(32246, NULL, 'PF05610', NULL, NULL, 'Protein of unknown function (DUF779)', NULL, 'DUF779', NULL, NULL, 12190, 8),
(32247, NULL, 'PF20143', NULL, NULL, 'ATP-NAD kinase C-terminal domain', NULL, 'NAD_kinase_C', NULL, NULL, NULL, 8),
(32248, NULL, 'PF08630', NULL, NULL, 'Dfp1/Him1, central region', NULL, 'Dfp1_Him1_M', NULL, NULL, 14032, 8),
(32249, NULL, 'PF10585', NULL, NULL, 'Ubiquitin-activating enzyme active site', NULL, 'UBA_e1_thiolCys', NULL, NULL, 19954, 8),
(32250, NULL, 'PF03208', NULL, NULL, 'PRA1 family protein', NULL, 'PRA1', NULL, NULL, 365, 8),
(32251, NULL, 'PF01151', NULL, NULL, 'GNS1/SUR4 family', NULL, 'ELO', NULL, NULL, 5141, 8),
(32252, NULL, 'PF09878', NULL, NULL, 'Predicted membrane protein (DUF2105)', NULL, 'DUF2105', NULL, NULL, 19084, 8),
(32253, NULL, 'PF07043', NULL, NULL, 'Protein of unknown function (DUF1328)', NULL, 'DUF1328', NULL, NULL, 12598, 8),
(32254, NULL, 'PF10712', NULL, NULL, 'NAD-specific glutamate dehydrogenase', NULL, 'NAD-GH', NULL, NULL, 21071, 8),
(32255, NULL, 'PF17191', NULL, NULL, 'RecG wedge domain', NULL, 'RecG_wedge', NULL, NULL, 35922, 8),
(32256, NULL, 'PF06228', NULL, NULL, 'Haem utilisation ChuX/HutX', NULL, 'ChuX_HutX', NULL, NULL, 9982, 8),
(32257, NULL, 'PF11763', NULL, NULL, 'Cell-wall adhesin ligand-binding C-terminal', NULL, 'DIPSY', NULL, NULL, 19598, 8),
(32258, NULL, 'PF09032', NULL, NULL, 'Siah interacting protein, N terminal', NULL, 'Siah-Interact_N', NULL, NULL, 9889, 8),
(32259, NULL, 'PF02362', NULL, NULL, 'B3 DNA binding domain', NULL, 'B3', NULL, NULL, 4023, 8),
(32260, NULL, 'PF19033', NULL, NULL, 'Intu longin-like domain 3', NULL, 'Intu_longin_3', NULL, NULL, 38408, 8),
(32261, NULL, 'PF13712', NULL, NULL, 'Glycosyltransferase like family', NULL, 'Glyco_tranf_2_5', NULL, NULL, NULL, 8),
(32262, NULL, 'PF11161', NULL, NULL, 'Protein of unknown function (DUF2946)', NULL, 'DUF2944', NULL, NULL, 17855, 8),
(32263, NULL, 'PF16267', NULL, NULL, 'Domain of unknown function (DUF4920)', NULL, 'DUF4920', NULL, NULL, 22077, 8),
(32264, NULL, 'PF02706', NULL, NULL, 'Chain length determinant protein', NULL, 'Wzz', NULL, NULL, 3436, 8),
(32265, NULL, 'PF05681', NULL, NULL, 'Fumarate hydratase (Fumerase)', NULL, 'Fumerase', NULL, NULL, 2629, 8),
(32266, NULL, 'PF05851', NULL, NULL, 'Lentivirus virion infectivity factor (VIF)', NULL, 'Lentivirus_VIF', NULL, NULL, 13220, 8),
(32267, NULL, 'PF15686', NULL, NULL, 'Lysine-rich CEACAM1 co-isolated protein family', NULL, 'LYRIC', NULL, NULL, 25104, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32268, NULL, 'PF00345', NULL, NULL, 'Pili and flagellar-assembly chaperone, PapD N-terminal domain', NULL, 'PapD_N', NULL, NULL, 11289, 8),
(32269, NULL, 'PF03500', NULL, NULL, 'Cellulose synthase subunit D', NULL, 'Cellsynth_D', NULL, NULL, 17379, 8),
(32270, NULL, 'PF05158', NULL, NULL, 'RNA polymerase Rpc34 subunit', NULL, 'RNA_pol_Rpc34', NULL, NULL, 2215, 8),
(32271, NULL, 'PF16841', NULL, NULL, 'Ca-dependent carbohydrate-binding module xylan-binding', NULL, 'CBM60', NULL, NULL, 25671, 8),
(32272, NULL, 'PF10654', NULL, NULL, 'Protein of unknown function (DUF2481)', NULL, 'DUF2481', NULL, NULL, 15312, 8),
(32273, NULL, 'PF09476', NULL, NULL, 'Pilus biogenesis CpaD protein (pilus_cpaD)', NULL, 'Pilus_CpaD', NULL, NULL, 16357, 8),
(32274, NULL, 'PF10164', NULL, NULL, 'Uncharacterized conserved protein (DUF2367)', NULL, 'DUF2367', NULL, NULL, 15418, 8),
(32275, NULL, 'PF10856', NULL, NULL, 'Protein of unknown function (DUF2678)', NULL, 'DUF2678', NULL, NULL, 16713, 8),
(32276, NULL, 'PF17447', NULL, NULL, 'Uncharacterized YkpC-like', NULL, 'YkpC', NULL, NULL, 36408, 8),
(32277, NULL, 'PF08123', NULL, NULL, 'Histone methylation protein DOT1', NULL, 'DOT1', NULL, NULL, 23068, 8),
(32278, NULL, 'PF18799', NULL, NULL, 'Large polyvalent protein-associated domain 5', NULL, 'LPD5', NULL, NULL, 30750, 8),
(32279, NULL, 'PF19808', NULL, NULL, 'Family of unknown function (DUF6291)', NULL, 'DUF6291', NULL, NULL, 39905, 8),
(32280, NULL, 'PF00151', NULL, NULL, 'Lipase', NULL, 'Lipase', NULL, NULL, 8467, 8),
(32281, NULL, 'PF11042', NULL, NULL, 'Protein of unknown function (DUF2750)', NULL, 'DUF2750', NULL, NULL, 17551, 8),
(32282, NULL, 'PF04185', NULL, NULL, 'Phosphoesterase family', NULL, 'Phosphoesterase', NULL, NULL, 4872, 8),
(32283, NULL, 'PF19326', NULL, NULL, 'AMP deaminase', NULL, 'AMP_deaminase', NULL, NULL, 4668, 8),
(32284, NULL, 'PF08007', NULL, NULL, 'Cupin superfamily protein', NULL, 'Cupin_4', NULL, NULL, 4329, 8),
(32285, NULL, 'PF13641', NULL, NULL, 'Glycosyltransferase like family 2', NULL, 'Glyco_tranf_2_3', NULL, NULL, NULL, 8),
(32286, NULL, 'PF14092', NULL, NULL, 'Domain of unknown function (DUF4270)', NULL, 'DUF4270', NULL, NULL, 23017, 8),
(32287, NULL, 'PF05818', NULL, NULL, 'Enterobacterial TraT complement resistance protein', NULL, 'TraT', NULL, NULL, 7669, 8),
(32288, NULL, 'PF19493', NULL, NULL, 'Trypsin-co-occurring domain 1', NULL, 'Trypco1', NULL, NULL, 38505, 8),
(32289, NULL, 'PF10665', NULL, NULL, 'Minor capsid protein', NULL, 'Minor_capsid_1', NULL, NULL, 20307, 8),
(32290, NULL, 'PF04916', NULL, NULL, 'Phospholipase B', NULL, 'Phospholip_B', NULL, NULL, 6392, 8),
(32291, NULL, 'PF11138', NULL, NULL, 'Protein of unknown function (DUF2911)', NULL, 'DUF2911', NULL, NULL, 17510, 8),
(32292, NULL, 'PF14716', NULL, NULL, 'Helix-hairpin-helix domain', NULL, 'HHH_8', NULL, NULL, 8815, 8),
(32293, NULL, 'PF11929', NULL, NULL, 'Domain of unknown function (DUF3447)', NULL, 'DUF3447', NULL, NULL, 20550, 8),
(32294, NULL, 'PF13372', NULL, NULL, 'Alginate export', NULL, 'Alginate_exp', NULL, NULL, 23450, 8),
(32295, NULL, 'PF05875', NULL, NULL, 'Ceramidase', NULL, 'Ceramidase', NULL, NULL, 7544, 8),
(32296, NULL, 'PF17161', NULL, NULL, 'Domain of unknown function (DUF5123)', NULL, 'DUF5123', NULL, NULL, 33964, 8),
(32297, NULL, 'PF04054', NULL, NULL, 'CCR4-Not complex component, Not1', NULL, 'Not1', NULL, NULL, 1010, 8),
(32298, NULL, 'PF12180', NULL, NULL, 'TSG101 and ALIX binding domain of CEP55', NULL, 'EABR', NULL, NULL, 20915, 8),
(32299, NULL, 'PF16429', NULL, NULL, 'Domain of unknown function (DUF5026)', NULL, 'DUF5026', NULL, NULL, 25786, 8),
(32300, NULL, 'PF04830', NULL, NULL, 'Possible hemagglutinin (DUF637)', NULL, 'DUF637', NULL, NULL, 4692, 8),
(32301, NULL, 'PF09458', NULL, NULL, 'H-type lectin domain', NULL, 'H_lectin', NULL, NULL, 16389, 8),
(32302, NULL, 'PF13391', NULL, NULL, 'HNH endonuclease', NULL, 'HNH_2', NULL, NULL, 810, 8),
(32303, NULL, 'PF12073', NULL, NULL, 'Protein of unknown function (DUF3553)', NULL, 'DUF3553', NULL, NULL, 20355, 8),
(32304, NULL, 'PF03022', NULL, NULL, 'Major royal jelly protein', NULL, 'MRJP', NULL, NULL, 19018, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32305, NULL, 'PF17830', NULL, NULL, 'STI1 domain', NULL, 'STI1', NULL, NULL, 32936, 8),
(32306, NULL, 'PF01606', NULL, NULL, 'Arterivirus envelope protein', NULL, 'Arteri_env', NULL, NULL, 1729, 8),
(32307, NULL, 'PF02494', NULL, NULL, 'HYR domain', NULL, 'HYR', NULL, NULL, 5249, 8),
(32308, NULL, 'PF07314', NULL, NULL, 'Protein of unknown function (DUF1461)', NULL, 'DUF1461', NULL, NULL, 4385, 8),
(32309, NULL, 'PF12682', NULL, NULL, 'Flavodoxin', NULL, 'Flavodoxin_4', NULL, NULL, 1928, 8),
(32310, NULL, 'PF19735', NULL, NULL, 'Family of unknown function (DUF6225)', NULL, 'DUF6225', NULL, NULL, 36961, 8),
(32311, NULL, 'PF09087', NULL, NULL, 'Cyclomaltodextrinase, N-terminal', NULL, 'Cyc-maltodext_N', NULL, NULL, 9774, 8),
(32312, NULL, 'PF07496', NULL, NULL, 'CW-type Zinc Finger', NULL, 'zf-CW', NULL, NULL, 11278, 8),
(32313, NULL, 'PF01384', NULL, NULL, 'Phosphate transporter family', NULL, 'PHO4', NULL, NULL, 1284, 8),
(32314, NULL, 'PF17882', NULL, NULL, 'OAA-family lectin sugar binding domain', NULL, 'SBD', NULL, NULL, 30445, 8),
(32315, NULL, 'PF08806', NULL, NULL, 'Sep15/SelM redox domain', NULL, 'Sep15_SelM', NULL, NULL, 13149, 8),
(32316, NULL, 'PF09430', NULL, NULL, 'Protein of unknown function (DUF2012)', NULL, 'DUF2012', NULL, NULL, 16168, 8),
(32317, NULL, 'PF16708', NULL, NULL, 'Lipoprotein confined to pathogenic Mycobacterium', NULL, 'LppA', NULL, NULL, 25401, 8),
(32318, NULL, 'PF19689', NULL, NULL, 'Family of unknown function (DUF6190)', NULL, 'DUF6190', NULL, NULL, 36780, 8),
(32319, NULL, 'PF02630', NULL, NULL, 'SCO1/SenC', NULL, 'SCO1-SenC', NULL, NULL, 3127, 8),
(32320, NULL, 'PF02675', NULL, NULL, 'S-adenosylmethionine decarboxylase', NULL, 'AdoMet_dc', NULL, NULL, 3247, 8),
(32321, NULL, 'PF15479', NULL, NULL, 'Domain of unknown function (DUF4639)', NULL, 'DUF4639', NULL, NULL, 26071, 8),
(32322, NULL, 'PF00625', NULL, NULL, 'Guanylate kinase', NULL, 'Guanylate_kin', NULL, NULL, 7378, 8),
(32323, NULL, 'PF13686', NULL, NULL, 'DsrE/DsrF/DrsH-like family', NULL, 'DrsE_2', NULL, NULL, 22233, 8),
(32324, NULL, 'PF17139', NULL, NULL, 'Domain of unknown function (DUF5112)', NULL, 'DUF5112', NULL, NULL, 35310, 8),
(32325, NULL, 'PF11836', NULL, NULL, 'Phage tail tube protein, GTA-gp10', NULL, 'Phage_TAC_11', NULL, NULL, 19656, 8),
(32326, NULL, 'PF04117', NULL, NULL, 'Mpv17 / PMP22 family', NULL, 'Mpv17_PMP22', NULL, NULL, 6980, 8),
(32327, NULL, 'PF16363', NULL, NULL, 'GDP-mannose 4,6 dehydratase', NULL, 'GDP_Man_Dehyd', NULL, NULL, 13383, 8),
(32328, NULL, 'PF01389', NULL, NULL, 'OmpA-like transmembrane domain', NULL, 'OmpA_membrane', NULL, NULL, 5798, 8),
(32329, NULL, 'PF09746', NULL, NULL, 'Tumour-associated protein', NULL, 'Membralin', NULL, NULL, 18757, 8),
(32330, NULL, 'PF11997', NULL, NULL, 'Domain of unknown function (DUF3492)', NULL, 'DUF3492', NULL, NULL, 16641, 8),
(32331, NULL, 'PF11041', NULL, NULL, 'Protein of unknown function (DUF2612)', NULL, 'DUF2612', NULL, NULL, 17992, 8),
(32332, NULL, 'PF02323', NULL, NULL, 'Egg-laying hormone precursor', NULL, 'ELH', NULL, NULL, 5360, 8),
(32333, NULL, 'PF12330', NULL, NULL, 'Haspin like kinase domain', NULL, 'Haspin_kinase', NULL, NULL, NULL, 8),
(32334, NULL, 'PF06449', NULL, NULL, 'Mitochondrial domain of unknown function (DUF1082)', NULL, 'DUF1082', NULL, NULL, 9460, 8),
(32335, NULL, 'PF15600', NULL, NULL, 'Immunity protein 64', NULL, 'Imm64', NULL, NULL, 25513, 8),
(32336, NULL, 'PF08765', NULL, NULL, 'Mor transcription activator family', NULL, 'Mor', NULL, NULL, 13412, 8),
(32337, NULL, 'PF19129', NULL, NULL, 'Family of unknown function (DUF5812)', NULL, 'DUF5812', NULL, NULL, 36875, 8),
(32338, NULL, 'PF07600', NULL, NULL, 'Protein of unknown function (DUF1564)', NULL, 'DUF1564', NULL, NULL, 13794, 8),
(32339, NULL, 'PF11683', NULL, NULL, 'Protein of unknown function (DUF3278)', NULL, 'DUF3278', NULL, NULL, 19310, 8),
(32340, NULL, 'PF05225', NULL, NULL, 'helix-turn-helix, Psq domain', NULL, 'HTH_psq', NULL, NULL, 3274, 8),
(32341, NULL, 'PF07522', NULL, NULL, 'DNA repair metallo-beta-lactamase', NULL, 'DRMBL', NULL, NULL, 11271, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32342, NULL, 'PF16207', NULL, NULL, 'RAWUL domain RING finger- and  WD40-associated ubiquitin-like', NULL, 'RAWUL', NULL, NULL, 25378, 8),
(32343, NULL, 'PF12298', NULL, NULL, 'Eukaryotic mitochondrial regulator protein', NULL, 'Bot1p', NULL, NULL, NULL, 8),
(32344, NULL, 'PF11047', NULL, NULL, 'Salmonella outer protein D', NULL, 'SopD', NULL, NULL, 17022, 8),
(32345, NULL, 'PF19364', NULL, NULL, 'Family of unknown function (DUF5940)', NULL, 'DUF5940', NULL, NULL, 39342, 8),
(32346, NULL, 'PF14574', NULL, NULL, 'C-terminal domain of RACo the ASKHA domain', NULL, 'RACo_C_ter', NULL, NULL, 25285, 8),
(32347, NULL, 'PF12589', NULL, NULL, 'Methyltransferase involved in Williams-Beuren syndrome', NULL, 'WBS_methylT', NULL, NULL, 21407, 8),
(32348, NULL, 'PF18451', NULL, NULL, 'Contact-dependent growth inhibition CdiA C-terminal domain', NULL, 'CdiA_C', NULL, NULL, 29367, 8),
(32349, NULL, 'PF14464', NULL, NULL, 'Prokaryotic homologs of the JAB domain', NULL, 'Prok-JAB', NULL, NULL, 28340, 8),
(32350, NULL, 'PF08558', NULL, NULL, 'Telomere repeat binding factor (TRF)', NULL, 'TRF', NULL, NULL, 9677, 8),
(32351, NULL, 'PF17669', NULL, NULL, 'Family of unknown function (DUF5529)', NULL, 'DUF5529', NULL, NULL, 29373, 8),
(32352, NULL, 'PF18052', NULL, NULL, 'Rx N-terminal domain', NULL, 'Rx_N', NULL, NULL, 31089, 8),
(32353, NULL, 'PF17875', NULL, NULL, 'RPA43 OB domain in RNA Pol I', NULL, 'RPA43_OB', NULL, NULL, 31094, 8),
(32354, NULL, 'PF00089', NULL, NULL, 'Trypsin', NULL, 'Trypsin', NULL, NULL, 2188, 8),
(32355, NULL, 'PF10222', NULL, NULL, 'Uncharacterized conserved protein (DUF2152)', NULL, 'DUF2152', NULL, NULL, 19100, 8),
(32356, NULL, 'PF12399', NULL, NULL, 'Branched-chain amino acid ATP-binding cassette transporter', NULL, 'BCA_ABC_TP_C', NULL, NULL, 26852, 8),
(32357, NULL, 'PF13882', NULL, NULL, 'Bravo-like intracellular region', NULL, 'Bravo_FIGEY', NULL, NULL, 27966, 8),
(32358, NULL, 'PF03271', NULL, NULL, 'EB1-like C-terminal motif', NULL, 'EB1', NULL, NULL, 2803, 8),
(32359, NULL, 'PF10169', NULL, NULL, 'Learning-associated protein', NULL, 'Laps', NULL, NULL, 19455, 8),
(32360, NULL, 'PF08247', NULL, NULL, 'ENOD40 protein', NULL, 'ENOD40', NULL, NULL, 17766, 8),
(32361, NULL, 'PF14462', NULL, NULL, 'Prokaryotic E2 family E', NULL, 'Prok-E2_E', NULL, NULL, 25994, 8),
(32362, NULL, 'PF12312', NULL, NULL, 'Nepovirus subgroup A polyprotein', NULL, 'NeA_P2', NULL, NULL, 16826, 8),
(32363, NULL, 'PF06434', NULL, NULL, 'Aconitate hydratase 2 N-terminus', NULL, 'Aconitase_2_N', NULL, NULL, 9594, 8),
(32364, NULL, 'PF13315', NULL, NULL, 'Protein of unknown function (DUF4085)', NULL, 'DUF4085', NULL, NULL, 23868, 8),
(32365, NULL, 'PF12485', NULL, NULL, 'Lymphocyte signaling adaptor protein', NULL, 'SLY', NULL, NULL, 15175, 8),
(32366, NULL, 'PF14191', NULL, NULL, 'YodL-like', NULL, 'YodL', NULL, NULL, 25916, 8),
(32367, NULL, 'PF01264', NULL, NULL, 'Chorismate synthase', NULL, 'Chorismate_synt', NULL, NULL, 6697, 8),
(32368, NULL, 'PF03258', NULL, NULL, 'Baculovirus FP protein', NULL, 'Baculo_FP', NULL, NULL, 1777, 8),
(32369, NULL, 'PF14623', NULL, NULL, 'Hint-domain', NULL, 'Vint', NULL, NULL, 36196, 8),
(32370, NULL, 'PF17615', NULL, NULL, 'Family of unknown function', NULL, 'C166', NULL, NULL, NULL, 8),
(32371, NULL, 'PF05284', NULL, NULL, 'Protein of unknown function (DUF736)', NULL, 'DUF736', NULL, NULL, 4040, 8),
(32372, NULL, 'PF05046', NULL, NULL, 'Mitochondrial large subunit ribosomal protein (Img2)', NULL, 'Img2', NULL, NULL, 1477, 8),
(32373, NULL, 'PF02187', NULL, NULL, 'Growth-Arrest-Specific Protein 2 Domain', NULL, 'GAS2', NULL, NULL, 2516, 8),
(32374, NULL, 'PF16191', NULL, NULL, 'Ubiquitin-activating enzyme E1 four-helix bundle', NULL, 'E1_4HB', NULL, NULL, 26736, 8),
(32375, NULL, 'PF18119', NULL, NULL, 'RIG-I receptor C-terminal domain', NULL, 'RIG-I_C', NULL, NULL, 31571, 8),
(32376, NULL, 'PF04308', NULL, NULL, 'Ribonuclease H-like', NULL, 'RNaseH_like', NULL, NULL, 3608, 8),
(32377, NULL, 'PF08506', NULL, NULL, 'Cse1', NULL, 'Cse1', NULL, NULL, 14330, 8),
(32378, NULL, 'PF14844', NULL, NULL, 'PH domain associated with Beige/BEACH', NULL, 'PH_BEACH', NULL, NULL, 19535, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32379, NULL, 'PF17617', NULL, NULL, 'Viral unique short region 10', NULL, 'US10', NULL, NULL, 30761, 8),
(32380, NULL, 'PF02424', NULL, NULL, 'ApbE family', NULL, 'ApbE', NULL, NULL, 21558, 8),
(32381, NULL, 'PF16452', NULL, NULL, 'Bacteriophage CI repressor C-terminal domain', NULL, 'Phage_CI_C', NULL, NULL, 22855, 8),
(32382, NULL, 'PF02071', NULL, NULL, 'Aromatic-di-Alanine (AdAR) repeat', NULL, 'NSF', NULL, NULL, NULL, 8),
(32383, NULL, 'PF12275', NULL, NULL, 'Protein of unknown function (DUF3616)', NULL, 'DUF3616', NULL, NULL, 20581, 8),
(32384, NULL, 'PF12204', NULL, NULL, 'Domain of unknown function (DUF3598)', NULL, 'DUF3598', NULL, NULL, 20881, 8),
(32385, NULL, 'PF00792', NULL, NULL, 'Phosphoinositide 3-kinase C2', NULL, 'PI3K_C2', NULL, NULL, 2611, 8),
(32386, NULL, 'PF14832', NULL, NULL, 'Putative oxalocrotonate tautomerase enzyme', NULL, 'Tautomerase_3', NULL, NULL, 26408, 8),
(32387, NULL, 'PF02985', NULL, NULL, 'HEAT repeat', NULL, 'HEAT', NULL, NULL, 4648, 8),
(32388, NULL, 'PF08116', NULL, NULL, 'PhTx neurotoxin family', NULL, 'Toxin_29', NULL, NULL, 10892, 8),
(32389, NULL, 'PF13604', NULL, NULL, 'AAA domain', NULL, 'AAA_30', NULL, NULL, NULL, 8),
(32390, NULL, 'PF00694', NULL, NULL, 'Aconitase C-terminal domain', NULL, 'Aconitase_C', NULL, NULL, 5939, 8),
(32391, NULL, 'PF04899', NULL, NULL, 'MbeD/MobD like', NULL, 'MbeD_MobD', NULL, NULL, 5762, 8),
(32392, NULL, 'PF19597', NULL, NULL, 'Family of unknown function (DUF6102)', NULL, 'DUF6102', NULL, NULL, 39387, 8),
(32393, NULL, 'PF19647', NULL, NULL, 'Family of unknown function (DUF6150)', NULL, 'DUF6150', NULL, NULL, 39565, 8),
(32394, NULL, 'PF10080', NULL, NULL, 'Membrane iron-sulfur containing protein FtrD-like', NULL, 'FtrD-like', NULL, NULL, 18713, 8),
(32395, NULL, 'PF17976', NULL, NULL, 'RING/Ubox like zinc-binding domain', NULL, 'zf-RING_12', NULL, NULL, 32876, 8),
(32396, NULL, 'PF20008', NULL, NULL, 'Domain of unknown function (DUF6429)', NULL, 'DUF6429', NULL, NULL, 38797, 8),
(32397, NULL, 'PF12489', NULL, NULL, 'Nuclear coactivator', NULL, 'ARA70', NULL, NULL, 21204, 8),
(32398, NULL, 'PF12410', NULL, NULL, 'Poxvirus DNA dependent RNA polymerase 30kDa subunit', NULL, 'rpo30_N', NULL, NULL, 22749, 8),
(32399, NULL, 'PF14128', NULL, NULL, 'Domain of unknown function (DUF4295)', NULL, 'DUF4295', NULL, NULL, 28330, 8),
(32400, NULL, 'PF18376', NULL, NULL, 'Mevalonate 5-diphosphate decarboxylase C-terminal domain', NULL, 'MDD_C', NULL, NULL, 33464, 8),
(32401, NULL, 'PF13969', NULL, NULL, 'Pab87 octamerisation domain', NULL, 'Pab87_oct', NULL, NULL, 26651, 8),
(32402, NULL, 'PF14923', NULL, NULL, 'Coiled-coil protein 142', NULL, 'CCDC142', NULL, NULL, 25153, 8),
(32403, NULL, 'PF10140', NULL, NULL, 'WXG100 protein secretion system (Wss), protein YukC', NULL, 'YukC', NULL, NULL, 19376, 8),
(32404, NULL, 'PF06084', NULL, NULL, 'Cytomegalovirus TRL10 protein', NULL, 'Cytomega_TRL10', NULL, NULL, 13890, 8),
(32405, NULL, 'PF10816', NULL, NULL, 'Domain of unknown function (DUF2760)', NULL, 'DUF2760', NULL, NULL, 17645, 8),
(32406, NULL, 'PF04664', NULL, NULL, 'Opioid growth factor receptor (OGFr) conserved region', NULL, 'OGFr_N', NULL, NULL, 3068, 8),
(32407, NULL, 'PF13639', NULL, NULL, 'Ring finger domain', NULL, 'zf-RING_2', NULL, NULL, 4199, 8),
(32408, NULL, 'PF13872', NULL, NULL, 'P-loop containing NTP hydrolase pore-1', NULL, 'AAA_34', NULL, NULL, 35229, 8),
(32409, NULL, 'PF01882', NULL, NULL, 'Protein of unknown function DUF58', NULL, 'DUF58', NULL, NULL, 5681, 8),
(32410, NULL, 'PF12122', NULL, NULL, 'Cytoplasmic N-terminal domain of rhomboid serine protease', NULL, 'Rhomboid_N', NULL, NULL, 17178, 8),
(32411, NULL, 'PF14447', NULL, NULL, 'Prokaryotic RING finger family 4', NULL, 'Prok-RING_4', NULL, NULL, NULL, 8),
(32412, NULL, 'PF00886', NULL, NULL, 'Ribosomal protein S16', NULL, 'Ribosomal_S16', NULL, NULL, 793, 8),
(32413, NULL, 'PF08126', NULL, NULL, 'Propeptide_C25', NULL, 'Propeptide_C25', NULL, NULL, 9758, 8),
(32414, NULL, 'PF01261', NULL, NULL, 'Xylose isomerase-like TIM barrel', NULL, 'AP_endonuc_2', NULL, NULL, 10700, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32415, NULL, 'PF06166', NULL, NULL, 'Protein of unknown function (DUF979)', NULL, 'DUF979', NULL, NULL, 14824, 8),
(32416, NULL, 'PF15670', NULL, NULL, 'Spermatid maturation protein 1', NULL, 'Spem1', NULL, NULL, 22163, 8),
(32417, NULL, 'PF09661', NULL, NULL, 'Protein of unknown function (DUF2398)', NULL, 'DUF2398', NULL, NULL, 10210, 8),
(32418, NULL, 'PF01844', NULL, NULL, 'HNH endonuclease', NULL, 'HNH', NULL, NULL, 3819, 8),
(32419, NULL, 'PF16461', NULL, NULL, 'Lambda phage tail tube protein, TTP', NULL, 'Phage_TTP_12', NULL, NULL, 22811, 8),
(32420, NULL, 'PF11730', NULL, NULL, 'Protein of unknown function (DUF3297)', NULL, 'DUF3297', NULL, NULL, 19747, 8),
(32421, NULL, 'PF00615', NULL, NULL, 'Regulator of G protein signaling domain', NULL, 'RGS', NULL, NULL, 11055, 8),
(32422, NULL, 'PF05939', NULL, NULL, 'Phage minor tail protein', NULL, 'Phage_min_tail', NULL, NULL, 7621, 8),
(32423, NULL, 'PF13698', NULL, NULL, 'Domain of unknown function (DUF4156)', NULL, 'DUF4156', NULL, NULL, 23651, 8),
(32424, NULL, 'PF10857', NULL, NULL, 'Protein of unknown function (DUF2701)', NULL, 'DUF2701', NULL, NULL, 16745, 8),
(32425, NULL, 'PF13996', NULL, NULL, 'YobH-like protein', NULL, 'YobH', NULL, NULL, 28053, 8),
(32426, NULL, 'PF12443', NULL, NULL, 'AT-hook-containing transcription factor', NULL, 'AKNA', NULL, NULL, 21442, 8),
(32427, NULL, 'PF09584', NULL, NULL, 'Phage shock protein PspD (Phageshock_PspD)', NULL, 'Phageshock_PspD', NULL, NULL, 9545, 8),
(32428, NULL, 'PF13358', NULL, NULL, 'DDE superfamily endonuclease', NULL, 'DDE_3', NULL, NULL, 30560, 8),
(32429, NULL, 'PF17070', NULL, NULL, '30S ribosomal protein Thx', NULL, 'Thx', NULL, NULL, 25458, 8),
(32430, NULL, 'PF10567', NULL, NULL, 'RNA-recognition motif', NULL, 'Nab6_mRNP_bdg', NULL, NULL, 21063, 8),
(32431, NULL, 'PF17235', NULL, NULL, 'STD1/MTH1', NULL, 'STD1', NULL, NULL, 20184, 8),
(32432, NULL, 'PF09844', NULL, NULL, 'Uncharacterized conserved protein (COG2071)', NULL, 'DUF2071', NULL, NULL, 16560, 8),
(32433, NULL, 'PF04510', NULL, NULL, 'Family of unknown function (DUF577)', NULL, 'DUF577', NULL, NULL, 2814, 8),
(32434, NULL, 'PF08112', NULL, NULL, 'ATP synthase epsilon subunit', NULL, 'ATP-synt_E_2', NULL, NULL, 12785, 8),
(32435, NULL, 'PF13756', NULL, NULL, 'Stimulus-sensing domain', NULL, 'Stimulus_sens_1', NULL, NULL, 24022, 8),
(32436, NULL, 'PF00689', NULL, NULL, 'Cation transporting ATPase, C-terminus', NULL, 'Cation_ATPase_C', NULL, NULL, 2760, 8),
(32437, NULL, 'PF00302', NULL, NULL, 'Chloramphenicol acetyltransferase', NULL, 'CAT', NULL, NULL, 3391, 8),
(32438, NULL, 'PF17368', NULL, NULL, 'Spore morphogenesis and germination YwcE', NULL, 'YwcE', NULL, NULL, 18495, 8),
(32439, NULL, 'PF12543', NULL, NULL, 'Protein of unknown function (DUF3738)', NULL, 'DUF3738', NULL, NULL, 19199, 8),
(32440, NULL, 'PF04740', NULL, NULL, 'LXG domain of WXG superfamily', NULL, 'LXG', NULL, NULL, 3695, 8),
(32441, NULL, 'PF06480', NULL, NULL, 'FtsH Extracellular', NULL, 'FtsH_ext', NULL, NULL, 7634, 8),
(32442, NULL, 'PF07824', NULL, NULL, 'Type III secretion chaperone domain', NULL, 'Chaperone_III', NULL, NULL, 18545, 8),
(32443, NULL, 'PF05166', NULL, NULL, 'YcgL domain', NULL, 'YcgL', NULL, NULL, 25124, 8),
(32444, NULL, 'PF11921', NULL, NULL, 'Domain of unknown function (DUF3439)', NULL, 'DUF3439', NULL, NULL, 28790, 8),
(32445, NULL, 'PF14251', NULL, NULL, 'Domain of unknown function (DUF4346)', NULL, 'DUF4346', NULL, NULL, 28050, 8),
(32446, NULL, 'PF01431', NULL, NULL, 'Peptidase family M13', NULL, 'Peptidase_M13', NULL, NULL, 9035, 8),
(32447, NULL, 'PF01783', NULL, NULL, 'Ribosomal L32p protein family', NULL, 'Ribosomal_L32p', NULL, NULL, 2668, 8),
(32448, NULL, 'PF09995', NULL, NULL, 'ER-bound oxygenase mpaB/B''/Rubber oxygenase, catalytic domain', NULL, 'MPAB_Lcp_cat', NULL, NULL, 17890, 8),
(32449, NULL, 'PF00840', NULL, NULL, 'Glycosyl hydrolase family 7', NULL, 'Glyco_hydro_7', NULL, NULL, 3032, 8),
(32450, NULL, 'PF12418', NULL, NULL, 'Acyl-CoA dehydrogenase N terminal', NULL, 'AcylCoA_DH_N', NULL, NULL, 15618, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32451, NULL, 'PF16717', NULL, NULL, 'Ribosome-associated complex head domain', NULL, 'RAC_head', NULL, NULL, 24053, 8),
(32452, NULL, 'PF01488', NULL, NULL, 'Shikimate / quinate 5-dehydrogenase', NULL, 'Shikimate_DH', NULL, NULL, 10354, 8),
(32453, NULL, 'PF07342', NULL, NULL, 'Protein of unknown function (DUF1474)', NULL, 'DUF1474', NULL, NULL, 8120, 8),
(32454, NULL, 'PF18062', NULL, NULL, 'Restriction endonuclease AspBHI N-terminal', NULL, 'RE_AspBHI_N', NULL, NULL, 32621, 8),
(32455, NULL, 'PF13124', NULL, NULL, 'Protein of unknown function (DUF3963)', NULL, 'DUF3963', NULL, NULL, 27229, 8),
(32456, NULL, 'PF05381', NULL, NULL, 'Tymovirus endopeptidase', NULL, 'Peptidase_C21', NULL, NULL, 5230, 8),
(32457, NULL, 'PF07327', NULL, NULL, 'Neuroparsin', NULL, 'Neuroparsin', NULL, NULL, 11540, 8),
(32458, NULL, 'PF11253', NULL, NULL, 'Protein of unknown function (DUF3052)', NULL, 'DUF3052', NULL, NULL, 18430, 8),
(32459, NULL, 'PF10757', NULL, NULL, 'Biofilm formation regulator YbaJ', NULL, 'YbaJ', NULL, NULL, 20544, 8),
(32460, NULL, 'PF17384', NULL, NULL, 'RimP C-terminal SH3 domain', NULL, 'DUF150_C', NULL, NULL, 24340, 8),
(32461, NULL, 'PF02662', NULL, NULL, 'Methyl-viologen-reducing hydrogenase, delta subunit', NULL, 'FlpD', NULL, NULL, 3454, 8),
(32462, NULL, 'PF16842', NULL, NULL, 'Occluded RNA-recognition motif', NULL, 'RRM_occluded', NULL, NULL, 25891, 8),
(32463, NULL, 'PF13448', NULL, NULL, 'Domain of unknown function (DUF4114)', NULL, 'DUF4114', NULL, NULL, 23210, 8),
(32464, NULL, 'PF07065', NULL, NULL, 'D123', NULL, 'D123', NULL, NULL, 12947, 8),
(32465, NULL, 'PF01160', NULL, NULL, 'Vertebrate endogenous opioids neuropeptide', NULL, 'Opiods_neuropep', NULL, NULL, 1108, 8),
(32466, NULL, 'PF00660', NULL, NULL, 'Seripauperin and TIP1 family', NULL, 'SRP1_TIP1', NULL, NULL, 3224, 8),
(32467, NULL, 'PF17947', NULL, NULL, 'Four helical bundle domain', NULL, '4HB', NULL, NULL, 30190, 8),
(32468, NULL, 'PF18067', NULL, NULL, 'Lipase C-terminal domain', NULL, 'Lipase_C', NULL, NULL, 29684, 8),
(32469, NULL, 'PF18828', NULL, NULL, 'Large polyvalent-protein-associated domain 15', NULL, 'LPD15', NULL, NULL, 29784, 8),
(32470, NULL, 'PF19760', NULL, NULL, 'Family of unknown function (DUF6247)', NULL, 'DUF6247', NULL, NULL, 39930, 8),
(32471, NULL, 'PF00562', NULL, NULL, 'RNA polymerase Rpb2, domain 6', NULL, 'RNA_pol_Rpb2_6', NULL, NULL, 1459, 8),
(32472, NULL, 'PF09371', NULL, NULL, 'Tex-like protein N-terminal domain', NULL, 'Tex_N', NULL, NULL, 15308, 8),
(32473, NULL, 'PF09536', NULL, NULL, 'Protein of unknown function (DUF2378)', NULL, 'DUF2378', NULL, NULL, 11591, 8),
(32474, NULL, 'PF05112', NULL, NULL, 'Baculovirus P47 protein', NULL, 'Baculo_p47', NULL, NULL, 2476, 8),
(32475, NULL, 'PF00510', NULL, NULL, 'Cytochrome c oxidase subunit III', NULL, 'COX3', NULL, NULL, 819, 8),
(32476, NULL, 'PF01017', NULL, NULL, 'STAT protein, all-alpha domain', NULL, 'STAT_alpha', NULL, NULL, 10848, 8),
(32477, NULL, 'PF10193', NULL, NULL, 'Telomere length regulation protein', NULL, 'Telomere_reg-2', NULL, NULL, 15872, 8),
(32478, NULL, 'PF08333', NULL, NULL, 'Protein of unknown function (DUF1725)', NULL, 'DUF1725', NULL, NULL, 13182, 8),
(32479, NULL, 'PF16457', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_12', NULL, NULL, 1034, 8),
(32480, NULL, 'PF08887', NULL, NULL, 'GAD-like domain', NULL, 'GAD-like', NULL, NULL, 14226, 8),
(32481, NULL, 'PF08359', NULL, NULL, 'YsiA-like protein, C-terminal region', NULL, 'TetR_C_4', NULL, NULL, 13362, 8),
(32482, NULL, 'PF01564', NULL, NULL, 'Spermine/spermidine synthase domain', NULL, 'Spermine_synth', NULL, NULL, NULL, 8),
(32483, NULL, 'PF06388', NULL, NULL, 'Protein of unknown function (DUF1075)', NULL, 'DUF1075', NULL, NULL, 8476, 8),
(32484, NULL, 'PF13588', NULL, NULL, 'Type I restriction enzyme R protein N terminus (HSDR_N)', NULL, 'HSDR_N_2', NULL, NULL, 28683, 8),
(32485, NULL, 'PF05401', NULL, NULL, 'Nodulation protein S (NodS)', NULL, 'NodS', NULL, NULL, 13469, 8),
(32486, NULL, 'PF06802', NULL, NULL, 'Protein of unknown function (DUF1231)', NULL, 'DUF1231', NULL, NULL, 11406, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32487, NULL, 'PF00140', NULL, NULL, 'Sigma-70 factor, region 1.2', NULL, 'Sigma70_r1_2', NULL, NULL, 12271, 8),
(32488, NULL, 'PF11034', NULL, NULL, 'Glucose-repressible protein Grg1', NULL, 'Grg1', NULL, NULL, 12787, 8),
(32489, NULL, 'PF15602', NULL, NULL, 'Immunity protein 71', NULL, 'Imm71', NULL, NULL, 25708, 8),
(32490, NULL, 'PF17668', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_17', NULL, NULL, 31836, 8),
(32491, NULL, 'PF12269', NULL, NULL, 'CpG binding protein C-terminal domain', NULL, 'CpG_bind_C', NULL, NULL, 20559, 8),
(32492, NULL, 'PF12917', NULL, NULL, 'HD containing hydrolase-like enzyme', NULL, 'HD_2', NULL, NULL, 14651, 8),
(32493, NULL, 'PF04265', NULL, NULL, 'Thiamin pyrophosphokinase, vitamin B1 binding domain', NULL, 'TPK_B1_binding', NULL, NULL, 5554, 8),
(32494, NULL, 'PF03633', NULL, NULL, 'Glycosyl hydrolase family 65, C-terminal domain', NULL, 'Glyco_hydro_65C', NULL, NULL, 6832, 8),
(32495, NULL, 'PF07577', NULL, NULL, 'Domain of Unknown Function (DUF1547)', NULL, 'DUF1547', NULL, NULL, 13784, 8),
(32496, NULL, 'PF14076', NULL, NULL, 'Domain of unknown function (DUF4258)', NULL, 'DUF4258', NULL, NULL, 23418, 8),
(32497, NULL, 'PF00933', NULL, NULL, 'Glycosyl hydrolase family 3 N terminal domain', NULL, 'Glyco_hydro_3', NULL, NULL, 3494, 8),
(32498, NULL, 'PF02477', NULL, NULL, 'Nucleocapsid N protein', NULL, 'Nairo_nucleo', NULL, NULL, 6342, 8),
(32499, NULL, 'PF04023', NULL, NULL, 'FeoA domain', NULL, 'FeoA', NULL, NULL, 235, 8),
(32500, NULL, 'PF05813', NULL, NULL, 'Orthopoxvirus F7 protein', NULL, 'Orthopox_F7', NULL, NULL, 12139, 8),
(32501, NULL, 'PF12493', NULL, NULL, 'Protein of unknown function (DUF3709)', NULL, 'DUF3709', NULL, NULL, 21192, 8),
(32502, NULL, 'PF06282', NULL, NULL, 'Protein of unknown function (DUF1036)', NULL, 'DUF1036', NULL, NULL, 8152, 8),
(32503, NULL, 'PF17023', NULL, NULL, 'Domain of unknown function (DUF5098)', NULL, 'DUF5098', NULL, NULL, 23443, 8),
(32504, NULL, 'PF12177', NULL, NULL, 'Prohormone convertase enzyme', NULL, 'Proho_convert', NULL, NULL, 20833, 8),
(32505, NULL, 'PF14831', NULL, NULL, 'Domain of unknown function (DUF4484)', NULL, 'DUF4484', NULL, NULL, 26360, 8),
(32506, NULL, 'PF01601', NULL, NULL, 'Coronavirus spike glycoprotein S2', NULL, 'CoV_S2', NULL, NULL, 1718, 8),
(32507, NULL, 'PF12179', NULL, NULL, 'I-kappa-kinase-beta NEMO binding domain', NULL, 'IKKbetaNEMObind', NULL, NULL, 20814, 8),
(32508, NULL, 'PF10741', NULL, NULL, 'Type II secretion system (T2SS), protein M subtype b', NULL, 'T2SSM_b', NULL, NULL, 8949, 8),
(32509, NULL, 'PF04878', NULL, NULL, 'Baculovirus P48 protein', NULL, 'Baculo_p48', NULL, NULL, 5692, 8),
(32510, NULL, 'PF11990', NULL, NULL, 'Protein of unknown function (DUF3487)', NULL, 'DUF3487', NULL, NULL, 20325, 8),
(32511, NULL, 'PF15645', NULL, NULL, 'Dermonecrotoxin of the Papain-like fold', NULL, 'Tox-PLDMTX', NULL, NULL, 26422, 8),
(32512, NULL, 'PF13282', NULL, NULL, 'Domain of unknown function (DUF4070)', NULL, 'DUF4070', NULL, NULL, 27720, 8),
(32513, NULL, 'PF17965', NULL, NULL, 'Mucin binding domain', NULL, 'MucBP_2', NULL, NULL, 32703, 8),
(32514, NULL, 'PF16584', NULL, NULL, 'Outer membrane lipoprotein carrier protein LolA', NULL, 'LolA_2', NULL, NULL, 756, 8),
(32515, NULL, 'PF10766', NULL, NULL, 'Multidrug efflux pump-associated protein AcrZ', NULL, 'AcrZ', NULL, NULL, 20632, 8),
(32516, NULL, 'PF10579', NULL, NULL, 'Rapsyn N-terminal myristoylation and linker region', NULL, 'Rapsyn_N', NULL, NULL, 19752, 8),
(32517, NULL, 'PF15078', NULL, NULL, 'Domain of unknown function (DUF4545)', NULL, 'DUF4545', NULL, NULL, 28235, 8),
(32518, NULL, 'PF08474', NULL, NULL, 'Myelin transcription factor 1', NULL, 'MYT1', NULL, NULL, 13769, 8),
(32519, NULL, 'PF10732', NULL, NULL, 'Protein of unknown function (DUF2524)', NULL, 'DUF2524', NULL, NULL, 21939, 8),
(32520, NULL, 'PF08454', NULL, NULL, 'RyR and IP3R Homology associated', NULL, 'RIH_assoc', NULL, NULL, 12237, 8),
(32521, NULL, 'PF05632', NULL, NULL, 'Borrelia burgdorferi protein of unknown function (DUF792)', NULL, 'DUF792', NULL, NULL, 12888, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32522, NULL, 'PF19329', NULL, NULL, 'BTB/POZ domain-containing protein KCTD11/21 C-terminus', NULL, 'KCTD11_21_C', NULL, NULL, 38756, 8),
(32523, NULL, 'PF17301', NULL, NULL, 'Putative lipoprotein LpqV', NULL, 'LpqV', NULL, NULL, 20286, 8),
(32524, NULL, 'PF08169', NULL, NULL, 'RBB1NT (NUC162) domain', NULL, 'RBB1NT', NULL, NULL, 9558, 8),
(32525, NULL, 'PF18455', NULL, NULL, 'Gamma-aminobutyric acid type B receptor subunit 2 coiled-coil domain', NULL, 'GBR2_CC', NULL, NULL, 32783, 8),
(32526, NULL, 'PF01465', NULL, NULL, 'GRIP domain', NULL, 'GRIP', NULL, NULL, 627, 8),
(32527, NULL, 'PF11888', NULL, NULL, 'Protein of unknown function (DUF3408)', NULL, 'DUF3408', NULL, NULL, 20223, 8),
(32528, NULL, 'PF14465', NULL, NULL, 'NFRKB Winged Helix-like', NULL, 'NFRKB_winged', NULL, NULL, 27994, 8),
(32529, NULL, 'PF19569', NULL, NULL, 'START-like superfamily domain', NULL, 'START_2', NULL, NULL, 37481, 8),
(32530, NULL, 'PF17359', NULL, NULL, 'Family of unknown function (DUF5385)', NULL, 'DUF5385', NULL, NULL, 9676, 8),
(32531, NULL, 'PF00314', NULL, NULL, 'Thaumatin family', NULL, 'Thaumatin', NULL, NULL, 2162, 8),
(32532, NULL, 'PF18050', NULL, NULL, 'Cyclophilin-like family', NULL, 'Cyclophil_like2', NULL, NULL, 31096, 8),
(32533, NULL, 'PF10395', NULL, NULL, 'Utp8 family', NULL, 'Utp8', NULL, NULL, 20162, 8),
(32534, NULL, 'PF05203', NULL, NULL, 'Hom_end-associated Hint', NULL, 'Hom_end_hint', NULL, NULL, 3036, 8),
(32535, NULL, 'PF17083', NULL, NULL, 'Nucleolar protein Swm2', NULL, 'Swm2', NULL, NULL, 25940, 8),
(32536, NULL, 'PF19450', NULL, NULL, 'Family of unknown function (DUF5988)', NULL, 'DUF5988', NULL, NULL, 39100, 8),
(32537, NULL, 'PF17095', NULL, NULL, 'Spectrin-binding region of Ca2+-Calmodulin', NULL, 'CAMSAP_CC1', NULL, NULL, 25452, 8),
(32538, NULL, 'PF00388', NULL, NULL, 'Phosphatidylinositol-specific phospholipase C, X domain', NULL, 'PI-PLC-X', NULL, NULL, 493, 8),
(32539, NULL, 'PF01839', NULL, NULL, 'FG-GAP repeat', NULL, 'FG-GAP', NULL, NULL, 13605, 8),
(32540, NULL, 'PF05314', NULL, NULL, 'Baculovirus occlusion-derived virus envelope protein EC27', NULL, 'Baculo_ODV-E27', NULL, NULL, 4116, 8),
(32541, NULL, 'PF18802', NULL, NULL, 'CxC1 like cysteine cluster associated with KDZ transposases', NULL, 'CxC1', NULL, NULL, 31830, 8),
(32542, NULL, 'PF10264', NULL, NULL, 'Winged helix Storkhead-box1 domain', NULL, 'Stork_head', NULL, NULL, 15619, 8),
(32543, NULL, 'PF17227', NULL, NULL, 'Family of unknown function (DUF5302)', NULL, 'DUF5302', NULL, NULL, 20228, 8),
(32544, NULL, 'PF10074', NULL, NULL, 'Uncharacterized conserved protein (DUF2285)', NULL, 'DUF2285', NULL, NULL, 18539, 8),
(32545, NULL, 'PF17121', NULL, NULL, 'Zinc finger, C3HC4 type (RING finger)', NULL, 'zf-C3HC4_5', NULL, NULL, 4199, 8),
(32546, NULL, 'PF01852', NULL, NULL, 'START domain', NULL, 'START', NULL, NULL, 6186, 8),
(32547, NULL, 'PF09186', NULL, NULL, 'Domain of unknown function (DUF1949)', NULL, 'DUF1949', NULL, NULL, 12978, 8),
(32548, NULL, 'PF07363', NULL, NULL, 'Protein of unknown function (DUF1484)', NULL, 'DUF1484', NULL, NULL, 8407, 8),
(32549, NULL, 'PF19243', NULL, NULL, 'Family of unknown function (DUF5892)', NULL, 'DUF5892', NULL, NULL, 39795, 8),
(32550, NULL, 'PF18394', NULL, NULL, 'TANK-binding kinase 1 coiled-coil domain 1', NULL, 'TBK1_CCD1', NULL, NULL, 32320, 8),
(32551, NULL, 'PF18559', NULL, NULL, 'Galactose-binding domain-like', NULL, 'Exop_C', NULL, NULL, 32645, 8),
(32552, NULL, 'PF07021', NULL, NULL, 'Methionine biosynthesis protein MetW', NULL, 'MetW', NULL, NULL, 10288, 8),
(32553, NULL, 'PF02956', NULL, NULL, 'TT viral orf 1', NULL, 'TT_ORF1', NULL, NULL, 3686, 8),
(32554, NULL, 'PF01795', NULL, NULL, 'MraW methylase family', NULL, 'Methyltransf_5', NULL, NULL, 6246, 8),
(32555, NULL, 'PF11923', NULL, NULL, 'NFACT protein C-terminal domain', NULL, 'NFACT-C', NULL, NULL, 20078, 8),
(32556, NULL, 'PF04597', NULL, NULL, 'Ribophorin I', NULL, 'Ribophorin_I', NULL, NULL, 701, 8),
(32557, NULL, 'PF16124', NULL, NULL, 'RecQ zinc-binding', NULL, 'RecQ_Zn_bind', NULL, NULL, 26548, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32558, NULL, 'PF12689', NULL, NULL, 'Acid Phosphatase', NULL, 'Acid_PPase', NULL, NULL, 5167, 8),
(32559, NULL, 'PF16863', NULL, NULL, 'N-terminal barrel of NtMGAM and CtMGAM, maltase-glucoamylase', NULL, 'NtCtMGAM_N', NULL, NULL, 27275, 8),
(32560, NULL, 'PF08628', NULL, NULL, 'Sorting nexin C terminal', NULL, 'Nexin_C', NULL, NULL, 14198, 8),
(32561, NULL, 'PF18060', NULL, NULL, 'F actin bundling C terminal', NULL, 'F_actin_bund_C', NULL, NULL, 31750, 8),
(32562, NULL, 'PF14372', NULL, NULL, 'Domain of unknown function (DUF4413)', NULL, 'DUF4413', NULL, NULL, 28151, 8),
(32563, NULL, 'PF13669', NULL, NULL, 'Glyoxalase/Bleomycin resistance protein/Dioxygenase superfamily', NULL, 'Glyoxalase_4', NULL, NULL, NULL, 8),
(32564, NULL, 'PF16026', NULL, NULL, 'Mitochondria-eating protein', NULL, 'MIEAP', NULL, NULL, 25449, 8),
(32565, NULL, 'PF09334', NULL, NULL, 'tRNA synthetases class I (M)', NULL, 'tRNA-synt_1g', NULL, NULL, 7540, 8),
(32566, NULL, 'PF08039', NULL, NULL, 'Mitochondrial proteolipid', NULL, 'Mit_proteolip', NULL, NULL, 9639, 8),
(32567, NULL, 'PF17056', NULL, NULL, 'Killer toxin-resistance protein 1', NULL, 'KRE1', NULL, NULL, 23580, 8),
(32568, NULL, 'PF09949', NULL, NULL, 'Uncharacterized conserved protein (DUF2183)', NULL, 'DUF2183', NULL, NULL, 19151, 8),
(32569, NULL, 'PF16903', NULL, NULL, 'Major capsid protein N-terminus', NULL, 'Capsid_N', NULL, NULL, 23313, 8),
(32570, NULL, 'PF09153', NULL, NULL, 'Domain of unknown function (DUF1938)', NULL, 'DUF1938', NULL, NULL, 10883, 8),
(32571, NULL, 'PF13735', NULL, NULL, 'tRNA nucleotidyltransferase domain 2 putative', NULL, 'tRNA_NucTran2_2', NULL, NULL, 22281, 8),
(32572, NULL, 'PF12166', NULL, NULL, 'Piezo non-specific cation channel, R-Ras-binding domain', NULL, 'Piezo_RRas_bdg', NULL, NULL, 25913, 8),
(32573, NULL, 'PF11568', NULL, NULL, 'Mediator complex subunit 29', NULL, 'Med29', NULL, NULL, 15229, 8),
(32574, NULL, 'PF12381', NULL, NULL, 'Tungro spherical virus-type peptidase', NULL, 'Peptidase_C3G', NULL, NULL, 22721, 8),
(32575, NULL, 'PF15147', NULL, NULL, 'Domain of unknown function (DUF4578)', NULL, 'DUF4578', NULL, NULL, 26348, 8),
(32576, NULL, 'PF19130', NULL, NULL, 'Family of unknown function (DUF5813)', NULL, 'DUF5813', NULL, NULL, 36806, 8),
(32577, NULL, 'PF08718', NULL, NULL, 'Glycolipid transfer protein (GLTP)', NULL, 'GLTP', NULL, NULL, 11915, 8),
(32578, NULL, 'PF18151', NULL, NULL, 'Domain of unknown function (DUF5601)', NULL, 'DUF5601', NULL, NULL, 33154, 8),
(32579, NULL, 'PF18749', NULL, NULL, 'Secreted Novel AID/APOBEC-like Deaminase 3', NULL, 'SNAD3', NULL, NULL, 31444, 8),
(32580, NULL, 'PF17784', NULL, NULL, 'Sulfotransferase domain', NULL, 'Sulfotransfer_4', NULL, NULL, 30089, 8),
(32581, NULL, 'PF03878', NULL, NULL, 'YIF1', NULL, 'YIF1', NULL, NULL, 1648, 8),
(32582, NULL, 'PF15769', NULL, NULL, 'Domain of unknown function (DUF4698)', NULL, 'DUF4698', NULL, NULL, 27294, 8),
(32583, NULL, 'PF11466', NULL, NULL, 'Prion-like protein Doppel', NULL, 'Doppel', NULL, NULL, 18572, 8),
(32584, NULL, 'PF16700', NULL, NULL, 'Synphilin-1 alpha-Synuclein-binding domain', NULL, 'SNCAIP_SNCA_bd', NULL, NULL, 24142, 8),
(32585, NULL, 'PF16694', NULL, NULL, 'Cytochrome P460', NULL, 'Cytochrome_P460', NULL, NULL, 24082, 8),
(32586, NULL, 'PF10878', NULL, NULL, 'Protein of unknown function (DUF2672)', NULL, 'DUF2672', NULL, NULL, 17051, 8),
(32587, NULL, 'PF17818', NULL, NULL, 'Keratinocyte-associated gene product', NULL, 'KCT2', NULL, NULL, NULL, 8),
(32588, NULL, 'PF11863', NULL, NULL, 'Protein of unknown function (DUF3383)', NULL, 'DUF3383', NULL, NULL, 19681, 8),
(32589, NULL, 'PF03799', NULL, NULL, 'Cell division protein FtsQ', NULL, 'FtsQ', NULL, NULL, 1924, 8),
(32590, NULL, 'PF17850', NULL, NULL, 'CysA C-terminal regulatory domain', NULL, 'CysA_C_terminal', NULL, NULL, 31054, 8),
(32591, NULL, 'PF11527', NULL, NULL, 'The ARF-like 2 binding protein BART', NULL, 'ARL2_Bind_BART', NULL, NULL, 16387, 8),
(32592, NULL, 'PF19217', NULL, NULL, 'Coronavirus replicase NSP4, N-terminal', NULL, 'CoV_NSP4_N', NULL, NULL, 37793, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32593, NULL, 'PF18010', NULL, NULL, 'Cry35Ab1 HTH C-terminal domain', NULL, 'HTH_49', NULL, NULL, 30709, 8),
(32594, NULL, 'PF01910', NULL, NULL, 'Thiamine-binding protein', NULL, 'Thiamine_BP', NULL, NULL, 4622, 8),
(32595, NULL, 'PF10090', NULL, NULL, 'Histidine phosphotransferase C-terminal domain', NULL, 'HPTransfase', NULL, NULL, 18969, 8),
(32596, NULL, 'PF19793', NULL, NULL, 'Family of unknown function (DUF6277)', NULL, 'DUF6277', NULL, NULL, 39766, 8),
(32597, NULL, 'PF04310', NULL, NULL, 'MukB N-terminal', NULL, 'MukB', NULL, NULL, 3708, 8),
(32598, NULL, 'PF10177', NULL, NULL, 'Uncharacterised conserved protein (DUF2371)', NULL, 'DUF2371', NULL, NULL, 19190, 8),
(32599, NULL, 'PF16146', NULL, NULL, 'Domain of unknown function (DUF4854)', NULL, 'DUF4854', NULL, NULL, 23399, 8),
(32600, NULL, 'PF02172', NULL, NULL, 'KIX domain', NULL, 'KIX', NULL, NULL, 1467, 8),
(32601, NULL, 'PF13041', NULL, NULL, 'PPR repeat family', NULL, 'PPR_2', NULL, NULL, 5805, 8),
(32602, NULL, 'PF01064', NULL, NULL, 'Activin types I and II receptor domain', NULL, 'Activin_recp', NULL, NULL, 5831, 8),
(32603, NULL, 'PF06309', NULL, NULL, 'Torsin', NULL, 'Torsin', NULL, NULL, 10309, 8),
(32604, NULL, 'PF18410', NULL, NULL, 'Basic tilted helix bundle domain', NULL, 'BTHB', NULL, NULL, 31725, 8),
(32605, NULL, 'PF19720', NULL, NULL, 'Family of unknown function (DUF6214)', NULL, 'DUF6214', NULL, NULL, 39984, 8),
(32606, NULL, 'PF18966', NULL, NULL, 'Uncharacterised lipoprotein', NULL, 'Lipoprotein_23', NULL, NULL, 38466, 8),
(32607, NULL, 'PF14782', NULL, NULL, 'Ciliary BBSome complex subunit 2, C-terminal', NULL, 'BBS2_C', NULL, NULL, 21999, 8),
(32608, NULL, 'PF03501', NULL, NULL, 'Plectin/S10 domain', NULL, 'S10_plectin', NULL, NULL, 5795, 8),
(32609, NULL, 'PF08985', NULL, NULL, 'DP-EP family', NULL, 'DP-EP', NULL, NULL, 8599, 8),
(32610, NULL, 'PF10086', NULL, NULL, 'YhfC intramembrane metalloprotease', NULL, 'YhfC', NULL, NULL, 7768, 8),
(32611, NULL, 'PF06428', NULL, NULL, 'GDP/GTP exchange factor Sec2p', NULL, 'Sec2p', NULL, NULL, 9486, 8),
(32612, NULL, 'PF11389', NULL, NULL, 'Leptospira porin protein OmpL1', NULL, 'Porin_OmpL1', NULL, NULL, 15265, 8),
(32613, NULL, 'PF03788', NULL, NULL, 'LrgA family', NULL, 'LrgA', NULL, NULL, 1692, 8),
(32614, NULL, 'PF04551', NULL, NULL, 'GcpE protein', NULL, 'GcpE', NULL, NULL, 877, 8),
(32615, NULL, 'PF18575', NULL, NULL, 'HAMP N-terminal domain 3', NULL, 'HAMP_N3', NULL, NULL, 31842, 8),
(32616, NULL, 'PF16718', NULL, NULL, 'Immunity factor for SPN', NULL, 'IFS', NULL, NULL, 24458, 8),
(32617, NULL, 'PF15427', NULL, NULL, 'S100P-binding protein', NULL, 'S100PBPR', NULL, NULL, 26121, 8),
(32618, NULL, 'PF04574', NULL, NULL, 'Protein of unknown function (DUF592)', NULL, 'DUF592', NULL, NULL, 273, 8),
(32619, NULL, 'PF14084', NULL, NULL, 'Protein of unknown function (DUF4264)', NULL, 'DUF4264', NULL, NULL, 13367, 8),
(32620, NULL, 'PF18083', NULL, NULL, 'Proline utilization A N-terminal domain', NULL, 'PutA_N', NULL, NULL, 32221, 8),
(32621, NULL, 'PF06341', NULL, NULL, 'Protein of unknown function (DUF1056)', NULL, 'DUF1056', NULL, NULL, 8289, 8),
(32622, NULL, 'PF09422', NULL, NULL, 'WTX protein', NULL, 'WTX', NULL, NULL, 16400, 8),
(32623, NULL, 'PF14988', NULL, NULL, 'Domain of unknown function (DUF4515)', NULL, 'DUF4515', NULL, NULL, 22994, 8),
(32624, NULL, 'PF15724', NULL, NULL, 'TMEM119 family', NULL, 'TMEM119', NULL, NULL, 27384, 8),
(32625, NULL, 'PF18721', NULL, NULL, 'CxC6 like cysteine cluster associated with KDZ transposases', NULL, 'CxC6', NULL, NULL, 34877, 8),
(32626, NULL, 'PF14249', NULL, NULL, 'Tocopherol cyclase', NULL, 'Tocopherol_cycl', NULL, NULL, 27687, 8),
(32627, NULL, 'PF14811', NULL, NULL, 'Protein of unknown function TPD sequence-motif', NULL, 'TPD', NULL, NULL, 26063, 8),
(32628, NULL, 'PF17483', NULL, NULL, 'C-lobe handle domain of Tf-binding protein B', NULL, 'TbpB_C', NULL, NULL, 15942, 8),
(32629, NULL, 'PF06103', NULL, NULL, 'Bacterial protein of unknown function (DUF948)', NULL, 'DUF948', NULL, NULL, 13846, 8),
(32630, NULL, 'PF11236', NULL, NULL, 'Protein of unknown function (DUF3037)', NULL, 'DUF3037', NULL, NULL, 18061, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32631, NULL, 'PF12680', NULL, NULL, 'SnoaL-like domain', NULL, 'SnoaL_2', NULL, NULL, 35787, 8),
(32632, NULL, 'PF15355', NULL, NULL, 'Stretch-responsive small skeletal muscle X protein, Chisel', NULL, 'Chisel', NULL, NULL, 28964, 8),
(32633, NULL, 'PF02184', NULL, NULL, 'HAT (Half-A-TPR) repeat', NULL, 'HAT', NULL, NULL, 1248, 8),
(32634, NULL, 'PF14236', NULL, NULL, 'Domain of unknown function (DUF4338)', NULL, 'DUF4338', NULL, NULL, 26137, 8),
(32635, NULL, 'PF18238', NULL, NULL, 'LnmK N-terminal Hot Dog Fold domain', NULL, 'LnmK_N_HDF', NULL, NULL, 31473, 8),
(32636, NULL, 'PF19083', NULL, NULL, 'Family of unknown function (DUF5774)', NULL, 'DUF5774', NULL, NULL, 37390, 8),
(32637, NULL, 'PF07284', NULL, NULL, '2-vinyl bacteriochlorophyllide hydratase (BCHF)', NULL, 'BCHF', NULL, NULL, 14948, 8),
(32638, NULL, 'PF09127', NULL, NULL, 'Leukotriene A4 hydrolase, C-terminal', NULL, 'Leuk-A4-hydro_C', NULL, NULL, 10931, 8),
(32639, NULL, 'PF03648', NULL, NULL, 'Glycosyl hydrolase family 67 N-terminus', NULL, 'Glyco_hydro_67N', NULL, NULL, 4011, 8),
(32640, NULL, 'PF12064', NULL, NULL, 'Protein kinase C-binding protein 1', NULL, 'DUF3544', NULL, NULL, 20038, 8),
(32641, NULL, 'PF11971', NULL, NULL, 'CAMSAP CH domain', NULL, 'CAMSAP_CH', NULL, NULL, 17363, 8),
(32642, NULL, 'PF15735', NULL, NULL, 'Domain of unknown function (DUF4683)', NULL, 'DUF4683', NULL, NULL, 22512, 8),
(32643, NULL, 'PF08811', NULL, NULL, 'Protein of unknown function (DUF1800)', NULL, 'DUF1800', NULL, NULL, 13375, 8),
(32644, NULL, 'PF09255', NULL, NULL, 'Caf1 Capsule antigen', NULL, 'Antig_Caf1', NULL, NULL, 13837, 8),
(32645, NULL, 'PF18474', NULL, NULL, 'Family of unknown function (DUF5614)', NULL, 'DUF5614', NULL, NULL, 31092, 8),
(32646, NULL, 'PF20060', NULL, NULL, 'Family of unknown function (DUF6459)', NULL, 'DUF6459', NULL, NULL, 38674, 8),
(32647, NULL, 'PF06755', NULL, NULL, 'CbtA_toxin of type IV toxin-antitoxin system', NULL, 'CbtA_toxin', NULL, NULL, 1572, 8),
(32648, NULL, 'PF18323', NULL, NULL, 'Cop9 signalosome subunit 5 C-terminal domain', NULL, 'CSN5_C', NULL, NULL, 31461, 8),
(32649, NULL, 'PF03505', NULL, NULL, 'Clostridium enterotoxin', NULL, 'Clenterotox', NULL, NULL, 6391, 8),
(32650, NULL, 'PF00970', NULL, NULL, 'Oxidoreductase FAD-binding domain', NULL, 'FAD_binding_6', NULL, NULL, 12153, 8),
(32651, NULL, 'PF08854', NULL, NULL, 'Domain of unknown function (DUF1824)', NULL, 'DUF1824', NULL, NULL, 14120, 8),
(32652, NULL, 'PF10415', NULL, NULL, 'Fumarase C C-terminus', NULL, 'FumaraseC_C', NULL, NULL, 16884, 8),
(32653, NULL, 'PF02824', NULL, NULL, 'TGS domain', NULL, 'TGS', NULL, NULL, 1945, 8),
(32654, NULL, 'PF05440', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit B', NULL, 'MtrB', NULL, NULL, 13366, 8),
(32655, NULL, 'PF06631', NULL, NULL, 'Protein of unknown function (DUF1154)', NULL, 'DUF1154', NULL, NULL, 10270, 8),
(32656, NULL, 'PF17563', NULL, NULL, 'Cupiennin', NULL, 'Cu', NULL, NULL, 21045, 8),
(32657, NULL, 'PF09247', NULL, NULL, 'TATA box-binding protein binding', NULL, 'TBP-binding', NULL, NULL, 6382, 8),
(32658, NULL, 'PF05499', NULL, NULL, 'DNA methyltransferase 1-associated protein 1 (DMAP1)', NULL, 'DMAP1', NULL, NULL, 12290, 8),
(32659, NULL, 'PF10244', NULL, NULL, 'Mitochondrial ribosomal subunit', NULL, 'MRP-L51', NULL, NULL, 15934, 8),
(32660, NULL, 'PF17079', NULL, NULL, 'Male-specific protein scotti', NULL, 'SOTI', NULL, NULL, 25005, 8),
(32661, NULL, 'PF09808', NULL, NULL, 'Small nuclear RNA activating complex (SNAPc), subunit 1', NULL, 'SNAPC1', NULL, NULL, 18919, 8),
(32662, NULL, 'PF14788', NULL, NULL, 'EF hand', NULL, 'EF-hand_10', NULL, NULL, 33800, 8),
(32663, NULL, 'PF09853', NULL, NULL, 'Putative transposon-encoded protein (DUF2080)', NULL, 'DUF2080', NULL, NULL, 19303, 8),
(32664, NULL, 'PF10946', NULL, NULL, 'Protein of unknown function DUF2625', NULL, 'DUF2625', NULL, NULL, 17849, 8),
(32665, NULL, 'PF06652', NULL, NULL, 'Methuselah N-terminus', NULL, 'Methuselah_N', NULL, NULL, 8173, 8),
(32666, NULL, 'PF08461', NULL, NULL, 'Ribonuclease R winged-helix domain', NULL, 'HTH_12', NULL, NULL, 13878, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32667, NULL, 'PF19638', NULL, NULL, 'Family of unknown function (DUF6141)', NULL, 'DUF6141', NULL, NULL, 39899, 8),
(32668, NULL, 'PF18120', NULL, NULL, 'Domain of unknown function (DUF5597)', NULL, 'DUF5597', NULL, NULL, 31076, 8),
(32669, NULL, 'PF10325', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srz', NULL, '7TM_GPCR_Srz', NULL, NULL, 20500, 8),
(32670, NULL, 'PF18174', NULL, NULL, 'CCDC81-like prokaryotic HU domain 1', NULL, 'HU-CCDC81_bac_1', NULL, NULL, 29961, 8),
(32671, NULL, 'PF02337', NULL, NULL, 'Retroviral GAG p10 protein', NULL, 'Gag_p10', NULL, NULL, 4442, 8),
(32672, NULL, 'PF04057', NULL, NULL, 'Replication factor-A protein 1, N-terminal domain', NULL, 'Rep-A_N', NULL, NULL, 1492, 8),
(32673, NULL, 'PF01352', NULL, NULL, 'KRAB box', NULL, 'KRAB', NULL, NULL, 4496, 8),
(32674, NULL, 'PF08391', NULL, NULL, 'Ly49-like protein, N-terminal region', NULL, 'Ly49', NULL, NULL, 11101, 8),
(32675, NULL, 'PF04867', NULL, NULL, 'Protein of unknown function (DUF643)', NULL, 'DUF643', NULL, NULL, 5547, 8),
(32676, NULL, 'PF15648', NULL, NULL, 'Restriction endonuclease fold toxin 5', NULL, 'Tox-REase-5', NULL, NULL, 26185, 8),
(32677, NULL, 'PF02974', NULL, NULL, 'Protease inhibitor Inh', NULL, 'Inh', NULL, NULL, 15153, 8),
(32678, NULL, 'PF13895', NULL, NULL, 'Immunoglobulin domain', NULL, 'Ig_2', NULL, NULL, 362, 8),
(32679, NULL, 'PF14139', NULL, NULL, 'YpzG-like protein', NULL, 'YpzG', NULL, NULL, 28125, 8),
(32680, NULL, 'PF03623', NULL, NULL, 'Focal adhesion targeting region', NULL, 'Focal_AT', NULL, NULL, 5134, 8),
(32681, NULL, 'PF08046', NULL, NULL, 'IlvGEDA operon leader peptide', NULL, 'IlvGEDA_leader', NULL, NULL, 9749, 8),
(32682, NULL, 'PF02781', NULL, NULL, 'Glucose-6-phosphate dehydrogenase, C-terminal domain', NULL, 'G6PD_C', NULL, NULL, 17313, 8),
(32683, NULL, 'PF06929', NULL, NULL, 'Rotavirus VP3 protein', NULL, 'Rotavirus_VP3', NULL, NULL, 11246, 8),
(32684, NULL, 'PF02344', NULL, NULL, 'Myc leucine zipper domain', NULL, 'Myc-LZ', NULL, NULL, 4118, 8),
(32685, NULL, 'PF06267', NULL, NULL, 'Family of unknown function (DUF1028)', NULL, 'DUF1028', NULL, NULL, 9940, 8),
(32686, NULL, 'PF19936', NULL, NULL, 'Family of unknown function (DUF6399)', NULL, 'DUF6399', NULL, NULL, 38942, 8),
(32687, NULL, 'PF06554', NULL, NULL, 'Olfactory marker protein', NULL, 'Olfactory_mark', NULL, NULL, 7579, 8),
(32688, NULL, 'PF07790', NULL, NULL, 'Archaeal Type IV pilin, N-terminal', NULL, 'Pilin_N', NULL, NULL, 12591, 8),
(32689, NULL, 'PF11075', NULL, NULL, 'Protein of unknown function VcgC/VcgE (DUF2780)', NULL, 'DUF2780', NULL, NULL, 17577, 8),
(32690, NULL, 'PF19389', NULL, NULL, 'Family of unknown function (DUF5964)', NULL, 'DUF5964', NULL, NULL, 39174, 8),
(32691, NULL, 'PF06516', NULL, NULL, 'Purine nucleoside permease (NUP)', NULL, 'NUP', NULL, NULL, 9223, 8),
(32692, NULL, 'PF19334', NULL, NULL, 'Domain of unknown function (DUF5920)', NULL, 'DUF5920', NULL, NULL, 36503, 8),
(32693, NULL, 'PF16877', NULL, NULL, 'Domain of unknown function (DUF5078)', NULL, 'DUF5078', NULL, NULL, 25921, 8),
(32694, NULL, 'PF04832', NULL, NULL, 'SOUL heme-binding protein', NULL, 'SOUL', NULL, NULL, 4652, 8),
(32695, NULL, 'PF18732', NULL, NULL, 'HEPN like, Abia C-terminal domain', NULL, 'HEPN_AbiA_CTD', NULL, NULL, 30499, 8),
(32696, NULL, 'PF07856', NULL, NULL, 'Mediator of CRAC channel activity', NULL, 'Orai-1', NULL, NULL, 14769, 8),
(32697, NULL, 'PF17578', NULL, NULL, 'Family of unknown function (DUF5481)', NULL, 'DUF5481', NULL, NULL, 33448, 8),
(32698, NULL, 'PF06019', NULL, NULL, 'Phage GP30.8 protein', NULL, 'Phage_30_8', NULL, NULL, 13728, 8),
(32699, NULL, 'PF19146', NULL, NULL, 'Family of unknown function (DUF5828)', NULL, 'DUF5828', NULL, NULL, 36693, 8),
(32700, NULL, 'PF00158', NULL, NULL, 'Sigma-54 interaction domain', NULL, 'Sigma54_activat', NULL, NULL, 5149, 8),
(32701, NULL, 'PF00265', NULL, NULL, 'Thymidine kinase', NULL, 'TK', NULL, NULL, 246, 8),
(32702, NULL, 'PF16430', NULL, NULL, 'Domain of unknown function (DUF5027)', NULL, 'DUF5027', NULL, NULL, 25844, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32703, NULL, 'PF17970', NULL, NULL, 'Bacterial Alpha-2-macroglobulin MG1 domain', NULL, 'bMG1', NULL, NULL, 30669, 8),
(32704, NULL, 'PF16775', NULL, NULL, 'Target recognition domain of lytic exoenzyme', NULL, 'ZoocinA_TRD', NULL, NULL, 25204, 8),
(32705, NULL, 'PF17459', NULL, NULL, 'Family of unknown function (DUF5422)', NULL, 'DUF5422', NULL, NULL, 21292, 8),
(32706, NULL, 'PF15705', NULL, NULL, 'Mature oligodendrocyte transmembrane protein, TMEM132D, N-term', NULL, 'TMEM132D_N', NULL, NULL, 25208, 8),
(32707, NULL, 'PF16629', NULL, NULL, 'Armadillo-associated region on APC', NULL, 'Arm_APC_u3', NULL, NULL, NULL, 8),
(32708, NULL, 'PF05589', NULL, NULL, 'Protein of unknown function (DUF768)', NULL, 'DUF768', NULL, NULL, 12281, 8),
(32709, NULL, 'PF14250', NULL, NULL, 'AbrB-like transcriptional regulator', NULL, 'AbrB-like', NULL, NULL, 25192, 8),
(32710, NULL, 'PF09904', NULL, NULL, 'Winged helix-turn helix', NULL, 'HTH_43', NULL, NULL, 21658, 8),
(32711, NULL, 'PF18870', NULL, NULL, 'HEPN/RES N-terminal domain 1', NULL, 'HEPN_RES_NTD1', NULL, NULL, 31059, 8),
(32712, NULL, 'PF05214', NULL, NULL, 'Baculovirus P33', NULL, 'Baculo_p33', NULL, NULL, 3320, 8),
(32713, NULL, 'PF15581', NULL, NULL, 'Immunity protein 58', NULL, 'Imm58', NULL, NULL, 26104, 8),
(32714, NULL, 'PF00175', NULL, NULL, 'Oxidoreductase NAD-binding domain', NULL, 'NAD_binding_1', NULL, NULL, 6943, 8),
(32715, NULL, 'PF00074', NULL, NULL, 'Pancreatic ribonuclease', NULL, 'RnaseA', NULL, NULL, 16500, 8),
(32716, NULL, 'PF06908', NULL, NULL, 'YspA SLOG family', NULL, 'YpsA', NULL, NULL, 10287, 8),
(32717, NULL, 'PF10465', NULL, NULL, 'PinA peptidase inhibitor', NULL, 'Inhibitor_I24', NULL, NULL, 18804, 8),
(32718, NULL, 'PF13684', NULL, NULL, 'Dihydroxyacetone kinase family', NULL, 'Dak1_2', NULL, NULL, 31604, 8),
(32719, NULL, 'PF05117', NULL, NULL, 'Family of unknown function (DUF695)', NULL, 'DUF695', NULL, NULL, 10590, 8),
(32720, NULL, 'PF04677', NULL, NULL, 'Protein similar to CwfJ C-terminus 1', NULL, 'CwfJ_C_1', NULL, NULL, 3039, 8),
(32721, NULL, 'PF11987', NULL, NULL, 'Translation-initiation factor 2', NULL, 'IF-2', NULL, NULL, 20093, 8),
(32722, NULL, 'PF01121', NULL, NULL, 'Dephospho-CoA kinase', NULL, 'CoaE', NULL, NULL, 4417, 8),
(32723, NULL, 'PF11183', NULL, NULL, 'Polymyxin resistance protein PmrD', NULL, 'PmrD', NULL, NULL, 37973, 8),
(32724, NULL, 'PF03864', NULL, NULL, 'Phage major capsid protein E', NULL, 'Phage_cap_E', NULL, NULL, 1645, 8),
(32725, NULL, 'PF00761', NULL, NULL, 'Polyomavirus coat protein', NULL, 'Polyoma_coat2', NULL, NULL, 1220, 8),
(32726, NULL, 'PF17957', NULL, NULL, 'Bacterial Ig domain', NULL, 'Big_7', NULL, NULL, NULL, 8),
(32727, NULL, 'PF01355', NULL, NULL, 'High potential iron-sulfur protein', NULL, 'HIPIP', NULL, NULL, 1806, 8),
(32728, NULL, 'PF07047', NULL, NULL, 'Optic atrophy 3 protein (OPA3)', NULL, 'OPA3', NULL, NULL, 10207, 8),
(32729, NULL, 'PF04472', NULL, NULL, 'Cell division protein SepF', NULL, 'SepF', NULL, NULL, 1024, 8),
(32730, NULL, 'PF13660', NULL, NULL, 'Domain of unknown function (DUF4147)', NULL, 'DUF4147', NULL, NULL, 23550, 8),
(32731, NULL, 'PF04111', NULL, NULL, 'Apg6 BARA domain', NULL, 'APG6', NULL, NULL, 30345, 8),
(32732, NULL, 'PF11455', NULL, NULL, 'Protein  of unknown function (DUF3018)', NULL, 'DUF3018', NULL, NULL, 18667, 8),
(32733, NULL, 'PF07511', NULL, NULL, 'Protein of unknown function (DUF1525)', NULL, 'DUF1525', NULL, NULL, 11158, 8),
(32734, NULL, 'PF07481', NULL, NULL, 'Domain of Unknown Function (DUF1521)', NULL, 'DUF1521', NULL, NULL, 11365, 8),
(32735, NULL, 'PF11771', NULL, NULL, 'Protein of unknown function (DUF3314)', NULL, 'DUF3314', NULL, NULL, 19930, 8),
(32736, NULL, 'PF18385', NULL, NULL, 'T-lymphoma invasion and metastasis CC-Ex domain', NULL, 'Tiam_CC_Ex', NULL, NULL, 30508, 8),
(32737, NULL, 'PF14968', NULL, NULL, 'Coiled coil protein 84', NULL, 'CCDC84', NULL, NULL, 22196, 8),
(32738, NULL, 'PF09075', NULL, NULL, 'Heat-stable enterotoxin B, secretory', NULL, 'STb_secrete', NULL, NULL, 9912, 8),
(32739, NULL, 'PF11777', NULL, NULL, 'Protein of unknown function (DUF3316)', NULL, 'DUF3316', NULL, NULL, 16452, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32740, NULL, 'PF13523', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_8', NULL, NULL, NULL, 8),
(32741, NULL, 'PF13612', NULL, NULL, 'Transposase DDE domain', NULL, 'DDE_Tnp_1_3', NULL, NULL, 25343, 8),
(32742, NULL, 'PF15040', NULL, NULL, 'Humanin family', NULL, 'Humanin', NULL, NULL, 23564, 8),
(32743, NULL, 'PF16230', NULL, NULL, 'Domain of unknown function (DUF4889)', NULL, 'DUF4889', NULL, NULL, 28167, 8),
(32744, NULL, 'PF05141', NULL, NULL, 'Pyoverdine/dityrosine biosynthesis protein', NULL, 'DIT1_PvcA', NULL, NULL, 2382, 8),
(32745, NULL, 'PF03805', NULL, NULL, 'Cytoadherence-linked asexual protein', NULL, 'CLAG', NULL, NULL, 1594, 8),
(32746, NULL, 'PF05841', NULL, NULL, 'Apc15p protein', NULL, 'Apc15p', NULL, NULL, 8937, 8),
(32747, NULL, 'PF07081', NULL, NULL, 'Protein of unknown function (DUF1349)', NULL, 'DUF1349', NULL, NULL, 13101, 8),
(32748, NULL, 'PF18150', NULL, NULL, 'Domain of unknown function (DUF5600)', NULL, 'DUF5600', NULL, NULL, 31336, 8),
(32749, NULL, 'PF11740', NULL, NULL, 'Plasmid replication region DNA-binding N-term', NULL, 'KfrA_N', NULL, NULL, 18654, 8),
(32750, NULL, 'PF03979', NULL, NULL, 'Sigma-70 factor, region 1.1', NULL, 'Sigma70_r1_1', NULL, NULL, 168, 8),
(32751, NULL, 'PF11995', NULL, NULL, 'Domain of unknown function (DUF3490)', NULL, 'DUF3490', NULL, NULL, 20354, 8),
(32752, NULL, 'PF15755', NULL, NULL, 'Domain of unknown function (DUF4689)', NULL, 'DUF4689', NULL, NULL, 26149, 8),
(32753, NULL, 'PF14216', NULL, NULL, 'Domain of unknown function (DUF4326)', NULL, 'DUF4326', NULL, NULL, 28295, 8),
(32754, NULL, 'PF02467', NULL, NULL, 'Transcription factor WhiB', NULL, 'Whib', NULL, NULL, 22217, 8),
(32755, NULL, 'PF15213', NULL, NULL, 'CMT1A duplicated region transcript 4 protein', NULL, 'CDRT4', NULL, NULL, 21628, 8),
(32756, NULL, 'PF05520', NULL, NULL, 'Citrus tristeza virus P18 protein', NULL, 'Citrus_P18', NULL, NULL, 11932, 8),
(32757, NULL, 'PF02482', NULL, NULL, 'Sigma 54 modulation protein / S30EA ribosomal protein', NULL, 'Ribosomal_S30AE', NULL, NULL, 6499, 8),
(32758, NULL, 'PF05903', NULL, NULL, 'PPPDE putative peptidase domain', NULL, 'Peptidase_C97', NULL, NULL, 13743, 8),
(32759, NULL, 'PF11785', NULL, NULL, 'Aft1 osmotic stress response (OSM) domain', NULL, 'Aft1_OSA', NULL, NULL, 14771, 8),
(32760, NULL, 'PF12088', NULL, NULL, 'Protein of unknown function (DUF3565)', NULL, 'DUF3565', NULL, NULL, 20670, 8),
(32761, NULL, 'PF06622', NULL, NULL, 'SepQ protein', NULL, 'SepQ', NULL, NULL, 10322, 8),
(32762, NULL, 'PF03514', NULL, NULL, 'GRAS domain family', NULL, 'GRAS', NULL, NULL, 5069, 8),
(32763, NULL, 'PF01187', NULL, NULL, 'Macrophage migration inhibitory factor (MIF)', NULL, 'MIF', NULL, NULL, 3464, 8),
(32764, NULL, 'PF08326', NULL, NULL, 'Acetyl-CoA carboxylase, central region', NULL, 'ACC_central', NULL, NULL, 13047, 8),
(32765, NULL, 'PF19782', NULL, NULL, 'Family of unknown function (DUF6267)', NULL, 'DUF6267', NULL, NULL, 39620, 8),
(32766, NULL, 'PF04033', NULL, NULL, 'Domain of unknown function (DUF365)', NULL, 'DUF365', NULL, NULL, 592, 8),
(32767, NULL, 'PF11786', NULL, NULL, 'Aft1 HRA domain', NULL, 'Aft1_HRA', NULL, NULL, 19985, 8),
(32768, NULL, 'PF02547', NULL, NULL, 'Queuosine biosynthesis protein', NULL, 'Queuosine_synth', NULL, NULL, 6002, 8),
(32769, NULL, 'PF02273', NULL, NULL, 'Acyl transferase', NULL, 'Acyl_transf_2', NULL, NULL, 1912, 8),
(32770, NULL, 'PF03397', NULL, NULL, 'Rhabdovirus matrix protein', NULL, 'Rhabdo_matrix', NULL, NULL, 2023, 8),
(32771, NULL, 'PF09666', NULL, NULL, 'Sororin protein', NULL, 'Sororin', NULL, NULL, 15947, 8),
(32772, NULL, 'PF18833', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_22', NULL, NULL, 31391, 8),
(32773, NULL, 'PF13397', NULL, NULL, 'RNA polymerase-binding protein', NULL, 'RbpA', NULL, NULL, 23188, 8),
(32774, NULL, 'PF02729', NULL, NULL, 'Aspartate/ornithine carbamoyltransferase, carbamoyl-P binding domain', NULL, 'OTCace_N', NULL, NULL, 10427, 8),
(32775, NULL, 'PF18064', NULL, NULL, 'Centromere-binding protein ParB C-terminal', NULL, 'ParB_C', NULL, NULL, 35171, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32776, NULL, 'PF14343', NULL, NULL, 'PrcB C-terminal', NULL, 'PrcB_C', NULL, NULL, 23400, 8),
(32777, NULL, 'PF06866', NULL, NULL, 'Protein of unknown function (DUF1256)', NULL, 'DUF1256', NULL, NULL, 11658, 8),
(32778, NULL, 'PF15634', NULL, NULL, 'HYE1 signature containing ADP-ribosyltransferase', NULL, 'Tox-ART-HYE1', NULL, NULL, 26333, 8),
(32779, NULL, 'PF05185', NULL, NULL, 'PRMT5 arginine-N-methyltransferase', NULL, 'PRMT5', NULL, NULL, 14484, 8),
(32780, NULL, 'PF15878', NULL, NULL, 'Domain of unknown function (DUF4733)', NULL, 'DUF4733', NULL, NULL, 24956, 8),
(32781, NULL, 'PF01043', NULL, NULL, 'SecA preprotein cross-linking domain', NULL, 'SecA_PP_bind', NULL, NULL, 9669, 8),
(32782, NULL, 'PF13491', NULL, NULL, '4TM region of DNA translocase FtsK/SpoIIIE', NULL, 'FtsK_4TM', NULL, NULL, 23204, 8),
(32783, NULL, 'PF05274', NULL, NULL, 'Occlusion-derived virus envelope protein E25', NULL, 'Baculo_E25', NULL, NULL, 4146, 8),
(32784, NULL, 'PF10438', NULL, NULL, 'Cyclo-malto-dextrinase C-terminal domain', NULL, 'Cyc-maltodext_C', NULL, NULL, 18710, 8),
(32785, NULL, 'PF00946', NULL, NULL, 'Mononegavirales RNA dependent RNA polymerase', NULL, 'Mononeg_RNA_pol', NULL, NULL, 13405, 8),
(32786, NULL, 'PF19178', NULL, NULL, 'Family of unknown function (DUF5860)', NULL, 'DUF5860', NULL, NULL, 38351, 8),
(32787, NULL, 'PF10188', NULL, NULL, 'Organic solute transport protein 1', NULL, 'Oscp1', NULL, NULL, 15089, 8),
(32788, NULL, 'PF03131', NULL, NULL, 'bZIP Maf transcription factor', NULL, 'bZIP_Maf', NULL, NULL, 4073, 8),
(32789, NULL, 'PF00408', NULL, NULL, 'Phosphoglucomutase/phosphomannomutase, C-terminal domain', NULL, 'PGM_PMM_IV', NULL, NULL, 5614, 8),
(32790, NULL, 'PF00529', NULL, NULL, 'Cation efflux system protein CusB domain 1', NULL, 'CusB_dom_1', NULL, NULL, 37680, 8),
(32791, NULL, 'PF19338', NULL, NULL, 'Neutrophin-3 N-terminus', NULL, 'NTF3_N', NULL, NULL, 36791, 8),
(32792, NULL, 'PF12226', NULL, NULL, 'Turkey astrovirus capsid protein', NULL, 'Astro_capsid_p', NULL, NULL, 20862, 8),
(32793, NULL, 'PF17019', NULL, NULL, 'Domain of unknown function (DUF5096)', NULL, 'DUF5096', NULL, NULL, 23255, 8),
(32794, NULL, 'PF13317', NULL, NULL, 'Protein of unknown function (DUF4088)', NULL, 'DUF4088', NULL, NULL, 23746, 8),
(32795, NULL, 'PF18236', NULL, NULL, 'Argonaute N domain', NULL, 'AGO_N', NULL, NULL, 30878, 8),
(32796, NULL, 'PF04210', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit G', NULL, 'MtrG', NULL, NULL, 6538, 8),
(32797, NULL, 'PF04941', NULL, NULL, 'Late expression factor 8 (LEF-8)', NULL, 'LEF-8', NULL, NULL, 6579, 8),
(32798, NULL, 'PF05065', NULL, NULL, 'Phage capsid family', NULL, 'Phage_capsid', NULL, NULL, 21528, 8),
(32799, NULL, 'PF00912', NULL, NULL, 'Transglycosylase', NULL, 'Transgly', NULL, NULL, 573, 8),
(32800, NULL, 'PF17858', NULL, NULL, 'Platypus intermediate defensin-like peptide', NULL, 'Defensin_int', NULL, NULL, NULL, 8),
(32801, NULL, 'PF00787', NULL, NULL, 'PX domain', NULL, 'PX', NULL, NULL, 3086, 8),
(32802, NULL, 'PF04445', NULL, NULL, 'Putative SAM-dependent methyltransferase', NULL, 'SAM_MT', NULL, NULL, 10794, 8),
(32803, NULL, 'PF18157', NULL, NULL, 'MID domain of pPIWI_RE', NULL, 'MID_pPIWI_RE', NULL, NULL, 29548, 8),
(32804, NULL, 'PF17322', NULL, NULL, 'Family of unknown function (DUF5364)', NULL, 'DUF5364', NULL, NULL, 15607, 8),
(32805, NULL, 'PF00949', NULL, NULL, 'Peptidase S7, Flavivirus NS3 serine protease', NULL, 'Peptidase_S7', NULL, NULL, 4059, 8),
(32806, NULL, 'PF13586', NULL, NULL, 'Transposase DDE domain', NULL, 'DDE_Tnp_1_2', NULL, NULL, 25343, 8),
(32807, NULL, 'PF14771', NULL, NULL, 'Domain of unknown function (DUF4476)', NULL, 'DUF4476', NULL, NULL, 24852, 8),
(32808, NULL, 'PF12571', NULL, NULL, 'Phage tail-collar fibre protein', NULL, 'DUF3751', NULL, NULL, 21377, 8),
(32809, NULL, 'PF02582', NULL, NULL, 'Uncharacterised ACR, YagE family COG1723', NULL, 'DUF155', NULL, NULL, 2078, 8),
(32810, NULL, 'PF04153', NULL, NULL, 'NOT2 / NOT3 / NOT5 family', NULL, 'NOT2_3_5', NULL, NULL, 7124, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32811, NULL, 'PF18325', NULL, NULL, 'Fatty acid synthase subunit alpha Acyl carrier domain', NULL, 'Fas_alpha_ACP', NULL, NULL, 35976, 8),
(32812, NULL, 'PF08472', NULL, NULL, 'Sucrose-6-phosphate phosphohydrolase C-terminal', NULL, 'S6PP_C', NULL, NULL, 13930, 8),
(32813, NULL, 'PF20073', NULL, NULL, 'Domain of unknown function (DUF6469)', NULL, 'DUF6469', NULL, NULL, 38667, 8),
(32814, NULL, 'PF03812', NULL, NULL, '2-keto-3-deoxygluconate permease', NULL, 'KdgT', NULL, NULL, 3500, 8),
(32815, NULL, 'PF06608', NULL, NULL, 'Protein of unknown function (DUF1143)', NULL, 'DUF1143', NULL, NULL, 10370, 8),
(32816, NULL, 'PF00305', NULL, NULL, 'Lipoxygenase', NULL, 'Lipoxygenase', NULL, NULL, 7860, 8),
(32817, NULL, 'PF19959', NULL, NULL, 'Effector-associated domain 4', NULL, 'EAD4', NULL, NULL, 39638, 8),
(32818, NULL, 'PF10318', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srh', NULL, '7TM_GPCR_Srh', NULL, NULL, 16715, 8),
(32819, NULL, 'PF05824', NULL, NULL, 'Pro-melanin-concentrating hormone (Pro-MCH)', NULL, 'Pro-MCH', NULL, NULL, 575, 8),
(32820, NULL, 'PF18193', NULL, NULL, 'Fibrillin 1 unique N-terminal domain', NULL, 'Fibrillin_U_N', NULL, NULL, 30992, 8),
(32821, NULL, 'PF03539', NULL, NULL, 'Spumavirus aspartic protease (A9)', NULL, 'Spuma_A9PTase', NULL, NULL, 3870, 8),
(32822, NULL, 'PF09486', NULL, NULL, 'Bacterial type III secretion protein (HrpB7)', NULL, 'HrpB7', NULL, NULL, 11812, 8),
(32823, NULL, 'PF16046', NULL, NULL, 'FAM76 protein', NULL, 'FAM76', NULL, NULL, 23093, 8),
(32824, NULL, 'PF07111', NULL, NULL, 'Alpha helical coiled-coil rod protein (HCR)', NULL, 'HCR', NULL, NULL, 13979, 8),
(32825, NULL, 'PF11348', NULL, NULL, 'Protein of unknown function (DUF3150)', NULL, 'DUF3150', NULL, NULL, 18694, 8),
(32826, NULL, 'PF15323', NULL, NULL, 'Developmental protein', NULL, 'Ashwin', NULL, NULL, 28783, 8),
(32827, NULL, 'PF09722', NULL, NULL, 'Protein of unknown function (DUF2384)', NULL, 'DUF2384', NULL, NULL, 21718, 8),
(32828, NULL, 'PF18934', NULL, NULL, 'Family of unknown function (DUF5682)', NULL, 'DUF5682', NULL, NULL, 36835, 8),
(32829, NULL, 'PF17071', NULL, NULL, 'Outer capsid protein VP7', NULL, 'Capsid_VP7', NULL, NULL, 25225, 8),
(32830, NULL, 'PF02704', NULL, NULL, 'Gibberellin regulated protein', NULL, 'GASA', NULL, NULL, 3277, 8),
(32831, NULL, 'PF03161', NULL, NULL, 'LAGLIDADG DNA endonuclease family', NULL, 'LAGLIDADG_2', NULL, NULL, 7320, 8),
(32832, NULL, 'PF13570', NULL, NULL, 'PQQ-like domain', NULL, 'PQQ_3', NULL, NULL, 25170, 8),
(32833, NULL, 'PF15407', NULL, NULL, 'Sporulation protein family 7', NULL, 'Spo7_2_N', NULL, NULL, 28537, 8),
(32834, NULL, 'PF05323', NULL, NULL, 'Poxvirus A21 Protein', NULL, 'Pox_A21', NULL, NULL, 4454, 8),
(32835, NULL, 'PF01683', NULL, NULL, 'EB module', NULL, 'EB', NULL, NULL, 10049, 8),
(32836, NULL, 'PF13901', NULL, NULL, 'Putative zinc-RING and/or ribbon', NULL, 'zf-RING_9', NULL, NULL, 23647, 8),
(32837, NULL, 'PF16511', NULL, NULL, 'N-terminal or F0 domain of Talin-head FERM', NULL, 'FERM_f0', NULL, NULL, 24342, 8),
(32838, NULL, 'PF17630', NULL, NULL, 'Family of unknown function (DUF5511)', NULL, 'DUF5511', NULL, NULL, 14576, 8),
(32839, NULL, 'PF02615', NULL, NULL, 'Malate/L-lactate dehydrogenase', NULL, 'Ldh_2', NULL, NULL, 2412, 8),
(32840, NULL, 'PF12662', NULL, NULL, 'Complement Clr-like EGF-like', NULL, 'cEGF', NULL, NULL, 22805, 8),
(32841, NULL, 'PF05934', NULL, NULL, 'Mid-1-related chloride channel (MCLC)', NULL, 'MCLC', NULL, NULL, 12659, 8),
(32842, NULL, 'PF18937', NULL, NULL, 'Family of unknown function (DUF5685)', NULL, 'DUF5685', NULL, NULL, 36632, 8),
(32843, NULL, 'PF08189', NULL, NULL, 'Meleagrin/Cygnin family', NULL, 'Meleagrin', NULL, NULL, 9531, 8),
(32844, NULL, 'PF10135', NULL, NULL, 'Rod binding protein', NULL, 'Rod-binding', NULL, NULL, 15464, 8),
(32845, NULL, 'PF02493', NULL, NULL, 'MORN repeat', NULL, 'MORN', NULL, NULL, 5386, 8),
(32846, NULL, 'PF16557', NULL, NULL, 'CUT1-like DNA-binding domain of SATB', NULL, 'CUTL', NULL, NULL, 28389, 8),
(32847, NULL, 'PF16175', NULL, NULL, 'Domain of unknown function (DUF4875)', NULL, 'DUF4875', NULL, NULL, 24008, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32848, NULL, 'PF16503', NULL, NULL, 'Zinc-ribbon', NULL, 'zn-ribbon_14', NULL, NULL, 25514, 8),
(32849, NULL, 'PF18862', NULL, NULL, 'ApeA N-terminal domain 1', NULL, 'ApeA_NTD1', NULL, NULL, 31136, 8),
(32850, NULL, 'PF08708', NULL, NULL, 'Primase C terminal 1 (PriCT-1)', NULL, 'PriCT_1', NULL, NULL, 11561, 8),
(32851, NULL, 'PF12935', NULL, NULL, 'Vesicle coat trafficking protein Sec16 N-terminus', NULL, 'Sec16_N', NULL, NULL, 28787, 8),
(32852, NULL, 'PF03542', NULL, NULL, 'Tuberin', NULL, 'Tuberin', NULL, NULL, 15113, 8),
(32853, NULL, 'PF06448', NULL, NULL, 'Domain of Unknown Function (DUF1081)', NULL, 'DUF1081', NULL, NULL, 9398, 8),
(32854, NULL, 'PF19057', NULL, NULL, 'PH domain', NULL, 'PH_19', NULL, NULL, NULL, 8),
(32855, NULL, 'PF00108', NULL, NULL, 'Thiolase, N-terminal domain', NULL, 'Thiolase_N', NULL, NULL, 19987, 8),
(32856, NULL, 'PF07689', NULL, NULL, 'KaiB domain', NULL, 'KaiB', NULL, NULL, 10897, 8),
(32857, NULL, 'PF11603', NULL, NULL, 'Sir1, ORC-binding domain', NULL, 'Sir1', NULL, NULL, 19483, 8),
(32858, NULL, 'PF14734', NULL, NULL, 'Domain of unknown function (DUF4469) with IG-like fold', NULL, 'DUF4469', NULL, NULL, 22209, 8),
(32859, NULL, 'PF12486', NULL, NULL, 'Type VI secretion system, EvfB, or VasL', NULL, 'VasL', NULL, NULL, 15465, 8),
(32860, NULL, 'PF16984', NULL, NULL, 'Group 7 allergen', NULL, 'Grp7_allergen', NULL, NULL, 21398, 8),
(32861, NULL, 'PF08008', NULL, NULL, 'Viral cysteine rich', NULL, 'Viral_cys_rich', NULL, NULL, 10513, 8),
(32862, NULL, 'PF13529', NULL, NULL, 'Peptidase_C39 like family', NULL, 'Peptidase_C39_2', NULL, NULL, 36119, 8),
(32863, NULL, 'PF17588', NULL, NULL, 'Family of unknown function (DUF5486)', NULL, 'DUF5486', NULL, NULL, 30916, 8),
(32864, NULL, 'PF03484', NULL, NULL, 'tRNA synthetase B5 domain', NULL, 'B5', NULL, NULL, 4304, 8),
(32865, NULL, 'PF03840', NULL, NULL, 'Preprotein translocase SecG subunit', NULL, 'SecG', NULL, NULL, 3429, 8),
(32866, NULL, 'PF05206', NULL, NULL, 'Methyltransferase TRM13', NULL, 'TRM13', NULL, NULL, 3495, 8),
(32867, NULL, 'PF05819', NULL, NULL, 'NolX protein', NULL, 'NolX', NULL, NULL, 13148, 8),
(32868, NULL, 'PF18734', NULL, NULL, 'AbiU2', NULL, 'HEPN_AbiU2', NULL, NULL, 30863, 8),
(32869, NULL, 'PF16861', NULL, NULL, 'Carbamoyltransferase C-terminus', NULL, 'Carbam_trans_C', NULL, NULL, 27321, 8),
(32870, NULL, 'PF11998', NULL, NULL, 'Low psii accumulation1 / Rep27', NULL, 'DUF3493', NULL, NULL, 20013, 8),
(32871, NULL, 'PF12653', NULL, NULL, 'Protein of unknown function (DUF3785)', NULL, 'DUF3785', NULL, NULL, 17653, 8),
(32872, NULL, 'PF15543', NULL, NULL, 'Bacterial toxin 5', NULL, 'Ntox5', NULL, NULL, 22910, 8),
(32873, NULL, 'PF06476', NULL, NULL, 'Protein of unknown function (DUF1090)', NULL, 'DUF1090', NULL, NULL, 9136, 8),
(32874, NULL, 'PF12651', NULL, NULL, 'Ribbon-helix-helix domain', NULL, 'RHH_3', NULL, NULL, 31914, 8),
(32875, NULL, 'PF13960', NULL, NULL, 'Domain of unknown function (DUF4218)', NULL, 'DUF4218', NULL, NULL, 23058, 8),
(32876, NULL, 'PF01776', NULL, NULL, 'Ribosomal L22e protein family', NULL, 'Ribosomal_L22e', NULL, NULL, 2769, 8),
(32877, NULL, 'PF04126', NULL, NULL, 'Cyclophilin-like', NULL, 'Cyclophil_like', NULL, NULL, 24719, 8),
(32878, NULL, 'PF16185', NULL, NULL, 'Mitochondrial ABC-transporter N-terminal five TM region', NULL, 'MTABC_N', NULL, NULL, 26912, 8),
(32879, NULL, 'PF17127', NULL, NULL, 'Domain of unknown function (DUF5106)', NULL, 'DUF5106', NULL, NULL, 30174, 8),
(32880, NULL, 'PF08264', NULL, NULL, 'Anticodon-binding domain of tRNA ligase', NULL, 'Anticodon_1', NULL, NULL, 8822, 8),
(32881, NULL, 'PF17431', NULL, NULL, 'Uncharacterized YmpT-like', NULL, 'YpmT', NULL, NULL, 30791, 8),
(32882, NULL, 'PF02217', NULL, NULL, 'Origin of replication binding protein', NULL, 'T_Ag_DNA_bind', NULL, NULL, 1903, 8),
(32883, NULL, 'PF03255', NULL, NULL, 'Acetyl co-enzyme A carboxylase carboxyltransferase alpha subunit', NULL, 'ACCA', NULL, NULL, 2117, 8),
(32884, NULL, 'PF12497', NULL, NULL, 'Estrogen receptor beta', NULL, 'ERbeta_N', NULL, NULL, 15420, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32885, NULL, 'PF06087', NULL, NULL, 'Tyrosyl-DNA phosphodiesterase', NULL, 'Tyr-DNA_phospho', NULL, NULL, 8642, 8),
(32886, NULL, 'PF08338', NULL, NULL, 'Domain of unknown function (DUF1731)', NULL, 'DUF1731', NULL, NULL, 13436, 8),
(32887, NULL, 'PF03317', NULL, NULL, 'ELF protein', NULL, 'ELF', NULL, NULL, 673, 8),
(32888, NULL, 'PF06037', NULL, NULL, 'Bacterial protein of unknown function (DUF922)', NULL, 'DUF922', NULL, NULL, 8593, 8),
(32889, NULL, 'PF13562', NULL, NULL, 'Sugar nucleotidyl transferase', NULL, 'NTP_transf_4', NULL, NULL, 18956, 8),
(32890, NULL, 'PF18210', NULL, NULL, 'Knl1 RWD C-terminal domain', NULL, 'Knl1_RWD_C', NULL, NULL, 35128, 8),
(32891, NULL, 'PF04908', NULL, NULL, 'SH3-binding, glutamic acid-rich protein', NULL, 'SH3BGR', NULL, NULL, 5592, 8),
(32892, NULL, 'PF09700', NULL, NULL, 'CRISPR-associated protein (Cas_Cmr3)', NULL, 'Cas_Cmr3', NULL, NULL, 17696, 8),
(32893, NULL, 'PF14836', NULL, NULL, 'Ubiquitin-like domain', NULL, 'Ubiquitin_3', NULL, NULL, 27026, 8),
(32894, NULL, 'PF12806', NULL, NULL, 'Acetyl-CoA dehydrogenase C-terminal like', NULL, 'Acyl-CoA_dh_C', NULL, NULL, 27211, 8),
(32895, NULL, 'PF00083', NULL, NULL, 'Sugar (and other) transporter', NULL, 'Sugar_tr', NULL, NULL, 5690, 8),
(32896, NULL, 'PF02152', NULL, NULL, 'Dihydroneopterin aldolase', NULL, 'FolB', NULL, NULL, 10124, 8),
(32897, NULL, 'PF02232', NULL, NULL, 'Alpha trans-inducing protein (Alpha-TIF)', NULL, 'Alpha_TIF', NULL, NULL, 1504, 8),
(32898, NULL, 'PF09679', NULL, NULL, 'Type-F conjugative transfer system pilin chaperone (TraQ)', NULL, 'TraQ', NULL, NULL, 13792, 8),
(32899, NULL, 'PF13809', NULL, NULL, 'Tubulin like', NULL, 'Tubulin_2', NULL, NULL, 24395, 8),
(32900, NULL, 'PF13232', NULL, NULL, 'Complex1_LYR-like', NULL, 'Complex1_LYR_1', NULL, NULL, 5105, 8),
(32901, NULL, 'PF01063', NULL, NULL, 'Amino-transferase class IV', NULL, 'Aminotran_4', NULL, NULL, 3245, 8),
(32902, NULL, 'PF03598', NULL, NULL, 'CO dehydrogenase/acetyl-CoA synthase complex beta subunit', NULL, 'CdhC', NULL, NULL, 7364, 8),
(32903, NULL, 'PF16854', NULL, NULL, 'Vacuolar protein sorting-associated protein 53 C-terminus', NULL, 'VPS53_C', NULL, NULL, 23139, 8),
(32904, NULL, 'PF11962', NULL, NULL, 'Peptidase_G2, IMC autoproteolytic cleavage domain', NULL, 'Peptidase_G2', NULL, NULL, 20102, 8),
(32905, NULL, 'PF16369', NULL, NULL, 'C-terminal lipocalin-like domain', NULL, 'GH43_C', NULL, NULL, 25115, 8),
(32906, NULL, 'PF11886', NULL, NULL, 'Translocase of chloroplast 159/132, membrane anchor domain', NULL, 'TOC159_MAD', NULL, NULL, 9297, 8),
(32907, NULL, 'PF19730', NULL, NULL, 'Family of unknown function (DUF6221)', NULL, 'DUF6221', NULL, NULL, 39990, 8),
(32908, NULL, 'PF19933', NULL, NULL, 'Domain of unknown function (DUF6396)', NULL, 'DUF6396', NULL, NULL, 36508, 8),
(32909, NULL, 'PF05244', NULL, NULL, 'Brucella outer membrane protein 2', NULL, 'Brucella_OMP2', NULL, NULL, 3291, 8),
(32910, NULL, 'PF09276', NULL, NULL, 'Pertussis toxin S5 subunit', NULL, 'Pertus-S5-tox', NULL, NULL, 13843, 8),
(32911, NULL, 'PF00582', NULL, NULL, 'Universal stress protein family', NULL, 'Usp', NULL, NULL, 1299, 8),
(32912, NULL, 'PF08701', NULL, NULL, 'GNL3L/Grn1 putative GTPase', NULL, 'GN3L_Grn1', NULL, NULL, 11624, 8),
(32913, NULL, 'PF09656', NULL, NULL, 'Putative transmembrane protein (PGPGW)', NULL, 'PGPGW', NULL, NULL, 17789, 8),
(32914, NULL, 'PF18586', NULL, NULL, 'Chromatin remodeling factor Mit1 C-terminal Zn finger 1', NULL, 'zf-CCCH_7', NULL, NULL, 31786, 8),
(32915, NULL, 'PF20070', NULL, NULL, 'Family of unknown function (DUF6466)', NULL, 'DUF6466', NULL, NULL, 39901, 8),
(32916, NULL, 'PF09529', NULL, NULL, 'Integral membrane protein (intg_mem_TP0381)', NULL, 'Intg_mem_TP0381', NULL, NULL, 11735, 8),
(32917, NULL, 'PF02505', NULL, NULL, 'Methyl-coenzyme M reductase operon protein D', NULL, 'MCR_D', NULL, NULL, 4115, 8),
(32918, NULL, 'PF12521', NULL, NULL, 'Protein of unknown function (DUF3724)', NULL, 'DUF3724', NULL, NULL, 16899, 8),
(32919, NULL, 'PF08681', NULL, NULL, 'Protein of unknown function (DUF1778)', NULL, 'DUF1778', NULL, NULL, 11912, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32920, NULL, 'PF05137', NULL, NULL, 'Fimbrial assembly protein (PilN)', NULL, 'PilN', NULL, NULL, 2260, 8),
(32921, NULL, 'PF14321', NULL, NULL, 'Domain of unknown function (DUF4382)', NULL, 'DUF4382', NULL, NULL, 28193, 8),
(32922, NULL, 'PF07842', NULL, NULL, 'GC-rich sequence DNA-binding factor-like protein', NULL, 'GCFC', NULL, NULL, 14594, 8),
(32923, NULL, 'PF10075', NULL, NULL, 'CSN8/PSMD8/EIF3K family', NULL, 'CSN8_PSD8_EIF3K', NULL, NULL, 29697, 8),
(32924, NULL, 'PF10758', NULL, NULL, 'Protein of unknown function (DUF2586)', NULL, 'DUF2586', NULL, NULL, 20624, 8),
(32925, NULL, 'PF09811', NULL, NULL, 'Essential protein Yae1, N terminal', NULL, 'Yae1_N', NULL, NULL, 18673, 8),
(32926, NULL, 'PF15751', NULL, NULL, 'FAAP20 FANCA interaction domain', NULL, 'FANCA_interact', NULL, NULL, 26607, 8),
(32927, NULL, 'PF07202', NULL, NULL, 'T-complex protein 10 C-terminus', NULL, 'Tcp10_C', NULL, NULL, 14335, 8),
(32928, NULL, 'PF15681', NULL, NULL, 'Lymphocyte activation family X', NULL, 'LAX', NULL, NULL, 27002, 8),
(32929, NULL, 'PF17693', NULL, NULL, 'Family of unknown function (DUF5539)', NULL, 'DUF5539', NULL, NULL, 30932, 8),
(32930, NULL, 'PF18765', NULL, NULL, 'Polymerase beta, Nucleotidyltransferase', NULL, 'Polbeta', NULL, NULL, 32778, 8),
(32931, NULL, 'PF09789', NULL, NULL, 'Uncharacterized coiled-coil protein (DUF2353)', NULL, 'DUF2353', NULL, NULL, 18677, 8),
(32932, NULL, 'PF13422', NULL, NULL, 'Domain of unknown function (DUF4110)', NULL, 'DUF4110', NULL, NULL, 23336, 8),
(32933, NULL, 'PF03949', NULL, NULL, 'Malic enzyme, NAD binding domain', NULL, 'Malic_M', NULL, NULL, 13470, 8),
(32934, NULL, 'PF01226', NULL, NULL, 'Formate/nitrite transporter', NULL, 'Form_Nir_trans', NULL, NULL, 944, 8),
(32935, NULL, 'PF09560', NULL, NULL, 'Sporulation protein YunB (Spo_YunB)', NULL, 'Spore_YunB', NULL, NULL, 9000, 8),
(32936, NULL, 'PF11550', NULL, NULL, 'Intracellular growth locus C protein', NULL, 'IglC', NULL, NULL, 15136, 8),
(32937, NULL, 'PF03388', NULL, NULL, 'Legume-like lectin family', NULL, 'Lectin_leg-like', NULL, NULL, 2399, 8),
(32938, NULL, 'PF08038', NULL, NULL, 'TOM7 family', NULL, 'Tom7', NULL, NULL, 9539, 8),
(32939, NULL, 'PF13927', NULL, NULL, 'Immunoglobulin domain', NULL, 'Ig_3', NULL, NULL, NULL, 8),
(32940, NULL, 'PF12168', NULL, NULL, 'DNA polymerase III subunits tau domain IV DnaB-binding', NULL, 'DNA_pol3_tau_4', NULL, NULL, 20757, 8),
(32941, NULL, 'PF09734', NULL, NULL, 'RNA polymerase III transcription factor (TF)IIIC subunit HTH domain', NULL, 'Tau95', NULL, NULL, 17763, 8),
(32942, NULL, 'PF14452', NULL, NULL, 'Multiubiquitin', NULL, 'Multi_ubiq', NULL, NULL, 24514, 8),
(32943, NULL, 'PF14588', NULL, NULL, 'YjgF/chorismate_mutase-like, putative endoribonuclease', NULL, 'YjgF_endoribonc', NULL, NULL, 7901, 8),
(32944, NULL, 'PF00757', NULL, NULL, 'Furin-like cysteine rich region', NULL, 'Furin-like', NULL, NULL, 11470, 8),
(32945, NULL, 'PF15305', NULL, NULL, 'Intraflagellar transport protein 43', NULL, 'IFT43', NULL, NULL, 25784, 8),
(32946, NULL, 'PF08613', NULL, NULL, 'Cyclin', NULL, 'Cyclin', NULL, NULL, 14350, 8),
(32947, NULL, 'PF15183', NULL, NULL, 'Melanocortin-2 receptor accessory protein family', NULL, 'MRAP', NULL, NULL, 23629, 8),
(32948, NULL, 'PF05755', NULL, NULL, 'Rubber elongation factor protein (REF)', NULL, 'REF', NULL, NULL, 14282, 8),
(32949, NULL, 'PF07180', NULL, NULL, 'CaiF/GrlA transcriptional regulator', NULL, 'CaiF_GrlA', NULL, NULL, 20375, 8),
(32950, NULL, 'PF05762', NULL, NULL, 'VWA domain containing CoxE-like protein', NULL, 'VWA_CoxE', NULL, NULL, 7771, 8),
(32951, NULL, 'PF18495', NULL, NULL, 'Antitoxin VbhA', NULL, 'VbhA', NULL, NULL, 32163, 8),
(32952, NULL, 'PF11621', NULL, NULL, 'C3 binding domain 4 of IgG-bind protein SBI', NULL, 'Sbi-IV', NULL, NULL, 19275, 8),
(32953, NULL, 'PF15699', NULL, NULL, 'NPR1 interacting', NULL, 'NPR1_interact', NULL, NULL, 28663, 8),
(32954, NULL, 'PF18065', NULL, NULL, 'PatG C-terminal', NULL, 'PatG_C', NULL, NULL, 30327, 8),
(32955, NULL, 'PF15144', NULL, NULL, 'Domain of unknown function (DUF4576)', NULL, 'DUF4576', NULL, NULL, 23931, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32956, NULL, 'PF15484', NULL, NULL, 'Domain of unknown function (DUF4642)', NULL, 'DUF4642', NULL, NULL, 22010, 8),
(32957, NULL, 'PF18961', NULL, NULL, 'Domain of unknown function (DUF5703)', NULL, 'DUF5703_N', NULL, NULL, 38284, 8),
(32958, NULL, 'PF06215', NULL, NULL, 'Infectious salmon anaemia virus haemagglutinin', NULL, 'ISAV_HA', NULL, NULL, 9511, 8),
(32959, NULL, 'PF15780', NULL, NULL, 'Abnormal spindle-like microcephaly-assoc''d, ASPM-SPD-2-Hydin', NULL, 'ASH', NULL, NULL, 28285, 8),
(32960, NULL, 'PF06552', NULL, NULL, 'Plant specific mitochondrial import receptor subunit TOM20', NULL, 'TOM20_plant', NULL, NULL, NULL, 8),
(32961, NULL, 'PF00336', NULL, NULL, 'DNA polymerase (viral) C-terminal domain', NULL, 'DNA_pol_viral_C', NULL, NULL, 6141, 8),
(32962, NULL, 'PF11193', NULL, NULL, 'Protein of unknown function (DUF2812)', NULL, 'DUF2812', NULL, NULL, 18351, 8),
(32963, NULL, 'PF05404', NULL, NULL, 'Translocon-associated protein, delta subunit precursor (TRAP-delta)', NULL, 'TRAP-delta', NULL, NULL, 14159, 8),
(32964, NULL, 'PF07731', NULL, NULL, 'Multicopper oxidase', NULL, 'Cu-oxidase_2', NULL, NULL, 8185, 8),
(32965, NULL, 'PF09828', NULL, NULL, 'Chromate resistance exported protein', NULL, 'Chrome_Resist', NULL, NULL, 16155, 8),
(32966, NULL, 'PF14096', NULL, NULL, 'Domain of unknown function (DUF4274)', NULL, 'DUF4274', NULL, NULL, 23449, 8),
(32967, NULL, 'PF16355', NULL, NULL, 'Domain of unknown function (DUF4982)', NULL, 'DUF4982', NULL, NULL, 26568, 8),
(32968, NULL, 'PF10875', NULL, NULL, 'Protein of unknown function (DUF2670)', NULL, 'DUF2670', NULL, NULL, 17249, 8),
(32969, NULL, 'PF02567', NULL, NULL, 'Phenazine biosynthesis-like protein', NULL, 'PhzC-PhzF', NULL, NULL, 2216, 8),
(32970, NULL, 'PF18881', NULL, NULL, 'Family of unknown function (DUF5646)', NULL, 'DUF5646', NULL, NULL, 36655, 8),
(32971, NULL, 'PF16674', NULL, NULL, 'N-terminal of ubiquitin carboxyl-terminal hydrolase 37', NULL, 'UCH_N', NULL, NULL, 28294, 8),
(32972, NULL, 'PF12476', NULL, NULL, 'Protein of unknown function (DUF3696)', NULL, 'DUF3696', NULL, NULL, 16696, 8),
(32973, NULL, 'PF00391', NULL, NULL, 'PEP-utilising enzyme, mobile domain', NULL, 'PEP-utilizers', NULL, NULL, 9606, 8),
(32974, NULL, 'PF03785', NULL, NULL, 'Peptidase family C25, C terminal ig-like domain', NULL, 'Peptidase_C25_C', NULL, NULL, 1732, 8),
(32975, NULL, 'PF09682', NULL, NULL, 'Bacteriophage holin of superfamily 6 (Holin_LLH)', NULL, 'Phage_holin_6_1', NULL, NULL, 5013, 8),
(32976, NULL, 'PF14130', NULL, NULL, 'Cap4 dsDNA endonuclease', NULL, 'Cap4_nuclease', NULL, NULL, 28467, 8),
(32977, NULL, 'PF13044', NULL, NULL, 'Fusion glycoprotein F0, Isavirus', NULL, 'Fusion_F0', NULL, NULL, 21783, 8),
(32978, NULL, 'PF05152', NULL, NULL, 'Protein of unknown function (DUF705)', NULL, 'DUF705', NULL, NULL, 2302, 8),
(32979, NULL, 'PF03752', NULL, NULL, 'Short repeats of unknown function', NULL, 'ALF', NULL, NULL, 662, 8),
(32980, NULL, 'PF09957', NULL, NULL, 'Bacterial antitoxin of type II TA system, VapB', NULL, 'VapB_antitoxin', NULL, NULL, 19368, 8),
(32981, NULL, 'PF14431', NULL, NULL, 'YwqJ-like deaminase', NULL, 'YwqJ-deaminase', NULL, NULL, 25155, 8),
(32982, NULL, 'PF08711', NULL, NULL, 'TFIIS helical bundle-like domain', NULL, 'Med26', NULL, NULL, 2736, 8),
(32983, NULL, 'PF08698', NULL, NULL, 'Fcf2 pre-rRNA processing', NULL, 'Fcf2', NULL, NULL, 11870, 8),
(32984, NULL, 'PF00169', NULL, NULL, 'PH domain', NULL, 'PH', NULL, NULL, 1034, 8),
(32985, NULL, 'PF09918', NULL, NULL, 'Uncharacterized protein containing a ferredoxin domain (DUF2148)', NULL, 'DUF2148', NULL, NULL, 19212, 8),
(32986, NULL, 'PF10023', NULL, NULL, 'Putative aminopeptidase', NULL, 'Aminopep', NULL, NULL, 12362, 8),
(32987, NULL, 'PF01982', NULL, NULL, 'Domain of unknown function DUF120', NULL, 'CTP-dep_RFKase', NULL, NULL, 17380, 8),
(32988, NULL, 'PF08816', NULL, NULL, 'Inhibitor of vertebrate lysozyme (Ivy)', NULL, 'Ivy', NULL, NULL, NULL, 8),
(32989, NULL, 'PF12937', NULL, NULL, 'F-box-like', NULL, 'F-box-like', NULL, NULL, 4824, 8),
(32990, NULL, 'PF06213', NULL, NULL, 'Cobalamin biosynthesis protein CobT', NULL, 'CobT', NULL, NULL, 338, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(32991, NULL, 'PF02067', NULL, NULL, 'Metallothionein family 5', NULL, 'Metallothio_5', NULL, NULL, 252, 8),
(32992, NULL, 'PF07017', NULL, NULL, 'Antimicrobial peptide resistance and lipid A acylation protein PagP', NULL, 'PagP', NULL, NULL, 12828, 8),
(32993, NULL, 'PF00637', NULL, NULL, 'Region in Clathrin and VPS', NULL, 'Clathrin', NULL, NULL, 5855, 8),
(32994, NULL, 'PF11376', NULL, NULL, 'Protein of unknown function (DUF3179)', NULL, 'DUF3179', NULL, NULL, 18946, 8),
(32995, NULL, 'PF03237', NULL, NULL, 'Terminase large subunit, T4likevirus-type, N-terminal', NULL, 'Terminase_6N', NULL, NULL, NULL, 8),
(32996, NULL, 'PF07862', NULL, NULL, 'Nif11 domain', NULL, 'Nif11', NULL, NULL, 13124, 8),
(32997, NULL, 'PF11778', NULL, NULL, 'Septation initiation', NULL, 'SID', NULL, NULL, 19887, 8),
(32998, NULL, 'PF12215', NULL, NULL, 'beta-glucosidase 2, glycosyl-hydrolase family 116 N-term', NULL, 'Glyco_hydr_116N', NULL, NULL, 28881, 8),
(32999, NULL, 'PF19930', NULL, NULL, 'Family of unknown function (DUF6393)', NULL, 'DUF6393', NULL, NULL, 38807, 8),
(33000, NULL, 'PF00061', NULL, NULL, 'Lipocalin / cytosolic fatty-acid binding protein family', NULL, 'Lipocalin', NULL, NULL, 5948, 8),
(33001, NULL, 'PF12666', NULL, NULL, 'PrgI family protein', NULL, 'PrgI', NULL, NULL, 22608, 8),
(33002, NULL, 'PF12849', NULL, NULL, 'PBP superfamily domain', NULL, 'PBP_like_2', NULL, NULL, 25004, 8),
(33003, NULL, 'PF01926', NULL, NULL, '50S ribosome-binding GTPase', NULL, 'MMR_HSR1', NULL, NULL, 2970, 8),
(33004, NULL, 'PF13550', NULL, NULL, 'Putative phage tail protein', NULL, 'Phage-tail_3', NULL, NULL, 25724, 8),
(33005, NULL, 'PF16986', NULL, NULL, 'Heavy-metal resistance protein CzcE', NULL, 'CzcE', NULL, NULL, 25048, 8),
(33006, NULL, 'PF10941', NULL, NULL, 'Protein of unknown function DUF2620', NULL, 'DUF2620', NULL, NULL, 17677, 8),
(33007, NULL, 'PF15369', NULL, NULL, 'Uncharacterised protein KIAA1328', NULL, 'KIAA1328', NULL, NULL, 28256, 8),
(33008, NULL, 'PF01348', NULL, NULL, 'Type II intron maturase', NULL, 'Intron_maturas2', NULL, NULL, 25803, 8),
(33009, NULL, 'PF03408', NULL, NULL, 'Foamy virus envelope protein', NULL, 'Foamy_virus_ENV', NULL, NULL, 2237, 8),
(33010, NULL, 'PF01309', NULL, NULL, 'Equine arteritis virus small envelope glycoprotein', NULL, 'EAV_GS', NULL, NULL, 4308, 8),
(33011, NULL, 'PF09402', NULL, NULL, 'Man1-Src1p-C-terminal domain', NULL, 'MSC', NULL, NULL, 16385, 8),
(33012, NULL, 'PF00709', NULL, NULL, 'Adenylosuccinate synthetase', NULL, 'Adenylsucc_synt', NULL, NULL, 1018, 8),
(33013, NULL, 'PF11734', NULL, NULL, 'TilS substrate C-terminal domain', NULL, 'TilS_C', NULL, NULL, 10390, 8),
(33014, NULL, 'PF14596', NULL, NULL, 'STAT6 C-terminal', NULL, 'STAT6_C', NULL, NULL, 22439, 8),
(33015, NULL, 'PF04093', NULL, NULL, 'rod shape-determining protein MreD', NULL, 'MreD', NULL, NULL, 6863, 8),
(33016, NULL, 'PF01282', NULL, NULL, 'Ribosomal protein S24e', NULL, 'Ribosomal_S24e', NULL, NULL, 2441, 8),
(33017, NULL, 'PF05029', NULL, NULL, 'Timeless PAB domain', NULL, 'TIMELESS_C', NULL, NULL, 1238, 8),
(33018, NULL, 'PF14021', NULL, NULL, 'Tuberculosis necrotizing toxin', NULL, 'TNT', NULL, NULL, 22548, 8),
(33019, NULL, 'PF08719', NULL, NULL, 'NADAR domain', NULL, 'NADAR', NULL, NULL, 12606, 8),
(33020, NULL, 'PF00998', NULL, NULL, 'Viral RNA dependent RNA polymerase', NULL, 'RdRP_3', NULL, NULL, 5318, 8),
(33021, NULL, 'PF12103', NULL, NULL, 'Surface lipoprotein of Spirochaetales order', NULL, 'Lipl32', NULL, NULL, 20840, 8),
(33022, NULL, 'PF14118', NULL, NULL, 'YfzA-like protein', NULL, 'YfzA', NULL, NULL, 25296, 8),
(33023, NULL, 'PF14624', NULL, NULL, 'VWA / Hh  protein intein-like', NULL, 'Vwaint', NULL, NULL, 22701, 8),
(33024, NULL, 'PF17398', NULL, NULL, 'Nodulation protein NolB', NULL, 'NolB', NULL, NULL, 15233, 8),
(33025, NULL, 'PF07826', NULL, NULL, 'IMP cyclohydrolase-like protein', NULL, 'IMP_cyclohyd', NULL, NULL, 20776, 8),
(33026, NULL, 'PF09289', NULL, NULL, 'Follistatin/Osteonectin-like EGF domain', NULL, 'FOLN', NULL, NULL, 14447, 8),
(33027, NULL, 'PF13488', NULL, NULL, 'Glycine zipper', NULL, 'Gly-zipper_Omp', NULL, NULL, 29235, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33028, NULL, 'PF17444', NULL, NULL, 'Uncharacterized YhdX-like', NULL, 'YhdX', NULL, NULL, 29858, 8),
(33029, NULL, 'PF16747', NULL, NULL, 'Surface-adhesin protein E', NULL, 'Adhesin_E', NULL, NULL, 23678, 8),
(33030, NULL, 'PF12060', NULL, NULL, 'Domain of unknown function (DUF3541)', NULL, 'DUF3541', NULL, NULL, 20033, 8),
(33031, NULL, 'PF06599', NULL, NULL, 'Protein of unknown function (DUF1139)', NULL, 'DUF1139', NULL, NULL, 10251, 8),
(33032, NULL, 'PF15146', NULL, NULL, 'Fanconi anemia-associated', NULL, 'FANCAA', NULL, NULL, 21633, 8),
(33033, NULL, 'PF20009', NULL, NULL, 'GEVED domain', NULL, 'GEVED', NULL, NULL, 38762, 8),
(33034, NULL, 'PF04794', NULL, NULL, 'YdjC-like protein', NULL, 'YdjC', NULL, NULL, 4933, 8),
(33035, NULL, 'PF18519', NULL, NULL, 'SAGA-associated factor 11 N-terminal domain', NULL, 'Sgf11_N', NULL, NULL, 31250, 8),
(33036, NULL, 'PF12129', NULL, NULL, 'Male germ-cell putative homeodomain transcription factor', NULL, 'Phtf-FEM1B_bdg', NULL, NULL, 20944, 8),
(33037, NULL, 'PF14218', NULL, NULL, 'Circadian oscillating protein COP23', NULL, 'COP23', NULL, NULL, 28456, 8),
(33038, NULL, 'PF14093', NULL, NULL, 'Domain of unknown function (DUF4271)', NULL, 'DUF4271', NULL, NULL, 23481, 8),
(33039, NULL, 'PF09587', NULL, NULL, 'Bacterial capsule synthesis protein PGA_cap', NULL, 'PGA_cap', NULL, NULL, 16822, 8),
(33040, NULL, 'PF18750', NULL, NULL, 'Secreted Novel AID/APOBEC-like Deaminase 4', NULL, 'SNAD4', NULL, NULL, NULL, 8),
(33041, NULL, 'PF07729', NULL, NULL, 'FCD domain', NULL, 'FCD', NULL, NULL, 8146, 8),
(33042, NULL, 'PF08079', NULL, NULL, 'Ribosomal L30 N-terminal domain', NULL, 'Ribosomal_L30_N', NULL, NULL, 12334, 8),
(33043, NULL, 'PF08935', NULL, NULL, 'Viral protein VP4 subunit', NULL, 'VP4_2', NULL, NULL, 7644, 8),
(33044, NULL, 'PF17860', NULL, NULL, 'RK-1-like defensin', NULL, 'Defensin_RK-1', NULL, NULL, 30663, 8),
(33045, NULL, 'PF17002', NULL, NULL, 'Domain of unknown function (DUF5089)', NULL, 'DUF5089', NULL, NULL, 25358, 8),
(33046, NULL, 'PF08339', NULL, NULL, 'RTX C-terminal domain', NULL, 'RTX_C', NULL, NULL, 13161, 8),
(33047, NULL, 'PF16616', NULL, NULL, 'Unstructured region on Polyhomeotic-like protein 1 and 2', NULL, 'PHC2_SAM_assoc', NULL, NULL, NULL, 8),
(33048, NULL, 'PF00621', NULL, NULL, 'RhoGEF domain', NULL, 'RhoGEF', NULL, NULL, 3788, 8),
(33049, NULL, 'PF19839', NULL, NULL, 'Ribbon-helix-helix protein', NULL, 'RHH_9', NULL, NULL, 38923, 8),
(33050, NULL, 'PF03275', NULL, NULL, 'UDP-galactopyranose mutase', NULL, 'GLF', NULL, NULL, 7807, 8),
(33051, NULL, 'PF08926', NULL, NULL, 'Domain of unknown function (DUF1908)', NULL, 'DUF1908', NULL, NULL, 7880, 8),
(33052, NULL, 'PF04479', NULL, NULL, 'RTA1 like protein', NULL, 'RTA1', NULL, NULL, 1556, 8),
(33053, NULL, 'PF08015', NULL, NULL, 'Fungal mating-type pheromone', NULL, 'Pheromone', NULL, NULL, 9569, 8),
(33054, NULL, 'PF08049', NULL, NULL, 'IlvB leader peptide', NULL, 'IlvB_leader', NULL, NULL, 9592, 8),
(33055, NULL, 'PF15669', NULL, NULL, 'Coiled-coil domain-containing protein 24 family', NULL, 'CCDC24', NULL, NULL, 22385, 8),
(33056, NULL, 'PF14572', NULL, NULL, 'Phosphoribosyl synthetase-associated domain', NULL, 'Pribosyl_synth', NULL, NULL, 232, 8),
(33057, NULL, 'PF15185', NULL, NULL, 'Bcl-2-modifying factor, apoptosis', NULL, 'BMF', NULL, NULL, 23347, 8),
(33058, NULL, 'PF06954', NULL, NULL, 'Resistin', NULL, 'Resistin', NULL, NULL, 12454, 8),
(33059, NULL, 'PF18954', NULL, NULL, 'Family of unknown function (DUF5697)', NULL, 'DUF5697', NULL, NULL, 36518, 8),
(33060, NULL, 'PF03193', NULL, NULL, 'RsgA GTPase', NULL, 'RsgA_GTPase', NULL, NULL, 5270, 8),
(33061, NULL, 'PF04988', NULL, NULL, 'A-kinase anchoring protein 95 (AKAP95)', NULL, 'AKAP95', NULL, NULL, 7428, 8),
(33062, NULL, 'PF15327', NULL, NULL, 'Tankyrase binding protein C terminal domain', NULL, 'Tankyrase_bdg_C', NULL, NULL, 22617, 8),
(33063, NULL, 'PF19190', NULL, NULL, 'Viral BACON domain', NULL, 'BACON_2', NULL, NULL, 24904, 8),
(33064, NULL, 'PF19325', NULL, NULL, 'E3 ubiquitin-protein ligase RNF152 C-terminus', NULL, 'RNF152_C', NULL, NULL, 38734, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33065, NULL, 'PF09133', NULL, NULL, 'SANTA (SANT Associated)', NULL, 'SANTA', NULL, NULL, 10945, 8),
(33066, NULL, 'PF17972', NULL, NULL, 'Bacterial Alpha-2-macroglobulin MG5 domain', NULL, 'bMG5', NULL, NULL, 31704, 8),
(33067, NULL, 'PF08085', NULL, NULL, 'Entericidin EcnA/B family', NULL, 'Entericidin', NULL, NULL, 9655, 8),
(33068, NULL, 'PF07140', NULL, NULL, 'Interferon gamma receptor (IFNGR1)', NULL, 'IFNGR1', NULL, NULL, 15057, 8),
(33069, NULL, 'PF15923', NULL, NULL, 'Domain of unknown function (DUF4745)', NULL, 'DUF4745', NULL, NULL, 23189, 8),
(33070, NULL, 'PF02759', NULL, NULL, 'RUN domain', NULL, 'RUN', NULL, NULL, 505, 8),
(33071, NULL, 'PF18370', NULL, NULL, 'Rhamnogalacturonan I lyases beta-sheet domain', NULL, 'RGI_lyase', NULL, NULL, 32834, 8),
(33072, NULL, 'PF07117', NULL, NULL, 'Protein of unknown function (DUF1373)', NULL, 'DUF1373', NULL, NULL, 13977, 8),
(33073, NULL, 'PF15334', NULL, NULL, 'Aurora kinase A and ninein interacting protein', NULL, 'AIB', NULL, NULL, 28925, 8),
(33074, NULL, 'PF20091', NULL, NULL, 'Alpha/beta hydrolase domain', NULL, 'Abhydrolase_10', NULL, NULL, 38173, 8),
(33075, NULL, 'PF13923', NULL, NULL, 'Zinc finger, C3HC4 type (RING finger)', NULL, 'zf-C3HC4_2', NULL, NULL, NULL, 8),
(33076, NULL, 'PF14326', NULL, NULL, 'Domain of unknown function (DUF4384)', NULL, 'DUF4384', NULL, NULL, 28411, 8),
(33077, NULL, 'PF19479', NULL, NULL, 'Family of unknown function (DUF6015)', NULL, 'DUF6015', NULL, NULL, 39188, 8),
(33078, NULL, 'PF01868', NULL, NULL, 'Ribonuclease P/MRP, subunit p29', NULL, 'RNase_P-MRP_p29', NULL, NULL, 3916, 8),
(33079, NULL, 'PF03042', NULL, NULL, 'Birnavirus VP5 protein', NULL, 'Birna_VP5', NULL, NULL, 4945, 8),
(33080, NULL, 'PF00459', NULL, NULL, 'Inositol monophosphatase family', NULL, 'Inositol_P', NULL, NULL, 3693, 8),
(33081, NULL, 'PF18377', NULL, NULL, 'FERM F2 acyl-CoA binding protein-like domain', NULL, 'FERM_F2', NULL, NULL, 32371, 8),
(33082, NULL, 'PF05269', NULL, NULL, 'Bacteriophage CII protein', NULL, 'Phage_CII', NULL, NULL, 4319, 8),
(33083, NULL, 'PF02811', NULL, NULL, 'PHP domain', NULL, 'PHP', NULL, NULL, 688, 8),
(33084, NULL, 'PF15230', NULL, NULL, 'Serine/arginine repetitive matrix protein C-terminus', NULL, 'SRRM_C', NULL, NULL, 28072, 8),
(33085, NULL, 'PF15908', NULL, NULL, 'Hyaluronan mediated motility receptor C-terminal', NULL, 'HMMR_C', NULL, NULL, 25316, 8),
(33086, NULL, 'PF12034', NULL, NULL, 'Domain of unknown function (DUF3520)', NULL, 'DUF3520', NULL, NULL, 20386, 8),
(33087, NULL, 'PF12916', NULL, NULL, 'Protein of unknown function (DUF3834)', NULL, 'DUF3834', NULL, NULL, 25902, 8),
(33088, NULL, 'PF18128', NULL, NULL, 'Hydrogen maturase F dimerization domain', NULL, 'HydF_dimer', NULL, NULL, 32280, 8),
(33089, NULL, 'PF07474', NULL, NULL, 'G2F domain', NULL, 'G2F', NULL, NULL, 1434, 8),
(33090, NULL, 'PF10698', NULL, NULL, 'Protein of unknown function (DUF2505)', NULL, 'DUF2505', NULL, NULL, 21499, 8),
(33091, NULL, 'PF07735', NULL, NULL, 'F-box associated', NULL, 'FBA_2', NULL, NULL, 13008, 8),
(33092, NULL, 'PF13451', NULL, NULL, 'Probable zinc-ribbon domain', NULL, 'zf-trcl', NULL, NULL, 27655, 8),
(33093, NULL, 'PF08129', NULL, NULL, 'Alpha/beta enterocin family', NULL, 'Antimicrobial17', NULL, NULL, 12100, 8),
(33094, NULL, 'PF00135', NULL, NULL, 'Carboxylesterase family', NULL, 'COesterase', NULL, NULL, 5401, 8),
(33095, NULL, 'PF09030', NULL, NULL, 'Creb binding', NULL, 'Creb_binding', NULL, NULL, 12855, 8),
(33096, NULL, 'PF10012', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2255)', NULL, 'DUF2255', NULL, NULL, 17354, 8),
(33097, NULL, 'PF07860', NULL, NULL, 'WisP family C-Terminal Region', NULL, 'CCD', NULL, NULL, 13711, 8),
(33098, NULL, 'PF09157', NULL, NULL, 'Pseudouridine synthase II TruB, C-terminal', NULL, 'TruB-C_2', NULL, NULL, 12668, 8),
(33099, NULL, 'PF14561', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_20', NULL, NULL, NULL, 8),
(33100, NULL, 'PF11398', NULL, NULL, 'Protein of unknown function (DUF2813)', NULL, 'DUF2813', NULL, NULL, 17000, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33101, NULL, 'PF07825', NULL, NULL, 'Excisionase-like protein', NULL, 'Exc', NULL, NULL, 13227, 8),
(33102, NULL, 'PF02645', NULL, NULL, 'Uncharacterised protein, DegV family COG1307', NULL, 'DegV', NULL, NULL, 6329, 8),
(33103, NULL, 'PF13802', NULL, NULL, 'Galactose mutarotase-like', NULL, 'Gal_mutarotas_2', NULL, NULL, 25563, 8),
(33104, NULL, 'PF16086', NULL, NULL, 'Domain of unknown function (DUF4816)', NULL, 'DUF4816', NULL, NULL, 25385, 8),
(33105, NULL, 'PF19485', NULL, NULL, 'Family of unknown function (DUF6021)', NULL, 'DUF6021', NULL, NULL, 39310, 8),
(33106, NULL, 'PF17044', NULL, NULL, 'Borrelial persistence in ticks protein A', NULL, 'BPTA', NULL, NULL, 28667, 8),
(33107, NULL, 'PF01107', NULL, NULL, 'Viral movement protein (MP)', NULL, 'MP', NULL, NULL, 22613, 8),
(33108, NULL, 'PF00045', NULL, NULL, 'Hemopexin', NULL, 'Hemopexin', NULL, NULL, 21853, 8),
(33109, NULL, 'PF07742', NULL, NULL, 'BTG family', NULL, 'BTG', NULL, NULL, 1338, 8),
(33110, NULL, 'PF19144', NULL, NULL, 'Family of unknown function (DUF5826)', NULL, 'DUF5826', NULL, NULL, 36724, 8),
(33111, NULL, 'PF07968', NULL, NULL, 'Leukocidin/Hemolysin toxin family', NULL, 'Leukocidin', NULL, NULL, 12478, 8),
(33112, NULL, 'PF17484', NULL, NULL, 'N-Lobe handle Tf-binding protein B', NULL, 'TbpB_A', NULL, NULL, 15591, 8),
(33113, NULL, 'PF03531', NULL, NULL, 'Structure-specific recognition protein (SSRP1)', NULL, 'SSrecog', NULL, NULL, 28593, 8),
(33114, NULL, 'PF01998', NULL, NULL, 'Protein of unknown function DUF131', NULL, 'DUF131', NULL, NULL, 5702, 8),
(33115, NULL, 'PF09766', NULL, NULL, 'Fms-interacting protein/Thoc5', NULL, 'FmiP_Thoc5', NULL, NULL, 18827, 8),
(33116, NULL, 'PF19229', NULL, NULL, 'Family of unknown function (DUF5882)', NULL, 'DUF5882', NULL, NULL, 37901, 8),
(33117, NULL, 'PF19949', NULL, NULL, 'Family of unknown function (DUF6411)', NULL, 'DUF6411', NULL, NULL, 39725, 8),
(33118, NULL, 'PF15421', NULL, NULL, 'Putative polysaccharide deacetylase', NULL, 'Polysacc_deac_3', NULL, NULL, 22557, 8),
(33119, NULL, 'PF01208', NULL, NULL, 'Uroporphyrinogen decarboxylase (URO-D)', NULL, 'URO-D', NULL, NULL, 1139, 8),
(33120, NULL, 'PF01566', NULL, NULL, 'Natural resistance-associated macrophage protein', NULL, 'Nramp', NULL, NULL, 2383, 8),
(33121, NULL, 'PF09910', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2139)', NULL, 'DUF2139', NULL, NULL, 20644, 8),
(33122, NULL, 'PF01419', NULL, NULL, 'Jacalin-like lectin domain', NULL, 'Jacalin', NULL, NULL, 889, 8),
(33123, NULL, 'PF16510', NULL, NULL, 'Phage P22-like portal protein', NULL, 'P22_portal', NULL, NULL, 26563, 8),
(33124, NULL, 'PF12145', NULL, NULL, 'Eukaryotic Mediator 12 subunit domain', NULL, 'Med12-LCEWAV', NULL, NULL, 20723, 8),
(33125, NULL, 'PF18365', NULL, NULL, 'Phosphoinositide phosphatase C-terminal domain', NULL, 'PI_PP_C', NULL, NULL, 31458, 8),
(33126, NULL, 'PF18729', NULL, NULL, 'STY4199-like HEPN', NULL, 'HEPN_STY4199', NULL, NULL, 31117, 8),
(33127, NULL, 'PF03081', NULL, NULL, 'Exo70 exocyst complex subunit', NULL, 'Exo70', NULL, NULL, 2778, 8),
(33128, NULL, 'PF14697', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_21', NULL, NULL, NULL, 8),
(33129, NULL, 'PF05025', NULL, NULL, 'RbsD / FucU transport protein family', NULL, 'RbsD_FucU', NULL, NULL, 1156, 8),
(33130, NULL, 'PF11291', NULL, NULL, 'Protein of unknown function (DUF3091)', NULL, 'DUF3091', NULL, NULL, 18352, 8),
(33131, NULL, 'PF07265', NULL, NULL, 'Tapetum specific protein TAP35/TAP44', NULL, 'TAP35_44', NULL, NULL, 14848, 8),
(33132, NULL, 'PF14041', NULL, NULL, 'LppP/LprE lipoprotein', NULL, 'Lipoprotein_21', NULL, NULL, 23088, 8),
(33133, NULL, 'PF19077', NULL, NULL, 'Bacterial Ig-like domain', NULL, 'Big_13', NULL, NULL, 38467, 8),
(33134, NULL, 'PF12573', NULL, NULL, '2-oxoisovalerate dehydrogenase E1 alpha subunit N terminal', NULL, 'OxoDH_E1alpha_N', NULL, NULL, 16630, 8),
(33135, NULL, 'PF18425', NULL, NULL, 'Csp protease B prodomain', NULL, 'CspB_prodomain', NULL, NULL, 31938, 8),
(33136, NULL, 'PF11039', NULL, NULL, 'Protein of unknown function (DUF2824)', NULL, 'DUF2824', NULL, NULL, 16833, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33137, NULL, 'PF15899', NULL, NULL, 'BNR-Asp box repeat', NULL, 'BNR_6', NULL, NULL, 5749, 8),
(33138, NULL, 'PF00283', NULL, NULL, 'Cytochrome b559, alpha (gene psbE) and beta (gene psbF)subunits', NULL, 'Cytochrom_B559', NULL, NULL, 12074, 8),
(33139, NULL, 'PF06672', NULL, NULL, 'Protein of unknown function (DUF1175)', NULL, 'DUF1175', NULL, NULL, 10458, 8),
(33140, NULL, 'PF07388', NULL, NULL, 'Alpha-2,8-polysialyltransferase (POLYST)', NULL, 'A-2_8-polyST', NULL, NULL, 11895, 8),
(33141, NULL, 'PF08057', NULL, NULL, 'Erythromycin resistance leader peptide', NULL, 'Ery_res_leader2', NULL, NULL, 9609, 8),
(33142, NULL, 'PF13637', NULL, NULL, 'Ankyrin repeats (many copies)', NULL, 'Ank_4', NULL, NULL, 1196, 8),
(33143, NULL, 'PF18933', NULL, NULL, 'PsbP-like protein', NULL, 'PsbP_2', NULL, NULL, NULL, 8),
(33144, NULL, 'PF03260', NULL, NULL, 'Lepidopteran low molecular weight (30 kD) lipoprotein', NULL, 'Lipoprotein_11', NULL, NULL, 1852, 8),
(33145, NULL, 'PF09665', NULL, NULL, 'Type II restriction endonuclease (RE_Alw26IDE)', NULL, 'RE_Alw26IDE', NULL, NULL, 9859, 8),
(33146, NULL, 'PF15843', NULL, NULL, 'Domain of unknown function (DUF4719)', NULL, 'DUF4719', NULL, NULL, 28437, 8),
(33147, NULL, 'PF05360', NULL, NULL, 'yiaA/B two helix domain', NULL, 'YiaAB', NULL, NULL, 5497, 8),
(33148, NULL, 'PF19755', NULL, NULL, 'Domain of unknown function (DUF6242)', NULL, 'DUF6242', NULL, NULL, 39664, 8),
(33149, NULL, 'PF13521', NULL, NULL, 'AAA domain', NULL, 'AAA_28', NULL, NULL, 34302, 8),
(33150, NULL, 'PF18829', NULL, NULL, 'Importin repeat 6', NULL, 'Importin_rep_6', NULL, NULL, 31827, 8),
(33151, NULL, 'PF08396', NULL, NULL, 'Spider toxin omega agatoxin/Tx1 family', NULL, 'Toxin_34', NULL, NULL, 11129, 8),
(33152, NULL, 'PF19246', NULL, NULL, 'Family of unknown function (DUF5894)', NULL, 'DUF5894', NULL, NULL, 38087, 8),
(33153, NULL, 'PF16330', NULL, NULL, 'MukB hinge domain', NULL, 'MukB_hinge', NULL, NULL, 26252, 8),
(33154, NULL, 'PF07971', NULL, NULL, 'Glycosyl hydrolase family 92', NULL, 'Glyco_hydro_92', NULL, NULL, 8310, 8),
(33155, NULL, 'PF10377', NULL, NULL, 'Autophagy-related protein 11', NULL, 'ATG11', NULL, NULL, 17811, 8),
(33156, NULL, 'PF15442', NULL, NULL, 'Domain of unknown function (DUF4629)', NULL, 'DUF4629', NULL, NULL, 25359, 8),
(33157, NULL, 'PF05394', NULL, NULL, 'Avirulence protein', NULL, 'AvrB_AvrC', NULL, NULL, 14299, 8),
(33158, NULL, 'PF07248', NULL, NULL, 'Protein of unknown function (DUF1431)', NULL, 'DUF1431', NULL, NULL, 1445, 8),
(33159, NULL, 'PF12814', NULL, NULL, 'Meiotic cell cortex C-terminal pleckstrin homology', NULL, 'Mcp5_PH', NULL, NULL, 25466, 8),
(33160, NULL, 'PF00676', NULL, NULL, 'Dehydrogenase E1 component', NULL, 'E1_dh', NULL, NULL, 2488, 8),
(33161, NULL, 'PF09719', NULL, NULL, 'Putative redox-active protein (C_GCAxxG_C_C)', NULL, 'C_GCAxxG_C_C', NULL, NULL, 4123, 8),
(33162, NULL, 'PF16327', NULL, NULL, 'Cytochrome c-type biogenesis protein CcmF C-terminal', NULL, 'CcmF_C', NULL, NULL, 26108, 8),
(33163, NULL, 'PF19957', NULL, NULL, 'Effector-associated domain 5', NULL, 'EAD5', NULL, NULL, 38202, 8),
(33164, NULL, 'PF12810', NULL, NULL, 'Glycine rich protein', NULL, 'Gly_rich', NULL, NULL, NULL, 8),
(33165, NULL, 'PF02684', NULL, NULL, 'Lipid-A-disaccharide synthetase', NULL, 'LpxB', NULL, NULL, 3049, 8),
(33166, NULL, 'PF02737', NULL, NULL, '3-hydroxyacyl-CoA dehydrogenase, NAD binding domain', NULL, '3HCDH_N', NULL, NULL, 11411, 8),
(33167, NULL, 'PF05425', NULL, NULL, 'Copper resistance protein D', NULL, 'CopD', NULL, NULL, 12094, 8),
(33168, NULL, 'PF00952', NULL, NULL, 'Bunyavirus nucleocapsid (N) protein', NULL, 'Bunya_nucleocap', NULL, NULL, 4078, 8),
(33169, NULL, 'PF10317', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srd', NULL, '7TM_GPCR_Srd', NULL, NULL, 16506, 8),
(33170, NULL, 'PF14898', NULL, NULL, 'Domain of unknown function (DUF4491)', NULL, 'DUF4491', NULL, NULL, 27902, 8),
(33171, NULL, 'PF18671', NULL, NULL, '4-Hydroxyphenylacetate decarboxylase subunit gamma N-terminal', NULL, '4HPAD_g_N', NULL, NULL, 31299, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33172, NULL, 'PF04584', NULL, NULL, 'Poxvirus A28 family', NULL, 'Pox_A28', NULL, NULL, 146, 8),
(33173, NULL, 'PF11218', NULL, NULL, 'Protein of unknown function (DUF3011)', NULL, 'DUF3011', NULL, NULL, 18167, 8),
(33174, NULL, 'PF11360', NULL, NULL, 'Protein of unknown function (DUF3110)', NULL, 'DUF3110', NULL, NULL, 18917, 8),
(33175, NULL, 'PF03641', NULL, NULL, 'Possible lysine decarboxylase', NULL, 'Lysine_decarbox', NULL, NULL, 26724, 8),
(33176, NULL, 'PF11067', NULL, NULL, 'Protein of unknown function (DUF2868)', NULL, 'DUF2868', NULL, NULL, 17674, 8),
(33177, NULL, 'PF18836', NULL, NULL, 'YdcK Beta solenoid repeat', NULL, 'B_solenoid_ydck', NULL, NULL, 34832, 8),
(33178, NULL, 'PF17401', NULL, NULL, 'Family of unknown function (DUF5407)', NULL, 'DUF5407', NULL, NULL, 33044, 8),
(33179, NULL, 'PF19386', NULL, NULL, 'Family of unknown function (DUF5961)', NULL, 'DUF5961', NULL, NULL, 39006, 8),
(33180, NULL, 'PF13304', NULL, NULL, 'AAA domain, putative AbiEii toxin, Type IV TA system', NULL, 'AAA_21', NULL, NULL, 7190, 8),
(33181, NULL, 'PF07070', NULL, NULL, 'SpoOM protein', NULL, 'Spo0M', NULL, NULL, 12662, 8),
(33182, NULL, 'PF19456', NULL, NULL, 'MobI protein', NULL, 'MobI', NULL, NULL, 36924, 8),
(33183, NULL, 'PF07476', NULL, NULL, 'Methylaspartate ammonia-lyase C-terminus', NULL, 'MAAL_C', NULL, NULL, 17489, 8),
(33184, NULL, 'PF04300', NULL, NULL, 'F-box associated region', NULL, 'FBA', NULL, NULL, 3502, 8),
(33185, NULL, 'PF13138', NULL, NULL, 'Protein of unknown function (DUF3982)', NULL, 'DUF3982', NULL, NULL, 23312, 8),
(33186, NULL, 'PF08063', NULL, NULL, 'PADR1 (NUC008) domain', NULL, 'PADR1', NULL, NULL, 12442, 8),
(33187, NULL, 'PF00653', NULL, NULL, 'Inhibitor of Apoptosis domain', NULL, 'BIR', NULL, NULL, 2096, 8),
(33188, NULL, 'PF15416', NULL, NULL, 'Domain of unknown function (DUF4623)', NULL, 'DUF4623', NULL, NULL, 27834, 8),
(33189, NULL, 'PF18352', NULL, NULL, 'Phage protein Gp138 N-terminal domain', NULL, 'Gp138_N', NULL, NULL, 32451, 8),
(33190, NULL, 'PF02237', NULL, NULL, 'Biotin protein ligase C terminal domain', NULL, 'BPL_C', NULL, NULL, 2654, 8),
(33191, NULL, 'PF11005', NULL, NULL, 'Protein of unknown function (DUF2844)', NULL, 'DUF2844', NULL, NULL, 17761, 8),
(33192, NULL, 'PF16156', NULL, NULL, 'Domain of unknown function (DUF4864)', NULL, 'DUF4864', NULL, NULL, 25906, 8),
(33193, NULL, 'PF17393', NULL, NULL, 'Family of unknown function (DUF5402)', NULL, 'DUF5402', NULL, NULL, 20373, 8),
(33194, NULL, 'PF03688', NULL, NULL, 'Nepovirus coat protein, C-terminal domain', NULL, 'Nepo_coat_C', NULL, NULL, 5394, 8),
(33195, NULL, 'PF17569', NULL, NULL, 'Family of unknown function (DUF5475)', NULL, 'DUF5475', NULL, NULL, 13830, 8),
(33196, NULL, 'PF04931', NULL, NULL, 'DNA polymerase phi', NULL, 'DNA_pol_phi', NULL, NULL, 6747, 8),
(33197, NULL, 'PF09945', NULL, NULL, 'Predicted membrane protein (DUF2177)', NULL, 'DUF2177', NULL, NULL, 17095, 8),
(33198, NULL, 'PF05540', NULL, NULL, 'Serpulina hyodysenteriae variable surface protein', NULL, 'Serpulina_VSP', NULL, NULL, 14234, 8),
(33199, NULL, 'PF11436', NULL, NULL, 'Protein of unknown function (DUF3199)', NULL, 'DUF3199', NULL, NULL, 7043, 8),
(33200, NULL, 'PF00116', NULL, NULL, 'Cytochrome C oxidase subunit II, periplasmic domain', NULL, 'COX2', NULL, NULL, 7226, 8),
(33201, NULL, 'PF07407', NULL, NULL, 'Seadornavirus VP6 protein', NULL, 'Seadorna_VP6', NULL, NULL, 8308, 8),
(33202, NULL, 'PF09027', NULL, NULL, 'GTPase binding', NULL, 'GTPase_binding', NULL, NULL, 9627, 8),
(33203, NULL, 'PF20105', NULL, NULL, 'Family of unknown function (DUF6495)', NULL, 'DUF6495', NULL, NULL, 38660, 8),
(33204, NULL, 'PF09968', NULL, NULL, 'Uncharacterized protein domain (DUF2202)', NULL, 'DUF2202', NULL, NULL, 20240, 8),
(33205, NULL, 'PF11282', NULL, NULL, 'Protein of unknown function (DUF3082)', NULL, 'DUF3082', NULL, NULL, 18180, 8),
(33206, NULL, 'PF14437', NULL, NULL, 'MafB19-like deaminase', NULL, 'MafB19-deam', NULL, NULL, 26838, 8),
(33207, NULL, 'PF10969', NULL, NULL, 'Protein of unknown function (DUF2771)', NULL, 'DUF2771', NULL, NULL, 25802, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33208, NULL, 'PF12442', NULL, NULL, 'Protein of unknown function (DUF3681)', NULL, 'DUF3681', NULL, NULL, 21498, 8),
(33209, NULL, 'PF00560', NULL, NULL, 'Leucine Rich Repeat', NULL, 'LRR_1', NULL, NULL, 5460, 8),
(33210, NULL, 'PF17717', NULL, NULL, 'Family of unknown function (DUF5562)', NULL, 'DUF5562', NULL, NULL, 33510, 8),
(33211, NULL, 'PF00828', NULL, NULL, 'Ribosomal proteins 50S-L15, 50S-L18e, 60S-L27A', NULL, 'Ribosomal_L27A', NULL, NULL, 15404, 8),
(33212, NULL, 'PF19648', NULL, NULL, 'Family of unknown function (DUF6151)', NULL, 'DUF6151', NULL, NULL, 39958, 8),
(33213, NULL, 'PF11305', NULL, NULL, 'Protein of unknown function (DUF3107)', NULL, 'DUF3107', NULL, NULL, 18132, 8),
(33214, NULL, 'PF19303', NULL, NULL, 'Anticodon binding domain of methionyl tRNA ligase', NULL, 'Anticodon_3', NULL, NULL, 32738, 8),
(33215, NULL, 'PF08152', NULL, NULL, 'GUCT (NUC152) domain', NULL, 'GUCT', NULL, NULL, 9815, 8),
(33216, NULL, 'PF13321', NULL, NULL, 'Domain of unknown function (DUF4084)', NULL, 'DUF4084', NULL, NULL, 23892, 8),
(33217, NULL, 'PF17944', NULL, NULL, 'Arginine decarboxylase C-terminal helical extension', NULL, 'Arg_decarbox_C', NULL, NULL, 31243, 8),
(33218, NULL, 'PF07708', NULL, NULL, 'Tash protein PEST motif', NULL, 'Tash_PEST', NULL, NULL, 10575, 8),
(33219, NULL, 'PF06353', NULL, NULL, 'Protein of unknown function (DUF1062)', NULL, 'DUF1062', NULL, NULL, 8006, 8),
(33220, NULL, 'PF17776', NULL, NULL, 'NLRC4 helical domain HD2', NULL, 'NLRC4_HD2', NULL, NULL, 31669, 8),
(33221, NULL, 'PF13548', NULL, NULL, 'Domain of unknown function (DUF4126)', NULL, 'DUF4126', NULL, NULL, 21987, 8),
(33222, NULL, 'PF11758', NULL, NULL, 'Aureocin-like type II bacteriocin', NULL, 'Bacteriocin_IIi', NULL, NULL, 15650, 8),
(33223, NULL, 'PF19226', NULL, NULL, 'DisA glycoprotein', NULL, 'DisA', NULL, NULL, 37177, 8),
(33224, NULL, 'PF16547', NULL, NULL, 'Proteasome-substrate-size regulator, N-terminal', NULL, 'BLM10_N', NULL, NULL, 28824, 8),
(33225, NULL, 'PF17753', NULL, NULL, 'Ig-fold domain', NULL, 'Ig_mannosidase', NULL, NULL, 32410, 8),
(33226, NULL, 'PF02971', NULL, NULL, 'Formiminotransferase domain', NULL, 'FTCD', NULL, NULL, 9779, 8),
(33227, NULL, 'PF11563', NULL, NULL, 'Protoglobin', NULL, 'Protoglobin', NULL, NULL, 39051, 8),
(33228, NULL, 'PF14108', NULL, NULL, 'Domain of unknown function (DUF4281)', NULL, 'DUF4281', NULL, NULL, 23435, 8),
(33229, NULL, 'PF00843', NULL, NULL, 'Arenavirus nucleocapsid N-terminal domain', NULL, 'Arena_nucleocap', NULL, NULL, 7504, 8),
(33230, NULL, 'PF08052', NULL, NULL, 'PyrBI operon leader peptide', NULL, 'PyrBI_leader', NULL, NULL, 9518, 8),
(33231, NULL, 'PF10591', NULL, NULL, 'Secreted protein acidic and rich in cysteine Ca binding region', NULL, 'SPARC_Ca_bdg', NULL, NULL, 20495, 8),
(33232, NULL, 'PF13101', NULL, NULL, 'Protein of unknown function (DUF3945)', NULL, 'DUF3945', NULL, NULL, 22875, 8),
(33233, NULL, 'PF11775', NULL, NULL, 'Cobalamin biosynthesis protein CobT VWA domain', NULL, 'CobT_C', NULL, NULL, 27386, 8),
(33234, NULL, 'PF18388', NULL, NULL, 'Atg29 N-terminal domain', NULL, 'ATG29_N', NULL, NULL, 30212, 8),
(33235, NULL, 'PF07524', NULL, NULL, 'Bromodomain associated', NULL, 'Bromo_TP', NULL, NULL, 132, 8),
(33236, NULL, 'PF03122', NULL, NULL, 'Herpes virus major capsid protein', NULL, 'Herpes_MCP', NULL, NULL, 4, 8),
(33237, NULL, 'PF18613', NULL, NULL, 'Tyrosine kinase receptor A trans-membrane domain', NULL, 'TrkA_TMD', NULL, NULL, 29537, 8),
(33238, NULL, 'PF13067', NULL, NULL, 'Protein of unknown function (DUF3930)', NULL, 'DUF3930', NULL, NULL, 21605, 8),
(33239, NULL, 'PF01127', NULL, NULL, 'Succinate dehydrogenase/Fumarate reductase transmembrane subunit', NULL, 'Sdh_cyt', NULL, NULL, 3733, 8),
(33240, NULL, 'PF14267', NULL, NULL, 'Domain of unknown function (DUF4357)', NULL, 'DUF4357', NULL, NULL, 28074, 8),
(33241, NULL, 'PF00347', NULL, NULL, 'Ribosomal protein L6', NULL, 'Ribosomal_L6', NULL, NULL, 18315, 8),
(33242, NULL, 'PF03553', NULL, NULL, 'Na+/H+ antiporter family', NULL, 'Na_H_antiporter', NULL, NULL, 9183, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33243, NULL, 'PF11641', NULL, NULL, 'Glycosylphosphatidylinositol-anchored merozoite surface protein', NULL, 'Antigen_Bd37', NULL, NULL, 19369, 8),
(33244, NULL, 'PF11660', NULL, NULL, 'Protein of unknown function (DUF3262)', NULL, 'DUF3262', NULL, NULL, 19172, 8),
(33245, NULL, 'PF18091', NULL, NULL, 'E3 Ubiquitin Ligase RBR C-terminal domain', NULL, 'E3_UbLigase_RBR', NULL, NULL, 30753, 8),
(33246, NULL, 'PF18624', NULL, NULL, 'CDI immunity protein', NULL, 'CdiI_4', NULL, NULL, 31478, 8),
(33247, NULL, 'PF08505', NULL, NULL, 'Mitochondrial Myo2 receptor-related protein', NULL, 'MMR1', NULL, NULL, 14067, 8),
(33248, NULL, 'PF08868', NULL, NULL, 'YugN-like family', NULL, 'YugN', NULL, NULL, 14085, 8),
(33249, NULL, 'PF17561', NULL, NULL, 'Type VI secretion system, TssO', NULL, 'TssO', NULL, NULL, 35748, 8),
(33250, NULL, 'PF12090', NULL, NULL, 'Spt20 family', NULL, 'Spt20', NULL, NULL, 20643, 8),
(33251, NULL, 'PF08418', NULL, NULL, 'DNA polymerase alpha subunit B N-terminal', NULL, 'Pol_alpha_B_N', NULL, NULL, 11163, 8),
(33252, NULL, 'PF06367', NULL, NULL, 'Diaphanous FH3 Domain', NULL, 'Drf_FH3', NULL, NULL, 10497, 8),
(33253, NULL, 'PF15702', NULL, NULL, 'Hermansky-Pudlak syndrome 6 protein', NULL, 'HPS6', NULL, NULL, 15700, 8),
(33254, NULL, 'PF17053', NULL, NULL, 'Genetic interactor of prohibitin 5', NULL, 'GEP5', NULL, NULL, 28804, 8),
(33255, NULL, 'PF02694', NULL, NULL, 'Uncharacterised BCR, YnfA/UPF0060 family', NULL, 'UPF0060', NULL, NULL, 3283, 8),
(33256, NULL, 'PF13560', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_31', NULL, NULL, NULL, 8),
(33257, NULL, 'PF10748', NULL, NULL, 'DNA utilization proteins HofP', NULL, 'HofP', NULL, NULL, 20680, 8),
(33258, NULL, 'PF06181', NULL, NULL, 'Urate oxidase N-terminal', NULL, 'Urate_ox_N', NULL, NULL, 9848, 8),
(33259, NULL, 'PF19350', NULL, NULL, 'Family of unknown function (DUF5928)', NULL, 'DUF5928', NULL, NULL, 39117, 8),
(33260, NULL, 'PF05864', NULL, NULL, 'Chordopoxvirus DNA-directed RNA polymerase 7 kDa polypeptide (RPO7)', NULL, 'Chordopox_RPO7', NULL, NULL, 8914, 8),
(33261, NULL, 'PF18915', NULL, NULL, 'Domain of unknown function (DUF5667)', NULL, 'DUF5667', NULL, NULL, 36644, 8),
(33262, NULL, 'PF16218', NULL, NULL, 'Peptidase family C101', NULL, 'Peptidase_C101', NULL, NULL, 15686, 8),
(33263, NULL, 'PF08886', NULL, NULL, 'Glutamate-cysteine ligase', NULL, 'GshA', NULL, NULL, 11156, 8),
(33264, NULL, 'PF17170', NULL, NULL, '6-bladed beta-propeller', NULL, 'DUF5128', NULL, NULL, NULL, 8),
(33265, NULL, 'PF03468', NULL, NULL, 'XS domain', NULL, 'XS', NULL, NULL, 6431, 8),
(33266, NULL, 'PF16357', NULL, NULL, 'Putative PepSY_TM-like', NULL, 'PepSY_TM_like_2', NULL, NULL, 26532, 8),
(33267, NULL, 'PF07811', NULL, NULL, 'TadE-like protein', NULL, 'TadE', NULL, NULL, 12727, 8),
(33268, NULL, 'PF04242', NULL, NULL, 'Protein of unknown function (DUF424)', NULL, 'DUF424', NULL, NULL, 5721, 8),
(33269, NULL, 'PF15834', NULL, NULL, 'Testis highly expressed protein 4', NULL, 'THEG4', NULL, NULL, 27205, 8),
(33270, NULL, 'PF15466', NULL, NULL, 'Domain of unknown function (DUF4635)', NULL, 'DUF4635', NULL, NULL, 27758, 8),
(33271, NULL, 'PF08702', NULL, NULL, 'Fibrinogen alpha/beta chain family', NULL, 'Fib_alpha', NULL, NULL, 13319, 8),
(33272, NULL, 'PF16420', NULL, NULL, 'Ubiquitin-like modifier-activating enzyme ATG7 N-terminus', NULL, 'ATG7_N', NULL, NULL, 25080, 8),
(33273, NULL, 'PF18130', NULL, NULL, 'ATP-grasp N-terminal domain', NULL, 'ATPgrasp_N', NULL, NULL, 32246, 8),
(33274, NULL, 'PF07560', NULL, NULL, 'Domain of Unknown Function (DUF1539)', NULL, 'DUF1539', NULL, NULL, 13659, 8),
(33275, NULL, 'PF14839', NULL, NULL, 'DOR family', NULL, 'DOR', NULL, NULL, 21681, 8),
(33276, NULL, 'PF07542', NULL, NULL, 'ATP12 chaperone protein', NULL, 'ATP12', NULL, NULL, 13989, 8),
(33277, NULL, 'PF11692', NULL, NULL, 'Protein of unknown function (DUF3289)', NULL, 'DUF3289', NULL, NULL, 21395, 8),
(33278, NULL, 'PF12604', NULL, NULL, 'Tail fibre protein gp37 C terminal', NULL, 'gp37_C', NULL, NULL, 21410, 8),
(33279, NULL, 'PF13446', NULL, NULL, 'A repeated domain in UCH-protein', NULL, 'RPT', NULL, NULL, 27715, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33280, NULL, 'PF11130', NULL, NULL, 'TraC protein', NULL, 'TraC_F_IV', NULL, NULL, 25845, 8),
(33281, NULL, 'PF15207', NULL, NULL, 'TMEM240 family', NULL, 'TMEM240', NULL, NULL, 26468, 8),
(33282, NULL, 'PF08009', NULL, NULL, 'CDP-alcohol phosphatidyltransferase 2', NULL, 'CDP-OH_P_tran_2', NULL, NULL, 9739, 8),
(33283, NULL, 'PF06730', NULL, NULL, 'FAM92 protein', NULL, 'FAM92', NULL, NULL, 1790, 8),
(33284, NULL, 'PF16764', NULL, NULL, 'Sharpin PH domain', NULL, 'Sharpin_PH', NULL, NULL, 22694, 8),
(33285, NULL, 'PF12195', NULL, NULL, 'Beta barrel domain of bacteriophage endosialidase', NULL, 'End_beta_barrel', NULL, NULL, 28965, 8),
(33286, NULL, 'PF15227', NULL, NULL, 'zinc finger of C3HC4-type, RING', NULL, 'zf-C3HC4_4', NULL, NULL, NULL, 8),
(33287, NULL, 'PF12744', NULL, NULL, 'Autophagy protein Atg19, Atg8-binding', NULL, 'ATG19', NULL, NULL, 28117, 8),
(33288, NULL, 'PF13571', NULL, NULL, 'Domain of unknown function (DUF4133)', NULL, 'DUF4133', NULL, NULL, 23281, 8),
(33289, NULL, 'PF18220', NULL, NULL, 'Adhesin BspA variable domain', NULL, 'BspA_v', NULL, NULL, 31264, 8),
(33290, NULL, 'PF08870', NULL, NULL, 'DNA sulphur modification protein DndE', NULL, 'DndE', NULL, NULL, 14161, 8),
(33291, NULL, 'PF07073', NULL, NULL, 'Modulator of Rho-dependent transcription termination (ROF)', NULL, 'ROF', NULL, NULL, 12899, 8),
(33292, NULL, 'PF02608', NULL, NULL, 'ABC transporter substrate-binding protein PnrA-like', NULL, 'Bmp', NULL, NULL, 2035, 8),
(33293, NULL, 'PF09432', NULL, NULL, 'Tho complex subunit THP2', NULL, 'THP2', NULL, NULL, 15953, 8),
(33294, NULL, 'PF13210', NULL, NULL, 'Domain of unknown function (DUF4018)', NULL, 'DUF4018', NULL, NULL, 23988, 8),
(33295, NULL, 'PF14555', NULL, NULL, 'UBA-like domain', NULL, 'UBA_4', NULL, NULL, NULL, 8),
(33296, NULL, 'PF06394', NULL, NULL, 'Pepsin inhibitor-3-like repeated domain', NULL, 'Pepsin-I3', NULL, NULL, 10378, 8),
(33297, NULL, 'PF09199', NULL, NULL, 'Staphylococcal superantigen-like OB-fold domain', NULL, 'SSL_OB', NULL, NULL, 12806, 8),
(33298, NULL, 'PF14557', NULL, NULL, 'Putative AphA-like transcriptional regulator', NULL, 'AphA_like', NULL, NULL, 29240, 8),
(33299, NULL, 'PF03477', NULL, NULL, 'ATP cone domain', NULL, 'ATP-cone', NULL, NULL, 4174, 8),
(33300, NULL, 'PF12447', NULL, NULL, 'Protein of unknown function (DUF3683)', NULL, 'DUF3683', NULL, NULL, 21287, 8),
(33301, NULL, 'PF11061', NULL, NULL, 'Protein of unknown function (DUF2862)', NULL, 'DUF2862', NULL, NULL, 17503, 8),
(33302, NULL, 'PF05636', NULL, NULL, 'HIGH Nucleotidyl Transferase', NULL, 'HIGH_NTase1', NULL, NULL, 12634, 8),
(33303, NULL, 'PF12085', NULL, NULL, 'Protein of unknown function (DUF3562)', NULL, 'DUF3562', NULL, NULL, 20603, 8),
(33304, NULL, 'PF17667', NULL, NULL, 'Fungal protein kinase', NULL, 'Pkinase_fungal', NULL, NULL, 30362, 8),
(33305, NULL, 'PF16583', NULL, NULL, 'Zinc-regulated secreted antivirulence protein C-terminal domain', NULL, 'ZirS_C', NULL, NULL, 25366, 8),
(33306, NULL, 'PF11021', NULL, NULL, 'Protein of unknown function (DUF2613)', NULL, 'DUF2613', NULL, NULL, 16819, 8),
(33307, NULL, 'PF02755', NULL, NULL, 'RPEL repeat', NULL, 'RPEL', NULL, NULL, 676, 8),
(33308, NULL, 'PF07889', NULL, NULL, 'Protein of unknown function (DUF1664)', NULL, 'DUF1664', NULL, NULL, 14799, 8),
(33309, NULL, 'PF09583', NULL, NULL, 'Phage shock protein G (Phageshock_PspG)', NULL, 'Phageshock_PspG', NULL, NULL, 9934, 8),
(33310, NULL, 'PF03058', NULL, NULL, 'Sar8.2 family', NULL, 'Sar8_2', NULL, NULL, 4574, 8),
(33311, NULL, 'PF14746', NULL, NULL, 'WASH complex subunit 7, C-terminal', NULL, 'WASH-7_C', NULL, NULL, 28619, 8),
(33312, NULL, 'PF06716', NULL, NULL, 'Movement protein p6', NULL, 'MP_p6', NULL, NULL, 1883, 8),
(33313, NULL, 'PF14254', NULL, NULL, 'Domain of unknown function (DUF4348)', NULL, 'DUF4348', NULL, NULL, 28301, 8),
(33314, NULL, 'PF10721', NULL, NULL, 'Protein of unknown function (DUF2514)', NULL, 'DUF2514', NULL, NULL, 21455, 8),
(33315, NULL, 'PF14327', NULL, NULL, 'Hinge domain of cleavage stimulation factor subunit 2', NULL, 'CSTF2_hinge', NULL, NULL, 23306, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33316, NULL, 'PF14779', NULL, NULL, 'Ciliary BBSome complex subunit 1', NULL, 'BBS1', NULL, NULL, 28118, 8),
(33317, NULL, 'PF19961', NULL, NULL, 'Effector-associated domain 8', NULL, 'EAD8', NULL, NULL, 38035, 8),
(33318, NULL, 'PF18057', NULL, NULL, 'Domain of unknown function (DUF5594)', NULL, 'DUF5594', NULL, NULL, 31188, 8),
(33319, NULL, 'PF16449', NULL, NULL, 'Fimbrillin MatB', NULL, 'MatB', NULL, NULL, 16008, 8),
(33320, NULL, 'PF05288', NULL, NULL, 'Poxvirus A3L Protein', NULL, 'Pox_A3L', NULL, NULL, 4352, 8),
(33321, NULL, 'PF05014', NULL, NULL, 'Nucleoside 2-deoxyribosyltransferase', NULL, 'Nuc_deoxyrib_tr', NULL, NULL, 1408, 8),
(33322, NULL, 'PF06985', NULL, NULL, 'Heterokaryon incompatibility protein (HET)', NULL, 'HET', NULL, NULL, 10290, 8),
(33323, NULL, 'PF09762', NULL, NULL, 'CCDC93, coiled-coil domain', NULL, 'CCDC93_CC', NULL, NULL, 18766, 8),
(33324, NULL, 'PF09748', NULL, NULL, 'Transcription factor subunit Med10 of Mediator complex', NULL, 'Med10', NULL, NULL, 18936, 8),
(33325, NULL, 'PF01167', NULL, NULL, 'Tub family', NULL, 'Tub', NULL, NULL, 2105, 8),
(33326, NULL, 'PF07318', NULL, NULL, 'Protein of unknown function (DUF1464)', NULL, 'DUF1464', NULL, NULL, 8109, 8),
(33327, NULL, 'PF00062', NULL, NULL, 'C-type lysozyme/alpha-lactalbumin family', NULL, 'Lys', NULL, NULL, 4354, 8),
(33328, NULL, 'PF01794', NULL, NULL, 'Ferric reductase like transmembrane component', NULL, 'Ferric_reduct', NULL, NULL, 8651, 8),
(33329, NULL, 'PF02605', NULL, NULL, 'Photosystem I reaction centre subunit XI', NULL, 'PsaL', NULL, NULL, 2342, 8),
(33330, NULL, 'PF19053', NULL, NULL, 'EccD-like transmembrane domain', NULL, 'EccD', NULL, NULL, 38079, 8),
(33331, NULL, 'PF03753', NULL, NULL, 'Human herpesvirus 6 immediate early protein', NULL, 'HHV6-IE', NULL, NULL, 649, 8),
(33332, NULL, 'PF17373', NULL, NULL, 'Family of unknown function (DUF5395)', NULL, 'DUF5395', NULL, NULL, 19504, 8),
(33333, NULL, 'PF00469', NULL, NULL, 'Negative factor, (F-Protein) or Nef', NULL, 'F-protein', NULL, NULL, 3067, 8),
(33334, NULL, 'PF03342', NULL, NULL, 'Rhabdovirus M1 matrix protein (M1 polymerase-associated protein)', NULL, 'Rhabdo_M1', NULL, NULL, 720, 8),
(33335, NULL, 'PF03943', NULL, NULL, 'TAP C-terminal domain', NULL, 'TAP_C', NULL, NULL, 2975, 8),
(33336, NULL, 'PF18910', NULL, NULL, 'Domain of unknown function (DUF5665)', NULL, 'DUF5665', NULL, NULL, 38337, 8),
(33337, NULL, 'PF02959', NULL, NULL, 'HTLV Tax', NULL, 'Tax', NULL, NULL, 1895, 8),
(33338, NULL, 'PF17205', NULL, NULL, 'Integrin plexin domain', NULL, 'PSI_integrin', NULL, NULL, 31066, 8),
(33339, NULL, 'PF19743', NULL, NULL, 'ASTN1/2 EGF-like and Fn(III) domains', NULL, 'ASTN1_2_EGF_Fn', NULL, NULL, 37464, 8),
(33340, NULL, 'PF03659', NULL, NULL, 'Glycosyl hydrolase family 71', NULL, 'Glyco_hydro_71', NULL, NULL, 6530, 8),
(33341, NULL, 'PF14232', NULL, NULL, 'Domain of unknown function (DUF4334)', NULL, 'DUF4334', NULL, NULL, 23818, 8),
(33342, NULL, 'PF06825', NULL, NULL, 'Heat shock factor binding protein 1', NULL, 'HSBP1', NULL, NULL, 11375, 8),
(33343, NULL, 'PF13379', NULL, NULL, 'NMT1-like family', NULL, 'NMT1_2', NULL, NULL, NULL, 8),
(33344, NULL, 'PF13192', NULL, NULL, 'Thioredoxin domain', NULL, 'Thioredoxin_3', NULL, NULL, 7603, 8),
(33345, NULL, 'PF15382', NULL, NULL, 'Domain of unknown function (DUF4609)', NULL, 'DUF4609', NULL, NULL, 26947, 8),
(33346, NULL, 'PF02486', NULL, NULL, 'Replication initiation factor', NULL, 'Rep_trans', NULL, NULL, 6072, 8),
(33347, NULL, 'PF03254', NULL, NULL, 'Xyloglucan fucosyltransferase', NULL, 'XG_FTase', NULL, NULL, 1566, 8),
(33348, NULL, 'PF18374', NULL, NULL, 'Enolase N-terminal domain-like', NULL, 'Enolase_like_N', NULL, NULL, 32250, 8),
(33349, NULL, 'PF00397', NULL, NULL, 'WW domain', NULL, 'WW', NULL, NULL, 1194, 8),
(33350, NULL, 'PF03474', NULL, NULL, 'DMRTA motif', NULL, 'DMA', NULL, NULL, 4678, 8),
(33351, NULL, 'PF04813', NULL, NULL, 'Hepatocyte nuclear factor 1 (HNF-1), alpha isoform C terminus', NULL, 'HNF-1A_C', NULL, NULL, 4649, 8),
(33352, NULL, 'PF17360', NULL, NULL, 'Family of unknown function (DUF5386)', NULL, 'DUF5386', NULL, NULL, 31962, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33353, NULL, 'PF06196', NULL, NULL, 'Protein of unknown function (DUF997)', NULL, 'DUF997', NULL, NULL, 9584, 8),
(33354, NULL, 'PF15781', NULL, NULL, 'ParE-like toxin of type II bacterial toxin-antitoxin system', NULL, 'ParE-like_toxin', NULL, NULL, 25330, 8),
(33355, NULL, 'PF00639', NULL, NULL, 'PPIC-type PPIASE domain', NULL, 'Rotamase', NULL, NULL, 4977, 8),
(33356, NULL, 'PF13445', NULL, NULL, 'RING-type zinc-finger', NULL, 'zf-RING_UBOX', NULL, NULL, 25391, 8),
(33357, NULL, 'PF04948', NULL, NULL, 'Poxvirus A51 protein', NULL, 'Pox_A51', NULL, NULL, 6975, 8),
(33358, NULL, 'PF19093', NULL, NULL, 'Family of unknown function (DUF5781)', NULL, 'DUF5781', NULL, NULL, 38489, 8),
(33359, NULL, 'PF07037', NULL, NULL, 'Putative transcription regulator (DUF1323)', NULL, 'DUF1323', NULL, NULL, 10077, 8),
(33360, NULL, 'PF16676', NULL, NULL, 'Transactivation domain of FOXO protein family', NULL, 'FOXO-TAD', NULL, NULL, 28094, 8),
(33361, NULL, 'PF13551', NULL, NULL, 'Winged helix-turn helix', NULL, 'HTH_29', NULL, NULL, NULL, 8),
(33362, NULL, 'PF08399', NULL, NULL, 'VWA N-terminal', NULL, 'VWA_N', NULL, NULL, 11248, 8),
(33363, NULL, 'PF03693', NULL, NULL, 'Bacterial antitoxin of ParD toxin-antitoxin type II system and RHH', NULL, 'ParD_antitoxin', NULL, NULL, 6115, 8),
(33364, NULL, 'PF15564', NULL, NULL, 'Immunity protein 25', NULL, 'Imm25', NULL, NULL, 26194, 8),
(33365, NULL, 'PF12968', NULL, NULL, 'Domain of Unknown Function (DUF3856)', NULL, 'DUF3856', NULL, NULL, 22289, 8),
(33366, NULL, 'PF19401', NULL, NULL, 'Family of unknown function (DUF5976)', NULL, 'DUF5976', NULL, NULL, 39481, 8),
(33367, NULL, 'PF11369', NULL, NULL, 'Protein of unknown function (DUF3160)', NULL, 'DUF3160', NULL, NULL, 16624, 8),
(33368, NULL, 'PF12631', NULL, NULL, 'MnmE helical domain', NULL, 'MnmE_helical', NULL, NULL, 27191, 8),
(33369, NULL, 'PF13401', NULL, NULL, 'AAA domain', NULL, 'AAA_22', NULL, NULL, 488, 8),
(33370, NULL, 'PF00465', NULL, NULL, 'Iron-containing alcohol dehydrogenase', NULL, 'Fe-ADH', NULL, NULL, 3190, 8),
(33371, NULL, 'PF12786', NULL, NULL, 'GB virus C genotype envelope', NULL, 'GBV-C_env', NULL, NULL, 22711, 8),
(33372, NULL, 'PF03766', NULL, NULL, 'Remorin, N-terminal region', NULL, 'Remorin_N', NULL, NULL, 1871, 8),
(33373, NULL, 'PF10471', NULL, NULL, 'Anaphase-promoting complex APC subunit CDC26', NULL, 'ANAPC_CDC26', NULL, NULL, 21458, 8),
(33374, NULL, 'PF15553', NULL, NULL, 'Testis-expressed protein 19', NULL, 'TEX19', NULL, NULL, 26041, 8),
(33375, NULL, 'PF02884', NULL, NULL, 'Polysaccharide lyase family 8, C-terminal beta-sandwich domain', NULL, 'Lyase_8_C', NULL, NULL, 1976, 8),
(33376, NULL, 'PF09591', NULL, NULL, 'Protein of unknown function (DUF2463)', NULL, 'DUF2463', NULL, NULL, 16988, 8),
(33377, NULL, 'PF16135', NULL, NULL, 'Tify domain binding domain', NULL, 'TDBD', NULL, NULL, 28067, 8),
(33378, NULL, 'PF11232', NULL, NULL, 'Mediator complex subunit 25 PTOV activation and synapsin 2', NULL, 'Med25', NULL, NULL, 18200, 8),
(33379, NULL, 'PF00101', NULL, NULL, 'Ribulose bisphosphate carboxylase, small chain', NULL, 'RuBisCO_small', NULL, NULL, 3448, 8),
(33380, NULL, 'PF03331', NULL, NULL, 'UDP-3-O-acyl N-acetylglycosamine deacetylase', NULL, 'LpxC', NULL, NULL, 7391, 8),
(33381, NULL, 'PF04535', NULL, NULL, 'Domain of unknown function (DUF588)', NULL, 'DUF588', NULL, NULL, 2081, 8),
(33382, NULL, 'PF02988', NULL, NULL, 'Phospholipase A2 inhibitor', NULL, 'PLA2_inh', NULL, NULL, 1506, 8),
(33383, NULL, 'PF04919', NULL, NULL, 'Protein of unknown function (DUF655)', NULL, 'DUF655', NULL, NULL, 6103, 8),
(33384, NULL, 'PF19541', NULL, NULL, 'Family of unknown function (DUF6065)', NULL, 'DUF6065', NULL, NULL, 38831, 8),
(33385, NULL, 'PF18832', NULL, NULL, 'Large polyvalent protein-associated domain 18', NULL, 'LPD18', NULL, NULL, 31056, 8),
(33386, NULL, 'PF18021', NULL, NULL, 'Agglutinin C-terminal', NULL, 'Agglutinin_C', NULL, NULL, 34485, 8),
(33387, NULL, 'PF00294', NULL, NULL, 'pfkB family carbohydrate kinase', NULL, 'PfkB', NULL, NULL, 8333, 8),
(33388, NULL, 'PF11566', NULL, NULL, 'PI31 proteasome regulator N-terminal', NULL, 'PI31_Prot_N', NULL, NULL, 19428, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33389, NULL, 'PF13852', NULL, NULL, 'Protein of unknown function (DUF4197)', NULL, 'DUF4197', NULL, NULL, 23659, 8),
(33390, NULL, 'PF16587', NULL, NULL, '17 kDa common-antigen outer membrane protein', NULL, 'DUF5061', NULL, NULL, 25020, 8),
(33391, NULL, 'PF17296', NULL, NULL, 'Arenavirus cap snatching domain', NULL, 'ArenaCapSnatch', NULL, NULL, 21800, 8),
(33392, NULL, 'PF02935', NULL, NULL, 'Cytochrome c oxidase subunit VIIc', NULL, 'COX7C', NULL, NULL, 2535, 8),
(33393, NULL, 'PF15260', NULL, NULL, 'Protein family FAM219A', NULL, 'FAM219A', NULL, NULL, 24953, 8),
(33394, NULL, 'PF12918', NULL, NULL, 'TcdB toxin N-terminal helical domain', NULL, 'TcdB_N', NULL, NULL, 25145, 8),
(33395, NULL, 'PF00250', NULL, NULL, 'Forkhead domain', NULL, 'Forkhead', NULL, NULL, 3386, 8),
(33396, NULL, 'PF17199', NULL, NULL, 'Protein of unknown function (DUF5136)', NULL, 'DUF5136', NULL, NULL, 39948, 8),
(33397, NULL, 'PF02876', NULL, NULL, 'Staphylococcal/Streptococcal toxin, beta-grasp domain', NULL, 'Stap_Strp_tox_C', NULL, NULL, 10371, 8),
(33398, NULL, 'PF09726', NULL, NULL, 'Macoilin family', NULL, 'Macoilin', NULL, NULL, 17572, 8),
(33399, NULL, 'PF13424', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_12', NULL, NULL, NULL, 8),
(33400, NULL, 'PF07139', NULL, NULL, 'Protein of unknown function (DUF1387)', NULL, 'DUF1387', NULL, NULL, 13827, 8),
(33401, NULL, 'PF11407', NULL, NULL, 'Type II restriction enzyme MunI', NULL, 'RestrictionMunI', NULL, NULL, 17371, 8),
(33402, NULL, 'PF13290', NULL, NULL, 'Chitobiase/beta-hexosaminidase C-terminal domain', NULL, 'CHB_HEX_C_1', NULL, NULL, NULL, 8),
(33403, NULL, 'PF00224', NULL, NULL, 'Pyruvate kinase, barrel domain', NULL, 'PK', NULL, NULL, 3052, 8),
(33404, NULL, 'PF01478', NULL, NULL, 'Type IV leader peptidase family', NULL, 'Peptidase_A24', NULL, NULL, 3662, 8),
(33405, NULL, 'PF04261', NULL, NULL, 'Dyp-type peroxidase family', NULL, 'Dyp_perox', NULL, NULL, 4575, 8),
(33406, NULL, 'PF09517', NULL, NULL, 'Eco29kI restriction endonuclease', NULL, 'RE_Eco29kI', NULL, NULL, 15884, 8),
(33407, NULL, 'PF04842', NULL, NULL, 'Plant protein of unknown function (DUF639)', NULL, 'DUF639', NULL, NULL, 5426, 8),
(33408, NULL, 'PF06767', NULL, NULL, 'Sif protein', NULL, 'Sif', NULL, NULL, 9176, 8),
(33409, NULL, 'PF05426', NULL, NULL, 'Alginate lyase', NULL, 'Alginate_lyase', NULL, NULL, 7539, 8),
(33410, NULL, 'PF16252', NULL, NULL, 'Domain of unknown function (DUF4908)', NULL, 'DUF4908', NULL, NULL, 25218, 8),
(33411, NULL, 'PF03591', NULL, NULL, 'AzlC protein', NULL, 'AzlC', NULL, NULL, 12990, 8),
(33412, NULL, 'PF03922', NULL, NULL, 'OmpW family', NULL, 'OmpW', NULL, NULL, 2874, 8),
(33413, NULL, 'PF14392', NULL, NULL, 'Zinc knuckle', NULL, 'zf-CCHC_4', NULL, NULL, 25122, 8),
(33414, NULL, 'PF17651', NULL, NULL, 'RACo middle region', NULL, 'Raco_middle', NULL, NULL, 32693, 8),
(33415, NULL, 'PF08262', NULL, NULL, 'Leucophaea maderae tachykinin-related peptide', NULL, 'Lem_TRP', NULL, NULL, 17877, 8),
(33416, NULL, 'PF17308', NULL, NULL, 'Pro-corazonin', NULL, 'Corazonin', NULL, NULL, 18390, 8),
(33417, NULL, 'PF12231', NULL, NULL, 'Rap1-interacting factor 1 N terminal', NULL, 'Rif1_N', NULL, NULL, 20750, 8),
(33418, NULL, 'PF01815', NULL, NULL, 'Rop protein', NULL, 'Rop', NULL, NULL, 3845, 8),
(33419, NULL, 'PF06017', NULL, NULL, 'Unconventional myosin tail, actin- and lipid-binding', NULL, 'Myosin_TH1', NULL, NULL, 7906, 8),
(33420, NULL, 'PF01676', NULL, NULL, 'Metalloenzyme superfamily', NULL, 'Metalloenzyme', NULL, NULL, 11088, 8),
(33421, NULL, 'PF15828', NULL, NULL, 'Domain of unknown function (DUF4710)', NULL, 'DUF4710', NULL, NULL, 28089, 8),
(33422, NULL, 'PF15626', NULL, NULL, 'single CXXC unit', NULL, 'mono-CXXC', NULL, NULL, 30623, 8),
(33423, NULL, 'PF17229', NULL, NULL, 'Serine/threonine-protein kinase SMG1 N-terminal', NULL, 'SMG1_N', NULL, NULL, 20458, 8),
(33424, NULL, 'PF02656', NULL, NULL, 'Domain of unknown function (DUF202)', NULL, 'DUF202', NULL, NULL, 3335, 8),
(33425, NULL, 'PF19213', NULL, NULL, 'Coronavirus replicase NSP6', NULL, 'CoV_NSP6', NULL, NULL, 37569, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33426, NULL, 'PF17050', NULL, NULL, 'Altered inheritance of mitochondria 5', NULL, 'AIM5', NULL, NULL, 28729, 8),
(33427, NULL, 'PF19416', NULL, NULL, 'Astrovirus VPg protein', NULL, 'Astro_VPg', NULL, NULL, 38670, 8),
(33428, NULL, 'PF01846', NULL, NULL, 'FF domain', NULL, 'FF', NULL, NULL, 3861, 8),
(33429, NULL, 'PF00094', NULL, NULL, 'von Willebrand factor type D domain', NULL, 'VWD', NULL, NULL, 4309, 8),
(33430, NULL, 'PF18379', NULL, NULL, 'FERM F1 ubiquitin-like domain', NULL, 'FERM_F1', NULL, NULL, 31432, 8),
(33431, NULL, 'PF14932', NULL, NULL, 'HAUS augmin-like complex subunit 3', NULL, 'HAUS-augmin3', NULL, NULL, 28046, 8),
(33432, NULL, 'PF04237', NULL, NULL, 'YjbR', NULL, 'YjbR', NULL, NULL, 5669, 8),
(33433, NULL, 'PF17789', NULL, NULL, 'Macroglobulin domain MG4', NULL, 'MG4', NULL, NULL, 34635, 8),
(33434, NULL, 'PF05145', NULL, NULL, 'Transition state regulatory protein AbrB', NULL, 'AbrB', NULL, NULL, 2285, 8),
(33435, NULL, 'PF16896', NULL, NULL, 'Phosphogluconate dehydrogenase (decarboxylating) C-term', NULL, 'PGDH_C', NULL, NULL, 23133, 8),
(33436, NULL, 'PF18531', NULL, NULL, 'Polo box domain', NULL, 'Polo_box_2', NULL, NULL, 30660, 8),
(33437, NULL, 'PF06170', NULL, NULL, 'Protein of unknown function (DUF983)', NULL, 'DUF983', NULL, NULL, 14548, 8),
(33438, NULL, 'PF07516', NULL, NULL, 'SecA Wing and Scaffold domain', NULL, 'SecA_SW', NULL, NULL, 11230, 8),
(33439, NULL, 'PF13692', NULL, NULL, 'Glycosyl transferases group 1', NULL, 'Glyco_trans_1_4', NULL, NULL, NULL, 8),
(33440, NULL, 'PF12582', NULL, NULL, 'Protein of unknown function (DUF3757)', NULL, 'DUF3757', NULL, NULL, 21005, 8),
(33441, NULL, 'PF02515', NULL, NULL, 'CoA-transferase family III', NULL, 'CoA_transf_3', NULL, NULL, 1178, 8),
(33442, NULL, 'PF18270', NULL, NULL, 'Virulence factor Evf', NULL, 'Evf', NULL, NULL, 32010, 8),
(33443, NULL, 'PF03018', NULL, NULL, 'Dirigent-like protein', NULL, 'Dirigent', NULL, NULL, 3624, 8),
(33444, NULL, 'PF19714', NULL, NULL, 'Family of unknown function (DUF6209)', NULL, 'DUF6209', NULL, NULL, 39661, 8),
(33445, NULL, 'PF04865', NULL, NULL, 'Baseplate J-like protein', NULL, 'Baseplate_J', NULL, NULL, 5882, 8),
(33446, NULL, 'PF04100', NULL, NULL, 'Vps53-like, N-terminal', NULL, 'Vps53_N', NULL, NULL, 6653, 8),
(33447, NULL, 'PF06568', NULL, NULL, 'Domain of unknown function (DUF1127)', NULL, 'DUF1127', NULL, NULL, 9303, 8),
(33448, NULL, 'PF00666', NULL, NULL, 'Cathelicidin', NULL, 'Cathelicidins', NULL, NULL, NULL, 8),
(33449, NULL, 'PF16987', NULL, NULL, 'KIX domain', NULL, 'KIX_2', NULL, NULL, 32815, 8),
(33450, NULL, 'PF12847', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_18', NULL, NULL, NULL, 8),
(33451, NULL, 'PF18814', NULL, NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease5', NULL, 'PBECR5', NULL, NULL, 31978, 8),
(33452, NULL, 'PF07909', NULL, NULL, 'Protein of unknown function (DUF1663)', NULL, 'DUF1663', NULL, NULL, 14863, 8),
(33453, NULL, 'PF07759', NULL, NULL, 'Protein of unknown function (DUF1615)', NULL, 'DUF1615', NULL, NULL, 10819, 8),
(33454, NULL, 'PF02830', NULL, NULL, 'V4R domain', NULL, 'V4R', NULL, NULL, 1533, 8),
(33455, NULL, 'PF03847', NULL, NULL, 'Transcription initiation factor TFIID subunit A', NULL, 'TFIID_20kDa', NULL, NULL, 2623, 8),
(33456, NULL, 'PF19544', NULL, NULL, 'Family of unknown function (DUF6068)', NULL, 'DUF6068', NULL, NULL, 38533, 8),
(33457, NULL, 'PF00297', NULL, NULL, 'Ribosomal protein L3', NULL, 'Ribosomal_L3', NULL, NULL, 5815, 8),
(33458, NULL, 'PF16859', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_11', NULL, NULL, 10559, 8),
(33459, NULL, 'PF16618', NULL, NULL, 'Linker region between SH3 and WW domains on ARHGAP12', NULL, 'SH3-WW_linker', NULL, NULL, NULL, 8),
(33460, NULL, 'PF03841', NULL, NULL, 'L-seryl-tRNA selenium transferase', NULL, 'SelA', NULL, NULL, 8719, 8),
(33461, NULL, 'PF03689', NULL, NULL, 'Nepovirus coat protein, N-terminal domain', NULL, 'Nepo_coat_N', NULL, NULL, 5006, 8),
(33462, NULL, 'PF12883', NULL, NULL, 'Protein of unknown function (DUF3828)', NULL, 'DUF3828', NULL, NULL, 13897, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33463, NULL, 'PF12625', NULL, NULL, 'Arabinose-binding domain of AraC transcription regulator, N-term', NULL, 'Arabinose_bd', NULL, NULL, 29352, 8),
(33464, NULL, 'PF13828', NULL, NULL, 'Domain of unknown function (DUF4190)', NULL, 'DUF4190', NULL, NULL, 23982, 8),
(33465, NULL, 'PF17994', NULL, NULL, 'Galactofuranosyltransferase 2 N-terminal', NULL, 'Glft2_N', NULL, NULL, 29718, 8),
(33466, NULL, 'PF13056', NULL, NULL, 'Protein of unknown function (DUF3918)', NULL, 'DUF3918', NULL, NULL, 23836, 8),
(33467, NULL, 'PF13630', NULL, NULL, 'SdpI/YfhL protein family', NULL, 'SdpI', NULL, NULL, 25393, 8),
(33468, NULL, 'PF07584', NULL, NULL, 'Aerotolerance regulator N-terminal', NULL, 'BatA', NULL, NULL, 11832, 8),
(33469, NULL, 'PF08990', NULL, NULL, 'Erythronolide synthase docking domain', NULL, 'Docking', NULL, NULL, 8538, 8),
(33470, NULL, 'PF00821', NULL, NULL, 'Phosphoenolpyruvate carboxykinase C-terminal P-loop domain', NULL, 'PEPCK_GTP', NULL, NULL, 19292, 8),
(33471, NULL, 'PF05637', NULL, NULL, 'galactosyl transferase GMA12/MNN10 family', NULL, 'Glyco_transf_34', NULL, NULL, 14218, 8),
(33472, NULL, 'PF03871', NULL, NULL, 'RNA polymerase Rpb5, N-terminal domain', NULL, 'RNA_pol_Rpb5_N', NULL, NULL, 1536, 8),
(33473, NULL, 'PF08372', NULL, NULL, 'Plant phosphoribosyltransferase C-terminal', NULL, 'PRT_C', NULL, NULL, 12219, 8),
(33474, NULL, 'PF14261', NULL, NULL, 'Domain of unknown function (DUF4351)', NULL, 'DUF4351', NULL, NULL, 28303, 8),
(33475, NULL, 'PF15025', NULL, NULL, 'Domain of unknown function (DUF4524)', NULL, 'DUF4524', NULL, NULL, 22853, 8),
(33476, NULL, 'PF16259', NULL, NULL, 'Domain of unknown function (DUF4913)', NULL, 'DUF4913', NULL, NULL, 22043, 8),
(33477, NULL, 'PF09947', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2180)', NULL, 'DUF2180', NULL, NULL, 15846, 8),
(33478, NULL, 'PF05883', NULL, NULL, 'Baculovirus U-box/Ring-like domain', NULL, 'Baculo_RING', NULL, NULL, 13701, 8),
(33479, NULL, 'PF02479', NULL, NULL, 'Herpesvirus immediate early protein', NULL, 'Herpes_IE68', NULL, NULL, 5256, 8),
(33480, NULL, 'PF03114', NULL, NULL, 'BAR domain', NULL, 'BAR', NULL, NULL, 2968, 8),
(33481, NULL, 'PF16375', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4986', NULL, NULL, 28121, 8),
(33482, NULL, 'PF13320', NULL, NULL, 'Domain of unknown function (DUF4091)', NULL, 'DUF4091', NULL, NULL, 23724, 8),
(33483, NULL, 'PF14258', NULL, NULL, 'Domain of unknown function (DUF4350)', NULL, 'DUF4350', NULL, NULL, 26429, 8),
(33484, NULL, 'PF10751', NULL, NULL, 'Protein of unknown function (DUF2535)', NULL, 'DUF2535', NULL, NULL, 20692, 8),
(33485, NULL, 'PF11053', NULL, NULL, 'Terminase DNA packaging enzyme', NULL, 'DNA_Packaging', NULL, NULL, 20370, 8),
(33486, NULL, 'PF08198', NULL, NULL, 'Thymopoietin protein', NULL, 'Thymopoietin', NULL, NULL, 5250, 8),
(33487, NULL, 'PF08498', NULL, NULL, 'Sterol methyltransferase C-terminal', NULL, 'Sterol_MT_C', NULL, NULL, 14102, 8),
(33488, NULL, 'PF04193', NULL, NULL, 'PQ loop repeat', NULL, 'PQ-loop', NULL, NULL, 1223, 8),
(33489, NULL, 'PF07859', NULL, NULL, 'alpha/beta hydrolase fold', NULL, 'Abhydrolase_3', NULL, NULL, 18606, 8),
(33490, NULL, 'PF15225', NULL, NULL, 'Interleukin 32', NULL, 'IL32', NULL, NULL, 26522, 8),
(33491, NULL, 'PF16090', NULL, NULL, 'Domain of unknown function (DUF4819)', NULL, 'DUF4819', NULL, NULL, 28079, 8),
(33492, NULL, 'PF17899', NULL, NULL, 'Peptidase M61 N-terminal domain', NULL, 'Peptidase_M61_N', NULL, NULL, 30812, 8),
(33493, NULL, 'PF14456', NULL, NULL, 'Alpha-helical domain 2', NULL, 'alpha-hel2', NULL, NULL, 15720, 8),
(33494, NULL, 'PF18207', NULL, NULL, 'Leukemia inhibitory factor receptor N-terminal domain', NULL, 'LIFR_N', NULL, NULL, 35507, 8),
(33495, NULL, 'PF01696', NULL, NULL, 'Adenovirus EB1 55K protein / large t-antigen', NULL, 'Adeno_E1B_55K', NULL, NULL, 1923, 8),
(33496, NULL, 'PF03618', NULL, NULL, 'Kinase/pyrophosphorylase', NULL, 'Kinase-PPPase', NULL, NULL, 5002, 8),
(33497, NULL, 'PF15679', NULL, NULL, 'Domain of unknown function (DUF4665)', NULL, 'DUF4665', NULL, NULL, 27320, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33498, NULL, 'PF16623', NULL, NULL, 'Unstructured linker region between on GAS7 protein', NULL, 'WW_FCH_linker', NULL, NULL, NULL, 8),
(33499, NULL, 'PF00892', NULL, NULL, 'EamA-like transporter family', NULL, 'EamA', NULL, NULL, 5862, 8),
(33500, NULL, 'PF08495', NULL, NULL, 'FIST N domain', NULL, 'FIST', NULL, NULL, 14336, 8),
(33501, NULL, 'PF13390', NULL, NULL, 'Protein of unknown function (DUF4108)', NULL, 'DUF4108', NULL, NULL, 23003, 8),
(33502, NULL, 'PF12713', NULL, NULL, 'Domain of unknown function (DUF3806)', NULL, 'DUF3806', NULL, NULL, 20183, 8),
(33503, NULL, 'PF13125', NULL, NULL, 'Protein of unknown function (DUF3958)', NULL, 'DUF3958', NULL, NULL, 27009, 8),
(33504, NULL, 'PF02898', NULL, NULL, 'Nitric oxide synthase, oxygenase domain', NULL, 'NO_synthase', NULL, NULL, 635, 8),
(33505, NULL, 'PF08703', NULL, NULL, 'PLC-beta C terminal', NULL, 'PLC-beta_C', NULL, NULL, 11734, 8),
(33506, NULL, 'PF14358', NULL, NULL, 'Domain of unknown function (DUF4405)', NULL, 'DUF4405', NULL, NULL, 28289, 8),
(33507, NULL, 'PF20049', NULL, NULL, 'Domain of unknown function (DUF6451)', NULL, 'DUF6451', NULL, NULL, 36916, 8),
(33508, NULL, 'PF10410', NULL, NULL, 'DnaB-helicase binding domain of primase', NULL, 'DnaB_bind', NULL, NULL, 17835, 8),
(33509, NULL, 'PF10544', NULL, NULL, 'T5orf172 domain', NULL, 'T5orf172', NULL, NULL, 8958, 8),
(33510, NULL, 'PF07016', NULL, NULL, 'Cysteine-rich acidic integral membrane protein precursor', NULL, 'CRAM_rpt', NULL, NULL, 12651, 8),
(33511, NULL, 'PF18032', NULL, NULL, 'Photoprotection regulator fluorescence recovery protein', NULL, 'FRP', NULL, NULL, 32033, 8),
(33512, NULL, 'PF02973', NULL, NULL, 'Sialidase, N-terminal domain', NULL, 'Sialidase', NULL, NULL, 1649, 8),
(33513, NULL, 'PF07165', NULL, NULL, 'Protein of unknown function (DUF1397)', NULL, 'DUF1397', NULL, NULL, 13646, 8),
(33514, NULL, 'PF12282', NULL, NULL, 'Signal transduction histidine kinase', NULL, 'H_kinase_N', NULL, NULL, 20527, 8),
(33515, NULL, 'PF15822', NULL, NULL, 'MAPK-interacting and spindle-stabilising protein-like', NULL, 'MISS', NULL, NULL, 27150, 8),
(33516, NULL, 'PF08966', NULL, NULL, 'Domain of unknown function (DUF1882)', NULL, 'DUF1882', NULL, NULL, 8903, 8),
(33517, NULL, 'PF04280', NULL, NULL, 'Tim44-like domain', NULL, 'Tim44', NULL, NULL, 5509, 8),
(33518, NULL, 'PF11382', NULL, NULL, 'Copper transport outer membrane protein, MctB', NULL, 'MctB', NULL, NULL, 18607, 8),
(33519, NULL, 'PF04356', NULL, NULL, 'Protein of unknown function (DUF489)', NULL, 'DUF489', NULL, NULL, 4885, 8),
(33520, NULL, 'PF07445', NULL, NULL, 'Primosomal replication protein priC', NULL, 'PriC', NULL, NULL, 11848, 8),
(33521, NULL, 'PF19377', NULL, NULL, 'Family of unknown function (DUF5952)', NULL, 'DUF5952', NULL, NULL, 39428, 8),
(33522, NULL, 'PF14835', NULL, NULL, 'zf-RING of BARD1-type protein', NULL, 'zf-RING_6', NULL, NULL, 30936, 8),
(33523, NULL, 'PF19010', NULL, NULL, 'Family of unknown function (DUF5739)', NULL, 'DUF5739', NULL, NULL, 38137, 8),
(33524, NULL, 'PF06679', NULL, NULL, 'Protein of unknown function (DUF1180)', NULL, 'DUF1180', NULL, NULL, 10472, 8),
(33525, NULL, 'PF19852', NULL, NULL, 'Family of unknown function (DUF6327)', NULL, 'DUF6327', NULL, NULL, 39732, 8),
(33526, NULL, 'PF02141', NULL, NULL, 'DENN (AEX-3) domain', NULL, 'DENN', NULL, NULL, 1047, 8),
(33527, NULL, 'PF02495', NULL, NULL, 'Triple gene block 3', NULL, 'TGBp3', NULL, NULL, 5005, 8),
(33528, NULL, 'PF00549', NULL, NULL, 'CoA-ligase', NULL, 'Ligase_CoA', NULL, NULL, 5736, 8),
(33529, NULL, 'PF08499', NULL, NULL, '3''5''-cyclic nucleotide phosphodiesterase N-terminal', NULL, 'PDEase_I_N', NULL, NULL, 14200, 8),
(33530, NULL, 'PF18555', NULL, NULL, 'MobL relaxases', NULL, 'MobL', NULL, NULL, 31423, 8),
(33531, NULL, 'PF07874', NULL, NULL, 'Prophage protein (DUF1660)', NULL, 'DUF1660', NULL, NULL, 14793, 8),
(33532, NULL, 'PF13898', NULL, NULL, 'Domain of unknown function (DUF4205)', NULL, 'DUF4205', NULL, NULL, 23582, 8),
(33533, NULL, 'PF16042', NULL, NULL, 'Domain of unknown function (DUF4794)', NULL, 'DUF4794', NULL, NULL, 27779, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33534, NULL, 'PF09673', NULL, NULL, 'Type-F conjugative transfer system pilin assembly protein', NULL, 'TrbC_Ftype', NULL, NULL, 17683, 8),
(33535, NULL, 'PF13294', NULL, NULL, 'Domain of unknown function (DUF4075)', NULL, 'DUF4075', NULL, NULL, 27922, 8),
(33536, NULL, 'PF10764', NULL, NULL, 'Inhibitor of sigma-G Gin', NULL, 'Gin', NULL, NULL, 20817, 8),
(33537, NULL, 'PF13308', NULL, NULL, 'YARHG domain', NULL, 'YARHG', NULL, NULL, 25922, 8),
(33538, NULL, 'PF09300', NULL, NULL, 'Tectiviridae, minor capsid', NULL, 'Tecti-min-caps', NULL, NULL, 14296, 8),
(33539, NULL, 'PF11594', NULL, NULL, 'Mediator complex subunit 28', NULL, 'Med28', NULL, NULL, NULL, 8),
(33540, NULL, 'PF15180', NULL, NULL, 'Neuropeptides B and W', NULL, 'NPBW', NULL, NULL, 8688, 8),
(33541, NULL, 'PF10960', NULL, NULL, 'BhlA holin family', NULL, 'Holin_BhlA', NULL, NULL, 22662, 8),
(33542, NULL, 'PF01995', NULL, NULL, 'NrpR regulatory domains NRD1 and 2', NULL, 'NRD1_2', NULL, NULL, 5610, 8),
(33543, NULL, 'PF10448', NULL, NULL, '20S proteasome chaperone assembly proteins 3 and 4', NULL, 'POC3_POC4', NULL, NULL, 20269, 8),
(33544, NULL, 'PF09275', NULL, NULL, 'Pertussis toxin S4 subunit', NULL, 'Pertus-S4-tox', NULL, NULL, 13568, 8),
(33545, NULL, 'PF15372', NULL, NULL, 'Domain of unknown function (DUF4600)', NULL, 'DUF4600', NULL, NULL, 24850, 8),
(33546, NULL, 'PF03188', NULL, NULL, 'Eukaryotic cytochrome b561', NULL, 'Cytochrom_B561', NULL, NULL, 1352, 8),
(33547, NULL, 'PF19657', NULL, NULL, 'Family of unknown function (DUF6160)', NULL, 'DUF6160', NULL, NULL, 39907, 8),
(33548, NULL, 'PF16455', NULL, NULL, 'Ubiquitin-binding domain', NULL, 'UBD', NULL, NULL, 22888, 8),
(33549, NULL, 'PF10644', NULL, NULL, 'Misato Segment II tubulin-like domain', NULL, 'Misat_Tub_SegII', NULL, NULL, 20008, 8),
(33550, NULL, 'PF09654', NULL, NULL, 'Protein of unknown function (DUF2396)', NULL, 'DUF2396', NULL, NULL, 10202, 8),
(33551, NULL, 'PF03947', NULL, NULL, 'Ribosomal Proteins L2, C-terminal domain', NULL, 'Ribosomal_L2_C', NULL, NULL, 17275, 8),
(33552, NULL, 'PF08278', NULL, NULL, 'DNA primase DnaG DnaB-binding', NULL, 'DnaG_DnaB_bind', NULL, NULL, 8516, 8),
(33553, NULL, 'PF09578', NULL, NULL, 'Spore cortex protein YabQ (Spore_YabQ)', NULL, 'Spore_YabQ', NULL, NULL, 16692, 8),
(33554, NULL, 'PF14611', NULL, NULL, 'Mitochondrial inner-membrane-bound regulator', NULL, 'SLS', NULL, NULL, 22101, 8),
(33555, NULL, 'PF18378', NULL, NULL, 'Nuclear pore protein NUP188 C-terminal domain', NULL, 'Nup188_C', NULL, NULL, 32774, 8),
(33556, NULL, 'PF10958', NULL, NULL, 'Protein of unknown function (DUF2759)', NULL, 'DUF2759', NULL, NULL, 25528, 8),
(33557, NULL, 'PF03494', NULL, NULL, 'Beta-amyloid peptide (beta-APP)', NULL, 'Beta-APP', NULL, NULL, 9674, 8),
(33558, NULL, 'PF00735', NULL, NULL, 'Septin', NULL, 'Septin', NULL, NULL, 28907, 8),
(33559, NULL, 'PF05202', NULL, NULL, 'Recombinase Flp protein', NULL, 'Flp_C', NULL, NULL, 2712, 8),
(33560, NULL, 'PF04101', NULL, NULL, 'Glycosyltransferase family 28 C-terminal domain', NULL, 'Glyco_tran_28_C', NULL, NULL, 6820, 8),
(33561, NULL, 'PF03192', NULL, NULL, 'Pyrococcus protein of unknown function, DUF257', NULL, 'DUF257', NULL, NULL, 696, 8),
(33562, NULL, 'PF10799', NULL, NULL, 'Biofilm formation protein (YliH/bssR)', NULL, 'YliH', NULL, NULL, 20274, 8),
(33563, NULL, 'PF16266', NULL, NULL, 'Domain of unknown function (DUF4919)', NULL, 'DUF4919', NULL, NULL, 22460, 8),
(33564, NULL, 'PF11726', NULL, NULL, 'Inovirus Gp2', NULL, 'Inovirus_Gp2', NULL, NULL, NULL, 8),
(33565, NULL, 'PF05822', NULL, NULL, 'Pyrimidine 5''-nucleotidase (UMPH-1)', NULL, 'UMPH-1', NULL, NULL, 6991, 8),
(33566, NULL, 'PF12763', NULL, NULL, 'Cytoskeletal-regulatory complex EF hand', NULL, 'EF-hand_4', NULL, NULL, 1297, 8),
(33567, NULL, 'PF07916', NULL, NULL, 'TraG-like protein, N-terminal region', NULL, 'TraG_N', NULL, NULL, 8114, 8),
(33568, NULL, 'PF17177', NULL, NULL, 'Pentacotripeptide-repeat region of PRORP', NULL, 'PPR_long', NULL, NULL, 31608, 8),
(33569, NULL, 'PF19924', NULL, NULL, 'Family of unknown function (DUF6387)', NULL, 'DUF6387', NULL, NULL, 39886, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33570, NULL, 'PF03373', NULL, NULL, 'Octapeptide repeat', NULL, 'Octapeptide', NULL, NULL, 2246, 8),
(33571, NULL, 'PF01780', NULL, NULL, 'Ribosomal L37ae protein family', NULL, 'Ribosomal_L37ae', NULL, NULL, 2967, 8),
(33572, NULL, 'PF00049', NULL, NULL, 'Insulin/IGF/Relaxin family', NULL, 'Insulin', NULL, NULL, 12134, 8),
(33573, NULL, 'PF04800', NULL, NULL, 'ETC complex I subunit conserved region', NULL, 'ETC_C1_NDUFA4', NULL, NULL, 4660, 8),
(33574, NULL, 'PF03584', NULL, NULL, 'Herpesvirus ICP4-like protein N-terminal region', NULL, 'Herpes_ICP4_N', NULL, NULL, 6605, 8),
(33575, NULL, 'PF09210', NULL, NULL, 'Domain of unknown function (DUF1957)', NULL, 'DUF1957', NULL, NULL, 12953, 8),
(33576, NULL, 'PF11911', NULL, NULL, 'Protein of unknown function (DUF3429)', NULL, 'DUF3429', NULL, NULL, 20185, 8),
(33577, NULL, 'PF11249', NULL, NULL, 'Protein of unknown function (DUF3047)', NULL, 'DUF3047', NULL, NULL, 18162, 8),
(33578, NULL, 'PF04381', NULL, NULL, 'Putative exonuclease, RdgC', NULL, 'RdgC', NULL, NULL, 2068, 8),
(33579, NULL, 'PF15815', NULL, NULL, 'E3 ubiquitin-protein ligase makorin, C-terminal', NULL, 'MKRN1_C', NULL, NULL, 24895, 8),
(33580, NULL, 'PF03594', NULL, NULL, 'Benzoate membrane transport protein', NULL, 'BenE', NULL, NULL, 3774, 8),
(33581, NULL, 'PF13204', NULL, NULL, 'Protein of unknown function (DUF4038)', NULL, 'DUF4038', NULL, NULL, 23687, 8),
(33582, NULL, 'PF02611', NULL, NULL, 'CDP-diacylglycerol pyrophosphatase', NULL, 'CDH', NULL, NULL, 2022, 8),
(33583, NULL, 'PF14728', NULL, NULL, 'PTHB1 C-terminus', NULL, 'PHTB1_C', NULL, NULL, 23797, 8),
(33584, NULL, 'PF02914', NULL, NULL, 'Bacteriophage Mu transposase', NULL, 'DDE_2', NULL, NULL, 2646, 8),
(33585, NULL, 'PF02873', NULL, NULL, 'UDP-N-acetylenolpyruvoylglucosamine reductase, C-terminal domain', NULL, 'MurB_C', NULL, NULL, 10569, 8),
(33586, NULL, 'PF13528', NULL, NULL, 'Glycosyl transferase family 1', NULL, 'Glyco_trans_1_3', NULL, NULL, NULL, 8),
(33587, NULL, 'PF02661', NULL, NULL, 'Fic/DOC family', NULL, 'Fic', NULL, NULL, 3126, 8),
(33588, NULL, 'PF09061', NULL, NULL, 'Stirrup', NULL, 'Stirrup', NULL, NULL, 9807, 8),
(33589, NULL, 'PF07277', NULL, NULL, 'SapC', NULL, 'SapC', NULL, NULL, 11796, 8),
(33590, NULL, 'PF00367', NULL, NULL, 'phosphotransferase system, EIIB', NULL, 'PTS_EIIB', NULL, NULL, 829, 8),
(33591, NULL, 'PF08104', NULL, NULL, 'Ponericin L family', NULL, 'Antimicrobial_9', NULL, NULL, 12704, 8),
(33592, NULL, 'PF00906', NULL, NULL, 'Hepatitis core antigen', NULL, 'Hepatitis_core', NULL, NULL, 1159, 8),
(33593, NULL, 'PF16475', NULL, NULL, 'Domain of unknown function (DUF5052)', NULL, 'DUF5052', NULL, NULL, 18330, 8),
(33594, NULL, 'PF19169', NULL, NULL, 'Family of unknown function (DUF5851)', NULL, 'DUF5851', NULL, NULL, 37178, 8),
(33595, NULL, 'PF14332', NULL, NULL, 'Domain of unknown function (DUF4388)', NULL, 'DUF4388', NULL, NULL, 28346, 8),
(33596, NULL, 'PF03586', NULL, NULL, 'Herpesvirus UL36 tegument protein', NULL, 'Herpes_UL36', NULL, NULL, 6982, 8),
(33597, NULL, 'PF11121', NULL, NULL, 'Protein of unknown function (DUF2639)', NULL, 'DUF2639', NULL, NULL, 16960, 8),
(33598, NULL, 'PF11339', NULL, NULL, 'Protein of unknown function (DUF3141)', NULL, 'DUF3141', NULL, NULL, 25676, 8),
(33599, NULL, 'PF01543', NULL, NULL, 'Hepatitis C virus capsid protein', NULL, 'HCV_capsid', NULL, NULL, 537, 8),
(33600, NULL, 'PF01447', NULL, NULL, 'Thermolysin metallopeptidase, catalytic domain', NULL, 'Peptidase_M4', NULL, NULL, 8691, 8),
(33601, NULL, 'PF14893', NULL, NULL, 'PNMA', NULL, 'PNMA', NULL, NULL, 24418, 8),
(33602, NULL, 'PF19096', NULL, NULL, 'Family of unknown function (DUF5784)', NULL, 'DUF5784', NULL, NULL, 37992, 8),
(33603, NULL, 'PF00354', NULL, NULL, 'Pentaxin family', NULL, 'Pentaxin', NULL, NULL, 3343, 8),
(33604, NULL, 'PF07587', NULL, NULL, 'Protein of unknown function (DUF1553)', NULL, 'PSD1', NULL, NULL, 17128, 8),
(33605, NULL, 'PF16801', NULL, NULL, 'Dimerisation domain of Male-specific-Lethal 1', NULL, 'MSL1_dimer', NULL, NULL, 22862, 8),
(33606, NULL, 'PF10645', NULL, NULL, 'Carbohydrate binding', NULL, 'Carb_bind', NULL, NULL, 21351, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33607, NULL, 'PF17470', NULL, NULL, 'Phage gene product 45.2', NULL, 'Gp45_2', NULL, NULL, 18813, 8),
(33608, NULL, 'PF03965', NULL, NULL, 'Penicillinase repressor', NULL, 'Penicillinase_R', NULL, NULL, 2617, 8),
(33609, NULL, 'PF03595', NULL, NULL, 'Voltage-dependent anion channel', NULL, 'SLAC1', NULL, NULL, 3767, 8),
(33610, NULL, 'PF11056', NULL, NULL, 'Recombination, repair and ssDNA binding protein UvsY', NULL, 'UvsY', NULL, NULL, 17781, 8),
(33611, NULL, 'PF18122', NULL, NULL, 'Anaphase-promoting complex sub unit 1 C-terminal domain', NULL, 'APC1_C', NULL, NULL, 31488, 8),
(33612, NULL, 'PF04607', NULL, NULL, 'Region found in RelA / SpoT proteins', NULL, 'RelA_SpoT', NULL, NULL, 961, 8),
(33613, NULL, 'PF11958', NULL, NULL, 'Domain of unknown function (DUF3472)', NULL, 'DUF3472', NULL, NULL, 20313, 8),
(33614, NULL, 'PF14649', NULL, NULL, 'Spatacsin C-terminus', NULL, 'Spatacsin_C', NULL, NULL, 23692, 8),
(33615, NULL, 'PF02950', NULL, NULL, 'Conotoxin', NULL, 'Conotoxin', NULL, NULL, 3984, 8),
(33616, NULL, 'PF03146', NULL, NULL, 'Agrin NtA domain', NULL, 'NtA', NULL, NULL, 7081, 8),
(33617, NULL, 'PF10672', NULL, NULL, 'S-adenosylmethionine-dependent methyltransferase', NULL, 'Methyltrans_SAM', NULL, NULL, 20443, 8),
(33618, NULL, 'PF03611', NULL, NULL, 'PTS system sugar-specific permease component', NULL, 'EIIC-GAT', NULL, NULL, 3716, 8),
(33619, NULL, 'PF11596', NULL, NULL, 'Protein of unknown function (DUF3246)', NULL, 'DUF3246', NULL, NULL, 19156, 8),
(33620, NULL, 'PF15707', NULL, NULL, 'Mitochondrial coiled-coil domain protein 1', NULL, 'MCCD1', NULL, NULL, 27224, 8),
(33621, NULL, 'PF12429', NULL, NULL, 'Protein of unknown function (DUF3676)', NULL, 'DUF3676', NULL, NULL, 21059, 8),
(33622, NULL, 'PF04228', NULL, NULL, 'Putative neutral zinc metallopeptidase', NULL, 'Zn_peptidase', NULL, NULL, 5851, 8),
(33623, NULL, 'PF04793', NULL, NULL, 'BRRF1-like protein', NULL, 'Herpes_BBRF1', NULL, NULL, 4713, 8),
(33624, NULL, 'PF12554', NULL, NULL, 'Mitotic-spindle organizing gamma-tubulin ring associated', NULL, 'MOZART1', NULL, NULL, 21477, 8),
(33625, NULL, 'PF03209', NULL, NULL, 'PUCC protein', NULL, 'PUCC', NULL, NULL, 59, 8),
(33626, NULL, 'PF04279', NULL, NULL, 'Intracellular septation protein A', NULL, 'IspA', NULL, NULL, 1102, 8),
(33627, NULL, 'PF06182', NULL, NULL, 'ABC-2 family transporter protein', NULL, 'ABC2_membrane_6', NULL, NULL, 9932, 8),
(33628, NULL, 'PF09637', NULL, NULL, 'Med18 protein', NULL, 'Med18', NULL, NULL, 17635, 8),
(33629, NULL, 'PF07253', NULL, NULL, 'Gypsy protein', NULL, 'Gypsy', NULL, NULL, 14987, 8),
(33630, NULL, 'PF12092', NULL, NULL, 'Protein of unknown function (DUF3568)', NULL, 'DUF3568', NULL, NULL, 20578, 8),
(33631, NULL, 'PF06703', NULL, NULL, 'Microsomal signal peptidase 25 kDa subunit (SPC25)', NULL, 'SPC25', NULL, NULL, 603, 8),
(33632, NULL, 'PF03980', NULL, NULL, 'Nnf1', NULL, 'Nnf1', NULL, NULL, 483, 8),
(33633, NULL, 'PF16287', NULL, NULL, 'Domain of unknown function (DUF4933)', NULL, 'DUF4933', NULL, NULL, 22166, 8),
(33634, NULL, 'PF03086', NULL, NULL, 'Domain of unknown function (DUF240)', NULL, 'DUF240', NULL, NULL, 4809, 8),
(33635, NULL, 'PF06722', NULL, NULL, 'Protein of unknown function (DUF1205)', NULL, 'DUF1205', NULL, NULL, 8045, 8),
(33636, NULL, 'PF05001', NULL, NULL, 'RNA polymerase Rpb1 C-terminal repeat', NULL, 'RNA_pol_Rpb1_R', NULL, NULL, 3856, 8),
(33637, NULL, 'PF00738', NULL, NULL, 'Polyhedrin', NULL, 'Polyhedrin', NULL, NULL, 4643, 8),
(33638, NULL, 'PF15403', NULL, NULL, 'HiaBD2_N domain of Trimeric autotransporter adhesin (GIN)', NULL, 'HiaBD2', NULL, NULL, 28785, 8),
(33639, NULL, 'PF04805', NULL, NULL, 'E10-like protein conserved region', NULL, 'Pox_E10', NULL, NULL, 4611, 8),
(33640, NULL, 'PF15734', NULL, NULL, 'Migration and invasion-inhibitory', NULL, 'MIIP', NULL, NULL, 27298, 8),
(33641, NULL, 'PF03860', NULL, NULL, 'Domain of Unknown Function (DUF326)', NULL, 'DUF326', NULL, NULL, 1660, 8),
(33642, NULL, 'PF08946', NULL, NULL, 'Osmosensory transporter coiled coil', NULL, 'Osmo_CC', NULL, NULL, 7915, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33643, NULL, 'PF12978', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3862)', NULL, 'DUF3862', NULL, NULL, 22567, 8),
(33644, NULL, 'PF15773', NULL, NULL, 'Domain of unknown function (DUF4701)', NULL, 'DUF4701', NULL, NULL, 27063, 8),
(33645, NULL, 'PF13908', NULL, NULL, 'Wnt and FGF inhibitory regulator', NULL, 'Shisa', NULL, NULL, 28584, 8),
(33646, NULL, 'PF08639', NULL, NULL, 'DNA replication regulator SLD3', NULL, 'SLD3', NULL, NULL, 8223, 8),
(33647, NULL, 'PF14069', NULL, NULL, 'Stage VI sporulation protein F', NULL, 'SpoVIF', NULL, NULL, 25146, 8),
(33648, NULL, 'PF01311', NULL, NULL, 'Bacterial export proteins, family 1', NULL, 'Bac_export_1', NULL, NULL, 5173, 8),
(33649, NULL, 'PF17111', NULL, NULL, 'Fungal N-terminal domain of STAND proteins', NULL, 'Helo_like_N', NULL, NULL, 27869, 8),
(33650, NULL, 'PF04925', NULL, NULL, 'SHQ1 protein', NULL, 'SHQ1', NULL, NULL, 6694, 8),
(33651, NULL, 'PF14967', NULL, NULL, 'FAM70 protein', NULL, 'FAM70', NULL, NULL, 22067, 8),
(33652, NULL, 'PF05611', NULL, NULL, 'Caenorhabditis elegans protein of unknown function (DUF780)', NULL, 'DUF780', NULL, NULL, 12422, 8),
(33653, NULL, 'PF01823', NULL, NULL, 'MAC/Perforin domain', NULL, 'MACPF', NULL, NULL, 20756, 8),
(33654, NULL, 'PF08543', NULL, NULL, 'Phosphomethylpyrimidine kinase', NULL, 'Phos_pyr_kin', NULL, NULL, 7577, 8),
(33655, NULL, 'PF13161', NULL, NULL, 'Protein of unknown function (DUF3996)', NULL, 'DUF3996', NULL, NULL, 15887, 8),
(33656, NULL, 'PF14879', NULL, NULL, 'Domain of unknown function (DUF4489)', NULL, 'DUF4489', NULL, NULL, 25371, 8),
(33657, NULL, 'PF11233', NULL, NULL, 'Protein of unknown function (DUF3035)', NULL, 'DUF3035', NULL, NULL, 18284, 8),
(33658, NULL, 'PF16843', NULL, NULL, 'Binding domain to Get4 on Get5, Golgi to ER traffic protein', NULL, 'Get5_bdg', NULL, NULL, 25960, 8),
(33659, NULL, 'PF17422', NULL, NULL, 'Family of unknown function (DUF5410)', NULL, 'DUF5410', NULL, NULL, 13707, 8),
(33660, NULL, 'PF05758', NULL, NULL, 'Ycf1', NULL, 'Ycf1', NULL, NULL, 7735, 8),
(33661, NULL, 'PF02923', NULL, NULL, 'Restriction endonuclease BamHI', NULL, 'BamHI', NULL, NULL, 2656, 8),
(33662, NULL, 'PF06300', NULL, NULL, 'Tsp45I type II restriction enzyme', NULL, 'Tsp45I', NULL, NULL, 10135, 8),
(33663, NULL, 'PF10433', NULL, NULL, 'Mono-functional DNA-alkylating methyl methanesulfonate N-term', NULL, 'MMS1_N', NULL, NULL, 20302, 8),
(33664, NULL, 'PF13179', NULL, NULL, 'Family of unknown function (DUF4006)', NULL, 'DUF4006', NULL, NULL, 23536, 8),
(33665, NULL, 'PF18508', NULL, NULL, 'Zinc finger domain', NULL, 'zf_C2H2_13', NULL, NULL, 32172, 8),
(33666, NULL, 'PF14082', NULL, NULL, 'Domain of unknown function (DUF4263)', NULL, 'DUF4263', NULL, NULL, 23168, 8),
(33667, NULL, 'PF05455', NULL, NULL, 'GvpH', NULL, 'GvpH', NULL, NULL, 14009, 8),
(33668, NULL, 'PF04172', NULL, NULL, 'LrgB-like family', NULL, 'LrgB', NULL, NULL, 388, 8),
(33669, NULL, 'PF05932', NULL, NULL, 'Tir chaperone protein (CesT) family', NULL, 'CesT', NULL, NULL, 7855, 8),
(33670, NULL, 'PF17827', NULL, NULL, 'PrmC N-terminal domain', NULL, 'PrmC_N', NULL, NULL, 30597, 8),
(33671, NULL, 'PF18213', NULL, NULL, 'SUB1 protease Prodomain ProdP9', NULL, 'SUB1_ProdP9', NULL, NULL, 31597, 8),
(33672, NULL, 'PF17788', NULL, NULL, 'HypF Kae1-like domain', NULL, 'HypF_C', NULL, NULL, 32340, 8),
(33673, NULL, 'PF14735', NULL, NULL, 'HAUS augmin-like complex subunit 4', NULL, 'HAUS4', NULL, NULL, 21552, 8),
(33674, NULL, 'PF07696', NULL, NULL, '7TMR-DISM extracellular 2', NULL, '7TMR-DISMED2', NULL, NULL, 10046, 8),
(33675, NULL, 'PF19895', NULL, NULL, 'Family of unknown function (DUF6368)', NULL, 'DUF6368', NULL, NULL, 39358, 8),
(33676, NULL, 'PF02295', NULL, NULL, 'Adenosine deaminase z-alpha domain', NULL, 'z-alpha', NULL, NULL, 39405, 8),
(33677, NULL, 'PF18530', NULL, NULL, 'Swi6 N-terminal domain', NULL, 'Swi6_N', NULL, NULL, 31028, 8),
(33678, NULL, 'PF06790', NULL, NULL, 'Uncharacterised protein family (UPF0259)', NULL, 'UPF0259', NULL, NULL, NULL, 8),
(33679, NULL, 'PF10508', NULL, NULL, 'Proteasome non-ATPase 26S subunit', NULL, 'Proteasom_PSMB', NULL, NULL, 19003, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33680, NULL, 'PF19043', NULL, NULL, 'Nuclear cap binding complex subunit CBP66', NULL, 'CBP66', NULL, NULL, 37488, 8),
(33681, NULL, 'PF00301', NULL, NULL, 'Rubredoxin', NULL, 'Rubredoxin', NULL, NULL, 15158, 8),
(33682, NULL, 'PF06165', NULL, NULL, 'Glycosyltransferase family 36', NULL, 'Glyco_transf_36', NULL, NULL, 9710, 8),
(33683, NULL, 'PF04179', NULL, NULL, 'Rit1 DUSP-like domain', NULL, 'Init_tRNA_PT', NULL, NULL, 34517, 8),
(33684, NULL, 'PF06702', NULL, NULL, 'Golgi casein kinase, C-terminal, Fam20', NULL, 'Fam20C', NULL, NULL, 584, 8),
(33685, NULL, 'PF00480', NULL, NULL, 'ROK family', NULL, 'ROK', NULL, NULL, 5890, 8),
(33686, NULL, 'PF00859', NULL, NULL, 'CTF/NF-I family transcription modulation region', NULL, 'CTF_NFI', NULL, NULL, 6740, 8),
(33687, NULL, 'PF16478', NULL, NULL, 'Domain of unknown function (DUF5055)', NULL, 'DUF5055', NULL, NULL, 18260, 8),
(33688, NULL, 'PF11498', NULL, NULL, 'Transcriptional activator LAG-3', NULL, 'Activator_LAG-3', NULL, NULL, 19222, 8),
(33689, NULL, 'PF03439', NULL, NULL, 'Early transcription elongation factor of RNA pol II, NGN section', NULL, 'Spt5-NGN', NULL, NULL, 10663, 8),
(33690, NULL, 'PF00544', NULL, NULL, 'Pectate lyase', NULL, 'Pectate_lyase_4', NULL, NULL, 5246, 8),
(33691, NULL, 'PF00119', NULL, NULL, 'ATP synthase A chain', NULL, 'ATP-synt_A', NULL, NULL, 5691, 8),
(33692, NULL, 'PF10844', NULL, NULL, 'Protein of unknown function (DUF2577)', NULL, 'DUF2577', NULL, NULL, 14552, 8),
(33693, NULL, 'PF10018', NULL, NULL, 'Vitamin-D-receptor interacting Mediator subunit 4', NULL, 'Med4', NULL, NULL, 20029, 8),
(33694, NULL, 'PF05854', NULL, NULL, 'Non-histone chromosomal protein MC1', NULL, 'MC1', NULL, NULL, 13129, 8),
(33695, NULL, 'PF14268', NULL, NULL, 'YoaP-like', NULL, 'YoaP', NULL, NULL, 25767, 8),
(33696, NULL, 'PF17049', NULL, NULL, 'ATPase expression protein 1', NULL, 'AEP1', NULL, NULL, 28650, 8),
(33697, NULL, 'PF18105', NULL, NULL, 'PGM1 C-terminal domain', NULL, 'PGM1_C', NULL, NULL, 31387, 8),
(33698, NULL, 'PF02285', NULL, NULL, 'Cytochrome oxidase c subunit VIII', NULL, 'COX8', NULL, NULL, 3285, 8),
(33699, NULL, 'PF09704', NULL, NULL, 'CRISPR-associated protein (Cas_Cas5)', NULL, 'Cas_Cas5d', NULL, NULL, 15163, 8),
(33700, NULL, 'PF06666', NULL, NULL, 'Protein of unknown function (DUF1173)', NULL, 'DUF1173', NULL, NULL, 10450, 8),
(33701, NULL, 'PF15788', NULL, NULL, 'Domain of unknown function (DUF4705)', NULL, 'DUF4705', NULL, NULL, 24581, 8),
(33702, NULL, 'PF16284', NULL, NULL, 'Domain of unknown function (DUF4930)', NULL, 'DUF4930', NULL, NULL, 22388, 8),
(33703, NULL, 'PF19507', NULL, NULL, 'Family of unknown function (DUF6041)', NULL, 'DUF6041', NULL, NULL, 39434, 8),
(33704, NULL, 'PF13903', NULL, NULL, 'PMP-22/EMP/MP20/Claudin tight junction', NULL, 'Claudin_2', NULL, NULL, 881, 8),
(33705, NULL, 'PF03793', NULL, NULL, 'PASTA domain', NULL, 'PASTA', NULL, NULL, 1620, 8),
(33706, NULL, 'PF09112', NULL, NULL, 'Peptide-N-glycosidase F, N terminal', NULL, 'N-glycanase_N', NULL, NULL, 10776, 8),
(33707, NULL, 'PF03152', NULL, NULL, 'Ubiquitin fusion degradation protein UFD1', NULL, 'UFD1', NULL, NULL, 7418, 8),
(33708, NULL, 'PF14224', NULL, NULL, 'Domain of unknown function (DUF4331)', NULL, 'DUF4331', NULL, NULL, 23726, 8),
(33709, NULL, 'PF02767', NULL, NULL, 'DNA polymerase III beta subunit, central domain', NULL, 'DNA_pol3_beta_2', NULL, NULL, 17332, 8),
(33710, NULL, 'PF17833', NULL, NULL, 'UPF0113 Pre-PUA domain', NULL, 'UPF0113_N', NULL, NULL, 29550, 8),
(33711, NULL, 'PF19049', NULL, NULL, 'SidE DUB domain', NULL, 'SidE_DUB', NULL, NULL, 37840, 8),
(33712, NULL, 'PF20108', NULL, NULL, 'Family of unknown function (DUF6498)', NULL, 'DUF6498', NULL, NULL, 38890, 8),
(33713, NULL, 'PF02124', NULL, NULL, 'Marek''s disease glycoprotein A', NULL, 'Marek_A', NULL, NULL, 1183, 8),
(33714, NULL, 'PF06239', NULL, NULL, 'Evolutionarily conserved signalling intermediate in Toll pathway', NULL, 'ECSIT', NULL, NULL, 9644, 8),
(33715, NULL, 'PF05424', NULL, NULL, 'Duffy binding domain', NULL, 'Duffy_binding', NULL, NULL, 14495, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33716, NULL, 'PF09758', NULL, NULL, 'Uncharacterised conserved protein', NULL, 'FPL', NULL, NULL, 18833, 8),
(33717, NULL, 'PF05983', NULL, NULL, 'MED7 protein', NULL, 'Med7', NULL, NULL, 13879, 8),
(33718, NULL, 'PF01470', NULL, NULL, 'Pyroglutamyl peptidase', NULL, 'Peptidase_C15', NULL, NULL, 11428, 8),
(33719, NULL, 'PF04008', NULL, NULL, 'Adenosine specific kinase', NULL, 'Adenosine_kin', NULL, NULL, 106, 8),
(33720, NULL, 'PF17174', NULL, NULL, 'Domain of unknown function (DUF5130)', NULL, 'DUF5130', NULL, NULL, 33904, 8),
(33721, NULL, 'PF05389', NULL, NULL, 'Negative regulator of genetic competence (MecA)', NULL, 'MecA', NULL, NULL, 13052, 8),
(33722, NULL, 'PF10840', NULL, NULL, 'Protein of unknown function (DUF2645)', NULL, 'DUF2645', NULL, NULL, 14665, 8),
(33723, NULL, 'PF06589', NULL, NULL, 'Circumsporozoite-related antigen (CRA)', NULL, 'CRA', NULL, NULL, NULL, 8),
(33724, NULL, 'PF04016', NULL, NULL, 'Putative heavy-metal chelation', NULL, 'DUF364', NULL, NULL, 419, 8),
(33725, NULL, 'PF01289', NULL, NULL, 'Thiol-activated cytolysin', NULL, 'Thiol_cytolysin', NULL, NULL, 4063, 8),
(33726, NULL, 'PF08976', NULL, NULL, 'EF-hand domain', NULL, 'EF-hand_11', NULL, NULL, 8886, 8),
(33727, NULL, 'PF18653', NULL, NULL, 'Arcadin 1', NULL, 'Arcadin_1', NULL, NULL, 34834, 8),
(33728, NULL, 'PF19080', NULL, NULL, 'Family of unknown function (DUF5772)', NULL, 'DUF5772', NULL, NULL, 37673, 8),
(33729, NULL, 'PF14366', NULL, NULL, 'Domain of unknown function (DUF4410)', NULL, 'DUF4410', NULL, NULL, 28128, 8),
(33730, NULL, 'PF12355', NULL, NULL, 'Down syndrome cell adhesion molecule C terminal', NULL, 'Dscam_C', NULL, NULL, 15460, 8),
(33731, NULL, 'PF06016', NULL, NULL, 'Reovirus core-spike protein lambda-2 (L2)', NULL, 'Reovirus_L2', NULL, NULL, 8879, 8),
(33732, NULL, 'PF17868', NULL, NULL, 'AAA lid domain', NULL, 'AAA_lid_8', NULL, NULL, 32209, 8),
(33733, NULL, 'PF08293', NULL, NULL, 'Mitochondrial ribosomal subunit S27', NULL, 'MRP-S33', NULL, NULL, 12232, 8),
(33734, NULL, 'PF12919', NULL, NULL, 'TcdA/TcdB catalytic glycosyltransferase domain', NULL, 'TcdA_TcdB', NULL, NULL, 25236, 8),
(33735, NULL, 'PF18256', NULL, NULL, 'Co-chaperone HscB tetracysteine metal binding motif', NULL, 'HscB_4_cys', NULL, NULL, 30063, 8),
(33736, NULL, 'PF04738', NULL, NULL, 'Lantibiotic dehydratase, N terminus', NULL, 'Lant_dehydr_N', NULL, NULL, 3830, 8),
(33737, NULL, 'PF13342', NULL, NULL, 'C-terminal repeat of topoisomerase', NULL, 'Toprim_Crpt', NULL, NULL, 25939, 8),
(33738, NULL, 'PF04337', NULL, NULL, 'Protein of unknown function, DUF480', NULL, 'DUF480', NULL, NULL, 3852, 8),
(33739, NULL, 'PF13231', NULL, NULL, 'Dolichyl-phosphate-mannose-protein mannosyltransferase', NULL, 'PMT_2', NULL, NULL, 31639, 8),
(33740, NULL, 'PF06556', NULL, NULL, 'IAP-like protein p27 C-terminus', NULL, 'ASFV_p27', NULL, NULL, 14865, 8),
(33741, NULL, 'PF09382', NULL, NULL, 'RQC domain', NULL, 'RQC', NULL, NULL, 15710, 8),
(33742, NULL, 'PF12054', NULL, NULL, 'Domain of unknown function (DUF3535)', NULL, 'DUF3535', NULL, NULL, 17482, 8),
(33743, NULL, 'PF16280', NULL, NULL, 'Domain of unknown function (DUF4928)', NULL, 'DUF4928', NULL, NULL, 22465, 8),
(33744, NULL, 'PF07536', NULL, NULL, 'HWE histidine kinase', NULL, 'HWE_HK', NULL, NULL, 11159, 8),
(33745, NULL, 'PF08087', NULL, NULL, 'Conotoxin O-superfamily', NULL, 'Toxin_18', NULL, NULL, 9910, 8),
(33746, NULL, 'PF17493', NULL, NULL, 'Family of unknown function (DUF5428)', NULL, 'DUF5428', NULL, NULL, 21168, 8),
(33747, NULL, 'PF06255', NULL, NULL, 'Neisseria toxin MafB', NULL, 'MafB', NULL, NULL, 6474, 8),
(33748, NULL, 'PF16170', NULL, NULL, 'Domain of unknown function (DUF4873)', NULL, 'DUF4873', NULL, NULL, 25596, 8),
(33749, NULL, 'PF16954', NULL, NULL, 'Haem-transporter, endosomal/lysosomal, haem-responsive gene', NULL, 'HRG', NULL, NULL, 28028, 8),
(33750, NULL, 'PF07537', NULL, NULL, 'CamS sex pheromone cAM373 precursor', NULL, 'CamS', NULL, NULL, 13969, 8),
(33751, NULL, 'PF10500', NULL, NULL, 'Nuclear RNA-splicing-associated protein', NULL, 'SR-25', NULL, NULL, 19379, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33752, NULL, 'PF07319', NULL, NULL, 'Primosomal protein DnaI N-terminus', NULL, 'DnaI_N', NULL, NULL, 8097, 8),
(33753, NULL, 'PF19969', NULL, NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 8', NULL, 'VMAP-M8', NULL, NULL, 38780, 8),
(33754, NULL, 'PF17214', NULL, NULL, 'KH domain', NULL, 'KH_7', NULL, NULL, 34429, 8),
(33755, NULL, 'PF10803', NULL, NULL, 'Spore germination GerPB', NULL, 'GerPB', NULL, NULL, 13546, 8),
(33756, NULL, 'PF19290', NULL, NULL, 'PmbA/TldA metallopeptidase central domain', NULL, 'PmbA_TldD_M', NULL, NULL, 38716, 8),
(33757, NULL, 'PF17165', NULL, NULL, 'Domain of unknown function (DUF5121)', NULL, 'DUF5121', NULL, NULL, 35458, 8),
(33758, NULL, 'PF13360', NULL, NULL, 'PQQ-like domain', NULL, 'PQQ_2', NULL, NULL, 6580, 8),
(33759, NULL, 'PF17473', NULL, NULL, 'Family of unknown function (DUF5426)', NULL, 'DUF5426', NULL, NULL, 18505, 8),
(33760, NULL, 'PF15073', NULL, NULL, 'Spermatogenesis-associated protein 48', NULL, 'SPATA48', NULL, NULL, 25390, 8),
(33761, NULL, 'PF06977', NULL, NULL, 'SdiA-regulated', NULL, 'SdiA-regulated', NULL, NULL, 12043, 8),
(33762, NULL, 'PF08537', NULL, NULL, 'Fungal Nap binding protein NBP1', NULL, 'NBP1', NULL, NULL, 7815, 8),
(33763, NULL, 'PF04548', NULL, NULL, 'AIG1 family', NULL, 'AIG1', NULL, NULL, 2362, 8),
(33764, NULL, 'PF13079', NULL, NULL, 'Protein of unknown function (DUF3916)', NULL, 'DUF3916', NULL, NULL, 23901, 8),
(33765, NULL, 'PF15274', NULL, NULL, 'Muscular LMNA-interacting protein', NULL, 'MLIP', NULL, NULL, 24707, 8),
(33766, NULL, 'PF02320', NULL, NULL, 'Ubiquinol-cytochrome C reductase hinge protein', NULL, 'UCR_hinge', NULL, NULL, 15990, 8),
(33767, NULL, 'PF10232', NULL, NULL, 'Mediator of RNA polymerase II transcription complex subunit 8', NULL, 'Med8', NULL, NULL, 15957, 8),
(33768, NULL, 'PF07852', NULL, NULL, 'Protein of unknown function (DUF1642)', NULL, 'DUF1642', NULL, NULL, 12705, 8),
(33769, NULL, 'PF18283', NULL, NULL, 'Carbohydrate binding module 77', NULL, 'CBM77', NULL, NULL, 31313, 8),
(33770, NULL, 'PF13677', NULL, NULL, 'Membrane MotB of proton-channel complex MotA/MotB', NULL, 'MotB_plug', NULL, NULL, 25644, 8),
(33771, NULL, 'PF08881', NULL, NULL, 'CVNH domain', NULL, 'CVNH', NULL, NULL, 9269, 8),
(33772, NULL, 'PF11721', NULL, NULL, 'Malectin domain', NULL, 'Malectin', NULL, NULL, 19820, 8),
(33773, NULL, 'PF05690', NULL, NULL, 'Thiazole biosynthesis protein ThiG', NULL, 'ThiG', NULL, NULL, 27585, 8),
(33774, NULL, 'PF15243', NULL, NULL, 'Anaphase-promoting complex subunit 15', NULL, 'ANAPC15', NULL, NULL, 26831, 8),
(33775, NULL, 'PF04471', NULL, NULL, 'Restriction endonuclease', NULL, 'Mrr_cat', NULL, NULL, 1425, 8),
(33776, NULL, 'PF13384', NULL, NULL, 'Homeodomain-like domain', NULL, 'HTH_23', NULL, NULL, NULL, 8),
(33777, NULL, 'PF06947', NULL, NULL, 'Protein of unknown function (DUF1290)', NULL, 'DUF1290', NULL, NULL, 11506, 8),
(33778, NULL, 'PF05292', NULL, NULL, 'Malonyl-CoA decarboxylase C-terminal domain', NULL, 'MCD', NULL, NULL, 4287, 8),
(33779, NULL, 'PF14025', NULL, NULL, 'Protein of unknown function (DUF4241)', NULL, 'DUF4241', NULL, NULL, 22671, 8),
(33780, NULL, 'PF12342', NULL, NULL, 'Protein of unknown function (DUF3640)', NULL, 'DUF3640', NULL, NULL, 20966, 8),
(33781, NULL, 'PF16671', NULL, NULL, 'Actin cross-linking domain', NULL, 'ACD', NULL, NULL, 28334, 8),
(33782, NULL, 'PF08440', NULL, NULL, 'Potyviridae polyprotein', NULL, 'Poty_PP', NULL, NULL, 12059, 8),
(33783, NULL, 'PF07896', NULL, NULL, 'Protein of unknown function (DUF1674)', NULL, 'DUF1674', NULL, NULL, 12610, 8),
(33784, NULL, 'PF14460', NULL, NULL, 'Prokaryotic E2 family D', NULL, 'Prok-E2_D', NULL, NULL, 22134, 8),
(33785, NULL, 'PF17117', NULL, NULL, 'Domain of unknown function (DUF5104)', NULL, 'DUF5104', NULL, NULL, 27845, 8),
(33786, NULL, 'PF00237', NULL, NULL, 'Ribosomal protein L22p/L17e', NULL, 'Ribosomal_L22', NULL, NULL, 2042, 8),
(33787, NULL, 'PF02308', NULL, NULL, 'MgtC family', NULL, 'MgtC', NULL, NULL, 4593, 8),
(33788, NULL, 'PF09933', NULL, NULL, 'Predicted small integral membrane protein (DUF2165)', NULL, 'DUF2165', NULL, NULL, 17415, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33789, NULL, 'PF11302', NULL, NULL, 'Protein of unknown function (DUF3104)', NULL, 'DUF3104', NULL, NULL, 18437, 8),
(33790, NULL, 'PF07756', NULL, NULL, 'Protein of unknown function (DUF1612)', NULL, 'DUF1612', NULL, NULL, 10977, 8),
(33791, NULL, 'PF18620', NULL, NULL, 'Family of unknown function (DUF5627)', NULL, 'DUF5627', NULL, NULL, 30506, 8),
(33792, NULL, 'PF07820', NULL, NULL, 'TraC-like protein', NULL, 'TraC', NULL, NULL, 8172, 8),
(33793, NULL, 'PF09090', NULL, NULL, 'MIF4G like', NULL, 'MIF4G_like_2', NULL, NULL, 10846, 8),
(33794, NULL, 'PF13675', NULL, NULL, 'Type IV pili methyl-accepting chemotaxis transducer N-term', NULL, 'PilJ', NULL, NULL, 25571, 8),
(33795, NULL, 'PF18395', NULL, NULL, 'Cas3 C-terminal domain', NULL, 'Cas3_C', NULL, NULL, 31784, 8),
(33796, NULL, 'PF13992', NULL, NULL, 'YecR-like lipoprotein', NULL, 'YecR', NULL, NULL, 23658, 8),
(33797, NULL, 'PF16598', NULL, NULL, 'Linker region of enhancer of mRNA-decapping protein 3', NULL, 'Edc3_linker', NULL, NULL, NULL, 8),
(33798, NULL, 'PF08101', NULL, NULL, 'Domain of unknown function (DUF1708)', NULL, 'DUF1708', NULL, NULL, 12244, 8),
(33799, NULL, 'PF19076', NULL, NULL, 'Surface adhesin CshA repetitive domain', NULL, 'CshA_repeat', NULL, NULL, 21744, 8),
(33800, NULL, 'PF02374', NULL, NULL, 'Anion-transporting ATPase', NULL, 'ArsA_ATPase', NULL, NULL, 24319, 8),
(33801, NULL, 'PF17382', NULL, NULL, 'Uncharacterized Ycf70-like', NULL, 'Ycf70', NULL, NULL, 31799, 8),
(33802, NULL, 'PF00550', NULL, NULL, 'Phosphopantetheine attachment site', NULL, 'PP-binding', NULL, NULL, 6163, 8),
(33803, NULL, 'PF03137', NULL, NULL, 'Organic Anion Transporter Polypeptide (OATP) family', NULL, 'OATP', NULL, NULL, 2969, 8),
(33804, NULL, 'PF03441', NULL, NULL, 'FAD binding domain of DNA photolyase', NULL, 'FAD_binding_7', NULL, NULL, 10970, 8),
(33805, NULL, 'PF18397', NULL, NULL, 'IQBAL scaffold dimerization domain', NULL, 'IKBKB_SDD', NULL, NULL, 31260, 8),
(33806, NULL, 'PF03400', NULL, NULL, 'IS1 transposase', NULL, 'DDE_Tnp_IS1', NULL, NULL, 2423, 8),
(33807, NULL, 'PF16940', NULL, NULL, 'Chloroplast envelope transporter', NULL, 'Tic110', NULL, NULL, 27245, 8),
(33808, NULL, 'PF19221', NULL, NULL, 'MELT motif', NULL, 'MELT', NULL, NULL, 37590, 8),
(33809, NULL, 'PF11607', NULL, NULL, 'Protein of unknown function (DUF3247)', NULL, 'DUF3247', NULL, NULL, 19183, 8),
(33810, NULL, 'PF13785', NULL, NULL, 'Domain of unknown function (DUF4178)', NULL, 'DUF4178', NULL, NULL, 23930, 8),
(33811, NULL, 'PF14045', NULL, NULL, 'YIEGIA protein', NULL, 'YIEGIA', NULL, NULL, 24312, 8),
(33812, NULL, 'PF03779', NULL, NULL, 'SPW repeat', NULL, 'SPW', NULL, NULL, 1514, 8),
(33813, NULL, 'PF17370', NULL, NULL, 'Family of unknown function (DUF5392)', NULL, 'DUF5392', NULL, NULL, 18069, 8),
(33814, NULL, 'PF01497', NULL, NULL, 'Periplasmic binding protein', NULL, 'Peripla_BP_2', NULL, NULL, 645, 8),
(33815, NULL, 'PF14383', NULL, NULL, 'DUF761-associated sequence motif', NULL, 'VARLMGL', NULL, NULL, 22216, 8),
(33816, NULL, 'PF19324', NULL, NULL, 'LETM1 domain-containing protein LETM2 N-terminus', NULL, 'LETM2_N', NULL, NULL, 36618, 8),
(33817, NULL, 'PF01935', NULL, NULL, 'Helicase HerA, central domain', NULL, 'DUF87', NULL, NULL, 4736, 8),
(33818, NULL, 'PF10095', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2333)', NULL, 'DUF2333', NULL, NULL, 18416, 8),
(33819, NULL, 'PF05761', NULL, NULL, '5'' nucleotidase family', NULL, '5_nucleotid', NULL, NULL, 7632, 8),
(33820, NULL, 'PF13519', NULL, NULL, 'von Willebrand factor type A domain', NULL, 'VWA_2', NULL, NULL, 2293, 8),
(33821, NULL, 'PF07526', NULL, NULL, 'Associated with HOX', NULL, 'POX', NULL, NULL, 379, 8),
(33822, NULL, 'PF04195', NULL, NULL, 'Putative gypsy type transposon', NULL, 'Transposase_28', NULL, NULL, NULL, 8),
(33823, NULL, 'PF04792', NULL, NULL, 'V antigen (LcrV) protein', NULL, 'LcrV', NULL, NULL, 7248, 8),
(33824, NULL, 'PF05159', NULL, NULL, 'Capsule polysaccharide biosynthesis protein', NULL, 'Capsule_synth', NULL, NULL, 2168, 8),
(33825, NULL, 'PF05334', NULL, NULL, 'Protein of unknown function (DUF719)', NULL, 'DUF719', NULL, NULL, 4170, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33826, NULL, 'PF16063', NULL, NULL, 'Domain of unknown function (DUF4805)', NULL, 'DUF4805', NULL, NULL, 24597, 8),
(33827, NULL, 'PF08035', NULL, NULL, 'Opioids neuropeptide', NULL, 'Op_neuropeptide', NULL, NULL, 13194, 8),
(33828, NULL, 'PF19061', NULL, NULL, 'Family of unknown function (DUF5757)', NULL, 'DUF5757', NULL, NULL, 37505, 8),
(33829, NULL, 'PF05294', NULL, NULL, 'Scorpion short toxin', NULL, 'Toxin_5', NULL, NULL, 4075, 8),
(33830, NULL, 'PF13936', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_38', NULL, NULL, 23548, 8),
(33831, NULL, 'PF04718', NULL, NULL, 'Mitochondrial ATP synthase g subunit', NULL, 'ATP-synt_G', NULL, NULL, 3514, 8),
(33832, NULL, 'PF00797', NULL, NULL, 'N-acetyltransferase', NULL, 'Acetyltransf_2', NULL, NULL, 3151, 8),
(33833, NULL, 'PF06667', NULL, NULL, 'Phage shock protein B', NULL, 'PspB', NULL, NULL, 10305, 8),
(33834, NULL, 'PF06450', NULL, NULL, 'Bacterial Na+/H+ antiporter B (NhaB)', NULL, 'NhaB', NULL, NULL, 2652, 8),
(33835, NULL, 'PF03253', NULL, NULL, 'Urea transporter', NULL, 'UT', NULL, NULL, 1846, 8),
(33836, NULL, 'PF10528', NULL, NULL, 'GLEYA domain', NULL, 'GLEYA', NULL, NULL, 21379, 8),
(33837, NULL, 'PF02219', NULL, NULL, 'Methylenetetrahydrofolate reductase', NULL, 'MTHFR', NULL, NULL, 1695, 8),
(33838, NULL, 'PF16210', NULL, NULL, 'Keratin type II cytoskeletal 1 tail', NULL, 'Keratin_2_tail', NULL, NULL, 25014, 8),
(33839, NULL, 'PF01049', NULL, NULL, 'Cadherin cytoplasmic region', NULL, 'Cadherin_C', NULL, NULL, 775, 8),
(33840, NULL, 'PF15231', NULL, NULL, 'Variable charge X/Y family', NULL, 'VCX_VCY', NULL, NULL, 26363, 8),
(33841, NULL, 'PF17661', NULL, NULL, 'Family of unknown function (DUF5523)', NULL, 'DUF5523', NULL, NULL, 32948, 8),
(33842, NULL, 'PF06269', NULL, NULL, 'Protein of unknown function (DUF1029)', NULL, 'DUF1029', NULL, NULL, 14753, 8),
(33843, NULL, 'PF10564', NULL, NULL, 'Sialic-acid binding micronemal adhesive repeat', NULL, 'MAR_sialic_bdg', NULL, NULL, 19788, 8),
(33844, NULL, 'PF11185', NULL, NULL, 'Protein of unknown function (DUF2971)', NULL, 'DUF2971', NULL, NULL, 18412, 8),
(33845, NULL, 'PF04579', NULL, NULL, 'Keratin, high-sulphur matrix protein', NULL, 'Keratin_matx', NULL, NULL, 155, 8),
(33846, NULL, 'PF07792', NULL, NULL, 'Docking domain of Afi1 for Arf3 in vesicle trafficking', NULL, 'Afi1', NULL, NULL, 12660, 8),
(33847, NULL, 'PF07131', NULL, NULL, 'Protein of unknown function (DUF1382)', NULL, 'DUF1382', NULL, NULL, 13521, 8),
(33848, NULL, 'PF16096', NULL, NULL, 'Fragile X-related 1 protein C-terminal region 2', NULL, 'FXR_C1', NULL, NULL, 24679, 8),
(33849, NULL, 'PF05056', NULL, NULL, 'Protein of unknown function (DUF674)', NULL, 'DUF674', NULL, NULL, 1269, 8),
(33850, NULL, 'PF04673', NULL, NULL, 'Polyketide synthesis cyclase', NULL, 'Cyclase_polyket', NULL, NULL, 3367, 8),
(33851, NULL, 'PF04864', NULL, NULL, 'Allinase', NULL, 'Alliinase_C', NULL, NULL, 5950, 8),
(33852, NULL, 'PF08358', NULL, NULL, 'Carlavirus coat', NULL, 'Flexi_CP_N', NULL, NULL, 13128, 8),
(33853, NULL, 'PF04031', NULL, NULL, 'Las1-like', NULL, 'Las1', NULL, NULL, 594, 8),
(33854, NULL, 'PF05234', NULL, NULL, 'UAF complex subunit Rrn10', NULL, 'UAF_Rrn10', NULL, NULL, 17106, 8),
(33855, NULL, 'PF07751', NULL, NULL, 'Abi-like protein', NULL, 'Abi_2', NULL, NULL, 10831, 8),
(33856, NULL, 'PF07817', NULL, NULL, 'GLE1-like protein', NULL, 'GLE1', NULL, NULL, 14851, 8),
(33857, NULL, 'PF03968', NULL, NULL, 'LptA/(LptD N-terminal domain) LPS transport protein', NULL, 'LptD_N', NULL, NULL, 2531, 8),
(33858, NULL, 'PF07295', NULL, NULL, 'Zinc-ribbon containing domain', NULL, 'DUF1451', NULL, NULL, 14717, 8),
(33859, NULL, 'PF18617', NULL, NULL, 'Nucleoporin Nup214 phenylalanine-glycine (FG) domain', NULL, 'Nup214_FG', NULL, NULL, 32763, 8),
(33860, NULL, 'PF12987', NULL, NULL, 'Domain of unknown function, B. Theta Gene description (DUF3871)', NULL, 'DUF3871', NULL, NULL, 24249, 8),
(33861, NULL, 'PF10981', NULL, NULL, 'Protein of unknown function (DUF2788)', NULL, 'DUF2788', NULL, NULL, 17925, 8),
(33862, NULL, 'PF18306', NULL, NULL, 'SLOG cluster4 family', NULL, 'LDcluster4', NULL, NULL, 31106, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33863, NULL, 'PF00306', NULL, NULL, 'ATP synthase alpha/beta chain, C terminal domain', NULL, 'ATP-synt_ab_C', NULL, NULL, 4963, 8),
(33864, NULL, 'PF17939', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_30', NULL, NULL, 32805, 8),
(33865, NULL, 'PF05896', NULL, NULL, 'Na(+)-translocating NADH-quinone reductase subunit A (NQRA)', NULL, 'NQRA', NULL, NULL, 13443, 8),
(33866, NULL, 'PF13302', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_3', NULL, NULL, 1672, 8),
(33867, NULL, 'PF05369', NULL, NULL, 'Monomethylamine methyltransferase MtmB', NULL, 'MtmB', NULL, NULL, 5397, 8),
(33868, NULL, 'PF09051', NULL, NULL, 'Stannin cytoplasmic', NULL, 'SNN_cytoplasm', NULL, NULL, 9993, 8),
(33869, NULL, 'PF18984', NULL, NULL, 'Family of unknown function (DUF5717)N-terminal', NULL, 'DUF5717_N', NULL, NULL, 38094, 8),
(33870, NULL, 'PF13128', NULL, NULL, 'Protein of unknown function (DUF3954)', NULL, 'DUF3954', NULL, NULL, 27044, 8),
(33871, NULL, 'PF05147', NULL, NULL, 'Lanthionine synthetase C-like protein', NULL, 'LANC_like', NULL, NULL, 2409, 8),
(33872, NULL, 'PF05308', NULL, NULL, 'Mitochondrial fission regulator', NULL, 'Mito_fiss_reg', NULL, NULL, 4210, 8),
(33873, NULL, 'PF19584', NULL, NULL, 'MCAfunc domain', NULL, 'MCAfunc', NULL, NULL, 36811, 8),
(33874, NULL, 'PF15810', NULL, NULL, 'Coiled-coil domain-containing protein 117', NULL, 'CCDC117', NULL, NULL, 27258, 8),
(33875, NULL, 'PF16215', NULL, NULL, 'Protein of unknown function (DUF4876)', NULL, 'DUF4876', NULL, NULL, 28276, 8),
(33876, NULL, 'PF07712', NULL, NULL, 'Stress up-regulated Nod 19', NULL, 'SURNod19', NULL, NULL, 10962, 8),
(33877, NULL, 'PF05375', NULL, NULL, 'Pacifastin inhibitor (LCMII)', NULL, 'Pacifastin_I', NULL, NULL, 5186, 8),
(33878, NULL, 'PF00659', NULL, NULL, 'POLO box duplicated region', NULL, 'POLO_box', NULL, NULL, 4211, 8),
(33879, NULL, 'PF12735', NULL, NULL, 'TRAPP trafficking subunit Trs65', NULL, 'Trs65', NULL, NULL, 5202, 8),
(33880, NULL, 'PF01509', NULL, NULL, 'TruB family pseudouridylate synthase (N terminal domain)', NULL, 'TruB_N', NULL, NULL, 992, 8),
(33881, NULL, 'PF16177', NULL, NULL, 'Acetyl-coenzyme A synthetase N-terminus', NULL, 'ACAS_N', NULL, NULL, 24233, 8),
(33882, NULL, 'PF03543', NULL, NULL, 'Yersinia/Haemophilus virulence surface antigen', NULL, 'Peptidase_C58', NULL, NULL, 6039, 8),
(33883, NULL, 'PF10817', NULL, NULL, 'Protein of unknown function (DUF2563)', NULL, 'DUF2563', NULL, NULL, 16518, 8),
(33884, NULL, 'PF05988', NULL, NULL, 'Bacterial protein of unknown function (DUF899)', NULL, 'DUF899', NULL, NULL, 7970, 8),
(33885, NULL, 'PF02870', NULL, NULL, '6-O-methylguanine DNA methyltransferase, ribonuclease-like domain', NULL, 'Methyltransf_1N', NULL, NULL, 12213, 8),
(33886, NULL, 'PF05164', NULL, NULL, 'Cell division protein ZapA', NULL, 'ZapA', NULL, NULL, 2483, 8),
(33887, NULL, 'PF12436', NULL, NULL, 'ICP0-binding domain of Ubiquitin-specific protease 7', NULL, 'USP7_ICP0_bdg', NULL, NULL, 625, 8),
(33888, NULL, 'PF04163', NULL, NULL, 'Tht1-like nuclear fusion protein', NULL, 'Tht1', NULL, NULL, 7331, 8),
(33889, NULL, 'PF07425', NULL, NULL, 'Pardaxin', NULL, 'Pardaxin', NULL, NULL, 9258, 8),
(33890, NULL, 'PF02426', NULL, NULL, 'Muconolactone delta-isomerase', NULL, 'MIase', NULL, NULL, 28563, 8),
(33891, NULL, 'PF10015', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2258)', NULL, 'DUF2258', NULL, NULL, 20930, 8),
(33892, NULL, 'PF17566', NULL, NULL, 'Family of unknown function (DUF5472)', NULL, 'DUF5472', NULL, NULL, 33572, 8),
(33893, NULL, 'PF10315', NULL, NULL, 'Altered inheritance of mitochondria protein 19', NULL, 'Aim19', NULL, NULL, 16671, 8),
(33894, NULL, 'PF13546', NULL, NULL, 'DDE superfamily endonuclease', NULL, 'DDE_5', NULL, NULL, 35473, 8),
(33895, NULL, 'PF14853', NULL, NULL, 'Fis1 C-terminal tetratricopeptide repeat', NULL, 'Fis1_TPR_C', NULL, NULL, 27771, 8),
(33896, NULL, 'PF13062', NULL, NULL, 'Protein of unknown function (DUF3924)', NULL, 'DUF3924', NULL, NULL, 23767, 8),
(33897, NULL, 'PF14223', NULL, NULL, 'gag-polypeptide of LTR copia-type', NULL, 'Retrotran_gag_2', NULL, NULL, NULL, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33898, NULL, 'PF15253', NULL, NULL, 'SCL-interrupting locus protein N-terminus', NULL, 'STIL_N', NULL, NULL, 27544, 8),
(33899, NULL, 'PF13742', NULL, NULL, 'OB-fold nucleic acid binding domain', NULL, 'tRNA_anti_2', NULL, NULL, 25061, 8),
(33900, NULL, 'PF19581', NULL, NULL, 'Glyoxalase superfamily protein', NULL, 'Glyoxalase_7', NULL, NULL, 576, 8),
(33901, NULL, 'PF08365', NULL, NULL, 'Insulin-like growth factor II E-peptide', NULL, 'IGF2_C', NULL, NULL, 12251, 8),
(33902, NULL, 'PF07185', NULL, NULL, 'Protein of unknown function (DUF1404)', NULL, 'DUF1404', NULL, NULL, 13739, 8),
(33903, NULL, 'PF01555', NULL, NULL, 'DNA methylase', NULL, 'N6_N4_Mtase', NULL, NULL, 6630, 8),
(33904, NULL, 'PF15119', NULL, NULL, 'Apolipoprotein C4', NULL, 'APOC4', NULL, NULL, 27437, 8),
(33905, NULL, 'PF15977', NULL, NULL, 'Winged helix-turn-helix DNA binding', NULL, 'HTH_46', NULL, NULL, 33290, 8),
(33906, NULL, 'PF18873', NULL, NULL, 'Sgo0707 N-terminal domain', NULL, 'Sgo0707_N1', NULL, NULL, 37449, 8),
(33907, NULL, 'PF07741', NULL, NULL, 'Brf1-like TBP-binding domain', NULL, 'BRF1', NULL, NULL, 10784, 8),
(33908, NULL, 'PF14845', NULL, NULL, 'beta-acetyl hexosaminidase like', NULL, 'Glycohydro_20b2', NULL, NULL, 24001, 8),
(33909, NULL, 'PF05544', NULL, NULL, 'Proline racemase', NULL, 'Pro_racemase', NULL, NULL, 14135, 8),
(33910, NULL, 'PF05466', NULL, NULL, 'Brain acid soluble protein 1 (BASP1 protein)', NULL, 'BASP1', NULL, NULL, 8743, 8),
(33911, NULL, 'PF18569', NULL, NULL, 'Thioredoxin-like domain', NULL, 'Thioredoxin_16', NULL, NULL, 32339, 8),
(33912, NULL, 'PF18815', NULL, NULL, 'Bacterial antifreeze protein repeat', NULL, 'AFP_2', NULL, NULL, NULL, 8),
(33913, NULL, 'PF15429', NULL, NULL, 'Domain of unknown function (DUF4628)', NULL, 'DUF4628', NULL, NULL, 27716, 8),
(33914, NULL, 'PF19200', NULL, NULL, 'DUF871 N-terminal domain', NULL, 'DUF871_N', NULL, NULL, 40021, 8),
(33915, NULL, 'PF03151', NULL, NULL, 'Triose-phosphate Transporter family', NULL, 'TPT', NULL, NULL, 7127, 8),
(33916, NULL, 'PF04414', NULL, NULL, 'D-aminoacyl-tRNA deacylase', NULL, 'tRNA_deacylase', NULL, NULL, 10618, 8),
(33917, NULL, 'PF15303', NULL, NULL, 'E3 ubiquitin-protein ligase Arkadia N-terminus', NULL, 'RNF111_N', NULL, NULL, 25895, 8),
(33918, NULL, 'PF19843', NULL, NULL, 'Family of unknown function (DUF6318)', NULL, 'DUF6318', NULL, NULL, 39885, 8),
(33919, NULL, 'PF02685', NULL, NULL, 'Glucokinase', NULL, 'Glucokinase', NULL, NULL, 3252, 8),
(33920, NULL, 'PF05050', NULL, NULL, 'Methyltransferase FkbM domain', NULL, 'Methyltransf_21', NULL, NULL, 4856, 8),
(33921, NULL, 'PF15745', NULL, NULL, 'AP-1 complex-associated regulatory protein', NULL, 'AP1AR', NULL, NULL, 23976, 8),
(33922, NULL, 'PF18539', NULL, NULL, 'Domain of unknown function (DUF5625)', NULL, 'DUF5625', NULL, NULL, 31619, 8),
(33923, NULL, 'PF04423', NULL, NULL, 'Rad50 zinc hook motif', NULL, 'Rad50_zn_hook', NULL, NULL, 7923, 8),
(33924, NULL, 'PF09667', NULL, NULL, 'Domain of unknown function (DUF2028)', NULL, 'DUF2028', NULL, NULL, 17657, 8),
(33925, NULL, 'PF11399', NULL, NULL, 'Protein of unknown function (DUF3192)', NULL, 'DUF3192', NULL, NULL, 18649, 8),
(33926, NULL, 'PF13537', NULL, NULL, 'Glutamine amidotransferase domain', NULL, 'GATase_7', NULL, NULL, 18749, 8),
(33927, NULL, 'PF05405', NULL, NULL, 'Mitochondrial ATP synthase B chain precursor (ATP-synt_B)', NULL, 'Mt_ATP-synt_B', NULL, NULL, 13239, 8),
(33928, NULL, 'PF14206', NULL, NULL, 'Cysteine-rich CPCC', NULL, 'Cys_rich_CPCC', NULL, NULL, 25829, 8),
(33929, NULL, 'PF17285', NULL, NULL, 'PRMT5 TIM barrel domain', NULL, 'PRMT5_TIM', NULL, NULL, 30475, 8),
(33930, NULL, 'PF07104', NULL, NULL, 'Protein of unknown function (DUF1366)', NULL, 'DUF1366', NULL, NULL, 13851, 8),
(33931, NULL, 'PF11216', NULL, NULL, 'Protein of unknown function (DUF3012)', NULL, 'DUF3012', NULL, NULL, 18377, 8),
(33932, NULL, 'PF00079', NULL, NULL, 'Serpin (serine protease inhibitor)', NULL, 'Serpin', NULL, NULL, 16937, 8),
(33933, NULL, 'PF16761', NULL, NULL, 'Transcription-silencing protein, cryptic loci regulator Clr2', NULL, 'Clr2_transil', NULL, NULL, 23279, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33934, NULL, 'PF19126', NULL, NULL, 'Family of unknown function (DUF5810)', NULL, 'DUF5810', NULL, NULL, 38418, 8),
(33935, NULL, 'PF14075', NULL, NULL, 'Ubinuclein conserved middle domain', NULL, 'UBN_AB', NULL, NULL, 28941, 8),
(33936, NULL, 'PF19695', NULL, NULL, 'Family of unknown function (DUF6195)', NULL, 'DUF6195', NULL, NULL, 38991, 8),
(33937, NULL, 'PF16719', NULL, NULL, 'SAWADEE domain', NULL, 'SAWADEE', NULL, NULL, 23615, 8),
(33938, NULL, 'PF06066', NULL, NULL, 'SepZ', NULL, 'SepZ', NULL, NULL, 13565, 8),
(33939, NULL, 'PF01967', NULL, NULL, 'MoaC family', NULL, 'MoaC', NULL, NULL, 4811, 8),
(33940, NULL, 'PF06688', NULL, NULL, 'Protein of unknown function (DUF1187)', NULL, 'DUF1187', NULL, NULL, 722, 8),
(33941, NULL, 'PF09149', NULL, NULL, 'Domain of unknown function (DUF1935)', NULL, 'DUF1935', NULL, NULL, 10739, 8),
(33942, NULL, 'PF11632', NULL, NULL, 'Lactococcin G-beta', NULL, 'LcnG-beta', NULL, NULL, 15230, 8),
(33943, NULL, 'PF17638', NULL, NULL, 'HCMV UL42', NULL, 'UL42', NULL, NULL, 31819, 8),
(33944, NULL, 'PF13817', NULL, NULL, 'IS66 C-terminal element', NULL, 'DDE_Tnp_IS66_C', NULL, NULL, 35799, 8),
(33945, NULL, 'PF12911', NULL, NULL, 'N-terminal TM domain of oligopeptide transport permease C', NULL, 'OppC_N', NULL, NULL, 25228, 8),
(33946, NULL, 'PF00873', NULL, NULL, 'AcrB/AcrD/AcrF family', NULL, 'ACR_tran', NULL, NULL, 2607, 8),
(33947, NULL, 'PF02322', NULL, NULL, 'Cytochrome bd terminal oxidase subunit II', NULL, 'Cyt_bd_oxida_II', NULL, NULL, 4388, 8),
(33948, NULL, 'PF06144', NULL, NULL, 'DNA polymerase III, delta subunit', NULL, 'DNA_pol3_delta', NULL, NULL, 9197, 8),
(33949, NULL, 'PF06724', NULL, NULL, 'Domain of Unknown Function (DUF1206)', NULL, 'DUF1206', NULL, NULL, 1885, 8),
(33950, NULL, 'PF18148', NULL, NULL, 'Regulator of G-protein signalling DHEX domain', NULL, 'RGS_DHEX', NULL, NULL, 30923, 8),
(33951, NULL, 'PF12006', NULL, NULL, 'Protein of unknown function (DUF3500)', NULL, 'DUF3500', NULL, NULL, 20021, 8),
(33952, NULL, 'PF12808', NULL, NULL, 'Micro-tubular organiser Mto1 C-term Mto2-binding region', NULL, 'Mto2_bdg', NULL, NULL, 28264, 8),
(33953, NULL, 'PF16713', NULL, NULL, 'Enriched in aromatic and glycine Residues box', NULL, 'EAGR_box', NULL, NULL, 16024, 8),
(33954, NULL, 'PF06468', NULL, NULL, 'Spondin_N', NULL, 'Spond_N', NULL, NULL, 9212, 8),
(33955, NULL, 'PF13330', NULL, NULL, 'Mucin-2 protein WxxW repeating region', NULL, 'Mucin2_WxxW', NULL, NULL, 27943, 8),
(33956, NULL, 'PF07223', NULL, NULL, 'UBA-like domain (DUF1421)', NULL, 'DUF1421', NULL, NULL, 11236, 8),
(33957, NULL, 'PF10148', NULL, NULL, 'Schwannomin-interacting protein 1', NULL, 'SCHIP-1', NULL, NULL, 18114, 8),
(33958, NULL, 'PF15881', NULL, NULL, 'Domain of unknown function (DUF4734)', NULL, 'DUF4734', NULL, NULL, 27139, 8),
(33959, NULL, 'PF00633', NULL, NULL, 'Helix-hairpin-helix motif', NULL, 'HHH', NULL, NULL, 6529, 8),
(33960, NULL, 'PF14694', NULL, NULL, 'Lines N-terminus', NULL, 'LINES_N', NULL, NULL, 22624, 8),
(33961, NULL, 'PF04286', NULL, NULL, 'Protein of unknown function (DUF445)', NULL, 'DUF445', NULL, NULL, 5594, 8),
(33962, NULL, 'PF15406', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_6', NULL, NULL, 35883, 8),
(33963, NULL, 'PF18092', NULL, NULL, 'DraK Histidine Kinase N-terminal domain', NULL, 'DraK_HK_N', NULL, NULL, 30507, 8),
(33964, NULL, 'PF09699', NULL, NULL, 'Doubled CXXCH motif (Paired_CXXCH_1)', NULL, 'Paired_CXXCH_1', NULL, NULL, 4493, 8),
(33965, NULL, 'PF08939', NULL, NULL, 'Domain of unknown function (DUF1917)', NULL, 'DUF1917', NULL, NULL, 7713, 8),
(33966, NULL, 'PF11118', NULL, NULL, 'Protein of unknown function (DUF2627)', NULL, 'DUF2627', NULL, NULL, 18798, 8),
(33967, NULL, 'PF16992', NULL, NULL, 'DNA-directed RNA polymerase, subunit G', NULL, 'RNA_pol_RpbG', NULL, NULL, 25451, 8),
(33968, NULL, 'PF19055', NULL, NULL, 'ABC-2 type transporter', NULL, 'ABC2_membrane_7', NULL, NULL, 37589, 8),
(33969, NULL, 'PF05309', NULL, NULL, 'TraE protein', NULL, 'TraE', NULL, NULL, 4185, 8),
(33970, NULL, 'PF11246', NULL, NULL, 'Base plate wedge protein 53', NULL, 'Phage_gp53', NULL, NULL, 14614, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(33971, NULL, 'PF19579', NULL, NULL, 'Bacteriodetes cell division protein (FtsL-like)', NULL, 'FtsL_2', NULL, NULL, 38998, 8),
(33972, NULL, 'PF07207', NULL, NULL, 'Light regulated protein Lir1', NULL, 'Lir1', NULL, NULL, 14058, 8),
(33973, NULL, 'PF03703', NULL, NULL, 'Bacterial PH domain', NULL, 'bPH_2', NULL, NULL, 5178, 8),
(33974, NULL, 'PF07924', NULL, NULL, 'Nuclease A inhibitor-like protein', NULL, 'NuiA', NULL, NULL, 12858, 8),
(33975, NULL, 'PF12635', NULL, NULL, 'Protein of unknown function (DUF3780)', NULL, 'DUF3780', NULL, NULL, 20663, 8),
(33976, NULL, 'PF10290', NULL, NULL, 'Glycine-rich protein domain (DUF2403)', NULL, 'DUF2403', NULL, NULL, 19270, 8),
(33977, NULL, 'PF11476', NULL, NULL, 'Toxoplasma gondii micronemal protein 1 TgMIC1', NULL, 'TgMIC1', NULL, NULL, 10374, 8),
(33978, NULL, 'PF04183', NULL, NULL, 'IucA / IucC family', NULL, 'IucA_IucC', NULL, NULL, 4680, 8),
(33979, NULL, 'PF04815', NULL, NULL, 'Sec23/Sec24 helical domain', NULL, 'Sec23_helical', NULL, NULL, 4521, 8),
(33980, NULL, 'PF11106', NULL, NULL, 'Exopolysaccharide production protein YjbE', NULL, 'YjbE', NULL, NULL, 27202, 8),
(33981, NULL, 'PF14816', NULL, NULL, 'Coiled-coil and Nse Interacting (CANIN) domain', NULL, 'CANIN', NULL, NULL, 38473, 8),
(33982, NULL, 'PF00161', NULL, NULL, 'Ribosome inactivating protein', NULL, 'RIP', NULL, NULL, 3217, 8),
(33983, NULL, 'PF12595', NULL, NULL, 'Rhomboid serine protease', NULL, 'Rhomboid_SP', NULL, NULL, 21267, 8),
(33984, NULL, 'PF18616', NULL, NULL, 'CDI immunity proteins', NULL, 'CdiI_3', NULL, NULL, 29379, 8),
(33985, NULL, 'PF01158', NULL, NULL, 'Ribosomal protein L36e', NULL, 'Ribosomal_L36e', NULL, NULL, 5765, 8),
(33986, NULL, 'PF03658', NULL, NULL, 'RnfH family Ubiquitin', NULL, 'Ub-RnfH', NULL, NULL, 6073, 8),
(33987, NULL, 'PF13332', NULL, NULL, 'Hemagglutinin repeat', NULL, 'Fil_haemagg_2', NULL, NULL, 27773, 8),
(33988, NULL, 'PF18515', NULL, NULL, 'Rh5 coiled-coil domain', NULL, 'Rh5', NULL, NULL, 32965, 8),
(33989, NULL, 'PF07220', NULL, NULL, 'Protein of unknown function (DUF1420)', NULL, 'DUF1420', NULL, NULL, 11283, 8),
(33990, NULL, 'PF10432', NULL, NULL, 'Bacterial phospho-glucose isomerase C-terminal SIS domain', NULL, 'bact-PGI_C', NULL, NULL, 18890, 8),
(33991, NULL, 'PF02008', NULL, NULL, 'CXXC zinc finger domain', NULL, 'zf-CXXC', NULL, NULL, 5981, 8),
(33992, NULL, 'PF00178', NULL, NULL, 'Ets-domain', NULL, 'Ets', NULL, NULL, 6998, 8),
(33993, NULL, 'PF06838', NULL, NULL, 'Methionine gamma-lyase', NULL, 'Met_gamma_lyase', NULL, NULL, 11169, 8),
(33994, NULL, 'PF04662', NULL, NULL, 'Luteovirus P0 protein', NULL, 'Luteo_PO', NULL, NULL, 3437, 8),
(33995, NULL, 'PF00241', NULL, NULL, 'Cofilin/tropomyosin-type actin-binding protein', NULL, 'Cofilin_ADF', NULL, NULL, 5392, 8),
(33996, NULL, 'PF04397', NULL, NULL, 'LytTr DNA-binding domain', NULL, 'LytTR', NULL, NULL, 10170, 8),
(33997, NULL, 'PF09544', NULL, NULL, 'Protein of unknown function (DUF2381)', NULL, 'DUF2381', NULL, NULL, 11618, 8),
(33998, NULL, 'PF10250', NULL, NULL, 'GDP-fucose protein O-fucosyltransferase', NULL, 'O-FucT', NULL, NULL, 15629, 8),
(33999, NULL, 'PF14480', NULL, NULL, 'DNA polymerase III polC-type N-terminus I', NULL, 'DNA_pol3_a_NI', NULL, NULL, 28317, 8),
(34000, NULL, 'PF05931', NULL, NULL, 'Staphylococcal AgrD protein', NULL, 'AgrD', NULL, NULL, 12772, 8),
(34001, NULL, 'PF15659', NULL, NULL, 'JAB-like toxin  1', NULL, 'Toxin-JAB1', NULL, NULL, 24157, 8),
(34002, NULL, 'PF05653', NULL, NULL, 'Magnesium transporter NIPA', NULL, 'Mg_trans_NIPA', NULL, NULL, 13167, 8),
(34003, NULL, 'PF10456', NULL, NULL, 'WASP-binding domain of Sorting nexin protein', NULL, 'BAR_3_WASP_bdg', NULL, NULL, 18638, 8),
(34004, NULL, 'PF19810', NULL, NULL, 'Family of unknown function (DUF6293)', NULL, 'DUF6293', NULL, NULL, 39775, 8),
(34005, NULL, 'PF01992', NULL, NULL, 'ATP synthase (C/AC39) subunit', NULL, 'vATP-synt_AC39', NULL, NULL, 5498, 8),
(34006, NULL, 'PF15599', NULL, NULL, 'Immunity protein 63', NULL, 'Imm63', NULL, NULL, 25546, 8),
(34007, NULL, 'PF06727', NULL, NULL, 'Protein of unknown function (DUF1207)', NULL, 'DUF1207', NULL, NULL, 1521, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34008, NULL, 'PF10217', NULL, NULL, 'Uncharacterized conserved protein (DUF2039)', NULL, 'DUF2039', NULL, NULL, 15967, 8),
(34009, NULL, 'PF06250', NULL, NULL, 'YhcG PDDEXK nuclease domain', NULL, 'YhcG_C', NULL, NULL, 14721, 8),
(34010, NULL, 'PF10254', NULL, NULL, 'PACS-1 cytosolic sorting protein', NULL, 'Pacs-1', NULL, NULL, 15852, 8),
(34011, NULL, 'PF00880', NULL, NULL, 'Nebulin repeat', NULL, 'Nebulin', NULL, NULL, 3326, 8),
(34012, NULL, 'PF13047', NULL, NULL, 'Protein of unknown function (DUF3907)', NULL, 'DUF3907', NULL, NULL, 23969, 8),
(34013, NULL, 'PF02537', NULL, NULL, 'CrcB-like protein, Camphor Resistance (CrcB)', NULL, 'CRCB', NULL, NULL, 1798, 8),
(34014, NULL, 'PF11480', NULL, NULL, 'Colicin-E5 Imm protein', NULL, 'ImmE5', NULL, NULL, 13759, 8),
(34015, NULL, 'PF01114', NULL, NULL, 'Colipase, N-terminal domain', NULL, 'Colipase', NULL, NULL, 18754, 8),
(34016, NULL, 'PF03810', NULL, NULL, 'Importin-beta N-terminal domain', NULL, 'IBN_N', NULL, NULL, 3194, 8),
(34017, NULL, 'PF09111', NULL, NULL, 'SLIDE', NULL, 'SLIDE', NULL, NULL, 10703, 8),
(34018, NULL, 'PF17332', NULL, NULL, 'Family of unknown function (DUF5592)', NULL, 'DUF5592', NULL, NULL, 19683, 8),
(34019, NULL, 'PF16424', NULL, NULL, 'Domain of unknown function (DUF5021)', NULL, 'DUF5021', NULL, NULL, 25957, 8),
(34020, NULL, 'PF10639', NULL, NULL, 'Putative transmembrane family 234', NULL, 'TMEM234', NULL, NULL, 21449, 8),
(34021, NULL, 'PF03047', NULL, NULL, 'COMC family', NULL, 'ComC', NULL, NULL, 4992, 8),
(34022, NULL, 'PF16685', NULL, NULL, 'zinc RING finger of MSL2', NULL, 'zf-RING_10', NULL, NULL, 27598, 8),
(34023, NULL, 'PF02522', NULL, NULL, 'Aminoglycoside 3-N-acetyltransferase', NULL, 'Antibiotic_NAT', NULL, NULL, 1260, 8),
(34024, NULL, 'PF05097', NULL, NULL, 'Protein of unknown function (DUF688)', NULL, 'DUF688', NULL, NULL, 2280, 8),
(34025, NULL, 'PF06344', NULL, NULL, 'Parechovirus Genome-linked protein', NULL, 'Parecho_VpG', NULL, NULL, 8292, 8),
(34026, NULL, 'PF14810', NULL, NULL, 'Patch-forming domain C2 of tRNA-guanine transglycosylase', NULL, 'TGT_C2', NULL, NULL, 26082, 8),
(34027, NULL, 'PF16390', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4999', NULL, NULL, 22754, 8),
(34028, NULL, 'PF04295', NULL, NULL, 'D-galactarate dehydratase / Altronate hydrolase, C terminus', NULL, 'GD_AH_C', NULL, NULL, 3544, 8),
(34029, NULL, 'PF00563', NULL, NULL, 'EAL domain', NULL, 'EAL', NULL, NULL, 5393, 8),
(34030, NULL, 'PF04145', NULL, NULL, 'Ctr copper transporter family', NULL, 'Ctr', NULL, NULL, 7085, 8),
(34031, NULL, 'PF11029', NULL, NULL, 'DAZ associated protein 2 (DAZAP2)', NULL, 'DAZAP2', NULL, NULL, 17256, 8),
(34032, NULL, 'PF17270', NULL, NULL, 'Family of unknown function (DUF5336)', NULL, 'DUF5336', NULL, NULL, 19080, 8),
(34033, NULL, 'PF17133', NULL, NULL, 'Domain of unknown function (DUF5108)', NULL, 'DUF5108', NULL, NULL, 32990, 8),
(34034, NULL, 'PF01307', NULL, NULL, 'Plant viral movement protein', NULL, 'Plant_vir_prot', NULL, NULL, 2202, 8),
(34035, NULL, 'PF05287', NULL, NULL, 'PMG protein', NULL, 'PMG', NULL, NULL, 4433, 8),
(34036, NULL, 'PF03006', NULL, NULL, 'Haemolysin-III related', NULL, 'HlyIII', NULL, NULL, 3843, 8),
(34037, NULL, 'PF03437', NULL, NULL, 'BtpA family', NULL, 'BtpA', NULL, NULL, 7495, 8),
(34038, NULL, 'PF09819', NULL, NULL, 'ABC-type cobalt transport system, permease component', NULL, 'ABC_cobalt', NULL, NULL, 21949, 8),
(34039, NULL, 'PF15136', NULL, NULL, 'Uncharacterised protein family UPF0449', NULL, 'UPF0449', NULL, NULL, 23047, 8),
(34040, NULL, 'PF19128', NULL, NULL, 'Family of unknown function (DUF5811)', NULL, 'DUF5811', NULL, NULL, 38295, 8),
(34041, NULL, 'PF15024', NULL, NULL, 'Glycosyltransferase family 18', NULL, 'Glyco_transf_18', NULL, NULL, 27891, 8),
(34042, NULL, 'PF00649', NULL, NULL, 'Copper fist DNA binding domain', NULL, 'Copper-fist', NULL, NULL, 2011, 8),
(34043, NULL, 'PF02028', NULL, NULL, 'BCCT, betaine/carnitine/choline family transporter', NULL, 'BCCT', NULL, NULL, 3567, 8),
(34044, NULL, 'PF09845', NULL, NULL, 'Zn-ribbon containing protein', NULL, 'DUF2072', NULL, NULL, 16524, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34045, NULL, 'PF17207', NULL, NULL, 'MCM OB domain', NULL, 'MCM_OB', NULL, NULL, 34250, 8),
(34046, NULL, 'PF03604', NULL, NULL, 'DNA directed RNA polymerase, 7 kDa subunit', NULL, 'DNA_RNApol_7kD', NULL, NULL, 1480, 8),
(34047, NULL, 'PF06733', NULL, NULL, 'DEAD_2', NULL, 'DEAD_2', NULL, NULL, 8219, 8),
(34048, NULL, 'PF17130', NULL, NULL, 'beta-barrel domain of carboxypeptidase M99', NULL, 'Peptidase_M99_m', NULL, NULL, 30322, 8),
(34049, NULL, 'PF18527', NULL, NULL, 'STT3/PglB C-terminal beta-barrel domain', NULL, 'STT3_PglB_C', NULL, NULL, 33261, 8),
(34050, NULL, 'PF01917', NULL, NULL, 'Archaebacterial flagellin', NULL, 'Arch_flagellin', NULL, NULL, 4969, 8),
(34051, NULL, 'PF07836', NULL, NULL, 'DmpG-like communication domain', NULL, 'DmpG_comm', NULL, NULL, 13594, 8),
(34052, NULL, 'PF12568', NULL, NULL, 'Acetyltransferase (GNAT) domain, PanZ', NULL, 'PanZ', NULL, NULL, 34382, 8),
(34053, NULL, 'PF00765', NULL, NULL, 'Autoinducer synthase', NULL, 'Autoind_synth', NULL, NULL, 3142, 8),
(34054, NULL, 'PF01443', NULL, NULL, 'Viral (Superfamily 1) RNA helicase', NULL, 'Viral_helicase1', NULL, NULL, 25374, 8),
(34055, NULL, 'PF02627', NULL, NULL, 'Carboxymuconolactone decarboxylase family', NULL, 'CMD', NULL, NULL, 6203, 8),
(34056, NULL, 'PF01428', NULL, NULL, 'AN1-like Zinc finger', NULL, 'zf-AN1', NULL, NULL, 3729, 8),
(34057, NULL, 'PF17159', NULL, NULL, 'Membrane-associated sensor domain', NULL, 'MASE3', NULL, NULL, 33539, 8),
(34058, NULL, 'PF02749', NULL, NULL, 'Quinolinate phosphoribosyl transferase, N-terminal domain', NULL, 'QRPTase_N', NULL, NULL, 21181, 8),
(34059, NULL, 'PF10975', NULL, NULL, 'Protein of unknown function (DUF2802)', NULL, 'DUF2802', NULL, NULL, 17691, 8),
(34060, NULL, 'PF02260', NULL, NULL, 'FATC domain', NULL, 'FATC', NULL, NULL, 1882, 8),
(34061, NULL, 'PF14547', NULL, NULL, 'Hydrophobic seed protein', NULL, 'Hydrophob_seed', NULL, NULL, 25938, 8),
(34062, NULL, 'PF06443', NULL, NULL, 'SEF14-like adhesin', NULL, 'SEF14_adhesin', NULL, NULL, 10611, 8),
(34063, NULL, 'PF12239', NULL, NULL, 'Protein of unknown function (DUF3605)', NULL, 'DUF3605', NULL, NULL, 20744, 8),
(34064, NULL, 'PF07668', NULL, NULL, 'M penetrans paralogue family 1', NULL, 'MpPF1', NULL, NULL, 10637, 8),
(34065, NULL, 'PF14652', NULL, NULL, 'Domain of unknown function (DUF4457)', NULL, 'DUF4457', NULL, NULL, 27894, 8),
(34066, NULL, 'PF05554', NULL, NULL, 'Viral hemorrhagic septicemia virus non-virion protein', NULL, 'Novirhabdo_Nv', NULL, NULL, 12009, 8),
(34067, NULL, 'PF17217', NULL, NULL, 'UPA domain', NULL, 'UPA', NULL, NULL, 30210, 8),
(34068, NULL, 'PF09228', NULL, NULL, 'Prokaryotic Transcriptional repressor TraM', NULL, 'Prok-TraM', NULL, NULL, 13954, 8),
(34069, NULL, 'PF13371', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_9', NULL, NULL, NULL, 8),
(34070, NULL, 'PF16591', NULL, NULL, 'Helical bimodular sensor domain', NULL, 'HBM', NULL, NULL, 25305, 8),
(34071, NULL, 'PF09636', NULL, NULL, 'XkdW protein', NULL, 'XkdW', NULL, NULL, 17844, 8),
(34072, NULL, 'PF08555', NULL, NULL, 'FAM32A', NULL, 'FAM32A', NULL, NULL, 9615, 8),
(34073, NULL, 'PF14674', NULL, NULL, 'FANCI solenoid 1 cap', NULL, 'FANCI_S1-cap', NULL, NULL, 28622, 8),
(34074, NULL, 'PF15966', NULL, NULL, 'F-box', NULL, 'F-box_4', NULL, NULL, 4824, 8),
(34075, NULL, 'PF02450', NULL, NULL, 'Lecithin:cholesterol acyltransferase', NULL, 'LCAT', NULL, NULL, 4994, 8),
(34076, NULL, 'PF16392', NULL, NULL, 'Ig-like domain', NULL, 'DUF5001', NULL, NULL, 28384, 8),
(34077, NULL, 'PF01801', NULL, NULL, 'Cytomegalovirus glycoprotein L', NULL, 'Cytomega_gL', NULL, NULL, 2596, 8),
(34078, NULL, 'PF14435', NULL, NULL, 'SUKH-4 immunity protein', NULL, 'SUKH-4', NULL, NULL, 25444, 8),
(34079, NULL, 'PF18409', NULL, NULL, 'Polo-like Kinase 4 Polo Box 2', NULL, 'Plk4_PB2', NULL, NULL, 30967, 8),
(34080, NULL, 'PF06705', NULL, NULL, 'SF-assemblin/beta giardin', NULL, 'SF-assemblin', NULL, NULL, 7845, 8),
(34081, NULL, 'PF03352', NULL, NULL, 'Methyladenine glycosylase', NULL, 'Adenine_glyco', NULL, NULL, 1326, 8),
(34082, NULL, 'PF03293', NULL, NULL, 'Poxvirus DNA-directed RNA polymerase, 18 kD subunit', NULL, 'Pox_RNA_pol', NULL, NULL, 613, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34083, NULL, 'PF07508', NULL, NULL, 'Recombinase', NULL, 'Recombinase', NULL, NULL, 11495, 8),
(34084, NULL, 'PF00046', NULL, NULL, 'Homeodomain', NULL, 'Homeodomain', NULL, NULL, 7266, 8),
(34085, NULL, 'PF06126', NULL, NULL, 'Herpesvirus Latent membrane protein 2', NULL, 'Herpes_LAMP2', NULL, NULL, 13563, 8),
(34086, NULL, 'PF07547', NULL, NULL, 'RSD-2 N-terminal domain', NULL, 'RSD-2', NULL, NULL, 12770, 8),
(34087, NULL, 'PF11656', NULL, NULL, 'YjbD family (DUF3811)', NULL, 'DUF3811', NULL, NULL, 19556, 8),
(34088, NULL, 'PF06796', NULL, NULL, 'Periplasmic nitrate reductase protein NapE', NULL, 'NapE', NULL, NULL, 9428, 8),
(34089, NULL, 'PF15550', NULL, NULL, 'Draxin', NULL, 'Draxin', NULL, NULL, 26223, 8),
(34090, NULL, 'PF14647', NULL, NULL, 'FAM91 N-terminus', NULL, 'FAM91_N', NULL, NULL, 23666, 8),
(34091, NULL, 'PF12234', NULL, NULL, 'RAVE protein 1 C terminal', NULL, 'Rav1p_C', NULL, NULL, 20525, 8),
(34092, NULL, 'PF09122', NULL, NULL, 'Domain of unknown function (DUF1930)', NULL, 'DUF1930', NULL, NULL, 10951, 8),
(34093, NULL, 'PF01530', NULL, NULL, 'Zinc finger, C2HC type', NULL, 'zf-C2HC', NULL, NULL, 995, 8),
(34094, NULL, 'PF09291', NULL, NULL, 'Domain of unknown function (DUF1968)', NULL, 'DUF1968', NULL, NULL, 14441, 8),
(34095, NULL, 'PF15315', NULL, NULL, 'Facioscapulohumeral muscular dystrophy candidate 2', NULL, 'FRG2', NULL, NULL, 21973, 8),
(34096, NULL, 'PF10166', NULL, NULL, 'Uncharacterised conserved protein (DUF2368)', NULL, 'DUF2368', NULL, NULL, 15107, 8),
(34097, NULL, 'PF10143', NULL, NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase', NULL, 'PhosphMutase', NULL, NULL, 7278, 8),
(34098, NULL, 'PF12099', NULL, NULL, 'Protein of unknown function (DUF3575)', NULL, 'DUF3575', NULL, NULL, 20698, 8),
(34099, NULL, 'PF00507', NULL, NULL, 'NADH-ubiquinone/plastoquinone oxidoreductase, chain 3', NULL, 'Oxidored_q4', NULL, NULL, 5593, 8),
(34100, NULL, 'PF10783', NULL, NULL, 'Protein of unknown function (DUF2599)', NULL, 'DUF2599', NULL, NULL, 21453, 8),
(34101, NULL, 'PF16162', NULL, NULL, 'Domain of unknown function (DUF4868)', NULL, 'DUF4868', NULL, NULL, 23007, 8),
(34102, NULL, 'PF12371', NULL, NULL, 'Transmembrane protein 131-like N-terminal', NULL, 'TMEM131_like_N', NULL, NULL, 21345, 8),
(34103, NULL, 'PF06560', NULL, NULL, 'Glucose-6-phosphate isomerase (GPI)', NULL, 'GPI', NULL, NULL, 8431, 8),
(34104, NULL, 'PF08373', NULL, NULL, 'RAP domain', NULL, 'RAP', NULL, NULL, 12479, 8),
(34105, NULL, 'PF04240', NULL, NULL, 'Carotenoid biosynthesis protein', NULL, 'Caroten_synth', NULL, NULL, 5739, 8),
(34106, NULL, 'PF06653', NULL, NULL, 'Tight junction protein, Claudin-like', NULL, 'Claudin_3', NULL, NULL, 10122, 8),
(34107, NULL, 'PF20149', NULL, NULL, 'Domain of unknown function (DUF6532)', NULL, 'DUF6532', NULL, NULL, 39840, 8),
(34108, NULL, 'PF09182', NULL, NULL, 'Bacterial purine repressor, N-terminal', NULL, 'PuR_N', NULL, NULL, 12849, 8),
(34109, NULL, 'PF00485', NULL, NULL, 'Phosphoribulokinase / Uridine kinase family', NULL, 'PRK', NULL, NULL, 2501, 8),
(34110, NULL, 'PF03851', NULL, NULL, 'UV-endonuclease UvdE', NULL, 'UvdE', NULL, NULL, 707, 8),
(34111, NULL, 'PF11074', NULL, NULL, 'Domain of unknown function(DUF2779)', NULL, 'DUF2779', NULL, NULL, 17986, 8),
(34112, NULL, 'PF11167', NULL, NULL, 'Protein of unknown function (DUF2953)', NULL, 'DUF2953', NULL, NULL, 18380, 8),
(34113, NULL, 'PF15937', NULL, NULL, 'prlF antitoxin for toxin YhaV_toxin', NULL, 'PrlF_antitoxin', NULL, NULL, 27238, 8),
(34114, NULL, 'PF11461', NULL, NULL, 'Rab interacting lysosomal protein', NULL, 'RILP', NULL, NULL, 18631, 8),
(34115, NULL, 'PF07767', NULL, NULL, 'Nop53 (60S ribosomal biogenesis)', NULL, 'Nop53', NULL, NULL, 10712, 8),
(34116, NULL, 'PF19771', NULL, NULL, 'Family of unknown function (DUF6257)', NULL, 'DUF6257', NULL, NULL, 39938, 8),
(34117, NULL, 'PF10155', NULL, NULL, 'CCR4-NOT transcription complex subunit 11', NULL, 'CNOT11', NULL, NULL, 15206, 8),
(34118, NULL, 'PF10943', NULL, NULL, 'Protein of unknown function (DUF2632)', NULL, 'DUF2632', NULL, NULL, 20238, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34119, NULL, 'PF03962', NULL, NULL, 'Mnd1 HTH domain', NULL, 'Mnd1', NULL, NULL, 30096, 8),
(34120, NULL, 'PF09999', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2240)', NULL, 'DUF2240', NULL, NULL, 17634, 8),
(34121, NULL, 'PF11270', NULL, NULL, 'Protein of unknown function (DUF3070)', NULL, 'DUF3070', NULL, NULL, 18074, 8),
(34122, NULL, 'PF18547', NULL, NULL, 'Halobacterial output domain 2', NULL, 'HalOD2', NULL, NULL, 31869, 8),
(34123, NULL, 'PF03251', NULL, NULL, 'Tymovirus 45/70Kd protein', NULL, 'Tymo_45kd_70kd', NULL, NULL, 1507, 8),
(34124, NULL, 'PF11924', NULL, NULL, 'Inverse autotransporter, beta-domain', NULL, 'IAT_beta', NULL, NULL, 25923, 8),
(34125, NULL, 'PF02035', NULL, NULL, 'Coagulin', NULL, 'Coagulin', NULL, NULL, 621, 8),
(34126, NULL, 'PF14315', NULL, NULL, 'Domain of unknown function (DUF4380)', NULL, 'DUF4380', NULL, NULL, 28149, 8),
(34127, NULL, 'PF09234', NULL, NULL, 'Domain of unknown function (DUF1963)', NULL, 'DUF1963', NULL, NULL, 13709, 8),
(34128, NULL, 'PF08084', NULL, NULL, 'PROCT (NUC072) domain', NULL, 'PROCT', NULL, NULL, 12171, 8),
(34129, NULL, 'PF13226', NULL, NULL, 'Domain of unknown function (DUF4034)', NULL, 'DUF4034', NULL, NULL, 23998, 8),
(34130, NULL, 'PF11447', NULL, NULL, 'Protein of unknown function (DUF3201)', NULL, 'DUF3201', NULL, NULL, 25962, 8),
(34131, NULL, 'PF14761', NULL, NULL, 'Hermansky-Pudlak syndrome 3', NULL, 'HPS3_N', NULL, NULL, 29303, 8),
(34132, NULL, 'PF07528', NULL, NULL, 'DZF domain', NULL, 'DZF', NULL, NULL, 93, 8),
(34133, NULL, 'PF09042', NULL, NULL, 'Titin Z', NULL, 'Titin_Z', NULL, NULL, 9542, 8),
(34134, NULL, 'PF18364', NULL, NULL, 'Molybdopterin oxidoreductase N-terminal domain', NULL, 'Molybdopterin_N', NULL, NULL, 32056, 8),
(34135, NULL, 'PF18340', NULL, NULL, 'DNA relaxase TraI 2B/2B-like domain', NULL, 'TraI_2B', NULL, NULL, 30074, 8),
(34136, NULL, 'PF00617', NULL, NULL, 'RasGEF domain', NULL, 'RasGEF', NULL, NULL, 2176, 8),
(34137, NULL, 'PF17278', NULL, NULL, 'Family of unknown function (DUF5343)', NULL, 'DUF5343', NULL, NULL, 30315, 8),
(34138, NULL, 'PF06853', NULL, NULL, 'Protein of unknown function (DUF1249)', NULL, 'DUF1249', NULL, NULL, 11468, 8),
(34139, NULL, 'PF08017', NULL, NULL, 'Fibrinogen binding protein', NULL, 'Fibrinogen_BP', NULL, NULL, 12367, 8),
(34140, NULL, 'PF15996', NULL, NULL, 'Arginine/serine-rich protein PNISR', NULL, 'PNISR', NULL, NULL, 26312, 8),
(34141, NULL, 'PF08374', NULL, NULL, 'Protocadherin', NULL, 'Protocadherin', NULL, NULL, 12181, 8),
(34142, NULL, 'PF13798', NULL, NULL, 'Protein of unknown function with PCYCGC motif', NULL, 'PCYCGC', NULL, NULL, 25273, 8),
(34143, NULL, 'PF15172', NULL, NULL, 'Prolactin-releasing peptide', NULL, 'Prolactin_RP', NULL, NULL, 26662, 8),
(34144, NULL, 'PF13790', NULL, NULL, 'SR1 protein', NULL, 'SR1P', NULL, NULL, 23645, 8),
(34145, NULL, 'PF17051', NULL, NULL, 'Cytochrome C oxidase assembly factor 2', NULL, 'COA2', NULL, NULL, 28599, 8),
(34146, NULL, 'PF17345', NULL, NULL, 'Family of unknown function (DUF5375)', NULL, 'DUF5375', NULL, NULL, 35480, 8),
(34147, NULL, 'PF11534', NULL, NULL, 'Hexameric tyrosine-coordinated heme protein (HTHP)', NULL, 'HTHP', NULL, NULL, 15281, 8),
(34148, NULL, 'PF03449', NULL, NULL, 'Transcription elongation factor, N-terminal', NULL, 'GreA_GreB_N', NULL, NULL, 17208, 8),
(34149, NULL, 'PF17853', NULL, NULL, 'GGDEF-like domain', NULL, 'GGDEF_2', NULL, NULL, 32222, 8),
(34150, NULL, 'PF10446', NULL, NULL, 'Protein of unknown function (DUF2457)', NULL, 'DUF2457', NULL, NULL, 20494, 8),
(34151, NULL, 'PF15080', NULL, NULL, 'Domain of unknown function (DUF4547)', NULL, 'DUF4547', NULL, NULL, 25470, 8),
(34152, NULL, 'PF06998', NULL, NULL, 'Protein of unknown function (DUF1307)', NULL, 'DUF1307', NULL, NULL, 12706, 8),
(34153, NULL, 'PF09987', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2226)', NULL, 'DUF2226', NULL, NULL, 20230, 8),
(34154, NULL, 'PF06761', NULL, NULL, 'Intracellular multiplication and human macrophage-killing', NULL, 'IcmF-related', NULL, NULL, 1982, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34155, NULL, 'PF17502', NULL, NULL, 'Family of unknown function (DUF5434)', NULL, 'DUF5434', NULL, NULL, 34758, 8),
(34156, NULL, 'PF12374', NULL, NULL, 'Double-sex mab3 related transcription factor 1', NULL, 'Dmrt1', NULL, NULL, 21367, 8),
(34157, NULL, 'PF04379', NULL, NULL, 'ApaG domain', NULL, 'DUF525', NULL, NULL, 2196, 8),
(34158, NULL, 'PF11221', NULL, NULL, 'Subunit 21 of Mediator complex', NULL, 'Med21', NULL, NULL, 18183, 8),
(34159, NULL, 'PF20128', NULL, NULL, 'Family of unknown function (DUF6518)', NULL, 'DUF6518', NULL, NULL, 38387, 8),
(34160, NULL, 'PF12232', NULL, NULL, 'Myogenic determination factor 5', NULL, 'Myf5', NULL, NULL, 20940, 8),
(34161, NULL, 'PF15111', NULL, NULL, 'TMEM101 protein family', NULL, 'TMEM101', NULL, NULL, 28487, 8),
(34162, NULL, 'PF18114', NULL, NULL, 'Suv3 helical N-terminal domain', NULL, 'Suv3_N', NULL, NULL, 31666, 8),
(34163, NULL, 'PF11759', NULL, NULL, 'Keratin-associated matrix', NULL, 'KRTAP', NULL, NULL, 19641, 8),
(34164, NULL, 'PF03059', NULL, NULL, 'Nicotianamine synthase protein', NULL, 'NAS', NULL, NULL, 4503, 8),
(34165, NULL, 'PF12169', NULL, NULL, 'DNA polymerase III subunits gamma and tau domain III', NULL, 'DNA_pol3_gamma3', NULL, NULL, 17035, 8),
(34166, NULL, 'PF05305', NULL, NULL, 'Protein of unknown function (DUF732)', NULL, 'DUF732', NULL, NULL, 4100, 8),
(34167, NULL, 'PF04828', NULL, NULL, 'Glutathione-dependent formaldehyde-activating enzyme', NULL, 'GFA', NULL, NULL, 4941, 8),
(34168, NULL, 'PF19465', NULL, NULL, 'Family of unknown function (DUF6002)', NULL, 'DUF6002', NULL, NULL, 39124, 8),
(34169, NULL, 'PF17687', NULL, NULL, 'Family of unknown function (DUF5535)', NULL, 'DUF5535', NULL, NULL, 31118, 8),
(34170, NULL, 'PF03099', NULL, NULL, 'Biotin/lipoate A/B protein ligase family', NULL, 'BPL_LplA_LipB', NULL, NULL, 2514, 8),
(34171, NULL, 'PF03172', NULL, NULL, 'HSR domain', NULL, 'HSR', NULL, NULL, 7381, 8),
(34172, NULL, 'PF19816', NULL, NULL, 'Family of unknown function (DUF6299)', NULL, 'DUF6299', NULL, NULL, 39623, 8),
(34173, NULL, 'PF19623', NULL, NULL, 'Family of unknown function (DUF6128)', NULL, 'DUF6128', NULL, NULL, 39592, 8),
(34174, NULL, 'PF16412', NULL, NULL, 'Domain of unknown function (DUF5020)', NULL, 'DUF5020', NULL, NULL, NULL, 8),
(34175, NULL, 'PF04077', NULL, NULL, 'DsrH like protein', NULL, 'DsrH', NULL, NULL, 6093, 8),
(34176, NULL, 'PF11018', NULL, NULL, 'Pupal cuticle protein C1', NULL, 'Cuticle_3', NULL, NULL, 17233, 8),
(34177, NULL, 'PF03536', NULL, NULL, 'Salmonella virulence-associated 28kDa protein', NULL, 'VRP3', NULL, NULL, 6213, 8),
(34178, NULL, 'PF11916', NULL, NULL, 'Vacuolar protein 14 C-terminal Fig4p binding', NULL, 'Vac14_Fig4_bd', NULL, NULL, 20429, 8),
(34179, NULL, 'PF04398', NULL, NULL, 'Protein of unknown function, DUF538', NULL, 'DUF538', NULL, NULL, 10266, 8),
(34180, NULL, 'PF07422', NULL, NULL, 'Sexual stage antigen s48/45 domain', NULL, 's48_45', NULL, NULL, 11957, 8),
(34181, NULL, 'PF01894', NULL, NULL, 'Uncharacterised protein family UPF0047', NULL, 'UPF0047', NULL, NULL, 3031, 8),
(34182, NULL, 'PF06094', NULL, NULL, 'Gamma-glutamyl cyclotransferase, AIG2-like', NULL, 'GGACT', NULL, NULL, 13996, 8),
(34183, NULL, 'PF18632', NULL, NULL, 'Family of unknown function (DUF5630)', NULL, 'DUF5630', NULL, NULL, 31905, 8),
(34184, NULL, 'PF12848', NULL, NULL, 'ABC transporter', NULL, 'ABC_tran_Xtn', NULL, NULL, 22341, 8),
(34185, NULL, 'PF08813', NULL, NULL, 'Phage tail tube protein, TTP', NULL, 'Phage_tail_3', NULL, NULL, 13154, 8),
(34186, NULL, 'PF20032', NULL, NULL, 'ADYC domain', NULL, 'ADYC', NULL, NULL, 38499, 8),
(34187, NULL, 'PF15004', NULL, NULL, 'Myeloma-overexpressed-like', NULL, 'MYEOV2', NULL, NULL, 24080, 8),
(34188, NULL, 'PF00693', NULL, NULL, 'Thymidine kinase from herpesvirus', NULL, 'Herpes_TK', NULL, NULL, 4246, 8),
(34189, NULL, 'PF13392', NULL, NULL, 'HNH endonuclease', NULL, 'HNH_3', NULL, NULL, 810, 8),
(34190, NULL, 'PF08228', NULL, NULL, 'RNase P subunit Pop3', NULL, 'RNase_P_pop3', NULL, NULL, 12801, 8),
(34191, NULL, 'PF01134', NULL, NULL, 'Glucose inhibited division protein A', NULL, 'GIDA', NULL, NULL, 29581, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34192, NULL, 'PF18821', NULL, NULL, 'Large polyvalent protein-associated domain 7', NULL, 'LPD7', NULL, NULL, 30538, 8),
(34193, NULL, 'PF19860', NULL, NULL, 'Family of unknown function (DUF6334)', NULL, 'DUF6334', NULL, NULL, 39564, 8),
(34194, NULL, 'PF12971', NULL, NULL, 'Alpha-N-acetylglucosaminidase (NAGLU) N-terminal domain', NULL, 'NAGLU_N', NULL, NULL, 14178, 8),
(34195, NULL, 'PF14132', NULL, NULL, 'Domain of unknown function (DUF4299)', NULL, 'DUF4299', NULL, NULL, 28362, 8),
(34196, NULL, 'PF14754', NULL, NULL, 'Papain-like auto-proteinase', NULL, 'IFR3_antag', NULL, NULL, 28990, 8),
(34197, NULL, 'PF07204', NULL, NULL, 'Orthoreovirus membrane fusion protein p10', NULL, 'Orthoreo_P10', NULL, NULL, 14344, 8),
(34198, NULL, 'PF17392', NULL, NULL, 'Urocanase C-terminal domain', NULL, 'Urocanase_C', NULL, NULL, 15977, 8),
(34199, NULL, 'PF08031', NULL, NULL, 'Berberine and berberine like', NULL, 'BBE', NULL, NULL, 12424, 8),
(34200, NULL, 'PF08521', NULL, NULL, 'Two-component sensor kinase N-terminal', NULL, '2CSK_N', NULL, NULL, 7572, 8),
(34201, NULL, 'PF13693', NULL, NULL, 'Winged helix-turn-helix DNA-binding', NULL, 'HTH_35', NULL, NULL, 34064, 8),
(34202, NULL, 'PF16964', NULL, NULL, 'Putative tight adherence pilin protein F', NULL, 'TadF', NULL, NULL, 23318, 8),
(34203, NULL, 'PF12800', NULL, NULL, '4Fe-4S binding domain', NULL, 'Fer4_4', NULL, NULL, 13131, 8),
(34204, NULL, 'PF17246', NULL, NULL, 'Cell division control protein 24, OB domain 1', NULL, 'CDC24_OB1', NULL, NULL, 9030, 8),
(34205, NULL, 'PF17524', NULL, NULL, 'Anti-sigma factor CnrY', NULL, 'CnrY', NULL, NULL, 31000, 8),
(34206, NULL, 'PF12626', NULL, NULL, 'Polymerase A arginine-rich C-terminus', NULL, 'PolyA_pol_arg_C', NULL, NULL, 27267, 8),
(34207, NULL, 'PF13591', NULL, NULL, 'MerR HTH family regulatory protein', NULL, 'MerR_2', NULL, NULL, NULL, 8),
(34208, NULL, 'PF18941', NULL, NULL, 'Family of unknown function (DUF5688)', NULL, 'DUF5688', NULL, NULL, 38156, 8),
(34209, NULL, 'PF18680', NULL, NULL, 'Plasmodium host cell traversal SPECT1', NULL, 'SPECT1', NULL, NULL, 34666, 8),
(34210, NULL, 'PF03938', NULL, NULL, 'Outer membrane protein (OmpH-like)', NULL, 'OmpH', NULL, NULL, 2529, 8),
(34211, NULL, 'PF15593', NULL, NULL, 'Immunity protein 42', NULL, 'Imm42', NULL, NULL, 25588, 8),
(34212, NULL, 'PF16398', NULL, NULL, 'Domain of unknown function (DUF5007)', NULL, 'DUF5007', NULL, NULL, 24811, 8),
(34213, NULL, 'PF13395', NULL, NULL, 'HNH endonuclease', NULL, 'HNH_4', NULL, NULL, 810, 8),
(34214, NULL, 'PF16915', NULL, NULL, 'Annelid erythrocruorin linker subunit C-terminus', NULL, 'Eryth_link_C', NULL, NULL, 26867, 8),
(34215, NULL, 'PF05497', NULL, NULL, 'Destabilase', NULL, 'Destabilase', NULL, NULL, 14260, 8),
(34216, NULL, 'PF11722', NULL, NULL, 'CCCH zinc finger in TRM13 protein', NULL, 'zf-TRM13_CCCH', NULL, NULL, 19965, 8),
(34217, NULL, 'PF02993', NULL, NULL, 'Minor capsid protein VI', NULL, 'MCPVI', NULL, NULL, 3623, 8),
(34218, NULL, 'PF05192', NULL, NULL, 'MutS domain III', NULL, 'MutS_III', NULL, NULL, 1148, 8),
(34219, NULL, 'PF02949', NULL, NULL, '7tm Odorant receptor', NULL, '7tm_6', NULL, NULL, 1543, 8),
(34220, NULL, 'PF10509', NULL, NULL, 'Galactokinase galactose-binding signature', NULL, 'GalKase_gal_bdg', NULL, NULL, 19484, 8),
(34221, NULL, 'PF11720', NULL, NULL, 'Peptidase inhibitor I78 family', NULL, 'Inhibitor_I78', NULL, NULL, 19627, 8),
(34222, NULL, 'PF13773', NULL, NULL, 'Domain of unknown function (DUF4170)', NULL, 'DUF4170', NULL, NULL, 23723, 8),
(34223, NULL, 'PF14156', NULL, NULL, 'Antirepressor AbbA', NULL, 'AbbA_antirepres', NULL, NULL, 28298, 8),
(34224, NULL, 'PF10112', NULL, NULL, '5-bromo-4-chloroindolyl phosphate hydrolysis protein', NULL, 'Halogen_Hydrol', NULL, NULL, 18831, 8),
(34225, NULL, 'PF04222', NULL, NULL, 'Protein of unknown function (DUF416)', NULL, 'DUF416', NULL, NULL, 5180, 8),
(34226, NULL, 'PF01067', NULL, NULL, 'Calpain large subunit, domain III', NULL, 'Calpain_III', NULL, NULL, 17423, 8),
(34227, NULL, 'PF02245', NULL, NULL, 'Methylpurine-DNA glycosylase (MPG)', NULL, 'Pur_DNA_glyco', NULL, NULL, 2807, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34228, NULL, 'PF02465', NULL, NULL, 'Flagellar hook-associated protein 2 N-terminus', NULL, 'FliD_N', NULL, NULL, 6476, 8),
(34229, NULL, 'PF11143', NULL, NULL, 'Protein of unknown function (DUF2919)', NULL, 'DUF2919', NULL, NULL, 17930, 8),
(34230, NULL, 'PF03185', NULL, NULL, 'Calcium-activated potassium channel, beta subunit', NULL, 'CaKB', NULL, NULL, 6230, 8),
(34231, NULL, 'PF09681', NULL, NULL, 'N-terminal phage replisome organiser (Phage_rep_org_N)', NULL, 'Phage_rep_org_N', NULL, NULL, 5325, 8),
(34232, NULL, 'PF18456', NULL, NULL, 'Diiron non-heme beta-hydroxylase N-terminal domain', NULL, 'CmlA_N', NULL, NULL, 31476, 8),
(34233, NULL, 'PF19744', NULL, NULL, 'Family of unknown function (DUF6232)', NULL, 'DUF6232', NULL, NULL, 39779, 8),
(34234, NULL, 'PF01081', NULL, NULL, 'KDPG and KHG aldolase', NULL, 'Aldolase', NULL, NULL, 4894, 8),
(34235, NULL, 'PF08696', NULL, NULL, 'DNA replication factor Dna2', NULL, 'Dna2', NULL, NULL, 11883, 8),
(34236, NULL, 'PF12869', NULL, NULL, 'tRNA_anti-like', NULL, 'tRNA_anti-like', NULL, NULL, 22898, 8),
(34237, NULL, 'PF00006', NULL, NULL, 'ATP synthase alpha/beta family, nucleotide-binding domain', NULL, 'ATP-synt_ab', NULL, NULL, 2986, 8),
(34238, NULL, 'PF13967', NULL, NULL, 'Late exocytosis, associated with Golgi transport', NULL, 'RSN1_TM', NULL, NULL, 23973, 8),
(34239, NULL, 'PF16248', NULL, NULL, 'Domain of unknown function (DUF4905)', NULL, 'DUF4905', NULL, NULL, 25037, 8),
(34240, NULL, 'PF12545', NULL, NULL, 'Filamentous haemagglutinin family outer membrane protein', NULL, 'DUF3739', NULL, NULL, 16306, 8),
(34241, NULL, 'PF12271', NULL, NULL, 'Chitin synthase export chaperone', NULL, 'Chs7', NULL, NULL, 20870, 8),
(34242, NULL, 'PF15910', NULL, NULL, 'ICOS V-set domain', NULL, 'V-set_2', NULL, NULL, 18566, 8),
(34243, NULL, 'PF05887', NULL, NULL, 'Procyclic acidic repetitive protein (PARP)', NULL, 'Trypan_PARP', NULL, NULL, 7986, 8),
(34244, NULL, 'PF17465', NULL, NULL, 'Chemokine-like protein, HHV-6 U83 gene product', NULL, 'U83', NULL, NULL, 15712, 8),
(34245, NULL, 'PF15306', NULL, NULL, 'LIN37', NULL, 'LIN37', NULL, NULL, 23321, 8),
(34246, NULL, 'PF05399', NULL, NULL, 'Ectropic viral integration site 2A protein (EVI2A)', NULL, 'EVI2A', NULL, NULL, 14113, 8),
(34247, NULL, 'PF12731', NULL, NULL, 'Mating-type protein beta 1', NULL, 'Mating_N', NULL, NULL, 23152, 8),
(34248, NULL, 'PF10920', NULL, NULL, 'Protein of unknown function (DUF2705)', NULL, 'DUF2705', NULL, NULL, 9426, 8),
(34249, NULL, 'PF12274', NULL, NULL, 'Protein of unknown function (DUF3615)', NULL, 'DUF3615', NULL, NULL, 20607, 8),
(34250, NULL, 'PF09815', NULL, NULL, 'XK-related protein', NULL, 'XK-related', NULL, NULL, 16368, 8),
(34251, NULL, 'PF11332', NULL, NULL, 'Protein of unknown function (DUF3134)', NULL, 'DUF3134', NULL, NULL, 18577, 8),
(34252, NULL, 'PF00712', NULL, NULL, 'DNA polymerase III beta subunit, N-terminal domain', NULL, 'DNA_pol3_beta', NULL, NULL, 17421, 8),
(34253, NULL, 'PF06464', NULL, NULL, 'DMAP1-binding Domain', NULL, 'DMAP_binding', NULL, NULL, 10769, 8),
(34254, NULL, 'PF03857', NULL, NULL, 'Colicin immunity protein', NULL, 'Colicin_im', NULL, NULL, 1987, 8),
(34255, NULL, 'PF19669', NULL, NULL, 'Family of unknown function (DUF6172)', NULL, 'DUF6172', NULL, NULL, 39746, 8),
(34256, NULL, 'PF01393', NULL, NULL, 'Chromo shadow domain', NULL, 'Chromo_shadow', NULL, NULL, 555, 8),
(34257, NULL, 'PF01746', NULL, NULL, 'tRNA (Guanine-1)-methyltransferase', NULL, 'tRNA_m1G_MT', NULL, NULL, 11469, 8),
(34258, NULL, 'PF14911', NULL, NULL, 'S-phase genomic integrity recombination mediator, C-terminal', NULL, 'MMS22L_C', NULL, NULL, 26259, 8),
(34259, NULL, 'PF13991', NULL, NULL, 'BssS protein family', NULL, 'BssS', NULL, NULL, 23879, 8),
(34260, NULL, 'PF10355', NULL, NULL, 'Protein of unknown function (Ytp1)', NULL, 'Ytp1', NULL, NULL, 20124, 8),
(34261, NULL, 'PF10707', NULL, NULL, 'PhoP regulatory network protein YrbL', NULL, 'YrbL-PhoP_reg', NULL, NULL, 21412, 8),
(34262, NULL, 'PF10529', NULL, NULL, 'Histidine-rich Calcium-binding repeat region', NULL, 'Hist_rich_Ca-bd', NULL, NULL, 19137, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34263, NULL, 'PF19775', NULL, NULL, 'Family of unknown function (DUF6261)', NULL, 'DUF6261', NULL, NULL, 39851, 8),
(34264, NULL, 'PF03822', NULL, NULL, 'NAF domain', NULL, 'NAF', NULL, NULL, 840, 8),
(34265, NULL, 'PF17329', NULL, NULL, 'Family of unknown function (DUF5367)', NULL, 'DUF5367', NULL, NULL, 20115, 8),
(34266, NULL, 'PF02083', NULL, NULL, 'Urotensin II', NULL, 'Urotensin_II', NULL, NULL, 6450, 8),
(34267, NULL, 'PF13182', NULL, NULL, 'Protein of unknown function (DUF4007)', NULL, 'DUF4007', NULL, NULL, 27980, 8),
(34268, NULL, 'PF11364', NULL, NULL, 'Protein of unknown function (DUF3165)', NULL, 'DUF3165', NULL, NULL, 18741, 8),
(34269, NULL, 'PF03337', NULL, NULL, 'Poxvirus F12L protein', NULL, 'Pox_F12L', NULL, NULL, 758, 8),
(34270, NULL, 'PF04411', NULL, NULL, 'PD-(D/E)XK nuclease superfamily', NULL, 'PDDEXK_7', NULL, NULL, 10194, 8),
(34271, NULL, 'PF13880', NULL, NULL, 'ESCO1/2 acetyl-transferase', NULL, 'Acetyltransf_13', NULL, NULL, 24190, 8),
(34272, NULL, 'PF07288', NULL, NULL, 'RNA polymerase epsilon subunit', NULL, 'RpoY', NULL, NULL, 14745, 8),
(34273, NULL, 'PF07100', NULL, NULL, 'Anabaena sensory rhodopsin transducer', NULL, 'ASRT', NULL, NULL, 13988, 8),
(34274, NULL, 'PF09521', NULL, NULL, 'NgoPII restriction endonuclease', NULL, 'RE_NgoPII', NULL, NULL, 16764, 8),
(34275, NULL, 'PF06296', NULL, NULL, 'RelE toxin of RelE / RelB toxin-antitoxin system', NULL, 'RelE', NULL, NULL, 8489, 8),
(34276, NULL, 'PF12946', NULL, NULL, 'MSP1 EGF domain 1', NULL, 'EGF_MSP1_1', NULL, NULL, 1818, 8),
(34277, NULL, 'PF09245', NULL, NULL, 'Mycoplasma arthritidis-derived mitogen', NULL, 'MA-Mit', NULL, NULL, 13803, 8),
(34278, NULL, 'PF13035', NULL, NULL, 'Protein of unknown function (DUF3896)', NULL, 'DUF3896', NULL, NULL, 23157, 8),
(34279, NULL, 'PF04934', NULL, NULL, 'MED6 mediator sub complex component', NULL, 'Med6', NULL, NULL, 6545, 8),
(34280, NULL, 'PF12794', NULL, NULL, 'Mechanosensitive ion channel inner membrane domain 1', NULL, 'MscS_TM', NULL, NULL, 25971, 8),
(34281, NULL, 'PF13272', NULL, NULL, 'Putative 2/3 transmembrane domain holin', NULL, 'Holin_2-3', NULL, NULL, 23864, 8),
(34282, NULL, 'PF20122', NULL, NULL, 'Family of unknown function (DUF6512)', NULL, 'DUF6512', NULL, NULL, 38393, 8),
(34283, NULL, 'PF05320', NULL, NULL, 'Poxvirus DNA-directed RNA polymerase 19 kDa subunit', NULL, 'Pox_RNA_Pol_19', NULL, NULL, 4361, 8),
(34284, NULL, 'PF06485', NULL, NULL, 'RNA-binding protein Tab2/Atab2', NULL, 'Tab2_like', NULL, NULL, 9379, 8),
(34285, NULL, 'PF01778', NULL, NULL, 'Ribosomal L28e protein family', NULL, 'Ribosomal_L28e', NULL, NULL, 28982, 8),
(34286, NULL, 'PF19073', NULL, NULL, 'Family of unknown function (DUF5769)', NULL, 'DUF5769', NULL, NULL, 37561, 8),
(34287, NULL, 'PF01222', NULL, NULL, 'Ergosterol biosynthesis ERG4/ERG24 family', NULL, 'ERG4_ERG24', NULL, NULL, 1189, 8),
(34288, NULL, 'PF13407', NULL, NULL, 'Periplasmic binding protein domain', NULL, 'Peripla_BP_4', NULL, NULL, 27128, 8),
(34289, NULL, 'PF09272', NULL, NULL, 'Hepsin, SRCR domain', NULL, 'Hepsin-SRCR', NULL, NULL, 13857, 8),
(34290, NULL, 'PF04266', NULL, NULL, 'ASCH domain', NULL, 'ASCH', NULL, NULL, 5753, 8),
(34291, NULL, 'PF02888', NULL, NULL, 'Calmodulin binding domain', NULL, 'CaMBD', NULL, NULL, 2719, 8),
(34292, NULL, 'PF09886', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2113)', NULL, 'DUF2113', NULL, NULL, 21969, 8),
(34293, NULL, 'PF01547', NULL, NULL, 'Bacterial extracellular solute-binding protein', NULL, 'SBP_bac_1', NULL, NULL, 2950, 8),
(34294, NULL, 'PF10578', NULL, NULL, 'Seminal vesicle protein repeat', NULL, 'SVS_QK', NULL, NULL, 9082, 8),
(34295, NULL, 'PF03092', NULL, NULL, 'BT1 family', NULL, 'BT1', NULL, NULL, 29415, 8),
(34296, NULL, 'PF09370', NULL, NULL, 'Phosphoenolpyruvate hydrolase-like', NULL, 'PEP_hydrolase', NULL, NULL, 10911, 8),
(34297, NULL, 'PF00087', NULL, NULL, 'Snake toxin and toxin-like protein', NULL, 'Toxin_TOLIP', NULL, NULL, 32734, 8),
(34298, NULL, 'PF13197', NULL, NULL, 'Protein of unknown function (DUF4013)', NULL, 'DUF4013', NULL, NULL, 22696, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34299, NULL, 'PF02614', NULL, NULL, 'Glucuronate isomerase', NULL, 'UxaC', NULL, NULL, 2408, 8),
(34300, NULL, 'PF07044', NULL, NULL, 'Protein of unknown function (DUF1329)', NULL, 'DUF1329', NULL, NULL, 10312, 8),
(34301, NULL, 'PF17575', NULL, NULL, 'Family of unknown function (DUF5479)', NULL, 'DUF5479', NULL, NULL, 33090, 8),
(34302, NULL, 'PF13536', NULL, NULL, 'Putative multidrug resistance efflux transporter', NULL, 'EmrE', NULL, NULL, 29033, 8),
(34303, NULL, 'PF17907', NULL, NULL, 'AWS domain', NULL, 'AWS', NULL, NULL, 442, 8),
(34304, NULL, 'PF03390', NULL, NULL, '2-hydroxycarboxylate transporter family', NULL, '2HCT', NULL, NULL, 3177, 8),
(34305, NULL, 'PF02305', NULL, NULL, 'Capsid protein (F protein)', NULL, 'Phage_F', NULL, NULL, 6101, 8),
(34306, NULL, 'PF04255', NULL, NULL, 'Protein of unknown function (DUF433)', NULL, 'DUF433', NULL, NULL, 5742, 8),
(34307, NULL, 'PF12139', NULL, NULL, 'Adenosine-5''-phosphosulfate reductase beta subunit', NULL, 'APS-reductase_C', NULL, NULL, 17392, 8),
(34308, NULL, 'PF00203', NULL, NULL, 'Ribosomal protein S19', NULL, 'Ribosomal_S19', NULL, NULL, 386, 8),
(34309, NULL, 'PF13049', NULL, NULL, 'Protein of unknown function (DUF3910)', NULL, 'DUF3910', NULL, NULL, 23683, 8),
(34310, NULL, 'PF11126', NULL, NULL, 'Transcriptional regulator DsbA', NULL, 'Phage_DsbA', NULL, NULL, 19829, 8),
(34311, NULL, 'PF05783', NULL, NULL, 'Dynein light intermediate chain (DLIC)', NULL, 'DLIC', NULL, NULL, 17189, 8),
(34312, NULL, 'PF16015', NULL, NULL, 'Promethin', NULL, 'Promethin', NULL, NULL, NULL, 8),
(34313, NULL, 'PF12327', NULL, NULL, 'FtsZ family, C-terminal domain', NULL, 'FtsZ_C', NULL, NULL, 21463, 8),
(34314, NULL, 'PF14064', NULL, NULL, 'HmuY protein', NULL, 'HmuY', NULL, NULL, 25930, 8),
(34315, NULL, 'PF07552', NULL, NULL, 'Spore Coat Protein X and V domain', NULL, 'Coat_X', NULL, NULL, 13805, 8),
(34316, NULL, 'PF03609', NULL, NULL, 'PTS system sorbose-specific iic component', NULL, 'EII-Sor', NULL, NULL, 3867, 8),
(34317, NULL, 'PF09101', NULL, NULL, 'Exotoxin A binding', NULL, 'Exotox-A_bind', NULL, NULL, 10724, 8),
(34318, NULL, 'PF04167', NULL, NULL, 'Protein of unknown function (DUF402)', NULL, 'DUF402', NULL, NULL, 7301, 8),
(34319, NULL, 'PF05660', NULL, NULL, 'Coxiella burnetii protein of unknown function (DUF807)', NULL, 'DUF807', NULL, NULL, 13326, 8),
(34320, NULL, 'PF17008', NULL, NULL, 'Domain of unknown function (DUF5088)', NULL, 'DUF5088', NULL, NULL, 22929, 8),
(34321, NULL, 'PF00982', NULL, NULL, 'Glycosyltransferase family 20', NULL, 'Glyco_transf_20', NULL, NULL, 4154, 8),
(34322, NULL, 'PF16220', NULL, NULL, 'Domain of unknown function (DUF4880)', NULL, 'DUF4880', NULL, NULL, 28170, 8),
(34323, NULL, 'PF01456', NULL, NULL, 'Mucin-like glycoprotein', NULL, 'Mucin', NULL, NULL, 5603, 8),
(34324, NULL, 'PF17461', NULL, NULL, 'Family of unknown function (DUF5423)', NULL, 'DUF5423', NULL, NULL, 35414, 8),
(34325, NULL, 'PF05324', NULL, NULL, 'Sperm antigen HE2', NULL, 'Sperm_Ag_HE2', NULL, NULL, 4278, 8),
(34326, NULL, 'PF14444', NULL, NULL, 'S1-like', NULL, 'S1-like', NULL, NULL, 27509, 8),
(34327, NULL, 'PF00601', NULL, NULL, 'Influenza non-structural protein (NS2)', NULL, 'Flu_NS2', NULL, NULL, 3207, 8),
(34328, NULL, 'PF10026', NULL, NULL, 'Predicted Zn-dependent protease (DUF2268)', NULL, 'DUF2268', NULL, NULL, 18397, 8),
(34329, NULL, 'PF11038', NULL, NULL, 'Dispersed gene family protein 1 of Trypanosoma cruzi region 5', NULL, 'DGF-1_5', NULL, NULL, 17597, 8),
(34330, NULL, 'PF01630', NULL, NULL, 'Hyaluronidase', NULL, 'Glyco_hydro_56', NULL, NULL, 13775, 8),
(34331, NULL, 'PF19322', NULL, NULL, 'E3 ubiquitin-protein ligase RKP N-terminus', NULL, 'RKP_N', NULL, NULL, 37042, 8),
(34332, NULL, 'PF16341', NULL, NULL, 'Domain of unknown function (DUF4971)', NULL, 'DUF4971', NULL, NULL, 22633, 8),
(34333, NULL, 'PF17823', NULL, NULL, 'Family of unknown function (DUF5585)', NULL, 'DUF5585', NULL, NULL, 31151, 8),
(34334, NULL, 'PF19892', NULL, NULL, 'Family of unknown function (DUF6365)', NULL, 'DUF6365', NULL, NULL, 39197, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34335, NULL, 'PF12388', NULL, NULL, 'Dual-action HEIGH metallo-peptidase', NULL, 'Peptidase_M57', NULL, NULL, 25533, 8),
(34336, NULL, 'PF08581', NULL, NULL, 'Tup N-terminal', NULL, 'Tup_N', NULL, NULL, 17983, 8),
(34337, NULL, 'PF17318', NULL, NULL, 'Family of unknown function (DUF5361)', NULL, 'DUF5361', NULL, NULL, 34189, 8),
(34338, NULL, 'PF06012', NULL, NULL, 'Domain of Unknown Function (DUF908)', NULL, 'DUF908', NULL, NULL, 8968, 8),
(34339, NULL, 'PF18541', NULL, NULL, 'RuvC endonuclease subdomain 3', NULL, 'RuvC_III', NULL, NULL, 31612, 8),
(34340, NULL, 'PF02864', NULL, NULL, 'STAT protein, DNA binding domain', NULL, 'STAT_bind', NULL, NULL, 8352, 8),
(34341, NULL, 'PF12740', NULL, NULL, 'Chlorophyllase enzyme', NULL, 'Chlorophyllase2', NULL, NULL, 31210, 8),
(34342, NULL, 'PF16535', NULL, NULL, 'Type III cell invasion protein SipB', NULL, 'T3SSipB', NULL, NULL, 25824, 8),
(34343, NULL, 'PF01771', NULL, NULL, 'Viral alkaline exonuclease', NULL, 'Viral_alk_exo', NULL, NULL, 31933, 8),
(34344, NULL, 'PF13716', NULL, NULL, 'Divergent CRAL/TRIO domain', NULL, 'CRAL_TRIO_2', NULL, NULL, 6978, 8),
(34345, NULL, 'PF06021', NULL, NULL, 'Aralkyl acyl-CoA:amino acid N-acyltransferase', NULL, 'Gly_acyl_tr_N', NULL, NULL, 9094, 8),
(34346, NULL, 'PF06876', NULL, NULL, 'Plant self-incompatibility response (SCRL) protein', NULL, 'SCRL', NULL, NULL, 9491, 8),
(34347, NULL, 'PF18112', NULL, NULL, 'Autophagy receptor zinc finger-C2H2 domain', NULL, 'Zn-C2H2_12', NULL, NULL, 32687, 8),
(34348, NULL, 'PF00679', NULL, NULL, 'Elongation factor G C-terminus', NULL, 'EFG_C', NULL, NULL, 4238, 8),
(34349, NULL, 'PF00803', NULL, NULL, '3A/RNA2 movement protein family', NULL, '3A', NULL, NULL, 5990, 8),
(34350, NULL, 'PF02158', NULL, NULL, 'Neuregulin intracellular region', NULL, 'Neuregulin', NULL, NULL, 238, 8),
(34351, NULL, 'PF05956', NULL, NULL, 'APC basic domain', NULL, 'APC_basic', NULL, NULL, 12626, 8),
(34352, NULL, 'PF19156', NULL, NULL, 'Family of unknown function (DUF5838)', NULL, 'DUF5838', NULL, NULL, 28014, 8),
(34353, NULL, 'PF10152', NULL, NULL, 'Subunit CCDC53 of WASH complex', NULL, 'CCDC53', NULL, NULL, 15425, 8),
(34354, NULL, 'PF03321', NULL, NULL, 'GH3 auxin-responsive promoter', NULL, 'GH3', NULL, NULL, 698, 8),
(34355, NULL, 'PF08541', NULL, NULL, '3-Oxoacyl-[acyl-carrier-protein (ACP)] synthase III C terminal', NULL, 'ACP_syn_III_C', NULL, NULL, 7710, 8),
(34356, NULL, 'PF12209', NULL, NULL, 'Leucine permease transcriptional regulator helical domain', NULL, 'SAC3', NULL, NULL, 9261, 8),
(34357, NULL, 'PF14001', NULL, NULL, 'YdfZ protein', NULL, 'YdfZ', NULL, NULL, 18253, 8),
(34358, NULL, 'PF18088', NULL, NULL, 'Glycoside Hydrolase 20C C-terminal domain', NULL, 'Glyco_H_20C_C', NULL, NULL, 31026, 8),
(34359, NULL, 'PF00733', NULL, NULL, 'Asparagine synthase', NULL, 'Asn_synthase', NULL, NULL, 2287, 8),
(34360, NULL, 'PF07233', NULL, NULL, 'Protein of unknown function (DUF1425)', NULL, 'DUF1425', NULL, NULL, 11152, 8),
(34361, NULL, 'PF13741', NULL, NULL, 'Mitochondrial ribosomal protein S25', NULL, 'MRP-S25', NULL, NULL, 18229, 8),
(34362, NULL, 'PF02719', NULL, NULL, 'Polysaccharide biosynthesis protein', NULL, 'Polysacc_synt_2', NULL, NULL, 4108, 8),
(34363, NULL, 'PF02677', NULL, NULL, 'Epoxyqueuosine reductase QueH', NULL, 'QueH', NULL, NULL, 6454, 8),
(34364, NULL, 'PF07654', NULL, NULL, 'Immunoglobulin C1-set domain', NULL, 'C1-set', NULL, NULL, 46, 8),
(34365, NULL, 'PF07278', NULL, NULL, 'Protein of unknown function (DUF1441)', NULL, 'DUF1441', NULL, NULL, 14941, 8),
(34366, NULL, 'PF08809', NULL, NULL, 'Phage related hypothetical protein (DUF1799)', NULL, 'DUF1799', NULL, NULL, 13248, 8),
(34367, NULL, 'PF15279', NULL, NULL, 'Sine oculis-binding protein', NULL, 'SOBP', NULL, NULL, 25692, 8),
(34368, NULL, 'PF01228', NULL, NULL, 'Glycine radical', NULL, 'Gly_radical', NULL, NULL, 2229, 8),
(34369, NULL, 'PF11982', NULL, NULL, 'Domain of unknown function (DUF3483)', NULL, 'DUF3483', NULL, NULL, 20344, 8),
(34370, NULL, 'PF15015', NULL, NULL, 'Spermatogenesis-associated, N-terminal', NULL, 'NYD-SP12_N', NULL, NULL, 29280, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34371, NULL, 'PF11352', NULL, NULL, 'Protein of unknown function (DUF3155)', NULL, 'DUF3155', NULL, NULL, 18806, 8),
(34372, NULL, 'PF16364', NULL, NULL, 'Cell surface antigen C-terminus', NULL, 'Antigen_C', NULL, NULL, 25116, 8),
(34373, NULL, 'PF13296', NULL, NULL, 'Putative type VI secretion system Rhs element Vgr', NULL, 'T6SS_Vgr', NULL, NULL, 21996, 8),
(34374, NULL, 'PF11905', NULL, NULL, 'Domain of unknown function (DUF3425)', NULL, 'DUF3425', NULL, NULL, 20282, 8),
(34375, NULL, 'PF19337', NULL, NULL, 'BMP and activin membrane-bound inhibitor homolog C-terminus', NULL, 'BAMBI_C', NULL, NULL, 36674, 8),
(34376, NULL, 'PF07595', NULL, NULL, 'Planctomycete extracellular', NULL, 'Planc_extracel', NULL, NULL, 12582, 8),
(34377, NULL, 'PF00246', NULL, NULL, 'Zinc carboxypeptidase', NULL, 'Peptidase_M14', NULL, NULL, 174, 8),
(34378, NULL, 'PF07676', NULL, NULL, 'WD40-like Beta Propeller Repeat', NULL, 'PD40', NULL, NULL, 10817, 8),
(34379, NULL, 'PF16931', NULL, NULL, 'Putative phage holin', NULL, 'Phage_holin_8', NULL, NULL, 22392, 8),
(34380, NULL, 'PF14387', NULL, NULL, 'Domain of unknown function (DUF4418)', NULL, 'DUF4418', NULL, NULL, 28233, 8),
(34381, NULL, 'PF16878', NULL, NULL, 'Transcriptional regulator, SIX1, N-terminal SD domain', NULL, 'SIX1_SD', NULL, NULL, 25970, 8),
(34382, NULL, 'PF04407', NULL, NULL, 'Protein of unknown function (DUF531)', NULL, 'DUF531', NULL, NULL, 10133, 8),
(34383, NULL, 'PF05558', NULL, NULL, 'DREPP plasma membrane polypeptide', NULL, 'DREPP', NULL, NULL, 12111, 8),
(34384, NULL, 'PF20131', NULL, NULL, 'Family of unknown function (DUF6521)', NULL, 'DUF6521', NULL, NULL, 38254, 8),
(34385, NULL, 'PF13484', NULL, NULL, '4Fe-4S double cluster binding domain', NULL, 'Fer4_16', NULL, NULL, NULL, 8),
(34386, NULL, 'PF13280', NULL, NULL, 'WYL domain', NULL, 'WYL', NULL, NULL, 28644, 8),
(34387, NULL, 'PF08504', NULL, NULL, 'Runx inhibition domain', NULL, 'RunxI', NULL, NULL, 14358, 8),
(34388, NULL, 'PF14127', NULL, NULL, 'Domain of unknown function (DUF4294)', NULL, 'DUF4294', NULL, NULL, 26384, 8),
(34389, NULL, 'PF09420', NULL, NULL, 'Ribosome biogenesis protein Nop16', NULL, 'Nop16', NULL, NULL, 16093, 8),
(34390, NULL, 'PF01031', NULL, NULL, 'Dynamin central region', NULL, 'Dynamin_M', NULL, NULL, 4554, 8),
(34391, NULL, 'PF10598', NULL, NULL, 'RNA recognition motif of the spliceosomal PrP8', NULL, 'RRM_4', NULL, NULL, 20030, 8),
(34392, NULL, 'PF04559', NULL, NULL, 'Herpesvirus UL17 protein', NULL, 'Herpes_UL17', NULL, NULL, 2477, 8),
(34393, NULL, 'PF19327', NULL, NULL, 'Ap4A phosphorylase N-terminal domain', NULL, 'Ap4A_phos_N', NULL, NULL, 38759, 8),
(34394, NULL, 'PF02508', NULL, NULL, 'Rnf-Nqr subunit, membrane protein', NULL, 'Rnf-Nqr', NULL, NULL, 1398, 8),
(34395, NULL, 'PF14887', NULL, NULL, 'HMG (high mobility group) box 5', NULL, 'HMG_box_5', NULL, NULL, 29475, 8),
(34396, NULL, 'PF06558', NULL, NULL, 'Secretion monitor precursor protein (SecM)', NULL, 'SecM', NULL, NULL, 9356, 8),
(34397, NULL, 'PF11519', NULL, NULL, 'Protein of unknown function (DUF3222)', NULL, 'DUF3222', NULL, NULL, 19234, 8),
(34398, NULL, 'PF13976', NULL, NULL, 'GAG-pre-integrase domain', NULL, 'gag_pre-integrs', NULL, NULL, 23861, 8),
(34399, NULL, 'PF13941', NULL, NULL, 'MutL protein', NULL, 'MutL', NULL, NULL, 11368, 8),
(34400, NULL, 'PF00810', NULL, NULL, 'ER lumen protein retaining receptor', NULL, 'ER_lumen_recept', NULL, NULL, 3808, 8),
(34401, NULL, 'PF11920', NULL, NULL, 'Protein of unknown function (DUF3438)', NULL, 'DUF3438', NULL, NULL, 20462, 8),
(34402, NULL, 'PF03924', NULL, NULL, 'CHASE domain', NULL, 'CHASE', NULL, NULL, 11227, 8),
(34403, NULL, 'PF19708', NULL, NULL, 'Family of unknown function (DUF6205)', NULL, 'DUF6205', NULL, NULL, 38885, 8),
(34404, NULL, 'PF18030', NULL, NULL, 'RimK PreATP-grasp domain', NULL, 'Rimk_N', NULL, NULL, 31137, 8),
(34405, NULL, 'PF08561', NULL, NULL, 'Mitochondrial ribosomal protein L37', NULL, 'Ribosomal_L37', NULL, NULL, 9654, 8),
(34406, NULL, 'PF12021', NULL, NULL, 'Protein of unknown function (DUF3509)', NULL, 'DUF3509', NULL, NULL, 20011, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34407, NULL, 'PF06643', NULL, NULL, 'Protein of unknown function (DUF1158)', NULL, 'DUF1158', NULL, NULL, 8440, 8),
(34408, NULL, 'PF17739', NULL, NULL, 'Family of unknown function (DUF5576)', NULL, 'DUF5576', NULL, NULL, 32986, 8),
(34409, NULL, 'PF05035', NULL, NULL, '2-keto-3-deoxy-galactonokinase', NULL, 'DGOK', NULL, NULL, 1331, 8),
(34410, NULL, 'PF08387', NULL, NULL, 'FBD', NULL, 'FBD', NULL, NULL, 427, 8),
(34411, NULL, 'PF06055', NULL, NULL, 'Exopolysaccharide synthesis, ExoD', NULL, 'ExoD', NULL, NULL, 8755, 8),
(34412, NULL, 'PF11676', NULL, NULL, 'Protein of unknown function (DUF3272)', NULL, 'DUF3272', NULL, NULL, 19458, 8),
(34413, NULL, 'PF06999', NULL, NULL, 'Sucrase/ferredoxin-like', NULL, 'Suc_Fer-like', NULL, NULL, 12833, 8),
(34414, NULL, 'PF03057', NULL, NULL, 'DUF236 repeat', NULL, 'DUF236', NULL, NULL, 4631, 8),
(34415, NULL, 'PF05545', NULL, NULL, 'Cbb3-type cytochrome oxidase component FixQ', NULL, 'FixQ', NULL, NULL, 14445, 8),
(34416, NULL, 'PF13581', NULL, NULL, 'Histidine kinase-like ATPase domain', NULL, 'HATPase_c_2', NULL, NULL, 156, 8),
(34417, NULL, 'PF01343', NULL, NULL, 'Peptidase family S49', NULL, 'Peptidase_S49', NULL, NULL, 1245, 8),
(34418, NULL, 'PF10592', NULL, NULL, 'AIPR protein', NULL, 'AIPR', NULL, NULL, 21363, 8),
(34419, NULL, 'PF01527', NULL, NULL, 'Transposase', NULL, 'HTH_Tnp_1', NULL, NULL, 736, 8),
(34420, NULL, 'PF07355', NULL, NULL, 'Glycine/sarcosine/betaine reductase selenoprotein B (GRDB)', NULL, 'GRDB', NULL, NULL, 4476, 8),
(34421, NULL, 'PF07365', NULL, NULL, 'Alpha conotoxin precursor', NULL, 'Toxin_8', NULL, NULL, 8026, 8),
(34422, NULL, 'PF03546', NULL, NULL, 'Treacher Collins syndrome protein Treacle', NULL, 'Treacle', NULL, NULL, 764, 8),
(34423, NULL, 'PF13725', NULL, NULL, 'Possible tRNA binding domain', NULL, 'tRNA_bind_2', NULL, NULL, 24530, 8),
(34424, NULL, 'PF17175', NULL, NULL, 'Modulator of levamisole receptor-1', NULL, 'MOLO1', NULL, NULL, 33974, 8),
(34425, NULL, 'PF08141', NULL, NULL, 'Small acid-soluble spore protein H family', NULL, 'SspH', NULL, NULL, 9675, 8),
(34426, NULL, 'PF05715', NULL, NULL, 'Piccolo Zn-finger', NULL, 'zf-piccolo', NULL, NULL, 7816, 8),
(34427, NULL, 'PF01258', NULL, NULL, 'Prokaryotic dksA/traR C4-type zinc finger', NULL, 'zf-dskA_traR', NULL, NULL, 497, 8),
(34428, NULL, 'PF04324', NULL, NULL, 'BFD-like [2Fe-2S] binding domain', NULL, 'Fer2_BFD', NULL, NULL, 3754, 8),
(34429, NULL, 'PF08313', NULL, NULL, 'SCA7, zinc-binding domain', NULL, 'SCA7', NULL, NULL, 12793, 8),
(34430, NULL, 'PF02524', NULL, NULL, 'KID repeat', NULL, 'KID', NULL, NULL, 4443, 8),
(34431, NULL, 'PF02181', NULL, NULL, 'Formin Homology 2 Domain', NULL, 'FH2', NULL, NULL, 7530, 8),
(34432, NULL, 'PF08663', NULL, NULL, 'HalX domain', NULL, 'HalX', NULL, NULL, 8324, 8),
(34433, NULL, 'PF02265', NULL, NULL, 'S1/P1 Nuclease', NULL, 'S1-P1_nuclease', NULL, NULL, 1666, 8),
(34434, NULL, 'PF00722', NULL, NULL, 'Glycosyl hydrolases family 16', NULL, 'Glyco_hydro_16', NULL, NULL, 3972, 8),
(34435, NULL, 'PF11127', NULL, NULL, 'Protein of unknown function (DUF2892)', NULL, 'DUF2892', NULL, NULL, 17883, 8),
(34436, NULL, 'PF11517', NULL, NULL, 'Nuclear abundant poly(A) RNA-bind protein 2 (Nab2)', NULL, 'Nab2', NULL, NULL, 16695, 8),
(34437, NULL, 'PF05331', NULL, NULL, 'Protein of unknown function (DUF742)', NULL, 'DUF742', NULL, NULL, 4182, 8),
(34438, NULL, 'PF19295', NULL, NULL, 'SufBD protein N-terminal region', NULL, 'SufBD_N', NULL, NULL, 38586, 8),
(34439, NULL, 'PF17501', NULL, NULL, 'Viral RNA-directed RNA polymerase C-terminal', NULL, 'Viral_RdRp_C', NULL, NULL, 21249, 8),
(34440, NULL, 'PF12461', NULL, NULL, 'Spiroplasma phage ORF1-like family', NULL, 'DUF3688', NULL, NULL, 21221, 8),
(34441, NULL, 'PF01673', NULL, NULL, 'Herpesvirus putative major envelope glycoprotein', NULL, 'Herpes_env', NULL, NULL, 1804, 8),
(34442, NULL, 'PF06120', NULL, NULL, 'Tail length tape measure protein', NULL, 'Phage_HK97_TLTM', NULL, NULL, 13517, 8),
(34443, NULL, 'PF09224', NULL, NULL, 'Domain of unknown function (DUF1961)', NULL, 'DUF1961', NULL, NULL, 13860, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34444, NULL, 'PF11647', NULL, NULL, 'Membrane Localization Domain', NULL, 'MLD', NULL, NULL, 14560, 8),
(34445, NULL, 'PF08337', NULL, NULL, 'Plexin cytoplasmic RasGAP domain', NULL, 'Plexin_cytopl', NULL, NULL, 13259, 8),
(34446, NULL, 'PF09281', NULL, NULL, 'Taq polymerase, exonuclease', NULL, 'Taq-exonuc', NULL, NULL, 13815, 8),
(34447, NULL, 'PF11559', NULL, NULL, 'Afadin- and alpha -actinin-Binding', NULL, 'ADIP', NULL, NULL, 19355, 8),
(34448, NULL, 'PF08070', NULL, NULL, 'DTHCT (NUC029) region', NULL, 'DTHCT', NULL, NULL, 8998, 8),
(34449, NULL, 'PF15184', NULL, NULL, 'Mitochondrial import receptor subunit TOM6 homolog', NULL, 'TOM6p', NULL, NULL, 21990, 8),
(34450, NULL, 'PF08768', NULL, NULL, 'THAP4-like, heme-binding beta-barrel domain', NULL, 'THAP4_heme-bd', NULL, NULL, 13115, 8),
(34451, NULL, 'PF01247', NULL, NULL, 'Ribosomal protein L35Ae', NULL, 'Ribosomal_L35Ae', NULL, NULL, 3162, 8),
(34452, NULL, 'PF17778', NULL, NULL, 'Beta-lactamase associated winged helix domain', NULL, 'BLACT_WH', NULL, NULL, 32341, 8),
(34453, NULL, 'PF00106', NULL, NULL, 'short chain dehydrogenase', NULL, 'adh_short', NULL, NULL, 6567, 8),
(34454, NULL, 'PF09396', NULL, NULL, 'Thrombin light chain', NULL, 'Thrombin_light', NULL, NULL, 15551, 8),
(34455, NULL, 'PF03175', NULL, NULL, 'DNA polymerase type B, organellar and viral', NULL, 'DNA_pol_B_2', NULL, NULL, 7296, 8),
(34456, NULL, 'PF09603', NULL, NULL, 'Fibrobacter succinogenes major domain (Fib_succ_major)', NULL, 'Fib_succ_major', NULL, NULL, 14396, 8),
(34457, NULL, 'PF01175', NULL, NULL, 'Urocanase Rossmann-like domain', NULL, 'Urocanase', NULL, NULL, 31039, 8),
(34458, NULL, 'PF14328', NULL, NULL, 'Domain of unknown function (DUF4385)', NULL, 'DUF4385', NULL, NULL, 28199, 8),
(34459, NULL, 'PF16703', NULL, NULL, 'Domain of unknown function (DUF5064)', NULL, 'DUF5064', NULL, NULL, 24227, 8),
(34460, NULL, 'PF03634', NULL, NULL, 'TCP family transcription factor', NULL, 'TCP', NULL, NULL, 7449, 8),
(34461, NULL, 'PF03992', NULL, NULL, 'Antibiotic biosynthesis monooxygenase', NULL, 'ABM', NULL, NULL, 448, 8),
(34462, NULL, 'PF18879', NULL, NULL, 'EspA/EspE family', NULL, 'EspA_EspE', NULL, NULL, 37700, 8),
(34463, NULL, 'PF19068', NULL, NULL, 'Family of unknown function (DUF5764)', NULL, 'DUF5764', NULL, NULL, 37969, 8),
(34464, NULL, 'PF16780', NULL, NULL, 'AIMP2 lysyl-tRNA synthetase binding domain', NULL, 'AIMP2_LysRS_bd', NULL, NULL, 28678, 8),
(34465, NULL, 'PF17390', NULL, NULL, 'Bacterial alpha-L-rhamnosidase C-terminal domain', NULL, 'Bac_rhamnosid_C', NULL, NULL, 14939, 8),
(34466, NULL, 'PF19790', NULL, NULL, 'Family of unknown function (DUF6274)', NULL, 'DUF6274', NULL, NULL, 39839, 8),
(34467, NULL, 'PF00643', NULL, NULL, 'B-box zinc finger', NULL, 'zf-B_box', NULL, NULL, 960, 8),
(34468, NULL, 'PF11013', NULL, NULL, 'Protein of unknown function (DUF2851)', NULL, 'DUF2851', NULL, NULL, 17818, 8),
(34469, NULL, 'PF11416', NULL, NULL, 'Syntaxin-5 N-terminal, Sly1p-binding domain', NULL, 'Syntaxin-5_N', NULL, NULL, 18967, 8),
(34470, NULL, 'PF00565', NULL, NULL, 'Staphylococcal nuclease homologue', NULL, 'SNase', NULL, NULL, 10137, 8),
(34471, NULL, 'PF16066', NULL, NULL, 'Domain of unknown function (DUF4808)', NULL, 'DUF4808', NULL, NULL, 25422, 8),
(34472, NULL, 'PF03999', NULL, NULL, 'Microtubule associated protein (MAP65/ASE1 family)', NULL, 'MAP65_ASE1', NULL, NULL, NULL, 8),
(34473, NULL, 'PF09227', NULL, NULL, 'Domain of unknown function (DUF1962)', NULL, 'DUF1962', NULL, NULL, 13941, 8),
(34474, NULL, 'PF08683', NULL, NULL, 'Microtubule-binding calmodulin-regulated spectrin-associated', NULL, 'CAMSAP_CKK', NULL, NULL, 11736, 8),
(34475, NULL, 'PF09081', NULL, NULL, 'Domain of unknown function (DUF1921)', NULL, 'DUF1921', NULL, NULL, 9664, 8),
(34476, NULL, 'PF07217', NULL, NULL, 'Heterokaryon incompatibility protein Het-C', NULL, 'Het-C', NULL, NULL, 11221, 8),
(34477, NULL, 'PF15023', NULL, NULL, 'Protein of unknown function (DUF4523)', NULL, 'DUF4523', NULL, NULL, 22558, 8),
(34478, NULL, 'PF18722', NULL, NULL, 'MazG C-terminal domain', NULL, 'MazG_C', NULL, NULL, 32311, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34479, NULL, 'PF19574', NULL, NULL, 'Outer membrane lipoprotein carrier protein LolA-like', NULL, 'LolA_3', NULL, NULL, 756, 8),
(34480, NULL, 'PF14455', NULL, NULL, 'Predicted metal binding domain', NULL, 'Metal_CEHH', NULL, NULL, 26922, 8),
(34481, NULL, 'PF19150', NULL, NULL, 'Family of unknown function (DUF5832)', NULL, 'DUF5832', NULL, NULL, 36663, 8),
(34482, NULL, 'PF10294', NULL, NULL, 'Lysine methyltransferase', NULL, 'Methyltransf_16', NULL, NULL, 16703, 8),
(34483, NULL, 'PF04468', NULL, NULL, 'PSP1 C-terminal conserved region', NULL, 'PSP1', NULL, NULL, 3755, 8),
(34484, NULL, 'PF18654', NULL, NULL, 'LegC3 N-terminal coiled-coil domain', NULL, 'LegC3_N', NULL, NULL, 31512, 8),
(34485, NULL, 'PF08406', NULL, NULL, 'CbbQ/NirQ/NorQ C-terminal', NULL, 'CbbQ_C', NULL, NULL, 11247, 8),
(34486, NULL, 'PF01112', NULL, NULL, 'Asparaginase', NULL, 'Asparaginase_2', NULL, NULL, 4375, 8),
(34487, NULL, 'PF18713', NULL, NULL, 'Domain of unknown function (DUF5645)', NULL, 'DUF5645', NULL, NULL, 32893, 8),
(34488, NULL, 'PF02019', NULL, NULL, 'WIF domain', NULL, 'WIF', NULL, NULL, 3626, 8),
(34489, NULL, 'PF15289', NULL, NULL, 'Regulatory factor X-associated C-terminal binding domain', NULL, 'RFXA_RFXANK_bdg', NULL, NULL, 25836, 8),
(34490, NULL, 'PF17410', NULL, NULL, 'Subtelomeric Variable Open Reading frame', NULL, 'Stevor', NULL, NULL, 5984, 8),
(34491, NULL, 'PF18655', NULL, NULL, 'SHIRT domain', NULL, 'SHIRT', NULL, NULL, 30417, 8),
(34492, NULL, 'PF13011', NULL, NULL, 'leucine-zipper of insertion element IS481', NULL, 'LZ_Tnp_IS481', NULL, NULL, 22781, 8),
(34493, NULL, 'PF01789', NULL, NULL, 'PsbP', NULL, 'PsbP', NULL, NULL, 2823, 8),
(34494, NULL, 'PF10020', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2262)', NULL, 'DUF2262', NULL, NULL, 20420, 8),
(34495, NULL, 'PF16482', NULL, NULL, 'Staufen C-terminal domain', NULL, 'Staufen_C', NULL, NULL, 18143, 8),
(34496, NULL, 'PF17157', NULL, NULL, 'Gammaproteobacterial periplasmic sensor domain', NULL, 'GAPES4', NULL, NULL, 33765, 8),
(34497, NULL, 'PF19837', NULL, NULL, 'Domain of unknown function (DUF6316)', NULL, 'DUF6316', NULL, NULL, 39808, 8),
(34498, NULL, 'PF18033', NULL, NULL, 'SpuA C-terminal', NULL, 'SpuA_C', NULL, NULL, 31595, 8),
(34499, NULL, 'PF19445', NULL, NULL, 'C-terminal region of eIF3h', NULL, 'eIF3h_C', NULL, NULL, 36717, 8),
(34500, NULL, 'PF01435', NULL, NULL, 'Peptidase family M48', NULL, 'Peptidase_M48', NULL, NULL, 4351, 8),
(34501, NULL, 'PF14738', NULL, NULL, 'Cilia- and flagella-associated protein 91', NULL, 'CFAP91', NULL, NULL, 22689, 8),
(34502, NULL, 'PF16403', NULL, NULL, 'Domain of unknown function (DUF5011)', NULL, 'DUF5011', NULL, NULL, 24674, 8),
(34503, NULL, 'PF20137', NULL, NULL, 'Family of unknown function (DUF6527)', NULL, 'DUF6527', NULL, NULL, 38014, 8),
(34504, NULL, 'PF06237', NULL, NULL, 'Protein of unknown function (DUF1011)', NULL, 'DUF1011', NULL, NULL, 14708, 8),
(34505, NULL, 'PF18017', NULL, NULL, 'SAM domain (Sterile alpha motif)', NULL, 'SAM_4', NULL, NULL, NULL, 8),
(34506, NULL, 'PF17950', NULL, NULL, 'S-adenosylmethionine decarboxylase N -terminal', NULL, 'SpmSyn_N', NULL, NULL, 35900, 8),
(34507, NULL, 'PF12596', NULL, NULL, '87kDa Transposase', NULL, 'Tnp_P_element_C', NULL, NULL, 21258, 8),
(34508, NULL, 'PF02205', NULL, NULL, 'WH2 motif', NULL, 'WH2', NULL, NULL, 1941, 8),
(34509, NULL, 'PF09604', NULL, NULL, 'F subunit of K+-transporting ATPase (Potass_KdpF)', NULL, 'Potass_KdpF', NULL, NULL, 11559, 8),
(34510, NULL, 'PF02304', NULL, NULL, 'Scaffold protein B', NULL, 'Phage_B', NULL, NULL, 6040, 8),
(34511, NULL, 'PF06772', NULL, NULL, 'Bacterial low temperature requirement A protein (LtrA)', NULL, 'LtrA', NULL, NULL, 9208, 8),
(34512, NULL, 'PF16020', NULL, NULL, 'Deltamethrin resistance', NULL, 'Deltameth_res', NULL, NULL, 23857, 8),
(34513, NULL, 'PF18209', NULL, NULL, 'Embryo surrounding factor 1', NULL, 'ESF1', NULL, NULL, 32142, 8),
(34514, NULL, 'PF04402', NULL, NULL, 'Protein of unknown function (DUF541)', NULL, 'SIMPL', NULL, NULL, 10360, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34515, NULL, 'PF07818', NULL, NULL, 'HCNGP-like protein', NULL, 'HCNGP', NULL, NULL, 11612, 8),
(34516, NULL, 'PF19699', NULL, NULL, 'Calsyntenin C-terminal', NULL, 'CLSTN_C', NULL, NULL, 38864, 8),
(34517, NULL, 'PF00148', NULL, NULL, 'Nitrogenase component 1 type Oxidoreductase', NULL, 'Oxidored_nitro', NULL, NULL, 5782, 8),
(34518, NULL, 'PF04173', NULL, NULL, 'TQO small subunit DoxD', NULL, 'DoxD', NULL, NULL, 4907, 8),
(34519, NULL, 'PF17271', NULL, NULL, 'TcfC Usher-like barrel domain', NULL, 'Usher_TcfC', NULL, NULL, 15444, 8),
(34520, NULL, 'PF10092', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2330)', NULL, 'DUF2330', NULL, NULL, 20261, 8),
(34521, NULL, 'PF19555', NULL, NULL, 'Family of unknown function (DUF6078)', NULL, 'DUF6078', NULL, NULL, 37333, 8),
(34522, NULL, 'PF11207', NULL, NULL, 'Protein of unknown function (DUF2989)', NULL, 'DUF2989', NULL, NULL, 18032, 8),
(34523, NULL, 'PF08269', NULL, NULL, 'Cache domain', NULL, 'dCache_2', NULL, NULL, 626, 8),
(34524, NULL, 'PF06592', NULL, NULL, 'Protein of unknown function (DUF1138)', NULL, 'DUF1138', NULL, NULL, 9295, 8),
(34525, NULL, 'PF17625', NULL, NULL, 'Family of unknown function (DUF5509)', NULL, 'DUF5509', NULL, NULL, 17118, 8),
(34526, NULL, 'PF14472', NULL, NULL, 'Domain of unknown function (DUF4429)', NULL, 'DUF4429', NULL, NULL, 27751, 8),
(34527, NULL, 'PF11942', NULL, NULL, 'Spt5 transcription elongation factor, acidic N-terminal', NULL, 'Spt5_N', NULL, NULL, 16958, 8),
(34528, NULL, 'PF03129', NULL, NULL, 'Anticodon binding domain', NULL, 'HGTP_anticodon', NULL, NULL, 2721, 8),
(34529, NULL, 'PF12506', NULL, NULL, 'Protein of unknown function (DUF3713)', NULL, 'DUF3713', NULL, NULL, 21426, 8),
(34530, NULL, 'PF14428', NULL, NULL, 'SCP1.201-like deaminase', NULL, 'SCP1201-deam', NULL, NULL, 28427, 8),
(34531, NULL, 'PF17580', NULL, NULL, 'Group B Rotavirus Non-structural protein 5', NULL, 'GBR_NSP5', NULL, NULL, 19837, 8),
(34532, NULL, 'PF13672', NULL, NULL, 'Protein phosphatase 2C', NULL, 'PP2C_2', NULL, NULL, NULL, 8),
(34533, NULL, 'PF11214', NULL, NULL, 'Mediator complex subunit 2', NULL, 'Med2', NULL, NULL, 15148, 8),
(34534, NULL, 'PF14201', NULL, NULL, 'Domain of unknown function (DUF4318)', NULL, 'DUF4318', NULL, NULL, 28220, 8),
(34535, NULL, 'PF03756', NULL, NULL, 'A-factor biosynthesis hotdog domain', NULL, 'AfsA', NULL, NULL, 1316, 8),
(34536, NULL, 'PF17068', NULL, NULL, 'Required for respiratory growth protein 8 mitochondrial', NULL, 'RRG8', NULL, NULL, 25040, 8),
(34537, NULL, 'PF02682', NULL, NULL, 'Carboxyltransferase domain, subdomain C and D', NULL, 'CT_C_D', NULL, NULL, 6032, 8),
(34538, NULL, 'PF10253', NULL, NULL, 'Mitotic checkpoint regulator, MAD2B-interacting', NULL, 'PRCC', NULL, NULL, 19130, 8),
(34539, NULL, 'PF16116', NULL, NULL, 'Domain of unknown function (DUF4832)', NULL, 'DUF4832', NULL, NULL, 28042, 8),
(34540, NULL, 'PF19701', NULL, NULL, 'Family of unknown function (DUF6199)', NULL, 'DUF6199', NULL, NULL, 38688, 8),
(34541, NULL, 'PF09165', NULL, NULL, 'Ubiquinol-cytochrome c reductase 8 kDa, N-terminal', NULL, 'Ubiq-Cytc-red_N', NULL, NULL, 12895, 8),
(34542, NULL, 'PF10734', NULL, NULL, 'Protein of unknown function (DUF2523)', NULL, 'DUF2523', NULL, NULL, 21957, 8),
(34543, NULL, 'PF17014', NULL, NULL, 'Putative Mad3/BUB1 like region 1 protein', NULL, 'Mad3_BUB1_I_2', NULL, NULL, 23166, 8),
(34544, NULL, 'PF00319', NULL, NULL, 'SRF-type transcription factor (DNA-binding and dimerisation domain)', NULL, 'SRF-TF', NULL, NULL, 1414, 8),
(34545, NULL, 'PF02900', NULL, NULL, 'Catalytic LigB subunit of aromatic ring-opening dioxygenase', NULL, 'LigB', NULL, NULL, 2731, 8),
(34546, NULL, 'PF07058', NULL, NULL, 'Microtubule-associated protein 70', NULL, 'MAP70', NULL, NULL, 12585, 8),
(34547, NULL, 'PF15357', NULL, NULL, 'Psoriasis susceptibility 1 candidate 1', NULL, 'SEEK1', NULL, NULL, 28628, 8),
(34548, NULL, 'PF06389', NULL, NULL, 'Filovirus membrane-associated protein VP24', NULL, 'Filo_VP24', NULL, NULL, 8039, 8),
(34549, NULL, 'PF09056', NULL, NULL, 'Prokaryotic phospholipase A2', NULL, 'Phospholip_A2_3', NULL, NULL, 9801, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34550, NULL, 'PF16502', NULL, NULL, 'Domain of unknown function (DUF5059)', NULL, 'DUF5059', NULL, NULL, 25956, 8),
(34551, NULL, 'PF09836', NULL, NULL, 'Putative DNA-binding domain', NULL, 'DUF2063', NULL, NULL, 16554, 8),
(34552, NULL, 'PF17455', NULL, NULL, 'Late transcription unit B', NULL, 'LtuB', NULL, NULL, 20432, 8),
(34553, NULL, 'PF18117', NULL, NULL, 'Enhanced disease susceptibility 1 protein EP domain', NULL, 'EDS1_EP', NULL, NULL, 31889, 8),
(34554, NULL, 'PF17660', NULL, NULL, 'Bacterial tandem repeat domain 1', NULL, 'BTRD1', NULL, NULL, NULL, 8),
(34555, NULL, 'PF10713', NULL, NULL, 'Protein of unknown function (DUF2509)', NULL, 'DUF2509', NULL, NULL, 21134, 8),
(34556, NULL, 'PF15847', NULL, NULL, 'Major keratinocyte cell envelope protein', NULL, 'Loricrin', NULL, NULL, 22311, 8),
(34557, NULL, 'PF12258', NULL, NULL, 'Microcephalin protein', NULL, 'Microcephalin', NULL, NULL, 26561, 8),
(34558, NULL, 'PF18998', NULL, NULL, 'Divergent InlB B-repeat domain', NULL, 'Flg_new_2', NULL, NULL, 37370, 8),
(34559, NULL, 'PF19030', NULL, NULL, 'Thrombospondin type 1 domain', NULL, 'TSP1_ADAMTS', NULL, NULL, NULL, 8),
(34560, NULL, 'PF11650', NULL, NULL, 'P22 tail accessory factor', NULL, 'P22_Tail-4', NULL, NULL, 19635, 8),
(34561, NULL, 'PF04009', NULL, NULL, 'Protein of unknown function (DUF356)', NULL, 'DUF356', NULL, NULL, 240, 8),
(34562, NULL, 'PF01580', NULL, NULL, 'FtsK/SpoIIIE family', NULL, 'FtsK_SpoIIIE', NULL, NULL, 1760, 8),
(34563, NULL, 'PF19330', NULL, NULL, 'Delta and Notch-like EGF-related receptor C-terminus', NULL, 'DNER_C', NULL, NULL, 36950, 8),
(34564, NULL, 'PF08272', NULL, NULL, 'Topoisomerase I zinc-ribbon-like', NULL, 'Topo_Zn_Ribbon', NULL, NULL, 13329, 8),
(34565, NULL, 'PF14296', NULL, NULL, 'O-antigen polysaccharide polymerase Wzy', NULL, 'O-ag_pol_Wzy', NULL, NULL, 28862, 8),
(34566, NULL, 'PF04516', NULL, NULL, 'CP2 transcription factor', NULL, 'CP2', NULL, NULL, 2889, 8),
(34567, NULL, 'PF10224', NULL, NULL, 'Short coiled-coil protein', NULL, 'DUF2205', NULL, NULL, 15845, 8),
(34568, NULL, 'PF11873', NULL, NULL, 'Membrane-bound lytic murein transglycosylase C, N-terminal domain', NULL, 'Mltc_N', NULL, NULL, 22239, 8),
(34569, NULL, 'PF09683', NULL, NULL, 'Bacteriocin (Lactococcin_972)', NULL, 'Lactococcin_972', NULL, NULL, 311, 8),
(34570, NULL, 'PF14802', NULL, NULL, 'TMEM192 family', NULL, 'TMEM192', NULL, NULL, 26327, 8),
(34571, NULL, 'PF05527', NULL, NULL, 'Domain of unknown function (DUF758)', NULL, 'DUF758', NULL, NULL, 12307, 8),
(34572, NULL, 'PF13526', NULL, NULL, 'Protein of unknown function (DUF4125)', NULL, 'DUF4125', NULL, NULL, 21769, 8),
(34573, NULL, 'PF16032', NULL, NULL, 'Domain of unknown function (DUF4788)', NULL, 'DUF4788', NULL, NULL, 23012, 8),
(34574, NULL, 'PF14338', NULL, NULL, 'Mrr N-terminal domain', NULL, 'Mrr_N', NULL, NULL, 23114, 8),
(34575, NULL, 'PF18719', NULL, NULL, 'ArlS sensor domain', NULL, 'ArlS_N', NULL, NULL, 33244, 8),
(34576, NULL, 'PF00965', NULL, NULL, 'Tissue inhibitor of metalloproteinase', NULL, 'TIMP', NULL, NULL, 4470, 8),
(34577, NULL, 'PF11623', NULL, NULL, 'NAD(P)H dehydrogenase subunit S', NULL, 'NdhS', NULL, NULL, 19184, 8),
(34578, NULL, 'PF08364', NULL, NULL, 'Bacterial translation initiation factor IF-2 associated region', NULL, 'IF2_assoc', NULL, NULL, 12264, 8),
(34579, NULL, 'PF05006', NULL, NULL, 'Per os infectivity factor 3', NULL, 'PIF3', NULL, NULL, 1489, 8),
(34580, NULL, 'PF01524', NULL, NULL, 'Geminivirus V2 protein', NULL, 'Gemini_V2', NULL, NULL, 875, 8),
(34581, NULL, 'PF12190', NULL, NULL, 'Fungal protease inhibitor', NULL, 'amfpi-1', NULL, NULL, 15075, 8),
(34582, NULL, 'PF01600', NULL, NULL, 'Coronavirus spike glycoprotein S1', NULL, 'CoV_S1', NULL, NULL, 1711, 8),
(34583, NULL, 'PF15208', NULL, NULL, 'Rab15 effector', NULL, 'Rab15_effector', NULL, NULL, 26441, 8),
(34584, NULL, 'PF11523', NULL, NULL, 'Protein of unknown function (DUF3223)', NULL, 'DUF3223', NULL, NULL, NULL, 8),
(34585, NULL, 'PF13188', NULL, NULL, 'PAS domain', NULL, 'PAS_8', NULL, NULL, 3851, 8),
(34586, NULL, 'PF09380', NULL, NULL, 'FERM C-terminal PH-like domain', NULL, 'FERM_C', NULL, NULL, 15124, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34587, NULL, 'PF19458', NULL, NULL, 'Family of unknown function (DUF5995)', NULL, 'DUF5995', NULL, NULL, 39237, 8),
(34588, NULL, 'PF01183', NULL, NULL, 'Glycosyl hydrolases family 25', NULL, 'Glyco_hydro_25', NULL, NULL, 5373, 8),
(34589, NULL, 'PF15388', NULL, NULL, 'Protein Family FAM117', NULL, 'FAM117', NULL, NULL, 24061, 8),
(34590, NULL, 'PF01093', NULL, NULL, 'Clusterin', NULL, 'Clusterin', NULL, NULL, 5191, 8),
(34591, NULL, 'PF10163', NULL, NULL, 'Transcription factor e(y)2', NULL, 'EnY2', NULL, NULL, 19408, 8),
(34592, NULL, 'PF05397', NULL, NULL, 'Mediator complex subunit 15', NULL, 'Med15_fungi', NULL, NULL, 14280, 8),
(34593, NULL, 'PF12285', NULL, NULL, 'Mamastrovirus p20 protein', NULL, 'DUF3621', NULL, NULL, 20790, 8),
(34594, NULL, 'PF07802', NULL, NULL, 'GCK domain', NULL, 'GCK', NULL, NULL, 13189, 8),
(34595, NULL, 'PF13545', NULL, NULL, 'Crp-like helix-turn-helix domain', NULL, 'HTH_Crp_2', NULL, NULL, 11710, 8),
(34596, NULL, 'PF06134', NULL, NULL, 'L-rhamnose isomerase (RhaA)', NULL, 'RhaA', NULL, NULL, 13552, 8),
(34597, NULL, 'PF13710', NULL, NULL, 'ACT domain', NULL, 'ACT_5', NULL, NULL, NULL, 8),
(34598, NULL, 'PF00199', NULL, NULL, 'Catalase', NULL, 'Catalase', NULL, NULL, 12241, 8),
(34599, NULL, 'PF05538', NULL, NULL, 'Campylobacter major outer membrane protein', NULL, 'Campylo_MOMP', NULL, NULL, 8979, 8),
(34600, NULL, 'PF02079', NULL, NULL, 'Nuclear transition protein 1', NULL, 'TP1', NULL, NULL, 2169, 8),
(34601, NULL, 'PF02451', NULL, NULL, 'Nodulin', NULL, 'Nodulin', NULL, NULL, 4552, 8),
(34602, NULL, 'PF02777', NULL, NULL, 'Iron/manganese superoxide dismutases, C-terminal domain', NULL, 'Sod_Fe_C', NULL, NULL, 18395, 8),
(34603, NULL, 'PF03200', NULL, NULL, 'Glycosyl hydrolase family 63 C-terminal domain', NULL, 'Glyco_hydro_63', NULL, NULL, 27889, 8),
(34604, NULL, 'PF04012', NULL, NULL, 'PspA/IM30 family', NULL, 'PspA_IM30', NULL, NULL, 195, 8),
(34605, NULL, 'PF05488', NULL, NULL, 'PAAR motif', NULL, 'PAAR_motif', NULL, NULL, 12486, 8),
(34606, NULL, 'PF07721', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_4', NULL, NULL, 8623, 8),
(34607, NULL, 'PF14003', NULL, NULL, 'YlbE-like protein', NULL, 'YlbE', NULL, NULL, 28300, 8),
(34608, NULL, 'PF17482', NULL, NULL, 'Phage tail sheath C-terminal domain', NULL, 'Phage_sheath_1C', NULL, NULL, 20846, 8),
(34609, NULL, 'PF07142', NULL, NULL, 'Repeat of unknown function (DUF1388)', NULL, 'DUF1388', NULL, NULL, 11197, 8),
(34610, NULL, 'PF10083', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2321)', NULL, 'DUF2321', NULL, NULL, 17104, 8),
(34611, NULL, 'PF11709', NULL, NULL, 'Mitochondrial ribosomal protein subunit', NULL, 'Mit_ribos_Mrp51', NULL, NULL, 20933, 8),
(34612, NULL, 'PF13068', NULL, NULL, 'Protein of unknown function (DUF3932)', NULL, 'DUF3932', NULL, NULL, 21541, 8),
(34613, NULL, 'PF09717', NULL, NULL, 'Plasmodium falciparum domain of unknown function (CPW_WPC)', NULL, 'CPW_WPC', NULL, NULL, 5575, 8),
(34614, NULL, 'PF03970', NULL, NULL, 'Herpesvirus UL37 tegument protein', NULL, 'Herpes_UL37_1', NULL, NULL, 2829, 8),
(34615, NULL, 'PF16834', NULL, NULL, 'Shu complex component Csm2, DNA-binding', NULL, 'CSM2', NULL, NULL, 22020, 8),
(34616, NULL, 'PF10877', NULL, NULL, 'Protein of unknown function (DUF2671)', NULL, 'DUF2671', NULL, NULL, 17040, 8),
(34617, NULL, 'PF12465', NULL, NULL, 'Proteasome beta subunits C terminal', NULL, 'Pr_beta_C', NULL, NULL, 22881, 8),
(34618, NULL, 'PF03407', NULL, NULL, 'Nucleotide-diphospho-sugar transferase', NULL, 'Nucleotid_trans', NULL, NULL, 2424, 8),
(34619, NULL, 'PF07091', NULL, NULL, 'Ribosomal RNA methyltransferase (FmrO)', NULL, 'FmrO', NULL, NULL, 25941, 8),
(34620, NULL, 'PF14630', NULL, NULL, 'Origin recognition complex (ORC) subunit 5 C-terminus', NULL, 'ORC5_C', NULL, NULL, 20752, 8),
(34621, NULL, 'PF04996', NULL, NULL, 'Succinylarginine dihydrolase', NULL, 'AstB', NULL, NULL, 486, 8),
(34622, NULL, 'PF16875', NULL, NULL, 'Glycosyl hydrolase family 36 N-terminal domain', NULL, 'Glyco_hydro_36N', NULL, NULL, 25982, 8),
(34623, NULL, 'PF17591', NULL, NULL, 'Herpesvirus UL41A', NULL, 'UL41A', NULL, NULL, 19124, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34624, NULL, 'PF20153', NULL, NULL, 'Family of unknown function (DUF6535)', NULL, 'DUF6535', NULL, NULL, 39755, 8),
(34625, NULL, 'PF10358', NULL, NULL, 'N-terminal C2 in EEIG1 and EHBP1 proteins', NULL, 'NT-C2', NULL, NULL, 17785, 8),
(34626, NULL, 'PF00215', NULL, NULL, 'Orotidine 5''-phosphate decarboxylase / HUMPS family', NULL, 'OMPdecase', NULL, NULL, 3135, 8),
(34627, NULL, 'PF09194', NULL, NULL, 'Restriction endonuclease BsobI', NULL, 'Endonuc-BsobI', NULL, NULL, 12886, 8),
(34628, NULL, 'PF12879', NULL, NULL, 'SICA C-terminal inner membrane domain', NULL, 'SICA_C', NULL, NULL, 9217, 8),
(34629, NULL, 'PF15807', NULL, NULL, 'Membrane-associated protein 117 kDa, PDZK1-interacting protein 1', NULL, 'MAP17', NULL, NULL, 27099, 8),
(34630, NULL, 'PF09257', NULL, NULL, 'BCMA, TALL-1 binding', NULL, 'BCMA-Tall_bind', NULL, NULL, 13617, 8),
(34631, NULL, 'PF03729', NULL, NULL, 'Short repeat of unknown function (DUF308)', NULL, 'DUF308', NULL, NULL, 5632, 8),
(34632, NULL, 'PF08833', NULL, NULL, 'Axin beta-catenin binding motif', NULL, 'Axin_b-cat_bind', NULL, NULL, 14160, 8),
(34633, NULL, 'PF18512', NULL, NULL, 'Benzylsuccinate synthase beta subunit', NULL, 'BssB_TutG', NULL, NULL, 29590, 8),
(34634, NULL, 'PF12610', NULL, NULL, 'Suppressor of cytokine signalling', NULL, 'SOCS', NULL, NULL, 21218, 8),
(34635, NULL, 'PF16251', NULL, NULL, 'Betacoronavirus nucleic acid-binding (NAR)', NULL, 'bCoV_NAR', NULL, NULL, 25310, 8),
(34636, NULL, 'PF03436', NULL, NULL, 'Domain of unknown function (DUF281)', NULL, 'DUF281', NULL, NULL, 10541, 8),
(34637, NULL, 'PF13122', NULL, NULL, 'Protein of unknown function (DUF3977)', NULL, 'DUF3977', NULL, NULL, 27055, 8),
(34638, NULL, 'PF02918', NULL, NULL, 'Pertussis toxin, subunit 2 and 3, C-terminal domain', NULL, 'Pertussis_S2S3', NULL, NULL, 18018, 8),
(34639, NULL, 'PF19302', NULL, NULL, 'Domain of unknown function (DUF5915)', NULL, 'DUF5915', NULL, NULL, NULL, 8),
(34640, NULL, 'PF04341', NULL, NULL, 'Protein of unknown function, DUF485', NULL, 'DUF485', NULL, NULL, 3906, 8),
(34641, NULL, 'PF06045', NULL, NULL, 'Rhamnogalacturonate lyase family', NULL, 'Rhamnogal_lyase', NULL, NULL, 8832, 8),
(34642, NULL, 'PF18763', NULL, NULL, 'ddrB-like ParB superfamily domain', NULL, 'ddrB-ParB', NULL, NULL, 31502, 8),
(34643, NULL, 'PF19335', NULL, NULL, 'Heavy metal binding domain', NULL, 'HMBD', NULL, NULL, 39216, 8),
(34644, NULL, 'PF08595', NULL, NULL, 'RXT2-like, N-terminal', NULL, 'RXT2_N', NULL, NULL, 18177, 8),
(34645, NULL, 'PF02056', NULL, NULL, 'Family 4 glycosyl hydrolase', NULL, 'Glyco_hydro_4', NULL, NULL, 2320, 8),
(34646, NULL, 'PF03589', NULL, NULL, 'Antitermination protein', NULL, 'Antiterm', NULL, NULL, 2939, 8),
(34647, NULL, 'PF18652', NULL, NULL, 'Adhesin P1 N-terminal domain', NULL, 'Adhesin_P1_N', NULL, NULL, 31756, 8),
(34648, NULL, 'PF00700', NULL, NULL, 'Bacterial flagellin C-terminal helical region', NULL, 'Flagellin_C', NULL, NULL, 1049, 8),
(34649, NULL, 'PF11704', NULL, NULL, 'Vesicle coat protein involved in Golgi to plasma membrane transport', NULL, 'Folliculin', NULL, NULL, 35769, 8),
(34650, NULL, 'PF02976', NULL, NULL, 'DNA mismatch repair enzyme MutH', NULL, 'MutH', NULL, NULL, 13916, 8),
(34651, NULL, 'PF06822', NULL, NULL, 'Protein of unknown function (DUF1235)', NULL, 'DUF1235', NULL, NULL, 11284, 8),
(34652, NULL, 'PF10962', NULL, NULL, 'Protein of unknown function (DUF2764)', NULL, 'DUF2764', NULL, NULL, 25622, 8),
(34653, NULL, 'PF02228', NULL, NULL, 'Major core protein p19', NULL, 'Gag_p19', NULL, NULL, 1838, 8),
(34654, NULL, 'PF06674', NULL, NULL, 'Protein of unknown function (DUF1176)', NULL, 'DUF1176', NULL, NULL, 10214, 8),
(34655, NULL, 'PF02420', NULL, NULL, 'Insect antifreeze protein repeat', NULL, 'AFP', NULL, NULL, 5611, 8),
(34656, NULL, 'PF05342', NULL, NULL, 'M26 IgA1-specific Metallo-endopeptidase N-terminal region', NULL, 'Peptidase_M26_N', NULL, NULL, 5433, 8),
(34657, NULL, 'PF09668', NULL, NULL, 'Aspartyl protease', NULL, 'Asp_protease', NULL, NULL, 17715, 8),
(34658, NULL, 'PF08758', NULL, NULL, 'Cadherin prodomain like', NULL, 'Cadherin_pro', NULL, NULL, 13337, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34659, NULL, 'PF12899', NULL, NULL, 'Alkaline and neutral invertase', NULL, 'Glyco_hydro_100', NULL, NULL, 19185, 8),
(34660, NULL, 'PF08366', NULL, NULL, 'LLGL2', NULL, 'LLGL', NULL, NULL, 12128, 8),
(34661, NULL, 'PF09535', NULL, NULL, 'Protein of unknown function (Gmx_para_CXXCG)', NULL, 'Gmx_para_CXXCG', NULL, NULL, 11783, 8),
(34662, NULL, 'PF02458', NULL, NULL, 'Transferase family', NULL, 'Transferase', NULL, NULL, 6443, 8),
(34663, NULL, 'PF09404', NULL, NULL, 'KICSTOR complex C12orf66 like', NULL, 'C12orf66_like', NULL, NULL, 14954, 8),
(34664, NULL, 'PF14161', NULL, NULL, 'Centrosome-associated N terminus', NULL, 'FAM110_N', NULL, NULL, 26474, 8),
(34665, NULL, 'PF04317', NULL, NULL, 'YcjX-like family, DUF463', NULL, 'DUF463', NULL, NULL, 3575, 8),
(34666, NULL, 'PF05651', NULL, NULL, 'Putative sugar diacid recognition', NULL, 'Diacid_rec', NULL, NULL, 14232, 8),
(34667, NULL, 'PF19801', NULL, NULL, 'Family of unknown function (DUF6284)', NULL, 'DUF6284', NULL, NULL, 39649, 8),
(34668, NULL, 'PF04578', NULL, NULL, 'Protein of unknown function, DUF594', NULL, 'DUF594', NULL, NULL, 490, 8),
(34669, NULL, 'PF06062', NULL, NULL, 'Uncharacterised protein family (UPF0231)', NULL, 'UPF0231', NULL, NULL, 971, 8),
(34670, NULL, 'PF18498', NULL, NULL, 'Domain of unknown function (DUF5618)', NULL, 'DUF5618', NULL, NULL, 31158, 8),
(34671, NULL, 'PF19137', NULL, NULL, 'Family of unknown function (DUF5820)', NULL, 'DUF5820', NULL, NULL, 36917, 8),
(34672, NULL, 'PF12876', NULL, NULL, 'Sugar-binding cellulase-like', NULL, 'Cellulase-like', NULL, NULL, 25207, 8),
(34673, NULL, 'PF00825', NULL, NULL, 'Ribonuclease P', NULL, 'Ribonuclease_P', NULL, NULL, 3920, 8),
(34674, NULL, 'PF05063', NULL, NULL, 'MT-A70', NULL, 'MT-A70', NULL, NULL, 1409, 8),
(34675, NULL, 'PF11220', NULL, NULL, 'Protein of unknown function (DUF3015)', NULL, 'DUF3015', NULL, NULL, 18031, 8),
(34676, NULL, 'PF11717', NULL, NULL, 'RNA binding activity-knot of a chromodomain', NULL, 'Tudor-knot', NULL, NULL, 18492, 8),
(34677, NULL, 'PF00831', NULL, NULL, 'Ribosomal L29 protein', NULL, 'Ribosomal_L29', NULL, NULL, 4038, 8),
(34678, NULL, 'PF08934', NULL, NULL, 'Rb C-terminal domain', NULL, 'Rb_C', NULL, NULL, 7520, 8),
(34679, NULL, 'PF00487', NULL, NULL, 'Fatty acid desaturase', NULL, 'FA_desaturase', NULL, NULL, 6685, 8),
(34680, NULL, 'PF00603', NULL, NULL, 'Influenza RNA-dependent RNA polymerase subunit PA', NULL, 'Flu_PA', NULL, NULL, 2346, 8),
(34681, NULL, 'PF19433', NULL, NULL, 'Neuron-derived Neurotrophic Factor C-terminal', NULL, 'NDNF_C', NULL, NULL, 36999, 8),
(34682, NULL, 'PF08010', NULL, NULL, 'Bacteriophage protein GP30.3', NULL, 'Phage_30_3', NULL, NULL, 9657, 8),
(34683, NULL, 'PF00756', NULL, NULL, 'Putative esterase', NULL, 'Esterase', NULL, NULL, 5453, 8),
(34684, NULL, 'PF13657', NULL, NULL, 'HipA N-terminal domain', NULL, 'Couple_hipA', NULL, NULL, 21824, 8),
(34685, NULL, 'PF18952', NULL, NULL, 'Family of unknown function (DUF5696)', NULL, 'DUF5696', NULL, NULL, 36937, 8),
(34686, NULL, 'PF02594', NULL, NULL, 'Uncharacterised ACR, YggU family COG1872', NULL, 'DUF167', NULL, NULL, 2282, 8),
(34687, NULL, 'PF11894', NULL, NULL, 'Nuclear pore complex scaffold, nucleoporins 186/192/205', NULL, 'Nup192', NULL, NULL, 20349, 8),
(34688, NULL, 'PF00078', NULL, NULL, 'Reverse transcriptase (RNA-dependent DNA polymerase)', NULL, 'RVT_1', NULL, NULL, 6922, 8),
(34689, NULL, 'PF13542', NULL, NULL, 'Helix-turn-helix domain of transposase family ISL3', NULL, 'HTH_Tnp_ISL3', NULL, NULL, 25610, 8),
(34690, NULL, 'PF04336', NULL, NULL, 'Acyl carrier protein phosphodiesterase', NULL, 'ACP_PD', NULL, NULL, 3654, 8),
(34691, NULL, 'PF03698', NULL, NULL, 'Uncharacterised protein family (UPF0180)', NULL, 'UPF0180', NULL, NULL, 6231, 8),
(34692, NULL, 'PF02454', NULL, NULL, 'Sigma 1s protein', NULL, 'Sigma_1s', NULL, NULL, 6082, 8),
(34693, NULL, 'PF06619', NULL, NULL, 'Protein of unknown function (DUF1149)', NULL, 'DUF1149', NULL, NULL, 10283, 8),
(34694, NULL, 'PF16409', NULL, NULL, 'Domain of unknown function (DUF5017)', NULL, 'DUF5017', NULL, NULL, 24729, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34695, NULL, 'PF19094', NULL, NULL, 'EMC6-arch', NULL, 'EMC6_arch', NULL, NULL, 38007, 8),
(34696, NULL, 'PF04977', NULL, NULL, 'Septum formation initiator', NULL, 'DivIC', NULL, NULL, 6825, 8),
(34697, NULL, 'PF19316', NULL, NULL, 'GPI ethanolamine phosphate transferase membrane region', NULL, 'PIGO_PIGG', NULL, NULL, 38723, 8),
(34698, NULL, 'PF08314', NULL, NULL, 'Secretory pathway protein Sec39', NULL, 'Sec39', NULL, NULL, 12512, 8),
(34699, NULL, 'PF18511', NULL, NULL, 'F-box', NULL, 'F-box_5', NULL, NULL, 32563, 8),
(34700, NULL, 'PF03135', NULL, NULL, 'CagE, TrbE, VirB family, component of type IV transporter system', NULL, 'CagE_TrbE_VirB', NULL, NULL, 21014, 8),
(34701, NULL, 'PF18195', NULL, NULL, 'GatD N-terminal domain', NULL, 'GatD_N', NULL, NULL, 29617, 8),
(34702, NULL, 'PF16768', NULL, NULL, 'Nucleoporin homology of Germinal-centre associated nuclear protein', NULL, 'NupH_GANP', NULL, NULL, 22997, 8),
(34703, NULL, 'PF08725', NULL, NULL, 'Integrin beta cytoplasmic domain', NULL, 'Integrin_b_cyt', NULL, NULL, 11889, 8),
(34704, NULL, 'PF10200', NULL, NULL, 'NADH:ubiquinone oxidoreductase, NDUFS5-15kDa', NULL, 'Ndufs5', NULL, NULL, 15913, 8),
(34705, NULL, 'PF17586', NULL, NULL, 'Family of unknown function (DUF5485)', NULL, 'DUF5485', NULL, NULL, 30999, 8),
(34706, NULL, 'PF08092', NULL, NULL, 'Magi peptide toxin family', NULL, 'Toxin_22', NULL, NULL, 9979, 8),
(34707, NULL, 'PF03247', NULL, NULL, 'Prothymosin/parathymosin family', NULL, 'Prothymosin', NULL, NULL, 1845, 8),
(34708, NULL, 'PF06515', NULL, NULL, 'Borna disease virus P10 protein', NULL, 'BDV_P10', NULL, NULL, 9007, 8),
(34709, NULL, 'PF03424', NULL, NULL, 'Carbohydrate binding domain (family 17/28)', NULL, 'CBM_17_28', NULL, NULL, 10087, 8),
(34710, NULL, 'PF08139', NULL, NULL, 'Prokaryotic membrane lipoprotein lipid attachment site', NULL, 'LPAM_1', NULL, NULL, 10512, 8),
(34711, NULL, 'PF12159', NULL, NULL, 'Protein of unknown function (DUF3593)', NULL, 'DUF3593', NULL, NULL, 20506, 8),
(34712, NULL, 'PF10596', NULL, NULL, 'U6-snRNA interacting domain of PrP8', NULL, 'U6-snRNA_bdg', NULL, NULL, 20094, 8),
(34713, NULL, 'PF18267', NULL, NULL, 'Rubredoxin NAD+ reductase C-terminal domain', NULL, 'Rubredoxin_C', NULL, NULL, 32573, 8),
(34714, NULL, 'PF19687', NULL, NULL, 'MARF1 LOTUS domain', NULL, 'MARF1_LOTUS', NULL, NULL, 38631, 8),
(34715, NULL, 'PF11070', NULL, NULL, 'Protein of unknown function (DUF2871)', NULL, 'DUF2871', NULL, NULL, 17665, 8),
(34716, NULL, 'PF15215', NULL, NULL, 'Follicular dendritic cell secreted peptide', NULL, 'FDC-SP', NULL, NULL, 21610, 8),
(34717, NULL, 'PF19767', NULL, NULL, 'Family of unknown function (DUF6254)', NULL, 'DUF6254', NULL, NULL, 39791, 8),
(34718, NULL, 'PF07430', NULL, NULL, 'Phloem filament protein PP1 cystatin-like domain', NULL, 'PP1', NULL, NULL, 9463, 8),
(34719, NULL, 'PF14513', NULL, NULL, 'Diacylglycerol kinase N-terminus', NULL, 'DAG_kinase_N', NULL, NULL, 24134, 8),
(34720, NULL, 'PF02548', NULL, NULL, 'Ketopantoate hydroxymethyltransferase', NULL, 'Pantoate_transf', NULL, NULL, 2465, 8),
(34721, NULL, 'PF10531', NULL, NULL, 'SLBB domain', NULL, 'SLBB', NULL, NULL, 19797, 8),
(34722, NULL, 'PF17198', NULL, NULL, 'Spirocyclase AveC-like', NULL, 'AveC_like', NULL, NULL, 33479, 8),
(34723, NULL, 'PF14870', NULL, NULL, 'Photosynthesis system II assembly factor YCF48', NULL, 'PSII_BNR', NULL, NULL, 22847, 8),
(34724, NULL, 'PF00730', NULL, NULL, 'HhH-GPD superfamily base excision DNA repair protein', NULL, 'HhH-GPD', NULL, NULL, 3481, 8),
(34725, NULL, 'PF03021', NULL, NULL, 'Influenza C virus M2 protein', NULL, 'CM2', NULL, NULL, 3571, 8),
(34726, NULL, 'PF05827', NULL, NULL, 'Vacuolar ATP synthase subunit S1 (ATP6S1)', NULL, 'ATP-synt_S1', NULL, NULL, 7814, 8),
(34727, NULL, 'PF08457', NULL, NULL, 'Sfi1 spindle body protein', NULL, 'Sfi1', NULL, NULL, 13752, 8),
(34728, NULL, 'PF06347', NULL, NULL, 'Bacterial SH3 domain', NULL, 'SH3_4', NULL, NULL, 10426, 8),
(34729, NULL, 'PF12592', NULL, NULL, 'Protein of unknown function (DUF3763)', NULL, 'DUF3763', NULL, NULL, 16886, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34730, NULL, 'PF17583', NULL, NULL, 'Family of unknown function (DUF5484)', NULL, 'DUF5484', NULL, NULL, 33465, 8),
(34731, NULL, 'PF03038', NULL, NULL, 'UL95 family', NULL, 'Herpes_UL95', NULL, NULL, 4876, 8),
(34732, NULL, 'PF15474', NULL, NULL, 'Meiotically up-regulated gene family', NULL, 'MU117', NULL, NULL, 28983, 8),
(34733, NULL, 'PF16206', NULL, NULL, 'C-terminal region of Mon2 protein', NULL, 'Mon2_C', NULL, NULL, 22399, 8),
(34734, NULL, 'PF04715', NULL, NULL, 'Anthranilate synthase component I, N terminal region', NULL, 'Anth_synt_I_N', NULL, NULL, 4000, 8),
(34735, NULL, 'PF15340', NULL, NULL, 'Cooperator of PRMT5 family', NULL, 'COPR5', NULL, NULL, 25396, 8),
(34736, NULL, 'PF06723', NULL, NULL, 'MreB/Mbl protein', NULL, 'MreB_Mbl', NULL, NULL, NULL, 8),
(34737, NULL, 'PF18424', NULL, NULL, 'Alpha-Dystroglycan N-terminal domain 2', NULL, 'a_DG1_N2', NULL, NULL, 32726, 8),
(34738, NULL, 'PF00500', NULL, NULL, 'L1 (late) protein', NULL, 'Late_protein_L1', NULL, NULL, 237, 8),
(34739, NULL, 'PF00624', NULL, NULL, 'Flocculin repeat', NULL, 'Flocculin', NULL, NULL, 6686, 8),
(34740, NULL, 'PF01787', NULL, NULL, 'Ilarvirus coat protein', NULL, 'Ilar_coat', NULL, NULL, 2590, 8),
(34741, NULL, 'PF11316', NULL, NULL, 'Putative rhamnosyl transferase', NULL, 'Rhamno_transf', NULL, NULL, 18845, 8),
(34742, NULL, 'PF18601', NULL, NULL, 'EZH2 N-terminal domain', NULL, 'EZH2_N', NULL, NULL, 34465, 8),
(34743, NULL, 'PF14028', NULL, NULL, 'Lantibiotic biosynthesis dehydratase C-term', NULL, 'Lant_dehydr_C', NULL, NULL, 12788, 8),
(34744, NULL, 'PF08005', NULL, NULL, 'PHR domain', NULL, 'PHR', NULL, NULL, 12187, 8),
(34745, NULL, 'PF00433', NULL, NULL, 'Protein kinase C terminal domain', NULL, 'Pkinase_C', NULL, NULL, 2555, 8),
(34746, NULL, 'PF01368', NULL, NULL, 'DHH family', NULL, 'DHH', NULL, NULL, 5346, 8),
(34747, NULL, 'PF17247', NULL, NULL, 'Family of unknown function (DUF5316)', NULL, 'DUF5316', NULL, NULL, 19372, 8),
(34748, NULL, 'PF19114', NULL, NULL, 'EsV-1-7 cysteine-rich motif', NULL, 'EsV_1_7_cys', NULL, NULL, 38230, 8),
(34749, NULL, 'PF19133', NULL, NULL, 'Family of unknown function (DUF5816)', NULL, 'DUF5816', NULL, NULL, 36859, 8),
(34750, NULL, 'PF19883', NULL, NULL, 'Family of unknown function (DUF6356)', NULL, 'DUF6356', NULL, NULL, 39328, 8),
(34751, NULL, 'PF08350', NULL, NULL, 'Domain of unknown function (DUF1724)', NULL, 'DUF1724', NULL, NULL, 13345, 8),
(34752, NULL, 'PF09171', NULL, NULL, 'N-glycosylase/DNA lyase', NULL, 'AGOG', NULL, NULL, 12876, 8),
(34753, NULL, 'PF13577', NULL, NULL, 'SnoaL-like domain', NULL, 'SnoaL_4', NULL, NULL, 35787, 8),
(34754, NULL, 'PF17872', NULL, NULL, 'AAA lid domain', NULL, 'AAA_lid_10', NULL, NULL, 31557, 8),
(34755, NULL, 'PF09488', NULL, NULL, 'Mannosyl-3-phosphoglycerate synthase (osmo_MPGsynth)', NULL, 'Osmo_MPGsynth', NULL, NULL, 12904, 8),
(34756, NULL, 'PF16664', NULL, NULL, 'Unstructured on SH3 and cysteine-rich domain-containing protein 2', NULL, 'STAC2_u1', NULL, NULL, NULL, 8),
(34757, NULL, 'PF15281', NULL, NULL, 'Consortin C-terminus', NULL, 'Consortin_C', NULL, NULL, 22638, 8),
(34758, NULL, 'PF11864', NULL, NULL, 'Domain of unknown function (DUF3384)', NULL, 'DUF3384', NULL, NULL, 28956, 8),
(34759, NULL, 'PF17196', NULL, NULL, 'Protein of unknown function (DUF5133)', NULL, 'DUF5133', NULL, NULL, 33187, 8),
(34760, NULL, 'PF08172', NULL, NULL, 'CASP C terminal', NULL, 'CASP_C', NULL, NULL, 12308, 8),
(34761, NULL, 'PF16415', NULL, NULL, 'CCR4-NOT transcription complex subunit 1 CAF1-binding domain', NULL, 'CNOT1_CAF1_bind', NULL, NULL, 24977, 8),
(34762, NULL, 'PF14144', NULL, NULL, 'Seed dormancy control', NULL, 'DOG1', NULL, NULL, 28424, 8),
(34763, NULL, 'PF02404', NULL, NULL, 'Stem cell factor', NULL, 'SCF', NULL, NULL, 5537, 8),
(34764, NULL, 'PF02996', NULL, NULL, 'Prefoldin subunit', NULL, 'Prefoldin', NULL, NULL, 1570, 8),
(34765, NULL, 'PF14644', NULL, NULL, 'Domain of unknown function (DUF4456)', NULL, 'DUF4456', NULL, NULL, 24139, 8),
(34766, NULL, 'PF04648', NULL, NULL, 'Yeast mating factor alpha hormone', NULL, 'MF_alpha', NULL, NULL, 3296, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34767, NULL, 'PF14478', NULL, NULL, 'Domain of unknown function (DUF4430)', NULL, 'DUF4430', NULL, NULL, 25030, 8),
(34768, NULL, 'PF15453', NULL, NULL, 'Protein incorporated later into Tight Junctions', NULL, 'Pilt', NULL, NULL, 38363, 8),
(34769, NULL, 'PF07866', NULL, NULL, 'Protein of unknown function (DUF1653)', NULL, 'DUF1653', NULL, NULL, 17199, 8),
(34770, NULL, 'PF04670', NULL, NULL, 'Gtr1/RagA G protein conserved region', NULL, 'Gtr1_RagA', NULL, NULL, 3490, 8),
(34771, NULL, 'PF18790', NULL, NULL, 'KfrB protein', NULL, 'KfrB', NULL, NULL, 30726, 8),
(34772, NULL, 'PF05290', NULL, NULL, 'Baculovirus immediate-early protein (IE-0)', NULL, 'Baculo_IE-1', NULL, NULL, 4446, 8),
(34773, NULL, 'PF12065', NULL, NULL, 'Protein of unknown function (DUF3545)', NULL, 'DUF3545', NULL, NULL, 20201, 8),
(34774, NULL, 'PF00508', NULL, NULL, 'E2 (early) protein, N terminal', NULL, 'PPV_E2_N', NULL, NULL, 4095, 8),
(34775, NULL, 'PF02253', NULL, NULL, 'Phospholipase A1', NULL, 'PLA1', NULL, NULL, 3470, 8),
(34776, NULL, 'PF17592', NULL, NULL, 'Family of unknown function (DUF5489)', NULL, 'DUF5489', NULL, NULL, 19362, 8),
(34777, NULL, 'PF00231', NULL, NULL, 'ATP synthase', NULL, 'ATP-synt', NULL, NULL, 1704, 8),
(34778, NULL, 'PF03828', NULL, NULL, 'Cid1 family poly A polymerase', NULL, 'PAP_assoc', NULL, NULL, 5459, 8),
(34779, NULL, 'PF04276', NULL, NULL, 'Protein of unknown function (DUF443)', NULL, 'DUF443', NULL, NULL, 62, 8),
(34780, NULL, 'PF11947', NULL, NULL, 'Photosynthesis affected mutant 68', NULL, 'DUF3464', NULL, NULL, 20496, 8),
(34781, NULL, 'PF04929', NULL, NULL, 'Herpes DNA replication accessory factor', NULL, 'Herpes_DNAp_acc', NULL, NULL, 6679, 8),
(34782, NULL, 'PF09414', NULL, NULL, 'RNA ligase', NULL, 'RNA_ligase', NULL, NULL, 19800, 8),
(34783, NULL, 'PF08421', NULL, NULL, 'Putative zinc binding domain', NULL, 'Methyltransf_13', NULL, NULL, 11279, 8),
(34784, NULL, 'PF12478', NULL, NULL, 'Ubiquitin-associated protein 2', NULL, 'DUF3697', NULL, NULL, 21353, 8),
(34785, NULL, 'PF04466', NULL, NULL, 'Phage terminase large subunit', NULL, 'Terminase_3', NULL, NULL, 17164, 8),
(34786, NULL, 'PF10382', NULL, NULL, 'Protein of unknown function (DUF2439)', NULL, 'DUF2439', NULL, NULL, 20401, 8),
(34787, NULL, 'PF05881', NULL, NULL, '2'',3''-cyclic nucleotide 3''-phosphodiesterase (CNP or CNPase)', NULL, 'CNPase', NULL, NULL, 8607, 8),
(34788, NULL, 'PF11267', NULL, NULL, 'Domain of unknown function (DUF3067)', NULL, 'DUF3067', NULL, NULL, 18082, 8),
(34789, NULL, 'PF10406', NULL, NULL, 'Transcription factor TFIID complex subunit 8 C-term', NULL, 'TAF8_C', NULL, NULL, 17776, 8),
(34790, NULL, 'PF18840', NULL, NULL, 'Large polyvalent protein associated domain 25', NULL, 'LPD25', NULL, NULL, 32093, 8),
(34791, NULL, 'PF10476', NULL, NULL, 'Protein of unknown function C-terminus (DUF2448)', NULL, 'DUF2448', NULL, NULL, 21087, 8),
(34792, NULL, 'PF16125', NULL, NULL, 'Domain of unknown function (DUF4837)', NULL, 'DUF4837', NULL, NULL, 26936, 8),
(34793, NULL, 'PF01597', NULL, NULL, 'Glycine cleavage H-protein', NULL, 'GCV_H', NULL, NULL, 33952, 8),
(34794, NULL, 'PF13347', NULL, NULL, 'MFS/sugar transport protein', NULL, 'MFS_2', NULL, NULL, NULL, 8),
(34795, NULL, 'PF19749', NULL, NULL, 'Family of unknown function (DUF6236)', NULL, 'DUF6236', NULL, NULL, 39595, 8),
(34796, NULL, 'PF13911', NULL, NULL, 'AhpC/TSA antioxidant enzyme', NULL, 'AhpC-TSA_2', NULL, NULL, 22880, 8),
(34797, NULL, 'PF06593', NULL, NULL, 'Raspberry bushy dwarf virus coat protein', NULL, 'RBDV_coat', NULL, NULL, 9465, 8),
(34798, NULL, 'PF17655', NULL, NULL, 'Inward rectifier potassium channel C-terminal domain', NULL, 'IRK_C', NULL, NULL, 32856, 8),
(34799, NULL, 'PF05479', NULL, NULL, 'Photosystem I reaction centre subunit N (PSAN or PSI-N)', NULL, 'PsaN', NULL, NULL, 14201, 8),
(34800, NULL, 'PF00727', NULL, NULL, 'Interleukin 4', NULL, 'IL4', NULL, NULL, 6833, 8),
(34801, NULL, 'PF03307', NULL, NULL, 'Adenovirus 15.3kD protein in E3 region', NULL, 'Adeno_E3_15_3', NULL, NULL, 721, 8),
(34802, NULL, 'PF18707', NULL, NULL, 'Interleukin-2 receptor subunit beta N-terminal domain 1', NULL, 'IL2RB_N1', NULL, NULL, 31792, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34803, NULL, 'PF13765', NULL, NULL, 'SPRY-associated domain', NULL, 'PRY', NULL, NULL, 72, 8),
(34804, NULL, 'PF12432', NULL, NULL, 'Protein of unknown function (DUF3677)', NULL, 'DUF3677', NULL, NULL, 21495, 8),
(34805, NULL, 'PF04188', NULL, NULL, 'Mannosyltransferase (PIG-V)', NULL, 'Mannosyl_trans2', NULL, NULL, 4657, 8),
(34806, NULL, 'PF07621', NULL, NULL, 'Protein of unknown function (DUF1582)', NULL, 'DUF1582', NULL, NULL, 14064, 8),
(34807, NULL, 'PF15210', NULL, NULL, 'Surfactant-associated protein 2', NULL, 'SFTA2', NULL, NULL, 23116, 8),
(34808, NULL, 'PF11283', NULL, NULL, 'Protein of unknown function (DUF3084)', NULL, 'DUF3084', NULL, NULL, 18112, 8),
(34809, NULL, 'PF14786', NULL, NULL, 'Tube Death domain', NULL, 'Death_2', NULL, NULL, 26379, 8),
(34810, NULL, 'PF10769', NULL, NULL, 'Protein of unknown function (DUF2594)', NULL, 'DUF2594', NULL, NULL, 21162, 8),
(34811, NULL, 'PF06295', NULL, NULL, 'Protein of unknown function (DUF1043)', NULL, 'DUF1043', NULL, NULL, 8093, 8),
(34812, NULL, 'PF18629', NULL, NULL, 'Family of unknown function (DUF5629)', NULL, 'DUF5629', NULL, NULL, 31088, 8),
(34813, NULL, 'PF08717', NULL, NULL, 'Coronavirus replicase NSP8', NULL, 'CoV_NSP8', NULL, NULL, 11830, 8),
(34814, NULL, 'PF05042', NULL, NULL, 'Caleosin related protein', NULL, 'Caleosin', NULL, NULL, 1267, 8),
(34815, NULL, 'PF15678', NULL, NULL, 'Centriole duplication and mitotic chromosome congression', NULL, 'SPICE', NULL, NULL, 27402, 8),
(34816, NULL, 'PF17476', NULL, NULL, 'Clostridial binary toxin B/anthrax toxin PA domain 3', NULL, 'Binary_toxB_3', NULL, NULL, 18623, 8),
(34817, NULL, 'PF13071', NULL, NULL, 'Protein of unknown function (DUF3935)', NULL, 'DUF3935', NULL, NULL, 21883, 8),
(34818, NULL, 'PF06323', NULL, NULL, 'Phage antitermination protein Q', NULL, 'Phage_antiter_Q', NULL, NULL, 10468, 8),
(34819, NULL, 'PF04666', NULL, NULL, 'N-Acetylglucosaminyltransferase-IV (GnT-IV) conserved region', NULL, 'Glyco_transf_54', NULL, NULL, NULL, 8),
(34820, NULL, 'PF08737', NULL, NULL, 'Rgp1', NULL, 'Rgp1', NULL, NULL, 11566, 8),
(34821, NULL, 'PF18020', NULL, NULL, 'TIG domain found in plexin', NULL, 'TIG_2', NULL, NULL, 31615, 8),
(34822, NULL, 'PF13876', NULL, NULL, 'Phage protein (N4 Gp49/phage Sf6 gene 66) family', NULL, 'Phage_gp49_66', NULL, NULL, 24411, 8),
(34823, NULL, 'PF17238', NULL, NULL, 'Family of unknown function (DUF5311)', NULL, 'DUF5311', NULL, NULL, 20311, 8),
(34824, NULL, 'PF07710', NULL, NULL, 'P53 tetramerisation motif', NULL, 'P53_tetramer', NULL, NULL, 8375, 8),
(34825, NULL, 'PF16733', NULL, NULL, 'Rhomboid N-terminal domain', NULL, 'NRho', NULL, NULL, 25099, 8),
(34826, NULL, 'PF05055', NULL, NULL, 'Protein of unknown function (DUF677)', NULL, 'DUF677', NULL, NULL, 1163, 8),
(34827, NULL, 'PF03184', NULL, NULL, 'DDE superfamily endonuclease', NULL, 'DDE_1', NULL, NULL, 7133, 8),
(34828, NULL, 'PF04275', NULL, NULL, 'Phosphomevalonate kinase', NULL, 'P-mevalo_kinase', NULL, NULL, 293, 8),
(34829, NULL, 'PF07378', NULL, NULL, 'Flagellar protein FlbT', NULL, 'FlbT', NULL, NULL, 8065, 8),
(34830, NULL, 'PF11318', NULL, NULL, 'Protein of unknown function (DUF3120)', NULL, 'DUF3120', NULL, NULL, 18896, 8),
(34831, NULL, 'PF05032', NULL, NULL, 'Spo12 family', NULL, 'Spo12', NULL, NULL, 1305, 8),
(34832, NULL, 'PF07912', NULL, NULL, 'ERp29, N-terminal domain', NULL, 'ERp29_N', NULL, NULL, 13127, 8),
(34833, NULL, 'PF02277', NULL, NULL, 'Phosphoribosyltransferase', NULL, 'DBI_PRT', NULL, NULL, 1542, 8),
(34834, NULL, 'PF04583', NULL, NULL, 'Baculoviridae p74 conserved region', NULL, 'Baculo_p74', NULL, NULL, 230, 8),
(34835, NULL, 'PF17101', NULL, NULL, 'Stealth protein CR1, conserved region 1', NULL, 'Stealth_CR1', NULL, NULL, 7437, 8),
(34836, NULL, 'PF00394', NULL, NULL, 'Multicopper oxidase', NULL, 'Cu-oxidase', NULL, NULL, 1420, 8),
(34837, NULL, 'PF00126', NULL, NULL, 'Bacterial regulatory helix-turn-helix protein, lysR family', NULL, 'HTH_1', NULL, NULL, 165, 8),
(34838, NULL, 'PF08972', NULL, NULL, 'Domain of unknown function (DUF1902)', NULL, 'DUF1902', NULL, NULL, 8644, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34839, NULL, 'PF09701', NULL, NULL, 'CRISPR-associated protein (Cas_Cmr5)', NULL, 'Cas_Cmr5', NULL, NULL, 10966, 8),
(34840, NULL, 'PF05974', NULL, NULL, 'Domain of unknown function (DUF892)', NULL, 'DUF892', NULL, NULL, 7811, 8),
(34841, NULL, 'PF05959', NULL, NULL, 'Nucleopolyhedrovirus protein of unknown function (DUF884)', NULL, 'DUF884', NULL, NULL, 12826, 8),
(34842, NULL, 'PF04388', NULL, NULL, 'Hamartin protein', NULL, 'Hamartin', NULL, NULL, 10256, 8),
(34843, NULL, 'PF18175', NULL, NULL, 'CCDC81-like prokaryotic HU domain 2', NULL, 'HU-CCDC81_bac_2', NULL, NULL, 31859, 8),
(34844, NULL, 'PF05878', NULL, NULL, 'Phytoreovirus nonstructural protein Pns9/Pns10', NULL, 'Phyto_Pns9_10', NULL, NULL, 12296, 8),
(34845, NULL, 'PF08259', NULL, NULL, 'Periviscerokinin family', NULL, 'Periviscerokin', NULL, NULL, 12118, 8),
(34846, NULL, 'PF14904', NULL, NULL, 'Family of unknown function', NULL, 'FAM86', NULL, NULL, 26330, 8),
(34847, NULL, 'PF02365', NULL, NULL, 'No apical meristem (NAM) protein', NULL, 'NAM', NULL, NULL, 5301, 8),
(34848, NULL, 'PF15345', NULL, NULL, 'Transmembrane protein 51', NULL, 'TMEM51', NULL, NULL, NULL, 8),
(34849, NULL, 'PF19307', NULL, NULL, 'Phage capsid-like protein', NULL, 'PCLP', NULL, NULL, 38673, 8),
(34850, NULL, 'PF12280', NULL, NULL, 'Brain specific membrane anchored protein', NULL, 'BSMAP', NULL, NULL, 20553, 8),
(34851, NULL, 'PF12391', NULL, NULL, 'Protocatechuate 3,4-dioxygenase beta subunit N terminal', NULL, 'PCDO_beta_N', NULL, NULL, 19381, 8),
(34852, NULL, 'PF19249', NULL, NULL, 'Family of unknown function (DUF5897)', NULL, 'DUF5897', NULL, NULL, 39628, 8),
(34853, NULL, 'PF09960', NULL, NULL, 'Uncharacterised protein conserved in bacteria (DUF2194)', NULL, 'DUF2194', NULL, NULL, 17731, 8),
(34854, NULL, 'PF10518', NULL, NULL, 'TAT (twin-arginine translocation) pathway signal sequence', NULL, 'TAT_signal', NULL, NULL, 19316, 8),
(34855, NULL, 'PF00953', NULL, NULL, 'Glycosyl transferase family 4', NULL, 'Glycos_transf_4', NULL, NULL, 3743, 8),
(34856, NULL, 'PF12743', NULL, NULL, 'Oestrogen-type nuclear receptor final C-terminal', NULL, 'ESR1_C', NULL, NULL, 7628, 8),
(34857, NULL, 'PF01858', NULL, NULL, 'Retinoblastoma-associated protein A domain', NULL, 'RB_A', NULL, NULL, 3810, 8),
(34858, NULL, 'PF14373', NULL, NULL, 'Superinfection immunity protein', NULL, 'Imm_superinfect', NULL, NULL, 21691, 8),
(34859, NULL, 'PF14803', NULL, NULL, 'Nudix N-terminal', NULL, 'Nudix_N_2', NULL, NULL, 26042, 8),
(34860, NULL, 'PF04304', NULL, NULL, 'Protein of unknown function (DUF454)', NULL, 'DUF454', NULL, NULL, 3880, 8),
(34861, NULL, 'PF06470', NULL, NULL, 'SMC proteins Flexible Hinge Domain', NULL, 'SMC_hinge', NULL, NULL, 7563, 8),
(34862, NULL, 'PF11512', NULL, NULL, 'Agrobacterium tumefaciens protein Atu4866', NULL, 'Atu4866', NULL, NULL, 16198, 8),
(34863, NULL, 'PF07540', NULL, NULL, 'Nucleolar complex-associated protein', NULL, 'NOC3p', NULL, NULL, 12896, 8),
(34864, NULL, 'PF16193', NULL, NULL, 'AAA C-terminal domain', NULL, 'AAA_assoc_2', NULL, NULL, 26654, 8),
(34865, NULL, 'PF07187', NULL, NULL, 'Protein of unknown function (DUF1405)', NULL, 'DUF1405', NULL, NULL, 13545, 8),
(34866, NULL, 'PF12435', NULL, NULL, 'Protein of unknown function (DUF3678)', NULL, 'DUF3678', NULL, NULL, 21373, 8),
(34867, NULL, 'PF07693', NULL, NULL, 'KAP family P-loop domain', NULL, 'KAP_NTPase', NULL, NULL, 10877, 8),
(34868, NULL, 'PF17026', NULL, NULL, 'Putative ribonucleoprotein zinc-finger pf C4 type', NULL, 'zf-RRPl_C4', NULL, NULL, 23217, 8),
(34869, NULL, 'PF09877', NULL, NULL, 'Predicted membrane protein (DUF2104)', NULL, 'DUF2104', NULL, NULL, 19479, 8),
(34870, NULL, 'PF14687', NULL, NULL, 'Domain of unknown function (DUF4460)', NULL, 'DUF4460', NULL, NULL, 24560, 8),
(34871, NULL, 'PF00130', NULL, NULL, 'Phorbol esters/diacylglycerol binding domain (C1 domain)', NULL, 'C1_1', NULL, NULL, 5500, 8),
(34872, NULL, 'PF07098', NULL, NULL, 'Protein of unknown function (DUF1360)', NULL, 'DUF1360', NULL, NULL, 10624, 8),
(34873, NULL, 'PF00364', NULL, NULL, 'Biotin-requiring enzyme', NULL, 'Biotin_lipoyl', NULL, NULL, 2863, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34874, NULL, 'PF18160', NULL, NULL, 'SMODS and SLOG-associating 2TM effector domain family 5', NULL, 'SLATT_5', NULL, NULL, 31413, 8),
(34875, NULL, 'PF09203', NULL, NULL, 'MspA', NULL, 'MspA', NULL, NULL, 12934, 8),
(34876, NULL, 'PF15956', NULL, NULL, 'Domain of unknown function (DUF4760)', NULL, 'DUF4760', NULL, NULL, 28331, 8),
(34877, NULL, 'PF17433', NULL, NULL, 'Glycosyl hydrolase family 49 N-terminal Ig-like domain', NULL, 'Glyco_hydro_49N', NULL, NULL, 13094, 8),
(34878, NULL, 'PF07701', NULL, NULL, 'Heme NO binding associated', NULL, 'HNOBA', NULL, NULL, 10594, 8),
(34879, NULL, 'PF18367', NULL, NULL, 'Rv2175c C-terminal domain of unknown function', NULL, 'Rv2175c_C', NULL, NULL, 31407, 8),
(34880, NULL, 'PF11989', NULL, NULL, 'Retrograde transport protein Dsl1 C terminal', NULL, 'Dsl1_C', NULL, NULL, 20235, 8),
(34881, NULL, 'PF07280', NULL, NULL, 'Per os infectivity factor AC110', NULL, 'Ac110_PIF', NULL, NULL, 14656, 8),
(34882, NULL, 'PF17697', NULL, NULL, 'Family of unknown function (DUF5543)', NULL, 'DUF5543', NULL, NULL, 32766, 8),
(34883, NULL, 'PF07423', NULL, NULL, 'Domain of unknown function (DUF1510)', NULL, 'DUF1510', NULL, NULL, 9324, 8),
(34884, NULL, 'PF00287', NULL, NULL, 'Sodium / potassium ATPase beta chain', NULL, 'Na_K-ATPase', NULL, NULL, 4747, 8),
(34885, NULL, 'PF17376', NULL, NULL, 'Family of unknown function (DUF5398)', NULL, 'DUF5398', NULL, NULL, 31946, 8),
(34886, NULL, 'PF18098', NULL, NULL, '26S proteasome regulatory subunit RPN5 C-terminal domain', NULL, 'RPN5_C', NULL, NULL, 34803, 8),
(34887, NULL, 'PF10872', NULL, NULL, 'Protein of unknown function (DUF2740)', NULL, 'DUF2740', NULL, NULL, 15480, 8),
(34888, NULL, 'PF05769', NULL, NULL, 'SIKE family', NULL, 'SIKE', NULL, NULL, 13097, 8),
(34889, NULL, 'PF15410', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_9', NULL, NULL, 32220, 8),
(34890, NULL, 'PF09951', NULL, NULL, 'Protein of unknown function (DUF2185)', NULL, 'DUF2185', NULL, NULL, 17967, 8),
(34891, NULL, 'PF11622', NULL, NULL, 'Protein of unknown function (DUF3251)', NULL, 'DUF3251', NULL, NULL, 19233, 8),
(34892, NULL, 'PF04660', NULL, NULL, 'Nanovirus coat protein', NULL, 'Nanovirus_coat', NULL, NULL, 3069, 8),
(34893, NULL, 'PF07340', NULL, NULL, 'Cytomegalovirus IE1 protein', NULL, 'Herpes_IE1', NULL, NULL, 11975, 8),
(34894, NULL, 'PF03762', NULL, NULL, 'Vitelline membrane outer layer protein I (VOMI)', NULL, 'VOMI', NULL, NULL, 1837, 8),
(34895, NULL, 'PF09823', NULL, NULL, 'Domain of unknown function (DUF2357)', NULL, 'DUF2357', NULL, NULL, 16081, 8),
(34896, NULL, 'PF16138', NULL, NULL, 'Domain of unknown function (4846)', NULL, 'DUF4846', NULL, NULL, 28370, 8),
(34897, NULL, 'PF13707', NULL, NULL, 'RloB-like protein', NULL, 'RloB', NULL, NULL, 23035, 8),
(34898, NULL, 'PF17960', NULL, NULL, 'TIG domain', NULL, 'TIG_plexin', NULL, NULL, 34096, 8),
(34899, NULL, 'PF18676', NULL, NULL, 'MBG domain (YGX type)', NULL, 'MBG_2', NULL, NULL, 31228, 8),
(34900, NULL, 'PF02118', NULL, NULL, 'Srg family chemoreceptor', NULL, 'Srg', NULL, NULL, 5642, 8),
(34901, NULL, 'PF00542', NULL, NULL, 'Ribosomal protein L7/L12 C-terminal domain', NULL, 'Ribosomal_L12', NULL, NULL, 10306, 8),
(34902, NULL, 'PF08168', NULL, NULL, 'NUC205 domain', NULL, 'NUC205', NULL, NULL, 9826, 8),
(34903, NULL, 'PF10571', NULL, NULL, 'Uncharacterised protein family UPF0547', NULL, 'UPF0547', NULL, NULL, 21151, 8),
(34904, NULL, 'PF09562', NULL, NULL, 'LlaMI restriction endonuclease', NULL, 'RE_LlaMI', NULL, NULL, 16679, 8),
(34905, NULL, 'PF13538', NULL, NULL, 'UvrD-like helicase C-terminal domain', NULL, 'UvrD_C_2', NULL, NULL, 28926, 8),
(34906, NULL, 'PF08853', NULL, NULL, 'Domain of unknown function (DUF1823)', NULL, 'DUF1823', NULL, NULL, 14295, 8),
(34907, NULL, 'PF18786', NULL, NULL, 'Importin 13 repeat', NULL, 'Importin_rep_2', NULL, NULL, 31649, 8),
(34908, NULL, 'PF02195', NULL, NULL, 'ParB-like nuclease domain', NULL, 'ParBc', NULL, NULL, 1955, 8),
(34909, NULL, 'PF14235', NULL, NULL, 'Domain of unknown function (DUF4337)', NULL, 'DUF4337', NULL, NULL, 23522, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34910, NULL, 'PF04525', NULL, NULL, 'LURP-one-related', NULL, 'LOR', NULL, NULL, 2805, 8),
(34911, NULL, 'PF07444', NULL, NULL, 'Ycf66 protein N-terminus', NULL, 'Ycf66_N', NULL, NULL, 9199, 8),
(34912, NULL, 'PF14783', NULL, NULL, 'Ciliary BBSome complex subunit 2, middle region', NULL, 'BBS2_Mid', NULL, NULL, 21653, 8),
(34913, NULL, 'PF03183', NULL, NULL, 'Borrelia repeat protein', NULL, 'Borrelia_rep', NULL, NULL, 7462, 8),
(34914, NULL, 'PF10156', NULL, NULL, 'Subunit 17 of Mediator complex', NULL, 'Med17', NULL, NULL, 15141, 8),
(34915, NULL, 'PF12728', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_17', NULL, NULL, 32906, 8),
(34916, NULL, 'PF14433', NULL, NULL, 'SUKH-3 immunity protein', NULL, 'SUKH-3', NULL, NULL, 25011, 8),
(34917, NULL, 'PF06246', NULL, NULL, 'Isy1-like splicing family', NULL, 'Isy1', NULL, NULL, 14572, 8),
(34918, NULL, 'PF01773', NULL, NULL, 'Na+ dependent nucleoside transporter N-terminus', NULL, 'Nucleos_tra2_N', NULL, NULL, 5062, 8),
(34919, NULL, 'PF15399', NULL, NULL, 'Domain of unknown function (DUF4620)', NULL, 'DUF4620', NULL, NULL, 27941, 8),
(34920, NULL, 'PF12684', NULL, NULL, 'PDDEXK-like domain of unknown function (DUF3799)', NULL, 'DUF3799', NULL, NULL, 28625, 8),
(34921, NULL, 'PF09431', NULL, NULL, 'Protein of unknown function (DUF2013)', NULL, 'DUF2013', NULL, NULL, 15864, 8),
(34922, NULL, 'PF13026', NULL, NULL, 'Protein of unknown function (DUF3887)', NULL, 'DUF3887', NULL, NULL, 22934, 8),
(34923, NULL, 'PF13036', NULL, NULL, 'Peptidoglycan-synthase activator LpoB', NULL, 'LpoB', NULL, NULL, 14024, 8),
(34924, NULL, 'PF15642', NULL, NULL, 'Toxin in Odyssella and Amoebophilus', NULL, 'Tox-ODYAM1', NULL, NULL, 26672, 8),
(34925, NULL, 'PF03923', NULL, NULL, 'Uncharacterized lipoprotein', NULL, 'Lipoprotein_16', NULL, NULL, 2956, 8),
(34926, NULL, 'PF00001', NULL, NULL, '7 transmembrane receptor (rhodopsin family)', NULL, '7tm_1', NULL, NULL, 4555, 8),
(34927, NULL, 'PF14046', NULL, NULL, 'Nuclear receptor repeat', NULL, 'NR_Repeat', NULL, NULL, 22091, 8),
(34928, NULL, 'PF17902', NULL, NULL, 'SH3 domain', NULL, 'SH3_10', NULL, NULL, 33131, 8),
(34929, NULL, 'PF18674', NULL, NULL, 'TarS beta-glycosyltransferase C-terminal domain 1', NULL, 'TarS_C1', NULL, NULL, 31652, 8),
(34930, NULL, 'PF10780', NULL, NULL, '39S ribosomal protein L53/MRP-L53', NULL, 'MRP_L53', NULL, NULL, 21075, 8),
(34931, NULL, 'PF10812', NULL, NULL, 'Protein of unknown function (DUF2561)', NULL, 'DUF2561', NULL, NULL, 24851, 8),
(34932, NULL, 'PF18499', NULL, NULL, 'Ubc7p-binding region of Cue1', NULL, 'Cue1_U7BR', NULL, NULL, 31162, 8),
(34933, NULL, 'PF16106', NULL, NULL, 'Domain of unknown function (DUF4824)', NULL, 'DUF4824', NULL, NULL, 22878, 8),
(34934, NULL, 'PF16303', NULL, NULL, 'Domain of unknown function (DUF4945)', NULL, 'DUF4945', NULL, NULL, 27947, 8),
(34935, NULL, 'PF11456', NULL, NULL, 'Protein of unknown function (DUF3019)', NULL, 'DUF3019', NULL, NULL, 18535, 8),
(34936, NULL, 'PF14680', NULL, NULL, 'FANCI helical domain 2', NULL, 'FANCI_HD2', NULL, NULL, 28739, 8),
(34937, NULL, 'PF13966', NULL, NULL, 'zinc-binding in reverse transcriptase', NULL, 'zf-RVT', NULL, NULL, 27582, 8),
(34938, NULL, 'PF15361', NULL, NULL, 'Resistance to inhibitors of cholinesterase homologue 3', NULL, 'RIC3', NULL, NULL, 22537, 8),
(34939, NULL, 'PF03892', NULL, NULL, 'Nitrate reductase cytochrome c-type subunit (NapB)', NULL, 'NapB', NULL, NULL, 2686, 8),
(34940, NULL, 'PF08955', NULL, NULL, 'BofC C-terminal domain', NULL, 'BofC_C', NULL, NULL, 7958, 8),
(34941, NULL, 'PF19299', NULL, NULL, 'Domain of unknown function (DUF5914)', NULL, 'DUF5914', NULL, NULL, 36843, 8),
(34942, NULL, 'PF03133', NULL, NULL, 'Tubulin-tyrosine ligase family', NULL, 'TTL', NULL, NULL, 4542, 8),
(34943, NULL, 'PF08830', NULL, NULL, 'Protein of unknown function (DUF1806)', NULL, 'DUF1806', NULL, NULL, 14359, 8),
(34944, NULL, 'PF06124', NULL, NULL, 'Staphylococcal protein of unknown function (DUF960)', NULL, 'DUF960', NULL, NULL, 13966, 8),
(34945, NULL, 'PF17834', NULL, NULL, 'Beta-sandwich domain in beta galactosidase', NULL, 'GHD', NULL, NULL, 31942, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34946, NULL, 'PF01692', NULL, NULL, 'Paramyxovirus non-structural protein C', NULL, 'Paramyxo_C', NULL, NULL, 1943, 8),
(34947, NULL, 'PF04146', NULL, NULL, 'YT521-B-like domain', NULL, 'YTH', NULL, NULL, 7457, 8),
(34948, NULL, 'PF10345', NULL, NULL, 'Cohesin loading factor', NULL, 'Cohesin_load', NULL, NULL, 17822, 8),
(34949, NULL, 'PF15743', NULL, NULL, 'Spermatogenesis-associated C-terminus', NULL, 'SPATA1_C', NULL, NULL, 23873, 8),
(34950, NULL, 'PF15203', NULL, NULL, 'TMEM95 family', NULL, 'TMEM95', NULL, NULL, 26229, 8),
(34951, NULL, 'PF16147', NULL, NULL, 'Domain of unknown function (DUF4855)', NULL, 'DUF4855', NULL, NULL, 23187, 8),
(34952, NULL, 'PF00836', NULL, NULL, 'Stathmin family', NULL, 'Stathmin', NULL, NULL, 3005, 8),
(34953, NULL, 'PF12033', NULL, NULL, 'Protein of unknown function (DUF3519)', NULL, 'DUF3519', NULL, NULL, 20014, 8),
(34954, NULL, 'PF19395', NULL, NULL, 'Family of unknown function (DUF5970)', NULL, 'DUF5970', NULL, NULL, 39300, 8),
(34955, NULL, 'PF13023', NULL, NULL, 'HD domain', NULL, 'HD_3', NULL, NULL, 2329, 8),
(34956, NULL, 'PF06433', NULL, NULL, 'Methylamine dehydrogenase heavy chain (MADH)', NULL, 'Me-amine-dh_H', NULL, NULL, 9367, 8),
(34957, NULL, 'PF19474', NULL, NULL, 'Family of unknown function (DUF6011)', NULL, 'DUF6011', NULL, NULL, 39473, 8),
(34958, NULL, 'PF19488', NULL, NULL, 'Family of unknown function (DUF6024)', NULL, 'DUF6024', NULL, NULL, 39269, 8),
(34959, NULL, 'PF08915', NULL, NULL, 'Archaea-specific editing domain of threonyl-tRNA synthetase', NULL, 'tRNA-Thr_ED', NULL, NULL, 7955, 8),
(34960, NULL, 'PF18566', NULL, NULL, 'Linalool dehydratase/isomerase', NULL, 'Ldi', NULL, NULL, 32822, 8),
(34961, NULL, 'PF13664', NULL, NULL, 'Domain of unknown function (DUF4149)', NULL, 'DUF4149', NULL, NULL, 23445, 8),
(34962, NULL, 'PF20119', NULL, NULL, 'Family of unknown function (DUF6509)', NULL, 'DUF6509', NULL, NULL, 38291, 8),
(34963, NULL, 'PF12343', NULL, NULL, 'DeaD helicase C-terminal disordered region', NULL, 'DeaD_C', NULL, NULL, 15200, 8),
(34964, NULL, 'PF07149', NULL, NULL, 'Pes-10', NULL, 'Pes-10', NULL, NULL, 13706, 8),
(34965, NULL, 'PF01168', NULL, NULL, 'Alanine racemase, N-terminal domain', NULL, 'Ala_racemase_N', NULL, NULL, 5078, 8),
(34966, NULL, 'PF16338', NULL, NULL, 'Domain of unknown function (DUF4968)', NULL, 'DUF4968', NULL, NULL, 22858, 8),
(34967, NULL, 'PF04115', NULL, NULL, 'Ureidoglycolate lyase', NULL, 'Ureidogly_lyase', NULL, NULL, 6726, 8),
(34968, NULL, 'PF19147', NULL, NULL, 'Family of unknown function (DUF5829)', NULL, 'DUF5829', NULL, NULL, 36997, 8),
(34969, NULL, 'PF05566', NULL, NULL, 'Orthopoxvirus interleukin 18 binding protein', NULL, 'Pox_vIL-18BP', NULL, NULL, 14214, 8),
(34970, NULL, 'PF01905', NULL, NULL, 'CRISPR-associated negative auto-regulator DevR/Csa2', NULL, 'DevR', NULL, NULL, 10982, 8),
(34971, NULL, 'PF03353', NULL, NULL, 'Ras-mediated vulval-induction antagonist', NULL, 'Lin-8', NULL, NULL, 1234, 8),
(34972, NULL, 'PF07737', NULL, NULL, 'Anthrax toxin lethal factor, N- and C-terminal domain', NULL, 'ATLF', NULL, NULL, 8885, 8),
(34973, NULL, 'PF01116', NULL, NULL, 'Fructose-bisphosphate aldolase class-II', NULL, 'F_bP_aldolase', NULL, NULL, 6772, 8),
(34974, NULL, 'PF15005', NULL, NULL, 'Izumo sperm-egg fusion, Ig domain-associated', NULL, 'IZUMO', NULL, NULL, 28008, 8),
(34975, NULL, 'PF03853', NULL, NULL, 'YjeF-related protein N-terminus', NULL, 'YjeF_N', NULL, NULL, 7312, 8),
(34976, NULL, 'PF08744', NULL, NULL, 'Plant transcription factor NOZZLE', NULL, 'NOZZLE', NULL, NULL, 13136, 8),
(34977, NULL, 'PF16605', NULL, NULL, 'LSM-interacting associated unstructured', NULL, 'LSM_int_assoc', NULL, NULL, NULL, 8),
(34978, NULL, 'PF17255', NULL, NULL, 'EbsA-like protein', NULL, 'EbsA', NULL, NULL, 19050, 8),
(34979, NULL, 'PF06089', NULL, NULL, 'L-asparaginase II', NULL, 'Asparaginase_II', NULL, NULL, 8547, 8),
(34980, NULL, 'PF12867', NULL, NULL, 'DinB superfamily', NULL, 'DinB_2', NULL, NULL, 25139, 8),
(34981, NULL, 'PF13554', NULL, NULL, 'Bacteriophage related domain of unknown function', NULL, 'DUF4128', NULL, NULL, 23129, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(34982, NULL, 'PF18264', NULL, NULL, 'CXC domain', NULL, 'preSET_CXC', NULL, NULL, 31599, 8),
(34983, NULL, 'PF00172', NULL, NULL, 'Fungal Zn(2)-Cys(6) binuclear cluster domain', NULL, 'Zn_clus', NULL, NULL, 2124, 8),
(34984, NULL, 'PF05521', NULL, NULL, 'Phage head-tail joining protein', NULL, 'Phage_H_T_join', NULL, NULL, 12260, 8),
(34985, NULL, 'PF07976', NULL, NULL, 'Phenol hydroxylase, C-terminal dimerisation domain', NULL, 'Phe_hydrox_dim', NULL, NULL, 8086, 8),
(34986, NULL, 'PF04522', NULL, NULL, 'Protein of unknown function (DUF585)', NULL, 'DUF585', NULL, NULL, 2522, 8),
(34987, NULL, 'PF02207', NULL, NULL, 'Putative zinc finger in N-recognin (UBR box)', NULL, 'zf-UBR', NULL, NULL, 1934, 8),
(34988, NULL, 'PF17388', NULL, NULL, 'Mycobacteriophage tail assembly protein', NULL, 'GP24_25', NULL, NULL, 13717, 8),
(34989, NULL, 'PF19874', NULL, NULL, 'Family of unknown function (DUF6347)', NULL, 'DUF6347', NULL, NULL, 39175, 8),
(34990, NULL, 'PF13349', NULL, NULL, 'Putative adhesin', NULL, 'DUF4097', NULL, NULL, 27564, 8),
(34991, NULL, 'PF09713', NULL, NULL, 'Plant protein 1589 of unknown function (A_thal_3526)', NULL, 'A_thal_3526', NULL, NULL, 6006, 8),
(34992, NULL, 'PF06518', NULL, NULL, 'Protein of unknown function (DUF1104)', NULL, 'DUF1104', NULL, NULL, 9210, 8),
(34993, NULL, 'PF14614', NULL, NULL, 'Domain of unknown function (DUF4450)', NULL, 'DUF4450', NULL, NULL, 24561, 8),
(34994, NULL, 'PF00407', NULL, NULL, 'Pathogenesis-related protein Bet v 1 family', NULL, 'Bet_v_1', NULL, NULL, 4215, 8),
(34995, NULL, 'PF00439', NULL, NULL, 'Bromodomain', NULL, 'Bromodomain', NULL, NULL, 5837, 8),
(34996, NULL, 'PF05873', NULL, NULL, 'ATP synthase D chain, mitochondrial (ATP5H)', NULL, 'Mt_ATP-synt_D', NULL, NULL, 13377, 8),
(34997, NULL, 'PF00145', NULL, NULL, 'C-5 cytosine-specific DNA methylase', NULL, 'DNA_methylase', NULL, NULL, 5052, 8),
(34998, NULL, 'PF18667', NULL, NULL, 'Baseplate upper protein immunoglobulin like domain', NULL, 'BppU_IgG', NULL, NULL, 32055, 8),
(34999, NULL, 'PF08150', NULL, NULL, 'FerB (NUC096) domain', NULL, 'FerB', NULL, NULL, 9554, 8),
(35000, NULL, 'PF07384', NULL, NULL, 'Protein of unknown function (DUF1497)', NULL, 'DUF1497', NULL, NULL, 8278, 8),
(35001, NULL, 'PF17403', NULL, NULL, 'Nrap protein PAP/OAS-like domain', NULL, 'Nrap_D2', NULL, NULL, 33027, 8),
(35002, NULL, 'PF19453', NULL, NULL, 'Family of unknown function (DUF5991)', NULL, 'DUF5991', NULL, NULL, 39021, 8),
(35003, NULL, 'PF02104', NULL, NULL, 'SURF1 family', NULL, 'SURF1', NULL, NULL, 7283, 8),
(35004, NULL, 'PF19758', NULL, NULL, 'Family of unknown function (DUF6245)', NULL, 'DUF6245', NULL, NULL, 39880, 8),
(35005, NULL, 'PF06640', NULL, NULL, 'P protein C-terminus', NULL, 'P_C', NULL, NULL, 8358, 8),
(35006, NULL, 'PF10491', NULL, NULL, 'NLS-binding and DNA-binding and dimerisation domains of Nrf1', NULL, 'Nrf1_DNA-bind', NULL, NULL, 18564, 8),
(35007, NULL, 'PF01024', NULL, NULL, 'Colicin pore forming domain', NULL, 'Colicin', NULL, NULL, 4571, 8),
(35008, NULL, 'PF14601', NULL, NULL, 'DNA_binding protein, TFX, C-term', NULL, 'TFX_C', NULL, NULL, 28847, 8),
(35009, NULL, 'PF12043', NULL, NULL, 'Domain of unknown function (DUF3527)', NULL, 'DUF3527', NULL, NULL, 20028, 8),
(35010, NULL, 'PF18505', NULL, NULL, 'Domain of unknown function (DUF5619)', NULL, 'DUF5619', NULL, NULL, 31343, 8),
(35011, NULL, 'PF02940', NULL, NULL, 'mRNA capping enzyme, beta chain', NULL, 'mRNA_triPase', NULL, NULL, 3612, 8),
(35012, NULL, 'PF08885', NULL, NULL, 'GSCFA family', NULL, 'GSCFA', NULL, NULL, 14453, 8),
(35013, NULL, 'PF17832', NULL, NULL, 'Pre-PUA-like domain', NULL, 'Pre-PUA', NULL, NULL, 31248, 8),
(35014, NULL, 'PF01325', NULL, NULL, 'Iron dependent repressor, N-terminal DNA binding domain', NULL, 'Fe_dep_repress', NULL, NULL, 17123, 8),
(35015, NULL, 'PF00726', NULL, NULL, 'Interleukin 10', NULL, 'IL10', NULL, NULL, 19438, 8),
(35016, NULL, 'PF14639', NULL, NULL, 'Holliday-junction resolvase-like of SPT6', NULL, 'YqgF', NULL, NULL, 23493, 8),
(35017, NULL, 'PF13772', NULL, NULL, 'AIG2-like family', NULL, 'AIG2_2', NULL, NULL, NULL, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35018, NULL, 'PF03645', NULL, NULL, 'Tctex-1 family', NULL, 'Tctex-1', NULL, NULL, 5793, 8),
(35019, NULL, 'PF11123', NULL, NULL, 'DNA packaging protein', NULL, 'DNA_Packaging_2', NULL, NULL, 22642, 8),
(35020, NULL, 'PF13338', NULL, NULL, 'Transcriptional regulator, AbiEi antitoxin', NULL, 'AbiEi_4', NULL, NULL, 27661, 8),
(35021, NULL, 'PF02262', NULL, NULL, 'CBL proto-oncogene N-terminal domain 1', NULL, 'Cbl_N', NULL, NULL, 3018, 8),
(35022, NULL, 'PF06951', NULL, NULL, 'Group XII secretory phospholipase A2 precursor (PLA2G12)', NULL, 'PLA2G12', NULL, NULL, 10086, 8),
(35023, NULL, 'PF16433', NULL, NULL, 'Domain of unknown function (DUF5030)', NULL, 'DUF5030', NULL, NULL, 25855, 8),
(35024, NULL, 'PF07477', NULL, NULL, 'Glycosyl hydrolase family 67 C-terminus', NULL, 'Glyco_hydro_67C', NULL, NULL, 11122, 8),
(35025, NULL, 'PF10221', NULL, NULL, 'Cell cycle and development regulator', NULL, 'DUF2151', NULL, NULL, 15761, 8),
(35026, NULL, 'PF12295', NULL, NULL, 'Symplekin tight junction protein C terminal', NULL, 'Symplekin_C', NULL, NULL, 20823, 8),
(35027, NULL, 'PF19082', NULL, NULL, 'Family of unknown function (DUF5773)', NULL, 'DUF5773', NULL, NULL, 37757, 8),
(35028, NULL, 'PF19639', NULL, NULL, 'Family of unknown function (DUF6142)', NULL, 'DUF6142', NULL, NULL, 39896, 8),
(35029, NULL, 'PF14806', NULL, NULL, 'Coatomer beta subunit appendage platform', NULL, 'Coatomer_b_Cpla', NULL, NULL, 29270, 8),
(35030, NULL, 'PF10675', NULL, NULL, 'Protein of unknown function (DUF2489)', NULL, 'DUF2489', NULL, NULL, 20441, 8),
(35031, NULL, 'PF11244', NULL, NULL, 'Mediator complex subunit 25 C-terminal NR box-containing', NULL, 'Med25_NR-box', NULL, NULL, 18013, 8),
(35032, NULL, 'PF01104', NULL, NULL, 'Bunyavirus non-structural protein NS-s', NULL, 'Bunya_NS-S', NULL, NULL, 6584, 8),
(35033, NULL, 'PF02423', NULL, NULL, 'Ornithine cyclodeaminase/mu-crystallin family', NULL, 'OCD_Mu_crystall', NULL, NULL, 5518, 8),
(35034, NULL, 'PF18594', NULL, NULL, 'Sas6/XLF/XRCC4 coiled-coil domain', NULL, 'Sas6_CC', NULL, NULL, 31700, 8),
(35035, NULL, 'PF20140', NULL, NULL, 'Family of unknown function (DUF6530)', NULL, 'DUF6530', NULL, NULL, 37626, 8),
(35036, NULL, 'PF10091', NULL, NULL, 'Putative glucoamylase', NULL, 'Glycoamylase', NULL, NULL, 20215, 8),
(35037, NULL, 'PF04345', NULL, NULL, 'Chorismate lyase', NULL, 'Chor_lyase', NULL, NULL, 4410, 8),
(35038, NULL, 'PF17934', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_26', NULL, NULL, 33059, 8),
(35039, NULL, 'PF00321', NULL, NULL, 'Plant thionin', NULL, 'Thionin', NULL, NULL, 2401, 8),
(35040, NULL, 'PF18100', NULL, NULL, 'Phosphodiesterase 4 upstream conserved regions (UCR)', NULL, 'PDE4_UCR', NULL, NULL, 34677, 8),
(35041, NULL, 'PF03735', NULL, NULL, 'ENT domain', NULL, 'ENT', NULL, NULL, 782, 8),
(35042, NULL, 'PF08331', NULL, NULL, 'Domain of unknown function (DUF1730)', NULL, 'DUF1730', NULL, NULL, 13256, 8),
(35043, NULL, 'PF01141', NULL, NULL, 'Gag polyprotein, inner coat protein p12', NULL, 'Gag_p12', NULL, NULL, 1493, 8),
(35044, NULL, 'PF06115', NULL, NULL, 'Domain of unknown function (DUF956)', NULL, 'DUF956', NULL, NULL, 8901, 8),
(35045, NULL, 'PF19567', NULL, NULL, 'Capsular polysaccharide synthesis, CpsB/CapC', NULL, 'CpsB_CapC', NULL, NULL, 20851, 8),
(35046, NULL, 'PF02881', NULL, NULL, 'SRP54-type protein, helical bundle domain', NULL, 'SRP54_N', NULL, NULL, 9998, 8),
(35047, NULL, 'PF18251', NULL, NULL, 'Fungal defensin Copsin', NULL, 'Defensin_5', NULL, NULL, 31084, 8),
(35048, NULL, 'PF01065', NULL, NULL, 'Hexon, adenovirus major coat protein, N-terminal domain', NULL, 'Adeno_hexon', NULL, NULL, 11032, 8),
(35049, NULL, 'PF00467', NULL, NULL, 'KOW motif', NULL, 'KOW', NULL, NULL, 5675, 8),
(35050, NULL, 'PF04784', NULL, NULL, 'Protein of unknown function, DUF547', NULL, 'DUF547', NULL, NULL, 4663, 8),
(35051, NULL, 'PF10537', NULL, NULL, 'ATP-utilising chromatin assembly and remodelling N-terminal', NULL, 'WAC_Acf1_DNA_bd', NULL, NULL, 7553, 8),
(35052, NULL, 'PF05908', NULL, NULL, 'Poly-gamma-glutamate hydrolase', NULL, 'Gamma_PGA_hydro', NULL, NULL, 14007, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35053, NULL, 'PF17181', NULL, NULL, 'Epidermal patterning factor proteins', NULL, 'EPF', NULL, NULL, NULL, 8),
(35054, NULL, 'PF05402', NULL, NULL, 'Coenzyme PQQ synthesis protein D (PqqD)', NULL, 'PqqD', NULL, NULL, 14357, 8),
(35055, NULL, 'PF08485', NULL, NULL, 'Polysaccharide biosynthesis protein C-terminal', NULL, 'Polysacc_syn_2C', NULL, NULL, 13975, 8),
(35056, NULL, 'PF07224', NULL, NULL, 'Chlorophyllase', NULL, 'Chlorophyllase', NULL, NULL, 18366, 8),
(35057, NULL, 'PF11292', NULL, NULL, 'Protein of unknown function (DUF3093)', NULL, 'DUF3093', NULL, NULL, 18356, 8),
(35058, NULL, 'PF15965', NULL, NULL, 'TRAF-like zinc-finger', NULL, 'zf-TRAF_2', NULL, NULL, 5462, 8),
(35059, NULL, 'PF06116', NULL, NULL, 'Transcriptional activator RinB', NULL, 'RinB', NULL, NULL, 13641, 8),
(35060, NULL, 'PF04288', NULL, NULL, 'MukE-like family', NULL, 'MukE', NULL, NULL, 6048, 8),
(35061, NULL, 'PF09050', NULL, NULL, 'Stannin unstructured linker', NULL, 'SNN_linker', NULL, NULL, 9810, 8),
(35062, NULL, 'PF08826', NULL, NULL, 'DMPK coiled coil domain like', NULL, 'DMPK_coil', NULL, NULL, 14450, 8),
(35063, NULL, 'PF07440', NULL, NULL, 'Caerin 1 protein', NULL, 'Caerin_1', NULL, NULL, 9109, 8),
(35064, NULL, 'PF02861', NULL, NULL, 'Clp amino terminal domain, pathogenicity island component', NULL, 'Clp_N', NULL, NULL, 2759, 8),
(35065, NULL, 'PF07515', NULL, NULL, 'Putative conjugal transfer nickase/helicase TraI C-term', NULL, 'TraI_2_C', NULL, NULL, 11282, 8),
(35066, NULL, 'PF18412', NULL, NULL, 'Outer-membrane lipoprotein Wza C-terminal domain', NULL, 'Wza_C', NULL, NULL, 29656, 8),
(35067, NULL, 'PF19042', NULL, NULL, 'Nuclear cap binding complex subunit CBP110', NULL, 'CBP110', NULL, NULL, 36668, 8),
(35068, NULL, 'PF00466', NULL, NULL, 'Ribosomal protein L10', NULL, 'Ribosomal_L10', NULL, NULL, 4283, 8),
(35069, NULL, 'PF10454', NULL, NULL, 'Protein of unknown function (DUF2458)', NULL, 'DUF2458', NULL, NULL, 21461, 8),
(35070, NULL, 'PF06748', NULL, NULL, 'Protein of unknown function (DUF1217)', NULL, 'DUF1217', NULL, NULL, 9422, 8),
(35071, NULL, 'PF03432', NULL, NULL, 'Relaxase/Mobilisation nuclease domain', NULL, 'Relaxase', NULL, NULL, 10013, 8),
(35072, NULL, 'PF03800', NULL, NULL, 'Nuf2 family', NULL, 'Nuf2', NULL, NULL, 1670, 8),
(35073, NULL, 'PF07449', NULL, NULL, 'Hydrogenase-1 expression protein HyaE', NULL, 'HyaE', NULL, NULL, 11995, 8),
(35074, NULL, 'PF13929', NULL, NULL, 'mRNA stabilisation', NULL, 'mRNA_stabil', NULL, NULL, 21726, 8),
(35075, NULL, 'PF18449', NULL, NULL, 'Delta endotoxin', NULL, 'Endotoxin_C2', NULL, NULL, NULL, 8),
(35076, NULL, 'PF16071', NULL, NULL, 'Domain of unknown function (DUF4812)', NULL, 'DUF4812', NULL, NULL, 25293, 8),
(35077, NULL, 'PF12037', NULL, NULL, 'Domain of unknown function (DUF3523)', NULL, 'DUF3523', NULL, NULL, 20438, 8),
(35078, NULL, 'PF07313', NULL, NULL, 'Protein of unknown function (DUF1460)', NULL, 'DUF1460', NULL, NULL, 11750, 8),
(35079, NULL, 'PF16624', NULL, NULL, 'Unstructured region upstream of a zinc-finger', NULL, 'zf-C2H2_assoc2', NULL, NULL, NULL, 8),
(35080, NULL, 'PF06651', NULL, NULL, 'Protein of unknown function (DUF1163)', NULL, 'DUF1163', NULL, NULL, 10292, 8),
(35081, NULL, 'PF09416', NULL, NULL, 'RNA helicase (UPF2 interacting domain)', NULL, 'UPF1_Zn_bind', NULL, NULL, 16127, 8),
(35082, NULL, 'PF10676', NULL, NULL, 'Spore germination protein gerPA/gerPF', NULL, 'gerPA', NULL, NULL, 20182, 8),
(35083, NULL, 'PF07406', NULL, NULL, 'NICE-3 protein', NULL, 'NICE-3', NULL, NULL, 11802, 8),
(35084, NULL, 'PF01640', NULL, NULL, 'Peptidase C10 family', NULL, 'Peptidase_C10', NULL, NULL, 1497, 8),
(35085, NULL, 'PF10726', NULL, NULL, 'Protein of function (DUF2518)', NULL, 'DUF2518', NULL, NULL, 21255, 8),
(35086, NULL, 'PF00258', NULL, NULL, 'Flavodoxin', NULL, 'Flavodoxin_1', NULL, NULL, 1928, 8),
(35087, NULL, 'PF12606', NULL, NULL, 'Tumour necrosis factor receptor superfamily member 19', NULL, 'RELT', NULL, NULL, 21100, 8),
(35088, NULL, 'PF12221', NULL, NULL, 'Bacterial membrane protein N terminal', NULL, 'HflK_N', NULL, NULL, 16167, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35089, NULL, 'PF16506', NULL, NULL, 'Putative virion glycoprotein of insect viruses', NULL, 'DiSB-ORF2_chro', NULL, NULL, 26645, 8),
(35090, NULL, 'PF11821', NULL, NULL, 'Protein of unknown function (DUF3341)', NULL, 'DUF3341', NULL, NULL, 19826, 8),
(35091, NULL, 'PF10101', NULL, NULL, 'Predicted membrane protein (DUF2339)', NULL, 'DUF2339', NULL, NULL, 20082, 8),
(35092, NULL, 'PF14953', NULL, NULL, 'Domain of unknown function (DUF4504)', NULL, 'DUF4504', NULL, NULL, 27952, 8),
(35093, NULL, 'PF16049', NULL, NULL, 'Frog antimicrobial peptide', NULL, 'Antimicrobial24', NULL, NULL, 21579, 8),
(35094, NULL, 'PF10988', NULL, NULL, 'Putative auto-transporter adhesin, head GIN domain', NULL, 'DUF2807', NULL, NULL, 17880, 8),
(35095, NULL, 'PF11933', NULL, NULL, 'Cytoplasmic domain of voltage-gated Na+ ion channel', NULL, 'Na_trans_cytopl', NULL, NULL, 25250, 8),
(35096, NULL, 'PF07823', NULL, NULL, 'Cyclic phosphodiesterase-like protein', NULL, 'CPDase', NULL, NULL, 13855, 8),
(35097, NULL, 'PF02673', NULL, NULL, 'Bacitracin resistance protein BacA', NULL, 'BacA', NULL, NULL, 3474, 8),
(35098, NULL, 'PF03792', NULL, NULL, 'PBC domain', NULL, 'PBC', NULL, NULL, 1730, 8),
(35099, NULL, 'PF15043', NULL, NULL, 'CB1 cannabinoid receptor-interacting protein 1', NULL, 'CNRIP1', NULL, NULL, 29464, 8),
(35100, NULL, 'PF07459', NULL, NULL, 'CTX phage RstB protein', NULL, 'CTX_RstB', NULL, NULL, 9044, 8),
(35101, NULL, 'PF09948', NULL, NULL, 'Predicted metal-binding integral membrane protein (DUF2182)', NULL, 'DUF2182', NULL, NULL, 17382, 8),
(35102, NULL, 'PF00102', NULL, NULL, 'Protein-tyrosine phosphatase', NULL, 'Y_phosphatase', NULL, NULL, 845, 8),
(35103, NULL, 'PF04869', NULL, NULL, 'Uso1 / p115 like vesicle tethering protein, head region', NULL, 'Uso1_p115_head', NULL, NULL, 5733, 8),
(35104, NULL, 'PF17928', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_22', NULL, NULL, 32860, 8),
(35105, NULL, 'PF03701', NULL, NULL, 'Uncharacterised protein family (UPF0181)', NULL, 'UPF0181', NULL, NULL, 6332, 8),
(35106, NULL, 'PF05266', NULL, NULL, 'Protein of unknown function (DUF724)', NULL, 'DUF724', NULL, NULL, 4306, 8),
(35107, NULL, 'PF09774', NULL, NULL, 'Caffeine-induced death protein 2', NULL, 'Cid2', NULL, NULL, 18634, 8),
(35108, NULL, 'PF11438', NULL, NULL, '36-mer N-terminal peptide of the N protein (N36)', NULL, 'N36', NULL, NULL, 16300, 8),
(35109, NULL, 'PF15120', NULL, NULL, 'Sperm acrosome-associated protein 9', NULL, 'SPACA9', NULL, NULL, 22084, 8),
(35110, NULL, 'PF19635', NULL, NULL, 'Family of unknown function (DUF6138)', NULL, 'DUF6138', NULL, NULL, 39875, 8),
(35111, NULL, 'PF09013', NULL, NULL, 'YopH, N-terminal', NULL, 'YopH_N', NULL, NULL, 8765, 8),
(35112, NULL, 'PF07478', NULL, NULL, 'D-ala D-ala ligase C-terminus', NULL, 'Dala_Dala_lig_C', NULL, NULL, 11398, 8),
(35113, NULL, 'PF15316', NULL, NULL, 'MyoD family inhibitor', NULL, 'MDFI', NULL, NULL, 27997, 8),
(35114, NULL, 'PF07283', NULL, NULL, 'Conjugal transfer protein TrbH', NULL, 'TrbH', NULL, NULL, 11700, 8),
(35115, NULL, 'PF05347', NULL, NULL, 'Complex 1 protein (LYR family)', NULL, 'Complex1_LYR', NULL, NULL, 5105, 8),
(35116, NULL, 'PF00359', NULL, NULL, 'Phosphoenolpyruvate-dependent sugar phosphotransferase system, EIIA 2', NULL, 'PTS_EIIA_2', NULL, NULL, 5774, 8),
(35117, NULL, 'PF17633', NULL, NULL, 'Family of unknown function (DUF5514)', NULL, 'DUF5514', NULL, NULL, 15442, 8),
(35118, NULL, 'PF18796', NULL, NULL, 'Large polyvalent protein-associated domain 1', NULL, 'LPD1', NULL, NULL, 32401, 8),
(35119, NULL, 'PF15468', NULL, NULL, 'Domain of unknown function (DUF4636)', NULL, 'DUF4636', NULL, NULL, 24896, 8),
(35120, NULL, 'PF07466', NULL, NULL, 'Protein of unknown function (DUF1517)', NULL, 'DUF1517', NULL, NULL, 12075, 8),
(35121, NULL, 'PF10979', NULL, NULL, 'Protein of unknown function (DUF2786)', NULL, 'DUF2786', NULL, NULL, 25958, 8),
(35122, NULL, 'PF08777', NULL, NULL, 'RNA binding motif', NULL, 'RRM_3', NULL, NULL, 13428, 8),
(35123, NULL, 'PF00857', NULL, NULL, 'Isochorismatase family', NULL, 'Isochorismatase', NULL, NULL, 75, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35124, NULL, 'PF19596', NULL, NULL, 'Family of unknown function (DUF6101)', NULL, 'DUF6101', NULL, NULL, 39280, 8),
(35125, NULL, 'PF08540', NULL, NULL, 'Hydroxymethylglutaryl-coenzyme A synthase C terminal', NULL, 'HMG_CoA_synt_C', NULL, NULL, 7725, 8),
(35126, NULL, 'PF05572', NULL, NULL, 'Pregnancy-associated plasma protein-A', NULL, 'Peptidase_M43', NULL, NULL, 12327, 8),
(35127, NULL, 'PF00986', NULL, NULL, 'DNA gyrase B subunit, carboxyl terminus', NULL, 'DNA_gyraseB_C', NULL, NULL, 226, 8),
(35128, NULL, 'PF17113', NULL, NULL, 'Regulatory signalling modulator protein AmpE', NULL, 'AmpE', NULL, NULL, 27780, 8),
(35129, NULL, 'PF18411', NULL, NULL, 'Annexin-like domain', NULL, 'Annexin_like', NULL, NULL, 30418, 8),
(35130, NULL, 'PF14213', NULL, NULL, 'STAS-like domain of unknown function (DUF4325)', NULL, 'DUF4325', NULL, NULL, 28160, 8),
(35131, NULL, 'PF07455', NULL, NULL, 'Phage polarity suppression protein (Psu)', NULL, 'Psu', NULL, NULL, 9409, 8),
(35132, NULL, 'PF17968', NULL, NULL, 'Toll-like receptor 3 trans-membrane domain', NULL, 'Tlr3_TMD', NULL, NULL, 34177, 8),
(35133, NULL, 'PF00463', NULL, NULL, 'Isocitrate lyase family', NULL, 'ICL', NULL, NULL, 3547, 8),
(35134, NULL, 'PF12980', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3864)', NULL, 'DUF3864', NULL, NULL, 28620, 8),
(35135, NULL, 'PF09712', NULL, NULL, 'Poly(R)-hydroxyalkanoic acid synthase subunit (PHA_synth_III_E)', NULL, 'PHA_synth_III_E', NULL, NULL, 10914, 8),
(35136, NULL, 'PF08097', NULL, NULL, 'Conotoxin T-superfamily', NULL, 'Toxin_26', NULL, NULL, 10801, 8),
(35137, NULL, 'PF11617', NULL, NULL, 'Putative metal-binding motif', NULL, 'Cu-binding_MopE', NULL, NULL, 19148, 8),
(35138, NULL, 'PF17535', NULL, NULL, 'Family of unknown function (DUF5454)', NULL, 'DUF5454', NULL, NULL, 15118, 8),
(35139, NULL, 'PF08883', NULL, NULL, 'Dopa 4,5-dioxygenase family', NULL, 'DOPA_dioxygen', NULL, NULL, 14283, 8),
(35140, NULL, 'PF17700', NULL, NULL, 'Family of unknown function (DUF5546)', NULL, 'DUF5546', NULL, NULL, 30926, 8),
(35141, NULL, 'PF13433', NULL, NULL, 'Periplasmic binding protein domain', NULL, 'Peripla_BP_5', NULL, NULL, NULL, 8),
(35142, NULL, 'PF11662', NULL, NULL, 'Protein of unknown function (DUF3263)', NULL, 'DUF3263', NULL, NULL, 19260, 8),
(35143, NULL, 'PF11295', NULL, NULL, 'Protein of unknown function (DUF3096)', NULL, 'DUF3096', NULL, NULL, 18207, 8),
(35144, NULL, 'PF11767', NULL, NULL, 'Histone lysine methyltransferase SET associated', NULL, 'SET_assoc', NULL, NULL, 13926, 8),
(35145, NULL, 'PF13601', NULL, NULL, 'Winged helix DNA-binding domain', NULL, 'HTH_34', NULL, NULL, 22251, 8),
(35146, NULL, 'PF15691', NULL, NULL, 'Protein phosphatase 1 regulatory subunit 32', NULL, 'PPP1R32', NULL, NULL, 26469, 8),
(35147, NULL, 'PF19203', NULL, NULL, 'Family of unknown function (DUF5875)', NULL, 'DUF5875', NULL, NULL, 37069, 8),
(35148, NULL, 'PF16906', NULL, NULL, 'Ribosomal proteins L26 eukaryotic, L24P archaeal', NULL, 'Ribosomal_L26', NULL, NULL, 4532, 8),
(35149, NULL, 'PF13426', NULL, NULL, 'PAS domain', NULL, 'PAS_9', NULL, NULL, 3851, 8),
(35150, NULL, 'PF02994', NULL, NULL, 'L1 transposable element RBD-like domain', NULL, 'Transposase_22', NULL, NULL, 38465, 8),
(35151, NULL, 'PF03509', NULL, NULL, 'Gap junction alpha-8 protein (Cx50)', NULL, 'Connexin50', NULL, NULL, 6707, 8),
(35152, NULL, 'PF02806', NULL, NULL, 'Alpha amylase, C-terminal all-beta domain', NULL, 'Alpha-amylase_C', NULL, NULL, 2689, 8),
(35153, NULL, 'PF07417', NULL, NULL, 'Sigma factor-binding transcriptional regulator Crl', NULL, 'Crl', NULL, NULL, 8414, 8),
(35154, NULL, 'PF15690', NULL, NULL, 'Nuclear receptor-interacting protein 1 repression 4', NULL, 'NRIP1_repr_4', NULL, NULL, 28381, 8),
(35155, NULL, 'PF18622', NULL, NULL, 'RctB helix turn helix domain', NULL, 'HTH_55', NULL, NULL, 29851, 8),
(35156, NULL, 'PF03644', NULL, NULL, 'Glycosyl hydrolase family 85', NULL, 'Glyco_hydro_85', NULL, NULL, 6942, 8),
(35157, NULL, 'PF06945', NULL, NULL, 'Protein of unknown function (DUF1289)', NULL, 'DUF1289', NULL, NULL, 10355, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35158, NULL, 'PF00583', NULL, NULL, 'Acetyltransferase (GNAT) family', NULL, 'Acetyltransf_1', NULL, NULL, 1672, 8),
(35159, NULL, 'PF07503', NULL, NULL, 'HypF finger', NULL, 'zf-HYPF', NULL, NULL, 11340, 8),
(35160, NULL, 'PF14090', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_39', NULL, NULL, NULL, 8),
(35161, NULL, 'PF06729', NULL, NULL, 'Kinetochore component, CENP-R', NULL, 'CENP-R', NULL, NULL, 1731, 8),
(35162, NULL, 'PF06694', NULL, NULL, 'Plant nuclear matrix protein 1 (NMP1)', NULL, 'Plant_NMP1', NULL, NULL, 8297, 8),
(35163, NULL, 'PF02203', NULL, NULL, 'Tar ligand binding domain homologue', NULL, 'TarH', NULL, NULL, 2702, 8),
(35164, NULL, 'PF04464', NULL, NULL, 'CDP-Glycerol:Poly(glycerophosphate) glycerophosphotransferase', NULL, 'Glyphos_transf', NULL, NULL, 3752, 8),
(35165, NULL, 'PF00737', NULL, NULL, 'Photosystem II 10 kDa phosphoprotein', NULL, 'PsbH', NULL, NULL, 5262, 8),
(35166, NULL, 'PF01809', NULL, NULL, 'Putative membrane protein insertion efficiency factor', NULL, 'YidD', NULL, NULL, 3504, 8),
(35167, NULL, 'PF05814', NULL, NULL, 'Orf76 (Ac76)', NULL, 'Ac76', NULL, NULL, 13231, 8),
(35168, NULL, 'PF09606', NULL, NULL, 'ARC105 or Med15 subunit of Mediator complex non-fungal', NULL, 'Med15', NULL, NULL, 16758, 8),
(35169, NULL, 'PF12541', NULL, NULL, 'Protein of unknown function (DUF3737)', NULL, 'DUF3737', NULL, NULL, 21343, 8),
(35170, NULL, 'PF19644', NULL, NULL, 'Family of unknown function (DUF6147)', NULL, 'DUF6147', NULL, NULL, 39547, 8),
(35171, NULL, 'PF16261', NULL, NULL, 'Domain of unknown function (DUF4915)', NULL, 'DUF4915', NULL, NULL, 21434, 8),
(35172, NULL, 'PF00833', NULL, NULL, 'Ribosomal S17', NULL, 'Ribosomal_S17e', NULL, NULL, 1341, 8),
(35173, NULL, 'PF11231', NULL, NULL, 'Protein of unknown function (DUF3034)', NULL, 'DUF3034', NULL, NULL, 18212, 8),
(35174, NULL, 'PF02128', NULL, NULL, 'Fungalysin metallopeptidase (M36)', NULL, 'Peptidase_M36', NULL, NULL, 4485, 8),
(35175, NULL, 'PF14880', NULL, NULL, 'Cytochrome oxidase c assembly', NULL, 'COX14', NULL, NULL, 29290, 8),
(35176, NULL, 'PF16387', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4996', NULL, NULL, 22663, 8),
(35177, NULL, 'PF01129', NULL, NULL, 'NAD:arginine ADP-ribosyltransferase', NULL, 'ART', NULL, NULL, 6788, 8),
(35178, NULL, 'PF13107', NULL, NULL, 'Protein of unknown function (DUF3964)', NULL, 'DUF3964', NULL, NULL, 23547, 8),
(35179, NULL, 'PF15098', NULL, NULL, 'TMEM89 protein family', NULL, 'TMEM89', NULL, NULL, 28624, 8),
(35180, NULL, 'PF16876', NULL, NULL, 'Lipin/Ned1/Smp2 multi-domain protein middle domain', NULL, 'Lipin_mid', NULL, NULL, 25834, 8),
(35181, NULL, 'PF03445', NULL, NULL, 'Putative nucleotidyltransferase DUF294', NULL, 'DUF294', NULL, NULL, 10780, 8),
(35182, NULL, 'PF11967', NULL, NULL, 'Recombination protein O N terminal', NULL, 'RecO_N', NULL, NULL, 16522, 8),
(35183, NULL, 'PF16077', NULL, NULL, 'Spaetzle', NULL, 'Spaetzle', NULL, NULL, 25303, 8),
(35184, NULL, 'PF04557', NULL, NULL, 'Glutaminyl-tRNA synthetase, non-specific RNA binding region part 2', NULL, 'tRNA_synt_1c_R2', NULL, NULL, 2065, 8),
(35185, NULL, 'PF12012', NULL, NULL, 'Domain of unknown function (DUF3504)', NULL, 'DUF3504', NULL, NULL, 20126, 8),
(35186, NULL, 'PF10427', NULL, NULL, 'Argonaute hook', NULL, 'Ago_hook', NULL, NULL, 18947, 8),
(35187, NULL, 'PF10824', NULL, NULL, 'Excreted virulence factor EspC, type VII ESX diderm', NULL, 'T7SS_ESX_EspC', NULL, NULL, 16613, 8),
(35188, NULL, 'PF17703', NULL, NULL, 'Family of unknown function (DUF5549)', NULL, 'DUF5549', NULL, NULL, 34267, 8),
(35189, NULL, 'PF07082', NULL, NULL, 'Protein of unknown function (DUF1350)', NULL, 'DUF1350', NULL, NULL, 10736, 8),
(35190, NULL, 'PF18679', NULL, NULL, 'ThcOx helix turn helix domain', NULL, 'HTH_57', NULL, NULL, 30719, 8),
(35191, NULL, 'PF15756', NULL, NULL, 'Small Novel Rich in Cartilage', NULL, 'DUF4690', NULL, NULL, 26093, 8),
(35192, NULL, 'PF17160', NULL, NULL, 'Domain of unknown function (DUF5124)', NULL, 'DUF5124', NULL, NULL, 33737, 8),
(35193, NULL, 'PF01508', NULL, NULL, 'Paramecium surface antigen domain', NULL, 'Paramecium_SA', NULL, NULL, 6335, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35194, NULL, 'PF09573', NULL, NULL, 'TaqI restriction endonuclease', NULL, 'RE_TaqI', NULL, NULL, 16999, 8),
(35195, NULL, 'PF12041', NULL, NULL, 'Transcriptional regulator DELLA protein N terminal', NULL, 'DELLA', NULL, NULL, 20067, 8),
(35196, NULL, 'PF17644', NULL, NULL, 'Core domain of 30K viral movement proteins', NULL, '30K_MP_core', NULL, NULL, 31586, 8),
(35197, NULL, 'PF19871', NULL, NULL, 'Family of unknown function (DUF6344)', NULL, 'DUF6344', NULL, NULL, 39357, 8),
(35198, NULL, 'PF11994', NULL, NULL, 'Protein of unknown function (DUF3489)', NULL, 'DUF3489', NULL, NULL, 20339, 8),
(35199, NULL, 'PF17060', NULL, NULL, 'Monopolar spindle protein 2', NULL, 'MPS2', NULL, NULL, 28401, 8),
(35200, NULL, 'PF04415', NULL, NULL, 'Protein of unknown function (DUF515)', NULL, 'DUF515', NULL, NULL, 10953, 8),
(35201, NULL, 'PF14907', NULL, NULL, 'Uncharacterised nucleotidyltransferase', NULL, 'NTP_transf_5', NULL, NULL, 31421, 8),
(35202, NULL, 'PF08519', NULL, NULL, 'Replication factor RFC1 C terminal domain', NULL, 'RFC1', NULL, NULL, 14066, 8),
(35203, NULL, 'PF08597', NULL, NULL, 'Translation initiation factor eIF3 subunit', NULL, 'eIF3_subunit', NULL, NULL, 18386, 8),
(35204, NULL, 'PF19823', NULL, NULL, 'Domain of unknown function (DUF6305)', NULL, 'DUF6305', NULL, NULL, 39792, 8),
(35205, NULL, 'PF01341', NULL, NULL, 'Glycosyl hydrolases family 6', NULL, 'Glyco_hydro_6', NULL, NULL, 19648, 8),
(35206, NULL, 'PF17787', NULL, NULL, 'PH domain', NULL, 'PH_14', NULL, NULL, 34035, 8),
(35207, NULL, 'PF18766', NULL, NULL, 'SWI2/SNF2 ATPase', NULL, 'SWI2_SNF2', NULL, NULL, 31499, 8),
(35208, NULL, 'PF11298', NULL, NULL, 'Protein of unknown function (DUF3099)', NULL, 'DUF3099', NULL, NULL, 18025, 8),
(35209, NULL, 'PF08691', NULL, NULL, 'DNA repair proteins Nse5 and Nse6', NULL, 'Nse5', NULL, NULL, 11953, 8),
(35210, NULL, 'PF19054', NULL, NULL, 'Domain of unknown function (DUF5753)', NULL, 'DUF5753', NULL, NULL, 38036, 8),
(35211, NULL, 'PF15616', NULL, NULL, 'TerY-C metal binding domain', NULL, 'TerY_C', NULL, NULL, 28749, 8),
(35212, NULL, 'PF18035', NULL, NULL, 'Bap31/Bap29 cytoplasmic coiled-coil domain', NULL, 'Bap31_Bap29_C', NULL, NULL, 32572, 8),
(35213, NULL, 'PF16045', NULL, NULL, 'LisH', NULL, 'LisH_2', NULL, NULL, 1107, 8),
(35214, NULL, 'PF03371', NULL, NULL, 'PRP38 family', NULL, 'PRP38', NULL, NULL, 2160, 8),
(35215, NULL, 'PF06381', NULL, NULL, 'Protein of unknown function (DUF1073)', NULL, 'DUF1073', NULL, NULL, 21721, 8),
(35216, NULL, 'PF11132', NULL, NULL, 'Transcriptional regulator protein (SplA)', NULL, 'SplA', NULL, NULL, 2887, 8),
(35217, NULL, 'PF00587', NULL, NULL, 'tRNA synthetase class II core domain (G, H, P, S and T)', NULL, 'tRNA-synt_2b', NULL, NULL, 6806, 8),
(35218, NULL, 'PF17527', NULL, NULL, 'Phage ALC protein', NULL, 'ALC', NULL, NULL, 19623, 8),
(35219, NULL, 'PF12650', NULL, NULL, 'Domain of unknown function (DUF3784)', NULL, 'DUF3784', NULL, NULL, 15963, 8),
(35220, NULL, 'PF07173', NULL, NULL, 'Glycine-rich domain-containing protein-like', NULL, 'GRDP-like', NULL, NULL, 13923, 8),
(35221, NULL, 'PF14053', NULL, NULL, 'Domain of unknown function (DUF4248)', NULL, 'DUF4248', NULL, NULL, 22919, 8),
(35222, NULL, 'PF17532', NULL, NULL, 'Family of unknown function (DUF5451)', NULL, 'DUF5451', NULL, NULL, 15103, 8),
(35223, NULL, 'PF14252', NULL, NULL, 'Domain of unknown function (DUF4347)', NULL, 'DUF4347', NULL, NULL, 28169, 8),
(35224, NULL, 'PF04655', NULL, NULL, 'Aminoglycoside/hydroxyurea antibiotic resistance kinase', NULL, 'APH_6_hur', NULL, NULL, 3341, 8),
(35225, NULL, 'PF13687', NULL, NULL, 'Domain of unknown function (DUF4153)', NULL, 'DUF4153', NULL, NULL, 23556, 8),
(35226, NULL, 'PF15046', NULL, NULL, 'Protein of unknown function (DUF4532)', NULL, 'DUF4532', NULL, NULL, 29336, 8),
(35227, NULL, 'PF11315', NULL, NULL, 'Mediator complex subunit 30', NULL, 'Med30', NULL, NULL, 15002, 8),
(35228, NULL, 'PF03451', NULL, NULL, 'HELP motif', NULL, 'HELP', NULL, NULL, 10740, 8),
(35229, NULL, 'PF17424', NULL, NULL, 'Family of unknown function (DUF5411)', NULL, 'DUF5411', NULL, NULL, 14943, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35230, NULL, 'PF18570', NULL, NULL, 'NUP57/Nup54 C-terminal domain', NULL, 'Nup54_57_C', NULL, NULL, NULL, 8),
(35231, NULL, 'PF01731', NULL, NULL, 'Arylesterase', NULL, 'Arylesterase', NULL, NULL, 2631, 8),
(35232, NULL, 'PF00381', NULL, NULL, 'PTS HPr component phosphorylation site', NULL, 'PTS-HPr', NULL, NULL, 3372, 8),
(35233, NULL, 'PF02667', NULL, NULL, 'Short chain fatty acid transporter', NULL, 'SCFA_trans', NULL, NULL, 10464, 8),
(35234, NULL, 'PF10694', NULL, NULL, 'Protein of unknown function (DUF2500)', NULL, 'DUF2500', NULL, NULL, 21004, 8),
(35235, NULL, 'PF16766', NULL, NULL, 'Binding region of GANP to ENY2', NULL, 'CID_GANP', NULL, NULL, 22569, 8),
(35236, NULL, 'PF17737', NULL, NULL, 'Ig domain in C19orf38 (HIDE1)', NULL, 'Ig_C19orf38', NULL, NULL, 31192, 8),
(35237, NULL, 'PF00951', NULL, NULL, 'Arterivirus GL envelope glycoprotein', NULL, 'Arteri_Gl', NULL, NULL, 432, 8),
(35238, NULL, 'PF00530', NULL, NULL, 'Scavenger receptor cysteine-rich domain', NULL, 'SRCR', NULL, NULL, 1335, 8),
(35239, NULL, 'PF11081', NULL, NULL, 'Protein of unknown function (DUF2890)', NULL, 'DUF2890', NULL, NULL, 17693, 8),
(35240, NULL, 'PF16497', NULL, NULL, 'MHC-I family domain', NULL, 'MHC_I_3', NULL, NULL, 12578, 8),
(35241, NULL, 'PF13862', NULL, NULL, 'BCCIP', NULL, 'BCCIP', NULL, NULL, 25663, 8),
(35242, NULL, 'PF01170', NULL, NULL, 'Putative RNA methylase family UPF0020', NULL, 'UPF0020', NULL, NULL, 4645, 8),
(35243, NULL, 'PF03007', NULL, NULL, 'Wax ester synthase-like Acyl-CoA acyltransferase domain', NULL, 'WES_acyltransf', NULL, NULL, 3594, 8),
(35244, NULL, 'PF15817', NULL, NULL, 'Transmembrane protein 40 family', NULL, 'TMEM40', NULL, NULL, 21900, 8),
(35245, NULL, 'PF12017', NULL, NULL, 'Transposase protein', NULL, 'Tnp_P_element', NULL, NULL, 20037, 8),
(35246, NULL, 'PF03286', NULL, NULL, 'Pox virus Ag35 surface protein', NULL, 'Pox_Ag35', NULL, NULL, 2672, 8),
(35247, NULL, 'PF09192', NULL, NULL, 'Actin-fragmin kinase, catalytic', NULL, 'Act-Frag_cataly', NULL, NULL, 12942, 8),
(35248, NULL, 'PF05728', NULL, NULL, 'Uncharacterised protein family (UPF0227)', NULL, 'UPF0227', NULL, NULL, 7866, 8),
(35249, NULL, 'PF07391', NULL, NULL, 'NPR nonapeptide repeat (2 copies)', NULL, 'NPR', NULL, NULL, 11890, 8),
(35250, NULL, 'PF19641', NULL, NULL, 'Family of unknown function (DUF6144)', NULL, 'DUF6144', NULL, NULL, 39642, 8),
(35251, NULL, 'PF07686', NULL, NULL, 'Immunoglobulin V-set domain', NULL, 'V-set', NULL, NULL, 18566, 8),
(35252, NULL, 'PF11941', NULL, NULL, 'Domain of unknown function (DUF3459)', NULL, 'DUF3459', NULL, NULL, 16994, 8),
(35253, NULL, 'PF08873', NULL, NULL, 'Domain of unknown function (DUF1834)', NULL, 'DUF1834', NULL, NULL, 14186, 8),
(35254, NULL, 'PF12162', NULL, NULL, 'STAT1 TAZ2 binding domain', NULL, 'STAT1_TAZ2bind', NULL, NULL, 17111, 8),
(35255, NULL, 'PF06637', NULL, NULL, 'PV-1 protein (PLVAP)', NULL, 'PV-1', NULL, NULL, 10061, 8),
(35256, NULL, 'PF11488', NULL, NULL, 'Transcriptional regulatory protein LGE1', NULL, 'Lge1', NULL, NULL, NULL, 8),
(35257, NULL, 'PF15331', NULL, NULL, 'Cellular tumour antigen p53-inducible 5', NULL, 'TP53IP5', NULL, NULL, 25586, 8),
(35258, NULL, 'PF17837', NULL, NULL, '4''-phosphopantetheinyl transferase N-terminal domain', NULL, '4PPT_N', NULL, NULL, 31955, 8),
(35259, NULL, 'PF04562', NULL, NULL, 'Dictyostelium spore coat protein, N terminus', NULL, 'Dicty_spore_N', NULL, NULL, 2211, 8),
(35260, NULL, 'PF05049', NULL, NULL, 'Interferon-inducible GTPase (IIGP)', NULL, 'IIGP', NULL, NULL, 1219, 8),
(35261, NULL, 'PF06294', NULL, NULL, 'CH-like domain in sperm protein', NULL, 'CH_2', NULL, NULL, 10035, 8),
(35262, NULL, 'PF07051', NULL, NULL, 'Ovarian carcinoma immunoreactive antigen (OCIA)', NULL, 'OCIA', NULL, NULL, 12980, 8),
(35263, NULL, 'PF10029', NULL, NULL, 'Predicted periplasmic protein (DUF2271)', NULL, 'DUF2271', NULL, NULL, 9890, 8),
(35264, NULL, 'PF06788', NULL, NULL, 'Uncharacterised protein family (UPF0257)', NULL, 'UPF0257', NULL, NULL, 9283, 8),
(35265, NULL, 'PF14207', NULL, NULL, 'DpnD/PcfM-like protein', NULL, 'DpnD-PcfM', NULL, NULL, 25327, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35266, NULL, 'PF06386', NULL, NULL, 'Gas vesicle synthesis protein GvpL/GvpF', NULL, 'GvpL_GvpF', NULL, NULL, 8103, 8),
(35267, NULL, 'PF05645', NULL, NULL, 'RNA polymerase III subunit RPC82', NULL, 'RNA_pol_Rpc82', NULL, NULL, 14136, 8),
(35268, NULL, 'PF04189', NULL, NULL, 'Gcd10p family', NULL, 'Gcd10p', NULL, NULL, 18558, 8),
(35269, NULL, 'PF09321', NULL, NULL, 'Domain of unknown function (DUF1978)', NULL, 'DUF1978', NULL, NULL, 14168, 8),
(35270, NULL, 'PF13413', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_25', NULL, NULL, NULL, 8),
(35271, NULL, 'PF19942', NULL, NULL, 'Family of unknown function (DUF6404)', NULL, 'DUF6404', NULL, NULL, 38920, 8),
(35272, NULL, 'PF05678', NULL, NULL, 'VQ motif', NULL, 'VQ', NULL, NULL, 7651, 8),
(35273, NULL, 'PF00925', NULL, NULL, 'GTP cyclohydrolase II', NULL, 'GTP_cyclohydro2', NULL, NULL, 18959, 8),
(35274, NULL, 'PF04547', NULL, NULL, 'Calcium-activated chloride channel', NULL, 'Anoctamin', NULL, NULL, 2367, 8),
(35275, NULL, 'PF17358', NULL, NULL, 'Family of unknown function (DUF5384)', NULL, 'DUF5384', NULL, NULL, 19720, 8),
(35276, NULL, 'PF13503', NULL, NULL, 'Domain of unknown function (DUF4123)', NULL, 'DUF4123', NULL, NULL, 23045, 8),
(35277, NULL, 'PF10191', NULL, NULL, 'Golgi complex component 7 (COG7)', NULL, 'COG7', NULL, NULL, 15014, 8),
(35278, NULL, 'PF13205', NULL, NULL, 'Bacterial Ig-like domain', NULL, 'Big_5', NULL, NULL, 22935, 8),
(35279, NULL, 'PF15997', NULL, NULL, 'Domain of unknown function (DUF4772)', NULL, 'DUF4772', NULL, NULL, 27861, 8),
(35280, NULL, 'PF08213', NULL, NULL, 'Mitochondrial domain of unknown function (DUF1713)', NULL, 'DUF1713', NULL, NULL, 17576, 8),
(35281, NULL, 'PF14890', NULL, NULL, 'Intein splicing domain', NULL, 'Intein_splicing', NULL, NULL, NULL, 8),
(35282, NULL, 'PF10755', NULL, NULL, 'Protein of unknown function (DUF2585)', NULL, 'DUF2585', NULL, NULL, 20717, 8),
(35283, NULL, 'PF01691', NULL, NULL, 'Adenovirus E1B 19K protein / small t-antigen', NULL, 'Adeno_E1B_19K', NULL, NULL, 6559, 8),
(35284, NULL, 'PF08715', NULL, NULL, 'Coronavirus papain-like peptidase', NULL, 'CoV_peptidase', NULL, NULL, 18866, 8),
(35285, NULL, 'PF06849', NULL, NULL, 'Protein of unknown function (DUF1246)', NULL, 'DUF1246', NULL, NULL, 9294, 8),
(35286, NULL, 'PF07520', NULL, NULL, 'Virulence factor SrfB', NULL, 'SrfB', NULL, NULL, 10576, 8),
(35287, NULL, 'PF15849', NULL, NULL, 'Domain of unknown function (DUF4722)', NULL, 'DUF4722', NULL, NULL, 22172, 8),
(35288, NULL, 'PF15149', NULL, NULL, 'Cation channel sperm-associated protein subunit beta protein family', NULL, 'CATSPERB', NULL, NULL, 24483, 8),
(35289, NULL, 'PF01058', NULL, NULL, 'NADH ubiquinone oxidoreductase, 20 Kd subunit', NULL, 'Oxidored_q6', NULL, NULL, 10484, 8),
(35290, NULL, 'PF02480', NULL, NULL, 'Alphaherpesvirus glycoprotein E', NULL, 'Herpes_gE', NULL, NULL, 5477, 8),
(35291, NULL, 'PF09558', NULL, NULL, 'Protein of unknown function (DUF2375)', NULL, 'DUF2375', NULL, NULL, 11584, 8),
(35292, NULL, 'PF15216', NULL, NULL, 'Thymic stromal lymphopoietin', NULL, 'TSLP', NULL, NULL, 21650, 8),
(35293, NULL, 'PF17052', NULL, NULL, 'Cap associated factor', NULL, 'CAF20', NULL, NULL, 28952, 8),
(35294, NULL, 'PF18464', NULL, NULL, 'Proprotein convertase subtilisin-like/kexin type 9 C-terminal domain', NULL, 'PCSK9_C2', NULL, NULL, 31177, 8),
(35295, NULL, 'PF18483', NULL, NULL, 'Bacterial lectin', NULL, 'Bact_lectin', NULL, NULL, NULL, 8),
(35296, NULL, 'PF17183', NULL, NULL, 'Get5 carboxyl domain', NULL, 'Blt1_C', NULL, NULL, NULL, 8),
(35297, NULL, 'PF15915', NULL, NULL, 'GAF and HTH_10 associated domain', NULL, 'BAT', NULL, NULL, 25001, 8),
(35298, NULL, 'PF16470', NULL, NULL, 'Peptidase S8 pro-domain', NULL, 'S8_pro-domain', NULL, NULL, 22462, 8),
(35299, NULL, 'PF08218', NULL, NULL, 'Citrate lyase ligase C-terminal domain', NULL, 'Citrate_ly_lig', NULL, NULL, 8994, 8),
(35300, NULL, 'PF00697', NULL, NULL, 'N-(5''phosphoribosyl)anthranilate (PRA) isomerase', NULL, 'PRAI', NULL, NULL, 2436, 8),
(35301, NULL, 'PF10235', NULL, NULL, 'Microtubule-associated protein CRIPT', NULL, 'Cript', NULL, NULL, 15621, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35302, NULL, 'PF02613', NULL, NULL, 'Nitrate reductase delta subunit', NULL, 'Nitrate_red_del', NULL, NULL, 16565, 8),
(35303, NULL, 'PF10896', NULL, NULL, 'Protein of unknown function (DUF2714)', NULL, 'DUF2714', NULL, NULL, 17902, 8),
(35304, NULL, 'PF15394', NULL, NULL, 'Domain of unknown function (DUF4616)', NULL, 'DUF4616', NULL, NULL, 26171, 8),
(35305, NULL, 'PF15975', NULL, NULL, 'Flotillin', NULL, 'Flot', NULL, NULL, 27018, 8),
(35306, NULL, 'PF14323', NULL, NULL, 'GxGYxYP putative glycoside hydrolase C-terminal domain', NULL, 'GxGYxYP_C', NULL, NULL, 25381, 8),
(35307, NULL, 'PF16237', NULL, NULL, 'Domain of unknown function (DUF4896)', NULL, 'DUF4896', NULL, NULL, 25526, 8),
(35308, NULL, 'PF07992', NULL, NULL, 'Pyridine nucleotide-disulphide oxidoreductase', NULL, 'Pyr_redox_2', NULL, NULL, 14909, 8),
(35309, NULL, 'PF16445', NULL, NULL, 'Domain of unknown function (DUF5042)', NULL, 'DUF5042', NULL, NULL, 29484, 8),
(35310, NULL, 'PF08513', NULL, NULL, 'LisH', NULL, 'LisH', NULL, NULL, 1107, 8),
(35311, NULL, 'PF06695', NULL, NULL, 'Putative small multi-drug export protein', NULL, 'Sm_multidrug_ex', NULL, NULL, 582, 8),
(35312, NULL, 'PF06033', NULL, NULL, 'Nucleopolyhedrovirus protein of unknown function (DUF918)', NULL, 'DUF918', NULL, NULL, 13532, 8),
(35313, NULL, 'PF10691', NULL, NULL, 'Protein of unknown function (DUF2497)', NULL, 'DUF2497', NULL, NULL, 21445, 8),
(35314, NULL, 'PF11195', NULL, NULL, 'Protein of unknown function (DUF2829)', NULL, 'DUF2829', NULL, NULL, 18440, 8),
(35315, NULL, 'PF19046', NULL, NULL, 'GM130 C-terminal binding motif', NULL, 'GM130_C', NULL, NULL, 37837, 8),
(35316, NULL, 'PF08738', NULL, NULL, 'Gon7 family', NULL, 'Gon7', NULL, NULL, 11871, 8),
(35317, NULL, 'PF01684', NULL, NULL, 'ET module', NULL, 'ET', NULL, NULL, 1898, 8),
(35318, NULL, 'PF14701', NULL, NULL, 'Glycogen debranching enzyme, glucanotransferase domain', NULL, 'hDGE_amylase', NULL, NULL, 22704, 8),
(35319, NULL, 'PF09936', NULL, NULL, 'SAM-dependent RNA methyltransferase', NULL, 'Methyltrn_RNA_4', NULL, NULL, 19135, 8),
(35320, NULL, 'PF12905', NULL, NULL, 'Endo-alpha-N-acetylgalactosaminidase', NULL, 'Glyco_hydro_101', NULL, NULL, 25898, 8),
(35321, NULL, 'PF19602', NULL, NULL, 'Family of unknown function (DUF6107)', NULL, 'DUF6107', NULL, NULL, 39452, 8),
(35322, NULL, 'PF05072', NULL, NULL, 'Herpesvirus UL43 protein', NULL, 'Herpes_UL43', NULL, NULL, 1400, 8),
(35323, NULL, 'PF05039', NULL, NULL, 'Agouti protein', NULL, 'Agouti', NULL, NULL, 1098, 8),
(35324, NULL, 'PF08736', NULL, NULL, 'FERM adjacent (FA)', NULL, 'FA', NULL, NULL, 11691, 8),
(35325, NULL, 'PF14759', NULL, NULL, 'Reductase C-terminal', NULL, 'Reductase_C', NULL, NULL, 21934, 8),
(35326, NULL, 'PF05619', NULL, NULL, 'Borrelia burgdorferi protein of unknown function (DUF787)', NULL, 'DUF787', NULL, NULL, 12485, 8),
(35327, NULL, 'PF11830', NULL, NULL, 'Domain of unknown function (DUF3350)', NULL, 'DUF3350', NULL, NULL, 19646, 8),
(35328, NULL, 'PF10651', NULL, NULL, 'BppU N-terminal domain', NULL, 'BppU_N', NULL, NULL, 15015, 8),
(35329, NULL, 'PF12171', NULL, NULL, 'Zinc-finger double-stranded RNA-binding', NULL, 'zf-C2H2_jaz', NULL, NULL, 17368, 8),
(35330, NULL, 'PF00956', NULL, NULL, 'Nucleosome assembly protein (NAP)', NULL, 'NAP', NULL, NULL, 5356, 8),
(35331, NULL, 'PF00884', NULL, NULL, 'Sulfatase', NULL, 'Sulfatase', NULL, NULL, 3085, 8),
(35332, NULL, 'PF02309', NULL, NULL, 'AUX/IAA family', NULL, 'AUX_IAA', NULL, NULL, 32553, 8),
(35333, NULL, 'PF03835', NULL, NULL, 'Rad4 transglutaminase-like domain', NULL, 'Rad4', NULL, NULL, 17879, 8),
(35334, NULL, 'PF06112', NULL, NULL, 'Gammaherpesvirus capsid protein', NULL, 'Herpes_capsid', NULL, NULL, 13856, 8),
(35335, NULL, 'PF16580', NULL, NULL, 'C-terminal tail of astrovirus capsid projection or spike', NULL, 'Astro_capsid_p2', NULL, NULL, 28234, 8),
(35336, NULL, 'PF05378', NULL, NULL, 'Hydantoinase/oxoprolinase N-terminal region', NULL, 'Hydant_A_N', NULL, NULL, 5368, 8),
(35337, NULL, 'PF09572', NULL, NULL, 'XamI restriction endonuclease', NULL, 'RE_XamI', NULL, NULL, 16974, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35338, NULL, 'PF18804', NULL, NULL, 'CxC3 like cysteine cluster associated with KDZ transposases', NULL, 'CxC3', NULL, NULL, 30645, 8),
(35339, NULL, 'PF13495', NULL, NULL, 'Phage integrase, N-terminal SAM-like domain', NULL, 'Phage_int_SAM_4', NULL, NULL, 1758, 8),
(35340, NULL, 'PF01414', NULL, NULL, 'Delta serrate ligand', NULL, 'DSL', NULL, NULL, 3423, 8),
(35341, NULL, 'PF06630', NULL, NULL, 'Enterobacterial exodeoxyribonuclease VIII', NULL, 'Exonuc_VIII', NULL, NULL, 8037, 8),
(35342, NULL, 'PF04930', NULL, NULL, 'FUN14 family', NULL, 'FUN14', NULL, NULL, 6587, 8),
(35343, NULL, 'PF05450', NULL, NULL, 'Nicastrin', NULL, 'Nicastrin', NULL, NULL, NULL, 8),
(35344, NULL, 'PF09014', NULL, NULL, 'Beta-2-glycoprotein-1 fifth domain', NULL, 'Sushi_2', NULL, NULL, 9626, 8),
(35345, NULL, 'PF11223', NULL, NULL, 'Protein of unknown function (DUF3020)', NULL, 'DUF3020', NULL, NULL, 18176, 8),
(35346, NULL, 'PF17281', NULL, NULL, 'Family of unknown function (DUF5346)', NULL, 'DUF5346', NULL, NULL, 15145, 8),
(35347, NULL, 'PF10886', NULL, NULL, 'Protein of unknown function (DUF2685)', NULL, 'DUF2685', NULL, NULL, 22914, 8),
(35348, NULL, 'PF07464', NULL, NULL, 'Apolipophorin-III precursor (apoLp-III)', NULL, 'ApoLp-III', NULL, NULL, 9184, 8),
(35349, NULL, 'PF06629', NULL, NULL, 'MltA-interacting protein MipA', NULL, 'MipA', NULL, NULL, 8126, 8),
(35350, NULL, 'PF03357', NULL, NULL, 'Snf7', NULL, 'Snf7', NULL, NULL, 1173, 8),
(35351, NULL, 'PF12250', NULL, NULL, 'Arabinofuranosyltransferase N terminal', NULL, 'AftA_N', NULL, NULL, 16359, 8),
(35352, NULL, 'PF00767', NULL, NULL, 'Potyvirus coat protein', NULL, 'Poty_coat', NULL, NULL, 5185, 8),
(35353, NULL, 'PF07341', NULL, NULL, 'Protein of unknown function (DUF1473)', NULL, 'DUF1473', NULL, NULL, 8266, 8),
(35354, NULL, 'PF13126', NULL, NULL, 'Protein of unknown function (DUF3975)', NULL, 'DUF3975', NULL, NULL, 27239, 8),
(35355, NULL, 'PF03268', NULL, NULL, 'Caenorhabditis protein of unknown function, DUF267', NULL, 'DUF267', NULL, NULL, 2917, 8),
(35356, NULL, 'PF18820', NULL, NULL, 'Bdellovibrio Beta-sandwich', NULL, 'BD_b_sandwich', NULL, NULL, 31668, 8),
(35357, NULL, 'PF15492', NULL, NULL, 'Neuroblastoma-amplified sequence, N terminal', NULL, 'Nbas_N', NULL, NULL, 25479, 8),
(35358, NULL, 'PF09415', NULL, NULL, 'CENP-S associating Centromere protein X', NULL, 'CENP-X', NULL, NULL, 15246, 8),
(35359, NULL, 'PF17781', NULL, NULL, 'RPN1 N-terminal domain', NULL, 'RPN1_RPN2_N', NULL, NULL, 34864, 8),
(35360, NULL, 'PF04408', NULL, NULL, 'Helicase associated domain (HA2)', NULL, 'HA2', NULL, NULL, 10357, 8),
(35361, NULL, 'PF13481', NULL, NULL, 'AAA domain', NULL, 'AAA_25', NULL, NULL, NULL, 8),
(35362, NULL, 'PF17574', NULL, NULL, 'Inhibitor of toxin/antitoxin system (Gp4.5)', NULL, 'TA_inhibitor', NULL, NULL, 35251, 8),
(35363, NULL, 'PF05007', NULL, NULL, 'Mannosyltransferase (PIG-M)', NULL, 'Mannosyl_trans', NULL, NULL, 1365, 8),
(35364, NULL, 'PF03076', NULL, NULL, 'Equine arteritis virus GP3', NULL, 'GP3', NULL, NULL, 4847, 8),
(35365, NULL, 'PF10986', NULL, NULL, 'Protein of unknown function (DUF2796)', NULL, 'DUF2796', NULL, NULL, 17928, 8),
(35366, NULL, 'PF18682', NULL, NULL, 'Pilin A4', NULL, 'PilA4', NULL, NULL, 30963, 8),
(35367, NULL, 'PF01958', NULL, NULL, 'Domain of unknown function DUF108', NULL, 'DUF108', NULL, NULL, 4733, 8),
(35368, NULL, 'PF16377', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4987', NULL, NULL, 28003, 8),
(35369, NULL, 'PF12945', NULL, NULL, 'Flagellar protein YcgR', NULL, 'YcgR_2', NULL, NULL, 8154, 8),
(35370, NULL, 'PF13085', NULL, NULL, '2Fe-2S iron-sulfur cluster binding domain', NULL, 'Fer2_3', NULL, NULL, 24532, 8),
(35371, NULL, 'PF11804', NULL, NULL, 'Protein of unknown function (DUF3325)', NULL, 'DUF3325', NULL, NULL, 19552, 8),
(35372, NULL, 'PF00924', NULL, NULL, 'Mechanosensitive ion channel', NULL, 'MS_channel', NULL, NULL, 2402, 8),
(35373, NULL, 'PF04475', NULL, NULL, 'Protein of unknown function (DUF555)', NULL, 'DUF555', NULL, NULL, 1839, 8),
(35374, NULL, 'PF13835', NULL, NULL, 'Domain of unknown function (DUF4194)', NULL, 'DUF4194', NULL, NULL, 23415, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35375, NULL, 'PF02798', NULL, NULL, 'Glutathione S-transferase, N-terminal domain', NULL, 'GST_N', NULL, NULL, 867, 8),
(35376, NULL, 'PF13423', NULL, NULL, 'Ubiquitin carboxyl-terminal hydrolase', NULL, 'UCH_1', NULL, NULL, 22337, 8),
(35377, NULL, 'PF06751', NULL, NULL, 'Ethanolamine ammonia lyase large subunit (EutB)', NULL, 'EutB', NULL, NULL, 9244, 8),
(35378, NULL, 'PF13926', NULL, NULL, 'Domain of unknown function (DUF4211)', NULL, 'DUF4211', NULL, NULL, 23427, 8),
(35379, NULL, 'PF08652', NULL, NULL, 'RAI1 like PD-(D/E)XK nuclease', NULL, 'RAI1', NULL, NULL, 8321, 8),
(35380, NULL, 'PF00230', NULL, NULL, 'Major intrinsic protein', NULL, 'MIP', NULL, NULL, 4814, 8),
(35381, NULL, 'PF10392', NULL, NULL, 'Golgi transport complex subunit 5', NULL, 'COG5', NULL, NULL, 17847, 8),
(35382, NULL, 'PF16450', NULL, NULL, 'Proteasomal ATPase OB C-terminal domain', NULL, 'Prot_ATP_ID_OB', NULL, NULL, 22949, 8),
(35383, NULL, 'PF13971', NULL, NULL, 'Meiosis-specific protein Mei4', NULL, 'Mei4', NULL, NULL, 25682, 8),
(35384, NULL, 'PF14705', NULL, NULL, 'Costars', NULL, 'Costars', NULL, NULL, 22872, 8),
(35385, NULL, 'PF15304', NULL, NULL, 'A-kinase anchor protein 2 C-terminus', NULL, 'AKAP2_C', NULL, NULL, 25798, 8),
(35386, NULL, 'PF00327', NULL, NULL, 'Ribosomal protein L30p/L7e', NULL, 'Ribosomal_L30', NULL, NULL, 10191, 8),
(35387, NULL, 'PF18686', NULL, NULL, 'Family of unknown function (DUF5636)', NULL, 'DUF5636', NULL, NULL, 30707, 8),
(35388, NULL, 'PF07974', NULL, NULL, 'EGF-like domain', NULL, 'EGF_2', NULL, NULL, 18704, 8),
(35389, NULL, 'PF09107', NULL, NULL, 'Elongation factor SelB, winged helix', NULL, 'SelB-wing_3', NULL, NULL, 10864, 8),
(35390, NULL, 'PF11546', NULL, NULL, 'Staphylococcal complement inhibitor SCIN', NULL, 'CompInhib_SCIN', NULL, NULL, 19357, 8),
(35391, NULL, 'PF03622', NULL, NULL, 'IBV 3B protein', NULL, 'IBV_3B', NULL, NULL, 5351, 8),
(35392, NULL, 'PF05671', NULL, NULL, 'GETHR pentapeptide repeat (5 copies)', NULL, 'GETHR', NULL, NULL, 14294, 8),
(35393, NULL, 'PF19410', NULL, NULL, 'Family of unknown function (DUF5980)', NULL, 'DUF5980', NULL, NULL, 39003, 8),
(35394, NULL, 'PF00403', NULL, NULL, 'Heavy-metal-associated domain', NULL, 'HMA', NULL, NULL, 10416, 8),
(35395, NULL, 'PF10265', NULL, NULL, 'Mitoguardin', NULL, 'Miga', NULL, NULL, 15585, 8),
(35396, NULL, 'PF11899', NULL, NULL, 'Protein of unknown function (DUF3419)', NULL, 'DUF3419', NULL, NULL, 20133, 8),
(35397, NULL, 'PF10909', NULL, NULL, 'Protein of unknown function (DUF2682)', NULL, 'DUF2682', NULL, NULL, 28432, 8),
(35398, NULL, 'PF16257', NULL, NULL, 'tagaturonate epimerase', NULL, 'UxaE', NULL, NULL, 22332, 8),
(35399, NULL, 'PF16658', NULL, NULL, 'Class II release factor RF3, C-terminal domain', NULL, 'RF3_C', NULL, NULL, 24527, 8),
(35400, NULL, 'PF05238', NULL, NULL, 'Kinetochore protein CHL4 like', NULL, 'CENP-N', NULL, NULL, 3060, 8),
(35401, NULL, 'PF02550', NULL, NULL, 'Acetyl-CoA hydrolase/transferase N-terminal domain', NULL, 'AcetylCoA_hydro', NULL, NULL, 2439, 8),
(35402, NULL, 'PF05033', NULL, NULL, 'Pre-SET motif', NULL, 'Pre-SET', NULL, NULL, 1103, 8),
(35403, NULL, 'PF08412', NULL, NULL, 'Ion transport protein N-terminal', NULL, 'Ion_trans_N', NULL, NULL, 11306, 8),
(35404, NULL, 'PF16448', NULL, NULL, 'LapD/MoxY periplasmic domain', NULL, 'LapD_MoxY_N', NULL, NULL, 29409, 8),
(35405, NULL, 'PF18196', NULL, NULL, 'Chromodomain helicase DNA-binding domain 1', NULL, 'Cdh1_DBD_1', NULL, NULL, 31147, 8),
(35406, NULL, 'PF11610', NULL, NULL, 'Scaffold protein Ste5, Fus3-binding region', NULL, 'Ste5', NULL, NULL, 19450, 8),
(35407, NULL, 'PF09376', NULL, NULL, 'NurA domain', NULL, 'NurA', NULL, NULL, 15478, 8),
(35408, NULL, 'PF11615', NULL, NULL, 'CCR4-associated factor 4', NULL, 'Caf4', NULL, NULL, 19298, 8),
(35409, NULL, 'PF13081', NULL, NULL, 'Domain of unknown function (DUF3941)', NULL, 'DUF3941', NULL, NULL, 23858, 8),
(35410, NULL, 'PF15801', NULL, NULL, 'zf-MYND-like zinc finger, mRNA-binding', NULL, 'zf-C6H2', NULL, NULL, 27645, 8),
(35411, NULL, 'PF03302', NULL, NULL, 'Giardia variant-specific surface protein', NULL, 'VSP', NULL, NULL, 7019, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35412, NULL, 'PF16376', NULL, NULL, 'N-terminal domain of fragilysin', NULL, 'fragilysinNterm', NULL, NULL, 28425, 8),
(35413, NULL, 'PF14984', NULL, NULL, 'CD24 protein', NULL, 'CD24', NULL, NULL, 22053, 8),
(35414, NULL, 'PF10353', NULL, NULL, 'Protein of unknown function (DUF2430)', NULL, 'DUF2430', NULL, NULL, 17869, 8),
(35415, NULL, 'PF08856', NULL, NULL, 'Protein of unknown function (DUF1826)', NULL, 'DUF1826', NULL, NULL, 14439, 8),
(35416, NULL, 'PF13924', NULL, NULL, 'Lipocalin-like domain', NULL, 'Lipocalin_5', NULL, NULL, 23338, 8),
(35417, NULL, 'PF18739', NULL, NULL, 'Apea-like HEPN', NULL, 'HEPN_Apea', NULL, NULL, 32939, 8),
(35418, NULL, 'PF05215', NULL, NULL, 'Spiralin', NULL, 'Spiralin', NULL, NULL, 3450, 8),
(35419, NULL, 'PF18392', NULL, NULL, 'COP9 signalosome complex subunit 7a helix I domain', NULL, 'CSN7a_helixI', NULL, NULL, 32450, 8),
(35420, NULL, 'PF01560', NULL, NULL, 'Hepatitis C virus non-structural protein E2/NS1', NULL, 'HCV_NS1', NULL, NULL, 827, 8),
(35421, NULL, 'PF11030', NULL, NULL, 'Nucleocapsid protein N', NULL, 'Nucleocapsid-N', NULL, NULL, 19816, 8),
(35422, NULL, 'PF11460', NULL, NULL, 'Protein of unknown function (DUF3007)', NULL, 'DUF3007', NULL, NULL, 18688, 8),
(35423, NULL, 'PF12818', NULL, NULL, 'dsDNA viral tegument protein', NULL, 'Tegument_dsDNA', NULL, NULL, 22682, 8),
(35424, NULL, 'PF13964', NULL, NULL, 'Kelch motif', NULL, 'Kelch_6', NULL, NULL, NULL, 8),
(35425, NULL, 'PF15521', NULL, NULL, 'Novel toxin 11', NULL, 'Ntox11', NULL, NULL, 25081, 8),
(35426, NULL, 'PF15499', NULL, NULL, 'Ubiquitin-specific peptidase-like, SUMO isopeptidase', NULL, 'Peptidase_C98', NULL, NULL, 25716, 8),
(35427, NULL, 'PF04671', NULL, NULL, 'Erythrocyte membrane-associated giant protein antigen 332', NULL, 'Ag332', NULL, NULL, 3409, 8),
(35428, NULL, 'PF11587', NULL, NULL, 'Major prion protein bPrPp - N terminal', NULL, 'Prion_bPrPp', NULL, NULL, 27496, 8),
(35429, NULL, 'PF15322', NULL, NULL, 'Protein missing in infertile sperm 1, putative', NULL, 'PMSI1', NULL, NULL, 25973, 8),
(35430, NULL, 'PF10679', NULL, NULL, 'Protein of unknown function (DUF2491)', NULL, 'DUF2491', NULL, NULL, 20288, 8),
(35431, NULL, 'PF09725', NULL, NULL, 'Folate-sensitive fragile site protein Fra10Ac1', NULL, 'Fra10Ac1', NULL, NULL, 17758, 8),
(35432, NULL, 'PF00799', NULL, NULL, 'Geminivirus Rep catalytic domain', NULL, 'Gemini_AL1', NULL, NULL, 14725, 8),
(35433, NULL, 'PF14104', NULL, NULL, 'Domain of unknown function (DUF4277)', NULL, 'DUF4277', NULL, NULL, 23159, 8),
(35434, NULL, 'PF15247', NULL, NULL, 'Histone RNA hairpin-binding protein RNA-binding domain', NULL, 'SLBP_RNA_bind', NULL, NULL, 24753, 8),
(35435, NULL, 'PF16380', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4990', NULL, NULL, 22822, 8),
(35436, NULL, 'PF03225', NULL, NULL, 'Viral heat shock protein Hsp90 homologue', NULL, 'Viral_Hsp90', NULL, NULL, 1671, 8),
(35437, NULL, 'PF10260', NULL, NULL, 'Uncharacterized conserved domain (SAYSvFN)', NULL, 'SAYSvFN', NULL, NULL, 15875, 8),
(35438, NULL, 'PF02991', NULL, NULL, 'Autophagy protein Atg8 ubiquitin like', NULL, 'ATG8', NULL, NULL, 3570, 8),
(35439, NULL, 'PF07894', NULL, NULL, 'FAM83 A-H', NULL, 'FAM83', NULL, NULL, 14907, 8),
(35440, NULL, 'PF00992', NULL, NULL, 'Troponin', NULL, 'Troponin', NULL, NULL, 2041, 8),
(35441, NULL, 'PF13248', NULL, NULL, 'zinc-ribbon domain', NULL, 'zf-ribbon_3', NULL, NULL, NULL, 8),
(35442, NULL, 'PF03764', NULL, NULL, 'Elongation factor G, domain IV', NULL, 'EFG_IV', NULL, NULL, 1691, 8),
(35443, NULL, 'PF07611', NULL, NULL, 'Protein of unknown function (DUF1574)', NULL, 'DUF1574', NULL, NULL, 14069, 8),
(35444, NULL, 'PF00585', NULL, NULL, 'C-terminal regulatory domain of Threonine dehydratase', NULL, 'Thr_dehydrat_C', NULL, NULL, 3255, 8),
(35445, NULL, 'PF07692', NULL, NULL, 'Low iron-inducible periplasmic protein', NULL, 'Fea1', NULL, NULL, 10906, 8),
(35446, NULL, 'PF15872', NULL, NULL, 'Serine-rich and transmembrane domain-containing protein 1', NULL, 'SRTM1', NULL, NULL, 24538, 8),
(35447, NULL, 'PF09826', NULL, NULL, 'Beta propeller domain', NULL, 'Beta_propel', NULL, NULL, 18761, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35448, NULL, 'PF15181', NULL, NULL, 'Spermatid-specific manchette-related protein 1', NULL, 'SMRP1', NULL, NULL, 22103, 8),
(35449, NULL, 'PF19672', NULL, NULL, 'Family of unknown function (DUF6175)', NULL, 'DUF6175', NULL, NULL, 39626, 8),
(35450, NULL, 'PF07980', NULL, NULL, 'SusD family', NULL, 'SusD_RagB', NULL, NULL, 8190, 8),
(35451, NULL, 'PF01202', NULL, NULL, 'Shikimate kinase', NULL, 'SKI', NULL, NULL, 22237, 8),
(35452, NULL, 'PF01885', NULL, NULL, 'RNA 2''-phosphotransferase, Tpt1 / KptA family', NULL, 'PTS_2-RNA', NULL, NULL, 3922, 8),
(35453, NULL, 'PF00109', NULL, NULL, 'Beta-ketoacyl synthase, N-terminal domain', NULL, 'ketoacyl-synt', NULL, NULL, 12702, 8),
(35454, NULL, 'PF04565', NULL, NULL, 'RNA polymerase Rpb2, domain 3', NULL, 'RNA_pol_Rpb2_3', NULL, NULL, 23, 8),
(35455, NULL, 'PF06315', NULL, NULL, 'Isocitrate dehydrogenase kinase/phosphatase (AceK)', NULL, 'AceK', NULL, NULL, 10425, 8),
(35456, NULL, 'PF07010', NULL, NULL, 'Endomucin', NULL, 'Endomucin', NULL, NULL, 10428, 8),
(35457, NULL, 'PF01636', NULL, NULL, 'Phosphotransferase enzyme family', NULL, 'APH', NULL, NULL, 1601, 8),
(35458, NULL, 'PF09269', NULL, NULL, 'Domain of unknown function (DUF1967)', NULL, 'DUF1967', NULL, NULL, 13993, 8),
(35459, NULL, 'PF08207', NULL, NULL, 'Elongation factor P (EF-P) KOW-like domain', NULL, 'EFP_N', NULL, NULL, 17586, 8),
(35460, NULL, 'PF08246', NULL, NULL, 'Cathepsin propeptide inhibitor domain (I29)', NULL, 'Inhibitor_I29', NULL, NULL, 17686, 8),
(35461, NULL, 'PF15782', NULL, NULL, 'Gene regulated by oestrogen in breast cancer', NULL, 'GREB1', NULL, NULL, 22066, 8),
(35462, NULL, 'PF18049', NULL, NULL, 'DNA polymerase nu pseudo-exo', NULL, 'DNA_pol_P_Exo', NULL, NULL, 31561, 8),
(35463, NULL, 'PF08158', NULL, NULL, 'NUC130/3NT domain', NULL, 'NUC130_3NT', NULL, NULL, 12425, 8),
(35464, NULL, 'PF16944', NULL, NULL, 'Fungal potassium channel', NULL, 'KCH', NULL, NULL, 27167, 8),
(35465, NULL, 'PF19787', NULL, NULL, 'Family of unknown function (DUF6271)', NULL, 'DUF6271', NULL, NULL, 39641, 8),
(35466, NULL, 'PF05281', NULL, NULL, 'Neuroendocrine protein 7B2 precursor (Secretogranin V)', NULL, 'Secretogranin_V', NULL, NULL, 4300, 8),
(35467, NULL, 'PF10041', NULL, NULL, 'Uncharacterized conserved protein (DUF2277)', NULL, 'DUF2277', NULL, NULL, 18665, 8),
(35468, NULL, 'PF07602', NULL, NULL, 'Protein of unknown function (DUF1565)', NULL, 'DUF1565', NULL, NULL, 13823, 8),
(35469, NULL, 'PF11619', NULL, NULL, 'Transcription factor P53 - C terminal domain', NULL, 'P53_C', NULL, NULL, 13858, 8),
(35470, NULL, 'PF11979', NULL, NULL, 'Domain of unknown function (DUF3480)', NULL, 'DUF3480', NULL, NULL, 16944, 8),
(35471, NULL, 'PF18324', NULL, NULL, 'Hypothetical protein TT1725', NULL, 'TT1725', NULL, NULL, 30415, 8),
(35472, NULL, 'PF07196', NULL, NULL, 'Flagellin hook IN motif', NULL, 'Flagellin_IN', NULL, NULL, 11100, 8),
(35473, NULL, 'PF09066', NULL, NULL, 'Beta2-adaptin appendage, C-terminal sub-domain', NULL, 'B2-adapt-app_C', NULL, NULL, 9867, 8),
(35474, NULL, 'PF06168', NULL, NULL, 'Protein of unknown function (DUF981)', NULL, 'DUF981', NULL, NULL, 14893, 8),
(35475, NULL, 'PF02456', NULL, NULL, 'Adenovirus IVa2 protein', NULL, 'Adeno_IVa2', NULL, NULL, 4822, 8),
(35476, NULL, 'PF06304', NULL, NULL, 'Protein of unknown function (DUF1048)', NULL, 'DUF1048', NULL, NULL, 7977, 8),
(35477, NULL, 'PF15189', NULL, NULL, 'Meiosis-specific coiled-coil domain-containing protein MEIOC', NULL, 'MEIOC', NULL, NULL, 25107, 8),
(35478, NULL, 'PF11629', NULL, NULL, 'C terminal SARAH domain of Mst1', NULL, 'Mst1_SARAH', NULL, NULL, 20654, 8),
(35479, NULL, 'PF12000', NULL, NULL, 'Glycosyl transferase family 4 group', NULL, 'Glyco_trans_4_3', NULL, NULL, 16861, 8),
(35480, NULL, 'PF13704', NULL, NULL, 'Glycosyl transferase family 2', NULL, 'Glyco_tranf_2_4', NULL, NULL, NULL, 8),
(35481, NULL, 'PF19234', NULL, NULL, 'Family of unknown function (DUF5887)', NULL, 'DUF5887', NULL, NULL, 38441, 8),
(35482, NULL, 'PF09763', NULL, NULL, 'Exocyst complex component Sec3', NULL, 'Sec3_C', NULL, NULL, 18504, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35483, NULL, 'PF00385', NULL, NULL, 'Chromo (CHRromatin Organisation MOdifier) domain', NULL, 'Chromo', NULL, NULL, 16526, 8),
(35484, NULL, 'PF09308', NULL, NULL, 'LuxQ, periplasmic', NULL, 'LuxQ-periplasm', NULL, NULL, 14003, 8),
(35485, NULL, 'PF03475', NULL, NULL, '3-alpha domain', NULL, '3-alpha', NULL, NULL, 4662, 8),
(35486, NULL, 'PF19171', NULL, NULL, 'Family of unknown function (DUF5853)', NULL, 'DUF5853', NULL, NULL, 37033, 8),
(35487, NULL, 'PF07190', NULL, NULL, 'Protein of unknown function (DUF1406)', NULL, 'DUF1406', NULL, NULL, 11318, 8),
(35488, NULL, 'PF04370', NULL, NULL, 'Domain of unknown function (DUF508)', NULL, 'DUF508', NULL, NULL, 4861, 8),
(35489, NULL, 'PF06308', NULL, NULL, '23S rRNA methylastransferase leader peptide (ErmCL)', NULL, 'ErmC', NULL, NULL, 8354, 8),
(35490, NULL, 'PF04700', NULL, NULL, 'Structural glycoprotein p40/gp41 conserved region', NULL, 'Baculo_gp41', NULL, NULL, 3175, 8),
(35491, NULL, 'PF10079', NULL, NULL, 'Bacillithiol biosynthesis BshC', NULL, 'BshC', NULL, NULL, 10076, 8),
(35492, NULL, 'PF13421', NULL, NULL, 'SPFH domain-Band 7 family', NULL, 'Band_7_1', NULL, NULL, 31718, 8),
(35493, NULL, 'PF07184', NULL, NULL, 'Citrus tristeza virus P33 protein', NULL, 'CTV_P33', NULL, NULL, 11127, 8),
(35494, NULL, 'PF06979', NULL, NULL, 'TMEM70/TMEM186/TMEM223 protein family', NULL, 'TMEM70', NULL, NULL, 38742, 8),
(35495, NULL, 'PF11341', NULL, NULL, 'Protein of unknown function (DUF3143)', NULL, 'DUF3143', NULL, NULL, 18718, 8),
(35496, NULL, 'PF12560', NULL, NULL, 'RAG1 importin binding', NULL, 'RAG1_imp_bd', NULL, NULL, 33009, 8),
(35497, NULL, 'PF09412', NULL, NULL, 'Endoribonuclease XendoU', NULL, 'XendoU', NULL, NULL, 16225, 8),
(35498, NULL, 'PF17421', NULL, NULL, 'Family of unknown function (DUF5409)', NULL, 'DUF5409', NULL, NULL, 20123, 8),
(35499, NULL, 'PF02821', NULL, NULL, 'Staphylokinase/Streptokinase family', NULL, 'Staphylokinase', NULL, NULL, 1555, 8),
(35500, NULL, 'PF04135', NULL, NULL, 'Nucleolar RNA-binding protein, Nop10p family', NULL, 'Nop10p', NULL, NULL, 6539, 8),
(35501, NULL, 'PF19513', NULL, NULL, 'Family of unknown function (DUF6047)', NULL, 'DUF6047', NULL, NULL, 39937, 8),
(35502, NULL, 'PF11215', NULL, NULL, 'Protein of unknown function (DUF3010)', NULL, 'DUF3010', NULL, NULL, 18054, 8),
(35503, NULL, 'PF19048', NULL, NULL, 'SidE mono-ADP-ribosyltransferase domain', NULL, 'SidE_mART', NULL, NULL, 37701, 8),
(35504, NULL, 'PF18246', NULL, NULL, 'Oligosaccharyltransferase Insert domain', NULL, 'OST_IS', NULL, NULL, 32173, 8),
(35505, NULL, 'PF13052', NULL, NULL, 'Protein of unknown function (DUF3913)', NULL, 'DUF3913', NULL, NULL, 23620, 8),
(35506, NULL, 'PF15298', NULL, NULL, 'AJAP1/PANP C-terminus', NULL, 'AJAP1_PANP_C', NULL, NULL, 29284, 8),
(35507, NULL, 'PF20010', NULL, NULL, 'Collagen trimerization domain', NULL, 'Collagen_trimer', NULL, NULL, 39662, 8),
(35508, NULL, 'PF17406', NULL, NULL, 'Nrap protein PAP/OAS1-like domain 5', NULL, 'Nrap_D5', NULL, NULL, 9847, 8),
(35509, NULL, 'PF04227', NULL, NULL, 'Indigoidine synthase A like protein', NULL, 'Indigoidine_A', NULL, NULL, 5583, 8),
(35510, NULL, 'PF13024', NULL, NULL, 'Protein of unknown function (DUF3884)', NULL, 'DUF3884', NULL, NULL, 22744, 8),
(35511, NULL, 'PF13366', NULL, NULL, 'PD-(D/E)XK nuclease superfamily', NULL, 'PDDEXK_3', NULL, NULL, 26214, 8),
(35512, NULL, 'PF00568', NULL, NULL, 'WH1 domain', NULL, 'WH1', NULL, NULL, 3664, 8),
(35513, NULL, 'PF19115', NULL, NULL, 'Family of unknown function (DUF5800)', NULL, 'DUF5800', NULL, NULL, 38160, 8),
(35514, NULL, 'PF13525', NULL, NULL, 'Outer membrane lipoprotein', NULL, 'YfiO', NULL, NULL, 36084, 8),
(35515, NULL, 'PF15100', NULL, NULL, 'TMEM187 protein family', NULL, 'TMEM187', NULL, NULL, 28694, 8),
(35516, NULL, 'PF13605', NULL, NULL, 'Domain of unknown function (DUF4141)', NULL, 'DUF4141', NULL, NULL, 23494, 8),
(35517, NULL, 'PF14560', NULL, NULL, 'Ubiquitin-like domain', NULL, 'Ubiquitin_2', NULL, NULL, 4173, 8),
(35518, NULL, 'PF05462', NULL, NULL, 'Slime mold cyclic AMP receptor', NULL, 'Dicty_CAR', NULL, NULL, NULL, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35519, NULL, 'PF17122', NULL, NULL, 'Zinc-finger', NULL, 'zf-C3H2C3', NULL, NULL, 4199, 8),
(35520, NULL, 'PF10674', NULL, NULL, 'Protein of unknown function (DUF2488)', NULL, 'Ycf54', NULL, NULL, 20044, 8),
(35521, NULL, 'PF16868', NULL, NULL, 'NMT1-like family', NULL, 'NMT1_3', NULL, NULL, 14179, 8),
(35522, NULL, 'PF17793', NULL, NULL, 'ANC1 homology domain (AHD)', NULL, 'AHD', NULL, NULL, 29924, 8),
(35523, NULL, 'PF07218', NULL, NULL, 'Rhoptry-associated protein 1 (RAP-1)', NULL, 'RAP1', NULL, NULL, 14882, 8),
(35524, NULL, 'PF17434', NULL, NULL, 'Family of unknown function (DUF5413)', NULL, 'DUF5413', NULL, NULL, 30830, 8),
(35525, NULL, 'PF08508', NULL, NULL, 'Fungal domain of unknown function (DUF1746)', NULL, 'DUF1746', NULL, NULL, 14031, 8),
(35526, NULL, 'PF11608', NULL, NULL, 'Limkain b1', NULL, 'Limkain-b1', NULL, NULL, 5664, 8),
(35527, NULL, 'PF04768', NULL, NULL, 'NAT, N-acetyltransferase, of N-acetylglutamate synthase', NULL, 'NAT', NULL, NULL, 4151, 8),
(35528, NULL, 'PF04752', NULL, NULL, 'ChaC-like protein', NULL, 'ChaC', NULL, NULL, 4387, 8),
(35529, NULL, 'PF10350', NULL, NULL, 'Putative death-receptor fusion protein (DUF2428)', NULL, 'DUF2428', NULL, NULL, 17614, 8),
(35530, NULL, 'PF15744', NULL, NULL, 'Uncharacterized protein family UPF0492', NULL, 'UPF0492', NULL, NULL, 23655, 8),
(35531, NULL, 'PF18773', NULL, NULL, 'Importin 13 repeat', NULL, 'Importin_rep', NULL, NULL, 30872, 8),
(35532, NULL, 'PF08187', NULL, NULL, 'Myoactive tetradecapeptides family', NULL, 'Tetradecapep', NULL, NULL, 9972, 8),
(35533, NULL, 'PF07791', NULL, NULL, 'Protein of unknown function (DUF1629)', NULL, 'DUF1629', NULL, NULL, 13637, 8),
(35534, NULL, 'PF03009', NULL, NULL, 'Glycerophosphoryl diester phosphodiesterase family', NULL, 'GDPD', NULL, NULL, 22768, 8),
(35535, NULL, 'PF15249', NULL, NULL, 'Conserved region of unknown function on GLTSCR protein', NULL, 'GLTSCR1', NULL, NULL, 18008, 8),
(35536, NULL, 'PF15560', NULL, NULL, 'Immunity protein 12', NULL, 'Imm12', NULL, NULL, 26243, 8),
(35537, NULL, 'PF03592', NULL, NULL, 'Terminase small subunit', NULL, 'Terminase_2', NULL, NULL, 5826, 8),
(35538, NULL, 'PF06208', NULL, NULL, 'Borna disease virus G protein', NULL, 'BDV_G', NULL, NULL, 14840, 8),
(35539, NULL, 'PF12477', NULL, NULL, 'Sex factor F TraW protein N terminal', NULL, 'TraW_N', NULL, NULL, 27430, 8),
(35540, NULL, 'PF13145', NULL, NULL, 'PPIC-type PPIASE domain', NULL, 'Rotamase_2', NULL, NULL, 4977, 8),
(35541, NULL, 'PF07125', NULL, NULL, 'Protein of unknown function (DUF1378)', NULL, 'DUF1378', NULL, NULL, 13854, 8),
(35542, NULL, 'PF10869', NULL, NULL, 'Protein of unknown function (DUF2666)', NULL, 'DUF2666', NULL, NULL, 16618, 8),
(35543, NULL, 'PF06810', NULL, NULL, 'Phage minor structural protein GP20', NULL, 'Phage_GP20', NULL, NULL, 11187, 8),
(35544, NULL, 'PF01472', NULL, NULL, 'PUA domain', NULL, 'PUA', NULL, NULL, 598, 8),
(35545, NULL, 'PF14962', NULL, NULL, 'Mitochondria Localisation Sequence', NULL, 'AIF-MLS', NULL, NULL, 22936, 8),
(35546, NULL, 'PF13582', NULL, NULL, 'Metallo-peptidase family M12B Reprolysin-like', NULL, 'Reprolysin_3', NULL, NULL, NULL, 8),
(35547, NULL, 'PF18643', NULL, NULL, 'BsaWI restriction endonuclease type 2', NULL, 'RE_BsaWI', NULL, NULL, 32430, 8),
(35548, NULL, 'PF06435', NULL, NULL, 'Repeat of unknown function (DUF1079)', NULL, 'DUF1079', NULL, NULL, 10055, 8),
(35549, NULL, 'PF15457', NULL, NULL, 'Type III T3SS secreted effector HopW1-1/HopPmaA', NULL, 'HopW1-1', NULL, NULL, 26172, 8),
(35550, NULL, 'PF08829', NULL, NULL, 'Alpha C protein N terminal', NULL, 'AlphaC_N', NULL, NULL, 14349, 8),
(35551, NULL, 'PF13443', NULL, NULL, 'Cro/C1-type HTH DNA-binding domain', NULL, 'HTH_26', NULL, NULL, 2357, 8),
(35552, NULL, 'PF02394', NULL, NULL, 'Interleukin-1 propeptide', NULL, 'IL1_propep', NULL, NULL, 6195, 8),
(35553, NULL, 'PF09623', NULL, NULL, 'CRISPR-associated protein NE0113 (Cas_NE0113)', NULL, 'Cas_NE0113', NULL, NULL, 17826, 8),
(35554, NULL, 'PF11838', NULL, NULL, 'ERAP1-like C-terminal domain', NULL, 'ERAP1_C', NULL, NULL, 22417, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35555, NULL, 'PF12265', NULL, NULL, 'Histone-binding protein RBBP4 or subunit C of CAF1 complex', NULL, 'CAF1C_H4-bd', NULL, NULL, 20634, 8),
(35556, NULL, 'PF03221', NULL, NULL, 'Tc5 transposase DNA-binding domain', NULL, 'HTH_Tnp_Tc5', NULL, NULL, 1046, 8),
(35557, NULL, 'PF12061', NULL, NULL, 'Late blight resistance protein R1', NULL, 'NB-LRR', NULL, NULL, 20100, 8),
(35558, NULL, 'PF18094', NULL, NULL, 'DNA polymerase beta N-terminal domain', NULL, 'DNA_pol_B_N', NULL, NULL, NULL, 8),
(35559, NULL, 'PF02983', NULL, NULL, 'Alpha-lytic protease prodomain', NULL, 'Pro_Al_protease', NULL, NULL, 3649, 8),
(35560, NULL, 'PF09457', NULL, NULL, 'FIP domain', NULL, 'RBD-FIP', NULL, NULL, 16101, 8),
(35561, NULL, 'PF08016', NULL, NULL, 'Polycystin cation channel', NULL, 'PKD_channel', NULL, NULL, 18581, 8),
(35562, NULL, 'PF08203', NULL, NULL, 'Yeast RNA polymerase I subunit RPA14', NULL, 'RNA_polI_A14', NULL, NULL, 12583, 8),
(35563, NULL, 'PF17871', NULL, NULL, 'AAA lid domain', NULL, 'AAA_lid_9', NULL, NULL, 33380, 8),
(35564, NULL, 'PF16353', NULL, NULL, 'Domain of unknown function (DUF4981)', NULL, 'DUF4981', NULL, NULL, 26945, 8),
(35565, NULL, 'PF03422', NULL, NULL, 'Carbohydrate binding module (family 6)', NULL, 'CBM_6', NULL, NULL, 10101, 8),
(35566, NULL, 'PF01271', NULL, NULL, 'Granin (chromogranin or secretogranin)', NULL, 'Granin', NULL, NULL, 5168, 8),
(35567, NULL, 'PF04382', NULL, NULL, 'SAB domain', NULL, 'SAB', NULL, NULL, 2073, 8),
(35568, NULL, 'PF04728', NULL, NULL, 'Lipoprotein leucine-zipper', NULL, 'LPP', NULL, NULL, 3919, 8),
(35569, NULL, 'PF07316', NULL, NULL, 'Protein of unknown function (DUF1463)', NULL, 'DUF1463', NULL, NULL, 8003, 8),
(35570, NULL, 'PF05386', NULL, NULL, 'TEP1 N-terminal domain', NULL, 'TEP1_N', NULL, NULL, 14052, 8),
(35571, NULL, 'PF02912', NULL, NULL, 'Aminoacyl tRNA synthetase class II, N-terminal domain', NULL, 'Phe_tRNA-synt_N', NULL, NULL, 2658, 8),
(35572, NULL, 'PF18255', NULL, NULL, 'DNA processing protein A sterile alpha motif domain', NULL, 'SAM_DrpA', NULL, NULL, 31667, 8),
(35573, NULL, 'PF17416', NULL, NULL, 'Herpesvirus Glycoprotein B', NULL, 'Glycoprot_B_PH1', NULL, NULL, 35825, 8),
(35574, NULL, 'PF05366', NULL, NULL, 'Sarcolipin', NULL, 'Sarcolipin', NULL, NULL, 5139, 8),
(35575, NULL, 'PF15398', NULL, NULL, 'Domain of unknown function (DUF4619)', NULL, 'DUF4619', NULL, NULL, 22264, 8),
(35576, NULL, 'PF07210', NULL, NULL, 'Protein of unknown function (DUF1416)', NULL, 'DUF1416', NULL, NULL, 11063, 8),
(35577, NULL, 'PF01475', NULL, NULL, 'Ferric uptake regulator family', NULL, 'FUR', NULL, NULL, 680, 8),
(35578, NULL, 'PF02199', NULL, NULL, 'Saposin A-type domain', NULL, 'SapA', NULL, NULL, 1980, 8),
(35579, NULL, 'PF12558', NULL, NULL, 'ATP-binding cassette cobalt transporter', NULL, 'DUF3744', NULL, NULL, 21286, 8),
(35580, NULL, 'PF08355', NULL, NULL, 'EF hand associated', NULL, 'EF_assoc_1', NULL, NULL, 13041, 8),
(35581, NULL, 'PF04419', NULL, NULL, '4F5 protein related disordered region', NULL, '4F5', NULL, NULL, 10803, 8),
(35582, NULL, 'PF14566', NULL, NULL, 'Inositol hexakisphosphate', NULL, 'PTPlike_phytase', NULL, NULL, NULL, 8),
(35583, NULL, 'PF00944', NULL, NULL, 'Alphavirus core protein', NULL, 'Peptidase_S3', NULL, NULL, 3033, 8),
(35584, NULL, 'PF09502', NULL, NULL, 'Bacterial type III secretion protein (HrpB4)', NULL, 'HrpB4', NULL, NULL, 11924, 8),
(35585, NULL, 'PF10328', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srx', NULL, '7TM_GPCR_Srx', NULL, NULL, 17734, 8),
(35586, NULL, 'PF15318', NULL, NULL, 'Putative Bcl-2 like protein of testis', NULL, 'Bclt', NULL, NULL, 25809, 8),
(35587, NULL, 'PF01256', NULL, NULL, 'Carbohydrate kinase', NULL, 'Carb_kinase', NULL, NULL, 5589, 8),
(35588, NULL, 'PF04017', NULL, NULL, 'Domain of unknown function (DUF366)', NULL, 'DUF366', NULL, NULL, 402, 8),
(35589, NULL, 'PF19827', NULL, NULL, 'Family of unknown function (DUF6308)', NULL, 'DUF6308', NULL, NULL, 39815, 8),
(35590, NULL, 'PF10407', NULL, NULL, 'Cdc14 phosphatase binding protein N-terminus', NULL, 'Cytokin_check_N', NULL, NULL, 20149, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35591, NULL, 'PF12136', NULL, NULL, 'RNA polymerase Rpo13 subunit HTH domain', NULL, 'RNA_pol_Rpo13', NULL, NULL, 20748, 8),
(35592, NULL, 'PF16436', NULL, NULL, 'Domain of unknown function (DUF5033)', NULL, 'DUF5033', NULL, NULL, 25679, 8),
(35593, NULL, 'PF08153', NULL, NULL, 'NGP1NT (NUC091) domain', NULL, 'NGP1NT', NULL, NULL, 12317, 8),
(35594, NULL, 'PF09565', NULL, NULL, 'NgoFVII restriction endonuclease', NULL, 'RE_NgoFVII', NULL, NULL, 16879, 8),
(35595, NULL, 'PF17102', NULL, NULL, 'Stealth protein CR3, conserved region 3', NULL, 'Stealth_CR3', NULL, NULL, 4777, 8),
(35596, NULL, 'PF09559', NULL, NULL, 'Cas6 Crispr', NULL, 'Cas6', NULL, NULL, 8669, 8),
(35597, NULL, 'PF15876', NULL, NULL, 'Domain of unknown function (DUF4732)', NULL, 'DUF4732', NULL, NULL, 24599, 8),
(35598, NULL, 'PF19481', NULL, NULL, 'Family of unknown function (DUF6017)', NULL, 'DUF6017', NULL, NULL, 39211, 8),
(35599, NULL, 'PF10399', NULL, NULL, 'Ubiquitinol-cytochrome C reductase Fe-S subunit TAT signal', NULL, 'UCR_Fe-S_N', NULL, NULL, 17746, 8),
(35600, NULL, 'PF15152', NULL, NULL, 'Kisspeptin', NULL, 'Kisspeptin', NULL, NULL, 19490, 8),
(35601, NULL, 'PF11956', NULL, NULL, 'Ankyrin-G binding motif of KCNQ2-3', NULL, 'KCNQC3-Ank-G_bd', NULL, NULL, 14914, 8),
(35602, NULL, 'PF17011', NULL, NULL, 'Domain of unknown function (DUF5093)', NULL, 'DUF5093', NULL, NULL, 23118, 8),
(35603, NULL, 'PF13183', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_8', NULL, NULL, 13131, 8),
(35604, NULL, 'PF05810', NULL, NULL, 'NinF protein', NULL, 'NinF', NULL, NULL, 13029, 8),
(35605, NULL, 'PF14062', NULL, NULL, 'Domain of unknown function (DUF4253)', NULL, 'DUF4253', NULL, NULL, 23293, 8),
(35606, NULL, 'PF16097', NULL, NULL, 'Fragile X-related 1 protein C-terminal region 3', NULL, 'FXR_C3', NULL, NULL, 23708, 8),
(35607, NULL, 'PF05944', NULL, NULL, 'Phage small terminase subunit', NULL, 'Phage_term_smal', NULL, NULL, 7630, 8),
(35608, NULL, 'PF16496', NULL, NULL, 'SWIRM-associated domain at the N-terminal', NULL, 'SWIRM-assoc_2', NULL, NULL, 25888, 8),
(35609, NULL, 'PF08525', NULL, NULL, 'Opacity-associated protein A N-terminal motif', NULL, 'OapA_N', NULL, NULL, 7777, 8),
(35610, NULL, 'PF11706', NULL, NULL, 'CGNR zinc finger', NULL, 'zf-CGNR', NULL, NULL, 15091, 8),
(35611, NULL, 'PF11705', NULL, NULL, 'DNA-directed RNA polymerase III subunit Rpc31', NULL, 'RNA_pol_3_Rpc31', NULL, NULL, 21127, 8),
(35612, NULL, 'PF11319', NULL, NULL, 'Type VI secretion system VasI, EvfG, VC_A0118', NULL, 'VasI', NULL, NULL, 18526, 8),
(35613, NULL, 'PF04277', NULL, NULL, 'Oxaloacetate decarboxylase, gamma chain', NULL, 'OAD_gamma', NULL, NULL, 6860, 8),
(35614, NULL, 'PF06261', NULL, NULL, 'Actinobacillus actinomycetemcomitans leukotoxin activator LktC', NULL, 'LktC', NULL, NULL, 14549, 8),
(35615, NULL, 'PF15656', NULL, NULL, 'Toxin with a H, D/N and C signature', NULL, 'Tox-HDC', NULL, NULL, 26205, 8),
(35616, NULL, 'PF10319', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srj', NULL, '7TM_GPCR_Srj', NULL, NULL, 16646, 8),
(35617, NULL, 'PF09018', NULL, NULL, 'P3 major capsid protein', NULL, 'Phage_Capsid_P3', NULL, NULL, 9721, 8),
(35618, NULL, 'PF06401', NULL, NULL, 'Alpha-2-macroglobulin RAP, C-terminal domain', NULL, 'Alpha-2-MRAP_C', NULL, NULL, 10246, 8),
(35619, NULL, 'PF16468', NULL, NULL, 'Domain of unknown function (DUF5049)', NULL, 'DUF5049', NULL, NULL, 22905, 8),
(35620, NULL, 'PF11375', NULL, NULL, 'Protein of unknown function (DUF3177)', NULL, 'DUF3177', NULL, NULL, 18510, 8),
(35621, NULL, 'PF14426', NULL, NULL, 'Immunity protein Imm2', NULL, 'Imm2', NULL, NULL, 25791, 8),
(35622, NULL, 'PF00077', NULL, NULL, 'Retroviral aspartyl protease', NULL, 'RVP', NULL, NULL, 19386, 8),
(35623, NULL, 'PF10617', NULL, NULL, 'Protein of unknown function (DUF2474)', NULL, 'DUF2474', NULL, NULL, 21268, 8),
(35624, NULL, 'PF19971', NULL, NULL, 'Ternary complex associated domain 2', NULL, 'TCAD2', NULL, NULL, 38830, 8),
(35625, NULL, 'PF02191', NULL, NULL, 'Olfactomedin-like domain', NULL, 'OLF', NULL, NULL, 1961, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35626, NULL, 'PF04875', NULL, NULL, 'Protein of unknown function, DUF645', NULL, 'DUF645', NULL, NULL, 5541, 8),
(35627, NULL, 'PF07426', NULL, NULL, 'Dynactin subunit p22', NULL, 'Dynactin_p22', NULL, NULL, 9433, 8),
(35628, NULL, 'PF02208', NULL, NULL, 'Sorbin homologous domain', NULL, 'Sorb', NULL, NULL, 2690, 8),
(35629, NULL, 'PF07079', NULL, NULL, 'Protein of unknown function (DUF1347)', NULL, 'DUF1347', NULL, NULL, 10223, 8),
(35630, NULL, 'PF17245', NULL, NULL, 'Cell division control protein 24, OB domain 2', NULL, 'CDC24_OB2', NULL, NULL, 9363, 8),
(35631, NULL, 'PF09642', NULL, NULL, 'YonK protein', NULL, 'YonK', NULL, NULL, 15775, 8),
(35632, NULL, 'PF16563', NULL, NULL, 'Coiled-coil and interaction region of P66A and P66B with MBD2', NULL, 'P66_CC', NULL, NULL, 28359, 8),
(35633, NULL, 'PF14193', NULL, NULL, 'Domain of unknown function (DUF4315)', NULL, 'DUF4315', NULL, NULL, 28192, 8),
(35634, NULL, 'PF09952', NULL, NULL, 'Transcriptional regulator, AbiEi antitoxin, Type IV TA system', NULL, 'AbiEi_2', NULL, NULL, 19028, 8),
(35635, NULL, 'PF11799', NULL, NULL, 'impB/mucB/samB family C-terminal domain', NULL, 'IMS_C', NULL, NULL, 7197, 8),
(35636, NULL, 'PF05680', NULL, NULL, 'ATP synthase E chain', NULL, 'ATP-synt_E', NULL, NULL, 7839, 8),
(35637, NULL, 'PF02446', NULL, NULL, '4-alpha-glucanotransferase', NULL, 'Glyco_hydro_77', NULL, NULL, 4991, 8),
(35638, NULL, 'PF04954', NULL, NULL, 'Siderophore-interacting protein', NULL, 'SIP', NULL, NULL, 6535, 8),
(35639, NULL, 'PF15244', NULL, NULL, 'Spermatogenesis-associated protein 7, or HSD3', NULL, 'HSD3', NULL, NULL, 28219, 8),
(35640, NULL, 'PF14199', NULL, NULL, 'Domain of unknown function (DUF4317)', NULL, 'DUF4317', NULL, NULL, 28077, 8),
(35641, NULL, 'PF08772', NULL, NULL, 'Nin one binding (NOB1) Zn-ribbon like', NULL, 'NOB1_Zn_bind', NULL, NULL, 13450, 8),
(35642, NULL, 'PF11760', NULL, NULL, 'Cobalamin synthesis G N-terminal', NULL, 'CbiG_N', NULL, NULL, 19757, 8),
(35643, NULL, 'PF18342', NULL, NULL, 'Endo-beta-N-acetylglucosaminidase LytB WW domain', NULL, 'LytB_WW', NULL, NULL, 31371, 8),
(35644, NULL, 'PF09058', NULL, NULL, 'L27_1', NULL, 'L27_1', NULL, NULL, 9891, 8),
(35645, NULL, 'PF01817', NULL, NULL, 'Chorismate mutase type II', NULL, 'CM_2', NULL, NULL, 3925, 8),
(35646, NULL, 'PF14189', NULL, NULL, 'Domain of unknown function (DUF4312)', NULL, 'DUF4312', NULL, NULL, 18221, 8),
(35647, NULL, 'PF01002', NULL, NULL, 'Flavivirus non-structural protein NS2B', NULL, 'Flavi_NS2B', NULL, NULL, 5748, 8),
(35648, NULL, 'PF02559', NULL, NULL, 'CarD-like/TRCF domain', NULL, 'CarD_CdnL_TRCF', NULL, NULL, 2242, 8),
(35649, NULL, 'PF14230', NULL, NULL, 'Domain of unknown function (DUF4333)', NULL, 'DUF4333', NULL, NULL, 26266, 8),
(35650, NULL, 'PF05098', NULL, NULL, 'Late expression factor 4 (LEF-4)', NULL, 'LEF-4', NULL, NULL, 2118, 8),
(35651, NULL, 'PF07680', NULL, NULL, 'TQO small subunit DoxA', NULL, 'DoxA', NULL, NULL, 10692, 8),
(35652, NULL, 'PF13214', NULL, NULL, 'Protein of unknown function (DUF4022)', NULL, 'DUF4022', NULL, NULL, 23518, 8),
(35653, NULL, 'PF14008', NULL, NULL, 'Iron/zinc purple acid phosphatase-like protein C', NULL, 'Metallophos_C', NULL, NULL, 23940, 8),
(35654, NULL, 'PF17742', NULL, NULL, 'Family of unknown function (DUF5579)', NULL, 'DUF5579', NULL, NULL, 2142, 8),
(35655, NULL, 'PF02312', NULL, NULL, 'Core binding factor beta subunit', NULL, 'CBF_beta', NULL, NULL, 5059, 8),
(35656, NULL, 'PF16180', NULL, NULL, 'RelB leucine zipper', NULL, 'RelB_leu_zip', NULL, NULL, 22012, 8),
(35657, NULL, 'PF17173', NULL, NULL, 'Domain of unknown function (DUF5129)', NULL, 'DUF5129', NULL, NULL, 33848, 8),
(35658, NULL, 'PF03571', NULL, NULL, 'Peptidase family M49', NULL, 'Peptidase_M49', NULL, NULL, 35729, 8),
(35659, NULL, 'PF07492', NULL, NULL, 'Neutral trehalase Ca2+ binding domain', NULL, 'Trehalase_Ca-bi', NULL, NULL, 11480, 8),
(35660, NULL, 'PF12944', NULL, NULL, 'Hepatitis A virus viral protein VP', NULL, 'HAV_VP', NULL, NULL, 22942, 8),
(35661, NULL, 'PF07494', NULL, NULL, 'Two component regulator propeller', NULL, 'Reg_prop', NULL, NULL, 11233, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35662, NULL, 'PF05553', NULL, NULL, 'Cotton fibre expressed protein', NULL, 'DUF761', NULL, NULL, 12070, 8),
(35663, NULL, 'PF12367', NULL, NULL, 'Pyruvate ferredoxin oxidoreductase beta subunit C terminal', NULL, 'PFO_beta_C', NULL, NULL, 29325, 8),
(35664, NULL, 'PF16958', NULL, NULL, 'Pre-mRNA-splicing factor PRP9 N-terminus', NULL, 'PRP9_N', NULL, NULL, 23472, 8),
(35665, NULL, 'PF09286', NULL, NULL, 'Pro-kumamolisin, activation domain', NULL, 'Pro-kuma_activ', NULL, NULL, 14341, 8),
(35666, NULL, 'PF07863', NULL, NULL, 'Homologues of TraJ from Bacteroides conjugative transposon', NULL, 'CtnDOT_TraJ', NULL, NULL, 13793, 8),
(35667, NULL, 'PF10965', NULL, NULL, 'Protein of unknown function (DUF2767)', NULL, 'DUF2767', NULL, NULL, 25961, 8),
(35668, NULL, 'PF20116', NULL, NULL, 'Family of unknown function (DUF6506)', NULL, 'DUF6506', NULL, NULL, 38691, 8),
(35669, NULL, 'PF07830', NULL, NULL, 'Protein serine/threonine phosphatase 2C, C-terminal domain', NULL, 'PP2C_C', NULL, NULL, 13027, 8),
(35670, NULL, 'PF15292', NULL, NULL, 'Treslin N-terminus', NULL, 'Treslin_N', NULL, NULL, 22932, 8),
(35671, NULL, 'PF05133', NULL, NULL, 'Phage portal protein, SPP1 Gp6-like', NULL, 'Phage_prot_Gp6', NULL, NULL, 15734, 8),
(35672, NULL, 'PF11377', NULL, NULL, 'Protein of unknown function (DUF3180)', NULL, 'DUF3180', NULL, NULL, 18965, 8),
(35673, NULL, 'PF18426', NULL, NULL, 'Tle cognate immunity protein 4 C-terminal domain', NULL, 'Tli4_C', NULL, NULL, 31516, 8),
(35674, NULL, 'PF06092', NULL, NULL, 'Enterobacterial putative membrane protein (DUF943)', NULL, 'DUF943', NULL, NULL, 8581, 8),
(35675, NULL, 'PF04181', NULL, NULL, 'Rtr1/RPAP2 family', NULL, 'RPAP2_Rtr1', NULL, NULL, 4780, 8),
(35676, NULL, 'PF00095', NULL, NULL, 'WAP-type (Whey Acidic Protein) ''four-disulfide core''', NULL, 'WAP', NULL, NULL, 7078, 8),
(35677, NULL, 'PF15541', NULL, NULL, 'Bacterial toxin 4', NULL, 'Ntox4', NULL, NULL, 26362, 8),
(35678, NULL, 'PF19666', NULL, NULL, 'Family of unknown function (DUF6169)', NULL, 'DUF6169', NULL, NULL, 39895, 8),
(35679, NULL, 'PF11960', NULL, NULL, 'Domain of unknown function (DUF3474)', NULL, 'DUF3474', NULL, NULL, 20113, 8),
(35680, NULL, 'PF05232', NULL, NULL, 'Chlorhexidine efflux transporter', NULL, 'BTP', NULL, NULL, 3158, 8),
(35681, NULL, 'PF08784', NULL, NULL, 'Replication protein A C terminal', NULL, 'RPA_C', NULL, NULL, 13089, 8),
(35682, NULL, 'PF17819', NULL, NULL, 'Family of unknown function (DUF5582)', NULL, 'DUF5582', NULL, NULL, 30841, 8),
(35683, NULL, 'PF18503', NULL, NULL, '26S proteasome subunit RPN6 C-terminal helix domain', NULL, 'RPN6_C_helix', NULL, NULL, 30787, 8),
(35684, NULL, 'PF07931', NULL, NULL, 'Chloramphenicol phosphotransferase-like protein', NULL, 'CPT', NULL, NULL, NULL, 8),
(35685, NULL, 'PF14414', NULL, NULL, 'A nuclease of the HNH/ENDO VII superfamily with conserved WHH', NULL, 'WHH', NULL, NULL, 26528, 8),
(35686, NULL, 'PF16331', NULL, NULL, 'TolA binding protein trimerisation', NULL, 'TolA_bind_tri', NULL, NULL, 26447, 8),
(35687, NULL, 'PF06940', NULL, NULL, 'Domain of unknown function (DUF1287)', NULL, 'DUF1287', NULL, NULL, 11547, 8),
(35688, NULL, 'PF11852', NULL, NULL, 'Domain of unknown function (DUF3372)', NULL, 'DUF3372', NULL, NULL, 22436, 8),
(35689, NULL, 'PF00623', NULL, NULL, 'RNA polymerase Rpb1, domain 2', NULL, 'RNA_pol_Rpb1_2', NULL, NULL, 3579, 8),
(35690, NULL, 'PF05559', NULL, NULL, 'Protein of unknown function (DUF763)', NULL, 'DUF763', NULL, NULL, 12008, 8),
(35691, NULL, 'PF07636', NULL, NULL, 'PSRT', NULL, 'PSRT', NULL, NULL, 12829, 8),
(35692, NULL, 'PF09590', NULL, NULL, 'Lentivirus surface glycoprotein', NULL, 'Env-gp36', NULL, NULL, 15570, 8),
(35693, NULL, 'PF18168', NULL, NULL, 'Prim-pol family 5', NULL, 'PPL5', NULL, NULL, 29370, 8),
(35694, NULL, 'PF16228', NULL, NULL, 'Domain of unknown function (DUF4887)', NULL, 'DUF4887', NULL, NULL, 28243, 8),
(35695, NULL, 'PF17110', NULL, NULL, 'Subunit 11 of the general transcription factor TFIIH', NULL, 'TFB6', NULL, NULL, 2878, 8),
(35696, NULL, 'PF12974', NULL, NULL, 'ABC transporter, phosphonate, periplasmic substrate-binding protein', NULL, 'Phosphonate-bd', NULL, NULL, NULL, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35697, NULL, 'PF03666', NULL, NULL, 'Nitrogen Permease regulator of amino acid transport activity 3', NULL, 'NPR3', NULL, NULL, 6438, 8),
(35698, NULL, 'PF01877', NULL, NULL, 'RNA binding', NULL, 'RNA_binding', NULL, NULL, 3927, 8),
(35699, NULL, 'PF03950', NULL, NULL, 'tRNA synthetases class I (E and Q), anti-codon binding domain', NULL, 'tRNA-synt_1c_C', NULL, NULL, 16161, 8),
(35700, NULL, 'PF06409', NULL, NULL, 'Nuclear pore complex interacting protein (NPIP)', NULL, 'NPIP', NULL, NULL, NULL, 8),
(35701, NULL, 'PF11671', NULL, NULL, 'Complementary sex determiner protein', NULL, 'Apis_Csd', NULL, NULL, 15177, 8),
(35702, NULL, 'PF16779', NULL, NULL, 'DNA-mimic protein', NULL, 'DMP12', NULL, NULL, 24684, 8),
(35703, NULL, 'PF11818', NULL, NULL, 'C-terminal domain of tail specific protease (DUF3340)', NULL, 'DUF3340', NULL, NULL, 14969, 8),
(35704, NULL, 'PF03028', NULL, NULL, 'Dynein heavy chain region D6 P-loop domain', NULL, 'Dynein_heavy', NULL, NULL, 4722, 8),
(35705, NULL, 'PF11346', NULL, NULL, 'Protein of unknown function (DUF3149)', NULL, 'DUF3149', NULL, NULL, 18882, 8),
(35706, NULL, 'PF01577', NULL, NULL, 'Potyvirus P1 protease', NULL, 'Peptidase_S30', NULL, NULL, 1687, 8),
(35707, NULL, 'PF06711', NULL, NULL, 'Protein of unknown function (DUF1198)', NULL, 'DUF1198', NULL, NULL, 1637, 8),
(35708, NULL, 'PF04354', NULL, NULL, 'ZipA, C-terminal FtsZ-binding domain', NULL, 'ZipA_C', NULL, NULL, 4603, 8),
(35709, NULL, 'PF07915', NULL, NULL, 'Glucosidase II beta subunit-like protein', NULL, 'PRKCSH', NULL, NULL, 13352, 8),
(35710, NULL, 'PF13983', NULL, NULL, 'YsaB-like lipoprotein', NULL, 'YsaB', NULL, NULL, 23742, 8),
(35711, NULL, 'PF08723', NULL, NULL, 'Gag protein p15', NULL, 'Gag_p15', NULL, NULL, 11857, 8),
(35712, NULL, 'PF17365', NULL, NULL, 'Family of unknown function (DUF5390)', NULL, 'DUF5390', NULL, NULL, 31622, 8),
(35713, NULL, 'PF09863', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2090)', NULL, 'DUF2090', NULL, NULL, 16980, 8),
(35714, NULL, 'PF00808', NULL, NULL, 'Histone-like transcription factor (CBF/NF-Y) and archaeal histone', NULL, 'CBFD_NFYB_HMF', NULL, NULL, 7330, 8),
(35715, NULL, 'PF08638', NULL, NULL, 'Mediator complex subunit MED14', NULL, 'Med14', NULL, NULL, 8270, 8),
(35716, NULL, 'PF13434', NULL, NULL, 'L-lysine 6-monooxygenase (NADPH-requiring)', NULL, 'K_oxygenase', NULL, NULL, 22951, 8),
(35717, NULL, 'PF16957', NULL, NULL, 'Malonate decarboxylase, alpha subunit, transporter', NULL, 'Mal_decarbox_Al', NULL, NULL, 4870, 8),
(35718, NULL, 'PF05484', NULL, NULL, 'LRV protein FeS4 cluster', NULL, 'LRV_FeS', NULL, NULL, 13359, 8),
(35719, NULL, 'PF15714', NULL, NULL, 'Stage V sporulation protein T C-terminal, transcription factor', NULL, 'SpoVT_C', NULL, NULL, NULL, 8),
(35720, NULL, 'PF03452', NULL, NULL, 'Anp1', NULL, 'Anp1', NULL, NULL, NULL, 8),
(35721, NULL, 'PF04099', NULL, NULL, 'Sybindin-like family', NULL, 'Sybindin', NULL, NULL, 6670, 8),
(35722, NULL, 'PF01578', NULL, NULL, 'Cytochrome C assembly protein', NULL, 'Cytochrom_C_asm', NULL, NULL, 1826, 8),
(35723, NULL, 'PF01803', NULL, NULL, 'LIM-domain binding protein', NULL, 'LIM_bind', NULL, NULL, 28873, 8),
(35724, NULL, 'PF06067', NULL, NULL, 'Domain of unknown function (DUF932)', NULL, 'DUF932', NULL, NULL, 24512, 8),
(35725, NULL, 'PF02334', NULL, NULL, 'Replication terminator protein', NULL, 'RTP', NULL, NULL, 5344, 8),
(35726, NULL, 'PF14636', NULL, NULL, 'Folliculin-interacting protein N-terminus', NULL, 'FNIP_N', NULL, NULL, 23552, 8),
(35727, NULL, 'PF13713', NULL, NULL, 'Transcription factor BRX N-terminal domain', NULL, 'BRX_N', NULL, NULL, 24515, 8),
(35728, NULL, 'PF09362', NULL, NULL, 'Domain of unknown function (DUF1996)', NULL, 'DUF1996', NULL, NULL, 14783, 8),
(35729, NULL, 'PF02813', NULL, NULL, 'Retroviral M domain', NULL, 'Retro_M', NULL, NULL, 987, 8),
(35730, NULL, 'PF04762', NULL, NULL, 'IKI3 family', NULL, 'IKI3', NULL, NULL, 4483, 8),
(35731, NULL, 'PF07944', NULL, NULL, 'Beta-L-arabinofuranosidase, GH127', NULL, 'Glyco_hydro_127', NULL, NULL, 12984, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35732, NULL, 'PF13102', NULL, NULL, 'Phage integrase SAM-like domain', NULL, 'Phage_int_SAM_5', NULL, NULL, 23823, 8),
(35733, NULL, 'PF09744', NULL, NULL, 'JNK_SAPK-associated protein-1', NULL, 'Jnk-SapK_ap_N', NULL, NULL, 18542, 8),
(35734, NULL, 'PF19211', NULL, NULL, 'Coronavirus replicase NSP2, N-terminal', NULL, 'CoV_NSP2_N', NULL, NULL, 37253, 8),
(35735, NULL, 'PF08285', NULL, NULL, 'Dolichol-phosphate mannosyltransferase subunit 3 (DPM3)', NULL, 'DPM3', NULL, NULL, 17659, 8),
(35736, NULL, 'PF08587', NULL, NULL, 'Ubiquitin associated domain (UBA)', NULL, 'UBA_2', NULL, NULL, 18037, 8),
(35737, NULL, 'PF01259', NULL, NULL, 'SAICAR synthetase', NULL, 'SAICAR_synt', NULL, NULL, 22729, 8),
(35738, NULL, 'PF10323', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srv', NULL, '7TM_GPCR_Srv', NULL, NULL, 17862, 8),
(35739, NULL, 'PF12203', NULL, NULL, 'Glutamine rich N terminal domain of histone deacetylase 4', NULL, 'HDAC4_Gln', NULL, NULL, 5289, 8),
(35740, NULL, 'PF14876', NULL, NULL, 'Respiratory growth transcriptional regulator', NULL, 'RSF', NULL, NULL, 22034, 8),
(35741, NULL, 'PF11497', NULL, NULL, 'NADH-quinone oxidoreductase chain 15', NULL, 'NADH_Oxid_Nqo15', NULL, NULL, 15315, 8),
(35742, NULL, 'PF02907', NULL, NULL, 'Hepatitis C virus NS3 protease', NULL, 'Peptidase_S29', NULL, NULL, 1964, 8),
(35743, NULL, 'PF09235', NULL, NULL, 'Ste50p, sterile alpha motif', NULL, 'SAM_Ste50p', NULL, NULL, 13599, 8),
(35744, NULL, 'PF12004', NULL, NULL, 'Domain of unknown function (DUF3498)', NULL, 'DUF3498', NULL, NULL, 20180, 8),
(35745, NULL, 'PF00084', NULL, NULL, 'Sushi repeat (SCR repeat)', NULL, 'Sushi', NULL, NULL, 6687, 8),
(35746, NULL, 'PF14891', NULL, NULL, 'Effector protein', NULL, 'Peptidase_M91', NULL, NULL, 22824, 8),
(35747, NULL, 'PF15584', NULL, NULL, 'Immunity protein 72', NULL, 'Imm72', NULL, NULL, 26146, 8),
(35748, NULL, 'PF19818', NULL, NULL, 'Family of unknown function (DUF6301)', NULL, 'DUF6301', NULL, NULL, 39573, 8),
(35749, NULL, 'PF05571', NULL, NULL, 'JNK1/MAPK8-associated membrane protein', NULL, 'JAMP', NULL, NULL, 12415, 8),
(35750, NULL, 'PF15088', NULL, NULL, 'NADH dehydrogenase [ubiquinone] 1 subunit C1, mitochondrial', NULL, 'NADH_dh_m_C1', NULL, NULL, 26751, 8),
(35751, NULL, 'PF04003', NULL, NULL, 'Dip2/Utp12 Family', NULL, 'Utp12', NULL, NULL, 88, 8),
(35752, NULL, 'PF15911', NULL, NULL, 'WD domain, G-beta repeat', NULL, 'WD40_3', NULL, NULL, 36376, 8),
(35753, NULL, 'PF12323', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_OrfB_IS605', NULL, NULL, 16499, 8),
(35754, NULL, 'PF17798', NULL, NULL, 'TRIF N-terminal domain', NULL, 'TRIF-NTD', NULL, NULL, 34686, 8),
(35755, NULL, 'PF01053', NULL, NULL, 'Cys/Met metabolism PLP-dependent enzyme', NULL, 'Cys_Met_Meta_PP', NULL, NULL, 578, 8),
(35756, NULL, 'PF20082', NULL, NULL, 'Family of unknown function (DUF6476)', NULL, 'DUF6476', NULL, NULL, 39590, 8),
(35757, NULL, 'PF12938', NULL, NULL, 'M domain of GW182', NULL, 'M_domain', NULL, NULL, 23201, 8),
(35758, NULL, 'PF17966', NULL, NULL, 'Muc B2-like domain', NULL, 'Muc_B2', NULL, NULL, 31620, 8),
(35759, NULL, 'PF06265', NULL, NULL, 'Protein of unknown function (DUF1027)', NULL, 'DUF1027', NULL, NULL, 14879, 8),
(35760, NULL, 'PF07664', NULL, NULL, 'Ferrous iron transport protein B C terminus', NULL, 'FeoB_C', NULL, NULL, 10719, 8),
(35761, NULL, 'PF01762', NULL, NULL, 'Galactosyltransferase', NULL, 'Galactosyl_T', NULL, NULL, 2733, 8),
(35762, NULL, 'PF17544', NULL, NULL, 'Family of unknown function (DUF5460)', NULL, 'DUF5460', NULL, NULL, 13609, 8),
(35763, NULL, 'PF12664', NULL, NULL, 'Protein of unknown function (DUF3789)', NULL, 'DUF3789', NULL, NULL, 25611, 8),
(35764, NULL, 'PF18623', NULL, NULL, 'TnsE C-terminal domain', NULL, 'TnsE_C', NULL, NULL, 33142, 8),
(35765, NULL, 'PF09409', NULL, NULL, 'PUB domain', NULL, 'PUB', NULL, NULL, 16495, 8),
(35766, NULL, 'PF09102', NULL, NULL, 'Exotoxin A, targeting', NULL, 'Exotox-A_target', NULL, NULL, 10565, 8),
(35767, NULL, 'PF01686', NULL, NULL, 'Adenovirus penton base protein', NULL, 'Adeno_Penton_B', NULL, NULL, 1676, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35768, NULL, 'PF18068', NULL, NULL, 'Npun R1517', NULL, 'Npun_R1517', NULL, NULL, 31746, 8),
(35769, NULL, 'PF19370', NULL, NULL, 'Family of unknown function (DUF5945)', NULL, 'DUF5945', NULL, NULL, 39060, 8),
(35770, NULL, 'PF14043', NULL, NULL, 'WVELL protein', NULL, 'WVELL', NULL, NULL, 27616, 8),
(35771, NULL, 'PF06656', NULL, NULL, 'Tenuivirus PVC2 protein', NULL, 'Tenui_PVC2', NULL, NULL, 10005, 8),
(35772, NULL, 'PF13135', NULL, NULL, 'Protein of unknown function (DUF3947)', NULL, 'DUF3947', NULL, NULL, 22668, 8),
(35773, NULL, 'PF08953', NULL, NULL, 'Domain of unknown function (DUF1899)', NULL, 'DUF1899', NULL, NULL, 7552, 8),
(35774, NULL, 'PF17261', NULL, NULL, 'Family of unknown function (DUF5327)', NULL, 'DUF5327', NULL, NULL, 18903, 8),
(35775, NULL, 'PF03726', NULL, NULL, 'Polyribonucleotide nucleotidyltransferase, RNA binding domain', NULL, 'PNPase', NULL, NULL, 9257, 8),
(35776, NULL, 'PF09180', NULL, NULL, 'Prolyl-tRNA synthetase, C-terminal', NULL, 'ProRS-C_1', NULL, NULL, 11866, 8),
(35777, NULL, 'PF10161', NULL, NULL, 'Putative mitochondrial precursor protein', NULL, 'DDDD', NULL, NULL, 19312, 8),
(35778, NULL, 'PF12384', NULL, NULL, 'Ty3 transposon peptidase', NULL, 'Peptidase_A2B', NULL, NULL, 9013, 8),
(35779, NULL, 'PF17909', NULL, NULL, 'Htr2 transmembrane domain', NULL, 'Htr2', NULL, NULL, 29540, 8),
(35780, NULL, 'PF02527', NULL, NULL, 'rRNA small subunit methyltransferase G', NULL, 'GidB', NULL, NULL, 1842, 8),
(35781, NULL, 'PF02663', NULL, NULL, 'FmdE, Molybdenum formylmethanofuran dehydrogenase operon', NULL, 'FmdE', NULL, NULL, 3271, 8),
(35782, NULL, 'PF03561', NULL, NULL, 'Allantoicase repeat', NULL, 'Allantoicase', NULL, NULL, 8385, 8),
(35783, NULL, 'PF02268', NULL, NULL, 'Transcription initiation factor IIA, gamma subunit, helical domain', NULL, 'TFIIA_gamma_N', NULL, NULL, 14229, 8),
(35784, NULL, 'PF00734', NULL, NULL, 'Fungal cellulose binding domain', NULL, 'CBM_1', NULL, NULL, 4728, 8),
(35785, NULL, 'PF06578', NULL, NULL, 'YOP proteins translocation protein K (YscK)', NULL, 'YscK', NULL, NULL, 9022, 8),
(35786, NULL, 'PF09280', NULL, NULL, 'XPC-binding domain', NULL, 'XPC-binding', NULL, NULL, 13579, 8),
(35787, NULL, 'PF04481', NULL, NULL, 'Protein of unknown function (DUF561)', NULL, 'DUF561', NULL, NULL, 1750, 8),
(35788, NULL, 'PF15142', NULL, NULL, 'INCA1', NULL, 'INCA1', NULL, NULL, 26349, 8),
(35789, NULL, 'PF16595', NULL, NULL, 'PAM-interacting domain of CRISPR-associated endonuclease Cas9', NULL, 'Cas9_PI', NULL, NULL, 29324, 8),
(35790, NULL, 'PF11190', NULL, NULL, 'Protein of unknown function (DUF2976)', NULL, 'DUF2976', NULL, NULL, 18482, 8),
(35791, NULL, 'PF03555', NULL, NULL, 'Influenza C non-structural protein (NS2)', NULL, 'Flu_C_NS2', NULL, NULL, 6162, 8),
(35792, NULL, 'PF08643', NULL, NULL, 'Fungal family of unknown function (DUF1776)', NULL, 'DUF1776', NULL, NULL, 8417, 8),
(35793, NULL, 'PF00804', NULL, NULL, 'Syntaxin', NULL, 'Syntaxin', NULL, NULL, 1216, 8),
(35794, NULL, 'PF02114', NULL, NULL, 'Phosducin', NULL, 'Phosducin', NULL, NULL, 14241, 8),
(35795, NULL, 'PF06565', NULL, NULL, 'DUF1126 PH-like domain', NULL, 'DUF1126', NULL, NULL, 1140, 8),
(35796, NULL, 'PF15235', NULL, NULL, 'G protein-regulated inducer of neurite outgrowth C-terminus', NULL, 'GRIN_C', NULL, NULL, 22305, 8),
(35797, NULL, 'PF10062', NULL, NULL, 'Predicted secreted protein (DUF2300)', NULL, 'DUF2300', NULL, NULL, 18565, 8),
(35798, NULL, 'PF01080', NULL, NULL, 'Presenilin', NULL, 'Presenilin', NULL, NULL, 5146, 8),
(35799, NULL, 'PF03402', NULL, NULL, 'Vomeronasal organ pheromone receptor family, V1R', NULL, 'V1R', NULL, NULL, 1735, 8),
(35800, NULL, 'PF19653', NULL, NULL, 'Family of unknown function (DUF6156)', NULL, 'DUF6156', NULL, NULL, 39805, 8),
(35801, NULL, 'PF09715', NULL, NULL, 'Plasmodium protein of unknown function (Plasmod_dom_1)', NULL, 'Plasmod_dom_1', NULL, NULL, 5759, 8),
(35802, NULL, 'PF08847', NULL, NULL, 'Chlororespiratory reduction 6', NULL, 'Crr6', NULL, NULL, 14398, 8),
(35803, NULL, 'PF02961', NULL, NULL, 'Barrier to autointegration factor', NULL, 'BAF', NULL, NULL, 1828, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35804, NULL, 'PF04532', NULL, NULL, 'Protein of unknown function (DUF587)', NULL, 'DUF587', NULL, NULL, 2875, 8),
(35805, NULL, 'PF15958', NULL, NULL, 'Domain of unknown function (DUF4761)', NULL, 'DUF4761', NULL, NULL, 28987, 8),
(35806, NULL, 'PF18968', NULL, NULL, 'Family of unknown function (DUF5707)', NULL, 'DUF5707', NULL, NULL, 37813, 8),
(35807, NULL, 'PF00752', NULL, NULL, 'XPG N-terminal domain', NULL, 'XPG_N', NULL, NULL, 2959, 8),
(35808, NULL, 'PF05686', NULL, NULL, 'Glycosyl transferase family 90', NULL, 'Glyco_transf_90', NULL, NULL, 1449, 8),
(35809, NULL, 'PF06773', NULL, NULL, 'Bim protein N-terminus', NULL, 'Bim_N', NULL, NULL, 12656, 8),
(35810, NULL, 'PF02634', NULL, NULL, 'FdhD/NarQ family', NULL, 'FdhD-NarQ', NULL, NULL, 3230, 8),
(35811, NULL, 'PF15764', NULL, NULL, 'Domain of unknown function (DUF4693)', NULL, 'DUF4693', NULL, NULL, 28724, 8),
(35812, NULL, 'PF09237', NULL, NULL, 'GAGA factor', NULL, 'GAGA', NULL, NULL, 13933, 8),
(35813, NULL, 'PF11915', NULL, NULL, 'Protein of unknown function (DUF3433)', NULL, 'DUF3433', NULL, NULL, 20337, 8),
(35814, NULL, 'PF11700', NULL, NULL, 'Vacuole effluxer Atg22 like', NULL, 'ATG22', NULL, NULL, 21741, 8),
(35815, NULL, 'PF07975', NULL, NULL, 'TFIIH C1-like domain', NULL, 'C1_4', NULL, NULL, 942, 8),
(35816, NULL, 'PF02652', NULL, NULL, 'L-lactate permease', NULL, 'Lactate_perm', NULL, NULL, 3298, 8),
(35817, NULL, 'PF08266', NULL, NULL, 'Cadherin-like', NULL, 'Cadherin_2', NULL, NULL, 8843, 8),
(35818, NULL, 'PF09528', NULL, NULL, 'Ehrlichia tandem repeat (Ehrlichia_rpt)', NULL, 'Ehrlichia_rpt', NULL, NULL, 16827, 8),
(35819, NULL, 'PF08759', NULL, NULL, 'Glycosyltransferase GT-D fold', NULL, 'GT-D', NULL, NULL, 13402, 8),
(35820, NULL, 'PF12161', NULL, NULL, 'HsdM N-terminal domain', NULL, 'HsdM_N', NULL, NULL, 17377, 8),
(35821, NULL, 'PF00598', NULL, NULL, 'Influenza Matrix protein (M1)', NULL, 'Flu_M1', NULL, NULL, 5200, 8),
(35822, NULL, 'PF11149', NULL, NULL, 'Protein of unknown function (DUF2924)', NULL, 'DUF2924', NULL, NULL, 17515, 8),
(35823, NULL, 'PF08343', NULL, NULL, 'Ribonucleotide reductase N-terminal', NULL, 'RNR_N', NULL, NULL, 13343, 8),
(35824, NULL, 'PF01252', NULL, NULL, 'Signal peptidase (SPase) II', NULL, 'Peptidase_A8', NULL, NULL, 4261, 8),
(35825, NULL, 'PF13752', NULL, NULL, 'Domain of unknown function (DUF4165)', NULL, 'DUF4165', NULL, NULL, 23070, 8),
(35826, NULL, 'PF07918', NULL, NULL, 'CAP160 repeat', NULL, 'CAP160', NULL, NULL, 13765, 8),
(35827, NULL, 'PF08127', NULL, NULL, 'Peptidase family C1 propeptide', NULL, 'Propeptide_C1', NULL, NULL, 9566, 8),
(35828, NULL, 'PF14506', NULL, NULL, 'CppA N-terminal', NULL, 'CppA_N', NULL, NULL, 22178, 8),
(35829, NULL, 'PF18922', NULL, NULL, 'Protein of unknown function (DUF5672)', NULL, 'DUF5672', NULL, NULL, 36792, 8),
(35830, NULL, 'PF01756', NULL, NULL, 'Acyl-CoA oxidase', NULL, 'ACOX', NULL, NULL, 2576, 8),
(35831, NULL, 'PF06626', NULL, NULL, 'Protein of unknown function (DUF1152)', NULL, 'DUF1152', NULL, NULL, 8144, 8),
(35832, NULL, 'PF15103', NULL, NULL, 'G0/G1 switch protein 2', NULL, 'G0-G1_switch_2', NULL, NULL, 15411, 8),
(35833, NULL, 'PF01927', NULL, NULL, 'Mut7-C RNAse domain', NULL, 'Mut7-C', NULL, NULL, 4957, 8),
(35834, NULL, 'PF04732', NULL, NULL, 'Intermediate filament head (DNA binding) region', NULL, 'Filament_head', NULL, NULL, 3621, 8),
(35835, NULL, 'PF08545', NULL, NULL, '3-Oxoacyl-[acyl-carrier-protein (ACP)] synthase III', NULL, 'ACP_syn_III', NULL, NULL, 7806, 8),
(35836, NULL, 'PF01426', NULL, NULL, 'BAH domain', NULL, 'BAH', NULL, NULL, 1093, 8),
(35837, NULL, 'PF14308', NULL, NULL, 'X-domain of DnaJ-containing', NULL, 'DnaJ-X', NULL, NULL, 28957, 8),
(35838, NULL, 'PF03671', NULL, NULL, 'Ubiquitin fold modifier 1 protein', NULL, 'Ufm1', NULL, NULL, 6537, 8),
(35839, NULL, 'PF02551', NULL, NULL, 'Acyl-CoA thioesterase', NULL, 'Acyl_CoA_thio', NULL, NULL, 25919, 8),
(35840, NULL, 'PF09807', NULL, NULL, 'Elongation complex protein 6', NULL, 'ELP6', NULL, NULL, 16416, 8),
(35841, NULL, 'PF14559', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_19', NULL, NULL, NULL, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35842, NULL, 'PF17775', NULL, NULL, 'UPF0225 domain', NULL, 'UPF0225', NULL, NULL, NULL, 8),
(35843, NULL, 'PF19432', NULL, NULL, 'DNAJ protein RME-8 N-terminal', NULL, 'RME-8_N', NULL, NULL, 36994, 8),
(35844, NULL, 'PF09567', NULL, NULL, 'MamI restriction endonuclease', NULL, 'RE_MamI', NULL, NULL, 16568, 8),
(35845, NULL, 'PF07500', NULL, NULL, 'Transcription factor S-II (TFIIS), central domain', NULL, 'TFIIS_M', NULL, NULL, 557, 8),
(35846, NULL, 'PF07647', NULL, NULL, 'SAM domain (Sterile alpha motif)', NULL, 'SAM_2', NULL, NULL, 5053, 8),
(35847, NULL, 'PF12523', NULL, NULL, 'Protein of unknown function (DUF3725)', NULL, 'DUF3725', NULL, NULL, 21114, 8),
(35848, NULL, 'PF19577', NULL, NULL, 'DcaP outer membrane protein', NULL, 'DcaP', NULL, NULL, 38579, 8),
(35849, NULL, 'PF01535', NULL, NULL, 'PPR repeat', NULL, 'PPR', NULL, NULL, 5805, 8),
(35850, NULL, 'PF13642', NULL, NULL, 'protein structure with unknown function', NULL, 'DUF4144', NULL, NULL, 23688, 8),
(35851, NULL, 'PF18024', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_50', NULL, NULL, 27051, 8),
(35852, NULL, 'PF15265', NULL, NULL, 'FAM196 family', NULL, 'FAM196', NULL, NULL, 24540, 8),
(35853, NULL, 'PF18831', NULL, NULL, 'Leucine-rich repeat', NULL, 'LRR_11', NULL, NULL, 32091, 8),
(35854, NULL, 'PF04447', NULL, NULL, 'Protein of unknown function (DUF550)', NULL, 'DUF550', NULL, NULL, 10907, 8),
(35855, NULL, 'PF16507', NULL, NULL, 'Proteasome-substrate-size regulator, mid region', NULL, 'BLM10_mid', NULL, NULL, 26547, 8),
(35856, NULL, 'PF00838', NULL, NULL, 'Translationally controlled tumour protein', NULL, 'TCTP', NULL, NULL, 13597, 8),
(35857, NULL, 'PF10033', NULL, NULL, 'Autophagy-related protein 13', NULL, 'ATG13', NULL, NULL, 18962, 8),
(35858, NULL, 'PF15085', NULL, NULL, 'Neuropeptide FF', NULL, 'NPFF', NULL, NULL, 5335, 8),
(35859, NULL, 'PF01345', NULL, NULL, 'Domain of unknown function DUF11', NULL, 'DUF11', NULL, NULL, 3003, 8),
(35860, NULL, 'PF04389', NULL, NULL, 'Peptidase family M28', NULL, 'Peptidase_M28', NULL, NULL, 10185, 8),
(35861, NULL, 'PF11685', NULL, NULL, 'Protein of unknown function (DUF3281)', NULL, 'DUF3281', NULL, NULL, 19410, 8),
(35862, NULL, 'PF03181', NULL, NULL, 'BURP domain', NULL, 'BURP', NULL, NULL, 7353, 8),
(35863, NULL, 'PF13617', NULL, NULL, 'YnbE-like lipoprotein', NULL, 'Lipoprotein_19', NULL, NULL, 24101, 8),
(35864, NULL, 'PF15312', NULL, NULL, 'Junctional sarcoplasmic reticulum protein', NULL, 'JSRP', NULL, NULL, 26854, 8),
(35865, NULL, 'PF19183', NULL, NULL, 'Family of unknown function (DUF5865)', NULL, 'DUF5865', NULL, NULL, 37946, 8),
(35866, NULL, 'PF07728', NULL, NULL, 'AAA domain (dynein-related subfamily)', NULL, 'AAA_5', NULL, NULL, 8424, 8),
(35867, NULL, 'PF09287', NULL, NULL, 'CEP-1, DNA binding', NULL, 'CEP1-DNA_bind', NULL, NULL, 14080, 8),
(35868, NULL, 'PF12462', NULL, NULL, 'DNA helicase IV / RNA helicase N terminal', NULL, 'Helicase_IV_N', NULL, NULL, 21235, 8),
(35869, NULL, 'PF18657', NULL, NULL, 'YDG domain', NULL, 'YDG', NULL, NULL, 31061, 8),
(35870, NULL, 'PF08637', NULL, NULL, 'ATP synthase regulation protein NCA2', NULL, 'NCA2', NULL, NULL, 8445, 8),
(35871, NULL, 'PF01140', NULL, NULL, 'Matrix protein (MA), p15', NULL, 'Gag_MA', NULL, NULL, 4667, 8),
(35872, NULL, 'PF18899', NULL, NULL, 'Domain of unknown function (DUF5655)', NULL, 'DUF5655', NULL, NULL, 36777, 8),
(35873, NULL, 'PF07877', NULL, NULL, 'Protein of unknown function (DUF1661)', NULL, 'DUF1661', NULL, NULL, 14888, 8),
(35874, NULL, 'PF00181', NULL, NULL, 'Ribosomal Proteins L2, RNA binding domain', NULL, 'Ribosomal_L2', NULL, NULL, 17262, 8),
(35875, NULL, 'PF06040', NULL, NULL, 'Adenovirus E3 protein', NULL, 'Adeno_E3', NULL, NULL, 13687, 8),
(35876, NULL, 'PF05285', NULL, NULL, 'SDA1', NULL, 'SDA1', NULL, NULL, 4070, 8),
(35877, NULL, 'PF08417', NULL, NULL, 'Pheophorbide a oxygenase', NULL, 'PaO', NULL, NULL, 11146, 8),
(35878, NULL, 'PF06222', NULL, NULL, 'Phage tail assembly chaperone', NULL, 'Phage_TAC_1', NULL, NULL, 9586, 8),
(35879, NULL, 'PF07849', NULL, NULL, 'Protein of unknown function (DUF1641)', NULL, 'DUF1641', NULL, NULL, 14889, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35880, NULL, 'PF03948', NULL, NULL, 'Ribosomal protein L9, C-terminal domain', NULL, 'Ribosomal_L9_C', NULL, NULL, 18949, 8),
(35881, NULL, 'PF09646', NULL, NULL, 'Gp37 protein', NULL, 'Gp37', NULL, NULL, 15615, 8),
(35882, NULL, 'PF07243', NULL, NULL, 'Phlebovirus glycoprotein G1', NULL, 'Phlebovirus_G1', NULL, NULL, 11482, 8),
(35883, NULL, 'PF07869', NULL, NULL, 'Protein of unknown function (DUF1656)', NULL, 'DUF1656', NULL, NULL, 14593, 8),
(35884, NULL, 'PF07498', NULL, NULL, 'Rho termination factor, N-terminal domain', NULL, 'Rho_N', NULL, NULL, 11008, 8),
(35885, NULL, 'PF00524', NULL, NULL, 'E1 Protein, N terminal domain', NULL, 'PPV_E1_N', NULL, NULL, 7824, 8),
(35886, NULL, 'PF16463', NULL, NULL, 'Phage tail tube protein family', NULL, 'Phage_TTP_13', NULL, NULL, 22957, 8),
(35887, NULL, 'PF19041', NULL, NULL, 'Nuclear cap binding complex subunit CBP30', NULL, 'CBP30', NULL, NULL, 36550, 8),
(35888, NULL, 'PF00456', NULL, NULL, 'Transketolase, thiamine diphosphate binding domain', NULL, 'Transketolase_N', NULL, NULL, 637, 8),
(35889, NULL, 'PF11944', NULL, NULL, 'Protein of unknown function (DUF3461)', NULL, 'DUF3461', NULL, NULL, 14770, 8),
(35890, NULL, 'PF03304', NULL, NULL, 'Mlp lipoprotein family', NULL, 'Mlp', NULL, NULL, 989, 8),
(35891, NULL, 'PF10767', NULL, NULL, 'Protein of unknown function (DUF2593)', NULL, 'DUF2593', NULL, NULL, 21046, 8),
(35892, NULL, 'PF14389', NULL, NULL, 'Leucine-zipper of ternary complex factor MIP1', NULL, 'Lzipper-MIP1', NULL, NULL, 23497, 8),
(35893, NULL, 'PF19858', NULL, NULL, 'Bacterial oxidoreductases, C-terminal', NULL, 'OxRdtase_C', NULL, NULL, 39920, 8),
(35894, NULL, 'PF11025', NULL, NULL, 'Glycoprotein GP40 of Cryptosporidium', NULL, 'GP40', NULL, NULL, 15059, 8),
(35895, NULL, 'PF03908', NULL, NULL, 'Sec20', NULL, 'Sec20', NULL, NULL, 2697, 8),
(35896, NULL, 'PF00505', NULL, NULL, 'HMG (high mobility group) box', NULL, 'HMG_box', NULL, NULL, 6110, 8),
(35897, NULL, 'PF06677', NULL, NULL, 'Sjogren''s syndrome/scleroderma autoantigen 1 (Autoantigen p27)', NULL, 'Auto_anti-p27', NULL, NULL, 10483, 8),
(35898, NULL, 'PF18036', NULL, NULL, 'Ubiquitin-like domain', NULL, 'Ubiquitin_4', NULL, NULL, 34106, 8),
(35899, NULL, 'PF10795', NULL, NULL, 'Protein of unknown function (DUF2607)', NULL, 'DUF2607', NULL, NULL, 21238, 8),
(35900, NULL, 'PF09017', NULL, NULL, 'Microbial transglutaminase', NULL, 'Transglut_prok', NULL, NULL, 9793, 8),
(35901, NULL, 'PF14042', NULL, NULL, 'Domain of unknown function (DUF4247)', NULL, 'DUF4247', NULL, NULL, 22530, 8),
(35902, NULL, 'PF12496', NULL, NULL, 'Bcl2-/adenovirus E1B nineteen kDa-interacting protein 2', NULL, 'BNIP2', NULL, NULL, 21185, 8),
(35903, NULL, 'PF18782', NULL, NULL, 'Novel AID APOBEC clade 2', NULL, 'NAD2', NULL, NULL, NULL, 8),
(35904, NULL, 'PF05790', NULL, NULL, 'Immunoglobulin C2-set domain', NULL, 'C2-set', NULL, NULL, 8710, 8),
(35905, NULL, 'PF19627', NULL, NULL, 'Activity-dependent neuroprotector homeobox protein N-terminal', NULL, 'ADNP_N', NULL, NULL, 36619, 8),
(35906, NULL, 'PF07398', NULL, NULL, 'MDMPI C-terminal domain', NULL, 'MDMPI_C', NULL, NULL, 11743, 8),
(35907, NULL, 'PF17796', NULL, NULL, 'Major Vault Protein repeat domain', NULL, 'Vault_4', NULL, NULL, 31838, 8),
(35908, NULL, 'PF14016', NULL, NULL, 'Protein of unknown function (DUF4232)', NULL, 'DUF4232', NULL, NULL, 22767, 8),
(35909, NULL, 'PF02787', NULL, NULL, 'Carbamoyl-phosphate synthetase large chain, oligomerisation domain', NULL, 'CPSase_L_D3', NULL, NULL, 564, 8),
(35910, NULL, 'PF08603', NULL, NULL, 'Adenylate cyclase associated (CAP) C terminal', NULL, 'CAP_C', NULL, NULL, 18373, 8),
(35911, NULL, 'PF08493', NULL, NULL, 'Aflatoxin regulatory protein', NULL, 'AflR', NULL, NULL, 14233, 8),
(35912, NULL, 'PF19742', NULL, NULL, 'Family of unknown function (DUF6231)', NULL, 'DUF6231', NULL, NULL, 39768, 8),
(35913, NULL, 'PF03303', NULL, NULL, 'WTF protein', NULL, 'WTF', NULL, NULL, 755, 8),
(35914, NULL, 'PF00251', NULL, NULL, 'Glycosyl hydrolases family 32 N-terminal domain', NULL, 'Glyco_hydro_32N', NULL, NULL, 9260, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35915, NULL, 'PF04059', NULL, NULL, 'RNA recognition motif 2', NULL, 'RRM_2', NULL, NULL, 1181, 8),
(35916, NULL, 'PF05570', NULL, NULL, 'Circovirus protein of unknown function (DUF765)', NULL, 'DUF765', NULL, NULL, 12321, 8),
(35917, NULL, 'PF16516', NULL, NULL, 'Leucine zipper of domain CC2 of NEMO, NF-kappa-B essential modulator', NULL, 'CC2-LZ', NULL, NULL, 24459, 8),
(35918, NULL, 'PF08845', NULL, NULL, 'Toxin SymE, type I toxin-antitoxin system', NULL, 'SymE_toxin', NULL, NULL, 14215, 8),
(35919, NULL, 'PF13953', NULL, NULL, 'PapC C-terminal domain', NULL, 'PapC_C', NULL, NULL, 24681, 8),
(35920, NULL, 'PF08209', NULL, NULL, 'Sgf11 (transcriptional regulation protein)', NULL, 'Sgf11', NULL, NULL, 12887, 8),
(35921, NULL, 'PF12907', NULL, NULL, 'Zinc-binding', NULL, 'zf-met2', NULL, NULL, 36195, 8),
(35922, NULL, 'PF09480', NULL, NULL, 'Type III secretion system protein PrgH-EprH (PrgH)', NULL, 'PrgH', NULL, NULL, 16124, 8),
(35923, NULL, 'PF06314', NULL, NULL, 'Acetoacetate decarboxylase (ADC)', NULL, 'ADC', NULL, NULL, 10347, 8),
(35924, NULL, 'PF01485', NULL, NULL, 'IBR domain, a half RING-finger domain', NULL, 'IBR', NULL, NULL, 5522, 8),
(35925, NULL, 'PF00026', NULL, NULL, 'Eukaryotic aspartyl protease', NULL, 'Asp', NULL, NULL, 33066, 8),
(35926, NULL, 'PF07029', NULL, NULL, 'CryBP1 protein', NULL, 'CryBP1', NULL, NULL, 12941, 8),
(35927, NULL, 'PF17626', NULL, NULL, 'Inclusion membrane protein F', NULL, 'IncF', NULL, NULL, 8952, 8),
(35928, NULL, 'PF02588', NULL, NULL, 'Uncharacterised 5xTM membrane BCR, YitT family COG1284', NULL, 'YitT_membrane', NULL, NULL, 2467, 8),
(35929, NULL, 'PF18501', NULL, NULL, 'Alpha helical recognition lobe domain', NULL, 'REC1', NULL, NULL, 31174, 8),
(35930, NULL, 'PF18745', NULL, NULL, 'Secreted Novel AID/APOBEC-like Deaminase 2', NULL, 'SNAD2', NULL, NULL, NULL, 8),
(35931, NULL, 'PF14550', NULL, NULL, 'Putative phage serine protease XkdF', NULL, 'Peptidase_S78_2', NULL, NULL, 25754, 8),
(35932, NULL, 'PF10629', NULL, NULL, 'Protein of unknown function (DUF2475)', NULL, 'DUF2475', NULL, NULL, 21148, 8),
(35933, NULL, 'PF13619', NULL, NULL, 'KTSC domain', NULL, 'KTSC', NULL, NULL, 23386, 8),
(35934, NULL, 'PF08376', NULL, NULL, 'Nitrate and nitrite sensing', NULL, 'NIT', NULL, NULL, 12338, 8),
(35935, NULL, 'PF13375', NULL, NULL, 'RnfC Barrel sandwich hybrid domain', NULL, 'RnfC_N', NULL, NULL, 28709, 8),
(35936, NULL, 'PF01788', NULL, NULL, 'PsbJ', NULL, 'PsbJ', NULL, NULL, 2828, 8),
(35937, NULL, 'PF08779', NULL, NULL, 'Betacoronavirus NS7A protein', NULL, 'bCoV_NS7A', NULL, NULL, 13085, 8),
(35938, NULL, 'PF18756', NULL, NULL, 'Nucleotide modification associated domain 4', NULL, 'Nmad4', NULL, NULL, 34206, 8),
(35939, NULL, 'PF18788', NULL, NULL, 'Defence against restriction A N-terminal', NULL, 'DarA_N', NULL, NULL, 31339, 8),
(35940, NULL, 'PF15491', NULL, NULL, 'CST, telomere maintenance, complex subunit CTC1', NULL, 'CTC1_2', NULL, NULL, 29462, 8),
(35941, NULL, 'PF10113', NULL, NULL, 'FeGP cofactor biosynthesis protein, fibrillarin family', NULL, 'Fibrillarin_2', NULL, NULL, 21753, 8),
(35942, NULL, 'PF02298', NULL, NULL, 'Plastocyanin-like domain', NULL, 'Cu_bind_like', NULL, NULL, 2637, 8),
(35943, NULL, 'PF03088', NULL, NULL, 'Strictosidine synthase', NULL, 'Str_synth', NULL, NULL, 13773, 8),
(35944, NULL, 'PF14312', NULL, NULL, 'FG-GAP repeat', NULL, 'FG-GAP_2', NULL, NULL, 13605, 8),
(35945, NULL, 'PF10590', NULL, NULL, 'Pyridoxine 5''-phosphate oxidase C-terminal dimerisation region', NULL, 'PNP_phzG_C', NULL, NULL, 20487, 8),
(35946, NULL, 'PF10814', NULL, NULL, 'Cell wall synthesis protein CwsA', NULL, 'CwsA', NULL, NULL, 20464, 8),
(35947, NULL, 'PF01194', NULL, NULL, 'RNA polymerases N / 8 kDa subunit', NULL, 'RNA_pol_N', NULL, NULL, 630, 8),
(35948, NULL, 'PF08552', NULL, NULL, 'Inositolphosphorylceramide synthase subunit Kei1', NULL, 'Kei1', NULL, NULL, 9637, 8),
(35949, NULL, 'PF16890', NULL, NULL, 'Domain of unknown function (DUF5083)', NULL, 'DUF5083', NULL, NULL, 23127, 8),
(35950, NULL, 'PF04896', NULL, NULL, 'Ammonia monooxygenase/methane monooxygenase, subunit C', NULL, 'AmoC', NULL, NULL, 5914, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35951, NULL, 'PF18212', NULL, NULL, 'ZNRF-3 Ectodomain', NULL, 'ZNRF_3_ecto', NULL, NULL, 29956, 8),
(35952, NULL, 'PF13700', NULL, NULL, 'Domain of unknown function (DUF4158)', NULL, 'DUF4158', NULL, NULL, 23747, 8),
(35953, NULL, 'PF19165', NULL, NULL, 'Family of unknown function (DUF5847)', NULL, 'DUF5847', NULL, NULL, 36883, 8),
(35954, NULL, 'PF05115', NULL, NULL, 'Cytochrome B6-F complex subunit VI (PetL)', NULL, 'PetL', NULL, NULL, 2497, 8),
(35955, NULL, 'PF12165', NULL, NULL, 'Alfin', NULL, 'Alfin', NULL, NULL, 20813, 8),
(35956, NULL, 'PF16530', NULL, NULL, 'Infectious hypodermal and haematopoietic necrosis virus, capsid', NULL, 'IHHNV_capsid', NULL, NULL, 26579, 8),
(35957, NULL, 'PF01553', NULL, NULL, 'Acyltransferase', NULL, 'Acyltransferase', NULL, NULL, 1007, 8),
(35958, NULL, 'PF15507', NULL, NULL, 'Domain of unknown function (DUF4649)', NULL, 'DUF4649', NULL, NULL, 27925, 8),
(35959, NULL, 'PF12992', NULL, NULL, 'Domain of unknown function, B. Theta Gene description (DUF3876)', NULL, 'DUF3876', NULL, NULL, 25659, 8),
(35960, NULL, 'PF02707', NULL, NULL, 'Major Outer Sheath Protein N-terminal region', NULL, 'MOSP_N', NULL, NULL, 3327, 8),
(35961, NULL, 'PF16091', NULL, NULL, 'Domain of unknown function (DUF4820)', NULL, 'DUF4820', NULL, NULL, 28198, 8),
(35962, NULL, 'PF09477', NULL, NULL, 'Bacterial type II secretion system chaperone protein (type_III_yscG)', NULL, 'Type_III_YscG', NULL, NULL, 18832, 8),
(35963, NULL, 'PF08180', NULL, NULL, 'B melanoma antigen family', NULL, 'BAGE', NULL, NULL, 12861, 8),
(35964, NULL, 'PF09327', NULL, NULL, 'Domain of unknown function (DUF1983)', NULL, 'DUF1983', NULL, NULL, 14005, 8),
(35965, NULL, 'PF14400', NULL, NULL, 'Inactive transglutaminase fused to 7 transmembrane helices', NULL, 'Transglut_i_TM', NULL, NULL, 25402, 8),
(35966, NULL, 'PF02444', NULL, NULL, 'Hepatitis E virus ORF-2 (Putative capsid protein)', NULL, 'HEV_ORF1', NULL, NULL, 4717, 8),
(35967, NULL, 'PF01702', NULL, NULL, 'Queuine tRNA-ribosyltransferase', NULL, 'TGT', NULL, NULL, 2839, 8),
(35968, NULL, 'PF09739', NULL, NULL, 'Mini-chromosome maintenance replisome factor', NULL, 'MCM_bind', NULL, NULL, 17698, 8),
(35969, NULL, 'PF04874', NULL, NULL, 'Mak16 protein C-terminal region', NULL, 'Mak16', NULL, NULL, 5530, 8),
(35970, NULL, 'PF16133', NULL, NULL, 'Domain of unknown function (DUF4844)', NULL, 'DUF4844', NULL, NULL, 24072, 8),
(35971, NULL, 'PF12726', NULL, NULL, 'SEN1 N terminal', NULL, 'SEN1_N', NULL, NULL, 23268, 8),
(35972, NULL, 'PF18229', NULL, NULL, 'N-acetyl-beta-D-glucosaminidase N-terminal domain', NULL, 'GcnA_N', NULL, NULL, 32387, 8),
(35973, NULL, 'PF18651', NULL, NULL, 'Surface adhesin CshA non-repetitive domain 2', NULL, 'CshA_NR2', NULL, NULL, 30241, 8),
(35974, NULL, 'PF13489', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_23', NULL, NULL, NULL, 8),
(35975, NULL, 'PF01092', NULL, NULL, 'Ribosomal protein S6e', NULL, 'Ribosomal_S6e', NULL, NULL, 6897, 8),
(35976, NULL, 'PF08384', NULL, NULL, 'Pro-opiomelanocortin, N-terminal region', NULL, 'NPP', NULL, NULL, 12483, 8),
(35977, NULL, 'PF15867', NULL, NULL, 'Dynein attachment factor N-terminus', NULL, 'Dynein_attach_N', NULL, NULL, 25463, 8),
(35978, NULL, 'PF17003', NULL, NULL, 'Putative actin-like family', NULL, 'Actin_micro', NULL, NULL, 25094, 8),
(35979, NULL, 'PF19007', NULL, NULL, 'Family of unknown function (DUF5736)', NULL, 'DUF5736', NULL, NULL, 38449, 8),
(35980, NULL, 'PF09167', NULL, NULL, 'Domain of unknown function (DUF1942)', NULL, 'DUF1942', NULL, NULL, 12816, 8),
(35981, NULL, 'PF11002', NULL, NULL, 'RFPL defining motif (RDM)', NULL, 'RDM', NULL, NULL, 17462, 8),
(35982, NULL, 'PF05991', NULL, NULL, 'YacP-like NYN domain', NULL, 'NYN_YacP', NULL, NULL, 7638, 8),
(35983, NULL, 'PF13164', NULL, NULL, 'Diedel', NULL, 'Diedel', NULL, NULL, 23870, 8),
(35984, NULL, 'PF13119', NULL, NULL, 'Domain of unknown function (DUF3973)', NULL, 'DUF3973', NULL, NULL, 27452, 8),
(35985, NULL, 'PF18261', NULL, NULL, 'Rpn9 C-terminal helix', NULL, 'Rpn9_C', NULL, NULL, 31148, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(35986, NULL, 'PF09357', NULL, NULL, 'RteC protein', NULL, 'RteC', NULL, NULL, 14636, 8),
(35987, NULL, 'PF14181', NULL, NULL, 'YqfQ-like protein', NULL, 'YqfQ', NULL, NULL, 25448, 8),
(35988, NULL, 'PF00941', NULL, NULL, 'FAD binding domain in molybdopterin dehydrogenase', NULL, 'FAD_binding_5', NULL, NULL, 6176, 8),
(35989, NULL, 'PF00107', NULL, NULL, 'Zinc-binding dehydrogenase', NULL, 'ADH_zinc_N', NULL, NULL, 9459, 8),
(35990, NULL, 'PF02070', NULL, NULL, 'Neuromedin U', NULL, 'NMU', NULL, NULL, 7484, 8),
(35991, NULL, 'PF18178', NULL, NULL, 'TIR- and PNP-associating SLOG family', NULL, 'TPALS', NULL, NULL, 31182, 8),
(35992, NULL, 'PF03196', NULL, NULL, 'Protein of unknown function, DUF261', NULL, 'DUF261', NULL, NULL, 7062, 8),
(35993, NULL, 'PF08921', NULL, NULL, 'Domain of unknown function (DUF1904)', NULL, 'DUF1904', NULL, NULL, 7894, 8),
(35994, NULL, 'PF19136', NULL, NULL, 'Family of unknown function (DUF5819)', NULL, 'DUF5819', NULL, NULL, 36904, 8),
(35995, NULL, 'PF14019', NULL, NULL, 'Protein of unknown function (DUF4235)', NULL, 'DUF4235', NULL, NULL, 22979, 8),
(35996, NULL, 'PF20089', NULL, NULL, 'Family of unknown function (DUF6481)', NULL, 'DUF6481', NULL, NULL, 39542, 8),
(35997, NULL, 'PF16649', NULL, NULL, 'Interleukin 23 subunit alpha', NULL, 'IL23', NULL, NULL, 11025, 8),
(35998, NULL, 'PF20027', NULL, NULL, 'Family of unknown function (DUF6435)', NULL, 'DUF6435', NULL, NULL, 38975, 8),
(35999, NULL, 'PF05748', NULL, NULL, 'Rubella membrane glycoprotein E1', NULL, 'Rubella_E1', NULL, NULL, 14281, 8),
(36000, NULL, 'PF00907', NULL, NULL, 'T-box', NULL, 'T-box', NULL, NULL, 3215, 8),
(36001, NULL, 'PF02770', NULL, NULL, 'Acyl-CoA dehydrogenase, middle domain', NULL, 'Acyl-CoA_dh_M', NULL, NULL, 2633, 8),
(36002, NULL, 'PF09889', NULL, NULL, 'Uncharacterized protein containing a Zn-ribbon (DUF2116)', NULL, 'DUF2116', NULL, NULL, 19418, 8),
(36003, NULL, 'PF07026', NULL, NULL, 'Protein of unknown function (DUF1317)', NULL, 'DUF1317', NULL, NULL, 12937, 8),
(36004, NULL, 'PF02541', NULL, NULL, 'Ppx/GppA phosphatase family', NULL, 'Ppx-GppA', NULL, NULL, 1803, 8),
(36005, NULL, 'PF05473', NULL, NULL, 'UL45 protein, carbohydrate-binding C-type lectin-like', NULL, 'UL45', NULL, NULL, NULL, 8),
(36006, NULL, 'PF07848', NULL, NULL, 'PaaX-like protein', NULL, 'PaaX', NULL, NULL, 13019, 8),
(36007, NULL, 'PF01220', NULL, NULL, 'Dehydroquinase class II', NULL, 'DHquinase_II', NULL, NULL, 4299, 8),
(36008, NULL, 'PF14627', NULL, NULL, 'Domain of unknown function (DUF4453)', NULL, 'DUF4453', NULL, NULL, 24241, 8),
(36009, NULL, 'PF07033', NULL, NULL, 'Orthopoxvirus B11R protein', NULL, 'Orthopox_B11R', NULL, NULL, 12997, 8),
(36010, NULL, 'PF10507', NULL, NULL, 'Transmembrane protein 65', NULL, 'TMEM65', NULL, NULL, 19213, 8),
(36011, NULL, 'PF06200', NULL, NULL, 'tify domain', NULL, 'tify', NULL, NULL, 9510, 8),
(36012, NULL, 'PF13578', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_24', NULL, NULL, NULL, 8),
(36013, NULL, 'PF01421', NULL, NULL, 'Reprolysin (M12B) family zinc metalloprotease', NULL, 'Reprolysin', NULL, NULL, 5058, 8),
(36014, NULL, 'PF05929', NULL, NULL, 'Phage capsid scaffolding protein (GPO) serine peptidase', NULL, 'Phage_GPO', NULL, NULL, 12555, 8),
(36015, NULL, 'PF19663', NULL, NULL, 'Family of unknown function (DUF6166)', NULL, 'DUF6166', NULL, NULL, 39554, 8),
(36016, NULL, 'PF11723', NULL, NULL, 'Homotrimeric ring hydroxylase', NULL, 'Aromatic_hydrox', NULL, NULL, 16265, 8),
(36017, NULL, 'PF18362', NULL, NULL, 'Tri-helix bundle domain', NULL, 'THB', NULL, NULL, 35384, 8),
(36018, NULL, 'PF06154', NULL, NULL, 'CbeA_antitoxin, type IV, cytoskeleton bundling-enhancing factor A', NULL, 'CbeA_antitoxin', NULL, NULL, 14964, 8),
(36019, NULL, 'PF02969', NULL, NULL, 'TATA box binding protein associated factor (TAF)', NULL, 'TAF', NULL, NULL, 4416, 8),
(36020, NULL, 'PF15763', NULL, NULL, 'Regulator of human erythroid cell expansion (RHEX)', NULL, 'DUF4692', NULL, NULL, 28808, 8),
(36021, NULL, 'PF19510', NULL, NULL, 'Protein of unknown function (DUF6044)', NULL, 'DUF6044', NULL, NULL, 39904, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36022, NULL, 'PF08599', NULL, NULL, 'DNA damage repair protein Nbs1', NULL, 'Nbs1_C', NULL, NULL, 18022, 8),
(36023, NULL, 'PF09015', NULL, NULL, 'NgoMIV restriction enzyme', NULL, 'NgoMIV_restric', NULL, NULL, 9551, 8),
(36024, NULL, 'PF18929', NULL, NULL, 'Family of unknown function (DUF5678)', NULL, 'DUF5678', NULL, NULL, 38089, 8),
(36025, NULL, 'PF10993', NULL, NULL, 'Protein of unknown function (DUF2818)', NULL, 'DUF2818', NULL, NULL, 21774, 8),
(36026, NULL, 'PF15068', NULL, NULL, 'FAM101 family', NULL, 'FAM101', NULL, NULL, 22599, 8),
(36027, NULL, 'PF19065', NULL, NULL, 'Family of unknown function (DUF5761)', NULL, 'DUF5761', NULL, NULL, 37836, 8),
(36028, NULL, 'PF17888', NULL, NULL, 'Carmil pleckstrin homology domain', NULL, 'Carm_PH', NULL, NULL, 31142, 8),
(36029, NULL, 'PF20051', NULL, NULL, 'Family of unknown function (DUF6453)', NULL, 'DUF6453', NULL, NULL, 36676, 8),
(36030, NULL, 'PF02697', NULL, NULL, 'Putative antitoxin', NULL, 'VAPB_antitox', NULL, NULL, 3133, 8),
(36031, NULL, 'PF08690', NULL, NULL, 'GET complex subunit GET2', NULL, 'GET2', NULL, NULL, 22562, 8),
(36032, NULL, 'PF11524', NULL, NULL, 'Selenium binding protein', NULL, 'SeleniumBinding', NULL, NULL, 19354, 8),
(36033, NULL, 'PF00940', NULL, NULL, 'DNA-dependent RNA polymerase', NULL, 'RNA_pol', NULL, NULL, 5456, 8),
(36034, NULL, 'PF15374', NULL, NULL, 'Coiled-coil domain-containing protein 71L', NULL, 'CCDC71L', NULL, NULL, 25375, 8),
(36035, NULL, 'PF11814', NULL, NULL, 'Peptidase_C39 like family', NULL, 'DUF3335', NULL, NULL, 19609, 8),
(36036, NULL, 'PF14485', NULL, NULL, 'Domain of unknown function (DUF4431)', NULL, 'DUF4431', NULL, NULL, 22048, 8),
(36037, NULL, 'PF19036', NULL, NULL, 'First Longin domain of FUZ, MON1 and HPS1', NULL, 'Fuz_longin_1', NULL, NULL, 37352, 8),
(36038, NULL, 'PF04378', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase D, RlmJ', NULL, 'RsmJ', NULL, NULL, 4618, 8),
(36039, NULL, 'PF10827', NULL, NULL, 'Protein of unknown function (DUF2552)', NULL, 'DUF2552', NULL, NULL, 13791, 8),
(36040, NULL, 'PF10800', NULL, NULL, 'Protein of unknown function (DUF2528)', NULL, 'DUF2528', NULL, NULL, 13899, 8),
(36041, NULL, 'PF06797', NULL, NULL, 'Protein of unknown function (DUF1229)', NULL, 'DUF1229', NULL, NULL, 1896, 8),
(36042, NULL, 'PF13038', NULL, NULL, 'Domain of unknown function (DUF3899)', NULL, 'DUF3899', NULL, NULL, 23929, 8),
(36043, NULL, 'PF08969', NULL, NULL, 'USP8 dimerisation domain', NULL, 'USP8_dimer', NULL, NULL, 8643, 8),
(36044, NULL, 'PF03197', NULL, NULL, 'Bacteriophage FRD2 protein', NULL, 'FRD2', NULL, NULL, 29, 8),
(36045, NULL, 'PF08589', NULL, NULL, 'Autophagy receptor ATG43', NULL, 'ATG43', NULL, NULL, 18402, 8),
(36046, NULL, 'PF03470', NULL, NULL, 'XS zinc finger domain', NULL, 'zf-XS', NULL, NULL, 6022, 8),
(36047, NULL, 'PF06782', NULL, NULL, 'Uncharacterised protein family (UPF0236)', NULL, 'UPF0236', NULL, NULL, 1618, 8),
(36048, NULL, 'PF09241', NULL, NULL, 'Herpesviridae viral cyclin', NULL, 'Herp-Cyclin', NULL, NULL, 13731, 8),
(36049, NULL, 'PF01318', NULL, NULL, 'Bromovirus coat protein', NULL, 'Bromo_coat', NULL, NULL, 2003, 8),
(36050, NULL, 'PF04355', NULL, NULL, 'SmpA / OmlA family', NULL, 'SmpA_OmlA', NULL, NULL, 4942, 8),
(36051, NULL, 'PF20113', NULL, NULL, 'Family of unknown function (DUF6503)', NULL, 'DUF6503', NULL, NULL, 39580, 8),
(36052, NULL, 'PF15443', NULL, NULL, 'Domain of unknown function (DUF4630)', NULL, 'DUF4630', NULL, NULL, 27640, 8),
(36053, NULL, 'PF03288', NULL, NULL, 'Poxvirus D5 protein-like', NULL, 'Pox_D5', NULL, NULL, 648, 8),
(36054, NULL, 'PF03652', NULL, NULL, 'Holliday junction resolvase', NULL, 'RuvX', NULL, NULL, 11048, 8),
(36055, NULL, 'PF14221', NULL, NULL, 'Domain of unknown function (DUF4330)', NULL, 'DUF4330', NULL, NULL, 28002, 8),
(36056, NULL, 'PF17735', NULL, NULL, 'Biofilm surface layer A', NULL, 'BslA', NULL, NULL, 5562, 8),
(36057, NULL, 'PF19425', NULL, NULL, 'Csd3 second domain', NULL, 'Csd3_N2', NULL, NULL, 38925, 8),
(36058, NULL, 'PF12904', NULL, NULL, 'Putative collagen-binding domain of a collagenase', NULL, 'Collagen_bind_2', NULL, NULL, 19005, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36059, NULL, 'PF00974', NULL, NULL, 'Rhabdovirus spike glycoprotein', NULL, 'Rhabdo_glycop', NULL, NULL, 4148, 8),
(36060, NULL, 'PF09259', NULL, NULL, 'Fungal immunomodulatory protein Fve', NULL, 'Fve', NULL, NULL, 13841, 8),
(36061, NULL, 'PF18159', NULL, NULL, 'SMODS-associating 4TM effector domain', NULL, 'S_4TM', NULL, NULL, NULL, 8),
(36062, NULL, 'PF00520', NULL, NULL, 'Ion transport protein', NULL, 'Ion_trans', NULL, NULL, 5881, 8),
(36063, NULL, 'PF05094', NULL, NULL, 'Late expression factor 9 (LEF-9)', NULL, 'LEF-9', NULL, NULL, 2007, 8),
(36064, NULL, 'PF13099', NULL, NULL, 'Domain of unknown function (DUF3944)', NULL, 'DUF3944', NULL, NULL, 22861, 8),
(36065, NULL, 'PF13762', NULL, NULL, 'Mitochondrial splicing apparatus component', NULL, 'MNE1', NULL, NULL, 25853, 8),
(36066, NULL, 'PF03048', NULL, NULL, 'UL92 family', NULL, 'Herpes_UL92', NULL, NULL, 4986, 8),
(36067, NULL, 'PF01682', NULL, NULL, 'DB module', NULL, 'DB', NULL, NULL, 1963, 8),
(36068, NULL, 'PF13159', NULL, NULL, 'Domain of unknown function (DUF3994)', NULL, 'DUF3994', NULL, NULL, 23736, 8),
(36069, NULL, 'PF16419', NULL, NULL, 'CCR4-NOT transcription complex subunit 1 HEAT repeat', NULL, 'CNOT1_HEAT_N', NULL, NULL, 24773, 8),
(36070, NULL, 'PF12456', NULL, NULL, 'Inositol phosphatase', NULL, 'hSac2', NULL, NULL, 21222, 8),
(36071, NULL, 'PF14851', NULL, NULL, 'FAM176 family', NULL, 'FAM176', NULL, NULL, 30746, 8),
(36072, NULL, 'PF18502', NULL, NULL, '54S ribosomal protein L8 C-terminal domain', NULL, 'Mrpl_C', NULL, NULL, 34809, 8),
(36073, NULL, 'PF07529', NULL, NULL, 'HSA', NULL, 'HSA', NULL, NULL, 9248, 8),
(36074, NULL, 'PF07573', NULL, NULL, 'Nitrogen regulatory protein AreA N terminus', NULL, 'AreA_N', NULL, NULL, 13904, 8),
(36075, NULL, 'PF15582', NULL, NULL, 'Immunity protein 65', NULL, 'Imm65', NULL, NULL, 26064, 8),
(36076, NULL, 'PF20045', NULL, NULL, 'Family of unknown function (DUF6447)', NULL, 'DUF6447', NULL, NULL, 36749, 8),
(36077, NULL, 'PF05714', NULL, NULL, 'Borrelia Bbcrasp-1 domain containing protein', NULL, 'PFam54_60', NULL, NULL, 8838, 8),
(36078, NULL, 'PF17912', NULL, NULL, 'MalK OB fold domain', NULL, 'OB_MalK', NULL, NULL, 29985, 8),
(36079, NULL, 'PF11992', NULL, NULL, 'TgpA N-terminal domain', NULL, 'TgpA_N', NULL, NULL, 20129, 8),
(36080, NULL, 'PF13552', NULL, NULL, 'Protein of unknown function (DUF4127)', NULL, 'DUF4127', NULL, NULL, 23304, 8),
(36081, NULL, 'PF19587', NULL, NULL, 'Uncharacterised methyltransferase family (DUF6094)', NULL, 'DUF6094', NULL, NULL, 39383, 8),
(36082, NULL, 'PF03842', NULL, NULL, 'Silicon transporter', NULL, 'Silic_transp', NULL, NULL, 3415, 8),
(36083, NULL, 'PF05276', NULL, NULL, 'SH3 domain-binding protein 5 (SH3BP5)', NULL, 'SH3BP5', NULL, NULL, 4399, 8),
(36084, NULL, 'PF01068', NULL, NULL, 'ATP dependent DNA ligase domain', NULL, 'DNA_ligase_A_M', NULL, NULL, 12836, 8),
(36085, NULL, 'PF08204', NULL, NULL, 'CD47 immunoglobulin-like domain', NULL, 'V-set_CD47', NULL, NULL, 13409, 8),
(36086, NULL, 'PF11843', NULL, NULL, 'Protein of unknown function (DUF3363)', NULL, 'DUF3363', NULL, NULL, 19649, 8),
(36087, NULL, 'PF17230', NULL, NULL, 'Family of unknown function (DUF5304)', NULL, 'DUF5304', NULL, NULL, 20175, 8),
(36088, NULL, 'PF11902', NULL, NULL, 'Protein of unknown function (DUF3422)', NULL, 'DUF3422', NULL, NULL, 20453, 8),
(36089, NULL, 'PF10266', NULL, NULL, 'Hereditary spastic paraplegia protein strumpellin', NULL, 'Strumpellin', NULL, NULL, 16854, 8),
(36090, NULL, 'PF06519', NULL, NULL, 'TolA C-terminal', NULL, 'TolA', NULL, NULL, 14188, 8),
(36091, NULL, 'PF10922', NULL, NULL, 'Protein of unknown function (DUF2745)', NULL, 'DUF2745', NULL, NULL, 16838, 8),
(36092, NULL, 'PF09557', NULL, NULL, 'Domain of unknown function (DUF2382)', NULL, 'DUF2382', NULL, NULL, 16664, 8),
(36093, NULL, 'PF10481', NULL, NULL, 'Cenp-F N-terminal domain', NULL, 'CENP-F_N', NULL, NULL, 9075, 8),
(36094, NULL, 'PF09448', NULL, NULL, 'Methylmuconolactone methyl-isomerase', NULL, 'MmlI', NULL, NULL, 15969, 8),
(36095, NULL, 'PF00421', NULL, NULL, 'Photosystem II protein', NULL, 'PSII', NULL, NULL, 3206, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36096, NULL, 'PF10053', NULL, NULL, 'Uncharacterized conserved protein (DUF2290)', NULL, 'DUF2290', NULL, NULL, 18916, 8),
(36097, NULL, 'PF12141', NULL, NULL, 'Beta-mannosyltransferases', NULL, 'DUF3589', NULL, NULL, 20995, 8),
(36098, NULL, 'PF03564', NULL, NULL, 'Protein of unknown function (DUF1759)', NULL, 'DUF1759', NULL, NULL, 5147, 8),
(36099, NULL, 'PF01037', NULL, NULL, 'Lrp/AsnC ligand binding domain', NULL, 'AsnC_trans_reg', NULL, NULL, 15171, 8),
(36100, NULL, 'PF13417', NULL, NULL, 'Glutathione S-transferase, N-terminal domain', NULL, 'GST_N_3', NULL, NULL, 867, 8),
(36101, NULL, 'PF18737', NULL, NULL, 'MAE_28990/MAE_18760-like HEPN', NULL, 'HEPN_MAE_28990', NULL, NULL, 30664, 8),
(36102, NULL, 'PF12678', NULL, NULL, 'RING-H2 zinc finger domain', NULL, 'zf-rbx1', NULL, NULL, 15314, 8),
(36103, NULL, 'PF17955', NULL, NULL, 'Cas6b N-terminal domain', NULL, 'Cas6b_N', NULL, NULL, 33495, 8),
(36104, NULL, 'PF02610', NULL, NULL, 'L-arabinose isomerase', NULL, 'Arabinose_Isome', NULL, NULL, 6116, 8),
(36105, NULL, 'PF07059', NULL, NULL, 'Protein ENHANCED DISEASE RESISTANCE 2, C-terminal', NULL, 'EDR2_C', NULL, NULL, 12995, 8),
(36106, NULL, 'PF17539', NULL, NULL, 'Family of unknown function (DUF5456)', NULL, 'DUF5456', NULL, NULL, 36290, 8),
(36107, NULL, 'PF09970', NULL, NULL, 'Nucleotidyl transferase of unknown function (DUF2204)', NULL, 'DUF2204', NULL, NULL, 17509, 8),
(36108, NULL, 'PF16439', NULL, NULL, 'Domain of unknown function (DUF5036)', NULL, 'DUF5036', NULL, NULL, 25519, 8),
(36109, NULL, 'PF07416', NULL, NULL, 'Crinivirus P26 protein', NULL, 'Crinivirus_P26', NULL, NULL, 8204, 8),
(36110, NULL, 'PF11350', NULL, NULL, 'Protein of unknown function (DUF3152)', NULL, 'DUF3152', NULL, NULL, 16571, 8),
(36111, NULL, 'PF18733', NULL, NULL, 'LA2681-like HEPN', NULL, 'HEPN_LA2681', NULL, NULL, 34654, 8),
(36112, NULL, 'PF17659', NULL, NULL, 'Family of unknown function (DUF5521)', NULL, 'DUF5521', NULL, NULL, 34921, 8),
(36113, NULL, 'PF02091', NULL, NULL, 'Glycyl-tRNA synthetase alpha subunit', NULL, 'tRNA-synt_2e', NULL, NULL, 6956, 8),
(36114, NULL, 'PF02121', NULL, NULL, 'Phosphatidylinositol transfer protein', NULL, 'IP_trans', NULL, NULL, 5311, 8),
(36115, NULL, 'PF13368', NULL, NULL, 'Topoisomerase C-terminal repeat', NULL, 'Toprim_C_rpt', NULL, NULL, 25939, 8),
(36116, NULL, 'PF00522', NULL, NULL, 'VPR/VPX protein', NULL, 'VPR', NULL, NULL, 2506, 8),
(36117, NULL, 'PF15515', NULL, NULL, 'MvaI/BcnI restriction endonuclease family', NULL, 'MvaI_BcnI', NULL, NULL, 25406, 8),
(36118, NULL, 'PF11471', NULL, NULL, 'Maltoporin periplasmic N-terminal extension', NULL, 'Sugarporin_N', NULL, NULL, 18889, 8),
(36119, NULL, 'PF11367', NULL, NULL, 'Protein of unknown function (DUF3168)', NULL, 'DUF3168', NULL, NULL, 18689, 8),
(36120, NULL, 'PF17917', NULL, NULL, 'RNase H-like domain found in reverse transcriptase', NULL, 'RT_RNaseH', NULL, NULL, 31898, 8),
(36121, NULL, 'PF12770', NULL, NULL, 'CHAT domain', NULL, 'CHAT', NULL, NULL, 23235, 8),
(36122, NULL, 'PF13702', NULL, NULL, 'Lysozyme-like', NULL, 'Lysozyme_like', NULL, NULL, NULL, 8),
(36123, NULL, 'PF16935', NULL, NULL, 'Putative Holin-like Toxin (Hol-Tox)', NULL, 'Hol_Tox', NULL, NULL, 26735, 8),
(36124, NULL, 'PF16567', NULL, NULL, 'Pathogenicity island component CagD', NULL, 'CagD', NULL, NULL, 26508, 8),
(36125, NULL, 'PF04459', NULL, NULL, 'Protein of unknown function (DUF512)', NULL, 'DUF512', NULL, NULL, 3850, 8),
(36126, NULL, 'PF14138', NULL, NULL, 'Cytochrome c oxidase assembly protein COX16', NULL, 'COX16', NULL, NULL, 13527, 8),
(36127, NULL, 'PF00290', NULL, NULL, 'Tryptophan synthase alpha chain', NULL, 'Trp_syntA', NULL, NULL, 5447, 8),
(36128, NULL, 'PF13774', NULL, NULL, 'Regulated-SNARE-like domain', NULL, 'Longin', NULL, NULL, 5183, 8),
(36129, NULL, 'PF19011', NULL, NULL, 'Family of unknown function (DUF5740)', NULL, 'DUF5740', NULL, NULL, 38140, 8),
(36130, NULL, 'PF04328', NULL, NULL, 'Selenoprotein, putative', NULL, 'Sel_put', NULL, NULL, 3899, 8),
(36131, NULL, 'PF06366', NULL, NULL, 'Flagellar protein FlhE', NULL, 'FlhE', NULL, NULL, 8189, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36132, NULL, 'PF10255', NULL, NULL, 'RNA polymerase I-associated factor PAF67', NULL, 'Paf67', NULL, NULL, 15759, 8),
(36133, NULL, 'PF03520', NULL, NULL, 'KCNQ voltage-gated potassium channel', NULL, 'KCNQ_channel', NULL, NULL, 8215, 8),
(36134, NULL, 'PF13918', NULL, NULL, 'PLD-like domain', NULL, 'PLDc_3', NULL, NULL, 22679, 8),
(36135, NULL, 'PF07030', NULL, NULL, 'Protein of unknown function (DUF1320)', NULL, 'DUF1320', NULL, NULL, 12625, 8),
(36136, NULL, 'PF12642', NULL, NULL, 'Conjugative transposon protein TcpC', NULL, 'TpcC', NULL, NULL, 10954, 8),
(36137, NULL, 'PF16283', NULL, NULL, 'Domain of unknown function (DUF4929)', NULL, 'DUF4929', NULL, NULL, 22430, 8),
(36138, NULL, 'PF07000', NULL, NULL, 'Protein of unknown function (DUF1308)', NULL, 'DUF1308', NULL, NULL, 10155, 8),
(36139, NULL, 'PF15239', NULL, NULL, 'Domain of unknown function (DUF4586)', NULL, 'DUF4586', NULL, NULL, 28321, 8),
(36140, NULL, 'PF18842', NULL, NULL, 'Large polyvalent protein associated domain 26', NULL, 'LPD26', NULL, NULL, 31312, 8),
(36141, NULL, 'PF02854', NULL, NULL, 'MIF4G domain', NULL, 'MIF4G', NULL, NULL, 4498, 8),
(36142, NULL, 'PF13223', NULL, NULL, 'Protein of unknown function (DUF4031)', NULL, 'DUF4031', NULL, NULL, 23934, 8),
(36143, NULL, 'PF16781', NULL, NULL, 'Domain of unknown function (DUF5068)', NULL, 'DUF5068', NULL, NULL, 28993, 8),
(36144, NULL, 'PF04921', NULL, NULL, 'XAP5, circadian clock regulator', NULL, 'XAP5', NULL, NULL, 6990, 8),
(36145, NULL, 'PF06850', NULL, NULL, 'PHB de-polymerase C-terminus', NULL, 'PHB_depo_C', NULL, NULL, 11410, 8),
(36146, NULL, 'PF09690', NULL, NULL, 'Plasmodium yoelii subtelomeric region (PYST-C1)', NULL, 'PYST-C1', NULL, NULL, 6196, 8),
(36147, NULL, 'PF06868', NULL, NULL, 'Protein of unknown function (DUF1257)', NULL, 'DUF1257', NULL, NULL, 11521, 8),
(36148, NULL, 'PF10444', NULL, NULL, 'Nbl1 / Borealin N terminal', NULL, 'Nbl1_Borealin_N', NULL, NULL, 20463, 8),
(36149, NULL, 'PF17418', NULL, NULL, 'Sporulation delaying protein SdpA', NULL, 'SdpA', NULL, NULL, 18119, 8),
(36150, NULL, 'PF11618', NULL, NULL, 'First C2 domain of RPGR-interacting protein 1', NULL, 'C2-C2_1', NULL, NULL, 19223, 8),
(36151, NULL, 'PF02915', NULL, NULL, 'Rubrerythrin', NULL, 'Rubrerythrin', NULL, NULL, 2865, 8),
(36152, NULL, 'PF12874', NULL, NULL, 'Zinc-finger of C2H2 type', NULL, 'zf-met', NULL, NULL, NULL, 8),
(36153, NULL, 'PF18011', NULL, NULL, 'C-terminal domain found in long catalases', NULL, 'Catalase_C', NULL, NULL, 32084, 8),
(36154, NULL, 'PF01768', NULL, NULL, 'Birnavirus VP4 protein', NULL, 'Birna_VP4', NULL, NULL, 23398, 8),
(36155, NULL, 'PF00506', NULL, NULL, 'Influenza virus nucleoprotein', NULL, 'Flu_NP', NULL, NULL, 1092, 8),
(36156, NULL, 'PF11658', NULL, NULL, 'Cellulose biosynthesis protein BcsG', NULL, 'CBP_BcsG', NULL, NULL, 19349, 8),
(36157, NULL, 'PF14543', NULL, NULL, 'Xylanase inhibitor N-terminal', NULL, 'TAXi_N', NULL, NULL, 26988, 8),
(36158, NULL, 'PF19180', NULL, NULL, 'Family of unknown function (DUF5862)', NULL, 'DUF5862', NULL, NULL, 37571, 8),
(36159, NULL, 'PF07109', NULL, NULL, 'Magnesium-protoporphyrin IX methyltransferase C-terminus', NULL, 'Mg-por_mtran_C', NULL, NULL, 7849, 8),
(36160, NULL, 'PF09533', NULL, NULL, 'Predicted lipoprotein of unknown function (DUF2380)', NULL, 'DUF2380', NULL, NULL, 11967, 8),
(36161, NULL, 'PF05644', NULL, NULL, 'Mitochondrial and peroxisomal fission factor Mff', NULL, 'Miff', NULL, NULL, 35881, 8),
(36162, NULL, 'PF01639', NULL, NULL, 'Viral family 110', NULL, 'v110', NULL, NULL, 6157, 8),
(36163, NULL, 'PF17061', NULL, NULL, 'PARM', NULL, 'PARM', NULL, NULL, 28470, 8),
(36164, NULL, 'PF06108', NULL, NULL, 'Protein of unknown function (DUF952)', NULL, 'DUF952', NULL, NULL, 13869, 8),
(36165, NULL, 'PF16625', NULL, NULL, 'Unstructured linking region I-set and fnIII on Brother of CDO', NULL, 'ISET-FN3_linker', NULL, NULL, NULL, 8),
(36166, NULL, 'PF01452', NULL, NULL, 'Rotavirus non structural protein', NULL, 'Rota_NSP4', NULL, NULL, 5276, 8),
(36167, NULL, 'PF09898', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2125)', NULL, 'DUF2125', NULL, NULL, 16917, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36168, NULL, 'PF07133', NULL, NULL, 'Merozoite surface protein (SPAM)', NULL, 'Merozoite_SPAM', NULL, NULL, 11251, 8),
(36169, NULL, 'PF08066', NULL, NULL, 'PMC2NT (NUC016) domain', NULL, 'PMC2NT', NULL, NULL, 9974, 8),
(36170, NULL, 'PF03911', NULL, NULL, 'Sec61beta family', NULL, 'Sec61_beta', NULL, NULL, 15522, 8),
(36171, NULL, 'PF02687', NULL, NULL, 'FtsX-like permease family', NULL, 'FtsX', NULL, NULL, 3201, 8),
(36172, NULL, 'PF04824', NULL, NULL, 'Conserved region of Rad21 / Rec8 like protein', NULL, 'Rad21_Rec8', NULL, NULL, 4908, 8),
(36173, NULL, 'PF13497', NULL, NULL, 'Domain of unknown function (DUF4121)', NULL, 'DUF4121', NULL, NULL, 21788, 8),
(36174, NULL, 'PF14635', NULL, NULL, 'Helix-hairpin-helix motif', NULL, 'HHH_7', NULL, NULL, 22378, 8),
(36175, NULL, 'PF15201', NULL, NULL, 'Progressive rod-cone degeneration', NULL, 'Rod_cone_degen', NULL, NULL, 26036, 8),
(36176, NULL, 'PF17598', NULL, NULL, 'Family of unknown function (DUF5494)', NULL, 'DUF5494', NULL, NULL, 19853, 8),
(36177, NULL, 'PF02892', NULL, NULL, 'BED zinc finger', NULL, 'zf-BED', NULL, NULL, 1261, 8),
(36178, NULL, 'PF05906', NULL, NULL, 'Herpesvirus-7 repeat of unknown function (DUF865)', NULL, 'DUF865', NULL, NULL, NULL, 8),
(36179, NULL, 'PF19982', NULL, NULL, 'Family of unknown function (DUF6418)', NULL, 'DUF6418', NULL, NULL, 39972, 8),
(36180, NULL, 'PF19104', NULL, NULL, 'Family of unknown function (DUF5791)', NULL, 'DUF5791', NULL, NULL, 38308, 8),
(36181, NULL, 'PF18500', NULL, NULL, 'CadC C-terminal domain 1', NULL, 'CadC_C1', NULL, NULL, 30224, 8),
(36182, NULL, 'PF06941', NULL, NULL, '5'' nucleotidase, deoxy (Pyrimidine), cytosolic type C protein (NT5C)', NULL, 'NT5C', NULL, NULL, 10015, 8),
(36183, NULL, 'PF08632', NULL, NULL, 'Activator of mitotic machinery Cdc14 phosphatase activation C-term', NULL, 'Zds_C', NULL, NULL, 14449, 8),
(36184, NULL, 'PF10419', NULL, NULL, 'TFIIIC subunit triple barrel domain', NULL, 'TFIIIC_sub6', NULL, NULL, 17502, 8),
(36185, NULL, 'PF09419', NULL, NULL, 'Mitochondrial PGP phosphatase', NULL, 'PGP_phosphatase', NULL, NULL, 28844, 8),
(36186, NULL, 'PF07593', NULL, NULL, 'ASPIC and UnbV', NULL, 'UnbV_ASPIC', NULL, NULL, 12856, 8),
(36187, NULL, 'PF01862', NULL, NULL, 'Pyruvoyl-dependent arginine decarboxylase (PvlArgDC)', NULL, 'PvlArgDC', NULL, NULL, 3660, 8),
(36188, NULL, 'PF10103', NULL, NULL, 'Zincin-like metallopeptidase', NULL, 'Zincin_2', NULL, NULL, 18509, 8),
(36189, NULL, 'PF17420', NULL, NULL, 'Superinfection exclusion gene product 17', NULL, 'GP17', NULL, NULL, 20845, 8),
(36190, NULL, 'PF18841', NULL, NULL, 'Beta solenoid repeat from Dextranase', NULL, 'B_solenoid_dext', NULL, NULL, 31808, 8),
(36191, NULL, 'PF19611', NULL, NULL, 'Family of unknown function (DUF6116)', NULL, 'DUF6116', NULL, NULL, 39992, 8),
(36192, NULL, 'PF17851', NULL, NULL, 'Beta xylosidase C-terminal Concanavalin A-like domain', NULL, 'GH43_C2', NULL, NULL, 32216, 8),
(36193, NULL, 'PF09629', NULL, NULL, 'YorP protein', NULL, 'YorP', NULL, NULL, 15981, 8),
(36194, NULL, 'PF14947', NULL, NULL, 'Winged helix-turn-helix', NULL, 'HTH_45', NULL, NULL, 34370, 8),
(36195, NULL, 'PF00696', NULL, NULL, 'Amino acid kinase family', NULL, 'AA_kinase', NULL, NULL, 2297, 8),
(36196, NULL, 'PF14714', NULL, NULL, 'KH-domain-like of EngA bacterial GTPase enzymes, C-terminal', NULL, 'KH_dom-like', NULL, NULL, 24257, 8),
(36197, NULL, 'PF00472', NULL, NULL, 'RF-1 domain', NULL, 'RF-1', NULL, NULL, 87, 8),
(36198, NULL, 'PF11713', NULL, NULL, 'Peptidase C80 family', NULL, 'Peptidase_C80', NULL, NULL, 14747, 8),
(36199, NULL, 'PF17288', NULL, NULL, 'Terminase RNAseH like domain', NULL, 'Terminase_3C', NULL, NULL, 17175, 8),
(36200, NULL, 'PF01963', NULL, NULL, 'TraB/PrgY/gumN family', NULL, 'TraB_PrgY_gumN', NULL, NULL, 4578, 8),
(36201, NULL, 'PF02938', NULL, NULL, 'GAD domain', NULL, 'GAD', NULL, NULL, 24191, 8),
(36202, NULL, 'PF17185', NULL, NULL, 'NlpE C-terminal OB domain', NULL, 'NlpE_C', NULL, NULL, 34775, 8),
(36203, NULL, 'PF09249', NULL, NULL, 'tRNA nucleotidyltransferase, second domain', NULL, 'tRNA_NucTransf2', NULL, NULL, 13748, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36204, NULL, 'PF18694', NULL, NULL, 'Transactive response DNA-binding protein N-terminal domain', NULL, 'TDP43_N', NULL, NULL, 31353, 8),
(36205, NULL, 'PF10999', NULL, NULL, 'Protein of unknown function (DUF2839)', NULL, 'DUF2839', NULL, NULL, 17711, 8),
(36206, NULL, 'PF14709', NULL, NULL, 'double strand RNA binding domain from DEAD END PROTEIN 1', NULL, 'DND1_DSRM', NULL, NULL, NULL, 8),
(36207, NULL, 'PF10431', NULL, NULL, 'C-terminal, D2-small domain, of ClpB protein', NULL, 'ClpB_D2-small', NULL, NULL, 18696, 8),
(36208, NULL, 'PF11431', NULL, NULL, 'Membrane transport protein MerF', NULL, 'Transport_MerF', NULL, NULL, 15240, 8),
(36209, NULL, 'PF16559', NULL, NULL, 'GIT coiled-coil Rho guanine nucleotide exchange factor', NULL, 'GIT_CC', NULL, NULL, 28051, 8),
(36210, NULL, 'PF12263', NULL, NULL, 'Protein of unknown function (DUF3611)', NULL, 'DUF3611', NULL, NULL, 20721, 8),
(36211, NULL, 'PF16224', NULL, NULL, 'DOmain of unknown function (DUF4883)', NULL, 'DUF4883', NULL, NULL, 28131, 8),
(36212, NULL, 'PF04788', NULL, NULL, 'Protein of unknown function (DUF620)', NULL, 'DUF620', NULL, NULL, 4778, 8),
(36213, NULL, 'PF01734', NULL, NULL, 'Patatin-like phospholipase', NULL, 'Patatin', NULL, NULL, 2546, 8),
(36214, NULL, 'PF05048', NULL, NULL, 'Periplasmic copper-binding protein (NosD)', NULL, 'NosD', NULL, NULL, 1490, 8),
(36215, NULL, 'PF05182', NULL, NULL, 'Fip1 motif', NULL, 'Fip1', NULL, NULL, 2161, 8),
(36216, NULL, 'PF08665', NULL, NULL, 'PglZ domain', NULL, 'PglZ', NULL, NULL, 8226, 8),
(36217, NULL, 'PF13388', NULL, NULL, 'Protein of unknown function (DUF4106)', NULL, 'DUF4106', NULL, NULL, 23071, 8),
(36218, NULL, 'PF19123', NULL, NULL, 'Family of unknown function (DUF5807)', NULL, 'DUF5807', NULL, NULL, 38423, 8),
(36219, NULL, 'PF10796', NULL, NULL, 'Sigma-S stabilisation anti-adaptor protein', NULL, 'Anti-adapt_IraP', NULL, NULL, 21263, 8),
(36220, NULL, 'PF10924', NULL, NULL, 'Protein of unknown function (DUF2711)', NULL, 'DUF2711', NULL, NULL, 20488, 8),
(36221, NULL, 'PF12182', NULL, NULL, 'Bacterial lipoprotein', NULL, 'DUF3642', NULL, NULL, 14838, 8),
(36222, NULL, 'PF13563', NULL, NULL, '2''-5'' RNA ligase superfamily', NULL, '2_5_RNA_ligase2', NULL, NULL, NULL, 8),
(36223, NULL, 'PF16225', NULL, NULL, 'Domain of unknown function (DUF4884)', NULL, 'DUF4884', NULL, NULL, 28391, 8),
(36224, NULL, 'PF14370', NULL, NULL, 'C-terminal topoisomerase domain', NULL, 'Topo_C_assoc', NULL, NULL, 25118, 8),
(36225, NULL, 'PF19336', NULL, NULL, 'Domain of unknown function (DUF5921)', NULL, 'DUF5921', NULL, NULL, 36828, 8),
(36226, NULL, 'PF15328', NULL, NULL, 'Putative GRINL1B complex locus protein 2', NULL, 'GCOM2', NULL, NULL, 28275, 8),
(36227, NULL, 'PF15858', NULL, NULL, 'Late cornified envelope protein 6A family', NULL, 'LCE6A', NULL, NULL, 27041, 8),
(36228, NULL, 'PF19539', NULL, NULL, 'Family of unknown function (DUF6063)', NULL, 'DUF6063', NULL, NULL, 38981, 8),
(36229, NULL, 'PF18182', NULL, NULL, 'minimal CRISPR polymerase domain', NULL, 'mCpol', NULL, NULL, 31761, 8),
(36230, NULL, 'PF08695', NULL, NULL, 'Cytochrome oxidase complex assembly protein 1', NULL, 'Coa1', NULL, NULL, 11632, 8),
(36231, NULL, 'PF11813', NULL, NULL, 'Protein of unknown function (DUF3334)', NULL, 'DUF3334', NULL, NULL, 25710, 8),
(36232, NULL, 'PF17349', NULL, NULL, 'Family of unknown function (DUF5378)', NULL, 'DUF5378', NULL, NULL, 35318, 8),
(36233, NULL, 'PF20074', NULL, NULL, 'Family of unknown function (DUF6470)', NULL, 'DUF6470', NULL, NULL, 38960, 8),
(36234, NULL, 'PF16721', NULL, NULL, 'Zinc-finger like, probable DNA-binding', NULL, 'zf-H3C2', NULL, NULL, 33894, 8),
(36235, NULL, 'PF20054', NULL, NULL, 'Trypanosoma Tc-38 (p38) protein', NULL, 'Tc-38', NULL, NULL, 38328, 8),
(36236, NULL, 'PF06293', NULL, NULL, 'Lipopolysaccharide kinase (Kdo/WaaP) family', NULL, 'Kdo', NULL, NULL, NULL, 8),
(36237, NULL, 'PF00056', NULL, NULL, 'lactate/malate dehydrogenase, NAD binding domain', NULL, 'Ldh_1_N', NULL, NULL, 2444, 8),
(36238, NULL, 'PF06504', NULL, NULL, 'Replication protein C (RepC)', NULL, 'RepC', NULL, NULL, 12218, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36239, NULL, 'PF18526', NULL, NULL, 'Thymine dioxygenase JBP1 DNA-binding domain', NULL, 'DB_JBP1', NULL, NULL, 31280, 8),
(36240, NULL, 'PF07088', NULL, NULL, 'GvpD gas vesicle protein', NULL, 'GvpD', NULL, NULL, 13372, 8),
(36241, NULL, 'PF17926', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_21', NULL, NULL, 32484, 8),
(36242, NULL, 'PF07291', NULL, NULL, 'Methylamine utilisation protein MauE', NULL, 'MauE', NULL, NULL, 14582, 8),
(36243, NULL, 'PF13202', NULL, NULL, 'EF hand', NULL, 'EF-hand_5', NULL, NULL, 1197, 8),
(36244, NULL, 'PF10995', NULL, NULL, 'Cellulose biosynthesis GIL', NULL, 'CBP_GIL', NULL, NULL, 19114, 8),
(36245, NULL, 'PF16489', NULL, NULL, 'GPCR-Autoproteolysis INducing (GAIN) domain', NULL, 'GAIN', NULL, NULL, 22006, 8),
(36246, NULL, 'PF00851', NULL, NULL, 'Helper component proteinase', NULL, 'Peptidase_C6', NULL, NULL, 6271, 8),
(36247, NULL, 'PF14821', NULL, NULL, 'Threonine synthase N terminus', NULL, 'Thr_synth_N', NULL, NULL, 27138, 8),
(36248, NULL, 'PF01849', NULL, NULL, 'NAC domain', NULL, 'NAC', NULL, NULL, 3561, 8),
(36249, NULL, 'PF14804', NULL, NULL, 'Jag N-terminus', NULL, 'Jag_N', NULL, NULL, 22706, 8),
(36250, NULL, 'PF15320', NULL, NULL, 'mRNA cap methylation, RNMT-activating mini protein', NULL, 'RAM', NULL, NULL, 29161, 8),
(36251, NULL, 'PF13410', NULL, NULL, 'Glutathione S-transferase, C-terminal domain', NULL, 'GST_C_2', NULL, NULL, NULL, 8),
(36252, NULL, 'PF13540', NULL, NULL, 'Regulator of chromosome condensation (RCC1) repeat', NULL, 'RCC1_2', NULL, NULL, NULL, 8),
(36253, NULL, 'PF14889', NULL, NULL, 'Penicillin-binding protein Tp47 domain a', NULL, 'PBP-Tp47_a', NULL, NULL, 29096, 8),
(36254, NULL, 'PF17996', NULL, NULL, 'Carbohydrate esterase 2 N-terminal', NULL, 'CE2_N', NULL, NULL, 34825, 8),
(36255, NULL, 'PF03277', NULL, NULL, 'Herpesvirus UL4 family', NULL, 'Herpes_UL4', NULL, NULL, 2709, 8),
(36256, NULL, 'PF15255', NULL, NULL, 'WASH complex subunit CAP-Z interacting, central region', NULL, 'CAP-ZIP_m', NULL, NULL, 24659, 8),
(36257, NULL, 'PF17497', NULL, NULL, 'Family of unknown function (DUF5432)', NULL, 'DUF5432', NULL, NULL, 21273, 8),
(36258, NULL, 'PF19705', NULL, NULL, 'Family of unknown function (DUF6202)', NULL, 'DUF6202', NULL, NULL, 39971, 8),
(36259, NULL, 'PF04489', NULL, NULL, 'Protein of unknown function (DUF570)', NULL, 'DUF570', NULL, NULL, 1850, 8),
(36260, NULL, 'PF06678', NULL, NULL, 'Protein of unknown function (DUF1179)', NULL, 'DUF1179', NULL, NULL, 10482, 8),
(36261, NULL, 'PF08901', NULL, NULL, 'Protein of unknown function (DUF1847)', NULL, 'DUF1847', NULL, NULL, 7801, 8),
(36262, NULL, 'PF18524', NULL, NULL, 'High potential iron-sulfur protein like', NULL, 'HPIP_like', NULL, NULL, 29641, 8),
(36263, NULL, 'PF07718', NULL, NULL, 'Coatomer beta C-terminal region', NULL, 'Coatamer_beta_C', NULL, NULL, 8304, 8),
(36264, NULL, 'PF12983', NULL, NULL, 'Protein of unknown function (DUF3867)', NULL, 'DUF3867', NULL, NULL, 20809, 8),
(36265, NULL, 'PF14854', NULL, NULL, 'Leucine rich adaptor protein', NULL, 'LURAP', NULL, NULL, 30820, 8),
(36266, NULL, 'PF03669', NULL, NULL, 'Uncharacterised protein family (UPF0139)', NULL, 'UPF0139', NULL, NULL, 6475, 8),
(36267, NULL, 'PF05597', NULL, NULL, 'Poly(hydroxyalcanoate) granule associated protein (phasin)', NULL, 'Phasin', NULL, NULL, 12062, 8),
(36268, NULL, 'PF08908', NULL, NULL, 'Domain of unknown function (DUF1852)', NULL, 'DUF1852', NULL, NULL, 7643, 8),
(36269, NULL, 'PF04568', NULL, NULL, 'Mitochondrial ATPase inhibitor, IATP', NULL, 'IATP', NULL, NULL, 30, 8),
(36270, NULL, 'PF17495', NULL, NULL, 'Vpr-like OrfA', NULL, 'OrfA', NULL, NULL, 21056, 8),
(36271, NULL, 'PF03442', NULL, NULL, 'Carbohydrate binding domain X2', NULL, 'CBM_X2', NULL, NULL, 10568, 8),
(36272, NULL, 'PF05526', NULL, NULL, 'Rhodococcus equi virulence-associated protein', NULL, 'R_equi_Vir', NULL, NULL, 14092, 8),
(36273, NULL, 'PF10910', NULL, NULL, 'Protein of unknown function (DUF2744)', NULL, 'DUF2744', NULL, NULL, 17839, 8),
(36274, NULL, 'PF04637', NULL, NULL, 'Herpesvirus phosphoprotein 85 (HHV6-7 U14/HCMV UL25)', NULL, 'Herpes_pp85', NULL, NULL, 2643, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36275, NULL, 'PF06482', NULL, NULL, 'Collagenase NC10 and Endostatin', NULL, 'Endostatin', NULL, NULL, 12265, 8),
(36276, NULL, 'PF07435', NULL, NULL, 'YycH protein', NULL, 'YycH', NULL, NULL, 9133, 8),
(36277, NULL, 'PF17582', NULL, NULL, 'Cytomegalovirus UL20', NULL, 'UL20', NULL, NULL, 33238, 8),
(36278, NULL, 'PF01588', NULL, NULL, 'Putative tRNA binding domain', NULL, 'tRNA_bind', NULL, NULL, 1915, 8),
(36279, NULL, 'PF03420', NULL, NULL, 'Prohead core protein serine protease', NULL, 'Peptidase_S77', NULL, NULL, 10021, 8),
(36280, NULL, 'PF17178', NULL, NULL, 'Membrane-associated sensor', NULL, 'MASE5', NULL, NULL, 31944, 8),
(36281, NULL, 'PF12452', NULL, NULL, 'Protein of unknown function (DUF3685)', NULL, 'DUF3685', NULL, NULL, 16545, 8),
(36282, NULL, 'PF17980', NULL, NULL, 'Cysteine rich ADD domain in DNMT3', NULL, 'ADD_DNMT3', NULL, NULL, 29229, 8),
(36283, NULL, 'PF19994', NULL, NULL, 'GTPase-associated system helical domain', NULL, 'GASH', NULL, NULL, 38569, 8),
(36284, NULL, 'PF12108', NULL, NULL, 'Splicing factor SF3a60 binding domain', NULL, 'SF3a60_bindingd', NULL, NULL, 20713, 8),
(36285, NULL, 'PF10483', NULL, NULL, 'Elongator subunit Iki1', NULL, 'Elong_Iki1', NULL, NULL, 18580, 8),
(36286, NULL, 'PF12217', NULL, NULL, 'Catalytic beta propeller domain of bacteriophage endosialidase', NULL, 'End_beta_propel', NULL, NULL, 28920, 8),
(36287, NULL, 'PF16999', NULL, NULL, 'Vacuolar (H+)-ATPase G subunit', NULL, 'V-ATPase_G_2', NULL, NULL, NULL, 8),
(36288, NULL, 'PF00018', NULL, NULL, 'SH3 domain', NULL, 'SH3_1', NULL, NULL, 6360, 8),
(36289, NULL, 'PF08710', NULL, NULL, 'Coronavirus replicase NSP9', NULL, 'CoV_NSP9', NULL, NULL, 11503, 8),
(36290, NULL, 'PF12721', NULL, NULL, 'RIP homotypic interaction motif', NULL, 'RHIM', NULL, NULL, 23087, 8),
(36291, NULL, 'PF12641', NULL, NULL, 'Flavodoxin domain', NULL, 'Flavodoxin_3', NULL, NULL, 1928, 8),
(36292, NULL, 'PF16332', NULL, NULL, 'Domain of unknown function (DUF4962)', NULL, 'DUF4962', NULL, NULL, 26323, 8),
(36293, NULL, 'PF19441', NULL, NULL, 'Astrotactin 1/2 N-terminal', NULL, 'ASTN_1_2_N', NULL, NULL, 37469, 8),
(36294, NULL, 'PF12197', NULL, NULL, 'Bacillus cereus group antimicrobial protein', NULL, 'lci', NULL, NULL, 14785, 8),
(36295, NULL, 'PF16782', NULL, NULL, 'Nucleotide exchange factor SIL1', NULL, 'SIL1', NULL, NULL, 28653, 8),
(36296, NULL, 'PF02650', NULL, NULL, 'WhiA C-terminal HTH domain', NULL, 'HTH_WhiA', NULL, NULL, 15468, 8),
(36297, NULL, 'PF19420', NULL, NULL, 'N,N dimethylarginine dimethylhydrolase, eukaryotic', NULL, 'DDAH_eukar', NULL, NULL, NULL, 8),
(36298, NULL, 'PF00372', NULL, NULL, 'Hemocyanin, copper containing domain', NULL, 'Hemocyanin_M', NULL, NULL, 3070, 8),
(36299, NULL, 'PF09622', NULL, NULL, 'Putative integral membrane protein (DUF2391)', NULL, 'DUF2391', NULL, NULL, 21709, 8),
(36300, NULL, 'PF17264', NULL, NULL, 'Family of unknown function (DUF5330)', NULL, 'DUF5330', NULL, NULL, 19300, 8),
(36301, NULL, 'PF14970', NULL, NULL, 'Tubulin epsilon and delta complex protein 1', NULL, 'TEDC1', NULL, NULL, 25729, 8),
(36302, NULL, 'PF19417', NULL, NULL, 'RNase LS, bacterial toxin N-terminal', NULL, 'RnlA_toxin_N', NULL, NULL, 38701, 8),
(36303, NULL, 'PF09564', NULL, NULL, 'NgoBV restriction endonuclease', NULL, 'RE_NgoBV', NULL, NULL, 16844, 8),
(36304, NULL, 'PF18295', NULL, NULL, 'M17 aminopeptidase N-terminal domain 2', NULL, 'Pdase_M17_N2', NULL, NULL, 32607, 8),
(36305, NULL, 'PF06306', NULL, NULL, 'Beta-1,4-N-acetylgalactosaminyltransferase (CgtA)', NULL, 'CgtA', NULL, NULL, 10007, 8),
(36306, NULL, 'PF11055', NULL, NULL, 'Glucose signalling factor 2', NULL, 'Gsf2', NULL, NULL, 17225, 8),
(36307, NULL, 'PF12047', NULL, NULL, 'Cytosine specific DNA methyltransferase replication foci domain', NULL, 'DNMT1-RFD', NULL, NULL, 17149, 8),
(36308, NULL, 'PF16264', NULL, NULL, 'SatD family (SatD)', NULL, 'SatD', NULL, NULL, 22052, 8),
(36309, NULL, 'PF00452', NULL, NULL, 'Apoptosis regulator proteins, Bcl-2 family', NULL, 'Bcl-2', NULL, NULL, 22479, 8),
(36310, NULL, 'PF03988', NULL, NULL, 'Repeat of Unknown Function (DUF347)', NULL, 'DUF347', NULL, NULL, 14, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36311, NULL, 'PF16582', NULL, NULL, 'Middle domain of thiamine pyrophosphate', NULL, 'TPP_enzyme_M_2', NULL, NULL, 25160, 8),
(36312, NULL, 'PF19504', NULL, NULL, 'Family of unknown function (DUF6038)', NULL, 'DUF6038', NULL, NULL, 39400, 8),
(36313, NULL, 'PF11694', NULL, NULL, 'Protein of unknown function (DUF3290)', NULL, 'DUF3290', NULL, NULL, 19745, 8),
(36314, NULL, 'PF19560', NULL, NULL, 'Family of unknown function (DUF6082)', NULL, 'DUF6082', NULL, NULL, 37404, 8),
(36315, NULL, 'PF04503', NULL, NULL, 'Single-stranded DNA binding protein, SSDP', NULL, 'SSDP', NULL, NULL, NULL, 8),
(36316, NULL, 'PF04564', NULL, NULL, 'U-box domain', NULL, 'U-box', NULL, NULL, 535, 8),
(36317, NULL, 'PF00997', NULL, NULL, 'Kappa casein', NULL, 'Casein_kappa', NULL, NULL, 4189, 8),
(36318, NULL, 'PF12164', NULL, NULL, 'Stage V sporulation protein AA', NULL, 'SporV_AA', NULL, NULL, 20563, 8),
(36319, NULL, 'PF12045', NULL, NULL, 'Protein of unknown function (DUF3528)', NULL, 'DUF3528', NULL, NULL, 20430, 8),
(36320, NULL, 'PF05218', NULL, NULL, 'Protein of unknown function (DUF713)', NULL, 'DUF713', NULL, NULL, 3400, 8),
(36321, NULL, 'PF15874', NULL, NULL, 'Putative Interleukin 2 receptor, gamma chain', NULL, 'Il2rg', NULL, NULL, 36025, 8),
(36322, NULL, 'PF08785', NULL, NULL, 'Ku C terminal domain like', NULL, 'Ku_PK_bind', NULL, NULL, 13335, 8),
(36323, NULL, 'PF00376', NULL, NULL, 'MerR family regulatory protein', NULL, 'MerR', NULL, NULL, 5561, 8),
(36324, NULL, 'PF00478', NULL, NULL, 'IMP dehydrogenase / GMP reductase domain', NULL, 'IMPDH', NULL, NULL, 2067, 8),
(36325, NULL, 'PF16562', NULL, NULL, 'N-terminal domain of E3 ubiquitin-protein ligase HECW1 and 2', NULL, 'HECW_N', NULL, NULL, 28061, 8),
(36326, NULL, 'PF11016', NULL, NULL, 'Protein of unknown function (DUF2854)', NULL, 'DUF2854', NULL, NULL, 17854, 8),
(36327, NULL, 'PF01005', NULL, NULL, 'Flavivirus non-structural protein NS2A', NULL, 'Flavi_NS2A', NULL, NULL, 5099, 8),
(36328, NULL, 'PF09509', NULL, NULL, 'Protein of unknown function (Hypoth_ymh)', NULL, 'Hypoth_Ymh', NULL, NULL, 10861, 8),
(36329, NULL, 'PF10685', NULL, NULL, 'Stress-induced bacterial acidophilic repeat motif', NULL, 'KGG', NULL, NULL, 21474, 8),
(36330, NULL, 'PF01718', NULL, NULL, 'Orbivirus non-structural protein NS1, or hydrophobic tubular protein', NULL, 'Orbi_NS1', NULL, NULL, 2547, 8),
(36331, NULL, 'PF11069', NULL, NULL, 'Cilia- and flagella-associated protein 298', NULL, 'CFAP298', NULL, NULL, 17911, 8),
(36332, NULL, 'PF14289', NULL, NULL, 'Domain of unknown function (DUF4369)', NULL, 'DUF4369', NULL, NULL, 21531, 8),
(36333, NULL, 'PF19174', NULL, NULL, 'Family of unknown function (DUF5856)', NULL, 'DUF5856', NULL, NULL, 37349, 8),
(36334, NULL, 'PF12816', NULL, NULL, 'Golgi CORVET complex core vacuolar protein 8', NULL, 'Vps8', NULL, NULL, 25769, 8),
(36335, NULL, 'PF12715', NULL, NULL, 'Abhydrolase family', NULL, 'Abhydrolase_7', NULL, NULL, 27707, 8),
(36336, NULL, 'PF19358', NULL, NULL, 'Family of unknown function (DUF5935)', NULL, 'DUF5935', NULL, NULL, 39463, 8),
(36337, NULL, 'PF10141', NULL, NULL, 'Single-strand DNA-specific exonuclease, C terminal domain', NULL, 'ssDNA-exonuc_C', NULL, NULL, 19007, 8),
(36338, NULL, 'PF13506', NULL, NULL, 'Glycosyl transferase family 21', NULL, 'Glyco_transf_21', NULL, NULL, 27468, 8),
(36339, NULL, 'PF19100', NULL, NULL, 'Family of unknown function (DUF5787)', NULL, 'DUF5787', NULL, NULL, 36991, 8),
(36340, NULL, 'PF05338', NULL, NULL, 'Protein of unknown function (DUF717)', NULL, 'DUF717', NULL, NULL, 4065, 8),
(36341, NULL, 'PF00284', NULL, NULL, 'Lumenal portion of Cytochrome b559, alpha (gene psbE) subunit', NULL, 'Cytochrom_B559a', NULL, NULL, 9649, 8),
(36342, NULL, 'PF14055', NULL, NULL, 'NVEALA protein', NULL, 'NVEALA', NULL, NULL, 24324, 8),
(36343, NULL, 'PF10650', NULL, NULL, 'Putative zinc-finger domain', NULL, 'zf-C3H1', NULL, NULL, 20264, 8),
(36344, NULL, 'PF10648', NULL, NULL, 'Immunoglobulin-like domain of bacterial spore germination', NULL, 'Gmad2', NULL, NULL, 15390, 8),
(36345, NULL, 'PF15440', NULL, NULL, 'THRAP3/BCLAF1 family', NULL, 'THRAP3_BCLAF1', NULL, NULL, 29455, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36346, NULL, 'PF11757', NULL, NULL, 'Suppressor of RNA silencing P21-like N-terminal domain', NULL, 'RSS_P20', NULL, NULL, 19778, 8),
(36347, NULL, 'PF02570', NULL, NULL, 'Precorrin-8X methylmutase', NULL, 'CbiC', NULL, NULL, 2034, 8),
(36348, NULL, 'PF09145', NULL, NULL, 'Ubiquitin-associated', NULL, 'Ubiq-assoc', NULL, NULL, 10960, 8),
(36349, NULL, 'PF13005', NULL, NULL, 'zinc-finger binding domain of transposase IS66', NULL, 'zf-IS66', NULL, NULL, 23008, 8),
(36350, NULL, 'PF13383', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_22', NULL, NULL, 25918, 8),
(36351, NULL, 'PF19264', NULL, NULL, 'Repeat of unknown function (DUF5907)', NULL, 'DUF5907', NULL, NULL, 38719, 8),
(36352, NULL, 'PF01645', NULL, NULL, 'Conserved region in glutamate synthase', NULL, 'Glu_synthase', NULL, NULL, 6582, 8),
(36353, NULL, 'PF10441', NULL, NULL, 'Urb2/Npa2 family', NULL, 'Urb2', NULL, NULL, 20208, 8),
(36354, NULL, 'PF14188', NULL, NULL, 'Domain of unknown function (DUF4311)', NULL, 'DUF4311', NULL, NULL, 18136, 8),
(36355, NULL, 'PF20026', NULL, NULL, 'Domain of unknown function (DUF6434)', NULL, 'DUF6434', NULL, NULL, 38513, 8),
(36356, NULL, 'PF00498', NULL, NULL, 'FHA domain', NULL, 'FHA', NULL, NULL, 4960, 8),
(36357, NULL, 'PF08407', NULL, NULL, 'Chitin synthase N-terminal', NULL, 'Chitin_synth_1N', NULL, NULL, 11442, 8),
(36358, NULL, 'PF14873', NULL, NULL, 'N-terminal domain of BNR-repeat neuraminidase', NULL, 'BNR_assoc_N', NULL, NULL, 27754, 8),
(36359, NULL, 'PF06597', NULL, NULL, 'Clostridium P-47 protein', NULL, 'Clostridium_P47', NULL, NULL, 8463, 8),
(36360, NULL, 'PF07062', NULL, NULL, 'Clc-like', NULL, 'Clc-like', NULL, NULL, 10493, 8),
(36361, NULL, 'PF12409', NULL, NULL, 'P5-type ATPase cation transporter', NULL, 'P5-ATPase', NULL, NULL, 249, 8),
(36362, NULL, 'PF16602', NULL, NULL, 'Linker region of USP19 deubiquitinase', NULL, 'USP19_linker', NULL, NULL, NULL, 8),
(36363, NULL, 'PF09652', NULL, NULL, 'Putative CRISPR-associated protein (Cas_VVA1548)', NULL, 'Cas_VVA1548', NULL, NULL, 9084, 8),
(36364, NULL, 'PF16835', NULL, NULL, 'Pre-mRNA-splicing factor SF3a complex subunit 2 (Prp11)', NULL, 'SF3A2', NULL, NULL, 27854, 8),
(36365, NULL, 'PF09374', NULL, NULL, 'Predicted Peptidoglycan domain', NULL, 'PG_binding_3', NULL, NULL, 14626, 8),
(36366, NULL, 'PF12644', NULL, NULL, 'Protein of unknown function (DUF3782)', NULL, 'DUF3782', NULL, NULL, 14609, 8),
(36367, NULL, 'PF19097', NULL, NULL, 'Snu56-like U1 small nuclear ribonucleoprotein component', NULL, 'Snu56_snRNP', NULL, NULL, 37541, 8),
(36368, NULL, 'PF03507', NULL, NULL, 'CagA exotoxin phosphopeptide substrate mimic region', NULL, 'CagA', NULL, NULL, 4607, 8),
(36369, NULL, 'PF11529', NULL, NULL, 'Melampsora lini avirulence protein AvrL567-A', NULL, 'AvrL567-A', NULL, NULL, 19493, 8),
(36370, NULL, 'PF07069', NULL, NULL, 'Porcine reproductive and respiratory syndrome virus 2b', NULL, 'PRRSV_2b', NULL, NULL, 12926, 8),
(36371, NULL, 'PF04315', NULL, NULL, 'Elongation factor P hydroxylase', NULL, 'EpmC', NULL, NULL, 3741, 8),
(36372, NULL, 'PF16128', NULL, NULL, 'Domain of unknown function (DUF4840)', NULL, 'DUF4840', NULL, NULL, 26828, 8),
(36373, NULL, 'PF04198', NULL, NULL, 'Putative sugar-binding domain', NULL, 'Sugar-bind', NULL, NULL, 5124, 8),
(36374, NULL, 'PF12850', NULL, NULL, 'Calcineurin-like phosphoesterase superfamily domain', NULL, 'Metallophos_2', NULL, NULL, 25629, 8),
(36375, NULL, 'PF13469', NULL, NULL, 'Sulfotransferase family', NULL, 'Sulfotransfer_3', NULL, NULL, NULL, 8),
(36376, NULL, 'PF03061', NULL, NULL, 'Thioesterase superfamily', NULL, '4HBT', NULL, NULL, 2167, 8),
(36377, NULL, 'PF02975', NULL, NULL, 'Methylamine dehydrogenase, L chain', NULL, 'Me-amine-dh_L', NULL, NULL, 7790, 8),
(36378, NULL, 'PF12555', NULL, NULL, 'Thiamine pyrophosphokinase C terminal', NULL, 'TPPK_C', NULL, NULL, 21183, 8),
(36379, NULL, 'PF02728', NULL, NULL, 'Copper amine oxidase, N3 domain', NULL, 'Cu_amine_oxidN3', NULL, NULL, 12789, 8),
(36380, NULL, 'PF04498', NULL, NULL, 'Poxvirus nucleic acid binding protein VP8/L4R', NULL, 'Pox_VP8_L4R', NULL, NULL, 2613, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36381, NULL, 'PF17152', NULL, NULL, 'Periplasmic sensor domain', NULL, 'CHASE8', NULL, NULL, 31916, 8),
(36382, NULL, 'PF01180', NULL, NULL, 'Dihydroorotate dehydrogenase', NULL, 'DHO_dh', NULL, NULL, 4566, 8),
(36383, NULL, 'PF03311', NULL, NULL, 'Cornichon protein', NULL, 'Cornichon', NULL, NULL, 6320, 8),
(36384, NULL, 'PF09040', NULL, NULL, 'Gastric H+/K+-ATPase, N terminal domain', NULL, 'H-K_ATPase_N', NULL, NULL, 9929, 8),
(36385, NULL, 'PF17426', NULL, NULL, 'Putative Gamma DNA binding protein G5P', NULL, 'Putative_G5P', NULL, NULL, 32162, 8),
(36386, NULL, 'PF03465', NULL, NULL, 'eRF1 domain 3', NULL, 'eRF1_3', NULL, NULL, 7219, 8),
(36387, NULL, 'PF05609', NULL, NULL, 'Lamina-associated polypeptide 1C (LAP1C)', NULL, 'LAP1C', NULL, NULL, 13397, 8),
(36388, NULL, 'PF14086', NULL, NULL, 'Domain of unknown function (DUF4266)', NULL, 'DUF4266', NULL, NULL, 23282, 8),
(36389, NULL, 'PF06547', NULL, NULL, 'Protein of unknown function (DUF1117)', NULL, 'DUF1117', NULL, NULL, 14503, 8),
(36390, NULL, 'PF09859', NULL, NULL, 'Oxygenase, catalysing oxidative methylation of damaged DNA', NULL, 'Oxygenase-NA', NULL, NULL, 16690, 8),
(36391, NULL, 'PF12029', NULL, NULL, 'Domain of unknown function (DUF3516)', NULL, 'DUF3516', NULL, NULL, 20176, 8),
(36392, NULL, 'PF03981', NULL, NULL, 'Ubiquinol-cytochrome C chaperone', NULL, 'Ubiq_cyt_C_chap', NULL, NULL, 15903, 8),
(36393, NULL, 'PF09306', NULL, NULL, 'Bacteriophage, scaffolding protein', NULL, 'Phage-scaffold', NULL, NULL, 14011, 8),
(36394, NULL, 'PF14487', NULL, NULL, 'ssDNA thymidine ADP-ribosyltransferase, DarT', NULL, 'DarT', NULL, NULL, 23329, 8),
(36395, NULL, 'PF16701', NULL, NULL, 'Adenylate cyclase regulatory domain', NULL, 'Ad_Cy_reg', NULL, NULL, 24033, 8),
(36396, NULL, 'PF00971', NULL, NULL, 'EIAV coat protein, gp90', NULL, 'EIAV_GP90', NULL, NULL, 2407, 8),
(36397, NULL, 'PF01611', NULL, NULL, 'Filovirus glycoprotein', NULL, 'Filo_glycop', NULL, NULL, 1819, 8),
(36398, NULL, 'PF01457', NULL, NULL, 'Leishmanolysin', NULL, 'Peptidase_M8', NULL, NULL, 5093, 8),
(36399, NULL, 'PF09659', NULL, NULL, 'CRISPR-associated protein (Cas_Csm6)', NULL, 'Cas_Csm6', NULL, NULL, 10115, 8),
(36400, NULL, 'PF10521', NULL, NULL, 'Tti2 family', NULL, 'Tti2', NULL, NULL, 21409, 8),
(36401, NULL, 'PF14445', NULL, NULL, 'Prokaryotic RING finger family 2', NULL, 'Prok-RING_2', NULL, NULL, 26519, 8),
(36402, NULL, 'PF01450', NULL, NULL, 'Acetohydroxy acid isomeroreductase, catalytic domain', NULL, 'IlvC', NULL, NULL, 5731, 8),
(36403, NULL, 'PF15001', NULL, NULL, 'AP-5 complex subunit sigma-1', NULL, 'AP-5_subunit_s1', NULL, NULL, 24007, 8),
(36404, NULL, 'PF14785', NULL, NULL, 'Maltose transport system permease protein MalF P2 domain', NULL, 'MalF_P2', NULL, NULL, 21594, 8),
(36405, NULL, 'PF15528', NULL, NULL, 'Bacterial toxin 23', NULL, 'Ntox23', NULL, NULL, 25089, 8),
(36406, NULL, 'PF18310', NULL, NULL, 'Domain of unknown function (DUF5605)', NULL, 'DUF5605', NULL, NULL, 32880, 8),
(36407, NULL, 'PF15177', NULL, NULL, 'Interleukin-28A', NULL, 'IL28A', NULL, NULL, 21680, 8),
(36408, NULL, 'PF04485', NULL, NULL, 'Phycobilisome degradation protein nblA', NULL, 'NblA', NULL, NULL, 1779, 8),
(36409, NULL, 'PF03374', NULL, NULL, 'Phage antirepressor protein KilAC domain', NULL, 'ANT', NULL, NULL, 2495, 8),
(36410, NULL, 'PF03870', NULL, NULL, 'RNA polymerase Rpb8', NULL, 'RNA_pol_Rpb8', NULL, NULL, 1541, 8),
(36411, NULL, 'PF07007', NULL, NULL, 'Lysozyme inhibitor LprI', NULL, 'LprI', NULL, NULL, 12548, 8),
(36412, NULL, 'PF14115', NULL, NULL, 'YuzL-like protein', NULL, 'YuzL', NULL, NULL, 25414, 8),
(36413, NULL, 'PF17356', NULL, NULL, 'Phage-like element PBSX protein XtrA', NULL, 'PBSX_XtrA', NULL, NULL, 35308, 8),
(36414, NULL, 'PF17144', NULL, NULL, 'Ribosomal large subunit proteins 60S L5, and 50S L18', NULL, 'Ribosomal_L5e', NULL, NULL, 675, 8),
(36415, NULL, 'PF14863', NULL, NULL, 'Alkyl sulfatase dimerisation', NULL, 'Alkyl_sulf_dimr', NULL, NULL, 28604, 8),
(36416, NULL, 'PF11354', NULL, NULL, 'Protein of unknown function (DUF3156)', NULL, 'DUF3156', NULL, NULL, 18995, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36417, NULL, 'PF04157', NULL, NULL, 'EAP30/Vps36 family', NULL, 'EAP30', NULL, NULL, 29577, 8),
(36418, NULL, 'PF16395', NULL, NULL, 'Domain of unknown function (DUF5004)', NULL, 'DUF5004', NULL, NULL, 28171, 8),
(36419, NULL, 'PF18630', NULL, NULL, 'Peptidase M60 C-terminal domain', NULL, 'Peptidase_M60_C', NULL, NULL, 33497, 8),
(36420, NULL, 'PF15789', NULL, NULL, 'Hyphally regulated cell wall GPI-anchored protein 1', NULL, 'Hyr1', NULL, NULL, 24801, 8),
(36421, NULL, 'PF02331', NULL, NULL, 'Apoptosis preventing protein', NULL, 'P35', NULL, NULL, 5152, 8),
(36422, NULL, 'PF17226', NULL, NULL, 'MTA R1 domain', NULL, 'MTA_R1', NULL, NULL, 20479, 8),
(36423, NULL, 'PF19031', NULL, NULL, 'First Longin domain of INTU, CCZ1 and HPS4', NULL, 'Intu_longin_1', NULL, NULL, 38496, 8),
(36424, NULL, 'PF11505', NULL, NULL, 'Protein of unknown function (DUF3216)', NULL, 'DUF3216', NULL, NULL, 21390, 8),
(36425, NULL, 'PF09423', NULL, NULL, 'PhoD-like phosphatase', NULL, 'PhoD', NULL, NULL, 9444, 8),
(36426, NULL, 'PF05176', NULL, NULL, 'ATP10 protein', NULL, 'ATP-synt_10', NULL, NULL, 2091, 8),
(36427, NULL, 'PF06049', NULL, NULL, 'Coagulation Factor V LSPD Repeat', NULL, 'LSPR', NULL, NULL, 13514, 8),
(36428, NULL, 'PF08960', NULL, NULL, 'Domain of unknown function (DUF1874)', NULL, 'DUF1874', NULL, NULL, 8931, 8),
(36429, NULL, 'PF05258', NULL, NULL, 'Dna[CI] antecedent, DciA', NULL, 'DciA', NULL, NULL, 3403, 8),
(36430, NULL, 'PF09439', NULL, NULL, 'Signal recognition particle receptor beta subunit', NULL, 'SRPRB', NULL, NULL, 16146, 8),
(36431, NULL, 'PF12267', NULL, NULL, 'Protein of unknown function (DUF3614)', NULL, 'DUF3614', NULL, NULL, 20582, 8),
(36432, NULL, 'PF05416', NULL, NULL, 'Southampton virus-type processing peptidase', NULL, 'Peptidase_C37', NULL, NULL, 3342, 8),
(36433, NULL, 'PF18363', NULL, NULL, 'Phosphoinositide phosphatase insertion domain', NULL, 'PI_PP_I', NULL, NULL, 31265, 8),
(36434, NULL, 'PF11745', NULL, NULL, 'Protein of unknown function (DUF3304)', NULL, 'DUF3304', NULL, NULL, 19663, 8),
(36435, NULL, 'PF11953', NULL, NULL, 'Domain of unknown function (DUF3470)', NULL, 'DUF3470', NULL, NULL, 16815, 8),
(36436, NULL, 'PF02889', NULL, NULL, 'Sec63 Brl domain', NULL, 'Sec63', NULL, NULL, 2574, 8),
(36437, NULL, 'PF09407', NULL, NULL, 'AbiEi antitoxin C-terminal domain', NULL, 'AbiEi_1', NULL, NULL, 15477, 8),
(36438, NULL, 'PF03141', NULL, NULL, 'Putative S-adenosyl-L-methionine-dependent methyltransferase', NULL, 'Methyltransf_29', NULL, NULL, 2644, 8),
(36439, NULL, 'PF01153', NULL, NULL, 'Glypican', NULL, 'Glypican', NULL, NULL, 4257, 8),
(36440, NULL, 'PF11927', NULL, NULL, 'Protein of unknown function (DUF3445)', NULL, 'DUF3445', NULL, NULL, 20347, 8),
(36441, NULL, 'PF17213', NULL, NULL, 'Hydin Adenylate kinase-like domain', NULL, 'Hydin_ADK', NULL, NULL, 34217, 8),
(36442, NULL, 'PF03568', NULL, NULL, 'Peptidase family C50', NULL, 'Peptidase_C50', NULL, NULL, NULL, 8),
(36443, NULL, 'PF15960', NULL, NULL, 'Domain of unknown function (DUF4763)', NULL, 'DUF4763', NULL, NULL, 28821, 8),
(36444, NULL, 'PF14706', NULL, NULL, 'Transposase DNA-binding', NULL, 'Tnp_DNA_bind', NULL, NULL, 12933, 8),
(36445, NULL, 'PF05599', NULL, NULL, 'Deltaretrovirus Tax protein', NULL, 'Deltaretro_Tax', NULL, NULL, 14319, 8),
(36446, NULL, 'PF00954', NULL, NULL, 'S-locus glycoprotein domain', NULL, 'S_locus_glycop', NULL, NULL, 3419, 8),
(36447, NULL, 'PF11163', NULL, NULL, 'Protein of unknown function (DUF2947)', NULL, 'DUF2947', NULL, NULL, 17945, 8),
(36448, NULL, 'PF15131', NULL, NULL, 'Domain of unknown function (DUF4567)', NULL, 'DUF4567', NULL, NULL, 24013, 8),
(36449, NULL, 'PF14290', NULL, NULL, 'Domain of unknown function (DUF4370)', NULL, 'DUF4370', NULL, NULL, 21560, 8),
(36450, NULL, 'PF10181', NULL, NULL, 'GPI-GlcNAc transferase complex, PIG-H component', NULL, 'PIG-H', NULL, NULL, 15006, 8),
(36451, NULL, 'PF10593', NULL, NULL, 'Z1 domain', NULL, 'Z1', NULL, NULL, 8612, 8),
(36452, NULL, 'PF13899', NULL, NULL, 'Thioredoxin-like', NULL, 'Thioredoxin_7', NULL, NULL, NULL, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36453, NULL, 'PF13932', NULL, NULL, 'tRNA modifying enzyme MnmG/GidA C-terminal domain', NULL, 'GIDA_C', NULL, NULL, 28875, 8),
(36454, NULL, 'PF07698', NULL, NULL, '7TM receptor with intracellular HD hydrolase', NULL, '7TM-7TMR_HD', NULL, NULL, 10096, 8),
(36455, NULL, 'PF06050', NULL, NULL, '2-hydroxyglutaryl-CoA dehydratase, D-component', NULL, 'HGD-D', NULL, NULL, 8682, 8),
(36456, NULL, 'PF12396', NULL, NULL, 'Protein of unknown function (DUF3659)', NULL, 'DUF3659', NULL, NULL, 21484, 8),
(36457, NULL, 'PF00629', NULL, NULL, 'MAM domain, meprin/A5/mu', NULL, 'MAM', NULL, NULL, 3167, 8),
(36458, NULL, 'PF00972', NULL, NULL, 'Flavivirus RNA-directed RNA polymerase', NULL, 'Flavi_NS5', NULL, NULL, 3657, 8),
(36459, NULL, 'PF04910', NULL, NULL, 'Transcriptional repressor TCF25', NULL, 'Tcf25', NULL, NULL, 5710, 8),
(36460, NULL, 'PF09508', NULL, NULL, 'Lacto-N-biose phosphorylase N-terminal TIM barrel domain', NULL, 'Lact_bio_phlase', NULL, NULL, 7518, 8),
(36461, NULL, 'PF03327', NULL, NULL, 'Herpesvirus capsid shell protein VP19C', NULL, 'Herpes_VP19C', NULL, NULL, 757, 8),
(36462, NULL, 'PF08255', NULL, NULL, 'Trp-operon Leader Peptide', NULL, 'Leader_Trp', NULL, NULL, 17803, 8),
(36463, NULL, 'PF05128', NULL, NULL, 'Domain of unknown function (DUF697)', NULL, 'DUF697', NULL, NULL, 15731, 8),
(36464, NULL, 'PF00383', NULL, NULL, 'Cytidine and deoxycytidylate deaminase zinc-binding region', NULL, 'dCMP_cyt_deam_1', NULL, NULL, 5215, 8),
(36465, NULL, 'PF12071', NULL, NULL, 'Protein of unknown function (DUF3551)', NULL, 'DUF3551', NULL, NULL, 20446, 8),
(36466, NULL, 'PF09381', NULL, NULL, 'Outer membrane protein G (OmpG)', NULL, 'Porin_OmpG', NULL, NULL, 15739, 8),
(36467, NULL, 'PF19120', NULL, NULL, 'Family of unknown function (DUF5804)', NULL, 'DUF5804', NULL, NULL, 38126, 8),
(36468, NULL, 'PF09742', NULL, NULL, 'Dyggve-Melchior-Clausen syndrome protein', NULL, 'Dymeclin', NULL, NULL, NULL, 8),
(36469, NULL, 'PF09680', NULL, NULL, 'Family of unknown function', NULL, 'YjcZ_2', NULL, NULL, 8461, 8),
(36470, NULL, 'PF08212', NULL, NULL, 'Lipocalin-like domain', NULL, 'Lipocalin_2', NULL, NULL, 5948, 8),
(36471, NULL, 'PF11588', NULL, NULL, 'Protein of unknown function (DUF3243)', NULL, 'DUF3243', NULL, NULL, 19444, 8),
(36472, NULL, 'PF07705', NULL, NULL, 'CARDB', NULL, 'CARDB', NULL, NULL, 10687, 8),
(36473, NULL, 'PF08237', NULL, NULL, 'PE-PPE domain', NULL, 'PE-PPE', NULL, NULL, 12340, 8),
(36474, NULL, 'PF14997', NULL, NULL, 'CECR6/TMEM121 family', NULL, 'CECR6_TMEM121', NULL, NULL, 22730, 8),
(36475, NULL, 'PF07171', NULL, NULL, 'MlrC C-terminus', NULL, 'MlrC_C', NULL, NULL, 11240, 8),
(36476, NULL, 'PF17973', NULL, NULL, 'Bacterial Alpha-2-macroglobulin MG10 domain', NULL, 'bMG10', NULL, NULL, 32445, 8),
(36477, NULL, 'PF06980', NULL, NULL, 'Protein of unknown function (DUF1302)', NULL, 'DUF1302', NULL, NULL, 10295, 8),
(36478, NULL, 'PF07719', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_2', NULL, NULL, 18958, 8),
(36479, NULL, 'PF12518', NULL, NULL, 'Protein of unknown function', NULL, 'DUF3721', NULL, NULL, 21301, 8),
(36480, NULL, 'PF05616', NULL, NULL, 'Neisseria meningitidis TspB protein', NULL, 'Neisseria_TspB', NULL, NULL, 13016, 8),
(36481, NULL, 'PF05501', NULL, NULL, 'Domain of unknown function (DUF755)', NULL, 'DUF755', NULL, NULL, 12048, 8),
(36482, NULL, 'PF14940', NULL, NULL, 'Transmembrane 219', NULL, 'TMEM219', NULL, NULL, 36141, 8),
(36483, NULL, 'PF02812', NULL, NULL, 'Glu/Leu/Phe/Val dehydrogenase, dimerisation domain', NULL, 'ELFV_dehydrog_N', NULL, NULL, 2562, 8),
(36484, NULL, 'PF18025', NULL, NULL, 'Alpha-(1,3)-fucosyltransferase FucT N-terminal domain', NULL, 'FucT_N', NULL, NULL, 31356, 8),
(36485, NULL, 'PF14036', NULL, NULL, 'YlaH-like protein', NULL, 'YlaH', NULL, NULL, 28345, 8),
(36486, NULL, 'PF00404', NULL, NULL, 'Dockerin type I domain', NULL, 'Dockerin_1', NULL, NULL, 5076, 8),
(36487, NULL, 'PF04357', NULL, NULL, 'TamB, inner membrane protein subunit of TAM complex', NULL, 'TamB', NULL, NULL, 4743, 8),
(36488, NULL, 'PF05617', NULL, NULL, 'Prolamin-like', NULL, 'Prolamin_like', NULL, NULL, 12459, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36489, NULL, 'PF02603', NULL, NULL, 'HPr Serine kinase N terminus', NULL, 'Hpr_kinase_N', NULL, NULL, 9849, 8),
(36490, NULL, 'PF09984', NULL, NULL, 'Single cache domain 4', NULL, 'sCache_4', NULL, NULL, 20359, 8),
(36491, NULL, 'PF18626', NULL, NULL, 'Glutaminase', NULL, 'Gln_deamidase_2', NULL, NULL, 32532, 8),
(36492, NULL, 'PF19460', NULL, NULL, 'Family of unknown function (DUF5997)', NULL, 'DUF5997', NULL, NULL, 39309, 8),
(36493, NULL, 'PF09775', NULL, NULL, 'Keratinocyte-associated protein 2', NULL, 'Keratin_assoc', NULL, NULL, 16027, 8),
(36494, NULL, 'PF03139', NULL, NULL, 'Vanadium/alternative nitrogenase delta subunit', NULL, 'AnfG_VnfG', NULL, NULL, 5886, 8),
(36495, NULL, 'PF10341', NULL, NULL, 'Shelterin complex subunit, TPP1/ACD', NULL, 'TPP1', NULL, NULL, 17632, 8),
(36496, NULL, 'PF13662', NULL, NULL, 'Toprim domain', NULL, 'Toprim_4', NULL, NULL, 11261, 8),
(36497, NULL, 'PF14490', NULL, NULL, 'Helix-hairpin-helix containing domain', NULL, 'HHH_4', NULL, NULL, 28083, 8),
(36498, NULL, 'PF03194', NULL, NULL, 'LUC7 N_terminus', NULL, 'LUC7', NULL, NULL, 7165, 8),
(36499, NULL, 'PF01110', NULL, NULL, 'Ciliary neurotrophic factor', NULL, 'CNTF', NULL, NULL, 1908, 8),
(36500, NULL, 'PF15034', NULL, NULL, 'KRTAP type 7 family', NULL, 'KRTAP7', NULL, NULL, 18285, 8),
(36501, NULL, 'PF13051', NULL, NULL, 'Protein of unknown function (DUF3912)', NULL, 'DUF3912', NULL, NULL, 23663, 8),
(36502, NULL, 'PF07589', NULL, NULL, 'PEP-CTERM motif', NULL, 'PEP-CTERM', NULL, NULL, 9404, 8),
(36503, NULL, 'PF03354', NULL, NULL, 'Phage Terminase', NULL, 'Terminase_1', NULL, NULL, 1073, 8),
(36504, NULL, 'PF06512', NULL, NULL, 'Sodium ion transport-associated', NULL, 'Na_trans_assoc', NULL, NULL, 12431, 8),
(36505, NULL, 'PF14760', NULL, NULL, 'Rnk N-terminus', NULL, 'Rnk_N', NULL, NULL, 24045, 8),
(36506, NULL, 'PF04264', NULL, NULL, 'YceI-like domain', NULL, 'YceI', NULL, NULL, 5646, 8),
(36507, NULL, 'PF17342', NULL, NULL, 'Family of unknown function (DUF5372)', NULL, 'DUF5372', NULL, NULL, 35378, 8),
(36508, NULL, 'PF09007', NULL, NULL, 'EBP50, C-terminal', NULL, 'EBP50_C', NULL, NULL, 8930, 8),
(36509, NULL, 'PF08105', NULL, NULL, 'Metchnikowin family', NULL, 'Antimicrobial10', NULL, NULL, 12798, 8),
(36510, NULL, 'PF11993', NULL, NULL, 'Ribosomal S4P (gammaproteobacterial)', NULL, 'Ribosomal_S4Pg', NULL, NULL, 20237, 8),
(36511, NULL, 'PF05246', NULL, NULL, 'Protein of unknown function (DUF735)', NULL, 'DUF735', NULL, NULL, 3155, 8),
(36512, NULL, 'PF15982', NULL, NULL, 'N-terminal cysteine-rich region of Transmembrane protein 135', NULL, 'TMEM135_C_rich', NULL, NULL, 27793, 8),
(36513, NULL, 'PF19468', NULL, NULL, 'Family of unknown function (DUF6005)', NULL, 'DUF6005', NULL, NULL, 39217, 8),
(36514, NULL, 'PF10512', NULL, NULL, 'Cell division cycle-associated protein 8', NULL, 'Borealin', NULL, NULL, 21203, 8),
(36515, NULL, 'PF13436', NULL, NULL, 'Glycine-zipper domain', NULL, 'Gly-zipper_OmpA', NULL, NULL, 25655, 8),
(36516, NULL, 'PF19680', NULL, NULL, 'Family of unknown function (DUF6182)', NULL, 'DUF6182', NULL, NULL, 38951, 8),
(36517, NULL, 'PF19620', NULL, NULL, 'Family of unknown function (DUF6125)', NULL, 'DUF6125', NULL, NULL, NULL, 8),
(36518, NULL, 'PF04877', NULL, NULL, 'HrpZ', NULL, 'Harpin', NULL, NULL, 5850, 8),
(36519, NULL, 'PF16977', NULL, NULL, 'C-terminal domain of apextrin', NULL, 'ApeC', NULL, NULL, 28909, 8),
(36520, NULL, 'PF11564', NULL, NULL, 'Restriction endonuclease BpuJI - N terminal', NULL, 'BpuJI_N', NULL, NULL, 15440, 8),
(36521, NULL, 'PF02257', NULL, NULL, 'RFX DNA-binding domain', NULL, 'RFX_DNA_binding', NULL, NULL, 1742, 8),
(36522, NULL, 'PF02417', NULL, NULL, 'Chromate transporter', NULL, 'Chromate_transp', NULL, NULL, 6363, 8),
(36523, NULL, 'PF07684', NULL, NULL, 'NOTCH protein', NULL, 'NODP', NULL, NULL, 10925, 8),
(36524, NULL, 'PF19946', NULL, NULL, 'Family of unknown function (DUF6408)', NULL, 'DUF6408', NULL, NULL, 39843, 8),
(36525, NULL, 'PF03167', NULL, NULL, 'Uracil DNA glycosylase superfamily', NULL, 'UDG', NULL, NULL, 7466, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36526, NULL, 'PF14934', NULL, NULL, 'Domain of unknown function (DUF4499)', NULL, 'DUF4499', NULL, NULL, 26133, 8),
(36527, NULL, 'PF17780', NULL, NULL, 'OCRE domain', NULL, 'OCRE', NULL, NULL, 32717, 8),
(36528, NULL, 'PF12510', NULL, NULL, 'Smoothelin cytoskeleton protein', NULL, 'Smoothelin', NULL, NULL, 21380, 8),
(36529, NULL, 'PF02154', NULL, NULL, 'Flagellar motor switch protein FliM', NULL, 'FliM', NULL, NULL, 3226, 8),
(36530, NULL, 'PF04900', NULL, NULL, 'Fcf1', NULL, 'Fcf1', NULL, NULL, 5803, 8),
(36531, NULL, 'PF05806', NULL, NULL, 'Noggin', NULL, 'Noggin', NULL, NULL, NULL, 8),
(36532, NULL, 'PF10247', NULL, NULL, 'Reactive mitochondrial oxygen species modulator 1', NULL, 'Romo1', NULL, NULL, 9054, 8),
(36533, NULL, 'PF11630', NULL, NULL, 'Protein of unknown function (DUF3254)', NULL, 'DUF3254', NULL, NULL, 25862, 8),
(36534, NULL, 'PF00543', NULL, NULL, 'Nitrogen regulatory protein P-II', NULL, 'P-II', NULL, NULL, 6080, 8),
(36535, NULL, 'PF11773', NULL, NULL, 'Type II secretory pathway pseudopilin', NULL, 'PulG', NULL, NULL, 19548, 8),
(36536, NULL, 'PF03405', NULL, NULL, 'Fatty acid desaturase', NULL, 'FA_desaturase_2', NULL, NULL, 2265, 8),
(36537, NULL, 'PF14928', NULL, NULL, 'Short tail fibre protein receptor-binding domain', NULL, 'S_tail_recep_bd', NULL, NULL, 26499, 8),
(36538, NULL, 'PF18293', NULL, NULL, 'Caprin-1 dimerization domain', NULL, 'Caprin-1_dimer', NULL, NULL, 32145, 8),
(36539, NULL, 'PF09444', NULL, NULL, 'MRC1-like domain', NULL, 'MRC1', NULL, NULL, 15930, 8),
(36540, NULL, 'PF07837', NULL, NULL, 'Formiminotransferase domain, N-terminal subdomain', NULL, 'FTCD_N', NULL, NULL, 13050, 8),
(36541, NULL, 'PF13173', NULL, NULL, 'AAA domain', NULL, 'AAA_14', NULL, NULL, 32849, 8),
(36542, NULL, 'PF07558', NULL, NULL, 'Shugoshin N-terminal coiled-coil region', NULL, 'Shugoshin_N', NULL, NULL, 12929, 8),
(36543, NULL, 'PF17610', NULL, NULL, 'Family of unknown function (DUF5505)', NULL, 'DUF5505', NULL, NULL, 19136, 8),
(36544, NULL, 'PF10601', NULL, NULL, 'LITAF-like zinc ribbon domain', NULL, 'zf-LITAF-like', NULL, NULL, 1438, 8),
(36545, NULL, 'PF11985', NULL, NULL, 'Protein of unknown function (DUF3486)', NULL, 'DUF3486', NULL, NULL, 20371, 8),
(36546, NULL, 'PF15941', NULL, NULL, 'FidL-like putative membrane protein', NULL, 'FidL_like', NULL, NULL, 26102, 8),
(36547, NULL, 'PF18693', NULL, NULL, 'TRAM domain', NULL, 'TRAM_2', NULL, NULL, 32742, 8),
(36548, NULL, 'PF17333', NULL, NULL, 'Beta defensin 136', NULL, 'DEFB136', NULL, NULL, 15610, 8),
(36549, NULL, 'PF07543', NULL, NULL, 'Protein trafficking PGA2', NULL, 'PGA2', NULL, NULL, 13790, 8),
(36550, NULL, 'PF17156', NULL, NULL, 'Gammaproteobacterial periplasmic sensor domain', NULL, 'GAPES2', NULL, NULL, 33965, 8),
(36551, NULL, 'PF15294', NULL, NULL, 'Leucine zipper', NULL, 'Leu_zip', NULL, NULL, 23953, 8),
(36552, NULL, 'PF08734', NULL, NULL, 'GYD domain', NULL, 'GYD', NULL, NULL, 11853, 8),
(36553, NULL, 'PF07461', NULL, NULL, 'Nicotine adenine dinucleotide glycohydrolase (NADase)', NULL, 'NADase_NGA', NULL, NULL, 12186, 8),
(36554, NULL, 'PF14670', NULL, NULL, 'Coagulation Factor Xa inhibitory site', NULL, 'FXa_inhibition', NULL, NULL, NULL, 8),
(36555, NULL, 'PF02170', NULL, NULL, 'PAZ domain', NULL, 'PAZ', NULL, NULL, 1244, 8),
(36556, NULL, 'PF09707', NULL, NULL, 'CRISPR-associated protein (Cas_Cas2CT1978)', NULL, 'Cas_Cas2CT1978', NULL, NULL, 10978, 8),
(36557, NULL, 'PF04062', NULL, NULL, 'ARP2/3 complex ARPC3 (21 kDa) subunit', NULL, 'P21-Arc', NULL, NULL, 1291, 8),
(36558, NULL, 'PF15266', NULL, NULL, 'Domain of unknown function (DUF4594)', NULL, 'DUF4594', NULL, NULL, 24596, 8),
(36559, NULL, 'PF18037', NULL, NULL, 'Ubiquitin-like domain', NULL, 'Ubiquitin_5', NULL, NULL, 31398, 8),
(36560, NULL, 'PF13322', NULL, NULL, 'Domain of unknown function (DUF4092)', NULL, 'DUF4092', NULL, NULL, 23280, 8),
(36561, NULL, 'PF13543', NULL, NULL, 'SAM like domain present in kinase suppressor RAS 1', NULL, 'SAM_KSR1', NULL, NULL, 24824, 8),
(36562, NULL, 'PF03588', NULL, NULL, 'Leucyl/phenylalanyl-tRNA protein transferase', NULL, 'Leu_Phe_trans', NULL, NULL, 2227, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36563, NULL, 'PF08159', NULL, NULL, 'NUC153 domain', NULL, 'NUC153', NULL, NULL, 9902, 8),
(36564, NULL, 'PF09730', NULL, NULL, 'Microtubule-associated protein Bicaudal-D', NULL, 'BicD', NULL, NULL, 21710, 8),
(36565, NULL, 'PF14602', NULL, NULL, 'Hexapeptide repeat of succinyl-transferase', NULL, 'Hexapep_2', NULL, NULL, 6217, 8),
(36566, NULL, 'PF20007', NULL, NULL, 'FtsH ternary system-associated peptide', NULL, 'fvmRadSAM-pep', NULL, NULL, 38895, 8),
(36567, NULL, 'PF12594', NULL, NULL, 'Protein of unknown function (DUF3764)', NULL, 'DUF3764', NULL, NULL, 21269, 8),
(36568, NULL, 'PF15809', NULL, NULL, 'Simian taste bud-specific gene product family', NULL, 'STG', NULL, NULL, 25536, 8),
(36569, NULL, 'PF00020', NULL, NULL, 'TNFR/NGFR cysteine-rich region', NULL, 'TNFR_c6', NULL, NULL, 2482, 8),
(36570, NULL, 'PF07123', NULL, NULL, 'Photosystem II reaction centre W protein (PsbW)', NULL, 'PsbW', NULL, NULL, 13747, 8),
(36571, NULL, 'PF11045', NULL, NULL, 'Putative inner membrane protein of Enterobacteriaceae', NULL, 'YbjM', NULL, NULL, 20119, 8),
(36572, NULL, 'PF04593', NULL, NULL, 'Selenoprotein P, C terminal region', NULL, 'SelP_C', NULL, NULL, 861, 8),
(36573, NULL, 'PF06697', NULL, NULL, 'Protein of unknown function (DUF1191)', NULL, 'DUF1191', NULL, NULL, 8314, 8),
(36574, NULL, 'PF11168', NULL, NULL, 'Protein of unknown function (DUF2955)', NULL, 'DUF2955', NULL, NULL, 14606, 8),
(36575, NULL, 'PF04615', NULL, NULL, 'Utp14 protein', NULL, 'Utp14', NULL, NULL, NULL, 8),
(36576, NULL, 'PF03095', NULL, NULL, 'Phosphotyrosyl phosphate activator (PTPA) protein', NULL, 'PTPA', NULL, NULL, 4904, 8),
(36577, NULL, 'PF08860', NULL, NULL, 'Domain of unknown function (DUF1827)', NULL, 'DUF1827', NULL, NULL, 14155, 8),
(36578, NULL, 'PF10003', NULL, NULL, 'Integral membrane protein (DUF2244)', NULL, 'DUF2244', NULL, NULL, 20378, 8),
(36579, NULL, 'PF09346', NULL, NULL, 'SMI1 / KNR4 family (SUKH-1)', NULL, 'SMI1_KNR4', NULL, NULL, 15097, 8),
(36580, NULL, 'PF15194', NULL, NULL, 'TMEM191C family', NULL, 'TMEM191C', NULL, NULL, 22464, 8),
(36581, NULL, 'PF06253', NULL, NULL, 'Trimethylamine methyltransferase (MTTB)', NULL, 'MTTB', NULL, NULL, 9559, 8),
(36582, NULL, 'PF16695', NULL, NULL, 'Type VI secretion system (T6SS), amidase immunity protein', NULL, 'Tai4', NULL, NULL, 24494, 8),
(36583, NULL, 'PF14050', NULL, NULL, 'N-terminal conserved domain of Nudc.', NULL, 'Nudc_N', NULL, NULL, 24184, 8),
(36584, NULL, 'PF03567', NULL, NULL, 'Sulfotransferase family', NULL, 'Sulfotransfer_2', NULL, NULL, 6933, 8),
(36585, NULL, 'PF01406', NULL, NULL, 'tRNA synthetases class I (C) catalytic domain', NULL, 'tRNA-synt_1e', NULL, NULL, 18961, 8),
(36586, NULL, 'PF09779', NULL, NULL, 'Ima1 N-terminal domain', NULL, 'Ima1_N', NULL, NULL, 16119, 8),
(36587, NULL, 'PF19976', NULL, NULL, 'GTPase-associated adaptor domain', NULL, 'GAAD', NULL, NULL, 39506, 8),
(36588, NULL, 'PF19070', NULL, NULL, 'Family of unknown function (DUF5766)', NULL, 'DUF5766', NULL, NULL, 37929, 8),
(36589, NULL, 'PF03731', NULL, NULL, 'Ku70/Ku80 N-terminal alpha/beta domain', NULL, 'Ku_N', NULL, NULL, 4291, 8),
(36590, NULL, 'PF02925', NULL, NULL, 'Bacteriophage scaffolding protein D', NULL, 'gpD', NULL, NULL, 2977, 8),
(36591, NULL, 'PF04669', NULL, NULL, 'Polysaccharide biosynthesis', NULL, 'Polysacc_synt_4', NULL, NULL, 15677, 8),
(36592, NULL, 'PF07809', NULL, NULL, 'RTP801 C-terminal region', NULL, 'RTP801_C', NULL, NULL, 8405, 8),
(36593, NULL, 'PF12511', NULL, NULL, 'Protein of unknown function (DUF3716)', NULL, 'DUF3716', NULL, NULL, 21052, 8),
(36594, NULL, 'PF13393', NULL, NULL, 'Histidyl-tRNA synthetase', NULL, 'tRNA-synt_His', NULL, NULL, 32994, 8),
(36595, NULL, 'PF12557', NULL, NULL, 'Cob(I)alamin adenosyltransferase N terminal', NULL, 'Co_AT_N', NULL, NULL, 25323, 8),
(36596, NULL, 'PF16019', NULL, NULL, 'Cysteine/serine-rich nuclear protein N-terminus', NULL, 'CSRNP_N', NULL, NULL, 23841, 8),
(36597, NULL, 'PF17220', NULL, NULL, 'Protein of unknown function (DUF5137)', NULL, 'DUF5137', NULL, NULL, 32622, 8),
(36598, NULL, 'PF07084', NULL, NULL, 'Thyroid hormone-inducible hepatic protein Spot 14', NULL, 'Spot_14', NULL, NULL, 13178, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36599, NULL, 'PF09248', NULL, NULL, 'Domain of unknown function (DUF1965)', NULL, 'DUF1965', NULL, NULL, 13776, 8),
(36600, NULL, 'PF13833', NULL, NULL, 'EF-hand domain pair', NULL, 'EF-hand_8', NULL, NULL, 1197, 8),
(36601, NULL, 'PF14135', NULL, NULL, 'Domain of unknown function (DUF4302)', NULL, 'DUF4302', NULL, NULL, 28435, 8),
(36602, NULL, 'PF17870', NULL, NULL, 'Insulin receptor trans-membrane segment', NULL, 'Insulin_TMD', NULL, NULL, 30078, 8),
(36603, NULL, 'PF03177', NULL, NULL, 'Non-repetitive/WGA-negative nucleoporin C-terminal', NULL, 'Nucleoporin_C', NULL, NULL, 1143, 8),
(36604, NULL, 'PF03428', NULL, NULL, 'Replication protein C N-terminal domain', NULL, 'RP-C', NULL, NULL, 10048, 8),
(36605, NULL, 'PF05175', NULL, NULL, 'Methyltransferase small domain', NULL, 'MTS', NULL, NULL, 2316, 8),
(36606, NULL, 'PF06636', NULL, NULL, 'Protein of unknown function (DUF1157)', NULL, 'DUF1157', NULL, NULL, 8149, 8),
(36607, NULL, 'PF07929', NULL, NULL, 'Plasmid pRiA4b ORF-3-like protein', NULL, 'PRiA4_ORF3', NULL, NULL, 13403, 8),
(36608, NULL, 'PF02122', NULL, NULL, 'Peptidase S39', NULL, 'Peptidase_S39', NULL, NULL, 6819, 8),
(36609, NULL, 'PF06100', NULL, NULL, 'MCRA family', NULL, 'MCRA', NULL, NULL, 8709, 8),
(36610, NULL, 'PF01320', NULL, NULL, 'Colicin immunity protein / pyocin immunity protein', NULL, 'Colicin_Pyocin', NULL, NULL, 4141, 8),
(36611, NULL, 'PF05379', NULL, NULL, 'Carlavirus endopeptidase', NULL, 'Peptidase_C23', NULL, NULL, 5306, 8),
(36612, NULL, 'PF13643', NULL, NULL, 'Domain of unknown function (DUF4145)', NULL, 'DUF4145', NULL, NULL, 23758, 8),
(36613, NULL, 'PF16796', NULL, NULL, 'Microtubule binding', NULL, 'Microtub_bd', NULL, NULL, 25775, 8),
(36614, NULL, 'PF17283', NULL, NULL, 'SprT-like zinc ribbon domain', NULL, 'Zn_ribbon_SprT', NULL, NULL, 30128, 8),
(36615, NULL, 'PF09688', NULL, NULL, 'Protein of unknown function (Wx5_PLAF3D7)', NULL, 'Wx5_PLAF3D7', NULL, NULL, 6960, 8),
(36616, NULL, 'PF18453', NULL, NULL, 'Oligomerization domain of C4b-binding protein alpha', NULL, 'C4bp_oligo', NULL, NULL, 29845, 8),
(36617, NULL, 'PF09522', NULL, NULL, 'R.Pab1 restriction endonuclease', NULL, 'RE_R_Pab1', NULL, NULL, 15758, 8),
(36618, NULL, 'PF08467', NULL, NULL, 'Luteovirus RNA polymerase P1-P2/replicase', NULL, 'Luteo_P1-P2', NULL, NULL, 13767, 8),
(36619, NULL, 'PF03084', NULL, NULL, 'Reoviral Sigma1/Sigma2 family', NULL, 'Sigma_1_2', NULL, NULL, 4923, 8),
(36620, NULL, 'PF18007', NULL, NULL, 'Domain of unknown function (DUF5593)', NULL, 'DUF5593', NULL, NULL, 32095, 8),
(36621, NULL, 'PF06481', NULL, NULL, 'COX Aromatic Rich Motif', NULL, 'COX_ARM', NULL, NULL, 12303, 8),
(36622, NULL, 'PF14330', NULL, NULL, 'Domain of unknown function (DUF4387)', NULL, 'DUF4387', NULL, NULL, 28098, 8),
(36623, NULL, 'PF05677', NULL, NULL, 'Chlamydia CHLPS protein (DUF818)', NULL, 'DUF818', NULL, NULL, 13331, 8),
(36624, NULL, 'PF07900', NULL, NULL, 'Protein of unknown function (DUF1670)', NULL, 'DUF1670', NULL, NULL, 12579, 8),
(36625, NULL, 'PF09694', NULL, NULL, 'Bacterial protein of unknown function (Gcw_chp)', NULL, 'Gcw_chp', NULL, NULL, 5054, 8),
(36626, NULL, 'PF12022', NULL, NULL, 'Domain of unknown function (DUF3510)', NULL, 'DUF3510', NULL, NULL, 28870, 8),
(36627, NULL, 'PF13251', NULL, NULL, 'Domain of unknown function (DUF4042)', NULL, 'DUF4042', NULL, NULL, 23814, 8),
(36628, NULL, 'PF14379', NULL, NULL, 'MYB-CC type transfactor, LHEQLE motif', NULL, 'Myb_CC_LHEQLE', NULL, NULL, 23297, 8),
(36629, NULL, 'PF03233', NULL, NULL, 'Aphid transmission protein', NULL, 'Cauli_AT', NULL, NULL, 1954, 8),
(36630, NULL, 'PF11840', NULL, NULL, 'Protein of unknown function (DUF3360)', NULL, 'DUF3360', NULL, NULL, 19860, 8),
(36631, NULL, 'PF17581', NULL, NULL, 'Family of unknown function (DUF5483)', NULL, 'DUF5483', NULL, NULL, 33350, 8),
(36632, NULL, 'PF20125', NULL, NULL, 'Family of unknown function (DUF6515)', NULL, 'DUF6515', NULL, NULL, 38011, 8),
(36633, NULL, 'PF05647', NULL, NULL, 'Tandem-repeating region of mucin, epiglycanin-like', NULL, 'Epiglycanin_TR', NULL, NULL, 13338, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36634, NULL, 'PF16250', NULL, NULL, 'Domain of unknown function (DUF4907)', NULL, 'DUF4907', NULL, NULL, 25096, 8),
(36635, NULL, 'PF11238', NULL, NULL, 'Protein of unknown function (DUF3039)', NULL, 'DUF3039', NULL, NULL, 18296, 8),
(36636, NULL, 'PF19654', NULL, NULL, 'Family of unknown function (DUF6157)', NULL, 'DUF6157', NULL, NULL, 39954, 8),
(36637, NULL, 'PF13078', NULL, NULL, 'Protein of unknown function (DUF3942)', NULL, 'DUF3942', NULL, NULL, 23968, 8),
(36638, NULL, 'PF14286', NULL, NULL, 'DHHW protein', NULL, 'DHHW', NULL, NULL, 24590, 8),
(36639, NULL, 'PF07785', NULL, NULL, 'Protein of unknown function (DUF1623)', NULL, 'DUF1623', NULL, NULL, 13510, 8),
(36640, NULL, 'PF16543', NULL, NULL, 'DRG Family Regulatory Proteins, Tma46', NULL, 'DFRP_C', NULL, NULL, 22245, 8),
(36641, NULL, 'PF17958', NULL, NULL, 'EF-hand domain', NULL, 'EF-hand_13', NULL, NULL, 32423, 8),
(36642, NULL, 'PF15654', NULL, NULL, 'Toxin with a conserved tryptophan and TIP tripeptide motif', NULL, 'Tox-WTIP', NULL, NULL, 26383, 8),
(36643, NULL, 'PF04512', NULL, NULL, 'Baculovirus polyhedron envelope protein, PEP, N terminus', NULL, 'Baculo_PEP_N', NULL, NULL, 2624, 8),
(36644, NULL, 'PF05890', NULL, NULL, 'Eukaryotic rRNA processing protein EBP2', NULL, 'Ebp2', NULL, NULL, 14413, 8),
(36645, NULL, 'PF19922', NULL, NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX6', NULL, 'bpX6', NULL, NULL, 39861, 8),
(36646, NULL, 'PF09617', NULL, NULL, 'CRISPR-associated protein GSU0053 (Cas_GSU0053)', NULL, 'Cas_GSU0053', NULL, NULL, 11880, 8),
(36647, NULL, 'PF15706', NULL, NULL, 'Mature oligodendrocyte transmembrane protein, TMEM132D, C-term', NULL, 'TMEM132D_C', NULL, NULL, 25167, 8),
(36648, NULL, 'PF04075', NULL, NULL, 'F420H(2)-dependent quinone reductase', NULL, 'F420H2_quin_red', NULL, NULL, 5510, 8),
(36649, NULL, 'PF19863', NULL, NULL, 'Family of unknown function (DUF6337)', NULL, 'DUF6337', NULL, NULL, 39324, 8),
(36650, NULL, 'PF03189', NULL, NULL, 'Otopetrin', NULL, 'Otopetrin', NULL, NULL, 7194, 8),
(36651, NULL, 'PF16292', NULL, NULL, 'Domain of unknown function (DUF4938)', NULL, 'DUF4938', NULL, NULL, 22256, 8),
(36652, NULL, 'PF03190', NULL, NULL, 'Protein of unknown function, DUF255', NULL, 'Thioredox_DsbH', NULL, NULL, 7256, 8),
(36653, NULL, 'PF16144', NULL, NULL, 'Domain of unknown function (DUF4852)', NULL, 'DUF4852', NULL, NULL, 23492, 8),
(36654, NULL, 'PF02623', NULL, NULL, 'FliW protein', NULL, 'FliW', NULL, NULL, 6147, 8),
(36655, NULL, 'PF17997', NULL, NULL, 'Insecticidal delta-endotoxin CryIA(c) domain 5', NULL, 'Cry1Ac_D5', NULL, NULL, 32466, 8),
(36656, NULL, 'PF09872', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2099)', NULL, 'DUF2099', NULL, NULL, 9756, 8),
(36657, NULL, 'PF09386', NULL, NULL, 'Antitoxin ParD', NULL, 'ParD', NULL, NULL, 6115, 8),
(36658, NULL, 'PF16914', NULL, NULL, 'Bacterial transcriptional repressor C-terminal', NULL, 'TetR_C_12', NULL, NULL, 10559, 8),
(36659, NULL, 'PF19572', NULL, NULL, 'Type IX secretion system protein PorV', NULL, 'PorV', NULL, NULL, 38559, 8),
(36660, NULL, 'PF03705', NULL, NULL, 'CheR methyltransferase, all-alpha domain', NULL, 'CheR_N', NULL, NULL, 17114, 8),
(36661, NULL, 'PF08226', NULL, NULL, 'Domain of unknown function (DUF1720)', NULL, 'DUF1720', NULL, NULL, 17853, 8),
(36662, NULL, 'PF11846', NULL, NULL, 'Virulence factor membrane-bound polymerase, C-terminal', NULL, 'Wzy_C_2', NULL, NULL, 19835, 8),
(36663, NULL, 'PF16085', NULL, NULL, 'Bacteriophage holin Hol, superfamily III', NULL, 'Phage_holin_3_5', NULL, NULL, 23098, 8),
(36664, NULL, 'PF01322', NULL, NULL, 'Cytochrome C''', NULL, 'Cytochrom_C_2', NULL, NULL, 6812, 8),
(36665, NULL, 'PF06886', NULL, NULL, 'Targeting protein for Xklp2 (TPX2) domain', NULL, 'TPX2', NULL, NULL, 25975, 8),
(36666, NULL, 'PF14937', NULL, NULL, 'Domain of unknown function (DUF4500)', NULL, 'DUF4500', NULL, NULL, 27143, 8),
(36667, NULL, 'PF18042', NULL, NULL, 'ORF 12 gene product N-terminal', NULL, 'ORF_12_N', NULL, NULL, 34539, 8),
(36668, NULL, 'PF17649', NULL, NULL, 'Vacuolar protein sorting 38', NULL, 'VPS38', NULL, NULL, 31939, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36669, NULL, 'PF09512', NULL, NULL, 'Thiamine-precursor transporter protein (ThiW)', NULL, 'ThiW', NULL, NULL, 10537, 8),
(36670, NULL, 'PF10887', NULL, NULL, 'Protein of unknown function (DUF2686)', NULL, 'DUF2686', NULL, NULL, 17801, 8),
(36671, NULL, 'PF12587', NULL, NULL, 'Protein of unknown function (DUF3761)', NULL, 'DUF3761', NULL, NULL, 21404, 8),
(36672, NULL, 'PF07141', NULL, NULL, 'Putative bacteriophage terminase small subunit', NULL, 'Phage_term_sma', NULL, NULL, 11106, 8),
(36673, NULL, 'PF04438', NULL, NULL, 'HIT zinc finger', NULL, 'zf-HIT', NULL, NULL, 10896, 8),
(36674, NULL, 'PF10279', NULL, NULL, 'Latarcin precursor', NULL, 'Latarcin', NULL, NULL, 19149, 8),
(36675, NULL, 'PF10863', NULL, NULL, 'Nucleolar protein 19', NULL, 'NOP19', NULL, NULL, 16997, 8),
(36676, NULL, 'PF19406', NULL, NULL, 'PKD-like domain', NULL, 'PKD_5', NULL, NULL, 36834, 8),
(36677, NULL, 'PF10908', NULL, NULL, 'Protein of unknown function (DUF2778)', NULL, 'DUF2778', NULL, NULL, 17641, 8),
(36678, NULL, 'PF00584', NULL, NULL, 'SecE/Sec61-gamma subunits of protein translocation complex', NULL, 'SecE', NULL, NULL, 2338, 8),
(36679, NULL, 'PF08680', NULL, NULL, 'TATA-box binding', NULL, 'DUF1779', NULL, NULL, 11515, 8),
(36680, NULL, 'PF02030', NULL, NULL, 'Hypothetical lipoprotein (MG045 family)', NULL, 'Lipoprotein_8', NULL, NULL, NULL, 8),
(36681, NULL, 'PF14978', NULL, NULL, 'Mitochondrial ribosome protein 63', NULL, 'MRP-63', NULL, NULL, 18480, 8),
(36682, NULL, 'PF01001', NULL, NULL, 'Hepatitis C virus non-structural protein NS4b', NULL, 'HCV_NS4b', NULL, NULL, 5969, 8),
(36683, NULL, 'PF04509', NULL, NULL, 'CheC-like family', NULL, 'CheC', NULL, NULL, 2743, 8),
(36684, NULL, 'PF14220', NULL, NULL, 'Domain of unknown function (DUF4329)', NULL, 'DUF4329', NULL, NULL, 28166, 8),
(36685, NULL, 'PF00357', NULL, NULL, 'Integrin alpha cytoplasmic region', NULL, 'Integrin_alpha', NULL, NULL, 7935, 8),
(36686, NULL, 'PF02794', NULL, NULL, 'RTX toxin acyltransferase family', NULL, 'HlyC', NULL, NULL, 823, 8),
(36687, NULL, 'PF16335', NULL, NULL, 'Domain of unknown function (DUF4965)', NULL, 'DUF4965', NULL, NULL, 22735, 8),
(36688, NULL, 'PF04911', NULL, NULL, 'ATP synthase j chain', NULL, 'ATP-synt_J', NULL, NULL, 5936, 8),
(36689, NULL, 'PF08929', NULL, NULL, 'Domain of unknown function (DUF1911)', NULL, 'DUF1911', NULL, NULL, 7657, 8),
(36690, NULL, 'PF06052', NULL, NULL, '3-hydroxyanthranilic acid dioxygenase', NULL, '3-HAO', NULL, NULL, 8996, 8),
(36691, NULL, 'PF19383', NULL, NULL, 'Family of unknown function (DUF5958)', NULL, 'DUF5958', NULL, NULL, 39239, 8),
(36692, NULL, 'PF19628', NULL, NULL, 'Family of unknown function (DUF6132)', NULL, 'DUF6132', NULL, NULL, 36975, 8),
(36693, NULL, 'PF08157', NULL, NULL, 'NUC129 domain', NULL, 'NUC129', NULL, NULL, 9777, 8),
(36694, NULL, 'PF08208', NULL, NULL, 'DNA-directed RNA polymerase I subunit RPA34.5', NULL, 'RNA_polI_A34', NULL, NULL, 12531, 8),
(36695, NULL, 'PF02064', NULL, NULL, 'MAS20 protein import receptor', NULL, 'MAS20', NULL, NULL, 5009, 8),
(36696, NULL, 'PF15598', NULL, NULL, 'Immunity protein 61', NULL, 'Imm61', NULL, NULL, 25896, 8),
(36697, NULL, 'PF04065', NULL, NULL, 'Not1 N-terminal domain, CCR4-Not complex component', NULL, 'Not3', NULL, NULL, 1141, 8),
(36698, NULL, 'PF03359', NULL, NULL, 'Guanylate-kinase-associated protein (GKAP) protein', NULL, 'GKAP', NULL, NULL, 1271, 8),
(36699, NULL, 'PF13156', NULL, NULL, 'Restriction endonuclease', NULL, 'Mrr_cat_2', NULL, NULL, 33030, 8),
(36700, NULL, 'PF12383', NULL, NULL, 'Severe acute respiratory syndrome coronavirus 3b protein', NULL, 'SARS_3b', NULL, NULL, 21387, 8),
(36701, NULL, 'PF13844', NULL, NULL, 'Glycosyl transferase family 41', NULL, 'Glyco_transf_41', NULL, NULL, 28929, 8),
(36702, NULL, 'PF02186', NULL, NULL, 'TFIIE beta subunit core domain', NULL, 'TFIIE_beta', NULL, NULL, 1726, 8),
(36703, NULL, 'PF02045', NULL, NULL, 'CCAAT-binding transcription factor (CBF-B/NF-YA) subunit B', NULL, 'CBFB_NFYA', NULL, NULL, 2430, 8),
(36704, NULL, 'PF13564', NULL, NULL, 'DoxX-like family', NULL, 'DoxX_2', NULL, NULL, 23787, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36705, NULL, 'PF00791', NULL, NULL, 'ZU5 domain', NULL, 'ZU5', NULL, NULL, 3263, 8),
(36706, NULL, 'PF01417', NULL, NULL, 'ENTH domain', NULL, 'ENTH', NULL, NULL, 13203, 8),
(36707, NULL, 'PF01338', NULL, NULL, 'Bacillus thuringiensis toxin', NULL, 'Bac_thur_toxin', NULL, NULL, 3333, 8),
(36708, NULL, 'PF17268', NULL, NULL, 'Family of unknown function (DUF5334)', NULL, 'DUF5334', NULL, NULL, 19543, 8),
(36709, NULL, 'PF16994', NULL, NULL, 'Glycosyl-transferase family 4', NULL, 'Glyco_trans_4_5', NULL, NULL, 32869, 8),
(36710, NULL, 'PF03745', NULL, NULL, 'Domain of unknown function (DUF309)', NULL, 'DUF309', NULL, NULL, 913, 8),
(36711, NULL, 'PF19645', NULL, NULL, 'Family of unknown function (DUF6148)', NULL, 'DUF6148', NULL, NULL, 39817, 8),
(36712, NULL, 'PF06936', NULL, NULL, 'Selenoprotein S (SelS)', NULL, 'Selenoprotein_S', NULL, NULL, 11933, 8),
(36713, NULL, 'PF15808', NULL, NULL, 'BCL-6 co-repressor, non-ankyrin-repeat region', NULL, 'BCOR', NULL, NULL, 27291, 8),
(36714, NULL, 'PF04644', NULL, NULL, 'Motilin/ghrelin', NULL, 'Motilin_ghrelin', NULL, NULL, 3232, 8),
(36715, NULL, 'PF13351', NULL, NULL, 'Protein of unknown function (DUF4099)', NULL, 'DUF4099', NULL, NULL, 23192, 8),
(36716, NULL, 'PF01681', NULL, NULL, 'C6 domain', NULL, 'C6', NULL, NULL, 1800, 8),
(36717, NULL, 'PF15535', NULL, NULL, 'Bacterial toxin 37', NULL, 'Ntox37', NULL, NULL, 25018, 8),
(36718, NULL, 'PF13333', NULL, NULL, 'Integrase core domain', NULL, 'rve_2', NULL, NULL, 5455, 8),
(36719, NULL, 'PF08574', NULL, NULL, 'Transcription factor Iwr1', NULL, 'Iwr1', NULL, NULL, 17742, 8),
(36720, NULL, 'PF01255', NULL, NULL, 'Putative undecaprenyl diphosphate synthase', NULL, 'Prenyltransf', NULL, NULL, 3042, 8),
(36721, NULL, 'PF14774', NULL, NULL, 'FAM177 family', NULL, 'FAM177', NULL, NULL, 29306, 8),
(36722, NULL, 'PF16484', NULL, NULL, 'Carnitine O-palmitoyltransferase N-terminus', NULL, 'CPT_N', NULL, NULL, 18231, 8),
(36723, NULL, 'PF13631', NULL, NULL, 'Cytochrome b(N-terminal)/b6/petB', NULL, 'Cytochrom_B_N_2', NULL, NULL, 5625, 8),
(36724, NULL, 'PF04859', NULL, NULL, 'Plant protein of unknown function (DUF641)', NULL, 'DUF641', NULL, NULL, 5883, 8),
(36725, NULL, 'PF05452', NULL, NULL, 'Clavanin', NULL, 'Clavanin', NULL, NULL, 11594, 8),
(36726, NULL, 'PF00013', NULL, NULL, 'KH domain', NULL, 'KH_1', NULL, NULL, 1813, 8),
(36727, NULL, 'PF07653', NULL, NULL, 'Variant SH3 domain', NULL, 'SH3_2', NULL, NULL, 6360, 8),
(36728, NULL, 'PF07796', NULL, NULL, 'Protein of unknown function (DUF1638)', NULL, 'DUF1638', NULL, NULL, 14561, 8),
(36729, NULL, 'PF15538', NULL, NULL, 'Bacterial toxin 46', NULL, 'Ntox46', NULL, NULL, 21913, 8),
(36730, NULL, 'PF04965', NULL, NULL, 'Baseplate wedge protein gp25', NULL, 'GPW_gp25', NULL, NULL, 6918, 8),
(36731, NULL, 'PF04758', NULL, NULL, 'Ribosomal protein S30', NULL, 'Ribosomal_S30', NULL, NULL, 4010, 8),
(36732, NULL, 'PF04854', NULL, NULL, 'Protein of unknown function, DUF624', NULL, 'DUF624', NULL, NULL, 5760, 8),
(36733, NULL, 'PF00398', NULL, NULL, 'Ribosomal RNA adenine dimethylase', NULL, 'RrnaAD', NULL, NULL, 3082, 8),
(36734, NULL, 'PF08194', NULL, NULL, 'DIM protein', NULL, 'DIM', NULL, NULL, 8899, 8),
(36735, NULL, 'PF06220', NULL, NULL, 'U1 zinc finger', NULL, 'zf-U1', NULL, NULL, 7754, 8),
(36736, NULL, 'PF02346', NULL, NULL, 'Chordopoxvirus multifunctional envelope protein A27', NULL, 'Vac_Fusion', NULL, NULL, 5396, 8),
(36737, NULL, 'PF08132', NULL, NULL, 'S-adenosyl-l-methionine decarboxylase leader peptide', NULL, 'AdoMetDC_leader', NULL, NULL, 12730, 8),
(36738, NULL, 'PF00811', NULL, NULL, 'Ependymin', NULL, 'Ependymin', NULL, NULL, 812, 8),
(36739, NULL, 'PF02282', NULL, NULL, 'DNA polymerase processivity factor (UL42)', NULL, 'Herpes_UL42', NULL, NULL, 1789, 8),
(36740, NULL, 'PF11142', NULL, NULL, 'Protein of unknown function (DUF2917)', NULL, 'DUF2917', NULL, NULL, 17512, 8),
(36741, NULL, 'PF19595', NULL, NULL, 'Family of unknown function (DUF6100)', NULL, 'DUF6100', NULL, NULL, 39081, 8),
(36742, NULL, 'PF08470', NULL, NULL, 'Nontoxic nonhaemagglutinin C-terminal', NULL, 'NTNH_C', NULL, NULL, 13596, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36743, NULL, 'PF00962', NULL, NULL, 'Adenosine deaminase', NULL, 'A_deaminase', NULL, NULL, 7049, 8),
(36744, NULL, 'PF16867', NULL, NULL, 'Dimethlysulfonioproprionate lyase', NULL, 'DMSP_lyase', NULL, NULL, 25837, 8),
(36745, NULL, 'PF17799', NULL, NULL, 'Rrp7 RRM-like N-terminal domain', NULL, 'RRM_Rrp7', NULL, NULL, 34319, 8),
(36746, NULL, 'PF14441', NULL, NULL, 'OTT_1508-like deaminase', NULL, 'OTT_1508_deam', NULL, NULL, 23335, 8),
(36747, NULL, 'PF18290', NULL, NULL, 'Nudix hydrolase domain', NULL, 'Nudix_hydro', NULL, NULL, 30578, 8),
(36748, NULL, 'PF01367', NULL, NULL, '5''-3'' exonuclease, C-terminal SAM fold', NULL, '5_3_exonuc', NULL, NULL, 15581, 8),
(36749, NULL, 'PF04335', NULL, NULL, 'VirB8 protein', NULL, 'VirB8', NULL, NULL, 3656, 8),
(36750, NULL, 'PF15998', NULL, NULL, 'Domain of unknown function (DUF4773)', NULL, 'DUF4773', NULL, NULL, 27679, 8),
(36751, NULL, 'PF14178', NULL, NULL, 'YppF-like protein', NULL, 'YppF', NULL, NULL, 25195, 8),
(36752, NULL, 'PF10730', NULL, NULL, 'Protein of unknown function (DUF2521)', NULL, 'DUF2521', NULL, NULL, 21124, 8),
(36753, NULL, 'PF12996', NULL, NULL, 'DUF based on E. rectale Gene description (DUF3880)', NULL, 'DUF3880', NULL, NULL, 25649, 8),
(36754, NULL, 'PF19107', NULL, NULL, 'Family of unknown function (DUF5794)', NULL, 'DUF5794', NULL, NULL, 38123, 8),
(36755, NULL, 'PF16013', NULL, NULL, 'Domain of unknown function (DUF4781)', NULL, 'DUF4781', NULL, NULL, 22552, 8),
(36756, NULL, 'PF14010', NULL, NULL, 'Phosphoenolpyruvate carboxylase', NULL, 'PEPcase_2', NULL, NULL, 1658, 8),
(36757, NULL, 'PF19849', NULL, NULL, 'Family of unknown function (DUF6324)', NULL, 'DUF6324', NULL, NULL, 39681, 8),
(36758, NULL, 'PF01930', NULL, NULL, 'Domain of unknown function DUF83', NULL, 'Cas_Cas4', NULL, NULL, 20366, 8),
(36759, NULL, 'PF03335', NULL, NULL, 'Phage tail fibre repeat', NULL, 'Phage_fiber', NULL, NULL, 968, 8),
(36760, NULL, 'PF06956', NULL, NULL, 'Regulator of RNA terminal phosphate cyclase', NULL, 'RtcR', NULL, NULL, 12487, 8),
(36761, NULL, 'PF14407', NULL, NULL, 'Ribosomally synthesized peptide prototyped by Frankia Franean1_4349.', NULL, 'Frankia_peptide', NULL, NULL, 28922, 8),
(36762, NULL, 'PF19074', NULL, NULL, 'Family of unknown function (DUF5770)', NULL, 'DUF5770', NULL, NULL, 37610, 8),
(36763, NULL, 'PF14594', NULL, NULL, 'Siphovirus ReqiPepy6 Gp37-like protein', NULL, 'Sipho_Gp37', NULL, NULL, 26667, 8),
(36764, NULL, 'PF05792', NULL, NULL, 'Candida agglutinin-like (ALS)', NULL, 'Candida_ALS', NULL, NULL, 8750, 8),
(36765, NULL, 'PF16881', NULL, NULL, 'N-terminal domain of lipoyl synthase of Radical_SAM family', NULL, 'LIAS_N', NULL, NULL, 25978, 8),
(36766, NULL, 'PF00658', NULL, NULL, 'Poly-adenylate binding protein, unique domain', NULL, 'PABP', NULL, NULL, 5205, 8),
(36767, NULL, 'PF09212', NULL, NULL, 'Carbohydrate binding module 27', NULL, 'CBM27', NULL, NULL, 12729, 8),
(36768, NULL, 'PF20004', NULL, NULL, 'FtsH ternary system domain X6', NULL, 'fvmX6', NULL, NULL, 38726, 8),
(36769, NULL, 'PF01300', NULL, NULL, 'Telomere recombination', NULL, 'Sua5_yciO_yrdC', NULL, NULL, 2570, 8),
(36770, NULL, 'PF18224', NULL, NULL, 'ToxB N-terminal domain', NULL, 'ToxB_N', NULL, NULL, 32617, 8),
(36771, NULL, 'PF06497', NULL, NULL, 'Protein of unknown function (DUF1098)', NULL, 'DUF1098', NULL, NULL, 9255, 8),
(36772, NULL, 'PF08289', NULL, NULL, 'Influenza Matrix protein (M1) C-terminal domain', NULL, 'Flu_M1_C', NULL, NULL, 17846, 8),
(36773, NULL, 'PF00405', NULL, NULL, 'Transferrin', NULL, 'Transferrin', NULL, NULL, 1375, 8),
(36774, NULL, 'PF02340', NULL, NULL, 'PRRSV putative envelope protein', NULL, 'PRRSV_Env', NULL, NULL, 5287, 8),
(36775, NULL, 'PF11386', NULL, NULL, 'Vitelline envelope receptor for lysin', NULL, 'VERL', NULL, NULL, 18862, 8),
(36776, NULL, 'PF14522', NULL, NULL, 'Cytochrome c7 and related cytochrome c', NULL, 'Cytochrome_C7', NULL, NULL, 24120, 8),
(36777, NULL, 'PF14777', NULL, NULL, 'Cilia BBSome complex subunit 10', NULL, 'BBIP10', NULL, NULL, 23360, 8),
(36778, NULL, 'PF15086', NULL, NULL, 'Uncharacterised protein family UPF0542', NULL, 'UPF0542', NULL, NULL, 25087, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36779, NULL, 'PF03279', NULL, NULL, 'Bacterial lipid A biosynthesis acyltransferase', NULL, 'Lip_A_acyltrans', NULL, NULL, 2592, 8),
(36780, NULL, 'PF07368', NULL, NULL, 'Protein of unknown function (DUF1487)', NULL, 'DUF1487', NULL, NULL, 8084, 8),
(36781, NULL, 'PF12109', NULL, NULL, 'CXCR4 Chemokine receptor N terminal', NULL, 'CXCR4_N', NULL, NULL, 14831, 8),
(36782, NULL, 'PF10386', NULL, NULL, 'Protein of unknown function (DUF2441)', NULL, 'DUF2441', NULL, NULL, 20164, 8),
(36783, NULL, 'PF18549', NULL, NULL, 'Nitrosopumilus output domain 1', NULL, 'NitrOD1', NULL, NULL, 31368, 8),
(36784, NULL, 'PF12440', NULL, NULL, 'Melanoma associated antigen family N terminal', NULL, 'MAGE_N', NULL, NULL, 15048, 8),
(36785, NULL, 'PF17427', NULL, NULL, 'Phage Single-stranded DNA-binding protein', NULL, 'Phi29_Phage_SSB', NULL, NULL, 30608, 8),
(36786, NULL, 'PF07074', NULL, NULL, 'Translocon-associated protein, gamma subunit (TRAP-gamma)', NULL, 'TRAP-gamma', NULL, NULL, 12641, 8),
(36787, NULL, 'PF03239', NULL, NULL, 'Iron permease FTR1 family', NULL, 'FTR1', NULL, NULL, 1829, 8),
(36788, NULL, 'PF00114', NULL, NULL, 'Pilin (bacterial filament)', NULL, 'Pilin', NULL, NULL, 2137, 8),
(36789, NULL, 'PF02218', NULL, NULL, 'Repeat in HS1/Cortactin', NULL, 'HS1_rep', NULL, NULL, 2540, 8),
(36790, NULL, 'PF18917', NULL, NULL, 'Domain of unknown function (DUF5668)', NULL, 'DUF5668', NULL, NULL, 36528, 8),
(36791, NULL, 'PF03017', NULL, NULL, 'TNP1/EN/SPM transposase', NULL, 'Transposase_23', NULL, NULL, 3578, 8),
(36792, NULL, 'PF10305', NULL, NULL, 'RNA pol II promoter Fmp27 protein domain', NULL, 'Fmp27_SW', NULL, NULL, 16897, 8),
(36793, NULL, 'PF13721', NULL, NULL, 'SecD export protein N-terminal TM region', NULL, 'SecD-TM1', NULL, NULL, 25504, 8),
(36794, NULL, 'PF04588', NULL, NULL, 'Hypoxia induced protein conserved region', NULL, 'HIG_1_N', NULL, NULL, 472, 8),
(36795, NULL, 'PF02710', NULL, NULL, 'Hemagglutinin domain of haemagglutinin-esterase-fusion glycoprotein', NULL, 'Hema_HEFG', NULL, NULL, 3417, 8),
(36796, NULL, 'PF14528', NULL, NULL, 'LAGLIDADG-like domain', NULL, 'LAGLIDADG_3', NULL, NULL, 7320, 8),
(36797, NULL, 'PF18089', NULL, NULL, 'DAPG hydrolase PhiG domain', NULL, 'DAPG_hydrolase', NULL, NULL, 32498, 8),
(36798, NULL, 'PF12768', NULL, NULL, 'Cortical protein marker for cell polarity', NULL, 'Rax2', NULL, NULL, NULL, 8),
(36799, NULL, 'PF03315', NULL, NULL, 'Serine dehydratase beta chain', NULL, 'SDH_beta', NULL, NULL, 7282, 8),
(36800, NULL, 'PF13654', NULL, NULL, 'AAA domain', NULL, 'AAA_32', NULL, NULL, 32844, 8),
(36801, NULL, 'PF06157', NULL, NULL, 'Protein of unknown function (DUF973)', NULL, 'DUF973', NULL, NULL, 14938, 8),
(36802, NULL, 'PF02115', NULL, NULL, 'RHO protein GDP dissociation inhibitor', NULL, 'Rho_GDI', NULL, NULL, 4562, 8),
(36803, NULL, 'PF05476', NULL, NULL, 'PET122', NULL, 'PET122', NULL, NULL, 12025, 8),
(36804, NULL, 'PF18610', NULL, NULL, 'Periplasmic binding protein domain', NULL, 'Peripla_BP_7', NULL, NULL, 30861, 8),
(36805, NULL, 'PF20042', NULL, NULL, 'Family of unknown function (DUF6444)', NULL, 'DUF6444', NULL, NULL, 36954, 8),
(36806, NULL, 'PF14857', NULL, NULL, 'TMEM151 family', NULL, 'TMEM151', NULL, NULL, 25237, 8),
(36807, NULL, 'PF09441', NULL, NULL, 'ARS binding protein 2', NULL, 'Abp2', NULL, NULL, 15517, 8),
(36808, NULL, 'PF15379', NULL, NULL, 'Domain of unknown function (DUF4606)', NULL, 'DUF4606', NULL, NULL, 26889, 8),
(36809, NULL, 'PF08903', NULL, NULL, 'Domain of unknown function (DUF1846)', NULL, 'DUF1846', NULL, NULL, 7954, 8),
(36810, NULL, 'PF09727', NULL, NULL, 'Cortactin-binding protein-2', NULL, 'CortBP2', NULL, NULL, 17540, 8),
(36811, NULL, 'PF16662', NULL, NULL, 'FLYWCH-type zinc finger-containing protein 1', NULL, 'FLYWCH_u', NULL, NULL, NULL, 8),
(36812, NULL, 'PF00072', NULL, NULL, 'Response regulator receiver domain', NULL, 'Response_reg', NULL, NULL, 3293, 8),
(36813, NULL, 'PF01243', NULL, NULL, 'Pyridoxamine 5''-phosphate oxidase', NULL, 'Putative_PNPOx', NULL, NULL, 10684, 8),
(36814, NULL, 'PF04927', NULL, NULL, 'Seed maturation protein', NULL, 'SMP', NULL, NULL, 6718, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36815, NULL, 'PF00024', NULL, NULL, 'PAN domain', NULL, 'PAN_1', NULL, NULL, 745, 8),
(36816, NULL, 'PF18797', NULL, NULL, 'Adenomatous polyposis coli (APC) repeat', NULL, 'APC_rep', NULL, NULL, 32024, 8),
(36817, NULL, 'PF19440', NULL, NULL, 'Tetratricopeptide repeat protein 7 N-terminal', NULL, 'TTC7_N', NULL, NULL, 38952, 8),
(36818, NULL, 'PF20141', NULL, NULL, 'Brassinosteroid receptor island domain', NULL, 'Island', NULL, NULL, 38488, 8),
(36819, NULL, 'PF09487', NULL, NULL, 'Bacterial type III secretion protein (HrpB2)', NULL, 'HrpB2', NULL, NULL, 11841, 8),
(36820, NULL, 'PF09709', NULL, NULL, 'CRISPR-associated protein (Cas_Csd1)', NULL, 'Cas_Csd1', NULL, NULL, 10628, 8),
(36821, NULL, 'PF13647', NULL, NULL, 'Glycosyl hydrolase family 80 of chitosanase A', NULL, 'Glyco_hydro_80', NULL, NULL, 26946, 8),
(36822, NULL, 'PF15627', NULL, NULL, 'CEP76 C2 domain', NULL, 'CEP76-C2', NULL, NULL, 26256, 8),
(36823, NULL, 'PF04520', NULL, NULL, 'Senescence regulator', NULL, 'Senescence_reg', NULL, NULL, 2732, 8),
(36824, NULL, 'PF00720', NULL, NULL, 'Subtilisin inhibitor-like', NULL, 'SSI', NULL, NULL, 17496, 8),
(36825, NULL, 'PF07882', NULL, NULL, 'L-fucose isomerase, second N-terminal domain', NULL, 'Fucose_iso_N2', NULL, NULL, 13455, 8),
(36826, NULL, 'PF13956', NULL, NULL, 'Toxin Ibs, type I toxin-antitoxin system', NULL, 'Ibs_toxin', NULL, NULL, 26776, 8),
(36827, NULL, 'PF05224', NULL, NULL, 'NDT80 / PhoG like DNA-binding  family', NULL, 'NDT80_PhoG', NULL, NULL, 12722, 8),
(36828, NULL, 'PF05057', NULL, NULL, 'Putative serine esterase (DUF676)', NULL, 'DUF676', NULL, NULL, 1387, 8),
(36829, NULL, 'PF07292', NULL, NULL, 'Nmi/IFP 35 domain (NID)', NULL, 'NID', NULL, NULL, 14916, 8),
(36830, NULL, 'PF03932', NULL, NULL, 'CutC family', NULL, 'CutC', NULL, NULL, 740, 8),
(36831, NULL, 'PF02592', NULL, NULL, 'Putative vitamin uptake transporter', NULL, 'Vut_1', NULL, NULL, 2350, 8),
(36832, NULL, 'PF15636', NULL, NULL, 'GHH signature containing HNH/Endo VII superfamily nuclease toxin', NULL, 'Tox-GHH', NULL, NULL, 26084, 8),
(36833, NULL, 'PF10263', NULL, NULL, 'SprT-like family', NULL, 'SprT-like', NULL, NULL, 1053, 8),
(36834, NULL, 'PF16140', NULL, NULL, 'Domain of unknown function (DUF4848)', NULL, 'DUF4848', NULL, NULL, 28464, 8),
(36835, NULL, 'PF16923', NULL, NULL, 'Glycosyl hydrolase family 63 N-terminal domain', NULL, 'Glyco_hydro_63N', NULL, NULL, 26540, 8),
(36836, NULL, 'PF08553', NULL, NULL, 'VID27 C-terminal WD40-like domain', NULL, 'VID27', NULL, NULL, 9747, 8),
(36837, NULL, 'PF19429', NULL, NULL, 'Evasins Class A', NULL, 'EVA_Class_A', NULL, NULL, 39867, 8),
(36838, NULL, 'PF18318', NULL, NULL, 'Glutamine synthetase C-terminal domain', NULL, 'Gln-synt_C-ter', NULL, NULL, 29525, 8),
(36839, NULL, 'PF18438', NULL, NULL, 'Glycosyl hydrolases family 38 C-terminal domain 1', NULL, 'Glyco_hydro_38', NULL, NULL, 31958, 8),
(36840, NULL, 'PF03647', NULL, NULL, 'Transmembrane proteins 14C', NULL, 'Tmemb_14', NULL, NULL, 6218, 8),
(36841, NULL, 'PF10425', NULL, NULL, 'C-terminus of bacterial fibrinogen-binding adhesin', NULL, 'SdrG_C_C', NULL, NULL, 12639, 8),
(36842, NULL, 'PF19477', NULL, NULL, 'Family of unknown function (DUF6014)', NULL, 'DUF6014', NULL, NULL, 39069, 8),
(36843, NULL, 'PF10532', NULL, NULL, 'Plant specific N-all beta domain', NULL, 'Plant_all_beta', NULL, NULL, 19330, 8),
(36844, NULL, 'PF01985', NULL, NULL, 'CRS1 / YhbY (CRM) domain', NULL, 'CRS1_YhbY', NULL, NULL, 4269, 8),
(36845, NULL, 'PF15777', NULL, NULL, 'Tryptophan RNA-binding attenuator protein inhibitory protein', NULL, 'Anti-TRAP', NULL, NULL, 26515, 8),
(36846, NULL, 'PF18902', NULL, NULL, 'Domain of unknown function (DUF5658)', NULL, 'DUF5658', NULL, NULL, 38451, 8),
(36847, NULL, 'PF08812', NULL, NULL, 'YtxC-like family', NULL, 'YtxC', NULL, NULL, 9004, 8),
(36848, NULL, 'PF00922', NULL, NULL, 'Vesiculovirus phosphoprotein', NULL, 'Phosphoprotein', NULL, NULL, NULL, 8),
(36849, NULL, 'PF01538', NULL, NULL, 'Hepatitis C virus non-structural protein NS2', NULL, 'HCV_NS2', NULL, NULL, 902, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36850, NULL, 'PF15798', NULL, NULL, 'Proline-rich AKT1 substrate 1', NULL, 'PRAS', NULL, NULL, 27209, 8),
(36851, NULL, 'PF16821', NULL, NULL, 'C protein from hendra and measles viruses', NULL, 'C_Hendra', NULL, NULL, 22526, 8),
(36852, NULL, 'PF05683', NULL, NULL, 'Fumarase C-terminus', NULL, 'Fumerase_C', NULL, NULL, 2858, 8),
(36853, NULL, 'PF05130', NULL, NULL, 'FlgN protein', NULL, 'FlgN', NULL, NULL, 2148, 8),
(36854, NULL, 'PF11640', NULL, NULL, 'Telomere-length maintenance and DNA damage repair', NULL, 'TAN', NULL, NULL, 19265, 8),
(36855, NULL, 'PF02081', NULL, NULL, 'Tryptophan RNA-binding attenuator protein', NULL, 'TrpBP', NULL, NULL, 10023, 8),
(36856, NULL, 'PF10504', NULL, NULL, 'Protein of unknown function (DUF2452)', NULL, 'DUF2452', NULL, NULL, 19443, 8),
(36857, NULL, 'PF13089', NULL, NULL, 'Polyphosphate kinase N-terminal domain', NULL, 'PP_kinase_N', NULL, NULL, 22078, 8),
(36858, NULL, 'PF11561', NULL, NULL, 'Single strand annealing-weakened 1', NULL, 'Saw1', NULL, NULL, 19161, 8),
(36859, NULL, 'PF18401', NULL, NULL, 'Thioredoxin-like domain', NULL, 'Thioredoxin_13', NULL, NULL, 30528, 8),
(36860, NULL, 'PF16677', NULL, NULL, 'DNA-packaging protein gp3', NULL, 'GP3_package', NULL, NULL, 28313, 8),
(36861, NULL, 'PF18855', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 11', NULL, 'baeRF_family11', NULL, NULL, 32787, 8),
(36862, NULL, 'PF05474', NULL, NULL, 'Semenogelin', NULL, 'Semenogelin', NULL, NULL, 14425, 8),
(36863, NULL, 'PF09860', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2087)', NULL, 'DUF2087', NULL, NULL, 16760, 8),
(36864, NULL, 'PF07800', NULL, NULL, 'Protein of unknown function (DUF1644)', NULL, 'DUF1644', NULL, NULL, 12967, 8),
(36865, NULL, 'PF09788', NULL, NULL, 'Transmembrane protein 55A', NULL, 'Tmemb_55A', NULL, NULL, 18621, 8),
(36866, NULL, 'PF12291', NULL, NULL, 'Protein of unknown function (DUF3623)', NULL, 'DUF3623', NULL, NULL, 21257, 8),
(36867, NULL, 'PF17354', NULL, NULL, 'Family of unknown function (DUF5382)', NULL, 'DUF5382', NULL, NULL, 32438, 8),
(36868, NULL, 'PF05965', NULL, NULL, 'F/Y rich C-terminus', NULL, 'FYRC', NULL, NULL, 4424, 8),
(36869, NULL, 'PF01195', NULL, NULL, 'Peptidyl-tRNA hydrolase', NULL, 'Pept_tRNA_hydro', NULL, NULL, 2301, 8),
(36870, NULL, 'PF06452', NULL, NULL, 'Carbohydrate family 9 binding domain-like', NULL, 'CBM9_1', NULL, NULL, 10815, 8),
(36871, NULL, 'PF00293', NULL, NULL, 'NUDIX domain', NULL, 'NUDIX', NULL, NULL, 2670, 8),
(36872, NULL, 'PF07484', NULL, NULL, 'Phage Tail Collar Domain', NULL, 'Collar', NULL, NULL, 10975, 8),
(36873, NULL, 'PF16321', NULL, NULL, 'Sigma 54 modulation/S30EA ribosomal protein C terminus', NULL, 'Ribosom_S30AE_C', NULL, NULL, 26821, 8),
(36874, NULL, 'PF08797', NULL, NULL, 'HIRAN domain', NULL, 'HIRAN', NULL, NULL, 13301, 8),
(36875, NULL, 'PF14977', NULL, NULL, 'FAM194 protein', NULL, 'FAM194', NULL, NULL, 21648, 8),
(36876, NULL, 'PF12237', NULL, NULL, 'Phosphorylated CTD interacting factor 1 WW domain', NULL, 'PCIF1_WW', NULL, NULL, 20539, 8),
(36877, NULL, 'PF07387', NULL, NULL, 'Seadornavirus VP7', NULL, 'Seadorna_VP7', NULL, NULL, 8416, 8),
(36878, NULL, 'PF03270', NULL, NULL, 'Protein of unknown function, DUF269', NULL, 'DUF269', NULL, NULL, 2642, 8),
(36879, NULL, 'PF01027', NULL, NULL, 'Inhibitor of apoptosis-promoting Bax1', NULL, 'Bax1-I', NULL, NULL, 11238, 8),
(36880, NULL, 'PF13299', NULL, NULL, 'Cleavage and polyadenylation factor 2 C-terminal', NULL, 'CPSF100_C', NULL, NULL, 22869, 8),
(36881, NULL, 'PF16735', NULL, NULL, 'Unconventional myosin-X coiled coil domain', NULL, 'MYO10_CC', NULL, NULL, 22887, 8),
(36882, NULL, 'PF02827', NULL, NULL, 'cAMP-dependent protein kinase inhibitor', NULL, 'PKI', NULL, NULL, 4647, 8),
(36883, NULL, 'PF05770', NULL, NULL, 'Inositol 1,3,4-trisphosphate 5/6-kinase ATP-grasp domain', NULL, 'Ins134_P3_kin', NULL, NULL, 31135, 8),
(36884, NULL, 'PF18405', NULL, NULL, 'Mitochondrial SLC25 homolog', NULL, 'SLC25_like', NULL, NULL, 31705, 8),
(36885, NULL, 'PF06364', NULL, NULL, 'Protein of unknown function (DUF1068)', NULL, 'DUF1068', NULL, NULL, 10091, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36886, NULL, 'PF00324', NULL, NULL, 'Amino acid permease', NULL, 'AA_permease', NULL, NULL, 4043, 8),
(36887, NULL, 'PF02157', NULL, NULL, 'Mannose-6-phosphate receptor', NULL, 'Man-6-P_recep', NULL, NULL, 22673, 8),
(36888, NULL, 'PF09607', NULL, NULL, 'Brinker DNA-binding domain', NULL, 'BrkDBD', NULL, NULL, 15928, 8),
(36889, NULL, 'PF14381', NULL, NULL, 'Ethylene-responsive protein kinase Le-CTR1', NULL, 'EDR1', NULL, NULL, NULL, 8),
(36890, NULL, 'PF01018', NULL, NULL, 'GTP1/OBG', NULL, 'GTP1_OBG', NULL, NULL, 10229, 8),
(36891, NULL, 'PF07057', NULL, NULL, 'DNA helicase TraI', NULL, 'TraI', NULL, NULL, 12918, 8),
(36892, NULL, 'PF16998', NULL, NULL, '17 kDa outer membrane surface antigen', NULL, '17kDa_Anti_2', NULL, NULL, 24407, 8),
(36893, NULL, 'PF11432', NULL, NULL, 'Protein of unknown function (DUF3197)', NULL, 'DUF3197', NULL, NULL, 23055, 8),
(36894, NULL, 'PF07438', NULL, NULL, 'Protein of unknown function (DUF1514)', NULL, 'DUF1514', NULL, NULL, 9312, 8),
(36895, NULL, 'PF17184', NULL, NULL, 'Rit1 N-terminal domain', NULL, 'Rit1_C', NULL, NULL, 34687, 8),
(36896, NULL, 'PF07436', NULL, NULL, 'Curtovirus V3 protein', NULL, 'Curto_V3', NULL, NULL, 9321, 8),
(36897, NULL, 'PF11395', NULL, NULL, 'Betacoronavirus NS7B protein', NULL, 'bCoV_NS7B', NULL, NULL, 18578, 8),
(36898, NULL, 'PF11673', NULL, NULL, 'Protein of unknown function (DUF3269)', NULL, 'DUF3269', NULL, NULL, 19277, 8),
(36899, NULL, 'PF00716', NULL, NULL, 'Assemblin (Peptidase family S21)', NULL, 'Peptidase_S21', NULL, NULL, 4250, 8),
(36900, NULL, 'PF16640', NULL, NULL, 'Bacterial Ig-like domain (group 3)', NULL, 'Big_3_5', NULL, NULL, 23927, 8),
(36901, NULL, 'PF12762', NULL, NULL, 'ISXO2-like transposase domain', NULL, 'DDE_Tnp_IS1595', NULL, NULL, 25785, 8),
(36902, NULL, 'PF08618', NULL, NULL, 'Transcription factor Opi1', NULL, 'Opi1', NULL, NULL, 14089, 8),
(36903, NULL, 'PF03789', NULL, NULL, 'ELK domain', NULL, 'ELK', NULL, NULL, 1582, 8),
(36904, NULL, 'PF14112', NULL, NULL, 'Immunity protein 22', NULL, 'DUF4284', NULL, NULL, 23995, 8),
(36905, NULL, 'PF00396', NULL, NULL, 'Granulin', NULL, 'Granulin', NULL, NULL, 1606, 8),
(36906, NULL, 'PF13962', NULL, NULL, 'Domain of unknown function', NULL, 'PGG', NULL, NULL, 27826, 8),
(36907, NULL, 'PF09930', NULL, NULL, 'Predicted transporter (DUF2162)', NULL, 'DUF2162', NULL, NULL, 15432, 8),
(36908, NULL, 'PF10952', NULL, NULL, 'Protein of unknown function (DUF2753)', NULL, 'DUF2753', NULL, NULL, 19134, 8),
(36909, NULL, 'PF12111', NULL, NULL, 'Polyribonucleotide phosphorylase C terminal', NULL, 'PNPase_C', NULL, NULL, 20623, 8),
(36910, NULL, 'PF12178', NULL, NULL, 'Chromosome passenger complex (CPC) protein INCENP N terminal', NULL, 'INCENP_N', NULL, NULL, 20830, 8),
(36911, NULL, 'PF11320', NULL, NULL, 'Protein of unknown function (DUF3122)', NULL, 'DUF3122', NULL, NULL, 18794, 8),
(36912, NULL, 'PF01946', NULL, NULL, 'Thi4 family', NULL, 'Thi4', NULL, NULL, NULL, 8),
(36913, NULL, 'PF03050', NULL, NULL, 'Transposase IS66 family', NULL, 'DDE_Tnp_IS66', NULL, NULL, 4598, 8),
(36914, NULL, 'PF06072', NULL, NULL, 'Alphaherpesvirus tegument protein US9', NULL, 'Herpes_US9', NULL, NULL, 13661, 8),
(36915, NULL, 'PF03939', NULL, NULL, 'Ribosomal protein L23, N-terminal domain', NULL, 'Ribosomal_L23eN', NULL, NULL, 2726, 8),
(36916, NULL, 'PF08496', NULL, NULL, 'Peptidase family S49 N-terminal', NULL, 'Peptidase_S49_N', NULL, NULL, 14496, 8),
(36917, NULL, 'PF17797', NULL, NULL, 'RL domain', NULL, 'RL', NULL, NULL, 31365, 8),
(36918, NULL, 'PF05804', NULL, NULL, 'Kinesin-associated protein (KAP)', NULL, 'KAP', NULL, NULL, NULL, 8),
(36919, NULL, 'PF01704', NULL, NULL, 'UTP--glucose-1-phosphate uridylyltransferase', NULL, 'UDPGP', NULL, NULL, 2678, 8),
(36920, NULL, 'PF05157', NULL, NULL, 'Type II secretion system (T2SS), protein E, N-terminal domain', NULL, 'T2SSE_N', NULL, NULL, 2101, 8),
(36921, NULL, 'PF04702', NULL, NULL, 'Vicilin N terminal region', NULL, 'Vicilin_N', NULL, NULL, 3299, 8),
(36922, NULL, 'PF05630', NULL, NULL, 'Necrosis inducing protein (NPP1)', NULL, 'NPP1', NULL, NULL, 13278, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36923, NULL, 'PF12580', NULL, NULL, 'Tripeptidyl peptidase II', NULL, 'TPPII', NULL, NULL, 21378, 8),
(36924, NULL, 'PF17006', NULL, NULL, 'Domain of unknown function (DUF5087)', NULL, 'DUF5087', NULL, NULL, 25044, 8),
(36925, NULL, 'PF11057', NULL, NULL, 'Cortexin of kidney', NULL, 'Cortexin', NULL, NULL, 12452, 8),
(36926, NULL, 'PF05702', NULL, NULL, 'Herpesvirus UL49.5 envelope/tegument protein', NULL, 'Herpes_UL49_5', NULL, NULL, 14842, 8),
(36927, NULL, 'PF14242', NULL, NULL, 'Domain of unknown function (DUF4342)', NULL, 'DUF4342', NULL, NULL, 26381, 8),
(36928, NULL, 'PF05549', NULL, NULL, 'Allexivirus 40kDa protein', NULL, 'Allexi_40kDa', NULL, NULL, 7835, 8),
(36929, NULL, 'PF08874', NULL, NULL, 'Domain of unknown function (DUF1835)', NULL, 'DUF1835', NULL, NULL, 14112, 8),
(36930, NULL, 'PF12414', NULL, NULL, 'Calcitonin gene-related peptide regulator C terminal', NULL, 'Fox-1_C', NULL, NULL, 25457, 8),
(36931, NULL, 'PF16000', NULL, NULL, 'CARMIL C-terminus', NULL, 'CARMIL_C', NULL, NULL, 27924, 8),
(36932, NULL, 'PF07229', NULL, NULL, 'VirE2', NULL, 'VirE2', NULL, NULL, 14875, 8),
(36933, NULL, 'PF08670', NULL, NULL, 'MEKHLA domain', NULL, 'MEKHLA', NULL, NULL, 8177, 8),
(36934, NULL, 'PF01161', NULL, NULL, 'Phosphatidylethanolamine-binding protein', NULL, 'PBP', NULL, NULL, 7746, 8),
(36935, NULL, 'PF01861', NULL, NULL, 'Branched-chain polyamine synthase A C-terminal domain', NULL, 'DUF43', NULL, NULL, 3803, 8),
(36936, NULL, 'PF17595', NULL, NULL, 'Family of unknown function (DUF5491)', NULL, 'DUF5491', NULL, NULL, 19735, 8),
(36937, NULL, 'PF02361', NULL, NULL, 'Cobalt transport protein', NULL, 'CbiQ', NULL, NULL, 4400, 8),
(36938, NULL, 'PF08647', NULL, NULL, 'BRE1 E3 ubiquitin ligase', NULL, 'BRE1', NULL, NULL, NULL, 8),
(36939, NULL, 'PF02211', NULL, NULL, 'Nitrile hydratase beta subunit', NULL, 'NHase_beta', NULL, NULL, 10132, 8),
(36940, NULL, 'PF01359', NULL, NULL, 'Transposase (partial DDE domain)', NULL, 'Transposase_1', NULL, NULL, 4330, 8),
(36941, NULL, 'PF12789', NULL, NULL, 'Phage tail repeat like', NULL, 'PTR', NULL, NULL, NULL, 8),
(36942, NULL, 'PF01022', NULL, NULL, 'Bacterial regulatory protein, arsR family', NULL, 'HTH_5', NULL, NULL, 4091, 8),
(36943, NULL, 'PF17137', NULL, NULL, 'Domain of unknown function (DUF5110)', NULL, 'DUF5110', NULL, NULL, 32545, 8),
(36944, NULL, 'PF19951', NULL, NULL, 'Family of unknown function (DUF6413)', NULL, 'DUF6413', NULL, NULL, 36605, 8),
(36945, NULL, 'PF10130', NULL, NULL, 'PIN domain', NULL, 'PIN_2', NULL, NULL, 3625, 8),
(36946, NULL, 'PF15095', NULL, NULL, 'Interleukin 33', NULL, 'IL33', NULL, NULL, 23760, 8),
(36947, NULL, 'PF15493', NULL, NULL, 'Domain of unknown function, YrpD', NULL, 'YrpD', NULL, NULL, 25198, 8),
(36948, NULL, 'PF08145', NULL, NULL, 'BOP1NT (NUC169) domain', NULL, 'BOP1NT', NULL, NULL, 12149, 8),
(36949, NULL, 'PF03574', NULL, NULL, 'Peptidase family S48', NULL, 'Peptidase_S48', NULL, NULL, 5130, 8),
(36950, NULL, 'PF06526', NULL, NULL, 'Protein of unknown function (DUF1107)', NULL, 'DUF1107', NULL, NULL, 9020, 8),
(36951, NULL, 'PF02519', NULL, NULL, 'Auxin responsive protein', NULL, 'Auxin_inducible', NULL, NULL, 6087, 8),
(36952, NULL, 'PF07933', NULL, NULL, 'Protein of unknown function (DUF1681)', NULL, 'DUF1681', NULL, NULL, 14786, 8),
(36953, NULL, 'PF06967', NULL, NULL, 'Mo-dependent nitrogenase C-terminus', NULL, 'Mo-nitro_C', NULL, NULL, 12444, 8),
(36954, NULL, 'PF01793', NULL, NULL, 'Glycolipid 2-alpha-mannosyltransferase', NULL, 'Glyco_transf_15', NULL, NULL, 2738, 8),
(36955, NULL, 'PF04412', NULL, NULL, 'Aconitase X', NULL, 'AcnX', NULL, NULL, 10201, 8),
(36956, NULL, 'PF14702', NULL, NULL, 'Central domain of human glycogen debranching enzyme', NULL, 'hGDE_central', NULL, NULL, 22794, 8),
(36957, NULL, 'PF11263', NULL, NULL, 'Borrelia burgdorferi attachment protein P66', NULL, 'Attachment_P66', NULL, NULL, 14919, 8),
(36958, NULL, 'PF15816', NULL, NULL, 'Transmembrane protein 82', NULL, 'TMEM82', NULL, NULL, 24849, 8),
(36959, NULL, 'PF07596', NULL, NULL, 'Protein of unknown function (DUF1559)', NULL, 'SBP_bac_10', NULL, NULL, 13530, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36960, NULL, 'PF13897', NULL, NULL, 'Golgi-dynamics membrane-trafficking', NULL, 'GOLD_2', NULL, NULL, 7812, 8),
(36961, NULL, 'PF15767', NULL, NULL, 'Domain of unknown function (DUF4696)', NULL, 'DUF4696', NULL, NULL, 28991, 8),
(36962, NULL, 'PF05104', NULL, NULL, 'Ribosome receptor lysine/proline rich region', NULL, 'Rib_recp_KP_reg', NULL, NULL, 2004, 8),
(36963, NULL, 'PF19085', NULL, NULL, 'Choline-binding repeat', NULL, 'Choline_bind_2', NULL, NULL, 20693, 8),
(36964, NULL, 'PF19904', NULL, NULL, 'Domain of unknown function (DUF6377)', NULL, 'DUF6377', NULL, NULL, 39086, 8),
(36965, NULL, 'PF18027', NULL, NULL, 'Cytosolic carboxypeptidase N-terminal domain', NULL, 'Pepdidase_M14_N', NULL, NULL, 29870, 8),
(36966, NULL, 'PF03458', NULL, NULL, 'Glycine transporter', NULL, 'Gly_transporter', NULL, NULL, 10633, 8),
(36967, NULL, 'PF17992', NULL, NULL, 'Agarase CBM like domain', NULL, 'Agarase_CBM', NULL, NULL, 30187, 8),
(36968, NULL, 'PF19650', NULL, NULL, 'Family of unknown function (DUF6153)', NULL, 'DUF6153', NULL, NULL, 39734, 8),
(36969, NULL, 'PF03737', NULL, NULL, 'Aldolase/RraA', NULL, 'RraA-like', NULL, NULL, 513, 8),
(36970, NULL, 'PF19424', NULL, NULL, 'Protein UNC80', NULL, 'UNC80', NULL, NULL, 36648, 8),
(36971, NULL, 'PF09202', NULL, NULL, 'Rio2, N-terminal', NULL, 'Rio2_N', NULL, NULL, 12840, 8),
(36972, NULL, 'PF09769', NULL, NULL, 'Apolipoprotein O', NULL, 'ApoO', NULL, NULL, 18939, 8),
(36973, NULL, 'PF10494', NULL, NULL, 'Serine-threonine protein kinase 19', NULL, 'Stk19', NULL, NULL, 21224, 8),
(36974, NULL, 'PF07926', NULL, NULL, 'TPR/MLP1/MLP2-like protein', NULL, 'TPR_MLP1_2', NULL, NULL, 8401, 8),
(36975, NULL, 'PF14442', NULL, NULL, 'Bd3614-like deaminase N-terminal', NULL, 'Bd3614_N', NULL, NULL, 25157, 8),
(36976, NULL, 'PF08852', NULL, NULL, 'Protein of unknown function (DUF1822)', NULL, 'DUF1822', NULL, NULL, 14132, 8),
(36977, NULL, 'PF03606', NULL, NULL, 'C4-dicarboxylate anaerobic carrier', NULL, 'DcuC', NULL, NULL, 20917, 8),
(36978, NULL, 'PF13025', NULL, NULL, 'Protein of unknown function (DUF3886)', NULL, 'DUF3886', NULL, NULL, 22653, 8),
(36979, NULL, 'PF16619', NULL, NULL, 'Unstructured region C-term to UIM in Ataxin3', NULL, 'SUIM_assoc', NULL, NULL, NULL, 8),
(36980, NULL, 'PF06122', NULL, NULL, 'Conjugative relaxosome accessory transposon protein', NULL, 'TraH', NULL, NULL, 7951, 8),
(36981, NULL, 'PF10269', NULL, NULL, 'Transmembrane Fragile-X-F protein', NULL, 'Tmemb_185A', NULL, NULL, 16915, 8),
(36982, NULL, 'PF14885', NULL, NULL, 'Hypothetical glycosyl hydrolase family 15', NULL, 'GHL15', NULL, NULL, 27910, 8),
(36983, NULL, 'PF14912', NULL, NULL, 'Testicular haploid expressed repeat', NULL, 'THEG', NULL, NULL, 1412, 8),
(36984, NULL, 'PF11422', NULL, NULL, 'Initiator binding protein 39 kDa', NULL, 'IBP39', NULL, NULL, 12064, 8),
(36985, NULL, 'PF11286', NULL, NULL, 'Protein of unknown function (DUF3087)', NULL, 'DUF3087', NULL, NULL, 18493, 8),
(36986, NULL, 'PF04113', NULL, NULL, 'Gpi16 subunit, GPI transamidase component', NULL, 'Gpi16', NULL, NULL, 6655, 8),
(36987, NULL, 'PF03723', NULL, NULL, 'Hemocyanin, ig-like domain', NULL, 'Hemocyanin_C', NULL, NULL, 5300, 8),
(36988, NULL, 'PF16432', NULL, NULL, 'Domain of unknown function (DUF5029)', NULL, 'DUF5029', NULL, NULL, 25628, 8),
(36989, NULL, 'PF00202', NULL, NULL, 'Aminotransferase class-III', NULL, 'Aminotran_3', NULL, NULL, 5557, 8),
(36990, NULL, 'PF16029', NULL, NULL, 'Domain of unknown function (DUF4787)', NULL, 'DUF4787', NULL, NULL, 28119, 8),
(36991, NULL, 'PF18173', NULL, NULL, 'Bacterial HORMA domain 2', NULL, 'bacHORMA_2', NULL, NULL, 30579, 8),
(36992, NULL, 'PF08238', NULL, NULL, 'Sel1 repeat', NULL, 'Sel1', NULL, NULL, 1367, 8),
(36993, NULL, 'PF13715', NULL, NULL, 'CarboxypepD_reg-like domain', NULL, 'CarbopepD_reg_2', NULL, NULL, NULL, 8),
(36994, NULL, 'PF16098', NULL, NULL, 'Fragile X-related mental retardation protein C-terminal region 2', NULL, 'FXMR_C2', NULL, NULL, 22829, 8),
(36995, NULL, 'PF10793', NULL, NULL, 'Gloverin-like protein', NULL, 'Gloverin', NULL, NULL, 21165, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(36996, NULL, 'PF01039', NULL, NULL, 'Carboxyl transferase domain', NULL, 'Carboxyl_trans', NULL, NULL, 19550, 8),
(36997, NULL, 'PF17657', NULL, NULL, 'Bacterial DNA polymerase III alpha subunit finger domain', NULL, 'DNA_pol3_finger', NULL, NULL, 31464, 8),
(36998, NULL, 'PF12559', NULL, NULL, 'Serine endopeptidase inhibitors', NULL, 'Inhibitor_I10', NULL, NULL, 21019, 8),
(36999, NULL, 'PF13361', NULL, NULL, 'UvrD-like helicase C-terminal domain', NULL, 'UvrD_C', NULL, NULL, 9108, 8),
(37000, NULL, 'PF01048', NULL, NULL, 'Phosphorylase superfamily', NULL, 'PNP_UDP_1', NULL, NULL, 65, 8),
(37001, NULL, 'PF01903', NULL, NULL, 'CbiX', NULL, 'CbiX', NULL, NULL, 4142, 8),
(37002, NULL, 'PF17696', NULL, NULL, 'Family of unknown function (DUF5542)', NULL, 'DUF5542', NULL, NULL, 32646, 8),
(37003, NULL, 'PF08869', NULL, NULL, 'XisI protein', NULL, 'XisI', NULL, NULL, 14045, 8),
(37004, NULL, 'PF06152', NULL, NULL, 'Phage minor capsid protein 2', NULL, 'Phage_min_cap2', NULL, NULL, 14599, 8),
(37005, NULL, 'PF09921', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2153)', NULL, 'DUF2153', NULL, NULL, 9579, 8),
(37006, NULL, 'PF12674', NULL, NULL, 'Putative zinc ribbon domain', NULL, 'Zn_ribbon_2', NULL, NULL, 27087, 8),
(37007, NULL, 'PF18925', NULL, NULL, 'Family of unknown function (DUF5675)', NULL, 'DUF5675', NULL, NULL, 38214, 8),
(37008, NULL, 'PF15848', NULL, NULL, 'Odontogenesis associated phosphoprotein', NULL, 'ODAPH', NULL, NULL, 22150, 8),
(37009, NULL, 'PF00762', NULL, NULL, 'Ferrochelatase', NULL, 'Ferrochelatase', NULL, NULL, 2110, 8),
(37010, NULL, 'PF05593', NULL, NULL, 'RHS Repeat', NULL, 'RHS_repeat', NULL, NULL, 24110, 8),
(37011, NULL, 'PF12704', NULL, NULL, 'MacB-like periplasmic core domain', NULL, 'MacB_PCD', NULL, NULL, 24179, 8),
(37012, NULL, 'PF00981', NULL, NULL, 'Rotavirus RNA-binding Protein 53 (NS53)', NULL, 'Rota_NS53', NULL, NULL, 5071, 8),
(37013, NULL, 'PF07845', NULL, NULL, 'Protein of unknown function (DUF1636)', NULL, 'DUF1636', NULL, NULL, 12581, 8),
(37014, NULL, 'PF01342', NULL, NULL, 'SAND domain', NULL, 'SAND', NULL, NULL, 3892, 8),
(37015, NULL, 'PF13606', NULL, NULL, 'Ankyrin repeat', NULL, 'Ank_3', NULL, NULL, 1196, 8),
(37016, NULL, 'PF03708', NULL, NULL, 'Avian retrovirus envelope protein, gp85', NULL, 'Avian_gp85', NULL, NULL, 4737, 8),
(37017, NULL, 'PF18161', NULL, NULL, 'ISP1 C-terminal', NULL, 'ISP1_C', NULL, NULL, 32190, 8),
(37018, NULL, 'PF06911', NULL, NULL, 'Senescence-associated protein', NULL, 'Senescence', NULL, NULL, 11660, 8),
(37019, NULL, 'PF07183', NULL, NULL, 'Protein of unknown function (DUF1403)', NULL, 'DUF1403', NULL, NULL, 13787, 8),
(37020, NULL, 'PF03719', NULL, NULL, 'Ribosomal protein S5, C-terminal domain', NULL, 'Ribosomal_S5_C', NULL, NULL, 5982, 8),
(37021, NULL, 'PF10239', NULL, NULL, 'Protein of unknown function (DUF2465)', NULL, 'DUF2465', NULL, NULL, 19104, 8),
(37022, NULL, 'PF18664', NULL, NULL, 'CdiA C-terminal tRNase domain', NULL, 'CdiA_C_tRNase', NULL, NULL, 33386, 8),
(37023, NULL, 'PF07255', NULL, NULL, 'Benyvirus 14KDa protein', NULL, 'Benyvirus_14KDa', NULL, NULL, 14668, 8),
(37024, NULL, 'PF07914', NULL, NULL, 'Protein of unknown function (DUF1679)', NULL, 'DUF1679', NULL, NULL, 12922, 8),
(37025, NULL, 'PF07990', NULL, NULL, 'Nucleic acid binding protein NABP', NULL, 'NABP', NULL, NULL, 8453, 8),
(37026, NULL, 'PF00613', NULL, NULL, 'Phosphoinositide 3-kinase family, accessory domain (PIK domain)', NULL, 'PI3Ka', NULL, NULL, 2323, 8),
(37027, NULL, 'PF02351', NULL, NULL, 'GDNF/GAS1 domain', NULL, 'GDNF', NULL, NULL, 14896, 8),
(37028, NULL, 'PF05209', NULL, NULL, 'Septum formation inhibitor MinC, N-terminal domain', NULL, 'MinC_N', NULL, NULL, 3371, 8),
(37029, NULL, 'PF05301', NULL, NULL, 'GNAT acetyltransferase, Mec-17', NULL, 'Acetyltransf_16', NULL, NULL, 4036, 8),
(37030, NULL, 'PF03865', NULL, NULL, 'Haemolysin secretion/activation protein ShlB/FhaC/HecB', NULL, 'ShlB', NULL, NULL, 1773, 8),
(37031, NULL, 'PF17606', NULL, NULL, 'Family of unknown function (DUF5502)', NULL, 'DUF5502', NULL, NULL, 20197, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37032, NULL, 'PF12612', NULL, NULL, 'Tubulin folding cofactor D C terminal', NULL, 'TFCD_C', NULL, NULL, 16881, 8),
(37033, NULL, 'PF16418', NULL, NULL, 'CCR4-NOT transcription complex subunit 1 HEAT repeat', NULL, 'CNOT1_HEAT', NULL, NULL, 24740, 8),
(37034, NULL, 'PF17087', NULL, NULL, 'Herpesvirus US34A protein family', NULL, 'HHV-5_US34A', NULL, NULL, 25493, 8),
(37035, NULL, 'PF14729', NULL, NULL, 'Domain of unknown function with cystatin-like fold (DUF4467)', NULL, 'DUF4467', NULL, NULL, 23856, 8),
(37036, NULL, 'PF14826', NULL, NULL, 'FACT complex subunit SPT16 N-terminal lobe domain', NULL, 'FACT-Spt16_Nlob', NULL, NULL, 27255, 8),
(37037, NULL, 'PF01739', NULL, NULL, 'CheR methyltransferase, SAM binding domain', NULL, 'CheR', NULL, NULL, 17103, 8),
(37038, NULL, 'PF15753', NULL, NULL, 'Biogenesis of lysosome-related organelles complex 1 subunit 3', NULL, 'BLOC1S3', NULL, NULL, 15641, 8),
(37039, NULL, 'PF16555', NULL, NULL, 'Gram-positive pilin subunit D1, N-terminal domain', NULL, 'GramPos_pilinD1', NULL, NULL, 28210, 8),
(37040, NULL, 'PF06054', NULL, NULL, 'Competence protein CoiA-like family', NULL, 'CoiA', NULL, NULL, 8629, 8),
(37041, NULL, 'PF00067', NULL, NULL, 'Cytochrome P450', NULL, 'p450', NULL, NULL, 1288, 8),
(37042, NULL, 'PF18979', NULL, NULL, 'Family of unknown function (DUF5715)', NULL, 'DUF5715', NULL, NULL, 37547, 8),
(37043, NULL, 'PF18275', NULL, NULL, 'His-Me finger endonuclease beta4-alpha2 domain', NULL, 'His_Me_b4a2', NULL, NULL, 32843, 8),
(37044, NULL, 'PF18281', NULL, NULL, 'BILBO1 N-terminal domain', NULL, 'BILBO1_N', NULL, NULL, 31870, 8),
(37045, NULL, 'PF04586', NULL, NULL, 'Caudovirus prohead serine protease', NULL, 'Peptidase_S78', NULL, NULL, 6916, 8),
(37046, NULL, 'PF03876', NULL, NULL, 'SHS2 domain found in N terminus of Rpb7p/Rpc25p/MJ0397', NULL, 'SHS2_Rpb7-N', NULL, NULL, 1862, 8),
(37047, NULL, 'PF12840', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_20', NULL, NULL, NULL, 8),
(37048, NULL, 'PF06374', NULL, NULL, 'NADH-ubiquinone oxidoreductase subunit b14.5b (NDUFC2)', NULL, 'NDUF_C2', NULL, NULL, 8166, 8),
(37049, NULL, 'PF14492', NULL, NULL, 'Elongation Factor G, domain III', NULL, 'EFG_III', NULL, NULL, 31289, 8),
(37050, NULL, 'PF14160', NULL, NULL, 'Centrosome-associated C terminus', NULL, 'FAM110_C', NULL, NULL, 26236, 8),
(37051, NULL, 'PF18359', NULL, NULL, 'Histone methyltransferase Tudor domain 1', NULL, 'Tudor_5', NULL, NULL, 31456, 8),
(37052, NULL, 'PF09279', NULL, NULL, 'Phosphoinositide-specific phospholipase C, efhand-like', NULL, 'EF-hand_like', NULL, NULL, 13727, 8),
(37053, NULL, 'PF18885', NULL, NULL, 'Repeat of unknown function (DUF5648)', NULL, 'DUF5648', NULL, NULL, 36514, 8),
(37054, NULL, 'PF14523', NULL, NULL, 'Syntaxin-like protein', NULL, 'Syntaxin_2', NULL, NULL, 1216, 8),
(37055, NULL, 'PF06227', NULL, NULL, 'dsDNA Poxvirus', NULL, 'Poxvirus', NULL, NULL, 17179, 8),
(37056, NULL, 'PF04773', NULL, NULL, 'FecR protein', NULL, 'FecR', NULL, NULL, 4438, 8),
(37057, NULL, 'PF09687', NULL, NULL, 'Plasmodium RESA N-terminal', NULL, 'PRESAN', NULL, NULL, 17786, 8),
(37058, NULL, 'PF13166', NULL, NULL, 'AAA domain', NULL, 'AAA_13', NULL, NULL, 28551, 8),
(37059, NULL, 'PF15174', NULL, NULL, 'Prion-related protein testis-specific', NULL, 'PRNT', NULL, NULL, 21884, 8),
(37060, NULL, 'PF13229', NULL, NULL, 'Right handed beta helix region', NULL, 'Beta_helix', NULL, NULL, 35784, 8),
(37061, NULL, 'PF04649', NULL, NULL, 'Mycoplasma hyorhinis VlpA repeat', NULL, 'VlpA_repeat', NULL, NULL, 3089, 8),
(37062, NULL, 'PF13019', NULL, NULL, 'Silencing defective 2 N-terminal ubiquitin domain', NULL, 'Sde2_N_Ubi', NULL, NULL, 28484, 8),
(37063, NULL, 'PF17843', NULL, NULL, 'MycE methyltransferase N-terminal', NULL, 'MycE_N', NULL, NULL, 34552, 8),
(37064, NULL, 'PF18003', NULL, NULL, 'Domain of unknown function (DUF3823_C)', NULL, 'DUF3823_C', NULL, NULL, 31494, 8),
(37065, NULL, 'PF05008', NULL, NULL, 'Vesicle transport v-SNARE protein N-terminus', NULL, 'V-SNARE', NULL, NULL, 1287, 8),
(37066, NULL, 'PF02703', NULL, NULL, 'Early E1A protein', NULL, 'Adeno_E1A', NULL, NULL, 7687, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37067, NULL, 'PF11076', NULL, NULL, 'Putative inner membrane protein YbhQ', NULL, 'YbhQ', NULL, NULL, 17805, 8),
(37068, NULL, 'PF06533', NULL, NULL, 'Protein of unknown function (DUF1110)', NULL, 'DUF1110', NULL, NULL, 14900, 8),
(37069, NULL, 'PF12722', NULL, NULL, 'High-temperature-induced dauer-formation protein', NULL, 'Hid1', NULL, NULL, 25485, 8),
(37070, NULL, 'PF12821', NULL, NULL, 'Threonine/Serine exporter, ThrE', NULL, 'ThrE_2', NULL, NULL, 25549, 8),
(37071, NULL, 'PF01965', NULL, NULL, 'DJ-1/PfpI family', NULL, 'DJ-1_PfpI', NULL, NULL, 4629, 8),
(37072, NULL, 'PF04523', NULL, NULL, 'Herpes virus tegument protein U30', NULL, 'Herpes_U30', NULL, NULL, 2923, 8),
(37073, NULL, 'PF04487', NULL, NULL, 'CITED', NULL, 'CITED', NULL, NULL, 1775, 8),
(37074, NULL, 'PF00711', NULL, NULL, 'Beta defensin', NULL, 'Defensin_beta', NULL, NULL, 4378, 8),
(37075, NULL, 'PF04515', NULL, NULL, 'Plasma-membrane choline transporter', NULL, 'Choline_transpo', NULL, NULL, 2815, 8),
(37076, NULL, 'PF07879', NULL, NULL, 'PHB/PHA accumulation regulator DNA-binding domain', NULL, 'PHB_acc_N', NULL, NULL, 13289, 8),
(37077, NULL, 'PF20062', NULL, NULL, 'Family of unknown function (DUF6461)', NULL, 'DUF6461', NULL, NULL, 38581, 8),
(37078, NULL, 'PF16273', NULL, NULL, 'Nuclear distribution C domain', NULL, 'NuDC', NULL, NULL, 22189, 8),
(37079, NULL, 'PF14812', NULL, NULL, 'Transmembrane domain of transglycosylase PBP1 at N-terminal', NULL, 'PBP1_TM', NULL, NULL, 28354, 8),
(37080, NULL, 'PF15729', NULL, NULL, 'Amyotrophic lateral sclerosis 2 candidate 11', NULL, 'ALS2CR11', NULL, NULL, 27961, 8),
(37081, NULL, 'PF12565', NULL, NULL, 'Protein of unknown function (DUF3747)', NULL, 'DUF3747', NULL, NULL, 21370, 8),
(37082, NULL, 'PF10913', NULL, NULL, 'Protein of unknown function (DUF2706)', NULL, 'DUF2706', NULL, NULL, 23272, 8),
(37083, NULL, 'PF06411', NULL, NULL, 'HdeA/HdeB family', NULL, 'HdeA', NULL, NULL, 10090, 8),
(37084, NULL, 'PF08694', NULL, NULL, 'Ubiquitin-fold modifier-conjugating enzyme 1', NULL, 'UFC1', NULL, NULL, 11996, 8),
(37085, NULL, 'PF09710', NULL, NULL, 'Treponema clustered lipoprotein (Trep_dent_lipo)', NULL, 'Trep_dent_lipo', NULL, NULL, 2384, 8),
(37086, NULL, 'PF16459', NULL, NULL, 'Phage tail assembly chaperone, TAC', NULL, 'Phage_TAC_13', NULL, NULL, 22524, 8),
(37087, NULL, 'PF06350', NULL, NULL, 'Hormone-sensitive lipase (HSL) N-terminus', NULL, 'HSL_N', NULL, NULL, 10261, 8),
(37088, NULL, 'PF10536', NULL, NULL, 'Plant mobile domain', NULL, 'PMD', NULL, NULL, 19811, 8),
(37089, NULL, 'PF03566', NULL, NULL, 'Peptidase family A21', NULL, 'Peptidase_A21', NULL, NULL, 5104, 8),
(37090, NULL, 'PF04376', NULL, NULL, 'Arginine-tRNA-protein transferase, N terminus', NULL, 'ATE_N', NULL, NULL, 4782, 8),
(37091, NULL, 'PF17423', NULL, NULL, 'Swarming motility protein', NULL, 'SwrA', NULL, NULL, 14696, 8),
(37092, NULL, 'PF03715', NULL, NULL, 'Noc2p family', NULL, 'Noc2', NULL, NULL, 6330, 8),
(37093, NULL, 'PF01592', NULL, NULL, 'NifU-like N terminal domain', NULL, 'NifU_N', NULL, NULL, 5649, 8),
(37094, NULL, 'PF08110', NULL, NULL, 'Ocellatin family', NULL, 'Antimicrobial15', NULL, NULL, 12976, 8),
(37095, NULL, 'PF15688', NULL, NULL, 'Nuclear receptor-interacting protein 1 repression 2', NULL, 'NRIP1_repr_2', NULL, NULL, 28429, 8),
(37096, NULL, 'PF15354', NULL, NULL, 'Kidney-associated antigen 1', NULL, 'KAAG1', NULL, NULL, 26201, 8),
(37097, NULL, 'PF05059', NULL, NULL, 'Orbivirus VP4 core protein', NULL, 'Orbi_VP4', NULL, NULL, 1415, 8),
(37098, NULL, 'PF15123', NULL, NULL, 'Domain of unknown function (DUF4562)', NULL, 'DUF4562', NULL, NULL, 22021, 8),
(37099, NULL, 'PF02042', NULL, NULL, 'RWP-RK domain', NULL, 'RWP-RK', NULL, NULL, 58, 8),
(37100, NULL, 'PF03473', NULL, NULL, 'MOSC domain', NULL, 'MOSC', NULL, NULL, 5326, 8),
(37101, NULL, 'PF16537', NULL, NULL, 'Type II secretion system protein B', NULL, 'T2SSB', NULL, NULL, 25589, 8),
(37102, NULL, 'PF02783', NULL, NULL, 'Methyl-coenzyme M reductase beta subunit, N-terminal domain', NULL, 'MCR_beta_N', NULL, NULL, 17079, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37103, NULL, 'PF02476', NULL, NULL, 'US2 family', NULL, 'US2', NULL, NULL, 6096, 8),
(37104, NULL, 'PF02488', NULL, NULL, 'Merozoite Antigen', NULL, 'EMA', NULL, NULL, 5284, 8),
(37105, NULL, 'PF19880', NULL, NULL, 'Family of unknown function (DUF6353)', NULL, 'DUF6353', NULL, NULL, 39131, 8),
(37106, NULL, 'PF06311', NULL, NULL, 'NUMB domain', NULL, 'NumbF', NULL, NULL, 10230, 8),
(37107, NULL, 'PF00731', NULL, NULL, 'AIR carboxylase', NULL, 'AIRC', NULL, NULL, 3796, 8),
(37108, NULL, 'PF01096', NULL, NULL, 'Transcription factor S-II (TFIIS)', NULL, 'TFIIS_C', NULL, NULL, 2489, 8),
(37109, NULL, 'PF04968', NULL, NULL, 'CHORD', NULL, 'CHORD', NULL, NULL, 6636, 8),
(37110, NULL, 'PF18631', NULL, NULL, 'Cucumopine synthase C-terminal helical bundle domain', NULL, 'Cucumopine_C', NULL, NULL, 34497, 8),
(37111, NULL, 'PF15778', NULL, NULL, 'UNC80 N-terminal', NULL, 'UNC80_N', NULL, NULL, 28186, 8),
(37112, NULL, 'PF00517', NULL, NULL, 'Retroviral envelope protein', NULL, 'GP41', NULL, NULL, 566, 8),
(37113, NULL, 'PF05434', NULL, NULL, 'TMEM9', NULL, 'Tmemb_9', NULL, NULL, 14320, 8),
(37114, NULL, 'PF18577', NULL, NULL, 'Astrotactin-2 C-terminal beta-hairpin domain', NULL, 'ASTN_2_hairpin', NULL, NULL, 29715, 8),
(37115, NULL, 'PF04526', NULL, NULL, 'Protein of unknown function (DUF568)', NULL, 'DUF568', NULL, NULL, 39810, 8),
(37116, NULL, 'PF08114', NULL, NULL, 'ATPase proteolipid family', NULL, 'PMP1_2', NULL, NULL, 9641, 8),
(37117, NULL, 'PF14377', NULL, NULL, 'Ubiquitin binding region', NULL, 'UBM', NULL, NULL, 28291, 8),
(37118, NULL, 'PF12468', NULL, NULL, 'Type III secretion system leucine rich repeat protein', NULL, 'TTSSLRR', NULL, NULL, 18929, 8),
(37119, NULL, 'PF05522', NULL, NULL, 'Metallothionein', NULL, 'Metallothio_6', NULL, NULL, 13046, 8),
(37120, NULL, 'PF00088', NULL, NULL, 'Trefoil (P-type) domain', NULL, 'Trefoil', NULL, NULL, 5875, 8),
(37121, NULL, 'PF04555', NULL, NULL, 'Restriction endonuclease XhoI', NULL, 'XhoI', NULL, NULL, 2147, 8),
(37122, NULL, 'PF07907', NULL, NULL, 'YibE/F-like protein', NULL, 'YibE_F', NULL, NULL, 12605, 8),
(37123, NULL, 'PF16109', NULL, NULL, 'Domain of unknown function (DUF4827)', NULL, 'DUF4827', NULL, NULL, 22710, 8),
(37124, NULL, 'PF06535', NULL, NULL, 'Repulsive guidance molecule (RGM) N-terminus', NULL, 'RGM_N', NULL, NULL, 14521, 8),
(37125, NULL, 'PF06313', NULL, NULL, 'Drosophila ACP53EA protein', NULL, 'ACP53EA', NULL, NULL, 8436, 8),
(37126, NULL, 'PF08745', NULL, NULL, 'PINc domain ribonuclease', NULL, 'PIN_5', NULL, NULL, 13071, 8),
(37127, NULL, 'PF06173', NULL, NULL, 'Protein of unknown function (DUF986)', NULL, 'DUF986', NULL, NULL, 14645, 8),
(37128, NULL, 'PF12259', NULL, NULL, 'Baculovirus F protein', NULL, 'Baculo_F', NULL, NULL, 20626, 8),
(37129, NULL, 'PF13827', NULL, NULL, 'Domain of unknown function (DUF4189)', NULL, 'DUF4189', NULL, NULL, 24000, 8),
(37130, NULL, 'PF19362', NULL, NULL, 'Family of unknown function (DUF5938)', NULL, 'DUF5938', NULL, NULL, 39384, 8),
(37131, NULL, 'PF20023', NULL, NULL, 'Wolframin Sel1-like repeat', NULL, 'WSLR', NULL, NULL, 38531, 8),
(37132, NULL, 'PF03855', NULL, NULL, 'M-factor', NULL, 'M-factor', NULL, NULL, 1520, 8),
(37133, NULL, 'PF05080', NULL, NULL, 'Protein of unknown function (DUF681)', NULL, 'DUF681', NULL, NULL, 1353, 8),
(37134, NULL, 'PF10274', NULL, NULL, 'Parkin co-regulated protein', NULL, 'ParcG', NULL, NULL, 16663, 8),
(37135, NULL, 'PF10482', NULL, NULL, 'Tumour-suppressor protein CtIP N-terminal domain', NULL, 'CtIP_N', NULL, NULL, 18964, 8),
(37136, NULL, 'PF11251', NULL, NULL, 'Protein of unknown function (DUF3050)', NULL, 'DUF3050', NULL, NULL, 24676, 8),
(37137, NULL, 'PF04437', NULL, NULL, 'RINT-1 / TIP-1 family', NULL, 'RINT1_TIP1', NULL, NULL, 10842, 8),
(37138, NULL, 'PF09222', NULL, NULL, 'Fimbrial adhesin F17-AG, lectin domain', NULL, 'Fim-adh_lectin', NULL, NULL, 13956, 8),
(37139, NULL, 'PF15836', NULL, NULL, 'SSTK-interacting protein, TSSK6-activating co-chaperone protein', NULL, 'SSTK-IP', NULL, NULL, 27365, 8),
(37140, NULL, 'PF04041', NULL, NULL, 'beta-1,4-mannooligosaccharide phosphorylase', NULL, 'Glyco_hydro_130', NULL, NULL, 623, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37141, NULL, 'PF19908', NULL, NULL, 'Family of unknown function (DUF6381)', NULL, 'DUF6381', NULL, NULL, 39037, 8),
(37142, NULL, 'PF04253', NULL, NULL, 'Transferrin receptor-like dimerisation domain', NULL, 'TFR_dimer', NULL, NULL, 5616, 8),
(37143, NULL, 'PF04140', NULL, NULL, 'Isoprenylcysteine carboxyl methyltransferase (ICMT) family', NULL, 'ICMT', NULL, NULL, 7015, 8),
(37144, NULL, 'PF06331', NULL, NULL, 'Transcription factor TFIIH complex subunit Tfb5', NULL, 'Tfb5', NULL, NULL, 8160, 8),
(37145, NULL, 'PF16486', NULL, NULL, 'N-terminal domain of argonaute', NULL, 'ArgoN', NULL, NULL, 22188, 8),
(37146, NULL, 'PF16306', NULL, NULL, 'Domain of unknown function (DUF4948)', NULL, 'DUF4948', NULL, NULL, 27588, 8),
(37147, NULL, 'PF16947', NULL, NULL, 'N-terminal region of 4Fe-4S ferredoxin iron-sulfur binding', NULL, 'Ferredoxin_N', NULL, NULL, 27190, 8),
(37148, NULL, 'PF10464', NULL, NULL, 'Peptidase U40', NULL, 'Peptidase_U40', NULL, NULL, 18773, 8),
(37149, NULL, 'PF19409', NULL, NULL, 'Thiopeptide-type bacteriocin precursor', NULL, 'Thiopep_pre', NULL, NULL, NULL, 8),
(37150, NULL, 'PF04263', NULL, NULL, 'Thiamin pyrophosphokinase, catalytic domain', NULL, 'TPK_catalytic', NULL, NULL, 5965, 8),
(37151, NULL, 'PF06530', NULL, NULL, 'Phage antitermination protein Q', NULL, 'Phage_antitermQ', NULL, NULL, 14501, 8),
(37152, NULL, 'PF15573', NULL, NULL, 'Immunity protein 47', NULL, 'Imm47', NULL, NULL, 26311, 8),
(37153, NULL, 'PF18040', NULL, NULL, 'beta porphyranase A C-terminal', NULL, 'BPA_C', NULL, NULL, 31166, 8),
(37154, NULL, 'PF13324', NULL, NULL, 'Grap2 and cyclin-D-interacting', NULL, 'GCIP', NULL, NULL, NULL, 8),
(37155, NULL, 'PF09639', NULL, NULL, 'YjcQ protein', NULL, 'YjcQ', NULL, NULL, 15729, 8),
(37156, NULL, 'PF18646', NULL, NULL, 'Family of unknown function (DUF5632)', NULL, 'DUF5632', NULL, NULL, 34114, 8),
(37157, NULL, 'PF06355', NULL, NULL, 'Aegerolysin', NULL, 'Aegerolysin', NULL, NULL, 8014, 8),
(37158, NULL, 'PF07470', NULL, NULL, 'Glycosyl Hydrolase Family 88', NULL, 'Glyco_hydro_88', NULL, NULL, 12809, 8),
(37159, NULL, 'PF18338', NULL, NULL, 'Lower baseplate protein N-terminal domain', NULL, 'BppL_N', NULL, NULL, 31046, 8),
(37160, NULL, 'PF12472', NULL, NULL, 'Phage related protein', NULL, 'DUF3693', NULL, NULL, 15279, 8),
(37161, NULL, 'PF08975', NULL, NULL, 'Domain of unknown function (DUF1868)', NULL, '2H-phosphodiest', NULL, NULL, 8681, 8),
(37162, NULL, 'PF17457', NULL, NULL, 'Family of unknown function (DUF5420)', NULL, 'DUF5420', NULL, NULL, 14514, 8),
(37163, NULL, 'PF07048', NULL, NULL, 'Protein of unknown function (DUF1331)', NULL, 'DUF1331', NULL, NULL, 12689, 8),
(37164, NULL, 'PF04453', NULL, NULL, 'LPS transport system D', NULL, 'LptD', NULL, NULL, 10988, 8),
(37165, NULL, 'PF01551', NULL, NULL, 'Peptidase family M23', NULL, 'Peptidase_M23', NULL, NULL, 9402, 8),
(37166, NULL, 'PF17297', NULL, NULL, 'Phosphoenolpyruvate carboxykinase N-terminal domain', NULL, 'PEPCK_N', NULL, NULL, 34564, 8),
(37167, NULL, 'PF13144', NULL, NULL, 'Chaperone for flagella basal body P-ring formation', NULL, 'ChapFlgA', NULL, NULL, 16474, 8),
(37168, NULL, 'PF14005', NULL, NULL, 'YpjP-like protein', NULL, 'YpjP', NULL, NULL, 28288, 8),
(37169, NULL, 'PF18058', NULL, NULL, 'SbsC C-terminal domain', NULL, 'SbsC_C', NULL, NULL, 31779, 8),
(37170, NULL, 'PF02502', NULL, NULL, 'Ribose/Galactose Isomerase', NULL, 'LacAB_rpiB', NULL, NULL, 6047, 8),
(37171, NULL, 'PF13074', NULL, NULL, 'Protein of unknown function (DUF3938)', NULL, 'DUF3938', NULL, NULL, 23594, 8),
(37172, NULL, 'PF17514', NULL, NULL, 'Family of unknown function (DUF5442)', NULL, 'DUF5442', NULL, NULL, 16463, 8),
(37173, NULL, 'PF14724', NULL, NULL, 'Mitochondrial-associated sphingomyelin phosphodiesterase', NULL, 'mit_SMPDase', NULL, NULL, 14678, 8),
(37174, NULL, 'PF08295', NULL, NULL, 'Sin3 family co-repressor', NULL, 'Sin3_corepress', NULL, NULL, 17942, 8),
(37175, NULL, 'PF12198', NULL, NULL, 'Tuberculin-active protein', NULL, 'Tuberculin', NULL, NULL, 20796, 8),
(37176, NULL, 'PF11396', NULL, NULL, 'Putative beta-lactamase-inhibitor-like, PepSY-like', NULL, 'PepSY_like', NULL, NULL, 18856, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37177, NULL, 'PF19447', NULL, NULL, 'Family of unknown function (DUF5985)', NULL, 'DUF5985', NULL, NULL, 39260, 8),
(37178, NULL, 'PF18843', NULL, NULL, 'Large polyvalent protein associated domain 28', NULL, 'LPD28', NULL, NULL, 31376, 8),
(37179, NULL, 'PF06701', NULL, NULL, 'Mib_herc2', NULL, 'MIB_HERC2', NULL, NULL, 8457, 8),
(37180, NULL, 'PF07919', NULL, NULL, 'Gryzun, putative trafficking through Golgi', NULL, 'Gryzun', NULL, NULL, 13243, 8),
(37181, NULL, 'PF09518', NULL, NULL, 'HindIII restriction endonuclease', NULL, 'RE_HindIII', NULL, NULL, 16776, 8),
(37182, NULL, 'PF15264', NULL, NULL, 'Tumour suppressing sub-chromosomal transferable candidate 4', NULL, 'TSSC4', NULL, NULL, 24702, 8),
(37183, NULL, 'PF01643', NULL, NULL, 'Acyl-ACP thioesterase', NULL, 'Acyl-ACP_TE', NULL, NULL, 5672, 8),
(37184, NULL, 'PF07045', NULL, NULL, 'Domain of unknown function (DUF1330)', NULL, 'DUF1330', NULL, NULL, 10098, 8),
(37185, NULL, 'PF07659', NULL, NULL, 'Nucleotide modification associated domain 1', NULL, 'DUF1599', NULL, NULL, 10558, 8),
(37186, NULL, 'PF02745', NULL, NULL, 'Methyl-coenzyme M reductase alpha subunit, N-terminal domain', NULL, 'MCR_alpha_N', NULL, NULL, 2533, 8),
(37187, NULL, 'PF13854', NULL, NULL, 'Kelch motif', NULL, 'Kelch_5', NULL, NULL, NULL, 8),
(37188, NULL, 'PF19285', NULL, NULL, 'Neuromedin-U receptor 2, C-terminal', NULL, 'NmU-R2_C_term', NULL, NULL, 38750, 8),
(37189, NULL, 'PF16795', NULL, NULL, 'Archaeal phage integrase', NULL, 'Phage_integr_3', NULL, NULL, 25578, 8),
(37190, NULL, 'PF18724', NULL, NULL, 'Alpha-glutamyl/putrescinyl thymine pyrophosphorylase clade 2', NULL, 'aGPT-Pplase2', NULL, NULL, 30767, 8),
(37191, NULL, 'PF12148', NULL, NULL, 'Tandem tudor domain within UHRF1', NULL, 'TTD', NULL, NULL, 20695, 8),
(37192, NULL, 'PF03575', NULL, NULL, 'Peptidase family S51', NULL, 'Peptidase_S51', NULL, NULL, 5532, 8),
(37193, NULL, 'PF01867', NULL, NULL, 'CRISPR associated protein Cas1', NULL, 'Cas_Cas1', NULL, NULL, 3516, 8),
(37194, NULL, 'PF13775', NULL, NULL, 'Domain of unknown function (DUF4171)', NULL, 'DUF4171', NULL, NULL, 23698, 8),
(37195, NULL, 'PF17844', NULL, NULL, 'Bacterial SCP ortholog', NULL, 'SCP_3', NULL, NULL, 32788, 8),
(37196, NULL, 'PF17768', NULL, NULL, 'RecJ OB domain', NULL, 'RecJ_OB', NULL, NULL, 31310, 8),
(37197, NULL, 'PF13174', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_6', NULL, NULL, 21305, 8),
(37198, NULL, 'PF07237', NULL, NULL, 'Protein of unknown function (DUF1428)', NULL, 'DUF1428', NULL, NULL, 14511, 8),
(37199, NULL, 'PF16631', NULL, NULL, 'Unstructured region 4 on terminal uridylyltransferase 7', NULL, 'TUTF7_u4', NULL, NULL, NULL, 8),
(37200, NULL, 'PF00206', NULL, NULL, 'Lyase', NULL, 'Lyase_1', NULL, NULL, 289, 8),
(37201, NULL, 'PF08857', NULL, NULL, 'Putative ParB-like nuclease', NULL, 'ParBc_2', NULL, NULL, 14061, 8),
(37202, NULL, 'PF02632', NULL, NULL, 'BioY family', NULL, 'BioY', NULL, NULL, 3488, 8),
(37203, NULL, 'PF02743', NULL, NULL, 'Cache domain', NULL, 'dCache_1', NULL, NULL, 35668, 8),
(37204, NULL, 'PF08432', NULL, NULL, 'AAA-ATPase Vps4-associated protein 1', NULL, 'Vfa1', NULL, NULL, 13057, 8),
(37205, NULL, 'PF10625', NULL, NULL, 'Universal stress protein B (UspB)', NULL, 'UspB', NULL, NULL, 20381, 8),
(37206, NULL, 'PF11999', NULL, NULL, 'Ice-binding-like', NULL, 'Ice_binding', NULL, NULL, 20087, 8),
(37207, NULL, 'PF00581', NULL, NULL, 'Rhodanese-like domain', NULL, 'Rhodanese', NULL, NULL, 3063, 8),
(37208, NULL, 'PF13131', NULL, NULL, 'Protein of unknown function (DUF3951)', NULL, 'DUF3951', NULL, NULL, 27385, 8),
(37209, NULL, 'PF04604', NULL, NULL, 'Type-A lantibiotic', NULL, 'L_biotic_typeA', NULL, NULL, 884, 8),
(37210, NULL, 'PF03678', NULL, NULL, 'Hexon, adenovirus major coat protein, C-terminal domain', NULL, 'Adeno_hexon_C', NULL, NULL, 11315, 8),
(37211, NULL, 'PF16005', NULL, NULL, 'KH-like RNA-binding domain', NULL, 'MOEP19', NULL, NULL, 28586, 8),
(37212, NULL, 'PF00995', NULL, NULL, 'Sec1 family', NULL, 'Sec1', NULL, NULL, 5252, 8),
(37213, NULL, 'PF02874', NULL, NULL, 'ATP synthase alpha/beta family, beta-barrel domain', NULL, 'ATP-synt_ab_N', NULL, NULL, 1922, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37214, NULL, 'PF05757', NULL, NULL, 'Oxygen evolving enhancer protein 3 (PsbQ)', NULL, 'PsbQ', NULL, NULL, 14408, 8),
(37215, NULL, 'PF14419', NULL, NULL, 'AF2226-like SPOUT RNA Methylase fused to THUMP', NULL, 'SPOUT_MTase_2', NULL, NULL, 25255, 8),
(37216, NULL, 'PF18398', NULL, NULL, 'Clip-domain serine protease homolog masquerade', NULL, 'CLIP_SPH_mas', NULL, NULL, 30247, 8),
(37217, NULL, 'PF17142', NULL, NULL, 'Domain of unknown function (DUF5115)', NULL, 'DUF5115', NULL, NULL, 35347, 8),
(37218, NULL, 'PF18166', NULL, NULL, 'Predicted pPIWI-associating nuclease', NULL, 'pP_pnuc_2', NULL, NULL, 32517, 8),
(37219, NULL, 'PF07936', NULL, NULL, 'Potassium-channel blocking toxin', NULL, 'Defensin_4', NULL, NULL, 13972, 8),
(37220, NULL, 'PF05444', NULL, NULL, 'Protein of unknown function (DUF753)', NULL, 'DUF753', NULL, NULL, 12003, 8),
(37221, NULL, 'PF01019', NULL, NULL, 'Gamma-glutamyltranspeptidase', NULL, 'G_glu_transpept', NULL, NULL, NULL, 8),
(37222, NULL, 'PF07555', NULL, NULL, 'beta-N-acetylglucosaminidase', NULL, 'NAGidase', NULL, NULL, 12671, 8),
(37223, NULL, 'PF16361', NULL, NULL, 'N-terminal of Subtilase family', NULL, 'Peptidase_S8_N', NULL, NULL, 26687, 8),
(37224, NULL, 'PF18127', NULL, NULL, 'Nicotinamide phosphoribosyltransferase, N-terminal domain', NULL, 'NAMPT_N', NULL, NULL, 32030, 8),
(37225, NULL, 'PF07706', NULL, NULL, 'Aminotransferase ubiquitination site', NULL, 'TAT_ubiq', NULL, NULL, 8791, 8),
(37226, NULL, 'PF04165', NULL, NULL, 'Protein of unknown function (DUF401)', NULL, 'DUF401', NULL, NULL, 7344, 8),
(37227, NULL, 'PF12628', NULL, NULL, 'Falstatin, cysteine peptidase inhibitor', NULL, 'Inhibitor_I71', NULL, NULL, 28632, 8),
(37228, NULL, 'PF11200', NULL, NULL, 'Protein of unknown function (DUF2981)', NULL, 'DUF2981', NULL, NULL, 18468, 8),
(37229, NULL, 'PF12351', NULL, NULL, 'Ca2+ regulator and membrane fusion protein Fig1', NULL, 'Fig1', NULL, NULL, 32199, 8),
(37230, NULL, 'PF06023', NULL, NULL, 'CRISPR-associated exonuclease Csa1', NULL, 'Csa1', NULL, NULL, 13818, 8),
(37231, NULL, 'PF09632', NULL, NULL, 'Rac1-binding domain', NULL, 'Rac1', NULL, NULL, 17561, 8),
(37232, NULL, 'PF19580', NULL, NULL, 'Endonuclease/Exonuclease/phosphatase family', NULL, 'Exo_endo_phos_3', NULL, NULL, 7189, 8),
(37233, NULL, 'PF05928', NULL, NULL, 'Zea mays MURB-like protein (MuDR)', NULL, 'Zea_mays_MuDR', NULL, NULL, 12786, 8),
(37234, NULL, 'PF02966', NULL, NULL, 'Mitosis protein DIM1', NULL, 'DIM1', NULL, NULL, 1583, 8),
(37235, NULL, 'PF04367', NULL, NULL, 'Protein of unknown function (DUF502)', NULL, 'DUF502', NULL, NULL, 4696, 8),
(37236, NULL, 'PF02432', NULL, NULL, 'Fimbrial, major and minor subunit', NULL, 'Fimbrial_K88', NULL, NULL, 6384, 8),
(37237, NULL, 'PF04599', NULL, NULL, 'Poxvirus G5 protein', NULL, 'Pox_G5', NULL, NULL, 860, 8),
(37238, NULL, 'PF06155', NULL, NULL, 'Gamma-butyrobetaine hydroxylase-like, N-terminal', NULL, 'GBBH-like_N', NULL, NULL, 9693, 8),
(37239, NULL, 'PF13326', NULL, NULL, 'Photosystem II Pbs27', NULL, 'PSII_Pbs27', NULL, NULL, 25640, 8),
(37240, NULL, 'PF19162', NULL, NULL, 'Family of unknown function (DUF5844)', NULL, 'DUF5844', NULL, NULL, 36966, 8),
(37241, NULL, 'PF03055', NULL, NULL, 'Retinal pigment epithelial membrane protein', NULL, 'RPE65', NULL, NULL, 4836, 8),
(37242, NULL, 'PF07066', NULL, NULL, 'Lactococcus phage M3 protein', NULL, 'DUF3882', NULL, NULL, 12951, 8),
(37243, NULL, 'PF11084', NULL, NULL, 'Protein of unknown function (DUF2621)', NULL, 'DUF2621', NULL, NULL, 18478, 8),
(37244, NULL, 'PF02391', NULL, NULL, 'MoaE protein', NULL, 'MoaE', NULL, NULL, 4528, 8),
(37245, NULL, 'PF00462', NULL, NULL, 'Glutaredoxin', NULL, 'Glutaredoxin', NULL, NULL, 1026, 8),
(37246, NULL, 'PF18146', NULL, NULL, 'Damage-inducible protein CinA KH domain', NULL, 'CinA_KH', NULL, NULL, 33321, 8),
(37247, NULL, 'PF09992', NULL, NULL, 'Phosphodiester glycosidase', NULL, 'NAGPA', NULL, NULL, 17881, 8),
(37248, NULL, 'PF08473', NULL, NULL, 'Neuronal voltage-dependent calcium channel alpha 2acd', NULL, 'VGCC_alpha2', NULL, NULL, 13501, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37249, NULL, 'PF14420', NULL, NULL, 'Clr5 domain', NULL, 'Clr5', NULL, NULL, 25636, 8),
(37250, NULL, 'PF14391', NULL, NULL, 'Domain of unknown function (DUF4421)', NULL, 'DUF4421', NULL, NULL, 28305, 8),
(37251, NULL, 'PF17538', NULL, NULL, 'DNA Binding Domain (C-terminal) Leafy/Floricaula', NULL, 'C_LFY_FLO', NULL, NULL, 36338, 8),
(37252, NULL, 'PF10861', NULL, NULL, 'Protein of Unknown function (DUF2784)', NULL, 'DUF2784', NULL, NULL, 17777, 8),
(37253, NULL, 'PF11576', NULL, NULL, 'FeGP cofactor biosynthesis protein HcgB, guanylyltransferase', NULL, 'HcgB', NULL, NULL, 11050, 8),
(37254, NULL, 'PF12960', NULL, NULL, 'Protein of unknown function (DUF3849)', NULL, 'DUF3849', NULL, NULL, 23822, 8),
(37255, NULL, 'PF07841', NULL, NULL, 'DM4/DM12 family', NULL, 'DM4_12', NULL, NULL, 1370, 8),
(37256, NULL, 'PF10126', NULL, NULL, 'Uncharacterized protein, homolog of nitrogen regulatory protein PII', NULL, 'Nit_Regul_Hom', NULL, NULL, 20410, 8),
(37257, NULL, 'PF13821', NULL, NULL, 'Domain of unknown function (DUF4187)', NULL, 'DUF4187', NULL, NULL, 23965, 8),
(37258, NULL, 'PF01688', NULL, NULL, 'Alphaherpesvirus glycoprotein I', NULL, 'Herpes_gI', NULL, NULL, 5789, 8),
(37259, NULL, 'PF00750', NULL, NULL, 'tRNA synthetases class I (R)', NULL, 'tRNA-synt_1d', NULL, NULL, 30840, 8),
(37260, NULL, 'PF02965', NULL, NULL, 'Vitamin B12 dependent methionine synthase, activation domain', NULL, 'Met_synt_B12', NULL, NULL, 3811, 8),
(37261, NULL, 'PF04480', NULL, NULL, 'Protein of unknown function (DUF559)', NULL, 'DUF559', NULL, NULL, 1851, 8),
(37262, NULL, 'PF00588', NULL, NULL, 'SpoU rRNA Methylase family', NULL, 'SpoU_methylase', NULL, NULL, 5771, 8),
(37263, NULL, 'PF08810', NULL, NULL, 'Kinase associated protein B', NULL, 'KapB', NULL, NULL, 13184, 8),
(37264, NULL, 'PF03098', NULL, NULL, 'Animal haem peroxidase', NULL, 'An_peroxidase', NULL, NULL, 17660, 8),
(37265, NULL, 'PF03653', NULL, NULL, 'Uncharacterised protein family (UPF0093)', NULL, 'UPF0093', NULL, NULL, 4193, 8),
(37266, NULL, 'PF04816', NULL, NULL, 'tRNA (adenine(22)-N(1))-methyltransferase', NULL, 'TrmK', NULL, NULL, 4959, 8),
(37267, NULL, 'PF07861', NULL, NULL, 'WisP family N-Terminal Region', NULL, 'WND', NULL, NULL, 12677, 8),
(37268, NULL, 'PF12359', NULL, NULL, 'Protein of unknown function (DUF3645)', NULL, 'DUF3645', NULL, NULL, 20743, 8),
(37269, NULL, 'PF11059', NULL, NULL, 'Protein of unknown function (DUF2860)', NULL, 'DUF2860', NULL, NULL, 17266, 8),
(37270, NULL, 'PF19148', NULL, NULL, 'Family of unknown function (DUF5830)', NULL, 'DUF5830', NULL, NULL, 36705, 8),
(37271, NULL, 'PF00566', NULL, NULL, 'Rab-GTPase-TBC domain', NULL, 'RabGAP-TBC', NULL, NULL, 1262, 8),
(37272, NULL, 'PF14921', NULL, NULL, 'Adenomatosis polyposis coli down-regulated 1', NULL, 'APCDDC', NULL, NULL, 24012, 8),
(37273, NULL, 'PF01920', NULL, NULL, 'Prefoldin subunit', NULL, 'Prefoldin_2', NULL, NULL, 4508, 8),
(37274, NULL, 'PF18615', NULL, NULL, 'Short myomegalin-like EB1 binding proteins, N-terminal domain', NULL, 'SMYLE_N', NULL, NULL, 31928, 8),
(37275, NULL, 'PF18336', NULL, NULL, 'Fragile X mental retardation Tudor domain', NULL, 'Tudor_FRX1', NULL, NULL, 33143, 8),
(37276, NULL, 'PF02397', NULL, NULL, 'Bacterial sugar transferase', NULL, 'Bac_transf', NULL, NULL, 4323, 8),
(37277, NULL, 'PF13292', NULL, NULL, '1-deoxy-D-xylulose-5-phosphate synthase', NULL, 'DXP_synthase_N', NULL, NULL, 955, 8),
(37278, NULL, 'PF19392', NULL, NULL, 'Family of unknown function (DUF5967)', NULL, 'DUF5967', NULL, NULL, 39141, 8),
(37279, NULL, 'PF13069', NULL, NULL, 'Protein of unknown function (DUF3933)', NULL, 'DUF3933', NULL, NULL, 21971, 8),
(37280, NULL, 'PF19366', NULL, NULL, 'Domain of unknown function (DUF5942)', NULL, 'DUF5942', NULL, NULL, 39435, 8),
(37281, NULL, 'PF16550', NULL, NULL, 'UCH-binding domain', NULL, 'RPN13_C', NULL, NULL, 28954, 8),
(37282, NULL, 'PF07535', NULL, NULL, 'DBF zinc finger', NULL, 'zf-DBF', NULL, NULL, 477, 8),
(37283, NULL, 'PF19153', NULL, NULL, 'Family of unknown function (DUF5835)', NULL, 'DUF5835', NULL, NULL, 36913, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37284, NULL, 'PF15800', NULL, NULL, 'Clock interacting protein circadian', NULL, 'CiPC', NULL, NULL, 26790, 8),
(37285, NULL, 'PF16344', NULL, NULL, 'Domain of unknown function (DUF4974)', NULL, 'DUF4974', NULL, NULL, 22814, 8),
(37286, NULL, 'PF05124', NULL, NULL, 'S-layer like family, C-terminal region', NULL, 'S_layer_C', NULL, NULL, 17221, 8),
(37287, NULL, 'PF12385', NULL, NULL, 'Papain-like cysteine protease AvrRpt2', NULL, 'Peptidase_C70', NULL, NULL, 21170, 8),
(37288, NULL, 'PF15307', NULL, NULL, 'Sperm acrosome-associated protein 7', NULL, 'SPACA7', NULL, NULL, 25905, 8),
(37289, NULL, 'PF13893', NULL, NULL, 'RNA recognition motif. (a.k.a. RRM, RBD, or RNP domain)', NULL, 'RRM_5', NULL, NULL, NULL, 8),
(37290, NULL, 'PF06279', NULL, NULL, 'Protein of unknown function (DUF1033)', NULL, 'DUF1033', NULL, NULL, 9870, 8),
(37291, NULL, 'PF11428', NULL, NULL, 'Protein of unknown function (DUF3196)', NULL, 'DUF3196', NULL, NULL, 25949, 8),
(37292, NULL, 'PF07213', NULL, NULL, 'DAP10 membrane protein', NULL, 'DAP10', NULL, NULL, 14867, 8),
(37293, NULL, 'PF09217', NULL, NULL, 'Restriction endonuclease EcoRII, N-terminal', NULL, 'EcoRII-N', NULL, NULL, 15737, 8),
(37294, NULL, 'PF13794', NULL, NULL, 'tRNA-(MS[2]IO[6]A)-hydroxylase (MiaE)-like', NULL, 'MiaE_2', NULL, NULL, NULL, 8),
(37295, NULL, 'PF03577', NULL, NULL, 'Peptidase family C69', NULL, 'Peptidase_C69', NULL, NULL, 5970, 8),
(37296, NULL, 'PF15124', NULL, NULL, 'FANCD2 opposite strand protein', NULL, 'FANCD2OS', NULL, NULL, 25186, 8),
(37297, NULL, 'PF07765', NULL, NULL, 'KIP1-like protein', NULL, 'KIP1', NULL, NULL, 10720, 8),
(37298, NULL, 'PF08659', NULL, NULL, 'KR domain', NULL, 'KR', NULL, NULL, 8230, 8),
(37299, NULL, 'PF05692', NULL, NULL, 'Mycoplasma haemagglutinin', NULL, 'Myco_haema', NULL, NULL, 13414, 8),
(37300, NULL, 'PF10268', NULL, NULL, 'Predicted transmembrane protein 161AB', NULL, 'Tmemb_161AB', NULL, NULL, 16803, 8),
(37301, NULL, 'PF16839', NULL, NULL, 'Nematode antimicrobial peptide', NULL, 'Antimicrobial25', NULL, NULL, 25758, 8),
(37302, NULL, 'PF13878', NULL, NULL, 'zinc-finger of acetyl-transferase ESCO', NULL, 'zf-C2H2_3', NULL, NULL, 24267, 8),
(37303, NULL, 'PF13556', NULL, NULL, 'PucR C-terminal helix-turn-helix domain', NULL, 'HTH_30', NULL, NULL, 26157, 8),
(37304, NULL, 'PF17880', NULL, NULL, 'Yos9 dimerzation domain', NULL, 'Yos9_DD', NULL, NULL, 30652, 8),
(37305, NULL, 'PF08223', NULL, NULL, 'PaaX-like protein C-terminal domain', NULL, 'PaaX_C', NULL, NULL, 12249, 8),
(37306, NULL, 'PF03069', NULL, NULL, 'Acetamidase/Formamidase family', NULL, 'FmdA_AmdA', NULL, NULL, 4970, 8),
(37307, NULL, 'PF04969', NULL, NULL, 'CS domain', NULL, 'CS', NULL, NULL, 6569, 8),
(37308, NULL, 'PF18393', NULL, NULL, 'MotY N-terminal domain', NULL, 'MotY_N', NULL, NULL, 33178, 8),
(37309, NULL, 'PF10142', NULL, NULL, 'PhoPQ-activated pathogenicity-related protein', NULL, 'PhoPQ_related', NULL, NULL, 9944, 8),
(37310, NULL, 'PF14593', NULL, NULL, 'PH domain', NULL, 'PH_3', NULL, NULL, 30194, 8),
(37311, NULL, 'PF08024', NULL, NULL, 'Ant antimicrobial peptide', NULL, 'Antimicrobial_4', NULL, NULL, 12820, 8),
(37312, NULL, 'PF04935', NULL, NULL, 'Surfeit locus protein 6', NULL, 'SURF6', NULL, NULL, 28856, 8),
(37313, NULL, 'PF13780', NULL, NULL, 'Domain of unknown function (DUF4176)', NULL, 'DUF4176', NULL, NULL, 23984, 8),
(37314, NULL, 'PF03512', NULL, NULL, 'Glycosyl hydrolase family 52', NULL, 'Glyco_hydro_52', NULL, NULL, 292, 8),
(37315, NULL, 'PF11791', NULL, NULL, 'Aconitate B N-terminal domain', NULL, 'Aconitase_B_N', NULL, NULL, 8080, 8),
(37316, NULL, 'PF13783', NULL, NULL, 'Domain of unknown function (DUF4177)', NULL, 'DUF4177', NULL, NULL, 23672, 8),
(37317, NULL, 'PF16802', NULL, NULL, 'Domain of unknown function (DUF5070)', NULL, 'DUF5070', NULL, NULL, 22912, 8),
(37318, NULL, 'PF15412', NULL, NULL, 'Binding domain of Nse4/EID3 to Nse3-MAGE', NULL, 'Nse4-Nse3_bdg', NULL, NULL, 24027, 8),
(37319, NULL, 'PF10320', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srsx', NULL, '7TM_GPCR_Srsx', NULL, NULL, 16714, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37320, NULL, 'PF11445', NULL, NULL, 'Protein of unknown function (DUF2894)', NULL, 'DUF2894', NULL, NULL, 18851, 8),
(37321, NULL, 'PF11861', NULL, NULL, 'Domain of unknown function (DUF3381)', NULL, 'DUF3381', NULL, NULL, 22231, 8),
(37322, NULL, 'PF02460', NULL, NULL, 'Patched family', NULL, 'Patched', NULL, NULL, 5479, 8),
(37323, NULL, 'PF05969', NULL, NULL, 'Photosystem II complex subunit Ycf12', NULL, 'PSII_Ycf12', NULL, NULL, 7853, 8),
(37324, NULL, 'PF06278', NULL, NULL, 'Condensin II complex subunit CAP-H2 or CNDH2, N-terminal', NULL, 'CNDH2_N', NULL, NULL, 8395, 8),
(37325, NULL, 'PF17691', NULL, NULL, 'Contingent replication of cDNA 4', NULL, 'Croc_4', NULL, NULL, 34163, 8),
(37326, NULL, 'PF11870', NULL, NULL, 'Domain of unknown function (DUF3390)', NULL, 'DUF3390', NULL, NULL, 22395, 8),
(37327, NULL, 'PF02310', NULL, NULL, 'B12 binding domain', NULL, 'B12-binding', NULL, NULL, 10033, 8),
(37328, NULL, 'PF11421', NULL, NULL, 'ATP synthase F1 beta subunit', NULL, 'Synthase_beta', NULL, NULL, 14740, 8),
(37329, NULL, 'PF00632', NULL, NULL, 'HECT-domain (ubiquitin-transferase)', NULL, 'HECT', NULL, NULL, 5972, 8),
(37330, NULL, 'PF05733', NULL, NULL, 'Tenuivirus/Phlebovirus nucleocapsid protein', NULL, 'Tenui_N', NULL, NULL, 10027, 8),
(37331, NULL, 'PF19769', NULL, NULL, 'CPxCG-related zinc finger', NULL, 'CPxCG_zf', NULL, NULL, 11505, 8),
(37332, NULL, 'PF01186', NULL, NULL, 'Lysyl oxidase', NULL, 'Lysyl_oxidase', NULL, NULL, 3405, 8),
(37333, NULL, 'PF16647', NULL, NULL, 'Granulocyte colony-stimulating factor', NULL, 'GCSF', NULL, NULL, 29925, 8),
(37334, NULL, 'PF16675', NULL, NULL, 'KIX-binding domain of forkhead box O, CR2', NULL, 'FOXO_KIX_bdg', NULL, NULL, 28195, 8),
(37335, NULL, 'PF01701', NULL, NULL, 'Photosystem I reaction centre subunit IX / PsaJ', NULL, 'PSI_PsaJ', NULL, NULL, 1811, 8),
(37336, NULL, 'PF17086', NULL, NULL, 'Small capsid protein of Herpesviridae', NULL, 'HV_small_capsid', NULL, NULL, 25039, 8),
(37337, NULL, 'PF14681', NULL, NULL, 'Uracil phosphoribosyltransferase', NULL, 'UPRTase', NULL, NULL, NULL, 8),
(37338, NULL, 'PF02046', NULL, NULL, 'Cytochrome c oxidase subunit VIa', NULL, 'COX6A', NULL, NULL, 2381, 8),
(37339, NULL, 'PF15039', NULL, NULL, 'Domain of unknown function (DUF4530)', NULL, 'DUF4530', NULL, NULL, 29470, 8),
(37340, NULL, 'PF16573', NULL, NULL, 'N-terminal beta-sandwich domain of polyadenylation factor', NULL, 'CLP1_N', NULL, NULL, 26527, 8),
(37341, NULL, 'PF13665', NULL, NULL, 'Domain of unknown function (DUF4150)', NULL, 'DUF4150', NULL, NULL, 23006, 8),
(37342, NULL, 'PF16153', NULL, NULL, 'Domain of unknown function (DUF4861)', NULL, 'DUF4861', NULL, NULL, 28344, 8),
(37343, NULL, 'PF05464', NULL, NULL, 'Phi-29-like late genes activator (early protein GP4)', NULL, 'Phi-29_GP4', NULL, NULL, 12011, 8),
(37344, NULL, 'PF18108', NULL, NULL, 'QSOX Trx-like domain', NULL, 'QSOX_Trx1', NULL, NULL, 32160, 8),
(37345, NULL, 'PF19301', NULL, NULL, 'LigXa C-terminal domain like', NULL, 'LigXa_C', NULL, NULL, 36861, 8),
(37346, NULL, 'PF04231', NULL, NULL, 'Endonuclease I', NULL, 'Endonuclease_1', NULL, NULL, 5556, 8),
(37347, NULL, 'PF10990', NULL, NULL, 'Protein of unknown function (DUF2809)', NULL, 'DUF2809', NULL, NULL, 17774, 8),
(37348, NULL, 'PF17311', NULL, NULL, 'Family of unknown function (DUF5358)', NULL, 'DUF5358', NULL, NULL, 34236, 8),
(37349, NULL, 'PF16939', NULL, NULL, 'Putative porin', NULL, 'Porin_6', NULL, NULL, 27340, 8),
(37350, NULL, 'PF02589', NULL, NULL, 'LUD domain', NULL, 'LUD_dom', NULL, NULL, 2086, 8),
(37351, NULL, 'PF06510', NULL, NULL, 'Protein of unknown function (DUF1102)', NULL, 'DUF1102', NULL, NULL, 9252, 8),
(37352, NULL, 'PF01758', NULL, NULL, 'Sodium Bile acid symporter family', NULL, 'SBF', NULL, NULL, 5263, 8),
(37353, NULL, 'PF08668', NULL, NULL, 'HDOD domain', NULL, 'HDOD', NULL, NULL, 8260, 8),
(37354, NULL, 'PF13553', NULL, NULL, 'Function to find', NULL, 'FIIND', NULL, NULL, 27580, 8),
(37355, NULL, 'PF13535', NULL, NULL, 'ATP-grasp domain', NULL, 'ATP-grasp_4', NULL, NULL, NULL, 8),
(37356, NULL, 'PF12964', NULL, NULL, 'Protein of unknown function (DUF3853)', NULL, 'DUF3853', NULL, NULL, 24727, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37357, NULL, 'PF02330', NULL, NULL, 'Mitochondrial glycoprotein', NULL, 'MAM33', NULL, NULL, 5138, 8),
(37358, NULL, 'PF13656', NULL, NULL, 'RNA polymerase Rpb3/Rpb11 dimerisation domain', NULL, 'RNA_pol_L_2', NULL, NULL, 10065, 8),
(37359, NULL, 'PF17637', NULL, NULL, 'Family of unknown function (DUF5516)', NULL, 'DUF5516', NULL, NULL, 31813, 8),
(37360, NULL, 'PF18197', NULL, NULL, 'Domain of unknown function (DUF5602)', NULL, 'DUF5602', NULL, NULL, 34790, 8),
(37361, NULL, 'PF11569', NULL, NULL, 'Homeodomain leucine-zipper encoding, Homez', NULL, 'Homez', NULL, NULL, 25058, 8),
(37362, NULL, 'PF03682', NULL, NULL, 'Uncharacterised protein family (UPF0158)', NULL, 'UPF0158', NULL, NULL, 6393, 8),
(37363, NULL, 'PF10902', NULL, NULL, 'WYL_2, Sm-like SH3 beta-barrel fold', NULL, 'WYL_2', NULL, NULL, 22816, 8),
(37364, NULL, 'PF15013', NULL, NULL, 'CCSMST1 family', NULL, 'CCSMST1', NULL, NULL, 29163, 8),
(37365, NULL, 'PF16673', NULL, NULL, 'TNF receptor-associated factor BIRC3 binding domain', NULL, 'TRAF_BIRC3_bd', NULL, NULL, 28154, 8),
(37366, NULL, 'PF05518', NULL, NULL, 'Totivirus coat protein', NULL, 'Totivirus_coat', NULL, NULL, 7885, 8),
(37367, NULL, 'PF06022', NULL, NULL, 'Plasmodium variant antigen protein Cir/Yir/Bir', NULL, 'Cir_Bir_Yir', NULL, NULL, 6266, 8),
(37368, NULL, 'PF12480', NULL, NULL, 'Protein of unknown function (DUF3699)', NULL, 'DUF3699', NULL, NULL, 21145, 8),
(37369, NULL, 'PF13194', NULL, NULL, 'Domain of unknown function (DUF4010)', NULL, 'DUF4010', NULL, NULL, 22743, 8),
(37370, NULL, 'PF00512', NULL, NULL, 'His Kinase A (phospho-acceptor) domain', NULL, 'HisKA', NULL, NULL, 1486, 8),
(37371, NULL, 'PF06649', NULL, NULL, 'Protein of unknown function (DUF1161)', NULL, 'DUF1161', NULL, NULL, 8275, 8),
(37372, NULL, 'PF13722', NULL, NULL, '5TM C-terminal transporter carbon starvation CstA', NULL, 'CstA_5TM', NULL, NULL, 23880, 8),
(37373, NULL, 'PF15423', NULL, NULL, 'FLYWCH-type zinc finger-containing protein', NULL, 'FLYWCH_N', NULL, NULL, 28676, 8),
(37374, NULL, 'PF02102', NULL, NULL, 'Deuterolysin metalloprotease (M35) family', NULL, 'Peptidase_M35', NULL, NULL, 6520, 8),
(37375, NULL, 'PF08720', NULL, NULL, 'Influenza C hemagglutinin stalk', NULL, 'Hema_stalk', NULL, NULL, 11651, 8),
(37376, NULL, 'PF11273', NULL, NULL, 'Protein of unknown function (DUF3073)', NULL, 'DUF3073', NULL, NULL, 18472, 8),
(37377, NULL, 'PF18383', NULL, NULL, 'Intraflagellar transport 81 calponin homology domain', NULL, 'IFT81_CH', NULL, NULL, 31181, 8),
(37378, NULL, 'PF04659', NULL, NULL, 'Archaeal flagella protein', NULL, 'Arch_fla_DE', NULL, NULL, 3209, 8),
(37379, NULL, 'PF01775', NULL, NULL, 'Ribosomal proteins 50S-L18Ae/60S-L20/60S-L18A', NULL, 'Ribosomal_L18A', NULL, NULL, 19392, 8),
(37380, NULL, 'PF12152', NULL, NULL, 'Eukaryotic translation initiation factor 4G1', NULL, 'eIF_4G1', NULL, NULL, 17059, 8),
(37381, NULL, 'PF12647', NULL, NULL, 'RNHCP domain', NULL, 'RNHCP', NULL, NULL, 29458, 8),
(37382, NULL, 'PF13095', NULL, NULL, 'Kinetochore Sim4 complex subunit FTA2', NULL, 'FTA2', NULL, NULL, 22917, 8),
(37383, NULL, 'PF01101', NULL, NULL, 'HMG14 and HMG17', NULL, 'HMG14_17', NULL, NULL, 2603, 8),
(37384, NULL, 'PF13670', NULL, NULL, 'Peptidase propeptide and YPEB domain', NULL, 'PepSY_2', NULL, NULL, 25974, 8),
(37385, NULL, 'PF00098', NULL, NULL, 'Zinc knuckle', NULL, 'zf-CCHC', NULL, NULL, 4468, 8),
(37386, NULL, 'PF14618', NULL, NULL, 'Domain of unknown function (DUF4452)', NULL, 'DUF4452', NULL, NULL, 24147, 8),
(37387, NULL, 'PF00291', NULL, NULL, 'Pyridoxal-phosphate dependent enzyme', NULL, 'PALP', NULL, NULL, 4048, 8),
(37388, NULL, 'PF15127', NULL, NULL, 'Small membrane A-kinase anchor protein', NULL, 'SmAKAP', NULL, NULL, 25169, 8),
(37389, NULL, 'PF02316', NULL, NULL, 'Mu DNA-binding domain', NULL, 'HTH_Tnp_Mu_1', NULL, NULL, 4026, 8),
(37390, NULL, 'PF19636', NULL, NULL, 'Family of unknown function (DUF6139)', NULL, 'DUF6139', NULL, NULL, 39735, 8),
(37391, NULL, 'PF07614', NULL, NULL, 'Protein of unknown function (DUF1577)', NULL, 'DUF1577', NULL, NULL, 14265, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37392, NULL, 'PF09207', NULL, NULL, 'Yeast killer toxin', NULL, 'Yeast-kill-tox', NULL, NULL, 12518, 8),
(37393, NULL, 'PF09755', NULL, NULL, 'Uncharacterized conserved protein H4 (DUF2046)', NULL, 'DUF2046', NULL, NULL, 18775, 8),
(37394, NULL, 'PF03621', NULL, NULL, 'MbtH-like protein', NULL, 'MbtH', NULL, NULL, 4029, 8),
(37395, NULL, 'PF11397', NULL, NULL, 'Glycosyltransferase (GlcNAc)', NULL, 'GlcNAc', NULL, NULL, 15212, 8),
(37396, NULL, 'PF00758', NULL, NULL, 'Erythropoietin/thrombopoietin', NULL, 'EPO_TPO', NULL, NULL, 2181, 8),
(37397, NULL, 'PF02414', NULL, NULL, 'Borrelia ORF-A', NULL, 'Borrelia_orfA', NULL, NULL, 5542, 8),
(37398, NULL, 'PF10589', NULL, NULL, 'NADH-ubiquinone oxidoreductase-F iron-sulfur binding region', NULL, 'NADH_4Fe-4S', NULL, NULL, 20310, 8),
(37399, NULL, 'PF01528', NULL, NULL, 'Herpesvirus glycoprotein M', NULL, 'Herpes_glycop', NULL, NULL, 4913, 8),
(37400, NULL, 'PF19207', NULL, NULL, 'Family of unknown function (DUF5879)', NULL, 'DUF5879', NULL, NULL, 37450, 8),
(37401, NULL, 'PF09911', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2140)', NULL, 'DUF2140', NULL, NULL, 17050, 8),
(37402, NULL, 'PF14238', NULL, NULL, 'Domain of unknown function (DUF4340)', NULL, 'DUF4340', NULL, NULL, 26337, 8),
(37403, NULL, 'PF20157', NULL, NULL, 'Glycosyltransferase Maf N-terminal domain', NULL, 'Maf_flag10_N', NULL, NULL, 38963, 8),
(37404, NULL, 'PF12011', NULL, NULL, 'RNA helicase NPH-II', NULL, 'NPH-II', NULL, NULL, 20248, 8),
(37405, NULL, 'PF00280', NULL, NULL, 'Potato inhibitor I family', NULL, 'potato_inhibit', NULL, NULL, 24, 8),
(37406, NULL, 'PF06403', NULL, NULL, 'Lamprin', NULL, 'Lamprin', NULL, NULL, 8105, 8),
(37407, NULL, 'PF19996', NULL, NULL, 'N-terminal helical region fused to the FtsH ternary system vWA domain', NULL, 'ivWA-helical_N', NULL, NULL, 37028, 8),
(37408, NULL, 'PF01966', NULL, NULL, 'HD domain', NULL, 'HD', NULL, NULL, 2329, 8),
(37409, NULL, 'PF06749', NULL, NULL, 'Protein of unknown function (DUF1218)', NULL, 'DUF1218', NULL, NULL, 1545, 8),
(37410, NULL, 'PF10893', NULL, NULL, 'Protein of unknown function (DUF2724)', NULL, 'DUF2724', NULL, NULL, 17639, 8),
(37411, NULL, 'PF12886', NULL, NULL, 'Transducer of regulated CREB activity, C terminus', NULL, 'TORC_C', NULL, NULL, 25079, 8),
(37412, NULL, 'PF14920', NULL, NULL, 'MDM2-binding', NULL, 'MTBP_C', NULL, NULL, 24937, 8),
(37413, NULL, 'PF12633', NULL, NULL, 'Adenylate cyclase NT domain', NULL, 'Adenyl_cycl_N', NULL, NULL, 25580, 8),
(37414, NULL, 'PF08864', NULL, NULL, 'UPF0302 domain', NULL, 'UPF0302', NULL, NULL, 14481, 8),
(37415, NULL, 'PF17454', NULL, NULL, 'Honey bee toxin', NULL, 'Bee_toxin', NULL, NULL, 14635, 8),
(37416, NULL, 'PF20057', NULL, NULL, 'Domain of unknown function (DUF6456)', NULL, 'DUF6456', NULL, NULL, 38508, 8),
(37417, NULL, 'PF06018', NULL, NULL, 'CodY GAF-like domain', NULL, 'CodY', NULL, NULL, 8664, 8),
(37418, NULL, 'PF15153', NULL, NULL, 'Cytokine-like protein 1', NULL, 'CYTL1', NULL, NULL, 21576, 8),
(37419, NULL, 'PF11119', NULL, NULL, 'Protein of unknown function (DUF2633)', NULL, 'DUF2633', NULL, NULL, 16820, 8),
(37420, NULL, 'PF08393', NULL, NULL, 'Dynein heavy chain, N-terminal region 2', NULL, 'DHC_N2', NULL, NULL, 11262, 8),
(37421, NULL, 'PF00888', NULL, NULL, 'Cullin family', NULL, 'Cullin', NULL, NULL, 2333, 8),
(37422, NULL, 'PF11000', NULL, NULL, 'Protein of unknown function (DUF2840)', NULL, 'DUF2840', NULL, NULL, 17817, 8),
(37423, NULL, 'PF13328', NULL, NULL, 'HD domain', NULL, 'HD_4', NULL, NULL, NULL, 8),
(37424, NULL, 'PF04981', NULL, NULL, 'NMD3 family', NULL, 'NMD3', NULL, NULL, 6515, 8),
(37425, NULL, 'PF09648', NULL, NULL, 'YycH protein', NULL, 'YycI', NULL, NULL, 15788, 8),
(37426, NULL, 'PF09750', NULL, NULL, 'Alternative splicing regulator', NULL, 'DRY_EERY', NULL, NULL, 18646, 8),
(37427, NULL, 'PF12078', NULL, NULL, 'Domain of unknown function (DUF3557)', NULL, 'DUF3557', NULL, NULL, 20211, 8),
(37428, NULL, 'PF05620', NULL, NULL, 'SRP-independent targeting protein 2/TMEM208', NULL, 'TMEM208_SND2', NULL, NULL, 12302, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37429, NULL, 'PF16564', NULL, NULL, 'p55-binding region of Methyl-CpG-binding domain proteins MBD', NULL, 'MBDa', NULL, NULL, 25967, 8),
(37430, NULL, 'PF02429', NULL, NULL, 'Peridinin-chlorophyll A binding protein', NULL, 'PCP', NULL, NULL, 4690, 8),
(37431, NULL, 'PF08124', NULL, NULL, 'Polysaccharide lyase family 8, N terminal alpha-helical domain', NULL, 'Lyase_8_N', NULL, NULL, 12220, 8),
(37432, NULL, 'PF12225', NULL, NULL, 'Methylene-tetrahydrofolate reductase C terminal', NULL, 'DUF5981', NULL, NULL, 20645, 8),
(37433, NULL, 'PF14989', NULL, NULL, 'Coiled-coil domain containing 32', NULL, 'CCDC32', NULL, NULL, 22451, 8),
(37434, NULL, 'PF09627', NULL, NULL, 'PrgU-like protein', NULL, 'PrgU', NULL, NULL, 15651, 8),
(37435, NULL, 'PF13856', NULL, NULL, 'ATP-binding sugar transporter from pro-phage', NULL, 'Gifsy-2', NULL, NULL, 25780, 8),
(37436, NULL, 'PF10705', NULL, NULL, 'Chloroplast protein precursor Ycf15 putative', NULL, 'Ycf15', NULL, NULL, 21231, 8),
(37437, NULL, 'PF16916', NULL, NULL, 'Dimerisation domain of Zinc Transporter', NULL, 'ZT_dimer', NULL, NULL, 26308, 8),
(37438, NULL, 'PF01679', NULL, NULL, 'Proteolipid membrane potential modulator', NULL, 'Pmp3', NULL, NULL, 5750, 8),
(37439, NULL, 'PF11500', NULL, NULL, 'Cut12 conserved domain', NULL, 'Cut12', NULL, NULL, 19056, 8),
(37440, NULL, 'PF07609', NULL, NULL, 'Protein of unknown function (DUF1572)', NULL, 'DUF1572', NULL, NULL, 13714, 8),
(37441, NULL, 'PF02978', NULL, NULL, 'Signal peptide binding domain', NULL, 'SRP_SPB', NULL, NULL, 1855, 8),
(37442, NULL, 'PF16456', NULL, NULL, 'YmgD protein', NULL, 'YmgD', NULL, NULL, 22573, 8),
(37443, NULL, 'PF18266', NULL, NULL, 'Nicastrin small lobe', NULL, 'Ncstrn_small', NULL, NULL, 31266, 8),
(37444, NULL, 'PF11064', NULL, NULL, 'Protein of unknown function (DUF2865)', NULL, 'DUF2865', NULL, NULL, 17741, 8),
(37445, NULL, 'PF06191', NULL, NULL, 'Protein of unknown function (DUF995)', NULL, 'DUF995', NULL, NULL, 14566, 8),
(37446, NULL, 'PF14532', NULL, NULL, 'Sigma-54 interaction domain', NULL, 'Sigma54_activ_2', NULL, NULL, 5149, 8),
(37447, NULL, 'PF17724', NULL, NULL, 'Family of unknown function (DUF5568)', NULL, 'DUF5568', NULL, NULL, 31440, 8),
(37448, NULL, 'PF01077', NULL, NULL, 'Nitrite and sulphite reductase 4Fe-4S domain', NULL, 'NIR_SIR', NULL, NULL, 2904, 8),
(37449, NULL, 'PF11196', NULL, NULL, 'Terpene cyclase DEP1', NULL, 'DEP1', NULL, NULL, 18471, 8),
(37450, NULL, 'PF18844', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 2', NULL, 'baeRF_family2', NULL, NULL, 29829, 8),
(37451, NULL, 'PF20093', NULL, NULL, 'Domain of unknown function (DUF6484)', NULL, 'DUF6484', NULL, NULL, 39538, 8),
(37452, NULL, 'PF05340', NULL, NULL, 'Protein of unknown function (DUF740)', NULL, 'DUF740', NULL, NULL, 5395, 8),
(37453, NULL, 'PF05171', NULL, NULL, 'Haemin-degrading HemS.ChuX domain', NULL, 'HemS', NULL, NULL, 2222, 8),
(37454, NULL, 'PF10469', NULL, NULL, 'AKAP7 2''5'' RNA ligase-like domain', NULL, 'AKAP7_NLS', NULL, NULL, 18778, 8),
(37455, NULL, 'PF04484', NULL, NULL, 'QWRF family', NULL, 'QWRF', NULL, NULL, 1678, 8),
(37456, NULL, 'PF13029', NULL, NULL, 'Domain of unknown function (DUF3890)', NULL, 'DUF3890', NULL, NULL, 22739, 8),
(37457, NULL, 'PF07965', NULL, NULL, 'Integrin beta tail domain', NULL, 'Integrin_B_tail', NULL, NULL, 13222, 8),
(37458, NULL, 'PF09842', NULL, NULL, 'Predicted membrane protein (DUF2069)', NULL, 'DUF2069', NULL, NULL, 16600, 8),
(37459, NULL, 'PF18399', NULL, NULL, 'Clip-domain serine protease homolog Scarface', NULL, 'CLIP_SPH_Scar', NULL, NULL, 29585, 8),
(37460, NULL, 'PF17656', NULL, NULL, 'FlgA N-terminal domain', NULL, 'ChapFlgA_N', NULL, NULL, 31112, 8),
(37461, NULL, 'PF15099', NULL, NULL, 'Phosphoinositide-interacting protein family', NULL, 'PIRT', NULL, NULL, 28852, 8),
(37462, NULL, 'PF03916', NULL, NULL, 'Polysulphide reductase, NrfD', NULL, 'NrfD', NULL, NULL, 2794, 8),
(37463, NULL, 'PF12015', NULL, NULL, 'Domain of unknown function (DUF3507)', NULL, 'DUF3507', NULL, NULL, 20280, 8),
(37464, NULL, 'PF09267', NULL, NULL, 'Dictyostelium STAT, coiled coil', NULL, 'Dict-STAT-coil', NULL, NULL, 13774, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37465, NULL, 'PF16427', NULL, NULL, 'Domain of unknown function (DUF5024)', NULL, 'DUF5024', NULL, NULL, 25700, 8),
(37466, NULL, 'PF10039', NULL, NULL, 'Predicted integral membrane protein (DUF2275)', NULL, 'DUF2275', NULL, NULL, 18524, 8),
(37467, NULL, 'PF15277', NULL, NULL, 'Exocyst complex component SEC3 N-terminal PIP2 binding PH', NULL, 'Sec3-PIP2_bind', NULL, NULL, 23983, 8),
(37468, NULL, 'PF18200', NULL, NULL, 'Bacterial Ig-like domain', NULL, 'Big_11', NULL, NULL, 32432, 8),
(37469, NULL, 'PF11362', NULL, NULL, 'Protein of unknown function (DUF3161)', NULL, 'DUF3161', NULL, NULL, NULL, 8),
(37470, NULL, 'PF18658', NULL, NULL, 'Spin-doc zinc-finger', NULL, 'zf-C2H2_12', NULL, NULL, 30557, 8),
(37471, NULL, 'PF08282', NULL, NULL, 'haloacid dehalogenase-like hydrolase', NULL, 'Hydrolase_3', NULL, NULL, NULL, 8),
(37472, NULL, 'PF08424', NULL, NULL, 'NRDE-2, necessary for RNA interference', NULL, 'NRDE-2', NULL, NULL, 11033, 8),
(37473, NULL, 'PF17969', NULL, NULL, 'L,D-transpeptidase C-terminal domain', NULL, 'Ldt_C', NULL, NULL, 32013, 8),
(37474, NULL, 'PF13086', NULL, NULL, 'AAA domain', NULL, 'AAA_11', NULL, NULL, 32598, 8),
(37475, NULL, 'PF17974', NULL, NULL, 'Galactose-binding domain-like', NULL, 'GalBD_like', NULL, NULL, 29523, 8),
(37476, NULL, 'PF02740', NULL, NULL, 'Colipase, C-terminal domain', NULL, 'Colipase_C', NULL, NULL, 18592, 8),
(37477, NULL, 'PF10706', NULL, NULL, 'Aminoglycoside-2''''-adenylyltransferase', NULL, 'Aminoglyc_resit', NULL, NULL, 21166, 8),
(37478, NULL, 'PF03956', NULL, NULL, 'Lysine exporter LysO', NULL, 'Lys_export', NULL, NULL, 2758, 8),
(37479, NULL, 'PF04868', NULL, NULL, 'Retinal cGMP phosphodiesterase, gamma subunit', NULL, 'PDE6_gamma', NULL, NULL, 5520, 8),
(37480, NULL, 'PF17815', NULL, NULL, 'PDZ domain', NULL, 'PDZ_3', NULL, NULL, 32128, 8),
(37481, NULL, 'PF00527', NULL, NULL, 'E7 protein, Early protein', NULL, 'E7', NULL, NULL, 3975, 8),
(37482, NULL, 'PF02826', NULL, NULL, 'D-isomer specific 2-hydroxyacid dehydrogenase, NAD binding domain', NULL, '2-Hacid_dh_C', NULL, NULL, 10286, 8),
(37483, NULL, 'PF19552', NULL, NULL, 'Family of unknown function (DUF6075)', NULL, 'DUF6075', NULL, NULL, 37251, 8),
(37484, NULL, 'PF18964', NULL, NULL, 'Family of unknown function (DUF5704)', NULL, 'DUF5704', NULL, NULL, 37102, 8),
(37485, NULL, 'PF07410', NULL, NULL, 'Streptococcus thermophilus bacteriophage Gp111 protein', NULL, 'Phage_Gp111', NULL, NULL, 11971, 8),
(37486, NULL, 'PF11657', NULL, NULL, 'Transcriptional activator TraM', NULL, 'Activator-TraM', NULL, NULL, 22871, 8),
(37487, NULL, 'PF11442', NULL, NULL, 'Protein of unknown function (DUF2826)', NULL, 'DUF2826', NULL, NULL, 18822, 8),
(37488, NULL, 'PF04748', NULL, NULL, 'Divergent polysaccharide deacetylase', NULL, 'Polysacc_deac_2', NULL, NULL, 4285, 8),
(37489, NULL, 'PF20001', NULL, NULL, 'Family of unknown function (DUF6428)', NULL, 'DUF6428', NULL, NULL, 38711, 8),
(37490, NULL, 'PF09990', NULL, NULL, 'Predicted membrane protein (DUF2231)', NULL, 'DUF2231', NULL, NULL, 20368, 8),
(37491, NULL, 'PF02681', NULL, NULL, 'Divergent PAP2 family', NULL, 'DUF212', NULL, NULL, 6409, 8),
(37492, NULL, 'PF09426', NULL, NULL, 'Vacuolar R-SNARE Nyv1 N terminal', NULL, 'Nyv1_N', NULL, NULL, 16083, 8),
(37493, NULL, 'PF16255', NULL, NULL, 'GDSL-like Lipase/Acylhydrolase', NULL, 'Lipase_GDSL_lke', NULL, NULL, 25309, 8),
(37494, NULL, 'PF00942', NULL, NULL, 'Cellulose binding domain', NULL, 'CBM_3', NULL, NULL, 4187, 8),
(37495, NULL, 'PF08509', NULL, NULL, 'Adenylate cyclase G-alpha binding domain', NULL, 'Ad_cyc_g-alpha', NULL, NULL, 14426, 8),
(37496, NULL, 'PF17767', NULL, NULL, 'Nicotinate phosphoribosyltransferase (NAPRTase) N-terminal domain', NULL, 'NAPRTase_N', NULL, NULL, 30966, 8),
(37497, NULL, 'PF16406', NULL, NULL, 'Domain of unknown function (DUF5014)', NULL, 'DUF5014', NULL, NULL, 24632, 8),
(37498, NULL, 'PF11686', NULL, NULL, 'Protein of unknown function (DUF3283)', NULL, 'DUF3283', NULL, NULL, 19177, 8),
(37499, NULL, 'PF18488', NULL, NULL, 'WYL domain', NULL, 'WYL_3', NULL, NULL, 30038, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37500, NULL, 'PF08241', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_11', NULL, NULL, 12208, 8),
(37501, NULL, 'PF10576', NULL, NULL, 'Iron-sulfur binding domain of endonuclease III', NULL, 'EndIII_4Fe-2S', NULL, NULL, 1308, 8),
(37502, NULL, 'PF07819', NULL, NULL, 'PGAP1-like protein', NULL, 'PGAP1', NULL, NULL, 13119, 8),
(37503, NULL, 'PF20134', NULL, NULL, 'Family of unknown function (DUF6524)', NULL, 'DUF6524', NULL, NULL, 38255, 8),
(37504, NULL, 'PF01379', NULL, NULL, 'Porphobilinogen deaminase, dipyromethane cofactor binding domain', NULL, 'Porphobil_deam', NULL, NULL, 16064, 8),
(37505, NULL, 'PF09150', NULL, NULL, 'Orange carotenoid protein, N-terminal', NULL, 'Carot_N', NULL, NULL, 10622, 8),
(37506, NULL, 'PF06612', NULL, NULL, 'Protein of unknown function (DUF1146)', NULL, 'DUF1146', NULL, NULL, 10127, 8),
(37507, NULL, 'PF06922', NULL, NULL, 'Citrus tristeza virus P13 protein', NULL, 'CTV_P13', NULL, NULL, 11942, 8),
(37508, NULL, 'PF06615', NULL, NULL, 'Protein of unknown function (DUF1147)', NULL, 'DUF1147', NULL, NULL, 10470, 8),
(37509, NULL, 'PF03608', NULL, NULL, 'PTS system enzyme II sorbitol-specific factor', NULL, 'EII-GUT', NULL, NULL, 3958, 8),
(37510, NULL, 'PF11464', NULL, NULL, 'Rabenosyn Rab binding domain', NULL, 'Rbsn', NULL, NULL, 18837, 8),
(37511, NULL, 'PF16934', NULL, NULL, 'Two-component Enterococcus faecalis cytolysin (EFC)', NULL, 'Mersacidin', NULL, NULL, 24048, 8),
(37512, NULL, 'PF11483', NULL, NULL, 'Protein of unknown function (DUF3209)', NULL, 'DUF3209', NULL, NULL, 18776, 8),
(37513, NULL, 'PF00509', NULL, NULL, 'Haemagglutinin', NULL, 'Hemagglutinin', NULL, NULL, 2187, 8),
(37514, NULL, 'PF18341', NULL, NULL, 'PSA endolysin C-terminal cell wall binding domain', NULL, 'PSA_CBD', NULL, NULL, 31156, 8),
(37515, NULL, 'PF17105', NULL, NULL, 'C-terminal domain of bromodomain protein 4', NULL, 'BRD4_CDT', NULL, NULL, 2913, 8),
(37516, NULL, 'PF06183', NULL, NULL, 'DinI-like family', NULL, 'DinI', NULL, NULL, 9937, 8),
(37517, NULL, 'PF12693', NULL, NULL, 'GspL periplasmic domain', NULL, 'GspL_C', NULL, NULL, 25985, 8),
(37518, NULL, 'PF01518', NULL, NULL, 'Sigma NS protein', NULL, 'PolyG_pol', NULL, NULL, 847, 8),
(37519, NULL, 'PF00989', NULL, NULL, 'PAS fold', NULL, 'PAS', NULL, NULL, 12175, 8),
(37520, NULL, 'PF19520', NULL, NULL, 'Dipeptidyl peptidase 8 and 9 N-terminal', NULL, 'Dpp_8_9_N', NULL, NULL, 38808, 8),
(37521, NULL, 'PF02165', NULL, NULL, 'Wilm''s tumour protein', NULL, 'WT1', NULL, NULL, 3168, 8),
(37522, NULL, 'PF14275', NULL, NULL, 'Domain of unknown function (DUF4362)', NULL, 'DUF4362', NULL, NULL, 21890, 8),
(37523, NULL, 'PF13113', NULL, NULL, 'Protein of unknown function (DUF3970)', NULL, 'DUF3970', NULL, NULL, 23660, 8),
(37524, NULL, 'PF18838', NULL, NULL, 'Large polyvalent protein associated domain 23', NULL, 'LPD23', NULL, NULL, 30195, 8),
(37525, NULL, 'PF07004', NULL, NULL, 'Sperm-tail PG-rich repeat', NULL, 'SHIPPO-rpt', NULL, NULL, 10339, 8),
(37526, NULL, 'PF13394', NULL, NULL, '4Fe-4S single cluster domain', NULL, 'Fer4_14', NULL, NULL, NULL, 8),
(37527, NULL, 'PF18822', NULL, NULL, 'CdvA-like coiled-coil domain', NULL, 'CdvA', NULL, NULL, 32676, 8),
(37528, NULL, 'PF18450', NULL, NULL, 'Zinc Finger domain', NULL, 'zf_C2H2_6', NULL, NULL, 31580, 8),
(37529, NULL, 'PF12277', NULL, NULL, 'Protein of unknown function (DUF3618)', NULL, 'DUF3618', NULL, NULL, 20700, 8),
(37530, NULL, 'PF11609', NULL, NULL, 'Protein of unknown function (DUF3248)', NULL, 'DUF3248', NULL, NULL, 19125, 8),
(37531, NULL, 'PF13239', NULL, NULL, '2TM domain', NULL, '2TM', NULL, NULL, 23739, 8),
(37532, NULL, 'PF05829', NULL, NULL, 'Adenovirus late L2 mu core protein (Protein X)', NULL, 'Adeno_PX', NULL, NULL, 7921, 8),
(37533, NULL, 'PF05363', NULL, NULL, 'Herpesvirus US12 family', NULL, 'Herpes_US12', NULL, NULL, 5385, 8),
(37534, NULL, 'PF18572', NULL, NULL, 'Trehalose-6-phosphate phosphatase N-terminal helical bundle domain', NULL, 'T6PP_N', NULL, NULL, 31359, 8),
(37535, NULL, 'PF08202', NULL, NULL, 'Mis12-Mtw1 protein family', NULL, 'MIS13', NULL, NULL, 12184, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37536, NULL, 'PF10819', NULL, NULL, 'Protein of unknown function (DUF2564)', NULL, 'DUF2564', NULL, NULL, 19744, 8),
(37537, NULL, 'PF16245', NULL, NULL, 'Domain of unknown function (DUF4902)', NULL, 'DUF4902', NULL, NULL, 25717, 8),
(37538, NULL, 'PF19284', NULL, NULL, 'Arc MA domain', NULL, 'Arc_MA', NULL, NULL, 38868, 8),
(37539, NULL, 'PF12144', NULL, NULL, 'Eukaryotic Mediator 12 catenin-binding domain', NULL, 'Med12-PQL', NULL, NULL, 20518, 8),
(37540, NULL, 'PF02982', NULL, NULL, 'Scytalone dehydratase', NULL, 'Scytalone_dh', NULL, NULL, 3961, 8),
(37541, NULL, 'PF18373', NULL, NULL, 'Spectrin like domain', NULL, 'Spectrin_like', NULL, NULL, 32837, 8),
(37542, NULL, 'PF05374', NULL, NULL, 'Mu-Conotoxin', NULL, 'Mu-conotoxin', NULL, NULL, 5113, 8),
(37543, NULL, 'PF08175', NULL, NULL, 'Small acid-soluble spore protein O family', NULL, 'SspO', NULL, NULL, NULL, 8),
(37544, NULL, 'PF12591', NULL, NULL, 'Protein of unknown function (DUF3762)', NULL, 'DUF3762', NULL, NULL, 21121, 8),
(37545, NULL, 'PF17294', NULL, NULL, 'Uncharacterised lipoprotein family', NULL, 'Lipoprotein_22', NULL, NULL, 30093, 8),
(37546, NULL, 'PF00935', NULL, NULL, 'Ribosomal protein L44', NULL, 'Ribosomal_L44', NULL, NULL, 5844, 8),
(37547, NULL, 'PF16121', NULL, NULL, '40S ribosomal protein S4 C-terminus', NULL, '40S_S4_C', NULL, NULL, 28290, 8),
(37548, NULL, 'PF00464', NULL, NULL, 'Serine hydroxymethyltransferase', NULL, 'SHMT', NULL, NULL, 35734, 8),
(37549, NULL, 'PF07076', NULL, NULL, 'Protein of unknown function (DUF1344)', NULL, 'DUF1344', NULL, NULL, 13346, 8),
(37550, NULL, 'PF16501', NULL, NULL, 'S phase cyclin A-associated protein in the endoplasmic reticulum', NULL, 'SCAPER_N', NULL, NULL, 25718, 8),
(37551, NULL, 'PF16181', NULL, NULL, 'RelB transactivation domain', NULL, 'RelB_transactiv', NULL, NULL, 22323, 8),
(37552, NULL, 'PF00204', NULL, NULL, 'DNA gyrase B', NULL, 'DNA_gyraseB', NULL, NULL, 11478, 8),
(37553, NULL, 'PF02302', NULL, NULL, 'PTS system, Lactose/Cellobiose specific IIB subunit', NULL, 'PTS_IIB', NULL, NULL, 6253, 8),
(37554, NULL, 'PF04038', NULL, NULL, 'Dihydroneopterin aldolase', NULL, 'DHNA', NULL, NULL, 887, 8),
(37555, NULL, 'PF00984', NULL, NULL, 'UDP-glucose/GDP-mannose dehydrogenase family, central domain', NULL, 'UDPG_MGDP_dh', NULL, NULL, 8766, 8),
(37556, NULL, 'PF18983', NULL, NULL, 'Family of unknown function (DUF5717)C-terminal', NULL, 'DUF5717', NULL, NULL, 37754, 8),
(37557, NULL, 'PF08950', NULL, NULL, 'Protein of unknown function (DUF1861)', NULL, 'DUF1861', NULL, NULL, 7588, 8),
(37558, NULL, 'PF05307', NULL, NULL, 'Bundlin', NULL, 'Bundlin', NULL, NULL, 4149, 8),
(37559, NULL, 'PF09435', NULL, NULL, 'Fungal protein of unknown function (DUF2015)', NULL, 'DUF2015', NULL, NULL, 15984, 8),
(37560, NULL, 'PF16937', NULL, NULL, 'Type III secretion system translocator protein, HrpF', NULL, 'T3SS_HrpK1', NULL, NULL, 26691, 8),
(37561, NULL, 'PF19079', NULL, NULL, 'Collagen-flanked surface repeat', NULL, 'CFSR', NULL, NULL, 21938, 8),
(37562, NULL, 'PF15402', NULL, NULL, 'MELT motif', NULL, 'MELT_2', NULL, NULL, NULL, 8),
(37563, NULL, 'PF11131', NULL, NULL, 'Rap-phr extracellular signalling', NULL, 'PhrC_PhrF', NULL, NULL, 22359, 8),
(37564, NULL, 'PF11177', NULL, NULL, 'Protein of unknown function (DUF2964)', NULL, 'DUF2964', NULL, NULL, 18419, 8),
(37565, NULL, 'PF16366', NULL, NULL, 'Cytoplasmic polyadenylation element-binding protein ZZ domain', NULL, 'CEBP_ZZ', NULL, NULL, 25231, 8),
(37566, NULL, 'PF08640', NULL, NULL, 'U3 small nucleolar RNA-associated protein 6', NULL, 'U3_assoc_6', NULL, NULL, 8106, 8),
(37567, NULL, 'PF18254', NULL, NULL, 'HMW1 domain 2', NULL, 'HMw1_D2', NULL, NULL, 30232, 8),
(37568, NULL, 'PF02604', NULL, NULL, 'Antitoxin Phd_YefM, type II toxin-antitoxin system', NULL, 'PhdYeFM_antitox', NULL, NULL, 6609, 8),
(37569, NULL, 'PF10622', NULL, NULL, 'Energy-converting hydrogenase B subunit P (EhbP)', NULL, 'Ehbp', NULL, NULL, 20422, 8),
(37570, NULL, 'PF06617', NULL, NULL, 'M-phase inducer phosphatase', NULL, 'M-inducer_phosp', NULL, NULL, 4206, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37571, NULL, 'PF19599', NULL, NULL, 'Family of unknown function (DUF6104)', NULL, 'DUF6104', NULL, NULL, 39366, 8),
(37572, NULL, 'PF01118', NULL, NULL, 'Semialdehyde dehydrogenase, NAD binding domain', NULL, 'Semialdhyde_dh', NULL, NULL, 5868, 8),
(37573, NULL, 'PF11831', NULL, NULL, 'pre-mRNA splicing factor component', NULL, 'Myb_Cef', NULL, NULL, 19952, 8),
(37574, NULL, 'PF11209', NULL, NULL, 'LmeA-like phospholipid-binding', NULL, 'LmeA', NULL, NULL, 18322, 8),
(37575, NULL, 'PF15575', NULL, NULL, 'Immunity protein 49', NULL, 'Imm49', NULL, NULL, 26247, 8),
(37576, NULL, 'PF16902', NULL, NULL, 'Type-2 restriction enzyme D3 domain', NULL, 'Type2_restr_D3', NULL, NULL, 23082, 8),
(37577, NULL, 'PF18612', NULL, NULL, 'Bacterial Alpha amylase C-terminal domain', NULL, 'Bac_A_amyl_C', NULL, NULL, 32001, 8),
(37578, NULL, 'PF03290', NULL, NULL, 'Vaccinia virus I7 processing peptidase', NULL, 'Peptidase_C57', NULL, NULL, 844, 8),
(37579, NULL, 'PF19609', NULL, NULL, 'Family of unknown function (DUF6114)', NULL, 'DUF6114', NULL, NULL, 39459, 8),
(37580, NULL, 'PF08125', NULL, NULL, 'Mannitol dehydrogenase C-terminal domain', NULL, 'Mannitol_dh_C', NULL, NULL, 18722, 8),
(37581, NULL, 'PF18217', NULL, NULL, 'Zap1 zinc finger 2', NULL, 'Zap1_zf2', NULL, NULL, 34593, 8),
(37582, NULL, 'PF19706', NULL, NULL, 'Family of unknown function (DUF6203)', NULL, 'DUF6203', NULL, NULL, 39647, 8),
(37583, NULL, 'PF09082', NULL, NULL, 'Domain of unknown function (DUF1922)', NULL, 'DUF1922', NULL, NULL, 9814, 8),
(37584, NULL, 'PF11336', NULL, NULL, 'Protein of unknown function (DUF3138)', NULL, 'DUF3138', NULL, NULL, 18648, 8),
(37585, NULL, 'PF17462', NULL, NULL, 'Family of unknown function (DUF5424)', NULL, 'DUF5424', NULL, NULL, 35174, 8),
(37586, NULL, 'PF05837', NULL, NULL, 'Centromere protein H (CENP-H)', NULL, 'CENP-H', NULL, NULL, 8828, 8),
(37587, NULL, 'PF04790', NULL, NULL, 'Sarcoglycan complex subunit protein', NULL, 'Sarcoglycan_1', NULL, NULL, 4719, 8),
(37588, NULL, 'PF07675', NULL, NULL, 'Cleaved Adhesin Domain', NULL, 'Cleaved_Adhesin', NULL, NULL, 10733, 8),
(37589, NULL, 'PF07013', NULL, NULL, 'Protein of unknown function (DUF1314)', NULL, 'DUF1314', NULL, NULL, 10025, 8),
(37590, NULL, 'PF19573', NULL, NULL, 'Domain of unknown function (DUF6089)', NULL, 'DUF6089', NULL, NULL, 39639, 8),
(37591, NULL, 'PF05735', NULL, NULL, 'Thrombospondin C-terminal region', NULL, 'TSP_C', NULL, NULL, 14311, 8),
(37592, NULL, 'PF12425', NULL, NULL, 'Protein of unknown function (DUF3673)', NULL, 'DUF3673', NULL, NULL, 21081, 8),
(37593, NULL, 'PF03008', NULL, NULL, 'Archaea bacterial proteins of unknown function', NULL, 'DUF234', NULL, NULL, 3787, 8),
(37594, NULL, 'PF11368', NULL, NULL, 'Protein of unknown function (DUF3169)', NULL, 'DUF3169', NULL, NULL, 18874, 8),
(37595, NULL, 'PF18417', NULL, NULL, 'L-lysine epsilon oxidase C-terminal domain', NULL, 'LodA_C', NULL, NULL, 31291, 8),
(37596, NULL, 'PF10088', NULL, NULL, 'Uncharacterised protein conserved in bacteria (DUF2326)', NULL, 'DUF2326', NULL, NULL, 18762, 8),
(37597, NULL, 'PF16056', NULL, NULL, 'Domain of unknown function (DUF4799)', NULL, 'DUF4799', NULL, NULL, 23446, 8),
(37598, NULL, 'PF01448', NULL, NULL, 'ELM2 domain', NULL, 'ELM2', NULL, NULL, 3377, 8),
(37599, NULL, 'PF02580', NULL, NULL, 'D-Tyr-tRNA(Tyr) deacylase', NULL, 'Tyr_Deacylase', NULL, NULL, 2230, 8),
(37600, NULL, 'PF07130', NULL, NULL, 'YebG protein', NULL, 'YebG', NULL, NULL, 13522, 8),
(37601, NULL, 'PF09044', NULL, NULL, 'Kp4', NULL, 'Kp4', NULL, NULL, 9775, 8),
(37602, NULL, 'PF13129', NULL, NULL, 'Protein of unknown function (DUF3953)', NULL, 'DUF3953', NULL, NULL, 27462, 8),
(37603, NULL, 'PF01893', NULL, NULL, 'Uncharacterised protein family UPF0058', NULL, 'UPF0058', NULL, NULL, 3783, 8),
(37604, NULL, 'PF15863', NULL, NULL, 'Extended EGL-27 and MTA1 homology domain', NULL, 'EELM2', NULL, NULL, 24907, 8),
(37605, NULL, 'PF13073', NULL, NULL, 'Protein of unknown function (DUF3937)', NULL, 'DUF3937', NULL, NULL, 23588, 8),
(37606, NULL, 'PF19953', NULL, NULL, 'Effector Associated Constant Component 1', NULL, 'EACC1', NULL, NULL, 38472, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37607, NULL, 'PF17674', NULL, NULL, 'HHH domain', NULL, 'HHH_9', NULL, NULL, 32773, 8),
(37608, NULL, 'PF18816', NULL, NULL, 'Importin repeat', NULL, 'Importin_rep_5', NULL, NULL, 29812, 8),
(37609, NULL, 'PF04840', NULL, NULL, 'Vps16, C-terminal region', NULL, 'Vps16_C', NULL, NULL, 5321, 8),
(37610, NULL, 'PF14369', NULL, NULL, 'zinc-ribbon', NULL, 'zinc_ribbon_9', NULL, NULL, 35432, 8),
(37611, NULL, 'PF16328', NULL, NULL, 'Domain of unknown function (DUF4961)', NULL, 'DUF4961', NULL, NULL, 26238, 8),
(37612, NULL, 'PF19885', NULL, NULL, 'Family of unknown function (DUF6358)', NULL, 'DUF6358', NULL, NULL, 39210, 8),
(37613, NULL, 'PF13644', NULL, NULL, 'DKNYY family', NULL, 'DKNYY', NULL, NULL, 25194, 8),
(37614, NULL, 'PF04719', NULL, NULL, 'hTAFII28-like protein conserved region', NULL, 'TAFII28', NULL, NULL, 3750, 8),
(37615, NULL, 'PF19166', NULL, NULL, 'Family of unknown function (DUF5848)', NULL, 'DUF5848', NULL, NULL, 37156, 8),
(37616, NULL, 'PF01881', NULL, NULL, 'CRISPR associated protein Cas6', NULL, 'Cas_Cas6', NULL, NULL, 10901, 8),
(37617, NULL, 'PF17062', NULL, NULL, 'Outer spore wall 5', NULL, 'Osw5', NULL, NULL, 28339, 8),
(37618, NULL, 'PF11712', NULL, NULL, 'Endoplasmic reticulum-based factor for assembly of V-ATPase', NULL, 'Vma12', NULL, NULL, 15169, 8),
(37619, NULL, 'PF01276', NULL, NULL, 'Orn/Lys/Arg decarboxylase, major domain', NULL, 'OKR_DC_1', NULL, NULL, 946, 8),
(37620, NULL, 'PF06676', NULL, NULL, 'Protein of unknown function (DUF1178)', NULL, 'DUF1178', NULL, NULL, 10367, 8),
(37621, NULL, 'PF05993', NULL, NULL, 'Reovirus major virion structural protein Mu-1/Mu-1C (M2)', NULL, 'Reovirus_M2', NULL, NULL, 7609, 8),
(37622, NULL, 'PF15494', NULL, NULL, 'Scavenger receptor cysteine-rich domain', NULL, 'SRCR_2', NULL, NULL, 18941, 8),
(37623, NULL, 'PF16830', NULL, NULL, 'Nucleotide-Binding Domain 94 of RH', NULL, 'NBD94', NULL, NULL, 22760, 8),
(37624, NULL, 'PF14789', NULL, NULL, 'Tetrahydrodipicolinate N-succinyltransferase middle', NULL, 'THDPS_M', NULL, NULL, 22802, 8),
(37625, NULL, 'PF12101', NULL, NULL, 'Protein of unknown function (DUF3577)', NULL, 'DUF3577', NULL, NULL, 20783, 8),
(37626, NULL, 'PF02507', NULL, NULL, 'Photosystem I reaction centre subunit III', NULL, 'PSI_PsaF', NULL, NULL, 1182, 8),
(37627, NULL, 'PF04668', NULL, NULL, 'Twisted gastrulation (Tsg) protein conserved region', NULL, 'Tsg', NULL, NULL, 3189, 8),
(37628, NULL, 'PF04881', NULL, NULL, 'Adenovirus GP19K', NULL, 'Adeno_GP19K', NULL, NULL, 5600, 8),
(37629, NULL, 'PF07808', NULL, NULL, 'RED-like protein N-terminal region', NULL, 'RED_N', NULL, NULL, 8455, 8),
(37630, NULL, 'PF03054', NULL, NULL, 'tRNA methyl transferase', NULL, 'tRNA_Me_trans', NULL, NULL, NULL, 8),
(37631, NULL, 'PF03898', NULL, NULL, 'Satellite tobacco necrosis virus coat protein', NULL, 'TNV_CP', NULL, NULL, 9837, 8),
(37632, NULL, 'PF03907', NULL, NULL, 'Spo7-like protein', NULL, 'Spo7', NULL, NULL, 2838, 8),
(37633, NULL, 'PF07707', NULL, NULL, 'BTB And C-terminal Kelch', NULL, 'BACK', NULL, NULL, 8253, 8),
(37634, NULL, 'PF16788', NULL, NULL, 'ATF-interacting protein binding domain', NULL, 'ATF7IP_BD', NULL, NULL, 28682, 8),
(37635, NULL, 'PF20154', NULL, NULL, 'Apolipoprotein N-acyltransferase N-terminal domain', NULL, 'LNT_N', NULL, NULL, 36587, 8),
(37636, NULL, 'PF19134', NULL, NULL, 'Domain of unknown function (DUF5817)', NULL, 'DUF5817', NULL, NULL, 37279, 8),
(37637, NULL, 'PF06106', NULL, NULL, 'S. aureus uracil DNA glycosylase inhibitor', NULL, 'SAUGI', NULL, NULL, 13589, 8),
(37638, NULL, 'PF07454', NULL, NULL, 'Stage II sporulation protein P (SpoIIP)', NULL, 'SpoIIP', NULL, NULL, 12354, 8),
(37639, NULL, 'PF10681', NULL, NULL, 'Chaperone for protein-folding within the ER, fungal', NULL, 'Rot1', NULL, NULL, 21356, 8),
(37640, NULL, 'PF19526', NULL, NULL, 'S-layer protein Slr4', NULL, 'Slr4', NULL, NULL, 38596, 8),
(37641, NULL, 'PF20046', NULL, NULL, 'Family of unknown function (DUF6448)', NULL, 'DUF6448', NULL, NULL, 36712, 8),
(37642, NULL, 'PF07789', NULL, NULL, 'Protein of unknown function (DUF1627)', NULL, 'DUF1627', NULL, NULL, 13573, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37643, NULL, 'PF08947', NULL, NULL, 'BPS (Between PH and SH2)', NULL, 'BPS', NULL, NULL, 7566, 8),
(37644, NULL, 'PF13501', NULL, NULL, 'Sulfur oxidation protein SoxY', NULL, 'SoxY', NULL, NULL, 29144, 8),
(37645, NULL, 'PF06151', NULL, NULL, 'Trehalose receptor', NULL, 'Trehalose_recp', NULL, NULL, 14603, 8),
(37646, NULL, 'PF17048', NULL, NULL, 'Neutral/alkaline non-lysosomal ceramidase, C-terminal', NULL, 'Ceramidse_alk_C', NULL, NULL, 22201, 8),
(37647, NULL, 'PF07469', NULL, NULL, 'Domain of unknown function (DUF1518)', NULL, 'DUF1518', NULL, NULL, 9250, 8),
(37648, NULL, 'PF02359', NULL, NULL, 'Cell division protein 48 (CDC48), N-terminal domain', NULL, 'CDC48_N', NULL, NULL, 4066, 8),
(37649, NULL, 'PF17652', NULL, NULL, 'Glycosyl hydrolase family 81 C-terminal domain', NULL, 'Glyco_hydro81C', NULL, NULL, 29608, 8),
(37650, NULL, 'PF14501', NULL, NULL, 'GHKL domain', NULL, 'HATPase_c_5', NULL, NULL, 22108, 8),
(37651, NULL, 'PF15473', NULL, NULL, 'PEST, proteolytic signal-containing nuclear protein family', NULL, 'PCNP', NULL, NULL, 28931, 8),
(37652, NULL, 'PF03660', NULL, NULL, 'PHF5-like protein', NULL, 'PHF5', NULL, NULL, 6198, 8),
(37653, NULL, 'PF09566', NULL, NULL, 'SacI restriction endonuclease', NULL, 'RE_SacI', NULL, NULL, 16981, 8),
(37654, NULL, 'PF09020', NULL, NULL, 'YopE, N terminal', NULL, 'YopE_N', NULL, NULL, 9985, 8),
(37655, NULL, 'PF07951', NULL, NULL, 'Clostridium neurotoxin, C-terminal receptor binding', NULL, 'Toxin_R_bind_C', NULL, NULL, 18579, 8),
(37656, NULL, 'PF05138', NULL, NULL, 'Phenylacetic acid catabolic protein', NULL, 'PaaA_PaaC', NULL, NULL, 2130, 8),
(37657, NULL, 'PF06107', NULL, NULL, 'Bacterial protein of unknown function (DUF951)', NULL, 'DUF951', NULL, NULL, 13520, 8),
(37658, NULL, 'PF09491', NULL, NULL, 'AlwI restriction endonuclease', NULL, 'RE_AlwI', NULL, NULL, 15545, 8),
(37659, NULL, 'PF14126', NULL, NULL, 'Domain of unknown function (DUF4293)', NULL, 'DUF4293', NULL, NULL, 26361, 8),
(37660, NULL, 'PF16441', NULL, NULL, 'Domain of unknown function (DUF5038)', NULL, 'DUF5038', NULL, NULL, 25807, 8),
(37661, NULL, 'PF16247', NULL, NULL, 'Domain of unknown function (DUF4904)', NULL, 'DUF4904', NULL, NULL, 25851, 8),
(37662, NULL, 'PF20146', NULL, NULL, 'Nose resistant-to-fluoxetine protein, N-terminal domain', NULL, 'NRF', NULL, NULL, 1149, 8),
(37663, NULL, 'PF01382', NULL, NULL, 'Avidin family', NULL, 'Avidin', NULL, NULL, 794, 8),
(37664, NULL, 'PF07854', NULL, NULL, 'Protein of unknown function (DUF1646)', NULL, 'DUF1646', NULL, NULL, 14849, 8),
(37665, NULL, 'PF10271', NULL, NULL, 'Putative transmembrane protein', NULL, 'Tmp39', NULL, NULL, 16843, 8),
(37666, NULL, 'PF02917', NULL, NULL, 'Pertussis toxin, subunit 1', NULL, 'Pertussis_S1', NULL, NULL, 4425, 8),
(37667, NULL, 'PF11581', NULL, NULL, 'Antagonist of EGFR signalling, Argos', NULL, 'Argos', NULL, NULL, 19500, 8),
(37668, NULL, 'PF01273', NULL, NULL, 'LBP / BPI / CETP family, N-terminal domain', NULL, 'LBP_BPI_CETP', NULL, NULL, 19370, 8),
(37669, NULL, 'PF17891', NULL, NULL, 'Mu-like prophage FluMu N-terminal domain', NULL, 'FluMu_N', NULL, NULL, 32570, 8),
(37670, NULL, 'PF16186', NULL, NULL, 'Atypical Arm repeat', NULL, 'Arm_3', NULL, NULL, 26629, 8),
(37671, NULL, 'PF05739', NULL, NULL, 'SNARE domain', NULL, 'SNARE', NULL, NULL, 6854, 8),
(37672, NULL, 'PF04343', NULL, NULL, 'Protein of unknown function, DUF488', NULL, 'DUF488', NULL, NULL, 4131, 8),
(37673, NULL, 'PF19064', NULL, NULL, 'Family of unknown function (DUF5760)', NULL, 'DUF5760', NULL, NULL, 38061, 8),
(37674, NULL, 'PF08660', NULL, NULL, 'Oligosaccharide biosynthesis protein Alg14 like', NULL, 'Alg14', NULL, NULL, 8422, 8),
(37675, NULL, 'PF08332', NULL, NULL, 'Calcium/calmodulin dependent protein kinase II association domain', NULL, 'CaMKII_AD', NULL, NULL, 13210, 8),
(37676, NULL, 'PF17149', NULL, NULL, 'Periplasmic sensor domain found in signal transduction proteins', NULL, 'CHASE5', NULL, NULL, 31964, 8),
(37677, NULL, 'PF16943', NULL, NULL, 'Cag pathogenicity island, type IV secretory system', NULL, 'T4SS_CagC', NULL, NULL, 27039, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37678, NULL, 'PF02196', NULL, NULL, 'Raf-like Ras-binding domain', NULL, 'RBD', NULL, NULL, 2856, 8),
(37679, NULL, 'PF14966', NULL, NULL, 'DNA repair REX1-B', NULL, 'DNA_repr_REX1B', NULL, NULL, 31337, 8),
(37680, NULL, 'PF07619', NULL, NULL, 'Protein of unknown function (DUF1581)', NULL, 'DUF1581', NULL, NULL, 17072, 8),
(37681, NULL, 'PF11333', NULL, NULL, 'Protein of unknown function (DUF3135)', NULL, 'DUF3135', NULL, NULL, 18796, 8),
(37682, NULL, 'PF16752', NULL, NULL, 'Tubulin-specific chaperone C N-terminal domain', NULL, 'TBCC_N', NULL, NULL, 27208, 8),
(37683, NULL, 'PF14731', NULL, NULL, 'Staphopain proregion', NULL, 'Staphopain_pro', NULL, NULL, 23780, 8),
(37684, NULL, 'PF15055', NULL, NULL, 'Domain of unknown function (DUF4536)', NULL, 'DUF4536', NULL, NULL, 24901, 8),
(37685, NULL, 'PF06414', NULL, NULL, 'Zeta toxin', NULL, 'Zeta_toxin', NULL, NULL, 10141, 8),
(37686, NULL, 'PF11817', NULL, NULL, 'Foie gras liver health family 1', NULL, 'Foie-gras_1', NULL, NULL, 19939, 8),
(37687, NULL, 'PF00117', NULL, NULL, 'Glutamine amidotransferase class-I', NULL, 'GATase', NULL, NULL, 18809, 8),
(37688, NULL, 'PF08151', NULL, NULL, 'FerI (NUC094) domain', NULL, 'FerI', NULL, NULL, 12373, 8),
(37689, NULL, 'PF07324', NULL, NULL, 'DiGeorge syndrome critical region 6 (DGCR6) protein', NULL, 'DGCR6', NULL, NULL, 11670, 8),
(37690, NULL, 'PF04518', NULL, NULL, 'Effector from type III secretion system', NULL, 'Effector_1', NULL, NULL, 2618, 8),
(37691, NULL, 'PF04926', NULL, NULL, 'Poly(A) polymerase predicted RNA binding domain', NULL, 'PAP_RNA-bind', NULL, NULL, 6546, 8),
(37692, NULL, 'PF08922', NULL, NULL, 'Domain of unknown function (DUF1905)', NULL, 'DUF1905', NULL, NULL, 7598, 8),
(37693, NULL, 'PF19973', NULL, NULL, 'Ternary complex associated domain 7', NULL, 'TCAD7', NULL, NULL, 38970, 8),
(37694, NULL, 'PF17263', NULL, NULL, 'Family of unknown function (DUF5329)', NULL, 'DUF5329', NULL, NULL, 30266, 8),
(37695, NULL, 'PF13520', NULL, NULL, 'Amino acid permease', NULL, 'AA_permease_2', NULL, NULL, 6004, 8),
(37696, NULL, 'PF18380', NULL, NULL, 'Holliday junction resolvase Gen1 C-terminal domain', NULL, 'GEN1_C', NULL, NULL, 31314, 8),
(37697, NULL, 'PF09926', NULL, NULL, 'Uncharacterized small protein (DUF2158)', NULL, 'DUF2158', NULL, NULL, 19248, 8),
(37698, NULL, 'PF11284', NULL, NULL, 'Protein of unknown function (DUF3085)', NULL, 'DUF3085', NULL, NULL, 18124, 8),
(37699, NULL, 'PF14747', NULL, NULL, 'Domain of unknown function (DUF4473)', NULL, 'DUF4473', NULL, NULL, 24244, 8),
(37700, NULL, 'PF00691', NULL, NULL, 'OmpA family', NULL, 'OmpA', NULL, NULL, 1802, 8),
(37701, NULL, 'PF02048', NULL, NULL, 'Heat-stable enterotoxin ST', NULL, 'Enterotoxin_ST', NULL, NULL, 5864, 8),
(37702, NULL, 'PF00871', NULL, NULL, 'Acetokinase family', NULL, 'Acetate_kinase', NULL, NULL, 164, 8),
(37703, NULL, 'PF07235', NULL, NULL, 'Protein of unknown function (DUF1427)', NULL, 'DUF1427', NULL, NULL, 14598, 8),
(37704, NULL, 'PF10430', NULL, NULL, 'Tie-2 Ig-like domain 1', NULL, 'Ig_Tie2_1', NULL, NULL, 9156, 8),
(37705, NULL, 'PF16524', NULL, NULL, 'Periplasmic domain of Sensor histidine kinase RisS', NULL, 'RisS_PPD', NULL, NULL, 26510, 8),
(37706, NULL, 'PF12299', NULL, NULL, 'Protein of unknown function (DUF3627)', NULL, 'DUF3627', NULL, NULL, 16509, 8),
(37707, NULL, 'PF04837', NULL, NULL, 'MbeB-like, N-term conserved region', NULL, 'MbeB_N', NULL, NULL, 4946, 8),
(37708, NULL, 'PF08998', NULL, NULL, 'Bacterial epsilon antitoxin', NULL, 'Epsilon_antitox', NULL, NULL, 8605, 8),
(37709, NULL, 'PF16104', NULL, NULL, 'Formyl peptide receptor-like 1 inhibitory protein', NULL, 'FPRL1_inhibitor', NULL, NULL, 18860, 8),
(37710, NULL, 'PF15509', NULL, NULL, 'Domain of unknown function (DUF4650)', NULL, 'DUF4650', NULL, NULL, 26016, 8),
(37711, NULL, 'PF14018', NULL, NULL, 'Domain of unknown function (DUF4234)', NULL, 'DUF4234', NULL, NULL, 22610, 8),
(37712, NULL, 'PF08284', NULL, NULL, 'Retroviral aspartyl protease', NULL, 'RVP_2', NULL, NULL, NULL, 8),
(37713, NULL, 'PF02762', NULL, NULL, 'CBL proto-oncogene N-terminus, SH2-like domain', NULL, 'Cbl_N3', NULL, NULL, 14458, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37714, NULL, 'PF09495', NULL, NULL, 'Protein of unknown function (DUF2462)', NULL, 'DUF2462', NULL, NULL, 16419, 8),
(37715, NULL, 'PF07145', NULL, NULL, 'Ataxin-2 C-terminal region', NULL, 'PAM2', NULL, NULL, 13808, 8),
(37716, NULL, 'PF00005', NULL, NULL, 'ABC transporter', NULL, 'ABC_tran', NULL, NULL, 5197, 8),
(37717, NULL, 'PF11401', NULL, NULL, 'Tetrabrachion', NULL, 'Tetrabrachion', NULL, NULL, 18888, 8),
(37718, NULL, 'PF14263', NULL, NULL, 'Domain of unknown function (DUF4354)', NULL, 'DUF4354', NULL, NULL, 28266, 8),
(37719, NULL, 'PF06004', NULL, NULL, 'Bacterial protein of unknown function (DUF903)', NULL, 'DUF903', NULL, NULL, 8191, 8),
(37720, NULL, 'PF15447', NULL, NULL, 'N-terminal segments of PfEMP1', NULL, 'NTS', NULL, NULL, 28575, 8),
(37721, NULL, 'PF03642', NULL, NULL, 'MAP domain', NULL, 'MAP', NULL, NULL, 5060, 8),
(37722, NULL, 'PF12419', NULL, NULL, 'SNF2 Helicase protein', NULL, 'DUF3670', NULL, NULL, 21065, 8),
(37723, NULL, 'PF16216', NULL, NULL, 'GxGYxY sequence motif in domain of unknown function N-terminal', NULL, 'GxGYxYP_N', NULL, NULL, 28159, 8),
(37724, NULL, 'PF10834', NULL, NULL, 'Protein of unknown function (DUF2560)', NULL, 'DUF2560', NULL, NULL, 16635, 8),
(37725, NULL, 'PF00451', NULL, NULL, 'Scorpion short toxin, BmKK2', NULL, 'Toxin_2', NULL, NULL, 2156, 8),
(37726, NULL, 'PF19709', NULL, NULL, 'Family of unknown function (DUF6206)', NULL, 'DUF6206', NULL, NULL, 38580, 8),
(37727, NULL, 'PF09814', NULL, NULL, 'HECT-like Ubiquitin-conjugating enzyme (E2)-binding', NULL, 'HECT_2', NULL, NULL, 18656, 8),
(37728, NULL, 'PF01191', NULL, NULL, 'RNA polymerase Rpb5, C-terminal domain', NULL, 'RNA_pol_Rpb5_C', NULL, NULL, 6895, 8),
(37729, NULL, 'PF10868', NULL, NULL, 'Cysteine-rich antifungal protein 2, defensin-like', NULL, 'Defensin_like', NULL, NULL, 16548, 8),
(37730, NULL, 'PF06920', NULL, NULL, 'Dock homology region 2', NULL, 'DHR-2', NULL, NULL, 28976, 8),
(37731, NULL, 'PF19993', NULL, NULL, 'Double-GTPase 2', NULL, 'DO-GTPase2', NULL, NULL, 38745, 8),
(37732, NULL, 'PF16556', NULL, NULL, 'Interleukin-17 receptor, fibronectin-III-like domain 1', NULL, 'IL17R_fnIII_D1', NULL, NULL, 28280, 8),
(37733, NULL, 'PF04405', NULL, NULL, 'Domain of Unknown function (DUF542)', NULL, 'ScdA_N', NULL, NULL, 12006, 8),
(37734, NULL, 'PF13020', NULL, NULL, 'Domain of unknown function (DUF3883)', NULL, 'DUF3883', NULL, NULL, 22954, 8),
(37735, NULL, 'PF19034', NULL, NULL, 'RNase LS, bacterial toxin DBD domain', NULL, 'RnlA-toxin_DBD', NULL, NULL, 39853, 8),
(37736, NULL, 'PF04727', NULL, NULL, 'ELMO/CED-12 family', NULL, 'ELMO_CED12', NULL, NULL, 3742, 8),
(37737, NULL, 'PF11900', NULL, NULL, 'Domain of unknown function (DUF3420)', NULL, 'DUF3420', NULL, NULL, 13590, 8),
(37738, NULL, 'PF06211', NULL, NULL, 'BMP and activin membrane-bound inhibitor (BAMBI) N-terminal domain', NULL, 'BAMBI', NULL, NULL, 36614, 8),
(37739, NULL, 'PF17496', NULL, NULL, 'Family of unknown function (DUF5431)', NULL, 'DUF5431', NULL, NULL, 21067, 8),
(37740, NULL, 'PF08964', NULL, NULL, 'Beta/Gamma crystallin', NULL, 'Crystall_3', NULL, NULL, 8606, 8),
(37741, NULL, 'PF09600', NULL, NULL, 'Cyd operon protein YbgE (Cyd_oper_YbgE)', NULL, 'Cyd_oper_YbgE', NULL, NULL, 14312, 8),
(37742, NULL, 'PF03246', NULL, NULL, 'Pneumovirus nucleocapsid protein', NULL, 'Pneumo_ncap', NULL, NULL, 1983, 8),
(37743, NULL, 'PF06325', NULL, NULL, 'Ribosomal protein L11 methyltransferase (PrmA)', NULL, 'PrmA', NULL, NULL, NULL, 8),
(37744, NULL, 'PF08644', NULL, NULL, 'FACT complex subunit (SPT16/CDC68)', NULL, 'SPT16', NULL, NULL, 8387, 8),
(37745, NULL, 'PF19836', NULL, NULL, 'Family of unknown function (DUF6315)', NULL, 'DUF6315', NULL, NULL, 39515, 8),
(37746, NULL, 'PF19558', NULL, NULL, 'Family of unknown function (DUF6080)', NULL, 'DUF6080', NULL, NULL, 37456, 8),
(37747, NULL, 'PF09065', NULL, NULL, 'Haemadin', NULL, 'Haemadin', NULL, NULL, 9765, 8),
(37748, NULL, 'PF15660', NULL, NULL, 'Putative Immunity protein 75', NULL, 'Imm75', NULL, NULL, 26658, 8),
(37749, NULL, 'PF03775', NULL, NULL, 'Septum formation inhibitor MinC, C-terminal domain', NULL, 'MinC_C', NULL, NULL, 1549, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37750, NULL, 'PF12422', NULL, NULL, 'Condensin II non structural maintenance of chromosomes subunit', NULL, 'Condensin2nSMC', NULL, NULL, 10130, 8),
(37751, NULL, 'PF00326', NULL, NULL, 'Prolyl oligopeptidase family', NULL, 'Peptidase_S9', NULL, NULL, 7148, 8),
(37752, NULL, 'PF08503', NULL, NULL, 'Tetrahydrodipicolinate succinyltransferase N-terminal', NULL, 'DapH_N', NULL, NULL, 14217, 8),
(37753, NULL, 'PF00011', NULL, NULL, 'Hsp20/alpha crystallin family', NULL, 'HSP20', NULL, NULL, 5117, 8),
(37754, NULL, 'PF15191', NULL, NULL, 'Synaptonemal complex central element protein 3', NULL, 'Synaptonemal_3', NULL, NULL, 21731, 8),
(37755, NULL, 'PF17430', NULL, NULL, 'Uncharacterized YqgC-like', NULL, 'YqgC', NULL, NULL, 12749, 8),
(37756, NULL, 'PF19717', NULL, NULL, 'Family of unknown function (DUF6212)', NULL, 'DUF6212', NULL, NULL, 39894, 8),
(37757, NULL, 'PF12372', NULL, NULL, 'Huntingtin protein region', NULL, 'DUF3652', NULL, NULL, 28742, 8),
(37758, NULL, 'PF03915', NULL, NULL, 'Actin interacting protein 3', NULL, 'AIP3', NULL, NULL, 17348, 8),
(37759, NULL, 'PF01563', NULL, NULL, 'Alphavirus E3 glycoprotein', NULL, 'Alpha_E3_glycop', NULL, NULL, 669, 8),
(37760, NULL, 'PF14867', NULL, NULL, 'Lantibiotic alpha', NULL, 'Lantibiotic_a', NULL, NULL, 28928, 8),
(37761, NULL, 'PF06303', NULL, NULL, 'MatP N-terminal domain', NULL, 'MatP', NULL, NULL, 30456, 8),
(37762, NULL, 'PF11580', NULL, NULL, 'Protein of unknown function (DUF3239)', NULL, 'DUF3239', NULL, NULL, 19323, 8),
(37763, NULL, 'PF15523', NULL, NULL, 'Novel toxin 16', NULL, 'Ntox16', NULL, NULL, 25144, 8),
(37764, NULL, 'PF04552', NULL, NULL, 'Sigma-54, DNA binding domain', NULL, 'Sigma54_DBD', NULL, NULL, 2493, 8),
(37765, NULL, 'PF01915', NULL, NULL, 'Glycosyl hydrolase family 3 C-terminal domain', NULL, 'Glyco_hydro_3_C', NULL, NULL, 4604, 8),
(37766, NULL, 'PF13087', NULL, NULL, 'AAA domain', NULL, 'AAA_12', NULL, NULL, 32675, 8),
(37767, NULL, 'PF08045', NULL, NULL, 'Cell division control protein 14, SIN component', NULL, 'CDC14', NULL, NULL, 12812, 8),
(37768, NULL, 'PF16897', NULL, NULL, 'C-terminal region of MMR_HSR1 domain', NULL, 'MMR_HSR1_Xtn', NULL, NULL, 23181, 8),
(37769, NULL, 'PF17557', NULL, NULL, 'I2-superfamily conotoxins', NULL, 'Conotoxin_I2', NULL, NULL, 21485, 8),
(37770, NULL, 'PF05293', NULL, NULL, 'African swine fever virus (ASFV) L11L protein', NULL, 'ASFV_L11L', NULL, NULL, 4190, 8),
(37771, NULL, 'PF17728', NULL, NULL, 'BsuBI/PstI restriction endonuclease HTH domain', NULL, 'BsuBI_PstI_RE_N', NULL, NULL, 32501, 8),
(37772, NULL, 'PF11822', NULL, NULL, 'Domain of unknown function (DUF3342)', NULL, 'DUF3342', NULL, NULL, 19817, 8),
(37773, NULL, 'PF20040', NULL, NULL, 'Family of unknown function (DUF6442)', NULL, 'DUF6442', NULL, NULL, 36599, 8),
(37774, NULL, 'PF00447', NULL, NULL, 'HSF-type DNA-binding', NULL, 'HSF_DNA-bind', NULL, NULL, 809, 8),
(37775, NULL, 'PF08165', NULL, NULL, 'FerA (NUC095) domain', NULL, 'FerA', NULL, NULL, 9763, 8),
(37776, NULL, 'PF13336', NULL, NULL, 'Acetyl-CoA hydrolase/transferase C-terminal domain', NULL, 'AcetylCoA_hyd_C', NULL, NULL, 28903, 8),
(37777, NULL, 'PF05971', NULL, NULL, 'RNA methyltransferase', NULL, 'Methyltransf_10', NULL, NULL, 7732, 8),
(37778, NULL, 'PF11917', NULL, NULL, 'Protein of unknown function (DUF3435)', NULL, 'DUF3435', NULL, NULL, 20461, 8),
(37779, NULL, 'PF15661', NULL, NULL, 'C6orf222, uncharacterised family', NULL, 'CF222', NULL, NULL, 4582, 8),
(37780, NULL, 'PF19566', NULL, NULL, 'Sorting nexin 8/Mvp1 BAR domain', NULL, 'Snx8_BAR_dom', NULL, NULL, 37414, 8),
(37781, NULL, 'PF13037', NULL, NULL, 'Domain of unknown function (DUF3898)', NULL, 'DUF3898', NULL, NULL, 23798, 8),
(37782, NULL, 'PF10199', NULL, NULL, 'Alpha and gamma adaptin binding protein p34', NULL, 'Adaptin_binding', NULL, NULL, NULL, 8),
(37783, NULL, 'PF16558', NULL, NULL, 'Amino-terminal Zinc-binding domain of ubiquitin ligase E3A', NULL, 'AZUL', NULL, NULL, 28372, 8),
(37784, NULL, 'PF17355', NULL, NULL, 'Family of unknown function (DUF5383)', NULL, 'DUF5383', NULL, NULL, 19366, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37785, NULL, 'PF13683', NULL, NULL, 'Integrase core domain', NULL, 'rve_3', NULL, NULL, 5455, 8),
(37786, NULL, 'PF05259', NULL, NULL, 'Herpesvirus glycoprotein L', NULL, 'Herpes_UL1', NULL, NULL, 3219, 8),
(37787, NULL, 'PF02202', NULL, NULL, 'Tachykinin family', NULL, 'Tachykinin', NULL, NULL, 728, 8),
(37788, NULL, 'PF20039', NULL, NULL, 'Family of unknown function (DUF6441)', NULL, 'DUF6441', NULL, NULL, 36798, 8),
(37789, NULL, 'PF02201', NULL, NULL, 'SWIB/MDM2 domain', NULL, 'SWIB', NULL, NULL, 1938, 8),
(37790, NULL, 'PF10223', NULL, NULL, 'Uncharacterized conserved protein (DUF2181)', NULL, 'DUF2181', NULL, NULL, 15633, 8),
(37791, NULL, 'PF05509', NULL, NULL, 'TraY domain', NULL, 'TraY', NULL, NULL, 7639, 8),
(37792, NULL, 'PF00609', NULL, NULL, 'Diacylglycerol kinase accessory domain', NULL, 'DAGK_acc', NULL, NULL, 6925, 8),
(37793, NULL, 'PF02668', NULL, NULL, 'Taurine catabolism dioxygenase TauD, TfdA family', NULL, 'TauD', NULL, NULL, 3113, 8),
(37794, NULL, 'PF12256', NULL, NULL, 'Insecticide toxin TcdB middle/N-terminal region', NULL, 'TcdB_toxin_midN', NULL, NULL, 20923, 8),
(37795, NULL, 'PF15476', NULL, NULL, 'Histone deacetylase complex subunit SAP25', NULL, 'SAP25', NULL, NULL, 28786, 8),
(37796, NULL, 'PF15718', NULL, NULL, 'Protein moonraker', NULL, 'MNR', NULL, NULL, 25212, 8),
(37797, NULL, 'PF02566', NULL, NULL, 'OsmC-like protein', NULL, 'OsmC', NULL, NULL, 2129, 8),
(37798, NULL, 'PF06598', NULL, NULL, 'Chlorovirus glycoprotein repeat', NULL, 'Chlorovi_GP_rpt', NULL, NULL, 8201, 8),
(37799, NULL, 'PF15059', NULL, NULL, 'Speriolin C-terminus', NULL, 'Speriolin_C', NULL, NULL, 28368, 8),
(37800, NULL, 'PF04430', NULL, NULL, 'Protein of unknown function (DUF498/DUF598)', NULL, 'DUF498', NULL, NULL, 10745, 8),
(37801, NULL, 'PF11514', NULL, NULL, 'Protein of unknown function (DUF3219)', NULL, 'DUF3219', NULL, NULL, 19367, 8),
(37802, NULL, 'PF07804', NULL, NULL, 'HipA-like C-terminal domain', NULL, 'HipA_C', NULL, NULL, 13168, 8),
(37803, NULL, 'PF01979', NULL, NULL, 'Amidohydrolase family', NULL, 'Amidohydro_1', NULL, NULL, 2463, 8),
(37804, NULL, 'PF08058', NULL, NULL, 'Nuclear pore complex component', NULL, 'NPCC', NULL, NULL, 9996, 8),
(37805, NULL, 'PF10105', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2344)', NULL, 'DUF2344', NULL, NULL, 18911, 8),
(37806, NULL, 'PF18903', NULL, NULL, 'Domain of unknown function (DUF5659)', NULL, 'DUF5659', NULL, NULL, 38234, 8),
(37807, NULL, 'PF04103', NULL, NULL, 'CD20-like family', NULL, 'CD20', NULL, NULL, 6778, 8),
(37808, NULL, 'PF14865', NULL, NULL, 'Macin', NULL, 'Macin', NULL, NULL, 28760, 8),
(37809, NULL, 'PF09406', NULL, NULL, 'Protein of unknown function (DUF2004)', NULL, 'DUF2004', NULL, NULL, 15199, 8),
(37810, NULL, 'PF20121', NULL, NULL, 'Family of unknown function (DUF6511)', NULL, 'DUF6511', NULL, NULL, 37681, 8),
(37811, NULL, 'PF08686', NULL, NULL, 'PLAC (protease and lacunin) domain', NULL, 'PLAC', NULL, NULL, 5413, 8),
(37812, NULL, 'PF15478', NULL, NULL, 'Family of unknown function with LKAAEAR motif', NULL, 'LKAAEAR', NULL, NULL, 27800, 8),
(37813, NULL, 'PF07137', NULL, NULL, 'VDE lipocalin domain', NULL, 'VDE', NULL, NULL, 11387, 8),
(37814, NULL, 'PF06738', NULL, NULL, 'Putative threonine/serine exporter', NULL, 'ThrE', NULL, NULL, 8174, 8),
(37815, NULL, 'PF01336', NULL, NULL, 'OB-fold nucleic acid binding domain', NULL, 'tRNA_anti-codon', NULL, NULL, 5620, 8),
(37816, NULL, 'PF07258', NULL, NULL, 'COMM domain', NULL, 'COMM_domain', NULL, NULL, 2770, 8),
(37817, NULL, 'PF07383', NULL, NULL, 'Protein of unknown function (DUF1496)', NULL, 'DUF1496', NULL, NULL, 8127, 8),
(37818, NULL, 'PF10652', NULL, NULL, 'Protein of unknown function (DUF2480)', NULL, 'DUF2480', NULL, NULL, 15349, 8),
(37819, NULL, 'PF00917', NULL, NULL, 'MATH domain', NULL, 'MATH', NULL, NULL, 1063, 8),
(37820, NULL, 'PF11747', NULL, NULL, 'Killing trait', NULL, 'RebB', NULL, NULL, 15111, 8),
(37821, NULL, 'PF13380', NULL, NULL, 'CoA binding domain', NULL, 'CoA_binding_2', NULL, NULL, 3186, 8),
(37822, NULL, 'PF11100', NULL, NULL, 'Conjugal transfer protein TrbE', NULL, 'TrbE', NULL, NULL, 16553, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37823, NULL, 'PF16141', NULL, NULL, 'Putative glycoside hydrolase Family 18, chitinase_18', NULL, 'DUF4849', NULL, NULL, 23416, 8),
(37824, NULL, 'PF14556', NULL, NULL, 'AF2331-like', NULL, 'AF2331-like', NULL, NULL, 22263, 8),
(37825, NULL, 'PF17132', NULL, NULL, 'alpha-L-rhamnosidase', NULL, 'Glyco_hydro_106', NULL, NULL, NULL, 8),
(37826, NULL, 'PF05938', NULL, NULL, 'Plant self-incompatibility protein S1', NULL, 'Self-incomp_S1', NULL, NULL, 7663, 8),
(37827, NULL, 'PF05534', NULL, NULL, 'HicB family', NULL, 'HicB', NULL, NULL, 13080, 8),
(37828, NULL, 'PF06123', NULL, NULL, 'Inner membrane protein CreD', NULL, 'CreD', NULL, NULL, 8913, 8),
(37829, NULL, 'PF11875', NULL, NULL, 'Domain of unknown function (DUF3395)', NULL, 'DUF3395', NULL, NULL, 28878, 8),
(37830, NULL, 'PF00834', NULL, NULL, 'Ribulose-phosphate 3 epimerase family', NULL, 'Ribul_P_3_epim', NULL, NULL, 2971, 8),
(37831, NULL, 'PF11645', NULL, NULL, 'PD-(D/E)XK endonuclease', NULL, 'PDDEXK_5', NULL, NULL, 19133, 8),
(37832, NULL, 'PF08379', NULL, NULL, 'Bacterial transglutaminase-like N-terminal region', NULL, 'Bact_transglu_N', NULL, NULL, 12429, 8),
(37833, NULL, 'PF08884', NULL, NULL, 'Flagellin D3 domain', NULL, 'Flagellin_D3', NULL, NULL, 14094, 8),
(37834, NULL, 'PF08675', NULL, NULL, 'RNA binding domain', NULL, 'RNA_bind', NULL, NULL, 11948, 8),
(37835, NULL, 'PF04428', NULL, NULL, 'Choline kinase N terminus', NULL, 'Choline_kin_N', NULL, NULL, 10521, 8),
(37836, NULL, 'PF00511', NULL, NULL, 'E2 (early) protein, C terminal', NULL, 'PPV_E2_C', NULL, NULL, 4675, 8),
(37837, NULL, 'PF10939', NULL, NULL, 'Protein of unknown function (DUF2631)', NULL, 'DUF2631', NULL, NULL, 28837, 8),
(37838, NULL, 'PF01060', NULL, NULL, 'Transthyretin-like family', NULL, 'TTR-52', NULL, NULL, 5597, 8),
(37839, NULL, 'PF10749', NULL, NULL, 'Protein of unknown function (DUF2534)', NULL, 'DUF2534', NULL, NULL, 20657, 8),
(37840, NULL, 'PF15668', NULL, NULL, 'Domain of unknown function (DUF4663)', NULL, 'DUF4663', NULL, NULL, 22288, 8),
(37841, NULL, 'PF04025', NULL, NULL, 'Domain of unknown function (DUF370)', NULL, 'DUF370', NULL, NULL, 138, 8),
(37842, NULL, 'PF08385', NULL, NULL, 'Dynein heavy chain, N-terminal region 1', NULL, 'DHC_N1', NULL, NULL, 12447, 8),
(37843, NULL, 'PF08760', NULL, NULL, 'Domain of unknown function (DUF1793)', NULL, 'DUF1793', NULL, NULL, 13253, 8),
(37844, NULL, 'PF10945', NULL, NULL, 'Cellulose biosynthesis protein BcsR', NULL, 'CBP_BcsR', NULL, NULL, 25900, 8),
(37845, NULL, 'PF13241', NULL, NULL, 'Putative NAD(P)-binding', NULL, 'NAD_binding_7', NULL, NULL, NULL, 8),
(37846, NULL, 'PF04282', NULL, NULL, 'Family of unknown function (DUF438)', NULL, 'DUF438', NULL, NULL, 5531, 8),
(37847, NULL, 'PF17552', NULL, NULL, 'Family of unknown function (DUF5464)', NULL, 'DUF5464', NULL, NULL, 35273, 8),
(37848, NULL, 'PF05103', NULL, NULL, 'DivIVA protein', NULL, 'DivIVA', NULL, NULL, 2195, 8),
(37849, NULL, 'PF06216', NULL, NULL, 'Rice tungro bacilliform virus P46 protein', NULL, 'RTBV_P46', NULL, NULL, 14737, 8),
(37850, NULL, 'PF09047', NULL, NULL, 'MEF2 binding', NULL, 'MEF2_binding', NULL, NULL, 9915, 8),
(37851, NULL, 'PF04018', NULL, NULL, 'Domain of unknown function (DUF368)', NULL, 'DUF368', NULL, NULL, 8, 8),
(37852, NULL, 'PF10670', NULL, NULL, 'Domain of unknown function (DUF4198)', NULL, 'DUF4198', NULL, NULL, 20066, 8),
(37853, NULL, 'PF08573', NULL, NULL, 'DNA repair protein endonuclease SAE2/CtIP C-terminus', NULL, 'SAE2', NULL, NULL, 17901, 8),
(37854, NULL, 'PF01621', NULL, NULL, 'Cell fusion glycoprotein K', NULL, 'Fusion_gly_K', NULL, NULL, 1870, 8),
(37855, NULL, 'PF15083', NULL, NULL, 'Colipase-like', NULL, 'Colipase-like', NULL, NULL, 2259, 8),
(37856, NULL, 'PF17820', NULL, NULL, 'PDZ domain', NULL, 'PDZ_6', NULL, NULL, 32072, 8),
(37857, NULL, 'PF04894', NULL, NULL, 'Archaeal Nre, N-terminal', NULL, 'Nre_N', NULL, NULL, 5885, 8),
(37858, NULL, 'PF15245', NULL, NULL, 'Transcription cofactor vestigial-like protein 4', NULL, 'VGLL4', NULL, NULL, 21961, 8),
(37859, NULL, 'PF00599', NULL, NULL, 'Influenza Matrix protein (M2)', NULL, 'Flu_M2', NULL, NULL, 1475, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37860, NULL, 'PF13034', NULL, NULL, 'Protein of unknown function (DUF3895)', NULL, 'DUF3895', NULL, NULL, 23414, 8),
(37861, NULL, 'PF14855', NULL, NULL, 'Pilus-assembly fibrillin subunit, chaperone', NULL, 'PapJ', NULL, NULL, 28747, 8),
(37862, NULL, 'PF01171', NULL, NULL, 'PP-loop family', NULL, 'ATP_bind_3', NULL, NULL, 10199, 8),
(37863, NULL, 'PF08121', NULL, NULL, 'Waglerin family', NULL, 'Toxin_33', NULL, NULL, 10933, 8),
(37864, NULL, 'PF09223', NULL, NULL, 'ZinT (YodA) periplasmic lipocalin-like zinc-recruitment', NULL, 'ZinT', NULL, NULL, 13654, 8),
(37865, NULL, 'PF04686', NULL, NULL, 'Streptomyces sporulation and cell division protein, SsgA', NULL, 'SsgA', NULL, NULL, 3355, 8),
(37866, NULL, 'PF07752', NULL, NULL, 'S-layer protein', NULL, 'S-layer', NULL, NULL, 6896, 8),
(37867, NULL, 'PF11001', NULL, NULL, 'Protein of unknown function (DUF2841)', NULL, 'DUF2841', NULL, NULL, 17874, 8),
(37868, NULL, 'PF13177', NULL, NULL, 'DNA polymerase III, delta subunit', NULL, 'DNA_pol3_delta2', NULL, NULL, NULL, 8),
(37869, NULL, 'PF05220', NULL, NULL, 'MgpC adhesin', NULL, 'MgpC', NULL, NULL, 3006, 8),
(37870, NULL, 'PF07952', NULL, NULL, 'Clostridium neurotoxin, Translocation domain', NULL, 'Toxin_trans', NULL, NULL, 12863, 8),
(37871, NULL, 'PF19795', NULL, NULL, 'Family of unknown function (DUF6279)', NULL, 'DUF6279', NULL, NULL, NULL, 8),
(37872, NULL, 'PF09468', NULL, NULL, 'Ydr279p protein family (RNase H2 complex component) wHTH domain', NULL, 'RNase_H2-Ydr279', NULL, NULL, 16141, 8),
(37873, NULL, 'PF01981', NULL, NULL, 'Peptidyl-tRNA hydrolase PTH2', NULL, 'PTH2', NULL, NULL, 5415, 8),
(37874, NULL, 'PF09538', NULL, NULL, 'Protein of unknown function (FYDLN_acid)', NULL, 'FYDLN_acid', NULL, NULL, 10838, 8),
(37875, NULL, 'PF16391', NULL, NULL, 'Domain of unknown function', NULL, 'DUF5000', NULL, NULL, 28033, 8),
(37876, NULL, 'PF08301', NULL, NULL, 'Hepatitis C virus non-structural 5a domain 1b', NULL, 'HCV_NS5a_1b', NULL, NULL, 17908, 8),
(37877, NULL, 'PF10394', NULL, NULL, 'Histone acetyl transferase HAT1 N-terminus', NULL, 'Hat1_N', NULL, NULL, 17633, 8),
(37878, NULL, 'PF14078', NULL, NULL, 'Domain of unknown function (DUF4259)', NULL, 'DUF4259', NULL, NULL, 23239, 8),
(37879, NULL, 'PF18736', NULL, NULL, 'HEPN pEK499 p136', NULL, 'pEK499_p136', NULL, NULL, 32982, 8),
(37880, NULL, 'PF01287', NULL, NULL, 'Eukaryotic elongation factor 5A hypusine, DNA-binding OB fold', NULL, 'eIF-5a', NULL, NULL, 18362, 8),
(37881, NULL, 'PF09009', NULL, NULL, 'Exotoxin A catalytic', NULL, 'Exotox-A_cataly', NULL, NULL, 8541, 8),
(37882, NULL, 'PF02363', NULL, NULL, 'Cysteine rich repeat', NULL, 'C_tripleX', NULL, NULL, 4216, 8),
(37883, NULL, 'PF10022', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2264)', NULL, 'DUF2264', NULL, NULL, 19586, 8),
(37884, NULL, 'PF15048', NULL, NULL, 'Organic solute transporter subunit beta protein', NULL, 'OSTbeta', NULL, NULL, 28398, 8),
(37885, NULL, 'PF04348', NULL, NULL, 'LppC putative lipoprotein', NULL, 'LppC', NULL, NULL, 4961, 8),
(37886, NULL, 'PF15434', NULL, NULL, 'Family 104', NULL, 'FAM104', NULL, NULL, 28880, 8),
(37887, NULL, 'PF18772', NULL, NULL, 'APOBEC2', NULL, 'APOBEC2', NULL, NULL, NULL, 8),
(37888, NULL, 'PF04097', NULL, NULL, 'Nup93/Nic96', NULL, 'Nic96', NULL, NULL, 6724, 8),
(37889, NULL, 'PF11506', NULL, NULL, 'Protein of unknown function (DUF3217)', NULL, 'DUF3217', NULL, NULL, 25696, 8),
(37890, NULL, 'PF00950', NULL, NULL, 'ABC 3 transport family', NULL, 'ABC-3', NULL, NULL, 3062, 8),
(37891, NULL, 'PF09424', NULL, NULL, 'Yqey-like protein', NULL, 'YqeY', NULL, NULL, 16053, 8),
(37892, NULL, 'PF15608', NULL, NULL, 'PELOTA RNA binding domain', NULL, 'PELOTA_1', NULL, NULL, 23729, 8),
(37893, NULL, 'PF08524', NULL, NULL, 'rRNA processing', NULL, 'rRNA_processing', NULL, NULL, 7784, 8),
(37894, NULL, 'PF06457', NULL, NULL, 'Ectatomin', NULL, 'Ectatomin', NULL, NULL, 9449, 8),
(37895, NULL, 'PF08674', NULL, NULL, 'Acetylcholinesterase tetramerisation domain', NULL, 'AChE_tetra', NULL, NULL, 11990, 8),
(37896, NULL, 'PF15912', NULL, NULL, 'Virilizer, N-terminal', NULL, 'VIR_N', NULL, NULL, 25223, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37897, NULL, 'PF14228', NULL, NULL, 'Cell morphogenesis central region', NULL, 'MOR2-PAG1_mid', NULL, NULL, 28554, 8),
(37898, NULL, 'PF14502', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_41', NULL, NULL, 32594, 8),
(37899, NULL, 'PF18950', NULL, NULL, 'Family of unknown function (DUF5694)', NULL, 'DUF5694', NULL, NULL, 36895, 8),
(37900, NULL, 'PF01266', NULL, NULL, 'FAD dependent oxidoreductase', NULL, 'DAO', NULL, NULL, 2542, 8),
(37901, NULL, 'PF02841', NULL, NULL, 'Guanylate-binding protein, C-terminal domain', NULL, 'GBP_C', NULL, NULL, 1971, 8),
(37902, NULL, 'PF17074', NULL, NULL, 'Darcynin, domain of unknown function', NULL, 'Darcynin', NULL, NULL, 25141, 8),
(37903, NULL, 'PF18413', NULL, NULL, 'Neuraminidase-like domain', NULL, 'Neuraminidase', NULL, NULL, 31047, 8),
(37904, NULL, 'PF03997', NULL, NULL, 'VPS28 protein', NULL, 'VPS28', NULL, NULL, 283, 8),
(37905, NULL, 'PF11051', NULL, NULL, 'Mannosyltransferase putative', NULL, 'Mannosyl_trans3', NULL, NULL, 17409, 8),
(37906, NULL, 'PF04947', NULL, NULL, 'Poxvirus Late Transcription Factor VLTF3 like', NULL, 'Pox_VLTF3', NULL, NULL, 6979, 8),
(37907, NULL, 'PF17330', NULL, NULL, 'SWR1 chromatin-remodelling complex, sub-unit Swc7', NULL, 'SWC7', NULL, NULL, 18266, 8),
(37908, NULL, 'PF12567', NULL, NULL, 'Leukocyte receptor CD45', NULL, 'CD45', NULL, NULL, 20627, 8),
(37909, NULL, 'PF19916', NULL, NULL, 'vWA-MoxR associated protein middle region 0', NULL, 'VMAP-M0', NULL, NULL, 36989, 8),
(37910, NULL, 'PF16847', NULL, NULL, 'Avirulence AvrPtoB, BAK1-binding domain', NULL, 'AvrPtoB_bdg', NULL, NULL, 23131, 8),
(37911, NULL, 'PF15117', NULL, NULL, 'Uncharacterised protein family UPF0697', NULL, 'UPF0697', NULL, NULL, 28076, 8),
(37912, NULL, 'PF12837', NULL, NULL, '4Fe-4S binding domain', NULL, 'Fer4_6', NULL, NULL, 13131, 8),
(37913, NULL, 'PF10653', NULL, NULL, 'Protein gp45 of Bacteriophage A118', NULL, 'Phage-A118_gp45', NULL, NULL, 15336, 8),
(37914, NULL, 'PF18072', NULL, NULL, 'Formylglycinamide ribonucleotide amidotransferase linker domain', NULL, 'FGAR-AT_linker', NULL, NULL, 32373, 8),
(37915, NULL, 'PF19159', NULL, NULL, 'Family of unknown function (DUF5841)', NULL, 'DUF5841', NULL, NULL, 37218, 8),
(37916, NULL, 'PF19568', NULL, NULL, 'Sporulation stage III, protein AA', NULL, 'Spore_III_AA', NULL, NULL, 37416, 8),
(37917, NULL, 'PF09136', NULL, NULL, 'Glucodextranase, domain B', NULL, 'Glucodextran_B', NULL, NULL, NULL, 8),
(37918, NULL, 'PF17811', NULL, NULL, 'Jumonji helical domain', NULL, 'JHD', NULL, NULL, 31401, 8),
(37919, NULL, 'PF00572', NULL, NULL, 'Ribosomal protein L13', NULL, 'Ribosomal_L13', NULL, NULL, 5945, 8),
(37920, NULL, 'PF02819', NULL, NULL, 'Spider toxin', NULL, 'Toxin_9', NULL, NULL, 2979, 8),
(37921, NULL, 'PF15552', NULL, NULL, 'Domain of unknown function (DUF4657)', NULL, 'DUF4657', NULL, NULL, 24938, 8),
(37922, NULL, 'PF02867', NULL, NULL, 'Ribonucleotide reductase, barrel domain', NULL, 'Ribonuc_red_lgC', NULL, NULL, 4929, 8),
(37923, NULL, 'PF09288', NULL, NULL, 'Fungal ubiquitin-associated domain', NULL, 'UBA_3', NULL, NULL, 14451, 8),
(37924, NULL, 'PF05582', NULL, NULL, 'YabG peptidase U57', NULL, 'Peptidase_U57', NULL, NULL, 12056, 8),
(37925, NULL, 'PF17800', NULL, NULL, 'Nucleoplasmin-like domain', NULL, 'NPL', NULL, NULL, 32577, 8),
(37926, NULL, 'PF13437', NULL, NULL, 'HlyD family secretion protein', NULL, 'HlyD_3', NULL, NULL, NULL, 8),
(37927, NULL, 'PF15060', NULL, NULL, 'Differentiation and proliferation regulator', NULL, 'PPDFL', NULL, NULL, 25417, 8),
(37928, NULL, 'PF03228', NULL, NULL, 'Adenoviral core protein VII', NULL, 'Adeno_VII', NULL, NULL, 1502, 8),
(37929, NULL, 'PF06657', NULL, NULL, 'Centrosome microtubule-binding domain of Cep57', NULL, 'Cep57_MT_bd', NULL, NULL, 22643, 8),
(37930, NULL, 'PF15238', NULL, NULL, 'FAM181', NULL, 'FAM181', NULL, NULL, 28026, 8),
(37931, NULL, 'PF06317', NULL, NULL, 'Arenavirus RNA polymerase', NULL, 'Arena_RNA_pol', NULL, NULL, 10034, 8),
(37932, NULL, 'PF10388', NULL, NULL, 'EAL-domain associated signalling protein domain', NULL, 'YkuI_C', NULL, NULL, 20468, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37933, NULL, 'PF08090', NULL, NULL, 'Heat stable E.coli enterotoxin 1', NULL, 'Enterotoxin_HS1', NULL, NULL, 9608, 8),
(37934, NULL, 'PF12260', NULL, NULL, 'Protein-kinase domain of FAM69', NULL, 'PIP49_C', NULL, NULL, 20842, 8),
(37935, NULL, 'PF13243', NULL, NULL, 'Squalene-hopene cyclase C-terminal domain', NULL, 'SQHop_cyclase_C', NULL, NULL, 29041, 8),
(37936, NULL, 'PF00213', NULL, NULL, 'ATP synthase delta (OSCP) subunit', NULL, 'OSCP', NULL, NULL, 3947, 8),
(37937, NULL, 'PF11090', NULL, NULL, 'Protein of unknown function (DUF2833)', NULL, 'DUF2833', NULL, NULL, 21091, 8),
(37938, NULL, 'PF10115', NULL, NULL, 'Transcriptional activator HlyU', NULL, 'HlyU', NULL, NULL, 18516, 8),
(37939, NULL, 'PF09151', NULL, NULL, 'Domain of unknown function (DUF1936)', NULL, 'DUF1936', NULL, NULL, 10852, 8),
(37940, NULL, 'PF00184', NULL, NULL, 'Neurohypophysial hormones, C-terminal Domain', NULL, 'Hormone_5', NULL, NULL, 414, 8),
(37941, NULL, 'PF17451', NULL, NULL, 'Glycosyl hydrolase 101 beta sandwich domain', NULL, 'Glyco_hyd_101C', NULL, NULL, 35427, 8),
(37942, NULL, 'PF02999', NULL, NULL, 'Borrelia orf-D family', NULL, 'Borrelia_orfD', NULL, NULL, 3912, 8),
(37943, NULL, 'PF09598', NULL, NULL, 'Stm1', NULL, 'Stm1_N', NULL, NULL, 16738, 8),
(37944, NULL, 'PF18269', NULL, NULL, 'T3SS EscN ATPase C-terminal domain', NULL, 'T3SS_ATPase_C', NULL, NULL, 29757, 8),
(37945, NULL, 'PF03823', NULL, NULL, 'Neurokinin B', NULL, 'Neurokinin_B', NULL, NULL, 1276, 8),
(37946, NULL, 'PF15436', NULL, NULL, 'Plasminogen-binding protein pgbA N-terminal', NULL, 'PGBA_N', NULL, NULL, 28953, 8),
(37947, NULL, 'PF02617', NULL, NULL, 'ATP-dependent Clp protease adaptor protein ClpS', NULL, 'ClpS', NULL, NULL, 6439, 8),
(37948, NULL, 'PF04022', NULL, NULL, 'Staphylocoagulase repeat', NULL, 'Staphylcoagulse', NULL, NULL, 3384, 8),
(37949, NULL, 'PF08310', NULL, NULL, 'LGFP repeat', NULL, 'LGFP', NULL, NULL, 17961, 8),
(37950, NULL, 'PF17115', NULL, NULL, 'N-terminal domain of toast_rack, DUF2154', NULL, 'Toast_rack_N', NULL, NULL, 27896, 8),
(37951, NULL, 'PF03281', NULL, NULL, 'Mab-21 protein', NULL, 'Mab-21', NULL, NULL, 22900, 8),
(37952, NULL, 'PF12675', NULL, NULL, 'Protein of unknown function (DUF3795)', NULL, 'DUF3795', NULL, NULL, 13733, 8),
(37953, NULL, 'PF01728', NULL, NULL, 'FtsJ-like methyltransferase', NULL, 'FtsJ', NULL, NULL, 5725, 8),
(37954, NULL, 'PF05163', NULL, NULL, 'DinB family', NULL, 'DinB', NULL, NULL, 2434, 8),
(37955, NULL, 'PF18131', NULL, NULL, 'KN17 SH3-like C-terminal domain', NULL, 'KN17_SH3', NULL, NULL, 33426, 8),
(37956, NULL, 'PF18419', NULL, NULL, 'ATP-grasp-like domain', NULL, 'ATP-grasp_6', NULL, NULL, 29742, 8),
(37957, NULL, 'PF14545', NULL, NULL, 'Dof, BCAP, and BANK (DBB) motif,', NULL, 'DBB', NULL, NULL, 2930, 8),
(37958, NULL, 'PF15280', NULL, NULL, 'Protein aurora borealis N-terminus', NULL, 'BORA_N', NULL, NULL, 10748, 8),
(37959, NULL, 'PF10153', NULL, NULL, 'rRNA-processing protein Efg1', NULL, 'Efg1', NULL, NULL, 15410, 8),
(37960, NULL, 'PF01193', NULL, NULL, 'RNA polymerase Rpb3/Rpb11 dimerisation domain', NULL, 'RNA_pol_L', NULL, NULL, 9706, 8),
(37961, NULL, 'PF00021', NULL, NULL, 'u-PAR/Ly-6 domain', NULL, 'UPAR_LY6', NULL, NULL, 9106, 8),
(37962, NULL, 'PF10146', NULL, NULL, 'Zinc finger-containing protein', NULL, 'zf-C4H2', NULL, NULL, 9296, 8),
(37963, NULL, 'PF19402', NULL, NULL, 'Lanthionine-containing peptide SapB precursor RamS', NULL, 'RamS', NULL, NULL, 38727, 8),
(37964, NULL, 'PF08443', NULL, NULL, 'RimK-like ATP-grasp domain', NULL, 'RimK', NULL, NULL, 12138, 8),
(37965, NULL, 'PF12068', NULL, NULL, 'Rab-binding domain (RBD)', NULL, 'PH_RBD', NULL, NULL, 20442, 8),
(37966, NULL, 'PF16898', NULL, NULL, 'C-terminal associated domain of TOPRIM', NULL, 'TOPRIM_C', NULL, NULL, 23145, 8),
(37967, NULL, 'PF03100', NULL, NULL, 'CcmE', NULL, 'CcmE', NULL, NULL, 4990, 8),
(37968, NULL, 'PF12306', NULL, NULL, 'Inclusion body protein', NULL, 'PixA', NULL, NULL, 15241, 8),
(37969, NULL, 'PF09496', NULL, NULL, 'Cenp-O kinetochore centromere component', NULL, 'CENP-O', NULL, NULL, 9450, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(37970, NULL, 'PF01432', NULL, NULL, 'Peptidase family M3', NULL, 'Peptidase_M3', NULL, NULL, 3182, 8),
(37971, NULL, 'PF08865', NULL, NULL, 'Domain of unknown function (DUF1830)', NULL, 'DUF1830', NULL, NULL, 14394, 8),
(37972, NULL, 'PF13096', NULL, NULL, 'CENP-A-nucleosome distal (CAD) centromere subunit, CENP-P', NULL, 'CENP-P', NULL, NULL, 24772, 8),
(37973, NULL, 'PF04226', NULL, NULL, 'Transglycosylase associated protein', NULL, 'Transgly_assoc', NULL, NULL, 5909, 8),
(37974, NULL, 'PF08585', NULL, NULL, 'RecQ mediated genome instability protein', NULL, 'RMI1_N', NULL, NULL, 17689, 8),
(37975, NULL, 'PF01886', NULL, NULL, 'Protein of unknown function DUF61', NULL, 'DUF61', NULL, NULL, 3846, 8),
(37976, NULL, 'PF10858', NULL, NULL, 'Protein of unknown function (DUF2659)', NULL, 'DUF2659', NULL, NULL, 16906, 8),
(37977, NULL, 'PF07638', NULL, NULL, 'ECF sigma factor', NULL, 'Sigma70_ECF', NULL, NULL, 12609, 8),
(37978, NULL, 'PF03601', NULL, NULL, 'Conserved hypothetical protein 698', NULL, 'Cons_hypoth698', NULL, NULL, 20662, 8),
(37979, NULL, 'PF00144', NULL, NULL, 'Beta-lactamase', NULL, 'Beta-lactamase', NULL, NULL, 3019, 8),
(37980, NULL, 'PF19828', NULL, NULL, 'Family of unknown function (DUF6309)', NULL, 'DUF6309', NULL, NULL, 39708, 8),
(37981, NULL, 'PF14690', NULL, NULL, 'zinc-finger of transposase IS204/IS1001/IS1096/IS1165', NULL, 'zf-ISL3', NULL, NULL, 22099, 8),
(37982, NULL, 'PF17825', NULL, NULL, 'Family of unknown function (DUF5587)', NULL, 'DUF5587', NULL, NULL, 36094, 8),
(37983, NULL, 'PF00232', NULL, NULL, 'Glycosyl hydrolase family 1', NULL, 'Glyco_hydro_1', NULL, NULL, 7383, 8),
(37984, NULL, 'PF19772', NULL, NULL, 'Family of unknown function (DUF6258)', NULL, 'DUF6258', NULL, NULL, 39701, 8),
(37985, NULL, 'PF08344', NULL, NULL, 'Transient receptor ion channel II', NULL, 'TRP_2', NULL, NULL, 13209, 8),
(37986, NULL, 'PF01969', NULL, NULL, 'Protein of unknown function DUF111', NULL, 'DUF111', NULL, NULL, 6448, 8),
(37987, NULL, 'PF12602', NULL, NULL, 'Fertility inhibition protein N terminal', NULL, 'FinO_N', NULL, NULL, 15042, 8),
(37988, NULL, 'PF03646', NULL, NULL, 'FlaG protein', NULL, 'FlaG', NULL, NULL, 5363, 8),
(37989, NULL, 'PF10912', NULL, NULL, 'Protein of unknown function (DUF2700)', NULL, 'DUF2700', NULL, NULL, 13516, 8),
(37990, NULL, 'PF15592', NULL, NULL, 'Immunity protein 41', NULL, 'Imm41', NULL, NULL, 25699, 8),
(37991, NULL, 'PF18944', NULL, NULL, 'Family of unknown function (DUF5691)', NULL, 'DUF5691', NULL, NULL, 38394, 8),
(37992, NULL, 'PF10647', NULL, NULL, 'Lipoprotein LpqB beta-propeller domain', NULL, 'Gmad1', NULL, NULL, 15133, 8),
(37993, NULL, 'PF18171', NULL, NULL, 'SLOG in TRPM, prokaryote', NULL, 'LSDAT_prok', NULL, NULL, 31527, 8),
(37994, NULL, 'PF05772', NULL, NULL, 'NinB protein', NULL, 'NinB', NULL, NULL, 13105, 8),
(37995, NULL, 'PF15713', NULL, NULL, 'Protein tyrosine phosphatase receptor type C-associated', NULL, 'PTPRCAP', NULL, NULL, 18332, 8),
(37996, NULL, 'PF08356', NULL, NULL, 'EF hand associated', NULL, 'EF_assoc_2', NULL, NULL, 13498, 8),
(37997, NULL, 'PF13822', NULL, NULL, 'Acyl-CoA carboxylase epsilon subunit', NULL, 'ACC_epsilon', NULL, NULL, 29082, 8),
(37998, NULL, 'PF16269', NULL, NULL, 'Domain of unknown function (DUF4922)', NULL, 'DUF4922', NULL, NULL, 39695, 8),
(37999, NULL, 'PF05781', NULL, NULL, 'MRVI1 protein', NULL, 'MRVI1', NULL, NULL, 13081, 8),
(38000, NULL, 'PF16918', NULL, NULL, 'Protein kinase G tetratricopeptide repeat', NULL, 'PknG_TPR', NULL, NULL, 26621, 8),
(38001, NULL, 'PF05196', NULL, NULL, 'PTN/MK heparin-binding protein family, N-terminal domain', NULL, 'PTN_MK_N', NULL, NULL, 16329, 8),
(38002, NULL, 'PF10862', NULL, NULL, 'FcoT-like thioesterase domain', NULL, 'FcoT', NULL, NULL, 16973, 8),
(38003, NULL, 'PF09649', NULL, NULL, 'Histone chaperone domain CHZ', NULL, 'CHZ', NULL, NULL, 17673, 8),
(38004, NULL, 'PF18096', NULL, NULL, 'THUMP domain-like', NULL, 'Thump_like', NULL, NULL, 32214, 8),
(38005, NULL, 'PF14964', NULL, NULL, 'Domain of unknown function (DUF4507)', NULL, 'DUF4507', NULL, NULL, 28358, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38006, NULL, 'PF05912', NULL, NULL, 'Caenorhabditis elegans protein of unknown function (DUF870)', NULL, 'DUF870', NULL, NULL, 14251, 8),
(38007, NULL, 'PF11539', NULL, NULL, 'Protein of unknown function (DUF3228)', NULL, 'DUF3228', NULL, NULL, 19215, 8),
(38008, NULL, 'PF14451', NULL, NULL, 'Mut7-C ubiquitin', NULL, 'Ub-Mut7C', NULL, NULL, 23185, 8),
(38009, NULL, 'PF18294', NULL, NULL, 'Peptidase S41 N-terminal domain', NULL, 'Pept_S41_N', NULL, NULL, 33493, 8),
(38010, NULL, 'PF09341', NULL, NULL, 'Transcription factor Pcc1', NULL, 'Pcc1', NULL, NULL, 7737, 8),
(38011, NULL, 'PF01741', NULL, NULL, 'Large-conductance mechanosensitive channel, MscL', NULL, 'MscL', NULL, NULL, 29636, 8),
(38012, NULL, 'PF14881', NULL, NULL, 'Tubulin domain', NULL, 'Tubulin_3', NULL, NULL, 29394, 8),
(38013, NULL, 'PF18778', NULL, NULL, 'Novel AID APOBEC clade 1', NULL, 'NAD1', NULL, NULL, NULL, 8),
(38014, NULL, 'PF02962', NULL, NULL, '5-carboxymethyl-2-hydroxymuconate isomerase', NULL, 'CHMI', NULL, NULL, 3996, 8),
(38015, NULL, 'PF12222', NULL, NULL, 'Peptide N-acetyl-beta-D-glucosaminyl asparaginase amidase A', NULL, 'PNGaseA', NULL, NULL, 15259, 8),
(38016, NULL, 'PF01209', NULL, NULL, 'ubiE/COQ5 methyltransferase family', NULL, 'Ubie_methyltran', NULL, NULL, 912, 8),
(38017, NULL, 'PF11058', NULL, NULL, 'Antirestriction protein Ral', NULL, 'Ral', NULL, NULL, 17488, 8),
(38018, NULL, 'PF00801', NULL, NULL, 'PKD domain', NULL, 'PKD', NULL, NULL, 5617, 8),
(38019, NULL, 'PF06787', NULL, NULL, 'FeGP cofactor biosynthesis protein HcgF', NULL, 'HcgF', NULL, NULL, 1968, 8),
(38020, NULL, 'PF12569', NULL, NULL, 'NMDA receptor-regulated protein 1', NULL, 'NARP1', NULL, NULL, 17062, 8),
(38021, NULL, 'PF00337', NULL, NULL, 'Galactoside-binding lectin', NULL, 'Gal-bind_lectin', NULL, NULL, 2491, 8),
(38022, NULL, 'PF13803', NULL, NULL, 'Domain of unknown function (DUF4184)', NULL, 'DUF4184', NULL, NULL, 23649, 8),
(38023, NULL, 'PF17734', NULL, NULL, 'Spermatogenesis-associated protein 46', NULL, 'Spt46', NULL, NULL, 35645, 8),
(38024, NULL, 'PF08478', NULL, NULL, 'POTRA domain, FtsQ-type', NULL, 'POTRA_1', NULL, NULL, 13556, 8),
(38025, NULL, 'PF00133', NULL, NULL, 'tRNA synthetases class I (I, L, M and V)', NULL, 'tRNA-synt_1', NULL, NULL, 6807, 8),
(38026, NULL, 'PF08962', NULL, NULL, 'Domain of unknown function (DUF1876)', NULL, 'DUF1876', NULL, NULL, 8855, 8),
(38027, NULL, 'PF06312', NULL, NULL, 'Neurexophilin', NULL, 'Neurexophilin', NULL, NULL, 26396, 8),
(38028, NULL, 'PF07867', NULL, NULL, 'Protein of unknown function (DUF1654)', NULL, 'DUF1654', NULL, NULL, 14703, 8),
(38029, NULL, 'PF16716', NULL, NULL, 'Bone marrow stromal antigen 2', NULL, 'BST2', NULL, NULL, 29037, 8),
(38030, NULL, 'PF02357', NULL, NULL, 'Transcription termination factor nusG', NULL, 'NusG', NULL, NULL, 1089, 8),
(38031, NULL, 'PF12026', NULL, NULL, 'Crk-Associated Substrate C-terminal domain', NULL, 'CAS_C', NULL, NULL, 20088, 8),
(38032, NULL, 'PF18578', NULL, NULL, 'Rubisco accumulation factor 1 alpha helical domain', NULL, 'Raf1_N', NULL, NULL, 31547, 8),
(38033, NULL, 'PF11094', NULL, NULL, 'Membrane-associated tegument protein', NULL, 'UL11', NULL, NULL, 22832, 8),
(38034, NULL, 'PF06446', NULL, NULL, 'Hepcidin', NULL, 'Hepcidin', NULL, NULL, 10844, 8),
(38035, NULL, 'PF02733', NULL, NULL, 'Dak1 domain', NULL, 'Dak1', NULL, NULL, 952, 8),
(38036, NULL, 'PF18292', NULL, NULL, 'Zinc transporter ZIP4 domain', NULL, 'ZIP4_domain', NULL, NULL, 31198, 8),
(38037, NULL, 'PF07247', NULL, NULL, 'Alcohol acetyltransferase', NULL, 'AATase', NULL, NULL, 11314, 8),
(38038, NULL, 'PF14347', NULL, NULL, 'Domain of unknown function (DUF4399)', NULL, 'DUF4399', NULL, NULL, 28312, 8),
(38039, NULL, 'PF17828', NULL, NULL, 'N-terminal domain in fatty acid synthase subunit beta', NULL, 'FAS_N', NULL, NULL, 31824, 8),
(38040, NULL, 'PF09962', NULL, NULL, 'Uncharacterized conserved protein (DUF2196)', NULL, 'DUF2196', NULL, NULL, 19454, 8),
(38041, NULL, 'PF02879', NULL, NULL, 'Phosphoglucomutase/phosphomannomutase, alpha/beta/alpha domain II', NULL, 'PGM_PMM_II', NULL, NULL, 5524, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38042, NULL, 'PF15175', NULL, NULL, 'Spermatogenesis-associated protein 24', NULL, 'SPATA24', NULL, NULL, 21613, 8),
(38043, NULL, 'PF16421', NULL, NULL, 'E2F transcription factor CC-MB domain', NULL, 'E2F_CC-MB', NULL, NULL, 25282, 8),
(38044, NULL, 'PF05800', NULL, NULL, 'Gas vesicle synthesis protein GvpO', NULL, 'GvpO', NULL, NULL, 14414, 8),
(38045, NULL, 'PF11027', NULL, NULL, 'Protein of unknown function (DUF2615)', NULL, 'DUF2615', NULL, NULL, 21427, 8),
(38046, NULL, 'PF05448', NULL, NULL, 'Acetyl xylan esterase (AXE1)', NULL, 'AXE1', NULL, NULL, 7676, 8),
(38047, NULL, 'PF13771', NULL, NULL, 'PHD-like zinc-binding domain', NULL, 'zf-HC5HC2H', NULL, NULL, NULL, 8),
(38048, NULL, 'PF00019', NULL, NULL, 'Transforming growth factor beta like domain', NULL, 'TGF_beta', NULL, NULL, 4212, 8),
(38049, NULL, 'PF18046', NULL, NULL, 'FKBP26_C-terminal', NULL, 'FKBP26_C', NULL, NULL, 34664, 8),
(38050, NULL, 'PF13917', NULL, NULL, 'Zinc knuckle', NULL, 'zf-CCHC_3', NULL, NULL, NULL, 8),
(38051, NULL, 'PF00346', NULL, NULL, 'Respiratory-chain NADH dehydrogenase, 49 Kd subunit', NULL, 'Complex1_49kDa', NULL, NULL, 1242, 8),
(38052, NULL, 'PF16965', NULL, NULL, 'Ceramide synthase regulator', NULL, 'CSG2', NULL, NULL, 23171, 8),
(38053, NULL, 'PF19071', NULL, NULL, 'Family of unknown function (DUF5767)', NULL, 'DUF5767', NULL, NULL, 38169, 8),
(38054, NULL, 'PF02489', NULL, NULL, 'Herpesvirus glycoprotein H main domain', NULL, 'Herpes_glycop_H', NULL, NULL, NULL, 8),
(38055, NULL, 'PF13904', NULL, NULL, 'Domain of unknown function (DUF4207)', NULL, 'DUF4207', NULL, NULL, 23685, 8),
(38056, NULL, 'PF19972', NULL, NULL, 'Ternary complex associated domain 3', NULL, 'TCAD3', NULL, NULL, 38809, 8),
(38057, NULL, 'PF00877', NULL, NULL, 'NlpC/P60 family', NULL, 'NLPC_P60', NULL, NULL, 2735, 8),
(38058, NULL, 'PF09971', NULL, NULL, 'Predicted membrane protein (DUF2206)', NULL, 'DUF2206', NULL, NULL, 17710, 8),
(38059, NULL, 'PF05859', NULL, NULL, 'Mis12 protein', NULL, 'Mis12', NULL, NULL, 13056, 8),
(38060, NULL, 'PF05139', NULL, NULL, 'Erythromycin esterase', NULL, 'Erythro_esteras', NULL, NULL, 2438, 8),
(38061, NULL, 'PF08511', NULL, NULL, 'COQ9', NULL, 'COQ9', NULL, NULL, 14382, 8),
(38062, NULL, 'PF14109', NULL, NULL, 'GldH lipoprotein', NULL, 'GldH_lipo', NULL, NULL, 18341, 8),
(38063, NULL, 'PF14719', NULL, NULL, 'Phosphotyrosine interaction domain (PTB/PID)', NULL, 'PID_2', NULL, NULL, 1147, 8),
(38064, NULL, 'PF19266', NULL, NULL, 'Contractile injection system tube protein', NULL, 'CIS_tube', NULL, NULL, 39653, 8),
(38065, NULL, 'PF18018', NULL, NULL, 'DNA polymerase delta subunit OB-fold domain', NULL, 'DNA_pol_D_N', NULL, NULL, 29804, 8),
(38066, NULL, 'PF11854', NULL, NULL, 'Putative outer membrane beta-barrel porin, MtrB/PioB', NULL, 'MtrB_PioB', NULL, NULL, 18347, 8),
(38067, NULL, 'PF05327', NULL, NULL, 'RNA polymerase I specific transcription initiation factor RRN3', NULL, 'RRN3', NULL, NULL, 4358, 8),
(38068, NULL, 'PF05289', NULL, NULL, 'Borrelia hemolysin accessory protein', NULL, 'BLYB', NULL, NULL, 4305, 8),
(38069, NULL, 'PF07603', NULL, NULL, 'Protein of unknown function (DUF1566)', NULL, 'DUF1566', NULL, NULL, 13668, 8),
(38070, NULL, 'PF08502', NULL, NULL, 'LeuA allosteric (dimerisation) domain', NULL, 'LeuA_dimer', NULL, NULL, 14387, 8),
(38071, NULL, 'PF06163', NULL, NULL, 'Bacterial protein of unknown function (DUF977)', NULL, 'DUF977', NULL, NULL, 9616, 8),
(38072, NULL, 'PF11088', NULL, NULL, 'Glycoprotein encoding membrane proteins RL5A and RL6', NULL, 'RL11D', NULL, NULL, 22669, 8),
(38073, NULL, 'PF01409', NULL, NULL, 'tRNA synthetases class II core domain (F)', NULL, 'tRNA-synt_2d', NULL, NULL, 6705, 8),
(38074, NULL, 'PF20148', NULL, NULL, 'Domain of unknown function (DUF6531)', NULL, 'DUF6531', NULL, NULL, 37932, 8),
(38075, NULL, 'PF19108', NULL, NULL, 'Family of unknown function (DUF5795)', NULL, 'DUF5795', NULL, NULL, 38145, 8),
(38076, NULL, 'PF10186', NULL, NULL, 'Vacuolar sorting 38 and autophagy-related subunit 14', NULL, 'ATG14', NULL, NULL, 19393, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38077, NULL, 'PF01994', NULL, NULL, 'tRNA ribose 2''-O-methyltransferase, aTrm56', NULL, 'Trm56', NULL, NULL, 5718, 8),
(38078, NULL, 'PF12146', NULL, NULL, 'Serine aminopeptidase, S33', NULL, 'Hydrolase_4', NULL, NULL, 17235, 8),
(38079, NULL, 'PF13624', NULL, NULL, 'SurA N-terminal domain', NULL, 'SurA_N_3', NULL, NULL, NULL, 8),
(38080, NULL, 'PF10151', NULL, NULL, 'TMEM214, C-terminal, caspase 4 activator', NULL, 'TMEM214', NULL, NULL, 15139, 8),
(38081, NULL, 'PF10326', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Str', NULL, '7TM_GPCR_Str', NULL, NULL, 17962, 8),
(38082, NULL, 'PF02948', NULL, NULL, 'Amelogenin', NULL, 'Amelogenin', NULL, NULL, NULL, 8),
(38083, NULL, 'PF19814', NULL, NULL, 'Family of unknown function (DUF6297)', NULL, 'DUF6297', NULL, NULL, 39903, 8),
(38084, NULL, 'PF10125', NULL, NULL, 'NADH dehydrogenase I, subunit N related protein', NULL, 'NADHdeh_related', NULL, NULL, 19892, 8),
(38085, NULL, 'PF11526', NULL, NULL, 'Subunit of cleavage factor IA Pcf11', NULL, 'CFIA_Pcf11', NULL, NULL, 19361, 8),
(38086, NULL, 'PF04964', NULL, NULL, 'Flp/Fap pilin component', NULL, 'Flp_Fap', NULL, NULL, 6813, 8),
(38087, NULL, 'PF03427', NULL, NULL, 'Carbohydrate binding domain (family 19)', NULL, 'CBM_19', NULL, NULL, 10346, 8),
(38088, NULL, 'PF14888', NULL, NULL, 'Penicillin-binding protein Tp47 domain C', NULL, 'PBP-Tp47_c', NULL, NULL, 29466, 8),
(38089, NULL, 'PF06577', NULL, NULL, 'Envelope integrity protein A', NULL, 'EipA', NULL, NULL, 7730, 8),
(38090, NULL, 'PF03094', NULL, NULL, 'Mlo family', NULL, 'Mlo', NULL, NULL, 4768, 8),
(38091, NULL, 'PF09012', NULL, NULL, 'FeoC like transcriptional regulator', NULL, 'FeoC', NULL, NULL, 8942, 8),
(38092, NULL, 'PF11437', NULL, NULL, 'Vanadium-binding protein 2', NULL, 'Vanabin-2', NULL, NULL, 18528, 8),
(38093, NULL, 'PF07358', NULL, NULL, 'Protein of unknown function (DUF1482)', NULL, 'DUF1482', NULL, NULL, 8348, 8),
(38094, NULL, 'PF17978', NULL, NULL, 'RING/Ubox like zinc-binding domain', NULL, 'zf-RING_14', NULL, NULL, 31245, 8),
(38095, NULL, 'PF10664', NULL, NULL, 'Cyanobacterial and plastid NDH-1 subunit M', NULL, 'NdhM', NULL, NULL, 15437, 8),
(38096, NULL, 'PF08790', NULL, NULL, 'LYAR-type C2HC zinc finger', NULL, 'zf-LYAR', NULL, NULL, 13261, 8),
(38097, NULL, 'PF01986', NULL, NULL, 'Domain of unknown function DUF123', NULL, 'DUF123', NULL, NULL, 5218, 8),
(38098, NULL, 'PF12855', NULL, NULL, 'ECL1/2/3 zinc binding proteins', NULL, 'Ecl1', NULL, NULL, 23344, 8),
(38099, NULL, 'PF03030', NULL, NULL, 'Inorganic H+ pyrophosphatase', NULL, 'H_PPase', NULL, NULL, 2937, 8),
(38100, NULL, 'PF15109', NULL, NULL, 'TMEM125 protein family', NULL, 'TMEM125', NULL, NULL, 24564, 8),
(38101, NULL, 'PF09891', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2118)', NULL, 'DUF2118', NULL, NULL, 19289, 8),
(38102, NULL, 'PF14896', NULL, NULL, 'EmbC C-terminal domain', NULL, 'Arabino_trans_C', NULL, NULL, 28022, 8),
(38103, NULL, 'PF16815', NULL, NULL, 'Protein HRI1', NULL, 'HRI1', NULL, NULL, 22724, 8),
(38104, NULL, 'PF17725', NULL, NULL, 'YAP binding domain', NULL, 'YBD', NULL, NULL, 31789, 8),
(38105, NULL, 'PF04872', NULL, NULL, 'Poxvirus L5 protein family', NULL, 'Pox_L5', NULL, NULL, 5977, 8),
(38106, NULL, 'PF12188', NULL, NULL, 'Signal transducer and activator of transcription 2 C terminal', NULL, 'STAT2_C', NULL, NULL, 17219, 8),
(38107, NULL, 'PF02241', NULL, NULL, 'Methyl-coenzyme M reductase beta subunit, C-terminal domain', NULL, 'MCR_beta', NULL, NULL, 17055, 8),
(38108, NULL, 'PF07798', NULL, NULL, 'Protein of unknown function (DUF1640)', NULL, 'DUF1640', NULL, NULL, 21521, 8),
(38109, NULL, 'PF13064', NULL, NULL, 'Protein of unknown function (DUF3927)', NULL, 'DUF3927', NULL, NULL, 21820, 8),
(38110, NULL, 'PF15113', NULL, NULL, 'TMEM117 protein family', NULL, 'TMEM117', NULL, NULL, 28493, 8),
(38111, NULL, 'PF06236', NULL, NULL, 'Tyrosinase co-factor MelC1', NULL, 'MelC1', NULL, NULL, 7956, 8),
(38112, NULL, 'PF06467', NULL, NULL, 'MYM-type Zinc finger with FCS sequence motif', NULL, 'zf-FCS', NULL, NULL, 10579, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38113, NULL, 'PF15284', NULL, NULL, 'Phage-encoded virulence factor', NULL, 'PAGK', NULL, NULL, 24794, 8),
(38114, NULL, 'PF04124', NULL, NULL, 'Dor1-like family', NULL, 'Dor1', NULL, NULL, 6505, 8),
(38115, NULL, 'PF01610', NULL, NULL, 'Transposase', NULL, 'DDE_Tnp_ISL3', NULL, NULL, 1690, 8),
(38116, NULL, 'PF03434', NULL, NULL, 'DUF276', NULL, 'DUF276', NULL, NULL, 10489, 8),
(38117, NULL, 'PF06160', NULL, NULL, 'Septation ring formation regulator, EzrA', NULL, 'EzrA', NULL, NULL, 9560, 8),
(38118, NULL, 'PF00728', NULL, NULL, 'Glycosyl hydrolase family 20, catalytic domain', NULL, 'Glyco_hydro_20', NULL, NULL, 7427, 8),
(38119, NULL, 'PF09849', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2076)', NULL, 'DUF2076', NULL, NULL, 16783, 8),
(38120, NULL, 'PF06319', NULL, NULL, 'DNA repair protein MmcB-like', NULL, 'MmcB-like', NULL, NULL, 8090, 8),
(38121, NULL, 'PF05498', NULL, NULL, 'Rapid ALkalinization Factor (RALF)', NULL, 'RALF', NULL, NULL, 14015, 8),
(38122, NULL, 'PF00753', NULL, NULL, 'Metallo-beta-lactamase superfamily', NULL, 'Lactamase_B', NULL, NULL, 2193, 8),
(38123, NULL, 'PF11795', NULL, NULL, 'Uncharacterized protein conserved in bacteria N-term (DUF3322)', NULL, 'DUF3322', NULL, NULL, 25743, 8),
(38124, NULL, 'PF14060', NULL, NULL, 'Domain of unknown function (DUF4252)', NULL, 'DUF4252', NULL, NULL, 23475, 8),
(38125, NULL, 'PF09184', NULL, NULL, 'PPP4R2', NULL, 'PPP4R2', NULL, NULL, 12784, 8),
(38126, NULL, 'PF08146', NULL, NULL, 'BP28CT (NUC211) domain', NULL, 'BP28CT', NULL, NULL, 12329, 8),
(38127, NULL, 'PF19461', NULL, NULL, 'Family of unknown function (DUF5998)', NULL, 'DUF5998', NULL, NULL, 39259, 8),
(38128, NULL, 'PF18223', NULL, NULL, 'Pili PilJ C-terminal domain', NULL, 'PilJ_C', NULL, NULL, 34413, 8),
(38129, NULL, 'PF01172', NULL, NULL, 'Shwachman-Bodian-Diamond syndrome (SBDS) protein', NULL, 'SBDS', NULL, NULL, 12725, 8),
(38130, NULL, 'PF02072', NULL, NULL, 'Prepro-orexin', NULL, 'Orexin', NULL, NULL, 3074, 8),
(38131, NULL, 'PF07451', NULL, NULL, 'Stage V sporulation protein AD (SpoVAD)', NULL, 'SpoVAD', NULL, NULL, 12078, 8),
(38132, NULL, 'PF09472', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase, F subunit (MtrF)', NULL, 'MtrF', NULL, NULL, 18632, 8),
(38133, NULL, 'PF06523', NULL, NULL, 'Protein of unknown function (DUF1106)', NULL, 'DUF1106', NULL, NULL, 9384, 8),
(38134, NULL, 'PF17919', NULL, NULL, 'RNase H-like domain found in reverse transcriptase', NULL, 'RT_RNaseH_2', NULL, NULL, 32923, 8),
(38135, NULL, 'PF11866', NULL, NULL, 'Protein of unknown function (DUF3386)', NULL, 'DUF3386', NULL, NULL, 19984, 8),
(38136, NULL, 'PF18055', NULL, NULL, '26S proteasome regulatory subunit RPN6 N-terminal domain', NULL, 'RPN6_N', NULL, NULL, 31197, 8),
(38137, NULL, 'PF08182', NULL, NULL, 'Pedibin/Hym-346 family', NULL, 'Pedibin', NULL, NULL, NULL, 8),
(38138, NULL, 'PF14002', NULL, NULL, 'YniB-like protein', NULL, 'YniB', NULL, NULL, 23914, 8),
(38139, NULL, 'PF09749', NULL, NULL, 'Uncharacterised conserved protein', NULL, 'HVSL', NULL, NULL, 24279, 8),
(38140, NULL, 'PF13285', NULL, NULL, 'Domain of unknown function (DUF4073)', NULL, 'DUF4073', NULL, NULL, 22634, 8),
(38141, NULL, 'PF17262', NULL, NULL, 'Cas6b C-terminal domain', NULL, 'Cas6b_C', NULL, NULL, 19093, 8),
(38142, NULL, 'PF18892', NULL, NULL, 'Family of unknown function (DUF5651)', NULL, 'DUF5651', NULL, NULL, 36664, 8),
(38143, NULL, 'PF09085', NULL, NULL, 'Adhesion molecule, immunoglobulin-like', NULL, 'Adhes-Ig_like', NULL, NULL, 9732, 8),
(38144, NULL, 'PF09824', NULL, NULL, 'ArsR transcriptional regulator', NULL, 'ArsR', NULL, NULL, 11943, 8),
(38145, NULL, 'PF17112', NULL, NULL, 'Mitochondrial import receptor subunit Tom6, fungal', NULL, 'Tom6', NULL, NULL, 20407, 8),
(38146, NULL, 'PF17338', NULL, NULL, 'Gene product 88', NULL, 'GP88', NULL, NULL, 20771, 8),
(38147, NULL, 'PF17208', NULL, NULL, 'RNA binding Region', NULL, 'RBR', NULL, NULL, 35348, 8),
(38148, NULL, 'PF09935', NULL, NULL, 'Protein of unknown function (DUF2167)', NULL, 'DUF2167', NULL, NULL, 17017, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38149, NULL, 'PF00686', NULL, NULL, 'Starch binding domain', NULL, 'CBM_20', NULL, NULL, 1198, 8),
(38150, NULL, 'PF04106', NULL, NULL, 'Autophagy protein Apg5', NULL, 'APG5', NULL, NULL, 6873, 8),
(38151, NULL, 'PF14581', NULL, NULL, 'SseB protein C-terminal domain', NULL, 'SseB_C', NULL, NULL, 25650, 8),
(38152, NULL, 'PF08320', NULL, NULL, 'PIG-X / PBN1', NULL, 'PIG-X', NULL, NULL, 12325, 8),
(38153, NULL, 'PF19968', NULL, NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 7', NULL, 'VMAP-M7', NULL, NULL, 38574, 8),
(38154, NULL, 'PF11114', NULL, NULL, 'Minor capsid protein', NULL, 'Minor_capsid_2', NULL, NULL, 16563, 8),
(38155, NULL, 'PF10097', NULL, NULL, 'Predicted membrane protein (DUF2335)', NULL, 'DUF2335', NULL, NULL, 20118, 8),
(38156, NULL, 'PF14245', NULL, NULL, 'Type IV pilin PilA', NULL, 'Pilin_PilA', NULL, NULL, 24793, 8),
(38157, NULL, 'PF08766', NULL, NULL, 'DEK C terminal domain', NULL, 'DEK_C', NULL, NULL, 13175, 8),
(38158, NULL, 'PF13638', NULL, NULL, 'PIN domain', NULL, 'PIN_4', NULL, NULL, 3625, 8),
(38159, NULL, 'PF13482', NULL, NULL, 'RNase_H superfamily', NULL, 'RNase_H_2', NULL, NULL, 27447, 8),
(38160, NULL, 'PF03854', NULL, NULL, 'P-11 zinc finger', NULL, 'zf-P11', NULL, NULL, 2806, 8),
(38161, NULL, 'PF05275', NULL, NULL, 'Copper resistance protein B precursor (CopB)', NULL, 'CopB', NULL, NULL, 4449, 8),
(38162, NULL, 'PF07262', NULL, NULL, 'CDI immunity protein', NULL, 'CdiI', NULL, NULL, 14968, 8),
(38163, NULL, 'PF13325', NULL, NULL, 'N-terminal region of micro-spherule protein', NULL, 'MCRS_N', NULL, NULL, 27407, 8),
(38164, NULL, 'PF11004', NULL, NULL, '3-deoxy-D-manno-oct-2-ulosonic acid (Kdo) hydroxylase', NULL, 'Kdo_hydroxy', NULL, NULL, 17914, 8),
(38165, NULL, 'PF02758', NULL, NULL, 'PAAD/DAPIN/Pyrin domain', NULL, 'PYRIN', NULL, NULL, 596, 8),
(38166, NULL, 'PF13755', NULL, NULL, 'Sensor N-terminal transmembrane domain', NULL, 'Sensor_TM1', NULL, NULL, 24069, 8),
(38167, NULL, 'PF16778', NULL, NULL, 'Phage tail assembly chaperone protein', NULL, 'Phage_tail_APC', NULL, NULL, 24975, 8),
(38168, NULL, 'PF01627', NULL, NULL, 'Hpt domain', NULL, 'Hpt', NULL, NULL, 7128, 8),
(38169, NULL, 'PF05697', NULL, NULL, 'Bacterial trigger factor protein (TF)', NULL, 'Trigger_N', NULL, NULL, 7507, 8),
(38170, NULL, 'PF11492', NULL, NULL, 'Cricket paralysis virus, VP4', NULL, 'Dicistro_VP4', NULL, NULL, 22786, 8),
(38171, NULL, 'PF17612', NULL, NULL, 'Family of unknown function (DUF5507)', NULL, 'DUF5507', NULL, NULL, 19937, 8),
(38172, NULL, 'PF06952', NULL, NULL, 'PsiA protein', NULL, 'PsiA', NULL, NULL, 12456, 8),
(38173, NULL, 'PF14986', NULL, NULL, 'Domain of unknown function (DUF4514)', NULL, 'DUF4514', NULL, NULL, 24148, 8),
(38174, NULL, 'PF04852', NULL, NULL, 'Protein of unknown function (DUF640)', NULL, 'DUF640', NULL, NULL, 5986, 8),
(38175, NULL, 'PF17848', NULL, NULL, 'Acetyl-coA carboxylase zinc finger domain', NULL, 'zf-ACC', NULL, NULL, 34438, 8),
(38176, NULL, 'PF00090', NULL, NULL, 'Thrombospondin type 1 domain', NULL, 'TSP_1', NULL, NULL, 4708, 8),
(38177, NULL, 'PF08303', NULL, NULL, 'tRNA ligase kinase domain', NULL, 'tRNA_lig_kinase', NULL, NULL, 9325, 8),
(38178, NULL, 'PF03717', NULL, NULL, 'Penicillin-binding Protein dimerisation domain', NULL, 'PBP_dimer', NULL, NULL, 5056, 8),
(38179, NULL, 'PF07762', NULL, NULL, 'Protein of unknown function (DUF1618)', NULL, 'DUF1618', NULL, NULL, 10728, 8),
(38180, NULL, 'PF14976', NULL, NULL, 'FAM72 protein', NULL, 'FAM72', NULL, NULL, 25085, 8),
(38181, NULL, 'PF04369', NULL, NULL, 'Lactococcin-like family', NULL, 'Lactococcin', NULL, NULL, 4987, 8),
(38182, NULL, 'PF16615', NULL, NULL, 'Unstructured region one on RhoGEF 6 and 7', NULL, 'RhoGEF67_u1', NULL, NULL, NULL, 8),
(38183, NULL, 'PF01744', NULL, NULL, 'GLTT repeat (6 copies)', NULL, 'GLTT', NULL, NULL, 7232, 8),
(38184, NULL, 'PF07346', NULL, NULL, 'Protein of unknown function (DUF1477)', NULL, 'DUF1477', NULL, NULL, 8134, 8),
(38185, NULL, 'PF17380', NULL, NULL, 'Family of unknown function (DUF5401)', NULL, 'DUF5401', NULL, NULL, 35232, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38186, NULL, 'PF00748', NULL, NULL, 'Calpain inhibitor', NULL, 'Calpain_inhib', NULL, NULL, 1320, 8),
(38187, NULL, 'PF02863', NULL, NULL, 'Arginine repressor, C-terminal domain', NULL, 'Arg_repressor_C', NULL, NULL, 20608, 8),
(38188, NULL, 'PF18313', NULL, NULL, 'Thiolase-like protein type 1 additional C-terminal domain', NULL, 'TLP1_add_C', NULL, NULL, 31348, 8),
(38189, NULL, 'PF02407', NULL, NULL, 'Putative viral replication protein', NULL, 'Viral_Rep', NULL, NULL, 4074, 8),
(38190, NULL, 'PF11634', NULL, NULL, 'Nuclease inhibitor from bacteriophage T4', NULL, 'IPI_T4', NULL, NULL, 22968, 8),
(38191, NULL, 'PF13942', NULL, NULL, 'YfhG lipoprotein', NULL, 'Lipoprotein_20', NULL, NULL, 23699, 8),
(38192, NULL, 'PF07067', NULL, NULL, 'Protein of unknown function (DUF1340)', NULL, 'DUF1340', NULL, NULL, 12719, 8),
(38193, NULL, 'PF01391', NULL, NULL, 'Collagen triple helix repeat (20 copies)', NULL, 'Collagen', NULL, NULL, 7386, 8),
(38194, NULL, 'PF04560', NULL, NULL, 'RNA polymerase Rpb2, domain 7', NULL, 'RNA_pol_Rpb2_7', NULL, NULL, 2049, 8),
(38195, NULL, 'PF03563', NULL, NULL, 'Bunyavirus glycoprotein G2', NULL, 'Bunya_G2', NULL, NULL, 4932, 8),
(38196, NULL, 'PF08088', NULL, NULL, 'Conotoxin I-superfamily', NULL, 'Toxin_19', NULL, NULL, 9976, 8),
(38197, NULL, 'PF11342', NULL, NULL, 'Protein of unknown function (DUF3144)', NULL, 'DUF3144', NULL, NULL, 18658, 8),
(38198, NULL, 'PF05618', NULL, NULL, 'Putative ATP-dependant zinc protease', NULL, 'Zn_protease', NULL, NULL, 12412, 8),
(38199, NULL, 'PF00444', NULL, NULL, 'Ribosomal protein L36', NULL, 'Ribosomal_L36', NULL, NULL, 6626, 8),
(38200, NULL, 'PF18692', NULL, NULL, 'Family of unknown function (DUF5640)', NULL, 'DUF5640', NULL, NULL, 31491, 8),
(38201, NULL, 'PF10588', NULL, NULL, 'NADH-ubiquinone oxidoreductase-G iron-sulfur binding region', NULL, 'NADH-G_4Fe-4S_3', NULL, NULL, 20304, 8),
(38202, NULL, 'PF14256', NULL, NULL, 'YwiC-like protein', NULL, 'YwiC', NULL, NULL, 25127, 8),
(38203, NULL, 'PF19157', NULL, NULL, 'Family of unknown function (DUF5839)', NULL, 'DUF5839', NULL, NULL, 37262, 8),
(38204, NULL, 'PF17211', NULL, NULL, 'VHL box domain', NULL, 'VHL_C', NULL, NULL, 11560, 8),
(38205, NULL, 'PF11579', NULL, NULL, 'Protein of unknown function (DUF3238)', NULL, 'DUF3238', NULL, NULL, 19434, 8),
(38206, NULL, 'PF12933', NULL, NULL, 'FTO catalytic domain', NULL, 'FTO_NTD', NULL, NULL, 23331, 8),
(38207, NULL, 'PF17913', NULL, NULL, 'FHA domain', NULL, 'FHA_2', NULL, NULL, 31802, 8),
(38208, NULL, 'PF02267', NULL, NULL, 'ADP-ribosyl cyclase', NULL, 'Rib_hydrolayse', NULL, NULL, 1591, 8),
(38209, NULL, 'PF06732', NULL, NULL, 'Pescadillo N-terminus', NULL, 'Pescadillo_N', NULL, NULL, 8076, 8),
(38210, NULL, 'PF10692', NULL, NULL, 'Protein of unknown function (DUF2498)', NULL, 'DUF2498', NULL, NULL, 21333, 8),
(38211, NULL, 'PF06478', NULL, NULL, 'Coronavirus RNA-dependent RNA polymerase, N-terminal', NULL, 'CoV_RPol_N', NULL, NULL, 9240, 8),
(38212, NULL, 'PF15106', NULL, NULL, 'TMEM156 protein family', NULL, 'TMEM156', NULL, NULL, 28247, 8),
(38213, NULL, 'PF06784', NULL, NULL, 'Uncharacterised protein family (UPF0240)', NULL, 'UPF0240', NULL, NULL, 1823, 8),
(38214, NULL, 'PF08907', NULL, NULL, 'Domain of unknown function (DUF1853)', NULL, 'DUF1853', NULL, NULL, 7595, 8),
(38215, NULL, 'PF06398', NULL, NULL, 'Integral peroxisomal membrane peroxin', NULL, 'Pex24p', NULL, NULL, 10332, 8),
(38216, NULL, 'PF10538', NULL, NULL, 'Hantavirus ITAM motif', NULL, 'ITAM_Cys-rich', NULL, NULL, 11881, 8),
(38217, NULL, 'PF11677', NULL, NULL, 'Protein of unknown function (DUF3273)', NULL, 'DUF3273', NULL, NULL, 19204, 8),
(38218, NULL, 'PF03569', NULL, NULL, 'Peptidase family C8', NULL, 'Peptidase_C8', NULL, NULL, 5381, 8),
(38219, NULL, 'PF15772', NULL, NULL, 'UPF0688 family', NULL, 'UPF0688', NULL, NULL, 27455, 8),
(38220, NULL, 'PF12404', NULL, NULL, 'Peptidase', NULL, 'DUF3663', NULL, NULL, 7578, 8),
(38221, NULL, 'PF00380', NULL, NULL, 'Ribosomal protein S9/S16', NULL, 'Ribosomal_S9', NULL, NULL, 6698, 8),
(38222, NULL, 'PF15916', NULL, NULL, 'Domain of unknown function (DUF4743)', NULL, 'DUF4743', NULL, NULL, 21752, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38223, NULL, 'PF09899', NULL, NULL, 'Putative amidoligase enzyme (DUF2126)', NULL, 'DUF2126', NULL, NULL, 16684, 8),
(38224, NULL, 'PF03554', NULL, NULL, 'UL73 viral envelope glycoprotein', NULL, 'Herpes_UL73', NULL, NULL, 6514, 8),
(38225, NULL, 'PF11022', NULL, NULL, 'ATP synthase subunit K', NULL, 'ATP19', NULL, NULL, 17829, 8),
(38226, NULL, 'PF15206', NULL, NULL, 'FAM209 family', NULL, 'FAM209', NULL, NULL, 26420, 8),
(38227, NULL, 'PF14525', NULL, NULL, 'AraC-binding-like domain', NULL, 'AraC_binding_2', NULL, NULL, 18449, 8),
(38228, NULL, 'PF09594', NULL, NULL, 'Glycosyltransferase family 87', NULL, 'GT87', NULL, NULL, 15695, 8),
(38229, NULL, 'PF12281', NULL, NULL, 'Nucleotidyltransferase', NULL, 'NTP_transf_8', NULL, NULL, 16969, 8),
(38230, NULL, 'PF16064', NULL, NULL, 'Domain of unknown function (DUF4806)', NULL, 'DUF4806', NULL, NULL, 25178, 8),
(38231, NULL, 'PF19253', NULL, NULL, 'Family of unknown function (DUF5900)', NULL, 'DUF5900', NULL, NULL, 38438, 8),
(38232, NULL, 'PF02769', NULL, NULL, 'AIR synthase related protein, C-terminal domain', NULL, 'AIRS_C', NULL, NULL, 9393, 8),
(38233, NULL, 'PF16214', NULL, NULL, 'Adenylyl cyclase N-terminal extracellular and transmembrane region', NULL, 'AC_N', NULL, NULL, 22213, 8),
(38234, NULL, 'PF03848', NULL, NULL, 'Tellurite resistance protein TehB', NULL, 'TehB', NULL, NULL, 9316, 8),
(38235, NULL, 'PF04985', NULL, NULL, 'Phage tail tube protein FII', NULL, 'Phage_tube', NULL, NULL, 6692, 8),
(38236, NULL, 'PF05470', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit 8 N-terminus', NULL, 'eIF-3c_N', NULL, NULL, 7712, 8),
(38237, NULL, 'PF04749', NULL, NULL, 'PLAC8 family', NULL, 'PLAC8', NULL, NULL, 6745, 8),
(38238, NULL, 'PF02430', NULL, NULL, 'Apical membrane antigen 1', NULL, 'AMA-1', NULL, NULL, 3118, 8),
(38239, NULL, 'PF08023', NULL, NULL, 'Frog antimicrobial peptide', NULL, 'Antimicrobial_2', NULL, NULL, 12652, 8),
(38240, NULL, 'PF16990', NULL, NULL, 'Carbohydrate binding module (family 35)', NULL, 'CBM_35', NULL, NULL, 10101, 8),
(38241, NULL, 'PF17040', NULL, NULL, 'Cellulose-complementing protein A', NULL, 'CBP_CCPA', NULL, NULL, 23565, 8),
(38242, NULL, 'PF20112', NULL, NULL, 'Family of unknown function (DUF6502)', NULL, 'DUF6502', NULL, NULL, 39797, 8),
(38243, NULL, 'PF14404', NULL, NULL, 'Ribosomally synthesized peptide in Streptomyces species', NULL, 'Strep_pep', NULL, NULL, 26399, 8),
(38244, NULL, 'PF05555', NULL, NULL, 'Coxiella burnetii protein of unknown function (DUF762)', NULL, 'DUF762', NULL, NULL, 12179, 8),
(38245, NULL, 'PF11746', NULL, NULL, 'Protein of unknown function (DUF3303)', NULL, 'DUF3303', NULL, NULL, 19955, 8),
(38246, NULL, 'PF05384', NULL, NULL, 'Sensor protein DegS', NULL, 'DegS', NULL, NULL, 14095, 8),
(38247, NULL, 'PF08933', NULL, NULL, 'Domain of unknown function (DUF1864)', NULL, 'DUF1864', NULL, NULL, 7867, 8),
(38248, NULL, 'PF11604', NULL, NULL, 'Copper binding periplasmic protein CusF', NULL, 'CusF_Ec', NULL, NULL, 19285, 8),
(38249, NULL, 'PF19894', NULL, NULL, 'Family of unknown function (DUF6367)', NULL, 'DUF6367', NULL, NULL, 39304, 8),
(38250, NULL, 'PF00233', NULL, NULL, '3''5''-cyclic nucleotide phosphodiesterase', NULL, 'PDEase_I', NULL, NULL, 1002, 8),
(38251, NULL, 'PF17916', NULL, NULL, 'LIM interaction domain (LID)', NULL, 'LID', NULL, NULL, 31008, 8),
(38252, NULL, 'PF18459', NULL, NULL, 'Proprotein convertase subtilisin-like/kexin type 9 C-terminal domain', NULL, 'PCSK9_C1', NULL, NULL, 31428, 8),
(38253, NULL, 'PF17367', NULL, NULL, 'NiFe-hydrogenase-type-3 Eha complex subunit A', NULL, 'NiFe_hyd_3_EhaA', NULL, NULL, 10432, 8),
(38254, NULL, 'PF00328', NULL, NULL, 'Histidine phosphatase superfamily (branch 2)', NULL, 'His_Phos_2', NULL, NULL, 4201, 8),
(38255, NULL, 'PF09350', NULL, NULL, 'Domain of unknown function (DUF1992)', NULL, 'DUF1992', NULL, NULL, 15100, 8),
(38256, NULL, 'PF06975', NULL, NULL, 'Protein of unknown function (DUF1299)', NULL, 'DUF1299', NULL, NULL, 10344, 8),
(38257, NULL, 'PF03043', NULL, NULL, 'Herpesvirus UL87 family', NULL, 'Herpes_UL87', NULL, NULL, 4813, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38258, NULL, 'PF00288', NULL, NULL, 'GHMP kinases N terminal domain', NULL, 'GHMP_kinases_N', NULL, NULL, 11019, 8),
(38259, NULL, 'PF05036', NULL, NULL, 'SPOR domain', NULL, 'SPOR', NULL, NULL, 1379, 8),
(38260, NULL, 'PF11695', NULL, NULL, 'Domain of unknown function (DUF3291)', NULL, 'DUF3291', NULL, NULL, 19831, 8),
(38261, NULL, 'PF08995', NULL, NULL, 'Necrosis inducing protein-1', NULL, 'NIP_1', NULL, NULL, 8928, 8),
(38262, NULL, 'PF09164', NULL, NULL, 'Vitamin D binding protein, domain III', NULL, 'VitD-bind_III', NULL, NULL, 12624, 8),
(38263, NULL, 'PF12783', NULL, NULL, 'Guanine nucleotide exchange factor in Golgi transport N-terminal', NULL, 'Sec7_N', NULL, NULL, 28405, 8),
(38264, NULL, 'PF18016', NULL, NULL, 'SAM domain (Sterile alpha motif)', NULL, 'SAM_3', NULL, NULL, 32945, 8),
(38265, NULL, 'PF01333', NULL, NULL, 'Apocytochrome F, C-terminal', NULL, 'Apocytochr_F_C', NULL, NULL, 6521, 8),
(38266, NULL, 'PF19989', NULL, NULL, 'Family of unknown function (DUF6425)', NULL, 'DUF6425', NULL, NULL, 39828, 8),
(38267, NULL, 'PF04569', NULL, NULL, 'Protein of unknown function', NULL, 'DUF591', NULL, NULL, 369, 8),
(38268, NULL, 'PF19175', NULL, NULL, 'Family of unknown function (DUF5857)', NULL, 'DUF5857', NULL, NULL, 37017, 8),
(38269, NULL, 'PF02525', NULL, NULL, 'Flavodoxin-like fold', NULL, 'Flavodoxin_2', NULL, NULL, 1012, 8),
(38270, NULL, 'PF02964', NULL, NULL, 'Methane monooxygenase, hydrolase gamma chain', NULL, 'MeMO_Hyd_G', NULL, NULL, 3642, 8),
(38271, NULL, 'PF10926', NULL, NULL, 'Protein of unknown function (DUF2800)', NULL, 'DUF2800', NULL, NULL, 17963, 8),
(38272, NULL, 'PF11345', NULL, NULL, 'Protein of unknown function (DUF3147)', NULL, 'DUF3147', NULL, NULL, 18799, 8),
(38273, NULL, 'PF02416', NULL, NULL, 'mttA/Hcf106 family', NULL, 'TatA_B_E', NULL, NULL, 4835, 8),
(38274, NULL, 'PF07585', NULL, NULL, 'Putative beta barrel porin-7 (BBP7)', NULL, 'BBP7', NULL, NULL, 13703, 8),
(38275, NULL, 'PF10197', NULL, NULL, 'N-terminal domain of CBF1 interacting co-repressor CIR', NULL, 'Cir_N', NULL, NULL, 15886, 8),
(38276, NULL, 'PF08931', NULL, NULL, 'Receptor-binding protein of phage tail base-plate Siphoviridae, head', NULL, 'Caudo_bapla_RBP', NULL, NULL, 7908, 8),
(38277, NULL, 'PF10117', NULL, NULL, 'McrBC 5-methylcytosine restriction system component', NULL, 'McrBC', NULL, NULL, 20360, 8),
(38278, NULL, 'PF08487', NULL, NULL, 'Vault protein inter-alpha-trypsin domain', NULL, 'VIT', NULL, NULL, 13983, 8),
(38279, NULL, 'PF06798', NULL, NULL, 'PrkA serine protein kinase C-terminal domain', NULL, 'PrkA', NULL, NULL, 9468, 8),
(38280, NULL, 'PF19774', NULL, NULL, 'Family of unknown function (DUF6260)', NULL, 'DUF6260', NULL, NULL, 39827, 8),
(38281, NULL, 'PF01306', NULL, NULL, 'LacY proton/sugar symporter', NULL, 'LacY_symp', NULL, NULL, 5853, 8),
(38282, NULL, 'PF15758', NULL, NULL, 'Histidine-rich carboxyl terminus protein 1', NULL, 'HRCT1', NULL, NULL, 26244, 8),
(38283, NULL, 'PF13341', NULL, NULL, 'RAG2 PHD domain', NULL, 'RAG2_PHD', NULL, NULL, 27937, 8),
(38284, NULL, 'PF10170', NULL, NULL, 'Cysteine-rich domain', NULL, 'C6_DPF', NULL, NULL, 19417, 8),
(38285, NULL, 'PF10336', NULL, NULL, 'Protein of unknown function (DUF2420)', NULL, 'DUF2420', NULL, NULL, 20218, 8),
(38286, NULL, 'PF03224', NULL, NULL, 'V-ATPase subunit H', NULL, 'V-ATPase_H_N', NULL, NULL, 1776, 8),
(38287, NULL, 'PF17515', NULL, NULL, 'Cypovirus polyhedrin', NULL, 'CPV_Polyhedrin', NULL, NULL, 16264, 8),
(38288, NULL, 'PF17634', NULL, NULL, 'Gene product 67', NULL, 'GP67', NULL, NULL, 15224, 8),
(38289, NULL, 'PF09328', NULL, NULL, 'Domain of unknown function (DUF1984)', NULL, 'Phytochelatin_C', NULL, NULL, 14477, 8),
(38290, NULL, 'PF06396', NULL, NULL, 'Angiotensin II, type I receptor-associated protein (AGTRAP)', NULL, 'AGTRAP', NULL, NULL, 8444, 8),
(38291, NULL, 'PF13465', NULL, NULL, 'Zinc-finger double domain', NULL, 'zf-H2C2_2', NULL, NULL, NULL, 8),
(38292, NULL, 'PF17442', NULL, NULL, 'Functional domain of U62 and UL91 proteins', NULL, 'U62_UL91', NULL, NULL, 29397, 8),
(38293, NULL, 'PF07103', NULL, NULL, 'Protein of unknown function (DUF1365)', NULL, 'DUF1365', NULL, NULL, 10524, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38294, NULL, 'PF08560', NULL, NULL, 'Protein of unknown function (DUF1757)', NULL, 'DUF1757', NULL, NULL, 9629, 8),
(38295, NULL, 'PF05407', NULL, NULL, 'Rubella virus endopeptidase', NULL, 'Peptidase_C27', NULL, NULL, 12065, 8),
(38296, NULL, 'PF15489', NULL, NULL, 'CST, telomere maintenance, complex subunit CTC1', NULL, 'CTC1', NULL, NULL, 27535, 8),
(38297, NULL, 'PF08631', NULL, NULL, 'Meiosis protein SPO22/ZIP4 like', NULL, 'SPO22', NULL, NULL, 14454, 8),
(38298, NULL, 'PF09342', NULL, NULL, 'Domain of unknown function (DUF1986)', NULL, 'DUF1986', NULL, NULL, 7549, 8),
(38299, NULL, 'PF01165', NULL, NULL, 'Ribosomal protein S21', NULL, 'Ribosomal_S21', NULL, NULL, 4479, 8),
(38300, NULL, 'PF18942', NULL, NULL, 'Family of unknown function (DUF5689)', NULL, 'DUF5689', NULL, NULL, 38171, 8),
(38301, NULL, 'PF06229', NULL, NULL, 'FRG1-like domain', NULL, 'FRG1', NULL, NULL, 9799, 8),
(38302, NULL, 'PF06696', NULL, NULL, 'Streptococcal surface antigen repeat', NULL, 'Strep_SA_rep', NULL, NULL, 798, 8),
(38303, NULL, 'PF13271', NULL, NULL, 'Domain of unknown function (DUF4062)', NULL, 'DUF4062', NULL, NULL, 23503, 8),
(38304, NULL, 'PF09702', NULL, NULL, 'CRISPR-associated protein (Cas_Csa5)', NULL, 'Cas_Csa5', NULL, NULL, 10662, 8),
(38305, NULL, 'PF13590', NULL, NULL, 'Domain of unknown function (DUF4136)', NULL, 'DUF4136', NULL, NULL, 23459, 8),
(38306, NULL, 'PF16476', NULL, NULL, 'Domain of unknown function (DUF5053)', NULL, 'DUF5053', NULL, NULL, 18096, 8),
(38307, NULL, 'PF00419', NULL, NULL, 'Fimbrial protein', NULL, 'Fimbrial', NULL, NULL, 4219, 8),
(38308, NULL, 'PF17299', NULL, NULL, 'Family of unknown function (DUF5350)', NULL, 'DUF5350', NULL, NULL, 30067, 8),
(38309, NULL, 'PF00316', NULL, NULL, 'Fructose-1-6-bisphosphatase, N-terminal domain', NULL, 'FBPase', NULL, NULL, 29177, 8),
(38310, NULL, 'PF01922', NULL, NULL, 'SRP19 protein', NULL, 'SRP19', NULL, NULL, 4833, 8),
(38311, NULL, 'PF07581', NULL, NULL, 'The GLUG motif', NULL, 'Glug', NULL, NULL, 12868, 8),
(38312, NULL, 'PF18396', NULL, NULL, 'TANK binding kinase 1 ubiquitin-like domain', NULL, 'TBK1_ULD', NULL, NULL, 31568, 8),
(38313, NULL, 'PF19216', NULL, NULL, 'Coronavirus replicase NSP15, middle domain', NULL, 'CoV_NSP15_M', NULL, NULL, 38120, 8),
(38314, NULL, 'PF01912', NULL, NULL, 'eIF-6 family', NULL, 'eIF-6', NULL, NULL, 4691, 8),
(38315, NULL, 'PF14838', NULL, NULL, 'Integrator complex subunit 5 C-terminus', NULL, 'INTS5_C', NULL, NULL, 29025, 8),
(38316, NULL, 'PF15695', NULL, NULL, 'Rec (regulator of expression encoded by corf) of HERV-K-113', NULL, 'HERV-K_REC', NULL, NULL, NULL, 8),
(38317, NULL, 'PF15432', NULL, NULL, 'Accessory Sec secretory system ASP3', NULL, 'Sec-ASP3', NULL, NULL, 15679, 8),
(38318, NULL, 'PF16084', NULL, NULL, 'LydA-holin antagonist', NULL, 'LydB', NULL, NULL, 23362, 8),
(38319, NULL, 'PF08453', NULL, NULL, 'Peptidase family M9 N-terminal', NULL, 'Peptidase_M9_N', NULL, NULL, 12393, 8),
(38320, NULL, 'PF00574', NULL, NULL, 'Clp protease', NULL, 'CLP_protease', NULL, NULL, 10601, 8),
(38321, NULL, 'PF16711', NULL, NULL, 'Actin-binding domain of plant-specific actin-binding protein', NULL, 'SCAB-ABD', NULL, NULL, 25088, 8),
(38322, NULL, 'PF10677', NULL, NULL, 'Protein of unknown function (DUF2490)', NULL, 'DUF2490', NULL, NULL, 20170, 8),
(38323, NULL, 'PF15164', NULL, NULL, 'Williams-Beuren syndrome chromosomal region 28 protein homologue', NULL, 'WBS28', NULL, NULL, 21620, 8),
(38324, NULL, 'PF19359', NULL, NULL, 'Family of unknown function (DUF5936)', NULL, 'DUF5936', NULL, NULL, 39379, 8),
(38325, NULL, 'PF09365', NULL, NULL, 'Conserved hypothetical protein (DUF2461)', NULL, 'DUF2461', NULL, NULL, 12847, 8),
(38326, NULL, 'PF14943', NULL, NULL, 'Mitochondrial ribosome subunit S26', NULL, 'MRP-S26', NULL, NULL, 23971, 8),
(38327, NULL, 'PF15952', NULL, NULL, 'Enhancer of split M4 family', NULL, 'ESM4', NULL, NULL, 25745, 8),
(38328, NULL, 'PF04904', NULL, NULL, 'NAB conserved region 1 (NCD1)', NULL, 'NCD1', NULL, NULL, 5720, 8),
(38329, NULL, 'PF15404', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_4', NULL, NULL, 35916, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38330, NULL, 'PF05731', NULL, NULL, 'TROVE domain', NULL, 'TROVE', NULL, NULL, 14227, 8),
(38331, NULL, 'PF15029', NULL, NULL, 'Transmembrane protein 174', NULL, 'TMEM174', NULL, NULL, 22857, 8),
(38332, NULL, 'PF13575', NULL, NULL, 'Domain of unknown function (DUF4135)', NULL, 'DUF4135', NULL, NULL, 23112, 8),
(38333, NULL, 'PF18350', NULL, NULL, 'Restriction endonuclease SH3 domain', NULL, 'SH3_17', NULL, NULL, 29750, 8),
(38334, NULL, 'PF16262', NULL, NULL, 'Domain of unknown function (DUF4916)', NULL, 'DUF4916', NULL, NULL, 22222, 8),
(38335, NULL, 'PF04422', NULL, NULL, 'Coenzyme F420 hydrogenase/dehydrogenase, beta subunit N-term', NULL, 'FrhB_FdhB_N', NULL, NULL, 10789, 8),
(38336, NULL, 'PF05968', NULL, NULL, 'Bacillus PapR protein', NULL, 'Bacillus_PapR', NULL, NULL, 12935, 8),
(38337, NULL, 'PF11371', NULL, NULL, 'Protein of unknown function (DUF3172)', NULL, 'DUF3172', NULL, NULL, 18740, 8),
(38338, NULL, 'PF19658', NULL, NULL, 'Family of unknown function (DUF6161)', NULL, 'DUF6161', NULL, NULL, 39677, 8),
(38339, NULL, 'PF10190', NULL, NULL, 'Putative transmembrane protein 170', NULL, 'Tmemb_170', NULL, NULL, 15112, 8),
(38340, NULL, 'PF10453', NULL, NULL, 'Nuclear fragile X mental retardation-interacting protein 1 (NUFIP1)', NULL, 'NUFIP1', NULL, NULL, 18824, 8),
(38341, NULL, 'PF02474', NULL, NULL, 'Nodulation protein A (NodA)', NULL, 'NodA', NULL, NULL, 6281, 8),
(38342, NULL, 'PF02709', NULL, NULL, 'N-terminal domain of galactosyltransferase', NULL, 'Glyco_transf_7C', NULL, NULL, 24644, 8),
(38343, NULL, 'PF06031', NULL, NULL, 'SERTA motif', NULL, 'SERTA', NULL, NULL, 13508, 8),
(38344, NULL, 'PF19671', NULL, NULL, 'Family of unknown function (DUF6174)', NULL, 'DUF6174', NULL, NULL, 39517, 8),
(38345, NULL, 'PF19917', NULL, NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX1', NULL, 'bpX1', NULL, NULL, 39727, 8),
(38346, NULL, 'PF10925', NULL, NULL, 'Protein of unknown function (DUF2680)', NULL, 'DUF2680', NULL, NULL, 25705, 8),
(38347, NULL, 'PF13091', NULL, NULL, 'PLD-like domain', NULL, 'PLDc_2', NULL, NULL, 22240, 8),
(38348, NULL, 'PF04888', NULL, NULL, 'Secretion system effector C (SseC) like family', NULL, 'SseC', NULL, NULL, 5787, 8),
(38349, NULL, 'PF08752', NULL, NULL, 'Coatomer gamma subunit appendage platform subdomain', NULL, 'COP-gamma_platf', NULL, NULL, 14340, 8),
(38350, NULL, 'PF16807', NULL, NULL, 'Domain of unknown function (DUF5072)', NULL, 'DUF5072', NULL, NULL, NULL, 8),
(38351, NULL, 'PF06149', NULL, NULL, 'Protein of unknown function (DUF969)', NULL, 'DUF969', NULL, NULL, 9019, 8),
(38352, NULL, 'PF07347', NULL, NULL, 'NADH:ubiquinone oxidoreductase subunit B14.5a (Complex I-B14.5a)', NULL, 'CI-B14_5a', NULL, NULL, 8484, 8),
(38353, NULL, 'PF20096', NULL, NULL, 'Family of unknown function (DUF6486)', NULL, 'DUF6486', NULL, NULL, 36519, 8),
(38354, NULL, 'PF03957', NULL, NULL, 'Jun-like transcription factor', NULL, 'Jun', NULL, NULL, 2750, 8),
(38355, NULL, 'PF19495', NULL, NULL, 'Family of unknown function (DUF6030)', NULL, 'DUF6030', NULL, NULL, 39057, 8),
(38356, NULL, 'PF00285', NULL, NULL, 'Citrate synthase, C-terminal domain', NULL, 'Citrate_synt', NULL, NULL, 2480, 8),
(38357, NULL, 'PF06415', NULL, NULL, 'BPG-independent PGAM N-terminus (iPGM_N)', NULL, 'iPGM_N', NULL, NULL, 10997, 8),
(38358, NULL, 'PF19923', NULL, NULL, 'Family of unknown function (DUF6386)', NULL, 'DUF6386', NULL, NULL, 39676, 8),
(38359, NULL, 'PF17989', NULL, NULL, 'Actin like proteins N terminal domain', NULL, 'ALP_N', NULL, NULL, 34255, 8),
(38360, NULL, 'PF00402', NULL, NULL, 'Calponin family repeat', NULL, 'Calponin', NULL, NULL, 5895, 8),
(38361, NULL, 'PF13870', NULL, NULL, 'Domain of unknown function (DUF4201)', NULL, 'DUF4201', NULL, NULL, 23939, 8),
(38362, NULL, 'PF08192', NULL, NULL, 'Peptidase family S64', NULL, 'Peptidase_S64', NULL, NULL, 12268, 8),
(38363, NULL, 'PF12636', NULL, NULL, 'Protein of unknown function (DUF3781)', NULL, 'DUF3781', NULL, NULL, 12462, 8),
(38364, NULL, 'PF04418', NULL, NULL, 'Domain of unknown function (DUF543)', NULL, 'DUF543', NULL, NULL, 10655, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38365, NULL, 'PF00157', NULL, NULL, 'Pou domain - N-terminal to homeobox domain', NULL, 'Pou', NULL, NULL, 530, 8),
(38366, NULL, 'PF14081', NULL, NULL, 'Domain of unknown function (DUF4262)', NULL, 'DUF4262', NULL, NULL, 23120, 8),
(38367, NULL, 'PF19306', NULL, NULL, 'Helicase Lhr winged helix domain', NULL, 'Lhr_WH', NULL, NULL, 38900, 8),
(38368, NULL, 'PF09593', NULL, NULL, 'Beta-satellite pathogenicity beta C1 protein', NULL, 'Pathogen_betaC1', NULL, NULL, 15747, 8),
(38369, NULL, 'PF02289', NULL, NULL, 'Cyclohydrolase (MCH)', NULL, 'MCH', NULL, NULL, 2240, 8),
(38370, NULL, 'PF17449', NULL, NULL, 'Uncharacterized YrzK-like', NULL, 'YrzK', NULL, NULL, 36466, 8),
(38371, NULL, 'PF11243', NULL, NULL, 'Protein of unknown function (DUF3045)', NULL, 'DUF3045', NULL, NULL, 18071, 8),
(38372, NULL, 'PF16750', NULL, NULL, 'Sensor domain of 2-component histidine kinase', NULL, 'HK_sensor', NULL, NULL, 28472, 8),
(38373, NULL, 'PF09829', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2057)', NULL, 'DUF2057', NULL, NULL, 16286, 8),
(38374, NULL, 'PF06461', NULL, NULL, 'Domain of Unknown Function (DUF1086)', NULL, 'DUF1086', NULL, NULL, 9435, 8),
(38375, NULL, 'PF17702', NULL, NULL, 'Family of unknown function (DUF5548)', NULL, 'DUF5548', NULL, NULL, 32268, 8),
(38376, NULL, 'PF05546', NULL, NULL, 'She9 / Mdm33 family', NULL, 'She9_MDM33', NULL, NULL, 14415, 8),
(38377, NULL, 'PF18659', NULL, NULL, 'Cell-traversal protein for ookinetes and sporozoites', NULL, 'CelTOS', NULL, NULL, 31874, 8),
(38378, NULL, 'PF16668', NULL, NULL, 'Adhesin from Campylobacter', NULL, 'JLPA', NULL, NULL, 28031, 8),
(38379, NULL, 'PF15021', NULL, NULL, 'Protein of unknown function (DUF4521)', NULL, 'DUF4521', NULL, NULL, 22993, 8),
(38380, NULL, 'PF00010', NULL, NULL, 'Helix-loop-helix DNA-binding domain', NULL, 'HLH', NULL, NULL, 8423, 8),
(38381, NULL, 'PF02533', NULL, NULL, 'Photosystem II 4 kDa reaction centre component', NULL, 'PsbK', NULL, NULL, 4934, 8),
(38382, NULL, 'PF12981', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3865)', NULL, 'DUF3865', NULL, NULL, 23426, 8),
(38383, NULL, 'PF13496', NULL, NULL, 'Domain of unknown function (DUF4120)', NULL, 'DUF4120', NULL, NULL, 21874, 8),
(38384, NULL, 'PF05954', NULL, NULL, 'Phage tail baseplate hub (GPD)', NULL, 'Phage_GPD', NULL, NULL, NULL, 8),
(38385, NULL, 'PF09166', NULL, NULL, 'Biliverdin reductase, catalytic', NULL, 'Biliv-reduc_cat', NULL, NULL, 12508, 8),
(38386, NULL, 'PF03066', NULL, NULL, 'Nucleoplasmin/nucleophosmin domain', NULL, 'Nucleoplasmin', NULL, NULL, 12112, 8),
(38387, NULL, 'PF14049', NULL, NULL, 'Dppa2/4 conserved region in higher vertebrates', NULL, 'Dppa2_A', NULL, NULL, 27697, 8),
(38388, NULL, 'PF03838', NULL, NULL, 'Recombination protein U', NULL, 'RecU', NULL, NULL, 927, 8),
(38389, NULL, 'PF04192', NULL, NULL, 'Utp21 specific WD40 associated putative domain', NULL, 'Utp21', NULL, NULL, 4958, 8),
(38390, NULL, 'PF05087', NULL, NULL, 'Rotavirus VP2 protein', NULL, 'Rota_VP2', NULL, NULL, 1008, 8),
(38391, NULL, 'PF03550', NULL, NULL, 'Outer membrane lipoprotein LolB', NULL, 'LolB', NULL, NULL, 922, 8),
(38392, NULL, 'PF08003', NULL, NULL, 'Protein of unknown function (DUF1698)', NULL, 'Methyltransf_9', NULL, NULL, 28933, 8),
(38393, NULL, 'PF18356', NULL, NULL, 'Domain of unknown function (DUF5608)', NULL, 'DUF5608', NULL, NULL, 32389, 8),
(38394, NULL, 'PF18871', NULL, NULL, 'HEPN/Toprim N-terminal domain 1', NULL, 'HEPN_Toprim_N', NULL, NULL, 32431, 8),
(38395, NULL, 'PF09797', NULL, NULL, 'N-acetyltransferase B complex (NatB) non catalytic subunit', NULL, 'NatB_MDM20', NULL, NULL, 18591, 8),
(38396, NULL, 'PF00969', NULL, NULL, 'Class II histocompatibility antigen, beta domain', NULL, 'MHC_II_beta', NULL, NULL, 4518, 8),
(38397, NULL, 'PF14305', NULL, NULL, 'TupA-like ATPgrasp', NULL, 'ATPgrasp_TupA', NULL, NULL, 28858, 8),
(38398, NULL, 'PF14610', NULL, NULL, 'Ykl077w/Psg1 (Pma1 Stabilization in Golgi)', NULL, 'Psg1', NULL, NULL, 24970, 8),
(38399, NULL, 'PF16043', NULL, NULL, 'Domain of unknown function (DUF4795)', NULL, 'DUF4795', NULL, NULL, 27904, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38400, NULL, 'PF06965', NULL, NULL, 'Na+/H+ antiporter 1', NULL, 'Na_H_antiport_1', NULL, NULL, 2861, 8),
(38401, NULL, 'PF09108', NULL, NULL, 'Switch protein XOL-1, N-terminal', NULL, 'Xol-1_N', NULL, NULL, 10981, 8),
(38402, NULL, 'PF18043', NULL, NULL, 'T4 RNA ligase 2 C-terminal', NULL, 'T4_Rnl2_C', NULL, NULL, 34357, 8),
(38403, NULL, 'PF15338', NULL, NULL, 'p53-regulated apoptosis-inducing protein 1', NULL, 'TPIP1', NULL, NULL, 28654, 8),
(38404, NULL, 'PF08167', NULL, NULL, 'rRNA processing/ribosome biogenesis', NULL, 'RIX1', NULL, NULL, 9783, 8),
(38405, NULL, 'PF09858', NULL, NULL, 'Predicted membrane protein (DUF2085)', NULL, 'DUF2085', NULL, NULL, 19442, 8),
(38406, NULL, 'PF04906', NULL, NULL, 'Tweety', NULL, 'Tweety', NULL, NULL, 5974, 8),
(38407, NULL, 'PF02499', NULL, NULL, 'Probable DNA packing protein, C-terminus', NULL, 'DNA_pack_C', NULL, NULL, 6160, 8),
(38408, NULL, 'PF11427', NULL, NULL, 'Tc3 transposase', NULL, 'HTH_Tnp_Tc3_1', NULL, NULL, 22064, 8),
(38409, NULL, 'PF18556', NULL, NULL, 'Bacterial Tetracyclin repressor,  C-terminal domain', NULL, 'TetR_C_35', NULL, NULL, 34051, 8),
(38410, NULL, 'PF03219', NULL, NULL, 'TLC ATP/ADP transporter', NULL, 'TLC', NULL, NULL, 2983, 8),
(38411, NULL, 'PF09147', NULL, NULL, 'Domain of unknown function (DUF1933)', NULL, 'DUF1933', NULL, NULL, 10578, 8),
(38412, NULL, 'PF16054', NULL, NULL, 'Transmembrane protein family 72', NULL, 'TMEM72', NULL, NULL, 23352, 8),
(38413, NULL, 'PF08050', NULL, NULL, 'Tetracycline resistance leader peptide', NULL, 'Tet_res_leader', NULL, NULL, 9561, 8),
(38414, NULL, 'PF16751', NULL, NULL, 'Anti-sigma-D factor RsdA to sigma factor binding region', NULL, 'RsdA_SigD_bd', NULL, NULL, 28218, 8),
(38415, NULL, 'PF11240', NULL, NULL, 'Protein of unknown function (DUF3042)', NULL, 'DUF3042', NULL, NULL, 18345, 8),
(38416, NULL, 'PF18326', NULL, NULL, 'RFX5 N-terminal domain', NULL, 'RFX5_N', NULL, NULL, 34625, 8),
(38417, NULL, 'PF03852', NULL, NULL, 'DNA mismatch endonuclease Vsr', NULL, 'Vsr', NULL, NULL, 900, 8),
(38418, NULL, 'PF05556', NULL, NULL, 'Calcineurin-binding protein (Calsarcin)', NULL, 'Calsarcin', NULL, NULL, 8532, 8),
(38419, NULL, 'PF07298', NULL, NULL, 'NnrU protein', NULL, 'NnrU', NULL, NULL, 14906, 8),
(38420, NULL, 'PF10470', NULL, NULL, 'PKA-RI-RII subunit binding domain of A-kinase anchor protein', NULL, 'AKAP7_RIRII_bdg', NULL, NULL, 18668, 8),
(38421, NULL, 'PF13867', NULL, NULL, 'Sin3 binding region of histone deacetylase complex subunit SAP30', NULL, 'SAP30_Sin3_bdg', NULL, NULL, 25915, 8),
(38422, NULL, 'PF19594', NULL, NULL, 'Family of unknown function (DUF6099)', NULL, 'DUF6099', NULL, NULL, 39246, 8),
(38423, NULL, 'PF06380', NULL, NULL, 'Protein of unknown function (DUF1072)', NULL, 'DUF1072', NULL, NULL, 8091, 8),
(38424, NULL, 'PF03739', NULL, NULL, 'Lipopolysaccharide export system permease LptF/LptG', NULL, 'LptF_LptG', NULL, NULL, 595, 8),
(38425, NULL, 'PF07812', NULL, NULL, 'TfuA-like protein', NULL, 'TfuA', NULL, NULL, 8145, 8),
(38426, NULL, 'PF13738', NULL, NULL, 'Pyridine nucleotide-disulphide oxidoreductase', NULL, 'Pyr_redox_3', NULL, NULL, NULL, 8),
(38427, NULL, 'PF01896', NULL, NULL, 'DNA primase small subunit', NULL, 'DNA_primase_S', NULL, NULL, 3955, 8),
(38428, NULL, 'PF03995', NULL, NULL, 'Peptidase inhibitor family I36', NULL, 'Inhibitor_I36', NULL, NULL, NULL, 8),
(38429, NULL, 'PF05957', NULL, NULL, 'DUF883 N-terminal domain', NULL, 'DUF883', NULL, NULL, 38229, 8),
(38430, NULL, 'PF16837', NULL, NULL, 'Pre-mRNA-splicing factor SF3A3, of SF3a complex, Prp9', NULL, 'SF3A3', NULL, NULL, 27881, 8),
(38431, NULL, 'PF06375', NULL, NULL, 'AP-3 complex subunit delta-1', NULL, 'AP3D1', NULL, NULL, 10159, 8),
(38432, NULL, 'PF02350', NULL, NULL, 'UDP-N-acetylglucosamine 2-epimerase', NULL, 'Epimerase_2', NULL, NULL, 4230, 8),
(38433, NULL, 'PF01157', NULL, NULL, 'Ribosomal protein L21e', NULL, 'Ribosomal_L21e', NULL, NULL, 1322, 8),
(38434, NULL, 'PF13518', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_28', NULL, NULL, NULL, 8),
(38435, NULL, 'PF04116', NULL, NULL, 'Fatty acid hydroxylase superfamily', NULL, 'FA_hydroxylase', NULL, NULL, 2464, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38436, NULL, 'PF07108', NULL, NULL, 'PipA protein', NULL, 'PipA', NULL, NULL, 11090, 8),
(38437, NULL, 'PF04417', NULL, NULL, 'Protein of unknown function (DUF501)', NULL, 'DUF501', NULL, NULL, 10929, 8),
(38438, NULL, 'PF07697', NULL, NULL, '7TM-HD extracellular', NULL, '7TMR-HDED', NULL, NULL, 10490, 8),
(38439, NULL, 'PF12546', NULL, NULL, 'Blue/Ultraviolet sensing protein C terminal', NULL, 'Cryptochrome_C', NULL, NULL, 14714, 8),
(38440, NULL, 'PF11381', NULL, NULL, 'Protein of unknown function (DUF3185)', NULL, 'DUF3185', NULL, NULL, 18871, 8),
(38441, NULL, 'PF06334', NULL, NULL, 'Orthopoxvirus A47 protein', NULL, 'Orthopox_A47', NULL, NULL, 8054, 8),
(38442, NULL, 'PF09554', NULL, NULL, 'HaeII restriction endonuclease', NULL, 'RE_HaeII', NULL, NULL, 16606, 8),
(38443, NULL, 'PF14758', NULL, NULL, 'Non-essential region of nsp2 of arterivirus polyprotein', NULL, 'NSP2_assoc', NULL, NULL, 22789, 8),
(38444, NULL, 'PF06082', NULL, NULL, 'Exopolysaccharide biosynthesis protein YbjH', NULL, 'YjbH', NULL, NULL, 8971, 8),
(38445, NULL, 'PF09140', NULL, NULL, 'ATPase MipZ', NULL, 'MipZ', NULL, NULL, 10798, 8),
(38446, NULL, 'PF12437', NULL, NULL, 'Glutamine synthetase type III N terminal', NULL, 'GSIII_N', NULL, NULL, 21389, 8),
(38447, NULL, 'PF01767', NULL, NULL, 'Birnavirus VP3 protein', NULL, 'Birna_VP3', NULL, NULL, 2954, 8),
(38448, NULL, 'PF10723', NULL, NULL, 'Replication regulatory protein RepB', NULL, 'RepB-RCR_reg', NULL, NULL, 21206, 8),
(38449, NULL, 'PF19000', NULL, NULL, 'Family of unknown function (DUF5729)', NULL, 'DUF5729', NULL, NULL, 37935, 8),
(38450, NULL, 'PF19286', NULL, NULL, 'Domain of unknown function (DUF5909)', NULL, 'DUF5909', NULL, NULL, 38913, 8),
(38451, NULL, 'PF01642', NULL, NULL, 'Methylmalonyl-CoA mutase', NULL, 'MM_CoA_mutase', NULL, NULL, 2545, 8),
(38452, NULL, 'PF17024', NULL, NULL, 'Putative DMAP1-like', NULL, 'DMAP1_like', NULL, NULL, 23167, 8),
(38453, NULL, 'PF03928', NULL, NULL, 'Haem-degrading', NULL, 'Haem_degrading', NULL, NULL, 2781, 8),
(38454, NULL, 'PF10954', NULL, NULL, 'Protein of unknown function (DUF2755)', NULL, 'DUF2755', NULL, NULL, 19631, 8),
(38455, NULL, 'PF04507', NULL, NULL, 'Csa1 family', NULL, 'DUF576', NULL, NULL, 2905, 8),
(38456, NULL, 'PF10866', NULL, NULL, 'Protein of unknown function (DUF2704)', NULL, 'DUF2704', NULL, NULL, 16762, 8),
(38457, NULL, 'PF19981', NULL, NULL, 'Family of unknown function (DUF6417)', NULL, 'DUF6417', NULL, NULL, NULL, 8),
(38458, NULL, 'PF19519', NULL, NULL, 'Family of unknown function (DUF6051)', NULL, 'DUF6051', NULL, NULL, 39783, 8),
(38459, NULL, 'PF05456', NULL, NULL, 'Eukaryotic translation initiation factor 4E binding protein (EIF4EBP)', NULL, 'eIF_4EBP', NULL, NULL, 14475, 8),
(38460, NULL, 'PF10316', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srbc', NULL, '7TM_GPCR_Srbc', NULL, NULL, 16564, 8),
(38461, NULL, 'PF12181', NULL, NULL, 'DNA binding domain of the motility gene repressor (MogR)', NULL, 'MogR_DNAbind', NULL, NULL, 15125, 8),
(38462, NULL, 'PF12032', NULL, NULL, 'Regulatory CLIP domain of proteinases', NULL, 'CLIP', NULL, NULL, 14997, 8),
(38463, NULL, 'PF12027', NULL, NULL, 'Protein of unknown function (DUF3514)', NULL, 'DUF3514', NULL, NULL, 20341, 8),
(38464, NULL, 'PF02885', NULL, NULL, 'Glycosyl transferase family, helical bundle domain', NULL, 'Glycos_trans_3N', NULL, NULL, 16077, 8),
(38465, NULL, 'PF10720', NULL, NULL, 'Protein of unknown function (DUF2515)', NULL, 'DUF2515', NULL, NULL, 21205, 8),
(38466, NULL, 'PF15295', NULL, NULL, 'Coiled-coil domain-containing protein 50  N-terminus', NULL, 'CCDC50_N', NULL, NULL, 25801, 8),
(38467, NULL, 'PF09733', NULL, NULL, 'VEFS-Box of polycomb protein', NULL, 'VEFS-Box', NULL, NULL, 17536, 8),
(38468, NULL, 'PF19940', NULL, NULL, 'Family of unknown function (DUF6402)', NULL, 'DUF6402', NULL, NULL, 38877, 8),
(38469, NULL, 'PF07963', NULL, NULL, 'Prokaryotic N-terminal methylation motif', NULL, 'N_methyl', NULL, NULL, 13122, 8),
(38470, NULL, 'PF17399', NULL, NULL, 'Domain of unknown function (DUF5405)', NULL, 'DUF5405', NULL, NULL, 16148, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38471, NULL, 'PF19831', NULL, NULL, 'Family of unknown function (DUF6312)', NULL, 'DUF6312', NULL, NULL, 39652, 8),
(38472, NULL, 'PF08430', NULL, NULL, 'Forkhead N-terminal region', NULL, 'Forkhead_N', NULL, NULL, 13438, 8),
(38473, NULL, 'PF17243', NULL, NULL, 'POTRA domain TamA domain 1', NULL, 'POTRA_TamA_1', NULL, NULL, 30164, 8),
(38474, NULL, 'PF16637', NULL, NULL, 'Putative zinc-finger between two C2H2 zinc-fingers on Patz', NULL, 'zf-C2H2_assoc3', NULL, NULL, NULL, 8),
(38475, NULL, 'PF14908', NULL, NULL, 'CCDC81 eukaryotic HU domain 1', NULL, 'HU-CCDC81_euk_1', NULL, NULL, 24751, 8),
(38476, NULL, 'PF10931', NULL, NULL, 'Protein of unknown function (DUF2735)', NULL, 'DUF2735', NULL, NULL, 17656, 8),
(38477, NULL, 'PF14902', NULL, NULL, 'Domain of unknown function (DUF4494)', NULL, 'DUF4494', NULL, NULL, 27654, 8),
(38478, NULL, 'PF07995', NULL, NULL, 'Glucose / Sorbosone dehydrogenase', NULL, 'GSDH', NULL, NULL, 8302, 8),
(38479, NULL, 'PF08286', NULL, NULL, 'Spc24 subunit of Ndc80', NULL, 'Spc24', NULL, NULL, 13156, 8),
(38480, NULL, 'PF09802', NULL, NULL, 'Preprotein translocase subunit Sec66', NULL, 'Sec66', NULL, NULL, 16219, 8),
(38481, NULL, 'PF15995', NULL, NULL, 'Domain of unknown function (DUF4771)', NULL, 'DUF4771', NULL, NULL, 26003, 8),
(38482, NULL, 'PF15738', NULL, NULL, 'Bacterial toxin of type II toxin-antitoxin system, YafQ', NULL, 'YafQ_toxin', NULL, NULL, 5654, 8),
(38483, NULL, 'PF01340', NULL, NULL, 'Met Apo-repressor, MetJ', NULL, 'MetJ', NULL, NULL, 1452, 8),
(38484, NULL, 'PF09110', NULL, NULL, 'HAND', NULL, 'HAND', NULL, NULL, 10796, 8),
(38485, NULL, 'PF02367', NULL, NULL, 'Threonylcarbamoyl adenosine biosynthesis protein TsaE', NULL, 'TsaE', NULL, NULL, 5442, 8),
(38486, NULL, 'PF07357', NULL, NULL, 'Dinitrogenase reductase ADP-ribosyltransferase (DRAT)', NULL, 'DRAT', NULL, NULL, 8058, 8),
(38487, NULL, 'PF06789', NULL, NULL, 'MINAR1 C-terminal domain', NULL, 'MINAR1_C', NULL, NULL, 1880, 8),
(38488, NULL, 'PF05862', NULL, NULL, 'Helicobacter pylori IceA2 protein', NULL, 'IceA2', NULL, NULL, 13442, 8),
(38489, NULL, 'PF02027', NULL, NULL, 'RolB/RolC glucosidase family', NULL, 'RolB_RolC', NULL, NULL, 2842, 8),
(38490, NULL, 'PF12736', NULL, NULL, 'Cell-cycle sustaining, positive selection,', NULL, 'CABIT', NULL, NULL, 24582, 8),
(38491, NULL, 'PF15623', NULL, NULL, 'Cancer/testis gene family 47', NULL, 'CT47', NULL, NULL, 26184, 8),
(38492, NULL, 'PF05628', NULL, NULL, 'Borrelia membrane protein P13', NULL, 'Borrelia_P13', NULL, NULL, 8987, 8),
(38493, NULL, 'PF04914', NULL, NULL, 'DltD protein', NULL, 'DltD', NULL, NULL, 6483, 8),
(38494, NULL, 'PF15733', NULL, NULL, 'Domain of unknown function (DUF4682)', NULL, 'DUF4682', NULL, NULL, 29143, 8),
(38495, NULL, 'PF01829', NULL, NULL, 'Peptidase A6 family', NULL, 'Peptidase_A6', NULL, NULL, 6742, 8),
(38496, NULL, 'PF01950', NULL, NULL, 'Fructose-1,6-bisphosphatase', NULL, 'FBPase_3', NULL, NULL, 4653, 8),
(38497, NULL, 'PF12844', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_19', NULL, NULL, 2357, 8),
(38498, NULL, 'PF11259', NULL, NULL, 'Protein of unknown function (DUF3060)', NULL, 'DUF3060', NULL, NULL, 18057, 8),
(38499, NULL, 'PF08650', NULL, NULL, 'DASH complex subunit Dad4', NULL, 'DASH_Dad4', NULL, NULL, 8032, 8),
(38500, NULL, 'PF15793', NULL, NULL, 'Protein family FAM35, C-terminal', NULL, 'FAM35_C', NULL, NULL, 24643, 8),
(38501, NULL, 'PF07646', NULL, NULL, 'Kelch motif', NULL, 'Kelch_2', NULL, NULL, 12703, 8),
(38502, NULL, 'PF01541', NULL, NULL, 'GIY-YIG catalytic domain', NULL, 'GIY-YIG', NULL, NULL, 981, 8),
(38503, NULL, 'PF15940', NULL, NULL, 'Family of unknown function', NULL, 'YjcB', NULL, NULL, 18108, 8),
(38504, NULL, 'PF09232', NULL, NULL, 'Caenorhabditis elegans Her-1', NULL, 'Caenor_Her-1', NULL, NULL, 13653, 8),
(38505, NULL, 'PF12742', NULL, NULL, 'Gryzun, putative Golgi trafficking', NULL, 'Gryzun-like', NULL, NULL, 26544, 8),
(38506, NULL, 'PF01906', NULL, NULL, 'Putative heavy-metal-binding', NULL, 'YbjQ_1', NULL, NULL, 4258, 8),
(38507, NULL, 'PF11943', NULL, NULL, 'Protein of unknown function (DUF3460)', NULL, 'DUF3460', NULL, NULL, 20040, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38508, NULL, 'PF08369', NULL, NULL, 'Proto-chlorophyllide reductase 57 kD subunit', NULL, 'PCP_red', NULL, NULL, 12372, 8),
(38509, NULL, 'PF15675', NULL, NULL, 'CLLAC-motif containing domain', NULL, 'CLLAC', NULL, NULL, 27083, 8),
(38510, NULL, 'PF17119', NULL, NULL, 'Mitochondrial protein up-regulated during meiosis', NULL, 'MMU163', NULL, NULL, 27948, 8),
(38511, NULL, 'PF08888', NULL, NULL, 'HopJ type III effector protein', NULL, 'HopJ', NULL, NULL, 14002, 8),
(38512, NULL, 'PF15536', NULL, NULL, 'Bacterial toxin 3', NULL, 'Ntox3', NULL, NULL, 25287, 8),
(38513, NULL, 'PF09553', NULL, NULL, 'Eco47II restriction endonuclease', NULL, 'RE_Eco47II', NULL, NULL, 16878, 8),
(38514, NULL, 'PF00187', NULL, NULL, 'Chitin recognition protein', NULL, 'Chitin_bind_1', NULL, NULL, 3306, 8),
(38515, NULL, 'PF17428', NULL, NULL, 'Family of unknown function (DUF5412)', NULL, 'DUF5412', NULL, NULL, 30734, 8),
(38516, NULL, 'PF06747', NULL, NULL, 'CHCH domain', NULL, 'CHCH', NULL, NULL, 9229, 8),
(38517, NULL, 'PF04966', NULL, NULL, 'Carbohydrate-selective porin, OprB family', NULL, 'OprB', NULL, NULL, 6761, 8),
(38518, NULL, 'PF10621', NULL, NULL, 'F420H2 dehydrogenase subunit FpoO', NULL, 'FpoO', NULL, NULL, 8805, 8),
(38519, NULL, 'PF06506', NULL, NULL, 'Propionate catabolism activator', NULL, 'PrpR_N', NULL, NULL, 12207, 8),
(38520, NULL, 'PF10627', NULL, NULL, 'Curli assembly protein CsgE', NULL, 'CsgE', NULL, NULL, 21489, 8),
(38521, NULL, 'PF04667', NULL, NULL, 'cAMP-regulated phosphoprotein/endosulfine conserved region', NULL, 'Endosulfine', NULL, NULL, 3262, 8),
(38522, NULL, 'PF05071', NULL, NULL, 'NADH ubiquinone oxidoreductase subunit NDUFA12', NULL, 'NDUFA12', NULL, NULL, 1129, 8),
(38523, NULL, 'PF08395', NULL, NULL, '7tm Chemosensory receptor', NULL, '7tm_7', NULL, NULL, 11401, 8),
(38524, NULL, 'PF19990', NULL, NULL, 'Family of unknown function (DUF6426)', NULL, 'DUF6426', NULL, NULL, 39814, 8),
(38525, NULL, 'PF00555', NULL, NULL, 'delta endotoxin', NULL, 'Endotoxin_M', NULL, NULL, 1186, 8),
(38526, NULL, 'PF09340', NULL, NULL, 'Histone acetyltransferase subunit NuA4', NULL, 'NuA4', NULL, NULL, 7949, 8),
(38527, NULL, 'PF05920', NULL, NULL, 'Homeobox KN domain', NULL, 'Homeobox_KN', NULL, NULL, 1755, 8),
(38528, NULL, 'PF04219', NULL, NULL, 'Protein of unknown function, DUF', NULL, 'DUF413', NULL, NULL, 5259, 8),
(38529, NULL, 'PF08679', NULL, NULL, 'Dissimilatory sulfite reductase D (DsrD)', NULL, 'DsrD', NULL, NULL, 11579, 8),
(38530, NULL, 'PF20066', NULL, NULL, 'Glyoxalase superfamily protein', NULL, 'Glyoxalase_8', NULL, NULL, 39781, 8),
(38531, NULL, 'PF11210', NULL, NULL, 'Protein of unknown function (DUF2996)', NULL, 'DUF2996', NULL, NULL, 18405, 8),
(38532, NULL, 'PF03328', NULL, NULL, 'HpcH/HpaI aldolase/citrate lyase family', NULL, 'HpcH_HpaI', NULL, NULL, 620, 8),
(38533, NULL, 'PF05461', NULL, NULL, 'Apolipoprotein L', NULL, 'ApoL', NULL, NULL, 8882, 8),
(38534, NULL, 'PF11805', NULL, NULL, 'Protein of unknown function (DUF3326)', NULL, 'DUF3326', NULL, NULL, 19872, 8),
(38535, NULL, 'PF15933', NULL, NULL, 'Antitoxin to bacterial toxin RNase LS or RnlA', NULL, 'RnlB_antitoxin', NULL, NULL, 27390, 8),
(38536, NULL, 'PF09345', NULL, NULL, 'SiaC family regulatory phosphoprotein', NULL, 'SiaC', NULL, NULL, 14912, 8),
(38537, NULL, 'PF17035', NULL, NULL, 'Bromodomain extra-terminal - transcription regulation', NULL, 'BET', NULL, NULL, 28231, 8),
(38538, NULL, 'PF11079', NULL, NULL, 'Bacterial protein YqhG of unknown function', NULL, 'YqhG', NULL, NULL, 28535, 8),
(38539, NULL, 'PF05173', NULL, NULL, 'Dihydrodipicolinate reductase, C-terminus', NULL, 'DapB_C', NULL, NULL, 17070, 8),
(38540, NULL, 'PF17921', NULL, NULL, 'Integrase zinc binding domain', NULL, 'Integrase_H2C2', NULL, NULL, 32472, 8),
(38541, NULL, 'PF12208', NULL, NULL, 'Domain of unknown function (DUF3601)', NULL, 'DUF3601', NULL, NULL, 20669, 8),
(38542, NULL, 'PF10904', NULL, NULL, 'Protein of unknown function (DUF2694)', NULL, 'DUF2694', NULL, NULL, 24836, 8),
(38543, NULL, 'PF15739', NULL, NULL, 'Translin-associated factor X-interacting N-terminus', NULL, 'TSNAXIP1_N', NULL, NULL, 22581, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38544, NULL, 'PF06950', NULL, NULL, 'Protein of unknown function (DUF1293)', NULL, 'DUF1293', NULL, NULL, 12042, 8),
(38545, NULL, 'PF07227', NULL, NULL, 'PHD - plant homeodomain finger protein', NULL, 'PHD_Oberon', NULL, NULL, 23771, 8),
(38546, NULL, 'PF09196', NULL, NULL, 'Domain of unknown function (DUF1953)', NULL, 'DUF1953', NULL, NULL, 12869, 8),
(38547, NULL, 'PF12812', NULL, NULL, 'PDZ-like domain', NULL, 'PDZ_1', NULL, NULL, 24160, 8),
(38548, NULL, 'PF09916', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2145)', NULL, 'DUF2145', NULL, NULL, 12088, 8),
(38549, NULL, 'PF00272', NULL, NULL, 'Cecropin family', NULL, 'Cecropin', NULL, NULL, 4831, 8),
(38550, NULL, 'PF16294', NULL, NULL, 'RNSP1-SAP18 binding (RSB) motif', NULL, 'RSB_motif', NULL, NULL, 22455, 8),
(38551, NULL, 'PF13602', NULL, NULL, 'Zinc-binding dehydrogenase', NULL, 'ADH_zinc_N_2', NULL, NULL, NULL, 8),
(38552, NULL, 'PF16131', NULL, NULL, 'Torus domain', NULL, 'Torus', NULL, NULL, 24219, 8),
(38553, NULL, 'PF19677', NULL, NULL, 'Family of unknown function (DUF6179)', NULL, 'DUF6179', NULL, NULL, 38804, 8),
(38554, NULL, 'PF09246', NULL, NULL, 'PHAT', NULL, 'PHAT', NULL, NULL, 13629, 8),
(38555, NULL, 'PF07533', NULL, NULL, 'BRK domain', NULL, 'BRK', NULL, NULL, 16, 8),
(38556, NULL, 'PF04177', NULL, NULL, 'TAP42-like family', NULL, 'TAP42', NULL, NULL, 4820, 8),
(38557, NULL, 'PF16360', NULL, NULL, 'GTP-binding GTPase Middle Region', NULL, 'GTP-bdg_M', NULL, NULL, 26866, 8),
(38558, NULL, 'PF09401', NULL, NULL, 'Coronavirus RNA synthesis protein NSP10', NULL, 'CoV_NSP10', NULL, NULL, 16107, 8),
(38559, NULL, 'PF17341', NULL, NULL, 'Family of unknown function (DUF5371)', NULL, 'DUF5371', NULL, NULL, 12085, 8),
(38560, NULL, 'PF06746', NULL, NULL, 'Protein of unknown function (DUF1216)', NULL, 'DUF1216', NULL, NULL, 1675, 8),
(38561, NULL, 'PF14416', NULL, NULL, 'PMR5 N terminal Domain', NULL, 'PMR5N', NULL, NULL, 25471, 8),
(38562, NULL, 'PF02526', NULL, NULL, 'Glycophorin-binding protein', NULL, 'GBP_repeat', NULL, NULL, 1899, 8),
(38563, NULL, 'PF13117', NULL, NULL, 'Cag pathogenicity island protein Cag12', NULL, 'Cag12', NULL, NULL, 27543, 8),
(38564, NULL, 'PF17885', NULL, NULL, 'Styrene monooxygenase A putative substrate binding domain', NULL, 'Smoa_sbd', NULL, NULL, 32863, 8),
(38565, NULL, 'PF07413', NULL, NULL, 'Betaherpesvirus immediate-early glycoprotein UL37', NULL, 'Herpes_UL37_2', NULL, NULL, 11919, 8),
(38566, NULL, 'PF17364', NULL, NULL, 'Family of unknown function (DUF5389)', NULL, 'DUF5389', NULL, NULL, 31753, 8),
(38567, NULL, 'PF03340', NULL, NULL, 'Poxvirus rifampicin resistance protein', NULL, 'Pox_Rif', NULL, NULL, 507, 8),
(38568, NULL, 'PF06136', NULL, NULL, 'Protein SOSEKI 2, plant', NULL, 'SOK2_plant', NULL, NULL, 8936, 8),
(38569, NULL, 'PF12861', NULL, NULL, 'Anaphase-promoting complex subunit 11 RING-H2 finger', NULL, 'zf-ANAPC11', NULL, NULL, 23090, 8),
(38570, NULL, 'PF08726', NULL, NULL, 'Ca2+ insensitive EF hand', NULL, 'EFhand_Ca_insen', NULL, NULL, 11581, 8),
(38571, NULL, 'PF06129', NULL, NULL, 'Chordopoxvirus G3 protein', NULL, 'Chordopox_G3', NULL, NULL, 8923, 8),
(38572, NULL, 'PF19610', NULL, NULL, 'Family of unknown function (DUF6115)', NULL, 'DUF6115', NULL, NULL, 39678, 8),
(38573, NULL, 'PF09310', NULL, NULL, 'POU domain, class 2, associating factor 1', NULL, 'PD-C2-AF1', NULL, NULL, 14173, 8),
(38574, NULL, 'PF03626', NULL, NULL, 'Prokaryotic Cytochrome C oxidase subunit IV', NULL, 'COX4_pro', NULL, NULL, 4767, 8),
(38575, NULL, 'PF13216', NULL, NULL, 'Protein of unknown function (DUF4024)', NULL, 'DUF4024', NULL, NULL, 23866, 8),
(38576, NULL, 'PF04880', NULL, NULL, 'NUDE protein, C-terminal conserved region', NULL, 'NUDE_C', NULL, NULL, 5921, 8),
(38577, NULL, 'PF05187', NULL, NULL, 'Electron transfer flavoprotein-ubiquinone oxidoreductase, 4Fe-4S', NULL, 'ETF_QO', NULL, NULL, NULL, 8),
(38578, NULL, 'PF17450', NULL, NULL, 'Alpha galactosidase A C-terminal beta sandwich domain', NULL, 'Melibiase_2_C', NULL, NULL, 9796, 8),
(38579, NULL, 'PF18708', NULL, NULL, 'MapZ extracellular C-terminal domain 2', NULL, 'MapZ_C2', NULL, NULL, 34084, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38580, NULL, 'PF02992', NULL, NULL, 'Transposase family tnp2', NULL, 'Transposase_21', NULL, NULL, 3632, 8),
(38581, NULL, 'PF10660', NULL, NULL, 'Iron-containing outer mitochondrial membrane protein N-terminus', NULL, 'MitoNEET_N', NULL, NULL, 20356, 8),
(38582, NULL, 'PF05069', NULL, NULL, 'Phage virion morphogenesis family', NULL, 'Phage_tail_S', NULL, NULL, 169, 8),
(38583, NULL, 'PF16754', NULL, NULL, 'Bacterial toxin homologue of phage lysozyme, C-term', NULL, 'Pesticin', NULL, NULL, 27096, 8),
(38584, NULL, 'PF17620', NULL, NULL, 'Family of unknown function', NULL, 'ORF45', NULL, NULL, 30948, 8),
(38585, NULL, 'PF07832', NULL, NULL, 'Cfr10I/Bse634I restriction endonuclease', NULL, 'Bse634I', NULL, NULL, 13845, 8),
(38586, NULL, 'PF08036', NULL, NULL, 'Diapausin family of antimicrobial peptide', NULL, 'Antimicrobial_6', NULL, NULL, NULL, 8),
(38587, NULL, 'PF13098', NULL, NULL, 'Thioredoxin-like domain', NULL, 'Thioredoxin_2', NULL, NULL, 7603, 8),
(38588, NULL, 'PF10890', NULL, NULL, 'Cytochrome b-c1 complex subunit 8', NULL, 'Cyt_b-c1_8', NULL, NULL, 12750, 8),
(38589, NULL, 'PF16773', NULL, NULL, 'Lactococcus phage single-stranded DNA binding protein', NULL, 'Phage_SSB', NULL, NULL, 25257, 8),
(38590, NULL, 'PF00351', NULL, NULL, 'Biopterin-dependent aromatic amino acid hydroxylase', NULL, 'Biopterin_H', NULL, NULL, 17508, 8),
(38591, NULL, 'PF18725', NULL, NULL, 'SAV2148-like HEPN', NULL, 'HEPN_SAV2148', NULL, NULL, 32023, 8),
(38592, NULL, 'PF10634', NULL, NULL, 'Fe2+ transport protein', NULL, 'Iron_transport', NULL, NULL, 21569, 8),
(38593, NULL, 'PF06793', NULL, NULL, 'Uncharacterised protein family (UPF0262)', NULL, 'UPF0262', NULL, NULL, 7523, 8),
(38594, NULL, 'PF10631', NULL, NULL, 'Protein of unknown function (DUF2477)', NULL, 'DUF2477', NULL, NULL, 21401, 8),
(38595, NULL, 'PF01269', NULL, NULL, 'Fibrillarin', NULL, 'Fibrillarin', NULL, NULL, 6511, 8),
(38596, NULL, 'PF15545', NULL, NULL, 'Bacterial toxin 8', NULL, 'Ntox8', NULL, NULL, 26322, 8),
(38597, NULL, 'PF11353', NULL, NULL, 'Protein of unknown function (DUF3153)', NULL, 'DUF3153', NULL, NULL, 18737, 8),
(38598, NULL, 'PF04160', NULL, NULL, 'Orf-X protein', NULL, 'Borrelia_orfX', NULL, NULL, 7181, 8),
(38599, NULL, 'PF13162', NULL, NULL, 'Protein of unknown function (DUF3997)', NULL, 'DUF3997', NULL, NULL, 23926, 8),
(38600, NULL, 'PF19542', NULL, NULL, 'Family of unknown function (DUF6066)', NULL, 'DUF6066', NULL, NULL, 38790, 8),
(38601, NULL, 'PF05641', NULL, NULL, 'Agenet domain', NULL, 'Agenet', NULL, NULL, 7946, 8),
(38602, NULL, 'PF16679', NULL, NULL, 'DNA replication factor Cdt1 C-terminal domain', NULL, 'CDT1_C', NULL, NULL, 26742, 8),
(38603, NULL, 'PF19062', NULL, NULL, 'Family of unknown function (DUF5758)', NULL, 'DUF5758', NULL, NULL, 37980, 8),
(38604, NULL, 'PF04544', NULL, NULL, 'Herpesvirus egress protein UL20', NULL, 'Herpes_UL20', NULL, NULL, 2155, 8),
(38605, NULL, 'PF18987', NULL, NULL, 'Family of unknown function (DUF5720)', NULL, 'DUF5720', NULL, NULL, 38789, 8),
(38606, NULL, 'PF19021', NULL, NULL, 'CRISPR system CMR subunit Cmr7 1', NULL, 'Cmr7A', NULL, NULL, 38354, 8),
(38607, NULL, 'PF06420', NULL, NULL, 'Mitochondrial genome maintenance MGM101', NULL, 'Mgm101p', NULL, NULL, 8178, 8),
(38608, NULL, 'PF14875', NULL, NULL, 'N-term cysteine-rich ER, FAM69', NULL, 'PIP49_N', NULL, NULL, 28773, 8),
(38609, NULL, 'PF09570', NULL, NULL, 'SinI restriction endonuclease', NULL, 'RE_SinI', NULL, NULL, 16539, 8),
(38610, NULL, 'PF00619', NULL, NULL, 'Caspase recruitment domain', NULL, 'CARD', NULL, NULL, 377, 8),
(38611, NULL, 'PF00479', NULL, NULL, 'Glucose-6-phosphate dehydrogenase, NAD binding domain', NULL, 'G6PD_N', NULL, NULL, 17253, 8),
(38612, NULL, 'PF12829', NULL, NULL, 'Transcriptional regulation of mitochondrial recombination', NULL, 'Mhr1', NULL, NULL, 13576, 8),
(38613, NULL, 'PF17073', NULL, NULL, 'Two-component-system connector protein', NULL, 'SafA', NULL, NULL, 25484, 8),
(38614, NULL, 'PF08252', NULL, NULL, 'arg-2/CPA1 leader peptide', NULL, 'Leader_CPA1', NULL, NULL, 17532, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38615, NULL, 'PF02568', NULL, NULL, 'Thiamine biosynthesis protein (ThiI)', NULL, 'ThiI', NULL, NULL, 19090, 8),
(38616, NULL, 'PF12484', NULL, NULL, 'PPE-SVP subfamily C-terminal region', NULL, 'PPE-SVP', NULL, NULL, 21424, 8),
(38617, NULL, 'PF14059', NULL, NULL, 'Domain of unknown function (DUF4251)', NULL, 'DUF4251', NULL, NULL, 23075, 8),
(38618, NULL, 'PF02700', NULL, NULL, 'Phosphoribosylformylglycinamidine (FGAM) synthase', NULL, 'PurS', NULL, NULL, 3075, 8),
(38619, NULL, 'PF05642', NULL, NULL, 'Sporozoite P67 surface antigen', NULL, 'Sporozoite_P67', NULL, NULL, 14249, 8),
(38620, NULL, 'PF05835', NULL, NULL, 'Synaphin protein', NULL, 'Synaphin', NULL, NULL, 14118, 8),
(38621, NULL, 'PF16179', NULL, NULL, 'Rel homology dimerisation domain', NULL, 'RHD_dimer', NULL, NULL, 22326, 8),
(38622, NULL, 'PF17867', NULL, NULL, 'Midasin AAA lid domain', NULL, 'AAA_lid_7', NULL, NULL, 35142, 8),
(38623, NULL, 'PF15072', NULL, NULL, 'Homologous recombination OB-fold protein', NULL, 'HROB', NULL, NULL, 25300, 8),
(38624, NULL, 'PF08539', NULL, NULL, 'HbrB-like', NULL, 'HbrB', NULL, NULL, 7864, 8),
(38625, NULL, 'PF02012', NULL, NULL, 'BNR/Asp-box repeat', NULL, 'BNR', NULL, NULL, 5749, 8),
(38626, NULL, 'PF00228', NULL, NULL, 'Bowman-Birk serine protease inhibitor family', NULL, 'Bowman-Birk_leg', NULL, NULL, 199, 8),
(38627, NULL, 'PF02771', NULL, NULL, 'Acyl-CoA dehydrogenase, N-terminal domain', NULL, 'Acyl-CoA_dh_N', NULL, NULL, 11601, 8),
(38628, NULL, 'PF05002', NULL, NULL, 'SGS domain', NULL, 'SGS', NULL, NULL, 1100, 8),
(38629, NULL, 'PF18582', NULL, NULL, 'Hydrazine synthase alpha subunit middle domain', NULL, 'HZS_alpha', NULL, NULL, 29825, 8),
(38630, NULL, 'PF03417', NULL, NULL, 'Acyl-coenzyme A:6-aminopenicillanic acid acyl-transferase', NULL, 'AAT', NULL, NULL, 10216, 8),
(38631, NULL, 'PF10921', NULL, NULL, 'Protein of unknown function (DUF2710)', NULL, 'DUF2710', NULL, NULL, 9375, 8),
(38632, NULL, 'PF19667', NULL, NULL, 'Family of unknown function (DUF6170)', NULL, 'DUF6170', NULL, NULL, 39985, 8),
(38633, NULL, 'PF06070', NULL, NULL, 'Herpesvirus large structural phosphoprotein UL32', NULL, 'Herpes_UL32', NULL, NULL, 8647, 8),
(38634, NULL, 'PF17494', NULL, NULL, 'Family of unknown function (DUF5429)', NULL, 'DUF5429', NULL, NULL, 21371, 8),
(38635, NULL, 'PF07467', NULL, NULL, 'Beta-lactamase inhibitor (BLIP)', NULL, 'BLIP', NULL, NULL, 7861, 8),
(38636, NULL, 'PF04791', NULL, NULL, 'LMBR1-like membrane protein', NULL, 'LMBR1', NULL, NULL, 4902, 8),
(38637, NULL, 'PF05508', NULL, NULL, 'RanGTP-binding protein', NULL, 'Ran-binding', NULL, NULL, 14292, 8),
(38638, NULL, 'PF18697', NULL, NULL, 'Murine leukemia virus (MLV) integrase (IN) C-terminal domain', NULL, 'MLVIN_C', NULL, NULL, 30567, 8),
(38639, NULL, 'PF05088', NULL, NULL, 'Bacterial NAD-glutamate dehydrogenase', NULL, 'Bac_GDH', NULL, NULL, 29028, 8),
(38640, NULL, 'PF13055', NULL, NULL, 'Protein of unknown function (DUF3917)', NULL, 'DUF3917', NULL, NULL, 23910, 8),
(38641, NULL, 'PF14951', NULL, NULL, 'Domain of unknown function (DUF4503)', NULL, 'DUF4503', NULL, NULL, 24838, 8),
(38642, NULL, 'PF05916', NULL, NULL, 'GINS complex protein', NULL, 'Sld5', NULL, NULL, 15975, 8),
(38643, NULL, 'PF14123', NULL, NULL, 'Domain of unknown function (DUF4290)', NULL, 'DUF4290', NULL, NULL, 26203, 8),
(38644, NULL, 'PF00055', NULL, NULL, 'Laminin N-terminal (Domain VI)', NULL, 'Laminin_N', NULL, NULL, 7379, 8),
(38645, NULL, 'PF01612', NULL, NULL, '3''-5'' exonuclease', NULL, 'DNA_pol_A_exo1', NULL, NULL, 6876, 8),
(38646, NULL, 'PF16027', NULL, NULL, 'Domain of unknown function (DUF4786)', NULL, 'DUF4786', NULL, NULL, 25399, 8),
(38647, NULL, 'PF16076', NULL, NULL, 'Acyltransferase C-terminus', NULL, 'Acyltransf_C', NULL, NULL, 25173, 8),
(38648, NULL, 'PF17223', NULL, NULL, 'Cuticle protein CPCFC', NULL, 'CPCFC', NULL, NULL, 32521, 8),
(38649, NULL, 'PF11189', NULL, NULL, 'Protein of unknown function (DUF2973)', NULL, 'DUF2973', NULL, NULL, 18036, 8),
(38650, NULL, 'PF17576', NULL, NULL, 'Family of unknown function (DUF5480)', NULL, 'DUF5480', NULL, NULL, 33265, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38651, NULL, 'PF17658', NULL, NULL, 'Family of unknown function (DUF5520)', NULL, 'DUF5520', NULL, NULL, 29552, 8),
(38652, NULL, 'PF08666', NULL, NULL, 'SAF domain', NULL, 'SAF', NULL, NULL, 8021, 8),
(38653, NULL, 'PF11642', NULL, NULL, 'Mite allergen Blo t 5', NULL, 'Blo-t-5', NULL, NULL, 20104, 8),
(38654, NULL, 'PF13171', NULL, NULL, 'Protein of unknown function (DUF4004)', NULL, 'DUF4004', NULL, NULL, 23680, 8),
(38655, NULL, 'PF02249', NULL, NULL, 'Methyl-coenzyme M reductase alpha subunit, C-terminal domain', NULL, 'MCR_alpha', NULL, NULL, 9768, 8),
(38656, NULL, 'PF03148', NULL, NULL, 'Tektin family', NULL, 'Tektin', NULL, NULL, NULL, 8),
(38657, NULL, 'PF16211', NULL, NULL, 'C-terminus of histone H2A', NULL, 'Histone_H2A_C', NULL, NULL, 25072, 8),
(38658, NULL, 'PF09190', NULL, NULL, 'DALR domain', NULL, 'DALR_2', NULL, NULL, 12800, 8),
(38659, NULL, 'PF04835', NULL, NULL, 'A9 protein conserved region', NULL, 'Pox_A9', NULL, NULL, 4953, 8),
(38660, NULL, 'PF02529', NULL, NULL, 'Cytochrome B6-F complex subunit 5', NULL, 'PetG', NULL, NULL, 1558, 8),
(38661, NULL, 'PF03480', NULL, NULL, 'Bacterial extracellular solute-binding protein, family 7', NULL, 'DctP', NULL, NULL, 20637, 8),
(38662, NULL, 'PF16299', NULL, NULL, 'Domain of unknown function (DUF4941)', NULL, 'DUF4941', NULL, NULL, 27775, 8),
(38663, NULL, 'PF14609', NULL, NULL, 'gamma-Tubulin ring complex non-core subunit mod21', NULL, 'GCP5-Mod21', NULL, NULL, 22030, 8),
(38664, NULL, 'PF12764', NULL, NULL, 'Glycine-rich region of argonaut', NULL, 'Gly-rich_Ago1', NULL, NULL, 24629, 8),
(38665, NULL, 'PF19313', NULL, NULL, 'Domain of unknown function (DUF5916)', NULL, 'DUF5916', NULL, NULL, 36874, 8),
(38666, NULL, 'PF10215', NULL, NULL, 'Oligosaccaryltransferase', NULL, 'Ost4', NULL, NULL, 14510, 8),
(38667, NULL, 'PF00330', NULL, NULL, 'Aconitase family (aconitate hydratase)', NULL, 'Aconitase', NULL, NULL, 4349, 8),
(38668, NULL, 'PF07956', NULL, NULL, 'Protein of Unknown function (DUF1690)', NULL, 'DUF1690', NULL, NULL, 14892, 8),
(38669, NULL, 'PF18274', NULL, NULL, 'Vacuolar ATPase Subunit I N-terminal proximal lobe', NULL, 'V_ATPase_prox', NULL, NULL, 31422, 8),
(38670, NULL, 'PF09693', NULL, NULL, 'Phage uncharacterised protein (Phage_XkdX)', NULL, 'Phage_XkdX', NULL, NULL, 5095, 8),
(38671, NULL, 'PF10173', NULL, NULL, 'Mitochondrial K+-H+ exchange-related', NULL, 'Mit_KHE1', NULL, NULL, 19208, 8),
(38672, NULL, 'PF14200', NULL, NULL, 'Ricin-type beta-trefoil lectin domain-like', NULL, 'RicinB_lectin_2', NULL, NULL, 3865, 8),
(38673, NULL, 'PF08890', NULL, NULL, 'Phage XkdN-like tail assembly chaperone protein, TAC', NULL, 'Phage_TAC_5', NULL, NULL, 14206, 8),
(38674, NULL, 'PF07813', NULL, NULL, 'LTXXQ motif family protein', NULL, 'LTXXQ', NULL, NULL, 13258, 8),
(38675, NULL, 'PF03498', NULL, NULL, 'Cytolethal distending toxin A/C domain', NULL, 'CDtoxinA', NULL, NULL, 100, 8),
(38676, NULL, 'PF05889', NULL, NULL, 'O-phosphoseryl-tRNA(Sec) selenium transferase, SepSecS', NULL, 'SepSecS', NULL, NULL, 14434, 8),
(38677, NULL, 'PF01427', NULL, NULL, 'D-ala-D-ala dipeptidase', NULL, 'Peptidase_M15', NULL, NULL, 6649, 8),
(38678, NULL, 'PF08068', NULL, NULL, 'DKCLD (NUC011) domain', NULL, 'DKCLD', NULL, NULL, 12082, 8),
(38679, NULL, 'PF04652', NULL, NULL, 'Vta1 like', NULL, 'Vta1', NULL, NULL, 35532, 8),
(38680, NULL, 'PF07299', NULL, NULL, 'Elongation factor G-binding protein, N-terminal', NULL, 'EF-G-binding_N', NULL, NULL, 11716, 8),
(38681, NULL, 'PF05925', NULL, NULL, 'Enterobacterial virulence protein IpgD', NULL, 'IpgD', NULL, NULL, 6273, 8),
(38682, NULL, 'PF15792', NULL, NULL, 'Lung adenoma susceptibility protein 2', NULL, 'LAS2', NULL, NULL, 24601, 8),
(38683, NULL, 'PF18372', NULL, NULL, 'Integrin beta epidermal growth factor like domain 1', NULL, 'I-EGF_1', NULL, NULL, 30744, 8),
(38684, NULL, 'PF05901', NULL, NULL, 'Excalibur calcium-binding domain', NULL, 'Excalibur', NULL, NULL, 14377, 8),
(38685, NULL, 'PF13409', NULL, NULL, 'Glutathione S-transferase, N-terminal domain', NULL, 'GST_N_2', NULL, NULL, 867, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38686, NULL, 'PF06487', NULL, NULL, 'Sin3 associated polypeptide p18 (SAP18)', NULL, 'SAP18', NULL, NULL, 12155, 8),
(38687, NULL, 'PF10179', NULL, NULL, 'Neuron-derived neurotrophic factor', NULL, 'NDNF', NULL, NULL, 15485, 8),
(38688, NULL, 'PF14981', NULL, NULL, 'FAM165 family', NULL, 'FAM165', NULL, NULL, 36922, 8),
(38689, NULL, 'PF12820', NULL, NULL, 'Serine-rich domain associated with BRCT', NULL, 'BRCT_assoc', NULL, NULL, 18476, 8),
(38690, NULL, 'PF18980', NULL, NULL, 'Family of unknown function (DUF5716) C-terminal', NULL, 'DUF5716_C', NULL, NULL, 37749, 8),
(38691, NULL, 'PF08041', NULL, NULL, 'PetM family of cytochrome b6f complex subunit 7', NULL, 'PetM', NULL, NULL, 9663, 8),
(38692, NULL, 'PF18201', NULL, NULL, 'PIH1 CS-like domain', NULL, 'PIH1_CS', NULL, NULL, 31918, 8),
(38693, NULL, 'PF00278', NULL, NULL, 'Pyridoxal-dependent decarboxylase, C-terminal sheet domain', NULL, 'Orn_DAP_Arg_deC', NULL, NULL, 17258, 8),
(38694, NULL, 'PF00900', NULL, NULL, 'Ribosomal family S4e', NULL, 'Ribosomal_S4e', NULL, NULL, 12185, 8),
(38695, NULL, 'PF17279', NULL, NULL, 'Family of unknown function (DUF5344)', NULL, 'DUF5344', NULL, NULL, 39603, 8),
(38696, NULL, 'PF00516', NULL, NULL, 'Envelope glycoprotein GP120', NULL, 'GP120', NULL, NULL, 3704, 8),
(38697, NULL, 'PF08705', NULL, NULL, 'Gag protein p6', NULL, 'Gag_p6', NULL, NULL, 11831, 8),
(38698, NULL, 'PF07143', NULL, NULL, 'CrtC N-terminal lipocalin domain', NULL, 'CrtC', NULL, NULL, 11043, 8),
(38699, NULL, 'PF10321', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srt', NULL, '7TM_GPCR_Srt', NULL, NULL, 16807, 8),
(38700, NULL, 'PF03521', NULL, NULL, 'Kv2 voltage-gated K+ channel', NULL, 'Kv2channel', NULL, NULL, 7328, 8),
(38701, NULL, 'PF10998', NULL, NULL, 'Protein of unknown function (DUF2838)', NULL, 'DUF2838', NULL, NULL, 17628, 8),
(38702, NULL, 'PF11661', NULL, NULL, 'Protein of unknown function (DUF2986)', NULL, 'DUF2986', NULL, NULL, 19279, 8),
(38703, NULL, 'PF07753', NULL, NULL, 'Protein of unknown function (DUF1609)', NULL, 'DUF1609', NULL, NULL, 10899, 8),
(38704, NULL, 'PF18991', NULL, NULL, 'Family of unknown function (DUF5724)', NULL, 'DUF5724', NULL, NULL, 38431, 8),
(38705, NULL, 'PF05310', NULL, NULL, 'Tenuivirus movement protein', NULL, 'Tenui_NS3', NULL, NULL, 4350, 8),
(38706, NULL, 'PF05482', NULL, NULL, 'Serendipity locus alpha protein (SRY-A)', NULL, 'Serendipity_A', NULL, NULL, 14491, 8),
(38707, NULL, 'PF00273', NULL, NULL, 'Serum albumin family', NULL, 'Serum_albumin', NULL, NULL, 12841, 8),
(38708, NULL, 'PF09123', NULL, NULL, 'Domain of unknown function (DUF1931)', NULL, 'DUF1931', NULL, NULL, 10979, 8),
(38709, NULL, 'PF18433', NULL, NULL, 'Domain of unknown function (DUF5610)', NULL, 'DUF5610', NULL, NULL, 32325, 8),
(38710, NULL, 'PF07799', NULL, NULL, 'Protein of unknown function (DUF1643)', NULL, 'DUF1643', NULL, NULL, 14720, 8),
(38711, NULL, 'PF15606', NULL, NULL, 'Bacterial toxin 34', NULL, 'Ntox34', NULL, NULL, 25964, 8),
(38712, NULL, 'PF11248', NULL, NULL, 'Protein of unknown function (DUF3046)', NULL, 'DUF3046', NULL, NULL, 18287, 8),
(38713, NULL, 'PF12780', NULL, NULL, 'P-loop containing dynein motor region D4', NULL, 'AAA_8', NULL, NULL, 28860, 8),
(38714, NULL, 'PF02836', NULL, NULL, 'Glycosyl hydrolases family 2, TIM barrel domain', NULL, 'Glyco_hydro_2_C', NULL, NULL, 3000, 8),
(38715, NULL, 'PF05028', NULL, NULL, 'Poly (ADP-ribose) glycohydrolase (PARG)', NULL, 'PARG_cat', NULL, NULL, 1432, 8),
(38716, NULL, 'PF20048', NULL, NULL, 'Domain of unknown function (DUF6450)', NULL, 'DUF6450', NULL, NULL, 36970, 8),
(38717, NULL, 'PF07672', NULL, NULL, 'Mycoplasma MFS transporter', NULL, 'MFS_Mycoplasma', NULL, NULL, 11443, 8),
(38718, NULL, 'PF11009', NULL, NULL, 'Protein of unknown function (DUF2847)', NULL, 'DUF2847', NULL, NULL, 16572, 8),
(38719, NULL, 'PF16607', NULL, NULL, 'Phosphorylation region of CYLD, unstructured', NULL, 'CYLD_phos_site', NULL, NULL, NULL, 8),
(38720, NULL, 'PF11654', NULL, NULL, 'Non-classical export protein 1', NULL, 'NCE101', NULL, NULL, 20009, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38721, NULL, 'PF17507', NULL, NULL, 'Family of unknown function (DUF5439)', NULL, 'DUF5439', NULL, NULL, 12566, 8),
(38722, NULL, 'PF01090', NULL, NULL, 'Ribosomal protein S19e', NULL, 'Ribosomal_S19e', NULL, NULL, 219, 8),
(38723, NULL, 'PF08978', NULL, NULL, 'Reoviridae VP9', NULL, 'Reoviridae_Vp9', NULL, NULL, 8842, 8),
(38724, NULL, 'PF12344', NULL, NULL, 'Ultra-violet resistance protein B', NULL, 'UvrB', NULL, NULL, 14707, 8),
(38725, NULL, 'PF01705', NULL, NULL, 'CX module', NULL, 'CX', NULL, NULL, 2785, 8),
(38726, NULL, 'PF17162', NULL, NULL, 'Domain of unknown function (DUF5118)', NULL, 'DUF5118', NULL, NULL, 33940, 8),
(38727, NULL, 'PF00882', NULL, NULL, 'Zinc dependent phospholipase C', NULL, 'Zn_dep_PLPC', NULL, NULL, 24136, 8),
(38728, NULL, 'PF10620', NULL, NULL, 'Phosphoribosyl-dephospho-CoA transferase MdcG', NULL, 'MdcG', NULL, NULL, 15264, 8),
(38729, NULL, 'PF03556', NULL, NULL, 'Cullin binding', NULL, 'Cullin_binding', NULL, NULL, 5322, 8),
(38730, NULL, 'PF07635', NULL, NULL, 'Planctomycete cytochrome C', NULL, 'PSCyt1', NULL, NULL, 13677, 8),
(38731, NULL, 'PF13940', NULL, NULL, 'Toxin Ldr, type I toxin-antitoxin system', NULL, 'Ldr_toxin', NULL, NULL, 23598, 8),
(38732, NULL, 'PF19078', NULL, NULL, 'Bacterial Ig-like domain', NULL, 'Big_12', NULL, NULL, 37819, 8),
(38733, NULL, 'PF10607', NULL, NULL, 'CTLH/CRA C-terminal to LisH motif domain', NULL, 'CLTH', NULL, NULL, 27841, 8),
(38734, NULL, 'PF15393', NULL, NULL, 'Domain of unknown function (DUF4615)', NULL, 'DUF4615', NULL, NULL, 28591, 8),
(38735, NULL, 'PF16088', NULL, NULL, 'BLOC-1-related complex sub-unit 7', NULL, 'BORCS7', NULL, NULL, 28254, 8),
(38736, NULL, 'PF17313', NULL, NULL, 'Family of unknown function (DUF5359)', NULL, 'DUF5359', NULL, NULL, 34484, 8),
(38737, NULL, 'PF08131', NULL, NULL, 'Defensin-like peptide family', NULL, 'Defensin_3', NULL, NULL, 8528, 8),
(38738, NULL, 'PF08914', NULL, NULL, 'Rap1 Myb domain', NULL, 'Myb_DNA-bind_2', NULL, NULL, 7993, 8),
(38739, NULL, 'PF01878', NULL, NULL, 'EVE domain', NULL, 'EVE', NULL, NULL, 3974, 8),
(38740, NULL, 'PF13474', NULL, NULL, 'SnoaL-like domain', NULL, 'SnoaL_3', NULL, NULL, 35787, 8),
(38741, NULL, 'PF04375', NULL, NULL, 'HemX, putative uroporphyrinogen-III C-methyltransferase', NULL, 'HemX', NULL, NULL, 4573, 8),
(38742, NULL, 'PF08817', NULL, NULL, 'WXG100 protein secretion system (Wss), protein YukD', NULL, 'YukD', NULL, NULL, 2958, 8),
(38743, NULL, 'PF04313', NULL, NULL, 'Type I restriction enzyme R protein N terminus (HSDR_N)', NULL, 'HSDR_N', NULL, NULL, 3970, 8),
(38744, NULL, 'PF08484', NULL, NULL, 'C-methyltransferase C-terminal domain', NULL, 'Methyltransf_14', NULL, NULL, 13506, 8),
(38745, NULL, 'PF03025', NULL, NULL, 'Papillomavirus E5', NULL, 'Papilloma_E5', NULL, NULL, 3780, 8),
(38746, NULL, 'PF17167', NULL, NULL, 'Glycosyl hydrolase 36 superfamily, catalytic domain', NULL, 'Glyco_hydro_36', NULL, NULL, 35453, 8),
(38747, NULL, 'PF11191', NULL, NULL, 'Protein of unknown function (DUF2782)', NULL, 'DUF2782', NULL, NULL, 18324, 8),
(38748, NULL, 'PF00424', NULL, NULL, 'REV protein (anti-repression trans-activator protein)', NULL, 'REV', NULL, NULL, 5924, 8),
(38749, NULL, 'PF14577', NULL, NULL, 'Sieve element occlusion C-terminus', NULL, 'SEO_C', NULL, NULL, 25806, 8),
(38750, NULL, 'PF03456', NULL, NULL, 'uDENN domain', NULL, 'uDENN', NULL, NULL, 10884, 8),
(38751, NULL, 'PF18576', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_52', NULL, NULL, 31065, 8),
(38752, NULL, 'PF11134', NULL, NULL, 'Phage stabilisation protein', NULL, 'Phage_stabilise', NULL, NULL, 15451, 8),
(38753, NULL, 'PF17708', NULL, NULL, 'Gasdermin PUB domain', NULL, 'Gasdermin_C', NULL, NULL, 31630, 8),
(38754, NULL, 'PF18548', NULL, NULL, 'Metanogen output domain 2', NULL, 'MetOD2', NULL, NULL, 30319, 8),
(38755, NULL, 'PF17802', NULL, NULL, 'Prealbumin-like fold domain', NULL, 'SpaA', NULL, NULL, 31030, 8),
(38756, NULL, 'PF12310', NULL, NULL, 'Transcription factor protein N terminal', NULL, 'Elf-1_N', NULL, NULL, 20682, 8),
(38757, NULL, 'PF14927', NULL, NULL, 'Neurensin', NULL, 'Neurensin', NULL, NULL, NULL, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38758, NULL, 'PF03704', NULL, NULL, 'Bacterial transcriptional activator domain', NULL, 'BTAD', NULL, NULL, 4256, 8),
(38759, NULL, 'PF09969', NULL, NULL, 'Uncharacterized conserved protein (DUF2203)', NULL, 'DUF2203', NULL, NULL, 17596, 8),
(38760, NULL, 'PF00932', NULL, NULL, 'Lamin Tail Domain', NULL, 'LTD', NULL, NULL, 31, 8),
(38761, NULL, 'PF12257', NULL, NULL, 'Vacuolar membrane-associated protein Iml1', NULL, 'IML1', NULL, NULL, 28068, 8),
(38762, NULL, 'PF01150', NULL, NULL, 'GDA1/CD39 (nucleoside phosphatase) family', NULL, 'GDA1_CD39', NULL, NULL, 4983, 8),
(38763, NULL, 'PF03262', NULL, NULL, 'Coronavirus 6B/7B protein', NULL, 'Corona_6B_7B', NULL, NULL, 1944, 8),
(38764, NULL, 'PF13823', NULL, NULL, 'Alcohol dehydrogenase GroES-associated', NULL, 'ADH_N_assoc', NULL, NULL, 25584, 8),
(38765, NULL, 'PF12597', NULL, NULL, 'Protein of unknown function (DUF3767)', NULL, 'DUF3767', NULL, NULL, 14535, 8),
(38766, NULL, 'PF07457', NULL, NULL, 'Protein of unknown function (DUF1516)', NULL, 'DUF1516', NULL, NULL, 12239, 8),
(38767, NULL, 'PF03687', NULL, NULL, 'Uncharacterised protein family (UPF0164)', NULL, 'UPF0164', NULL, NULL, 6200, 8),
(38768, NULL, 'PF14992', NULL, NULL, 'TMCO5 family', NULL, 'TMCO5', NULL, NULL, 23156, 8),
(38769, NULL, 'PF02419', NULL, NULL, 'PsbL protein', NULL, 'PsbL', NULL, NULL, 4267, 8),
(38770, NULL, 'PF16485', NULL, NULL, 'Protealysin propeptide', NULL, 'PLN_propep', NULL, NULL, 22092, 8),
(38771, NULL, 'PF03519', NULL, NULL, 'Invasion protein B family', NULL, 'Invas_SpaK', NULL, NULL, 606, 8),
(38772, NULL, 'PF09605', NULL, NULL, 'Hypothetical bacterial integral membrane protein (Trep_Strep)', NULL, 'Trep_Strep', NULL, NULL, 11980, 8),
(38773, NULL, 'PF10484', NULL, NULL, 'Mitochondrial ribosomal protein S23', NULL, 'MRP-S23', NULL, NULL, 16688, 8),
(38774, NULL, 'PF08565', NULL, NULL, 'Cdc37 Hsp90 binding domain', NULL, 'CDC37_M', NULL, NULL, 9780, 8),
(38775, NULL, 'PF03481', NULL, NULL, 'Putative GTP-binding controlling metal-binding', NULL, 'SUA5', NULL, NULL, 4281, 8),
(38776, NULL, 'PF15400', NULL, NULL, 'Testis-expressed sequence 33 protein family', NULL, 'TEX33', NULL, NULL, 22154, 8),
(38777, NULL, 'PF18315', NULL, NULL, 'Integron cassette protein VCH_CASS1 chain', NULL, 'VCH_CASS14', NULL, NULL, 34315, 8),
(38778, NULL, 'PF15061', NULL, NULL, 'Domain of unknown function (DUF4538)', NULL, 'DUF4538', NULL, NULL, 24447, 8),
(38779, NULL, 'PF04691', NULL, NULL, 'Apolipoprotein C-I (ApoC-1)', NULL, 'ApoC-I', NULL, NULL, 3034, 8),
(38780, NULL, 'PF02080', NULL, NULL, 'TrkA-C domain', NULL, 'TrkA_C', NULL, NULL, 2928, 8),
(38781, NULL, 'PF08324', NULL, NULL, 'PUL domain', NULL, 'PUL', NULL, NULL, 13342, 8),
(38782, NULL, 'PF11515', NULL, NULL, 'Mouse development and cellular proliferation protein Cullin-7', NULL, 'Cul7', NULL, NULL, 15496, 8),
(38783, NULL, 'PF16814', NULL, NULL, 'Read-through domain', NULL, 'Read-through', NULL, NULL, 22561, 8),
(38784, NULL, 'PF08231', NULL, NULL, 'SYF2 splicing factor', NULL, 'SYF2', NULL, NULL, 13288, 8),
(38785, NULL, 'PF16905', NULL, NULL, 'Voltage-dependent L-type calcium channel, IQ-associated', NULL, 'GPHH', NULL, NULL, 22333, 8),
(38786, NULL, 'PF19765', NULL, NULL, 'Family of unknown function (DUF6252)', NULL, 'DUF6252', NULL, NULL, 39713, 8),
(38787, NULL, 'PF19910', NULL, NULL, 'Domain of unknown function (DUF6383)', NULL, 'DUF6383', NULL, NULL, 39049, 8),
(38788, NULL, 'PF16202', NULL, NULL, 'N-terminal region of Bloom syndrome protein', NULL, 'BLM_N', NULL, NULL, 28482, 8),
(38789, NULL, 'PF16285', NULL, NULL, 'Domain of unknown function (DUF4931)', NULL, 'DUF4931', NULL, NULL, NULL, 8),
(38790, NULL, 'PF01294', NULL, NULL, 'Ribosomal protein L13e', NULL, 'Ribosomal_L13e', NULL, NULL, 6603, 8),
(38791, NULL, 'PF03425', NULL, NULL, 'Carbohydrate binding domain (family 11)', NULL, 'CBM_11', NULL, NULL, 10002, 8),
(38792, NULL, 'PF14700', NULL, NULL, 'DNA-directed RNA polymerase N-terminal', NULL, 'RPOL_N', NULL, NULL, 22344, 8),
(38793, NULL, 'PF04656', NULL, NULL, 'Pox virus E6 protein', NULL, 'Pox_E6', NULL, NULL, 3467, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38794, NULL, 'PF06444', NULL, NULL, 'NADH dehydrogenase subunit 2 C-terminus', NULL, 'NADH_dehy_S2_C', NULL, NULL, 7916, 8),
(38795, NULL, 'PF14605', NULL, NULL, 'Nup53/35/40-type RNA recognition motif', NULL, 'Nup35_RRM_2', NULL, NULL, NULL, 8),
(38796, NULL, 'PF06316', NULL, NULL, 'Enterobacterial Ail/Lom protein', NULL, 'Ail_Lom', NULL, NULL, 6945, 8),
(38797, NULL, 'PF08094', NULL, NULL, 'Conotoxin TVIIA/GS family', NULL, 'Toxin_24', NULL, NULL, 9981, 8),
(38798, NULL, 'PF01951', NULL, NULL, 'Archease protein family (MTH1598/TM1083)', NULL, 'Archease', NULL, NULL, 16912, 8),
(38799, NULL, 'PF12403', NULL, NULL, 'Paired-box protein 2 C terminal', NULL, 'Pax2_C', NULL, NULL, 21044, 8),
(38800, NULL, 'PF07940', NULL, NULL, 'Heparinase II/III-like protein', NULL, 'Hepar_II_III', NULL, NULL, 11592, 8),
(38801, NULL, 'PF09556', NULL, NULL, 'HaeIII restriction endonuclease', NULL, 'RE_HaeIII', NULL, NULL, 16787, 8),
(38802, NULL, 'PF05904', NULL, NULL, 'Plant protein of unknown function (DUF863)', NULL, 'DUF863', NULL, NULL, 13780, 8),
(38803, NULL, 'PF08899', NULL, NULL, 'Domain of unknown function (DUF1844)', NULL, 'DUF1844', NULL, NULL, 7940, 8),
(38804, NULL, 'PF03797', NULL, NULL, 'Autotransporter beta-domain', NULL, 'Autotransporter', NULL, NULL, 1596, 8),
(38805, NULL, 'PF09738', NULL, NULL, 'LRRFIP family', NULL, 'LRRFIP', NULL, NULL, 17997, 8),
(38806, NULL, 'PF00656', NULL, NULL, 'Caspase domain', NULL, 'Peptidase_C14', NULL, NULL, NULL, 8),
(38807, NULL, 'PF12142', NULL, NULL, 'Polyphenol oxidase middle domain', NULL, 'PPO1_DWL', NULL, NULL, 17116, 8),
(38808, NULL, 'PF17782', NULL, NULL, 'DprA winged helix domain', NULL, 'DprA_WH', NULL, NULL, 33357, 8),
(38809, NULL, 'PF07943', NULL, NULL, 'Penicillin-binding protein 5, C-terminal domain', NULL, 'PBP5_C', NULL, NULL, 13272, 8),
(38810, NULL, 'PF11260', NULL, NULL, 'Major ampullate spidroin 1 and 2', NULL, 'Spidroin_MaSp', NULL, NULL, 15249, 8),
(38811, NULL, 'PF16970', NULL, NULL, 'Type-1 fimbrial protein, A', NULL, 'FimA', NULL, NULL, 33928, 8),
(38812, NULL, 'PF17614', NULL, NULL, 'Viral CC-type chemokine', NULL, 'FPV060', NULL, NULL, 20358, 8),
(38813, NULL, 'PF19261', NULL, NULL, 'Domain of unknown function (DUF5904)', NULL, 'DUF5904', NULL, NULL, 35918, 8),
(38814, NULL, 'PF00248', NULL, NULL, 'Aldo/keto reductase family', NULL, 'Aldo_ket_red', NULL, NULL, 15832, 8),
(38815, NULL, 'PF13875', NULL, NULL, 'Domain of unknown function (DUF4202)', NULL, 'DUF4202', NULL, NULL, 23674, 8),
(38816, NULL, 'PF18427', NULL, NULL, 'DD-reactivating factor swiveling domain', NULL, 'DDR_swiveling', NULL, NULL, 29896, 8),
(38817, NULL, 'PF01248', NULL, NULL, 'Ribosomal protein L7Ae/L30e/S12e/Gadd45 family', NULL, 'Ribosomal_L7Ae', NULL, NULL, 928, 8),
(38818, NULL, 'PF18291', NULL, NULL, 'HU domain fused to wHTH, Ig, or Glycine-rich motif', NULL, 'HU-HIG', NULL, NULL, 33007, 8),
(38819, NULL, 'PF04250', NULL, NULL, 'Protein of unknown function (DUF429)', NULL, 'DUF429', NULL, NULL, 5935, 8),
(38820, NULL, 'PF08134', NULL, NULL, 'cIII protein family', NULL, 'cIII', NULL, NULL, 12028, 8),
(38821, NULL, 'PF15002', NULL, NULL, 'ERK and JNK pathways, inhibitor', NULL, 'ERK-JNK_inhib', NULL, NULL, 27872, 8),
(38822, NULL, 'PF16127', NULL, NULL, 'Domain of unknown function (DUF4839)', NULL, 'DUF4839', NULL, NULL, 26533, 8),
(38823, NULL, 'PF19446', NULL, NULL, 'Family of unknown function (DUF5984)', NULL, 'DUF5984', NULL, NULL, 39386, 8),
(38824, NULL, 'PF05364', NULL, NULL, 'Salmonella type III secretion SopE effector N-terminus', NULL, 'SecIII_SopE_N', NULL, NULL, 8876, 8),
(38825, NULL, 'PF07348', NULL, NULL, 'Syd protein (SUKH-2)', NULL, 'Syd', NULL, NULL, 8025, 8),
(38826, NULL, 'PF10108', NULL, NULL, 'Predicted 3''-5'' exonuclease related to the exonuclease domain of PolB', NULL, 'DNA_pol_B_exo2', NULL, NULL, 20421, 8),
(38827, NULL, 'PF08699', NULL, NULL, 'Argonaute linker 1 domain', NULL, 'ArgoL1', NULL, NULL, 11756, 8),
(38828, NULL, 'PF13268', NULL, NULL, 'Protein of unknown function (DUF4059)', NULL, 'DUF4059', NULL, NULL, 23851, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38829, NULL, 'PF19245', NULL, NULL, 'Family of unknown function (DUF5893)', NULL, 'DUF5893', NULL, NULL, 39874, 8),
(38830, NULL, 'PF12018', NULL, NULL, 'Domain of unknown function', NULL, 'FAP206', NULL, NULL, 20400, 8),
(38831, NULL, 'PF03446', NULL, NULL, 'NAD binding domain of 6-phosphogluconate dehydrogenase', NULL, 'NAD_binding_2', NULL, NULL, 10408, 8),
(38832, NULL, 'PF04902', NULL, NULL, 'Conserved region in Nab1', NULL, 'Nab1', NULL, NULL, 5841, 8),
(38833, NULL, 'PF14142', NULL, NULL, 'YrzO-like protein', NULL, 'YrzO', NULL, NULL, 28240, 8),
(38834, NULL, 'PF13948', NULL, NULL, 'Domain of unknown function (DUF4215)', NULL, 'DUF4215', NULL, NULL, 11161, 8),
(38835, NULL, 'PF14856', NULL, NULL, 'Pathogen effector; putative necrosis-inducing factor', NULL, 'Hce2', NULL, NULL, 28734, 8),
(38836, NULL, 'PF14570', NULL, NULL, 'RING/Ubox like zinc-binding domain', NULL, 'zf-RING_4', NULL, NULL, NULL, 8),
(38837, NULL, 'PF11966', NULL, NULL, 'SSURE domain', NULL, 'SSURE', NULL, NULL, 15231, 8),
(38838, NULL, 'PF19662', NULL, NULL, 'Family of unknown function (DUF6165)', NULL, 'DUF6165', NULL, NULL, 39741, 8),
(38839, NULL, 'PF19779', NULL, NULL, 'Family of unknown function (DUF6264)', NULL, 'DUF6264', NULL, NULL, 39944, 8),
(38840, NULL, 'PF14780', NULL, NULL, 'Domain of unknown function (DUF4477)', NULL, 'DUF4477', NULL, NULL, 25478, 8),
(38841, NULL, 'PF19853', NULL, NULL, 'Family of unknown function (DUF6328)', NULL, 'DUF6328', NULL, NULL, 39560, 8),
(38842, NULL, 'PF01025', NULL, NULL, 'GrpE', NULL, 'GrpE', NULL, NULL, 3531, 8),
(38843, NULL, 'PF13585', NULL, NULL, 'CHU_C Type IX secretion signal domain', NULL, 'CHU_C', NULL, NULL, NULL, 8),
(38844, NULL, 'PF13097', NULL, NULL, 'CENP-A nucleosome associated complex (NAC) subunit', NULL, 'CENP-U', NULL, NULL, 22937, 8),
(38845, NULL, 'PF07071', NULL, NULL, 'KDGP aldolase', NULL, 'KDGP_aldolase', NULL, NULL, 10172, 8),
(38846, NULL, 'PF09827', NULL, NULL, 'CRISPR associated protein Cas2', NULL, 'CRISPR_Cas2', NULL, NULL, 19225, 8),
(38847, NULL, 'PF14176', NULL, NULL, 'YxiJ-like protein', NULL, 'YxiJ', NULL, NULL, 25093, 8),
(38848, NULL, 'PF09791', NULL, NULL, 'Oxidoreductase-like protein, N-terminal', NULL, 'Oxidored-like', NULL, NULL, 18908, 8),
(38849, NULL, 'PF11764', NULL, NULL, 'COMPASS (Complex proteins associated with Set1p) component N', NULL, 'N-SET', NULL, NULL, 18975, 8),
(38850, NULL, 'PF11307', NULL, NULL, 'Protein of unknown function (DUF3109)', NULL, 'DUF3109', NULL, NULL, 18764, 8),
(38851, NULL, 'PF15787', NULL, NULL, 'Domain of unknown function (DUF4704)', NULL, 'DUF4704', NULL, NULL, 24880, 8),
(38852, NULL, 'PF14715', NULL, NULL, 'N-terminal domain of cytochrome oxidase-cbb3, FixP', NULL, 'FixP_N', NULL, NULL, 24185, 8),
(38853, NULL, 'PF15605', NULL, NULL, 'Bacterial toxin 28', NULL, 'Ntox28', NULL, NULL, 25550, 8),
(38854, NULL, 'PF17529', NULL, NULL, 'Family of unknown function (DUF5450)', NULL, 'DUF5450', NULL, NULL, 30615, 8),
(38855, NULL, 'PF03033', NULL, NULL, 'Glycosyltransferase family 28 N-terminal domain', NULL, 'Glyco_transf_28', NULL, NULL, 4512, 8),
(38856, NULL, 'PF00342', NULL, NULL, 'Phosphoglucose isomerase', NULL, 'PGI', NULL, NULL, 3344, 8),
(38857, NULL, 'PF03732', NULL, NULL, 'Retrotransposon gag protein', NULL, 'Retrotrans_gag', NULL, NULL, 4695, 8),
(38858, NULL, 'PF05132', NULL, NULL, 'RNA polymerase III RPC4', NULL, 'RNA_pol_Rpc4', NULL, NULL, 2354, 8),
(38859, NULL, 'PF11184', NULL, NULL, 'Protein of unknown function (DUF2969)', NULL, 'DUF2969', NULL, NULL, 18070, 8),
(38860, NULL, 'PF05421', NULL, NULL, 'Protein of unknown function (DUF751)', NULL, 'DUF751', NULL, NULL, 12469, 8),
(38861, NULL, 'PF06071', NULL, NULL, 'Protein of unknown function (DUF933)', NULL, 'YchF-GTPase_C', NULL, NULL, 11103, 8),
(38862, NULL, 'PF11851', NULL, NULL, 'Domain of unknown function (DUF3371)', NULL, 'DUF3371', NULL, NULL, 19661, 8),
(38863, NULL, 'PF13701', NULL, NULL, 'Transposase DDE domain group 1', NULL, 'DDE_Tnp_1_4', NULL, NULL, 25343, 8),
(38864, NULL, 'PF01549', NULL, NULL, 'ShK domain-like', NULL, 'ShK', NULL, NULL, 218, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38865, NULL, 'PF01668', NULL, NULL, 'SmpB protein', NULL, 'SmpB', NULL, NULL, 2669, 8),
(38866, NULL, 'PF12788', NULL, NULL, 'YmaF family', NULL, 'YmaF', NULL, NULL, 23478, 8),
(38867, NULL, 'PF15917', NULL, NULL, 'Piezo', NULL, 'PIEZO', NULL, NULL, 21836, 8),
(38868, NULL, 'PF09470', NULL, NULL, 'Telethonin protein', NULL, 'Telethonin', NULL, NULL, 18239, 8),
(38869, NULL, 'PF05815', NULL, NULL, 'Baculovirus protein of unknown function (DUF844)', NULL, 'DUF844', NULL, NULL, 13432, 8),
(38870, NULL, 'PF01819', NULL, NULL, 'Levivirus coat protein', NULL, 'Levi_coat', NULL, NULL, 3518, 8),
(38871, NULL, 'PF12358', NULL, NULL, 'Protein of unknown function (DUF3644)', NULL, 'DUF3644', NULL, NULL, 20587, 8),
(38872, NULL, 'PF19267', NULL, NULL, 'Contractile injection system spike tip protein', NULL, 'CIS_spike_tip', NULL, NULL, 37490, 8),
(38873, NULL, 'PF13477', NULL, NULL, 'Glycosyl transferase 4-like', NULL, 'Glyco_trans_4_2', NULL, NULL, 26174, 8),
(38874, NULL, 'PF00240', NULL, NULL, 'Ubiquitin family', NULL, 'ubiquitin', NULL, NULL, 4173, 8),
(38875, NULL, 'PF11202', NULL, NULL, 'Phosphoribosyl transferase (PRTase)', NULL, 'PRTase_1', NULL, NULL, 10554, 8),
(38876, NULL, 'PF17216', NULL, NULL, 'Rrp44-like cold shock domain', NULL, 'Rrp44_CSD1', NULL, NULL, 34092, 8),
(38877, NULL, 'PF09787', NULL, NULL, 'Golgin subfamily A member 5', NULL, 'Golgin_A5', NULL, NULL, 18563, 8),
(38878, NULL, 'PF19486', NULL, NULL, 'Family of unknown function (DUF6022)', NULL, 'DUF6022', NULL, NULL, 39054, 8),
(38879, NULL, 'PF02156', NULL, NULL, 'Glycosyl hydrolase family 26', NULL, 'Glyco_hydro_26', NULL, NULL, 14729, 8),
(38880, NULL, 'PF14628', NULL, NULL, 'Domain of unknown function (DUF4454)', NULL, 'DUF4454', NULL, NULL, 23944, 8),
(38881, NULL, 'PF01736', NULL, NULL, 'Polyomavirus agnoprotein', NULL, 'Polyoma_agno', NULL, NULL, 2993, 8),
(38882, NULL, 'PF05483', NULL, NULL, 'Synaptonemal complex protein 1 (SCP-1)', NULL, 'SCP-1', NULL, NULL, 14327, 8),
(38883, NULL, 'PF08190', NULL, NULL, 'PIH1 N-terminal domain', NULL, 'PIH1', NULL, NULL, 12275, 8),
(38884, NULL, 'PF05113', NULL, NULL, 'Protein of unknown function (DUF693)', NULL, 'DUF693', NULL, NULL, 2075, 8),
(38885, NULL, 'PF10584', NULL, NULL, 'Proteasome subunit A N-terminal signature', NULL, 'Proteasome_A_N', NULL, NULL, 6965, 8),
(38886, NULL, 'PF07851', NULL, NULL, 'TMPIT-like protein', NULL, 'TMPIT', NULL, NULL, 8104, 8),
(38887, NULL, 'PF14276', NULL, NULL, 'Domain of unknown function (DUF4363)', NULL, 'DUF4363', NULL, NULL, 21588, 8),
(38888, NULL, 'PF17372', NULL, NULL, 'Family of unknown function (DUF5394)', NULL, 'DUF5394', NULL, NULL, 13631, 8),
(38889, NULL, 'PF05350', NULL, NULL, 'Glycogen synthase kinase-3 binding', NULL, 'GSK-3_bind', NULL, NULL, 5079, 8),
(38890, NULL, 'PF05504', NULL, NULL, 'Spore germination B3/ GerAC like, C-terminal', NULL, 'Spore_GerAC', NULL, NULL, 14422, 8),
(38891, NULL, 'PF08497', NULL, NULL, 'Radical SAM N-terminal', NULL, 'Radical_SAM_N', NULL, NULL, 14177, 8),
(38892, NULL, 'PF07651', NULL, NULL, 'ANTH domain', NULL, 'ANTH', NULL, NULL, 13753, 8),
(38893, NULL, 'PF18684', NULL, NULL, 'Pleurotolysin B C-terminal domain', NULL, 'PlyB_C', NULL, NULL, 29763, 8),
(38894, NULL, 'PF02882', NULL, NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase, NAD(P)-binding domain', NULL, 'THF_DHG_CYH_C', NULL, NULL, 20146, 8),
(38895, NULL, 'PF11072', NULL, NULL, 'Protein of unknown function (DUF2859)', NULL, 'DUF2859', NULL, NULL, 17778, 8),
(38896, NULL, 'PF11463', NULL, NULL, 'R.HinP1I restriction endonuclease', NULL, 'R-HINP1I', NULL, NULL, 18952, 8),
(38897, NULL, 'PF03062', NULL, NULL, 'MBOAT, membrane-bound O-acyltransferase family', NULL, 'MBOAT', NULL, NULL, 4789, 8),
(38898, NULL, 'PF14722', NULL, NULL, 'Ki-ras-induced actin-interacting protein-IP3R-interacting domain', NULL, 'KRAP_IP3R_bind', NULL, NULL, 21832, 8),
(38899, NULL, 'PF07694', NULL, NULL, '5TMR of 5TMR-LYT', NULL, '5TM-5TMR_LYT', NULL, NULL, 10296, 8),
(38900, NULL, 'PF05502', NULL, NULL, 'Dynactin p62 family', NULL, 'Dynactin_p62', NULL, NULL, 14091, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38901, NULL, 'PF09195', NULL, NULL, 'Restriction endonuclease BglII', NULL, 'Endonuc-BglII', NULL, NULL, 12739, 8),
(38902, NULL, 'PF07075', NULL, NULL, 'Protein of unknown function (DUF1343)', NULL, 'DUF1343', NULL, NULL, 8924, 8),
(38903, NULL, 'PF08042', NULL, NULL, 'PqqA family', NULL, 'PqqA', NULL, NULL, 11589, 8),
(38904, NULL, 'PF17253', NULL, NULL, 'Family of unknown function (DUF5320)', NULL, 'DUF5320', NULL, NULL, 9095, 8),
(38905, NULL, 'PF01880', NULL, NULL, 'Desulfoferrodoxin', NULL, 'Desulfoferrodox', NULL, NULL, 3874, 8),
(38906, NULL, 'PF05437', NULL, NULL, 'Branched-chain amino acid transport protein (AzlD)', NULL, 'AzlD', NULL, NULL, 8790, 8),
(38907, NULL, 'PF05935', NULL, NULL, 'Arylsulfotransferase (ASST)', NULL, 'Arylsulfotrans', NULL, NULL, 7562, 8),
(38908, NULL, 'PF00014', NULL, NULL, 'Kunitz/Bovine pancreatic trypsin inhibitor domain', NULL, 'Kunitz_BPTI', NULL, NULL, 401, 8),
(38909, NULL, 'PF03448', NULL, NULL, 'MgtE intracellular N domain', NULL, 'MgtE_N', NULL, NULL, 2198, 8),
(38910, NULL, 'PF12670', NULL, NULL, 'Protein of unknown function (DUF3792)', NULL, 'DUF3792', NULL, NULL, 11751, 8),
(38911, NULL, 'PF19095', NULL, NULL, 'Family of unknown function (DUF5783)', NULL, 'DUF5783', NULL, NULL, 37555, 8),
(38912, NULL, 'PF15495', NULL, NULL, 'Major fimbrial subunit protein type IV, Fimbrillin, C-terminal', NULL, 'Fimbrillin_C', NULL, NULL, 25202, 8),
(38913, NULL, 'PF17055', NULL, NULL, 'Viral matrix protein M2', NULL, 'VMR2', NULL, NULL, 28752, 8),
(38914, NULL, 'PF10501', NULL, NULL, 'Ribosomal subunit 39S', NULL, 'Ribosomal_L50', NULL, NULL, 20364, 8),
(38915, NULL, 'PF02621', NULL, NULL, 'Menaquinone biosynthesis', NULL, 'VitK2_biosynth', NULL, NULL, 2810, 8),
(38916, NULL, 'PF02657', NULL, NULL, 'Fe-S metabolism associated domain', NULL, 'SufE', NULL, NULL, 3165, 8),
(38917, NULL, 'PF12120', NULL, NULL, 'Rifampin ADP-ribosyl transferase', NULL, 'Arr-ms', NULL, NULL, 20991, 8),
(38918, NULL, 'PF16968', NULL, NULL, 'Pilus assembly protein TadZ N-terminal', NULL, 'TadZ_N', NULL, NULL, 23490, 8),
(38919, NULL, 'PF19512', NULL, NULL, 'Domain of unknown function (DUF6046)', NULL, 'DUF6046', NULL, NULL, 39996, 8),
(38920, NULL, 'PF11271', NULL, NULL, 'Porin PorA', NULL, 'PorA', NULL, NULL, 18337, 8),
(38921, NULL, 'PF12660', NULL, NULL, 'Putative zinc-finger of transcription factor IIIC complex', NULL, 'zf-TFIIIC', NULL, NULL, 19390, 8),
(38922, NULL, 'PF15990', NULL, NULL, 'UPF0767 family', NULL, 'UPF0767', NULL, NULL, 26014, 8),
(38923, NULL, 'PF15519', NULL, NULL, 'linker between RRM2 and RRM3 domains in RBM39 protein', NULL, 'RBM39linker', NULL, NULL, 25486, 8),
(38924, NULL, 'PF06462', NULL, NULL, 'Propeller', NULL, 'Hyd_WA', NULL, NULL, 1222, 8),
(38925, NULL, 'PF01233', NULL, NULL, 'Myristoyl-CoA:protein N-myristoyltransferase, N-terminal domain', NULL, 'NMT', NULL, NULL, 17331, 8),
(38926, NULL, 'PF10774', NULL, NULL, 'Domain of unknown function (DUF4226)', NULL, 'DUF4226', NULL, NULL, 21278, 8),
(38927, NULL, 'PF10403', NULL, NULL, 'Rad4 beta-hairpin domain 1', NULL, 'BHD_1', NULL, NULL, 17544, 8),
(38928, NULL, 'PF03071', NULL, NULL, 'GNT-I family', NULL, 'GNT-I', NULL, NULL, 2524, 8),
(38929, NULL, 'PF03334', NULL, NULL, 'Na+/H+ antiporter subunit', NULL, 'PhaG_MnhG_YufB', NULL, NULL, 7413, 8),
(38930, NULL, 'PF02616', NULL, NULL, 'Segregation and condensation protein ScpA', NULL, 'SMC_ScpA', NULL, NULL, 6362, 8),
(38931, NULL, 'PF00063', NULL, NULL, 'Myosin head (motor domain)', NULL, 'Myosin_head', NULL, NULL, 3309, 8),
(38932, NULL, 'PF14233', NULL, NULL, 'Domain of unknown function (DUF4335)', NULL, 'DUF4335', NULL, NULL, 23670, 8),
(38933, NULL, 'PF08336', NULL, NULL, 'Prolyl 4-Hydroxylase alpha-subunit, N-terminal region', NULL, 'P4Ha_N', NULL, NULL, 13489, 8),
(38934, NULL, 'PF14659', NULL, NULL, 'Phage integrase, N-terminal SAM-like domain', NULL, 'Phage_int_SAM_3', NULL, NULL, 1758, 8),
(38935, NULL, 'PF17379', NULL, NULL, 'Family of unknown function (DUF5400)', NULL, 'DUF5400', NULL, NULL, 33180, 8),
(38936, NULL, 'PF17711', NULL, NULL, 'Family of unknown function (DUF5556)', NULL, 'DUF5556', NULL, NULL, 30889, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38937, NULL, 'PF01661', NULL, NULL, 'Macro domain', NULL, 'Macro', NULL, NULL, 1643, 8),
(38938, NULL, 'PF02512', NULL, NULL, 'Virulence determinant', NULL, 'UK', NULL, NULL, 1025, 8),
(38939, NULL, 'PF06871', NULL, NULL, 'TraH_2', NULL, 'TraH_2', NULL, NULL, 9391, 8),
(38940, NULL, 'PF03016', NULL, NULL, 'Exostosin family', NULL, 'Exostosin', NULL, NULL, 35506, 8),
(38941, NULL, 'PF17998', NULL, NULL, 'Cell surface antigen I/II C2 terminal domain', NULL, 'AgI_II_C2', NULL, NULL, 24425, 8),
(38942, NULL, 'PF15897', NULL, NULL, 'Domain of unknown function (DUF4741)', NULL, 'DUF4741', NULL, NULL, 27322, 8),
(38943, NULL, 'PF13507', NULL, NULL, 'CobB/CobQ-like glutamine amidotransferase domain', NULL, 'GATase_5', NULL, NULL, NULL, 8),
(38944, NULL, 'PF19426', NULL, NULL, 'Mesoderm induction early response protein 1 beta C-terminal', NULL, 'MIER1_beta_C', NULL, NULL, 38512, 8),
(38945, NULL, 'PF10891', NULL, NULL, 'Protein of unknown function (DUF2719)', NULL, 'DUF2719', NULL, NULL, 12758, 8),
(38946, NULL, 'PF14367', NULL, NULL, 'Domain of unknown function (DUF4411)', NULL, 'DUF4411', NULL, NULL, 16330, 8),
(38947, NULL, 'PF07947', NULL, NULL, 'YhhN family', NULL, 'YhhN', NULL, NULL, 12505, 8),
(38948, NULL, 'PF13682', NULL, NULL, 'Chemoreceptor zinc-binding domain', NULL, 'CZB', NULL, NULL, 24433, 8),
(38949, NULL, 'PF05212', NULL, NULL, 'Protein of unknown function (DUF707)', NULL, 'DUF707', NULL, NULL, 3150, 8),
(38950, NULL, 'PF06815', NULL, NULL, 'Reverse transcriptase connection domain', NULL, 'RVT_connect', NULL, NULL, 9253, 8),
(38951, NULL, 'PF07945', NULL, NULL, 'Janus-atracotoxin', NULL, 'Toxin_16', NULL, NULL, 12636, 8),
(38952, NULL, 'PF01439', NULL, NULL, 'Metallothionein', NULL, 'Metallothio_2', NULL, NULL, 4742, 8),
(38953, NULL, 'PF06221', NULL, NULL, 'Putative zinc finger motif, C2HC5-type', NULL, 'zf-C2HC5', NULL, NULL, 14688, 8),
(38954, NULL, 'PF13989', NULL, NULL, 'YejG-like protein', NULL, 'YejG', NULL, NULL, 21188, 8),
(38955, NULL, 'PF01955', NULL, NULL, 'Adenosylcobinamide amidohydrolase', NULL, 'CbiZ', NULL, NULL, 4805, 8),
(38956, NULL, 'PF10906', NULL, NULL, 'MIOREX complex component 7', NULL, 'Mrx7', NULL, NULL, 21406, 8),
(38957, NULL, 'PF16152', NULL, NULL, 'Domain of unknown function (DUF4860)', NULL, 'DUF4860', NULL, NULL, 28477, 8),
(38958, NULL, 'PF03394', NULL, NULL, 'Poxvirus E8 protein', NULL, 'Pox_E8', NULL, NULL, 2228, 8),
(38959, NULL, 'PF04957', NULL, NULL, 'Ribosome modulation factor', NULL, 'RMF', NULL, NULL, 6622, 8),
(38960, NULL, 'PF09669', NULL, NULL, 'Phage regulatory protein Rha (Phage_pRha)', NULL, 'Phage_pRha', NULL, NULL, 13026, 8),
(38961, NULL, 'PF16490', NULL, NULL, 'Putative oxidoreductase C terminal domain', NULL, 'Oxidoreduct_C', NULL, NULL, 23551, 8),
(38962, NULL, 'PF19805', NULL, NULL, 'Family of unknown function (DUF6288)', NULL, 'DUF6288', NULL, NULL, 39952, 8),
(38963, NULL, 'PF08993', NULL, NULL, 'T4 gene Gp59 loader of gp41 DNA helicase', NULL, 'T4_Gp59_N', NULL, NULL, 8595, 8),
(38964, NULL, 'PF01857', NULL, NULL, 'Retinoblastoma-associated protein B domain', NULL, 'RB_B', NULL, NULL, 3967, 8),
(38965, NULL, 'PF07046', NULL, NULL, 'Cytoplasmic repetitive antigen (CRA) like repeat', NULL, 'CRA_rpt', NULL, NULL, 12740, 8),
(38966, NULL, 'PF03888', NULL, NULL, 'MucB/RseB N-terminal domain', NULL, 'MucB_RseB', NULL, NULL, 34097, 8),
(38967, NULL, 'PF20022', NULL, NULL, 'vWA-MoxR associated protein middle region 19', NULL, 'VMAP-M19', NULL, NULL, 38922, 8),
(38968, NULL, 'PF11857', NULL, NULL, 'Domain of unknown function (DUF3377)', NULL, 'DUF3377', NULL, NULL, 19539, 8),
(38969, NULL, 'PF18709', NULL, NULL, 'Dynamin-like helical domain', NULL, 'DLP_helical', NULL, NULL, 29799, 8),
(38970, NULL, 'PF06778', NULL, NULL, 'Chlorite dismutase', NULL, 'Chlor_dismutase', NULL, NULL, 9070, 8),
(38971, NULL, 'PF13254', NULL, NULL, 'Domain of unknown function (DUF4045)', NULL, 'DUF4045', NULL, NULL, 23694, 8),
(38972, NULL, 'PF16822', NULL, NULL, 'SGNH hydrolase-like domain, acetyltransferase AlgX', NULL, 'ALGX', NULL, NULL, 22539, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(38973, NULL, 'PF09998', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2239)', NULL, 'DUF2239', NULL, NULL, 17745, 8),
(38974, NULL, 'PF13763', NULL, NULL, 'Domain of unknown function (DUF4167)', NULL, 'DUF4167', NULL, NULL, 23295, 8),
(38975, NULL, 'PF05227', NULL, NULL, 'CHASE3 domain', NULL, 'CHASE3', NULL, NULL, 3475, 8),
(38976, NULL, 'PF13784', NULL, NULL, 'Fic/DOC family N-terminal', NULL, 'Fic_N', NULL, NULL, 24477, 8),
(38977, NULL, 'PF15145', NULL, NULL, 'Domain of unknown function (DUF4577)', NULL, 'DUF4577', NULL, NULL, 26047, 8),
(38978, NULL, 'PF18895', NULL, NULL, 'Type IV secretion system pilin', NULL, 'T4SS_pilin', NULL, NULL, 38017, 8),
(38979, NULL, 'PF00430', NULL, NULL, 'ATP synthase B/B'' CF(0)', NULL, 'ATP-synt_B', NULL, NULL, 1055, 8),
(38980, NULL, 'PF13365', NULL, NULL, 'Trypsin-like peptidase domain', NULL, 'Trypsin_2', NULL, NULL, NULL, 8),
(38981, NULL, 'PF06198', NULL, NULL, 'Protein of unknown function (DUF999)', NULL, 'DUF999', NULL, NULL, 14953, 8),
(38982, NULL, 'PF10736', NULL, NULL, 'Protein of unknown function (DUF2627)', NULL, 'DUF2527', NULL, NULL, 20168, 8),
(38983, NULL, 'PF00016', NULL, NULL, 'Ribulose bisphosphate carboxylase large chain, catalytic domain', NULL, 'RuBisCO_large', NULL, NULL, 3789, 8),
(38984, NULL, 'PF03825', NULL, NULL, 'Nucleoside H+ symporter', NULL, 'Nuc_H_symport', NULL, NULL, 5467, 8),
(38985, NULL, 'PF17528', NULL, NULL, 'Family of unknown function (DUF5449)', NULL, 'DUF5449', NULL, NULL, 30639, 8),
(38986, NULL, 'PF02286', NULL, NULL, 'Dehydratase large subunit', NULL, 'Dehydratase_LU', NULL, NULL, 2456, 8),
(38987, NULL, 'PF12423', NULL, NULL, 'Kinesin protein 1B', NULL, 'KIF1B', NULL, NULL, 21236, 8),
(38988, NULL, 'PF19651', NULL, NULL, 'Family of unknown function (DUF6154)', NULL, 'DUF6154', NULL, NULL, 39911, 8),
(38989, NULL, 'PF02188', NULL, NULL, 'GoLoco motif', NULL, 'GoLoco', NULL, NULL, 2598, 8),
(38990, NULL, 'PF05911', NULL, NULL, 'Filament-like plant protein, long coiled-coil', NULL, 'FPP', NULL, NULL, 14213, 8),
(38991, NULL, 'PF05962', NULL, NULL, 'HutD', NULL, 'HutD', NULL, NULL, 7878, 8),
(38992, NULL, 'PF19501', NULL, NULL, 'YetA-like protein', NULL, 'YetA', NULL, NULL, 38509, 8),
(38993, NULL, 'PF02026', NULL, NULL, 'RyR domain', NULL, 'RyR', NULL, NULL, 458, 8),
(38994, NULL, 'PF17774', NULL, NULL, 'Putative RNA-binding domain in YlmH', NULL, 'YlmH_RBD', NULL, NULL, 30424, 8),
(38995, NULL, 'PF00141', NULL, NULL, 'Peroxidase', NULL, 'peroxidase', NULL, NULL, 2319, 8),
(38996, NULL, 'PF09384', NULL, NULL, 'UTP15 C terminal', NULL, 'UTP15_C', NULL, NULL, 15786, 8),
(38997, NULL, 'PF00035', NULL, NULL, 'Double-stranded RNA binding motif', NULL, 'dsrm', NULL, NULL, 12854, 8),
(38998, NULL, 'PF02746', NULL, NULL, 'Mandelate racemase / muconate lactonizing enzyme, N-terminal domain', NULL, 'MR_MLE_N', NULL, NULL, 12084, 8),
(38999, NULL, 'PF06934', NULL, NULL, 'Fatty acid cis/trans isomerase (CTI)', NULL, 'CTI', NULL, NULL, 10179, 8),
(39000, NULL, 'PF14436', NULL, NULL, 'Bacterial EndoU nuclease', NULL, 'EndoU_bacteria', NULL, NULL, 28643, 8),
(39001, NULL, 'PF16895', NULL, NULL, 'Domain of unknown function (DUF5085)', NULL, 'DUF5085', NULL, NULL, 23163, 8),
(39002, NULL, 'PF04299', NULL, NULL, 'Putative FMN-binding domain', NULL, 'FMN_bind_2', NULL, NULL, 3684, 8),
(39003, NULL, 'PF05966', NULL, NULL, 'Chordopoxvirus A33R protein', NULL, 'Chordopox_A33R', NULL, NULL, 12815, 8),
(39004, NULL, 'PF16932', NULL, NULL, 'Type IV secretory system, conjugal DNA-protein transfer', NULL, 'T4SS_TraI', NULL, NULL, 26677, 8),
(39005, NULL, 'PF08267', NULL, NULL, 'Cobalamin-independent synthase, N-terminal domain', NULL, 'Meth_synt_1', NULL, NULL, 12227, 8),
(39006, NULL, 'PF07118', NULL, NULL, 'Protein of unknown function (DUF1374)', NULL, 'DUF1374', NULL, NULL, 13602, 8),
(39007, NULL, 'PF04885', NULL, NULL, 'Stigma-specific protein, Stig1', NULL, 'Stig1', NULL, NULL, 5704, 8),
(39008, NULL, 'PF06826', NULL, NULL, 'Predicted Permease Membrane Region', NULL, 'Asp-Al_Ex', NULL, NULL, 6828, 8),
(39009, NULL, 'PF18637', NULL, NULL, 'Aldos-2-ulose dehydratase/isomerase (AUDH) Cupin domain', NULL, 'AUDH_Cupin', NULL, NULL, 34879, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39010, NULL, 'PF11834', NULL, NULL, 'KHA, dimerisation domain of potassium ion channel', NULL, 'KHA', NULL, NULL, 19959, 8),
(39011, NULL, 'PF09335', NULL, NULL, 'SNARE associated Golgi protein', NULL, 'SNARE_assoc', NULL, NULL, 22684, 8),
(39012, NULL, 'PF14425', NULL, NULL, 'Immunity protein Imm3', NULL, 'Imm3', NULL, NULL, 25592, 8),
(39013, NULL, 'PF20101', NULL, NULL, 'Family of unknown function (DUF6491)', NULL, 'DUF6491', NULL, NULL, 39927, 8),
(39014, NULL, 'PF03492', NULL, NULL, 'SAM dependent carboxyl methyltransferase', NULL, 'Methyltransf_7', NULL, NULL, 5022, 8),
(39015, NULL, 'PF11441', NULL, NULL, 'Pilot protein MxiM', NULL, 'MxiM', NULL, NULL, 18553, 8),
(39016, NULL, 'PF00003', NULL, NULL, '7 transmembrane sweet-taste receptor of 3 GCPR', NULL, '7tm_3', NULL, NULL, 19023, 8),
(39017, NULL, 'PF08891', NULL, NULL, 'YfcL protein', NULL, 'YfcL', NULL, NULL, 7608, 8),
(39018, NULL, 'PF09619', NULL, NULL, 'Type III secretion system lipoprotein chaperone (YscW)', NULL, 'YscW', NULL, NULL, 35943, 8),
(39019, NULL, 'PF07242', NULL, NULL, 'Protein of unknown function (DUF1430)', NULL, 'DUF1430', NULL, NULL, 494, 8),
(39020, NULL, 'PF07657', NULL, NULL, 'N terminus of Notch ligand', NULL, 'MNNL', NULL, NULL, 10688, 8),
(39021, NULL, 'PF17639', NULL, NULL, 'Family of unknown function (DUF5517)', NULL, 'DUF5517', NULL, NULL, 20435, 8),
(39022, NULL, 'PF17221', NULL, NULL, 'COMMD1 N-terminal domain', NULL, 'COMMD1_N', NULL, NULL, 32662, 8),
(39023, NULL, 'PF10845', NULL, NULL, 'Protein of unknown function (DUF2576)', NULL, 'DUF2576', NULL, NULL, 14618, 8),
(39024, NULL, 'PF16309', NULL, NULL, 'Domian of unknown function (DUF4951)', NULL, 'DUF4951', NULL, NULL, 27547, 8),
(39025, NULL, 'PF04019', NULL, NULL, 'Protein of unknown function (DUF359)', NULL, 'DUF359', NULL, NULL, 212, 8),
(39026, NULL, 'PF17408', NULL, NULL, 'Malonyl-CoA decarboxylase N-terminal domain', NULL, 'MCD_N', NULL, NULL, 9543, 8),
(39027, NULL, 'PF01374', NULL, NULL, 'Glycosyl hydrolase family 46', NULL, 'Glyco_hydro_46', NULL, NULL, 6713, 8),
(39028, NULL, 'PF14100', NULL, NULL, 'Methane oxygenase PmoA', NULL, 'PmoA', NULL, NULL, 28571, 8),
(39029, NULL, 'PF05794', NULL, NULL, 'T-complex protein 11', NULL, 'Tcp11', NULL, NULL, 14264, 8),
(39030, NULL, 'PF07432', NULL, NULL, 'Histone H1-like protein Hc1', NULL, 'Hc1', NULL, NULL, 11955, 8),
(39031, NULL, 'PF17397', NULL, NULL, 'Family of unknown function (DUF5404)', NULL, 'DUF5404', NULL, NULL, 33230, 8),
(39032, NULL, 'PF05392', NULL, NULL, 'Cytochrome C oxidase chain VIIB', NULL, 'COX7B', NULL, NULL, 8967, 8),
(39033, NULL, 'PF06185', NULL, NULL, 'YecM protein', NULL, 'YecM', NULL, NULL, 9653, 8),
(39034, NULL, 'PF19819', NULL, NULL, 'Family of unknown function (DUF6302)', NULL, 'DUF6302', NULL, NULL, 39946, 8),
(39035, NULL, 'PF13185', NULL, NULL, 'GAF domain', NULL, 'GAF_2', NULL, NULL, 150, 8),
(39036, NULL, 'PF04577', NULL, NULL, 'Glycosyltransferase 61', NULL, 'Glyco_transf_61', NULL, NULL, 217, 8),
(39037, NULL, 'PF05722', NULL, NULL, 'Ustilago B locus mating-type protein', NULL, 'Ustilago_mating', NULL, NULL, 7858, 8),
(39038, NULL, 'PF09100', NULL, NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit domain IV', NULL, 'Qn_am_d_aIV', NULL, NULL, 10710, 8),
(39039, NULL, 'PF05343', NULL, NULL, 'M42 glutamyl aminopeptidase', NULL, 'Peptidase_M42', NULL, NULL, 5172, 8),
(39040, NULL, 'PF04976', NULL, NULL, 'DMSO reductase anchor subunit (DmsC)', NULL, 'DmsC', NULL, NULL, 6581, 8),
(39041, NULL, 'PF03389', NULL, NULL, 'MobA/MobL family', NULL, 'MobA_MobL', NULL, NULL, 2115, 8),
(39042, NULL, 'PF10038', NULL, NULL, 'Protein of unknown function (DUF2274)', NULL, 'DUF2274', NULL, NULL, 18550, 8),
(39043, NULL, 'PF15454', NULL, NULL, 'Late endosomal/lysosomal adaptor and MAPK and MTOR activator', NULL, 'LAMTOR', NULL, NULL, 28807, 8),
(39044, NULL, 'PF00807', NULL, NULL, 'Apidaecin', NULL, 'Apidaecin', NULL, NULL, 4423, 8),
(39045, NULL, 'PF14963', NULL, NULL, 'Get2-like', NULL, 'Get2_like', NULL, NULL, 21631, 8),
(39046, NULL, 'PF18308', NULL, NULL, 'N-terminal extension of GAT domain', NULL, 'GGA_N-GAT', NULL, NULL, 31230, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39047, NULL, 'PF07078', NULL, NULL, 'Forty-two-three protein', NULL, 'FYTT', NULL, NULL, NULL, 8),
(39048, NULL, 'PF18473', NULL, NULL, 'Urease subunit beta-alpha linker domain', NULL, 'Urease_linker', NULL, NULL, 35733, 8),
(39049, NULL, 'PF03643', NULL, NULL, 'Vacuolar protein sorting-associated protein 26', NULL, 'Vps26', NULL, NULL, 24518, 8),
(39050, NULL, 'PF09764', NULL, NULL, 'N-terminal glutamine amidase', NULL, 'Nt_Gln_amidase', NULL, NULL, 8501, 8),
(39051, NULL, 'PF17861', NULL, NULL, 'Laterosporulin defensin-like peptide', NULL, 'Laterosporulin', NULL, NULL, 32989, 8),
(39052, NULL, 'PF00303', NULL, NULL, 'Thymidylate synthase', NULL, 'Thymidylat_synt', NULL, NULL, 16377, 8),
(39053, NULL, 'PF04440', NULL, NULL, 'Dysbindin (Dystrobrevin binding protein 1)', NULL, 'Dysbindin', NULL, NULL, 10675, 8),
(39054, NULL, 'PF06147', NULL, NULL, 'Protein of unknown function (DUF968)', NULL, 'DUF968', NULL, NULL, 9161, 8),
(39055, NULL, 'PF07404', NULL, NULL, 'Telomere-binding protein beta subunit (TEBP beta)', NULL, 'TEBP_beta', NULL, NULL, 11786, 8),
(39056, NULL, 'PF13018', NULL, NULL, 'Extended Signal Peptide of Type V secretion system', NULL, 'ESPR', NULL, NULL, 28269, 8),
(39057, NULL, 'PF09794', NULL, NULL, 'Transport protein Avl9', NULL, 'Avl9', NULL, NULL, 8686, 8),
(39058, NULL, 'PF12823', NULL, NULL, 'Domain of unknown function (DUF3817)', NULL, 'DUF3817', NULL, NULL, 17006, 8),
(39059, NULL, 'PF09882', NULL, NULL, 'Predicted membrane protein (DUF2109)', NULL, 'DUF2109', NULL, NULL, 19446, 8),
(39060, NULL, 'PF16820', NULL, NULL, 'PKD-like domain', NULL, 'PKD_3', NULL, NULL, 32612, 8),
(39061, NULL, 'PF15065', NULL, NULL, 'Lysosomal transcription factor, NCU-G1', NULL, 'NCU-G1', NULL, NULL, 28462, 8),
(39062, NULL, 'PF18314', NULL, NULL, 'Fatty acid synthase type I helical domain', NULL, 'FAS_I_H', NULL, NULL, 32448, 8),
(39063, NULL, 'PF04112', NULL, NULL, 'Mak10 subunit, NatC N(alpha)-terminal acetyltransferase', NULL, 'Mak10', NULL, NULL, 6923, 8),
(39064, NULL, 'PF08404', NULL, NULL, 'Baculoviridae P74 N-terminal', NULL, 'Baculo_p74_N', NULL, NULL, 11265, 8),
(39065, NULL, 'PF13163', NULL, NULL, 'Protein of unknown function (DUF3999)', NULL, 'DUF3999', NULL, NULL, 23844, 8),
(39066, NULL, 'PF18781', NULL, NULL, 'Phage spike trimer', NULL, 'Phage_spike_2', NULL, NULL, 31247, 8),
(39067, NULL, 'PF00335', NULL, NULL, 'Tetraspanin family', NULL, 'Tetraspanin', NULL, NULL, 9256, 8),
(39068, NULL, 'PF07959', NULL, NULL, 'L-fucokinase', NULL, 'Fucokinase', NULL, NULL, 13159, 8),
(39069, NULL, 'PF12157', NULL, NULL, 'Protein of unknown function (DUF3591)', NULL, 'DUF3591', NULL, NULL, 16639, 8),
(39070, NULL, 'PF19998', NULL, NULL, 'FtsH ternary system domain X1', NULL, 'fvmX1', NULL, NULL, 38699, 8),
(39071, NULL, 'PF14516', NULL, NULL, 'AAA-like domain', NULL, 'AAA_35', NULL, NULL, NULL, 8),
(39072, NULL, 'PF19438', NULL, NULL, 'LIN9 C-terminal', NULL, 'LIN9_C', NULL, NULL, 39613, 8),
(39073, NULL, 'PF10750', NULL, NULL, 'Protein of unknown function (DUF2536)', NULL, 'DUF2536', NULL, NULL, 20962, 8),
(39074, NULL, 'PF13534', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_17', NULL, NULL, NULL, 8),
(39075, NULL, 'PF02349', NULL, NULL, 'Major surface glycoprotein', NULL, 'MSG', NULL, NULL, 4386, 8),
(39076, NULL, 'PF15854', NULL, NULL, 'G-protein coupled receptor ligand 15', NULL, 'GPR15L', NULL, NULL, 27406, 8),
(39077, NULL, 'PF20147', NULL, NULL, 'Crinkler effector protein N-terminal domain', NULL, 'Crinkler', NULL, NULL, 39737, 8),
(39078, NULL, 'PF04158', NULL, NULL, 'Sof1-like domain', NULL, 'Sof1', NULL, NULL, 7441, 8),
(39079, NULL, 'PF04626', NULL, NULL, 'Dec-1 protein, C terminal region', NULL, 'DEC-1_C', NULL, NULL, 2343, 8),
(39080, NULL, 'PF01275', NULL, NULL, 'Myelin proteolipid protein (PLP or lipophilin)', NULL, 'Myelin_PLP', NULL, NULL, 5400, 8),
(39081, NULL, 'PF12292', NULL, NULL, 'Protein of unknown function (DUF3624)', NULL, 'DUF3624', NULL, NULL, 20815, 8),
(39082, NULL, 'PF12842', NULL, NULL, 'Domain of unknown function (DUF3819)', NULL, 'DUF3819', NULL, NULL, 22389, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39083, NULL, 'PF13532', NULL, NULL, '2OG-Fe(II) oxygenase superfamily', NULL, '2OG-FeII_Oxy_2', NULL, NULL, 27709, 8),
(39084, NULL, 'PF11365', NULL, NULL, 'Protein SOGA', NULL, 'SOGA', NULL, NULL, 27747, 8),
(39085, NULL, 'PF02800', NULL, NULL, 'Glyceraldehyde 3-phosphate dehydrogenase, C-terminal domain', NULL, 'Gp_dh_C', NULL, NULL, 19155, 8),
(39086, NULL, 'PF09440', NULL, NULL, 'eIF3 subunit 6 N terminal domain', NULL, 'eIF3_N', NULL, NULL, 16062, 8),
(39087, NULL, 'PF12255', NULL, NULL, 'Insecticide toxin TcdB middle/C-terminal region', NULL, 'TcdB_toxin_midC', NULL, NULL, 20561, 8),
(39088, NULL, 'PF02006', NULL, NULL, 'Phosphopantothenate/pantothenate synthetase', NULL, 'PPS_PS', NULL, NULL, 5596, 8),
(39089, NULL, 'PF10056', NULL, NULL, 'Uncharacterized conserved protein (DUF2293)', NULL, 'DUF2293', NULL, NULL, 18996, 8),
(39090, NULL, 'PF15790', NULL, NULL, 'E1A-binding protein p400, N-terminal', NULL, 'EP400_N', NULL, NULL, 24882, 8),
(39091, NULL, 'PF19678', NULL, NULL, 'Family of unknown function (DUF6180)', NULL, 'DUF6180', NULL, NULL, 38570, 8),
(39092, NULL, 'PF08771', NULL, NULL, 'FKBP12-rapamycin binding domain', NULL, 'FRB_dom', NULL, NULL, 6094, 8),
(39093, NULL, 'PF06964', NULL, NULL, 'Alpha-L-arabinofuranosidase C-terminal domain', NULL, 'Alpha-L-AF_C', NULL, NULL, 10144, 8),
(39094, NULL, 'PF03599', NULL, NULL, 'CO dehydrogenase/acetyl-CoA synthase delta subunit', NULL, 'CdhD', NULL, NULL, 9151, 8),
(39095, NULL, 'PF09359', NULL, NULL, 'VTC domain', NULL, 'VTC', NULL, NULL, 15036, 8),
(39096, NULL, 'PF03301', NULL, NULL, 'Tryptophan 2,3-dioxygenase', NULL, 'Trp_dioxygenase', NULL, NULL, 585, 8),
(39097, NULL, 'PF08803', NULL, NULL, 'Putative mono-oxygenase ydhR', NULL, 'ydhR', NULL, NULL, 13091, 8),
(39098, NULL, 'PF09250', NULL, NULL, 'Bifunctional DNA primase/polymerase, N-terminal', NULL, 'Prim-Pol', NULL, NULL, 13554, 8),
(39099, NULL, 'PF19351', NULL, NULL, 'Domain of unknown function (DUF5929)', NULL, 'DUF5929', NULL, NULL, 39299, 8),
(39100, NULL, 'PF07330', NULL, NULL, 'Protein of unknown function (DUF1467)', NULL, 'DUF1467', NULL, NULL, 8001, 8),
(39101, NULL, 'PF17046', NULL, NULL, 'SesB domain on fungal death-pathway protein', NULL, 'Ses_B', NULL, NULL, 28793, 8),
(39102, NULL, 'PF17878', NULL, NULL, 'Single-stranded DNA-binding protein', NULL, 'ssDBP', NULL, NULL, 31295, 8),
(39103, NULL, 'PF08530', NULL, NULL, 'X-Pro dipeptidyl-peptidase C-terminal non-catalytic domain', NULL, 'PepX_C', NULL, NULL, 7968, 8),
(39104, NULL, 'PF15075', NULL, NULL, 'Domain of unknown function (DUF4542)', NULL, 'DUF4542', NULL, NULL, 24586, 8),
(39105, NULL, 'PF19192', NULL, NULL, 'Response receiver domain', NULL, 'Response_reg_2', NULL, NULL, 37888, 8),
(39106, NULL, 'PF11672', NULL, NULL, 'zinc-finger-containing domain', NULL, 'DUF3268', NULL, NULL, 19396, 8),
(39107, NULL, 'PF18386', NULL, NULL, 'Roquin II domain', NULL, 'ROQ_II', NULL, NULL, 31853, 8),
(39108, NULL, 'PF06257', NULL, NULL, 'Biofilm formation stimulator VEG', NULL, 'VEG', NULL, NULL, 14980, 8),
(39109, NULL, 'PF10574', NULL, NULL, 'Arp2/3-interacting proteins Arpin', NULL, 'UPF0552', NULL, NULL, 21328, 8),
(39110, NULL, 'PF17982', NULL, NULL, 'NSD Cys-His rich domain', NULL, 'C5HCH', NULL, NULL, 31215, 8),
(39111, NULL, 'PF06039', NULL, NULL, 'Malate:quinone oxidoreductase (Mqo)', NULL, 'Mqo', NULL, NULL, 11370, 8),
(39112, NULL, 'PF14678', NULL, NULL, 'FANCI solenoid 4', NULL, 'FANCI_S4', NULL, NULL, 28707, 8),
(39113, NULL, 'PF11152', NULL, NULL, 'Cofactor assembly of complex C subunit B, CCB2/CCB4', NULL, 'CCB2_CCB4', NULL, NULL, 17604, 8),
(39114, NULL, 'PF13645', NULL, NULL, 'L,D-transpeptidase catalytic domain', NULL, 'YkuD_2', NULL, NULL, 18511, 8),
(39115, NULL, 'PF18090', NULL, NULL, 'Centromere-binding protein HTH domain', NULL, 'SoPB_HTH', NULL, NULL, 34642, 8),
(39116, NULL, 'PF05403', NULL, NULL, 'Plasmodium histidine-rich protein (HRPII/III)', NULL, 'Plasmodium_HRP', NULL, NULL, 12434, 8),
(39117, NULL, 'PF17124', NULL, NULL, 'ThiJ/PfpI family-like', NULL, 'ThiJ_like', NULL, NULL, 22354, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39118, NULL, 'PF18442', NULL, NULL, 'E3 gp78 Ube2g2-binding region (G2BR)', NULL, 'G2BR', NULL, NULL, 30405, 8),
(39119, NULL, 'PF11019', NULL, NULL, 'Protein of unknown function (DUF2608)', NULL, 'DUF2608', NULL, NULL, 16786, 8),
(39120, NULL, 'PF11565', NULL, NULL, 'Alpha helical Porin B', NULL, 'PorB', NULL, NULL, 20363, 8),
(39121, NULL, 'PF16022', NULL, NULL, 'Domain of unknown function (DUF4783)', NULL, 'DUF4783', NULL, NULL, 25405, 8),
(39122, NULL, 'PF00389', NULL, NULL, 'D-isomer specific 2-hydroxyacid dehydrogenase, catalytic domain', NULL, '2-Hacid_dh', NULL, NULL, 10020, 8),
(39123, NULL, 'PF08821', NULL, NULL, 'CGGC domain', NULL, 'CGGC', NULL, NULL, 14221, 8),
(39124, NULL, 'PF17094', NULL, NULL, 'Uncharacterised protein family (UPF0715)', NULL, 'UPF0715', NULL, NULL, 25286, 8),
(39125, NULL, 'PF08658', NULL, NULL, 'Rad54 N terminal', NULL, 'Rad54_N', NULL, NULL, 8208, 8),
(39126, NULL, 'PF02236', NULL, NULL, 'Viral DNA-binding protein, all alpha domain', NULL, 'Viral_DNA_bi', NULL, NULL, 1893, 8),
(39127, NULL, 'PF05919', NULL, NULL, 'Mitovirus RNA-dependent RNA polymerase', NULL, 'Mitovir_RNA_pol', NULL, NULL, 13152, 8),
(39128, NULL, 'PF11554', NULL, NULL, 'Protein of unknown function (DUF3232)', NULL, 'DUF3232', NULL, NULL, 19091, 8),
(39129, NULL, 'PF14488', NULL, NULL, 'Domain of unknown function (DUF4434)', NULL, 'DUF4434', NULL, NULL, 27694, 8),
(39130, NULL, 'PF19909', NULL, NULL, 'Domain of unknown function (DUF6382)', NULL, 'DUF6382', NULL, NULL, 39094, 8),
(39131, NULL, 'PF11883', NULL, NULL, 'Domain of unknown function (DUF3403)', NULL, 'DUF3403', NULL, NULL, 20433, 8),
(39132, NULL, 'PF00897', NULL, NULL, 'Orbivirus inner capsid protein VP7', NULL, 'Orbi_VP7', NULL, NULL, 4229, 8),
(39133, NULL, 'PF10342', NULL, NULL, 'Ser-Thr-rich glycosyl-phosphatidyl-inositol-anchored membrane family', NULL, 'GPI-anchored', NULL, NULL, 21687, 8),
(39134, NULL, 'PF10649', NULL, NULL, 'Protein of unknown function (DUF2478)', NULL, 'DUF2478', NULL, NULL, 15235, 8),
(39135, NULL, 'PF12799', NULL, NULL, 'Leucine Rich repeats (2 copies)', NULL, 'LRR_4', NULL, NULL, 27012, 8),
(39136, NULL, 'PF03423', NULL, NULL, 'Carbohydrate binding domain (family 25)', NULL, 'CBM_25', NULL, NULL, 10225, 8),
(39137, NULL, 'PF17763', NULL, NULL, 'Glutaminase/Asparaginase C-terminal domain', NULL, 'Asparaginase_C', NULL, NULL, 29704, 8),
(39138, NULL, 'PF07840', NULL, NULL, 'FadR C-terminal domain', NULL, 'FadR_C', NULL, NULL, 25599, 8),
(39139, NULL, 'PF15662', NULL, NULL, 'Spermatogenesis-associated protein 3 family', NULL, 'SPATA3', NULL, NULL, 22119, 8),
(39140, NULL, 'PF09220', NULL, NULL, 'L-A virus, major coat protein', NULL, 'LA-virus_coat', NULL, NULL, 13564, 8),
(39141, NULL, 'PF12581', NULL, NULL, 'Protein of unknown function (DUF3756)', NULL, 'DUF3756', NULL, NULL, 21428, 8),
(39142, NULL, 'PF00229', NULL, NULL, 'TNF(Tumour Necrosis Factor) family', NULL, 'TNF', NULL, NULL, 2636, 8),
(39143, NULL, 'PF15014', NULL, NULL, 'Ceroid-lipofuscinosis neuronal protein 5', NULL, 'CLN5', NULL, NULL, 23622, 8),
(39144, NULL, 'PF07781', NULL, NULL, 'Reovirus minor core protein Mu-2', NULL, 'Reovirus_Mu2', NULL, NULL, 12921, 8),
(39145, NULL, 'PF03426', NULL, NULL, 'Carbohydrate binding domain (family 15)', NULL, 'CBM_15', NULL, NULL, 10281, 8),
(39146, NULL, 'PF09817', NULL, NULL, 'RZZ complex, subunit zwilch', NULL, 'Zwilch', NULL, NULL, 16196, 8),
(39147, NULL, 'PF13751', NULL, NULL, 'Transposase DDE domain', NULL, 'DDE_Tnp_1_6', NULL, NULL, 25343, 8),
(39148, NULL, 'PF13887', NULL, NULL, 'Myelin regulatory factor ICA domain', NULL, 'MYRF_ICA', NULL, NULL, 28531, 8),
(39149, NULL, 'PF07624', NULL, NULL, 'Protein of unknown function (DUF1585)', NULL, 'PSD2', NULL, NULL, 14033, 8),
(39150, NULL, 'PF14552', NULL, NULL, 'Tautomerase enzyme', NULL, 'Tautomerase_2', NULL, NULL, 36056, 8),
(39151, NULL, 'PF09928', NULL, NULL, 'Predicted small integral membrane protein (DUF2160)', NULL, 'DUF2160', NULL, NULL, 17406, 8),
(39152, NULL, 'PF17080', NULL, NULL, 'Multidrug Resistance efflux pump', NULL, 'SepA', NULL, NULL, 25019, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39153, NULL, 'PF02916', NULL, NULL, 'DNA polymerase processivity factor', NULL, 'DNA_PPF', NULL, NULL, 2891, 8),
(39154, NULL, 'PF14217', NULL, NULL, 'Domain of unknown function (DUF4327)', NULL, 'DUF4327', NULL, NULL, 28371, 8),
(39155, NULL, 'PF15188', NULL, NULL, 'Coiled-coil domain-containing protein 167', NULL, 'CCDC-167', NULL, NULL, 23179, 8),
(39156, NULL, 'PF03670', NULL, NULL, 'Uncharacterised protein family (UPF0184)', NULL, 'UPF0184', NULL, NULL, NULL, 8),
(39157, NULL, 'PF07716', NULL, NULL, 'Basic region leucine zipper', NULL, 'bZIP_2', NULL, NULL, 4440, 8),
(39158, NULL, 'PF15496', NULL, NULL, 'Domain of unknown function (DUF4646)', NULL, 'DUF4646', NULL, NULL, 24620, 8),
(39159, NULL, 'PF14698', NULL, NULL, 'Argininosuccinate lyase C-terminal', NULL, 'ASL_C2', NULL, NULL, 21834, 8),
(39160, NULL, 'PF06575', NULL, NULL, 'Protein of unknown function (DUF1132)', NULL, 'DUF1132', NULL, NULL, 9419, 8),
(39161, NULL, 'PF03217', NULL, NULL, 'Surface layer protein A domain', NULL, 'SlpA', NULL, NULL, 27884, 8),
(39162, NULL, 'PF13500', NULL, NULL, 'AAA domain', NULL, 'AAA_26', NULL, NULL, NULL, 8),
(39163, NULL, 'PF04734', NULL, NULL, 'Neutral/alkaline non-lysosomal ceramidase, N-terminal', NULL, 'Ceramidase_alk', NULL, NULL, 25423, 8),
(39164, NULL, 'PF02534', NULL, NULL, 'Type IV secretory system Conjugative DNA transfer', NULL, 'T4SS-DNA_transf', NULL, NULL, 1909, 8),
(39165, NULL, 'PF07592', NULL, NULL, 'Rhodopirellula transposase DDE domain', NULL, 'DDE_Tnp_ISAZ013', NULL, NULL, 12661, 8),
(39166, NULL, 'PF16586', NULL, NULL, 'Domain of unknown function (DUF5060)', NULL, 'DUF5060', NULL, NULL, 25028, 8),
(39167, NULL, 'PF13750', NULL, NULL, 'Bacterial Ig-like domain (group 3)', NULL, 'Big_3_3', NULL, NULL, 20725, 8),
(39168, NULL, 'PF17467', NULL, NULL, 'Viral Protein E7', NULL, 'E7R', NULL, NULL, 15938, 8),
(39169, NULL, 'PF08265', NULL, NULL, 'YL1 nuclear protein C-terminal domain', NULL, 'YL1_C', NULL, NULL, 13002, 8),
(39170, NULL, 'PF08605', NULL, NULL, 'Fungal Rad9-like Rad53-binding', NULL, 'Rad9_Rad53_bind', NULL, NULL, 18388, 8),
(39171, NULL, 'PF08625', NULL, NULL, 'Utp13 specific WD40 associated domain', NULL, 'Utp13', NULL, NULL, 14020, 8),
(39172, NULL, 'PF07317', NULL, NULL, 'Flagellar regulator YcgR', NULL, 'YcgR', NULL, NULL, 8154, 8),
(39173, NULL, 'PF04747', NULL, NULL, 'Protein of unknown function, DUF612', NULL, 'DUF612', NULL, NULL, 3736, 8),
(39174, NULL, 'PF09181', NULL, NULL, 'Prolyl-tRNA synthetase, C-terminal', NULL, 'ProRS-C_2', NULL, NULL, 12539, 8),
(39175, NULL, 'PF09786', NULL, NULL, 'Cytochrome B561, N terminal', NULL, 'CytochromB561_N', NULL, NULL, 18807, 8),
(39176, NULL, 'PF08354', NULL, NULL, 'Domain of unknown function (DUF1729)', NULL, 'DUF1729', NULL, NULL, 13465, 8),
(39177, NULL, 'PF08596', NULL, NULL, 'Lethal giant larvae(Lgl) like, C-terminal', NULL, 'Lgl_C', NULL, NULL, 18394, 8),
(39178, NULL, 'PF01719', NULL, NULL, 'Plasmid replication protein', NULL, 'Rep_2', NULL, NULL, 2799, 8),
(39179, NULL, 'PF05336', NULL, NULL, 'L-rhamnose mutarotase', NULL, 'rhaM', NULL, NULL, 4333, 8),
(39180, NULL, 'PF19967', NULL, NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 5', NULL, 'VMAP-M5', NULL, NULL, 38752, 8),
(39181, NULL, 'PF16892', NULL, NULL, 'Chitin biosynthesis protein CHS5 N-terminus', NULL, 'CHS5_N', NULL, NULL, 23182, 8),
(39182, NULL, 'PF07973', NULL, NULL, 'Threonyl and Alanyl tRNA synthetase second additional domain', NULL, 'tRNA_SAD', NULL, NULL, 8325, 8),
(39183, NULL, 'PF06453', NULL, NULL, 'Type II heat-labile enterotoxin , B subunit (LT-IIB)', NULL, 'LT-IIB', NULL, NULL, 10608, 8),
(39184, NULL, 'PF10040', NULL, NULL, 'CRISPR-associated endoribonuclease Cas6', NULL, 'CRISPR_Cas6', NULL, NULL, 20387, 8),
(39185, NULL, 'PF16036', NULL, NULL, 'Chalcone isomerase-like', NULL, 'Chalcone_3', NULL, NULL, 10212, 8),
(39186, NULL, 'PF09408', NULL, NULL, 'Betacoronavirus spike glycoprotein S1, receptor binding', NULL, 'bCoV_S1_RBD', NULL, NULL, 15318, 8),
(39187, NULL, 'PF13054', NULL, NULL, 'Protein of unknown function (DUF3915)', NULL, 'DUF3915', NULL, NULL, 23762, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39188, NULL, 'PF03537', NULL, NULL, 'Glycoside-hydrolase family GH114', NULL, 'Glyco_hydro_114', NULL, NULL, 5715, 8),
(39189, NULL, 'PF12441', NULL, NULL, 'CopG antitoxin of type II toxin-antitoxin system', NULL, 'CopG_antitoxin', NULL, NULL, 21338, 8),
(39190, NULL, 'PF06880', NULL, NULL, 'Protein of unknown function (DUF1262)', NULL, 'DUF1262', NULL, NULL, 9351, 8),
(39191, NULL, 'PF07901', NULL, NULL, 'Protein of unknown function (DUF1672)', NULL, 'DUF1672', NULL, NULL, 12780, 8),
(39192, NULL, 'PF15546', NULL, NULL, 'Domain of unknown function (DUF4653)', NULL, 'DUF4653', NULL, NULL, 22342, 8),
(39193, NULL, 'PF03378', NULL, NULL, 'CAS/CSE protein, C-terminus', NULL, 'CAS_CSE1', NULL, NULL, 2093, 8),
(39194, NULL, 'PF13318', NULL, NULL, 'Protein of unknown function (DUF4089)', NULL, 'DUF4089', NULL, NULL, 23606, 8),
(39195, NULL, 'PF10928', NULL, NULL, 'Protein of unknown function (DUF2810)', NULL, 'DUF2810', NULL, NULL, 17535, 8),
(39196, NULL, 'PF19274', NULL, NULL, 'PI4-kinase N-terminal region', NULL, 'PI4K_N', NULL, NULL, 39624, 8),
(39197, NULL, 'PF00918', NULL, NULL, 'Gastrin/cholecystokinin family', NULL, 'Gastrin', NULL, NULL, 5177, 8),
(39198, NULL, 'PF08205', NULL, NULL, 'CD80-like C2-set immunoglobulin domain', NULL, 'C2-set_2', NULL, NULL, 8946, 8),
(39199, NULL, 'PF16212', NULL, NULL, 'Phospholipid-translocating P-type ATPase C-terminal', NULL, 'PhoLip_ATPase_C', NULL, NULL, 22435, 8),
(39200, NULL, 'PF16772', NULL, NULL, 'Telomeric repeat-binding factor 2 Rap1-binding motif', NULL, 'TERF2_RBM', NULL, NULL, 22555, 8),
(39201, NULL, 'PF18280', NULL, NULL, 'Aminoglycoside adenyltransferase C-terminal domain', NULL, 'AadA_C', NULL, NULL, 34209, 8),
(39202, NULL, 'PF05313', NULL, NULL, 'Poxvirus P21 membrane protein', NULL, 'Pox_P21', NULL, NULL, 4106, 8),
(39203, NULL, 'PF01454', NULL, NULL, 'MAGE family', NULL, 'MAGE', NULL, NULL, 161, 8),
(39204, NULL, 'PF14489', NULL, NULL, 'QueF-like protein', NULL, 'QueF', NULL, NULL, 28841, 8),
(39205, NULL, 'PF19304', NULL, NULL, 'D-3-phosphoglycerate dehydrogenase intervening domain', NULL, 'PGDH_inter', NULL, NULL, 38937, 8),
(39206, NULL, 'PF01664', NULL, NULL, 'Reovirus viral attachment protein sigma 1', NULL, 'Reo_sigma1', NULL, NULL, 1877, 8),
(39207, NULL, 'PF04346', NULL, NULL, 'Ethanolamine utilisation protein, EutH', NULL, 'EutH', NULL, NULL, 4551, 8),
(39208, NULL, 'PF08028', NULL, NULL, 'Acyl-CoA dehydrogenase, C-terminal domain', NULL, 'Acyl-CoA_dh_2', NULL, NULL, 18895, 8),
(39209, NULL, 'PF02270', NULL, NULL, 'TFIIF, beta subunit HTH domain', NULL, 'TFIIF_beta', NULL, NULL, 34918, 8),
(39210, NULL, 'PF11681', NULL, NULL, 'Protein of unknown function (DUF3277)', NULL, 'DUF3277', NULL, NULL, 19092, 8),
(39211, NULL, 'PF07534', NULL, NULL, 'TLD', NULL, 'TLD', NULL, NULL, 288, 8),
(39212, NULL, 'PF04675', NULL, NULL, 'DNA ligase N terminus', NULL, 'DNA_ligase_A_N', NULL, NULL, 12627, 8),
(39213, NULL, 'PF01532', NULL, NULL, 'Glycosyl hydrolase family 47', NULL, 'Glyco_hydro_47', NULL, NULL, 6764, 8),
(39214, NULL, 'PF10781', NULL, NULL, 'Dextransucrase DSRB', NULL, 'DSRB', NULL, NULL, 21173, 8),
(39215, NULL, 'PF19223', NULL, NULL, 'Chroparavirus methyltransferase', NULL, 'Chropara_Vmeth', NULL, NULL, 37282, 8),
(39216, NULL, 'PF19887', NULL, NULL, 'Family of unknown function (DUF6360)', NULL, 'DUF6360', NULL, NULL, 39301, 8),
(39217, NULL, 'PF08410', NULL, NULL, 'Domain of unknown function (DUF1737)', NULL, 'DUF1737', NULL, NULL, 11061, 8),
(39218, NULL, 'PF04528', NULL, NULL, 'Adenovirus early E4 34 kDa protein conserved region', NULL, 'Adeno_E4_34', NULL, NULL, 2539, 8),
(39219, NULL, 'PF06463', NULL, NULL, 'Molybdenum Cofactor Synthesis C', NULL, 'Mob_synth_C', NULL, NULL, 10893, 8),
(39220, NULL, 'PF06297', NULL, NULL, 'PET Domain', NULL, 'PET', NULL, NULL, 10089, 8),
(39221, NULL, 'PF16518', NULL, NULL, 'T3SS negative regulator,GrlR', NULL, 'GrlR', NULL, NULL, 24062, 8),
(39222, NULL, 'PF09453', NULL, NULL, 'HIRA B motif', NULL, 'HIRA_B', NULL, NULL, 16094, 8),
(39223, NULL, 'PF16149', NULL, NULL, 'Domain of unknown function (DUF4857)', NULL, 'DUF4857', NULL, NULL, 23388, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39224, NULL, 'PF07663', NULL, NULL, 'Sorbitol phosphotransferase enzyme II C-terminus', NULL, 'EIIBC-GUT_C', NULL, NULL, 10989, 8),
(39225, NULL, 'PF15010', NULL, NULL, 'Putative cell signalling', NULL, 'FAM131', NULL, NULL, 27867, 8),
(39226, NULL, 'PF05511', NULL, NULL, 'Mitochondrial ATP synthase coupling factor 6', NULL, 'ATP-synt_F6', NULL, NULL, 7971, 8),
(39227, NULL, 'PF08707', NULL, NULL, 'Primase C terminal 2 (PriCT-2)', NULL, 'PriCT_2', NULL, NULL, 11638, 8),
(39228, NULL, 'PF02597', NULL, NULL, 'ThiS family', NULL, 'ThiS', NULL, NULL, 6247, 8),
(39229, NULL, 'PF05515', NULL, NULL, 'Viral nucleic acid binding', NULL, 'Viral_NABP', NULL, NULL, 7648, 8),
(39230, NULL, 'PF06102', NULL, NULL, 'rRNA biogenesis protein RRP36', NULL, 'RRP36', NULL, NULL, 13804, 8),
(39231, NULL, 'PF13539', NULL, NULL, 'D-alanyl-D-alanine carboxypeptidase', NULL, 'Peptidase_M15_4', NULL, NULL, 29233, 8),
(39232, NULL, 'PF08636', NULL, NULL, 'ER protein Pkr1', NULL, 'Pkr1', NULL, NULL, 8340, 8),
(39233, NULL, 'PF15439', NULL, NULL, 'Neuronal tyrosine-phosphorylated phosphoinositide-3-kinase adapter', NULL, 'NYAP_N', NULL, NULL, 35931, 8),
(39234, NULL, 'PF18126', NULL, NULL, 'Mitochondrial ribosomal protein mL59', NULL, 'Mitoc_mL59', NULL, NULL, 29689, 8),
(39235, NULL, 'PF04102', NULL, NULL, 'SlyX', NULL, 'SlyX', NULL, NULL, 6717, 8),
(39236, NULL, 'PF08820', NULL, NULL, 'Domain of unknown function (DUF1803)', NULL, 'DUF1803', NULL, NULL, 14240, 8),
(39237, NULL, 'PF11816', NULL, NULL, 'Domain of unknown function (DUF3337)', NULL, 'DUF3337', NULL, NULL, 19536, 8),
(39238, NULL, 'PF04060', NULL, NULL, 'Putative Fe-S cluster', NULL, 'FeS', NULL, NULL, 1023, 8),
(39239, NULL, 'PF12997', NULL, NULL, 'Domain of unknown function, E. rectale Gene description (DUF3881)', NULL, 'DUF3881', NULL, NULL, 25953, 8),
(39240, NULL, 'PF11626', NULL, NULL, 'TRF2-interacting telomeric protein/Rap1 - C terminal domain', NULL, 'Rap1_C', NULL, NULL, 19166, 8),
(39241, NULL, 'PF16919', NULL, NULL, 'Protein kinase G rubredoxin domain', NULL, 'PknG_rubred', NULL, NULL, 26545, 8),
(39242, NULL, 'PF05557', NULL, NULL, 'Mitotic checkpoint protein', NULL, 'MAD', NULL, NULL, 13100, 8),
(39243, NULL, 'PF06827', NULL, NULL, 'Zinc finger found in FPG and IleRS', NULL, 'zf-FPG_IleRS', NULL, NULL, 9203, 8),
(39244, NULL, 'PF09323', NULL, NULL, 'Domain of unknown function (DUF1980)', NULL, 'DUF1980', NULL, NULL, 14334, 8),
(39245, NULL, 'PF01909', NULL, NULL, 'Nucleotidyltransferase domain', NULL, 'NTP_transf_2', NULL, NULL, 6606, 8),
(39246, NULL, 'PF05023', NULL, NULL, 'Phytochelatin synthase', NULL, 'Phytochelatin', NULL, NULL, 1363, 8),
(39247, NULL, 'PF05796', NULL, NULL, 'Chordopoxvirus protein G2', NULL, 'Chordopox_G2', NULL, NULL, 8911, 8),
(39248, NULL, 'PF02625', NULL, NULL, 'XdhC and CoxI family', NULL, 'XdhC_CoxI', NULL, NULL, 2775, 8),
(39249, NULL, 'PF12106', NULL, NULL, 'Colicin E5 ribonuclease domain', NULL, 'Colicin_E5', NULL, NULL, 20820, 8),
(39250, NULL, 'PF12242', NULL, NULL, 'NAD(P)H binding domain of trans-2-enoyl-CoA reductase', NULL, 'Eno-Rase_NADH_b', NULL, NULL, 10192, 8),
(39251, NULL, 'PF11475', NULL, NULL, 'Virion protein N terminal domain', NULL, 'VP_N-CPKC', NULL, NULL, 18758, 8),
(39252, NULL, 'PF18470', NULL, NULL, 'Cas9 alpha-helical lobe domain', NULL, 'Cas9_a', NULL, NULL, 34752, 8),
(39253, NULL, 'PF01321', NULL, NULL, 'Creatinase/Prolidase N-terminal domain', NULL, 'Creatinase_N', NULL, NULL, 5792, 8),
(39254, NULL, 'PF02037', NULL, NULL, 'SAP domain', NULL, 'SAP', NULL, NULL, 41, 8),
(39255, NULL, 'PF09650', NULL, NULL, 'Putative polyhydroxyalkanoic acid system protein (PHA_gran_rgn)', NULL, 'PHA_gran_rgn', NULL, NULL, 9319, 8),
(39256, NULL, 'PF04558', NULL, NULL, 'Glutaminyl-tRNA synthetase, non-specific RNA binding region part 1', NULL, 'tRNA_synt_1c_R1', NULL, NULL, 2340, 8),
(39257, NULL, 'PF17665', NULL, NULL, 'Family of unknown function (DUF5527)', NULL, 'DUF5527', NULL, NULL, 33850, 8),
(39258, NULL, 'PF17067', NULL, NULL, 'Ribosomal protein S31e', NULL, 'RPS31', NULL, NULL, 24944, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39259, NULL, 'PF14732', NULL, NULL, 'Ubiquitin/SUMO-activating enzyme ubiquitin-like domain', NULL, 'UAE_UbL', NULL, NULL, 23796, 8),
(39260, NULL, 'PF04307', NULL, NULL, 'LexA-binding, inner membrane-associated putative hydrolase', NULL, 'YdjM', NULL, NULL, 3590, 8),
(39261, NULL, 'PF16017', NULL, NULL, 'BTB/POZ domain', NULL, 'BTB_3', NULL, NULL, 29872, 8),
(39262, NULL, 'PF08290', NULL, NULL, 'Hepatitis core protein, putative zinc finger', NULL, 'Hep_core_N', NULL, NULL, 17831, 8),
(39263, NULL, 'PF14656', NULL, NULL, 'Rab3 GTPase-activating protein regulatory subunit C-terminus', NULL, 'RAB3GAP2_C', NULL, NULL, 21807, 8),
(39264, NULL, 'PF01241', NULL, NULL, 'Photosystem I psaG / psaK', NULL, 'PSI_PSAK', NULL, NULL, 5778, 8),
(39265, NULL, 'PF19754', NULL, NULL, 'Family of unknown function (DUF6241)', NULL, 'DUF6241', NULL, NULL, 39785, 8),
(39266, NULL, 'PF14365', NULL, NULL, 'Neprosin activation peptide', NULL, 'Neprosin_AP', NULL, NULL, 28010, 8),
(39267, NULL, 'PF17109', NULL, NULL, 'fungal STAND N-terminal Goodbye domain', NULL, 'Goodbye', NULL, NULL, 2763, 8),
(39268, NULL, 'PF03235', NULL, NULL, 'Protein of unknown function DUF262', NULL, 'DUF262', NULL, NULL, 1702, 8),
(39269, NULL, 'PF10275', NULL, NULL, 'Peptidase C65 Otubain', NULL, 'Peptidase_C65', NULL, NULL, 16952, 8),
(39270, NULL, 'PF05362', NULL, NULL, 'Lon protease (S16) C-terminal proteolytic domain', NULL, 'Lon_C', NULL, NULL, 8732, 8),
(39271, NULL, 'PF14658', NULL, NULL, 'EF-hand domain', NULL, 'EF-hand_9', NULL, NULL, 33650, 8),
(39272, NULL, 'PF13836', NULL, NULL, 'Domain of unknown function (DUF4195)', NULL, 'DUF4195', NULL, NULL, 23845, 8),
(39273, NULL, 'PF03630', NULL, NULL, 'Fumble', NULL, 'Fumble', NULL, NULL, 962, 8),
(39274, NULL, 'PF19204', NULL, NULL, 'Family of unknown function (DUF5876)', NULL, 'DUF5876', NULL, NULL, 38204, 8),
(39275, NULL, 'PF01931', NULL, NULL, 'Protein of unknown function DUF84', NULL, 'NTPase_I-T', NULL, NULL, 21533, 8),
(39276, NULL, 'PF08912', NULL, NULL, 'Rho Binding', NULL, 'Rho_Binding', NULL, NULL, 7667, 8),
(39277, NULL, 'PF19002', NULL, NULL, 'Family of unknown function (DUF5731)', NULL, 'DUF5731', NULL, NULL, 38232, 8),
(39278, NULL, 'PF04683', NULL, NULL, 'Proteasome complex subunit Rpn13 ubiquitin receptor', NULL, 'Proteasom_Rpn13', NULL, NULL, 39385, 8),
(39279, NULL, 'PF06058', NULL, NULL, 'Dcp1-like decapping family', NULL, 'DCP1', NULL, NULL, 8561, 8),
(39280, NULL, 'PF18718', NULL, NULL, 'CxC5 like cysteine cluster associated with KDZ transposases', NULL, 'CxC5', NULL, NULL, 32797, 8),
(39281, NULL, 'PF07221', NULL, NULL, 'N-acylglucosamine 2-epimerase (GlcNAc 2-epimerase)', NULL, 'GlcNAc_2-epim', NULL, NULL, NULL, 8),
(39282, NULL, 'PF17415', NULL, NULL, 'NigD-like C-terminal beta sandwich domain', NULL, 'NigD_C', NULL, NULL, 9841, 8),
(39283, NULL, 'PF07527', NULL, NULL, 'Hairy Orange', NULL, 'Hairy_orange', NULL, NULL, 1458, 8),
(39284, NULL, 'PF11208', NULL, NULL, 'Protein of unknown function (DUF2992)', NULL, 'DUF2992', NULL, NULL, 15269, 8),
(39285, NULL, 'PF18069', NULL, NULL, 'DR2241 stabilising domain', NULL, 'DR2241', NULL, NULL, 31018, 8),
(39286, NULL, 'PF02577', NULL, NULL, 'Domain of unknown function (DUF151)', NULL, 'DUF151', NULL, NULL, 6401, 8),
(39287, NULL, 'PF12525', NULL, NULL, 'Protein of unknown function (DUF3726)', NULL, 'DUF3726', NULL, NULL, 21450, 8),
(39288, NULL, 'PF19870', NULL, NULL, 'Family of unknown function (DUF6343)', NULL, 'DUF6343', NULL, NULL, 39032, 8),
(39289, NULL, 'PF01094', NULL, NULL, 'Receptor family ligand binding region', NULL, 'ANF_receptor', NULL, NULL, 4312, 8),
(39290, NULL, 'PF09425', NULL, NULL, 'Jas motif', NULL, 'Jas_motif', NULL, NULL, 21841, 8),
(39291, NULL, 'PF14996', NULL, NULL, 'Retinal Maintenance', NULL, 'RMP', NULL, NULL, 22156, 8),
(39292, NULL, 'PF19016', NULL, NULL, 'Domain of unknown function (DUF5745)', NULL, 'DUF5745', NULL, NULL, 38497, 8),
(39293, NULL, 'PF03398', NULL, NULL, 'Regulator of Vps4 activity in the MVB pathway', NULL, 'Ist1', NULL, NULL, 2194, 8),
(39294, NULL, 'PF19342', NULL, NULL, 'MGP3 C-terminal domain', NULL, 'MGP3_C', NULL, NULL, 38686, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39295, NULL, 'PF03528', NULL, NULL, 'Rabaptin', NULL, 'Rabaptin', NULL, NULL, 15401, 8),
(39296, NULL, 'PF17720', NULL, NULL, 'Family of unknown function (DUF5565)', NULL, 'DUF5565', NULL, NULL, 31131, 8),
(39297, NULL, 'PF05024', NULL, NULL, 'N-acetylglucosaminyl transferase component (Gpi1)', NULL, 'Gpi1', NULL, NULL, 1437, 8),
(39298, NULL, 'PF00038', NULL, NULL, 'Intermediate filament protein', NULL, 'Filament', NULL, NULL, 29912, 8),
(39299, NULL, 'PF06937', NULL, NULL, 'EURL protein', NULL, 'EURL', NULL, NULL, 11702, 8),
(39300, NULL, 'PF17272', NULL, NULL, 'Family of unknown function (DUF5337)', NULL, 'DUF5337', NULL, NULL, 20474, 8),
(39301, NULL, 'PF19184', NULL, NULL, 'Family of unknown function (DUF5866)', NULL, 'DUF5866', NULL, NULL, 37927, 8),
(39302, NULL, 'PF05541', NULL, NULL, 'Entomopoxvirus spheroidin protein', NULL, 'Spheroidin', NULL, NULL, 14378, 8),
(39303, NULL, 'PF12887', NULL, NULL, 'SICA extracellular alpha domain', NULL, 'SICA_alpha', NULL, NULL, 13953, 8),
(39304, NULL, 'PF12487', NULL, NULL, 'Protein of unknown function (DUF3703)', NULL, 'DUF3703', NULL, NULL, 21492, 8),
(39305, NULL, 'PF10277', NULL, NULL, 'Frag1/DRAM/Sfk1 family', NULL, 'Frag1', NULL, NULL, 16859, 8),
(39306, NULL, 'PF08798', NULL, NULL, 'CRISPR associated protein', NULL, 'CRISPR_assoc', NULL, NULL, 4130, 8),
(39307, NULL, 'PF16143', NULL, NULL, 'Domain of unknown function (DUF4851)', NULL, 'DUF4851', NULL, NULL, 23262, 8),
(39308, NULL, 'PF17233', NULL, NULL, 'Family of unknown function (DUF5308)', NULL, 'DUF5308', NULL, NULL, 20335, 8),
(39309, NULL, 'PF09356', NULL, NULL, 'Phage conserved hypothetical protein BR0599', NULL, 'Phage_BR0599', NULL, NULL, 15497, 8),
(39310, NULL, 'PF15766', NULL, NULL, 'Domain of unknown function (DUF4695)', NULL, 'DUF4695', NULL, NULL, 28528, 8),
(39311, NULL, 'PF01938', NULL, NULL, 'TRAM domain', NULL, 'TRAM', NULL, NULL, 4677, 8),
(39312, NULL, 'PF04425', NULL, NULL, 'Bul1 N terminus', NULL, 'Bul1_N', NULL, NULL, 10705, 8),
(39313, NULL, 'PF10690', NULL, NULL, 'Myticin pre-proprotein from the mussel', NULL, 'Myticin-prepro', NULL, NULL, 21447, 8),
(39314, NULL, 'PF16379', NULL, NULL, 'Domain of unknown function (DUF4989)', NULL, 'DUF4989', NULL, NULL, 22549, 8),
(39315, NULL, 'PF09670', NULL, NULL, 'CRISPR-associated protein (Cas_Cas02710)', NULL, 'Cas_Cas02710', NULL, NULL, NULL, 8),
(39316, NULL, 'PF13607', NULL, NULL, 'Succinyl-CoA ligase like flavodoxin domain', NULL, 'Succ_CoA_lig', NULL, NULL, 25657, 8),
(39317, NULL, 'PF10606', NULL, NULL, 'Homer-binding domain of metabotropic glutamate receptor', NULL, 'GluR_Homer-bdg', NULL, NULL, 20186, 8),
(39318, NULL, 'PF19421', NULL, NULL, 'Furry protein C-terminal', NULL, 'Fry_C', NULL, NULL, 38933, 8),
(39319, NULL, 'PF03954', NULL, NULL, 'Hepatic lectin, N-terminal domain', NULL, 'Lectin_N', NULL, NULL, NULL, 8),
(39320, NULL, 'PF11046', NULL, NULL, 'Transcriptional repressor of hyc and hyp operons', NULL, 'HycA_repressor', NULL, NULL, 17506, 8),
(39321, NULL, 'PF09022', NULL, NULL, 'Staphostatin A', NULL, 'Staphostatin_A', NULL, NULL, 9986, 8),
(39322, NULL, 'PF19463', NULL, NULL, 'Family of unknown function (DUF6000)', NULL, 'DUF6000', NULL, NULL, 39243, 8),
(39323, NULL, 'PF18322', NULL, NULL, 'Serine protease Clip domain PPAF-2', NULL, 'CLIP_1', NULL, NULL, 32031, 8),
(39324, NULL, 'PF00171', NULL, NULL, 'Aldehyde dehydrogenase family', NULL, 'Aldedh', NULL, NULL, 9811, 8),
(39325, NULL, 'PF03734', NULL, NULL, 'L,D-transpeptidase catalytic domain', NULL, 'YkuD', NULL, NULL, 772, 8),
(39326, NULL, 'PF11802', NULL, NULL, 'Centromere-associated protein K', NULL, 'CENP-K', NULL, NULL, 14699, 8),
(39327, NULL, 'PF12273', NULL, NULL, 'Chitin synthesis regulation, resistance to Congo red', NULL, 'RCR', NULL, NULL, 20852, 8),
(39328, NULL, 'PF16952', NULL, NULL, 'Glutamine synthetase N-terminal domain', NULL, 'Gln-synt_N_2', NULL, NULL, 7217, 8),
(39329, NULL, 'PF11265', NULL, NULL, 'Mediator complex subunit 25 von Willebrand factor type A', NULL, 'Med25_VWA', NULL, NULL, 18460, 8),
(39330, NULL, 'PF13557', NULL, NULL, 'Putative MetA-pathway of phenol degradation', NULL, 'Phenol_MetA_deg', NULL, NULL, 26497, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39331, NULL, 'PF18905', NULL, NULL, 'Protein of unknown function (DUF5661)', NULL, 'DUF5661', NULL, NULL, 38081, 8),
(39332, NULL, 'PF07023', NULL, NULL, 'Protein of unknown function (DUF1315)', NULL, 'DUF1315', NULL, NULL, 12952, 8),
(39333, NULL, 'PF00878', NULL, NULL, 'Cation-independent mannose-6-phosphate receptor repeat', NULL, 'CIMR', NULL, NULL, 5767, 8),
(39334, NULL, 'PF07308', NULL, NULL, 'Protein of unknown function (DUF1456)', NULL, 'DUF1456', NULL, NULL, 8487, 8),
(39335, NULL, 'PF15840', NULL, NULL, 'ADP-ribosylation factor-like protein 17', NULL, 'ARL17', NULL, NULL, 27078, 8),
(39336, NULL, 'PF05373', NULL, NULL, 'L-proline 3-hydroxylase, C-terminal', NULL, 'Pro_3_hydrox_C', NULL, NULL, 5369, 8),
(39337, NULL, 'PF16541', NULL, NULL, 'Alternaria alternata allergen 1', NULL, 'AltA1', NULL, NULL, 26518, 8),
(39338, NULL, 'PF02076', NULL, NULL, 'Pheromone A receptor', NULL, 'STE3', NULL, NULL, 6277, 8),
(39339, NULL, 'PF14952', NULL, NULL, 'Putative treble-clef, zinc-finger, Zn-binding', NULL, 'zf-tcix', NULL, NULL, 22393, 8),
(39340, NULL, 'PF04137', NULL, NULL, 'Endoplasmic Reticulum Oxidoreductin 1 (ERO1)', NULL, 'ERO1', NULL, NULL, 6913, 8),
(39341, NULL, 'PF16411', NULL, NULL, 'Outer membrane protein SusF_SusE', NULL, 'SusF_SusE', NULL, NULL, 24767, 8),
(39342, NULL, 'PF04629', NULL, NULL, 'Islet cell autoantigen ICA69, C-terminal domain', NULL, 'ICA69', NULL, NULL, 2417, 8),
(39343, NULL, 'PF05775', NULL, NULL, 'Enterobacteria AfaD invasin protein', NULL, 'AfaD', NULL, NULL, 7568, 8),
(39344, NULL, 'PF01678', NULL, NULL, 'Diaminopimelate epimerase', NULL, 'DAP_epimerase', NULL, NULL, 11297, 8),
(39345, NULL, 'PF15831', NULL, NULL, 'Domain of unknown function (DUF4713)', NULL, 'DUF4713', NULL, NULL, 28155, 8),
(39346, NULL, 'PF06289', NULL, NULL, 'Flagellar and Swarming motility proteins', NULL, 'FlbD', NULL, NULL, 8493, 8),
(39347, NULL, 'PF17128', NULL, NULL, 'Domain of unknown function (DUF5107)', NULL, 'DUF5107', NULL, NULL, 30200, 8),
(39348, NULL, 'PF15047', NULL, NULL, 'Protein of unknown function (DUF4533)', NULL, 'DUF4533', NULL, NULL, 27690, 8),
(39349, NULL, 'PF04499', NULL, NULL, 'SIT4 phosphatase-associated protein', NULL, 'SAPS', NULL, NULL, 2565, 8),
(39350, NULL, 'PF04267', NULL, NULL, 'Sarcosine oxidase, delta subunit family', NULL, 'SoxD', NULL, NULL, 3674, 8),
(39351, NULL, 'PF15143', NULL, NULL, 'Domain of unknown function (DUF4575)', NULL, 'DUF4575', NULL, NULL, 28096, 8),
(39352, NULL, 'PF02590', NULL, NULL, 'Predicted SPOUT methyltransferase', NULL, 'SPOUT_MTase', NULL, NULL, 4441, 8),
(39353, NULL, 'PF03804', NULL, NULL, 'Viral proteins of unknown function', NULL, 'DUF325', NULL, NULL, 2556, 8),
(39354, NULL, 'PF07231', NULL, NULL, 'Hs1pro-1 N-terminus', NULL, 'Hs1pro-1_N', NULL, NULL, 14580, 8),
(39355, NULL, 'PF06466', NULL, NULL, 'PCAF (P300/CBP-associated factor) N-terminal domain', NULL, 'PCAF_N', NULL, NULL, 9265, 8),
(39356, NULL, 'PF13242', NULL, NULL, 'HAD-hyrolase-like', NULL, 'Hydrolase_like', NULL, NULL, NULL, 8),
(39357, NULL, 'PF19618', NULL, NULL, 'Family of unknown function (DUF6123)', NULL, 'DUF6123', NULL, NULL, 39989, 8),
(39358, NULL, 'PF11388', NULL, NULL, 'Phagosome trafficking protein DotA', NULL, 'DotA', NULL, NULL, 18556, 8),
(39359, NULL, 'PF18298', NULL, NULL, 'NusG additional domain', NULL, 'NusG_add', NULL, NULL, 30140, 8),
(39360, NULL, 'PF15687', NULL, NULL, 'Nuclear receptor-interacting protein 1 repression 1', NULL, 'NRIP1_repr_1', NULL, NULL, 28113, 8),
(39361, NULL, 'PF00115', NULL, NULL, 'Cytochrome C and Quinol oxidase polypeptide I', NULL, 'COX1', NULL, NULL, 406, 8),
(39362, NULL, 'PF04807', NULL, NULL, 'Geminivirus AC4/5 conserved region', NULL, 'Gemini_AC4_5', NULL, NULL, 4535, 8),
(39363, NULL, 'PF14147', NULL, NULL, 'Sporulation protein YhaL', NULL, 'Spore_YhaL', NULL, NULL, 28201, 8),
(39364, NULL, 'PF00037', NULL, NULL, '4Fe-4S binding domain', NULL, 'Fer4', NULL, NULL, 13131, 8),
(39365, NULL, 'PF15802', NULL, NULL, 'DDB1- and CUL4-associated factor 17', NULL, 'DCAF17', NULL, NULL, 27934, 8),
(39366, NULL, 'PF10514', NULL, NULL, 'Pro-apoptotic Bcl-2 protein, BAD', NULL, 'Bcl-2_BAD', NULL, NULL, 21196, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39367, NULL, 'PF07954', NULL, NULL, 'Protein of unknown function (DUF1689)', NULL, 'DUF1689', NULL, NULL, 14854, 8),
(39368, NULL, 'PF11638', NULL, NULL, 'DnaA N-terminal domain', NULL, 'DnaA_N', NULL, NULL, 13634, 8),
(39369, NULL, 'PF13620', NULL, NULL, 'Carboxypeptidase regulatory-like domain', NULL, 'CarboxypepD_reg', NULL, NULL, NULL, 8),
(39370, NULL, 'PF00870', NULL, NULL, 'P53 DNA-binding domain', NULL, 'P53', NULL, NULL, 11626, 8),
(39371, NULL, 'PF07290', NULL, NULL, 'Protein of unknown function (DUF1449)', NULL, 'DUF1449', NULL, NULL, 11778, 8),
(39372, NULL, 'PF07666', NULL, NULL, 'M penetrans paralogue family 26', NULL, 'MpPF26', NULL, NULL, 10948, 8),
(39373, NULL, 'PF06585', NULL, NULL, 'Haemolymph juvenile hormone binding protein (JHBP)', NULL, 'JHBP', NULL, NULL, 8234, 8),
(39374, NULL, 'PF02126', NULL, NULL, 'Phosphotriesterase family', NULL, 'PTE', NULL, NULL, 5198, 8),
(39375, NULL, 'PF19188', NULL, NULL, 'Adhesion GPCR B N-terminal region', NULL, 'AGRB_N', NULL, NULL, 38159, 8),
(39376, NULL, 'PF11160', NULL, NULL, 'Hypervirulence associated proteins TUDOR domain', NULL, 'Hva1_TUDOR', NULL, NULL, 17864, 8),
(39377, NULL, 'PF04724', NULL, NULL, 'Glycosyltransferase family 17', NULL, 'Glyco_transf_17', NULL, NULL, 3745, 8),
(39378, NULL, 'PF05979', NULL, NULL, 'Bacterial protein of unknown function (DUF896)', NULL, 'DUF896', NULL, NULL, 13999, 8),
(39379, NULL, 'PF19862', NULL, NULL, 'Family of unknown function (DUF6336)', NULL, 'DUF6336', NULL, NULL, 39787, 8),
(39380, NULL, 'PF15791', NULL, NULL, 'Doublesex-and mab-3-related transcription factor C1 and C2', NULL, 'DMRT-like', NULL, NULL, 24822, 8),
(39381, NULL, 'PF00796', NULL, NULL, 'Photosystem I reaction centre subunit VIII', NULL, 'PSI_8', NULL, NULL, 242, 8),
(39382, NULL, 'PF02063', NULL, NULL, 'MARCKS family', NULL, 'MARCKS', NULL, NULL, 1389, 8),
(39383, NULL, 'PF06690', NULL, NULL, 'FeGP cofactor biosynthesis protein, methyltransferase HcgC', NULL, 'HcgC', NULL, NULL, 816, 8),
(39384, NULL, 'PF11950', NULL, NULL, 'Protein of unknown function (DUF3467)', NULL, 'DUF3467', NULL, NULL, 20423, 8),
(39385, NULL, 'PF02797', NULL, NULL, 'Chalcone and stilbene synthases, C-terminal domain', NULL, 'Chal_sti_synt_C', NULL, NULL, 12348, 8),
(39386, NULL, 'PF10944', NULL, NULL, 'Protein of unknown function (DUF2630)', NULL, 'DUF2630', NULL, NULL, 19673, 8),
(39387, NULL, 'PF11482', NULL, NULL, 'Protein of unknown function (DUF3208)', NULL, 'DUF3208', NULL, NULL, 18610, 8),
(39388, NULL, 'PF19353', NULL, NULL, 'Family of unknown function (DUF5930)', NULL, 'DUF5930', NULL, NULL, 39018, 8),
(39389, NULL, 'PF03821', NULL, NULL, 'Golgi 4-transmembrane spanning transporter', NULL, 'Mtp', NULL, NULL, 3443, 8),
(39390, NULL, 'PF07876', NULL, NULL, 'Stress responsive A/B Barrel Domain', NULL, 'Dabb', NULL, NULL, 18547, 8),
(39391, NULL, 'PF05354', NULL, NULL, 'Phage Head-Tail Attachment', NULL, 'Phage_attach', NULL, NULL, 5216, 8),
(39392, NULL, 'PF19756', NULL, NULL, 'Family of unknown function (DUF6243)', NULL, 'DUF6243', NULL, NULL, 39834, 8),
(39393, NULL, 'PF17405', NULL, NULL, 'Nrap protein nucleotidyltransferase domain 4', NULL, 'Nrap_D4', NULL, NULL, 33296, 8),
(39394, NULL, 'PF02545', NULL, NULL, 'Maf-like protein', NULL, 'Maf', NULL, NULL, 2033, 8),
(39395, NULL, 'PF08882', NULL, NULL, 'Acetone carboxylase gamma subunit', NULL, 'Acetone_carb_G', NULL, NULL, 21546, 8),
(39396, NULL, 'PF19455', NULL, NULL, 'Family of unknown function (DUF5993)', NULL, 'DUF5993', NULL, NULL, 39356, 8),
(39397, NULL, 'PF14134', NULL, NULL, 'Domain of unknown function (DUF4301)', NULL, 'DUF4301', NULL, NULL, 28415, 8),
(39398, NULL, 'PF02233', NULL, NULL, 'NAD(P) transhydrogenase beta subunit', NULL, 'PNTB', NULL, NULL, 26698, 8),
(39399, NULL, 'PF05973', NULL, NULL, 'Phage derived protein Gp49-like (DUF891)', NULL, 'Gp49', NULL, NULL, 12877, 8),
(39400, NULL, 'PF06361', NULL, NULL, 'Rice tungro bacilliform virus P12 protein', NULL, 'RTBV_P12', NULL, NULL, 8133, 8),
(39401, NULL, 'PF06966', NULL, NULL, 'Protein of unknown function (DUF1295)', NULL, 'DUF1295', NULL, NULL, 10243, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39402, NULL, 'PF19876', NULL, NULL, 'Family of unknown function (DUF6349)', NULL, 'DUF6349', NULL, NULL, 39426, 8),
(39403, NULL, 'PF08033', NULL, NULL, 'Sec23/Sec24 beta-sandwich domain', NULL, 'Sec23_BS', NULL, NULL, 12322, 8),
(39404, NULL, 'PF17852', NULL, NULL, 'Dynein heavy chain AAA lid domain', NULL, 'Dynein_AAA_lid', NULL, NULL, 32298, 8),
(39405, NULL, 'PF01763', NULL, NULL, 'Herpesvirus UL6 like', NULL, 'Herpes_UL6', NULL, NULL, 2751, 8),
(39406, NULL, 'PF08593', NULL, NULL, 'Domain of unknown function', NULL, 'DUF1773', NULL, NULL, 18423, 8),
(39407, NULL, 'PF02112', NULL, NULL, 'cAMP phosphodiesterases class-II', NULL, 'PDEase_II', NULL, NULL, 6791, 8),
(39408, NULL, 'PF17304', NULL, NULL, 'Family of unknown function (DUF5353)', NULL, 'DUF5353', NULL, NULL, 33266, 8),
(39409, NULL, 'PF02609', NULL, NULL, 'Exonuclease VII small subunit', NULL, 'Exonuc_VII_S', NULL, NULL, 2140, 8),
(39410, NULL, 'PF08210', NULL, NULL, 'APOBEC-like N-terminal domain', NULL, 'APOBEC_N', NULL, NULL, 8753, 8),
(39411, NULL, 'PF11644', NULL, NULL, 'Protein of unknown function (DUF3256)', NULL, 'DUF3256', NULL, NULL, 19250, 8),
(39412, NULL, 'PF10899', NULL, NULL, 'Putative abortive phage resistance protein AbiGi, antitoxin', NULL, 'AbiGi', NULL, NULL, 17678, 8),
(39413, NULL, 'PF15697', NULL, NULL, 'Domain of unknown function (DUF4666)', NULL, 'DUF4666', NULL, NULL, 27915, 8),
(39414, NULL, 'PF09469', NULL, NULL, 'Cordon-bleu ubiquitin-like domain', NULL, 'Cobl', NULL, NULL, 16394, 8),
(39415, NULL, 'PF13816', NULL, NULL, 'Haem-containing dehydratase', NULL, 'Dehydratase_hem', NULL, NULL, 24595, 8),
(39416, NULL, 'PF15502', NULL, NULL, 'M-phase-specific PLK1-interacting protein', NULL, 'MPLKIP', NULL, NULL, 23997, 8),
(39417, NULL, 'PF02725', NULL, NULL, 'Non-structural protein C', NULL, 'Paramyxo_NS_C', NULL, NULL, 4265, 8),
(39418, NULL, 'PF05368', NULL, NULL, 'NmrA-like family', NULL, 'NmrA', NULL, NULL, 5007, 8),
(39419, NULL, 'PF03996', NULL, NULL, 'Hemagglutinin esterase', NULL, 'Hema_esterase', NULL, NULL, 104, 8),
(39420, NULL, 'PF07776', NULL, NULL, 'Zinc-finger associated domain (zf-AD)', NULL, 'zf-AD', NULL, NULL, 8217, 8),
(39421, NULL, 'PF06725', NULL, NULL, '3D domain', NULL, '3D', NULL, NULL, 8221, 8),
(39422, NULL, 'PF01229', NULL, NULL, 'Glycosyl hydrolases family 39', NULL, 'Glyco_hydro_39', NULL, NULL, 6993, 8),
(39423, NULL, 'PF10065', NULL, NULL, 'Uncharacterized conserved protein (DUF2303)', NULL, 'DUF2303', NULL, NULL, 20266, 8),
(39424, NULL, 'PF13356', NULL, NULL, 'Arm DNA-binding domain', NULL, 'Arm-DNA-bind_3', NULL, NULL, 27757, 8),
(39425, NULL, 'PF04442', NULL, NULL, 'Cytochrome c oxidase assembly protein CtaG/Cox11', NULL, 'CtaG_Cox11', NULL, NULL, 10540, 8),
(39426, NULL, 'PF06336', NULL, NULL, 'Coronavirus 5a protein', NULL, 'Corona_5a', NULL, NULL, 8030, 8),
(39427, NULL, 'PF00674', NULL, NULL, 'DUP family', NULL, 'DUP', NULL, NULL, 2390, 8),
(39428, NULL, 'PF13109', NULL, NULL, 'AsmA-like C-terminal region', NULL, 'AsmA_1', NULL, NULL, 33208, 8),
(39429, NULL, 'PF13943', NULL, NULL, 'WPP domain', NULL, 'WPP', NULL, NULL, 23925, 8),
(39430, NULL, 'PF02750', NULL, NULL, 'Synapsin, ATP binding domain', NULL, 'Synapsin_C', NULL, NULL, 20501, 8),
(39431, NULL, 'PF02784', NULL, NULL, 'Pyridoxal-dependent decarboxylase, pyridoxal binding domain', NULL, 'Orn_Arg_deC_N', NULL, NULL, 17097, 8),
(39432, NULL, 'PF16800', NULL, NULL, 'IseA DL-endopeptidase inhibitor', NULL, 'Endopep_inhib', NULL, NULL, 22930, 8),
(39433, NULL, 'PF06305', NULL, NULL, 'Lipopolysaccharide assembly protein A domain', NULL, 'LapA_dom', NULL, NULL, 10234, 8),
(39434, NULL, 'PF16310', NULL, NULL, 'Domian of unknown function (DUF4952)', NULL, 'DUF4952', NULL, NULL, 27976, 8),
(39435, NULL, 'PF03603', NULL, NULL, 'DNA polymerase III psi subunit', NULL, 'DNA_III_psi', NULL, NULL, 2024, 8),
(39436, NULL, 'PF05189', NULL, NULL, 'RNA 3''-terminal phosphate cyclase (RTC), insert domain', NULL, 'RTC_insert', NULL, NULL, 8242, 8),
(39437, NULL, 'PF04309', NULL, NULL, 'Glycerol-3-phosphate responsive antiterminator', NULL, 'G3P_antiterm', NULL, NULL, 2252, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39438, NULL, 'PF09735', NULL, NULL, 'Membrane-associated apoptosis protein', NULL, 'Nckap1', NULL, NULL, 17724, 8),
(39439, NULL, 'PF00958', NULL, NULL, 'GMP synthase C terminal domain', NULL, 'GMP_synt_C', NULL, NULL, 3014, 8),
(39440, NULL, 'PF07453', NULL, NULL, 'NUMOD1 domain', NULL, 'NUMOD1', NULL, NULL, 12224, 8),
(39441, NULL, 'PF03824', NULL, NULL, 'High-affinity nickel-transport protein', NULL, 'NicO', NULL, NULL, 12269, 8),
(39442, NULL, 'PF05411', NULL, NULL, 'Equine arteritis virus putative proteinase', NULL, 'Peptidase_C32', NULL, NULL, 21724, 8),
(39443, NULL, 'PF18779', NULL, NULL, 'Capping Ribonuclease inhibitor Leucine Rich Repeat', NULL, 'LRR_RI_capping', NULL, NULL, 31402, 8),
(39444, NULL, 'PF14536', NULL, NULL, 'Domain of unknown function (DUF4441)', NULL, 'DUF4441', NULL, NULL, 24862, 8),
(39445, NULL, 'PF09893', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2120)', NULL, 'DUF2120', NULL, NULL, 11666, 8),
(39446, NULL, 'PF06720', NULL, NULL, 'Bacteriophage phi-29 early protein GP16.7', NULL, 'Phi-29_GP16_7', NULL, NULL, 1696, 8),
(39447, NULL, 'PF09514', NULL, NULL, 'SSXRD motif', NULL, 'SSXRD', NULL, NULL, 16272, 8),
(39448, NULL, 'PF08819', NULL, NULL, 'Domain of unknown function (DUF1802)', NULL, 'DUF1802', NULL, NULL, 14293, 8),
(39449, NULL, 'PF10031', NULL, NULL, 'Small integral membrane protein (DUF2273)', NULL, 'DUF2273', NULL, NULL, 18557, 8),
(39450, NULL, 'PF04609', NULL, NULL, 'Methyl-coenzyme M reductase operon protein C', NULL, 'MCR_C', NULL, NULL, 23480, 8),
(39451, NULL, 'PF02296', NULL, NULL, 'Alpha adaptin AP2, C-terminal domain', NULL, 'Alpha_adaptin_C', NULL, NULL, 1763, 8),
(39452, NULL, 'PF02602', NULL, NULL, 'Uroporphyrinogen-III synthase HemD', NULL, 'HEM4', NULL, NULL, 2108, 8),
(39453, NULL, 'PF04455', NULL, NULL, 'LOR/SDH bifunctional enzyme conserved region', NULL, 'Saccharop_dh_N', NULL, NULL, 3535, 8),
(39454, NULL, 'PF12218', NULL, NULL, 'N terminal extension of bacteriophage endosialidase', NULL, 'End_N_terminal', NULL, NULL, 28712, 8),
(39455, NULL, 'PF16233', NULL, NULL, 'Domain of unknown function (DUF4893)', NULL, 'DUF4893', NULL, NULL, 27766, 8),
(39456, NULL, 'PF19160', NULL, NULL, 'SPARK', NULL, 'SPARK', NULL, NULL, 37111, 8),
(39457, NULL, 'PF16688', NULL, NULL, 'Replicase polyprotein N-term from Coronavirus nsp1', NULL, 'CNV-Replicase_N', NULL, NULL, 27862, 8),
(39458, NULL, 'PF10220', NULL, NULL, 'Smg8_Smg9', NULL, 'Smg8_Smg9', NULL, NULL, 15764, 8),
(39459, NULL, 'PF18143', NULL, NULL, 'HAD domain in Swiss Army Knife RNA repair proteins', NULL, 'HAD_SAK_2', NULL, NULL, NULL, 8),
(39460, NULL, 'PF16536', NULL, NULL, 'PNKP adenylyltransferase domain, C-terminal region', NULL, 'PNKP-ligase_C', NULL, NULL, 25690, 8),
(39461, NULL, 'PF09718', NULL, NULL, 'Lambda phage tail tape-measure protein (Tape_meas_lam_C)', NULL, 'Tape_meas_lam_C', NULL, NULL, 6597, 8),
(39462, NULL, 'PF09989', NULL, NULL, 'CoA enzyme activase uncharacterised domain (DUF2229)', NULL, 'DUF2229', NULL, NULL, 17824, 8),
(39463, NULL, 'PF07714', NULL, NULL, 'Protein tyrosine and serine/threonine kinase', NULL, 'PK_Tyr_Ser-Thr', NULL, NULL, 774, 8),
(39464, NULL, 'PF12458', NULL, NULL, 'ATPase involved in DNA repair', NULL, 'DUF3686', NULL, NULL, 14562, 8),
(39465, NULL, 'PF17082', NULL, NULL, 'Spindle Pole Component 29', NULL, 'Spc29', NULL, NULL, 25620, 8),
(39466, NULL, 'PF04537', NULL, NULL, 'Herpesvirus UL55 protein', NULL, 'Herpes_UL55', NULL, NULL, 2688, 8),
(39467, NULL, 'PF06671', NULL, NULL, 'Repeat of unknown function (DUF1174)', NULL, 'DUF1174', NULL, NULL, 10171, 8),
(39468, NULL, 'PF06841', NULL, NULL, 'T4-like virus tail tube protein gp19', NULL, 'Phage_T4_gp19', NULL, NULL, 9059, 8),
(39469, NULL, 'PF13028', NULL, NULL, 'Protein of unknown function (DUF3889)', NULL, 'DUF3889', NULL, NULL, 22538, 8),
(39470, NULL, 'PF19901', NULL, NULL, 'Family of unknown function (DUF6374)', NULL, 'DUF6374', NULL, NULL, 39186, 8),
(39471, NULL, 'PF10870', NULL, NULL, 'Protein of unknown function (DUF2729)', NULL, 'DUF2729', NULL, NULL, 16505, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39472, NULL, 'PF19367', NULL, NULL, 'Domain of unknown function (DUF5943)', NULL, 'DUF5943', NULL, NULL, 39202, 8),
(39473, NULL, 'PF17801', NULL, NULL, 'Alpha galactosidase C-terminal beta sandwich domain', NULL, 'Melibiase_C', NULL, NULL, 32871, 8),
(39474, NULL, 'PF15317', NULL, NULL, 'Cardiac transcription factor regulator, Developmental protein', NULL, 'Lbh', NULL, NULL, 33175, 8),
(39475, NULL, 'PF15035', NULL, NULL, 'Ciliary rootlet component, centrosome cohesion', NULL, 'Rootletin', NULL, NULL, NULL, 8),
(39476, NULL, 'PF01238', NULL, NULL, 'Phosphomannose isomerase type I', NULL, 'PMI_typeI', NULL, NULL, 5182, 8),
(39477, NULL, 'PF11083', NULL, NULL, 'Lantibiotic streptin immunity protein', NULL, 'Streptin-Immun', NULL, NULL, 15303, 8),
(39478, NULL, 'PF01308', NULL, NULL, 'Chlamydia major outer membrane protein', NULL, 'Chlam_OMP', NULL, NULL, 5830, 8),
(39479, NULL, 'PF10895', NULL, NULL, 'Domain of unknown function (DUF2715)', NULL, 'DUF2715', NULL, NULL, 26062, 8),
(39480, NULL, 'PF09309', NULL, NULL, 'FCP1, C-terminal', NULL, 'FCP1_C', NULL, NULL, 14074, 8),
(39481, NULL, 'PF03969', NULL, NULL, 'AFG1-like ATPase', NULL, 'AFG1_ATPase', NULL, NULL, 2912, 8),
(39482, NULL, 'PF04239', NULL, NULL, 'Protein of unknown function (DUF421)', NULL, 'DUF421', NULL, NULL, 5535, 8),
(39483, NULL, 'PF18982', NULL, NULL, 'Family of unknown function (DUF5716)', NULL, 'DUF5716', NULL, NULL, 37766, 8),
(39484, NULL, 'PF12825', NULL, NULL, 'Domain of unknown function in PX-proteins (DUF3818)', NULL, 'DUF3818', NULL, NULL, 22158, 8),
(39485, NULL, 'PF01671', NULL, NULL, 'African swine fever virus multigene family 360 protein', NULL, 'ASFV_360', NULL, NULL, 1756, 8),
(39486, NULL, 'PF02902', NULL, NULL, 'Ulp1 protease family, C-terminal catalytic domain', NULL, 'Peptidase_C48', NULL, NULL, 1020, 8),
(39487, NULL, 'PF16729', NULL, NULL, 'Domain of unknown function (DUF5067)', NULL, 'DUF5067', NULL, NULL, 23889, 8),
(39488, NULL, 'PF14122', NULL, NULL, 'YokU-like protein, putative antitoxin', NULL, 'YokU', NULL, NULL, 14790, 8),
(39489, NULL, 'PF12413', NULL, NULL, 'Homeobox protein distal-less-like N terminal', NULL, 'DLL_N', NULL, NULL, 21302, 8),
(39490, NULL, 'PF13579', NULL, NULL, 'Glycosyl transferase 4-like domain', NULL, 'Glyco_trans_4_4', NULL, NULL, 26174, 8),
(39491, NULL, 'PF13467', NULL, NULL, 'Ribbon-helix-helix domain', NULL, 'RHH_4', NULL, NULL, 25166, 8),
(39492, NULL, 'PF02463', NULL, NULL, 'RecF/RecN/SMC N terminal domain', NULL, 'SMC_N', NULL, NULL, 5206, 8),
(39493, NULL, 'PF07590', NULL, NULL, 'Protein of unknown function (DUF1556)', NULL, 'DUF1556', NULL, NULL, 13697, 8),
(39494, NULL, 'PF14695', NULL, NULL, 'Lines C-terminus', NULL, 'LINES_C', NULL, NULL, 21886, 8),
(39495, NULL, 'PF15325', NULL, NULL, 'Modulator of retrovirus infection', NULL, 'MRI', NULL, NULL, 28768, 8),
(39496, NULL, 'PF18368', NULL, NULL, 'Exo-beta-D-glucosaminidase Ig-fold domain', NULL, 'Ig_GlcNase', NULL, NULL, 31601, 8),
(39497, NULL, 'PF05561', NULL, NULL, 'Borrelia burgdorferi protein of unknown function (DUF764)', NULL, 'DUF764', NULL, NULL, 12474, 8),
(39498, NULL, 'PF18391', NULL, NULL, 'CHIP N-terminal tetratricopeptide repeat domain', NULL, 'CHIP_TPR_N', NULL, NULL, 32420, 8),
(39499, NULL, 'PF02024', NULL, NULL, 'Leptin', NULL, 'Leptin', NULL, NULL, 3815, 8),
(39500, NULL, 'PF17022', NULL, NULL, 'Polar tube protein 2 from Microsporidia', NULL, 'PTP2', NULL, NULL, 23285, 8),
(39501, NULL, 'PF17897', NULL, NULL, 'Vanadium chloroperoxidase N-terminal domain', NULL, 'VCPO_N', NULL, NULL, 31298, 8),
(39502, NULL, 'PF19530', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit 2 N-terminal', NULL, 'Ndh2_N', NULL, NULL, 38917, 8),
(39503, NULL, 'PF04334', NULL, NULL, 'Protein of unknown function (DUF478)', NULL, 'DUF478', NULL, NULL, 3543, 8),
(39504, NULL, 'PF14033', NULL, NULL, 'Protein of unknown function (DUF4246)', NULL, 'DUF4246', NULL, NULL, 22640, 8),
(39505, NULL, 'PF16514', NULL, NULL, 'putative NADH-ubiquinone oxidoreductase chain E', NULL, 'NADH-UOR_E', NULL, NULL, 24476, 8),
(39506, NULL, 'PF02928', NULL, NULL, 'C5HC2 zinc finger', NULL, 'zf-C5HC2', NULL, NULL, 2931, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39507, NULL, 'PF13925', NULL, NULL, 'con80 domain of Katanin', NULL, 'Katanin_con80', NULL, NULL, 24306, 8),
(39508, NULL, 'PF14505', NULL, NULL, 'Domain of unknown function (DUF4438)', NULL, 'DUF4438', NULL, NULL, 29359, 8),
(39509, NULL, 'PF02059', NULL, NULL, 'Interleukin-3', NULL, 'IL3', NULL, NULL, 1138, 8),
(39510, NULL, 'PF10245', NULL, NULL, 'Mitochondrial 28S ribosomal protein S22', NULL, 'MRP-S22', NULL, NULL, 15670, 8),
(39511, NULL, 'PF14468', NULL, NULL, 'Protein of unknown function (DUF4427)', NULL, 'DUF4427', NULL, NULL, 27802, 8),
(39512, NULL, 'PF18136', NULL, NULL, 'DNA mitochondrial polymerase exonuclease domain', NULL, 'DNApol_Exo', NULL, NULL, 32079, 8),
(39513, NULL, 'PF18271', NULL, NULL, 'Glycoside hydrolase 131 catalytic N-terminal domain', NULL, 'GH131_N', NULL, NULL, 32297, 8),
(39514, NULL, 'PF00295', NULL, NULL, 'Glycosyl hydrolases family 28', NULL, 'Glyco_hydro_28', NULL, NULL, 3647, 8),
(39515, NULL, 'PF17045', NULL, NULL, 'Centrosomal protein of 63 kDa', NULL, 'CEP63', NULL, NULL, 28973, 8),
(39516, NULL, 'PF17613', NULL, NULL, 'Modifier of transcription', NULL, 'motB', NULL, NULL, 19710, 8),
(39517, NULL, 'PF00159', NULL, NULL, 'Pancreatic hormone peptide', NULL, 'Hormone_3', NULL, NULL, 2207, 8),
(39518, NULL, 'PF01138', NULL, NULL, '3'' exoribonuclease family, domain 1', NULL, 'RNase_PH', NULL, NULL, 916, 8),
(39519, NULL, 'PF05108', NULL, NULL, 'Type VII secretion system ESX-1, transport TM domain B', NULL, 'T7SS_ESX1_EccB', NULL, NULL, 2223, 8),
(39520, NULL, 'PF08751', NULL, NULL, 'TrwC relaxase', NULL, 'TrwC', NULL, NULL, 13139, 8),
(39521, NULL, 'PF03126', NULL, NULL, 'Plus-3 domain', NULL, 'Plus-3', NULL, NULL, 4524, 8),
(39522, NULL, 'PF03107', NULL, NULL, 'C1 domain', NULL, 'C1_2', NULL, NULL, 2963, 8),
(39523, NULL, 'PF02213', NULL, NULL, 'GYF domain', NULL, 'GYF', NULL, NULL, 1906, 8),
(39524, NULL, 'PF18084', NULL, NULL, 'ARTD15 N-terminal domain', NULL, 'ARTD15_N', NULL, NULL, 31891, 8),
(39525, NULL, 'PF04616', NULL, NULL, 'Glycosyl hydrolases family 43', NULL, 'Glyco_hydro_43', NULL, NULL, 2312, 8),
(39526, NULL, 'PF14149', NULL, NULL, 'YhfH-like protein', NULL, 'YhfH', NULL, NULL, 28347, 8),
(39527, NULL, 'PF18203', NULL, NULL, 'IPTL-CTERM motif', NULL, 'IPTL-CTERM', NULL, NULL, 24183, 8),
(39528, NULL, 'PF19469', NULL, NULL, 'Family of unknown function (DUF6006)', NULL, 'DUF6006', NULL, NULL, 39085, 8),
(39529, NULL, 'PF06534', NULL, NULL, 'Repulsive guidance molecule (RGM) C-terminus', NULL, 'RGM_C', NULL, NULL, 9103, 8),
(39530, NULL, 'PF00646', NULL, NULL, 'F-box domain', NULL, 'F-box', NULL, NULL, 4824, 8),
(39531, NULL, 'PF15291', NULL, NULL, 'Dermcidin, antibiotic peptide', NULL, 'Dermcidin', NULL, NULL, 22733, 8),
(39532, NULL, 'PF12420', NULL, NULL, 'Protein of unknown function', NULL, 'DUF3671', NULL, NULL, 21037, 8),
(39533, NULL, 'PF15838', NULL, NULL, 'LLLL and CFNLAS motif-containing protein 1', NULL, 'LLCFC1', NULL, NULL, 27270, 8),
(39534, NULL, 'PF15721', NULL, NULL, 'Annexin-2 receptor', NULL, 'ANXA2R', NULL, NULL, 25098, 8),
(39535, NULL, 'PF03265', NULL, NULL, 'Deoxyribonuclease II', NULL, 'DNase_II', NULL, NULL, 2873, 8),
(39536, NULL, 'PF06046', NULL, NULL, 'Exocyst complex component Sec6', NULL, 'Sec6', NULL, NULL, 8984, 8),
(39537, NULL, 'PF07302', NULL, NULL, 'AroM protein', NULL, 'AroM', NULL, NULL, 11530, 8),
(39538, NULL, 'PF10788', NULL, NULL, 'Protein of unknown function (DUF2603)', NULL, 'DUF2603', NULL, NULL, 21061, 8),
(39539, NULL, 'PF13690', NULL, NULL, 'Chemotaxis phosphatase CheX', NULL, 'CheX', NULL, NULL, 27557, 8),
(39540, NULL, 'PF13778', NULL, NULL, 'Domain of unknown function (DUF4174)', NULL, 'DUF4174', NULL, NULL, 23869, 8),
(39541, NULL, 'PF16178', NULL, NULL, 'Dimerisation domain of Ca+-activated chloride-channel, anoctamin', NULL, 'Anoct_dimer', NULL, NULL, 22361, 8),
(39542, NULL, 'PF19780', NULL, NULL, 'Domain of unknown function (DUF6265)', NULL, 'DUF6265', NULL, NULL, 39633, 8),
(39543, NULL, 'PF01015', NULL, NULL, 'Ribosomal S3Ae family', NULL, 'Ribosomal_S3Ae', NULL, NULL, 5082, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39544, NULL, 'PF16974', NULL, NULL, 'High-affinity nitrate transporter accessory', NULL, 'NAR2', NULL, NULL, 19568, 8),
(39545, NULL, 'PF07168', NULL, NULL, 'Ureide permease', NULL, 'Ureide_permease', NULL, NULL, 13686, 8),
(39546, NULL, 'PF02313', NULL, NULL, 'Fumarate reductase subunit D', NULL, 'Fumarate_red_D', NULL, NULL, 5288, 8),
(39547, NULL, 'PF18369', NULL, NULL, 'Polyketide synthase dimerisation element domain', NULL, 'PKS_DE', NULL, NULL, 32548, 8),
(39548, NULL, 'PF08067', NULL, NULL, 'ROKNT (NUC014) domain', NULL, 'ROKNT', NULL, NULL, 12050, 8),
(39549, NULL, 'PF16612', NULL, NULL, 'C-terminal unstructured region of RGS12', NULL, 'RGS12_usC', NULL, NULL, NULL, 8),
(39550, NULL, 'PF00282', NULL, NULL, 'Pyridoxal-dependent decarboxylase conserved domain', NULL, 'Pyridoxal_deC', NULL, NULL, 1022, 8),
(39551, NULL, 'PF10242', NULL, NULL, 'Lipoma HMGIC fusion partner-like protein', NULL, 'L_HMGIC_fpl', NULL, NULL, 15828, 8),
(39552, NULL, 'PF20065', NULL, NULL, 'Family of unknown function (DUF6464)', NULL, 'DUF6464', NULL, NULL, 39617, 8),
(39553, NULL, 'PF13045', NULL, NULL, 'Protein of unknown function (DUF3905)', NULL, 'DUF3905', NULL, NULL, 23677, 8),
(39554, NULL, 'PF04214', NULL, NULL, 'Protein of unknown function, DUF', NULL, 'DUF411', NULL, NULL, 5115, 8),
(39555, NULL, 'PF16962', NULL, NULL, 'Putative ABC exporter', NULL, 'ABC_export', NULL, NULL, 23261, 8),
(39556, NULL, 'PF03802', NULL, NULL, 'Apo-citrate lyase phosphoribosyl-dephospho-CoA transferase', NULL, 'CitX', NULL, NULL, 1657, 8),
(39557, NULL, 'PF18406', NULL, NULL, 'Ferredoxin-like domain in Api92-like protein', NULL, 'DUF1281_C', NULL, NULL, 33052, 8),
(39558, NULL, 'PF07479', NULL, NULL, 'NAD-dependent glycerol-3-phosphate dehydrogenase C-terminus', NULL, 'NAD_Gly3P_dh_C', NULL, NULL, 10175, 8),
(39559, NULL, 'PF09189', NULL, NULL, 'Domain of unknown function (DUF1952)', NULL, 'DUF1952', NULL, NULL, 12763, 8),
(39560, NULL, 'PF01137', NULL, NULL, 'RNA 3''-terminal phosphate cyclase', NULL, 'RTC', NULL, NULL, 16934, 8),
(39561, NULL, 'PF19116', NULL, NULL, 'Domain of unknown function (DUF5801)', NULL, 'DUF5801', NULL, NULL, 38086, 8),
(39562, NULL, 'PF07389', NULL, NULL, 'Protein of unknown function (DUF1500)', NULL, 'DUF1500', NULL, NULL, 8429, 8),
(39563, NULL, 'PF06156', NULL, NULL, 'Initiation control protein YabA', NULL, 'YabA', NULL, NULL, 9574, 8),
(39564, NULL, 'PF18936', NULL, NULL, 'Family of unknown function (DUF5684)', NULL, 'DUF5684', NULL, NULL, 36517, 8),
(39565, NULL, 'PF16922', NULL, NULL, 'DNA replication complex GINS protein SLD5 C-terminus', NULL, 'SLD5_C', NULL, NULL, 26935, 8),
(39566, NULL, 'PF17631', NULL, NULL, 'Family of unknown function (DUF5512)', NULL, 'DUF5512', NULL, NULL, 21469, 8),
(39567, NULL, 'PF13195', NULL, NULL, 'Protein of unknown function (DUF4011)', NULL, 'DUF4011', NULL, NULL, 22607, 8),
(39568, NULL, 'PF16568', NULL, NULL, 'Tyrosine-rich domain of Sam68', NULL, 'Sam68-YY', NULL, NULL, 26628, 8),
(39569, NULL, 'PF09142', NULL, NULL, 'tRNA Pseudouridine synthase II, C terminal', NULL, 'TruB_C', NULL, NULL, 10829, 8),
(39570, NULL, 'PF04757', NULL, NULL, 'Pex2 / Pex12 amino terminal region', NULL, 'Pex2_Pex12', NULL, NULL, 4041, 8),
(39571, NULL, 'PF16047', NULL, NULL, 'Frog antimicrobial peptide', NULL, 'Antimicrobial22', NULL, NULL, 22732, 8),
(39572, NULL, 'PF11798', NULL, NULL, 'IMS family HHH motif', NULL, 'IMS_HHH', NULL, NULL, 7097, 8),
(39573, NULL, 'PF13999', NULL, NULL, 'MarB protein', NULL, 'MarB', NULL, NULL, 23730, 8),
(39574, NULL, 'PF13593', NULL, NULL, 'SBF-like CPA transporter family (DUF4137)', NULL, 'SBF_like', NULL, NULL, 16026, 8),
(39575, NULL, 'PF02149', NULL, NULL, 'Kinase associated domain 1', NULL, 'KA1', NULL, NULL, 3301, 8),
(39576, NULL, 'PF12709', NULL, NULL, 'Fungal Transforming acidic coiled-coil (TACC) proteins', NULL, 'Fungal_TACC', NULL, NULL, 23100, 8),
(39577, NULL, 'PF11567', NULL, NULL, 'Plasmodium falciparum UIS3 membrane protein', NULL, 'PfUIS3', NULL, NULL, 19188, 8),
(39578, NULL, 'PF14087', NULL, NULL, 'Domain of unknown function (DUF4267)', NULL, 'DUF4267', NULL, NULL, 23015, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39579, NULL, 'PF02133', NULL, NULL, 'Permease for cytosine/purines, uracil, thiamine, allantoin', NULL, 'Transp_cyt_pur', NULL, NULL, 2256, 8),
(39580, NULL, 'PF10007', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2250)', NULL, 'DUF2250', NULL, NULL, 20255, 8),
(39581, NULL, 'PF16512', NULL, NULL, 'p190-A and -B Rho GAPs FF domain', NULL, 'RhoGAP-FF1', NULL, NULL, 26818, 8),
(39582, NULL, 'PF01785', NULL, NULL, 'Closterovirus coat protein', NULL, 'Closter_coat', NULL, NULL, 2946, 8),
(39583, NULL, 'PF05666', NULL, NULL, 'Fels-1 Prophage Protein-like', NULL, 'Fels1', NULL, NULL, 14469, 8),
(39584, NULL, 'PF07334', NULL, NULL, 'Interferon-induced 35 kDa protein (IFP 35) N-terminus', NULL, 'IFP_35_N', NULL, NULL, 8369, 8),
(39585, NULL, 'PF00533', NULL, NULL, 'BRCA1 C Terminus (BRCT) domain', NULL, 'BRCT', NULL, NULL, 7359, 8),
(39586, NULL, 'PF13327', NULL, NULL, 'Type III secretion system subunit', NULL, 'T3SS_LEE_assoc', NULL, NULL, 27741, 8),
(39587, NULL, 'PF14297', NULL, NULL, 'Domain of unknown function (DUF4373)', NULL, 'DUF4373', NULL, NULL, 21525, 8),
(39588, NULL, 'PF06904', NULL, NULL, 'Extensin-like protein C-terminus', NULL, 'Extensin-like_C', NULL, NULL, 11972, 8),
(39589, NULL, 'PF19525', NULL, NULL, 'Ets1 N-terminal flanking region of Ets domain', NULL, 'Ets1_N_flank', NULL, NULL, 38893, 8),
(39590, NULL, 'PF17485', NULL, NULL, 'Satellite RNA 48 kDa protein', NULL, 'SatRNA_48', NULL, NULL, 15831, 8),
(39591, NULL, 'PF15096', NULL, NULL, 'G6B family', NULL, 'G6B', NULL, NULL, 28776, 8),
(39592, NULL, 'PF08040', NULL, NULL, 'MNLL subunit', NULL, 'NADH_oxidored', NULL, NULL, 9640, 8),
(39593, NULL, 'PF02221', NULL, NULL, 'ML domain', NULL, 'E1_DerP2_DerF2', NULL, NULL, 1771, 8),
(39594, NULL, 'PF13480', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_6', NULL, NULL, 34778, 8),
(39595, NULL, 'PF07214', NULL, NULL, 'Protein of unknown function (DUF1418)', NULL, 'DUF1418', NULL, NULL, 11144, 8),
(39596, NULL, 'PF15506', NULL, NULL, 'OCC1 family', NULL, 'OCC1', NULL, NULL, 25111, 8),
(39597, NULL, 'PF11756', NULL, NULL, 'Nitrous oxide-stimulated promoter', NULL, 'YgbA_NO', NULL, NULL, 21285, 8),
(39598, NULL, 'PF13438', NULL, NULL, 'Domain of unknown function (DUF4113)', NULL, 'DUF4113', NULL, NULL, 23150, 8),
(39599, NULL, 'PF15820', NULL, NULL, 'Endothelial cell-specific chemotaxis regulator', NULL, 'ECSCR', NULL, NULL, 26278, 8),
(39600, NULL, 'PF11910', NULL, NULL, 'Cyanobacterial and plant NDH-1 subunit O', NULL, 'NdhO', NULL, NULL, 14592, 8),
(39601, NULL, 'PF08516', NULL, NULL, 'ADAM cysteine-rich', NULL, 'ADAM_CR', NULL, NULL, 461, 8),
(39602, NULL, 'PF07834', NULL, NULL, 'RanGAP1 C-terminal domain', NULL, 'RanGAP1_C', NULL, NULL, 7960, 8),
(39603, NULL, 'PF13937', NULL, NULL, 'Domain of unknown function (DUF4212)', NULL, 'DUF4212', NULL, NULL, 18461, 8),
(39604, NULL, 'PF14633', NULL, NULL, 'SH2 domain', NULL, 'SH2_2', NULL, NULL, 18340, 8),
(39605, NULL, 'PF11108', NULL, NULL, 'Viral glycoprotein L', NULL, 'Phage_glycop_gL', NULL, NULL, 13871, 8),
(39606, NULL, 'PF07249', NULL, NULL, 'Cerato-platanin', NULL, 'Cerato-platanin', NULL, NULL, 11474, 8),
(39607, NULL, 'PF16570', NULL, NULL, 'Gram-positive pilin backbone subunit 3, Cna-B-like domain', NULL, 'GramPos_pilinD3', NULL, NULL, 26898, 8),
(39608, NULL, 'PF19186', NULL, NULL, 'Family of unknown function (DUF5868)', NULL, 'DUF5868', NULL, NULL, 37933, 8),
(39609, NULL, 'PF02560', NULL, NULL, 'Cyanate lyase C-terminal domain', NULL, 'Cyanate_lyase', NULL, NULL, 2203, 8),
(39610, NULL, 'PF07336', NULL, NULL, 'Putative stress-induced transcription regulator', NULL, 'ABATE', NULL, NULL, 11887, 8),
(39611, NULL, 'PF14198', NULL, NULL, 'Transposon-encoded protein TnpV', NULL, 'TnpV', NULL, NULL, 27556, 8),
(39612, NULL, 'PF09115', NULL, NULL, 'DNA polymerase III, delta subunit, C terminal', NULL, 'DNApol3-delta_C', NULL, NULL, 10773, 8),
(39613, NULL, 'PF13476', NULL, NULL, 'AAA domain', NULL, 'AAA_23', NULL, NULL, 34100, 8),
(39614, NULL, 'PF06025', NULL, NULL, 'Domain of Unknown Function (DUF913)', NULL, 'DUF913', NULL, NULL, 8797, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39615, NULL, 'PF10359', NULL, NULL, 'RNA pol II promoter Fmp27 protein domain', NULL, 'Fmp27_WPPW', NULL, NULL, 17814, 8),
(39616, NULL, 'PF19407', NULL, NULL, 'Domain of unknown function (DUF5979)', NULL, 'DUF5979', NULL, NULL, 39433, 8),
(39617, NULL, 'PF01556', NULL, NULL, 'DnaJ C terminal domain', NULL, 'DnaJ_C', NULL, NULL, 6646, 8),
(39618, NULL, 'PF02756', NULL, NULL, 'GYR motif', NULL, 'GYR', NULL, NULL, 930, 8),
(39619, NULL, 'PF09168', NULL, NULL, 'X-Prolyl dipeptidyl aminopeptidase PepX, N-terminal', NULL, 'PepX_N', NULL, NULL, 12720, 8),
(39620, NULL, 'PF03833', NULL, NULL, 'DNA polymerase II large subunit DP2', NULL, 'PolC_DP2', NULL, NULL, 9307, 8),
(39621, NULL, 'PF00523', NULL, NULL, 'Fusion glycoprotein F0', NULL, 'Fusion_gly', NULL, NULL, 3730, 8),
(39622, NULL, 'PF02021', NULL, NULL, 'Uncharacterised protein family UPF0102', NULL, 'UPF0102', NULL, NULL, 6270, 8),
(39623, NULL, 'PF04678', NULL, NULL, 'Mitochondrial calcium uniporter', NULL, 'MCU', NULL, NULL, 3473, 8),
(39624, NULL, 'PF14309', NULL, NULL, 'Domain of unknown function (DUF4378)', NULL, 'DUF4378', NULL, NULL, 28421, 8),
(39625, NULL, 'PF10480', NULL, NULL, 'Beta-1 integrin binding protein', NULL, 'ICAP-1_inte_bdg', NULL, NULL, 18585, 8),
(39626, NULL, 'PF14192', NULL, NULL, 'Domain of unknown function (DUF4314)', NULL, 'DUF4314', NULL, NULL, 28066, 8),
(39627, NULL, 'PF18288', NULL, NULL, 'Fumarylacetoacetase N-terminal domain 2', NULL, 'FAA_hydro_N_2', NULL, NULL, 31405, 8),
(39628, NULL, 'PF00662', NULL, NULL, 'NADH-Ubiquinone oxidoreductase (complex I), chain 5 N-terminus', NULL, 'Proton_antipo_N', NULL, NULL, 3413, 8),
(39629, NULL, 'PF09953', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2187)', NULL, 'DUF2187', NULL, NULL, 17994, 8),
(39630, NULL, 'PF04383', NULL, NULL, 'KilA-N domain', NULL, 'KilA-N', NULL, NULL, 19494, 8),
(39631, NULL, 'PF01402', NULL, NULL, 'Ribbon-helix-helix protein, copG family', NULL, 'RHH_1', NULL, NULL, 5187, 8),
(39632, NULL, 'PF05718', NULL, NULL, 'Poxvirus intermediate transcription factor', NULL, 'Pox_int_trans', NULL, NULL, 14467, 8),
(39633, NULL, 'PF17530', NULL, NULL, 'Non-structural protein NS3', NULL, 'NS3', NULL, NULL, 15285, 8),
(39634, NULL, 'PF02542', NULL, NULL, 'YgbB family', NULL, 'YgbB', NULL, NULL, 6289, 8),
(39635, NULL, 'PF09731', NULL, NULL, 'Mitochondrial inner membrane protein', NULL, 'Mitofilin', NULL, NULL, 17820, 8),
(39636, NULL, 'PF12773', NULL, NULL, 'Double zinc ribbon', NULL, 'DZR', NULL, NULL, 27071, 8),
(39637, NULL, 'PF08414', NULL, NULL, 'Respiratory burst NADPH oxidase', NULL, 'NADPH_Ox', NULL, NULL, 11094, 8),
(39638, NULL, 'PF02311', NULL, NULL, 'AraC-like ligand binding domain', NULL, 'AraC_binding', NULL, NULL, 3978, 8),
(39639, NULL, 'PF10809', NULL, NULL, 'Protein of unknown function (DUF2732)', NULL, 'DUF2732', NULL, NULL, 18515, 8),
(39640, NULL, 'PF13811', NULL, NULL, 'Domain of unknown function (DUF4186)', NULL, 'DUF4186', NULL, NULL, 20315, 8),
(39641, NULL, 'PF06465', NULL, NULL, 'Domain of Unknown Function (DUF1087)', NULL, 'DUF1087', NULL, NULL, 9167, 8),
(39642, NULL, 'PF14703', NULL, NULL, 'Cytosolic domain of 10TM putative phosphate transporter', NULL, 'PHM7_cyt', NULL, NULL, 22983, 8),
(39643, NULL, 'PF09454', NULL, NULL, 'Vps23 core domain', NULL, 'Vps23_core', NULL, NULL, 2694, 8),
(39644, NULL, 'PF15237', NULL, NULL, 'PTRF/SDPR family', NULL, 'PTRF_SDPR', NULL, NULL, 27777, 8),
(39645, NULL, 'PF09875', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2102)', NULL, 'DUF2102', NULL, NULL, 11242, 8),
(39646, NULL, 'PF19763', NULL, NULL, 'Domain of unknown function (DUF6250)', NULL, 'DUF6250', NULL, NULL, 39847, 8),
(39647, NULL, 'PF12490', NULL, NULL, 'Breast carcinoma amplified sequence 3', NULL, 'BCAS3', NULL, NULL, 21137, 8),
(39648, NULL, 'PF00227', NULL, NULL, 'Proteasome subunit', NULL, 'Proteasome', NULL, NULL, 2294, 8),
(39649, NULL, 'PF18053', NULL, NULL, 'DNA gyrase B subunit insert domain', NULL, 'GyrB_insert', NULL, NULL, 31886, 8),
(39650, NULL, 'PF08111', NULL, NULL, 'Pea-VEAacid family', NULL, 'Pea-VEAacid', NULL, NULL, 9939, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39651, NULL, 'PF05419', NULL, NULL, 'GUN4-like', NULL, 'GUN4', NULL, NULL, 14479, 8),
(39652, NULL, 'PF05865', NULL, NULL, 'Cypovirus polyhedrin protein', NULL, 'Cypo_polyhedrin', NULL, NULL, 12125, 8),
(39653, NULL, 'PF08438', NULL, NULL, 'GTPase of unknown function C-terminal', NULL, 'MMR_HSR1_C', NULL, NULL, 12150, 8),
(39654, NULL, 'PF03241', NULL, NULL, '4-hydroxyphenylacetate 3-hydroxylase C terminal', NULL, 'HpaB', NULL, NULL, 26134, 8),
(39655, NULL, 'PF07332', NULL, NULL, 'Putative Actinobacterial Holin-X, holin superfamily III', NULL, 'Phage_holin_3_6', NULL, NULL, 8480, 8),
(39656, NULL, 'PF10137', NULL, NULL, 'Predicted nucleotide-binding protein containing TIR-like domain', NULL, 'TIR-like', NULL, NULL, 15355, 8),
(39657, NULL, 'PF11892', NULL, NULL, 'Domain of unknown function (DUF3412)', NULL, 'DUF3412', NULL, NULL, 20154, 8),
(39658, NULL, 'PF18949', NULL, NULL, 'Family of unknown function (DUF5693)', NULL, 'DUF5693', NULL, NULL, 38469, 8),
(39659, NULL, 'PF11379', NULL, NULL, 'Protein of unknown function (DUF3182)', NULL, 'DUF3182', NULL, NULL, 18841, 8),
(39660, NULL, 'PF12377', NULL, NULL, 'Duffy binding protein N terminal', NULL, 'DuffyBP_N', NULL, NULL, 15298, 8),
(39661, NULL, 'PF15930', NULL, NULL, 'Domain of unknown function', NULL, 'YdiH', NULL, NULL, 27451, 8),
(39662, NULL, 'PF18296', NULL, NULL, 'MID domain of medPIWI', NULL, 'MID_MedPIWI', NULL, NULL, 32040, 8),
(39663, NULL, 'PF10516', NULL, NULL, 'SHNi-TPR', NULL, 'SHNi-TPR', NULL, NULL, 19027, 8),
(39664, NULL, 'PF19565', NULL, NULL, 'Family of unknown function (DUF6087)', NULL, 'DUF6087', NULL, NULL, 37255, 8),
(39665, NULL, 'PF06232', NULL, NULL, 'Embryo-specific protein 3, (ATS3)', NULL, 'ATS3', NULL, NULL, 9896, 8),
(39666, NULL, 'PF12261', NULL, NULL, 'Thermostable hemolysin', NULL, 'T_hemolysin', NULL, NULL, 20872, 8),
(39667, NULL, 'PF08762', NULL, NULL, 'CRPV capsid protein like', NULL, 'CRPV_capsid', NULL, NULL, 13188, 8),
(39668, NULL, 'PF17478', NULL, NULL, 'Rotavirus VP4 helical domain', NULL, 'VP4_helical', NULL, NULL, 9857, 8),
(39669, NULL, 'PF18959', NULL, NULL, 'Family of unknown function (DUF5701)', NULL, 'DUF5701', NULL, NULL, 37363, 8),
(39670, NULL, 'PF07208', NULL, NULL, 'Protein of unknown function (DUF1414)', NULL, 'DUF1414', NULL, NULL, 14611, 8),
(39671, NULL, 'PF19220', NULL, NULL, 'Crescentin protein', NULL, 'Crescentin', NULL, NULL, 37722, 8),
(39672, NULL, 'PF15544', NULL, NULL, 'Bacterial toxin 6', NULL, 'Ntox6', NULL, NULL, 22800, 8),
(39673, NULL, 'PF01498', NULL, NULL, 'Transposase', NULL, 'HTH_Tnp_Tc3_2', NULL, NULL, 993, 8),
(39674, NULL, 'PF02410', NULL, NULL, 'Ribosomal silencing factor during starvation', NULL, 'RsfS', NULL, NULL, NULL, 8),
(39675, NULL, 'PF12438', NULL, NULL, 'Protein of unknown function (DUF3679)', NULL, 'DUF3679', NULL, NULL, 20109, 8),
(39676, NULL, 'PF18496', NULL, NULL, 'Collagenase G catalytic helper subdomain', NULL, 'ColG_sub', NULL, NULL, 31542, 8),
(39677, NULL, 'PF00458', NULL, NULL, 'WHEP-TRS domain', NULL, 'WHEP-TRS', NULL, NULL, 3720, 8),
(39678, NULL, 'PF17605', NULL, NULL, 'Family of unknown function (DUF5501)', NULL, 'DUF5501', NULL, NULL, 20408, 8),
(39679, NULL, 'PF05684', NULL, NULL, 'Protein of unknown function (DUF819)', NULL, 'DUF819', NULL, NULL, 13420, 8),
(39680, NULL, 'PF08074', NULL, NULL, 'CHDCT2 (NUC038) domain', NULL, 'CHDCT2', NULL, NULL, 12124, 8),
(39681, NULL, 'PF00608', NULL, NULL, 'Adenoviral fibre protein (repeat/shaft region)', NULL, 'Adeno_shaft', NULL, NULL, 190, 8),
(39682, NULL, 'PF06186', NULL, NULL, 'Protein of unknown function (DUF992)', NULL, 'DUF992', NULL, NULL, 14743, 8),
(39683, NULL, 'PF02509', NULL, NULL, 'Rotavirus non-structural protein 35', NULL, 'Rota_NS35', NULL, NULL, 1064, 8),
(39684, NULL, 'PF06172', NULL, NULL, 'Cupin superfamily (DUF985)', NULL, 'Cupin_5', NULL, NULL, 14903, 8),
(39685, NULL, 'PF10272', NULL, NULL, 'Putative transmembrane protein precursor', NULL, 'Tmpp129', NULL, NULL, 19144, 8),
(39686, NULL, 'PF10461', NULL, NULL, 'Peptidase S68', NULL, 'Peptidase_S68', NULL, NULL, 18852, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39687, NULL, 'PF06739', NULL, NULL, 'Beta-propeller repeat', NULL, 'SBBP', NULL, NULL, 8206, 8),
(39688, NULL, 'PF13415', NULL, NULL, 'Galactose oxidase, central domain', NULL, 'Kelch_3', NULL, NULL, NULL, 8),
(39689, NULL, 'PF19443', NULL, NULL, 'DAHL domain', NULL, 'DAHL', NULL, NULL, 36633, 8),
(39690, NULL, 'PF12720', NULL, NULL, 'Protein of unknown function (DUF3807)', NULL, 'DUF3807', NULL, NULL, 25727, 8),
(39691, NULL, 'PF14974', NULL, NULL, 'Protein C10', NULL, 'P_C10', NULL, NULL, 27999, 8),
(39692, NULL, 'PF14668', NULL, NULL, 'Rapamycin-insensitive companion of mTOR, domain 5', NULL, 'RICTOR_V', NULL, NULL, 24641, 8),
(39693, NULL, 'PF18769', NULL, NULL, 'APOBEC1', NULL, 'APOBEC1', NULL, NULL, NULL, 8),
(39694, NULL, 'PF09385', NULL, NULL, 'Histidine kinase N terminal', NULL, 'HisK_N', NULL, NULL, 15768, 8),
(39695, NULL, 'PF13475', NULL, NULL, 'Domain of unknown function (DUF4116)', NULL, 'DUF4116', NULL, NULL, 23019, 8),
(39696, NULL, 'PF18710', NULL, NULL, 'ComR tetratricopeptide', NULL, 'ComR_TPR', NULL, NULL, 31090, 8),
(39697, NULL, 'PF19822', NULL, NULL, 'Family of unknown function (DUF6304)', NULL, 'DUF6304', NULL, NULL, 39654, 8),
(39698, NULL, 'PF11113', NULL, NULL, 'Head assembly gene product', NULL, 'Phage_head_chap', NULL, NULL, 15210, 8),
(39699, NULL, 'PF19470', NULL, NULL, 'Family of unknown function (DUF6007)', NULL, 'DUF6007', NULL, NULL, 39078, 8),
(39700, NULL, 'PF01481', NULL, NULL, 'Arterivirus nucleocapsid protein', NULL, 'Arteri_nucleo', NULL, NULL, 969, 8),
(39701, NULL, 'PF00812', NULL, NULL, 'Ephrin', NULL, 'Ephrin', NULL, NULL, 3101, 8),
(39702, NULL, 'PF11135', NULL, NULL, 'Protein of unknown function (DUF2888)', NULL, 'DUF2888', NULL, NULL, 16555, 8),
(39703, NULL, 'PF11687', NULL, NULL, 'Domain of unknown function (DUF3284)', NULL, 'DUF3284', NULL, NULL, 19812, 8),
(39704, NULL, 'PF12392', NULL, NULL, 'Collagenase', NULL, 'DUF3656', NULL, NULL, 14590, 8),
(39705, NULL, 'PF15006', NULL, NULL, 'Domain of unknown function (DUF4517)', NULL, 'DUF4517', NULL, NULL, 22916, 8),
(39706, NULL, 'PF16274', NULL, NULL, 'Qua1 domain', NULL, 'Qua1', NULL, NULL, 22140, 8),
(39707, NULL, 'PF16661', NULL, NULL, 'Metallo-beta-lactamase superfamily domain', NULL, 'Lactamase_B_6', NULL, NULL, 2193, 8),
(39708, NULL, 'PF19878', NULL, NULL, 'Tannase-like family of unknown function (DUF6351)', NULL, 'DUF6351', NULL, NULL, 39963, 8),
(39709, NULL, 'PF20033', NULL, NULL, 'Domain of unknown function (DUF6438)', NULL, 'DUF6438', NULL, NULL, 38624, 8),
(39710, NULL, 'PF04413', NULL, NULL, '3-Deoxy-D-manno-octulosonic-acid transferase (kdotransferase)', NULL, 'Glycos_transf_N', NULL, NULL, 10456, 8),
(39711, NULL, 'PF01807', NULL, NULL, 'CHC2 zinc finger', NULL, 'zf-CHC2', NULL, NULL, 3663, 8),
(39712, NULL, 'PF06007', NULL, NULL, 'Phosphonate metabolism protein PhnJ', NULL, 'PhnJ', NULL, NULL, 8169, 8),
(39713, NULL, 'PF16523', NULL, NULL, 'betaPIX coiled coil', NULL, 'betaPIX_CC', NULL, NULL, 26919, 8),
(39714, NULL, 'PF00865', NULL, NULL, 'Osteopontin', NULL, 'Osteopontin', NULL, NULL, 2066, 8),
(39715, NULL, 'PF07506', NULL, NULL, 'RepB plasmid partitioning protein', NULL, 'RepB', NULL, NULL, 11255, 8),
(39716, NULL, 'PF13614', NULL, NULL, 'AAA domain', NULL, 'AAA_31', NULL, NULL, 25134, 8),
(39717, NULL, 'PF12563', NULL, NULL, 'Hemolytic toxin N terminal', NULL, 'Hemolysin_N', NULL, NULL, 21039, 8),
(39718, NULL, 'PF03906', NULL, NULL, 'Phage T7 tail fibre protein', NULL, 'Phage_T7_tail', NULL, NULL, 2840, 8),
(39719, NULL, 'PF02927', NULL, NULL, 'Cellulase N-terminal ig-like domain', NULL, 'CelD_N', NULL, NULL, 2564, 8),
(39720, NULL, 'PF05160', NULL, NULL, 'DSS1/SEM1 family', NULL, 'DSS1_SEM1', NULL, NULL, 2036, 8),
(39721, NULL, 'PF12417', NULL, NULL, 'Zinc finger protein', NULL, 'DUF3669', NULL, NULL, 21113, 8),
(39722, NULL, 'PF00899', NULL, NULL, 'ThiF family', NULL, 'ThiF', NULL, NULL, 5504, 8),
(39723, NULL, 'PF15173', NULL, NULL, 'FAM180 family', NULL, 'FAM180', NULL, NULL, 21529, 8),
(39724, NULL, 'PF05277', NULL, NULL, 'Protein of unknown function (DUF726)', NULL, 'DUF726', NULL, NULL, 4396, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39725, NULL, 'PF05663', NULL, NULL, 'Protein of unknown function (DUF809)', NULL, 'DUF809', NULL, NULL, 13360, 8),
(39726, NULL, 'PF19551', NULL, NULL, 'Family of unknown function (DUF6074)', NULL, 'DUF6074', NULL, NULL, 37421, 8),
(39727, NULL, 'PF08030', NULL, NULL, 'Ferric reductase NAD binding domain', NULL, 'NAD_binding_6', NULL, NULL, 18569, 8),
(39728, NULL, 'PF15906', NULL, NULL, 'Zinc-finger of nitric oxide synthase-interacting protein', NULL, 'zf-NOSIP', NULL, NULL, 22648, 8),
(39729, NULL, 'PF02987', NULL, NULL, 'Late embryogenesis abundant protein', NULL, 'LEA_4', NULL, NULL, 3679, 8),
(39730, NULL, 'PF19869', NULL, NULL, 'Family of unknown function (DUF6342)', NULL, 'DUF6342', NULL, NULL, 39157, 8),
(39731, NULL, 'PF08782', NULL, NULL, 'c-SKI Smad4 binding domain', NULL, 'c-SKI_SMAD_bind', NULL, NULL, 13113, 8),
(39732, NULL, 'PF02175', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srb', NULL, '7TM_GPCR_Srb', NULL, NULL, 6214, 8),
(39733, NULL, 'PF14776', NULL, NULL, 'Cation-channel complex subunit UNC-79', NULL, 'UNC-79', NULL, NULL, NULL, 8),
(39734, NULL, 'PF09563', NULL, NULL, 'LlaJI restriction endonuclease', NULL, 'RE_LlaJI', NULL, NULL, 15687, 8),
(39735, NULL, 'PF18289', NULL, NULL, 'CCDC81 eukaryotic HU domain 2', NULL, 'HU-CCDC81_euk_2', NULL, NULL, 30407, 8),
(39736, NULL, 'PF13625', NULL, NULL, 'Helicase conserved C-terminal domain', NULL, 'Helicase_C_3', NULL, NULL, 22324, 8),
(39737, NULL, 'PF14608', NULL, NULL, 'RNA-binding, Nab2-type zinc finger', NULL, 'zf-CCCH_2', NULL, NULL, NULL, 8),
(39738, NULL, 'PF03832', NULL, NULL, 'WSK motif', NULL, 'WSK', NULL, NULL, 5328, 8),
(39739, NULL, 'PF18604', NULL, NULL, 'Pre ATP-grasp domain', NULL, 'PreAtp-grasp', NULL, NULL, 31123, 8),
(39740, NULL, 'PF14575', NULL, NULL, 'Ephrin type-A receptor 2 transmembrane domain', NULL, 'EphA2_TM', NULL, NULL, 25606, 8),
(39741, NULL, 'PF02834', NULL, NULL, 'LigT like Phosphoesterase', NULL, 'LigT_PEase', NULL, NULL, 9691, 8),
(39742, NULL, 'PF19803', NULL, NULL, 'Family of unknown function (DUF6286)', NULL, 'DUF6286', NULL, NULL, 39665, 8),
(39743, NULL, 'PF07268', NULL, NULL, 'Exported protein precursor (EppA/BapA)', NULL, 'EppA_BapA', NULL, NULL, 14963, 8),
(39744, NULL, 'PF02491', NULL, NULL, 'SHS2 domain inserted in FTSA', NULL, 'SHS2_FTSA', NULL, NULL, 6181, 8),
(39745, NULL, 'PF15278', NULL, NULL, 'Sec3 exocyst complex subunit', NULL, 'Sec3_C_2', NULL, NULL, 22969, 8),
(39746, NULL, 'PF14910', NULL, NULL, 'S-phase genomic integrity recombination mediator, N-terminal', NULL, 'MMS22L_N', NULL, NULL, 26414, 8),
(39747, NULL, 'PF16111', NULL, NULL, 'Domain of unknown function (DUF4829)', NULL, 'DUF4829', NULL, NULL, 24665, 8),
(39748, NULL, 'PF18672', NULL, NULL, 'Family of unknown function (DUF5634) N-terminal domain', NULL, 'DUF5634_N', NULL, NULL, 30203, 8),
(39749, NULL, 'PF18489', NULL, NULL, 'Alpha helical domain', NULL, 'Alpha_Helical', NULL, NULL, 31124, 8),
(39750, NULL, 'PF08335', NULL, NULL, 'GlnD PII-uridylyltransferase', NULL, 'GlnD_UR_UTase', NULL, NULL, 13191, 8),
(39751, NULL, 'PF05026', NULL, NULL, 'Dcp2, box A domain', NULL, 'DCP2', NULL, NULL, 1059, 8),
(39752, NULL, 'PF14398', NULL, NULL, 'YheC/D like ATP-grasp', NULL, 'ATPgrasp_YheCD', NULL, NULL, 22580, 8),
(39753, NULL, 'PF01251', NULL, NULL, 'Ribosomal protein S7e', NULL, 'Ribosomal_S7e', NULL, NULL, 5930, 8),
(39754, NULL, 'PF07997', NULL, NULL, 'Protein of unknown function (DUF1694)', NULL, 'DUF1694', NULL, NULL, 8565, 8),
(39755, NULL, 'PF09296', NULL, NULL, 'NADH pyrophosphatase-like rudimentary NUDIX domain', NULL, 'NUDIX-like', NULL, NULL, 14360, 8),
(39756, NULL, 'PF13679', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_32', NULL, NULL, 25918, 8),
(39757, NULL, 'PF03039', NULL, NULL, 'Interleukin-12 alpha subunit', NULL, 'IL12', NULL, NULL, 4871, 8),
(39758, NULL, 'PF15655', NULL, NULL, 'NTF2 fold immunity protein', NULL, 'Imm-NTF2', NULL, NULL, 26788, 8),
(39759, NULL, 'PF05869', NULL, NULL, 'DNA N-6-adenine-methyltransferase (Dam)', NULL, 'Dam', NULL, NULL, 14205, 8),
(39760, NULL, 'PF01400', NULL, NULL, 'Astacin (Peptidase family M12A)', NULL, 'Astacin', NULL, NULL, 4053, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39761, NULL, 'PF17835', NULL, NULL, 'NOG1 N-terminal helical domain', NULL, 'NOG1_N', NULL, NULL, 32018, 8),
(39762, NULL, 'PF18222', NULL, NULL, 'PilN biogenesis protein dimerization domain', NULL, 'PilN_bio_d', NULL, NULL, 34989, 8),
(39763, NULL, 'PF12913', NULL, NULL, 'SH3 domain (SH3b1 type)', NULL, 'SH3_6', NULL, NULL, 36129, 8),
(39764, NULL, 'PF17685', NULL, NULL, 'Family of unknown function (DUF5533)', NULL, 'DUF5533', NULL, NULL, 31270, 8),
(39765, NULL, 'PF05711', NULL, NULL, 'Macrocin-O-methyltransferase (TylF)', NULL, 'TylF', NULL, NULL, 7863, 8),
(39766, NULL, 'PF13139', NULL, NULL, 'Domain of unknown function (DUF3981)', NULL, 'DUF3981', NULL, NULL, 23016, 8),
(39767, NULL, 'PF17959', NULL, NULL, 'EF-hand domain', NULL, 'EF-hand_14', NULL, NULL, 32260, 8),
(39768, NULL, 'PF11690', NULL, NULL, 'Protein of unknown function (DUF3287)', NULL, 'DUF3287', NULL, NULL, 19988, 8),
(39769, NULL, 'PF00779', NULL, NULL, 'BTK motif', NULL, 'BTK', NULL, NULL, 5075, 8),
(39770, NULL, 'PF02113', NULL, NULL, 'D-Ala-D-Ala carboxypeptidase 3 (S13) family', NULL, 'Peptidase_S13', NULL, NULL, 6681, 8),
(39771, NULL, 'PF09383', NULL, NULL, 'NIL domain', NULL, 'NIL', NULL, NULL, 17441, 8),
(39772, NULL, 'PF03552', NULL, NULL, 'Cellulose synthase', NULL, 'Cellulose_synt', NULL, NULL, 4367, 8),
(39773, NULL, 'PF13527', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_9', NULL, NULL, NULL, 8),
(39774, NULL, 'PF20103', NULL, NULL, 'Family of unknown function (DUF6493)', NULL, 'DUF6493', NULL, NULL, 38774, 8),
(39775, NULL, 'PF05235', NULL, NULL, 'CHAD domain', NULL, 'CHAD', NULL, NULL, 3048, 8),
(39776, NULL, 'PF00309', NULL, NULL, 'Sigma-54 factor, Activator interacting domain (AID)', NULL, 'Sigma54_AID', NULL, NULL, 4850, 8),
(39777, NULL, 'PF03940', NULL, NULL, 'Male specific sperm protein', NULL, 'MSSP', NULL, NULL, 2897, 8),
(39778, NULL, 'PF11931', NULL, NULL, 'SF3a60/Prp9 C-terminal', NULL, 'SF3a60_Prp9_C', NULL, NULL, 28664, 8),
(39779, NULL, 'PF18494', NULL, NULL, 'Pullulanase Ins domain', NULL, 'Pullulanase_Ins', NULL, NULL, 31222, 8),
(39780, NULL, 'PF06664', NULL, NULL, 'Wnt-binding factor required for Wnt secretion', NULL, 'MIG-14_Wnt-bd', NULL, NULL, NULL, 8),
(39781, NULL, 'PF18086', NULL, NULL, 'Diphosphoinositol pentakisphosphate kinase 2 N-terminal domain', NULL, 'PPIP5K2_N', NULL, NULL, 29104, 8),
(39782, NULL, 'PF15376', NULL, NULL, 'Domain of unknown function (DUF4603)', NULL, 'DUF4603', NULL, NULL, 27650, 8),
(39783, NULL, 'PF08559', NULL, NULL, 'Cut8, nuclear proteasome tether protein', NULL, 'Cut8', NULL, NULL, 9787, 8),
(39784, NULL, 'PF09293', NULL, NULL, 'T4 RNase H, C terminal', NULL, 'RNaseH_C', NULL, NULL, 29071, 8),
(39785, NULL, 'PF03248', NULL, NULL, 'Rer1 family', NULL, 'Rer1', NULL, NULL, 1612, 8),
(39786, NULL, 'PF10881', NULL, NULL, 'Protein of unknown function (DUF2726)', NULL, 'DUF2726', NULL, NULL, 22981, 8),
(39787, NULL, 'PF17212', NULL, NULL, 'Tail tubular protein', NULL, 'Tube', NULL, NULL, 34196, 8),
(39788, NULL, 'PF18272', NULL, NULL, 'single-stranded DNA binding TraI N-terminal subdomain', NULL, 'ssDNA_TraI_N', NULL, NULL, 31249, 8),
(39789, NULL, 'PF15709', NULL, NULL, 'Domain of unknown function (DUF4670)', NULL, 'DUF4670', NULL, NULL, 27014, 8),
(39790, NULL, 'PF05930', NULL, NULL, 'Prophage CP4-57 regulatory protein (AlpA)', NULL, 'Phage_AlpA', NULL, NULL, 7546, 8),
(39791, NULL, 'PF00714', NULL, NULL, 'Interferon gamma', NULL, 'IFN-gamma', NULL, NULL, 1392, 8),
(39792, NULL, 'PF09355', NULL, NULL, 'Phage protein Gp19/Gp15/Gp42', NULL, 'Phage_Gp19', NULL, NULL, 15251, 8),
(39793, NULL, 'PF01796', NULL, NULL, 'DUF35 OB-fold domain, acyl-CoA-associated', NULL, 'OB_aCoA_assoc', NULL, NULL, 5571, 8),
(39794, NULL, 'PF18785', NULL, NULL, 'Invertebrate-AID/APOBEC-deaminase', NULL, 'Inv-AAD', NULL, NULL, NULL, 8),
(39795, NULL, 'PF05433', NULL, NULL, 'Glycine zipper 2TM domain', NULL, 'Rick_17kDa_Anti', NULL, NULL, 14109, 8),
(39796, NULL, 'PF08693', NULL, NULL, 'Transmembrane alpha-helix domain', NULL, 'SKG6', NULL, NULL, 11715, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39797, NULL, 'PF11606', NULL, NULL, 'Family 31 carbohydrate binding protein', NULL, 'AlcCBM31', NULL, NULL, 15296, 8),
(39798, NULL, 'PF11239', NULL, NULL, 'Protein of unknown function (DUF3040)', NULL, 'DUF3040', NULL, NULL, 18105, 8),
(39799, NULL, 'PF14524', NULL, NULL, 'Wzt C-terminal domain', NULL, 'Wzt_C', NULL, NULL, 27478, 8),
(39800, NULL, 'PF17603', NULL, NULL, 'Family of unknown function (DUF5499)', NULL, 'DUF5499', NULL, NULL, 34857, 8),
(39801, NULL, 'PF07778', NULL, NULL, 'Mis6', NULL, 'CENP-I', NULL, NULL, 11834, 8),
(39802, NULL, 'PF02683', NULL, NULL, 'Cytochrome C biogenesis protein transmembrane region', NULL, 'DsbD', NULL, NULL, 3179, 8),
(39803, NULL, 'PF15365', NULL, NULL, 'Proline-rich nuclear receptor coactivator motif', NULL, 'PNRC', NULL, NULL, NULL, 8),
(39804, NULL, 'PF04625', NULL, NULL, 'DEC-1 protein, N-terminal region', NULL, 'DEC-1_N', NULL, NULL, 2054, 8),
(39805, NULL, 'PF10613', NULL, NULL, 'Ligated ion channel L-glutamate- and glycine-binding site', NULL, 'Lig_chan-Glu_bd', NULL, NULL, 20465, 8),
(39806, NULL, 'PF07201', NULL, NULL, 'HrpJ-like domain', NULL, 'HrpJ', NULL, NULL, 11035, 8),
(39807, NULL, 'PF13022', NULL, NULL, 'Helix-turn-helix of insertion element transposase', NULL, 'HTH_Tnp_1_2', NULL, NULL, 22582, 8),
(39808, NULL, 'PF05767', NULL, NULL, 'Poxvirus virion envelope protein A14', NULL, 'Pox_A14', NULL, NULL, 12342, 8),
(39809, NULL, 'PF02428', NULL, NULL, 'Potato type II proteinase inhibitor family', NULL, 'Prot_inhib_II', NULL, NULL, 6489, 8),
(39810, NULL, 'PF08230', NULL, NULL, 'CW_7 repeat', NULL, 'CW_7', NULL, NULL, 8756, 8),
(39811, NULL, 'PF18448', NULL, NULL, 'Carbohydrate binding domain', NULL, 'CBM46', NULL, NULL, 31876, 8),
(39812, NULL, 'PF15852', NULL, NULL, 'Domain of unknown function (DUF4724)', NULL, 'DUF4724', NULL, NULL, 27147, 8),
(39813, NULL, 'PF19796', NULL, NULL, 'Family of unknown function (DUF6280)', NULL, 'DUF6280', NULL, NULL, 39829, 8),
(39814, NULL, 'PF05367', NULL, NULL, 'Phage endonuclease I', NULL, 'Phage_endo_I', NULL, NULL, 5017, 8),
(39815, NULL, 'PF09068', NULL, NULL, 'EF hand', NULL, 'EF-hand_2', NULL, NULL, 9853, 8),
(39816, NULL, 'PF17411', NULL, NULL, 'Type II site-specific deoxyribonuclease', NULL, 'SmaI', NULL, NULL, NULL, 8),
(39817, NULL, 'PF11590', NULL, NULL, 'DNA polymerase catalytic subunit Pol', NULL, 'DNAPolymera_Pol', NULL, NULL, 19435, 8),
(39818, NULL, 'PF06423', NULL, NULL, 'GWT1', NULL, 'GWT1', NULL, NULL, 8092, 8),
(39819, NULL, 'PF07408', NULL, NULL, 'Protein of unknown function (DUF1507)', NULL, 'DUF1507', NULL, NULL, 8147, 8),
(39820, NULL, 'PF05532', NULL, NULL, 'CsbD-like', NULL, 'CsbD', NULL, NULL, 12332, 8),
(39821, NULL, 'PF11153', NULL, NULL, 'Protein of unknown function (DUF2931)', NULL, 'DUF2931', NULL, NULL, 17767, 8),
(39822, NULL, 'PF18273', NULL, NULL, 'Type III R-M EcoP15I C-terminal domain', NULL, 'T3RM_EcoP15I_C', NULL, NULL, 32140, 8),
(39823, NULL, 'PF05689', NULL, NULL, 'Adhesion domain', NULL, 'InvE_AD', NULL, NULL, 13196, 8),
(39824, NULL, 'PF16118', NULL, NULL, 'Domain of unknown function (DUF4834)', NULL, 'DUF4834', NULL, NULL, 28023, 8),
(39825, NULL, 'PF01441', NULL, NULL, 'Lipoprotein', NULL, 'Lipoprotein_6', NULL, NULL, 4160, 8),
(39826, NULL, 'PF11182', NULL, NULL, 'Alginate O-acetyl transferase AlgF', NULL, 'AlgF', NULL, NULL, 18193, 8),
(39827, NULL, 'PF07962', NULL, NULL, 'Replication Fork Protection Component Swi3', NULL, 'Swi3', NULL, NULL, 8362, 8),
(39828, NULL, 'PF10133', NULL, NULL, 'CO dehydrogenase accessory protein CooT', NULL, 'CooT', NULL, NULL, 15399, 8),
(39829, NULL, 'PF08965', NULL, NULL, 'Domain of unknown function (DUF1870)', NULL, 'DUF1870', NULL, NULL, 8616, 8),
(39830, NULL, 'PF03110', NULL, NULL, 'SBP domain', NULL, 'SBP', NULL, NULL, 4750, 8),
(39831, NULL, 'PF08533', NULL, NULL, 'Beta-galactosidase C-terminal domain', NULL, 'Glyco_hydro_42C', NULL, NULL, 7688, 8),
(39832, NULL, 'PF10671', NULL, NULL, 'Toxin co-regulated pilus biosynthesis protein Q', NULL, 'TcpQ', NULL, NULL, 15167, 8),
(39833, NULL, 'PF12294', NULL, NULL, 'Protein of unknown function (DUF3626)', NULL, 'DUF3626', NULL, NULL, 20532, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39834, NULL, 'PF03559', NULL, NULL, 'NDP-hexose 2,3-dehydratase', NULL, 'Hexose_dehydrat', NULL, NULL, 5444, 8),
(39835, NULL, 'PF02132', NULL, NULL, 'RecR protein', NULL, 'RecR', NULL, NULL, 15186, 8),
(39836, NULL, 'PF04847', NULL, NULL, 'Calcipressin', NULL, 'Calcipressin', NULL, NULL, 5431, 8),
(39837, NULL, 'PF17334', NULL, NULL, 'Minor curli fiber component A', NULL, 'CsgA', NULL, NULL, 19775, 8),
(39838, NULL, 'PF01425', NULL, NULL, 'Amidase', NULL, 'Amidase', NULL, NULL, 16982, 8),
(39839, NULL, 'PF01937', NULL, NULL, 'Damage-control phosphatase ARMT1-like domain', NULL, 'ARMT1-like_dom', NULL, NULL, 4951, 8),
(39840, NULL, 'PF10580', NULL, NULL, 'Gap junction protein N-terminal region', NULL, 'Neuromodulin_N', NULL, NULL, 9332, 8),
(39841, NULL, 'PF06326', NULL, NULL, 'Vesiculovirus matrix protein', NULL, 'Vesiculo_matrix', NULL, NULL, 8209, 8),
(39842, NULL, 'PF08148', NULL, NULL, 'DSHCT (NUC185) domain', NULL, 'DSHCT', NULL, NULL, 12103, 8),
(39843, NULL, 'PF15063', NULL, NULL, 'Thyroid cancer protein 1', NULL, 'TC1', NULL, NULL, 19523, 8),
(39844, NULL, 'PF14660', NULL, NULL, 'Domain of unknown function (DUF4458)', NULL, 'DUF4458', NULL, NULL, 25154, 8),
(39845, NULL, 'PF01466', NULL, NULL, 'Skp1 family, dimerisation domain', NULL, 'Skp1', NULL, NULL, 10153, 8),
(39846, NULL, 'PF16599', NULL, NULL, 'Unstructured linker region on PTN13 protein between PDZ', NULL, 'PTN13_u3', NULL, NULL, NULL, 8),
(39847, NULL, 'PF09838', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2065)', NULL, 'DUF2065', NULL, NULL, 19021, 8),
(39848, NULL, 'PF19534', NULL, NULL, 'Family of unknown function (DUF6059)', NULL, 'DUF6059', NULL, NULL, 39970, 8),
(39849, NULL, 'PF01370', NULL, NULL, 'NAD dependent epimerase/dehydratase family', NULL, 'Epimerase', NULL, NULL, 3220, 8),
(39850, NULL, 'PF19778', NULL, NULL, 'Endonuclease domain', NULL, 'RE_endonuc', NULL, NULL, 38841, 8),
(39851, NULL, 'PF15000', NULL, NULL, 'Tumour suppressor candidate 2', NULL, 'TUSC2', NULL, NULL, 24308, 8),
(39852, NULL, 'PF13439', NULL, NULL, 'Glycosyltransferase Family 4', NULL, 'Glyco_transf_4', NULL, NULL, 26174, 8),
(39853, NULL, 'PF02354', NULL, NULL, 'Latrophilin Cytoplasmic C-terminal region', NULL, 'Latrophilin', NULL, NULL, 4481, 8),
(39854, NULL, 'PF00413', NULL, NULL, 'Matrixin', NULL, 'Peptidase_M10', NULL, NULL, 4052, 8),
(39855, NULL, 'PF00569', NULL, NULL, 'Zinc finger, ZZ type', NULL, 'ZZ', NULL, NULL, 4294, 8),
(39856, NULL, 'PF01358', NULL, NULL, 'Poly A polymerase regulatory subunit', NULL, 'PARP_regulatory', NULL, NULL, 1699, 8),
(39857, NULL, 'PF03858', NULL, NULL, 'Crustacean neurohormone H', NULL, 'Crust_neuro_H', NULL, NULL, 1608, 8),
(39858, NULL, 'PF11848', NULL, NULL, 'Domain of unknown function (DUF3368)', NULL, 'DUF3368', NULL, NULL, 19908, 8),
(39859, NULL, 'PF11926', NULL, NULL, 'Domain of unknown function (DUF3444)', NULL, 'DUF3444', NULL, NULL, 28946, 8),
(39860, NULL, 'PF05247', NULL, NULL, 'Flagellar transcriptional activator (FlhD)', NULL, 'FlhD', NULL, NULL, 10324, 8),
(39861, NULL, 'PF06648', NULL, NULL, 'Protein of unknown function (DUF1160)', NULL, 'DUF1160', NULL, NULL, 8184, 8),
(39862, NULL, 'PF08318', NULL, NULL, 'COG4 transport protein', NULL, 'COG4', NULL, NULL, 8803, 8),
(39863, NULL, 'PF15907', NULL, NULL, 'Integrin-alpha FG-GAP repeat-containing protein 2', NULL, 'Itfg2', NULL, NULL, 25131, 8),
(39864, NULL, 'PF09139', NULL, NULL, 'Phosphatidate cytidylyltransferase, mitochondrial', NULL, 'Tam41_Mmp37', NULL, NULL, 10836, 8),
(39865, NULL, 'PF11078', NULL, NULL, 'Optomotor-blind protein N-terminal region', NULL, 'Optomotor-blind', NULL, NULL, 15436, 8),
(39866, NULL, 'PF05131', NULL, NULL, 'Pep3/Vps18/deep orange family', NULL, 'Pep3_Vps18', NULL, NULL, 2001, 8),
(39867, NULL, 'PF17200', NULL, NULL, 'Single Cache domain 2', NULL, 'sCache_2', NULL, NULL, 35631, 8),
(39868, NULL, 'PF14790', NULL, NULL, 'Tetrahydrodipicolinate N-succinyltransferase N-terminal', NULL, 'THDPS_N', NULL, NULL, NULL, 8),
(39869, NULL, 'PF17448', NULL, NULL, 'Uncharacterized YqaH-like', NULL, 'YqaH', NULL, NULL, 19712, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39870, NULL, 'PF18960', NULL, NULL, 'Family of unknown function (DUF5702)', NULL, 'DUF5702', NULL, NULL, 37245, 8),
(39871, NULL, 'PF14841', NULL, NULL, 'FliG middle domain', NULL, 'FliG_M', NULL, NULL, 22978, 8),
(39872, NULL, 'PF15248', NULL, NULL, 'Domain of unknown function (DUF4587)', NULL, 'DUF4587', NULL, NULL, 24448, 8),
(39873, NULL, 'PF04739', NULL, NULL, '5''-AMP-activated protein kinase beta subunit, interaction domain', NULL, 'AMPKBI', NULL, NULL, 3726, 8),
(39874, NULL, 'PF14058', NULL, NULL, 'PcfK-like protein', NULL, 'PcfK', NULL, NULL, 25213, 8),
(39875, NULL, 'PF12930', NULL, NULL, 'Family of unknown function (DUF3836)', NULL, 'DUF3836', NULL, NULL, 25843, 8),
(39876, NULL, 'PF04434', NULL, NULL, 'SWIM zinc finger', NULL, 'SWIM', NULL, NULL, 10507, 8),
(39877, NULL, 'PF17190', NULL, NULL, 'RecG N-terminal helical domain', NULL, 'RecG_N', NULL, NULL, 24350, 8),
(39878, NULL, 'PF08740', NULL, NULL, 'BCS1 N terminal', NULL, 'BCS1_N', NULL, NULL, 11544, 8),
(39879, NULL, 'PF16899', NULL, NULL, 'Cyclin C-terminal domain', NULL, 'Cyclin_C_2', NULL, NULL, 23428, 8),
(39880, NULL, 'PF19024', NULL, NULL, 'Family of unknown function (DUF5750)', NULL, 'DUF5750', NULL, NULL, 37163, 8),
(39881, NULL, 'PF15490', NULL, NULL, 'Telomere-capping, CST complex subunit', NULL, 'Ten1_2', NULL, NULL, 25190, 8),
(39882, NULL, 'PF06806', NULL, NULL, 'Putative excisionase (DUF1233)', NULL, 'DUF1233', NULL, NULL, 11373, 8),
(39883, NULL, 'PF09271', NULL, NULL, 'LAG1, DNA binding', NULL, 'LAG1-DNAbind', NULL, NULL, 13736, 8),
(39884, NULL, 'PF12364', NULL, NULL, 'Protein of unknown function (DUF3648)', NULL, 'DUF3648', NULL, NULL, 21090, 8),
(39885, NULL, 'PF03692', NULL, NULL, 'Putative zinc- or iron-chelating domain', NULL, 'CxxCxxCC', NULL, NULL, 6206, 8),
(39886, NULL, 'PF01749', NULL, NULL, 'Importin beta binding domain', NULL, 'IBB', NULL, NULL, 2847, 8),
(39887, NULL, 'PF07337', NULL, NULL, 'DC-EC Repeat', NULL, 'CagY_M', NULL, NULL, 11789, 8),
(39888, NULL, 'PF09462', NULL, NULL, 'Mus7/MMS22 family', NULL, 'Mus7', NULL, NULL, 16366, 8),
(39889, NULL, 'PF05406', NULL, NULL, 'WGR domain', NULL, 'WGR', NULL, NULL, 7674, 8),
(39890, NULL, 'PF06766', NULL, NULL, 'Fungal hydrophobin', NULL, 'Hydrophobin_2', NULL, NULL, 9394, 8),
(39891, NULL, 'PF04494', NULL, NULL, 'WD40 associated region in TFIID subunit, NTD2 domain', NULL, 'TFIID_NTD2', NULL, NULL, 1703, 8),
(39892, NULL, 'PF04269', NULL, NULL, 'Protein of unknown function, DUF440', NULL, 'DUF440', NULL, NULL, 5677, 8),
(39893, NULL, 'PF10754', NULL, NULL, 'Protein of unknown function (DUF2569)', NULL, 'DUF2569', NULL, NULL, 20791, 8),
(39894, NULL, 'PF11599', NULL, NULL, 'RRNA methyltransferase AviRa', NULL, 'AviRa', NULL, NULL, 9453, 8),
(39895, NULL, 'PF17874', NULL, NULL, 'MalT-like TPR region', NULL, 'TPR_MalT', NULL, NULL, 33481, 8),
(39896, NULL, 'PF00890', NULL, NULL, 'FAD binding domain', NULL, 'FAD_binding_2', NULL, NULL, 7431, 8),
(39897, NULL, 'PF16635', NULL, NULL, 'Unstructured region on APC between SAMP and APC_crr', NULL, 'APC_u14', NULL, NULL, NULL, 8),
(39898, NULL, 'PF12804', NULL, NULL, 'MobA-like NTP transferase domain', NULL, 'NTP_transf_3', NULL, NULL, 27371, 8),
(39899, NULL, 'PF07035', NULL, NULL, 'Colon cancer-associated protein Mic1-like', NULL, 'Mic1', NULL, NULL, 12593, 8),
(39900, NULL, 'PF16632', NULL, NULL, 'C-terminal region of Caskin', NULL, 'Caskin-tail', NULL, NULL, 27996, 8),
(39901, NULL, 'PF00963', NULL, NULL, 'Cohesin domain', NULL, 'Cohesin', NULL, NULL, 4763, 8),
(39902, NULL, 'PF02635', NULL, NULL, 'DsrE/DsrF-like family', NULL, 'DrsE', NULL, NULL, 3373, 8),
(39903, NULL, 'PF11949', NULL, NULL, 'Protein of unknown function (DUF3466)', NULL, 'DUF3466', NULL, NULL, 16828, 8),
(39904, NULL, 'PF13312', NULL, NULL, 'Domain of unknown function (DUF4081)', NULL, 'DUF4081', NULL, NULL, 27609, 8),
(39905, NULL, 'PF05596', NULL, NULL, 'Taeniidae antigen', NULL, 'Taeniidae_ag', NULL, NULL, 14246, 8),
(39906, NULL, 'PF05872', NULL, NULL, 'Bacterial protein of unknown function (DUF853)', NULL, 'DUF853', NULL, NULL, 31526, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39907, NULL, 'PF12924', NULL, NULL, 'Copper-binding of amyloid precursor, CuBD', NULL, 'APP_Cu_bd', NULL, NULL, 13483, 8),
(39908, NULL, 'PF00545', NULL, NULL, 'ribonuclease', NULL, 'Ribonuclease', NULL, NULL, 2898, 8),
(39909, NULL, 'PF18787', NULL, NULL, 'CRM1 / Exportin repeat 3', NULL, 'CRM1_repeat_3', NULL, NULL, 30049, 8),
(39910, NULL, 'PF14210', NULL, NULL, 'Domain of unknown function (DUF4322)', NULL, 'DUF4322', NULL, NULL, 28229, 8),
(39911, NULL, 'PF06005', NULL, NULL, 'Cell division protein ZapB', NULL, 'ZapB', NULL, NULL, 13883, 8),
(39912, NULL, 'PF14508', NULL, NULL, 'Glycosyl-hydrolase 97 N-terminal', NULL, 'GH97_N', NULL, NULL, 24004, 8),
(39913, NULL, 'PF15771', NULL, NULL, 'Interactor of HORMAD1 protein 1', NULL, 'IHO1', NULL, NULL, 27235, 8),
(39914, NULL, 'PF19035', NULL, NULL, 'CCN3 Nov like TSP1 domain', NULL, 'TSP1_CCN', NULL, NULL, 37768, 8),
(39915, NULL, 'PF17286', NULL, NULL, 'PRMT5 oligomerisation domain', NULL, 'PRMT5_C', NULL, NULL, 30188, 8),
(39916, NULL, 'PF06983', NULL, NULL, '3-demethylubiquinone-9 3-methyltransferase', NULL, '3-dmu-9_3-mt', NULL, NULL, 29009, 8),
(39917, NULL, 'PF12958', NULL, NULL, 'Protein of unknown function (DUF3847)', NULL, 'DUF3847', NULL, NULL, 20659, 8),
(39918, NULL, 'PF13689', NULL, NULL, 'YfiR/HmsC-like', NULL, 'DUF4154', NULL, NULL, 23846, 8),
(39919, NULL, 'PF05631', NULL, NULL, 'Sugar-tranasporters, 12 TM', NULL, 'MFS_5', NULL, NULL, 12183, 8),
(39920, NULL, 'PF03341', NULL, NULL, 'Poxvirus mRNA capping enzyme, small subunit', NULL, 'Pox_mRNA-cap', NULL, NULL, 694, 8),
(39921, NULL, 'PF15209', NULL, NULL, 'Interleukin 31', NULL, 'IL31', NULL, NULL, 26433, 8),
(39922, NULL, 'PF07175', NULL, NULL, 'Osteoregulin', NULL, 'Osteoregulin', NULL, NULL, 13676, 8),
(39923, NULL, 'PF01207', NULL, NULL, 'Dihydrouridine synthase (Dus)', NULL, 'Dus', NULL, NULL, 31948, 8),
(39924, NULL, 'PF14402', NULL, NULL, '7 transmembrane helices usually fused to an inactive transglutaminase', NULL, '7TM_transglut', NULL, NULL, 25047, 8),
(39925, NULL, 'PF15038', NULL, NULL, 'Jiraiya', NULL, 'Jiraiya', NULL, NULL, 29459, 8),
(39926, NULL, 'PF17901', NULL, NULL, 'EF-hand fold domain', NULL, 'EF-hand_12', NULL, NULL, 32351, 8),
(39927, NULL, 'PF02805', NULL, NULL, 'Metal binding domain of Ada', NULL, 'Ada_Zn_binding', NULL, NULL, 903, 8),
(39928, NULL, 'PF00903', NULL, NULL, 'Glyoxalase/Bleomycin resistance protein/Dioxygenase superfamily', NULL, 'Glyoxalase', NULL, NULL, 5761, 8),
(39929, NULL, 'PF10884', NULL, NULL, 'Protein of unknown function (DUF2683)', NULL, 'DUF2683', NULL, NULL, 19601, 8),
(39930, NULL, 'PF17673', NULL, NULL, 'Family of unknown function (DUF5532)', NULL, 'DUF5532', NULL, NULL, 29181, 8),
(39931, NULL, 'PF00310', NULL, NULL, 'Glutamine amidotransferases class-II', NULL, 'GATase_2', NULL, NULL, 18749, 8),
(39932, NULL, 'PF15431', NULL, NULL, 'Transmembrane protein 190', NULL, 'TMEM190', NULL, NULL, 21995, 8),
(39933, NULL, 'PF04496', NULL, NULL, 'Herpesvirus UL35 family', NULL, 'Herpes_UL35', NULL, NULL, 2899, 8),
(39934, NULL, 'PF00685', NULL, NULL, 'Sulfotransferase domain', NULL, 'Sulfotransfer_1', NULL, NULL, 3438, 8),
(39935, NULL, 'PF04246', NULL, NULL, 'Positive regulator of sigma(E), RseC/MucC', NULL, 'RseC_MucC', NULL, NULL, NULL, 8),
(39936, NULL, 'PF18912', NULL, NULL, 'Double zinc ribbon domain', NULL, 'DZR_2', NULL, NULL, 38154, 8),
(39937, NULL, 'PF07507', NULL, NULL, 'WavE lipopolysaccharide synthesis', NULL, 'WavE', NULL, NULL, 11338, 8),
(39938, NULL, 'PF17193', NULL, NULL, 'MukF C-terminal domain', NULL, 'MukF_C', NULL, NULL, 34026, 8),
(39939, NULL, 'PF09372', NULL, NULL, 'PRANC domain', NULL, 'PRANC', NULL, NULL, 8723, 8),
(39940, NULL, 'PF05136', NULL, NULL, 'Phage portal protein, lambda family', NULL, 'Phage_portal_2', NULL, NULL, 6563, 8),
(39941, NULL, 'PF16058', NULL, NULL, 'Mucin-like', NULL, 'Mucin-like', NULL, NULL, 24023, 8),
(39942, NULL, 'PF06088', NULL, NULL, 'Nucleopolyhedrovirus telokin-like protein-20 (TLP20)', NULL, 'TLP-20', NULL, NULL, 6194, 8),
(39943, NULL, 'PF11909', NULL, NULL, 'NADH-quinone oxidoreductase cyanobacterial subunit N', NULL, 'NdhN', NULL, NULL, 21095, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39944, NULL, 'PF04679', NULL, NULL, 'ATP dependent DNA ligase C terminal region', NULL, 'DNA_ligase_A_C', NULL, NULL, 12600, 8),
(39945, NULL, 'PF00638', NULL, NULL, 'RanBP1 domain', NULL, 'Ran_BP1', NULL, NULL, 1921, 8),
(39946, NULL, 'PF12498', NULL, NULL, 'Basic leucine-zipper C terminal', NULL, 'bZIP_C', NULL, NULL, 14768, 8),
(39947, NULL, 'PF18845', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 3', NULL, 'baeRF_family3', NULL, NULL, 31682, 8),
(39948, NULL, 'PF09884', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2111)', NULL, 'DUF2111', NULL, NULL, 11463, 8),
(39949, NULL, 'PF16816', NULL, NULL, 'DotD protein', NULL, 'DotD', NULL, NULL, 22637, 8),
(39950, NULL, 'PF16150', NULL, NULL, 'Domain of unknown function (DUF4858)', NULL, 'DUF4858', NULL, NULL, 28445, 8),
(39951, NULL, 'PF19311', NULL, NULL, 'KELAA motif', NULL, 'KELAA', NULL, NULL, 36932, 8),
(39952, NULL, 'PF06831', NULL, NULL, 'Formamidopyrimidine-DNA glycosylase H2TH domain', NULL, 'H2TH', NULL, NULL, 7295, 8),
(39953, NULL, 'PF04983', NULL, NULL, 'RNA polymerase Rpb1, domain 3', NULL, 'RNA_pol_Rpb1_3', NULL, NULL, 6867, 8),
(39954, NULL, 'PF01316', NULL, NULL, 'Arginine repressor, DNA binding domain', NULL, 'Arg_repressor', NULL, NULL, 20945, 8),
(39955, NULL, 'PF09579', NULL, NULL, 'Sporulation protein YtfJ (Spore_YtfJ)', NULL, 'Spore_YtfJ', NULL, NULL, 10527, 8),
(39956, NULL, 'PF10684', NULL, NULL, 'Putative biofilm-dependent modulation protein', NULL, 'BDM', NULL, NULL, 21475, 8),
(39957, NULL, 'PF02944', NULL, NULL, 'BESS motif', NULL, 'BESS', NULL, NULL, 3637, 8),
(39958, NULL, 'PF05821', NULL, NULL, 'NADH-ubiquinone oxidoreductase ASHI subunit (CI-ASHI or NDUFB8)', NULL, 'NDUF_B8', NULL, NULL, 13244, 8),
(39959, NULL, 'PF17347', NULL, NULL, 'Family of unknown function (DUF5377)', NULL, 'DUF5377', NULL, NULL, 35045, 8),
(39960, NULL, 'PF15082', NULL, NULL, 'Domain of unknown function (DUF4549)', NULL, 'DUF4549', NULL, NULL, 28012, 8),
(39961, NULL, 'PF07385', NULL, NULL, 'D-lyxose isomerase', NULL, 'Lyx_isomer', NULL, NULL, 11763, 8),
(39962, NULL, 'PF05240', NULL, NULL, 'APOBEC-like C-terminal domain', NULL, 'APOBEC_C', NULL, NULL, NULL, 8),
(39963, NULL, 'PF13184', NULL, NULL, 'NusA-like KH domain', NULL, 'KH_5', NULL, NULL, 27967, 8),
(39964, NULL, 'PF09094', NULL, NULL, 'Domain of unknown function (DUF1925)', NULL, 'DUF1925', NULL, NULL, 10586, 8),
(39965, NULL, 'PF13896', NULL, NULL, 'Glycosyl-transferase for dystroglycan', NULL, 'Glyco_transf_49', NULL, NULL, NULL, 8),
(39966, NULL, 'PF11097', NULL, NULL, 'Protein of unknown function (DUF2883)', NULL, 'DUF2883', NULL, NULL, 12635, 8),
(39967, NULL, 'PF19642', NULL, NULL, 'Family of unknown function (DUF6145)', NULL, 'DUF6145', NULL, NULL, 39790, 8),
(39968, NULL, 'PF14917', NULL, NULL, 'Coiled coil protein 74, C terminal', NULL, 'CCDC74_C', NULL, NULL, 24903, 8),
(39969, NULL, 'PF04707', NULL, NULL, 'PRELI-like family', NULL, 'PRELI', NULL, NULL, 3568, 8),
(39970, NULL, 'PF16698', NULL, NULL, 'Membrane-proximal domain, switch, for ADAM17', NULL, 'ADAM17_MPD', NULL, NULL, 24462, 8),
(39971, NULL, 'PF12622', NULL, NULL, 'mRNA biogenesis factor', NULL, 'NpwBP', NULL, NULL, NULL, 8),
(39972, NULL, 'PF20056', NULL, NULL, 'Family of unknown function (DUF6455)', NULL, 'DUF6455', NULL, NULL, 38642, 8),
(39973, NULL, 'PF09803', NULL, NULL, 'Pet100', NULL, 'Pet100', NULL, NULL, 16467, 8),
(39974, NULL, 'PF13386', NULL, NULL, 'Cytochrome C biogenesis protein transmembrane region', NULL, 'DsbD_2', NULL, NULL, 33406, 8),
(39975, NULL, 'PF13339', NULL, NULL, 'Apoptosis antagonizing transcription factor', NULL, 'AATF-Che1', NULL, NULL, 27761, 8),
(39976, NULL, 'PF17619', NULL, NULL, 'Secreted clade V proteins', NULL, 'SCVP', NULL, NULL, 30790, 8),
(39977, NULL, 'PF17732', NULL, NULL, 'Family of unknown function (DUF5571)', NULL, 'DUF5571', NULL, NULL, 31564, 8),
(39978, NULL, 'PF03720', NULL, NULL, 'UDP-glucose/GDP-mannose dehydrogenase family, UDP binding domain', NULL, 'UDPG_MGDP_dh_C', NULL, NULL, 8702, 8),
(39979, NULL, 'PF05778', NULL, NULL, 'Apolipoprotein CIII (Apo-CIII)', NULL, 'Apo-CIII', NULL, NULL, 8771, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(39980, NULL, 'PF04836', NULL, NULL, 'Interferon-related protein conserved region', NULL, 'IFRD_C', NULL, NULL, 4905, 8),
(39981, NULL, 'PF20063', NULL, NULL, 'Family of unknown function (DUF6462)', NULL, 'DUF6462', NULL, NULL, 39802, 8),
(39982, NULL, 'PF06209', NULL, NULL, 'Cofactor of BRCA1 (COBRA1)', NULL, 'COBRA1', NULL, NULL, 9587, 8),
(39983, NULL, 'PF11164', NULL, NULL, 'Protein of unknown function (DUF2948)', NULL, 'DUF2948', NULL, NULL, 18226, 8),
(39984, NULL, 'PF18592', NULL, NULL, 'Tho1/MOS11 C-terminal domain', NULL, 'Tho1_MOS11_C', NULL, NULL, 31902, 8),
(39985, NULL, 'PF11819', NULL, NULL, 'Cytohesin Ubiquitin Protein Inducing Domain', NULL, 'CUPID', NULL, NULL, 19691, 8),
(39986, NULL, 'PF00926', NULL, NULL, '3,4-dihydroxy-2-butanone 4-phosphate synthase', NULL, 'DHBP_synthase', NULL, NULL, 6798, 8),
(39987, NULL, 'PF05081', NULL, NULL, 'Protein of unknown function (DUF682)', NULL, 'DUF682', NULL, NULL, 1499, 8),
(39988, NULL, 'PF18349', NULL, NULL, 'PAZ domain', NULL, 'Paz_1', NULL, NULL, 32408, 8),
(39989, NULL, 'PF06085', NULL, NULL, 'Lipoprotein Rz1 precursor', NULL, 'Rz1', NULL, NULL, 8722, 8),
(39990, NULL, 'PF02318', NULL, NULL, 'FYVE-type zinc finger', NULL, 'FYVE_2', NULL, NULL, 31267, 8),
(39991, NULL, 'PF03706', NULL, NULL, 'Lysylphosphatidylglycerol synthase TM region', NULL, 'LPG_synthase_TM', NULL, NULL, 17341, 8),
(39992, NULL, 'PF01779', NULL, NULL, 'Ribosomal L29e protein family', NULL, 'Ribosomal_L29e', NULL, NULL, 2896, 8),
(39993, NULL, 'PF19676', NULL, NULL, 'Family of unknown function (DUF6178)', NULL, 'DUF6178', NULL, NULL, 38945, 8),
(39994, NULL, 'PF07439', NULL, NULL, 'Protein of unknown function (DUF1515)', NULL, 'DUF1515', NULL, NULL, 11724, 8),
(39995, NULL, 'PF06857', NULL, NULL, 'Malonate decarboxylase delta subunit (MdcD)', NULL, 'ACP', NULL, NULL, 16434, 8),
(39996, NULL, 'PF08578', NULL, NULL, 'Protein of unknown function (DUF1765)', NULL, 'DUF1765', NULL, NULL, 17906, 8),
(39997, NULL, 'PF04311', NULL, NULL, 'Protein of unknown function (DUF459)', NULL, 'DUF459', NULL, NULL, 3790, 8),
(39998, NULL, 'PF18974', NULL, NULL, 'Domain of unknown function (DUF5710)', NULL, 'DUF5710', NULL, NULL, 37977, 8),
(39999, NULL, 'PF13377', NULL, NULL, 'Periplasmic binding protein-like domain', NULL, 'Peripla_BP_3', NULL, NULL, 39844, 8),
(40000, NULL, 'PF03198', NULL, NULL, 'Glucanosyltransferase', NULL, 'Glyco_hydro_72', NULL, NULL, 109, 8),
(40001, NULL, 'PF18696', NULL, NULL, 'Synaptotagmin-like, mitochondrial and lipid-binding domain', NULL, 'SMP_C2CD2L', NULL, NULL, 35789, 8),
(40002, NULL, 'PF10905', NULL, NULL, 'Protein of unknown function (DUF2695)', NULL, 'DUF2695', NULL, NULL, 20459, 8),
(40003, NULL, 'PF04461', NULL, NULL, 'Protein of unknown function (DUF520)', NULL, 'DUF520', NULL, NULL, 3776, 8),
(40004, NULL, 'PF12467', NULL, NULL, 'Cucumber mosaic virus 1a protein family', NULL, 'CMV_1a', NULL, NULL, 15431, 8),
(40005, NULL, 'PF16241', NULL, NULL, 'Domain of unknown function (DUF4900)', NULL, 'DUF4900', NULL, NULL, 25668, 8),
(40006, NULL, 'PF08963', NULL, NULL, 'Protein of unknown function (DUF1878)', NULL, 'DUF1878', NULL, NULL, 8662, 8),
(40007, NULL, 'PF19283', NULL, NULL, 'Acylamino-acid-releasing enzyme, N-terminal domain', NULL, 'APEH_N', NULL, NULL, 39566, 8),
(40008, NULL, 'PF09728', NULL, NULL, 'Myosin-like coiled-coil protein', NULL, 'Taxilin', NULL, NULL, 21803, 8),
(40009, NULL, 'PF13902', NULL, NULL, 'R3H-associated N-terminal domain', NULL, 'R3H-assoc', NULL, NULL, 22707, 8),
(40010, NULL, 'PF14388', NULL, NULL, 'Domain of unknown function (DUF4419)', NULL, 'DUF4419', NULL, NULL, 28318, 8),
(40011, NULL, 'PF18165', NULL, NULL, 'Predicted pPIWI-associating nuclease', NULL, 'pP_pnuc_1', NULL, NULL, 29067, 8),
(40012, NULL, 'PF05705', NULL, NULL, 'Eukaryotic protein of unknown function (DUF829)', NULL, 'DUF829', NULL, NULL, 13401, 8),
(40013, NULL, 'PF11893', NULL, NULL, 'Domain of unknown function (DUF3413)', NULL, 'DUF3413', NULL, NULL, 28967, 8),
(40014, NULL, 'PF10953', NULL, NULL, 'Protein of unknown function (DUF2754)', NULL, 'DUF2754', NULL, NULL, 21108, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40015, NULL, 'PF17319', NULL, NULL, 'Family of unknown function (DUF5362)', NULL, 'DUF5362', NULL, NULL, 34494, 8),
(40016, NULL, 'PF05698', NULL, NULL, 'Bacterial trigger factor protein (TF) C-terminus', NULL, 'Trigger_C', NULL, NULL, 7840, 8),
(40017, NULL, 'PF13812', NULL, NULL, 'Pentatricopeptide repeat domain', NULL, 'PPR_3', NULL, NULL, 5805, 8),
(40018, NULL, 'PF14397', NULL, NULL, 'Sugar-transfer associated ATP-grasp', NULL, 'ATPgrasp_ST', NULL, NULL, 35121, 8),
(40019, NULL, 'PF03944', NULL, NULL, 'delta endotoxin', NULL, 'Endotoxin_C', NULL, NULL, 2933, 8),
(40020, NULL, 'PF00976', NULL, NULL, 'Corticotropin ACTH domain', NULL, 'ACTH_domain', NULL, NULL, 13132, 8),
(40021, NULL, 'PF13810', NULL, NULL, 'Domain of unknown function (DUF4185)', NULL, 'DUF4185', NULL, NULL, 23069, 8),
(40022, NULL, 'PF19747', NULL, NULL, 'Family of unknown function (DUF6234)', NULL, 'DUF6234', NULL, NULL, 39691, 8),
(40023, NULL, 'PF04720', NULL, NULL, 'PDDEXK-like family of unknown function', NULL, 'PDDEXK_6', NULL, NULL, 6905, 8),
(40024, NULL, 'PF08877', NULL, NULL, 'MepB protein', NULL, 'MepB', NULL, NULL, 11293, 8),
(40025, NULL, 'PF15377', NULL, NULL, 'Domain of unknown function (DUF4604)', NULL, 'DUF4604', NULL, NULL, 24037, 8),
(40026, NULL, 'PF07898', NULL, NULL, 'Protein of unknown function (DUF1676)', NULL, 'DUF1676', NULL, NULL, 14777, 8),
(40027, NULL, 'PF04849', NULL, NULL, 'HAP1 N-terminal conserved region', NULL, 'HAP1_N', NULL, NULL, 5496, 8),
(40028, NULL, 'PF12389', NULL, NULL, 'Camelysin metallo-endopeptidase', NULL, 'Peptidase_M73', NULL, NULL, 21073, 8),
(40029, NULL, 'PF15610', NULL, NULL, 'PRTase ComF-like', NULL, 'PRTase_3', NULL, NULL, 25624, 8),
(40030, NULL, 'PF06495', NULL, NULL, 'Fruit fly transformer protein', NULL, 'Transformer', NULL, NULL, 12040, 8),
(40031, NULL, 'PF19550', NULL, NULL, 'Family of unknown function (DUF6073)', NULL, 'DUF6073', NULL, NULL, 37433, 8),
(40032, NULL, 'PF09302', NULL, NULL, 'XLF-Cernunnos, XRcc4-like factor, NHEJ component', NULL, 'XLF', NULL, NULL, 14480, 8),
(40033, NULL, 'PF16417', NULL, NULL, 'CCR4-NOT transcription complex subunit 1 TTP binding domain', NULL, 'CNOT1_TTP_bind', NULL, NULL, 24979, 8),
(40034, NULL, 'PF02803', NULL, NULL, 'Thiolase, C-terminal domain', NULL, 'Thiolase_C', NULL, NULL, 19869, 8),
(40035, NULL, 'PF07433', NULL, NULL, 'Protein of unknown function (DUF1513)', NULL, 'DUF1513', NULL, NULL, 7854, 8),
(40036, NULL, 'PF19414', NULL, NULL, 'Astrovirus p19 protein', NULL, 'Astro_p19', NULL, NULL, 38714, 8),
(40037, NULL, 'PF06369', NULL, NULL, 'Sea anemone cytotoxic protein', NULL, 'Anemone_cytotox', NULL, NULL, 7902, 8),
(40038, NULL, 'PF00534', NULL, NULL, 'Glycosyl transferases group 1', NULL, 'Glycos_transf_1', NULL, NULL, 2221, 8),
(40039, NULL, 'PF19206', NULL, NULL, 'Family of unknown function (DUF5878)', NULL, 'DUF5878', NULL, NULL, 38151, 8),
(40040, NULL, 'PF19659', NULL, NULL, 'Family of unknown function (DUF6162)', NULL, 'DUF6162', NULL, NULL, 39579, 8),
(40041, NULL, 'PF05985', NULL, NULL, 'Ethanolamine ammonia-lyase light chain (EutC)', NULL, 'EutC', NULL, NULL, 13884, 8),
(40042, NULL, 'PF07491', NULL, NULL, 'Protein phosphatase inhibitor', NULL, 'PPI_Ypi1', NULL, NULL, 11005, 8),
(40043, NULL, 'PF13262', NULL, NULL, 'Protein of unknown function (DUF4054)', NULL, 'DUF4054', NULL, NULL, 23882, 8),
(40044, NULL, 'PF02038', NULL, NULL, 'ATP1G1/PLM/MAT8 family', NULL, 'ATP1G1_PLM_MAT8', NULL, NULL, 784, 8),
(40045, NULL, 'PF20135', NULL, NULL, 'Family of unknown function (DUF6525)', NULL, 'DUF6525', NULL, NULL, 38021, 8),
(40046, NULL, 'PF04587', NULL, NULL, 'ADP-specific Phosphofructokinase/Glucokinase conserved region', NULL, 'ADP_PFK_GK', NULL, NULL, 40, 8),
(40047, NULL, 'PF13494', NULL, NULL, 'Domain of unknown function, B. Theta Gene description (DUF4119)', NULL, 'DUF4119', NULL, NULL, 21530, 8),
(40048, NULL, 'PF05922', NULL, NULL, 'Peptidase inhibitor I9', NULL, 'Inhibitor_I9', NULL, NULL, 7612, 8),
(40049, NULL, 'PF08445', NULL, NULL, 'FR47-like protein', NULL, 'FR47', NULL, NULL, 12408, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40050, NULL, 'PF14324', NULL, NULL, 'PINIT domain', NULL, 'PINIT', NULL, NULL, 18883, 8),
(40051, NULL, 'PF10611', NULL, NULL, 'Protein of unknown function (DUF2469)', NULL, 'DUF2469', NULL, NULL, 20338, 8),
(40052, NULL, 'PF07531', NULL, NULL, 'NHR1 homology to TAF', NULL, 'TAFH', NULL, NULL, 4021, 8),
(40053, NULL, 'PF19725', NULL, NULL, 'DNA-directed RNA polymerase III subunit RPC5 C-terminal', NULL, 'RPC5_C', NULL, NULL, 38629, 8),
(40054, NULL, 'PF02801', NULL, NULL, 'Beta-ketoacyl synthase, C-terminal domain', NULL, 'Ketoacyl-synt_C', NULL, NULL, 12577, 8),
(40055, NULL, 'PF11591', NULL, NULL, 'Ferredoxin chloroplastic transit peptide', NULL, '2Fe-2S_Ferredox', NULL, NULL, 16076, 8),
(40056, NULL, 'PF15953', NULL, NULL, 'Putative propanediol utilisation', NULL, 'PDU_like', NULL, NULL, 22211, 8),
(40057, NULL, 'PF14673', NULL, NULL, 'Domain of unknown function (DUF4459)', NULL, 'DUF4459', NULL, NULL, 24805, 8),
(40058, NULL, 'PF17386', NULL, NULL, 'Lacto-N-biose phosphorylase C-terminal domain', NULL, 'LBP_C', NULL, NULL, 33239, 8),
(40059, NULL, 'PF13196', NULL, NULL, 'Protein of unknown function (DUF4012)', NULL, 'DUF4012', NULL, NULL, 22528, 8),
(40060, NULL, 'PF08367', NULL, NULL, 'Peptidase M16C associated', NULL, 'M16C_assoc', NULL, NULL, 12289, 8),
(40061, NULL, 'PF08602', NULL, NULL, 'Mgr1-like, i-AAA protease complex subunit', NULL, 'Mgr1', NULL, NULL, 18304, 8),
(40062, NULL, 'PF14530', NULL, NULL, 'Domain of unknown function (DUF4439)', NULL, 'DUF4439', NULL, NULL, 27024, 8),
(40063, NULL, 'PF15752', NULL, NULL, 'Domain of unknown function (DUF4688)', NULL, 'DUF4688', NULL, NULL, 26627, 8),
(40064, NULL, 'PF02680', NULL, NULL, 'Uncharacterized ArCR, COG1888', NULL, 'DUF211', NULL, NULL, 3248, 8),
(40065, NULL, 'PF14757', NULL, NULL, 'Immunogenic region of nsp2 protein of arterivirus polyprotein', NULL, 'NSP2-B_epitope', NULL, NULL, 24206, 8),
(40066, NULL, 'PF16991', NULL, NULL, 'Sir4 SID domain', NULL, 'SIR4_SID', NULL, NULL, 25033, 8),
(40067, NULL, 'PF11697', NULL, NULL, 'Protein of unknown function (DUF3293)', NULL, 'DUF3293', NULL, NULL, 19532, 8),
(40068, NULL, 'PF18162', NULL, NULL, 'Arc C-lobe', NULL, 'Arc_C', NULL, NULL, 31362, 8),
(40069, NULL, 'PF02530', NULL, NULL, 'Porin subfamily', NULL, 'Porin_2', NULL, NULL, 6144, 8),
(40070, NULL, 'PF02383', NULL, NULL, 'SacI homology domain', NULL, 'Syja_N', NULL, NULL, 5485, 8),
(40071, NULL, 'PF03041', NULL, NULL, 'lef-2', NULL, 'Baculo_LEF-2', NULL, NULL, 4738, 8),
(40072, NULL, 'PF04995', NULL, NULL, 'Heme exporter protein D (CcmD)', NULL, 'CcmD', NULL, NULL, 7376, 8),
(40073, NULL, 'PF10413', NULL, NULL, 'Amino terminal of the G-protein receptor rhodopsin', NULL, 'Rhodopsin_N', NULL, NULL, 17809, 8),
(40074, NULL, 'PF09274', NULL, NULL, 'ParG', NULL, 'ParG', NULL, NULL, 13835, 8),
(40075, NULL, 'PF11501', NULL, NULL, 'Betacoronavirus replicase NSP1', NULL, 'bCoV_NSP1', NULL, NULL, 19006, 8),
(40076, NULL, 'PF03391', NULL, NULL, 'Nepovirus coat protein, central domain', NULL, 'Nepo_coat', NULL, NULL, 2345, 8),
(40077, NULL, 'PF12759', NULL, NULL, 'InsA C-terminal domain', NULL, 'HTH_Tnp_IS1', NULL, NULL, 28513, 8),
(40078, NULL, 'PF14562', NULL, NULL, 'Restriction endonuclease BglI', NULL, 'Endonuc_BglI', NULL, NULL, 13681, 8),
(40079, NULL, 'PF16301', NULL, NULL, 'Domain of unknown function (DUF4943)', NULL, 'DUF4943', NULL, NULL, 27950, 8),
(40080, NULL, 'PF19830', NULL, NULL, 'Family of unknown function (DUF6311)', NULL, 'DUF6311', NULL, NULL, 39977, 8),
(40081, NULL, 'PF12431', NULL, NULL, 'Transcriptional regulator', NULL, 'CitT', NULL, NULL, 22909, 8),
(40082, NULL, 'PF19152', NULL, NULL, 'Family of unknown function (DUF5834)', NULL, 'DUF5834', NULL, NULL, 37374, 8),
(40083, NULL, 'PF04344', NULL, NULL, 'Chemotaxis phosphatase, CheZ', NULL, 'CheZ', NULL, NULL, 4477, 8),
(40084, NULL, 'PF00281', NULL, NULL, 'Ribosomal protein L5', NULL, 'Ribosomal_L5', NULL, NULL, 26566, 8),
(40085, NULL, 'PF06870', NULL, NULL, 'A49-like RNA polymerase I associated factor', NULL, 'RNA_pol_I_A49', NULL, NULL, 11555, 8),
(40086, NULL, 'PF03297', NULL, NULL, 'S25 ribosomal protein', NULL, 'Ribosomal_S25', NULL, NULL, 751, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40087, NULL, 'PF13668', NULL, NULL, 'Ferritin-like domain', NULL, 'Ferritin_2', NULL, NULL, NULL, 8),
(40088, NULL, 'PF13201', NULL, NULL, 'Putative carbohydrate metabolism domain', NULL, 'PCMD', NULL, NULL, 22923, 8),
(40089, NULL, 'PF08601', NULL, NULL, 'Transcription factor PAP1', NULL, 'PAP1', NULL, NULL, 18292, 8),
(40090, NULL, 'PF07090', NULL, NULL, 'Putative glutamine amidotransferase', NULL, 'GATase1_like', NULL, NULL, 10560, 8),
(40091, NULL, 'PF04063', NULL, NULL, 'Domain of unknown function (DUF383)', NULL, 'DUF383', NULL, NULL, 1131, 8),
(40092, NULL, 'PF14965', NULL, NULL, 'Negative regulator of p53/TP53', NULL, 'BRI3BP', NULL, NULL, NULL, 8),
(40093, NULL, 'PF01533', NULL, NULL, 'Tospovirus nucleocapsid protein', NULL, 'Tospo_nucleocap', NULL, NULL, 579, 8),
(40094, NULL, 'PF00841', NULL, NULL, 'Sperm histone P2', NULL, 'Protamine_P2', NULL, NULL, 5757, 8),
(40095, NULL, 'PF01596', NULL, NULL, 'O-methyltransferase', NULL, 'Methyltransf_3', NULL, NULL, 6738, 8),
(40096, NULL, 'PF16667', NULL, NULL, 'Unstructured region 10 on multiple PDZ protein', NULL, 'MPDZ_u10', NULL, NULL, 28020, 8),
(40097, NULL, 'PF00132', NULL, NULL, 'Bacterial transferase hexapeptide (six repeats)', NULL, 'Hexapep', NULL, NULL, 6217, 8),
(40098, NULL, 'PF01433', NULL, NULL, 'Peptidase family M1 domain', NULL, 'Peptidase_M1', NULL, NULL, 8758, 8),
(40099, NULL, 'PF19255', NULL, NULL, 'Family of unknown function (DUF5902)', NULL, 'DUF5902', NULL, NULL, 39645, 8),
(40100, NULL, 'PF15074', NULL, NULL, 'Domain of unknown function (DUF4541)', NULL, 'DUF4541', NULL, NULL, 24124, 8),
(40101, NULL, 'PF13970', NULL, NULL, 'Domain of unknown function (DUF4221)', NULL, 'DUF4221', NULL, NULL, 22788, 8),
(40102, NULL, 'PF04201', NULL, NULL, 'Tumour protein D52 family', NULL, 'TPD52', NULL, NULL, 5097, 8),
(40103, NULL, 'PF14052', NULL, NULL, 'Capsule assembly protein Wzi', NULL, 'Caps_assemb_Wzi', NULL, NULL, 28854, 8),
(40104, NULL, 'PF03921', NULL, NULL, 'Intercellular adhesion molecule (ICAM), N-terminal domain', NULL, 'ICAM_N', NULL, NULL, 13143, 8),
(40105, NULL, 'PF04511', NULL, NULL, 'Der1-like family', NULL, 'DER1', NULL, NULL, 2918, 8),
(40106, NULL, 'PF12811', NULL, NULL, 'Bax inhibitor 1 like', NULL, 'BaxI_1', NULL, NULL, 14692, 8),
(40107, NULL, 'PF10971', NULL, NULL, 'Protein of unknown function (DUF2773)', NULL, 'DUF2773', NULL, NULL, 25590, 8),
(40108, NULL, 'PF15359', NULL, NULL, 'Carnitine deficiency-associated protein 3', NULL, 'CDV3', NULL, NULL, 22833, 8),
(40109, NULL, 'PF01404', NULL, NULL, 'Ephrin receptor ligand binding domain', NULL, 'Ephrin_lbd', NULL, NULL, 1465, 8),
(40110, NULL, 'PF09609', NULL, NULL, 'CRISPR-associated protein, GSU0054 family (Cas_GSU0054)', NULL, 'Cas_GSU0054', NULL, NULL, 16746, 8),
(40111, NULL, 'PF17509', NULL, NULL, 'Family of unknown function (DUF5440)', NULL, 'DUF5440', NULL, NULL, 20034, 8),
(40112, NULL, 'PF14897', NULL, NULL, 'EpsG family', NULL, 'EpsG', NULL, NULL, NULL, 8),
(40113, NULL, 'PF09229', NULL, NULL, 'Activator of Hsp90 ATPase, N-terminal', NULL, 'Aha1_N', NULL, NULL, 13513, 8),
(40114, NULL, 'PF14255', NULL, NULL, 'Cysteine-rich CPXCG', NULL, 'Cys_rich_CPXG', NULL, NULL, 27300, 8),
(40115, NULL, 'PF08880', NULL, NULL, 'QLQ', NULL, 'QLQ', NULL, NULL, 14367, 8),
(40116, NULL, 'PF16048', NULL, NULL, 'Frog antimicrobial peptide', NULL, 'Antimicrobial23', NULL, NULL, 23393, 8),
(40117, NULL, 'PF15830', NULL, NULL, 'Domain of unknown function (DUF4712)', NULL, 'DUF4712', NULL, NULL, 28463, 8),
(40118, NULL, 'PF19631', NULL, NULL, 'Trypsin-co-occurring domain 2', NULL, 'Trypco2', NULL, NULL, 36939, 8),
(40119, NULL, 'PF17481', NULL, NULL, 'Phage tail sheath protein beta-sandwich domain', NULL, 'Phage_sheath_1N', NULL, NULL, 9762, 8),
(40120, NULL, 'PF01827', NULL, NULL, 'FTH domain', NULL, 'FTH', NULL, NULL, 6389, 8),
(40121, NULL, 'PF14549', NULL, NULL, 'DNA-binding transcriptional regulator Cro', NULL, 'P22_Cro', NULL, NULL, NULL, 8),
(40122, NULL, 'PF19029', NULL, NULL, 'DUF883 C-terminal glycine zipper region', NULL, 'DUF883_C', NULL, NULL, 38422, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40123, NULL, 'PF18250', NULL, NULL, 'Effector immunity protein Tgi2PP', NULL, 'Tgi2PP', NULL, NULL, 32582, 8),
(40124, NULL, 'PF15594', NULL, NULL, 'Immunity protein 50', NULL, 'Imm50', NULL, NULL, 25795, 8),
(40125, NULL, 'PF03411', NULL, NULL, 'Penicillin-insensitive murein endopeptidase', NULL, 'Peptidase_M74', NULL, NULL, 10006, 8),
(40126, NULL, 'PF07763', NULL, NULL, 'FEZ-like protein', NULL, 'FEZ', NULL, NULL, 10647, 8),
(40127, NULL, 'PF11957', NULL, NULL, 'THO complex subunit 1 transcription elongation factor', NULL, 'efThoc1', NULL, NULL, 20390, 8),
(40128, NULL, 'PF18703', NULL, NULL, 'MALT1 Ig-like domain', NULL, 'MALT1_Ig', NULL, NULL, 31319, 8),
(40129, NULL, 'PF05795', NULL, NULL, 'Plasmodium vivax Vir protein', NULL, 'Plasmodium_Vir', NULL, NULL, 12426, 8),
(40130, NULL, 'PF16787', NULL, NULL, 'Centromere DNA-binding protein complex CBF3 subunit, domain 2', NULL, 'NDC10_II', NULL, NULL, 28708, 8),
(40131, NULL, 'PF00934', NULL, NULL, 'PE family', NULL, 'PE', NULL, NULL, 2817, 8),
(40132, NULL, 'PF09980', NULL, NULL, 'Predicted membrane protein (DUF2214)', NULL, 'DUF2214', NULL, NULL, 17800, 8),
(40133, NULL, 'PF13208', NULL, NULL, 'TerB N-terminal domain', NULL, 'TerB_N', NULL, NULL, 27785, 8),
(40134, NULL, 'PF04467', NULL, NULL, 'Protein of unknown function (DUF483)', NULL, 'DUF483', NULL, NULL, 3957, 8),
(40135, NULL, 'PF18034', NULL, NULL, 'Bacterial Glycosyl hydrolase family 3 C-terminal domain', NULL, 'Bac_GH3_C', NULL, NULL, 32336, 8),
(40136, NULL, 'PF00706', NULL, NULL, 'Anenome neurotoxin', NULL, 'Toxin_4', NULL, NULL, NULL, 8),
(40137, NULL, 'PF02319', NULL, NULL, 'E2F/DP family winged-helix DNA-binding domain', NULL, 'E2F_TDP', NULL, NULL, 4466, 8),
(40138, NULL, 'PF08534', NULL, NULL, 'Redoxin', NULL, 'Redoxin', NULL, NULL, 7550, 8),
(40139, NULL, 'PF08612', NULL, NULL, 'TATA-binding related factor (TRF) of subunit 20 of Mediator complex', NULL, 'Med20', NULL, NULL, 14082, 8),
(40140, NULL, 'PF10497', NULL, NULL, 'Zinc-finger domain of monoamine-oxidase A repressor R1', NULL, 'zf-4CXXC_R1', NULL, NULL, 21126, 8),
(40141, NULL, 'PF00191', NULL, NULL, 'Annexin', NULL, 'Annexin', NULL, NULL, 9221, 8),
(40142, NULL, 'PF03819', NULL, NULL, 'MazG nucleotide pyrophosphohydrolase domain', NULL, 'MazG', NULL, NULL, 1579, 8),
(40143, NULL, 'PF10205', NULL, NULL, 'Predicted coiled-coil domain-containing protein', NULL, 'KLRAQ', NULL, NULL, 15992, 8),
(40144, NULL, 'PF10915', NULL, NULL, 'Protein of unknown function (DUF2709)', NULL, 'DUF2709', NULL, NULL, 25702, 8),
(40145, NULL, 'PF14172', NULL, NULL, 'Domain of unknown function (DUF4309)', NULL, 'DUF4309', NULL, NULL, 28281, 8),
(40146, NULL, 'PF01918', NULL, NULL, 'Alba', NULL, 'Alba', NULL, NULL, 4718, 8),
(40147, NULL, 'PF19915', NULL, NULL, 'MoxR-vWA-beta-propeller ternary system domain bpX0', NULL, 'bpX0', NULL, NULL, 39980, 8),
(40148, NULL, 'PF11738', NULL, NULL, 'Protein of unknown function (DUF3298)', NULL, 'DUF3298', NULL, NULL, 19599, 8),
(40149, NULL, 'PF15196', NULL, NULL, 'Activator of apoptosis harakiri', NULL, 'Harakiri', NULL, NULL, 15592, 8),
(40150, NULL, 'PF16142', NULL, NULL, 'Domain of unknown function (DUF4850)', NULL, 'DUF4850', NULL, NULL, 23397, 8),
(40151, NULL, 'PF07928', NULL, NULL, 'Vps54-like protein', NULL, 'Vps54', NULL, NULL, 12920, 8),
(40152, NULL, 'PF12305', NULL, NULL, 'Protein of unknown function (DUF3630)', NULL, 'DUF3630', NULL, NULL, 20858, 8),
(40153, NULL, 'PF14801', NULL, NULL, 'tRNA methyltransferase complex GCD14 subunit N-term', NULL, 'GCD14_N', NULL, NULL, NULL, 8),
(40154, NULL, 'PF02093', NULL, NULL, 'Gag P30 core shell protein', NULL, 'Gag_p30', NULL, NULL, 49, 8),
(40155, NULL, 'PF15554', NULL, NULL, 'FSIP1 family', NULL, 'FSIP1', NULL, NULL, 21514, 8),
(40156, NULL, 'PF12716', NULL, NULL, 'Nuclear pore assembly and biogenesis', NULL, 'Apq12', NULL, NULL, 28781, 8),
(40157, NULL, 'PF10372', NULL, NULL, 'Bacterial membrane-spanning protein N-terminus', NULL, 'YojJ', NULL, NULL, 17937, 8),
(40158, NULL, 'PF16209', NULL, NULL, 'Phospholipid-translocating ATPase N-terminal', NULL, 'PhoLip_ATPase_N', NULL, NULL, 22454, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40159, NULL, 'PF04069', NULL, NULL, 'Substrate binding domain of ABC-type glycine betaine transport system', NULL, 'OpuAC', NULL, NULL, 6376, 8),
(40160, NULL, 'PF04200', NULL, NULL, 'Lipoprotein associated domain', NULL, 'Lipoprotein_17', NULL, NULL, 5193, 8),
(40161, NULL, 'PF00590', NULL, NULL, 'Tetrapyrrole (Corrin/Porphyrin) Methylases', NULL, 'TP_methylase', NULL, NULL, 396, 8),
(40162, NULL, 'PF18475', NULL, NULL, 'PIN domain', NULL, 'PIN7', NULL, NULL, 32247, 8),
(40163, NULL, 'PF07395', NULL, NULL, 'Mig-14', NULL, 'Mig-14', NULL, NULL, 8372, 8),
(40164, NULL, 'PF07695', NULL, NULL, '7TM diverse intracellular signalling', NULL, '7TMR-DISM_7TM', NULL, NULL, 10469, 8),
(40165, NULL, 'PF19745', NULL, NULL, 'Alpha-(1,6)-fucosyltransferase N- and catalytic domains', NULL, 'FUT8_N_cat', NULL, NULL, 39957, 8),
(40166, NULL, 'PF13335', NULL, NULL, 'Magnesium chelatase, subunit ChlI C-terminal', NULL, 'Mg_chelatase_C', NULL, NULL, 27563, 8),
(40167, NULL, 'PF19861', NULL, NULL, 'Family of unknown function (DUF6335)', NULL, 'DUF6335', NULL, NULL, 39578, 8),
(40168, NULL, 'PF01082', NULL, NULL, 'Copper type II ascorbate-dependent monooxygenase, N-terminal domain', NULL, 'Cu2_monooxygen', NULL, NULL, 4848, 8),
(40169, NULL, 'PF02066', NULL, NULL, 'Metallothionein family 11', NULL, 'Metallothio_11', NULL, NULL, 4774, 8),
(40170, NULL, 'PF14026', NULL, NULL, 'Protein of unknown function (DUF4242)', NULL, 'DUF4242', NULL, NULL, 22975, 8),
(40171, NULL, 'PF03818', NULL, NULL, 'Malonate/sodium symporter MadM subunit', NULL, 'MadM', NULL, NULL, 21240, 8),
(40172, NULL, 'PF03525', NULL, NULL, 'Meiotic recombination protein rec114', NULL, 'Meiotic_rec114', NULL, NULL, 5897, 8),
(40173, NULL, 'PF14222', NULL, NULL, 'Cell morphogenesis N-terminal', NULL, 'MOR2-PAG1_N', NULL, NULL, 27992, 8),
(40174, NULL, 'PF00201', NULL, NULL, 'UDP-glucoronosyl and UDP-glucosyl transferase', NULL, 'UDPGT', NULL, NULL, 6464, 8),
(40175, NULL, 'PF09394', NULL, NULL, 'Chagasin family peptidase inhibitor I42', NULL, 'Inhibitor_I42', NULL, NULL, 15790, 8),
(40176, NULL, 'PF03285', NULL, NULL, 'Paralemmin', NULL, 'Paralemmin', NULL, NULL, 2798, 8),
(40177, NULL, 'PF12940', NULL, NULL, 'Recombination-activation protein 1 (RAG1), recombinase', NULL, 'RAG1', NULL, NULL, 17283, 8),
(40178, NULL, 'PF11274', NULL, NULL, 'Protein of unknown function (DUF3074)', NULL, 'DUF3074', NULL, NULL, 25839, 8),
(40179, NULL, 'PF16405', NULL, NULL, 'Domain of unknown function (DUF5013)', NULL, 'DUF5013', NULL, NULL, 24797, 8),
(40180, NULL, 'PF16315', NULL, NULL, 'Domain of unknown function (DUF4955)', NULL, 'DUF4955', NULL, NULL, 27984, 8),
(40181, NULL, 'PF07420', NULL, NULL, 'Protein of unknown function (DUF1509)', NULL, 'DUF1509', NULL, NULL, 11752, 8),
(40182, NULL, 'PF00075', NULL, NULL, 'RNase H', NULL, 'RNase_H', NULL, NULL, 352, 8),
(40183, NULL, 'PF11205', NULL, NULL, 'Protein of unknown function (DUF2987)', NULL, 'DUF2987', NULL, NULL, 18311, 8),
(40184, NULL, 'PF01169', NULL, NULL, 'Uncharacterized protein family UPF0016', NULL, 'UPF0016', NULL, NULL, 3354, 8),
(40185, NULL, 'PF12936', NULL, NULL, 'KRI1-like family C-terminal', NULL, 'Kri1_C', NULL, NULL, 17023, 8),
(40186, NULL, 'PF04891', NULL, NULL, 'NifQ', NULL, 'NifQ', NULL, NULL, 5601, 8),
(40187, NULL, 'PF03083', NULL, NULL, 'Sugar efflux transporter for intercellular exchange', NULL, 'MtN3_slv', NULL, NULL, 4734, 8),
(40188, NULL, 'PF07690', NULL, NULL, 'Major Facilitator Superfamily', NULL, 'MFS_1', NULL, NULL, 11392, 8),
(40189, NULL, 'PF00504', NULL, NULL, 'Chlorophyll A-B binding protein', NULL, 'Chloroa_b-bind', NULL, NULL, 17440, 8),
(40190, NULL, 'PF01120', NULL, NULL, 'Alpha-L-fucosidase', NULL, 'Alpha_L_fucos', NULL, NULL, 3202, 8),
(40191, NULL, 'PF10916', NULL, NULL, 'Protein of unknown function (DUF2712)', NULL, 'DUF2712', NULL, NULL, 19180, 8),
(40192, NULL, 'PF12361', NULL, NULL, 'Duffy-antigen binding protein', NULL, 'DBP', NULL, NULL, 15476, 8),
(40193, NULL, 'PF02698', NULL, NULL, 'DUF218 domain', NULL, 'DUF218', NULL, NULL, 3253, 8),
(40194, NULL, 'PF16197', NULL, NULL, 'Ketoacyl-synthetase C-terminal extension', NULL, 'KAsynt_C_assoc', NULL, NULL, 22423, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40195, NULL, 'PF01589', NULL, NULL, 'Alphavirus E1 glycoprotein', NULL, 'Alpha_E1_glycop', NULL, NULL, 1902, 8),
(40196, NULL, 'PF19617', NULL, NULL, 'Family of unknown function (DUF6122)', NULL, 'DUF6122', NULL, NULL, 39557, 8),
(40197, NULL, 'PF11229', NULL, NULL, 'Focadhesin', NULL, 'Focadhesin', NULL, NULL, 18246, 8),
(40198, NULL, 'PF10874', NULL, NULL, 'Protein of unknown function (DUF2746)', NULL, 'DUF2746', NULL, NULL, 17292, 8),
(40199, NULL, 'PF04134', NULL, NULL, 'DCC1-like thiol-disulfide oxidoreductase', NULL, 'DCC1-like', NULL, NULL, 6575, 8),
(40200, NULL, 'PF02442', NULL, NULL, 'Lipid membrane protein of large eukaryotic DNA viruses', NULL, 'L1R_F9L', NULL, NULL, 6296, 8),
(40201, NULL, 'PF07392', NULL, NULL, 'Cyclin-dependent kinase inhibitor 2a p19Arf N-terminus', NULL, 'P19Arf_N', NULL, NULL, 11550, 8),
(40202, NULL, 'PF03807', NULL, NULL, 'NADP oxidoreductase coenzyme F420-dependent', NULL, 'F420_oxidored', NULL, NULL, 24524, 8),
(40203, NULL, 'PF10434', NULL, NULL, 'Monopolin complex protein MAM1', NULL, 'MAM1', NULL, NULL, 20396, 8),
(40204, NULL, 'PF12046', NULL, NULL, 'Cofactor assembly of complex C subunit B', NULL, 'CCB1', NULL, NULL, 20249, 8),
(40205, NULL, 'PF07797', NULL, NULL, 'Protein of unknown function (DUF1639)', NULL, 'DUF1639', NULL, NULL, 14944, 8),
(40206, NULL, 'PF07381', NULL, NULL, 'Winged helix DNA-binding domain (DUF1495)', NULL, 'DUF1495', NULL, NULL, 11941, 8),
(40207, NULL, 'PF13309', NULL, NULL, 'HTH domain', NULL, 'HTH_22', NULL, NULL, 33100, 8),
(40208, NULL, 'PF19471', NULL, NULL, 'Family of unknown function (DUF6008)', NULL, 'DUF6008', NULL, NULL, 39014, 8),
(40209, NULL, 'PF18904', NULL, NULL, 'Domain of unknown function (DUF5660)', NULL, 'DUF5660', NULL, NULL, 38216, 8),
(40210, NULL, 'PF15841', NULL, NULL, 'Transmembrane protein 239 family', NULL, 'TMEM239', NULL, NULL, 28070, 8),
(40211, NULL, 'PF11462', NULL, NULL, 'Protein of unknown function (DUF3203)', NULL, 'DUF3203', NULL, NULL, 18501, 8),
(40212, NULL, 'PF03887', NULL, NULL, 'YfbU domain', NULL, 'YfbU', NULL, NULL, 1663, 8),
(40213, NULL, 'PF16113', NULL, NULL, 'Enoyl-CoA hydratase/isomerase', NULL, 'ECH_2', NULL, NULL, 38263, 8),
(40214, NULL, 'PF01884', NULL, NULL, 'PcrB family', NULL, 'PcrB', NULL, NULL, 7332, 8),
(40215, NULL, 'PF20078', NULL, NULL, 'Domain of unknown function (DUF6473)', NULL, 'DUF6473', NULL, NULL, 38844, 8),
(40216, NULL, 'PF18452', NULL, NULL, 'Immunoglobulin domain', NULL, 'Ig_6', NULL, NULL, 32565, 8),
(40217, NULL, 'PF10859', NULL, NULL, 'Protein of unknown function (DUF2660)', NULL, 'DUF2660', NULL, NULL, 16907, 8),
(40218, NULL, 'PF03044', NULL, NULL, 'Herpesvirus UL16/UL94 family', NULL, 'Herpes_UL16', NULL, NULL, 4955, 8),
(40219, NULL, 'PF03748', NULL, NULL, 'Flagellar basal body-associated protein FliL', NULL, 'FliL', NULL, NULL, 583, 8),
(40220, NULL, 'PF07642', NULL, NULL, 'Putative beta-barrel porin-2, OmpL-like. bbp2', NULL, 'BBP2', NULL, NULL, 12673, 8),
(40221, NULL, 'PF10782', NULL, NULL, 'Zinc-finger', NULL, 'zf-C2HCIx2C', NULL, NULL, 21260, 8),
(40222, NULL, 'PF17126', NULL, NULL, 'RsmF rRNA methyltransferase first C-terminal domain', NULL, 'RsmF_methylt_CI', NULL, NULL, 27578, 8),
(40223, NULL, 'PF01812', NULL, NULL, '5-formyltetrahydrofolate cyclo-ligase family', NULL, '5-FTHF_cyc-lig', NULL, NULL, 3941, 8),
(40224, NULL, 'PF06584', NULL, NULL, 'DIRP', NULL, 'DIRP', NULL, NULL, 32775, 8),
(40225, NULL, 'PF17936', NULL, NULL, 'Bacterial Ig domain', NULL, 'Big_6', NULL, NULL, 32021, 8),
(40226, NULL, 'PF01828', NULL, NULL, 'Peptidase A4 family', NULL, 'Peptidase_A4', NULL, NULL, 4570, 8),
(40227, NULL, 'PF09124', NULL, NULL, 'T4 recombination endonuclease VII, dimerisation', NULL, 'Endonuc-dimeris', NULL, NULL, 10878, 8),
(40228, NULL, 'PF18460', NULL, NULL, 'Heterocyst differentiation regulator C-terminal Hood domain', NULL, 'HetR_C', NULL, NULL, 31828, 8),
(40229, NULL, 'PF08649', NULL, NULL, 'DASH complex subunit Dad1', NULL, 'DASH_Dad1', NULL, NULL, 8020, 8),
(40230, NULL, 'PF01036', NULL, NULL, 'Bacteriorhodopsin-like protein', NULL, 'Bac_rhodopsin', NULL, NULL, 6743, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40231, NULL, 'PF06079', NULL, NULL, 'Apyrase', NULL, 'Apyrase', NULL, NULL, NULL, 8),
(40232, NULL, 'PF16872', NULL, NULL, 'Putative phage abortive infection protein', NULL, 'putAbiC', NULL, NULL, 25852, 8),
(40233, NULL, 'PF14544', NULL, NULL, 'Domain of unknown function (DUF4443)', NULL, 'DUF4443', NULL, NULL, 24647, 8),
(40234, NULL, 'PF04705', NULL, NULL, 'Thiostrepton-resistance methylase, N terminus', NULL, 'TSNR_N', NULL, NULL, 3280, 8),
(40235, NULL, 'PF01557', NULL, NULL, 'Fumarylacetoacetate (FAA) hydrolase family', NULL, 'FAA_hydrolase', NULL, NULL, 18100, 8),
(40236, NULL, 'PF17241', NULL, NULL, 'Ty5 Gag N-terminal region', NULL, 'Retrotran_gag_4', NULL, NULL, 20103, 8),
(40237, NULL, 'PF17234', NULL, NULL, 'Mitochondrial peculiar membrane protein 1', NULL, 'MPM1', NULL, NULL, 20025, 8),
(40238, NULL, 'PF02544', NULL, NULL, '3-oxo-5-alpha-steroid 4-dehydrogenase', NULL, 'Steroid_dh', NULL, NULL, 1097, 8),
(40239, NULL, 'PF05891', NULL, NULL, 'AdoMet dependent proline di-methyltransferase', NULL, 'Methyltransf_PK', NULL, NULL, 13948, 8),
(40240, NULL, 'PF11702', NULL, NULL, 'Protein of unknown function (DUF3295)', NULL, 'DUF3295', NULL, NULL, 19993, 8),
(40241, NULL, 'PF07628', NULL, NULL, 'Protein of unknown function (DUF1589)', NULL, 'DUF1589', NULL, NULL, 14506, 8),
(40242, NULL, 'PF05700', NULL, NULL, 'Breast carcinoma amplified sequence 2 (BCAS2)', NULL, 'BCAS2', NULL, NULL, 8697, 8),
(40243, NULL, 'PF19974', NULL, NULL, 'Ternary complex associated domain 9', NULL, 'TCAD9', NULL, NULL, 38641, 8),
(40244, NULL, 'PF20151', NULL, NULL, 'Family of unknown function (DUF6533)', NULL, 'DUF6533', NULL, NULL, 39545, 8),
(40245, NULL, 'PF18533', NULL, NULL, 'Domain of unknown function (DUF5622)', NULL, 'DUF5622', NULL, NULL, 30982, 8),
(40246, NULL, 'PF03454', NULL, NULL, 'MoeA C-terminal region (domain IV)', NULL, 'MoeA_C', NULL, NULL, 10832, 8),
(40247, NULL, 'PF01537', NULL, NULL, 'Herpesvirus glycoprotein D/GG/GX domain', NULL, 'Herpes_glycop_D', NULL, NULL, 6381, 8),
(40248, NULL, 'PF16601', NULL, NULL, 'Rabosyn-5 repeating NPF sequence-motif', NULL, 'NPF', NULL, NULL, NULL, 8),
(40249, NULL, 'PF09016', NULL, NULL, 'Pas factor saposin fold', NULL, 'Pas_Saposin', NULL, NULL, 9862, 8),
(40250, NULL, 'PF14277', NULL, NULL, 'Domain of unknown function (DUF4364)', NULL, 'DUF4364', NULL, NULL, 21672, 8),
(40251, NULL, 'PF16959', NULL, NULL, 'Renal amino acid transporter', NULL, 'Collectrin', NULL, NULL, 23389, 8),
(40252, NULL, 'PF14244', NULL, NULL, 'gag-polypeptide of LTR copia-type', NULL, 'Retrotran_gag_3', NULL, NULL, 28545, 8),
(40253, NULL, 'PF05952', NULL, NULL, 'Bacillus competence pheromone ComX', NULL, 'ComX', NULL, NULL, 12572, 8),
(40254, NULL, 'PF13676', NULL, NULL, 'TIR domain', NULL, 'TIR_2', NULL, NULL, 1739, 8),
(40255, NULL, 'PF02435', NULL, NULL, 'Levansucrase/Invertase', NULL, 'Glyco_hydro_68', NULL, NULL, 6405, 8),
(40256, NULL, 'PF17694', NULL, NULL, 'Family of unknown function (DUF5540)', NULL, 'DUF5540', NULL, NULL, 29693, 8),
(40257, NULL, 'PF05358', NULL, NULL, 'DicB protein', NULL, 'DicB', NULL, NULL, 5003, 8),
(40258, NULL, 'PF12433', NULL, NULL, 'Parvovirus non-structural protein 1', NULL, 'PV_NSP1', NULL, NULL, 15289, 8),
(40259, NULL, 'PF02371', NULL, NULL, 'Transposase IS116/IS110/IS902 family', NULL, 'Transposase_20', NULL, NULL, 4236, 8),
(40260, NULL, 'PF02381', NULL, NULL, 'MraZ protein, putative antitoxin-like', NULL, 'MraZ', NULL, NULL, 20986, 8),
(40261, NULL, 'PF17437', NULL, NULL, 'Family of unknown function (DUF5416)', NULL, 'DUF5416', NULL, NULL, 29433, 8),
(40262, NULL, 'PF07725', NULL, NULL, 'Leucine Rich Repeat', NULL, 'LRR_3', NULL, NULL, 8207, 8),
(40263, NULL, 'PF11357', NULL, NULL, 'Cell cycle regulatory protein', NULL, 'Spy1', NULL, NULL, 14937, 8),
(40264, NULL, 'PF16644', NULL, NULL, 'Regulatory region of Na+/H+ exchanger NHE binds to calmodulin', NULL, 'NEXCaM_BD', NULL, NULL, 23527, 8),
(40265, NULL, 'PF19988', NULL, NULL, 'Family of unknown function (DUF6424)', NULL, 'DUF6424', NULL, NULL, 39855, 8),
(40266, NULL, 'PF05372', NULL, NULL, 'Delta lysin family', NULL, 'Delta_lysin', NULL, NULL, 5044, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40267, NULL, 'PF05726', NULL, NULL, 'Pirin C-terminal cupin domain', NULL, 'Pirin_C', NULL, NULL, 12337, 8),
(40268, NULL, 'PF08999', NULL, NULL, 'Surfactant protein C, N terminal propeptide', NULL, 'SP_C-Propep', NULL, NULL, 8600, 8),
(40269, NULL, 'PF15500', NULL, NULL, 'Putative RNase-like toxin, toxin_1', NULL, 'Ntox1', NULL, NULL, 25317, 8),
(40270, NULL, 'PF01361', NULL, NULL, 'Tautomerase enzyme', NULL, 'Tautomerase', NULL, NULL, 5526, 8),
(40271, NULL, 'PF01825', NULL, NULL, 'GPCR proteolysis site, GPS, motif', NULL, 'GPS', NULL, NULL, 3700, 8),
(40272, NULL, 'PF10154', NULL, NULL, 'Uncharacterised conserved protein (DUF2362)', NULL, 'DUF2362', NULL, NULL, 15299, 8),
(40273, NULL, 'PF09387', NULL, NULL, 'Mitochondrial RNA binding protein MRP', NULL, 'MRP', NULL, NULL, 28441, 8),
(40274, NULL, 'PF15711', NULL, NULL, 'Interleukin-like EMT inducer', NULL, 'ILEI', NULL, NULL, 35572, 8),
(40275, NULL, 'PF06816', NULL, NULL, 'NOTCH protein', NULL, 'NOD', NULL, NULL, 9219, 8),
(40276, NULL, 'PF06844', NULL, NULL, 'Protein of unknown function (DUF1244)', NULL, 'DUF1244', NULL, NULL, 16927, 8),
(40277, NULL, 'PF19127', NULL, NULL, 'Choline-binding repeat', NULL, 'Choline_bind_3', NULL, NULL, 20693, 8),
(40278, NULL, 'PF19739', NULL, NULL, 'Family of unknown function (DUF6228)', NULL, 'DUF6228', NULL, NULL, 39759, 8),
(40279, NULL, 'PF18303', NULL, NULL, 'SAVED-fused 2TM effector domain', NULL, 'Saf_2TM', NULL, NULL, 31272, 8),
(40280, NULL, 'PF04486', NULL, NULL, 'SchA/CurD like domain', NULL, 'SchA_CurD', NULL, NULL, 1916, 8),
(40281, NULL, 'PF16756', NULL, NULL, 'Partner and localizer of BRCA2 WD40 domain', NULL, 'PALB2_WD40', NULL, NULL, 23912, 8),
(40282, NULL, 'PF17254', NULL, NULL, 'Family of unknown function (DUF5321)', NULL, 'DUF5321', NULL, NULL, 18058, 8),
(40283, NULL, 'PF18211', NULL, NULL, 'Csm1 subunit domain B', NULL, 'Csm1_B', NULL, NULL, 31965, 8),
(40284, NULL, 'PF09747', NULL, NULL, 'Coiled-coil domain containing protein (DUF2052)', NULL, 'DUF2052', NULL, NULL, 31258, 8),
(40285, NULL, 'PF16311', NULL, NULL, 'Transmembrane protein 100', NULL, 'TMEM100', NULL, NULL, 27695, 8),
(40286, NULL, 'PF01339', NULL, NULL, 'CheB methylesterase', NULL, 'CheB_methylest', NULL, NULL, 3838, 8),
(40287, NULL, 'PF07847', NULL, NULL, 'PCO_ADO', NULL, 'PCO_ADO', NULL, NULL, 12814, 8),
(40288, NULL, 'PF14994', NULL, NULL, 'Testis-specific gene 13 protein', NULL, 'TSGA13', NULL, NULL, 22007, 8),
(40289, NULL, 'PF19063', NULL, NULL, 'Family of unknown function (DUF5759)', NULL, 'DUF5759', NULL, NULL, 38410, 8),
(40290, NULL, 'PF09421', NULL, NULL, 'Frequency clock protein', NULL, 'FRQ', NULL, NULL, 15780, 8),
(40291, NULL, 'PF13888', NULL, NULL, 'Myelin gene regulatory factor C-terminal domain 2', NULL, 'MRF_C2', NULL, NULL, 25694, 8),
(40292, NULL, 'PF14340', NULL, NULL, 'Domain of unknown function (DUF4395)', NULL, 'DUF4395', NULL, NULL, 28069, 8),
(40293, NULL, 'PF02655', NULL, NULL, 'ATP-grasp domain', NULL, 'ATP-grasp_3', NULL, NULL, 6238, 8),
(40294, NULL, 'PF15461', NULL, NULL, 'Beta-carotene 15,15''-dioxygenase', NULL, 'BCD', NULL, NULL, 15808, 8),
(40295, NULL, 'PF19231', NULL, NULL, 'Family of unknown function (DUF5884)', NULL, 'DUF5884', NULL, NULL, 38085, 8),
(40296, NULL, 'PF11325', NULL, NULL, 'Domain of unknown function (DUF3127)', NULL, 'DUF3127', NULL, NULL, 18815, 8),
(40297, NULL, 'PF01473', NULL, NULL, 'Putative cell wall binding repeat', NULL, 'Choline_bind_1', NULL, NULL, 20693, 8),
(40298, NULL, 'PF01098', NULL, NULL, 'Cell cycle protein', NULL, 'FTSW_RODA_SPOVE', NULL, NULL, 1213, 8),
(40299, NULL, 'PF12801', NULL, NULL, '4Fe-4S binding domain', NULL, 'Fer4_5', NULL, NULL, 13131, 8),
(40300, NULL, 'PF18813', NULL, NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease4', NULL, 'PBECR4', NULL, NULL, 31732, 8),
(40301, NULL, 'PF10428', NULL, NULL, 'RAM signalling pathway protein', NULL, 'SOG2', NULL, NULL, 18816, 8),
(40302, NULL, 'PF18846', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 5', NULL, 'baeRF_family5', NULL, NULL, 30177, 8),
(40303, NULL, 'PF12434', NULL, NULL, 'Malate dehydrogenase enzyme', NULL, 'Malate_DH', NULL, NULL, 29141, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40304, NULL, 'PF18004', NULL, NULL, '26S proteasome regulatory subunit RPN2 C-terminal domain', NULL, 'RPN2_C', NULL, NULL, 29960, 8),
(40305, NULL, 'PF01633', NULL, NULL, 'Choline/ethanolamine kinase', NULL, 'Choline_kinase', NULL, NULL, NULL, 8),
(40306, NULL, 'PF09036', NULL, NULL, 'Bcr-Abl oncoprotein oligomerisation domain', NULL, 'Bcr-Abl_Oligo', NULL, NULL, 9886, 8),
(40307, NULL, 'PF04230', NULL, NULL, 'Polysaccharide pyruvyl transferase', NULL, 'PS_pyruv_trans', NULL, NULL, 5502, 8),
(40308, NULL, 'PF17627', NULL, NULL, 'Inclusion membrane protein E', NULL, 'IncE', NULL, NULL, 8835, 8),
(40309, NULL, 'PF11145', NULL, NULL, 'Protein of unknown function (DUF2921)', NULL, 'DUF2921', NULL, NULL, 17797, 8),
(40310, NULL, 'PF17239', NULL, NULL, 'Family of unknown function (DUF5312)', NULL, 'DUF5312', NULL, NULL, 20318, 8),
(40311, NULL, 'PF19287', NULL, NULL, 'Family of unknown function (DUF5910)', NULL, 'DUF5910', NULL, NULL, 39774, 8),
(40312, NULL, 'PF01011', NULL, NULL, 'PQQ enzyme repeat', NULL, 'PQQ', NULL, NULL, 6580, 8),
(40313, NULL, 'PF06053', NULL, NULL, 'Domain of unknown function (DUF929)', NULL, 'DUF929', NULL, NULL, 13861, 8),
(40314, NULL, 'PF15027', NULL, NULL, 'Domain of unknown function (DUF4525)', NULL, 'DUF4525', NULL, NULL, 22965, 8),
(40315, NULL, 'PF18826', NULL, NULL, 'Bacteroidetes VLRF1 release factor', NULL, 'bVLRF1', NULL, NULL, 31271, 8),
(40316, NULL, 'PF00994', NULL, NULL, 'Probable molybdopterin binding domain', NULL, 'MoCF_biosynth', NULL, NULL, 6324, 8),
(40317, NULL, 'PF06080', NULL, NULL, 'Protein of unknown function (DUF938)', NULL, 'DUF938', NULL, NULL, 8680, 8),
(40318, NULL, 'PF11242', NULL, NULL, 'Protein of unknown function (DUF2774)', NULL, 'DUF2774', NULL, NULL, 18298, 8),
(40319, NULL, 'PF00823', NULL, NULL, 'PPE family', NULL, 'PPE', NULL, NULL, 2886, 8),
(40320, NULL, 'PF07957', NULL, NULL, 'Protein of unknown function (DUF3294)', NULL, 'DUF3294', NULL, NULL, 8341, 8),
(40321, NULL, 'PF07127', NULL, NULL, 'Late nodulin protein', NULL, 'Nodulin_late', NULL, NULL, 13525, 8),
(40322, NULL, 'PF05729', NULL, NULL, 'NACHT domain', NULL, 'NACHT', NULL, NULL, 204, 8),
(40323, NULL, 'PF03849', NULL, NULL, 'Transcription factor Tfb2', NULL, 'Tfb2', NULL, NULL, 731, 8),
(40324, NULL, 'PF03602', NULL, NULL, 'Conserved hypothetical protein 95', NULL, 'Cons_hypoth95', NULL, NULL, NULL, 8),
(40325, NULL, 'PF10187', NULL, NULL, 'FAM192A/Fyv6, N-terminal domain', NULL, 'FAM192A_Fyv6_N', NULL, NULL, 15129, 8),
(40326, NULL, 'PF12932', NULL, NULL, 'Vesicle coat trafficking protein Sec16 mid-region', NULL, 'Sec16', NULL, NULL, 25532, 8),
(40327, NULL, 'PF17682', NULL, NULL, 'Tau95 Triple barrel domain', NULL, 'Tau95_N', NULL, NULL, 32051, 8),
(40328, NULL, 'PF06743', NULL, NULL, 'FAST kinase-like protein, subdomain 1', NULL, 'FAST_1', NULL, NULL, 9288, 8),
(40329, NULL, 'PF08082', NULL, NULL, 'PRO8NT (NUC069), PrP8 N-terminal domain', NULL, 'PRO8NT', NULL, NULL, 9968, 8),
(40330, NULL, 'PF17804', NULL, NULL, 'Tail specific protease N-terminal domain', NULL, 'TSP_NTD', NULL, NULL, 29551, 8),
(40331, NULL, 'PF15556', NULL, NULL, 'ZW10 interactor', NULL, 'Zwint', NULL, NULL, 26099, 8),
(40332, NULL, 'PF11128', NULL, NULL, 'Plant viral coat protein nucleocapsid', NULL, 'Nucleocap_ssRNA', NULL, NULL, 17524, 8),
(40333, NULL, 'PF15162', NULL, NULL, 'Protein SPO16 homolog', NULL, 'SCRE', NULL, NULL, 27953, 8),
(40334, NULL, 'PF04958', NULL, NULL, 'Arginine N-succinyltransferase beta subunit', NULL, 'AstA', NULL, NULL, 6542, 8),
(40335, NULL, 'PF06162', NULL, NULL, 'Putative pyroglutamyl peptidase PgaPase_1', NULL, 'PgaPase_1', NULL, NULL, 9842, 8),
(40336, NULL, 'PF14209', NULL, NULL, 'Domain of unknown function (DUF4321)', NULL, 'DUF4321', NULL, NULL, 28458, 8),
(40337, NULL, 'PF12896', NULL, NULL, 'Anaphase-promoting complex, cyclosome, subunit 4', NULL, 'ANAPC4', NULL, NULL, 25357, 8),
(40338, NULL, 'PF03936', NULL, NULL, 'Terpene synthase family, metal binding domain', NULL, 'Terpene_synth_C', NULL, NULL, 2651, 8),
(40339, NULL, 'PF03736', NULL, NULL, 'EPTP domain', NULL, 'EPTP', NULL, NULL, 936, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40340, NULL, 'PF04130', NULL, NULL, 'Gamma tubulin complex component C-terminal', NULL, 'GCP_C_terminal', NULL, NULL, 30353, 8),
(40341, NULL, 'PF03755', NULL, NULL, 'YicC-like family, N-terminal region', NULL, 'YicC_N', NULL, NULL, 13004, 8),
(40342, NULL, 'PF06785', NULL, NULL, 'Uncharacterised protein family (UPF0242) N-terminus', NULL, 'UPF0242', NULL, NULL, 1707, 8),
(40343, NULL, 'PF12501', NULL, NULL, 'Phosphate ATP-binding cassette transporter', NULL, 'DUF3708', NULL, NULL, 21092, 8),
(40344, NULL, 'PF16560', NULL, NULL, 'Putative mobile pathogenicity island', NULL, 'SAPI', NULL, NULL, 28011, 8),
(40345, NULL, 'PF17169', NULL, NULL, 'MIT domain of nuclear receptor-binding factor 2', NULL, 'NRBF2_MIT', NULL, NULL, 29539, 8),
(40346, NULL, 'PF18432', NULL, NULL, 'Extracellular Cadherin domain', NULL, 'ECD', NULL, NULL, 31173, 8),
(40347, NULL, 'PF19462', NULL, NULL, 'Family of unknown function (DUF5999)', NULL, 'DUF5999', NULL, NULL, 39389, 8),
(40348, NULL, 'PF13796', NULL, NULL, 'Putative sensor', NULL, 'Sensor', NULL, NULL, 25012, 8),
(40349, NULL, 'PF11300', NULL, NULL, 'Protein of unknown function (DUF3102)', NULL, 'DUF3102', NULL, NULL, 18355, 8),
(40350, NULL, 'PF14707', NULL, NULL, 'C-terminal region of aryl-sulfatase', NULL, 'Sulfatase_C', NULL, NULL, NULL, 8),
(40351, NULL, 'PF00675', NULL, NULL, 'Insulinase (Peptidase family M16)', NULL, 'Peptidase_M16', NULL, NULL, 11757, 8),
(40352, NULL, 'PF00996', NULL, NULL, 'GDP dissociation inhibitor', NULL, 'GDI', NULL, NULL, 19511, 8),
(40353, NULL, 'PF16471', NULL, NULL, 'JNK-interacting protein leucine zipper II', NULL, 'JIP_LZII', NULL, NULL, 22522, 8),
(40354, NULL, 'PF02511', NULL, NULL, 'Thymidylate synthase complementing protein', NULL, 'Thy1', NULL, NULL, 1227, 8),
(40355, NULL, 'PF00818', NULL, NULL, 'Ice nucleation protein repeat', NULL, 'Ice_nucleation', NULL, NULL, 4926, 8),
(40356, NULL, 'PF06596', NULL, NULL, 'Photosystem II reaction centre X protein (PsbX)', NULL, 'PsbX', NULL, NULL, 10239, 8),
(40357, NULL, 'PF11678', NULL, NULL, 'Protein of unknown function (DUF3274)', NULL, 'DUF3274', NULL, NULL, 19317, 8),
(40358, NULL, 'PF09135', NULL, NULL, 'Alb1', NULL, 'Alb1', NULL, NULL, 17326, 8),
(40359, NULL, 'PF11448', NULL, NULL, 'Protein of unknown function (DUF3005)', NULL, 'DUF3005', NULL, NULL, 18858, 8),
(40360, NULL, 'PF10533', NULL, NULL, 'Plant zinc cluster domain', NULL, 'Plant_zn_clust', NULL, NULL, 21411, 8),
(40361, NULL, 'PF08292', NULL, NULL, 'RNA polymerase III subunit Rpc25', NULL, 'RNA_pol_Rbc25', NULL, NULL, 12821, 8),
(40362, NULL, 'PF19017', NULL, NULL, 'Domain of unknown function (DUF5746)', NULL, 'DUF5746', NULL, NULL, 38213, 8),
(40363, NULL, 'PF03972', NULL, NULL, 'MmgE/PrpD N-terminal domain', NULL, 'MmgE_PrpD', NULL, NULL, 38553, 8),
(40364, NULL, 'PF13768', NULL, NULL, 'von Willebrand factor type A domain', NULL, 'VWA_3', NULL, NULL, 2293, 8),
(40365, NULL, 'PF06684', NULL, NULL, 'Amino acid synthesis', NULL, 'AA_synth', NULL, NULL, 739, 8),
(40366, NULL, 'PF16112', NULL, NULL, 'Domain of unknown function (DUF4830)', NULL, 'DUF4830', NULL, NULL, 24593, 8),
(40367, NULL, 'PF00847', NULL, NULL, 'AP2 domain', NULL, 'AP2', NULL, NULL, 3110, 8),
(40368, NULL, 'PF03837', NULL, NULL, 'RecT family', NULL, 'RecT', NULL, NULL, 8632, 8),
(40369, NULL, 'PF15829', NULL, NULL, 'Domain of unknown function (DUF4711)', NULL, 'DUF4711', NULL, NULL, 28165, 8),
(40370, NULL, 'PF18329', NULL, NULL, 'Surface glycan-binding protein B xyloglucan binding domain', NULL, 'SGBP_B_XBD', NULL, NULL, 30213, 8),
(40371, NULL, 'PF00332', NULL, NULL, 'Glycosyl hydrolases family 17', NULL, 'Glyco_hydro_17', NULL, NULL, 5860, 8),
(40372, NULL, 'PF10605', NULL, NULL, '3HB-oligomer hydrolase (3HBOH)', NULL, '3HBOH', NULL, NULL, 18404, 8),
(40373, NULL, 'PF03558', NULL, NULL, 'TBSV core protein P21/P22', NULL, 'TBSV_P22', NULL, NULL, 5613, 8),
(40374, NULL, 'PF15155', NULL, NULL, 'MORF4 family-associated protein1', NULL, 'MRFAP1', NULL, NULL, 21941, 8),
(40375, NULL, 'PF00484', NULL, NULL, 'Carbonic anhydrase', NULL, 'Pro_CA', NULL, NULL, 3121, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40376, NULL, 'PF17681', NULL, NULL, 'Gamma tubulin complex component N-terminal', NULL, 'GCP_N_terminal', NULL, NULL, 32219, 8),
(40377, NULL, 'PF15957', NULL, NULL, 'Commissureless', NULL, 'Comm', NULL, NULL, 28029, 8),
(40378, NULL, 'PF19280', NULL, NULL, 'Ceramide kinase C-terminal domain', NULL, 'CERK_C', NULL, NULL, 38463, 8),
(40379, NULL, 'PF04410', NULL, NULL, 'Gar1/Naf1 RNA binding region', NULL, 'Gar1', NULL, NULL, 10300, 8),
(40380, NULL, 'PF18138', NULL, NULL, 'Bacterial HORMA domain family 1', NULL, 'bacHORMA_1', NULL, NULL, 31082, 8),
(40381, NULL, 'PF09041', NULL, NULL, 'Aurora-A binding', NULL, 'Aurora-A_bind', NULL, NULL, 9534, 8),
(40382, NULL, 'PF17320', NULL, NULL, 'Family of unknown function (DUF5363)', NULL, 'DUF5363', NULL, NULL, 34129, 8),
(40383, NULL, 'PF18583', NULL, NULL, 'Aminoarabinose transferase C-terminal domain', NULL, 'Arnt_C', NULL, NULL, 34860, 8),
(40384, NULL, 'PF01625', NULL, NULL, 'Peptide methionine sulfoxide reductase', NULL, 'PMSR', NULL, NULL, 1753, 8),
(40385, NULL, 'PF07504', NULL, NULL, 'Fungalysin/Thermolysin Propeptide Motif', NULL, 'FTP', NULL, NULL, 11418, 8),
(40386, NULL, 'PF01845', NULL, NULL, 'CcdB protein', NULL, 'CcdB', NULL, NULL, 3877, 8),
(40387, NULL, 'PF08309', NULL, NULL, 'LVIVD repeat', NULL, 'LVIVD', NULL, NULL, 17957, 8),
(40388, NULL, 'PF04209', NULL, NULL, 'homogentisate 1,2-dioxygenase', NULL, 'HgmA', NULL, NULL, 3549, 8),
(40389, NULL, 'PF20110', NULL, NULL, 'Family of unknown function (DUF6500)', NULL, 'DUF6500', NULL, NULL, 39784, 8),
(40390, NULL, 'PF06387', NULL, NULL, 'D1 dopamine receptor-interacting protein (calcyon)', NULL, 'Calcyon', NULL, NULL, 8022, 8),
(40391, NULL, 'PF14840', NULL, NULL, 'Processivity clamp loader gamma complex DNA pol III C-term', NULL, 'DNA_pol3_delt_C', NULL, NULL, 22921, 8),
(40392, NULL, 'PF15976', NULL, NULL, 'CS1-pili formation C-terminal', NULL, 'CooC_C', NULL, NULL, 27471, 8),
(40393, NULL, 'PF00243', NULL, NULL, 'Nerve growth factor family', NULL, 'NGF', NULL, NULL, 5308, 8),
(40394, NULL, 'PF10542', NULL, NULL, 'Vitelline membrane cysteine-rich region', NULL, 'Vitelline_membr', NULL, NULL, 7773, 8),
(40395, NULL, 'PF06989', NULL, NULL, 'BAALC N-terminus', NULL, 'BAALC_N', NULL, NULL, 12808, 8),
(40396, NULL, 'PF16277', NULL, NULL, 'Domain of unknown function (DUF4926)', NULL, 'DUF4926', NULL, NULL, 22046, 8),
(40397, NULL, 'PF01249', NULL, NULL, 'Ribosomal protein S21e', NULL, 'Ribosomal_S21e', NULL, NULL, 2009, 8),
(40398, NULL, 'PF02082', NULL, NULL, 'Iron-dependent Transcriptional regulator', NULL, 'Rrf2', NULL, NULL, 157, 8),
(40399, NULL, 'PF16183', NULL, NULL, 'Kinesin-associated', NULL, 'Kinesin_assoc', NULL, NULL, 26713, 8),
(40400, NULL, 'PF17298', NULL, NULL, 'Family of unknown function (DUF5349)', NULL, 'DUF5349', NULL, NULL, 30318, 8),
(40401, NULL, 'PF00384', NULL, NULL, 'Molybdopterin oxidoreductase', NULL, 'Molybdopterin', NULL, NULL, 1240, 8),
(40402, NULL, 'PF04539', NULL, NULL, 'Sigma-70 region 3', NULL, 'Sigma70_r3', NULL, NULL, 2926, 8),
(40403, NULL, 'PF11601', NULL, NULL, 'Shal-type voltage-gated potassium channels, N-terminal', NULL, 'Shal-type', NULL, NULL, 19348, 8),
(40404, NULL, 'PF05926', NULL, NULL, 'Phage head completion protein (GPL)', NULL, 'Phage_GPL', NULL, NULL, 12859, 8),
(40405, NULL, 'PF12885', NULL, NULL, 'Transducer of regulated CREB activity middle domain', NULL, 'TORC_M', NULL, NULL, 25177, 8),
(40406, NULL, 'PF01710', NULL, NULL, 'Transposase', NULL, 'HTH_Tnp_IS630', NULL, NULL, 2779, 8),
(40407, NULL, 'PF14744', NULL, NULL, 'WASH complex subunit 7', NULL, 'WASH-7_mid', NULL, NULL, 28577, 8),
(40408, NULL, 'PF19227', NULL, NULL, 'Salyut domain', NULL, 'Salyut', NULL, NULL, 38184, 8),
(40409, NULL, 'PF04912', NULL, NULL, 'Dynamitin', NULL, 'Dynamitin', NULL, NULL, 27389, 8),
(40410, NULL, 'PF01204', NULL, NULL, 'Trehalase', NULL, 'Trehalase', NULL, NULL, 3346, 8),
(40411, NULL, 'PF11256', NULL, NULL, 'Protein of unknown function (DUF3055)', NULL, 'DUF3055', NULL, NULL, 18003, 8),
(40412, NULL, 'PF12787', NULL, NULL, 'EcsC protein family', NULL, 'EcsC', NULL, NULL, 25424, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40413, NULL, 'PF16941', NULL, NULL, 'Putative cyclodextrin porin', NULL, 'CymA', NULL, NULL, 27351, 8),
(40414, NULL, 'PF13408', NULL, NULL, 'Recombinase zinc beta ribbon domain', NULL, 'Zn_ribbon_recom', NULL, NULL, 25340, 8),
(40415, NULL, 'PF19557', NULL, NULL, 'Family of unknown function (DUF6079)', NULL, 'DUF6079', NULL, NULL, 37435, 8),
(40416, NULL, 'PF14311', NULL, NULL, 'Probable Zinc-ribbon domain', NULL, 'DUF4379', NULL, NULL, 28058, 8),
(40417, NULL, 'PF03953', NULL, NULL, 'Tubulin C-terminal domain', NULL, 'Tubulin_C', NULL, NULL, 16590, 8),
(40418, NULL, 'PF06093', NULL, NULL, 'Spt4/RpoE2 zinc finger', NULL, 'Spt4', NULL, NULL, 17303, 8),
(40419, NULL, 'PF16324', NULL, NULL, 'Domain of unknown function (DUF4960)', NULL, 'DUF4960', NULL, NULL, 22377, 8),
(40420, NULL, 'PF17748', NULL, NULL, 'VID27 N-terminal region', NULL, 'VID27_N', NULL, NULL, 29811, 8),
(40421, NULL, 'PF19110', NULL, NULL, 'Family of unknown function (DUF5797)', NULL, 'DUF5797', NULL, NULL, 38163, 8),
(40422, NULL, 'PF01520', NULL, NULL, 'N-acetylmuramoyl-L-alanine amidase', NULL, 'Amidase_3', NULL, NULL, 652, 8),
(40423, NULL, 'PF04876', NULL, NULL, 'Tenuivirus major non-capsid protein', NULL, 'Tenui_NCP', NULL, NULL, 5905, 8),
(40424, NULL, 'PF07156', NULL, NULL, 'Prenylcysteine lyase', NULL, 'Prenylcys_lyase', NULL, NULL, 11409, 8),
(40425, NULL, 'PF11858', NULL, NULL, 'Domain of unknown function (DUF3378)', NULL, 'DUF3378', NULL, NULL, 22018, 8),
(40426, NULL, 'PF18404', NULL, NULL, 'Glucosyltransferase 24', NULL, 'Glyco_transf_24', NULL, NULL, 29978, 8),
(40427, NULL, 'PF00207', NULL, NULL, 'Alpha-2-macroglobulin family', NULL, 'A2M', NULL, NULL, 5165, 8),
(40428, NULL, 'PF18678', NULL, NULL, 'Allene oxide cyclase barrel like domain', NULL, 'AOC_like', NULL, NULL, 31920, 8),
(40429, NULL, 'PF19740', NULL, NULL, 'Family of unknown function (DUF6229)', NULL, 'DUF6229', NULL, NULL, 39634, 8),
(40430, NULL, 'PF02411', NULL, NULL, 'MerT mercuric transport protein', NULL, 'MerT', NULL, NULL, 5734, 8),
(40431, NULL, 'PF14247', NULL, NULL, 'Putative metallopeptidase', NULL, 'DUF4344', NULL, NULL, 26226, 8),
(40432, NULL, 'PF10983', NULL, NULL, 'Protein of unknown function (DUF2793)', NULL, 'DUF2793', NULL, NULL, 17968, 8),
(40433, NULL, 'PF16594', NULL, NULL, 'Putative AtpZ or ATP-synthase-associated', NULL, 'ATP-synt_Z', NULL, NULL, 29228, 8),
(40434, NULL, 'PF12613', NULL, NULL, 'Flagellin structural protein', NULL, 'FliC_SP', NULL, NULL, 16870, 8),
(40435, NULL, 'PF13420', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_4', NULL, NULL, NULL, 8),
(40436, NULL, 'PF17151', NULL, NULL, 'Periplasmic sensor domain', NULL, 'CHASE7', NULL, NULL, 31706, 8),
(40437, NULL, 'PF02629', NULL, NULL, 'CoA binding domain', NULL, 'CoA_binding', NULL, NULL, 3186, 8),
(40438, NULL, 'PF17326', NULL, NULL, 'Family of unknown function (DUF5365)', NULL, 'DUF5365', NULL, NULL, 20256, 8),
(40439, NULL, 'PF14938', NULL, NULL, 'Soluble NSF attachment protein, SNAP', NULL, 'SNAP', NULL, NULL, NULL, 8),
(40440, NULL, 'PF04218', NULL, NULL, 'CENP-B N-terminal DNA-binding domain', NULL, 'CENP-B_N', NULL, NULL, 3274, 8),
(40441, NULL, 'PF15229', NULL, NULL, 'POM121 family', NULL, 'POM121', NULL, NULL, NULL, 8),
(40442, NULL, 'PF12482', NULL, NULL, 'Phage integrase protein', NULL, 'DUF3701', NULL, NULL, 21436, 8),
(40443, NULL, 'PF08297', NULL, NULL, 'U3 snoRNA associated', NULL, 'U3_snoRNA_assoc', NULL, NULL, 13291, 8),
(40444, NULL, 'PF09954', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2188)', NULL, 'DUF2188', NULL, NULL, 17790, 8),
(40445, NULL, 'PF15346', NULL, NULL, 'Arginine and glutamate-rich 1', NULL, 'ARGLU', NULL, NULL, 29562, 8),
(40446, NULL, 'PF12856', NULL, NULL, 'Anaphase-promoting complex subunit 9', NULL, 'ANAPC9', NULL, NULL, 11659, 8),
(40447, NULL, 'PF00604', NULL, NULL, 'Influenza RNA-dependent RNA polymerase subunit PB2', NULL, 'Flu_PB2', NULL, NULL, 3459, 8),
(40448, NULL, 'PF11867', NULL, NULL, 'Domain of unknown function (DUF3387)', NULL, 'DUF3387', NULL, NULL, 19977, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40449, NULL, 'PF04556', NULL, NULL, 'DpnII restriction endonuclease', NULL, 'DpnII', NULL, NULL, 2336, 8),
(40450, NULL, 'PF19660', NULL, NULL, 'Family of unknown function (DUF6163)', NULL, 'DUF6163', NULL, NULL, 39569, 8),
(40451, NULL, 'PF18741', NULL, NULL, 'REase_MTES_1575', NULL, 'MTES_1575', NULL, NULL, NULL, 8),
(40452, NULL, 'PF13486', NULL, NULL, 'Reductive dehalogenase subunit', NULL, 'Dehalogenase', NULL, NULL, 25289, 8),
(40453, NULL, 'PF04549', NULL, NULL, 'CD47 transmembrane region', NULL, 'CD47', NULL, NULL, 12853, 8),
(40454, NULL, 'PF07462', NULL, NULL, 'Merozoite surface protein 1 (MSP1) C-terminus', NULL, 'MSP1_C', NULL, NULL, 12015, 8),
(40455, NULL, 'PF14363', NULL, NULL, 'Domain associated at C-terminal with AAA', NULL, 'AAA_assoc', NULL, NULL, 23053, 8),
(40456, NULL, 'PF02291', NULL, NULL, 'Transcription initiation factor IID, 31kD subunit', NULL, 'TFIID-31kDa', NULL, NULL, 1745, 8),
(40457, NULL, 'PF02155', NULL, NULL, 'Glucocorticoid receptor', NULL, 'GCR', NULL, NULL, 3137, 8),
(40458, NULL, 'PF16613', NULL, NULL, 'Unstructured region of RGS12', NULL, 'RGS12_us1', NULL, NULL, NULL, 8),
(40459, NULL, 'PF16776', NULL, NULL, 'Type II inositol 1,4,5-trisphosphate 5-phosphatase PH domain', NULL, 'INPP5B_PH', NULL, NULL, 25187, 8),
(40460, NULL, 'PF03740', NULL, NULL, 'Pyridoxal phosphate biosynthesis protein PdxJ', NULL, 'PdxJ', NULL, NULL, 754, 8),
(40461, NULL, 'PF02793', NULL, NULL, 'Hormone receptor domain', NULL, 'HRM', NULL, NULL, 4203, 8),
(40462, NULL, 'PF16732', NULL, NULL, 'Type IV minor pilin ComP, DNA uptake sequence receptor', NULL, 'ComP_DUS', NULL, NULL, 25006, 8),
(40463, NULL, 'PF05773', NULL, NULL, 'RWD domain', NULL, 'RWD', NULL, NULL, 278, 8),
(40464, NULL, 'PF06741', NULL, NULL, 'LsmAD domain', NULL, 'LsmAD', NULL, NULL, 1565, 8),
(40465, NULL, 'PF12483', NULL, NULL, 'E3 Ubiquitin ligase', NULL, 'GIDE', NULL, NULL, 21083, 8),
(40466, NULL, 'PF19247', NULL, NULL, 'Family of unknown function (DUF5895)', NULL, 'DUF5895', NULL, NULL, 38102, 8),
(40467, NULL, 'PF17197', NULL, NULL, 'Domain of unknown function (DUF5134)', NULL, 'DUF5134', NULL, NULL, 33477, 8),
(40468, NULL, 'PF14692', NULL, NULL, 'Domain of unknown function (DUF4462)', NULL, 'DUF4462', NULL, NULL, 24723, 8),
(40469, NULL, 'PF03166', NULL, NULL, 'MH2 domain', NULL, 'MH2', NULL, NULL, 1662, 8),
(40470, NULL, 'PF06212', NULL, NULL, 'GRIM-19 protein', NULL, 'GRIM-19', NULL, NULL, 14798, 8),
(40471, NULL, 'PF00355', NULL, NULL, 'Rieske [2Fe-2S] domain', NULL, 'Rieske', NULL, NULL, 21325, 8),
(40472, NULL, 'PF19142', NULL, NULL, 'Family of unknown function (DUF5825)', NULL, 'DUF5825', NULL, NULL, 36698, 8),
(40473, NULL, 'PF15370', NULL, NULL, 'Domain of unknown function (DUF4598)', NULL, 'DUF4598', NULL, NULL, 24081, 8),
(40474, NULL, 'PF19262', NULL, NULL, 'Family of unknown function (DUF5905)', NULL, 'DUF5905', NULL, NULL, 38297, 8),
(40475, NULL, 'PF05915', NULL, NULL, 'Transmembrane proteins 230/134', NULL, 'TMEM_230_134', NULL, NULL, 14072, 8),
(40476, NULL, 'PF06059', NULL, NULL, 'Domain of Unknown Function (DUF930)', NULL, 'DUF930', NULL, NULL, 13874, 8),
(40477, NULL, 'PF07039', NULL, NULL, 'SGF29 tudor-like domain', NULL, 'DUF1325', NULL, NULL, 10056, 8),
(40478, NULL, 'PF13829', NULL, NULL, 'Domain of unknown function (DUF4191)', NULL, 'DUF4191', NULL, NULL, 23267, 8),
(40479, NULL, 'PF10930', NULL, NULL, 'Protein of unknown function (DUF2737)', NULL, 'DUF2737', NULL, NULL, 20572, 8),
(40480, NULL, 'PF07294', NULL, NULL, 'Fibroin P25', NULL, 'Fibroin_P25', NULL, NULL, 14812, 8),
(40481, NULL, 'PF14080', NULL, NULL, 'Domain of unknown function (DUF4261)', NULL, 'DUF4261', NULL, NULL, 23489, 8),
(40482, NULL, 'PF08236', NULL, NULL, 'SRI (Set2 Rpb1 interacting) domain', NULL, 'SRI', NULL, NULL, 13245, 8),
(40483, NULL, 'PF00076', NULL, NULL, 'RNA recognition motif. (a.k.a. RRM, RBD, or RNP domain)', NULL, 'RRM_1', NULL, NULL, 5800, 8),
(40484, NULL, 'PF01411', NULL, NULL, 'tRNA synthetases class II (A)', NULL, 'tRNA-synt_2c', NULL, NULL, 7574, 8),
(40485, NULL, 'PF03155', NULL, NULL, 'ALG6, ALG8 glycosyltransferase family', NULL, 'Alg6_Alg8', NULL, NULL, 7274, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40486, NULL, 'PF16243', NULL, NULL, 'Sm_like domain', NULL, 'Sm_like', NULL, NULL, 25501, 8),
(40487, NULL, 'PF17869', NULL, NULL, 'Anosmin cysteine rich domain', NULL, 'Cys_box', NULL, NULL, 31381, 8),
(40488, NULL, 'PF09832', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2059)', NULL, 'DUF2059', NULL, NULL, 16702, 8),
(40489, NULL, 'PF15716', NULL, NULL, 'Domain of unknown function (DUF4672)', NULL, 'DUF4672', NULL, NULL, 24667, 8),
(40490, NULL, 'PF04645', NULL, NULL, 'Protein of unknown function, DUF603', NULL, 'DUF603', NULL, NULL, 3360, 8),
(40491, NULL, 'PF09981', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2218)', NULL, 'DUF2218', NULL, NULL, 12477, 8),
(40492, NULL, 'PF01200', NULL, NULL, 'Ribosomal protein S28e', NULL, 'Ribosomal_S28e', NULL, NULL, 4978, 8),
(40493, NULL, 'PF07903', NULL, NULL, 'PaRep2a protein', NULL, 'PaRep2a', NULL, NULL, 12620, 8),
(40494, NULL, 'PF11479', NULL, NULL, 'RNA silencing suppressor P21 C-terminal domain', NULL, 'Suppressor_P21', NULL, NULL, 18868, 8),
(40495, NULL, 'PF03650', NULL, NULL, 'Mitochondrial pyruvate carriers', NULL, 'MPC', NULL, NULL, 5878, 8),
(40496, NULL, 'PF03368', NULL, NULL, 'Dicer dimerisation domain', NULL, 'Dicer_dimer', NULL, NULL, NULL, 8),
(40497, NULL, 'PF14648', NULL, NULL, 'FAM91 C-terminus', NULL, 'FAM91_C', NULL, NULL, 23783, 8),
(40498, NULL, 'PF16370', NULL, NULL, 'C terminal of Calcineurin-like phosphoesterase', NULL, 'MetallophosC', NULL, NULL, 28498, 8),
(40499, NULL, 'PF12522', NULL, NULL, 'Cytomegalovirus glycoprotein N terminal', NULL, 'UL73_N', NULL, NULL, 15326, 8),
(40500, NULL, 'PF19842', NULL, NULL, 'YqeC protein', NULL, 'YqeC', NULL, NULL, 16288, 8),
(40501, NULL, 'PF01716', NULL, NULL, 'Manganese-stabilising protein / photosystem II polypeptide', NULL, 'MSP', NULL, NULL, 2987, 8),
(40502, NULL, 'PF19536', NULL, NULL, 'POU domain, class 2, transcription factor 1 C-terminal', NULL, 'POU2F1_C', NULL, NULL, 38930, 8),
(40503, NULL, 'PF19177', NULL, NULL, 'Family of unknown function (DUF5859)', NULL, 'DUF5859', NULL, NULL, 38221, 8),
(40504, NULL, 'PF06644', NULL, NULL, 'ATP11 protein', NULL, 'ATP11', NULL, NULL, 8332, 8),
(40505, NULL, 'PF09062', NULL, NULL, 'PI-PfuI Endonuclease subdomain', NULL, 'Endonuc_subdom', NULL, NULL, 9969, 8),
(40506, NULL, 'PF15904', NULL, NULL, 'LKB1 serine/threonine kinase interacting protein 1', NULL, 'LIP1', NULL, NULL, 27148, 8),
(40507, NULL, 'PF12516', NULL, NULL, 'Protein of unknown function (DUF3719)', NULL, 'DUF3719', NULL, NULL, 21344, 8),
(40508, NULL, 'PF16271', NULL, NULL, 'Domain of unknown function (DUF4924)', NULL, 'DUF4924', NULL, NULL, 22062, 8),
(40509, NULL, 'PF08770', NULL, NULL, 'Sulphur oxidation protein SoxZ', NULL, 'SoxZ', NULL, NULL, 13207, 8),
(40510, NULL, 'PF15122', NULL, NULL, 'TMEM206 protein family', NULL, 'TMEM206', NULL, NULL, 28297, 8),
(40511, NULL, 'PF05542', NULL, NULL, 'Protein of unknown function (DUF760)', NULL, 'DUF760', NULL, NULL, 12195, 8),
(40512, NULL, 'PF08316', NULL, NULL, 'Pal1 cell morphology protein', NULL, 'Pal1', NULL, NULL, 12164, 8),
(40513, NULL, 'PF03396', NULL, NULL, 'Poxvirus DNA-directed RNA polymerase, 35 kD subunit', NULL, 'Pox_RNA_pol_35', NULL, NULL, 2055, 8),
(40514, NULL, 'PF08196', NULL, NULL, 'UL2 protein', NULL, 'UL2', NULL, NULL, 13280, 8),
(40515, NULL, 'PF10738', NULL, NULL, 'Probable lipoprotein LpqN', NULL, 'Lpp-LpqN', NULL, NULL, 20003, 8),
(40516, NULL, 'PF14298', NULL, NULL, 'Domain of unknown function (DUF4374)', NULL, 'DUF4374', NULL, NULL, 21763, 8),
(40517, NULL, 'PF18561', NULL, NULL, 'Endoribonuclease Regnase 1/ ZC3H12 C-terminal domain', NULL, 'Regnase_1_C', NULL, NULL, 30681, 8),
(40518, NULL, 'PF09752', NULL, NULL, 'Alpha/beta hydrolase domain containing 18', NULL, 'DUF2048', NULL, NULL, 18642, 8),
(40519, NULL, 'PF16825', NULL, NULL, 'IGP family C-type lectin domain', NULL, 'DUF5075', NULL, NULL, 27567, 8),
(40520, NULL, 'PF02169', NULL, NULL, 'LPP20 lipoprotein', NULL, 'LPP20', NULL, NULL, 13699, 8),
(40521, NULL, 'PF07734', NULL, NULL, 'F-box associated', NULL, 'FBA_1', NULL, NULL, 227, 8);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40522, NULL, 'PF05226', NULL, NULL, 'CHASE2 domain', NULL, 'CHASE2', NULL, NULL, 3199, 8),
(40523, NULL, 'PF14750', NULL, NULL, 'Integrator complex subunit 2', NULL, 'INTS2', NULL, NULL, 28728, 8),
(40524, NULL, 'PF19518', NULL, NULL, 'p190RhoGAP, pG1 and pG2 domains', NULL, 'RhoGAP_pG1_pG2', NULL, NULL, 38542, 8),
(40525, NULL, 'PF19948', NULL, NULL, 'Family of unknown function (DUF6410)', NULL, 'DUF6410', NULL, NULL, 39976, 8),
(40526, NULL, 'PF01670', NULL, NULL, 'Glycosyl hydrolase family 12', NULL, 'Glyco_hydro_12', NULL, NULL, 1827, 8),
(40527, NULL, 'PF13782', NULL, NULL, 'Stage V sporulation protein AB', NULL, 'SpoVAB', NULL, NULL, 13909, 8),
(40528, NULL, 'PF04420', NULL, NULL, 'CHD5-like protein', NULL, 'CHD5', NULL, NULL, 29448, 8),
(40529, NULL, 'PF08334', NULL, NULL, 'Type II secretion system (T2SS), protein G', NULL, 'T2SSG', NULL, NULL, 13485, 8),
(40530, NULL, 'PF19724', NULL, NULL, 'Family of unknown function (DUF6217)', NULL, 'DUF6217', NULL, NULL, 39915, 8),
(40531, NULL, 'PF16777', NULL, NULL, 'Transcriptional regulator, RHH-like, CopG', NULL, 'RHH_7', NULL, NULL, 25275, 8),
(40532, NULL, 'PF15262', NULL, NULL, 'Domain of unknown function (DUF4592)', NULL, 'DUF4592', NULL, NULL, 24809, 8),
(40533, NULL, 'PF17378', NULL, NULL, 'Meiotic recombination protein REC104', NULL, 'REC104', NULL, NULL, 33354, 8),
(40534, NULL, 'PF12593', NULL, NULL, 'Microcystin synthetase C terminal', NULL, 'McyA_C', NULL, NULL, 16529, 8),
(40535, NULL, 'PF11087', NULL, NULL, 'PRD1 phage membrane DNA delivery', NULL, 'PRD1_DD', NULL, NULL, 12509, 8),
(40536, NULL, 'PF09035', NULL, NULL, 'Excisionase from transposon Tn916', NULL, 'Tn916-Xis', NULL, NULL, 9605, 8),
(40537, NULL, 'PF12158', NULL, NULL, 'Protein of unknown function (DUF3592)', NULL, 'DUF3592', NULL, NULL, 20972, 8),
(40538, NULL, 'PF04961', NULL, NULL, 'Formiminotransferase-cyclodeaminase', NULL, 'FTCD_C', NULL, NULL, 6816, 8),
(40539, NULL, 'PF11203', NULL, NULL, 'Putative type VII ESX secretion system translocon, EccE', NULL, 'EccE', NULL, NULL, 18497, 8),
(40540, NULL, 'PF00212', NULL, NULL, 'Atrial natriuretic peptide', NULL, 'ANP', NULL, NULL, 5758, 8),
(40541, NULL, 'PF13694', NULL, NULL, 'Sec63/Sec62 complex-interacting family', NULL, 'Hph', NULL, NULL, 26463, 8),
(40542, NULL, 'PF09026', NULL, NULL, 'Centromere protein B dimerisation domain', NULL, 'CENP-B_dimeris', NULL, NULL, 9544, 8),
(40543, NULL, 'PF17033', NULL, NULL, 'Carboxypeptidase controlling helical cell shape catalytic', NULL, 'Peptidase_M99', NULL, NULL, 23469, 8),
(40544, NULL, 'PF08435', NULL, NULL, 'Calicivirus coat protein C-terminal', NULL, 'Calici_coat_C', NULL, NULL, 13140, 8),
(40545, NULL, 'PF10804', NULL, NULL, 'Protein of unknown function (DUF2538)', NULL, 'DUF2538', NULL, NULL, 26287, 8),
(40546, NULL, 'PF06699', NULL, NULL, 'GPI biosynthesis protein family Pig-F', NULL, 'PIG-F', NULL, NULL, 638, 8),
(40547, NULL, 'PF10776', NULL, NULL, 'Protein of unknown function (DUF2600)', NULL, 'DUF2600', NULL, NULL, 21007, 8),
(40548, NULL, 'PF03162', NULL, NULL, 'Tyrosine phosphatase family', NULL, 'Y_phosphatase2', NULL, NULL, 7028, 8),
(40549, NULL, 'PF04797', NULL, NULL, 'Herpesvirus dUTPase protein', NULL, 'Herpes_ORF11', NULL, NULL, 4739, 8),
(40550, NULL, 'PF01802', NULL, NULL, 'Herpesvirus VP23 like capsid protein', NULL, 'Herpes_V23', NULL, NULL, 2577, 8),
(40551, NULL, 'PF17783', NULL, NULL, 'CvfB-like winged helix domain', NULL, 'CvfB_WH', NULL, NULL, 30299, 8),
(40552, NULL, 'PF08100', NULL, NULL, 'Dimerisation domain', NULL, 'Dimerisation', NULL, NULL, 12421, 8),
(40553, NULL, 'PF00577', NULL, NULL, 'Outer membrane usher protein', NULL, 'Usher', NULL, NULL, 7101, 8),
(40554, NULL, 'PF05408', NULL, NULL, 'Foot-and-mouth virus L-proteinase', NULL, 'Peptidase_C28', NULL, NULL, 12497, 8),
(40555, NULL, 'PF20087', NULL, NULL, 'Family of unknown function (DUF6479)', NULL, 'DUF6479', NULL, NULL, 39643, 8),
(40556, NULL, 'PF06602', NULL, NULL, 'Myotubularin-like phosphatase domain', NULL, 'Myotub-related', NULL, NULL, 8271, 8),
(40557, NULL, 'PF05213', NULL, NULL, 'Coronavirus NS2A protein', NULL, 'Corona_NS2A', NULL, NULL, 29215, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40558, NULL, 'PF13253', NULL, NULL, 'Protein of unknown function (DUF4044)', NULL, 'DUF4044', NULL, NULL, 27721, 8),
(40559, NULL, 'PF14479', NULL, NULL, 'Prion-inhibition and propagation', NULL, 'HeLo', NULL, NULL, 24485, 8),
(40560, NULL, 'PF01223', NULL, NULL, 'DNA/RNA non-specific endonuclease', NULL, 'Endonuclease_NS', NULL, NULL, 3445, 8),
(40561, NULL, 'PF05600', NULL, NULL, 'CDK5 regulatory subunit-associated protein 3', NULL, 'DUF773', NULL, NULL, 12144, 8),
(40562, NULL, 'PF05184', NULL, NULL, 'Saposin-like type B, region 1', NULL, 'SapB_1', NULL, NULL, 3331, 8),
(40563, NULL, 'PF08850', NULL, NULL, 'Domain of unknown function (DUF1820)', NULL, 'DUF1820', NULL, NULL, 14497, 8),
(40564, NULL, 'PF17862', NULL, NULL, 'AAA+ lid domain', NULL, 'AAA_lid_3', NULL, NULL, 32791, 8),
(40565, NULL, 'PF06511', NULL, NULL, 'Type III secretion systems tip complex components', NULL, 'T3SS_TC', NULL, NULL, 9467, 8),
(40566, NULL, 'PF18943', NULL, NULL, 'Family of unknown function (DUF5690)', NULL, 'DUF5690', NULL, NULL, 38262, 8),
(40567, NULL, 'PF03640', NULL, NULL, 'Secreted repeat of unknown function', NULL, 'Lipoprotein_15', NULL, NULL, 5150, 8),
(40568, NULL, 'PF02297', NULL, NULL, 'Cytochrome oxidase c subunit VIb', NULL, 'COX6B', NULL, NULL, 2366, 8),
(40569, NULL, 'PF09546', NULL, NULL, 'Stage III sporulation protein AE (spore_III_AE)', NULL, 'Spore_III_AE', NULL, NULL, 8772, 8),
(40570, NULL, 'PF11553', NULL, NULL, 'Protein of unknown function (DUF3231)', NULL, 'DUF3231', NULL, NULL, 19400, 8),
(40571, NULL, 'PF03430', NULL, NULL, 'Trans-activating transcriptional regulator', NULL, 'TATR', NULL, NULL, 10499, 8),
(40572, NULL, 'PF01975', NULL, NULL, 'Survival protein SurE', NULL, 'SurE', NULL, NULL, 5037, 8),
(40573, NULL, 'PF10283', NULL, NULL, 'PBZ domain', NULL, 'zf-CCHH', NULL, NULL, 16880, 8),
(40574, NULL, 'PF15324', NULL, NULL, 'Hedgehog signalling target', NULL, 'TALPID3', NULL, NULL, 24093, 8),
(40575, NULL, 'PF15928', NULL, NULL, 'Domain of unknown function (DUF4746)', NULL, 'DUF4746', NULL, NULL, 27436, 8),
(40576, NULL, 'PF18973', NULL, NULL, 'Putative Chitin binding like', NULL, 'CBL', NULL, NULL, 38296, 8),
(40577, NULL, 'PF13072', NULL, NULL, 'Mother cell inhibitor of FtsZ', NULL, 'MciZ', NULL, NULL, 21606, 8),
(40578, NULL, 'PF14565', NULL, NULL, 'Interleukin 22 IL-10-related T-cell-derived-inducible factor', NULL, 'IL22', NULL, NULL, 19530, 8),
(40579, NULL, 'PF15979', NULL, NULL, 'Glycosyl hydrolase family 115', NULL, 'Glyco_hydro_115', NULL, NULL, 27427, 8),
(40580, NULL, 'PF05793', NULL, NULL, 'Transcription initiation factor IIF, alpha subunit (TFIIF-alpha)', NULL, 'TFIIF_alpha', NULL, NULL, 14039, 8),
(40581, NULL, 'PF10991', NULL, NULL, 'Protein of unknown function (DUF2815)', NULL, 'DUF2815', NULL, NULL, 16892, 8),
(40582, NULL, 'PF00586', NULL, NULL, 'AIR synthase related protein, N-terminal domain', NULL, 'AIRS', NULL, NULL, 12394, 8),
(40583, NULL, 'PF06322', NULL, NULL, 'Phage NinH protein', NULL, 'Phage_NinH', NULL, NULL, 10297, 8),
(40584, NULL, 'PF11110', NULL, NULL, 'Baseplate hub distal subunit', NULL, 'Phage_hub_GP28', NULL, NULL, 22883, 8),
(40585, NULL, 'PF15360', NULL, NULL, 'APJ endogenous ligand', NULL, 'Apelin', NULL, NULL, 24297, 8),
(40586, NULL, 'PF16307', NULL, NULL, 'Domain of unknown function (DUF4949)', NULL, 'DUF4949', NULL, NULL, 27811, 8),
(40587, NULL, 'PF08971', NULL, NULL, 'Glycogen synthesis protein', NULL, 'GlgS', NULL, NULL, 8679, 8),
(40588, NULL, 'PF13990', NULL, NULL, 'YjcZ-like protein', NULL, 'YjcZ', NULL, NULL, 23061, 8),
(40589, NULL, 'PF04110', NULL, NULL, 'Ubiquitin-like autophagy protein Apg12', NULL, 'APG12', NULL, NULL, 6856, 8),
(40590, NULL, 'PF08394', NULL, NULL, 'Archaeal TRASH domain', NULL, 'Arc_trans_TRASH', NULL, NULL, 11114, 8),
(40591, NULL, 'PF00152', NULL, NULL, 'tRNA synthetases class II (D, K and N)', NULL, 'tRNA-synt_2', NULL, NULL, 5834, 8),
(40592, NULL, 'PF01429', NULL, NULL, 'Methyl-CpG binding domain', NULL, 'MBD', NULL, NULL, 3235, 8),
(40593, NULL, 'PF06371', NULL, NULL, 'Diaphanous GTPase-binding Domain', NULL, 'Drf_GBD', NULL, NULL, 10258, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40594, NULL, 'PF03545', NULL, NULL, 'Yersinia virulence determinant (YopE)', NULL, 'YopE', NULL, NULL, 12930, 8),
(40595, NULL, 'PF19773', NULL, NULL, 'Domain of unknown function (DUF6259)', NULL, 'DUF6259', NULL, NULL, 39998, 8),
(40596, NULL, 'PF12349', NULL, NULL, 'Sterol-sensing domain of SREBP cleavage-activation', NULL, 'Sterol-sensing', NULL, NULL, 3607, 8),
(40597, NULL, 'PF15951', NULL, NULL, 'MITF/TFEB/TFEC/TFE3 N-terminus', NULL, 'MITF_TFEB_C_3_N', NULL, NULL, 22870, 8),
(40598, NULL, 'PF06419', NULL, NULL, 'Conserved oligomeric complex COG6', NULL, 'COG6', NULL, NULL, 10168, 8),
(40599, NULL, 'PF11268', NULL, NULL, 'Protein of unknown function (DUF3071)', NULL, 'DUF3071', NULL, NULL, 18451, 8),
(40600, NULL, 'PF04327', NULL, NULL, 'Cysteine protease Prp', NULL, 'Peptidase_Prp', NULL, NULL, 3837, 8),
(40601, NULL, 'PF07571', NULL, NULL, 'TAF6 C-terminal HEAT repeat domain', NULL, 'TAF6_C', NULL, NULL, 13928, 8),
(40602, NULL, 'PF03730', NULL, NULL, 'Ku70/Ku80 C-terminal arm', NULL, 'Ku_C', NULL, NULL, 4008, 8),
(40603, NULL, 'PF04236', NULL, NULL, 'Tc5 transposase C-terminal domain', NULL, 'Transp_Tc5_C', NULL, NULL, 5559, 8),
(40604, NULL, 'PF17340', NULL, NULL, 'Family of unknown function (DUF5370)', NULL, 'DUF5370', NULL, NULL, 35438, 8),
(40605, NULL, 'PF08535', NULL, NULL, 'KorB domain', NULL, 'KorB', NULL, NULL, 7614, 8),
(40606, NULL, 'PF09585', NULL, NULL, 'Conserved hypothetical protein (Lin0512_fam)', NULL, 'Lin0512_fam', NULL, NULL, 11121, 8),
(40607, NULL, 'PF08689', NULL, NULL, 'Mediator complex subunit Med5', NULL, 'Med5', NULL, NULL, 11903, 8),
(40608, NULL, 'PF18321', NULL, NULL, '3-hydroxybutyryl-CoA dehydrogenase reduced Rossmann-fold domain', NULL, '3HCDH_RFF', NULL, NULL, 31646, 8),
(40609, NULL, 'PF00764', NULL, NULL, 'Arginosuccinate synthase', NULL, 'Arginosuc_synth', NULL, NULL, 3026, 8),
(40610, NULL, 'PF08743', NULL, NULL, 'Nse4 C-terminal', NULL, 'Nse4_C', NULL, NULL, 13120, 8),
(40611, NULL, 'PF01690', NULL, NULL, 'Potato leaf roll virus readthrough protein', NULL, 'PLRV_ORF5', NULL, NULL, 6526, 8),
(40612, NULL, 'PF02058', NULL, NULL, 'Guanylin precursor', NULL, 'Guanylin', NULL, NULL, 4888, 8),
(40613, NULL, 'PF16030', NULL, NULL, 'Serine protease gd N-terminus', NULL, 'GD_N', NULL, NULL, 23470, 8),
(40614, NULL, 'PF14961', NULL, NULL, 'Broad-minded protein', NULL, 'BROMI', NULL, NULL, 28282, 8),
(40615, NULL, 'PF07561', NULL, NULL, 'Domain of Unknown Function (DUF1540)', NULL, 'DUF1540', NULL, NULL, 13620, 8),
(40616, NULL, 'PF08778', NULL, NULL, 'HIF-1 alpha C terminal transactivation domain', NULL, 'HIF-1a_CTAD', NULL, NULL, 13300, 8),
(40617, NULL, 'PF06493', NULL, NULL, 'Protein of unknown function (DUF1096)', NULL, 'DUF1096', NULL, NULL, 9353, 8),
(40618, NULL, 'PF15692', NULL, NULL, 'NF-kappa-B-activating protein', NULL, 'NKAP', NULL, NULL, NULL, 8),
(40619, NULL, 'PF11842', NULL, NULL, 'Domain of unknown function (DUF3362)', NULL, 'DUF3362', NULL, NULL, 22244, 8),
(40620, NULL, 'PF12207', NULL, NULL, 'Domain of unknown function (DUF3600)', NULL, 'DUF3600', NULL, NULL, 20512, 8),
(40621, NULL, 'PF12424', NULL, NULL, 'Plasma membrane calcium transporter ATPase C terminal', NULL, 'ATP_Ca_trans_C', NULL, NULL, 21142, 8),
(40622, NULL, 'PF14430', NULL, NULL, 'Immunity protein Imm1', NULL, 'Imm1', NULL, NULL, 25872, 8),
(40623, NULL, 'PF10842', NULL, NULL, 'Protein of unknown function (DUF2642)', NULL, 'DUF2642', NULL, NULL, 19038, 8),
(40624, NULL, 'PF14167', NULL, NULL, 'YfkD-like protein', NULL, 'YfkD', NULL, NULL, 25380, 8),
(40625, NULL, 'PF14319', NULL, NULL, 'Transposase zinc-binding domain', NULL, 'Zn_Tnp_IS91', NULL, NULL, 28538, 8),
(40626, NULL, 'PF12868', NULL, NULL, 'Domain of unknwon function (DUF3824)', NULL, 'DUF3824', NULL, NULL, 29372, 8),
(40627, NULL, 'PF17363', NULL, NULL, 'Family of unknown function (DUF5388)', NULL, 'DUF5388', NULL, NULL, 35291, 8),
(40628, NULL, 'PF18198', NULL, NULL, 'Dynein heavy chain AAA lid domain', NULL, 'AAA_lid_11', NULL, NULL, 32478, 8),
(40629, NULL, 'PF06546', NULL, NULL, 'Vertebrate heat shock transcription factor', NULL, 'Vert_HS_TF', NULL, NULL, 14575, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40630, NULL, 'PF09753', NULL, NULL, 'Membrane fusion protein Use1', NULL, 'Use1', NULL, NULL, 18907, 8),
(40631, NULL, 'PF12807', NULL, NULL, 'Translation initiation factor eIF3 subunit 135', NULL, 'eIF3_p135', NULL, NULL, 30410, 8),
(40632, NULL, 'PF12553', NULL, NULL, 'Protein of unknown function (DUF3742)', NULL, 'DUF3742', NULL, NULL, 21139, 8),
(40633, NULL, 'PF03178', NULL, NULL, 'CPSF A subunit region', NULL, 'CPSF_A', NULL, NULL, 7367, 8),
(40634, NULL, 'PF12668', NULL, NULL, 'Protein of unknown function (DUF3791)', NULL, 'DUF3791', NULL, NULL, 20290, 8),
(40635, NULL, 'PF11891', NULL, NULL, 'Protein RETICULATA-related', NULL, 'RETICULATA-like', NULL, NULL, 20031, 8),
(40636, NULL, 'PF13263', NULL, NULL, 'PHP-associated', NULL, 'PHP_C', NULL, NULL, NULL, 8),
(40637, NULL, 'PF01234', NULL, NULL, 'NNMT/PNMT/TEMT family', NULL, 'NNMT_PNMT_TEMT', NULL, NULL, 3065, 8),
(40638, NULL, 'PF16018', NULL, NULL, 'Anillin N-terminus', NULL, 'Anillin_N', NULL, NULL, 23706, 8),
(40639, NULL, 'PF19385', NULL, NULL, 'Family of unknown function (DUF5960)', NULL, 'DUF5960', NULL, NULL, 39380, 8),
(40640, NULL, 'PF13367', NULL, NULL, 'PrsW family intramembrane metalloprotease', NULL, 'PrsW-protease', NULL, NULL, 28673, 8),
(40641, NULL, 'PF05326', NULL, NULL, 'Seminal vesicle autoantigen (SVA)', NULL, 'SVA', NULL, NULL, 4213, 8),
(40642, NULL, 'PF03557', NULL, NULL, 'Bunyavirus glycoprotein G1', NULL, 'Bunya_G1', NULL, NULL, 4882, 8),
(40643, NULL, 'PF08120', NULL, NULL, 'Tamulustoxin family', NULL, 'Toxin_32', NULL, NULL, 10685, 8),
(40644, NULL, 'PF02135', NULL, NULL, 'TAZ zinc finger', NULL, 'zf-TAZ', NULL, NULL, 3768, 8),
(40645, NULL, 'PF12331', NULL, NULL, 'Protein of unknown function (DUF3636)', NULL, 'DUF3636', NULL, NULL, 20609, 8),
(40646, NULL, 'PF19489', NULL, NULL, 'Transglycosylase SLT domain', NULL, 'SLT_4', NULL, NULL, 38535, 8),
(40647, NULL, 'PF13478', NULL, NULL, 'XdhC Rossmann domain', NULL, 'XdhC_C', NULL, NULL, 26060, 8),
(40648, NULL, 'PF00277', NULL, NULL, 'Serum amyloid A protein', NULL, 'SAA', NULL, NULL, 3860, 8),
(40649, NULL, 'PF18504', NULL, NULL, 'Csm1 N-terminal domain', NULL, 'Csm1_N', NULL, NULL, 32528, 8),
(40650, NULL, 'PF17962', NULL, NULL, 'Bacterial macroglobulin domain 6', NULL, 'bMG6', NULL, NULL, 32393, 8),
(40651, NULL, 'PF14284', NULL, NULL, 'PcfJ-like protein', NULL, 'PcfJ', NULL, NULL, 23136, 8),
(40652, NULL, 'PF00775', NULL, NULL, 'Dioxygenase', NULL, 'Dioxygenase_C', NULL, NULL, 5609, 8),
(40653, NULL, 'PF18431', NULL, NULL, 'Bacterial CdiA-CT RNAse A domain', NULL, 'RNAse_A_bac', NULL, NULL, 33282, 8),
(40654, NULL, 'PF18567', NULL, NULL, 'Toll/interleukin-1 receptor domain', NULL, 'TIR_3', NULL, NULL, 31993, 8),
(40655, NULL, 'PF06240', NULL, NULL, 'Carbon monoxide dehydrogenase subunit G (CoxG)', NULL, 'COXG', NULL, NULL, 9520, 8),
(40656, NULL, 'PF02095', NULL, NULL, 'Extensin-like protein repeat', NULL, 'Extensin_1', NULL, NULL, 4037, 8),
(40657, NULL, 'PF05253', NULL, NULL, 'U11-48K-like CHHC zinc finger', NULL, 'zf-U11-48K', NULL, NULL, 17238, 8),
(40658, NULL, 'PF18183', NULL, NULL, 'SMODS and SLOG-associating 2TM effector domain 2', NULL, 'SLATT_2', NULL, NULL, 30460, 8),
(40659, NULL, 'PF04431', NULL, NULL, 'Pectate lyase, N terminus', NULL, 'Pec_lyase_N', NULL, NULL, 10865, 8),
(40660, NULL, 'PF08191', NULL, NULL, 'LRR adjacent', NULL, 'LRR_adjacent', NULL, NULL, 9806, 8),
(40661, NULL, 'PF02643', NULL, NULL, 'Uncharacterized ACR, COG1430', NULL, 'DUF192', NULL, NULL, 6411, 8),
(40662, NULL, 'PF05295', NULL, NULL, 'Luciferase/LBP N-terminal domain', NULL, 'Luciferase_N', NULL, NULL, 4198, 8),
(40663, NULL, 'PF08608', NULL, NULL, 'Wyosine base formation', NULL, 'Wyosine_form', NULL, NULL, 14256, 8),
(40664, NULL, 'PF15693', NULL, NULL, 'Mediator complex subunit 26 C-terminal', NULL, 'Med26_C', NULL, NULL, 27551, 8),
(40665, NULL, 'PF01152', NULL, NULL, 'Bacterial-like globin', NULL, 'Bac_globin', NULL, NULL, 6011, 8),
(40666, NULL, 'PF07040', NULL, NULL, 'Protein of unknown function (DUF1326)', NULL, 'DUF1326', NULL, NULL, 12590, 8),
(40667, NULL, 'PF10055', NULL, NULL, 'Uncharacterized small protein (DUF2292)', NULL, 'DUF2292', NULL, NULL, 18683, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40668, NULL, 'PF17747', NULL, NULL, 'VID27 PH-like domain', NULL, 'VID27_PH', NULL, NULL, 30562, 8),
(40669, NULL, 'PF19715', NULL, NULL, 'Family of unknown function (DUF6210)', NULL, 'DUF6210', NULL, NULL, 39636, 8),
(40670, NULL, 'PF08536', NULL, NULL, 'Whirly transcription factor', NULL, 'Whirly', NULL, NULL, 7900, 8),
(40671, NULL, 'PF15632', NULL, NULL, 'ATP-grasp in the biosynthetic pathway with Ter operon', NULL, 'ATPgrasp_Ter', NULL, NULL, NULL, 8),
(40672, NULL, 'PF02214', NULL, NULL, 'BTB/POZ domain', NULL, 'BTB_2', NULL, NULL, 2888, 8),
(40673, NULL, 'PF18755', NULL, NULL, 'Restriction Enzyme Adenine Methylase Associated', NULL, 'RAMA', NULL, NULL, 34871, 8),
(40674, NULL, 'PF13743', NULL, NULL, 'Thioredoxin', NULL, 'Thioredoxin_5', NULL, NULL, NULL, 8),
(40675, NULL, 'PF03661', NULL, NULL, 'Transmembrane protein 33/Nucleoporin POM33', NULL, 'TMEM33_Pom33', NULL, NULL, 6241, 8),
(40676, NULL, 'PF04080', NULL, NULL, 'Per1-like family', NULL, 'Per1', NULL, NULL, 6228, 8),
(40677, NULL, 'PF16844', NULL, NULL, 'Dinitrogenase iron-molybdenum cofactor, N-terminal', NULL, 'DIMCO_N', NULL, NULL, 23283, 8),
(40678, NULL, 'PF15684', NULL, NULL, 'Active regulator of SIRT1, or 40S ribosomal protein S19-binding 1', NULL, 'AROS', NULL, NULL, 20141, 8),
(40679, NULL, 'PF16627', NULL, NULL, 'Unstructured region between BRX_N and BRX domain', NULL, 'BRX_assoc', NULL, NULL, NULL, 8),
(40680, NULL, 'PF00786', NULL, NULL, 'P21-Rho-binding domain', NULL, 'PBD', NULL, NULL, 2745, 8),
(40681, NULL, 'PF07419', NULL, NULL, 'PilM', NULL, 'PilM', NULL, NULL, 8061, 8),
(40682, NULL, 'PF16655', NULL, NULL, 'PhoD-like phosphatase, N-terminal domain', NULL, 'PhoD_N', NULL, NULL, 23847, 8),
(40683, NULL, 'PF17164', NULL, NULL, 'Domain of unknown function (DUF5122) beta-propeller', NULL, 'DUF5122', NULL, NULL, 9405, 8),
(40684, NULL, 'PF15625', NULL, NULL, 'CC2D2A N-terminal C2 domain', NULL, 'CC2D2AN-C2', NULL, NULL, 26098, 8),
(40685, NULL, 'PF17646', NULL, NULL, 'Closterovirus 1a polyprotein central region', NULL, 'Zemlya', NULL, NULL, 31479, 8),
(40686, NULL, 'PF17995', NULL, NULL, 'Endo-alpha-N-acetylgalactosaminidase N-terminal', NULL, 'GH101_N', NULL, NULL, 29699, 8),
(40687, NULL, 'PF19294', NULL, NULL, 'Domain of unknown function (DUF5912)', NULL, 'DUF5912', NULL, NULL, 38837, 8),
(40688, NULL, 'PF09141', NULL, NULL, 'Talin, middle domain', NULL, 'Talin_middle', NULL, NULL, 10730, 8),
(40689, NULL, 'PF07853', NULL, NULL, 'Protein of unknown function (DUF1648)', NULL, 'DUF1648', NULL, NULL, 12712, 8),
(40690, NULL, 'PF00262', NULL, NULL, 'Calreticulin family', NULL, 'Calreticulin', NULL, NULL, 3356, 8),
(40691, NULL, 'PF04955', NULL, NULL, 'HupE / UreJ protein', NULL, 'HupE_UreJ', NULL, NULL, 6721, 8),
(40692, NULL, 'PF05861', NULL, NULL, 'Bacterial phosphonate metabolism protein (PhnI)', NULL, 'PhnI', NULL, NULL, 12177, 8),
(40693, NULL, 'PF06407', NULL, NULL, 'Borna disease virus P40 protein', NULL, 'BDV_P40', NULL, NULL, 8031, 8),
(40694, NULL, 'PF04598', NULL, NULL, 'Gasdermin pore forming domain', NULL, 'Gasdermin', NULL, NULL, 30149, 8),
(40695, NULL, 'PF08170', NULL, NULL, 'POPLD (NUC188) domain', NULL, 'POPLD', NULL, NULL, 9717, 8),
(40696, NULL, 'PF19585', NULL, NULL, 'Family of unknown function (DUF6092)', NULL, 'DUF6092', NULL, NULL, 39482, 8),
(40697, NULL, 'PF08645', NULL, NULL, 'Polynucleotide kinase 3 phosphatase', NULL, 'PNK3P', NULL, NULL, 8055, 8),
(40698, NULL, 'PF00920', NULL, NULL, 'Dehydratase family', NULL, 'ILVD_EDD', NULL, NULL, 5988, 8),
(40699, NULL, 'PF00990', NULL, NULL, 'Diguanylate cyclase, GGDEF domain', NULL, 'GGDEF', NULL, NULL, 1825, 8),
(40700, NULL, 'PF12503', NULL, NULL, 'Cucumber mosaic virus 1a protein C terminal', NULL, 'CMV_1a_C', NULL, NULL, 21402, 8),
(40701, NULL, 'PF20011', NULL, NULL, 'JAB N-terminal domain', NULL, 'fvmJAB_N', NULL, NULL, 38826, 8),
(40702, NULL, 'PF05691', NULL, NULL, 'Raffinose synthase or seed imbibition protein Sip1', NULL, 'Raffinose_syn', NULL, NULL, 14353, 8),
(40703, NULL, 'PF07930', NULL, NULL, 'D-aminopeptidase, domain B', NULL, 'DAP_B', NULL, NULL, 12633, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40704, NULL, 'PF15732', NULL, NULL, 'Domain of unknown function (DUF4681)', NULL, 'DUF4681', NULL, NULL, 27155, 8),
(40705, NULL, 'PF18989', NULL, NULL, 'Family of unknown function (DUF5722)', NULL, 'DUF5722', NULL, NULL, 36681, 8),
(40706, NULL, 'PF09499', NULL, NULL, 'ApaLI-like restriction endonuclease', NULL, 'RE_ApaLI', NULL, NULL, 16347, 8),
(40707, NULL, 'PF12989', NULL, NULL, 'Domain of unknown function, B. Theta Gene description (DUF3873)', NULL, 'DUF3873', NULL, NULL, 24090, 8),
(40708, NULL, 'PF12784', NULL, NULL, 'PD-(D/E)XK nuclease family transposase', NULL, 'PDDEXK_2', NULL, NULL, NULL, 8),
(40709, NULL, 'PF14339', NULL, NULL, 'Domain of unknown function (DUF4394)', NULL, 'DUF4394', NULL, NULL, 28322, 8),
(40710, NULL, 'PF11762', NULL, NULL, 'L-arabinose isomerase C-terminal domain', NULL, 'Arabinose_Iso_C', NULL, NULL, 21416, 8),
(40711, NULL, 'PF04085', NULL, NULL, 'rod shape-determining protein MreC', NULL, 'MreC', NULL, NULL, 6187, 8),
(40712, NULL, 'PF17642', NULL, NULL, 'Hemolysin coregulated protein Hcp (TssD)', NULL, 'TssD', NULL, NULL, 32771, 8),
(40713, NULL, 'PF08662', NULL, NULL, 'Eukaryotic translation initiation factor eIF2A', NULL, 'eIF2A', NULL, NULL, 18820, 8),
(40714, NULL, 'PF06024', NULL, NULL, 'Orf78 (ac78)', NULL, 'Orf78', NULL, NULL, 13550, 8),
(40715, NULL, 'PF16222', NULL, NULL, 'Domain of unknown function (DUF4881)', NULL, 'DUF4881', NULL, NULL, 28337, 8),
(40716, NULL, 'PF17244', NULL, NULL, 'Cell division control protein 24, OB domain 3', NULL, 'CDC24_OB3', NULL, NULL, 9233, 8),
(40717, NULL, 'PF19020', NULL, NULL, 'Ta1207 family', NULL, 'Ta1207', NULL, NULL, 38098, 8),
(40718, NULL, 'PF14382', NULL, NULL, 'Exosome complex exonuclease RRP4 N-terminal region', NULL, 'ECR1_N', NULL, NULL, 28085, 8),
(40719, NULL, 'PF08476', NULL, NULL, 'Viral D10 N-terminal', NULL, 'VD10_N', NULL, NULL, 13980, 8),
(40720, NULL, 'PF17100', NULL, NULL, 'N-terminal domain of NWD NACHT-NTPase', NULL, 'NACHT_N', NULL, NULL, 7373, 8),
(40721, NULL, 'PF17553', NULL, NULL, 'Family of unknown function (DUF5465)', NULL, 'DUF5465', NULL, NULL, 34827, 8),
(40722, NULL, 'PF19503', NULL, NULL, 'Family of unknown function (DUF6037)', NULL, 'DUF6037', NULL, NULL, 39367, 8),
(40723, NULL, 'PF11473', NULL, NULL, 'RNA binding protein B2', NULL, 'B2', NULL, NULL, 22713, 8),
(40724, NULL, 'PF11525', NULL, NULL, 'Copper resistance protein K', NULL, 'CopK', NULL, NULL, 19453, 8),
(40725, NULL, 'PF16993', NULL, NULL, 'Accessory Sec system protein Asp1', NULL, 'Asp1', NULL, NULL, 15221, 8),
(40726, NULL, 'PF18595', NULL, NULL, 'Designed helical repeat protein 10 domain', NULL, 'DHR10', NULL, NULL, 31634, 8),
(40727, NULL, 'PF17104', NULL, NULL, 'Domain of unknown function (DUF5102)', NULL, 'DUF5102', NULL, NULL, 2508, 8),
(40728, NULL, 'PF09266', NULL, NULL, 'Viral DNA topoisomerase I, N-terminal', NULL, 'VirDNA-topo-I_N', NULL, NULL, 13957, 8),
(40729, NULL, 'PF17894', NULL, NULL, 'Topo homolgy domain in CRISPR-associated endonuclease Cas9', NULL, 'Cas9_Topo', NULL, NULL, 31133, 8),
(40730, NULL, 'PF03361', NULL, NULL, 'Herpes virus intermediate/early protein 2/3', NULL, 'Herpes_IE2_3', NULL, NULL, 1417, 8),
(40731, NULL, 'PF07409', NULL, NULL, 'Phage protein GP46', NULL, 'GP46', NULL, NULL, 11824, 8),
(40732, NULL, 'PF18670', NULL, NULL, 'V-type ATPase subunit I, N-terminal domain', NULL, 'V_ATPase_I_N', NULL, NULL, 30549, 8),
(40733, NULL, 'PF19125', NULL, NULL, 'Family of unknown function (DUF5809)', NULL, 'DUF5809', NULL, NULL, 38415, 8),
(40734, NULL, 'PF11424', NULL, NULL, 'Protein of unknown function (DUF3195)', NULL, 'DUF3195', NULL, NULL, 18800, 8),
(40735, NULL, 'PF12328', NULL, NULL, 'Rpp20 subunit of nuclear RNase MRP and P', NULL, 'Rpp20', NULL, NULL, 8406, 8),
(40736, NULL, 'PF12707', NULL, NULL, 'Protein of unknown function (DUF3804)', NULL, 'DUF3804', NULL, NULL, 25955, 8),
(40737, NULL, 'PF15704', NULL, NULL, 'Mitochondrial ATP synthase subunit', NULL, 'Mt_ATP_synt', NULL, NULL, 25428, 8),
(40738, NULL, 'PF00567', NULL, NULL, 'Tudor domain', NULL, 'TUDOR', NULL, NULL, 7199, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40739, NULL, 'PF13471', NULL, NULL, 'Transglutaminase-like superfamily', NULL, 'Transglut_core3', NULL, NULL, 29258, 8),
(40740, NULL, 'PF15449', NULL, NULL, 'Retinal protein', NULL, 'Retinal', NULL, NULL, 24018, 8),
(40741, NULL, 'PF05255', NULL, NULL, 'Uncharacterised protein family (UPF0220)', NULL, 'UPF0220', NULL, NULL, 3422, 8),
(40742, NULL, 'PF12655', NULL, NULL, 'Domain of unknown function (DUF3787)', NULL, 'DUF3787', NULL, NULL, 17563, 8),
(40743, NULL, 'PF14124', NULL, NULL, 'Domain of unknown function (DUF4291)', NULL, 'DUF4291', NULL, NULL, 26476, 8),
(40744, NULL, 'PF17145', NULL, NULL, 'Domain of unknown function (DUF5119)', NULL, 'DUF5119', NULL, NULL, 35213, 8),
(40745, NULL, 'PF19844', NULL, NULL, 'Family of unknown function (DUF6319)', NULL, 'DUF6319', NULL, NULL, 39906, 8),
(40746, NULL, 'PF17394', NULL, NULL, 'Uncharacterized KleE stable inheritance protein', NULL, 'KleE', NULL, NULL, 33297, 8),
(40747, NULL, 'PF03147', NULL, NULL, 'Ferredoxin-fold anticodon binding domain', NULL, 'FDX-ACB', NULL, NULL, 7116, 8),
(40748, NULL, 'PF01641', NULL, NULL, 'SelR domain', NULL, 'SelR', NULL, NULL, 1929, 8),
(40749, NULL, 'PF02015', NULL, NULL, 'Glycosyl hydrolase family 45', NULL, 'Glyco_hydro_45', NULL, NULL, 4830, 8),
(40750, NULL, 'PF10144', NULL, NULL, 'Bacterial virulence factor haemolysin', NULL, 'SMP_2', NULL, NULL, 15117, 8),
(40751, NULL, 'PF04096', NULL, NULL, 'Nucleoporin autopeptidase', NULL, 'Nucleoporin2', NULL, NULL, 6938, 8),
(40752, NULL, 'PF01534', NULL, NULL, 'Frizzled/Smoothened family membrane region', NULL, 'Frizzled', NULL, NULL, 5626, 8),
(40753, NULL, 'PF01745', NULL, NULL, 'Isopentenyl transferase', NULL, 'IPT', NULL, NULL, NULL, 8),
(40754, NULL, 'PF05485', NULL, NULL, 'THAP domain', NULL, 'THAP', NULL, NULL, 1302, 8),
(40755, NULL, 'PF18918', NULL, NULL, 'Family of unknown function (DUF5669)', NULL, 'DUF5669', NULL, NULL, 10072, 8),
(40756, NULL, 'PF06628', NULL, NULL, 'Catalase-related immune-responsive', NULL, 'Catalase-rel', NULL, NULL, 8141, 8),
(40757, NULL, 'PF02033', NULL, NULL, 'Ribosome-binding factor A', NULL, 'RBFA', NULL, NULL, 4605, 8),
(40758, NULL, 'PF07562', NULL, NULL, 'Nine Cysteines Domain of family 3 GPCR', NULL, 'NCD3G', NULL, NULL, 12564, 8),
(40759, NULL, 'PF07803', NULL, NULL, 'GSG1-like protein', NULL, 'GSG-1', NULL, NULL, 11822, 8),
(40760, NULL, 'PF11054', NULL, NULL, 'Sporozoite TA4 surface antigen', NULL, 'Surface_antigen', NULL, NULL, 17592, 8),
(40761, NULL, 'PF07267', NULL, NULL, 'Nucleopolyhedrovirus capsid protein P87', NULL, 'Nucleo_P87', NULL, NULL, 14615, 8),
(40762, NULL, 'PF14764', NULL, NULL, 'AP-5 complex subunit, vesicle trafficking', NULL, 'SPG48', NULL, NULL, 24060, 8),
(40763, NULL, 'PF03761', NULL, NULL, 'Nematode trypsin-6-like family', NULL, 'DUF316', NULL, NULL, 1936, 8),
(40764, NULL, 'PF15526', NULL, NULL, 'Novel toxin 21', NULL, 'Ntox21', NULL, NULL, 22497, 8),
(40765, NULL, 'PF01990', NULL, NULL, 'ATP synthase (F/14-kDa) subunit', NULL, 'ATP-synt_F', NULL, NULL, 664, 8),
(40766, NULL, 'PF13485', NULL, NULL, 'Peptidase MA superfamily', NULL, 'Peptidase_MA_2', NULL, NULL, 29204, 8),
(40767, NULL, 'PF06218', NULL, NULL, 'Nitrogen permease regulator 2', NULL, 'NPR2', NULL, NULL, 14690, 8),
(40768, NULL, 'PF15460', NULL, NULL, 'Something about silencing, SAS, complex subunit 4', NULL, 'SAS4', NULL, NULL, 28883, 8),
(40769, NULL, 'PF17477', NULL, NULL, 'Rotavirus VP4 membrane interaction domain', NULL, 'Rota_VP4_MID', NULL, NULL, 18685, 8),
(40770, NULL, 'PF09506', NULL, NULL, 'Glucosylglycerol-phosphate phosphatase (Salt_tol_Pase)', NULL, 'Salt_tol_Pase', NULL, NULL, 10024, 8),
(40771, NULL, 'PF12475', NULL, NULL, 'Amdovirus non-structural protein', NULL, 'Amdo_NSP', NULL, NULL, 15529, 8),
(40772, NULL, 'PF20047', NULL, NULL, 'Domain of unknown function (DUF6449)', NULL, 'DUF6449', NULL, NULL, 36962, 8),
(40773, NULL, 'PF06121', NULL, NULL, 'Domain of Unknown Function (DUF959)', NULL, 'DUF959', NULL, NULL, 8694, 8),
(40774, NULL, 'PF07950', NULL, NULL, 'Protein of unknown function (DUF1691)', NULL, 'DUF1691', NULL, NULL, 14822, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40775, NULL, 'PF02274', NULL, NULL, 'Arginine deiminase', NULL, 'ADI', NULL, NULL, NULL, 8),
(40776, NULL, 'PF18726', NULL, NULL, 'SAV_6107-like HEPN', NULL, 'HEPN_SAV_6107', NULL, NULL, 34873, 8),
(40777, NULL, 'PF03861', NULL, NULL, 'ANTAR domain', NULL, 'ANTAR', NULL, NULL, 1694, 8),
(40778, NULL, 'PF04774', NULL, NULL, 'Hyaluronan / mRNA binding family', NULL, 'HABP4_PAI-RBP1', NULL, NULL, 4019, 8),
(40779, NULL, 'PF13492', NULL, NULL, 'GAF domain', NULL, 'GAF_3', NULL, NULL, 150, 8),
(40780, NULL, 'PF20072', NULL, NULL, 'Domain of unknown function (DUF6468)', NULL, 'DUF6468', NULL, NULL, 38905, 8),
(40781, NULL, 'PF19279', NULL, NULL, 'YegS C-terminal NAD kinase beta sandwich-like domain', NULL, 'YegS_C', NULL, NULL, 39575, 8),
(40782, NULL, 'PF04024', NULL, NULL, 'PspC domain', NULL, 'PspC', NULL, NULL, 368, 8),
(40783, NULL, 'PF05217', NULL, NULL, 'STOP protein', NULL, 'STOP', NULL, NULL, NULL, 8),
(40784, NULL, 'PF18543', NULL, NULL, 'Intracellular delivery domain', NULL, 'ID', NULL, NULL, 29263, 8),
(40785, NULL, 'PF08562', NULL, NULL, 'Crisp', NULL, 'Crisp', NULL, NULL, 9670, 8),
(40786, NULL, 'PF03966', NULL, NULL, 'Trm112p-like protein', NULL, 'Trm112p', NULL, NULL, 2938, 8),
(40787, NULL, 'PF07517', NULL, NULL, 'SecA DEAD-like domain', NULL, 'SecA_DEAD', NULL, NULL, 11328, 8),
(40788, NULL, 'PF10973', NULL, NULL, 'Protein of unknown function (DUF2799)', NULL, 'DUF2799', NULL, NULL, 17702, 8),
(40789, NULL, 'PF07650', NULL, NULL, 'KH domain', NULL, 'KH_2', NULL, NULL, 906, 8),
(40790, NULL, 'PF10797', NULL, NULL, 'Protein of unknown function', NULL, 'YhfT', NULL, NULL, 21491, 8),
(40791, NULL, 'PF00197', NULL, NULL, 'Trypsin and protease inhibitor', NULL, 'Kunitz_legume', NULL, NULL, 398, 8),
(40792, NULL, 'PF18906', NULL, NULL, 'Phage tail tube protein', NULL, 'Phage_tube_2', NULL, NULL, 38653, 8),
(40793, NULL, 'PF15748', NULL, NULL, 'Centriole, cilia and spindle-associated', NULL, 'CCSAP', NULL, NULL, 24998, 8),
(40794, NULL, 'PF19143', NULL, NULL, 'OMP85 superfamily', NULL, 'Omp85_2', NULL, NULL, 36738, 8),
(40795, NULL, 'PF15190', NULL, NULL, 'Transmembrane protein 251', NULL, 'TMEM251', NULL, NULL, 24606, 8),
(40796, NULL, 'PF06580', NULL, NULL, 'Histidine kinase', NULL, 'His_kinase', NULL, NULL, 8079, 8),
(40797, NULL, 'PF11275', NULL, NULL, 'Protein of unknown function (DUF3077)', NULL, 'DUF3077', NULL, NULL, 18204, 8),
(40798, NULL, 'PF02980', NULL, NULL, 'Restriction endonuclease FokI, catalytic domain', NULL, 'FokI_C', NULL, NULL, 3885, 8),
(40799, NULL, 'PF05963', NULL, NULL, 'Cytomegalovirus US3 protein', NULL, 'Cytomega_US3', NULL, NULL, 12959, 8),
(40800, NULL, 'PF10628', NULL, NULL, 'Outer spore coat protein E (CotE)', NULL, 'CotE', NULL, NULL, 21038, 8),
(40801, NULL, 'PF07181', NULL, NULL, 'VirC2 protein', NULL, 'VirC2', NULL, NULL, 13962, 8),
(40802, NULL, 'PF01502', NULL, NULL, 'Phosphoribosyl-AMP cyclohydrolase', NULL, 'PRA-CH', NULL, NULL, 678, 8),
(40803, NULL, 'PF16346', NULL, NULL, 'Domain of unknown function (DUF4975)', NULL, 'DUF4975', NULL, NULL, 22784, 8),
(40804, NULL, 'PF16176', NULL, NULL, 'T-box transcription factor-associated', NULL, 'T-box_assoc', NULL, NULL, 24348, 8),
(40805, NULL, 'PF09892', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2119)', NULL, 'DUF2119', NULL, NULL, 19345, 8),
(40806, NULL, 'PF00100', NULL, NULL, 'Zona pellucida-like domain', NULL, 'Zona_pellucida', NULL, NULL, 6192, 8),
(40807, NULL, 'PF01934', NULL, NULL, 'Protein of unknown function DUF86', NULL, 'DUF86', NULL, NULL, 7185, 8),
(40808, NULL, 'PF02468', NULL, NULL, 'Photosystem II reaction centre N protein (psbN)', NULL, 'PsbN', NULL, NULL, 5494, 8),
(40809, NULL, 'PF11154', NULL, NULL, 'Protein of unknown function (DUF2934)', NULL, 'DUF2934', NULL, NULL, 17804, 8),
(40810, NULL, 'PF04451', NULL, NULL, 'Large eukaryotic DNA virus major capsid protein', NULL, 'Capsid_NCLDV', NULL, NULL, 10808, 8),
(40811, NULL, 'PF04208', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit A', NULL, 'MtrA', NULL, NULL, 28617, 8),
(40812, NULL, 'PF07126', NULL, NULL, 'Cell-division protein ZapC', NULL, 'ZapC', NULL, NULL, 13770, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40813, NULL, 'PF01203', NULL, NULL, 'Type II secretion system (T2SS), protein N', NULL, 'T2SSN', NULL, NULL, 14691, 8),
(40814, NULL, 'PF04895', NULL, NULL, 'Archaeal Nre, C-terminal', NULL, 'Nre_C', NULL, NULL, 5644, 8),
(40815, NULL, 'PF14982', NULL, NULL, 'UPF0731 family', NULL, 'UPF0731', NULL, NULL, 22327, 8),
(40816, NULL, 'PF04139', NULL, NULL, 'Rad9', NULL, 'Rad9', NULL, NULL, 7151, 8),
(40817, NULL, 'PF15405', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_5', NULL, NULL, 32772, 8),
(40818, NULL, 'PF01977', NULL, NULL, '3-octaprenyl-4-hydroxybenzoate carboxy-lyase', NULL, 'UbiD', NULL, NULL, 5418, 8),
(40819, NULL, 'PF20024', NULL, NULL, 'Family of unknown function (DUF6432)', NULL, 'DUF6432', NULL, NULL, 38823, 8),
(40820, NULL, 'PF15609', NULL, NULL, 'Phosphoribosyl transferase', NULL, 'PRTase_2', NULL, NULL, 33112, 8),
(40821, NULL, 'PF00180', NULL, NULL, 'Isocitrate/isopropylmalate dehydrogenase', NULL, 'Iso_dh', NULL, NULL, 12764, 8),
(40822, NULL, 'PF16846', NULL, NULL, 'Centromere DNA-binding protein complex CBF3 subunit B', NULL, 'Cep3', NULL, NULL, 23164, 8),
(40823, NULL, 'PF06390', NULL, NULL, 'Neuroendocrine-specific golgi protein P55 (NESP55)', NULL, 'NESP55', NULL, NULL, 8356, 8),
(40824, NULL, 'PF18808', NULL, NULL, 'Importin repeat', NULL, 'Importin_rep_4', NULL, NULL, 32248, 8),
(40825, NULL, 'PF03532', NULL, NULL, 'OMS28 porin', NULL, 'OMS28_porin', NULL, NULL, 255, 8),
(40826, NULL, 'PF03433', NULL, NULL, 'EspA-like secreted protein', NULL, 'EspA', NULL, NULL, 10491, 8),
(40827, NULL, 'PF10882', NULL, NULL, 'Bacterial PH domain', NULL, 'bPH_5', NULL, NULL, 28017, 8),
(40828, NULL, 'PF04178', NULL, NULL, 'Got1/Sft2-like family', NULL, 'Got1', NULL, NULL, 4881, 8),
(40829, NULL, 'PF13146', NULL, NULL, 'TRL-like protein family', NULL, 'TRL', NULL, NULL, 22836, 8),
(40830, NULL, 'PF15508', NULL, NULL, 'beta subunit of N-acylethanolamine-hydrolyzing acid amidase', NULL, 'NAAA-beta', NULL, NULL, 25114, 8),
(40831, NULL, 'PF18669', NULL, NULL, 'Trimeric autotransporter adhesin Trp ring domain', NULL, 'Trp_ring', NULL, NULL, 30454, 8),
(40832, NULL, 'PF00739', NULL, NULL, 'Trans-activation protein X', NULL, 'X', NULL, NULL, 4270, 8),
(40833, NULL, 'PF14817', NULL, NULL, 'HAUS augmin-like complex subunit 5', NULL, 'HAUS5', NULL, NULL, 27613, 8),
(40834, NULL, 'PF11335', NULL, NULL, 'Protein of unknown function (DUF3137)', NULL, 'DUF3137', NULL, NULL, 18977, 8),
(40835, NULL, 'PF17759', NULL, NULL, 'Phenylalanyl tRNA synthetase beta chain CLM domain', NULL, 'tRNA_synthFbeta', NULL, NULL, 33376, 8),
(40836, NULL, 'PF12890', NULL, NULL, 'Dihydro-orotase-like', NULL, 'DHOase', NULL, NULL, 24609, 8),
(40837, NULL, 'PF11901', NULL, NULL, 'Protein of unknown function (DUF3421)', NULL, 'DUF3421', NULL, NULL, 25637, 8),
(40838, NULL, 'PF13466', NULL, NULL, 'STAS domain', NULL, 'STAS_2', NULL, NULL, 2680, 8),
(40839, NULL, 'PF14949', NULL, NULL, 'ARF7 effector protein C-terminus', NULL, 'ARF7EP_C', NULL, NULL, 22086, 8),
(40840, NULL, 'PF17590', NULL, NULL, 'Family of unknown function (DUF5488)', NULL, 'DUF5488', NULL, NULL, 18666, 8),
(40841, NULL, 'PF12793', NULL, NULL, 'Sugar transport-related sRNA regulator N-term', NULL, 'SgrR_N', NULL, NULL, 28326, 8),
(40842, NULL, 'PF08704', NULL, NULL, 'tRNA methyltransferase complex GCD14 subunit', NULL, 'GCD14', NULL, NULL, 11554, 8),
(40843, NULL, 'PF10976', NULL, NULL, 'Protein of unknown function (DUF2790)', NULL, 'DUF2790', NULL, NULL, 17891, 8),
(40844, NULL, 'PF02116', NULL, NULL, 'Fungal pheromone mating factor STE2 GPCR', NULL, 'STE2', NULL, NULL, 371, 8),
(40845, NULL, 'PF09568', NULL, NULL, 'MjaI restriction endonuclease', NULL, 'RE_MjaI', NULL, NULL, 16699, 8),
(40846, NULL, 'PF16744', NULL, NULL, 'KIAA1045 RING finger', NULL, 'Zf_RING', NULL, NULL, 23928, 8),
(40847, NULL, 'PF02240', NULL, NULL, 'Methyl-coenzyme M reductase gamma subunit', NULL, 'MCR_gamma', NULL, NULL, 2552, 8),
(40848, NULL, 'PF17371', NULL, NULL, 'Family of unknown function (DUF5393)', NULL, 'DUF5393', NULL, NULL, 19801, 8),
(40849, NULL, 'PF17597', NULL, NULL, 'Family of unknown function (DUF5493)', NULL, 'DUF5493', NULL, NULL, 19910, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40850, NULL, 'PF11543', NULL, NULL, 'Nuclear pore localisation protein NPL4', NULL, 'UN_NPL4', NULL, NULL, 25808, 8),
(40851, NULL, 'PF18523', NULL, NULL, 'Sld3 N-terminal domain', NULL, 'Sld3_N', NULL, NULL, 31785, 8),
(40852, NULL, 'PF14279', NULL, NULL, 'HNH endonuclease', NULL, 'HNH_5', NULL, NULL, 28600, 8),
(40853, NULL, 'PF04949', NULL, NULL, 'Transcriptional activator', NULL, 'Transcrip_act', NULL, NULL, 6583, 8),
(40854, NULL, 'PF08547', NULL, NULL, 'Complex I intermediate-associated protein 30 (CIA30)', NULL, 'CIA30', NULL, NULL, 9680, 8),
(40855, NULL, 'PF19086', NULL, NULL, 'Terpene synthase family 2, C-terminal metal binding', NULL, 'Terpene_syn_C_2', NULL, NULL, NULL, 8),
(40856, NULL, 'PF15090', NULL, NULL, 'Domain of unknown function (DUF4553)', NULL, 'DUF4553', NULL, NULL, 26347, 8),
(40857, NULL, 'PF02760', NULL, NULL, 'HIN-200/IF120x domain', NULL, 'HIN', NULL, NULL, 920, 8),
(40858, NULL, 'PF08669', NULL, NULL, 'Glycine cleavage T-protein C-terminal barrel domain', NULL, 'GCV_T_C', NULL, NULL, 8468, 8),
(40859, NULL, 'PF12549', NULL, NULL, 'Tyrosine hydroxylase N terminal', NULL, 'TOH_N', NULL, NULL, 15912, 8),
(40860, NULL, 'PF12752', NULL, NULL, 'SUZ domain', NULL, 'SUZ', NULL, NULL, 15430, 8),
(40861, NULL, 'PF00275', NULL, NULL, 'EPSP synthase (3-phosphoshikimate 1-carboxyvinyltransferase)', NULL, 'EPSP_synthase', NULL, NULL, 5266, 8),
(40862, NULL, 'PF13568', NULL, NULL, 'Outer membrane protein beta-barrel domain', NULL, 'OMP_b-brl_2', NULL, NULL, 25464, 8),
(40863, NULL, 'PF18051', NULL, NULL, '26S proteasome non-ATPase regulatory subunit RPN1 C-terminal', NULL, 'RPN1_C', NULL, NULL, 32488, 8),
(40864, NULL, 'PF07873', NULL, NULL, 'YabP family', NULL, 'YabP', NULL, NULL, 16114, 8),
(40865, NULL, 'PF18516', NULL, NULL, 'RuvC nuclease domain', NULL, 'RuvC_1', NULL, NULL, 35264, 8),
(40866, NULL, 'PF00742', NULL, NULL, 'Homoserine dehydrogenase', NULL, 'Homoserine_dh', NULL, NULL, 7114, 8),
(40867, NULL, 'PF13770', NULL, NULL, 'Domain of unknown function (DUF4169)', NULL, 'DUF4169', NULL, NULL, 23802, 8),
(40868, NULL, 'PF05180', NULL, NULL, 'DNL zinc finger', NULL, 'zf-DNL', NULL, NULL, 2405, 8),
(40869, NULL, 'PF10365', NULL, NULL, 'Domain of unknown function (DUF2436)', NULL, 'DUF2436', NULL, NULL, 20017, 8),
(40870, NULL, 'PF15286', NULL, NULL, 'Apoptosis regulator M11, B cell 2 leukaemia/lymphoma like', NULL, 'Bcl-2_3', NULL, NULL, 24670, 8),
(40871, NULL, 'PF08155', NULL, NULL, 'NOGCT (NUC087) domain', NULL, 'NOGCT', NULL, NULL, 12058, 8),
(40872, NULL, 'PF18247', NULL, NULL, 'Flax-rust effector AvrM N-terminal domain', NULL, 'AvrM_N', NULL, NULL, 31985, 8),
(40873, NULL, 'PF17887', NULL, NULL, 'Jak1 pleckstrin homology-like domain', NULL, 'Jak1_Phl', NULL, NULL, 31712, 8),
(40874, NULL, 'PF17942', NULL, NULL, 'Morc6 ribosomal protein S5 domain 2-like', NULL, 'Morc6_S5', NULL, NULL, 30917, 8),
(40875, NULL, 'PF16709', NULL, NULL, 'Ig domain of plant-specific actin-binding protein', NULL, 'SCAB-Ig', NULL, NULL, NULL, 8),
(40876, NULL, 'PF02595', NULL, NULL, 'Glycerate kinase family', NULL, 'Gly_kinase', NULL, NULL, 5845, 8),
(40877, NULL, 'PF04989', NULL, NULL, 'Cephalosporin hydroxylase', NULL, 'CmcI', NULL, NULL, 7325, 8),
(40878, NULL, 'PF07009', NULL, NULL, 'NusG domain II', NULL, 'NusG_II', NULL, NULL, 19475, 8),
(40879, NULL, 'PF07777', NULL, NULL, 'G-box binding protein MFMR', NULL, 'MFMR', NULL, NULL, 13311, 8),
(40880, NULL, 'PF06887', NULL, NULL, 'Protein of unknown function (DUF1265)', NULL, 'DUF1265', NULL, NULL, 11868, 8),
(40881, NULL, 'PF19829', NULL, NULL, 'Family of unknown function (DUF6310)', NULL, 'DUF6310', NULL, NULL, 39511, 8),
(40882, NULL, 'PF01155', NULL, NULL, 'Hydrogenase/urease nickel incorporation, metallochaperone, hypA', NULL, 'HypA', NULL, NULL, 6859, 8),
(40883, NULL, 'PF18635', NULL, NULL, 'Epithelial cell adhesion molecule N-terminal domain', NULL, 'EpCAM_N', NULL, NULL, 32769, 8),
(40884, NULL, 'PF19886', NULL, NULL, 'Domain of unknown function (DUF6359)', NULL, 'DUF6359', NULL, NULL, 39421, 8),
(40885, NULL, 'PF15437', NULL, NULL, 'Plasminogen-binding protein pgbA C-terminal', NULL, 'PGBA_C', NULL, NULL, 28399, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40886, NULL, 'PF08345', NULL, NULL, 'Flagellar M-ring protein C-terminal', NULL, 'YscJ_FliF_C', NULL, NULL, 13211, 8),
(40887, NULL, 'PF18825', NULL, NULL, 'Large polyvalent protein-associated domain 13', NULL, 'LPD13', NULL, NULL, 35199, 8),
(40888, NULL, 'PF19668', NULL, NULL, 'Family of unknown function (DUF6171)', NULL, 'DUF6171', NULL, NULL, 39780, 8),
(40889, NULL, 'PF01479', NULL, NULL, 'S4 domain', NULL, 'S4', NULL, NULL, 6834, 8),
(40890, NULL, 'PF01135', NULL, NULL, 'Protein-L-isoaspartate(D-aspartate) O-methyltransferase (PCMT)', NULL, 'PCMT', NULL, NULL, NULL, 8),
(40891, NULL, 'PF02501', NULL, NULL, 'Type II secretion system (T2SS), protein I', NULL, 'T2SSI', NULL, NULL, 5411, 8),
(40892, NULL, 'PF13968', NULL, NULL, 'Domain of unknown function (DUF4220)', NULL, 'DUF4220', NULL, NULL, 22723, 8),
(40893, NULL, 'PF07448', NULL, NULL, 'Secreted phosphoprotein 24 (Spp-24) cystatin-like domain', NULL, 'Spp-24', NULL, NULL, 11529, 8),
(40894, NULL, 'PF08764', NULL, NULL, 'Staphylococcus aureus coagulase', NULL, 'Coagulase', NULL, NULL, 13018, 8),
(40895, NULL, 'PF18878', NULL, NULL, 'PPE-PPW subfamily C-terminal region', NULL, 'PPE-PPW', NULL, NULL, 38285, 8),
(40896, NULL, 'PF10378', NULL, NULL, 'Putative RRM domain', NULL, 'RRM', NULL, NULL, 20202, 8),
(40897, NULL, 'PF09148', NULL, NULL, 'Domain of unknown function (DUF1934)', NULL, 'DUF1934', NULL, NULL, 10900, 8),
(40898, NULL, 'PF18990', NULL, NULL, 'Family of unknown function (DUF5723)', NULL, 'DUF5723', NULL, NULL, 38117, 8),
(40899, NULL, 'PF00827', NULL, NULL, 'Ribosomal L15', NULL, 'Ribosomal_L15e', NULL, NULL, 6759, 8),
(40900, NULL, 'PF08656', NULL, NULL, 'DASH complex subunit Dad3', NULL, 'DASH_Dad3', NULL, NULL, 8279, 8),
(40901, NULL, 'PF00978', NULL, NULL, 'RNA dependent RNA polymerase', NULL, 'RdRP_2', NULL, NULL, 4222, 8),
(40902, NULL, 'PF04011', NULL, NULL, 'LemA family', NULL, 'LemA', NULL, NULL, 84, 8),
(40903, NULL, 'PF09201', NULL, NULL, 'SRX, signal recognition particle receptor alpha subunit', NULL, 'SRX', NULL, NULL, 12778, 8),
(40904, NULL, 'PF06445', NULL, NULL, 'GyrI-like small molecule binding domain', NULL, 'GyrI-like', NULL, NULL, 27290, 8),
(40905, NULL, 'PF03447', NULL, NULL, 'Homoserine dehydrogenase, NAD binding domain', NULL, 'NAD_binding_3', NULL, NULL, 10709, 8),
(40906, NULL, 'PF08363', NULL, NULL, 'Glucan-binding protein C', NULL, 'GbpC', NULL, NULL, 12076, 8),
(40907, NULL, 'PF03171', NULL, NULL, '2OG-Fe(II) oxygenase superfamily', NULL, '2OG-FeII_Oxy', NULL, NULL, 39291, 8),
(40908, NULL, 'PF13884', NULL, NULL, 'Chaperone of endosialidase', NULL, 'Peptidase_S74', NULL, NULL, 28868, 8),
(40909, NULL, 'PF15067', NULL, NULL, 'FAM124 family', NULL, 'FAM124', NULL, NULL, 28465, 8),
(40910, NULL, 'PF13592', NULL, NULL, 'Winged helix-turn helix', NULL, 'HTH_33', NULL, NULL, 25152, 8),
(40911, NULL, 'PF01924', NULL, NULL, 'Hydrogenase formation hypA family', NULL, 'HypD', NULL, NULL, 4587, 8),
(40912, NULL, 'PF11636', NULL, NULL, 'Troponin I residues 1-32', NULL, 'Troponin-I_N', NULL, NULL, 19297, 8),
(40913, NULL, 'PF16442', NULL, NULL, 'Domain of unknown function (DUF5039)', NULL, 'DUF5039', NULL, NULL, 25733, 8),
(40914, NULL, 'PF10658', NULL, NULL, 'Protein of unknown function (DUF2484)', NULL, 'DUF2484', NULL, NULL, 15346, 8),
(40915, NULL, 'PF08135', NULL, NULL, 'Major transforming protein E5 family', NULL, 'EPV_E5', NULL, NULL, 9628, 8),
(40916, NULL, 'PF10522', NULL, NULL, 'RII binding domain', NULL, 'RII_binding_1', NULL, NULL, 21866, 8),
(40917, NULL, 'PF04923', NULL, NULL, 'Ninjurin', NULL, 'Ninjurin', NULL, NULL, 6872, 8),
(40918, NULL, 'PF06621', NULL, NULL, 'Single-minded protein C-terminus', NULL, 'SIM_C', NULL, NULL, 8283, 8),
(40919, NULL, 'PF12519', NULL, NULL, 'Mitochondrial distribution and morphology protein 10', NULL, 'MDM10', NULL, NULL, 24939, 8),
(40920, NULL, 'PF01014', NULL, NULL, 'Uricase', NULL, 'Uricase', NULL, NULL, 1428, 8),
(40921, NULL, 'PF11533', NULL, NULL, 'Protein of unknown function (DUF3225)', NULL, 'DUF3225', NULL, NULL, 25541, 8),
(40922, NULL, 'PF06854', NULL, NULL, 'Bacteriophage Gp15 protein', NULL, 'Phage_Gp15', NULL, NULL, 11172, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40923, NULL, 'PF18585', NULL, NULL, 'Chromatin remodeling factor Mit1 C-terminal Zn finger 2', NULL, 'zf-CCCH_6', NULL, NULL, 31239, 8),
(40924, NULL, 'PF16007', NULL, NULL, 'Domain of unknown function (DUF4777)', NULL, 'DUF4777', NULL, NULL, 22572, 8),
(40925, NULL, 'PF17219', NULL, NULL, 'Yaf2/RYBP C-terminal binding motif', NULL, 'YAF2_RYBP', NULL, NULL, 33720, 8),
(40926, NULL, 'PF02283', NULL, NULL, 'Cobinamide kinase / cobinamide phosphate guanyltransferase', NULL, 'CobU', NULL, NULL, 3385, 8),
(40927, NULL, 'PF10416', NULL, NULL, 'Transcription-initiator DNA-binding domain IBD', NULL, 'IBD', NULL, NULL, 20159, 8),
(40928, NULL, 'PF05713', NULL, NULL, 'Bacterial mobilisation protein (MobC)', NULL, 'MobC', NULL, NULL, 13201, 8),
(40929, NULL, 'PF04089', NULL, NULL, 'BRICHOS domain', NULL, 'BRICHOS', NULL, NULL, 407, 8),
(40930, NULL, 'PF05239', NULL, NULL, 'PRC-barrel domain', NULL, 'PRC', NULL, NULL, 27809, 8),
(40931, NULL, 'PF08140', NULL, NULL, 'Crustacean cuticle protein repeat', NULL, 'Cuticle_1', NULL, NULL, 8853, 8),
(40932, NULL, 'PF17209', NULL, NULL, 'Hfq protein', NULL, 'Hfq', NULL, NULL, 532, 8),
(40933, NULL, 'PF07816', NULL, NULL, 'Protein of unknown function (DUF1645)', NULL, 'DUF1645', NULL, NULL, 14515, 8),
(40934, NULL, 'PF08317', NULL, NULL, 'Spc7 kinetochore protein', NULL, 'Spc7', NULL, NULL, 13264, 8),
(40935, NULL, 'PF18177', NULL, NULL, 'La HTH in kinetoplastid DICER domain', NULL, 'La_HTH_kDCL', NULL, NULL, 29423, 8),
(40936, NULL, 'PF18422', NULL, NULL, 'Tumor necrosis factor receptor member 16 trans-membrane domain', NULL, 'TNFR_16_TM', NULL, NULL, 32637, 8),
(40937, NULL, 'PF14116', NULL, NULL, 'YyzF-like protein', NULL, 'YyzF', NULL, NULL, 25415, 8),
(40938, NULL, 'PF03872', NULL, NULL, 'Anti sigma-E protein RseA, N-terminal domain', NULL, 'RseA_N', NULL, NULL, 1564, 8),
(40939, NULL, 'PF06528', NULL, NULL, 'Phage P2 GpE', NULL, 'Phage_P2_GpE', NULL, NULL, 9424, 8),
(40940, NULL, 'PF07105', NULL, NULL, 'Protein of unknown function (DUF1367)', NULL, 'DUF1367', NULL, NULL, 13920, 8),
(40941, NULL, 'PF00576', NULL, NULL, 'HIUase/Transthyretin family', NULL, 'Transthyretin', NULL, NULL, 16319, 8),
(40942, NULL, 'PF06391', NULL, NULL, 'CDK-activating kinase assembly factor MAT1', NULL, 'MAT1', NULL, NULL, 7423, 8),
(40943, NULL, 'PF05525', NULL, NULL, 'Branched-chain amino acid transport protein', NULL, 'Branch_AA_trans', NULL, NULL, 3156, 8),
(40944, NULL, 'PF16092', NULL, NULL, 'Domain of unknown function (DUF4821)', NULL, 'DUF4821', NULL, NULL, 28221, 8),
(40945, NULL, 'PF15054', NULL, NULL, 'Domain of unknown function (DUF4535)', NULL, 'DUF4535', NULL, NULL, 27946, 8),
(40946, NULL, 'PF09216', NULL, NULL, 'Pfg27', NULL, 'Pfg27', NULL, NULL, 12900, 8),
(40947, NULL, 'PF11449', NULL, NULL, 'Putative, 10TM heavy-metal exporter', NULL, 'ArsP_2', NULL, NULL, 18617, 8),
(40948, NULL, 'PF11735', NULL, NULL, 'Cryptococcal mannosyltransferase 1', NULL, 'CAP59_mtransfer', NULL, NULL, 15256, 8),
(40949, NULL, 'PF12609', NULL, NULL, 'Wound-induced protein', NULL, 'DUF3774', NULL, NULL, 21319, 8),
(40950, NULL, 'PF13830', NULL, NULL, 'Domain of unknown function (DUF4192)', NULL, 'DUF4192', NULL, NULL, 23311, 8),
(40951, NULL, 'PF02747', NULL, NULL, 'Proliferating cell nuclear antigen, C-terminal domain', NULL, 'PCNA_C', NULL, NULL, 17342, 8),
(40952, NULL, 'PF11952', NULL, NULL, 'XRN-Two Binding Domain, XTBD', NULL, 'XTBD', NULL, NULL, 20059, 8),
(40953, NULL, 'PF10000', NULL, NULL, 'ACT domain', NULL, 'ACT_3', NULL, NULL, 17951, 8),
(40954, NULL, 'PF07188', NULL, NULL, 'Kaposi''s sarcoma-associated herpesvirus (KSHV) K8 protein', NULL, 'KSHV_K8', NULL, NULL, 11216, 8),
(40955, NULL, 'PF13063', NULL, NULL, 'Protein of unknown function (DUF3925)', NULL, 'DUF3925', NULL, NULL, 21701, 8),
(40956, NULL, 'PF16001', NULL, NULL, 'Domain of unknown function (DUF4775)', NULL, 'DUF4775', NULL, NULL, 27871, 8),
(40957, NULL, 'PF11578', NULL, NULL, 'Protein of unknown function (DUF3237)', NULL, 'DUF3237', NULL, NULL, NULL, 8),
(40958, NULL, 'PF17500', NULL, NULL, 'Colicin-K immunity', NULL, 'CKI', NULL, NULL, 32708, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40959, NULL, 'PF01991', NULL, NULL, 'ATP synthase (E/31 kDa) subunit', NULL, 'vATP-synt_E', NULL, NULL, 5285, 8),
(40960, NULL, 'PF07303', NULL, NULL, 'Occludin homology domain', NULL, 'Occludin_ELL', NULL, NULL, 11585, 8),
(40961, NULL, 'PF08439', NULL, NULL, 'Oligopeptidase F', NULL, 'Peptidase_M3_N', NULL, NULL, 12345, 8),
(40962, NULL, 'PF08898', NULL, NULL, 'Domain of unknown function (DUF1843)', NULL, 'DUF1843', NULL, NULL, 7917, 8),
(40963, NULL, 'PF20095', NULL, NULL, 'Domain of unknown function (DUF6485)', NULL, 'DUF6485', NULL, NULL, NULL, 8),
(40964, NULL, 'PF03324', NULL, NULL, 'Herpesvirus DNA helicase/primase complex associated protein', NULL, 'Herpes_HEPA', NULL, NULL, 791, 8),
(40965, NULL, 'PF03444', NULL, NULL, 'Winged helix-turn-helix transcription repressor, HrcA DNA-binding', NULL, 'HrcA_DNA-bdg', NULL, NULL, 10811, 8),
(40966, NULL, 'PF05242', NULL, NULL, 'Glycosylation-dependent cell adhesion molecule 1 (GlyCAM-1)', NULL, 'GLYCAM-1', NULL, NULL, 3114, 8),
(40967, NULL, 'PF17841', NULL, NULL, 'BID domain of Bartonella effector protein (Bep)', NULL, 'Bep_C_terminal', NULL, NULL, 32443, 8),
(40968, NULL, 'PF00957', NULL, NULL, 'Synaptobrevin', NULL, 'Synaptobrevin', NULL, NULL, 38054, 8),
(40969, NULL, 'PF14457', NULL, NULL, 'Prokaryotic E2 family A', NULL, 'Prok-E2_A', NULL, NULL, 26730, 8),
(40970, NULL, 'PF05710', NULL, NULL, 'Coiled coil', NULL, 'Coiled', NULL, NULL, 12176, 8),
(40971, NULL, 'PF11276', NULL, NULL, 'Protein of unknown function (DUF3078)', NULL, 'DUF3078', NULL, NULL, 18364, 8),
(40972, NULL, 'PF13909', NULL, NULL, 'C2H2-type zinc-finger domain', NULL, 'zf-H2C2_5', NULL, NULL, NULL, 8),
(40973, NULL, 'PF09784', NULL, NULL, 'Mitochondrial ribosomal protein L31', NULL, 'L31', NULL, NULL, 20979, 8),
(40974, NULL, 'PF15510', NULL, NULL, 'CENP-W protein', NULL, 'CENP-W', NULL, NULL, 26649, 8),
(40975, NULL, 'PF08299', NULL, NULL, 'Bacterial dnaA protein helix-turn-helix', NULL, 'Bac_DnaA_C', NULL, NULL, 8556, 8),
(40976, NULL, 'PF18239', NULL, NULL, 'Hemagglutinin I', NULL, 'HA1', NULL, NULL, 35071, 8),
(40977, NULL, 'PF06715', NULL, NULL, 'Gp5 C-terminal repeat (3 copies)', NULL, 'Gp5_C', NULL, NULL, 8198, 8),
(40978, NULL, 'PF08362', NULL, NULL, 'YcdC-like protein, C-terminal region', NULL, 'TetR_C_3', NULL, NULL, 13104, 8),
(40979, NULL, 'PF19323', NULL, NULL, 'BTB/POZ domain-containing protein KCTD4 C-terminus', NULL, 'KCTD4_C', NULL, NULL, 37430, 8),
(40980, NULL, 'PF03370', NULL, NULL, 'Carbohydrate/starch-binding module (family 21)', NULL, 'CBM_21', NULL, NULL, 2074, 8),
(40981, NULL, 'PF14269', NULL, NULL, 'Arylsulfotransferase (ASST)', NULL, 'Arylsulfotran_2', NULL, NULL, 36222, 8),
(40982, NULL, 'PF15314', NULL, NULL, 'Proline-rich acidic protein 1, pregnancy-specific uterine', NULL, 'PRAP', NULL, NULL, 26227, 8),
(40983, NULL, 'PF03244', NULL, NULL, 'Photosystem I reaction centre subunit VI', NULL, 'PSI_PsaH', NULL, NULL, 1824, 8),
(40984, NULL, 'PF09375', NULL, NULL, 'Imelysin', NULL, 'Peptidase_M75', NULL, NULL, 15475, 8),
(40985, NULL, 'PF10923', NULL, NULL, 'P-loop Domain of unknown function (DUF2791)', NULL, 'DUF2791', NULL, NULL, 17525, 8),
(40986, NULL, 'PF11502', NULL, NULL, 'B-cell lymphoma 9 protein', NULL, 'BCL9', NULL, NULL, 7270, 8),
(40987, NULL, 'PF13452', NULL, NULL, 'N-terminal half of MaoC dehydratase', NULL, 'MaoC_dehydrat_N', NULL, NULL, 29122, 8),
(40988, NULL, 'PF13636', NULL, NULL, 'RNA-binding PUA-like domain of methyltransferase RsmF', NULL, 'Methyltranf_PUA', NULL, NULL, 25892, 8),
(40989, NULL, 'PF20150', NULL, NULL, '2EXR family', NULL, '2EXR', NULL, NULL, 38838, 8),
(40990, NULL, 'PF13170', NULL, NULL, 'Protein of unknown function (DUF4003)', NULL, 'DUF4003', NULL, NULL, 23584, 8),
(40991, NULL, 'PF09240', NULL, NULL, 'Interleukin-6 receptor alpha chain, binding', NULL, 'IL6Ra-bind', NULL, NULL, 13555, 8),
(40992, NULL, 'PF15633', NULL, NULL, 'HYD1 signature containing ADP-ribosyltransferase', NULL, 'Tox-ART-HYD1', NULL, NULL, 26320, 8),
(40993, NULL, 'PF18993', NULL, NULL, 'Rv0078B-related antitoxin', NULL, 'Rv0078B', NULL, NULL, 38456, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(40994, NULL, 'PF00110', NULL, NULL, 'wnt family', NULL, 'wnt', NULL, NULL, 5666, 8),
(40995, NULL, 'PF09260', NULL, NULL, 'Domain of unknown function (DUF1966)', NULL, 'DUF1966', NULL, NULL, 13584, 8),
(40996, NULL, 'PF16312', NULL, NULL, 'Coiled-coil region of Oberon', NULL, 'Oberon_cc', NULL, NULL, 27783, 8),
(40997, NULL, 'PF05657', NULL, NULL, 'Protein of unknown function (DUF806)', NULL, 'DUF806', NULL, NULL, 13350, 8),
(40998, NULL, 'PF11241', NULL, NULL, 'Protein of unknown function (DUF3043)', NULL, 'DUF3043', NULL, NULL, 18470, 8),
(40999, NULL, 'PF18538', NULL, NULL, 'Domain of unknown function (DUF5624)', NULL, 'DUF5624', NULL, NULL, 31821, 8),
(41000, NULL, 'PF16173', NULL, NULL, 'Domain of unknown function (DUF4874)', NULL, 'DUF4874', NULL, NULL, 28188, 8),
(41001, NULL, 'PF04694', NULL, NULL, 'Coronavirus ORF3 protein', NULL, 'Corona_3', NULL, NULL, 3304, 8),
(41002, NULL, 'PF18026', NULL, NULL, 'Endo/exonuclease (EXOG) C-terminal domain', NULL, 'Exog_C', NULL, NULL, 31748, 8),
(41003, NULL, 'PF04184', NULL, NULL, 'ST7 protein', NULL, 'ST7', NULL, NULL, 4760, 8),
(41004, NULL, 'PF07345', NULL, NULL, 'ATPase inhibitor subunit zeta', NULL, 'DUF1476', NULL, NULL, 8397, 8),
(41005, NULL, 'PF02148', NULL, NULL, 'Zn-finger in ubiquitin-hydrolases and other protein', NULL, 'zf-UBP', NULL, NULL, 3007, 8),
(41006, NULL, 'PF14922', NULL, NULL, 'Protein of unknown function', NULL, 'FWWh', NULL, NULL, 24840, 8),
(41007, NULL, 'PF02425', NULL, NULL, 'Paralytic/GBP/PSP peptide', NULL, 'GBP_PSP', NULL, NULL, 5775, 8),
(41008, NULL, 'PF13275', NULL, NULL, 'S4 domain', NULL, 'S4_2', NULL, NULL, NULL, 8),
(41009, NULL, 'PF06230', NULL, NULL, 'LpxI C-terminal domain', NULL, 'LpxI_C', NULL, NULL, 9516, 8),
(41010, NULL, 'PF14958', NULL, NULL, 'Domain of unknown function (DUF4506)', NULL, 'DUF4506', NULL, NULL, 25055, 8),
(41011, NULL, 'PF07761', NULL, NULL, 'Protein of unknown function (DUF1617)', NULL, 'DUF1617', NULL, NULL, 10528, 8),
(41012, NULL, 'PF05849', NULL, NULL, 'Fibroin light chain (L-fibroin)', NULL, 'L-fibroin', NULL, NULL, 13363, 8),
(41013, NULL, 'PF16791', NULL, NULL, 'Connexin 40 C-terminal domain', NULL, 'Connexin40_C', NULL, NULL, 28635, 8),
(41014, NULL, 'PF15671', NULL, NULL, 'Proline-rich protein family 18', NULL, 'PRR18', NULL, NULL, 27093, 8),
(41015, NULL, 'PF13083', NULL, NULL, 'KH domain', NULL, 'KH_4', NULL, NULL, NULL, 8),
(41016, NULL, 'PF14079', NULL, NULL, 'Domain of unknown function (DUF4260)', NULL, 'DUF4260', NULL, NULL, 23228, 8),
(41017, NULL, 'PF08098', NULL, NULL, 'Anemonia sulcata toxin III family', NULL, 'ATX_III', NULL, NULL, 12831, 8),
(41018, NULL, 'PF19686', NULL, NULL, 'Family of unknown function (DUF6188)', NULL, 'DUF6188', NULL, NULL, 39687, 8),
(41019, NULL, 'PF12028', NULL, NULL, 'Protein of unknown function (DUF3515)', NULL, 'DUF3515', NULL, NULL, 20110, 8),
(41020, NULL, 'PF15150', NULL, NULL, 'Phorbol-12-myristate-13-acetate-induced', NULL, 'PMAIP1', NULL, NULL, 12210, 8),
(41021, NULL, 'PF18192', NULL, NULL, 'DNTTIP1 dimerisation domain', NULL, 'DNTTIP1_dimer', NULL, NULL, 31638, 8),
(41022, NULL, 'PF03274', NULL, NULL, 'Foamy virus BEL 1/2 protein', NULL, 'Foamy_BEL', NULL, NULL, 2852, 8),
(41023, NULL, 'PF15774', NULL, NULL, 'Domain of unknown function (DUF4702)', NULL, 'DUF4702', NULL, NULL, 27089, 8),
(41024, NULL, 'PF10688', NULL, NULL, 'Bacterial inner membrane protein', NULL, 'Imp-YgjV', NULL, NULL, 21015, 8),
(41025, NULL, 'PF17794', NULL, NULL, 'Major Vault Protein repeat domain', NULL, 'Vault_2', NULL, NULL, 31932, 8),
(41026, NULL, 'PF03941', NULL, NULL, 'Inner centromere protein, ARK binding region', NULL, 'INCENP_ARK-bind', NULL, NULL, 2728, 8),
(41027, NULL, 'PF04026', NULL, NULL, 'SpoVG', NULL, 'SpoVG', NULL, NULL, 260, 8),
(41028, NULL, 'PF13118', NULL, NULL, 'Protein of unknown function (DUF3972)', NULL, 'DUF3972', NULL, NULL, 27297, 8),
(41029, NULL, 'PF12502', NULL, NULL, 'Protein of unknown function (DUF3710)', NULL, 'DUF3710', NULL, NULL, 21025, 8),
(41030, NULL, 'PF10458', NULL, NULL, 'Valyl tRNA synthetase tRNA binding arm', NULL, 'Val_tRNA-synt_C', NULL, NULL, 18653, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41031, NULL, 'PF08606', NULL, NULL, 'Prp19/Pso4-like', NULL, 'Prp19', NULL, NULL, 18035, 8),
(41032, NULL, 'PF18728', NULL, NULL, 'AbiV', NULL, 'HEPN_AbiV', NULL, NULL, 22258, 8),
(41033, NULL, 'PF05262', NULL, NULL, 'Borrelia P83/100 protein', NULL, 'Borrelia_P83', NULL, NULL, 3399, 8),
(41034, NULL, 'PF11017', NULL, NULL, 'Protein of unknown function (DUF2855)', NULL, 'DUF2855', NULL, NULL, 17843, 8),
(41035, NULL, 'PF19593', NULL, NULL, 'Family of unknown function (DUF6098)', NULL, 'DUF6098', NULL, NULL, 39285, 8),
(41036, NULL, 'PF15949', NULL, NULL, 'Domain of unknown function (DUF4757)', NULL, 'DUF4757', NULL, NULL, 22641, 8),
(41037, NULL, 'PF02926', NULL, NULL, 'THUMP domain', NULL, 'THUMP', NULL, NULL, 1932, 8),
(41038, NULL, 'PF17224', NULL, NULL, 'Domain of unknown function (DUF5300)', NULL, 'DUF5300', NULL, NULL, 32608, 8),
(41039, NULL, 'PF13444', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_5', NULL, NULL, NULL, 8),
(41040, NULL, 'PF17616', NULL, NULL, 'Viral unique short region 6', NULL, 'US6', NULL, NULL, 30828, 8),
(41041, NULL, 'PF04990', NULL, NULL, 'RNA polymerase Rpb1, domain 7', NULL, 'RNA_pol_Rpb1_7', NULL, NULL, 7214, 8),
(41042, NULL, 'PF04394', NULL, NULL, 'Protein of unknown function, DUF536', NULL, 'DUF536', NULL, NULL, 10078, 8),
(41043, NULL, 'PF10595', NULL, NULL, 'Uncharacterised protein family UPF0564', NULL, 'UPF0564', NULL, NULL, 20455, 8),
(41044, NULL, 'PF14926', NULL, NULL, 'Domain of unknown function (DUF4498)', NULL, 'DUF4498', NULL, NULL, 24914, 8),
(41045, NULL, 'PF12345', NULL, NULL, 'Protein of unknown function (DUF3641)', NULL, 'DUF3641', NULL, NULL, 25614, 8),
(41046, NULL, 'PF03121', NULL, NULL, 'Herpesviridae UL52/UL70 DNA primase', NULL, 'Herpes_UL52', NULL, NULL, NULL, 8),
(41047, NULL, 'PF15223', NULL, NULL, 'Elongin BC and Polycomb repressive complex 2-associated protein', NULL, 'EPOP', NULL, NULL, 25119, 8),
(41048, NULL, 'PF07374', NULL, NULL, 'Protein of unknown function (DUF1492)', NULL, 'DUF1492', NULL, NULL, 11913, 8),
(41049, NULL, 'PF08225', NULL, NULL, 'Pseudin antimicrobial peptide', NULL, 'Antimicrobial19', NULL, NULL, 8793, 8),
(41050, NULL, 'PF15942', NULL, NULL, 'Domain of unknown function (DUF4751)', NULL, 'DUF4751', NULL, NULL, 26068, 8),
(41051, NULL, 'PF07134', NULL, NULL, 'Protein of unknown function (DUF1383)', NULL, 'DUF1383', NULL, NULL, 11222, 8),
(41052, NULL, 'PF08591', NULL, NULL, 'Ribonucleotide reductase inhibitor', NULL, 'RNR_inhib', NULL, NULL, 18107, 8),
(41053, NULL, 'PF07119', NULL, NULL, 'Protein of unknown function (DUF1375)', NULL, 'DUF1375', NULL, NULL, 11072, 8),
(41054, NULL, 'PF14466', NULL, NULL, 'PLAT/LH2 and C2-like Ca2+-binding lipoprotein', NULL, 'PLCC', NULL, NULL, 27572, 8),
(41055, NULL, 'PF12460', NULL, NULL, 'RNAPII transcription regulator C-terminal', NULL, 'MMS19_C', NULL, NULL, 22506, 8),
(41056, NULL, 'PF19240', NULL, NULL, 'Family of unknown function (DUF5890)', NULL, 'DUF5890', NULL, NULL, 38259, 8),
(41057, NULL, 'PF10073', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2312)', NULL, 'DUF2312', NULL, NULL, 18702, 8),
(41058, NULL, 'PF05884', NULL, NULL, 'Interactor of ZYG-11', NULL, 'ZYG-11_interact', NULL, NULL, 13806, 8),
(41059, NULL, 'PF18537', NULL, NULL, 'Carbon monoxide dehydrogenase subunit alpha N-terminal domain', NULL, 'CODH_A_N', NULL, NULL, 31752, 8),
(41060, NULL, 'PF11434', NULL, NULL, 'Chemotaxis-inhibiting protein CHIPS', NULL, 'CHIPS', NULL, NULL, 16447, 8),
(41061, NULL, 'PF15290', NULL, NULL, 'Golgi-localised syntaxin-1-binding clamp', NULL, 'Syntaphilin', NULL, NULL, 24633, 8),
(41062, NULL, 'PF17876', NULL, NULL, 'Cold shock domain', NULL, 'CSD2', NULL, NULL, 30390, 8),
(41063, NULL, 'PF04161', NULL, NULL, 'Arv1-like family', NULL, 'Arv1', NULL, NULL, 7371, 8),
(41064, NULL, 'PF04268', NULL, NULL, 'Sarcosine oxidase, gamma subunit family', NULL, 'SoxG', NULL, NULL, 5648, 8),
(41065, NULL, 'PF13814', NULL, NULL, 'Replication-relaxation', NULL, 'Replic_Relax', NULL, NULL, 25083, 8),
(41066, NULL, 'PF13217', NULL, NULL, 'Protein of unknown function (DUF4025)', NULL, 'DUF4025', NULL, NULL, 23769, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41067, NULL, 'PF01831', NULL, NULL, 'Peptidase C16 family', NULL, 'Peptidase_C16', NULL, NULL, 3824, 8),
(41068, NULL, 'PF05567', NULL, NULL, 'Neisseria PilC beta-propeller domain', NULL, 'Neisseria_PilC', NULL, NULL, 13116, 8),
(41069, NULL, 'PF05564', NULL, NULL, 'Dormancy/auxin associated protein', NULL, 'Auxin_repressed', NULL, NULL, 8602, 8),
(41070, NULL, 'PF13378', NULL, NULL, 'Enolase C-terminal domain-like', NULL, 'MR_MLE_C', NULL, NULL, 26021, 8),
(41071, NULL, 'PF00521', NULL, NULL, 'DNA gyrase/topoisomerase IV, subunit A', NULL, 'DNA_topoisoIV', NULL, NULL, 6148, 8),
(41072, NULL, 'PF05387', NULL, NULL, 'Chorion family 3', NULL, 'Chorion_3', NULL, NULL, 8724, 8),
(41073, NULL, 'PF01599', NULL, NULL, 'Ribosomal protein S27a', NULL, 'Ribosomal_S27', NULL, NULL, 6122, 8),
(41074, NULL, 'PF07015', NULL, NULL, 'VirC1 protein', NULL, 'VirC1', NULL, NULL, 12852, 8),
(41075, NULL, 'PF02261', NULL, NULL, 'Aspartate decarboxylase', NULL, 'Asp_decarbox', NULL, NULL, 1715, 8),
(41076, NULL, 'PF12998', NULL, NULL, 'Inhibitor of growth proteins N-terminal histone-binding', NULL, 'ING', NULL, NULL, 22513, 8),
(41077, NULL, 'PF17567', NULL, NULL, 'Family of unknown function (DUF5473)', NULL, 'DUF5473', NULL, NULL, 33864, 8),
(41078, NULL, 'PF06794', NULL, NULL, 'Uncharacterised protein family (UPF0270)', NULL, 'UPF0270', NULL, NULL, 9387, 8),
(41079, NULL, 'PF14439', NULL, NULL, 'Bd3614-like deaminase', NULL, 'Bd3614-deam', NULL, NULL, 25388, 8),
(41080, NULL, 'PF16454', NULL, NULL, 'Phosphatidylinositol 3-kinase regulatory subunit P85 inter-SH2 domain', NULL, 'PI3K_P85_iSH2', NULL, NULL, 22911, 8),
(41081, NULL, 'PF11631', NULL, NULL, 'Protein of unknown function (DUF3255)', NULL, 'DUF3255', NULL, NULL, 19145, 8),
(41082, NULL, 'PF18262', NULL, NULL, 'Phe-tRNA synthetase beta subunit B1 domain', NULL, 'PhetRS_B1', NULL, NULL, 30722, 8),
(41083, NULL, 'PF07489', NULL, NULL, 'Translocated intimin receptor (Tir) C-terminus', NULL, 'Tir_receptor_C', NULL, NULL, 16579, 8),
(41084, NULL, 'PF18080', NULL, NULL, 'Galactose mutarotase-like fold domain', NULL, 'Gal_mutarotas_3', NULL, NULL, 30770, 8),
(41085, NULL, 'PF15470', NULL, NULL, 'Domain of unknown function (DUF4637)', NULL, 'DUF4637', NULL, NULL, 28550, 8),
(41086, NULL, 'PF20120', NULL, NULL, 'Family of unknown function (DUF6510)', NULL, 'DUF6510', NULL, NULL, 37891, 8),
(41087, NULL, 'PF08179', NULL, NULL, 'Small acid-soluble spore protein P family', NULL, 'SspP', NULL, NULL, 9809, 8),
(41088, NULL, 'PF16286', NULL, NULL, 'Domain of unknown function (DUF4932)', NULL, 'DUF4932', NULL, NULL, 22348, 8),
(41089, NULL, 'PF18097', NULL, NULL, 'Vta1 C-terminal domain', NULL, 'Vta1_C', NULL, NULL, 31021, 8),
(41090, NULL, 'PF09866', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2093)', NULL, 'DUF2093', NULL, NULL, 16893, 8),
(41091, NULL, 'PF02382', NULL, NULL, 'N-terminal domain in RTX protein', NULL, 'RTX', NULL, NULL, 15088, 8),
(41092, NULL, 'PF03011', NULL, NULL, 'PFEMP1 DBL domain', NULL, 'PFEMP', NULL, NULL, 3672, 8),
(41093, NULL, 'PF03694', NULL, NULL, 'Erg28 like protein', NULL, 'Erg28', NULL, NULL, 6207, 8),
(41094, NULL, 'PF14066', NULL, NULL, 'Protein of unknown function (DUF4256)', NULL, 'DUF4256', NULL, NULL, 23063, 8),
(41095, NULL, 'PF02326', NULL, NULL, 'Plant ATP synthase F0', NULL, 'YMF19', NULL, NULL, 4324, 8),
(41096, NULL, 'PF12279', NULL, NULL, 'Protein of unknown function (DUF3619)', NULL, 'DUF3619', NULL, NULL, 20799, 8),
(41097, NULL, 'PF17589', NULL, NULL, 'Family of unknown function (DUF5487)', NULL, 'DUF5487', NULL, NULL, 12588, 8),
(41098, NULL, 'PF18509', NULL, NULL, 'Magnetochrome domain', NULL, 'MCR', NULL, NULL, 29616, 8),
(41099, NULL, 'PF18344', NULL, NULL, 'Carbohydrate binding module family 32', NULL, 'CBM32', NULL, NULL, NULL, 8),
(41100, NULL, 'PF06439', NULL, NULL, 'Domain of Unknown Function (DUF1080)', NULL, 'DUF1080', NULL, NULL, 10584, 8),
(41101, NULL, 'PF07923', NULL, NULL, 'N1221-like protein', NULL, 'N1221', NULL, NULL, 11580, 8),
(41102, NULL, 'PF00929', NULL, NULL, 'Exonuclease', NULL, 'RNase_T', NULL, NULL, 5697, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41103, NULL, 'PF05167', NULL, NULL, 'Uncharacterised ACR (DUF711)', NULL, 'DUF711', NULL, NULL, 2361, 8),
(41104, NULL, 'PF11881', NULL, NULL, 'C-terminal domain of SPAR protein', NULL, 'SPAR_C', NULL, NULL, 20376, 8),
(41105, NULL, 'PF08280', NULL, NULL, 'M protein trans-acting positive regulator (MGA) HTH domain', NULL, 'HTH_Mga', NULL, NULL, 17837, 8),
(41106, NULL, 'PF20109', NULL, NULL, 'Family of unknown function (DUF6499)', NULL, 'DUF6499', NULL, NULL, 38585, 8),
(41107, NULL, 'PF05575', NULL, NULL, 'Vibrio cholerae RfbT protein', NULL, 'V_cholerae_RfbT', NULL, NULL, 7983, 8),
(41108, NULL, 'PF16851', NULL, NULL, 'Stomagen', NULL, 'Stomagen', NULL, NULL, 39466, 8),
(41109, NULL, 'PF10636', NULL, NULL, 'Hemin uptake protein hemP', NULL, 'hemP', NULL, NULL, 20244, 8),
(41110, NULL, 'PF11719', NULL, NULL, 'DNA replication and checkpoint protein', NULL, 'Drc1-Sld2', NULL, NULL, 15280, 8),
(41111, NULL, 'PF08119', NULL, NULL, 'Scorpion acidic alpha-KTx toxin family', NULL, 'Toxin_31', NULL, NULL, 10891, 8),
(41112, NULL, 'PF00123', NULL, NULL, 'Peptide hormone', NULL, 'Hormone_2', NULL, NULL, 5904, 8),
(41113, NULL, 'PF19277', NULL, NULL, 'Glycerol-3-phosphate acyltransferase C-terminal region', NULL, 'GPAT_C', NULL, NULL, 38577, 8),
(41114, NULL, 'PF10515', NULL, NULL, 'Beta-amyloid precursor protein C-terminus', NULL, 'APP_amyloid', NULL, NULL, 19471, 8),
(41115, NULL, 'PF11876', NULL, NULL, 'Protein of unknown function (DUF3396)', NULL, 'DUF3396', NULL, NULL, 19733, 8),
(41116, NULL, 'PF13857', NULL, NULL, 'Ankyrin repeats (many copies)', NULL, 'Ank_5', NULL, NULL, 1196, 8),
(41117, NULL, 'PF10860', NULL, NULL, 'Protein of unknown function (DUF2661)', NULL, 'DUF2661', NULL, NULL, 19680, 8),
(41118, NULL, 'PF15909', NULL, NULL, 'C2H2-type zinc ribbon', NULL, 'zf-C2H2_8', NULL, NULL, 25332, 8),
(41119, NULL, 'PF15984', NULL, NULL, 'Bacterial collagen, middle region', NULL, 'Collagen_mid', NULL, NULL, 27663, 8),
(41120, NULL, 'PF18113', NULL, NULL, 'Rubredoxin binding C-terminal domain', NULL, 'Rbx_binding', NULL, NULL, 31253, 8),
(41121, NULL, 'PF19101', NULL, NULL, 'Family of unknown function (DUF5788)', NULL, 'DUF5788', NULL, NULL, 36552, 8),
(41122, NULL, 'PF16231', NULL, NULL, 'Domain of unknown function (DUF4890)', NULL, 'DUF4890', NULL, NULL, 28363, 8),
(41123, NULL, 'PF19576', NULL, NULL, 'Acyltransferase', NULL, 'Acyltransf_2', NULL, NULL, 38625, 8),
(41124, NULL, 'PF04465', NULL, NULL, 'Protein of unknown function (DUF499)', NULL, 'DUF499', NULL, NULL, 3878, 8),
(41125, NULL, 'PF14766', NULL, NULL, 'Replication protein A interacting N-terminal', NULL, 'RPA_interact_N', NULL, NULL, 24730, 8),
(41126, NULL, 'PF14494', NULL, NULL, 'Domain of unknown function (DUF4436)', NULL, 'DUF4436', NULL, NULL, 23938, 8),
(41127, NULL, 'PF19167', NULL, NULL, 'Family of unknown function (DUF5849)', NULL, 'DUF5849', NULL, NULL, 37291, 8),
(41128, NULL, 'PF10642', NULL, NULL, 'Mitochondrial import receptor subunit or translocase', NULL, 'Tom5', NULL, NULL, 20232, 8),
(41129, NULL, 'PF15483', NULL, NULL, 'Domain of unknown function (DUF4641)', NULL, 'DUF4641', NULL, NULL, 22113, 8),
(41130, NULL, 'PF19979', NULL, NULL, 'Family of unknown function (DUF6415)', NULL, 'DUF6415', NULL, NULL, 39625, 8),
(41131, NULL, 'PF08490', NULL, NULL, 'Domain of unknown function (DUF1744)', NULL, 'DUF1744', NULL, NULL, 13628, 8),
(41132, NULL, 'PF19608', NULL, NULL, 'Family of unknown function (DUF6113)', NULL, 'DUF6113', NULL, NULL, 39238, 8),
(41133, NULL, 'PF10337', NULL, NULL, 'Putative ER transporter, 6TM, N-terminal', NULL, 'ArAE_2_N', NULL, NULL, 20426, 8),
(41134, NULL, 'PF16597', NULL, NULL, 'Thyroglobulin_1 repeat associated disordered domain', NULL, 'Thyroglob_assoc', NULL, NULL, NULL, 8),
(41135, NULL, 'PF16477', NULL, NULL, 'Domain of unknown function (DUF5054)', NULL, 'DUF5054', NULL, NULL, 18455, 8),
(41136, NULL, 'PF00435', NULL, NULL, 'Spectrin repeat', NULL, 'Spectrin', NULL, NULL, 2437, 8),
(41137, NULL, 'PF04744', NULL, NULL, 'Monooxygenase subunit B protein', NULL, 'Monooxygenase_B', NULL, NULL, 3935, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41138, NULL, 'PF18407', NULL, NULL, 'GCN5-related N-acetyltransferase like domain', NULL, 'GNAT_like', NULL, NULL, 31468, 8),
(41139, NULL, 'PF20071', NULL, NULL, 'Family of unknown function (DUF6467)', NULL, 'DUF6467', NULL, NULL, 38901, 8),
(41140, NULL, 'PF10439', NULL, NULL, 'Bacteriocin class II with double-glycine leader peptide', NULL, 'Bacteriocin_IIc', NULL, NULL, 18971, 8),
(41141, NULL, 'PF15261', NULL, NULL, 'Jhy protein', NULL, 'JHY', NULL, NULL, 25267, 8),
(41142, NULL, 'PF12539', NULL, NULL, 'Chromosome segregation protein Csm1/Pcs1', NULL, 'Csm1', NULL, NULL, 14527, 8),
(41143, NULL, 'PF13021', NULL, NULL, 'Domain of unknown function (DUF3885)', NULL, 'DUF3885', NULL, NULL, 22551, 8),
(41144, NULL, 'PF19214', NULL, NULL, 'Coronavirus spike glycoprotein S2, intravirion', NULL, 'CoV_S2_C', NULL, NULL, 37099, 8),
(41145, NULL, 'PF14745', NULL, NULL, 'WASH complex subunit 7, N-terminal', NULL, 'WASH-7_N', NULL, NULL, 22250, 8),
(41146, NULL, 'PF08492', NULL, NULL, 'SRP72 RNA-binding domain', NULL, 'SRP72', NULL, NULL, 14391, 8),
(41147, NULL, 'PF10659', NULL, NULL, 'Trypanosome variant surface glycoprotein C-terminal domain', NULL, 'Trypan_glycop_C', NULL, NULL, 20484, 8),
(41148, NULL, 'PF01654', NULL, NULL, 'Cytochrome bd terminal oxidase subunit I', NULL, 'Cyt_bd_oxida_I', NULL, NULL, 1652, 8),
(41149, NULL, 'PF07452', NULL, NULL, 'CHRD domain', NULL, 'CHRD', NULL, NULL, 12002, 8),
(41150, NULL, 'PF02469', NULL, NULL, 'Fasciclin domain', NULL, 'Fasciclin', NULL, NULL, 5236, 8),
(41151, NULL, 'PF00086', NULL, NULL, 'Thyroglobulin type-1 repeat', NULL, 'Thyroglobulin_1', NULL, NULL, 6640, 8),
(41152, NULL, 'PF04452', NULL, NULL, 'RNA methyltransferase', NULL, 'Methyltrans_RNA', NULL, NULL, 2107, 8),
(41153, NULL, 'PF06202', NULL, NULL, 'Amylo-alpha-1,6-glucosidase', NULL, 'GDE_C', NULL, NULL, 22566, 8),
(41154, NULL, 'PF14017', NULL, NULL, 'Protein of unknown function (DUF4233)', NULL, 'DUF4233', NULL, NULL, 22622, 8),
(41155, NULL, 'PF05439', NULL, NULL, 'Jumping translocation breakpoint protein (JTB)', NULL, 'JTB', NULL, NULL, 13290, 8),
(41156, NULL, 'PF13729', NULL, NULL, 'F plasmid transfer operon, TraF, protein', NULL, 'TraF_2', NULL, NULL, 22219, 8),
(41157, NULL, 'PF17746', NULL, NULL, 'SfsA N-terminal OB domain', NULL, 'SfsA_N', NULL, NULL, 32226, 8),
(41158, NULL, 'PF19685', NULL, NULL, 'Family of unknown function (DUF6187)', NULL, 'DUF6187', NULL, NULL, 39959, 8),
(41159, NULL, 'PF05107', NULL, NULL, 'CRISPR-associated protein Cas7', NULL, 'Cas_Cas7', NULL, NULL, 6003, 8),
(41160, NULL, 'PF12134', NULL, NULL, 'PRP8 domain IV core', NULL, 'PRP8_domainIV', NULL, NULL, 20519, 8),
(41161, NULL, 'PF17116', NULL, NULL, 'Domain of unknown function (DUF5103)', NULL, 'DUF5103', NULL, NULL, 27536, 8),
(41162, NULL, 'PF17210', NULL, NULL, 'SdrD B-like domain', NULL, 'SdrD_B', NULL, NULL, 31297, 8),
(41163, NULL, 'PF12990', NULL, NULL, 'Domain of unknonw function from B. Theta Gene description (DUF3874)', NULL, 'DUF3874', NULL, NULL, 25860, 8),
(41164, NULL, 'PF08086', NULL, NULL, 'Ergtoxin family', NULL, 'Toxin_17', NULL, NULL, 9716, 8),
(41165, NULL, 'PF08409', NULL, NULL, 'Domain of unknown function (DUF1736)', NULL, 'DUF1736', NULL, NULL, 11199, 8),
(41166, NULL, 'PF05528', NULL, NULL, 'Coronavirus gene 5 protein', NULL, 'Coronavirus_5', NULL, NULL, 12061, 8),
(41167, NULL, 'PF15559', NULL, NULL, 'Domain of unknown function (DUF4660)', NULL, 'DUF4660', NULL, NULL, 26092, 8),
(41168, NULL, 'PF04531', NULL, NULL, 'Bacteriophage holin', NULL, 'Phage_holin_1', NULL, NULL, 6298, 8),
(41169, NULL, 'PF18125', NULL, NULL, 'RlmM ferredoxin-like domain', NULL, 'RlmM_FDX', NULL, NULL, 30809, 8),
(41170, NULL, 'PF11166', NULL, NULL, 'Protein of unknown function (DUF2951)', NULL, 'DUF2951', NULL, NULL, 18120, 8),
(41171, NULL, 'PF12703', NULL, NULL, 'Toxin of toxin-antitoxin type 1 system', NULL, 'ptaRNA1_toxin', NULL, NULL, 13670, 8),
(41172, NULL, 'PF07487', NULL, NULL, 'SopE GEF domain', NULL, 'SopE_GEF', NULL, NULL, 7542, 8),
(41173, NULL, 'PF11344', NULL, NULL, 'Protein of unknown function (DUF3146)', NULL, 'DUF3146', NULL, NULL, 18651, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41174, NULL, 'PF02678', NULL, NULL, 'Pirin', NULL, 'Pirin', NULL, NULL, 3136, 8),
(41175, NULL, 'PF12412', NULL, NULL, 'Protein of unknown function (DUF3667)', NULL, 'DUF3667', NULL, NULL, 21105, 8),
(41176, NULL, 'PF12173', NULL, NULL, 'Bacteriocin class IIc cyclic gassericin A-like', NULL, 'BacteriocIIc_cy', NULL, NULL, 15921, 8),
(41177, NULL, 'PF12881', NULL, NULL, 'NUT protein', NULL, 'NUT', NULL, NULL, 25927, 8),
(41178, NULL, 'PF06892', NULL, NULL, 'Phage regulatory protein CII (CP76)', NULL, 'Phage_CP76', NULL, NULL, 11636, 8),
(41179, NULL, 'PF19731', NULL, NULL, 'Family of unknown function (DUF6222)', NULL, 'DUF6222', NULL, NULL, 39684, 8),
(41180, NULL, 'PF09060', NULL, NULL, 'L27_N', NULL, 'L27_N', NULL, NULL, 9565, 8),
(41181, NULL, 'PF03662', NULL, NULL, 'Glycosyl hydrolase family 79, N-terminal domain', NULL, 'Glyco_hydro_79n', NULL, NULL, 5157, 8),
(41182, NULL, 'PF14270', NULL, NULL, 'Domain of unknown function (DUF4358)', NULL, 'DUF4358', NULL, NULL, 26154, 8),
(41183, NULL, 'PF05380', NULL, NULL, 'Pao retrotransposon peptidase', NULL, 'Peptidase_A17', NULL, NULL, 5488, 8),
(41184, NULL, 'PF13931', NULL, NULL, 'Kinesin-associated microtubule-binding', NULL, 'Microtub_bind', NULL, NULL, 24428, 8),
(41185, NULL, 'PF01573', NULL, NULL, 'Bromovirus movement protein', NULL, 'Bromo_MP', NULL, NULL, 656, 8),
(41186, NULL, 'PF12942', NULL, NULL, 'Archaeal ammonia monooxygenase subunit A (AmoA)', NULL, 'Archaeal_AmoA', NULL, NULL, 25703, 8),
(41187, NULL, 'PF18988', NULL, NULL, 'Family of unknown function (DUF5721)', NULL, 'DUF5721', NULL, NULL, 38564, 8),
(41188, NULL, 'PF12189', NULL, NULL, 'Single-strand DNA-binding protein', NULL, 'VirE1', NULL, NULL, 20377, 8),
(41189, NULL, 'PF03547', NULL, NULL, 'Membrane transport protein', NULL, 'Mem_trans', NULL, NULL, 5018, 8),
(41190, NULL, 'PF09006', NULL, NULL, 'Lung surfactant protein D coiled-coil trimerisation', NULL, 'Surfac_D-trimer', NULL, NULL, 8794, 8),
(41191, NULL, 'PF06685', NULL, NULL, 'Protein of unknown function (DUF1186)', NULL, 'DUF1186', NULL, NULL, 8485, 8),
(41192, NULL, 'PF03429', NULL, NULL, 'Major surface protein 1B', NULL, 'MSP1b', NULL, NULL, 10042, 8),
(41193, NULL, 'PF10892', NULL, NULL, 'Protein of unknown function (DUF2688)', NULL, 'DUF2688', NULL, NULL, 24725, 8),
(41194, NULL, 'PF08520', NULL, NULL, 'Fungal protein of unknown function (DUF1748)', NULL, 'DUF1748', NULL, NULL, 14130, 8),
(41195, NULL, 'PF16705', NULL, NULL, 'NUDIX, or N-terminal NPxY motif-rich,  region of KRIT', NULL, 'NUDIX_5', NULL, NULL, 24471, 8),
(41196, NULL, 'PF14166', NULL, NULL, 'YueH-like protein', NULL, 'YueH', NULL, NULL, 19667, 8),
(41197, NULL, 'PF18085', NULL, NULL, 'Maltokinase N-terminal cap domain', NULL, 'Mak_N_cap', NULL, NULL, 30798, 8),
(41198, NULL, 'PF04053', NULL, NULL, 'Coatomer WD associated region', NULL, 'Coatomer_WDAD', NULL, NULL, 2157, 8),
(41199, NULL, 'PF08329', NULL, NULL, 'Chitinase A, N-terminal domain', NULL, 'ChitinaseA_N', NULL, NULL, 13171, 8),
(41200, NULL, 'PF17979', NULL, NULL, 'Cysteine rich domain with multizinc binding regions', NULL, 'zf-CRD', NULL, NULL, 31294, 8),
(41201, NULL, 'PF05622', NULL, NULL, 'HOOK protein coiled-coil region', NULL, 'HOOK', NULL, NULL, 14096, 8),
(41202, NULL, 'PF04360', NULL, NULL, 'Serglycin', NULL, 'Serglycin', NULL, NULL, 4874, 8),
(41203, NULL, 'PF17741', NULL, NULL, 'Family of unknown function (DUF5578)', NULL, 'DUF5578', NULL, NULL, 31867, 8),
(41204, NULL, 'PF09403', NULL, NULL, 'Adhesion protein FadA', NULL, 'FadA', NULL, NULL, 14550, 8),
(41205, NULL, 'PF02659', NULL, NULL, 'Putative manganese efflux pump', NULL, 'Mntp', NULL, NULL, 3237, 8),
(41206, NULL, 'PF04785', NULL, NULL, 'Rhabdovirus matrix protein M2', NULL, 'Rhabdo_M2', NULL, NULL, 4688, 8),
(41207, NULL, 'PF15396', NULL, NULL, 'Protein Family FAM60A', NULL, 'FAM60A', NULL, NULL, 25511, 8),
(41208, NULL, 'PF19813', NULL, NULL, 'Family of unknown function (DUF6296)', NULL, 'DUF6296', NULL, NULL, 39707, 8),
(41209, NULL, 'PF18563', NULL, NULL, 'TubC N-terminal docking domain', NULL, 'TubC_N', NULL, NULL, 32146, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41210, NULL, 'PF13595', NULL, NULL, 'Domain of unknown function (DUF4138)', NULL, 'DUF4138', NULL, NULL, 21101, 8),
(41211, NULL, 'PF10109', NULL, NULL, 'Phage tail assembly chaperone proteins, E, or 41 or 14', NULL, 'Phage_TAC_7', NULL, NULL, 20091, 8),
(41212, NULL, 'PF04015', NULL, NULL, 'Domain of unknown function (DUF362)', NULL, 'DUF362', NULL, NULL, 473, 8),
(41213, NULL, 'PF05198', NULL, NULL, 'Translation initiation factor IF-3, N-terminal domain', NULL, 'IF3_N', NULL, NULL, 17915, 8),
(41214, NULL, 'PF14264', NULL, NULL, 'Glucosyl transferase GtrII', NULL, 'Glucos_trans_II', NULL, NULL, 25737, 8),
(41215, NULL, 'PF19797', NULL, NULL, 'Family of unknown function (DUF6281)', NULL, 'DUF6281', NULL, NULL, 39703, 8),
(41216, NULL, 'PF02646', NULL, NULL, 'RmuC family', NULL, 'RmuC', NULL, NULL, 3087, 8),
(41217, NULL, 'PF04409', NULL, NULL, 'Protein of unknown function (DUF530)', NULL, 'DUF530', NULL, NULL, 10109, 8),
(41218, NULL, 'PF05514', NULL, NULL, 'HR-like lesion-inducing', NULL, 'HR_lesion', NULL, NULL, 14361, 8),
(41219, NULL, 'PF10473', NULL, NULL, 'Leucine-rich repeats of kinetochore protein Cenp-F/LEK1', NULL, 'CENP-F_leu_zip', NULL, NULL, 18861, 8),
(41220, NULL, 'PF12758', NULL, NULL, 'Protein of unknown function (DUF3813)', NULL, 'DUF3813', NULL, NULL, 20784, 8),
(41221, NULL, 'PF17985', NULL, NULL, 'SipA vinculin binding site', NULL, 'SipA_VBS', NULL, NULL, 30619, 8),
(41222, NULL, 'PF08700', NULL, NULL, 'Vps51/Vps67', NULL, 'Vps51', NULL, NULL, NULL, 8),
(41223, NULL, 'PF05958', NULL, NULL, 'tRNA (Uracil-5-)-methyltransferase', NULL, 'tRNA_U5-meth_tr', NULL, NULL, 7738, 8),
(41224, NULL, 'PF17839', NULL, NULL, 'C-terminal domain of cyclic nucleotide phosphodiesterase', NULL, 'CNP_C_terminal', NULL, NULL, 30612, 8),
(41225, NULL, 'PF05737', NULL, NULL, 'Collagen binding domain', NULL, 'Collagen_bind', NULL, NULL, 12263, 8),
(41226, NULL, 'PF02578', NULL, NULL, 'Multi-copper polyphenol oxidoreductase laccase', NULL, 'Cu-oxidase_4', NULL, NULL, 2192, 8),
(41227, NULL, 'PF14616', NULL, NULL, 'Domain of unknown function (DUF4451)', NULL, 'DUF4451', NULL, NULL, 24677, 8),
(41228, NULL, 'PF04575', NULL, NULL, 'Surface lipoprotein assembly modifier', NULL, 'SlipAM', NULL, NULL, 314, 8),
(41229, NULL, 'PF07415', NULL, NULL, 'Gammaherpesvirus latent membrane protein (LMP2) protein', NULL, 'Herpes_LMP2', NULL, NULL, 11976, 8),
(41230, NULL, 'PF15884', NULL, NULL, 'MICOS complex subunit MIC13, QIL1', NULL, 'QIL1', NULL, NULL, 25277, 8),
(41231, NULL, 'PF18633', NULL, NULL, 'Zinc-finger antiviral protein (ZAP) zinc finger domain 3', NULL, 'zf-CCCH_8', NULL, NULL, 31107, 8),
(41232, NULL, 'PF14171', NULL, NULL, 'Toxin SpoIISA, type II toxin-antitoxin system', NULL, 'SpoIISA_toxin', NULL, NULL, 25326, 8),
(41233, NULL, 'PF18142', NULL, NULL, 'SMODS and SLOG-associating 2TM effector domain', NULL, 'SLATT_fungal', NULL, NULL, 32679, 8),
(41234, NULL, 'PF14795', NULL, NULL, 'Leucine-tRNA synthetase-specific domain', NULL, 'Leucyl-specific', NULL, NULL, 18810, 8),
(41235, NULL, 'PF16151', NULL, NULL, 'Domain of unknown function (DUF4859)', NULL, 'DUF4859', NULL, NULL, 28246, 8),
(41236, NULL, 'PF15643', NULL, NULL, 'Papain fold toxin 2', NULL, 'Tox-PL-2', NULL, NULL, 26017, 8),
(41237, NULL, 'PF00977', NULL, NULL, 'Histidine biosynthesis protein', NULL, 'His_biosynth', NULL, NULL, 2615, 8),
(41238, NULL, 'PF09821', NULL, NULL, 'C-terminal AAA-associated domain', NULL, 'AAA_assoc_C', NULL, NULL, 16085, 8),
(41239, NULL, 'PF11725', NULL, NULL, 'AvrE-family Type-III effector proteins (T3Es)', NULL, 'AvrE_T3Es', NULL, NULL, 16761, 8),
(41240, NULL, 'PF00852', NULL, NULL, 'Glycosyltransferase family 10 (fucosyltransferase) C-term', NULL, 'Glyco_transf_10', NULL, NULL, 6161, 8),
(41241, NULL, 'PF03973', NULL, NULL, 'Triabin', NULL, 'Triabin', NULL, NULL, 2880, 8),
(41242, NULL, 'PF14606', NULL, NULL, 'GDSL-like Lipase/Acylhydrolase family', NULL, 'Lipase_GDSL_3', NULL, NULL, 18101, 8),
(41243, NULL, 'PF04390', NULL, NULL, 'Lipopolysaccharide-assembly', NULL, 'LptE', NULL, NULL, 10334, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41244, NULL, 'PF05428', NULL, NULL, 'Corticotropin-releasing factor binding protein (CRF-BP)', NULL, 'CRF-BP', NULL, NULL, 8956, 8),
(41245, NULL, 'PF17560', NULL, NULL, 'Aphid Megourins', NULL, 'Megourin', NULL, NULL, 21237, 8),
(41246, NULL, 'PF10982', NULL, NULL, 'Protein of unknown function (DUF2789)', NULL, 'DUF2789', NULL, NULL, 17583, 8),
(41247, NULL, 'PF01070', NULL, NULL, 'FMN-dependent dehydrogenase', NULL, 'FMN_dh', NULL, NULL, 1295, 8),
(41248, NULL, 'PF13457', NULL, NULL, 'GW (Gly-Tryp) dipeptide domain', NULL, 'GW', NULL, NULL, 24391, 8),
(41249, NULL, 'PF18627', NULL, NULL, 'Peptidoglycan GlcNAc deacetylase N-terminal domain', NULL, 'PgdA_N', NULL, NULL, 31208, 8),
(41250, NULL, 'PF15644', NULL, NULL, 'Papain fold toxin 1, glutamine deamidase', NULL, 'Gln_amidase', NULL, NULL, 26428, 8),
(41251, NULL, 'PF03760', NULL, NULL, 'Late embryogenesis abundant (LEA) group 1', NULL, 'LEA_1', NULL, NULL, 1243, 8),
(41252, NULL, 'PF15352', NULL, NULL, 'Susceptibility to monomelic amyotrophy', NULL, 'K1377', NULL, NULL, 23893, 8),
(41253, NULL, 'PF06473', NULL, NULL, 'FGF binding protein 1 (FGF-BP1)', NULL, 'FGF-BP1', NULL, NULL, 11000, 8),
(41254, NULL, 'PF05082', NULL, NULL, 'Rop-like', NULL, 'Rop-like', NULL, NULL, 1040, 8),
(41255, NULL, 'PF07122', NULL, NULL, 'Variable length PCR target protein (VLPT)', NULL, 'VLPT', NULL, NULL, 13849, 8),
(41256, NULL, 'PF03128', NULL, NULL, 'CXCXC repeat', NULL, 'CXCXC', NULL, NULL, 2885, 8),
(41257, NULL, 'PF09972', NULL, NULL, 'Predicted membrane protein (DUF2207)', NULL, 'DUF2207', NULL, NULL, 17770, 8),
(41258, NULL, 'PF12676', NULL, NULL, 'Protein of unknown function (DUF3796)', NULL, 'DUF3796', NULL, NULL, 20417, 8),
(41259, NULL, 'PF04722', NULL, NULL, 'Ssu72-like protein', NULL, 'Ssu72', NULL, NULL, 3604, 8),
(41260, NULL, 'PF19376', NULL, NULL, 'Family of unknown function (DUF5951)', NULL, 'DUF5951', NULL, NULL, 39345, 8),
(41261, NULL, 'PF16978', NULL, NULL, 'SAPK-interacting protein 1 (Sin1), middle CRIM domain', NULL, 'CRIM', NULL, NULL, 25076, 8),
(41262, NULL, 'PF04905', NULL, NULL, 'NAB conserved region 2 (NCD2)', NULL, 'NCD2', NULL, NULL, 5821, 8),
(41263, NULL, 'PF10460', NULL, NULL, 'Peptidase M30', NULL, 'Peptidase_M30', NULL, NULL, 18826, 8),
(41264, NULL, 'PF11144', NULL, NULL, 'Protein of unknown function (DUF2920)', NULL, 'DUF2920', NULL, NULL, 14958, 8),
(41265, NULL, 'PF00708', NULL, NULL, 'Acylphosphatase', NULL, 'Acylphosphatase', NULL, NULL, 4360, 8),
(41266, NULL, 'PF02402', NULL, NULL, 'Lysis protein', NULL, 'Lysis_col', NULL, NULL, 808, 8),
(41267, NULL, 'PF00358', NULL, NULL, 'phosphoenolpyruvate-dependent sugar phosphotransferase system, EIIA 1', NULL, 'PTS_EIIA_1', NULL, NULL, 1892, 8),
(41268, NULL, 'PF02601', NULL, NULL, 'Exonuclease VII, large subunit', NULL, 'Exonuc_VII_L', NULL, NULL, 19986, 8),
(41269, NULL, 'PF08731', NULL, NULL, 'Transcription factor AFT', NULL, 'AFT', NULL, NULL, 11819, 8),
(41270, NULL, 'PF02478', NULL, NULL, 'Pneumovirus phosphoprotein', NULL, 'Pneumo_phosprot', NULL, NULL, 6171, 8),
(41271, NULL, 'PF07704', NULL, NULL, 'Rv0623-like transcription factor', NULL, 'PSK_trans_fac', NULL, NULL, 10531, 8),
(41272, NULL, 'PF08061', NULL, NULL, 'P68HR (NUC004) repeat', NULL, 'P68HR', NULL, NULL, 9965, 8),
(41273, NULL, 'PF07495', NULL, NULL, 'Y_Y_Y domain', NULL, 'Y_Y_Y', NULL, NULL, 11175, 8),
(41274, NULL, 'PF16790', NULL, NULL, 'Bacteriophage clamp loader A subunit', NULL, 'Phage_clamp_A', NULL, NULL, 28585, 8),
(41275, NULL, 'PF15064', NULL, NULL, 'Cation channel sperm-associated protein subunit gamma', NULL, 'CATSPERG', NULL, NULL, 21689, 8),
(41276, NULL, 'PF08522', NULL, NULL, 'Domain of unknown function (DUF1735)', NULL, 'DUF1735', NULL, NULL, 7829, 8),
(41277, NULL, 'PF06992', NULL, NULL, 'Replication protein P', NULL, 'Phage_lambda_P', NULL, NULL, 12885, 8),
(41278, NULL, 'PF04449', NULL, NULL, 'CS1 type fimbrial major subunit', NULL, 'Fimbrial_CS1', NULL, NULL, 10775, 8),
(41279, NULL, 'PF17036', NULL, NULL, 'Cellulose biosynthesis protein BcsS', NULL, 'CBP_BcsS', NULL, NULL, 23529, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41280, NULL, 'PF18345', NULL, NULL, 'Zinc finger domain', NULL, 'zf_CCCH_4', NULL, NULL, NULL, 8),
(41281, NULL, 'PF00033', NULL, NULL, 'Cytochrome b/b6/petB', NULL, 'Cytochrome_B', NULL, NULL, 5625, 8),
(41282, NULL, 'PF12346', NULL, NULL, 'Holliday junction recognition protein-associated repeat', NULL, 'HJURP_mid', NULL, NULL, 15135, 8),
(41283, NULL, 'PF13464', NULL, NULL, 'Domain of unknown function (DUF4115)', NULL, 'DUF4115', NULL, NULL, 23079, 8),
(41284, NULL, 'PF16636', NULL, NULL, 'Unstructured region on APC between APC_crr regions 5 and 6', NULL, 'APC_u15', NULL, NULL, NULL, 8),
(41285, NULL, 'PF08804', NULL, NULL, 'gp32 DNA binding protein like', NULL, 'gp32', NULL, NULL, 7524, 8),
(41286, NULL, 'PF08569', NULL, NULL, 'Mo25-like', NULL, 'Mo25', NULL, NULL, 17679, 8),
(41287, NULL, 'PF01729', NULL, NULL, 'Quinolinate phosphoribosyl transferase, C-terminal domain', NULL, 'QRPTase_C', NULL, NULL, 2851, 8),
(41288, NULL, 'PF13152', NULL, NULL, 'Protein of unknown function (DUF3967)', NULL, 'DUF3967', NULL, NULL, 23813, 8),
(41289, NULL, 'PF16195', NULL, NULL, 'SUMO-activating enzyme subunit 2 C-terminus', NULL, 'UBA2_C', NULL, NULL, 22959, 8),
(41290, NULL, 'PF03699', NULL, NULL, 'Uncharacterised protein family (UPF0182)', NULL, 'UPF0182', NULL, NULL, 6855, 8),
(41291, NULL, 'PF10790', NULL, NULL, 'Protein of Unknown function (DUF2604)', NULL, 'DUF2604', NULL, NULL, 21032, 8),
(41292, NULL, 'PF16697', NULL, NULL, 'Inner membrane component of T3SS, cytoplasmic domain', NULL, 'Yop-YscD_cpl', NULL, NULL, 24116, 8),
(41293, NULL, 'PF11155', NULL, NULL, 'Domain of unknown function (DUF2935)', NULL, 'DUF2935', NULL, NULL, 17737, 8),
(41294, NULL, 'PF05946', NULL, NULL, 'Toxin-coregulated pilus subunit TcpA', NULL, 'TcpA', NULL, NULL, 7733, 8),
(41295, NULL, 'PF03243', NULL, NULL, 'Alkylmercury lyase', NULL, 'MerB', NULL, NULL, 1567, 8),
(41296, NULL, 'PF04319', NULL, NULL, 'NifZ domain', NULL, 'NifZ', NULL, NULL, 3757, 8),
(41297, NULL, 'PF14882', NULL, NULL, 'Phage-integrase repeat unit', NULL, 'PHINT_rpt', NULL, NULL, 23407, 8),
(41298, NULL, 'PF04241', NULL, NULL, 'Protein of unknown function (DUF423)', NULL, 'DUF423', NULL, NULL, 2442, 8),
(41299, NULL, 'PF03990', NULL, NULL, 'G5-linked-Ubiquitin-like domain', NULL, 'DUF348', NULL, NULL, 264, 8),
(41300, NULL, 'PF09138', NULL, NULL, 'Urm1 (Ubiquitin related modifier)', NULL, 'Urm1', NULL, NULL, 10632, 8),
(41301, NULL, 'PF08449', NULL, NULL, 'UAA transporter family', NULL, 'UAA', NULL, NULL, 12418, 8),
(41302, NULL, 'PF01381', NULL, NULL, 'Helix-turn-helix', NULL, 'HTH_3', NULL, NULL, 2357, 8),
(41303, NULL, 'PF07014', NULL, NULL, 'Hs1pro-1 protein C-terminus', NULL, 'Hs1pro-1_C', NULL, NULL, 12552, 8),
(41304, NULL, 'PF13985', NULL, NULL, 'YbgS-like protein', NULL, 'YbgS', NULL, NULL, 20222, 8),
(41305, NULL, 'PF05927', NULL, NULL, 'Penaeidin', NULL, 'Penaeidin', NULL, NULL, 12527, 8),
(41306, NULL, 'PF08263', NULL, NULL, 'Leucine rich repeat N-terminal domain', NULL, 'LRRNT_2', NULL, NULL, 17630, 8),
(41307, NULL, 'PF15309', NULL, NULL, 'ALMS motif', NULL, 'ALMS_motif', NULL, NULL, 25521, 8),
(41308, NULL, 'PF19868', NULL, NULL, 'Family of unknown function (DUF6341)', NULL, 'DUF6341', NULL, NULL, 39272, 8),
(41309, NULL, 'PF15459', NULL, NULL, '60S ribosome biogenesis protein Rrp14', NULL, 'RRP14', NULL, NULL, 28877, 8),
(41310, NULL, 'PF18824', NULL, NULL, 'Large polyvalent protein-associated domain 11', NULL, 'LPD11', NULL, NULL, 31412, 8),
(41311, NULL, 'PF08517', NULL, NULL, 'Ataxin-1 and HBP1 module (AXH)', NULL, 'AXH', NULL, NULL, 1422, 8),
(41312, NULL, 'PF11470', NULL, NULL, 'TUG ubiquitin-like domain', NULL, 'TUG-UBL1', NULL, NULL, 18588, 8),
(41313, NULL, 'PF05495', NULL, NULL, 'CHY zinc finger', NULL, 'zf-CHY', NULL, NULL, 7973, 8),
(41314, NULL, 'PF19694', NULL, NULL, 'Family of unknown function (DUF6194)', NULL, 'DUF6194', NULL, NULL, 38760, 8),
(41315, NULL, 'PF09080', NULL, NULL, 'K cyclin, C terminal', NULL, 'K-cyclin_vir_C', NULL, NULL, 9913, 8),
(41316, NULL, 'PF13303', NULL, NULL, 'Phosphotransferase system, EIIC', NULL, 'PTS_EIIC_2', NULL, NULL, 4348, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41317, NULL, 'PF18847', NULL, NULL, 'Large polyvalent protein associated domain 29', NULL, 'LPD29', NULL, NULL, 32369, 8),
(41318, NULL, 'PF12638', NULL, NULL, 'Staygreen protein', NULL, 'Staygreen', NULL, NULL, 29221, 8),
(41319, NULL, 'PF08489', NULL, NULL, 'Domain of unknown function (DUF1743)', NULL, 'DUF1743', NULL, NULL, 13721, 8),
(41320, NULL, 'PF10340', NULL, NULL, 'Steryl acetyl hydrolase', NULL, 'Say1_Mug180', NULL, NULL, 17896, 8),
(41321, NULL, 'PF04517', NULL, NULL, 'Microvirus lysis protein (E), C terminus', NULL, 'Microvir_lysis', NULL, NULL, 2609, 8),
(41322, NULL, 'PF14322', NULL, NULL, 'Starch-binding associating with outer membrane', NULL, 'SusD-like_3', NULL, NULL, 18567, 8),
(41323, NULL, 'PF00007', NULL, NULL, 'Cystine-knot domain', NULL, 'Cys_knot', NULL, NULL, 11487, 8),
(41324, NULL, 'PF17357', NULL, NULL, 'Facilitor Of iron transport 1 and 2', NULL, 'FIT1_2', NULL, NULL, 9624, 8),
(41325, NULL, 'PF08113', NULL, NULL, 'Cytochrome c oxidase subunit IIa family', NULL, 'CoxIIa', NULL, NULL, 8735, 8),
(41326, NULL, 'PF05435', NULL, NULL, 'Phi-29 DNA terminal protein GP3', NULL, 'Phi-29_GP3', NULL, NULL, 12063, 8),
(41327, NULL, 'PF05987', NULL, NULL, 'Bacterial protein of unknown function (DUF898)', NULL, 'DUF898', NULL, NULL, 7560, 8),
(41328, NULL, 'PF17511', NULL, NULL, 'Mobilization protein B', NULL, 'Mobilization_B', NULL, NULL, 20342, 8),
(41329, NULL, 'PF03629', NULL, NULL, 'Carbohydrate esterase, sialic acid-specific acetylesterase', NULL, 'SASA', NULL, NULL, 5273, 8),
(41330, NULL, 'PF03482', NULL, NULL, 'sic protein repeat', NULL, 'SIC', NULL, NULL, 600, 8),
(41331, NULL, 'PF06258', NULL, NULL, 'Mitochondrial fission ELM1', NULL, 'Mito_fiss_Elm1', NULL, NULL, 14666, 8),
(41332, NULL, 'PF05241', NULL, NULL, 'EXPERA (EXPanded EBP superfamily)', NULL, 'EBP', NULL, NULL, NULL, 8),
(41333, NULL, 'PF19902', NULL, NULL, 'Family of unknown function (DUF6375)', NULL, 'DUF6375', NULL, NULL, 39354, 8),
(41334, NULL, 'PF17096', NULL, NULL, 'Altered inheritance of mitochondria protein 3', NULL, 'AIM3', NULL, NULL, 25125, 8),
(41335, NULL, 'PF18164', NULL, NULL, 'GNAT-like C-terminal domain', NULL, 'GNAT_C', NULL, NULL, 32434, 8),
(41336, NULL, 'PF18521', NULL, NULL, 'Transactivation domain 2', NULL, 'TAD2', NULL, NULL, 29841, 8),
(41337, NULL, 'PF15335', NULL, NULL, 'Caspase activity and apoptosis inhibitor 1', NULL, 'CAAP1', NULL, NULL, 33395, 8),
(41338, NULL, 'PF08083', NULL, NULL, 'PROCN (NUC071) domain', NULL, 'PROCN', NULL, NULL, 9699, 8),
(41339, NULL, 'PF13134', NULL, NULL, 'Protein of unknown function (DUF3948)', NULL, 'DUF3948', NULL, NULL, 27145, 8),
(41340, NULL, 'PF15749', NULL, NULL, 'MRN-interacting protein', NULL, 'MRNIP', NULL, NULL, 22151, 8),
(41341, NULL, 'PF20111', NULL, NULL, 'Family of unknown function (DUF6501)', NULL, 'DUF6501', NULL, NULL, 39983, 8),
(41342, NULL, 'PF04000', NULL, NULL, 'Sas10/Utp3/C1D family', NULL, 'Sas10_Utp3', NULL, NULL, 42, 8),
(41343, NULL, 'PF11010', NULL, NULL, 'Protein of unknown function (DUF2848)', NULL, 'DUF2848', NULL, NULL, 17593, 8),
(41344, NULL, 'PF05812', NULL, NULL, 'Herpesvirus BLRF2 protein', NULL, 'Herpes_BLRF2', NULL, NULL, 14551, 8),
(41345, NULL, 'PF19408', NULL, NULL, 'PKD-like domain', NULL, 'PKD_6', NULL, NULL, 39596, 8),
(41346, NULL, 'PF13027', NULL, NULL, 'Protein of unknown function (DUF3888)', NULL, 'DUF3888', NULL, NULL, 22525, 8),
(41347, NULL, 'PF11974', NULL, NULL, 'Bacterial alpha-2-macroglobulin MG3 domain', NULL, 'bMG3', NULL, NULL, 20213, 8),
(41348, NULL, 'PF12036', NULL, NULL, 'Protein of unknown function (DUF3522)', NULL, 'DUF3522', NULL, NULL, 20207, 8),
(41349, NULL, 'PF15487', NULL, NULL, 'FAM220 family', NULL, 'FAM220', NULL, NULL, 27958, 8),
(41350, NULL, 'PF01833', NULL, NULL, 'IPT/TIG domain', NULL, 'TIG', NULL, NULL, 6368, 8),
(41351, NULL, 'PF00768', NULL, NULL, 'D-alanyl-D-alanine carboxypeptidase', NULL, 'Peptidase_S11', NULL, NULL, 4208, 8),
(41352, NULL, 'PF02960', NULL, NULL, 'K1 glycoprotein', NULL, 'K1', NULL, NULL, 1949, 8),
(41353, NULL, 'PF18041', NULL, NULL, 'MapZ extracellular domain 1', NULL, 'MapZ_EC1', NULL, NULL, 31110, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41354, NULL, 'PF01055', NULL, NULL, 'Glycosyl hydrolases family 31', NULL, 'Glyco_hydro_31', NULL, NULL, 856, 8),
(41355, NULL, 'PF10182', NULL, NULL, 'Flo11 domain', NULL, 'Flo11', NULL, NULL, 19477, 8),
(41356, NULL, 'PF12616', NULL, NULL, 'Protein of unknown function (DUF3775)', NULL, 'DUF3775', NULL, NULL, 21022, 8),
(41357, NULL, 'PF12603', NULL, NULL, 'Protein of unknown function (DUF3770)', NULL, 'DUF3770', NULL, NULL, 16832, 8),
(41358, NULL, 'PF13269', NULL, NULL, 'Protein of unknown function (DUF4060)', NULL, 'DUF4060', NULL, NULL, 23597, 8),
(41359, NULL, 'PF13997', NULL, NULL, 'YqjK-like protein', NULL, 'YqjK', NULL, NULL, 28052, 8),
(41360, NULL, 'PF00113', NULL, NULL, 'Enolase, C-terminal TIM barrel domain', NULL, 'Enolase_C', NULL, NULL, 14856, 8),
(41361, NULL, 'PF01653', NULL, NULL, 'NAD-dependent DNA ligase adenylation domain', NULL, 'DNA_ligase_aden', NULL, NULL, 12865, 8),
(41362, NULL, 'PF07843', NULL, NULL, 'Protein of unknown function (DUF1634)', NULL, 'DUF1634', NULL, NULL, 12762, 8),
(41363, NULL, 'PF04639', NULL, NULL, 'Baculoviral E56 protein, specific to ODV envelope', NULL, 'Baculo_E56', NULL, NULL, 2601, 8),
(41364, NULL, 'PF16499', NULL, NULL, 'Alpha galactosidase A', NULL, 'Melibiase_2', NULL, NULL, 6188, 8),
(41365, NULL, 'PF18263', NULL, NULL, 'MCM6 C-terminal winged-helix domain', NULL, 'MCM6_C', NULL, NULL, 31466, 8),
(41366, NULL, 'PF06133', NULL, NULL, 'Control of competence regulator ComK, YlbF/YmcA', NULL, 'Com_YlbF', NULL, NULL, 8569, 8),
(41367, NULL, 'PF00318', NULL, NULL, 'Ribosomal protein S2', NULL, 'Ribosomal_S2', NULL, NULL, 4175, 8),
(41368, NULL, 'PF09482', NULL, NULL, 'Bacterial type III secretion apparatus protein (OrgA_MxiK)', NULL, 'OrgA_MxiK', NULL, NULL, 11950, 8),
(41369, NULL, 'PF12382', NULL, NULL, 'Retrotransposon peptidase', NULL, 'Peptidase_A2_2', NULL, NULL, 8591, 8),
(41370, NULL, 'PF12648', NULL, NULL, 'TcpE family', NULL, 'TcpE', NULL, NULL, 24129, 8),
(41371, NULL, 'PF19496', NULL, NULL, 'Family of unknown function (DUF6031)', NULL, 'DUF6031', NULL, NULL, 39476, 8),
(41372, NULL, 'PF02437', NULL, NULL, 'SKI/SNO/DAC family', NULL, 'Ski_Sno', NULL, NULL, 6145, 8),
(41373, NULL, 'PF11544', NULL, NULL, 'Spindle pole body component Spc42p', NULL, 'Spc42p', NULL, NULL, 19219, 8),
(41374, NULL, 'PF02485', NULL, NULL, 'Core-2/I-Branching enzyme', NULL, 'Branch', NULL, NULL, 5446, 8),
(41375, NULL, 'PF08849', NULL, NULL, 'Putative inner membrane protein (DUF1819)', NULL, 'DUF1819', NULL, NULL, 14322, 8),
(41376, NULL, 'PF15725', NULL, NULL, 'Renal cancer differentiation gene 1 protein', NULL, 'RCDG1', NULL, NULL, 27883, 8),
(41377, NULL, 'PF06634', NULL, NULL, 'Protein of unknown function (DUF1156)', NULL, 'DUF1156', NULL, NULL, 10348, 8),
(41378, NULL, 'PF11679', NULL, NULL, 'Protein of unknown function (DUF3275)', NULL, 'DUF3275', NULL, NULL, 19116, 8),
(41379, NULL, 'PF15033', NULL, NULL, 'Kinocilin protein', NULL, 'Kinocilin', NULL, NULL, 22837, 8),
(41380, NULL, 'PF17771', NULL, NULL, 'ADAM cysteine-rich domain', NULL, 'ADAM_CR_2', NULL, NULL, 32333, 8),
(41381, NULL, 'PF20028', NULL, NULL, 'vWA-MoxR associated protein C-terminal domain', NULL, 'VMAP-C', NULL, NULL, 39929, 8),
(41382, NULL, 'PF13648', NULL, NULL, 'Lipocalin-like domain', NULL, 'Lipocalin_4', NULL, NULL, 23338, 8),
(41383, NULL, 'PF18529', NULL, NULL, 'Mitochondrial membrane-anchored proteins', NULL, 'MIX', NULL, NULL, 29510, 8),
(41384, NULL, 'PF09848', NULL, NULL, 'Uncharacterized conserved protein (DUF2075)', NULL, 'DUF2075', NULL, NULL, 16894, 8),
(41385, NULL, 'PF03349', NULL, NULL, 'Outer membrane protein transport protein (OMPP1/FadL/TodX)', NULL, 'Toluene_X', NULL, NULL, 1035, 8),
(41386, NULL, 'PF18208', NULL, NULL, 'Nicking enzyme C-terminal middle helical domain', NULL, 'NES_C_h', NULL, NULL, 34735, 8),
(41387, NULL, 'PF06068', NULL, NULL, 'TIP49 P-loop domain', NULL, 'TIP49', NULL, NULL, 8816, 8),
(41388, NULL, 'PF19317', NULL, NULL, 'Gag protein p24 C-terminal domain', NULL, 'Gag_p24_C', NULL, NULL, 38168, 8),
(41389, NULL, 'PF13154', NULL, NULL, 'Protein of unknown function (DUF3991)', NULL, 'DUF3991', NULL, NULL, 23779, 8);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41390, NULL, 'PF14849', NULL, NULL, 'YidC periplasmic domain', NULL, 'YidC_periplas', NULL, NULL, 32295, 8),
(41391, NULL, 'PF12859', NULL, NULL, 'Anaphase-promoting complex subunit 1', NULL, 'ANAPC1', NULL, NULL, 23273, 8),
(41392, NULL, 'PF04772', NULL, NULL, 'Influenza B matrix protein 2 (BM2)', NULL, 'Flu_B_M2', NULL, NULL, 4060, 8),
(41393, NULL, 'PF09093', NULL, NULL, 'Lyase, catalytic', NULL, 'Lyase_catalyt', NULL, NULL, 10676, 8),
(41394, NULL, 'PF05750', NULL, NULL, 'Rubella capsid protein', NULL, 'Rubella_Capsid', NULL, NULL, 14438, 8),
(41395, NULL, 'PF14883', NULL, NULL, 'Hypothetical glycosyl hydrolase family 13', NULL, 'GHL13', NULL, NULL, 22982, 8),
(41396, NULL, 'PF17826', NULL, NULL, 'Family of unknown function (DUF5588)', NULL, 'DUF5588', NULL, NULL, 31688, 8),
(41397, NULL, 'PF11651', NULL, NULL, 'P22 coat protein - gene protein 5', NULL, 'P22_CoatProtein', NULL, NULL, 19999, 8),
(41398, NULL, 'PF12126', NULL, NULL, 'Protein of unknown function (DUF3583)', NULL, 'DUF3583', NULL, NULL, 20827, 8),
(41399, NULL, 'PF18887', NULL, NULL, 'MBG domain', NULL, 'MBG_3', NULL, NULL, 37870, 8),
(41400, NULL, 'PF07588', NULL, NULL, 'Protein of unknown function (DUF1554)', NULL, 'DUF1554', NULL, NULL, 13903, 8),
(41401, NULL, 'PF13305', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_33', NULL, NULL, 27307, 8),
(41402, NULL, 'PF02239', NULL, NULL, 'Cytochrome D1 heme domain', NULL, 'Cytochrom_D1', NULL, NULL, NULL, 8),
(41403, NULL, 'PF04546', NULL, NULL, 'Sigma-70, non-essential region', NULL, 'Sigma70_ner', NULL, NULL, 2457, 8),
(41404, NULL, 'PF01726', NULL, NULL, 'LexA DNA binding domain', NULL, 'LexA_DNA_bind', NULL, NULL, 11195, 8),
(41405, NULL, 'PF06744', NULL, NULL, 'Type VI secretion protein IcmF C2-like domain', NULL, 'IcmF_C', NULL, NULL, 9071, 8),
(41406, NULL, 'PF13340', NULL, NULL, 'Putative transposase of IS4/5 family (DUF4096)', NULL, 'DUF4096', NULL, NULL, 27713, 8),
(41407, NULL, 'PF07743', NULL, NULL, 'HSCB C-terminal oligomerisation domain', NULL, 'HSCB_C', NULL, NULL, 6303, 8),
(41408, NULL, 'PF16870', NULL, NULL, '2-oxoglutarate dehydrogenase C-terminal', NULL, 'OxoGdeHyase_C', NULL, NULL, 25950, 8),
(41409, NULL, 'PF07780', NULL, NULL, 'Spb1 C-terminal domain', NULL, 'Spb1_C', NULL, NULL, 8277, 8),
(41410, NULL, 'PF13930', NULL, NULL, 'DNA/RNA non-specific endonuclease', NULL, 'Endonuclea_NS_2', NULL, NULL, 39113, 8),
(41411, NULL, 'PF02380', NULL, NULL, 'T-antigen specific domain', NULL, 'Papo_T_antigen', NULL, NULL, 4120, 8),
(41412, NULL, 'PF09599', NULL, NULL, 'Salmonella-Shigella invasin protein C (IpaC_SipC)', NULL, 'IpaC_SipC', NULL, NULL, 7, 8),
(41413, NULL, 'PF10437', NULL, NULL, 'Bacterial lipoate protein ligase C-terminus', NULL, 'Lip_prot_lig_C', NULL, NULL, 18990, 8),
(41414, NULL, 'PF10496', NULL, NULL, 'SNARE-complex protein Syntaxin-18 N-terminus', NULL, 'Syntaxin-18_N', NULL, NULL, 19415, 8),
(41415, NULL, 'PF06529', NULL, NULL, 'Vertebrate interleukin-3 regulated transcription factor', NULL, 'Vert_IL3-reg_TF', NULL, NULL, 14581, 8),
(41416, NULL, 'PF14152', NULL, NULL, 'YfhE-like protein', NULL, 'YfhE', NULL, NULL, 28272, 8),
(41417, NULL, 'PF09183', NULL, NULL, 'Domain of unknown function (DUF1947)', NULL, 'DUF1947', NULL, NULL, 12901, 8),
(41418, NULL, 'PF17201', NULL, NULL, 'Cache 3/Cache 2 fusion domain', NULL, 'Cache_3-Cache_2', NULL, NULL, 29705, 8),
(41419, NULL, 'PF05256', NULL, NULL, 'Uncharacterised protein family (UPF0223)', NULL, 'UPF0223', NULL, NULL, 3238, 8),
(41420, NULL, 'PF17653', NULL, NULL, 'Family of unknown function (DUF5522)', NULL, 'DUF5522', NULL, NULL, 31437, 8),
(41421, NULL, 'PF16728', NULL, NULL, 'Domain of unknown function (DUF5066)', NULL, 'DUF5066', NULL, NULL, 23991, 8),
(41422, NULL, 'PF13935', NULL, NULL, 'Ead/Ea22-like protein', NULL, 'Ead_Ea22', NULL, NULL, 27863, 8),
(41423, NULL, 'PF09336', NULL, NULL, 'Vps4 C terminal oligomerisation domain', NULL, 'Vps4_C', NULL, NULL, 7803, 8),
(41424, NULL, 'PF09663', NULL, NULL, 'Amidohydrolase ring-opening protein (Amido_AtzD_TrzD)', NULL, 'Amido_AtzD_TrzD', NULL, NULL, 14427, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41425, NULL, 'PF11301', NULL, NULL, 'Protein of unknown function (DUF3103)', NULL, 'DUF3103', NULL, NULL, 18103, 8),
(41426, NULL, 'PF08381', NULL, NULL, 'Transcription factor regulating root and shoot growth via Pin3', NULL, 'BRX', NULL, NULL, 12267, 8),
(41427, NULL, 'PF09322', NULL, NULL, 'Domain of unknown function (DUF1979)', NULL, 'DUF1979', NULL, NULL, 14075, 8),
(41428, NULL, 'PF10546', NULL, NULL, 'P63C domain', NULL, 'P63C', NULL, NULL, 21279, 8),
(41429, NULL, 'PF00687', NULL, NULL, 'Ribosomal protein L1p/L10e family', NULL, 'Ribosomal_L1', NULL, NULL, 22908, 8),
(41430, NULL, 'PF03165', NULL, NULL, 'MH1 domain', NULL, 'MH1', NULL, NULL, 949, 8),
(41431, NULL, 'PF07575', NULL, NULL, 'Nup85 Nucleoporin', NULL, 'Nucleopor_Nup85', NULL, NULL, 12710, 8),
(41432, NULL, 'PF08548', NULL, NULL, 'Peptidase M10 serralysin C terminal', NULL, 'Peptidase_M10_C', NULL, NULL, 9642, 8),
(41433, NULL, 'PF17890', NULL, NULL, 'Peptidoglycan hydrolase LytB WW-like domain', NULL, 'WW_like', NULL, NULL, 30743, 8),
(41434, NULL, 'PF00570', NULL, NULL, 'HRDC domain', NULL, 'HRDC', NULL, NULL, 1114, 8),
(41435, NULL, 'PF14409', NULL, NULL, 'Ribosomally synthesized peptide in Herpetosiphon', NULL, 'Herpeto_peptide', NULL, NULL, 25278, 8),
(41436, NULL, 'PF11605', NULL, NULL, 'Vacuolar protein sorting protein 36 Vps36', NULL, 'Vps36_ESCRT-II', NULL, NULL, 19334, 8),
(41437, NULL, 'PF03989', NULL, NULL, 'DNA gyrase C-terminal domain, beta-propeller', NULL, 'DNA_gyraseA_C', NULL, NULL, 2277, 8),
(41438, NULL, 'PF09657', NULL, NULL, 'CRISPR-associated protein Csx8 (Cas_Csx8)', NULL, 'Cas_Csx8', NULL, NULL, 10448, 8),
(41439, NULL, 'PF19723', NULL, NULL, 'Family of unknown function (DUF6216)', NULL, 'DUF6216', NULL, NULL, 39615, 8),
(41440, NULL, 'PF12681', NULL, NULL, 'Glyoxalase-like domain', NULL, 'Glyoxalase_2', NULL, NULL, 27354, 8),
(41441, NULL, 'PF08164', NULL, NULL, 'Apoptosis-antagonizing transcription factor, C-terminal', NULL, 'TRAUB', NULL, NULL, 9538, 8),
(41442, NULL, 'PF19939', NULL, NULL, 'Family of unknown function (DUF6401)', NULL, 'DUF6401', NULL, NULL, 38637, 8),
(41443, NULL, 'PF03300', NULL, NULL, 'Tenuivirus non-structural, movement protein NS4', NULL, 'Tenui_NS4', NULL, NULL, 741, 8),
(41444, NULL, 'PF10934', NULL, NULL, 'Protein of unknown function (DUF2634)', NULL, 'DUF2634', NULL, NULL, 20684, 8),
(41445, NULL, 'PF10657', NULL, NULL, 'Photosystem P840 reaction centre protein PscD', NULL, 'RC-P840_PscD', NULL, NULL, 20331, 8),
(41446, NULL, 'PF12943', NULL, NULL, 'Protein of unknown function (DUF3839)', NULL, 'DUF3839', NULL, NULL, 23238, 8),
(41447, NULL, 'PF00930', NULL, NULL, 'Dipeptidyl peptidase IV (DPP IV) N-terminal region', NULL, 'DPPIV_N', NULL, NULL, 5292, 8),
(41448, NULL, 'PF06333', NULL, NULL, 'Mediator complex subunit 13 C-terminal domain', NULL, 'Med13_C', NULL, NULL, 8077, 8),
(41449, NULL, 'PF07234', NULL, NULL, 'Movement and RNA silencing protein', NULL, 'Babuvirus_MP', NULL, NULL, 14632, 8),
(41450, NULL, 'PF17920', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_16', NULL, NULL, 32138, 8),
(41451, NULL, 'PF17718', NULL, NULL, 'Family of unknown function (DUF5563)', NULL, 'DUF5563', NULL, NULL, 32776, 8),
(41452, NULL, 'PF06753', NULL, NULL, 'Bradykinin', NULL, 'Bradykinin', NULL, NULL, 1930, 8),
(41453, NULL, 'PF14467', NULL, NULL, 'Domain of unknown function (DUF4426)', NULL, 'DUF4426', NULL, NULL, 27887, 8),
(41454, NULL, 'PF01517', NULL, NULL, 'Hepatitis delta virus delta antigen', NULL, 'HDV_ag', NULL, NULL, 866, 8),
(41455, NULL, 'PF06756', NULL, NULL, 'Chorion protein S19 C-terminal', NULL, 'S19', NULL, NULL, 1863, 8),
(41456, NULL, 'PF12196', NULL, NULL, 'FHA Ki67 binding domain of hNIFK', NULL, 'hNIFK_binding', NULL, NULL, 15162, 8),
(41457, NULL, 'PF00503', NULL, NULL, 'G-protein alpha subunit', NULL, 'G-alpha', NULL, NULL, 5021, 8),
(41458, NULL, 'PF10718', NULL, NULL, 'Hypothetical chloroplast protein Ycf34', NULL, 'Ycf34', NULL, NULL, 21248, 8),
(41459, NULL, 'PF18184', NULL, NULL, 'SMODS and SLOG-associating 2TM effector domain 3', NULL, 'SLATT_3', NULL, NULL, 31027, 8);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41460, NULL, 'PF19454', NULL, NULL, 'Family of unknown function (DUF5992)', NULL, 'DUF5992', NULL, NULL, 39127, 8),
(41461, NULL, 'PF00919', NULL, NULL, 'Uncharacterized protein family UPF0004', NULL, 'UPF0004', NULL, NULL, 8048, 8),
(41462, NULL, 'PF05385', NULL, NULL, 'Mastadenovirus early E4 13 kDa protein', NULL, 'Adeno_E4', NULL, NULL, 13357, 8),
(41463, NULL, 'PF12532', NULL, NULL, 'Protein of unknown function (DUF3732)', NULL, 'DUF3732', NULL, NULL, 21017, 8),
(41464, NULL, 'PF08000', NULL, NULL, 'Bacterial PH domain', NULL, 'bPH_1', NULL, NULL, 8836, 8),
(41465, NULL, 'PF17077', NULL, NULL, 'Mitotic spindle associated protein SHE1', NULL, 'Msap1', NULL, NULL, 25137, 8),
(41466, NULL, 'PF13883', NULL, NULL, 'Pyridoxamine 5''-phosphate oxidase', NULL, 'Pyrid_oxidase_2', NULL, NULL, NULL, 8),
(41467, NULL, 'PF01913', NULL, NULL, 'Formylmethanofuran-tetrahydromethanopterin formyltransferase', NULL, 'FTR', NULL, NULL, 17399, 8),
(41468, NULL, 'PF11392', NULL, NULL, 'Protein of unknown function (DUF2877)', NULL, 'DUF2877', NULL, NULL, 18880, 8),
(41469, NULL, 'PF19434', NULL, NULL, 'Dynamin-like GTPase OPA1 C-terminal', NULL, 'OPA1_C', NULL, NULL, 38633, 8),
(41470, NULL, 'PF16240', NULL, NULL, 'Domain of unknown function (DUF4899)', NULL, 'DUF4899', NULL, NULL, 25819, 8),
(41471, NULL, 'PF10330', NULL, NULL, 'Putative Sin3 binding protein', NULL, 'Stb3', NULL, NULL, 20220, 8),
(41472, NULL, 'PF11435', NULL, NULL, 'RNA binding protein She2p', NULL, 'She2p', NULL, NULL, 12592, 8),
(41473, NULL, 'PF18000', NULL, NULL, 'Type 2 DNA topoisomerase 6 subunit B C-terminal domain', NULL, 'Top6b_C', NULL, NULL, 29695, 8),
(41474, NULL, 'PF02654', NULL, NULL, 'Cobalamin-5-phosphate synthase', NULL, 'CobS', NULL, NULL, 3141, 8),
(41475, NULL, 'PF09144', NULL, NULL, 'Yersinia pseudo-tuberculosis mitogen', NULL, 'YpM', NULL, NULL, 10544, 8),
(41476, NULL, 'PF02393', NULL, NULL, 'US22 like', NULL, 'US22', NULL, NULL, 4051, 8),
(41477, NULL, 'PF02324', NULL, NULL, 'Glycosyl hydrolase family 70', NULL, 'Glyco_hydro_70', NULL, NULL, 4411, 8),
(41478, NULL, 'PF19308', NULL, NULL, 'CRISPR Cas6 N-terminal domain', NULL, 'CRISPR_Cas6_N', NULL, NULL, NULL, 8),
(41479, NULL, 'PF14666', NULL, NULL, 'Rapamycin-insensitive companion of mTOR, middle domain', NULL, 'RICTOR_M', NULL, NULL, 24556, 8),
(41480, NULL, 'PF06180', NULL, NULL, 'Cobalt chelatase (CbiK)', NULL, 'CbiK', NULL, NULL, 9590, 8),
(41481, NULL, 'PF07263', NULL, NULL, 'Dentin matrix protein 1 (DMP1)', NULL, 'DMP1', NULL, NULL, 14744, 8),
(41482, NULL, 'PF07097', NULL, NULL, 'Protein of unknown function (DUF1359)', NULL, 'DUF1359', NULL, NULL, 10937, 8),
(41483, NULL, 'PF08767', NULL, NULL, 'CRM1 C terminal', NULL, 'CRM1_C', NULL, NULL, 13205, 8),
(41484, NULL, 'PF07645', NULL, NULL, 'Calcium-binding EGF domain', NULL, 'EGF_CA', NULL, NULL, 4484, 8),
(41485, NULL, 'PF10826', NULL, NULL, 'Protein of unknown function (DUF2551)', NULL, 'DUF2551', NULL, NULL, 20106, 8),
(41486, NULL, 'PF12719', NULL, NULL, 'Nuclear condensing complex subunits, C-term domain', NULL, 'Cnd3', NULL, NULL, 23434, 8),
(41487, NULL, 'PF11192', NULL, NULL, 'Protein of unknown function (DUF2977)', NULL, 'DUF2977', NULL, NULL, 18290, 8),
(41488, NULL, 'PF14919', NULL, NULL, 'MDM2-binding', NULL, 'MTBP_mid', NULL, NULL, 24506, 8),
(41489, NULL, 'PF00493', NULL, NULL, 'MCM P-loop domain', NULL, 'MCM', NULL, NULL, 1165, 8),
(41490, NULL, 'PF17751', NULL, NULL, 'SKICH domain', NULL, 'SKICH', NULL, NULL, 33480, 8),
(41491, NULL, 'PF15056', NULL, NULL, 'Neuritin protein family', NULL, 'NRN1', NULL, NULL, 24180, 8),
(41492, NULL, 'PF06792', NULL, NULL, 'Uncharacterised protein family (UPF0261)', NULL, 'UPF0261', NULL, NULL, 37745, 8),
(41493, NULL, 'PF00751', NULL, NULL, 'DM DNA binding domain', NULL, 'DM', NULL, NULL, 229, 8),
(41494, NULL, 'PF10638', NULL, NULL, 'Spindle body associated protein C-terminus', NULL, 'Sfi1_C', NULL, NULL, 21186, 8),
(41495, NULL, 'PF08137', NULL, NULL, 'DVL family', NULL, 'DVL', NULL, NULL, 8657, 8),
(41496, NULL, 'PF11411', NULL, NULL, 'DNA ligase IV', NULL, 'DNA_ligase_IV', NULL, NULL, 18600, 8);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41497, NULL, 'PF18947', NULL, NULL, 'HAMP domain', NULL, 'HAMP_2', NULL, NULL, 1390, 8),
(41498, NULL, 'PF06586', NULL, NULL, 'TraK protein', NULL, 'TraK', NULL, NULL, 8164, 8),
(41499, NULL, 'PF04021', NULL, NULL, 'Class III signal peptide', NULL, 'Class_IIIsignal', NULL, NULL, 124, 8),
(41500, NULL, 'PF06693', NULL, NULL, 'Protein of unknown function (DUF1190)', NULL, 'DUF1190', NULL, NULL, 640, 8),
(41501, NULL, 'PF07245', NULL, NULL, 'Phlebovirus glycoprotein G2 fusion domain', NULL, 'Phlebovirus_G2', NULL, NULL, 14671, 8),
(41502, NULL, 'PF09703', NULL, NULL, 'CRISPR-associated protein (Cas_Csa4)', NULL, 'Cas_Csa4', NULL, NULL, 4155, 8),
(41503, NULL, 'PF05297', NULL, NULL, 'Herpesvirus latent membrane protein 1 (LMP1)', NULL, 'Herpes_LMP1', NULL, NULL, 4491, 8),
(41504, NULL, 'PF18545', NULL, NULL, 'Halobacterial output domain 1', NULL, 'HalOD1', NULL, NULL, 29850, 8),
(41505, NULL, 'PF16487', NULL, NULL, 'Mid domain of argonaute', NULL, 'ArgoMid', NULL, NULL, 22450, 8),
(41506, NULL, 'PF02946', NULL, NULL, 'GTF2I-like repeat', NULL, 'GTF2I', NULL, NULL, 3795, 8),
(41507, NULL, 'PF00856', NULL, NULL, 'SET domain', NULL, 'SET', NULL, NULL, 2374, 8),
(41508, NULL, 'PF19168', NULL, NULL, 'Family of unknown function (DUF5850)', NULL, 'DUF5850', NULL, NULL, 37444, 8),
(41509, NULL, 'PF04034', NULL, NULL, 'Ribosome biogenesis protein, C-terminal', NULL, 'Ribo_biogen_C', NULL, NULL, 842, 8),
(41510, NULL, 'PF04064', NULL, NULL, 'Domain of unknown function (DUF384)', NULL, 'DUF384', NULL, NULL, 1431, 8),
(41511, NULL, 'PF00793', NULL, NULL, 'DAHP synthetase I family', NULL, 'DAHP_synth_1', NULL, NULL, 11419, 8),
(41512, NULL, 'PF17765', NULL, NULL, 'MmyB-like transcription regulator ligand binding domain', NULL, 'MLTR_LBD', NULL, NULL, 32647, 8),
(41513, NULL, 'PF02002', NULL, NULL, 'TFIIE alpha subunit', NULL, 'TFIIE_alpha', NULL, NULL, 25281, 8),
(41514, NULL, 'PF16983', NULL, NULL, 'Molybdate transporter of MFS superfamily', NULL, 'MFS_MOT1', NULL, NULL, 24994, 8),
(41515, NULL, 'PF16687', NULL, NULL, 'beta-propeller of ELYS nucleoporin', NULL, 'ELYS-bb', NULL, NULL, 27912, 8),
(41516, NULL, 'PF00032', NULL, NULL, 'Cytochrome b(C-terminal)/b6/petD', NULL, 'Cytochrom_B_C', NULL, NULL, 5728, 8),
(41517, NULL, 'PF16295', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_10', NULL, NULL, 22441, 8),
(41518, NULL, 'PF17280', NULL, NULL, 'Family of unknown function (DUF5345)', NULL, 'DUF5345', NULL, NULL, 30227, 8),
(41519, NULL, 'PF01283', NULL, NULL, 'Ribosomal protein S26e', NULL, 'Ribosomal_S26e', NULL, NULL, 4786, 8),
(41520, NULL, 'PF18880', NULL, NULL, 'Uracil-DNA glycosylase inhibitor', NULL, 'UDI', NULL, NULL, 37581, 8),
(41521, NULL, 'PF01105', NULL, NULL, 'emp24/gp25L/p24 family/GOLD', NULL, 'EMP24_GP25L', NULL, NULL, 7812, 8),
(41522, NULL, 'PF09225', NULL, NULL, 'Restriction endonuclease PvuII', NULL, 'Endonuc-PvuII', NULL, NULL, 13945, 8),
(41523, NULL, 'PF01397', NULL, NULL, 'Terpene synthase, N-terminal domain', NULL, 'Terpene_synth', NULL, NULL, 4114, 8),
(41524, NULL, 'PF14846', NULL, NULL, 'Domain of unknown function (DUF4485)', NULL, 'DUF4485', NULL, NULL, 22173, 8),
(41525, NULL, 'PF19008', NULL, NULL, 'Family of unknown function (DUF5737)', NULL, 'DUF5737', NULL, NULL, 37853, 8),
(41526, NULL, 'PF03024', NULL, NULL, 'Folate receptor family', NULL, 'Folate_rec', NULL, NULL, 13924, 8),
(41527, NULL, 'PF05123', NULL, NULL, 'S-layer like family, N-terminal region', NULL, 'S_layer_N', NULL, NULL, 17312, 8),
(41528, NULL, 'PF11701', NULL, NULL, 'Myosin-binding striated muscle assembly central', NULL, 'UNC45-central', NULL, NULL, 19805, 8),
(41529, NULL, 'PF20136', NULL, NULL, 'Family of unknown function (DUF6526)', NULL, 'DUF6526', NULL, NULL, 38794, 8),
(41530, NULL, 'PF02788', NULL, NULL, 'Ribulose bisphosphate carboxylase large chain, N-terminal domain', NULL, 'RuBisCO_large_N', NULL, NULL, 17534, 8),
(41531, NULL, 'PF12901', NULL, NULL, 'SUZ-C motif', NULL, 'SUZ-C', NULL, NULL, 13635, 8),
(41532, NULL, 'PF09874', NULL, NULL, 'Predicted membrane protein (DUF2101)', NULL, 'DUF2101', NULL, NULL, 16511, 8); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41533, NULL, 'PF03064', NULL, NULL, 'HSV U79 / HCMV P34', NULL, 'U79_P34', NULL, NULL, 2820, 8),
(41534, NULL, 'PF19176', NULL, NULL, 'Family of unknown function (DUF5858)', NULL, 'DUF5858', NULL, NULL, 37294, 8),
(41535, NULL, 'PF09602', NULL, NULL, 'Polyhydroxyalkanoic acid inclusion protein (PhaP_Bmeg)', NULL, 'PhaP_Bmeg', NULL, NULL, 11852, 8),
(41536, NULL, 'PF01708', NULL, NULL, 'Geminivirus putative movement protein', NULL, 'Gemini_mov', NULL, NULL, 2737, 8),
(41537, NULL, 'PF19270', NULL, NULL, 'F-box only protein C-terminal region', NULL, 'FBO_C', NULL, NULL, 38710, 8),
(41538, NULL, 'PF10106', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2345)', NULL, 'DUF2345', NULL, NULL, 18733, 8),
(41539, NULL, 'PF09783', NULL, NULL, 'Vacuolar import and degradation protein', NULL, 'Vac_ImportDeg', NULL, NULL, 16488, 8),
(41540, NULL, 'PF07011', NULL, NULL, 'Early Flowering 4 domain', NULL, 'Elf4', NULL, NULL, 12571, 8),
(41541, NULL, 'PF01730', NULL, NULL, 'UreF', NULL, 'UreF', NULL, NULL, 2893, 8),
(41542, NULL, 'PF03801', NULL, NULL, 'HEC/Ndc80p family', NULL, 'Ndc80_HEC', NULL, NULL, 1865, 8),
(41543, NULL, 'PF11696', NULL, NULL, 'Protein of unknown function (DUF3292)', NULL, 'DUF3292', NULL, NULL, 19704, 8),
(41544, NULL, 'PF16960', NULL, NULL, 'Haemoglobin-haptoglobin utilisation, porphyrin transporter', NULL, 'HpuA', NULL, NULL, 23240, 8),
(41545, NULL, 'PF12245', NULL, NULL, 'Bacterial Ig-like domain', NULL, 'Big_3_2', NULL, NULL, 20725, 8),
(41546, NULL, 'PF02780', NULL, NULL, 'Transketolase, C-terminal domain', NULL, 'Transketolase_C', NULL, NULL, 31775, 8),
(41547, NULL, 'PF00636', NULL, NULL, 'Ribonuclease III domain', NULL, 'Ribonuclease_3', NULL, NULL, 47, 8),
(41548, NULL, 'PF03695', NULL, NULL, 'Uncharacterised protein family (UPF0149)', NULL, 'UPF0149', NULL, NULL, 13133, 8),
(41549, NULL, 'PF01344', NULL, NULL, 'Kelch motif', NULL, 'Kelch_1', NULL, NULL, 1407, 8),
(41550, NULL, 'PF12084', NULL, NULL, 'Protein of unknown function (DUF3561)', NULL, 'DUF3561', NULL, NULL, 17242, 8),
(41551, NULL, 'PF07428', NULL, NULL, '15-O-acetyltransferase Tri3', NULL, 'Tri3', NULL, NULL, 9051, 8),
(41552, NULL, 'PF03777', NULL, NULL, 'ChpA-C', NULL, 'ChpA-C', NULL, NULL, 1783, 8),
(41553, NULL, 'PF17993', NULL, NULL, 'Haemagglutinin 70 C-terminal domain', NULL, 'HA70_C', NULL, NULL, 34304, 8),
(41554, NULL, 'PF19746', NULL, NULL, 'Family of unknown function (DUF6233)', NULL, 'DUF6233', NULL, NULL, 39551, 8),
(41555, NULL, 'PF13454', NULL, NULL, 'FAD-NAD(P)-binding', NULL, 'NAD_binding_9', NULL, NULL, 31523, 8),
(41556, NULL, 'PF11062', NULL, NULL, 'Protein of unknown function (DUF2863)', NULL, 'DUF2863', NULL, NULL, 17929, 8),
(41557, NULL, 'PF19781', NULL, NULL, 'Family of unknown function (DUF6266)', NULL, 'DUF6266', NULL, NULL, 39931, 8),
(41558, NULL, 'PF01078', NULL, NULL, 'Magnesium chelatase, subunit ChlI', NULL, 'Mg_chelatase', NULL, NULL, 5957, 8),
(41559, NULL, 'PF01035', NULL, NULL, '6-O-methylguanine DNA methyltransferase, DNA binding domain', NULL, 'DNA_binding_1', NULL, NULL, 9557, 8),
(41560, NULL, 'PF01073', NULL, NULL, '3-beta hydroxysteroid dehydrogenase/isomerase family', NULL, '3Beta_HSD', NULL, NULL, 6058, 8),
(41561, NULL, 'PF20086', NULL, NULL, 'Family of unknown function (DUF6478)', NULL, 'DUF6478', NULL, NULL, 39644, 8),
(41562, NULL, 'PF01123', NULL, NULL, 'Staphylococcal/Streptococcal toxin, OB-fold domain', NULL, 'Stap_Strp_toxin', NULL, NULL, 11389, 8),
(41563, NULL, 'PF20155', NULL, NULL, 'Tape measure protein', NULL, 'TMP_3', NULL, NULL, 10495, 8),
(41564, NULL, 'PF07639', NULL, NULL, 'YTV', NULL, 'YTV', NULL, NULL, 12963, 8),
(41565, NULL, 'PF09847', NULL, NULL, 'Membrane protein of 12 TMs', NULL, '12TM_1', NULL, NULL, 16502, 8),
(41566, NULL, 'PF07038', NULL, NULL, 'Protein of unknown function (DUF1324)', NULL, 'DUF1324', NULL, NULL, 12553, 8),
(41567, NULL, 'PF11309', NULL, NULL, 'Protein of unknown function (DUF3112)', NULL, 'DUF3112', NULL, NULL, 18872, 8),
(41568, NULL, 'PF13634', NULL, NULL, 'Nucleoporin FG repeat region', NULL, 'Nucleoporin_FG', NULL, NULL, 24567, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41569, NULL, 'PF11107', NULL, NULL, 'Fanconi anemia group F protein (FANCF)', NULL, 'FANCF', NULL, NULL, 19207, 8),
(41570, NULL, 'PF12062', NULL, NULL, 'heparan sulfate-N-deacetylase', NULL, 'HSNSD', NULL, NULL, 20467, 8),
(41571, NULL, 'PF09785', NULL, NULL, 'Prp31 C terminal domain', NULL, 'Prp31_C', NULL, NULL, 18999, 8),
(41572, NULL, 'PF10408', NULL, NULL, 'Ubiquitin elongating factor core', NULL, 'Ufd2P_core', NULL, NULL, 17543, 8),
(41573, NULL, 'PF01559', NULL, NULL, 'Zein seed storage protein', NULL, 'Zein', NULL, NULL, 994, 8),
(41574, NULL, 'PF18231', NULL, NULL, 'Domain of unknown function (DUF5603)', NULL, 'DUF5603', NULL, NULL, 30687, 8),
(41575, NULL, 'PF03283', NULL, NULL, 'Pectinacetylesterase', NULL, 'PAE', NULL, NULL, 2510, 8),
(41576, NULL, 'PF03754', NULL, NULL, 'Domain of unknown function (DUF313)', NULL, 'DUF313', NULL, NULL, 899, 8),
(41577, NULL, 'PF10122', NULL, NULL, 'Mu-like prophage protein Com', NULL, 'Mu-like_Com', NULL, NULL, 20490, 8),
(41578, NULL, 'PF08827', NULL, NULL, 'Domain of unknown function (DUF1805)', NULL, 'DUF1805', NULL, NULL, 14384, 8),
(41579, NULL, 'PF08245', NULL, NULL, 'Mur ligase middle domain', NULL, 'Mur_ligase_M', NULL, NULL, 12341, 8),
(41580, NULL, 'PF09963', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2197)', NULL, 'DUF2197', NULL, NULL, 19068, 8),
(41581, NULL, 'PF12488', NULL, NULL, 'Protein of unknown function (DUF3704)', NULL, 'DUF3704', NULL, NULL, 21049, 8),
(41582, NULL, 'PF18935', NULL, NULL, 'Family of unknown function (DUF5683)', NULL, 'DUF5683', NULL, NULL, 36871, 8),
(41583, NULL, 'PF02293', NULL, NULL, 'AmiS/UreI family transporter', NULL, 'AmiS_UreI', NULL, NULL, 2365, 8),
(41584, NULL, 'PF10547', NULL, NULL, 'P22_AR N-terminal domain', NULL, 'P22_AR_N', NULL, NULL, 21051, 8),
(41585, NULL, 'PF06032', NULL, NULL, 'Protein of unknown function (DUF917)', NULL, 'DUF917', NULL, NULL, 8841, 8),
(41586, NULL, 'PF05101', NULL, NULL, 'Type IV secretory pathway, VirB3-like protein', NULL, 'VirB3', NULL, NULL, 2432, 8),
(41587, NULL, 'PF06583', NULL, NULL, 'Neogenin C-terminus', NULL, 'Neogenin_C', NULL, NULL, 8064, 8),
(41588, NULL, 'PF01766', NULL, NULL, 'Birnavirus VP2 protein', NULL, 'Birna_VP2', NULL, NULL, 2895, 8),
(41589, NULL, 'PF16055', NULL, NULL, 'Domain of unknown function (DUF4798)', NULL, 'DUF4798', NULL, NULL, 23231, 8),
(41590, NULL, 'PF14004', NULL, NULL, 'Protein of unknown function (DUF4227)', NULL, 'DUF4227', NULL, NULL, 22590, 8),
(41591, NULL, 'PF05298', NULL, NULL, 'Bombinin', NULL, 'Bombinin', NULL, NULL, 4169, 8),
(41592, NULL, 'PF12100', NULL, NULL, 'Domain of unknown function (DUF3576)', NULL, 'DUF3576', NULL, NULL, 20982, 8),
(41593, NULL, 'PF02557', NULL, NULL, 'D-alanyl-D-alanine carboxypeptidase', NULL, 'VanY', NULL, NULL, 2072, 8),
(41594, NULL, 'PF06545', NULL, NULL, 'Protein of unknown function (DUF1116)', NULL, 'DUF1116', NULL, NULL, 9482, 8),
(41595, NULL, 'PF05095', NULL, NULL, 'Protein of unknown function (DUF687)', NULL, 'DUF687', NULL, NULL, 2251, 8),
(41596, NULL, 'PF13610', NULL, NULL, 'DDE domain', NULL, 'DDE_Tnp_IS240', NULL, NULL, 25630, 8),
(41597, NULL, 'PF13732', NULL, NULL, 'Domain of unknown function (DUF4162)', NULL, 'DUF4162', NULL, NULL, 23676, 8),
(41598, NULL, 'PF18716', NULL, NULL, 'Vms1-associating treble clef domain', NULL, 'VATC', NULL, NULL, 32041, 8),
(41599, NULL, 'PF05106', NULL, NULL, 'Phage holin family (Lysis protein S)', NULL, 'Phage_holin_3_1', NULL, NULL, 6308, 8),
(41600, NULL, 'PF19707', NULL, NULL, 'Family of unknown function (DUF6204)', NULL, 'DUF6204', NULL, NULL, 39507, 8),
(41601, NULL, 'PF16443', NULL, NULL, 'Domain of unknown function (DUF5040)', NULL, 'DUF5040', NULL, NULL, 25719, 8),
(41602, NULL, 'PF10006', NULL, NULL, 'Uncharacterized conserved protein (DUF2249)', NULL, 'DUF2249', NULL, NULL, 17624, 8),
(41603, NULL, 'PF10098', NULL, NULL, 'Uncharacterised protein conserved in bacteria (DUF2336)', NULL, 'DUF2336', NULL, NULL, 20454, 8),
(41604, NULL, 'PF06351', NULL, NULL, 'Allene oxide cyclase', NULL, 'Allene_ox_cyc', NULL, NULL, 8462, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41605, NULL, 'PF20036', NULL, NULL, 'Major capsid protein 13-like', NULL, 'Gp13-like', NULL, NULL, 38206, 8),
(41606, NULL, 'PF07032', NULL, NULL, 'Protein of unknown function (DUF1322)', NULL, 'DUF1322', NULL, NULL, 12529, 8),
(41607, NULL, 'PF11326', NULL, NULL, 'Protein of unknown function (DUF3128)', NULL, 'DUF3128', NULL, NULL, 18811, 8),
(41608, NULL, 'PF15418', NULL, NULL, 'Domain of unknown function (DUF4625)', NULL, 'DUF4625', NULL, NULL, 22346, 8),
(41609, NULL, 'PF10418', NULL, NULL, 'Iron-sulfur cluster binding domain of dihydroorotate dehydrogenase B', NULL, 'DHODB_Fe-S_bind', NULL, NULL, 17771, 8),
(41610, NULL, 'PF00747', NULL, NULL, 'ssDNA binding protein', NULL, 'Viral_DNA_bp', NULL, NULL, 5722, 8),
(41611, NULL, 'PF08796', NULL, NULL, 'Protein of unknown function (DUF1797)', NULL, 'DUF1797', NULL, NULL, 13266, 8),
(41612, NULL, 'PF18540', NULL, NULL, 'Domain of unknown function (DUF5626)', NULL, 'DUF5626', NULL, NULL, 29668, 8),
(41613, NULL, 'PF04061', NULL, NULL, 'ORMDL family', NULL, 'ORMDL', NULL, NULL, 1332, 8),
(41614, NULL, 'PF14165', NULL, NULL, 'YtzH-like protein', NULL, 'YtzH', NULL, NULL, 24541, 8),
(41615, NULL, 'PF12296', NULL, NULL, 'Hydrophobic surface binding protein A', NULL, 'HsbA', NULL, NULL, 15180, 8),
(41616, NULL, 'PF04365', NULL, NULL, 'Ribonuclease toxin, BrnT, of type II toxin-antitoxin system', NULL, 'BrnT_toxin', NULL, NULL, 4790, 8),
(41617, NULL, 'PF13728', NULL, NULL, 'F plasmid transfer operon protein', NULL, 'TraF', NULL, NULL, 35116, 8),
(41618, NULL, 'PF16404', NULL, NULL, 'Domain of unknown function (DUF5012)', NULL, 'DUF5012', NULL, NULL, 24746, 8),
(41619, NULL, 'PF18082', NULL, NULL, 'N-acyltransferase N-terminal domain', NULL, 'NAT_N', NULL, NULL, 32179, 8),
(41620, NULL, 'PF19232', NULL, NULL, 'Family of unknown function (DUF5885)', NULL, 'DUF5885', NULL, NULL, 38405, 8),
(41621, NULL, 'PF12253', NULL, NULL, 'Chromatin assembly factor 1 subunit A', NULL, 'CAF1A', NULL, NULL, 20755, 8),
(41622, NULL, 'PF03987', NULL, NULL, 'Autophagocytosis associated protein, active-site domain', NULL, 'Autophagy_act_C', NULL, NULL, 277, 8),
(41623, NULL, 'PF16610', NULL, NULL, 'Unstructured region between two PDZ domains on Dlg5', NULL, 'dbPDZ_assoc', NULL, NULL, NULL, 8),
(41624, NULL, 'PF00740', NULL, NULL, 'Parvovirus coat protein VP2', NULL, 'Parvo_coat', NULL, NULL, 7142, 8),
(41625, NULL, 'PF06663', NULL, NULL, 'Protein of unknown function (DUF1170)', NULL, 'DUF1170', NULL, NULL, 8150, 8),
(41626, NULL, 'PF16495', NULL, NULL, 'SWIRM-associated region 1', NULL, 'SWIRM-assoc_1', NULL, NULL, 25890, 8),
(41627, NULL, 'PF03798', NULL, NULL, 'TLC domain', NULL, 'TRAM_LAG1_CLN8', NULL, NULL, 1285, 8),
(41628, NULL, 'PF05409', NULL, NULL, 'Coronavirus endopeptidase C30', NULL, 'Peptidase_C30', NULL, NULL, 12131, 8),
(41629, NULL, 'PF15089', NULL, NULL, 'Domain of unknown function (DUF4552)', NULL, 'DUF4552', NULL, NULL, 25235, 8),
(41630, NULL, 'PF09253', NULL, NULL, 'Pollen allergen Ole e 6', NULL, 'Ole_e_6', NULL, NULL, 13901, 8),
(41631, NULL, 'PF17436', NULL, NULL, 'Family of unknown function (DUF5415)', NULL, 'DUF5415', NULL, NULL, 29457, 8),
(41632, NULL, 'PF02532', NULL, NULL, 'Photosystem II reaction centre I protein (PSII 4.8 kDa protein)', NULL, 'PsbI', NULL, NULL, 1859, 8),
(41633, NULL, 'PF09696', NULL, NULL, 'Ctf8', NULL, 'Ctf8', NULL, NULL, 16258, 8),
(41634, NULL, 'PF11391', NULL, NULL, 'Protein of unknown function (DUF2798)', NULL, 'DUF2798', NULL, NULL, 18927, 8),
(41635, NULL, 'PF01042', NULL, NULL, 'Endoribonuclease L-PSP', NULL, 'Ribonuc_L-PSP', NULL, NULL, 11461, 8),
(41636, NULL, 'PF18532', NULL, NULL, 'Domain of unknown function (DUF5621)', NULL, 'DUF5621', NULL, NULL, 31670, 8),
(41637, NULL, 'PF08161', NULL, NULL, 'NUC173 domain', NULL, 'NUC173', NULL, NULL, 12200, 8),
(41638, NULL, 'PF16989', NULL, NULL, 'Type VI secretion, EvfE, EvfF, ImpA, BimE, VC_A0119, VasJ', NULL, 'T6SS_VasJ', NULL, NULL, 18850, 8),
(41639, NULL, 'PF04987', NULL, NULL, 'Phosphatidylinositolglycan class N (PIG-N)', NULL, 'PigN', NULL, NULL, 13005, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41640, NULL, 'PF04147', NULL, NULL, 'Nop14-like family', NULL, 'Nop14', NULL, NULL, 7261, 8),
(41641, NULL, 'PF05398', NULL, NULL, 'PufQ cytochrome subunit', NULL, 'PufQ', NULL, NULL, 14157, 8),
(41642, NULL, 'PF08275', NULL, NULL, 'DNA primase catalytic core, N-terminal domain', NULL, 'Toprim_N', NULL, NULL, 13386, 8),
(41643, NULL, 'PF04698', NULL, NULL, 'Rab effector MyRIP/melanophilin C-terminus', NULL, 'Rab_eff_C', NULL, NULL, 3465, 8),
(41644, NULL, 'PF09159', NULL, NULL, 'Mitochondrial resolvase Ydc2 / RNA splicing MRS1', NULL, 'Ydc2-catalyt', NULL, NULL, 12955, 8),
(41645, NULL, 'PF02327', NULL, NULL, 'Bacteriochlorophyll A protein', NULL, 'BChl_A', NULL, NULL, 5156, 8),
(41646, NULL, 'PF05749', NULL, NULL, 'Rubella membrane glycoprotein E2', NULL, 'Rubella_E2', NULL, NULL, 14474, 8),
(41647, NULL, 'PF07669', NULL, NULL, 'Eco57I restriction-modification methylase', NULL, 'Eco57I', NULL, NULL, 10667, 8),
(41648, NULL, 'PF06346', NULL, NULL, 'Formin Homology Region 1', NULL, 'Drf_FH1', NULL, NULL, NULL, 8),
(41649, NULL, 'PF08996', NULL, NULL, 'DNA Polymerase alpha zinc finger', NULL, 'zf-DNA_Pol', NULL, NULL, 8807, 8),
(41650, NULL, 'PF09611', NULL, NULL, 'CRISPR-associated protein (Cas_Csy1)', NULL, 'Cas_Csy1', NULL, NULL, 11905, 8),
(41651, NULL, 'PF11378', NULL, NULL, 'Protein of unknown function (DUF3181)', NULL, 'DUF3181', NULL, NULL, 18768, 8),
(41652, NULL, 'PF14820', NULL, NULL, 'Small proline-rich 2', NULL, 'SPRR2', NULL, NULL, 27682, 8),
(41653, NULL, 'PF13988', NULL, NULL, 'Protein of unknown function (DUF4225)', NULL, 'DUF4225', NULL, NULL, 22902, 8),
(41654, NULL, 'PF05494', NULL, NULL, 'MlaC protein', NULL, 'MlaC', NULL, NULL, 7536, 8),
(41655, NULL, 'PF09818', NULL, NULL, 'Predicted ATPase of the ABC class', NULL, 'ABC_ATPase', NULL, NULL, 18675, 8),
(41656, NULL, 'PF16500', NULL, NULL, 'Cyclin-A N-terminal APC/C binding region', NULL, 'Cyclin_N2', NULL, NULL, 25517, 8),
(41657, NULL, 'PF18751', NULL, NULL, 'P-loop Nucleotide Kinase3', NULL, 'Ploopntkinase3', NULL, NULL, 31073, 8),
(41658, NULL, 'PF12127', NULL, NULL, 'SigmaW regulon antibacterial', NULL, 'YdfA_immunity', NULL, NULL, 16992, 8),
(41659, NULL, 'PF05614', NULL, NULL, 'Circovirus protein of unknown function (DUF782)', NULL, 'DUF782', NULL, NULL, 12069, 8),
(41660, NULL, 'PF08551', NULL, NULL, 'Eukaryotic integral membrane protein (DUF1751)', NULL, 'DUF1751', NULL, NULL, 9798, 8),
(41661, NULL, 'PF20161', NULL, NULL, 'VpsR domain', NULL, 'VpsR', NULL, NULL, 39518, 8),
(41662, NULL, 'PF02408', NULL, NULL, 'CUB-like domain', NULL, 'CUB_2', NULL, NULL, 4439, 8),
(41663, NULL, 'PF12241', NULL, NULL, 'Trans-2-enoyl-CoA reductase catalytic region', NULL, 'Enoyl_reductase', NULL, NULL, 21931, 8),
(41664, NULL, 'PF19205', NULL, NULL, 'Family of unknown function (DUF5877)', NULL, 'DUF5877', NULL, NULL, 37960, 8),
(41665, NULL, 'PF12147', NULL, NULL, 'Putative methyltransferase', NULL, 'Methyltransf_20', NULL, NULL, 17255, 8),
(41666, NULL, 'PF01034', NULL, NULL, 'Syndecan domain', NULL, 'Syndecan', NULL, NULL, 28444, 8),
(41667, NULL, 'PF04630', NULL, NULL, 'Phage tail tube protein', NULL, 'Phage_TTP_1', NULL, NULL, 2064, 8),
(41668, NULL, 'PF19601', NULL, NULL, 'Family of unknown function (DUF6106)', NULL, 'DUF6106', NULL, NULL, 39235, 8),
(41669, NULL, 'PF04950', NULL, NULL, '40S ribosome biogenesis protein Tsr1 and BMS1 C-terminal', NULL, 'RIBIOP_C', NULL, NULL, 6737, 8),
(41670, NULL, 'PF15981', NULL, NULL, 'Envelope glycoprotein GP 5 of equine arteritis virus', NULL, 'EAV_GP5', NULL, NULL, 19564, 8),
(41671, NULL, 'PF02144', NULL, NULL, 'Repair protein Rad1/Rec1/Rad17', NULL, 'Rad1', NULL, NULL, 281, 8),
(41672, NULL, 'PF02955', NULL, NULL, 'Prokaryotic glutathione synthetase, ATP-grasp domain', NULL, 'GSH-S_ATP', NULL, NULL, 3793, 8),
(41673, NULL, 'PF17339', NULL, NULL, 'PH domain', NULL, 'PH_15', NULL, NULL, 34472, 8),
(41674, NULL, 'PF13456', NULL, NULL, 'Reverse transcriptase-like', NULL, 'RVT_3', NULL, NULL, 352, 8),
(41675, NULL, 'PF00795', NULL, NULL, 'Carbon-nitrogen hydrolase', NULL, 'CN_hydrolase', NULL, NULL, 274, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41676, NULL, 'PF16190', NULL, NULL, 'Ubiquitin-activating enzyme E1 FCCH domain', NULL, 'E1_FCCH', NULL, NULL, 26614, 8),
(41677, NULL, 'PF02895', NULL, NULL, 'Signal transducing histidine kinase, homodimeric domain', NULL, 'H-kinase_dim', NULL, NULL, 1577, 8),
(41678, NULL, 'PF16272', NULL, NULL, 'Domain of unknown function (DUF4925)', NULL, 'DUF4925', NULL, NULL, 22282, 8),
(41679, NULL, 'PF17961', NULL, NULL, 'Bacterial Ig domain', NULL, 'Big_8', NULL, NULL, 31431, 8),
(41680, NULL, 'PF14682', NULL, NULL, 'Sporulation initiation phospho-transferase B, C-terminal', NULL, 'SPOB_ab', NULL, NULL, 11274, 8),
(41681, NULL, 'PF12706', NULL, NULL, 'Beta-lactamase superfamily domain', NULL, 'Lactamase_B_2', NULL, NULL, 2193, 8),
(41682, NULL, 'PF17904', NULL, NULL, 'FMRP KH0 domain', NULL, 'KH_9', NULL, NULL, 30400, 8),
(41683, NULL, 'PF15125', NULL, NULL, 'TMEM238 protein family', NULL, 'TMEM238', NULL, NULL, 28440, 8),
(41684, NULL, 'PF17480', NULL, NULL, 'AlphaC N-terminal domain 2', NULL, 'AlphaC_N2', NULL, NULL, 9754, 8),
(41685, NULL, 'PF10818', NULL, NULL, 'Protein of unknown function (DUF2547)', NULL, 'DUF2547', NULL, NULL, 20415, 8),
(41686, NULL, 'PF11586', NULL, NULL, 'Protein of unknown function (DUF3242)', NULL, 'DUF3242', NULL, NULL, 19228, 8),
(41687, NULL, 'PF19700', NULL, NULL, 'Family of unknown function (DUF6198)', NULL, 'DUF6198', NULL, NULL, 38589, 8),
(41688, NULL, 'PF13237', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_10', NULL, NULL, 13131, 8),
(41689, NULL, 'PF00690', NULL, NULL, 'Cation transporter/ATPase, N-terminus', NULL, 'Cation_ATPase_N', NULL, NULL, 804, 8),
(41690, NULL, 'PF06060', NULL, NULL, 'Pre-pro-megakaryocyte potentiating factor precursor (Mesothelin)', NULL, 'Mesothelin', NULL, NULL, 8502, 8),
(41691, NULL, 'PF14346', NULL, NULL, 'Domain of unknown function (DUF4398)', NULL, 'DUF4398', NULL, NULL, 28245, 8),
(41692, NULL, 'PF09369', NULL, NULL, 'Domain of unknown function (DUF1998)', NULL, 'DUF1998', NULL, NULL, 15028, 8),
(41693, NULL, 'PF05190', NULL, NULL, 'MutS family domain IV', NULL, 'MutS_IV', NULL, NULL, 3169, 8),
(41694, NULL, 'PF12790', NULL, NULL, 'Type VI secretion lipoprotein, VasD, EvfM, TssJ, VC_A0113', NULL, 'T6SS-SciN', NULL, NULL, 18864, 8),
(41695, NULL, 'PF16263', NULL, NULL, 'Domain of unknown function (DUF4917)', NULL, 'DUF4917', NULL, NULL, 22499, 8),
(41696, NULL, 'PF12252', NULL, NULL, 'SidE phosphodiesterase (PDE) domain', NULL, 'SidE_PDE', NULL, NULL, 15424, 8),
(41697, NULL, 'PF00186', NULL, NULL, 'Dihydrofolate reductase', NULL, 'DHFR_1', NULL, NULL, 3044, 8),
(41698, NULL, 'PF03742', NULL, NULL, 'PetN', NULL, 'PetN', NULL, NULL, 911, 8),
(41699, NULL, 'PF14677', NULL, NULL, 'FANCI solenoid 3', NULL, 'FANCI_S3', NULL, NULL, 28770, 8),
(41700, NULL, 'PF14955', NULL, NULL, 'Mitochondrial ribosome subunit S24', NULL, 'MRP-S24', NULL, NULL, 23734, 8),
(41701, NULL, 'PF17284', NULL, NULL, 'Spermidine synthase tetramerisation domain', NULL, 'Spermine_synt_N', NULL, NULL, 30080, 8),
(41702, NULL, 'PF19932', NULL, NULL, 'Family of unknown function (DUF6395)', NULL, 'DUF6395', NULL, NULL, 38806, 8),
(41703, NULL, 'PF00502', NULL, NULL, 'Phycobilisome protein', NULL, 'Phycobilisome', NULL, NULL, 14401, 8),
(41704, NULL, 'PF00057', NULL, NULL, 'Low-density lipoprotein receptor domain class A', NULL, 'Ldl_recept_a', NULL, NULL, 5122, 8),
(41705, NULL, 'PF16874', NULL, NULL, 'Glycosyl hydrolase family 36 C-terminal domain', NULL, 'Glyco_hydro_36C', NULL, NULL, 25539, 8),
(41706, NULL, 'PF15861', NULL, NULL, 'Partial cleavage stimulation factor domain', NULL, 'partial_CstF', NULL, NULL, 27053, 8),
(41707, NULL, 'PF08392', NULL, NULL, 'FAE1/Type III polyketide synthase-like protein', NULL, 'FAE1_CUT1_RppA', NULL, NULL, 11316, 8),
(41708, NULL, 'PF07120', NULL, NULL, 'Protein of unknown function (DUF1376)', NULL, 'DUF1376', NULL, NULL, 11285, 8),
(41709, NULL, 'PF14034', NULL, NULL, 'Sporulation protein YtrH', NULL, 'Spore_YtrH', NULL, NULL, 25530, 8),
(41710, NULL, 'PF00630', NULL, NULL, 'Filamin/ABP280 repeat', NULL, 'Filamin', NULL, NULL, 11030, 8);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41711, NULL, 'PF10771', NULL, NULL, 'Winged helix-turn-helix domain (DUF2582)', NULL, 'DUF2582', NULL, NULL, 21125, 8),
(41712, NULL, 'PF16767', NULL, NULL, 'Sensor domain of alginate biosynthesis sensor protein KinB', NULL, 'KinB_sensor', NULL, NULL, 22943, 8),
(41713, NULL, 'PF01328', NULL, NULL, 'Peroxidase, family 2', NULL, 'Peroxidase_2', NULL, NULL, 3765, 8),
(41714, NULL, 'PF17287', NULL, NULL, 'POTRA domain', NULL, 'POTRA_3', NULL, NULL, 30406, 8),
(41715, NULL, 'PF08979', NULL, NULL, 'Domain of unknown function (DUF1894)', NULL, 'DUF1894', NULL, NULL, 11023, 8),
(41716, NULL, 'PF05754', NULL, NULL, 'Domain of unknown function (DUF834)', NULL, 'DUF834', NULL, NULL, 13404, 8),
(41717, NULL, 'PF16325', NULL, NULL, 'Peptidase family U32 C-terminal domain', NULL, 'Peptidase_U32_C', NULL, NULL, 28438, 8),
(41718, NULL, 'PF00698', NULL, NULL, 'Acyl transferase domain', NULL, 'Acyl_transf_1', NULL, NULL, 9222, 8),
(41719, NULL, 'PF04199', NULL, NULL, 'Putative cyclase', NULL, 'Cyclase', NULL, NULL, 5387, 8),
(41720, NULL, 'PF04640', NULL, NULL, 'PLATZ transcription factor', NULL, 'PLATZ', NULL, NULL, 2988, 8),
(41721, NULL, 'PF18951', NULL, NULL, 'Family of unknown function (DUF5695)', NULL, 'DUF5695', NULL, NULL, 36857, 8),
(41722, NULL, 'PF07978', NULL, NULL, 'NIPSNAP', NULL, 'NIPSNAP', NULL, NULL, 9816, 8),
(41723, NULL, 'PF17499', NULL, NULL, 'Ant venom peptides', NULL, 'Pilosulin', NULL, NULL, NULL, 8),
(41724, NULL, 'PF08722', NULL, NULL, 'TnsA endonuclease N terminal', NULL, 'Tn7_Tnp_TnsA_N', NULL, NULL, 11699, 8),
(41725, NULL, 'PF12761', NULL, NULL, 'Actin cytoskeleton-regulatory complex protein END3', NULL, 'End3', NULL, NULL, 24406, 8),
(41726, NULL, 'PF01004', NULL, NULL, 'Flavivirus envelope glycoprotein M', NULL, 'Flavi_M', NULL, NULL, 2604, 8),
(41727, NULL, 'PF06627', NULL, NULL, 'Protein of unknown function (DUF1153)', NULL, 'DUF1153', NULL, NULL, 10449, 8),
(41728, NULL, 'PF00889', NULL, NULL, 'Elongation factor TS', NULL, 'EF_TS', NULL, NULL, 9827, 8),
(41729, NULL, 'PF04439', NULL, NULL, 'Streptomycin adenylyltransferase', NULL, 'Adenyl_transf', NULL, NULL, 10834, 8),
(41730, NULL, 'PF04541', NULL, NULL, 'Herpesvirus virion protein U34', NULL, 'Herpes_U34', NULL, NULL, 2767, 8),
(41731, NULL, 'PF11755', NULL, NULL, 'Protein of unknown function (DUF3311)', NULL, 'DUF3311', NULL, NULL, 19753, 8),
(41732, NULL, 'PF17709', NULL, NULL, 'Family of unknown function (DUF5554)', NULL, 'DUF5554', NULL, NULL, 35101, 8),
(41733, NULL, 'PF14685', NULL, NULL, 'Tricorn protease PDZ domain', NULL, 'Tricorn_PDZ', NULL, NULL, 21679, 8),
(41734, NULL, 'PF18265', NULL, NULL, 'Nas2 N_terminal domain', NULL, 'Nas2_N', NULL, NULL, 31165, 8),
(41735, NULL, 'PF18232', NULL, NULL, 'Chalcone isomerase N-terminal domain', NULL, 'Chalcone_N', NULL, NULL, 34301, 8),
(41736, NULL, 'PF20085', NULL, NULL, 'Protein-glutamine gamma-glutamyltransferase', NULL, 'TGL', NULL, NULL, 20953, 8),
(41737, NULL, 'PF14847', NULL, NULL, 'Ras-binding domain of Byr2', NULL, 'Ras_bdg_2', NULL, NULL, 27601, 8),
(41738, NULL, 'PF02744', NULL, NULL, 'Galactose-1-phosphate uridyl transferase, C-terminal domain', NULL, 'GalP_UDP_tr_C', NULL, NULL, 6858, 8),
(41739, NULL, 'PF11955', NULL, NULL, 'Plant organelle RNA recognition domain', NULL, 'PORR', NULL, NULL, 15307, 8),
(41740, NULL, 'PF14768', NULL, NULL, 'Replication protein A interacting C-terminal', NULL, 'RPA_interact_C', NULL, NULL, 24731, 8),
(41741, NULL, 'PF05978', NULL, NULL, 'Ion channel regulatory protein UNC-93', NULL, 'UNC-93', NULL, NULL, 7788, 8),
(41742, NULL, 'PF11175', NULL, NULL, 'Protein of unknown function (DUF2961)', NULL, 'DUF2961', NULL, NULL, 18087, 8),
(41743, NULL, 'PF11680', NULL, NULL, 'Protein of unknown function (DUF3276)', NULL, 'DUF3276', NULL, NULL, 19170, 8),
(41744, NULL, 'PF12923', NULL, NULL, 'Ribosomal RNA-processing protein 7 (RRP7) C-terminal domain', NULL, 'RRP7', NULL, NULL, 25544, 8),
(41745, NULL, 'PF02941', NULL, NULL, 'Ferredoxin thioredoxin reductase variable alpha chain', NULL, 'FeThRed_A', NULL, NULL, 3677, 8),
(41746, NULL, 'PF10984', NULL, NULL, 'Protein of unknown function (DUF2794)', NULL, 'DUF2794', NULL, NULL, 17712, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41747, NULL, 'PF02452', NULL, NULL, 'PemK-like, MazF-like toxin of type II toxin-antitoxin system', NULL, 'PemK_toxin', NULL, NULL, 6460, 8),
(41748, NULL, 'PF03869', NULL, NULL, 'Arc-like DNA binding domain', NULL, 'Arc', NULL, NULL, 1774, 8),
(41749, NULL, 'PF17845', NULL, NULL, 'FbpC C-terminal regulatory nucleotide binding domain', NULL, 'FbpC_C_terminal', NULL, NULL, 31201, 8),
(41750, NULL, 'PF16416', NULL, NULL, 'ARM-like repeat domain, GUN4-N terminal', NULL, 'GUN4_N', NULL, NULL, 24592, 8),
(41751, NULL, 'PF18153', NULL, NULL, 'SMODS-associating 2TM, beta-strand rich effector domain', NULL, 'S_2TMBeta', NULL, NULL, 31360, 8),
(41752, NULL, 'PF01146', NULL, NULL, 'Caveolin', NULL, 'Caveolin', NULL, NULL, 5129, 8),
(41753, NULL, 'PF19444', NULL, NULL, 'MTP large subunit, lipid-binding domain', NULL, 'MTP_lip_bd', NULL, NULL, 36902, 8),
(41754, NULL, 'PF03112', NULL, NULL, 'Uncharacterized protein family (ORF7) DUF', NULL, 'DUF244', NULL, NULL, 4730, 8),
(41755, NULL, 'PF14632', NULL, NULL, 'Acidic N-terminal SPT6', NULL, 'SPT6_acidic', NULL, NULL, 23517, 8),
(41756, NULL, 'PF03882', NULL, NULL, 'MukF winged-helix domain', NULL, 'KicB', NULL, NULL, 34399, 8),
(41757, NULL, 'PF05053', NULL, NULL, 'Menin', NULL, 'Menin', NULL, NULL, 1487, 8),
(41758, NULL, 'PF13453', NULL, NULL, 'Transcription factor zinc-finger', NULL, 'zf-TFIIB', NULL, NULL, 22212, 8),
(41759, NULL, 'PF12453', NULL, NULL, 'Protein tyrosine phosphatase N terminal', NULL, 'PTP_N', NULL, NULL, 24489, 8),
(41760, NULL, 'PF13053', NULL, NULL, 'Protein of unknown function (DUF3914)', NULL, 'DUF3914', NULL, NULL, 23921, 8),
(41761, NULL, 'PF17840', NULL, NULL, 'Tethering Ubl4a to BAGS domain', NULL, 'Tugs', NULL, NULL, 33232, 8),
(41762, NULL, 'PF05178', NULL, NULL, 'KRI1-like family', NULL, 'Kri1', NULL, NULL, 19465, 8),
(41763, NULL, 'PF19001', NULL, NULL, 'Family of unknown function (DUF5730)', NULL, 'DUF5730', NULL, NULL, 38435, 8),
(41764, NULL, 'PF11380', NULL, NULL, 'Stealth protein CR2, conserved region 2', NULL, 'Stealth_CR2', NULL, NULL, 18774, 8),
(41765, NULL, 'PF18598', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_36', NULL, NULL, 31804, 8),
(41766, NULL, 'PF08579', NULL, NULL, 'Mitochondrial ribonuclease P subunit (RPM2)', NULL, 'RPM2', NULL, NULL, 17819, 8),
(41767, NULL, 'PF18145', NULL, NULL, 'SMODS-associated and fused to various effectors sensor domain', NULL, 'SAVED', NULL, NULL, 34693, 8),
(41768, NULL, 'PF13758', NULL, NULL, 'Prefoldin subunit', NULL, 'Prefoldin_3', NULL, NULL, 36178, 8),
(41769, NULL, 'PF05913', NULL, NULL, 'DUF871 C-terminal domain', NULL, 'DUF871', NULL, NULL, 36641, 8),
(41770, NULL, 'PF04887', NULL, NULL, 'Poxvirus M2 protein', NULL, 'Pox_M2', NULL, NULL, 5938, 8),
(41771, NULL, 'PF12671', NULL, NULL, 'Putative amidase domain', NULL, 'Amidase_6', NULL, NULL, 20994, 8),
(41772, NULL, 'PF19738', NULL, NULL, 'Family of unknown function (DUF6227)', NULL, 'DUF6227', NULL, NULL, 39660, 8),
(41773, NULL, 'PF12621', NULL, NULL, 'Extracellular tail, of 10TM putative phosphate transporter', NULL, 'PHM7_ext', NULL, NULL, 21154, 8),
(41774, NULL, 'PF15578', NULL, NULL, 'Domain of unknown function (DUF4662)', NULL, 'DUF4662', NULL, NULL, 26012, 8),
(41775, NULL, 'PF16239', NULL, NULL, 'Domain of unknown function (DUF4898)', NULL, 'DUF4898', NULL, NULL, 25579, 8),
(41776, NULL, 'PF02696', NULL, NULL, 'Protein adenylyltransferase SelO', NULL, 'SelO', NULL, NULL, 3259, 8),
(41777, NULL, 'PF11095', NULL, NULL, 'Gem-associated protein 7 (Gemin7)', NULL, 'Gemin7', NULL, NULL, 19983, 8),
(41778, NULL, 'PF19360', NULL, NULL, 'TadB/TadC N-terminal domain', NULL, 'TadB_TadC_N', NULL, NULL, 38614, 8),
(41779, NULL, 'PF14653', NULL, NULL, 'Insulin growth factor-like family', NULL, 'IGFL', NULL, NULL, 22363, 8),
(41780, NULL, 'PF19109', NULL, NULL, 'Family of unknown function (DUF5796)', NULL, 'DUF5796', NULL, NULL, 38267, 8),
(41781, NULL, 'PF09574', NULL, NULL, 'Protein  of unknown function (Duf2374)', NULL, 'DUF2374', NULL, NULL, 8799, 8),
(41782, NULL, 'PF16035', NULL, NULL, 'Chalcone isomerase like', NULL, 'Chalcone_2', NULL, NULL, 10212, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41783, NULL, 'PF06044', NULL, NULL, 'Dam-replacing family', NULL, 'DpnI', NULL, NULL, 8545, 8),
(41784, NULL, 'PF05102', NULL, NULL, 'holin, BlyA family', NULL, 'Holin_BlyA', NULL, NULL, 6485, 8),
(41785, NULL, 'PF12556', NULL, NULL, 'Cobaltochelatase CobS subunit N terminal', NULL, 'CobS_N', NULL, NULL, 27459, 8),
(41786, NULL, 'PF15760', NULL, NULL, 'Leukemia-associated protein 7', NULL, 'DLEU7', NULL, NULL, 26273, 8),
(41787, NULL, 'PF04256', NULL, NULL, 'Protein of unknown function (DUF434)', NULL, 'DUF434', NULL, NULL, 5660, 8),
(41788, NULL, 'PF06799', NULL, NULL, 'Conserved in the green lineage and diatoms 27', NULL, 'DUF1230', NULL, NULL, 1631, 8),
(41789, NULL, 'PF12337', NULL, NULL, 'Protein of unknown function (DUF3637)', NULL, 'DUF3637', NULL, NULL, 20570, 8),
(41790, NULL, 'PF06284', NULL, NULL, 'Cytomegalovirus UL84 protein', NULL, 'Cytomega_UL84', NULL, NULL, 9992, 8),
(41791, NULL, 'PF09571', NULL, NULL, 'XcyI restriction endonuclease', NULL, 'RE_XcyI', NULL, NULL, 16782, 8),
(41792, NULL, 'PF06242', NULL, NULL, 'Protein of unknown function (DUF1013)', NULL, 'DUF1013', NULL, NULL, 9580, 8),
(41793, NULL, 'PF08214', NULL, NULL, 'Histone acetylation protein', NULL, 'HAT_KAT11', NULL, NULL, 17692, 8),
(41794, NULL, 'PF13653', NULL, NULL, 'Glycerophosphoryl diester phosphodiesterase family', NULL, 'GDPD_2', NULL, NULL, NULL, 8),
(41795, NULL, 'PF16158', NULL, NULL, 'Ig-like domain from next to BRCA1 gene', NULL, 'N_BRCA1_IG', NULL, NULL, 25734, 8),
(41796, NULL, 'PF03250', NULL, NULL, 'Tropomodulin', NULL, 'Tropomodulin', NULL, NULL, 1857, 8),
(41797, NULL, 'PF20079', NULL, NULL, 'Family of unknown function (DUF6474)', NULL, 'DUF6474', NULL, NULL, 39842, 8),
(41798, NULL, 'PF06073', NULL, NULL, 'Bacterial protein of unknown function (DUF934)', NULL, 'DUF934', NULL, NULL, 7821, 8),
(41799, NULL, 'PF11824', NULL, NULL, 'Protein of unknown function (DUF3344)', NULL, 'DUF3344', NULL, NULL, 19749, 8),
(41800, NULL, 'PF19072', NULL, NULL, 'Family of unknown function (DUF5768)', NULL, 'DUF5768', NULL, NULL, 37713, 8),
(41801, NULL, 'PF19804', NULL, NULL, 'Domain of unknown function (DUF6287)', NULL, 'DUF6287', NULL, NULL, 39611, 8),
(41802, NULL, 'PF15301', NULL, NULL, 'SLAIN motif-containing family', NULL, 'SLAIN', NULL, NULL, 26536, 8),
(41803, NULL, 'PF00553', NULL, NULL, 'Cellulose binding domain', NULL, 'CBM_2', NULL, NULL, 4474, 8),
(41804, NULL, 'PF19877', NULL, NULL, 'Family of unknown function (DUF6350)', NULL, 'DUF6350', NULL, NULL, 39414, 8),
(41805, NULL, 'PF01386', NULL, NULL, 'Ribosomal L25p family', NULL, 'Ribosomal_L25p', NULL, NULL, 26257, 8),
(41806, NULL, 'PF10610', NULL, NULL, 'Thin aggregative fimbriae synthesis protein', NULL, 'Tafi-CsgC', NULL, NULL, 10260, 8),
(41807, NULL, 'PF16720', NULL, NULL, 'Albumin I chain a', NULL, 'Albumin_I_a', NULL, NULL, 23770, 8),
(41808, NULL, 'PF14533', NULL, NULL, 'Ubiquitin-specific protease C-terminal', NULL, 'USP7_C2', NULL, NULL, 24997, 8),
(41809, NULL, 'PF12446', NULL, NULL, 'Protein of unknown function (DUF3682)', NULL, 'DUF3682', NULL, NULL, 21397, 8),
(41810, NULL, 'PF14775', NULL, NULL, 'Sperm tail C-terminal domain', NULL, 'NYD-SP28_assoc', NULL, NULL, 29317, 8),
(41811, NULL, 'PF16808', NULL, NULL, 'Coiled-coil N-terminus of cGMP-dependent protein kinase', NULL, 'PKcGMP_CC', NULL, NULL, 22813, 8),
(41812, NULL, 'PF11310', NULL, NULL, 'Protein of unknown function (DUF3113)', NULL, 'DUF3113', NULL, NULL, 18725, 8),
(41813, NULL, 'PF09569', NULL, NULL, 'ScaI restriction endonuclease', NULL, 'RE_ScaI', NULL, NULL, 16686, 8),
(41814, NULL, 'PF10404', NULL, NULL, 'Rad4 beta-hairpin domain 2', NULL, 'BHD_2', NULL, NULL, 17588, 8),
(41815, NULL, 'PF02903', NULL, NULL, 'Alpha amylase, N-terminal ig-like domain', NULL, 'Alpha-amylase_N', NULL, NULL, 2725, 8),
(41816, NULL, 'PF02886', NULL, NULL, 'LBP / BPI / CETP family, C-terminal domain', NULL, 'LBP_BPI_CETP_C', NULL, NULL, 1867, 8),
(41817, NULL, 'PF10495', NULL, NULL, 'Pericentrin-AKAP-450 domain of centrosomal targeting protein', NULL, 'PACT_coil_coil', NULL, NULL, 19175, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41818, NULL, 'PF00236', NULL, NULL, 'Glycoprotein hormone', NULL, 'Hormone_6', NULL, NULL, 5679, 8),
(41819, NULL, 'PF05432', NULL, NULL, 'Bone sialoprotein II (BSP-II)', NULL, 'BSP_II', NULL, NULL, 8512, 8),
(41820, NULL, 'PF04799', NULL, NULL, 'fzo-like conserved region', NULL, 'Fzo_mitofusin', NULL, NULL, 4995, 8),
(41821, NULL, 'PF07325', NULL, NULL, 'Curtovirus V2 protein', NULL, 'Curto_V2', NULL, NULL, 8252, 8),
(41822, NULL, 'PF15156', NULL, NULL, 'Ceroid-lipofuscinosis neuronal protein 6', NULL, 'CLN6', NULL, NULL, 21815, 8),
(41823, NULL, 'PF15905', NULL, NULL, 'Hyaluronan mediated motility receptor N-terminal', NULL, 'HMMR_N', NULL, NULL, NULL, 8),
(41824, NULL, 'PF00023', NULL, NULL, 'Ankyrin repeat', NULL, 'Ank', NULL, NULL, 1196, 8),
(41825, NULL, 'PF14146', NULL, NULL, 'Domain of unknown function (DUF4305)', NULL, 'DUF4305', NULL, NULL, 28161, 8),
(41826, NULL, 'PF11403', NULL, NULL, 'Yeast metallothionein', NULL, 'Yeast_MT', NULL, NULL, 17096, 8),
(41827, NULL, 'PF15557', NULL, NULL, 'CAF1 complex subunit p150, region binding to PCNA', NULL, 'CAF1-p150_N', NULL, NULL, 26289, 8),
(41828, NULL, 'PF14626', NULL, NULL, 'Zc3h12a-like Ribonuclease NYN domain', NULL, 'RNase_Zc3h12a_2', NULL, NULL, 23945, 8),
(41829, NULL, 'PF10189', NULL, NULL, 'Integrator complex subunit 3 N-terminal', NULL, 'Ints3_N', NULL, NULL, 15316, 8),
(41830, NULL, 'PF04850', NULL, NULL, 'Baculovirus E66 occlusion-derived virus envelope protein', NULL, 'Baculo_E66', NULL, NULL, 5975, 8),
(41831, NULL, 'PF10662', NULL, NULL, 'Ethanolamine utilisation - propanediol utilisation', NULL, 'PduV-EutP', NULL, NULL, 13581, 8),
(41832, NULL, 'PF17479', NULL, NULL, 'Protein of unknown function (DUF3048) C-terminal domain', NULL, 'DUF3048_C', NULL, NULL, 9524, 8),
(41833, NULL, 'PF15344', NULL, NULL, 'FAM217 family', NULL, 'FAM217', NULL, NULL, 28908, 8),
(41834, NULL, 'PF12075', NULL, NULL, 'KN motif', NULL, 'KN_motif', NULL, NULL, 20002, 8),
(41835, NULL, 'PF19278', NULL, NULL, 'Hydantoinase/oxoprolinase C-terminal domain', NULL, 'Hydant_A_C', NULL, NULL, NULL, 8),
(41836, NULL, 'PF11688', NULL, NULL, 'Protein of unknown function (DUF3285)', NULL, 'DUF3285', NULL, NULL, 19607, 8),
(41837, NULL, 'PF11884', NULL, NULL, 'Domain of unknown function (DUF3404)', NULL, 'DUF3404', NULL, NULL, 20343, 8),
(41838, NULL, 'PF18525', NULL, NULL, 'Cas9 C-terminal domain', NULL, 'Cas9_C', NULL, NULL, 31509, 8),
(41839, NULL, 'PF15385', NULL, NULL, 'Specifically androgen-regulated gene protein', NULL, 'SARG', NULL, NULL, NULL, 8),
(41840, NULL, 'PF00476', NULL, NULL, 'DNA polymerase family A', NULL, 'DNA_pol_A', NULL, NULL, 1083, 8),
(41841, NULL, 'PF18919', NULL, NULL, 'Family of unknown function (DUF5670)', NULL, 'DUF5670', NULL, NULL, 36585, 8),
(41842, NULL, 'PF05746', NULL, NULL, 'DALR anticodon binding domain', NULL, 'DALR_1', NULL, NULL, 7980, 8),
(41843, NULL, 'PF17317', NULL, NULL, 'Mating hormone A-factor 1&2', NULL, 'MFA1_2', NULL, NULL, 34338, 8),
(41844, NULL, 'PF20055', NULL, NULL, 'Family of unknown function (DUF6454)', NULL, 'DUF6454', NULL, NULL, NULL, 8),
(41845, NULL, 'PF02352', NULL, NULL, 'Decorin binding protein', NULL, 'Decorin_bind', NULL, NULL, 4337, 8),
(41846, NULL, 'PF16869', NULL, NULL, 'Condensin II complex subunit CAP-H2 or CNDH2, mid domain', NULL, 'CNDH2_M', NULL, NULL, 25746, 8),
(41847, NULL, 'PF17733', NULL, NULL, 'Family of unknown function (DUF5572)', NULL, 'DUF5572', NULL, NULL, NULL, 8),
(41848, NULL, 'PF10918', NULL, NULL, 'Protein of unknown function (DUF2718)', NULL, 'DUF2718', NULL, NULL, 20121, 8),
(41849, NULL, 'PF13400', NULL, NULL, 'Putative Flp pilus-assembly TadE/G-like', NULL, 'Tad', NULL, NULL, 28378, 8),
(41850, NULL, 'PF01874', NULL, NULL, 'ATP:dephospho-CoA triphosphoribosyl transferase', NULL, 'CitG', NULL, NULL, 3558, 8),
(41851, NULL, 'PF09524', NULL, NULL, 'Conserved phage C-terminus (Phg_2220_C)', NULL, 'Phg_2220_C', NULL, NULL, 11569, 8),
(41852, NULL, 'PF03868', NULL, NULL, 'Ribosomal protein L6, N-terminal domain', NULL, 'Ribosomal_L6e_N', NULL, NULL, 1621, 8),
(41853, NULL, 'PF03306', NULL, NULL, 'Alpha-acetolactate decarboxylase', NULL, 'AAL_decarboxy', NULL, NULL, 7465, 8);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41854, NULL, 'PF16316', NULL, NULL, 'Domain of unknown function (DUF4956)', NULL, 'DUF4956', NULL, NULL, 27157, 8),
(41855, NULL, 'PF03504', NULL, NULL, 'Chlamydia cysteine-rich outer membrane protein 6', NULL, 'Chlam_OMP6', NULL, NULL, 6286, 8),
(41856, NULL, 'PF17487', NULL, NULL, 'Ribosomal protein S12', NULL, 'Ribosomal_S12', NULL, NULL, 9636, 8),
(41857, NULL, 'PF11969', NULL, NULL, 'Scavenger mRNA decapping enzyme C-term binding', NULL, 'DcpS_C', NULL, NULL, NULL, 8),
(41858, NULL, 'PF05701', NULL, NULL, 'Weak chloroplast movement under blue light', NULL, 'WEMBL', NULL, NULL, 13283, 8),
(41859, NULL, 'PF15313', NULL, NULL, 'Hexamethylene bis-acetamide-inducible protein', NULL, 'HEXIM', NULL, NULL, 23153, 8),
(41860, NULL, 'PF11774', NULL, NULL, 'Lsr2', NULL, 'Lsr2', NULL, NULL, 22712, 8),
(41861, NULL, 'PF12119', NULL, NULL, 'Protein of unknown function (DUF3581)', NULL, 'DUF3581', NULL, NULL, 20978, 8),
(41862, NULL, 'PF15364', NULL, NULL, 'PAXIP1-associated-protein-1 C term PTIP binding protein', NULL, 'PAXIP1_C', NULL, NULL, 23223, 8),
(41863, NULL, 'PF15170', NULL, NULL, 'Calcium/calmodulin-dependent protein kinase II inhibitor', NULL, 'CaM-KIIN', NULL, NULL, 25242, 8),
(41864, NULL, 'PF04014', NULL, NULL, 'Antidote-toxin recognition MazE, bacterial antitoxin', NULL, 'MazE_antitoxin', NULL, NULL, 20, 8),
(41865, NULL, 'PF13405', NULL, NULL, 'EF-hand domain', NULL, 'EF-hand_6', NULL, NULL, 1197, 8),
(41866, NULL, 'PF12066', NULL, NULL, 'SERRATE/Ars2, N-terminal domain', NULL, 'SERRATE_Ars2_N', NULL, NULL, 20271, 8),
(41867, NULL, 'PF10303', NULL, NULL, 'Protein of unknown function (DUF2408)', NULL, 'DUF2408', NULL, NULL, 20128, 8),
(41868, NULL, 'PF06600', NULL, NULL, 'Protein of unknown function (DUF1140)', NULL, 'DUF1140', NULL, NULL, 10293, 8),
(41869, NULL, 'PF03605', NULL, NULL, 'Anaerobic c4-dicarboxylate membrane transporter', NULL, 'DcuA_DcuB', NULL, NULL, 2902, 8),
(41870, NULL, 'PF07942', NULL, NULL, 'N2227-like protein', NULL, 'N2227', NULL, NULL, 13068, 8),
(41871, NULL, 'PF01493', NULL, NULL, 'GXGXG motif', NULL, 'GXGXG', NULL, NULL, 807, 8),
(41872, NULL, 'PF04838', NULL, NULL, 'Baculoviridae late expression factor 5', NULL, 'Baculo_LEF5', NULL, NULL, 4557, 8),
(41873, NULL, 'PF16072', NULL, NULL, 'Domain of unknown function (DUF4813)', NULL, 'DUF4813', NULL, NULL, 25215, 8),
(41874, NULL, 'PF07256', NULL, NULL, 'Protein of unknown function (DUF1435)', NULL, 'DUF1435', NULL, NULL, 14870, 8),
(41875, NULL, 'PF15003', NULL, NULL, 'HAUS augmin-like complex subunit 2', NULL, 'HAUS2', NULL, NULL, 22085, 8),
(41876, NULL, 'PF04726', NULL, NULL, 'Microvirus J protein', NULL, 'Microvir_J', NULL, NULL, 3849, 8),
(41877, NULL, 'PF08788', NULL, NULL, 'NHR2 domain like', NULL, 'NHR2', NULL, NULL, 13398, 8),
(41878, NULL, 'PF08013', NULL, NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit GatZ/KbaZ-like', NULL, 'GatZ_KbaZ-like', NULL, NULL, 12113, 8),
(41879, NULL, 'PF14634', NULL, NULL, 'zinc-RING finger domain', NULL, 'zf-RING_5', NULL, NULL, 4199, 8),
(41880, NULL, 'PF09316', NULL, NULL, 'C-myb, C-terminal', NULL, 'Cmyb_C', NULL, NULL, 14110, 8),
(41881, NULL, 'PF00486', NULL, NULL, 'Transcriptional regulatory protein, C terminal', NULL, 'Trans_reg_C', NULL, NULL, 4482, 8),
(41882, NULL, 'PF18770', NULL, NULL, 'Armadillo tether-repeat of vescicular transport factor', NULL, 'Arm_vescicular', NULL, NULL, 31091, 8),
(41883, NULL, 'PF00802', NULL, NULL, 'Pneumovirus attachment glycoprotein G', NULL, 'Glycoprotein_G', NULL, NULL, 3365, 8),
(41884, NULL, 'PF11293', NULL, NULL, 'Protein of unknown function (DUF3094)', NULL, 'DUF3094', NULL, NULL, 18227, 8),
(41885, NULL, 'PF11741', NULL, NULL, 'AMIN domain', NULL, 'AMIN', NULL, NULL, 19857, 8),
(41886, NULL, 'PF19626', NULL, NULL, 'Family of unknown function (DUF6131)', NULL, 'DUF6131', NULL, NULL, 39631, 8),
(41887, NULL, 'PF12957', NULL, NULL, 'Domain of unknown function (DUF3846)', NULL, 'DUF3846', NULL, NULL, 22167, 8),
(41888, NULL, 'PF19588', NULL, NULL, 'Saxitoxin biosynthesis operon protein SxtJ', NULL, 'SxtJ', NULL, NULL, 38739, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41889, NULL, 'PF15759', NULL, NULL, 'TMEM108 family', NULL, 'TMEM108', NULL, NULL, 26351, 8),
(41890, NULL, 'PF03768', NULL, NULL, 'Attacin, N-terminal region', NULL, 'Attacin_N', NULL, NULL, 1538, 8),
(41891, NULL, 'PF03343', NULL, NULL, 'SART-1 family', NULL, 'SART-1', NULL, NULL, 705, 8),
(41892, NULL, 'PF09360', NULL, NULL, 'Iron-binding zinc finger CDGSH type', NULL, 'zf-CDGSH', NULL, NULL, 15492, 8),
(41893, NULL, 'PF01997', NULL, NULL, 'Translin family', NULL, 'Translin', NULL, NULL, 5637, 8),
(41894, NULL, 'PF14913', NULL, NULL, 'DPCD protein family', NULL, 'DPCD', NULL, NULL, 27753, 8),
(41895, NULL, 'PF14443', NULL, NULL, 'DBC1', NULL, 'DBC1', NULL, NULL, 22576, 8),
(41896, NULL, 'PF17760', NULL, NULL, 'UvrA interaction domain', NULL, 'UvrA_inter', NULL, NULL, 31426, 8),
(41897, NULL, 'PF09337', NULL, NULL, 'H2C2 zinc finger', NULL, 'zf-H2C2', NULL, NULL, 7825, 8),
(41898, NULL, 'PF06910', NULL, NULL, 'Male enhanced antigen 1 (MEA1)', NULL, 'MEA1', NULL, NULL, NULL, 8),
(41899, NULL, 'PF07858', NULL, NULL, 'Limonene-1,2-epoxide hydrolase catalytic domain', NULL, 'LEH', NULL, NULL, 18711, 8),
(41900, NULL, 'PF11390', NULL, NULL, 'NADH-dependant formate dehydrogenase delta subunit FdsD', NULL, 'FdsD', NULL, NULL, 15138, 8),
(41901, NULL, 'PF19394', NULL, NULL, 'Family of unknown function (DUF5969)', NULL, 'DUF5969', NULL, NULL, 39042, 8),
(41902, NULL, 'PF16848', NULL, NULL, 'Substrate of the Dot/Icm secretion system, putative', NULL, 'SoDot-IcmSS', NULL, NULL, 23110, 8),
(41903, NULL, 'PF00418', NULL, NULL, 'Tau and MAP protein, tubulin-binding repeat', NULL, 'Tubulin-binding', NULL, NULL, 2411, 8),
(41904, NULL, 'PF05236', NULL, NULL, 'Transcription initiation factor TFIID component TAF4 family', NULL, 'TAF4', NULL, NULL, 3061, 8),
(41905, NULL, 'PF15451', NULL, NULL, 'Domain of unknown function (DUF4632)', NULL, 'DUF4632', NULL, NULL, 24941, 8),
(41906, NULL, 'PF02552', NULL, NULL, 'CO dehydrogenase beta subunit/acetyl-CoA synthase epsilon subunit', NULL, 'CO_dh', NULL, NULL, 2458, 8),
(41907, NULL, 'PF10935', NULL, NULL, 'Protein of unknown function (DUF2637)', NULL, 'DUF2637', NULL, NULL, 17555, 8),
(41908, NULL, 'PF15750', NULL, NULL, 'Ubiquitin-binding zinc-finger', NULL, 'UBZ_FAAP20', NULL, NULL, 26682, 8),
(41909, NULL, 'PF00547', NULL, NULL, 'Urease, gamma subunit', NULL, 'Urease_gamma', NULL, NULL, 5388, 8),
(41910, NULL, 'PF06900', NULL, NULL, 'Protein of unknown function (DUF1270)', NULL, 'DUF1270', NULL, NULL, 11925, 8),
(41911, NULL, 'PF19549', NULL, NULL, 'Family of unknown function (DUF6072)', NULL, 'DUF6072', NULL, NULL, 37082, 8),
(41912, NULL, 'PF09023', NULL, NULL, 'Staphostatin B', NULL, 'Staphostatin_B', NULL, NULL, 9778, 8),
(41913, NULL, 'PF09314', NULL, NULL, 'Domain of unknown function (DUF1972)', NULL, 'DUF1972', NULL, NULL, 14104, 8),
(41914, NULL, 'PF09358', NULL, NULL, 'Ubiquitin fold domain', NULL, 'E1_UFD', NULL, NULL, 15348, 8),
(41915, NULL, 'PF06906', NULL, NULL, 'Protein of unknown function (DUF1272)', NULL, 'DUF1272', NULL, NULL, 10412, 8),
(41916, NULL, 'PF06978', NULL, NULL, 'Ribonucleases P/MRP protein subunit POP1', NULL, 'POP1', NULL, NULL, 12460, 8),
(41917, NULL, 'PF08156', NULL, NULL, 'NOP5NT (NUC127) domain', NULL, 'NOP5NT', NULL, NULL, 12120, 8),
(41918, NULL, 'PF13337', NULL, NULL, 'Putative ATP-dependent Lon protease', NULL, 'Lon_2', NULL, NULL, 13607, 8),
(41919, NULL, 'PF06719', NULL, NULL, 'AraC-type transcriptional regulator N-terminus', NULL, 'AraC_N', NULL, NULL, 1834, 8),
(41920, NULL, 'PF10178', NULL, NULL, 'Proteasome assembly chaperone 3', NULL, 'PAC3', NULL, NULL, 19039, 8),
(41921, NULL, 'PF10241', NULL, NULL, 'Uncharacterized conserved protein', NULL, 'KxDL', NULL, NULL, 15940, 8),
(41922, NULL, 'PF15516', NULL, NULL, 'BpuSI N-terminal domain', NULL, 'BpuSI_N', NULL, NULL, 25140, 8),
(41923, NULL, 'PF01978', NULL, NULL, 'Sugar-specific transcriptional regulator TrmB', NULL, 'TrmB', NULL, NULL, 5316, 8),
(41924, NULL, 'PF10280', NULL, NULL, 'Mediator complex protein', NULL, 'Med11', NULL, NULL, 16559, 8),
(41925, NULL, 'PF07259', NULL, NULL, 'ProSAAS precursor', NULL, 'ProSAAS', NULL, NULL, 11225, 8);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41926, NULL, 'PF00647', NULL, NULL, 'Elongation factor 1 gamma, conserved domain', NULL, 'EF1G', NULL, NULL, 5376, 8),
(41927, NULL, 'PF09917', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2147)', NULL, 'DUF2147', NULL, NULL, 19406, 8),
(41928, NULL, 'PF06459', NULL, NULL, 'Ryanodine Receptor TM 4-6', NULL, 'RR_TM4-6', NULL, NULL, 9016, 8),
(41929, NULL, 'PF17419', NULL, NULL, 'Methylamine utilization protein MauJ', NULL, 'MauJ', NULL, NULL, 35725, 8),
(41930, NULL, 'PF17666', NULL, NULL, 'Family of unknown function (DUF5528)', NULL, 'DUF5528', NULL, NULL, 32496, 8),
(41931, NULL, 'PF04808', NULL, NULL, 'Citrus tristeza virus (CTV) P23 protein', NULL, 'CTV_P23', NULL, NULL, 4900, 8),
(41932, NULL, 'PF07400', NULL, NULL, 'Interleukin 11', NULL, 'IL11', NULL, NULL, 20515, 8),
(41933, NULL, 'PF06382', NULL, NULL, 'Protamine and protamine like', NULL, 'Protamine_like', NULL, NULL, 21873, 8),
(41934, NULL, 'PF13944', NULL, NULL, 'Calycin-like beta-barrel domain', NULL, 'Calycin_like', NULL, NULL, 23338, 8),
(41935, NULL, 'PF01324', NULL, NULL, 'Diphtheria toxin, R domain', NULL, 'Diphtheria_R', NULL, NULL, 21246, 8),
(41936, NULL, 'PF07107', NULL, NULL, 'Wound-induced protein WI12', NULL, 'WI12', NULL, NULL, 13671, 8),
(41937, NULL, 'PF11444', NULL, NULL, 'Protein of unknown function (DUF2895)', NULL, 'DUF2895', NULL, NULL, 18913, 8),
(41938, NULL, 'PF14194', NULL, NULL, 'Cysteine-rich VLP', NULL, 'Cys_rich_VLP', NULL, NULL, 25338, 8),
(41939, NULL, 'PF18866', NULL, NULL, 'CxC7 like cysteine cluster associated with KDZ transposases', NULL, 'CxC7', NULL, NULL, 31695, 8),
(41940, NULL, 'PF02434', NULL, NULL, 'Fringe-like', NULL, 'Fringe', NULL, NULL, 4776, 8),
(41941, NULL, 'PF05743', NULL, NULL, 'UEV domain', NULL, 'UEV', NULL, NULL, 7526, 8),
(41942, NULL, 'PF12297', NULL, NULL, 'Ellis van Creveld protein 2 like protein', NULL, 'EVC2_like', NULL, NULL, 20810, 8),
(41943, NULL, 'PF10171', NULL, NULL, 'Translocase of the Inner Mitochondrial membrane 29', NULL, 'Tim29', NULL, NULL, 15408, 8),
(41944, NULL, 'PF16689', NULL, NULL, 'Coiled-coil N-terminus of APC, dimerisation domain', NULL, 'APC_N_CC', NULL, NULL, 27895, 8),
(41945, NULL, 'PF00054', NULL, NULL, 'Laminin G domain', NULL, 'Laminin_G_1', NULL, NULL, 3412, 8),
(41946, NULL, 'PF18285', NULL, NULL, 'Tetracycline repressor LuxT C-terminal domain', NULL, 'LuxT_C', NULL, NULL, NULL, 8),
(41947, NULL, 'PF19718', NULL, NULL, 'Ubiquitin carboxyl-terminal hydrolase 47 C-terminal', NULL, 'USP47_C', NULL, NULL, 39650, 8),
(41948, NULL, 'PF07682', NULL, NULL, 'Sulphur oxygenase reductase', NULL, 'SOR', NULL, NULL, 10750, 8),
(41949, NULL, 'PF08974', NULL, NULL, 'Domain of unknown function (DUF1877)', NULL, 'DUF1877', NULL, NULL, 8683, 8),
(41950, NULL, 'PF05823', NULL, NULL, 'Nematode fatty acid retinoid binding protein (Gp-FAR-1)', NULL, 'Gp-FAR-1', NULL, NULL, 14127, 8),
(41951, NULL, 'PF10174', NULL, NULL, 'RIM-binding protein of the cytomatrix active zone', NULL, 'Cast', NULL, NULL, 15254, 8),
(41952, NULL, 'PF20159', NULL, NULL, 'YidB-like protein', NULL, 'YidB', NULL, NULL, 38059, 8),
(41953, NULL, 'PF15234', NULL, NULL, 'Linker for activation of T-cells', NULL, 'LAT', NULL, NULL, 7748, 8),
(41954, NULL, 'PF17971', NULL, NULL, 'Leukemia inhibitory factor receptor D2 domain', NULL, 'LIFR_D2', NULL, NULL, 31071, 8),
(41955, NULL, 'PF01863', NULL, NULL, 'Protein of unknown function DUF45', NULL, 'DUF45', NULL, NULL, 3825, 8),
(41956, NULL, 'PF04761', NULL, NULL, 'Lactococcus bacteriophage putative transcription regulator', NULL, 'Phage_Treg', NULL, NULL, 4033, 8),
(41957, NULL, 'PF13343', NULL, NULL, 'Bacterial extracellular solute-binding protein', NULL, 'SBP_bac_6', NULL, NULL, NULL, 8),
(41958, NULL, 'PF12623', NULL, NULL, 'RNA repair, ligase-Pnkp-associating, region of Hen1', NULL, 'Hen1_L', NULL, NULL, 17965, 8),
(41959, NULL, 'PF16119', NULL, NULL, 'Domain of unknown function (DUF4835)', NULL, 'DUF4835', NULL, NULL, 28239, 8),
(41960, NULL, 'PF05529', NULL, NULL, 'Bap31/Bap29 transmembrane region', NULL, 'Bap31', NULL, NULL, 31069, 8);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41961, NULL, 'PF05650', NULL, NULL, 'Domain of unknown function (DUF802)', NULL, 'DUF802', NULL, NULL, 13121, 8),
(41962, NULL, 'PF08479', NULL, NULL, 'POTRA domain, ShlB-type', NULL, 'POTRA_2', NULL, NULL, 13685, 8),
(41963, NULL, 'PF08529', NULL, NULL, 'NusA N-terminal domain', NULL, 'NusA_N', NULL, NULL, 7689, 8),
(41964, NULL, 'PF13350', NULL, NULL, 'Tyrosine phosphatase family', NULL, 'Y_phosphatase3', NULL, NULL, 28502, 8),
(41965, NULL, 'PF13354', NULL, NULL, 'Beta-lactamase enzyme family', NULL, 'Beta-lactamase2', NULL, NULL, 37016, 8),
(41966, NULL, 'PF05068', NULL, NULL, 'Mannitol repressor', NULL, 'MtlR', NULL, NULL, 1057, 8),
(41967, NULL, 'PF15070', NULL, NULL, 'Putative golgin subfamily A member 2-like protein 5', NULL, 'GOLGA2L5', NULL, NULL, 38110, 8),
(41968, NULL, 'PF02036', NULL, NULL, 'SCP-2 sterol transfer family', NULL, 'SCP2', NULL, NULL, 301, 8),
(41969, NULL, 'PF19675', NULL, NULL, 'Origin recognition complex subunit 3 insertion domain', NULL, 'ORC3_ins', NULL, NULL, 39935, 8),
(41970, NULL, 'PF01130', NULL, NULL, 'CD36 family', NULL, 'CD36', NULL, NULL, 56, 8),
(41971, NULL, 'PF09664', NULL, NULL, 'Protein of unknown function C-terminus (DUF2399)', NULL, 'DUF2399', NULL, NULL, 21908, 8),
(41972, NULL, 'PF11477', NULL, NULL, 'Sialyltransferase PMO188', NULL, 'PM0188', NULL, NULL, 18752, 8),
(41973, NULL, 'PF15851', NULL, NULL, 'Domain of unknown function (DUF4723)', NULL, 'DUF4723', NULL, NULL, 22309, 8),
(41974, NULL, 'PF08807', NULL, NULL, 'Bacterial domain of unknown function (DUF1798)', NULL, 'DUF1798', NULL, NULL, 13439, 8),
(41975, NULL, 'PF19788', NULL, NULL, 'Family of unknown function (DUF6272)', NULL, 'DUF6272', NULL, NULL, 39837, 8),
(41976, NULL, 'PF06090', NULL, NULL, 'Inositol-pentakisphosphate 2-kinase', NULL, 'Ins_P5_2-kin', NULL, NULL, 13601, 8),
(41977, NULL, 'PF15547', NULL, NULL, 'Steroid receptor-associated and regulated protein', NULL, 'C1ORF64', NULL, NULL, 27923, 8),
(41978, NULL, 'PF01697', NULL, NULL, 'Glycosyltransferase family 92', NULL, 'Glyco_transf_92', NULL, NULL, 7072, 8),
(41979, NULL, 'PF19025', NULL, NULL, 'Family of unknown function (DUF5751)', NULL, 'DUF5751', NULL, NULL, 37027, 8),
(41980, NULL, 'PF18754', NULL, NULL, 'Nucleotide modification associated domain 3', NULL, 'Nmad3', NULL, NULL, 31108, 8),
(41981, NULL, 'PF05741', NULL, NULL, 'Nanos RNA binding domain', NULL, 'zf-nanos', NULL, NULL, 9945, 8),
(41982, NULL, 'PF03895', NULL, NULL, 'YadA-like membrane anchor domain', NULL, 'YadA_anchor', NULL, NULL, 2507, 8),
(41983, NULL, 'PF12398', NULL, NULL, 'Receptor serine/threonine kinase', NULL, 'DUF3660', NULL, NULL, 21421, 8),
(41984, NULL, 'PF03971', NULL, NULL, 'Monomeric isocitrate dehydrogenase', NULL, 'IDH', NULL, NULL, 7093, 8),
(41985, NULL, 'PF09595', NULL, NULL, 'Metaviral_G glycoprotein', NULL, 'Metaviral_G', NULL, NULL, 15606, 8),
(41986, NULL, 'PF02086', NULL, NULL, 'D12 class N6 adenine-specific DNA methyltransferase', NULL, 'MethyltransfD12', NULL, NULL, 11731, 8),
(41987, NULL, 'PF10329', NULL, NULL, 'Region of unknown function (DUF2417)', NULL, 'DUF2417', NULL, NULL, 17861, 8),
(41988, NULL, 'PF16981', NULL, NULL, 'chi-Conotoxin or t superfamily', NULL, 'Chi-conotoxin', NULL, NULL, 24694, 8),
(41989, NULL, 'PF17675', NULL, NULL, 'Apg6 coiled-coil region', NULL, 'APG6_N', NULL, NULL, 32697, 8),
(41990, NULL, 'PF04810', NULL, NULL, 'Sec23/Sec24 zinc finger', NULL, 'zf-Sec23_Sec24', NULL, NULL, 4755, 8),
(41991, NULL, 'PF16805', NULL, NULL, 'Phage late-transcription coactivator', NULL, 'Trans_coact', NULL, NULL, 22892, 8),
(41992, NULL, 'PF12304', NULL, NULL, 'Beta-casein like protein', NULL, 'BCLP', NULL, NULL, 15866, 8),
(41993, NULL, 'PF19487', NULL, NULL, 'Family of unknown function (DUF6023)', NULL, 'DUF6023', NULL, NULL, 39468, 8),
(41994, NULL, 'PF04972', NULL, NULL, 'BON domain', NULL, 'BON', NULL, NULL, 6929, 8),
(41995, NULL, 'PF18717', NULL, NULL, 'CxC4 like cysteine cluster associated with KDZ transposases', NULL, 'CxC4', NULL, NULL, 30893, 8),
(41996, NULL, 'PF10198', NULL, NULL, 'Histone acetyltransferases subunit 3', NULL, 'Ada3', NULL, NULL, 15789, 8);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(41997, NULL, 'PF04651', NULL, NULL, 'Poxvirus A12 protein', NULL, 'Pox_A12', NULL, NULL, 3349, 8),
(41998, NULL, 'PF08002', NULL, NULL, 'Protein of unknown function (DUF1697)', NULL, 'DUF1697', NULL, NULL, 8540, 8),
(41999, NULL, 'PF02600', NULL, NULL, 'Disulfide bond formation protein DsbB', NULL, 'DsbB', NULL, NULL, 2057, 8),
(42000, NULL, 'PF09799', NULL, NULL, 'Predicted membrane protein', NULL, 'Transmemb_17', NULL, NULL, 18616, 8),
(42001, NULL, 'PF06995', NULL, NULL, 'Phage P2 GpU', NULL, 'Phage_P2_GpU', NULL, NULL, 12768, 8),
(42002, NULL, 'PF01213', NULL, NULL, 'Adenylate cyclase associated (CAP) N terminal', NULL, 'CAP_N', NULL, NULL, 7757, 8),
(42003, NULL, 'PF04180', NULL, NULL, 'Low temperature viability protein', NULL, 'LTV', NULL, NULL, 4890, 8),
(42004, NULL, 'PF14361', NULL, NULL, 'RsbT co-antagonist protein rsbRD N-terminal domain', NULL, 'RsbRD_N', NULL, NULL, 23216, 8),
(42005, NULL, 'PF03850', NULL, NULL, 'Transcription factor Tfb4', NULL, 'Tfb4', NULL, NULL, 551, 8),
(42006, NULL, 'PF04745', NULL, NULL, 'VITF-3 subunit protein', NULL, 'Pox_A8', NULL, NULL, 3832, 8),
(42007, NULL, 'PF18226', NULL, NULL, 'LasR-specific antiactivator QslA chain E', NULL, 'QslA_E', NULL, NULL, 30998, 8),
(42008, NULL, 'PF01925', NULL, NULL, 'Sulfite exporter TauE/SafE', NULL, 'TauE', NULL, NULL, 4586, 8),
(42009, NULL, 'PF17635', NULL, NULL, 'Betacoronavirus uncharacterised protein 14 (SARS-CoV-2 like)', NULL, 'bCoV_Orf14', NULL, NULL, 15208, 8),
(42010, NULL, 'PF01237', NULL, NULL, 'Oxysterol-binding protein', NULL, 'Oxysterol_BP', NULL, NULL, 4124, 8),
(42011, NULL, 'PF00901', NULL, NULL, 'Orbivirus outer capsid protein VP5', NULL, 'Orbi_VP5', NULL, NULL, 1957, 8),
(42012, NULL, 'PF07890', NULL, NULL, 'Rrp15p', NULL, 'Rrp15p', NULL, NULL, 14660, 8),
(42013, NULL, 'PF02514', NULL, NULL, 'CobN/Magnesium Chelatase', NULL, 'CobN-Mg_chel', NULL, NULL, 6372, 8),
(42014, NULL, 'PF06484', NULL, NULL, 'Teneurin Intracellular Region', NULL, 'Ten_N', NULL, NULL, 9048, 8),
(42015, NULL, 'PF00704', NULL, NULL, 'Glycosyl hydrolases family 18', NULL, 'Glyco_hydro_18', NULL, NULL, 1121, 8),
(42016, NULL, 'PF02016', NULL, NULL, 'LD-carboxypeptidase N-terminal domain', NULL, 'Peptidase_S66', NULL, NULL, 34870, 8),
(42017, NULL, 'PF03863', NULL, NULL, 'Phage maturation protein', NULL, 'Phage_mat-A', NULL, NULL, 1563, 8),
(42018, NULL, 'PF02090', NULL, NULL, 'Salmonella surface presentation of antigen gene type M protein', NULL, 'SPAM', NULL, NULL, 7137, 8),
(42019, NULL, 'PF03399', NULL, NULL, 'SAC3/GANP family', NULL, 'SAC3_GANP', NULL, NULL, 2428, 8),
(42020, NULL, 'PF08988', NULL, NULL, 'Type III secretion system, cytoplasmic E component of needle', NULL, 'T3SS_needle_E', NULL, NULL, 13344, 8),
(42021, NULL, 'PF16819', NULL, NULL, 'Domain of unknown function (DUF5074)', NULL, 'DUF5074', NULL, NULL, 22734, 8),
(42022, NULL, 'PF10727', NULL, NULL, 'Rossmann-like domain', NULL, 'Rossmann-like', NULL, NULL, 21464, 8),
(42023, NULL, 'PF03101', NULL, NULL, 'FAR1 DNA-binding domain', NULL, 'FAR1', NULL, NULL, 4754, 8),
(42024, NULL, 'PF07977', NULL, NULL, 'FabA-like domain', NULL, 'FabA', NULL, NULL, 18923, 8),
(42025, NULL, 'PF11571', NULL, NULL, 'Mediator complex subunit 27', NULL, 'Med27', NULL, NULL, 19374, 8),
(42026, NULL, 'PF17549', NULL, NULL, 'Gene Product 17', NULL, 'Phage_Gp17', NULL, NULL, 35149, 8),
(42027, NULL, 'PF20118', NULL, NULL, 'Family of unknown function (DUF6508)', NULL, 'DUF6508', NULL, NULL, 37535, 8),
(42028, NULL, 'PF08149', NULL, NULL, 'BING4CT (NUC141) domain', NULL, 'BING4CT', NULL, NULL, 12079, 8),
(42029, NULL, 'PF07501', NULL, NULL, 'G5 domain', NULL, 'G5', NULL, NULL, 11186, 8),
(42030, NULL, 'PF17754', NULL, NULL, 'MftR C-terminal domain', NULL, 'TetR_C_14', NULL, NULL, 31951, 8),
(42031, NULL, 'PF07987', NULL, NULL, 'Domain of unkown function (DUF1775)', NULL, 'DUF1775', NULL, NULL, 12766, 8),
(42032, NULL, 'PF11624', NULL, NULL, 'MHC class I-like protein M157', NULL, 'M157', NULL, NULL, 15066, 8),
(42033, NULL, 'PF16589', NULL, NULL, 'BRCT domain, a BRCA1 C-terminus domain', NULL, 'BRCT_2', NULL, NULL, 7359, 8);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42034, NULL, 'PF08034', NULL, NULL, 'Trematode eggshell synthesis protein', NULL, 'TES', NULL, NULL, 9769, 8),
(42035, NULL, 'PF07167', NULL, NULL, 'Poly-beta-hydroxybutyrate polymerase (PhaC) N-terminus', NULL, 'PhaC_N', NULL, NULL, 7937, 8),
(42036, NULL, 'PF07828', NULL, NULL, 'PA-IL-like protein', NULL, 'PA-IL', NULL, NULL, 13324, 8),
(42037, NULL, 'PF05445', NULL, NULL, 'Poxvirus serine/threonine protein kinase', NULL, 'Pox_ser-thr_kin', NULL, NULL, 14134, 8),
(42038, NULL, 'PF02120', NULL, NULL, 'Flagellar hook-length control protein FliK', NULL, 'Flg_hook', NULL, NULL, 15085, 8),
(42039, NULL, 'PF19318', NULL, NULL, 'Family of unknown function (DUF5918)', NULL, 'DUF5918', NULL, NULL, 38615, 8),
(42040, NULL, 'PF09883', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2110)', NULL, 'DUF2110', NULL, NULL, 21897, 8),
(42041, NULL, 'PF07215', NULL, NULL, 'Protein of unknown function (DUF1419)', NULL, 'DUF1419', NULL, NULL, 14532, 8),
(42042, NULL, 'PF16323', NULL, NULL, 'Domain of unknown function (DUF4959)', NULL, 'DUF4959', NULL, NULL, 26923, 8),
(42043, NULL, 'PF06358', NULL, NULL, 'Protein of unknown function (DUF1065)', NULL, 'DUF1065', NULL, NULL, 10247, 8),
(42044, NULL, 'PF17807', NULL, NULL, 'Variant UBP zinc finger', NULL, 'zf-UBP_var', NULL, NULL, 33439, 8),
(42045, NULL, 'PF00254', NULL, NULL, 'FKBP-type peptidyl-prolyl cis-trans isomerase', NULL, 'FKBP_C', NULL, NULL, 1045, 8),
(42046, NULL, 'PF19256', NULL, NULL, 'LAIKA domain', NULL, 'LAIKA', NULL, NULL, 38492, 8),
(42047, NULL, 'PF00541', NULL, NULL, 'Adenoviral fibre protein (knob domain)', NULL, 'Adeno_knob', NULL, NULL, 79, 8),
(42048, NULL, 'PF03476', NULL, NULL, 'MOSC N-terminal beta barrel domain', NULL, 'MOSC_N', NULL, NULL, 5448, 8),
(42049, NULL, 'PF07124', NULL, NULL, 'Phytoreovirus outer capsid protein P8', NULL, 'Phytoreo_P8', NULL, NULL, 13839, 8),
(42050, NULL, 'PF18446', NULL, NULL, 'Domain of unknown function (DUF5611)', NULL, 'DUF5611', NULL, NULL, 29789, 8),
(42051, NULL, 'PF11317', NULL, NULL, 'Protein of unknown function (DUF3119)', NULL, 'DUF3119', NULL, NULL, 18910, 8),
(42052, NULL, 'PF03628', NULL, NULL, 'PapG chaperone-binding domain', NULL, 'PapG_C', NULL, NULL, 5341, 8),
(42053, NULL, 'PF14736', NULL, NULL, 'Protein N-terminal asparagine amidohydrolase', NULL, 'N_Asn_amidohyd', NULL, NULL, 25163, 8),
(42054, NULL, 'PF15187', NULL, NULL, 'Oesophageal cancer-related gene 4', NULL, 'Augurin', NULL, NULL, 26419, 8),
(42055, NULL, 'PF17964', NULL, NULL, 'Bacterial Ig domain', NULL, 'Big_10', NULL, NULL, 31372, 8),
(42056, NULL, 'PF17935', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_27', NULL, NULL, 32940, 8),
(42057, NULL, 'PF20021', NULL, NULL, 'vWA-MoxR associated protein middle region (VMAP-M) 18', NULL, 'VMAP-M18', NULL, NULL, NULL, 8),
(42058, NULL, 'PF00850', NULL, NULL, 'Histone deacetylase domain', NULL, 'Hist_deacetyl', NULL, NULL, 17661, 8),
(42059, NULL, 'PF07766', NULL, NULL, 'LETM1-like protein', NULL, 'LETM1', NULL, NULL, 10785, 8),
(42060, NULL, 'PF00008', NULL, NULL, 'EGF-like domain', NULL, 'EGF', NULL, NULL, 3532, 8),
(42061, NULL, 'PF00432', NULL, NULL, 'Prenyltransferase and squalene oxidase repeat', NULL, 'Prenyltrans', NULL, NULL, 2433, 8),
(42062, NULL, 'PF12247', NULL, NULL, 'Temperature dependent protein affecting M2 dsRNA replication', NULL, 'MKT1_N', NULL, NULL, 20621, 8),
(42063, NULL, 'PF12459', NULL, NULL, 'D-Ala-teichoic acid biosynthesis protein', NULL, 'DUF3687', NULL, NULL, 15311, 8),
(42064, NULL, 'PF07083', NULL, NULL, 'Protein of unknown function (DUF1351)', NULL, 'DUF1351', NULL, NULL, 13325, 8),
(42065, NULL, 'PF15926', NULL, NULL, 'E3 ubiquitin-protein ligase RNF220', NULL, 'RNF220', NULL, NULL, 23278, 8),
(42066, NULL, 'PF11703', NULL, NULL, 'UPF0506', NULL, 'UPF0506', NULL, NULL, 19765, 8),
(42067, NULL, 'PF17469', NULL, NULL, 'Phage protein Gp68', NULL, 'GP68', NULL, NULL, 18753, 8),
(42068, NULL, 'PF18430', NULL, NULL, 'Putative DNA-binding domain', NULL, 'DBD_HTH', NULL, NULL, 31703, 8),
(42069, NULL, 'PF17012', NULL, NULL, 'Domain of unknown function (DUF5091)', NULL, 'DUF5091', NULL, NULL, 23303, 8);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42070, NULL, 'PF00155', NULL, NULL, 'Aminotransferase class I and II', NULL, 'Aminotran_1_2', NULL, NULL, 4260, 8),
(42071, NULL, 'PF09979', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2213)', NULL, 'DUF2213', NULL, NULL, 17037, 8),
(42072, NULL, 'PF11572', NULL, NULL, 'Protein of unknown function (DUF3234)', NULL, 'DUF3234', NULL, NULL, 19407, 8),
(42073, NULL, 'PF08799', NULL, NULL, 'pre-mRNA processing factor 4 (PRP4) like', NULL, 'PRP4', NULL, NULL, 13095, 8),
(42074, NULL, 'PF08611', NULL, NULL, 'Fungal protein of unknown function (DUF1774)', NULL, 'DUF1774', NULL, NULL, 14488, 8),
(42075, NULL, 'PF05517', NULL, NULL, 'p25-alpha', NULL, 'p25-alpha', NULL, NULL, 7684, 8),
(42076, NULL, 'PF01617', NULL, NULL, 'Surface antigen', NULL, 'Surface_Ag_2', NULL, NULL, 1712, 8),
(42077, NULL, 'PF18618', NULL, NULL, 'HP0268', NULL, 'HP0268', NULL, NULL, 31589, 8),
(42078, NULL, 'PF02901', NULL, NULL, 'Pyruvate formate lyase-like', NULL, 'PFL-like', NULL, NULL, 2832, 8),
(42079, NULL, 'PF04513', NULL, NULL, 'Baculovirus polyhedron envelope protein, PEP, C terminus', NULL, 'Baculo_PEP_C', NULL, NULL, 2713, 8),
(42080, NULL, 'PF01351', NULL, NULL, 'Ribonuclease HII', NULL, 'RNase_HII', NULL, NULL, 22001, 8),
(42081, NULL, 'PF01197', NULL, NULL, 'Ribosomal protein L31', NULL, 'Ribosomal_L31', NULL, NULL, 5012, 8),
(42082, NULL, 'PF16359', NULL, NULL, 'RcsD-ABL domain', NULL, 'RcsD_ABL', NULL, NULL, 26965, 8),
(42083, NULL, 'PF03032', NULL, NULL, 'Frog skin active peptide family signal and propeptide', NULL, 'FSAP_sig_propep', NULL, NULL, 4810, 8),
(42084, NULL, 'PF12286', NULL, NULL, 'Protein of unknown function (DUF3622)', NULL, 'DUF3622', NULL, NULL, 20990, 8),
(42085, NULL, 'PF06813', NULL, NULL, 'Nodulin-like', NULL, 'Nodulin-like', NULL, NULL, 9484, 8),
(42086, NULL, 'PF00913', NULL, NULL, 'Trypanosome variant surface glycoprotein (A-type)', NULL, 'Trypan_glycop', NULL, NULL, 4569, 8),
(42087, NULL, 'PF08781', NULL, NULL, 'Transcription factor DP', NULL, 'DP', NULL, NULL, 13190, 8),
(42088, NULL, 'PF03676', NULL, NULL, 'Uncharacterised protein family (UPF0183)', NULL, 'UPF0183', NULL, NULL, 6046, 8),
(42089, NULL, 'PF16120', NULL, NULL, 'Domain of unknown function (DUF4836)', NULL, 'DUF4836', NULL, NULL, 28351, 8),
(42090, NULL, 'PF14612', NULL, NULL, 'IEC3 subunit of the Ino80 complex, chromatin re-modelling', NULL, 'Ino80_Iec3', NULL, NULL, 22461, 8),
(42091, NULL, 'PF16126', NULL, NULL, 'Domain of unknown function (DUF4838)', NULL, 'DUF4838', NULL, NULL, 26728, 8),
(42092, NULL, 'PF12365', NULL, NULL, 'Protein of unknown function (DUF3649)', NULL, 'DUF3649', NULL, NULL, 21298, 8),
(42093, NULL, 'PF10311', NULL, NULL, 'Increased loss of mitochondrial DNA protein 1', NULL, 'Ilm1', NULL, NULL, 20142, 8),
(42094, NULL, 'PF11600', NULL, NULL, 'Chromatin assembly factor 1 complex p150 subunit, N-terminal', NULL, 'CAF-1_p150', NULL, NULL, NULL, 8),
(42095, NULL, 'PF12444', NULL, NULL, 'Sox developmental protein N terminal', NULL, 'Sox_N', NULL, NULL, 21335, 8),
(42096, NULL, 'PF02190', NULL, NULL, 'ATP-dependent protease La (LON) substrate-binding domain', NULL, 'LON_substr_bdg', NULL, NULL, 2575, 8),
(42097, NULL, 'PF11558', NULL, NULL, 'Het-s 218-289', NULL, 'HET-s_218-289', NULL, NULL, 15038, 8),
(42098, NULL, 'PF11708', NULL, NULL, 'Pre-mRNA splicing Prp18-interacting factor', NULL, 'Slu7', NULL, NULL, 19813, 8),
(42099, NULL, 'PF12836', NULL, NULL, 'Helix-hairpin-helix motif', NULL, 'HHH_3', NULL, NULL, NULL, 8),
(42100, NULL, 'PF15341', NULL, NULL, 'Ribosome biogenesis protein SLX9', NULL, 'SLX9', NULL, NULL, 24717, 8),
(42101, NULL, 'PF17020', NULL, NULL, 'Domain of unknown function (DUF5097)', NULL, 'DUF5097', NULL, NULL, 23005, 8),
(42102, NULL, 'PF03896', NULL, NULL, 'Translocon-associated protein (TRAP), alpha subunit', NULL, 'TRAP_alpha', NULL, NULL, 2660, 8),
(42103, NULL, 'PF16425', NULL, NULL, 'Domain of unknown function (DUF5022)', NULL, 'DUF5022', NULL, NULL, 25854, 8),
(42104, NULL, 'PF14110', NULL, NULL, 'Domain of unknown function (DUF4282)', NULL, 'DUF4282', NULL, NULL, 23679, 8);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42105, NULL, 'PF05264', NULL, NULL, 'Choristoneura fumiferana antifreeze protein (CfAFP)', NULL, 'CfAFP', NULL, NULL, 3462, 8),
(42106, NULL, 'PF17404', NULL, NULL, 'Nrap protein domain 3', NULL, 'Nrap_D3', NULL, NULL, 33381, 8),
(42107, NULL, 'PF06214', NULL, NULL, 'Signaling lymphocytic activation molecule (SLAM) protein', NULL, 'SLAM', NULL, NULL, 9916, 8),
(42108, NULL, 'PF03942', NULL, NULL, 'DTW domain', NULL, 'DTW', NULL, NULL, 2647, 8),
(42109, NULL, 'PF12471', NULL, NULL, 'GTP cyclohydrolase N terminal', NULL, 'GTP_CH_N', NULL, NULL, 21016, 8),
(42110, NULL, 'PF07554', NULL, NULL, 'FIVAR domain', NULL, 'FIVAR', NULL, NULL, NULL, 8),
(42111, NULL, 'PF11925', NULL, NULL, 'Protein of unknown function (DUF3443)', NULL, 'DUF3443', NULL, NULL, 20227, 8),
(42112, NULL, 'PF18946', NULL, NULL, 'GpV Apex motif', NULL, 'Apex', NULL, NULL, 38265, 8),
(42113, NULL, 'PF03891', NULL, NULL, 'Domain of unknown function (DUF333)', NULL, 'DUF333', NULL, NULL, 2659, 8),
(42114, NULL, 'PF08567', NULL, NULL, 'TFIIH p62 subunit, N-terminal domain', NULL, 'PH_TFIIH', NULL, NULL, 9894, 8),
(42115, NULL, 'PF06726', NULL, NULL, 'Bladder cancer-related protein BC10', NULL, 'BC10', NULL, NULL, NULL, 8),
(42116, NULL, 'PF19634', NULL, NULL, 'Family of unknown function (DUF6137)', NULL, 'DUF6137', NULL, NULL, 39750, 8),
(42117, NULL, 'PF16901', NULL, NULL, 'C-terminal domain of alpha-glycerophosphate oxidase', NULL, 'DAO_C', NULL, NULL, 23276, 8),
(42118, NULL, 'PF09163', NULL, NULL, 'Formate dehydrogenase N, transmembrane', NULL, 'Form-deh_trans', NULL, NULL, 12738, 8),
(42119, NULL, 'PF11792', NULL, NULL, 'Baculoviridae late expression factor 5 C-terminal domain', NULL, 'Baculo_LEF5_C', NULL, NULL, 19653, 8),
(42120, NULL, 'PF05265', NULL, NULL, 'Protein of unknown function (DUF723)', NULL, 'DUF723', NULL, NULL, 4135, 8),
(42121, NULL, 'PF12841', NULL, NULL, 'YvrJ protein family', NULL, 'YvrJ', NULL, NULL, 22998, 8),
(42122, NULL, 'PF03503', NULL, NULL, 'Chlamydia cysteine-rich outer membrane protein 3', NULL, 'Chlam_OMP3', NULL, NULL, 6367, 8),
(42123, NULL, 'PF04795', NULL, NULL, 'PAPA-1-like conserved region', NULL, 'PAPA-1', NULL, NULL, 4988, 8),
(42124, NULL, 'PF17632', NULL, NULL, 'Family of unknown function (DUF5513)', NULL, 'DUF5513', NULL, NULL, 21482, 8),
(42125, NULL, 'PF02752', NULL, NULL, 'Arrestin (or S-antigen), C-terminal domain', NULL, 'Arrestin_C', NULL, NULL, 9361, 8),
(42126, NULL, 'PF03959', NULL, NULL, 'Serine hydrolase (FSH1)', NULL, 'FSH1', NULL, NULL, 2727, 8),
(42127, NULL, 'PF07667', NULL, NULL, 'Protein of unknown function (DUF1600)', NULL, 'DUF1600', NULL, NULL, 10885, 8),
(42128, NULL, 'PF17537', NULL, NULL, 'Family of unknown function (DUF5455)', NULL, 'DUF5455', NULL, NULL, 36303, 8),
(42129, NULL, 'PF14541', NULL, NULL, 'Xylanase inhibitor C-terminal', NULL, 'TAXi_C', NULL, NULL, 22926, 8),
(42130, NULL, 'PF18076', NULL, NULL, 'Formylglycinamide ribonucleotide amidotransferase N-terminal', NULL, 'FGAR-AT_N', NULL, NULL, 30900, 8),
(42131, NULL, 'PF14395', NULL, NULL, 'Phage phiEco32-like COOH.NH2 ligase-type 2', NULL, 'COOH-NH2_lig', NULL, NULL, 25604, 8),
(42132, NULL, 'PF09312', NULL, NULL, 'SurA N-terminal domain', NULL, 'SurA_N', NULL, NULL, 14199, 8),
(42133, NULL, 'PF19643', NULL, NULL, 'Family of unknown function (DUF6146)', NULL, 'DUF6146', NULL, NULL, 39738, 8),
(42134, NULL, 'PF09427', NULL, NULL, 'Domain of unknown function (DUF2014)', NULL, 'DUF2014', NULL, NULL, 16216, 8),
(42135, NULL, 'PF14615', NULL, NULL, 'Ribosome-assembly protein 3', NULL, 'Rsa3', NULL, NULL, 24200, 8),
(42136, NULL, 'PF06901', NULL, NULL, 'RTX iron-regulated protein FrpC', NULL, 'FrpC', NULL, NULL, 10294, 8),
(42137, NULL, 'PF09757', NULL, NULL, 'Arb2 domain', NULL, 'Arb2', NULL, NULL, 18997, 8),
(42138, NULL, 'PF08397', NULL, NULL, 'IRSp53/MIM homology domain', NULL, 'IMD', NULL, NULL, 11429, 8),
(42139, NULL, 'PF03366', NULL, NULL, 'YEATS family', NULL, 'YEATS', NULL, NULL, 1137, 8),
(42140, NULL, 'PF09038', NULL, NULL, 'Tumour suppressor p53-binding protein-1 Tudor', NULL, '53-BP1_Tudor', NULL, NULL, 9503, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42141, NULL, 'PF13306', NULL, NULL, 'BspA type Leucine rich repeat region (6 copies)', NULL, 'LRR_5', NULL, NULL, 28906, 8),
(42142, NULL, 'PF06299', NULL, NULL, 'Protein of unknown function (DUF1045)', NULL, 'DUF1045', NULL, NULL, 8273, 8),
(42143, NULL, 'PF00361', NULL, NULL, 'Proton-conducting membrane transporter', NULL, 'Proton_antipo_M', NULL, NULL, 3363, 8),
(42144, NULL, 'PF03483', NULL, NULL, 'B3/4 domain', NULL, 'B3_4', NULL, NULL, 4150, 8),
(42145, NULL, 'PF13733', NULL, NULL, 'N-terminal region of glycosyl transferase group 7', NULL, 'Glyco_transf_7N', NULL, NULL, 24986, 8),
(42146, NULL, 'PF13777', NULL, NULL, 'Domain of unknown function (DUF4173)', NULL, 'DUF4173', NULL, NULL, 23829, 8),
(42147, NULL, 'PF08095', NULL, NULL, 'Hefutoxin family', NULL, 'Toxin_25', NULL, NULL, 9907, 8),
(42148, NULL, 'PF04889', NULL, NULL, 'Cwf15/Cwc15 cell cycle control protein', NULL, 'Cwf_Cwc_15', NULL, NULL, 5987, 8),
(42149, NULL, 'PF10987', NULL, NULL, 'Protein of unknown function (DUF2806)', NULL, 'DUF2806', NULL, NULL, 17688, 8),
(42150, NULL, 'PF16692', NULL, NULL, 'Folliculin C-terminal domain', NULL, 'Folliculin_C', NULL, NULL, 24087, 8),
(42151, NULL, 'PF15202', NULL, NULL, 'Adipogenin', NULL, 'Adipogenin', NULL, NULL, 26078, 8),
(42152, NULL, 'PF06531', NULL, NULL, 'Protein of unknown function (DUF1108)', NULL, 'DUF1108', NULL, NULL, 9249, 8),
(42153, NULL, 'PF01806', NULL, NULL, 'Paramyxovirinae P phosphoprotein C-terminal region', NULL, 'Paramyxo_P', NULL, NULL, 3804, 8),
(42154, NULL, 'PF13945', NULL, NULL, 'Salt tolerance down-regulator', NULL, 'NST1', NULL, NULL, 23665, 8),
(42155, NULL, 'PF07643', NULL, NULL, 'Protein of unknown function (DUF1598)', NULL, 'DUF1598', NULL, NULL, 12604, 8),
(42156, NULL, 'PF04443', NULL, NULL, 'Acyl-protein synthetase, LuxE', NULL, 'LuxE', NULL, NULL, 10743, 8),
(42157, NULL, 'PF02200', NULL, NULL, 'STE like transcription factor', NULL, 'STE', NULL, NULL, 2845, 8),
(42158, NULL, 'PF05573', NULL, NULL, 'NosL', NULL, 'NosL', NULL, NULL, 12387, 8),
(42159, NULL, 'PF14262', NULL, NULL, 'Carbohydrate-binding domain-containing protein Cthe_2159', NULL, 'Cthe_2159', NULL, NULL, 28034, 8),
(42160, NULL, 'PF16397', NULL, NULL, 'Domain of unknown function (DUF5006)', NULL, 'DUF5006', NULL, NULL, 28120, 8),
(42161, NULL, 'PF14438', NULL, NULL, 'Ataxin 2 SM domain', NULL, 'SM-ATX', NULL, NULL, 25182, 8),
(42162, NULL, 'PF18958', NULL, NULL, 'Putative zinc dependent peptidase (DUF5700)', NULL, 'DUF5700', NULL, NULL, 38359, 8),
(42163, NULL, 'PF00558', NULL, NULL, 'Vpu protein', NULL, 'Vpu', NULL, NULL, 7060, 8),
(42164, NULL, 'PF03544', NULL, NULL, 'Gram-negative bacterial TonB protein C-terminal', NULL, 'TonB_C', NULL, NULL, 33445, 8),
(42165, NULL, 'PF16434', NULL, NULL, 'Domain of unknown function (DUF5031)', NULL, 'DUF5031', NULL, NULL, 25810, 8),
(42166, NULL, 'PF04392', NULL, NULL, 'ABC transporter substrate binding protein', NULL, 'ABC_sub_bind', NULL, NULL, 10095, 8),
(42167, NULL, 'PF17881', NULL, NULL, 'Domain of unknown function (DUF5590)', NULL, 'DUF5590', NULL, NULL, 31816, 8),
(42168, NULL, 'PF03903', NULL, NULL, 'Phage T4 tail fibre', NULL, 'Phage_T4_gp36', NULL, NULL, 2520, 8),
(42169, NULL, 'PF17710', NULL, NULL, 'Family of unknown function (DUF5555)', NULL, 'DUF5555', NULL, NULL, 34700, 8),
(42170, NULL, 'PF04545', NULL, NULL, 'Sigma-70, region 4', NULL, 'Sigma70_r4', NULL, NULL, 2373, 8),
(42171, NULL, 'PF15983', NULL, NULL, 'Domain of unknown function (DUF4767)', NULL, 'DUF4767', NULL, NULL, 27988, 8),
(42172, NULL, 'PF18544', NULL, NULL, 'Polo box domain', NULL, 'Polo_box_3', NULL, NULL, 30576, 8),
(42173, NULL, 'PF10383', NULL, NULL, 'Transcription-silencing protein Clr2', NULL, 'Clr2', NULL, NULL, 20231, 8),
(42174, NULL, 'PF11165', NULL, NULL, 'Protein of unknown function (DUF2949)', NULL, 'DUF2949', NULL, NULL, 18411, 8),
(42175, NULL, 'PF11934', NULL, NULL, 'Domain of unknown function (DUF3452)', NULL, 'DUF3452', NULL, NULL, 28853, 8),
(42176, NULL, 'PF15974', NULL, NULL, 'Cadherin C-terminal cytoplasmic tail, catenin-binding region', NULL, 'Cadherin_tail', NULL, NULL, 27443, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42177, NULL, 'PF17785', NULL, NULL, 'PUA-like domain', NULL, 'PUA_3', NULL, NULL, 32113, 8),
(42178, NULL, 'PF08716', NULL, NULL, 'Coronavirus replicase NSP7', NULL, 'CoV_NSP7', NULL, NULL, 11793, 8),
(42179, NULL, 'PF16552', NULL, NULL, 'D-ornithine 4,5-aminomutase alpha-subunit', NULL, 'OAM_alpha', NULL, NULL, 9813, 8),
(42180, NULL, 'PF07662', NULL, NULL, 'Na+ dependent nucleoside transporter C-terminus', NULL, 'Nucleos_tra2_C', NULL, NULL, 10536, 8),
(42181, NULL, 'PF00780', NULL, NULL, 'CNH domain', NULL, 'CNH', NULL, NULL, 1154, 8),
(42182, NULL, 'PF01026', NULL, NULL, 'TatD related DNase', NULL, 'TatD_DNase', NULL, NULL, 1537, 8),
(42183, NULL, 'PF18571', NULL, NULL, 'von Willebrand factor type A C-terminal domain', NULL, 'VWA_3_C', NULL, NULL, 31443, 8),
(42184, NULL, 'PF20102', NULL, NULL, 'Family of unknown function (DUF6492)', NULL, 'DUF6492', NULL, NULL, 39807, 8),
(42185, NULL, 'PF18920', NULL, NULL, 'Domain of unknown function (DUF5671)', NULL, 'DUF5671', NULL, NULL, 36933, 8),
(42186, NULL, 'PF00299', NULL, NULL, 'Squash family serine protease inhibitor', NULL, 'Squash', NULL, NULL, 6711, 8),
(42187, NULL, 'PF11049', NULL, NULL, 'Glycoprotein K1 of Kaposi''s sarcoma-associated herpes virus', NULL, 'KSHV_K1', NULL, NULL, 15447, 8),
(42188, NULL, 'PF08142', NULL, NULL, 'AARP2CN (NUC121) domain', NULL, 'AARP2CN', NULL, NULL, 18755, 8),
(42189, NULL, 'PF05643', NULL, NULL, 'Putative bacterial lipoprotein (DUF799)', NULL, 'DUF799', NULL, NULL, 12988, 8),
(42190, NULL, 'PF12683', NULL, NULL, 'Protein of unknown function (DUF3798)', NULL, 'DUF3798', NULL, NULL, 20022, 8),
(42191, NULL, 'PF16373', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4985', NULL, NULL, 28392, 8),
(42192, NULL, 'PF06763', NULL, NULL, 'Prophage minor tail protein Z (GPZ)', NULL, 'Minor_tail_Z', NULL, NULL, 9282, 8),
(42193, NULL, 'PF02178', NULL, NULL, 'AT hook motif', NULL, 'AT_hook', NULL, NULL, 14683, 8),
(42194, NULL, 'PF05096', NULL, NULL, 'Glutamine cyclotransferase', NULL, 'Glu_cyclase_2', NULL, NULL, 2330, 8),
(42195, NULL, 'PF02817', NULL, NULL, 'e3 binding domain', NULL, 'E3_binding', NULL, NULL, 2718, 8),
(42196, NULL, 'PF05015', NULL, NULL, 'RelE-like toxin of type II toxin-antitoxin system HigB', NULL, 'HigB-like_toxin', NULL, NULL, 1340, 8),
(42197, NULL, 'PF06286', NULL, NULL, 'Coleoptericin', NULL, 'Coleoptericin', NULL, NULL, 8035, 8),
(42198, NULL, 'PF12542', NULL, NULL, 'Pre-mRNA splicing factor', NULL, 'CWC25', NULL, NULL, 21209, 8),
(42199, NULL, 'PF15682', NULL, NULL, 'Musculoskeletal, temporally activated-embryonic nuclear protein 1', NULL, 'Mustang', NULL, NULL, 23712, 8),
(42200, NULL, 'PF06412', NULL, NULL, 'Conjugal transfer protein TraD', NULL, 'TraD', NULL, NULL, 8280, 8),
(42201, NULL, 'PF07733', NULL, NULL, 'Bacterial DNA polymerase III alpha NTPase domain', NULL, 'DNA_pol3_alpha', NULL, NULL, 8205, 8),
(42202, NULL, 'PF18859', NULL, NULL, 'Actinobacteria/chloroflexi VLRF1 release factor', NULL, 'acVLRF1', NULL, NULL, 30991, 8),
(42203, NULL, 'PF09010', NULL, NULL, 'Anti-Sigma Factor A', NULL, 'AsiA', NULL, NULL, 8508, 8),
(42204, NULL, 'PF03845', NULL, NULL, 'Spore germination protein', NULL, 'Spore_permease', NULL, NULL, 5353, 8),
(42205, NULL, 'PF01124', NULL, NULL, 'MAPEG family', NULL, 'MAPEG', NULL, NULL, 1202, 8),
(42206, NULL, 'PF05606', NULL, NULL, 'Borrelia burgdorferi protein of unknown function (DUF777)', NULL, 'DUF777', NULL, NULL, 12318, 8),
(42207, NULL, 'PF07246', NULL, NULL, 'Phlebovirus nonstructural protein NS-M', NULL, 'Phlebovirus_NSM', NULL, NULL, 14957, 8),
(42208, NULL, 'PF16522', NULL, NULL, 'Flagellar FLiS export co-chaperone, HP1076', NULL, 'FliS_cochap', NULL, NULL, 26507, 8),
(42209, NULL, 'PF05119', NULL, NULL, 'Phage terminase, small subunit', NULL, 'Terminase_4', NULL, NULL, 6627, 8),
(42210, NULL, 'PF03179', NULL, NULL, 'Vacuolar (H+)-ATPase G subunit', NULL, 'V-ATPase_G', NULL, NULL, 7076, 8),
(42211, NULL, 'PF18869', NULL, NULL, 'RnaseLS-like HEPN', NULL, 'HEPN_RnaseLS', NULL, NULL, 29785, 8),
(42212, NULL, 'PF09596', NULL, NULL, 'MamL-1 domain', NULL, 'MamL-1', NULL, NULL, 16599, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42213, NULL, 'PF16956', NULL, NULL, 'Putative general bacterial porin', NULL, 'Porin_7', NULL, NULL, 23440, 8),
(42214, NULL, 'PF19911', NULL, NULL, 'Family of unknown function (DUF6384)', NULL, 'DUF6384', NULL, NULL, 39152, 8),
(42215, NULL, 'PF13487', NULL, NULL, 'HD domain', NULL, 'HD_5', NULL, NULL, NULL, 8),
(42216, NULL, 'PF13609', NULL, NULL, 'Gram-negative porin', NULL, 'Porin_4', NULL, NULL, 29492, 8),
(42217, NULL, 'PF05073', NULL, NULL, 'Baculovirus P24 capsid protein', NULL, 'Baculo_p24', NULL, NULL, 1281, 8),
(42218, NULL, 'PF01054', NULL, NULL, 'Mouse mammary tumour virus superantigen', NULL, 'MMTV_SAg', NULL, NULL, 1235, 8),
(42219, NULL, 'PF14773', NULL, NULL, 'Helicase-associated putative binding domain, C-terminal', NULL, 'VIGSSK', NULL, NULL, 21508, 8),
(42220, NULL, 'PF08906', NULL, NULL, 'Domain of unknown function (DUF1851)', NULL, 'DUF1851', NULL, NULL, 7703, 8),
(42221, NULL, 'PF04162', NULL, NULL, 'Gyrovirus capsid protein (VP1)', NULL, 'Gyro_capsid', NULL, NULL, 7452, 8),
(42222, NULL, 'PF15425', NULL, NULL, 'Domain of unknown function (DUF4627)', NULL, 'DUF4627', NULL, NULL, 25312, 8),
(42223, NULL, 'PF01928', NULL, NULL, 'CYTH domain', NULL, 'CYTH', NULL, NULL, 17044, 8),
(42224, NULL, 'PF01407', NULL, NULL, 'Geminivirus AL3 protein', NULL, 'Gemini_AL3', NULL, NULL, 5320, 8),
(42225, NULL, 'PF13569', NULL, NULL, 'Domain of unknown function (DUF4132)', NULL, 'DUF4132', NULL, NULL, 23046, 8),
(42226, NULL, 'PF14410', NULL, NULL, 'HNH/ENDO VII superfamily nuclease with conserved GHE residues', NULL, 'GH-E', NULL, NULL, 22731, 8),
(42227, NULL, 'PF16789', NULL, NULL, 'YscO-like protein', NULL, 'YscO-like', NULL, NULL, 28723, 8),
(42228, NULL, 'PF19764', NULL, NULL, 'Family of unknown function (DUF6251)', NULL, 'DUF6251', NULL, NULL, 39950, 8),
(42229, NULL, 'PF12949', NULL, NULL, 'HeH/LEM domain', NULL, 'HeH', NULL, NULL, 24150, 8),
(42230, NULL, 'PF13311', NULL, NULL, 'Protein of unknown function (DUF4080)', NULL, 'DUF4080', NULL, NULL, 27794, 8),
(42231, NULL, 'PF16134', NULL, NULL, 'THO complex subunit 2 N-terminus', NULL, 'THOC2_N', NULL, NULL, 24264, 8),
(42232, NULL, 'PF04932', NULL, NULL, 'O-Antigen ligase', NULL, 'Wzy_C', NULL, NULL, 6962, 8),
(42233, NULL, 'PF04563', NULL, NULL, 'RNA polymerase beta subunit', NULL, 'RNA_pol_Rpb2_1', NULL, NULL, 2349, 8),
(42234, NULL, 'PF04377', NULL, NULL, 'Arginine-tRNA-protein transferase, C terminus', NULL, 'ATE_C', NULL, NULL, 4989, 8),
(42235, NULL, 'PF00425', NULL, NULL, 'chorismate binding enzyme', NULL, 'Chorismate_bind', NULL, NULL, 18155, 8),
(42236, NULL, 'PF11545', NULL, NULL, 'Cell surface heme-binding protein Shp', NULL, 'HemeBinding_Shp', NULL, NULL, 16292, 8),
(42237, NULL, 'PF06479', NULL, NULL, 'Ribonuclease 2-5A', NULL, 'Ribonuc_2-5A', NULL, NULL, 10895, 8),
(42238, NULL, 'PF14133', NULL, NULL, 'Domain of unknown function (DUF4300)', NULL, 'DUF4300', NULL, NULL, 28168, 8),
(42239, NULL, 'PF06852', NULL, NULL, 'Protein of unknown function (DUF1248)', NULL, 'DUF1248', NULL, NULL, 11108, 8),
(42240, NULL, 'PF15271', NULL, NULL, 'Spindle pole body component BBP1, Mps2-binding protein', NULL, 'BBP1_N', NULL, NULL, 24522, 8),
(42241, NULL, 'PF03298', NULL, NULL, 'Stanniocalcin family', NULL, 'Stanniocalcin', NULL, NULL, 571, 8),
(42242, NULL, 'PF03796', NULL, NULL, 'DnaB-like helicase C terminal domain', NULL, 'DnaB_C', NULL, NULL, 1075, 8),
(42243, NULL, 'PF02963', NULL, NULL, 'Restriction endonuclease EcoRI', NULL, 'EcoRI', NULL, NULL, 3559, 8),
(42244, NULL, 'PF00048', NULL, NULL, 'Small cytokines (intecrine/chemokine), interleukin-8 like', NULL, 'IL8', NULL, NULL, 4079, 8),
(42245, NULL, 'PF17686', NULL, NULL, 'Family of unknown function (DUF5534)', NULL, 'DUF5534', NULL, NULL, 35508, 8),
(42246, NULL, 'PF09397', NULL, NULL, 'Ftsk gamma domain', NULL, 'FtsK_gamma', NULL, NULL, 14885, 8),
(42247, NULL, 'PF00179', NULL, NULL, 'Ubiquitin-conjugating enzyme', NULL, 'UQ_con', NULL, NULL, 5839, 8),
(42248, NULL, 'PF12076', NULL, NULL, 'WAX2 C-terminal domain', NULL, 'Wax2_C', NULL, NULL, 20293, 8),
(42249, NULL, 'PF17604', NULL, NULL, 'Family of unknown function (DUF5500)', NULL, 'DUF5500', NULL, NULL, 20171, 8);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42250, NULL, 'PF06262', NULL, NULL, 'Zincin-like metallopeptidase', NULL, 'Zincin_1', NULL, NULL, 9660, 8),
(42251, NULL, 'PF15211', NULL, NULL, 'VEGF co-regulated chemokine 1', NULL, 'CXCL17', NULL, NULL, 21991, 8),
(42252, NULL, 'PF09839', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2066)', NULL, 'DUF2066', NULL, NULL, 16510, 8),
(42253, NULL, 'PF09626', NULL, NULL, 'Dihaem cytochrome c', NULL, 'DHC', NULL, NULL, 15730, 8),
(42254, NULL, 'PF13928', NULL, NULL, 'Flocculin type 3 repeat', NULL, 'Flocculin_t3', NULL, NULL, 24256, 8),
(42255, NULL, 'PF17240', NULL, NULL, 'Family of unknown function (DUF5313)', NULL, 'DUF5313', NULL, NULL, 20216, 8),
(42256, NULL, 'PF04682', NULL, NULL, 'Herpesvirus BTRF1 protein conserved region', NULL, 'Herpes_BTRF1', NULL, NULL, 3198, 8),
(42257, NULL, 'PF14540', NULL, NULL, 'Nucleotidyltransferase-like', NULL, 'NTF-like', NULL, NULL, 24911, 8),
(42258, NULL, 'PF11849', NULL, NULL, 'Domain of unknown function (DUF3369)', NULL, 'DUF3369', NULL, NULL, 19625, 8),
(42259, NULL, 'PF18012', NULL, NULL, 'PH domain', NULL, 'PH_17', NULL, NULL, 33162, 8),
(42260, NULL, 'PF09720', NULL, NULL, 'Putative addiction module component', NULL, 'Unstab_antitox', NULL, NULL, 9493, 8),
(42261, NULL, 'PF19955', NULL, NULL, 'Effector-associated domain 1', NULL, 'EAD1', NULL, NULL, 38032, 8),
(42262, NULL, 'PF15363', NULL, NULL, 'Domain of unknown function (DUF4596)', NULL, 'DUF4596', NULL, NULL, 24154, 8),
(42263, NULL, 'PF17039', NULL, NULL, 'Fucosyltransferase, N-terminal', NULL, 'Glyco_tran_10_N', NULL, NULL, 23777, 8),
(42264, NULL, 'PF03983', NULL, NULL, 'SLA1 homology domain 1, SHD1', NULL, 'SHD1', NULL, NULL, 257, 8),
(42265, NULL, 'PF05964', NULL, NULL, 'F/Y-rich N-terminus', NULL, 'FYRN', NULL, NULL, 4322, 8),
(42266, NULL, 'PF04203', NULL, NULL, 'Sortase domain', NULL, 'Sortase', NULL, NULL, 4519, 8),
(42267, NULL, 'PF15657', NULL, NULL, 'HNH/Endo VII superfamily nuclease toxins', NULL, 'Tox-HNH-EHHH', NULL, NULL, 26999, 8),
(42268, NULL, 'PF17900', NULL, NULL, 'Peptidase M1 N-terminal domain', NULL, 'Peptidase_M1_N', NULL, NULL, 37544, 8),
(42269, NULL, 'PF20127', NULL, NULL, 'Family of unknown function (DUF6517)', NULL, 'DUF6517', NULL, NULL, 38247, 8),
(42270, NULL, 'PF04650', NULL, NULL, 'YSIRK type signal peptide', NULL, 'YSIRK_signal', NULL, NULL, 6688, 8),
(42271, NULL, 'PF05004', NULL, NULL, 'Interferon-related developmental regulator (IFRD)', NULL, 'IFRD', NULL, NULL, 1395, 8),
(42272, NULL, 'PF08388', NULL, NULL, 'Group II intron, maturase-specific domain', NULL, 'GIIM', NULL, NULL, 12137, 8),
(42273, NULL, 'PF18996', NULL, NULL, 'Family of unknown function (DUF5726)', NULL, 'DUF5726', NULL, NULL, 37914, 8),
(42274, NULL, 'PF04890', NULL, NULL, 'Family of unknown function (DUF648)', NULL, 'DUF648', NULL, NULL, 5814, 8),
(42275, NULL, 'PF07174', NULL, NULL, 'Fibronectin-attachment protein (FAP)', NULL, 'FAP', NULL, NULL, 11231, 8),
(42276, NULL, 'PF01866', NULL, NULL, 'Putative diphthamide synthesis protein', NULL, 'Diphthamide_syn', NULL, NULL, 15685, 8),
(42277, NULL, 'PF18700', NULL, NULL, 'Cytosolic arginine sensor for mTORC1 subunit 1 N-terminal domain', NULL, 'Castor1_N', NULL, NULL, 30854, 8),
(42278, NULL, 'PF07514', NULL, NULL, 'Putative helicase', NULL, 'TraI_2', NULL, NULL, 11191, 8),
(42279, NULL, 'PF17445', NULL, NULL, 'Mating factor A1', NULL, 'Mfa1', NULL, NULL, 29503, 8),
(42280, NULL, 'PF01944', NULL, NULL, 'Stage II sporulation protein M', NULL, 'SpoIIM', NULL, NULL, 4967, 8),
(42281, NULL, 'PF09628', NULL, NULL, 'YvfG protein', NULL, 'YvfG', NULL, NULL, 15907, 8),
(42282, NULL, 'PF12172', NULL, NULL, 'Rubredoxin-like zinc ribbon domain (DUF35_N)', NULL, 'DUF35_N', NULL, NULL, 20829, 8),
(42283, NULL, 'PF03091', NULL, NULL, 'CutA1 divalent ion tolerance protein', NULL, 'CutA1', NULL, NULL, 4752, 8),
(42284, NULL, 'PF03355', NULL, NULL, 'Viral Trans-Activator Protein', NULL, 'Pox_TAP', NULL, NULL, 1125, 8),
(42285, NULL, 'PF10666', NULL, NULL, 'Phage tail assembly chaperone protein Gp14 ()A118', NULL, 'Phage_TAC_8', NULL, NULL, 15413, 8);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42286, NULL, 'PF05410', NULL, NULL, 'Porcine arterivirus-type cysteine proteinase alpha', NULL, 'Peptidase_C31', NULL, NULL, 12170, 8),
(42287, NULL, 'PF11494', NULL, NULL, 'Ta0938', NULL, 'Ta0938', NULL, NULL, 19456, 8),
(42288, NULL, 'PF01095', NULL, NULL, 'Pectinesterase', NULL, 'Pectinesterase', NULL, NULL, 2614, 8),
(42289, NULL, 'PF04090', NULL, NULL, 'RNA polymerase I specific initiation factor', NULL, 'RNA_pol_I_TF', NULL, NULL, 6652, 8),
(42290, NULL, 'PF06003', NULL, NULL, 'Survival motor neuron protein (SMN)', NULL, 'SMN', NULL, NULL, 7763, 8),
(42291, NULL, 'PF02370', NULL, NULL, 'M protein repeat', NULL, 'M', NULL, NULL, 4273, 8),
(42292, NULL, 'PF11602', NULL, NULL, 'ATPase P4 of dsRNA bacteriophage phi-12', NULL, 'NTPase_P4', NULL, NULL, 16166, 8),
(42293, NULL, 'PF03435', NULL, NULL, 'Saccharopine dehydrogenase NADP binding domain', NULL, 'Sacchrp_dh_NADP', NULL, NULL, 10443, 8),
(42294, NULL, 'PF08442', NULL, NULL, 'ATP-grasp domain', NULL, 'ATP-grasp_2', NULL, NULL, 12055, 8),
(42295, NULL, 'PF10678', NULL, NULL, 'Protein of unknown function (DUF2492)', NULL, 'DUF2492', NULL, NULL, 20058, 8),
(42296, NULL, 'PF11359', NULL, NULL, 'Glycoprotein UL132', NULL, 'gpUL132', NULL, NULL, 15222, 8),
(42297, NULL, 'PF16609', NULL, NULL, 'SH3-RhoGEF linking unstructured region', NULL, 'SH3-RhoG_link', NULL, NULL, NULL, 8),
(42298, NULL, 'PF18771', NULL, NULL, 'APOBEC3', NULL, 'APOBEC3', NULL, NULL, 32081, 8),
(42299, NULL, 'PF07052', NULL, NULL, 'Hepatocellular carcinoma-associated antigen 59', NULL, 'Hep_59', NULL, NULL, 10125, 8),
(42300, NULL, 'PF00289', NULL, NULL, 'Biotin carboxylase, N-terminal domain', NULL, 'Biotin_carb_N', NULL, NULL, 612, 8),
(42301, NULL, 'PF03516', NULL, NULL, 'Filaggrin', NULL, 'Filaggrin', NULL, NULL, 3143, 8),
(42302, NULL, 'PF19571', NULL, NULL, 'ACT domain pair', NULL, 'ACT_8', NULL, NULL, 37100, 8),
(42303, NULL, 'PF13727', NULL, NULL, 'CoA-binding domain', NULL, 'CoA_binding_3', NULL, NULL, NULL, 8),
(42304, NULL, 'PF02705', NULL, NULL, 'K+ potassium transporter', NULL, 'K_trans', NULL, NULL, 3394, 8),
(42305, NULL, 'PF16887', NULL, NULL, 'Domain of unknown function (DUF5081)', NULL, 'DUF5081', NULL, NULL, 23314, 8),
(42306, NULL, 'PF16296', NULL, NULL, 'N-terminal of TM subunit in PBP-dependent ABC transporters', NULL, 'TM_PBP2_N', NULL, NULL, 27675, 8),
(42307, NULL, 'PF13533', NULL, NULL, 'Biotin-lipoyl like', NULL, 'Biotin_lipoyl_2', NULL, NULL, 29479, 8),
(42308, NULL, 'PF17908', NULL, NULL, 'APAF-1 helical domain', NULL, 'APAF1_C', NULL, NULL, 32908, 8),
(42309, NULL, 'PF08706', NULL, NULL, 'D5 N terminal like', NULL, 'D5_N', NULL, NULL, 11514, 8),
(42310, NULL, 'PF06009', NULL, NULL, 'Laminin Domain II', NULL, 'Laminin_II', NULL, NULL, 8199, 8),
(42311, NULL, 'PF17305', NULL, NULL, 'Family of unknown function (DUF5354)', NULL, 'DUF5354', NULL, NULL, 34405, 8),
(42312, NULL, 'PF06961', NULL, NULL, 'Protein of unknown function (DUF1294)', NULL, 'DUF1294', NULL, NULL, 10166, 8),
(42313, NULL, 'PF16469', NULL, NULL, 'Nematode polyprotein allergen ABA-1', NULL, 'NPA', NULL, NULL, 22695, 8),
(42314, NULL, 'PF12819', NULL, NULL, 'Malectin-like domain', NULL, 'Malectin_like', NULL, NULL, 25404, 8),
(42315, NULL, 'PF00170', NULL, NULL, 'bZIP transcription factor', NULL, 'bZIP_1', NULL, NULL, 4440, 8),
(42316, NULL, 'PF03276', NULL, NULL, 'Spumavirus gag protein', NULL, 'Gag_spuma', NULL, NULL, 2573, 8),
(42317, NULL, 'PF14406', NULL, NULL, 'Ribosomally synthesized peptide in Bacteroidetes', NULL, 'Bacteroid_pep', NULL, NULL, 25248, 8),
(42318, NULL, 'PF08375', NULL, NULL, 'Proteasome regulatory subunit C-terminal', NULL, 'Rpn3_C', NULL, NULL, 12256, 8),
(42319, NULL, 'PF09737', NULL, NULL, 'De-etiolated protein 1 Det1', NULL, 'Det1', NULL, NULL, 17921, 8),
(42320, NULL, 'PF15347', NULL, NULL, 'Phosphoprotein associated with glycosphingolipid-enriched', NULL, 'PAG', NULL, NULL, 22585, 8),
(42321, NULL, 'PF13663', NULL, NULL, 'Domain of unknown function (DUF4148)', NULL, 'DUF4148', NULL, NULL, 23468, 8),
(42322, NULL, 'PF13130', NULL, NULL, 'Domain of unknown function (DUF3952)', NULL, 'DUF3952', NULL, NULL, 27048, 8);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42323, NULL, 'PF03937', NULL, NULL, 'Flavinator of succinate dehydrogenase', NULL, 'Sdh5', NULL, NULL, 2509, 8),
(42324, NULL, 'PF07304', NULL, NULL, 'Steroid receptor RNA activator (SRA1)', NULL, 'SRA1', NULL, NULL, 14530, 8),
(42325, NULL, 'PR01113', NULL, NULL, 'CLC-2 chloride channel signature', NULL, 'CLCHANNEL2', NULL, NULL, 415, 9),
(42326, NULL, 'PR00805', NULL, NULL, 'Alpha-catenin signature', NULL, 'ALPHACATENIN', NULL, NULL, 2525, 9),
(42327, NULL, 'PR01199', NULL, NULL, 'Creatine transporter signature', NULL, 'CRTTRANSPORT', NULL, NULL, 7314, 9),
(42328, NULL, 'PR01833', NULL, NULL, 'Vascular endothelial growth factor receptor type 1 signature', NULL, 'VEGFRECEPTR1', NULL, NULL, 10766, 9),
(42329, NULL, 'PR00767', NULL, NULL, 'Dopamine-beta-monooxygenase signature', NULL, 'DBMONOXGNASE', NULL, NULL, 22356, 9),
(42330, NULL, 'PR00327', NULL, NULL, 'Ice nucleation protein signature', NULL, 'ICENUCLEATN', NULL, NULL, 4926, 9),
(42331, NULL, 'PR01332', NULL, NULL, 'Kir6.2 inward rectifier K+ channel signature', NULL, 'KIR62CHANNEL', NULL, NULL, 3290, 9),
(42332, NULL, 'PR01363', NULL, NULL, 'Viral protein D9 signature', NULL, 'VD09PROTEIN', NULL, NULL, 3184, 9),
(42333, NULL, 'PR00673', NULL, NULL, 'Light harvesting protein A chain signature', NULL, 'LIGHTHARVSTA', NULL, NULL, 20332, 9),
(42334, NULL, 'PR00705', NULL, NULL, 'Papain cysteine protease (C1) family signature', NULL, 'PAPAIN', NULL, NULL, 5657, 9),
(42335, NULL, 'PR00888', NULL, NULL, 'Smooth muscle protein/calponin family signature', NULL, 'SM22CALPONIN', NULL, NULL, 850, 9),
(42336, NULL, 'PR00021', NULL, NULL, 'Small proline-rich protein signature', NULL, 'PRORICH', NULL, NULL, NULL, 9),
(42337, NULL, 'PR01100', NULL, NULL, 'Shikimate kinase family signature', NULL, 'SHIKIMTKNASE', NULL, NULL, NULL, 9),
(42338, NULL, 'PR00761', NULL, NULL, 'Bindin precursor signature', NULL, 'BINDIN', NULL, NULL, 4397, 9),
(42339, NULL, 'PR01138', NULL, NULL, 'Gap junction beta-1 protein (Cx32) signature', NULL, 'CONNEXINB1', NULL, NULL, 6805, 9),
(42340, NULL, 'PR00826', NULL, NULL, 'Fanconi anaemia group A protein signature', NULL, 'FANCONIAGENE', NULL, NULL, 6174, 9),
(42341, NULL, 'PR00837', NULL, NULL, 'Allergen V5/Tpx-1 family signature', NULL, 'V5TPXLIKE', NULL, NULL, 261, 9),
(42342, NULL, 'PR00933', NULL, NULL, 'B-lytic metalloendopeptidase (M23) signature', NULL, 'BLYTICPTASE', NULL, NULL, 358, 9),
(42343, NULL, 'PR01340', NULL, NULL, 'Salmonella virulence plasmid 28.1kDa A protein signature', NULL, 'SALSPVAPROT', NULL, NULL, 6283, 9),
(42344, NULL, 'PR01358', NULL, NULL, 'Interleukin-1 alpha precursor signature', NULL, 'INTRLEUKIN1A', NULL, NULL, 3364, 9),
(42345, NULL, 'PR00196', NULL, NULL, 'Annexin family signature', NULL, 'ANNEXIN', NULL, NULL, 6352, 9),
(42346, NULL, 'PR01974', NULL, NULL, 'Tumour necrosis factor receptor 11A signature', NULL, 'TNFACTORR11A', NULL, NULL, 16423, 9),
(42347, NULL, 'PR00380', NULL, NULL, 'Kinesin heavy chain signature', NULL, 'KINESINHEAVY', NULL, NULL, 3081, 9),
(42348, NULL, 'PR00759', NULL, NULL, 'Basic protease (Kunitz-type) inhibitor family signature', NULL, 'BASICPTASE', NULL, NULL, 401, 9),
(42349, NULL, 'PR01301', NULL, NULL, 'Regulator of G protein signalling (RGS) protein signature', NULL, 'RGSPROTEIN', NULL, NULL, 11055, 9),
(42350, NULL, 'PR00617', NULL, NULL, 'Copper fist domain signature', NULL, 'COPPERFIST', NULL, NULL, 2011, 9),
(42351, NULL, 'PR01476', NULL, NULL, 'Leukotriene B4 receptor signature', NULL, 'LTBRECEPTOR', NULL, NULL, 7315, 9),
(42352, NULL, 'PR00738', NULL, NULL, 'Glycosyl hydrolase family 20 signature', NULL, 'GLHYDRLASE20', NULL, NULL, 28004, 9),
(42353, NULL, 'PR00268', NULL, NULL, 'Nerve growth factor signature', NULL, 'NGF', NULL, NULL, 5308, 9),
(42354, NULL, 'PR00046', NULL, NULL, 'Major sigma-70 factor signature', NULL, 'SIGMA70FCT', NULL, NULL, 3295, 9),
(42355, NULL, 'PR01830', NULL, NULL, 'Trace amine receptor signature', NULL, 'TRACEAMINER', NULL, NULL, 10792, 9),
(42356, NULL, 'PR01389', NULL, NULL, 'Cytolethal distending toxin C signature', NULL, 'CDTOXINC', NULL, NULL, 148, 9);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42357, NULL, 'PR02080', NULL, NULL, 'Toxin Pg family signature', NULL, 'TOXINPGFAMLY', NULL, NULL, 28142, 9),
(42358, NULL, 'PR01157', NULL, NULL, 'P2Y purinoceptor signature', NULL, 'P2YPURNOCPTR', NULL, NULL, NULL, 9),
(42359, NULL, 'PR01764', NULL, NULL, 'MAP kinase phosphatase signature', NULL, 'MAPKPHPHTASE', NULL, NULL, 7692, 9),
(42360, NULL, 'PR01807', NULL, NULL, 'Angiomotin family signature', NULL, 'ANGIOMOTIN', NULL, NULL, 10786, 9),
(42361, NULL, 'PR00464', NULL, NULL, 'Group II E-class P450 signature', NULL, 'EP450II', NULL, NULL, 6498, 9),
(42362, NULL, 'PR01083', NULL, NULL, 'Lymphocyte-specific protein signature', NULL, 'LYMPHSPCIFIC', NULL, NULL, 466, 9),
(42363, NULL, 'PR00167', NULL, NULL, 'Calcium channel signature', NULL, 'CACHANNEL', NULL, NULL, 1317, 9),
(42364, NULL, 'PR00456', NULL, NULL, 'Ribosomal protein P2 signature', NULL, 'RIBOSOMALP2', NULL, NULL, 4353, 9),
(42365, NULL, 'PR01143', NULL, NULL, 'Follicle stimulating hormone receptor precursor signature', NULL, 'FSHRECEPTOR', NULL, NULL, 5031, 9),
(42366, NULL, 'PR01187', NULL, NULL, 'Anion exchanger isoform 1 signature', NULL, 'ANIONEXHNGR1', NULL, NULL, 7184, 9),
(42367, NULL, 'PR01383', NULL, NULL, 'Claudin-10 signature', NULL, 'CLAUDIN10', NULL, NULL, 7265, 9),
(42368, NULL, 'PR01738', NULL, NULL, 'RNA binding motif protein 8 family signature', NULL, 'RNABINDINGM8', NULL, NULL, 6041, 9),
(42369, NULL, 'PR02102', NULL, NULL, 'Inhibitor of CDK interacting with cyclin A1 protein signature', NULL, 'PROTEININCA1', NULL, NULL, 26349, 9),
(42370, NULL, 'PR00015', NULL, NULL, 'Gram-positive coccus surface protein anchor signature', NULL, 'GPOSANCHOR', NULL, NULL, 15304, 9),
(42371, NULL, 'PR00955', NULL, NULL, 'Flagellar motor switch protein FliM signature', NULL, 'FLGMOTORFLIM', NULL, NULL, 3226, 9),
(42372, NULL, 'PR01524', NULL, NULL, 'EDG-3 sphingosine 1-phosphate receptor signature', NULL, 'EDG3RECEPTOR', NULL, NULL, 518, 9),
(42373, NULL, 'PR01664', NULL, NULL, 'Voltage-gated Na+ channel alpha 1 subunit signature', NULL, 'NACHANNEL1', NULL, NULL, 5225, 9),
(42374, NULL, 'PR00347', NULL, NULL, 'Pathogenesis-related protein signature', NULL, 'THAUMATIN', NULL, NULL, 2162, 9),
(42375, NULL, 'PR00848', NULL, NULL, 'Sperm surface protein PH20 signature', NULL, 'SPERMPH20', NULL, NULL, NULL, 9),
(42376, NULL, 'PR01223', NULL, NULL, 'Bride of sevenless protein signature', NULL, 'BRIDEOF7LESS', NULL, NULL, 7075, 9),
(42377, NULL, 'PR01336', NULL, NULL, 'Chlamydia cysteine-rich outer membrane protein 6 signature', NULL, 'CHLAMIDIAOM6', NULL, NULL, 6286, 9),
(42378, NULL, 'PR00430', NULL, NULL, 'Interleukin-3 signature', NULL, 'INTERLEUKIN3', NULL, NULL, 1138, 9),
(42379, NULL, 'PR01467', NULL, NULL, 'Bacterial arginine repressor signature', NULL, 'ARGREPRESSOR', NULL, NULL, 5034, 9),
(42380, NULL, 'PR01947', NULL, NULL, 'Mammalian interleukin-15 signature', NULL, 'INTLKN15MAML', NULL, NULL, 19852, 9),
(42381, NULL, 'PR02061', NULL, NULL, 'Wolframin signature', NULL, 'WOLFRAMIN', NULL, NULL, 27539, 9),
(42382, NULL, 'PR01736', NULL, NULL, 'Phosphoenolpyruvate-protein phosphotransferase signature', NULL, 'PHPHTRNFRASE', NULL, NULL, NULL, 9),
(42383, NULL, 'PR00886', NULL, NULL, 'High mobility group (HMG1/HMG2) protein signature', NULL, 'HIGHMOBLTY12', NULL, NULL, NULL, 9),
(42384, NULL, 'PR00354', NULL, NULL, '7Fe ferredoxin signature', NULL, '7FE8SFRDOXIN', NULL, NULL, 5008, 9),
(42385, NULL, 'PR01489', NULL, NULL, 'Gram-negative bacterial RTX toxin-activating protein C signature', NULL, 'RTXTOXINC', NULL, NULL, 823, 9),
(42386, NULL, 'PR00907', NULL, NULL, 'Thrombomodulin signature', NULL, 'THRMBOMODULN', NULL, NULL, NULL, 9),
(42387, NULL, 'PR01247', NULL, NULL, 'Rec1 exonuclease signature', NULL, 'RECEXONCLASE', NULL, NULL, 116, 9),
(42388, NULL, 'PR01653', NULL, NULL, 'Translationally controlled tumour protein signature', NULL, 'TCTPROTEIN', NULL, NULL, 13597, 9),
(42389, NULL, 'PR02100', NULL, NULL, 'Radiation-inducible immediate-early gene IEX-1 signature', NULL, 'GENEIEX1', NULL, NULL, 22698, 9),
(42390, NULL, 'PR00225', NULL, NULL, 'Geminivirus BR1 coat protein signature', NULL, 'GEMCOATBR1', NULL, NULL, 5588, 9);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42391, NULL, 'PR00044', NULL, NULL, 'Myc proto-oncogene signature', NULL, 'LEUZIPPRMYC', NULL, NULL, 7029, 9),
(42392, NULL, 'PR00345', NULL, NULL, 'Stathmin family signature', NULL, 'STATHMIN', NULL, NULL, 3005, 9),
(42393, NULL, 'PR01449', NULL, NULL, 'Calcium-activated BK potassium channel alpha subunit signature', NULL, 'BKCHANNELA', NULL, NULL, NULL, 9),
(42394, NULL, 'PR01463', NULL, NULL, 'EAG/ELK/ERG potassium channel family signature', NULL, 'EAGCHANLFMLY', NULL, NULL, 7326, 9),
(42395, NULL, 'PR00224', NULL, NULL, 'Geminivirus AR1 coat protein signature', NULL, 'GEMCOATAR1', NULL, NULL, 4282, 9),
(42396, NULL, 'PR00289', NULL, NULL, 'Disintegrin signature', NULL, 'DISINTEGRIN', NULL, NULL, 3073, 9),
(42397, NULL, 'PR00912', NULL, NULL, 'Luteovirus ORF5 VPG protein signature', NULL, 'LVIRUSORF5', NULL, NULL, 4054, 9),
(42398, NULL, 'PR00124', NULL, NULL, 'ATP synthase C subunit signature', NULL, 'ATPASEC', NULL, NULL, 6886, 9),
(42399, NULL, 'PR01245', NULL, NULL, 'Repair protein Rad1/Rec1 family signature', NULL, 'RAD1REC1', NULL, NULL, 281, 9),
(42400, NULL, 'PR01367', NULL, NULL, 'Beta- and gamma-crystallin family signature', NULL, 'BGCRYSTALLIN', NULL, NULL, 2197, 9),
(42401, NULL, 'PR00557', NULL, NULL, 'Alpha-1A adrenergic receptor signature', NULL, 'ADRENRGCA1AR', NULL, NULL, 3077, 9),
(42402, NULL, 'PR01661', NULL, NULL, 'Mini-chromosome maintenance (MCM) protein 5 signature', NULL, 'MCMPROTEIN5', NULL, NULL, 5370, 9),
(42403, NULL, 'PR01969', NULL, NULL, 'Tumour necrosis factor receptor 19 signature', NULL, 'TNFACTORR19', NULL, NULL, 16355, 9),
(42404, NULL, 'PR00712', NULL, NULL, 'Brain natriuretic peptide signature', NULL, 'BNATPEPTIDE', NULL, NULL, 5133, 9),
(42405, NULL, 'PR01633', NULL, NULL, 'R-type voltage-dependent calcium channel alpha-1 subunit signature', NULL, 'RVDCCALPHA1', NULL, NULL, 879, 9),
(42406, NULL, 'PR00588', NULL, NULL, 'Somatostatin receptor type 2 signature', NULL, 'SOMATOSTTN2R', NULL, NULL, 5402, 9),
(42407, NULL, 'PR01898', NULL, NULL, 'Bacterial superantigen superfamily signature', NULL, 'SAGSUPRFAMLY', NULL, NULL, 8982, 9),
(42408, NULL, 'PR01544', NULL, NULL, 'Arabidopsis thaliana 130.7kDa hypothetical protein signature', NULL, 'ARATH130DUF', NULL, NULL, 1821, 9),
(42409, NULL, 'PR00723', NULL, NULL, 'Subtilisin serine protease family (S8) signature', NULL, 'SUBTILISIN', NULL, NULL, 8056, 9),
(42410, NULL, 'PR00936', NULL, NULL, 'Lambda phage regulatory protein CIII signature', NULL, 'BPLRPCIII', NULL, NULL, 11304, 9),
(42411, NULL, 'PR00415', NULL, NULL, 'Aconitase family signature', NULL, 'ACONITASE', NULL, NULL, 4349, 9),
(42412, NULL, 'PR00810', NULL, NULL, 'Bacterial general secretion pathway protein C signature', NULL, 'BCTERIALGSPC', NULL, NULL, 3990, 9),
(42413, NULL, 'PR00710', NULL, NULL, 'Natriuretic peptide family signature', NULL, 'NATPEPTIDES', NULL, NULL, 5758, 9),
(42414, NULL, 'PR00498', NULL, NULL, 'Neutrophil cytosol factor 1 signature', NULL, 'P47PHOX', NULL, NULL, 5162, 9),
(42415, NULL, 'PR00250', NULL, NULL, 'Fungal pheromone mating factor STE2 GPCR signature', NULL, 'GPCRSTE2', NULL, NULL, 371, 9),
(42416, NULL, 'PR01510', NULL, NULL, 'Kv1.3 voltage-gated K+ channel signature', NULL, 'KV13CHANNEL', NULL, NULL, 724, 9),
(42417, NULL, 'PR00340', NULL, NULL, 'P-II protein signature', NULL, 'PIIGLNB', NULL, NULL, 6080, 9),
(42418, NULL, 'PR00429', NULL, NULL, 'Thromboxane receptor signature', NULL, 'THROMBOXANER', NULL, NULL, 2061, 9),
(42419, NULL, 'PR01758', NULL, NULL, 'Capsule biosynthesis protein CapB signature', NULL, 'CAPSULEPROTB', NULL, NULL, 7506, 9),
(42420, NULL, 'PR02007', NULL, NULL, 'Pheromone-binding protein Gp-9 signature', NULL, 'ODORANTBPGP9', NULL, NULL, 16060, 9),
(42421, NULL, 'PR01580', NULL, NULL, 'KCNAB voltage-gated K+ channel beta-3 subunit signature', NULL, 'KCNAB3CHANEL', NULL, NULL, 7231, 9),
(42422, NULL, 'PR00642', NULL, NULL, 'EDG-1 sphingosine 1-phosphate receptor signature', NULL, 'EDG1RECEPTOR', NULL, NULL, NULL, 9),
(42423, NULL, 'PR00982', NULL, NULL, 'Lysyl-tRNA synthetase signature', NULL, 'TRNASYNTHLYS', NULL, NULL, 19940, 9);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42424, NULL, 'PR00708', NULL, NULL, 'Alpha-1-acid glycoprotein signature', NULL, 'A1AGLPROTEIN', NULL, NULL, 3054, 9),
(42425, NULL, 'PR00001', NULL, NULL, 'Coagulation factor GLA domain signature', NULL, 'GLABLOOD', NULL, NULL, 4589, 9),
(42426, NULL, 'PR00689', NULL, NULL, 'Acyl-coA-binding protein signature', NULL, 'ACOABINDINGP', NULL, NULL, 5745, 9),
(42427, NULL, 'PR00594', NULL, NULL, 'P2Y2 purinoceptor signature', NULL, 'P2Y2PRNOCPTR', NULL, NULL, 4684, 9),
(42428, NULL, 'PR01004', NULL, NULL, 'Flagellar FliJ protein signature', NULL, 'FLGFLIJ', NULL, NULL, 13271, 9),
(42429, NULL, 'PR00359', NULL, NULL, 'B-class P450 signature', NULL, 'BP450', NULL, NULL, 6365, 9),
(42430, NULL, 'PR00604', NULL, NULL, 'Class IA and IB cytochrome C signature', NULL, 'CYTCHRMECIAB', NULL, NULL, 6455, 9),
(42431, NULL, 'PR00444', NULL, NULL, 'HIV R-ORF/X-ORF protein signature', NULL, 'HIVVPRVPX', NULL, NULL, 2506, 9),
(42432, NULL, 'PR00287', NULL, NULL, 'Plant thionin signature', NULL, 'THIONIN', NULL, NULL, 2401, 9),
(42433, NULL, 'PR01708', NULL, NULL, '5-hydroxytryptamine 3 receptor signature', NULL, '5HT3RECEPTOR', NULL, NULL, 6209, 9),
(42434, NULL, 'PR01771', NULL, NULL, 'ERK3/4 MAP kinase signature', NULL, 'ERK3ERK4MAPK', NULL, NULL, 7787, 9),
(42435, NULL, 'PR01184', NULL, NULL, 'Ornatin signature', NULL, 'ORNATIN', NULL, NULL, 7061, 9),
(42436, NULL, 'PR01687', NULL, NULL, 'CYP2E P450 family signature', NULL, 'EP450ICYP2E', NULL, NULL, 5026, 9),
(42437, NULL, 'PR01434', NULL, NULL, 'NADH-ubiquinone oxidoreductase chain 5 signature', NULL, 'NADHDHGNASE5', NULL, NULL, NULL, 9),
(42438, NULL, 'PR01929', NULL, NULL, 'Interleukin-13 signature', NULL, 'INTRLEUKIN13', NULL, NULL, 19798, 9),
(42439, NULL, 'PR01208', NULL, NULL, 'Na-K-Cl co-transporter 1 signature', NULL, 'NAKCLTRSPRT1', NULL, NULL, 7195, 9),
(42440, NULL, 'PR01957', NULL, NULL, 'CYP2F P450 family signature', NULL, 'EP450ICYP2F', NULL, NULL, 19861, 9),
(42441, NULL, 'PR01395', NULL, NULL, 'Bordetella pertussis toxin A subunit signature', NULL, 'BORPETOXINA', NULL, NULL, 4425, 9),
(42442, NULL, 'PR01779', NULL, NULL, 'Lantibiotic leader peptide processing protein signature', NULL, 'LANTIPROCESS', NULL, NULL, 7932, 9),
(42443, NULL, 'PR01644', NULL, NULL, 'Transient receptor potential channel 3 signature', NULL, 'TRPCHANNEL3', NULL, NULL, 979, 9),
(42444, NULL, 'PR01721', NULL, NULL, 'Fractalkine/neurotactin precursor signature', NULL, 'FRACTALKINE', NULL, NULL, NULL, 9),
(42445, NULL, 'PR01741', NULL, NULL, 'Septin 3 signature', NULL, 'SEPTIN3', NULL, NULL, 6425, 9),
(42446, NULL, 'PR00938', NULL, NULL, 'Brachyury protein family signature', NULL, 'BRACHYURY', NULL, NULL, 5271, 9),
(42447, NULL, 'PR02043', NULL, NULL, 'Cancer susceptibility candidate protein 1 signature', NULL, 'CANCERSCCP1', NULL, NULL, 15810, 9),
(42448, NULL, 'PR00420', NULL, NULL, 'Aromatic-ring hydroxylase (flavoprotein monooxygenase) signature', NULL, 'RNGMNOXGNASE', NULL, NULL, NULL, 9),
(42449, NULL, 'PR00992', NULL, NULL, 'Alanine racemase signature', NULL, 'ALARACEMASE', NULL, NULL, 4706, 9),
(42450, NULL, 'PR01884', NULL, NULL, 'Myelin and lymphocyte protein family', NULL, 'MALPROTEIN', NULL, NULL, 8704, 9),
(42451, NULL, 'PR01976', NULL, NULL, 'Insulin-like growth factor-binding protein family signature', NULL, 'IGFBPFAMILY', NULL, NULL, 15546, 9),
(42452, NULL, 'PR01814', NULL, NULL, 'Plant annexin signature', NULL, 'ANNEXINPLANT', NULL, NULL, 10612, 9),
(42453, NULL, 'PR00787', NULL, NULL, 'Streptomyces extracellular neutral proteinase (M7) family signature', NULL, 'NEUTRALPTASE', NULL, NULL, 2739, 9),
(42454, NULL, 'PR00809', NULL, NULL, 'Rice seed allergenic protein RAG signature', NULL, 'RAGALLERGEN', NULL, NULL, 6731, 9),
(42455, NULL, 'PR01102', NULL, NULL, '5-hydroxytryptamine 6 receptor signature', NULL, '5HT6RECEPTR', NULL, NULL, NULL, 9),
(42456, NULL, 'PR00548', NULL, NULL, 'Hyperglycemic hormone type 1 signature', NULL, 'HYPRGLYCEMC1', NULL, NULL, 272, 9),
(42457, NULL, 'PR00979', NULL, NULL, 'Tafazzin signature', NULL, 'TAFAZZIN', NULL, NULL, 4568, 9);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42458, NULL, 'PR00202', NULL, NULL, 'Annexin type VI signature', NULL, 'ANNEXINVI', NULL, NULL, 6644, 9),
(42459, NULL, 'PR01179', NULL, NULL, 'Ornithine/diaminopimelate/arginine (ODA) decarboxylase family signature', NULL, 'ODADCRBXLASE', NULL, NULL, 3587, 9),
(42460, NULL, 'PR02098', NULL, NULL, 'Hydrolethalus syndrome protein 1 signature', NULL, 'HYLETHALUSS1', NULL, NULL, 28373, 9),
(42461, NULL, 'PR00655', NULL, NULL, 'Auxin binding protein signature', NULL, 'AUXINBINDNGP', NULL, NULL, 5665, 9),
(42462, NULL, 'PR01259', NULL, NULL, 'Na+/Ca2+ exchanger signature', NULL, 'NACAEXCHNGR', NULL, NULL, 4268, 9),
(42463, NULL, 'PR00786', NULL, NULL, 'Neprilysin metalloprotease (M13) family signature', NULL, 'NEPRILYSIN', NULL, NULL, 9035, 9),
(42464, NULL, 'PR01775', NULL, NULL, 'Bacterial glucose-fructose oxidoreductase signature', NULL, 'GLFROXRDTASE', NULL, NULL, 7794, 9),
(42465, NULL, 'PR00697', NULL, NULL, 'C.elegans Sra family integral membrane protein signature', NULL, 'TMPROTEINSRA', NULL, NULL, 491, 9),
(42466, NULL, 'PR01431', NULL, NULL, 'Tuberin signature', NULL, 'TUBERIN', NULL, NULL, 6005, 9),
(42467, NULL, 'PR00285', NULL, NULL, 'Scorpion toxin signature', NULL, 'SCORPNTOXIN', NULL, NULL, 17195, 9),
(42468, NULL, 'PR00593', NULL, NULL, 'Metabotropic glutamate receptor signature', NULL, 'MTABOTROPICR', NULL, NULL, 3987, 9),
(42469, NULL, 'PR01805', NULL, NULL, 'VacJ lipoprotein signature', NULL, 'VACJLIPOPROT', NULL, NULL, 3576, 9),
(42470, NULL, 'PR00519', NULL, NULL, '5-hydroxytryptamine 5B receptor signature', NULL, '5HT5BRECEPTR', NULL, NULL, 6573, 9),
(42471, NULL, 'PR00612', NULL, NULL, 'Alpha haemoglobin signature', NULL, 'ALPHAHAEM', NULL, NULL, 6696, 9),
(42472, NULL, 'PR01761', NULL, NULL, 'Dishevelled-1 protein signature', NULL, 'DISHEVELLED1', NULL, NULL, NULL, 9),
(42473, NULL, 'PR01618', NULL, NULL, 'Gamma-aminobutyric-acid A receptor alpha 5 subunit signature', NULL, 'GABAARALPHA5', NULL, NULL, 344, 9),
(42474, NULL, 'PR00781', NULL, NULL, 'Lipoprotein signal peptidase family (A8) signature', NULL, 'LIPOSIGPTASE', NULL, NULL, 4261, 9),
(42475, NULL, 'PR00835', NULL, NULL, 'Regulatory protein Rop signature', NULL, 'ROPREGULATRY', NULL, NULL, 3845, 9),
(42476, NULL, 'PR00410', NULL, NULL, 'Phenol hydroxylase reductase family signature', NULL, 'PHEHYDRXLASE', NULL, NULL, NULL, 9),
(42477, NULL, 'PR02110', NULL, NULL, 'Mas-related G protein-coupled receptor D signature', NULL, 'MRGPCRD', NULL, NULL, 28581, 9),
(42478, NULL, 'PR02034', NULL, NULL, 'Liver X receptor signature', NULL, 'LIVERXRECPTR', NULL, NULL, 18901, 9),
(42479, NULL, 'PR01811', NULL, NULL, 'Annexin type XIII signature', NULL, 'ANNEXINXIII', NULL, NULL, 10206, 9),
(42480, NULL, 'PR00010', NULL, NULL, 'Type II EGF-like signature', NULL, 'EGFBLOOD', NULL, NULL, NULL, 9),
(42481, NULL, 'PR00529', NULL, NULL, 'Gonadotrophin releasing hormone receptor signature', NULL, 'GNADOTRPHINR', NULL, NULL, 3397, 9),
(42482, NULL, 'PR01966', NULL, NULL, 'Tumour necrosis factor receptor 16 signature', NULL, 'TNFACTORR16', NULL, NULL, 15503, 9),
(42483, NULL, 'PR00384', NULL, NULL, 'Opioid receptor signature', NULL, 'OPIOIDR', NULL, NULL, 6853, 9),
(42484, NULL, 'PR01632', NULL, NULL, 'P/Q-type voltage-dependent calcium channel alpha-1 subunit signature', NULL, 'PQVDCCALPHA1', NULL, NULL, 86, 9),
(42485, NULL, 'PR01058', NULL, NULL, 'Metabotropic glutamate receptor 8 signature', NULL, 'MTABOTROPC8R', NULL, NULL, 3598, 9),
(42486, NULL, 'PR01000', NULL, NULL, 'Sterol regulatory element binding protein site 2 protease (M50) signature', NULL, 'SREBPS2PTASE', NULL, NULL, 1333, 9),
(42487, NULL, 'PR01932', NULL, NULL, 'Interleukin-17 signature', NULL, 'INTRLEUKIN17', NULL, NULL, 20630, 9),
(42488, NULL, 'PR01133', NULL, NULL, 'Gap junction alpha-3 protein signature', NULL, 'CONNEXINA3', NULL, NULL, 468, 9),
(42489, NULL, 'PR00782', NULL, NULL, 'Leishmanolysin (M8) metalloprotease family signature', NULL, 'LSHMANOLYSIN', NULL, NULL, 5093, 9),
(42490, NULL, 'PR01625', NULL, NULL, 'Omega-class glutathione S-transferase signature', NULL, 'GSTRNSFRASEO', NULL, NULL, 500, 9);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42491, NULL, 'PR01677', NULL, NULL, 'Glycine receptor beta subunit signature', NULL, 'GLYRBETA', NULL, NULL, 5091, 9),
(42492, NULL, 'PR00459', NULL, NULL, 'Plant ascorbate peroxidase signature', NULL, 'ASPEROXIDASE', NULL, NULL, 6416, 9),
(42493, NULL, 'PR00152', NULL, NULL, 'RuBisCO small subunit signature', NULL, 'RUBISCOSMALL', NULL, NULL, 25880, 9),
(42494, NULL, 'PR00584', NULL, NULL, 'Prostanoid EP3 receptor type 2 signature', NULL, 'PRSTNOIDE32R', NULL, NULL, 6371, 9),
(42495, NULL, 'PR00453', NULL, NULL, 'Von Willebrand factor type A domain signature', NULL, 'VWFADOMAIN', NULL, NULL, NULL, 9),
(42496, NULL, 'PR00994', NULL, NULL, 'B2 bradykinin receptor signature', NULL, 'BRADYKINNB2R', NULL, NULL, 3095, 9),
(42497, NULL, 'PR01155', NULL, NULL, 'Vasoactive intestinal peptide receptor 2 signature', NULL, 'VIP2RECEPTOR', NULL, NULL, 5217, 9),
(42498, NULL, 'PR00794', NULL, NULL, 'Pancreatic ribonuclease family signature', NULL, 'RIBONUCLEASE', NULL, NULL, 3292, 9),
(42499, NULL, 'PR01813', NULL, NULL, 'Fungal annexin type XIV signature', NULL, 'ANNEXINFUNGI', NULL, NULL, 10874, 9),
(42500, NULL, 'PR02101', NULL, NULL, 'Immunogenic miracidial antigen 8I'' signature', NULL, 'A8IMIRACIDIA', NULL, NULL, 26475, 9),
(42501, NULL, 'PR01612', NULL, NULL, 'Corticotropin-releasing factor family signature', NULL, 'CRFFAMILY', NULL, NULL, 509, 9),
(42502, NULL, 'PR01954', NULL, NULL, 'Epidermin biosynthesis protein EpiC signature', NULL, 'EPICPROTEIN', NULL, NULL, 20134, 9),
(42503, NULL, 'PR00620', NULL, NULL, 'Histone H2A signature', NULL, 'HISTONEH2A', NULL, NULL, 1463, 9),
(42504, NULL, 'PR00018', NULL, NULL, 'Kringle domain signature', NULL, 'KRINGLE', NULL, NULL, NULL, 9),
(42505, NULL, 'PR01270', NULL, NULL, 'Histone deacetylase superfamily signature', NULL, 'HDASUPER', NULL, NULL, 4930, 9),
(42506, NULL, 'PR00356', NULL, NULL, 'Type II antifreeze protein signature', NULL, 'ANTIFREEZEII', NULL, NULL, 6469, 9),
(42507, NULL, 'PR01221', NULL, NULL, 'Rodent urinary protein signature', NULL, 'MAJORURINARY', NULL, NULL, 7382, 9),
(42508, NULL, 'PR01615', NULL, NULL, 'Gamma-aminobutyric-acid A receptor alpha 2 subunit signature', NULL, 'GABAARALPHA2', NULL, NULL, 421, 9),
(42509, NULL, 'PR00245', NULL, NULL, 'Olfactory receptor signature', NULL, 'OLFACTORYR', NULL, NULL, 6911, 9),
(42510, NULL, 'PR01635', NULL, NULL, 'Voltage-dependent L-type calcium channel alpha-1C subunit signature', NULL, 'LVDCCALPHA1C', NULL, NULL, 668, 9),
(42511, NULL, 'PR00717', NULL, NULL, 'GPCR kinase signature', NULL, 'GPCRKINASE', NULL, NULL, 729, 9),
(42512, NULL, 'PR00473', NULL, NULL, 'Galactokinase signature', NULL, 'GALCTOKINASE', NULL, NULL, 3749, 9),
(42513, NULL, 'PR01894', NULL, NULL, 'Wnt-14 protein signature', NULL, 'WNT14PROTEIN', NULL, NULL, 8685, 9),
(42514, NULL, 'PR00600', NULL, NULL, 'Protein phosphatase PP2A 55kDa regulatory subunit signature', NULL, 'PP2APR55', NULL, NULL, 2914, 9),
(42515, NULL, 'PR01647', NULL, NULL, 'Transient receptor potential channel 6 signature', NULL, 'TRPCHANNEL6', NULL, NULL, 982, 9),
(42516, NULL, 'PR00076', NULL, NULL, '6-phosphogluconate dehydrogenase signature', NULL, '6PGDHDRGNASE', NULL, NULL, 11077, 9),
(42517, NULL, 'PR01353', NULL, NULL, 'Glucagon family receptor signature', NULL, 'GLUCAGNFAMLY', NULL, NULL, 3313, 9),
(42518, NULL, 'PR01629', NULL, NULL, 'T-type voltage-dependent calcium channel alpha-1 subunit signature', NULL, 'TVDCCALPHA1', NULL, NULL, 114, 9),
(42519, NULL, 'PR01728', NULL, NULL, 'KiSS-1 peptide receptor signature', NULL, 'KISS1RECEPTR', NULL, NULL, 6250, 9),
(42520, NULL, 'PR00118', NULL, NULL, 'Beta-lactamase class A signature', NULL, 'BLACTAMASEA', NULL, NULL, 55, 9),
(42521, NULL, 'PR01484', NULL, NULL, 'Pertactin virulence factor family signature', NULL, 'PRTACTNFAMLY', NULL, NULL, 7012, 9),
(42522, NULL, 'PR00226', NULL, NULL, 'Geminivirus MSV 27kDa coat protein signature', NULL, 'GEMCOATMSV', NULL, NULL, 1761, 9),
(42523, NULL, 'PR01911', NULL, NULL, 'Plant and fungal dual specificity phosphatase signature', NULL, 'PFDSPHPHTASE', NULL, NULL, 20073, 9);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42524, NULL, 'PR01841', NULL, NULL, 'Wnt-1 protein signature', NULL, 'WNT1PROTEIN', NULL, NULL, 10959, 9),
(42525, NULL, 'PR01583', NULL, NULL, 'Kv3.4 voltage-gated K+ channel signature', NULL, 'KV34CHANNEL', NULL, NULL, 7201, 9),
(42526, NULL, 'PR00369', NULL, NULL, 'Flavodoxin signature', NULL, 'FLAVODOXIN', NULL, NULL, 1296, 9),
(42527, NULL, 'PR01110', NULL, NULL, 'C-C chemokine receptor type 5 signature', NULL, 'CHEMOKINER5', NULL, NULL, 266, 9),
(42528, NULL, 'PR00957', NULL, NULL, 'Gene 66 (IR5) protein signature', NULL, 'GENE66', NULL, NULL, 3583, 9),
(42529, NULL, 'PR00095', NULL, NULL, 'Anthranilate synthase component I signature', NULL, 'ANTSNTHASEI', NULL, NULL, 17049, 9),
(42530, NULL, 'PR01344', NULL, NULL, 'Salmonella/Shigella invasion protein E (InvE) signature', NULL, 'INVEPROTEIN', NULL, NULL, 6084, 9),
(42531, NULL, 'PR01337', NULL, NULL, 'Type III secretion system outer membrane G protein family signature', NULL, 'TYPE3OMGPROT', NULL, NULL, 6242, 9),
(42532, NULL, 'PR01444', NULL, NULL, 'Latrophilin receptor signature', NULL, 'LATROPHILIN', NULL, NULL, 6267, 9),
(42533, NULL, 'PR01182', NULL, NULL, 'Ornithine decarboxylase signature', NULL, 'ORNDCRBXLASE', NULL, NULL, 7280, 9),
(42534, NULL, 'PR01965', NULL, NULL, 'Tumour necrosis factor receptor 14 signature', NULL, 'TNFACTORR14', NULL, NULL, 15767, 9),
(42535, NULL, 'PR01001', NULL, NULL, 'FAD-dependent glycerol-3-phosphate dehydrogenase family signature', NULL, 'FADG3PDH', NULL, NULL, 5772, 9),
(42536, NULL, 'PR00830', NULL, NULL, 'Endopeptidase La (Lon) serine protease (S16) signature', NULL, 'ENDOLAPTASE', NULL, NULL, NULL, 9),
(42537, NULL, 'PR01248', NULL, NULL, 'Type I keratin signature', NULL, 'TYPE1KERATIN', NULL, NULL, 7237, 9),
(42538, NULL, 'PR00233', NULL, NULL, 'Icosahedral viral capsid protein signature', NULL, 'ICOSAHEDRAL', NULL, NULL, 349, 9),
(42539, NULL, 'PR01955', NULL, NULL, 'Frankia sp. LanC-like protein signature', NULL, 'LANCFRANKIA', NULL, NULL, NULL, 9),
(42540, NULL, 'PR00488', NULL, NULL, 'Five-lipoxygenase activating protein signature', NULL, '5LPOXGNASEAP', NULL, NULL, 6937, 9),
(42541, NULL, 'PR00914', NULL, NULL, 'Luteovirus (ORF3) RNA-directed RNA-polymerase signature', NULL, 'LVIRUSRNAPOL', NULL, NULL, 4083, 9),
(42542, NULL, 'PR00967', NULL, NULL, 'Acute myeloid leukemia 1 protein signature', NULL, 'ONCOGENEAML1', NULL, NULL, 2749, 9),
(42543, NULL, 'PR00166', NULL, NULL, 'Aromatic amino acid permease signature', NULL, 'AROAAPRMEASE', NULL, NULL, 12068, 9),
(42544, NULL, 'PR00817', NULL, NULL, 'Beta-type calcitonin signature', NULL, 'CALCITONINB', NULL, NULL, 9046, 9),
(42545, NULL, 'PR01045', NULL, NULL, 'Glycyl-tRNA synthetase beta subunit signature', NULL, 'TRNASYNTHGB', NULL, NULL, 8361, 9),
(42546, NULL, 'PR01180', NULL, NULL, 'Arginine decarboxylase signature', NULL, 'ARGDCRBXLASE', NULL, NULL, 7263, 9),
(42547, NULL, 'PR00184', NULL, NULL, 'Neisseria sp. porin signature', NULL, 'NEISSPPORIN', NULL, NULL, 6678, 9),
(42548, NULL, 'PR00734', NULL, NULL, 'Glycosyl hydrolase family 7 signature', NULL, 'GLHYDRLASE7', NULL, NULL, 3032, 9),
(42549, NULL, 'PR01987', NULL, NULL, 'Neurogenic locus Notch protein 4 signature', NULL, 'NOTCH4', NULL, NULL, 16143, 9),
(42550, NULL, 'PR01705', NULL, NULL, 'Thrombospondin type 1 repeat signature', NULL, 'TSP1REPEAT', NULL, NULL, NULL, 9),
(42551, NULL, 'PR00148', NULL, NULL, 'Enolase signature', NULL, 'ENOLASE', NULL, NULL, 3112, 9),
(42552, NULL, 'PR01917', NULL, NULL, 'Venom nerve growth factor signature', NULL, 'VENOMNGF', NULL, NULL, 20542, 9),
(42553, NULL, 'PR00086', NULL, NULL, 'L-lactate dehydrogenase signature', NULL, 'LLDHDRGNASE', NULL, NULL, 5934, 9),
(42554, NULL, 'PR00684', NULL, NULL, 'Phage T4 lysozyme signature', NULL, 'T4LYSOZYME', NULL, NULL, 1257, 9),
(42555, NULL, 'PR01984', NULL, NULL, 'Neurogenic locus Notch protein 1 signature', NULL, 'NOTCH1', NULL, NULL, 16321, 9),
(42556, NULL, 'PR01503', NULL, NULL, 'Treacher Collins syndrome protein Treacle signature', NULL, 'TREACLE', NULL, NULL, NULL, 9),
(42557, NULL, 'PR02020', NULL, NULL, 'Aquaporin-8 signature', NULL, 'AQUAPORIN8', NULL, NULL, 17699, 9);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42558, NULL, 'PR01717', NULL, NULL, 'CD28 antigen signature', NULL, 'CD28ANTIGEN', NULL, NULL, 6467, 9),
(42559, NULL, 'PR01077', NULL, NULL, 'Claudin family signature', NULL, 'CLAUDIN', NULL, NULL, NULL, 9),
(42560, NULL, 'PR01481', NULL, NULL, 'Neurotensin type 2 receptor signature', NULL, 'NEUROTENSN2R', NULL, NULL, 7048, 9),
(42561, NULL, 'PR00293', NULL, NULL, 'Squash serine protease inhibitor signature', NULL, 'SQUASHINHBTR', NULL, NULL, 6711, 9),
(42562, NULL, 'PR01667', NULL, NULL, 'Voltage-gated Na+ channel alpha 8 subunit signature', NULL, 'NACHANNEL8', NULL, NULL, 5163, 9),
(42563, NULL, 'PR01443', NULL, NULL, 'Transcription initiation factor TFIID 23-30kDa subunit signature', NULL, 'TFIID30KDSUB', NULL, NULL, 6240, 9),
(42564, NULL, 'PR01546', NULL, NULL, 'Saccharomyces cerevisiae 73.5kDa hypothetical protein signature', NULL, 'YEAST73DUF', NULL, NULL, 5754, 9),
(42565, NULL, 'PR01003', NULL, NULL, 'Flagellar assembly protein FliH signature', NULL, 'FLGFLIH', NULL, NULL, 5612, 9),
(42566, NULL, 'PR01640', NULL, NULL, 'Plant profilin signature', NULL, 'PROFILINPLNT', NULL, NULL, 769, 9),
(42567, NULL, 'PR00120', NULL, NULL, 'H+-transporting ATPase (proton pump) signature', NULL, 'HATPASE', NULL, NULL, 3382, 9),
(42568, NULL, 'PR00146', NULL, NULL, 'Dihydrodipicolinate synthase signature', NULL, 'DHPICSNTHASE', NULL, NULL, 6149, 9),
(42569, NULL, 'PR01027', NULL, NULL, 'OMS28 porin signature', NULL, 'OMS28PORIN', NULL, NULL, 255, 9),
(42570, NULL, 'PR01452', NULL, NULL, 'LIN-12/notch repeat (LNR) signature', NULL, 'LNOTCHREPEAT', NULL, NULL, 6643, 9),
(42571, NULL, 'PR00460', NULL, NULL, 'Bacterial haem catalase-peroxidase signature', NULL, 'BPEROXIDASE', NULL, NULL, 6556, 9),
(42572, NULL, 'PR00985', NULL, NULL, 'Leucyl-tRNA synthetase signature', NULL, 'TRNASYNTHLEU', NULL, NULL, 6756, 9),
(42573, NULL, 'PR00725', NULL, NULL, 'D-Ala-D-Ala carboxypeptidase 1 (S11) family signature', NULL, 'DADACBPTASE1', NULL, NULL, 13577, 9),
(42574, NULL, 'PR02040', NULL, NULL, 'Cyclin-dependent kinase 2-interacting protein signature', NULL, 'CDK2IP', NULL, NULL, 9234, 9),
(42575, NULL, 'PR01995', NULL, NULL, 'UPF0595 uncharacterised protein signature', NULL, 'UPF0595', NULL, NULL, 19417, 9),
(42576, NULL, 'PR00450', NULL, NULL, 'Recoverin family signature', NULL, 'RECOVERIN', NULL, NULL, NULL, 9),
(42577, NULL, 'PR00843', NULL, NULL, 'Glycosyl hydrolase family 30 signature', NULL, 'GLHYDRLASE30', NULL, NULL, 1479, 9),
(42578, NULL, 'PR02071', NULL, NULL, 'Pancreatic progenitor cell differentiation & proliferation factor signature', NULL, 'PPDPFACTOR', NULL, NULL, NULL, 9),
(42579, NULL, 'PR01940', NULL, NULL, 'Neurotrophic tyrosine kinase receptor type 1 signature', NULL, 'NTKRECEPTOR1', NULL, NULL, 19414, 9),
(42580, NULL, 'PR00784', NULL, NULL, 'Mitochondrial brown fat uncoupling protein signature', NULL, 'MTUNCOUPLING', NULL, NULL, 2385, 9),
(42581, NULL, 'PR00158', NULL, NULL, 'Rusticyanin signature', NULL, 'RUSTICYANIN', NULL, NULL, 628, 9),
(42582, NULL, 'PR00336', NULL, NULL, 'Lysosome-associated membrane glycoprotein signature', NULL, 'LYSASSOCTDMP', NULL, NULL, 5074, 9),
(42583, NULL, 'PR01483', NULL, NULL, 'Fatty acid synthase signature', NULL, 'FASYNTHASE', NULL, NULL, 7070, 9),
(42584, NULL, 'PR00276', NULL, NULL, 'Insulin family signature', NULL, 'INSULINFAMLY', NULL, NULL, 21448, 9),
(42585, NULL, 'PR00884', NULL, NULL, 'Ribosomal protein HS6 signature', NULL, 'RIBOSOMALHS6', NULL, NULL, 3154, 9),
(42586, NULL, 'PR01170', NULL, NULL, 'Alcohol dehydrogenase related protein signature', NULL, 'ADHRELATED', NULL, NULL, 7006, 9),
(42587, NULL, 'PR00778', NULL, NULL, 'Bacterial regulatory protein ArsR family signature', NULL, 'HTHARSR', NULL, NULL, 4091, 9),
(42588, NULL, 'PR00169', NULL, NULL, 'Potassium channel signature', NULL, 'KCHANNEL', NULL, NULL, NULL, 9),
(42589, NULL, 'PR01371', NULL, NULL, 'Salmonella/Yersinia modular tyrosine phosphatase signature', NULL, 'BACYPHPHTASE', NULL, NULL, 7110, 9),
(42590, NULL, 'PR00879', NULL, NULL, 'Fish acetylcholinesterase signature', NULL, 'ACHEFISH', NULL, NULL, 3337, 9);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42591, NULL, 'PR02063', NULL, NULL, 'DNA damage checkpoint protein 1 signature', NULL, 'DNADAMAGECP1', NULL, NULL, 27527, 9),
(42592, NULL, 'PR00326', NULL, NULL, 'GTP1/OBG GTP-binding protein family signature', NULL, 'GTP1OBG', NULL, NULL, 2970, 9),
(42593, NULL, 'PR01360', NULL, NULL, 'Interleukin-1 receptor antagonist precursor IL-1RA signature', NULL, 'INTRLEUKIN1X', NULL, NULL, 3258, 9),
(42594, NULL, 'PR00363', NULL, NULL, 'Cytochrome B5 signature', NULL, 'CYTOCHROMEB5', NULL, NULL, 1476, 9),
(42595, NULL, 'PR01346', NULL, NULL, 'Helicobacter neutrophil-activating protein A family signature', NULL, 'HELNAPAPROT', NULL, NULL, 492, 9),
(42596, NULL, 'PR00868', NULL, NULL, 'DNA-polymerase family A (pol I) signature', NULL, 'DNAPOLI', NULL, NULL, 120, 9),
(42597, NULL, 'PR01454', NULL, NULL, 'Epithelial membrane protein EMP-1 signature', NULL, 'EPMEMPROT1', NULL, NULL, 6168, 9),
(42598, NULL, 'PR00399', NULL, NULL, 'Synaptotagmin signature', NULL, 'SYNAPTOTAGMN', NULL, NULL, 5045, 9),
(42599, NULL, 'PR01196', NULL, NULL, 'GAT-2 GABA neurotransmitter transporter signature', NULL, 'GAT2TRNSPORT', NULL, NULL, 7218, 9),
(42600, NULL, 'PR01238', NULL, NULL, 'CC24 mitochondrial P450 signature', NULL, 'MITP450CC24', NULL, NULL, 6516, 9),
(42601, NULL, 'PR00724', NULL, NULL, 'Carboxypeptidase C serine protease (S10) family signature', NULL, 'CRBOXYPTASEC', NULL, NULL, 5398, 9),
(42602, NULL, 'PR00377', NULL, NULL, 'Inositol monophosphatase superfamily signature', NULL, 'IMPHPHTASES', NULL, NULL, 3693, 9),
(42603, NULL, 'PR01626', NULL, NULL, 'L-type calcium channel beta subunit signature', NULL, 'LCACHANNELB', NULL, NULL, 5545, 9),
(42604, NULL, 'PR00926', NULL, NULL, 'Mitochondrial carrier protein signature', NULL, 'MITOCARRIER', NULL, NULL, 5471, 9),
(42605, NULL, 'PR00753', NULL, NULL, '1-aminocyclopropane-1-carboxylate synthase signature', NULL, 'ACCSYNTHASE', NULL, NULL, NULL, 9),
(42606, NULL, 'PR00280', NULL, NULL, 'Channel forming colicin signature', NULL, 'CHANLCOLICIN', NULL, NULL, 4571, 9),
(42607, NULL, 'PR00964', NULL, NULL, 'Movement protein signature', NULL, 'MOVEMENT', NULL, NULL, 1482, 9),
(42608, NULL, 'PR00916', NULL, NULL, '2C endopeptidase (C24) cysteine protease family signature', NULL, '2CENDOPTASE', NULL, NULL, 4534, 9),
(42609, NULL, 'PR01053', NULL, NULL, 'Metabotropic glutamate receptor 3 signature', NULL, 'MTABOTROPC3R', NULL, NULL, 2144, 9),
(42610, NULL, 'PR01922', NULL, NULL, 'Tumour necrosis factor receptor 5 signature', NULL, 'TNFACTORR5', NULL, NULL, 20728, 9),
(42611, NULL, 'PR00238', NULL, NULL, 'Opsin signature', NULL, 'OPSIN', NULL, NULL, 3478, 9),
(42612, NULL, 'PR01797', NULL, NULL, 'Saposin signature', NULL, 'SAPOSIN', NULL, NULL, 7945, 9),
(42613, NULL, 'PR01979', NULL, NULL, 'Insulin-like growth factor-binding protein 3 signature', NULL, 'IGFBPFAMILY3', NULL, NULL, 14133, 9),
(42614, NULL, 'PR00981', NULL, NULL, 'Seryl-tRNA synthetase signature', NULL, 'TRNASYNTHSER', NULL, NULL, 6637, 9),
(42615, NULL, 'PR01017', NULL, NULL, 'Neuropeptide Y6 receptor signature', NULL, 'NRPEPTIDEY6R', NULL, NULL, 423, 9),
(42616, NULL, 'PR00029', NULL, NULL, 'Octamer-binding transcription factor signature', NULL, 'OCTAMER', NULL, NULL, 3480, 9),
(42617, NULL, 'PR01013', NULL, NULL, 'Neuropeptide Y1 receptor signature', NULL, 'NRPEPTIDEY1R', NULL, NULL, 144, 9),
(42618, NULL, 'PR00108', NULL, NULL, 'Thymidylate synthase family signature', NULL, 'THYMDSNTHASE', NULL, NULL, 6992, 9),
(42619, NULL, 'PR01504', NULL, NULL, 'Pancreatitis-associated protein signature', NULL, 'PNCREATITSAP', NULL, NULL, NULL, 9),
(42620, NULL, 'PR01591', NULL, NULL, 'DNA-binding protein FIS signature', NULL, 'DNABINDNGFIS', NULL, NULL, 7069, 9),
(42621, NULL, 'PR00117', NULL, NULL, 'Barnase signature', NULL, 'BARNASE', NULL, NULL, 4147, 9),
(42622, NULL, 'PR00613', NULL, NULL, 'Myoglobin signature', NULL, 'MYOGLOBIN', NULL, NULL, 6684, 9),
(42623, NULL, 'PR00935', NULL, NULL, 'Band 4.1 protein family signature', NULL, 'BAND41', NULL, NULL, 21349, 9),
(42624, NULL, 'PR00790', NULL, NULL, 'Peptidyl-glycine alpha-amidating monooxygenase signature', NULL, 'PAMONOXGNASE', NULL, NULL, 6997, 9);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42625, NULL, 'PR00699', NULL, NULL, 'C.elegans integral membrane protein Srb signature', NULL, 'TMPROTEINSRB', NULL, NULL, 6214, 9),
(42626, NULL, 'PR01166', NULL, NULL, 'Cytochrome c oxidase subunit II signature', NULL, 'CYCOXIDASEII', NULL, NULL, NULL, 9),
(42627, NULL, 'PR01673', NULL, NULL, 'Glycine receptor alpha subunit signature', NULL, 'GLYRALPHA', NULL, NULL, 6055, 9),
(42628, NULL, 'PR01427', NULL, NULL, 'Transforming growth factor beta 4 precursor signature', NULL, 'TGFBETA4', NULL, NULL, 7042, 9),
(42629, NULL, 'PR00862', NULL, NULL, 'Prolyl oligopeptidase serine protease (S9A) signature', NULL, 'PROLIGOPTASE', NULL, NULL, 7422, 9),
(42630, NULL, 'PR00063', NULL, NULL, 'Ribosomal protein L27 signature', NULL, 'RIBOSOMALL27', NULL, NULL, 3211, 9),
(42631, NULL, 'PR01225', NULL, NULL, 'Expansin/Lol pI family signature', NULL, 'EXPANSNFAMLY', NULL, NULL, 52, 9),
(42632, NULL, 'PR00406', NULL, NULL, 'Cytochrome B5 reductase signature', NULL, 'CYTB5RDTASE', NULL, NULL, NULL, 9),
(42633, NULL, 'PR00714', NULL, NULL, 'Phosphomannose isomerase type I signature', NULL, 'MAN6PISMRASE', NULL, NULL, 19850, 9),
(42634, NULL, 'PR01575', NULL, NULL, 'Formyltetrahydrofolate deformylase signature', NULL, 'FFH4HYDRLASE', NULL, NULL, 4383, 9),
(42635, NULL, 'PR01356', NULL, NULL, 'Anti-sense to fibroblast growth factor protein GFG signature', NULL, 'GFGPROTEIN', NULL, NULL, 3374, 9),
(42636, NULL, 'PR00625', NULL, NULL, 'DnaJ domain signature', NULL, 'JDOMAIN', NULL, NULL, 1247, 9),
(42637, NULL, 'PR00283', NULL, NULL, 'Myotoxin signature', NULL, 'MYOTOXIN', NULL, NULL, 4826, 9),
(42638, NULL, 'PR02018', NULL, NULL, 'Aquaporin-6 signature', NULL, 'AQUAPORIN6', NULL, NULL, 20279, 9),
(42639, NULL, 'PR01494', NULL, NULL, 'Kv9 potassium channel alpha subunit signature', NULL, 'KV9CHANNEL', NULL, NULL, 7340, 9),
(42640, NULL, 'PR02076', NULL, NULL, 'Protein FYV8 signature', NULL, 'PROTEINFYV8', NULL, NULL, 26440, 9),
(42641, NULL, 'PR01824', NULL, NULL, 'Janus kinase 1 (JAK1) signature', NULL, 'JANUSKINASE1', NULL, NULL, 20893, 9),
(42642, NULL, 'PR01579', NULL, NULL, 'KCNAB voltage-gated K+ channel beta-2 subunit signature', NULL, 'KCNAB2CHANEL', NULL, NULL, 7477, 9),
(42643, NULL, 'PR00306', NULL, NULL, 'Serum amyloid A protein signature', NULL, 'SERUMAMYLOID', NULL, NULL, 3860, 9),
(42644, NULL, 'PR02097', NULL, NULL, 'HTLV-1 basic zipper factor signature', NULL, 'HTLV1ZIPPER', NULL, NULL, 28889, 9),
(42645, NULL, 'PR02001', NULL, NULL, 'GCR1-cAMP receptor family signature', NULL, 'GCR1CAMPR', NULL, NULL, 16362, 9),
(42646, NULL, 'PR00440', NULL, NULL, 'G protein alpha subunit group 12 signature', NULL, 'GPROTEINA12', NULL, NULL, 6831, 9),
(42647, NULL, 'PR00641', NULL, NULL, 'C-C chemokine receptor type 7 signature', NULL, 'CHEMOKINER7', NULL, NULL, 3164, 9),
(42648, NULL, 'PR00739', NULL, NULL, 'Glycosyl hydrolase family 26 signature', NULL, 'GLHYDRLASE26', NULL, NULL, 5361, 9),
(42649, NULL, 'PR00516', NULL, NULL, '5-hydroxytryptamine 2A receptor signature', NULL, '5HT2ARECEPTR', NULL, NULL, 6800, 9),
(42650, NULL, 'PR01404', NULL, NULL, 'DATP pyrophosphohydrolase signature', NULL, 'NPPPHYDRLASE', NULL, NULL, 456, 9),
(42651, NULL, 'PR01226', NULL, NULL, 'Expansin signature', NULL, 'EXPANSIN', NULL, NULL, 872, 9),
(42652, NULL, 'PR00686', NULL, NULL, 'Transcription initiation factor TFIID signature', NULL, 'TIFACTORIID', NULL, NULL, 5312, 9),
(42653, NULL, 'PR01241', NULL, NULL, 'Fungal G protein alpha subunit signature', NULL, 'GPROTEINAFNG', NULL, NULL, 7267, 9),
(42654, NULL, 'PR01120', NULL, NULL, 'Plant CLC chloride channel signature', NULL, 'CLCHANNELPLT', NULL, NULL, 85, 9),
(42655, NULL, 'PR01252', NULL, NULL, 'Amphiphysin isoform 1 signature', NULL, 'AMPHIPHYSIN1', NULL, NULL, 241, 9),
(42656, NULL, 'PR00552', NULL, NULL, 'Adenosine A1 receptor signature', NULL, 'ADENOSINEA1R', NULL, NULL, 7038, 9),
(42657, NULL, 'PR01055', NULL, NULL, 'Metabotropic glutamate receptor 5 signature', NULL, 'MTABOTROPC5R', NULL, NULL, 1015, 9),
(42658, NULL, 'PR01562', NULL, NULL, 'Fractalkine receptor signature', NULL, 'FRACTALKINER', NULL, NULL, 6785, 9); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42659, NULL, 'PR00929', NULL, NULL, 'AT-hook-like domain signature', NULL, 'ATHOOK', NULL, NULL, 14683, 9),
(42660, NULL, 'PR01191', NULL, NULL, 'Glucose transporter type 2 (GLUT2) signature', NULL, 'GLUCTRSPORT2', NULL, NULL, 7482, 9),
(42661, NULL, 'PR00405', NULL, NULL, 'HIV Rev interacting protein signature', NULL, 'REVINTRACTNG', NULL, NULL, 1167, 9),
(42662, NULL, 'PR01212', NULL, NULL, 'Alpha-synuclein signature', NULL, 'ASYNUCLEIN', NULL, NULL, 7207, 9),
(42663, NULL, 'PR01411', NULL, NULL, 'Cytochrome c-type biogenesis protein CcmF signature', NULL, 'CCMFBIOGNSIS', NULL, NULL, 205, 9),
(42664, NULL, 'PR01765', NULL, NULL, 'Epithelial calcium channel (ECAC) family signature', NULL, 'ECACCHANNEL', NULL, NULL, 7749, 9),
(42665, NULL, 'PR00286', NULL, NULL, 'Charybdotoxin signature', NULL, 'CHARYBDTOXIN', NULL, NULL, 2156, 9),
(42666, NULL, 'PR00472', NULL, NULL, 'Casein kinase II regulatory subunit family signature', NULL, 'CASNKINASEII', NULL, NULL, 6657, 9),
(42667, NULL, 'PR02041', NULL, NULL, 'Protein family FAM153 signature', NULL, 'PROTEINF153', NULL, NULL, 15623, 9),
(42668, NULL, 'PR01046', NULL, NULL, 'Prolyl-tRNA synthetase signature', NULL, 'TRNASYNTHPRO', NULL, NULL, 6857, 9),
(42669, NULL, 'PR01865', NULL, NULL, 'Bcl-W apoptosis regulator protein signature', NULL, 'APOPREGBCLW', NULL, NULL, 8506, 9),
(42670, NULL, 'PR01085', NULL, NULL, 'Na+/H+ exchanger isoform 1 (NHE1) signature', NULL, 'NAHEXCHNGR1', NULL, NULL, 2311, 9),
(42671, NULL, 'PR01875', NULL, NULL, 'Eight-Twenty-One (ETO) family signature', NULL, 'ETOFAMILY', NULL, NULL, 8689, 9),
(42672, NULL, 'PR00795', NULL, NULL, 'Ryanodine receptor signature', NULL, 'RYANODINER', NULL, NULL, 14158, 9),
(42673, NULL, 'PR01769', NULL, NULL, 'Vanilloid receptor-like 2 protein (VRL-2) family signature', NULL, 'VRL2RECEPTOR', NULL, NULL, 7727, 9),
(42674, NULL, 'PR01122', NULL, NULL, 'Flavin-containing monooxygenase (FMO) 2 signature', NULL, 'FMOXYGENASE2', NULL, NULL, 6222, 9),
(42675, NULL, 'PR02057', NULL, NULL, 'Protein family FAM105B signature', NULL, 'PROTEINF105B', NULL, NULL, 15576, 9),
(42676, NULL, 'PR00998', NULL, NULL, 'Carboxypeptidase Taq (M32) metallopeptidase signature', NULL, 'CRBOXYPTASET', NULL, NULL, 51, 9),
(42677, NULL, 'PR00447', NULL, NULL, 'Natural resistance-associated macrophage protein signature', NULL, 'NATRESASSCMP', NULL, NULL, 2383, 9),
(42678, NULL, 'PR00847', NULL, NULL, 'Bee venom hyaluronidase signature', NULL, 'HYALURONDASE', NULL, NULL, 316, 9),
(42679, NULL, 'PR00535', NULL, NULL, 'Melanocortin receptor signature', NULL, 'MELNOCORTINR', NULL, NULL, 2056, 9),
(42680, NULL, 'PR01944', NULL, NULL, 'Fish interleukin-11 signature', NULL, 'INTLKN11FISH', NULL, NULL, 21352, 9),
(42681, NULL, 'PR00991', NULL, NULL, '6-phosphofructo-2-kinase family signature', NULL, '6PFRUCTKNASE', NULL, NULL, 503, 9),
(42682, NULL, 'PR01136', NULL, NULL, 'Gap junction alpha-6 protein (Cx45) signature', NULL, 'CONNEXINA6', NULL, NULL, 6672, 9),
(42683, NULL, 'PR01803', NULL, NULL, 'Trypanosome sialidase signature', NULL, 'TCSIALIDASE', NULL, NULL, 7796, 9),
(42684, NULL, 'PR00823', NULL, NULL, 'Pancreatic lipase signature', NULL, 'PANCLIPASE', NULL, NULL, 6931, 9),
(42685, NULL, 'PR01416', NULL, NULL, 'APJ receptor signature', NULL, 'APJRECEPTOR', NULL, NULL, 6010, 9),
(42686, NULL, 'PR00301', NULL, NULL, '70kDa heat shock protein signature', NULL, 'HEATSHOCK70', NULL, NULL, NULL, 9),
(42687, NULL, 'PR01735', NULL, NULL, 'P2Y13 purinoceptor signature', NULL, 'P2Y13PRNCPTR', NULL, NULL, 6127, 9),
(42688, NULL, 'PR00851', NULL, NULL, 'Xeroderma pigmentosum group B protein signature', NULL, 'XRODRMPGMNTB', NULL, NULL, NULL, 9),
(42689, NULL, 'PR01325', NULL, NULL, 'Kir2.2 inward rectifier K+ channel signature', NULL, 'KIR22CHANNEL', NULL, NULL, 3340, 9),
(42690, NULL, 'PR01015', NULL, NULL, 'Neuropeptide Y4 receptor signature', NULL, 'NRPEPTIDEY4R', NULL, NULL, 2200, 9),
(42691, NULL, 'PR00211', NULL, NULL, 'Glutelin signature', NULL, 'GLUTELIN', NULL, NULL, 6985, 9),
(42692, NULL, 'PR01819', NULL, NULL, 'Desmoglein signature', NULL, 'DESMOGLEIN', NULL, NULL, 10889, 9);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42693, NULL, 'PR01390', NULL, NULL, 'Clostridial binary toxin A signature', NULL, 'BINARYTOXINA', NULL, NULL, 4129, 9),
(42694, NULL, 'PR01399', NULL, NULL, 'Enterobactin synthetase component D signature', NULL, 'ENTSNTHTASED', NULL, NULL, 7402, 9),
(42695, NULL, 'PR02109', NULL, NULL, 'Mas-related G protein-coupled receptor A signature', NULL, 'MRGPCRA', NULL, NULL, 28815, 9),
(42696, NULL, 'PR01953', NULL, NULL, 'Subtilin biosynthesis protein SpaC signature', NULL, 'SPACPROTEIN', NULL, NULL, 20672, 9),
(42697, NULL, 'PR00089', NULL, NULL, 'Bacterial luciferase signature', NULL, 'LUCIFERASE', NULL, NULL, 5204, 9),
(42698, NULL, 'PR00556', NULL, NULL, 'Alpha-1B adrenergic receptor signature', NULL, 'ADRENRGCA1BR', NULL, NULL, 1268, 9),
(42699, NULL, 'PR01948', NULL, NULL, 'Avian interleukin-15 signature', NULL, 'INTLKN15BIRD', NULL, NULL, 20741, 9),
(42700, NULL, 'PR00793', NULL, NULL, 'Prolyl aminopeptidase (S33) family signature', NULL, 'PROAMNOPTASE', NULL, NULL, 6119, 9),
(42701, NULL, 'PR00801', NULL, NULL, 'Adrenomedullin signature', NULL, 'ADRENOMEDULN', NULL, NULL, 3097, 9),
(42702, NULL, 'PR01685', NULL, NULL, 'CYP2B P450 family signature', NULL, 'EP450ICYP2B', NULL, NULL, 5142, 9),
(42703, NULL, 'PR01977', NULL, NULL, 'Insulin-like growth factor-binding protein 1 signature', NULL, 'IGFBPFAMILY1', NULL, NULL, 15779, 9),
(42704, NULL, 'PR01676', NULL, NULL, 'Glycine receptor alpha 3 subunit signature', NULL, 'GLYRALPHA3', NULL, NULL, 6299, 9),
(42705, NULL, 'PR00204', NULL, NULL, 'Beta-amyloid peptide (beta-APP) signature', NULL, 'BETAAMYLOID', NULL, NULL, 9674, 9),
(42706, NULL, 'PR00834', NULL, NULL, 'HtrA/DegQ protease family signature', NULL, 'PROTEASES2C', NULL, NULL, 2479, 9),
(42707, NULL, 'PR00671', NULL, NULL, 'Inhibin beta B chain signature', NULL, 'INHIBINBB', NULL, NULL, NULL, 9),
(42708, NULL, 'PR01039', NULL, NULL, 'Tryptophanyl-tRNA synthetase signature', NULL, 'TRNASYNTHTRP', NULL, NULL, 6052, 9),
(42709, NULL, 'PR01778', NULL, NULL, 'KIM-containing protein tyrosine phosphatase signature', NULL, 'KIMPTPASE', NULL, NULL, 7668, 9),
(42710, NULL, 'PR00246', NULL, NULL, 'Somatostatin receptor signature', NULL, 'SOMATOSTATNR', NULL, NULL, 4085, 9),
(42711, NULL, 'PR01990', NULL, NULL, 'H-2 class II histocompatibility antigen gamma chain (CD74 antigen) signature', NULL, 'CD74ANTIGEN', NULL, NULL, 15560, 9),
(42712, NULL, 'PR01971', NULL, NULL, 'Tumour necrosis factor receptor 21 signature', NULL, 'TNFACTORR21', NULL, NULL, 15920, 9),
(42713, NULL, 'PR00205', NULL, NULL, 'Cadherin signature', NULL, 'CADHERIN', NULL, NULL, 1312, 9),
(42714, NULL, 'PR01342', NULL, NULL, 'Salmonella virulence-associated 28kDa protein signature', NULL, 'SALVRPPROT', NULL, NULL, 6213, 9),
(42715, NULL, 'PR00581', NULL, NULL, 'Prostanoid EP2 receptor signature', NULL, 'PRSTNOIDEP2R', NULL, NULL, 4197, 9),
(42716, NULL, 'PR01639', NULL, NULL, 'Mammal profilin signature', NULL, 'PROFILINMAML', NULL, NULL, 524, 9),
(42717, NULL, 'PR02030', NULL, NULL, 'Autophagy-related protein 14 signature', NULL, 'AUTOPHGYRP14', NULL, NULL, 20020, 9),
(42718, NULL, 'PR01487', NULL, NULL, 'Bacterial autoinducer-2 (AI-2) production protein LuxS signature', NULL, 'LUXSPROTEIN', NULL, NULL, 3338, 9),
(42719, NULL, 'PR00094', NULL, NULL, 'Adenylate kinase signature', NULL, 'ADENYLTKNASE', NULL, NULL, 15, 9),
(42720, NULL, 'PR02106', NULL, NULL, 'Integrator complex subunit 10 signature', NULL, 'INTSUBUNIT10', NULL, NULL, 24239, 9),
(42721, NULL, 'PR01211', NULL, NULL, 'Synuclein signature', NULL, 'SYNUCLEIN', NULL, NULL, 2421, 9),
(42722, NULL, 'PR00008', NULL, NULL, 'Diacylglycerol/phorbol-ester binding signature', NULL, 'DAGPEDOMAIN', NULL, NULL, 20988, 9),
(42723, NULL, 'PR01956', NULL, NULL, 'Tumour necrosis factor receptor 10 signature', NULL, 'TNFACTORR10', NULL, NULL, 19412, 9),
(42724, NULL, 'PR00227', NULL, NULL, 'Geminivirus AL1 coat protein signature', NULL, 'GEMCOATAL1', NULL, NULL, 1191, 9),
(42725, NULL, 'PR01880', NULL, NULL, 'Fibritin signature', NULL, 'FIBRITIN', NULL, NULL, 14805, 9),
(42726, NULL, 'PR01366', NULL, NULL, 'Major royal jelly protein family signature', NULL, 'ROYALJELLY', NULL, NULL, 19018, 9);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42727, NULL, 'PR01787', NULL, NULL, 'Paraoxonase 2 signature', NULL, 'PARAOXONASE2', NULL, NULL, 7626, 9),
(42728, NULL, 'PR00690', NULL, NULL, 'Adhesin family signature', NULL, 'ADHESNFAMILY', NULL, NULL, 10039, 9),
(42729, NULL, 'PR00636', NULL, NULL, 'AT2 angiotensin II receptor signature', NULL, 'ANGIOTENSN2R', NULL, NULL, 1747, 9),
(42730, NULL, 'PR00550', NULL, NULL, 'Hyperglycemic hormone signature', NULL, 'HYPRGLYCEMIC', NULL, NULL, 1029, 9),
(42731, NULL, 'PR01829', NULL, NULL, 'Protachykinin 1 precursor signature', NULL, 'PROTACHYKNIN', NULL, NULL, 762, 9),
(42732, NULL, 'PR01222', NULL, NULL, 'Atrophin signature', NULL, 'ATROPHIN', NULL, NULL, 12353, 9),
(42733, NULL, 'PR00984', NULL, NULL, 'Isoleucyl-tRNA synthetase signature', NULL, 'TRNASYNTHILE', NULL, NULL, 6968, 9),
(42734, NULL, 'PR00423', NULL, NULL, 'Cell division protein FtsZ signature', NULL, 'CELLDVISFTSZ', NULL, NULL, 7351, 9),
(42735, NULL, 'PR01456', NULL, NULL, 'Epithelial membrane protein EMP-3 signature', NULL, 'EPMEMPROT3', NULL, NULL, 6202, 9),
(42736, NULL, 'PR01723', NULL, NULL, 'Gamma-aminobutyric-acid A receptor epsilon subunit signature', NULL, 'GABAAREPSLON', NULL, NULL, 6304, 9),
(42737, NULL, 'PR00043', NULL, NULL, 'Jun transcription factor signature', NULL, 'LEUZIPPRJUN', NULL, NULL, 1306, 9),
(42738, NULL, 'PR00996', NULL, NULL, 'Glutamate methyltransferase family signature', NULL, 'CHERMTFRASE', NULL, NULL, 3915, 9),
(42739, NULL, 'PR00262', NULL, NULL, 'IL1/HBGF family signature', NULL, 'IL1HBGF', NULL, NULL, NULL, 9),
(42740, NULL, 'PR00905', NULL, NULL, 'Uncharacterised MG045 lipoprotein family signature', NULL, 'MG045FAMILY', NULL, NULL, 2649, 9),
(42741, NULL, 'PR01129', NULL, NULL, 'Gastric inhibitory polypeptide receptor precursor signature', NULL, 'GIPRECEPTOR', NULL, NULL, 4775, 9),
(42742, NULL, 'PR01533', NULL, NULL, 'Cysteinyl leukotriene receptor family signature', NULL, 'CYSLTRECPTR', NULL, NULL, 1901, 9),
(42743, NULL, 'PR00910', NULL, NULL, 'Luteovirus ORF6 protein signature', NULL, 'LVIRUSORF6', NULL, NULL, NULL, 9),
(42744, NULL, 'PR01024', NULL, NULL, 'Neurokinin NK1 receptor signature', NULL, 'NEUROKININ1R', NULL, NULL, 2953, 9),
(42745, NULL, 'PR01163', NULL, NULL, 'Beta-tubulin signature', NULL, 'BETATUBULIN', NULL, NULL, 7275, 9),
(42746, NULL, 'PR00820', NULL, NULL, 'CbxX/CfqX protein signature', NULL, 'CBXXCFQX', NULL, NULL, 6829, 9),
(42747, NULL, 'PR00320', NULL, NULL, 'G protein beta WD-40 repeat signature', NULL, 'GPROTEINBRPT', NULL, NULL, 19966, 9),
(42748, NULL, 'PR00702', NULL, NULL, 'Acriflavin resistance protein family signature', NULL, 'ACRIFLAVINRP', NULL, NULL, 2607, 9),
(42749, NULL, 'PR00703', NULL, NULL, 'Adenovirus endopeptidase (C5) family signature', NULL, 'ADVENDOPTASE', NULL, NULL, 498, 9),
(42750, NULL, 'PR00402', NULL, NULL, 'Tec/Btk domain signature', NULL, 'TECBTKDOMAIN', NULL, NULL, 5075, 9),
(42751, NULL, 'PR00558', NULL, NULL, 'Alpha-2A adrenergic receptor signature', NULL, 'ADRENRGCA2AR', NULL, NULL, 4292, 9),
(42752, NULL, 'PR00773', NULL, NULL, 'GrpE protein signature', NULL, 'GRPEPROTEIN', NULL, NULL, 3531, 9),
(42753, NULL, 'PR01981', NULL, NULL, 'Insulin-like growth factor-binding protein 5 signature', NULL, 'IGFBPFAMILY5', NULL, NULL, 14395, 9),
(42754, NULL, 'PR00216', NULL, NULL, 'Osteopontin signature', NULL, 'OSTEOPONTIN', NULL, NULL, 2066, 9),
(42755, NULL, 'PR00234', NULL, NULL, 'HIV-1 matrix protein signature', NULL, 'HIV1MATRIX', NULL, NULL, 3773, 9),
(42756, NULL, 'PR00144', NULL, NULL, 'Delta-aminolevulinic acid dehydratase signature', NULL, 'DALDHYDRTASE', NULL, NULL, 3056, 9),
(42757, NULL, 'PR01856', NULL, NULL, 'Basigin signature', NULL, 'BASIGIN', NULL, NULL, NULL, 9),
(42758, NULL, 'PR01236', NULL, NULL, 'Tumour necrosis factor beta (lymphotoxin-alpha) signature', NULL, 'TNFBETA', NULL, NULL, 663, 9),
(42759, NULL, 'PR01018', NULL, NULL, 'Prolactin-releasing peptide receptor signature', NULL, 'PRPRECEPTOR', NULL, NULL, 3013, 9),
(42760, NULL, 'PR01926', NULL, NULL, 'Interleukin-9 signature', NULL, 'INTERLEUKIN9', NULL, NULL, 20399, 9);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42761, NULL, 'PR01622', NULL, NULL, 'Gamma-aminobutyric-acid A receptor gamma 2 subunit signature', NULL, 'GABAARGAMMA2', NULL, NULL, 485, 9),
(42762, NULL, 'PR02025', NULL, NULL, 'Aquaporin-12 signature', NULL, 'AQUAPORIN12', NULL, NULL, 20999, 9),
(42763, NULL, 'PR00065', NULL, NULL, 'TEA domain signature', NULL, 'TEADOMAIN', NULL, NULL, 5166, 9),
(42764, NULL, 'PR00382', NULL, NULL, 'Plant phospholipid transfer protein signature', NULL, 'LIPIDTRNSFER', NULL, NULL, 5827, 9),
(42765, NULL, 'PR00102', NULL, NULL, 'Ornithine carbamoyltransferase signature', NULL, 'OTCASE', NULL, NULL, 39, 9),
(42766, NULL, 'PR01606', NULL, NULL, 'KCNE voltage-gated K+ channel subfamily E3 signature', NULL, 'KCNE3CHANNEL', NULL, NULL, 60, 9),
(42767, NULL, 'PR00469', NULL, NULL, 'Pyridine nucleotide disulphide reductase class-II signature', NULL, 'PNDRDTASEII', NULL, NULL, NULL, 9),
(42768, NULL, 'PR01817', NULL, NULL, 'Beta-site APP cleaving enzyme 2 (BACE2) signature', NULL, 'BACE2', NULL, NULL, 10820, 9),
(42769, NULL, 'PR00395', NULL, NULL, 'Ribosomal protein S2 signature', NULL, 'RIBOSOMALS2', NULL, NULL, 4175, 9),
(42770, NULL, 'PR00442', NULL, NULL, 'G protein alpha subunit group Q signature', NULL, 'GPROTEINAQ', NULL, NULL, 6908, 9),
(42771, NULL, 'PR01852', NULL, NULL, 'Streptococcal non-M secreted SibA protein signature', NULL, 'SIBAPROTEIN', NULL, NULL, 10857, 9),
(42772, NULL, 'PR00411', NULL, NULL, 'Pyridine nucleotide disulphide reductase class-I signature', NULL, 'PNDRDTASEI', NULL, NULL, NULL, 9),
(42773, NULL, 'PR00171', NULL, NULL, 'Sugar transporter signature', NULL, 'SUGRTRNSPORT', NULL, NULL, 1192, 9),
(42774, NULL, 'PR01303', NULL, NULL, 'Plasmodium circumsporozoite protein signature', NULL, 'CRCMSPRZOITE', NULL, NULL, 780, 9),
(42775, NULL, 'PR01531', NULL, NULL, 'C-C chemokine receptor type 9 signature', NULL, 'CHEMOKINER9', NULL, NULL, 1768, 9),
(42776, NULL, 'PR01701', NULL, NULL, 'CD164 antigen signature', NULL, 'CD164ANTIGEN', NULL, NULL, 4047, 9),
(42777, NULL, 'PR01154', NULL, NULL, 'Vasoactive intestinal peptide receptor 1 signature', NULL, 'VIP1RECEPTOR', NULL, NULL, 5336, 9),
(42778, NULL, 'PR01566', NULL, NULL, 'Neuromedin U type 1 receptor signature', NULL, 'NEUROMEDNU1R', NULL, NULL, 7430, 9),
(42779, NULL, 'PR01680', NULL, NULL, 'Tumour necrosis factor receptor 6 signature', NULL, 'TNFACTORR6', NULL, NULL, 5220, 9),
(42780, NULL, 'PR00097', NULL, NULL, 'Anthranilate synthase component II signature', NULL, 'ANTSNTHASEII', NULL, NULL, NULL, 9),
(42781, NULL, 'PR00026', NULL, NULL, 'Engrailed homeodomain signature', NULL, 'ENGRAILED', NULL, NULL, 5190, 9),
(42782, NULL, 'PR00002', NULL, NULL, 'Bone matrix GLA domain signature', NULL, 'GLABONE', NULL, NULL, 6354, 9),
(42783, NULL, 'PR00027', NULL, NULL, 'Paired box signature', NULL, 'PAIREDBOX', NULL, NULL, 5940, 9),
(42784, NULL, 'PR01996', NULL, NULL, 'Phage major tail protein 1 family signature', NULL, 'MTP1FAMILY', NULL, NULL, 16183, 9),
(42785, NULL, 'PR01329', NULL, NULL, 'Kir3.3 inward rectifier K+ channel signature', NULL, 'KIR33CHANNEL', NULL, NULL, 3157, 9),
(42786, NULL, 'PR01782', NULL, NULL, 'Mycobacterial cell entry (MCE) protein signature', NULL, 'MCEVIRFACTOR', NULL, NULL, 3630, 9),
(42787, NULL, 'PR00270', NULL, NULL, 'Alpha-type calcitonin signature', NULL, 'CALCITONINA', NULL, NULL, 17138, 9),
(42788, NULL, 'PR01074', NULL, NULL, 'Presenilin 2 signature', NULL, 'PRESENILIN2', NULL, NULL, 6199, 9),
(42789, NULL, 'PR01785', NULL, NULL, 'Paraoxonase family signature', NULL, 'PARAOXONASE', NULL, NULL, 2631, 9),
(42790, NULL, 'PR01116', NULL, NULL, 'CLC-5 chloride channel signature', NULL, 'CLCHANNEL5', NULL, NULL, 334, 9),
(42791, NULL, 'PR00199', NULL, NULL, 'Annexin type III signature', NULL, 'ANNEXINIII', NULL, NULL, 6378, 9),
(42792, NULL, 'PR00068', NULL, NULL, 'Cu-Zn-superoxide dismutase family signature', NULL, 'CUZNDISMTASE', NULL, NULL, 3451, 9),
(42793, NULL, 'PR01119', NULL, NULL, 'CLC-K chloride channel family signature', NULL, 'CLCHANNELKDY', NULL, NULL, 6312, 9),
(42794, NULL, 'PR00744', NULL, NULL, 'Glycosyl hydrolase family 37 signature', NULL, 'GLHYDRLASE37', NULL, NULL, 3346, 9);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42795, NULL, 'PR00207', NULL, NULL, 'Flagellin signature', NULL, 'FLAGELLIN', NULL, NULL, 6034, 9),
(42796, NULL, 'PR00523', NULL, NULL, 'Cannabinoid receptor type 2 signature', NULL, 'CANABINOID2R', NULL, NULL, 5799, 9),
(42797, NULL, 'PR00495', NULL, NULL, 'Obesity factor (leptin) signature', NULL, 'LEPTIN', NULL, NULL, 3815, 9),
(42798, NULL, 'PR00134', NULL, NULL, 'Glycosyl hydrolase family 10 signature', NULL, 'GLHYDRLASE10', NULL, NULL, 3452, 9),
(42799, NULL, 'PR00252', NULL, NULL, 'Neurotransmitter-gated ion channel family signature', NULL, 'NRIONCHANNEL', NULL, NULL, 11446, 9),
(42800, NULL, 'PR00802', NULL, NULL, 'Serum albumin family signature', NULL, 'SERUMALBUMIN', NULL, NULL, 817, 9),
(42801, NULL, 'PR01515', NULL, NULL, 'Kv2.2 voltage-gated K+ channel signature', NULL, 'KV22CHANNEL', NULL, NULL, 5630, 9),
(42802, NULL, 'PR01943', NULL, NULL, 'Mammalian interleukin-11 signature', NULL, 'INTLKN11MAML', NULL, NULL, 20084, 9),
(42803, NULL, 'PR02022', NULL, NULL, 'Mammalian aquaporin-10 signature', NULL, 'AQUAPORIN10M', NULL, NULL, 26342, 9),
(42804, NULL, 'PR02049', NULL, NULL, 'Protein family FAM36A signature', NULL, 'PROTEINF36A', NULL, NULL, 14535, 9),
(42805, NULL, 'PR01516', NULL, NULL, 'Kv4.1 voltage-gated K+ channel signature', NULL, 'KV41CHANNEL', NULL, NULL, 653, 9),
(42806, NULL, 'PR01793', NULL, NULL, 'Voltage-dependent calcium channel gamma-5 subunit signature', NULL, 'VDCCGAMMA5', NULL, NULL, 7870, 9),
(42807, NULL, 'PR01600', NULL, NULL, 'Zona occludens protein ZO-3 signature', NULL, 'ZONOCCLUDNS3', NULL, NULL, 7292, 9),
(42808, NULL, 'PR01650', NULL, NULL, 'Bacterial translocase SecE signature', NULL, 'SECETRNLCASE', NULL, NULL, 5716, 9),
(42809, NULL, 'PR01089', NULL, NULL, 'Neuregulin family signature', NULL, 'NEUREGULIN', NULL, NULL, 19963, 9),
(42810, NULL, 'PR01278', NULL, NULL, 'CD97 protein signature', NULL, 'CD97PROTEIN', NULL, NULL, 631, 9),
(42811, NULL, 'PR00219', NULL, NULL, 'Synaptobrevin signature', NULL, 'SYNAPTOBREVN', NULL, NULL, 6976, 9),
(42812, NULL, 'PR01231', NULL, NULL, 'HCO3- transporter superfamily signature', NULL, 'HCO3TRNSPORT', NULL, NULL, 387, 9),
(42813, NULL, 'PR01428', NULL, NULL, 'Protease activated receptor precursor signature', NULL, 'PROTEASEAR', NULL, NULL, 6233, 9),
(42814, NULL, 'PR00312', NULL, NULL, 'Calsequestrin signature', NULL, 'CALSEQUESTRN', NULL, NULL, NULL, 9),
(42815, NULL, 'PR01313', NULL, NULL, 'P2X6 purinoceptor signature', NULL, 'P2X6RECEPTOR', NULL, NULL, 871, 9),
(42816, NULL, 'PR00397', NULL, NULL, 'Sirohaem Fe-binding site signature', NULL, 'SIROHAEM', NULL, NULL, 2859, 9),
(42817, NULL, 'PR01469', NULL, NULL, 'Bacterial carbamate kinase signature', NULL, 'CARBMTKINASE', NULL, NULL, NULL, 9),
(42818, NULL, 'PR02053', NULL, NULL, 'BRISC complex subunit Abro1 signature', NULL, 'BRISCABRO1', NULL, NULL, 15595, 9),
(42819, NULL, 'PR00165', NULL, NULL, 'Anion exchanger family signature', NULL, 'ANIONEXCHNGR', NULL, NULL, 3047, 9),
(42820, NULL, 'PR00389', NULL, NULL, 'Phospholipase A2 signature', NULL, 'PHPHLIPASEA2', NULL, NULL, 1039, 9),
(42821, NULL, 'PR02052', NULL, NULL, 'BRCA1-A complex subunit Abraxas signature', NULL, 'ABRAXAS', NULL, NULL, 15896, 9),
(42822, NULL, 'PR00499', NULL, NULL, 'Neutrophil cytosol factor 2 signature', NULL, 'P67PHOX', NULL, NULL, NULL, 9),
(42823, NULL, 'PR01697', NULL, NULL, 'Parvalbumin signature', NULL, 'PARVALBUMIN', NULL, NULL, NULL, 9),
(42824, NULL, 'PR00228', NULL, NULL, 'Geminivirus CLV AL1 coat protein signature', NULL, 'GEMCOATCLVL1', NULL, NULL, 394, 9),
(42825, NULL, 'PR00500', NULL, NULL, 'Polycystic kidney disease type 1 protein (PKD1) signature', NULL, 'POLYCYSTIN1', NULL, NULL, 4563, 9),
(42826, NULL, 'PR00514', NULL, NULL, '5-hydroxytryptamine 1D receptor signature', NULL, '5HT1DRECEPTR', NULL, NULL, 6691, 9),
(42827, NULL, 'PR00311', NULL, NULL, 'Bleomycin resistance protein signature', NULL, 'BLEOMYCINRST', NULL, NULL, 576, 9),
(42828, NULL, 'PR01453', NULL, NULL, 'Epithelial membrane protein (EMP/PMP22/LMIP) family signature', NULL, 'EPMEMFAMILY', NULL, NULL, 558, 9);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42829, NULL, 'PR01233', NULL, NULL, 'Josephin signature', NULL, 'JOSEPHIN', NULL, NULL, NULL, 9),
(42830, NULL, 'PR00999', NULL, NULL, 'Fungalysin metallopeptidase (M36) signature', NULL, 'FUNGALYSIN', NULL, NULL, 4485, 9),
(42831, NULL, 'PR01135', NULL, NULL, 'Gap junction alpha-5 protein (Cx40) signature', NULL, 'CONNEXINA5', NULL, NULL, 6928, 9),
(42832, NULL, 'PR01108', NULL, NULL, 'C-C chemokine receptor type 3 signature', NULL, 'CHEMOKINER3', NULL, NULL, 284, 9),
(42833, NULL, 'PR01589', NULL, NULL, 'Claudin-2 signature', NULL, 'CLAUDIN2', NULL, NULL, 7109, 9),
(42834, NULL, 'PR01146', NULL, NULL, 'GPR1 orphan receptor signature', NULL, 'GPR1ORPHANR', NULL, NULL, 163, 9),
(42835, NULL, 'PR00039', NULL, NULL, 'LysR bacterial regulatory protein HTH signature', NULL, 'HTHLYSR', NULL, NULL, 165, 9),
(42836, NULL, 'PR01938', NULL, NULL, 'Interleukin-34 signature', NULL, 'INTRLEUKIN34', NULL, NULL, 20250, 9),
(42837, NULL, 'PR00222', NULL, NULL, 'Cucumovirus coat protein signature', NULL, 'CUCUMOCOAT', NULL, NULL, 735, 9),
(42838, NULL, 'PR01682', NULL, NULL, 'FMRFamide-related peptide precursor signature', NULL, 'FMRFAMIDEPEP', NULL, NULL, 5335, 9),
(42839, NULL, 'PR00362', NULL, NULL, 'Cannabinoid receptor signature', NULL, 'CANNABINOIDR', NULL, NULL, 78, 9),
(42840, NULL, 'PR01088', NULL, NULL, 'Na+/H+ exchanger isoform 6 (NHE6) signature', NULL, 'NAHEXCHNGR6', NULL, NULL, 5064, 9),
(42841, NULL, 'PR00101', NULL, NULL, 'Aspartate carbamoyltransferase signature', NULL, 'ATCASE', NULL, NULL, NULL, 9),
(42842, NULL, 'PR01499', NULL, NULL, 'Trek K+ channel signature', NULL, 'TREKCHANNEL', NULL, NULL, 7494, 9),
(42843, NULL, 'PR02054', NULL, NULL, 'Plant protein family FAM175 signature', NULL, 'FAM175PLANT', NULL, NULL, 15952, 9),
(42844, NULL, 'PR00568', NULL, NULL, 'Dopamine D3 receptor signature', NULL, 'DOPAMINED3R', NULL, NULL, 3161, 9),
(42845, NULL, 'PR01528', NULL, NULL, 'EDG-4 lysophosphatidic acid receptor signature', NULL, 'EDG4RECEPTOR', NULL, NULL, 1809, 9),
(42846, NULL, 'PR00182', NULL, NULL, 'E.coli/Neisseria porin superfamily signature', NULL, 'ECOLNEIPORIN', NULL, NULL, 3463, 9),
(42847, NULL, 'PR00370', NULL, NULL, 'Flavin-containing monooxygenase (FMO) signature', NULL, 'FMOXYGENASE', NULL, NULL, 119, 9),
(42848, NULL, 'PR00243', NULL, NULL, 'Muscarinic acetylcholine receptor signature', NULL, 'MUSCARINICR', NULL, NULL, 175, 9),
(42849, NULL, 'PR01616', NULL, NULL, 'Gamma-aminobutyric-acid A receptor alpha 3 subunit signature', NULL, 'GABAARALPHA3', NULL, NULL, 295, 9),
(42850, NULL, 'PR01091', NULL, NULL, 'Prepro-orexin signature', NULL, 'OREXINPP', NULL, NULL, 3074, 9),
(42851, NULL, 'PR00194', NULL, NULL, 'Tropomyosin signature', NULL, 'TROPOMYOSIN', NULL, NULL, 5740, 9),
(42852, NULL, 'PR00765', NULL, NULL, 'Carboxypeptidase A metalloprotease (M14) family signature', NULL, 'CRBOXYPTASEA', NULL, NULL, 174, 9),
(42853, NULL, 'PR00546', NULL, NULL, 'Thyroid hormone receptor (1D nuclear receptor) signature', NULL, 'THYROIDHORMR', NULL, NULL, 3030, 9),
(42854, NULL, 'PR02004', NULL, NULL, 'Relaxin signature', NULL, 'RELAXIN', NULL, NULL, 16084, 9),
(42855, NULL, 'PR01382', NULL, NULL, 'Claudin-9 signature', NULL, 'CLAUDIN9', NULL, NULL, 7090, 9),
(42856, NULL, 'PR01674', NULL, NULL, 'Glycine receptor alpha 1 subunit signature', NULL, 'GLYRALPHA1', NULL, NULL, 6366, 9),
(42857, NULL, 'PR00200', NULL, NULL, 'Annexin type IV signature', NULL, 'ANNEXINIV', NULL, NULL, 5123, 9),
(42858, NULL, 'PR00240', NULL, NULL, 'Alpha-1D adrenergic receptor signature', NULL, 'ADRENRGCA1DR', NULL, NULL, 300, 9),
(42859, NULL, 'PR00578', NULL, NULL, 'Lateral eye opsin signature', NULL, 'OPSINLTRLEYE', NULL, NULL, 5274, 9),
(42860, NULL, 'PR01286', NULL, NULL, 'Orphan nuclear receptor NOR1 signature', NULL, 'NORNUCRECPTR', NULL, NULL, 550, 9),
(42861, NULL, 'PR01776', NULL, NULL, 'Helicobacter pylori outer membrane protein family signature', NULL, 'HPOMPFAMILY', NULL, NULL, 3949, 9),
(42862, NULL, 'PR01486', NULL, NULL, 'Bacterial phospholipase A1 protein signature', NULL, 'PHPHLIPASEA1', NULL, NULL, 3470, 9);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42863, NULL, 'PR01205', NULL, NULL, 'Inebriated neurotransmitter transporter signature', NULL, 'INEBRIATED', NULL, NULL, 6970, 9),
(42864, NULL, 'PR01032', NULL, NULL, 'Gene IV protein signature', NULL, 'PHAGEIV', NULL, NULL, NULL, 9),
(42865, NULL, 'PR01730', NULL, NULL, 'Macrophage infectivity potentiator signature', NULL, 'INFPOTNTIATR', NULL, NULL, 6083, 9),
(42866, NULL, 'PR01820', NULL, NULL, 'Desmocollin signature', NULL, 'DESMOCOLLIN', NULL, NULL, NULL, 9),
(42867, NULL, 'PR02023', NULL, NULL, 'Invertebrate aquaporin-10 signature', NULL, 'AQUAPORIN10I', NULL, NULL, NULL, 9),
(42868, NULL, 'PR00711', NULL, NULL, 'Atrial natriuretic peptide signature', NULL, 'ANATPEPTIDE', NULL, NULL, 6512, 9),
(42869, NULL, 'PR00484', NULL, NULL, 'Pheromone/general odorant binding protein signature', NULL, 'PBPGOBP', NULL, NULL, 2855, 9),
(42870, NULL, 'PR00553', NULL, NULL, 'Adenosine A2A receptor signature', NULL, 'ADENOSINA2AR', NULL, NULL, 6403, 9),
(42871, NULL, 'PR00334', NULL, NULL, 'HMW kininogen signature', NULL, 'KININOGEN', NULL, NULL, 6868, 9),
(42872, NULL, 'PR01033', NULL, NULL, 'Phytochrome signature', NULL, 'PHYTOCHROME', NULL, NULL, 923, 9),
(42873, NULL, 'PR01854', NULL, NULL, 'BR22 protein signature', NULL, 'BR22PROTEIN', NULL, NULL, 7784, 9),
(42874, NULL, 'PR01907', NULL, NULL, 'Worm globin signature', NULL, 'WORMGLOBIN', NULL, NULL, NULL, 9),
(42875, NULL, 'PR00601', NULL, NULL, 'Bacterioferritin signature', NULL, 'BACFERRITIN', NULL, NULL, 2484, 9),
(42876, NULL, 'PR00213', NULL, NULL, 'Myelin P0 protein signature', NULL, 'MYELINP0', NULL, NULL, 276, 9),
(42877, NULL, 'PR01172', NULL, NULL, 'Beta-lactoglobulin signature', NULL, 'BLCTOGLOBULN', NULL, NULL, 7055, 9),
(42878, NULL, 'PR00663', NULL, NULL, 'Galanin receptor signature', NULL, 'GALANINR', NULL, NULL, 6710, 9),
(42879, NULL, 'PR00022', NULL, NULL, 'Somatomedin B signature', NULL, 'SOMATOMEDINB', NULL, NULL, 20187, 9),
(42880, NULL, 'PR01430', NULL, NULL, 'Protease activated receptor 2 precursor signature', NULL, 'PROTEASEAR4', NULL, NULL, 7290, 9),
(42881, NULL, 'PR00307', NULL, NULL, 'Adenovirus fibre protein signature', NULL, 'ADENOVSFIBRE', NULL, NULL, 3242, 9),
(42882, NULL, 'PR01934', NULL, NULL, 'Interleukin-19 signature', NULL, 'INTRLEUKIN19', NULL, NULL, 19269, 9),
(42883, NULL, 'PR02037', NULL, NULL, 'FPRL1 inhibitory protein signature', NULL, 'FLIPR', NULL, NULL, 18860, 9),
(42884, NULL, 'PR00621', NULL, NULL, 'Histone H2B signature', NULL, 'HISTONEH2B', NULL, NULL, 5912, 9),
(42885, NULL, 'PR00209', NULL, NULL, 'Alpha/beta gliadin family signature', NULL, 'GLIADIN', NULL, NULL, NULL, 9),
(42886, NULL, 'PR00422', NULL, NULL, 'Transferrin signature', NULL, 'TRANSFERRIN', NULL, NULL, 1375, 9),
(42887, NULL, 'PR01766', NULL, NULL, 'Epithelial calcium channel 1 (ECAC1) family signature', NULL, 'ECACCHANNEL1', NULL, NULL, 7886, 9),
(42888, NULL, 'PR00449', NULL, NULL, 'Transforming protein P21 ras signature', NULL, 'RASTRNSFRMNG', NULL, NULL, NULL, 9),
(42889, NULL, 'PR01712', NULL, NULL, 'Alpha giardin signature', NULL, 'ALPHAGIARDIN', NULL, NULL, 6191, 9),
(42890, NULL, 'PR01961', NULL, NULL, 'Tumour necrosis factor receptor 11 signature', NULL, 'TNFACTORR11', NULL, NULL, 15899, 9),
(42891, NULL, 'PR00720', NULL, NULL, 'Mammalian LMW phosphotyrosine protein phosphatase signature', NULL, 'MAMMALPTPASE', NULL, NULL, 1426, 9),
(42892, NULL, 'PR00966', NULL, NULL, 'Potyvirus nuclear inclusion A cysteine protease (C4) signature', NULL, 'NIAPOTYPTASE', NULL, NULL, 3228, 9),
(42893, NULL, 'PR00590', NULL, NULL, 'Somatostatin receptor type 4 signature', NULL, 'SOMATOSTTN4R', NULL, NULL, 6089, 9),
(42894, NULL, 'PR00649', NULL, NULL, 'GPR6 orphan receptor signature', NULL, 'GPR6ORPHANR', NULL, NULL, 1405, 9),
(42895, NULL, 'PR00244', NULL, NULL, 'Neurokinin receptor signature', NULL, 'NEUROKININR', NULL, NULL, 3260, 9),
(42896, NULL, 'PR01047', NULL, NULL, 'Threonyl-tRNA synthetase signature', NULL, 'TRNASYNTHTHR', NULL, NULL, 6104, 9),
(42897, NULL, 'PR01291', NULL, NULL, 'Peroxisome proliferator-activated receptor gamma signature', NULL, 'PROXISOMPAGR', NULL, NULL, 665, 9);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42898, NULL, 'PR00315', NULL, NULL, 'GTP-binding elongation factor signature', NULL, 'ELONGATNFCT', NULL, NULL, 6861, 9),
(42899, NULL, 'PR01786', NULL, NULL, 'Paraoxonase 1 signature', NULL, 'PARAOXONASE1', NULL, NULL, 7778, 9),
(42900, NULL, 'PR01838', NULL, NULL, 'Neural cell adhesion molecule signature', NULL, 'NCAMFAMILY', NULL, NULL, 10837, 9),
(42901, NULL, 'PR01254', NULL, NULL, 'Prostaglandin D synthase signature', NULL, 'PGNDSYNTHASE', NULL, NULL, NULL, 9),
(42902, NULL, 'PR01132', NULL, NULL, 'Gap junction alpha-1 protein (Cx43) signature', NULL, 'CONNEXINA1', NULL, NULL, 328, 9),
(42903, NULL, 'PR00056', NULL, NULL, 'Heat shock factor (HSF) domain signature', NULL, 'HSFDOMAIN', NULL, NULL, 809, 9),
(42904, NULL, 'PR00989', NULL, NULL, 'Adenosine kinase signature', NULL, 'ADENOKINASE', NULL, NULL, 4251, 9),
(42905, NULL, 'PR00035', NULL, NULL, 'GntR bacterial regulatory protein HTH signature', NULL, 'HTHGNTR', NULL, NULL, 5846, 9),
(42906, NULL, 'PR01277', NULL, NULL, 'Nucleoside-specific channel-forming protein Tsx signature', NULL, 'CHANNELTSX', NULL, NULL, 547, 9),
(42907, NULL, 'PR01293', NULL, NULL, 'Nuclear receptor ROR family signature', NULL, 'RORNUCRECPTR', NULL, NULL, 6497, 9),
(42908, NULL, 'PR00695', NULL, NULL, 'Copper containing nitrite reductase signature', NULL, 'CUNO2RDTASE', NULL, NULL, 194, 9),
(42909, NULL, 'PR01581', NULL, NULL, 'Kv3.1 voltage-gated K+ channel signature', NULL, 'KV31CHANNEL', NULL, NULL, 7211, 9),
(42910, NULL, 'PR01666', NULL, NULL, 'Voltage-gated Na+ channel alpha 5 subunit signature', NULL, 'NACHANNEL5', NULL, NULL, 5214, 9),
(42911, NULL, 'PR00939', NULL, NULL, 'C2HC-type zinc-finger signature', NULL, 'C2HCZNFINGER', NULL, NULL, NULL, 9),
(42912, NULL, 'PR00156', NULL, NULL, 'Type I copper blue protein family signature', NULL, 'COPPERBLUE', NULL, NULL, 933, 9),
(42913, NULL, 'PR00364', NULL, NULL, 'Disease resistance protein signature', NULL, 'DISEASERSIST', NULL, NULL, NULL, 9),
(42914, NULL, 'PR01941', NULL, NULL, 'Neurotrophic tyrosine kinase receptor type 2 signature', NULL, 'NTKRECEPTOR2', NULL, NULL, 19918, 9),
(42915, NULL, 'PR00564', NULL, NULL, 'C-X-C chemokine receptor type 5 signature', NULL, 'CXCCHMKINER5', NULL, NULL, 2455, 9),
(42916, NULL, 'PR01656', NULL, NULL, 'Helicobacter pylori vacuolating cytotoxin signature', NULL, 'VACCYTOTOXIN', NULL, NULL, 3071, 9),
(42917, NULL, 'PR00131', NULL, NULL, 'Glycosyl hydrolase family 1 signature', NULL, 'GLHYDRLASE1', NULL, NULL, 7383, 9),
(42918, NULL, 'PR01398', NULL, NULL, 'Isochorismatase signature', NULL, 'ISCHRISMTASE', NULL, NULL, 19975, 9),
(42919, NULL, 'PR01734', NULL, NULL, 'Type III secretion system outer membrane B protein family signature', NULL, 'TYPE3OMBPROT', NULL, NULL, 6273, 9),
(42920, NULL, 'PR01726', NULL, NULL, 'Histamine H4 receptor signature', NULL, 'HISTAMINEH4R', NULL, NULL, 6025, 9),
(42921, NULL, 'PR01724', NULL, NULL, 'Gamma-aminobutyric-acid A receptor pi subunit signature', NULL, 'GABAARPI', NULL, NULL, 6351, 9),
(42922, NULL, 'PR01268', NULL, NULL, 'Pi-class glutathione S-transferase signature', NULL, 'GSTRNSFRASEP', NULL, NULL, 708, 9),
(42923, NULL, 'PR02075', NULL, NULL, 'Fibrous sheath-interacting protein 1 signature', NULL, 'FIBSHEATHIP1', NULL, NULL, 21514, 9),
(42924, NULL, 'PR00833', NULL, NULL, 'Pollen allergen Poa pI signature', NULL, 'POAALLERGEN', NULL, NULL, NULL, 9),
(42925, NULL, 'PR01901', NULL, NULL, 'Wnt inhibitory factor (WIF)-1 protein signature', NULL, 'WIFPROTEIN', NULL, NULL, 8714, 9),
(42926, NULL, 'PR00660', NULL, NULL, 'ER lumen protein retaining receptor signature', NULL, 'ERLUMENR', NULL, NULL, 3808, 9),
(42927, NULL, 'PR01118', NULL, NULL, 'CLC-7 chloride channel signature', NULL, 'CLCHANNEL7', NULL, NULL, 444, 9),
(42928, NULL, 'PR00920', NULL, NULL, 'Spumavirus aspartic protease (A9) signature', NULL, 'SPUMVIRPTASE', NULL, NULL, 3870, 9),
(42929, NULL, 'PR00768', NULL, NULL, 'Deuterolysin metalloprotease (M35) family signature', NULL, 'DEUTEROLYSIN', NULL, NULL, 6520, 9),
(42930, NULL, 'PR00468', NULL, NULL, 'Plant lipoxygenase signature', NULL, 'PLTLPOXGNASE', NULL, NULL, 2180, 9);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42931, NULL, 'PR01972', NULL, NULL, 'Tumour necrosis factor receptor 25 signature', NULL, 'TNFACTORR25', NULL, NULL, 15904, 9),
(42932, NULL, 'PR00212', NULL, NULL, 'Myelin basic protein signature', NULL, 'MYELINMBP', NULL, NULL, 5574, 9),
(42933, NULL, 'PR00055', NULL, NULL, 'HIV TAT domain signature', NULL, 'HIVTATDOMAIN', NULL, NULL, 4436, 9),
(42934, NULL, 'PR02016', NULL, NULL, 'Aquaporin-4 signature', NULL, 'AQUAPORIN4', NULL, NULL, NULL, 9),
(42935, NULL, 'PR01331', NULL, NULL, 'Kir6.1 inward rectifier K+ channel signature', NULL, 'KIR61CHANNEL', NULL, NULL, 6151, 9),
(42936, NULL, 'PR01952', NULL, NULL, 'Nisin biosynthesis protein NisC signature', NULL, 'NISCPROTEIN', NULL, NULL, 19909, 9),
(42937, NULL, 'PR00284', NULL, NULL, 'Toxin signature', NULL, 'TOXIN', NULL, NULL, NULL, 9),
(42938, NULL, 'PR00757', NULL, NULL, 'Flavin-containing amine oxidase signature', NULL, 'AMINEOXDASEF', NULL, NULL, 3432, 9),
(42939, NULL, 'PR01426', NULL, NULL, 'Transforming growth factor beta 3 precursor signature', NULL, 'TGFBETA3', NULL, NULL, 17816, 9),
(42940, NULL, 'PR01887', NULL, NULL, 'Spectrin alpha chain signature', NULL, 'SPECTRNALPHA', NULL, NULL, NULL, 9),
(42941, NULL, 'PR01509', NULL, NULL, 'Kv1.2 voltage-gated K+ channel signature', NULL, 'KV12CHANNEL', NULL, NULL, 766, 9),
(42942, NULL, 'PR00861', NULL, NULL, 'Alpha-lytic endopeptidase serine protease (S2A) signature', NULL, 'ALYTICPTASE', NULL, NULL, 2163, 9),
(42943, NULL, 'PR00277', NULL, NULL, 'Insulin signature', NULL, 'INSULIN', NULL, NULL, 4412, 9),
(42944, NULL, 'PR01511', NULL, NULL, 'Kv1.4 voltage-gated K+ channel signature', NULL, 'KV14CHANNEL', NULL, NULL, 20869, 9),
(42945, NULL, 'PR00828', NULL, NULL, 'Formin signature', NULL, 'FORMIN', NULL, NULL, 101, 9),
(42946, NULL, 'PR01692', NULL, NULL, 'Lipocalin-1 interacting membrane receptor signature', NULL, 'LIPOCALINIMR', NULL, NULL, 6016, 9),
(42947, NULL, 'PR00033', NULL, NULL, 'AsnC bacterial regulatory protein HTH signature', NULL, 'HTHASNC', NULL, NULL, 6906, 9),
(42948, NULL, 'PR01093', NULL, NULL, 'Sulphonylurea receptor type 1 family signature', NULL, 'SULFNYLUR1', NULL, NULL, 4613, 9),
(42949, NULL, 'PR02094', NULL, NULL, 'Protein HEXIM1/HEXIM2 family signature', NULL, 'HEXIMFAMILY', NULL, NULL, 23153, 9),
(42950, NULL, 'PR00598', NULL, NULL, 'Bacterial regulatory protein MarR family signature', NULL, 'HTHMARR', NULL, NULL, 4858, 9),
(42951, NULL, 'PR00733', NULL, NULL, 'Glycosyl hydrolase family 6 signature', NULL, 'GLHYDRLASE6', NULL, NULL, 19648, 9),
(42952, NULL, 'PR01923', NULL, NULL, 'Tumour necrosis factor receptor 8 signature', NULL, 'TNFACTORR8', NULL, NULL, 20329, 9),
(42953, NULL, 'PR00915', NULL, NULL, 'Luteovirus group 1 coat protein signature', NULL, 'LUTEOGP1COAT', NULL, NULL, 6274, 9),
(42954, NULL, 'PR00530', NULL, NULL, 'Histamine H1 receptor signature', NULL, 'HISTAMINEH1R', NULL, NULL, 3428, 9),
(42955, NULL, 'PR01925', NULL, NULL, 'Mammalian nerve growth factor beta subunit signature', NULL, 'MAMLNGFBETA', NULL, NULL, 19459, 9),
(42956, NULL, 'PR00372', NULL, NULL, 'Biopterin-dependent aromatic amino acid hydroxylase signature', NULL, 'FYWHYDRXLASE', NULL, NULL, 17508, 9),
(42957, NULL, 'PR00748', NULL, NULL, 'Melibiase signature', NULL, 'MELIBIASE', NULL, NULL, 11326, 9),
(42958, NULL, 'PR01294', NULL, NULL, 'Interleukin-10 signature', NULL, 'INTRLEUKIN10', NULL, NULL, 3965, 9),
(42959, NULL, 'PR01788', NULL, NULL, 'Prostanoid receptor signature', NULL, 'PROSTANOIDR', NULL, NULL, 7760, 9),
(42960, NULL, 'PR02082', NULL, NULL, 'GLC7-interacting protein 4 signature', NULL, 'GLC7IP4', NULL, NULL, 26170, 9),
(42961, NULL, 'PR01109', NULL, NULL, 'C-C chemokine receptor type 4 signature', NULL, 'CHEMOKINER4', NULL, NULL, 6356, 9),
(42962, NULL, 'PR01668', NULL, NULL, 'Neurotensin/neuromedin N precursor signature', NULL, 'NEUROTENSIN', NULL, NULL, 5084, 9),
(42963, NULL, 'PR00713', NULL, NULL, 'C-type natriuretic peptide signature', NULL, 'CNATPEPTIDE', NULL, NULL, 6658, 9),
(42964, NULL, 'PR01242', NULL, NULL, 'Plant G protein alpha subunit signature', NULL, 'GPROTEINAPLT', NULL, NULL, 7166, 9);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42965, NULL, 'PR01743', NULL, NULL, 'Single-strand DNA-binding protein signature', NULL, 'SSDNABINDING', NULL, NULL, 6154, 9),
(42966, NULL, 'PR01822', NULL, NULL, 'Cholecystokinin receptor family signature', NULL, 'CCYSTOKININR', NULL, NULL, 10998, 9),
(42967, NULL, 'PR00005', NULL, NULL, 'Apple domain signature', NULL, 'APPLEDOMAIN', NULL, NULL, 1685, 9),
(42968, NULL, 'PR00876', NULL, NULL, 'Nematode metallothionein signature', NULL, 'MTNEMATODE', NULL, NULL, 4842, 9),
(42969, NULL, 'PR00025', NULL, NULL, 'Homeotic antennapedia protein signature', NULL, 'ANTENNAPEDIA', NULL, NULL, 13656, 9),
(42970, NULL, 'PR01201', NULL, NULL, 'Noradrenaline neurotransmitter transporter signature', NULL, 'NORTRANSPORT', NULL, NULL, 7205, 9),
(42971, NULL, 'PR01663', NULL, NULL, 'Mini-chromosome maintenance (MCM) protein 7 signature', NULL, 'MCMPROTEIN7', NULL, NULL, 5047, 9),
(42972, NULL, 'PR00099', NULL, NULL, 'Carbamoyl-phosphate synthase protein GATase domain signature', NULL, 'CPSGATASE', NULL, NULL, NULL, 9),
(42973, NULL, 'PR01436', NULL, NULL, 'NADH-ubiquinone oxidoreductase chain 2 signature', NULL, 'NADHDHGNASE2', NULL, NULL, 6075, 9),
(42974, NULL, 'PR00324', NULL, NULL, 'Nisin signature', NULL, 'NISIN', NULL, NULL, 2502, 9),
(42975, NULL, 'PR00084', NULL, NULL, 'Mannitol dehydrogenase signature', NULL, 'MTLDHDRGNASE', NULL, NULL, 6989, 9),
(42976, NULL, 'PR00181', NULL, NULL, 'Maltose binding protein signature', NULL, 'MALTOSEBP', NULL, NULL, 2541, 9),
(42977, NULL, 'PR01474', NULL, NULL, 'Vascular cell adhesion molecule-1 (VCAM-1) signature', NULL, 'VCAM1', NULL, NULL, 7172, 9),
(42978, NULL, 'PR02013', NULL, NULL, 'Aquaporin-1 signature', NULL, 'AQUAPORIN1', NULL, NULL, 13762, 9),
(42979, NULL, 'PR02055', NULL, NULL, 'Protein family FAM105 signature', NULL, 'PROTEINF105', NULL, NULL, 15686, 9),
(42980, NULL, 'PR00052', NULL, NULL, 'Fibrillarin signature', NULL, 'FIBRILLARIN', NULL, NULL, 6511, 9),
(42981, NULL, 'PR00872', NULL, NULL, 'Diptera (Drosophila) metallothionein signature', NULL, 'MTDIPTERA', NULL, NULL, 252, 9),
(42982, NULL, 'PR00162', NULL, NULL, 'Rieske 2Fe-2S subunit signature', NULL, 'RIESKE', NULL, NULL, 5780, 9),
(42983, NULL, 'PR00348', NULL, NULL, 'Ubiquitin signature', NULL, 'UBIQUITIN', NULL, NULL, 15237, 9),
(42984, NULL, 'PR01220', NULL, NULL, 'Tick histamine binding protein signature', NULL, 'HISBINDING', NULL, NULL, 6540, 9),
(42985, NULL, 'PR00239', NULL, NULL, 'Molluscan rhodopsin C-terminal tail signature', NULL, 'RHODOPSNTAIL', NULL, NULL, NULL, 9),
(42986, NULL, 'PR00302', NULL, NULL, 'Lupus La protein signature', NULL, 'LUPUSLA', NULL, NULL, 6651, 9),
(42987, NULL, 'PR00467', NULL, NULL, 'Mammalian lipoxygenase signature', NULL, 'MAMLPOXGNASE', NULL, NULL, 4101, 9),
(42988, NULL, 'PR01905', NULL, NULL, 'Fatty acid receptor GPR40 signature', NULL, 'FATTYACIDR', NULL, NULL, 8792, 9),
(42989, NULL, 'PR00700', NULL, NULL, 'Protein tyrosine phosphatase signature', NULL, 'PRTYPHPHTASE', NULL, NULL, 845, 9),
(42990, NULL, 'PR00692', NULL, NULL, 'T-cell surface glycoprotein CD4 signature', NULL, 'CD4TCANTIGEN', NULL, NULL, 3144, 9),
(42991, NULL, 'PR00143', NULL, NULL, 'Citrate synthase signature', NULL, 'CITRTSNTHASE', NULL, NULL, 2480, 9),
(42992, NULL, 'PR01553', NULL, NULL, 'Type IV secretion system CagA exotoxin signature', NULL, 'TYPE4SSCAGA', NULL, NULL, 5623, 9),
(42993, NULL, 'PR02008', NULL, NULL, 'RNA (C5-cytosine) methyltransferase signature', NULL, 'RCMTFAMILY', NULL, NULL, 14830, 9),
(42994, NULL, 'PR01713', NULL, NULL, 'Nucleotide sugar epimerase signature', NULL, 'NUCEPIMERASE', NULL, NULL, NULL, 9),
(42995, NULL, 'PR01747', NULL, NULL, 'Dense granule Gra7 protein signature', NULL, 'DENSEGRNULE7', NULL, NULL, 6175, 9),
(42996, NULL, 'PR00237', NULL, NULL, 'Rhodopsin-like GPCR superfamily signature', NULL, 'GPCRRHODOPSN', NULL, NULL, 4555, 9),
(42997, NULL, 'PR00648', NULL, NULL, 'GPR3 orphan receptor signature', NULL, 'GPR3ORPHANR', NULL, NULL, 3489, 9),
(42998, NULL, 'PR00112', NULL, NULL, 'Acylphosphatase signature', NULL, 'ACYLPHPHTASE', NULL, NULL, 20997, 9);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(42999, NULL, 'PR00013', NULL, NULL, 'Fibronectin type II repeat signature', NULL, 'FNTYPEII', NULL, NULL, NULL, 9),
(43000, NULL, 'PR01845', NULL, NULL, 'Wnt-6 protein signature', NULL, 'WNT6PROTEIN', NULL, NULL, 10505, 9),
(43001, NULL, 'PR01025', NULL, NULL, 'Neurokinin NK2 receptor signature', NULL, 'NEUROKININ2R', NULL, NULL, 3027, 9),
(43002, NULL, 'PR02096', NULL, NULL, 'Hydroxyacyl-thioester dehydratase type 2 (mitochondrial) signature', NULL, 'HTDHYDRTASE2', NULL, NULL, 28222, 9),
(43003, NULL, 'PR01550', NULL, NULL, 'DNA topoisomerase VI subunit A family signature', NULL, 'TOP6AFAMILY', NULL, NULL, 4952, 9),
(43004, NULL, 'PR01844', NULL, NULL, 'Wnt-4 protein signature', NULL, 'WNT4PROTEIN', NULL, NULL, 10699, 9),
(43005, NULL, 'PR01451', NULL, NULL, 'Calcium-activated SK potassium channel signature', NULL, 'SKCHANNEL', NULL, NULL, 9330, 9),
(43006, NULL, 'PR00667', NULL, NULL, 'Retinal pigment epithelium-retinal GPCR signature', NULL, 'RPERETINALR', NULL, NULL, 5237, 9),
(43007, NULL, 'PR01571', NULL, NULL, 'Type 1 neuropeptide FF receptor signature', NULL, 'NPFFRECEPTR1', NULL, NULL, 7145, 9),
(43008, NULL, 'PR00521', NULL, NULL, 'Androgen receptor (3C nuclear receptor) signature', NULL, 'ANDROGENR', NULL, NULL, 2475, 9),
(43009, NULL, 'PR00945', NULL, NULL, 'Mercuric reductase class II signature', NULL, 'HGRDTASE', NULL, NULL, NULL, 9),
(43010, NULL, 'PR00432', NULL, NULL, 'Interleukin-5 signature', NULL, 'INTERLEUKIN5', NULL, NULL, 1873, 9),
(43011, NULL, 'PR00367', NULL, NULL, 'Ethylene responsive element binding protein signature', NULL, 'ETHRSPELEMNT', NULL, NULL, 3110, 9),
(43012, NULL, 'PR00678', NULL, NULL, 'PI3 kinase P85 regulatory subunit signature', NULL, 'PI3KINASEP85', NULL, NULL, NULL, 9),
(43013, NULL, 'PR01594', NULL, NULL, 'Bacterial protein-transport SecB chaperone protein signature', NULL, 'SECBCHAPRONE', NULL, NULL, 2274, 9),
(43014, NULL, 'PR00279', NULL, NULL, 'Bacterial toxin signature', NULL, 'BACTRLTOXIN', NULL, NULL, 11441, 9),
(43015, NULL, 'PR01057', NULL, NULL, 'Metabotropic glutamate receptor 7 signature', NULL, 'MTABOTROPC7R', NULL, NULL, 4188, 9),
(43016, NULL, 'PR01532', NULL, NULL, 'C-X-C chemokine receptor type 3 signature', NULL, 'CXCCHMKINER3', NULL, NULL, 1635, 9),
(43017, NULL, 'PR00462', NULL, NULL, 'Fungal lignin peroxidase family signature', NULL, 'LIGNINASE', NULL, NULL, 5403, 9),
(43018, NULL, 'PR00253', NULL, NULL, 'Gamma-aminobutyric acid A (GABAA) receptor signature', NULL, 'GABAARECEPTR', NULL, NULL, 1088, 9),
(43019, NULL, 'PR01548', NULL, NULL, 'Meiotic recombination protein rec114 signature', NULL, 'MEIOTICR114', NULL, NULL, 5897, 9),
(43020, NULL, 'PR00012', NULL, NULL, 'Fibronectin type I repeat signature', NULL, 'FNTYPEI', NULL, NULL, NULL, 9),
(43021, NULL, 'PR01802', NULL, NULL, 'Synembryn family signature', NULL, 'SYNEMBRYN', NULL, NULL, 7682, 9),
(43022, NULL, 'PR00373', NULL, NULL, 'Glycoprotein hormone receptor signature', NULL, 'GLYCHORMONER', NULL, NULL, 1399, 9),
(43023, NULL, 'PR01493', NULL, NULL, 'Kv8 potassium channel alpha subunit signature', NULL, 'KV8CHANNEL', NULL, NULL, 7305, 9),
(43024, NULL, 'PR00745', NULL, NULL, 'Glycosyl hydrolase family 39 signature', NULL, 'GLHYDRLASE39', NULL, NULL, 6993, 9),
(43025, NULL, 'PR01255', NULL, NULL, 'Otx transcription factor signature', NULL, 'OTXHOMEOBOX', NULL, NULL, 436, 9),
(43026, NULL, 'PR01858', NULL, NULL, 'ADAM-TS1 protein signature', NULL, 'ADAMTS1', NULL, NULL, 8186, 9),
(43027, NULL, 'PR00849', NULL, NULL, 'Glycosyl hydrolase family 58 signature', NULL, 'GLHYDRLASE58', NULL, NULL, 3275, 9),
(43028, NULL, 'PR01379', NULL, NULL, 'Claudin-4 signature', NULL, 'CLAUDIN4', NULL, NULL, 6156, 9),
(43029, NULL, 'PR00394', NULL, NULL, 'RHS protein signature', NULL, 'RHSPROTEIN', NULL, NULL, 4254, 9),
(43030, NULL, 'PR00647', NULL, NULL, 'Urotensin II receptor signature', NULL, 'UROTENSIN2R', NULL, NULL, 5770, 9),
(43031, NULL, 'PR00142', NULL, NULL, 'RecA protein signature', NULL, 'RECA', NULL, NULL, 7617, 9),
(43032, NULL, 'PR01315', NULL, NULL, 'CLN3 Batten''s disease protein (battenin) signature', NULL, 'BATTENIN', NULL, NULL, 6433, 9);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43033, NULL, 'PR00291', NULL, NULL, 'Soybean trypsin inhibitor (Kunitz-type) signature', NULL, 'KUNITZINHBTR', NULL, NULL, 398, 9),
(43034, NULL, 'PR00421', NULL, NULL, 'Thioredoxin family signature', NULL, 'THIOREDOXIN', NULL, NULL, NULL, 9),
(43035, NULL, 'PR00081', NULL, NULL, 'Glucose/ribitol dehydrogenase family signature', NULL, 'GDHRDH', NULL, NULL, 6567, 9),
(43036, NULL, 'PR01230', NULL, NULL, 'Thiazide-sensitive Na-Cl co-transporter signature', NULL, 'NACLTRNSPORT', NULL, NULL, 6957, 9),
(43037, NULL, 'PR02024', NULL, NULL, 'Aquaporin-11 signature', NULL, 'AQUAPORIN11', NULL, NULL, 20718, 9),
(43038, NULL, 'PR01432', NULL, NULL, 'Rabaptin signature', NULL, 'RABAPTIN', NULL, NULL, 6111, 9),
(43039, NULL, 'PR00854', NULL, NULL, 'Prostaglandin D receptor signature', NULL, 'PRSTNOIDDPR', NULL, NULL, 425, 9),
(43040, NULL, 'PR01750', NULL, NULL, 'Transcription factor AP-2 beta signature', NULL, 'AP2BTNSCPFCT', NULL, NULL, 6337, 9),
(43041, NULL, 'PR01272', NULL, NULL, 'Acetoin utilisation ACUC protein signature', NULL, 'ACUCPROTEIN', NULL, NULL, 896, 9),
(43042, NULL, 'PR01051', NULL, NULL, 'Metabotropic glutamate receptor 1 signature', NULL, 'MTABOTROPC1R', NULL, NULL, 2450, 9),
(43043, NULL, 'PR01333', NULL, NULL, 'Two pore domain K+ channel signature', NULL, '2POREKCHANEL', NULL, NULL, 3469, 9),
(43044, NULL, 'PR01153', NULL, NULL, 'Platelet activating factor receptor signature', NULL, 'PAFRECEPTOR', NULL, NULL, 6009, 9),
(43045, NULL, 'PR02044', NULL, NULL, 'Fibrosin-1-like protein family signature', NULL, 'FIBROSIN1LPF', NULL, NULL, 15705, 9),
(43046, NULL, 'PR01722', NULL, NULL, 'Gamma-aminobutyric-acid A receptor delta subunit signature', NULL, 'GABAARDELTA', NULL, NULL, 6486, 9),
(43047, NULL, 'PR02035', NULL, NULL, 'FPRL1/chemotaxis inhibitory protein signature', NULL, 'FLIPRCHIPS', NULL, NULL, 14955, 9),
(43048, NULL, 'PR00176', NULL, NULL, 'Sodium/chloride neurotransmitter symporter signature', NULL, 'NANEUSMPORT', NULL, NULL, 3945, 9),
(43049, NULL, 'PR00696', NULL, NULL, 'Crossover junction endodeoxyribonuclease RUVC signature', NULL, 'RSOLVASERUVC', NULL, NULL, 5338, 9),
(43050, NULL, 'PR01021', NULL, NULL, 'OMPA domain signature', NULL, 'OMPADOMAIN', NULL, NULL, 1632, 9),
(43051, NULL, 'PR00903', NULL, NULL, 'VP7 core protein signature', NULL, 'VP7CAPSID', NULL, NULL, 4229, 9),
(43052, NULL, 'PR01343', NULL, NULL, 'Yeast eukaryotic release factor signature', NULL, 'YEASTERF', NULL, NULL, 3172, 9),
(43053, NULL, 'PR01659', NULL, NULL, 'Mini-chromosome maintenance (MCM) protein 3 signature', NULL, 'MCMPROTEIN3', NULL, NULL, 5245, 9),
(43054, NULL, 'PR01557', NULL, NULL, 'C-C chemokine receptor type 10 signature', NULL, 'CHEMOKINER10', NULL, NULL, 6841, 9),
(43055, NULL, 'PR00401', NULL, NULL, 'SH2 domain signature', NULL, 'SH2DOMAIN', NULL, NULL, 3420, 9),
(43056, NULL, 'PR00704', NULL, NULL, 'Calpain cysteine protease (C2) family signature', NULL, 'CALPAIN', NULL, NULL, 17375, 9),
(43057, NULL, 'PR00752', NULL, NULL, 'Vasopressin V1A receptor signature', NULL, 'VASOPRSNV1AR', NULL, NULL, 2420, 9),
(43058, NULL, 'PR00409', NULL, NULL, 'Phthalate dioxygenase reductase family signature', NULL, 'PHDIOXRDTASE', NULL, NULL, 3139, 9),
(43059, NULL, 'PR01975', NULL, NULL, 'Tumour necrosis factor receptor 11B signature', NULL, 'TNFACTORR11B', NULL, NULL, 17727, 9),
(43060, NULL, 'PR00824', NULL, NULL, 'Hepatic lipase signature', NULL, 'HEPLIPASE', NULL, NULL, 6847, 9),
(43061, NULL, 'PR00961', NULL, NULL, 'Paraneoplastic encephalomyelitis antigen family signature', NULL, 'HUDSXLRNA', NULL, NULL, 6050, 9),
(43062, NULL, 'PR00573', NULL, NULL, 'Interleukin 8B receptor signature', NULL, 'INTRLEUKN8BR', NULL, NULL, 2648, 9),
(43063, NULL, 'PR00632', NULL, NULL, 'Sonic hedgehog protein signature', NULL, 'SONICHHOG', NULL, NULL, 5090, 9),
(43064, NULL, 'PR01310', NULL, NULL, 'P2X3 purinoceptor signature', NULL, 'P2X3RECEPTOR', NULL, NULL, 801, 9),
(43065, NULL, 'PR01582', NULL, NULL, 'Kv3.3 voltage-gated K+ channel signature', NULL, 'KV33CHANNEL', NULL, NULL, 7473, 9),
(43066, NULL, 'PR00386', NULL, NULL, 'P53 tumour supressor signature', NULL, 'P53SUPPRESSR', NULL, NULL, 1416, 9);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43067, NULL, 'PR01595', NULL, NULL, 'Gram-negative bacterial type III secretion SycD chaperone signature', NULL, 'SYCDCHAPRONE', NULL, NULL, 7385, 9),
(43068, NULL, 'PR01719', NULL, NULL, 'MHC class II transactivator signature', NULL, 'MHCIIACTVATR', NULL, NULL, 6014, 9),
(43069, NULL, 'PR00589', NULL, NULL, 'Somatostatin receptor type 3 signature', NULL, 'SOMATOSTTN3R', NULL, NULL, 4034, 9),
(43070, NULL, 'PR00295', NULL, NULL, 'Stefin A signature', NULL, 'STEFINA', NULL, NULL, 3441, 9),
(43071, NULL, 'PR00931', NULL, NULL, 'Microbial collagenase metalloprotease (M9) signature', NULL, 'MICOLLPTASE', NULL, NULL, 253, 9),
(43072, NULL, 'PR00977', NULL, NULL, 'Scytalidopepsin B aspartic protease (A4) signature', NULL, 'SCYTLDPTASE', NULL, NULL, 4570, 9),
(43073, NULL, 'PR00518', NULL, NULL, '5-hydroxytryptamine 5A receptor signature', NULL, '5HT5ARECEPTR', NULL, NULL, 7346, 9),
(43074, NULL, 'PR01097', NULL, NULL, 'Transient receptor potential family signature', NULL, 'TRNSRECEPTRP', NULL, NULL, 17, 9),
(43075, NULL, 'PR01355', NULL, NULL, 'Glucagon-like peptide 1 receptor signature', NULL, 'GLUCAGNLIKER', NULL, NULL, 3059, 9),
(43076, NULL, 'PR01081', NULL, NULL, 'K-Cl co-transporter signature', NULL, 'KCLTRNSPORT', NULL, NULL, 2884, 9),
(43077, NULL, 'PR01877', NULL, NULL, 'Myeloid transforming gene related protein-1 (MTGR1) family signature', NULL, 'MTGR1PROTEIN', NULL, NULL, 8844, 9),
(43078, NULL, 'PR00342', NULL, NULL, 'Rhesus blood group protein signature', NULL, 'RHESUSRHD', NULL, NULL, 655, 9),
(43079, NULL, 'PR00555', NULL, NULL, 'Adenosine A3 receptor signature', NULL, 'ADENOSINEA3R', NULL, NULL, 6625, 9),
(43080, NULL, 'PR00417', NULL, NULL, 'Prokaryotic DNA topoisomerase I signature', NULL, 'PRTPISMRASEI', NULL, NULL, 10887, 9),
(43081, NULL, 'PR00661', NULL, NULL, 'ERM family signature', NULL, 'ERMFAMILY', NULL, NULL, 5269, 9),
(43082, NULL, 'PR01312', NULL, NULL, 'P2X5 purinoceptor signature', NULL, 'P2X5RECEPTOR', NULL, NULL, 520, 9),
(43083, NULL, 'PR01213', NULL, NULL, 'Beta-synuclein signature', NULL, 'BSYNUCLEIN', NULL, NULL, 7284, 9),
(43084, NULL, 'PR01374', NULL, NULL, 'Gram-negative bacterial tonB protein signature', NULL, 'TONBPROTEIN', NULL, NULL, 7384, 9),
(43085, NULL, 'PR01607', NULL, NULL, 'Apyrase family signature', NULL, 'APYRASEFAMLY', NULL, NULL, 11002, 9),
(43086, NULL, 'PR01264', NULL, NULL, 'Bacterial mechano-sensitive ion channel signature', NULL, 'MECHCHANNEL', NULL, NULL, 1117, 9),
(43087, NULL, 'PR01643', NULL, NULL, 'Transient receptor potential channel 2 signature', NULL, 'TRPCHANNEL2', NULL, NULL, 907, 9),
(43088, NULL, 'PR01783', NULL, NULL, 'Melanin-concentrating hormone receptor family signature', NULL, 'MCHRECEPTOR', NULL, NULL, 7709, 9),
(43089, NULL, 'PR01706', NULL, NULL, 'Antistasin signature', NULL, 'ANTISTASIN', NULL, NULL, 6385, 9),
(43090, NULL, 'PR01123', NULL, NULL, 'Flavin-containing monooxygenase (FMO) 3 signature', NULL, 'FMOXYGENASE3', NULL, NULL, 305, 9),
(43091, NULL, 'PR01900', NULL, NULL, 'YidC translocation/secretion protein signature', NULL, 'YIDCPROTEIN', NULL, NULL, 3134, 9),
(43092, NULL, 'PR00747', NULL, NULL, 'Glycosyl hydrolase family 47 signature', NULL, 'GLYHDRLASE47', NULL, NULL, 6764, 9),
(43093, NULL, 'PR00164', NULL, NULL, 'ABC-2 type transport system membrane protein signature', NULL, 'ABC2TRNSPORT', NULL, NULL, 4765, 9),
(43094, NULL, 'PR00609', NULL, NULL, 'Class III cytochrome C signature', NULL, 'CYTOCHROMEC3', NULL, NULL, 6029, 9),
(43095, NULL, 'PR01321', NULL, NULL, 'Kir1.1 inward rectifier K+ channel signature', NULL, 'KIR11CHANNEL', NULL, NULL, NULL, 9),
(43096, NULL, 'PR01847', NULL, NULL, 'Viral fusion protein signature', NULL, 'VIRALFUSION', NULL, NULL, 5396, 9),
(43097, NULL, 'PR00603', NULL, NULL, 'Cytochrome C1 signature', NULL, 'CYTOCHROMEC1', NULL, NULL, 6792, 9),
(43098, NULL, 'PR01564', NULL, NULL, 'OGR1 sphingosylphosphorylcholine receptor signature', NULL, 'OGR1RECEPTOR', NULL, NULL, 7040, 9),
(43099, NULL, 'PR02077', NULL, NULL, 'Protein GAPT signature', NULL, 'PROTEINGAPT', NULL, NULL, 18188, 9);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43100, NULL, 'PR00654', NULL, NULL, 'Angiotensinogen signature', NULL, 'ANGIOTENSNGN', NULL, NULL, 1342, 9),
(43101, NULL, 'PR01823', NULL, NULL, 'Janus kinase family signature', NULL, 'JANUSKINASE', NULL, NULL, 17408, 9),
(43102, NULL, 'PR01832', NULL, NULL, 'Vascular endothelial growth factor receptor signature', NULL, 'VEGFRECEPTOR', NULL, NULL, NULL, 9),
(43103, NULL, 'PR00866', NULL, NULL, 'RNA-dependent DNA-polymerase (msDNA) signature', NULL, 'RNADNAPOLMS', NULL, NULL, 1907, 9),
(43104, NULL, 'PR01860', NULL, NULL, 'ADAM-TS5 protein signature', NULL, 'ADAMTS5', NULL, NULL, 8860, 9),
(43105, NULL, 'PR00251', NULL, NULL, 'Bacterial opsin signature', NULL, 'BACTRLOPSIN', NULL, NULL, 6743, 9),
(43106, NULL, 'PR01868', NULL, NULL, 'ABC transporter family E signature', NULL, 'ABCEFAMILY', NULL, NULL, 8645, 9),
(43107, NULL, 'PR02015', NULL, NULL, 'Aquaporin-3 signature', NULL, 'AQUAPORIN3', NULL, NULL, 17587, 9),
(43108, NULL, 'PR00792', NULL, NULL, 'Pepsin (A1) aspartic protease family signature', NULL, 'PEPSIN', NULL, NULL, 6100, 9),
(43109, NULL, 'PR01662', NULL, NULL, 'Mini-chromosome maintenance (MCM) protein 6 signature', NULL, 'MCMPROTEIN6', NULL, NULL, 5023, 9),
(43110, NULL, 'PR01896', NULL, NULL, 'ABC transporter family B2 signature', NULL, 'TAP1PROTEIN', NULL, NULL, NULL, 9),
(43111, NULL, 'PR00524', NULL, NULL, 'Cholecystokinin type A receptor signature', NULL, 'CCYSTOKNINAR', NULL, NULL, 4192, 9),
(43112, NULL, 'PR01099', NULL, NULL, 'Hydroxyethylthiazole kinase family signature', NULL, 'HYETHTZKNASE', NULL, NULL, 6900, 9),
(43113, NULL, 'PR01306', NULL, NULL, 'Salmonella invasion protein InvJ signature', NULL, 'SSPANPROTEIN', NULL, NULL, 6105, 9),
(43114, NULL, 'PR00123', NULL, NULL, 'ATP synthase A subunit signature', NULL, 'ATPASEA', NULL, NULL, 5691, 9),
(43115, NULL, 'PR01558', NULL, NULL, 'C-C chemokine receptor type 11 signature', NULL, 'CHEMOKINER11', NULL, NULL, 6663, 9),
(43116, NULL, 'PR00818', NULL, NULL, 'Islet amyloid protein (amylin) signature', NULL, 'ISLETAMYLOID', NULL, NULL, 5978, 9),
(43117, NULL, 'PR00249', NULL, NULL, 'Secretin-like GPCR superfamily signature', NULL, 'GPCRSECRETIN', NULL, NULL, 145, 9),
(43118, NULL, 'PR00772', NULL, NULL, 'Heat labile enterotoxin B chain signature', NULL, 'ENTEROTOXINB', NULL, NULL, 4434, 9),
(43119, NULL, 'PR01156', NULL, NULL, 'Pituitary adenylate cyclase activating polypeptide type 1 receptor signature', NULL, 'PACAPRECEPTR', NULL, NULL, 6131, 9),
(43120, NULL, 'PR01992', NULL, NULL, 'GP153 7TM protein signature', NULL, 'GPR153', NULL, NULL, 15568, 9),
(43121, NULL, 'PR01572', NULL, NULL, 'Type 2 neuropeptide FF receptor signature', NULL, 'NPFFRECEPTR2', NULL, NULL, 7313, 9),
(43122, NULL, 'PR00839', NULL, NULL, 'V8 serine protease family signature', NULL, 'V8PROTEASE', NULL, NULL, 8522, 9),
(43123, NULL, 'PR01665', NULL, NULL, 'Voltage-gated Na+ channel alpha 4 subunit signature', NULL, 'NACHANNEL4', NULL, NULL, 5437, 9),
(43124, NULL, 'PR01094', NULL, NULL, 'Sulphonylurea receptor type 2 family signature', NULL, 'SULFNYLUR2', NULL, NULL, 6135, 9),
(43125, NULL, 'PR00897', NULL, NULL, 'Vasopressin V1B receptor signature', NULL, 'VASOPRSNV1BR', NULL, NULL, 5724, 9),
(43126, NULL, 'PR00800', NULL, NULL, 'Aromatic-L-amino-acid decarboxylase signature', NULL, 'YHDCRBOXLASE', NULL, NULL, 10439, 9),
(43127, NULL, 'PR01279', NULL, NULL, 'Corticotropin releasing factor receptor signature', NULL, 'CRFRECEPTOR', NULL, NULL, 6887, 9),
(43128, NULL, 'PR01125', NULL, NULL, 'Flavin-containing monooxygenase (FMO) 5 signature', NULL, 'FMOXYGENASE5', NULL, NULL, 6056, 9),
(43129, NULL, 'PR01893', NULL, NULL, 'Wnt-10 protein signature', NULL, 'WNT10PROTEIN', NULL, NULL, 8572, 9),
(43130, NULL, 'PR01490', NULL, NULL, 'Gram-negative bacterial RTX secretion protein D signature', NULL, 'RTXTOXIND', NULL, NULL, NULL, 9),
(43131, NULL, 'PR00009', NULL, NULL, 'Type I EGF signature', NULL, 'EGFTGF', NULL, NULL, NULL, 9),
(43132, NULL, 'PR01902', NULL, NULL, 'Cysteinyl leukotriene receptor 1 signature', NULL, 'CYSLT1RECPTR', NULL, NULL, 8849, 9);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43133, NULL, 'PR00571', NULL, NULL, 'Endothelin-B receptor signature', NULL, 'ENDOTHELINBR', NULL, NULL, 2419, 9),
(43134, NULL, 'PR02088', NULL, NULL, 'HAUS augmin-like complex subunit 2 signature', NULL, 'HAUSAUGMINL2', NULL, NULL, 26367, 9),
(43135, NULL, 'PR00859', NULL, NULL, 'Prokaryote metallothionein signature', NULL, 'MTPROKARYOTE', NULL, NULL, 6790, 9),
(43136, NULL, 'PR00198', NULL, NULL, 'Annexin type II signature', NULL, 'ANNEXINII', NULL, NULL, 6796, 9),
(43137, NULL, 'PR01022', NULL, NULL, 'Outer membrane protein A signature', NULL, 'OUTRMMBRANEA', NULL, NULL, 6473, 9),
(43138, NULL, 'PR01815', NULL, NULL, 'Beta-site APP cleaving enzyme (BACE) family signature', NULL, 'BACEFAMILY', NULL, NULL, 10557, 9),
(43139, NULL, 'PR00618', NULL, NULL, 'DksA/TraR zinc finger signature', NULL, 'DKSAZNFINGER', NULL, NULL, 19774, 9),
(43140, NULL, 'PR00736', NULL, NULL, 'Glycosyl hydrolase family 15 signature', NULL, 'GLHYDRLASE15', NULL, NULL, 3805, 9),
(43141, NULL, 'PR01745', NULL, NULL, 'Dense granule Gra2 protein signature', NULL, 'DENSEGRNULE2', NULL, NULL, 6133, 9),
(43142, NULL, 'PR02005', NULL, NULL, 'Insulin-like growth factor I signature', NULL, 'INSLNLIKEGF1', NULL, NULL, 16303, 9),
(43143, NULL, 'PR01394', NULL, NULL, 'Clostridium enterotoxin signature', NULL, 'CLENTEROTOXN', NULL, NULL, 6391, 9),
(43144, NULL, 'PR00722', NULL, NULL, 'Chymotrypsin serine protease family (S1) signature', NULL, 'CHYMOTRYPSIN', NULL, NULL, 306, 9),
(43145, NULL, 'PR00111', NULL, NULL, 'Alpha/beta hydrolase fold signature', NULL, 'ABHYDROLASE', NULL, NULL, 3705, 9),
(43146, NULL, 'PR00899', NULL, NULL, 'Fungal pheromone STE3 GPCR signature', NULL, 'GPCRSTE3', NULL, NULL, 6277, 9),
(43147, NULL, 'PR00265', NULL, NULL, 'Interleukin-2 signature', NULL, 'INTERLEUKIN2', NULL, NULL, 3879, 9),
(43148, NULL, 'PR01414', NULL, NULL, 'Cytochrome c-type biogenesis protein CcmB signature', NULL, 'CCMBBIOGNSIS', NULL, NULL, NULL, 9),
(43149, NULL, 'PR01608', NULL, NULL, 'Salmonella/Shigella invasin protein C signature', NULL, 'BACINVASINC', NULL, NULL, NULL, 9),
(43150, NULL, 'PR01869', NULL, NULL, 'Beta-catenin family signature', NULL, 'BCATNINFAMLY', NULL, NULL, 8718, 9),
(43151, NULL, 'PR00806', NULL, NULL, 'Vinculin signature', NULL, 'VINCULIN', NULL, NULL, NULL, 9),
(43152, NULL, 'PR00127', NULL, NULL, 'Clp protease catalytic subunit P signature', NULL, 'CLPPROTEASEP', NULL, NULL, 2183, 9),
(43153, NULL, 'PR01261', NULL, NULL, 'Tau protein signature', NULL, 'TAUPROTEIN', NULL, NULL, 7397, 9),
(43154, NULL, 'PR00919', NULL, NULL, 'Thermophilic metalloprotease (M29) signature', NULL, 'THERMOPTASE', NULL, NULL, 4756, 9),
(43155, NULL, 'PR01397', NULL, NULL, '2,3-dihydro-2,3-dihydroxybenzoate dehydrogenase signature', NULL, 'DHBDHDRGNASE', NULL, NULL, 350, 9),
(43156, NULL, 'PR01145', NULL, NULL, 'Thyrotropin receptor precursor signature', NULL, 'TSHRECEPTOR', NULL, NULL, 3, 9),
(43157, NULL, 'PR01574', NULL, NULL, 'Tubby protein signature', NULL, 'TUBBYPROTEIN', NULL, NULL, 7483, 9),
(43158, NULL, 'PR00407', NULL, NULL, 'Eukaryotic molybdopterin domain signature', NULL, 'EUMOPTERIN', NULL, NULL, 12036, 9),
(43159, NULL, 'PR01326', NULL, NULL, 'Kir2.3 inward rectifier K+ channel signature', NULL, 'KIR23CHANNEL', NULL, NULL, 3083, 9),
(43160, NULL, 'PR00133', NULL, NULL, 'Glycosyl hydrolase family 3 signature', NULL, 'GLHYDRLASE3', NULL, NULL, 3494, 9),
(43161, NULL, 'PR01195', NULL, NULL, 'GAT-1 GABA neurotransmitter transporter signature', NULL, 'GAT1TRNSPORT', NULL, NULL, 7455, 9),
(43162, NULL, 'PR01228', NULL, NULL, 'Eggshell protein signature', NULL, 'EGGSHELL', NULL, NULL, NULL, 9),
(43163, NULL, 'PR01446', NULL, NULL, 'Claudin-8 signature', NULL, 'CLAUDIN8', NULL, NULL, NULL, 9),
(43164, NULL, 'PR01019', NULL, NULL, 'LPP20 lipoprotein precursor signature', NULL, 'LIPOLPP20', NULL, NULL, 384, 9),
(43165, NULL, 'PR01266', NULL, NULL, 'Alpha-class glutathione S-transferase signature', NULL, 'GSTRNSFRASEA', NULL, NULL, 811, 9),
(43166, NULL, 'PR01694', NULL, NULL, 'Brain-specific angiogenesis inhibitor precursor signature', NULL, 'BAIPRECURSOR', NULL, NULL, 6257, 9);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43167, NULL, 'PR01351', NULL, NULL, 'Calcitonin gene-related peptide type 1 receptor signature', NULL, 'CGRPRECEPTOR', NULL, NULL, 3380, 9),
(43168, NULL, 'PR00891', NULL, NULL, 'Rab GDI/REP protein family signature', NULL, 'RABGDIREP', NULL, NULL, 19511, 9),
(43169, NULL, 'PR01090', NULL, NULL, 'Neuroligin signature', NULL, 'NEUROLIGIN', NULL, NULL, 6787, 9),
(43170, NULL, 'PR01862', NULL, NULL, 'Bcl-2 apoptosis regulator protein family signature', NULL, 'BCL2FAMILY', NULL, NULL, 22479, 9),
(43171, NULL, 'PR01915', NULL, NULL, 'Neurotrophin-4 signature', NULL, 'NEUROTROPHN4', NULL, NULL, 19305, 9),
(43172, NULL, 'PR00425', NULL, NULL, 'Bradykinin receptor signature', NULL, 'BRADYKININR', NULL, NULL, 7021, 9),
(43173, NULL, 'PR00057', NULL, NULL, 'Transcription factor NF-KB signature', NULL, 'NFKBTNSCPFCT', NULL, NULL, 6548, 9),
(43174, NULL, 'PR00074', NULL, NULL, 'Protein-lysine 6-oxidase precursor signature', NULL, 'LYSYLOXIDASE', NULL, NULL, 3405, 9),
(43175, NULL, 'PR00100', NULL, NULL, 'Aspartate/ornithine carbamoyltransferase superfamily signature', NULL, 'AOTCASE', NULL, NULL, 10454, 9),
(43176, NULL, 'PR01642', NULL, NULL, 'Transient receptor potential channel 1 signature', NULL, 'TRPCHANNEL1', NULL, NULL, 562, 9),
(43177, NULL, 'PR00742', NULL, NULL, 'Glycosyl hydrolase family 35 signature', NULL, 'GLHYDRLASE35', NULL, NULL, 4134, 9),
(43178, NULL, 'PR02091', NULL, NULL, 'HAUS augmin-like complex subunit 5 signature', NULL, 'HAUSAUGMINL5', NULL, NULL, 28426, 9),
(43179, NULL, 'PR01871', NULL, NULL, 'Annexin type VII signature', NULL, 'ANNEXINVII', NULL, NULL, NULL, 9),
(43180, NULL, 'PR01671', NULL, NULL, 'Gamma-aminobutyric-acid A (GABAA) receptor rho 1 subunit signature', NULL, 'GABAARRHO1', NULL, NULL, 5466, 9),
(43181, NULL, 'PR00719', NULL, NULL, 'LMW phosphotyrosine protein phosphatase signature', NULL, 'LMWPTPASE', NULL, NULL, 11364, 9),
(43182, NULL, 'PR00904', NULL, NULL, 'Frataxin signature', NULL, 'FRATAXIN', NULL, NULL, 6172, 9),
(43183, NULL, 'PR01204', NULL, NULL, 'Glycine neurotransmitter transporter type 1 (GLYT-1) signature', NULL, 'GLY1TRNSPORT', NULL, NULL, 354, 9),
(43184, NULL, 'PR01477', NULL, NULL, 'Leukotriene B4 type 1 receptor signature', NULL, 'LTB1RECEPTOR', NULL, NULL, 7030, 9),
(43185, NULL, 'PR00526', NULL, NULL, 'Formyl-methionyl peptide receptor signature', NULL, 'FMETLEUPHER', NULL, NULL, NULL, 9),
(43186, NULL, 'PR01601', NULL, NULL, 'Voltage-dependent calcium channel gamma-1 subunit signature', NULL, 'VDCCGAMMA1', NULL, NULL, 7152, 9),
(43187, NULL, 'PR00349', NULL, NULL, 'Virion infectivity factor signature', NULL, 'VIRIONINFFCT', NULL, NULL, 6766, 9),
(43188, NULL, 'PR01927', NULL, NULL, 'Interleukin-11 signature', NULL, 'INTRLEUKIN11', NULL, NULL, 20515, 9),
(43189, NULL, 'PR01283', NULL, NULL, 'Ecdysteroid receptor (1H nuclear receptor) signature', NULL, 'ECDYSTEROIDR', NULL, NULL, 885, 9),
(43190, NULL, 'PR00764', NULL, NULL, 'Complement C9 signature', NULL, 'COMPLEMENTC9', NULL, NULL, 4069, 9),
(43191, NULL, 'PR00676', NULL, NULL, 'Maspin signature', NULL, 'MASPIN', NULL, NULL, 552, 9),
(43192, NULL, 'PR01798', NULL, NULL, 'Succinyl-CoA synthase signature', NULL, 'SCOASYNTHASE', NULL, NULL, NULL, 9),
(43193, NULL, 'PR00059', NULL, NULL, 'Ribosomal protein L6 signature', NULL, 'RIBOSOMALL6', NULL, NULL, 12438, 9),
(43194, NULL, 'PR01502', NULL, NULL, 'Ubiquitously expressed transcript protein signature', NULL, 'UXTPROTEIN', NULL, NULL, 990, 9),
(43195, NULL, 'PR00266', NULL, NULL, 'Interferon alpha and beta subunit signature', NULL, 'INTERFERONAB', NULL, NULL, 5769, 9),
(43196, NULL, 'PR00698', NULL, NULL, 'C.elegans Srg family integral membrane protein signature', NULL, 'TMPROTEINSRG', NULL, NULL, 5642, 9),
(43197, NULL, 'PR02010', NULL, NULL, 'RNA (C5-cytosine) methyltransferase subfamily 9 signature', NULL, 'RCMT9', NULL, NULL, 14727, 9),
(43198, NULL, 'PR01271', NULL, NULL, 'Histone deacetylase signature', NULL, 'HISDACETLASE', NULL, NULL, 814, 9),
(43199, NULL, 'PR00575', NULL, NULL, 'Red/green-sensitive opsin signature', NULL, 'OPSINREDGRN', NULL, NULL, 6852, 9);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43200, NULL, 'PR01424', NULL, NULL, 'Transforming growth factor beta 1 precursor signature', NULL, 'TGFBETA1', NULL, NULL, 7259, 9),
(43201, NULL, 'PR01535', NULL, NULL, 'Vomeronasal type 2 receptor family signature', NULL, 'VOMERONASL2R', NULL, NULL, 1644, 9),
(43202, NULL, 'PR01522', NULL, NULL, 'Orexin receptor type 2 signature', NULL, 'OREXIN2R', NULL, NULL, 882, 9),
(43203, NULL, 'PR00257', NULL, NULL, 'Plant photosystem I psaA and psaB protein signature', NULL, 'PHOTSYSPSAAB', NULL, NULL, 2247, 9),
(43204, NULL, 'PR00318', NULL, NULL, 'Alpha G protein (transducin) signature', NULL, 'GPROTEINA', NULL, NULL, 5021, 9),
(43205, NULL, 'PR01733', NULL, NULL, 'Mycoplasma P48 major surface lipoprotein signature', NULL, 'LIPPROTEIN48', NULL, NULL, 6333, 9),
(43206, NULL, 'PR00622', NULL, NULL, 'Histone H3 signature', NULL, 'HISTONEH3', NULL, NULL, 1917, 9),
(43207, NULL, 'PR01540', NULL, NULL, 'Interleukin-1 binding protein precursor signature', NULL, 'INTRLEUKN1BP', NULL, NULL, 1965, 9),
(43208, NULL, 'PR01835', NULL, NULL, 'Vascular endothelial growth factor receptor type 3 signature', NULL, 'VEGFRECEPTR3', NULL, NULL, NULL, 9),
(43209, NULL, 'PR01918', NULL, NULL, 'Tumour necrosis factor receptor 1A signature', NULL, 'TNFACTORR1A', NULL, NULL, 20447, 9),
(43210, NULL, 'PR01171', NULL, NULL, 'Bacterial lipocalin signature', NULL, 'BCTLIPOCALIN', NULL, NULL, 7026, 9),
(43211, NULL, 'PR01508', NULL, NULL, 'Kv1.1 voltage-gated K+ channel signature', NULL, 'KV11CHANNEL', NULL, NULL, 894, 9),
(43212, NULL, 'PR01688', NULL, NULL, 'CYP2J P450 family signature', NULL, 'EP450ICYP2J', NULL, NULL, 6399, 9),
(43213, NULL, 'PR00098', NULL, NULL, 'Carbamoyl-phosphate synthase protein CPSase domain signature', NULL, 'CPSASE', NULL, NULL, 643, 9),
(43214, NULL, 'PR00615', NULL, NULL, 'CCAAT-binding transcription factor subunit A signature', NULL, 'CCAATSUBUNTA', NULL, NULL, NULL, 9),
(43215, NULL, 'PR00355', NULL, NULL, 'Adrenodoxin signature', NULL, 'ADRENODOXIN', NULL, NULL, 2002, 9),
(43216, NULL, 'PR00878', NULL, NULL, 'Cholinesterase signature', NULL, 'CHOLNESTRASE', NULL, NULL, 3100, 9),
(43217, NULL, 'PR00494', NULL, NULL, 'Fanconi anaemia group C protein signature', NULL, 'FANCONICGENE', NULL, NULL, 6817, 9),
(43218, NULL, 'PR01075', NULL, NULL, 'C.elegans Sel-12 (presenilin) signature', NULL, 'PRESENILNSEL', NULL, NULL, 3302, 9),
(43219, NULL, 'PR00658', NULL, NULL, 'CD44 antigen precursor signature', NULL, 'CD44', NULL, NULL, 938, 9),
(43220, NULL, 'PR00799', NULL, NULL, 'Aspartate aminotransferase signature', NULL, 'TRANSAMINASE', NULL, NULL, 4816, 9),
(43221, NULL, 'PR01159', NULL, NULL, 'DNA gyrase subunit B signature', NULL, 'DNAGYRASEB', NULL, NULL, 5937, 9),
(43222, NULL, 'PR01288', NULL, NULL, 'Peroxisome proliferator-activated receptor (1C nuclear receptor) signature', NULL, 'PROXISOMEPAR', NULL, NULL, 868, 9),
(43223, NULL, 'PR01660', NULL, NULL, 'Mini-chromosome maintenance (MCM) protein 4 signature', NULL, 'MCMPROTEIN4', NULL, NULL, 5439, 9),
(43224, NULL, 'PR00930', NULL, NULL, 'High mobility group protein (HMGY) signature', NULL, 'HIGHMOBLTYIY', NULL, NULL, 3537, 9),
(43225, NULL, 'PR01620', NULL, NULL, 'Gamma-aminobutyric-acid A receptor gamma subunit signature', NULL, 'GABAARGAMMA', NULL, NULL, 482, 9),
(43226, NULL, 'PR00634', NULL, NULL, 'Major pollen allergen Bet V1 signature', NULL, 'BETALLERGEN', NULL, NULL, 25882, 9),
(43227, NULL, 'PR00475', NULL, NULL, 'Hexokinase family signature', NULL, 'HEXOKINASE', NULL, NULL, NULL, 9),
(43228, NULL, 'PR01031', NULL, NULL, 'Nociceptin precursor signature', NULL, 'ORPHNNPRCRSR', NULL, NULL, 5033, 9),
(43229, NULL, 'PR00637', NULL, NULL, 'Type 3 bombesin receptor signature', NULL, 'BOMBESIN3R', NULL, NULL, 5362, 9),
(43230, NULL, 'PR01300', NULL, NULL, 'Pyocin S killer protein signature', NULL, 'PYOCINKILLER', NULL, NULL, 6823, 9),
(43231, NULL, 'PR01460', NULL, NULL, 'KCNQ1 voltage-gated potassium channel signature', NULL, 'KCNQ1CHANNEL', NULL, NULL, 5952, 9),
(43232, NULL, 'PR02027', NULL, NULL, 'Activity-regulated cytoskeleton-associated protein signature', NULL, 'ARCARG31', NULL, NULL, 20027, 9);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43233, NULL, 'PR00749', NULL, NULL, 'Lysozyme G signature', NULL, 'LYSOZYMEG', NULL, NULL, 1324, 9),
(43234, NULL, 'PR02090', NULL, NULL, 'HAUS augmin-like complex subunit 4 signature', NULL, 'HAUSAUGMINL4', NULL, NULL, 28329, 9),
(43235, NULL, 'PR00921', NULL, NULL, 'IgA-specific serine endopeptidase (S6) signature', NULL, 'IGASERPTASE', NULL, NULL, 3964, 9),
(43236, NULL, 'PR00466', NULL, NULL, 'Cytochrome B-245 heavy chain signature', NULL, 'GP91PHOX', NULL, NULL, 4298, 9),
(43237, NULL, 'PR00492', NULL, NULL, 'RHO protein GDP dissociation inhibitor signature', NULL, 'RHOGDI', NULL, NULL, 4562, 9),
(43238, NULL, 'PR00850', NULL, NULL, 'Glycosyl hydrolase family 59 signature', NULL, 'GLHYDRLASE59', NULL, NULL, 2150, 9),
(43239, NULL, 'PR01244', NULL, NULL, 'Peropsin signature', NULL, 'PEROPSIN', NULL, NULL, 636, 9),
(43240, NULL, 'PR01160', NULL, NULL, 'Gamma-aminobutyric-acid A receptor beta subunit signature', NULL, 'GABAARBETA', NULL, NULL, 6291, 9),
(43241, NULL, 'PR02074', NULL, NULL, 'Protein FRG2 signature', NULL, 'PROTEINFRG2', NULL, NULL, 21973, 9),
(43242, NULL, 'PR01049', NULL, NULL, 'Phosphorylase kinase family signature', NULL, 'PHOSPHBKNASE', NULL, NULL, 6098, 9),
(43243, NULL, 'PR00132', NULL, NULL, 'Glycosyl hydrolase family 2 signature', NULL, 'GLHYDRLASE2', NULL, NULL, 2653, 9),
(43244, NULL, 'PR02051', NULL, NULL, 'Protein family FAM175 signature', NULL, 'PROTEINF175', NULL, NULL, 15636, 9),
(43245, NULL, 'PR00623', NULL, NULL, 'Histone H4 signature', NULL, 'HISTONEH4', NULL, NULL, 2212, 9),
(43246, NULL, 'PR00721', NULL, NULL, 'Stomatin signature', NULL, 'STOMATIN', NULL, NULL, 2102, 9),
(43247, NULL, 'PR01150', NULL, NULL, 'Melatonin 1C receptor signature', NULL, 'MELATONIN1CR', NULL, NULL, 296, 9),
(43248, NULL, 'PR01412', NULL, NULL, 'Cytochrome c-type biogenesis protein CcbS signature', NULL, 'CCBSBIOGNSIS', NULL, NULL, 385, 9),
(43249, NULL, 'PR00255', NULL, NULL, 'Natriuretic peptide receptor signature', NULL, 'NATPEPTIDER', NULL, NULL, 1397, 9),
(43250, NULL, 'PR00522', NULL, NULL, 'Cannabinoid receptor type 1 signature', NULL, 'CANABINOID1R', NULL, NULL, 6789, 9),
(43251, NULL, 'PR00541', NULL, NULL, 'Muscarinic M4 receptor signature', NULL, 'MUSCRINICM4R', NULL, NULL, 3029, 9),
(43252, NULL, 'PR00544', NULL, NULL, 'Progesterone receptor (3C nuclear receptor) signature', NULL, 'PROGESTRONER', NULL, NULL, 3775, 9),
(43253, NULL, 'PR00003', NULL, NULL, '4-disulphide core signature', NULL, '4DISULPHCORE', NULL, NULL, 7078, 9),
(43254, NULL, 'PR00731', NULL, NULL, 'Cauliflower mosaic virus peptidase (A3) signature', NULL, 'CAULIMOPTASE', NULL, NULL, 5922, 9),
(43255, NULL, 'PR00281', NULL, NULL, 'Hok/Gef cell toxic protein family signature', NULL, 'HOKGEFTOXIC', NULL, NULL, 2894, 9),
(43256, NULL, 'PR01497', NULL, NULL, 'Shal voltage-gated K+ channel family signature', NULL, 'SHALCHANNEL', NULL, NULL, 7240, 9),
(43257, NULL, 'PR00391', NULL, NULL, 'Phosphatidylinositol transfer protein signature', NULL, 'PITRANSFER', NULL, NULL, 5311, 9),
(43258, NULL, 'PR01836', NULL, NULL, 'Magnesium-transporting ATPase signature', NULL, 'MGATPASE', NULL, NULL, 6746, 9),
(43259, NULL, 'PR01962', NULL, NULL, 'Tumour necrosis factor receptor 12 signature', NULL, 'TNFACTORR12', NULL, NULL, 15703, 9),
(43260, NULL, 'PR02093', NULL, NULL, 'HDA1 complex subunit 3 signature', NULL, 'HDA1SUBUNIT3', NULL, NULL, 28299, 9),
(43261, NULL, 'PR00976', NULL, NULL, 'Ribosomal protein S21 family signature', NULL, 'RIBOSOMALS21', NULL, NULL, 4479, 9),
(43262, NULL, 'PR01341', NULL, NULL, 'Salmonella virulence plasmid 65kDa B protein signature', NULL, 'SALSPVBPROT', NULL, NULL, 3028, 9),
(43263, NULL, 'PR02028', NULL, NULL, 'C-Myc-binding protein signature', NULL, 'CMYCBINDINGP', NULL, NULL, NULL, 9),
(43264, NULL, 'PR01945', NULL, NULL, 'Interleukin-11A signature', NULL, 'IL11AFISH', NULL, NULL, 19915, 9),
(43265, NULL, 'PR00685', NULL, NULL, 'Transcription initiation factor IIB signature', NULL, 'TIFACTORIIB', NULL, NULL, 6562, 9),
(43266, NULL, 'PR00635', NULL, NULL, 'AT1 angiotensin II receptor signature', NULL, 'ANGIOTENSN1R', NULL, NULL, 1505, 9);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43267, NULL, 'PR00487', NULL, NULL, 'Filaggrin signature', NULL, 'FILAGGRIN', NULL, NULL, 3143, 9),
(43268, NULL, 'PR00626', NULL, NULL, 'Calreticulin signature', NULL, 'CALRETICULIN', NULL, NULL, 3356, 9),
(43269, NULL, 'PR01285', NULL, NULL, 'Orphan nuclear receptor HMR signature', NULL, 'HMRNUCRECPTR', NULL, NULL, 568, 9),
(43270, NULL, 'PR01570', NULL, NULL, 'Neuropeptide FF receptor family signature', NULL, 'NPFFRECEPTOR', NULL, NULL, 7400, 9),
(43271, NULL, 'PR01523', NULL, NULL, 'Sphingosine 1-phosphate receptor family signature', NULL, 'S1PRECEPTOR', NULL, NULL, 767, 9),
(43272, NULL, 'PR00662', NULL, NULL, 'Glucose-6-phosphate isomerase signature', NULL, 'G6PISOMERASE', NULL, NULL, 3344, 9),
(43273, NULL, 'PR01409', NULL, NULL, 'T-cell surface glycoprotein CD5 signature', NULL, 'TCELLCD5', NULL, NULL, 391, 9),
(43274, NULL, 'PR00433', NULL, NULL, 'Interleukin-6/G-CSF/MGF family signature', NULL, 'IL6GCSFMGF', NULL, NULL, 26206, 9),
(43275, NULL, 'PR01696', NULL, NULL, 'L-type calcium channel beta-3 subunit signature', NULL, 'LCACHANNELB3', NULL, NULL, 6067, 9),
(43276, NULL, 'PR01429', NULL, NULL, 'Protease activated receptor 3 precursor signature', NULL, 'PROTEASEAR3', NULL, NULL, 7258, 9),
(43277, NULL, 'PR01605', NULL, NULL, 'KCNE voltage-gated K+ channel subfamily E2 signature', NULL, 'KCNE2CHANNEL', NULL, NULL, 96, 9),
(43278, NULL, 'PR01624', NULL, NULL, 'Preproghrelin peptide signature', NULL, 'GHRELIN', NULL, NULL, 80, 9),
(43279, NULL, 'PR00760', NULL, NULL, 'Bontoxilysin signature', NULL, 'BONTOXILYSIN', NULL, NULL, 4452, 9),
(43280, NULL, 'PR00892', NULL, NULL, 'Rab GDI protein signature', NULL, 'RABGDI', NULL, NULL, 6851, 9),
(43281, NULL, 'PR00737', NULL, NULL, 'Glycosyl hydrolase family 16 signature', NULL, 'GLHYDRLASE16', NULL, NULL, 8675, 9),
(43282, NULL, 'PR00821', NULL, NULL, 'Triacylglycerol lipase family signature', NULL, 'TAGLIPASE', NULL, NULL, 3836, 9),
(43283, NULL, 'PR00236', NULL, NULL, 'Herpesvirus capsid protein P40 signature', NULL, 'HSVCAPSIDP40', NULL, NULL, 4250, 9),
(43284, NULL, 'PR00489', NULL, NULL, 'Frizzled protein signature', NULL, 'FRIZZLED', NULL, NULL, 5626, 9),
(43285, NULL, 'PR00322', NULL, NULL, 'G10 protein signature', NULL, 'G10', NULL, NULL, 4635, 9),
(43286, NULL, 'PR01749', NULL, NULL, 'Transcription factor AP-2 alpha signature', NULL, 'AP2ATNSCPFCT', NULL, NULL, 6017, 9),
(43287, NULL, 'PR00816', NULL, NULL, 'Zeta haemoglobin signature', NULL, 'ZETAHAEM', NULL, NULL, 5169, 9),
(43288, NULL, 'PR00403', NULL, NULL, 'WW domain signature', NULL, 'WWDOMAIN', NULL, NULL, NULL, 9),
(43289, NULL, 'PR00229', NULL, NULL, 'Geminivirus MSV AL1 coat protein signature', NULL, 'GEMCOATMSVL1', NULL, NULL, 2045, 9),
(43290, NULL, 'PR00479', NULL, NULL, 'Prokaryotic zinc-dependent phospholipase C signature', NULL, 'PRPHPHLPASEC', NULL, NULL, 3122, 9),
(43291, NULL, 'PR00400', NULL, NULL, 'Tetracycline repressor protein signature', NULL, 'TETREPRESSOR', NULL, NULL, 440, 9),
(43292, NULL, 'PR00771', NULL, NULL, 'Heat-labile enterotoxin A chain signature', NULL, 'ENTEROTOXINA', NULL, NULL, 2334, 9),
(43293, NULL, 'PR02038', NULL, NULL, 'Aurora borealis protein signature', NULL, 'AURORABORA', NULL, NULL, 10748, 9),
(43294, NULL, 'PR01464', NULL, NULL, 'EAG potassium channel signature', NULL, 'EAGCHANNEL', NULL, NULL, 7144, 9),
(43295, NULL, 'PR01810', NULL, NULL, 'Annexin type XI signature', NULL, 'ANNEXINXI', NULL, NULL, 10128, 9),
(43296, NULL, 'PR01834', NULL, NULL, 'Vascular endothelial growth factor receptor type 2 signature', NULL, 'VEGFRECEPTR2', NULL, NULL, 10932, 9),
(43297, NULL, 'PR00485', NULL, NULL, 'Mealworm beetle B protein signature', NULL, 'MEALWORMBTLB', NULL, NULL, NULL, 9),
(43298, NULL, 'PR01256', NULL, NULL, 'Otx1 transcription factor signature', NULL, 'OTX1HOMEOBOX', NULL, NULL, 99, 9),
(43299, NULL, 'PR01309', NULL, NULL, 'P2X2 purinoceptor signature', NULL, 'P2X2RECEPTOR', NULL, NULL, 591, 9),
(43300, NULL, 'PR01506', NULL, NULL, 'Bacterial sec-independent translocation TatB protein signature', NULL, 'TATBPROTEIN', NULL, NULL, NULL, 9);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43301, NULL, 'PR00616', NULL, NULL, 'CCAAT-binding transcription factor subunit B signature', NULL, 'CCAATSUBUNTB', NULL, NULL, 2430, 9),
(43302, NULL, 'PR00873', NULL, NULL, 'Echinoidea (sea urchin) metallothionein signature', NULL, 'MTECHINOIDEA', NULL, NULL, 2208, 9),
(43303, NULL, 'PR00351', NULL, NULL, 'MAS20 (TOM20) import receptor subunit signature', NULL, 'OM20RECEPTOR', NULL, NULL, 5009, 9),
(43304, NULL, 'PR01919', NULL, NULL, 'Tumour necrosis factor receptor 1B signature', NULL, 'TNFACTORR1B', NULL, NULL, 19243, 9),
(43305, NULL, 'PR01079', NULL, NULL, 'Gamma-aminobutyric-acid A receptor alpha subunit signature', NULL, 'GABAARALPHA', NULL, NULL, 2123, 9),
(43306, NULL, 'PR01864', NULL, NULL, 'Bcl-X apoptosis regulator protein signature', NULL, 'APOPREGBCLX', NULL, NULL, 8589, 9),
(43307, NULL, 'PR02092', NULL, NULL, 'Hepatitis B virus X-interacting protein signature', NULL, 'HEPBVIRUSXIP', NULL, NULL, 8246, 9),
(43308, NULL, 'PR01500', NULL, NULL, 'Tropoelastin signature', NULL, 'TROPOELASTIN', NULL, NULL, NULL, 9),
(43309, NULL, 'PR00115', NULL, NULL, 'Fructose-1,6-bisphosphatase signature', NULL, 'F16BPHPHTASE', NULL, NULL, 22913, 9),
(43310, NULL, 'PR01709', NULL, NULL, '5-hydroxytryptamine 3 receptor A subunit signature', NULL, '5HT3ARECEPTR', NULL, NULL, 6146, 9),
(43311, NULL, 'PR01883', NULL, NULL, 'Leukaemia inhibitory factor signature', NULL, 'LEUKAEMIAIF', NULL, NULL, 918, 9),
(43312, NULL, 'PR00424', NULL, NULL, 'Adenosine receptor signature', NULL, 'ADENOSINER', NULL, NULL, 5484, 9),
(43313, NULL, 'PR00319', NULL, NULL, 'Beta G protein (transducin) signature', NULL, 'GPROTEINB', NULL, NULL, 5014, 9),
(43314, NULL, 'PR00680', NULL, NULL, 'P-type trefoil domain signature', NULL, 'PTREFOIL', NULL, NULL, 13644, 9),
(43315, NULL, 'PR02006', NULL, NULL, 'Insulin-like growth factor II signature', NULL, 'INSLNLIKEGF2', NULL, NULL, 15918, 9),
(43316, NULL, 'PR00827', NULL, NULL, 'Major allergen Fel Di signature', NULL, 'FELALLERGEN', NULL, NULL, 11384, 9),
(43317, NULL, 'PR01853', NULL, NULL, 'Bacterial YajC preprotein translocase signature', NULL, 'YAJCTRNLCASE', NULL, NULL, 3093, 9),
(43318, NULL, 'PR01517', NULL, NULL, 'Kv4.2 voltage-gated K+ channel signature', NULL, 'KV42CHANNEL', NULL, NULL, 510, 9),
(43319, NULL, 'PR00844', NULL, NULL, 'Glycosyl hydrolase family 48 signature', NULL, 'GLHYDRLASE48', NULL, NULL, 5985, 9),
(43320, NULL, 'PR00153', NULL, NULL, 'Cyclophilin peptidyl-prolyl cis-trans isomerase signature', NULL, 'CSAPPISMRASE', NULL, NULL, 5330, 9),
(43321, NULL, 'PR00428', NULL, NULL, 'Prostaglandin receptor signature', NULL, 'PROSTAGLNDNR', NULL, NULL, 2490, 9),
(43322, NULL, 'PR00408', NULL, NULL, 'Mitochondrial P450 clan signature', NULL, 'MITP450', NULL, NULL, 5119, 9),
(43323, NULL, 'PR02087', NULL, NULL, 'HAUS augmin-like complex subunit 1 signature', NULL, 'HAUSAUGMINL1', NULL, NULL, 26336, 9),
(43324, NULL, 'PR00085', NULL, NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase family signature', NULL, 'THFDHDRGNASE', NULL, NULL, 6753, 9),
(43325, NULL, 'PR01320', NULL, NULL, 'Inward rectifier K+ channel superfamily signature', NULL, 'KIRCHANNEL', NULL, NULL, 15782, 9),
(43326, NULL, 'PR00034', NULL, NULL, 'CRP bacterial regulatory protein HTH signature', NULL, 'HTHCRP', NULL, NULL, 11710, 9),
(43327, NULL, 'PR00185', NULL, NULL, 'Eukaryotic porin signature', NULL, 'EUKARYTPORIN', NULL, NULL, 4122, 9),
(43328, NULL, 'PR00895', NULL, NULL, 'Pentaxin signature', NULL, 'PENTAXIN', NULL, NULL, 3343, 9),
(43329, NULL, 'PR00454', NULL, NULL, 'ETS domain signature', NULL, 'ETSDOMAIN', NULL, NULL, 6998, 9),
(43330, NULL, 'PR00419', NULL, NULL, 'Adrenodoxin reductase family signature', NULL, 'ADXRDTASE', NULL, NULL, NULL, 9),
(43331, NULL, 'PR01826', NULL, NULL, 'Janus kinase 3 (JAK3) signature', NULL, 'JANUSKINASE3', NULL, NULL, 20857, 9),
(43332, NULL, 'PR01403', NULL, NULL, '7,8-dihydro-8-oxoguanine triphosphatase signature', NULL, '8OXTPHPHTASE', NULL, NULL, 202, 9),
(43333, NULL, 'PR01232', NULL, NULL, 'Na+/HCO3- co-transporter signature', NULL, 'NAHCO3TRSPRT', NULL, NULL, 94, 9);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43334, NULL, 'PR00361', NULL, NULL, 'Calcitonin receptor signature', NULL, 'CALCITONINR', NULL, NULL, 3358, 9),
(43335, NULL, 'PR01780', NULL, NULL, 'Lantibiotic regulatory protein signature', NULL, 'LANTIREGPROT', NULL, NULL, 7569, 9),
(43336, NULL, 'PR01064', NULL, NULL, 'Orexin receptor signature', NULL, 'OREXINR', NULL, NULL, 1279, 9),
(43337, NULL, 'PR01302', NULL, NULL, 'Type III secretion system inner membrane P protein family signature', NULL, 'TYPE3IMPPROT', NULL, NULL, 5744, 9),
(43338, NULL, 'PR01672', NULL, NULL, 'Gamma-aminobutyric-acid A (GABAA) receptor rho 2 subunit signature', NULL, 'GABAARRHO2', NULL, NULL, 5072, 9),
(43339, NULL, 'PR01885', NULL, NULL, 'Macromomycin family signature', NULL, 'MACROMOMYCIN', NULL, NULL, 1410, 9),
(43340, NULL, 'PR01029', NULL, NULL, 'Proenkephalin A precursor signature', NULL, 'PENKAPRCRSR', NULL, NULL, 3732, 9),
(43341, NULL, 'PR01851', NULL, NULL, 'Cystic fibrosis transmembrane conductance regulator signature', NULL, 'CYSFIBREGLTR', NULL, NULL, 10561, 9),
(43342, NULL, 'PR02064', NULL, NULL, 'Downstream neighbour of Son (DONSON) protein signature', NULL, 'DONSON', NULL, NULL, 21077, 9),
(43343, NULL, 'PR00058', NULL, NULL, 'Ribosomal protein L5 signature', NULL, 'RIBOSOMALL5', NULL, NULL, 675, 9),
(43344, NULL, 'PR01054', NULL, NULL, 'Metabotropic glutamate receptor 4 signature', NULL, 'MTABOTROPC4R', NULL, NULL, 4191, 9),
(43345, NULL, 'PR00852', NULL, NULL, 'Xeroderma pigmentosum group D protein signature', NULL, 'XRODRMPGMNTD', NULL, NULL, 2485, 9),
(43346, NULL, 'PR00758', NULL, NULL, 'Arsenical pump membrane protein signature', NULL, 'ARSENICPUMP', NULL, NULL, 4371, 9),
(43347, NULL, 'PR00476', NULL, NULL, 'ATP-dependent phosphofructokinase family signature', NULL, 'PHFRCTKINASE', NULL, NULL, 14502, 9),
(43348, NULL, 'PR01164', NULL, NULL, 'Gamma-tubulin signature', NULL, 'GAMMATUBULIN', NULL, NULL, 7037, 9),
(43349, NULL, 'PR00357', NULL, NULL, 'Type III antifreeze protein signature', NULL, 'ANTIFREEZIII', NULL, NULL, 1225, 9),
(43350, NULL, 'PR01602', NULL, NULL, 'Voltage-dependent calcium channel gamma-2 subunit signature', NULL, 'VDCCGAMMA2', NULL, NULL, 297, 9),
(43351, NULL, 'PR00159', NULL, NULL, '2Fe-2S ferredoxin signature', NULL, '2FE2SFRDOXIN', NULL, NULL, NULL, 9),
(43352, NULL, 'PR01470', NULL, NULL, 'ERG potassium channel family signature', NULL, 'ERGCHANNEL', NULL, NULL, 7160, 9),
(43353, NULL, 'PR01131', NULL, NULL, 'Connexin36 (Cx36) signature', NULL, 'CONNEXIN36', NULL, NULL, 280, 9),
(43354, NULL, 'PR00750', NULL, NULL, 'Beta-amylase (glycosyl hydrolase family 14) signature', NULL, 'BETAAMYLASE', NULL, NULL, 5944, 9),
(43355, NULL, 'PR00329', NULL, NULL, 'Haemagglutinin HA1/HA2 chain signature', NULL, 'HEMAGGLUTN12', NULL, NULL, 2187, 9),
(43356, NULL, 'PR00346', NULL, NULL, 'Tissue factor signature', NULL, 'TISSUEFACTOR', NULL, NULL, 1471, 9),
(43357, NULL, 'PR01207', NULL, NULL, 'Na-K-Cl co-transporter family signature', NULL, 'NAKCLTRNSPRT', NULL, NULL, 7200, 9),
(43358, NULL, 'PR00718', NULL, NULL, 'Phospholipase D signature', NULL, 'PHPHLIPASED', NULL, NULL, 2594, 9),
(43359, NULL, 'PR01473', NULL, NULL, 'Intercellular adhesion molecule (ICAM) family signature', NULL, 'ICAM', NULL, NULL, 7488, 9),
(43360, NULL, 'PR00379', NULL, NULL, 'Intein signature', NULL, 'INTEIN', NULL, NULL, 10131, 9),
(43361, NULL, 'PR01512', NULL, NULL, 'Kv1.5 voltage-gated K+ channel signature', NULL, 'KV15CHANNEL', NULL, NULL, 615, 9),
(43362, NULL, 'PR01014', NULL, NULL, 'Neuropeptide Y2 receptor signature', NULL, 'NRPEPTIDEY2R', NULL, NULL, 2111, 9),
(43363, NULL, 'PR00049', NULL, NULL, 'Wilm''s tumour protein signature', NULL, 'WILMSTUMOUR', NULL, NULL, NULL, 9),
(43364, NULL, 'PR00562', NULL, NULL, 'Beta-2 adrenergic receptor signature', NULL, 'ADRENRGCB2AR', NULL, NULL, 873, 9),
(43365, NULL, 'PR00138', NULL, NULL, 'Matrixin signature', NULL, 'MATRIXIN', NULL, NULL, 15543, 9),
(43366, NULL, 'PR01215', NULL, NULL, 'Alpha-1-microglobulin signature', NULL, 'A1MCGLOBULIN', NULL, NULL, 838, 9),
(43367, NULL, 'PR01716', NULL, NULL, 'Death associated protein 3 family signature', NULL, 'DEATHASSOCP3', NULL, NULL, 6165, 9);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43368, NULL, 'PR02050', NULL, NULL, 'Beta-1,4-galactosyltransferase family signature', NULL, 'B14GALTRFASE', NULL, NULL, 3128, 9),
(43369, NULL, 'PR01016', NULL, NULL, 'Neuropeptide Y5 receptor signature', NULL, 'NRPEPTIDEY5R', NULL, NULL, 6702, 9),
(43370, NULL, 'PR01069', NULL, NULL, 'Acetyl-CoA carboxylase carboxyl transferase alpha subunit signature', NULL, 'ACCCTRFRASEA', NULL, NULL, 2117, 9),
(43371, NULL, 'PR00880', NULL, NULL, 'Insect acetylcholinesterase signature', NULL, 'ACHEINSECT', NULL, NULL, 3406, 9),
(43372, NULL, 'PR00814', NULL, NULL, 'Beta haemoglobin signature', NULL, 'BETAHAEM', NULL, NULL, 6669, 9),
(43373, NULL, 'PR01317', NULL, NULL, 'Glial cell line-derived neurotrophic factor receptor alpha 1 signature', NULL, 'GDNFRALPHA1', NULL, NULL, 6252, 9),
(43374, NULL, 'PR01107', NULL, NULL, 'C-C chemokine receptor type 2 signature', NULL, 'CHEMOKINER2', NULL, NULL, 6493, 9),
(43375, NULL, 'PR00264', NULL, NULL, 'Interleukin-1 precursor family signature', NULL, 'INTERLEUKIN1', NULL, NULL, 3178, 9),
(43376, NULL, 'PR02103', NULL, NULL, 'Inheritance of peroxisomes protein 1 signature', NULL, 'INPROXISOME1', NULL, NULL, 19389, 9),
(43377, NULL, 'PR01586', NULL, NULL, 'TWIK-1/TWIK-2 K+ channel family signature', NULL, 'TWIKCHANNEL', NULL, NULL, 7471, 9),
(43378, NULL, 'PR01036', NULL, NULL, 'Tetracycline resistance protein TetB signature', NULL, 'TCRTETB', NULL, NULL, NULL, 9),
(43379, NULL, 'PR01518', NULL, NULL, 'Kv4.3 voltage-gated K+ channel signature', NULL, 'KV43CHANNEL', NULL, NULL, 904, 9),
(43380, NULL, 'PR01658', NULL, NULL, 'Mini-chromosome maintenance (MCM) protein 2 signature', NULL, 'MCMPROTEIN2', NULL, NULL, 5468, 9),
(43381, NULL, 'PR01121', NULL, NULL, 'Flavin-containing monooxygenase (FMO) 1 signature', NULL, 'FMOXYGENASE1', NULL, NULL, 5451, 9),
(43382, NULL, 'PR00965', NULL, NULL, 'Ocular albinism type 1 protein signature', NULL, 'OCULARALBNSM', NULL, NULL, 6234, 9),
(43383, NULL, 'PR01534', NULL, NULL, 'Vomeronasal type 1 receptor family signature', NULL, 'VOMERONASL1R', NULL, NULL, 1735, 9),
(43384, NULL, 'PR01914', NULL, NULL, 'Neurotrophin-3 signature', NULL, 'NEUROTROPHN3', NULL, NULL, 9714, 9),
(43385, NULL, 'PR01789', NULL, NULL, 'Nuclear factor of activated T cells (NFAT) signature', NULL, 'NUCFACTORATC', NULL, NULL, 7947, 9),
(43386, NULL, 'PR01514', NULL, NULL, 'Kv2.1 voltage-gated K+ channel signature', NULL, 'KV21CHANNEL', NULL, NULL, 5527, 9),
(43387, NULL, 'PR00563', NULL, NULL, 'Beta-3 adrenergic receptor signature', NULL, 'ADRENRGCB3AR', NULL, NULL, 6840, 9),
(43388, NULL, 'PR01148', NULL, NULL, 'EDG-2 lysophosphatidic acid receptor signature', NULL, 'EDG2RECEPTOR', NULL, NULL, 211, 9),
(43389, NULL, 'PR01773', NULL, NULL, 'P38 MAP kinase signature', NULL, 'P38MAPKINASE', NULL, NULL, 7999, 9),
(43390, NULL, 'PR00668', NULL, NULL, 'Glycoprotein C signature', NULL, 'GLYCPROTEINC', NULL, NULL, 1183, 9),
(43391, NULL, 'PR01466', NULL, NULL, 'Bacterial arginine deiminase signature', NULL, 'ARGDEIMINASE', NULL, NULL, 4253, 9),
(43392, NULL, 'PR00190', NULL, NULL, 'Actin signature', NULL, 'ACTIN', NULL, NULL, 974, 9),
(43393, NULL, 'PR01720', NULL, NULL, 'Cytotoxic T-lymphocyte antigen 4 signature', NULL, 'CTLANTIGEN4', NULL, NULL, 6323, 9),
(43394, NULL, 'PR01755', NULL, NULL, 'Bacterial translocase SecF protein signature', NULL, 'SECFTRNLCASE', NULL, NULL, 17497, 9),
(43395, NULL, 'PR00388', NULL, NULL, '3''5''-cyclic nucleotide class II phosphodiesterase signature', NULL, 'PDIESTERASE2', NULL, NULL, 6791, 9),
(43396, NULL, 'PR00707', NULL, NULL, 'Ubiquitin C-terminal hydrolase (C12) family signature', NULL, 'UBCTHYDRLASE', NULL, NULL, 3351, 9),
(43397, NULL, 'PR02036', NULL, NULL, 'Chemotaxis inhibitory protein signature', NULL, 'CHEMOTAXISIP', NULL, NULL, 16447, 9),
(43398, NULL, 'PR00968', NULL, NULL, 'Outer surface protein signature', NULL, 'OUTRSURFACE', NULL, NULL, 4137, 9),
(43399, NULL, 'PR01567', NULL, NULL, 'Neuromedin U type 2 receptor signature', NULL, 'NEUROMEDNU2R', NULL, NULL, 7119, 9),
(43400, NULL, 'PR00582', NULL, NULL, 'Prostanoid EP3 receptor signature', NULL, 'PRSTNOIDEP3R', NULL, NULL, 4381, 9);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43401, NULL, 'PR01746', NULL, NULL, 'Dense granule Gra6 protein signature', NULL, 'DENSEGRNULE6', NULL, NULL, 6035, 9),
(43402, NULL, 'PR01799', NULL, NULL, 'SF-assemblin signature', NULL, 'SFASSEMBLIN', NULL, NULL, 7845, 9),
(43403, NULL, 'PR00077', NULL, NULL, 'NAD-dependent glycerol-3-phosphate dehydrogenase signature', NULL, 'GPDHDRGNASE', NULL, NULL, 10375, 9),
(43404, NULL, 'PR00624', NULL, NULL, 'Histone H5 signature', NULL, 'HISTONEH5', NULL, NULL, 5645, 9),
(43405, NULL, 'PR00304', NULL, NULL, 'Tailless complex polypeptide 1 (chaperone) signature', NULL, 'TCOMPLEXTCP1', NULL, NULL, 19413, 9),
(43406, NULL, 'PR00803', NULL, NULL, 'Alpha-fetoprotein signature', NULL, 'AFETOPROTEIN', NULL, NULL, 19517, 9),
(43407, NULL, 'PR00106', NULL, NULL, 'DNA-directed DNA-polymerase family B signature', NULL, 'DNAPOLB', NULL, NULL, 11047, 9),
(43408, NULL, 'PR01547', NULL, NULL, 'Saccharomyces cerevisiae 175.8kDa hypothetical protein signature', NULL, 'YEAST176DUF', NULL, NULL, NULL, 9),
(43409, NULL, 'PR00331', NULL, NULL, 'Haemagglutinin HA2 chain signature', NULL, 'HEMAGGLUTN2', NULL, NULL, 4529, 9),
(43410, NULL, 'PR01970', NULL, NULL, 'Tumour necrosis factor receptor 19-like signature', NULL, 'TNFACTORR19L', NULL, NULL, 15656, 9),
(43411, NULL, 'PR00543', NULL, NULL, 'Oestrogen receptor signature', NULL, 'OESTROGENR', NULL, NULL, 312, 9),
(43412, NULL, 'PR00853', NULL, NULL, 'Xeroderma pigmentosum group G/yeast RAD superfamily signature', NULL, 'XPGRADSUPER', NULL, NULL, 2906, 9),
(43413, NULL, 'PR01521', NULL, NULL, 'Orexin receptor type 1 signature', NULL, 'OREXIN1R', NULL, NULL, 609, 9),
(43414, NULL, 'PR00215', NULL, NULL, 'Neuromodulin signature', NULL, 'NEUROMODULIN', NULL, NULL, 3455, 9),
(43415, NULL, 'PR01859', NULL, NULL, 'ADAM-TS2 protein signature', NULL, 'ADAMTS2', NULL, NULL, 4459, 9),
(43416, NULL, 'PR01937', NULL, NULL, 'Interleukin-24 signature', NULL, 'INTRLEUKIN24', NULL, NULL, 20568, 9),
(43417, NULL, 'PR01561', NULL, NULL, 'EDG-8 sphingosine 1-phosphate receptor signature', NULL, 'EDG8RECEPTOR', NULL, NULL, 6662, 9),
(43418, NULL, 'PR01744', NULL, NULL, 'MIC1 microneme protein signature', NULL, 'MIC1MICRNEME', NULL, NULL, 6307, 9),
(43419, NULL, 'PR00436', NULL, NULL, 'Interleukin-8 signature', NULL, 'INTERLEUKIN8', NULL, NULL, NULL, 9),
(43420, NULL, 'PR00925', NULL, NULL, 'Nonhistone chromosomal protein HMG17 family signature', NULL, 'NONHISHMG17', NULL, NULL, 2603, 9),
(43421, NULL, 'PR01377', NULL, NULL, 'Claudin-1 signature', NULL, 'CLAUDIN1', NULL, NULL, 7356, 9),
(43422, NULL, 'PR01890', NULL, NULL, 'Neuropeptide W precursor signature', NULL, 'PPNRPEPTIDEW', NULL, NULL, 8707, 9),
(43423, NULL, 'PR02089', NULL, NULL, 'HAUS augmin-like complex subunit 3 signature', NULL, 'HAUSAUGMINL3', NULL, NULL, 25564, 9),
(43424, NULL, 'PR00743', NULL, NULL, 'Glycosyl hydrolase family 36 signature', NULL, 'GLHYDRLASE36', NULL, NULL, 6272, 9),
(43425, NULL, 'PR01999', NULL, NULL, 'Lactococcal phage major tail protein signature', NULL, 'MTP2LACTO', NULL, NULL, 17347, 9),
(43426, NULL, 'PR00151', NULL, NULL, 'Porphobilinogen deaminase signature', NULL, 'PORPHBDMNASE', NULL, NULL, 3193, 9),
(43427, NULL, 'PR01808', NULL, NULL, 'Annexin type VIII signature', NULL, 'ANNEXINVIII', NULL, NULL, 10627, 9),
(43428, NULL, 'PR00990', NULL, NULL, 'Ribokinase signature', NULL, 'RIBOKINASE', NULL, NULL, 1401, 9),
(43429, NULL, 'PR01455', NULL, NULL, 'Epithelial membrane protein EMP-2 signature', NULL, 'EPMEMPROT2', NULL, NULL, 6349, 9),
(43430, NULL, 'PR01551', NULL, NULL, 'SPO11 homologue signature', NULL, 'SPO11HOMOLOG', NULL, NULL, 8470, 9),
(43431, NULL, 'PR01009', NULL, NULL, 'Flagellar M-ring protein signature', NULL, 'FLGMRINGFLIF', NULL, NULL, 3616, 9),
(43432, NULL, 'PR00092', NULL, NULL, 'Tyrosinase copper-binding domain signature', NULL, 'TYROSINASE', NULL, NULL, 463, 9),
(43433, NULL, 'PR02083', NULL, NULL, 'G kinase-anchoring protein 1 signature', NULL, 'GKINASEAP1', NULL, NULL, 26370, 9),
(43434, NULL, 'PR01348', NULL, NULL, 'Nucleotide-sensitive chloride conductance regulator (ICln) signature', NULL, 'ICLNCHANNEL', NULL, NULL, 6130, 9);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43435, NULL, 'PR01296', NULL, NULL, 'Cloacin immunity protein signature', NULL, 'CLOACNIMMNTY', NULL, NULL, 914, 9),
(43436, NULL, 'PR00314', NULL, NULL, 'Clathrin coat assembly protein signature', NULL, 'CLATHRINADPT', NULL, NULL, 2271, 9),
(43437, NULL, 'PR00716', NULL, NULL, 'M-phase inducer phosphatase signature', NULL, 'MPIPHPHTASE', NULL, NULL, 4206, 9),
(43438, NULL, 'PR00885', NULL, NULL, 'Bacterial general secretion pathway protein H signature', NULL, 'BCTERIALGSPH', NULL, NULL, 6752, 9),
(43439, NULL, 'PR01472', NULL, NULL, 'Intercellular adhesion molecule/vascular cell adhesion molecule-1 signature', NULL, 'ICAMVCAM1', NULL, NULL, 7388, 9),
(43440, NULL, 'PR02014', NULL, NULL, 'Aquaporin-2 signature', NULL, 'AQUAPORIN2', NULL, NULL, NULL, 9),
(43441, NULL, 'PR00943', NULL, NULL, 'Copper-transporting ATPase signature', NULL, 'CUATPASE', NULL, NULL, NULL, 9),
(43442, NULL, 'PR00577', NULL, NULL, 'Opsin RH3/RH4 signature', NULL, 'OPSINRH3RH4', NULL, NULL, 4531, 9),
(43443, NULL, 'PR02113', NULL, NULL, 'Mas-related G protein-coupled receptor H signature', NULL, 'MRGPCRH', NULL, NULL, 28996, 9),
(43444, NULL, 'PR01290', NULL, NULL, 'Peroxisome proliferator-activated receptor beta signature', NULL, 'PROXISOMPABR', NULL, NULL, 781, 9),
(43445, NULL, 'PR00858', NULL, NULL, 'Crustacean metallothionein signature', NULL, 'MTCRUSTACEAN', NULL, NULL, 5430, 9),
(43446, NULL, 'PR00877', NULL, NULL, 'Plant PEC family metallothionein signature', NULL, 'MTPLANTPEC', NULL, NULL, 4883, 9),
(43447, NULL, 'PR00024', NULL, NULL, 'Homeobox signature', NULL, 'HOMEOBOX', NULL, NULL, 19912, 9),
(43448, NULL, 'PR00150', NULL, NULL, 'Phosphoenolpyruvate carboxylase signature', NULL, 'PEPCARBXLASE', NULL, NULL, 15025, 9),
(43449, NULL, 'PR01126', NULL, NULL, 'DEZ orphan receptor signature', NULL, 'DEZORPHANR', NULL, NULL, 110, 9),
(43450, NULL, 'PR00437', NULL, NULL, 'Small CXC cytokine family signature', NULL, 'SMALLCYTKCXC', NULL, NULL, 2079, 9),
(43451, NULL, 'PR00179', NULL, NULL, 'Lipocalin signature', NULL, 'LIPOCALIN', NULL, NULL, NULL, 9),
(43452, NULL, 'PR00412', NULL, NULL, 'Epoxide hydrolase signature', NULL, 'EPOXHYDRLASE', NULL, NULL, 4117, 9),
(43453, NULL, 'PR00970', NULL, NULL, 'Arginine ADP-ribosyltransferase signature', NULL, 'RIBTRNSFRASE', NULL, NULL, 6788, 9),
(43454, NULL, 'PR01921', NULL, NULL, 'Tumour necrosis factor receptor 4 signature', NULL, 'TNFACTORR4', NULL, NULL, 20144, 9),
(43455, NULL, 'PR01435', NULL, NULL, 'NADH-plastoquinone oxidoreductase chain 5 signature', NULL, 'NPOXDRDTASE5', NULL, NULL, NULL, 9),
(43456, NULL, 'PR00889', NULL, NULL, 'Calponin signature', NULL, 'CALPONIN', NULL, NULL, 2440, 9),
(43457, NULL, 'PR00064', NULL, NULL, 'Ribosomal protein L35 signature', NULL, 'RIBOSOMALL35', NULL, NULL, 3404, 9),
(43458, NULL, 'PR01587', NULL, NULL, 'TWIK-2 K+ channel signature', NULL, 'TWIK2CHANNEL', NULL, NULL, 7092, 9),
(43459, NULL, 'PR00993', NULL, NULL, 'B1 bradykinin receptor signature', NULL, 'BRADYKINNB1R', NULL, NULL, 1380, 9),
(43460, NULL, 'PR01299', NULL, NULL, 'Colicin E2 (pyocin) immunity protein signature', NULL, 'PYOCIN', NULL, NULL, 4141, 9),
(43461, NULL, 'PR01949', NULL, NULL, 'Fish interleukin-15 signature', NULL, 'INTLKN15FISH', NULL, NULL, 20053, 9),
(43462, NULL, 'PR01825', NULL, NULL, 'Janus kinase 2 (JAK2) signature', NULL, 'JANUSKINASE2', NULL, NULL, 21456, 9),
(43463, NULL, 'PR01183', NULL, NULL, 'Ribonucleotide reductase large chain signature', NULL, 'RIBORDTASEM1', NULL, NULL, 4929, 9),
(43464, NULL, 'PR01061', NULL, NULL, 'Melanocortin 3 receptor signature', NULL, 'MELNOCORTN3R', NULL, NULL, 1350, 9),
(43465, NULL, 'PR01491', NULL, NULL, 'Voltage-gated potassium channel family signature', NULL, 'KVCHANNEL', NULL, NULL, 7354, 9),
(43466, NULL, 'PR01867', NULL, NULL, 'Bcl-2-related protein A1 signature', NULL, 'BCL2RLATEDA1', NULL, NULL, 8871, 9),
(43467, NULL, 'PR00413', NULL, NULL, 'Haloacid dehalogenase/epoxide hydrolase family signature', NULL, 'HADHALOGNASE', NULL, NULL, 6898, 9),
(43468, NULL, 'PR01627', NULL, NULL, 'L-type calcium channel beta-1 subunit signature', NULL, 'LCACHANNELB1', NULL, NULL, 48, 9);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43469, NULL, 'PR01991', NULL, NULL, 'GP153/GP162 7TM protein family signature', NULL, 'GPR153GPR162', NULL, NULL, 15238, 9),
(43470, NULL, 'PR01354', NULL, NULL, 'Glucagon receptor signature', NULL, 'GLUCAGONR', NULL, NULL, 3319, 9),
(43471, NULL, 'PR00308', NULL, NULL, 'Type I antifreeze protein signature', NULL, 'ANTIFREEZEI', NULL, NULL, 3682, 9),
(43472, NULL, 'PR01124', NULL, NULL, 'Flavin-containing monooxygenase (FMO) 4 signature', NULL, 'FMOXYGENASE4', NULL, NULL, 6373, 9),
(43473, NULL, 'PR00125', NULL, NULL, 'ATP synthase delta subunit signature', NULL, 'ATPASEDELTA', NULL, NULL, 3947, 9),
(43474, NULL, 'PR00631', NULL, NULL, 'Monellin B chain signature', NULL, 'MONELLINB', NULL, NULL, 1303, 9),
(43475, NULL, 'PR00105', NULL, NULL, 'Cytosine-specific DNA methyltransferase signature', NULL, 'C5METTRFRASE', NULL, NULL, 5052, 9),
(43476, NULL, 'PR00911', NULL, NULL, 'Glycosyl hydrolase family 11 signature', NULL, 'GLHYDRLASE11', NULL, NULL, 1270, 9),
(43477, NULL, 'PR01405', NULL, NULL, 'Bis(5''-nucleosyl)-tetraphosphatase signature', NULL, 'TETRPHPHTASE', NULL, NULL, 6344, 9),
(43478, NULL, 'PR01401', NULL, NULL, 'Mutator MutT protein signature', NULL, 'MUTATORMUTT', NULL, NULL, 6150, 9),
(43479, NULL, 'PR01857', NULL, NULL, 'ADAM-TS family signature', NULL, 'ADAMTSFAMILY', NULL, NULL, 6862, 9),
(43480, NULL, 'PR00465', NULL, NULL, 'E-class P450 group IV signature', NULL, 'EP450IV', NULL, NULL, 6735, 9),
(43481, NULL, 'PR00942', NULL, NULL, 'Copper-transporting ATPase 1 signature', NULL, 'CUATPASEI', NULL, NULL, NULL, 9),
(43482, NULL, 'PR00455', NULL, NULL, 'TetR bacterial regulatory protein HTH signature', NULL, 'HTHTETR', NULL, NULL, 3103, 9),
(43483, NULL, 'PR02058', NULL, NULL, 'Vertebrate apolipoprotein D signature', NULL, 'APODVERTBRTE', NULL, NULL, 27706, 9),
(43484, NULL, 'PR00983', NULL, NULL, 'Cysteinyl-tRNA synthetase signature', NULL, 'TRNASYNTHCYS', NULL, NULL, 14634, 9),
(43485, NULL, 'PR00665', NULL, NULL, 'Oxytocin receptor signature', NULL, 'OXYTOCINR', NULL, NULL, 5464, 9),
(43486, NULL, 'PR01804', NULL, NULL, 'Ubiquitous surface protein signature', NULL, 'UBIQUITOUSSP', NULL, NULL, 7942, 9),
(43487, NULL, 'PR00145', NULL, NULL, 'Argininosuccinate lyase family signature', NULL, 'ARGSUCLYASE', NULL, NULL, NULL, 9),
(43488, NULL, 'PR01891', NULL, NULL, 'Wnt-7 protein signature', NULL, 'WNT7PROTEIN', NULL, NULL, 8896, 9),
(43489, NULL, 'PR01420', NULL, NULL, 'Galanin 3 receptor signature', NULL, 'GALANIN3R', NULL, NULL, 6113, 9),
(43490, NULL, 'PR01843', NULL, NULL, 'Wnt-3 protein signature', NULL, 'WNT3PROTEIN', NULL, NULL, 10650, 9),
(43491, NULL, 'PR00941', NULL, NULL, 'Cadmium-transporting ATPase signature', NULL, 'CDATPASE', NULL, NULL, 23302, 9),
(43492, NULL, 'PR00174', NULL, NULL, 'LacY proton/sugar symporter family signature', NULL, 'LACYSMPORT', NULL, NULL, 5853, 9),
(43493, NULL, 'PR01421', NULL, NULL, 'GPR37 orphan receptor signature', NULL, 'GPR37ORPHANR', NULL, NULL, 6422, 9),
(43494, NULL, 'PR01559', NULL, NULL, 'Duffy antigen/chemokine receptor signature', NULL, 'DUFFYANTIGEN', NULL, NULL, NULL, 9),
(43495, NULL, 'PR00585', NULL, NULL, 'Prostanoid EP3 receptor type 3 signature', NULL, 'PRSTNOIDE33R', NULL, NULL, 1869, 9),
(43496, NULL, 'PR01998', NULL, NULL, 'Staphylococcal phage major tail protein signature', NULL, 'MTP2STAPHYLO', NULL, NULL, NULL, 9),
(43497, NULL, 'PR01909', NULL, NULL, 'Atypical dual specificity phosphatase subfamily A signature', NULL, 'ADSPHPHTASEA', NULL, NULL, 19403, 9),
(43498, NULL, 'PR01983', NULL, NULL, 'Neurogenic locus Notch protein signature', NULL, 'NOTCH', NULL, NULL, NULL, 9),
(43499, NULL, 'PR02017', NULL, NULL, 'Aquaporin-5 signature', NULL, 'AQUAPORIN5', NULL, NULL, 17904, 9),
(43500, NULL, 'PR00272', NULL, NULL, 'Erythropoietin signature', NULL, 'ERYTHROPTN', NULL, NULL, 7004, 9),
(43501, NULL, 'PR02105', NULL, NULL, 'Integrator complex subunit 2 signature', NULL, 'INTSUBUNIT2', NULL, NULL, 26395, 9),
(43502, NULL, 'PR01419', NULL, NULL, 'Galanin 2 receptor signature', NULL, 'GALANIN2R', NULL, NULL, 6018, 9);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43503, NULL, 'PR01614', NULL, NULL, 'Gamma-aminobutyric-acid A receptor alpha 1 subunit signature', NULL, 'GABAARALPHA1', NULL, NULL, 429, 9),
(43504, NULL, 'PR01718', NULL, NULL, 'Claudin-15 signature', NULL, 'CLAUDIN15', NULL, NULL, 6300, 9),
(43505, NULL, 'PR01908', NULL, NULL, 'Atypical dual specificity phosphatase family signature', NULL, 'ADSPHPHTASE', NULL, NULL, NULL, 9),
(43506, NULL, 'PR01576', NULL, NULL, 'Peptide deformylase signature', NULL, 'PDEFORMYLASE', NULL, NULL, 6236, 9),
(43507, NULL, 'PR02026', NULL, NULL, 'YtrC/YtrD probable ABC transporter permease signature', NULL, 'YTRCYTRDABC', NULL, NULL, 20257, 9),
(43508, NULL, 'PR00813', NULL, NULL, 'Bacterial general secretion pathway protein G signature', NULL, 'BCTERIALGSPG', NULL, NULL, 68, 9),
(43509, NULL, 'PR01185', NULL, NULL, 'Integrin alpha subunit signature', NULL, 'INTEGRINA', NULL, NULL, 4240, 9),
(43510, NULL, 'PR00675', NULL, NULL, 'Marek''s disease glycoprotein A signature', NULL, 'MAREKSGPA', NULL, NULL, 3368, 9),
(43511, NULL, 'PR00857', NULL, NULL, 'Melatonin receptor signature', NULL, 'MELATONINR', NULL, NULL, 2704, 9),
(43512, NULL, 'PR01445', NULL, NULL, 'Claudin-6 signature', NULL, 'CLAUDIN6', NULL, NULL, 6453, 9),
(43513, NULL, 'PR01989', NULL, NULL, 'Metazoan eukaryotic MAS20 (TOM20) import receptor subunit signature', NULL, 'EUOM20RECPTR', NULL, NULL, 16409, 9),
(43514, NULL, 'PR00261', NULL, NULL, 'Low density lipoprotein (LDL) receptor signature', NULL, 'LDLRECEPTOR', NULL, NULL, 5122, 9),
(43515, NULL, 'PR00657', NULL, NULL, 'Chemokine receptor signature', NULL, 'CCCHEMOKINER', NULL, NULL, 326, 9),
(43516, NULL, 'PR00192', NULL, NULL, 'F-actin capping protein beta subunit signature', NULL, 'FACTINCAPB', NULL, NULL, 3213, 9),
(43517, NULL, 'PR01012', NULL, NULL, 'Neuropeptide Y receptor signature', NULL, 'NRPEPTIDEYR', NULL, NULL, 5900, 9),
(43518, NULL, 'PR01585', NULL, NULL, 'TASK-3 K+ channel signature', NULL, 'TASK3CHANNEL', NULL, NULL, 746, 9),
(43519, NULL, 'PR00189', NULL, NULL, 'Transthyretin signature', NULL, 'TRNSTHYRETIN', NULL, NULL, 3239, 9),
(43520, NULL, 'PR00726', NULL, NULL, 'Repressor LexA serine protease (S24) family signature', NULL, 'LEXASERPTASE', NULL, NULL, 11286, 9),
(43521, NULL, 'PR00258', NULL, NULL, 'Speract receptor signature', NULL, 'SPERACTRCPTR', NULL, NULL, 1335, 9),
(43522, NULL, 'PR01380', NULL, NULL, 'Claudin-5 signature', NULL, 'CLAUDIN5', NULL, NULL, 7281, 9),
(43523, NULL, 'PR00762', NULL, NULL, 'Chloride channel signature', NULL, 'CLCHANNEL', NULL, NULL, 4414, 9),
(43524, NULL, 'PR01101', NULL, NULL, '5-hydroxytryptamine receptor signature', NULL, '5HTRECEPTOR', NULL, NULL, 27, 9),
(43525, NULL, 'PR00088', NULL, NULL, 'Haem oxygenase signature', NULL, 'HAEMOXYGNASE', NULL, NULL, 1217, 9),
(43526, NULL, 'PR00332', NULL, NULL, 'Histidine triad family signature', NULL, 'HISTRIAD', NULL, NULL, 2341, 9),
(43527, NULL, 'PR01565', NULL, NULL, 'Neuromedin U receptor family signature', NULL, 'NEUROMEDINUR', NULL, NULL, 7136, 9),
(43528, NULL, 'PR01801', NULL, NULL, 'Protozoan surface antigen signature', NULL, 'SURFCEANTIGN', NULL, NULL, 27304, 9),
(43529, NULL, 'PR01767', NULL, NULL, 'Epithelial calcium channel 2 (ECAC2) family signature', NULL, 'ECACCHANNEL2', NULL, NULL, 7780, 9),
(43530, NULL, 'PR01010', NULL, NULL, 'Flagellar P-ring protein signature', NULL, 'FLGPRINGFLGI', NULL, NULL, 3046, 9),
(43531, NULL, 'PR00078', NULL, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase signature', NULL, 'G3PDHDRGNASE', NULL, NULL, 19650, 9),
(43532, NULL, 'PR01174', NULL, NULL, 'Retinol binding protein signature', NULL, 'RETINOLBNDNG', NULL, NULL, 7088, 9),
(43533, NULL, 'PR00640', NULL, NULL, 'Gastrin-releasing peptide receptor signature', NULL, 'GASTRINRELPR', NULL, NULL, 4457, 9),
(43534, NULL, 'PR01699', NULL, NULL, 'Organomercurial lyase signature', NULL, 'ORGNOHGLYASE', NULL, NULL, 1567, 9),
(43535, NULL, 'PR00471', NULL, NULL, 'Acetate kinase family signature', NULL, 'ACETATEKNASE', NULL, NULL, 164, 9),
(43536, NULL, 'PR00599', NULL, NULL, 'Methionine aminopeptidase-1 signature', NULL, 'MAPEPTIDASE', NULL, NULL, 3383, 9);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43537, NULL, 'PR00679', NULL, NULL, 'Prohibitin signature', NULL, 'PROHIBITIN', NULL, NULL, 1701, 9),
(43538, NULL, 'PR01657', NULL, NULL, 'Mini-chromosome maintenance (MCM) protein family signature', NULL, 'MCMFAMILY', NULL, NULL, 1165, 9),
(43539, NULL, 'PR01960', NULL, NULL, 'Tumour necrosis factor receptor 7 signature', NULL, 'TNFACTORR7', NULL, NULL, 15876, 9),
(43540, NULL, 'PR01997', NULL, NULL, 'Phage major tail protein 2 family signature', NULL, 'MTP2FAMILY', NULL, NULL, 16278, 9),
(43541, NULL, 'PR01072', NULL, NULL, 'Presenilin family signature', NULL, 'PRESENILIN', NULL, NULL, 5146, 9),
(43542, NULL, 'PR00874', NULL, NULL, 'Fungi-IV metallothionein signature', NULL, 'MTFUNGIIV', NULL, NULL, 4774, 9),
(43543, NULL, 'PR00536', NULL, NULL, 'Melanocyte stimulating hormone receptor signature', NULL, 'MELNOCYTESHR', NULL, NULL, 6809, 9),
(43544, NULL, 'PR00218', NULL, NULL, 'Peripherin (RDS)/ROM-1 family signature', NULL, 'PERIPHERNRDS', NULL, NULL, 279, 9),
(43545, NULL, 'PR01748', NULL, NULL, 'Transcription factor AP-2 signature', NULL, 'AP2TNSCPFCT', NULL, NULL, 11692, 9),
(43546, NULL, 'PR01304', NULL, NULL, 'Norrie disease protein signature', NULL, 'NORRIEDSEASE', NULL, NULL, 6750, 9),
(43547, NULL, 'PR01543', NULL, NULL, 'Arylamine N-acetyltransferase signature', NULL, 'ANATRNSFRASE', NULL, NULL, 3151, 9),
(43548, NULL, 'PR00639', NULL, NULL, 'Neuromedin B receptor signature', NULL, 'NEUROMEDINBR', NULL, NULL, 3951, 9),
(43549, NULL, 'PR00299', NULL, NULL, 'Alpha crystallin signature', NULL, 'ACRYSTALLIN', NULL, NULL, 5372, 9),
(43550, NULL, 'PR01149', NULL, NULL, 'Melatonin 1A receptor signature', NULL, 'MELATONIN1AR', NULL, NULL, 6496, 9),
(43551, NULL, 'PR00798', NULL, NULL, 'Togavirin (S3) serine protease family signature', NULL, 'TOGAVIRIN', NULL, NULL, 3033, 9),
(43552, NULL, 'PR01239', NULL, NULL, 'CYP52 P450 protein signature', NULL, 'EP450IICYP52', NULL, NULL, 7228, 9),
(43553, NULL, 'PR01577', NULL, NULL, 'KCNAB voltage-gated K+ channel beta subunit family signature', NULL, 'KCNABCHANNEL', NULL, NULL, 7303, 9),
(43554, NULL, 'PR00139', NULL, NULL, 'Asparaginase/glutaminase family signature', NULL, 'ASNGLNASE', NULL, NULL, 2677, 9),
(43555, NULL, 'PR00952', NULL, NULL, 'Type III secretion system inner membrane Q protein family signature', NULL, 'TYPE3IMQPROT', NULL, NULL, 5342, 9),
(43556, NULL, 'PR00629', NULL, NULL, 'SHC phosphotyrosine interaction domain signature', NULL, 'SHCPIDOMAIN', NULL, NULL, 1450, 9),
(43557, NULL, 'PR01297', NULL, NULL, 'Colicin lysis protein signature', NULL, 'LYSISCOLICIN', NULL, NULL, 808, 9),
(43558, NULL, 'PR01362', NULL, NULL, 'Flagellar calcium-binding protein (calflagin) signature', NULL, 'CALFLAGIN', NULL, NULL, 3425, 9),
(43559, NULL, 'PR01066', NULL, NULL, 'P2Y4 purinoceptor signature', NULL, 'P2Y4PRNOCPTR', NULL, NULL, 2641, 9),
(43560, NULL, 'PR00344', NULL, NULL, 'Bacterial sensor protein C-terminal signature', NULL, 'BCTRLSENSOR', NULL, NULL, 5971, 9),
(43561, NULL, 'PR00832', NULL, NULL, 'Paxillin signature', NULL, 'PAXILLIN', NULL, NULL, NULL, 9),
(43562, NULL, 'PR01840', NULL, NULL, 'Bacterial Sec-independent translocation TatC protein family signature', NULL, 'TATCFAMILY', NULL, NULL, 5384, 9),
(43563, NULL, 'PR00335', NULL, NULL, 'TrkA potassium uptake protein signature', NULL, 'KUPTAKETRKA', NULL, NULL, 2761, 9),
(43564, NULL, 'PR01492', NULL, NULL, 'Kv6 potassium channel alpha subunit signature', NULL, 'KV6CHANNEL', NULL, NULL, 7095, 9),
(43565, NULL, 'PR01609', NULL, NULL, 'Adhesion molecule CD36 family signature', NULL, 'CD36FAMILY', NULL, NULL, 56, 9),
(43566, NULL, 'PR00136', NULL, NULL, 'Lactalbumin signature', NULL, 'LACTALBUMIN', NULL, NULL, 5587, 9),
(43567, NULL, 'PR00619', NULL, NULL, 'Transcription factor GATA zinc finger signature', NULL, 'GATAZNFINGER', NULL, NULL, 3540, 9),
(43568, NULL, 'PR00875', NULL, NULL, 'Mollusc metallothionein signature', NULL, 'MTMOLLUSC', NULL, NULL, 2082, 9),
(43569, NULL, 'PR00062', NULL, NULL, 'Ribosomal protein L20 signature', NULL, 'RIBOSOMALL20', NULL, NULL, 5994, 9);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43570, NULL, 'PR01946', NULL, NULL, 'Interleukin-11B signature', NULL, 'IL11BFISH', NULL, NULL, 19476, 9),
(43571, NULL, 'PR01806', NULL, NULL, 'Virulence factor MviN signature', NULL, 'VIRFACTRMVIN', NULL, NULL, 3530, 9),
(43572, NULL, 'PR02070', NULL, NULL, 'N-glycosylation protein EOS1 signature', NULL, 'NGLYCOSEOS1', NULL, NULL, 15341, 9),
(43573, NULL, 'PR01169', NULL, NULL, 'Ceratitis capitata alcohol dehydrogenase signature', NULL, 'CERATITISADH', NULL, NULL, 7355, 9),
(43574, NULL, 'PR01816', NULL, NULL, 'Beta-site APP cleaving enzyme 1 (BACE1) signature', NULL, 'BACE1', NULL, NULL, NULL, 9),
(43575, NULL, 'PR00901', NULL, NULL, 'Pheromone B alpha-1 receptor signature', NULL, 'PHEROMONEBAR', NULL, NULL, 6654, 9),
(43576, NULL, 'PR01904', NULL, NULL, 'GPR40-related receptor family signature', NULL, 'GPR40FAMILY', NULL, NULL, 8562, 9),
(43577, NULL, 'PR02086', NULL, NULL, 'Putative nuclease HARBI1 signature', NULL, 'PUTNUCHARBI1', NULL, NULL, 27331, 9),
(43578, NULL, 'PR01740', NULL, NULL, 'Septin 2 signature', NULL, 'SEPTIN2', NULL, NULL, 6249, 9),
(43579, NULL, 'PR00069', NULL, NULL, 'Aldo-keto reductase signature', NULL, 'ALDKETRDTASE', NULL, NULL, 19717, 9),
(43580, NULL, 'PR00958', NULL, NULL, 'Homoserine kinase signature', NULL, 'HOMSERKINASE', NULL, NULL, NULL, 9),
(43581, NULL, 'PR00643', NULL, NULL, 'G10D orphan receptor signature', NULL, 'G10DORPHANR', NULL, NULL, 7390, 9),
(43582, NULL, 'PR00020', NULL, NULL, 'MAM domain signature', NULL, 'MAMDOMAIN', NULL, NULL, 3167, 9),
(43583, NULL, 'PR00651', NULL, NULL, '5-hydroxytryptamine 2B receptor signature', NULL, '5HT2BRECEPTR', NULL, NULL, 6525, 9),
(43584, NULL, 'PR00538', NULL, NULL, 'Muscarinic M1 receptor signature', NULL, 'MUSCRINICM1R', NULL, NULL, 499, 9),
(43585, NULL, 'PR01391', NULL, NULL, 'Binary toxin B family signature', NULL, 'BINARYTOXINB', NULL, NULL, 4370, 9),
(43586, NULL, 'PR01263', NULL, NULL, 'Intracellular chloride (Cl-) channel signature', NULL, 'INTCLCHANNEL', NULL, NULL, 6712, 9),
(43587, NULL, 'PR01322', NULL, NULL, 'Kir1.2 inward rectifier K+ channel signature', NULL, 'KIR12CHANNEL', NULL, NULL, 3427, 9),
(43588, NULL, 'PR01373', NULL, NULL, 'Yersinia serine/threonine protein kinase signature', NULL, 'YERSSTKINASE', NULL, NULL, 7016, 9),
(43589, NULL, 'PR00864', NULL, NULL, 'Type IV prepilin cysteine protease (C20) family signature', NULL, 'PREPILNPTASE', NULL, NULL, 9008, 9),
(43590, NULL, 'PR00116', NULL, NULL, 'Arginase signature', NULL, 'ARGINASE', NULL, NULL, 2821, 9),
(43591, NULL, 'PR00082', NULL, NULL, 'Glutamate/leucine/phenylalanine/valine dehydrogenase signature', NULL, 'GLFDHDRGNASE', NULL, NULL, 10471, 9),
(43592, NULL, 'PR00997', NULL, NULL, 'Fragilysin metallopeptidase (M10C) enterotoxin signature', NULL, 'FRAGILYSIN', NULL, NULL, 4492, 9),
(43593, NULL, 'PR01098', NULL, NULL, 'Topoisomerase IV subunit B signature', NULL, 'TOPISMRASE4B', NULL, NULL, 4623, 9),
(43594, NULL, 'PR01850', NULL, NULL, 'Groucho/transducin-like enhancer protein signature', NULL, 'GROUCHOFAMLY', NULL, NULL, 10755, 9),
(43595, NULL, 'PR00670', NULL, NULL, 'Inhibin beta A chain signature', NULL, 'INHIBINBA', NULL, NULL, 5916, 9),
(43596, NULL, 'PR01026', NULL, NULL, 'Neurokinin NK3 receptor signature', NULL, 'NEUROKININ3R', NULL, NULL, 69, 9),
(43597, NULL, 'PR01897', NULL, NULL, 'ABC transporter family B3 signature', NULL, 'TAP2PROTEIN', NULL, NULL, 4311, 9),
(43598, NULL, 'PR00664', NULL, NULL, 'Octopamine receptor signature', NULL, 'OCTOPAMINER', NULL, NULL, 2478, 9),
(43599, NULL, 'PR00825', NULL, NULL, 'Vespid venom allergen phospholipase A1 signature', NULL, 'DOLALLERGEN', NULL, NULL, 6355, 9),
(43600, NULL, 'PR01703', NULL, NULL, 'Manganese superoxide dismutase signature', NULL, 'MNSODISMTASE', NULL, NULL, 1411, 9),
(43601, NULL, 'PR01130', NULL, NULL, 'Delayed-early response protein/equilibrative nucleoside transporter signature', NULL, 'DERENTRNSPRT', NULL, NULL, 6427, 9),
(43602, NULL, 'PR01011', NULL, NULL, 'Glutathione peroxidase family signature', NULL, 'GLUTPROXDASE', NULL, NULL, 4594, 9),
(43603, NULL, 'PR01144', NULL, NULL, 'Lutropin-choriogonadotropic hormone receptor precursor signature', NULL, 'LSHRECEPTOR', NULL, NULL, 6484, 9);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43604, NULL, 'PR01912', NULL, NULL, 'Brain derived neurotrophic factor signature', NULL, 'BDNFACTOR', NULL, NULL, 20705, 9),
(43605, NULL, 'PR00988', NULL, NULL, 'Uridine kinase signature', NULL, 'URIDINKINASE', NULL, NULL, NULL, 9),
(43606, NULL, 'PR01791', NULL, NULL, 'Regucalcin signature', NULL, 'REGUCALCIN', NULL, NULL, 7913, 9),
(43607, NULL, 'PR01795', NULL, NULL, 'Voltage-dependent calcium channel gamma-7 subunit signature', NULL, 'VDCCGAMMA7', NULL, NULL, 7975, 9),
(43608, NULL, 'PR01295', NULL, NULL, 'Cloacin signature', NULL, 'CLOACIN', NULL, NULL, 24495, 9),
(43609, NULL, 'PR00887', NULL, NULL, 'Structure-specific recognition protein signature', NULL, 'SSRCOGNITION', NULL, NULL, 3485, 9),
(43610, NULL, 'PR00797', NULL, NULL, 'Streptopain (C10) cysteine protease family signature', NULL, 'STREPTOPAIN', NULL, NULL, 1497, 9),
(43611, NULL, 'PR01924', NULL, NULL, 'Tumour necrosis factor receptor 9 signature', NULL, 'TNFACTORR9', NULL, NULL, 19452, 9),
(43612, NULL, 'PR00841', NULL, NULL, 'Bacterial beta-amylase signature', NULL, 'GLHYDLASE14A', NULL, NULL, 1791, 9),
(43613, NULL, 'PR01425', NULL, NULL, 'Transforming growth factor beta 2 precursor signature', NULL, 'TGFBETA2', NULL, NULL, 7005, 9),
(43614, NULL, 'PR01849', NULL, NULL, 'Ubiquitin-activating enzyme E1 signature', NULL, 'UBIQUITINACT', NULL, NULL, 2616, 9),
(43615, NULL, 'PR00934', NULL, NULL, 'X-His dipeptidase (M25) signature', NULL, 'XHISDIPTASE', NULL, NULL, 1391, 9),
(43616, NULL, 'PR01827', NULL, NULL, 'Non-receptor tyrosine-protein kinase TYK2 signature', NULL, 'YKINASETYK2', NULL, NULL, 12506, 9),
(43617, NULL, 'PR01555', NULL, NULL, 'Escherichia coli P pili tip fibrillum papE protein signature', NULL, 'FIMBRIALPAPE', NULL, NULL, 1737, 9),
(43618, NULL, 'PR01059', NULL, NULL, '5-hydroxytryptamine 4 receptor signature', NULL, '5HT4RECEPTR', NULL, NULL, 6434, 9),
(43619, NULL, 'PR00870', NULL, NULL, 'DNA-polymerase family X pol beta-like signature', NULL, 'DNAPOLXBETA', NULL, NULL, 2127, 9),
(43620, NULL, 'PR00860', NULL, NULL, 'Vertebrate metallothionein signature', NULL, 'MTVERTEBRATE', NULL, NULL, 2209, 9),
(43621, NULL, 'PR01423', NULL, NULL, 'Transforming growth factor beta precursor signature', NULL, 'TGFBETA', NULL, NULL, 20666, 9),
(43622, NULL, 'PR01681', NULL, NULL, 'Fas antigen ligand signature', NULL, 'FASLIGAND', NULL, NULL, 27206, 9),
(43623, NULL, 'PR01700', NULL, NULL, 'CD34 antigen signature', NULL, 'CD34ANTIGEN', NULL, NULL, 6049, 9),
(43624, NULL, 'PR00811', NULL, NULL, 'Bacterial general secretion pathway protein D signature', NULL, 'BCTERIALGSPD', NULL, NULL, 3147, 9),
(43625, NULL, 'PR01610', NULL, NULL, 'Adhesion molecule CD36 signature', NULL, 'CD36ANTIGEN', NULL, NULL, 139, 9),
(43626, NULL, 'PR00502', NULL, NULL, 'NUDIX hydrolase family signature', NULL, 'NUDIXFAMILY', NULL, NULL, 19846, 9),
(43627, NULL, 'PR01495', NULL, NULL, 'Shab voltage-gated K+ channel family signature', NULL, 'SHABCHANNEL', NULL, NULL, 7328, 9),
(43628, NULL, 'PR00155', NULL, NULL, 'Amicyanin family signature', NULL, 'AMICYANIN', NULL, NULL, 6278, 9),
(43629, NULL, 'PR01536', NULL, NULL, 'Interleukin-1 receptor type I and type II family signature', NULL, 'INTRLKN1R12F', NULL, NULL, 1623, 9),
(43630, NULL, 'PR00177', NULL, NULL, 'NMDA receptor signature', NULL, 'NMDARECEPTOR', NULL, NULL, 6395, 9),
(43631, NULL, 'PR01275', NULL, NULL, 'Neutrophil gelatinase lipocalin signature', NULL, 'NGELATINASE', NULL, NULL, 604, 9),
(43632, NULL, 'PR01316', NULL, NULL, 'Glial cell line-derived neurotrophic factor receptor family signature', NULL, 'GDNFRECEPTOR', NULL, NULL, 5489, 9),
(43633, NULL, 'PR01269', NULL, NULL, 'S-crystallin signature', NULL, 'SCRYSTALLIN', NULL, NULL, 932, 9),
(43634, NULL, 'PR01770', NULL, NULL, 'ERK1/2 MAP kinase signature', NULL, 'ERK1ERK2MAPK', NULL, NULL, 7664, 9),
(43635, NULL, 'PR00339', NULL, NULL, 'Proliferating cell nuclear antigen (cyclin) signature', NULL, 'PCNACYCLIN', NULL, NULL, 6893, 9),
(43636, NULL, 'PR00486', NULL, NULL, 'Uteroglobin signature', NULL, 'UTEROGLOBIN', NULL, NULL, 915, 9);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43637, NULL, 'PR00383', NULL, NULL, 'Pro-opiomelanocortin signature', NULL, 'MELANOCORTIN', NULL, NULL, 2339, 9),
(43638, NULL, 'PR01958', NULL, NULL, 'Sedoheptulose-1,7-bisphosphatase family signature', NULL, 'S17BPHPHTASE', NULL, NULL, 15017, 9),
(43639, NULL, 'PR00822', NULL, NULL, 'Lipoprotein lipase signature', NULL, 'LIPOLIPASE', NULL, NULL, 6554, 9),
(43640, NULL, 'PR01365', NULL, NULL, 'Telomere reverse transcriptase signature', NULL, 'TELOMERASERT', NULL, NULL, 7089, 9),
(43641, NULL, 'PR01177', NULL, NULL, 'Metabotropic gamma-aminobutyric acid type B1 receptor signature', NULL, 'GABAB1RECPTR', NULL, NULL, NULL, 9),
(43642, NULL, 'PR01378', NULL, NULL, 'Claudin-3 signature', NULL, 'CLAUDIN3', NULL, NULL, 7222, 9),
(43643, NULL, 'PR00569', NULL, NULL, 'Dopamine D4 receptor signature', NULL, 'DOPAMINED4R', NULL, NULL, 1300, 9),
(43644, NULL, 'PR01292', NULL, NULL, 'Retinoic acid receptor (1B nuclear receptor) signature', NULL, 'RETNOICACIDR', NULL, NULL, 973, 9),
(43645, NULL, 'PR01951', NULL, NULL, 'Eukaryotic LanC-like protein family signature', NULL, 'LANCEUKARYTE', NULL, NULL, 19017, 9),
(43646, NULL, 'PR00208', NULL, NULL, 'Gliadin and LMW glutenin superfamily signature', NULL, 'GLIADGLUTEN', NULL, NULL, 4437, 9),
(43647, NULL, 'PR01645', NULL, NULL, 'Transient receptor potential channel 4 signature', NULL, 'TRPCHANNEL4', NULL, NULL, 526, 9),
(43648, NULL, 'PR00785', NULL, NULL, 'Nuclear translocator signature', NULL, 'NCTRNSLOCATR', NULL, NULL, 1016, 9),
(43649, NULL, 'PR02099', NULL, NULL, 'Protein IBD2 signature', NULL, 'PROTEINIBD2', NULL, NULL, 28158, 9),
(43650, NULL, 'PR00032', NULL, NULL, 'AraC bacterial regulatory protein HTH signature', NULL, 'HTHARAC', NULL, NULL, 21243, 9),
(43651, NULL, 'PR00597', NULL, NULL, 'Gelsolin family signature', NULL, 'GELSOLIN', NULL, NULL, 403, 9),
(43652, NULL, 'PR01327', NULL, NULL, 'Kir3.1 inward rectifier K+ channel signature', NULL, 'KIR31CHANNEL', NULL, NULL, 3208, 9),
(43653, NULL, 'PR00715', NULL, NULL, 'Cation-dependent mannose-6-phosphate receptor signature', NULL, 'MAN6PRECEPTR', NULL, NULL, 778, 9),
(43654, NULL, 'PR00505', NULL, NULL, 'D12 class N6 adenine-specific DNA methyltransferase signature', NULL, 'D12N6MTFRASE', NULL, NULL, 11731, 9),
(43655, NULL, 'PR02108', NULL, NULL, 'Mas-related G-protein coupled receptor family signature', NULL, 'MRGPCRFAMILY', NULL, NULL, 28767, 9),
(43656, NULL, 'PR00537', NULL, NULL, 'Mu opioid receptor signature', NULL, 'MUOPIOIDR', NULL, NULL, 2833, 9),
(43657, NULL, 'PR01096', NULL, NULL, 'TWIK-1 K+ channel signature', NULL, 'TWIK1CHANNEL', NULL, NULL, 3050, 9),
(43658, NULL, 'PR01402', NULL, NULL, 'Mutator MutX protein signature', NULL, 'MUTATORMUTX', NULL, NULL, 189, 9),
(43659, NULL, 'PR00776', NULL, NULL, 'Hemoglobinase (C13) cysteine protease signature', NULL, 'HEMOGLOBNASE', NULL, NULL, 1205, 9),
(43660, NULL, 'PR00256', NULL, NULL, 'Bacterial photosynthetic reaction centre signature', NULL, 'REACTNCENTRE', NULL, NULL, 5872, 9),
(43661, NULL, 'PR01265', NULL, NULL, 'Link module signature', NULL, 'LINKMODULE', NULL, NULL, 5622, 9),
(43662, NULL, 'PR01936', NULL, NULL, 'Interleukin-22 signature', NULL, 'INTRLEUKIN22', NULL, NULL, 19530, 9),
(43663, NULL, 'PR00729', NULL, NULL, 'Cattle diarrhoea virus endopeptidase P80 (S31) signature', NULL, 'CDVENDOPTASE', NULL, NULL, 4539, 9),
(43664, NULL, 'PR01982', NULL, NULL, 'Insulin-like growth factor-binding protein 6 signature', NULL, 'IGFBPFAMILY6', NULL, NULL, 15555, 9),
(43665, NULL, 'PR00969', NULL, NULL, 'Pili chaperone signature', NULL, 'CHAPERONPILI', NULL, NULL, 4255, 9),
(43666, NULL, 'PR01590', NULL, NULL, 'FIS bacterial regulatory protein HTH signature', NULL, 'HTHFIS', NULL, NULL, 154, 9),
(43667, NULL, 'PR00235', NULL, NULL, 'Herpesvirus major capsid protein (MCP) signature', NULL, 'HSVCAPSIDMCP', NULL, NULL, 4, 9),
(43668, NULL, 'PR01197', NULL, NULL, 'GAT-3 GABA neurotransmitter transporter signature', NULL, 'GAT3TRNSPORT', NULL, NULL, 7316, 9),
(43669, NULL, 'PR01034', NULL, NULL, 'Ribosomal protein S12 signature', NULL, 'RIBOSOMALS12', NULL, NULL, 1096, 9);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43670, NULL, 'PR00709', NULL, NULL, 'Avidin signature', NULL, 'AVIDIN', NULL, NULL, 747, 9),
(43671, NULL, 'PR00390', NULL, NULL, 'Phospholipase C signature', NULL, 'PHPHLIPASEC', NULL, NULL, 1074, 9),
(43672, NULL, 'PR00504', NULL, NULL, 'Chromodomain signature', NULL, 'CHROMODOMAIN', NULL, NULL, 19082, 9),
(43673, NULL, 'PR01117', NULL, NULL, 'CLC-6 chloride channel signature', NULL, 'CLCHANNEL6', NULL, NULL, 6229, 9),
(43674, NULL, 'PR00908', NULL, NULL, 'Thrombin receptor signature', NULL, 'THROMBINR', NULL, NULL, 320, 9),
(43675, NULL, 'PR01888', NULL, NULL, 'Neuropeptide B/W family signature', NULL, 'NROPEPTIDEBW', NULL, NULL, 8688, 9),
(43676, NULL, 'PR01198', NULL, NULL, 'Betaine transporter signature', NULL, 'BETTRANSPORT', NULL, NULL, 7202, 9),
(43677, NULL, 'PR00627', NULL, NULL, 'GTP-binding nuclear protein Ran/Tc4 family signature', NULL, 'GTPRANTC4', NULL, NULL, 1311, 9),
(43678, NULL, 'PR00727', NULL, NULL, 'Bacterial leader peptidase 1 (S26A) family signature', NULL, 'LEADERPTASE', NULL, NULL, 3963, 9),
(43679, NULL, 'PR01621', NULL, NULL, 'Gamma-aminobutyric-acid A receptor gamma 1 subunit signature', NULL, 'GABAARGAMMA1', NULL, NULL, 479, 9),
(43680, NULL, 'PR01050', NULL, NULL, 'Pyruvate kinase family signature', NULL, 'PYRUVTKNASE', NULL, NULL, 3357, 9),
(43681, NULL, 'PR01381', NULL, NULL, 'Claudin-7 signature', NULL, 'CLAUDIN7', NULL, NULL, 7157, 9),
(43682, NULL, 'PR00210', NULL, NULL, 'High molecular weight glutenin signature', NULL, 'GLUTENIN', NULL, NULL, 6676, 9),
(43683, NULL, 'PR01634', NULL, NULL, 'Voltage-dependent L-type calcium channel alpha-1S subunit signature', NULL, 'LVDCCALPHA1S', NULL, NULL, 540, 9),
(43684, NULL, 'PR01073', NULL, NULL, 'Presenilin 1 signature', NULL, 'PRESENILIN1', NULL, NULL, 2032, 9),
(43685, NULL, 'PR00259', NULL, NULL, 'Transmembrane four family signature', NULL, 'TMFOUR', NULL, NULL, NULL, 9),
(43686, NULL, 'PR00898', NULL, NULL, 'Vasopressin V2 receptor signature', NULL, 'VASOPRSNV2R', NULL, NULL, 1674, 9),
(43687, NULL, 'PR01376', NULL, NULL, 'Yersinia/Haemophilus virulence surface antigen signature', NULL, 'BACSURFANTGN', NULL, NULL, 7408, 9),
(43688, NULL, 'PR00527', NULL, NULL, 'Gastrin receptor signature', NULL, 'GASTRINR', NULL, NULL, 734, 9),
(43689, NULL, 'PR00217', NULL, NULL, '43kDa postsynaptic protein signature', NULL, 'POSTSYNAPTIC', NULL, NULL, 5313, 9),
(43690, NULL, 'PR01388', NULL, NULL, 'Cytolethal distending toxin B signature', NULL, 'CDTOXINB', NULL, NULL, 7472, 9),
(43691, NULL, 'PR00728', NULL, NULL, 'Eukaryotic signal peptidase (S26B) family signature', NULL, 'SIGNALPTASE', NULL, NULL, 3366, 9),
(43692, NULL, 'PR00960', NULL, NULL, 'LmbP protein signature', NULL, 'LMBPPROTEIN', NULL, NULL, 1119, 9),
(43693, NULL, 'PR00501', NULL, NULL, 'Kelch repeat signature', NULL, 'KELCHREPEAT', NULL, NULL, NULL, 9),
(43694, NULL, 'PR01731', NULL, NULL, 'Lymphotactin precursor signature', NULL, 'LYMPHOTACTIN', NULL, NULL, 6262, 9),
(43695, NULL, 'PR00087', NULL, NULL, 'Lipoxygenase signature', NULL, 'LIPOXYGENASE', NULL, NULL, 7860, 9),
(43696, NULL, 'PR00278', NULL, NULL, 'Pancreatic hormone signature', NULL, 'PANCHORMONE', NULL, NULL, 2207, 9),
(43697, NULL, 'PR01963', NULL, NULL, 'Tumour necrosis factor receptor 13B signature', NULL, 'TNFACTORR13B', NULL, NULL, 15579, 9),
(43698, NULL, 'PR00358', NULL, NULL, 'Bombesin receptor signature', NULL, 'BOMBESINR', NULL, NULL, 5858, 9),
(43699, NULL, 'PR01372', NULL, NULL, 'Yersinia virulence determinant YopE protein signature', NULL, 'YERSINIAYOPE', NULL, NULL, 7044, 9),
(43700, NULL, 'PR01267', NULL, NULL, 'Mu-class glutathione S-transferase signature', NULL, 'GSTRNSFRASEM', NULL, NULL, 713, 9),
(43701, NULL, 'PR01537', NULL, NULL, 'Interleukin-1 receptor type I family signature', NULL, 'INTRLKN1R1F', NULL, NULL, NULL, 9),
(43702, NULL, 'PR01556', NULL, NULL, 'Type IV secretion system CagX conjugation protein signature', NULL, 'TYPE4SSCAGX', NULL, NULL, 5779, 9),
(43703, NULL, 'PR01359', NULL, NULL, 'Interleukin-1 beta precursor signature', NULL, 'INTRLEUKIN1B', NULL, NULL, NULL, 9);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43704, NULL, 'PR00310', NULL, NULL, 'Anti-proliferative protein BTG1 family signature', NULL, 'ANTIPRLFBTG1', NULL, NULL, 1338, 9),
(43705, NULL, 'PR01753', NULL, NULL, 'Streptococcus streptokinase protein signature', NULL, 'STREPKINASE', NULL, NULL, 6065, 9),
(43706, NULL, 'PR01631', NULL, NULL, 'N-type voltage-dependent calcium channel alpha-1 subunit signature', NULL, 'NVDCCALPHA1', NULL, NULL, 267, 9),
(43707, NULL, 'PR01879', NULL, NULL, 'Nervy protein signature', NULL, 'NERVYPROTEIN', NULL, NULL, 8637, 9),
(43708, NULL, 'PR01754', NULL, NULL, 'Streptothricin acetyltransferase signature', NULL, 'SACTRNSFRASE', NULL, NULL, 6426, 9),
(43709, NULL, 'PR01725', NULL, NULL, 'Gamma-aminobutyric-acid A receptor theta subunit signature', NULL, 'GABAARTHETA', NULL, NULL, 6064, 9),
(43710, NULL, 'PR01478', NULL, NULL, 'Leukotriene B4 type 2 receptor signature', NULL, 'LTB2RECEPTOR', NULL, NULL, 7176, 9),
(43711, NULL, 'PR01437', NULL, NULL, 'NADH-ubiquinone oxidoreductase subunit 4 signature', NULL, 'NUOXDRDTASE4', NULL, NULL, 6313, 9),
(43712, NULL, 'PR01617', NULL, NULL, 'Gamma-aminobutyric-acid A receptor alpha 4 subunit signature', NULL, 'GABAARALPHA4', NULL, NULL, 330, 9),
(43713, NULL, 'PR01151', NULL, NULL, 'Melatonin-related 1X receptor signature', NULL, 'MELATONIN1XR', NULL, NULL, 6210, 9),
(43714, NULL, 'PR01549', NULL, NULL, 'Autoinducer synthesis protein signature', NULL, 'AUTOINDCRSYN', NULL, NULL, 3142, 9),
(43715, NULL, 'PR01084', NULL, NULL, 'Na+/H+ exchanger signature', NULL, 'NAHEXCHNGR', NULL, NULL, 3588, 9),
(43716, NULL, 'PR02021', NULL, NULL, 'Aquaporin-9 signature', NULL, 'AQUAPORIN9', NULL, NULL, 18181, 9),
(43717, NULL, 'PR00682', NULL, NULL, 'Isopenicillin N synthase signature', NULL, 'IPNSYNTHASE', NULL, NULL, NULL, 9),
(43718, NULL, 'PR01305', NULL, NULL, 'Invasion protein B family signature', NULL, 'SSPAKPROTEIN', NULL, NULL, 606, 9),
(43719, NULL, 'PR01542', NULL, NULL, 'Foot-and-mouth disease virus VP1 coat protein signature', NULL, 'FMDVP1COAT', NULL, NULL, 1950, 9),
(43720, NULL, 'PR00248', NULL, NULL, 'Metabotropic glutamate GPCR signature', NULL, 'GPCRMGR', NULL, NULL, 4879, 9),
(43721, NULL, 'PR00763', NULL, NULL, 'Coagulin signature', NULL, 'COAGULIN', NULL, NULL, 621, 9),
(43722, NULL, 'PR00292', NULL, NULL, 'Potato inhibitor I signature', NULL, 'POTATOINHBTR', NULL, NULL, 24, 9),
(43723, NULL, 'PR02039', NULL, NULL, 'Pre-mRNA-splicing factor BRR1 signature', NULL, 'SPLICEFRBRR1', NULL, NULL, 9494, 9),
(43724, NULL, 'PR00940', NULL, NULL, 'Cation-transporting P-type ATPase A signature', NULL, 'CATPATPASEA', NULL, NULL, 5822, 9),
(43725, NULL, 'PR00656', NULL, NULL, 'Bacteriochlorophyll C binding protein signature', NULL, 'BCHLROPHYLLC', NULL, NULL, 3430, 9),
(43726, NULL, 'PR00525', NULL, NULL, 'Delta opioid receptor signature', NULL, 'DELTAOPIOIDR', NULL, NULL, 4773, 9),
(43727, NULL, 'PR01188', NULL, NULL, 'Anion exchanger isoform 2 signature', NULL, 'ANIONEXHNGR2', NULL, NULL, 7350, 9),
(43728, NULL, 'PR01603', NULL, NULL, 'Voltage-dependent calcium channel gamma-4 subunit signature', NULL, 'VDCCGAMMA4', NULL, NULL, 380, 9),
(43729, NULL, 'PR00691', NULL, NULL, 'Adhesin B signature', NULL, 'ADHESINB', NULL, NULL, 10411, 9),
(43730, NULL, 'PR01134', NULL, NULL, 'Gap junction alpha-4 protein (Connexin37) signature', NULL, 'CONNEXINA4', NULL, NULL, 6397, 9),
(43731, NULL, 'PR01262', NULL, NULL, 'Innexin signature', NULL, 'INNEXIN', NULL, NULL, 3282, 9),
(43732, NULL, 'PR00193', NULL, NULL, 'Myosin heavy chain signature', NULL, 'MYOSINHEAVY', NULL, NULL, 3309, 9),
(43733, NULL, 'PR00007', NULL, NULL, 'Complement C1Q domain signature', NULL, 'COMPLEMNTC1Q', NULL, NULL, 2270, 9),
(43734, NULL, 'PR01162', NULL, NULL, 'Alpha-tubulin signature', NULL, 'ALPHATUBULIN', NULL, NULL, 5254, 9),
(43735, NULL, 'PR00520', NULL, NULL, 'Adrenocorticotrophin receptor signature', NULL, 'ACTROPHINR', NULL, NULL, 1289, 9),
(43736, NULL, 'PR00061', NULL, NULL, 'Ribosomal protein L19 signature', NULL, 'RIBOSOMALL19', NULL, NULL, 4364, 9),
(43737, NULL, 'PR01037', NULL, NULL, 'Tetracycline resistance protein TetO/TetQ/TetM family signature', NULL, 'TCRTETOQM', NULL, NULL, NULL, 9);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43738, NULL, 'PR00756', NULL, NULL, 'Membrane alanyl dipeptidase (M1) family signature', NULL, 'ALADIPTASE', NULL, NULL, 4152, 9),
(43739, NULL, 'PR00040', NULL, NULL, 'MerR bacterial regulatory protein HTH signature', NULL, 'HTHMERR', NULL, NULL, 5561, 9),
(43740, NULL, 'PR01507', NULL, NULL, 'Melanin-concentrating hormone 1 receptor signature', NULL, 'MCH1RECEPTOR', NULL, NULL, 522, 9),
(43741, NULL, 'PR00583', NULL, NULL, 'Prostanoid EP3 receptor type 1 signature', NULL, 'PRSTNOIDE31R', NULL, NULL, 3834, 9),
(43742, NULL, 'PR01190', NULL, NULL, 'Glucose transporter type 1 (GLUT1) signature', NULL, 'GLUCTRSPORT1', NULL, NULL, 7498, 9),
(43743, NULL, 'PR00141', NULL, NULL, 'Proteasome component signature', NULL, 'PROTEASOME', NULL, NULL, 4918, 9),
(43744, NULL, 'PR01569', NULL, NULL, 'P2Y12 purinoceptor signature', NULL, 'P2Y12PRNCPTR', NULL, NULL, 7125, 9),
(43745, NULL, 'PR00274', NULL, NULL, 'Glycoprotein hormone alpha chain signature', NULL, 'GLYCOHORMONE', NULL, NULL, 5679, 9),
(43746, NULL, 'PR00754', NULL, NULL, 'Aerolysin signature', NULL, 'AEROLYSIN', NULL, NULL, 5919, 9),
(43747, NULL, 'PR01440', NULL, NULL, 'Cellulose synthase subunit B signature', NULL, 'CELLSNTHASEB', NULL, NULL, 6268, 9),
(43748, NULL, 'PR01387', NULL, NULL, 'Cytolethal distending toxin A signature', NULL, 'CDTOXINA', NULL, NULL, 8148, 9),
(43749, NULL, 'PR00271', NULL, NULL, 'Defensin signature', NULL, 'DEFENSIN', NULL, NULL, 19011, 9),
(43750, NULL, 'PR01973', NULL, NULL, 'Tumour necrosis factor receptor 27 signature', NULL, 'TNFACTORR27', NULL, NULL, 15951, 9),
(43751, NULL, 'PR01471', NULL, NULL, 'Histamine H3 receptor signature', NULL, 'HISTAMINEH3R', NULL, NULL, 7041, 9),
(43752, NULL, 'PR01028', NULL, NULL, 'Opioid neuropeptide precursor signature', NULL, 'OPIOIDPRCRSR', NULL, NULL, 1108, 9),
(43753, NULL, 'PR00066', NULL, NULL, 'Xeroderma pigmentosum group G protein signature', NULL, 'XRODRMPGMNTG', NULL, NULL, 2263, 9),
(43754, NULL, 'PR01415', NULL, NULL, 'Ankyrin repeat signature', NULL, 'ANKYRIN', NULL, NULL, 1196, 9),
(43755, NULL, 'PR02002', NULL, NULL, 'Insulin-like growth factor signature', NULL, 'INSLNLIKEGF', NULL, NULL, 16259, 9),
(43756, NULL, 'PR01202', NULL, NULL, 'Dopamine neurotransmitter transporter signature', NULL, 'DOPTRANSPORT', NULL, NULL, 7112, 9),
(43757, NULL, 'PR00448', NULL, NULL, 'NSF attachment protein signature', NULL, 'NSFATTACHMNT', NULL, NULL, 6604, 9),
(43758, NULL, 'PR01048', NULL, NULL, 'Hypothetical protein Y414 family signature', NULL, 'Y414FAMILY', NULL, NULL, 1212, 9),
(43759, NULL, 'PR01541', NULL, NULL, 'Gonadoliberin I precursor signature', NULL, 'GONADOLIBRNI', NULL, NULL, 1682, 9),
(43760, NULL, 'PR01482', NULL, NULL, 'Pertactin signature', NULL, 'PERTACTIN', NULL, NULL, 7094, 9),
(43761, NULL, 'PR01396', NULL, NULL, 'Bordetella pertussis toxin B subunit signature', NULL, 'BORPETOXINB', NULL, NULL, 4112, 9),
(43762, NULL, 'PR01461', NULL, NULL, 'KCNQ2 voltage-gated potassium channel signature', NULL, 'KCNQ2CHANNEL', NULL, NULL, 7352, 9),
(43763, NULL, 'PR01757', NULL, NULL, 'Amelogenin signature', NULL, 'AMELOGENIN', NULL, NULL, 1681, 9),
(43764, NULL, 'PR01433', NULL, NULL, 'Polycystic kidney disease type 2 protein (PKD2) signature', NULL, 'POLYCYSTIN2', NULL, NULL, 6244, 9),
(43765, NULL, 'PR00385', NULL, NULL, 'P450 superfamily signature', NULL, 'P450', NULL, NULL, 1288, 9),
(43766, NULL, 'PR00610', NULL, NULL, 'Cytochrome F signature', NULL, 'CYTOCHROMEF', NULL, NULL, 6521, 9),
(43767, NULL, 'PR00297', NULL, NULL, '10kDa chaperonin signature', NULL, 'CHAPERONIN10', NULL, NULL, 14874, 9),
(43768, NULL, 'PR01831', NULL, NULL, 'Trace amine receptor 1 signature', NULL, 'TRACEAMINE1R', NULL, NULL, 10634, 9),
(43769, NULL, 'PR00119', NULL, NULL, 'P-type cation-transporting ATPase superfamily signature', NULL, 'CATATPASE', NULL, NULL, NULL, 9),
(43770, NULL, 'PR00513', NULL, NULL, '5-hydroxytryptamine 1B receptor signature', NULL, '5HT1BRECEPTR', NULL, NULL, 1162, 9),
(43771, NULL, 'PR01623', NULL, NULL, 'Gamma-aminobutyric-acid A receptor gamma 3 subunit signature', NULL, 'GABAARGAMMA3', NULL, NULL, 70, 9);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43772, NULL, 'PR01115', NULL, NULL, 'CLC-4 chloride channel signature', NULL, 'CLCHANNEL4', NULL, NULL, 6400, 9),
(43773, NULL, 'PR01385', NULL, NULL, 'Claudin-14 signature', NULL, 'CLAUDIN14', NULL, NULL, NULL, 9),
(43774, NULL, 'PR01942', NULL, NULL, 'Neurotrophic tyrosine kinase receptor type 3 signature', NULL, 'NTKRECEPTOR3', NULL, NULL, 20731, 9),
(43775, NULL, 'PR01165', NULL, NULL, 'Cytochrome c oxidase subunit I signature', NULL, 'CYCOXIDASEI', NULL, NULL, 406, 9),
(43776, NULL, 'PR00819', NULL, NULL, 'CbxX/CfqX superfamily signature', NULL, 'CBXCFQXSUPER', NULL, NULL, 4111, 9),
(43777, NULL, 'PR00474', NULL, NULL, 'Glutamate 5-kinase family signature', NULL, 'GLU5KINASE', NULL, NULL, 2153, 9),
(43778, NULL, 'PR01251', NULL, NULL, 'Amphiphysin signature', NULL, 'AMPHIPHYSIN', NULL, NULL, 324, 9),
(43779, NULL, 'PR01878', NULL, NULL, 'Myeloid transforming gene on chromosome 16 (MTG16) protein signature', NULL, 'MTG16PROTEIN', NULL, NULL, 8693, 9),
(43780, NULL, 'PR01985', NULL, NULL, 'Neurogenic locus Notch protein 2 signature', NULL, 'NOTCH2', NULL, NULL, 15569, 9),
(43781, NULL, 'PR00735', NULL, NULL, 'Glycosyl hydrolase family 8 signature', NULL, 'GLHYDRLASE8', NULL, NULL, 5027, 9),
(43782, NULL, 'PR01280', NULL, NULL, 'Corticotropin releasing factor type 1 receptor signature', NULL, 'CRFRECEPTOR1', NULL, NULL, 898, 9),
(43783, NULL, 'PR00937', NULL, NULL, 'T-Box domain signature', NULL, 'TBOX', NULL, NULL, 3215, 9),
(43784, NULL, 'PR02069', NULL, NULL, 'Endothelial cell-specific chemotaxis regulator signature', NULL, 'ECCREGULATOR', NULL, NULL, 26278, 9),
(43785, NULL, 'PR00157', NULL, NULL, 'Plastocyanin signature', NULL, 'PLASTOCYANIN', NULL, NULL, 6306, 9),
(43786, NULL, 'PR00706', NULL, NULL, 'Pyroglutamyl peptidase I (C15) family signature', NULL, 'PYROGLUPTASE', NULL, NULL, 6754, 9),
(43787, NULL, 'PR01933', NULL, NULL, 'Interleukin-18 signature', NULL, 'INTRLEUKIN18', NULL, NULL, 8386, 9),
(43788, NULL, 'PR00881', NULL, NULL, 'Ribosomal protein L7A/RS6 family signature', NULL, 'L7ARS6FAMILY', NULL, NULL, 17335, 9),
(43789, NULL, 'PR00195', NULL, NULL, 'Dynamin signature', NULL, 'DYNAMIN', NULL, NULL, 17139, 9),
(43790, NULL, 'PR01092', NULL, NULL, 'Sulphonylurea receptor family signature', NULL, 'SULFNYLUREAR', NULL, NULL, 6734, 9),
(43791, NULL, 'PR00838', NULL, NULL, 'Venom allergen 5 signature', NULL, 'V5ALLERGEN', NULL, NULL, 2513, 9),
(43792, NULL, 'PR00275', NULL, NULL, 'Glucagon polypeptide hormone superfamily signature', NULL, 'GLUCAGON', NULL, NULL, 5904, 9),
(43793, NULL, 'PR01095', NULL, NULL, 'TASK K+ channel signature', NULL, 'TASKCHANNEL', NULL, NULL, 978, 9),
(43794, NULL, 'PR01448', NULL, NULL, 'Claudin-18 signature', NULL, 'CLAUDIN18', NULL, NULL, 6466, 9),
(43795, NULL, 'PR02000', NULL, NULL, 'Putative plant GPCR, GCR1, signature', NULL, 'GCR1PLANT', NULL, NULL, 15879, 9),
(43796, NULL, 'PR01413', NULL, NULL, 'Cytochrome c-type biogenesis protein NrfE signature', NULL, 'NRFEBIOGNSIS', NULL, NULL, 82, 9),
(43797, NULL, 'PR01903', NULL, NULL, 'Cysteinyl leukotriene receptor 2 signature', NULL, 'CYSLT2RECPTR', NULL, NULL, 8872, 9),
(43798, NULL, 'PR00893', NULL, NULL, 'Rab escort (choroideraemia) protein signature', NULL, 'RABESCORT', NULL, NULL, 3486, 9),
(43799, NULL, 'PR00457', NULL, NULL, 'Animal haem peroxidase signature', NULL, 'ANPEROXIDASE', NULL, NULL, 17660, 9),
(43800, NULL, 'PR00741', NULL, NULL, 'Glycosyl hydrolase family 29 signature', NULL, 'GLHYDRLASE29', NULL, NULL, 19781, 9),
(43801, NULL, 'PR01604', NULL, NULL, 'KCNE voltage-gated K+ channel subfamily E1 signature', NULL, 'KCNE1CHANNEL', NULL, NULL, 123, 9),
(43802, NULL, 'PR01866', NULL, NULL, 'MCL1 (myeloid cell leukaemia 1) apoptosis regulator protein signature', NULL, 'APOPREGMCL1', NULL, NULL, 8988, 9),
(43803, NULL, 'PR01729', NULL, NULL, 'Lactobacillus surface layer protein signature', NULL, 'SURFACELAYER', NULL, NULL, 1956, 9),
(43804, NULL, 'PR00298', NULL, NULL, '60kDa chaperonin signature', NULL, 'CHAPERONIN60', NULL, NULL, 4368, 9),
(43805, NULL, 'PR00353', NULL, NULL, '4Fe-4S ferredoxin signature', NULL, '4FE4SFRDOXIN', NULL, NULL, NULL, 9);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43806, NULL, 'PR00515', NULL, NULL, '5-hydroxytryptamine 1F receptor signature', NULL, '5HT1FRECEPTR', NULL, NULL, NULL, 9),
(43807, NULL, 'PR01152', NULL, NULL, 'Protease activated receptor 2 precursor signature', NULL, 'PROTEASEAR2', NULL, NULL, 117, 9),
(43808, NULL, 'PR01739', NULL, NULL, 'Relaxin receptor family signature', NULL, 'RELAXINR', NULL, NULL, 6185, 9),
(43809, NULL, 'PR00611', NULL, NULL, 'Erythrocruorin family signature', NULL, 'ERYTHCRUORIN', NULL, NULL, 6994, 9),
(43810, NULL, 'PR00431', NULL, NULL, 'Interleukin-4 signature', NULL, 'INTERLEUKIN4', NULL, NULL, 6833, 9),
(43811, NULL, 'PR02066', NULL, NULL, 'Daughter-specific expression protein 2 signature', NULL, 'DSEPROTEIN2', NULL, NULL, 27737, 9),
(43812, NULL, 'PR00045', NULL, NULL, 'Sigma-54 factor signature', NULL, 'SIGMA54FCT', NULL, NULL, 4850, 9),
(43813, NULL, 'PR00917', NULL, NULL, 'Small round structured virus (C37) cysteine protease family signature', NULL, 'SRSVCYSPTASE', NULL, NULL, 3342, 9),
(43814, NULL, 'PR01993', NULL, NULL, 'GP162 7TM protein signature', NULL, 'GPR162', NULL, NULL, 15022, 9),
(43815, NULL, 'PR02085', NULL, NULL, 'DNA-directed RNA polymerase II subunit GRINL1 signature', NULL, 'POLR2GRINL1', NULL, NULL, 28275, 9),
(43816, NULL, 'PR00542', NULL, NULL, 'Muscarinic M5 receptor signature', NULL, 'MUSCRINICM5R', NULL, NULL, 6513, 9),
(43817, NULL, 'PR00023', NULL, NULL, 'Zona pellucida sperm-binding protein signature', NULL, 'ZPELLUCIDA', NULL, NULL, 6192, 9),
(43818, NULL, 'PR01167', NULL, NULL, 'Insect alcohol dehydrogenase family signature', NULL, 'INSADHFAMILY', NULL, NULL, NULL, 9),
(43819, NULL, 'PR00549', NULL, NULL, 'Hyperglycemic hormone type 2 signature', NULL, 'HYPRGLYCEMC2', NULL, NULL, 2303, 9),
(43820, NULL, 'PR00586', NULL, NULL, 'Prostanoid EP4 receptor signature', NULL, 'PRSTNOIDEP4R', NULL, NULL, 5241, 9),
(43821, NULL, 'PR01529', NULL, NULL, 'C-C chemokine receptor type 6 signature', NULL, 'CHEMOKINER6', NULL, NULL, 1757, 9),
(43822, NULL, 'PR00807', NULL, NULL, 'Pollen allergen Amb family signature', NULL, 'AMBALLERGEN', NULL, NULL, 13675, 9),
(43823, NULL, 'PR01695', NULL, NULL, 'Ig-hepta receptor signature', NULL, 'IGHEPTARCPTR', NULL, NULL, 6062, 9),
(43824, NULL, 'PR02073', NULL, NULL, 'Folliculin-interacting protein 1 signature', NULL, 'FOLLICULNIP1', NULL, NULL, 23950, 9),
(43825, NULL, 'PR00653', NULL, NULL, 'Activin type II receptor signature', NULL, 'ACTIVIN2R', NULL, NULL, 4515, 9),
(43826, NULL, 'PR01060', NULL, NULL, 'C3A-anaphylatoxin receptor signature', NULL, 'C3ANPHYLTXNR', NULL, NULL, 3847, 9),
(43827, NULL, 'PR00130', NULL, NULL, 'DNase I signature', NULL, 'DNASEI', NULL, NULL, 12482, 9),
(43828, NULL, 'PR00953', NULL, NULL, 'Type III secretion system inner membrane R protein family signature', NULL, 'TYPE3IMRPROT', NULL, NULL, 5173, 9),
(43829, NULL, 'PR00971', NULL, NULL, 'Ribosomal protein S10 family signature', NULL, 'RIBOSOMALS10', NULL, NULL, 4233, 9),
(43830, NULL, 'PR01554', NULL, NULL, 'Escherichia coli P pili regulatory PapB protein signature', NULL, 'FIMREGULATRY', NULL, NULL, 5966, 9),
(43831, NULL, 'PR01675', NULL, NULL, 'Glycine receptor alpha 2 subunit signature', NULL, 'GLYRALPHA2', NULL, NULL, 6204, 9),
(43832, NULL, 'PR00321', NULL, NULL, 'Gamma G protein (transducin) signature', NULL, 'GPROTEING', NULL, NULL, 5414, 9),
(43833, NULL, 'PR00789', NULL, NULL, 'O-sialoglycoprotein endopeptidase (M22) metallo-protease family signature', NULL, 'OSIALOPTASE', NULL, NULL, 18514, 9),
(43834, NULL, 'PR01253', NULL, NULL, 'Amphiphysin isoform 2 signature', NULL, 'AMPHIPHYSIN2', NULL, NULL, 234, 9),
(43835, NULL, 'PR01339', NULL, NULL, 'Type III secretion system outer membrane O protein family signature', NULL, 'TYPE3OMOPROT', NULL, NULL, 3294, 9),
(43836, NULL, 'PR00172', NULL, NULL, 'Mammalian facilitated glucose transporter family signature', NULL, 'GLUCTRNSPORT', NULL, NULL, NULL, 9),
(43837, NULL, 'PR01784', NULL, NULL, 'Melanin-concentrating hormone 2 receptor signature', NULL, 'MCH2RECEPTOR', NULL, NULL, 7808, 9),
(43838, NULL, 'PR01200', NULL, NULL, 'Taurine transporter signature', NULL, 'TAUTRANSPORT', NULL, NULL, 7067, 9);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43839, NULL, 'PR00652', NULL, NULL, '5-hydroxytryptamine 7 receptor signature', NULL, '5HT7RECEPTR', NULL, NULL, 2396, 9),
(43840, NULL, 'PR00273', NULL, NULL, 'Galanin signature', NULL, 'GALANIN', NULL, NULL, 7338, 9),
(43841, NULL, 'PR00913', NULL, NULL, 'Luteovirus ORF2 putative replicase 1 signature', NULL, 'LVIRUSORF2', NULL, NULL, 15676, 9),
(43842, NULL, 'PR01386', NULL, NULL, 'Cytochrome c-type biogenesis protein CcmC signature', NULL, 'CCMCBIOGNSIS', NULL, NULL, 345, 9),
(43843, NULL, 'PR00014', NULL, NULL, 'Fibronectin type III repeat signature', NULL, 'FNTYPEIII', NULL, NULL, NULL, 9),
(43844, NULL, 'PR00869', NULL, NULL, 'DNA-polymerase family X signature', NULL, 'DNAPOLX', NULL, NULL, 15749, 9),
(43845, NULL, 'PR01959', NULL, NULL, 'SuhB family inositol monophosphatase signature', NULL, 'SBIMPHPHTASE', NULL, NULL, 15826, 9),
(43846, NULL, 'PR00096', NULL, NULL, 'Glutamine amidotransferase superfamily signature', NULL, 'GATASE', NULL, NULL, NULL, 9),
(43847, NULL, 'PR00338', NULL, NULL, 'Transcription termination factor NUSG signature', NULL, 'NUSGTNSCPFCT', NULL, NULL, 1104, 9),
(43848, NULL, 'PR00928', NULL, NULL, 'Graves disease carrier protein signature', NULL, 'GRAVESDC', NULL, NULL, 298, 9),
(43849, NULL, 'PR01070', NULL, NULL, 'Acetyl-CoA carboxylase carboxyl transferase beta subunit signature', NULL, 'ACCCTRFRASEB', NULL, NULL, 5573, 9),
(43850, NULL, 'PR01020', NULL, NULL, 'Lipopolysaccharide core biosynthesis protein signature', NULL, 'LPSBIOSNTHSS', NULL, NULL, 4331, 9),
(43851, NULL, 'PR01790', NULL, NULL, 'Senescence marker protein-30 (SMP30) family signature', NULL, 'SMP30FAMILY', NULL, NULL, 1077, 9),
(43852, NULL, 'PR00900', NULL, NULL, 'Pheromone A receptor signature', NULL, 'PHEROMONEAR', NULL, NULL, 5993, 9),
(43853, NULL, 'PR01874', NULL, NULL, 'DNA repair protein radA signature', NULL, 'DNAREPAIRADA', NULL, NULL, NULL, 9),
(43854, NULL, 'PR00113', NULL, NULL, 'Alkaline phosphatase signature', NULL, 'ALKPHPHTASE', NULL, NULL, 2244, 9),
(43855, NULL, 'PR01330', NULL, NULL, 'Kir3.4 inward rectifier K+ channel signature', NULL, 'KIR34CHANNEL', NULL, NULL, 3111, 9),
(43856, NULL, 'PR00517', NULL, NULL, '5-hydroxytryptamine 2C receptor signature', NULL, '5HT2CRECEPTR', NULL, NULL, 6506, 9),
(43857, NULL, 'PR00779', NULL, NULL, 'Inositol 1,4,5-trisphosphate-binding protein receptor signature', NULL, 'INSP3RECEPTR', NULL, NULL, 5933, 9),
(43858, NULL, 'PR00296', NULL, NULL, 'Cyclin-dependent kinase regulatory subunit signature', NULL, 'CYCLINKINASE', NULL, NULL, 4800, 9),
(43859, NULL, 'PR00006', NULL, NULL, 'Cofilin/destrin family signature', NULL, 'COFILIN', NULL, NULL, 8458, 9),
(43860, NULL, 'PR01224', NULL, NULL, 'Delta-tubulin signature', NULL, 'DELTATUBULIN', NULL, NULL, 5136, 9),
(43861, NULL, 'PR01684', NULL, NULL, 'CYP2A P450 family signature', NULL, 'EP450ICYP2A', NULL, NULL, 5333, 9),
(43862, NULL, 'PR01334', NULL, NULL, 'Chlamydia major outer membrane protein signature', NULL, 'CHLAMIDIAOMP', NULL, NULL, 5830, 9),
(43863, NULL, 'PR00510', NULL, NULL, 'Nebulin signature', NULL, 'NEBULIN', NULL, NULL, 13270, 9),
(43864, NULL, 'PR01978', NULL, NULL, 'Insulin-like growth factor-binding protein 2 signature', NULL, 'IGFBPFAMILY2', NULL, NULL, 14305, 9),
(43865, NULL, 'PR00950', NULL, NULL, 'Type III secretion system inner membrane S protein family signature', NULL, 'TYPE3IMSPROT', NULL, NULL, 10149, 9),
(43866, NULL, 'PR00677', NULL, NULL, 'Phosducin signature', NULL, 'PHOSDUCIN', NULL, NULL, 1348, 9),
(43867, NULL, 'PR01235', NULL, NULL, 'Tumour necrosis factor alpha (cachectin) signature', NULL, 'TNFALPHA', NULL, NULL, 7058, 9),
(43868, NULL, 'PR01526', NULL, NULL, 'EDG-6 sphingosine 1-phosphate receptor signature', NULL, 'EDG6RECEPTOR', NULL, NULL, 749, 9),
(43869, NULL, 'PR00980', NULL, NULL, 'Alanyl-tRNA synthetase signature', NULL, 'TRNASYNTHALA', NULL, NULL, 6140, 9),
(43870, NULL, 'PR01552', NULL, NULL, 'DNA topoisomerase VI subunit A (TOP6A) signature', NULL, 'TPISMRASE6A', NULL, NULL, 1716, 9),
(43871, NULL, 'PR01189', NULL, NULL, 'Anion exchanger isoform 3 signature', NULL, 'ANIONEXHNGR3', NULL, NULL, 7091, 9);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43872, NULL, 'PR01732', NULL, NULL, 'Neisseria meningitidis adhesin MafB signature', NULL, 'ADHESINMAFB', NULL, NULL, 6474, 9),
(43873, NULL, 'PR02048', NULL, NULL, 'Protein family FAM25 signature', NULL, 'PROTEINF25', NULL, NULL, 15510, 9),
(43874, NULL, 'PR01216', NULL, NULL, 'Adhesive plaque protein signature', NULL, 'ADHESIVEI', NULL, NULL, 897, 9),
(43875, NULL, 'PR01889', NULL, NULL, 'Neuropeptide B precursor signature', NULL, 'PPNRPEPTIDEB', NULL, NULL, 8670, 9),
(43876, NULL, 'PR01407', NULL, NULL, 'Butyrophylin C-terminal DUF signature', NULL, 'BUTYPHLNCDUF', NULL, NULL, 4217, 9),
(43877, NULL, 'PR01759', NULL, NULL, 'Capsule biosynthesis protein CapC signature', NULL, 'CAPSULEPROTC', NULL, NULL, 7656, 9),
(43878, NULL, 'PR00570', NULL, NULL, 'Endothelin-A receptor signature', NULL, 'ENDOTHELINAR', NULL, NULL, 5264, 9),
(43879, NULL, 'PR00366', NULL, NULL, 'Endothelin receptor signature', NULL, 'ENDOTHELINR', NULL, NULL, 6749, 9),
(43880, NULL, 'PR01727', NULL, NULL, 'Prokaryotic integration host factor signature', NULL, 'DNABINDINGHU', NULL, NULL, 1992, 9),
(43881, NULL, 'PR00882', NULL, NULL, 'Ribosomal protein L7A family signature', NULL, 'RIBOSOMALL7A', NULL, NULL, 4325, 9),
(43882, NULL, 'PR01338', NULL, NULL, 'Type III secretion system outer membrane K protein family signature', NULL, 'TYPE3OMKPROT', NULL, NULL, 3370, 9),
(43883, NULL, 'PR01352', NULL, NULL, 'Growth hormone-releasing hormone receptor signature', NULL, 'GHRHRECEPTOR', NULL, NULL, 3037, 9),
(43884, NULL, 'PR01438', NULL, NULL, 'Universal stress protein signature', NULL, 'UNVRSLSTRESS', NULL, NULL, 1293, 9),
(43885, NULL, 'PR01702', NULL, NULL, 'CD40 ligand/CD154 antigen signature', NULL, 'CD40LIGAND', NULL, NULL, 2567, 9),
(43886, NULL, 'PR01812', NULL, NULL, 'Annexin type XXXI signature', NULL, 'ANNEXINXXXI', NULL, NULL, 10992, 9),
(43887, NULL, 'PR00614', NULL, NULL, 'Ni-Fe hydrogenase small subunit signature', NULL, 'NIHGNASESMLL', NULL, NULL, NULL, 9),
(43888, NULL, 'PR01192', NULL, NULL, 'Glucose transporter type 3 (GLUT3) signature', NULL, 'GLUCTRSPORT3', NULL, NULL, 6532, 9),
(43889, NULL, 'PR02056', NULL, NULL, 'Protein family FAM105A signature', NULL, 'PROTEINF105A', NULL, NULL, 15740, 9),
(43890, NULL, 'PR00392', NULL, NULL, 'Profilin signature', NULL, 'PROFILIN', NULL, NULL, 769, 9),
(43891, NULL, 'PR00769', NULL, NULL, 'Diphtheria toxin signature', NULL, 'DPTHRIATOXIN', NULL, NULL, 4408, 9),
(43892, NULL, 'PR00254', NULL, NULL, 'Nicotinic acetylcholine receptor signature', NULL, 'NICOTINICR', NULL, NULL, 6138, 9),
(43893, NULL, 'PR00482', NULL, NULL, 'Omptin serine protease signature', NULL, 'OMPTIN', NULL, NULL, 2667, 9),
(43894, NULL, 'PR00978', NULL, NULL, 'Steroidogenic acute regulatory protein signature', NULL, 'STARPROTEIN', NULL, NULL, 5120, 9),
(43895, NULL, 'PR00067', NULL, NULL, 'Catalase signature', NULL, 'CATALASE', NULL, NULL, 16963, 9),
(43896, NULL, 'PR00122', NULL, NULL, 'Vacuolar ATP synthase 16kDa subunit signature', NULL, 'VACATPASE', NULL, NULL, 4418, 9),
(43897, NULL, 'PR01250', NULL, NULL, 'Ribosomal protein L34 signature', NULL, 'RIBOSOMALL34', NULL, NULL, 7031, 9),
(43898, NULL, 'PR01855', NULL, NULL, 'Neuropeptide W receptor family signature', NULL, 'NRPEPTIDEWR', NULL, NULL, 10936, 9),
(43899, NULL, 'PR01422', NULL, NULL, 'GPR56 orphan receptor signature', NULL, 'GPR56ORPHANR', NULL, NULL, 6369, 9),
(43900, NULL, 'PR01768', NULL, NULL, 'Vanilloid receptor (TRPV) family signature', NULL, 'TRPVRECEPTOR', NULL, NULL, 7677, 9),
(43901, NULL, 'PR00427', NULL, NULL, 'Interleukin-8 receptor signature', NULL, 'INTRLEUKIN8R', NULL, NULL, 3907, 9),
(43902, NULL, 'PR00110', NULL, NULL, 'Alpha-amylase signature', NULL, 'ALPHAAMYLASE', NULL, NULL, 2693, 9),
(43903, NULL, 'PR01349', NULL, NULL, 'Wnt protein signature', NULL, 'WNTPROTEIN', NULL, NULL, 5666, 9),
(43904, NULL, 'PR01273', NULL, NULL, 'Invertebrate colouration protein signature', NULL, 'INVTBRTCOLOR', NULL, NULL, 6527, 9),
(43905, NULL, 'PR00374', NULL, NULL, 'High potential iron sulphur protein signature', NULL, 'HIPIPFRDOXIN', NULL, NULL, NULL, 9);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43906, NULL, 'PR00672', NULL, NULL, 'Inhibin beta C chain signature', NULL, 'INHIBINBC', NULL, NULL, 376, 9),
(43907, NULL, 'PR01704', NULL, NULL, 'Fungal allergen ribonucleotoxin signature', NULL, 'FUNRIBOTOXIN', NULL, NULL, 569, 9),
(43908, NULL, 'PR00565', NULL, NULL, 'Dopamine 1A receptor signature', NULL, 'DOPAMINED1AR', NULL, NULL, 6328, 9),
(43909, NULL, 'PR00053', NULL, NULL, 'Fork head domain signature', NULL, 'FORKHEAD', NULL, NULL, 3386, 9),
(43910, NULL, 'PR02019', NULL, NULL, 'Aquaporin-7 signature', NULL, 'AQUAPORIN7', NULL, NULL, NULL, 9),
(43911, NULL, 'PR00783', NULL, NULL, 'Major intrinsic protein family signature', NULL, 'MINTRINSICP', NULL, NULL, 4814, 9),
(43912, NULL, 'PR00093', NULL, NULL, 'Uricase signature', NULL, 'URICASE', NULL, NULL, 1428, 9),
(43913, NULL, 'PR00350', NULL, NULL, 'Vitamin D receptor signature', NULL, 'VITAMINDR', NULL, NULL, 779, 9),
(43914, NULL, 'PR00463', NULL, NULL, 'E-class P450 group I signature', NULL, 'EP450I', NULL, NULL, 6060, 9),
(43915, NULL, 'PR00576', NULL, NULL, 'Opsin RH1/RH2 signature', NULL, 'OPSINRH1RH2', NULL, NULL, 3434, 9),
(43916, NULL, 'PR01530', NULL, NULL, 'C-C chemokine receptor type 8 signature', NULL, 'CHEMOKINER8', NULL, NULL, 1651, 9),
(43917, NULL, 'PR00091', NULL, NULL, 'Nitrogenase component II signature', NULL, 'NITROGNASEII', NULL, NULL, NULL, 9),
(43918, NULL, 'PR01218', NULL, NULL, 'Pistil-specific extensin-like signature', NULL, 'PSTLEXTENSIN', NULL, NULL, 6374, 9),
(43919, NULL, 'PR01276', NULL, NULL, 'Type II keratin signature', NULL, 'TYPE2KERATIN', NULL, NULL, 6715, 9),
(43920, NULL, 'PR01861', NULL, NULL, 'ADAM-TS8 protein signature', NULL, 'ADAMTS8', NULL, NULL, 8673, 9),
(43921, NULL, 'PR00949', NULL, NULL, 'Type III secretion system inner membrane A protein family signature', NULL, 'TYPE3IMAPROT', NULL, NULL, 3025, 9),
(43922, NULL, 'PR01457', NULL, NULL, 'Lens fibre membrane intrinsic protein (LMIP) signature', NULL, 'LENSMEMPROT', NULL, NULL, 7486, 9),
(43923, NULL, 'PR01950', NULL, NULL, 'LanC-like protein superfamily signature', NULL, 'LANCSUPER', NULL, NULL, 2409, 9),
(43924, NULL, 'PR01246', NULL, NULL, 'Rad1 repair protein signature', NULL, 'RAD1REPAIR', NULL, NULL, 7342, 9),
(43925, NULL, 'PR01588', NULL, NULL, 'THIK K+ channel signature', NULL, 'THIKCHANNEL', NULL, NULL, 7224, 9),
(43926, NULL, 'PR00746', NULL, NULL, 'Glycosyl hydrolase family 41 signature', NULL, 'GLHYDRLASE41', NULL, NULL, 2586, 9),
(43927, NULL, 'PR01986', NULL, NULL, 'Neurogenic locus Notch protein 3 signature', NULL, 'NOTCH3', NULL, NULL, 15513, 9),
(43928, NULL, 'PR00075', NULL, NULL, 'Fatty acid desaturase family 1 signature', NULL, 'FACDDSATRASE', NULL, NULL, 7319, 9),
(43929, NULL, 'PR01459', NULL, NULL, 'KCNQ voltage-gated potassium channel family signature', NULL, 'KCNQCHANNEL', NULL, NULL, 7365, 9),
(43930, NULL, 'PR00309', NULL, NULL, 'Arrestin signature', NULL, 'ARRESTIN', NULL, NULL, 3648, 9),
(43931, NULL, 'PR01206', NULL, NULL, 'Orphan neurotransmitter transporter signature', NULL, 'ORPHTRNSPORT', NULL, NULL, 7336, 9),
(43932, NULL, 'PR00079', NULL, NULL, 'Glucose-6-phosphate dehydrogenase signature', NULL, 'G6PDHDRGNASE', NULL, NULL, 2233, 9),
(43933, NULL, 'PR01281', NULL, NULL, 'Corticotropin releasing factor type 2 receptor signature', NULL, 'CRFRECEPTOR2', NULL, NULL, 6660, 9),
(43934, NULL, 'PR02065', NULL, NULL, 'Protein DPCD signature', NULL, 'PROTEINDPCD', NULL, NULL, 27753, 9),
(43935, NULL, 'PR00730', NULL, NULL, 'Thermolysin metalloprotease (M4) family signature', NULL, 'THERMOLYSIN', NULL, NULL, 12157, 9),
(43936, NULL, 'PR00478', NULL, NULL, 'Phosphoribulokinase family signature', NULL, 'PHRIBLKINASE', NULL, NULL, 2605, 9),
(43937, NULL, 'PR01158', NULL, NULL, 'Topoisomerase II signature', NULL, 'TOPISMRASEII', NULL, NULL, 1381, 9),
(43938, NULL, 'PR01002', NULL, NULL, 'Flagellar protein FlgJ signature', NULL, 'FLGFLGJ', NULL, NULL, NULL, 9),
(43939, NULL, 'PR00470', NULL, NULL, 'Trypanothione reductase signature', NULL, 'TRYPANRDTASE', NULL, NULL, 4064, 9),
(43940, NULL, 'PR00129', NULL, NULL, 'Cutinase signature', NULL, 'CUTINASE', NULL, NULL, 10423, 9);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43941, NULL, 'PR00241', NULL, NULL, 'Angiotensin II receptor signature', NULL, 'ANGIOTENSINR', NULL, NULL, 4764, 9),
(43942, NULL, 'PR01821', NULL, NULL, 'DAPIT signature', NULL, 'DAPIT', NULL, NULL, 10870, 9),
(43943, NULL, 'PR01654', NULL, NULL, 'Thyrotropin-releasing hormone receptor 2 signature', NULL, 'TRHRECEPTOR2', NULL, NULL, 1060, 9),
(43944, NULL, 'PR00114', NULL, NULL, 'Serine/threonine phosphatase family signature', NULL, 'STPHPHTASE', NULL, NULL, 11017, 9),
(43945, NULL, 'PR00683', NULL, NULL, 'Spectrin pleckstrin homology domain signature', NULL, 'SPECTRINPH', NULL, NULL, 5087, 9),
(43946, NULL, 'PR00770', NULL, NULL, 'Eosinophil major basic protein signature', NULL, 'EMAJORBASICP', NULL, NULL, 6501, 9),
(43947, NULL, 'PR00580', NULL, NULL, 'Prostanoid EP1 receptor signature', NULL, 'PRSTNOIDEP1R', NULL, NULL, 6555, 9),
(43948, NULL, 'PR02003', NULL, NULL, 'Bombyxin signature', NULL, 'BOMBYXIN', NULL, NULL, 20696, 9),
(43949, NULL, 'PR02068', NULL, NULL, 'Vesicular, over-expressed in cancer, pro-survival protein 1 signature', NULL, 'VOPPROTEIN1', NULL, NULL, 27855, 9),
(43950, NULL, 'PR01080', NULL, NULL, 'Hypoxia-inducible factor-1 alpha signature', NULL, 'HYPOXIAIF1A', NULL, NULL, 2010, 9),
(43951, NULL, 'PR00452', NULL, NULL, 'SH3 domain signature', NULL, 'SH3DOMAIN', NULL, NULL, 6360, 9),
(43952, NULL, 'PR01406', NULL, NULL, 'B-box zinc finger signature', NULL, 'BBOXZNFINGER', NULL, NULL, 19561, 9),
(43953, NULL, 'PR01988', NULL, NULL, 'Putative bacilysin exporter bacE signature', NULL, 'EXPORTERBACE', NULL, NULL, 15752, 9),
(43954, NULL, 'PR00633', NULL, NULL, 'Chromosome condensation regulator RCC1 signature', NULL, 'RCCNDNSATION', NULL, NULL, 6885, 9),
(43955, NULL, 'PR00294', NULL, NULL, 'Streptomyces subtilisin inhibitor signature', NULL, 'SSBTLNINHBTR', NULL, NULL, 3813, 9),
(43956, NULL, 'PR01345', NULL, NULL, 'C.elegans hypothetical protein (pol-like reverse transciptase) signature', NULL, 'CERVTRCPTASE', NULL, NULL, NULL, 9),
(43957, NULL, 'PR00491', NULL, NULL, 'Vasoactive intestinal peptide receptor signature', NULL, 'VASOACTVEIPR', NULL, NULL, 3316, 9),
(43958, NULL, 'PR01964', NULL, NULL, 'Tumour necrosis factor receptor 13C signature', NULL, 'TNFACTORR13C', NULL, NULL, 15877, 9),
(43959, NULL, 'PR01007', NULL, NULL, 'Flagellar hook-length control protein signature', NULL, 'FLGHOOKFLIK', NULL, NULL, 3414, 9),
(43960, NULL, 'PR01056', NULL, NULL, 'Metabotropic glutamate receptor 6 signature', NULL, 'MTABOTROPC6R', NULL, NULL, 3982, 9),
(43961, NULL, 'PR01818', NULL, NULL, 'Desmosomal cadherin signature', NULL, 'DESMOCADHERN', NULL, NULL, 10950, 9),
(43962, NULL, 'PR01613', NULL, NULL, 'Escherichia coli P pili tip fibrillum PapF protein signature', NULL, 'FIMBRIALPAPF', NULL, NULL, 343, 9),
(43963, NULL, 'PR01619', NULL, NULL, 'Gamma-aminobutyric-acid A receptor alpha 6 subunit signature', NULL, 'GABAARALPHA6', NULL, NULL, 355, 9),
(43964, NULL, 'PR00932', NULL, NULL, 'Aminopeptidase I zinc metalloprotease (M18) signature', NULL, 'AMINO1PTASE', NULL, NULL, 4475, 9),
(43965, NULL, 'PR00777', NULL, NULL, 'Hirudin signature', NULL, 'HIRUDIN', NULL, NULL, 6682, 9),
(43966, NULL, 'PR01369', NULL, NULL, 'Intimin signature', NULL, 'INTIMIN', NULL, NULL, 7239, 9),
(43967, NULL, 'PR01646', NULL, NULL, 'Transient receptor potential channel 5 signature', NULL, 'TRPCHANNEL5', NULL, NULL, 601, 9),
(43968, NULL, 'PR01375', NULL, NULL, 'Salmonella/Shigella invasin protein B signature', NULL, 'BACINVASINB', NULL, NULL, 7146, 9),
(43969, NULL, 'PR01298', NULL, NULL, 'Colicin E1 (microcin) immunity protein signature', NULL, 'MICROCIN', NULL, NULL, 6875, 9),
(43970, NULL, 'PR00902', NULL, NULL, 'VP6 blue-tongue virus inner capsid protein signature', NULL, 'VP6CAPSID', NULL, NULL, 7156, 9),
(43971, NULL, 'PR00987', NULL, NULL, 'Glutamyl-tRNA synthetase signature', NULL, 'TRNASYNTHGLU', NULL, NULL, 224, 9),
(43972, NULL, 'PR01243', NULL, NULL, 'Nucleoside diphosphate kinase signature', NULL, 'NUCDPKINASE', NULL, NULL, 3442, 9),
(43973, NULL, 'PR01161', NULL, NULL, 'Tubulin signature', NULL, 'TUBULIN', NULL, NULL, 1812, 9);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(43974, NULL, 'PR01370', NULL, NULL, 'Translocated intimin receptor (Tir) signature', NULL, 'TRNSINTIMINR', NULL, NULL, 16903, 9),
(43975, NULL, 'PR00528', NULL, NULL, 'Glucocorticoid receptor (3C nuclear receptor) signature', NULL, 'GLCORTICOIDR', NULL, NULL, 3137, 9),
(43976, NULL, 'PR01828', NULL, NULL, 'Neurokinin B precursor signature', NULL, 'NEUROKININB', NULL, NULL, 1276, 9),
(43977, NULL, 'PR00812', NULL, NULL, 'Bacterial general secretion pathway protein F signature', NULL, 'BCTERIALGSPF', NULL, NULL, 7393, 9),
(43978, NULL, 'PR01408', NULL, NULL, 'Macrophage scavenger receptor signature', NULL, 'MACSCAVRCPTR', NULL, NULL, 7435, 9),
(43979, NULL, 'PR00650', NULL, NULL, 'GPR12 orphan receptor signature', NULL, 'GPR12ORPHANR', NULL, NULL, 5608, 9),
(43980, NULL, 'PR02047', NULL, NULL, 'Brefeldin A-sensitivity protein 4 signature', NULL, 'BREFELDNASP4', NULL, NULL, 15936, 9),
(43981, NULL, 'PR01282', NULL, NULL, 'COUP transcription factor (2F nuclear receptor) family signature', NULL, 'COUPTNFACTOR', NULL, NULL, NULL, 9),
(43982, NULL, 'PR01678', NULL, NULL, 'Kir5 inward rectifier K+ channel signature', NULL, 'KIR5CHANNEL', NULL, NULL, 5347, 9),
(43983, NULL, 'PR01052', NULL, NULL, 'Metabotropic glutamate receptor 2 signature', NULL, 'MTABOTROPC2R', NULL, NULL, 6164, 9),
(43984, NULL, 'PR01210', NULL, NULL, 'Gamma-glutamyltranspeptidase signature', NULL, 'GGTRANSPTASE', NULL, NULL, NULL, 9),
(43985, NULL, 'PR01513', NULL, NULL, 'Kv1.6 voltage-gated K+ channel signature', NULL, 'KV16CHANNEL', NULL, NULL, 714, 9),
(43986, NULL, 'PR01762', NULL, NULL, 'Dishevelled-2 protein signature', NULL, 'DISHEVELLED2', NULL, NULL, 7924, 9),
(43987, NULL, 'PR00740', NULL, NULL, 'Glycosyl hydrolase family 27 signature', NULL, 'GLHYDRLASE27', NULL, NULL, 6188, 9),
(43988, NULL, 'PR00574', NULL, NULL, 'Blue-sensitive opsin signature', NULL, 'OPSINBLUE', NULL, NULL, 3439, 9),
(43989, NULL, 'PR02012', NULL, NULL, 'RNA (C5-cytosine) methyltransferase NOP2 subfamily signature', NULL, 'RCMTNOP2', NULL, NULL, 2217, 9),
(43990, NULL, 'PR00438', NULL, NULL, 'Growth factor cystine knot domain signature', NULL, 'GFCYSKNOT', NULL, NULL, NULL, 9),
(43991, NULL, 'PR01078', NULL, NULL, 'Amiloride-sensitive sodium channel alpha-subunit signature', NULL, 'AMINACHANNEL', NULL, NULL, 4224, 9),
(43992, NULL, 'PR01939', NULL, NULL, 'Neurotrophic tyrosine kinase receptor family signature', NULL, 'NTKRECEPTOR', NULL, NULL, 20824, 9),
(43993, NULL, 'PR00551', NULL, NULL, '2-S globulin family signature', NULL, '2SGLOBULIN', NULL, NULL, 3597, 9),
(43994, NULL, 'PR00547', NULL, NULL, 'X opioid receptor signature', NULL, 'XOPIOIDR', NULL, NULL, 6890, 9),
(43995, NULL, 'PR02084', NULL, NULL, 'Golgi membrane protein 1/Cancer susceptibility candidate gene 4 signature', NULL, 'GOLM1CASC4', NULL, NULL, 24427, 9),
(43996, NULL, 'PR02081', NULL, NULL, 'Protein GIGANTEA signature', NULL, 'GIGANTEA', NULL, NULL, 28277, 9),
(43997, NULL, 'PR00260', NULL, NULL, 'Bacterial chemotaxis sensory transducer signature', NULL, 'CHEMTRNSDUCR', NULL, NULL, 1627, 9),
(43998, NULL, 'PR00290', NULL, NULL, 'Kazal-type serine protease inhibitor signature', NULL, 'KAZALINHBTR', NULL, NULL, 2218, 9),
(43999, NULL, 'PR01794', NULL, NULL, 'Voltage-dependent calcium channel gamma-6 subunit signature', NULL, 'VDCCGAMMA6', NULL, NULL, 7604, 9),
(44000, NULL, 'PR02111', NULL, NULL, 'Mas-related G protein-coupled receptor E signature', NULL, 'MRGPCRE', NULL, NULL, 28750, 9),
(44001, NULL, 'PR00128', NULL, NULL, 'Colipase signature', NULL, 'COLIPASE', NULL, NULL, 2259, 9),
(44002, NULL, 'PR00305', NULL, NULL, '14-3-3 protein zeta signature', NULL, '1433ZETA', NULL, NULL, 943, 9),
(44003, NULL, 'PR01219', NULL, NULL, 'Apolipoprotein D signature', NULL, 'APOLIPOPROTD', NULL, NULL, 870, 9),
(44004, NULL, 'PR01931', NULL, NULL, 'Interleukin-16 signature', NULL, 'INTRLEUKIN16', NULL, NULL, 20405, 9),
(44005, NULL, 'PR00863', NULL, NULL, 'Nodavirus coat precursor endopeptidase (A6) aspartic protease signature', NULL, 'NODAVIRPTASE', NULL, NULL, 6742, 9),
(44006, NULL, 'PR01103', NULL, NULL, 'Adrenergic receptor signature', NULL, 'ADRENERGICR', NULL, NULL, 484, 9);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44007, NULL, 'PR01203', NULL, NULL, 'Serotonin (5-HT) neurotransmitter transporter signature', NULL, '5HTTRANSPORT', NULL, NULL, 7944, 9),
(44008, NULL, 'PR00328', NULL, NULL, 'GTP-binding SAR1 protein signature', NULL, 'SAR1GTPBP', NULL, NULL, 2063, 9),
(44009, NULL, 'PR00592', NULL, NULL, 'Extracellular calcium-sensing receptor signature', NULL, 'CASENSINGR', NULL, NULL, 3692, 9),
(44010, NULL, 'PR01892', NULL, NULL, 'Wnt-8 protein signature', NULL, 'WNT8PROTEIN', NULL, NULL, 8775, 9),
(44011, NULL, 'PR01910', NULL, NULL, 'Atypical dual specificity phosphatase subfamily B signature', NULL, 'ADSPHPHTASEB', NULL, NULL, 19053, 9),
(44012, NULL, 'PR00540', NULL, NULL, 'Muscarinic M3 receptor signature', NULL, 'MUSCRINICM3R', NULL, NULL, 1215, 9),
(44013, NULL, 'PR01519', NULL, NULL, 'Epsilon-tubulin signature', NULL, 'EPSLNTUBULIN', NULL, NULL, 785, 9),
(44014, NULL, 'PR00840', NULL, NULL, 'MG067/MG068/MG395 hypothetical protein family signature', NULL, 'Y06768FAMILY', NULL, NULL, 20760, 9),
(44015, NULL, 'PR00659', NULL, NULL, 'Chromogranin signature', NULL, 'CHROMOGRANIN', NULL, NULL, 4239, 9),
(44016, NULL, 'PR00187', NULL, NULL, 'Arthropod haemocyanin signature', NULL, 'HAEMOCYANIN', NULL, NULL, 12822, 9),
(44017, NULL, 'PR00031', NULL, NULL, 'Lambda-repressor HTH signature', NULL, 'HTHREPRESSR', NULL, NULL, 2679, 9),
(44018, NULL, 'PR00221', NULL, NULL, 'Caulimovirus coat protein signature', NULL, 'CAULIMOCOAT', NULL, NULL, 2232, 9),
(44019, NULL, 'PR00865', NULL, NULL, 'Papillomavirus major capsid protein L1 signature', NULL, 'HPVCAPSIDL1', NULL, NULL, 237, 9),
(44020, NULL, 'PR01638', NULL, NULL, 'MHC class I signature', NULL, 'MHCCLASSI', NULL, NULL, 1036, 9),
(44021, NULL, 'PR01307', NULL, NULL, 'P2X purinoceptor family signature', NULL, 'P2XRECEPTOR', NULL, NULL, 6839, 9),
(44022, NULL, 'PR01637', NULL, NULL, 'Pollen allergen Lol p2 signature', NULL, 'LOLP2ALLERGN', NULL, NULL, 647, 9),
(44023, NULL, 'PR01350', NULL, NULL, 'Calcitonin receptor family signature', NULL, 'CTRFAMILY', NULL, NULL, 3379, 9),
(44024, NULL, 'PR00693', NULL, NULL, 'Granulocyte-macrophage colony-stimulating factor signature', NULL, 'GMCSFACTOR', NULL, NULL, 6706, 9),
(44025, NULL, 'PR01525', NULL, NULL, 'EDG-5 sphingosine 1-phosphate receptor signature', NULL, 'EDG5RECEPTOR', NULL, NULL, 727, 9),
(44026, NULL, 'PR00232', NULL, NULL, 'Potex and carlavirus coat protein signature', NULL, 'POTXCARLCOAT', NULL, NULL, 2634, 9),
(44027, NULL, 'PR01111', NULL, NULL, 'CLC-0 chloride channel signature', NULL, 'CLCHANNEL0', NULL, NULL, 97, 9),
(44028, NULL, 'PR00168', NULL, NULL, 'KCNE voltage-gated K+ channel family E signature', NULL, 'KCNECHANNEL', NULL, NULL, 412, 9),
(44029, NULL, 'PR01928', NULL, NULL, 'Interleukin-12 beta subunit signature', NULL, 'INTRLEUKN12B', NULL, NULL, 8396, 9),
(44030, NULL, 'PR01895', NULL, NULL, 'Wnt-16 protein signature', NULL, 'WNT16PROTEIN', NULL, NULL, 8800, 9),
(44031, NULL, 'PR01324', NULL, NULL, 'Kir2.1 inward rectifier K+ channel signature', NULL, 'KIR21CHANNEL', NULL, NULL, 3418, 9),
(44032, NULL, 'PR01669', NULL, NULL, 'Tapasin signature', NULL, 'TAPASIN', NULL, NULL, 5348, 9),
(44033, NULL, 'PR00666', NULL, NULL, 'Pineal opsin signature', NULL, 'PINOPSIN', NULL, NULL, 282, 9),
(44034, NULL, 'PR01881', NULL, NULL, 'Limb-bud-and-heart protein signature', NULL, 'LBHPROTEIN', NULL, NULL, 8610, 9),
(44035, NULL, 'PR01284', NULL, NULL, 'Orphan nuclear receptor (4A nuclear receptor) family signature', NULL, 'NUCLEARECPTR', NULL, NULL, 752, 9),
(44036, NULL, 'PR00532', NULL, NULL, 'Kappa opioid receptor signature', NULL, 'KAPPAOPIOIDR', NULL, NULL, 6519, 9),
(44037, NULL, 'PR00918', NULL, NULL, 'Calicivirus non-structural polyprotein family signature', NULL, 'CALICVIRUSNS', NULL, NULL, 924, 9),
(44038, NULL, 'PR01086', NULL, NULL, 'Na+/H+ exchanger isoform 2 (NHE2) signature', NULL, 'NAHEXCHNGR2', NULL, NULL, 2006, 9),
(44039, NULL, 'PR01447', NULL, NULL, 'Claudin-16 signature', NULL, 'CLAUDIN16', NULL, NULL, 6092, 9),
(44040, NULL, 'PR00242', NULL, NULL, 'Dopamine receptor signature', NULL, 'DOPAMINER', NULL, NULL, 4022, 9);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44041, NULL, 'PR00376', NULL, NULL, 'Interleukin-1B converting enzyme signature', NULL, 'IL1BCENZYME', NULL, NULL, 7876, 9),
(44042, NULL, 'PR01545', NULL, NULL, 'Thermotoga maritima hypothetical protein TM1410 signature', NULL, 'THEMAYE10DUF', NULL, NULL, 10217, 9),
(44043, NULL, 'PR01742', NULL, NULL, 'Septin 7 signature', NULL, 'SEPTIN7', NULL, NULL, 6407, 9),
(44044, NULL, 'PR01913', NULL, NULL, 'Nerve growth factor beta subunit signature', NULL, 'NGFBETA', NULL, NULL, 20259, 9),
(44045, NULL, 'PR01707', NULL, NULL, 'Rickettsia 56kDa type-specific antigen protein signature', NULL, '56KDTSANTIGN', NULL, NULL, 1655, 9),
(44046, NULL, 'PR01458', NULL, NULL, 'Peripheral myelin protein PMP22 signature', NULL, 'PMYELIN22', NULL, NULL, 7444, 9),
(44047, NULL, 'PR01498', NULL, NULL, 'Shaw voltage-gated K+ channel family signature', NULL, 'SHAWCHANNEL', NULL, NULL, 7456, 9),
(44048, NULL, 'PR01842', NULL, NULL, 'Wnt-2 protein signature', NULL, 'WNT2PROTEIN', NULL, NULL, 10942, 9),
(44049, NULL, 'PR01980', NULL, NULL, 'Insulin-like growth factor-binding protein 4 signature', NULL, 'IGFBPFAMILY4', NULL, NULL, 15914, 9),
(44050, NULL, 'PR01488', NULL, NULL, 'Gram-negative bacterial RTX toxin determinant A family signature', NULL, 'RTXTOXINA', NULL, NULL, 593, 9),
(44051, NULL, 'PR00962', NULL, NULL, 'Lethal(2) giant larvae protein signature', NULL, 'LETHAL2GIANT', NULL, NULL, 5519, 9),
(44052, NULL, 'PR01384', NULL, NULL, 'Claudin-11 signature', NULL, 'CLAUDIN11', NULL, NULL, 6173, 9),
(44053, NULL, 'PR00037', NULL, NULL, 'LacR bacterial regulatory protein HTH signature', NULL, 'HTHLACR', NULL, NULL, 1274, 9),
(44054, NULL, 'PR00539', NULL, NULL, 'Muscarinic M2 receptor signature', NULL, 'MUSCRINICM2R', NULL, NULL, 1224, 9),
(44055, NULL, 'PR00751', NULL, NULL, 'Thyrotrophin-releasing hormone receptor signature', NULL, 'THYROLIBRINR', NULL, NULL, 1060, 9),
(44056, NULL, 'PR00560', NULL, NULL, 'Alpha-2C adrenergic receptor signature', NULL, 'ADRENRGCA2CR', NULL, NULL, 4444, 9),
(44057, NULL, 'PR01870', NULL, NULL, 'T-cell surface CD2 antigen signature', NULL, 'CD2ANTIGEN', NULL, NULL, 18078, 9),
(44058, NULL, 'PR01846', NULL, NULL, 'Thyrotropin-releasing hormone receptor family signature', NULL, 'TRHRFAMILY', NULL, NULL, 1060, 9),
(44059, NULL, 'PR01597', NULL, NULL, 'Zona occludens protein family signature', NULL, 'ZONOCCLUDNS', NULL, NULL, 7396, 9),
(44060, NULL, 'PR01237', NULL, NULL, 'Tumour necrosis factor c (lymphotoxin-beta) signature', NULL, 'TNFC', NULL, NULL, 549, 9),
(44061, NULL, 'PR01106', NULL, NULL, 'C-C chemokine receptor type 1 signature', NULL, 'CHEMOKINER1', NULL, NULL, 192, 9),
(44062, NULL, 'PR00906', NULL, NULL, 'SecA protein signature', NULL, 'SECA', NULL, NULL, 1836, 9),
(44063, NULL, 'PR00508', NULL, NULL, 'S21 class N4 adenine-specific DNA methyltransferase signature', NULL, 'S21N4MTFRASE', NULL, NULL, 5445, 9),
(44064, NULL, 'PR00511', NULL, NULL, 'Tektin signature', NULL, 'TEKTIN', NULL, NULL, 6818, 9),
(44065, NULL, 'PR01400', NULL, NULL, 'Bacterial thiol-activated pore-forming cytolysin signature', NULL, 'TACYTOLYSIN', NULL, NULL, 4063, 9),
(44066, NULL, 'PR00836', NULL, NULL, 'Somatotropin hormone family signature', NULL, 'SOMATOTROPIN', NULL, NULL, 5473, 9),
(44067, NULL, 'PR00687', NULL, NULL, 'Tryptophan RNA-binding attenuator protein signature', NULL, 'TRPRNAAP', NULL, NULL, 4877, 9),
(44068, NULL, 'PR00638', NULL, NULL, 'Type 4 bombesin receptor signature', NULL, 'BOMBESIN4R', NULL, NULL, NULL, 9),
(44069, NULL, 'PR01240', NULL, NULL, 'Filoviridae VP35 signature', NULL, 'FILOVP35', NULL, NULL, 7180, 9),
(44070, NULL, 'PR01319', NULL, NULL, 'Glial cell line-derived neurotrophic factor receptor alpha 3 signature', NULL, 'GDNFRALPHA3', NULL, NULL, 6015, 9),
(44071, NULL, 'PR00343', NULL, NULL, 'Selectin superfamily complement-binding repeat signature', NULL, 'SELECTIN', NULL, NULL, 6826, 9),
(44072, NULL, 'PR02095', NULL, NULL, 'Haem transporter HRG signature', NULL, 'TRNSPORTRHRG', NULL, NULL, 28028, 9),
(44073, NULL, 'PR00451', NULL, NULL, 'Chitin-binding domain signature', NULL, 'CHITINBINDNG', NULL, NULL, 3306, 9);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44074, NULL, 'PR00090', NULL, NULL, 'Ring hydroxylating dioxygenase alpha-subunit signature', NULL, 'RNGDIOXGNASE', NULL, NULL, 3234, 9),
(44075, NULL, 'PR00845', NULL, NULL, 'Glycosyl hydrolase family 52 signature', NULL, 'GLHYDRLASE52', NULL, NULL, 292, 9),
(44076, NULL, 'PR01652', NULL, NULL, 'Bacterial cell shape determinant MreB/Mbl protein signature', NULL, 'SHAPEPROTEIN', NULL, NULL, 5305, 9),
(44077, NULL, 'PR00121', NULL, NULL, 'Sodium/potassium-transporting ATPase signature', NULL, 'NAKATPASE', NULL, NULL, NULL, 9),
(44078, NULL, 'PR00674', NULL, NULL, 'Light harvesting protein B chain signature', NULL, 'LIGHTHARVSTB', NULL, NULL, 6143, 9),
(44079, NULL, 'PR01479', NULL, NULL, 'Neurotensin receptor signature', NULL, 'NEUROTENSINR', NULL, NULL, 7099, 9),
(44080, NULL, 'PR00669', NULL, NULL, 'Inhibin alpha chain signature', NULL, 'INHIBINA', NULL, NULL, NULL, 9),
(44081, NULL, 'PR01335', NULL, NULL, 'Chlamydia cysteine-rich outer membrane protein 3 signature', NULL, 'CHLAMIDIAOM3', NULL, NULL, 6367, 9),
(44082, NULL, 'PR02032', NULL, NULL, 'Dexamethasone-induced protein signature', NULL, 'DEXMETHSNEIP', NULL, NULL, 18865, 9),
(44083, NULL, 'PR01323', NULL, NULL, 'Kir1.3 inward rectifer K+ channel signature', NULL, 'KIR13CHANNEL', NULL, NULL, 3497, 9),
(44084, NULL, 'PR00080', NULL, NULL, 'Short-chain dehydrogenase/reductase (SDR) superfamily signature', NULL, 'SDRFAMILY', NULL, NULL, 6567, 9),
(44085, NULL, 'PR00047', NULL, NULL, 'C4-type steroid receptor zinc finger signature', NULL, 'STROIDFINGER', NULL, NULL, 3308, 9),
(44086, NULL, 'PR01176', NULL, NULL, 'Metabotropic gamma-aminobutyric acid type B receptor signature', NULL, 'GABABRECEPTR', NULL, NULL, NULL, 9),
(44087, NULL, 'PR01441', NULL, NULL, 'Cellulose synthase subunit C signature', NULL, 'CELLSNTHASEC', NULL, NULL, 6314, 9),
(44088, NULL, 'PR01527', NULL, NULL, 'Lysophosphatidic acid receptor family signature', NULL, 'LPARECEPTOR', NULL, NULL, 1926, 9),
(44089, NULL, 'PR00894', NULL, NULL, 'Yeast Mrs6p protein signature', NULL, 'YEASTMRS6P', NULL, NULL, 15558, 9),
(44090, NULL, 'PR01480', NULL, NULL, 'Neurotensin type 1 receptor signature', NULL, 'NEUROTENSN1R', NULL, NULL, 7245, 9),
(44091, NULL, 'PR00054', NULL, NULL, 'Fungal Zn-Cys binuclear cluster signature', NULL, 'FUNGALZNCYS', NULL, NULL, 19685, 9),
(44092, NULL, 'PR01611', NULL, NULL, 'Lysosome membrane protein II (LIMP II) signature', NULL, 'LIMPII', NULL, NULL, 181, 9),
(44093, NULL, 'PR01967', NULL, NULL, 'Tumour necrosis factor receptor 17 signature', NULL, 'TNFACTORR17', NULL, NULL, 15518, 9),
(44094, NULL, 'PR01737', NULL, NULL, 'Porphyromonas gingivalis fimbrillin protein signature', NULL, 'FIMBRILLIN', NULL, NULL, 6285, 9),
(44095, NULL, 'PR01114', NULL, NULL, 'CLC-3 chloride channel signature', NULL, 'CLCHANNEL3', NULL, NULL, 9, 9),
(44096, NULL, 'PR01539', NULL, NULL, 'Interleukin-1 receptor type II precursor signature', NULL, 'INTRLEUKN1R2', NULL, NULL, 1991, 9),
(44097, NULL, 'PR00856', NULL, NULL, 'Prostacyclin (prostanoid IP) receptor signature', NULL, 'PRSTNOIDIPR', NULL, NULL, 4744, 9),
(44098, NULL, 'PR00109', NULL, NULL, 'Tyrosine kinase catalytic domain signature', NULL, 'TYRKINASE', NULL, NULL, 774, 9),
(44099, NULL, 'PR01260', NULL, NULL, 'Na+/Ca2+ exchanger isoform 1 signature', NULL, 'NACAEXCHNGR1', NULL, NULL, 7419, 9),
(44100, NULL, 'PR00780', NULL, NULL, 'Leuserpin 2 signature', NULL, 'LEUSERPINII', NULL, NULL, NULL, 9),
(44101, NULL, 'PR00630', NULL, NULL, 'Monellin A chain signature', NULL, 'MONELLINA', NULL, NULL, 4757, 9),
(44102, NULL, 'PR00147', NULL, NULL, 'DNA photolyase signature', NULL, 'DNAPHOTLYASE', NULL, NULL, 1209, 9),
(44103, NULL, 'PR00041', NULL, NULL, 'cAMP response element binding (CREB) protein signature', NULL, 'LEUZIPPRCREB', NULL, NULL, NULL, 9),
(44104, NULL, 'PR01063', NULL, NULL, 'Melanocortin 5 receptor signature', NULL, 'MELNOCORTN5R', NULL, NULL, 5576, 9),
(44105, NULL, 'PR01005', NULL, NULL, 'Flagellar hook-associated protein signature', NULL, 'FLGHOOKAP1', NULL, NULL, 6837, 9),
(44106, NULL, 'PR00267', NULL, NULL, 'Interferon regulatory factor signature', NULL, 'INTFRNREGFCT', NULL, NULL, 2241, 9);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44107, NULL, 'PR00317', NULL, NULL, 'Ependymin signature', NULL, 'EPENDYMIN', NULL, NULL, 812, 9),
(44108, NULL, 'PR00418', NULL, NULL, 'DNA topoisomerase II family signature', NULL, 'TPI2FAMILY', NULL, NULL, NULL, 9),
(44109, NULL, 'PR01364', NULL, NULL, 'Viral protein D10 signature', NULL, 'VD10PROTEIN', NULL, NULL, 3287, 9),
(44110, NULL, 'PR00956', NULL, NULL, 'Flagellar motor switch protein FliN signature', NULL, 'FLGMOTORFLIN', NULL, NULL, 1009, 9),
(44111, NULL, 'PR00083', NULL, NULL, 'Histidinol dehydrogenase signature', NULL, 'HOLDHDRGNASE', NULL, NULL, 14351, 9),
(44112, NULL, 'PR01418', NULL, NULL, 'Galanin 1 receptor signature', NULL, 'GALANIN1R', NULL, NULL, 6255, 9),
(44113, NULL, 'PR01809', NULL, NULL, 'Annexin type A10 signature', NULL, 'ANNEXINX', NULL, NULL, 10004, 9),
(44114, NULL, 'PR01139', NULL, NULL, 'Gap junction beta-2 protein (Cx26) signature', NULL, 'CONNEXINB2', NULL, NULL, 6620, 9),
(44115, NULL, 'PR00644', NULL, NULL, 'GPR orphan receptor signature', NULL, 'GPRORPHANR', NULL, NULL, 3904, 9),
(44116, NULL, 'PR01935', NULL, NULL, 'Interleukin-20 signature', NULL, 'INTRLEUKIN20', NULL, NULL, 19200, 9),
(44117, NULL, 'PR01465', NULL, NULL, 'ELK potassium channel family signature', NULL, 'ELKCHANNEL', NULL, NULL, 7174, 9),
(44118, NULL, 'PR00375', NULL, NULL, 'Huntingtin signature', NULL, 'HUNTINGTIN', NULL, NULL, 2890, 9),
(44119, NULL, 'PR00434', NULL, NULL, 'Interleukin-6 signature', NULL, 'INTERLEUKIN6', NULL, NULL, NULL, 9),
(44120, NULL, 'PR01062', NULL, NULL, 'Melanocortin 4 receptor signature', NULL, 'MELNOCORTN4R', NULL, NULL, 1647, 9),
(44121, NULL, 'PR00477', NULL, NULL, 'Phosphoglycerate kinase family signature', NULL, 'PHGLYCKINASE', NULL, NULL, 5480, 9),
(44122, NULL, 'PR01501', NULL, NULL, 'Staphylococcal toxic shock syndrome toxin signature', NULL, 'TOXICSSTOXIN', NULL, NULL, 8982, 9),
(44123, NULL, 'PR01916', NULL, NULL, 'Neurotrophin-6 signature', NULL, 'NEUROTROPHN6', NULL, NULL, 20270, 9),
(44124, NULL, 'PR00368', NULL, NULL, 'FAD-dependent pyridine nucleotide reductase signature', NULL, 'FADPNR', NULL, NULL, NULL, 9),
(44125, NULL, 'PR01043', NULL, NULL, 'Glycyl-tRNA synthetase signature', NULL, 'TRNASYNTHGLY', NULL, NULL, 6297, 9),
(44126, NULL, 'PR00303', NULL, NULL, 'Preprotein translocase SecY subunit signature', NULL, 'SECYTRNLCASE', NULL, NULL, NULL, 9),
(44127, NULL, 'PR01655', NULL, NULL, 'UDP-glucose receptor signature', NULL, 'UDPGLUCOSER', NULL, NULL, 525, 9),
(44128, NULL, 'PR00808', NULL, NULL, 'Cereal trypsin/alpha-amylase inhibitor family signature', NULL, 'AMLASEINHBTR', NULL, NULL, 10044, 9),
(44129, NULL, 'PR00972', NULL, NULL, 'Ribosomal protein S12E family signature', NULL, 'RIBSOMALS12E', NULL, NULL, 5572, 9),
(44130, NULL, 'PR00183', NULL, NULL, 'E.coli/Salmonella-type porin signature', NULL, 'ECOLIPORIN', NULL, NULL, 2135, 9),
(44131, NULL, 'PR02072', NULL, NULL, 'Four-jointed box protein 1 signature', NULL, '4JOINTEDBOX1', NULL, NULL, 22774, 9),
(44132, NULL, 'PR00995', NULL, NULL, '36kDa capillovirus serine protease (S35) signature', NULL, 'CAPILLOPTASE', NULL, NULL, 4610, 9),
(44133, NULL, 'PR01698', NULL, NULL, 'Cytoplasmic fragile X mental retardation protein interacting protein signature', NULL, 'CYTOFMRPINTP', NULL, NULL, 6396, 9),
(44134, NULL, 'PR00605', NULL, NULL, 'Class IC cytochrome C signature', NULL, 'CYTCHROMECIC', NULL, NULL, 7233, 9),
(44135, NULL, 'PR02107', NULL, NULL, 'Inositol 1,4,5-trisphosphate receptor-interacting protein signature', NULL, 'INOS145TPRIP', NULL, NULL, 26284, 9),
(44136, NULL, 'PR00201', NULL, NULL, 'Annexin type V signature', NULL, 'ANNEXINV', NULL, NULL, 6028, 9),
(44137, NULL, 'PR01505', NULL, NULL, 'Prothrombin signature', NULL, 'PROTHROMBIN', NULL, NULL, 7206, 9),
(44138, NULL, 'PR01308', NULL, NULL, 'P2X1 purinoceptor signature', NULL, 'P2X1RECEPTOR', NULL, NULL, 6659, 9),
(44139, NULL, 'PR00072', NULL, NULL, 'Malic enzyme signature', NULL, 'MALOXRDTASE', NULL, NULL, 5110, 9),
(44140, NULL, 'PR01042', NULL, NULL, 'Aspartyl-tRNA synthetase signature', NULL, 'TRNASYNTHASP', NULL, NULL, 6536, 9);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44141, NULL, 'PR01175', NULL, NULL, 'Von Ebner''s gland protein signature', NULL, 'VNEBNERGLAND', NULL, NULL, 7414, 9),
(44142, NULL, 'PR01217', NULL, NULL, 'Proline rich extensin signature', NULL, 'PRICHEXTENSN', NULL, NULL, NULL, 9),
(44143, NULL, 'PR01920', NULL, NULL, 'Tumour necrosis factor receptor 3 signature', NULL, 'TNFACTORR3', NULL, NULL, 17751, 9),
(44144, NULL, 'PR00070', NULL, NULL, 'Dihydrofolate reductase signature', NULL, 'DHFR', NULL, NULL, NULL, 9),
(44145, NULL, 'PR02031', NULL, NULL, 'Cysteine/serine-rich nuclear protein (CSRNP) family signature', NULL, 'CYSSERRICHNP', NULL, NULL, 20242, 9),
(44146, NULL, 'PR01800', NULL, NULL, 'Staphylococcus aureus exotoxin signature', NULL, 'STAPHEXOTOXN', NULL, NULL, 7580, 9),
(44147, NULL, 'PR01641', NULL, NULL, 'Pre-pro melanin-concentrating hormone signature', NULL, 'PROMCHFAMILY', NULL, NULL, 575, 9),
(44148, NULL, 'PR01314', NULL, NULL, 'P2X7 purinoceptor signature', NULL, 'P2X7RECEPTOR', NULL, NULL, 695, 9),
(44149, NULL, 'PR00796', NULL, NULL, 'Viral spike glycoprotein precursor signature', NULL, 'SPIKEPROTEIN', NULL, NULL, 2819, 9),
(44150, NULL, 'PR00365', NULL, NULL, 'Endothelin signature', NULL, 'ENDOTHELIN', NULL, NULL, 19675, 9),
(44151, NULL, 'PR01468', NULL, NULL, 'Staphylococcal bi-component toxin signature', NULL, 'BICOMPNTOXIN', NULL, NULL, 7171, 9),
(44152, NULL, 'PR00180', NULL, NULL, 'Cellular retinaldehyde-binding protein signature', NULL, 'CRETINALDHBP', NULL, NULL, NULL, 9),
(44153, NULL, 'PR01068', NULL, NULL, 'P2Y6 purinoceptor signature', NULL, 'P2Y6PRNOCPTR', NULL, NULL, 2474, 9),
(44154, NULL, 'PR01772', NULL, NULL, 'JNK MAP kinase signature', NULL, 'JNKMAPKINASE', NULL, NULL, 7905, 9),
(44155, NULL, 'PR02079', NULL, NULL, 'Probable serine/threonine-protein kinase GDT family signature', NULL, 'STKINASEGDT', NULL, NULL, 26334, 9),
(44156, NULL, 'PR01227', NULL, NULL, 'Salmonella surface presentation of antigen gene type M signature', NULL, 'SSPAMPROTEIN', NULL, NULL, 7137, 9),
(44157, NULL, 'PR00946', NULL, NULL, 'Mercury scavenger protein signature', NULL, 'HGSCAVENGER', NULL, NULL, 3225, 9),
(44158, NULL, 'PR00042', NULL, NULL, 'Fos transforming protein signature', NULL, 'LEUZIPPRFOS', NULL, NULL, 38, 9),
(44159, NULL, 'PR00333', NULL, NULL, 'Herpsevirus integral membrane protein signature', NULL, 'HSVINTEGRLMP', NULL, NULL, 4913, 9),
(44160, NULL, 'PR00602', NULL, NULL, 'Barwin domain signature', NULL, 'BARWIN', NULL, NULL, 1304, 9),
(44161, NULL, 'PR00963', NULL, NULL, 'MARCKS family signature', NULL, 'MARCKS', NULL, NULL, 1389, 9),
(44162, NULL, 'PR00909', NULL, NULL, 'Bacterial periplasmic spermidine/putrescine-binding protein signature', NULL, 'SPERMDNBNDNG', NULL, NULL, 1120, 9),
(44163, NULL, 'PR01147', NULL, NULL, 'GPR4 sphingosylphosphorylcholine and lysophosphatidylcholine receptor signature', NULL, 'GPR4RECEPTOR', NULL, NULL, 6302, 9),
(44164, NULL, 'PR00954', NULL, NULL, 'Flagellar motor switch protein FliG signature', NULL, 'FLGMOTORFLIG', NULL, NULL, 2701, 9),
(44165, NULL, 'PR00178', NULL, NULL, 'Fatty acid-binding protein signature', NULL, 'FATTYACIDBP', NULL, NULL, 5663, 9),
(44166, NULL, 'PR01127', NULL, NULL, 'Diuretic hormone receptor signature', NULL, 'DIUHORMONER', NULL, NULL, 2048, 9),
(44167, NULL, 'PR00534', NULL, NULL, 'Melanocortin receptor family signature', NULL, 'MCRFAMILY', NULL, NULL, 3447, 9),
(44168, NULL, 'PR01257', NULL, NULL, 'Otx2 transcription factor signature', NULL, 'OTX2HOMEOBOX', NULL, NULL, 64, 9),
(44169, NULL, 'PR00461', NULL, NULL, 'Plant peroxidase signature', NULL, 'PLPEROXIDASE', NULL, NULL, 4545, 9),
(44170, NULL, 'PR01763', NULL, NULL, 'Dishevelled-3 protein signature', NULL, 'DISHEVELLED3', NULL, NULL, 7700, 9),
(44171, NULL, 'PR00572', NULL, NULL, 'Interleukin 8A receptor signature', NULL, 'INTRLEUKN8AR', NULL, NULL, 7358, 9),
(44172, NULL, 'PR01258', NULL, NULL, 'Occludin signature', NULL, 'OCCLUDIN', NULL, NULL, 5297, 9),
(44173, NULL, 'PR00269', NULL, NULL, 'Pleiotrophin/midkine family signature', NULL, 'PTNMIDKINE', NULL, NULL, 4020, 9),
(44174, NULL, 'PR01392', NULL, NULL, 'Anthrax toxin LF subunit signature', NULL, 'ANTHRAXTOXNA', NULL, NULL, 7387, 9);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44175, NULL, 'PR00566', NULL, NULL, 'Dopamine 1B receptor signature', NULL, 'DOPAMINED1BR', NULL, NULL, 5818, 9),
(44176, NULL, 'PR00404', NULL, NULL, 'MADS domain signature', NULL, 'MADSDOMAIN', NULL, NULL, 1414, 9),
(44177, NULL, 'PR00507', NULL, NULL, 'N12 class N6 adenine-specific DNA methyltransferase signature', NULL, 'N12N6MTFRASE', NULL, NULL, NULL, 9),
(44178, NULL, 'PR02042', NULL, NULL, 'Cattle cerebrum and skeletal muscle-specific protein 1 signature', NULL, 'CCSMST1', NULL, NULL, 15746, 9),
(44179, NULL, 'PR01044', NULL, NULL, 'Glycyl-tRNA synthetase alpha subunit signature', NULL, 'TRNASYNTHGA', NULL, NULL, 6956, 9),
(44180, NULL, 'PR01636', NULL, NULL, 'Voltage-dependent L-type calcium channel alpha-1D subunit signature', NULL, 'LVDCCALPHA1D', NULL, NULL, 967, 9),
(44181, NULL, 'PR01691', NULL, NULL, 'TRAAK K+ channel signature', NULL, 'TRAAKCHANNEL', NULL, NULL, 6451, 9),
(44182, NULL, 'PR00398', NULL, NULL, 'Steroid hormone receptor signature', NULL, 'STRDHORMONER', NULL, NULL, 5067, 9),
(44183, NULL, 'PR00923', NULL, NULL, 'Lactococcus X-Pro dipeptidyl-peptidase (S15) family signature', NULL, 'LACTOPTASE', NULL, NULL, 1697, 9),
(44184, NULL, 'PR00161', NULL, NULL, 'Nickel-dependent hydrogenase/B-type cytochrome signature', NULL, 'NIHGNASECYTB', NULL, NULL, 6924, 9),
(44185, NULL, 'PR01142', NULL, NULL, 'Gap junction beta-5 protein (Cx30.3) signature', NULL, 'CONNEXINB5', NULL, NULL, 6327, 9),
(44186, NULL, 'PR01209', NULL, NULL, 'Na-K-Cl co-transporter 2 signature', NULL, 'NAKCLTRSPRT2', NULL, NULL, 7297, 9),
(44187, NULL, 'PR01538', NULL, NULL, 'Interleukin-1 receptor type I precursor signature', NULL, 'INTRLEUKN1R1', NULL, NULL, 1571, 9),
(44188, NULL, 'PR00188', NULL, NULL, 'Plant globin signature', NULL, 'PLANTGLOBIN', NULL, NULL, NULL, 9),
(44189, NULL, 'PR00732', NULL, NULL, 'Glycosyl hydrolase family 4 signature', NULL, 'GLHYDRLASE4', NULL, NULL, 2320, 9),
(44190, NULL, 'PR00896', NULL, NULL, 'Vasopressin receptor signature', NULL, 'VASOPRESSINR', NULL, NULL, 4633, 9),
(44191, NULL, 'PR01274', NULL, NULL, 'Metalloprotease inhibitor signature', NULL, 'MPTASEINHBTR', NULL, NULL, 14649, 9),
(44192, NULL, 'PR01041', NULL, NULL, 'Methionyl-tRNA synthetase signature', NULL, 'TRNASYNTHMET', NULL, NULL, 36135, 9),
(44193, NULL, 'PR01071', NULL, NULL, 'Acetyl-CoA biotin carboxyl carrier protein signature', NULL, 'ACOABIOTINCC', NULL, NULL, 2152, 9),
(44194, NULL, 'PR01249', NULL, NULL, 'Ribosomal protein L31 signature', NULL, 'RIBOSOMALL31', NULL, NULL, 5012, 9),
(44195, NULL, 'PR01347', NULL, NULL, 'Ephrin signature', NULL, 'EPHRIN', NULL, NULL, 3101, 9),
(44196, NULL, 'PR01592', NULL, NULL, 'Low calcium response V antigen signature', NULL, 'LCRVANTIGEN', NULL, NULL, 7248, 9),
(44197, NULL, 'PR00323', NULL, NULL, 'Gallidermin signature', NULL, 'GALLIDERMIN', NULL, NULL, 2502, 9),
(44198, NULL, 'PR00554', NULL, NULL, 'Adenosine A2B receptor signature', NULL, 'ADENOSINA2BR', NULL, NULL, 6973, 9),
(44199, NULL, 'PR01774', NULL, NULL, 'Exfoliative toxin signature', NULL, 'EXFOLTOXIN', NULL, NULL, 7920, 9),
(44200, NULL, 'PR00214', NULL, NULL, 'Myelin proteolipid protein (PLP) signature', NULL, 'MYELINPLP', NULL, NULL, 5400, 9),
(44201, NULL, 'PR01234', NULL, NULL, 'Tumour necrosis factor family signature', NULL, 'TNECROSISFCT', NULL, NULL, 2622, 9),
(44202, NULL, 'PR01450', NULL, NULL, 'Calcium-activated BK potassium channel beta subunit signature', NULL, 'BKCHANNELB', NULL, NULL, 6230, 9),
(44203, NULL, 'PR00947', NULL, NULL, 'Insect cuticle protein signature', NULL, 'CUTICLE', NULL, NULL, 5578, 9),
(44204, NULL, 'PR02045', NULL, NULL, 'FAM138 N-terminal domain signature', NULL, 'F138DOMAIN', NULL, NULL, NULL, 9),
(44205, NULL, 'PR00567', NULL, NULL, 'Dopamine D2 receptor signature', NULL, 'DOPAMINED2R', NULL, NULL, 4228, 9),
(44206, NULL, 'PR00608', NULL, NULL, 'Class II cytochrome C signature', NULL, 'CYTCHROMECII', NULL, NULL, 9146, 9),
(44207, NULL, 'PR01186', NULL, NULL, 'Integrin beta subunit signature', NULL, 'INTEGRINB', NULL, NULL, 12907, 9),
(44208, NULL, 'PR00330', NULL, NULL, 'Haemagglutinin HA1 chain signature', NULL, 'HEMAGGLUTN1', NULL, NULL, 1597, 9);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44209, NULL, 'PR00282', NULL, NULL, 'Snake cytotoxin signature', NULL, 'CYTOTOXIN', NULL, NULL, 411, 9),
(44210, NULL, 'PR00948', NULL, NULL, 'Elicitin signature', NULL, 'ELICITIN', NULL, NULL, 210, 9),
(44211, NULL, 'PR00186', NULL, NULL, 'Hemerythrin signature', NULL, 'HEMERYTHRIN', NULL, NULL, 1372, 9),
(44212, NULL, 'PR01679', NULL, NULL, 'Kir7 inward rectifier K+ channel signature', NULL, 'KIR7CHANNEL', NULL, NULL, 5334, 9),
(44213, NULL, 'PR01994', NULL, NULL, 'Antirepressor protein ANT signature', NULL, 'ANTIREPRESSR', NULL, NULL, 21051, 9),
(44214, NULL, 'PR00959', NULL, NULL, 'Mevalonate kinase family signature', NULL, 'MEVGALKINASE', NULL, NULL, NULL, 9),
(44215, NULL, 'PR01751', NULL, NULL, 'Transcription factor AP-2 gamma signature', NULL, 'AP2CTNSCPFCT', NULL, NULL, 6436, 9),
(44216, NULL, 'PR01690', NULL, NULL, 'TASK-5 K+ channel signature', NULL, 'TASK5CHANNEL', NULL, NULL, 6316, 9),
(44217, NULL, 'PR01128', NULL, NULL, 'EMR1 hormone receptor signature', NULL, 'EMR1HORMONER', NULL, NULL, 3401, 9),
(44218, NULL, 'PR01439', NULL, NULL, 'Cellulose synthase subunit A signature', NULL, 'CELLSNTHASEA', NULL, NULL, 6179, 9),
(44219, NULL, 'PR00497', NULL, NULL, 'Neutrophil cytosol factor P40 signature', NULL, 'P40PHOX', NULL, NULL, 3057, 9),
(44220, NULL, 'PR00446', NULL, NULL, 'Hydrogen uptake protein signature', NULL, 'HYDRGNUPTAKE', NULL, NULL, 3737, 9),
(44221, NULL, 'PR02059', NULL, NULL, 'Jagged/Serrate protein family signature', NULL, 'JAGGEDFAMILY', NULL, NULL, 27554, 9),
(44222, NULL, 'PR01630', NULL, NULL, 'L-type voltage-dependent calcium channel alpha-1 subunit signature', NULL, 'LVDCCALPHA1', NULL, NULL, 413, 9),
(44223, NULL, 'PR00493', NULL, NULL, 'Breast cancer type I susceptibility protein signature', NULL, 'BRSTCANCERI', NULL, NULL, 14642, 9),
(44224, NULL, 'PR00975', NULL, NULL, 'Ribosomal protein S19 family signature', NULL, 'RIBOSOMALS19', NULL, NULL, 386, 9),
(44225, NULL, 'PR01968', NULL, NULL, 'Tumour necrosis factor receptor 18 signature', NULL, 'TNFACTORR18', NULL, NULL, 15501, 9),
(44226, NULL, 'PR00175', NULL, NULL, 'Sodium/alanine symporter signature', NULL, 'NAALASMPORT', NULL, NULL, 3210, 9),
(44227, NULL, 'PR00439', NULL, NULL, '11-S seed storage protein family signature', NULL, '11SGLOBULIN', NULL, NULL, 2662, 9),
(44228, NULL, 'PR01410', NULL, NULL, 'Cytochrome c-type biogenesis protein signature', NULL, 'CCBIOGENESIS', NULL, NULL, 171, 9),
(44229, NULL, 'PR00387', NULL, NULL, '3''5''-cyclic nucleotide phosphodiesterase signature', NULL, 'PDIESTERASE1', NULL, NULL, 15787, 9),
(44230, NULL, 'PR00231', NULL, NULL, 'Geminivirus AL3 coat protein signature', NULL, 'GEMCOATAL3', NULL, NULL, 5320, 9),
(44231, NULL, 'PR01906', NULL, NULL, 'Lamprey and hagfish globin signature', NULL, 'FISHGLOBIN', NULL, NULL, 8866, 9),
(44232, NULL, 'PR01520', NULL, NULL, 'Zeta-tubulin signature', NULL, 'ZETATUBULIN', NULL, NULL, 586, 9),
(44233, NULL, 'PR01417', NULL, NULL, 'Growth hormone secretagogue receptor type 1 signature', NULL, 'GHSRECEPTOR', NULL, NULL, 6408, 9),
(44234, NULL, 'PR01863', NULL, NULL, 'Bcl-2 apoptosis regulator protein signature', NULL, 'APOPREGBCL2', NULL, NULL, 8580, 9),
(44235, NULL, 'PR01873', NULL, NULL, 'Cytochrome c oxidase subunit IV signature', NULL, 'CYTCOXIDASE4', NULL, NULL, 8821, 9),
(44236, NULL, 'PR00701', NULL, NULL, '60kDa inner membrane protein signature', NULL, '60KDINNERMP', NULL, NULL, 3134, 9),
(44237, NULL, 'PR00628', NULL, NULL, 'Insulin receptor substrate-1 PTB domain signature', NULL, 'INSULINRSI', NULL, NULL, 6533, 9),
(44238, NULL, 'PR01689', NULL, NULL, 'CYP3A P450 family signature', NULL, 'EP450IICYP3A', NULL, NULL, 6077, 9),
(44239, NULL, 'PR01030', NULL, NULL, 'Proenkephalin B precursor signature', NULL, 'PENKBPRCRSR', NULL, NULL, 5030, 9),
(44240, NULL, 'PR00483', NULL, NULL, 'Bacterial acid phosphatase class A signature', NULL, 'BACPHPHTASE', NULL, NULL, 2269, 9),
(44241, NULL, 'PR01683', NULL, NULL, 'CYP1A P450 family signature', NULL, 'EP450ICYP1A', NULL, NULL, 5203, 9),
(44242, NULL, 'PR00804', NULL, NULL, 'Vitamin D-binding protein signature', NULL, 'VITAMNDBNDNG', NULL, NULL, 1721, 9);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44243, NULL, 'PR00135', NULL, NULL, 'Lysozyme/alpha-lactalbumin superfamily signature', NULL, 'LYZLACT', NULL, NULL, 4354, 9),
(44244, NULL, 'PR00441', NULL, NULL, 'G protein alpha subunit group I signature', NULL, 'GPROTEINAI', NULL, NULL, 7064, 9),
(44245, NULL, 'PR01168', NULL, NULL, 'Insect alcohol dehydrogenase signature', NULL, 'ALCDHDRGNASE', NULL, NULL, 7429, 9),
(44246, NULL, 'PR00206', NULL, NULL, 'Connexin signature', NULL, 'CONNEXIN', NULL, NULL, 6907, 9),
(44247, NULL, 'PR01649', NULL, NULL, 'Psychosine receptor signature', NULL, 'PSYCHOSINER', NULL, NULL, 760, 9),
(44248, NULL, 'PR02060', NULL, NULL, 'Wolframin family signature', NULL, 'WOLFFAMILY', NULL, NULL, 27728, 9),
(44249, NULL, 'PR01289', NULL, NULL, 'Peroxisome proliferator-activated receptor alpha signature', NULL, 'PROXISOMPAAR', NULL, NULL, 783, 9),
(44250, NULL, 'PR02104', NULL, NULL, 'Inheritance of peroxisomes protein 2 signature', NULL, 'INPROXISOME2', NULL, NULL, 28258, 9),
(44251, NULL, 'PR00443', NULL, NULL, 'G protein alpha subunit group S signature', NULL, 'GPROTEINAS', NULL, NULL, 4572, 9),
(44252, NULL, 'PR01357', NULL, NULL, 'Interleukin-1 alpha/beta precursor family signature', NULL, 'INTRLEUKN1AB', NULL, NULL, NULL, 9),
(44253, NULL, 'PR02062', NULL, NULL, '78 kDa centrosomal protein signature', NULL, 'CENTROSOME78', NULL, NULL, 27526, 9),
(44254, NULL, 'PR00503', NULL, NULL, 'Bromodomain signature', NULL, 'BROMODOMAIN', NULL, NULL, 5837, 9),
(44255, NULL, 'PR00378', NULL, NULL, 'Lithium-sensitive myo-inositol monophosphatase family signature', NULL, 'LIIMPHPHTASE', NULL, NULL, 21150, 9),
(44256, NULL, 'PR00922', NULL, NULL, 'D-Ala-D-Ala carboxypeptidase 3 (S13) family signature', NULL, 'DADACBPTASE3', NULL, NULL, 6681, 9),
(44257, NULL, 'PR01104', NULL, NULL, 'Anaphylatoxin chemotactic receptor signature', NULL, 'ANPHYLATOXNR', NULL, NULL, 6088, 9),
(44258, NULL, 'PR00606', NULL, NULL, 'Class ID cytochrome C signature', NULL, 'CYTCHROMECID', NULL, NULL, 6030, 9),
(44259, NULL, 'PR00842', NULL, NULL, 'Plant beta-amylase signature', NULL, 'GLHYDLASE14B', NULL, NULL, 136, 9),
(44260, NULL, 'PR00313', NULL, NULL, 'NodO calcium binding signature', NULL, 'CABNDNGRPT', NULL, NULL, NULL, 9),
(44261, NULL, 'PR00458', NULL, NULL, 'Haem peroxidase superfamily signature', NULL, 'PEROXIDASE', NULL, NULL, 2319, 9),
(44262, NULL, 'PR00512', NULL, NULL, '5-hydroxytryptamine 1A receptor signature', NULL, '5HT1ARECEPTR', NULL, NULL, 5674, 9),
(44263, NULL, 'PR01599', NULL, NULL, 'Zona occludens protein ZO-2 signature', NULL, 'ZONOCCLUDNS2', NULL, NULL, 7399, 9),
(44264, NULL, 'PR01006', NULL, NULL, 'Flagellar hook-basal body complex protein FliE signature', NULL, 'FLGHOOKFLIE', NULL, NULL, 3236, 9),
(44265, NULL, 'PR00775', NULL, NULL, '90kDa heat shock protein signature', NULL, 'HEATSHOCK90', NULL, NULL, 19295, 9),
(44266, NULL, 'PR01837', NULL, NULL, 'MgtC/SapB protein signature', NULL, 'MGTCSAPBPROT', NULL, NULL, 4593, 9),
(44267, NULL, 'PR00506', NULL, NULL, 'D21 class N6 adenine-specific DNA methyltransferase signature', NULL, 'D21N6MTFRASE', NULL, NULL, 6038, 9),
(44268, NULL, 'PR01714', NULL, NULL, 'Ferric iron reductase signature', NULL, '2FE2SRDCTASE', NULL, NULL, 6346, 9),
(44269, NULL, 'PR01651', NULL, NULL, 'Protein-export SecG membrane protein signature', NULL, 'SECGEXPORT', NULL, NULL, 3429, 9),
(44270, NULL, 'PR02011', NULL, NULL, 'RNA (C5-cytosine) methyltransferase NCL1 subfamily signature', NULL, 'RCMTNCL1', NULL, NULL, 14924, 9),
(44271, NULL, 'PR01752', NULL, NULL, 'Urea amidohydrolase (urease) protein signature', NULL, 'UREASE', NULL, NULL, 5863, 9),
(44272, NULL, 'PR00103', NULL, NULL, 'cAMP-dependent protein kinase signature', NULL, 'CAMPKINASE', NULL, NULL, NULL, 9),
(44273, NULL, 'PR01670', NULL, NULL, 'Gamma-aminobutyric-acid A (GABAA) receptor rho subunit signature', NULL, 'GABAARRHO', NULL, NULL, 5296, 9),
(44274, NULL, 'PR01496', NULL, NULL, 'Shaker voltage-gated K+ channel family signature', NULL, 'SHAKERCHANEL', NULL, NULL, 7335, 9),
(44275, NULL, 'PR01876', NULL, NULL, 'Myeloid transforming gene on chromosome 8 (MTG8) protein signature', NULL, 'MTG8PROTEIN', NULL, NULL, 8784, 9);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44276, NULL, 'PR00681', NULL, NULL, 'Ribosomal protein S1 signature', NULL, 'RIBOSOMALS1', NULL, NULL, 19202, 9),
(44277, NULL, 'PR01287', NULL, NULL, 'Orphan nuclear receptor NURR signature', NULL, 'NURRNUCRCPTR', NULL, NULL, 1123, 9),
(44278, NULL, 'PR00788', NULL, NULL, 'Nitrophorin signature', NULL, 'NITROPHORIN', NULL, NULL, 6586, 9),
(44279, NULL, 'PR00149', NULL, NULL, 'Fumarate lyase superfamily signature', NULL, 'FUMRATELYASE', NULL, NULL, 149, 9),
(44280, NULL, 'PR00371', NULL, NULL, 'Flavoprotein pyridine nucleotide cytochrome reductase signature', NULL, 'FPNCR', NULL, NULL, 3023, 9),
(44281, NULL, 'PR00247', NULL, NULL, 'cAMP-type GPCR signature', NULL, 'GPCRCAMP', NULL, NULL, 4912, 9),
(44282, NULL, 'PR00051', NULL, NULL, 'Bacterial chromosomal replication initiator (DNAA) signature', NULL, 'DNAA', NULL, NULL, 20854, 9),
(44283, NULL, 'PR02009', NULL, NULL, 'Viridiplantae FMU-related RCMT signature', NULL, 'RCMTFMUVIRPL', NULL, NULL, 14564, 9),
(44284, NULL, 'PR00050', NULL, NULL, 'Cold shock protein signature', NULL, 'COLDSHOCK', NULL, NULL, 1439, 9),
(44285, NULL, 'PR00591', NULL, NULL, 'Somatostatin receptor type 5 signature', NULL, 'SOMATOSTTN5R', NULL, NULL, 1177, 9),
(44286, NULL, 'PR01178', NULL, NULL, 'Metabotropic gamma-aminobutyric acid type B2 receptor signature', NULL, 'GABAB2RECPTR', NULL, NULL, 5080, 9),
(44287, NULL, 'PR01229', NULL, NULL, 'Green fluorescent protein signature', NULL, 'GFLUORESCENT', NULL, NULL, 4893, 9),
(44288, NULL, 'PR00163', NULL, NULL, 'Rubredoxin signature', NULL, 'RUBREDOXIN', NULL, NULL, 15158, 9),
(44289, NULL, 'PR00755', NULL, NULL, 'Aflatoxin biosynthesis regulatory protein signature', NULL, 'AFLATOXINBRP', NULL, NULL, NULL, 9),
(44290, NULL, 'PR01361', NULL, NULL, 'Apical membrane antigen 1 signature', NULL, 'MEROZOITESA', NULL, NULL, 3118, 9),
(44291, NULL, 'PR02078', NULL, NULL, 'GATS-like protein family signature', NULL, 'GATSLIKEFMLY', NULL, NULL, 21954, 9),
(44292, NULL, 'PR01442', NULL, NULL, 'Cellulose synthase subunit D signature', NULL, 'CELLSNTHASED', NULL, NULL, 17379, 9),
(44293, NULL, 'PR00360', NULL, NULL, 'C2 domain signature', NULL, 'C2DOMAIN', NULL, NULL, 2681, 9),
(44294, NULL, 'PR01140', NULL, NULL, 'Gap junction beta-3 protein (Cx31) signature', NULL, 'CONNEXINB3', NULL, NULL, 6725, 9),
(44295, NULL, 'PR00154', NULL, NULL, 'AMP-binding signature', NULL, 'AMPBINDING', NULL, NULL, 20998, 9),
(44296, NULL, 'PR01485', NULL, NULL, 'Thrombopoietin signature', NULL, 'THROMBOPTN', NULL, NULL, 7272, 9),
(44297, NULL, 'PR01781', NULL, NULL, 'Linker for activation of T cells (LAT) signature', NULL, 'LATPROTEIN', NULL, NULL, 7748, 9),
(44298, NULL, 'PR01040', NULL, NULL, 'Tyrosyl-tRNA synthetase signature', NULL, 'TRNASYNTHTYR', NULL, NULL, 6948, 9),
(44299, NULL, 'PR00490', NULL, NULL, 'Secretin receptor signature', NULL, 'SECRETINR', NULL, NULL, 1158, 9),
(44300, NULL, 'PR00559', NULL, NULL, 'Alpha-2B adrenergic receptor signature', NULL, 'ADRENRGCA2BR', NULL, NULL, 7083, 9),
(44301, NULL, 'PR00038', NULL, NULL, 'LuxR bacterial regulatory protein HTH signature', NULL, 'HTHLUXR', NULL, NULL, 6974, 9),
(44302, NULL, 'PR00048', NULL, NULL, 'C2H2-type zinc finger signature', NULL, 'ZINCFINGER', NULL, NULL, NULL, 9),
(44303, NULL, 'PR01105', NULL, NULL, 'C-X-C chemokine receptor type 6 signature', NULL, 'CXCCHMKINER6', NULL, NULL, 197, 9),
(44304, NULL, 'PR00071', NULL, NULL, 'Hydroxymethylglutaryl-coenzyme A reductase signature', NULL, 'HMGCOARDTASE', NULL, NULL, 135, 9),
(44305, NULL, 'PR01023', NULL, NULL, 'Sodium-type flagellar protein MotY precursor signature', NULL, 'NAFLGMOTY', NULL, NULL, NULL, 9),
(44306, NULL, 'PR00435', NULL, NULL, 'Interleukin-7 signature', NULL, 'INTERLEUKIN7', NULL, NULL, 1042, 9),
(44307, NULL, 'PR00831', NULL, NULL, 'Neurohypophysial hormone signature', NULL, 'NEUROPHYSIN', NULL, NULL, 414, 9),
(44308, NULL, 'PR00396', NULL, NULL, 'Ribosome inactivating protein family signature', NULL, 'SHIGARICIN', NULL, NULL, 13187, 9),
(44309, NULL, 'PR00028', NULL, NULL, 'POU domain signature', NULL, 'POUDOMAIN', NULL, NULL, 8311, 9);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44310, NULL, 'PR01368', NULL, NULL, 'Synapsin signature', NULL, 'SYNAPSIN', NULL, NULL, 7009, 9),
(44311, NULL, 'PR01568', NULL, NULL, 'Lymphotactin receptor signature', NULL, 'LYMPHOTACTNR', NULL, NULL, 7122, 9),
(44312, NULL, 'PR00004', NULL, NULL, 'Anaphylatoxin domain signature', NULL, 'ANAPHYLATOXN', NULL, NULL, 4061, 9),
(44313, NULL, 'PR00263', NULL, NULL, 'Heparin binding growth factor family signature', NULL, 'HBGFFGF', NULL, NULL, 6380, 9),
(44314, NULL, 'PR01796', NULL, NULL, 'Voltage-dependent calcium channel gamma-8 subunit signature', NULL, 'VDCCGAMMA8', NULL, NULL, 7697, 9),
(44315, NULL, 'PR00846', NULL, NULL, 'Glycosyl hydrolase family 56 signature', NULL, 'GLHYDRLASE56', NULL, NULL, 13775, 9),
(44316, NULL, 'PR00688', NULL, NULL, 'Xylose isomerase signature', NULL, 'XYLOSISMRASE', NULL, NULL, 2071, 9),
(44317, NULL, 'PR00481', NULL, NULL, 'Cytosol aminopeptidase signature', NULL, 'LAMNOPPTDASE', NULL, NULL, 14751, 9),
(44318, NULL, 'PR00019', NULL, NULL, 'Leucine-rich repeat signature', NULL, 'LEURICHRPT', NULL, NULL, NULL, 9),
(44319, NULL, 'PR01848', NULL, NULL, 'U2 auxiliary factor small subunit signature', NULL, 'U2AUXFACTOR', NULL, NULL, 10984, 9),
(44320, NULL, 'PR00325', NULL, NULL, 'Germin signature', NULL, 'GERMIN', NULL, NULL, 2318, 9),
(44321, NULL, 'PR00973', NULL, NULL, 'Ribosomal protein S17 family signature', NULL, 'RIBOSOMALS17', NULL, NULL, 599, 9),
(44322, NULL, 'PR01194', NULL, NULL, 'Fructose transporter (GLUT5) signature', NULL, 'GLUCTRSPORT5', NULL, NULL, 7173, 9),
(44323, NULL, 'PR01760', NULL, NULL, 'Dishevelled protein signature', NULL, 'DISHEVELLED', NULL, NULL, 985, 9),
(44324, NULL, 'PR00815', NULL, NULL, 'Pi haemoglobin signature', NULL, 'PIHAEM', NULL, NULL, 6700, 9),
(44325, NULL, 'PR01173', NULL, NULL, 'Odour binding protein signature', NULL, 'ODORANTBNDNG', NULL, NULL, 7343, 9),
(44326, NULL, 'PR01038', NULL, NULL, 'Arginyl-tRNA synthetase signature', NULL, 'TRNASYNTHARG', NULL, NULL, 420, 9),
(44327, NULL, 'PR00496', NULL, NULL, 'Napin signature', NULL, 'NAPIN', NULL, NULL, 5962, 9),
(44328, NULL, 'PR01693', NULL, NULL, 'Cyanase signature', NULL, 'CYANASE', NULL, NULL, 6412, 9),
(44329, NULL, 'PR01593', NULL, NULL, 'Salmonella type III secretion SopE effector protein signature', NULL, 'SOPEPROTEIN', NULL, NULL, 7451, 9),
(44330, NULL, 'PR00160', NULL, NULL, 'Glutaredoxin signature', NULL, 'GLUTAREDOXIN', NULL, NULL, 13163, 9),
(44331, NULL, 'PR00587', NULL, NULL, 'Somatostatin receptor type 1 signature', NULL, 'SOMATOSTTN1R', NULL, NULL, 2404, 9),
(44332, NULL, 'PR00060', NULL, NULL, 'Ribosomal protein L16 signature', NULL, 'RIBOSOMALL16', NULL, NULL, 2825, 9),
(44333, NULL, 'PR00223', NULL, NULL, 'Geminivirus AR1/BR1 coat protein signature', NULL, 'GEMCOATARBR1', NULL, NULL, 4723, 9),
(44334, NULL, 'PR01560', NULL, NULL, 'EDG-7 lysophosphatidic acid receptor signature', NULL, 'EDG7RECEPTOR', NULL, NULL, 6877, 9),
(44335, NULL, 'PR00883', NULL, NULL, 'High mobility group-like nuclear protein signature', NULL, 'NUCLEARHMG', NULL, NULL, 2561, 9),
(44336, NULL, 'PR00173', NULL, NULL, 'Glutamate-aspartate symporter signature', NULL, 'EDTRNSPORT', NULL, NULL, NULL, 9),
(44337, NULL, 'PR00531', NULL, NULL, 'Histamine H2 receptor signature', NULL, 'HISTAMINEH2R', NULL, NULL, 6751, 9),
(44338, NULL, 'PR00030', NULL, NULL, 'Cro repressor HTH signature', NULL, 'HTHCRO', NULL, NULL, 4328, 9),
(44339, NULL, 'PR00871', NULL, NULL, 'DNA nucleotidylexotransferase (TDT) signature', NULL, 'DNAPOLXTDT', NULL, NULL, 3099, 9),
(44340, NULL, 'PR00509', NULL, NULL, 'Phosphoglucomutase/phosphomannomutase family signature', NULL, 'PGMPMM', NULL, NULL, 5667, 9),
(44341, NULL, 'PR00316', NULL, NULL, 'Enterobacterial virulence outer membrane protein signature', NULL, 'ENTEROVIROMP', NULL, NULL, 6945, 9),
(44342, NULL, 'PR01584', NULL, NULL, 'TASK-1 K+ channel signature', NULL, 'TASK1CHANNEL', NULL, NULL, 7108, 9),
(44343, NULL, 'PR00766', NULL, NULL, 'Amiloride-sensitive amine oxidase signature', NULL, 'CUDAOXIDASE', NULL, NULL, 753, 9),
(44344, NULL, 'PR00288', NULL, NULL, 'Purothionin signature', NULL, 'PUROTHIONIN', NULL, NULL, 7490, 9);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44345, NULL, 'PR00927', NULL, NULL, 'Adenine nucleotide translocator signature', NULL, 'ADPTRNSLCASE', NULL, NULL, 1080, 9),
(44346, NULL, 'PR00533', NULL, NULL, 'Mas oncogene signature', NULL, 'MASONCOGENE', NULL, NULL, 4749, 9),
(44347, NULL, 'PR00646', NULL, NULL, 'RDC1 orphan receptor signature', NULL, 'RDC1ORPHANR', NULL, NULL, 6996, 9),
(44348, NULL, 'PR01839', NULL, NULL, 'DNA repair protein Rad23 signature', NULL, 'RAD23PROTEIN', NULL, NULL, 4031, 9),
(44349, NULL, 'PR01777', NULL, NULL, 'Interferon-gamma receptor alpha chain signature', NULL, 'INTERFERONGR', NULL, NULL, 7593, 9),
(44350, NULL, 'PR01087', NULL, NULL, 'Na+/H+ exchanger isoform 3 (NHE3) signature', NULL, 'NAHEXCHNGR3', NULL, NULL, 21403, 9),
(44351, NULL, 'PR00480', NULL, NULL, 'Astacin family signature', NULL, 'ASTACIN', NULL, NULL, 4053, 9),
(44352, NULL, 'PR00300', NULL, NULL, 'ATP-dependent Clp protease ATP-binding subunit signature', NULL, 'CLPPROTEASEA', NULL, NULL, 268, 9),
(44353, NULL, 'PR00011', NULL, NULL, 'Type III EGF-like signature', NULL, 'EGFLAMININ', NULL, NULL, NULL, 9),
(44354, NULL, 'PR02029', NULL, NULL, 'Active regulator of SIRT1 signature', NULL, 'ACTREGSIRT1', NULL, NULL, 20141, 9),
(44355, NULL, 'PR00986', NULL, NULL, 'Valyl-tRNA synthetase signature', NULL, 'TRNASYNTHVAL', NULL, NULL, 4489, 9),
(44356, NULL, 'PR00924', NULL, NULL, 'Alphaherpesvirus alkaline exonuclease signature', NULL, 'ALKEXNUCLASE', NULL, NULL, 5061, 9),
(44357, NULL, 'PR00791', NULL, NULL, 'Peptidyl-dipeptidase A (M2) metalloprotease family signature', NULL, 'PEPDIPTASEA', NULL, NULL, 3079, 9),
(44358, NULL, 'PR01756', NULL, NULL, 'Yersinia outer membrane adhesin signature', NULL, 'OMADHESIN', NULL, NULL, 6239, 9),
(44359, NULL, 'PR00951', NULL, NULL, 'Flagellar biosynthetic protein FliP signature', NULL, 'FLGBIOSNFLIP', NULL, NULL, 5708, 9),
(44360, NULL, 'PR01008', NULL, NULL, 'Flagellar L-ring protein signature', NULL, 'FLGLRINGFLGH', NULL, NULL, 5719, 9),
(44361, NULL, 'PR01076', NULL, NULL, 'Caldesmon signature', NULL, 'CALDESMON', NULL, NULL, 1455, 9),
(44362, NULL, 'PR01648', NULL, NULL, 'Transient receptor potential channel 7 signature', NULL, 'TRPCHANNEL7', NULL, NULL, 765, 9),
(44363, NULL, 'PR01112', NULL, NULL, 'CLC-1 chloride channel signature', NULL, 'CLCHANNEL1', NULL, NULL, 6325, 9),
(44364, NULL, 'PR00414', NULL, NULL, 'Palmitoyl protein thioesterase signature', NULL, 'PPTHIESTRASE', NULL, NULL, 7260, 9),
(44365, NULL, 'PR00974', NULL, NULL, 'Ribosomal protein S18 family signature', NULL, 'RIBOSOMALS18', NULL, NULL, 5234, 9),
(44366, NULL, 'PR01573', NULL, NULL, 'Tubby superfamily signature', NULL, 'SUPERTUBBY', NULL, NULL, 2105, 9),
(44367, NULL, 'PR01193', NULL, NULL, 'Glucose transporter type 4 (GLUT4) signature', NULL, 'GLUCTRSPORT4', NULL, NULL, 7420, 9),
(44368, NULL, 'PR01886', NULL, NULL, 'Protein Associated with Small Stress protein 1 (PASS1) signature', NULL, 'PASS1', NULL, NULL, 8981, 9),
(44369, NULL, 'PR00445', NULL, NULL, 'HupF/HypC hydrogenase expression/synthesis family signature', NULL, 'HUPFHYPC', NULL, NULL, 1204, 9),
(44370, NULL, 'PR00352', NULL, NULL, '3Fe-4S ferredoxin signature', NULL, '3FE4SFRDOXIN', NULL, NULL, 2213, 9),
(44371, NULL, 'PR00774', NULL, NULL, 'Guanylin precursor signature', NULL, 'GUANYLIN', NULL, NULL, 4888, 9),
(44372, NULL, 'PR01082', NULL, NULL, 'K-Cl co-transporter type 1 (KCC1) signature', NULL, 'KCLTRNSPORT1', NULL, NULL, 5751, 9),
(44373, NULL, 'PR01318', NULL, NULL, 'Glial cell line-derived neurotrophic factor receptor alpha 2 signature', NULL, 'GDNFRALPHA2', NULL, NULL, 6437, 9),
(44374, NULL, 'PR01882', NULL, NULL, 'Lysin signature', NULL, 'LYSIN', NULL, NULL, 6959, 9),
(44375, NULL, 'PR01792', NULL, NULL, 'Voltage-dependent calcium channel gamma subunit signature', NULL, 'VDCCGAMMA', NULL, NULL, 7767, 9),
(44376, NULL, 'PR00036', NULL, NULL, 'LacI bacterial regulatory protein HTH signature', NULL, 'HTHLACI', NULL, NULL, 408, 9),
(44377, NULL, 'PR01475', NULL, NULL, 'Parkin signature', NULL, 'PARKIN', NULL, NULL, 7453, 9),
(44378, NULL, 'PR01462', NULL, NULL, 'KCNQ3 voltage-gated potassium channel signature', NULL, 'KCNQ3CHANNEL', NULL, NULL, 7375, 9); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44379, NULL, 'PR00645', NULL, NULL, 'C-X-C chemokine receptor type 4 signature', NULL, 'CXCCHMKINER4', NULL, NULL, 1891, 9),
(44380, NULL, 'PR00104', NULL, NULL, 'cGMP-dependent protein kinase signature', NULL, 'CGMPKINASE', NULL, NULL, 6940, 9),
(44381, NULL, 'PR01181', NULL, NULL, 'Diaminopimelate decarboxylase signature', NULL, 'DAPDCRBXLASE', NULL, NULL, 7447, 9),
(44382, NULL, 'PR01710', NULL, NULL, '5-hydroxytryptamine 3 receptor B subunit signature', NULL, '5HT3BRECEPTR', NULL, NULL, 6477, 9),
(44383, NULL, 'PR00579', NULL, NULL, 'Rhodopsin signature', NULL, 'RHODOPSIN', NULL, NULL, 3889, 9),
(44384, NULL, 'PR00829', NULL, NULL, 'Major pollen allergen Lol pI signature', NULL, 'LOLP1ALLERGN', NULL, NULL, 5540, 9),
(44385, NULL, 'PR02067', NULL, NULL, 'Chromatin modification-related protein EAF5 signature', NULL, 'PROTEINEAF5', NULL, NULL, 27705, 9),
(44386, NULL, 'PR00867', NULL, NULL, 'DNA-polymerase gamma (family A) signature', NULL, 'DNAPOLG', NULL, NULL, 307, 9),
(44387, NULL, 'PR00137', NULL, NULL, 'Lysozyme signature', NULL, 'LYSOZYME', NULL, NULL, 3324, 9),
(44388, NULL, 'PR00126', NULL, NULL, 'ATP synthase gamma subunit signature', NULL, 'ATPASEGAMMA', NULL, NULL, 1704, 9),
(44389, NULL, 'PR01578', NULL, NULL, 'KCNAB voltage-gated K+ channel beta-1 subunit signature', NULL, 'KCNAB1CHANEL', NULL, NULL, 7046, 9),
(44390, NULL, 'PR00220', NULL, NULL, 'Synaptophysin/synaptoporin family signature', NULL, 'SYNAPTOPHYSN', NULL, NULL, 363, 9),
(44391, NULL, 'PR00890', NULL, NULL, 'Smooth muscle protein 22-alpha (transgelin) signature', NULL, 'TRANSGELIN', NULL, NULL, NULL, 9),
(44392, NULL, 'PR00855', NULL, NULL, 'Prostaglandin F receptor signature', NULL, 'PRSTNOIDFPR', NULL, NULL, 3610, 9),
(44393, NULL, 'PR00337', NULL, NULL, 'Leu/Ile/Val-binding protein family signature', NULL, 'LEUILEVALBP', NULL, NULL, 3548, 9),
(44394, NULL, 'PR01214', NULL, NULL, 'Gamma-synuclein signature', NULL, 'GSYNUCLEIN', NULL, NULL, 7407, 9),
(44395, NULL, 'PR00191', NULL, NULL, 'F-actin capping protein alpha subunit signature', NULL, 'FACTINCAPA', NULL, NULL, 220, 9),
(44396, NULL, 'PR01328', NULL, NULL, 'Kir3.2 inward rectifier K+ channel signature', NULL, 'KIR32CHANNEL', NULL, NULL, 3449, 9),
(44397, NULL, 'PR01628', NULL, NULL, 'L-type calcium channel beta-2 subunit signature', NULL, 'LCACHANNELB2', NULL, NULL, 454, 9),
(44398, NULL, 'PR01715', NULL, NULL, 'Ferrichrome-binding periplasmic protein signature', NULL, 'FERRIBNDNGPP', NULL, NULL, NULL, 9),
(44399, NULL, 'PR01872', NULL, NULL, 'Claudin-12 signature', NULL, 'CLAUDIN12', NULL, NULL, 8787, 9),
(44400, NULL, 'PR01711', NULL, NULL, 'Autoimmune regulator (AIRE) signature', NULL, 'AIREGULATOR', NULL, NULL, 6390, 9),
(44401, NULL, 'PR01598', NULL, NULL, 'Zona occludens protein ZO-1 signature', NULL, 'ZONOCCLUDNS1', NULL, NULL, 7225, 9),
(44402, NULL, 'PR00381', NULL, NULL, 'Kinesin light chain signature', NULL, 'KINESINLIGHT', NULL, NULL, 5279, 9),
(44403, NULL, 'PR01141', NULL, NULL, 'Gap junction beta-4 protein (Cx31.1) signature', NULL, 'CONNEXINB4', NULL, NULL, 6822, 9),
(44404, NULL, 'PR01035', NULL, NULL, 'Tetracycline resistance protein signature', NULL, 'TCRTETA', NULL, NULL, 2460, 9),
(44405, NULL, 'PR02046', NULL, NULL, 'Retina-specific protein F379 family signature', NULL, 'FAM138ABCDF', NULL, NULL, 15822, 9),
(44406, NULL, 'PR00561', NULL, NULL, 'Beta-1 adrenergic receptor signature', NULL, 'ADRENRGCB1AR', NULL, NULL, 6618, 9),
(44407, NULL, 'PR00107', NULL, NULL, 'Phosphocarrier protein signature', NULL, 'PHOSPHOCPHPR', NULL, NULL, 3372, 9),
(44408, NULL, 'PR00607', NULL, NULL, 'Class IE cytochrome C signature', NULL, 'CYTCHROMECIE', NULL, NULL, 6961, 9),
(44409, NULL, 'PR00416', NULL, NULL, 'Eukaryotic DNA topoisomerase I signature', NULL, 'EUTPISMRASEI', NULL, NULL, 5349, 9),
(44410, NULL, 'PR00595', NULL, NULL, 'P2Y1 purinoceptor signature', NULL, 'P2Y1PRNOCPTR', NULL, NULL, 1633, 9),
(44411, NULL, 'PR01686', NULL, NULL, 'CYP2D P450 family signature', NULL, 'EP450ICYP2D', NULL, NULL, 5081, 9),
(44412, NULL, 'PR01596', NULL, NULL, 'Gram-negative bacterial type III secretion SycE chaperone signature', NULL, 'SYCECHAPRONE', NULL, NULL, 7318, 9);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44413, NULL, 'PR01067', NULL, NULL, 'P2Y5 orphan receptor signature', NULL, 'P2Y5ORPHANR', NULL, NULL, NULL, 9),
(44414, NULL, 'PR00203', NULL, NULL, 'Amyloid A4 protein precursor signature', NULL, 'AMYLOIDA4', NULL, NULL, 7469, 9),
(44415, NULL, 'PR01311', NULL, NULL, 'P2X4 purinoceptor signature', NULL, 'P2X4RECEPTOR', NULL, NULL, 6986, 9),
(44416, NULL, 'PR01563', NULL, NULL, 'G2A lysophosphatidylcholine receptor signature', NULL, 'G2ARECEPTOR', NULL, NULL, 6615, 9),
(44417, NULL, 'PR00545', NULL, NULL, 'Retinoid X receptor signature', NULL, 'RETINOIDXR', NULL, NULL, 2389, 9),
(44418, NULL, 'PR01137', NULL, NULL, 'Gap junction alpha-8 protein (Cx50) signature', NULL, 'CONNEXINA8', NULL, NULL, 6707, 9),
(44419, NULL, 'PR00197', NULL, NULL, 'Annexin type I signature', NULL, 'ANNEXINI', NULL, NULL, 6361, 9),
(44420, NULL, 'PR00230', NULL, NULL, 'Geminivirus AL2 coat protein signature', NULL, 'GEMCOATAL2', NULL, NULL, 375, 9),
(44421, NULL, 'PR02112', NULL, NULL, 'Mas-related G protein-coupled receptor F signature', NULL, 'MRGPCRF', NULL, NULL, 28764, 9),
(44422, NULL, 'PR00170', NULL, NULL, 'Voltage-gated Na+ channel alpha subunit signature', NULL, 'NACHANNEL', NULL, NULL, 3446, 9),
(44423, NULL, 'PR00944', NULL, NULL, 'Copper ion binding protein signature', NULL, 'CUEXPORT', NULL, NULL, 6864, 9),
(44424, NULL, 'PR00426', NULL, NULL, 'C5A-anaphylatoxin receptor signature', NULL, 'C5ANPHYLTXNR', NULL, NULL, 2089, 9),
(44425, NULL, 'PR01065', NULL, NULL, 'P2Y3 purinoceptor signature', NULL, 'P2Y3PRNOCPTR', NULL, NULL, 367, 9),
(44426, NULL, 'PR00341', NULL, NULL, 'Prion protein signature', NULL, 'PRION', NULL, NULL, 5354, 9),
(44427, NULL, 'PR02033', NULL, NULL, 'Placentin signature', NULL, 'PLACENTIN', NULL, NULL, 18629, 9),
(44428, NULL, 'PR00073', NULL, NULL, 'Coprogen oxidase signature', NULL, 'COPRGNOXDASE', NULL, NULL, 2462, 9),
(44429, NULL, 'PR01930', NULL, NULL, 'Interleukin-15 signature', NULL, 'INTRLEUKIN15', NULL, NULL, 19482, 9),
(44430, NULL, 'PR00393', NULL, NULL, 'Parathyroid hormone receptor signature', NULL, 'PTRHORMONER', NULL, NULL, 5364, 9),
(44431, NULL, 'MF_03175', NULL, NULL, 'Methionine aminopeptidase 2 [METAP2].', NULL, 'MetAP_2_euk', NULL, NULL, 7063, 10),
(44432, NULL, 'MF_04121', NULL, NULL, 'Peptidoglycan transglycosylase gp16.', NULL, 'TRANSGLYCOSYLASE_T7', NULL, NULL, 35858, 10),
(44433, NULL, 'MF_01375', NULL, NULL, 'Phosphonoacetaldehyde hydrolase [phnX].', NULL, 'PhnX', NULL, NULL, 4712, 10),
(44434, NULL, 'MF_01491', NULL, NULL, 'Ribonuclease J [rnj].', NULL, 'RNase_J_bact', NULL, NULL, 24873, 10),
(44435, NULL, 'MF_00127', NULL, NULL, 'Histidine--tRNA ligase [hisS].', NULL, 'His_tRNA_synth', NULL, NULL, 12927, 10),
(44436, NULL, 'MF_01215', NULL, NULL, 'Orotidine 5''-phosphate decarboxylase [pyrF].', NULL, 'OMPdecase_type2', NULL, NULL, 12240, 10),
(44437, NULL, 'MF_00376', NULL, NULL, 'Dephospho-CoA kinase [coaE].', NULL, 'Dephospho_CoA_kinase', NULL, NULL, 4417, 10),
(44438, NULL, 'MF_01157', NULL, NULL, 'DnaA initiator-associating protein DiaA [diaA].', NULL, 'SIS_DiaA', NULL, NULL, 15367, 10),
(44439, NULL, 'MF_01943', NULL, NULL, 'Lipid A biosynthesis palmitoleoyltransferase [lpxP].', NULL, 'Lipid_A_LpxP', NULL, NULL, 24579, 10),
(44440, NULL, 'MF_00228', NULL, NULL, 'Hydroxyethylthiazole kinase [thiM].', NULL, 'Thz_kinase', NULL, NULL, 6900, 10),
(44441, NULL, 'MF_00951', NULL, NULL, 'Transcription antitermination protein RfaH [rfaH].', NULL, 'RfaH', NULL, NULL, 4096, 10),
(44442, NULL, 'MF_04086', NULL, NULL, 'RNA-directed RNA polymerase L [L].', NULL, 'ARENA_L', NULL, NULL, 10034, 10),
(44443, NULL, 'MF_00058', NULL, NULL, 'F420-dependent methylenetetrahydromethanopterin dehydrogenase [mtd].', NULL, 'MTD', NULL, NULL, 5738, 10),
(44444, NULL, 'MF_00409', NULL, NULL, 'Tetraacyldisaccharide 4''-kinase [lpxK].', NULL, 'LpxK', NULL, NULL, 2368, 10),
(44445, NULL, 'MF_03221', NULL, NULL, 'Succinate--CoA ligase [GDP-forming] subunit beta, mitochondrial [SUCLG2].', NULL, 'Succ_CoA_betaG_euk', NULL, NULL, 31843, 10),
(44446, NULL, 'MF_00813', NULL, NULL, 'Probable allantoicase [alc].', NULL, 'Allantoicase', NULL, NULL, 4716, 10);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44447, NULL, 'MF_00060', NULL, NULL, '5''/3''-nucleotidase SurE [surE].', NULL, 'SurE', NULL, NULL, 23521, 10),
(44448, NULL, 'MF_00981', NULL, NULL, 'Transcriptional regulatory protein RcsB [rcsB].', NULL, 'RcsB', NULL, NULL, 2991, 10),
(44449, NULL, 'MF_00816', NULL, NULL, 'UPF0352 protein YejL [yejL].', NULL, 'UPF0352', NULL, NULL, 14611, 10),
(44450, NULL, 'MF_01897', NULL, NULL, 'DNA gyrase subunit A [gyrA].', NULL, 'GyrA', NULL, NULL, 4550, 10),
(44451, NULL, 'MF_00931', NULL, NULL, 'Aldehyde decarbonylase.', NULL, 'Aldeh_decarbonylase', NULL, NULL, 16920, 10),
(44452, NULL, 'MF_04015', NULL, NULL, 'Tripartite terminase subunit 2 [TRM2].', NULL, 'HSV_TRM2', NULL, NULL, 5421, 10),
(44453, NULL, 'MF_01404', NULL, NULL, 'Pyruvoyl-dependent arginine decarboxylase [pdaD].', NULL, 'PvlArgDC', NULL, NULL, 3660, 10),
(44454, NULL, 'MF_04040', NULL, NULL, 'Cytoplasmic envelopment protein 3.', NULL, 'HSV_CEP3_alphahv', NULL, NULL, 22832, 10),
(44455, NULL, 'MF_00616', NULL, NULL, 'Ureidoglycolate lyase [allA].', NULL, 'Ureidogly_lyase', NULL, NULL, 16763, 10),
(44456, NULL, 'MF_04114', NULL, NULL, 'Portal protein.', NULL, 'PORTAL_T4', NULL, NULL, 11363, 10),
(44457, NULL, 'MF_01810', NULL, NULL, 'Membrane protein insertase YidC [yidC].', NULL, 'YidC_type1', NULL, NULL, 12356, 10),
(44458, NULL, 'MF_04061', NULL, NULL, 'Preterminal protein [PTP].', NULL, 'ADV_TERM', NULL, NULL, 5315, 10),
(44459, NULL, 'MF_03048', NULL, NULL, 'Ubiquitin-related modifier 1 [URM1].', NULL, 'Urm1', NULL, NULL, 10632, 10),
(44460, NULL, 'MF_00220_B', NULL, NULL, 'Dihydroorotase [pyrC].', NULL, 'PyrC_classI_B', NULL, NULL, 3747, 10),
(44461, NULL, 'MF_00467', NULL, NULL, 'Probable M18 family aminopeptidase 2 [apeB].', NULL, 'Aminopeptidase_M18_2', NULL, NULL, 15352, 10),
(44462, NULL, 'MF_00950', NULL, NULL, 'Transcription elongation factor Spt5 [spt5].', NULL, 'Spt5_arch', NULL, NULL, 11015, 10),
(44463, NULL, 'MF_01067', NULL, NULL, 'UPF0259 membrane protein YciC [yciC].', NULL, 'UPF0259', NULL, NULL, 1833, 10),
(44464, NULL, 'MF_00265', NULL, NULL, 'tRNA(fMet)-specific endonuclease VapC [vapC].', NULL, 'VapC_Nob1', NULL, NULL, 17484, 10),
(44465, NULL, 'MF_00845', NULL, NULL, 'Flavin-dependent monooxygenase.', NULL, 'TetX_monooxygenase', NULL, NULL, 37698, 10),
(44466, NULL, 'MF_01495', NULL, NULL, 'Photosystem II CP47 reaction center protein [psbB].', NULL, 'PSII_PsbB_CP47', NULL, NULL, 21163, 10),
(44467, NULL, 'MF_04044', NULL, NULL, 'Large tegument protein deneddylase.', NULL, 'HSV_LTP', NULL, NULL, 7693, 10),
(44468, NULL, 'MF_01970', NULL, NULL, 'Kynureninase [kynU].', NULL, 'Kynureninase', NULL, NULL, 2145, 10),
(44469, NULL, 'MF_01417', NULL, NULL, 'Biosynthetic arginine decarboxylase [speA].', NULL, 'SpeA', NULL, NULL, 7263, 10),
(44470, NULL, 'MF_00172', NULL, NULL, '5-methyltetrahydropteroyltriglutamate--homocysteine methyltransferase [metE].', NULL, 'Meth_synth', NULL, NULL, 3627, 10),
(44471, NULL, 'MF_01342', NULL, NULL, '50S ribosomal protein L16 [rplP].', NULL, 'Ribosomal_L16', NULL, NULL, 2825, 10),
(44472, NULL, 'MF_04119', NULL, NULL, 'Minor capsid protein.', NULL, 'CAPSID_PROTEIN_T7', NULL, NULL, 29099, 10),
(44473, NULL, 'MF_00046', NULL, NULL, 'UDP-N-acetylmuramate--L-alanine ligase [murC].', NULL, 'MurC', NULL, NULL, 4748, 10),
(44474, NULL, 'MF_00371', NULL, NULL, '30S ribosomal protein S27e [rps27e].', NULL, 'Ribosomal_S27e', NULL, NULL, 5570, 10),
(44475, NULL, 'MF_01576', NULL, NULL, 'Bifunctional protein FolD [folD].', NULL, 'THF_DHG_CYH', NULL, NULL, 6753, 10),
(44476, NULL, 'MF_01163', NULL, NULL, '5-formaminoimidazole-4-carboxamide-1-(beta)-D-ribofuranosyl 5''-monophosphate synthetase [purP].', NULL, 'IMP_biosynth_PurP', NULL, NULL, 642, 10),
(44477, NULL, 'MF_01111', NULL, NULL, 'UPF0200 protein <locus_tag>.', NULL, 'UPF0200', NULL, NULL, 14525, 10),
(44478, NULL, 'MF_01097', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit D [mtrD].', NULL, 'MtrD', NULL, NULL, 5889, 10),
(44479, NULL, 'MF_00105', NULL, NULL, 'Transcription elongation factor GreA [greA].', NULL, 'GreA_GreB', NULL, NULL, 27429, 10);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44480, NULL, 'MF_01294', NULL, NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit GatY [gatY].', NULL, 'TagBP_aldolase_GatY', NULL, NULL, 11250, 10),
(44481, NULL, 'MF_01692', NULL, NULL, 'N-acetyldiaminopimelate deacetylase.', NULL, 'DapEL', NULL, NULL, 18206, 10),
(44482, NULL, 'MF_03002', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit C [EIF3C].', NULL, 'eIF3c', NULL, NULL, 25082, 10),
(44483, NULL, 'MF_01593', NULL, NULL, 'Protein MtfA [mtfA].', NULL, 'MtfA', NULL, NULL, 9501, 10),
(44484, NULL, 'MF_01047', NULL, NULL, 'UPF0227 protein YcfP [ycfP].', NULL, 'UPF0227', NULL, NULL, 15309, 10),
(44485, NULL, 'MF_02101', NULL, NULL, '1,4-dihydroxy-2-naphthoyl-CoA hydrolase.', NULL, 'DHNA_CoA_hydrolase', NULL, NULL, 17281, 10),
(44486, NULL, 'MF_00421', NULL, NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurQ [purQ].', NULL, 'PurQ', NULL, NULL, 2314, 10),
(44487, NULL, 'MF_01040', NULL, NULL, 'Probable phosphoglycerate mutase GpmB [gpmB].', NULL, 'PGAM_GpmB', NULL, NULL, 15985, 10),
(44488, NULL, 'MF_03130', NULL, NULL, 'Alpha-tubulin N-acetyltransferase 1 [mec-17].', NULL, 'mec17', NULL, NULL, 4036, 10),
(44489, NULL, 'MF_04115', NULL, NULL, 'Small outer capsid protein.', NULL, 'SOC_T4', NULL, NULL, 23190, 10),
(44490, NULL, 'MF_00139', NULL, NULL, 'Bifunctional purine biosynthesis protein PurH [purH].', NULL, 'PurH', NULL, NULL, 3871, 10),
(44491, NULL, 'MF_00332', NULL, NULL, 'Chaperone protein DnaK [dnaK].', NULL, 'DnaK', NULL, NULL, 11781, 10),
(44492, NULL, 'MF_01413', NULL, NULL, 'Glutathione-regulated potassium-efflux system protein KefC [kefC].', NULL, 'K_H_efflux_KefC', NULL, NULL, 10331, 10),
(44493, NULL, 'MF_00512', NULL, NULL, '30S ribosomal protein S6e [rps6e].', NULL, 'Ribosomal_S6e', NULL, NULL, 14929, 10),
(44494, NULL, 'MF_01611', NULL, NULL, '7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase [cofG].', NULL, 'FO_synth_sub1', NULL, NULL, 18224, 10),
(44495, NULL, 'MF_02079', NULL, NULL, 'Peptidoglycan glycosyltransferase MrdB [mrdB].', NULL, 'PGT_RodA', NULL, NULL, 11377, 10),
(44496, NULL, 'MF_00056', NULL, NULL, '2-dehydro-3-deoxyphosphooctonate aldolase [kdsA].', NULL, 'KDO8P_synth', NULL, NULL, 3898, 10),
(44497, NULL, 'MF_00788', NULL, NULL, '50S ribosomal protein L40e [rpl40e].', NULL, 'Ribosomal_L40e', NULL, NULL, 16650, 10),
(44498, NULL, 'MF_03203', NULL, NULL, 'Elongation of very long chain fatty acids protein 3 [ELOVL3].', NULL, 'VLCF_elongase_3', NULL, NULL, 32099, 10),
(44499, NULL, 'MF_01081', NULL, NULL, 'Probable tRNA pseudouridine synthase B [truB].', NULL, 'TruB_arch', NULL, NULL, 24940, 10),
(44500, NULL, 'MF_00719', NULL, NULL, 'Adenosylcobinamide-GDP ribazoletransferase [cobS].', NULL, 'CobS', NULL, NULL, 3141, 10),
(44501, NULL, 'MF_03169', NULL, NULL, 'GTP:AMP phosphotransferase AK3, mitochondrial [AK3].', NULL, 'Adenylate_kinase_AK3', NULL, NULL, 24814, 10),
(44502, NULL, 'MF_00521', NULL, NULL, '3-deoxy-D-manno-octulosonic acid kinase [kdkA].', NULL, 'KDO_kinase', NULL, NULL, 17397, 10),
(44503, NULL, 'MF_00600', NULL, NULL, '60 kDa chaperonin [groL].', NULL, 'CH60', NULL, NULL, 4368, 10),
(44504, NULL, 'MF_00696', NULL, NULL, 'Fatty acid metabolism regulator protein [fadR].', NULL, 'HTH_FadR', NULL, NULL, 8654, 10),
(44505, NULL, 'MF_04053', NULL, NULL, 'Core-capsid bridging protein [L2].', NULL, 'ADV_CORE5', NULL, NULL, 2549, 10),
(44506, NULL, 'MF_03220', NULL, NULL, 'Succinate--CoA ligase [ADP-forming] subunit beta, mitochondrial [SUCLA2].', NULL, 'Succ_CoA_betaA_euk', NULL, NULL, 31562, 10),
(44507, NULL, 'MF_00030', NULL, NULL, 'Deoxyguanosinetriphosphate triphosphohydrolase [dgt].', NULL, 'dGTPase_type1', NULL, NULL, 20683, 10),
(44508, NULL, 'MF_01665', NULL, NULL, 'Heme A synthase [ctaA].', NULL, 'HemeA_synth_type2', NULL, NULL, 11395, 10),
(44509, NULL, 'MF_01825', NULL, NULL, 'Erythronate-4-phosphate dehydrogenase [pdxB].', NULL, 'PdxB', NULL, NULL, 14567, 10),
(44510, NULL, 'MF_00219', NULL, NULL, 'Dihydroorotase [pyrC].', NULL, 'PyrC_classII', NULL, NULL, 3512, 10),
(44511, NULL, 'MF_04062', NULL, NULL, 'Polymerase basic protein 2 [PB2].', NULL, 'INV_PB2', NULL, NULL, 3459, 10);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44512, NULL, 'MF_00639', NULL, NULL, 'UDP-N-acetylmuramoylalanine--D-glutamate ligase [murD].', NULL, 'MurD', NULL, NULL, 4825, 10),
(44513, NULL, 'MF_00643', NULL, NULL, 'Cytochrome b559 subunit beta [psbF].', NULL, 'PSII_PsbF', NULL, NULL, 3555, 10),
(44514, NULL, 'MF_00934', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase J [rlmJ].', NULL, '23SrRNA_methyltr_J', NULL, NULL, 4618, 10),
(44515, NULL, 'MF_01579', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase F [rsmF].', NULL, '16SrRNA_methyltr_F', NULL, NULL, 17338, 10),
(44516, NULL, 'MF_00663', NULL, NULL, 'Phosphatidylserine decarboxylase proenzyme [psd].', NULL, 'PS_decarb_PSD_B_type2', NULL, NULL, 32038, 10),
(44517, NULL, 'MF_01012', NULL, NULL, '23S rRNA (uracil(747)-C(5))-methyltransferase RlmC [rlmC].', NULL, '23SrRNA_methyltr_RlmC', NULL, NULL, 14250, 10),
(44518, NULL, 'MF_01240', NULL, NULL, 'UPF0309 protein <locus_tag>.', NULL, 'UPF0309', NULL, NULL, 14779, 10),
(44519, NULL, 'MF_01929', NULL, NULL, 'N5-carboxyaminoimidazole ribonucleotide mutase [purE].', NULL, 'PurE_classI', NULL, NULL, 33302, 10),
(44520, NULL, 'MF_00771', NULL, NULL, 'UPF0310 protein <locus_tag>.', NULL, 'UPF0310', NULL, NULL, 15370, 10),
(44521, NULL, 'MF_00916', NULL, NULL, 'Epoxyqueuosine reductase [queG].', NULL, 'QueG', NULL, NULL, 7349, 10),
(44522, NULL, 'MF_01396', NULL, NULL, 'ATP synthase subunit c [atpH].', NULL, 'ATP_synth_c_bact', NULL, NULL, 6886, 10),
(44523, NULL, 'MF_01480', NULL, NULL, 'CRISPR-associated endonuclease Cas9 [cas9].', NULL, 'Cas9', NULL, NULL, 27374, 10),
(44524, NULL, 'MF_01070', NULL, NULL, 'Phosphoglycerol transferase I [mdoB].', NULL, 'MdoB_OpgB', NULL, NULL, 19566, 10),
(44525, NULL, 'MF_01230', NULL, NULL, 'Haloalkane dehalogenase [dhmA].', NULL, 'Haloalk_dehal_type1', NULL, NULL, 16513, 10),
(44526, NULL, 'MF_01206', NULL, NULL, 'Protein-methionine-sulfoxide reductase catalytic subunit MsrP [msrP].', NULL, 'MsrP', NULL, NULL, 17226, 10),
(44527, NULL, 'MF_01364_B', NULL, NULL, '30S ribosomal protein S14 type Z [rpsZ].', NULL, 'Ribosomal_S14_2_B', NULL, NULL, 15205, 10),
(44528, NULL, 'MF_01550', NULL, NULL, 'Guanosine-5''-triphosphate,3''-diphosphate pyrophosphatase [gppA].', NULL, 'GppA', NULL, NULL, 7337, 10),
(44529, NULL, 'MF_01148', NULL, NULL, 'Apolipoprotein N-acyltransferase [lnt].', NULL, 'Lnt', NULL, NULL, 699, 10),
(44530, NULL, 'MF_01437', NULL, NULL, 'CDP-diacylglycerol--glycerol-3-phosphate 3-phosphatidyltransferase [pgsA].', NULL, 'PgsA', NULL, NULL, 14588, 10),
(44531, NULL, 'MF_04110', NULL, NULL, 'Endolysin.', NULL, 'ENDOLYSIN_T4', NULL, NULL, 7844, 10),
(44532, NULL, 'MF_00705', NULL, NULL, 'IMP cyclohydrolase [purO].', NULL, 'IMP_cyclohydrol', NULL, NULL, 4277, 10),
(44533, NULL, 'MF_00965', NULL, NULL, 'ATP-dependent RNA helicase DbpA [dbpA].', NULL, 'DEAD_helicase_DbpA', NULL, NULL, 27414, 10),
(44534, NULL, 'MF_02056', NULL, NULL, 'O-succinylhomoserine sulfhydrylase [metZ].', NULL, 'MetZ', NULL, NULL, 3791, 10),
(44535, NULL, 'MF_01220_B', NULL, NULL, 'Uridylate kinase [pyrH].', NULL, 'PyrH_B', NULL, NULL, 8990, 10),
(44536, NULL, 'MF_00316', NULL, NULL, 'Molybdenum cofactor guanylyltransferase [mobA].', NULL, 'MobA', NULL, NULL, 10019, 10),
(44537, NULL, 'MF_00805', NULL, NULL, 'Citrate lyase acyl carrier protein [citD].', NULL, 'CitD', NULL, NULL, 6215, 10),
(44538, NULL, 'MF_01895', NULL, NULL, 'Ribonuclease R [rnr].', NULL, 'RNase_R', NULL, NULL, 13088, 10),
(44539, NULL, 'MF_04206', NULL, NULL, 'Envelope small membrane protein [E].', NULL, 'GAMMA_CORONA_E', NULL, NULL, 5458, 10),
(44540, NULL, 'MF_00551', NULL, NULL, 'Uridine kinase [udk].', NULL, 'Uridine_kinase', NULL, NULL, 2741, 10),
(44541, NULL, 'MF_01360', NULL, NULL, 'UPF0367 protein <locus_tag>.', NULL, 'UPF0367', NULL, NULL, 21147, 10),
(44542, NULL, 'MF_01395', NULL, NULL, 'Acetyl-coenzyme A carboxylase carboxyl transferase subunit beta, chloroplastic [accD].', NULL, 'AcetylCoA_CT_beta', NULL, NULL, 5573, 10),
(44543, NULL, 'MF_01243', NULL, NULL, 'Formamidase [amiF].', NULL, 'Formamidase', NULL, NULL, 17424, 10);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44544, NULL, 'MF_01514', NULL, NULL, 'UPF0314 protein <locus_tag>.', NULL, 'UPF0314', NULL, NULL, 20717, 10),
(44545, NULL, 'MF_01803', NULL, NULL, 'Chromosome partition protein MukF [mukF].', NULL, 'MukF', NULL, NULL, 1656, 10),
(44546, NULL, 'MF_00994', NULL, NULL, 'Lipopolysaccharide assembly protein B [lapB].', NULL, 'LPS_assembly_LapB', NULL, NULL, 23422, 10),
(44547, NULL, 'MF_00501', NULL, NULL, '50S ribosomal protein L31 [rpmE].', NULL, 'Ribosomal_L31_1', NULL, NULL, 27388, 10),
(44548, NULL, 'MF_00111', NULL, NULL, 'UDP-N-acetylglucosamine 1-carboxyvinyltransferase [murA].', NULL, 'MurA', NULL, NULL, 4727, 10),
(44549, NULL, 'MF_01108', NULL, NULL, 'Acetylornithine deacetylase [argE].', NULL, 'ArgE', NULL, NULL, 10625, 10),
(44550, NULL, 'MF_01486', NULL, NULL, 'RecBCD enzyme subunit RecC [recC].', NULL, 'RecC', NULL, NULL, 2335, 10),
(44551, NULL, 'MF_01963', NULL, NULL, 'S-methyl-5''-thioadenosine phosphorylase [mtnP].', NULL, 'MTAP', NULL, NULL, 5260, 10),
(44552, NULL, 'MF_00271', NULL, NULL, 'V-type ATP synthase subunit D [atpD].', NULL, 'ATP_synth_D_arch', NULL, NULL, 3538, 10),
(44553, NULL, 'MF_01595', NULL, NULL, 'Polyribonucleotide nucleotidyltransferase [pnp].', NULL, 'PNPase', NULL, NULL, 7500, 10),
(44554, NULL, 'MF_00670', NULL, NULL, 'Altronate oxidoreductase [uxaB].', NULL, 'Altron_oxidoreduct', NULL, NULL, 16585, 10),
(44555, NULL, 'MF_01974', NULL, NULL, 'Methionine aminopeptidase [map].', NULL, 'MetAP_1', NULL, NULL, 7309, 10),
(44556, NULL, 'MF_01891', NULL, NULL, 'Flagellar transcriptional regulator FlhC [flhC].', NULL, 'FhlC', NULL, NULL, 4357, 10),
(44557, NULL, 'MF_00248', NULL, NULL, 'ATP-dependent protease subunit HslV [hslV].', NULL, 'HslV', NULL, NULL, 15820, 10),
(44558, NULL, 'MF_00821', NULL, NULL, 'Protein-export protein SecB [secB].', NULL, 'SecB', NULL, NULL, 2274, 10),
(44559, NULL, 'MF_01392', NULL, NULL, 'Cytochrome c biogenesis protein Ccs1 [ccs1].', NULL, 'CytC_Ccs1', NULL, NULL, 17200, 10),
(44560, NULL, 'MF_00054_A', NULL, NULL, 'Elongation factor G [fusA].', NULL, 'EF_G_EF_2_A', NULL, NULL, 773, 10),
(44561, NULL, 'MF_00953', NULL, NULL, 'DNA topoisomerase 3 [topB].', NULL, 'Topoisom_3_prok', NULL, NULL, 4567, 10),
(44562, NULL, 'MF_01421', NULL, NULL, 'UPF0323 lipoprotein <locus_tag>.', NULL, 'UPF0323', NULL, NULL, 14787, 10),
(44563, NULL, 'MF_02027', NULL, NULL, 'dTDP-fucosamine acetyltransferase [wecD].', NULL, 'WecD_RffC', NULL, NULL, 9962, 10),
(44564, NULL, 'MF_00973', NULL, NULL, 'Gluconeogenesis factor.', NULL, 'Gluconeogen_factor', NULL, NULL, 10949, 10),
(44565, NULL, 'MF_00348', NULL, NULL, 'DNA repair and recombination protein RadA [radA].', NULL, 'RadA_arch', NULL, NULL, 11070, 10),
(44566, NULL, 'MF_04048', NULL, NULL, 'Pre-protein VI [L3].', NULL, 'ADV_CAP6', NULL, NULL, 3623, 10),
(44567, NULL, 'MF_00495', NULL, NULL, 'Phosphoglycolate phosphatase [gph].', NULL, 'GPH_hydrolase_bact', NULL, NULL, 36268, 10),
(44568, NULL, 'MF_01006', NULL, NULL, 'Undecaprenyl-diphosphatase [uppP].', NULL, 'Undec_diphosphatase', NULL, NULL, 3474, 10),
(44569, NULL, 'MF_02029', NULL, NULL, 'UDP-N-acetyl-D-mannosamine dehydrogenase [wecC].', NULL, 'WecC_RffD', NULL, NULL, 24973, 10),
(44570, NULL, 'MF_01442', NULL, NULL, 'Coproheme decarboxylase [chdC].', NULL, 'Coproheme_decarbox_1', NULL, NULL, 28416, 10),
(44571, NULL, 'MF_04001', NULL, NULL, 'Regulatory protein E2 [E2].', NULL, 'PPV_E2', NULL, NULL, 32357, 10),
(44572, NULL, 'MF_00678', NULL, NULL, 'UPF0262 protein <locus_tag>.', NULL, 'UPF0262', NULL, NULL, 7523, 10),
(44573, NULL, 'MF_01227', NULL, NULL, 'CTP synthase [pyrG].', NULL, 'PyrG', NULL, NULL, 7246, 10),
(44574, NULL, 'MF_00065', NULL, NULL, 'Adenylyl-sulfate kinase [cysC].', NULL, 'Adenylyl_sulf_kinase', NULL, NULL, 6413, 10),
(44575, NULL, 'MF_00253_A', NULL, NULL, 'Glycine--tRNA ligase [glyQS].', NULL, 'Gly_tRNA_synth_A', NULL, NULL, 18432, 10),
(44576, NULL, 'MF_01838', NULL, NULL, 'Trans-2-enoyl-CoA reductase [NADH] [fabV].', NULL, 'FabV_reductase', NULL, NULL, 10192, 10),
(44577, NULL, 'MF_01560', NULL, NULL, 'UPF0358 protein <locus_tag>.', NULL, 'UPF0358', NULL, NULL, 8147, 10);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44578, NULL, 'MF_03005', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit F [EIF3F].', NULL, 'eIF3f', NULL, NULL, 26795, 10),
(44579, NULL, 'MF_00761', NULL, NULL, 'UPF0303 protein <locus_tag>.', NULL, 'UPF0303', NULL, NULL, 8583, 10),
(44580, NULL, 'MF_01286', NULL, NULL, 'Digeranylgeranylglyceryl phosphate synthase.', NULL, 'DGGGP_synth', NULL, NULL, 17400, 10),
(44581, NULL, 'MF_01561', NULL, NULL, 'Probable phosphatase YcdX [ycdX].', NULL, 'YcdX_phosphat', NULL, NULL, 7014, 10),
(44582, NULL, 'MF_00156', NULL, NULL, '3-methyl-2-oxobutanoate hydroxymethyltransferase [panB].', NULL, 'PanB', NULL, NULL, 2465, 10),
(44583, NULL, 'MF_01570', NULL, NULL, 'Proline--tRNA ligase [proS].', NULL, 'Pro_tRNA_synth_type2', NULL, NULL, 10915, 10),
(44584, NULL, 'MF_00783', NULL, NULL, 'Probable flagellum biosynthesis repressor protein FlbT [flbT].', NULL, 'FlbT', NULL, NULL, 8065, 10),
(44585, NULL, 'MF_03014', NULL, NULL, 'Kynurenine formamidase [AFMID].', NULL, 'KFase', NULL, NULL, 24470, 10),
(44586, NULL, 'MF_01043', NULL, NULL, 'Glycerol-3-phosphate acyltransferase [plsY].', NULL, 'PlsY', NULL, NULL, 6465, 10),
(44587, NULL, 'MF_02051', NULL, NULL, '(4S)-4-hydroxy-5-phosphonooxypentane-2,3-dione isomerase [lsrG].', NULL, 'LsrG', NULL, NULL, 35484, 10),
(44588, NULL, 'MF_04117', NULL, NULL, 'Major capsid protein.', NULL, 'CAPSID_H_T4', NULL, NULL, 35736, 10),
(44589, NULL, 'MF_00296', NULL, NULL, 'Homoserine O-acetyltransferase [metXA].', NULL, 'MetX_acyltransf', NULL, NULL, 554, 10),
(44590, NULL, 'MF_01667', NULL, NULL, 'Glyoxylate/hydroxypyruvate reductase B [ghrB].', NULL, '2_Hacid_dh_C_GhrB', NULL, NULL, 11145, 10),
(44591, NULL, 'MF_00005', NULL, NULL, 'Argininosuccinate synthase [argG].', NULL, 'Arg_succ_synth_type1', NULL, NULL, 16289, 10),
(44592, NULL, 'MF_03105', NULL, NULL, 'Mitochondrial distribution and morphology protein 34 [MDM34].', NULL, 'Mdm34', NULL, NULL, 24835, 10),
(44593, NULL, 'MF_01427', NULL, NULL, '3''-5'' exoribonuclease YhaM [yhaM].', NULL, '3_5_Exoribonuc_YhaM', NULL, NULL, 21481, 10),
(44594, NULL, 'MF_01527_A', NULL, NULL, 'GTP cyclohydrolase FolE2 [folE2].', NULL, 'GTP_cyclohydrol_A', NULL, NULL, 17463, 10),
(44595, NULL, 'MF_02095', NULL, NULL, '3''(2''),5''-bisphosphate nucleotidase CysQ [cysQ].', NULL, 'CysQ', NULL, NULL, 3606, 10),
(44596, NULL, 'MF_00195', NULL, NULL, 'GTPase Der [der].', NULL, 'GTPase_Der', NULL, NULL, 15919, 10),
(44597, NULL, 'MF_01113', NULL, NULL, 'DNA polymerase IV [dinB].', NULL, 'DNApol_IV', NULL, NULL, 17349, 10),
(44598, NULL, 'MF_04088', NULL, NULL, 'Non-structural protein 1.', NULL, 'ROTA_NSP1', NULL, NULL, 5071, 10),
(44599, NULL, 'MF_00769', NULL, NULL, '2-phosphoglycerate kinase [pgk2].', NULL, '2PGK', NULL, NULL, 19929, 10),
(44600, NULL, 'MF_01459', NULL, NULL, 'Chromophore lyase CpcS/CpeS [cpcS].', NULL, 'Chrphore_lyase_CpxS', NULL, NULL, 14650, 10),
(44601, NULL, 'MF_03049', NULL, NULL, 'Adenylyltransferase and sulfurtransferase MOCS3 [MOCS3].', NULL, 'MOCS3_Uba4', NULL, NULL, 26908, 10),
(44602, NULL, 'MF_01088', NULL, NULL, 'Universal stress protein B [uspB].', NULL, 'UspB', NULL, NULL, 20381, 10),
(44603, NULL, 'MF_01549', NULL, NULL, 'Protein DsrB [dsrB].', NULL, 'DsrB', NULL, NULL, 21173, 10),
(44604, NULL, 'MF_02240', NULL, NULL, 'Phosphoserine phosphatase.', NULL, 'PSP', NULL, NULL, 37792, 10),
(44605, NULL, 'MF_00692', NULL, NULL, 'Protein adenylyltransferase SelO [selO].', NULL, 'SelO', NULL, NULL, 3259, 10),
(44606, NULL, 'MF_03068', NULL, NULL, 'ATP-dependent RNA helicase DHX29 [DHX29].', NULL, 'DHX29', NULL, NULL, 9960, 10),
(44607, NULL, 'MF_04020', NULL, NULL, 'Small capsomere-interacting protein [SCP].', NULL, 'HSV_SCP_alphahv', NULL, NULL, 2899, 10),
(44608, NULL, 'MF_00372', NULL, NULL, 'Imidazolonepropionase [hutI].', NULL, 'HutI', NULL, NULL, 208, 10),
(44609, NULL, 'MF_00077', NULL, NULL, 'tRNA (cytidine(56)-2''-O)-methyltransferase.', NULL, 'tRNA_methyltr_aTrm56', NULL, NULL, 5718, 10),
(44610, NULL, 'MF_02022', NULL, NULL, 'Cell division protein DedD [dedD].', NULL, 'DedD', NULL, NULL, 25722, 10);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44611, NULL, 'MF_03015', NULL, NULL, '40S ribosomal protein SA [rps-0].', NULL, 'Ribosomal_S2_euk', NULL, NULL, 27858, 10),
(44612, NULL, 'MF_03066', NULL, NULL, 'E3 ubiquitin-protein ligase RNF168 [RNF168].', NULL, 'RNF168', NULL, NULL, 33119, 10),
(44613, NULL, 'MF_02061', NULL, NULL, 'Thioredoxin/glutathione peroxidase BtuE [btuE].', NULL, 'Thiored_glutath_peroxid', NULL, NULL, 31227, 10),
(44614, NULL, 'MF_00475', NULL, NULL, 'Trp operon repressor [trpR].', NULL, 'Trp_repressor', NULL, NULL, 18847, 10),
(44615, NULL, 'MF_00923', NULL, NULL, 'Outer membrane protein assembly factor BamB [bamB].', NULL, 'OM_assembly_BamB', NULL, NULL, 17732, 10),
(44616, NULL, 'MF_00516', NULL, NULL, 'Monomeric sarcosine oxidase [soxA].', NULL, 'MSOX', NULL, NULL, 3894, 10),
(44617, NULL, 'MF_00489', NULL, NULL, 'UPF0178 protein YaiI [yaiI].', NULL, 'UPF0178', NULL, NULL, 6284, 10),
(44618, NULL, 'MF_00537', NULL, NULL, '30S ribosomal protein S14 [rpsN].', NULL, 'Ribosomal_S14_1', NULL, NULL, 15337, 10),
(44619, NULL, 'MF_01926', NULL, NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurS [purS].', NULL, 'PurS', NULL, NULL, 3075, 10),
(44620, NULL, 'MF_03069', NULL, NULL, 'Protein kintoun [DNAAF2].', NULL, 'Kintoun', NULL, NULL, 20629, 10),
(44621, NULL, 'MF_00165', NULL, NULL, 'Thymidylate kinase [tmk].', NULL, 'Thymidylate_kinase', NULL, NULL, 21341, 10),
(44622, NULL, 'MF_00279', NULL, NULL, 'Pyridoxine 5''-phosphate synthase [pdxJ].', NULL, 'PdxJ', NULL, NULL, 754, 10),
(44623, NULL, 'MF_03008', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit I [EIF3I].', NULL, 'eIF3i', NULL, NULL, 26685, 10),
(44624, NULL, 'MF_01685', NULL, NULL, 'Ferredoxin--NADP reductase.', NULL, 'FENR2', NULL, NULL, 15486, 10),
(44625, NULL, 'MF_03127', NULL, NULL, 'Adenylosuccinate synthetase isozyme 2 [ADSS].', NULL, 'Adenylosucc_synth_vert_acid', NULL, NULL, 24965, 10),
(44626, NULL, 'MF_01087', NULL, NULL, 'UPF0285 protein <locus_tag>.', NULL, 'UPF0285', NULL, NULL, 21856, 10),
(44627, NULL, 'MF_01345_A', NULL, NULL, '30S ribosomal protein S17 [rpsQ].', NULL, 'Ribosomal_S17_A', NULL, NULL, 12385, 10),
(44628, NULL, 'MF_04139', NULL, NULL, 'NAD(+)--arginine ADP-ribosyltransferase [alt].', NULL, 'ALT_T4', NULL, NULL, 17416, 10),
(44629, NULL, 'MF_01041', NULL, NULL, 'UPF0223 protein <locus_tag>.', NULL, 'UPF0223', NULL, NULL, 3238, 10),
(44630, NULL, 'MF_04078', NULL, NULL, 'Protein Nef [nef].', NULL, 'NEF_HIV', NULL, NULL, 3067, 10),
(44631, NULL, 'MF_01890', NULL, NULL, 'Penicillin-binding protein activator LpoA [lpoA].', NULL, 'LpoA', NULL, NULL, 4961, 10),
(44632, NULL, 'MF_01307_A', NULL, NULL, '30S ribosomal protein S5 [rpsE].', NULL, 'Ribosomal_S5_A', NULL, NULL, 3876, 10),
(44633, NULL, 'MF_00264', NULL, NULL, 'UPF0128 protein <locus_tag>.', NULL, 'UPF0128', NULL, NULL, 4272, 10),
(44634, NULL, 'MF_00268', NULL, NULL, 'Protein RecA [recA].', NULL, 'RecA', NULL, NULL, 7617, 10),
(44635, NULL, 'MF_00967', NULL, NULL, 'ATP-dependent RNA helicase SrmB [srmB].', NULL, 'DEAD_helicase_SrmB', NULL, NULL, 27334, 10),
(44636, NULL, 'MF_01868', NULL, NULL, 'Lipopolysaccharide core heptose(II)-phosphate phosphatase [ais].', NULL, 'Ais', NULL, NULL, 10666, 10),
(44637, NULL, 'MF_00581', NULL, NULL, 'Argininosuccinate synthase [argG].', NULL, 'Arg_succ_synth_type2', NULL, NULL, 16290, 10),
(44638, NULL, 'MF_01649', NULL, NULL, '3-phenylpropionate/cinnamic acid dioxygenase subunit beta [hcaF].', NULL, 'HcaF', NULL, NULL, 16804, 10),
(44639, NULL, 'MF_01682', NULL, NULL, 'Acireductone dioxygenase [mtnD].', NULL, 'Salvage_MtnD', NULL, NULL, 8734, 10),
(44640, NULL, 'MF_02080', NULL, NULL, 'Peptidoglycan D,D-transpeptidase FtsI [ftsI].', NULL, 'FtsI_transpept', NULL, NULL, 31279, 10),
(44641, NULL, 'MF_01298', NULL, NULL, 'Arginine decarboxylase proenzyme.', NULL, 'ArgDC', NULL, NULL, 26372, 10),
(44642, NULL, 'MF_01301', NULL, NULL, 'Maltoporin [lamB].', NULL, 'LamB', NULL, NULL, 17385, 10),
(44643, NULL, 'MF_00036_B', NULL, NULL, 'Alanine--tRNA ligase [alaS].', NULL, 'Ala_tRNA_synth_B', NULL, NULL, 15487, 10);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44644, NULL, 'MF_00929', NULL, NULL, 'Cellobiose 2-epimerase.', NULL, 'Cellobiose_2_epim', NULL, NULL, 23421, 10),
(44645, NULL, 'MF_04105', NULL, NULL, 'Antiholin.', NULL, 'ANTIH_T4', NULL, NULL, 7641, 10),
(44646, NULL, 'MF_01565', NULL, NULL, 'Zinc transport protein ZntB [zntB].', NULL, 'ZntB', NULL, NULL, 10681, 10),
(44647, NULL, 'MF_01548', NULL, NULL, 'UPF0354 protein <locus_tag>.', NULL, 'UPF0354', NULL, NULL, 11994, 10),
(44648, NULL, 'MF_00948', NULL, NULL, 'Transcription termination/antitermination protein NusG [nusG].', NULL, 'NusG', NULL, NULL, 1104, 10),
(44649, NULL, 'MF_01136', NULL, NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit gamma [cdhE].', NULL, 'CdhE', NULL, NULL, 16430, 10),
(44650, NULL, 'MF_04012', NULL, NULL, 'Portal protein.', NULL, 'HSV_PORTL', NULL, NULL, 2751, 10),
(44651, NULL, 'MF_01357', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit J, chloroplastic [ndhJ].', NULL, 'NDH1_NuoC', NULL, NULL, 4317, 10),
(44652, NULL, 'MF_00647', NULL, NULL, 'Phosphopantetheine adenylyltransferase [coaD].', NULL, 'PPAT_arch', NULL, NULL, 16676, 10),
(44653, NULL, 'MF_00780', NULL, NULL, 'Protein YceI [yceI].', NULL, 'UPF0312', NULL, NULL, 17005, 10),
(44654, NULL, 'MF_01279', NULL, NULL, 'Xaa-Pro dipeptidase [pepQ].', NULL, 'X_Pro_dipeptid', NULL, NULL, 17161, 10),
(44655, NULL, 'MF_00226_B', NULL, NULL, 'Putative competence-damage inducible protein [cinA].', NULL, 'CinA_B', NULL, NULL, 6109, 10),
(44656, NULL, 'MF_00234', NULL, NULL, 'Adenylate kinase [adkA].', NULL, 'Adenylate_kinase_AdkA', NULL, NULL, 16439, 10),
(44657, NULL, 'MF_00480_A', NULL, NULL, '30S ribosomal protein S7 [rpsG].', NULL, 'Ribosomal_S7_A', NULL, NULL, 25052, 10),
(44658, NULL, 'MF_04098', NULL, NULL, 'Spike glycoprotein [S].', NULL, 'GAMMA_CORONA_SPIKE', NULL, NULL, NULL, 10),
(44659, NULL, 'MF_01456', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit 4L, chloroplastic [ndhE].', NULL, 'NDH1_NuoK', NULL, NULL, 1071, 10),
(44660, NULL, 'MF_00333', NULL, NULL, 'Oxygen-dependent coproporphyrinogen-III oxidase [hemF].', NULL, 'Coprogen_oxidas', NULL, NULL, 2462, 10),
(44661, NULL, 'MF_01191', NULL, NULL, 'UPF0442 protein YjjB [yjjB].', NULL, 'UPF0442', NULL, NULL, 14734, 10),
(44662, NULL, 'MF_00826', NULL, NULL, 'Glycine/sarcosine/betaine reductase complex component A [grdA].', NULL, 'GRDA', NULL, NULL, 3580, 10),
(44663, NULL, 'MF_00830', NULL, NULL, 'Ureidoacrylate amidohydrolase RutB [rutB].', NULL, 'RutB', NULL, NULL, 15161, 10),
(44664, NULL, 'MF_03228', NULL, NULL, 'Probable butyrate:acetyl-CoA coenzyme A-transferase.', NULL, 'But_CoA_trans', NULL, NULL, 12570, 10),
(44665, NULL, 'MF_00093', NULL, NULL, 'Peptide chain release factor 1 [prfA].', NULL, 'Rel_fac_1', NULL, NULL, 5653, 10),
(44666, NULL, 'MF_02239', NULL, NULL, 'Protoporphyrinogen IX oxidase.', NULL, 'HemJ', NULL, NULL, 4193, 10),
(44667, NULL, 'MF_00043', NULL, NULL, 'Elongation factor 1-beta [ef1b].', NULL, 'EF1_beta', NULL, NULL, 1665, 10),
(44668, NULL, 'MF_00362', NULL, NULL, '50S ribosomal protein L10 [rplJ].', NULL, 'Ribosomal_L10', NULL, NULL, 14608, 10),
(44669, NULL, 'MF_00804', NULL, NULL, 'NAD/NADP-dependent betaine aldehyde dehydrogenase [betB].', NULL, 'BADH', NULL, NULL, 11359, 10),
(44670, NULL, 'MF_00611', NULL, NULL, 'Protein FdhE [fdhE].', NULL, 'FdeH', NULL, NULL, 6955, 10),
(44671, NULL, 'MF_00163', NULL, NULL, 'Peptide deformylase [def].', NULL, 'Pep_deformylase', NULL, NULL, 6236, 10),
(44672, NULL, 'MF_00549', NULL, NULL, 'Methylglyoxal synthase [mgsA].', NULL, 'Methylglyoxal_synth', NULL, NULL, 5781, 10),
(44673, NULL, 'MF_00388', NULL, NULL, 'UDP-3-O-acyl-N-acetylglucosamine deacetylase [lpxC].', NULL, 'LpxC', NULL, NULL, 7391, 10),
(44674, NULL, 'MF_02084', NULL, NULL, '[LysW]-aminoadipate semialdehyde/glutamate semialdehyde transaminase [lysJ].', NULL, 'LysJ_aminotrans_3', NULL, NULL, 35846, 10),
(44675, NULL, 'MF_01521', NULL, NULL, 'Probable manganese efflux pump MntP [mntP].', NULL, 'MntP_pump', NULL, NULL, 14763, 10),
(44676, NULL, 'MF_01927', NULL, NULL, 'Formyltetrahydrofolate deformylase [purU].', NULL, 'PurU', NULL, NULL, 4383, 10);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44677, NULL, 'MF_01938', NULL, NULL, '2-carboxy-1,4-naphthoquinone phytyltransferase [menA].', NULL, 'MenA_2', NULL, NULL, 11331, 10),
(44678, NULL, 'MF_00592', NULL, NULL, 'Deoxyribose-phosphate aldolase [deoC].', NULL, 'DeoC_type2', NULL, NULL, 16597, 10),
(44679, NULL, 'MF_01493', NULL, NULL, 'DEAD-box ATP-dependent RNA helicase CshA [cshA].', NULL, 'DEAD_helicase_CshA', NULL, NULL, 28897, 10),
(44680, NULL, 'MF_00029', NULL, NULL, '30S ribosomal protein S8e [rps8e].', NULL, 'Ribosomal_S8e', NULL, NULL, 14971, 10),
(44681, NULL, 'MF_00261', NULL, NULL, 'DNA-directed RNA polymerase subunit L [rpoL].', NULL, 'RNApol_arch_L', NULL, NULL, 17426, 10),
(44682, NULL, 'MF_01004', NULL, NULL, 'Vitamin B12 import system permease protein BtuC [btuC].', NULL, 'BtuC', NULL, NULL, 11773, 10),
(44683, NULL, 'MF_00154', NULL, NULL, 'Protoheme IX farnesyltransferase [cyoE].', NULL, 'CyoE_CtaB', NULL, NULL, 5861, 10),
(44684, NULL, 'MF_00655', NULL, NULL, 'PqqA binding protein [pqqD].', NULL, 'PQQ_syn_PqqD', NULL, NULL, 16617, 10),
(44685, NULL, 'MF_01235', NULL, NULL, 'Putative N-acetylmannosamine-6-phosphate 2-epimerase [nanE].', NULL, 'ManNAc6P_epimer', NULL, NULL, 6835, 10),
(44686, NULL, 'MF_00007', NULL, NULL, 'DNA primase DnaG [dnaG].', NULL, 'DNA_primase_DnaG_arc', NULL, NULL, 14966, 10),
(44687, NULL, 'MF_00708', NULL, NULL, 'Fumarate reductase subunit C [frdC].', NULL, 'Fumarate_red_C', NULL, NULL, 6216, 10),
(44688, NULL, 'MF_02008', NULL, NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, 'Tyr_tRNA_synth_type3', NULL, NULL, 14675, 10),
(44689, NULL, 'MF_00567', NULL, NULL, 'Quinolinate synthase A [nadA].', NULL, 'NadA_type1', NULL, NULL, 16729, 10),
(44690, NULL, 'MF_00554', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase Nep1 [nep1].', NULL, 'NEP1', NULL, NULL, 16799, 10),
(44691, NULL, 'MF_03152', NULL, NULL, 'tRNA (guanine(37)-N1)-methyltransferase [TRMT5].', NULL, 'TRM5', NULL, NULL, 23618, 10),
(44692, NULL, 'MF_01959', NULL, NULL, 'Cytochrome c-type biogenesis protein CcmE [ccmE].', NULL, 'CcmE', NULL, NULL, 4990, 10),
(44693, NULL, 'MF_00100_B', NULL, NULL, 'Translation initiation factor IF-2 [infB].', NULL, 'IF_2_B', NULL, NULL, 1527, 10),
(44694, NULL, 'MF_01054', NULL, NULL, 'UPF0237 protein <locus_tag>.', NULL, 'UPF0237', NULL, NULL, 15474, 10),
(44695, NULL, 'MF_01903', NULL, NULL, 'Xanthine-guanine phosphoribosyltransferase [gpt].', NULL, 'XGPRT', NULL, NULL, 17404, 10),
(44696, NULL, 'MF_00359', NULL, NULL, '30S ribosomal protein S3Ae [rps3ae].', NULL, 'Ribosomal_S3Ae', NULL, NULL, 22271, 10),
(44697, NULL, 'MF_04123', NULL, NULL, 'Inner capsid protein VP2.', NULL, 'Rota_VP2', NULL, NULL, 1008, 10),
(44698, NULL, 'MF_04143', NULL, NULL, 'Poxin-Schlafen.', NULL, 'Poxins', NULL, NULL, 4409, 10),
(44699, NULL, 'MF_04037', NULL, NULL, 'Envelope glycoprotein N [gN].', NULL, 'HSV_GN', NULL, NULL, 8016, 10),
(44700, NULL, 'MF_02011', NULL, NULL, 'Cell cycle protein GpsB [gpsB].', NULL, 'GpsB', NULL, NULL, 10686, 10),
(44701, NULL, 'MF_00148', NULL, NULL, 'Uracil-DNA glycosylase [ung].', NULL, 'UDG', NULL, NULL, 1436, 10),
(44702, NULL, 'MF_00179', NULL, NULL, 'GTP cyclohydrolase-2 [ribA].', NULL, 'RibA', NULL, NULL, 3009, 10),
(44703, NULL, 'MF_01309_A', NULL, NULL, '30S ribosomal protein S3 [rpsC].', NULL, 'Ribosomal_S3_A', NULL, NULL, 27353, 10),
(44704, NULL, 'MF_00115', NULL, NULL, 'Large-conductance mechanosensitive channel [mscL].', NULL, 'MscL', NULL, NULL, 1117, 10),
(44705, NULL, 'MF_00412', NULL, NULL, 'Gamma-glutamyl phosphate reductase [proA].', NULL, 'ProA', NULL, NULL, 61, 10),
(44706, NULL, 'MF_00476', NULL, NULL, 'Nickel-responsive regulator [nikR].', NULL, 'NikR', NULL, NULL, 15198, 10),
(44707, NULL, 'MF_00307', NULL, NULL, 'Prefoldin subunit beta [pfdB].', NULL, 'PfdB', NULL, NULL, 11570, 10),
(44708, NULL, 'MF_03060', NULL, NULL, 'Draxin [DRAXIN].', NULL, 'Draxin', NULL, NULL, 26223, 10),
(44709, NULL, 'MF_01453', NULL, NULL, 'ATP-dependent helicase/deoxyribonuclease subunit B [rexB].', NULL, 'AddB_type2', NULL, NULL, 14498, 10),
(44710, NULL, 'MF_04024', NULL, NULL, 'Nuclear egress protein 2 [NEC2].', NULL, 'HSV_NEC2', NULL, NULL, 2767, 10);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44711, NULL, 'MF_01841', NULL, NULL, 'Agmatine deiminase [aguA].', NULL, 'Agmatine_deimin', NULL, NULL, 19008, 10),
(44712, NULL, 'MF_02091', NULL, NULL, 'Uncharacterized MFS-type transporter YfcJ [yfcJ].', NULL, 'MFS_YfcJ', NULL, NULL, 35191, 10),
(44713, NULL, 'MF_01562', NULL, NULL, 'UPF0365 protein <locus_tag>.', NULL, 'UPF0365', NULL, NULL, 16992, 10),
(44714, NULL, 'MF_04087', NULL, NULL, 'RING finger protein Z [Z].', NULL, 'ARENA_Z', NULL, NULL, 13894, 10),
(44715, NULL, 'MF_00051', NULL, NULL, 'Serine hydroxymethyltransferase [glyA].', NULL, 'SHMT', NULL, NULL, 2286, 10),
(44716, NULL, 'MF_01966', NULL, NULL, 'NAD(P)H-hydrate epimerase [nnrE].', NULL, 'NADHX_epimerase', NULL, NULL, 7312, 10),
(44717, NULL, 'MF_00904', NULL, NULL, 'Modulator protein MzrA [mzrA].', NULL, 'Modulator_MzrA', NULL, NULL, 21686, 10),
(44718, NULL, 'MF_01577', NULL, NULL, 'Putative multidrug resistance protein MdtD [mdtD].', NULL, 'MFS_MdtD', NULL, NULL, 7008, 10),
(44719, NULL, 'MF_02235', NULL, NULL, 'N-succinylornithine carbamoyltransferase [argF''].', NULL, 'SOTCase', NULL, NULL, 37898, 10),
(44720, NULL, 'MF_03206', NULL, NULL, 'Elongation of very long chain fatty acids protein 6 [ELOVL6].', NULL, 'VLCF_elongase_6', NULL, NULL, 32499, 10),
(44721, NULL, 'MF_02041', NULL, NULL, 'tRNA-dihydrouridine(20/20a) synthase [dusA].', NULL, 'DusA_subfam', NULL, NULL, 2584, 10),
(44722, NULL, 'MF_01631', NULL, NULL, 'Bifunctional protein GlmU [glmU].', NULL, 'GlmU', NULL, NULL, 6560, 10),
(44723, NULL, 'MF_00836', NULL, NULL, 'Ribose 1,5-bisphosphate phosphokinase PhnN [phnN].', NULL, 'PhnN', NULL, NULL, 11602, 10),
(44724, NULL, 'MF_02055', NULL, NULL, 'Tyrosine recombinase XerA [xerA].', NULL, 'Recomb_XerA', NULL, NULL, 35150, 10),
(44725, NULL, 'MF_01352', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit M [ndhM].', NULL, 'NDH1_NDH1M', NULL, NULL, 15437, 10),
(44726, NULL, 'MF_00518', NULL, NULL, 'D-aminoacyl-tRNA deacylase [dtd].', NULL, 'Deacylase_Dtd', NULL, NULL, 2230, 10),
(44727, NULL, 'MF_00629', NULL, NULL, '50S ribosomal protein L39e [rpl39e].', NULL, 'Ribosomal_L39e', NULL, NULL, 2836, 10),
(44728, NULL, 'MF_00984', NULL, NULL, 'Single-stranded DNA-binding protein.', NULL, 'SSB', NULL, NULL, 11269, 10),
(44729, NULL, 'MF_01267', NULL, NULL, '3-keto-L-gulonate-6-phosphate decarboxylase UlaD [ulaD].', NULL, 'UlaD', NULL, NULL, 9946, 10),
(44730, NULL, 'MF_00367', NULL, NULL, 'GTPase Era [era].', NULL, 'GTPase_Era', NULL, NULL, 3853, 10),
(44731, NULL, 'MF_00272', NULL, NULL, 'Glycine cleavage system H protein [gcvH].', NULL, 'GcvH', NULL, NULL, 6904, 10),
(44732, NULL, 'MF_01344', NULL, NULL, 'Cytochrome b6-f complex subunit 4 [petD].', NULL, 'Cytb6_f_subIV', NULL, NULL, 6507, 10),
(44733, NULL, 'MF_01400', NULL, NULL, 'Peptide methionine sulfoxide reductase MsrB [msrB].', NULL, 'MsrB', NULL, NULL, 1929, 10),
(44734, NULL, 'MF_04141', NULL, NULL, 'NAD--protein ADP-ribosyltransferase modA [modA].', NULL, 'MODA_T4', NULL, NULL, 37924, 10),
(44735, NULL, 'MF_00572', NULL, NULL, '2-isopropylmalate synthase [leuA].', NULL, 'LeuA_type2', NULL, NULL, 3552, 10),
(44736, NULL, 'MF_01983', NULL, NULL, 'UbiD-like decarboxylase.', NULL, 'UbiD_FDC', NULL, NULL, 25523, 10),
(44737, NULL, 'MF_00240', NULL, NULL, 'Outer-membrane lipoprotein carrier protein [lolA].', NULL, 'LolA', NULL, NULL, 17690, 10),
(44738, NULL, 'MF_00787', NULL, NULL, 'Cobalt-precorrin-5B C(1)-methyltransferase [cbiD].', NULL, 'CbiD', NULL, NULL, 3661, 10),
(44739, NULL, 'MF_02090', NULL, NULL, 'Glutamine-dependent NAD(+) synthetase [nadE].', NULL, 'NadE_glutamine_dep', NULL, NULL, 9791, 10),
(44740, NULL, 'MF_00720', NULL, NULL, 'Primosomal replication protein N [priB].', NULL, 'PriB', NULL, NULL, 16735, 10),
(44741, NULL, 'MF_03107', NULL, NULL, 'Very-long-chain 3-oxoacyl-CoA reductase.', NULL, '3_ketoreductase', NULL, NULL, 26901, 10),
(44742, NULL, 'MF_02057', NULL, NULL, 'tRNA 5-carboxymethoxyuridine methyltransferase [cmoM].', NULL, 'tRNA_methyltr_CmoM', NULL, NULL, 33271, 10),
(44743, NULL, 'MF_01071', NULL, NULL, 'UPF0266 membrane protein YobD [yobD].', NULL, 'UPF0266', NULL, NULL, 14645, 10);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44744, NULL, 'MF_00350', NULL, NULL, 'DNA repair and recombination protein RadB [radB].', NULL, 'RadB', NULL, NULL, 11273, 10),
(44745, NULL, 'MF_00309', NULL, NULL, 'V-type ATP synthase alpha chain [atpA].', NULL, 'ATP_synth_A_arch', NULL, NULL, 16950, 10),
(44746, NULL, 'MF_01530', NULL, NULL, 'Multidrug resistance protein MdtL [mdtL].', NULL, 'MFS_MdtL', NULL, NULL, 7113, 10),
(44747, NULL, 'MF_00123', NULL, NULL, 'Arginine--tRNA ligase [argS].', NULL, 'Arg_tRNA_synth', NULL, NULL, 420, 10),
(44748, NULL, 'MF_01956', NULL, NULL, 'G/U mismatch-specific DNA glycosylase [mug].', NULL, 'MUG', NULL, NULL, 16625, 10),
(44749, NULL, 'MF_03045', NULL, NULL, 'DIS3-like exonuclease 2 [DIS3L2].', NULL, 'DIS3L2', NULL, NULL, 24698, 10),
(44750, NULL, 'MF_03210', NULL, NULL, 'Formate dehydrogenase, mitochondrial.', NULL, 'Formate_dehydrogenase', NULL, NULL, 30386, 10),
(44751, NULL, 'MF_04070', NULL, NULL, 'Nucleoprotein [NP].', NULL, 'INFV_NCAP', NULL, NULL, 1092, 10),
(44752, NULL, 'MF_00779', NULL, NULL, 'Hut operon positive regulatory protein [hutP].', NULL, 'HutP', NULL, NULL, 16852, 10),
(44753, NULL, 'MF_01816', NULL, NULL, 'Tyrosine recombinase XerS [xerS].', NULL, 'Recomb_XerS', NULL, NULL, 908, 10),
(44754, NULL, 'MF_01654', NULL, NULL, '2-hydroxy-6-oxononadienedioate/2-hydroxy-6-oxononatrienedioate hydrolase [mhpC].', NULL, 'MhpC', NULL, NULL, 17330, 10),
(44755, NULL, 'MF_02204', NULL, NULL, 'Peptidoglycan-associated lipoprotein [pal].', NULL, 'Pal', NULL, NULL, 33457, 10),
(44756, NULL, 'MF_00256', NULL, NULL, '50S ribosomal protein L15e [rpl15e].', NULL, 'Ribosomal_L15e', NULL, NULL, 14850, 10),
(44757, NULL, 'MF_00721', NULL, NULL, '50S ribosomal protein L14e [rpl14e].', NULL, 'Ribosomal_L14e', NULL, NULL, 16658, 10),
(44758, NULL, 'MF_00344', NULL, NULL, 'GMP synthase [glutamine-hydrolyzing] [guaA].', NULL, 'GMP_synthase', NULL, NULL, 14516, 10),
(44759, NULL, 'MF_01591', NULL, NULL, 'Protein Ves [ves].', NULL, 'Ves', NULL, NULL, 17094, 10),
(44760, NULL, 'MF_00601', NULL, NULL, 'Ethanolamine ammonia-lyase light chain [eutC].', NULL, 'EutC', NULL, NULL, 13884, 10),
(44761, NULL, 'MF_03027', NULL, NULL, 'Ribosome biogenesis protein @gn(BOP1) [BOP1].', NULL, 'BOP1', NULL, NULL, 27600, 10),
(44762, NULL, 'MF_00528', NULL, NULL, 'dTTP/UTP pyrophosphatase.', NULL, 'Maf', NULL, NULL, 2033, 10),
(44763, NULL, 'MF_01457', NULL, NULL, 'Flagellar brake protein YcgR [ycgR].', NULL, 'YcgR', NULL, NULL, 17009, 10),
(44764, NULL, 'MF_00539', NULL, NULL, '50S ribosomal protein L27 [rpmA].', NULL, 'Ribosomal_L27', NULL, NULL, 3211, 10),
(44765, NULL, 'MF_00759', NULL, NULL, 'DNA mismatch repair protein MutH [mutH].', NULL, 'MutH', NULL, NULL, 3673, 10),
(44766, NULL, 'MF_00605', NULL, NULL, 'tRNA (guanine-N(1)-)-methyltransferase [trmD].', NULL, 'TrmD', NULL, NULL, 2952, 10),
(44767, NULL, 'MF_00290', NULL, NULL, 'tRNA (guanine(26)-N(2))-dimethyltransferase [trm1].', NULL, 'tRNA_dimethyltr_TRM1', NULL, NULL, 14565, 10),
(44768, NULL, 'MF_01502', NULL, NULL, 'UPF0295 protein <locus_tag>.', NULL, 'UPF0295', NULL, NULL, 14700, 10),
(44769, NULL, 'MF_01011', NULL, NULL, 'tRNA/tmRNA (uracil-C(5))-methyltransferase [trmA].', NULL, 'RNA_methyltr_TrmA', NULL, NULL, 14122, 10),
(44770, NULL, 'MF_00599', NULL, NULL, 'Cell division protein FtsB [ftsB].', NULL, 'FtsB', NULL, NULL, 15260, 10),
(44771, NULL, 'MF_00977', NULL, NULL, '3''-5'' exoribonuclease.', NULL, '3_5_Exoribonuc_actinobact', NULL, NULL, 26910, 10),
(44772, NULL, 'MF_00932', NULL, NULL, 'Thiol:disulfide interchange protein DsbL [dsbL].', NULL, 'DsbL', NULL, NULL, 22396, 10),
(44773, NULL, 'MF_01394', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit 3, chloroplastic [ndhC].', NULL, 'NDH1_NuoA', NULL, NULL, 15188, 10),
(44774, NULL, 'MF_00052_B', NULL, NULL, 'Ribonuclease HII [rnhB].', NULL, 'RNase_HII_B', NULL, NULL, 17148, 10),
(44775, NULL, 'MF_00158', NULL, NULL, 'Pantothenate synthetase [panC].', NULL, 'PanC', NULL, NULL, 2021, 10),
(44776, NULL, 'MF_01464_A', NULL, NULL, 'Protein-export membrane protein SecF [secF].', NULL, 'SecF_A', NULL, NULL, 27605, 10);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44777, NULL, 'MF_01469', NULL, NULL, 'Ribonuclease M5 [rnmV].', NULL, 'RNase_M5', NULL, NULL, 7398, 10),
(44778, NULL, 'MF_00481', NULL, NULL, '50S ribosomal protein L30e [rpl30e].', NULL, 'Ribosomal_L30e', NULL, NULL, 759, 10),
(44779, NULL, 'MF_00718', NULL, NULL, 'Tautomerase PptA [pptA].', NULL, 'Tautomerase_PptA', NULL, NULL, 16716, 10),
(44780, NULL, 'MF_00395', NULL, NULL, 'Cytochrome b6-f complex subunit 8 [petN].', NULL, 'Cytb6_f_PetN', NULL, NULL, 911, 10),
(44781, NULL, 'MF_00741', NULL, NULL, 'Phosphoribosylformylglycinamidine cyclo-ligase [purM].', NULL, 'AIRS', NULL, NULL, 3797, 10),
(44782, NULL, 'MF_01351', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit I, chloroplastic [ndhI].', NULL, 'NDH1_NuoI', NULL, NULL, 4126, 10),
(44783, NULL, 'MF_01657', NULL, NULL, 'Acetaldehyde dehydrogenase [mhpF].', NULL, 'Ac_ald_DH_ac', NULL, NULL, 4027, 10),
(44784, NULL, 'MF_02025', NULL, NULL, 'ECA polysaccharide chain length modulation protein [wzzE].', NULL, 'WzzE', NULL, NULL, 24608, 10),
(44785, NULL, 'MF_00233', NULL, NULL, 'Outer-membrane lipoprotein LolB [lolB].', NULL, 'LolB', NULL, NULL, 922, 10),
(44786, NULL, 'MF_00620', NULL, NULL, 'Putative transcriptional regulatory protein <locus_tag>.', NULL, 'HTH_type_Tfx', NULL, NULL, 20973, 10),
(44787, NULL, 'MF_01090', NULL, NULL, '5,10-methenyltetrahydromethanopterin hydrogenase [hmd].', NULL, 'HMD', NULL, NULL, 6421, 10),
(44788, NULL, 'MF_00023', NULL, NULL, 'SsrA-binding protein [smpB].', NULL, 'SmpB', NULL, NULL, 2669, 10),
(44789, NULL, 'MF_01208', NULL, NULL, 'Orotate phosphoribosyltransferase [pyrE].', NULL, 'PyrE', NULL, NULL, 15044, 10),
(44790, NULL, 'MF_00187', NULL, NULL, 'Sulfur carrier protein FdhD [fdhD].', NULL, 'FdhD', NULL, NULL, 3230, 10),
(44791, NULL, 'MF_00368', NULL, NULL, '50S ribosomal protein L7/L12 [rplL].', NULL, 'Ribosomal_L7_L12', NULL, NULL, 3882, 10),
(44792, NULL, 'MF_01931', NULL, NULL, 'Amidophosphoribosyltransferase [purF].', NULL, 'PurF', NULL, NULL, 6690, 10),
(44793, NULL, 'MF_00987', NULL, NULL, 'L-fuculose phosphate aldolase [fucA].', NULL, 'FucA', NULL, NULL, 5435, 10),
(44794, NULL, 'MF_02100', NULL, NULL, 'Uncharacterized methyltransferase <locus_tag>.', NULL, 'Methyltr_YrrT', NULL, NULL, 12537, 10),
(44795, NULL, 'MF_02094', NULL, NULL, 'Phosphogluconate dehydratase [edd].', NULL, 'Edd', NULL, NULL, 5331, 10),
(44796, NULL, 'MF_01402_A', NULL, NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase [apgM].', NULL, 'ApgM_A', NULL, NULL, 941, 10),
(44797, NULL, 'MF_00118_A', NULL, NULL, 'Elongation factor Tu [tuf].', NULL, 'EF_Tu_A', NULL, NULL, 1904, 10),
(44798, NULL, 'MF_00843', NULL, NULL, 'Major outer membrane lipoprotein Lpp [lpp].', NULL, 'Lpp', NULL, NULL, 20615, 10),
(44799, NULL, 'MF_01089', NULL, NULL, 'UPF0288 protein <locus_tag>.', NULL, 'UPF0288', NULL, NULL, 15660, 10),
(44800, NULL, 'MF_01314', NULL, NULL, 'Anaerobic nitric oxide reductase transcription regulator NorR [norR].', NULL, 'NorR', NULL, NULL, 8549, 10),
(44801, NULL, 'MF_00540', NULL, NULL, 'Adenosine deaminase [add].', NULL, 'A_deaminase', NULL, NULL, 28915, 10),
(44802, NULL, 'MF_00608', NULL, NULL, 'GTP cyclohydrolase III [gch3].', NULL, 'GTP_cyclohydro_3', NULL, NULL, 2257, 10),
(44803, NULL, 'MF_00526', NULL, NULL, 'Glutamate mutase sigma subunit [glmS].', NULL, 'Me_Asp_mutase_S', NULL, NULL, 5833, 10),
(44804, NULL, 'MF_03181', NULL, NULL, 'PAN2-PAN3 deadenylation complex subunit PAN3 [PAN3].', NULL, 'PAN3', NULL, NULL, 22508, 10),
(44805, NULL, 'MF_01435', NULL, NULL, 'Protein YebF [yebF].', NULL, 'YebF', NULL, NULL, 21247, 10),
(44806, NULL, 'MF_01660', NULL, NULL, '2-succinyl-6-hydroxy-2,4-cyclohexadiene-1-carboxylate synthase [menH].', NULL, 'MenH', NULL, NULL, 16990, 10),
(44807, NULL, 'MF_00329', NULL, NULL, '50S ribosomal protein L18e [rpl18e].', NULL, 'Ribosomal_L18e', NULL, NULL, 14922, 10),
(44808, NULL, 'MF_01443', NULL, NULL, 'Bis(5''-nucleosyl)-tetraphosphatase PrpE [asymmetrical] [prpE].', NULL, 'PrpE', NULL, NULL, 10356, 10),
(44809, NULL, 'MF_01644', NULL, NULL, 'D-phenylhydantoinase [hyuA].', NULL, 'D_hydantoinase', NULL, NULL, 7395, 10);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44810, NULL, 'MF_01063', NULL, NULL, 'Esterase FrsA [frsA].', NULL, 'FrsA', NULL, NULL, 39027, 10),
(44811, NULL, 'MF_01244', NULL, NULL, '3-dehydroquinate synthase [aroB''].', NULL, 'Arch_DHQ_synthase', NULL, NULL, 4517, 10),
(44812, NULL, 'MF_01942', NULL, NULL, 'Lipid A biosynthesis lauroyltransferase [lpxL].', NULL, 'Lipid_A_LpxL_LpxP', NULL, NULL, 11089, 10),
(44813, NULL, 'MF_04090', NULL, NULL, 'Non-structural protein 3.', NULL, 'ROTA_NSP3', NULL, NULL, 5788, 10),
(44814, NULL, 'MF_00817', NULL, NULL, 'NADPH-dependent 7-cyano-7-deazaguanine reductase [queF].', NULL, 'QueF_type2', NULL, NULL, 21869, 10),
(44815, NULL, 'MF_00244', NULL, NULL, 'Probable nicotinate-nucleotide adenylyltransferase [nadD].', NULL, 'NaMN_adenylyltr', NULL, NULL, 11245, 10),
(44816, NULL, 'MF_00057', NULL, NULL, '8-amino-3,8-dideoxy-manno-octulosonate cytidylyltransferase [kdsB].', NULL, 'KdsB', NULL, NULL, 1630, 10),
(44817, NULL, 'MF_00403_B', NULL, NULL, '30S ribosomal protein S12 [rpsL].', NULL, 'Ribosomal_S12_B', NULL, NULL, 3772, 10),
(44818, NULL, 'MF_00353', NULL, NULL, 'Light-independent protochlorophyllide reductase subunit B [bchB].', NULL, 'ChlB_BchB', NULL, NULL, 1444, 10),
(44819, NULL, 'MF_00006', NULL, NULL, 'Argininosuccinate lyase [argH].', NULL, 'Arg_succ_lyase', NULL, NULL, 6128, 10),
(44820, NULL, 'MF_01304', NULL, NULL, 'UPF0194 membrane protein YbhG [ybhG].', NULL, 'UPF0194', NULL, NULL, 14925, 10),
(44821, NULL, 'MF_00520', NULL, NULL, 'Ribulokinase [araB].', NULL, 'Ribulokinase', NULL, NULL, 213, 10),
(44822, NULL, 'MF_04081', NULL, NULL, 'Virion infectivity factor [vif].', NULL, 'HIV_VIF', NULL, NULL, 6766, 10),
(44823, NULL, 'MF_04013', NULL, NULL, 'Tripartite terminase subunit 3 [TRM3].', NULL, 'HSV_TRM3', NULL, NULL, 33872, 10),
(44824, NULL, 'MF_02035', NULL, NULL, 'Hercynine oxygenase [egtB].', NULL, 'EgtB', NULL, NULL, 23903, 10),
(44825, NULL, 'MF_01027', NULL, NULL, '3-isopropylmalate dehydratase large subunit [leuC].', NULL, 'LeuC_type2', NULL, NULL, 14274, 10),
(44826, NULL, 'MF_01288', NULL, NULL, 'L-rhamnonate dehydratase [rhmD].', NULL, 'Rhamnon_dehydrat', NULL, NULL, 16191, 10),
(44827, NULL, 'MF_01093', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit A [mtrA].', NULL, 'MtrA', NULL, NULL, 5685, 10),
(44828, NULL, 'MF_00312', NULL, NULL, 'V-type ATP synthase subunit F [atpF].', NULL, 'ATP_synth_F_arch', NULL, NULL, 14705, 10),
(44829, NULL, 'MF_01458', NULL, NULL, 'ATP-dependent zinc metalloprotease FtsH [ftsH].', NULL, 'FtsH', NULL, NULL, 424, 10),
(44830, NULL, 'MF_00483', NULL, NULL, 'DNA replication terminus site-binding protein [tus].', NULL, 'Rep_term_Tus', NULL, NULL, 7521, 10),
(44831, NULL, 'MF_01199', NULL, NULL, 'Anti-adapter protein IraM [iraM].', NULL, 'Anti_adapt_IraM', NULL, NULL, 9909, 10),
(44832, NULL, 'MF_00597', NULL, NULL, 'Probable acetoacetate decarboxylase [adc].', NULL, 'ADC', NULL, NULL, 17163, 10),
(44833, NULL, 'MF_00713', NULL, NULL, 'Probable glycine dehydrogenase (decarboxylating) subunit 2 [gcvPB].', NULL, 'GcvPB', NULL, NULL, 15005, 10),
(44834, NULL, 'MF_01205', NULL, NULL, 'O-acetyl-ADP-ribose deacetylase [ymdB].', NULL, 'YmdB', NULL, NULL, 22851, 10),
(44835, NULL, 'MF_01523', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase J [rsmJ].', NULL, '16SrRNA_methyltr_J', NULL, NULL, 10794, 10),
(44836, NULL, 'MF_00425', NULL, NULL, 'Na(+)-translocating NADH-quinone reductase subunit A [nqrA].', NULL, 'NqrA', NULL, NULL, 13443, 10),
(44837, NULL, 'MF_00366', NULL, NULL, 'DNA-directed RNA polymerase subunit omega [rpoZ].', NULL, 'RNApol_bact_RpoZ', NULL, NULL, 2470, 10),
(44838, NULL, 'MF_02060', NULL, NULL, 'tRNA (guanosine(18)-2''-O)-methyltransferase [trmH].', NULL, 'tRNA_methyltr_TrmH', NULL, NULL, 32353, 10),
(44839, NULL, 'MF_01460', NULL, NULL, 'Chromophore lyase CpcT/CpeT [cpcT].', NULL, 'Chrphore_lyase_CpxT', NULL, NULL, 9507, 10),
(44840, NULL, 'MF_04099', NULL, NULL, 'Spike glycoprotein [S].', NULL, 'BETA_CORONA_SPIKE', NULL, NULL, 39731, 10),
(44841, NULL, 'MF_01969', NULL, NULL, 'Kynurenine formamidase [kynB].', NULL, 'KynB', NULL, NULL, 21444, 10);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44842, NULL, 'MF_00793', NULL, NULL, 'Phycoerythrobilin:ferredoxin oxidoreductase [pebB].', NULL, 'PebB', NULL, NULL, 17140, 10),
(44843, NULL, 'MF_01606', NULL, NULL, 'Iron-sulfur cluster repair protein YtfE [ytfE].', NULL, 'RIC_YtfE', NULL, NULL, 10689, 10),
(44844, NULL, 'MF_01924', NULL, NULL, 'D-alanyl-D-alanine dipeptidase [ddpX].', NULL, 'A_A_dipeptidase', NULL, NULL, 6649, 10),
(44845, NULL, 'MF_00454', NULL, NULL, 'Putative fluoride ion transporter CrcB [crcB].', NULL, 'CrcB', NULL, NULL, 1798, 10),
(44846, NULL, 'MF_04149', NULL, NULL, 'RNA ligase 1.', NULL, 'RNALIG_T4', NULL, NULL, 10912, 10),
(44847, NULL, 'MF_04104', NULL, NULL, 'Holin.', NULL, 'HOLIN_T4', NULL, NULL, 16147, 10),
(44848, NULL, 'MF_01881', NULL, NULL, 'Propionate kinase [tdcD].', NULL, 'Propion_kin_subfam1', NULL, NULL, 14755, 10),
(44849, NULL, 'MF_01588', NULL, NULL, 'DNA ligase [ligA].', NULL, 'DNA_ligase_A', NULL, NULL, 3051, 10),
(44850, NULL, 'MF_00078', NULL, NULL, 'UPF0107 protein <locus_tag>.', NULL, 'UPF0107', NULL, NULL, 21293, 10),
(44851, NULL, 'MF_01824', NULL, NULL, 'Pyridoxal 5''-phosphate synthase subunit PdxS [pdxS].', NULL, 'PdxS', NULL, NULL, 4280, 10),
(44852, NULL, 'MF_00671', NULL, NULL, 'Tol-Pal system protein TolB [tolB].', NULL, 'TolB', NULL, NULL, 8777, 10),
(44853, NULL, 'MF_04039', NULL, NULL, 'Cytoplasmic envelopment protein 2.', NULL, 'HSV_CEP2', NULL, NULL, 4955, 10),
(44854, NULL, 'MF_01016', NULL, NULL, 'Putative transport protein YidE [yidE].', NULL, 'YidE', NULL, NULL, 15282, 10),
(44855, NULL, 'MF_01482', NULL, NULL, 'Mycothiol S-conjugate amidase [mca].', NULL, 'Mca', NULL, NULL, 19904, 10),
(44856, NULL, 'MF_00485', NULL, NULL, '30S ribosomal protein S4e [rps4e].', NULL, 'Ribosomal_S4e', NULL, NULL, 4903, 10),
(44857, NULL, 'MF_01572', NULL, NULL, 'UPF0397 protein <locus_tag>.', NULL, 'UPF0397', NULL, NULL, 14765, 10),
(44858, NULL, 'MF_01603', NULL, NULL, 'Bifunctional protein HldE [hldE].', NULL, 'HldE', NULL, NULL, 15073, 10),
(44859, NULL, 'MF_00085', NULL, NULL, 'Translation initiation factor 5A [eif5a].', NULL, 'eIF_5A', NULL, NULL, 14539, 10),
(44860, NULL, 'MF_04042', NULL, NULL, 'Cytoplasmic envelopment protein 3.', NULL, 'HSV_CEP3_gammahv', NULL, NULL, 22518, 10),
(44861, NULL, 'MF_01337_A', NULL, NULL, '50S ribosomal protein L18 [rplR].', NULL, 'Ribosomal_L18_A', NULL, NULL, 675, 10),
(44862, NULL, 'MF_00580', NULL, NULL, '10 kDa chaperonin [groS].', NULL, 'CH10', NULL, NULL, 14874, 10),
(44863, NULL, 'MF_01833', NULL, NULL, 'tRNA-splicing endonuclease [endA].', NULL, 'EndA_short', NULL, NULL, 15839, 10),
(44864, NULL, 'MF_00197', NULL, NULL, 'Diaminopimelate epimerase [dapF].', NULL, 'DAP_epimerase', NULL, NULL, 11297, 10),
(44865, NULL, 'MF_01658', NULL, NULL, '3-demethoxyubiquinol 3-hydroxylase [coq7].', NULL, 'COQ7', NULL, NULL, 8153, 10),
(44866, NULL, 'MF_00363', NULL, NULL, 'UPF0154 protein <locus_tag>.', NULL, 'UPF0154', NULL, NULL, 6370, 10),
(44867, NULL, 'MF_00560', NULL, NULL, 'Trans-aconitate 2-methyltransferase [tam].', NULL, 'Tran_acon_Me_trans', NULL, NULL, 16824, 10),
(44868, NULL, 'MF_01691', NULL, NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-acetyltransferase [dapH].', NULL, 'DapH', NULL, NULL, 17254, 10),
(44869, NULL, 'MF_00733', NULL, NULL, '1-pyrroline-5-carboxylate dehydrogenase [rocA].', NULL, 'RocA', NULL, NULL, 239, 10),
(44870, NULL, 'MF_02201', NULL, NULL, 'Ferredoxin-type protein NapF [napF].', NULL, 'NapF', NULL, NULL, 1528, 10),
(44871, NULL, 'MF_00583_A', NULL, NULL, 'Putative ribose-phosphate pyrophosphokinase [prs].', NULL, 'RibP_PPkinase_A', NULL, NULL, 35759, 10),
(44872, NULL, 'MF_03134', NULL, NULL, 'Probable alanine--tRNA ligase, chloroplastic.', NULL, 'Ala_tRNA_synth_plantC', NULL, NULL, 26197, 10),
(44873, NULL, 'MF_01299', NULL, NULL, 'Oxaloacetate decarboxylase.', NULL, 'OadC', NULL, NULL, 7177, 10),
(44874, NULL, 'MF_01000', NULL, NULL, 'Vitamin B12-binding protein [btuF].', NULL, 'BtuF', NULL, NULL, 17469, 10),
(44875, NULL, 'MF_01326_A', NULL, NULL, '50S ribosomal protein L24 [rplX].', NULL, 'Ribosomal_L24_A', NULL, NULL, 4532, 10);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44876, NULL, 'MF_00514', NULL, NULL, '50S ribosomal protein L35 [rpmI].', NULL, 'Ribosomal_L35', NULL, NULL, 3404, 10),
(44877, NULL, 'MF_00767', NULL, NULL, 'Succinylglutamate desuccinylase [astE].', NULL, 'Arg_catab_AstE', NULL, NULL, 20650, 10),
(44878, NULL, 'MF_03012', NULL, NULL, 'COP9/Signalosome and eIF3 complex-shared subunit 1 [EIF3M].', NULL, 'eIF3m', NULL, NULL, 26703, 10),
(44879, NULL, 'MF_01273', NULL, NULL, 'Type II pantothenate kinase [coaW].', NULL, 'Pantothen_kinase_2', NULL, NULL, 11075, 10),
(44880, NULL, 'MF_03143', NULL, NULL, 'Pentafunctional AROM polypeptide [aroM].', NULL, 'Pentafunct_AroM', NULL, NULL, 8780, 10),
(44881, NULL, 'MF_01575', NULL, NULL, 'UPF0398 protein <locus_tag>.', NULL, 'UPF0398', NULL, NULL, 10287, 10),
(44882, NULL, 'MF_00151', NULL, NULL, 'Phosphopantetheine adenylyltransferase [coaD].', NULL, 'PPAT_bact', NULL, NULL, 4331, 10),
(44883, NULL, 'MF_01627', NULL, NULL, 'Purine nucleoside phosphorylase DeoD-type [deoD].', NULL, 'Pur_nucleosid_phosp', NULL, NULL, 5784, 10),
(44884, NULL, 'MF_00015', NULL, NULL, 'LexA repressor [lexA].', NULL, 'LexA', NULL, NULL, 11353, 10),
(44885, NULL, 'MF_00596', NULL, NULL, 'GMP reductase [guaC].', NULL, 'GMP_reduct_type1', NULL, NULL, 1386, 10),
(44886, NULL, 'MF_00673', NULL, NULL, 'UPF0254 protein <locus_tag>.', NULL, 'UPF0254', NULL, NULL, 1968, 10),
(44887, NULL, 'MF_04060', NULL, NULL, 'Shutoff protein [L4].', NULL, 'ADV_SHUT', NULL, NULL, 4812, 10),
(44888, NULL, 'MF_00758', NULL, NULL, 'UPF0301 protein YqgE [yqgE].', NULL, 'UPF0301', NULL, NULL, 2528, 10),
(44889, NULL, 'MF_01346', NULL, NULL, 'ATP synthase subunit alpha [atpA].', NULL, 'ATP_synth_alpha_bact', NULL, NULL, 4025, 10),
(44890, NULL, 'MF_01068', NULL, NULL, 'Glucans biosynthesis protein D [mdoD].', NULL, 'MdoD_OpgD', NULL, NULL, 17020, 10),
(44891, NULL, 'MF_00972', NULL, NULL, 'tRNA-specific adenosine deaminase [tadA].', NULL, 'tRNA_aden_deaminase', NULL, NULL, 26838, 10),
(44892, NULL, 'MF_01879', NULL, NULL, 'Dipeptide and tripeptide permease B [dtpB].', NULL, 'PTR2_DtpB_subfam', NULL, NULL, 16680, 10),
(44893, NULL, 'MF_03158', NULL, NULL, 'Thiamine thiazole synthase, chloroplastic [THI4].', NULL, 'THI4', NULL, NULL, 26704, 10),
(44894, NULL, 'MF_00267', NULL, NULL, 'Probable septum site-determining protein MinC [minC].', NULL, 'MinC', NULL, NULL, 12870, 10),
(44895, NULL, 'MF_02127', NULL, NULL, 'Glucose 1-dehydrogenase [gdh].', NULL, 'Glucose_DH', NULL, NULL, 24666, 10),
(44896, NULL, 'MF_00533', NULL, NULL, 'Nitrogenase iron protein [nifH].', NULL, 'NifH', NULL, NULL, 1478, 10),
(44897, NULL, 'MF_02021', NULL, NULL, 'Cell division protein DamX [damX].', NULL, 'DamX', NULL, NULL, 25768, 10),
(44898, NULL, 'MF_01558', NULL, NULL, 'Cytidine deaminase [cdd].', NULL, 'Cyt_deam', NULL, NULL, 20406, 10),
(44899, NULL, 'MF_04096', NULL, NULL, 'Nucleoprotein [N].', NULL, 'BETA_CORONA_NCAP', NULL, NULL, 37296, 10),
(44900, NULL, 'MF_01276', NULL, NULL, 'Putrescine aminotransferase [patA].', NULL, 'Putres_aminotrans_3', NULL, NULL, 19422, 10),
(44901, NULL, 'MF_00032', NULL, NULL, 'Translation initiation factor 6 [eif6].', NULL, 'eIF_6', NULL, NULL, 4691, 10),
(44902, NULL, 'MF_00458', NULL, NULL, 'Photosystem I P700 chlorophyll a apoprotein A1 [psaA].', NULL, 'PSI_PsaA', NULL, NULL, 3734, 10),
(44903, NULL, 'MF_00386', NULL, NULL, 'Putative membrane protein insertion efficiency factor [yidD].', NULL, 'UPF0161_YidD', NULL, NULL, 3504, 10),
(44904, NULL, 'MF_00462', NULL, NULL, 'Ion-translocating oxidoreductase complex subunit D [rsxD].', NULL, 'RsxD_RnfD', NULL, NULL, 12432, 10),
(44905, NULL, 'MF_01848', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase F [rlmF].', NULL, '23SrRNA_methyltr_F', NULL, NULL, 17293, 10),
(44906, NULL, 'MF_01270', NULL, NULL, 'Anhydro-N-acetylmuramic acid kinase [anmK].', NULL, 'AnhMurNAc_kinase', NULL, NULL, 6379, 10),
(44907, NULL, 'MF_00586', NULL, NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit D [gatD].', NULL, 'GatD', NULL, NULL, 8854, 10),
(44908, NULL, 'MF_00750', NULL, NULL, 'Oxygen-dependent choline dehydrogenase [betA].', NULL, 'Choline_dehydrogen', NULL, NULL, 9425, 10);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44909, NULL, 'MF_01008', NULL, NULL, 'Transcriptional regulator MraZ [mraZ].', NULL, 'MraZ', NULL, NULL, 5032, 10),
(44910, NULL, 'MF_00557', NULL, NULL, 'Alginate lyase [algL].', NULL, 'Alginate_lyase', NULL, NULL, 17030, 10),
(44911, NULL, 'MF_01252', NULL, NULL, 'Flavohemoprotein [hmp].', NULL, 'Hmp', NULL, NULL, 19897, 10),
(44912, NULL, 'MF_00001', NULL, NULL, 'Aspartate carbamoyltransferase [pyrB].', NULL, 'Asp_carb_tr', NULL, NULL, 1231, 10),
(44913, NULL, 'MF_00291_A', NULL, NULL, '30S ribosomal protein S2 [rpsB].', NULL, 'Ribosomal_S2_A', NULL, NULL, 16078, 10),
(44914, NULL, 'MF_00825', NULL, NULL, '3-hydroxyanthranilate 3,4-dioxygenase [nbaC].', NULL, '3_HAO', NULL, NULL, 8996, 10),
(44915, NULL, 'MF_00488', NULL, NULL, 'L-lactate dehydrogenase [ldh].', NULL, 'Lactate_dehydrog', NULL, NULL, 11082, 10),
(44916, NULL, 'MF_01633', NULL, NULL, '7-cyano-7-deazaguanine synthase [queC].', NULL, 'QueC', NULL, NULL, 16742, 10),
(44917, NULL, 'MF_04095', NULL, NULL, 'Nucleoprotein [N].', NULL, 'ALPHA_CORONA_NCAP', NULL, NULL, 38128, 10),
(44918, NULL, 'MF_00134_B', NULL, NULL, 'Indole-3-glycerol phosphate synthase [trpC].', NULL, 'IGPS_B', NULL, NULL, 9882, 10),
(44919, NULL, 'MF_04021', NULL, NULL, 'Small capsomere-interacting protein [SCP].', NULL, 'HSV_SCP_betahv', NULL, NULL, 25039, 10),
(44920, NULL, 'MF_01268', NULL, NULL, 'Bifunctional enzyme Fae/Hps [fae-hps].', NULL, 'Fae_Hps', NULL, NULL, 21381, 10),
(44921, NULL, 'MF_01367', NULL, NULL, '50S ribosomal protein L14 [rplN].', NULL, 'Ribosomal_L14', NULL, NULL, 1525, 10),
(44922, NULL, 'MF_01590', NULL, NULL, 'tRNA U34 carboxymethyltransferase [cmoB].', NULL, 'tRNA_carboxymethyltr_CmoB', NULL, NULL, 5469, 10),
(44923, NULL, 'MF_00378', NULL, NULL, 'Exodeoxyribonuclease 7 large subunit [xseA].', NULL, 'Exonuc_7_L', NULL, NULL, 2052, 10),
(44924, NULL, 'MF_04006', NULL, NULL, 'Protein E6 [E6].', NULL, 'HPV_E6', NULL, NULL, 2139, 10),
(44925, NULL, 'MF_00317', NULL, NULL, 'DNA polymerase sliding clamp [pcn].', NULL, 'DNApol_clamp_arch', NULL, NULL, 6893, 10),
(44926, NULL, 'MF_00691', NULL, NULL, '5-oxoprolinase subunit A [pxpA].', NULL, 'PxpA', NULL, NULL, 859, 10),
(44927, NULL, 'MF_01964', NULL, NULL, 'Inosine-5''-monophosphate dehydrogenase [guaB].', NULL, 'IMPDH', NULL, NULL, 1433, 10),
(44928, NULL, 'MF_00125', NULL, NULL, 'ATP phosphoribosyltransferase regulatory subunit [hisZ].', NULL, 'HisZ', NULL, NULL, 1874, 10),
(44929, NULL, 'MF_00486', NULL, NULL, 'Methenyltetrahydromethanopterin cyclohydrolase [mch].', NULL, 'McH', NULL, NULL, 2240, 10),
(44930, NULL, 'MF_01636', NULL, NULL, '3-octaprenyl-4-hydroxybenzoate carboxy-lyase [ubiD].', NULL, 'UbiD', NULL, NULL, 16644, 10),
(44931, NULL, 'MF_00390', NULL, NULL, 'Sulfurtransferase TusD [tusD].', NULL, 'Thiourid_synth_D', NULL, NULL, 21330, 10),
(44932, NULL, 'MF_00681', NULL, NULL, '(5-formylfuran-3-yl)methyl phosphate synthase [mfnB].', NULL, 'MfnB', NULL, NULL, 31790, 10),
(44933, NULL, 'MF_02125', NULL, NULL, '50S ribosomal protein L3 glutamine methyltransferase [prmB].', NULL, 'L3_methyltr_PrmB', NULL, NULL, 20704, 10),
(44934, NULL, 'MF_01819', NULL, NULL, 'Transcriptional regulator SlyA [slyA].', NULL, 'HTH_type_SlyA', NULL, NULL, 15291, 10),
(44935, NULL, 'MF_04147', NULL, NULL, 'Terminase, large subunit.', NULL, 'TERL_T7', NULL, NULL, 38293, 10),
(44936, NULL, 'MF_00801', NULL, NULL, 'Endonuclease V [nfi].', NULL, 'Endonuclease_5', NULL, NULL, 1973, 10),
(44937, NULL, 'MF_04029', NULL, NULL, 'Thymidine kinase [TK].', NULL, 'HSV_KITH', NULL, NULL, 4246, 10),
(44938, NULL, 'MF_00211', NULL, NULL, 'Anthranilate phosphoribosyltransferase [trpD].', NULL, 'TrpD', NULL, NULL, 467, 10),
(44939, NULL, 'MF_01060', NULL, NULL, 'Periplasmic trehalase [treA].', NULL, 'Peripl_trehalase', NULL, NULL, 17410, 10),
(44940, NULL, 'MF_01295', NULL, NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit KbaZ [kbaZ].', NULL, 'Tagatose_aldol_KbaZ', NULL, NULL, 16411, 10),
(44941, NULL, 'MF_00403_A', NULL, NULL, '30S ribosomal protein S12 [rpsL].', NULL, 'Ribosomal_S12_A', NULL, NULL, 17260, 10);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44942, NULL, 'MF_00175', NULL, NULL, 'ATP-dependent Clp protease ATP-binding subunit ClpX [clpX].', NULL, 'ClpX', NULL, NULL, 1634, 10),
(44943, NULL, 'MF_03029', NULL, NULL, 'Ribosome biogenesis protein @gn(WDR12) [WDR12].', NULL, 'WDR12', NULL, NULL, 27970, 10),
(44944, NULL, 'MF_03022', NULL, NULL, 'Katanin p80 WD40 repeat-containing subunit B1 [KATNB1].', NULL, 'Katanin_p80_B1', NULL, NULL, 27870, 10),
(44945, NULL, 'MF_01843', NULL, NULL, 'Protein Thf1 [thf1].', NULL, 'Thf1', NULL, NULL, 21156, 10),
(44946, NULL, 'MF_02126', NULL, NULL, 'Release factor glutamine methyltransferase [prmC].', NULL, 'RF_methyltr_PrmC', NULL, NULL, 17311, 10),
(44947, NULL, 'MF_00300', NULL, NULL, 'Chorismate synthase [aroC].', NULL, 'Chorismate_synth', NULL, NULL, 6697, 10),
(44948, NULL, 'MF_00900', NULL, NULL, 'GTPase HflX [hflX].', NULL, 'GTPase_HflX', NULL, NULL, 16449, 10),
(44949, NULL, 'MF_01176', NULL, NULL, 'HTH-type transcriptional regulator IscR [iscR].', NULL, 'HTH_type_IscR', NULL, NULL, 5010, 10),
(44950, NULL, 'MF_01449', NULL, NULL, 'HTH-type transcriptional regulator SgrR [sgrR].', NULL, 'HTH_type_SgrR', NULL, NULL, 16654, 10),
(44951, NULL, 'MF_01022', NULL, NULL, 'Histidine biosynthesis bifunctional protein HisB [hisB].', NULL, 'Bifunc_HisB', NULL, NULL, 19203, 10),
(44952, NULL, 'MF_00938', NULL, NULL, 'DNA topoisomerase 4 subunit B [parE].', NULL, 'ParE_type1', NULL, NULL, 4623, 10),
(44953, NULL, 'MF_01470', NULL, NULL, 'CRISPR-associated endonuclease Cas1 [cas1].', NULL, 'Cas1', NULL, NULL, 3516, 10),
(44954, NULL, 'MF_00446', NULL, NULL, 'Aspartate 1-decarboxylase [panD].', NULL, 'PanD', NULL, NULL, 1715, 10),
(44955, NULL, 'MF_00349', NULL, NULL, '50S ribosomal protein L34e [rpl34e].', NULL, 'Ribosomal_L34e', NULL, NULL, 7031, 10),
(44956, NULL, 'MF_00717', NULL, NULL, 'Photosystem II protein Y [psbY].', NULL, 'PSII_PsbY', NULL, NULL, 8181, 10),
(44957, NULL, 'MF_01608', NULL, NULL, 'Coenzyme A disulfide reductase [cdr].', NULL, 'CoA_diS_reduct', NULL, NULL, 17188, 10),
(44958, NULL, 'MF_00729', NULL, NULL, 'Fructose-bisphosphate aldolase class 1 [fda].', NULL, 'FBP_aldolase_1', NULL, NULL, 15455, 10),
(44959, NULL, 'MF_01140', NULL, NULL, 'Polyisoprenyl-teichoic acid--peptidoglycan teichoic acid transferase TagU [tagU].', NULL, 'TagU_transferase', NULL, NULL, 7543, 10),
(44960, NULL, 'MF_01913', NULL, NULL, '3-sulfolactaldehyde reductase.', NULL, 'SLA_reductase', NULL, NULL, 24537, 10),
(44961, NULL, 'MF_00407', NULL, NULL, 'DNA ligase [lig].', NULL, 'DNA_ligase', NULL, NULL, 17361, 10),
(44962, NULL, 'MF_01860', NULL, NULL, 'UPF0736 protein <locus_tag>.', NULL, 'UPF0736', NULL, NULL, 14936, 10),
(44963, NULL, 'MF_00797', NULL, NULL, 'UPF0335 protein <locus_tag>.', NULL, 'UPF0335', NULL, NULL, 18702, 10),
(44964, NULL, 'MF_00394', NULL, NULL, 'Glycerol-3-phosphate dehydrogenase [NAD(P)+] [gpsA].', NULL, 'NAD_Glyc3P_dehydrog', NULL, NULL, 10375, 10),
(44965, NULL, 'MF_01557', NULL, NULL, 'Tagatose-6-phosphate kinase [lacC].', NULL, 'LacC', NULL, NULL, 1, 10),
(44966, NULL, 'MF_01615', NULL, NULL, 'Pyridoxal 5''-phosphate synthase subunit PdxT [pdxT].', NULL, 'PdxT', NULL, NULL, 5272, 10),
(44967, NULL, 'MF_01866', NULL, NULL, 'Protein YcgL [ycgL].', NULL, 'UPF0745', NULL, NULL, 25124, 10),
(44968, NULL, 'MF_00402', NULL, NULL, '50S ribosomal protein L19 [rplS].', NULL, 'Ribosomal_L19', NULL, NULL, 4364, 10),
(44969, NULL, 'MF_00381', NULL, NULL, 'Integration host factor subunit beta [ihfB].', NULL, 'IHF_beta', NULL, NULL, 3909, 10),
(44970, NULL, 'MF_04109', NULL, NULL, 'Endolysin.', NULL, 'ENDOLYSIN_LAMBDA', NULL, NULL, 7985, 10),
(44971, NULL, 'MF_01426', NULL, NULL, 'Cation/acetate symporter ActP [actP].', NULL, 'Acet_symport_ActP', NULL, NULL, 14242, 10),
(44972, NULL, 'MF_01696', NULL, NULL, '1D-myo-inositol 2-acetamido-2-deoxy-alpha-D-glucopyranoside deacetylase [mshB].', NULL, 'MshB', NULL, NULL, 19703, 10),
(44973, NULL, 'MF_01808', NULL, NULL, 'Tyrosine recombinase XerC [xerC].', NULL, 'Recomb_XerC_XerD', NULL, NULL, 15234, 10),
(44974, NULL, 'MF_02070', NULL, NULL, 'N-acetylglucosaminyldiphosphoundecaprenol N-acetyl-beta-D-mannosaminyltransferase.', NULL, 'TagA_TarA', NULL, NULL, 19086, 10);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(44975, NULL, 'MF_00920', NULL, NULL, 'Signal recognition particle receptor FtsY [ftsY].', NULL, 'FtsY', NULL, NULL, 5849, 10),
(44976, NULL, 'MF_00189', NULL, NULL, 'Probable intracellular septation protein A [yciB].', NULL, 'Intracell_septation_prot_A', NULL, NULL, 1102, 10),
(44977, NULL, 'MF_00314', NULL, NULL, 'V-type ATP synthase subunit C [atpC].', NULL, 'ATP_synth_C_arch', NULL, NULL, 8738, 10),
(44978, NULL, 'MF_00404', NULL, NULL, 'Probable oxaloacetate decarboxylase gamma chain [oadG].', NULL, 'OadG', NULL, NULL, 16203, 10),
(44979, NULL, 'MF_00229', NULL, NULL, 'Histidine ammonia-lyase [hutH].', NULL, 'His_ammonia_lyase', NULL, NULL, 321, 10),
(44980, NULL, 'MF_00025', NULL, NULL, 'DNA-directed RNA polymerase subunit H [rpoH].', NULL, 'RNApol_RpoH_RPB5', NULL, NULL, 12714, 10),
(44981, NULL, 'MF_04118', NULL, NULL, 'Internal virion protein gp14.', NULL, 'GP14_T7', NULL, NULL, 35793, 10),
(44982, NULL, 'MF_00474', NULL, NULL, 'Photosystem I reaction center subunit PsaK [psaK].', NULL, 'PSI_PsaK', NULL, NULL, 21239, 10),
(44983, NULL, 'MF_00497_B', NULL, NULL, 'Glycerol-1-phosphate dehydrogenase [NAD(P)+] [egsA].', NULL, 'G1P_dehydrogenase_B', NULL, NULL, 15255, 10),
(44984, NULL, 'MF_01329', NULL, NULL, 'Photosystem II reaction center protein Ycf12 [ycf12].', NULL, 'PSII_Ycf12', NULL, NULL, 7853, 10),
(44985, NULL, 'MF_02206', NULL, NULL, '3''-5'' exonuclease DinG [dinG].', NULL, 'DinG_exonucl', NULL, NULL, 4846, 10),
(44986, NULL, 'MF_00958', NULL, NULL, 'Regulator of RpoS [rssB].', NULL, 'RssB', NULL, NULL, 27030, 10),
(44987, NULL, 'MF_01540', NULL, NULL, 'Sulfite reductase [NADPH] hemoprotein beta-component [cysI].', NULL, 'CysI', NULL, NULL, 13349, 10),
(44988, NULL, 'MF_02102', NULL, NULL, 'Putrescine carbamoyltransferase [ptcA].', NULL, 'PTCase', NULL, NULL, 21678, 10),
(44989, NULL, 'MF_03063', NULL, NULL, 'Elongation factor G, chloroplastic.', NULL, 'EF_G_plantC', NULL, NULL, 22666, 10),
(44990, NULL, 'MF_00811', NULL, NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase [dapD].', NULL, 'DapD', NULL, NULL, 3862, 10),
(44991, NULL, 'MF_00740', NULL, NULL, 'Phosphopentomutase [deoB].', NULL, 'Phosphopentomut', NULL, NULL, 5239, 10),
(44992, NULL, 'MF_02106', NULL, NULL, 'Prokaryotic ubiquitin-like protein Pup [pup].', NULL, 'Pup', NULL, NULL, 12977, 10),
(44993, NULL, 'MF_02050', NULL, NULL, 'Fused isobutyryl-CoA mutase [icmF].', NULL, 'IcmF', NULL, NULL, 31435, 10),
(44994, NULL, 'MF_00764', NULL, NULL, 'UPF0306 protein YhbP [yhbP].', NULL, 'UPF0306', NULL, NULL, 11218, 10),
(44995, NULL, 'MF_01167', NULL, NULL, 'UDP-4-amino-4-deoxy-L-arabinose--oxoglutarate aminotransferase [arnB].', NULL, 'ArnB_transfer', NULL, NULL, 15682, 10),
(44996, NULL, 'MF_02098', NULL, NULL, 'Carnitine monooxygenase reductase subunit.', NULL, 'Carnitine_monoox_B', NULL, NULL, 33058, 10),
(44997, NULL, 'MF_01663', NULL, NULL, 'L-rhamnose mutarotase [rhaM].', NULL, 'L_rham_rotase', NULL, NULL, 9202, 10),
(44998, NULL, 'MF_01946', NULL, NULL, 'Tubulin-like protein CetZ [cetZ].', NULL, 'CetZ', NULL, NULL, 25639, 10),
(44999, NULL, 'MF_01315', NULL, NULL, '30S ribosomal protein S13 [rpsM].', NULL, 'Ribosomal_S13_S18', NULL, NULL, 4451, 10),
(45000, NULL, 'MF_02211', NULL, NULL, 'Murein peptide amidase A [mpaA].', NULL, 'MpaA_carboxypeptidase', NULL, NULL, 37265, 10),
(45001, NULL, 'MF_04094', NULL, NULL, 'Non-structural protein 3.', NULL, 'ROTA_A_NSP3', NULL, NULL, 5788, 10),
(45002, NULL, 'MF_01581', NULL, NULL, 'UPF0482 protein YnfB [ynfB].', NULL, 'UPF0482', NULL, NULL, 11610, 10),
(45003, NULL, 'MF_00073', NULL, NULL, 'Transcription antitermination protein NusB [nusB].', NULL, 'NusB', NULL, NULL, 11421, 10),
(45004, NULL, 'MF_00983', NULL, NULL, 'Probable primosomal protein N'' [priA].', NULL, 'PriA', NULL, NULL, 4415, 10),
(45005, NULL, 'MF_01988', NULL, NULL, 'Succinate--CoA ligase [ADP-forming] subunit alpha [sucD].', NULL, 'Succ_CoA_alpha', NULL, NULL, 5809, 10),
(45006, NULL, 'MF_00644', NULL, NULL, 'Photosystem II reaction center protein Z [psbZ].', NULL, 'PSII_PsbZ', NULL, NULL, 2872, 10); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45007, NULL, 'MF_01869', NULL, NULL, 'Probable 4-amino-4-deoxy-L-arabinose-phosphoundecaprenol flippase subunit ArnE [arnE].', NULL, 'Flippase_ArnE', NULL, NULL, 17172, 10),
(45008, NULL, 'MF_04066', NULL, NULL, 'Non-structural protein 1 [NS].', NULL, 'INFV_NS1', NULL, NULL, 3529, 10),
(45009, NULL, 'MF_00803', NULL, NULL, 'Ribosome biogenesis protein Nop10 [nop10].', NULL, 'Nop10', NULL, NULL, 17147, 10),
(45010, NULL, 'MF_02049', NULL, NULL, 'Nucleoside permease NupG [nupG].', NULL, 'NupG', NULL, NULL, 31380, 10),
(45011, NULL, 'MF_00045', NULL, NULL, 'Oligoribonuclease [orn].', NULL, 'Oligoribonuclease', NULL, NULL, 17472, 10),
(45012, NULL, 'MF_01647', NULL, NULL, '3-phenylpropionate-dihydrodiol/cinnamic acid-dihydrodiol dehydrogenase [hcaB].', NULL, 'HcaB', NULL, NULL, 16983, 10),
(45013, NULL, 'MF_01629', NULL, NULL, 'Pyridoxine/pyridoxamine 5''-phosphate oxidase [pdxH].', NULL, 'PdxH', NULL, NULL, 5819, 10),
(45014, NULL, 'MF_01592', NULL, NULL, 'Uncharacterized Nudix hydrolase NudL [nudL].', NULL, 'Nudix_NudL', NULL, NULL, 10742, 10),
(45015, NULL, 'MF_00990', NULL, NULL, 'L-2-hydroxyglutarate dehydrogenase [lhgD].', NULL, 'L_hydroxyglutarate_dehydrogenase', NULL, NULL, 23309, 10),
(45016, NULL, 'MF_02241', NULL, NULL, 'Phosphatidylinositol phosphate synthase.', NULL, 'PIP_synthase', NULL, NULL, 37657, 10),
(45017, NULL, 'MF_01248', NULL, NULL, 'Glycogen debranching enzyme [glgX].', NULL, 'GlgX', NULL, NULL, 17127, 10),
(45018, NULL, 'MF_01362', NULL, NULL, 'UPF0387 membrane protein YohO [yohO].', NULL, 'UPF0387', NULL, NULL, 21201, 10),
(45019, NULL, 'MF_01057', NULL, NULL, 'tRNA (guanine-N(7)-)-methyltransferase [trmB].', NULL, 'tRNA_methyltr_TrmB', NULL, NULL, 4461, 10),
(45020, NULL, 'MF_01320_B', NULL, NULL, '50S ribosomal protein L2 [rplB].', NULL, 'Ribosomal_L2_B', NULL, NULL, 6590, 10),
(45021, NULL, 'MF_01610', NULL, NULL, 'Probable L-tyrosine/L-aspartate decarboxylase [mfnA].', NULL, 'MfnA_decarbox', NULL, NULL, 14659, 10),
(45022, NULL, 'MF_04132', NULL, NULL, 'Outer capsid protein VP4.', NULL, 'Rota_A_VP4', NULL, NULL, 38321, 10),
(45023, NULL, 'MF_00482', NULL, NULL, 'Photosystem I P700 chlorophyll a apoprotein A2 [psaB].', NULL, 'PSI_PsaB', NULL, NULL, 3943, 10),
(45024, NULL, 'MF_01616', NULL, NULL, 'Membrane-bound lytic murein transglycosylase C [mltC].', NULL, 'MltC', NULL, NULL, 16847, 10),
(45025, NULL, 'MF_01475', NULL, NULL, '50S ribosomal protein L19e [rpl19e].', NULL, 'Ribosomal_L19e', NULL, NULL, 1496, 10),
(45026, NULL, 'MF_04201', NULL, NULL, 'Membrane protein [M].', NULL, 'ALPHA_CORONA_M', NULL, NULL, 38244, 10),
(45027, NULL, 'MF_00828', NULL, NULL, 'Photosystem I reaction center subunit XII [psaM].', NULL, 'PSI_PsaM', NULL, NULL, 9380, 10),
(45028, NULL, 'MF_01331_A', NULL, NULL, '50S ribosomal protein L22 [rplV].', NULL, 'Ribosomal_L22_A', NULL, NULL, 4564, 10),
(45029, NULL, 'MF_03101', NULL, NULL, 'Deoxyhypusine hydroxylase [DOHH].', NULL, 'Deoxyhypusine_hydroxylase', NULL, NULL, 24122, 10),
(45030, NULL, 'MF_00909', NULL, NULL, 'Cell division protein FtsZ [ftsZ].', NULL, 'FtsZ', NULL, NULL, 1808, 10),
(45031, NULL, 'MF_00108', NULL, NULL, '2-C-methyl-D-erythritol 4-phosphate cytidylyltransferase [ispD].', NULL, 'IspD', NULL, NULL, 686, 10),
(45032, NULL, 'MF_01614', NULL, NULL, 'NADPH dehydrogenase [namA].', NULL, 'NamA', NULL, NULL, 16661, 10),
(45033, NULL, 'MF_00730', NULL, NULL, 'Nucleoid-associated protein YejK [yejK].', NULL, 'NdpA', NULL, NULL, 5662, 10),
(45034, NULL, 'MF_00679', NULL, NULL, 'Chaperone protein HscA [hscA].', NULL, 'HscA', NULL, NULL, 4252, 10),
(45035, NULL, 'MF_04004', NULL, NULL, 'Protein E7 [E7].', NULL, 'PPV_E7', NULL, NULL, 3975, 10),
(45036, NULL, 'MF_00799', NULL, NULL, 'UPF0336 protein <locus_tag>.', NULL, 'UPF0336', NULL, NULL, 20775, 10),
(45037, NULL, 'MF_01032', NULL, NULL, 'Methanogen homoaconitase small subunit [hacB].', NULL, 'LeuD_type2', NULL, NULL, 14494, 10),
(45038, NULL, 'MF_00120', NULL, NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit A [gatA].', NULL, 'GatA', NULL, NULL, 5766, 10),
(45039, NULL, 'MF_01982', NULL, NULL, '2-phytyl-1,4-naphtoquinone methyltransferase [menG].', NULL, 'MenG_phylloquinone_subfam', NULL, NULL, 25607, 10);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45040, NULL, 'MF_01920', NULL, NULL, 'ATP-dependent DNA helicase Rep [rep].', NULL, 'Helicase_Rep', NULL, NULL, 4644, 10),
(45041, NULL, 'MF_00959', NULL, NULL, 'RNA polymerase sigma factor RpoS [rpoS].', NULL, 'Sigma70_RpoS', NULL, NULL, 10116, 10),
(45042, NULL, 'MF_00734', NULL, NULL, 'Tagatose 1,6-diphosphate aldolase [lacD].', NULL, 'LacD', NULL, NULL, 186, 10),
(45043, NULL, 'MF_02120', NULL, NULL, 'Diaminopimelate decarboxylase [lysA].', NULL, 'LysA', NULL, NULL, 7447, 10),
(45044, NULL, 'MF_01424', NULL, NULL, 'Multidrug resistance protein MdtC [mdtC].', NULL, 'MdtC', NULL, NULL, 6340, 10),
(45045, NULL, 'MF_01126', NULL, NULL, 'UPF0298 protein <locus_tag>.', NULL, 'UPF0298', NULL, NULL, 18353, 10),
(45046, NULL, 'MF_02083', NULL, NULL, '[LysW]-L-2-aminoadipate/[LysW]-L-glutamate phosphate reductase [lysY].', NULL, 'LysY', NULL, NULL, 34548, 10),
(45047, NULL, 'MF_01479', NULL, NULL, 'Transcriptional regulator WhiB [whiB].', NULL, 'WhiB', NULL, NULL, 6417, 10),
(45048, NULL, 'MF_00459', NULL, NULL, 'Ion-translocating oxidoreductase complex subunit A [rsxA].', NULL, 'RsxA_RnfA', NULL, NULL, 10104, 10),
(45049, NULL, 'MF_00999', NULL, NULL, 'Sulfofructose kinase.', NULL, 'SF_kinase', NULL, NULL, 25701, 10),
(45050, NULL, 'MF_03010', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit K [EIF3K].', NULL, 'eIF3k', NULL, NULL, 14952, 10),
(45051, NULL, 'MF_00504', NULL, NULL, 'Peptidase B [pepB].', NULL, 'Aminopeptidase_M17', NULL, NULL, 7578, 10),
(45052, NULL, 'MF_04036', NULL, NULL, 'Envelope glycoprotein L [gL].', NULL, 'HSV_GL_betahv', NULL, NULL, 2596, 10),
(45053, NULL, 'MF_00180', NULL, NULL, '3,4-dihydroxy-2-butanone 4-phosphate synthase [ribB].', NULL, 'RibB', NULL, NULL, 6798, 10),
(45054, NULL, 'MF_01820', NULL, NULL, 'Small ribosomal subunit biogenesis GTPase RsgA [rsgA].', NULL, 'GTPase_RsgA', NULL, NULL, 7077, 10),
(45055, NULL, 'MF_01889', NULL, NULL, 'Penicillin-binding protein activator LpoB [lpoB].', NULL, 'LpoB', NULL, NULL, 14024, 10),
(45056, NULL, 'MF_00136', NULL, NULL, 'S-adenosylmethionine synthase [mat].', NULL, 'S_AdoMet_synth2', NULL, NULL, 4576, 10),
(45057, NULL, 'MF_00016', NULL, NULL, 'Holliday junction ATP-dependent DNA helicase RuvB [ruvB].', NULL, 'DNA_helic_RuvB', NULL, NULL, 984, 10),
(45058, NULL, 'MF_00468', NULL, NULL, 'Sulfate transporter CysZ [cysZ].', NULL, 'CysZ', NULL, NULL, 15387, 10),
(45059, NULL, 'MF_01834', NULL, NULL, 'tRNA-splicing endonuclease [endA].', NULL, 'EndA_long', NULL, NULL, 17456, 10),
(45060, NULL, 'MF_00401', NULL, NULL, 'Peroxiredoxin.', NULL, 'Peroxiredoxin', NULL, NULL, 17991, 10),
(45061, NULL, 'MF_01155', NULL, NULL, 'Chaperone modulatory protein CbpM [cbpM].', NULL, 'CbpM', NULL, NULL, 602, 10),
(45062, NULL, 'MF_00954', NULL, NULL, 'Regulator of nucleoside diphosphate kinase [rnk].', NULL, 'Rnk', NULL, NULL, 27335, 10),
(45063, NULL, 'MF_00435', NULL, NULL, 'Ketol-acid reductoisomerase (NADP(+)) [ilvC].', NULL, 'IlvC', NULL, NULL, 13475, 10),
(45064, NULL, 'MF_00299', NULL, NULL, 'Probable RNA 2''-phosphotransferase [kptA].', NULL, 'KptA', NULL, NULL, 14504, 10),
(45065, NULL, 'MF_00297', NULL, NULL, 'NADH pyrophosphatase [nudC].', NULL, 'Nudix_NudC', NULL, NULL, 14677, 10),
(45066, NULL, 'MF_00922', NULL, NULL, 'Outer membrane protein assembly factor BamD [bamD].', NULL, 'OM_assembly_BamD', NULL, NULL, 17566, 10),
(45067, NULL, 'MF_00232', NULL, NULL, 'Translation initiation factor 2 subunit beta [eif2b].', NULL, 'eIF_2_beta', NULL, NULL, 7163, 10),
(45068, NULL, 'MF_01957', NULL, NULL, 'Serine/threonine-protein kinase PknD [pknD].', NULL, 'PknD_kinase', NULL, NULL, 16675, 10),
(45069, NULL, 'MF_00124', NULL, NULL, 'Thymidine kinase [tdk].', NULL, 'Thymidine_kinase', NULL, NULL, 246, 10),
(45070, NULL, 'MF_01221', NULL, NULL, 'UPF0210 protein <locus_tag>.', NULL, 'UPF0210', NULL, NULL, 2361, 10),
(45071, NULL, 'MF_03021', NULL, NULL, 'Spastin [SPAST].', NULL, 'Spastin', NULL, NULL, 21700, 10),
(45072, NULL, 'MF_01434', NULL, NULL, 'Monofunctional glycosyltransferase [mgt].', NULL, 'MGT', NULL, NULL, 14880, 10);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45073, NULL, 'MF_00519', NULL, NULL, 'L-arabinose isomerase [araA].', NULL, 'Arabinose_Isome', NULL, NULL, 6116, 10),
(45074, NULL, 'MF_01300', NULL, NULL, 'C4-dicarboxylate transport protein [dctA].', NULL, 'C4_dicarb_transport', NULL, NULL, 8802, 10),
(45075, NULL, 'MF_01907', NULL, NULL, 'thr operon leader peptide [thrL].', NULL, 'Leader_Thr', NULL, NULL, 11003, 10),
(45076, NULL, 'MF_04058', NULL, NULL, 'Packaging protein 3 [L1].', NULL, 'ADV_PKG3', NULL, NULL, 35160, 10),
(45077, NULL, 'MF_01287', NULL, NULL, 'Digeranylgeranylglycerophospholipid reductase.', NULL, 'DGGGPL_reductase', NULL, NULL, 21671, 10),
(45078, NULL, 'MF_00086', NULL, NULL, 'S-adenosylmethionine synthase [metK].', NULL, 'S_AdoMet_synth1', NULL, NULL, 5213, 10),
(45079, NULL, 'MF_00831', NULL, NULL, 'Putative aminoacrylate peracid reductase RutC [rutC].', NULL, 'RutC', NULL, NULL, 15193, 10),
(45080, NULL, 'MF_02132', NULL, NULL, 'AMP phosphorylase.', NULL, 'AMP_phosphorylase', NULL, NULL, 18263, 10),
(45081, NULL, 'MF_01474', NULL, NULL, '30S ribosomal protein S19e [rps19e].', NULL, 'Ribosomal_S19e', NULL, NULL, 24738, 10),
(45082, NULL, 'MF_01147', NULL, NULL, 'Phosphatidylglycerol--prolipoprotein diacylglyceryl transferase [lgt].', NULL, 'Lgt', NULL, NULL, 3221, 10),
(45083, NULL, 'MF_00781', NULL, NULL, 'Heterocyst differentiation control protein [hetR].', NULL, 'HetR', NULL, NULL, 5130, 10),
(45084, NULL, 'MF_01902', NULL, NULL, 'Error-prone DNA polymerase [dnaE2].', NULL, 'DNApol_error_prone', NULL, NULL, 15400, 10),
(45085, NULL, 'MF_01607', NULL, NULL, 'HTH-type transcriptional regulator YidZ [yidZ].', NULL, 'HTH_type_YidZ', NULL, NULL, 10983, 10),
(45086, NULL, 'MF_02015', NULL, NULL, 'Nucleoid occlusion protein [noc].', NULL, 'ParB_Noc', NULL, NULL, 16808, 10),
(45087, NULL, 'MF_00699', NULL, NULL, 'Probable Brix domain-containing ribosomal biogenesis protein.', NULL, 'BriX', NULL, NULL, 17213, 10),
(45088, NULL, 'MF_01537', NULL, NULL, 'Pyrimidine/purine nucleoside phosphorylase [ppnP].', NULL, 'Nucleos_phosphorylase_PpnP', NULL, NULL, 11906, 10),
(45089, NULL, 'MF_04026', NULL, NULL, 'Ribonucleoside-diphosphate reductase large subunit [RIR1].', NULL, 'HSV_RIR1', NULL, NULL, 8089, 10),
(45090, NULL, 'MF_01976', NULL, NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, 'Phosphofructokinase_III', NULL, NULL, 12919, 10),
(45091, NULL, 'MF_00251', NULL, NULL, '50S ribosomal protein L36 [rpmJ].', NULL, 'Ribosomal_L36', NULL, NULL, 6626, 10),
(45092, NULL, 'MF_01184', NULL, NULL, 'Xanthine phosphoribosyltransferase [xpt].', NULL, 'XPRTase', NULL, NULL, 2128, 10),
(45093, NULL, 'MF_01225_B', NULL, NULL, 'GTP 3'',8-cyclase [moaA].', NULL, 'MoaA_B', NULL, NULL, 10349, 10),
(45094, NULL, 'MF_02131', NULL, NULL, '6-hydroxymethyl-7,8-dihydropterin pyrophosphokinase [mptE].', NULL, 'HMPDK_arch', NULL, NULL, 25351, 10),
(45095, NULL, 'MF_01842', NULL, NULL, 'Archaemetzincin [amzA].', NULL, 'Archaemetzincin', NULL, NULL, 12692, 10),
(45096, NULL, 'MF_01605', NULL, NULL, '6-phosphogluconolactonase [pgl].', NULL, '6P_gluconolactonase', NULL, NULL, 16829, 10),
(45097, NULL, 'MF_01353', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit N [ndhN].', NULL, 'NDH1_NDH1N', NULL, NULL, 21095, 10),
(45098, NULL, 'MF_01312', NULL, NULL, 'Anaerobic nitric oxide reductase flavorubredoxin [norV].', NULL, 'NorV', NULL, NULL, 20802, 10),
(45099, NULL, 'MF_00660', NULL, NULL, 'PqqA peptide cyclase [pqqE].', NULL, 'PqqE', NULL, NULL, 14162, 10),
(45100, NULL, 'MF_01556', NULL, NULL, 'Galactose-6-phosphate isomerase subunit LacB [lacB].', NULL, 'LacB', NULL, NULL, 5257, 10),
(45101, NULL, 'MF_00365', NULL, NULL, 'DNA replication and repair protein RecF [recF].', NULL, 'RecF', NULL, NULL, 539, 10),
(45102, NULL, 'MF_04074', NULL, NULL, 'Protein X [X].', NULL, 'HBV_X', NULL, NULL, 4270, 10),
(45103, NULL, 'MF_01074', NULL, NULL, 'Pyridinium-3,5-bisthiocarboxylic acid mononucleotide nickel insertion protein [larC].', NULL, 'LarC', NULL, NULL, 6448, 10),
(45104, NULL, 'MF_01085', NULL, NULL, 'UPF0283 membrane protein YcjF [ycjF].', NULL, 'UPF0283', NULL, NULL, 7130, 10);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45105, NULL, 'MF_01142', NULL, NULL, 'Antiholin-like protein LrgB [lrgB].', NULL, 'LrgB', NULL, NULL, 17917, 10),
(45106, NULL, 'MF_00989', NULL, NULL, 'L-ribulose-5-phosphate 4-epimerase [araD].', NULL, 'AraD_entero', NULL, NULL, 35556, 10),
(45107, NULL, 'MF_01882', NULL, NULL, 'Probable propionate kinase [pduW].', NULL, 'Propion_kin_subfam2', NULL, NULL, 16438, 10),
(45108, NULL, 'MF_01311', NULL, NULL, 'Protein-disulfide oxidoreductase DsbI [dsbI].', NULL, 'DsbI', NULL, NULL, 11703, 10),
(45109, NULL, 'MF_00132', NULL, NULL, 'Type 2 DNA topoisomerase 6 subunit A [top6A].', NULL, 'Top6A', NULL, NULL, 1716, 10),
(45110, NULL, 'MF_00794', NULL, NULL, 'Putative antitoxin <locus_tag>.', NULL, 'UPF0330', NULL, NULL, 3133, 10),
(45111, NULL, 'MF_00925', NULL, NULL, 'Outer membrane protein assembly factor BamE [bamE].', NULL, 'OM_assembly_BamE', NULL, NULL, 28916, 10),
(45112, NULL, 'MF_01084', NULL, NULL, 'Diphthine synthase [dphB].', NULL, 'Diphthine_synth', NULL, NULL, 786, 10),
(45113, NULL, 'MF_01382', NULL, NULL, 'Protein translocase subunit SecA [secA].', NULL, 'SecA', NULL, NULL, 1836, 10),
(45114, NULL, 'MF_00088', NULL, NULL, 'UPF0109 protein <locus_tag>.', NULL, 'UPF0109', NULL, NULL, 19531, 10),
(45115, NULL, 'MF_00918', NULL, NULL, 'Probable transcriptional regulatory protein YeeN [yeeN].', NULL, 'Transcrip_reg_TACO1_YeeN', NULL, NULL, 25875, 10),
(45116, NULL, 'MF_01363', NULL, NULL, '50S ribosomal protein L21 [rplU].', NULL, 'Ribosomal_L21', NULL, NULL, 4081, 10),
(45117, NULL, 'MF_01024', NULL, NULL, 'Histidinol dehydrogenase [hisD].', NULL, 'HisD', NULL, NULL, 14351, 10),
(45118, NULL, 'MF_01984', NULL, NULL, 'Flavin prenyltransferase UbiX [ubiX].', NULL, 'ubiX_pad', NULL, NULL, 1919, 10),
(45119, NULL, 'MF_02068', NULL, NULL, 'Ribitol-5-phosphate cytidylyltransferase [tarI].', NULL, 'TarI', NULL, NULL, 20540, 10),
(45120, NULL, 'MF_01464_B', NULL, NULL, 'Protein-export membrane protein SecF [secF].', NULL, 'SecF_B', NULL, NULL, 3924, 10),
(45121, NULL, 'MF_00995', NULL, NULL, 'Chorismate dehydratase [mqnA].', NULL, 'MqnA', NULL, NULL, 23545, 10),
(45122, NULL, 'MF_01528', NULL, NULL, 'Multidrug resistance protein MdtG [mdtG].', NULL, 'MFS_MdtG', NULL, NULL, 7454, 10),
(45123, NULL, 'MF_01679', NULL, NULL, '2,3-diketo-5-methylthiopentyl-1-phosphate enolase [mtnW].', NULL, 'Salvage_MtnW', NULL, NULL, 18307, 10),
(45124, NULL, 'MF_01072', NULL, NULL, 'Glucans biosynthesis glucosyltransferase H [mdoH].', NULL, 'MdoH_OpgH', NULL, NULL, 17435, 10),
(45125, NULL, 'MF_00471', NULL, NULL, 'Regulator of ribonuclease activity A [rraA].', NULL, 'RraA', NULL, NULL, 10060, 10),
(45126, NULL, 'MF_01451', NULL, NULL, 'ATP-dependent helicase/nuclease subunit A [addA].', NULL, 'AddA', NULL, NULL, 14187, 10),
(45127, NULL, 'MF_00621', NULL, NULL, 'GTP-sensing transcriptional pleiotropic repressor CodY [codY].', NULL, 'HTH_type_CodY', NULL, NULL, 14369, 10),
(45128, NULL, 'MF_00463', NULL, NULL, 'Ion-translocating oxidoreductase complex subunit B [rsxB].', NULL, 'RsxB_RnfB', NULL, NULL, 4413, 10),
(45129, NULL, 'MF_00375', NULL, NULL, 'Glutamate-1-semialdehyde 2,1-aminomutase [hemL].', NULL, 'HemL_aminotrans_3', NULL, NULL, 2932, 10),
(45130, NULL, 'MF_00157', NULL, NULL, 'Ribonuclease T [rnt].', NULL, 'RNase_T', NULL, NULL, 1330, 10),
(45131, NULL, 'MF_01939', NULL, NULL, '2-methylisocitrate lyase [prpB].', NULL, 'PrpB', NULL, NULL, 11897, 10),
(45132, NULL, 'MF_04027', NULL, NULL, 'Ribonucleoside-diphosphate reductase large subunit-like protein [RIR1].', NULL, 'HSV_RIR1_betahv', NULL, NULL, 8459, 10),
(45133, NULL, 'MF_01916', NULL, NULL, 'Cardiolipin synthase.', NULL, 'Cardiolipin_synth_Cls', NULL, NULL, 24624, 10),
(45134, NULL, 'MF_01385', NULL, NULL, 'Urease accessory protein UreF [ureF].', NULL, 'UreF', NULL, NULL, 2893, 10),
(45135, NULL, 'MF_00975', NULL, NULL, 'Exosome complex component Csl4 [csl4].', NULL, 'Exosome_Csl4', NULL, NULL, 22737, 10),
(45136, NULL, 'MF_00798', NULL, NULL, 'Transcription attenuation protein MtrB [mtrB].', NULL, 'Trp_attenuator', NULL, NULL, 4877, 10);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45137, NULL, 'MF_01646', NULL, NULL, 'Siroheme synthase [cysG].', NULL, 'Siroheme_synth', NULL, NULL, 13604, 10),
(45138, NULL, 'MF_01985', NULL, NULL, 'Phenolic acid decarboxylase.', NULL, 'UbiD_YclC', NULL, NULL, 24553, 10),
(45139, NULL, 'MF_00921', NULL, NULL, 'Putative pyruvate, phosphate dikinase regulatory protein.', NULL, 'PDRP', NULL, NULL, 21539, 10),
(45140, NULL, 'MF_01535', NULL, NULL, 'Rhamnulokinase [rhaB].', NULL, 'Rhamnulokinase', NULL, NULL, 9117, 10),
(45141, NULL, 'MF_01159', NULL, NULL, 'Initiation-control protein YabA.', NULL, 'YabA', NULL, NULL, 9574, 10),
(45142, NULL, 'MF_01490', NULL, NULL, 'Holliday junction resolvase Hjc [hjc].', NULL, 'HJ_Resolv_Hjc', NULL, NULL, 7611, 10),
(45143, NULL, 'MF_00110', NULL, NULL, '3-dehydroquinate synthase [aroB].', NULL, 'DHQ_synthase', NULL, NULL, 17623, 10),
(45144, NULL, 'MF_01171', NULL, NULL, 'Arginine N-succinyltransferase [astA].', NULL, 'AstA', NULL, NULL, 6542, 10),
(45145, NULL, 'MF_01209', NULL, NULL, 'Carbamoyl-phosphate synthase small chain [carA].', NULL, 'CPSase_S_chain', NULL, NULL, 3896, 10),
(45146, NULL, 'MF_01854', NULL, NULL, 'Fructose-1,6-bisphosphatase class 3 [fbp].', NULL, 'FBPase_class3', NULL, NULL, 9823, 10),
(45147, NULL, 'MF_01369_B', NULL, NULL, '50S ribosomal protein L23 [rplW].', NULL, 'Ribosomal_L23_B', NULL, NULL, 11680, 10),
(45148, NULL, 'MF_01915', NULL, NULL, 'Lipopolysaccharide export system protein LptC [lptC].', NULL, 'LPS_assembly_LptC', NULL, NULL, 21522, 10),
(45149, NULL, 'MF_01971', NULL, NULL, 'Kynurenine 3-monooxygenase [kmo].', NULL, 'Kynurenine_monooxygenase', NULL, NULL, 28812, 10),
(45150, NULL, 'MF_00173', NULL, NULL, 'Arginine repressor [argR].', NULL, 'Arg_repressor', NULL, NULL, 5034, 10),
(45151, NULL, 'MF_00523', NULL, NULL, 'UDP-3-O-(3-hydroxymyristoyl)glucosamine N-acyltransferase [lpxD].', NULL, 'LpxD', NULL, NULL, 1251, 10),
(45152, NULL, 'MF_01433', NULL, NULL, 'Pyrimidine-specific ribonucleoside hydrolase RihB [rihB].', NULL, 'Pyrim_hydro_RihB', NULL, NULL, 14872, 10),
(45153, NULL, 'MF_03007', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit H [EIF3H].', NULL, 'eIF3h', NULL, NULL, 26989, 10),
(45154, NULL, 'MF_00137', NULL, NULL, 'Phosphoribosylaminoimidazole-succinocarboxamide synthase [purC].', NULL, 'SAICAR_synth', NULL, NULL, 22729, 10),
(45155, NULL, 'MF_00756', NULL, NULL, 'Ribonuclease P protein component 3 [rnp3].', NULL, 'RNase_P_3', NULL, NULL, 17245, 10),
(45156, NULL, 'MF_00635', NULL, NULL, 'Probable deoxyuridine 5''-triphosphate nucleotidohydrolase [dut].', NULL, 'dUTPase_arch', NULL, NULL, 16794, 10),
(45157, NULL, 'MF_00665', NULL, NULL, 'Small, acid-soluble spore protein O [sspO].', NULL, 'SspO', NULL, NULL, 9734, 10),
(45158, NULL, 'MF_00784', NULL, NULL, 'Accessory gene regulator protein B [agrB].', NULL, 'AgrB', NULL, NULL, 3181, 10),
(45159, NULL, 'MF_01332', NULL, NULL, 'Secretion monitor [secM].', NULL, 'SecM', NULL, NULL, 9356, 10),
(45160, NULL, 'MF_01632', NULL, NULL, 'Chorismate pyruvate-lyase [ubiC].', NULL, 'UbiC', NULL, NULL, 4410, 10),
(45161, NULL, 'MF_01317', NULL, NULL, 'Photosystem II reaction center protein L [psbL].', NULL, 'PSII_PsbL', NULL, NULL, 4267, 10),
(45162, NULL, 'MF_01875', NULL, NULL, 'Non-homologous end joining protein Ku [ku].', NULL, 'Prokaryotic_Ku', NULL, NULL, 9702, 10),
(45163, NULL, 'MF_03052', NULL, NULL, 'Molybdopterin synthase catalytic subunit [cnxH].', NULL, 'MOC2B', NULL, NULL, 24649, 10),
(45164, NULL, 'MF_04043', NULL, NULL, 'Inner tegument protein.', NULL, 'HSV_ITP', NULL, NULL, 31903, 10),
(45165, NULL, 'MF_01852', NULL, NULL, 'Threonylcarbamoyl-AMP synthase [tsaC].', NULL, 'TsaC', NULL, NULL, 17295, 10),
(45166, NULL, 'MF_01883', NULL, NULL, '2-(5''''-triphosphoribosyl)-3''-dephosphocoenzyme-A synthase [mdcB].', NULL, 'MdcB', NULL, NULL, 15366, 10),
(45167, NULL, 'MF_01249', NULL, NULL, 'HPr kinase/phosphorylase [hprK].', NULL, 'HPr_kinase', NULL, NULL, 6258, 10),
(45168, NULL, 'MF_01940', NULL, NULL, 'RNA 2'',3''-cyclic phosphodiesterase [thpR].', NULL, 'RNA_CPDase', NULL, NULL, 2780, 10);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45169, NULL, 'MF_02112', NULL, NULL, 'Proteasome-associated ATPase [mpa].', NULL, 'ARC_ATPase', NULL, NULL, 16978, 10),
(45170, NULL, 'MF_01850', NULL, NULL, 'tRNA-cytidine(32) 2-sulfurtransferase [ttcA].', NULL, 'TtcA', NULL, NULL, 12964, 10),
(45171, NULL, 'MF_00942', NULL, NULL, 'Endonuclease III [nth].', NULL, 'Nth', NULL, NULL, 4937, 10),
(45172, NULL, 'MF_02117', NULL, NULL, 'N(2)-fixation sustaining protein CowN [cowN].', NULL, 'CowN', NULL, NULL, 21535, 10),
(45173, NULL, 'MF_01379', NULL, NULL, 'Photosystem II protein D1 [psbA].', NULL, 'PSII_PsbA_D1', NULL, NULL, 6836, 10),
(45174, NULL, 'MF_04128', NULL, NULL, 'Protein VP3.', NULL, 'Rota_VP3_A', NULL, NULL, 11246, 10),
(45175, NULL, 'MF_00226_A', NULL, NULL, 'Putative competence-damage inducible protein [cinA].', NULL, 'CinA_A', NULL, NULL, 15371, 10),
(45176, NULL, 'MF_00266', NULL, NULL, 'tRNA(Phe) 7-((3-amino-3-carboxypropyl)-4-demethylwyosine(37)-N(4))-methyltransferase [taw3].', NULL, 'TYW3_archaea', NULL, NULL, 17343, 10),
(45177, NULL, 'MF_00263', NULL, NULL, 'UPF0127 protein <locus_tag>.', NULL, 'UPF0127', NULL, NULL, 17075, 10),
(45178, NULL, 'MF_00545', NULL, NULL, '30S ribosomal protein S24e [rps24e].', NULL, 'Ribosomal_S24e', NULL, NULL, 2441, 10),
(45179, NULL, 'MF_01280', NULL, NULL, 'Processive diacylglycerol beta-glucosyltransferase [ugtP].', NULL, 'Diacylglyc_glucosyltr', NULL, NULL, 17684, 10),
(45180, NULL, 'MF_01289', NULL, NULL, 'D-galactonate dehydratase [dgoD].', NULL, 'Galacton_dehydrat', NULL, NULL, 16949, 10),
(45181, NULL, 'MF_00192', NULL, NULL, 'DNA-directed RNA polymerase subunit K [rpoK].', NULL, 'RNApol_arch_K', NULL, NULL, 10377, 10),
(45182, NULL, 'MF_04055', NULL, NULL, 'DNA polymerase [POL].', NULL, 'ADV_DPOL', NULL, NULL, 12596, 10),
(45183, NULL, 'MF_00152', NULL, NULL, 'Probable endonuclease 4 [nfo].', NULL, 'Nfo', NULL, NULL, 3433, 10),
(45184, NULL, 'MF_00988', NULL, NULL, 'D-allose kinase [alsK].', NULL, 'Allose_kinase', NULL, NULL, 28695, 10),
(45185, NULL, 'MF_00239', NULL, NULL, 'Cytidylate kinase [cmk].', NULL, 'Cytidyl_kinase_type2', NULL, NULL, 8868, 10),
(45186, NULL, 'MF_02230', NULL, NULL, 'Ribose 1,5-bisphosphate isomerase.', NULL, 'R15P_isomerase', NULL, NULL, 11012, 10),
(45187, NULL, 'MF_02229', NULL, NULL, '5-deoxyribose 1-phosphate isomerase [drdI].', NULL, 'Deoxyribose1P_isomerase', NULL, NULL, 37800, 10),
(45188, NULL, 'MF_00689', NULL, NULL, 'Aspartate/glutamate leucyltransferase [bpt].', NULL, 'Bpt', NULL, NULL, 20926, 10),
(45189, NULL, 'MF_01236', NULL, NULL, 'HTH-type transcriptional repressor NanR [nanR].', NULL, 'HTH_NanR', NULL, NULL, 16653, 10),
(45190, NULL, 'MF_02226', NULL, NULL, 'D-allulose-6-phosphate 3-epimerase [alsE].', NULL, 'AlluloseP_3_epimer', NULL, NULL, 37636, 10),
(45191, NULL, 'MF_01119', NULL, NULL, 'UPF0294 protein YafD [yafD].', NULL, 'UPF0294', NULL, NULL, 14620, 10),
(45192, NULL, 'MF_00024', NULL, NULL, 'Cobalamin biosynthesis protein CbiB [cbiB].', NULL, 'CobD_CbiB', NULL, NULL, 1457, 10),
(45193, NULL, 'MF_00040', NULL, NULL, 'Ribosome-recycling factor [frr].', NULL, 'RRF', NULL, NULL, 2754, 10),
(45194, NULL, 'MF_00212', NULL, NULL, 'Probable malate:quinone oxidoreductase [mqo].', NULL, 'MQO', NULL, NULL, 11370, 10),
(45195, NULL, 'MF_04035', NULL, NULL, 'Envelope glycoprotein M [gM].', NULL, 'HSV_GM', NULL, NULL, 4913, 10),
(45196, NULL, 'MF_01587', NULL, NULL, 'DNA ligase B [ligB].', NULL, 'DNA_ligase_B', NULL, NULL, 14526, 10),
(45197, NULL, 'MF_01546', NULL, NULL, 'Protein AaeX [aaeX].', NULL, 'AaeX', NULL, NULL, 14593, 10),
(45198, NULL, 'MF_03129', NULL, NULL, 'Lipoyl synthase, chloroplastic [LIP1P].', NULL, 'Lipoyl_synth_plantC', NULL, NULL, 24546, 10),
(45199, NULL, 'MF_00384', NULL, NULL, 'Homoserine kinase [thrB].', NULL, 'Homoser_kinase', NULL, NULL, 4993, 10),
(45200, NULL, 'MF_01328_B', NULL, NULL, '50S ribosomal protein L4 [rplD].', NULL, 'Ribosomal_L4_B', NULL, NULL, 18594, 10),
(45201, NULL, 'MF_01158', NULL, NULL, 'DnaA regulatory inactivator Hda [hda].', NULL, 'Hda', NULL, NULL, 17198, 10),
(45202, NULL, 'MF_00049_A', NULL, NULL, 'Leucine--tRNA ligase [leuS].', NULL, 'Leu_tRNA_synth_A', NULL, NULL, 21451, 10);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45203, NULL, 'MF_04054', NULL, NULL, 'DNA-binding protein [DBP].', NULL, 'ADV_DNB2', NULL, NULL, 35416, 10),
(45204, NULL, 'MF_01242', NULL, NULL, 'Aliphatic amidase [amiE].', NULL, 'Aliphatic_amidase', NULL, NULL, 7564, 10),
(45205, NULL, 'MF_01260', NULL, NULL, 'Pimeloyl-[acyl-carrier protein] methyl ester esterase [bioH].', NULL, 'Carboxylester', NULL, NULL, 2186, 10),
(45206, NULL, 'MF_01513', NULL, NULL, 'Putative phenylalanine aminotransferase [pat].', NULL, 'Phe_aminotrans_2', NULL, NULL, 17935, 10),
(45207, NULL, 'MF_00926', NULL, NULL, 'RNA polymerase-binding transcription factor DksA [dksA].', NULL, 'DksA', NULL, NULL, 10327, 10),
(45208, NULL, 'MF_00293', NULL, NULL, 'Protein PsbN [psbN].', NULL, 'PSII_PsbN', NULL, NULL, 5494, 10),
(45209, NULL, 'MF_00326', NULL, NULL, '50S ribosomal protein L7Ae [rpl7ae].', NULL, 'Ribosomal_L7Ae_Arch', NULL, NULL, 16871, 10),
(45210, NULL, 'MF_01522', NULL, NULL, 'Low affinity potassium transport system protein kup [kup].', NULL, 'Kup', NULL, NULL, 15293, 10),
(45211, NULL, 'MF_00150', NULL, NULL, 'N-acetyl-gamma-glutamyl-phosphate reductase [argC].', NULL, 'ArgC_type1', NULL, NULL, 6510, 10),
(45212, NULL, 'MF_00064', NULL, NULL, 'Sulfate adenylyltransferase subunit 2 [cysD].', NULL, 'Sulf_adenylyltr_sub2', NULL, NULL, 13108, 10),
(45213, NULL, 'MF_00838', NULL, NULL, 'Diadenylate cyclase [dacB].', NULL, 'DacB', NULL, NULL, 16034, 10),
(45214, NULL, 'MF_00396', NULL, NULL, 'Cytochrome b6-f complex subunit 7 [petM].', NULL, 'Cytb6_f_PetM', NULL, NULL, 9663, 10),
(45215, NULL, 'MF_00408', NULL, NULL, 'TATA-box-binding protein [tbp].', NULL, 'TATA_bind_prot_arch', NULL, NULL, 5312, 10),
(45216, NULL, 'MF_00667', NULL, NULL, 'Small, acid-soluble spore protein H [sspH].', NULL, 'SspH', NULL, NULL, 9675, 10),
(45217, NULL, 'MF_00652', NULL, NULL, 'UPF0246 protein YaaA [yaaA].', NULL, 'UPF0246', NULL, NULL, 1650, 10),
(45218, NULL, 'MF_00846', NULL, NULL, 'Ribosome protection protein VmlR [vmlR].', NULL, 'VmlR', NULL, NULL, 37474, 10),
(45219, NULL, 'MF_01589', NULL, NULL, 'Carboxy-S-adenosyl-L-methionine synthase [cmoA].', NULL, 'Cx_SAM_synthase', NULL, NULL, 4339, 10),
(45220, NULL, 'MF_01178', NULL, NULL, 'Sigma factor-binding protein Crl [crl].', NULL, 'Crl', NULL, NULL, 8414, 10),
(45221, NULL, 'MF_01498', NULL, NULL, 'DNA repair protein RadA [radA].', NULL, 'RadA_bact', NULL, NULL, 1517, 10),
(45222, NULL, 'MF_01675', NULL, NULL, 'O-phospho-L-seryl-tRNA:Cys-tRNA synthase.', NULL, 'Sep_Cys_tRNA_synth', NULL, NULL, 11874, 10),
(45223, NULL, 'MF_01467', NULL, NULL, 'Hypoxanthine/guanine phosphoribosyltransferase [hpt].', NULL, 'Hypx_phosphoribosyltr', NULL, NULL, 23461, 10),
(45224, NULL, 'MF_00184', NULL, NULL, 'Threonine--tRNA ligase [thrS].', NULL, 'Thr_tRNA_synth', NULL, NULL, 6104, 10),
(45225, NULL, 'MF_01056', NULL, NULL, 'Protein FixB [fixB].', NULL, 'FixB', NULL, NULL, 16123, 10),
(45226, NULL, 'MF_01073', NULL, NULL, 'Macrodomain Ter protein [matP].', NULL, 'MatP', NULL, NULL, 8443, 10),
(45227, NULL, 'MF_01370', NULL, NULL, 'Photosystem II reaction center Psb28 protein [psb28].', NULL, 'PSII_Psb28', NULL, NULL, 2620, 10),
(45228, NULL, 'MF_01408', NULL, NULL, 'Flavin-dependent thymidylate synthase [thyX].', NULL, 'ThyX', NULL, NULL, 1227, 10),
(45229, NULL, 'MF_02010', NULL, NULL, 'Anti-adapter protein IraD [iraD].', NULL, 'IraD', NULL, NULL, 16853, 10),
(45230, NULL, 'MF_01960', NULL, NULL, 'D-aminopeptidase [dap].', NULL, 'D_aminopeptidase', NULL, NULL, 6598, 10),
(45231, NULL, 'MF_00657', NULL, NULL, 'PKHD-type hydroxylase YbiX [ybiX].', NULL, 'Hydroxyl_YbiX', NULL, NULL, 16769, 10),
(45232, NULL, 'MF_00259', NULL, NULL, 'Aminomethyltransferase [gcvT].', NULL, 'GcvT', NULL, NULL, 17083, 10),
(45233, NULL, 'MF_01422', NULL, NULL, 'Multidrug resistance protein MdtA [mdtA].', NULL, 'MdtA', NULL, NULL, 1725, 10),
(45234, NULL, 'MF_00630', NULL, NULL, 'UPF0232 protein <locus_tag>.', NULL, 'UPF0232', NULL, NULL, 15012, 10),
(45235, NULL, 'MF_04127', NULL, NULL, 'Inner capsid protein VP2.', NULL, 'Rota_VP2_A', NULL, NULL, 1008, 10),
(45236, NULL, 'MF_01372', NULL, NULL, 'UPF0412 protein YaaI [yaaI].', NULL, 'UPF0412', NULL, NULL, 21320, 10);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45237, NULL, 'MF_03004', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit E [EIF3E].', NULL, 'eIF3e', NULL, NULL, 19695, 10),
(45238, NULL, 'MF_04106', NULL, NULL, 'Baseplate wedge protein gp10.', NULL, 'BP10_T4', NULL, NULL, 7887, 10),
(45239, NULL, 'MF_04007', NULL, NULL, 'Major DNA-binding protein [DBP].', NULL, 'HSV_DNBI', NULL, NULL, 5722, 10),
(45240, NULL, 'MF_00773', NULL, NULL, '50S ribosomal protein L24e [rpl24e].', NULL, 'Ribosomal_L24e', NULL, NULL, 16209, 10),
(45241, NULL, 'MF_01323', NULL, NULL, 'DNA-directed RNA polymerase subunit gamma [rpoC1].', NULL, 'RNApol_bact_RpoC1', NULL, NULL, 31610, 10),
(45242, NULL, 'MF_02062', NULL, NULL, 'Sodium/glutamate symporter [gltS].', NULL, 'GltS', NULL, NULL, 7317, 10),
(45243, NULL, 'MF_03170', NULL, NULL, 'Adenylate kinase 4, mitochondrial [AK4].', NULL, 'Adenylate_kinase_AK4', NULL, NULL, 24865, 10),
(45244, NULL, 'MF_00274', NULL, NULL, 'Nucleoid-associated protein YbaB [ybaB].', NULL, 'DNA_YbaB_EbfC', NULL, NULL, 5894, 10),
(45245, NULL, 'MF_00176', NULL, NULL, 'Serine--tRNA ligase [serS].', NULL, 'Ser_tRNA_synth_type1', NULL, NULL, 6637, 10),
(45246, NULL, 'MF_01979', NULL, NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, 'Phosphofructokinase_II_Short', NULL, NULL, 7846, 10),
(45247, NULL, 'MF_03193', NULL, NULL, 'Ubiquinone biosynthesis monooxygenase COQ6, mitochondrial [COQ6].', NULL, 'COQ6_monooxygenase', NULL, NULL, 3551, 10),
(45248, NULL, 'MF_00992', NULL, NULL, 'Cyclic dehypoxanthine futalosine synthase [mqnC].', NULL, 'MqnC', NULL, NULL, 16410, 10),
(45249, NULL, 'MF_01904', NULL, NULL, 'Phosphoenolpyruvate carboxylase [ppcA].', NULL, 'PEPcase_type2', NULL, NULL, 1658, 10),
(45250, NULL, 'MF_02047', NULL, NULL, '6-phosphogluconate dehydrogenase, NAD(+)-dependent, decarboxylating.', NULL, '6PGDH_archaea', NULL, NULL, 26869, 10),
(45251, NULL, 'MF_03117', NULL, NULL, 'Enolase-phosphatase E1 [ENOPH1].', NULL, 'Salvage_MtnC_euk', NULL, NULL, 24251, 10),
(45252, NULL, 'MF_01213', NULL, NULL, 'Deoxyguanosinetriphosphate triphosphohydrolase-like protein.', NULL, 'dGTPase_type3', NULL, NULL, 15218, 10),
(45253, NULL, 'MF_00466', NULL, NULL, 'Probable M18 family aminopeptidase 1 [apeA].', NULL, 'Aminopeptidase_M18_1', NULL, NULL, 15382, 10),
(45254, NULL, 'MF_00245', NULL, NULL, 'UPF0122 protein <locus_tag>.', NULL, 'UPF0122', NULL, NULL, 3714, 10),
(45255, NULL, 'MF_01981', NULL, NULL, 'ATP-dependent 6-phosphofructokinase [pfkA].', NULL, 'Phosphofructokinase_II_X', NULL, NULL, 10788, 10),
(45256, NULL, 'MF_00356', NULL, NULL, 'DNA polymerase III PolC-type [polC].', NULL, 'DNApol_PolC', NULL, NULL, 4803, 10),
(45257, NULL, 'MF_00449', NULL, NULL, 'DNA double-strand break repair Rad50 ATPase [rad50].', NULL, 'RAD50', NULL, NULL, 15173, 10),
(45258, NULL, 'MF_00207', NULL, NULL, 'Probable manganese-dependent inorganic pyrophosphatase [ppaC].', NULL, 'PPase_C', NULL, NULL, 14796, 10),
(45259, NULL, 'MF_00584', NULL, NULL, 'Putative HTH-type transcriptional regulatory protein <locus_tag>.', NULL, 'HTH_type_cro_C1', NULL, NULL, 21207, 10),
(45260, NULL, 'MF_00971', NULL, NULL, 'DNA-binding protein MutS2 [mutS2].', NULL, 'MutS2_archaea', NULL, NULL, 13821, 10),
(45261, NULL, 'MF_00276', NULL, NULL, 'Potassium-transporting ATPase KdpC subunit [kdpC].', NULL, 'KdpC', NULL, NULL, 3176, 10),
(45262, NULL, 'MF_00765', NULL, NULL, 'UPF0307 protein YjgA [yjgA].', NULL, 'UPF0307', NULL, NULL, 4249, 10),
(45263, NULL, 'MF_00018', NULL, NULL, 'UPF0758 protein YicR [yicR].', NULL, 'UPF0758_YicR', NULL, NULL, 17243, 10),
(45264, NULL, 'MF_00770', NULL, NULL, 'Rhamnulose-1-phosphate aldolase [rhaD].', NULL, 'RhaD', NULL, NULL, 9172, 10),
(45265, NULL, 'MF_01845', NULL, NULL, 'UPF0597 protein YhaM [yhaM].', NULL, 'UPF0597', NULL, NULL, 15964, 10),
(45266, NULL, 'MF_00082', NULL, NULL, 'Acetylglutamate kinase [argB].', NULL, 'ArgB', NULL, NULL, 35970, 10),
(45267, NULL, 'MF_01062', NULL, NULL, 'Phosphoenolpyruvate synthase regulatory protein [ppsR].', NULL, 'PSRP', NULL, NULL, 24421, 10),
(45268, NULL, 'MF_01669', NULL, NULL, '3D-(3,5/4)-trihydroxycyclohexane-1,2-dione hydrolase [iolD].', NULL, 'IolD', NULL, NULL, 11112, 10);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45269, NULL, 'MF_00445', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit 2, chloroplastic [ndhB].', NULL, 'NDH1_NuoN_1', NULL, NULL, 2114, 10),
(45270, NULL, 'MF_04022', NULL, NULL, 'Small capsomere-interacting protein [SCP].', NULL, 'HSV_SCP_gammahv', NULL, NULL, 13856, 10),
(45271, NULL, 'MF_01910', NULL, NULL, 'Probable ribonuclease FAU-1 [fau-1].', NULL, 'RNA_binding_AU_1', NULL, NULL, 21925, 10),
(45272, NULL, 'MF_00850', NULL, NULL, 'Pyruvate dehydrogenase [ubiquinone] [poxB].', NULL, 'POX', NULL, NULL, 38982, 10),
(45273, NULL, 'MF_00509', NULL, NULL, 'Cell division protein ZipA [zipA].', NULL, 'ZipA', NULL, NULL, 11170, 10),
(45274, NULL, 'MF_01033', NULL, NULL, '3-isopropylmalate dehydrogenase [leuB].', NULL, 'LeuB_type1', NULL, NULL, 7139, 10),
(45275, NULL, 'MF_02042', NULL, NULL, 'tRNA-dihydrouridine synthase B [dusB].', NULL, 'DusB_subfam', NULL, NULL, 25516, 10),
(45276, NULL, 'MF_00422', NULL, NULL, 'Protein translocase subunit SecE [secE].', NULL, 'SecE', NULL, NULL, 2338, 10),
(45277, NULL, 'MF_00019', NULL, NULL, 'Phosphate acyltransferase [plsX].', NULL, 'PlsX', NULL, NULL, 8399, 10),
(45278, NULL, 'MF_00393', NULL, NULL, 'Glycerol-3-phosphate acyltransferase [plsB].', NULL, 'Glyc3P_acyltrans', NULL, NULL, 27689, 10),
(45279, NULL, 'MF_00591', NULL, NULL, 'Exosome complex component Rrp41 [rrp41].', NULL, 'Exosome_Rrp41', NULL, NULL, 13327, 10),
(45280, NULL, 'MF_01182', NULL, NULL, 'Cytochrome c-552 [nrfA].', NULL, 'Cytochrom_C552', NULL, NULL, 16179, 10),
(45281, NULL, 'MF_00777', NULL, NULL, '30S ribosomal protein S27ae [rps27ae].', NULL, 'Ribosomal_S27ae', NULL, NULL, 14928, 10),
(45282, NULL, 'MF_01687', NULL, NULL, 'Beta-galactosidase [lacZ].', NULL, 'Beta_gal', NULL, NULL, 6364, 10),
(45283, NULL, 'MF_03106', NULL, NULL, 'Sulfate adenylyltransferase [MET3].', NULL, 'Sulf_adenylyltr_euk', NULL, NULL, 24692, 10),
(45284, NULL, 'MF_04089', NULL, NULL, 'Non-structural protein 2.', NULL, 'ROTA_NSP2', NULL, NULL, 1064, 10),
(45285, NULL, 'MF_01017', NULL, NULL, 'NAD(P)H dehydrogenase (quinone).', NULL, 'NQOR', NULL, NULL, 33719, 10),
(45286, NULL, 'MF_00606', NULL, NULL, 'UV DNA damage endonuclease [uvsE].', NULL, 'UV_endonuclease', NULL, NULL, 16588, 10),
(45287, NULL, 'MF_00614', NULL, NULL, 'Flap endonuclease 1 [fen].', NULL, 'Fen', NULL, NULL, 16274, 10),
(45288, NULL, 'MF_00494', NULL, NULL, 'Probable transaldolase [tal].', NULL, 'Transaldolase_3b', NULL, NULL, 15052, 10),
(45289, NULL, 'MF_00626', NULL, NULL, 'Germination protease [gpr].', NULL, 'Germination_prot', NULL, NULL, 10340, 10),
(45290, NULL, 'MF_01867', NULL, NULL, 'Putative cysteine ligase BshC [bshC].', NULL, 'BshC', NULL, NULL, 10076, 10),
(45291, NULL, 'MF_01641', NULL, NULL, 'UPF0509 protein YciZ [yciZ].', NULL, 'UPF0509', NULL, NULL, 20937, 10),
(45292, NULL, 'MF_01551', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase M [rlmM].', NULL, '23SrRNA_methyltr_M', NULL, NULL, 10573, 10),
(45293, NULL, 'MF_00052_A', NULL, NULL, 'Ribonuclease HII [rnhB].', NULL, 'RNase_HII_A', NULL, NULL, 19506, 10),
(45294, NULL, 'MF_01326_B', NULL, NULL, '50S ribosomal protein L24 [rplX].', NULL, 'Ribosomal_L24_B', NULL, NULL, 2957, 10),
(45295, NULL, 'MF_01411', NULL, NULL, 'LPS-assembly protein LptD [lptD].', NULL, 'LPS_assembly_LptD', NULL, NULL, 20886, 10),
(45296, NULL, 'MF_01001', NULL, NULL, 'UDP-N-acetyl-D-mannosaminuronic acid transferase [wecG].', NULL, 'WecG_RffM', NULL, NULL, 15929, 10),
(45297, NULL, 'MF_01925', NULL, NULL, 'Pyrroline-5-carboxylate reductase [proC].', NULL, 'P5C_reductase', NULL, NULL, 546, 10),
(45298, NULL, 'MF_00438', NULL, NULL, 'Photosystem II reaction center protein M [psbM].', NULL, 'PSII_PsbM', NULL, NULL, 2131, 10),
(45299, NULL, 'MF_02234', NULL, NULL, 'N-acetylornithine carbamoyltransferase [argF''].', NULL, 'AOTCase', NULL, NULL, 37663, 10),
(45300, NULL, 'MF_01128', NULL, NULL, 'H(+)/Cl(-) exchange transporter ClcA [clcA].', NULL, 'CLC_ClcA', NULL, NULL, 8412, 10),
(45301, NULL, 'MF_00039', NULL, NULL, 'Putative adenylate kinase.', NULL, 'Adenylate_kinase_AK6', NULL, NULL, 20414, 10);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45302, NULL, 'MF_02082', NULL, NULL, '[LysW]-aminoadipate/[LysW]-glutamate kinase [lysZ].', NULL, 'LysZ', NULL, NULL, 31034, 10),
(45303, NULL, 'MF_00014', NULL, NULL, 'Ribosome maturation factor RimM [rimM].', NULL, 'Ribosome_mat_RimM', NULL, NULL, 11036, 10),
(45304, NULL, 'MF_00181', NULL, NULL, 'Probable cytosol aminopeptidase [pepA].', NULL, 'Cytosol_peptidase_M17', NULL, NULL, 15239, 10),
(45305, NULL, 'MF_01021', NULL, NULL, 'Phosphoribosyl-AMP cyclohydrolase [hisI].', NULL, 'HisI', NULL, NULL, 23402, 10),
(45306, NULL, 'MF_00747', NULL, NULL, 'Isocitrate dehydrogenase kinase/phosphatase [aceK].', NULL, 'AceK', NULL, NULL, 10425, 10),
(45307, NULL, 'MF_00099', NULL, NULL, 'Protein-glutamate methylesterase/protein-glutamine glutaminase [cheB].', NULL, 'CheB_chemtxs', NULL, NULL, 693, 10),
(45308, NULL, 'MF_02040', NULL, NULL, 'Iron-sulfur cluster carrier protein.', NULL, 'Mrp_NBP35', NULL, NULL, 20083, 10),
(45309, NULL, 'MF_02111', NULL, NULL, 'Pup--protein ligase [pafA].', NULL, 'Pup_ligase', NULL, NULL, 15965, 10),
(45310, NULL, 'MF_00556', NULL, NULL, 'Bacteriohemerythrin.', NULL, 'Hemerythrin', NULL, NULL, 16535, 10),
(45311, NULL, 'MF_01574', NULL, NULL, '6-phospho-beta-galactosidase [lacG].', NULL, 'LacG', NULL, NULL, 25, 10),
(45312, NULL, 'MF_00715', NULL, NULL, 'Protein SlyX [slyX].', NULL, 'SlyX', NULL, NULL, 6717, 10),
(45313, NULL, 'MF_01100', NULL, NULL, '5''-deoxynucleotidase YfbR [yfbR].', NULL, '5DNU', NULL, NULL, 14651, 10),
(45314, NULL, 'MF_01950', NULL, NULL, 'Acyl carrier protein phosphodiesterase [acpH].', NULL, 'AcpH', NULL, NULL, 16941, 10),
(45315, NULL, 'MF_00646', NULL, NULL, 'Elongation factor P-like protein [yeiP].', NULL, 'EFP', NULL, NULL, 12280, 10),
(45316, NULL, 'MF_00478', NULL, NULL, 'Ion-translocating oxidoreductase complex subunit E [rsxE].', NULL, 'RsxE_RnfE', NULL, NULL, 2403, 10),
(45317, NULL, 'MF_01849', NULL, NULL, 'Dual-specificity RNA methyltransferase RlmN [rlmN].', NULL, 'RNA_methyltr_RlmN', NULL, NULL, 22015, 10),
(45318, NULL, 'MF_01202', NULL, NULL, 'D-amino acid dehydrogenase [dadA].', NULL, 'DadA', NULL, NULL, 15409, 10),
(45319, NULL, 'MF_01350', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit 1, chloroplastic [ndhA].', NULL, 'NDH1_NuoH', NULL, NULL, 3076, 10),
(45320, NULL, 'MF_01569', NULL, NULL, 'Proline--tRNA ligase [proS].', NULL, 'Pro_tRNA_synth_type1', NULL, NULL, 10886, 10),
(45321, NULL, 'MF_04092', NULL, NULL, 'Non-structural protein 5.', NULL, 'ROTA_NSP5', NULL, NULL, 998, 10),
(45322, NULL, 'MF_04207', NULL, NULL, 'Hemagglutinin-esterase [HE].', NULL, 'BETA_CORONA_HE', NULL, NULL, 40024, 10),
(45323, NULL, 'MF_00511', NULL, NULL, '30S ribosomal protein S17e [rps17e].', NULL, 'Ribosomal_S17e', NULL, NULL, 1341, 10),
(45324, NULL, 'MF_03056', NULL, NULL, 'tRNA (guanine-N(7)-)-methyltransferase non-catalytic subunit <gene_name> [WDR4].', NULL, 'TRM82', NULL, NULL, 26100, 10),
(45325, NULL, 'MF_00204', NULL, NULL, 'UvrABC system protein B [uvrB].', NULL, 'UvrB', NULL, NULL, 4390, 10),
(45326, NULL, 'MF_01666', NULL, NULL, 'Glyoxylate/hydroxypyruvate reductase A [ghrA].', NULL, '2_Hacid_dh_C_GhrA', NULL, NULL, 16834, 10),
(45327, NULL, 'MF_04140', NULL, NULL, 'Flap endonuclease.', NULL, 'FEN_T5', NULL, NULL, 37355, 10),
(45328, NULL, 'MF_00098', NULL, NULL, 'Methionine--tRNA ligase [metG].', NULL, 'Met_tRNA_synth_type1', NULL, NULL, 16020, 10),
(45329, NULL, 'MF_01487', NULL, NULL, 'RecBCD enzyme subunit RecD [recD].', NULL, 'RecD', NULL, NULL, 4720, 10),
(45330, NULL, 'MF_00712', NULL, NULL, 'Probable glycine dehydrogenase (decarboxylating) subunit 1 [gcvPA].', NULL, 'GcvPA', NULL, NULL, 15187, 10),
(45331, NULL, 'MF_01450', NULL, NULL, 'Acylphosphatase [yccX].', NULL, 'Acylphosphatase_entero', NULL, NULL, 27283, 10),
(45332, NULL, 'MF_00701', NULL, NULL, 'DNA primase large subunit PriL [priL].', NULL, 'DNA_primase_lrg_arc', NULL, NULL, 16918, 10),
(45333, NULL, 'MF_03212', NULL, NULL, 'NADPH--cytochrome P450 reductase [POR].', NULL, 'NCPR', NULL, NULL, 15943, 10),
(45334, NULL, 'MF_02045', NULL, NULL, 'Phosphoribosylaminoimidazole carboxylase [purE].', NULL, 'PurE_classII', NULL, NULL, 33837, 10);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45335, NULL, 'MF_01065', NULL, NULL, 'UPF0257 lipoprotein YnfC [ynfC].', NULL, 'UPF0257', NULL, NULL, 9283, 10),
(45336, NULL, 'MF_00820', NULL, NULL, '2,3-diketo-L-gulonate reductase [dlgD].', NULL, 'Diketo_gul_reduc', NULL, NULL, 11792, 10),
(45337, NULL, 'MF_00936', NULL, NULL, 'DNA topoisomerase 4 subunit A [parC].', NULL, 'ParC_type1', NULL, NULL, 4981, 10),
(45338, NULL, 'MF_01162', NULL, NULL, 'Bifunctional protein Aas [aas].', NULL, 'Aas', NULL, NULL, 14602, 10),
(45339, NULL, 'MF_01333_B', NULL, NULL, '50S ribosomal protein L5 [rplE].', NULL, 'Ribosomal_L5_B', NULL, NULL, 14712, 10),
(45340, NULL, 'MF_02052', NULL, NULL, '3-hydroxy-5-phosphonooxypentane-2,4-dione thiolase [lsrF].', NULL, 'LsrF', NULL, NULL, 31751, 10),
(45341, NULL, 'MF_01473', NULL, NULL, 'UDP-N-acetylglucosamine--peptide N-acetylglucosaminyltransferase stabilizing protein GtfB [gtfB].', NULL, 'GtfB', NULL, NULL, 11973, 10),
(45342, NULL, 'MF_03030', NULL, NULL, 'Mitochondrial genome maintenance exonuclease 1 [MGME1].', NULL, 'MGME1', NULL, NULL, NULL, 10),
(45343, NULL, 'MF_01677', NULL, NULL, 'Methylthioribulose-1-phosphate dehydratase [mtnB].', NULL, 'Salvage_MtnB', NULL, NULL, 18050, 10),
(45344, NULL, 'MF_01639', NULL, NULL, 'Pyridoxal kinase PdxY [pdxY].', NULL, 'PdxY', NULL, NULL, 16932, 10),
(45345, NULL, 'MF_00503', NULL, NULL, '50S ribosomal protein L9 [rplI].', NULL, 'Ribosomal_L9', NULL, NULL, 20770, 10),
(45346, NULL, 'MF_01193', NULL, NULL, 'Endoribonuclease SymE [symE].', NULL, 'Endoribonucl_SymE', NULL, NULL, 21132, 10),
(45347, NULL, 'MF_04073', NULL, NULL, 'Protein P [P].', NULL, 'HBV_DPOL', NULL, NULL, 29288, 10),
(45348, NULL, 'MF_03071', NULL, NULL, 'Chromodomain-helicase-DNA-binding protein 8 [CHD8].', NULL, 'CHD8', NULL, NULL, 19647, 10),
(45349, NULL, 'MF_00502', NULL, NULL, '50S ribosomal protein L31 type B [rpmE2].', NULL, 'Ribosomal_L31_2', NULL, NULL, 27070, 10),
(45350, NULL, 'MF_01259', NULL, NULL, 'Bifunctional F420 biosynthesis protein FbiB [fbiB].', NULL, 'F420_ligase_FbiB', NULL, NULL, 715, 10),
(45351, NULL, 'MF_01520', NULL, NULL, 'Bifunctional enzyme IspD/IspF [ispDF].', NULL, 'IspDF', NULL, NULL, 24266, 10),
(45352, NULL, 'MF_01839', NULL, NULL, 'Nucleoid occlusion factor SlmA [slmA].', NULL, 'NO_factor_SlmA', NULL, NULL, 16570, 10),
(45353, NULL, 'MF_01409', NULL, NULL, 'UPF0219 protein <locus_tag>.', NULL, 'UPF0219', NULL, NULL, 2602, 10),
(45354, NULL, 'MF_01173', NULL, NULL, 'Succinylornithine transaminase [astC].', NULL, 'AstC_aminotrans_3', NULL, NULL, 28791, 10),
(45355, NULL, 'MF_03154', NULL, NULL, '1,2-dihydroxy-3-keto-5-methylthiopentene dioxygenase [ADI1].', NULL, 'Salvage_MtnD_euk', NULL, NULL, 26921, 10),
(45356, NULL, 'MF_01328_A', NULL, NULL, '50S ribosomal protein L4 [rplD].', NULL, 'Ribosomal_L4_A', NULL, NULL, 15536, 10),
(45357, NULL, 'MF_01059', NULL, NULL, 'Cytoplasmic trehalase [treF].', NULL, 'Cyt_trehalase', NULL, NULL, 16922, 10),
(45358, NULL, 'MF_00650', NULL, NULL, 'Phosphoribosyl-dephospho-CoA transferase [mdcG].', NULL, 'Malonate_MdcG', NULL, NULL, 15264, 10),
(45359, NULL, 'MF_00089', NULL, NULL, 'Phosphomethylpyrimidine synthase [thiC].', NULL, 'ThiC', NULL, NULL, 36276, 10),
(45360, NULL, 'MF_00814', NULL, NULL, 'Nascent polypeptide-associated complex protein [nac].', NULL, 'NAC_arch', NULL, NULL, 11180, 10),
(45361, NULL, 'MF_00723', NULL, NULL, 'Glutathione-dependent formaldehyde-activating enzyme [gfa].', NULL, 'Formald_GSH', NULL, NULL, 8905, 10),
(45362, NULL, 'MF_03227', NULL, NULL, 'Butyryl-CoA:acetate CoA-transferase.', NULL, 'But_acet_CoA_trans', NULL, NULL, 12570, 10),
(45363, NULL, 'MF_00944', NULL, NULL, 'Ribosome-binding ATPase YchF [ychF].', NULL, 'YchF_OLA1_ATPase', NULL, NULL, 5848, 10),
(45364, NULL, 'MF_01310', NULL, NULL, '30S ribosomal protein S11 [rpsK].', NULL, 'Ribosomal_S11', NULL, NULL, 2243, 10),
(45365, NULL, 'MF_02067', NULL, NULL, 'Fructose-1,6-bisphosphate aldolase/phosphatase [fbp].', NULL, 'FBP_aldolase_phosphatase', NULL, NULL, 4653, 10),
(45366, NULL, 'MF_00441', NULL, NULL, 'Photosystem II reaction center protein K [psbK].', NULL, 'PSII_PsbK', NULL, NULL, 4934, 10);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45367, NULL, 'MF_00535', NULL, NULL, 'Cyanate hydratase [cynS].', NULL, 'Cyanate_hydrat', NULL, NULL, 6412, 10),
(45368, NULL, 'MF_01686', NULL, NULL, 'Putative thymidylate synthase [thyA].', NULL, 'Thymidy_synth_arch', NULL, NULL, 9884, 10),
(45369, NULL, 'MF_01293', NULL, NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit KbaY [kbaY].', NULL, 'TagBP_aldolase_KbaY', NULL, NULL, 11689, 10),
(45370, NULL, 'MF_00143', NULL, NULL, 'UPF0114 protein YqhA [yqhA].', NULL, 'UPF0114', NULL, NULL, 20191, 10),
(45371, NULL, 'MF_00852', NULL, NULL, '(S)-8-amino-7-oxononanoate synthase BioU [bioU].', NULL, 'BioU', NULL, NULL, 37455, 10),
(45372, NULL, 'MF_01116', NULL, NULL, '16S rRNA aminocarboxypropyltransferase.', NULL, 'TSR3', NULL, NULL, 14846, 10),
(45373, NULL, 'MF_00844_A', NULL, NULL, 'Rqc2 homolog RqcH [rqcH].', NULL, 'RqcH_A', NULL, NULL, 37820, 10),
(45374, NULL, 'MF_01222', NULL, NULL, 'Protein archease.', NULL, 'Archease_arch', NULL, NULL, 14719, 10),
(45375, NULL, 'MF_01888', NULL, NULL, 'Regulator of ribonuclease activity B [rraB].', NULL, 'RraB', NULL, NULL, 21595, 10),
(45376, NULL, 'MF_04057', NULL, NULL, 'Packaging protein 1 [IVa2].', NULL, 'ADV_PKG1', NULL, NULL, 4822, 10),
(45377, NULL, 'MF_01393', NULL, NULL, 'ATP synthase subunit a [atpB].', NULL, 'ATP_synth_a_bact', NULL, NULL, 5691, 10),
(45378, NULL, 'MF_02016', NULL, NULL, 'Membrane-bound lytic murein transglycosylase F [mltF].', NULL, 'MltF', NULL, NULL, 16895, 10),
(45379, NULL, 'MF_03113', NULL, NULL, 'Golgi to ER traffic protein 1 [GET1].', NULL, 'Get1', NULL, NULL, 28977, 10),
(45380, NULL, 'MF_01082', NULL, NULL, 'tRNA pseudouridine synthase D [truD].', NULL, 'TruD', NULL, NULL, 3233, 10),
(45381, NULL, 'MF_01430', NULL, NULL, 'Outer membrane protein assembly factor BamA [bamA].', NULL, 'OM_assembly_BamA', NULL, NULL, 14791, 10),
(45382, NULL, 'MF_01912', NULL, NULL, 'Sulfofructosephosphate aldolase.', NULL, 'SFP_aldolase', NULL, NULL, 16504, 10),
(45383, NULL, 'MF_01978', NULL, NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, 'Phosphofructokinase_II_B2', NULL, NULL, 7934, 10),
(45384, NULL, 'MF_01143', NULL, NULL, 'Holin-like protein CidA [cidA].', NULL, 'CidA', NULL, NULL, 10184, 10),
(45385, NULL, 'MF_01190', NULL, NULL, 'HTH-type transcriptional repressor FabR [fabR].', NULL, 'HTH_type_FabR', NULL, NULL, 16936, 10),
(45386, NULL, 'MF_00613', NULL, NULL, 'Photosystem I reaction center subunit IV [psaE].', NULL, 'PSI_PsaE', NULL, NULL, 4553, 10),
(45387, NULL, 'MF_00140_A', NULL, NULL, 'Tryptophan--tRNA ligase [trpS].', NULL, 'Trp_tRNA_synth_A', NULL, NULL, 20907, 10),
(45388, NULL, 'MF_01876', NULL, NULL, 'Pseudouridine-5''-phosphate glycosidase [psuG].', NULL, 'PsiMP_glycosidase', NULL, NULL, 5583, 10),
(45389, NULL, 'MF_02076', NULL, NULL, 'Glutamate--tRNA ligase [gltX].', NULL, 'Glu_tRNA_synth_type2', NULL, NULL, 1974, 10),
(45390, NULL, 'MF_03162', NULL, NULL, 'Putative tRNA (cytidine(32)/guanosine(34)-2''-O)-methyltransferase [TRM7].', NULL, 'RNA_methyltr_E_TRM7', NULL, NULL, 24812, 10),
(45391, NULL, 'MF_00162', NULL, NULL, 'Glutathione synthetase [gshB].', NULL, 'GSH_S', NULL, NULL, 3926, 10),
(45392, NULL, 'MF_00615', NULL, NULL, 'DNA-directed RNA polymerase subunit P [rpoP].', NULL, 'RNApol_arch_P', NULL, NULL, 16131, 10),
(45393, NULL, 'MF_00910', NULL, NULL, 'Cell division protein FtsL [ftsL].', NULL, 'FtsL', NULL, NULL, 11185, 10),
(45394, NULL, 'MF_01118', NULL, NULL, 'Uncharacterized MFS-type transporter YhhS [yhhS].', NULL, 'MFS_YhhS', NULL, NULL, 15116, 10),
(45395, NULL, 'MF_04072', NULL, NULL, 'Hemagglutinin [HA].', NULL, 'INFV_HEMA', NULL, NULL, 2187, 10),
(45396, NULL, 'MF_03025', NULL, NULL, 'Katanin p60 ATPase-containing subunit A-like 2 [KATNAL2].', NULL, 'Katanin_p60_AL2', NULL, NULL, 27969, 10),
(45397, NULL, 'MF_04131', NULL, NULL, 'Outer capsid glycoprotein VP7.', NULL, 'Rota_VP7_A', NULL, NULL, 2094, 10),
(45398, NULL, 'MF_01106', NULL, NULL, 'Arginine biosynthesis bifunctional protein ArgJ [argJ].', NULL, 'ArgJ', NULL, NULL, 4863, 10),
(45399, NULL, 'MF_01380', NULL, NULL, 'Iron-sulfur cluster insertion protein ErpA [erpA].', NULL, 'Fe_S_insert_ErpA', NULL, NULL, 15236, 10);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45400, NULL, 'MF_01297', NULL, NULL, 'UPF0678 fatty acid-binding protein-like protein <locus_tag>.', NULL, 'UPF0678', NULL, NULL, 14701, 10),
(45401, NULL, 'MF_02048', NULL, NULL, 'D-aminoacyl-tRNA deacylase [dtd3].', NULL, 'Deacylase_DTD3', NULL, NULL, 31892, 10),
(45402, NULL, 'MF_00590', NULL, NULL, 'GTP-dependent dephospho-CoA kinase.', NULL, 'Dephospho_CoA_kinase_GTP_dep', NULL, NULL, 212, 10),
(45403, NULL, 'MF_02069', NULL, NULL, 'Ribulose-5-phosphate reductase [tarJ].', NULL, 'TarJ', NULL, NULL, 20733, 10),
(45404, NULL, 'MF_04016', NULL, NULL, 'Major capsid protein [MCP].', NULL, 'HSV_MCP', NULL, NULL, 4, 10),
(45405, NULL, 'MF_00208', NULL, NULL, 'UDP-N-acetylmuramoyl-L-alanyl-D-glutamate--2,6-diaminopimelate ligase [murE].', NULL, 'MurE', NULL, NULL, 4715, 10),
(45406, NULL, 'MF_01042', NULL, NULL, 'UPF0115 protein YfcN [yfcN].', NULL, 'UPF0115', NULL, NULL, 15331, 10),
(45407, NULL, 'MF_01447', NULL, NULL, 'Probable bifunctional tRNA threonylcarbamoyladenosine biosynthesis protein.', NULL, 'Kae1_Bud32_arch', NULL, NULL, 10971, 10),
(45408, NULL, 'MF_03102', NULL, NULL, 'Mitochondrial distribution and morphology protein 10 [MDM10].', NULL, 'Mdm10', NULL, NULL, 24939, 10),
(45409, NULL, 'MF_01271', NULL, NULL, 'N-acetyl-D-glucosamine kinase [nagK].', NULL, 'GlcNAc_kinase', NULL, NULL, 16805, 10),
(45410, NULL, 'MF_01335', NULL, NULL, 'Cytochrome b6-f complex iron-sulfur subunit [petC].', NULL, 'Cytb6_f_Rieske', NULL, NULL, 8751, 10),
(45411, NULL, 'MF_01204', NULL, NULL, 'Probable malonic semialdehyde reductase RutE [rutE].', NULL, 'Oxidoreductase_RutE_HadB', NULL, NULL, 17973, 10),
(45412, NULL, 'MF_02104', NULL, NULL, 'Lactate utilization protein C [lutC].', NULL, 'LutC', NULL, NULL, 17264, 10),
(45413, NULL, 'MF_01020', NULL, NULL, 'Phosphoribosyl-ATP pyrophosphatase [hisE].', NULL, 'HisE', NULL, NULL, 7243, 10),
(45414, NULL, 'MF_03035', NULL, NULL, 'Polyribonucleotide 5''-hydroxyl-kinase Clp1 [CLP1].', NULL, 'Clp1', NULL, NULL, 27007, 10),
(45415, NULL, 'MF_00377', NULL, NULL, 'Chromosomal replication initiator protein DnaA [dnaA].', NULL, 'DnaA_bact', NULL, NULL, 4495, 10),
(45416, NULL, 'MF_00703', NULL, NULL, 'Putative thymidine phosphorylase.', NULL, 'Thymid_phosp_2', NULL, NULL, 26054, 10),
(45417, NULL, 'MF_01052', NULL, NULL, 'Crotonobetainyl-CoA reductase [caiA].', NULL, 'CaiA', NULL, NULL, 16455, 10),
(45418, NULL, 'MF_01086', NULL, NULL, 'UPF0284 protein <locus_tag>.', NULL, 'UPF0284', NULL, NULL, 4507, 10),
(45419, NULL, 'MF_00524', NULL, NULL, 'Glucokinase [glk].', NULL, 'Glucokinase', NULL, NULL, 3252, 10),
(45420, NULL, 'MF_00047', NULL, NULL, 'D-alanine--D-alanine ligase [ddl].', NULL, 'Dala_Dala_lig', NULL, NULL, 370, 10),
(45421, NULL, 'MF_01830', NULL, NULL, 'Putative hydro-lyase <locus_tag>.', NULL, 'Hydro_lyase', NULL, NULL, 18309, 10),
(45422, NULL, 'MF_02020', NULL, NULL, 'UDP-N-acetylmuramate--L-alanyl-gamma-D-glutamyl-meso-2,6-diaminoheptandioate ligase [mpl].', NULL, 'Mpl', NULL, NULL, 4869, 10),
(45423, NULL, 'MF_00795', NULL, NULL, 'Copper homeostasis protein CutC [cutC].', NULL, 'CutC', NULL, NULL, 2822, 10),
(45424, NULL, 'MF_00472', NULL, NULL, 'Ubiquinone biosynthesis O-methyltransferase [ubiG].', NULL, 'UbiG', NULL, NULL, 4166, 10),
(45425, NULL, 'MF_01175', NULL, NULL, 'tRNA-modifying protein YgfZ [ygfZ].', NULL, 'tRNA_modifying_YgfZ', NULL, NULL, 16775, 10),
(45426, NULL, 'MF_01648', NULL, NULL, '3-phenylpropionate/cinnamic acid dioxygenase subunit alpha [hcaE].', NULL, 'HcaE', NULL, NULL, 19602, 10),
(45427, NULL, 'MF_00963', NULL, NULL, 'RNA polymerase sigma factor RpoD [rpoD].', NULL, 'Sigma70_RpoD_SigA', NULL, NULL, 23417, 10),
(45428, NULL, 'MF_00217', NULL, NULL, 'Mevalonate kinase [mvk].', NULL, 'Mevalonate_kinase', NULL, NULL, 14766, 10),
(45429, NULL, 'MF_00096', NULL, NULL, 'DNA mismatch repair protein MutS [mutS].', NULL, 'MutS', NULL, NULL, 4921, 10),
(45430, NULL, 'MF_01234', NULL, NULL, 'N-acetylmannosamine kinase [nanK].', NULL, 'ManNAc_kinase', NULL, NULL, 18598, 10),
(45431, NULL, 'MF_01237', NULL, NULL, 'N-acetylneuraminate lyase [nanA].', NULL, 'N_acetylneuram_lyase', NULL, NULL, 4271, 10); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45432, NULL, 'MF_04112', NULL, NULL, 'Lysis inhibition accessory protein.', NULL, 'Linr3_BPT4', NULL, NULL, 19497, 10),
(45433, NULL, 'MF_00917', NULL, NULL, '7-carboxy-7-deazaguanine synthase [queE].', NULL, 'QueE', NULL, NULL, 27641, 10),
(45434, NULL, 'MF_01807', NULL, NULL, 'Tyrosine recombinase XerD [xerD].', NULL, 'Recomb_XerD', NULL, NULL, 11472, 10),
(45435, NULL, 'MF_01233', NULL, NULL, 'HTH-type transcriptional regulator HdfR [hdfR].', NULL, 'HTH_type_HdfR', NULL, NULL, 19702, 10),
(45436, NULL, 'MF_02031', NULL, NULL, 'Galactarate dehydratase (L-threo-forming) [garD].', NULL, 'Galactar_dehydrat', NULL, NULL, 24562, 10),
(45437, NULL, 'MF_01544', NULL, NULL, 'p-hydroxybenzoic acid efflux pump subunit AaeA [aaeA].', NULL, 'AaeA', NULL, NULL, 17216, 10),
(45438, NULL, 'MF_01863', NULL, NULL, 'UPF0741 protein <locus_tag>.', NULL, 'UPF0741', NULL, NULL, 19605, 10),
(45439, NULL, 'MF_04129', NULL, NULL, 'Intermediate capsid protein VP6.', NULL, 'Rota_VP6_A', NULL, NULL, 2348, 10),
(45440, NULL, 'MF_00809', NULL, NULL, 'ADP-dependent glucose/glucosamine kinase [glkA].', NULL, 'ADP_glucokinase', NULL, NULL, 24603, 10),
(45441, NULL, 'MF_00185', NULL, NULL, 'tRNA dimethylallyltransferase [miaA].', NULL, 'IPP_trans', NULL, NULL, 16551, 10),
(45442, NULL, 'MF_03112', NULL, NULL, 'ATPase <gene_name> [GET3].', NULL, 'Asna1_Get3', NULL, NULL, 28560, 10),
(45443, NULL, 'MF_02110', NULL, NULL, 'UPF0763 protein <locus_tag>.', NULL, 'UPF0763', NULL, NULL, 21061, 10),
(45444, NULL, 'MF_00978', NULL, NULL, 'Bifunctional ligase/repressor BirA [birA].', NULL, 'Bifunct_BirA', NULL, NULL, 26765, 10),
(45445, NULL, 'MF_01164', NULL, NULL, 'Undecaprenyl-phosphate 4-deoxy-4-formamido-L-arabinose transferase [arnC].', NULL, 'ArnC_transfer', NULL, NULL, 17093, 10),
(45446, NULL, 'MF_01414', NULL, NULL, 'Glutathione-regulated potassium-efflux system ancillary protein KefF [kefF].', NULL, 'K_H_efflux_KefF', NULL, NULL, 8869, 10),
(45447, NULL, 'MF_03216', NULL, NULL, 'Phosphatidyl-N-methylethanolamine N-methyltransferase [PEMT].', NULL, 'PLMT', NULL, NULL, 24757, 10),
(45448, NULL, 'MF_00079', NULL, NULL, 'ATP phosphoribosyltransferase [hisG].', NULL, 'HisG_Long', NULL, NULL, 19515, 10),
(45449, NULL, 'MF_01355', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit L [ndhL].', NULL, 'NDH1_NDH1L', NULL, NULL, 21242, 10),
(45450, NULL, 'MF_03202', NULL, NULL, 'Elongation of very long chain fatty acids protein 2 [ELOVL2].', NULL, 'VLCF_elongase_2', NULL, NULL, 32414, 10),
(45451, NULL, 'MF_00178', NULL, NULL, '6,7-dimethyl-8-ribityllumazine synthase [ribH].', NULL, 'Lumazine_synth', NULL, NULL, 14742, 10),
(45452, NULL, 'MF_02122', NULL, NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase [dapD].', NULL, 'DapD_type2', NULL, NULL, 23567, 10),
(45453, NULL, 'MF_01563', NULL, NULL, 'HTH-type transcriptional regulator UlaR [ulaR].', NULL, 'HTH_type_UlaR', NULL, NULL, 7179, 10),
(45454, NULL, 'MF_03109', NULL, NULL, 'Protein SEY1 [SEY1].', NULL, 'Sey1', NULL, NULL, 14277, 10),
(45455, NULL, 'MF_01225_A', NULL, NULL, 'GTP 3'',8-cyclase [moaA].', NULL, 'MoaA_A', NULL, NULL, 10363, 10),
(45456, NULL, 'MF_03059', NULL, NULL, 'Ribosome-releasing factor 2, mitochondrial [GFM2].', NULL, 'mEF_G_2', NULL, NULL, 22697, 10),
(45457, NULL, 'MF_01080', NULL, NULL, 'tRNA pseudouridine synthase B [truB].', NULL, 'TruB_bact', NULL, NULL, 8687, 10),
(45458, NULL, 'MF_00095', NULL, NULL, 'Sugar fermentation stimulation protein A [sfsA].', NULL, 'SfsA', NULL, NULL, 11021, 10),
(45459, NULL, 'MF_00623', NULL, NULL, 'Exosome complex component Rrp4 [rrp4].', NULL, 'Exosome_Rrp4', NULL, NULL, 16413, 10),
(45460, NULL, 'MF_00905', NULL, NULL, '3'',5''-cyclic adenosine monophosphate phosphodiesterase CpdA [cpdA].', NULL, 'cAMP_phosphodiest_CpdA', NULL, NULL, 27043, 10),
(45461, NULL, 'MF_00298', NULL, NULL, 'RNA pyrophosphohydrolase [rppH].', NULL, 'Nudix_RppH', NULL, NULL, 14815, 10),
(45462, NULL, 'MF_01518', NULL, NULL, 'Adenine deaminase [ade].', NULL, 'Adenine_deamin', NULL, NULL, 2154, 10),
(45463, NULL, 'MF_00011', NULL, NULL, 'Adenylosuccinate synthetase [purA].', NULL, 'Adenylosucc_synth', NULL, NULL, 1018, 10);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45464, NULL, 'MF_00731', NULL, NULL, '2-succinylbenzoate--CoA ligase [menE].', NULL, 'MenE', NULL, NULL, 4456, 10),
(45465, NULL, 'MF_01339', NULL, NULL, 'Ribulose bisphosphate carboxylase [cbbM].', NULL, 'RuBisCO_L_type2', NULL, NULL, 21009, 10),
(45466, NULL, 'MF_01403', NULL, NULL, 'Probable phosphoketolase.', NULL, 'Phosphoketolase', NULL, NULL, 8510, 10),
(45467, NULL, 'MF_02019', NULL, NULL, 'UDP-N-acetylmuramoyl-tripeptide--D-alanyl-D-alanine ligase [murF].', NULL, 'MurF', NULL, NULL, 6639, 10),
(45468, NULL, 'MF_00202', NULL, NULL, 'Isopentenyl-diphosphate Delta-isomerase [idi].', NULL, 'Idi', NULL, NULL, 14347, 10),
(45469, NULL, 'MF_00688', NULL, NULL, 'Leucyl/phenylalanyl-tRNA--protein transferase [aat].', NULL, 'Leu_Phe_trans', NULL, NULL, 2227, 10),
(45470, NULL, 'MF_00433', NULL, NULL, 'Cytochrome b6-f complex subunit 6 [petL].', NULL, 'Cytb6_f_PetL', NULL, NULL, 2497, 10),
(45471, NULL, 'MF_01180', NULL, NULL, 'Flagellar protein FliT [fliT].', NULL, 'FliT', NULL, NULL, 14444, 10),
(45472, NULL, 'MF_01368', NULL, NULL, '50S ribosomal protein L17 [rplQ].', NULL, 'Ribosomal_L17', NULL, NULL, 6838, 10),
(45473, NULL, 'MF_02207', NULL, NULL, 'Cell shape-determining protein MreB [mreB].', NULL, 'MreB', NULL, NULL, 5305, 10),
(45474, NULL, 'MF_00102', NULL, NULL, '4-hydroxy-tetrahydrodipicolinate reductase [dapB].', NULL, 'DapB', NULL, NULL, 8391, 10),
(45475, NULL, 'MF_04002', NULL, NULL, 'Major capsid protein L1 [L1].', NULL, 'PPV_L1', NULL, NULL, 237, 10),
(45476, NULL, 'MF_01582', NULL, NULL, 'Serine/threonine transporter SstT [sstT].', NULL, 'Ser_Thr_transp_SstT', NULL, NULL, 15257, 10),
(45477, NULL, 'MF_01864', NULL, NULL, 'tRNA-2-methylthio-N(6)-dimethylallyladenosine synthase [miaB].', NULL, 'tRNA_metthiotr_MiaB', NULL, NULL, 4759, 10),
(45478, NULL, 'MF_03041', NULL, NULL, 'Protein Spindly [SPDL1].', NULL, 'SPDLY', NULL, NULL, 24673, 10),
(45479, NULL, 'MF_00664', NULL, NULL, 'Phosphatidylserine decarboxylase proenzyme [psd].', NULL, 'PS_decarb_PSD_A', NULL, NULL, 32429, 10),
(45480, NULL, 'MF_01045', NULL, NULL, 'D-cysteine desulfhydrase [dcyD].', NULL, 'D_Cys_desulfhydr', NULL, NULL, 17403, 10),
(45481, NULL, 'MF_00083', NULL, NULL, 'Peptidyl-tRNA hydrolase [pth].', NULL, 'Pept_tRNA_hydro_bact', NULL, NULL, 2301, 10),
(45482, NULL, 'MF_00048', NULL, NULL, 'UPF0102 protein YraN [yraN].', NULL, 'UPF0102', NULL, NULL, 6270, 10),
(45483, NULL, 'MF_00976', NULL, NULL, 'Outer membrane lipoprotein RcsF [rcsF].', NULL, 'RcsF', NULL, NULL, 26708, 10),
(45484, NULL, 'MF_00559', NULL, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase [gap].', NULL, 'G3P_dehdrog_arch', NULL, NULL, 6912, 10),
(45485, NULL, 'MF_00632', NULL, NULL, 'UPF0234 protein YajQ [yajQ].', NULL, 'UPF0234', NULL, NULL, 3776, 10),
(45486, NULL, 'MF_04093', NULL, NULL, 'Non-structural protein 6.', NULL, 'ROTA_NSP6', NULL, NULL, NULL, 10),
(45487, NULL, 'MF_04019', NULL, NULL, 'Triplex capsid protein 2 [TRX2].', NULL, 'HSV_TRX2', NULL, NULL, 2577, 10),
(45488, NULL, 'MF_01257', NULL, NULL, 'Phosphoenolpyruvate transferase [fbiA].', NULL, 'CofD', NULL, NULL, 10713, 10),
(45489, NULL, 'MF_02000', NULL, NULL, 'Small heat shock protein IbpA [ibpA].', NULL, 'HSP20_IbpA', NULL, NULL, 7817, 10),
(45490, NULL, 'MF_03067', NULL, NULL, 'E3 ubiquitin-protein ligase RNF8 [RNF8].', NULL, 'RNF8', NULL, NULL, 17192, 10),
(45491, NULL, 'MF_00339', NULL, NULL, 'ATP-dependent 6-phosphofructokinase [pfkA].', NULL, 'Phosphofructokinase_I_B1', NULL, NULL, 12912, 10),
(45492, NULL, 'MF_00631', NULL, NULL, 'Cell division protein CrgA [crgA].', NULL, 'CrgA', NULL, NULL, 1575, 10),
(45493, NULL, 'MF_01662', NULL, NULL, 'L-fucose mutarotase [fucU].', NULL, 'L_fucose_rotase', NULL, NULL, 10670, 10),
(45494, NULL, 'MF_01635', NULL, NULL, '4-hydroxybenzoate octaprenyltransferase [ubiA].', NULL, 'UbiA', NULL, NULL, 5506, 10),
(45495, NULL, 'MF_02203', NULL, NULL, 'Tol-Pal system protein TolR [tolR].', NULL, 'TolR', NULL, NULL, 8874, 10),
(45496, NULL, 'MF_00687', NULL, NULL, '4-deoxy-L-threo-5-hexosulose-uronate ketol-isomerase [kduI].', NULL, 'KduI', NULL, NULL, 6782, 10);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45497, NULL, 'MF_00278', NULL, NULL, 'Imidazole glycerol phosphate synthase subunit HisH [hisH].', NULL, 'HisH', NULL, NULL, 10905, 10),
(45498, NULL, 'MF_01207', NULL, NULL, 'Protein-methionine-sulfoxide reductase heme-binding subunit MsrQ [msrQ].', NULL, 'MsrQ', NULL, NULL, 561, 10),
(45499, NULL, 'MF_01179', NULL, NULL, 'Cell division inhibitor SulA [sulA].', NULL, 'SulA', NULL, NULL, 828, 10),
(45500, NULL, 'MF_00107', NULL, NULL, '2-C-methyl-D-erythritol 2,4-cyclodiphosphate synthase [ispF].', NULL, 'IspF', NULL, NULL, 6289, 10),
(45501, NULL, 'MF_00305', NULL, NULL, 'Signal recognition particle 19 kDa protein [srp19].', NULL, 'SRP19', NULL, NULL, 14994, 10),
(45502, NULL, 'MF_01552', NULL, NULL, 'Ribosomal protein S6--L-glutamate ligase [rimK].', NULL, 'RimK', NULL, NULL, 17089, 10),
(45503, NULL, 'MF_00612', NULL, NULL, 'UPF0225 protein YchJ [ychJ].', NULL, 'UPF0225', NULL, NULL, 15356, 10),
(45504, NULL, 'MF_00851', NULL, NULL, 'Leader peptide SpeFL [speFL].', NULL, 'Leader_SpeFL', NULL, NULL, 17950, 10),
(45505, NULL, 'MF_00221', NULL, NULL, 'Divalent metal cation transporter MntH [mntH].', NULL, 'NRAMP', NULL, NULL, 2383, 10),
(45506, NULL, 'MF_01002', NULL, NULL, 'TDP-N-acetylfucosamine:lipid II N-acetylfucosaminyltransferase [wecF].', NULL, 'WecF_RffT', NULL, NULL, 9025, 10),
(45507, NULL, 'MF_00686', NULL, NULL, 'Probable Fe(2+)-trafficking protein [yggX].', NULL, 'Fe_traffic_YggX', NULL, NULL, 4887, 10),
(45508, NULL, 'MF_01109', NULL, NULL, 'Ornithine carbamoyltransferase, catabolic [argI].', NULL, 'OTCase', NULL, NULL, 26198, 10),
(45509, NULL, 'MF_00682', NULL, NULL, 'Co-chaperone protein HscB [hscB].', NULL, 'HscB', NULL, NULL, 2964, 10),
(45510, NULL, 'MF_01415', NULL, NULL, 'Glutathione-regulated potassium-efflux system ancillary protein KefG [kefG].', NULL, 'K_H_efflux_KefG', NULL, NULL, 8596, 10),
(45511, NULL, 'MF_00534', NULL, NULL, 'Asparagine--tRNA ligase [asnS].', NULL, 'Asn_tRNA_synth', NULL, NULL, 1559, 10),
(45512, NULL, 'MF_00841', NULL, NULL, 'Glucosyltransferase 3 [gtf3].', NULL, 'Gtf3', NULL, NULL, 37805, 10),
(45513, NULL, 'MF_01536', NULL, NULL, 'UPF0344 protein <locus_tag>.', NULL, 'UPF0344', NULL, NULL, 12239, 10),
(45514, NULL, 'MF_00080', NULL, NULL, 'Translation initiation factor IF-3 [infC].', NULL, 'IF_3', NULL, NULL, 462, 10),
(45515, NULL, 'MF_01266', NULL, NULL, 'Probable L-ascorbate-6-phosphate lactonase UlaG [ulaG].', NULL, 'UlaG', NULL, NULL, 19843, 10),
(45516, NULL, 'MF_01886', NULL, NULL, 'tRNA(Met) cytidine acetyltransferase TmcA [tmcA].', NULL, 'tRNA_acetyltr_TmcA', NULL, NULL, 14723, 10),
(45517, NULL, 'MF_01678', NULL, NULL, 'Putative methylthioribose-1-phosphate isomerase [mtnA].', NULL, 'Salvage_MtnA', NULL, NULL, 11096, 10),
(45518, NULL, 'MF_04069', NULL, NULL, 'Matrix protein 2 [M].', NULL, 'INFV_M2', NULL, NULL, 1475, 10),
(45519, NULL, 'MF_00625', NULL, NULL, 'Selenide, water dikinase [selD].', NULL, 'SelD', NULL, NULL, 15170, 10),
(45520, NULL, 'MF_04134', NULL, NULL, 'Tail assembly protein GT.', NULL, 'GT_LAMBD', NULL, NULL, 13193, 10),
(45521, NULL, 'MF_00833', NULL, NULL, 'FMN reductase (NADH) RutF [rutF].', NULL, 'RutF', NULL, NULL, 18168, 10),
(45522, NULL, 'MF_01484', NULL, NULL, 'Multidrug efflux pump accessory protein AcrZ [acrZ].', NULL, 'AcrZ', NULL, NULL, 20632, 10),
(45523, NULL, 'MF_00358', NULL, NULL, '30S ribosomal protein S21 [rpsU].', NULL, 'Ribosomal_S21', NULL, NULL, 4479, 10),
(45524, NULL, 'MF_01264', NULL, NULL, 'CCA-adding enzyme [cca].', NULL, 'CCA_arch', NULL, NULL, 674, 10),
(45525, NULL, 'MF_00164', NULL, NULL, 'Glutamine--fructose-6-phosphate aminotransferase [isomerizing] [glmS].', NULL, 'GlmS', NULL, NULL, 6642, 10),
(45526, NULL, 'MF_00543', NULL, NULL, 'Tyrosine phenol-lyase [tpl].', NULL, 'Tyr_phenol_lyase', NULL, NULL, 9370, 10),
(45527, NULL, 'MF_03114', NULL, NULL, 'Golgi to ER traffic protein 2 [GET2].', NULL, 'Get2', NULL, NULL, 11739, 10),
(45528, NULL, 'MF_01220_A', NULL, NULL, 'Uridylate kinase [pyrH].', NULL, 'PyrH_A', NULL, NULL, 13214, 10),
(45529, NULL, 'MF_00604', NULL, NULL, 'Protein translation factor SUI1 homolog.', NULL, 'SUI1', NULL, NULL, 16113, 10);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45530, NULL, 'MF_00260', NULL, NULL, 'Porphobilinogen deaminase [hemC].', NULL, 'Porphobil_deam', NULL, NULL, 3193, 10),
(45531, NULL, 'MF_00311', NULL, NULL, 'V-type proton ATPase subunit E [atpE].', NULL, 'ATP_synth_E_arch', NULL, NULL, 5285, 10),
(45532, NULL, 'MF_00340', NULL, NULL, '50S ribosomal protein L32 [rpmF].', NULL, 'Ribosomal_L32', NULL, NULL, 2668, 10),
(45533, NULL, 'MF_00280', NULL, NULL, '50S ribosomal protein L10 [rpl10].', NULL, 'Ribosomal_L10_arch', NULL, NULL, 17215, 10),
(45534, NULL, 'MF_01319', NULL, NULL, 'Thiol-disulfide oxidoreductase ResA [resA].', NULL, 'ResA', NULL, NULL, 12513, 10),
(45535, NULL, 'MF_01181', NULL, NULL, 'Regulator of sigma D [rsd].', NULL, 'Rsd', NULL, NULL, 16777, 10),
(45536, NULL, 'MF_02209', NULL, NULL, 'UDP-N-acetyl-alpha-D-muramoyl-L-alanyl-L-glutamate epimerase [murL].', NULL, 'MurL', NULL, NULL, 37260, 10),
(45537, NULL, 'MF_01945', NULL, NULL, 'Lipid A 1-diphosphate synthase [lpxT].', NULL, 'Lipid_A_LpxT', NULL, NULL, 25883, 10),
(45538, NULL, 'MF_01278', NULL, NULL, 'Type-2 serine--tRNA ligase [serS].', NULL, 'Ser_tRNA_synth_type2', NULL, NULL, 1531, 10),
(45539, NULL, 'MF_00237', NULL, NULL, 'Sec-independent protein translocase protein TatB [tatB].', NULL, 'TatB', NULL, NULL, 16772, 10),
(45540, NULL, 'MF_01025', NULL, NULL, '2-isopropylmalate synthase [leuA].', NULL, 'LeuA_type1', NULL, NULL, 3886, 10),
(45541, NULL, 'MF_01127', NULL, NULL, 'Acetyltransferase YpeA [ypeA].', NULL, 'Acetyltransf_YpeA', NULL, NULL, 15155, 10),
(45542, NULL, 'MF_01250', NULL, NULL, 'Pyrophosphatase PpaX [ppaX].', NULL, 'Pyrophosphat_PpaX', NULL, NULL, 16670, 10),
(45543, NULL, 'MF_03172', NULL, NULL, 'UMP-CMP kinase [CMPK1].', NULL, 'Adenylate_kinase_UMP_CMP_kin', NULL, NULL, 3517, 10),
(45544, NULL, 'MF_01153', NULL, NULL, 'Co-chaperone protein DjlA [djlA].', NULL, 'DjlA', NULL, NULL, 17156, 10),
(45545, NULL, 'MF_03198', NULL, NULL, 'Protein-lysine N-methyltransferase <gene_name> [EFM6].', NULL, 'Methyltr_EFM6', NULL, NULL, 32360, 10),
(45546, NULL, 'MF_04082', NULL, NULL, 'Protein Vpu [vpu].', NULL, 'HIV_VPU', NULL, NULL, 7060, 10),
(45547, NULL, 'MF_02087', NULL, NULL, 'Pyridoxal phosphate homeostasis protein.', NULL, 'PLP_homeostasis', NULL, NULL, 9773, 10),
(45548, NULL, 'MF_04079', NULL, NULL, 'Protein Tat [tat].', NULL, 'HIV_TAT', NULL, NULL, 4436, 10),
(45549, NULL, 'MF_00496', NULL, NULL, 'Fructose-6-phosphate aldolase [fsa].', NULL, 'F6P_aldolase', NULL, NULL, 15392, 10),
(45550, NULL, 'MF_01933', NULL, NULL, 'o-succinylbenzoate synthase [menC].', NULL, 'MenC_2', NULL, NULL, 4180, 10),
(45551, NULL, 'MF_00188', NULL, NULL, 'Protease HtpX [htpX].', NULL, 'Pept_M48_protease_HtpX', NULL, NULL, 17505, 10),
(45552, NULL, 'MF_01674', NULL, NULL, 'O-phosphoserine--tRNA(Cys) ligase [sepS].', NULL, 'Sep_tRNA_synth', NULL, NULL, 11212, 10),
(45553, NULL, 'MF_04202', NULL, NULL, 'Membrane protein [M].', NULL, 'BETA_CORONA_M', NULL, NULL, 1822, 10),
(45554, NULL, 'MF_02066', NULL, NULL, 'Cell division coordinator CpoB [cpoB].', NULL, 'CpoB', NULL, NULL, 19976, 10),
(45555, NULL, 'MF_01529', NULL, NULL, 'Multidrug resistance protein MdtH [mdtH].', NULL, 'MFS_MdtH', NULL, NULL, 17350, 10),
(45556, NULL, 'MF_00451', NULL, NULL, 'Nucleoside diphosphate kinase [ndk].', NULL, 'NDP_kinase', NULL, NULL, 3442, 10),
(45557, NULL, 'MF_00424', NULL, NULL, 'Peptide chain release factor subunit 1 [prf1].', NULL, 'Rel_fact_arch_1', NULL, NULL, 14512, 10),
(45558, NULL, 'MF_04014', NULL, NULL, 'Tripartite terminase subunit 1 [TRM1].', NULL, 'HSV_TRM1', NULL, NULL, 4067, 10),
(45559, NULL, 'MF_03024', NULL, NULL, 'Katanin p60 ATPase-containing subunit A-like 1 [KATNAL1].', NULL, 'Katanin_p60_AL1', NULL, NULL, 24927, 10),
(45560, NULL, 'MF_00385', NULL, NULL, '30S ribosomal protein S16 [rpsP].', NULL, 'Ribosomal_S16', NULL, NULL, 793, 10),
(45561, NULL, 'MF_00442', NULL, NULL, 'ATP-dependent DNA helicase Hel308 [hel308].', NULL, 'Helicase_Hel308', NULL, NULL, 16542, 10),
(45562, NULL, 'MF_00352', NULL, NULL, 'Light-independent protochlorophyllide reductase subunit N [bchN].', NULL, 'ChlN_BchN', NULL, NULL, 1250, 10);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45563, NULL, 'MF_00140_B', NULL, NULL, 'Tryptophan--tRNA ligase [trpS].', NULL, 'Trp_tRNA_synth_B', NULL, NULL, 10146, 10),
(45564, NULL, 'MF_00812', NULL, NULL, 'Thiopurine S-methyltransferase [tpm].', NULL, 'Thiopur_methtran', NULL, NULL, 23947, 10),
(45565, NULL, 'MF_01905', NULL, NULL, 'GlcNAc-binding protein A [gbpA].', NULL, 'GbpA', NULL, NULL, 21486, 10),
(45566, NULL, 'MF_00213', NULL, NULL, 'Hydrogenase maturation factor HypA [hypA].', NULL, 'HypA_HybF', NULL, NULL, 6859, 10),
(45567, NULL, 'MF_00044', NULL, NULL, 'Aspartate--tRNA(Asp/Asn) ligase [aspS].', NULL, 'Asp_tRNA_synth_type1', NULL, NULL, 1615, 10),
(45568, NULL, 'MF_01885', NULL, NULL, 'tRNA (cytidine(34)-2''-O)-methyltransferase [trmL].', NULL, 'tRNA_methyltr_TrmL', NULL, NULL, 17390, 10),
(45569, NULL, 'MF_04030', NULL, NULL, 'DNA replication helicase [HELI].', NULL, 'HSV_HELI', NULL, NULL, 8410, 10),
(45570, NULL, 'MF_00680', NULL, NULL, 'UPF0263 protein YciU [yciU].', NULL, 'UPF0263', NULL, NULL, 5677, 10),
(45571, NULL, 'MF_01496', NULL, NULL, 'Photosystem II CP43 reaction center protein [psbC].', NULL, 'PSII_PsbC_CP43', NULL, NULL, 6995, 10),
(45572, NULL, 'MF_04108', NULL, NULL, 'Holin.', NULL, 'HOLIN_T7', NULL, NULL, 20785, 10),
(45573, NULL, 'MF_00017', NULL, NULL, 'Recombination protein RecR [recR].', NULL, 'RecR', NULL, NULL, 2612, 10),
(45574, NULL, 'MF_00200', NULL, NULL, 'RNA 3''-terminal phosphate cyclase [rtcA].', NULL, 'RTC', NULL, NULL, 19430, 10),
(45575, NULL, 'MF_01953', NULL, NULL, 'Urease subunit alpha [ureC].', NULL, 'Urease_alpha', NULL, NULL, 5863, 10),
(45576, NULL, 'MF_00036_A', NULL, NULL, 'Alanine--tRNA ligase [alaS].', NULL, 'Ala_tRNA_synth_A', NULL, NULL, 16222, 10),
(45577, NULL, 'MF_01232', NULL, NULL, 'UPF0229 protein YeaH [yeaH].', NULL, 'UPF0229', NULL, NULL, 2422, 10),
(45578, NULL, 'MF_00191', NULL, NULL, '4-hydroxy-3-methylbut-2-enyl diphosphate reductase [ispH].', NULL, 'IspH', NULL, NULL, 5866, 10),
(45579, NULL, 'MF_00142', NULL, NULL, 'Iron-sulfur cluster assembly protein CyaY [cyaY].', NULL, 'CyaY', NULL, NULL, 6172, 10),
(45580, NULL, 'MF_01638', NULL, NULL, 'Pyridoxine/pyridoxal/pyridoxamine kinase [pdxK].', NULL, 'PdxK', NULL, NULL, 16710, 10),
(45581, NULL, 'MF_00335', NULL, NULL, 'Ribonuclease Y [rny].', NULL, 'RNase_Y', NULL, NULL, 18056, 10),
(45582, NULL, 'MF_00027', NULL, NULL, 'Hydrogenobyrinate a,c-diamide synthase [cobB].', NULL, 'CobB_CbiA', NULL, NULL, 1470, 10),
(45583, NULL, 'MF_04068', NULL, NULL, 'Matrix protein 1 [M].', NULL, 'INFV_M1', NULL, NULL, 29180, 10),
(45584, NULL, 'MF_03168', NULL, NULL, 'Adenylate kinase 2, mitochondrial [AK2].', NULL, 'Adenylate_kinase_AK2', NULL, NULL, 24791, 10),
(45585, NULL, 'MF_00205', NULL, NULL, 'UvrABC system protein A [uvrA].', NULL, 'UvrA', NULL, NULL, 957, 10),
(45586, NULL, 'MF_02032', NULL, NULL, '2-hydroxy-3-oxopropionate reductase [garR].', NULL, 'Tartronate_sem_reduc', NULL, NULL, 5707, 10),
(45587, NULL, 'MF_00742', NULL, NULL, 'Formyl-CoA:oxalate CoA-transferase [frc].', NULL, 'Formyl_CoA_transfer', NULL, NULL, 17076, 10),
(45588, NULL, 'MF_00413', NULL, NULL, 'Sulfur carrier protein TusA [tusA].', NULL, 'Thiourid_synth_A', NULL, NULL, 14956, 10),
(45589, NULL, 'MF_01505', NULL, NULL, 'Small, acid-soluble spore protein N [sspN].', NULL, 'SspN', NULL, NULL, 9935, 10),
(45590, NULL, 'MF_00547', NULL, NULL, '50S ribosomal protein L37e [rpl37e].', NULL, 'Ribosomal_L37e', NULL, NULL, 5135, 10),
(45591, NULL, 'MF_01865', NULL, NULL, 'Ribosomal protein S12 methylthiotransferase RimO [rimO].', NULL, 'MTTase_RimO', NULL, NULL, 5585, 10),
(45592, NULL, 'MF_00398', NULL, NULL, 'Probable apo-citrate lyase phosphoribosyl-dephospho-CoA transferase [citX].', NULL, 'CitX', NULL, NULL, 1657, 10),
(45593, NULL, 'MF_00131', NULL, NULL, 'Tryptophan synthase alpha chain [trpA].', NULL, 'Trp_synth_alpha', NULL, NULL, 5447, 10),
(45594, NULL, 'MF_00315', NULL, NULL, '1-deoxy-D-xylulose-5-phosphate synthase [dxs].', NULL, 'DXP_synth', NULL, NULL, 955, 10),
(45595, NULL, 'MF_00714', NULL, NULL, 'Alkylmercury lyase [merB].', NULL, 'MerB', NULL, NULL, 1567, 10);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45596, NULL, 'MF_01506', NULL, NULL, 'Small, acid-soluble spore protein Tlp [tlp].', NULL, 'Tlp', NULL, NULL, 15067, 10),
(45597, NULL, 'MF_02074', NULL, NULL, 'Renalase.', NULL, 'Bact_renalase', NULL, NULL, 19426, 10),
(45598, NULL, 'MF_04203', NULL, NULL, 'Membrane protein [M].', NULL, 'GAMMA_CORONA_M', NULL, NULL, 38264, 10),
(45599, NULL, 'MF_00238', NULL, NULL, 'Cytidylate kinase [cmk].', NULL, 'Cytidyl_kinase_type1', NULL, NULL, 1740, 10),
(45600, NULL, 'MF_01851', NULL, NULL, 'UPF0637 protein <locus_tag>.', NULL, 'UPF0637', NULL, NULL, 8013, 10),
(45601, NULL, 'MF_00844_B', NULL, NULL, 'Rqc2 homolog RqcH [rqcH].', NULL, 'RqcH_B', NULL, NULL, 37862, 10),
(45602, NULL, 'MF_00908', NULL, NULL, 'Negative modulator of initiation of replication [seqA].', NULL, 'SeqA', NULL, NULL, 2784, 10),
(45603, NULL, 'MF_00949', NULL, NULL, 'Transcription elongation factor Spt4 [spt4].', NULL, 'Spt4_arch', NULL, NULL, 742, 10),
(45604, NULL, 'MF_01338', NULL, NULL, 'Ribulose bisphosphate carboxylase large chain [rbcL].', NULL, 'RuBisCO_L_type1', NULL, NULL, 20932, 10),
(45605, NULL, 'MF_01246', NULL, NULL, 'Chitooligosaccharide deacetylase [chbG].', NULL, 'COD', NULL, NULL, 14821, 10),
(45606, NULL, 'MF_01283', NULL, NULL, 'Riboflavin biosynthesis protein RibBA [ribBA].', NULL, 'RibBA', NULL, NULL, 19868, 10),
(45607, NULL, 'MF_02001', NULL, NULL, 'Small heat shock protein IbpB [ibpB].', NULL, 'HSP20_IbpB', NULL, NULL, 15784, 10),
(45608, NULL, 'MF_01308', NULL, NULL, 'envelope membrane protein, chloroplastic [cemA].', NULL, 'CemA', NULL, NULL, 4627, 10),
(45609, NULL, 'MF_01878', NULL, NULL, 'Dipeptide and tripeptide permease A [dtpA].', NULL, 'PTR2_DtpA_subfam', NULL, NULL, 17231, 10),
(45610, NULL, 'MF_01877', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase I [rsmI].', NULL, '16SrRNA_methyltr_I', NULL, NULL, 7255, 10),
(45611, NULL, 'MF_01398', NULL, NULL, 'ATP synthase subunit b [atpF].', NULL, 'ATP_synth_b_bprime', NULL, NULL, 1055, 10),
(45612, NULL, 'MF_01348', NULL, NULL, 'Ycf48-like protein [hcf136].', NULL, 'Ycf48', NULL, NULL, 20946, 10),
(45613, NULL, 'MF_00577', NULL, NULL, 'Urocanate hydratase [hutU].', NULL, 'HutU', NULL, NULL, 616, 10),
(45614, NULL, 'MF_00104', NULL, NULL, 'Ribonuclease 3 [rnc].', NULL, 'RNase_III', NULL, NULL, 12252, 10),
(45615, NULL, 'MF_00254', NULL, NULL, 'Glycine--tRNA ligase alpha subunit [glyQ].', NULL, 'Gly_tRNA_synth_alpha', NULL, NULL, 6956, 10),
(45616, NULL, 'MF_00417', NULL, NULL, 'Pyrrolidone-carboxylate peptidase [pcp].', NULL, 'Pyrrolid_peptidase', NULL, NULL, 26249, 10),
(45617, NULL, 'MF_02058', NULL, NULL, 'Choline trimethylamine-lyase [cutC].', NULL, 'Choline_CutC', NULL, NULL, 26531, 10),
(45618, NULL, 'MF_00737', NULL, NULL, 'Formimidoylglutamase [hutG].', NULL, 'Formimidoylglutam', NULL, NULL, 134, 10),
(45619, NULL, 'MF_01989', NULL, NULL, 'Cyanuric acid amidohydrolase.', NULL, 'Cyc_amidohydrol', NULL, NULL, 14427, 10),
(45620, NULL, 'MF_01689', NULL, NULL, 'Ornithine aminotransferase [rocD].', NULL, 'Ornith_aminotrans_3', NULL, NULL, 31960, 10),
(45621, NULL, 'MF_00901', NULL, NULL, '3''-5'' ssDNA/RNA exonuclease TatD [tatD].', NULL, 'TatD_exonuclease', NULL, NULL, 14596, 10),
(45622, NULL, 'MF_01545', NULL, NULL, 'p-hydroxybenzoic acid efflux pump subunit AaeB [aaeB].', NULL, 'AaeB', NULL, NULL, 7065, 10),
(45623, NULL, 'MF_00661', NULL, NULL, 'ATP-dependent RNA helicase RhlB [rhlB].', NULL, 'DEAD_helicase_RhlB', NULL, NULL, 8961, 10),
(45624, NULL, 'MF_03201', NULL, NULL, 'Elongation of very long chain fatty acids protein 1 [ELOVL1].', NULL, 'VLCF_elongase_1', NULL, NULL, 32343, 10),
(45625, NULL, 'MF_00710', NULL, NULL, 'Malonate decarboxylase acyl carrier protein [mdcC].', NULL, 'Malonate_deCO2ase_dsu', NULL, NULL, 11572, 10),
(45626, NULL, 'MF_01345_B', NULL, NULL, '30S ribosomal protein S17 [rpsQ].', NULL, 'Ribosomal_S17_B', NULL, NULL, 17920, 10),
(45627, NULL, 'MF_04003', NULL, NULL, 'Minor capsid protein L2 [L2].', NULL, 'PPV_L2', NULL, NULL, 4537, 10),
(45628, NULL, 'MF_04056', NULL, NULL, 'Pre-histone-like nucleoprotein [L2].', NULL, 'ADV_PVII', NULL, NULL, 1502, 10);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45629, NULL, 'MF_01014', NULL, NULL, '1-(5-phosphoribosyl)-5-[(5-phosphoribosylamino)methylideneamino] imidazole-4-carboxamide isomerase [hisA].', NULL, 'HisA', NULL, NULL, 15277, 10),
(45630, NULL, 'MF_02214', NULL, NULL, 'Lipid II isoglutaminyl synthase (glutamine-hydrolyzing) subunit MurT [murT].', NULL, 'Lipid_II_synth_MurT', NULL, NULL, 37854, 10),
(45631, NULL, 'MF_00755', NULL, NULL, 'Ribonuclease P protein component 2 [rnp2].', NULL, 'RNase_P_2', NULL, NULL, 4274, 10),
(45632, NULL, 'MF_01231', NULL, NULL, 'Haloalkane dehalogenase [dhaA].', NULL, 'Haloalk_dehal_type2', NULL, NULL, 16086, 10),
(45633, NULL, 'MF_01637', NULL, NULL, 'Fe/S biogenesis protein NfuA [nfuA].', NULL, 'Fe_S_biogen_NfuA', NULL, NULL, 18662, 10),
(45634, NULL, 'MF_03006', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit G [EIF3G].', NULL, 'eIF3g', NULL, NULL, 17033, 10),
(45635, NULL, 'MF_00308', NULL, NULL, 'Prefoldin subunit alpha [pfdA].', NULL, 'PfdA', NULL, NULL, 10807, 10),
(45636, NULL, 'MF_00595', NULL, NULL, 'Phosphoenolpyruvate carboxylase [ppc].', NULL, 'PEPcase_type1', NULL, NULL, 17234, 10),
(45637, NULL, 'MF_01223', NULL, NULL, 'UPF0212 protein <locus_tag>.', NULL, 'UPF0212', NULL, NULL, 1839, 10),
(45638, NULL, 'MF_00037', NULL, NULL, 'UDP-N-acetylenolpyruvoylglucosamine reductase [murB].', NULL, 'MurB', NULL, NULL, 1993, 10),
(45639, NULL, 'MF_00969', NULL, NULL, 'Transcription-repair-coupling factor [mfd].', NULL, 'TRCF', NULL, NULL, 515, 10),
(45640, NULL, 'MF_04085', NULL, NULL, 'Nucleoprotein [N].', NULL, 'ARENA_NCAP', NULL, NULL, 986, 10),
(45641, NULL, 'MF_00223', NULL, NULL, 'GTP cyclohydrolase 1 [folE].', NULL, 'FolE', NULL, NULL, 3188, 10),
(45642, NULL, 'MF_03023', NULL, NULL, 'Meiotic spindle formation protein mei-1 [mei-1].', NULL, 'Katanin_p60_A1', NULL, NULL, 27637, 10),
(45643, NULL, 'MF_01673', NULL, NULL, '5-deoxy-glucuronate isomerase [iolB].', NULL, 'IolB', NULL, NULL, 7510, 10),
(45644, NULL, 'MF_00257', NULL, NULL, 'Putative snRNP Sm-like protein.', NULL, 'Lsm_RuxX', NULL, NULL, 17232, 10),
(45645, NULL, 'MF_04008', NULL, NULL, 'Capsid scaffolding protein.', NULL, 'HSV_SCAF', NULL, NULL, 4250, 10),
(45646, NULL, 'MF_03128', NULL, NULL, 'Lipoyl synthase, mitochondrial [LIP1].', NULL, 'Lipoyl_synth_plantM', NULL, NULL, 24765, 10),
(45647, NULL, 'MF_01800', NULL, NULL, 'Chromosome partition protein MukB [mukB].', NULL, 'MukB', NULL, NULL, 12905, 10),
(45648, NULL, 'MF_01322', NULL, NULL, 'DNA-directed RNA polymerase subunit beta'' [rpoC].', NULL, 'RNApol_bact_RpoC', NULL, NULL, 9681, 10),
(45649, NULL, 'MF_03047', NULL, NULL, 'Ataxin-7-like protein 3 [ATXN7L3].', NULL, 'Sgf11', NULL, NULL, 12887, 10),
(45650, NULL, 'MF_02005', NULL, NULL, 'Valine--tRNA ligase [valS].', NULL, 'Val_tRNA_synth_type2', NULL, NULL, 3812, 10),
(45651, NULL, 'MF_01947', NULL, NULL, 'N(4)-bis(aminopropyl)spermidine synthase [bpsA].', NULL, 'Aminopropyltransf_BpsA', NULL, NULL, 7881, 10),
(45652, NULL, 'MF_00937', NULL, NULL, 'DNA topoisomerase 4 subunit A [parC].', NULL, 'ParC_type2', NULL, NULL, 4837, 10),
(45653, NULL, 'MF_01559', NULL, NULL, 'L-lactate dehydrogenase [lldD].', NULL, 'L_lact_dehydr', NULL, NULL, 14772, 10),
(45654, NULL, 'MF_02099', NULL, NULL, 'Hydrogenase maturation factor HybF [hybF].', NULL, 'HybF_subfam', NULL, NULL, 33452, 10),
(45655, NULL, 'MF_01670', NULL, NULL, 'Malonate-semialdehyde dehydrogenase [iolA].', NULL, 'IolA', NULL, NULL, 17324, 10),
(45656, NULL, 'MF_00997', NULL, NULL, 'Beta-barrel assembly-enhancing protease [bepA].', NULL, 'Protease_BepA', NULL, NULL, 25711, 10),
(45657, NULL, 'MF_00121', NULL, NULL, 'Aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase subunit B [gatB].', NULL, 'GatB', NULL, NULL, 5829, 10),
(45658, NULL, 'MF_00583_B', NULL, NULL, 'Putative ribose-phosphate pyrophosphokinase [prs].', NULL, 'RibP_PPkinase_B', NULL, NULL, 31022, 10),
(45659, NULL, 'MF_02119', NULL, NULL, 'Lipoyl-[GcvH]:protein N-lipoyltransferase [lipL].', NULL, 'LipL', NULL, NULL, 21502, 10),
(45660, NULL, 'MF_00913', NULL, NULL, 'Probable peptidoglycan glycosyltransferase FtsW [ftsW].', NULL, 'PGT_FtsW_proteobact', NULL, NULL, 9076, 10);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45661, NULL, 'MF_01923', NULL, NULL, 'Glutamate mutase epsilon subunit [glmE].', NULL, 'Me_Asp_mutase_E', NULL, NULL, 5910, 10),
(45662, NULL, 'MF_00566', NULL, NULL, 'Plastocyanin [petE].', NULL, 'Cytb6_f_plastocyanin', NULL, NULL, 16778, 10),
(45663, NULL, 'MF_01214', NULL, NULL, 'PyrE-like protein.', NULL, 'PyrE_like', NULL, NULL, 17443, 10),
(45664, NULL, 'MF_03013', NULL, NULL, 'Clustered mitochondria protein homolog [CLU1].', NULL, 'CLU', NULL, NULL, 24393, 10),
(45665, NULL, 'MF_00685', NULL, NULL, '1,4-alpha-glucan branching enzyme GlgB [glgB].', NULL, 'GlgB', NULL, NULL, 5870, 10),
(45666, NULL, 'MF_03116', NULL, NULL, 'Methylthioribulose-1-phosphate dehydratase [APIP].', NULL, 'Salvage_MtnB_euk', NULL, NULL, 24159, 10),
(45667, NULL, 'MF_00970', NULL, NULL, 'Ribonuclease E [rne].', NULL, 'RNase_E', NULL, NULL, 22187, 10),
(45668, NULL, 'MF_01094', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit B [mtrB].', NULL, 'MtrB', NULL, NULL, 13366, 10),
(45669, NULL, 'MF_00126', NULL, NULL, 'Glutamine--tRNA ligase [glnS].', NULL, 'Gln_tRNA_synth', NULL, NULL, 17117, 10),
(45670, NULL, 'MF_00294', NULL, NULL, '50S ribosomal protein L33 [rpmG].', NULL, 'Ribosomal_L33', NULL, NULL, 3347, 10),
(45671, NULL, 'MF_01026', NULL, NULL, '3-isopropylmalate dehydratase large subunit [leuC].', NULL, 'LeuC_type1', NULL, NULL, 7458, 10),
(45672, NULL, 'MF_01076', NULL, NULL, 'UPF0273 protein <locus_tag>.', NULL, 'UPF0273', NULL, NULL, 16491, 10),
(45673, NULL, 'MF_00118_B', NULL, NULL, 'Elongation factor Tu [tuf].', NULL, 'EF_Tu_B', NULL, NULL, 1805, 10),
(45674, NULL, 'MF_04120', NULL, NULL, 'Portal protein.', NULL, 'PORTAL_PROTEIN_T7', NULL, NULL, 35659, 10),
(45675, NULL, 'MF_03111', NULL, NULL, 'Ubiquinone biosynthesis protein <gene_name>, mitochondrial [COQ4].', NULL, 'Coq4', NULL, NULL, 24696, 10),
(45676, NULL, 'MF_03122', NULL, NULL, '40S ribosomal protein S1 [RPS3A].', NULL, 'Ribosomal_S3Ae_euk', NULL, NULL, 23737, 10),
(45677, NULL, 'MF_00561', NULL, NULL, 'ADP-specific phosphofructokinase [pfkC].', NULL, 'ADP_PFKinase', NULL, NULL, 13297, 10),
(45678, NULL, 'MF_02232', NULL, NULL, 'Ubiquinone biosynthesis protein UbiU [ubiU].', NULL, 'UbiU', NULL, NULL, 37818, 10),
(45679, NULL, 'MF_01477', NULL, NULL, 'Ribosomal silencing factor RsfS [rsfS].', NULL, 'Iojap_RsfS', NULL, NULL, 5835, 10),
(45680, NULL, 'MF_01015', NULL, NULL, 'Putative transport protein YbjL [ybjL].', NULL, 'YbjL', NULL, NULL, 15095, 10),
(45681, NULL, 'MF_02228', NULL, NULL, 'Sulfopropanediol 3-dehydrogenase [hpsN].', NULL, 'Sulfopropanediol_dehydrog', NULL, NULL, 37213, 10),
(45682, NULL, 'MF_00117', NULL, NULL, '33 kDa chaperonin [hslO].', NULL, 'HslO', NULL, NULL, 4656, 10),
(45683, NULL, 'MF_01429', NULL, NULL, 'Iron-binding protein IscA [iscA].', NULL, 'Fe_S_insert_IscA', NULL, NULL, 10221, 10),
(45684, NULL, 'MF_01554_B', NULL, NULL, 'Phosphoglucosamine mutase [glmM].', NULL, 'GlmM_B', NULL, NULL, 4511, 10),
(45685, NULL, 'MF_00618', NULL, NULL, 'Phycocyanobilin:ferredoxin oxidoreductase [pcyA].', NULL, 'Ferredoxin_bilin_red', NULL, NULL, 17277, 10),
(45686, NULL, 'MF_01438', NULL, NULL, 'DNA integrity scanning protein DisA [disA].', NULL, 'DisA', NULL, NULL, 14998, 10),
(45687, NULL, 'MF_01534', NULL, NULL, 'HTH-type transcriptional activator RhaS [rhaS].', NULL, 'HTH_type_RhaS', NULL, NULL, 16626, 10),
(45688, NULL, 'MF_00230', NULL, NULL, 'Nicotinate-nucleotide--dimethylbenzimidazole phosphoribosyltransferase [cobT].', NULL, 'CobT', NULL, NULL, 13332, 10),
(45689, NULL, 'MF_03043', NULL, NULL, 'Queuine tRNA-ribosyltransferase accessory subunit 2 [QTRT2].', NULL, 'QTRT2', NULL, NULL, 24796, 10),
(45690, NULL, 'MF_03031', NULL, NULL, 'Protein argonaute-2 [AGO2].', NULL, 'AGO2', NULL, NULL, 27782, 10),
(45691, NULL, 'MF_00074', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase G [rsmG].', NULL, '16SrRNA_methyltr_G', NULL, NULL, 1842, 10),
(45692, NULL, 'MF_00055', NULL, NULL, 'MEMO1 family protein <locus_tag>.', NULL, 'MEMO1', NULL, NULL, 3510, 10),
(45693, NULL, 'MF_04009', NULL, NULL, 'Shutoff alkaline exonuclease.', NULL, 'HSV_AN', NULL, NULL, 5061, 10);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45694, NULL, 'MF_00426', NULL, NULL, 'Na(+)-translocating NADH-quinone reductase subunit B [nqrB].', NULL, 'NqrB', NULL, NULL, 2387, 10),
(45695, NULL, 'MF_01077', NULL, NULL, 'Ribosome maturation factor RimP [rimP].', NULL, 'RimP', NULL, NULL, 6265, 10),
(45696, NULL, 'MF_00785', NULL, NULL, 'Sirohydrochlorin cobaltochelatase [cbiX].', NULL, 'CbiX', NULL, NULL, 16793, 10),
(45697, NULL, 'MF_01359', NULL, NULL, 'NADH-quinone oxidoreductase subunit C/D [nuoC].', NULL, 'NDH1_NuoCD_1', NULL, NULL, 15443, 10),
(45698, NULL, 'MF_00437', NULL, NULL, 'Photosystem I assembly protein Ycf4 [ycf4].', NULL, 'Ycf4', NULL, NULL, 4018, 10),
(45699, NULL, 'MF_01583', NULL, NULL, 'Threonine/serine transporter TdcC [tdcC].', NULL, 'Thr_Ser_transp_TdcC', NULL, NULL, 7169, 10),
(45700, NULL, 'MF_00380', NULL, NULL, 'Integration host factor subunit alpha [ihfA].', NULL, 'IHF_alpha', NULL, NULL, 3817, 10),
(45701, NULL, 'MF_00336', NULL, NULL, 'ATP-dependent dethiobiotin synthetase BioD [bioD].', NULL, 'BioD', NULL, NULL, 7161, 10),
(45702, NULL, 'MF_00531', NULL, NULL, '30S ribosomal protein S19 [rpsS].', NULL, 'Ribosomal_S19', NULL, NULL, 386, 10),
(45703, NULL, 'MF_00636', NULL, NULL, 'RNase adapter protein RapZ [rapZ].', NULL, 'RapZ_like', NULL, NULL, 6341, 10),
(45704, NULL, 'MF_00593', NULL, NULL, 'D-alanine--D-alanyl carrier protein ligase [dltA].', NULL, 'DltA', NULL, NULL, 6137, 10),
(45705, NULL, 'MF_02039', NULL, NULL, 'Cell division protein FtsN [ftsN].', NULL, 'FtsN_entero', NULL, NULL, 11193, 10),
(45706, NULL, 'MF_00966', NULL, NULL, 'Glucose-6-phosphate 1-dehydrogenase [zwf].', NULL, 'G6PD', NULL, NULL, 2233, 10),
(45707, NULL, 'MF_00169', NULL, NULL, '3-dehydroquinate dehydratase [aroQ].', NULL, 'AroQ', NULL, NULL, 4299, 10),
(45708, NULL, 'MF_00744', NULL, NULL, 'Met repressor [metJ].', NULL, 'MetJ', NULL, NULL, 1452, 10),
(45709, NULL, 'MF_01655', NULL, NULL, '2-keto-4-pentenoate hydratase [mhpD].', NULL, 'MhpD', NULL, NULL, 17296, 10),
(45710, NULL, 'MF_00930', NULL, NULL, 'Transcription elongation factor GreB [greB].', NULL, 'GreB', NULL, NULL, 5525, 10),
(45711, NULL, 'MF_01115', NULL, NULL, 'Putative ion-transport protein YfeO [yfeO].', NULL, 'CLC_YfeO', NULL, NULL, 14522, 10),
(45712, NULL, 'MF_01228', NULL, NULL, 'Methionine--tRNA ligase [metG].', NULL, 'Met_tRNA_synth_type2', NULL, NULL, 16437, 10),
(45713, NULL, 'MF_01009', NULL, NULL, 'Thiosulfate sulfurtransferase GlpE [glpE].', NULL, 'Thiosulf_sulfurtr', NULL, NULL, 11864, 10),
(45714, NULL, 'MF_01333_A', NULL, NULL, '50S ribosomal protein L5 [rplE].', NULL, 'Ribosomal_L5_A', NULL, NULL, 14811, 10),
(45715, NULL, 'MF_01896', NULL, NULL, 'DNA gyrase inhibitor [sbmC].', NULL, 'DNA_gyrase_inhibitor', NULL, NULL, 14869, 10),
(45716, NULL, 'MF_01812', NULL, NULL, 'N-acetyltransferase Eis [eis].', NULL, 'Eis', NULL, NULL, 17203, 10),
(45717, NULL, 'MF_01055', NULL, NULL, 'Protein FixA [fixA].', NULL, 'FixA', NULL, NULL, 16069, 10),
(45718, NULL, 'MF_01818', NULL, NULL, 'Ribonuclease BN [rbn].', NULL, 'RNase_Z_BN', NULL, NULL, 10009, 10),
(45719, NULL, 'MF_04113', NULL, NULL, 'Capsid vertex protein.', NULL, 'CAPSID_P_T4', NULL, NULL, 33484, 10),
(45720, NULL, 'MF_00146', NULL, NULL, 'dCTP deaminase, dUMP-forming [dcd].', NULL, 'dCTP_deaminase', NULL, NULL, 11324, 10),
(45721, NULL, 'MF_01200_A', NULL, NULL, 'Orotidine 5''-phosphate decarboxylase [pyrF].', NULL, 'OMPdecase_type1_A', NULL, NULL, 9214, 10),
(45722, NULL, 'MF_01472', NULL, NULL, 'UDP-N-acetylglucosamine--peptide N-acetylglucosaminyltransferase GtfA subunit [gtfA].', NULL, 'GtfA', NULL, NULL, 11568, 10),
(45723, NULL, 'MF_02223', NULL, NULL, 'Pantoate kinase.', NULL, 'Pantoate_kinase', NULL, NULL, 11884, 10),
(45724, NULL, 'MF_01366', NULL, NULL, '50S ribosomal protein L13 [rplM].', NULL, 'Ribosomal_L13', NULL, NULL, 5945, 10),
(45725, NULL, 'MF_02028', NULL, NULL, 'UDP-N-acetylglucosamine 2-epimerase [wecB].', NULL, 'WecB_RffE', NULL, NULL, 24598, 10),
(45726, NULL, 'MF_01044', NULL, NULL, 'Protein TsgA [tsgA].', NULL, 'MFS_TsgA', NULL, NULL, 17237, 10),
(45727, NULL, 'MF_00161', NULL, NULL, 'Lipoprotein signal peptidase [lspA].', NULL, 'LspA', NULL, NULL, 4261, 10);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45728, NULL, 'MF_01519', NULL, NULL, 'UPF0325 protein YaeH [yaeH].', NULL, 'UPF0325', NULL, NULL, 14770, 10),
(45729, NULL, 'MF_02088', NULL, NULL, 'Probable queuosine precursor transporter.', NULL, 'Q_prec_transport', NULL, NULL, 2350, 10),
(45730, NULL, 'MF_02034', NULL, NULL, 'Glutamate--cysteine ligase EgtA [egtA].', NULL, 'EgtA', NULL, NULL, 19847, 10),
(45731, NULL, 'MF_00116', NULL, NULL, 'Deoxyuridine 5''-triphosphate nucleotidohydrolase [dut].', NULL, 'dUTPase_bact', NULL, NULL, 7311, 10),
(45732, NULL, 'MF_03055', NULL, NULL, 'tRNA (guanine-N(7)-)-methyltransferase [METTL1].', NULL, 'tRNA_methyltr_TrmB_euk', NULL, NULL, 25453, 10),
(45733, NULL, 'MF_00455', NULL, NULL, 'Xylose isomerase [xylA].', NULL, 'Xylose_isom_A', NULL, NULL, 2071, 10),
(45734, NULL, 'MF_00347', NULL, NULL, 'Polyphosphate kinase [ppk].', NULL, 'Polyphosphate_kinase', NULL, NULL, 5324, 10),
(45735, NULL, 'MF_00070', NULL, NULL, '2-keto-3-deoxygluconate permease [kdgT].', NULL, 'KdgT', NULL, NULL, 3500, 10),
(45736, NULL, 'MF_01320_A', NULL, NULL, '50S ribosomal protein L2 [rplB].', NULL, 'Ribosomal_L2_A', NULL, NULL, 888, 10),
(45737, NULL, 'MF_00130', NULL, NULL, 'Holliday junction resolvase RecU [recU].', NULL, 'RecU', NULL, NULL, 927, 10),
(45738, NULL, 'MF_00711', NULL, NULL, 'Glycine dehydrogenase (decarboxylating) [gcvP].', NULL, 'GcvP', NULL, NULL, 5223, 10),
(45739, NULL, 'MF_00042', NULL, NULL, 'Ribonuclease H [rnhA].', NULL, 'RNase_H', NULL, NULL, 17402, 10),
(45740, NULL, 'MF_00003', NULL, NULL, 'Ribosome-binding factor A [rbfA].', NULL, 'RbfA', NULL, NULL, 4605, 10),
(45741, NULL, 'MF_01275', NULL, NULL, 'Gamma-aminobutyraldehyde dehydrogenase [patD].', NULL, 'Aldedh_Prr', NULL, NULL, 19123, 10),
(45742, NULL, 'MF_04091', NULL, NULL, 'Non-structural glycoprotein 4.', NULL, 'ROTA_NSP4', NULL, NULL, 5276, 10),
(45743, NULL, 'MF_00834', NULL, NULL, 'Adenosylmethionine-8-amino-7-oxononanoate aminotransferase [bioA].', NULL, 'BioA', NULL, NULL, 5550, 10),
(45744, NULL, 'MF_00637', NULL, NULL, 'Anti-sigma F factor [spoIIAB].', NULL, 'Anti_sigma_F', NULL, NULL, 4472, 10),
(45745, NULL, 'MF_00522', NULL, NULL, 'Photosystem I reaction center subunit IX [psaJ].', NULL, 'PSI_PsaJ', NULL, NULL, 1811, 10),
(45746, NULL, 'MF_01165', NULL, NULL, 'Undecaprenyl phosphate-alpha-4-amino-4-deoxy-L-arabinose arabinosyl transferase [arnT].', NULL, 'ArnT_transfer', NULL, NULL, 17011, 10),
(45747, NULL, 'MF_01402_B', NULL, NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase [apgM].', NULL, 'ApgM_B', NULL, NULL, 941, 10),
(45748, NULL, 'MF_00320', NULL, NULL, 'DNA-directed RNA polymerase subunit D [rpoD].', NULL, 'RNApol_arch_D', NULL, NULL, 14946, 10),
(45749, NULL, 'MF_01465', NULL, NULL, 'Protein translocase subunit SecY [secY].', NULL, 'SecY', NULL, NULL, 28753, 10),
(45750, NULL, 'MF_02227', NULL, NULL, 'Ribulose-phosphate 3-epimerase [rpe].', NULL, 'RPE', NULL, NULL, 28283, 10),
(45751, NULL, 'MF_00028', NULL, NULL, 'Cobyric acid synthase [cobQ].', NULL, 'CobQ', NULL, NULL, 7368, 10),
(45752, NULL, 'MF_01489', NULL, NULL, 'Putative DNA helicase Rad25 [rad25].', NULL, 'Helicase_Rad25_arch', NULL, NULL, 26997, 10),
(45753, NULL, 'MF_00829', NULL, NULL, 'UPF0435 protein <locus_tag>.', NULL, 'UPF0435', NULL, NULL, 9068, 10),
(45754, NULL, 'MF_00068', NULL, NULL, 'N-acetylmuramic acid 6-phosphate etherase [murQ].', NULL, 'MurQ', NULL, NULL, 843, 10),
(45755, NULL, 'MF_01461', NULL, NULL, 'Energy-coupling factor transporter transmembrane protein EcfT [ecfT].', NULL, 'EcfT', NULL, NULL, 14901, 10),
(45756, NULL, 'MF_00754', NULL, NULL, 'Ribonuclease P protein component 1 [rnp1].', NULL, 'RNase_P_1', NULL, NULL, 17034, 10),
(45757, NULL, 'MF_01406', NULL, NULL, 'UPF0282 protein <locus_tag>.', NULL, 'UPF0282', NULL, NULL, 7720, 10),
(45758, NULL, 'MF_03070', NULL, NULL, 'Scavenger receptor class A member 5 [SCARA5].', NULL, 'SCARA5', NULL, NULL, 31544, 10),
(45759, NULL, 'MF_01185', NULL, NULL, 'Flagellar assembly factor FliW [fliW].', NULL, 'FliW', NULL, NULL, 6147, 10),
(45760, NULL, 'MF_00361', NULL, NULL, 'NAD kinase [nadK].', NULL, 'NAD_kinase', NULL, NULL, 541, 10);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45761, NULL, 'MF_00818', NULL, NULL, 'NADPH-dependent 7-cyano-7-deazaguanine reductase [queF].', NULL, 'QueF_type1', NULL, NULL, 16156, 10),
(45762, NULL, 'MF_00853', NULL, NULL, 'Protoporphyrinogen IX dehydrogenase [quinone] [hemG].', NULL, 'HemG', NULL, NULL, 37612, 10),
(45763, NULL, 'MF_01599', NULL, NULL, 'Na(+)/H(+) antiporter NhaB [nhaB].', NULL, 'NhaB', NULL, NULL, 2652, 10),
(45764, NULL, 'MF_00062', NULL, NULL, 'Sulfate adenylyltransferase subunit 1 [cysN].', NULL, 'Sulf_adenylyltr_sub1', NULL, NULL, 13155, 10),
(45765, NULL, 'MF_01837', NULL, NULL, 'Adaptive-response sensory-kinase SasA [sasA].', NULL, 'Kinase_SasA', NULL, NULL, 16632, 10),
(45766, NULL, 'MF_01423', NULL, NULL, 'Multidrug resistance protein MdtB [mdtB].', NULL, 'MdtB', NULL, NULL, 14775, 10),
(45767, NULL, 'MF_04023', NULL, NULL, 'Nuclear egress protein 1 [NEC1].', NULL, 'HSV_NEC1', NULL, NULL, 15602, 10),
(45768, NULL, 'MF_00193', NULL, NULL, 'NH(3)-dependent NAD(+) synthetase [nadE].', NULL, 'NadE_ammonia_dep', NULL, NULL, 14629, 10),
(45769, NULL, 'MF_00527', NULL, NULL, 'Putative 3-methyladenine DNA glycosylase.', NULL, '3MGH', NULL, NULL, 2807, 10),
(45770, NULL, 'MF_01510', NULL, NULL, 'GMP synthase [glutamine-hydrolyzing] subunit A [guaAA].', NULL, 'GMP_synthase_A', NULL, NULL, 14905, 10),
(45771, NULL, 'MF_00432', NULL, NULL, 'Cytochrome b6-f complex subunit 5 [petG].', NULL, 'Cytb6_f_PetG', NULL, NULL, 1558, 10),
(45772, NULL, 'MF_01894', NULL, NULL, 'Chromosome partition protein Smc [smc].', NULL, 'Smc_prok', NULL, NULL, 8812, 10),
(45773, NULL, 'MF_00224', NULL, NULL, 'Dihydroorotate dehydrogenase [pyrD].', NULL, 'DHO_dh_type1', NULL, NULL, 14931, 10),
(45774, NULL, 'MF_00698', NULL, NULL, 'Xaa-Pro dipeptidyl-peptidase [pepX].', NULL, 'Aminopeptidase_S15', NULL, NULL, 1697, 10),
(45775, NULL, 'MF_00324', NULL, NULL, 'DNA polymerase II large subunit [polC].', NULL, 'DNApol_II_L_arch', NULL, NULL, 7443, 10),
(45776, NULL, 'MF_01986', NULL, NULL, 'Probable UbiX-like flavin prenyltransferase.', NULL, 'ubiX_pad_yclB', NULL, NULL, 24935, 10),
(45777, NULL, 'MF_02097', NULL, NULL, 'Carnitine monooxygenase oxygenase subunit.', NULL, 'Carnitine_monoox_A', NULL, NULL, 33335, 10),
(45778, NULL, 'MF_01448', NULL, NULL, 'UPF0473 protein <locus_tag>.', NULL, 'UPF0473', NULL, NULL, 12066, 10),
(45779, NULL, 'MF_01201', NULL, NULL, 'Alanine racemase.', NULL, 'Ala_racemase', NULL, NULL, 4706, 10),
(45780, NULL, 'MF_01892', NULL, NULL, 'tRNA(Ile2) 2-agmatinylcytidine synthetase TiaS [tiaS].', NULL, 'tRNA_Ile2_agm2C_synt', NULL, NULL, 14663, 10),
(45781, NULL, 'MF_01187', NULL, NULL, 'UPF0434 protein YcaR [ycaR].', NULL, 'UPF0434', NULL, NULL, 2938, 10),
(45782, NULL, 'MF_02089', NULL, NULL, 'Epoxyqueuosine reductase QueH [queH].', NULL, 'QueH', NULL, NULL, 6454, 10),
(45783, NULL, 'MF_02113_A', NULL, NULL, 'Proteasome subunit beta [prcB].', NULL, 'Proteasome_B_A', NULL, NULL, 12119, 10),
(45784, NULL, 'MF_01331_B', NULL, NULL, '50S ribosomal protein L22 [rplV].', NULL, 'Ribosomal_L22_B', NULL, NULL, 4819, 10),
(45785, NULL, 'MF_00648', NULL, NULL, 'Inosine/xanthosine triphosphatase.', NULL, 'Non_canon_purine_NTPase_YjjX', NULL, NULL, 4548, 10),
(45786, NULL, 'MF_01374', NULL, NULL, 'Hydroxyacylglutathione hydrolase [gloB].', NULL, 'Glyoxalase_2', NULL, NULL, 19075, 10),
(45787, NULL, 'MF_01462', NULL, NULL, 'Cobalt transport protein CbiM [cbiM].', NULL, 'CbiM', NULL, NULL, 11780, 10),
(45788, NULL, 'MF_00318', NULL, NULL, 'Enolase [eno].', NULL, 'Enolase', NULL, NULL, 3112, 10),
(45789, NULL, 'MF_00709', NULL, NULL, 'Fumarate reductase subunit D [frdD].', NULL, 'Fumarate_red_D', NULL, NULL, 5288, 10),
(45790, NULL, 'MF_01117', NULL, NULL, 'CDP-archaeol synthase [carS].', NULL, 'CDP_archaeol_synth', NULL, NULL, 3840, 10),
(45791, NULL, 'MF_00498', NULL, NULL, 'UPF0179 protein <locus_tag>.', NULL, 'UPF0179', NULL, NULL, 6045, 10),
(45792, NULL, 'MF_04018', NULL, NULL, 'Triplex capsid protein 1 [TRX1].', NULL, 'HSV_TRX1', NULL, NULL, 757, 10),
(45793, NULL, 'MF_04100', NULL, NULL, 'DNA-directed DNA polymerase.', NULL, 'DPOL_T4', NULL, NULL, 10284, 10);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45794, NULL, 'MF_01958', NULL, NULL, 'Acetyl esterase [aes].', NULL, 'Acetyl_esterase', NULL, NULL, 16546, 10),
(45795, NULL, 'MF_03064', NULL, NULL, 'Mitochondrial glycine transporter [SLC25A38].', NULL, 'SLC25A38', NULL, NULL, 22542, 10),
(45796, NULL, 'MF_01541', NULL, NULL, 'Sulfite reductase [NADPH] flavoprotein alpha-component [cysJ].', NULL, 'CysJ', NULL, NULL, 25662, 10),
(45797, NULL, 'MF_00919', NULL, NULL, 'Ribosome modulation factor [rmf].', NULL, 'RMF', NULL, NULL, 6622, 10),
(45798, NULL, 'MF_01680', NULL, NULL, '2-hydroxy-3-keto-5-methylthiopentenyl-1-phosphate phosphatase [mtnX].', NULL, 'Salvage_MtnX', NULL, NULL, 18110, 10),
(45799, NULL, 'MF_01508', NULL, NULL, 'Replication factor C large subunit [rfcL].', NULL, 'RfcL', NULL, NULL, 6232, 10),
(45800, NULL, 'MF_00525', NULL, NULL, 'Surface composition regulator [glgS].', NULL, 'GlgS', NULL, NULL, 8679, 10),
(45801, NULL, 'MF_00138', NULL, NULL, 'Phosphoribosylamine--glycine ligase [purD].', NULL, 'GARS', NULL, NULL, 3560, 10),
(45802, NULL, 'MF_01652', NULL, NULL, '3-(3-hydroxy-phenyl)propionate/3-hydroxycinnamic acid hydroxylase [mhpA].', NULL, 'MhpA', NULL, NULL, 8635, 10),
(45803, NULL, 'MF_00840', NULL, NULL, 'Diadenylate cyclase [dacZ].', NULL, 'DacZ', NULL, NULL, 10904, 10),
(45804, NULL, 'MF_01188', NULL, NULL, 'UPF0441 protein YgiB [ygiB].', NULL, 'UPF0441', NULL, NULL, 640, 10),
(45805, NULL, 'MF_00675', NULL, NULL, 'Uronate isomerase [uxaC].', NULL, 'UxaC', NULL, NULL, 2408, 10),
(45806, NULL, 'MF_00749', NULL, NULL, 'RNA chaperone ProQ [proQ].', NULL, 'ProQ', NULL, NULL, 17336, 10),
(45807, NULL, 'MF_03199', NULL, NULL, 'Palmitoyltransferase <gene_name> [PFA4].', NULL, 'DHHC_PAT_PFA4', NULL, NULL, 32151, 10),
(45808, NULL, 'MF_01962', NULL, NULL, 'Adenine deaminase.', NULL, 'Adenine_deaminase', NULL, NULL, 28997, 10),
(45809, NULL, 'MF_03065', NULL, NULL, 'Regulator of telomere elongation helicase 1 [RTEL1].', NULL, 'RTEL1', NULL, NULL, 22753, 10),
(45810, NULL, 'MF_01416', NULL, NULL, 'ATP synthase subunit delta [atpD].', NULL, 'ATP_synth_delta_bact', NULL, NULL, 3947, 10),
(45811, NULL, 'MF_00757', NULL, NULL, 'Ribonuclease P protein component 4 [rnp4].', NULL, 'RNase_P_4', NULL, NULL, 21915, 10),
(45812, NULL, 'MF_00090', NULL, NULL, 'Protein-L-isoaspartate O-methyltransferase [pcm].', NULL, 'PIMT', NULL, NULL, 6641, 10),
(45813, NULL, 'MF_00327', NULL, NULL, '50S ribosomal protein L37Ae [rpl37ae].', NULL, 'Ribosomal_L37Ae', NULL, NULL, 2967, 10),
(45814, NULL, 'MF_01049', NULL, NULL, 'L-carnitine/gamma-butyrobetaine antiporter [caiT].', NULL, 'CaiT', NULL, NULL, 16481, 10),
(45815, NULL, 'MF_02124', NULL, NULL, 'Alpha-1,4-glucan:maltose-1-phosphate maltosyltransferase [glgE].', NULL, 'GlgE', NULL, NULL, 26557, 10),
(45816, NULL, 'MF_00964', NULL, NULL, 'ATP-dependent RNA helicase DeaD [deaD].', NULL, 'DEAD_helicase_DeaD', NULL, NULL, 27200, 10),
(45817, NULL, 'MF_00215', NULL, NULL, 'Pantothenate kinase [coaA].', NULL, 'Pantothen_kinase_1', NULL, NULL, 716, 10),
(45818, NULL, 'MF_04041', NULL, NULL, 'Cytoplasmic envelopment protein 3.', NULL, 'HSV_CEP3_betahv', NULL, NULL, 7927, 10),
(45819, NULL, 'MF_02037', NULL, NULL, 'Histidine N-alpha-methyltransferase [egtD].', NULL, 'EgtD', NULL, NULL, 25779, 10),
(45820, NULL, 'MF_00571', NULL, NULL, 'Galactose-1-phosphate uridylyltransferase [galT].', NULL, 'GalP_UDP_trans', NULL, NULL, 6883, 10),
(45821, NULL, 'MF_00182', NULL, NULL, 'Methionyl-tRNA formyltransferase [fmt].', NULL, 'Formyl_trans', NULL, NULL, 6524, 10),
(45822, NULL, 'MF_01968', NULL, NULL, 'NAD-dependent protein deacetylase [cobB].', NULL, 'Sirtuin_ClassU', NULL, NULL, 27077, 10),
(45823, NULL, 'MF_00373', NULL, NULL, '50S ribosomal protein L28 [rpmB].', NULL, 'Ribosomal_L28', NULL, NULL, 2103, 10),
(45824, NULL, 'MF_00510', NULL, NULL, 'Peptidase E [pepE].', NULL, 'Peptidase_E', NULL, NULL, 8649, 10),
(45825, NULL, 'MF_01921', NULL, NULL, 'S-adenosyl-L-methionine-dependent tRNA 4-demethylwyosine synthase [taw1].', NULL, 'TYW1_archaea', NULL, NULL, 18992, 10),
(45826, NULL, 'MF_00012', NULL, NULL, 'Dihydroxy-acid dehydratase [ilvD].', NULL, 'IlvD', NULL, NULL, 5563, 10);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45827, NULL, 'MF_00491', NULL, NULL, 'NAD(P)H-quinone oxidoreductase chain 4 [ndhD].', NULL, 'NDH1_NuoM', NULL, NULL, 15227, 10),
(45828, NULL, 'MF_01146', NULL, NULL, 'Aquaporin Z [aqpZ].', NULL, 'Aquaporin_Z', NULL, NULL, 17012, 10),
(45829, NULL, 'MF_01358', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit H, chloroplastic [ndhH].', NULL, 'NDH1_NuoD', NULL, NULL, 14625, 10),
(45830, NULL, 'MF_00991', NULL, NULL, 'Futalosine hydrolase [mqnB].', NULL, 'MqnB', NULL, NULL, 15793, 10),
(45831, NULL, 'MF_01440', NULL, NULL, 'Chemoreceptor glutamine deamidase CheD [cheD].', NULL, 'CheD', NULL, NULL, 3689, 10),
(45832, NULL, 'MF_01634', NULL, NULL, 'tRNA-guanine(15) transglycosylase [tgtA].', NULL, 'TgtA_arch', NULL, NULL, 5709, 10),
(45833, NULL, 'MF_01296', NULL, NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit GatZ [gatZ].', NULL, 'Tagatose_aldol_GatZ', NULL, NULL, 16239, 10),
(45834, NULL, 'MF_00914', NULL, NULL, 'L-alanine exporter AlaE [alaE].', NULL, 'L_Ala_exporter', NULL, NULL, 8319, 10),
(45835, NULL, 'MF_01847', NULL, NULL, 'HMP-PP phosphatase [cof].', NULL, 'HMP_PP_phosphat', NULL, NULL, 17952, 10),
(45836, NULL, 'MF_01488', NULL, NULL, 'ATP-dependent RecD-like DNA helicase [recD2].', NULL, 'RecD_like', NULL, NULL, 4683, 10),
(45837, NULL, 'MF_02128', NULL, NULL, 'Thiamine-monophosphate kinase [thiL].', NULL, 'TMP_kinase', NULL, NULL, 3670, 10),
(45838, NULL, 'MF_00087', NULL, NULL, 'Glutamyl-tRNA reductase [hemA].', NULL, 'Glu_tRNA_reductase', NULL, NULL, 303, 10),
(45839, NULL, 'MF_01972', NULL, NULL, 'Tryptophan 2,3-dioxygenase [kynA].', NULL, 'T23O', NULL, NULL, 585, 10),
(45840, NULL, 'MF_03188', NULL, NULL, 'EEF1A lysine methyltransferase 2 [EEF1AKMT2].', NULL, 'Methyltr_EFM4', NULL, NULL, 26559, 10),
(45841, NULL, 'MF_04077', NULL, NULL, 'Protein Rev [rev].', NULL, 'REV_HIV1', NULL, NULL, 5924, 10),
(45842, NULL, 'MF_02086', NULL, NULL, '4-hydroxythreonine-4-phosphate dehydrogenase [pdxA].', NULL, 'PdxA_Epsilonprot', NULL, NULL, 35896, 10),
(45843, NULL, 'MF_01683', NULL, NULL, 'Methylthioribose kinase [mtnK].', NULL, 'Salvage_MtnK', NULL, NULL, 10941, 10),
(45844, NULL, 'MF_02093', NULL, NULL, 'Probable beta-carotene 15,15''-dioxygenase.', NULL, 'Beta_carotene_diox', NULL, NULL, 15808, 10),
(45845, NULL, 'MF_01217', NULL, NULL, 'Acyl carrier protein [acpP].', NULL, 'Acyl_carrier', NULL, NULL, 2675, 10),
(45846, NULL, 'MF_00270', NULL, NULL, '30S ribosomal protein S18 [rpsR].', NULL, 'Ribosomal_S18', NULL, NULL, 5234, 10),
(45847, NULL, 'MF_01517', NULL, NULL, 'Malate dehydrogenase [mdh].', NULL, 'Malate_dehydrog_2', NULL, NULL, 1884, 10),
(45848, NULL, 'MF_04033', NULL, NULL, 'Envelope glycoprotein H [gH].', NULL, 'HSV_GH', NULL, NULL, 6020, 10),
(45849, NULL, 'MF_04063', NULL, NULL, 'Polymerase acidic protein [PA].', NULL, 'INFV_PA', NULL, NULL, 29277, 10),
(45850, NULL, 'MF_00563', NULL, NULL, 'S-inosyl-L-homocysteine hydrolase [ahcY].', NULL, 'AdoHcyase', NULL, NULL, 3724, 10),
(45851, NULL, 'MF_01813', NULL, NULL, 'Ubiquinone/menaquinone biosynthesis C-methyltransferase UbiE [ubiE].', NULL, 'MenG_UbiE_methyltr', NULL, NULL, 912, 10),
(45852, NULL, 'MF_01471', NULL, NULL, 'CRISPR-associated endoribonuclease Cas2 [cas2].', NULL, 'Cas2', NULL, NULL, 10943, 10),
(45853, NULL, 'MF_00069', NULL, NULL, 'Hydroxylamine reductase [hcp].', NULL, 'Hydroxylam_reduct', NULL, NULL, 5406, 10),
(45854, NULL, 'MF_01617', NULL, NULL, 'Fatty acid oxidation complex subunit alpha [fadJ].', NULL, 'FadJ', NULL, NULL, 12945, 10),
(45855, NULL, 'MF_00206', NULL, NULL, 'Lipoyl synthase [lipA].', NULL, 'Lipoyl_synth', NULL, NULL, 2427, 10),
(45856, NULL, 'MF_01844', NULL, NULL, 'Na(+)/H(+) antiporter NhaA [nhaA].', NULL, 'NhaA', NULL, NULL, 2861, 10),
(45857, NULL, 'MF_00174', NULL, NULL, 'Elongation factor P--(R)-beta-lysine ligase [epmA].', NULL, 'EF_P_modif_A', NULL, NULL, 1733, 10),
(45858, NULL, 'MF_01212', NULL, NULL, 'Deoxyguanosinetriphosphate triphosphohydrolase-like protein.', NULL, 'dGTPase_type2', NULL, NULL, 15347, 10),
(45859, NULL, 'MF_04204', NULL, NULL, 'Envelope small membrane protein [E].', NULL, 'BETA_CORONA_E', NULL, NULL, 36832, 10);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45860, NULL, 'MF_00194', NULL, NULL, 'Recombination-associated protein RdgC [rdgC].', NULL, 'RdgC', NULL, NULL, 2068, 10),
(45861, NULL, 'MF_00094', NULL, NULL, 'Peptide chain release factor 2 [prfB].', NULL, 'Rel_fac_2', NULL, NULL, 5752, 10),
(45862, NULL, 'MF_01539', NULL, NULL, 'tRNA(Met) cytidine acetate ligase [tmcAL].', NULL, 'TmcAL', NULL, NULL, 12634, 10),
(45863, NULL, 'MF_02115', NULL, NULL, 'FAD synthase [ribL].', NULL, 'FAD_synth_arch', NULL, NULL, 21665, 10),
(45864, NULL, 'MF_00532_A', NULL, NULL, '30S ribosomal protein S9 [rpsI].', NULL, 'Ribosomal_S9_A', NULL, NULL, 12728, 10),
(45865, NULL, 'MF_00694', NULL, NULL, 'Probable 5-dehydro-4-deoxyglucarate dehydratase.', NULL, 'KDGDH', NULL, NULL, 17370, 10),
(45866, NULL, 'MF_01369_A', NULL, NULL, '50S ribosomal protein L23 [rplW].', NULL, 'Ribosomal_L23_A', NULL, NULL, 11680, 10),
(45867, NULL, 'MF_01251', NULL, NULL, 'UPF0313 protein YgiQ [ygiQ].', NULL, 'UPF0313', NULL, NULL, 14911, 10),
(45868, NULL, 'MF_00177', NULL, NULL, 'Lysine--tRNA ligase [lysS].', NULL, 'Lys_tRNA_synth_class1', NULL, NULL, 6428, 10),
(45869, NULL, 'MF_01120', NULL, NULL, '[LysW]-lysine/[LysW]-ornithine hydrolase [lysK].', NULL, 'LysK', NULL, NULL, 4336, 10),
(45870, NULL, 'MF_03226', NULL, NULL, 'Splicing factor YJU2 [YJU2].', NULL, 'YJU2', NULL, NULL, 37543, 10),
(45871, NULL, 'MF_00819', NULL, NULL, 'Putative septation protein SpoVG [spoVG].', NULL, 'SpoVG', NULL, NULL, 260, 10),
(45872, NULL, 'MF_03011', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit L [EIF3L].', NULL, 'eIF3l', NULL, NULL, 15759, 10),
(45873, NULL, 'MF_01445', NULL, NULL, 'tRNA N6-adenosine threonylcarbamoyltransferase [tsaD].', NULL, 'TsaD', NULL, NULL, 21597, 10),
(45874, NULL, 'MF_02130', NULL, NULL, 'Dihydroneopterin aldolase [mptD].', NULL, 'DHNA_arch', NULL, NULL, 25023, 10),
(45875, NULL, 'MF_00357', NULL, NULL, 'Probable DNA-directed RNA polymerase subunit delta [rpoE].', NULL, 'RNApol_bact_RpoE', NULL, NULL, 27149, 10),
(45876, NULL, 'MF_00847', NULL, NULL, 'Energy-dependent translational throttle protein EttA [ettA].', NULL, 'EttA', NULL, NULL, 15077, 10),
(45877, NULL, 'MF_00500', NULL, NULL, '30S ribosomal protein S20 [rpsT].', NULL, 'Ribosomal_S20', NULL, NULL, 1600, 10),
(45878, NULL, 'MF_02103', NULL, NULL, 'Lactate utilization protein B [lutB].', NULL, 'LutB', NULL, NULL, 17119, 10),
(45879, NULL, 'MF_00440', NULL, NULL, 'Transcriptional repressor NrdR [nrdR].', NULL, 'NrdR', NULL, NULL, 3273, 10),
(45880, NULL, 'MF_01211', NULL, NULL, 'Dihydroorotate dehydrogenase B (NAD(+)), electron transfer subunit [pyrK].', NULL, 'DHODB_Fe_S_bind', NULL, NULL, 16061, 10),
(45881, NULL, 'MF_04051', NULL, NULL, 'Hexon protein [L3].', NULL, 'ADV_CAPSH', NULL, NULL, 34508, 10),
(45882, NULL, 'MF_00084', NULL, NULL, 'Nodulation protein A [nodA].', NULL, 'NodA', NULL, NULL, 6281, 10),
(45883, NULL, 'MF_00092', NULL, NULL, 'Endonuclease MutS2 [mutS2].', NULL, 'MutS2', NULL, NULL, 4540, 10),
(45884, NULL, 'MF_00634', NULL, NULL, 'UPF0235 protein YggU [yggU].', NULL, 'UPF0235', NULL, NULL, 2282, 10),
(45885, NULL, 'MF_01274', NULL, NULL, 'Type III pantothenate kinase [coaX].', NULL, 'Pantothen_kinase_3', NULL, NULL, 2468, 10),
(45886, NULL, 'MF_01961', NULL, NULL, 'Catalase-peroxidase [katG].', NULL, 'Catal_peroxid', NULL, NULL, 6556, 10),
(45887, NULL, 'MF_03120', NULL, NULL, 'Lon protease homolog, mitochondrial [LONP1].', NULL, 'lonm_euk', NULL, NULL, 23702, 10),
(45888, NULL, 'MF_00839', NULL, NULL, 'Ribosome hibernation promoting factor [hpf].', NULL, 'HPF', NULL, NULL, 16968, 10),
(45889, NULL, 'MF_00255', NULL, NULL, 'Glycine--tRNA ligase beta subunit [glyS].', NULL, 'Gly_tRNA_synth_beta', NULL, NULL, 8361, 10),
(45890, NULL, 'MF_01407', NULL, NULL, 'ORC1-type DNA replication protein.', NULL, 'ORC1_type_DNA_replic_protein', NULL, NULL, 8932, 10),
(45891, NULL, 'MF_01906', NULL, NULL, 'D-(-)-3-hydroxybutyrate oligomer hydrolase.', NULL, '3HBOH', NULL, NULL, 18404, 10),
(45892, NULL, 'MF_01952', NULL, NULL, 'L-ribulose-5-phosphate 4-epimerase UlaF [ulaF].', NULL, 'UlaF', NULL, NULL, 16608, 10);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45893, NULL, 'MF_01198', NULL, NULL, 'Anti-adapter protein IraP [iraP].', NULL, 'Anti_adapt_IraP', NULL, NULL, 21263, 10),
(45894, NULL, 'MF_00103', NULL, NULL, 'Formamidopyrimidine-DNA glycosylase [mutM].', NULL, 'Fapy_DNA_glycosyl', NULL, NULL, 19844, 10),
(45895, NULL, 'MF_00452', NULL, NULL, 'Phosphoenolpyruvate carboxykinase [GTP] [pckG].', NULL, 'PEPCK_GTP', NULL, NULL, 7013, 10),
(45896, NULL, 'MF_00704', NULL, NULL, 'Probable aspartoacylase.', NULL, 'Aspartoacylase', NULL, NULL, 20699, 10),
(45897, NULL, 'MF_00149', NULL, NULL, 'DNA mismatch repair protein MutL [mutL].', NULL, 'DNA_mis_repair', NULL, NULL, 20865, 10),
(45898, NULL, 'MF_00282', NULL, NULL, 'Phenylalanine--tRNA ligase alpha subunit [pheS].', NULL, 'Phe_tRNA_synth_alpha2', NULL, NULL, 17517, 10),
(45899, NULL, 'MF_00328', NULL, NULL, 'Guanylate kinase [gmk].', NULL, 'Guanylate_kinase', NULL, NULL, 17048, 10),
(45900, NULL, 'MF_00941', NULL, NULL, 'GDP-mannose mannosyl hydrolase [gmm].', NULL, 'GDPMH_gmm', NULL, NULL, 27400, 10),
(45901, NULL, 'MF_04011', NULL, NULL, 'DNA primase.', NULL, 'HSV_PRIM', NULL, NULL, 30294, 10),
(45902, NULL, 'MF_01832', NULL, NULL, 'Cysteine desulfuration protein SufE [sufE].', NULL, 'SufE', NULL, NULL, 17916, 10),
(45903, NULL, 'MF_00355', NULL, NULL, 'Light-independent protochlorophyllide reductase iron-sulfur ATP-binding protein [bchL].', NULL, 'ChlL_BchL', NULL, NULL, 1423, 10),
(45904, NULL, 'MF_01078', NULL, NULL, 'RNA-free ribonuclease P.', NULL, 'RNA_free_RNase_P', NULL, NULL, 13071, 10),
(45905, NULL, 'MF_02043', NULL, NULL, 'tRNA-dihydrouridine(16) synthase [dusC].', NULL, 'DusC_subfam', NULL, NULL, 26917, 10),
(45906, NULL, 'MF_03104', NULL, NULL, 'Mitochondrial distribution and morphology protein 12 [MDM12].', NULL, 'Mdm12', NULL, NULL, 26876, 10),
(45907, NULL, 'MF_04145', NULL, NULL, 'Terminase, large subunit.', NULL, 'TERL_SPP1', NULL, NULL, 36807, 10),
(45908, NULL, 'MF_01555', NULL, NULL, 'Galactose-6-phosphate isomerase subunit LacA [lacA].', NULL, 'LacA', NULL, NULL, 5145, 10),
(45909, NULL, 'MF_00669', NULL, NULL, 'Small, acid-soluble spore protein I [sspI].', NULL, 'SspI', NULL, NULL, 15196, 10),
(45910, NULL, 'MF_01262', NULL, NULL, 'CCA-adding enzyme [cca].', NULL, 'CCA_bact_type2', NULL, NULL, 10542, 10),
(45911, NULL, 'MF_01241', NULL, NULL, 'Glucosamine-6-phosphate deaminase [nagB].', NULL, 'GlcN6P_deamin', NULL, NULL, 761, 10),
(45912, NULL, 'MF_00706', NULL, NULL, 'Ecotin [eco].', NULL, 'Ecotin', NULL, NULL, 15871, 10),
(45913, NULL, 'MF_01132', NULL, NULL, 'Regulatory protein Spx [spxA].', NULL, 'SpxA', NULL, NULL, 7865, 10),
(45914, NULL, 'MF_01152', NULL, NULL, 'Chaperone protein DnaJ [dnaJ].', NULL, 'DnaJ', NULL, NULL, 11855, 10),
(45915, NULL, 'MF_00479', NULL, NULL, 'Ion-translocating oxidoreductase complex subunit G [rsxG].', NULL, 'RsxG_RnfG', NULL, NULL, 4136, 10),
(45916, NULL, 'MF_01138', NULL, NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit beta [cdhC].', NULL, 'CdhC', NULL, NULL, 16358, 10),
(45917, NULL, 'MF_00287', NULL, NULL, 'Probable disulfide formation protein [bdbC].', NULL, 'BdbC', NULL, NULL, 13396, 10),
(45918, NULL, 'MF_00310', NULL, NULL, 'V-type ATP synthase beta chain [atpB].', NULL, 'ATP_synth_B_arch', NULL, NULL, 17381, 10),
(45919, NULL, 'MF_00473', NULL, NULL, 'Glucose-6-phosphate isomerase [pgi].', NULL, 'G6P_isomerase', NULL, NULL, 3344, 10),
(45920, NULL, 'MF_00578', NULL, NULL, 'Glutamate--cysteine ligase [gshA].', NULL, 'Glu_cys_ligase', NULL, NULL, 4852, 10),
(45921, NULL, 'MF_01527_B', NULL, NULL, 'GTP cyclohydrolase FolE2 [folE2].', NULL, 'GTP_cyclohydrol_B', NULL, NULL, 661, 10),
(45922, NULL, 'MF_00360', NULL, NULL, '30S ribosomal protein S6 [rpsF].', NULL, 'Ribosomal_S6', NULL, NULL, 21189, 10),
(45923, NULL, 'MF_03223', NULL, NULL, 'Protein N-terminal and lysine N-methyltransferase EFM7 [EFM7].', NULL, 'Methyltr_EFM7', NULL, NULL, 23520, 10),
(45924, NULL, 'MF_01340', NULL, NULL, 'UPF0353 protein <locus_tag>.', NULL, 'UPF0353', NULL, NULL, 14643, 10),
(45925, NULL, 'MF_00792', NULL, NULL, '15,16-dihydrobiliverdin:ferredoxin oxidoreductase [pebA].', NULL, 'PebA', NULL, NULL, 16541, 10);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45926, NULL, 'MF_00460', NULL, NULL, 'Protein RnfH [rnfH].', NULL, 'UPF0125_RnfH', NULL, NULL, 6073, 10),
(45927, NULL, 'MF_01386', NULL, NULL, 'Photosystem II reaction center X protein [psbX].', NULL, 'PSII_PsbX_1', NULL, NULL, 16160, 10),
(45928, NULL, 'MF_00728', NULL, NULL, 'Septation ring formation regulator EzrA [ezrA].', NULL, 'EzrA', NULL, NULL, 9560, 10),
(45929, NULL, 'MF_04028', NULL, NULL, 'Ribonucleoside-diphosphate reductase small subunit [RIR2].', NULL, 'HSV_RIR2', NULL, NULL, 8442, 10),
(45930, NULL, 'MF_00429', NULL, NULL, 'Na(+)-translocating NADH-quinone reductase subunit E [nqrE].', NULL, 'NqrE', NULL, NULL, 2255, 10),
(45931, NULL, 'MF_00241', NULL, NULL, '8-oxoguanine DNA glycosylase/AP lyase [ogg].', NULL, 'Ogg', NULL, NULL, 13277, 10),
(45932, NULL, 'MF_01172', NULL, NULL, 'N-succinylarginine dihydrolase [astB].', NULL, 'AstB', NULL, NULL, 486, 10),
(45933, NULL, 'MF_02202', NULL, NULL, 'Tol-Pal system protein TolQ [tolQ].', NULL, 'TolQ', NULL, NULL, 14399, 10),
(45934, NULL, 'MF_04142', NULL, NULL, 'NAD--protein ADP-ribosyltransferase modB [modB].', NULL, 'MODB_T4', NULL, NULL, 37025, 10),
(45935, NULL, 'MF_01389', NULL, NULL, 'Urease accessory protein UreG [ureG].', NULL, 'UreG', NULL, NULL, 5961, 10),
(45936, NULL, 'MF_01378', NULL, NULL, 'Cytochrome c-550 [psbV].', NULL, 'PSII_Cyt550', NULL, NULL, 13758, 10),
(45937, NULL, 'MF_00541', NULL, NULL, 'L-rhamnose isomerase [rhaA].', NULL, 'RhaA', NULL, NULL, 13552, 10),
(45938, NULL, 'MF_04136', NULL, NULL, 'SAR-endolysin.', NULL, 'SAR_ENDOLYSIN', NULL, NULL, 37777, 10),
(45939, NULL, 'MF_00946', NULL, NULL, 'Acid stress chaperone HdeA [hdeA].', NULL, 'HdeA', NULL, NULL, 22060, 10),
(45940, NULL, 'MF_01103', NULL, NULL, 'UPF0291 protein <locus_tag>.', NULL, 'UPF0291', NULL, NULL, 13999, 10),
(45941, NULL, 'MF_01436', NULL, NULL, 'Enterobactin exporter EntS [entS].', NULL, 'MFS_EntS', NULL, NULL, 7926, 10),
(45942, NULL, 'MF_01499', NULL, NULL, 'Diadenylate cyclase [dacA].', NULL, 'DacA', NULL, NULL, 33062, 10),
(45943, NULL, 'MF_01955', NULL, NULL, 'Urease subunit alpha [ureA].', NULL, 'Urease_beta_gamma', NULL, NULL, 501, 10),
(45944, NULL, 'MF_00507', NULL, NULL, 'UPF0181 protein YoaH [yoaH].', NULL, 'UPF0181', NULL, NULL, 6332, 10),
(45945, NULL, 'MF_00662', NULL, NULL, 'Phosphatidylserine decarboxylase proenzyme [psd].', NULL, 'PS_decarb_PSD_B_type1', NULL, NULL, 32120, 10),
(45946, NULL, 'MF_01238', NULL, NULL, 'Sialic acid transporter NanT [nanT].', NULL, 'MFS_NanT', NULL, NULL, 5219, 10),
(45947, NULL, 'MF_00041', NULL, NULL, 'Cysteine--tRNA ligase [cysS].', NULL, 'Cys_tRNA_synth', NULL, NULL, 12686, 10),
(45948, NULL, 'MF_01604', NULL, NULL, 'Thiamine kinase [thiK].', NULL, 'Thiamine_kinase', NULL, NULL, 14180, 10),
(45949, NULL, 'MF_03217', NULL, NULL, 'Phosphatidylethanolamine N-methyltransferase.', NULL, 'PEMT', NULL, NULL, 17150, 10),
(45950, NULL, 'MF_00939', NULL, NULL, 'DNA topoisomerase 4 subunit B [parE].', NULL, 'ParE_type2', NULL, NULL, 4784, 10),
(45951, NULL, 'MF_03026', NULL, NULL, 'Leucine zipper putative tumor suppressor 2 [LZTS2].', NULL, 'LZTS2', NULL, NULL, 27673, 10),
(45952, NULL, 'MF_00081', NULL, NULL, 'Heat-inducible transcription repressor HrcA [hrcA].', NULL, 'HrcA', NULL, NULL, 1562, 10),
(45953, NULL, 'MF_00628', NULL, NULL, 'Peptidyl-tRNA hydrolase [pth].', NULL, 'Pept_tRNA_hydro_arch', NULL, NULL, 31715, 10),
(45954, NULL, 'MF_01229', NULL, NULL, 'Alkanesulfonate monooxygenase [ssuD].', NULL, 'Alkanesulf_monooxygen', NULL, NULL, 18150, 10),
(45955, NULL, 'MF_01697', NULL, NULL, 'L-cysteine:1D-myo-inositol 2-amino-2-deoxy-alpha-D-glucopyranoside ligase [mshC].', NULL, 'MshC', NULL, NULL, 19574, 10),
(45956, NULL, 'MF_01452', NULL, NULL, 'ATP-dependent helicase/deoxyribonuclease subunit B [addB].', NULL, 'AddB_type1', NULL, NULL, 14456, 10),
(45957, NULL, 'MF_03115', NULL, NULL, 'Fe-S cluster assembly protein <gene_name> [DRE2].', NULL, 'Anamorsin', NULL, NULL, 2085, 10),
(45958, NULL, 'MF_00457', NULL, NULL, 'UPF0173 metal-dependent hydrolase <locus_tag>.', NULL, 'UPF0173', NULL, NULL, 17278, 10);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45959, NULL, 'MF_00434', NULL, NULL, 'Putative pterin-4-alpha-carbinolamine dehydratase.', NULL, 'Pterin_4_alpha', NULL, NULL, 5796, 10),
(45960, NULL, 'MF_00072', NULL, NULL, 'Peptide chain release factor 3 [prfC].', NULL, 'Rel_fac_3', NULL, NULL, 743, 10),
(45961, NULL, 'MF_00406', NULL, NULL, '3-hydroxyacyl-[acyl-carrier-protein] dehydratase FabZ [fabZ].', NULL, 'FabZ', NULL, NULL, 2116, 10),
(45962, NULL, 'MF_00198', NULL, NULL, 'Polyamine aminopropyltransferase [speE].', NULL, 'Spermidine_synth', NULL, NULL, 2095, 10),
(45963, NULL, 'MF_03058', NULL, NULL, 'Vacuolar ATPase assembly integral membrane protein <gene_name> [VMA21].', NULL, 'VMA21', NULL, NULL, 16257, 10),
(45964, NULL, 'MF_01058', NULL, NULL, 'Der GTPase-activating protein YihI [yihI].', NULL, 'GAP_YihI', NULL, NULL, 5255, 10),
(45965, NULL, 'MF_00418', NULL, NULL, '4-hydroxy-tetrahydrodipicolinate synthase [dapA].', NULL, 'DapA', NULL, NULL, 4363, 10),
(45966, NULL, 'MF_00436', NULL, NULL, 'RNA-binding protein Hfq [hfq].', NULL, 'Hfq', NULL, NULL, 532, 10),
(45967, NULL, 'MF_00659', NULL, NULL, 'UPF0250 protein YbeD [ybeD].', NULL, 'UPF0250', NULL, NULL, 4889, 10),
(45968, NULL, 'MF_00288', NULL, NULL, 'Methionine synthase [metE].', NULL, 'MetE', NULL, NULL, 14553, 10),
(45969, NULL, 'MF_01091', NULL, NULL, '5,10-methylenetetrahydromethanopterin reductase [mer].', NULL, 'F420_mer', NULL, NULL, 18097, 10),
(45970, NULL, 'MF_01397', NULL, NULL, 'NADH-quinone oxidoreductase subunit C/D [nuoC].', NULL, 'NDH1_NuoCD_2', NULL, NULL, 23328, 10),
(45971, NULL, 'MF_01290', NULL, NULL, '2-keto-3-deoxy-L-rhamnonate aldolase [rhmA].', NULL, 'KDR_aldolase', NULL, NULL, 16627, 10),
(45972, NULL, 'MF_01292', NULL, NULL, '4-hydroxy-2-oxo-heptane-1,7-dioate aldolase [hpcH].', NULL, 'HKHD_aldolase', NULL, NULL, 14884, 10),
(45973, NULL, 'MF_00203', NULL, NULL, 'UvrABC system protein C [uvrC].', NULL, 'UvrC', NULL, NULL, 5055, 10),
(45974, NULL, 'MF_01622', NULL, NULL, 'tRNA 2-selenouridine synthase [selU].', NULL, 'tRNA_sel_U_synth', NULL, NULL, 16063, 10),
(45975, NULL, 'MF_01571', NULL, NULL, 'Proline--tRNA ligase [proS].', NULL, 'Pro_tRNA_synth_type3', NULL, NULL, 1573, 10),
(45976, NULL, 'MF_01478', NULL, NULL, '50S ribosomal protein L12 [rpl12].', NULL, 'Ribosomal_L12_arch', NULL, NULL, 27796, 10),
(45977, NULL, 'MF_00216', NULL, NULL, 'Translation initiation factor 1A [eif1a].', NULL, 'aIF_1A', NULL, NULL, 725, 10),
(45978, NULL, 'MF_00986', NULL, NULL, 'L-fuculokinase [fucK].', NULL, 'Fuculokinase', NULL, NULL, 9369, 10),
(45979, NULL, 'MF_00727', NULL, NULL, 'Protein-glutamine gamma-glutamyltransferase [tgl].', NULL, 'Tgl', NULL, NULL, 20953, 10),
(45980, NULL, 'MF_01324', NULL, NULL, 'DNA-directed RNA polymerase subunit beta'' [rpoC2].', NULL, 'RNApol_bact_RpoC2', NULL, NULL, 9821, 10),
(45981, NULL, 'MF_01046', NULL, NULL, 'Protein/nucleic acid deglycase HchA [hchA].', NULL, 'Deglycase_HchA', NULL, NULL, 16231, 10),
(45982, NULL, 'MF_01034', NULL, NULL, 'Putative D-alanyl-D-alanine carboxypeptidase [yfeW].', NULL, 'S12_YfeW', NULL, NULL, 17486, 10),
(45983, NULL, 'MF_01354', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit O [ndhO].', NULL, 'NDH1_NDH1O', NULL, NULL, 14592, 10),
(45984, NULL, 'MF_03003', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit D [EIF3D].', NULL, 'eIF3d', NULL, NULL, 2267, 10),
(45985, NULL, 'MF_01420', NULL, NULL, 'Probable cell division protein WhiA [whiA].', NULL, 'HTH_type_WhiA', NULL, NULL, 3055, 10),
(45986, NULL, 'MF_03038', NULL, NULL, 'Cytosolic Fe-S cluster assembly factor NUBP1 [NUBP1].', NULL, 'NUBP1', NULL, NULL, 27651, 10),
(45987, NULL, 'MF_00957', NULL, NULL, 'Poly(A) polymerase I [pcnB].', NULL, 'PolyA_pol', NULL, NULL, 4355, 10),
(45988, NULL, 'MF_01805', NULL, NULL, 'Segregation and condensation protein A [scpA].', NULL, 'ScpA', NULL, NULL, 6362, 10),
(45989, NULL, 'MF_00246', NULL, NULL, 'Galactokinase [galK].', NULL, 'Galactokinase', NULL, NULL, 14570, 10),
(45990, NULL, 'MF_01112', NULL, NULL, 'UPF0201 protein <locus_tag>.', NULL, 'UPF0201', NULL, NULL, 3927, 10);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(45991, NULL, 'MF_00439', NULL, NULL, 'Photosystem I assembly protein Ycf3 [ycf3].', NULL, 'Ycf3', NULL, NULL, 16427, 10),
(45992, NULL, 'MF_01023', NULL, NULL, 'Histidinol-phosphate aminotransferase [hisC].', NULL, 'HisC_aminotrans_2', NULL, NULL, 6617, 10),
(45993, NULL, 'MF_00968', NULL, NULL, 'ATP-dependent RNA helicase RhlE [rhlE].', NULL, 'DEAD_helicase_RhlE', NULL, NULL, 27328, 10),
(45994, NULL, 'MF_00544', NULL, NULL, 'Tryptophanase [tnaA].', NULL, 'Tryptophanase', NULL, NULL, 9066, 10),
(45995, NULL, 'MF_04025', NULL, NULL, 'Capsid vertex component 2 [CVC2].', NULL, 'HSV_CVC2', NULL, NULL, 514, 10),
(45996, NULL, 'MF_01497', NULL, NULL, 'Stress response kinase A [srkA].', NULL, 'SrkA_kinase', NULL, NULL, 26720, 10),
(45997, NULL, 'MF_03178', NULL, NULL, 'NADPH-dependent diflavin oxidoreductase 1 [TAH18].', NULL, 'NDOR1', NULL, NULL, 23209, 10),
(45998, NULL, 'MF_02114', NULL, NULL, 'Phosphoenolpyruvate guanylyltransferase [fbiD].', NULL, 'CofC', NULL, NULL, 5332, 10),
(45999, NULL, 'MF_00075', NULL, NULL, 'Translation initiation factor IF-1 [infA].', NULL, 'IF_1', NULL, NULL, 5555, 10),
(46000, NULL, 'MF_01538', NULL, NULL, 'UPF0346 protein <locus_tag>.', NULL, 'UPF0346', NULL, NULL, 9242, 10),
(46001, NULL, 'MF_00392', NULL, NULL, 'Lipid-A-disaccharide synthase [lpxB].', NULL, 'LpxB', NULL, NULL, 3049, 10),
(46002, NULL, 'MF_00569', NULL, NULL, 'Quinolinate synthase A [nadA].', NULL, 'NadA_type3', NULL, NULL, 16636, 10),
(46003, NULL, 'MF_01282', NULL, NULL, 'Virginiamycin B lyase [vgb].', NULL, 'VirginiamycinB_lyase', NULL, NULL, 10673, 10),
(46004, NULL, 'MF_01218_B', NULL, NULL, 'Uracil phosphoribosyltransferase [upp].', NULL, 'Upp_B', NULL, NULL, 43, 10),
(46005, NULL, 'MF_00915', NULL, NULL, 'Cell division protein FtsP [ftsP].', NULL, 'FtsP', NULL, NULL, 28999, 10),
(46006, NULL, 'MF_00249', NULL, NULL, 'ATP-dependent protease ATPase subunit HslU [hslU].', NULL, 'HslU', NULL, NULL, 1624, 10),
(46007, NULL, 'MF_01007', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase H [rsmH].', NULL, '16SrRNA_methyltr_H', NULL, NULL, 6246, 10),
(46008, NULL, 'MF_02133', NULL, NULL, 'Prokaryotic ubiquitin-like protein UBact [ubact].', NULL, 'UBact', NULL, NULL, 29052, 10),
(46009, NULL, 'MF_03211', NULL, NULL, 'RNA cytidine acetyltransferase [NAT10].', NULL, 'RNA_acetyltr_Nat10', NULL, NULL, 30448, 10),
(46010, NULL, 'MF_03103', NULL, NULL, 'Maintenance of mitochondrial morphology protein 1 [MMM1].', NULL, 'Mmm1', NULL, NULL, 24842, 10),
(46011, NULL, 'MF_01307_B', NULL, NULL, '30S ribosomal protein S5 [rpsE].', NULL, 'Ribosomal_S5_B', NULL, NULL, 3887, 10),
(46012, NULL, 'MF_00183', NULL, NULL, '1-deoxy-D-xylulose 5-phosphate reductoisomerase [dxr].', NULL, 'DXP_reductoisom', NULL, NULL, 3180, 10),
(46013, NULL, 'MF_04084', NULL, NULL, 'Pre-glycoprotein polyprotein GP complex [GPC].', NULL, 'ARENA_GPC', NULL, NULL, 3323, 10),
(46014, NULL, 'MF_01917', NULL, NULL, 'Cardiolipin synthase B [clsB].', NULL, 'Cardiolipin_synth_ClsB', NULL, NULL, 24685, 10),
(46015, NULL, 'MF_01531', NULL, NULL, 'Vitamin B12 transporter BtuB [btuB].', NULL, 'BtuB', NULL, NULL, 2471, 10),
(46016, NULL, 'MF_00697', NULL, NULL, 'UPF0276 protein <locus_tag>.', NULL, 'UPF0276', NULL, NULL, 2026, 10),
(46017, NULL, 'MF_00013', NULL, NULL, 'Octanoyltransferase [lipB].', NULL, 'LipB', NULL, NULL, 5998, 10),
(46018, NULL, 'MF_01898', NULL, NULL, 'DNA gyrase subunit B [gyrB].', NULL, 'GyrB', NULL, NULL, 8290, 10),
(46019, NULL, 'MF_00739', NULL, NULL, 'Urease subunit gamma [ureA].', NULL, 'Urease_gamma', NULL, NULL, 11458, 10),
(46020, NULL, 'MF_04125', NULL, NULL, 'Outer capsid protein VP4.', NULL, 'Rota_VP4', NULL, NULL, 38321, 10),
(46021, NULL, 'MF_01668', NULL, NULL, '5-dehydro-2-deoxygluconokinase [iolC].', NULL, 'IolC', NULL, NULL, 17153, 10),
(46022, NULL, 'MF_01245', NULL, NULL, 'UPF0248 protein <locus_tag>.', NULL, 'UPF0248', NULL, NULL, 3659, 10),
(46023, NULL, 'MF_01341', NULL, NULL, '50S ribosomal protein L15 [rplO].', NULL, 'Ribosomal_L15', NULL, NULL, 2981, 10),
(46024, NULL, 'MF_01418', NULL, NULL, 'Agmatinase [speB].', NULL, 'SpeB', NULL, NULL, 9263, 10);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46025, NULL, 'MF_01038', NULL, NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase [gpmI].', NULL, 'GpmI', NULL, NULL, 1013, 10),
(46026, NULL, 'MF_01580', NULL, NULL, 'Cell division activator CedA [cedA].', NULL, 'CedA', NULL, NULL, 21314, 10),
(46027, NULL, 'MF_01210_A', NULL, NULL, 'Carbamoyl-phosphate synthase large chain [carB].', NULL, 'CPSase_L_chain_A', NULL, NULL, 3620, 10),
(46028, NULL, 'MF_00832', NULL, NULL, 'Putative aminoacrylate hydrolase RutD [rutD].', NULL, 'RutD', NULL, NULL, 15106, 10),
(46029, NULL, 'MF_00020', NULL, NULL, 'Acetate kinase [ackA].', NULL, 'Acetate_kinase', NULL, NULL, 5723, 10),
(46030, NULL, 'MF_04080', NULL, NULL, 'Protein Vpr [vpr].', NULL, 'HIV_VPR', NULL, NULL, 2506, 10),
(46031, NULL, 'MF_00444', NULL, NULL, 'ATP-dependent Clp protease proteolytic subunit [clpP].', NULL, 'ClpP', NULL, NULL, 2183, 10),
(46032, NULL, 'MF_00751', NULL, NULL, 'Preprotein translocase subunit SecG [secG].', NULL, 'SecG', NULL, NULL, 17214, 10),
(46033, NULL, 'MF_04065', NULL, NULL, 'RNA-directed RNA polymerase catalytic subunit [PB1].', NULL, 'INFV_RDRP', NULL, NULL, 3477, 10),
(46034, NULL, 'MF_00752', NULL, NULL, 'Photosystem II reaction center protein H [psbH].', NULL, 'PSII_PsbH', NULL, NULL, 5262, 10),
(46035, NULL, 'MF_01151', NULL, NULL, 'Protein GrpE [grpE].', NULL, 'GrpE', NULL, NULL, 3531, 10),
(46036, NULL, 'MF_00842', NULL, NULL, 'Outer membrane protein A [ompA].', NULL, 'OmpA', NULL, NULL, 6473, 10),
(46037, NULL, 'MF_04135', NULL, NULL, 'Portal protein B [B].', NULL, 'PORTAL_LAMBDA', NULL, NULL, 6563, 10),
(46038, NULL, 'MF_00776', NULL, NULL, 'Glyoxylate reductase [gyaR].', NULL, 'GyaR', NULL, NULL, 17204, 10),
(46039, NULL, 'MF_00071', NULL, NULL, 'Elongation factor 4 [lepA].', NULL, 'LepA', NULL, NULL, 4807, 10),
(46040, NULL, 'MF_01135', NULL, NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit delta [cdhD].', NULL, 'CdhD', NULL, NULL, 1962, 10),
(46041, NULL, 'MF_01141', NULL, NULL, 'Antiholin-like protein LrgA [lrgA].', NULL, 'LrgA', NULL, NULL, 7869, 10),
(46042, NULL, 'MF_00209', NULL, NULL, 'Inorganic pyrophosphatase [ppa].', NULL, 'Inorganic_PPase', NULL, NULL, 7493, 10),
(46043, NULL, 'MF_01133', NULL, NULL, 'Ribulose bisphosphate carboxylase [rbcL].', NULL, 'RuBisCO_L_type3', NULL, NULL, 18039, 10),
(46044, NULL, 'MF_01051', NULL, NULL, 'Carnitinyl-CoA dehydratase [caiD].', NULL, 'CaiD', NULL, NULL, 17166, 10),
(46045, NULL, 'MF_01391', NULL, NULL, 'Cytochrome c biogenesis protein CcsA [ccsA].', NULL, 'CytC_CcsA', NULL, NULL, 15701, 10),
(46046, NULL, 'MF_00345', NULL, NULL, 'GMP synthase [glutamine-hydrolyzing] subunit B [guaAB].', NULL, 'GMP_synthase_B', NULL, NULL, 27019, 10),
(46047, NULL, 'MF_00186', NULL, NULL, 'Glycerol kinase [glpK].', NULL, 'Glycerol_kin', NULL, NULL, 1172, 10),
(46048, NULL, 'MF_04150', NULL, NULL, 'RNA ligase 2.', NULL, 'RNALIG2_T4', NULL, NULL, 37473, 10),
(46049, NULL, 'MF_00201', NULL, NULL, 'DNA repair protein RecO [recO].', NULL, 'RecO', NULL, NULL, 2299, 10),
(46050, NULL, 'MF_01512', NULL, NULL, 'Metallothiol transferase FosB [fosB].', NULL, 'FosB', NULL, NULL, 17376, 10),
(46051, NULL, 'MF_00848', NULL, NULL, 'ATP-binding protein Uup [uup].', NULL, 'Uup', NULL, NULL, 37827, 10),
(46052, NULL, 'MF_00651', NULL, NULL, 'Putative pre-16S rRNA nuclease [yqgF].', NULL, 'Nuclease_YqgF', NULL, NULL, 11048, 10),
(46053, NULL, 'MF_01306_B', NULL, NULL, '30S ribosomal protein S4 [rpsD].', NULL, 'Ribosomal_S4_B', NULL, NULL, 3936, 10),
(46054, NULL, 'MF_04111', NULL, NULL, 'Endolysin.', NULL, 'ENDOLYSIN_T7', NULL, NULL, 19447, 10),
(46055, NULL, 'MF_00499', NULL, NULL, '50S ribosomal protein L13e [rpl13e].', NULL, 'Ribosomal_L13e', NULL, NULL, 6603, 10),
(46056, NULL, 'MF_00610', NULL, NULL, 'Cytochrome f [petA].', NULL, 'Cytb6_f_cytF', NULL, NULL, 6521, 10),
(46057, NULL, 'MF_00763', NULL, NULL, 'UPF0305 protein <locus_tag>.', NULL, 'UPF0305', NULL, NULL, 19293, 10),
(46058, NULL, 'MF_00313', NULL, NULL, 'Glutaminase [glsA].', NULL, 'Glutaminase', NULL, NULL, 13643, 10),
(46059, NULL, 'MF_01156', NULL, NULL, 'Iron-sulfur cluster repair protein ScdA [scdA].', NULL, 'RIC_ScdA', NULL, NULL, 17319, 10); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46060, NULL, 'MF_01949', NULL, NULL, 'O-acetyltransferase WecH [wecH].', NULL, 'Acetyltr_WecH', NULL, NULL, 25747, 10),
(46061, NULL, 'MF_01578', NULL, NULL, 'Quinate/shikimate dehydrogenase [ydiB].', NULL, 'Shikimate_DH_YdiB', NULL, NULL, 17170, 10),
(46062, NULL, 'MF_01874', NULL, NULL, 'UPF0756 membrane protein YeaL [yeaL].', NULL, 'UPF0756', NULL, NULL, 5903, 10),
(46063, NULL, 'MF_02213', NULL, NULL, 'Lipid II isoglutaminyl synthase (glutamine-hydrolyzing) subunit GatD [gatD].', NULL, 'Lipid_II_synth_GatD', NULL, NULL, 37755, 10),
(46064, NULL, 'MF_00153', NULL, NULL, 'Probable deoxyhypusine synthase [dys].', NULL, 'DHS', NULL, NULL, 15434, 10),
(46065, NULL, 'MF_00227', NULL, NULL, 'Ribonuclease P protein component [rnpA].', NULL, 'RNase_P', NULL, NULL, 3920, 10),
(46066, NULL, 'MF_01504', NULL, NULL, 'Small, acid-soluble spore protein K [sspK].', NULL, 'SspK', NULL, NULL, 9588, 10),
(46067, NULL, 'MF_04071', NULL, NULL, 'Neuraminidase [NA].', NULL, 'INFV_NRAM', NULL, NULL, 4376, 10),
(46068, NULL, 'MF_01291', NULL, NULL, '5-keto-4-deoxy-D-glucarate aldolase [garL].', NULL, 'KDGluc_aldolase', NULL, NULL, 16823, 10),
(46069, NULL, 'MF_01428', NULL, NULL, 'Glutamyl-Q tRNA(Asp) synthetase [gluQ].', NULL, 'Glu_Q_tRNA_synth', NULL, NULL, 16322, 10),
(46070, NULL, 'MF_00469', NULL, NULL, 'tRNA uridine(34) hydroxylase [trhO].', NULL, 'TrhO', NULL, NULL, 14524, 10),
(46071, NULL, 'MF_00497_A', NULL, NULL, 'Glycerol-1-phosphate dehydrogenase [NAD(P)+] [egsA].', NULL, 'G1P_dehydrogenase_A', NULL, NULL, 15215, 10),
(46072, NULL, 'MF_00633', NULL, NULL, 'Cytochrome b6 [petB].', NULL, 'Cytb6_f_cytb6', NULL, NULL, 16986, 10),
(46073, NULL, 'MF_01302_A', NULL, NULL, '30S ribosomal protein S8 [rpsH].', NULL, 'Ribosomal_S8_A', NULL, NULL, 5828, 10),
(46074, NULL, 'MF_04052', NULL, NULL, 'Penton protein [L2].', NULL, 'ADV_CAPSP', NULL, NULL, 1676, 10),
(46075, NULL, 'MF_00275', NULL, NULL, 'Potassium-transporting ATPase potassium-binding subunit [kdpA].', NULL, 'KdpA', NULL, NULL, 2037, 10),
(46076, NULL, 'MF_00627', NULL, NULL, 'L-threonine 3-dehydrogenase [tdh].', NULL, 'Thr_dehydrog', NULL, NULL, 2496, 10),
(46077, NULL, 'MF_04059', NULL, NULL, 'Protease [L3].', NULL, 'ADV_PRO', NULL, NULL, 498, 10),
(46078, NULL, 'MF_00654', NULL, NULL, 'Pyrroloquinoline-quinone synthase [pqqC].', NULL, 'PQQ_syn_PqqC', NULL, NULL, 14049, 10),
(46079, NULL, 'MF_00575', NULL, NULL, 'UDP-2,3-diacylglucosamine hydrolase [lpxH].', NULL, 'LpxH', NULL, NULL, 10711, 10),
(46080, NULL, 'MF_00598', NULL, NULL, 'Protein Smg [smg].', NULL, 'Smg', NULL, NULL, 4875, 10),
(46081, NULL, 'MF_00933', NULL, NULL, 'Arylsulfate sulfotransferase AssT [assT].', NULL, 'Arylsulfotrans_AssT', NULL, NULL, 25017, 10),
(46082, NULL, 'MF_01064', NULL, NULL, 'UPF0253 protein YaeP [yaeP].', NULL, 'UPF0253', NULL, NULL, 1772, 10),
(46083, NULL, 'MF_00135', NULL, NULL, 'N-(5''-phosphoribosyl)anthranilate isomerase [trpF].', NULL, 'PRAI', NULL, NULL, 2436, 10),
(46084, NULL, 'MF_00796', NULL, NULL, 'Nucleoside-triphosphatase <locus_tag>.', NULL, 'NTPase_1', NULL, NULL, 2827, 10),
(46085, NULL, 'MF_01695', NULL, NULL, 'D-inositol-3-phosphate glycosyltransferase [mshA].', NULL, 'MshA', NULL, NULL, 19610, 10),
(46086, NULL, 'MF_02073', NULL, NULL, 'Putrescine transporter PotE [potE].', NULL, 'Putrescine_transp', NULL, NULL, 23516, 10),
(46087, NULL, 'MF_01277', NULL, NULL, 'HTH-type transcriptional repressor PurR [purR].', NULL, 'HTH_type_PurR', NULL, NULL, 21296, 10),
(46088, NULL, 'MF_01932', NULL, NULL, 'AMP nucleosidase [amn].', NULL, 'AMP_nucleosidase', NULL, NULL, 9563, 10),
(46089, NULL, 'MF_00548', NULL, NULL, 'Zinc transporter ZupT [zupT].', NULL, 'ZupT', NULL, NULL, 16848, 10),
(46090, NULL, 'MF_01390', NULL, NULL, 'Maturase K [matK].', NULL, 'MatK', NULL, NULL, 5958, 10),
(46091, NULL, 'MF_01831', NULL, NULL, 'Cysteine desulfurase [sufS].', NULL, 'SufS_aminotrans_5', NULL, NULL, 2454, 10),
(46092, NULL, 'MF_01804', NULL, NULL, 'Segregation and condensation protein B [scpB].', NULL, 'ScpB', NULL, NULL, 11460, 10),
(46093, NULL, 'MF_04032', NULL, NULL, 'Envelope glycoprotein B [gB].', NULL, 'HSV_GB', NULL, NULL, 750, 10);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46094, NULL, 'MF_01401', NULL, NULL, 'Peptide methionine sulfoxide reductase MsrA [msrA].', NULL, 'MsrA', NULL, NULL, 1753, 10),
(46095, NULL, 'MF_01937', NULL, NULL, '1,4-dihydroxy-2-naphthoate octaprenyltransferase [menA].', NULL, 'MenA_1', NULL, NULL, 2984, 10),
(46096, NULL, 'MF_00210', NULL, NULL, '3-phosphoshikimate 1-carboxyvinyltransferase [aroA].', NULL, 'EPSP_synth', NULL, NULL, 3501, 10),
(46097, NULL, 'MF_00133', NULL, NULL, 'Tryptophan synthase beta chain [trpB].', NULL, 'Trp_synth_beta', NULL, NULL, 15092, 10),
(46098, NULL, 'MF_00420', NULL, NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurL [purL].', NULL, 'PurL_2', NULL, NULL, 2431, 10),
(46099, NULL, 'MF_01302_B', NULL, NULL, '30S ribosomal protein S8 [rpsH].', NULL, 'Ribosomal_S8_B', NULL, NULL, 5828, 10),
(46100, NULL, 'MF_00273', NULL, NULL, '50S ribosomal protein L18Ae [rpl18a].', NULL, 'Ribosomal_L18Ae', NULL, NULL, 22440, 10),
(46101, NULL, 'MF_00076', NULL, NULL, 'Imidazoleglycerol-phosphate dehydratase [hisB].', NULL, 'HisB', NULL, NULL, 5127, 10),
(46102, NULL, 'MF_00397', NULL, NULL, '2-(5''''-triphosphoribosyl)-3''-dephosphocoenzyme-A synthase [citG].', NULL, 'CitG', NULL, NULL, 15374, 10),
(46103, NULL, 'MF_01612', NULL, NULL, '5-amino-6-(D-ribitylamino)uracil--L-tyrosine 4-hydroxyphenyl transferase [cofH].', NULL, 'FO_synth_sub2', NULL, NULL, 18483, 10),
(46104, NULL, 'MF_01485', NULL, NULL, 'RecBCD enzyme subunit RecB [recB].', NULL, 'RecB', NULL, NULL, 619, 10),
(46105, NULL, 'MF_04076', NULL, NULL, 'External core antigen [C].', NULL, 'HBV_HBEAG', NULL, NULL, 1159, 10),
(46106, NULL, 'MF_01967', NULL, NULL, 'NAD-dependent protein deacetylase [cobB].', NULL, 'Sirtuin_ClassII', NULL, NULL, 24400, 10),
(46107, NULL, 'MF_01177', NULL, NULL, 'HTH-type transcriptional repressor NsrR [nsrR].', NULL, 'HTH_type_NsrR', NULL, NULL, 16720, 10),
(46108, NULL, 'MF_03034', NULL, NULL, 'RISC-loading complex subunit @gn(TARBP2) [TARBP2].', NULL, 'TRBP2', NULL, NULL, 27085, 10),
(46109, NULL, 'MF_01802', NULL, NULL, 'Chromosome partition protein MukE [mukE].', NULL, 'MukE', NULL, NULL, 6048, 10),
(46110, NULL, 'MF_00985', NULL, NULL, '2-amino-3-ketobutyrate coenzyme A ligase [kbl].', NULL, '2am3keto_CoA_ligase', NULL, NULL, 10018, 10),
(46111, NULL, 'MF_02222', NULL, NULL, 'Homocitrate synthase.', NULL, 'Homocitr_synth_fung_arch', NULL, NULL, 14243, 10),
(46112, NULL, 'MF_01110', NULL, NULL, 'N-acetyl-gamma-glutamyl-phosphate reductase [argC].', NULL, 'ArgC_type2', NULL, NULL, 10574, 10),
(46113, NULL, 'MF_00568', NULL, NULL, 'Quinolinate synthase A [nadA].', NULL, 'NadA_type2', NULL, NULL, 15406, 10),
(46114, NULL, 'MF_01944', NULL, NULL, 'Lipid A biosynthesis myristoyltransferase [lpxM].', NULL, 'Lipid_A_LpxM', NULL, NULL, 11426, 10),
(46115, NULL, 'MF_00912', NULL, NULL, 'Cell division protein DivIB [divIB].', NULL, 'DivIB', NULL, NULL, 27064, 10),
(46116, NULL, 'MF_03184', NULL, NULL, 'ATP-dependent 6-phosphofructokinase.', NULL, 'Phosphofructokinase_I_E', NULL, NULL, 9690, 10),
(46117, NULL, 'MF_01446', NULL, NULL, 'tRNA N6-adenosine threonylcarbamoyltransferase [kae1].', NULL, 'Kae1', NULL, NULL, 31515, 10),
(46118, NULL, 'MF_01125', NULL, NULL, 'Reverse gyrase [rgy].', NULL, 'Reverse_gyrase', NULL, NULL, 4634, 10),
(46119, NULL, 'MF_01254', NULL, NULL, 'L-fucose isomerase [fucI].', NULL, 'Fucose_iso', NULL, NULL, 4787, 10),
(46120, NULL, 'MF_01543', NULL, NULL, 'Formate--tetrahydrofolate ligase [fhs].', NULL, 'FTHFS', NULL, NULL, 5503, 10),
(46121, NULL, 'MF_03205', NULL, NULL, 'Elongation of very long chain fatty acids protein 5 [ELOVL5].', NULL, 'VLCF_elongase_5', NULL, NULL, 32068, 10),
(46122, NULL, 'MF_01373', NULL, NULL, 'Lipoprotein LpqB [lpqB].', NULL, 'LpqB_lipoprot', NULL, NULL, 8801, 10),
(46123, NULL, 'MF_00303', NULL, NULL, 'Trigger factor [tig].', NULL, 'Trigger_factor_Tig', NULL, NULL, 10833, 10),
(46124, NULL, 'MF_00277', NULL, NULL, 'Bifunctional uridylyltransferase/uridylyl-removing enzyme [glnD].', NULL, 'PII_uridylyl_transf', NULL, NULL, 5278, 10),
(46125, NULL, 'MF_00492', NULL, NULL, 'Transaldolase [tal].', NULL, 'Transaldolase_1', NULL, NULL, 3639, 10);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46126, NULL, 'MF_03163', NULL, NULL, 'AdoMet-dependent rRNA methyltransferase <gene_name> [SPB1].', NULL, 'RNA_methyltr_E_SPB1', NULL, NULL, 24513, 10),
(46127, NULL, 'MF_01256', NULL, NULL, 'Putative metal-dependent hydrolase <locus_tag>.', NULL, 'YfiT_hydrol', NULL, NULL, 10051, 10),
(46128, NULL, 'MF_00638', NULL, NULL, 'Serine-protein kinase RsbW [rsbW].', NULL, 'Anti_sigma_B', NULL, NULL, 4266, 10),
(46129, NULL, 'MF_00960', NULL, NULL, '2-amino-3,7-dideoxy-D-threo-hept-6-ulosonate synthase [aroA''].', NULL, 'ADH_synthase', NULL, NULL, 4242, 10),
(46130, NULL, 'MF_01037', NULL, NULL, 'Methylenetetrahydrofolate--tRNA-(uracil-5-)-methyltransferase TrmFO [trmFO].', NULL, 'TrmFO', NULL, NULL, 7257, 10),
(46131, NULL, 'MF_00589', NULL, NULL, 'Photosystem II 12 kDa extrinsic protein [psbU].', NULL, 'PSII_PsbU', NULL, NULL, 12108, 10),
(46132, NULL, 'MF_00641', NULL, NULL, 'Malate synthase G [glcB].', NULL, 'Malate_synth_G', NULL, NULL, 3566, 10),
(46133, NULL, 'MF_00250', NULL, NULL, 'DNA-directed RNA polymerase subunit N [rpoN].', NULL, 'RNApol_arch_N', NULL, NULL, 630, 10),
(46134, NULL, 'MF_01858', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase K/L [rlmL].', NULL, '23SrRNA_methyltr_KL', NULL, NULL, 15954, 10),
(46135, NULL, 'MF_02014', NULL, NULL, 'Cell division suppressor protein YneA [yneA].', NULL, 'YneA', NULL, NULL, 14670, 10),
(46136, NULL, 'MF_00166', NULL, NULL, 'DNA-binding protein Fis [fis].', NULL, 'DNA_binding_Fis', NULL, NULL, 7069, 10),
(46137, NULL, 'MF_00974', NULL, NULL, 'DNA primase [dnaG].', NULL, 'DNA_primase_DnaG', NULL, NULL, 22984, 10),
(46138, NULL, 'MF_00399', NULL, NULL, 'Thiol:disulfide interchange protein DsbD [dsbD].', NULL, 'DbsD', NULL, NULL, 17498, 10),
(46139, NULL, 'MF_01893', NULL, NULL, 'tRNA pseudouridine synthase Pus10 [pus10].', NULL, 'Pus10_arch', NULL, NULL, 327, 10),
(46140, NULL, 'MF_03009', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit J [EIF3J].', NULL, 'eIF3j', NULL, NULL, 18386, 10),
(46141, NULL, 'MF_00940', NULL, NULL, 'Tat proofreading chaperone DmsD [dmsD].', NULL, 'DmsD_chaperone', NULL, NULL, 27484, 10),
(46142, NULL, 'MF_02105', NULL, NULL, 'Lactate utilization protein A [lutA].', NULL, 'LutA', NULL, NULL, 17224, 10),
(46143, NULL, 'MF_00220_A', NULL, NULL, 'Dihydroorotase [pyrC].', NULL, 'PyrC_classI_A', NULL, NULL, 3747, 10),
(46144, NULL, 'MF_00167', NULL, NULL, 'Translational regulator CsrA [csrA].', NULL, 'CsrA', NULL, NULL, 2398, 10),
(46145, NULL, 'MF_01948', NULL, NULL, 'Lipopolysaccharide assembly protein A [lapA].', NULL, 'LPS_assembly_LapA', NULL, NULL, 25651, 10),
(46146, NULL, 'MF_03204', NULL, NULL, 'Elongation of very long chain fatty acids protein 4 [ELOVL4].', NULL, 'VLCF_elongase_4', NULL, NULL, 32315, 10),
(46147, NULL, 'MF_00724', NULL, NULL, 'Flagellar hook-basal body complex protein FliE [fliE].', NULL, 'FliE', NULL, NULL, 3236, 10),
(46148, NULL, 'MF_01160', NULL, NULL, 'Divalent-cation tolerance protein CutA [cutA].', NULL, 'CutA', NULL, NULL, 11791, 10),
(46149, NULL, 'MF_01815', NULL, NULL, '3-oxoacyl-[acyl-carrier-protein] synthase 3 [fabH].', NULL, 'FabH', NULL, NULL, 2742, 10),
(46150, NULL, 'MF_00038', NULL, NULL, 'Phospho-N-acetylmuramoyl-pentapeptide-transferase [mraY].', NULL, 'MraY', NULL, NULL, 6007, 10),
(46151, NULL, 'MF_02065', NULL, NULL, 'Endolytic murein transglycosylase [mltG].', NULL, 'MltG', NULL, NULL, 2029, 10),
(46152, NULL, 'MF_02205', NULL, NULL, 'ATP-dependent DNA helicase DinG [dinG].', NULL, 'DinG_proteobact', NULL, NULL, 33161, 10),
(46153, NULL, 'MF_01811', NULL, NULL, 'Membrane protein insertase YidC [yidC].', NULL, 'YidC_type2', NULL, NULL, 15081, 10),
(46154, NULL, 'MF_01930', NULL, NULL, 'Phosphoribosylglycinamide formyltransferase [purN].', NULL, 'PurN', NULL, NULL, 544, 10),
(46155, NULL, 'MF_01928', NULL, NULL, 'N5-carboxyaminoimidazole ribonucleotide synthase [purK].', NULL, 'PurK', NULL, NULL, 6689, 10),
(46156, NULL, 'MF_00924', NULL, NULL, 'Outer membrane protein assembly factor BamC [bamC].', NULL, 'OM_assembly_BamC', NULL, NULL, 11851, 10);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46157, NULL, 'MF_01387', NULL, NULL, 'Chromatin protein Cren7 [creN7].', NULL, 'Chromatin_Cren7', NULL, NULL, 14637, 10),
(46158, NULL, 'MF_01492', NULL, NULL, 'Ribonuclease J [rnj].', NULL, 'RNase_J_arch', NULL, NULL, 28506, 10),
(46159, NULL, 'MF_02006', NULL, NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, 'Tyr_tRNA_synth_type1', NULL, NULL, 12617, 10),
(46160, NULL, 'MF_00338', NULL, NULL, 'UPF0145 protein YbjQ [ybjQ].', NULL, 'UPF0145', NULL, NULL, 4258, 10),
(46161, NULL, 'MF_00943', NULL, NULL, 'Maleate isomerase [maiA].', NULL, 'Maleate_isomerase', NULL, NULL, 27461, 10),
(46162, NULL, 'MF_01935', NULL, NULL, 'Isochorismate synthase MenF [menF].', NULL, 'MenF', NULL, NULL, 7850, 10),
(46163, NULL, 'MF_02242', NULL, NULL, 'Archaetidylinositol phosphate synthase.', NULL, 'AIP_synthase', NULL, NULL, 37693, 10),
(46164, NULL, 'MF_00247', NULL, NULL, 'Soluble pyridine nucleotide transhydrogenase [sthA].', NULL, 'SthA', NULL, NULL, 14965, 10),
(46165, NULL, 'MF_00410', NULL, NULL, '50S ribosomal protein L31e [rpl31e].', NULL, 'Ribosomal_L31e', NULL, NULL, 2559, 10),
(46166, NULL, 'MF_00306', NULL, NULL, 'Signal recognition particle 54 kDa protein [srp54].', NULL, 'SRP54', NULL, NULL, 14693, 10),
(46167, NULL, 'MF_02225', NULL, NULL, 'Coenzyme A biosynthesis bifunctional protein CoaBC [coaBC].', NULL, 'CoaBC', NULL, NULL, 11105, 10),
(46168, NULL, 'MF_00653', NULL, NULL, 'Coenzyme PQQ synthesis protein B [pqqB].', NULL, 'PQQ_syn_PqqB', NULL, NULL, 14244, 10),
(46169, NULL, 'MF_01144', NULL, NULL, 'UPF0299 membrane protein YohJ [yohJ].', NULL, 'UPF0299', NULL, NULL, 14610, 10),
(46170, NULL, 'MF_01859', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase G [rlmG].', NULL, '23SrRNA_methyltr_G', NULL, NULL, 15824, 10),
(46171, NULL, 'MF_00806', NULL, NULL, 'Autonomous glycyl radical cofactor [grcA].', NULL, 'GrcA', NULL, NULL, 10151, 10),
(46172, NULL, 'MF_00049_B', NULL, NULL, 'Leucine--tRNA ligase [leuS].', NULL, 'Leu_tRNA_synth_B', NULL, NULL, 6756, 10),
(46173, NULL, 'MF_00325', NULL, NULL, 'DNA polymerase II small subunit [polB].', NULL, 'DNApol_II_A_arch', NULL, NULL, 10301, 10),
(46174, NULL, 'MF_01941', NULL, NULL, 'Mid-cell-anchored protein Z [mapZ].', NULL, 'MapZ', NULL, NULL, 24662, 10),
(46175, NULL, 'MF_00622', NULL, NULL, 'Exosome complex component Rrp42 [rrp42].', NULL, 'Exosome_Rrp42', NULL, NULL, 21190, 10),
(46176, NULL, 'MF_04017', NULL, NULL, 'Capsid vertex component 1 [CVC1].', NULL, 'HSV_CVC1', NULL, NULL, 2477, 10),
(46177, NULL, 'MF_01218_A', NULL, NULL, 'Uracil phosphoribosyltransferase [upp].', NULL, 'Upp_A', NULL, NULL, 34765, 10),
(46178, NULL, 'MF_00285', NULL, NULL, 'Potassium-transporting ATPase ATP-binding subunit [kdpB].', NULL, 'KdpB', NULL, NULL, 5996, 10),
(46179, NULL, 'MF_04205', NULL, NULL, 'Envelope small membrane protein [E].', NULL, 'ALPHA_CORONA_E', NULL, NULL, 36601, 10),
(46180, NULL, 'MF_00517', NULL, NULL, 'Probable sugar efflux transporter [sotB].', NULL, 'MFS_SotB', NULL, NULL, 16869, 10),
(46181, NULL, 'MF_00144', NULL, NULL, 'tRNA-specific 2-thiouridylase MnmA [mnmA].', NULL, 'tRNA_thiouridyl_MnmA', NULL, NULL, 1683, 10),
(46182, NULL, 'MF_00570', NULL, NULL, 'Nicotinate phosphoribosyltransferase [pncB].', NULL, 'NAPRTase', NULL, NULL, 5558, 10),
(46183, NULL, 'MF_01105', NULL, NULL, 'Amino-acid acetyltransferase [argA].', NULL, 'N_acetyl_glu_synth', NULL, NULL, 10952, 10),
(46184, NULL, 'MF_00113', NULL, NULL, 'S-adenosylmethionine:tRNA ribosyltransferase-isomerase [queA].', NULL, 'QueA', NULL, NULL, 6002, 10),
(46185, NULL, 'MF_02059', NULL, NULL, 'Choline trimethylamine-lyase activating enzyme [cutD].', NULL, 'Activ_enz_CutD', NULL, NULL, 26959, 10),
(46186, NULL, 'MF_00101', NULL, NULL, 'Holo-[acyl-carrier-protein] synthase [acpS].', NULL, 'AcpS', NULL, NULL, 1734, 10),
(46187, NULL, 'MF_01189', NULL, NULL, 'Purine ribonucleoside efflux pump NepI [nepI].', NULL, 'MFS_NepI', NULL, NULL, 7073, 10),
(46188, NULL, 'MF_01145', NULL, NULL, 'Foldase protein PrsA [prsA].', NULL, 'Foldase_PrsA', NULL, NULL, 15130, 10),
(46189, NULL, 'MF_01247', NULL, NULL, 'HTH-type transcriptional regulator MalT [malT].', NULL, 'HTH_type_MalT', NULL, NULL, 16789, 10);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46190, NULL, 'MF_00550', NULL, NULL, 'Peptidase T [pepT].', NULL, 'Aminopeptidase_M20', NULL, NULL, 10734, 10),
(46191, NULL, 'MF_01316', NULL, NULL, 'Photosystem II reaction center protein I [psbI].', NULL, 'PSII_PsbI', NULL, NULL, 1859, 10),
(46192, NULL, 'MF_00588', NULL, NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit E [gatE].', NULL, 'GatE', NULL, NULL, 7289, 10),
(46193, NULL, 'MF_00196', NULL, NULL, 'Mannitol-1-phosphate 5-dehydrogenase [mtlD].', NULL, 'Mannitol_dehydrog', NULL, NULL, 15403, 10),
(46194, NULL, 'MF_01129', NULL, NULL, 'Putative K(+)-stimulated pyrophosphate-energized sodium pump [hppA].', NULL, 'PPase_energized_pump', NULL, NULL, 2937, 10),
(46195, NULL, 'MF_00031', NULL, NULL, 'Holliday junction ATP-dependent DNA helicase RuvA [ruvA].', NULL, 'DNA_helic_RuvA', NULL, NULL, 2997, 10),
(46196, NULL, 'MF_01343_A', NULL, NULL, '30S ribosomal protein S15 [rpsO].', NULL, 'Ribosomal_S15_A', NULL, NULL, 15178, 10),
(46197, NULL, 'MF_01313', NULL, NULL, 'Nitric oxide reductase FlRd-NAD(+) reductase [norW].', NULL, 'NorW', NULL, NULL, 15360, 10),
(46198, NULL, 'MF_00218', NULL, NULL, 'Uroporphyrinogen decarboxylase [hemE].', NULL, 'URO_D', NULL, NULL, 5512, 10),
(46199, NULL, 'MF_00956', NULL, NULL, 'GDP-L-fucose synthase [fcl].', NULL, 'GDP_fucose_synth', NULL, NULL, 27394, 10),
(46200, NULL, 'MF_01203', NULL, NULL, 'Voltage-gated ClC-type chloride channel ClcB [clcB].', NULL, 'CLC_ClcB', NULL, NULL, 7762, 10),
(46201, NULL, 'MF_00292', NULL, NULL, '30S ribosomal protein S28e [rps28e].', NULL, 'Ribosomal_S28e', NULL, NULL, 4978, 10),
(46202, NULL, 'MF_01468', NULL, NULL, 'Mini-ribonuclease 3 [mrnC].', NULL, 'RNase_Mini_III', NULL, NULL, 748, 10),
(46203, NULL, 'MF_01337_B', NULL, NULL, '50S ribosomal protein L18 [rplR].', NULL, 'Ribosomal_L18_B', NULL, NULL, 5879, 10),
(46204, NULL, 'MF_00364', NULL, NULL, 'Beta-hexosaminidase [nagZ].', NULL, 'NagZ', NULL, NULL, 14638, 10),
(46205, NULL, 'MF_00666', NULL, NULL, 'Small, acid-soluble spore protein P [sspP].', NULL, 'SspP', NULL, NULL, 9809, 10),
(46206, NULL, 'MF_00772', NULL, NULL, 'Methylated-DNA--protein-cysteine methyltransferase [ogt].', NULL, 'OGT', NULL, NULL, 17240, 10),
(46207, NULL, 'MF_01853', NULL, NULL, 'Protein pelota homolog [pelA].', NULL, 'PelO', NULL, NULL, 17018, 10),
(46208, NULL, 'MF_00508', NULL, NULL, '30S ribosomal protein S10 [rpsJ].', NULL, 'Ribosomal_S10', NULL, NULL, 4233, 10),
(46209, NULL, 'MF_02024', NULL, NULL, 'Lipid III flippase [wzxE].', NULL, 'WzxE', NULL, NULL, 24664, 10),
(46210, NULL, 'MF_01186', NULL, NULL, 'LPS-assembly lipoprotein LptE [lptE].', NULL, 'LPS_assembly_LptE', NULL, NULL, 10334, 10),
(46211, NULL, 'MF_01566', NULL, NULL, 'UPF0370 protein YpfN [ypfN].', NULL, 'UPF0370', NULL, NULL, 14682, 10),
(46212, NULL, 'MF_00903', NULL, NULL, 'Probable Sec-independent protein translocase protein TatE [tatE].', NULL, 'TatE', NULL, NULL, 14538, 10),
(46213, NULL, 'MF_00168', NULL, NULL, 'Queuine tRNA-ribosyltransferase [tgt].', NULL, 'Q_tRNA_Tgt', NULL, NULL, 5698, 10),
(46214, NULL, 'MF_00008', NULL, NULL, 'Thymidylate synthase [thyA].', NULL, 'Thymidy_synth_bact', NULL, NULL, 6992, 10),
(46215, NULL, 'MF_00961', NULL, NULL, 'RNA polymerase sigma factor RpoH [rpoH].', NULL, 'Sigma70_RpoH', NULL, NULL, 10420, 10),
(46216, NULL, 'MF_01306_A', NULL, NULL, '30S ribosomal protein S4 [rpsD].', NULL, 'Ribosomal_S4_A', NULL, NULL, 14845, 10),
(46217, NULL, 'MF_04000', NULL, NULL, 'Replication protein E1 [E1].', NULL, 'PPV_E1', NULL, NULL, 21837, 10),
(46218, NULL, 'MF_01507', NULL, NULL, 'UPF0297 protein <locus_tag>.', NULL, 'UPF0297', NULL, NULL, 14789, 10),
(46219, NULL, 'MF_01500', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit G [mtrG].', NULL, 'MtrG', NULL, NULL, 6538, 10),
(46220, NULL, 'MF_01114', NULL, NULL, 'Regulatory protein RecX [recX].', NULL, 'RecX', NULL, NULL, 3329, 10),
(46221, NULL, 'MF_00447', NULL, NULL, 'Photosystem I reaction center subunit XI [psaL].', NULL, 'PSI_PsaL', NULL, NULL, 15385, 10),
(46222, NULL, 'MF_01028', NULL, NULL, 'Putative (R)-citramalate synthase CimA [cimA].', NULL, 'CimA', NULL, NULL, 17836, 10);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46223, NULL, 'MF_00927', NULL, NULL, 'Cell wall synthesis protein CwsA [cwsA].', NULL, 'CwsA', NULL, NULL, 20464, 10),
(46224, NULL, 'MF_00231', NULL, NULL, 'Translation initiation factor 2 subunit alpha [eif2a].', NULL, 'eIF_2_alpha', NULL, NULL, 16057, 10),
(46225, NULL, 'MF_00145', NULL, NULL, 'Phosphoglycerate kinase [pgk].', NULL, 'Phosphoglyc_kinase', NULL, NULL, 5480, 10),
(46226, NULL, 'MF_00022', NULL, NULL, 'Glutamate--tRNA ligase [gltX].', NULL, 'Glu_tRNA_synth_type1', NULL, NULL, 1705, 10),
(46227, NULL, 'MF_00529', NULL, NULL, 'Nitrogenase-stabilizing/protective protein NifW [nifW].', NULL, 'NifW', NULL, NULL, 372, 10),
(46228, NULL, 'MF_01083', NULL, NULL, 'Glutarate 2-hydroxylase [glaH].', NULL, 'glutarate_hydroxylase', NULL, NULL, 7961, 10),
(46229, NULL, 'MF_01121', NULL, NULL, 'NAD-dependent protein deacylase [cobB].', NULL, 'Sirtuin_ClassIII', NULL, NULL, 24839, 10),
(46230, NULL, 'MF_00414', NULL, NULL, 'Probable protein kinase UbiB [ubiB].', NULL, 'UbiB', NULL, NULL, 4014, 10),
(46231, NULL, 'MF_03224', NULL, NULL, 'Cyanide hydratase.', NULL, 'CN_hydrolase', NULL, NULL, 29404, 10),
(46232, NULL, 'MF_01174', NULL, NULL, 'N-succinylglutamate 5-semialdehyde dehydrogenase [astD].', NULL, 'Aldedh_AstD', NULL, NULL, 17115, 10),
(46233, NULL, 'MF_01285', NULL, NULL, 'Riboflavin kinase [ribK].', NULL, 'Riboflavin_kinase', NULL, NULL, 16171, 10),
(46234, NULL, 'MF_02053', NULL, NULL, 'Autoinducer-2 kinase [lsrK].', NULL, 'LsrK', NULL, NULL, 31989, 10),
(46235, NULL, 'MF_00159', NULL, NULL, '4-hydroxy-3-methylbut-2-en-1-yl diphosphate synthase (ferredoxin) [ispG].', NULL, 'IspG', NULL, NULL, 877, 10),
(46236, NULL, 'MF_02212', NULL, NULL, 'Broad specificity amino-acid racemase.', NULL, 'Bsr_racemase', NULL, NULL, 37718, 10),
(46237, NULL, 'MF_01168', NULL, NULL, 'N-glycosylase/DNA lyase.', NULL, 'AGOG', NULL, NULL, 16249, 10),
(46238, NULL, 'MF_00553', NULL, NULL, 'Proteasome-activating nucleotidase [pan].', NULL, 'PAN', NULL, NULL, 16645, 10),
(46239, NULL, 'MF_01532', NULL, NULL, 'L-rhamnose-proton symporter [rhaT].', NULL, 'RhaT', NULL, NULL, 2892, 10),
(46240, NULL, 'MF_00955', NULL, NULL, 'GDP-mannose 4,6-dehydratase [gmd].', NULL, 'GDP_Man_dehydratase', NULL, NULL, 5825, 10),
(46241, NULL, 'MF_01951', NULL, NULL, 'L-ribulose-5-phosphate 3-epimerase UlaE [ulaE].', NULL, 'UlaE', NULL, NULL, 16540, 10),
(46242, NULL, 'MF_03187', NULL, NULL, 'EEF1A lysine methyltransferase 1 [EEF1AKMT1].', NULL, 'Methyltr_EFM5', NULL, NULL, 15818, 10),
(46243, NULL, 'MF_01642', NULL, NULL, 'LL-diaminopimelate aminotransferase [dapL].', NULL, 'DapL_aminotrans_1', NULL, NULL, 18234, 10),
(46244, NULL, 'MF_01265', NULL, NULL, 'L-aspartate dehydrogenase [nadX].', NULL, 'NadX', NULL, NULL, 20350, 10),
(46245, NULL, 'MF_00513', NULL, NULL, 'HTH-type transcriptional regulator ArgP [argP].', NULL, 'HTH_type_ArgP', NULL, NULL, 16951, 10),
(46246, NULL, 'MF_00690', NULL, NULL, 'UPF0270 protein YheU [yheU].', NULL, 'UPF0270', NULL, NULL, 9387, 10),
(46247, NULL, 'MF_00515', NULL, NULL, 'N-methyl-L-tryptophan oxidase [solA].', NULL, 'MTOX', NULL, NULL, 16810, 10),
(46248, NULL, 'MF_01618', NULL, NULL, '3-ketoacyl-CoA thiolase [fadI].', NULL, 'FadI', NULL, NULL, 12792, 10),
(46249, NULL, 'MF_00594', NULL, NULL, 'Cytochrome c6 [petJ].', NULL, 'Cytc_PetJ', NULL, NULL, 16790, 10),
(46250, NULL, 'MF_00716', NULL, NULL, 'Nitrous-oxide reductase [nosZ].', NULL, 'NosZ', NULL, NULL, 16926, 10),
(46251, NULL, 'MF_04148', NULL, NULL, 'Terminase, large subunit.', NULL, 'TERL_BPP22', NULL, NULL, 37804, 10),
(46252, NULL, 'MF_01101', NULL, NULL, 'UPF0208 membrane protein YfbV [yfbV].', NULL, 'UPF0208', NULL, NULL, 5474, 10),
(46253, NULL, 'MF_01626', NULL, NULL, 'Protein ViaA [viaA].', NULL, 'ViaA', NULL, NULL, 17174, 10),
(46254, NULL, 'MF_02208', NULL, NULL, 'UDP-N-acetylmuramoyl-L-alanine--L-glutamate ligase [murD2].', NULL, 'MurD2_subfam', NULL, NULL, 37113, 10),
(46255, NULL, 'MF_00331', NULL, NULL, 'Cysteine desulfurase IscS [iscS].', NULL, 'Cys_desulf_IscS', NULL, NULL, 5253, 10),
(46256, NULL, 'MF_01166', NULL, NULL, 'Bifunctional polymyxin resistance protein ArnA [arnA].', NULL, 'ArnA', NULL, NULL, 15719, 10);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46257, NULL, 'MF_04034', NULL, NULL, 'Envelope glycoprotein L [gL].', NULL, 'HSV_GL_alphagamma', NULL, NULL, 8138, 10),
(46258, NULL, 'MF_01861', NULL, NULL, 'UPF0738 protein <locus_tag>.', NULL, 'UPF0738', NULL, NULL, 14932, 10),
(46259, NULL, 'MF_03039', NULL, NULL, 'Cytosolic Fe-S cluster assembly factor NUBP2 [NUBP2].', NULL, 'NUBP2', NULL, NULL, 27959, 10),
(46260, NULL, 'MF_00576', NULL, NULL, 'Gas vesicle structural protein [gvpA].', NULL, 'Gas_vesicle_A', NULL, NULL, 3711, 10),
(46261, NULL, 'MF_01356', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit K, chloroplastic [ndhK].', NULL, 'NDH1_NuoB', NULL, NULL, 10496, 10),
(46262, NULL, 'MF_01494', NULL, NULL, 'DEAD-box ATP-dependent RNA helicase CshB [cshB].', NULL, 'DEAD_helicase_CshB', NULL, NULL, 28936, 10),
(46263, NULL, 'MF_00302', NULL, NULL, 'ATP-dependent Clp protease adapter protein ClpS [clpS].', NULL, 'ClpS', NULL, NULL, 14897, 10),
(46264, NULL, 'MF_00374', NULL, NULL, '50S ribosomal protein L29 [rpmC].', NULL, 'Ribosomal_L29', NULL, NULL, 4038, 10),
(46265, NULL, 'MF_01050', NULL, NULL, 'L-carnitine CoA-transferase [caiB].', NULL, 'CaiB', NULL, NULL, 16223, 10),
(46266, NULL, 'MF_02215', NULL, NULL, 'Ubiquinone biosynthesis accessory factor UbiJ [ubiJ].', NULL, 'UbiJ', NULL, NULL, 33435, 10),
(46267, NULL, 'MF_01405', NULL, NULL, 'dITP/XTP pyrophosphatase.', NULL, 'Non_canon_purine_NTPase', NULL, NULL, 14843, 10),
(46268, NULL, 'MF_04038', NULL, NULL, 'Cytoplasmic envelopment protein 1.', NULL, 'HSV_CEP1', NULL, NULL, 1897, 10),
(46269, NULL, 'MF_00672', NULL, NULL, 'UPF0761 membrane protein YihY [yihY].', NULL, 'UPF0761', NULL, NULL, 17087, 10),
(46270, NULL, 'MF_01075', NULL, NULL, 'K(+)/H(+) antiporter NhaP2 [nhaP2].', NULL, 'NhaP2', NULL, NULL, 17228, 10),
(46271, NULL, 'MF_01161', NULL, NULL, 'tRNA(Ile)-lysidine synthase [tilS].', NULL, 'tRNA_Ile_lys_synt', NULL, NULL, 13062, 10),
(46272, NULL, 'MF_03054', NULL, NULL, 'Cytoplasmic tRNA 2-thiolation protein 2 [CTU2].', NULL, 'CTU2', NULL, NULL, 16631, 10),
(46273, NULL, 'MF_00552', NULL, NULL, 'Zinc transporter ZitB [zitB].', NULL, 'ZitB', NULL, NULL, 16811, 10),
(46274, NULL, 'MF_00010', NULL, NULL, 'UPF0060 membrane protein YnfA [ynfA].', NULL, 'UPF0060', NULL, NULL, 3283, 10),
(46275, NULL, 'MF_01079', NULL, NULL, 'UPF0280 protein <locus_tag>.', NULL, 'UPF0280', NULL, NULL, 29749, 10),
(46276, NULL, 'MF_01466', NULL, NULL, 'Accessory Sec system protein translocase subunit SecY2 [secY2].', NULL, 'SecY2', NULL, NULL, 11675, 10),
(46277, NULL, 'MF_04200', NULL, NULL, 'Spike glycoprotein [S].', NULL, 'ALPHA_CORONA_SPIKE', NULL, NULL, 38196, 10),
(46278, NULL, 'MF_02121', NULL, NULL, 'Aspartate-semialdehyde dehydrogenase [asd].', NULL, 'ASADH', NULL, NULL, 12971, 10),
(46279, NULL, 'MF_01134', NULL, NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit epsilon [cdhB].', NULL, 'CdhB', NULL, NULL, 2458, 10),
(46280, NULL, 'MF_00579', NULL, NULL, 'Formylmethanofuran--tetrahydromethanopterin formyltransferase [ftr].', NULL, 'FTR', NULL, NULL, 18701, 10),
(46281, NULL, 'MF_01524', NULL, NULL, 'Crotonobetaine/carnitine--CoA ligase [caiC].', NULL, 'CaiC', NULL, NULL, 16440, 10),
(46282, NULL, 'MF_04124', NULL, NULL, 'Protein VP3.', NULL, 'Rota_VP3', NULL, NULL, 11246, 10),
(46283, NULL, 'MF_02023', NULL, NULL, 'Dissimilatory sulfite reductase.', NULL, 'Sulfite_red', NULL, NULL, 25830, 10),
(46284, NULL, 'MF_03062', NULL, NULL, 'Ubiquitin carboxyl-terminal hydrolase 16 [USP16].', NULL, 'UBP16', NULL, NULL, 22611, 10),
(46285, NULL, 'MF_00947', NULL, NULL, 'Acid stress chaperone HdeB [hdeB].', NULL, 'HdeB', NULL, NULL, 22483, 10),
(46286, NULL, 'MF_02085', NULL, NULL, 'UTP--glucose-1-phosphate uridylyltransferase [cugP].', NULL, 'CugP_cyano', NULL, NULL, 35845, 10),
(46287, NULL, 'MF_01919', NULL, NULL, 'Cell division protein ZapE [zapE].', NULL, 'ZapE', NULL, NULL, 24691, 10),
(46288, NULL, 'MF_01699', NULL, NULL, 'Pyrimidine monooxygenase RutA [rutA].', NULL, 'RutA', NULL, NULL, 15412, 10),
(46289, NULL, 'MF_00269', NULL, NULL, 'Thiol peroxidase [tpx].', NULL, 'Tpx', NULL, NULL, 5106, 10);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46290, NULL, 'MF_01336', NULL, NULL, '50S ribosomal protein L25 [rplY].', NULL, 'Ribosomal_L25', NULL, NULL, 16070, 10),
(46291, NULL, 'MF_03118', NULL, NULL, 'Probable bifunctional methylthioribulose-1-phosphate dehydratase/enolase-phosphatase E1.', NULL, 'Salvage_MtnBC', NULL, NULL, 23788, 10),
(46292, NULL, 'MF_01463_B', NULL, NULL, 'Protein translocase subunit SecD [secD].', NULL, 'SecD_B', NULL, NULL, 5699, 10),
(46293, NULL, 'MF_00415', NULL, NULL, 'Flagellar L-ring protein [flgH].', NULL, 'FlgH', NULL, NULL, 5719, 10),
(46294, NULL, 'MF_01318_A', NULL, NULL, '50S ribosomal protein L1 [rplA].', NULL, 'Ribosomal_L1_A', NULL, NULL, 964, 10),
(46295, NULL, 'MF_00400', NULL, NULL, 'Multidrug resistance protein MdtK [mdtK].', NULL, 'MdtK', NULL, NULL, 17739, 10),
(46296, NULL, 'MF_00766', NULL, NULL, 'Biosynthetic peptidoglycan transglycosylase [mtgA].', NULL, 'PGT_MtgA', NULL, NULL, 13032, 10),
(46297, NULL, 'MF_00782', NULL, NULL, 'Glutathione biosynthesis bifunctional protein GshAB [gshAB].', NULL, 'Glut_biosynth', NULL, NULL, 4679, 10),
(46298, NULL, 'MF_01107', NULL, NULL, 'Acetylornithine/succinyldiaminopimelate aminotransferase [argD].', NULL, 'ArgD_aminotrans_3', NULL, NULL, 2795, 10),
(46299, NULL, 'MF_01501', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit H [mtrH].', NULL, 'MtrH', NULL, NULL, 22571, 10),
(46300, NULL, 'MF_01388', NULL, NULL, 'Photosystem II reaction center X protein [psbX].', NULL, 'PSII_PsbX_2', NULL, NULL, 16332, 10),
(46301, NULL, 'MF_02017', NULL, NULL, 'Cytoskeleton protein RodZ [rodZ].', NULL, 'RodZ', NULL, NULL, 16756, 10),
(46302, NULL, 'MF_03183', NULL, NULL, 'Endonuclease III-like protein 1 [NTHL1].', NULL, 'Endonuclease_III_Nth', NULL, NULL, 22863, 10),
(46303, NULL, 'MF_02046', NULL, NULL, 'NAD-dependent glucose-6-phosphate dehydrogenase.', NULL, 'Glc6PDH_archaea', NULL, NULL, 26699, 10),
(46304, NULL, 'MF_01031', NULL, NULL, '3-isopropylmalate dehydratase small subunit [leuD].', NULL, 'LeuD_type1', NULL, NULL, 7192, 10),
(46305, NULL, 'MF_01196', NULL, NULL, 'Cell division protein ZapB [zapB].', NULL, 'ZapB', NULL, NULL, 13883, 10),
(46306, NULL, 'MF_00387', NULL, NULL, 'Acyl-[acyl-carrier-protein]--UDP-N-acetylglucosamine O-acyltransferase [lpxA].', NULL, 'LpxA', NULL, NULL, 10735, 10),
(46307, NULL, 'MF_01195', NULL, NULL, 'N-acetylneuraminate epimerase [nanM].', NULL, 'NanM', NULL, NULL, 18220, 10),
(46308, NULL, 'MF_01092', NULL, NULL, 'Cell division protein ZapD [zapD].', NULL, 'ZapD', NULL, NULL, 12974, 10),
(46309, NULL, 'MF_00021', NULL, NULL, 'tRNA sulfurtransferase [thiI].', NULL, 'ThiI', NULL, NULL, 2098, 10),
(46310, NULL, 'MF_00506', NULL, NULL, 'UPF0180 protein <locus_tag>.', NULL, 'UPF0180', NULL, NULL, 6231, 10),
(46311, NULL, 'MF_02092', NULL, NULL, 'Quinone-dependent D-lactate dehydrogenase [dld].', NULL, 'DLDH_Dld', NULL, NULL, 11714, 10),
(46312, NULL, 'MF_00129', NULL, NULL, 'tRNA uridine 5-carboxymethylaminomethyl modification enzyme MnmG [mnmG].', NULL, 'MnmG_GidA', NULL, NULL, 7306, 10),
(46313, NULL, 'MF_00322', NULL, NULL, 'Type 2 DNA topoisomerase 6 subunit B [top6B].', NULL, 'Top6B', NULL, NULL, 4687, 10),
(46314, NULL, 'MF_03176', NULL, NULL, 'ATP-dependent DNA helicase PIF1 [PIF1].', NULL, 'PIF1', NULL, NULL, 7966, 10),
(46315, NULL, 'MF_02077', NULL, NULL, 'Lipid II flippase Amj [amj].', NULL, 'Amj_flippase', NULL, NULL, 17982, 10),
(46316, NULL, 'MF_00170', NULL, NULL, 'Ribose-5-phosphate isomerase A [rpiA].', NULL, 'Rib_5P_isom_A', NULL, NULL, 20941, 10),
(46317, NULL, 'MF_00823', NULL, NULL, 'Acetyl-coenzyme A carboxylase carboxyl transferase subunit alpha [accA].', NULL, 'AcetylCoA_CT_alpha', NULL, NULL, 2117, 10),
(46318, NULL, 'MF_02129', NULL, NULL, 'L-carnitine dehydrogenase [lcdH].', NULL, 'L_carnitine_dehydrog', NULL, NULL, 28583, 10),
(46319, NULL, 'MF_01628', NULL, NULL, 'Thymidine phosphorylase [deoA].', NULL, 'Thymid_phosp', NULL, NULL, 10121, 10),
(46320, NULL, 'MF_01645', NULL, NULL, 'Allantoinase [allB].', NULL, 'Hydantoinase', NULL, NULL, 16412, 10),
(46321, NULL, 'MF_01377', NULL, NULL, 'Probable lipid kinase YegS [yegS].', NULL, 'YegS', NULL, NULL, 16138, 10);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46322, NULL, 'MF_02236', NULL, NULL, 'N-acetyl-L-citrulline deacetylase [argE''].', NULL, 'ACDase', NULL, NULL, 37548, 10),
(46323, NULL, 'MF_01383', NULL, NULL, 'Photosystem II D2 protein [psbD].', NULL, 'PSII_PsbD_D2', NULL, NULL, 6553, 10),
(46324, NULL, 'MF_01150', NULL, NULL, 'Chaperone protein TorD [torD].', NULL, 'TorD', NULL, NULL, 15448, 10),
(46325, NULL, 'MF_01263', NULL, NULL, 'CCA-adding enzyme [cca].', NULL, 'CCA_bact_type3', NULL, NULL, 15041, 10),
(46326, NULL, 'MF_01676', NULL, NULL, 'Alkyl hydroperoxide reductase AhpD [ahpD].', NULL, 'AhpD', NULL, NULL, 2853, 10),
(46327, NULL, 'MF_00134_A', NULL, NULL, 'Indole-3-glycerol phosphate synthase [trpC].', NULL, 'IGPS_A', NULL, NULL, 9882, 10),
(46328, NULL, 'MF_00456', NULL, NULL, 'Glutamate 5-kinase [proB].', NULL, 'ProB', NULL, NULL, 3989, 10),
(46329, NULL, 'MF_00609', NULL, NULL, 'Histidine decarboxylase [hdc].', NULL, 'Pyridoxal_decarbox', NULL, NULL, 16943, 10),
(46330, NULL, 'MF_00461', NULL, NULL, 'Ion-translocating oxidoreductase complex subunit C [rsxC].', NULL, 'RsxC_RnfC', NULL, NULL, 4093, 10),
(46331, NULL, 'MF_00558', NULL, NULL, 'Succinate--CoA ligase [ADP-forming] subunit beta [sucC].', NULL, 'Succ_CoA_beta', NULL, NULL, 5812, 10),
(46332, NULL, 'MF_00059', NULL, NULL, 'DNA-directed RNA polymerase subunit alpha [rpoA].', NULL, 'RNApol_bact_RpoA', NULL, NULL, 13093, 10),
(46333, NULL, 'MF_01821', NULL, NULL, 'RNA polymerase-associated protein RapA [rapA].', NULL, 'Helicase_RapA', NULL, NULL, 8630, 10),
(46334, NULL, 'MF_04144', NULL, NULL, 'Terminase, large subunit.', NULL, 'TERL_LAMBDA', NULL, NULL, 7559, 10),
(46335, NULL, 'MF_00676', NULL, NULL, 'UPF0260 protein YcgN [ycgN].', NULL, 'UPF0260', NULL, NULL, 639, 10),
(46336, NULL, 'MF_00389', NULL, NULL, 'Protein TusC [tusC].', NULL, 'Thiourid_synth_C', NULL, NULL, 33070, 10),
(46337, NULL, 'MF_00573', NULL, NULL, '50S ribosomal protein L35Ae [rpl35ae].', NULL, 'Ribosomal_L35Ae', NULL, NULL, 3162, 10),
(46338, NULL, 'MF_01681', NULL, NULL, 'Enolase-phosphatase E1 [mtnC].', NULL, 'Salvage_MtnC', NULL, NULL, 10068, 10),
(46339, NULL, 'MF_01585', NULL, NULL, 'Lysophospholipid transporter LplT [lplT].', NULL, 'MFS_LplT', NULL, NULL, 7481, 10),
(46340, NULL, 'MF_01573', NULL, NULL, 'Pyrrolysine--tRNA ligase [pylS].', NULL, 'Pyl_tRNA_synth', NULL, NULL, 9403, 10),
(46341, NULL, 'MF_00725', NULL, NULL, 'Flagellar transcriptional regulator FlhD [flhD].', NULL, 'FlhD', NULL, NULL, 10324, 10),
(46342, NULL, 'MF_01048', NULL, NULL, 'Protein PsiE [psiE].', NULL, 'PsiE', NULL, NULL, 14669, 10),
(46343, NULL, 'MF_01325_A', NULL, NULL, '50S ribosomal protein L3 [rplC].', NULL, 'Ribosomal_L3_A', NULL, NULL, 15152, 10),
(46344, NULL, 'MF_04130', NULL, NULL, 'Outer capsid glycoprotein VP7.', NULL, 'Rota_VP7', NULL, NULL, 2094, 10),
(46345, NULL, 'MF_00235', NULL, NULL, 'Adenylate kinase [adk].', NULL, 'Adenylate_kinase_Adk', NULL, NULL, 15, 10),
(46346, NULL, 'MF_01137', NULL, NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit alpha [cdhA].', NULL, 'CdhA', NULL, NULL, 7412, 10),
(46347, NULL, 'MF_00824', NULL, NULL, 'Uncharacterized N-acetyltransferase <locus_tag>.', NULL, 'Acetyltransf_YlbP', NULL, NULL, 16129, 10),
(46348, NULL, 'MF_02007', NULL, NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, 'Tyr_tRNA_synth_type2', NULL, NULL, 13043, 10),
(46349, NULL, 'MF_01653', NULL, NULL, '2,3-dihydroxyphenylpropionate/2,3-dihydroxicinnamic acid 1,2-dioxygenase [mhpB].', NULL, 'MhpB', NULL, NULL, 17339, 10),
(46350, NULL, 'MF_04050', NULL, NULL, 'Hexon-interlacing protein [IX].', NULL, 'ADV_CAP9', NULL, NULL, 2695, 10),
(46351, NULL, 'MF_00066', NULL, NULL, 'Sulfate adenylyltransferase [sat].', NULL, 'Sulf_adenylyltr', NULL, NULL, 21213, 10),
(46352, NULL, 'MF_01200_B', NULL, NULL, 'Orotidine 5''-phosphate decarboxylase [pyrF].', NULL, 'OMPdecase_type1_B', NULL, NULL, 9214, 10),
(46353, NULL, 'MF_03141', NULL, NULL, 'Platelet-activating factor acetylhydrolase IB subunit alpha [PAFAH1B1].', NULL, 'lis1', NULL, NULL, 15830, 10),
(46354, NULL, 'MF_01005', NULL, NULL, 'Vitamin B12 import ATP-binding protein BtuD [btuD].', NULL, 'BtuD', NULL, NULL, 11790, 10);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46355, NULL, 'MF_00945_A', NULL, NULL, 'Transcription termination/antitermination protein NusA [nusA].', NULL, 'NusA_A', NULL, NULL, 4389, 10),
(46356, NULL, 'MF_03208', NULL, NULL, 'Phosphatidylserine decarboxylase proenzyme [PISD].', NULL, 'PS_decarb_PSD_B_type1_euk', NULL, NULL, 32266, 10),
(46357, NULL, 'MF_01619', NULL, NULL, 'NAD-dependent malic enzyme [maeA].', NULL, 'NAD_malic_enz', NULL, NULL, 16902, 10),
(46358, NULL, 'MF_00582', NULL, NULL, 'UPF0215 protein <locus_tag>.', NULL, 'UPF0215', NULL, NULL, 4770, 10),
(46359, NULL, 'MF_01131', NULL, NULL, 'Redox-sensing transcriptional repressor Rex [rex].', NULL, 'Rex', NULL, NULL, 14730, 10),
(46360, NULL, 'MF_01330', NULL, NULL, 'Protein Ycf2 [ycf2].', NULL, 'Ycf2', NULL, NULL, 13073, 10),
(46361, NULL, 'MF_02054', NULL, NULL, 'Tyrosine recombinase XerH [xerH].', NULL, 'Recomb_XerH', NULL, NULL, 34404, 10),
(46362, NULL, 'MF_02118', NULL, NULL, 'Octanoyltransferase LipM [lipM].', NULL, 'LipM', NULL, NULL, 21858, 10),
(46363, NULL, 'MF_01567', NULL, NULL, 'UPF0371 protein <locus_tag>.', NULL, 'UPF0371', NULL, NULL, 7954, 10),
(46364, NULL, 'MF_00565', NULL, NULL, 'D-alanyl carrier protein [dltC].', NULL, 'DltC', NULL, NULL, 2850, 10),
(46365, NULL, 'MF_01029', NULL, NULL, 'UPF0213 protein YhbQ [yhbQ].', NULL, 'UPF0213', NULL, NULL, 15032, 10),
(46366, NULL, 'MF_02030', NULL, NULL, 'Undecaprenyl-phosphate alpha-N-acetylglucosaminyl 1-phosphate transferase [wecA].', NULL, 'WecA_Gammaproteo', NULL, NULL, 9928, 10),
(46367, NULL, 'MF_01918', NULL, NULL, 'Cardiolipin synthase C [clsC].', NULL, 'Cardiolipin_synth_ClsC', NULL, NULL, 24961, 10),
(46368, NULL, 'MF_03016', NULL, NULL, '40S ribosomal protein SA [RPSA].', NULL, 'Ribosomal_S2_laminin_receptor', NULL, NULL, 27528, 10),
(46369, NULL, 'MF_03033', NULL, NULL, 'Protein argonaute-4 [EIF2C4].', NULL, 'AGO4', NULL, NULL, 27576, 10),
(46370, NULL, 'MF_01410', NULL, NULL, 'Glucose-6-phosphate isomerase [pgiA].', NULL, 'G6P_isomerase_arch', NULL, NULL, 21760, 10),
(46371, NULL, 'MF_01419', NULL, NULL, 'Phosphoglycolate phosphatase.', NULL, 'GPH_hydrolase_arch', NULL, NULL, 5624, 10),
(46372, NULL, 'MF_00258', NULL, NULL, 'Glutamate racemase [murI].', NULL, 'Glu_racemase', NULL, NULL, 5643, 10),
(46373, NULL, 'MF_03001', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit B [EIF3B].', NULL, 'eIF3b', NULL, NULL, 7798, 10),
(46374, NULL, 'MF_01684', NULL, NULL, '5''-methylthioadenosine/S-adenosylhomocysteine nucleosidase [mtnN].', NULL, 'Salvage_MtnN', NULL, NULL, 5490, 10),
(46375, NULL, 'MF_01503', NULL, NULL, 'Putative regulatory protein <locus_tag>.', NULL, 'RemA', NULL, NULL, 138, 10),
(46376, NULL, 'MF_01975', NULL, NULL, 'Methionine aminopeptidase [map].', NULL, 'MetAP_2_arc', NULL, NULL, 27908, 10),
(46377, NULL, 'MF_00286', NULL, NULL, 'Disulfide bond formation protein B [dsbB].', NULL, 'DsbB', NULL, NULL, 17617, 10),
(46378, NULL, 'MF_00542', NULL, NULL, 'Probable butyrate kinase [buk].', NULL, 'Butyrate_kinase', NULL, NULL, 11336, 10),
(46379, NULL, 'MF_01099', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit F [mtrF].', NULL, 'MtrF', NULL, NULL, 10669, 10),
(46380, NULL, 'MF_01621', NULL, NULL, 'Fatty acid oxidation complex subunit alpha [fadB].', NULL, 'FadB', NULL, NULL, 11968, 10),
(46381, NULL, 'MF_04010', NULL, NULL, 'DNA helicase/primase complex-associated protein.', NULL, 'HSV_HEPA', NULL, NULL, 791, 10),
(46382, NULL, 'MF_01096', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit C [mtrC].', NULL, 'MtrC', NULL, NULL, 6797, 10),
(46383, NULL, 'MF_00354', NULL, NULL, 'Isopentenyl-diphosphate delta-isomerase [fni].', NULL, 'Idi_2', NULL, NULL, 11214, 10),
(46384, NULL, 'MF_00493', NULL, NULL, 'Transaldolase [tal].', NULL, 'Transaldolase_2', NULL, NULL, 3718, 10),
(46385, NULL, 'MF_01003', NULL, NULL, 'Probable ECA polymerase [wzyE].', NULL, 'WzyE', NULL, NULL, 9377, 10),
(46386, NULL, 'MF_00935', NULL, NULL, 'Alanine dehydrogenase [ala].', NULL, 'AlaDH_arch', NULL, NULL, 26421, 10),
(46387, NULL, 'MF_00822', NULL, NULL, 'Urease accessory protein UreE [ureE].', NULL, 'UreE', NULL, NULL, 13536, 10);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46388, NULL, 'MF_02221', NULL, NULL, 'Carbamoyl-phosphate synthase.', NULL, 'CPSase', NULL, NULL, 37940, 10),
(46389, NULL, 'MF_00262', NULL, NULL, 'Cell division topological specificity factor [minE].', NULL, 'MinE', NULL, NULL, 1574, 10),
(46390, NULL, 'MF_01258', NULL, NULL, 'Coenzyme F420:L-glutamate ligase [cofE].', NULL, 'F420_ligase_CofE', NULL, NULL, 634, 10),
(46391, NULL, 'MF_00119', NULL, NULL, 'Translation initiation factor 2 subunit gamma [eif2g].', NULL, 'eIF_2_gamma', NULL, NULL, 16221, 10),
(46392, NULL, 'MF_01169', NULL, NULL, '2-oxoglutarate dehydrogenase E1 component [odhA].', NULL, 'SucA_OdhA', NULL, NULL, 16616, 10),
(46393, NULL, 'MF_01123', NULL, NULL, 'Acetyl-coenzyme A synthetase [acs].', NULL, 'Ac_CoA_synth', NULL, NULL, 12135, 10),
(46394, NULL, 'MF_01343_B', NULL, NULL, '30S ribosomal protein S15 [rpsO].', NULL, 'Ribosomal_S15_B', NULL, NULL, 4009, 10),
(46395, NULL, 'MF_03177', NULL, NULL, 'ATP-dependent DNA helicase RRM3 [RRM3].', NULL, 'RRM3', NULL, NULL, 23199, 10),
(46396, NULL, 'MF_00642', NULL, NULL, 'Cytochrome b559 subunit alpha [psbE].', NULL, 'PSII_PsbE', NULL, NULL, 11455, 10),
(46397, NULL, 'MF_02036', NULL, NULL, 'Gamma-glutamyl-hercynylcysteine sulfoxide hydrolase [egtC].', NULL, 'EgtC', NULL, NULL, 23621, 10),
(46398, NULL, 'MF_00952', NULL, NULL, 'DNA topoisomerase 1 [topA].', NULL, 'Topoisom_1_prok', NULL, NULL, 27431, 10),
(46399, NULL, 'MF_00585', NULL, NULL, 'UPF0216 protein <locus_tag>.', NULL, 'UPF0216', NULL, NULL, 3846, 10),
(46400, NULL, 'MF_01643', NULL, NULL, 'Formate-dependent phosphoribosylglycinamide formyltransferase [purT].', NULL, 'PurT', NULL, NULL, 6770, 10),
(46401, NULL, 'MF_01672', NULL, NULL, 'Inosose dehydratase [iolE].', NULL, 'IolE', NULL, NULL, 8613, 10),
(46402, NULL, 'MF_01526', NULL, NULL, 'UPF0342 protein <locus_tag>.', NULL, 'UPF0342', NULL, NULL, 8569, 10),
(46403, NULL, 'MF_01347', NULL, NULL, 'ATP synthase subunit beta [atpB].', NULL, 'ATP_synth_beta_bact', NULL, NULL, 4928, 10),
(46404, NULL, 'MF_00026', NULL, NULL, 'DNA-binding protein <locus_tag>.', NULL, 'dsDNA_bind', NULL, NULL, 17107, 10),
(46405, NULL, 'MF_00291_B', NULL, NULL, '30S ribosomal protein S2 [rpsB].', NULL, 'Ribosomal_S2_B', NULL, NULL, 3831, 10),
(46406, NULL, 'MF_00033', NULL, NULL, 'UDP-N-acetylglucosamine--N-acetylmuramyl-(pentapeptide) pyrophosphoryl-undecaprenol N-acetylglucosamine transferase [murG].', NULL, 'MurG', NULL, NULL, 1461, 10),
(46407, NULL, 'MF_01814', NULL, NULL, 'Transcription factor FapR [fapR].', NULL, 'Transcrip_fact_FapR', NULL, NULL, 16460, 10),
(46408, NULL, 'MF_03100', NULL, NULL, 'Structure-specific endonuclease subunit <gene_name> [SLX1].', NULL, 'Endonuc_su_Slx1', NULL, NULL, 24222, 10),
(46409, NULL, 'MF_01364_A', NULL, NULL, '30S ribosomal protein S14 type Z [rpsZ].', NULL, 'Ribosomal_S14_2_A', NULL, NULL, 12556, 10),
(46410, NULL, 'MF_01533', NULL, NULL, 'HTH-type transcriptional activator RhaR [rhaR].', NULL, 'HTH_type_RhaR', NULL, NULL, 7098, 10),
(46411, NULL, 'MF_02096', NULL, NULL, 'DNA repair protein.', NULL, 'Nre', NULL, NULL, 34980, 10),
(46412, NULL, 'MF_00906', NULL, NULL, 'Cell division protein ZapC [zapC].', NULL, 'ZapC', NULL, NULL, 13770, 10),
(46413, NULL, 'MF_00147_B', NULL, NULL, 'Triosephosphate isomerase [tpiA].', NULL, 'TIM_B', NULL, NULL, 15128, 10),
(46414, NULL, 'MF_02231', NULL, NULL, 'Ubiquinone biosynthesis accessory factor UbiT [ubiT].', NULL, 'UbiT', NULL, NULL, 16104, 10),
(46415, NULL, 'MF_00683', NULL, NULL, 'UPF0265 protein YeeX [yeeX].', NULL, 'UPF0265', NULL, NULL, 4510, 10),
(46416, NULL, 'MF_03057', NULL, NULL, 'Succinate dehydrogenase assembly factor 2, mitochondrial [SDHAF2].', NULL, 'SDHAF2', NULL, NULL, 23485, 10),
(46417, NULL, 'MF_01698', NULL, NULL, 'Mycothiol acetyltransferase [mshD].', NULL, 'MshD', NULL, NULL, 19732, 10),
(46418, NULL, 'MF_04102', NULL, NULL, 'Baseplate wedge protein gp6.', NULL, 'BP06_T4', NULL, NULL, 7513, 10),
(46419, NULL, 'MF_01554_A', NULL, NULL, 'Phosphoglucosamine mutase [glmM].', NULL, 'GlmM_A', NULL, NULL, 8456, 10),
(46420, NULL, 'MF_04138', NULL, NULL, 'Tape measure protein [H].', NULL, 'TMP_LAMBDA', NULL, NULL, 37422, 10);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46421, NULL, 'MF_01862', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase C [rsmC].', NULL, '16SrRNA_methyltr_C', NULL, NULL, 17201, 10),
(46422, NULL, 'MF_00334', NULL, NULL, 'Homogentisate 1,2-dioxygenase [hmgA].', NULL, 'Homogentis_dioxygen', NULL, NULL, 14802, 10),
(46423, NULL, 'MF_01197', NULL, NULL, 'Cell division protein SepF [sepF].', NULL, 'SepF', NULL, NULL, 15339, 10),
(46424, NULL, 'MF_00945_B', NULL, NULL, 'Transcription termination/antitermination protein NusA [nusA].', NULL, 'NusA_B', NULL, NULL, 24627, 10),
(46425, NULL, 'MF_01846', NULL, NULL, 'Nucleoside triphosphatase NudI [nudI].', NULL, 'Nudix_NudI', NULL, NULL, 16740, 10),
(46426, NULL, 'MF_00807', NULL, NULL, '1-aminocyclopropane-1-carboxylate deaminase [acdS].', NULL, 'ACC_deaminase', NULL, NULL, 20513, 10),
(46427, NULL, 'MF_01659', NULL, NULL, '2-succinyl-5-enolpyruvyl-6-hydroxy-3-cyclohexene-1-carboxylate synthase [menD].', NULL, 'MenD', NULL, NULL, 7348, 10),
(46428, NULL, 'MF_00343', NULL, NULL, 'UPF0148 protein <locus_tag>.', NULL, 'UPF0148', NULL, NULL, 14617, 10),
(46429, NULL, 'MF_01564', NULL, NULL, 'Protein TusB [tusB].', NULL, 'Thiourid_synth_B', NULL, NULL, 17105, 10),
(46430, NULL, 'MF_00391', NULL, NULL, '50S ribosomal protein L34 [rpmH].', NULL, 'Ribosomal_L34', NULL, NULL, 874, 10),
(46431, NULL, 'MF_00979', NULL, NULL, 'Sensor histidine kinase RcsC [rcsC].', NULL, 'RcsC', NULL, NULL, 24813, 10),
(46432, NULL, 'MF_01542', NULL, NULL, 'UPF0349 protein <locus_tag>.', NULL, 'UPF0349', NULL, NULL, 14820, 10),
(46433, NULL, 'MF_00778', NULL, NULL, 'Probable subtilase-type protease inhibitor [sti].', NULL, 'SSI', NULL, NULL, 3813, 10),
(46434, NULL, 'MF_00484', NULL, NULL, 'Glycogen synthase [glgA].', NULL, 'Glycogen_synth', NULL, NULL, 14124, 10),
(46435, NULL, 'MF_01594', NULL, NULL, 'Rhomboid protease GlpG [glpG].', NULL, 'Rhomboid_GlpG', NULL, NULL, 744, 10),
(46436, NULL, 'MF_01609', NULL, NULL, 'Glutamate--cysteine ligase [gshA].', NULL, 'Glu_cys_ligase_2', NULL, NULL, 13309, 10),
(46437, NULL, 'MF_02013', NULL, NULL, 'Cell division protein ZapA [zapA].', NULL, 'ZapA_type2', NULL, NULL, 14733, 10),
(46438, NULL, 'MF_03121', NULL, NULL, 'Lon protease homolog 2, peroxisomal [LONP2].', NULL, 'lonp2_euk', NULL, NULL, 23705, 10),
(46439, NULL, 'MF_00199', NULL, NULL, 'Bis(5''-nucleosyl)-tetraphosphatase, symmetrical [apaH].', NULL, 'ApaH', NULL, NULL, 2300, 10),
(46440, NULL, 'MF_01908', NULL, NULL, 'Cyclic 2,3-diphosphoglycerate synthetase [cpgS].', NULL, 'Cyc_PG_syn', NULL, NULL, 18125, 10),
(46441, NULL, 'MF_00122', NULL, NULL, 'Aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase subunit C [gatC].', NULL, 'GatC', NULL, NULL, 3269, 10),
(46442, NULL, 'MF_00808', NULL, NULL, 'Photosystem II reaction center protein T [psbT].', NULL, 'PSII_PsbT', NULL, NULL, 3173, 10),
(46443, NULL, 'MF_00530', NULL, NULL, 'ATP synthase epsilon chain [atpC].', NULL, 'ATP_synth_epsil_bac', NULL, NULL, 6102, 10),
(46444, NULL, 'MF_01934', NULL, NULL, '1,4-dihydroxy-2-naphthoyl-CoA synthase [menB].', NULL, 'MenB', NULL, NULL, 4455, 10),
(46445, NULL, 'MF_01568', NULL, NULL, 'UPF0374 protein <locus_tag>.', NULL, 'UPF0374', NULL, NULL, 17197, 10),
(46446, NULL, 'MF_03032', NULL, NULL, 'Protein argonaute-3 [EIF2C3].', NULL, 'AGO3', NULL, NULL, 27604, 10),
(46447, NULL, 'MF_01102', NULL, NULL, 'tRNA 5-methylaminomethyl-2-thiouridine biosynthesis bifunctional protein MnmC [mnmC].', NULL, 'MnmC', NULL, NULL, 15470, 10),
(46448, NULL, 'MF_00649', NULL, NULL, 'DNA gyrase inhibitor YacG [yacG].', NULL, 'DNA_gyrase_inhibitor_YacG', NULL, NULL, 1602, 10),
(46449, NULL, 'MF_00448', NULL, NULL, '50S ribosomal protein L10e [rpl10e].', NULL, 'Ribosomal_L10e', NULL, NULL, 15147, 10),
(46450, NULL, 'MF_00323', NULL, NULL, 'Coproporphyrin III ferrochelatase [cpfC].', NULL, 'Ferrochelatase', NULL, NULL, 2110, 10),
(46451, NULL, 'MF_03182', NULL, NULL, 'PAN2-PAN3 deadenylation complex catalytic subunit PAN2 [PAN2].', NULL, 'PAN2', NULL, NULL, 22646, 10),
(46452, NULL, 'MF_00668', NULL, NULL, '6-carboxyhexanoate--CoA ligase [bioW].', NULL, 'BioW', NULL, NULL, 996, 10);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46453, NULL, 'MF_01281', NULL, NULL, '5''-deoxyadenosine deaminase [dadD].', NULL, 'MTA_SAH_deamin', NULL, NULL, 17098, 10),
(46454, NULL, 'MF_03036', NULL, NULL, '2''-deoxynucleoside 5''-phosphate N-hydrolase 1 [DNPH1].', NULL, 'Nuc_phosphate_hydrolase', NULL, NULL, 27470, 10),
(46455, NULL, 'MF_00624', NULL, NULL, 'Glucose-1-phosphate adenylyltransferase [glgC].', NULL, 'GlgC', NULL, NULL, 15358, 10),
(46456, NULL, 'MF_03148', NULL, NULL, 'Inosine triphosphate pyrophosphatase [ITPA].', NULL, 'HAM1_NTPase', NULL, NULL, 23041, 10),
(46457, NULL, 'MF_01183', NULL, NULL, 'Chaperone SurA [surA].', NULL, 'Chaperone_SurA', NULL, NULL, 15471, 10),
(46458, NULL, 'MF_00379', NULL, NULL, 'tRNA modification GTPase MnmE [mnmE].', NULL, 'GTPase_MnmE', NULL, NULL, 1529, 10),
(46459, NULL, 'MF_01977', NULL, NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, 'Phosphofructokinase_II_P', NULL, NULL, 7972, 10),
(46460, NULL, 'MF_04122', NULL, NULL, 'Internal virion protein gp15.', NULL, 'GP15_T7', NULL, NULL, 35672, 10),
(46461, NULL, 'MF_00054_B', NULL, NULL, 'Elongation factor G [fusA].', NULL, 'EF_G_EF_2_B', NULL, NULL, 1795, 10),
(46462, NULL, 'MF_00190', NULL, NULL, 'Cardiolipin synthase A [clsA].', NULL, 'Cardiolipin_synth_ClsA', NULL, NULL, 22093, 10),
(46463, NULL, 'MF_03110', NULL, NULL, 'Structure-specific endonuclease subunit @gn(SLX4) [SLX4].', NULL, 'Endonuc_su_Slx4', NULL, NULL, 28194, 10),
(46464, NULL, 'MF_00141', NULL, NULL, 'Elongation factor P [efp].', NULL, 'EF_P', NULL, NULL, 10646, 10),
(46465, NULL, 'MF_00034', NULL, NULL, 'Crossover junction endodeoxyribonuclease RuvC [ruvC].', NULL, 'RuvC', NULL, NULL, 5338, 10),
(46466, NULL, 'MF_01149', NULL, NULL, 'Uncharacterized MFS-type transporter YcaD [ycaD].', NULL, 'MFS_YcaD', NULL, NULL, 17495, 10),
(46467, NULL, 'MF_00996', NULL, NULL, '1,4-dihydroxy-6-naphtoate synthase [mqnD].', NULL, 'MqnD', NULL, NULL, 23540, 10),
(46468, NULL, 'MF_00835', NULL, NULL, 'Malonyl-[acyl-carrier protein] O-methyltransferase [bioC].', NULL, 'BioC', NULL, NULL, 13490, 10),
(46469, NULL, 'MF_00061', NULL, NULL, 'Putative 4-diphosphocytidyl-2-C-methyl-D-erythritol kinase [ispE].', NULL, 'IspE', NULL, NULL, 7307, 10),
(46470, NULL, 'MF_02072', NULL, NULL, 'Inhibitor of hydrogen peroxide resistance [iprA].', NULL, 'IprA', NULL, NULL, 33145, 10),
(46471, NULL, 'MF_00640', NULL, NULL, 'Deoxyhypusine synthase-like protein.', NULL, 'DHS_like', NULL, NULL, 17276, 10),
(46472, NULL, 'MF_00786', NULL, NULL, 'Probable cobalt-precorrin-6B C(15)-methyltransferase (decarboxylating) [cbiT].', NULL, 'CbiT', NULL, NULL, 16041, 10),
(46473, NULL, 'MF_01255', NULL, NULL, 'L-ectoine synthase [ectC].', NULL, 'Ectoine_synth', NULL, NULL, 10071, 10),
(46474, NULL, 'MF_02113_B', NULL, NULL, 'Proteasome subunit beta [prcB].', NULL, 'Proteasome_B_B', NULL, NULL, 16693, 10),
(46475, NULL, 'MF_00346', NULL, NULL, 'UPF0149 protein YgfB [ygfB].', NULL, 'UPF0149', NULL, NULL, 13133, 10),
(46476, NULL, 'MF_00225', NULL, NULL, 'Dihydroorotate dehydrogenase (quinone) [pyrD].', NULL, 'DHO_dh_type2', NULL, NULL, 4506, 10),
(46477, NULL, 'MF_00998', NULL, NULL, 'Sulfoquinovose isomerase.', NULL, 'SQ_isomerase', NULL, NULL, 25816, 10),
(46478, NULL, 'MF_02116', NULL, NULL, '2-amino-5-formylamino-6-ribosylaminopyrimidin-4(3H)-one 5''-monophosphate deformylase [arfB].', NULL, 'FAPy_deform', NULL, NULL, 21517, 10),
(46479, NULL, 'MF_02243', NULL, NULL, 'Tagaturonate/fructuronate epimerase [uxaE].', NULL, 'UxaE', NULL, NULL, 22332, 10),
(46480, NULL, 'MF_00490', NULL, NULL, '2-phosphosulfolactate phosphatase [comB].', NULL, 'ComB', NULL, NULL, 11323, 10),
(46481, NULL, 'MF_01656', NULL, NULL, '4-hydroxy-2-oxovalerate aldolase [mhpE].', NULL, 'HOA', NULL, NULL, 16995, 10),
(46482, NULL, 'MF_00745', NULL, NULL, 'Protein SprT-like.', NULL, 'SprT_like', NULL, NULL, 17129, 10),
(46483, NULL, 'MF_00762', NULL, NULL, 'UPF0304 protein YfbU [yfbU].', NULL, 'UPF0304', NULL, NULL, 1663, 10),
(46484, NULL, 'MF_01840', NULL, NULL, 'Aerobic magnesium-protoporphyrin IX monomethyl ester [oxidative] cyclase [acsF].', NULL, 'AcsF', NULL, NULL, 8992, 10);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46485, NULL, 'MF_00562', NULL, NULL, 'D-aminoacyl-tRNA deacylase [dtdA].', NULL, 'Deacylase_DtdA', NULL, NULL, 19236, 10),
(46486, NULL, 'MF_00677', NULL, NULL, 'UPF0261 protein <locus_tag>.', NULL, 'UPF0261', NULL, NULL, 7964, 10),
(46487, NULL, 'MF_01210_B', NULL, NULL, 'Carbamoyl-phosphate synthase large chain [carB].', NULL, 'CPSase_L_chain_B', NULL, NULL, 3620, 10),
(46488, NULL, 'MF_04075', NULL, NULL, 'Large envelope protein [S].', NULL, 'HBV_HBSAG', NULL, NULL, 5000, 10),
(46489, NULL, 'MF_00109', NULL, NULL, 'Shikimate kinase [aroK].', NULL, 'Shikimate_kinase', NULL, NULL, 5951, 10),
(46490, NULL, 'MF_01253', NULL, NULL, 'Endonuclease 8 [nei].', NULL, 'Endonuclease_8', NULL, NULL, 16701, 10),
(46491, NULL, 'MF_00009', NULL, NULL, 'Endoribonuclease YbeY [ybeY].', NULL, 'Endoribonucl_YbeY', NULL, NULL, 2356, 10),
(46492, NULL, 'MF_04067', NULL, NULL, 'Nuclear export protein [NS].', NULL, 'INFV_NEP', NULL, NULL, 3207, 10),
(46493, NULL, 'MF_00050', NULL, NULL, 'Elongation factor Ts [tsf].', NULL, 'EF_Ts', NULL, NULL, 4046, 10),
(46494, NULL, 'MF_00106', NULL, NULL, 'Mannonate dehydratase [uxuA].', NULL, 'UxuA', NULL, NULL, 2548, 10),
(46495, NULL, 'MF_01525', NULL, NULL, 'Carnitine operon protein CaiE [caiE].', NULL, 'CaiE', NULL, NULL, 16391, 10),
(46496, NULL, 'MF_00775', NULL, NULL, 'UPF0311 protein <locus_tag>.', NULL, 'UPF0311', NULL, NULL, 14728, 10),
(46497, NULL, 'MF_00962', NULL, NULL, 'RNA polymerase sigma factor FliA [fliA].', NULL, 'Sigma70_FliA', NULL, NULL, 27098, 10),
(46498, NULL, 'MF_00768', NULL, NULL, 'HTH-type transcriptional regulator BetI [betI].', NULL, 'HTH_type_BetI', NULL, NULL, 19264, 10),
(46499, NULL, 'MF_01911', NULL, NULL, 'HTH-type transcriptional regulator Hpr [hpr].', NULL, 'HTH_type_Hpr', NULL, NULL, 16586, 10),
(46500, NULL, 'MF_00735', NULL, NULL, 'Ribosomal protein L11 methyltransferase [prmA].', NULL, 'Methyltr_PrmA', NULL, NULL, 1951, 10),
(46501, NULL, 'MF_00369', NULL, NULL, '50S ribosomal protein L21e [rpl21e].', NULL, 'Ribosomal_L21e', NULL, NULL, 17019, 10),
(46502, NULL, 'MF_01887', NULL, NULL, '23S rRNA (guanosine-2''-O-)-methyltransferase RlmB [rlmB].', NULL, '23SrRNA_methyltr_B', NULL, NULL, 24930, 10),
(46503, NULL, 'MF_00505', NULL, NULL, 'Chaperone protein HtpG [htpG].', NULL, 'HSP90', NULL, NULL, 7470, 10),
(46504, NULL, 'MF_01515', NULL, NULL, 'UPF0316 protein <locus_tag>.', NULL, 'UPF0316', NULL, NULL, 14704, 10),
(46505, NULL, 'MF_01454', NULL, NULL, 'GTPase Obg [obg].', NULL, 'GTPase_Obg', NULL, NULL, 14019, 10),
(46506, NULL, 'MF_02026', NULL, NULL, 'dTDP-4-amino-4,6-dideoxygalactose transaminase [wecE].', NULL, 'WecE_RffA', NULL, NULL, 24529, 10),
(46507, NULL, 'MF_03144', NULL, NULL, 'RNA-splicing ligase RtcB homolog [RTCB].', NULL, 'RtcB_euk', NULL, NULL, 26264, 10),
(46508, NULL, 'MF_00800', NULL, NULL, 'UPF0340 protein <locus_tag>.', NULL, 'UPF0340', NULL, NULL, 4664, 10),
(46509, NULL, 'MF_01553', NULL, NULL, 'UPF0356 protein <locus_tag>.', NULL, 'UPF0356', NULL, NULL, 14745, 10),
(46510, NULL, 'MF_01030', NULL, NULL, 'D-serine dehydratase [dsdA].', NULL, 'D_Ser_dehydrat', NULL, NULL, 13235, 10),
(46511, NULL, 'MF_01376', NULL, NULL, '2-aminoethylphosphonate--pyruvate transaminase [phnW].', NULL, 'PhnW_aminotrans_5', NULL, NULL, 11760, 10),
(46512, NULL, 'MF_00289_A', NULL, NULL, 'Proteasome subunit alpha [prcA].', NULL, 'Proteasome_A_A', NULL, NULL, 12285, 10),
(46513, NULL, 'MF_00004', NULL, NULL, 'Adenine phosphoribosyltransferase [apt].', NULL, 'Aden_phosphoribosyltr', NULL, NULL, 4971, 10),
(46514, NULL, 'MF_00351', NULL, NULL, 'Fibrillarin-like rRNA/tRNA 2''-O-methyltransferase [flpA].', NULL, 'RNA_methyltransf_FlpA', NULL, NULL, 6511, 10),
(46515, NULL, 'MF_01104', NULL, NULL, 'Protein Syd [syd].', NULL, 'Syd', NULL, NULL, 8025, 10),
(46516, NULL, 'MF_00112', NULL, NULL, 'Geranylgeranylglyceryl phosphate synthase [pcrB].', NULL, 'GGGP_HepGP_synthase', NULL, NULL, 7332, 10),
(46517, NULL, 'MF_00067', NULL, NULL, 'Phosphoheptose isomerase [gmhA].', NULL, 'GmhA', NULL, NULL, 1673, 10),
(46518, NULL, 'MF_03050', NULL, NULL, 'Molybdenum cofactor sulfurase [MOCOS].', NULL, 'MOCOS', NULL, NULL, 24861, 10);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46519, NULL, 'MF_04137', NULL, NULL, 'Spanin, inner membrane subunit.', NULL, 'I_SPANIN_LAMBDA', NULL, NULL, 1748, 10),
(46520, NULL, 'MF_00063', NULL, NULL, 'Phosphoadenosine phosphosulfate reductase [cysH].', NULL, 'CysH', NULL, NULL, 1523, 10),
(46521, NULL, 'MF_00222', NULL, NULL, 'Shikimate dehydrogenase (NADP(+)) [aroE].', NULL, 'Shikimate_DH_AroE', NULL, NULL, 14711, 10),
(46522, NULL, 'MF_00416', NULL, NULL, 'Flagellar P-ring protein [flgI].', NULL, 'FlgI', NULL, NULL, 3046, 10),
(46523, NULL, 'MF_00242', NULL, NULL, 'Arginine deiminase [arcA].', NULL, 'Arg_deiminase', NULL, NULL, 4253, 10),
(46524, NULL, 'MF_01018', NULL, NULL, 'ATP phosphoribosyltransferase [hisG].', NULL, 'HisG_Short', NULL, NULL, 17872, 10),
(46525, NULL, 'MF_00693', NULL, NULL, 'Probable transcriptional regulatory protein YebC [yebC].', NULL, 'Transcrip_reg_TACO1', NULL, NULL, 5891, 10),
(46526, NULL, 'MF_00760', NULL, NULL, 'UPF0302 protein <locus_tag>.', NULL, 'UPF0302', NULL, NULL, 11226, 10),
(46527, NULL, 'MF_01349', NULL, NULL, 'Bifunctional pantoate ligase/cytidylate kinase [panC/cmk].', NULL, 'PanCY', NULL, NULL, 20321, 10),
(46528, NULL, 'MF_00470', NULL, NULL, 'o-succinylbenzoate synthase [menC].', NULL, 'MenC_1', NULL, NULL, 4310, 10),
(46529, NULL, 'MF_01425', NULL, NULL, 'Ferrous-iron efflux pump FieF [fieF].', NULL, 'Cation_efflux_FieF', NULL, NULL, 16719, 10),
(46530, NULL, 'MF_02210', NULL, NULL, '[Ribosomal protein S18]-alanine N-acetyltransferase [rimI].', NULL, 'RimI', NULL, NULL, 37536, 10),
(46531, NULL, 'MF_00383', NULL, NULL, 'Transcription initiation factor IIB [tfb].', NULL, 'TF2B_arch', NULL, NULL, 16534, 10),
(46532, NULL, 'MF_01871', NULL, NULL, 'UPF0753 protein <locus_tag>.', NULL, 'UPF0753', NULL, NULL, 18843, 10),
(46533, NULL, 'MF_04116', NULL, NULL, 'Highly immunogenic outer capsid protein.', NULL, 'HOC_T4', NULL, NULL, 35982, 10),
(46534, NULL, 'MF_00487', NULL, NULL, 'Malate dehydrogenase [mdh].', NULL, 'Malate_dehydrog_3', NULL, NULL, 10399, 10),
(46535, NULL, 'MF_00304', NULL, NULL, 'Thiamine thiazole synthase [thi4].', NULL, 'Thi4', NULL, NULL, 17206, 10),
(46536, NULL, 'MF_04103', NULL, NULL, 'Baseplate wedge protein gp7.', NULL, 'BP07_T4', NULL, NULL, 7813, 10),
(46537, NULL, 'MF_01010', NULL, NULL, '23S rRNA (uracil(1939)-C(5))-methyltransferase RlmD [rlmD].', NULL, '23SrRNA_methyltr_RlmD', NULL, NULL, 5377, 10),
(46538, NULL, 'MF_01035', NULL, NULL, '3-isopropylmalate dehydrogenase [leuB].', NULL, 'LeuB_type2', NULL, NULL, 11829, 10),
(46539, NULL, 'MF_01124', NULL, NULL, 'Adapter protein MecA [mecA].', NULL, 'MecA', NULL, NULL, 13052, 10),
(46540, NULL, 'MF_00532_B', NULL, NULL, '30S ribosomal protein S9 [rpsI].', NULL, 'Ribosomal_S9_B', NULL, NULL, 15023, 10),
(46541, NULL, 'MF_01098', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit E [mtrE].', NULL, 'MtrE', NULL, NULL, 5926, 10),
(46542, NULL, 'MF_01216', NULL, NULL, 'FMN-dependent NADH-azoreductase [azoR].', NULL, 'Azoreductase_type1', NULL, NULL, 15223, 10),
(46543, NULL, 'MF_01365_B', NULL, NULL, '50S ribosomal protein L6 [rplF].', NULL, 'Ribosomal_L6_B', NULL, NULL, 12438, 10),
(46544, NULL, 'MF_01694', NULL, NULL, 'Biotin synthase [bioB].', NULL, 'BioB', NULL, NULL, 2929, 10),
(46545, NULL, 'MF_01835', NULL, NULL, 'Circadian clock protein KaiB [kaiB].', NULL, 'KaiB', NULL, NULL, 10291, 10),
(46546, NULL, 'MF_00281', NULL, NULL, 'Phenylalanine--tRNA ligase alpha subunit [pheS].', NULL, 'Phe_tRNA_synth_alpha1', NULL, NULL, 17289, 10),
(46547, NULL, 'MF_03153', NULL, NULL, 'U1 small nuclear ribonucleoprotein C [SNRPC].', NULL, 'U1_C', NULL, NULL, 17384, 10),
(46548, NULL, 'MF_00837', NULL, NULL, 'Lipid A palmitoyltransferase PagP [pagP].', NULL, 'PagP_transferase', NULL, NULL, 12828, 10),
(46549, NULL, 'MF_01371_B', NULL, NULL, '50S ribosomal protein L30 [rpmD].', NULL, 'Ribosomal_L30_B', NULL, NULL, 1382, 10),
(46550, NULL, 'MF_02123', NULL, NULL, 'F420-dependent glucose-6-phosphate dehydrogenase [fgd].', NULL, 'F420_G6P_DH', NULL, NULL, 18104, 10),
(46551, NULL, 'MF_00674', NULL, NULL, 'UPF0251 protein <locus_tag>.', NULL, 'UPF0251', NULL, NULL, 5548, 10);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46552, NULL, 'MF_00993', NULL, NULL, 'Aminodeoxyfutalosine synthase [mqnE].', NULL, 'MqnE', NULL, NULL, 16432, 10),
(46553, NULL, 'MF_00431', NULL, NULL, 'Photosystem I reaction center subunit VIII [psaI].', NULL, 'PSI_PsaI', NULL, NULL, 242, 10),
(46554, NULL, 'MF_02108', NULL, NULL, 'HTH-type transcriptional regulator MurR [murR].', NULL, 'HTH_type_MurR', NULL, NULL, 17125, 10),
(46555, NULL, 'MF_01884', NULL, NULL, 'Transcription termination factor Rho [rho].', NULL, 'Rho', NULL, NULL, 2999, 10),
(46556, NULL, 'MF_01671', NULL, NULL, 'Inositol 2-dehydrogenase/D-chiro-inositol 3-dehydrogenase [iolG].', NULL, 'IolG', NULL, NULL, 17451, 10),
(46557, NULL, 'MF_02216', NULL, NULL, 'Ubiquinone biosynthesis accessory factor UbiK [ubiK].', NULL, 'UbiK', NULL, NULL, 2250, 10),
(46558, NULL, 'MF_02064', NULL, NULL, 'RNA polymerase sigma factor SigI [sigI].', NULL, 'Sigma70_SigI', NULL, NULL, 11031, 10),
(46559, NULL, 'MF_00171', NULL, NULL, 'tRNA pseudouridine synthase A [truA].', NULL, 'TruA', NULL, NULL, 7193, 10),
(46560, NULL, 'MF_00411', NULL, NULL, 'DNA-directed RNA polymerase subunit A'''' [rpoA2].', NULL, 'RNApol_arch_A', NULL, NULL, 9757, 10),
(46561, NULL, 'MF_00789', NULL, NULL, 'UPF0319 protein YccT [yccT].', NULL, 'UPF0319', NULL, NULL, 16286, 10),
(46562, NULL, 'MF_01224_B', NULL, NULL, 'Cyclic pyranopterin monophosphate synthase [moaC].', NULL, 'MoaC_B', NULL, NULL, 15458, 10),
(46563, NULL, 'MF_00743', NULL, NULL, 'Fumarate hydratase class II [fumC].', NULL, 'FumaraseC', NULL, NULL, 3751, 10),
(46564, NULL, 'MF_01412', NULL, NULL, 'Glutathione-regulated potassium-efflux system protein KefB [kefB].', NULL, 'K_H_efflux_KefB', NULL, NULL, 20481, 10),
(46565, NULL, 'MF_01444', NULL, NULL, 'Putative phosphoesterase <locus_tag>.', NULL, '2H_phosphoesterase_YjcG', NULL, NULL, 14713, 10),
(46566, NULL, 'MF_03051', NULL, NULL, 'Molybdopterin synthase sulfur carrier subunit [cnxG].', NULL, 'MOCS2A', NULL, NULL, 24785, 10),
(46567, NULL, 'MF_01219', NULL, NULL, 'Bifunctional protein PyrR [pyrR].', NULL, 'PyrR', NULL, NULL, 15156, 10),
(46568, NULL, 'MF_01600', NULL, NULL, 'UPF0182 protein <locus_tag>.', NULL, 'UPF0182', NULL, NULL, 6855, 10),
(46569, NULL, 'MF_00382', NULL, NULL, '50S ribosomal protein L20 [rplT].', NULL, 'Ribosomal_L20', NULL, NULL, 5994, 10),
(46570, NULL, 'MF_01693', NULL, NULL, '8-amino-7-oxononanoate synthase [bioF].', NULL, 'BioF_aminotrans_2', NULL, NULL, 5884, 10),
(46571, NULL, 'MF_00587', NULL, NULL, 'tRNA (pseudouridine(54)-N(1))-methyltransferase [trmY].', NULL, 'tRNA_methyltr_TrmY', NULL, NULL, 151, 10),
(46572, NULL, 'MF_02063', NULL, NULL, 'Proton/glutamate-aspartate symporter [gltP].', NULL, 'GltP_subfam', NULL, NULL, 19771, 10),
(46573, NULL, 'MF_01481', NULL, NULL, 'Photosystem II lipoprotein Psb27 [psb27].', NULL, 'PSII_Psb27', NULL, NULL, 25640, 10),
(46574, NULL, 'MF_02238', NULL, NULL, '3-dehydroshikimate dehydratase.', NULL, 'DSD', NULL, NULL, 37509, 10),
(46575, NULL, 'MF_01272', NULL, NULL, 'Heme oxygenase (staphylobilin-producing) [isdG].', NULL, 'Heme_degrading_monooxygenase', NULL, NULL, 20625, 10),
(46576, NULL, 'MF_01909', NULL, NULL, 'Transcription factor E [tfe].', NULL, 'TFE_arch', NULL, NULL, 15628, 10),
(46577, NULL, 'MF_01630', NULL, NULL, 'Periplasmic nitrate reductase [napA].', NULL, 'Nitrate_reduct_NapA', NULL, NULL, 5319, 10),
(46578, NULL, 'MF_02002', NULL, NULL, 'Isoleucine--tRNA ligase [ileS].', NULL, 'Ile_tRNA_synth_type1', NULL, NULL, 16749, 10),
(46579, NULL, 'MF_00147_A', NULL, NULL, 'Triosephosphate isomerase [tpiA].', NULL, 'TIM_A', NULL, NULL, 15379, 10),
(46580, NULL, 'MF_01069', NULL, NULL, 'Glucans biosynthesis protein G [mdoG].', NULL, 'MdoG_OpgG', NULL, NULL, 14613, 10),
(46581, NULL, 'MF_01361', NULL, NULL, 'UPF0391 membrane protein YtjA [ytjA].', NULL, 'UPF0391', NULL, NULL, 12598, 10),
(46582, NULL, 'MF_00538', NULL, NULL, 'Probable 4-amino-4-deoxy-L-arabinose-phosphoundecaprenol flippase subunit ArnF [arnF].', NULL, 'Flippase_ArnF', NULL, NULL, 14933, 10),
(46583, NULL, 'MF_03040', NULL, NULL, 'U6 snRNA phosphodiesterase [USB1].', NULL, 'USB1', NULL, NULL, 24279, 10);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46584, NULL, 'MF_03044', NULL, NULL, '25S rRNA (adenine(2142)-N(1))-methyltransferase [BMT2].', NULL, 'BMT2', NULL, NULL, 20397, 10),
(46585, NULL, 'MF_00321', NULL, NULL, 'Probable GTP-binding protein EngB [engB].', NULL, 'GTPase_EngB', NULL, NULL, 12288, 10),
(46586, NULL, 'MF_00423', NULL, NULL, 'L-seryl-tRNA(Sec) selenium transferase [selA].', NULL, 'SelA', NULL, NULL, 1554, 10),
(46587, NULL, 'MF_02075', NULL, NULL, 'Aspartate--tRNA(Asp) ligase [aspS].', NULL, 'Asp_tRNA_synth_type2', NULL, NULL, 1978, 10),
(46588, NULL, 'MF_04146', NULL, NULL, 'Terminase, large subunit.', NULL, 'TERL_T4', NULL, NULL, 37867, 10),
(46589, NULL, 'MF_01019', NULL, NULL, 'Histidine biosynthesis bifunctional protein HisIE [hisI].', NULL, 'HisIE', NULL, NULL, 15459, 10),
(46590, NULL, 'MF_01122', NULL, NULL, 'DNA/RNA-binding protein Alba [albA].', NULL, 'AlbA', NULL, NULL, 9820, 10),
(46591, NULL, 'MF_01192', NULL, NULL, 'Flap endonuclease Xni [xni].', NULL, 'Xni', NULL, NULL, 14898, 10),
(46592, NULL, 'MF_01651', NULL, NULL, '3-phenylpropionate/cinnamic acid dioxygenase ferredoxin--NAD(+) reductase component [hcaD].', NULL, 'HcaD', NULL, NULL, 14718, 10),
(46593, NULL, 'MF_01509', NULL, NULL, 'Replication factor C small subunit [rfcS].', NULL, 'RfcS', NULL, NULL, 16851, 10),
(46594, NULL, 'MF_00301', NULL, NULL, 'Homoserine kinase [thrB].', NULL, 'Homoser_kinase_2', NULL, NULL, 4243, 10),
(46595, NULL, 'MF_00902', NULL, NULL, 'Sec-independent protein translocase protein TatC [tatC].', NULL, 'TatC', NULL, NULL, 5384, 10),
(46596, NULL, 'MF_01269', NULL, NULL, 'Shikimate kinase 2 [aroL].', NULL, 'Shikimate_kinase_2', NULL, NULL, 24668, 10),
(46597, NULL, 'MF_03207', NULL, NULL, 'Elongation of very long chain fatty acids protein 7 [ELOVL7].', NULL, 'VLCF_elongase_7', NULL, NULL, 34412, 10),
(46598, NULL, 'MF_01516', NULL, NULL, 'Malate dehydrogenase [mdh].', NULL, 'Malate_dehydrog_1', NULL, NULL, 8650, 10),
(46599, NULL, 'MF_02217', NULL, NULL, 'tRNA 5-hydroxyuridine methyltransferase [trmR].', NULL, 'TrmR_methyltr', NULL, NULL, 37572, 10),
(46600, NULL, 'MF_01597', NULL, NULL, 'Spermidine export protein MdtI [mdtI].', NULL, 'MdtI', NULL, NULL, 10791, 10),
(46601, NULL, 'MF_02233', NULL, NULL, 'Ubiquinone biosynthesis protein UbiV [ubiV].', NULL, 'UbiV', NULL, NULL, 37580, 10),
(46602, NULL, 'MF_01095', NULL, NULL, 'UPF0292 protein <locus_tag>.', NULL, 'UPF0292', NULL, NULL, 14716, 10),
(46603, NULL, 'MF_01261', NULL, NULL, 'Multifunctional CCA protein [cca].', NULL, 'CCA_bact_type1', NULL, NULL, 10542, 10),
(46604, NULL, 'MF_03151', NULL, NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit F, mitochondrial [GTF1].', NULL, 'GatF', NULL, NULL, 23288, 10),
(46605, NULL, 'MF_00430', NULL, NULL, 'Na(+)-translocating NADH-quinone reductase subunit F [nqrF].', NULL, 'NqrF', NULL, NULL, 4105, 10),
(46606, NULL, 'MF_02033', NULL, NULL, 'Cell division protein FtsA [ftsA].', NULL, 'FtsA', NULL, NULL, 20558, 10),
(46607, NULL, 'MF_02244', NULL, NULL, 'Coproheme decarboxylase [chdC].', NULL, 'Coproheme_decarbox_2', NULL, NULL, NULL, 10),
(46608, NULL, 'MF_01303', NULL, NULL, 'Photosystem I iron-sulfur center [psaC].', NULL, 'PSI_PsaC', NULL, NULL, 21347, 10),
(46609, NULL, 'MF_02071', NULL, NULL, 'Endolytic peptidoglycan transglycosylase RlpA [rlpA].', NULL, 'RlpA', NULL, NULL, 33084, 10),
(46610, NULL, 'MF_01013', NULL, NULL, 'Imidazole glycerol phosphate synthase subunit HisF [hisF].', NULL, 'HisF', NULL, NULL, 2566, 10),
(46611, NULL, 'MF_03000', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit A [EIF3A].', NULL, 'eIF3a', NULL, NULL, 25342, 10),
(46612, NULL, 'MF_01624', NULL, NULL, 'Arsenate reductase [arsC].', NULL, 'Arsenate_reduct', NULL, NULL, 13925, 10),
(46613, NULL, 'MF_01855', NULL, NULL, 'Fructose-1,6-bisphosphatase class 1 [fbp].', NULL, 'FBPase_class1', NULL, NULL, 3931, 10),
(46614, NULL, 'MF_00982', NULL, NULL, 'Transcriptional regulatory protein RcsA [rcsA].', NULL, 'RcsA', NULL, NULL, 28259, 10),
(46615, NULL, 'MF_00684', NULL, NULL, 'N(4)-acetylcytidine amidohydrolase.', NULL, 'ac4C_amidohydr', NULL, NULL, 7978, 10);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46616, NULL, 'MF_01688', NULL, NULL, '2-hydroxy-6-oxo-6-phenylhexa-2,4-dienoate hydrolase [bphD].', NULL, 'Biphenyl_BphD', NULL, NULL, 18854, 10),
(46617, NULL, 'MF_01170', NULL, NULL, 'Chromosome-anchoring protein RacA [racA].', NULL, 'RacA', NULL, NULL, 17446, 10),
(46618, NULL, 'MF_00802', NULL, NULL, 'Bifunctional glutamine synthetase adenylyltransferase/adenylyl-removing enzyme [glnE].', NULL, 'GlnE', NULL, NULL, 15271, 10),
(46619, NULL, 'MF_00736', NULL, NULL, '50S ribosomal protein L11 [rplK].', NULL, 'Ribosomal_L11', NULL, NULL, 360, 10),
(46620, NULL, 'MF_00464', NULL, NULL, 'S-adenosylmethionine decarboxylase proenzyme [speH].', NULL, 'AdoMetDC_1', NULL, NULL, 18128, 10),
(46621, NULL, 'MF_01309_B', NULL, NULL, '30S ribosomal protein S3 [rpsC].', NULL, 'Ribosomal_S3_B', NULL, NULL, 3976, 10),
(46622, NULL, 'MF_03171', NULL, NULL, 'Adenylate kinase isoenzyme 1 [AK1].', NULL, 'Adenylate_kinase_AK1', NULL, NULL, 24885, 10),
(46623, NULL, 'MF_02012', NULL, NULL, 'Cell division protein ZapA [zapA].', NULL, 'ZapA_type1', NULL, NULL, 16747, 10),
(46624, NULL, 'MF_04097', NULL, NULL, 'Nucleoprotein [N].', NULL, 'GAMMA_CORONA_NCAP', NULL, NULL, 38275, 10),
(46625, NULL, 'MF_00907', NULL, NULL, 'Proofreading thioesterase EntH [entH].', NULL, 'Thioesterase_EntH', NULL, NULL, 27463, 10),
(46626, NULL, 'MF_00645', NULL, NULL, 'Protein <locus_tag>.', NULL, 'AMMECR1', NULL, NULL, 16345, 10),
(46627, NULL, 'MF_01936', NULL, NULL, '1,4-dihydroxy-2-naphthoyl-CoA hydrolase [menI].', NULL, 'MenI', NULL, NULL, 2579, 10),
(46628, NULL, 'MF_00330', NULL, NULL, 'Cobalt transport protein CbiN [cbiN].', NULL, 'CbiN', NULL, NULL, 6472, 10),
(46629, NULL, 'MF_00732', NULL, NULL, 'HTH-type transcriptional regulator MntR [mntR].', NULL, 'HTH_MntR', NULL, NULL, 14748, 10),
(46630, NULL, 'MF_01318_B', NULL, NULL, '50S ribosomal protein L1 [rplA].', NULL, 'Ribosomal_L1_B', NULL, NULL, 6762, 10),
(46631, NULL, 'MF_01441', NULL, NULL, 'DNA protection during starvation protein [dps].', NULL, 'Dps', NULL, NULL, 15184, 10),
(46632, NULL, 'MF_01640', NULL, NULL, 'D-erythrose-4-phosphate dehydrogenase [epd].', NULL, 'E4P_dehydrog', NULL, NULL, 6880, 10),
(46633, NULL, 'MF_01690', NULL, NULL, 'Succinyl-diaminopimelate desuccinylase [dapE].', NULL, 'DapE', NULL, NULL, 431, 10),
(46634, NULL, 'MF_00128', NULL, NULL, 'Protein NrdI [nrdI].', NULL, 'NrdI', NULL, NULL, 21350, 10),
(46635, NULL, 'MF_01602', NULL, NULL, 'Lipoate-protein ligase A [lplA].', NULL, 'LplA', NULL, NULL, 10909, 10),
(46636, NULL, 'MF_00342', NULL, NULL, 'UPF0147 protein <locus_tag>.', NULL, 'UPF0147', NULL, NULL, 6054, 10),
(46637, NULL, 'MF_00453', NULL, NULL, 'Phosphoenolpyruvate carboxykinase (ATP) [pckA].', NULL, 'PEPCK_ATP', NULL, NULL, 5043, 10),
(46638, NULL, 'MF_03037', NULL, NULL, 'Probable cytosolic iron-sulfur protein assembly protein CIAO1 [CIAO1].', NULL, 'ciao1', NULL, NULL, 27284, 10),
(46639, NULL, 'MF_00155', NULL, NULL, 'Cytochrome c oxidase assembly protein CtaG [ctaG].', NULL, 'CtaG', NULL, NULL, 10540, 10),
(46640, NULL, 'MF_01899', NULL, NULL, 'Ribonuclease D [rnd].', NULL, 'RNase_D', NULL, NULL, 3541, 10),
(46641, NULL, 'MF_04047', NULL, NULL, 'Pre-hexon-linking protein IIIa.', NULL, 'ADV_CAP3', NULL, NULL, 6492, 10),
(46642, NULL, 'MF_00214', NULL, NULL, '3-dehydroquinate dehydratase [aroD].', NULL, 'AroD', NULL, NULL, 6674, 10),
(46643, NULL, 'MF_00980', NULL, NULL, 'Phosphotransferase RcsD [rcsD].', NULL, 'RcsD', NULL, NULL, 2951, 10),
(46644, NULL, 'MF_01224_A', NULL, NULL, 'Cyclic pyranopterin monophosphate synthase [moaC].', NULL, 'MoaC_A', NULL, NULL, 15482, 10),
(46645, NULL, 'MF_02018', NULL, NULL, 'PanD regulatory factor [panZ].', NULL, 'PanZ_PanM', NULL, NULL, 25506, 10),
(46646, NULL, 'MF_01584', NULL, NULL, 'UPF0502 protein YceH [yceH].', NULL, 'UPF0502', NULL, NULL, 3852, 10),
(46647, NULL, 'MF_01922', NULL, NULL, 'tRNA(Phe) (4-demethylwyosine(37)-C(7)) aminocarboxypropyltransferase [taw2].', NULL, 'TYW2_archaea', NULL, NULL, 24705, 10),
(46648, NULL, 'MF_01154', NULL, NULL, 'Curved DNA-binding protein [cbpA].', NULL, 'CbpA', NULL, NULL, 8180, 10);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46649, NULL, 'MF_01836', NULL, NULL, 'Circadian clock protein kinase KaiC [kaiC].', NULL, 'KaiC', NULL, NULL, 7501, 10),
(46650, NULL, 'MF_00695', NULL, NULL, 'High frequency lysogenization protein HflD [hflD].', NULL, 'HflD_protein', NULL, NULL, 4885, 10),
(46651, NULL, 'MF_00617', NULL, NULL, 'Mannosyl-3-phosphoglycerate phosphatase [mngB].', NULL, 'MPGP_rel', NULL, NULL, 12931, 10),
(46652, NULL, 'MF_03138', NULL, NULL, 'Translation factor GUF1 homolog, organellar chromatophore [lepA].', NULL, 'GUFP', NULL, NULL, 26008, 10),
(46653, NULL, 'MF_00428', NULL, NULL, 'Na(+)-translocating NADH-quinone reductase subunit D [nqrD].', NULL, 'NqrD', NULL, NULL, 10342, 10),
(46654, NULL, 'MF_02003', NULL, NULL, 'Isoleucine--tRNA ligase [ileS].', NULL, 'Ile_tRNA_synth_type2', NULL, NULL, 17159, 10),
(46655, NULL, 'MF_01327', NULL, NULL, 'Thiamine-phosphate synthase [thiE].', NULL, 'TMP_synthase_cyanobact', NULL, NULL, 17052, 10),
(46656, NULL, 'MF_00100_A', NULL, NULL, 'Translation initiation factor IF-2 [infB].', NULL, 'IF_2_A', NULL, NULL, 651, 10),
(46657, NULL, 'MF_01954', NULL, NULL, 'Urease subunit beta [ureB].', NULL, 'Urease_beta', NULL, NULL, 2284, 10),
(46658, NULL, 'MF_02044', NULL, NULL, 'DNA double-strand break repair protein Mre11 [mre11].', NULL, 'Mre11', NULL, NULL, 26850, 10),
(46659, NULL, 'MF_01914', NULL, NULL, 'Lipopolysaccharide export system protein LptA [lptA].', NULL, 'LPS_assembly_LptA', NULL, NULL, 11068, 10),
(46660, NULL, 'MF_02078', NULL, NULL, 'Probable lipid II flippase MurJ [murJ].', NULL, 'MurJ_MviN', NULL, NULL, 3530, 10),
(46661, NULL, 'MF_02224', NULL, NULL, '4-phosphopantoate--beta-alanine ligase.', NULL, 'PPS', NULL, NULL, 5596, 10),
(46662, NULL, 'MF_00658', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase H [rlmH].', NULL, '23SrRNA_methyltr_H', NULL, NULL, 4441, 10),
(46663, NULL, 'MF_00236', NULL, NULL, 'Sec-independent protein translocase protein TatA [tatA].', NULL, 'TatA_E', NULL, NULL, 4547, 10),
(46664, NULL, 'MF_02009', NULL, NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, 'Tyr_tRNA_synth_type4', NULL, NULL, 14676, 10),
(46665, NULL, 'MF_01371_A', NULL, NULL, '50S ribosomal protein L30 [rpmD].', NULL, 'Ribosomal_L30_A', NULL, NULL, 1447, 10),
(46666, NULL, 'MF_00319', NULL, NULL, 'CDP-diacylglycerol pyrophosphatase [cdh].', NULL, 'Cdh', NULL, NULL, 2022, 10),
(46667, NULL, 'MF_01880', NULL, NULL, 'Dipeptide permease D [dtpD].', NULL, 'PTR2_DtpD_subfam', NULL, NULL, 16976, 10),
(46668, NULL, 'MF_02237', NULL, NULL, 'tRNA (cytosine(72)-C(5))-methyltransferase.', NULL, 'NSUN6', NULL, NULL, 37246, 10),
(46669, NULL, 'MF_04101', NULL, NULL, 'DNA-directed DNA polymerase.', NULL, 'DPOL_T7', NULL, NULL, 8418, 10),
(46670, NULL, 'MF_01625', NULL, NULL, 'ATPase RavA [ravA].', NULL, 'ATPase_RavA', NULL, NULL, 16615, 10),
(46671, NULL, 'MF_00555', NULL, NULL, 'Aspartate--ammonia ligase [asnA].', NULL, 'AsnA', NULL, NULL, 2210, 10),
(46672, NULL, 'MF_01987', NULL, NULL, 'Ribokinase [rbsK].', NULL, 'Ribokinase', NULL, NULL, 14116, 10),
(46673, NULL, 'MF_00564', NULL, NULL, 'Ribonuclease PH [rph].', NULL, 'RNase_PH', NULL, NULL, 6732, 10),
(46674, NULL, 'MF_01036', NULL, NULL, 'Exoribonuclease 2 [rnb].', NULL, 'RNase_II', NULL, NULL, 13229, 10),
(46675, NULL, 'MF_01857', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase I [rlmI].', NULL, '23SrRNA_methyltr_I', NULL, NULL, 17287, 10),
(46676, NULL, 'MF_00114', NULL, NULL, 'Deoxyribose-phosphate aldolase [deoC].', NULL, 'DeoC_type1', NULL, NULL, 23334, 10),
(46677, NULL, 'MF_00284', NULL, NULL, 'Phenylalanine--tRNA ligase beta subunit [pheT].', NULL, 'Phe_tRNA_synth_beta2', NULL, NULL, 17813, 10),
(46678, NULL, 'MF_00619', NULL, NULL, 'Probable 30S ribosomal protein 3, chloroplastic [ycf65].', NULL, 'Ribosomal_plastid_S3', NULL, NULL, 5155, 10),
(46679, NULL, 'MF_00283', NULL, NULL, 'Phenylalanine--tRNA ligase beta subunit [pheT].', NULL, 'Phe_tRNA_synth_beta1', NULL, NULL, 2000, 10),
(46680, NULL, 'MF_01066', NULL, NULL, 'Glucans biosynthesis protein C [mdoC].', NULL, 'MdoC_OpgC', NULL, NULL, 17389, 10);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46681, NULL, 'MF_03028', NULL, NULL, 'Pescadillo homolog [PES1].', NULL, 'Pescadillo', NULL, NULL, 8076, 10),
(46682, NULL, 'MF_00405', NULL, NULL, '3-hydroxydecanoyl-[acyl-carrier-protein] dehydratase [fabA].', NULL, 'FabA', NULL, NULL, 2278, 10),
(46683, NULL, 'MF_00097', NULL, NULL, 'Thiamine-phosphate synthase [thiE].', NULL, 'TMP_synthase', NULL, NULL, 15419, 10),
(46684, NULL, 'MF_02219', NULL, NULL, 'Type 3 secretion system secretin [sctC].', NULL, 'Type_III_secretin', NULL, NULL, 6242, 10),
(46685, NULL, 'MF_01039', NULL, NULL, '2,3-bisphosphoglycerate-dependent phosphoglycerate mutase [gpmA].', NULL, 'PGAM_GpmA', NULL, NULL, 263, 10),
(46686, NULL, 'MF_00574', NULL, NULL, 'Putative ribosomal protein L7Ae-like.', NULL, 'Ribosomal_L7Ae_Bact', NULL, NULL, 16420, 10),
(46687, NULL, 'MF_03046', NULL, NULL, 'Transcription and mRNA export factor <gene_name> [SUS1].', NULL, 'ENY2_Sus1', NULL, NULL, 19408, 10),
(46688, NULL, 'MF_01476', NULL, NULL, '50S ribosomal protein L44e [rpl44e].', NULL, 'Ribosomal_L44e', NULL, NULL, 5844, 10),
(46689, NULL, 'MF_01381', NULL, NULL, 'Endo-type membrane-bound lytic murein transglycosylase A [emtA].', NULL, 'EmtA', NULL, NULL, 8725, 10),
(46690, NULL, 'MF_01980', NULL, NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, 'Phosphofructokinase_II_Long', NULL, NULL, 11039, 10),
(46691, NULL, 'MF_01623', NULL, NULL, 'Penicillin-insensitive murein endopeptidase [mepA].', NULL, 'MepA', NULL, NULL, 10006, 10),
(46692, NULL, 'MF_02109', NULL, NULL, 'Cysteate synthase.', NULL, 'Cya_synthase', NULL, NULL, 16197, 10),
(46693, NULL, 'MF_00607', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase A [rsmA].', NULL, '16SrRNA_methyltr_A', NULL, NULL, 9230, 10),
(46694, NULL, 'MF_00091', NULL, NULL, 'S-ribosylhomocysteine lyase [luxS].', NULL, 'LuxS', NULL, NULL, 3338, 10),
(46695, NULL, 'MF_00753', NULL, NULL, 'Anaerobic glycerol-3-phosphate dehydrogenase subunit B [glpB].', NULL, 'Glycerol3P_GlpB', NULL, NULL, 9540, 10),
(46696, NULL, 'MF_00791', NULL, NULL, 'Protein ApaG [apaG].', NULL, 'ApaG', NULL, NULL, 15359, 10),
(46697, NULL, 'MF_01483', NULL, NULL, 'RNA polymerase-binding protein RbpA [rbpA].', NULL, 'RbpA', NULL, NULL, 23188, 10),
(46698, NULL, 'MF_00746', NULL, NULL, 'Protein SprT [sprT].', NULL, 'SprT', NULL, NULL, 17184, 10),
(46699, NULL, 'MF_01870', NULL, NULL, 'Probable 4-deoxy-4-formamido-L-arabinose-phosphoundecaprenol deformylase ArnD [arnD].', NULL, 'ArnD', NULL, NULL, 9073, 10),
(46700, NULL, 'MF_04126', NULL, NULL, 'Intermediate capsid protein VP6.', NULL, 'Rota_VP6', NULL, NULL, 2348, 10),
(46701, NULL, 'MF_00160', NULL, NULL, 'Phosphoserine aminotransferase [serC].', NULL, 'SerC_aminotrans_5', NULL, NULL, 15760, 10),
(46702, NULL, 'MF_01973', NULL, NULL, 'Lon protease [lon].', NULL, 'lon_bact', NULL, NULL, 28626, 10),
(46703, NULL, 'MF_04133', NULL, NULL, 'Major capsid protein [E].', NULL, 'CAPSID_LAMBDA', NULL, NULL, 1645, 10),
(46704, NULL, 'MF_01463_A', NULL, NULL, 'Protein translocase subunit SecD [secD].', NULL, 'SecD_A', NULL, NULL, 21577, 10),
(46705, NULL, 'MF_01620', NULL, NULL, '3-ketoacyl-CoA thiolase [fadA].', NULL, 'FadA', NULL, NULL, 12586, 10),
(46706, NULL, 'MF_01432', NULL, NULL, 'Non-specific ribonucleoside hydrolase RihC [rihC].', NULL, 'Nucleosid_hydro_RihC', NULL, NULL, 14778, 10),
(46707, NULL, 'MF_04031', NULL, NULL, 'Deoxyuridine 5''-triphosphate nucleotidohydrolase [DUT].', NULL, 'HSV_DUT', NULL, NULL, 31572, 10),
(46708, NULL, 'MF_01061', NULL, NULL, 'Primosomal protein 1 [dnaT].', NULL, 'DnaT', NULL, NULL, 20516, 10),
(46709, NULL, 'MF_01455', NULL, NULL, 'UPF0757 protein YmgG [ymgG].', NULL, 'UPF0757', NULL, NULL, 5847, 10),
(46710, NULL, 'MF_01321', NULL, NULL, 'DNA-directed RNA polymerase subunit beta [rpoB].', NULL, 'RNApol_bact_RpoB', NULL, NULL, 5251, 10),
(46711, NULL, 'MF_01601', NULL, NULL, 'ADP-L-glycero-D-manno-heptose-6-epimerase [hldD].', NULL, 'Heptose_epimerase', NULL, NULL, 12012, 10),
(46712, NULL, 'MF_00002', NULL, NULL, 'Aspartate carbamoyltransferase regulatory chain [pyrI].', NULL, 'Asp_carb_tr_reg', NULL, NULL, 4851, 10);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46713, NULL, 'MF_01334', NULL, NULL, '50S ribosomal protein L25 [rplY].', NULL, 'Ribosomal_L25_CTC', NULL, NULL, 2159, 10),
(46714, NULL, 'MF_02004', NULL, NULL, 'Valine--tRNA ligase [valS].', NULL, 'Val_tRNA_synth_type1', NULL, NULL, 4489, 10),
(46715, NULL, 'MF_00602', NULL, NULL, 'Protein-arginine kinase [mcsB].', NULL, 'Prot_Arg_kinase', NULL, NULL, 16515, 10),
(46716, NULL, 'MF_01872', NULL, NULL, 'tRNA1(Val) (adenine(37)-N6)-methyltransferase [yfiC].', NULL, 'tRNA_methyltr_YfiC', NULL, NULL, 17487, 10),
(46717, NULL, 'MF_00289_B', NULL, NULL, 'Proteasome subunit alpha [prcA].', NULL, 'Proteasome_A_B', NULL, NULL, 15961, 10),
(46718, NULL, 'MF_00810', NULL, NULL, '50S ribosomal protein L32e [rpl32e].', NULL, 'Ribosomal_L32e', NULL, NULL, 737, 10),
(46719, NULL, 'MF_01856', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase B [rsmB].', NULL, '16SrRNA_methyltr_B', NULL, NULL, 17465, 10),
(46720, NULL, 'MF_01431', NULL, NULL, 'Pyrimidine-specific ribonucleoside hydrolase RihA [rihA].', NULL, 'Pyrim_hydro_RihA', NULL, NULL, 14741, 10),
(46721, NULL, 'MF_00419', NULL, NULL, 'Phosphoribosylformylglycinamidine synthase [purL].', NULL, 'PurL_1', NULL, NULL, 2288, 10),
(46722, NULL, 'MF_01817', NULL, NULL, 'Tyrosine recombinase XerD-like.', NULL, 'Recomb_XerD_like', NULL, NULL, 21006, 10),
(46723, NULL, 'MF_01586', NULL, NULL, 'Probable [Fe-S]-dependent transcriptional repressor [feoC].', NULL, 'FeoC', NULL, NULL, 10653, 10),
(46724, NULL, 'MF_00480_B', NULL, NULL, '30S ribosomal protein S7 [rpsG].', NULL, 'Ribosomal_S7_B', NULL, NULL, 4799, 10),
(46725, NULL, 'MF_00656', NULL, NULL, 'Coenzyme PQQ synthesis protein A [pqqA].', NULL, 'PQQ_syn_PqqA', NULL, NULL, 11589, 10),
(46726, NULL, 'MF_00053', NULL, NULL, 'Ribonuclease HIII [rnhC].', NULL, 'RNase_HIII', NULL, NULL, 2706, 10),
(46727, NULL, 'MF_03053', NULL, NULL, 'Cytoplasmic tRNA 2-thiolation protein 1 [CTU1].', NULL, 'CTU1', NULL, NULL, 5763, 10),
(46728, NULL, 'MF_00536', NULL, NULL, '4-hydroxythreonine-4-phosphate dehydrogenase [pdxA].', NULL, 'PdxA', NULL, NULL, 36460, 10),
(46729, NULL, 'MF_01325_B', NULL, NULL, '50S ribosomal protein L3 [rplC].', NULL, 'Ribosomal_L3_B', NULL, NULL, 15368, 10),
(46730, NULL, 'MF_00427', NULL, NULL, 'Na(+)-translocating NADH-quinone reductase subunit C [nqrC].', NULL, 'NqrC', NULL, NULL, 4071, 10),
(46731, NULL, 'MF_01139', NULL, NULL, 'Ditrans,polycis-undecaprenyl-diphosphate synthase ((2E,6E)-farnesyl-diphosphate specific) [uppS].', NULL, 'ISPT', NULL, NULL, 3042, 10),
(46732, NULL, 'MF_01664', NULL, NULL, 'Heme A synthase [ctaA].', NULL, 'HemeA_synth_type1', NULL, NULL, 11119, 10),
(46733, NULL, 'MF_00911', NULL, NULL, 'Cell division protein FtsQ [ftsQ].', NULL, 'FtsQ_subfam', NULL, NULL, 27274, 10),
(46734, NULL, 'MF_02218', NULL, NULL, 'Glucosamine kinase.', NULL, 'GlcN_kinase', NULL, NULL, 38178, 10),
(46735, NULL, 'MF_00815', NULL, NULL, 'ATP synthase gamma chain [atpG].', NULL, 'ATP_synth_gamma_bact', NULL, NULL, 1704, 10),
(46736, NULL, 'MF_04049', NULL, NULL, 'Pre-hexon-linking protein VIII [L4].', NULL, 'ADV_CAP8', NULL, NULL, 4016, 10),
(46737, NULL, 'MF_00928', NULL, NULL, '4-O-beta-D-mannosyl-D-glucose phosphorylase.', NULL, 'Man_Glc_phosphorylase', NULL, NULL, 23031, 10),
(46738, NULL, 'MF_00341', NULL, NULL, 'UPF0146 protein <locus_tag>.', NULL, 'UPF0146', NULL, NULL, 6260, 10),
(46739, NULL, 'MF_01365_A', NULL, NULL, '50S ribosomal protein L6 [rplF].', NULL, 'Ribosomal_L6_A', NULL, NULL, 12217, 10),
(46740, NULL, 'MF_01511', NULL, NULL, 'GMP reductase [guaC].', NULL, 'GMP_reduct_type2', NULL, NULL, 1273, 10),
(46741, NULL, 'MF_01965', NULL, NULL, 'ADP-dependent (S)-NAD(P)H-hydrate dehydratase [nnrD].', NULL, 'NADHX_dehydratase', NULL, NULL, 5589, 10),
(46742, NULL, 'MF_00774', NULL, NULL, 'Acyl transferase [luxD].', NULL, 'LuxD', NULL, NULL, 1912, 10),
(46743, NULL, 'MF_01547', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase E [rlmE].', NULL, 'RNA_methyltr_E', NULL, NULL, 8067, 10),
(46744, NULL, 'MF_01901', NULL, NULL, 'Arginine exporter protein ArgO [argO].', NULL, 'ArgO', NULL, NULL, 16022, 10);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46745, NULL, 'MF_00253_B', NULL, NULL, 'Glycine--tRNA ligase [glyQS].', NULL, 'Gly_tRNA_synth_B', NULL, NULL, 18417, 10),
(46746, NULL, 'MF_00337', NULL, NULL, 'Exodeoxyribonuclease 7 small subunit [xseB].', NULL, 'Exonuc_7_S', NULL, NULL, 2140, 10),
(46747, NULL, 'MF_00707', NULL, NULL, 'UPF0735 ACT domain-containing protein <locus_tag>.', NULL, 'UPF0735', NULL, NULL, 7996, 10),
(46748, NULL, 'MF_00722', NULL, NULL, 'Endonuclease NucS [nucS].', NULL, 'NucS', NULL, NULL, 4898, 10),
(46749, NULL, 'MF_02038', NULL, NULL, 'Probable hercynylcysteine sulfoxide lyase [egtE].', NULL, 'EgtE', NULL, NULL, 29036, 10),
(46750, NULL, 'MF_03126', NULL, NULL, 'Adenylosuccinate synthetase isozyme 1 [ADSSL1].', NULL, 'Adenylosucc_synth_vert_basic', NULL, NULL, 24268, 10),
(46751, NULL, 'MF_01596', NULL, NULL, 'PhoP/PhoQ regulator MgrB [mgrB].', NULL, 'MgrB', NULL, NULL, 15000, 10),
(46752, NULL, 'MF_01194', NULL, NULL, 'Heat shock protein HspQ [hspQ].', NULL, 'HspQ', NULL, NULL, 17082, 10),
(46753, NULL, 'MF_00546', NULL, NULL, 'Acid shock protein [asr].', NULL, 'Asr', NULL, NULL, 16896, 10),
(46754, NULL, 'MF_01053', NULL, NULL, 'UPF0231 protein YacL [yacL].', NULL, 'UPF0231', NULL, NULL, 971, 10),
(46755, NULL, 'MF_00370', NULL, NULL, 'Shikimate kinase [aroK].', NULL, 'Shik_kinase_arch', NULL, NULL, 4402, 10),
(46756, NULL, 'MF_01399', NULL, NULL, 'ATP synthase subunit b'' [atpF2].', NULL, 'ATP_synth_bprime', NULL, NULL, 35311, 10),
(46757, NULL, 'MF_01598', NULL, NULL, 'Spermidine export protein MdtJ [mdtJ].', NULL, 'MdtJ', NULL, NULL, 10609, 10),
(46758, NULL, 'MF_01650', NULL, NULL, '3-phenylpropionate/cinnamic acid dioxygenase ferredoxin subunit [hcaC].', NULL, 'HcaC', NULL, NULL, 14667, 10),
(46759, NULL, 'MF_00700', NULL, NULL, 'DNA primase small subunit PriS [priS].', NULL, 'DNA_primase_sml_arc', NULL, NULL, 16678, 10),
(46760, NULL, 'MF_04064', NULL, NULL, 'Protein PB1-F2 [PB1].', NULL, 'INFV_PB1F2', NULL, NULL, 15159, 10),
(46761, NULL, 'MF_01305', NULL, NULL, 'Photosystem II reaction center protein J [psbJ].', NULL, 'PSII_PsbJ', NULL, NULL, 2828, 10),
(46762, NULL, 'MF_02220', NULL, NULL, 'Xylulose kinase [xylB].', NULL, 'XylB', NULL, NULL, 1164, 10),
(46763, NULL, 'MF_04083', NULL, NULL, 'Envelope glycoprotein gp160 [env].', NULL, 'HIV_ENV', NULL, NULL, 35131, 10),
(46764, NULL, 'MF_01661', NULL, NULL, 'D-ribose pyranase [rbsD].', NULL, 'D_rib_pyranase', NULL, NULL, 15294, 10),
(46765, NULL, 'MF_00465', NULL, NULL, 'S-adenosylmethionine decarboxylase proenzyme [speD].', NULL, 'AdoMetDC_2', NULL, NULL, 9715, 10),
(46766, NULL, 'MF_00243', NULL, NULL, 'Nicotinamide-nucleotide adenylyltransferase.', NULL, 'NMN_adenylyltr', NULL, NULL, 6780, 10),
(46767, NULL, 'MF_00295', NULL, NULL, 'Homoserine O-succinyltransferase [metAS].', NULL, 'MetA_acyltransf', NULL, NULL, 32568, 10),
(46768, NULL, 'MF_00827', NULL, NULL, 'UPF0386 protein YjhX [yjhX].', NULL, 'UPF0386', NULL, NULL, 16964, 10),
(46769, NULL, 'MF_01873', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase Cfr [cfr].', NULL, '23SrRNA_methyltr_Cfr', NULL, NULL, 17077, 10),
(46770, NULL, 'MF_00849', NULL, NULL, '50S ribosomal subunit assembly factor BipA [bipA].', NULL, 'BipA', NULL, NULL, 4504, 10),
(46771, NULL, 'MF_00252', NULL, NULL, 'Lysine--tRNA ligase [lysS].', NULL, 'Lys_tRNA_synth_class2', NULL, NULL, 6280, 10),
(46772, NULL, 'MF_00790', NULL, NULL, 'Lipase chaperone [lifO].', NULL, 'Lipase_chap', NULL, NULL, 2619, 10),
(46773, NULL, 'MF_01384', NULL, NULL, 'Urease accessory protein UreD [ureD].', NULL, 'UreD', NULL, NULL, 2621, 10),
(46774, NULL, 'MF_00443', NULL, NULL, 'Thiazole synthase [thiG].', NULL, 'ThiG', NULL, NULL, 7883, 10),
(46775, NULL, 'MF_02081', NULL, NULL, 'Peptidoglycan D,D-transpeptidase MrdA [mrdA].', NULL, 'MrdA_transpept', NULL, NULL, 19026, 10),
(46776, NULL, 'MF_02200', NULL, NULL, 'Chaperone NapD [napD].', NULL, 'NapD', NULL, NULL, 2740, 10),
(46777, NULL, 'PS00261', NULL, NULL, 'Glycoprotein hormones beta chain signature 1.', NULL, 'GLYCO_HORMONE_BETA_1', NULL, NULL, 8920, 11),
(46778, NULL, 'PS00546', NULL, NULL, 'Matrixins cysteine switch.', NULL, 'CYSTEINE_SWITCH', NULL, NULL, 16904, 11);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46779, NULL, 'PS00811', NULL, NULL, 'Oleosins signature.', NULL, 'OLEOSINS', NULL, NULL, 1900, 11),
(46780, NULL, 'PS00392', NULL, NULL, 'DDC / GAD / HDC / TyrDC pyridoxal-phosphate attachment site.', NULL, 'DDC_GAD_HDC_YDC', NULL, NULL, 20001, 11),
(46781, NULL, 'PS00489', NULL, NULL, 'Bacteriophage-type RNA polymerase family active site signature 2.', NULL, 'RNA_POL_PHAGE_2', NULL, NULL, 5456, 11),
(46782, NULL, 'PS00400', NULL, NULL, 'LBP / BPI / CETP family signature.', NULL, 'LBP_BPI_CETP', NULL, NULL, 1337, 11),
(46783, NULL, 'PS00702', NULL, NULL, 'Granulocyte-macrophage colony-stimulating factor signature.', NULL, 'GM_CSF', NULL, NULL, 6706, 11),
(46784, NULL, 'PS00297', NULL, NULL, 'Heat shock hsp70 proteins family signature 1.', NULL, 'HSP70_1', NULL, NULL, 7502, 11),
(46785, NULL, 'PS60008', NULL, NULL, 'Cyclotides bracelet subfamily signature.', NULL, 'CYCLOTIDE_BRACELET', NULL, NULL, 11846, 11),
(46786, NULL, 'PS60010', NULL, NULL, 'Assassin bug toxin signature.', NULL, 'ASSASSIN_BUG_TOXIN', NULL, NULL, 11827, 11),
(46787, NULL, 'PS00385', NULL, NULL, 'Alpha-L-fucosidase putative active site.', NULL, 'ALPHA_L_FUCOSIDASE', NULL, NULL, 19109, 11),
(46788, NULL, 'PS01349', NULL, NULL, 'Nodulation protein nodA signature.', NULL, 'NODA', NULL, NULL, 19324, 11),
(46789, NULL, 'PS00422', NULL, NULL, 'Granins signature 1.', NULL, 'GRANINS_1', NULL, NULL, 19138, 11),
(46790, NULL, 'PS00665', NULL, NULL, 'Dihydrodipicolinate synthase signature 1.', NULL, 'DHDPS_1', NULL, NULL, 20174, 11),
(46791, NULL, 'PS00220', NULL, NULL, 'Anion exchangers family signature 2.', NULL, 'ANION_EXCHANGER_2', NULL, NULL, 8934, 11),
(46792, NULL, 'PS01214', NULL, NULL, 'Uncharacterized protein family UPF0016 signature.', NULL, 'UPF0016', NULL, NULL, 3354, 11),
(46793, NULL, 'PS00081', NULL, NULL, 'Lipoxygenases iron-binding region signature 2.', NULL, 'LIPOXYGENASE_2', NULL, NULL, 21042, 11),
(46794, NULL, 'PS00306', NULL, NULL, 'Caseins alpha/beta signature.', NULL, 'CASEIN_ALPHA_BETA', NULL, NULL, 27745, 11),
(46795, NULL, 'PS00217', NULL, NULL, 'Sugar transport proteins signature 2.', NULL, 'SUGAR_TRANSPORT_2', NULL, NULL, 6677, 11),
(46796, NULL, 'PS01270', NULL, NULL, 'Band 7 protein family signature.', NULL, 'BAND_7', NULL, NULL, 13647, 11),
(46797, NULL, 'PS00858', NULL, NULL, 'Prephenate dehydratase signature 2.', NULL, 'PREPHENATE_DEHYDR_2', NULL, NULL, 9331, 11),
(46798, NULL, 'PS01310', NULL, NULL, 'FXYD family signature.', NULL, 'FXYD', NULL, NULL, 784, 11),
(46799, NULL, 'PS00351', NULL, NULL, 'Transcription factor TFIID repeat signature.', NULL, 'TFIID', NULL, NULL, 22398, 11),
(46800, NULL, 'PS01194', NULL, NULL, 'Ribosomal protein L15e signature.', NULL, 'RIBOSOMAL_L15E', NULL, NULL, 14873, 11),
(46801, NULL, 'PS00558', NULL, NULL, 'Eukaryotic mitochondrial porin signature.', NULL, 'EUKARYOTIC_PORIN', NULL, NULL, 4122, 11),
(46802, NULL, 'PS00482', NULL, NULL, 'Dihydroorotase signature 1.', NULL, 'DIHYDROOROTASE_1', NULL, NULL, 251, 11),
(46803, NULL, 'PS00481', NULL, NULL, 'Thiol-activated cytolysins signature.', NULL, 'THIOL_CYTOLYSINS', NULL, NULL, 4063, 11),
(46804, NULL, 'PS00518', NULL, NULL, 'Zinc finger RING-type signature.', NULL, 'ZF_RING_1', NULL, NULL, 2682, 11),
(46805, NULL, 'PS00597', NULL, NULL, 'Plant lipid transfer proteins signature.', NULL, 'PLANT_LTP', NULL, NULL, 5827, 11),
(46806, NULL, 'PS00161', NULL, NULL, 'Isocitrate lyase signature.', NULL, 'ISOCITRATE_LYASE', NULL, NULL, 19081, 11),
(46807, NULL, 'PS00263', NULL, NULL, 'Natriuretic peptides signature.', NULL, 'NATRIURETIC_PEPTIDE', NULL, NULL, 24074, 11),
(46808, NULL, 'PS01110', NULL, NULL, 'RNA polymerases H / 23 Kd subunits signature.', NULL, 'RNA_POL_H_23KD', NULL, NULL, 14655, 11),
(46809, NULL, 'PS00279', NULL, NULL, 'Membrane attack complex/perforin (MACPF) domain signature.', NULL, 'MACPF_1', NULL, NULL, 20912, 11),
(46810, NULL, 'PS00648', NULL, NULL, 'Bacterial ribonuclease P protein component signature.', NULL, 'RIBONUCLEASE_P', NULL, NULL, 14545, 11),
(46811, NULL, 'PS00583', NULL, NULL, 'pfkB family of carbohydrate kinases signature 1.', NULL, 'PFKB_KINASES_1', NULL, NULL, 115, 11); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46812, NULL, 'PS00484', NULL, NULL, 'Thyroglobulin type-1 repeat signature.', NULL, 'THYROGLOBULIN_1_1', NULL, NULL, 6640, 11),
(46813, NULL, 'PS00659', NULL, NULL, 'Glycosyl hydrolases family 5 signature.', NULL, 'GLYCOSYL_HYDROL_F5', NULL, NULL, 13757, 11),
(46814, NULL, 'PS01314', NULL, NULL, 'Uncharacterized protein family UPF0047 signature.', NULL, 'UPF0047', NULL, NULL, 3031, 11),
(46815, NULL, 'PS01322', NULL, NULL, 'Phosphotriesterase family signature 1.', NULL, 'PHOSPHOTRIESTERASE_1', NULL, NULL, 7025, 11),
(46816, NULL, 'PS00595', NULL, NULL, 'Aminotransferases class-V pyridoxal-phosphate attachment site.', NULL, 'AA_TRANSFER_CLASS_5', NULL, NULL, 19822, 11),
(46817, NULL, 'PS01042', NULL, NULL, 'Homoserine dehydrogenase signature.', NULL, 'HOMOSER_DHGENASE', NULL, NULL, 17798, 11),
(46818, NULL, 'PS00615', NULL, NULL, 'C-type lectin domain signature.', NULL, 'C_TYPE_LECTIN_1', NULL, NULL, 20732, 11),
(46819, NULL, 'PS01182', NULL, NULL, 'Glycosyl hydrolases family 35 putative active site.', NULL, 'GLYCOSYL_HYDROL_F35', NULL, NULL, 17975, 11),
(46820, NULL, 'PS00016', NULL, NULL, 'Cell attachment sequence.', NULL, 'RGD', NULL, NULL, NULL, 11),
(46821, NULL, 'PS00917', NULL, NULL, 'Asparaginase / glutaminase active site signature 2.', NULL, 'ASN_GLN_ASE_2', NULL, NULL, 26310, 11),
(46822, NULL, 'PS00957', NULL, NULL, 'NAD-dependent glycerol-3-phosphate dehydrogenase signature.', NULL, 'NAD_G3PDH', NULL, NULL, 10375, 11),
(46823, NULL, 'PS00165', NULL, NULL, 'Serine/threonine dehydratases pyridoxal-phosphate attachment site.', NULL, 'DEHYDRATASE_SER_THR', NULL, NULL, 6577, 11),
(46824, NULL, 'PS00642', NULL, NULL, 'Respiratory-chain NADH dehydrogenase 75 Kd subunit signature 2.', NULL, 'COMPLEX1_75K_2', NULL, NULL, 770, 11),
(46825, NULL, 'PS01183', NULL, NULL, 'ubiE/COQ5 methyltransferase family signature 1.', NULL, 'UBIE_1', NULL, NULL, 16587, 11),
(46826, NULL, 'PS00421', NULL, NULL, 'Transmembrane 4 family signature.', NULL, 'TM4_1', NULL, NULL, 17643, 11),
(46827, NULL, 'PS60029', NULL, NULL, 'Spider toxin CSTX family signature.', NULL, 'SPIDER_CSTX', NULL, NULL, 12894, 11),
(46828, NULL, 'PS00819', NULL, NULL, 'Dps protein family signature 2.', NULL, 'DPS_2', NULL, NULL, 8708, 11),
(46829, NULL, 'PS01292', NULL, NULL, 'Uncharacterized protein family UPF0036 signature.', NULL, 'UPF0036', NULL, NULL, 3375, 11),
(46830, NULL, 'PS01122', NULL, NULL, 'Caspase family cysteine active site.', NULL, 'CASPASE_CYS', NULL, NULL, 32619, 11),
(46831, NULL, 'PS00236', NULL, NULL, 'Neurotransmitter-gated ion-channels signature.', NULL, 'NEUROTR_ION_CHANNEL', NULL, NULL, 13025, 11),
(46832, NULL, 'PS00619', NULL, NULL, 'PTN/MK heparin-binding protein family signature 1.', NULL, 'PTN_MK_1', NULL, NULL, 16453, 11),
(46833, NULL, 'PS00936', NULL, NULL, 'Ribosomal protein L35 signature.', NULL, 'RIBOSOMAL_L35', NULL, NULL, 19768, 11),
(46834, NULL, 'PS00825', NULL, NULL, 'Elongation factor 1 beta/beta''/delta chain signature 2.', NULL, 'EF1BD_2', NULL, NULL, 2184, 11),
(46835, NULL, 'PS01207', NULL, NULL, 'Glypicans signature.', NULL, 'GLYPICAN', NULL, NULL, 17898, 11),
(46836, NULL, 'PS01121', NULL, NULL, 'Caspase family histidine active site.', NULL, 'CASPASE_HIS', NULL, NULL, 11110, 11),
(46837, NULL, 'PS00347', NULL, NULL, 'Poly(ADP-ribose) polymerase zinc finger domain signature.', NULL, 'PARP_ZN_FINGER_1', NULL, NULL, 3322, 11),
(46838, NULL, 'PS01030', NULL, NULL, 'RNA polymerases M / 15 Kd subunits signature.', NULL, 'RNA_POL_M_15KD', NULL, NULL, 21146, 11),
(46839, NULL, 'PS60004', NULL, NULL, 'Omega-conotoxin family signature.', NULL, 'OMEGA_CONOTOXIN', NULL, NULL, 11698, 11),
(46840, NULL, 'PS00924', NULL, NULL, 'Aspartate and glutamate racemases signature 2.', NULL, 'ASP_GLU_RACEMASE_2', NULL, NULL, 30220, 11),
(46841, NULL, 'PS00937', NULL, NULL, 'Ribosomal protein L20 signature.', NULL, 'RIBOSOMAL_L20', NULL, NULL, 5994, 11),
(46842, NULL, 'PS00962', NULL, NULL, 'Ribosomal protein S2 signature 1.', NULL, 'RIBOSOMAL_S2_1', NULL, NULL, 20016, 11),
(46843, NULL, 'PS00018', NULL, NULL, 'EF-hand calcium-binding domain.', NULL, 'EF_HAND_1', NULL, NULL, 8517, 11);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46844, NULL, 'PS00472', NULL, NULL, 'Small cytokines (intercrine/chemokine) C-C subfamily signature.', NULL, 'SMALL_CYTOKINES_CC', NULL, NULL, 19, 11),
(46845, NULL, 'PS00578', NULL, NULL, 'Ribosomal protein S6e signature.', NULL, 'RIBOSOMAL_S6E', NULL, NULL, 20112, 11),
(46846, NULL, 'PS00920', NULL, NULL, 'Nitrilases / cyanide hydratase signature 1.', NULL, 'NITRIL_CHT_1', NULL, NULL, 1568, 11),
(46847, NULL, 'PS01355', NULL, NULL, 'Short hematopoietin receptor family 1 signature.', NULL, 'HEMATOPO_REC_S_F1', NULL, NULL, 7434, 11),
(46848, NULL, 'PS00247', NULL, NULL, 'HBGF/FGF family signature.', NULL, 'HBGF_FGF', NULL, NULL, 6380, 11),
(46849, NULL, 'PS00557', NULL, NULL, 'FMN-dependent alpha-hydroxy acid dehydrogenases active site.', NULL, 'FMN_HYDROXY_ACID_DH_1', NULL, NULL, 8894, 11),
(46850, NULL, 'PS00105', NULL, NULL, 'Aminotransferases class-I pyridoxal-phosphate attachment site.', NULL, 'AA_TRANSFER_CLASS_1', NULL, NULL, 4225, 11),
(46851, NULL, 'PS00837', NULL, NULL, 'Alanine dehydrogenase & pyridine nucleotide transhydrogenase signature 2.', NULL, 'ALADH_PNT_2', NULL, NULL, 7191, 11),
(46852, NULL, 'PS01006', NULL, NULL, 'Formate and nitrite transporters signature 2.', NULL, 'FORMATE_NITRITE_TP_2', NULL, NULL, 21822, 11),
(46853, NULL, 'PS00606', NULL, NULL, 'Beta-ketoacyl synthases active site.', NULL, 'B_KETOACYL_SYNTHASE', NULL, NULL, 20101, 11),
(46854, NULL, 'PS00913', NULL, NULL, 'Iron-containing alcohol dehydrogenases signature 1.', NULL, 'ADH_IRON_1', NULL, NULL, 7666, 11),
(46855, NULL, 'PS01321', NULL, NULL, 'Crossover junction endodeoxyribonuclease ruvC signature.', NULL, 'RUVC', NULL, NULL, 19401, 11),
(46856, NULL, 'PS00115', NULL, NULL, 'Eukaryotic RNA polymerase II heptapeptide repeat.', NULL, 'RNA_POL_II_REPEAT', NULL, NULL, 3856, 11),
(46857, NULL, 'PS00842', NULL, NULL, 'XPG protein signature 2.', NULL, 'XPG_2', NULL, NULL, 15841, 11),
(46858, NULL, 'PS00925', NULL, NULL, 'Pollen proteins Ole e I family signature.', NULL, 'OLEEI', NULL, NULL, 2962, 11),
(46859, NULL, 'PS00600', NULL, NULL, 'Aminotransferases class-III pyridoxal-phosphate attachment site.', NULL, 'AA_TRANSFER_CLASS_3', NULL, NULL, 5557, 11),
(46860, NULL, 'PS01074', NULL, NULL, 'Terpene synthases signature.', NULL, 'TERPENE_SYNTHASES', NULL, NULL, 6613, 11),
(46861, NULL, 'PS00588', NULL, NULL, 'Flagella basal body rod proteins signature.', NULL, 'FLAGELLA_BB_ROD', NULL, NULL, 20251, 11),
(46862, NULL, 'PS00864', NULL, NULL, 'Calsequestrin signature 2.', NULL, 'CALSEQUESTRIN_2', NULL, NULL, 7522, 11),
(46863, NULL, 'PS00014', NULL, NULL, 'Endoplasmic reticulum targeting sequence.', NULL, 'ER_TARGET', NULL, NULL, NULL, 11),
(46864, NULL, 'PS60023', NULL, NULL, 'Omega-agatoxin type II and III signature.', NULL, 'OMEGA_AGA_II_III', NULL, NULL, 12862, 11),
(46865, NULL, 'PS01344', NULL, NULL, 'Frataxin family signature.', NULL, 'FRATAXIN_1', NULL, NULL, 20345, 11),
(46866, NULL, 'PS01239', NULL, NULL, 'Dynein light chain type 1 signature.', NULL, 'DYNEIN_LIGHT_1', NULL, NULL, 21437, 11),
(46867, NULL, 'PS00232', NULL, NULL, 'Cadherin domain signature.', NULL, 'CADHERIN_1', NULL, NULL, 20023, 11),
(46868, NULL, 'PS00579', NULL, NULL, 'Ribosomal protein L29 signature.', NULL, 'RIBOSOMAL_L29', NULL, NULL, 19705, 11),
(46869, NULL, 'PS01003', NULL, NULL, 'Translationally controlled tumor protein (TCTP) domain signature 2.', NULL, 'TCTP_2', NULL, NULL, 13587, 11),
(46870, NULL, 'PS01054', NULL, NULL, 'Transaldolase signature 1.', NULL, 'TRANSALDOLASE_1', NULL, NULL, 7554, 11),
(46871, NULL, 'PS00349', NULL, NULL, 'CTF/NF-I DNA-binding domain signature.', NULL, 'CTF_NFI_1', NULL, NULL, 12541, 11),
(46872, NULL, 'PS60027', NULL, NULL, 'Contryphan family signature.', NULL, 'CONTRYPHAN', NULL, NULL, 12717, 11),
(46873, NULL, 'PS00005', NULL, NULL, 'Protein kinase C phosphorylation site.', NULL, 'PKC_PHOSPHO_SITE', NULL, NULL, NULL, 11),
(46874, NULL, 'PS00168', NULL, NULL, 'Tryptophan synthase beta chain pyridoxal-phosphate attachment site.', NULL, 'TRP_SYNTHASE_BETA', NULL, NULL, 1090, 11),
(46875, NULL, 'PS00823', NULL, NULL, 'Dehydrins signature 2.', NULL, 'DEHYDRIN_2', NULL, NULL, 26029, 11);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46876, NULL, 'PS00603', NULL, NULL, 'Thymidine kinase cellular-type signature.', NULL, 'TK_CELLULAR_TYPE', NULL, NULL, 19686, 11),
(46877, NULL, 'PS00056', NULL, NULL, 'Ribosomal protein S17 signature.', NULL, 'RIBOSOMAL_S17', NULL, NULL, 12095, 11),
(46878, NULL, 'PS00202', NULL, NULL, 'Rubredoxin signature.', NULL, 'RUBREDOXIN', NULL, NULL, 19146, 11),
(46879, NULL, 'PS00795', NULL, NULL, 'Involucrin signature.', NULL, 'INVOLUCRIN', NULL, NULL, 12957, 11),
(46880, NULL, 'PS00601', NULL, NULL, 'IRF tryptophan pentad repeat DNA-binding domain signature.', NULL, 'IRF_1', NULL, NULL, 17974, 11),
(46881, NULL, 'PS01056', NULL, NULL, 'NAD-dependent DNA ligase signature 2.', NULL, 'DNA_LIGASE_N2', NULL, NULL, 33654, 11),
(46882, NULL, 'PS00176', NULL, NULL, 'Eukaryotic DNA topoisomerase I active site.', NULL, 'TOPOISOMERASE_I_EUK', NULL, NULL, 20340, 11),
(46883, NULL, 'PS00527', NULL, NULL, 'Ribosomal protein S14 signature.', NULL, 'RIBOSOMAL_S14', NULL, NULL, 20070, 11),
(46884, NULL, 'PS00329', NULL, NULL, 'Heat shock hsp70 proteins family signature 2.', NULL, 'HSP70_2', NULL, NULL, 7502, 11),
(46885, NULL, 'PS00463', NULL, NULL, 'Zn(2)-C6 fungal-type DNA-binding domain signature.', NULL, 'ZN2_CY6_FUNGAL_1', NULL, NULL, 2124, 11),
(46886, NULL, 'PS00944', NULL, NULL, 'Cyclin-dependent kinases regulatory subunits signature 1.', NULL, 'CKS_1', NULL, NULL, 4800, 11),
(46887, NULL, 'PS01185', NULL, NULL, 'C-terminal cystine knot signature.', NULL, 'CTCK_1', NULL, NULL, 11267, 11),
(46888, NULL, 'PS00032', NULL, NULL, '''Homeobox'' antennapedia-type protein signature.', NULL, 'ANTENNAPEDIA', NULL, NULL, 4245, 11),
(46889, NULL, 'PS00806', NULL, NULL, 'Fructose-bisphosphate aldolase class-II signature 2.', NULL, 'ALDOLASE_CLASS_II_2', NULL, NULL, 6772, 11),
(46890, NULL, 'PS00919', NULL, NULL, 'Deoxyribonuclease I signature 1.', NULL, 'DNASE_I_1', NULL, NULL, 19659, 11),
(46891, NULL, 'PS01316', NULL, NULL, 'ATP phosphoribosyltransferase signature.', NULL, 'ATP_P_PHORIBOSYLTR', NULL, NULL, 20036, 11),
(46892, NULL, 'PS00162', NULL, NULL, 'Alpha-carbonic anhydrases signature.', NULL, 'ALPHA_CA_1', NULL, NULL, 8563, 11),
(46893, NULL, 'PS00787', NULL, NULL, 'Chorismate synthase signature 1.', NULL, 'CHORISMATE_SYNTHASE_1', NULL, NULL, 14918, 11),
(46894, NULL, 'PS00761', NULL, NULL, 'Signal peptidases I signature 3.', NULL, 'SPASE_I_3', NULL, NULL, 21408, 11),
(46895, NULL, 'PS00304', NULL, NULL, 'Small, acid-soluble spore proteins, alpha/beta type, signature 1.', NULL, 'SASP_1', NULL, NULL, 19066, 11),
(46896, NULL, 'PS00045', NULL, NULL, 'Bacterial histone-like DNA-binding proteins signature.', NULL, 'HISTONE_LIKE', NULL, NULL, 21136, 11),
(46897, NULL, 'PS00803', NULL, NULL, 'Calreticulin family signature 1.', NULL, 'CALRETICULIN_1', NULL, NULL, 19239, 11),
(46898, NULL, 'PS01039', NULL, NULL, 'Bacterial extracellular solute-binding proteins, family 3 signature.', NULL, 'SBP_BACTERIAL_3', NULL, NULL, 8536, 11),
(46899, NULL, 'PS00997', NULL, NULL, 'G10 protein signature 1.', NULL, 'G10_1', NULL, NULL, 7899, 11),
(46900, NULL, 'PS00730', NULL, NULL, 'AP endonucleases family 2 signature 2.', NULL, 'AP_NUCLEASE_F2_2', NULL, NULL, 8752, 11),
(46901, NULL, 'PS01139', NULL, NULL, 'Bacterial microcompartment (BMC) domain signature.', NULL, 'BMC_1', NULL, NULL, 21028, 11),
(46902, NULL, 'PS00133', NULL, NULL, 'Zinc carboxypeptidases, zinc-binding region 2 signature.', NULL, 'CARBOXYPEPT_ZN_2', NULL, NULL, 174, 11),
(46903, NULL, 'PS00895', NULL, NULL, '3-hydroxyisobutyrate dehydrogenase signature.', NULL, '3_HYDROXYISOBUT_DH', NULL, NULL, 5089, 11),
(46904, NULL, 'PS00336', NULL, NULL, 'Beta-lactamase class-C active site.', NULL, 'BETA_LACTAMASE_C', NULL, NULL, 5429, 11),
(46905, NULL, 'PS00143', NULL, NULL, 'Insulinase family, zinc-binding region signature.', NULL, 'INSULINASE', NULL, NULL, 6509, 11),
(46906, NULL, 'PS01263', NULL, NULL, 'Uncharacterized protein family UPF0021 signature.', NULL, 'UPF0021', NULL, NULL, 14760, 11),
(46907, NULL, 'PS00083', NULL, NULL, 'Intradiol ring-cleavage dioxygenases signature.', NULL, 'INTRADIOL_DIOXYGENAS', NULL, NULL, 5609, 11);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46908, NULL, 'PS00448', NULL, NULL, 'Clostridium cellulosome enzymes repeated domain signature.', NULL, 'CLOS_CELLULOSOME_RPT', NULL, NULL, 5076, 11),
(46909, NULL, 'PS00551', NULL, NULL, 'Prokaryotic molybdopterin oxidoreductases signature 1.', NULL, 'MOLYBDOPTERIN_PROK_1', NULL, NULL, 23792, 11),
(46910, NULL, 'PS00556', NULL, NULL, 'Hok/gef family cell toxic proteins signature.', NULL, 'HOK_GEF', NULL, NULL, 21365, 11),
(46911, NULL, 'PS00060', NULL, NULL, 'Iron-containing alcohol dehydrogenases signature 2.', NULL, 'ADH_IRON_2', NULL, NULL, 7666, 11),
(46912, NULL, 'PS00021', NULL, NULL, 'Kringle domain signature.', NULL, 'KRINGLE_1', NULL, NULL, 13768, 11),
(46913, NULL, 'PS01086', NULL, NULL, 'Ribulose-phosphate 3-epimerase family signature 2.', NULL, 'RIBUL_P_3_EPIMER_2', NULL, NULL, 2971, 11),
(46914, NULL, 'PS01333', NULL, NULL, 'Pyrrolidone-carboxylate peptidase glutamic acid active site.', NULL, 'PYRASE_GLU', NULL, NULL, 30911, 11),
(46915, NULL, 'PS00029', NULL, NULL, 'Leucine zipper pattern.', NULL, 'LEUCINE_ZIPPER', NULL, NULL, NULL, 11),
(46916, NULL, 'PS00017', NULL, NULL, 'ATP/GTP-binding site motif A (P-loop).', NULL, 'ATP_GTP_A', NULL, NULL, NULL, 11),
(46917, NULL, 'PS00644', NULL, NULL, 'Respiratory-chain NADH dehydrogenase 51 Kd subunit signature 1.', NULL, 'COMPLEX1_51K_1', NULL, NULL, 2295, 11),
(46918, NULL, 'PS00706', NULL, NULL, 'Prion protein signature 2.', NULL, 'PRION_2', NULL, NULL, 16414, 11),
(46919, NULL, 'PS01013', NULL, NULL, 'Oxysterol-binding protein family signature.', NULL, 'OSBP', NULL, NULL, 9366, 11),
(46920, NULL, 'PS01313', NULL, NULL, 'Lipoate-protein ligase B signature.', NULL, 'LIPB', NULL, NULL, 19969, 11),
(46921, NULL, 'PS01045', NULL, NULL, 'Squalene and phytoene synthases signature 2.', NULL, 'SQUALEN_PHYTOEN_SYN_2', NULL, NULL, 18370, 11),
(46922, NULL, 'PS00779', NULL, NULL, 'Glycoprotein hormones alpha chain signature 1.', NULL, 'GLYCO_HORMONE_ALPHA_1', NULL, NULL, 5679, 11),
(46923, NULL, 'PS00380', NULL, NULL, 'Rhodanese signature 1.', NULL, 'RHODANESE_1', NULL, NULL, 359, 11),
(46924, NULL, 'PS00680', NULL, NULL, 'Methionine aminopeptidase subfamily 1 signature.', NULL, 'MAP_1', NULL, NULL, 7309, 11),
(46925, NULL, 'PS00152', NULL, NULL, 'ATP synthase alpha and beta subunits signature.', NULL, 'ATPASE_ALPHA_BETA', NULL, NULL, 17155, 11),
(46926, NULL, 'PS60022', NULL, NULL, 'Huwentoxin-2 family signature.', NULL, 'HWTX_2', NULL, NULL, 9502, 11),
(46927, NULL, 'PS00955', NULL, NULL, 'Imidazoleglycerol-phosphate dehydratase signature 2.', NULL, 'IGP_DEHYDRATASE_2', NULL, NULL, 19276, 11),
(46928, NULL, 'PS00267', NULL, NULL, 'Tachykinin family signature.', NULL, 'TACHYKININ', NULL, NULL, 7740, 11),
(46929, NULL, 'PS00608', NULL, NULL, 'Glycosyl hydrolases family 2 acid/base catalyst.', NULL, 'GLYCOSYL_HYDROL_F2_2', NULL, NULL, 15762, 11),
(46930, NULL, 'PS00684', NULL, NULL, 'Small, acid-soluble spore proteins, alpha/beta type, signature 2.', NULL, 'SASP_2', NULL, NULL, 19066, 11),
(46931, NULL, 'PS00667', NULL, NULL, 'Respiratory-chain NADH dehydrogenase subunit 1 signature 1.', NULL, 'COMPLEX1_ND1_1', NULL, NULL, 13911, 11),
(46932, NULL, 'PS00116', NULL, NULL, 'DNA polymerase family B signature.', NULL, 'DNA_POLYMERASE_B', NULL, NULL, 7291, 11),
(46933, NULL, 'PS00956', NULL, NULL, 'Fungal hydrophobins signature.', NULL, 'HYDROPHOBIN', NULL, NULL, 20161, 11),
(46934, NULL, 'PS00354', NULL, NULL, 'HMG-I and HMG-Y DNA-binding domain (A+T-hook).', NULL, 'HMGI_Y', NULL, NULL, 3814, 11),
(46935, NULL, 'PS00775', NULL, NULL, 'Glycosyl hydrolases family 3 active site.', NULL, 'GLYCOSYL_HYDROL_F3', NULL, NULL, 17971, 11),
(46936, NULL, 'PS00718', NULL, NULL, 'Sigma-54 factors family signature 2.', NULL, 'SIGMA54_2', NULL, NULL, 4850, 11),
(46937, NULL, 'PS00369', NULL, NULL, 'PTS HPR domain histidine phosphorylation site signature.', NULL, 'PTS_HPR_HIS', NULL, NULL, 2378, 11),
(46938, NULL, 'PS01241', NULL, NULL, 'Link domain signature.', NULL, 'LINK_1', NULL, NULL, 5622, 11),
(46939, NULL, 'PS01286', NULL, NULL, 'Coagulation factors 5/8 type C domain (FA58C) signature 2.', NULL, 'FA58C_2', NULL, NULL, 4672, 11);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46940, NULL, 'PS00010', NULL, NULL, 'Aspartic acid and asparagine hydroxylation site.', NULL, 'ASX_HYDROXYL', NULL, NULL, 3725, 11),
(46941, NULL, 'PS00438', NULL, NULL, 'Catalase proximal active site signature.', NULL, 'CATALASE_2', NULL, NULL, 351, 11),
(46942, NULL, 'PS00486', NULL, NULL, 'DNA mismatch repair proteins mutS family signature.', NULL, 'DNA_MISMATCH_REPAIR_2', NULL, NULL, 4632, 11),
(46943, NULL, 'PS01346', NULL, NULL, 'Claudin family signature.', NULL, 'CLAUDIN', NULL, NULL, 13457, 11),
(46944, NULL, 'PS00935', NULL, NULL, 'Glyoxalase I signature 2.', NULL, 'GLYOXALASE_I_2', NULL, NULL, 21160, 11),
(46945, NULL, 'PS01330', NULL, NULL, 'Polyamine biosynthesis (PABS) domain signature.', NULL, 'PABS_1', NULL, NULL, 22447, 11),
(46946, NULL, 'PS00318', NULL, NULL, 'Hydroxymethylglutaryl-coenzyme A reductases signature 2.', NULL, 'HMG_COA_REDUCTASE_2', NULL, NULL, 15142, 11),
(46947, NULL, 'PS00658', NULL, NULL, 'Fork head domain signature 2.', NULL, 'FORK_HEAD_2', NULL, NULL, 22964, 11),
(46948, NULL, 'PS00770', NULL, NULL, 'Aminotransferases class-IV signature.', NULL, 'AA_TRANSFER_CLASS_4', NULL, NULL, 16987, 11),
(46949, NULL, 'PS01152', NULL, NULL, 'Hypothetical hesB/yadR/yfhF family signature.', NULL, 'HESB', NULL, NULL, 13202, 11),
(46950, NULL, 'PS00375', NULL, NULL, 'UDP-glycosyltransferases signature.', NULL, 'UDPGT', NULL, NULL, 34418, 11),
(46951, NULL, 'PS01336', NULL, NULL, 'S-adenosylmethionine decarboxylase signature.', NULL, 'ADOMETDC', NULL, NULL, 19991, 11),
(46952, NULL, 'PS01047', NULL, NULL, 'Heavy-metal-associated domain.', NULL, 'HMA_1', NULL, NULL, 19078, 11),
(46953, NULL, 'PS01077', NULL, NULL, 'Ribosomal protein L37e signature.', NULL, 'RIBOSOMAL_L37E', NULL, NULL, 19866, 11),
(46954, NULL, 'PS00077', NULL, NULL, 'Heme-copper oxidase catalytic subunit, copper B binding region signature.', NULL, 'COX1_CUB', NULL, NULL, 19953, 11),
(46955, NULL, 'PS01174', NULL, NULL, 'Lipolytic enzymes "G-D-X-G" family, putative serine active site.', NULL, 'LIPASE_GDXG_SER', NULL, NULL, 32953, 11),
(46956, NULL, 'PS00433', NULL, NULL, 'Phosphofructokinase signature.', NULL, 'PHOSPHOFRUCTOKINASE', NULL, NULL, 8403, 11),
(46957, NULL, 'PS00495', NULL, NULL, 'Apple domain.', NULL, 'APPLE', NULL, NULL, 1685, 11),
(46958, NULL, 'PS00418', NULL, NULL, 'Potexviruses and carlaviruses coat protein signature.', NULL, 'POTEX_CARLAVIRUS_COAT', NULL, NULL, 2634, 11),
(46959, NULL, 'PS60016', NULL, NULL, 'Omega-atracotoxin (ACTX) type 1 family signature.', NULL, 'OMEGA_ACTX_1', NULL, NULL, 19573, 11),
(46960, NULL, 'PS00184', NULL, NULL, 'Phosphoribosylglycinamide synthetase signature.', NULL, 'GARS', NULL, NULL, 14814, 11),
(46961, NULL, 'PS00195', NULL, NULL, 'Glutaredoxin active site.', NULL, 'GLUTAREDOXIN_1', NULL, NULL, 10592, 11),
(46962, NULL, 'PS00543', NULL, NULL, 'HlyD family secretion proteins signature.', NULL, 'HLYD_FAMILY', NULL, NULL, 10242, 11),
(46963, NULL, 'PS00457', NULL, NULL, 'Sodium:solute symporter family signature 2.', NULL, 'NA_SOLUT_SYMP_2', NULL, NULL, 7512, 11),
(46964, NULL, 'PS00507', NULL, NULL, 'Nickel-dependent hydrogenases large subunit signature 1.', NULL, 'NI_HGENASE_L_1', NULL, NULL, 15273, 11),
(46965, NULL, 'PS00995', NULL, NULL, 'Chaperonins TCP-1 signature 3.', NULL, 'TCP1_3', NULL, NULL, 179, 11),
(46966, NULL, 'PS01304', NULL, NULL, 'ubiH/COQ6 monooxygenase family signature.', NULL, 'UBIH', NULL, NULL, 7658, 11),
(46967, NULL, 'PS01106', NULL, NULL, 'Ribosomal protein L18e signature.', NULL, 'RIBOSOMAL_L18E', NULL, NULL, 15096, 11),
(46968, NULL, 'PS01277', NULL, NULL, 'Ribonuclease PH signature.', NULL, 'RIBONUCLEASE_PH', NULL, NULL, 20711, 11),
(46969, NULL, 'PS01251', NULL, NULL, 'Proliferating cell nuclear antigen signature 1.', NULL, 'PCNA_1', NULL, NULL, 17428, 11),
(46970, NULL, 'PS01052', NULL, NULL, 'Calponin-like repeat signature.', NULL, 'CALPONIN_1', NULL, NULL, 5895, 11),
(46971, NULL, 'PS00019', NULL, NULL, 'Actinin-type actin-binding domain signature 1.', NULL, 'ACTININ_1', NULL, NULL, 3416, 11),
(46972, NULL, 'PS00058', NULL, NULL, 'DNA mismatch repair proteins mutL / hexB / PMS1 signature.', NULL, 'DNA_MISMATCH_REPAIR_1', NULL, NULL, 12916, 11);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(46973, NULL, 'PS00445', NULL, NULL, 'FGGY family of carbohydrate kinases signature 2.', NULL, 'FGGY_KINASES_2', NULL, NULL, 21547, 11),
(46974, NULL, 'PS01001', NULL, NULL, 'Succinate dehydrogenase cytochrome b subunit signature 2.', NULL, 'SDH_CYT_2', NULL, NULL, 9178, 11),
(46975, NULL, 'PS00808', NULL, NULL, 'ADP-glucose pyrophosphorylase signature 1.', NULL, 'ADP_GLC_PYROPHOSPH_1', NULL, NULL, 5577, 11),
(46976, NULL, 'PS00633', NULL, NULL, 'Bromodomain signature.', NULL, 'BROMODOMAIN_1', NULL, NULL, 20598, 11),
(46977, NULL, 'PS00128', NULL, NULL, 'Glycosyl hydrolases family 22 (GH22) domain signature.', NULL, 'GLYCOSYL_HYDROL_F22_1', NULL, NULL, 17556, 11),
(46978, NULL, 'PS01081', NULL, NULL, 'TetR-type HTH domain signature.', NULL, 'HTH_TETR_1', NULL, NULL, 6487, 11),
(46979, NULL, 'PS01173', NULL, NULL, 'Lipolytic enzymes "G-D-X-G" family, putative histidine active site.', NULL, 'LIPASE_GDXG_HIS', NULL, NULL, 5470, 11),
(46980, NULL, 'PS01257', NULL, NULL, 'Ribosomal protein L10e signature.', NULL, 'RIBOSOMAL_L10E', NULL, NULL, 19620, 11),
(46981, NULL, 'PS00186', NULL, NULL, 'Isopenicillin N synthase signature 2.', NULL, 'IPNS_2', NULL, NULL, 5011, 11),
(46982, NULL, 'PS00234', NULL, NULL, 'Gas vesicles protein GVPa signature 1.', NULL, 'GAS_VESICLE_A_1', NULL, NULL, 9207, 11),
(46983, NULL, 'PS01359', NULL, NULL, 'Zinc finger PHD-type signature.', NULL, 'ZF_PHD_1', NULL, NULL, 15288, 11),
(46984, NULL, 'PS00973', NULL, NULL, 'Ubiquitin specific protease (USP) domain signature 2.', NULL, 'USP_2', NULL, NULL, 15182, 11),
(46985, NULL, 'PS00722', NULL, NULL, 'Formate--tetrahydrofolate ligase signature 2.', NULL, 'FTHFS_2', NULL, NULL, 20224, 11),
(46986, NULL, 'PS00356', NULL, NULL, 'LacI-type HTH domain signature.', NULL, 'HTH_LACI_1', NULL, NULL, NULL, 11),
(46987, NULL, 'PS00401', NULL, NULL, 'Prokaryotic sulfate-binding proteins signature 1.', NULL, 'PROK_SULFATE_BIND_1', NULL, NULL, 170, 11),
(46988, NULL, 'PS00536', NULL, NULL, 'Ubiquitin-activating enzyme signature 1.', NULL, 'UBIQUITIN_ACTIVAT_1', NULL, NULL, 19129, 11),
(46989, NULL, 'PS00231', NULL, NULL, 'F-actin capping protein beta subunit signature.', NULL, 'F_ACTIN_CAPPING_BETA', NULL, NULL, 17794, 11),
(46990, NULL, 'PS00252', NULL, NULL, 'Interferon alpha, beta and delta family signature.', NULL, 'INTERFERON_A_B_D', NULL, NULL, 5769, 11),
(46991, NULL, 'PS00324', NULL, NULL, 'Aspartokinase signature.', NULL, 'ASPARTOKINASE', NULL, NULL, 19315, 11),
(46992, NULL, 'PS00900', NULL, NULL, 'Bacteriophage-type RNA polymerase family active site signature 1.', NULL, 'RNA_POL_PHAGE_1', NULL, NULL, 5456, 11),
(46993, NULL, 'PS00079', NULL, NULL, 'Multicopper oxidases signature 1.', NULL, 'MULTICOPPER_OXIDASE1', NULL, NULL, 32851, 11),
(46994, NULL, 'PS00872', NULL, NULL, 'Sodium:galactoside symporter family signature.', NULL, 'NA_GALACTOSIDE_SYMP', NULL, NULL, 19271, 11),
(46995, NULL, 'PS01235', NULL, NULL, 'PdxS/SNZ family signature.', NULL, 'PDXS_SNZ_1', NULL, NULL, 4280, 11),
(46996, NULL, 'PS60026', NULL, NULL, 'Ergtoxin family signature.', NULL, 'ERGTX', NULL, NULL, 9716, 11),
(46997, NULL, 'PS00372', NULL, NULL, 'PTS EIIA domains phosphorylation site signature 2.', NULL, 'PTS_EIIA_TYPE_2_HIS', NULL, NULL, 5774, 11),
(46998, NULL, 'PS00834', NULL, NULL, 'Aspartyl proteases, omptin family signature 1.', NULL, 'OMPTIN_1', NULL, NULL, 16470, 11),
(46999, NULL, 'PS00008', NULL, NULL, 'N-myristoylation site.', NULL, 'MYRISTYL', NULL, NULL, NULL, 11),
(47000, NULL, 'PS00114', NULL, NULL, 'Phosphoribosyl pyrophosphate synthase signature.', NULL, 'PRPP_SYNTHASE', NULL, NULL, 4682, 11),
(47001, NULL, 'PS00502', NULL, NULL, 'Polygalacturonase active site.', NULL, 'POLYGALACTURONASE', NULL, NULL, 3647, 11),
(47002, NULL, 'PS00049', NULL, NULL, 'Ribosomal protein L14 signature.', NULL, 'RIBOSOMAL_L14', NULL, NULL, 15797, 11),
(47003, NULL, 'PS00586', NULL, NULL, 'Ribosomal protein L16 signature 1.', NULL, 'RIBOSOMAL_L16_1', NULL, NULL, 20048, 11),
(47004, NULL, 'PS00203', NULL, NULL, 'Vertebrate metallothioneins signature.', NULL, 'METALLOTHIONEIN_VRT', NULL, NULL, 19121, 11);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47005, NULL, 'PS00670', NULL, NULL, 'D-isomer specific 2-hydroxyacid dehydrogenases signature 2.', NULL, 'D_2_HYDROXYACID_DH_2', NULL, NULL, 26554, 11),
(47006, NULL, 'PS00391', NULL, NULL, 'Sodium and potassium ATPases beta subunits signature 2.', NULL, 'ATPASE_NA_K_BETA_2', NULL, NULL, 4747, 11),
(47007, NULL, 'PS00765', NULL, NULL, 'Phosphoglucose isomerase signature 1.', NULL, 'P_GLUCOSE_ISOMERASE_1', NULL, NULL, 14976, 11),
(47008, NULL, 'PS01093', NULL, NULL, 'Adenylate cyclase class-I signature 2.', NULL, 'ADENYLATE_CYCLASE_1_2', NULL, NULL, 25508, 11),
(47009, NULL, 'PS01216', NULL, NULL, 'ATP-citrate lyase / succinyl-CoA ligases family signature 1.', NULL, 'SUCCINYL_COA_LIG_1', NULL, NULL, 31986, 11),
(47010, NULL, 'PS01143', NULL, NULL, 'Ribosomal protein L31 signature.', NULL, 'RIBOSOMAL_L31', NULL, NULL, 5012, 11),
(47011, NULL, 'PS00701', NULL, NULL, 'Ribosomal protein L16 signature 2.', NULL, 'RIBOSOMAL_L16_2', NULL, NULL, 20048, 11),
(47012, NULL, 'PS00248', NULL, NULL, 'Nerve growth factor family signature.', NULL, 'NGF_1', NULL, NULL, 18771, 11),
(47013, NULL, 'PS00934', NULL, NULL, 'Glyoxalase I signature 1.', NULL, 'GLYOXALASE_I_1', NULL, NULL, 21160, 11),
(47014, NULL, 'PS00568', NULL, NULL, 'Myelin P0 protein signature.', NULL, 'MYELIN_P0', NULL, NULL, 12540, 11),
(47015, NULL, 'PS01166', NULL, NULL, 'RNA polymerases beta chain signature.', NULL, 'RNA_POL_BETA', NULL, NULL, 196, 11),
(47016, NULL, 'PS00762', NULL, NULL, 'WHEP-TRS domain signature.', NULL, 'WHEP_TRS_1', NULL, NULL, 3720, 11),
(47017, NULL, 'PS00681', NULL, NULL, 'Chaperonins cpn10 signature.', NULL, 'CHAPERONINS_CPN10', NULL, NULL, 20911, 11),
(47018, NULL, 'PS01027', NULL, NULL, 'Glycosyl hydrolases family 39 active site.', NULL, 'GLYCOSYL_HYDROL_F39', NULL, NULL, 6993, 11),
(47019, NULL, 'PS01249', NULL, NULL, 'Hydrogenases expression/synthesis hypA family signature.', NULL, 'HYPA', NULL, NULL, 14558, 11),
(47020, NULL, 'PS01065', NULL, NULL, 'Electron transfer flavoprotein beta-subunit signature.', NULL, 'ETF_BETA', NULL, NULL, 2684, 11),
(47021, NULL, 'PS00746', NULL, NULL, 'NifH/frxC family signature 1.', NULL, 'NIFH_FRXC_1', NULL, NULL, 28744, 11),
(47022, NULL, 'PS01295', NULL, NULL, '4-diphosphocytidyl-2C-methyl-D-erythritol synthase signature.', NULL, 'ISPD', NULL, NULL, 16531, 11),
(47023, NULL, 'PS00099', NULL, NULL, 'Thiolases active site.', NULL, 'THIOLASE_3', NULL, NULL, 20099, 11),
(47024, NULL, 'PS00323', NULL, NULL, 'Ribosomal protein S19 signature.', NULL, 'RIBOSOMAL_S19', NULL, NULL, 15035, 11),
(47025, NULL, 'PS01109', NULL, NULL, 'Ribosomal protein L10 signature.', NULL, 'RIBOSOMAL_L10', NULL, NULL, 6631, 11),
(47026, NULL, 'PS00989', NULL, NULL, 'Clathrin adaptor complexes small chain signature.', NULL, 'CLAT_ADAPTOR_S', NULL, NULL, 7000, 11),
(47027, NULL, 'PS00517', NULL, NULL, 'Ribonuclease III family signature.', NULL, 'RNASE_3_1', NULL, NULL, 47, 11),
(47028, NULL, 'PS00322', NULL, NULL, 'Histone H3 signature 1.', NULL, 'HISTONE_H3_1', NULL, NULL, 1917, 11),
(47029, NULL, 'PS01212', NULL, NULL, 'ATP P2X receptors signature.', NULL, 'P2X_RECEPTOR', NULL, NULL, 6839, 11),
(47030, NULL, 'PS00335', NULL, NULL, 'Parathyroid hormone family signature.', NULL, 'PARATHYROID', NULL, NULL, 6358, 11),
(47031, NULL, 'PS00120', NULL, NULL, 'Lipases, serine active site.', NULL, 'LIPASE_SER', NULL, NULL, NULL, 11),
(47032, NULL, 'PS00382', NULL, NULL, 'Endopeptidase Clp histidine active site.', NULL, 'CLP_PROTEASE_HIS', NULL, NULL, 30620, 11),
(47033, NULL, 'PS00245', NULL, NULL, 'Phytochrome chromophore attachment site signature.', NULL, 'PHYTOCHROME_1', NULL, NULL, 9824, 11),
(47034, NULL, 'PS00564', NULL, NULL, 'Argininosuccinate synthase signature 1.', NULL, 'ARGININOSUCCIN_SYN_1', NULL, NULL, 7653, 11),
(47035, NULL, 'PS01262', NULL, NULL, 'Eukaryotic initiation factor 1A signature.', NULL, 'IF1A', NULL, NULL, 13694, 11),
(47036, NULL, 'PS00772', NULL, NULL, 'Barwin domain signature 2.', NULL, 'BARWIN_2', NULL, NULL, 7755, 11),
(47037, NULL, 'PS00843', NULL, NULL, 'D-alanine--D-alanine ligase signature 1.', NULL, 'DALA_DALA_LIGASE_1', NULL, NULL, 934, 11);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47038, NULL, 'PS00233', NULL, NULL, 'Chitin-binding type R&R domain signature.', NULL, 'CHIT_BIND_RR_1', NULL, NULL, 26748, 11),
(47039, NULL, 'PS00268', NULL, NULL, 'Cecropin family signature.', NULL, 'CECROPIN', NULL, NULL, NULL, 11),
(47040, NULL, 'PS00307', NULL, NULL, 'Legume lectins beta-chain signature.', NULL, 'LECTIN_LEGUME_BETA', NULL, NULL, 17655, 11),
(47041, NULL, 'PS01158', NULL, NULL, 'Macrophage migration inhibitory factor family signature.', NULL, 'MIF', NULL, NULL, 17887, 11),
(47042, NULL, 'PS01204', NULL, NULL, 'NF-kappa-B/Rel/dorsal domain signature.', NULL, 'REL_1', NULL, NULL, 22120, 11),
(47043, NULL, 'PS00222', NULL, NULL, 'Insulin-like growth factor-binding protein (IGFBP) N-terminal domain signature.', NULL, 'IGFBP_N_1', NULL, NULL, 7933, 11),
(47044, NULL, 'PS00478', NULL, NULL, 'LIM zinc-binding domain signature.', NULL, 'LIM_DOMAIN_1', NULL, NULL, 4843, 11),
(47045, NULL, 'PS01101', NULL, NULL, 'Casein kinase II regulatory subunit signature.', NULL, 'CK2_BETA', NULL, NULL, 6657, 11),
(47046, NULL, 'PS00097', NULL, NULL, 'Aspartate and ornithine carbamoyltransferases signature.', NULL, 'CARBAMOYLTRANSFERASE', NULL, NULL, 10454, 11),
(47047, NULL, 'PS00090', NULL, NULL, 'Nitrogenases component 1 alpha and beta subunits signature 2.', NULL, 'NITROGENASE_1_2', NULL, NULL, 632, 11),
(47048, NULL, 'PS01125', NULL, NULL, 'ROK family signature.', NULL, 'ROK', NULL, NULL, 5890, 11),
(47049, NULL, 'PS01186', NULL, NULL, 'EGF-like domain signature 2.', NULL, 'EGF_2', NULL, NULL, 3532, 11),
(47050, NULL, 'PS00915', NULL, NULL, 'Phosphatidylinositol 3- and 4-kinases signature 1.', NULL, 'PI3_4_KINASE_1', NULL, NULL, 9224, 11),
(47051, NULL, 'PS01165', NULL, NULL, 'Copper amine oxidase copper-binding site signature.', NULL, 'COPPER_AMINE_OXID_2', NULL, NULL, 753, 11),
(47052, NULL, 'PS00330', NULL, NULL, 'Hemolysin-type calcium-binding region signature.', NULL, 'HEMOLYSIN_CALCIUM', NULL, NULL, 15484, 11),
(47053, NULL, 'PS60002', NULL, NULL, 'Phosphoketolase signature 1.', NULL, 'PHOSPHOKETOLASE_1', NULL, NULL, 17537, 11),
(47054, NULL, 'PS00909', NULL, NULL, 'Mandelate racemase / muconate lactonizing enzyme family signature 2.', NULL, 'MR_MLE_2', NULL, NULL, 13981, 11),
(47055, NULL, 'PS01320', NULL, NULL, 'Uncharacterized protein family UPF0067 signature.', NULL, 'UPF0067', NULL, NULL, 5917, 11),
(47056, NULL, 'PS00305', NULL, NULL, '11-S plant seed storage proteins signature.', NULL, '11S_SEED_STORAGE', NULL, NULL, 16218, 11),
(47057, NULL, 'PS00338', NULL, NULL, 'Somatotropin, prolactin and related hormones signature 2.', NULL, 'SOMATOTROPIN_2', NULL, NULL, 19201, 11),
(47058, NULL, 'PS01023', NULL, NULL, 'PTR2 family proton/oligopeptide symporters signature 2.', NULL, 'PTR2_2', NULL, NULL, 9239, 11),
(47059, NULL, 'PS00146', NULL, NULL, 'Beta-lactamase class-A active site.', NULL, 'BETA_LACTAMASE_A', NULL, NULL, 980, 11),
(47060, NULL, 'PS00183', NULL, NULL, 'Ubiquitin-conjugating (UBC) active site signature.', NULL, 'UBC_1', NULL, NULL, 21465, 11),
(47061, NULL, 'PS00365', NULL, NULL, 'Nitrite and sulfite reductases iron-sulfur/siroheme-binding site.', NULL, 'NIR_SIR', NULL, NULL, 2859, 11),
(47062, NULL, 'PS00757', NULL, NULL, 'Prokaryotic sulfate-binding proteins signature 2.', NULL, 'PROK_SULFATE_BIND_2', NULL, NULL, 34630, 11),
(47063, NULL, 'PS01189', NULL, NULL, 'Ribosomal protein S12e signature.', NULL, 'RIBOSOMAL_S12E', NULL, NULL, 5572, 11),
(47064, NULL, 'PS00683', NULL, NULL, 'Rhodanese C-terminal signature.', NULL, 'RHODANESE_2', NULL, NULL, 359, 11),
(47065, NULL, 'PS00862', NULL, NULL, 'Oxygen oxidoreductases covalent FAD-binding site.', NULL, 'OX2_COVAL_FAD', NULL, NULL, 2532, 11),
(47066, NULL, 'PS01196', NULL, NULL, 'Peptidyl-tRNA hydrolase signature 2.', NULL, 'PEPT_TRNA_HYDROL_2', NULL, NULL, 12310, 11),
(47067, NULL, 'PS00298', NULL, NULL, 'Heat shock hsp90 proteins family signature.', NULL, 'HSP90', NULL, NULL, 17598, 11),
(47068, NULL, 'PS00455', NULL, NULL, 'Putative AMP-binding domain signature.', NULL, 'AMP_BINDING', NULL, NULL, 20963, 11);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47069, NULL, 'PS00413', NULL, NULL, 'Neuromodulin (GAP-43) signature 2.', NULL, 'NEUROMODULIN_2', NULL, NULL, 33527, 11),
(47070, NULL, 'PS00639', NULL, NULL, 'Eukaryotic thiol (cysteine) proteases histidine active site.', NULL, 'THIOL_PROTEASE_HIS', NULL, NULL, 28129, 11),
(47071, NULL, 'PS01291', NULL, NULL, 'NAD:arginine ADP-ribosyltransferases signature.', NULL, 'ART', NULL, NULL, 6788, 11),
(47072, NULL, 'PS00361', NULL, NULL, 'Ribosomal protein S10 signature.', NULL, 'RIBOSOMAL_S10', NULL, NULL, 19907, 11),
(47073, NULL, 'PS01094', NULL, NULL, 'Uncharacterized protein family UPF0076 signature.', NULL, 'UPF0076', NULL, NULL, 15483, 11),
(47074, NULL, 'PS00947', NULL, NULL, 'Cathelicidins signature 2.', NULL, 'CATHELICIDINS_2', NULL, NULL, 7783, 11),
(47075, NULL, 'PS00602', NULL, NULL, 'Fructose-bisphosphate aldolase class-II signature 1.', NULL, 'ALDOLASE_CLASS_II_1', NULL, NULL, 6772, 11),
(47076, NULL, 'PS00911', NULL, NULL, 'Dihydroorotate dehydrogenase signature 1.', NULL, 'DHODEHASE_1', NULL, NULL, 805, 11),
(47077, NULL, 'PS01070', NULL, NULL, 'DNA/RNA non-specific endonucleases active site.', NULL, 'NUCLEASE_NON_SPEC', NULL, NULL, 20493, 11),
(47078, NULL, 'PS00531', NULL, NULL, 'Ribonuclease T2 family histidine active site 2.', NULL, 'RNASE_T2_2', NULL, NULL, 30243, 11),
(47079, NULL, 'PS01332', NULL, NULL, 'Rrf2-type HTH domain signature.', NULL, 'HTH_RRF2_1', NULL, NULL, 28805, 11),
(47080, NULL, 'PS00820', NULL, NULL, 'Glucoamylase active site region signature.', NULL, 'GLUCOAMYLASE', NULL, NULL, 3805, 11),
(47081, NULL, 'PS00240', NULL, NULL, 'Receptor tyrosine kinase class III signature.', NULL, 'RECEPTOR_TYR_KIN_III', NULL, NULL, 4179, 11),
(47082, NULL, 'PS01267', NULL, NULL, 'Uncharacterized protein family UPF0023 signature.', NULL, 'UPF0023', NULL, NULL, 11737, 11),
(47083, NULL, 'PS00703', NULL, NULL, 'Orn/Lys/Arg decarboxylases family 1 pyridoxal-P attachment site.', NULL, 'OKR_DC_1', NULL, NULL, 946, 11),
(47084, NULL, 'PS00302', NULL, NULL, 'Eukaryotic initiation factor 5A hypusine signature.', NULL, 'IF5A_HYPUSINE', NULL, NULL, 21223, 11),
(47085, NULL, 'PS00928', NULL, NULL, 'Trehalase signature 2.', NULL, 'TREHALASE_2', NULL, NULL, 7659, 11),
(47086, NULL, 'PS00788', NULL, NULL, 'Chorismate synthase signature 2.', NULL, 'CHORISMATE_SYNTHASE_2', NULL, NULL, 14918, 11),
(47087, NULL, 'PS01057', NULL, NULL, 'SAICAR synthetase signature 1.', NULL, 'SAICAR_SYNTHETASE_1', NULL, NULL, 7672, 11),
(47088, NULL, 'PS00981', NULL, NULL, 'G-protein coupled receptors family 3 signature 3.', NULL, 'G_PROTEIN_RECEP_F3_3', NULL, NULL, 19165, 11),
(47089, NULL, 'PS01108', NULL, NULL, 'Ribosomal protein L24 signature.', NULL, 'RIBOSOMAL_L24', NULL, NULL, 5794, 11),
(47090, NULL, 'PS01142', NULL, NULL, 'Bacterial type II secretion system protein N signature.', NULL, 'T2SP_N', NULL, NULL, 6523, 11),
(47091, NULL, 'PS00756', NULL, NULL, 'Protein secY signature 2.', NULL, 'SECY_2', NULL, NULL, 24871, 11),
(47092, NULL, 'PS01104', NULL, NULL, 'Ribosomal protein L13e signature.', NULL, 'RIBOSOMAL_L13E', NULL, NULL, 19750, 11),
(47093, NULL, 'PS00312', NULL, NULL, 'Glycophorin A signature.', NULL, 'GLYCOPHORIN_A', NULL, NULL, 9495, 11),
(47094, NULL, 'PS01208', NULL, NULL, 'VWFC domain signature.', NULL, 'VWFC_1', NULL, NULL, 2253, 11),
(47095, NULL, 'PS00158', NULL, NULL, 'Fructose-bisphosphate aldolase class-I active site.', NULL, 'ALDOLASE_CLASS_I', NULL, NULL, 26552, 11),
(47096, NULL, 'PS00514', NULL, NULL, 'Fibrinogen C-terminal domain signature.', NULL, 'FIBRINOGEN_C_1', NULL, NULL, 20551, 11),
(47097, NULL, 'PS00357', NULL, NULL, 'Histone H2B signature.', NULL, 'HISTONE_H2B', NULL, NULL, 5912, 11),
(47098, NULL, 'PS00393', NULL, NULL, 'Phosphoenolpyruvate carboxylase active site 2.', NULL, 'PEPCASE_2', NULL, NULL, 30278, 11),
(47099, NULL, 'PS00572', NULL, NULL, 'Glycosyl hydrolases family 1 active site.', NULL, 'GLYCOSYL_HYDROL_F1_1', NULL, NULL, 19241, 11),
(47100, NULL, 'PS00487', NULL, NULL, 'IMP dehydrogenase / GMP reductase signature.', NULL, 'IMP_DH_GMP_RED', NULL, NULL, 14499, 11);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47101, NULL, 'PS01352', NULL, NULL, 'Long hematopoietin receptor, single chain family signature.', NULL, 'HEMATOPO_REC_L_F1', NULL, NULL, 6031, 11),
(47102, NULL, 'PS00548', NULL, NULL, 'Ribosomal protein S3 signature.', NULL, 'RIBOSOMAL_S3', NULL, NULL, 20362, 11),
(47103, NULL, 'PS00367', NULL, NULL, 'Biopterin-dependent aromatic amino acid hydroxylases signature.', NULL, 'BH4_AAA_HYDROXYL_1', NULL, NULL, 16766, 11),
(47104, NULL, 'PS01128', NULL, NULL, 'Shikimate kinase signature.', NULL, 'SHIKIMATE_KINASE', NULL, NULL, 15330, 11),
(47105, NULL, 'PS00799', NULL, NULL, 'Granulins signature.', NULL, 'GRANULINS', NULL, NULL, 1606, 11),
(47106, NULL, 'PS01035', NULL, NULL, 'PTS EIIB domains cysteine phosphorylation site signature.', NULL, 'PTS_EIIB_TYPE_1_CYS', NULL, NULL, 829, 11),
(47107, NULL, 'PS00992', NULL, NULL, 'Serum amyloid A proteins signature.', NULL, 'SAA', NULL, NULL, 3860, 11),
(47108, NULL, 'PS00110', NULL, NULL, 'Pyruvate kinase active site signature.', NULL, 'PYRUVATE_KINASE', NULL, NULL, 7551, 11),
(47109, NULL, 'PS00977', NULL, NULL, 'FAD-dependent glycerol-3-phosphate dehydrogenase signature 1.', NULL, 'FAD_G3PDH_1', NULL, NULL, 5772, 11),
(47110, NULL, 'PS01258', NULL, NULL, 'Apoptosis regulator, Bcl-2 family BH2 motif signature.', NULL, 'BH2', NULL, NULL, 19597, 11),
(47111, NULL, 'PS00781', NULL, NULL, 'Phosphoenolpyruvate carboxylase active site 1.', NULL, 'PEPCASE_1', NULL, NULL, 12818, 11),
(47112, NULL, 'PS00238', NULL, NULL, 'Visual pigments (opsins) retinal binding site.', NULL, 'OPSIN', NULL, NULL, 26883, 11),
(47113, NULL, 'PS00876', NULL, NULL, 'Indoleamine 2,3-dioxygenase signature 1.', NULL, 'IDO_1', NULL, NULL, 3389, 11),
(47114, NULL, 'PS00209', NULL, NULL, 'Arthropod hemocyanins / insect LSPs signature 1.', NULL, 'HEMOCYANIN_1', NULL, NULL, 12822, 11),
(47115, NULL, 'PS01025', NULL, NULL, 'Protein phosphatase 2A regulatory subunit PR55 signature 2.', NULL, 'PR55_2', NULL, NULL, 19421, 11),
(47116, NULL, 'PS00822', NULL, NULL, 'Cytochrome c and c1 heme lyases signature 2.', NULL, 'CYTO_HEME_LYASE_2', NULL, NULL, 6648, 11),
(47117, NULL, 'PS00256', NULL, NULL, 'Adipokinetic hormone family signature.', NULL, 'AKH', NULL, NULL, 1358, 11),
(47118, NULL, 'PS00082', NULL, NULL, 'Extradiol ring-cleavage dioxygenases signature.', NULL, 'EXTRADIOL_DIOXYGENAS', NULL, NULL, 6914, 11),
(47119, NULL, 'PS00033', NULL, NULL, '''Homeobox'' engrailed-type protein signature.', NULL, 'ENGRAILED', NULL, NULL, 12932, 11),
(47120, NULL, 'PS00035', NULL, NULL, 'POU-specific (POUs) domain signature 1.', NULL, 'POU_1', NULL, NULL, 530, 11),
(47121, NULL, 'PS01203', NULL, NULL, 'BTG family signature 2.', NULL, 'BTG_2', NULL, NULL, 1338, 11),
(47122, NULL, 'PS00139', NULL, NULL, 'Eukaryotic thiol (cysteine) proteases cysteine active site.', NULL, 'THIOL_PROTEASE_CYS', NULL, NULL, 3520, 11),
(47123, NULL, 'PS01335', NULL, NULL, 'Methylglyoxal synthase active site.', NULL, 'METHYLGLYOXAL_SYNTH', NULL, NULL, 21487, 11),
(47124, NULL, 'PS01243', NULL, NULL, 'Bax inhibitor-1 family signature.', NULL, 'BI1', NULL, NULL, 11407, 11),
(47125, NULL, 'PS00149', NULL, NULL, 'Sulfatases signature 2.', NULL, 'SULFATASE_2', NULL, NULL, 28859, 11),
(47126, NULL, 'PS00624', NULL, NULL, 'GMC oxidoreductases signature 2.', NULL, 'GMC_OXRED_2', NULL, NULL, 3760, 11),
(47127, NULL, 'PS00860', NULL, NULL, 'GTP cyclohydrolase I signature 2.', NULL, 'GTP_CYCLOHYDROL_1_2', NULL, NULL, 7701, 11),
(47128, NULL, 'PS00342', NULL, NULL, 'Microbodies C-terminal targeting signal.', NULL, 'MICROBODIES_CTER', NULL, NULL, NULL, 11),
(47129, NULL, 'PS00316', NULL, NULL, 'Thaumatin family signature.', NULL, 'THAUMATIN_1', NULL, NULL, 2901, 11),
(47130, NULL, 'PS01075', NULL, NULL, 'Acetate and butyrate kinases family signature 1.', NULL, 'ACETATE_KINASE_1', NULL, NULL, 8213, 11),
(47131, NULL, 'PS00565', NULL, NULL, 'Argininosuccinate synthase signature 2.', NULL, 'ARGININOSUCCIN_SYN_2', NULL, NULL, 7653, 11),
(47132, NULL, 'PS01242', NULL, NULL, 'Zinc finger FPG-type signature.', NULL, 'ZF_FPG_1', NULL, NULL, 7213, 11);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47133, NULL, 'PS00319', NULL, NULL, 'Amyloid precursor protein (APP) copper-binding (CuBD) domain signature.', NULL, 'APP_CUBD', NULL, NULL, 12917, 11),
(47134, NULL, 'PS00345', NULL, NULL, 'Ets-domain signature 1.', NULL, 'ETS_DOMAIN_1', NULL, NULL, 6998, 11),
(47135, NULL, 'PS00521', NULL, NULL, 'Delta 1-pyrroline-5-carboxylate reductase signature.', NULL, 'P5CR', NULL, NULL, 546, 11),
(47136, NULL, 'PS00869', NULL, NULL, 'Renal dipeptidase active site.', NULL, 'RENAL_DIPEPTIDASE_1', NULL, NULL, 1749, 11),
(47137, NULL, 'PS00474', NULL, NULL, 'Ribosomal protein L3 signature.', NULL, 'RIBOSOMAL_L3', NULL, NULL, 15086, 11),
(47138, NULL, 'PS00315', NULL, NULL, 'Dehydrins signature 1.', NULL, 'DEHYDRIN_1', NULL, NULL, 26029, 11),
(47139, NULL, 'PS01327', NULL, NULL, 'Large-conductance mechanosensitive channels mscL family signature.', NULL, 'MSCL', NULL, NULL, 17579, 11),
(47140, NULL, 'PS00771', NULL, NULL, 'Barwin domain signature 1.', NULL, 'BARWIN_1', NULL, NULL, 7755, 11),
(47141, NULL, 'PS00792', NULL, NULL, 'Dihydropteroate synthase signature 1.', NULL, 'DHPS_1', NULL, NULL, 5513, 11),
(47142, NULL, 'PS00542', NULL, NULL, 'Respiratory chain NADH dehydrogenase 30 Kd subunit signature.', NULL, 'COMPLEX1_30K', NULL, NULL, 19935, 11),
(47143, NULL, 'PS01138', NULL, NULL, 'Scorpion short toxins signature.', NULL, 'SCORP_SHORT_TOXIN', NULL, NULL, NULL, 11),
(47144, NULL, 'PS01164', NULL, NULL, 'Copper amine oxidase topaquinone signature.', NULL, 'COPPER_AMINE_OXID_1', NULL, NULL, 753, 11),
(47145, NULL, 'PS00210', NULL, NULL, 'Arthropod hemocyanins / insect LSPs signature 2.', NULL, 'HEMOCYANIN_2', NULL, NULL, 12822, 11),
(47146, NULL, 'PS00121', NULL, NULL, 'Colipase signature.', NULL, 'COLIPASE_1', NULL, NULL, 18525, 11),
(47147, NULL, 'PS00450', NULL, NULL, 'Aconitase family signature 1.', NULL, 'ACONITASE_1', NULL, NULL, 20428, 11),
(47148, NULL, 'PS00301', NULL, NULL, 'Translational (tr)-type guanine nucleotide-binding (G) domain signature.', NULL, 'G_TR_1', NULL, NULL, 26529, 11),
(47149, NULL, 'PS00594', NULL, NULL, 'Aromatic amino acids permeases signature.', NULL, 'AROMATIC_AA_PERMEASE_1', NULL, NULL, 7570, 11),
(47150, NULL, 'PS01041', NULL, NULL, 'Stathmin family signature 2.', NULL, 'STATHMIN_2', NULL, NULL, 26483, 11),
(47151, NULL, 'PS00061', NULL, NULL, 'Short-chain dehydrogenases/reductases family signature.', NULL, 'ADH_SHORT', NULL, NULL, 20143, 11),
(47152, NULL, 'PS00066', NULL, NULL, 'Hydroxymethylglutaryl-coenzyme A reductases signature 1.', NULL, 'HMG_COA_REDUCTASE_1', NULL, NULL, 15142, 11),
(47153, NULL, 'PS00999', NULL, NULL, 'Streptomyces subtilisin-type inhibitors signature.', NULL, 'SSI', NULL, NULL, 16011, 11),
(47154, NULL, 'PS01293', NULL, NULL, 'Nudix CoA signature.', NULL, 'NUDIX_COA', NULL, NULL, 2581, 11),
(47155, NULL, 'PS00767', NULL, NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase signature 2.', NULL, 'THF_DHG_CYH_2', NULL, NULL, 19238, 11),
(47156, NULL, 'PS00567', NULL, NULL, 'Phosphoribulokinase signature.', NULL, 'PHOSPHORIBULOKINASE', NULL, NULL, 2605, 11),
(47157, NULL, 'PS00399', NULL, NULL, 'ATP-citrate lyase / succinyl-CoA ligases family active site.', NULL, 'SUCCINYL_COA_LIG_2', NULL, NULL, 18676, 11),
(47158, NULL, 'PS60032', NULL, NULL, 'Glycosyl hydrolases family 9 (GH9) active site signature 1.', NULL, 'GH9_1', NULL, NULL, NULL, 11),
(47159, NULL, 'PS00103', NULL, NULL, 'Purine/pyrimidine phosphoribosyl transferases signature.', NULL, 'PUR_PYR_PR_TRANSFER', NULL, NULL, NULL, 11),
(47160, NULL, 'PS00098', NULL, NULL, 'Thiolases acyl-enzyme intermediate signature.', NULL, 'THIOLASE_1', NULL, NULL, 19874, 11),
(47161, NULL, 'PS01354', NULL, NULL, 'Long hematopoietin receptor, soluble alpha chains family signature.', NULL, 'HEMATOPO_REC_L_F3', NULL, NULL, 7103, 11),
(47162, NULL, 'PS00059', NULL, NULL, 'Zinc-containing alcohol dehydrogenases signature.', NULL, 'ADH_ZINC', NULL, NULL, 6814, 11),
(47163, NULL, 'PS00850', NULL, NULL, 'Glycine radical domain signature.', NULL, 'GLY_RADICAL_1', NULL, NULL, 20246, 11),
(47164, NULL, 'PS01141', NULL, NULL, 'Bacterial type II secretion system protein C signature.', NULL, 'T2SP_C', NULL, NULL, 3990, 11);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47165, NULL, 'PS00810', NULL, NULL, 'ADP-glucose pyrophosphorylase signature 3.', NULL, 'ADP_GLC_PYROPHOSPH_3', NULL, NULL, 5577, 11),
(47166, NULL, 'PS00106', NULL, NULL, 'Galactokinase signature.', NULL, 'GALACTOKINASE', NULL, NULL, 12746, 11),
(47167, NULL, 'PS00509', NULL, NULL, 'Ras GTPase-activating proteins domain signature.', NULL, 'RAS_GTPASE_ACTIV_1', NULL, NULL, 15684, 11),
(47168, NULL, 'PS00508', NULL, NULL, 'Nickel-dependent hydrogenases large subunit signature 2.', NULL, 'NI_HGENASE_L_2', NULL, NULL, 15273, 11),
(47169, NULL, 'PS01206', NULL, NULL, 'Amiloride-sensitive sodium channels signature.', NULL, 'ASC', NULL, NULL, 20497, 11),
(47170, NULL, 'PS00660', NULL, NULL, 'FERM domain signature 1.', NULL, 'FERM_1', NULL, NULL, 21336, 11),
(47171, NULL, 'PS00657', NULL, NULL, 'Fork head domain signature 1.', NULL, 'FORK_HEAD_1', NULL, NULL, 19001, 11),
(47172, NULL, 'PS01105', NULL, NULL, 'Ribosomal protein L35Ae signature.', NULL, 'RIBOSOMAL_L35AE', NULL, NULL, 19833, 11),
(47173, NULL, 'PS00921', NULL, NULL, 'Nitrilases / cyanide hydratase active site signature.', NULL, 'NITRIL_CHT_2', NULL, NULL, 1568, 11),
(47174, NULL, 'PS00677', NULL, NULL, 'D-amino acid oxidases signature.', NULL, 'DAO', NULL, NULL, 11064, 11),
(47175, NULL, 'PS01157', NULL, NULL, 'Class A bacterial acid phosphatases signature.', NULL, 'ACID_PHOSPH_CL_A', NULL, NULL, 16954, 11),
(47176, NULL, 'PS00813', NULL, NULL, 'Eukaryotic initiation factor 4E signature.', NULL, 'IF4E', NULL, NULL, 9477, 11),
(47177, NULL, 'PS00679', NULL, NULL, 'Beta-amylase active site 2.', NULL, 'BETA_AMYLASE_2', NULL, NULL, 8555, 11),
(47178, NULL, 'PS00299', NULL, NULL, 'Ubiquitin domain signature.', NULL, 'UBIQUITIN_1', NULL, NULL, 15463, 11),
(47179, NULL, 'PS00662', NULL, NULL, 'Bacterial type II secretion system protein E signature.', NULL, 'T2SP_E', NULL, NULL, 3058, 11),
(47180, NULL, 'PS00426', NULL, NULL, 'Cereal trypsin/alpha-amylase inhibitors family signature.', NULL, 'CEREAL_TRYP_AMYL_INH', NULL, NULL, 11099, 11),
(47181, NULL, 'PS00164', NULL, NULL, 'Enolase signature.', NULL, 'ENOLASE', NULL, NULL, 14568, 11),
(47182, NULL, 'PS00967', NULL, NULL, 'Neuromedin U signature.', NULL, 'NMU', NULL, NULL, 19772, 11),
(47183, NULL, 'PS00561', NULL, NULL, 'CBM2a (carbohydrate-binding type-2) domain signature.', NULL, 'CBM2_A', NULL, NULL, 20610, 11),
(47184, NULL, 'PS00208', NULL, NULL, 'Plant hemoglobins signature.', NULL, 'PLANT_GLOBIN', NULL, NULL, 17580, 11),
(47185, NULL, 'PS00748', NULL, NULL, 'F-actin capping protein alpha subunit signature 1.', NULL, 'F_ACTIN_CAPPING_A_1', NULL, NULL, 18723, 11),
(47186, NULL, 'PS00952', NULL, NULL, 'ER lumen protein retaining receptor signature 2.', NULL, 'ER_LUMEN_RECEPTOR_2', NULL, NULL, 3808, 11),
(47187, NULL, 'PS00845', NULL, NULL, 'CAP-Gly domain signature.', NULL, 'CAP_GLY_1', NULL, NULL, 3064, 11),
(47188, NULL, 'PS00405', NULL, NULL, '43 Kd postsynaptic protein signature.', NULL, '43_KD_POSTSYNAPTIC', NULL, NULL, 16901, 11),
(47189, NULL, 'PS00782', NULL, NULL, 'Transcription factor TFIIB repeat signature.', NULL, 'TFIIB', NULL, NULL, 16573, 11),
(47190, NULL, 'PS00075', NULL, NULL, 'Dihydrofolate reductase (DHFR) domain signature.', NULL, 'DHFR_1', NULL, NULL, 2800, 11),
(47191, NULL, 'PS00280', NULL, NULL, 'Pancreatic trypsin inhibitor (Kunitz) family signature.', NULL, 'BPTI_KUNITZ_1', NULL, NULL, 19998, 11),
(47192, NULL, 'PS00070', NULL, NULL, 'Aldehyde dehydrogenases cysteine active site.', NULL, 'ALDEHYDE_DEHYDR_CYS', NULL, NULL, 12151, 11),
(47193, NULL, 'PS01252', NULL, NULL, 'Endogenous opioids neuropeptides precursors signature.', NULL, 'OPIOIDS_PRECURSOR', NULL, NULL, 1108, 11),
(47194, NULL, 'PS00610', NULL, NULL, 'Sodium:neurotransmitter symporter family signature 1.', NULL, 'NA_NEUROTRAN_SYMP_1', NULL, NULL, 3945, 11),
(47195, NULL, 'PS00905', NULL, NULL, 'GTP1/OBG family signature.', NULL, 'GTP1_OBG', NULL, NULL, 2538, 11),
(47196, NULL, 'PS01088', NULL, NULL, 'CAP protein signature 1.', NULL, 'CAP_1', NULL, NULL, 13651, 11),
(47197, NULL, 'PS01236', NULL, NULL, 'PdxT/SNO family family signature.', NULL, 'PDXT_SNO_1', NULL, NULL, 16507, 11); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47198, NULL, 'PS00001', NULL, NULL, 'N-glycosylation site.', NULL, 'ASN_GLYCOSYLATION', NULL, NULL, NULL, 11),
(47199, NULL, 'PS00273', NULL, NULL, 'Heat-stable enterotoxins signature.', NULL, 'ENTEROTOXIN_H_STABLE', NULL, NULL, 17821, 11),
(47200, NULL, 'PS01168', NULL, NULL, 'Ribosomal protein S27e signature.', NULL, 'RIBOSOMAL_S27E', NULL, NULL, 5570, 11),
(47201, NULL, 'PS01034', NULL, NULL, 'Glycosyl hydrolases family 16 active sites.', NULL, 'GH16_1', NULL, NULL, 8519, 11),
(47202, NULL, 'PS00953', NULL, NULL, 'Glycosyl hydrolases family 25 active site signature.', NULL, 'GLYCOSYL_HYDROL_F25_1', NULL, NULL, 8763, 11),
(47203, NULL, 'PS00213', NULL, NULL, 'Lipocalin signature.', NULL, 'LIPOCALIN', NULL, NULL, 15932, 11),
(47204, NULL, 'PS00888', NULL, NULL, 'Cyclic nucleotide-binding domain signature 1.', NULL, 'CNMP_BINDING_1', NULL, NULL, 21690, 11),
(47205, NULL, 'PS00480', NULL, NULL, 'Citrate synthase signature.', NULL, 'CITRATE_SYNTHASE', NULL, NULL, 17750, 11),
(47206, NULL, 'PS00740', NULL, NULL, 'MAM domain signature.', NULL, 'MAM_1', NULL, NULL, 3167, 11),
(47207, NULL, 'PS00923', NULL, NULL, 'Aspartate and glutamate racemases signature 1.', NULL, 'ASP_GLU_RACEMASE_1', NULL, NULL, 14904, 11),
(47208, NULL, 'PS00384', NULL, NULL, 'Prokaryotic zinc-dependent phospholipase C signature.', NULL, 'PROKAR_ZN_DEPEND_PLPC_1', NULL, NULL, 3122, 11),
(47209, NULL, 'PS00424', NULL, NULL, 'Interleukin-2 signature.', NULL, 'INTERLEUKIN_2', NULL, NULL, 26520, 11),
(47210, NULL, 'PS00034', NULL, NULL, 'Paired DNA-binding domain signature.', NULL, 'PAIRED_1', NULL, NULL, 39877, 11),
(47211, NULL, 'PS01063', NULL, NULL, 'Sigma-70 factors ECF subfamily signature.', NULL, 'SIGMA70_ECF', NULL, NULL, 4838, 11),
(47212, NULL, 'PS01230', NULL, NULL, 'RNA methyltransferase trmA family signature 1.', NULL, 'TRMA_1', NULL, NULL, 27000, 11),
(47213, NULL, 'PS00254', NULL, NULL, 'Interleukin-6 / G-CSF / MGF signature.', NULL, 'INTERLEUKIN_6', NULL, NULL, 26020, 11),
(47214, NULL, 'PS00469', NULL, NULL, 'Nucleoside diphosphate kinases active site.', NULL, 'NDP_KINASES', NULL, NULL, 15245, 11),
(47215, NULL, 'PS00087', NULL, NULL, 'Copper/Zinc superoxide dismutase signature 1.', NULL, 'SOD_CU_ZN_1', NULL, NULL, 19399, 11),
(47216, NULL, 'PS00328', NULL, NULL, 'HCP repeats signature.', NULL, 'HCP', NULL, NULL, 1065, 11),
(47217, NULL, 'PS00093', NULL, NULL, 'N-4 cytosine-specific DNA methylases signature.', NULL, 'N4_MTASE', NULL, NULL, 13180, 11),
(47218, NULL, 'PS00368', NULL, NULL, 'Ribonucleotide reductase small subunit signature.', NULL, 'RIBORED_SMALL', NULL, NULL, 22416, 11),
(47219, NULL, 'PS01254', NULL, NULL, 'Fetuin family signature 1.', NULL, 'FETUIN_1', NULL, NULL, 7227, 11),
(47220, NULL, 'PS00089', NULL, NULL, 'Ribonucleotide reductase large subunit signature.', NULL, 'RIBORED_LARGE', NULL, NULL, 4929, 11),
(47221, NULL, 'PS00918', NULL, NULL, 'Deoxyribonuclease I signature 2.', NULL, 'DNASE_I_2', NULL, NULL, 35439, 11),
(47222, NULL, 'PS00985', NULL, NULL, 'Spermadhesins family signature 1.', NULL, 'SPERMADHESIN_1', NULL, NULL, 3511, 11),
(47223, NULL, 'PS00897', NULL, NULL, 'LacY family proton/sugar symporters signature 2.', NULL, 'LACY_2', NULL, NULL, 15973, 11),
(47224, NULL, 'PS60015', NULL, NULL, 'Mu-agatoxin family signature.', NULL, 'MU_AGATOXIN', NULL, NULL, 20831, 11),
(47225, NULL, 'PS01221', NULL, NULL, 'PMP-22 / EMP / MP20 family signature 1.', NULL, 'PMP22_1', NULL, NULL, 558, 11),
(47226, NULL, 'PS01048', NULL, NULL, 'Ribosomal protein S6 signature.', NULL, 'RIBOSOMAL_S6', NULL, NULL, 21099, 11),
(47227, NULL, 'PS00175', NULL, NULL, 'Phosphoglycerate mutase family phosphohistidine signature.', NULL, 'PG_MUTASE', NULL, NULL, 7147, 11),
(47228, NULL, 'PS00490', NULL, NULL, 'Prokaryotic molybdopterin oxidoreductases signature 2.', NULL, 'MOLYBDOPTERIN_PROK_2', NULL, NULL, 1460, 11),
(47229, NULL, 'PS01317', NULL, NULL, 'SsrA-binding protein.', NULL, 'SSRP', NULL, NULL, 16338, 11),
(47230, NULL, 'PS00196', NULL, NULL, 'Type-1 copper (blue) proteins signature.', NULL, 'COPPER_BLUE', NULL, NULL, 28637, 11);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47231, NULL, 'PS01120', NULL, NULL, 'Urease nickel ligands signature.', NULL, 'UREASE_1', NULL, NULL, 27241, 11),
(47232, NULL, 'PS00153', NULL, NULL, 'ATP synthase gamma subunit signature.', NULL, 'ATPASE_GAMMA', NULL, NULL, 17314, 11),
(47233, NULL, 'PS01029', NULL, NULL, 'Dehydroquinase class II signature.', NULL, 'DEHYDROQUINASE_II', NULL, NULL, 19062, 11),
(47234, NULL, 'PS00978', NULL, NULL, 'FAD-dependent glycerol-3-phosphate dehydrogenase signature 2.', NULL, 'FAD_G3PDH_2', NULL, NULL, NULL, 11),
(47235, NULL, 'PS00064', NULL, NULL, 'L-lactate dehydrogenase active site.', NULL, 'L_LDH', NULL, NULL, 7752, 11),
(47236, NULL, 'PS00854', NULL, NULL, 'Proteasome beta-type subunits signature.', NULL, 'PROTEASOME_BETA_1', NULL, NULL, 7897, 11),
(47237, NULL, 'PS00160', NULL, NULL, 'KDPG and KHG aldolases Schiff-base forming residue.', NULL, 'ALDOLASE_KDPG_KHG_2', NULL, NULL, 27949, 11),
(47238, NULL, 'PS00946', NULL, NULL, 'Cathelicidins signature 1.', NULL, 'CATHELICIDINS_1', NULL, NULL, 7783, 11),
(47239, NULL, 'PS01061', NULL, NULL, 'Flagella transport protein fliP family signature 2.', NULL, 'FLIP_2', NULL, NULL, 5744, 11),
(47240, NULL, 'PS01220', NULL, NULL, 'Phosphatidylethanolamine-binding protein family signature.', NULL, 'PBP', NULL, NULL, 4338, 11),
(47241, NULL, 'PS00933', NULL, NULL, 'FGGY family of carbohydrate kinases signature 1.', NULL, 'FGGY_KINASES_1', NULL, NULL, 21547, 11),
(47242, NULL, 'PS00376', NULL, NULL, 'S-adenosylmethionine synthase signature 1.', NULL, 'ADOMET_SYNTHASE_1', NULL, NULL, 16725, 11),
(47243, NULL, 'PS00650', NULL, NULL, 'G-protein coupled receptors family 2 signature 2.', NULL, 'G_PROTEIN_RECEP_F2_2', NULL, NULL, 19111, 11),
(47244, NULL, 'PS00151', NULL, NULL, 'Acylphosphatase signature 2.', NULL, 'ACYLPHOSPHATASE_2', NULL, NULL, 13358, 11),
(47245, NULL, 'PS00412', NULL, NULL, 'Neuromodulin (GAP-43) signature 1.', NULL, 'NEUROMODULIN_1', NULL, NULL, 8850, 11),
(47246, NULL, 'PS00526', NULL, NULL, 'Ribosomal protein L19e signature.', NULL, 'RIBOSOMAL_L19E', NULL, NULL, 16933, 11),
(47247, NULL, 'PS00295', NULL, NULL, 'Arrestins signature.', NULL, 'ARRESTINS', NULL, NULL, 18876, 11),
(47248, NULL, 'PS01156', NULL, NULL, 'TonB-dependent receptor proteins signature 2.', NULL, 'TONB_DEPENDENT_REC_2', NULL, NULL, 9470, 11),
(47249, NULL, 'PS01192', NULL, NULL, 'Hydroxymethylglutaryl-coenzyme A reductases signature 3.', NULL, 'HMG_COA_REDUCTASE_3', NULL, NULL, 15142, 11),
(47250, NULL, 'PS00696', NULL, NULL, 'Electron transfer flavoprotein alpha-subunit signature.', NULL, 'ETF_ALPHA', NULL, NULL, 7976, 11),
(47251, NULL, 'PS01288', NULL, NULL, 'Uncharacterized protein family UPF0027 signature.', NULL, 'UPF0027', NULL, NULL, 580, 11),
(47252, NULL, 'PS01064', NULL, NULL, 'Pyridoxamine 5''-phosphate oxidase signature.', NULL, 'PYRIDOX_OXIDASE', NULL, NULL, 12747, 11),
(47253, NULL, 'PS00406', NULL, NULL, 'Actins signature 1.', NULL, 'ACTINS_1', NULL, NULL, 666, 11),
(47254, NULL, 'PS00777', NULL, NULL, 'Glycosyl hydrolases family 11 (GH11) active site signature 2.', NULL, 'GH11_2', NULL, NULL, 30290, 11),
(47255, NULL, 'PS00993', NULL, NULL, 'Ribosomal protein L30e signature 2.', NULL, 'RIBOSOMAL_L30E_2', NULL, NULL, 15248, 11),
(47256, NULL, 'PS00246', NULL, NULL, 'Wnt-1 family signature.', NULL, 'WNT1', NULL, NULL, 7516, 11),
(47257, NULL, 'PS00885', NULL, NULL, 'EPSP synthase signature 2.', NULL, 'EPSP_SYNTHASE_2', NULL, NULL, 17870, 11),
(47258, NULL, 'PS00275', NULL, NULL, 'Shiga/ricin ribosomal inactivating toxins active site signature.', NULL, 'SHIGA_RICIN', NULL, NULL, 13458, 11),
(47259, NULL, 'PS00916', NULL, NULL, 'Phosphatidylinositol 3- and 4-kinases signature 2.', NULL, 'PI3_4_KINASE_2', NULL, NULL, 9224, 11),
(47260, NULL, 'PS01058', NULL, NULL, 'SAICAR synthetase signature 2.', NULL, 'SAICAR_SYNTHETASE_2', NULL, NULL, 7672, 11),
(47261, NULL, 'PS01079', NULL, NULL, 'Molybdenum cofactor biosynthesis proteins signature 2.', NULL, 'MOCF_BIOSYNTHESIS_2', NULL, NULL, 9635, 11),
(47262, NULL, 'PS01131', NULL, NULL, 'Ribosomal RNA adenine dimethylases signature.', NULL, 'RRNA_A_DIMETH', NULL, NULL, 20639, 11);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47263, NULL, 'PS01130', NULL, NULL, 'SLC26A transporters signature.', NULL, 'SLC26A', NULL, NULL, 19474, 11),
(47264, NULL, 'PS00031', NULL, NULL, 'Nuclear hormones receptors DNA-binding region signature.', NULL, 'NUCLEAR_REC_DBD_1', NULL, NULL, 3308, 11),
(47265, NULL, 'PS00119', NULL, NULL, 'Phospholipase A2 aspartic acid active site.', NULL, 'PA2_ASP', NULL, NULL, 31308, 11),
(47266, NULL, 'PS00461', NULL, NULL, '6-phosphogluconate dehydrogenase signature.', NULL, '6PGD', NULL, NULL, 11052, 11),
(47267, NULL, 'PS01170', NULL, NULL, 'Ribosomal protein L6e signature.', NULL, 'RIBOSOMAL_L6E', NULL, NULL, 3264, 11),
(47268, NULL, 'PS00794', NULL, NULL, '7,8-dihydro-6-hydroxymethylpterin-pyrophosphokinase signature.', NULL, 'HPPK', NULL, NULL, 5776, 11),
(47269, NULL, 'PS00749', NULL, NULL, 'F-actin capping protein alpha subunit signature 2.', NULL, 'F_ACTIN_CAPPING_A_2', NULL, NULL, 18723, 11),
(47270, NULL, 'PS00503', NULL, NULL, 'Pectinesterase signature 2.', NULL, 'PECTINESTERASE_2', NULL, NULL, 30228, 11),
(47271, NULL, 'PS00856', NULL, NULL, 'Guanylate kinase-like signature.', NULL, 'GUANYLATE_KINASE_1', NULL, NULL, 20968, 11),
(47272, NULL, 'PS00519', NULL, NULL, 'AsnC-type HTH domain signature.', NULL, 'HTH_ASNC_1', NULL, NULL, 15384, 11),
(47273, NULL, 'PS00832', NULL, NULL, '2''-5''-oligoadenylate synthases signature 1.', NULL, '25A_SYNTH_1', NULL, NULL, 37834, 11),
(47274, NULL, 'PS00525', NULL, NULL, 'Ribosomal protein L6 signature 1.', NULL, 'RIBOSOMAL_L6_1', NULL, NULL, 5434, 11),
(47275, NULL, 'PS00750', NULL, NULL, 'Chaperonins TCP-1 signature 1.', NULL, 'TCP1_1', NULL, NULL, 179, 11),
(47276, NULL, 'PS00122', NULL, NULL, 'Carboxylesterases type-B serine active site.', NULL, 'CARBOXYLESTERASE_B_1', NULL, NULL, 17740, 11),
(47277, NULL, 'PS00912', NULL, NULL, 'Dihydroorotate dehydrogenase signature 2.', NULL, 'DHODEHASE_2', NULL, NULL, 805, 11),
(47278, NULL, 'PS00991', NULL, NULL, 'Clathrin adaptor complexes medium chain signature 2.', NULL, 'CLAT_ADAPTOR_M_2', NULL, NULL, 8608, 11),
(47279, NULL, 'PS01016', NULL, NULL, 'Glycoprotease family signature.', NULL, 'GLYCOPROTEASE', NULL, NULL, 19042, 11),
(47280, NULL, 'PS00539', NULL, NULL, 'Pyrokinins signature.', NULL, 'PYROKININ', NULL, NULL, 6066, 11),
(47281, NULL, 'PS00875', NULL, NULL, 'Bacterial type II secretion system protein D signature.', NULL, 'T2SP_D', NULL, NULL, 4802, 11),
(47282, NULL, 'PS00239', NULL, NULL, 'Receptor tyrosine kinase class II signature.', NULL, 'RECEPTOR_TYR_KIN_II', NULL, NULL, 2125, 11),
(47283, NULL, 'PS00966', NULL, NULL, 'Phosphomannose isomerase type I signature 2.', NULL, 'PMI_I_2', NULL, NULL, 14780, 11),
(47284, NULL, 'PS00877', NULL, NULL, 'Indoleamine 2,3-dioxygenase signature 2.', NULL, 'IDO_2', NULL, NULL, 3389, 11),
(47285, NULL, 'PS00758', NULL, NULL, 'ArgE / dapE / ACY1 / CPG2 / yscS family signature 1.', NULL, 'ARGE_DAPE_CPG2_1', NULL, NULL, 1056, 11),
(47286, NULL, 'PS00930', NULL, NULL, 'Peripherin / rom-1 signature.', NULL, 'RDS_ROM1', NULL, NULL, 9118, 11),
(47287, NULL, 'PS60007', NULL, NULL, 'Tyrosine kinase phosphorylation site 2.', NULL, 'TYR_PHOSPHO_SITE_2', NULL, NULL, NULL, 11),
(47288, NULL, 'PS00348', NULL, NULL, 'p53 family signature.', NULL, 'P53', NULL, NULL, 1416, 11),
(47289, NULL, 'PS01231', NULL, NULL, 'RNA methyltransferase trmA family signature 2.', NULL, 'TRMA_2', NULL, NULL, 28541, 11),
(47290, NULL, 'PS00892', NULL, NULL, 'HIT domain signature.', NULL, 'HIT_1', NULL, NULL, 17554, 11),
(47291, NULL, 'PS01329', NULL, NULL, 'Cytochrome c oxidase subunit VIa signature.', NULL, 'COX6A', NULL, NULL, 19499, 11),
(47292, NULL, 'PS00590', NULL, NULL, 'LIF / OSM family signature.', NULL, 'LIF_OSM', NULL, NULL, 17621, 11),
(47293, NULL, 'PS00686', NULL, NULL, 'NF-YA/HAP2 subunit signature.', NULL, 'NFYA_HAP2_1', NULL, NULL, 20927, 11),
(47294, NULL, 'PS00277', NULL, NULL, 'Staphylococcal enterotoxin/Streptococcal pyrogenic exotoxin signature 1.', NULL, 'STAPH_STREP_TOXIN_1', NULL, NULL, 10361, 11),
(47295, NULL, 'PS00118', NULL, NULL, 'Phospholipase A2 histidine active site.', NULL, 'PA2_HIS', NULL, NULL, 31490, 11);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47296, NULL, 'PS00353', NULL, NULL, 'HMG box A DNA-binding domain signature.', NULL, 'HMG_BOX_1', NULL, NULL, 13330, 11),
(47297, NULL, 'PS01339', NULL, NULL, 'SURF4 family signature.', NULL, 'SURF4', NULL, NULL, 7268, 11),
(47298, NULL, 'PS00776', NULL, NULL, 'Glycosyl hydrolases family 11 (GH11) active site signature 1.', NULL, 'GH11_1', NULL, NULL, 7874, 11),
(47299, NULL, 'PS00868', NULL, NULL, 'Cys/Met metabolism enzymes pyridoxal-phosphate attachment site.', NULL, 'CYS_MET_METAB_PP', NULL, NULL, 578, 11),
(47300, NULL, 'PS01245', NULL, NULL, 'RIO1/ZK632.3/MJ0444 family signature.', NULL, 'RIO1', NULL, NULL, 9080, 11),
(47301, NULL, 'PS60020', NULL, NULL, 'Janus-faced atracotoxin (J-ACTX) family signature.', NULL, 'J_ACTX', NULL, NULL, 12636, 11),
(47302, NULL, 'PS00358', NULL, NULL, 'Ribosomal protein L5 signature.', NULL, 'RIBOSOMAL_L5', NULL, NULL, 14981, 11),
(47303, NULL, 'PS01287', NULL, NULL, 'RNA 3''-terminal phosphate cyclase signature.', NULL, 'RTC', NULL, NULL, 21033, 11),
(47304, NULL, 'PS01345', NULL, NULL, 'COE family signature.', NULL, 'COE', NULL, NULL, 8781, 11),
(47305, NULL, 'PS00167', NULL, NULL, 'Tryptophan synthase alpha chain signature.', NULL, 'TRP_SYNTHASE_ALPHA', NULL, NULL, 19670, 11),
(47306, NULL, 'PS00026', NULL, NULL, 'Chitin recognition or binding domain signature.', NULL, 'CHIT_BIND_I_1', NULL, NULL, 20835, 11),
(47307, NULL, 'PS00006', NULL, NULL, 'Casein kinase II phosphorylation site.', NULL, 'CK2_PHOSPHO_SITE', NULL, NULL, NULL, 11),
(47308, NULL, 'PS00986', NULL, NULL, 'Spermadhesins family signature 2.', NULL, 'SPERMADHESIN_2', NULL, NULL, 3511, 11),
(47309, NULL, 'PS01297', NULL, NULL, 'FLAP/GST2/LTC4S family signature.', NULL, 'FLAP_GST2_LTC4S', NULL, NULL, 16748, 11),
(47310, NULL, 'PS00451', NULL, NULL, 'Pathogenesis-related proteins Bet v I family signature.', NULL, 'PATHOGENESIS_BETVI', NULL, NULL, 25882, 11),
(47311, NULL, 'PS01306', NULL, NULL, 'Uncharacterized protein family UPF0054 signature.', NULL, 'UPF0054', NULL, NULL, 21144, 11),
(47312, NULL, 'PS00214', NULL, NULL, 'Cytosolic fatty-acid binding proteins signature.', NULL, 'FABP', NULL, NULL, 5663, 11),
(47313, NULL, 'PS01011', NULL, NULL, 'Folylpolyglutamate synthase signature 1.', NULL, 'FOLYLPOLYGLU_SYNT_1', NULL, NULL, 13939, 11),
(47314, NULL, 'PS00501', NULL, NULL, 'Signal peptidases I serine active site.', NULL, 'SPASE_I_1', NULL, NULL, 21394, 11),
(47315, NULL, 'PS01296', NULL, NULL, 'RsmI AdoMet-dependent methyltransferase protein family signature.', NULL, 'RSMI', NULL, NULL, 19895, 11),
(47316, NULL, 'PS00108', NULL, NULL, 'Serine/Threonine protein kinases active-site signature.', NULL, 'PROTEIN_KINASE_ST', NULL, NULL, 8989, 11),
(47317, NULL, 'PS00112', NULL, NULL, 'Phosphagen kinase active site signature.', NULL, 'PHOSPHAGEN_KINASE', NULL, NULL, 16122, 11),
(47318, NULL, 'PS00522', NULL, NULL, 'DNA polymerase family X signature.', NULL, 'DNA_POLYMERASE_X', NULL, NULL, 18047, 11),
(47319, NULL, 'PS00867', NULL, NULL, 'Carbamoyl-phosphate synthase subdomain signature 2.', NULL, 'CPSASE_2', NULL, NULL, 883, 11),
(47320, NULL, 'PS00204', NULL, NULL, 'Ferritin iron-binding regions signature 2.', NULL, 'FERRITIN_2', NULL, NULL, 13355, 11),
(47321, NULL, 'PS00370', NULL, NULL, 'PEP-utilizing enzymes phosphorylation site signature.', NULL, 'PEP_ENZYMES_PHOS_SITE', NULL, NULL, 8678, 11),
(47322, NULL, 'PS00784', NULL, NULL, 'Ribosomal protein L34 signature.', NULL, 'RIBOSOMAL_L34', NULL, NULL, 14520, 11),
(47323, NULL, 'PS00732', NULL, NULL, 'Ribosomal protein S16 signature.', NULL, 'RIBOSOMAL_S16', NULL, NULL, 20619, 11),
(47324, NULL, 'PS00533', NULL, NULL, 'Porphobilinogen deaminase cofactor-binding site.', NULL, 'PORPHOBILINOGEN_DEAM', NULL, NULL, 16309, 11),
(47325, NULL, 'PS00714', NULL, NULL, 'Sodium:dicarboxylate symporter family signature 2.', NULL, 'NA_DICARBOXYL_SYMP_2', NULL, NULL, 13537, 11),
(47326, NULL, 'PS01195', NULL, NULL, 'Peptidyl-tRNA hydrolase signature 1.', NULL, 'PEPT_TRNA_HYDROL_1', NULL, NULL, 12310, 11),
(47327, NULL, 'PS01269', NULL, NULL, 'Uncharacterized protein family UPF0025 signature.', NULL, 'UPF0025', NULL, NULL, 14726, 11);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47328, NULL, 'PS00914', NULL, NULL, 'Syntaxin / epimorphin family signature.', NULL, 'SYNTAXIN', NULL, NULL, 1481, 11),
(47329, NULL, 'PS01144', NULL, NULL, 'Ribosomal protein L31e signature.', NULL, 'RIBOSOMAL_L31E', NULL, NULL, 15868, 11),
(47330, NULL, 'PS00129', NULL, NULL, 'Glycosyl hydrolases family 31 active site.', NULL, 'GLYCOSYL_HYDROL_F31_1', NULL, NULL, 24916, 11),
(47331, NULL, 'PS00396', NULL, NULL, 'Prokaryotic DNA topoisomerase I active site.', NULL, 'TOPOISOMERASE_I_PROK', NULL, NULL, 16162, 11),
(47332, NULL, 'PS00511', NULL, NULL, 'Corticotropin-releasing factor family signature.', NULL, 'CRF', NULL, NULL, 16825, 11),
(47333, NULL, 'PS00458', NULL, NULL, 'Natriuretic peptides receptors signature.', NULL, 'ANF_RECEPTORS', NULL, NULL, 1397, 11),
(47334, NULL, 'PS00532', NULL, NULL, 'Phosphoenolpyruvate carboxykinase (ATP) signature.', NULL, 'PEPCK_ATP', NULL, NULL, 9021, 11),
(47335, NULL, 'PS00893', NULL, NULL, 'Nudix box signature.', NULL, 'NUDIX_BOX', NULL, NULL, 16065, 11),
(47336, NULL, 'PS01046', NULL, NULL, 'ATP-dependent serine proteases, lon family, serine active site.', NULL, 'LON_SER', NULL, NULL, 8652, 11),
(47337, NULL, 'PS01256', NULL, NULL, 'Cullin family signature.', NULL, 'CULLIN_1', NULL, NULL, 12466, 11),
(47338, NULL, 'PS01099', NULL, NULL, 'Respiratory-chain NADH dehydrogenase 24 Kd subunit signature.', NULL, 'COMPLEX1_24K', NULL, NULL, 5410, 11),
(47339, NULL, 'PS00125', NULL, NULL, 'Serine/threonine specific protein phosphatases signature.', NULL, 'SER_THR_PHOSPHATASE', NULL, NULL, 11017, 11),
(47340, NULL, 'PS00135', NULL, NULL, 'Serine proteases, trypsin family, serine active site.', NULL, 'TRYPSIN_SER', NULL, NULL, 31068, 11),
(47341, NULL, 'PS00137', NULL, NULL, 'Serine proteases, subtilase family, histidine active site.', NULL, 'SUBTILASE_HIS', NULL, NULL, 14979, 11),
(47342, NULL, 'PS00552', NULL, NULL, 'MerR-type HTH domain signature.', NULL, 'HTH_MERR_1', NULL, NULL, 5561, 11),
(47343, NULL, 'PS00646', NULL, NULL, 'Ribosomal protein S13 signature.', NULL, 'RIBOSOMAL_S13_1', NULL, NULL, 20050, 11),
(47344, NULL, 'PS00778', NULL, NULL, 'Histidine acid phosphatases active site signature.', NULL, 'HIS_ACID_PHOSPHAT_2', NULL, NULL, 36450, 11),
(47345, NULL, 'PS00387', NULL, NULL, 'Inorganic pyrophosphatase signature.', NULL, 'PPASE', NULL, NULL, NULL, 11),
(47346, NULL, 'PS01266', NULL, NULL, 'Adenylosuccinate synthetase GTP-binding site.', NULL, 'ADENYLOSUCCIN_SYN_1', NULL, NULL, 7589, 11),
(47347, NULL, 'PS00355', NULL, NULL, 'HMG14 and HMG17 signature.', NULL, 'HMG14_17', NULL, NULL, 2603, 11),
(47348, NULL, 'PS00691', NULL, NULL, 'DNA photolyases class 1 signature 2.', NULL, 'DNA_PHOTOLYASES_1_2', NULL, NULL, 8953, 11),
(47349, NULL, 'PS01100', NULL, NULL, 'NNMT/PNMT/TEMT family of methyltransferases signature.', NULL, 'NNMT_PNMT_TEMT', NULL, NULL, 23251, 11),
(47350, NULL, 'PS00627', NULL, NULL, 'GHMP kinases putative ATP-binding domain.', NULL, 'GHMP_KINASES_ATP', NULL, NULL, 11184, 11),
(47351, NULL, 'PS00235', NULL, NULL, 'Gas vesicles protein GVPc repeated domain signature.', NULL, 'GAS_VESICLE_C', NULL, NULL, 7581, 11),
(47352, NULL, 'PS01126', NULL, NULL, 'Elongation factor Ts signature 1.', NULL, 'EF_TS_1', NULL, NULL, 13655, 11),
(47353, NULL, 'PS00466', NULL, NULL, 'Zinc finger TFIIS-type signature.', NULL, 'ZF_TFIIS_1', NULL, NULL, 2489, 11),
(47354, NULL, 'PS00389', NULL, NULL, 'ATP synthase delta (OSCP) subunit signature.', NULL, 'ATPASE_DELTA', NULL, NULL, 20108, 11),
(47355, NULL, 'PS00576', NULL, NULL, 'General diffusion Gram-negative porins signature.', NULL, 'GRAM_NEG_PORIN', NULL, NULL, 13183, 11),
(47356, NULL, 'PS00764', NULL, NULL, 'Endonuclease III iron-sulfur binding region signature.', NULL, 'ENDONUCLEASE_III_1', NULL, NULL, 826, 11),
(47357, NULL, 'PS01021', NULL, NULL, 'Coproporphyrinogen III oxidase signature.', NULL, 'COPROGEN_OXIDASE', NULL, NULL, 20943, 11),
(47358, NULL, 'PS00726', NULL, NULL, 'AP endonucleases family 1 signature 1.', NULL, 'AP_NUCLEASE_F1_1', NULL, NULL, 20780, 11),
(47359, NULL, 'PS00294', NULL, NULL, 'Prenyl group binding site (CAAX box).', NULL, 'PRENYLATION', NULL, NULL, NULL, 11);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47360, NULL, 'PS01246', NULL, NULL, 'Uncharacterized protein family UPF0003 signature.', NULL, 'UPF0003', NULL, NULL, 2175, 11),
(47361, NULL, 'PS00510', NULL, NULL, 'Malate synthase signature.', NULL, 'MALATE_SYNTHASE', NULL, NULL, 17984, 11),
(47362, NULL, 'PS00131', NULL, NULL, 'Serine carboxypeptidases, serine active site.', NULL, 'CARBOXYPEPT_SER_SER', NULL, NULL, 7898, 11),
(47363, NULL, 'PS00174', NULL, NULL, 'Phosphoglucose isomerase signature 2.', NULL, 'P_GLUCOSE_ISOMERASE_2', NULL, NULL, 14976, 11),
(47364, NULL, 'PS00439', NULL, NULL, 'Acyltransferases ChoActase / COT / CPT family signature 1.', NULL, 'ACYLTRANSF_C_1', NULL, NULL, 4128, 11),
(47365, NULL, 'PS01148', NULL, NULL, 'Uncharacterized protein family UPF0033 signature.', NULL, 'UPF0033', NULL, NULL, 3116, 11),
(47366, NULL, 'PS00793', NULL, NULL, 'Dihydropteroate synthase signature 2.', NULL, 'DHPS_2', NULL, NULL, 5513, 11),
(47367, NULL, 'PS00407', NULL, NULL, 'Connexins signature 1.', NULL, 'CONNEXINS_1', NULL, NULL, 19266, 11),
(47368, NULL, 'PS00954', NULL, NULL, 'Imidazoleglycerol-phosphate dehydratase signature 1.', NULL, 'IGP_DEHYDRATASE_1', NULL, NULL, 19276, 11),
(47369, NULL, 'PS00346', NULL, NULL, 'Ets-domain signature 2.', NULL, 'ETS_DOMAIN_2', NULL, NULL, 6998, 11),
(47370, NULL, 'PS00951', NULL, NULL, 'ER lumen protein retaining receptor signature 1.', NULL, 'ER_LUMEN_RECEPTOR_1', NULL, NULL, 3808, 11),
(47371, NULL, 'PS00050', NULL, NULL, 'Ribosomal protein L23 signature.', NULL, 'RIBOSOMAL_L23', NULL, NULL, 2347, 11),
(47372, NULL, 'PS00717', NULL, NULL, 'Sigma-54 factors family signature 1.', NULL, 'SIGMA54_1', NULL, NULL, 4850, 11),
(47373, NULL, 'PS00812', NULL, NULL, 'Glycosyl hydrolases family 8 signature.', NULL, 'GLYCOSYL_HYDROL_F8', NULL, NULL, 15848, 11),
(47374, NULL, 'PS01119', NULL, NULL, 'Copper-fist DNA-binding domain signature.', NULL, 'COPPER_FIST_1', NULL, NULL, 2011, 11),
(47375, NULL, 'PS00150', NULL, NULL, 'Acylphosphatase signature 1.', NULL, 'ACYLPHOSPHATASE_1', NULL, NULL, 13358, 11),
(47376, NULL, 'PS00516', NULL, NULL, 'Alkylbase DNA glycosidases alkA family signature.', NULL, 'ALKYLBASE_DNA_GLYCOS', NULL, NULL, 3866, 11),
(47377, NULL, 'PS00587', NULL, NULL, 'Glycosyl hydrolases family 17 signature.', NULL, 'GLYCOSYL_HYDROL_F17', NULL, NULL, 5860, 11),
(47378, NULL, 'PS00409', NULL, NULL, 'Prokaryotic N-terminal methylation site.', NULL, 'PROKAR_NTER_METHYL', NULL, NULL, 13122, 11),
(47379, NULL, 'PS00873', NULL, NULL, 'Sodium:alanine symporter family signature.', NULL, 'NA_ALANINE_SYMP', NULL, NULL, 3210, 11),
(47380, NULL, 'PS00371', NULL, NULL, 'PTS EIIA domains phosphorylation site signature 1.', NULL, 'PTS_EIIA_TYPE_1_HIS', NULL, NULL, 1892, 11),
(47381, NULL, 'PS00377', NULL, NULL, 'S-adenosylmethionine synthase signature 2.', NULL, 'ADOMET_SYNTHASE_2', NULL, NULL, 16725, 11),
(47382, NULL, 'PS00827', NULL, NULL, 'MARCKS family phosphorylation site domain.', NULL, 'MARCKS_2', NULL, NULL, 1389, 11),
(47383, NULL, 'PS00612', NULL, NULL, 'Osteonectin domain signature 1.', NULL, 'OSTEONECTIN_1', NULL, NULL, 2351, 11),
(47384, NULL, 'PS60000', NULL, NULL, 'Chitosanases families 46 and 80 active sites signature.', NULL, 'CHITOSANASE_46_80', NULL, NULL, 6713, 11),
(47385, NULL, 'PS00943', NULL, NULL, 'UbiA prenyltransferase family signature.', NULL, 'UBIA', NULL, NULL, 24578, 11),
(47386, NULL, 'PS00979', NULL, NULL, 'G-protein coupled receptors family 3 signature 1.', NULL, 'G_PROTEIN_RECEP_F3_1', NULL, NULL, 19165, 11),
(47387, NULL, 'PS00814', NULL, NULL, 'Adrenodoxin family, iron-sulfur binding region signature.', NULL, 'ADX', NULL, NULL, 16757, 11),
(47388, NULL, 'PS01358', NULL, NULL, 'Zinc finger RanBP2-type signature.', NULL, 'ZF_RANBP2_1', NULL, NULL, 5051, 11),
(47389, NULL, 'PS00416', NULL, NULL, 'Synapsins signature 2.', NULL, 'SYNAPSIN_2', NULL, NULL, 12670, 11),
(47390, NULL, 'PS00441', NULL, NULL, 'Chalcone and stilbene synthases active site.', NULL, 'CHALCONE_SYNTH', NULL, NULL, 13754, 11),
(47391, NULL, 'PS00653', NULL, NULL, 'Glycosyl hydrolases family 1 N-terminal signature.', NULL, 'GLYCOSYL_HYDROL_F1_2', NULL, NULL, 30301, 11);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47392, NULL, 'PS01226', NULL, NULL, 'Hydroxymethylglutaryl-coenzyme A synthase active site.', NULL, 'HMG_COA_SYNTHASE', NULL, NULL, 5595, 11),
(47393, NULL, 'PS00550', NULL, NULL, 'Hemerythrin family signature.', NULL, 'HEMERYTHRINS', NULL, NULL, 11167, 11),
(47394, NULL, 'PS01319', NULL, NULL, 'Ribosome-binding factor A signature.', NULL, 'RBFA', NULL, NULL, 15840, 11),
(47395, NULL, 'PS00012', NULL, NULL, 'Phosphopantetheine attachment site.', NULL, 'PHOSPHOPANTETHEINE', NULL, NULL, 10431, 11),
(47396, NULL, 'PS00048', NULL, NULL, 'Protamine P1 signature.', NULL, 'PROTAMINE_P1', NULL, NULL, 3973, 11),
(47397, NULL, 'PS00237', NULL, NULL, 'G-protein coupled receptors family 1 signature.', NULL, 'G_PROTEIN_RECEP_F1_1', NULL, NULL, 4555, 11),
(47398, NULL, 'PS00080', NULL, NULL, 'Multicopper oxidases signature 2.', NULL, 'MULTICOPPER_OXIDASE2', NULL, NULL, 6424, 11),
(47399, NULL, 'PS00802', NULL, NULL, 'Transketolase signature 2.', NULL, 'TRANSKETOLASE_2', NULL, NULL, 21177, 11),
(47400, NULL, 'PS00228', NULL, NULL, 'Tubulin-beta mRNA autoregulation signal.', NULL, 'TUBULIN_B_AUTOREG', NULL, NULL, 12866, 11),
(47401, NULL, 'PS01290', NULL, NULL, 'Enhancer of rudimentary signature.', NULL, 'ER', NULL, NULL, 6588, 11),
(47402, NULL, 'PS01062', NULL, NULL, 'Hydroxymethylglutaryl-coenzyme A lyase active site.', NULL, 'HMG_COA_LYASE', NULL, NULL, 3933, 11),
(47403, NULL, 'PS01275', NULL, NULL, 'Elongation factor P signature.', NULL, 'EFP', NULL, NULL, 12297, 11),
(47404, NULL, 'PS00493', NULL, NULL, 'Clusterin signature 2.', NULL, 'CLUSTERIN_2', NULL, NULL, 25821, 11),
(47405, NULL, 'PS00889', NULL, NULL, 'Cyclic nucleotide-binding domain signature 2.', NULL, 'CNMP_BINDING_2', NULL, NULL, 21690, 11),
(47406, NULL, 'PS00636', NULL, NULL, 'Nt-dnaJ domain signature.', NULL, 'DNAJ_1', NULL, NULL, 19570, 11),
(47407, NULL, 'PS01049', NULL, NULL, 'YjeF C-terminal domain signature 1.', NULL, 'YJEF_C_1', NULL, NULL, 1239, 11),
(47408, NULL, 'PS60028', NULL, NULL, 'Scorpion calcine family signature.', NULL, 'SCORPION_CALCINE', NULL, NULL, 10873, 11),
(47409, NULL, 'PS00641', NULL, NULL, 'Respiratory-chain NADH dehydrogenase 75 Kd subunit signature 1.', NULL, 'COMPLEX1_75K_1', NULL, NULL, 770, 11),
(47410, NULL, 'PS00071', NULL, NULL, 'Glyceraldehyde 3-phosphate dehydrogenase active site.', NULL, 'GAPDH', NULL, NULL, 19198, 11),
(47411, NULL, 'PS00945', NULL, NULL, 'Cyclin-dependent kinases regulatory subunits signature 2.', NULL, 'CKS_2', NULL, NULL, 4800, 11),
(47412, NULL, 'PS01224', NULL, NULL, 'N-acetyl-gamma-glutamyl-phosphate reductase active site.', NULL, 'ARGC', NULL, NULL, 15114, 11),
(47413, NULL, 'PS00331', NULL, NULL, 'Malic enzymes signature.', NULL, 'MALIC_ENZYMES', NULL, NULL, 7415, 11),
(47414, NULL, 'PS00321', NULL, NULL, 'recA signature.', NULL, 'RECA_1', NULL, NULL, 20977, 11),
(47415, NULL, 'PS00488', NULL, NULL, 'Phenylalanine and histidine ammonia-lyases signature.', NULL, 'PAL_HISTIDASE', NULL, NULL, 15549, 11),
(47416, NULL, 'PS00467', NULL, NULL, 'Ribosomal protein L2 signature.', NULL, 'RIBOSOMAL_L2', NULL, NULL, 15272, 11),
(47417, NULL, 'PS00429', NULL, NULL, 'Staphylocoagulase repeat signature.', NULL, 'STAPHYLOCOAGULASE', NULL, NULL, 3384, 11),
(47418, NULL, 'PS00333', NULL, NULL, 'ATP-dependent DNA ligase signature 2.', NULL, 'DNA_LIGASE_A2', NULL, NULL, 18135, 11),
(47419, NULL, 'PS00743', NULL, NULL, 'Beta-lactamases class B signature 1.', NULL, 'BETA_LACTAMASE_B_1', NULL, NULL, 416, 11),
(47420, NULL, 'PS00258', NULL, NULL, 'Calcitonin / CGRP / IAPP family signature.', NULL, 'CALCITONIN', NULL, NULL, 20678, 11),
(47421, NULL, 'PS01000', NULL, NULL, 'Succinate dehydrogenase cytochrome b subunit signature 1.', NULL, 'SDH_CYT_1', NULL, NULL, 9178, 11),
(47422, NULL, 'PS01085', NULL, NULL, 'Ribulose-phosphate 3-epimerase family signature 1.', NULL, 'RIBUL_P_3_EPIMER_1', NULL, NULL, 2971, 11),
(47423, NULL, 'PS00725', NULL, NULL, 'Germin family signature.', NULL, 'GERMIN', NULL, NULL, 15292, 11),
(47424, NULL, 'PS00975', NULL, NULL, 'Myristoyl-CoA:protein N-myristoyltransferase signature 1.', NULL, 'NMT_1', NULL, NULL, 17212, 11);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47425, NULL, 'PS60017', NULL, NULL, 'Omega-atracotoxin (ACTX) type 2 family signature.', NULL, 'OMEGA_ACTX_2', NULL, NULL, 7775, 11),
(47426, NULL, 'PS00996', NULL, NULL, 'Ribosomal protein S21e signature.', NULL, 'RIBOSOMAL_S21E', NULL, NULL, 20127, 11),
(47427, NULL, 'PS00645', NULL, NULL, 'Respiratory-chain NADH dehydrogenase 51 Kd subunit signature 2.', NULL, 'COMPLEX1_51K_2', NULL, NULL, 2295, 11),
(47428, NULL, 'PS00932', NULL, NULL, 'Prokaryotic molybdopterin oxidoreductases signature 3.', NULL, 'MOLYBDOPTERIN_PROK_3', NULL, NULL, 1460, 11),
(47429, NULL, 'PS00635', NULL, NULL, 'Gram-negative pili assembly chaperone signature.', NULL, 'PILI_CHAPERONE', NULL, NULL, 14623, 11),
(47430, NULL, 'PS00707', NULL, NULL, 'Glycosyl hydrolases family 31 signature 2.', NULL, 'GLYCOSYL_HYDROL_F31_2', NULL, NULL, 24947, 11),
(47431, NULL, 'PS00062', NULL, NULL, 'Aldo/keto reductase family signature 2.', NULL, 'ALDOKETO_REDUCTASE_2', NULL, NULL, 12278, 11),
(47432, NULL, 'PS00327', NULL, NULL, 'Bacterial rhodopsins retinal binding site.', NULL, 'BACTERIAL_OPSIN_RET', NULL, NULL, 7662, 11),
(47433, NULL, 'PS01084', NULL, NULL, 'DNA photolyases class 2 signature 2.', NULL, 'DNA_PHOTOLYASES_2_2', NULL, NULL, 22148, 11),
(47434, NULL, 'PS00754', NULL, NULL, 'Sodium:neurotransmitter symporter family signature 2.', NULL, 'NA_NEUROTRAN_SYMP_2', NULL, NULL, 3945, 11),
(47435, NULL, 'PS00831', NULL, NULL, 'Ribosomal protein L27 signature.', NULL, 'RIBOSOMAL_L27', NULL, NULL, 19716, 11),
(47436, NULL, 'PS01255', NULL, NULL, 'Fetuin family signature 2.', NULL, 'FETUIN_2', NULL, NULL, 7227, 11),
(47437, NULL, 'PS00436', NULL, NULL, 'Peroxidases active site signature.', NULL, 'PEROXIDASE_2', NULL, NULL, 17769, 11),
(47438, NULL, 'PS00500', NULL, NULL, 'Thymosin beta-4 family signature.', NULL, 'THYMOSIN_B4', NULL, NULL, 1031, 11),
(47439, NULL, 'PS01008', NULL, NULL, 'DnaA protein signature.', NULL, 'DNAA', NULL, NULL, 8929, 11),
(47440, NULL, 'PS01007', NULL, NULL, 'Transposases, Mutator family, signature.', NULL, 'TRANSPOSASE_MUTATOR', NULL, NULL, 1498, 11),
(47441, NULL, 'PS00194', NULL, NULL, 'Thioredoxin family active site.', NULL, 'THIOREDOXIN_1', NULL, NULL, 18548, 11),
(47442, NULL, 'PS00434', NULL, NULL, 'HSF-type DNA-binding domain signature.', NULL, 'HSF_DOMAIN', NULL, NULL, 809, 11),
(47443, NULL, 'PS00523', NULL, NULL, 'Sulfatases signature 1.', NULL, 'SULFATASE_1', NULL, NULL, 28859, 11),
(47444, NULL, 'PS00381', NULL, NULL, 'Endopeptidase Clp serine active site.', NULL, 'CLP_PROTEASE_SER', NULL, NULL, 7753, 11),
(47445, NULL, 'PS00655', NULL, NULL, 'Glycosyl hydrolases family 6 signature 1.', NULL, 'GLYCOSYL_HYDROL_F6_1', NULL, NULL, 5015, 11),
(47446, NULL, 'PS00283', NULL, NULL, 'Soybean trypsin inhibitor (Kunitz) protease inhibitors family signature.', NULL, 'SOYBEAN_KUNITZ', NULL, NULL, 398, 11),
(47447, NULL, 'PS00063', NULL, NULL, 'Aldo/keto reductase family putative active site signature.', NULL, 'ALDOKETO_REDUCTASE_3', NULL, NULL, 12278, 11),
(47448, NULL, 'PS00088', NULL, NULL, 'Manganese and iron superoxide dismutases signature.', NULL, 'SOD_MN', NULL, NULL, 18255, 11),
(47449, NULL, 'PS00086', NULL, NULL, 'Cytochrome P450 cysteine heme-iron ligand signature.', NULL, 'CYTOCHROME_P450', NULL, NULL, 13250, 11),
(47450, NULL, 'PS00570', NULL, NULL, 'Bacterial ring hydroxylating dioxygenases alpha-subunit signature.', NULL, 'RING_HYDROXYL_ALPHA', NULL, NULL, 12276, 11),
(47451, NULL, 'PS00847', NULL, NULL, 'MCM family signature.', NULL, 'MCM_1', NULL, NULL, 20403, 11),
(47452, NULL, 'PS00692', NULL, NULL, 'NifH/frxC family signature 2.', NULL, 'NIFH_FRXC_2', NULL, NULL, 28744, 11),
(47453, NULL, 'PS01017', NULL, NULL, 'Sterol reductase family signature 1.', NULL, 'STEROL_REDUCT_1', NULL, NULL, 13518, 11),
(47454, NULL, 'PS01127', NULL, NULL, 'Elongation factor Ts signature 2.', NULL, 'EF_TS_2', NULL, NULL, 13655, 11),
(47455, NULL, 'PS00902', NULL, NULL, 'Glutamate 5-kinase signature.', NULL, 'GLUTAMATE_5_KINASE', NULL, NULL, 17606, 11),
(47456, NULL, 'PS00475', NULL, NULL, 'Ribosomal protein L15 signature.', NULL, 'RIBOSOMAL_L15', NULL, NULL, 1050, 11);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47457, NULL, 'PS01250', NULL, NULL, 'Arthropod CHH/MIH/GIH neurohormones family signature.', NULL, 'CHH_MIH_GIH', NULL, NULL, 20000, 11),
(47458, NULL, 'PS00415', NULL, NULL, 'Synapsins signature 1.', NULL, 'SYNAPSIN_1', NULL, NULL, 12543, 11),
(47459, NULL, 'PS01089', NULL, NULL, 'CAP protein signature 2.', NULL, 'CAP_2', NULL, NULL, 22338, 11),
(47460, NULL, 'PS01190', NULL, NULL, 'Ribosomal protein L36e signature.', NULL, 'RIBOSOMAL_L36E', NULL, NULL, 5765, 11),
(47461, NULL, 'PS01073', NULL, NULL, 'Ribosomal protein L24e signature.', NULL, 'RIBOSOMAL_L24E', NULL, NULL, 16178, 11),
(47462, NULL, 'PS00669', NULL, NULL, 'Gas vesicles protein GVPa signature 2.', NULL, 'GAS_VESICLE_A_2', NULL, NULL, 9207, 11),
(47463, NULL, 'PS00432', NULL, NULL, 'Actins signature 2.', NULL, 'ACTINS_2', NULL, NULL, 666, 11),
(47464, NULL, 'PS00582', NULL, NULL, 'Ribosomal protein L33 signature.', NULL, 'RIBOSOMAL_L33', NULL, NULL, 19711, 11),
(47465, NULL, 'PS00763', NULL, NULL, 'Glutathione peroxidases signature 2.', NULL, 'GLUTATHIONE_PEROXID_2', NULL, NULL, 25752, 11),
(47466, NULL, 'PS00723', NULL, NULL, 'Polyprenyl synthases signature 1.', NULL, 'POLYPRENYL_SYNTHASE_1', NULL, NULL, 30018, 11),
(47467, NULL, 'PS01103', NULL, NULL, 'Aspartate-semialdehyde dehydrogenase signature.', NULL, 'ASD', NULL, NULL, 4939, 11),
(47468, NULL, 'PS01272', NULL, NULL, 'Glucokinase regulatory protein family signature.', NULL, 'GCKR', NULL, NULL, 657, 11),
(47469, NULL, 'PS00468', NULL, NULL, 'Eukaryotic cobalamin-binding proteins signature.', NULL, 'COBALAMIN_BINDING', NULL, NULL, 480, 11),
(47470, NULL, 'PS00314', NULL, NULL, 'Bacterial ice-nucleation proteins octamer repeat.', NULL, 'ICE_NUCLEATION', NULL, NULL, 4926, 11),
(47471, NULL, 'PS01351', NULL, NULL, 'MAP kinase signature.', NULL, 'MAPK', NULL, NULL, 6114, 11),
(47472, NULL, 'PS01219', NULL, NULL, 'Ammonium transporters signature.', NULL, 'AMMONIUM_TRANSP', NULL, NULL, 14894, 11),
(47473, NULL, 'PS00537', NULL, NULL, 'Cytochrome b559 subunits heme-binding site signature.', NULL, 'CYTOCHROME_B559', NULL, NULL, 11335, 11),
(47474, NULL, 'PS00024', NULL, NULL, 'Hemopexin domain signature.', NULL, 'HEMOPEXIN', NULL, NULL, 21838, 11),
(47475, NULL, 'PS01281', NULL, NULL, 'Glucose inhibited division protein A family signature 2.', NULL, 'GIDA_2', NULL, NULL, 19934, 11),
(47476, NULL, 'PS00430', NULL, NULL, 'TonB-dependent receptor proteins signature 1.', NULL, 'TONB_DEPENDENT_REC_1', NULL, NULL, 10272, 11),
(47477, NULL, 'PS00574', NULL, NULL, 'Fatty acid desaturases family 2 signature.', NULL, 'FATTY_ACID_DESATUR_2', NULL, NULL, 5627, 11),
(47478, NULL, 'PS00699', NULL, NULL, 'Nitrogenases component 1 alpha and beta subunits signature 1.', NULL, 'NITROGENASE_1_1', NULL, NULL, 632, 11),
(47479, NULL, 'PS01012', NULL, NULL, 'Folylpolyglutamate synthase signature 2.', NULL, 'FOLYLPOLYGLU_SYNT_2', NULL, NULL, 13939, 11),
(47480, NULL, 'PS01284', NULL, NULL, 'Thermonuclease family signature 2.', NULL, 'TNASE_2', NULL, NULL, 1371, 11),
(47481, NULL, 'PS01361', NULL, NULL, 'Zinc finger Dof-type signature.', NULL, 'ZF_DOF_1', NULL, NULL, 3249, 11),
(47482, NULL, 'PS00901', NULL, NULL, 'Cysteine synthase/cystathionine beta-synthase P-phosphate attachment site.', NULL, 'CYS_SYNTHASE', NULL, NULL, 2262, 11),
(47483, NULL, 'PS00250', NULL, NULL, 'TGF-beta family signature.', NULL, 'TGF_BETA_1', NULL, NULL, 2691, 11),
(47484, NULL, 'PS00085', NULL, NULL, 'Copper type II, ascorbate-dependent monooxygenases signature 2.', NULL, 'CU2_MONOOXYGENASE_2', NULL, NULL, 8726, 11),
(47485, NULL, 'PS00766', NULL, NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase signature 1.', NULL, 'THF_DHG_CYH_1', NULL, NULL, 19238, 11),
(47486, NULL, 'PS01136', NULL, NULL, 'Uncharacterized protein family UPF0034 signature.', NULL, 'UPF0034', NULL, NULL, 20199, 11),
(47487, NULL, 'PS00530', NULL, NULL, 'Ribonuclease T2 family histidine active site 1.', NULL, 'RNASE_T2_1', NULL, NULL, 14978, 11),
(47488, NULL, 'PS00983', NULL, NULL, 'Ly-6 / u-PAR domain signature.', NULL, 'LY6_UPAR', NULL, NULL, 20928, 11);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47489, NULL, 'PS00096', NULL, NULL, 'Serine hydroxymethyltransferase pyridoxal-phosphate attachment site.', NULL, 'SHMT', NULL, NULL, 17725, 11),
(47490, NULL, 'PS00573', NULL, NULL, 'Pyridine nucleotide-disulphide oxidoreductases class-II active site.', NULL, 'PYRIDINE_REDOX_2', NULL, NULL, 12277, 11),
(47491, NULL, 'PS00661', NULL, NULL, 'FERM domain signature 2.', NULL, 'FERM_2', NULL, NULL, 21336, 11),
(47492, NULL, 'PS00839', NULL, NULL, 'Uroporphyrin-III C-methyltransferase signature 1.', NULL, 'SUMT_1', NULL, NULL, 983, 11),
(47493, NULL, 'PS00447', NULL, NULL, 'DNA polymerase family A signature.', NULL, 'DNA_POLYMERASE_A', NULL, NULL, 21053, 11),
(47494, NULL, 'PS01315', NULL, NULL, 'Phosphatidate cytidylyltransferase signature.', NULL, 'CDS', NULL, NULL, 107, 11),
(47495, NULL, 'PS01328', NULL, NULL, '4-hydroxybenzoyl-CoA thioesterase family active site.', NULL, '4HBCOA_THIOESTERASE', NULL, NULL, 8845, 11),
(47496, NULL, 'PS01107', NULL, NULL, 'Ribosomal protein L27e signature.', NULL, 'RIBOSOMAL_L27E', NULL, NULL, 19578, 11),
(47497, NULL, 'PS00072', NULL, NULL, 'Acyl-CoA dehydrogenases signature 1.', NULL, 'ACYL_COA_DH_1', NULL, NULL, 2995, 11),
(47498, NULL, 'PS00931', NULL, NULL, 'Cutinase, aspartate and histidine active sites.', NULL, 'CUTINASE_2', NULL, NULL, 37851, 11),
(47499, NULL, 'PS00941', NULL, NULL, 'Carboxylesterases type-B signature 2.', NULL, 'CARBOXYLESTERASE_B_2', NULL, NULL, 15681, 11),
(47500, NULL, 'PS00284', NULL, NULL, 'Serpins signature.', NULL, 'SERPIN', NULL, NULL, 16800, 11),
(47501, NULL, 'PS00020', NULL, NULL, 'Actinin-type actin-binding domain signature 2.', NULL, 'ACTININ_2', NULL, NULL, 3416, 11),
(47502, NULL, 'PS00922', NULL, NULL, 'Prokaryotic transglycosylases signature.', NULL, 'TRANSGLYCOSYLASE', NULL, NULL, 1984, 11),
(47503, NULL, 'PS01209', NULL, NULL, 'LDL-receptor class A (LDLRA) domain signature.', NULL, 'LDLRA_1', NULL, NULL, 16056, 11),
(47504, NULL, 'PS00796', NULL, NULL, '14-3-3 proteins signature 1.', NULL, '1433_1', NULL, NULL, 16305, 11),
(47505, NULL, 'PS60009', NULL, NULL, 'Cyclotides Moebius subfamily signature.', NULL, 'CYCLOTIDE_MOEBIUS', NULL, NULL, 11519, 11),
(47506, NULL, 'PS00926', NULL, NULL, 'Lysyl oxidase putative copper-binding region signature.', NULL, 'LYSYL_OXIDASE', NULL, NULL, 17511, 11),
(47507, NULL, 'PS01218', NULL, NULL, 'TatC family signature.', NULL, 'TATC', NULL, NULL, 15671, 11),
(47508, NULL, 'PS01265', NULL, NULL, 'Tpx family signature.', NULL, 'TPX', NULL, NULL, 17016, 11),
(47509, NULL, 'PS00866', NULL, NULL, 'Carbamoyl-phosphate synthase subdomain signature 1.', NULL, 'CPSASE_1', NULL, NULL, 883, 11),
(47510, NULL, 'PS00350', NULL, NULL, 'MADS-box domain signature.', NULL, 'MADS_BOX_1', NULL, NULL, 1414, 11),
(47511, NULL, 'PS00990', NULL, NULL, 'Clathrin adaptor complexes medium chain signature 1.', NULL, 'CLAT_ADAPTOR_M_1', NULL, NULL, 8608, 11),
(47512, NULL, 'PS01348', NULL, NULL, 'MraY family signature 2.', NULL, 'MRAY_2', NULL, NULL, 9204, 11),
(47513, NULL, 'PS00446', NULL, NULL, 'RNA polymerases D / 30 to 40 Kd subunits signature.', NULL, 'RNA_POL_D_30KD', NULL, NULL, 3011, 11),
(47514, NULL, 'PS00908', NULL, NULL, 'Mandelate racemase / muconate lactonizing enzyme family signature 1.', NULL, 'MR_MLE_1', NULL, NULL, 13981, 11),
(47515, NULL, 'PS60014', NULL, NULL, 'Alpha-conotoxin family signature.', NULL, 'ALPHA_CONOTOXIN', NULL, NULL, 19642, 11),
(47516, NULL, 'PS00022', NULL, NULL, 'EGF-like domain signature 1.', NULL, 'EGF_1', NULL, NULL, 3532, 11),
(47517, NULL, 'PS00344', NULL, NULL, 'GATA-type zinc finger domain.', NULL, 'GATA_ZN_FINGER_1', NULL, NULL, 3540, 11),
(47518, NULL, 'PS00109', NULL, NULL, 'Tyrosine protein kinases specific active-site signature.', NULL, 'PROTEIN_KINASE_TYR', NULL, NULL, 8917, 11),
(47519, NULL, 'PS00051', NULL, NULL, 'Ribosomal protein L39e signature.', NULL, 'RIBOSOMAL_L39E', NULL, NULL, 16036, 11),
(47520, NULL, 'PS01337', NULL, NULL, 'Ornithine decarboxylase antizyme signature.', NULL, 'ODC_AZ', NULL, NULL, 7461, 11),
(47521, NULL, 'PS00449', NULL, NULL, 'ATP synthase a subunit signature.', NULL, 'ATPASE_A', NULL, NULL, 15228, 11);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47522, NULL, 'PS00157', NULL, NULL, 'Ribulose bisphosphate carboxylase large chain active site.', NULL, 'RUBISCO_LARGE', NULL, NULL, 19764, 11),
(47523, NULL, 'PS00197', NULL, NULL, '2Fe-2S ferredoxin-type iron-sulfur binding region signature.', NULL, '2FE2S_FER_1', NULL, NULL, 2544, 11),
(47524, NULL, 'PS00899', NULL, NULL, 'Ependymins signature 2.', NULL, 'EPENDYMIN_2', NULL, NULL, 7929, 11),
(47525, NULL, 'PS01159', NULL, NULL, 'WW/rsp5/WWP domain signature.', NULL, 'WW_DOMAIN_1', NULL, NULL, 1194, 11),
(47526, NULL, 'PS00308', NULL, NULL, 'Legume lectins alpha-chain signature.', NULL, 'LECTIN_LEGUME_ALPHA', NULL, NULL, 3426, 11),
(47527, NULL, 'PS00188', NULL, NULL, 'Biotin-requiring enzymes attachment site.', NULL, 'BIOTIN', NULL, NULL, 4127, 11),
(47528, NULL, 'PS60024', NULL, NULL, 'Agouti domain signature.', NULL, 'AGOUTI_1', NULL, NULL, 25661, 11),
(47529, NULL, 'PS60025', NULL, NULL, 'Conantokin family signature.', NULL, 'CONANTOKIN', NULL, NULL, 12993, 11),
(47530, NULL, 'PS00134', NULL, NULL, 'Serine proteases, trypsin family, histidine active site.', NULL, 'TRYPSIN_HIS', NULL, NULL, 13992, 11),
(47531, NULL, 'PS00505', NULL, NULL, 'Phosphoenolpyruvate carboxykinase (GTP) signature.', NULL, 'PEPCK_GTP', NULL, NULL, 19967, 11),
(47532, NULL, 'PS00332', NULL, NULL, 'Copper/Zinc superoxide dismutase signature 2.', NULL, 'SOD_CU_ZN_2', NULL, NULL, 19399, 11),
(47533, NULL, 'PS00938', NULL, NULL, 'Initiation factor 3 signature.', NULL, 'IF3', NULL, NULL, 17784, 11),
(47534, NULL, 'PS01228', NULL, NULL, 'Hypothetical cof family signature 1.', NULL, 'COF_1', NULL, NULL, NULL, 11),
(47535, NULL, 'PS00411', NULL, NULL, 'Kinesin motor domain signature.', NULL, 'KINESIN_MOTOR_1', NULL, NULL, 17567, 11),
(47536, NULL, 'PS00629', NULL, NULL, 'Inositol monophosphatase family signature 1.', NULL, 'IMP_1', NULL, NULL, 20720, 11),
(47537, NULL, 'PS01260', NULL, NULL, 'Apoptosis regulator, Bcl-2 family BH4 motif signature.', NULL, 'BH4_1', NULL, NULL, 19507, 11),
(47538, NULL, 'PS00744', NULL, NULL, 'Beta-lactamases class B signature 2.', NULL, 'BETA_LACTAMASE_B_2', NULL, NULL, 416, 11),
(47539, NULL, 'PS01024', NULL, NULL, 'Protein phosphatase 2A regulatory subunit PR55 signature 1.', NULL, 'PR55_1', NULL, NULL, 19421, 11),
(47540, NULL, 'PS01169', NULL, NULL, 'Ribosomal protein L21 signature.', NULL, 'RIBOSOMAL_L21', NULL, NULL, 19766, 11),
(47541, NULL, 'PS01325', NULL, NULL, 'Lysyl hydroxylase signature.', NULL, 'LYS_HYDROXYLASE', NULL, NULL, 2400, 11),
(47542, NULL, 'PS00276', NULL, NULL, 'Channel forming colicins signature.', NULL, 'CHANNEL_COLICIN', NULL, NULL, 4571, 11),
(47543, NULL, 'PS00288', NULL, NULL, 'Tissue inhibitors of metalloproteinases signature.', NULL, 'TIMP', NULL, NULL, 28612, 11),
(47544, NULL, 'PS00124', NULL, NULL, 'Fructose-1-6-bisphosphatase active site.', NULL, 'FBPASE', NULL, NULL, 21097, 11),
(47545, NULL, 'PS00879', NULL, NULL, 'Orn/DAP/Arg decarboxylases family 2 signature 2.', NULL, 'ODR_DC_2_2', NULL, NULL, 17144, 11),
(47546, NULL, 'PS01117', NULL, NULL, 'MarR-type HTH domain signature.', NULL, 'HTH_MARR_1', NULL, NULL, 7678, 11),
(47547, NULL, 'PS00513', NULL, NULL, 'Adenylosuccinate synthetase active site.', NULL, 'ADENYLOSUCCIN_SYN_2', NULL, NULL, 35448, 11),
(47548, NULL, 'PS00965', NULL, NULL, 'Phosphomannose isomerase type I signature 1.', NULL, 'PMI_I_1', NULL, NULL, 14780, 11),
(47549, NULL, 'PS01353', NULL, NULL, 'Long hematopoietin receptor, gp130 family signature.', NULL, 'HEMATOPO_REC_L_F2', NULL, NULL, 7424, 11),
(47550, NULL, 'PS01145', NULL, NULL, 'Ribosomal protein L34e signature.', NULL, 'RIBOSOMAL_L34E', NULL, NULL, 19960, 11),
(47551, NULL, 'PS00211', NULL, NULL, 'ABC transporters family signature.', NULL, 'ABC_TRANSPORTER_1', NULL, NULL, 13144, 11),
(47552, NULL, 'PS00182', NULL, NULL, 'Glutamine synthetase class-I adenylation site.', NULL, 'GLNA_ADENYLATION', NULL, NULL, 3022, 11),
(47553, NULL, 'PS00622', NULL, NULL, 'LuxR-type HTH domain signature.', NULL, 'HTH_LUXR_1', NULL, NULL, 6974, 11),
(47554, NULL, 'PS00880', NULL, NULL, 'Acyl-CoA-binding (ACB) domain signature.', NULL, 'ACB_1', NULL, NULL, 21175, 11);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47555, NULL, 'PS00253', NULL, NULL, 'Interleukin-1 signature.', NULL, 'INTERLEUKIN_1', NULL, NULL, 19708, 11),
(47556, NULL, 'PS00968', NULL, NULL, 'Antenna complexes alpha subunits signature.', NULL, 'ANTENNA_COMP_ALPHA', NULL, NULL, 6730, 11),
(47557, NULL, 'PS01076', NULL, NULL, 'Acetate and butyrate kinases family signature 2.', NULL, 'ACETATE_KINASE_2', NULL, NULL, 8213, 11),
(47558, NULL, 'PS00801', NULL, NULL, 'Transketolase signature 1.', NULL, 'TRANSKETOLASE_1', NULL, NULL, 637, 11),
(47559, NULL, 'PS00830', NULL, NULL, 'Prokaryotic transcription elongation factors signature 2.', NULL, 'GREAB_2', NULL, NULL, 19296, 11),
(47560, NULL, 'PS00296', NULL, NULL, 'Chaperonins cpn60 signature.', NULL, 'CHAPERONINS_CPN60', NULL, NULL, 20787, 11),
(47561, NULL, 'PS00095', NULL, NULL, 'C-5 cytosine-specific DNA methylases C-terminal signature.', NULL, 'C5_MTASE_2', NULL, NULL, 27154, 11),
(47562, NULL, 'PS00663', NULL, NULL, 'Vinculin family talin-binding region signature.', NULL, 'VINCULIN_1', NULL, NULL, 5501, 11),
(47563, NULL, 'PS00755', NULL, NULL, 'Protein secY signature 1.', NULL, 'SECY_1', NULL, NULL, 24871, 11),
(47564, NULL, 'PS00462', NULL, NULL, 'Gamma-glutamyltranspeptidase signature.', NULL, 'G_GLU_TRANSPEPTIDASE', NULL, NULL, 2714, 11),
(47565, NULL, 'PS00113', NULL, NULL, 'Adenylate kinase signature.', NULL, 'ADENYLATE_KINASE', NULL, NULL, 30072, 11),
(47566, NULL, 'PS01037', NULL, NULL, 'Bacterial extracellular solute-binding proteins, family 1 signature.', NULL, 'SBP_BACTERIAL_1', NULL, NULL, 2746, 11),
(47567, NULL, 'PS01083', NULL, NULL, 'DNA photolyases class 2 signature 1.', NULL, 'DNA_PHOTOLYASES_2_1', NULL, NULL, 22148, 11),
(47568, NULL, 'PS00138', NULL, NULL, 'Serine proteases, subtilase family, serine active site.', NULL, 'SUBTILASE_SER', NULL, NULL, 9546, 11),
(47569, NULL, 'PS00774', NULL, NULL, 'Chitinases family 19 signature 2.', NULL, 'CHITINASE_19_2', NULL, NULL, 7203, 11),
(47570, NULL, 'PS00528', NULL, NULL, 'Ribosomal protein S4e signature.', NULL, 'RIBOSOMAL_S4E', NULL, NULL, 20163, 11),
(47571, NULL, 'PS00479', NULL, NULL, 'Zinc finger phorbol-ester/DAG-type signature.', NULL, 'ZF_DAG_PE_1', NULL, NULL, 5500, 11),
(47572, NULL, 'PS01244', NULL, NULL, 'Aconitase family signature 2.', NULL, 'ACONITASE_2', NULL, NULL, 20428, 11),
(47573, NULL, 'PS01268', NULL, NULL, 'Uncharacterized protein family UPF0024 signature.', NULL, 'UPF0024', NULL, NULL, 12696, 11),
(47574, NULL, 'PS01010', NULL, NULL, 'CRISP family signature 2.', NULL, 'CRISP_2', NULL, NULL, 8759, 11),
(47575, NULL, 'PS00181', NULL, NULL, 'Glutamine synthetase putative ATP-binding region signature.', NULL, 'GLNA_ATP', NULL, NULL, 27987, 11),
(47576, NULL, 'PS00178', NULL, NULL, 'Aminoacyl-transfer RNA synthetases class-I signature.', NULL, 'AA_TRNA_LIGASE_I', NULL, NULL, 6547, 11),
(47577, NULL, 'PS01133', NULL, NULL, 'Uncharacterized protein family UPF0017 signature.', NULL, 'UPF0017', NULL, NULL, 435, 11),
(47578, NULL, 'PS00286', NULL, NULL, 'Squash family of serine protease inhibitors signature.', NULL, 'SQUASH_INHIBITOR', NULL, NULL, 6711, 11),
(47579, NULL, 'PS00383', NULL, NULL, 'Tyrosine specific protein phosphatases active site.', NULL, 'TYR_PHOSPHATASE_1', NULL, NULL, 11404, 11),
(47580, NULL, 'PS00688', NULL, NULL, 'Sigma-54 interaction domain C-terminal part signature.', NULL, 'SIGMA54_INTERACT_3', NULL, NULL, 22058, 11),
(47581, NULL, 'PS00789', NULL, NULL, 'Chorismate synthase signature 3.', NULL, 'CHORISMATE_SYNTHASE_3', NULL, NULL, 14918, 11),
(47582, NULL, 'PS00607', NULL, NULL, 'cAMP phosphodiesterases class-II signature.', NULL, 'PDEASE_II', NULL, NULL, 20878, 11),
(47583, NULL, 'PS00270', NULL, NULL, 'Endothelin family signature.', NULL, 'ENDOTHELIN', NULL, NULL, 21093, 11),
(47584, NULL, 'PS00352', NULL, NULL, 'Cold-shock (CSD) domain signature.', NULL, 'CSD_1', NULL, NULL, 18335, 11),
(47585, NULL, 'PS01177', NULL, NULL, 'Anaphylatoxin domain signature.', NULL, 'ANAPHYLATOXIN_1', NULL, NULL, 2921, 11),
(47586, NULL, 'PS00719', NULL, NULL, 'Glycosyl hydrolases family 2 signature 1.', NULL, 'GLYCOSYL_HYDROL_F2_1', NULL, NULL, 15702, 11);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47587, NULL, 'PS01318', NULL, NULL, 'TsaA-like domain signature.', NULL, 'TSAA_1', NULL, NULL, 15625, 11),
(47588, NULL, 'PS00397', NULL, NULL, 'Site-specific recombinases active site.', NULL, 'RECOMBINASES_1', NULL, NULL, 10041, 11),
(47589, NULL, 'PS01151', NULL, NULL, 'Fimbrial biogenesis outer membrane usher protein signature.', NULL, 'FIMBRIAL_USHER', NULL, NULL, 19416, 11),
(47590, NULL, 'PS00614', NULL, NULL, 'Indole-3-glycerol phosphate synthase signature.', NULL, 'IGPS', NULL, NULL, 3131, 11),
(47591, NULL, 'PS00420', NULL, NULL, 'SRCR domain signature.', NULL, 'SRCR_1', NULL, NULL, 1335, 11),
(47592, NULL, 'PS00828', NULL, NULL, 'Ribosomal protein L36 signature.', NULL, 'RIBOSOMAL_L36', NULL, NULL, 6626, 11),
(47593, NULL, 'PS00007', NULL, NULL, 'Tyrosine kinase phosphorylation site 1.', NULL, 'TYR_PHOSPHO_SITE_1', NULL, NULL, NULL, 11),
(47594, NULL, 'PS00826', NULL, NULL, 'MARCKS family signature 1.', NULL, 'MARCKS_1', NULL, NULL, 1389, 11),
(47595, NULL, 'PS00473', NULL, NULL, 'Gonadotropin-releasing hormones signature.', NULL, 'GNRH', NULL, NULL, 2031, 11),
(47596, NULL, 'PS01022', NULL, NULL, 'PTR2 family proton/oligopeptide symporters signature 1.', NULL, 'PTR2_1', NULL, NULL, 9239, 11),
(47597, NULL, 'PS01307', NULL, NULL, 'Flagellar motor protein motA family signature.', NULL, 'MOTA', NULL, NULL, 5676, 11),
(47598, NULL, 'PS00613', NULL, NULL, 'Osteonectin domain signature 2.', NULL, 'OSTEONECTIN_2', NULL, NULL, 2351, 11),
(47599, NULL, 'PS01066', NULL, NULL, 'Undecaprenyl pyrophosphate synthase family signature.', NULL, 'UPP_SYNTHASE', NULL, NULL, 20194, 11),
(47600, NULL, 'PS00476', NULL, NULL, 'Fatty acid desaturases family 1 signature.', NULL, 'FATTY_ACID_DESATUR_1', NULL, NULL, 5843, 11),
(47601, NULL, 'PS00364', NULL, NULL, 'Bacterial quinoprotein dehydrogenases signature 2.', NULL, 'BACTERIAL_PQQ_2', NULL, NULL, 6301, 11),
(47602, NULL, 'PS00844', NULL, NULL, 'D-alanine--D-alanine ligase signature 2.', NULL, 'DALA_DALA_LIGASE_2', NULL, NULL, 934, 11),
(47603, NULL, 'PS01132', NULL, NULL, 'Actins and actin-related proteins signature.', NULL, 'ACTINS_ACT_LIKE', NULL, NULL, 19580, 11),
(47604, NULL, 'PS00498', NULL, NULL, 'Tyrosinase and hemocyanins CuB-binding region signature.', NULL, 'TYROSINASE_2', NULL, NULL, 463, 11),
(47605, NULL, 'PS60003', NULL, NULL, 'Phosphoketolase signature 2.', NULL, 'PHOSPHOKETOLASE_2', NULL, NULL, 18000, 11),
(47606, NULL, 'PS00724', NULL, NULL, 'Stress-induced proteins SRP1/TIP1 family signature.', NULL, 'SRP1_TIP1', NULL, NULL, 3224, 11),
(47607, NULL, 'PS00737', NULL, NULL, 'Thiolases signature 2.', NULL, 'THIOLASE_2', NULL, NULL, 19815, 11),
(47608, NULL, 'PS00783', NULL, NULL, 'Ribosomal protein L13 signature.', NULL, 'RIBOSOMAL_L13', NULL, NULL, 10577, 11),
(47609, NULL, 'PS01193', NULL, NULL, 'Ribosomal protein S8e signature.', NULL, 'RIBOSOMAL_S8E', NULL, NULL, 20188, 11),
(47610, NULL, 'PS01096', NULL, NULL, 'PpiC-type peptidyl-prolyl cis-trans isomerase signature.', NULL, 'PPIC_PPIASE_1', NULL, NULL, 15345, 11),
(47611, NULL, 'PS01357', NULL, NULL, 'Zinc finger ZZ-type signature.', NULL, 'ZF_ZZ_1', NULL, NULL, 4294, 11),
(47612, NULL, 'PS00628', NULL, NULL, 'Ribosomal protein S19e signature.', NULL, 'RIBOSOMAL_S19E', NULL, NULL, 20052, 11),
(47613, NULL, 'PS00994', NULL, NULL, 'Bacterial export FHIPEP family signature.', NULL, 'FHIPEP', NULL, NULL, 25434, 11),
(47614, NULL, 'PS01111', NULL, NULL, 'RNA polymerases K / 14 to 18 Kd subunits signature.', NULL, 'RNA_POL_K_14KD', NULL, NULL, 21047, 11),
(47615, NULL, 'PS00264', NULL, NULL, 'Neurohypophysial hormones signature.', NULL, 'NEUROHYPOPHYS_HORM', NULL, NULL, 21262, 11),
(47616, NULL, 'PS00111', NULL, NULL, 'Phosphoglycerate kinase signature.', NULL, 'PGLYCERATE_KINASE', NULL, NULL, 8293, 11),
(47617, NULL, 'PS00884', NULL, NULL, 'Osteopontin signature.', NULL, 'OSTEOPONTIN', NULL, NULL, 14738, 11),
(47618, NULL, 'PS01050', NULL, NULL, 'YjeF C-terminal domain signature 2.', NULL, 'YJEF_C_2', NULL, NULL, 1239, 11),
(47619, NULL, 'PS00373', NULL, NULL, 'Phosphoribosylglycinamide formyltransferase active site.', NULL, 'GART', NULL, NULL, 3227, 11);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47620, NULL, 'PS00720', NULL, NULL, 'Ras Guanine-nucleotide exchange factors domain signature.', NULL, 'RASGEF', NULL, NULL, 17923, 11),
(47621, NULL, 'PS01068', NULL, NULL, 'OmpA-like domain.', NULL, 'OMPA_1', NULL, NULL, 2332, 11),
(47622, NULL, 'PS01274', NULL, NULL, 'Coenzyme A transferases signature 2.', NULL, 'COA_TRANSF_2', NULL, NULL, 2786, 11),
(47623, NULL, 'PS01162', NULL, NULL, 'Quinone oxidoreductase / zeta-crystallin signature.', NULL, 'QOR_ZETA_CRYSTAL', NULL, NULL, 6085, 11),
(47624, NULL, 'PS00212', NULL, NULL, 'Albumin domain signature.', NULL, 'ALBUMIN_1', NULL, NULL, 21230, 11),
(47625, NULL, 'PS00067', NULL, NULL, '3-hydroxyacyl-CoA dehydrogenase signature.', NULL, '3HCDH', NULL, NULL, 11128, 11),
(47626, NULL, 'PS00408', NULL, NULL, 'Connexins signature 2.', NULL, 'CONNEXINS_2', NULL, NULL, 19266, 11),
(47627, NULL, 'PS01102', NULL, NULL, 'Prokaryotic dksA C4-type zinc finger.', NULL, 'ZF_DKSA_1', NULL, NULL, 19467, 11),
(47628, NULL, 'PS00871', NULL, NULL, 'Chaperonins clpA/B signature 2.', NULL, 'CLPAB_2', NULL, NULL, 24551, 11),
(47629, NULL, 'PS01098', NULL, NULL, 'Lipolytic enzymes "G-D-S-L" family, serine active site.', NULL, 'LIPASE_GDSL_SER', NULL, NULL, 8776, 11),
(47630, NULL, 'PS01298', NULL, NULL, 'Dihydrodipicolinate reductase signature.', NULL, 'DAPB', NULL, NULL, 17329, 11),
(47631, NULL, 'PS60001', NULL, NULL, 'Nitric oxide synthase (NOS) signature.', NULL, 'NOS', NULL, NULL, 635, 11),
(47632, NULL, 'PS01032', NULL, NULL, 'PPM-type phosphatase domain signature.', NULL, 'PPM_1', NULL, NULL, 1995, 11),
(47633, NULL, 'PS00540', NULL, NULL, 'Ferritin iron-binding regions signature 1.', NULL, 'FERRITIN_1', NULL, NULL, 13355, 11),
(47634, NULL, 'PS00976', NULL, NULL, 'Myristoyl-CoA:protein N-myristoyltransferase signature 2.', NULL, 'NMT_2', NULL, NULL, 17212, 11),
(47635, NULL, 'PS00041', NULL, NULL, 'Bacterial regulatory proteins, araC family signature.', NULL, 'HTH_ARAC_FAMILY_1', NULL, NULL, 13865, 11),
(47636, NULL, 'PS01191', NULL, NULL, 'Ribosomal protein S3Ae signature.', NULL, 'RIBOSOMAL_S3AE', NULL, NULL, 20077, 11),
(47637, NULL, 'PS60018', NULL, NULL, 'Delta-atracotoxin (ACTX) family signature.', NULL, 'DELTA_ACTX', NULL, NULL, 5102, 11),
(47638, NULL, 'PS00117', NULL, NULL, 'Galactose-1-phosphate uridyl transferase family 1 active site signature.', NULL, 'GAL_P_UDP_TRANSF_I', NULL, NULL, 20305, 11),
(47639, NULL, 'PS00229', NULL, NULL, 'Tau and MAP proteins tubulin-binding repeat signature.', NULL, 'TAU_MAP_1', NULL, NULL, 2411, 11),
(47640, NULL, 'PS00477', NULL, NULL, 'Alpha-2-macroglobulin family thiolester region signature.', NULL, 'ALPHA_2_MACROGLOBULIN', NULL, NULL, 12867, 11),
(47641, NULL, 'PS00738', NULL, NULL, 'S-adenosyl-L-homocysteine hydrolase signature 1.', NULL, 'ADOHCYASE_1', NULL, NULL, 16126, 11),
(47642, NULL, 'PS01200', NULL, NULL, 'Tub family signature 1.', NULL, 'TUB_1', NULL, NULL, 19309, 11),
(47643, NULL, 'PS00287', NULL, NULL, 'Cysteine proteases inhibitors signature.', NULL, 'CYSTATIN', NULL, NULL, 19157, 11),
(47644, NULL, 'PS00690', NULL, NULL, 'DEAH-box subfamily ATP-dependent helicases signature.', NULL, 'DEAH_ATP_HELICASE', NULL, NULL, 7003, 11),
(47645, NULL, 'PS00727', NULL, NULL, 'AP endonucleases family 1 signature 2.', NULL, 'AP_NUCLEASE_F1_2', NULL, NULL, 20730, 11),
(47646, NULL, 'PS00963', NULL, NULL, 'Ribosomal protein S2 signature 2.', NULL, 'RIBOSOMAL_S2_2', NULL, NULL, 20016, 11),
(47647, NULL, 'PS01223', NULL, NULL, 'Gamma-glutamyl phosphate reductase signature.', NULL, 'PROA', NULL, NULL, 20724, 11),
(47648, NULL, 'PS00638', NULL, NULL, 'P-II protein C-terminal region signature.', NULL, 'PII_GLNB_CTER', NULL, NULL, 13370, 11),
(47649, NULL, 'PS00798', NULL, NULL, 'Aldo/keto reductase family signature 1.', NULL, 'ALDOKETO_REDUCTASE_1', NULL, NULL, 12278, 11),
(47650, NULL, 'PS00652', NULL, NULL, 'TNFR/NGFR family cysteine-rich region signature.', NULL, 'TNFR_NGFR_1', NULL, NULL, 2482, 11),
(47651, NULL, 'PS00643', NULL, NULL, 'Respiratory-chain NADH dehydrogenase 75 Kd subunit signature 3.', NULL, 'COMPLEX1_75K_3', NULL, NULL, 770, 11);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47652, NULL, 'PS01123', NULL, NULL, 'Thermonuclease family signature 1.', NULL, 'TNASE_1', NULL, NULL, 1371, 11),
(47653, NULL, 'PS00230', NULL, NULL, 'Neuraxin and MAP1B proteins repeated region signature.', NULL, 'MAP1B_NEURAXIN', NULL, NULL, 3599, 11),
(47654, NULL, 'PS01227', NULL, NULL, 'Uncharacterized protein family UPF0012 signature.', NULL, 'UPF0012', NULL, NULL, 2112, 11),
(47655, NULL, 'PS00560', NULL, NULL, 'Serine carboxypeptidases, histidine active site.', NULL, 'CARBOXYPEPT_SER_HIS', NULL, NULL, 35400, 11),
(47656, NULL, 'PS00733', NULL, NULL, 'Ribosomal protein S26e signature.', NULL, 'RIBOSOMAL_S26E', NULL, NULL, 4786, 11),
(47657, NULL, 'PS00492', NULL, NULL, 'Clusterin signature 1.', NULL, 'CLUSTERIN_1', NULL, NULL, 25821, 11),
(47658, NULL, 'PS01184', NULL, NULL, 'ubiE/COQ5 methyltransferase family signature 2.', NULL, 'UBIE_2', NULL, NULL, 16587, 11),
(47659, NULL, 'PS00242', NULL, NULL, 'Integrins alpha chain signature.', NULL, 'INTEGRIN_ALPHA', NULL, NULL, 7935, 11),
(47660, NULL, 'PS00004', NULL, NULL, 'cAMP- and cGMP-dependent protein kinase phosphorylation site.', NULL, 'CAMP_PHOSPHO_SITE', NULL, NULL, NULL, 11),
(47661, NULL, 'PS00841', NULL, NULL, 'XPG protein signature 1.', NULL, 'XPG_1', NULL, NULL, 15841, 11),
(47662, NULL, 'PS00906', NULL, NULL, 'Uroporphyrinogen decarboxylase signature 1.', NULL, 'UROD_1', NULL, NULL, 1139, 11),
(47663, NULL, 'PS00791', NULL, NULL, 'Receptor tyrosine kinase class V signature 2.', NULL, 'RECEPTOR_TYR_KIN_V_2', NULL, NULL, 5423, 11),
(47664, NULL, 'PS00036', NULL, NULL, 'Basic-leucine zipper (bZIP) domain signature.', NULL, 'BZIP_BASIC', NULL, NULL, 4440, 11),
(47665, NULL, 'PS00313', NULL, NULL, 'Seminal vesicle protein I repeats signature.', NULL, 'SVP_I', NULL, NULL, 1084, 11),
(47666, NULL, 'PS00218', NULL, NULL, 'Amino acid permeases signature.', NULL, 'AMINO_ACID_PERMEASE_1', NULL, NULL, 4133, 11),
(47667, NULL, 'PS00838', NULL, NULL, 'Interleukins -4 and -13 signature.', NULL, 'INTERLEUKIN_4_13', NULL, NULL, 13691, 11),
(47668, NULL, 'PS00581', NULL, NULL, 'Clathrin light chain signature 2.', NULL, 'CLATHRIN_LIGHT_CHN_2', NULL, NULL, 3479, 11),
(47669, NULL, 'PS00969', NULL, NULL, 'Antenna complexes beta subunits signature.', NULL, 'ANTENNA_COMP_BETA', NULL, NULL, 12029, 11),
(47670, NULL, 'PS01092', NULL, NULL, 'Adenylate cyclase class-I signature 1.', NULL, 'ADENYLATE_CYCLASE_1_1', NULL, NULL, 25508, 11),
(47671, NULL, 'PS00769', NULL, NULL, 'Transthyretin signature 2.', NULL, 'TRANSTHYRETIN_2', NULL, NULL, 16396, 11),
(47672, NULL, 'PS00311', NULL, NULL, 'LAMP glycoproteins transmembrane and cytoplasmic domain signature.', NULL, 'LAMP_2', NULL, NULL, 21176, 11),
(47673, NULL, 'PS00554', NULL, NULL, 'TEA domain signature.', NULL, 'TEA_1', NULL, NULL, 5166, 11),
(47674, NULL, 'PS01356', NULL, NULL, 'Short hematopoietin receptor family 2 signature.', NULL, 'HEMATOPO_REC_S_F2', NULL, NULL, 7068, 11),
(47675, NULL, 'PS00942', NULL, NULL, 'glpT family of transporters signature.', NULL, 'GLPT', NULL, NULL, 21274, 11),
(47676, NULL, 'PS00244', NULL, NULL, 'Photosynthetic reaction center proteins signature.', NULL, 'REACTION_CENTER', NULL, NULL, 5872, 11),
(47677, NULL, 'PS00512', NULL, NULL, 'Alpha-galactosidase signature.', NULL, 'ALPHA_GALACTOSIDASE', NULL, NULL, 2650, 11),
(47678, NULL, 'PS01129', NULL, NULL, 'Rlu family of pseudouridine synthase signature.', NULL, 'PSI_RLU', NULL, NULL, 11179, 11),
(47679, NULL, 'PS00292', NULL, NULL, 'Cyclins signature.', NULL, 'CYCLINS', NULL, NULL, 2149, 11),
(47680, NULL, 'PS00410', NULL, NULL, 'Dynamin-type guanine nucleotide-binding (G) domain signature.', NULL, 'G_DYNAMIN_1', NULL, NULL, 21496, 11),
(47681, NULL, 'PS00768', NULL, NULL, 'Transthyretin signature 1.', NULL, 'TRANSTHYRETIN_1', NULL, NULL, 16484, 11),
(47682, NULL, 'PS01283', NULL, NULL, 'T-box domain signature 1.', NULL, 'TBOX_1', NULL, NULL, 14917, 11),
(47683, NULL, 'PS00534', NULL, NULL, 'Ferrochelatase signature.', NULL, 'FERROCHELATASE', NULL, NULL, 17859, 11),
(47684, NULL, 'PS00535', NULL, NULL, 'Respiratory chain NADH dehydrogenase 49 Kd subunit signature.', NULL, 'COMPLEX1_49K', NULL, NULL, 18527, 11);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47685, NULL, 'PS01305', NULL, NULL, 'moaA / nifB / pqqE family signature.', NULL, 'MOAA_NIFB_PQQE', NULL, NULL, 6595, 11),
(47686, NULL, 'PS00456', NULL, NULL, 'Sodium:solute symporter family signature 1.', NULL, 'NA_SOLUT_SYMP_1', NULL, NULL, 7512, 11),
(47687, NULL, 'PS00948', NULL, NULL, 'Ribosomal protein S7e signature.', NULL, 'RIBOSOMAL_S7E', NULL, NULL, 5930, 11),
(47688, NULL, 'PS01002', NULL, NULL, 'Translationally controlled tumor protein (TCTP) domain signature 1.', NULL, 'TCTP_1', NULL, NULL, 13587, 11),
(47689, NULL, 'PS01273', NULL, NULL, 'Coenzyme A transferases signature 1.', NULL, 'COA_TRANSF_1', NULL, NULL, 2867, 11),
(47690, NULL, 'PS00282', NULL, NULL, 'Kazal serine protease inhibitors family signature.', NULL, 'KAZAL_1', NULL, NULL, 6107, 11),
(47691, NULL, 'PS00592', NULL, NULL, 'Glycosyl hydrolases family 9 (GH9) active site signature 2.', NULL, 'GH9_2', NULL, NULL, 7620, 11),
(47692, NULL, 'PS00883', NULL, NULL, 'Nickel-dependent hydrogenases b-type cytochrome subunit signature 2.', NULL, 'NI_HGENASE_CYTB_2', NULL, NULL, 6924, 11),
(47693, NULL, 'PS00549', NULL, NULL, 'Bacterioferritin signature.', NULL, 'BACTERIOFERRITIN', NULL, NULL, 2484, 11),
(47694, NULL, 'PS60030', NULL, NULL, 'Bacteriocin class IIa family signature.', NULL, 'BACTERIOCIN_IIA', NULL, NULL, 16072, 11),
(47695, NULL, 'PS00378', NULL, NULL, 'Hexokinase domain signature.', NULL, 'HEXOKINASE_1', NULL, NULL, 17523, 11),
(47696, NULL, 'PS00169', NULL, NULL, 'Delta-aminolevulinic acid dehydratase active site.', NULL, 'D_ALA_DEHYDRATASE', NULL, NULL, 24587, 11),
(47697, NULL, 'PS00623', NULL, NULL, 'GMC oxidoreductases signature 1.', NULL, 'GMC_OXRED_1', NULL, NULL, 3760, 11),
(47698, NULL, 'PS00459', NULL, NULL, 'Myotoxins signature.', NULL, 'MYOTOXINS_1', NULL, NULL, 4826, 11),
(47699, NULL, 'PS00575', NULL, NULL, 'Myelin proteolipid protein signature 1.', NULL, 'MYELIN_PLP_1', NULL, NULL, 7679, 11),
(47700, NULL, 'PS00577', NULL, NULL, 'Avidin-like domain signature.', NULL, 'AVIDIN_1', NULL, NULL, 13471, 11),
(47701, NULL, 'PS01199', NULL, NULL, 'Ribosomal protein L1 signature.', NULL, 'RIBOSOMAL_L1', NULL, NULL, 723, 11),
(47702, NULL, 'PS00464', NULL, NULL, 'Ribosomal protein L22 signature.', NULL, 'RIBOSOMAL_L22', NULL, NULL, 19547, 11),
(47703, NULL, 'PS00320', NULL, NULL, 'Amyloid precursor protein (APP) intracellular domain signature.', NULL, 'APP_INTRA', NULL, NULL, 12647, 11),
(47704, NULL, 'PS00363', NULL, NULL, 'Bacterial quinoprotein dehydrogenases signature 1.', NULL, 'BACTERIAL_PQQ_1', NULL, NULL, 6301, 11),
(47705, NULL, 'PS00728', NULL, NULL, 'AP endonucleases family 1 signature 3.', NULL, 'AP_NUCLEASE_F1_3', NULL, NULL, 20730, 11),
(47706, NULL, 'PS00290', NULL, NULL, 'Immunoglobulins and major histocompatibility complex proteins signature.', NULL, 'IG_MHC', NULL, NULL, 399, 11),
(47707, NULL, 'PS00145', NULL, NULL, 'Urease active site.', NULL, 'UREASE_2', NULL, NULL, 2824, 11),
(47708, NULL, 'PS00515', NULL, NULL, 'Seminal vesicle protein II repeats signature.', NULL, 'SVP_II', NULL, NULL, 1168, 11),
(47709, NULL, 'PS00293', NULL, NULL, 'Proliferating cell nuclear antigen signature 2.', NULL, 'PCNA_2', NULL, NULL, 17428, 11),
(47710, NULL, 'PS00809', NULL, NULL, 'ADP-glucose pyrophosphorylase signature 2.', NULL, 'ADP_GLC_PYROPHOSPH_2', NULL, NULL, 5577, 11),
(47711, NULL, 'PS01026', NULL, NULL, 'Photosystem I psaG and psaK proteins signature.', NULL, 'PHOTOSYSTEM_I_PSAGK', NULL, NULL, 5778, 11),
(47712, NULL, 'PS01201', NULL, NULL, 'Tub family signature 2.', NULL, 'TUB_2', NULL, NULL, 19309, 11),
(47713, NULL, 'PS00964', NULL, NULL, 'Syndecans signature.', NULL, 'SYNDECAN', NULL, NULL, 24490, 11),
(47714, NULL, 'PS01087', NULL, NULL, 'Radical activating enzymes signature.', NULL, 'RADICAL_ACTIVATING', NULL, NULL, 2388, 11),
(47715, NULL, 'PS01078', NULL, NULL, 'Molybdenum cofactor biosynthesis proteins signature 1.', NULL, 'MOCF_BIOSYNTHESIS_1', NULL, NULL, 9635, 11),
(47716, NULL, 'PS00360', NULL, NULL, 'Ribosomal protein S9 signature.', NULL, 'RIBOSOMAL_S9', NULL, NULL, 19106, 11);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47717, NULL, 'PS00159', NULL, NULL, 'KDPG and KHG aldolases active site.', NULL, 'ALDOLASE_KDPG_KHG_1', NULL, NULL, 27599, 11),
(47718, NULL, 'PS01140', NULL, NULL, 'Glycosyl hydrolases family 45 active site.', NULL, 'GLYCOSYL_HYDROL_F45', NULL, NULL, 4830, 11),
(47719, NULL, 'PS00102', NULL, NULL, 'Phosphorylase pyridoxal-phosphate attachment site.', NULL, 'PHOSPHORYLASE', NULL, NULL, 9802, 11),
(47720, NULL, 'PS00786', NULL, NULL, '5''-nucleotidase signature 2.', NULL, '5_NUCLEOTIDASE_2', NULL, NULL, 10310, 11),
(47721, NULL, 'PS00580', NULL, NULL, 'Ribosomal protein L32e signature.', NULL, 'RIBOSOMAL_L32E', NULL, NULL, 19624, 11),
(47722, NULL, 'PS00863', NULL, NULL, 'Calsequestrin signature 1.', NULL, 'CALSEQUESTRIN_1', NULL, NULL, 7522, 11),
(47723, NULL, 'PS00265', NULL, NULL, 'Pancreatic hormone family signature.', NULL, 'PANCREATIC_HORMONE_1', NULL, NULL, 19618, 11),
(47724, NULL, 'PS00716', NULL, NULL, 'Sigma-70 factors family signature 2.', NULL, 'SIGMA70_2', NULL, NULL, 3295, 11),
(47725, NULL, 'PS00800', NULL, NULL, 'Pectinesterase signature 1.', NULL, 'PECTINESTERASE_1', NULL, NULL, 13507, 11),
(47726, NULL, 'PS00666', NULL, NULL, 'Dihydrodipicolinate synthase signature 2.', NULL, 'DHDPS_2', NULL, NULL, 20098, 11),
(47727, NULL, 'PS00713', NULL, NULL, 'Sodium:dicarboxylate symporter family signature 1.', NULL, 'NA_DICARBOXYL_SYMP_1', NULL, NULL, 13537, 11),
(47728, NULL, 'PS01222', NULL, NULL, 'PMP-22 / EMP / MP20 family signature 2.', NULL, 'PMP22_2', NULL, NULL, 558, 11),
(47729, NULL, 'PS00326', NULL, NULL, 'Tropomyosins signature.', NULL, 'TROPOMYOSIN', NULL, NULL, 5740, 11),
(47730, NULL, 'PS00427', NULL, NULL, 'Disintegrins signature.', NULL, 'DISINTEGRIN_1', NULL, NULL, 20577, 11),
(47731, NULL, 'PS00618', NULL, NULL, 'RecF protein signature 2.', NULL, 'RECF_2', NULL, NULL, 13810, 11),
(47732, NULL, 'PS00751', NULL, NULL, 'Chaperonins TCP-1 signature 2.', NULL, 'TCP1_2', NULL, NULL, 179, 11),
(47733, NULL, 'PS00571', NULL, NULL, 'Amidases signature.', NULL, 'AMIDASES', NULL, NULL, 19347, 11),
(47734, NULL, 'PS00958', NULL, NULL, 'Transaldolase active site.', NULL, 'TRANSALDOLASE_2', NULL, NULL, 7554, 11),
(47735, NULL, 'PS00604', NULL, NULL, 'Synaptophysin / synaptoporin signature.', NULL, 'SYNAPTOP', NULL, NULL, 363, 11),
(47736, NULL, 'PS00833', NULL, NULL, '2''-5''-oligoadenylate synthases signature 2.', NULL, '25A_SYNTH_2', NULL, NULL, 10062, 11),
(47737, NULL, 'PS00177', NULL, NULL, 'DNA topoisomerase II signature.', NULL, 'TOPOISOMERASE_II', NULL, NULL, 20424, 11),
(47738, NULL, 'PS00136', NULL, NULL, 'Serine proteases, subtilase family, aspartic acid active site.', NULL, 'SUBTILASE_ASP', NULL, NULL, 9864, 11),
(47739, NULL, 'PS00759', NULL, NULL, 'ArgE / dapE / ACY1 / CPG2 / yscS family signature 2.', NULL, 'ARGE_DAPE_CPG2_2', NULL, NULL, 1056, 11),
(47740, NULL, 'PS00894', NULL, NULL, 'DeoR-type HTH domain signature.', NULL, 'HTH_DEOR_1', NULL, NULL, 20597, 11),
(47741, NULL, 'PS00949', NULL, NULL, 'Autoinducer synthase family signature.', NULL, 'AUTOINDUCER_SYNTH_1', NULL, NULL, 8551, 11),
(47742, NULL, 'PS00260', NULL, NULL, 'Glucagon / GIP / secretin / VIP family signature.', NULL, 'GLUCAGON', NULL, NULL, 5904, 11),
(47743, NULL, 'PS00362', NULL, NULL, 'Ribosomal protein S15 signature.', NULL, 'RIBOSOMAL_S15', NULL, NULL, 5528, 11),
(47744, NULL, 'PS01276', NULL, NULL, 'Peptidase family U32 signature.', NULL, 'PEPTIDASE_U32', NULL, NULL, 5768, 11),
(47745, NULL, 'PS01299', NULL, NULL, 'Ephrin receptor-binding (ephrin RBD) domain signature.', NULL, 'EPHRIN_RBD_1', NULL, NULL, 21413, 11),
(47746, NULL, 'PS00216', NULL, NULL, 'Sugar transport proteins signature 1.', NULL, 'SUGAR_TRANSPORT_1', NULL, NULL, 6677, 11),
(47747, NULL, 'PS01161', NULL, NULL, 'Glucosamine/galactosamine-6-phosphate isomerases signature.', NULL, 'GLC_GALNAC_ISOMERASE', NULL, NULL, 8627, 11),
(47748, NULL, 'PS00009', NULL, NULL, 'Amidation site.', NULL, 'AMIDATION', NULL, NULL, NULL, 11),
(47749, NULL, 'PS01278', NULL, NULL, 'Methylthiotransferase radical SAM domain signature.', NULL, 'MTTASE_RADICAL', NULL, NULL, 20062, 11); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47750, NULL, 'PS01060', NULL, NULL, 'Flagella transport protein fliP family signature 1.', NULL, 'FLIP_1', NULL, NULL, 5744, 11),
(47751, NULL, 'PS00303', NULL, NULL, 'S-100/ICaBP type calcium binding protein signature.', NULL, 'S100_CABP', NULL, NULL, 3021, 11),
(47752, NULL, 'PS00529', NULL, NULL, 'Ribosomal protein S24e signature.', NULL, 'RIBOSOMAL_S24E', NULL, NULL, 13548, 11),
(47753, NULL, 'PS01040', NULL, NULL, 'Bacterial extracellular solute-binding proteins, family 5 signature.', NULL, 'SBP_BACTERIAL_5', NULL, NULL, 16578, 11),
(47754, NULL, 'PS00910', NULL, NULL, 'Uncharacterized protein family UPF0029 signature.', NULL, 'UPF0029', NULL, NULL, 19159, 11),
(47755, NULL, 'PS01334', NULL, NULL, 'Pyrrolidone-carboxylate peptidase cysteine active site.', NULL, 'PYRASE_CYS', NULL, NULL, 30741, 11),
(47756, NULL, 'PS00620', NULL, NULL, 'PTN/MK heparin-binding protein family signature 2.', NULL, 'PTN_MK_2', NULL, NULL, 16453, 11),
(47757, NULL, 'PS00804', NULL, NULL, 'Calreticulin family signature 2.', NULL, 'CALRETICULIN_2', NULL, NULL, 19239, 11),
(47758, NULL, 'PS00816', NULL, NULL, 'Alpha-isopropylmalate and homocitrate synthases signature 2.', NULL, 'AIPM_HOMOCIT_SYNTH_2', NULL, NULL, 5222, 11),
(47759, NULL, 'PS00745', NULL, NULL, 'Prokaryotic-type class I peptide chain release factors signature.', NULL, 'RF_PROK_I', NULL, NULL, 87, 11),
(47760, NULL, 'PS00896', NULL, NULL, 'LacY family proton/sugar symporters signature 1.', NULL, 'LACY_1', NULL, NULL, 15973, 11),
(47761, NULL, 'PS00494', NULL, NULL, 'Bacterial luciferase subunits signature.', NULL, 'BACTERIAL_LUCIFERASE', NULL, NULL, 7877, 11),
(47762, NULL, 'PS01036', NULL, NULL, 'Heat shock hsp70 proteins family signature 3.', NULL, 'HSP70_3', NULL, NULL, 7502, 11),
(47763, NULL, 'PS60019', NULL, NULL, 'I-superfamily conotoxin signature.', NULL, 'I_CONOTOXIN', NULL, NULL, 8107, 11),
(47764, NULL, 'PS00673', NULL, NULL, 'Serine proteases, V8 family, serine active site.', NULL, 'V8_SER', NULL, NULL, 3635, 11),
(47765, NULL, 'PS00189', NULL, NULL, '2-oxo acid dehydrogenases acyltransferase component lipoyl binding site.', NULL, 'LIPOYL', NULL, NULL, 457, 11),
(47766, NULL, 'PS00417', NULL, NULL, 'Synaptobrevin signature.', NULL, 'SYNAPTOBREVIN', NULL, NULL, 6976, 11),
(47767, NULL, 'PS00052', NULL, NULL, 'Ribosomal protein S7 signature.', NULL, 'RIBOSOMAL_S7', NULL, NULL, 20320, 11),
(47768, NULL, 'PS60013', NULL, NULL, 'Mu-conotoxin family signature.', NULL, 'MU_CONOTOXIN', NULL, NULL, 5113, 11),
(47769, NULL, 'PS00091', NULL, NULL, 'Thymidylate synthase active site.', NULL, 'THYMIDYLATE_SYNTHASE', NULL, NULL, 14852, 11),
(47770, NULL, 'PS00278', NULL, NULL, 'Staphyloccocal enterotoxin/Streptococcal pyrogenic exotoxin signature 2.', NULL, 'STAPH_STREP_TOXIN_2', NULL, NULL, 10361, 11),
(47771, NULL, 'PS01360', NULL, NULL, 'Zinc finger MYND-type signature.', NULL, 'ZF_MYND_1', NULL, NULL, 6053, 11),
(47772, NULL, 'PS00271', NULL, NULL, 'Plant thionins signature.', NULL, 'THIONIN', NULL, NULL, 2401, 11),
(47773, NULL, 'PS00395', NULL, NULL, 'Alanine racemase pyridoxal-phosphate attachment site.', NULL, 'ALANINE_RACEMASE', NULL, NULL, 20096, 11),
(47774, NULL, 'PS01187', NULL, NULL, 'Calcium-binding EGF-like domain signature.', NULL, 'EGF_CA', NULL, NULL, 13574, 11),
(47775, NULL, 'PS01154', NULL, NULL, 'RNA polymerases L / 13 to 16 Kd subunits signature.', NULL, 'RNA_POL_L_13KD', NULL, NULL, 7086, 11),
(47776, NULL, 'PS00545', NULL, NULL, 'Aldose 1-epimerase putative active site.', NULL, 'ALDOSE_1_EPIMERASE', NULL, NULL, 16818, 11),
(47777, NULL, 'PS01264', NULL, NULL, 'T-box domain signature 2.', NULL, 'TBOX_2', NULL, NULL, 14917, 11),
(47778, NULL, 'PS00259', NULL, NULL, 'Gastrin / cholecystokinin family signature.', NULL, 'GASTRIN', NULL, NULL, 6445, 11),
(47779, NULL, 'PS00054', NULL, NULL, 'Ribosomal protein S11 signature.', NULL, 'RIBOSOMAL_S11', NULL, NULL, 13619, 11),
(47780, NULL, 'PS00219', NULL, NULL, 'Anion exchangers family signature 1.', NULL, 'ANION_EXCHANGER_1', NULL, NULL, 8934, 11),
(47781, NULL, 'PS00940', NULL, NULL, 'Gamma-thionins family signature.', NULL, 'GAMMA_THIONIN', NULL, NULL, 7490, 11);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47782, NULL, 'PS00452', NULL, NULL, 'Guanylate cyclase signature.', NULL, 'GUANYLATE_CYCLASE_1', NULL, NULL, 16583, 11),
(47783, NULL, 'PS00068', NULL, NULL, 'Malate dehydrogenase active site signature.', NULL, 'MDH', NULL, NULL, 2206, 11),
(47784, NULL, 'PS01253', NULL, NULL, 'Fibronectin type-I domain signature.', NULL, 'FN1_1', NULL, NULL, 3614, 11),
(47785, NULL, 'PS00300', NULL, NULL, 'SRP54-type proteins GTP-binding domain signature.', NULL, 'SRP54', NULL, NULL, 299, 11),
(47786, NULL, 'PS01055', NULL, NULL, 'NAD-dependent DNA ligase signature 1.', NULL, 'DNA_LIGASE_N1', NULL, NULL, 8788, 11),
(47787, NULL, 'PS01248', NULL, NULL, 'Laminin-type EGF-like (LE) domain signature.', NULL, 'EGF_LAM_1', NULL, NULL, 1356, 11),
(47788, NULL, 'PS00998', NULL, NULL, 'G10 protein signature 2.', NULL, 'G10_2', NULL, NULL, 7899, 11),
(47789, NULL, 'PS01082', NULL, NULL, 'Ribosomal protein L7Ae signature.', NULL, 'RIBOSOMAL_L7AE', NULL, NULL, 624, 11),
(47790, NULL, 'PS01112', NULL, NULL, 'RNA polymerases N / 8 Kd subunits signature.', NULL, 'RNA_POL_N_8KD', NULL, NULL, 14844, 11),
(47791, NULL, 'PS00142', NULL, NULL, 'Neutral zinc metallopeptidases, zinc-binding region signature.', NULL, 'ZINC_PROTEASE', NULL, NULL, NULL, 11),
(47792, NULL, 'PS00874', NULL, NULL, 'Bacterial type II secretion system protein F signature.', NULL, 'T2SP_F', NULL, NULL, 5158, 11),
(47793, NULL, 'PS01324', NULL, NULL, 'Glycosyl hydrolases family 4 signature.', NULL, 'GLYCOSYL_HYDROL_F4', NULL, NULL, 17857, 11),
(47794, NULL, 'PS01210', NULL, NULL, 'Caveolins signature.', NULL, 'CAVEOLIN', NULL, NULL, 20703, 11),
(47795, NULL, 'PS01171', NULL, NULL, 'Ribosomal protein L21e signature.', NULL, 'RIBOSOMAL_L21E', NULL, NULL, 19587, 11),
(47796, NULL, 'PS00274', NULL, NULL, 'Aerolysin type toxins signature.', NULL, 'AEROLYSIN', NULL, NULL, 5887, 11),
(47797, NULL, 'PS00431', NULL, NULL, 'Small hydrophilic plant seed proteins signature.', NULL, 'SMALL_HYDR_PLANT_SEED', NULL, NULL, 16245, 11),
(47798, NULL, 'PS01271', NULL, NULL, 'Sodium:sulfate symporter family signature.', NULL, 'NA_SULFATE', NULL, NULL, 12994, 11),
(47799, NULL, 'PS00625', NULL, NULL, 'Regulator of chromosome condensation (RCC1) signature 1.', NULL, 'RCC1_1', NULL, NULL, 6885, 11),
(47800, NULL, 'PS01134', NULL, NULL, 'FtsZ protein signature 1.', NULL, 'FTSZ_1', NULL, NULL, 21195, 11),
(47801, NULL, 'PS00672', NULL, NULL, 'Serine proteases, V8 family, histidine active site.', NULL, 'V8_HIS', NULL, NULL, 22457, 11),
(47802, NULL, 'PS00285', NULL, NULL, 'Potato inhibitor I family signature.', NULL, 'POTATO_INHIBITOR', NULL, NULL, 24, 11),
(47803, NULL, 'PS00817', NULL, NULL, 'Erythropoietin / thrombopoeitin signature.', NULL, 'EPO_TPO', NULL, NULL, 21103, 11),
(47804, NULL, 'PS00390', NULL, NULL, 'Sodium and potassium ATPases beta subunits signature 1.', NULL, 'ATPASE_NA_K_BETA_1', NULL, NULL, 4747, 11),
(47805, NULL, 'PS00541', NULL, NULL, 'Nuclear transition protein 1 signature.', NULL, 'TP1', NULL, NULL, 18006, 11),
(47806, NULL, 'PS00617', NULL, NULL, 'RecF protein signature 1.', NULL, 'RECF_1', NULL, NULL, 13810, 11),
(47807, NULL, 'PS00398', NULL, NULL, 'Site-specific recombinases signature 2.', NULL, 'RECOMBINASES_2', NULL, NULL, 10041, 11),
(47808, NULL, 'PS00709', NULL, NULL, 'Ribosomal protein L30e signature 1.', NULL, 'RIBOSOMAL_L30E_1', NULL, NULL, 15248, 11),
(47809, NULL, 'PS00689', NULL, NULL, 'Glycoprotein hormones beta chain signature 2.', NULL, 'GLYCO_HORMONE_BETA_2', NULL, NULL, 8920, 11),
(47810, NULL, 'PS00180', NULL, NULL, 'Glutamine synthetase signature 1.', NULL, 'GLNA_1', NULL, NULL, 27846, 11),
(47811, NULL, 'PS00729', NULL, NULL, 'AP endonucleases family 2 signature 1.', NULL, 'AP_NUCLEASE_F2_1', NULL, NULL, 8752, 11),
(47812, NULL, 'PS01347', NULL, NULL, 'MraY family signature 1.', NULL, 'MRAY_1', NULL, NULL, 9204, 11),
(47813, NULL, 'PS00127', NULL, NULL, 'Pancreatic ribonuclease family signature.', NULL, 'RNASE_PANCREATIC', NULL, NULL, 16042, 11),
(47814, NULL, 'PS00591', NULL, NULL, 'Glycosyl hydrolases family 10 (GH10) active site.', NULL, 'GH10_1', NULL, NULL, 26904, 11);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47815, NULL, 'PS00166', NULL, NULL, 'Enoyl-CoA hydratase/isomerase signature.', NULL, 'ENOYL_COA_HYDRATASE', NULL, NULL, 20890, 11),
(47816, NULL, 'PS00171', NULL, NULL, 'Triosephosphate isomerase active site.', NULL, 'TIM_1', NULL, NULL, 20509, 11),
(47817, NULL, 'PS00073', NULL, NULL, 'Acyl-CoA dehydrogenases signature 2.', NULL, 'ACYL_COA_DH_2', NULL, NULL, 2995, 11),
(47818, NULL, 'PS01261', NULL, NULL, 'Uncharacterized protein family UPF0020 signature.', NULL, 'UPF0020', NULL, NULL, 4645, 11),
(47819, NULL, 'PS00853', NULL, NULL, 'Beta-eliminating lyases pyridoxal-phosphate attachment site.', NULL, 'BETA_ELIM_LYASE', NULL, NULL, 7998, 11),
(47820, NULL, 'PS00069', NULL, NULL, 'Glucose-6-phosphate dehydrogenase active site.', NULL, 'G6P_DEHYDROGENASE', NULL, NULL, 17953, 11),
(47821, NULL, 'PS00440', NULL, NULL, 'Acyltransferases ChoActase / COT / CPT family signature 2.', NULL, 'ACYLTRANSF_C_2', NULL, NULL, 4128, 11),
(47822, NULL, 'PS00374', NULL, NULL, 'Methylated-DNA--protein-cysteine methyltransferase active site.', NULL, 'MGMT', NULL, NULL, 3312, 11),
(47823, NULL, 'PS00470', NULL, NULL, 'Isocitrate and isopropylmalate dehydrogenases signature.', NULL, 'IDH_IMDH', NULL, NULL, 17832, 11),
(47824, NULL, 'PS00524', NULL, NULL, 'Somatomedin B domain (SMB) signature.', NULL, 'SMB_1', NULL, NULL, 1464, 11),
(47825, NULL, 'PS00824', NULL, NULL, 'Elongation factor 1 beta/beta''/delta chain signature 1.', NULL, 'EF1BD_1', NULL, NULL, 2184, 11),
(47826, NULL, 'PS00205', NULL, NULL, 'Transferrin-like domain signature 1.', NULL, 'TRANSFERRIN_LIKE_1', NULL, NULL, 15396, 11),
(47827, NULL, 'PS01160', NULL, NULL, 'Kinesin light chain repeat.', NULL, 'KINESIN_LIGHT', NULL, NULL, 12737, 11),
(47828, NULL, 'PS01217', NULL, NULL, 'ATP-citrate lyase / succinyl-CoA ligases family signature 3.', NULL, 'SUCCINYL_COA_LIG_3', NULL, NULL, 18748, 11),
(47829, NULL, 'PS00269', NULL, NULL, 'Mammalian defensins signature.', NULL, 'DEFENSIN', NULL, NULL, 2752, 11),
(47830, NULL, 'PS01155', NULL, NULL, 'Endonuclease III family signature.', NULL, 'ENDONUCLEASE_III_2', NULL, NULL, 792, 11),
(47831, NULL, 'PS01279', NULL, NULL, 'Protein-L-isoaspartate(D-aspartate) O-methyltransferase signature.', NULL, 'PCMT', NULL, NULL, 6641, 11),
(47832, NULL, 'PS01331', NULL, NULL, 'Thymidylate kinase signature.', NULL, 'THYMIDYLATE_KINASE', NULL, NULL, 21241, 11),
(47833, NULL, 'PS00818', NULL, NULL, 'Dps protein family signature 1.', NULL, 'DPS_1', NULL, NULL, 8708, 11),
(47834, NULL, 'PS00846', NULL, NULL, 'Bacterial regulatory proteins, arsR family signature.', NULL, 'HTH_ARSR_1', NULL, NULL, 8609, 11),
(47835, NULL, 'PS00682', NULL, NULL, 'ZP domain signature.', NULL, 'ZP_1', NULL, NULL, 13429, 11),
(47836, NULL, 'PS00698', NULL, NULL, 'Glycosyl hydrolases family 9 (GH9) active site signature 3.', NULL, 'GH9_3', NULL, NULL, 35209, 11),
(47837, NULL, 'PS00715', NULL, NULL, 'Sigma-70 factors family signature 1.', NULL, 'SIGMA70_1', NULL, NULL, 3295, 11),
(47838, NULL, 'PS00632', NULL, NULL, 'Ribosomal protein S4 signature.', NULL, 'RIBOSOMAL_S4', NULL, NULL, 13961, 11),
(47839, NULL, 'PS01340', NULL, NULL, 'Cornichon family signature.', NULL, 'CORNICHON', NULL, NULL, 30178, 11),
(47840, NULL, 'PS00721', NULL, NULL, 'Formate--tetrahydrofolate ligase signature 1.', NULL, 'FTHFS_1', NULL, NULL, 20224, 11),
(47841, NULL, 'PS00664', NULL, NULL, 'Vinculin repeated domain signature.', NULL, 'VINCULIN_2', NULL, NULL, 5501, 11),
(47842, NULL, 'PS00747', NULL, NULL, 'Glutamyl-tRNA reductase signature.', NULL, 'GLUTR', NULL, NULL, 7903, 11),
(47843, NULL, 'PS01069', NULL, NULL, 'Prokaryotic diacylglycerol kinase signature.', NULL, 'DAGK_PROKAR', NULL, NULL, 4711, 11),
(47844, NULL, 'PS00959', NULL, NULL, 'Histone H3 signature 2.', NULL, 'HISTONE_H3_2', NULL, NULL, 1917, 11),
(47845, NULL, 'PS01004', NULL, NULL, 'Myelin proteolipid protein signature 2.', NULL, 'MYELIN_PLP_2', NULL, NULL, 7679, 11),
(47846, NULL, 'PS00584', NULL, NULL, 'pfkB family of carbohydrate kinases signature 2.', NULL, 'PFKB_KINASES_2', NULL, NULL, 115, 11);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47847, NULL, 'PS00187', NULL, NULL, 'Thiamine pyrophosphate enzymes signature.', NULL, 'TPP_ENZYMES', NULL, NULL, 4766, 11),
(47848, NULL, 'PS01303', NULL, NULL, 'BCCT family of transporters signature.', NULL, 'BCCT', NULL, NULL, 21254, 11),
(47849, NULL, 'PS01280', NULL, NULL, 'Glucose inhibited division protein A family signature 1.', NULL, 'GIDA_1', NULL, NULL, 19934, 11),
(47850, NULL, 'PS00249', NULL, NULL, 'Platelet-derived growth factor (PDGF) family signature.', NULL, 'PDGF_1', NULL, NULL, 20649, 11),
(47851, NULL, 'PS00982', NULL, NULL, 'Bacterial-type phytoene dehydrogenase signature.', NULL, 'PHYTOENE_DH', NULL, NULL, 7249, 11),
(47852, NULL, 'PS00836', NULL, NULL, 'Alanine dehydrogenase & pyridine nucleotide transhydrogenase signature 1.', NULL, 'ALADH_PNT_1', NULL, NULL, 7039, 11),
(47853, NULL, 'PS00437', NULL, NULL, 'Catalase proximal heme-ligand signature.', NULL, 'CATALASE_1', NULL, NULL, 397, 11),
(47854, NULL, 'PS00640', NULL, NULL, 'Eukaryotic thiol (cysteine) proteases asparagine active site.', NULL, 'THIOL_PROTEASE_ASN', NULL, NULL, 28147, 11),
(47855, NULL, 'PS00671', NULL, NULL, 'D-isomer specific 2-hydroxyacid dehydrogenases signature 3.', NULL, 'D_2_HYDROXYACID_DH_3', NULL, NULL, 26554, 11),
(47856, NULL, 'PS00753', NULL, NULL, 'XPA protein signature 2.', NULL, 'XPA_2', NULL, NULL, 17344, 11),
(47857, NULL, 'PS00414', NULL, NULL, 'Profilin signature.', NULL, 'PROFILIN', NULL, NULL, 25713, 11),
(47858, NULL, 'PS01172', NULL, NULL, 'Ribosomal protein L44e signature.', NULL, 'RIBOSOMAL_L44E', NULL, NULL, 5844, 11),
(47859, NULL, 'PS00835', NULL, NULL, 'Aspartyl proteases, omptin family signature 2.', NULL, 'OMPTIN_2', NULL, NULL, 16470, 11),
(47860, NULL, 'PS01213', NULL, NULL, 'Protozoan/cyanobacterial globins signature.', NULL, 'GLOBIN_FAM_2', NULL, NULL, 17799, 11),
(47861, NULL, 'PS01229', NULL, NULL, 'Hypothetical cof family signature 2.', NULL, 'COF_2', NULL, NULL, NULL, 11),
(47862, NULL, 'PS01114', NULL, NULL, 'GPR1/FUN34/yaaH family signature.', NULL, 'GPR1_FUN34_YAAH', NULL, NULL, 6795, 11),
(47863, NULL, 'PS01311', NULL, NULL, 'Prolipoprotein diacylglyceryl transferase signature.', NULL, 'LGT', NULL, NULL, 3221, 11),
(47864, NULL, 'PS00243', NULL, NULL, 'Integrins beta chain cysteine-rich domain signature.', NULL, 'INTEGRIN_BETA', NULL, NULL, 12907, 11),
(47865, NULL, 'PS01080', NULL, NULL, 'Apoptosis regulator, Bcl-2 family BH1 motif signature.', NULL, 'BH1', NULL, NULL, 19875, 11),
(47866, NULL, 'PS01285', NULL, NULL, 'Coagulation factors 5/8 type C domain (FA58C) signature 1.', NULL, 'FA58C_1', NULL, NULL, 4672, 11),
(47867, NULL, 'PS00435', NULL, NULL, 'Peroxidases proximal heme-ligand signature.', NULL, 'PEROXIDASE_1', NULL, NULL, 17545, 11),
(47868, NULL, 'PS01302', NULL, NULL, 'Uncharacterized protein family UPF0758 signature.', NULL, 'UPF0758', NULL, NULL, 19862, 11),
(47869, NULL, 'PS00569', NULL, NULL, 'Myelin basic protein signature.', NULL, 'MYELIN_MBP', NULL, NULL, 5574, 11),
(47870, NULL, 'PS00520', NULL, NULL, 'Interleukin-10 family signature.', NULL, 'INTERLEUKIN_10', NULL, NULL, 19024, 11),
(47871, NULL, 'PS00708', NULL, NULL, 'Prolyl endopeptidase family serine active site.', NULL, 'PRO_ENDOPEP_SER', NULL, NULL, 7196, 11),
(47872, NULL, 'PS00882', NULL, NULL, 'Nickel-dependent hydrogenases b-type cytochrome subunit signature 1.', NULL, 'NI_HGENASE_CYTB_1', NULL, NULL, 6924, 11),
(47873, NULL, 'PS01289', NULL, NULL, 'TSC-22 / dip / bun family signature.', NULL, 'TSC22', NULL, NULL, 5874, 11),
(47874, NULL, 'PS00423', NULL, NULL, 'Granins signature 2.', NULL, 'GRANINS_2', NULL, NULL, 19138, 11),
(47875, NULL, 'PS00460', NULL, NULL, 'Glutathione peroxidases active site.', NULL, 'GLUTATHIONE_PEROXID_1', NULL, NULL, 25525, 11),
(47876, NULL, 'PS00589', NULL, NULL, 'PTS HPR domain serine phosphorylation site signature.', NULL, 'PTS_HPR_SER', NULL, NULL, 3466, 11),
(47877, NULL, 'PS01053', NULL, NULL, 'Arginase family signature.', NULL, 'ARGINASE_1', NULL, NULL, 21155, 11),
(47878, NULL, 'PS00974', NULL, NULL, 'Mannitol dehydrogenases signature.', NULL, 'MANNITOL_DHGENASE', NULL, NULL, 15441, 11); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47879, NULL, 'PS00251', NULL, NULL, 'TNF family signature.', NULL, 'TNF_1', NULL, NULL, 17252, 11),
(47880, NULL, 'PS00857', NULL, NULL, 'Prephenate dehydratase signature 1.', NULL, 'PREPHENATE_DEHYDR_1', NULL, NULL, 9331, 11),
(47881, NULL, 'PS00694', NULL, NULL, 'Enterobacterial virulence outer membrane protein signature 1.', NULL, 'ENT_VIR_OMP_1', NULL, NULL, 6945, 11),
(47882, NULL, 'PS00711', NULL, NULL, 'Lipoxygenases iron-binding region signature 1.', NULL, 'LIPOXYGENASE_1', NULL, NULL, 21020, 11),
(47883, NULL, 'PS00310', NULL, NULL, 'Lysosome-associated membrane glycoproteins duplicated domain signature.', NULL, 'LAMP_1', NULL, NULL, 21176, 11),
(47884, NULL, 'PS01014', NULL, NULL, 'Transcription termination factor nusG signature.', NULL, 'NUSG', NULL, NULL, 7859, 11),
(47885, NULL, 'PS00585', NULL, NULL, 'Ribosomal protein S5 signature.', NULL, 'RIBOSOMAL_S5', NULL, NULL, 20024, 11),
(47886, NULL, 'PS00076', NULL, NULL, 'Pyridine nucleotide-disulphide oxidoreductases class-I active site.', NULL, 'PYRIDINE_REDOX_1', NULL, NULL, 10481, 11),
(47887, NULL, 'PS00074', NULL, NULL, 'Glu / Leu / Phe / Val dehydrogenases active site.', NULL, 'GLFV_DEHYDROGENASE', NULL, NULL, 33867, 11),
(47888, NULL, 'PS40000', NULL, NULL, 'DM DNA-binding domain signature.', NULL, 'DM_1', NULL, NULL, 229, 11),
(47889, NULL, 'PS00797', NULL, NULL, '14-3-3 proteins signature 2.', NULL, '1433_2', NULL, NULL, 16305, 11),
(47890, NULL, 'PS01309', NULL, NULL, 'Uncharacterized protein family UPF0057 signature.', NULL, 'UPF0057', NULL, NULL, 5750, 11),
(47891, NULL, 'PS01018', NULL, NULL, 'Sterol reductase family signature 2.', NULL, 'STEROL_REDUCT_2', NULL, NULL, 13518, 11),
(47892, NULL, 'PS00055', NULL, NULL, 'Ribosomal protein S12 signature.', NULL, 'RIBOSOMAL_S12', NULL, NULL, 1096, 11),
(47893, NULL, 'PS00084', NULL, NULL, 'Copper type II, ascorbate-dependent monooxygenases signature 1.', NULL, 'CU2_MONOOXYGENASE_1', NULL, NULL, 20473, 11),
(47894, NULL, 'PS00654', NULL, NULL, 'PRD domain signature.', NULL, 'PRD_1', NULL, NULL, 5408, 11),
(47895, NULL, 'PS00140', NULL, NULL, 'Ubiquitin carboxyl-terminal hydrolase family 1 cysteine active-site.', NULL, 'UCH_1', NULL, NULL, 3351, 11),
(47896, NULL, 'PS00815', NULL, NULL, 'Alpha-isopropylmalate and homocitrate synthases signature 1.', NULL, 'AIPM_HOMOCIT_SYNTH_1', NULL, NULL, 5222, 11),
(47897, NULL, 'PS00553', NULL, NULL, 'Lambdoid phages regulatory protein CIII signature.', NULL, 'LAMBDA_PHAGE_CIII', NULL, NULL, 11304, 11),
(47898, NULL, 'PS00563', NULL, NULL, 'Stathmin family signature 1.', NULL, 'STATHMIN_1', NULL, NULL, 26483, 11),
(47899, NULL, 'PS00980', NULL, NULL, 'G-protein coupled receptors family 3 signature 2.', NULL, 'G_PROTEIN_RECEP_F3_2', NULL, NULL, 19165, 11),
(47900, NULL, 'PS00886', NULL, NULL, 'Dihydroxy-acid and 6-phosphogluconate dehydratases signature 1.', NULL, 'ILVD_EDD_1', NULL, NULL, 14871, 11),
(47901, NULL, 'PS00191', NULL, NULL, 'Cytochrome b5 family, heme-binding domain signature.', NULL, 'CYTOCHROME_B5_1', NULL, NULL, 19043, 11),
(47902, NULL, 'PS00675', NULL, NULL, 'Sigma-54 interaction domain ATP-binding region A signature.', NULL, 'SIGMA54_INTERACT_1', NULL, NULL, 28111, 11),
(47903, NULL, 'PS00616', NULL, NULL, 'Histidine acid phosphatases phosphohistidine signature.', NULL, 'HIS_ACID_PHOSPHAT_1', NULL, NULL, 36450, 11),
(47904, NULL, 'PS00855', NULL, NULL, 'Signal peptidases II signature.', NULL, 'SPASE_II', NULL, NULL, 4261, 11),
(47905, NULL, 'PS60031', NULL, NULL, 'Glutamic acid-rich protein 2 (GARP2) signature.', NULL, 'GARP2', NULL, NULL, NULL, 11),
(47906, NULL, 'PS00046', NULL, NULL, 'Histone H2A signature.', NULL, 'HISTONE_H2A', NULL, NULL, 23946, 11),
(47907, NULL, 'PS01167', NULL, NULL, 'Ribosomal protein L17 signature.', NULL, 'RIBOSOMAL_L17', NULL, NULL, 6838, 11),
(47908, NULL, 'PS00988', NULL, NULL, '6-pyruvoyl tetrahydropterin synthase signature 2.', NULL, 'PTPS_2', NULL, NULL, 16343, 11),
(47909, NULL, 'PS00047', NULL, NULL, 'Histone H4 signature.', NULL, 'HISTONE_H4', NULL, NULL, 17616, 11),
(47910, NULL, 'PS00039', NULL, NULL, 'DEAD-box subfamily ATP-dependent helicases signature.', NULL, 'DEAD_ATP_HELICASE', NULL, NULL, 5923, 11);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47911, NULL, 'PS00257', NULL, NULL, 'Bombesin-like peptides family signature.', NULL, 'BOMBESIN', NULL, NULL, 143, 11),
(47912, NULL, 'PS00053', NULL, NULL, 'Ribosomal protein S8 signature.', NULL, 'RIBOSOMAL_S8', NULL, NULL, 5828, 11),
(47913, NULL, 'PS00262', NULL, NULL, 'Insulin family signature.', NULL, 'INSULIN', NULL, NULL, 21306, 11),
(47914, NULL, 'PS01028', NULL, NULL, 'Dehydroquinase class I active site.', NULL, 'DEHYDROQUINASE_I', NULL, NULL, 19150, 11),
(47915, NULL, 'PS00621', NULL, NULL, 'Tissue factor signature.', NULL, 'TISSUE_FACTOR', NULL, NULL, 26435, 11),
(47916, NULL, 'PS01282', NULL, NULL, 'BIR repeat.', NULL, 'BIR_REPEAT_1', NULL, NULL, 2096, 11),
(47917, NULL, 'PS01090', NULL, NULL, 'TatD deoxyribonuclease family signature 2.', NULL, 'TATD_2', NULL, NULL, 7882, 11),
(47918, NULL, 'PS01067', NULL, NULL, 'Protein secE/sec61-gamma signature.', NULL, 'SECE_SEC61G', NULL, NULL, 2338, 11),
(47919, NULL, 'PS00255', NULL, NULL, 'Interleukin-7 and -9 signature.', NULL, 'INTERLEUKIN_7_9', NULL, NULL, 14694, 11),
(47920, NULL, 'PS00207', NULL, NULL, 'Transferrin-like domain signature 3.', NULL, 'TRANSFERRIN_LIKE_3', NULL, NULL, 15396, 11),
(47921, NULL, 'PS00227', NULL, NULL, 'Tubulin subunits alpha, beta, and gamma signature.', NULL, 'TUBULIN', NULL, NULL, 13015, 11),
(47922, NULL, 'PS00504', NULL, NULL, 'Fumarate reductase / succinate dehydrogenase FAD-binding site.', NULL, 'FRD_SDH_FAD_BINDING', NULL, NULL, 7164, 11),
(47923, NULL, 'PS00704', NULL, NULL, 'Prokaryotic-type carbonic anhydrases signature 1.', NULL, 'PROK_CO2_ANHYDRASE_1', NULL, NULL, 7606, 11),
(47924, NULL, 'PS00971', NULL, NULL, 'Nuclear transition protein 2 signature 2.', NULL, 'TP2_2', NULL, NULL, 3842, 11),
(47925, NULL, 'PS00611', NULL, NULL, 'Histidinol dehydrogenase signature.', NULL, 'HISOL_DEHYDROGENASE', NULL, NULL, 3171, 11),
(47926, NULL, 'PS00780', NULL, NULL, 'Glycoprotein hormones alpha chain signature 2.', NULL, 'GLYCO_HORMONE_ALPHA_2', NULL, NULL, 5679, 11),
(47927, NULL, 'PS00491', NULL, NULL, 'Aminopeptidase P and proline dipeptidase signature.', NULL, 'PROLINE_PEPTIDASE', NULL, NULL, 4488, 11),
(47928, NULL, 'PS00712', NULL, NULL, 'Ribosomal protein S17e signature.', NULL, 'RIBOSOMAL_S17E', NULL, NULL, 20079, 11),
(47929, NULL, 'PS00687', NULL, NULL, 'Aldehyde dehydrogenases glutamic acid active site.', NULL, 'ALDEHYDE_DEHYDR_GLU', NULL, NULL, 22618, 11),
(47930, NULL, 'PS01205', NULL, NULL, 'Iodothyronine deiodinases active site.', NULL, 'T4_DEIODINASE', NULL, NULL, 8696, 11),
(47931, NULL, 'PS01240', NULL, NULL, 'Purine and other phosphorylases family 2 signature.', NULL, 'PNP_MTAP_2', NULL, NULL, 13534, 11),
(47932, NULL, 'PS00272', NULL, NULL, 'Snake toxins signature.', NULL, 'SNAKE_TOXIN', NULL, NULL, 8585, 11),
(47933, NULL, 'PS00011', NULL, NULL, 'Vitamin K-dependent carboxylation domain.', NULL, 'GLA_1', NULL, NULL, 4589, 11),
(47934, NULL, 'PS00078', NULL, NULL, 'CO II and nitrous oxide reductase dinuclear copper centers signature.', NULL, 'COX2', NULL, NULL, 3359, 11),
(47935, NULL, 'PS00929', NULL, NULL, 'Yeast PIR proteins repeats signature.', NULL, 'PIR_REPEAT_1', NULL, NULL, 4232, 11),
(47936, NULL, 'PS01097', NULL, NULL, 'Hydrogenases expression/synthesis hupF/hypC family signature.', NULL, 'HUPF_HYPC', NULL, NULL, 17850, 11),
(47937, NULL, 'PS01259', NULL, NULL, 'Apoptosis regulator, Bcl-2 family BH3 motif signature.', NULL, 'BH3', NULL, NULL, 19943, 11),
(47938, NULL, 'PS00065', NULL, NULL, 'D-isomer specific 2-hydroxyacid dehydrogenases NAD-binding signature.', NULL, 'D_2_HYDROXYACID_DH_1', NULL, NULL, 26962, 11),
(47939, NULL, 'PS00821', NULL, NULL, 'Cytochrome c and c1 heme lyases signature 1.', NULL, 'CYTO_HEME_LYASE_1', NULL, NULL, 6648, 11),
(47940, NULL, 'PS00266', NULL, NULL, 'Somatotropin, prolactin and related hormones signature 1.', NULL, 'SOMATOTROPIN_1', NULL, NULL, 19201, 11),
(47941, NULL, 'PS00506', NULL, NULL, 'Beta-amylase active site 1.', NULL, 'BETA_AMYLASE_1', NULL, NULL, 8555, 11),
(47942, NULL, 'PS00898', NULL, NULL, 'Ependymins signature 1.', NULL, 'EPENDYMIN_1', NULL, NULL, 7929, 11); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47943, NULL, 'PS00970', NULL, NULL, 'Nuclear transition protein 2 signature 1.', NULL, 'TP2_1', NULL, NULL, 3842, 11),
(47944, NULL, 'PS00785', NULL, NULL, '5''-nucleotidase signature 1.', NULL, '5_NUCLEOTIDASE_1', NULL, NULL, 10310, 11),
(47945, NULL, 'PS00057', NULL, NULL, 'Ribosomal protein S18 signature.', NULL, 'RIBOSOMAL_S18', NULL, NULL, 20436, 11),
(47946, NULL, 'PS00544', NULL, NULL, 'Methylmalonyl-CoA mutase signature.', NULL, 'METMALONYL_COA_MUTASE', NULL, NULL, 2545, 11),
(47947, NULL, 'PS00695', NULL, NULL, 'Enterobacterial virulence outer membrane protein signature 2.', NULL, 'ENT_VIR_OMP_2', NULL, NULL, 6945, 11),
(47948, NULL, 'PS01300', NULL, NULL, 'RecR protein signature.', NULL, 'RECR', NULL, NULL, 10479, 11),
(47949, NULL, 'PS01211', NULL, NULL, 'Uncharacterized protein family UPF0001 signature.', NULL, 'UPF0001', NULL, NULL, 9773, 11),
(47950, NULL, 'PS00092', NULL, NULL, 'N-6 Adenine-specific DNA methylases signature.', NULL, 'N6_MTASE', NULL, NULL, 1446, 11),
(47951, NULL, 'PS00154', NULL, NULL, 'E1-E2 ATPases phosphorylation site.', NULL, 'ATPASE_E1_E2', NULL, NULL, 16730, 11),
(47952, NULL, 'PS01149', NULL, NULL, 'Rsu family of pseudouridine synthase signature.', NULL, 'PSI_RSU', NULL, NULL, 9479, 11),
(47953, NULL, 'PS00961', NULL, NULL, 'Ribosomal protein S28e signature.', NULL, 'RIBOSOMAL_S28E', NULL, NULL, 23406, 11),
(47954, NULL, 'PS00394', NULL, NULL, 'DNA photolyases class 1 signature 1.', NULL, 'DNA_PHOTOLYASES_1_1', NULL, NULL, 8953, 11),
(47955, NULL, 'PS00428', NULL, NULL, 'Cell cycle proteins ftsW / rodA / spoVE signature.', NULL, 'FTSW_RODA_SPOVE', NULL, NULL, 20595, 11),
(47956, NULL, 'PS01153', NULL, NULL, 'NOL1/NOP2/sun family signature.', NULL, 'NOL1_NOP2_SUN', NULL, NULL, 8727, 11),
(47957, NULL, 'PS60005', NULL, NULL, 'Delta-conotoxin family signature.', NULL, 'DELTA_CONOTOXIN', NULL, NULL, 11621, 11),
(47958, NULL, 'PS00471', NULL, NULL, 'Small cytokines (intercrine/chemokine) C-x-C subfamily signature.', NULL, 'SMALL_CYTOKINES_CXC', NULL, NULL, 14653, 11),
(47959, NULL, 'PS00731', NULL, NULL, 'AP endonucleases family 2 signature 3.', NULL, 'AP_NUCLEASE_F2_3', NULL, NULL, 8752, 11),
(47960, NULL, 'PS01175', NULL, NULL, 'Ribonuclease II family signature.', NULL, 'RIBONUCLEASE_II', NULL, NULL, 16285, 11),
(47961, NULL, 'PS00790', NULL, NULL, 'Receptor tyrosine kinase class V signature 1.', NULL, 'RECEPTOR_TYR_KIN_V_1', NULL, NULL, 5423, 11),
(47962, NULL, 'PS01137', NULL, NULL, 'TatD deoxyribonuclease family signature 1.', NULL, 'TATD_1', NULL, NULL, 7882, 11),
(47963, NULL, 'PS00861', NULL, NULL, 'Galanin signature.', NULL, 'GALANIN', NULL, NULL, 7338, 11),
(47964, NULL, 'PS00223', NULL, NULL, 'Annexin repeat signature.', NULL, 'ANNEXIN_1', NULL, NULL, 19629, 11),
(47965, NULL, 'PS00593', NULL, NULL, 'Heme oxygenase signature.', NULL, 'HEME_OXYGENASE', NULL, NULL, 19522, 11),
(47966, NULL, 'PS01071', NULL, NULL, 'grpE protein signature.', NULL, 'GRPE', NULL, NULL, 3531, 11),
(47967, NULL, 'PS00903', NULL, NULL, 'Cytidine and deoxycytidylate deaminases zinc-binding region signature.', NULL, 'CYT_DCMP_DEAMINASES_1', NULL, NULL, 18085, 11),
(47968, NULL, 'PS00599', NULL, NULL, 'Aminotransferases class-II pyridoxal-phosphate attachment site.', NULL, 'AA_TRANSFER_CLASS_2', NULL, NULL, 5238, 11),
(47969, NULL, 'PS00388', NULL, NULL, 'Proteasome alpha-type subunits signature.', NULL, 'PROTEASOME_ALPHA_1', NULL, NULL, 6965, 11),
(47970, NULL, 'PS00760', NULL, NULL, 'Signal peptidases I lysine active site.', NULL, 'SPASE_I_2', NULL, NULL, 21179, 11),
(47971, NULL, 'PS00927', NULL, NULL, 'Trehalase signature 1.', NULL, 'TREHALASE_1', NULL, NULL, 7659, 11),
(47972, NULL, 'PS01233', NULL, NULL, 'Urocanase signature.', NULL, 'UROCANASE', NULL, NULL, 577, 11),
(47973, NULL, 'PS00972', NULL, NULL, 'Ubiquitin specific protease (USP) domain signature 1.', NULL, 'USP_1', NULL, NULL, 15182, 11),
(47974, NULL, 'PS00156', NULL, NULL, 'Orotidine 5''-phosphate decarboxylase active site.', NULL, 'OMPDECASE', NULL, NULL, 13650, 11),
(47975, NULL, 'PS00379', NULL, NULL, 'CDP-alcohol phosphatidyltransferases signature.', NULL, 'CDP_ALCOHOL_P_TRANSF', NULL, NULL, 6599, 11);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(47976, NULL, 'PS00291', NULL, NULL, 'Prion protein signature 1.', NULL, 'PRION_1', NULL, NULL, 16414, 11),
(47977, NULL, 'PS00094', NULL, NULL, 'C-5 cytosine-specific DNA methylases active site.', NULL, 'C5_MTASE_1', NULL, NULL, 19332, 11),
(47978, NULL, 'PS00674', NULL, NULL, 'AAA-protein family signature.', NULL, 'AAA', NULL, NULL, 7082, 11),
(47979, NULL, 'PS00224', NULL, NULL, 'Clathrin light chain signature 1.', NULL, 'CLATHRIN_LIGHT_CHN_1', NULL, NULL, 3479, 11),
(47980, NULL, 'PS00221', NULL, NULL, 'MIP family signature.', NULL, 'MIP', NULL, NULL, 16479, 11),
(47981, NULL, 'PS00104', NULL, NULL, 'EPSP synthase signature 1.', NULL, 'EPSP_SYNTHASE_1', NULL, NULL, 17870, 11),
(47982, NULL, 'PS01234', NULL, NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit B signature.', NULL, 'GATB', NULL, NULL, 4395, 11),
(47983, NULL, 'PS00598', NULL, NULL, 'Chromo domain signature.', NULL, 'CHROMO_1', NULL, NULL, 16614, 11),
(47984, NULL, 'PS00752', NULL, NULL, 'XPA protein signature 1.', NULL, 'XPA_1', NULL, NULL, 17372, 11),
(47985, NULL, 'PS00198', NULL, NULL, '4Fe-4S ferredoxin-type iron-sulfur binding region signature.', NULL, '4FE4S_FER_1', NULL, NULL, 13125, 11),
(47986, NULL, 'PS00289', NULL, NULL, 'Pentraxin domain signature.', NULL, 'PTX_1', NULL, NULL, 26971, 11),
(47987, NULL, 'PS00605', NULL, NULL, 'ATP synthase c subunit signature.', NULL, 'ATPASE_C', NULL, NULL, 21315, 11),
(47988, NULL, 'PS00950', NULL, NULL, 'Bacterial rhodopsins signature 1.', NULL, 'BACTERIAL_OPSIN_1', NULL, NULL, 7662, 11),
(47989, NULL, 'PS00626', NULL, NULL, 'Regulator of chromosome condensation (RCC1) signature 2.', NULL, 'RCC1_2', NULL, NULL, 6885, 11),
(47990, NULL, 'PS00651', NULL, NULL, 'Ribosomal protein L9 signature.', NULL, 'RIBOSOMAL_L9', NULL, NULL, 18619, 11),
(47991, NULL, 'PS01176', NULL, NULL, 'Initiation factor 2 signature.', NULL, 'IF2', NULL, NULL, 1527, 11),
(47992, NULL, 'PS01232', NULL, NULL, 'Purine and other phosphorylases family 1 signature.', NULL, 'PNP_UDP_1', NULL, NULL, 16802, 11),
(47993, NULL, 'PS00697', NULL, NULL, 'ATP-dependent DNA ligase AMP-binding site.', NULL, 'DNA_LIGASE_A1', NULL, NULL, 18135, 11),
(47994, NULL, 'PS00907', NULL, NULL, 'Uroporphyrinogen decarboxylase signature 2.', NULL, 'UROD_2', NULL, NULL, 1139, 11),
(47995, NULL, 'PS00609', NULL, NULL, 'Glycosyl hydrolases family 32 active site.', NULL, 'GLYCOSYL_HYDROL_F32', NULL, NULL, 14810, 11),
(47996, NULL, 'PS01181', NULL, NULL, 'Ribosomal protein S21 signature.', NULL, 'RIBOSOMAL_S21', NULL, NULL, 20049, 11),
(47997, NULL, 'PS00028', NULL, NULL, 'Zinc finger C2H2 type domain signature.', NULL, 'ZINC_FINGER_C2H2_1', NULL, NULL, 13919, 11),
(47998, NULL, 'PS00201', NULL, NULL, 'Flavodoxin signature.', NULL, 'FLAVODOXIN', NULL, NULL, 1266, 11),
(47999, NULL, 'PS01135', NULL, NULL, 'FtsZ protein signature 2.', NULL, 'FTSZ_2', NULL, NULL, 21195, 11),
(48000, NULL, 'PS00496', NULL, NULL, 'P-II protein uridylation site.', NULL, 'PII_GLNB_UMP', NULL, NULL, 6388, 11),
(48001, NULL, 'PS01237', NULL, NULL, 'Uncharacterized protein family UPF0028 signature.', NULL, 'UPF0028', NULL, NULL, 6558, 11),
(48002, NULL, 'PS00741', NULL, NULL, 'Dbl homology (DH) domain signature.', NULL, 'DH_1', NULL, NULL, 2201, 11),
(48003, NULL, 'PS00485', NULL, NULL, 'Adenosine and AMP deaminase signature.', NULL, 'A_DEAMINASE', NULL, NULL, 1136, 11),
(48004, NULL, 'PS00163', NULL, NULL, 'Fumarate lyases signature.', NULL, 'FUMARATE_LYASES', NULL, NULL, 14537, 11),
(48005, NULL, 'PS00144', NULL, NULL, 'Asparaginase / glutaminase active site signature 1.', NULL, 'ASN_GLN_ASE_1', NULL, NULL, 19118, 11),
(48006, NULL, 'PS00656', NULL, NULL, 'Glycosyl hydrolases family 6 signature 2.', NULL, 'GLYCOSYL_HYDROL_F6_2', NULL, NULL, 5015, 11),
(48007, NULL, 'PS60021', NULL, NULL, 'Huwentoxin-1 family signature.', NULL, 'HWTX_1', NULL, NULL, 8288, 11),
(48008, NULL, 'PS00465', NULL, NULL, 'POU-specific (POUs) domain signature 2.', NULL, 'POU_2', NULL, NULL, 530, 11),
(48009, NULL, 'PS00538', NULL, NULL, 'Bacterial chemotaxis sensory transducers signature.', NULL, 'CHEMOTAXIS_TRANSDUC_1', NULL, NULL, 1816, 11);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48010, NULL, 'PS01150', NULL, NULL, 'Respiratory-chain NADH dehydrogenase 20 Kd subunit signature.', NULL, 'COMPLEX1_20K', NULL, NULL, 10496, 11),
(48011, NULL, 'PS00939', NULL, NULL, 'Ribosomal protein L1e signature.', NULL, 'RIBOSOMAL_L1E', NULL, NULL, 11456, 11),
(48012, NULL, 'PS01238', NULL, NULL, 'GDA1/CD39 family of nucleoside phosphatases signature.', NULL, 'GDA1_CD39_NTPASE', NULL, NULL, 4983, 11),
(48013, NULL, 'PS00341', NULL, NULL, 'Surfactant associated polypeptide SP-C palmitoylation sites.', NULL, 'SURFACT_PALMITOYL', NULL, NULL, 14587, 11),
(48014, NULL, 'PS00025', NULL, NULL, 'P-type ''Trefoil'' domain signature.', NULL, 'P_TREFOIL_1', NULL, NULL, 1157, 11),
(48015, NULL, 'PS00859', NULL, NULL, 'GTP cyclohydrolase I signature 1.', NULL, 'GTP_CYCLOHYDROL_1_1', NULL, NULL, 7701, 11),
(48016, NULL, 'PS00739', NULL, NULL, 'S-adenosyl-L-homocysteine hydrolase signature 2.', NULL, 'ADOHCYASE_2', NULL, NULL, 16126, 11),
(48017, NULL, 'PS00700', NULL, NULL, 'Ribosomal protein L6 signature 2.', NULL, 'RIBOSOMAL_L6_2', NULL, NULL, 6442, 11),
(48018, NULL, 'PS00984', NULL, NULL, 'Urotensin II signature.', NULL, 'UROTENSIN_II', NULL, NULL, 6450, 11),
(48019, NULL, 'PS00631', NULL, NULL, 'Cytosol aminopeptidase signature.', NULL, 'CYTOSOL_AP', NULL, NULL, 254, 11),
(48020, NULL, 'PS00141', NULL, NULL, 'Eukaryotic and viral aspartyl proteases active site.', NULL, 'ASP_PROTEASE', NULL, NULL, 2275, 11),
(48021, NULL, 'PS00483', NULL, NULL, 'Dihydroorotase signature 2.', NULL, 'DIHYDROOROTASE_2', NULL, NULL, 251, 11),
(48022, NULL, 'PS00027', NULL, NULL, '''Homeobox'' domain signature.', NULL, 'HOMEOBOX_1', NULL, NULL, 19331, 11),
(48023, NULL, 'PS00023', NULL, NULL, 'Fibronectin type-II collagen-binding domain signature.', NULL, 'FN2_1', NULL, NULL, 5695, 11),
(48024, NULL, 'PS60011', NULL, NULL, 'Plant C6 type antimicrobial peptide (AMP) signature.', NULL, 'PLANT_C6_AMP', NULL, NULL, 18840, 11),
(48025, NULL, 'PS01005', NULL, NULL, 'Formate and nitrite transporters signature 1.', NULL, 'FORMATE_NITRITE_TP_1', NULL, NULL, 21822, 11),
(48026, NULL, 'PS01215', NULL, NULL, 'Mrp family signature.', NULL, 'MRP', NULL, NULL, 6781, 11),
(48027, NULL, 'PS00559', NULL, NULL, 'Eukaryotic molybdopterin oxidoreductases signature.', NULL, 'MOLYBDOPTERIN_EUK', NULL, NULL, 21310, 11),
(48028, NULL, 'PS01015', NULL, NULL, 'Ribosomal protein L19 signature.', NULL, 'RIBOSOMAL_L19', NULL, NULL, 19882, 11),
(48029, NULL, 'PS01326', NULL, NULL, 'Diaminopimelate epimerase signature.', NULL, 'DAP_EPIMERASE', NULL, NULL, 19072, 11),
(48030, NULL, 'PS01188', NULL, NULL, 'ELO family signature.', NULL, 'ELO', NULL, NULL, 22803, 11),
(48031, NULL, 'PS00123', NULL, NULL, 'Alkaline phosphatase active site.', NULL, 'ALKALINE_PHOSPHATASE', NULL, NULL, 16887, 11),
(48032, NULL, 'PS00566', NULL, NULL, 'Fibrillarin signature.', NULL, 'FIBRILLARIN', NULL, NULL, 14950, 11),
(48033, NULL, 'PS00742', NULL, NULL, 'PEP-utilizing enzymes signature 2.', NULL, 'PEP_ENZYMES_2', NULL, NULL, 15763, 11),
(48034, NULL, 'PS01116', NULL, NULL, 'Xanthine/uracil permeases family signature.', NULL, 'XANTH_URACIL_PERMASE', NULL, NULL, 2900, 11),
(48035, NULL, 'PS01247', NULL, NULL, 'Inosine-uridine preferring nucleoside hydrolase family signature.', NULL, 'IUNH', NULL, NULL, 8382, 11),
(48036, NULL, 'PS00101', NULL, NULL, 'Hexapeptide-repeat containing-transferases signature.', NULL, 'HEXAPEP_TRANSFERASES', NULL, NULL, 20981, 11),
(48037, NULL, 'PS00281', NULL, NULL, 'Bowman-Birk serine protease inhibitors family signature.', NULL, 'BOWMAN_BIRK', NULL, NULL, 199, 11),
(48038, NULL, 'PS00555', NULL, NULL, 'Plant viruses icosahedral capsid proteins ''S'' region signature.', NULL, 'ICOSAH_VIR_COAT_S', NULL, NULL, NULL, 11),
(48039, NULL, 'PS00865', NULL, NULL, 'Ubiquitin-activating enzyme active site.', NULL, 'UBIQUITIN_ACTIVAT_2', NULL, NULL, 35241, 11),
(48040, NULL, 'PS00170', NULL, NULL, 'Cyclophilin-type peptidyl-prolyl cis-trans isomerase signature.', NULL, 'CSA_PPIASE_1', NULL, NULL, 20137, 11),
(48041, NULL, 'PS00805', NULL, NULL, 'Calreticulin family repeated motif signature.', NULL, 'CALRETICULIN_REPEAT', NULL, NULL, 19239, 11);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48042, NULL, 'PS00155', NULL, NULL, 'Cutinase, serine active site.', NULL, 'CUTINASE_1', NULL, NULL, 37866, 11),
(48043, NULL, 'PS00773', NULL, NULL, 'Chitinases family 19 signature 1.', NULL, 'CHITINASE_19_1', NULL, NULL, 7203, 11),
(48044, NULL, 'PS00185', NULL, NULL, 'Isopenicillin N synthase signature 1.', NULL, 'IPNS_1', NULL, NULL, 5011, 11),
(48045, NULL, 'PS00206', NULL, NULL, 'Transferrin-like domain signature 2.', NULL, 'TRANSFERRIN_LIKE_2', NULL, NULL, 15396, 11),
(48046, NULL, 'PS00840', NULL, NULL, 'Uroporphyrin-III C-methyltransferase signature 2.', NULL, 'SUMT_2', NULL, NULL, 983, 11),
(48047, NULL, 'PS00848', NULL, NULL, 'Cytochrome c oxidase subunit Vb, zinc binding region signature.', NULL, 'COX5B_1', NULL, NULL, 19674, 11),
(48048, NULL, 'PS00685', NULL, NULL, 'NF-YB/HAP3 subunit signature.', NULL, 'NFYB_HAP3', NULL, NULL, 7254, 11),
(48049, NULL, 'PS01044', NULL, NULL, 'Squalene and phytoene synthases signature 1.', NULL, 'SQUALEN_PHYTOEN_SYN_1', NULL, NULL, 18370, 11),
(48050, NULL, 'PS01163', NULL, NULL, 'Galactose-1-phosphate uridyl transferase family 2 signature.', NULL, 'GAL_P_UDP_TRANSF_II', NULL, NULL, 16344, 11),
(48051, NULL, 'PS00634', NULL, NULL, 'Ribosomal protein L30 signature.', NULL, 'RIBOSOMAL_L30', NULL, NULL, 13234, 11),
(48052, NULL, 'PS00887', NULL, NULL, 'Dihydroxy-acid and 6-phosphogluconate dehydratases signature 2.', NULL, 'ILVD_EDD_2', NULL, NULL, 14871, 11),
(48053, NULL, 'PS00547', NULL, NULL, 'Transglutaminases active site.', NULL, 'TRANSGLUTAMINASES', NULL, NULL, 7538, 11),
(48054, NULL, 'PS01091', NULL, NULL, 'TatD deoxyribonuclease family signature 3.', NULL, 'TATD_3', NULL, NULL, 7882, 11),
(48055, NULL, 'PS00705', NULL, NULL, 'Prokaryotic-type carbonic anhydrases signature 2.', NULL, 'PROK_CO2_ANHYDRASE_2', NULL, NULL, 7606, 11),
(48056, NULL, 'PS00649', NULL, NULL, 'G-protein coupled receptors family 2 signature 1.', NULL, 'G_PROTEIN_RECEP_F2_1', NULL, NULL, 19111, 11),
(48057, NULL, 'PS00668', NULL, NULL, 'Respiratory-chain NADH dehydrogenase subunit 1 signature 2.', NULL, 'COMPLEX1_ND1_2', NULL, NULL, 13911, 11),
(48058, NULL, 'PS00366', NULL, NULL, 'Uricase signature.', NULL, 'URICASE', NULL, NULL, 2789, 11),
(48059, NULL, 'PS00960', NULL, NULL, 'BTG family signature 1.', NULL, 'BTG_1', NULL, NULL, 1338, 11),
(48060, NULL, 'PS01202', NULL, NULL, 'Methionine aminopeptidase subfamily 2 signature.', NULL, 'MAP_2', NULL, NULL, 8578, 11),
(48061, NULL, 'PS00497', NULL, NULL, 'Tyrosinase CuA-binding region signature.', NULL, 'TYROSINASE_1', NULL, NULL, 463, 11),
(48062, NULL, 'PS00042', NULL, NULL, 'Crp-type HTH domain signature.', NULL, 'HTH_CRP_1', NULL, NULL, 8539, 11),
(48063, NULL, 'PS01043', NULL, NULL, 'Transposases, IS30 family, signature.', NULL, 'TRANSPOSASE_IS30', NULL, NULL, 5114, 11),
(48064, NULL, 'PS00829', NULL, NULL, 'Prokaryotic transcription elongation factors signature 1.', NULL, 'GREAB_1', NULL, NULL, 19296, 11),
(48065, NULL, 'PS00419', NULL, NULL, 'Photosystem I psaA and psaB proteins signature.', NULL, 'PHOTOSYSTEM_I_PSAAB', NULL, NULL, 20452, 11),
(48066, NULL, 'PS00710', NULL, NULL, 'Phosphoglucomutase and phosphomannomutase phosphoserine signature.', NULL, 'PGM_PMM', NULL, NULL, 10069, 11),
(48067, NULL, 'PS00226', NULL, NULL, 'Intermediate filament (IF) rod domain signature.', NULL, 'IF_ROD_1', NULL, NULL, 19325, 11),
(48068, NULL, 'PS01312', NULL, NULL, 'SecA family signature.', NULL, 'SECA', NULL, NULL, 14940, 11),
(48069, NULL, 'PS01350', NULL, NULL, '2C-methyl-D-erythritol 2,4-cyclodiphosphate synthase signature.', NULL, 'ISPF', NULL, NULL, 19054, 11),
(48070, NULL, 'PS00444', NULL, NULL, 'Polyprenyl synthases signature 2.', NULL, 'POLYPRENYL_SYNTHASE_2', NULL, NULL, 30018, 11),
(48071, NULL, 'PS00100', NULL, NULL, 'Chloramphenicol acetyltransferase active site.', NULL, 'CAT', NULL, NULL, 20903, 11),
(48072, NULL, 'PS00630', NULL, NULL, 'Inositol monophosphatase family signature 2.', NULL, 'IMP_2', NULL, NULL, 21339, 11),
(48073, NULL, 'PS00870', NULL, NULL, 'Chaperonins clpA/B signature 1.', NULL, 'CLPAB_1', NULL, NULL, 20964, 11);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48074, NULL, 'PS00337', NULL, NULL, 'Beta-lactamase class-D active site.', NULL, 'BETA_LACTAMASE_D', NULL, NULL, 1087, 11),
(48075, NULL, 'PS01095', NULL, NULL, 'Glycosyl hydrolases family 18 (GH18) active site signature.', NULL, 'GH18_1', NULL, NULL, 5380, 11),
(48076, NULL, 'PS00132', NULL, NULL, 'Zinc carboxypeptidases, zinc-binding region 1 signature.', NULL, 'CARBOXYPEPT_ZN_1', NULL, NULL, 174, 11),
(48077, NULL, 'PS00676', NULL, NULL, 'Sigma-54 interaction domain ATP-binding region B signature.', NULL, 'SIGMA54_INTERACT_2', NULL, NULL, 22391, 11),
(48078, NULL, 'PS00107', NULL, NULL, 'Protein kinases ATP-binding region signature.', NULL, 'PROTEIN_KINASE_ATP', NULL, NULL, 12282, 11),
(48079, NULL, 'PS00130', NULL, NULL, 'Uracil-DNA glycosylase signature.', NULL, 'U_DNA_GLYCOSYLASE', NULL, NULL, 13970, 11),
(48080, NULL, 'PS00359', NULL, NULL, 'Ribosomal protein L11 signature.', NULL, 'RIBOSOMAL_L11', NULL, NULL, 21119, 11),
(48081, NULL, 'PS00678', NULL, NULL, 'Trp-Asp (WD) repeats signature.', NULL, 'WD_REPEATS_1', NULL, NULL, 17522, 11),
(48082, NULL, 'PS01009', NULL, NULL, 'CRISP family signature 1.', NULL, 'CRISP_1', NULL, NULL, 8759, 11),
(48083, NULL, 'PS00878', NULL, NULL, 'Orn/DAP/Arg decarboxylases family 2 pyridoxal-P attachment site.', NULL, 'ODR_DC_2_1', NULL, NULL, 17227, 11),
(48084, NULL, 'PS00126', NULL, NULL, '3''5''-cyclic nucleotide phosphodiesterase domain signature.', NULL, 'PDEASE_I_1', NULL, NULL, 8875, 11),
(48085, NULL, 'PS00562', NULL, NULL, 'CBM1 (carbohydrate binding type-1) domain signature.', NULL, 'CBM1_1', NULL, NULL, 4728, 11),
(48086, NULL, 'PS00987', NULL, NULL, '6-pyruvoyl tetrahydropterin synthase signature 1.', NULL, 'PTPS_1', NULL, NULL, 16016, 11),
(48087, NULL, 'PS00647', NULL, NULL, 'Thymidine and pyrimidine-nucleoside phosphorylases signature.', NULL, 'THYMID_PHOSPHORYLASE', NULL, NULL, 7167, 11),
(48088, NULL, 'PS50841', NULL, NULL, 'DIX domain profile.', NULL, 'DIX', NULL, NULL, 1199, 12),
(48089, NULL, 'PS51781', NULL, NULL, 'SH3b domain profile.', NULL, 'SH3B', NULL, NULL, 1404, 12),
(48090, NULL, 'PS51846', NULL, NULL, 'CNNM transmembrane domain profile.', NULL, 'CNNM', NULL, NULL, 1638, 12),
(48091, NULL, 'PS50855', NULL, NULL, 'Cytochrome oxidase subunit I  profile.', NULL, 'COX1', NULL, NULL, 16923, 12),
(48092, NULL, 'PS51743', NULL, NULL, 'Alphavirus-like methyltransferase (MT) domain profile.', NULL, 'ALPHAVIRUS_MT', NULL, NULL, 1590, 12),
(48093, NULL, 'PS51880', NULL, NULL, 'TGS domain profile.', NULL, 'TGS', NULL, NULL, 1945, 12),
(48094, NULL, 'PS51076', NULL, NULL, 'MAD homology domain 2 (MH2) profile.', NULL, 'MH2', NULL, NULL, 1662, 12),
(48095, NULL, 'PS51162', NULL, NULL, 'Thyroglobulin type-1 domain profile.', NULL, 'THYROGLOBULIN_1_2', NULL, NULL, 6640, 12),
(48096, NULL, 'PS50256', NULL, NULL, 'Yeast PIR proteins repeats profile.', NULL, 'PIR_REPEAT_2', NULL, NULL, 4232, 12),
(48097, NULL, 'PS51537', NULL, NULL, 'Norovirus 3C-like protease (NV 3CLpro) domain profile.', NULL, 'NV_3CL_PRO', NULL, NULL, 3342, 12),
(48098, NULL, 'PS50200', NULL, NULL, 'Ras-associating (RA) domain profile.', NULL, 'RA', NULL, NULL, 3818, 12),
(48099, NULL, 'PS50900', NULL, NULL, 'PLAC domain profile.', NULL, 'PLAC', NULL, NULL, 5413, 12),
(48100, NULL, 'PS51703', NULL, NULL, 'DZF domain profile.', NULL, 'DZF', NULL, NULL, 93, 12),
(48101, NULL, 'PS51635', NULL, NULL, 'Patatin-like phospholipase (PNPLA) domain profile.', NULL, 'PNPLA', NULL, NULL, 2546, 12),
(48102, NULL, 'PS51271', NULL, NULL, 'WAPL domain profile.', NULL, 'WAPL', NULL, NULL, 12796, 12),
(48103, NULL, 'PS51073', NULL, NULL, 'RPEL repeat profile.', NULL, 'RPEL', NULL, NULL, 676, 12),
(48104, NULL, 'PS51274', NULL, NULL, 'CobBQ-type GATase domain profile.', NULL, 'GATASE_COBBQ', NULL, NULL, NULL, 12),
(48105, NULL, 'PS51790', NULL, NULL, 'Methionine-R-sulfoxide reductase (MsrB) domain profile.', NULL, 'MSRB', NULL, NULL, 1929, 12),
(48106, NULL, 'PS51013', NULL, NULL, 'Pannexin family profile.', NULL, 'PANNEXIN', NULL, NULL, 3282, 12),
(48107, NULL, 'PS51156', NULL, NULL, 'ELM2 domain profile.', NULL, 'ELM2', NULL, NULL, 3377, 12);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48108, NULL, 'PS51521', NULL, NULL, 'Herpesvirus tegument ubiquitin-specific protease (htUSP) domain profile.', NULL, 'HTUSP', NULL, NULL, 5065, 12),
(48109, NULL, 'PS51044', NULL, NULL, 'Zinc finger SP-RING-type profile.', NULL, 'ZF_SP_RING', NULL, NULL, 2580, 12),
(48110, NULL, 'PS51376', NULL, NULL, 'DBB domain profile.', NULL, 'DBB', NULL, NULL, 2930, 12),
(48111, NULL, 'PS50881', NULL, NULL, 'S5 double stranded RNA-binding domain profile.', NULL, 'S5_DSRBD', NULL, NULL, 18712, 12),
(48112, NULL, 'PS51650', NULL, NULL, 'C2 DOCK-type domain profile.', NULL, 'C2_DOCK', NULL, NULL, 25491, 12),
(48113, NULL, 'PS50134', NULL, NULL, 'Zinc finger TAZ-type profile.', NULL, 'ZF_TAZ', NULL, NULL, 3768, 12),
(48114, NULL, 'PS51214', NULL, NULL, 'IBB domain profile.', NULL, 'IBB', NULL, NULL, 2847, 12),
(48115, NULL, 'PS50137', NULL, NULL, 'Double stranded RNA-binding domain (dsRBD) profile.', NULL, 'DS_RBD', NULL, NULL, 12854, 12),
(48116, NULL, 'PS51555', NULL, NULL, 'Methionine S-methyltransferase (EC 2.1.1.12) family profile.', NULL, 'SAM_MT12', NULL, NULL, 23908, 12),
(48117, NULL, 'PS50824', NULL, NULL, 'DAPIN domain profile.', NULL, 'DAPIN', NULL, NULL, 596, 12),
(48118, NULL, 'PS51800', NULL, NULL, 'Zinc finger CHHC U11-48K-type profile.', NULL, 'ZF_CHHC_U11_48K', NULL, NULL, 17238, 12),
(48119, NULL, 'PS51674', NULL, NULL, '4Fe-4S WhiB-like (Wbl)-type iron-sulfur binding domain profile.', NULL, '4FE4S_WBL', NULL, NULL, 22217, 12),
(48120, NULL, 'PS51268', NULL, NULL, 'Arabinose import ATP-binding protein araG family profile.', NULL, 'ARAG', NULL, NULL, NULL, 12),
(48121, NULL, 'PS51311', NULL, NULL, 'Secretoglobin (SCGB) family profile.', NULL, 'SCGB', NULL, NULL, 11452, 12),
(48122, NULL, 'PS51691', NULL, NULL, 'Peptidase family S6 domain profile.', NULL, 'PEPTIDASE_S6', NULL, NULL, 26537, 12),
(48123, NULL, 'PS51154', NULL, NULL, 'Macro domain profile.', NULL, 'MACRO', NULL, NULL, 1643, 12),
(48124, NULL, 'PS50982', NULL, NULL, 'Methyl-CpG-binding domain (MBD) profile.', NULL, 'MBD', NULL, NULL, 3235, 12),
(48125, NULL, 'PS51483', NULL, NULL, 'B5 domain profile.', NULL, 'B5', NULL, NULL, 4304, 12),
(48126, NULL, 'PS51623', NULL, NULL, 'tRNA guanosine-2''-O-methyltransferase (EC 2.1.1.34) family profile.', NULL, 'SAM_MT_TRMH_1', NULL, NULL, 25247, 12),
(48127, NULL, 'PS51340', NULL, NULL, 'MOSC domain profile.', NULL, 'MOSC', NULL, NULL, 5326, 12),
(48128, NULL, 'PS51486', NULL, NULL, 'REKLES domain profile.', NULL, 'REKLES', NULL, NULL, 15552, 12),
(48129, NULL, 'PS51241', NULL, NULL, 'Molybdenum import ATP-binding protein modC family profile.', NULL, 'MODC', NULL, NULL, NULL, 12),
(48130, NULL, 'PS50207', NULL, NULL, 'Caspase family p10 domain profile.', NULL, 'CASPASE_P10', NULL, NULL, 5019, 12),
(48131, NULL, 'PS51414', NULL, NULL, 'HSR domain profile.', NULL, 'HSR', NULL, NULL, 7381, 12),
(48132, NULL, 'PS50051', NULL, NULL, 'MCM family domain profile.', NULL, 'MCM_2', NULL, NULL, 1165, 12),
(48133, NULL, 'PS51572', NULL, NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, 'SAM_MT43_1', NULL, NULL, 20606, 12),
(48134, NULL, 'PS51723', NULL, NULL, 'Peptidase family M60 domain profile.', NULL, 'PEPTIDASE_M60', NULL, NULL, 26939, 12),
(48135, NULL, 'PS50953', NULL, NULL, 'KID domain profile.', NULL, 'KID', NULL, NULL, 4806, 12),
(48136, NULL, 'PS51446', NULL, NULL, 'Pacifastin domain profile.', NULL, 'PACIFASTIN', NULL, NULL, 5186, 12),
(48137, NULL, 'PS51465', NULL, NULL, 'Kazal domain profile.', NULL, 'KAZAL_2', NULL, NULL, 6107, 12),
(48138, NULL, 'PS51683', NULL, NULL, 'SAM-dependent O-methyltransferase class II-type profile.', NULL, 'SAM_OMT_II', NULL, NULL, 15807, 12),
(48139, NULL, 'PS50819', NULL, NULL, 'Intein DOD-type homing endonuclease domain profile.', NULL, 'INTEIN_ENDONUCLEASE', NULL, NULL, 691, 12),
(48140, NULL, 'PS50303', NULL, NULL, 'Pumilio homology domain (PUM-HD) profile.', NULL, 'PUM_HD', NULL, NULL, 30217, 12),
(48141, NULL, 'PS51469', NULL, NULL, 'SUN domain profile.', NULL, 'SUN', NULL, NULL, 8094, 12),
(48142, NULL, 'PS51866', NULL, NULL, 'Mop domain profile.', NULL, 'MOP', NULL, NULL, 948, 12);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48143, NULL, 'PS50908', NULL, NULL, 'RWD domain profile.', NULL, 'RWD', NULL, NULL, 278, 12),
(48144, NULL, 'PS51246', NULL, NULL, 'Cobalt import ATP-binding protein cbiO.', NULL, 'CBIO', NULL, NULL, NULL, 12),
(48145, NULL, 'PS51530', NULL, NULL, 'Fetuin-B-type cystatin domain profile.', NULL, 'CYSTATIN_FETUIN_B', NULL, NULL, 24292, 12),
(48146, NULL, 'PS50955', NULL, NULL, 'LEM-like domain profile.', NULL, 'LEM_LIKE', NULL, NULL, 5250, 12),
(48147, NULL, 'PS51666', NULL, NULL, 'QLQ domain profile.', NULL, 'QLQ', NULL, NULL, 14367, 12),
(48148, NULL, 'PS51554', NULL, NULL, 'Pyruvate formate-lyase domain profile.', NULL, 'PFL', NULL, NULL, 2832, 12),
(48149, NULL, 'PS50042', NULL, NULL, 'cAMP/cGMP binding motif profile.', NULL, 'CNMP_BINDING_3', NULL, NULL, 5678, 12),
(48150, NULL, 'PS51716', NULL, NULL, 'IRG-type guanine nucleotide-binding (G) domain profile.', NULL, 'G_IRG', NULL, NULL, 28851, 12),
(48151, NULL, 'PS50828', NULL, NULL, 'Smr domain profile.', NULL, 'SMR', NULL, NULL, 2762, 12),
(48152, NULL, 'PS51608', NULL, NULL, 'UbiE family SAM-binding methyltransferase profile.', NULL, 'SAM_MT_UBIE', NULL, NULL, 912, 12),
(48153, NULL, 'PS51919', NULL, NULL, 'X4e domain profile.', NULL, 'X4E', NULL, NULL, 39395, 12),
(48154, NULL, 'PS51665', NULL, NULL, 'Enkurin domain profile.', NULL, 'ENKURIN', NULL, NULL, 25244, 12),
(48155, NULL, 'PS51505', NULL, NULL, 'SCA7 domain profile.', NULL, 'SCA7', NULL, NULL, 12793, 12),
(48156, NULL, 'PS51158', NULL, NULL, 'Alpha-type protein kinase domain profile.', NULL, 'ALPHA_KINASE', NULL, NULL, 2657, 12),
(48157, NULL, 'PS50139', NULL, NULL, 'Z-binding domain profile.', NULL, 'Z_BINDING', NULL, NULL, 39405, 12),
(48158, NULL, 'PS50110', NULL, NULL, 'Response regulatory domain profile.', NULL, 'RESPONSE_REGULATORY', NULL, NULL, 3293, 12),
(48159, NULL, 'PS51100', NULL, NULL, 'PTS_EIIB type-3 domain profile.', NULL, 'PTS_EIIB_TYPE_3', NULL, NULL, 18601, 12),
(48160, NULL, 'PS51176', NULL, NULL, 'Prephenate/arogenate dehydrogenase domain profile.', NULL, 'PDH_ADH', NULL, NULL, 1385, 12),
(48161, NULL, 'PS50048', NULL, NULL, 'Zn(2)-C6 fungal-type DNA-binding domain profile.', NULL, 'ZN2_CY6_FUNGAL_2', NULL, NULL, 2124, 12),
(48162, NULL, 'PS51871', NULL, NULL, 'Potyviridae P1 protease domain profile.', NULL, 'PV_P1_PRO', NULL, NULL, 1687, 12),
(48163, NULL, 'PS51244', NULL, NULL, 'Lipoprotein release ATP-binding protein lolD family profile.', NULL, 'LOLD', NULL, NULL, NULL, 12),
(48164, NULL, 'PS51803', NULL, NULL, 'Zinc finger C2HC RNF-type profile.', NULL, 'ZF_C2HC_RNF', NULL, NULL, 15880, 12),
(48165, NULL, 'PS51590', NULL, NULL, 'Mononegavirus L protein 2''-O-ribose methyltransferase domain profile.', NULL, 'SAM_MT_MNV_L', NULL, NULL, 22793, 12),
(48166, NULL, 'PS50219', NULL, NULL, 'Citron homology (CNH) domain profile.', NULL, 'CNH', NULL, NULL, 1154, 12),
(48167, NULL, 'PS50858', NULL, NULL, 'BSD domain profile.', NULL, 'BSD', NULL, NULL, 2854, 12),
(48168, NULL, 'PS50954', NULL, NULL, 'LEM domain profile.', NULL, 'LEM', NULL, NULL, 4164, 12),
(48169, NULL, 'PS51139', NULL, NULL, 'GTF2I-like repeat profile.', NULL, 'GTF2I', NULL, NULL, 3795, 12),
(48170, NULL, 'PS51406', NULL, NULL, 'Fibrinogen C-terminal domain profile.', NULL, 'FIBRINOGEN_C_2', NULL, NULL, 5810, 12),
(48171, NULL, 'PS51621', NULL, NULL, 'tRNA (uracil-5-)-methyltransferase (EC 2.1.1.35) family profile.', NULL, 'SAM_MT_RNA_M5U_1', NULL, NULL, 25427, 12),
(48172, NULL, 'PS51129', NULL, NULL, 'PdxS/SNZ family profile.', NULL, 'PDXS_SNZ_2', NULL, NULL, 4280, 12),
(48173, NULL, 'PS51011', NULL, NULL, 'ARID domain profile.', NULL, 'ARID', NULL, NULL, 5307, 12),
(48174, NULL, 'PS51318', NULL, NULL, 'Twin arginine translocation (Tat) signal profile.', NULL, 'TAT', NULL, NULL, 4523, 12),
(48175, NULL, 'PS51881', NULL, NULL, 'Obg C-terminal (OCT) domain profile.', NULL, 'OCT', NULL, NULL, 13993, 12),
(48176, NULL, 'PS50089', NULL, NULL, 'Zinc finger RING-type profile.', NULL, 'ZF_RING_2', NULL, NULL, 4199, 12),
(48177, NULL, 'PS50315', NULL, NULL, 'Glycine-rich region profile.', NULL, 'GLY_RICH', NULL, NULL, NULL, 12);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48178, NULL, 'PS50099', NULL, NULL, 'Proline-rich region profile.', NULL, 'PRO_RICH', NULL, NULL, NULL, 12),
(48179, NULL, 'PS51865', NULL, NULL, 'GRASP-type PDZ domain profile.', NULL, 'PDZ_GRASP', NULL, NULL, 25304, 12),
(48180, NULL, 'PS50119', NULL, NULL, 'Zinc finger B-box type profile.', NULL, 'ZF_BBOX', NULL, NULL, 960, 12),
(48181, NULL, 'PS51309', NULL, NULL, 'Poly(A)-binding protein C-terminal (PABC) domain profile.', NULL, 'PABC', NULL, NULL, 5205, 12),
(48182, NULL, 'PS51583', NULL, NULL, 'Plant LSMT protein-lysine methyltransferase family profile.', NULL, 'SAM_MT127', NULL, NULL, 11347, 12),
(48183, NULL, 'PS50031', NULL, NULL, 'EH domain profile.', NULL, 'EH', NULL, NULL, 1297, 12),
(48184, NULL, 'PS51702', NULL, NULL, 'Mu-type HTH domain profile.', NULL, 'HTH_MU', NULL, NULL, 4026, 12),
(48185, NULL, 'PS50310', NULL, NULL, 'Alanine-rich region profile.', NULL, 'ALA_RICH', NULL, NULL, NULL, 12),
(48186, NULL, 'PS51297', NULL, NULL, 'K-box domain profile.', NULL, 'K_BOX', NULL, NULL, 846, 12),
(48187, NULL, 'PS51742', NULL, NULL, 'PPC domain profile profile.', NULL, 'PPC', NULL, NULL, 5302, 12),
(48188, NULL, 'PS51145', NULL, NULL, 'ZU5 domain profile.', NULL, 'ZU5', NULL, NULL, 3263, 12),
(48189, NULL, 'PS50276', NULL, NULL, 'Pancreatic hormone family profile.', NULL, 'PANCREATIC_HORMONE_2', NULL, NULL, 2207, 12),
(48190, NULL, 'PS51680', NULL, NULL, 'SAM-dependent methyltransferase DRM-type domain profile.', NULL, 'SAM_MT_DRM', NULL, NULL, 26555, 12),
(48191, NULL, 'PS51763', NULL, NULL, 'CBM10 (carbohydrate-binding type-10) domain profile.', NULL, 'CBM10', NULL, NULL, 5713, 12),
(48192, NULL, 'PS51869', NULL, NULL, 'Amyloid precursor protein (APP) E1 domain profile.', NULL, 'APP_E1', NULL, NULL, 7036, 12),
(48193, NULL, 'PS50846', NULL, NULL, 'Heavy-metal-associated domain profile.', NULL, 'HMA_2', NULL, NULL, 10416, 12),
(48194, NULL, 'PS51569', NULL, NULL, 'Histone-lysine N-methyltransferase DOT1 (EC 2.1.1.43) domain profile.', NULL, 'DOT1', NULL, NULL, 23068, 12),
(48195, NULL, 'PS51694', NULL, NULL, 'Peptidase family M66 domain profile.', NULL, 'PEPTIDASE_M66', NULL, NULL, 18559, 12),
(48196, NULL, 'PS51847', NULL, NULL, 'Synaptotagmin-like mitochondrial lipid-binding proteins (SMP) domain profile.', NULL, 'SMP', NULL, NULL, 28900, 12),
(48197, NULL, 'PS50052', NULL, NULL, 'Guanylate kinase-like domain profile.', NULL, 'GUANYLATE_KINASE_2', NULL, NULL, 7104, 12),
(48198, NULL, 'PS50850', NULL, NULL, 'Major facilitator superfamily (MFS) profile.', NULL, 'MFS', NULL, NULL, 21432, 12),
(48199, NULL, 'PS51223', NULL, NULL, 'MAP repeat profile.', NULL, 'MAP', NULL, NULL, 5060, 12),
(48200, NULL, 'PS51489', NULL, NULL, 'BUB1 N-terminal domain profile.', NULL, 'BUB1_N', NULL, NULL, 17873, 12),
(48201, NULL, 'PS51701', NULL, NULL, '6-Cysteine (6-Cys) domain profile.', NULL, '6_CYS', NULL, NULL, 11957, 12),
(48202, NULL, 'PS51771', NULL, NULL, 'CGT/MARTX cysteine protease (CPD) domain profile.', NULL, 'CGT_MARTX_CPD', NULL, NULL, 14747, 12),
(48203, NULL, 'PS51050', NULL, NULL, 'Zinc finger CW-type profile.', NULL, 'ZF_CW', NULL, NULL, 11278, 12),
(48204, NULL, 'PS50929', NULL, NULL, 'ABC transporter integral membrane type-1 fused domain profile.', NULL, 'ABC_TM1F', NULL, NULL, 12360, 12),
(48205, NULL, 'PS50011', NULL, NULL, 'Protein kinase domain profile.', NULL, 'PROTEIN_KINASE_DOM', NULL, NULL, 3723, 12),
(48206, NULL, 'PS51098', NULL, NULL, 'PTS_EIIB type-1 domain profile.', NULL, 'PTS_EIIB_TYPE_1', NULL, NULL, 5125, 12),
(48207, NULL, 'PS51136', NULL, NULL, 'WAC domain profile.', NULL, 'WAC', NULL, NULL, 7553, 12),
(48208, NULL, 'PS51009', NULL, NULL, 'Cytochrome c class II profile.', NULL, 'CYTCII', NULL, NULL, 6812, 12),
(48209, NULL, 'PS50046', NULL, NULL, 'Phytochrome chromophore attachment site domain profile.', NULL, 'PHYTOCHROME_2', NULL, NULL, 11138, 12),
(48210, NULL, 'PS51328', NULL, NULL, 'L-type lectin-like (leguminous) domain profile.', NULL, 'L_LECTIN_LIKE', NULL, NULL, 2399, 12),
(48211, NULL, 'PS51746', NULL, NULL, 'PPM-type phosphatase domain profile.', NULL, 'PPM_2', NULL, NULL, 2171, 12);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48212, NULL, 'PS51125', NULL, NULL, 'NHL repeat profile.', NULL, 'NHL', NULL, NULL, 2106, 12),
(48213, NULL, 'PS51543', NULL, NULL, 'FYR domain FYRC motif profile.', NULL, 'FYRC', NULL, NULL, 4424, 12),
(48214, NULL, 'PS51110', NULL, NULL, 'Saposin A-type domain profile.', NULL, 'SAP_A', NULL, NULL, 1980, 12),
(48215, NULL, 'PS51791', NULL, NULL, 'hSac2 domain profile.', NULL, 'HSAC2', NULL, NULL, 8965, 12),
(48216, NULL, 'PS50114', NULL, NULL, 'GATA-type zinc finger domain profile.', NULL, 'GATA_ZN_FINGER_2', NULL, NULL, 3540, 12),
(48217, NULL, 'PS50192', NULL, NULL, 't-SNARE coiled-coil homology domain profile.', NULL, 'T_SNARE', NULL, NULL, 6854, 12),
(48218, NULL, 'PS50811', NULL, NULL, 'WRKY domain profile.', NULL, 'WRKY', NULL, NULL, 1054, 12),
(48219, NULL, 'PS50898', NULL, NULL, 'Ras-binding domain (RBD) profile.', NULL, 'RBD', NULL, NULL, 2856, 12),
(48220, NULL, 'PS51301', NULL, NULL, 'KilA-N domain profile.', NULL, 'KILA_N', NULL, NULL, 18779, 12),
(48221, NULL, 'PS51642', NULL, NULL, 'Hemopexin repeat profile.', NULL, 'HEMOPEXIN_2', NULL, NULL, 21853, 12),
(48222, NULL, 'PS51835', NULL, NULL, 'Tripartite DENN C9ORF72-type domain profile.', NULL, 'DENN_C9ORF72', NULL, NULL, 22589, 12),
(48223, NULL, 'PS50808', NULL, NULL, 'Zinc finger BED-type profile.', NULL, 'ZF_BED', NULL, NULL, 1261, 12),
(48224, NULL, 'PS50229', NULL, NULL, 'WH1 domain profile.', NULL, 'WH1', NULL, NULL, 3664, 12),
(48225, NULL, 'PS51434', NULL, NULL, 'NUP C-terminal domain profile.', NULL, 'NUP_C', NULL, NULL, 6938, 12),
(48226, NULL, 'PS51442', NULL, NULL, 'Coronavirus main protease (M-pro) domain profile.', NULL, 'M_PRO', NULL, NULL, 12131, 12),
(48227, NULL, 'PS50006', NULL, NULL, 'Forkhead-associated (FHA) domain profile.', NULL, 'FHA_DOMAIN', NULL, NULL, 4960, 12),
(48228, NULL, 'PS51734', NULL, NULL, 'MPBQ/MBSQ family SAM-binding methyltransferase profile.', NULL, 'SAM_MPBQ_MSBQ_MT', NULL, NULL, 27075, 12),
(48229, NULL, 'PS51875', NULL, NULL, 'Hypovirus-associated virus (HAV) papain-like protease p48 domain profile.', NULL, 'HAV_P48_PRO', NULL, NULL, 5381, 12),
(48230, NULL, 'PS50014', NULL, NULL, 'Bromodomain profile.', NULL, 'BROMODOMAIN_2', NULL, NULL, 5837, 12),
(48231, NULL, 'PS51436', NULL, NULL, 'Potyvirus NIa protease (NIa-pro) domain profile.', NULL, 'POTYVIRUS_NIA_PRO', NULL, NULL, 3228, 12),
(48232, NULL, 'PS51003', NULL, NULL, 'Cytochrome b/b6 C-terminal region profile.', NULL, 'CYTB_CTER', NULL, NULL, 5728, 12),
(48233, NULL, 'PS51783', NULL, NULL, 'BEACH-type PH domain profile.', NULL, 'PH_BEACH', NULL, NULL, 19535, 12),
(48234, NULL, 'PS51718', NULL, NULL, 'Dynamin-type guanine nucleotide-binding (G) domain profile.', NULL, 'G_DYNAMIN_2', NULL, NULL, 24569, 12),
(48235, NULL, 'PS50945', NULL, NULL, 'I/LWEQ domain profile.', NULL, 'I_LWEQ', NULL, NULL, 1519, 12),
(48236, NULL, 'PS51341', NULL, NULL, 'Zinc finger large T-antigen (T-ag) D1-type profile.', NULL, 'ZF_LTAG_D1', NULL, NULL, 18985, 12),
(48237, NULL, 'PS51464', NULL, NULL, 'SIS domain profile.', NULL, 'SIS', NULL, NULL, 7053, 12),
(48238, NULL, 'PS51688', NULL, NULL, 'Intramolecular chaperone auto-processing (ICA) domain profile.', NULL, 'ICA', NULL, NULL, 28868, 12),
(48239, NULL, 'PS51177', NULL, NULL, 'Riboflavin synthase alpha chain lumazine-binding repeat profile.', NULL, 'LUMAZINE_BIND', NULL, NULL, 26616, 12),
(48240, NULL, 'PS51220', NULL, NULL, 'NIDO domain profile.', NULL, 'NIDO', NULL, NULL, 4143, 12),
(48241, NULL, 'PS50143', NULL, NULL, 'BIR repeat profile.', NULL, 'BIR_REPEAT_2', NULL, NULL, 2096, 12),
(48242, NULL, 'PS51218', NULL, NULL, 'Superfamily 3 helicase of positive ssRNA viruses domain profile.', NULL, 'SF3_HELICASE_2', NULL, NULL, 9795, 12),
(48243, NULL, 'PS50007', NULL, NULL, 'Phosphatidylinositol-specific phospholipase X-box domain profile.', NULL, 'PIPLC_X_DOMAIN', NULL, NULL, NULL, 12),
(48244, NULL, 'PS50924', NULL, NULL, 'MHYT domain profile.', NULL, 'MHYT', NULL, NULL, 5840, 12),
(48245, NULL, 'PS51480', NULL, NULL, 'DhaL domain profile.', NULL, 'DHAL', NULL, NULL, 548, 12),
(48246, NULL, 'PS51909', NULL, NULL, 'Invertebrate (I)-type lysozyme domain profile.', NULL, 'LYSOZYME_I', NULL, NULL, 14260, 12);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48247, NULL, 'PS50914', NULL, NULL, 'BON domain profile.', NULL, 'BON', NULL, NULL, 6929, 12),
(48248, NULL, 'PS51389', NULL, NULL, 'Xin repeat profile.', NULL, 'XIN', NULL, NULL, 12985, 12),
(48249, NULL, 'PS51670', NULL, NULL, 'ShKT domain profile.', NULL, 'SHKT', NULL, NULL, 218, 12),
(48250, NULL, 'PS51682', NULL, NULL, 'SAM-dependent O-methyltransferase class I-type profile.', NULL, 'SAM_OMT_I', NULL, NULL, 6738, 12),
(48251, NULL, 'PS51902', NULL, NULL, 'ClpX zinc binding (ZB) domain profile.', NULL, 'CLPX_ZB', NULL, NULL, 8044, 12),
(48252, NULL, 'PS50184', NULL, NULL, 'VWFC domain profile.', NULL, 'VWFC_2', NULL, NULL, 2253, 12),
(48253, NULL, 'PS50135', NULL, NULL, 'Zinc finger ZZ-type profile.', NULL, 'ZF_ZZ_2', NULL, NULL, 4294, 12),
(48254, NULL, 'PS51377', NULL, NULL, 'KIND domain profile.', NULL, 'KIND', NULL, NULL, 9443, 12),
(48255, NULL, 'PS51140', NULL, NULL, 'CUE domain profile.', NULL, 'CUE', NULL, NULL, 4289, 12),
(48256, NULL, 'PS51896', NULL, NULL, 'Zinc finger C4H2-type profile.', NULL, 'ZF_C4H2', NULL, NULL, 39440, 12),
(48257, NULL, 'PS50877', NULL, NULL, 'GoLoco/GPR motif profile.', NULL, 'GOLOCO', NULL, NULL, 2598, 12),
(48258, NULL, 'PS51199', NULL, NULL, 'Superfamily 4 helicase domain profile.', NULL, 'SF4_HELICASE', NULL, NULL, 1075, 12),
(48259, NULL, 'PS51706', NULL, NULL, 'EngB-type guanine nucleotide-binding (G) domain profile.', NULL, 'G_ENGB', NULL, NULL, 27639, 12),
(48260, NULL, 'PS51049', NULL, NULL, 'KASH domain profile.', NULL, 'KASH', NULL, NULL, 11997, 12),
(48261, NULL, 'PS51649', NULL, NULL, 'NPH3 domain profile.', NULL, 'NPH3', NULL, NULL, 25097, 12),
(48262, NULL, 'PS50144', NULL, NULL, 'MATH/TRAF domain profile.', NULL, 'MATH', NULL, NULL, 1063, 12),
(48263, NULL, 'PS51106', NULL, NULL, 'PTS_EIIC type-4 domain profile.', NULL, 'PTS_EIIC_TYPE_4', NULL, NULL, 3867, 12),
(48264, NULL, 'PS50175', NULL, NULL, 'Aspartyl protease, retroviral-type family profile.', NULL, 'ASP_PROT_RETROV', NULL, NULL, 2380, 12),
(48265, NULL, 'PS51891', NULL, NULL, 'CENP-V/GFA domain profile.', NULL, 'CENP_V_GFA', NULL, NULL, 4941, 12),
(48266, NULL, 'PS01033', NULL, NULL, 'Globin family profile.', NULL, 'GLOBIN', NULL, NULL, 3408, 12),
(48267, NULL, 'PS50901', NULL, NULL, 'FtsK domain profile.', NULL, 'FTSK', NULL, NULL, 1760, 12),
(48268, NULL, 'PS51693', NULL, NULL, 'Hepacivirus nonstructural protein 2 (NS2) protease domain profile.', NULL, 'HCV_NS2_PRO', NULL, NULL, 902, 12),
(48269, NULL, 'PS50943', NULL, NULL, 'Cro/C1-type HTH domain profile.', NULL, 'HTH_CROC1', NULL, NULL, 2357, 12),
(48270, NULL, 'PS50861', NULL, NULL, 'Heterodimeric glycyl-transfer RNA synthetases family profile.', NULL, 'AA_TRNA_LIGASE_II_GLYAB', NULL, NULL, 11140, 12),
(48271, NULL, 'PS51503', NULL, NULL, 'HIG1 domain profile.', NULL, 'HIG1', NULL, NULL, 472, 12),
(48272, NULL, 'PS50262', NULL, NULL, 'G-protein coupled receptors family 1 profile.', NULL, 'G_PROTEIN_RECEP_F1_2', NULL, NULL, 18576, 12),
(48273, NULL, 'PS51078', NULL, NULL, 'IclR effector binding domain profile.', NULL, 'ICLR_ED', NULL, NULL, 12797, 12),
(48274, NULL, 'PS51820', NULL, NULL, 'PA14 domain profile.', NULL, 'PA14', NULL, NULL, 29494, 12),
(48275, NULL, 'PS51826', NULL, NULL, 'Peripheral subunit-binding (PSBD) domain profile.', NULL, 'PSBD', NULL, NULL, 2718, 12),
(48276, NULL, 'PS01225', NULL, NULL, 'C-terminal cystine knot domain profile.', NULL, 'CTCK_2', NULL, NULL, 11267, 12),
(48277, NULL, 'PS51206', NULL, NULL, 'Superfamily 3 helicase of DNA viruses domain profile.', NULL, 'SF3_HELICASE_1', NULL, NULL, 9417, 12),
(48278, NULL, 'PS51864', NULL, NULL, 'Astacin-like domain profile.', NULL, 'ASTACIN', NULL, NULL, 4053, 12),
(48279, NULL, 'PS51733', NULL, NULL, 'Biotinyl protein ligase (BPL) and lipoyl protein ligase (LPL) catalytic domain profile.', NULL, 'BPL_LPL_CATALYTIC', NULL, NULL, 2514, 12),
(48280, NULL, 'PS51592', NULL, NULL, 'mRNA (2''-O-methyladenosine-N(6)-)-methyltransferase-like (MT-A70-like) family profile.', NULL, 'SAM_MTA70L_2', NULL, NULL, NULL, 12),
(48281, NULL, 'PS50526', NULL, NULL, 'RdRp of negative ssRNA viruses with non-segmented genomes catalytic domain profile.', NULL, 'RDRP_SSRNA_NEG_NONSEG', NULL, NULL, 13405, 12);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48282, NULL, 'PS51258', NULL, NULL, 'Munc13-homology domain 1 (MHD1) profile.', NULL, 'MHD1', NULL, NULL, 11627, 12),
(48283, NULL, 'PS51818', NULL, NULL, 'Homeo-Prospero domain profile.', NULL, 'HOMEO_PROSPERO', NULL, NULL, 15302, 12),
(48284, NULL, 'PS51115', NULL, NULL, 'Laminin IV type A domain profile.', NULL, 'LAMININ_IVA', NULL, NULL, 2943, 12),
(48285, NULL, 'PS51213', NULL, NULL, 'ELK domain profile.', NULL, 'ELK', NULL, NULL, 1582, 12),
(48286, NULL, 'PS51625', NULL, NULL, 'SAM-dependent methyltransferase TRMB-type domain profile.', NULL, 'SAM_MT_TRMB', NULL, NULL, 4461, 12),
(48287, NULL, 'PS51302', NULL, NULL, 'Single-minded C-terminal domain profile.', NULL, 'SIM_C', NULL, NULL, 8283, 12),
(48288, NULL, 'PS51420', NULL, NULL, 'small GTPase Rho family profile.', NULL, 'RHO', NULL, NULL, NULL, 12),
(48289, NULL, 'PS51900', NULL, NULL, 'Core-binding (CB) domain profile.', NULL, 'CB', NULL, NULL, 39392, 12),
(48290, NULL, 'PS50079', NULL, NULL, 'Bipartite nuclear localization signal profile.', NULL, 'NLS_BP', NULL, NULL, NULL, 12),
(48291, NULL, 'PS51171', NULL, NULL, 'Prephenate dehydratase domain profile.', NULL, 'PREPHENATE_DEHYDR_3', NULL, NULL, 4404, 12),
(48292, NULL, 'PS51196', NULL, NULL, 'SecA family profile.', NULL, 'SECA_MOTOR_DEAD', NULL, NULL, 9305, 12),
(48293, NULL, 'PS51581', NULL, NULL, 'SAM-dependent methyltransferase gamma-tocopherol (gTMT)-type family profile.', NULL, 'SAM_GTMT', NULL, NULL, 23474, 12),
(48294, NULL, 'PS51438', NULL, NULL, 'Albumin domain profile.', NULL, 'ALBUMIN_2', NULL, NULL, 12841, 12),
(48295, NULL, 'PS51240', NULL, NULL, 'Nod factors export ATP-binding protein I nodI family profile.', NULL, 'NODI', NULL, NULL, NULL, 12),
(48296, NULL, 'PS51947', NULL, NULL, 'Nidovirus RdRp-associated nucleotidyl transferase (NiRAN) domain profile.', NULL, 'NIRAN', NULL, NULL, 37879, 12),
(48297, NULL, 'PS51293', NULL, NULL, 'SANT domain profile.', NULL, 'SANT', NULL, NULL, 7974, 12),
(48298, NULL, 'PS51405', NULL, NULL, 'Heme haloperoxidase family profile.', NULL, 'HEME_HALOPEROXIDASE', NULL, NULL, 3765, 12),
(48299, NULL, 'PS50888', NULL, NULL, 'Myc-type, basic helix-loop-helix (bHLH) domain profile.', NULL, 'BHLH', NULL, NULL, 8423, 12),
(48300, NULL, 'PS50806', NULL, NULL, 'KRAB-related domain profile.', NULL, 'KRAB_RELATED', NULL, NULL, 1236, 12),
(48301, NULL, 'PS51740', NULL, NULL, 'SpoVT-AbrB domain profile.', NULL, 'SPOVT_ABRB', NULL, NULL, 20, 12),
(48302, NULL, 'PS51335', NULL, NULL, 'ELMO domain profile.', NULL, 'ELMO', NULL, NULL, 3742, 12),
(48303, NULL, 'PS50068', NULL, NULL, 'LDL-receptor class A (LDLRA) domain profile.', NULL, 'LDLRA_2', NULL, NULL, 5122, 12),
(48304, NULL, 'PS50112', NULL, NULL, 'PAS repeat profile.', NULL, 'PAS', NULL, NULL, 3851, 12),
(48305, NULL, 'PS51410', NULL, NULL, 'Biopterin-dependent aromatic amino acid hydroxylase family profile.', NULL, 'BH4_AAA_HYDROXYL_2', NULL, NULL, 17508, 12),
(48306, NULL, 'PS51330', NULL, NULL, 'Dihydrofolate reductase (DHFR) domain profile.', NULL, 'DHFR_2', NULL, NULL, 3044, 12),
(48307, NULL, 'PS51093', NULL, NULL, 'PTS_EIIA type-1 domain profile.', NULL, 'PTS_EIIA_TYPE_1', NULL, NULL, 1892, 12),
(48308, NULL, 'PS51882', NULL, NULL, 'G-alpha domain profile.', NULL, 'G_ALPHA', NULL, NULL, 5021, 12),
(48309, NULL, 'PS50253', NULL, NULL, 'Heme-copper oxidase subunit III family profile.', NULL, 'COX3', NULL, NULL, 819, 12),
(48310, NULL, 'PS50827', NULL, NULL, 'DDT domain profile.', NULL, 'DDT', NULL, NULL, 15454, 12),
(48311, NULL, 'PS51190', NULL, NULL, 'FATC domain profile.', NULL, 'FATC', NULL, NULL, 1882, 12),
(48312, NULL, 'PS51684', NULL, NULL, 'SAM-dependent methyltransferase TRM5/TYW2-type domain profile.', NULL, 'SAM_MT_TRM5_TYW2', NULL, NULL, 22121, 12),
(48313, NULL, 'PS51854', NULL, NULL, 'CSPG repeat profile.', NULL, 'CSPG', NULL, NULL, 33286, 12),
(48314, NULL, 'PS51367', NULL, NULL, 'Thaumatin family profile.', NULL, 'THAUMATIN_2', NULL, NULL, 2162, 12),
(48315, NULL, 'PS51459', NULL, NULL, 'Fido domain profile.', NULL, 'FIDO', NULL, NULL, 3126, 12),
(48316, NULL, 'PS50871', NULL, NULL, 'C1q domain profile.', NULL, 'C1Q', NULL, NULL, 2270, 12);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48317, NULL, 'PS51366', NULL, NULL, 'MI domain profile.', NULL, 'MI', NULL, NULL, 6402, 12),
(48318, NULL, 'PS50822', NULL, NULL, 'Piwi domain profile.', NULL, 'PIWI', NULL, NULL, 1914, 12),
(48319, NULL, 'PS50173', NULL, NULL, 'UmuC domain profile.', NULL, 'UMUC', NULL, NULL, 1066, 12),
(48320, NULL, 'PS50889', NULL, NULL, 'S4 RNA-binding domain profile.', NULL, 'S4', NULL, NULL, NULL, 12),
(48321, NULL, 'PS51720', NULL, NULL, 'AIG1-type G domain profile.', NULL, 'G_AIG1', NULL, NULL, 2362, 12),
(48322, NULL, 'PS50913', NULL, NULL, 'GRIP domain profile.', NULL, 'GRIP', NULL, NULL, 627, 12),
(48323, NULL, 'PS51165', NULL, NULL, 'THUMP domain profile.', NULL, 'THUMP', NULL, NULL, 1932, 12),
(48324, NULL, 'PS51687', NULL, NULL, 'SAM-dependent methyltransferase RNA m(5)U-type domain profile.', NULL, 'SAM_MT_RNA_M5U', NULL, NULL, 7738, 12),
(48325, NULL, 'PS50032', NULL, NULL, 'Kinase associated domain 1 (KA1) profile.', NULL, 'KA1', NULL, NULL, 3301, 12),
(48326, NULL, 'PS50844', NULL, NULL, 'Antifreeze protein-like domain profile.', NULL, 'AFP_LIKE', NULL, NULL, 11494, 12),
(48327, NULL, 'PS50880', NULL, NULL, 'Toprim domain profile.', NULL, 'TOPRIM', NULL, NULL, 11261, 12),
(48328, NULL, 'PS50999', NULL, NULL, 'Cytochrome oxidase subunit II transmembrane region profile.', NULL, 'COX2_TM', NULL, NULL, 8257, 12),
(48329, NULL, 'PS51475', NULL, NULL, 'Proteasome alpha-type subunit profile.', NULL, 'PROTEASOME_ALPHA_2', NULL, NULL, 15527, 12),
(48330, NULL, 'PS51811', NULL, NULL, 'Zinc finger CCHC HIVEP-type profile.', NULL, 'ZF_CCHC_HIVEP', NULL, NULL, 31506, 12),
(48331, NULL, 'PS50190', NULL, NULL, 'SEC7 domain profile.', NULL, 'SEC7', NULL, NULL, 3094, 12),
(48332, NULL, 'PS51837', NULL, NULL, 'LITAF domain profile.', NULL, 'LITAF', NULL, NULL, 1438, 12),
(48333, NULL, 'PS50227', NULL, NULL, 'G-protein coupled receptors family 2 profile 1.', NULL, 'G_PROTEIN_RECEP_F2_3', NULL, NULL, 4203, 12),
(48334, NULL, 'PS51399', NULL, NULL, 'SEP domain profile.', NULL, 'SEP', NULL, NULL, 12221, 12),
(48335, NULL, 'PS51920', NULL, NULL, 'Sarbecovirus 9b domain profile.', NULL, 'SARS_9B', NULL, NULL, 14736, 12),
(48336, NULL, 'PS50088', NULL, NULL, 'Ankyrin repeat profile.', NULL, 'ANK_REPEAT', NULL, NULL, 1196, 12),
(48337, NULL, 'PS50258', NULL, NULL, 'LNR (Lin-12/Notch) repeat profile.', NULL, 'LNR', NULL, NULL, 6643, 12),
(48338, NULL, 'PS51490', NULL, NULL, 'KHA domain profile.', NULL, 'KHA', NULL, NULL, 19959, 12),
(48339, NULL, 'PS50249', NULL, NULL, 'MPN domain profile.', NULL, 'MPN', NULL, NULL, 35441, 12),
(48340, NULL, 'PS50990', NULL, NULL, 'Peptidase family C39 domain profile.', NULL, 'PEPTIDASE_C39', NULL, NULL, 10413, 12),
(48341, NULL, 'PS51533', NULL, NULL, 'ADD domain profile.', NULL, 'ADD', NULL, NULL, 24167, 12),
(48342, NULL, 'PS50056', NULL, NULL, 'Tyrosine specific protein phosphatases domain profile.', NULL, 'TYR_PHOSPHATASE_2', NULL, NULL, 4725, 12),
(48343, NULL, 'PS51042', NULL, NULL, 'CUT domain profile.', NULL, 'CUT', NULL, NULL, 4391, 12),
(48344, NULL, 'PS50076', NULL, NULL, 'dnaJ domain profile.', NULL, 'DNAJ_2', NULL, NULL, 1247, 12),
(48345, NULL, 'PS50922', NULL, NULL, 'TLC domain profile.', NULL, 'TLC', NULL, NULL, 1285, 12),
(48346, NULL, 'PS51548', NULL, NULL, 'Birnavirus VP4 protease domain profile.', NULL, 'BIRNAVIRUS_VP4_PRO', NULL, NULL, 23398, 12),
(48347, NULL, 'PS50884', NULL, NULL, 'Zinc finger Dof-type profile.', NULL, 'ZF_DOF_2', NULL, NULL, 3249, 12),
(48348, NULL, 'PS51285', NULL, NULL, 'AGC-kinase C-terminal domain profile.', NULL, 'AGC_KINASE_CTER', NULL, NULL, 3332, 12),
(48349, NULL, 'PS51482', NULL, NULL, 'DegV domain profile.', NULL, 'DEGV', NULL, NULL, 6329, 12),
(48350, NULL, 'PS51863', NULL, NULL, 'LCN-type cysteine-stabilized alpha/beta (CS-alpha/beta) domain profile.', NULL, 'LCN_CSAB', NULL, NULL, 38260, 12),
(48351, NULL, 'PS50199', NULL, NULL, 'Zinc finger RanBP2 type profile.', NULL, 'ZF_RANBP2_2', NULL, NULL, 5051, 12),
(48352, NULL, 'PS50228', NULL, NULL, 'SUEL-type lectin domain profile.', NULL, 'SUEL_LECTIN', NULL, NULL, 329, 12);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48353, NULL, 'PS50279', NULL, NULL, 'Pancreatic trypsin inhibitor (Kunitz) family profile.', NULL, 'BPTI_KUNITZ_2', NULL, NULL, 401, 12),
(48354, NULL, 'PS51334', NULL, NULL, 'PRONE domain profile.', NULL, 'PRONE', NULL, NULL, 1468, 12),
(48355, NULL, 'PS51927', NULL, NULL, 'Coronavirus membrane (Cov-M) protein profile.', NULL, 'COV_M', NULL, NULL, 1822, 12),
(48356, NULL, 'PS51201', NULL, NULL, 'RCK N-terminal domain profile.', NULL, 'RCK_N', NULL, NULL, 1844, 12),
(48357, NULL, 'PS51556', NULL, NULL, 'Magnesium protoporphyrin IX methyltransferase (EC 2.1.1.11) family profile.', NULL, 'SAM_MT_MG_PIX', NULL, NULL, 5073, 12),
(48358, NULL, 'PS51526', NULL, NULL, 'RFX-type winged-helix DNA-binding domain profile.', NULL, 'RFX_DBD', NULL, NULL, 1742, 12),
(48359, NULL, 'PS51319', NULL, NULL, 'TFIIS N-terminal domain profile.', NULL, 'TFIIS_N', NULL, NULL, 2736, 12),
(48360, NULL, 'PS51337', NULL, NULL, 'B12-binding N-terminal domain profile.', NULL, 'B12_BINDING_NTER', NULL, NULL, 2321, 12),
(48361, NULL, 'PS51777', NULL, NULL, 'RH2 domain profile.', NULL, 'RH2', NULL, NULL, 8098, 12),
(48362, NULL, 'PS50935', NULL, NULL, 'Single-strand binding (SSB) domain profile.', NULL, 'SSB', NULL, NULL, 6744, 12),
(48363, NULL, 'PS51860', NULL, NULL, 'REM-1 domain profile.', NULL, 'REM_1', NULL, NULL, 10529, 12),
(48364, NULL, 'PS51885', NULL, NULL, 'Neprilysin-like (M13) protease domain profile.', NULL, 'NEPRILYSIN', NULL, NULL, 3650, 12),
(48365, NULL, 'PS51245', NULL, NULL, 'Maltose/Maltodextrin import ATP-binding protein malK family profile.', NULL, 'MALK', NULL, NULL, NULL, 12),
(48366, NULL, 'PS51135', NULL, NULL, 'CIDE-N domain profile.', NULL, 'CIDE_N', NULL, NULL, 6219, 12),
(48367, NULL, 'PS51462', NULL, NULL, 'Nudix hydrolase domain profile.', NULL, 'NUDIX', NULL, NULL, 2670, 12),
(48368, NULL, 'PS51685', NULL, NULL, 'SAM-dependent methyltransferase Erg6/SMT-type domain profile.', NULL, 'SAM_MT_ERG6_SMT', NULL, NULL, 22493, 12),
(48369, NULL, 'PS51386', NULL, NULL, 'RINT1/TIP20 domain profile.', NULL, 'RINT1_TIP20', NULL, NULL, 10842, 12),
(48370, NULL, 'PS51712', NULL, NULL, 'EngA-type guanine nucleotide-binding (G) domain profile.', NULL, 'G_ENGA', NULL, NULL, 24863, 12),
(48371, NULL, 'PS50061', NULL, NULL, 'Ets-domain profile.', NULL, 'ETS_DOMAIN_3', NULL, NULL, 6998, 12),
(48372, NULL, 'PS51833', NULL, NULL, 'HD-related output (HDOD) domain profile.', NULL, 'HDOD', NULL, NULL, 8260, 12),
(48373, NULL, 'PS51520', NULL, NULL, 'Alphavirus nsp2 protease (nsp2pro) domain profile.', NULL, 'NSP2PRO', NULL, NULL, 2989, 12),
(48374, NULL, 'PS51784', NULL, NULL, 'Exonuclease I (ExoI) SH3-like domain profile.', NULL, 'EXOI_SH3', NULL, NULL, 33260, 12),
(48375, NULL, 'PS50197', NULL, NULL, 'BEACH domain profile.', NULL, 'BEACH', NULL, NULL, 247, 12),
(48376, NULL, 'PS50821', NULL, NULL, 'PAZ domain profile.', NULL, 'PAZ', NULL, NULL, 1244, 12),
(48377, NULL, 'PS01180', NULL, NULL, 'CUB domain profile.', NULL, 'CUB', NULL, NULL, 3196, 12),
(48378, NULL, 'PS51874', NULL, NULL, 'Picornavirales 3C/3C-like protease domain profile.', NULL, 'PCV_3C_PRO', NULL, NULL, 37420, 12),
(48379, NULL, 'PS51431', NULL, NULL, 'KaiA C-terminal domain profile.', NULL, 'KAIA_C', NULL, NULL, 21107, 12),
(48380, NULL, 'PS51514', NULL, NULL, 'BRX domain profile.', NULL, 'BRX', NULL, NULL, 12267, 12),
(48381, NULL, 'PS50179', NULL, NULL, 'VHS domain profile.', NULL, 'VHS', NULL, NULL, 2498, 12),
(48382, NULL, 'PS50086', NULL, NULL, 'TBC/rab GAP domain profile.', NULL, 'TBC_RABGAP', NULL, NULL, 1262, 12),
(48383, NULL, 'PS51155', NULL, NULL, 'Chitin-binding type R&R domain profile.', NULL, 'CHIT_BIND_RR_2', NULL, NULL, 5578, 12),
(48384, NULL, 'PS51277', NULL, NULL, 'BURP domain profile.', NULL, 'BURP', NULL, NULL, 7353, 12),
(48385, NULL, 'PS51772', NULL, NULL, 'Actin cross-linking (ACD) domain profile.', NULL, 'ACD', NULL, NULL, 28334, 12),
(48386, NULL, 'PS51758', NULL, NULL, 'Letm1 ribosome-binding (RBD) domain profile.', NULL, 'LETM1_RBD', NULL, NULL, 31546, 12),
(48387, NULL, 'PS51906', NULL, NULL, 'Zinc finger UBZ2-type profile.', NULL, 'ZF_UBZ2', NULL, NULL, 26682, 12); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48388, NULL, 'PS50926', NULL, NULL, 'TRAM domain profile.', NULL, 'TRAM', NULL, NULL, 4677, 12),
(48389, NULL, 'PS51168', NULL, NULL, 'Chorismate mutase domain profile.', NULL, 'CHORISMATE_MUT_2', NULL, NULL, 3925, 12),
(48390, NULL, 'PS50820', NULL, NULL, 'LCCL domain profile.', NULL, 'LCCL', NULL, NULL, 937, 12),
(48391, NULL, 'PS50268', NULL, NULL, 'Cadherins domain profile.', NULL, 'CADHERIN_2', NULL, NULL, 1312, 12),
(48392, NULL, 'PS50507', NULL, NULL, 'RdRp of positive ssRNA viruses catalytic domain profile.', NULL, 'RDRP_SSRNA_POS', NULL, NULL, 223, 12),
(48393, NULL, 'PS51536', NULL, NULL, 'TFG box profile.', NULL, 'TFG', NULL, NULL, 23161, 12),
(48394, NULL, 'PS51672', NULL, NULL, 'ACT-like domain profile.', NULL, 'ACT_LIKE', NULL, NULL, 3255, 12),
(48395, NULL, 'PS50927', NULL, NULL, 'Bulb-type lectin domain profile.', NULL, 'BULB_LECTIN', NULL, NULL, 3038, 12),
(48396, NULL, 'PS50102', NULL, NULL, 'Eukaryotic RNA Recognition Motif (RRM) profile.', NULL, 'RRM', NULL, NULL, 5800, 12),
(48397, NULL, 'PS51774', NULL, NULL, 'Networked (NET) actin-binding (NAB) domain profile.', NULL, 'NAB', NULL, NULL, 10720, 12),
(48398, NULL, 'PS51207', NULL, NULL, 'PXA domain profile.', NULL, 'PXA', NULL, NULL, 2557, 12),
(48399, NULL, 'PS51940', NULL, NULL, 'Sarbecovirus Nsp3c-N domain profile.', NULL, 'SARS_NSP3C_N', NULL, NULL, 39170, 12),
(48400, NULL, 'PS50807', NULL, NULL, 'GCM domain profile.', NULL, 'GCM', NULL, NULL, 4097, 12),
(48401, NULL, 'PS51027', NULL, NULL, 'Integrase DNA binding domain profile.', NULL, 'INTEGRASE_DBD', NULL, NULL, 1373, 12),
(48402, NULL, 'PS51353', NULL, NULL, 'ArsC family profile.', NULL, 'ARSC', NULL, NULL, 1866, 12),
(48403, NULL, 'PS51370', NULL, NULL, 'R domain profile.', NULL, 'R', NULL, NULL, 7294, 12),
(48404, NULL, 'PS50082', NULL, NULL, 'Trp-Asp (WD) repeats profile.', NULL, 'WD_REPEATS_2', NULL, NULL, 3484, 12),
(48405, NULL, 'PS51692', NULL, NULL, 'Pestivirus nonstructural protein 2 (NS2) protease domain profile.', NULL, 'PESTIVIRUS_NS2_PRO', NULL, NULL, 26335, 12),
(48406, NULL, 'PS51932', NULL, NULL, 'Bacterial microcompartment vertex (BMV) domain profile.', NULL, 'BMV', NULL, NULL, 697, 12),
(48407, NULL, 'PS51614', NULL, NULL, 'Adrift-type ribose 2''-O-methyltransferase (EC 2.1.1.-) domain profile.', NULL, 'SAM_MT_ADRIFT', NULL, NULL, 23978, 12),
(48408, NULL, 'PS51810', NULL, NULL, 'Zinc finger CCHC FOG-type profile.', NULL, 'ZF_CCHC_FOG', NULL, NULL, 31865, 12),
(48409, NULL, 'PS51253', NULL, NULL, 'CENPB-type HTH domain profile.', NULL, 'HTH_CENPB', NULL, NULL, 1046, 12),
(48410, NULL, 'PS50104', NULL, NULL, 'TIR domain profile.', NULL, 'TIR', NULL, NULL, 1739, 12),
(48411, NULL, 'PS51620', NULL, NULL, 'tRNA (adenine(57)-N(1)/adenine(58)-N(1) or adenine(58)-N(1)) (EC 2.1.1.219 or EC 2.1.1.220) family profile.', NULL, 'SAM_TRM61', NULL, NULL, 11554, 12),
(48412, NULL, 'PS51675', NULL, NULL, 'SAM-dependent methyltransferase TRM10-type domain profile.', NULL, 'SAM_MT_TRM10', NULL, NULL, 25233, 12),
(48413, NULL, 'PS50994', NULL, NULL, 'Integrase catalytic domain profile.', NULL, 'INTEGRASE', NULL, NULL, 5455, 12),
(48414, NULL, 'PS50174', NULL, NULL, 'G-patch domain profile.', NULL, 'G_PATCH', NULL, NULL, 6999, 12),
(48415, NULL, 'PS51123', NULL, NULL, 'OmpA-like domain profile.', NULL, 'OMPA_2', NULL, NULL, 1802, 12),
(48416, NULL, 'PS50848', NULL, NULL, 'START domain profile.', NULL, 'START', NULL, NULL, 6186, 12),
(48417, NULL, 'PS50195', NULL, NULL, 'PX domain profile.', NULL, 'PX', NULL, NULL, 3086, 12),
(48418, NULL, 'PS51101', NULL, NULL, 'PTS_EIIB type-4 domain profile.', NULL, 'PTS_EIIB_TYPE_4', NULL, NULL, 3799, 12),
(48419, NULL, 'PS51239', NULL, NULL, 'Lipid A export ATP-binding/permease protein msbA family profile.', NULL, 'MSBA', NULL, NULL, NULL, 12),
(48420, NULL, 'PS50057', NULL, NULL, 'FERM domain profile.', NULL, 'FERM_3', NULL, NULL, 4965, 12),
(48421, NULL, 'PS51248', NULL, NULL, 'Nickel import ATP-binding protein nikE.', NULL, 'NIKE', NULL, NULL, NULL, 12),
(48422, NULL, 'PS50859', NULL, NULL, 'Longin domain profile.', NULL, 'LONGIN', NULL, NULL, 5183, 12);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48423, NULL, 'PS50292', NULL, NULL, 'Animal heme peroxidase superfamily profile.', NULL, 'PEROXIDASE_3', NULL, NULL, 17660, 12),
(48424, NULL, 'PS50072', NULL, NULL, 'Cyclophilin-type peptidyl-prolyl cis-trans isomerase domain profile.', NULL, 'CSA_PPIASE_2', NULL, NULL, 5330, 12),
(48425, NULL, 'PS50876', NULL, NULL, 'Zinc finger integrase-type profile.', NULL, 'ZF_INTEGRASE', NULL, NULL, 3914, 12),
(48426, NULL, 'PS50323', NULL, NULL, 'Arginine-rich region profile.', NULL, 'ARG_RICH', NULL, NULL, NULL, 12),
(48427, NULL, 'PS51785', NULL, NULL, 'Exonuclease I (ExoI) C-terminal domain profile.', NULL, 'EXOI_C', NULL, NULL, 33019, 12),
(48428, NULL, 'PS50254', NULL, NULL, 'NF-kappa-B/Rel/dorsal domain profile.', NULL, 'REL_2', NULL, NULL, 7616, 12),
(48429, NULL, 'PS50405', NULL, NULL, 'Soluble glutathione S-transferase C-terminal domain profile.', NULL, 'GST_CTER', NULL, NULL, 8357, 12),
(48430, NULL, 'PS51898', NULL, NULL, 'Tyrosine recombinase domain profile.', NULL, 'TYR_RECOMBINASE', NULL, NULL, 1038, 12),
(48431, NULL, 'PS51066', NULL, NULL, 'Zinc finger FPG-type profile.', NULL, 'ZF_FPG_2', NULL, NULL, 3991, 12),
(48432, NULL, 'PS51233', NULL, NULL, 'VWFD domain profile.', NULL, 'VWFD', NULL, NULL, 4309, 12),
(48433, NULL, 'PS50128', NULL, NULL, 'SURP motif repeat profile.', NULL, 'SURP', NULL, NULL, 2661, 12),
(48434, NULL, 'PS50263', NULL, NULL, 'Carbon-nitrogen hydrolase domain profile.', NULL, 'CN_HYDROLASE', NULL, NULL, 274, 12),
(48435, NULL, 'PS51851', NULL, NULL, 'KARI C-terminal domain profile.', NULL, 'KARI_C', NULL, NULL, 5731, 12),
(48436, NULL, 'PS51382', NULL, NULL, 'SPX domain profile.', NULL, 'SPX', NULL, NULL, 4892, 12),
(48437, NULL, 'PS50952', NULL, NULL, 'KIX domain profile.', NULL, 'KIX', NULL, NULL, 1467, 12),
(48438, NULL, 'PS51424', NULL, NULL, 'Roc domain profile.', NULL, 'ROC', NULL, NULL, 20679, 12),
(48439, NULL, 'PS51449', NULL, NULL, 'Methylthiotransferase N-terminal domain profile.', NULL, 'MTTASE_N', NULL, NULL, 8048, 12),
(48440, NULL, 'PS51181', NULL, NULL, 'Phosphatase tensin-type domain profile.', NULL, 'PPASE_TENSIN', NULL, NULL, 28515, 12),
(48441, NULL, 'PS51146', NULL, NULL, 'KaiC domain profile.', NULL, 'KAIC', NULL, NULL, 9194, 12),
(48442, NULL, 'PS51817', NULL, NULL, 'Peptidase family A3B domain profile.', NULL, 'PEPTIDASE_A3B', NULL, NULL, 31739, 12),
(48443, NULL, 'PS51172', NULL, NULL, 'CBM3 (carbohydrate binding type-3) domain profile.', NULL, 'CBM3', NULL, NULL, 4187, 12),
(48444, NULL, 'PS51689', NULL, NULL, 'rRNA adenine N(6)-methyltransferase family profile.', NULL, 'SAM_RNA_A_N6_MT', NULL, NULL, 3082, 12),
(48445, NULL, 'PS50113', NULL, NULL, 'PAC domain profile.', NULL, 'PAC', NULL, NULL, 3687, 12),
(48446, NULL, 'PS50238', NULL, NULL, 'Rho GTPase-activating proteins domain profile.', NULL, 'RHOGAP', NULL, NULL, 1343, 12),
(48447, NULL, 'PS51085', NULL, NULL, '2Fe-2S ferredoxin-type iron-sulfur binding domain profile.', NULL, '2FE2S_FER_2', NULL, NULL, 2219, 12),
(48448, NULL, 'PS51510', NULL, NULL, 'Phosphagen kinase C-terminal domain profile.', NULL, 'PHOSPHAGEN_KINASE_C', NULL, NULL, 16379, 12),
(48449, NULL, 'PS50903', NULL, NULL, 'Rubredoxin-like domain profile.', NULL, 'RUBREDOXIN_LIKE', NULL, NULL, 14559, 12),
(48450, NULL, 'PS51378', NULL, NULL, 'Invertebrate defensins family profile.', NULL, 'INVERT_DEFENSINS', NULL, NULL, 5811, 12),
(48451, NULL, 'PS50834', NULL, NULL, 'HIN-200 A and B domains profile.', NULL, 'HIN_200', NULL, NULL, 920, 12),
(48452, NULL, 'PS50991', NULL, NULL, 'Pyruvate carboxyltransferase domain.', NULL, 'PYR_CT', NULL, NULL, 4585, 12),
(48453, NULL, 'PS51008', NULL, NULL, 'Multiheme cytochrome c family profile.', NULL, 'MULTIHEME_CYTC', NULL, NULL, NULL, 12),
(48454, NULL, 'PS50969', NULL, NULL, 'FCP1 homology domain profile.', NULL, 'FCP1', NULL, NULL, 4834, 12),
(48455, NULL, 'PS51807', NULL, NULL, 'Zinc finger C2HC baculovirus (BV)-type profile.', NULL, 'ZF_C2HC_BV', NULL, NULL, 13813, 12),
(48456, NULL, 'PS51708', NULL, NULL, 'CHAD domain profile.', NULL, 'CHAD', NULL, NULL, 3048, 12),
(48457, NULL, 'PS50126', NULL, NULL, 'S1 domain profile.', NULL, 'S1', NULL, NULL, 102, 12);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48458, NULL, 'PS51753', NULL, NULL, 'HBM domain profile.', NULL, 'HBM', NULL, NULL, 25305, 12),
(48459, NULL, 'PS51633', NULL, NULL, 'CXC domain profile.', NULL, 'CXC', NULL, NULL, 24009, 12),
(48460, NULL, 'PS50097', NULL, NULL, 'BTB domain profile.', NULL, 'BTB', NULL, NULL, 1700, 12),
(48461, NULL, 'PS51200', NULL, NULL, 'Scorpion short toxin chloride channel inhibitor subfamily profile.', NULL, 'SHORT_SCORPION_CHLORIDE', NULL, NULL, 4075, 12),
(48462, NULL, 'PS51805', NULL, NULL, 'Extended PHD (ePHD) domain profile.', NULL, 'EPHD', NULL, NULL, 31728, 12),
(48463, NULL, 'PS50294', NULL, NULL, 'Trp-Asp (WD) repeats circular profile.', NULL, 'WD_REPEATS_REGION', NULL, NULL, NULL, 12),
(48464, NULL, 'PS50904', NULL, NULL, 'PRELI/MSF1 domain profile.', NULL, 'PRELI_MSF1', NULL, NULL, 3568, 12),
(48465, NULL, 'PS51322', NULL, NULL, 'UEV domain profile.', NULL, 'UEV', NULL, NULL, 7526, 12),
(48466, NULL, 'PS51080', NULL, NULL, 'CTF/NF-I DNA-binding domain profile.', NULL, 'CTF_NFI_2', NULL, NULL, 14935, 12),
(48467, NULL, 'PS51522', NULL, NULL, 'Zinc finger nanos-type profile.', NULL, 'ZF_NANOS', NULL, NULL, 9945, 12),
(48468, NULL, 'PS50078', NULL, NULL, 'POLO box domain profile.', NULL, 'POLO_BOX', NULL, NULL, 4211, 12),
(48469, NULL, 'PS51845', NULL, NULL, '3''5''-cyclic nucleotide phosphodiesterase domain profile.', NULL, 'PDEASE_I_2', NULL, NULL, 1002, 12),
(48470, NULL, 'PS51089', NULL, NULL, 'Headpiece (HP) domain profile.', NULL, 'HP', NULL, NULL, 1769, 12),
(48471, NULL, 'PS51872', NULL, NULL, 'Zinc finger ZBR-type profile.', NULL, 'ZF_ZBR', NULL, NULL, 37365, 12),
(48472, NULL, 'PS51368', NULL, NULL, 'Urease domain profile.', NULL, 'UREASE_3', NULL, NULL, 553, 12),
(48473, NULL, 'PS51071', NULL, NULL, 'RpiR-type HTH domain profile.', NULL, 'HTH_RPIR', NULL, NULL, 832, 12),
(48474, NULL, 'PS51114', NULL, NULL, 'F-box-associated (FBA) domain profile.', NULL, 'FBA', NULL, NULL, 3502, 12),
(48475, NULL, 'PS51726', NULL, NULL, 'MYST-type histone acetyltransferase (HAT) domain profile.', NULL, 'MYST_HAT', NULL, NULL, 3766, 12),
(48476, NULL, 'PS51767', NULL, NULL, 'Peptidase family A1 domain profile.', NULL, 'PEPTIDASE_A1', NULL, NULL, 33066, 12),
(48477, NULL, 'PS51782', NULL, NULL, 'LysM domain profile.', NULL, 'LYSM', NULL, NULL, 8557, 12),
(48478, NULL, 'PS51508', NULL, NULL, 'CKK domain profile.', NULL, 'CKK', NULL, NULL, 11736, 12),
(48479, NULL, 'PS51547', NULL, NULL, 'C2 phosphatidylinositol 3-kinase (PI3K)-type domain profile.', NULL, 'C2_PI3K', NULL, NULL, 2611, 12),
(48480, NULL, 'PS51227', NULL, NULL, 'Sprouty (SPR) domain profile.', NULL, 'SPR', NULL, NULL, 3204, 12),
(48481, NULL, 'PS50897', NULL, NULL, 'C-terminal to LisH (CTLH) motif profile.', NULL, 'CTLH', NULL, NULL, 1221, 12),
(48482, NULL, 'PS50025', NULL, NULL, 'Laminin G domain profile.', NULL, 'LAM_G_DOMAIN', NULL, NULL, 3412, 12),
(48483, NULL, 'PS51834', NULL, NULL, 'Tripartite DENN FLCN/SMCR8-type domain profile.', NULL, 'DENN_FLCN_SMCR8', NULL, NULL, 35975, 12),
(48484, NULL, 'PS51550', NULL, NULL, 'Eph receptor ligand-binding domain profile.', NULL, 'EPH_LBD', NULL, NULL, 1465, 12),
(48485, NULL, 'PS51256', NULL, NULL, 'GS domain profile.', NULL, 'GS', NULL, NULL, 332, 12),
(48486, NULL, 'PS51889', NULL, NULL, 'Rubella virus (RUBV) nonstructural (NS) protease domain profile.', NULL, 'RUBV_NS_PRO', NULL, NULL, 38395, 12),
(48487, NULL, 'PS51857', NULL, NULL, 'Cold-shock (CSD) domain profile.', NULL, 'CSD_2', NULL, NULL, 1439, 12),
(48488, NULL, 'PS50296', NULL, NULL, 'Translation initiation factor SUI1 family profile.', NULL, 'SUI1', NULL, NULL, 4214, 12),
(48489, NULL, 'PS51564', NULL, NULL, 'Protein-S-isoprenylcysteine O-methyltransferase (EC 2.1.1.100) family profile.', NULL, 'SAM_ICMT', NULL, NULL, 25050, 12),
(48490, NULL, 'PS51843', NULL, NULL, 'Nuclear receptor (NR) ligand-binding (LBD) domain profile.', NULL, 'NR_LBD', NULL, NULL, 5638, 12),
(48491, NULL, 'PS50815', NULL, NULL, 'HORMA domain profile.', NULL, 'HORMA', NULL, NULL, 6294, 12),
(48492, NULL, 'PS51262', NULL, NULL, 'COS domain profile.', NULL, 'COS', NULL, NULL, 8448, 12);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48493, NULL, 'PS51830', NULL, NULL, 'FIIND domain profile.', NULL, 'FIIND', NULL, NULL, 27580, 12),
(48494, NULL, 'PS51528', NULL, NULL, 'Flavivirus NS3 protease (NS3pro) domain profile.', NULL, 'FLAVIVIRUS_NS3PRO', NULL, NULL, 4059, 12),
(48495, NULL, 'PS50111', NULL, NULL, 'Bacterial chemotaxis sensory transducers domain profile.', NULL, 'CHEMOTAXIS_TRANSDUC_2', NULL, NULL, 1985, 12),
(48496, NULL, 'PS51347', NULL, NULL, 'Phosphotriesterase family profile.', NULL, 'PHOSPHOTRIESTERASE_2', NULL, NULL, 5198, 12),
(48497, NULL, 'PS51714', NULL, NULL, 'Bms1-type guanine nucleotide-binding (G) domain profile.', NULL, 'G_BMS1', NULL, NULL, 28766, 12),
(48498, NULL, 'PS50023', NULL, NULL, 'LIM domain profile.', NULL, 'LIM_DOMAIN_2', NULL, NULL, 4843, 12),
(48499, NULL, 'PS50208', NULL, NULL, 'Caspase family p20 domain profile.', NULL, 'CASPASE_P20', NULL, NULL, 374, 12),
(48500, NULL, 'PS51652', NULL, NULL, 'Arteriviridae zinc-binding (AV ZBD) domain profile.', NULL, 'AV_ZBD', NULL, NULL, 28647, 12),
(48501, NULL, 'PS51224', NULL, NULL, 'MVP (vault) repeat profile.', NULL, 'MVP', NULL, NULL, 614, 12),
(48502, NULL, 'PS51566', NULL, NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, 'SAM_MT43_TRX_MLL', NULL, NULL, 25482, 12),
(48503, NULL, 'PS50944', NULL, NULL, 'DtxR-type HTH domain profile.', NULL, 'HTH_DTXR', NULL, NULL, 17123, 12),
(48504, NULL, 'PS51167', NULL, NULL, 'Chorismate mutase domain profile.', NULL, 'CHORISMATE_MUT_1', NULL, NULL, 590, 12),
(48505, NULL, 'PS50035', NULL, NULL, 'Phospholipase D phosphodiesterase active site profile.', NULL, 'PLD', NULL, NULL, 3001, 12),
(48506, NULL, 'PS51788', NULL, NULL, 'CULT domain profile.', NULL, 'CULT', NULL, NULL, 32308, 12),
(48507, NULL, 'PS51075', NULL, NULL, 'MAD homology domain 1 (MH1) profile.', NULL, 'MH1', NULL, NULL, 11511, 12),
(48508, NULL, 'PS51105', NULL, NULL, 'PTS_EIIC type-3 domain profile.', NULL, 'PTS_EIIC_TYPE_3', NULL, NULL, 1610, 12),
(48509, NULL, 'PS51242', NULL, NULL, 'Ferric cations import ATP-binding protein fbpC family profile.', NULL, 'FBPC', NULL, NULL, NULL, 12),
(48510, NULL, 'PS51884', NULL, NULL, 'Chaplin domain profile.', NULL, 'CHAPLIN', NULL, NULL, 1783, 12),
(48511, NULL, 'PS51477', NULL, NULL, 'PAH domain profile.', NULL, 'PAH', NULL, NULL, 3008, 12),
(48512, NULL, 'PS51627', NULL, NULL, 'tRNA methyltransferase 11 (TRM11) (EC 2.1.1.-) family profile.', NULL, 'SAM_MT_TRM11', NULL, NULL, 20879, 12),
(48513, NULL, 'PS51052', NULL, NULL, 'Cyclotides profile.', NULL, 'CYCLOTIDE', NULL, NULL, 1785, 12),
(48514, NULL, 'PS51092', NULL, NULL, 'Fibronectin type-II collagen-binding domain profile.', NULL, 'FN2_2', NULL, NULL, 5695, 12),
(48515, NULL, 'PS51529', NULL, NULL, 'Fetuin-A-type cystatin domain profile.', NULL, 'CYSTATIN_FETUIN_A', NULL, NULL, 24409, 12),
(48516, NULL, 'PS51444', NULL, NULL, 'Formin homology-2 (FH2) domain profile.', NULL, 'FH2', NULL, NULL, 7530, 12),
(48517, NULL, 'PS51284', NULL, NULL, 'DOC domain profile.', NULL, 'DOC', NULL, NULL, 1952, 12),
(48518, NULL, 'PS51143', NULL, NULL, 'MT-A70-like family profile.', NULL, 'MT_A70', NULL, NULL, 1409, 12),
(48519, NULL, 'PS51006', NULL, NULL, 'Polyamine biosynthesis (PABS) domain profile.', NULL, 'PABS_2', NULL, NULL, 28784, 12),
(48520, NULL, 'PS51848', NULL, NULL, 'bMERB domain profile.', NULL, 'BMERB', NULL, NULL, 14715, 12),
(48521, NULL, 'PS50165', NULL, NULL, 'UvrC family, homology region profile.', NULL, 'UVRC', NULL, NULL, 1325, 12),
(48522, NULL, 'PS51232', NULL, NULL, 'Rho GTPase-binding/formin homology 3 (GBD/FH3) domain profile.', NULL, 'GBD_FH3', NULL, NULL, 11571, 12),
(48523, NULL, 'PS50963', NULL, NULL, 'Link domain profile.', NULL, 'LINK_2', NULL, NULL, 5622, 12),
(48524, NULL, 'PS51103', NULL, NULL, 'PTS_EIIC type-1 domain profile.', NULL, 'PTS_EIIC_TYPE_1', NULL, NULL, 18546, 12),
(48525, NULL, 'PS51257', NULL, NULL, 'Prokaryotic membrane lipoprotein lipid attachment site profile.', NULL, 'PROKAR_LIPOPROTEIN', NULL, NULL, NULL, 12),
(48526, NULL, 'PS51565', NULL, NULL, 'SETD3 actin-histidine N-methyltransferase (EC 2.1.1.85) family profile.', NULL, 'SAM_MT85_SETD3', NULL, NULL, 25413, 12);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48527, NULL, 'PS50870', NULL, NULL, 'Arfaptin homology (AH) domain profile.', NULL, 'AH', NULL, NULL, 10777, 12),
(48528, NULL, 'PS51643', NULL, NULL, 'HD Cas3-type domain profile.', NULL, 'HD_CAS3', NULL, NULL, 6435, 12),
(48529, NULL, 'PS51762', NULL, NULL, 'Glycosyl hydrolases family 16 (GH16) domain profile.', NULL, 'GH16_2', NULL, NULL, 3972, 12),
(48530, NULL, 'PS50069', NULL, NULL, 'Cullin family profile.', NULL, 'CULLIN_2', NULL, NULL, 12045, 12),
(48531, NULL, 'PS50800', NULL, NULL, 'SAP motif profile.', NULL, 'SAP', NULL, NULL, 41, 12),
(48532, NULL, 'PS50221', NULL, NULL, 'GPS domain profile.', NULL, 'GPS', NULL, NULL, 3700, 12),
(48533, NULL, 'PS50989', NULL, NULL, 'Acetyl-coenzyme A (CoA) carboxyltransferase C-terminal domain profile.', NULL, 'COA_CT_CTER', NULL, NULL, 11639, 12),
(48534, NULL, 'PS51450', NULL, NULL, 'Leucine-rich repeat profile.', NULL, 'LRR', NULL, NULL, 5460, 12),
(48535, NULL, 'PS50093', NULL, NULL, 'Polycystic kidney disease (PKD) domain profile.', NULL, 'PKD', NULL, NULL, 5617, 12),
(48536, NULL, 'PS51147', NULL, NULL, 'Protein prenyltransferases alpha subunit repeat profile.', NULL, 'PFTA', NULL, NULL, 5417, 12),
(48537, NULL, 'PS51361', NULL, NULL, 'Teneurin N-terminal domain profile.', NULL, 'TENEURIN_N', NULL, NULL, 9048, 12),
(48538, NULL, 'PS50287', NULL, NULL, 'SRCR domain profile.', NULL, 'SRCR_2', NULL, NULL, 1335, 12),
(48539, NULL, 'PS51314', NULL, NULL, 'VPS37 C-terminal domain profile.', NULL, 'VPS37_C', NULL, NULL, 14315, 12),
(48540, NULL, 'PS51893', NULL, NULL, 'A kinase-anchoring proteins AKAP-5 and AKAP-12 calmodulin (CaM)-binding motif profile.', NULL, 'AKAP_CAM_BD', NULL, NULL, 5328, 12),
(48541, NULL, 'PS51173', NULL, NULL, 'CBM2 (Carbohydrate-binding type-2) domain profile.', NULL, 'CBM2', NULL, NULL, 4474, 12),
(48542, NULL, 'PS51698', NULL, NULL, 'U-box domain profile.', NULL, 'U_BOX', NULL, NULL, 535, 12),
(48543, NULL, 'PS50867', NULL, NULL, 'Pre-SET domain profile.', NULL, 'PRE_SET', NULL, NULL, 1103, 12),
(48544, NULL, 'PS51728', NULL, NULL, 'Rtt109-type histone acetyltransferase (HAT) domain profile.', NULL, 'RTT109_HAT', NULL, NULL, 16047, 12),
(48545, NULL, 'PS51432', NULL, NULL, 'AP endonucleases family 2 profile.', NULL, 'AP_NUCLEASE_F2_4', NULL, NULL, 3433, 12),
(48546, NULL, 'PS51870', NULL, NULL, 'Amyloid precursor protein (APP) E2 domain profile.', NULL, 'APP_E2', NULL, NULL, 25698, 12),
(48547, NULL, 'PS51945', NULL, NULL, 'Betacoronavirus Nsp3e nucleic acid-binding (NAB) domain profile.', NULL, 'BCOV_NSP3E_NAB', NULL, NULL, 25310, 12),
(48548, NULL, 'PS51611', NULL, NULL, '[Cytochrome c]-lysine N-methyltransferase (EC 2.1.1.59) family profile.', NULL, 'SAM_MT59', NULL, NULL, 23033, 12),
(48549, NULL, 'PS50860', NULL, NULL, 'Alanyl-transfer RNA synthetases family profile.', NULL, 'AA_TRNA_LIGASE_II_ALA', NULL, NULL, 7892, 12),
(48550, NULL, 'PS50127', NULL, NULL, 'Ubiquitin-conjugating (UBC) core domain profile.', NULL, 'UBC_2', NULL, NULL, 5839, 12),
(48551, NULL, 'PS51686', NULL, NULL, 'SAM-dependent MTase RsmB/NOP-type domain profile.', NULL, 'SAM_MT_RSMB_NOP', NULL, NULL, 3311, 12),
(48552, NULL, 'PS51897', NULL, NULL, 'Annexin repeat profile.', NULL, 'ANNEXIN_2', NULL, NULL, 9221, 12),
(48553, NULL, 'PS50162', NULL, NULL, 'RecA family profile 1.', NULL, 'RECA_2', NULL, NULL, 20984, 12),
(48554, NULL, 'PS51012', NULL, NULL, 'ABC transporter integral membrane type-2 domain profile.', NULL, 'ABC_TM2', NULL, NULL, 4765, 12),
(48555, NULL, 'PS51862', NULL, NULL, 'BetaSPN-type cysteine-stabilized alpha/beta (CS-alpha/beta) domain profile.', NULL, 'BSPN_CSAB', NULL, NULL, 28980, 12),
(48556, NULL, 'PS51440', NULL, NULL, 'Triosephosphate isomerase (TIM) family profile.', NULL, 'TIM_2', NULL, NULL, 4335, 12),
(48557, NULL, 'PS50090', NULL, NULL, 'Myb-like domain profile.', NULL, 'MYB_LIKE', NULL, NULL, 4347, 12),
(48558, NULL, 'PS51360', NULL, NULL, 'Plus3 domain profile.', NULL, 'PLUS3', NULL, NULL, 4524, 12),
(48559, NULL, 'PS51926', NULL, NULL, 'Coronavirus envelope (CoV E) protein profile.', NULL, 'COV_E', NULL, NULL, 4263, 12);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48560, NULL, 'PS51192', NULL, NULL, 'Superfamilies 1 and 2 helicase ATP-binding type-1 domain profile.', NULL, 'HELICASE_ATP_BIND_1', NULL, NULL, 8108, 12),
(48561, NULL, 'PS50040', NULL, NULL, 'Elongation factor 1 (EF-1) gamma C-terminal domain profile.', NULL, 'EF1G_C', NULL, NULL, 5376, 12),
(48562, NULL, 'PS51286', NULL, NULL, 'RAP domain profile.', NULL, 'RAP', NULL, NULL, 12479, 12),
(48563, NULL, 'PS51492', NULL, NULL, 'Peptidase family C23 domain profile.', NULL, 'PEPTIDASE_C23', NULL, NULL, 5306, 12),
(48564, NULL, 'PS51375', NULL, NULL, 'Pentatricopeptide (PPR) repeat profile.', NULL, 'PPR', NULL, NULL, 5805, 12),
(48565, NULL, 'PS51613', NULL, NULL, 'RrmJ-type ribose 2''-O-methyltransferase (EC 2.1.1.57) domain profile.', NULL, 'SAM_MT_RRMJ', NULL, NULL, 23339, 12),
(48566, NULL, 'PS50062', NULL, NULL, 'BCL2-like apoptosis inhibitors family profile.', NULL, 'BCL2_FAMILY', NULL, NULL, 659, 12),
(48567, NULL, 'PS51710', NULL, NULL, 'OBG-type guanine nucleotide-binding (G) domain profile.', NULL, 'G_OBG', NULL, NULL, 24954, 12),
(48568, NULL, 'PS50290', NULL, NULL, 'Phosphatidylinositol 3- and 4-kinases family profile.', NULL, 'PI3_4_KINASE_3', NULL, NULL, 4669, 12),
(48569, NULL, 'PS50321', NULL, NULL, 'Asparagine-rich region profile.', NULL, 'ASN_RICH', NULL, NULL, NULL, 12),
(48570, NULL, 'PS51398', NULL, NULL, 'PAW domain profile.', NULL, 'PAW', NULL, NULL, 245, 12),
(48571, NULL, 'PS51939', NULL, NULL, 'xRRM domain profile.', NULL, 'XRRM', NULL, NULL, 13428, 12),
(48572, NULL, 'PS51249', NULL, NULL, 'Phosphonate import ATP-binding protein phnC.', NULL, 'PHNC', NULL, NULL, NULL, 12),
(48573, NULL, 'PS51163', NULL, NULL, 'YrdC-like domain profile.', NULL, 'YRDC', NULL, NULL, 2570, 12),
(48574, NULL, 'PS50060', NULL, NULL, 'MAM domain profile.', NULL, 'MAM_2', NULL, NULL, 3167, 12),
(48575, NULL, 'PS50833', NULL, NULL, 'Brix domain profile.', NULL, 'BRIX', NULL, NULL, 203, 12),
(48576, NULL, 'PS51799', NULL, NULL, 'Zinc finger C2H2 AKAP95-type profile.', NULL, 'ZF_C2H2_AKAP95', NULL, NULL, 15614, 12),
(48577, NULL, 'PS50214', NULL, NULL, 'Disintegrin domain profile.', NULL, 'DISINTEGRIN_2', NULL, NULL, 3073, 12),
(48578, NULL, 'PS51787', NULL, NULL, 'Lon N-terminal domain profile.', NULL, 'LON_N', NULL, NULL, 2575, 12),
(48579, NULL, 'PS50142', NULL, NULL, 'Ribonuclease III family domain profile.', NULL, 'RNASE_3_2', NULL, NULL, 47, 12),
(48580, NULL, 'PS51127', NULL, NULL, 'Big-1 (bacterial Ig-like domain 1) domain profile.', NULL, 'BIG1', NULL, NULL, 4055, 12),
(48581, NULL, 'PS50925', NULL, NULL, 'BLUF domain profile.', NULL, 'BLUF', NULL, NULL, 6592, 12),
(48582, NULL, 'PS51350', NULL, NULL, 'PTS HPR domain profile.', NULL, 'PTS_HPR_DOM', NULL, NULL, 3372, 12),
(48583, NULL, 'PS51669', NULL, NULL, 'Prokaryotic molybdopterin oxidoreductases 4Fe-4S domain profile.', NULL, '4FE4S_MOW_BIS_MGD', NULL, NULL, 5823, 12),
(48584, NULL, 'PS51914', NULL, NULL, 'MRH domain profile.', NULL, 'MRH', NULL, NULL, 38283, 12),
(48585, NULL, 'PS50993', NULL, NULL, 'Nidogen G2 beta-barrel domain profile.', NULL, 'NIDOGEN_G2', NULL, NULL, 1434, 12),
(48586, NULL, 'PS51385', NULL, NULL, 'YjeF N-terminal domain profile.', NULL, 'YJEF_N', NULL, NULL, 7312, 12),
(48587, NULL, 'PS50957', NULL, NULL, 'Josephin domain profile.', NULL, 'JOSEPHIN', NULL, NULL, 10032, 12),
(48588, NULL, 'PS51433', NULL, NULL, 'Pointed (PNT) domain profile.', NULL, 'PNT', NULL, NULL, 2801, 12),
(48589, NULL, 'PS51415', NULL, NULL, 'Xylose isomerase family profile.', NULL, 'XYLOSE_ISOMERASE', NULL, NULL, 2071, 12),
(48590, NULL, 'PS51876', NULL, NULL, 'Pestivirus N-terminal protease Npro domain profile.', NULL, 'PV_NPRO', NULL, NULL, 12033, 12),
(48591, NULL, 'PS51439', NULL, NULL, 'MENTAL domain profile.', NULL, 'MENTAL', NULL, NULL, 18506, 12),
(48592, NULL, 'PS51124', NULL, NULL, 'Peptidase family C16 domain profile.', NULL, 'PEPTIDASE_C16', NULL, NULL, 18866, 12),
(48593, NULL, 'PS51068', NULL, NULL, 'Formamidopyrimidine-DNA glycosylase catalytic domain profile.', NULL, 'FPG_CAT', NULL, NULL, 11902, 12),
(48594, NULL, 'PS51501', NULL, NULL, 'Zinc finger DNL-type profile.', NULL, 'ZF_DNL', NULL, NULL, 2405, 12);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48595, NULL, 'PS51336', NULL, NULL, 'DM10 domain profile.', NULL, 'DM10', NULL, NULL, 1140, 12),
(48596, NULL, 'PS50932', NULL, NULL, 'LacI-type HTH domain profile.', NULL, 'HTH_LACI_2', NULL, NULL, 408, 12),
(48597, NULL, 'PS51732', NULL, NULL, 'Asparaginase / glutaminase domain profile.', NULL, 'ASN_GLN_ASE_3', NULL, NULL, 2677, 12),
(48598, NULL, 'PS51332', NULL, NULL, 'B12-binding domain profile.', NULL, 'B12_BINDING', NULL, NULL, 10033, 12),
(48599, NULL, 'PS50883', NULL, NULL, 'EAL domain profile.', NULL, 'EAL', NULL, NULL, 5393, 12),
(48600, NULL, 'PS50936', NULL, NULL, 'EngC GTPase domain profile.', NULL, 'ENGC_GTPASE', NULL, NULL, 5270, 12),
(48601, NULL, 'PS51567', NULL, NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, 'SAM_MT43_SUVAR420_1', NULL, NULL, 25077, 12),
(48602, NULL, 'PS51808', NULL, NULL, 'Coiled coil-helix-coiled coil-helix (CHCH) domain profile.', NULL, 'CHCH', NULL, NULL, NULL, 12),
(48603, NULL, 'PS51007', NULL, NULL, 'Cytochrome c family profile.', NULL, 'CYTC', NULL, NULL, 6008, 12),
(48604, NULL, 'PS51108', NULL, NULL, 'PTS_EIID domain profile.', NULL, 'PTS_EIID', NULL, NULL, 3841, 12),
(48605, NULL, 'PS51775', NULL, NULL, 'GTD-binding domain profile.', NULL, 'GTD_BINDING', NULL, NULL, 455, 12),
(48606, NULL, 'PS50212', NULL, NULL, 'Ras guanine-nucleotide exchange factors N-terminal domain profile.', NULL, 'RASGEF_NTER', NULL, NULL, 6765, 12),
(48607, NULL, 'PS51664', NULL, NULL, 'YcaO domain profile.', NULL, 'YCAO', NULL, NULL, 6338, 12),
(48608, NULL, 'PS50109', NULL, NULL, 'Histidine kinase domain profile.', NULL, 'HIS_KIN', NULL, NULL, 704, 12),
(48609, NULL, 'PS50123', NULL, NULL, 'CheR-type methyltransferase domain profile.', NULL, 'CHER', NULL, NULL, 3915, 12),
(48610, NULL, 'PS50198', NULL, NULL, 'PpiC-type peptidyl-prolyl cis-trans isomerase family profile.', NULL, 'PPIC_PPIASE_2', NULL, NULL, 4977, 12),
(48611, NULL, 'PS50070', NULL, NULL, 'Kringle domain profile.', NULL, 'KRINGLE_2', NULL, NULL, 1561, 12),
(48612, NULL, 'PS50902', NULL, NULL, 'Flavodoxin-like domain profile.', NULL, 'FLAVODOXIN_LIKE', NULL, NULL, 1928, 12),
(48613, NULL, 'PS51091', NULL, NULL, 'Fibronectin type-I domain profile.', NULL, 'FN1_2', NULL, NULL, 3614, 12),
(48614, NULL, 'PS51379', NULL, NULL, '4Fe-4S ferredoxin-type iron-sulfur binding domain profile.', NULL, '4FE4S_FER_2', NULL, NULL, 13131, 12),
(48615, NULL, 'PS50330', NULL, NULL, 'Ubiquitin-interacting motif (UIM) domain profile.', NULL, 'UIM', NULL, NULL, 4184, 12),
(48616, NULL, 'PS50916', NULL, NULL, 'Rab-binding domain profile.', NULL, 'RABBD', NULL, NULL, 5184, 12),
(48617, NULL, 'PS51656', NULL, NULL, '4Fe-4S domain profile.', NULL, '4FE4S', NULL, NULL, 1023, 12),
(48618, NULL, 'PS51647', NULL, NULL, 'Kininogen-type cystatin domain profile.', NULL, 'CYSTATIN_KININOGEN', NULL, NULL, 25384, 12),
(48619, NULL, 'PS51060', NULL, NULL, 'PARP alpha-helical domain profile.', NULL, 'PARP_ALPHA_HD', NULL, NULL, 1524, 12),
(48620, NULL, 'PS51024', NULL, NULL, 'Zinc finger FCS-type profile.', NULL, 'ZF_FCS', NULL, NULL, 11833, 12),
(48621, NULL, 'PS51088', NULL, NULL, 'TEA domain profile.', NULL, 'TEA_2', NULL, NULL, 5166, 12),
(48622, NULL, 'PS50053', NULL, NULL, 'Ubiquitin domain profile.', NULL, 'UBIQUITIN_2', NULL, NULL, 4173, 12),
(48623, NULL, 'PS50896', NULL, NULL, 'LIS1 homology (LisH) motif profile.', NULL, 'LISH', NULL, NULL, 1107, 12),
(48624, NULL, 'PS51148', NULL, NULL, 'AXH domain profile.', NULL, 'AXH', NULL, NULL, 1422, 12),
(48625, NULL, 'PS50157', NULL, NULL, 'Zinc finger C2H2 type domain profile.', NULL, 'ZINC_FINGER_C2H2_2', NULL, NULL, 13919, 12),
(48626, NULL, 'PS50525', NULL, NULL, 'RdRp of negative ssRNA viruses with segmented genomes catalytic domain profile.', NULL, 'RDRP_SSRNA_NEG_SEG', NULL, NULL, 177, 12),
(48627, NULL, 'PS50865', NULL, NULL, 'Zinc finger MYND-type profile.', NULL, 'ZF_MYND_2', NULL, NULL, 6053, 12),
(48628, NULL, 'PS51589', NULL, NULL, 'Viral protein 3 containing mRNA (guanine-N(7)-)-methyltransferase family profile.', NULL, 'SAM_MT56_VP3', NULL, NULL, 11246, 12);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48629, NULL, 'PS50823', NULL, NULL, 'Type-2 KH domain profile.', NULL, 'KH_TYPE_2', NULL, NULL, 906, 12),
(48630, NULL, 'PS51081', NULL, NULL, 'Zinc finger SIAH-type profile.', NULL, 'ZF_SIAH', NULL, NULL, 18729, 12),
(48631, NULL, 'PS51563', NULL, NULL, 'mRNA (2''-O-methyladenosine-N(6)-)-methyltransferase (EC 2.1.1.62) family profile.', NULL, 'SAM_MTA70L_1', NULL, NULL, 23974, 12),
(48632, NULL, 'PS51121', NULL, NULL, 'NtA (N-terminal agrin) domain profile.', NULL, 'NTA', NULL, NULL, 7081, 12),
(48633, NULL, 'PS50921', NULL, NULL, 'ANTAR domain profile.', NULL, 'ANTAR', NULL, NULL, 1694, 12),
(48634, NULL, 'PS50911', NULL, NULL, 'CHAP domain profile.', NULL, 'CHAP', NULL, NULL, 3303, 12),
(48635, NULL, 'PS51457', NULL, NULL, 'BEN domain profile.', NULL, 'BEN', NULL, NULL, 20520, 12),
(48636, NULL, 'PS50948', NULL, NULL, 'PAN/Apple domain profile.', NULL, 'PAN', NULL, NULL, 745, 12),
(48637, NULL, 'PS51217', NULL, NULL, 'UvrD-like DNA helicase C-terminal domain profile.', NULL, 'UVRD_HELICASE_CTER', NULL, NULL, 9108, 12),
(48638, NULL, 'PS51137', NULL, NULL, 'VM domain profile.', NULL, 'VM', NULL, NULL, 7773, 12),
(48639, NULL, 'PS51404', NULL, NULL, 'DyP-type peroxidase family.', NULL, 'DYP_PEROXIDASE', NULL, NULL, 4575, 12),
(48640, NULL, 'PS51445', NULL, NULL, 'Phycobilisome (PBS) linker domain profile.', NULL, 'PBS_LINKER', NULL, NULL, 5258, 12),
(48641, NULL, 'PS51187', NULL, NULL, 'Autoinducer synthase family profile.', NULL, 'AUTOINDUCER_SYNTH_2', NULL, NULL, 3142, 12),
(48642, NULL, 'PS51657', NULL, NULL, '(+)RNA virus helicase core domain profile.', NULL, 'PSRV_HELICASE', NULL, NULL, 25374, 12),
(48643, NULL, 'PS51312', NULL, NULL, 'Steadiness box (SB) domain profile.', NULL, 'SB', NULL, NULL, 2694, 12),
(48644, NULL, 'PS51280', NULL, NULL, 'Xylose import ATP-binding protein xylG family profile.', NULL, 'XYLG', NULL, NULL, NULL, 12),
(48645, NULL, 'PS51407', NULL, NULL, 'Lysosome-associated membrane glycoprotein family profile.', NULL, 'LAMP_3', NULL, NULL, 5074, 12),
(48646, NULL, 'PS51721', NULL, NULL, 'Circularly permuted (CP)-type guanine nucleotide-binding (G) domain profile.', NULL, 'G_CP', NULL, NULL, 28660, 12),
(48647, NULL, 'PS51226', NULL, NULL, 'TEP1 N-terminal repeat profile.', NULL, 'TEP1_N', NULL, NULL, 14052, 12),
(48648, NULL, 'PS51363', NULL, NULL, 'W2 domain profile.', NULL, 'W2', NULL, NULL, 3835, 12),
(48649, NULL, 'PS51373', NULL, NULL, 'High potential iron-sulfur proteins family profile.', NULL, 'HIPIP', NULL, NULL, 1806, 12),
(48650, NULL, 'PS50894', NULL, NULL, 'Histidine-containing phosphotransfer (HPt) domain profile.', NULL, 'HPT', NULL, NULL, 7128, 12),
(48651, NULL, 'PS50972', NULL, NULL, 'Pterin-binding domain profile.', NULL, 'PTERIN_BINDING', NULL, NULL, 5513, 12),
(48652, NULL, 'PS50283', NULL, NULL, 'Sodium:solute symporter family profile.', NULL, 'NA_SOLUT_SYMP_3', NULL, NULL, 5281, 12),
(48653, NULL, 'PS51525', NULL, NULL, 'NET domain profile.', NULL, 'NET', NULL, NULL, 28231, 12),
(48654, NULL, 'PS50270', NULL, NULL, 'Nerve growth factor family profile.', NULL, 'NGF_2', NULL, NULL, NULL, 12),
(48655, NULL, 'PS51908', NULL, NULL, 'Zinc finger UBZ4-type profile.', NULL, 'ZF_UBZ4', NULL, NULL, 1155, 12),
(48656, NULL, 'PS50145', NULL, NULL, 'Zinc finger TRAF-type profile.', NULL, 'ZF_TRAF', NULL, NULL, 5462, 12),
(48657, NULL, 'PS51868', NULL, NULL, 'Peptidase family S39 domain profile.', NULL, 'PEPTIDASE_S39', NULL, NULL, 6819, 12),
(48658, NULL, 'PS51491', NULL, NULL, 'Tau and MAP proteins tubulin-binding repeat profile.', NULL, 'TAU_MAP_2', NULL, NULL, 2411, 12),
(48659, NULL, 'PS51070', NULL, NULL, 'Stonin homology domain (SHD) profile.', NULL, 'SHD', NULL, NULL, 11797, 12),
(48660, NULL, 'PS51667', NULL, NULL, 'WRC domain profile.', NULL, 'WRC', NULL, NULL, 14266, 12),
(48661, NULL, 'PS50910', NULL, NULL, 'HEPN domain profile.', NULL, 'HEPN', NULL, NULL, 2418, 12),
(48662, NULL, 'PS51658', NULL, NULL, 'Bifunctional nuclease (BFN) domain profile.', NULL, 'BFN', NULL, NULL, 6401, 12),
(48663, NULL, 'PS50277', NULL, NULL, 'Glycoprotein hormones alpha chain family profile.', NULL, 'GLYCO_HORMONE_ALPHA_3', NULL, NULL, 5679, 12); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48664, NULL, 'PS51292', NULL, NULL, 'Zinc finger RING-CH-type profile.', NULL, 'ZF_RING_CH', NULL, NULL, 9358, 12),
(48665, NULL, 'PS50325', NULL, NULL, 'Threonine-rich region profile.', NULL, 'THR_RICH', NULL, NULL, NULL, 12),
(48666, NULL, 'PS51054', NULL, NULL, 'Orange domain profile.', NULL, 'ORANGE', NULL, NULL, 1458, 12),
(48667, NULL, 'PS51303', NULL, NULL, 'PET domain profile.', NULL, 'PET', NULL, NULL, 10089, 12),
(48668, NULL, 'PS50012', NULL, NULL, 'Regulator of chromosome condensation (RCC1) repeat profile.', NULL, 'RCC1_3', NULL, NULL, 6885, 12),
(48669, NULL, 'PS51394', NULL, NULL, 'PFU domain profile.', NULL, 'PFU', NULL, NULL, 9879, 12),
(48670, NULL, 'PS51222', NULL, NULL, 'DCD domain profile.', NULL, 'DCD', NULL, NULL, 10169, 12),
(48671, NULL, 'PS50930', NULL, NULL, 'LytTR-type HTH domain profile.', NULL, 'HTH_LYTTR', NULL, NULL, 10170, 12),
(48672, NULL, 'PS51057', NULL, NULL, 'Paired DNA-binding domain profile.', NULL, 'PAIRED_2', NULL, NULL, 5940, 12),
(48673, NULL, 'PS51234', NULL, NULL, 'Thrombospondin type-3 (TSP3) repeat profile.', NULL, 'TSP3', NULL, NULL, 13427, 12),
(48674, NULL, 'PS51916', NULL, NULL, 'DEUBAD (DEUBiquitinase ADaptor) domain profile.', NULL, 'DEUBAD', NULL, NULL, 39171, 12),
(48675, NULL, 'PS50327', NULL, NULL, 'Tryptophan-rich region profile.', NULL, 'TRP_RICH', NULL, NULL, NULL, 12),
(48676, NULL, 'PS51329', NULL, NULL, 'C-CAP/cofactor C-like domain profile.', NULL, 'C_CAP_COFACTOR_C', NULL, NULL, 13473, 12),
(48677, NULL, 'PS51859', NULL, NULL, 'Rho-binding (RhoBD) domain profile.', NULL, 'RHO_BD', NULL, NULL, 7667, 12),
(48678, NULL, 'PS50255', NULL, NULL, 'Cytochrome b5 family, heme-binding domain profile.', NULL, 'CYTOCHROME_B5_2', NULL, NULL, 1476, 12),
(48679, NULL, 'PS51004', NULL, NULL, 'Sema domain profile.', NULL, 'SEMA', NULL, NULL, 5208, 12),
(48680, NULL, 'PS51423', NULL, NULL, 'Miro domain profile.', NULL, 'MIRO', NULL, NULL, 21194, 12),
(48681, NULL, 'PS50995', NULL, NULL, 'MarR-type HTH domain profile.', NULL, 'HTH_MARR_2', NULL, NULL, 4858, 12),
(48682, NULL, 'PS51634', NULL, NULL, 'CRC domain profile.', NULL, 'CRC', NULL, NULL, 4895, 12),
(48683, NULL, 'PS51858', NULL, NULL, 'PPPDE domain profile.', NULL, 'PPPDE', NULL, NULL, 13743, 12),
(48684, NULL, 'PS51679', NULL, NULL, 'C-5 cytosine-specific DNA methylase (Dnmt) domain profile.', NULL, 'SAM_MT_C5', NULL, NULL, 5052, 12),
(48685, NULL, 'PS50522', NULL, NULL, 'RdRp of RNA-containing bacteriophages catalytic domain profile.', NULL, 'RDRP_PHAGE', NULL, NULL, 83, 12),
(48686, NULL, 'PS51264', NULL, NULL, 'Methionine import ATP-binding protein metN family profile.', NULL, 'METN', NULL, NULL, NULL, 12),
(48687, NULL, 'PS51369', NULL, NULL, 'TCP domain profile.', NULL, 'TCP', NULL, NULL, 7449, 12),
(48688, NULL, 'PS51069', NULL, NULL, 'GBP repeat profile.', NULL, 'GBP', NULL, NULL, 1899, 12),
(48689, NULL, 'PS51645', NULL, NULL, 'Photolyase/cryptochrome alpha/beta domain profile.', NULL, 'PHR_CRY_ALPHA_BETA', NULL, NULL, 2846, 12),
(48690, NULL, 'PS51051', NULL, NULL, 'DSL domain profile.', NULL, 'DSL', NULL, NULL, 3423, 12),
(48691, NULL, 'PS51298', NULL, NULL, 'Zinc import ATP-binding protein znuC family profile.', NULL, 'ZNUC', NULL, NULL, NULL, 12),
(48692, NULL, 'PS51737', NULL, NULL, 'DNA-binding recombinase domain profile.', NULL, 'RECOMBINASE_DNA_BIND', NULL, NULL, 11495, 12),
(48693, NULL, 'PS51441', NULL, NULL, 'CpcD-like domain profile.', NULL, 'CPCD_LIKE', NULL, NULL, 506, 12),
(48694, NULL, 'PS51485', NULL, NULL, 'Phytocyanin domain profile.', NULL, 'PHYTOCYANIN', NULL, NULL, 2637, 12),
(48695, NULL, 'PS51010', NULL, NULL, 'Cytochrome f family profile.', NULL, 'CYTF', NULL, NULL, 6521, 12),
(48696, NULL, 'PS51152', NULL, NULL, 'NF-YA/HAP2 family profile.', NULL, 'NFYA_HAP2_2', NULL, NULL, 2430, 12),
(48697, NULL, 'PS50077', NULL, NULL, 'HEAT repeat profile.', NULL, 'HEAT_REPEAT', NULL, NULL, 12436, 12),
(48698, NULL, 'PS51104', NULL, NULL, 'PTS_EIIC type-2 domain profile.', NULL, 'PTS_EIIC_TYPE_2', NULL, NULL, 18803, 12),
(48699, NULL, 'PS50905', NULL, NULL, 'Ferritin-like diiron domain profile.', NULL, 'FERRITIN_LIKE', NULL, NULL, 7800, 12);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48700, NULL, 'PS51466', NULL, NULL, 'PINIT domain profile.', NULL, 'PINIT', NULL, NULL, 18883, 12),
(48701, NULL, 'PS51571', NULL, NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, 'SAM_MT43_PR_SET', NULL, NULL, 16073, 12),
(48702, NULL, 'PS51295', NULL, NULL, 'CRM domain profile.', NULL, 'CRM', NULL, NULL, 4269, 12),
(48703, NULL, 'PS50830', NULL, NULL, 'Thermonuclease domain profile.', NULL, 'TNASE_3', NULL, NULL, 10137, 12),
(48704, NULL, 'PS50275', NULL, NULL, 'Sac phosphatase domain profile.', NULL, 'SAC', NULL, NULL, 5485, 12),
(48705, NULL, 'PS50245', NULL, NULL, 'CAP-Gly domain profile.', NULL, 'CAP_GLY_2', NULL, NULL, 3064, 12),
(48706, NULL, 'PS51839', NULL, NULL, 'His(Cys)3-ligated-type [4Fe-4S] domain profile.', NULL, '4FE4S_HC3', NULL, NULL, 20304, 12),
(48707, NULL, 'PS50863', NULL, NULL, 'B3 DNA-binding domain profile.', NULL, 'B3', NULL, NULL, 4023, 12),
(48708, NULL, 'PS51084', NULL, NULL, 'HIT domain profile.', NULL, 'HIT_2', NULL, NULL, 9009, 12),
(48709, NULL, 'PS51662', NULL, NULL, 'Beta-propeller phytase (BPP) domain profile.', NULL, 'BP_PHYTASE', NULL, NULL, 5383, 12),
(48710, NULL, 'PS51578', NULL, NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, 'SAM_MT43_SET2_2', NULL, NULL, 23308, 12),
(48711, NULL, 'PS51276', NULL, NULL, 'PfpI endopeptidase domain profile.', NULL, 'PEPTIDASE_C56_PFPI', NULL, NULL, 3675, 12),
(48712, NULL, 'PS50814', NULL, NULL, 'WIF domain profile.', NULL, 'WIF', NULL, NULL, 3626, 12),
(48713, NULL, 'PS51189', NULL, NULL, 'FAT domain profile.', NULL, 'FAT', NULL, NULL, 8367, 12),
(48714, NULL, 'PS50038', NULL, NULL, 'Frizzled (fz) domain profile.', NULL, 'FZ', NULL, NULL, 18626, 12),
(48715, NULL, 'PS51326', NULL, NULL, 'Avidin-like domain profile.', NULL, 'AVIDIN_2', NULL, NULL, 794, 12),
(48716, NULL, 'PS51470', NULL, NULL, 'FG-GAP repeat profile.', NULL, 'FG_GAP', NULL, NULL, 9931, 12),
(48717, NULL, 'PS01031', NULL, NULL, 'Small heat shock protein (sHSP) domain profile.', NULL, 'SHSP', NULL, NULL, 5117, 12),
(48718, NULL, 'PS51473', NULL, NULL, 'Gnk2-homologous domain profile.', NULL, 'GNK2', NULL, NULL, 6071, 12),
(48719, NULL, 'PS51531', NULL, NULL, 'Foamy virus protease (FV PR) domain profile.', NULL, 'FV_PR', NULL, NULL, 3870, 12),
(48720, NULL, 'PS51134', NULL, NULL, 'Zinc finger TFIIB-type profile.', NULL, 'ZF_TFIIB', NULL, NULL, 7841, 12),
(48721, NULL, 'PS51744', NULL, NULL, 'Helper-component proteinase (HC-Pro) cysteine protease (CPD) domain profile.', NULL, 'HC_PRO_CPD', NULL, NULL, 22746, 12),
(48722, NULL, 'PS50209', NULL, NULL, 'CARD caspase recruitment domain profile.', NULL, 'CARD', NULL, NULL, 377, 12),
(48723, NULL, 'PS51265', NULL, NULL, 'Zinc finger DBF4-type profile.', NULL, 'ZF_DBF4', NULL, NULL, 477, 12),
(48724, NULL, 'PS50049', NULL, NULL, 'TNF family profile.', NULL, 'TNF_2', NULL, NULL, 2636, 12),
(48725, NULL, 'PS51321', NULL, NULL, 'TFIIS central domain profile.', NULL, 'TFIIS_CENTRAL', NULL, NULL, 557, 12),
(48726, NULL, 'PS50064', NULL, NULL, 'Poly(ADP-ribose) polymerase zinc finger domain profile.', NULL, 'PARP_ZN_FINGER_2', NULL, NULL, 3322, 12),
(48727, NULL, 'PS51736', NULL, NULL, 'Resolvase/invertase-type recombinase catalytic domain profile.', NULL, 'RECOMBINASES_3', NULL, NULL, 10446, 12),
(48728, NULL, 'PS51918', NULL, NULL, 'Radical SAM core domain profile.', NULL, 'RADICAL_SAM', NULL, NULL, 1051, 12),
(48729, NULL, 'PS51287', NULL, NULL, 'Large T-antigen (T-ag) origin-binding domain (OBD) profile.', NULL, 'T_AG_OBD', NULL, NULL, 1903, 12),
(48730, NULL, 'PS51484', NULL, NULL, 'G8 domain profile.', NULL, 'G8', NULL, NULL, 15461, 12),
(48731, NULL, 'PS50050', NULL, NULL, 'TNFR/NGFR family cysteine-rich region domain profile.', NULL, 'TNFR_NGFR_2', NULL, NULL, 2482, 12),
(48732, NULL, 'PS51352', NULL, NULL, 'Thioredoxin domain profile.', NULL, 'THIOREDOXIN_2', NULL, NULL, 10955, 12),
(48733, NULL, 'PS50234', NULL, NULL, 'VWFA domain profile.', NULL, 'VWFA', NULL, NULL, 2293, 12),
(48734, NULL, 'PS51349', NULL, NULL, 'FMN-dependent alpha-hydroxy acid dehydrogenase domain profile.', NULL, 'FMN_HYDROXY_ACID_DH_2', NULL, NULL, 32004, 12);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48735, NULL, 'PS50168', NULL, NULL, 'Death effector domain (DED) profile.', NULL, 'DED', NULL, NULL, 4463, 12),
(48736, NULL, 'PS50933', NULL, NULL, 'CHRD domain profile.', NULL, 'CHRD', NULL, NULL, 12002, 12),
(48737, NULL, 'PS51867', NULL, NULL, 'Gid-type RING finger profile.', NULL, 'ZF_RING_GID', NULL, NULL, 38279, 12),
(48738, NULL, 'PS51041', NULL, NULL, 'EMI domain profile.', NULL, 'EMI', NULL, NULL, 12743, 12),
(48739, NULL, 'PS51513', NULL, NULL, 'FFD box profile.', NULL, 'FFD', NULL, NULL, 24218, 12),
(48740, NULL, 'PS50055', NULL, NULL, 'PTP type protein phosphatase domain profile.', NULL, 'TYR_PHOSPHATASE_PTP', NULL, NULL, 845, 12),
(48741, NULL, 'PS50309', NULL, NULL, 'Doublecortin domain profile.', NULL, 'DC', NULL, NULL, 7285, 12),
(48742, NULL, 'PS51789', NULL, NULL, 'RIG-I-like receptor (RLR) C-terminal regulatory (CTR) domain profile.', NULL, 'RLR_CTR', NULL, NULL, 19244, 12),
(48743, NULL, 'PS51238', NULL, NULL, 'Phosphate import ATP-binding protein pstB family profile.', NULL, 'PSTB', NULL, NULL, NULL, 12),
(48744, NULL, 'PS51425', NULL, NULL, 'Stromalin conservative (SCD) domain profile.', NULL, 'SCD', NULL, NULL, 20617, 12),
(48745, NULL, 'PS51838', NULL, NULL, 'Hepatitis delta antigen (HDAg) domain profile.', NULL, 'HDAG', NULL, NULL, 35554, 12),
(48746, NULL, 'PS51795', NULL, NULL, 'Zinc finger FLZ-type profile.', NULL, 'ZF_FLZ', NULL, NULL, 35, 12),
(48747, NULL, 'PS51204', NULL, NULL, 'HSA domain profile.', NULL, 'HSA', NULL, NULL, 9248, 12),
(48748, NULL, 'PS50803', NULL, NULL, 'OAR domain profile.', NULL, 'OAR', NULL, NULL, 1052, 12),
(48749, NULL, 'PS50915', NULL, NULL, 'Crystallins beta and gamma ''Greek key'' motif profile.', NULL, 'CRYSTALLIN_BETA_GAMMA', NULL, NULL, 2197, 12),
(48750, NULL, 'PS51925', NULL, NULL, 'SWIB/MDM2 domain profile.', NULL, 'SWIB_MDM2', NULL, NULL, 1938, 12),
(48751, NULL, 'PS50404', NULL, NULL, 'Soluble glutathione S-transferase N-terminal domain profile.', NULL, 'GST_NTER', NULL, NULL, 867, 12),
(48752, NULL, 'PS50304', NULL, NULL, 'Tudor domain profile.', NULL, 'TUDOR', NULL, NULL, 7199, 12),
(48753, NULL, 'PS51641', NULL, NULL, 'Agenet-like domain profile.', NULL, 'AGENET_LIKE', NULL, NULL, 7946, 12),
(48754, NULL, 'PS50802', NULL, NULL, 'OTU domain profile.', NULL, 'OTU', NULL, NULL, 4087, 12),
(48755, NULL, 'PS50324', NULL, NULL, 'Serine-rich region profile.', NULL, 'SER_RICH', NULL, NULL, NULL, 12),
(48756, NULL, 'PS50923', NULL, NULL, 'Sushi/CCP/SCR domain profile.', NULL, 'SUSHI', NULL, NULL, 6687, 12),
(48757, NULL, 'PS51496', NULL, NULL, 'CVC domain profile.', NULL, 'CVC', NULL, NULL, 15669, 12),
(48758, NULL, 'PS51852', NULL, NULL, 'pG1 pseudoGTPase domain profile.', NULL, 'PG1', NULL, NULL, 35765, 12),
(48759, NULL, 'PS51704', NULL, NULL, 'GP-PDE domain profile.', NULL, 'GP_PDE', NULL, NULL, 22768, 12),
(48760, NULL, 'PS51327', NULL, NULL, 'Dicer double-stranded RNA-binding fold domain profile.', NULL, 'DICER_DSRBF', NULL, NULL, 2327, 12),
(48761, NULL, 'PS51036', NULL, NULL, 'Zinc finger A20-type profile.', NULL, 'ZF_A20', NULL, NULL, 2569, 12),
(48762, NULL, 'PS50958', NULL, NULL, 'Somatomedin B (SMB) domain profile.', NULL, 'SMB_2', NULL, NULL, 1464, 12),
(48763, NULL, 'PS51671', NULL, NULL, 'ACT domain profile.', NULL, 'ACT', NULL, NULL, 6456, 12),
(48764, NULL, 'PS51325', NULL, NULL, 'Alpha box DNA-binding domain profile.', NULL, 'ALPHA_BOX', NULL, NULL, 4295, 12),
(48765, NULL, 'PS51282', NULL, NULL, 'DWNN domain profile.', NULL, 'DWNN', NULL, NULL, 13241, 12),
(48766, NULL, 'PS51751', NULL, NULL, 'EXPERA domain profile.', NULL, 'EXPERA', NULL, NULL, 32868, 12),
(48767, NULL, 'PS51090', NULL, NULL, 'Cortactin repeat profile.', NULL, 'CORTACTIN', NULL, NULL, 2540, 12),
(48768, NULL, 'PS51144', NULL, NULL, 'Alpha-carbonic anhydrases profile.', NULL, 'ALPHA_CA_2', NULL, NULL, 2104, 12),
(48769, NULL, 'PS50967', NULL, NULL, 'HRDC domain profile.', NULL, 'HRDC', NULL, NULL, 1114, 12),
(48770, NULL, 'PS51354', NULL, NULL, 'Glutaredoxin domain profile.', NULL, 'GLUTAREDOXIN_2', NULL, NULL, NULL, 12),
(48771, NULL, 'PS50237', NULL, NULL, 'HECT domain profile.', NULL, 'HECT', NULL, NULL, 5972, 12);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48772, NULL, 'PS50236', NULL, NULL, 'Clathrin heavy-chain (CHCR) repeat profile.', NULL, 'CHCR', NULL, NULL, 5855, 12),
(48773, NULL, 'PS51030', NULL, NULL, 'Nuclear hormone receptors DNA-binding domain profile.', NULL, 'NUCLEAR_REC_DBD_2', NULL, NULL, 3308, 12),
(48774, NULL, 'PS51542', NULL, NULL, 'FYR domain FYRN motif profile.', NULL, 'FYRN', NULL, NULL, 4322, 12),
(48775, NULL, 'PS51138', NULL, NULL, 'EMSY N-terminal (ENT) domain profile.', NULL, 'ENT', NULL, NULL, 782, 12),
(48776, NULL, 'PS51164', NULL, NULL, 'CBM1 (carbohydrate binding type-1) domain profile.', NULL, 'CBM1_2', NULL, NULL, 4728, 12),
(48777, NULL, 'PS51824', NULL, NULL, 'Flocculin 11 (Flo11) domain profile.', NULL, 'FLO11', NULL, NULL, 19477, 12),
(48778, NULL, 'PS51299', NULL, NULL, 'APSES-type HTH DNA-binding domain profile.', NULL, 'HTH_APSES', NULL, NULL, 3461, 12),
(48779, NULL, 'PS51677', NULL, NULL, 'NodB homology domain profile.', NULL, 'NODB', NULL, NULL, 837, 12),
(48780, NULL, 'PS51087', NULL, NULL, 'ApaG domain profile.', NULL, 'APAG', NULL, NULL, 2196, 12),
(48781, NULL, 'PS50141', NULL, NULL, 'Adenosine to inosine editase domain profile.', NULL, 'A_DEAMIN_EDITASE', NULL, NULL, 7080, 12),
(48782, NULL, 'PS51294', NULL, NULL, 'Myb-type HTH DNA-binding domain profile.', NULL, 'HTH_MYB', NULL, NULL, 21321, 12),
(48783, NULL, 'PS51403', NULL, NULL, 'Collagen IV carboxyl-terminal non-collagenous (NC1) domain profile.', NULL, 'NC1_IV', NULL, NULL, 6610, 12),
(48784, NULL, 'PS50837', NULL, NULL, 'NACHT-NTPase domain profile.', NULL, 'NACHT', NULL, NULL, 204, 12),
(48785, NULL, 'PS51122', NULL, NULL, 'Calponin-like repeat profile.', NULL, 'CALPONIN_2', NULL, NULL, 5895, 12),
(48786, NULL, 'PS51430', NULL, NULL, 'KaiA N-terminal domain profile.', NULL, 'KAIA_N', NULL, NULL, 20766, 12),
(48787, NULL, 'PS51094', NULL, NULL, 'PTS_EIIA type-2 domain profile.', NULL, 'PTS_EIIA_TYPE_2', NULL, NULL, 5774, 12),
(48788, NULL, 'PS51600', NULL, NULL, 'Glycine N-methyltransferase (EC 2.1.1.20 and EC 2.1.1.156) family profile.', NULL, 'SAM_GNMT', NULL, NULL, 12881, 12),
(48789, NULL, 'PS50004', NULL, NULL, 'C2 domain profile.', NULL, 'C2', NULL, NULL, 2681, 12),
(48790, NULL, 'PS51615', NULL, NULL, 'Putrescine N-methyltransferase (EC 2.1.1.53) family profile.', NULL, 'SAM_MT_PUTRESCINE', NULL, NULL, 23786, 12),
(48791, NULL, 'PS50832', NULL, NULL, 'S1 domain IF1 type profile.', NULL, 'S1_IF1_TYPE', NULL, NULL, 11256, 12),
(48792, NULL, 'PS50879', NULL, NULL, 'RNase H domain profile.', NULL, 'RNASE_H', NULL, NULL, 352, 12),
(48793, NULL, 'PS50066', NULL, NULL, 'MADS-box domain profile.', NULL, 'MADS_BOX_2', NULL, NULL, 1414, 12),
(48794, NULL, 'PS50801', NULL, NULL, 'STAS domain profile.', NULL, 'STAS', NULL, NULL, 2680, 12),
(48795, NULL, 'PS51037', NULL, NULL, 'YEATS domain profile.', NULL, 'YEATS', NULL, NULL, 1137, 12),
(48796, NULL, 'PS51467', NULL, NULL, 'HARP domain profile.', NULL, 'HARP', NULL, NULL, 9064, 12),
(48797, NULL, 'PS51717', NULL, NULL, 'Very large inducible GTPASE (VLIG)-type guanine nucleotide-binding (G) domain profile.', NULL, 'G_VLIG', NULL, NULL, 24654, 12),
(48798, NULL, 'PS51188', NULL, NULL, 'Zinc finger CR-type profile.', NULL, 'ZF_CR', NULL, NULL, 356, 12),
(48799, NULL, 'PS51673', NULL, NULL, 'SUZ domain profile.', NULL, 'SUZ', NULL, NULL, 15430, 12),
(48800, NULL, 'PS51497', NULL, NULL, 'UMA domain profile.', NULL, 'UMA', NULL, NULL, 15634, 12),
(48801, NULL, 'PS51032', NULL, NULL, 'AP2/ERF domain profile.', NULL, 'AP2_ERF', NULL, NULL, 3110, 12),
(48802, NULL, 'PS51269', NULL, NULL, 'COMM domain profile.', NULL, 'COMM', NULL, NULL, 2770, 12),
(48803, NULL, 'PS51279', NULL, NULL, 'Bucentaur C-terminal (BCNT-C) domain profile.', NULL, 'BCNT_C', NULL, NULL, 13929, 12),
(48804, NULL, 'PS50009', NULL, NULL, 'Ras guanine-nucleotide exchange factors catalytic domain profile.', NULL, 'RASGEF_CAT', NULL, NULL, 2176, 12),
(48805, NULL, 'PS51539', NULL, NULL, 'Arterivirus papain-like cysteine protease alpha (PCPalpha) domain profile.', NULL, 'AV_PCP_ALPHA', NULL, NULL, 12170, 12),
(48806, NULL, 'PS51180', NULL, NULL, 'BRO1 domain profile.', NULL, 'BRO1', NULL, NULL, 4914, 12);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48807, NULL, 'PS50941', NULL, NULL, 'Chitin-binding type-1 domain profile.', NULL, 'CHIT_BIND_I_2', NULL, NULL, 3306, 12),
(48808, NULL, 'PS50928', NULL, NULL, 'ABC transporter integral membrane type-1 domain profile.', NULL, 'ABC_TM1', NULL, NULL, 5913, 12),
(48809, NULL, 'PS51760', NULL, NULL, 'Glycosyl hydrolases family 10 (GH10) domain profile.', NULL, 'GH10_2', NULL, NULL, 3452, 12),
(48810, NULL, 'PS51259', NULL, NULL, 'Munc13-homology domain 2 (MHD2) profile.', NULL, 'MHD2', NULL, NULL, 11958, 12),
(48811, NULL, 'PS51856', NULL, NULL, 'Rho RNA-binding domain profile.', NULL, 'RHO_RNA_BD', NULL, NULL, 11302, 12),
(48812, NULL, 'PS51383', NULL, NULL, 'YjeF C-terminal domain profile.', NULL, 'YJEF_C_3', NULL, NULL, 5589, 12),
(48813, NULL, 'PS51022', NULL, NULL, 'L27 domain profile.', NULL, 'L27', NULL, NULL, 2553, 12),
(48814, NULL, 'PS50970', NULL, NULL, 'Homocysteine-binding domain profile.', NULL, 'HCY', NULL, NULL, 2472, 12),
(48815, NULL, 'PS51212', NULL, NULL, 'WSC domain profile.', NULL, 'WSC', NULL, NULL, 5964, 12),
(48816, NULL, 'PS50259', NULL, NULL, 'G-protein coupled receptors family 3 profile.', NULL, 'G_PROTEIN_RECEP_F3_4', NULL, NULL, 19023, 12),
(48817, NULL, 'PS50890', NULL, NULL, 'PUA domain profile.', NULL, 'PUA', NULL, NULL, NULL, 12),
(48818, NULL, 'PS50523', NULL, NULL, 'RdRp of Reoviridae dsRNA viruses catalytic domain profile.', NULL, 'RDRP_DSRNA_REO', NULL, NULL, 76, 12),
(48819, NULL, 'PS51182', NULL, NULL, 'C2 tensin-type domain profile.', NULL, 'C2_TENSIN', NULL, NULL, 9472, 12),
(48820, NULL, 'PS50812', NULL, NULL, 'PWWP domain profile.', NULL, 'PWWP', NULL, NULL, 796, 12),
(48821, NULL, 'PS51275', NULL, NULL, 'Gamma-glutamyl hydrolase domain profile.', NULL, 'PEPTIDASE_C26_GGH', NULL, NULL, 8008, 12),
(48822, NULL, 'PS51150', NULL, NULL, 'Agouti domain profile.', NULL, 'AGOUTI_2', NULL, NULL, 25661, 12),
(48823, NULL, 'PS51471', NULL, NULL, 'Fe(2+) 2-oxoglutarate dioxygenase domain profile.', NULL, 'FE2OG_OXY', NULL, NULL, 7374, 12),
(48824, NULL, 'PS51317', NULL, NULL, 'Beta-(1-->2)glucan export ATP-binding/permease protein ndvA family profile.', NULL, 'NDVA', NULL, NULL, NULL, 12),
(48825, NULL, 'PS51725', NULL, NULL, 'ABM domain profile.', NULL, 'ABM', NULL, NULL, 448, 12),
(48826, NULL, 'PS51883', NULL, NULL, 'Obg domain profile.', NULL, 'OBG', NULL, NULL, 10229, 12),
(48827, NULL, 'PS51797', NULL, NULL, 'Translationally controlled tumor protein (TCTP) domain profile.', NULL, 'TCTP_3', NULL, NULL, 15635, 12),
(48828, NULL, 'PS50261', NULL, NULL, 'G-protein coupled receptors family 2 profile 2.', NULL, 'G_PROTEIN_RECEP_F2_4', NULL, NULL, 20327, 12),
(48829, NULL, 'PS51247', NULL, NULL, 'Nickel import ATP-binding protein nikD.', NULL, 'NIKD', NULL, NULL, NULL, 12),
(48830, NULL, 'PS51610', NULL, NULL, 'Calmodulin-lysine N-methyltransferase (EC 2.1.1.60) family profile.', NULL, 'SAM_CLNMT', NULL, NULL, 23867, 12),
(48831, NULL, 'PS51724', NULL, NULL, 'SPOR domain profile.', NULL, 'SPOR', NULL, NULL, 1379, 12),
(48832, NULL, 'PS50022', NULL, NULL, 'Coagulation factors 5/8 type C domain (FA58C) profile.', NULL, 'FA58C_3', NULL, NULL, 4672, 12),
(48833, NULL, 'PS51735', NULL, NULL, 'Filoviruses VP35 interferon inhibitory domain profile.', NULL, 'VP35_IID', NULL, NULL, 27329, 12),
(48834, NULL, 'PS50027', NULL, NULL, 'Laminin-type EGF-like (LE) domain profile.', NULL, 'EGF_LAM_2', NULL, NULL, 1356, 12),
(48835, NULL, 'PS51879', NULL, NULL, 'RST domain profile.', NULL, 'RST', NULL, NULL, 20631, 12),
(48836, NULL, 'PS50868', NULL, NULL, 'Post-SET domain profile.', NULL, 'POST_SET', NULL, NULL, 570, 12),
(48837, NULL, 'PS51741', NULL, NULL, 'F-BAR domain profile.', NULL, 'F_BAR', NULL, NULL, 22825, 12),
(48838, NULL, 'PS50280', NULL, NULL, 'SET domain profile.', NULL, 'SET', NULL, NULL, 2374, 12),
(48839, NULL, 'PS51005', NULL, NULL, 'NAC domain profile.', NULL, 'NAC', NULL, NULL, 5301, 12),
(48840, NULL, 'PS51756', NULL, NULL, 'LXG domain profile.', NULL, 'LXG', NULL, NULL, 3695, 12),
(48841, NULL, 'PS50322', NULL, NULL, 'Glutamine-rich region profile.', NULL, 'GLN_RICH', NULL, NULL, NULL, 12);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48842, NULL, 'PS51358', NULL, NULL, 'Nop domain profile.', NULL, 'NOP', NULL, NULL, 2857, 12),
(48843, NULL, 'PS51463', NULL, NULL, 'Glucose-6-phosphate isomerase family profile.', NULL, 'P_GLUCOSE_ISOMERASE_3', NULL, NULL, 3344, 12),
(48844, NULL, 'PS51668', NULL, NULL, 'TsaA-like domain profile.', NULL, 'TSAA_2', NULL, NULL, 15792, 12),
(48845, NULL, 'PS51792', NULL, NULL, 'Yippee domain profile.', NULL, 'YIPPEE', NULL, NULL, 32597, 12),
(48846, NULL, 'PS51017', NULL, NULL, 'CCT domain profile.', NULL, 'CCT', NULL, NULL, 9950, 12),
(48847, NULL, 'PS51077', NULL, NULL, 'IclR-type HTH domain profile.', NULL, 'HTH_ICLR', NULL, NULL, 818, 12),
(48848, NULL, 'PS50271', NULL, NULL, 'Zinc finger UBP-type profile.', NULL, 'ZF_UBP', NULL, NULL, 3007, 12),
(48849, NULL, 'PS50983', NULL, NULL, 'Iron siderophore/cobalamin periplasmic-binding domain profile.', NULL, 'FE_B12_PBP', NULL, NULL, 645, 12),
(48850, NULL, 'PS51283', NULL, NULL, 'DUSP domain profile.', NULL, 'DUSP', NULL, NULL, 1179, 12),
(48851, NULL, 'PS51888', NULL, NULL, 'Clip domain profile.', NULL, 'CLIP', NULL, NULL, 14997, 12),
(48852, NULL, 'PS51205', NULL, NULL, 'VPS9 domain profile.', NULL, 'VPS9', NULL, NULL, 1918, 12),
(48853, NULL, 'PS50158', NULL, NULL, 'Zinc finger CCHC-type profile.', NULL, 'ZF_CCHC', NULL, NULL, 4468, 12),
(48854, NULL, 'PS51300', NULL, NULL, 'NADH-nitrite reductase subunit D family profile.', NULL, 'NIRD', NULL, NULL, NULL, 12),
(48855, NULL, 'PS51676', NULL, NULL, 'FF domain profile.', NULL, 'FF', NULL, NULL, 3861, 12),
(48856, NULL, 'PS50319', NULL, NULL, 'Leucine-rich region profile.', NULL, 'LEU_RICH', NULL, NULL, NULL, 12),
(48857, NULL, 'PS51193', NULL, NULL, 'Superfamilies 1 and 2 helicase ATP-binding type-2 domain profile.', NULL, 'HELICASE_ATP_BIND_2', NULL, NULL, 9142, 12),
(48858, NULL, 'PS50125', NULL, NULL, 'Guanylate cyclase domain profile.', NULL, 'GUANYLATE_CYCLASE_2', NULL, NULL, 1424, 12),
(48859, NULL, 'PS50194', NULL, NULL, 'Filamin/ABP280 repeat profile.', NULL, 'FILAMIN_REPEAT', NULL, NULL, 11030, 12),
(48860, NULL, 'PS51255', NULL, NULL, 'ADP-dependent kinase (ADPK) domain profile.', NULL, 'ADPK', NULL, NULL, 40, 12),
(48861, NULL, 'PS51493', NULL, NULL, 'Arterivirus nsp4 proteinase domain profile.', NULL, 'AV_NSP4_PRO', NULL, NULL, 15637, 12),
(48862, NULL, 'PS50202', NULL, NULL, 'Major sperm protein (MSP) domain profile.', NULL, 'MSP', NULL, NULL, 5797, 12),
(48863, NULL, 'PS51323', NULL, NULL, 'Insulin-like growth factor-binding protein (IGFBP) N-terminal domain profile.', NULL, 'IGFBP_N_2', NULL, NULL, 4526, 12),
(48864, NULL, 'PS51907', NULL, NULL, 'Zinc finger UBZ3-type profile.', NULL, 'ZF_UBZ3', NULL, NULL, 31593, 12),
(48865, NULL, 'PS51118', NULL, NULL, 'HxlR-type HTH domain profile.', NULL, 'HTH_HXLR', NULL, NULL, 1659, 12),
(48866, NULL, 'PS50977', NULL, NULL, 'TetR-type HTH domain profile.', NULL, 'HTH_TETR_2', NULL, NULL, 3103, 12),
(48867, NULL, 'PS50312', NULL, NULL, 'Aspartic acid-rich region profile.', NULL, 'ASP_RICH', NULL, NULL, NULL, 12),
(48868, NULL, 'PS50829', NULL, NULL, 'GYF domain profile.', NULL, 'GYF', NULL, NULL, 1906, 12),
(48869, NULL, 'PS51065', NULL, NULL, 'Neuralized homology repeat (NHR) domain profile.', NULL, 'NHR', NULL, NULL, 180, 12),
(48870, NULL, 'PS51481', NULL, NULL, 'DhaK domain profile.', NULL, 'DHAK', NULL, NULL, 952, 12),
(48871, NULL, 'PS51705', NULL, NULL, 'HflX-type guanine nucleotide-binding (G) domain profile.', NULL, 'G_HFLX', NULL, NULL, 22511, 12),
(48872, NULL, 'PS51157', NULL, NULL, 'Zinc finger UBR-type profile.', NULL, 'ZF_UBR', NULL, NULL, 1934, 12),
(48873, NULL, 'PS51435', NULL, NULL, 'AP endonucleases family 1 profile.', NULL, 'AP_NUCLEASE_F1_4', NULL, NULL, 4202, 12),
(48874, NULL, 'PS50001', NULL, NULL, 'Src homology 2 (SH2) domain profile.', NULL, 'SH2', NULL, NULL, 3420, 12),
(48875, NULL, 'PS51779', NULL, NULL, 'POTRA domain profile.', NULL, 'POTRA', NULL, NULL, 8116, 12),
(48876, NULL, 'PS50231', NULL, NULL, 'Lectin domain of ricin B chain profile.', NULL, 'RICIN_B_LECTIN', NULL, NULL, 3865, 12),
(48877, NULL, 'PS51747', NULL, NULL, 'Cytidine and deoxycytidylate deaminases domain profile.', NULL, 'CYT_DCMP_DEAMINASES_2', NULL, NULL, 5215, 12); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48878, NULL, 'PS50030', NULL, NULL, 'Ubiquitin-associated domain (UBA) profile.', NULL, 'UBA', NULL, NULL, 8359, 12),
(48879, NULL, 'PS50942', NULL, NULL, 'ENTH domain profile.', NULL, 'ENTH', NULL, NULL, 13203, 12),
(48880, NULL, 'PS51523', NULL, NULL, 'Zinc-finger ZF-HD dimerization-type profile.', NULL, 'ZF_HD_DIMER', NULL, NULL, 6701, 12),
(48881, NULL, 'PS51827', NULL, NULL, 'XRN2-binding (XTBD) domain profile.', NULL, 'XTBD', NULL, NULL, 20059, 12),
(48882, NULL, 'PS01179', NULL, NULL, 'Phosphotyrosine interaction domain (PID) profile.', NULL, 'PID', NULL, NULL, 1147, 12),
(48883, NULL, 'PS51388', NULL, NULL, 'GED domain profile.', NULL, 'GED', NULL, NULL, 20409, 12),
(48884, NULL, 'PS51289', NULL, NULL, 'Cysteine-rich GLG1 repeat profile.', NULL, 'GLG1_C_RICH', NULL, NULL, 18562, 12),
(48885, NULL, 'PS50191', NULL, NULL, 'CRAL-TRIO lipid binding domain profile.', NULL, 'CRAL_TRIO', NULL, NULL, 6978, 12),
(48886, NULL, 'PS51715', NULL, NULL, 'GB1/RHD3-type guanine nucleotide-binding (G) domain profile.', NULL, 'G_GB1_RHD3', NULL, NULL, 28927, 12),
(48887, NULL, 'PS51418', NULL, NULL, 'small GTPase Ran family profile.', NULL, 'RAN', NULL, NULL, 1311, 12),
(48888, NULL, 'PS51899', NULL, NULL, 'Flp-type tyrosine recombinase domain profile.', NULL, 'TYR_RECOMBINASE_FLP', NULL, NULL, 2712, 12),
(48889, NULL, 'PS50317', NULL, NULL, 'Isoleucine-rich region profile.', NULL, 'ILE_RICH', NULL, NULL, NULL, 12),
(48890, NULL, 'PS51904', NULL, NULL, 'Glycosyl hydrolase family 25 (GH25) domain profile.', NULL, 'GLYCOSYL_HYDROL_F25_2', NULL, NULL, 5373, 12),
(48891, NULL, 'PS50318', NULL, NULL, 'Lysine-rich region profile.', NULL, 'LYS_RICH', NULL, NULL, NULL, 12),
(48892, NULL, 'PS51766', NULL, NULL, 'Dockerin domain profile.', NULL, 'DOCKERIN', NULL, NULL, 11485, 12),
(48893, NULL, 'PS51055', NULL, NULL, 'ITAM motif mammalian type profile.', NULL, 'ITAM_1', NULL, NULL, 1210, 12),
(48894, NULL, 'PS51553', NULL, NULL, 'GMP synthetase ATP pyrophosphatase (GMPS ATP-PPase) domain profile.', NULL, 'GMPS_ATP_PPASE', NULL, NULL, 23996, 12),
(48895, NULL, 'PS51901', NULL, NULL, 'Archaeal CBS proteins (ACP)-type metal binding (MB) domain profile.', NULL, 'ACP_MB', NULL, NULL, 37644, 12),
(48896, NULL, 'PS50065', NULL, NULL, 'Hydroxymethylglutaryl-coenzyme A reductases family profile.', NULL, 'HMG_COA_REDUCTASE_4', NULL, NULL, 135, 12),
(48897, NULL, 'PS51343', NULL, NULL, 'P-II protein family profile.', NULL, 'PII_GLNB_DOM', NULL, NULL, 6080, 12),
(48898, NULL, 'PS51764', NULL, NULL, 'Glycosyl hydrolases family 26 (GH26) domain profile.', NULL, 'GH26', NULL, NULL, 14729, 12),
(48899, NULL, 'PS50058', NULL, NULL, 'G-protein gamma subunit domain profile.', NULL, 'G_PROTEIN_GAMMA', NULL, NULL, 7721, 12),
(48900, NULL, 'PS50278', NULL, NULL, 'Platelet-derived growth factor (PDGF) family profile.', NULL, 'PDGF_2', NULL, NULL, 2771, 12),
(48901, NULL, 'PS50252', NULL, NULL, 'T-box domain profile.', NULL, 'TBOX_3', NULL, NULL, 3215, 12),
(48902, NULL, 'PS51034', NULL, NULL, 'ZP domain profile.', NULL, 'ZP_2', NULL, NULL, 6192, 12),
(48903, NULL, 'PS51202', NULL, NULL, 'RCK C-terminal domain profile.', NULL, 'RCK_C', NULL, NULL, 2928, 12),
(48904, NULL, 'PS51412', NULL, NULL, 'Membrane attack complex/perforin (MACPF) domain profile.', NULL, 'MACPF_2', NULL, NULL, 20756, 12),
(48905, NULL, 'PS51291', NULL, NULL, 'Aliphatic sulfonate import ATP-binding protein ssuB family profile.', NULL, 'SSUB', NULL, NULL, NULL, 12),
(48906, NULL, 'PS51456', NULL, NULL, 'Myosin motor domain profile.', NULL, 'MYOSIN_MOTOR', NULL, NULL, 3309, 12),
(48907, NULL, 'PS50805', NULL, NULL, 'Krueppel-associated box (KRAB) profile.', NULL, 'KRAB', NULL, NULL, 4496, 12),
(48908, NULL, 'PS50843', NULL, NULL, 'Expansin, Cellulose-binding-like domain profile.', NULL, 'EXPANSIN_CBD', NULL, NULL, 159, 12),
(48909, NULL, 'PS51757', NULL, NULL, 'Class I myosin tail homology (TH1) domain profile.', NULL, 'TH1', NULL, NULL, 7906, 12),
(48910, NULL, 'PS51260', NULL, NULL, 'Galactose/methyl galactoside import ATP-binding protein mglA family profile.', NULL, 'MGLA', NULL, NULL, NULL, 12);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48911, NULL, 'PS51640', NULL, NULL, 'MRG domain profile.', NULL, 'MRG', NULL, NULL, 26097, 12),
(48912, NULL, 'PS50096', NULL, NULL, 'IQ motif profile.', NULL, 'IQ', NULL, NULL, 2955, 12),
(48913, NULL, 'PS51527', NULL, NULL, 'Flavivirus NS2B domain profile.', NULL, 'FLAVIVIRUS_NS2B', NULL, NULL, 5748, 12),
(48914, NULL, 'PS50956', NULL, NULL, 'AsnC-type HTH domain profile.', NULL, 'HTH_ASNC_2', NULL, NULL, 6906, 12),
(48915, NULL, 'PS51391', NULL, NULL, 'CID domain profile.', NULL, 'CID', NULL, NULL, 428, 12),
(48916, NULL, 'PS50084', NULL, NULL, 'Type-1 KH domain profile.', NULL, 'KH_TYPE_1', NULL, NULL, NULL, 12),
(48917, NULL, 'PS50008', NULL, NULL, 'Phosphatidylinositol-specific phospholipase Y-box domain profile.', NULL, 'PIPLC_Y_DOMAIN', NULL, NULL, 3125, 12),
(48918, NULL, 'PS50869', NULL, NULL, 'BRICHOS domain profile.', NULL, 'BRICHOS', NULL, NULL, 407, 12),
(48919, NULL, 'PS51117', NULL, NULL, 'Laminin N-terminal domain profile.', NULL, 'LAMININ_NTER', NULL, NULL, 7379, 12),
(48920, NULL, 'PS50817', NULL, NULL, 'Intein N-terminal splicing motif profile.', NULL, 'INTEIN_N_TER', NULL, NULL, 10026, 12),
(48921, NULL, 'PS51690', NULL, NULL, 'Alphavirus core protein (CP) domain profile.', NULL, 'ALPHAVIRUS_CP', NULL, NULL, 3033, 12),
(48922, NULL, 'PS50950', NULL, NULL, 'Zinc finger THAP-type profile', NULL, 'ZF_THAP', NULL, NULL, 1302, 12),
(48923, NULL, 'PS51272', NULL, NULL, 'S-layer homology (SLH) domain profile.', NULL, 'SLH', NULL, NULL, 1265, 12),
(48924, NULL, 'PS51580', NULL, NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, 'SAM_MT43_3', NULL, NULL, 23721, 12),
(48925, NULL, 'PS50825', NULL, NULL, 'HYR domain profile.', NULL, 'HYR', NULL, NULL, 5249, 12),
(48926, NULL, 'PS51928', NULL, NULL, 'Coronavirus nucleocapsid (CoV N) protein N-terminal (NTD) domain profile.', NULL, 'COV_N_NTD', NULL, NULL, 36767, 12),
(48927, NULL, 'PS51935', NULL, NULL, 'NlpC/P60 domain profile.', NULL, 'NLPC_P60', NULL, NULL, 2735, 12),
(48928, NULL, 'PS50105', NULL, NULL, 'SAM domain profile.', NULL, 'SAM_DOMAIN', NULL, NULL, 5053, 12),
(48929, NULL, 'PS51306', NULL, NULL, 'ASD1 domain profile.', NULL, 'ASD1', NULL, NULL, 11993, 12),
(48930, NULL, 'PS51384', NULL, NULL, 'Ferredoxin reductase-type FAD binding domain profile.', NULL, 'FAD_FR', NULL, NULL, 18574, 12),
(48931, NULL, 'PS50206', NULL, NULL, 'Rhodanese domain profile.', NULL, 'RHODANESE_3', NULL, NULL, 3063, 12),
(48932, NULL, 'PS51707', NULL, NULL, 'CYTH domain profile.', NULL, 'CYTH', NULL, NULL, 17044, 12),
(48933, NULL, 'PS50178', NULL, NULL, 'Zinc finger FYVE/FYVE-related type profile.', NULL, 'ZF_FYVE', NULL, NULL, 18624, 12),
(48934, NULL, 'PS51142', NULL, NULL, 'Nicotianamine synthase (NAS)-like family profile.', NULL, 'NAS', NULL, NULL, 4503, 12),
(48935, NULL, 'PS51296', NULL, NULL, 'Rieske [2Fe-2S] iron-sulfur domain profile.', NULL, 'RIESKE', NULL, NULL, 21325, 12),
(48936, NULL, 'PS51711', NULL, NULL, 'FeoB-type guanine nucleotide-binding (G) domain profile.', NULL, 'G_FEOB', NULL, NULL, 26103, 12),
(48937, NULL, 'PS50893', NULL, NULL, 'ATP-binding cassette, ABC transporter-type domain profile.', NULL, 'ABC_TRANSPORTER_2', NULL, NULL, 5197, 12),
(48938, NULL, 'PS50328', NULL, NULL, 'Tyrosine-rich region profile.', NULL, 'TYR_RICH', NULL, NULL, NULL, 12),
(48939, NULL, 'PS51053', NULL, NULL, 'SERTA domain profile.', NULL, 'SERTA', NULL, NULL, 13508, 12),
(48940, NULL, 'PS51126', NULL, NULL, 'Dilute domain profile.', NULL, 'DILUTE', NULL, NULL, 3722, 12),
(48941, NULL, 'PS51778', NULL, NULL, 'VASt domain profile.', NULL, 'VAST', NULL, NULL, 23855, 12),
(48942, NULL, 'PS51072', NULL, NULL, 'Mu homology domain (MHD) profile.', NULL, 'MHD', NULL, NULL, 28284, 12),
(48943, NULL, 'PS51697', NULL, NULL, 'ALOG domain profile.', NULL, 'ALOG', NULL, NULL, 5986, 12),
(48944, NULL, 'PS51031', NULL, NULL, 'BESS domain profile.', NULL, 'BESS', NULL, NULL, 3637, 12),
(48945, NULL, 'PS51237', NULL, NULL, 'Sulfate/thiosulfate import ATP-binding protein cysA family profile.', NULL, 'CYSA', NULL, NULL, NULL, 12);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48946, NULL, 'PS51186', NULL, NULL, 'Gcn5-related N-acetyltransferase (GNAT) domain profile.', NULL, 'GNAT', NULL, NULL, 1672, 12),
(48947, NULL, 'PS51822', NULL, NULL, 'Hepacivirus/Pegivirus NS3 protease domain profile.', NULL, 'HV_PV_NS3_PRO', NULL, NULL, 1964, 12),
(48948, NULL, 'PS51266', NULL, NULL, 'Zinc finger CHY-type profile.', NULL, 'ZF_CHY', NULL, NULL, 7973, 12),
(48949, NULL, 'PS50961', NULL, NULL, 'La-type HTH domain profile.', NULL, 'HTH_LA', NULL, NULL, 1203, 12),
(48950, NULL, 'PS51759', NULL, NULL, 'Carbohydrate-binding module 15 (CBM15) domain profile.', NULL, 'CBM15', NULL, NULL, 10281, 12),
(48951, NULL, 'PS50044', NULL, NULL, 'Sigma-54 factors family profile.', NULL, 'SIGMA54_3', NULL, NULL, NULL, 12),
(48952, NULL, 'PS51083', NULL, NULL, 'Zinc finger HIT-type profile.', NULL, 'ZF_HIT', NULL, NULL, 10896, 12),
(48953, NULL, 'PS51208', NULL, NULL, 'Autotransporter beta-domain profile.', NULL, 'AUTOTRANSPORTER', NULL, NULL, 1596, 12),
(48954, NULL, 'PS51577', NULL, NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, 'SAM_MT43_SET7', NULL, NULL, 21749, 12),
(48955, NULL, 'PS50836', NULL, NULL, 'DOMON domain profile.', NULL, 'DOMON', NULL, NULL, 1160, 12),
(48956, NULL, 'PS50075', NULL, NULL, 'Carrier protein (CP) domain profile.', NULL, 'CARRIER', NULL, NULL, 6163, 12),
(48957, NULL, 'PS51934', NULL, NULL, 'LRAT domain profile.', NULL, 'LRAT', NULL, NULL, 6763, 12),
(48958, NULL, 'PS51305', NULL, NULL, 'Spermidine/putrescine import ATP-binding protein potA family profile.', NULL, 'POTA', NULL, NULL, NULL, 12),
(48959, NULL, 'PS51380', NULL, NULL, 'EXS domain profile.', NULL, 'EXS', NULL, NULL, 4624, 12),
(48960, NULL, 'PS50985', NULL, NULL, 'GRAS family profile.', NULL, 'GRAS', NULL, NULL, 5069, 12),
(48961, NULL, 'PS50864', NULL, NULL, 'SAND domain profile.', NULL, 'SAND', NULL, NULL, 3892, 12),
(48962, NULL, 'PS50937', NULL, NULL, 'MerR-type HTH domain profile.', NULL, 'HTH_MERR_2', NULL, NULL, 5561, 12),
(48963, NULL, 'PS50895', NULL, NULL, 'SURF1 family profile.', NULL, 'SURF1', NULL, NULL, 7283, 12),
(48964, NULL, 'PS50203', NULL, NULL, 'Cysteine proteinase, calpain-type, catalytic domain profile.', NULL, 'CALPAIN_CAT', NULL, NULL, 2109, 12),
(48965, NULL, 'PS50211', NULL, NULL, 'Tripartite DENN domain profile.', NULL, 'DENN', NULL, NULL, 35365, 12),
(48966, NULL, 'PS51488', NULL, NULL, 'KBD domain profile.', NULL, 'KBD', NULL, NULL, 15741, 12),
(48967, NULL, 'PS01124', NULL, NULL, 'Bacterial regulatory proteins, araC family DNA-binding domain profile.', NULL, 'HTH_ARAC_FAMILY_2', NULL, NULL, 13720, 12),
(48968, NULL, 'PS50987', NULL, NULL, 'ArsR-type HTH domain profile.', NULL, 'HTH_ARSR_2', NULL, NULL, 4091, 12),
(48969, NULL, 'PS51252', NULL, NULL, 'Antistasin-like domain profile.', NULL, 'ANTISTASIN', NULL, NULL, 1931, 12),
(48970, NULL, 'PS51663', NULL, NULL, 'Stathmin-like (SLD) domain profile.', NULL, 'STATHMIN_3', NULL, NULL, 3005, 12),
(48971, NULL, 'PS51161', NULL, NULL, 'ATP-cone domain profile.', NULL, 'ATP_CONE', NULL, NULL, 4174, 12),
(48972, NULL, 'PS50186', NULL, NULL, 'DEP domain profile.', NULL, 'DEP', NULL, NULL, 5746, 12),
(48973, NULL, 'PS51183', NULL, NULL, 'JmjN domain profile.', NULL, 'JMJN', NULL, NULL, 4102, 12),
(48974, NULL, 'PS50063', NULL, NULL, 'Apoptosis regulator, Bcl-2 family BH4 motif profile.', NULL, 'BH4_2', NULL, NULL, 862, 12),
(48975, NULL, 'PS50176', NULL, NULL, 'Armadillo/plakoglobin ARM repeat profile.', NULL, 'ARM_REPEAT', NULL, NULL, 3930, 12),
(48976, NULL, 'PS50887', NULL, NULL, 'GGDEF domain profile.', NULL, 'GGDEF', NULL, NULL, 1825, 12),
(48977, NULL, 'PS51750', NULL, NULL, 'Bro-N domain profile.', NULL, 'BRO_N', NULL, NULL, 6410, 12),
(48978, NULL, 'PS51913', NULL, NULL, 'HARE-type HTH domain profile.', NULL, 'HTH_HARE', NULL, NULL, 1200, 12),
(48979, NULL, 'PS51479', NULL, NULL, 'RTR1-type zinc finger.', NULL, 'ZF_RTR1', NULL, NULL, 4780, 12),
(48980, NULL, 'PS51338', NULL, NULL, 'IMD domain profile.', NULL, 'IMD', NULL, NULL, 11429, 12),
(48981, NULL, 'PS51112', NULL, NULL, 'AMMECR1 domain profile.', NULL, 'AMMECR1', NULL, NULL, 3601, 12);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(48982, NULL, 'PS51551', NULL, NULL, 'Ephrin receptor-binding (ephrin RBD) domain profile.', NULL, 'EPHRIN_RBD_2', NULL, NULL, 3101, 12),
(48983, NULL, 'PS50917', NULL, NULL, 'SPOC domain profile.', NULL, 'SPOC', NULL, NULL, 5046, 12),
(48984, NULL, 'PS51342', NULL, NULL, 'Colipase family profile.', NULL, 'COLIPASE_2', NULL, NULL, 2259, 12),
(48985, NULL, 'PS51844', NULL, NULL, 'Myosin N-terminal SH3-like domain profile.', NULL, 'SH3_LIKE', NULL, NULL, 1000, 12),
(48986, NULL, 'PS51000', NULL, NULL, 'DeoR-type HTH domain profile.', NULL, 'HTH_DEOR_2', NULL, NULL, 1274, 12),
(48987, NULL, 'PS50024', NULL, NULL, 'SEA domain profile.', NULL, 'SEA', NULL, NULL, 2974, 12),
(48988, NULL, 'PS51500', NULL, NULL, 'Sin domain profile.', NULL, 'SIN', NULL, NULL, 8197, 12),
(48989, NULL, 'PS51203', NULL, NULL, 'CS domain profile.', NULL, 'CS', NULL, NULL, 6569, 12),
(48990, NULL, 'PS51409', NULL, NULL, 'Arginase family profile.', NULL, 'ARGINASE_2', NULL, NULL, 2821, 12),
(48991, NULL, 'PS50163', NULL, NULL, 'RecA family profile 2.', NULL, 'RECA_3', NULL, NULL, 20921, 12),
(48992, NULL, 'PS50235', NULL, NULL, 'Ubiquitin specific protease (USP) domain profile.', NULL, 'USP_3', NULL, NULL, 25709, 12),
(48993, NULL, 'PS51392', NULL, NULL, 'KEN domain profile.', NULL, 'KEN', NULL, NULL, 10895, 12),
(48994, NULL, 'PS51801', NULL, NULL, 'Zinc finger CCHC NOA-type profile.', NULL, 'ZF_CCHC_NOA', NULL, NULL, 15909, 12),
(48995, NULL, 'PS50181', NULL, NULL, 'F-box domain profile.', NULL, 'FBOX', NULL, NULL, 4824, 12),
(48996, NULL, 'PS50885', NULL, NULL, 'HAMP domain profile.', NULL, 'HAMP', NULL, NULL, 1390, 12),
(48997, NULL, 'PS50831', NULL, NULL, 'SoHo domain profile.', NULL, 'SOHO', NULL, NULL, 2690, 12),
(48998, NULL, 'PS50013', NULL, NULL, 'Chromo and chromo shadow domain profile.', NULL, 'CHROMO_2', NULL, NULL, 3393, 12),
(48999, NULL, 'PS50005', NULL, NULL, 'TPR repeat profile.', NULL, 'TPR', NULL, NULL, 21305, 12),
(49000, NULL, 'PS51102', NULL, NULL, 'PTS_EIIB type-5 domain profile.', NULL, 'PTS_EIIB_TYPE_5', NULL, NULL, 11243, 12),
(49001, NULL, 'PS51509', NULL, NULL, 'Phosphagen kinase N-terminal domain profile.', NULL, 'PHOSPHAGEN_KINASE_N', NULL, NULL, 16371, 12),
(49002, NULL, 'PS50988', NULL, NULL, 'TROVE domain profile.', NULL, 'TROVE', NULL, NULL, 14227, 12),
(49003, NULL, 'PS51828', NULL, NULL, 'Pentraxin (PTX) domain profile.', NULL, 'PTX_2', NULL, NULL, 3343, 12),
(49004, NULL, 'PS50882', NULL, NULL, 'YTH domain profile.', NULL, 'YTH', NULL, NULL, 7457, 12),
(49005, NULL, 'PS50934', NULL, NULL, 'SWIRM domain profile.', NULL, 'SWIRM', NULL, NULL, 10629, 12),
(49006, NULL, 'PS50838', NULL, NULL, 'MAGE conserved domain profile.', NULL, 'MAGE', NULL, NULL, 161, 12),
(49007, NULL, 'PS51823', NULL, NULL, 'Clueless (Clu) domain profile.', NULL, 'CLU', NULL, NULL, 23519, 12),
(49008, NULL, 'PS50016', NULL, NULL, 'Zinc finger PHD-type profile.', NULL, 'ZF_PHD_2', NULL, NULL, 15146, 12),
(49009, NULL, 'PS50297', NULL, NULL, 'Ankyrin repeat region circular profile.', NULL, 'ANK_REP_REGION', NULL, NULL, NULL, 12),
(49010, NULL, 'PS51198', NULL, NULL, 'UvrD-like DNA helicase ATP-binding domain profile.', NULL, 'UVRD_HELICASE_ATP_BIND', NULL, NULL, 9266, 12),
(49011, NULL, 'PS51546', NULL, NULL, 'Phosphatidylinositol 3-kinase Ras-binding (PI3K RBD) domain profile.', NULL, 'PI3K_RBD', NULL, NULL, 122, 12),
(49012, NULL, 'PS50305', NULL, NULL, 'Sirtuin catalytic domain profile.', NULL, 'SIRTUIN', NULL, NULL, 24204, 12),
(49013, NULL, 'PS51310', NULL, NULL, 'VPS28 C-terminal domain profile.', NULL, 'VPS28_C', NULL, NULL, 8244, 12),
(49014, NULL, 'PS51651', NULL, NULL, 'DOCKER domain profile.', NULL, 'DOCKER', NULL, NULL, 28976, 12),
(49015, NULL, 'PS50026', NULL, NULL, 'EGF-like domain profile.', NULL, 'EGF_3', NULL, NULL, 3532, 12),
(49016, NULL, 'PS50166', NULL, NULL, 'Importin-beta N-terminal domain profile.', NULL, 'IMPORTIN_B_NT', NULL, NULL, 3194, 12),
(49017, NULL, 'PS51351', NULL, NULL, 'TFIIE beta central core DNA-binding domain profile.', NULL, 'TFIIE_BETA_C', NULL, NULL, 1726, 12),
(49018, NULL, 'PS50152', NULL, NULL, '2''-5''-oligoadenylate synthase N-terminal region profile.', NULL, '25A_SYNTH_3', NULL, NULL, NULL, 12);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49019, NULL, 'PS51064', NULL, NULL, 'IRS-type PTB domain profile.', NULL, 'IRS_PTB', NULL, NULL, 6533, 12),
(49020, NULL, 'PS51796', NULL, NULL, 'MSS4 domain profile.', NULL, 'MSS4', NULL, NULL, 10928, 12),
(49021, NULL, 'PS51079', NULL, NULL, 'MBT repeat profile.', NULL, 'MBT', NULL, NULL, 1933, 12),
(49022, NULL, 'PS51653', NULL, NULL, 'Coronaviridae zinc-binding (CV ZBD) domain profile.', NULL, 'CV_ZBD', NULL, NULL, 25106, 12),
(49023, NULL, 'PS51130', NULL, NULL, 'PdxT/SNO family profile.', NULL, 'PDXT_SNO_2', NULL, NULL, 5272, 12),
(49024, NULL, 'PS50039', NULL, NULL, 'Fork head domain profile.', NULL, 'FORK_HEAD_3', NULL, NULL, 3386, 12),
(49025, NULL, 'PS50018', NULL, NULL, 'Ras GTPase-activating proteins profile.', NULL, 'RAS_GTPASE_ACTIV_2', NULL, NULL, 2448, 12),
(49026, NULL, 'PS50878', NULL, NULL, 'Reverse transcriptase (RT) catalytic domain profile.', NULL, 'RT_POL', NULL, NULL, 6922, 12),
(49027, NULL, 'PS51345', NULL, NULL, 'Myotoxins family profile.', NULL, 'MYOTOXINS_2', NULL, NULL, NULL, 12),
(49028, NULL, 'PS51097', NULL, NULL, 'PTS_EIIA type-5 domain profile.', NULL, 'PTS_EIIA_TYPE_5', NULL, NULL, 3956, 12),
(49029, NULL, 'PS51215', NULL, NULL, 'AWS domain profile.', NULL, 'AWS', NULL, NULL, 442, 12),
(49030, NULL, 'PS50244', NULL, NULL, 'Steroid 5-alpha reductase C-terminal domain profile.', NULL, 'S5A_REDUCTASE', NULL, NULL, 1097, 12),
(49031, NULL, 'PS51029', NULL, NULL, 'MADF domain profile.', NULL, 'MADF', NULL, NULL, 111, 12),
(49032, NULL, 'PS50980', NULL, NULL, 'Acetyl-coenzyme A (CoA) carboxyltransferase N-terminal domain profile.', NULL, 'COA_CT_NTER', NULL, NULL, 11628, 12),
(49033, NULL, 'PS51273', NULL, NULL, 'Glutamine amidotransferase type 1 domain profile.', NULL, 'GATASE_TYPE_1', NULL, NULL, NULL, 12),
(49034, NULL, 'PS51709', NULL, NULL, 'TrmE-type guanine nucleotide-binding (G) domain profile.', NULL, 'G_TRME', NULL, NULL, 27347, 12),
(49035, NULL, 'PS51063', NULL, NULL, 'Crp-type HTH domain profile.', NULL, 'HTH_CRP_2', NULL, NULL, 11710, 12),
(49036, NULL, 'PS50862', NULL, NULL, 'Aminoacyl-transfer RNA synthetases class-II family profile.', NULL, 'AA_TRNA_LIGASE_II', NULL, NULL, 11497, 12),
(49037, NULL, 'PS51943', NULL, NULL, 'Coronavirus Nsp3a Ubl domain profile.', NULL, 'COV_NSP3A_UBL', NULL, NULL, 37738, 12),
(49038, NULL, 'PS51111', NULL, NULL, 'REJ domain profile.', NULL, 'REJ', NULL, NULL, 8378, 12),
(49039, NULL, 'PS51681', NULL, NULL, 'SAM-dependent methyltransferase NNMT/PNMT/TEMT-type profile.', NULL, 'SAM_MT_NNMT_PNMT_TEMT', NULL, NULL, 3065, 12),
(49040, NULL, 'PS51832', NULL, NULL, 'HD-GYP domain profile.', NULL, 'HD_GYP', NULL, NULL, 29304, 12),
(49041, NULL, 'PS51372', NULL, NULL, 'PRD domain profile.', NULL, 'PRD_2', NULL, NULL, 8346, 12),
(49042, NULL, 'PS51765', NULL, NULL, 'Zinc finger RAG1-type profile.', NULL, 'ZF_RAG1', NULL, NULL, 18586, 12),
(49043, NULL, 'PS50164', NULL, NULL, 'GIY-YIG domain profile.', NULL, 'GIY_YIG', NULL, NULL, 981, 12),
(49044, NULL, 'PS51179', NULL, NULL, 'POU-specific (POUs) domain profile.', NULL, 'POU_3', NULL, NULL, 530, 12),
(49045, NULL, 'PS51229', NULL, NULL, 'DCUN1 domain profile.', NULL, 'DCUN1', NULL, NULL, 5322, 12),
(49046, NULL, 'PS51243', NULL, NULL, 'Cytochrome C biogenesis export ATP-binding protein ccmA family profile.', NULL, 'CCMA', NULL, NULL, NULL, 12),
(49047, NULL, 'PS51128', NULL, NULL, 'Prokaryotic dksA C4-type zinc finger profiles.', NULL, 'ZF_DKSA_2', NULL, NULL, 497, 12),
(49048, NULL, 'PS51540', NULL, NULL, 'Arterivirus papain-like cysteine protease beta (PCPbeta) domain profile.', NULL, 'AV_PCP_BETA', NULL, NULL, 21724, 12),
(49049, NULL, 'PS50940', NULL, NULL, 'Chitin-binding type-2 domain profile.', NULL, 'CHIT_BIND_II', NULL, NULL, 1890, 12),
(49050, NULL, 'PS50003', NULL, NULL, 'PH domain profile.', NULL, 'PH_DOMAIN', NULL, NULL, 1034, 12),
(49051, NULL, 'PS51048', NULL, NULL, 'SGS domain profile.', NULL, 'SGS', NULL, NULL, 1100, 12),
(49052, NULL, 'PS51585', NULL, NULL, 'Thiopurine or thiol or thiocyanate S-methyltransferase (TPMT) family profile.', NULL, 'SAM_MT_TPMT', NULL, NULL, 14323, 12);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49053, NULL, 'PS51923', NULL, NULL, 'Coronavirus spike (S) glycoprotein S2 subunit heptad repeat 1 (HR1) region profile.', NULL, 'COV_S2_HR1', NULL, NULL, 37767, 12),
(49054, NULL, 'PS51738', NULL, NULL, 'Peptidase family C21 domain profile.', NULL, 'PEPTIDASE_C21', NULL, NULL, NULL, 12),
(49055, NULL, 'PS50293', NULL, NULL, 'TPR repeat region circular profile.', NULL, 'TPR_REGION', NULL, NULL, NULL, 12),
(49056, NULL, 'PS50002', NULL, NULL, 'Src homology 3 (SH3) domain profile.', NULL, 'SH3', NULL, NULL, 6360, 12),
(49057, NULL, 'PS51731', NULL, NULL, 'Vertebrate-like NAGS Gcn5-related N-acetyltransferase (GNAT) domain profile.', NULL, 'GNAT_NAGS', NULL, NULL, 4151, 12),
(49058, NULL, 'PS50965', NULL, NULL, 'NERD domain profile.', NULL, 'NERD', NULL, NULL, 12352, 12),
(49059, NULL, 'PS51942', NULL, NULL, 'Betacoronavirus Nsp3c-C domain profile.', NULL, 'BCOV_NSP3C_C', NULL, NULL, 17442, 12),
(49060, NULL, 'PS50873', NULL, NULL, 'Plant heme peroxidase family profile.', NULL, 'PEROXIDASE_4', NULL, NULL, 2319, 12),
(49061, NULL, 'PS51254', NULL, NULL, 'Ribose import ATP-binding protein rbsA family profile.', NULL, 'RBSA', NULL, NULL, NULL, 12),
(49062, NULL, 'PS51387', NULL, NULL, 'PCMH-type FAD-binding domain profile.', NULL, 'FAD_PCMH', NULL, NULL, 12172, 12),
(49063, NULL, 'PS51722', NULL, NULL, 'Translational (tr)-type guanine nucleotide-binding (G) domain profile.', NULL, 'G_TR_2', NULL, NULL, 6861, 12),
(49064, NULL, 'PS50081', NULL, NULL, 'Zinc finger phorbol-ester/DAG-type profile.', NULL, 'ZF_DAG_PE_2', NULL, NULL, 5500, 12),
(49065, NULL, 'PS50092', NULL, NULL, 'Thrombospondin type-1 (TSP1) repeat profile.', NULL, 'TSP1', NULL, NULL, 4708, 12),
(49066, NULL, 'PS50177', NULL, NULL, 'Nuclear transport factor 2 domain profile.', NULL, 'NTF2_DOMAIN', NULL, NULL, 7747, 12),
(49067, NULL, 'PS51324', NULL, NULL, 'ERV/ALR sulfhydryl oxidase domain profile.', NULL, 'ERV_ALR', NULL, NULL, 13079, 12),
(49068, NULL, 'PS50071', NULL, NULL, '''Homeobox'' domain profile.', NULL, 'HOMEOBOX_2', NULL, NULL, 7266, 12),
(49069, NULL, 'PS51873', NULL, NULL, 'TRIAD supradomain profile.', NULL, 'TRIAD', NULL, NULL, 38425, 12),
(49070, NULL, 'PS50041', NULL, NULL, 'C-type lectin domain profile.', NULL, 'C_TYPE_LECTIN_2', NULL, NULL, 207, 12),
(49071, NULL, 'PS51025', NULL, NULL, 'PWI domain profile.', NULL, 'PWI', NULL, NULL, 788, 12),
(49072, NULL, 'PS51648', NULL, NULL, 'YcgL domain profile.', NULL, 'YCGL', NULL, NULL, 25124, 12),
(49073, NULL, 'PS51043', NULL, NULL, 'DDHD domain profile.', NULL, 'DDHD', NULL, NULL, 2627, 12),
(49074, NULL, 'PS51307', NULL, NULL, 'ASD2 domain profile.', NULL, 'ASD2', NULL, NULL, 11806, 12),
(49075, NULL, 'PS51938', NULL, NULL, 'SUZ-C domain profile.', NULL, 'SUZ_C', NULL, NULL, 13635, 12),
(49076, NULL, 'PS51109', NULL, NULL, 'G5 domain profile.', NULL, 'G5', NULL, NULL, 11186, 12),
(49077, NULL, 'PS51612', NULL, NULL, 'Poxvirus/kinetoplastid-type ribose 2''-O-methyltransferase (EC 2.1.1.57) family profile.', NULL, 'SAM_MT_2O_PK', NULL, NULL, 23878, 12),
(49078, NULL, 'PS51804', NULL, NULL, 'Zinc finger C2HC LYAR-type profile.', NULL, 'ZF_C2HC_LYAR', NULL, NULL, NULL, 12),
(49079, NULL, 'PS51160', NULL, NULL, 'Acylphosphatase-like domain profile.', NULL, 'ACYLPHOSPHATASE_3', NULL, NULL, 4360, 12),
(49080, NULL, 'PS51516', NULL, NULL, 'Sox C-terminal domain profile.', NULL, 'SOX_C', NULL, NULL, 20234, 12),
(49081, NULL, 'PS51408', NULL, NULL, 'Transferrin-like domain profile.', NULL, 'TRANSFERRIN_LIKE_4', NULL, NULL, 1375, 12),
(49082, NULL, 'PS51020', NULL, NULL, 'Spondin domain profile.', NULL, 'SPONDIN', NULL, NULL, 9212, 12),
(49083, NULL, 'PS51113', NULL, NULL, 'Zinc finger Btk-type profile.', NULL, 'ZF_BTK', NULL, NULL, 5075, 12),
(49084, NULL, 'PS51855', NULL, NULL, 'MGS-like domain profile.', NULL, 'MGS', NULL, NULL, 8132, 12),
(49085, NULL, 'PS51622', NULL, NULL, 'tRNA (uracil-5-)-methyltransferase (EC 2.1.1.35) family profile.', NULL, 'SAM_MT_RNA_M5U_2', NULL, NULL, 23992, 12),
(49086, NULL, 'PS51221', NULL, NULL, 'TTL domain profile.', NULL, 'TTL', NULL, NULL, 4542, 12);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49087, NULL, 'PS51599', NULL, NULL, 'Phospholipid methyltransferases (EC 2.1.1.17 and EC=2.1.1.71) family profile.', NULL, 'SAM_PEMT_PEM2', NULL, NULL, 24757, 12),
(49088, NULL, 'PS51937', NULL, NULL, 'HNF-1 dimerization (HNF-p1) domain profile.', NULL, 'HNF_P1', NULL, NULL, 37759, 12),
(49089, NULL, 'PS51941', NULL, NULL, 'Betacoronavirus Nsp3c-M domain profile.', NULL, 'BCOV_NSP3C_M', NULL, NULL, 22778, 12),
(49090, NULL, 'PS50532', NULL, NULL, 'IS408 transposase-type HTH domain profile.', NULL, 'HTH_IS408', NULL, NULL, 13274, 12),
(49091, NULL, 'PS51821', NULL, NULL, 'Velvet domain profile.', NULL, 'VELVET', NULL, NULL, 29126, 12),
(49092, NULL, 'PS50851', NULL, NULL, 'CheW-like domain profile.', NULL, 'CHEW', NULL, NULL, 1847, 12),
(49093, NULL, 'PS51727', NULL, NULL, 'CBP/p300-type histone acetyltransferase (HAT) domain profile.', NULL, 'CBP_P300_HAT', NULL, NULL, 22070, 12),
(49094, NULL, 'PS51231', NULL, NULL, 'Diaphanous autoregulatory domain (DAD) profile.', NULL, 'DAD', NULL, NULL, 11635, 12),
(49095, NULL, 'PS50320', NULL, NULL, 'Methionine-rich region profile.', NULL, 'MET_RICH', NULL, NULL, NULL, 12),
(49096, NULL, 'PS51460', NULL, NULL, 'GAR domain profile.', NULL, 'GAR', NULL, NULL, 2516, 12),
(49097, NULL, 'PS50122', NULL, NULL, 'CheB-type methylesterase domain profile.', NULL, 'CHEB', NULL, NULL, 3838, 12),
(49098, NULL, 'PS51499', NULL, NULL, 'APO domain profile.', NULL, 'APO', NULL, NULL, 15996, 12),
(49099, NULL, 'PS51770', NULL, NULL, 'Hotdog acyl-CoA thioesterase (ACOT)-type domain profile.', NULL, 'HOTDOG_ACOT', NULL, NULL, 33133, 12),
(49100, NULL, 'PS50919', NULL, NULL, 'MIR domain profile.', NULL, 'MIR', NULL, NULL, 13560, 12),
(49101, NULL, 'PS51624', NULL, NULL, 'RNA methyltransferase TRMH family profile.', NULL, 'SAM_MT_TRMH_2', NULL, NULL, 23541, 12),
(49102, NULL, 'PS51021', NULL, NULL, 'BAR domain profile.', NULL, 'BAR', NULL, NULL, 2968, 12),
(49103, NULL, 'PS51719', NULL, NULL, 'Septin-type guanine nucleotide-binding (G) domain profile.', NULL, 'G_SEPTIN', NULL, NULL, 28907, 12),
(49104, NULL, 'PS50106', NULL, NULL, 'PDZ domain profile.', NULL, 'PDZ', NULL, NULL, 3345, 12),
(49105, NULL, 'PS51219', NULL, NULL, 'Dephospho-CoA kinase (DPCK) domain profile.', NULL, 'DPCK', NULL, NULL, 4417, 12),
(49106, NULL, 'PS51515', NULL, NULL, 'Bin3-type S-adenosyl-L-methionine (SAM) domain profile.', NULL, 'BIN3_SAM', NULL, NULL, 9869, 12),
(49107, NULL, 'PS51304', NULL, NULL, 'Galactoside-binding lectin (galectin) domain profile.', NULL, 'GALECTIN', NULL, NULL, 2491, 12),
(49108, NULL, 'PS50215', NULL, NULL, 'ADAM type metalloprotease domain profile.', NULL, 'ADAM_MEPRO', NULL, NULL, 5058, 12),
(49109, NULL, 'PS50986', NULL, NULL, 'MANSC domain profile.', NULL, 'MANSC', NULL, NULL, 9819, 12),
(49110, NULL, 'PS50804', NULL, NULL, 'SCAN box profile.', NULL, 'SCAN_BOX', NULL, NULL, 1170, 12),
(49111, NULL, 'PS50839', NULL, NULL, 'CHASE domain profile.', NULL, 'CHASE', NULL, NULL, 11227, 12),
(49112, NULL, 'PS50912', NULL, NULL, 'EAR repeat profile.', NULL, 'EAR', NULL, NULL, 7613, 12),
(49113, NULL, 'PS51396', NULL, NULL, 'PUL domain profile.', NULL, 'PUL', NULL, NULL, 13342, 12),
(49114, NULL, 'PS50856', NULL, NULL, 'AMOP domain profile.', NULL, 'AMOP', NULL, NULL, 1534, 12),
(49115, NULL, 'PS51315', NULL, NULL, 'sn-glycerol-3-phosphate import ATP-binding protein ugpC family profile.', NULL, 'UGPC', NULL, NULL, NULL, 12),
(49116, NULL, 'PS50172', NULL, NULL, 'BRCT domain profile.', NULL, 'BRCT', NULL, NULL, 7359, 12),
(49117, NULL, 'PS51538', NULL, NULL, 'Arterivirus nsp2 cysteine protease (AV CP) domain profile.', NULL, 'AV_CP', NULL, NULL, 12031, 12),
(49118, NULL, 'PS51773', NULL, NULL, 'Orange carotenoid protein (OCP) N-terminal domain profile.', NULL, 'OCP_N', NULL, NULL, 10622, 12),
(49119, NULL, 'PS50311', NULL, NULL, 'Cysteine-rich region profile.', NULL, 'CYS_RICH', NULL, NULL, NULL, 12),
(49120, NULL, 'PS51002', NULL, NULL, 'Cytochrome b/b6 N-terminal region profile.', NULL, 'CYTB_NTER', NULL, NULL, 5625, 12),
(49121, NULL, 'PS51421', NULL, NULL, 'small GTPase Ras family profile.', NULL, 'RAS', NULL, NULL, 4505, 12);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49122, NULL, 'PS51944', NULL, NULL, 'Coronavirus Nsp3d Ubl domain profile.', NULL, 'COV_NSP3D_UBL', NULL, NULL, 36609, 12),
(49123, NULL, 'PS51184', NULL, NULL, 'JmjC domain profile.', NULL, 'JMJC', NULL, NULL, 4329, 12),
(49124, NULL, 'PS51339', NULL, NULL, 'Myotubularin phosphatase domain.', NULL, 'PPASE_MYOTUBULARIN', NULL, NULL, 8271, 12),
(49125, NULL, 'PS51946', NULL, NULL, 'Coronavirus Nsp4 C-terminal (Nsp4C) domain profile.', NULL, 'COV_NSP4C', NULL, NULL, 22785, 12),
(49126, NULL, 'PS50159', NULL, NULL, 'Ribosomal protein S13 family profile.', NULL, 'RIBOSOMAL_S13_2', NULL, NULL, 4451, 12),
(49127, NULL, 'PS51929', NULL, NULL, 'Coronavirus nucleocapsid (CoV N) protein C-terminal (CTD) domain profile.', NULL, 'COV_N_CTD', NULL, NULL, 36687, 12),
(49128, NULL, 'PS51288', NULL, NULL, 'Thiamine import ATP-binding protein thiQ family profile.', NULL, 'THIQ', NULL, NULL, NULL, 12),
(49129, NULL, 'PS50015', NULL, NULL, 'Saposin B type domain profile.', NULL, 'SAP_B', NULL, NULL, 7238, 12),
(49130, NULL, 'PS51886', NULL, NULL, 'TLDc domain profile.', NULL, 'TLDC', NULL, NULL, 288, 12),
(49131, NULL, 'PS50998', NULL, NULL, 'Gla domain profile.', NULL, 'GLA_2', NULL, NULL, 4589, 12),
(49132, NULL, 'PS51250', NULL, NULL, 'Taurine import ATP-binding protein tauB.', NULL, 'TAUB', NULL, NULL, NULL, 12),
(49133, NULL, 'PS51487', NULL, NULL, 'NBD domain profile.', NULL, 'NBD', NULL, NULL, 15665, 12),
(49134, NULL, 'PS50978', NULL, NULL, 'NEAT domain profile.', NULL, 'NEAT', NULL, NULL, 1068, 12),
(49135, NULL, 'PS51016', NULL, NULL, 'MyTH4 domain profile.', NULL, 'MYTH4', NULL, NULL, 4947, 12),
(49136, NULL, 'PS51931', NULL, NULL, 'Bacterial microcompartment (BMC) circularly permuted domain profile.', NULL, 'BMC_CP', NULL, NULL, 39420, 12),
(49137, NULL, 'PS51936', NULL, NULL, 'POU-specific (POUs) atypical domain profile.', NULL, 'POU_4', NULL, NULL, 39077, 12),
(49138, NULL, 'PS51930', NULL, NULL, 'Bacterial microcompartment (BMC) domain profile.', NULL, 'BMC_2', NULL, NULL, 39028, 12),
(49139, NULL, 'PS51535', NULL, NULL, 'Pestivirus NS3 protease (NS3pro) domain profile.', NULL, 'PESTIVIRUS_NS3PRO', NULL, NULL, 4539, 12),
(49140, NULL, 'PS51917', NULL, NULL, 'Pru (pleckstrin-like receptor for ubiquitin) domain profile.', NULL, 'PRU', NULL, NULL, 39385, 12),
(49141, NULL, 'PS51371', NULL, NULL, 'CBS domain profile.', NULL, 'CBS', NULL, NULL, 4110, 12),
(49142, NULL, 'PS50857', NULL, NULL, 'Cytochrome oxidase subunit II copper A binding domain profile.', NULL, 'COX2_CUA', NULL, NULL, 7226, 12),
(49143, NULL, 'PS51411', NULL, NULL, 'PSP1 C-terminal domain profile.', NULL, 'PSP1_C', NULL, NULL, 3755, 12),
(49144, NULL, 'PS50845', NULL, NULL, 'Reticulon domain profile.', NULL, 'RETICULON', NULL, NULL, 4964, 12),
(49145, NULL, 'PS50021', NULL, NULL, 'Calponin homology (CH) domain profile.', NULL, 'CH', NULL, NULL, 3395, 12),
(49146, NULL, 'PS51194', NULL, NULL, 'Superfamilies 1 and 2 helicase C-terminal domain profile.', NULL, 'HELICASE_CTER', NULL, NULL, 3254, 12),
(49147, NULL, 'PS51849', NULL, NULL, 'RsgI N-terminal anti-sigma domain profile.', NULL, 'RSGI_N', NULL, NULL, 25573, 12),
(49148, NULL, 'PS51861', NULL, NULL, 'Oxytoxin-type inhibitor cystine knot (ICK) domain profile.', NULL, 'OXYTX_ICK', NULL, NULL, 38114, 12),
(49149, NULL, 'PS51545', NULL, NULL, 'PIK helical domain profile.', NULL, 'PIK_HELICAL', NULL, NULL, 2323, 12),
(49150, NULL, 'PS51887', NULL, NULL, 'Aphthovirus leader protease (L(pro)) domain profile.', NULL, 'APHTHOVIRUS_LPRO', NULL, NULL, 12497, 12),
(49151, NULL, 'PS51270', NULL, NULL, 'Zinc finger CTCHY-type profile.', NULL, 'ZF_CTCHY', NULL, NULL, 2511, 12),
(49152, NULL, 'PS51225', NULL, NULL, 'MARVEL domain profile.', NULL, 'MARVEL', NULL, NULL, 6118, 12),
(49153, NULL, 'PS51131', NULL, NULL, 'Rad50 zinc-hook domain profile.', NULL, 'ZN_HOOK', NULL, NULL, 7923, 12),
(49154, NULL, 'PS51362', NULL, NULL, 'TGF-beta family profile.', NULL, 'TGF_BETA_2', NULL, NULL, 4212, 12),
(49155, NULL, 'PS51216', NULL, NULL, 'Nebulin repeat profile.', NULL, 'NEBULIN', NULL, NULL, 3326, 12);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49156, NULL, 'PS51921', NULL, NULL, 'Betacoronavirus spike (S) glycoprotein S1 subunit C-terminal (CTD) domain profile.', NULL, 'BCOV_S1_CTD', NULL, NULL, 15318, 12),
(49157, NULL, 'PS51598', NULL, NULL, 'Phosphatidylethanolamine N-methyltransferase (EC 2.1.1.17) family profile.', NULL, 'SAM_CHO2', NULL, NULL, 17150, 12),
(49158, NULL, 'PS51313', NULL, NULL, 'VPS28 N-terminal domain profile.', NULL, 'VPS28_N', NULL, NULL, 7584, 12),
(49159, NULL, 'PS51331', NULL, NULL, 'Flavin-dependent thymidylate synthase (thyX) domain profile.', NULL, 'THYX', NULL, NULL, 1227, 12),
(49160, NULL, 'PS51549', NULL, NULL, 'DM13 domain profile.', NULL, 'DM13', NULL, NULL, 19394, 12),
(49161, NULL, 'PS51281', NULL, NULL, 'TAP C-terminal (TAP-C) domain profile.', NULL, 'TAP_C', NULL, NULL, 2975, 12),
(49162, NULL, 'PS51197', NULL, NULL, 'Rrf2-type HTH domain profile.', NULL, 'HTH_RRF2_2', NULL, NULL, 157, 12),
(49163, NULL, 'PS51695', NULL, NULL, 'Sedolisin domain profile.', NULL, 'SEDOLISIN', NULL, NULL, 26853, 12),
(49164, NULL, 'PS51132', NULL, NULL, 'Olfactomedin-like domain profile.', NULL, 'OLF', NULL, NULL, 1961, 12),
(49165, NULL, 'PS51422', NULL, NULL, 'small GTPase SAR1 family profile.', NULL, 'SAR1', NULL, NULL, NULL, 12),
(49166, NULL, 'PS51559', NULL, NULL, 'Arginine and arginine-like N-methyltransferase domain profile.', NULL, 'SAM_RMT2', NULL, NULL, 27348, 12),
(49167, NULL, 'PS51780', NULL, NULL, 'GW domain profile.', NULL, 'GW', NULL, NULL, 24391, 12),
(49168, NULL, 'PS51519', NULL, NULL, 'RWP-RK domain profile.', NULL, 'RWP_RK', NULL, NULL, 58, 12),
(49169, NULL, 'PS51437', NULL, NULL, 'CG-1 DNA-binding domain profile.', NULL, 'CG_1', NULL, NULL, 1713, 12),
(49170, NULL, 'PS51494', NULL, NULL, 'SpoIVB peptidase domain profile.', NULL, 'SPOIVB', NULL, NULL, 12309, 12),
(49171, NULL, 'PS51819', NULL, NULL, 'Vicinal oxygen chelate (VOC) domain profile.', NULL, 'VOC', NULL, NULL, 29127, 12),
(49172, NULL, 'PS51133', NULL, NULL, 'Zinc finger TFIIS-type profile.', NULL, 'ZF_TFIIS_2', NULL, NULL, 2489, 12),
(49173, NULL, 'PS51159', NULL, NULL, 'CBM21 (carbohydrate binding type-21) domain profile.', NULL, 'CBM21', NULL, NULL, 2074, 12),
(49174, NULL, 'PS51170', NULL, NULL, 'Cell wall-binding repeat profile.', NULL, 'CW', NULL, NULL, 20693, 12),
(49175, NULL, 'PS50132', NULL, NULL, 'RGS domain profile.', NULL, 'RGS', NULL, NULL, 11055, 12),
(49176, NULL, 'PS51014', NULL, NULL, 'Precorrin-6x reductase domain profile.', NULL, 'COBK_CBIJ', NULL, NULL, 2199, 12),
(49177, NULL, 'PS51802', NULL, NULL, 'Zinc finger CCHHC-type profile.', NULL, 'ZF_CCHHC', NULL, NULL, 995, 12),
(49178, NULL, 'PS51210', NULL, NULL, 'PLA2c domain profile.', NULL, 'PLA2C', NULL, NULL, 2710, 12),
(49179, NULL, 'PS51426', NULL, NULL, 'ABL domain profile.', NULL, 'ABL', NULL, NULL, 16001, 12),
(49180, NULL, 'PS51853', NULL, NULL, 'pG2 pseudoGTPase domain profile.', NULL, 'PG2', NULL, NULL, 33250, 12),
(49181, NULL, 'PS51910', NULL, NULL, 'Glycosyl hydrolases family 18 (GH18) domain profile.', NULL, 'GH18_2', NULL, NULL, 1121, 12),
(49182, NULL, 'PS50853', NULL, NULL, 'Fibronectin type-III domain profile.', NULL, 'FN3', NULL, NULL, 7492, 12),
(49183, NULL, 'PS51236', NULL, NULL, 'Thrombospondin C-terminal domain profile.', NULL, 'TSP_CTER', NULL, NULL, 14311, 12),
(49184, NULL, 'PS51806', NULL, NULL, 'DOG1 domain profile.', NULL, 'DOG1', NULL, NULL, 28424, 12),
(49185, NULL, 'PS50103', NULL, NULL, 'Zinc finger C3H1-type profile.', NULL, 'ZF_C3H1', NULL, NULL, 5824, 12),
(49186, NULL, 'PS51175', NULL, NULL, 'CBM6 (carbohydrate binding type-6) domain profile.', NULL, 'CBM6', NULL, NULL, 10101, 12),
(49187, NULL, 'PS51498', NULL, NULL, 'MABP domain profile.', NULL, 'MABP', NULL, NULL, 15583, 12),
(49188, NULL, 'PS51455', NULL, NULL, 'Phosphatidylinositol phosphate kinase (PIPK) domain profile.', NULL, 'PIPK', NULL, NULL, 702, 12),
(49189, NULL, 'PS51261', NULL, NULL, 'Hemin import ATP-Binding protein hmuV family profile.', NULL, 'HMUV', NULL, NULL, NULL, 12),
(49190, NULL, 'PS50180', NULL, NULL, 'Gamma-adaptin ear (GAE) domain profile.', NULL, 'GAE', NULL, NULL, 7445, 12); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49191, NULL, 'PS50866', NULL, NULL, 'GOLD domain profile.', NULL, 'GOLD', NULL, NULL, 7812, 12),
(49192, NULL, 'PS51793', NULL, NULL, 'Mis18 domain profile.', NULL, 'MIS18', NULL, NULL, 32885, 12),
(49193, NULL, 'PS50809', NULL, NULL, 'DM DNA-binding domain profile.', NULL, 'DM_2', NULL, NULL, 229, 12),
(49194, NULL, 'PS51035', NULL, NULL, 'BAG domain profile.', NULL, 'BAG', NULL, NULL, 1109, 12),
(49195, NULL, 'PS51211', NULL, NULL, 'Vitellogenin domain profile.', NULL, 'VITELLOGENIN', NULL, NULL, 4558, 12),
(49196, NULL, 'PS51504', NULL, NULL, 'Linker histone H1/H5 globular (H15) domain profile.', NULL, 'H15', NULL, NULL, 5633, 12),
(49197, NULL, 'PS51568', NULL, NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, 'SAM_MT43_SET2_1', NULL, NULL, 23099, 12),
(49198, NULL, 'PS51591', NULL, NULL, 'mRNA cap 0 and cap 1 methyltransferase (EC 2.1.1.56 and EC 2.1.1.57) domain profile.', NULL, 'RNA_CAP01_NS5_MT', NULL, NULL, 27337, 12),
(49199, NULL, 'PS51506', NULL, NULL, 'Cbl-type phosphotyrosine-binding (Cbl-PTB) domain profile.', NULL, 'CBL_PTB', NULL, NULL, 9745, 12),
(49200, NULL, 'PS50918', NULL, NULL, 'WWE domain profile.', NULL, 'WWE', NULL, NULL, 2864, 12),
(49201, NULL, 'PS51059', NULL, NULL, 'PARP catalytic domain profile.', NULL, 'PARP_CATALYTIC', NULL, NULL, 11694, 12),
(49202, NULL, 'PS51169', NULL, NULL, 'Chorismate mutase domain profile.', NULL, 'CHORISMATE_MUT_3', NULL, NULL, 650, 12),
(49203, NULL, 'PS51894', NULL, NULL, 'Caliciviridae (CV) 3C-like protein profile.', NULL, 'CV_3CL_PRO', NULL, NULL, 4534, 12),
(49204, NULL, 'PS50531', NULL, NULL, 'IS21 transposase-type HTH domain profile.', NULL, 'HTH_IS21', NULL, NULL, 8473, 12),
(49205, NULL, 'PS51730', NULL, NULL, 'Alpha-tubulin Gcn5-related N-acetyltransferase (GNAT) domain profile.', NULL, 'GNAT_ATAT', NULL, NULL, 4036, 12),
(49206, NULL, 'PS51532', NULL, NULL, 'PITH domain profile.', NULL, 'PITH', NULL, NULL, 9621, 12),
(49207, NULL, 'PS51877', NULL, NULL, 'Hypovirulence-associated virus (HAV) papain-like protease p29 domain profile.', NULL, 'HAV_P29_PRO', NULL, NULL, 3863, 12),
(49208, NULL, 'PS51251', NULL, NULL, 'Teichoic acids export ATP-binding protein tagH.', NULL, 'TAGH', NULL, NULL, NULL, 12),
(49209, NULL, 'PS51829', NULL, NULL, 'P/Homo B domain profile.', NULL, 'P_HOMO_B', NULL, NULL, 5954, 12),
(49210, NULL, 'PS50146', NULL, NULL, 'DAG-kinase catalytic (DAGKc) domain profile.', NULL, 'DAGK', NULL, NULL, 4104, 12),
(49211, NULL, 'PS50222', NULL, NULL, 'EF-hand calcium-binding domain profile.', NULL, 'EF_HAND_2', NULL, NULL, 1197, 12),
(49212, NULL, 'PS51755', NULL, NULL, 'OmpR/PhoB-type DNA-binding domain profile.', NULL, 'OMPR_PHOB', NULL, NULL, 4482, 12),
(49213, NULL, 'PS51915', NULL, NULL, 'ZAD domain profile.', NULL, 'ZAD', NULL, NULL, 8217, 12),
(49214, NULL, 'PS50196', NULL, NULL, 'Ran binding domain type 1 profile.', NULL, 'RANBD1', NULL, NULL, 1921, 12),
(49215, NULL, 'PS51468', NULL, NULL, 'VIT domain profile.', NULL, 'VIT', NULL, NULL, 13983, 12),
(49216, NULL, 'PS50017', NULL, NULL, 'Death domain profile.', NULL, 'DEATH_DOMAIN', NULL, NULL, 5980, 12),
(49217, NULL, 'PS50984', NULL, NULL, 'TRUD domain profile.', NULL, 'TRUD', NULL, NULL, 11590, 12),
(49218, NULL, 'PS51579', NULL, NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, 'SAM_MT43_SUVAR39_3', NULL, NULL, 14509, 12),
(49219, NULL, 'PS50974', NULL, NULL, 'AdoMet activation domain profile.', NULL, 'ADOMET_ACTIVATION', NULL, NULL, 3811, 12),
(49220, NULL, 'PS51573', NULL, NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, 'SAM_MT43_SUVAR39_1', NULL, NULL, 23500, 12),
(49221, NULL, 'PS50892', NULL, NULL, 'v-SNARE coiled-coil homology domain profile.', NULL, 'V_SNARE', NULL, NULL, 38054, 12),
(49222, NULL, 'PS50267', NULL, NULL, 'Sodium:neurotransmitter symporter family profile.', NULL, 'NA_NEUROTRAN_SYMP_3', NULL, NULL, 3945, 12),
(49223, NULL, 'PS51359', NULL, NULL, 'Cytochrome c oxidase subunit Vb, zinc binding domain profile.', NULL, 'COX5B_2', NULL, NULL, 5371, 12);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49224, NULL, 'PS51825', NULL, NULL, 'DIPSY domain profile.', NULL, 'DIPSY', NULL, NULL, 19598, 12),
(49225, NULL, 'PS51393', NULL, NULL, 'Lipoxygenase iron-binding catalytic domain profile.', NULL, 'LIPOXYGENASE_3', NULL, NULL, 7860, 12),
(49226, NULL, 'PS50816', NULL, NULL, 'NAF domain profile.', NULL, 'NAF', NULL, NULL, 17636, 12),
(49227, NULL, 'PS51448', NULL, NULL, 'P-type ''Trefoil'' domain profile.', NULL, 'P_TREFOIL_2', NULL, NULL, 5875, 12),
(49228, NULL, 'PS50010', NULL, NULL, 'Dbl homology (DH) domain profile.', NULL, 'DH_2', NULL, NULL, 3788, 12),
(49229, NULL, 'PS51957', NULL, NULL, 'LIM interaction domain (LID) domain profile.', NULL, 'LID', NULL, NULL, 31008, 12),
(49230, NULL, 'PS51026', NULL, NULL, 'NIFH_FRXC family profile.', NULL, 'NIFH_FRXC_3', NULL, NULL, 4909, 12),
(49231, NULL, 'PS50886', NULL, NULL, 'tRNA-binding domain profile.', NULL, 'TRBD', NULL, NULL, 1915, 12),
(49232, NULL, 'PS51517', NULL, NULL, 'NDT80 DNA-binding domain profile.', NULL, 'NDT80', NULL, NULL, 12722, 12),
(49233, NULL, 'PS50189', NULL, NULL, 'NTR domain profile.', NULL, 'NTR', NULL, NULL, 1544, 12),
(49234, NULL, 'PS50240', NULL, NULL, 'Serine proteases, trypsin domain profile.', NULL, 'TRYPSIN_DOM', NULL, NULL, 2188, 12),
(49235, NULL, 'PS51062', NULL, NULL, 'Runt domain profile.', NULL, 'RUNT', NULL, NULL, 7779, 12),
(49236, NULL, 'PS51141', NULL, NULL, 'Zinc finger SBP-type profile.', NULL, 'ZF_SBP', NULL, NULL, 4750, 12),
(49237, NULL, 'PS51472', NULL, NULL, 'RNA-recognition motif (RRM) Nup35-type domain profile.', NULL, 'RRM_NUP35', NULL, NULL, 2500, 12),
(49238, NULL, 'PS50020', NULL, NULL, 'WW/rsp5/WWP domain profile.', NULL, 'WW_DOMAIN_2', NULL, NULL, 1194, 12),
(49239, NULL, 'PS50216', NULL, NULL, 'DHHC domain profile.', NULL, 'DHHC', NULL, NULL, NULL, 12),
(49240, NULL, 'PS51512', NULL, NULL, 'DFDF domain profile.', NULL, 'DFDF', NULL, NULL, 24258, 12),
(49241, NULL, 'PS51364', NULL, NULL, 'TGF-beta binding (TB) domain profile.', NULL, 'TB', NULL, NULL, 13389, 12),
(49242, NULL, 'PS51560', NULL, NULL, 'Nicotinamide N-methyltransferase (EC 2.1.1.1) family profile.', NULL, 'SAM_MT_NNT1', NULL, NULL, 23520, 12),
(49243, NULL, 'PS51038', NULL, NULL, 'BAH domain profile.', NULL, 'BAH', NULL, NULL, 1093, 12),
(49244, NULL, 'PS50225', NULL, NULL, 'SOCS box domain profile.', NULL, 'SOCS', NULL, NULL, 3493, 12),
(49245, NULL, 'PS50818', NULL, NULL, 'Intein C-terminal splicing motif profile.', NULL, 'INTEIN_C_TER', NULL, NULL, 22050, 12),
(49246, NULL, 'PS51511', NULL, NULL, 'FIP-RBD domain profile.', NULL, 'FIP_RBD', NULL, NULL, 16101, 12),
(49247, NULL, 'PS51096', NULL, NULL, 'PTS_EIIA type-4 domain profile.', NULL, 'PTS_EIIA_TYPE_4', NULL, NULL, 3962, 12),
(49248, NULL, 'PS51905', NULL, NULL, 'Zinc finger UBZ1-type profile.', NULL, 'ZF_UBZ1', NULL, NULL, 32687, 12),
(49249, NULL, 'PS51278', NULL, NULL, 'Glutamine amidotransferase type 2 domain profile.', NULL, 'GATASE_TYPE_2', NULL, NULL, 18749, 12),
(49250, NULL, 'PS51228', NULL, NULL, 'Acyl-CoA-binding (ACB) domain profile.', NULL, 'ACB_2', NULL, NULL, 5745, 12),
(49251, NULL, 'PS51058', NULL, NULL, 'Zinc finger CXXC-type profile.', NULL, 'ZF_CXXC', NULL, NULL, 5981, 12),
(49252, NULL, 'PS51195', NULL, NULL, 'DEAD-box RNA helicase Q motif profile.', NULL, 'Q_MOTIF', NULL, NULL, 9147, 12),
(49253, NULL, 'PS51178', NULL, NULL, 'PASTA domain profile.', NULL, 'PASTA', NULL, NULL, 1620, 12),
(49254, NULL, 'PS51507', NULL, NULL, 'IRF tryptophan pentad repeat DNA-binding domain profile.', NULL, 'IRF_2', NULL, NULL, 2241, 12),
(49255, NULL, 'PS51644', NULL, NULL, 'OST-type HTH domain profile.', NULL, 'HTH_OST', NULL, NULL, 24322, 12),
(49256, NULL, 'PS51417', NULL, NULL, 'small GTPase Arf family profile.', NULL, 'ARF', NULL, NULL, NULL, 12),
(49257, NULL, 'PS50156', NULL, NULL, 'Sterol-sensing domain (SSD) profile.', NULL, 'SSD', NULL, NULL, 3607, 12),
(49258, NULL, 'PS51348', NULL, NULL, 'Glycosyl hydrolases family 22 (GH22) domain profile.', NULL, 'GLYCOSYL_HYDROL_F22_2', NULL, NULL, 4354, 12),
(49259, NULL, 'PS51911', NULL, NULL, 'C2 Aida-type domain profile.', NULL, 'C2_AIDA', NULL, NULL, 24568, 12);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49260, NULL, 'PS51659', NULL, NULL, 'Glycosyltransferase family 23 (GT23) domain profile.', NULL, 'GT23', NULL, NULL, 25265, 12),
(49261, NULL, 'PS51447', NULL, NULL, 'Ferredoxin-fold anticodon binding (FDX-ACB) domain profile.', NULL, 'FDX_ACB', NULL, NULL, 7116, 12),
(49262, NULL, 'PS51699', NULL, NULL, 'DG-type SEA domain profile.', NULL, 'SEA_DG', NULL, NULL, 22708, 12),
(49263, NULL, 'PS51401', NULL, NULL, 'CHORD domain profile.', NULL, 'CHORD', NULL, NULL, 6636, 12),
(49264, NULL, 'PS51046', NULL, NULL, 'GON domain profile.', NULL, 'GON', NULL, NULL, 11956, 12),
(49265, NULL, 'PS51290', NULL, NULL, 'CRIC domain profile.', NULL, 'CRIC', NULL, NULL, 18709, 12),
(49266, NULL, 'PS51191', NULL, NULL, 'FemABX peptidyl transferase family profile.', NULL, 'FEMABX', NULL, NULL, 5121, 12),
(49267, NULL, 'PS50171', NULL, NULL, 'Zinc finger matrin-type profile.', NULL, 'ZF_MATRIN', NULL, NULL, 6768, 12),
(49268, NULL, 'PS50524', NULL, NULL, 'RdRp of Birnaviridae dsRNA viruses catalytic domain profile.', NULL, 'RDRP_DSRNA_BIR', NULL, NULL, 173, 12),
(49269, NULL, 'PS50138', NULL, NULL, 'BRCA2 repeat profile.', NULL, 'BRCA2_REPEAT', NULL, NULL, 1264, 12),
(49270, NULL, 'PS51582', NULL, NULL, 'Phosphoethanolamine N-methyltransferase (PEAMT) (EC 2.1.1.103) family profile.', NULL, 'SAM_PEAMT', NULL, NULL, 25372, 12),
(49271, NULL, 'PS51574', NULL, NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, 'SAM_MT43_2', NULL, NULL, 23431, 12),
(49272, NULL, 'PS51841', NULL, NULL, 'Lamin-tail (LTD) domain profile.', NULL, 'LTD', NULL, NULL, 31, 12),
(49273, NULL, 'PS51443', NULL, NULL, 'Phytochelatin synthase (PCS) domain profile.', NULL, 'PCS', NULL, NULL, 1363, 12),
(49274, NULL, 'PS51402', NULL, NULL, 'catalase family profile.', NULL, 'CATALASE_3', NULL, NULL, 16963, 12),
(49275, NULL, 'PS51831', NULL, NULL, 'HD domain profile.', NULL, 'HD', NULL, NULL, 2329, 12),
(49276, NULL, 'PS50188', NULL, NULL, 'B30.2/SPRY domain profile.', NULL, 'B302_SPRY', NULL, NULL, 4088, 12),
(49277, NULL, 'PS50891', NULL, NULL, 'LOB domain profile.', NULL, 'LOB', NULL, NULL, 7216, 12),
(49278, NULL, 'PS51099', NULL, NULL, 'PTS_EIIB type-2 domain profile.', NULL, 'PTS_EIIB_TYPE_2', NULL, NULL, 18863, 12),
(49279, NULL, 'PS51776', NULL, NULL, 'RH1 domain profile.', NULL, 'RH1', NULL, NULL, 8394, 12),
(49280, NULL, 'PS50966', NULL, NULL, 'Zinc finger SWIM-type profile.', NULL, 'ZF_SWIM', NULL, NULL, 10507, 12),
(49281, NULL, 'PS51576', NULL, NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, 'SAM_MT43_EZ', NULL, NULL, 23820, 12),
(49282, NULL, 'PS51344', NULL, NULL, 'TFE/IIEalpha-type HTH domain profile.', NULL, 'HTH_TFE_IIE', NULL, NULL, 18512, 12),
(49283, NULL, 'PS51903', NULL, NULL, 'Clp repeat (R) domain profile.', NULL, 'CLP_R', NULL, NULL, 2759, 12),
(49284, NULL, 'PS51320', NULL, NULL, 'Tify domain profile.', NULL, 'TIFY', NULL, NULL, 9510, 12),
(49285, NULL, 'PS51922', NULL, NULL, 'Betacoronavirus spike (S) glycoprotein S1 subunit N-terminal (NTD) domain profile.', NULL, 'BCOV_S1_NTD', NULL, NULL, 22726, 12),
(49286, NULL, 'PS50151', NULL, NULL, 'UVR domain profile.', NULL, 'UVR', NULL, NULL, 2092, 12),
(49287, NULL, 'PS50045', NULL, NULL, 'Sigma-54 interaction domain profile.', NULL, 'SIGMA54_INTERACT_4', NULL, NULL, 5149, 12),
(49288, NULL, 'PS51786', NULL, NULL, 'Lon proteolytic domain profile.', NULL, 'LON_PROTEOLYTIC', NULL, NULL, 8732, 12),
(49289, NULL, 'PS51166', NULL, NULL, 'CBM20 (carbohydrate binding type-20) domain profile.', NULL, 'CBM20', NULL, NULL, 1198, 12),
(49290, NULL, 'PS51892', NULL, NULL, 'Serine proteases, subtilase domain profile.', NULL, 'SUBTILASE', NULL, NULL, NULL, 12),
(49291, NULL, 'PS50302', NULL, NULL, 'Pumilio RNA-binding repeat profile.', NULL, 'PUM', NULL, NULL, 2290, 12),
(49292, NULL, 'PS50920', NULL, NULL, 'Solute carrier (Solcar) repeat profile.', NULL, 'SOLCAR', NULL, NULL, 13566, 12),
(49293, NULL, 'PS51149', NULL, NULL, 'Glycine radical domain profile.', NULL, 'GLY_RADICAL_2', NULL, NULL, 2229, 12),
(49294, NULL, 'PS50949', NULL, NULL, 'GntR-type HTH domain profile.', NULL, 'HTH_GNTR', NULL, NULL, 5846, 12);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49295, NULL, 'PS51842', NULL, NULL, 'Intermediate filament (IF) rod domain profile.', NULL, 'IF_ROD_2', NULL, NULL, 29912, 12),
(49296, NULL, 'PS51365', NULL, NULL, 'Renal dipeptidase family profile.', NULL, 'RENAL_DIPEPTIDASE_2', NULL, NULL, 8848, 12),
(49297, NULL, 'PS51570', NULL, NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, 'SAM_MT43_SUVAR420_2', NULL, NULL, 23390, 12),
(49298, NULL, 'PS51316', NULL, NULL, 'Olduvai (ODV) domain profile.', NULL, 'ODV', NULL, NULL, 9135, 12),
(49299, NULL, 'PS50600', NULL, NULL, 'Ubiquitin-like protease family profile.', NULL, 'ULP_PROTEASE', NULL, NULL, 1020, 12),
(49300, NULL, 'PS51518', NULL, NULL, 'SGF29 C-terminal domain profile.', NULL, 'SGF29_C', NULL, NULL, 10056, 12),
(49301, NULL, 'PS50931', NULL, NULL, 'LysR-type HTH domain profile.', NULL, 'HTH_LYSR', NULL, NULL, 165, 12),
(49302, NULL, 'PS51174', NULL, NULL, 'Barwin domain profile.', NULL, 'BARWIN_3', NULL, NULL, 1304, 12),
(49303, NULL, 'PS50314', NULL, NULL, 'Phenylalanine-rich region profile.', NULL, 'PHE_RICH', NULL, NULL, NULL, 12),
(49304, NULL, 'PS51700', NULL, NULL, 'SEPARIN core domain profile.', NULL, 'SEPARIN', NULL, NULL, 25060, 12),
(49305, NULL, 'PS51502', NULL, NULL, 'Stress-response A/B barrel domain profile.', NULL, 'S_R_A_B_BARREL', NULL, NULL, 18547, 12),
(49306, NULL, 'PS50059', NULL, NULL, 'FKBP-type peptidyl-prolyl cis-trans isomerase domain profile.', NULL, 'FKBP_PPIASE', NULL, NULL, 1045, 12),
(49307, NULL, 'PS50939', NULL, NULL, 'Cytochrome b561 domain profile.', NULL, 'CYTOCHROME_B561', NULL, NULL, 1352, 12),
(49308, NULL, 'PS50975', NULL, NULL, 'ATP-grasp fold profile.', NULL, 'ATP_GRASP', NULL, NULL, 11718, 12),
(49309, NULL, 'PS50847', NULL, NULL, 'Gram-positive cocci surface proteins LPxTG motif profile.', NULL, 'GRAM_POS_ANCHORING', NULL, NULL, 18289, 12),
(49310, NULL, 'PS51912', NULL, NULL, 'DMAP1-binding domain profile.', NULL, 'DMAP1_BIND', NULL, NULL, 10769, 12),
(49311, NULL, 'PS51019', NULL, NULL, 'Reelin domain profile.', NULL, 'REELIN', NULL, NULL, 5714, 12),
(49312, NULL, 'PS50095', NULL, NULL, 'PLAT domain profile.', NULL, 'PLAT', NULL, NULL, 2391, 12),
(49313, NULL, 'PS51476', NULL, NULL, 'Proteasome beta-type subunit profile.', NULL, 'PROTEASOME_BETA_2', NULL, NULL, 15735, 12),
(49314, NULL, 'PS50326', NULL, NULL, 'Valine-rich region profile.', NULL, 'VAL_RICH', NULL, NULL, NULL, 12),
(49315, NULL, 'PS51752', NULL, NULL, 'Jacalin-type lectin domain profile.', NULL, 'JACALIN_LECTIN', NULL, NULL, 889, 12),
(49316, NULL, 'PS51056', NULL, NULL, 'ITAM motif hantavirus type profile.', NULL, 'ITAM_2', NULL, NULL, 11881, 12),
(49317, NULL, 'PS51748', NULL, NULL, 'Hexokinase domain profile.', NULL, 'HEXOKINASE_2', NULL, NULL, 142, 12),
(49318, NULL, 'PS51107', NULL, NULL, 'PTS_EIIC type-5 domain profile.', NULL, 'PTS_EIIC_TYPE_5', NULL, NULL, 3958, 12),
(49319, NULL, 'PS50909', NULL, NULL, 'GAT domain profile.', NULL, 'GAT', NULL, NULL, 2772, 12),
(49320, NULL, 'PS51761', NULL, NULL, 'Glycosyl hydrolases family 11 (GH11) domain profile.', NULL, 'GH11_3', NULL, NULL, 36014, 12),
(49321, NULL, 'PS51924', NULL, NULL, 'Coronavirus spike (S) glycoprotein S2 subunit heptad repeat 2 (HR2) region profile.', NULL, 'COV_S2_HR2', NULL, NULL, 39409, 12),
(49322, NULL, 'PS51850', NULL, NULL, 'KARI N-terminal domain profile.', NULL, 'KARI_N', NULL, NULL, 18684, 12),
(49323, NULL, 'PS50979', NULL, NULL, 'Biotin carboxylation domain profile.', NULL, 'BC', NULL, NULL, 11633, 12),
(49324, NULL, 'PS51419', NULL, NULL, 'small GTPase Rab1 family profile.', NULL, 'RAB', NULL, NULL, NULL, 12),
(49325, NULL, 'PS50217', NULL, NULL, 'Basic-leucine zipper (bZIP) domain profile.', NULL, 'BZIP', NULL, NULL, 4440, 12),
(49326, NULL, 'PS51416', NULL, NULL, 'MIB/HERC2 domain profile.', NULL, 'MIB_HERC2', NULL, NULL, 8457, 12),
(49327, NULL, 'PS51678', NULL, NULL, 'SAM-dependent methyltransferase PRMT-type domain profile.', NULL, 'SAM_MT_PRMT', NULL, NULL, 23044, 12),
(49328, NULL, 'PS50835', NULL, NULL, 'Ig-like domain profile.', NULL, 'IG_LIKE', NULL, NULL, 362, 12);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49329, NULL, 'PS51346', NULL, NULL, 'Prokaryotic zinc-dependent phospholipase C domain profile.', NULL, 'PROKAR_ZN_DEPEND_PLPC_2', NULL, NULL, 3122, 12),
(49330, NULL, 'PS51749', NULL, NULL, 'Cas9-type HNH domain profile.', NULL, 'HNH_CAS9', NULL, NULL, 31062, 12),
(49331, NULL, 'PS51397', NULL, NULL, 'WLM domain profile.', NULL, 'WLM', NULL, NULL, 13446, 12),
(49332, NULL, 'PS51575', NULL, NULL, 'Histone-lysine N-methyltransferase (EC 2.1.1.43) family profile.', NULL, 'SAM_MT43_SUVAR39_2', NULL, NULL, 23054, 12),
(49333, NULL, 'PS50826', NULL, NULL, 'RUN domain profile.', NULL, 'RUN', NULL, NULL, 505, 12),
(49334, NULL, 'PS01178', NULL, NULL, 'Anaphylatoxin domain profile.', NULL, 'ANAPHYLATOXIN_2', NULL, NULL, 2921, 12),
(49335, NULL, 'PS51745', NULL, NULL, 'PB1 domain profile.', NULL, 'PB1', NULL, NULL, 945, 12),
(49336, NULL, 'PS51534', NULL, NULL, 'SEFIR domain profile.', NULL, 'SEFIR', NULL, NULL, 13425, 12),
(49337, NULL, 'PS51074', NULL, NULL, 'DPH-type metal-binding (MB) domain profile.', NULL, 'DPH_MB', NULL, NULL, 3318, 12),
(49338, NULL, 'PS51390', NULL, NULL, 'WAP-type ''four-disulfide core'' domain profile.', NULL, 'WAP', NULL, NULL, 7078, 12),
(49339, NULL, 'PS50108', NULL, NULL, 'CRIB domain profile.', NULL, 'CRIB', NULL, NULL, 2745, 12),
(49340, NULL, 'PS50316', NULL, NULL, 'Histidine-rich region profile.', NULL, 'HIS_RICH', NULL, NULL, NULL, 12),
(49341, NULL, 'PS51039', NULL, NULL, 'Zinc finger AN1-type profile.', NULL, 'ZF_AN1', NULL, NULL, 3729, 12),
(49342, NULL, 'PS51933', NULL, NULL, 'EutK-Ctail domain profile.', NULL, 'EUTK_C', NULL, NULL, 25430, 12),
(49343, NULL, 'PS50810', NULL, NULL, 'Frataxin family profile.', NULL, 'FRATAXIN_2', NULL, NULL, 6172, 12),
(49344, NULL, 'PS50160', NULL, NULL, 'ATP-dependent DNA ligase family profile.', NULL, 'DNA_LIGASE_A3', NULL, NULL, 12836, 12),
(49345, NULL, 'PS51544', NULL, NULL, 'Phosphatidylinositol 3-kinase adaptor-binding (PI3K ABD) domain profile.', NULL, 'PI3K_ABD', NULL, NULL, 1511, 12),
(49346, NULL, 'PS51562', NULL, NULL, 'mRNA (guanine-N(7)-)-methyltransferase (EC 2.1.1.56) domain profile.', NULL, 'RNA_CAP0_MT', NULL, NULL, 502, 12),
(49347, NULL, 'PS51890', NULL, NULL, 'DAZ domain profile.', NULL, 'DAZ', NULL, NULL, 38075, 12),
(49348, NULL, 'PS51095', NULL, NULL, 'PTS_EIIA type-3 domain profile.', NULL, 'PTS_EIIA_TYPE_3', NULL, NULL, 3187, 12),
(49349, NULL, 'PS51754', NULL, NULL, 'OVATE domain profile.', NULL, 'OVATE', NULL, NULL, 6930, 12),
(49350, NULL, 'PS51413', NULL, NULL, 'DBINO domain profile.', NULL, 'DBINO', NULL, NULL, 20508, 12),
(49351, NULL, 'PS50960', NULL, NULL, 'Psq-type HTH domain profile.', NULL, 'HTH_PSQ', NULL, NULL, 3274, 12),
(49352, NULL, 'PS51153', NULL, NULL, 'RPW8 domain profile.', NULL, 'RPW8', NULL, NULL, 14048, 12),
(49353, NULL, 'PS50033', NULL, NULL, 'UBX domain profile.', NULL, 'UBX', NULL, NULL, 2027, 12),
(49354, NULL, 'PS50054', NULL, NULL, 'Dual specificity protein phosphatase domain profile.', NULL, 'TYR_PHOSPHATASE_DUAL', NULL, NULL, 19395, 12),
(49355, NULL, 'PS51230', NULL, NULL, 'EB1-C terminal (EB1-C) domain profile.', NULL, 'EB1_C', NULL, NULL, 2803, 12),
(49356, NULL, 'PS51061', NULL, NULL, 'R3H domain profile.', NULL, 'R3H', NULL, NULL, 7045, 12),
(49357, NULL, 'PS51116', NULL, NULL, 'Laminin IV type A domain profile.', NULL, 'LAMININ_IVB', NULL, NULL, 18981, 12),
(49358, NULL, 'PS51794', NULL, NULL, 'Diadenylate cyclase (DAC) domain profile.', NULL, 'DAC', NULL, NULL, 4731, 12),
(49359, NULL, 'PS50842', NULL, NULL, 'Expansin, family-45 endoglucanase-like domain profile.', NULL, 'EXPANSIN_EG45', NULL, NULL, 465, 12),
(49360, NULL, 'PS51355', NULL, NULL, 'Glutathione peroxidase profile.', NULL, 'GLUTATHIONE_PEROXID_3', NULL, NULL, 4594, 12),
(49361, NULL, 'PS51119', NULL, NULL, 'TAFH/NHR1 domain profile.', NULL, 'TAFH', NULL, NULL, 4021, 12),
(49362, NULL, 'PS51015', NULL, NULL, 'YDG domain profile.', NULL, 'YDG', NULL, NULL, 1314, 12),
(49363, NULL, 'PS50250', NULL, NULL, 'PCI domain profile.', NULL, 'PCI', NULL, NULL, 6602, 12),
(49364, NULL, 'PS51729', NULL, NULL, 'Yjdj-type Gcn5-related N-acetyltransferase (GNAT) domain profile.', NULL, 'GNAT_YJDJ', NULL, NULL, 24948, 12);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49365, NULL, 'PS50067', NULL, NULL, 'Kinesin motor domain profile.', NULL, 'KINESIN_MOTOR_2', NULL, NULL, 3081, 12),
(49366, NULL, 'PS50906', NULL, NULL, 'Nitrate and nitrite sensing (NIT) domain profile.', NULL, 'NIT', NULL, NULL, 5357, 12),
(49367, NULL, 'PS51185', NULL, NULL, 'WHEP-TRS domain profile.', NULL, 'WHEP_TRS_2', NULL, NULL, 3720, 12),
(49368, NULL, 'PS51082', NULL, NULL, 'WH2 domain profile.', NULL, 'WH2', NULL, NULL, 1941, 12),
(49369, NULL, 'PS51151', NULL, NULL, 'NAC A/B domain profile.', NULL, 'NAC_AB', NULL, NULL, 3561, 12),
(49370, NULL, 'PS50313', NULL, NULL, 'Glutamic acid-rich region profile.', NULL, 'GLU_RICH', NULL, NULL, NULL, 12),
(49371, NULL, 'PS51267', NULL, NULL, 'Macrolide export ATP-binding/permease protein macB family profile.', NULL, 'MACB', NULL, NULL, NULL, 12),
(49372, NULL, 'PS50951', NULL, NULL, 'SARAH domain profile.', NULL, 'SARAH', NULL, NULL, 12253, 12),
(49373, NULL, 'PS51381', NULL, NULL, 'C2 B9-type domain profile.', NULL, 'C2_B9', NULL, NULL, 11308, 12),
(49374, NULL, 'PS51461', NULL, NULL, 'Fibrillar collagen C-terminal non-collagenous (NC1) domain profile.', NULL, 'NC1_FIB', NULL, NULL, 4599, 12),
(49375, NULL, 'PS51263', NULL, NULL, 'ADF-H domain profile.', NULL, 'ADF_H', NULL, NULL, 5392, 12),
(49376, NULL, 'PS50213', NULL, NULL, 'FAS1/BIgH3 domain profile.', NULL, 'FAS1', NULL, NULL, 5236, 12),
(49377, NULL, 'PS50968', NULL, NULL, 'Biotinyl/lipoyl domain profile.', NULL, 'BIOTINYL_LIPOYL', NULL, NULL, 2863, 12),
(49378, NULL, 'PS51597', NULL, NULL, 'Histamine N-methyltransferase (EC 2.1.1.8) family profile.', NULL, 'SAM_HNMT', NULL, NULL, 20545, 12),
(49379, NULL, 'PS51626', NULL, NULL, 'Trm1 methyltransferase domain profile.', NULL, 'SAM_MT_TRM1', NULL, NULL, 6120, 12),
(49380, NULL, 'PS51895', NULL, NULL, 'Alt a 1 (AA1)-like domain profile.', NULL, 'AA1', NULL, NULL, 26518, 12),
(49381, NULL, 'PS50085', NULL, NULL, 'Rap GTPase activating proteins domain profile.', NULL, 'RAPGAP', NULL, NULL, 797, 12),
(49382, NULL, 'PS51495', NULL, NULL, 'GLUE domain profile.', NULL, 'GLUE', NULL, NULL, 19334, 12),
(49383, NULL, 'PS50118', NULL, NULL, 'HMG boxes A and B DNA-binding domains profile.', NULL, 'HMG_BOX_2', NULL, NULL, 6110, 12),
(49384, NULL, 'PS50115', NULL, NULL, 'ARF GTPase-activating proteins domain profile.', NULL, 'ARFGAP', NULL, NULL, 1167, 12),
(49385, NULL, 'PS51840', NULL, NULL, 'C2 NT-type domain profile.', NULL, 'C2_NT', NULL, NULL, 17785, 12),
(49386, NULL, 'PS50073', NULL, NULL, 'Copper-fist DNA-binding domain profile.', NULL, 'COPPER_FIST_2', NULL, NULL, 2011, 12),
(49387, NULL, 'PS51836', NULL, NULL, 'Tripartite DENN FNIP1/2-type domain profile.', NULL, 'DENN_FNIP12', NULL, NULL, 33945, 12),
(49388, NULL, 'PS50043', NULL, NULL, 'LuxR-type HTH domain profile.', NULL, 'HTH_LUXR_2', NULL, NULL, 6974, 12),
(49389, NULL, 'PS51120', NULL, NULL, 'LDL-receptor class B (LDLRB) repeat profile.', NULL, 'LDLRB', NULL, NULL, 7302, 12),
(49390, NULL, 'PS51713', NULL, NULL, 'Era-type guanine nucleotide-binding (G) domain profile.', NULL, 'G_ERA', NULL, NULL, 28549, 12),
(49391, NULL, 'PIRSF021435', NULL, NULL, NULL, NULL, 'SpoIIIAB', NULL, NULL, 8573, 13),
(49392, NULL, 'PIRSF030840', NULL, NULL, NULL, NULL, 'ShuX', NULL, NULL, 9982, 13),
(49393, NULL, 'PIRSF006806', NULL, NULL, NULL, NULL, '5_FTHF', NULL, NULL, 3941, 13),
(49394, NULL, 'PIRSF002131', NULL, NULL, NULL, NULL, 'RPS11p_RPS11a_RPS14e_RPS11o', NULL, NULL, 2243, 13),
(49395, NULL, 'PIRSF000848', NULL, NULL, NULL, NULL, 'CDP_diag_ino_3_P', NULL, NULL, 12781, 13),
(49396, NULL, 'PIRSF000605', NULL, NULL, NULL, NULL, 'RPS6_kin_1', NULL, NULL, 17137, 13),
(49397, NULL, 'PIRSF037902', NULL, NULL, NULL, NULL, 'Subtilisin_rel_Ava_4226', NULL, NULL, 16538, 13),
(49398, NULL, 'PIRSF028477', NULL, NULL, NULL, NULL, 'UCP028477', NULL, NULL, 12088, 13),
(49399, NULL, 'PIRSF028773', NULL, NULL, NULL, NULL, 'UCP028773', NULL, NULL, 4510, 13),
(49400, NULL, 'PIRSF007027', NULL, NULL, NULL, NULL, 'UCP007027', NULL, NULL, 16496, 13),
(49401, NULL, 'PIRSF003784', NULL, NULL, NULL, NULL, 'VAC_N1L', NULL, NULL, 14536, 13);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49402, NULL, 'PIRSF016495', NULL, NULL, NULL, NULL, 'UCP016495', NULL, NULL, 9121, 13),
(49403, NULL, 'PIRSF018063', NULL, NULL, NULL, NULL, 'Ferrtn_UCP018063', NULL, NULL, 10478, 13),
(49404, NULL, 'PIRSF007807', NULL, NULL, NULL, NULL, 'CDC123', NULL, NULL, 12947, 13),
(49405, NULL, 'PIRSF016937', NULL, NULL, NULL, NULL, 'UCP016937', NULL, NULL, 8543, 13),
(49406, NULL, 'PIRSF033101', NULL, NULL, NULL, NULL, 'UCP033101', NULL, NULL, 7768, 13),
(49407, NULL, 'PIRSF001435', NULL, NULL, NULL, NULL, 'Nth', NULL, NULL, NULL, 13),
(49408, NULL, 'PIRSF037225', NULL, NULL, NULL, NULL, 'UCP037225', NULL, NULL, 20861, 13),
(49409, NULL, 'PIRSF001788', NULL, NULL, NULL, NULL, 'GMF-beta', NULL, NULL, 11244, 13),
(49410, NULL, 'PIRSF002070', NULL, NULL, NULL, NULL, 'SSB', NULL, NULL, 11269, 13),
(49411, NULL, 'PIRSF028340', NULL, NULL, NULL, NULL, 'UCP028340', NULL, NULL, 17383, 13),
(49412, NULL, 'PIRSF002527', NULL, NULL, NULL, NULL, 'ER-like_NR', NULL, NULL, 13755, 13),
(49413, NULL, 'PIRSF029557', NULL, NULL, NULL, NULL, 'UCP029557', NULL, NULL, 10386, 13),
(49414, NULL, 'PIRSF036805', NULL, NULL, NULL, NULL, '26S_protsm_s5a', NULL, NULL, 9593, 13),
(49415, NULL, 'PIRSF005822', NULL, NULL, NULL, NULL, 'NDUA2', NULL, NULL, 15902, 13),
(49416, NULL, 'PIRSF002190', NULL, NULL, NULL, NULL, 'Ribosomal_L18a', NULL, NULL, 15457, 13),
(49417, NULL, 'PIRSF022632', NULL, NULL, NULL, NULL, 'UCP022632', NULL, NULL, 15160, 13),
(49418, NULL, 'PIRSF027682', NULL, NULL, NULL, NULL, 'UCP027682_CUB_vWA', NULL, NULL, 16311, 13),
(49419, NULL, 'PIRSF500183', NULL, NULL, NULL, NULL, 'Hepatocyte_GF', NULL, NULL, 27940, 13),
(49420, NULL, 'PIRSF000188', NULL, NULL, NULL, NULL, 'Phe_leu_dh', NULL, NULL, 17010, 13),
(49421, NULL, 'PIRSF009415', NULL, NULL, NULL, NULL, 'TFIIA_gamma_hum', NULL, NULL, 3317, 13),
(49422, NULL, 'PIRSF000166', NULL, NULL, NULL, NULL, 'Coproporphyri_ox', NULL, NULL, 2462, 13),
(49423, NULL, 'PIRSF015965', NULL, NULL, NULL, NULL, '26S_protsm_Rpn1', NULL, NULL, 19900, 13),
(49424, NULL, 'PIRSF006743', NULL, NULL, NULL, NULL, 'Exonuclease_Xnr1', NULL, NULL, 16354, 13),
(49425, NULL, 'PIRSF015693', NULL, NULL, NULL, NULL, 'VAC-48L_nuct', NULL, NULL, 679, 13),
(49426, NULL, 'PIRSF017888', NULL, NULL, NULL, NULL, 'CPSF-25', NULL, NULL, 21000, 13),
(49427, NULL, 'PIRSF018567', NULL, NULL, NULL, NULL, 'AcoX', NULL, NULL, 14507, 13),
(49428, NULL, 'PIRSF000112', NULL, NULL, NULL, NULL, 'Glycerol_dh', NULL, NULL, 17491, 13),
(49429, NULL, 'PIRSF000729', NULL, NULL, NULL, NULL, 'GK', NULL, NULL, 8046, 13),
(49430, NULL, 'PIRSF010603', NULL, NULL, NULL, NULL, 'UCP010603', NULL, NULL, 9834, 13),
(49431, NULL, 'PIRSF030050', NULL, NULL, NULL, NULL, 'UCP030050_HTH', NULL, NULL, 18456, 13),
(49432, NULL, 'PIRSF018957', NULL, NULL, NULL, NULL, 'UCP018957', NULL, NULL, 8975, 13),
(49433, NULL, 'PIRSF016766', NULL, NULL, NULL, NULL, 'UCP016766_ATPgrasp', NULL, NULL, 13074, 13),
(49434, NULL, 'PIRSF015950', NULL, NULL, NULL, NULL, 'Mev_P_decrbx', NULL, NULL, 92, 13),
(49435, NULL, 'PIRSF037445', NULL, NULL, NULL, NULL, 'UCP037445_abhydr', NULL, NULL, 15883, 13),
(49436, NULL, 'PIRSF019239', NULL, NULL, NULL, NULL, 'MrpE', NULL, NULL, 4099, 13),
(49437, NULL, 'PIRSF009265', NULL, NULL, NULL, NULL, 'GCH3', NULL, NULL, 2257, 13),
(49438, NULL, 'PIRSF033143', NULL, NULL, NULL, NULL, 'LytTR_solo', NULL, NULL, 13664, 13),
(49439, NULL, 'PIRSF002155', NULL, NULL, NULL, NULL, 'RPL1p_RPL1a_RPL10e_RPL1o', NULL, NULL, 5481, 13),
(49440, NULL, 'PIRSF002368', NULL, NULL, NULL, NULL, 'Clusterin', NULL, NULL, 14833, 13),
(49441, NULL, 'PIRSF016202', NULL, NULL, NULL, NULL, 'PH1107', NULL, NULL, 623, 13),
(49442, NULL, 'PIRSF008210', NULL, NULL, NULL, NULL, 'UCP008210', NULL, NULL, 9579, 13),
(49443, NULL, 'PIRSF019302', NULL, NULL, NULL, NULL, 'UCP019302', NULL, NULL, 21641, 13),
(49444, NULL, 'PIRSF017385', NULL, NULL, NULL, NULL, 'CtaF', NULL, NULL, 15287, 13),
(49445, NULL, 'PIRSF037861', NULL, NULL, NULL, NULL, 'Prion_URE2', NULL, NULL, 16601, 13),
(49446, NULL, 'PIRSF000385', NULL, NULL, NULL, NULL, 'Gly_N-mtase', NULL, NULL, 12881, 13);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49447, NULL, 'PIRSF000116', NULL, NULL, NULL, NULL, 'IlvC_gammaproteo', NULL, NULL, 11744, 13),
(49448, NULL, 'PIRSF016498', NULL, NULL, NULL, NULL, 'UCP016498', NULL, NULL, 17596, 13),
(49449, NULL, 'PIRSF000264', NULL, NULL, NULL, NULL, 'Meth_CoM_rd_gama', NULL, NULL, 2552, 13),
(49450, NULL, 'PIRSF500813', NULL, NULL, NULL, NULL, 'PP1_PTG', NULL, NULL, 27069, 13),
(49451, NULL, 'PIRSF500742', NULL, NULL, NULL, NULL, 'MAPKKK13', NULL, NULL, 5607, 13),
(49452, NULL, 'PIRSF001365', NULL, NULL, NULL, NULL, 'DHDPS', NULL, NULL, 6149, 13),
(49453, NULL, 'PIRSF001491', NULL, NULL, NULL, NULL, 'Ppentomutase', NULL, NULL, 5239, 13),
(49454, NULL, 'PIRSF029962', NULL, NULL, NULL, NULL, 'UCP029962', NULL, NULL, 18278, 13),
(49455, NULL, 'PIRSF000741', NULL, NULL, NULL, NULL, 'FasBCD', NULL, NULL, 19982, 13),
(49456, NULL, 'PIRSF002372', NULL, NULL, NULL, NULL, 'Beta-casein', NULL, NULL, 20889, 13),
(49457, NULL, 'PIRSF019543', NULL, NULL, NULL, NULL, 'Clavaminate_syn', NULL, NULL, 10880, 13),
(49458, NULL, 'PIRSF019115', NULL, NULL, NULL, NULL, 'UCP019115', NULL, NULL, 19289, 13),
(49459, NULL, 'PIRSF037161', NULL, NULL, NULL, NULL, 'PRDM4', NULL, NULL, 20919, 13),
(49460, NULL, 'PIRSF026343', NULL, NULL, NULL, NULL, 'NlpB', NULL, NULL, 11851, 13),
(49461, NULL, 'PIRSF003768', NULL, NULL, NULL, NULL, 'VAC_I5L', NULL, NULL, 3917, 13),
(49462, NULL, 'PIRSF016934', NULL, NULL, NULL, NULL, 'UCP016934', NULL, NULL, 1839, 13),
(49463, NULL, 'PIRSF016933', NULL, NULL, NULL, NULL, 'PrsW', NULL, NULL, 16220, 13),
(49464, NULL, 'PIRSF006386', NULL, NULL, NULL, NULL, 'HCCAis_GSTk', NULL, NULL, 7683, 13),
(49465, NULL, 'PIRSF001767', NULL, NULL, NULL, NULL, 'Cdc6', NULL, NULL, 19898, 13),
(49466, NULL, 'PIRSF006787', NULL, NULL, NULL, NULL, 'Hydrgn_mat_HoxX', NULL, NULL, 9575, 13),
(49467, NULL, 'PIRSF036640', NULL, NULL, NULL, NULL, 'FPGT', NULL, NULL, 14128, 13),
(49468, NULL, 'PIRSF000980', NULL, NULL, NULL, NULL, 'RecC', NULL, NULL, 2335, 13),
(49469, NULL, 'PIRSF017681', NULL, NULL, NULL, NULL, '3-HAO', NULL, NULL, 20589, 13),
(49470, NULL, 'PIRSF036158', NULL, NULL, NULL, NULL, 'UCP036158_MarR', NULL, NULL, 8477, 13),
(49471, NULL, 'PIRSF038984', NULL, NULL, NULL, NULL, 'FAD_binding_protein', NULL, NULL, 2238, 13),
(49472, NULL, 'PIRSF004509', NULL, NULL, NULL, NULL, 'UCP004509_Rem', NULL, NULL, 21590, 13),
(49473, NULL, 'PIRSF015268', NULL, NULL, NULL, NULL, 'Virulence_RhuM', NULL, NULL, 10839, 13),
(49474, NULL, 'PIRSF006187', NULL, NULL, NULL, NULL, 'UCP006187', NULL, NULL, 12706, 13),
(49475, NULL, 'PIRSF019254', NULL, NULL, NULL, NULL, 'CFP29', NULL, NULL, 3833, 13),
(49476, NULL, 'PIRSF006865', NULL, NULL, NULL, NULL, 'Ecotin', NULL, NULL, 2849, 13),
(49477, NULL, 'PIRSF037798', NULL, NULL, NULL, NULL, 'Hsp31', NULL, NULL, 16231, 13),
(49478, NULL, 'PIRSF015753', NULL, NULL, NULL, NULL, 'GST', NULL, NULL, 19782, 13),
(49479, NULL, 'PIRSF028934', NULL, NULL, NULL, NULL, 'Cyclin_CG14939', NULL, NULL, 13756, 13),
(49480, NULL, 'PIRSF036226', NULL, NULL, NULL, NULL, 'UCP036226', NULL, NULL, 8088, 13),
(49481, NULL, 'PIRSF001196', NULL, NULL, NULL, NULL, 'Meprin', NULL, NULL, 8661, 13),
(49482, NULL, 'PIRSF036995', NULL, NULL, NULL, NULL, 'RSM24', NULL, NULL, 19779, 13),
(49483, NULL, 'PIRSF009414', NULL, NULL, NULL, NULL, 'LuxC', NULL, NULL, 13102, 13),
(49484, NULL, 'PIRSF034445', NULL, NULL, NULL, NULL, 'CpxP_Spy', NULL, NULL, 13258, 13),
(49485, NULL, 'PIRSF037347', NULL, NULL, NULL, NULL, 'HK_CHASE2_PAS', NULL, NULL, 21683, 13),
(49486, NULL, 'PIRSF036666', NULL, NULL, NULL, NULL, 'G6S', NULL, NULL, 11574, 13),
(49487, NULL, 'PIRSF037469', NULL, NULL, NULL, NULL, 'Chc_related', NULL, NULL, 15594, 13),
(49488, NULL, 'PIRSF003781', NULL, NULL, NULL, NULL, 'VAC_C5L', NULL, NULL, 9548, 13),
(49489, NULL, 'PIRSF003766', NULL, NULL, NULL, NULL, 'VAC_I2L', NULL, NULL, 9955, 13),
(49490, NULL, 'PIRSF016939', NULL, NULL, NULL, NULL, 'ADP_ribosylarg_hydrolase', NULL, NULL, 13487, 13),
(49491, NULL, 'PIRSF038940', NULL, NULL, NULL, NULL, 'Low_specificity_LTA', NULL, NULL, 23684, 13),
(49492, NULL, 'PIRSF500144', NULL, NULL, NULL, NULL, 'IODI_III', NULL, NULL, 22230, 13);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49493, NULL, 'PIRSF011649', NULL, NULL, NULL, NULL, 'MtTFB', NULL, NULL, 18213, 13),
(49494, NULL, 'PIRSF017706', NULL, NULL, NULL, NULL, 'TFIP11', NULL, NULL, 21859, 13),
(49495, NULL, 'PIRSF031715', NULL, NULL, NULL, NULL, 'CobT_chel', NULL, NULL, 338, 13),
(49496, NULL, 'PIRSF032756', NULL, NULL, NULL, NULL, 'UCP032756', NULL, NULL, 19065, 13),
(49497, NULL, 'PIRSF029271', NULL, NULL, NULL, NULL, 'Pdx1', NULL, NULL, 4280, 13),
(49498, NULL, 'PIRSF016599', NULL, NULL, NULL, NULL, 'Xaa-His_dipept', NULL, NULL, 1391, 13),
(49499, NULL, 'PIRSF020967', NULL, NULL, NULL, NULL, 'UCP020967', NULL, NULL, 10715, 13),
(49500, NULL, 'PIRSF006402', NULL, NULL, NULL, NULL, 'UCP006402_thioredoxin', NULL, NULL, 5832, 13),
(49501, NULL, 'PIRSF018507', NULL, NULL, NULL, NULL, 'Prpndl_dhdrts_lg', NULL, NULL, 2456, 13),
(49502, NULL, 'PIRSF001235', NULL, NULL, NULL, NULL, 'Amidase_hyd_carb', NULL, NULL, 10799, 13),
(49503, NULL, 'PIRSF005690', NULL, NULL, NULL, NULL, 'GerBA', NULL, NULL, 991, 13),
(49504, NULL, 'PIRSF029669', NULL, NULL, NULL, NULL, 'UCP029669', NULL, NULL, 17475, 13),
(49505, NULL, 'PIRSF002465', NULL, NULL, NULL, NULL, 'Phsphlp_syn_PlsX', NULL, NULL, 8399, 13),
(49506, NULL, 'PIRSF001134', NULL, NULL, NULL, NULL, 'Streptogrisin', NULL, NULL, 2163, 13),
(49507, NULL, 'PIRSF022909', NULL, NULL, NULL, NULL, 'UCP022909', NULL, NULL, 13790, 13),
(49508, NULL, 'PIRSF028762', NULL, NULL, NULL, NULL, 'ABD1', NULL, NULL, 17209, 13),
(49509, NULL, 'PIRSF032968', NULL, NULL, NULL, NULL, 'UCP032968', NULL, NULL, 19206, 13),
(49510, NULL, 'PIRSF000163', NULL, NULL, NULL, NULL, 'ChlB', NULL, NULL, 17386, 13),
(49511, NULL, 'PIRSF005303', NULL, NULL, NULL, NULL, 'Thiam_monoph_kin', NULL, NULL, 3670, 13),
(49512, NULL, 'PIRSF018147', NULL, NULL, NULL, NULL, 'ORM1', NULL, NULL, 1332, 13),
(49513, NULL, 'PIRSF023956', NULL, NULL, NULL, NULL, 'TPMT', NULL, NULL, 23947, 13),
(49514, NULL, 'PIRSF019464', NULL, NULL, NULL, NULL, 'UCP019464', NULL, NULL, 21969, 13),
(49515, NULL, 'PIRSF001475', NULL, NULL, NULL, NULL, 'Cyclophilin_E', NULL, NULL, 19540, 13),
(49516, NULL, 'PIRSF021265', NULL, NULL, NULL, NULL, 'ManO', NULL, NULL, 8901, 13),
(49517, NULL, 'PIRSF024051', NULL, NULL, NULL, NULL, 'UCP024051', NULL, NULL, 16736, 13),
(49518, NULL, 'PIRSF026544', NULL, NULL, NULL, NULL, 'DksA_homolog', NULL, NULL, 16018, 13),
(49519, NULL, 'PIRSF000044', NULL, NULL, NULL, NULL, 'Cis_Diol_DH_RD', NULL, NULL, 4105, 13),
(49520, NULL, 'PIRSF001558', NULL, NULL, NULL, NULL, 'GSHase', NULL, NULL, 2883, 13),
(49521, NULL, 'PIRSF032862', NULL, NULL, NULL, NULL, 'UCP032862_Fe-S', NULL, NULL, 19249, 13),
(49522, NULL, 'PIRSF036542', NULL, NULL, NULL, NULL, 'SpmA_SpmB', NULL, NULL, 8182, 13),
(49523, NULL, 'PIRSF011396', NULL, NULL, NULL, NULL, 'Trp_halogenase', NULL, NULL, 36024, 13),
(49524, NULL, 'PIRSF002690', NULL, NULL, NULL, NULL, 'Plant_L_lectin', NULL, NULL, 20970, 13),
(49525, NULL, 'PIRSF006006', NULL, NULL, NULL, NULL, 'UCP006006', NULL, NULL, 10133, 13),
(49526, NULL, 'PIRSF015599', NULL, NULL, NULL, NULL, 'KIT_ligand_MCF', NULL, NULL, 5537, 13),
(49527, NULL, 'PIRSF037137', NULL, NULL, NULL, NULL, 'HPS_DMK', NULL, NULL, 20856, 13),
(49528, NULL, 'PIRSF002903', NULL, NULL, NULL, NULL, 'CmsA/CmsE', NULL, NULL, 3430, 13),
(49529, NULL, 'PIRSF001259', NULL, NULL, NULL, NULL, 'RibA', NULL, NULL, NULL, 13),
(49530, NULL, 'PIRSF037188', NULL, NULL, NULL, NULL, 'Lsm7', NULL, NULL, NULL, 13),
(49531, NULL, 'PIRSF039032', NULL, NULL, NULL, NULL, 'HigB-2', NULL, NULL, 8489, 13),
(49532, NULL, 'PIRSF037420', NULL, NULL, NULL, NULL, 'PqqE', NULL, NULL, 15417, 13),
(49533, NULL, 'PIRSF036580', NULL, NULL, NULL, NULL, 'Cyclin_L', NULL, NULL, NULL, 13),
(49534, NULL, 'PIRSF028583', NULL, NULL, NULL, NULL, 'UCP028583', NULL, NULL, 17353, 13),
(49535, NULL, 'PIRSF028921', NULL, NULL, NULL, NULL, 'Vps41', NULL, NULL, 17411, 13),
(49536, NULL, 'PIRSF000804', NULL, NULL, NULL, NULL, 'DNA_pol_III_b', NULL, NULL, 4469, 13),
(49537, NULL, 'PIRSF017288', NULL, NULL, NULL, NULL, 'PMK_GHMP_euk', NULL, NULL, 9431, 13),
(49538, NULL, 'PIRSF028770', NULL, NULL, NULL, NULL, 'UCP028770', NULL, NULL, 10658, 13); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49539, NULL, 'PIRSF028704', NULL, NULL, NULL, NULL, 'UCP028704', NULL, NULL, 12198, 13),
(49540, NULL, 'PIRSF000278', NULL, NULL, NULL, NULL, 'COX_VIb', NULL, NULL, 2366, 13),
(49541, NULL, 'PIRSF006337', NULL, NULL, NULL, NULL, 'Glycosyltrehalos_trehalohydrls', NULL, NULL, 10398, 13),
(49542, NULL, 'PIRSF036478', NULL, NULL, NULL, NULL, 'Uropor_mtas_plnt', NULL, NULL, 13529, 13),
(49543, NULL, 'PIRSF007747', NULL, NULL, NULL, NULL, 'RIT1', NULL, NULL, 4901, 13),
(49544, NULL, 'PIRSF028513', NULL, NULL, NULL, NULL, 'LptC', NULL, NULL, 21522, 13),
(49545, NULL, 'PIRSF001028', NULL, NULL, NULL, NULL, 'Alpha-amylase_plant', NULL, NULL, 11978, 13),
(49546, NULL, 'PIRSF002305', NULL, NULL, NULL, NULL, 'ERM', NULL, NULL, 11160, 13),
(49547, NULL, 'PIRSF006171', NULL, NULL, NULL, NULL, 'RR_citrat_malat', NULL, NULL, 14144, 13),
(49548, NULL, 'PIRSF038100', NULL, NULL, NULL, NULL, 'TEX28', NULL, NULL, 18081, 13),
(49549, NULL, 'PIRSF004654', NULL, NULL, NULL, NULL, 'NlpI', NULL, NULL, 16753, 13),
(49550, NULL, 'PIRSF016013', NULL, NULL, NULL, NULL, 'AtER_Rer1p', NULL, NULL, 1612, 13),
(49551, NULL, 'PIRSF001007', NULL, NULL, NULL, NULL, 'RusA', NULL, NULL, 19876, 13),
(49552, NULL, 'PIRSF015582', NULL, NULL, NULL, NULL, 'Cit_lyase_B', NULL, NULL, 10751, 13),
(49553, NULL, 'PIRSF037356', NULL, NULL, NULL, NULL, 'UCP037356', NULL, NULL, 13266, 13),
(49554, NULL, 'PIRSF001332', NULL, NULL, NULL, NULL, 'Acetolac_decarb', NULL, NULL, 7465, 13),
(49555, NULL, 'PIRSF037091', NULL, NULL, NULL, NULL, 'AP2_alpha', NULL, NULL, 20514, 13),
(49556, NULL, 'PIRSF007778', NULL, NULL, NULL, NULL, 'UCP007778', NULL, NULL, 16446, 13),
(49557, NULL, 'PIRSF038981', NULL, NULL, NULL, NULL, 'GRP', NULL, NULL, 14603, 13),
(49558, NULL, 'PIRSF000292', NULL, NULL, NULL, NULL, 'Ubiqnol_oxid_II', NULL, NULL, 4646, 13),
(49559, NULL, 'PIRSF001438', NULL, NULL, NULL, NULL, 'PBGD', NULL, NULL, 3193, 13),
(49560, NULL, 'PIRSF005290', NULL, NULL, NULL, NULL, 'NOT_su_3_5', NULL, NULL, 12365, 13),
(49561, NULL, 'PIRSF017207', NULL, NULL, NULL, NULL, 'UCP017207_Tmem85', NULL, NULL, 8398, 13),
(49562, NULL, 'PIRSF016552', NULL, NULL, NULL, NULL, 'MtrD', NULL, NULL, 5889, 13),
(49563, NULL, 'PIRSF001427', NULL, NULL, NULL, NULL, 'NHase_beta', NULL, NULL, 1977, 13),
(49564, NULL, 'PIRSF004681', NULL, NULL, NULL, NULL, 'UCP004681', NULL, NULL, 3031, 13),
(49565, NULL, 'PIRSF005019', NULL, NULL, NULL, NULL, 'EhaA', NULL, NULL, 10432, 13),
(49566, NULL, 'PIRSF033541', NULL, NULL, NULL, NULL, 'ORF25P_Sir2', NULL, NULL, 8294, 13),
(49567, NULL, 'PIRSF036989', NULL, NULL, NULL, NULL, 'Zeaxanthin_epoxidase', NULL, NULL, 19512, 13),
(49568, NULL, 'PIRSF037785', NULL, NULL, NULL, NULL, 'RecU', NULL, NULL, 927, 13),
(49569, NULL, 'PIRSF038601', NULL, NULL, NULL, NULL, 'UCP038601', NULL, NULL, 10211, 13),
(49570, NULL, 'PIRSF003867', NULL, NULL, NULL, NULL, 'Rev_lenti-OC', NULL, NULL, 21962, 13),
(49571, NULL, 'PIRSF019847', NULL, NULL, NULL, NULL, 'Tri6', NULL, NULL, 21557, 13),
(49572, NULL, 'PIRSF018637', NULL, NULL, NULL, NULL, 'TrmK', NULL, NULL, 4959, 13),
(49573, NULL, 'PIRSF028234', NULL, NULL, NULL, NULL, 'UCP028234', NULL, NULL, 16250, 13),
(49574, NULL, 'PIRSF000929', NULL, NULL, NULL, NULL, 'PTPN6_PTPN11', NULL, NULL, 7056, 13),
(49575, NULL, 'PIRSF037971', NULL, NULL, NULL, NULL, 'TLX_CD46', NULL, NULL, 17307, 13),
(49576, NULL, 'PIRSF014995', NULL, NULL, NULL, NULL, 'UCP014995', NULL, NULL, 9890, 13),
(49577, NULL, 'PIRSF036670', NULL, NULL, NULL, NULL, 'ATPase_UCP036670', NULL, NULL, 14060, 13),
(49578, NULL, 'PIRSF005901', NULL, NULL, NULL, NULL, 'EF-P', NULL, NULL, 20745, 13),
(49579, NULL, 'PIRSF036561', NULL, NULL, NULL, NULL, 'ThTPase', NULL, NULL, 7234, 13),
(49580, NULL, 'PIRSF004029', NULL, NULL, NULL, NULL, 'N_ArenaV', NULL, NULL, 986, 13),
(49581, NULL, 'PIRSF037956', NULL, NULL, NULL, NULL, 'ZRANB2', NULL, NULL, 17355, 13),
(49582, NULL, 'PIRSF016238', NULL, NULL, NULL, NULL, 'Gdnf', NULL, NULL, 19559, 13),
(49583, NULL, 'PIRSF000714', NULL, NULL, NULL, NULL, 'HIT', NULL, NULL, 26390, 13),
(49584, NULL, 'PIRSF019075', NULL, NULL, NULL, NULL, 'UCP019075', NULL, NULL, 21904, 13);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49585, NULL, 'PIRSF038128', NULL, NULL, NULL, NULL, 'CORI1', NULL, NULL, 18366, 13),
(49586, NULL, 'PIRSF000456', NULL, NULL, NULL, NULL, 'UDP-GlcNAc_acltr', NULL, NULL, 10735, 13),
(49587, NULL, 'PIRSF001191', NULL, NULL, NULL, NULL, 'MMP_stromelysin', NULL, NULL, 15543, 13),
(49588, NULL, 'PIRSF039090', NULL, NULL, NULL, NULL, 'Flis', NULL, NULL, 2038, 13),
(49589, NULL, 'PIRSF036410', NULL, NULL, NULL, NULL, 'EutE_PduP', NULL, NULL, 13742, 13),
(49590, NULL, 'PIRSF013329', NULL, NULL, NULL, NULL, 'UCP013329', NULL, NULL, 19665, 13),
(49591, NULL, 'PIRSF015618', NULL, NULL, NULL, NULL, 'BHLH_neuroD', NULL, NULL, 19654, 13),
(49592, NULL, 'PIRSF005278', NULL, NULL, NULL, NULL, 'UCP005278', NULL, NULL, 11445, 13),
(49593, NULL, 'PIRSF001778', NULL, NULL, NULL, NULL, 'Pro-EGF', NULL, NULL, 20864, 13),
(49594, NULL, 'PIRSF001373', NULL, NULL, NULL, NULL, 'TrpE', NULL, NULL, 4276, 13),
(49595, NULL, 'PIRSF005536', NULL, NULL, NULL, NULL, 'Agal', NULL, NULL, 6272, 13),
(49596, NULL, 'PIRSF037984', NULL, NULL, NULL, NULL, 'Met_synth_TM0269', NULL, NULL, 17391, 13),
(49597, NULL, 'PIRSF016527', NULL, NULL, NULL, NULL, 'TNF_CD40', NULL, NULL, 2567, 13),
(49598, NULL, 'PIRSF017205', NULL, NULL, NULL, NULL, 'ERO', NULL, NULL, 6913, 13),
(49599, NULL, 'PIRSF037228', NULL, NULL, NULL, NULL, 'Lan_mod_RumM', NULL, NULL, 20841, 13),
(49600, NULL, 'PIRSF017066', NULL, NULL, NULL, NULL, 'FlaD_arch', NULL, NULL, 20767, 13),
(49601, NULL, 'PIRSF028458', NULL, NULL, NULL, NULL, 'UCP028458', NULL, NULL, 17481, 13),
(49602, NULL, 'PIRSF000388', NULL, NULL, NULL, NULL, 'PanB', NULL, NULL, 2465, 13),
(49603, NULL, 'PIRSF007764', NULL, NULL, NULL, NULL, 'GINS_Sld5', NULL, NULL, 14248, 13),
(49604, NULL, 'PIRSF037096', NULL, NULL, NULL, NULL, 'AP3_beta', NULL, NULL, 27252, 13),
(49605, NULL, 'PIRSF016821', NULL, NULL, NULL, NULL, 'HSP15', NULL, NULL, 28374, 13),
(49606, NULL, 'PIRSF017494', NULL, NULL, NULL, NULL, 'Thiazolinyl_imide_reduct_YbtU', NULL, NULL, 2360, 13),
(49607, NULL, 'PIRSF022788', NULL, NULL, NULL, NULL, 'UCP022788', NULL, NULL, 15119, 13),
(49608, NULL, 'PIRSF001362', NULL, NULL, NULL, NULL, 'ICL', NULL, NULL, 3547, 13),
(49609, NULL, 'PIRSF028408', NULL, NULL, NULL, NULL, 'UCP028408', NULL, NULL, 12401, 13),
(49610, NULL, 'PIRSF029202', NULL, NULL, NULL, NULL, 'UCP029202', NULL, NULL, 18065, 13),
(49611, NULL, 'PIRSF037504', NULL, NULL, NULL, NULL, 'GRA6', NULL, NULL, 6035, 13),
(49612, NULL, 'PIRSF037506', NULL, NULL, NULL, NULL, 'NTP_gondii', NULL, NULL, 15906, 13),
(49613, NULL, 'PIRSF036762', NULL, NULL, NULL, NULL, 'GAA1', NULL, NULL, 6647, 13),
(49614, NULL, 'PIRSF000938', NULL, NULL, NULL, NULL, 'PTPN1_yeast', NULL, NULL, 19990, 13),
(49615, NULL, 'PIRSF037710', NULL, NULL, NULL, NULL, 'COX7A2L', NULL, NULL, 16214, 13),
(49616, NULL, 'PIRSF015750', NULL, NULL, NULL, NULL, 'Riboflv_synth_arch', NULL, NULL, 5621, 13),
(49617, NULL, 'PIRSF034405', NULL, NULL, NULL, NULL, 'UCP034405', NULL, NULL, 19351, 13),
(49618, NULL, 'PIRSF034890', NULL, NULL, NULL, NULL, 'Pesteras_lmo2642', NULL, NULL, 12834, 13),
(49619, NULL, 'PIRSF036361', NULL, NULL, NULL, NULL, 'YunD', NULL, NULL, 11107, 13),
(49620, NULL, 'PIRSF500230', NULL, NULL, NULL, NULL, 'Sterol_acyltranf_ACAT', NULL, NULL, 26930, 13),
(49621, NULL, 'PIRSF028226', NULL, NULL, NULL, NULL, 'PhaP', NULL, NULL, 8655, 13),
(49622, NULL, 'PIRSF037657', NULL, NULL, NULL, NULL, 'Lipopeptide_LppL', NULL, NULL, 15873, 13),
(49623, NULL, 'PIRSF000431', NULL, NULL, NULL, NULL, 'G3POAT', NULL, NULL, 17460, 13),
(49624, NULL, 'PIRSF004557', NULL, NULL, NULL, NULL, 'SecY_Sec61alpha', NULL, NULL, 147, 13),
(49625, NULL, 'PIRSF003259', NULL, NULL, NULL, NULL, 'TraL', NULL, NULL, 21503, 13),
(49626, NULL, 'PIRSF005763', NULL, NULL, NULL, NULL, 'Txn_reg_ModE', NULL, NULL, 15691, 13),
(49627, NULL, 'PIRSF036514', NULL, NULL, NULL, NULL, 'Sm_HSP_B1', NULL, NULL, 5372, 13),
(49628, NULL, 'PIRSF038051', NULL, NULL, NULL, NULL, 'Lys-Histone-de-mtase', NULL, NULL, 17747, 13),
(49629, NULL, 'PIRSF010130', NULL, NULL, NULL, NULL, 'PduL', NULL, NULL, 8877, 13),
(49630, NULL, 'PIRSF030820', NULL, NULL, NULL, NULL, 'UCP030820', NULL, NULL, 7821, 13);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49631, NULL, 'PIRSF037514', NULL, NULL, NULL, NULL, 'Rab_ger_ger_transf_A_fungal', NULL, NULL, 15558, 13),
(49632, NULL, 'PIRSF034888', NULL, NULL, NULL, NULL, 'P-loop_UCP034888', NULL, NULL, 8073, 13),
(49633, NULL, 'PIRSF009867', NULL, NULL, NULL, NULL, 'Rrn10', NULL, NULL, 3078, 13),
(49634, NULL, 'PIRSF000290', NULL, NULL, NULL, NULL, 'PPO_plant', NULL, NULL, 17110, 13),
(49635, NULL, 'PIRSF018468', NULL, NULL, NULL, NULL, 'Rep_DICDI', NULL, NULL, 1259, 13),
(49636, NULL, 'PIRSF000033', NULL, NULL, NULL, NULL, 'Cytochrome_b6f_IV', NULL, NULL, 6507, 13),
(49637, NULL, 'PIRSF006909', NULL, NULL, NULL, NULL, 'UCP006909', NULL, NULL, 9854, 13),
(49638, NULL, 'PIRSF016150', NULL, NULL, NULL, NULL, 'FucT_helico', NULL, NULL, 19938, 13),
(49639, NULL, 'PIRSF003947', NULL, NULL, NULL, NULL, 'N_OrthobunV', NULL, NULL, 4078, 13),
(49640, NULL, 'PIRSF000119', NULL, NULL, NULL, NULL, 'Ilv5_fungal', NULL, NULL, 17090, 13),
(49641, NULL, 'PIRSF020687', NULL, NULL, NULL, NULL, 'UCP020687', NULL, NULL, 14645, 13),
(49642, NULL, 'PIRSF001097', NULL, NULL, NULL, NULL, 'Agarase', NULL, NULL, 19707, 13),
(49643, NULL, 'PIRSF037318', NULL, NULL, NULL, NULL, 'RfaP', NULL, NULL, 21771, 13),
(49644, NULL, 'PIRSF015696', NULL, NULL, NULL, NULL, 'VAC_E10R', NULL, NULL, 4611, 13),
(49645, NULL, 'PIRSF005240', NULL, NULL, NULL, NULL, 'CcmF', NULL, NULL, 385, 13),
(49646, NULL, 'PIRSF034754', NULL, NULL, NULL, NULL, 'SigE', NULL, NULL, 18545, 13),
(49647, NULL, 'PIRSF035859', NULL, NULL, NULL, NULL, 'ABC_tp_sb', NULL, NULL, 8335, 13),
(49648, NULL, 'PIRSF018162', NULL, NULL, NULL, NULL, 'TRAMP_AIR', NULL, NULL, 20959, 13),
(49649, NULL, 'PIRSF008955', NULL, NULL, NULL, NULL, 'AGOG', NULL, NULL, 16249, 13),
(49650, NULL, 'PIRSF028589', NULL, NULL, NULL, NULL, 'UCP028589', NULL, NULL, 17027, 13),
(49651, NULL, 'PIRSF016564', NULL, NULL, NULL, NULL, 'NDUS6', NULL, NULL, 20747, 13),
(49652, NULL, 'PIRSF037256', NULL, NULL, NULL, NULL, 'UCP037256', NULL, NULL, 21793, 13),
(49653, NULL, 'PIRSF004977', NULL, NULL, NULL, NULL, 'UCP004977', NULL, NULL, 11207, 13),
(49654, NULL, 'PIRSF026782', NULL, NULL, NULL, NULL, 'CbiD', NULL, NULL, 3661, 13),
(49655, NULL, 'PIRSF029407', NULL, NULL, NULL, NULL, 'UCP029407', NULL, NULL, 12391, 13),
(49656, NULL, 'PIRSF037512', NULL, NULL, NULL, NULL, 'PxSR', NULL, NULL, 15915, 13),
(49657, NULL, 'PIRSF001111', NULL, NULL, NULL, NULL, 'Isochorismatase', NULL, NULL, 19975, 13),
(49658, NULL, 'PIRSF038096', NULL, NULL, NULL, NULL, 'CD27BP', NULL, NULL, 11451, 13),
(49659, NULL, 'PIRSF002216', NULL, NULL, NULL, NULL, 'MRPL31', NULL, NULL, 20979, 13),
(49660, NULL, 'PIRSF002374', NULL, NULL, NULL, NULL, 'Kappa-casein', NULL, NULL, 4189, 13),
(49661, NULL, 'PIRSF031900', NULL, NULL, NULL, NULL, 'UCP031900', NULL, NULL, 8124, 13),
(49662, NULL, 'PIRSF038931', NULL, NULL, NULL, NULL, 'GerQ', NULL, NULL, 14026, 13),
(49663, NULL, 'PIRSF038076', NULL, NULL, NULL, NULL, 'US8A', NULL, NULL, 18400, 13),
(49664, NULL, 'PIRSF000037', NULL, NULL, NULL, NULL, 'Cytochrome_PsbF', NULL, NULL, 3555, 13),
(49665, NULL, 'PIRSF000441', NULL, NULL, NULL, NULL, 'CysE', NULL, NULL, 6910, 13),
(49666, NULL, 'PIRSF001828', NULL, NULL, NULL, NULL, 'Thymosin_beta', NULL, NULL, 1031, 13),
(49667, NULL, 'PIRSF017190', NULL, NULL, NULL, NULL, 'NIP7', NULL, NULL, 20992, 13),
(49668, NULL, 'PIRSF005993', NULL, NULL, NULL, NULL, 'Occludin', NULL, NULL, 5297, 13),
(49669, NULL, 'PIRSF001658', NULL, NULL, NULL, NULL, 'Amylase_inhib', NULL, NULL, 4976, 13),
(49670, NULL, 'PIRSF009343', NULL, NULL, NULL, NULL, 'SUV39_HMTase_SET', NULL, NULL, 14509, 13),
(49671, NULL, 'PIRSF016624', NULL, NULL, NULL, NULL, 'Mu_prophg_I', NULL, NULL, 13451, 13),
(49672, NULL, 'PIRSF037664', NULL, NULL, NULL, NULL, 'MmoD', NULL, NULL, 15889, 13),
(49673, NULL, 'PIRSF006716', NULL, NULL, NULL, NULL, 'Spore_CotF', NULL, NULL, 16454, 13),
(49674, NULL, 'PIRSF000178', NULL, NULL, NULL, NULL, 'SDH_cyt_b560', NULL, NULL, 9727, 13),
(49675, NULL, 'PIRSF028063', NULL, NULL, NULL, NULL, 'UCP028063', NULL, NULL, 12092, 13),
(49676, NULL, 'PIRSF500795', NULL, NULL, NULL, NULL, 'Thiamine_transporter_2', NULL, NULL, 28607, 13);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49677, NULL, 'PIRSF000498', NULL, NULL, NULL, NULL, 'Riboflavin_syn_A', NULL, NULL, 4013, 13),
(49678, NULL, 'PIRSF004793', NULL, NULL, NULL, NULL, 'UCP004793', NULL, NULL, 9760, 13),
(49679, NULL, 'PIRSF037227', NULL, NULL, NULL, NULL, 'AbgB', NULL, NULL, 20555, 13),
(49680, NULL, 'PIRSF033736', NULL, NULL, NULL, NULL, 'UCP033763', NULL, NULL, 19216, 13),
(49681, NULL, 'PIRSF036568', NULL, NULL, NULL, NULL, 'CYTH_CHAD_HD', NULL, NULL, 12430, 13),
(49682, NULL, 'PIRSF037242', NULL, NULL, NULL, NULL, 'CNDP_dipeptidase', NULL, NULL, 21947, 13),
(49683, NULL, 'PIRSF004008', NULL, NULL, NULL, NULL, 'VAC_E3L', NULL, NULL, 9966, 13),
(49684, NULL, 'PIRSF006728', NULL, NULL, NULL, NULL, 'CinA', NULL, NULL, 6109, 13),
(49685, NULL, 'PIRSF027807', NULL, NULL, NULL, NULL, 'Cerberus', NULL, NULL, 16336, 13),
(49686, NULL, 'PIRSF035805', NULL, NULL, NULL, NULL, 'Tdk', NULL, NULL, 246, 13),
(49687, NULL, 'PIRSF037291', NULL, NULL, NULL, NULL, 'UCP037291_gluthr', NULL, NULL, 21766, 13),
(49688, NULL, 'PIRSF007510', NULL, NULL, NULL, NULL, 'UCP007510', NULL, NULL, 4664, 13),
(49689, NULL, 'PIRSF032582', NULL, NULL, NULL, NULL, 'Cas2', NULL, NULL, 10943, 13),
(49690, NULL, 'PIRSF028069', NULL, NULL, NULL, NULL, 'UCP028069', NULL, NULL, 16009, 13),
(49691, NULL, 'PIRSF036761', NULL, NULL, NULL, NULL, 'GDH_Mll4104', NULL, NULL, 1360, 13),
(49692, NULL, 'PIRSF001340', NULL, NULL, NULL, NULL, 'AIRC', NULL, NULL, 19510, 13),
(49693, NULL, 'PIRSF500776', NULL, NULL, NULL, NULL, 'Hyaluronidase_3', NULL, NULL, 26345, 13),
(49694, NULL, 'PIRSF036503', NULL, NULL, NULL, NULL, 'NDK7', NULL, NULL, 8029, 13),
(49695, NULL, 'PIRSF019202', NULL, NULL, NULL, NULL, 'UCP019202', NULL, NULL, 5791, 13),
(49696, NULL, 'PIRSF036912', NULL, NULL, NULL, NULL, 'Sac7', NULL, NULL, 2369, 13),
(49697, NULL, 'PIRSF037320', NULL, NULL, NULL, NULL, 'Sac3', NULL, NULL, 21909, 13),
(49698, NULL, 'PIRSF039097', NULL, NULL, NULL, NULL, 'MoSto_subunit', NULL, NULL, 27250, 13),
(49699, NULL, 'PIRSF003953', NULL, NULL, NULL, NULL, 'N_PhelboV', NULL, NULL, 9462, 13),
(49700, NULL, 'PIRSF000505', NULL, NULL, NULL, NULL, 'EPSPS', NULL, NULL, 3501, 13),
(49701, NULL, 'PIRSF038061', NULL, NULL, NULL, NULL, 'K(+)', NULL, NULL, 978, 13),
(49702, NULL, 'PIRSF028440', NULL, NULL, NULL, NULL, 'UCP_LAB_N', NULL, NULL, 12266, 13),
(49703, NULL, 'PIRSF018671', NULL, NULL, NULL, NULL, 'UCP018671', NULL, NULL, 10701, 13),
(49704, NULL, 'PIRSF000423', NULL, NULL, NULL, NULL, 'ArgA', NULL, NULL, 10952, 13),
(49705, NULL, 'PIRSF016308', NULL, NULL, NULL, NULL, 'UBP', NULL, NULL, 19662, 13),
(49706, NULL, 'PIRSF024484', NULL, NULL, NULL, NULL, 'UCP024484', NULL, NULL, 12676, 13),
(49707, NULL, 'PIRSF004548', NULL, NULL, NULL, NULL, 'CreD', NULL, NULL, 8913, 13),
(49708, NULL, 'PIRSF034455', NULL, NULL, NULL, NULL, 'UCP034455', NULL, NULL, 8380, 13),
(49709, NULL, 'PIRSF015679', NULL, NULL, NULL, NULL, 'VAC_mptidase_G1L', NULL, NULL, 10394, 13),
(49710, NULL, 'PIRSF037201', NULL, NULL, NULL, NULL, 'Ub_ligase_E6AP', NULL, NULL, 20616, 13),
(49711, NULL, 'PIRSF009437', NULL, NULL, NULL, NULL, 'NQR-1_subunit_C', NULL, NULL, 4071, 13),
(49712, NULL, 'PIRSF009471', NULL, NULL, NULL, NULL, 'UCP009471', NULL, NULL, 11136, 13),
(49713, NULL, 'PIRSF039012', NULL, NULL, NULL, NULL, 'ASP', NULL, NULL, 37903, 13),
(49714, NULL, 'PIRSF036428', NULL, NULL, NULL, NULL, 'CobL_MTase', NULL, NULL, 5902, 13),
(49715, NULL, 'PIRSF029688', NULL, NULL, NULL, NULL, 'UCP29688_pentapep', NULL, NULL, 17308, 13),
(49716, NULL, 'PIRSF010076', NULL, NULL, NULL, NULL, 'PAC1', NULL, NULL, 18422, 13),
(49717, NULL, 'PIRSF016429', NULL, NULL, NULL, NULL, 'UPTG', NULL, NULL, 1817, 13),
(49718, NULL, 'PIRSF031679', NULL, NULL, NULL, NULL, 'Mtase_Alr7345', NULL, NULL, 18084, 13),
(49719, NULL, 'PIRSF007936', NULL, NULL, NULL, NULL, 'SRB6', NULL, NULL, 16154, 13),
(49720, NULL, 'PIRSF018786', NULL, NULL, NULL, NULL, 'UCP018786', NULL, NULL, 1968, 13),
(49721, NULL, 'PIRSF037226', NULL, NULL, NULL, NULL, 'Amidohydrolase_ACY1L2', NULL, NULL, 20611, 13),
(49722, NULL, 'PIRSF036492', NULL, NULL, NULL, NULL, 'ALDH', NULL, NULL, 13570, 13); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49723, NULL, 'PIRSF005917', NULL, NULL, NULL, NULL, 'MTase_YraL', NULL, NULL, 7255, 13),
(49724, NULL, 'PIRSF006779', NULL, NULL, NULL, NULL, 'UCP006779', NULL, NULL, 3759, 13),
(49725, NULL, 'PIRSF025648', NULL, NULL, NULL, NULL, 'DDH', NULL, NULL, 4181, 13),
(49726, NULL, 'PIRSF005250', NULL, NULL, NULL, NULL, 'UCP005250', NULL, NULL, 15814, 13),
(49727, NULL, 'PIRSF038154', NULL, NULL, NULL, NULL, 'GTE6', NULL, NULL, 18893, 13),
(49728, NULL, 'PIRSF001263', NULL, NULL, NULL, NULL, 'Cyanate_hydratas', NULL, NULL, 6412, 13),
(49729, NULL, 'PIRSF018431', NULL, NULL, NULL, NULL, 'Molluscan_insulin_rel_peptide', NULL, NULL, 21669, 13),
(49730, NULL, 'PIRSF036365', NULL, NULL, NULL, NULL, 'Nematode_astacin', NULL, NULL, 19791, 13),
(49731, NULL, 'PIRSF008459', NULL, NULL, NULL, NULL, 'UCP008459', NULL, NULL, 16367, 13),
(49732, NULL, 'PIRSF006281', NULL, NULL, NULL, NULL, 'MdoG', NULL, NULL, 7660, 13),
(49733, NULL, 'PIRSF006595', NULL, NULL, NULL, NULL, 'UCP006595', NULL, NULL, 6045, 13),
(49734, NULL, 'PIRSF036432', NULL, NULL, NULL, NULL, 'Diphthine_synth', NULL, NULL, 786, 13),
(49735, NULL, 'PIRSF006256', NULL, NULL, NULL, NULL, 'CMP_trnsf_HypF', NULL, NULL, 7369, 13),
(49736, NULL, 'PIRSF032341', NULL, NULL, NULL, NULL, 'UCP032341_glycerophostrnsf', NULL, NULL, 19117, 13),
(49737, NULL, 'PIRSF001492', NULL, NULL, NULL, NULL, 'IPGAM', NULL, NULL, 1013, 13),
(49738, NULL, 'PIRSF021287', NULL, NULL, NULL, NULL, 'YmcA', NULL, NULL, 15055, 13),
(49739, NULL, 'PIRSF028137', NULL, NULL, NULL, NULL, 'UCP028137', NULL, NULL, 16364, 13),
(49740, NULL, 'PIRSF016509', NULL, NULL, NULL, NULL, 'MtrE', NULL, NULL, 5926, 13),
(49741, NULL, 'PIRSF019265', NULL, NULL, NULL, NULL, 'UCP019265', NULL, NULL, 816, 13),
(49742, NULL, 'PIRSF015736', NULL, NULL, NULL, NULL, 'MI', NULL, NULL, 26490, 13),
(49743, NULL, 'PIRSF015614', NULL, NULL, NULL, NULL, 'TRAF', NULL, NULL, 14435, 13),
(49744, NULL, 'PIRSF000331', NULL, NULL, NULL, NULL, 'HpaA_HpaB', NULL, NULL, 1557, 13),
(49745, NULL, 'PIRSF004417', NULL, NULL, NULL, NULL, 'Anti_term_Q', NULL, NULL, 10468, 13),
(49746, NULL, 'PIRSF003249', NULL, NULL, NULL, NULL, 'PyrBI_leader_pep', NULL, NULL, 9518, 13),
(49747, NULL, 'PIRSF037923', NULL, NULL, NULL, NULL, 'UCP037923', NULL, NULL, 10178, 13),
(49748, NULL, 'PIRSF037430', NULL, NULL, NULL, NULL, 'Ribotoxin_alpha-sarcin', NULL, NULL, 2898, 13),
(49749, NULL, 'PIRSF034659', NULL, NULL, NULL, NULL, 'Vir_TviA', NULL, NULL, 19272, 13),
(49750, NULL, 'PIRSF016325', NULL, NULL, NULL, NULL, 'PTPA', NULL, NULL, 4904, 13),
(49751, NULL, 'PIRSF001640', NULL, NULL, NULL, NULL, 'Hirudin', NULL, NULL, 6682, 13),
(49752, NULL, 'PIRSF037732', NULL, NULL, NULL, NULL, 'YlbP', NULL, NULL, 16129, 13),
(49753, NULL, 'PIRSF001174', NULL, NULL, NULL, NULL, 'Lon_proteas', NULL, NULL, 4332, 13),
(49754, NULL, 'PIRSF000029', NULL, NULL, NULL, NULL, 'Cytochrome_b562', NULL, NULL, 9947, 13),
(49755, NULL, 'PIRSF014422', NULL, NULL, NULL, NULL, 'UCP014422', NULL, NULL, 19832, 13),
(49756, NULL, 'PIRSF005978', NULL, NULL, NULL, NULL, 'HTH_MJ0621', NULL, NULL, 15599, 13),
(49757, NULL, 'PIRSF016184', NULL, NULL, NULL, NULL, 'Ismrse_PhzF', NULL, NULL, 2216, 13),
(49758, NULL, 'PIRSF037943', NULL, NULL, NULL, NULL, 'SPAG7', NULL, NULL, 17414, 13),
(49759, NULL, 'PIRSF018293', NULL, NULL, NULL, NULL, 'TRAPP_1_Bet3', NULL, NULL, 21974, 13),
(49760, NULL, 'PIRSF030092', NULL, NULL, NULL, NULL, 'UCP030092', NULL, NULL, 18379, 13),
(49761, NULL, 'PIRSF005378', NULL, NULL, NULL, NULL, 'RNA_3-term_P_cyclase', NULL, NULL, 1336, 13),
(49762, NULL, 'PIRSF005713', NULL, NULL, NULL, NULL, 'P2X_purinoceptor', NULL, NULL, 6839, 13),
(49763, NULL, 'PIRSF038127', NULL, NULL, NULL, NULL, 'UCP038127_LOB', NULL, NULL, 18173, 13),
(49764, NULL, 'PIRSF036639', NULL, NULL, NULL, NULL, 'PMK_anim', NULL, NULL, 293, 13),
(49765, NULL, 'PIRSF002419', NULL, NULL, NULL, NULL, 'Tetraspanin', NULL, NULL, 999, 13),
(49766, NULL, 'PIRSF035427', NULL, NULL, NULL, NULL, 'All2852', NULL, NULL, 11435, 13),
(49767, NULL, 'PIRSF003954', NULL, NULL, NULL, NULL, 'NS-S_OrthobunV', NULL, NULL, 6584, 13);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49768, NULL, 'PIRSF004857', NULL, NULL, NULL, NULL, 'Kin_aa_kin', NULL, NULL, 14795, 13),
(49769, NULL, 'PIRSF037432', NULL, NULL, NULL, NULL, 'HK_NreB', NULL, NULL, 15010, 13),
(49770, NULL, 'PIRSF001382', NULL, NULL, NULL, NULL, 'TrpG-trpC-trpF', NULL, NULL, 19621, 13),
(49771, NULL, 'PIRSF030283', NULL, NULL, NULL, NULL, 'Small_HSP_plant', NULL, NULL, 18166, 13),
(49772, NULL, 'PIRSF005261', NULL, NULL, NULL, NULL, 'HSP33', NULL, NULL, 4656, 13),
(49773, NULL, 'PIRSF015974', NULL, NULL, NULL, NULL, 'CLN3_BTN1', NULL, NULL, 21608, 13),
(49774, NULL, 'PIRSF011521', NULL, NULL, NULL, NULL, 'VieB', NULL, NULL, 9625, 13),
(49775, NULL, 'PIRSF000447', NULL, NULL, NULL, NULL, 'KAS_II', NULL, NULL, 15882, 13),
(49776, NULL, 'PIRSF011503', NULL, NULL, NULL, NULL, 'DdrB_PduH', NULL, NULL, 9522, 13),
(49777, NULL, 'PIRSF016383', NULL, NULL, NULL, NULL, 'UCP016383', NULL, NULL, 13806, 13),
(49778, NULL, 'PIRSF026671', NULL, NULL, NULL, NULL, 'AA_dipeptidase', NULL, NULL, 6649, 13),
(49779, NULL, 'PIRSF001795', NULL, NULL, NULL, NULL, 'TRH', NULL, NULL, 14016, 13),
(49780, NULL, 'PIRSF017607', NULL, NULL, NULL, NULL, 'Numb_numb_like', NULL, NULL, 20983, 13),
(49781, NULL, 'PIRSF500134', NULL, NULL, NULL, NULL, 'UDPglc_DH_bac', NULL, NULL, 28350, 13),
(49782, NULL, 'PIRSF037778', NULL, NULL, NULL, NULL, 'UCP037778_transp_RibU', NULL, NULL, 24341, 13),
(49783, NULL, 'PIRSF004177', NULL, NULL, NULL, NULL, 'gp1_phi29', NULL, NULL, 21942, 13),
(49784, NULL, 'PIRSF037112', NULL, NULL, NULL, NULL, 'ArdC', NULL, NULL, 20980, 13),
(49785, NULL, 'PIRSF016660', NULL, NULL, NULL, NULL, 'YedI', NULL, NULL, 13022, 13),
(49786, NULL, 'PIRSF006533', NULL, NULL, NULL, NULL, 'UCP006533', NULL, NULL, 212, 13),
(49787, NULL, 'PIRSF002498', NULL, NULL, NULL, NULL, 'TF_factor_3', NULL, NULL, 1471, 13),
(49788, NULL, 'PIRSF035261', NULL, NULL, NULL, NULL, 'UCP035261', NULL, NULL, 19304, 13),
(49789, NULL, 'PIRSF000027', NULL, NULL, NULL, NULL, 'Cytochrome_c_prime', NULL, NULL, 14267, 13),
(49790, NULL, 'PIRSF000489', NULL, NULL, NULL, NULL, 'NAD_ADPRT', NULL, NULL, 8891, 13),
(49791, NULL, 'PIRSF009328', NULL, NULL, NULL, NULL, 'RMT_SET', NULL, NULL, 11347, 13),
(49792, NULL, 'PIRSF037263', NULL, NULL, NULL, NULL, 'UCP037263', NULL, NULL, 13520, 13),
(49793, NULL, 'PIRSF037733', NULL, NULL, NULL, NULL, 'Txn_fact_FapR', NULL, NULL, 16460, 13),
(49794, NULL, 'PIRSF001935', NULL, NULL, NULL, NULL, 'IL-6', NULL, NULL, 26206, 13),
(49795, NULL, 'PIRSF017269', NULL, NULL, NULL, NULL, 'GCD14', NULL, NULL, 11554, 13),
(49796, NULL, 'PIRSF000724', NULL, NULL, NULL, NULL, 'Pgk', NULL, NULL, 5480, 13),
(49797, NULL, 'PIRSF034781', NULL, NULL, NULL, NULL, 'GEF_SopE', NULL, NULL, 7451, 13),
(49798, NULL, 'PIRSF013220', NULL, NULL, NULL, NULL, 'UCP013220', NULL, NULL, 19742, 13),
(49799, NULL, 'PIRSF002181', NULL, NULL, NULL, NULL, 'RPL13p_RPL13Aa_RPL16e_RPL13o', NULL, NULL, 5945, 13),
(49800, NULL, 'PIRSF026534', NULL, NULL, NULL, NULL, 'ABN', NULL, NULL, 16013, 13),
(49801, NULL, 'PIRSF002031', NULL, NULL, NULL, NULL, 'Poly_globin', NULL, NULL, 14797, 13),
(49802, NULL, 'PIRSF037196', NULL, NULL, NULL, NULL, 'PvcA', NULL, NULL, 20896, 13),
(49803, NULL, 'PIRSF001338', NULL, NULL, NULL, NULL, 'AIR_carboxylase', NULL, NULL, 10123, 13),
(49804, NULL, 'PIRSF003169', NULL, NULL, NULL, NULL, 'HK_DegS', NULL, NULL, 21829, 13),
(49805, NULL, 'PIRSF002191', NULL, NULL, NULL, NULL, 'Ribosomal_L19', NULL, NULL, 4364, 13),
(49806, NULL, 'PIRSF001456', NULL, NULL, NULL, NULL, 'Chorismate_synth', NULL, NULL, 6697, 13),
(49807, NULL, 'PIRSF037001', NULL, NULL, NULL, NULL, 'RNA_ed_MP81', NULL, NULL, 19660, 13),
(49808, NULL, 'PIRSF037390', NULL, NULL, NULL, NULL, 'DoxA_doxD', NULL, NULL, 21548, 13),
(49809, NULL, 'PIRSF002984', NULL, NULL, NULL, NULL, 'Opacity_prot', NULL, NULL, 20955, 13),
(49810, NULL, 'PIRSF000543', NULL, NULL, NULL, NULL, 'NDUAA', NULL, NULL, 9792, 13),
(49811, NULL, 'PIRSF037595', NULL, NULL, NULL, NULL, 'Toll-like_receptor', NULL, NULL, 15927, 13),
(49812, NULL, 'PIRSF038168', NULL, NULL, NULL, NULL, 'MAPKKK7', NULL, NULL, 18993, 13);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49813, NULL, 'PIRSF034005', NULL, NULL, NULL, NULL, 'Omp19', NULL, NULL, 8334, 13),
(49814, NULL, 'PIRSF020079', NULL, NULL, NULL, NULL, 'UCP020079', NULL, NULL, 21811, 13),
(49815, NULL, 'PIRSF000022', NULL, NULL, NULL, NULL, 'Bc1_14K', NULL, NULL, 3284, 13),
(49816, NULL, 'PIRSF001137', NULL, NULL, NULL, NULL, 'Haptoglobin', NULL, NULL, 8858, 13),
(49817, NULL, 'PIRSF036488', NULL, NULL, NULL, NULL, 'Myoglobin_tremt', NULL, NULL, 8011, 13),
(49818, NULL, 'PIRSF016400', NULL, NULL, NULL, NULL, 'TRAP-beta', NULL, NULL, 14452, 13),
(49819, NULL, 'PIRSF001500', NULL, NULL, NULL, NULL, 'Chor_mut_pdt_Ppr', NULL, NULL, 588, 13),
(49820, NULL, 'PIRSF009221', NULL, NULL, NULL, NULL, 'VAP_Rhodococcus_equi', NULL, NULL, 14092, 13),
(49821, NULL, 'PIRSF001529', NULL, NULL, NULL, NULL, 'Ser-tRNA_ligase', NULL, NULL, 6637, 13),
(49822, NULL, 'PIRSF002006', NULL, NULL, NULL, NULL, 'PTPR_alpha_epsilon', NULL, NULL, 20754, 13),
(49823, NULL, 'PIRSF003267', NULL, NULL, NULL, NULL, 'TraJ_F', NULL, NULL, 21664, 13),
(49824, NULL, 'PIRSF500312', NULL, NULL, NULL, NULL, 'Bombyxin_A', NULL, NULL, 27360, 13),
(49825, NULL, 'PIRSF037548', NULL, NULL, NULL, NULL, 'L_Filoviridae', NULL, NULL, 15673, 13),
(49826, NULL, 'PIRSF012467', NULL, NULL, NULL, NULL, 'UCP012467', NULL, NULL, 18142, 13),
(49827, NULL, 'PIRSF037630', NULL, NULL, NULL, NULL, 'Blos3', NULL, NULL, 15641, 13),
(49828, NULL, 'PIRSF017267', NULL, NULL, NULL, NULL, 'Sulfiredoxin', NULL, NULL, 20685, 13),
(49829, NULL, 'PIRSF016548', NULL, NULL, NULL, NULL, 'Rsd_AlgQ', NULL, NULL, 4689, 13),
(49830, NULL, 'PIRSF036936', NULL, NULL, NULL, NULL, 'IGPS_HisHF', NULL, NULL, 8592, 13),
(49831, NULL, 'PIRSF000477', NULL, NULL, NULL, NULL, 'PurNPase', NULL, NULL, 9525, 13),
(49832, NULL, 'PIRSF000375', NULL, NULL, NULL, NULL, 'NifU', NULL, NULL, 17450, 13),
(49833, NULL, 'PIRSF037874', NULL, NULL, NULL, NULL, 'NCK', NULL, NULL, 16831, 13),
(49834, NULL, 'PIRSF037239', NULL, NULL, NULL, NULL, 'Exonuclease_Xrn2', NULL, NULL, 21288, 13),
(49835, NULL, 'PIRSF021278', NULL, NULL, NULL, NULL, 'AcuA', NULL, NULL, 13009, 13),
(49836, NULL, 'PIRSF011452', NULL, NULL, NULL, NULL, 'UCP011452_HNH', NULL, NULL, 18357, 13),
(49837, NULL, 'PIRSF015380', NULL, NULL, NULL, NULL, 'Site-sp_rcmb', NULL, NULL, 14658, 13),
(49838, NULL, 'PIRSF021439', NULL, NULL, NULL, NULL, 'YabA', NULL, NULL, 9574, 13),
(49839, NULL, 'PIRSF004015', NULL, NULL, NULL, NULL, 'LigT_rotavirus', NULL, NULL, 11246, 13),
(49840, NULL, 'PIRSF012318', NULL, NULL, NULL, NULL, 'UCP012318', NULL, NULL, 10326, 13),
(49841, NULL, 'PIRSF000709', NULL, NULL, NULL, NULL, '6PFK_fruc_bisph_Ptase', NULL, NULL, NULL, 13),
(49842, NULL, 'PIRSF006304', NULL, NULL, NULL, NULL, 'GatC', NULL, NULL, 8228, 13),
(49843, NULL, 'PIRSF000574', NULL, NULL, NULL, NULL, 'STPK_PknK', NULL, NULL, 17279, 13),
(49844, NULL, 'PIRSF019311', NULL, NULL, NULL, NULL, 'Mb_md_hydr_PF0129', NULL, NULL, 21758, 13),
(49845, NULL, 'PIRSF037186', NULL, NULL, NULL, NULL, 'LPLUNC', NULL, NULL, 15565, 13),
(49846, NULL, 'PIRSF006005', NULL, NULL, NULL, NULL, 'GalT_BS', NULL, NULL, 6883, 13),
(49847, NULL, 'PIRSF007949', NULL, NULL, NULL, NULL, 'Vps16', NULL, NULL, 16233, 13),
(49848, NULL, 'PIRSF017127', NULL, NULL, NULL, NULL, 'Condensin_D2', NULL, NULL, 854, 13),
(49849, NULL, 'PIRSF012526', NULL, NULL, NULL, NULL, 'CYTH_UCP012526', NULL, NULL, 9878, 13),
(49850, NULL, 'PIRSF037266', NULL, NULL, NULL, NULL, 'UCP037266', NULL, NULL, 21658, 13),
(49851, NULL, 'PIRSF001705', NULL, NULL, NULL, NULL, 'Myc_protein', NULL, NULL, 7029, 13),
(49852, NULL, 'PIRSF000179', NULL, NULL, NULL, NULL, 'FrdD', NULL, NULL, 5288, 13),
(49853, NULL, 'PIRSF005227', NULL, NULL, NULL, NULL, 'Asp_dh_NAD_syn', NULL, NULL, 11224, 13),
(49854, NULL, 'PIRSF007860', NULL, NULL, NULL, NULL, 'Vps11', NULL, NULL, 16205, 13),
(49855, NULL, 'PIRSF011407', NULL, NULL, NULL, NULL, 'OmpS_Legionella', NULL, NULL, 2292, 13),
(49856, NULL, 'PIRSF016408', NULL, NULL, NULL, NULL, 'PAGM', NULL, NULL, 19595, 13),
(49857, NULL, 'PIRSF036999', NULL, NULL, NULL, NULL, 'RNA_ed_MP42', NULL, NULL, 19525, 13);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49858, NULL, 'PIRSF037647', NULL, NULL, NULL, NULL, 'LisH', NULL, NULL, 15830, 13),
(49859, NULL, 'PIRSF001439', NULL, NULL, NULL, NULL, 'CryM', NULL, NULL, 5518, 13),
(49860, NULL, 'PIRSF002695', NULL, NULL, NULL, NULL, 'A-agglutinin', NULL, NULL, 7517, 13),
(49861, NULL, 'PIRSF038921', NULL, NULL, NULL, NULL, 'P14a', NULL, NULL, 11139, 13),
(49862, NULL, 'PIRSF026389', NULL, NULL, NULL, NULL, 'Ethylen_sen_hybr_HK', NULL, NULL, 11573, 13),
(49863, NULL, 'PIRSF000170', NULL, NULL, NULL, NULL, 'Succ_dh_cyt_b558', NULL, NULL, 9279, 13),
(49864, NULL, 'PIRSF000354', NULL, NULL, NULL, NULL, 'Factors_V_VIII', NULL, NULL, 17728, 13),
(49865, NULL, 'PIRSF500139', NULL, NULL, NULL, NULL, 'AE', NULL, NULL, 36577, 13),
(49866, NULL, 'PIRSF012611', NULL, NULL, NULL, NULL, 'UCP012611', NULL, NULL, 18046, 13),
(49867, NULL, 'PIRSF022348', NULL, NULL, NULL, NULL, 'UCP022348', NULL, NULL, 15020, 13),
(49868, NULL, 'PIRSF002736', NULL, NULL, NULL, NULL, 'Citrt_lyas_gamma', NULL, NULL, 6215, 13),
(49869, NULL, 'PIRSF015690', NULL, NULL, NULL, NULL, 'VAC_E8R', NULL, NULL, 2228, 13),
(49870, NULL, 'PIRSF002397', NULL, NULL, NULL, NULL, 'BRCA2', NULL, NULL, 8170, 13),
(49871, NULL, 'PIRSF004690', NULL, NULL, NULL, NULL, 'DmsD', NULL, NULL, 24044, 13),
(49872, NULL, 'PIRSF012320', NULL, NULL, NULL, NULL, 'Prplsmic_HI0178', NULL, NULL, 18350, 13),
(49873, NULL, 'PIRSF000836', NULL, NULL, NULL, NULL, 'L_ArenaV', NULL, NULL, 10034, 13),
(49874, NULL, 'PIRSF006413', NULL, NULL, NULL, NULL, 'Transl_init_IF-6', NULL, NULL, 4691, 13),
(49875, NULL, 'PIRSF004919', NULL, NULL, NULL, NULL, 'TldD', NULL, NULL, 25101, 13),
(49876, NULL, 'PIRSF020269', NULL, NULL, NULL, NULL, 'UCP020269', NULL, NULL, 9185, 13),
(49877, NULL, 'PIRSF017811', NULL, NULL, NULL, NULL, 'CKI_KRP_plant', NULL, NULL, 37907, 13),
(49878, NULL, 'PIRSF005883', NULL, NULL, NULL, NULL, 'Carbohydrate_ST', NULL, NULL, 15766, 13),
(49879, NULL, 'PIRSF026610', NULL, NULL, NULL, NULL, 'UCP026610', NULL, NULL, 16421, 13),
(49880, NULL, 'PIRSF032146', NULL, NULL, NULL, NULL, 'UCP032146', NULL, NULL, 7523, 13),
(49881, NULL, 'PIRSF007663', NULL, NULL, NULL, NULL, 'UCP007663', NULL, NULL, 16353, 13),
(49882, NULL, 'PIRSF036238', NULL, NULL, NULL, NULL, 'UCP036238', NULL, NULL, 19613, 13),
(49883, NULL, 'PIRSF028729', NULL, NULL, NULL, NULL, 'SCF_Skp', NULL, NULL, 17132, 13),
(49884, NULL, 'PIRSF018497', NULL, NULL, NULL, NULL, 'V-ATP_synth_D', NULL, NULL, 21981, 13),
(49885, NULL, 'PIRSF008159', NULL, NULL, NULL, NULL, 'UCP008159_ABC', NULL, NULL, 16201, 13),
(49886, NULL, 'PIRSF022944', NULL, NULL, NULL, NULL, 'MRP8', NULL, NULL, 8341, 13),
(49887, NULL, 'PIRSF006540', NULL, NULL, NULL, NULL, 'Nop17p', NULL, NULL, 6511, 13),
(49888, NULL, 'PIRSF012563', NULL, NULL, NULL, NULL, 'YtxC', NULL, NULL, 9004, 13),
(49889, NULL, 'PIRSF028200', NULL, NULL, NULL, NULL, 'UCP028200', NULL, NULL, 16307, 13),
(49890, NULL, 'PIRSF009393', NULL, NULL, NULL, NULL, 'Orn_decarb', NULL, NULL, 11151, 13),
(49891, NULL, 'PIRSF027352', NULL, NULL, NULL, NULL, 'ERp29', NULL, NULL, 16381, 13),
(49892, NULL, 'PIRSF037825', NULL, NULL, NULL, NULL, 'GMP-Pdiesterase_delta', NULL, NULL, 16520, 13),
(49893, NULL, 'PIRSF039050', NULL, NULL, NULL, NULL, 'Ade_cyc', NULL, NULL, 28062, 13),
(49894, NULL, 'PIRSF031277', NULL, NULL, NULL, NULL, 'UCP031277', NULL, NULL, 18116, 13),
(49895, NULL, 'PIRSF022993', NULL, NULL, NULL, NULL, 'Profilin_api', NULL, NULL, 15284, 13),
(49896, NULL, 'PIRSF003959', NULL, NULL, NULL, NULL, 'NS-M_TospoV', NULL, NULL, 4699, 13),
(49897, NULL, 'PIRSF009433', NULL, NULL, NULL, NULL, 'UCP009433', NULL, NULL, 8109, 13),
(49898, NULL, 'PIRSF037309', NULL, NULL, NULL, NULL, 'PPA2_B55', NULL, NULL, 2914, 13),
(49899, NULL, 'PIRSF030771', NULL, NULL, NULL, NULL, 'UCP030771', NULL, NULL, 10759, 13),
(49900, NULL, 'PIRSF036900', NULL, NULL, NULL, NULL, 'Rd_RNA_pol_NRV', NULL, NULL, 10466, 13),
(49901, NULL, 'PIRSF025737', NULL, NULL, NULL, NULL, 'Cyco1', NULL, NULL, 11929, 13),
(49902, NULL, 'PIRSF011360', NULL, NULL, NULL, NULL, 'PVC2', NULL, NULL, 10005, 13),
(49903, NULL, 'PIRSF033913', NULL, NULL, NULL, NULL, 'S-S_format_DsbB', NULL, NULL, 14203, 13);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49904, NULL, 'PIRSF002595', NULL, NULL, NULL, NULL, 'RR_SKN7', NULL, NULL, 7587, 13),
(49905, NULL, 'PIRSF018168', NULL, NULL, NULL, NULL, 'Beta-mannanase', NULL, NULL, 20549, 13),
(49906, NULL, 'PIRSF000490', NULL, NULL, NULL, NULL, 'Diphtheria_toxin', NULL, NULL, 4408, 13),
(49907, NULL, 'PIRSF027081', NULL, NULL, NULL, NULL, 'RPP29', NULL, NULL, 16315, 13),
(49908, NULL, 'PIRSF038073', NULL, NULL, NULL, NULL, 'B-acetylglucosaminyltrns_Rfng', NULL, NULL, 17833, 13),
(49909, NULL, 'PIRSF028415', NULL, NULL, NULL, NULL, 'UCP028415', NULL, NULL, 12358, 13),
(49910, NULL, 'PIRSF002724', NULL, NULL, NULL, NULL, 'Actobindin', NULL, NULL, 20511, 13),
(49911, NULL, 'PIRSF038215', NULL, NULL, NULL, NULL, 'Cripto-3_rel', NULL, NULL, 18655, 13),
(49912, NULL, 'PIRSF017903', NULL, NULL, NULL, NULL, 'CPDase_plant', NULL, NULL, 13855, 13),
(49913, NULL, 'PIRSF032038', NULL, NULL, NULL, NULL, 'UCP023238', NULL, NULL, 18017, 13),
(49914, NULL, 'PIRSF036516', NULL, NULL, NULL, NULL, 'CDT_A', NULL, NULL, 8148, 13),
(49915, NULL, 'PIRSF009533', NULL, NULL, NULL, NULL, 'FlbT', NULL, NULL, 8065, 13),
(49916, NULL, 'PIRSF016049', NULL, NULL, NULL, NULL, 'Mann_dehydr_UxuA', NULL, NULL, 2548, 13),
(49917, NULL, 'PIRSF000563', NULL, NULL, NULL, NULL, 'Homeobox_Pitx/Unc30', NULL, NULL, 17369, 13),
(49918, NULL, 'PIRSF010052', NULL, NULL, NULL, NULL, 'Polyub_prc_Npl4', NULL, NULL, 18161, 13),
(49919, NULL, 'PIRSF008633', NULL, NULL, NULL, NULL, 'BEX', NULL, NULL, 2625, 13),
(49920, NULL, 'PIRSF036200', NULL, NULL, NULL, NULL, 'UCP_TEII', NULL, NULL, 12832, 13),
(49921, NULL, 'PIRSF000904', NULL, NULL, NULL, NULL, 'FBPtase_SBPase', NULL, NULL, 3931, 13),
(49922, NULL, 'PIRSF014300', NULL, NULL, NULL, NULL, 'Protoglobin', NULL, NULL, 13380, 13),
(49923, NULL, 'PIRSF007951', NULL, NULL, NULL, NULL, 'Hemolysin_aeg', NULL, NULL, 8014, 13),
(49924, NULL, 'PIRSF026622', NULL, NULL, NULL, NULL, 'UCP026622_CAAX', NULL, NULL, 10193, 13),
(49925, NULL, 'PIRSF003368', NULL, NULL, NULL, NULL, 'Large_T_antigen_PPV', NULL, NULL, 21575, 13),
(49926, NULL, 'PIRSF028177', NULL, NULL, NULL, NULL, 'TcmP', NULL, NULL, 16444, 13),
(49927, NULL, 'PIRSF005622', NULL, NULL, NULL, NULL, 'Hydrgn_mat_hypD', NULL, NULL, 4587, 13),
(49928, NULL, 'PIRSF001549', NULL, NULL, NULL, NULL, 'His-tRNA_synth', NULL, NULL, 1513, 13),
(49929, NULL, 'PIRSF001363', NULL, NULL, NULL, NULL, 'Malate_synth', NULL, NULL, 3828, 13),
(49930, NULL, 'PIRSF000343', NULL, NULL, NULL, NULL, 'HMX1', NULL, NULL, 1217, 13),
(49931, NULL, 'PIRSF013899', NULL, NULL, NULL, NULL, 'UCP013899', NULL, NULL, 19958, 13),
(49932, NULL, 'PIRSF000962', NULL, NULL, NULL, NULL, '3_5-cyc_nuc_Pdiesterase', NULL, NULL, 6791, 13),
(49933, NULL, 'PIRSF002033', NULL, NULL, NULL, NULL, 'Hemerythrin_euk', NULL, NULL, 1372, 13),
(49934, NULL, 'PIRSF015957', NULL, NULL, NULL, NULL, 'UCP015957', NULL, NULL, 1797, 13),
(49935, NULL, 'PIRSF021700', NULL, NULL, NULL, NULL, '3-demethylubiquinone_Mtase', NULL, NULL, 12381, 13),
(49936, NULL, 'PIRSF031878', NULL, NULL, NULL, NULL, 'UCP031878', NULL, NULL, 8111, 13),
(49937, NULL, 'PIRSF000127', NULL, NULL, NULL, NULL, 'Xanthine_dh', NULL, NULL, 17056, 13),
(49938, NULL, 'PIRSF017932', NULL, NULL, NULL, NULL, 'Conjugal_TraB', NULL, NULL, 20913, 13),
(49939, NULL, 'PIRSF036555', NULL, NULL, NULL, NULL, 'SUMT_yeast', NULL, NULL, 12071, 13),
(49940, NULL, 'PIRSF015692', NULL, NULL, NULL, NULL, 'VAC_E2L', NULL, NULL, 2527, 13),
(49941, NULL, 'PIRSF032908', NULL, NULL, NULL, NULL, 'UCP032908', NULL, NULL, 8427, 13),
(49942, NULL, 'PIRSF000547', NULL, NULL, NULL, NULL, 'Prot_kinase_T7', NULL, NULL, 12690, 13),
(49943, NULL, 'PIRSF017222', NULL, NULL, NULL, NULL, 'Transl_init_eIF2A', NULL, NULL, 14942, 13),
(49944, NULL, 'PIRSF000422', NULL, NULL, NULL, NULL, 'NAT_A', NULL, NULL, 17062, 13),
(49945, NULL, 'PIRSF005751', NULL, NULL, NULL, NULL, 'Acet_citr_lig', NULL, NULL, 10545, 13),
(49946, NULL, 'PIRSF037215', NULL, NULL, NULL, NULL, 'Peptidase_T', NULL, NULL, 10734, 13),
(49947, NULL, 'PIRSF003698', NULL, NULL, NULL, NULL, 'VAC_C10L', NULL, NULL, 511, 13);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49948, NULL, 'PIRSF036873', NULL, NULL, NULL, NULL, 'L_TenuV', NULL, NULL, 10107, 13),
(49949, NULL, 'PIRSF038881', NULL, NULL, NULL, NULL, 'RNAbp_HP1423', NULL, NULL, 24526, 13),
(49950, NULL, 'PIRSF020419', NULL, NULL, NULL, NULL, 'Fe_uptake_reg_CjrA', NULL, NULL, 15087, 13),
(49951, NULL, 'PIRSF037409', NULL, NULL, NULL, NULL, 'UCP037409_transporter', NULL, NULL, 15432, 13),
(49952, NULL, 'PIRSF004576', NULL, NULL, NULL, NULL, 'Resolvase_Rsv', NULL, NULL, 21923, 13),
(49953, NULL, 'PIRSF020653', NULL, NULL, NULL, NULL, 'UCP020653', NULL, NULL, 14647, 13),
(49954, NULL, 'PIRSF036931', NULL, NULL, NULL, NULL, 'Doc2', NULL, NULL, 8537, 13),
(49955, NULL, 'PIRSF019317', NULL, NULL, NULL, NULL, 'UCP019317', NULL, NULL, 10725, 13),
(49956, NULL, 'PIRSF015873', NULL, NULL, NULL, NULL, 'FwdD', NULL, NULL, 11016, 13),
(49957, NULL, 'PIRSF031924', NULL, NULL, NULL, NULL, 'Pi-irrepressible_AP', NULL, NULL, 21951, 13),
(49958, NULL, 'PIRSF003509', NULL, NULL, NULL, NULL, 'UL45_HPV', NULL, NULL, 13034, 13),
(49959, NULL, 'PIRSF001787', NULL, NULL, NULL, NULL, 'TGF-beta', NULL, NULL, 20666, 13),
(49960, NULL, 'PIRSF037472', NULL, NULL, NULL, NULL, 'DHPS_Mtase', NULL, NULL, 15911, 13),
(49961, NULL, 'PIRSF026508', NULL, NULL, NULL, NULL, 'TelA', NULL, NULL, 14129, 13),
(49962, NULL, 'PIRSF015278', NULL, NULL, NULL, NULL, 'UCP015278', NULL, NULL, 19554, 13),
(49963, NULL, 'PIRSF001369', NULL, NULL, NULL, NULL, 'Citrate_synth', NULL, NULL, 13007, 13),
(49964, NULL, 'PIRSF003230', NULL, NULL, NULL, NULL, 'YbgC', NULL, NULL, 2141, 13),
(49965, NULL, 'PIRSF001327', NULL, NULL, NULL, NULL, 'ArsAB_ATPase', NULL, NULL, 28651, 13),
(49966, NULL, 'PIRSF019422', NULL, NULL, NULL, NULL, 'MltA', NULL, NULL, 25420, 13),
(49967, NULL, 'PIRSF029703', NULL, NULL, NULL, NULL, 'Mig-14', NULL, NULL, 8372, 13),
(49968, NULL, 'PIRSF037966', NULL, NULL, NULL, NULL, 'BZLF1', NULL, NULL, 17306, 13),
(49969, NULL, 'PIRSF001941', NULL, NULL, NULL, NULL, 'IL-4', NULL, NULL, 6833, 13),
(49970, NULL, 'PIRSF027174', NULL, NULL, NULL, NULL, 'YMR209C', NULL, NULL, 16301, 13),
(49971, NULL, 'PIRSF022393', NULL, NULL, NULL, NULL, 'HAP', NULL, NULL, 1625, 13),
(49972, NULL, 'PIRSF002122', NULL, NULL, NULL, NULL, 'RPS7p_RPS7a_RPS5e_RPS7o', NULL, NULL, 4795, 13),
(49973, NULL, 'PIRSF034653', NULL, NULL, NULL, NULL, 'Mtase_yjhp', NULL, NULL, 19263, 13),
(49974, NULL, 'PIRSF002017', NULL, NULL, NULL, NULL, 'CD14', NULL, NULL, 20914, 13),
(49975, NULL, 'PIRSF001522', NULL, NULL, NULL, NULL, 'OmpP', NULL, NULL, 2667, 13),
(49976, NULL, 'PIRSF000337', NULL, NULL, NULL, NULL, 'NTA_MOA', NULL, NULL, 17190, 13),
(49977, NULL, 'PIRSF001625', NULL, NULL, NULL, NULL, 'Prot_inhib_pacifastin', NULL, NULL, 19514, 13),
(49978, NULL, 'PIRSF010309', NULL, NULL, NULL, NULL, 'Cyc-rich_prot', NULL, NULL, 18303, 13),
(49979, NULL, 'PIRSF027936', NULL, NULL, NULL, NULL, 'UCP027936', NULL, NULL, 16312, 13),
(49980, NULL, 'PIRSF002939', NULL, NULL, NULL, NULL, 'IF_sigma_H', NULL, NULL, 20838, 13),
(49981, NULL, 'PIRSF002394', NULL, NULL, NULL, NULL, 'GNBP_B', NULL, NULL, NULL, 13),
(49982, NULL, 'PIRSF036947', NULL, NULL, NULL, NULL, 'Spt6', NULL, NULL, 19600, 13),
(49983, NULL, 'PIRSF034409', NULL, NULL, NULL, NULL, 'Oligosach_lyase', NULL, NULL, 12707, 13),
(49984, NULL, 'PIRSF037891', NULL, NULL, NULL, NULL, 'Cycloviolacin', NULL, NULL, 1785, 13),
(49985, NULL, 'PIRSF011561', NULL, NULL, NULL, NULL, 'PAD', NULL, NULL, 12246, 13),
(49986, NULL, 'PIRSF033318', NULL, NULL, NULL, NULL, 'GFA', NULL, NULL, 8905, 13),
(49987, NULL, 'PIRSF001779', NULL, NULL, NULL, NULL, 'GF_C11R', NULL, NULL, 11295, 13),
(49988, NULL, 'PIRSF036917', NULL, NULL, NULL, NULL, 'Alph_amls_MalS', NULL, NULL, 8603, 13),
(49989, NULL, 'PIRSF000821', NULL, NULL, NULL, NULL, 'RdRPol', NULL, NULL, 12283, 13),
(49990, NULL, 'PIRSF005295', NULL, NULL, NULL, NULL, 'UCP005295_hydrolase', NULL, NULL, 11290, 13),
(49991, NULL, 'PIRSF031578', NULL, NULL, NULL, NULL, 'UCP0310578_VanZ', NULL, NULL, 15892, 13),
(49992, NULL, 'PIRSF021350', NULL, NULL, NULL, NULL, 'UCP021350', NULL, NULL, 8706, 13);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(49993, NULL, 'PIRSF037119', NULL, NULL, NULL, NULL, 'HK_PgtB', NULL, NULL, 20655, 13),
(49994, NULL, 'PIRSF000187', NULL, NULL, NULL, NULL, 'GOGAT', NULL, NULL, 14208, 13),
(49995, NULL, 'PIRSF029644', NULL, NULL, NULL, NULL, 'UCP029644', NULL, NULL, 17274, 13),
(49996, NULL, 'PIRSF002845', NULL, NULL, NULL, NULL, 'Ttrprl_mtas_MazG', NULL, NULL, 13922, 13),
(49997, NULL, 'PIRSF012150', NULL, NULL, NULL, NULL, 'UCP012150', NULL, NULL, 18199, 13),
(49998, NULL, 'PIRSF028865', NULL, NULL, NULL, NULL, 'Membrin-2', NULL, NULL, 25038, 13),
(49999, NULL, 'PIRSF032806', NULL, NULL, NULL, NULL, 'UCP032806', NULL, NULL, 8070, 13),
(50000, NULL, 'PIRSF037123', NULL, NULL, NULL, NULL, 'H3K79_HMTase_animal', NULL, NULL, 15835, 13),
(50001, NULL, 'PIRSF037949', NULL, NULL, NULL, NULL, 'Transl_init_eIF-3_RNA-bind', NULL, NULL, 17033, 13),
(50002, NULL, 'PIRSF019853', NULL, NULL, NULL, NULL, 'UCP019853', NULL, NULL, 21871, 13),
(50003, NULL, 'PIRSF002162', NULL, NULL, NULL, NULL, 'RPL6p_RPL6a_RPL9e_RPL9o', NULL, NULL, 6972, 13),
(50004, NULL, 'PIRSF001789', NULL, NULL, NULL, NULL, 'NGFB', NULL, NULL, 19142, 13),
(50005, NULL, 'PIRSF003639', NULL, NULL, NULL, NULL, 'Capsid_P80/P87', NULL, NULL, 14615, 13),
(50006, NULL, 'PIRSF005449', NULL, NULL, NULL, NULL, 'TRAM', NULL, NULL, 15654, 13),
(50007, NULL, 'PIRSF000126', NULL, NULL, NULL, NULL, '11-beta-HSD1', NULL, NULL, NULL, 13),
(50008, NULL, 'PIRSF037599', NULL, NULL, NULL, NULL, 'GDPMH', NULL, NULL, 32821, 13),
(50009, NULL, 'PIRSF500682', NULL, NULL, NULL, NULL, 'Serotransferrin', NULL, NULL, 24557, 13),
(50010, NULL, 'PIRSF021290', NULL, NULL, NULL, NULL, 'UCP021290', NULL, NULL, 10287, 13),
(50011, NULL, 'PIRSF038092', NULL, NULL, NULL, NULL, 'NPSF_NPFF_NPAF', NULL, NULL, 5335, 13),
(50012, NULL, 'PIRSF029886', NULL, NULL, NULL, NULL, 'KBAA', NULL, NULL, 13185, 13),
(50013, NULL, 'PIRSF002574', NULL, NULL, NULL, NULL, 'SPRL1', NULL, NULL, 20902, 13),
(50014, NULL, 'PIRSF005461', NULL, NULL, NULL, NULL, '23S_rRNA_mtase', NULL, NULL, 8067, 13),
(50015, NULL, 'PIRSF005604', NULL, NULL, NULL, NULL, 'EndGlu_transf', NULL, NULL, 15986, 13),
(50016, NULL, 'PIRSF037942', NULL, NULL, NULL, NULL, 'MH2A1', NULL, NULL, 15524, 13),
(50017, NULL, 'PIRSF037032', NULL, NULL, NULL, NULL, 'BiliverdinRD_A', NULL, NULL, 19961, 13),
(50018, NULL, 'PIRSF036597', NULL, NULL, NULL, NULL, 'Protse_InhA_rel', NULL, NULL, 11847, 13),
(50019, NULL, 'PIRSF003229', NULL, NULL, NULL, NULL, 'ROM', NULL, NULL, 3845, 13),
(50020, NULL, 'PIRSF022704', NULL, NULL, NULL, NULL, 'UCP022704', NULL, NULL, 9235, 13),
(50021, NULL, 'PIRSF033111', NULL, NULL, NULL, NULL, 'UCP033111', NULL, NULL, 10853, 13),
(50022, NULL, 'PIRSF037969', NULL, NULL, NULL, NULL, 'U1-C', NULL, NULL, 17384, 13),
(50023, NULL, 'PIRSF038007', NULL, NULL, NULL, NULL, 'IL-12B', NULL, NULL, 8396, 13),
(50024, NULL, 'PIRSF000371', NULL, NULL, NULL, NULL, 'PFLA_YjjW', NULL, NULL, 12936, 13),
(50025, NULL, 'PIRSF015283', NULL, NULL, NULL, NULL, 'RpfE', NULL, NULL, 19740, 13),
(50026, NULL, 'PIRSF001882', NULL, NULL, NULL, NULL, 'Insect_neurot_curtatoxin', NULL, NULL, 20831, 13),
(50027, NULL, 'PIRSF000882', NULL, NULL, NULL, NULL, 'DSB_repair_MRE11', NULL, NULL, 2416, 13),
(50028, NULL, 'PIRSF037207', NULL, NULL, NULL, NULL, 'ATE1_euk', NULL, NULL, 20590, 13),
(50029, NULL, 'PIRSF018250', NULL, NULL, NULL, NULL, 'Saccharopine_DH_Lys', NULL, NULL, 28035, 13),
(50030, NULL, 'PIRSF037253', NULL, NULL, NULL, NULL, 'HTH_CBS', NULL, NULL, 21953, 13),
(50031, NULL, 'PIRSF037004', NULL, NULL, NULL, NULL, 'UCP037004', NULL, NULL, 19672, 13),
(50032, NULL, 'PIRSF028570', NULL, NULL, NULL, NULL, 'UCP028570', NULL, NULL, 17104, 13),
(50033, NULL, 'PIRSF015596', NULL, NULL, NULL, NULL, '5_alpha-SR2', NULL, NULL, 19569, 13),
(50034, NULL, 'PIRSF007487', NULL, NULL, NULL, NULL, 'CoiA', NULL, NULL, 19604, 13),
(50035, NULL, 'PIRSF034300', NULL, NULL, NULL, NULL, 'UCP034300', NULL, NULL, 8465, 13),
(50036, NULL, 'PIRSF036440', NULL, NULL, NULL, NULL, 'ARG5-6', NULL, NULL, 11447, 13),
(50037, NULL, 'PIRSF029143', NULL, NULL, NULL, NULL, 'UCP029143', NULL, NULL, 7978, 13);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50038, NULL, 'PIRSF003085', NULL, NULL, NULL, NULL, 'CmaB', NULL, NULL, 4302, 13),
(50039, NULL, 'PIRSF001832', NULL, NULL, NULL, NULL, 'PTH', NULL, NULL, 1116, 13),
(50040, NULL, 'PIRSF033535', NULL, NULL, NULL, NULL, 'UCP033535_plp', NULL, NULL, 8130, 13),
(50041, NULL, 'PIRSF015244', NULL, NULL, NULL, NULL, 'UCP015244', NULL, NULL, 12802, 13),
(50042, NULL, 'PIRSF005647', NULL, NULL, NULL, NULL, 'CooC', NULL, NULL, 7838, 13),
(50043, NULL, 'PIRSF037208', NULL, NULL, NULL, NULL, 'ATE_prok', NULL, NULL, 20926, 13),
(50044, NULL, 'PIRSF007783', NULL, NULL, NULL, NULL, 'YHR121w', NULL, NULL, 16462, 13),
(50045, NULL, 'PIRSF000628', NULL, NULL, NULL, NULL, 'FGFR', NULL, NULL, 17351, 13),
(50046, NULL, 'PIRSF029063', NULL, NULL, NULL, NULL, 'IV_sec_VirJ', NULL, NULL, 10816, 13),
(50047, NULL, 'PIRSF006107', NULL, NULL, NULL, NULL, 'PTA_proteo', NULL, NULL, 15989, 13),
(50048, NULL, 'PIRSF018938', NULL, NULL, NULL, NULL, 'UCP018938', NULL, NULL, 21898, 13),
(50049, NULL, 'PIRSF004810', NULL, NULL, NULL, NULL, 'ChrA', NULL, NULL, 9597, 13),
(50050, NULL, 'PIRSF022699', NULL, NULL, NULL, NULL, 'MND2', NULL, NULL, 15462, 13),
(50051, NULL, 'PIRSF005276', NULL, NULL, NULL, NULL, 'SspB', NULL, NULL, 10110, 13),
(50052, NULL, 'PIRSF002096', NULL, NULL, NULL, NULL, 'HnS', NULL, NULL, 4227, 13),
(50053, NULL, 'PIRSF037609', NULL, NULL, NULL, NULL, 'BLOC-1_pldn', NULL, NULL, 15655, 13),
(50054, NULL, 'PIRSF019078', NULL, NULL, NULL, NULL, 'UCP019078', NULL, NULL, 21645, 13),
(50055, NULL, 'PIRSF038934', NULL, NULL, NULL, NULL, 'HyaE_HupG', NULL, NULL, 11995, 13),
(50056, NULL, 'PIRSF021494', NULL, NULL, NULL, NULL, 'Rv0216', NULL, NULL, 15157, 13),
(50057, NULL, 'PIRSF001341', NULL, NULL, NULL, NULL, 'His_decarboxylas', NULL, NULL, 5242, 13),
(50058, NULL, 'PIRSF004789', NULL, NULL, NULL, NULL, 'DR1281', NULL, NULL, 11270, 13),
(50059, NULL, 'PIRSF036541', NULL, NULL, NULL, NULL, 'UCP036541_AIR', NULL, NULL, 8122, 13),
(50060, NULL, 'PIRSF000580', NULL, NULL, NULL, NULL, 'STPK_ULK1', NULL, NULL, 17452, 13),
(50061, NULL, 'PIRSF001875', NULL, NULL, NULL, NULL, 'Alpha_defensin', NULL, NULL, 20763, 13),
(50062, NULL, 'PIRSF007398', NULL, NULL, NULL, NULL, 'Sll0148_casp', NULL, NULL, 11183, 13),
(50063, NULL, 'PIRSF004692', NULL, NULL, NULL, NULL, 'KdsD_KpsF', NULL, NULL, 5976, 13),
(50064, NULL, 'PIRSF000933', NULL, NULL, NULL, NULL, 'PTPN13', NULL, NULL, 7411, 13),
(50065, NULL, 'PIRSF016578', NULL, NULL, NULL, NULL, 'PIGM', NULL, NULL, NULL, 13),
(50066, NULL, 'PIRSF032675', NULL, NULL, NULL, NULL, 'UCP032675', NULL, NULL, 19160, 13),
(50067, NULL, 'PIRSF000846', NULL, NULL, NULL, NULL, 'ATP_adenylyltr', NULL, NULL, 9840, 13),
(50068, NULL, 'PIRSF006241', NULL, NULL, NULL, NULL, 'HyI', NULL, NULL, 26283, 13),
(50069, NULL, 'PIRSF009279', NULL, NULL, NULL, NULL, 'CRF-BP', NULL, NULL, 8956, 13),
(50070, NULL, 'PIRSF004640', NULL, NULL, NULL, NULL, 'IspG', NULL, NULL, 21637, 13),
(50071, NULL, 'PIRSF000463', NULL, NULL, NULL, NULL, 'GlgB', NULL, NULL, 29497, 13),
(50072, NULL, 'PIRSF001979', NULL, NULL, NULL, NULL, 'Alpha_1B_glycoprot', NULL, NULL, 20863, 13),
(50073, NULL, 'PIRSF001294', NULL, NULL, NULL, NULL, 'H/K_exch_ATPase_A', NULL, NULL, 2037, 13),
(50074, NULL, 'PIRSF006621', NULL, NULL, NULL, NULL, 'Dus', NULL, NULL, 209, 13),
(50075, NULL, 'PIRSF004380', NULL, NULL, NULL, NULL, 'GroES_Gp31_phage', NULL, NULL, 21799, 13),
(50076, NULL, 'PIRSF002849', NULL, NULL, NULL, NULL, 'MoxR', NULL, NULL, NULL, 13),
(50077, NULL, 'PIRSF003170', NULL, NULL, NULL, NULL, 'Pet18p', NULL, NULL, 26031, 13),
(50078, NULL, 'PIRSF006294', NULL, NULL, NULL, NULL, 'PEP_crbxkin', NULL, NULL, 5043, 13),
(50079, NULL, 'PIRSF007466', NULL, NULL, NULL, NULL, 'SpoIVA', NULL, NULL, 9111, 13),
(50080, NULL, 'PIRSF037755', NULL, NULL, NULL, NULL, 'Mettl2', NULL, NULL, 23341, 13),
(50081, NULL, 'PIRSF021377', NULL, NULL, NULL, NULL, 'YtfJ', NULL, NULL, 10527, 13),
(50082, NULL, 'PIRSF000551', NULL, NULL, NULL, NULL, 'PKC_delta', NULL, NULL, 12973, 13),
(50083, NULL, 'PIRSF026587', NULL, NULL, NULL, NULL, 'Epsilon_toxin', NULL, NULL, 10636, 13);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50084, NULL, 'PIRSF003383', NULL, NULL, NULL, NULL, 'E1_PLV', NULL, NULL, 21837, 13),
(50085, NULL, 'PIRSF028043', NULL, NULL, NULL, NULL, 'PP2A_B56', NULL, NULL, 1710, 13),
(50086, NULL, 'PIRSF000604', NULL, NULL, NULL, NULL, 'TyrPK_SYK', NULL, NULL, 14137, 13),
(50087, NULL, 'PIRSF026426', NULL, NULL, NULL, NULL, 'UCP026426', NULL, NULL, 11816, 13),
(50088, NULL, 'PIRSF039131', NULL, NULL, NULL, NULL, 'Parvin', NULL, NULL, 28641, 13),
(50089, NULL, 'PIRSF038118', NULL, NULL, NULL, NULL, 'MBP_jacalin', NULL, NULL, 19176, 13),
(50090, NULL, 'PIRSF038321', NULL, NULL, NULL, NULL, 'PTS_glc_srb_IIC', NULL, NULL, 3958, 13),
(50091, NULL, 'PIRSF036313', NULL, NULL, NULL, NULL, 'Fibulin-1', NULL, NULL, 19608, 13),
(50092, NULL, 'PIRSF036482', NULL, NULL, NULL, NULL, 'PPi_PFK_TM0289', NULL, NULL, 7846, 13),
(50093, NULL, 'PIRSF500948', NULL, NULL, NULL, NULL, 'Beta-PDGF_receptor', NULL, NULL, 27859, 13),
(50094, NULL, 'PIRSF012294', NULL, NULL, NULL, NULL, 'ATR_EutT', NULL, NULL, 9610, 13),
(50095, NULL, 'PIRSF028335', NULL, NULL, NULL, NULL, 'OppA', NULL, NULL, 16384, 13),
(50096, NULL, 'PIRSF038146', NULL, NULL, NULL, NULL, 'STPK_RIO3', NULL, NULL, 18817, 13),
(50097, NULL, 'PIRSF037274', NULL, NULL, NULL, NULL, 'PIP5K_plant', NULL, NULL, 21906, 13),
(50098, NULL, 'PIRSF037488', NULL, NULL, NULL, NULL, 'Miro', NULL, NULL, 15727, 13),
(50099, NULL, 'PIRSF036466', NULL, NULL, NULL, NULL, 'UCP036466', NULL, NULL, 12598, 13),
(50100, NULL, 'PIRSF028841', NULL, NULL, NULL, NULL, 'APC10', NULL, NULL, 17061, 13),
(50101, NULL, 'PIRSF000026', NULL, NULL, NULL, NULL, 'Cytochrome_cc3', NULL, NULL, 14533, 13),
(50102, NULL, 'PIRSF006380', NULL, NULL, NULL, NULL, 'UCP006380', NULL, NULL, 4770, 13),
(50103, NULL, 'PIRSF000806', NULL, NULL, NULL, NULL, 'UDPGP', NULL, NULL, 19924, 13),
(50104, NULL, 'PIRSF019262', NULL, NULL, NULL, NULL, 'UCP019262', NULL, NULL, 21988, 13),
(50105, NULL, 'PIRSF026396', NULL, NULL, NULL, NULL, 'UCP026396_dh', NULL, NULL, 16277, 13),
(50106, NULL, 'PIRSF001693', NULL, NULL, NULL, NULL, 'Txn_fact_GAMYB', NULL, NULL, 19731, 13),
(50107, NULL, 'PIRSF026760', NULL, NULL, NULL, NULL, 'UCP026760', NULL, NULL, 10994, 13),
(50108, NULL, 'PIRSF004878', NULL, NULL, NULL, NULL, 'RNase_P_4', NULL, NULL, 21915, 13),
(50109, NULL, 'PIRSF501175', NULL, NULL, NULL, NULL, 'TDT', NULL, NULL, 24201, 13),
(50110, NULL, 'PIRSF004539', NULL, NULL, NULL, NULL, 'Anaerob_C4-dicrbxlt_transp', NULL, NULL, 2902, 13),
(50111, NULL, 'PIRSF000819', NULL, NULL, NULL, NULL, 'Streptomycin_3-adenylyltransf', NULL, NULL, 13441, 13),
(50112, NULL, 'PIRSF034586', NULL, NULL, NULL, NULL, 'SfrC', NULL, NULL, 19302, 13),
(50113, NULL, 'PIRSF004950', NULL, NULL, NULL, NULL, 'Mmb_sulf_HI0842', NULL, NULL, 7123, 13),
(50114, NULL, 'PIRSF018539', NULL, NULL, NULL, NULL, 'CDT_B', NULL, NULL, 7472, 13),
(50115, NULL, 'PIRSF011409', NULL, NULL, NULL, NULL, '3HB_olig_hydr', NULL, NULL, 18404, 13),
(50116, NULL, 'PIRSF004762', NULL, NULL, NULL, NULL, 'COFH', NULL, NULL, NULL, 13),
(50117, NULL, 'PIRSF005485', NULL, NULL, NULL, NULL, 'HrcA', NULL, NULL, 1562, 13),
(50118, NULL, 'PIRSF005677', NULL, NULL, NULL, NULL, 'PPi_PFK_PfpB', NULL, NULL, 11039, 13),
(50119, NULL, 'PIRSF004553', NULL, NULL, NULL, NULL, 'Methylase_YhhF', NULL, NULL, 5906, 13),
(50120, NULL, 'PIRSF000941', NULL, NULL, NULL, NULL, 'DUSP12', NULL, NULL, 19803, 13),
(50121, NULL, 'PIRSF000149', NULL, NULL, NULL, NULL, 'GAPDH', NULL, NULL, 19650, 13),
(50122, NULL, 'PIRSF000296', NULL, NULL, NULL, NULL, 'SrpA', NULL, NULL, 13434, 13),
(50123, NULL, 'PIRSF037382', NULL, NULL, NULL, NULL, 'CCT_LicC', NULL, NULL, 21509, 13),
(50124, NULL, 'PIRSF024608', NULL, NULL, NULL, NULL, 'UCP024608', NULL, NULL, 15350, 13),
(50125, NULL, 'PIRSF037470', NULL, NULL, NULL, NULL, 'RRP', NULL, NULL, 15699, 13),
(50126, NULL, 'PIRSF020818', NULL, NULL, NULL, NULL, 'PHB_depoly', NULL, NULL, 9274, 13),
(50127, NULL, 'PIRSF000141', NULL, NULL, NULL, NULL, 'Anaerobic_G3P_dh', NULL, NULL, 9540, 13),
(50128, NULL, 'PIRSF011131', NULL, NULL, NULL, NULL, 'SAC', NULL, NULL, 18259, 13);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50129, NULL, 'PIRSF000199', NULL, NULL, NULL, NULL, 'Dhfr_type_II', NULL, NULL, 9600, 13),
(50130, NULL, 'PIRSF000777', NULL, NULL, NULL, NULL, 'RNA_pol_RPC31', NULL, NULL, 21127, 13),
(50131, NULL, 'PIRSF033924', NULL, NULL, NULL, NULL, 'UCP033924', NULL, NULL, 7730, 13),
(50132, NULL, 'PIRSF033053', NULL, NULL, NULL, NULL, 'UCP033503_fimbr', NULL, NULL, 19320, 13),
(50133, NULL, 'PIRSF006157', NULL, NULL, NULL, NULL, 'Doxgns_DODA', NULL, NULL, 7515, 13),
(50134, NULL, 'PIRSF017316', NULL, NULL, NULL, NULL, 'Pesterase_C1039', NULL, NULL, 10438, 13),
(50135, NULL, 'PIRSF000238', NULL, NULL, NULL, NULL, 'AhpF', NULL, NULL, 12701, 13),
(50136, NULL, 'PIRSF029904', NULL, NULL, NULL, NULL, 'UCP029904_pph', NULL, NULL, 12903, 13),
(50137, NULL, 'PIRSF003944', NULL, NULL, NULL, NULL, 'M_poly_OrthobunV', NULL, NULL, 7828, 13),
(50138, NULL, 'PIRSF014979', NULL, NULL, NULL, NULL, 'UCP014979', NULL, NULL, 9722, 13),
(50139, NULL, 'PIRSF019587', NULL, NULL, NULL, NULL, 'PGPase', NULL, NULL, 26160, 13),
(50140, NULL, 'PIRSF001843', NULL, NULL, NULL, NULL, 'NKB', NULL, NULL, 1276, 13),
(50141, NULL, 'PIRSF003137', NULL, NULL, NULL, NULL, 'CoM_red_McrC', NULL, NULL, 1318, 13),
(50142, NULL, 'PIRSF033095', NULL, NULL, NULL, NULL, '5NTD_SA0022', NULL, NULL, 8360, 13),
(50143, NULL, 'PIRSF002490', NULL, NULL, NULL, NULL, 'SLRP_I', NULL, NULL, 20958, 13),
(50144, NULL, 'PIRSF036758', NULL, NULL, NULL, NULL, 'Aden_M_ParB', NULL, NULL, 10388, 13),
(50145, NULL, 'PIRSF004633', NULL, NULL, NULL, NULL, 'UCP_PLP_oxd', NULL, NULL, 7764, 13),
(50146, NULL, 'PIRSF016089', NULL, NULL, NULL, NULL, 'SPC3', NULL, NULL, 340, 13),
(50147, NULL, 'PIRSF029389', NULL, NULL, NULL, NULL, 'Subtilisin_rel_PA1242', NULL, NULL, 17374, 13),
(50148, NULL, 'PIRSF500784', NULL, NULL, NULL, NULL, 'TAG1', NULL, NULL, 26488, 13),
(50149, NULL, 'PIRSF003716', NULL, NULL, NULL, NULL, 'VAC_F3L', NULL, NULL, 13542, 13),
(50150, NULL, 'PIRSF001822', NULL, NULL, NULL, NULL, 'Dermaseptin_prec', NULL, NULL, 20774, 13),
(50151, NULL, 'PIRSF002703', NULL, NULL, NULL, NULL, 'PR5', NULL, NULL, 2162, 13),
(50152, NULL, 'PIRSF028680', NULL, NULL, NULL, NULL, 'UCP028680', NULL, NULL, 17191, 13),
(50153, NULL, 'PIRSF500722', NULL, NULL, NULL, NULL, 'TEF-3', NULL, NULL, 26076, 13),
(50154, NULL, 'PIRSF028291', NULL, NULL, NULL, NULL, 'UCP028291', NULL, NULL, 12477, 13),
(50155, NULL, 'PIRSF038027', NULL, NULL, NULL, NULL, 'Ufm1', NULL, NULL, 6537, 13),
(50156, NULL, 'PIRSF005642', NULL, NULL, NULL, NULL, 'UCP005642', NULL, NULL, 11242, 13),
(50157, NULL, 'PIRSF005572', NULL, NULL, NULL, NULL, 'NifS', NULL, NULL, 15982, 13),
(50158, NULL, 'PIRSF029163', NULL, NULL, NULL, NULL, 'MDH2', NULL, NULL, 5188, 13),
(50159, NULL, 'PIRSF020606', NULL, NULL, NULL, NULL, 'UCP020606', NULL, NULL, 11600, 13),
(50160, NULL, 'PIRSF029691', NULL, NULL, NULL, NULL, 'UCP029691', NULL, NULL, 17432, 13),
(50161, NULL, 'PIRSF009160', NULL, NULL, NULL, NULL, 'UCP009160', NULL, NULL, 14692, 13),
(50162, NULL, 'PIRSF038010', NULL, NULL, NULL, NULL, 'VASP', NULL, NULL, 17574, 13),
(50163, NULL, 'PIRSF500135', NULL, NULL, NULL, NULL, 'GDPman_DH', NULL, NULL, 28007, 13),
(50164, NULL, 'PIRSF006278', NULL, NULL, NULL, NULL, 'ACCD_DCysDesulf', NULL, NULL, 28486, 13),
(50165, NULL, 'PIRSF009562', NULL, NULL, NULL, NULL, 'PerB', NULL, NULL, 9415, 13),
(50166, NULL, 'PIRSF002859', NULL, NULL, NULL, NULL, 'Lipo_traT', NULL, NULL, 7669, 13),
(50167, NULL, 'PIRSF006641', NULL, NULL, NULL, NULL, 'EngD', NULL, NULL, 5848, 13),
(50168, NULL, 'PIRSF000114', NULL, NULL, NULL, NULL, 'Glycerol-3-P_dh', NULL, NULL, 10375, 13),
(50169, NULL, 'PIRSF000349', NULL, NULL, NULL, NULL, 'MnSOD_FeSOD', NULL, NULL, 1411, 13),
(50170, NULL, 'PIRSF030829', NULL, NULL, NULL, NULL, 'DAG_kinase_plant', NULL, NULL, 18159, 13),
(50171, NULL, 'PIRSF037911', NULL, NULL, NULL, NULL, 'HDAC_II_euk', NULL, NULL, 17168, 13),
(50172, NULL, 'PIRSF037029', NULL, NULL, NULL, NULL, 'BAG_1', NULL, NULL, 19734, 13),
(50173, NULL, 'PIRSF000333', NULL, NULL, NULL, NULL, 'INOS', NULL, NULL, 7210, 13),
(50174, NULL, 'PIRSF018774', NULL, NULL, NULL, NULL, 'GOGAT_lg_dom1', NULL, NULL, 13986, 13);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50175, NULL, 'PIRSF028175', NULL, NULL, NULL, NULL, 'UCP028175', NULL, NULL, 12214, 13),
(50176, NULL, 'PIRSF005658', NULL, NULL, NULL, NULL, 'FwdF', NULL, NULL, 36912, 13),
(50177, NULL, 'PIRSF003778', NULL, NULL, NULL, NULL, 'VAC_C8L', NULL, NULL, 9759, 13),
(50178, NULL, 'PIRSF018783', NULL, NULL, NULL, NULL, 'UCP018783', NULL, NULL, 21856, 13),
(50179, NULL, 'PIRSF038973', NULL, NULL, NULL, NULL, 'SpoIIM', NULL, NULL, 8601, 13),
(50180, NULL, 'PIRSF001569', NULL, NULL, NULL, NULL, 'E3_ub_ligase_SMURF1', NULL, NULL, 16458, 13),
(50181, NULL, 'PIRSF030798', NULL, NULL, NULL, NULL, 'UCP030798', NULL, NULL, 18108, 13),
(50182, NULL, 'PIRSF037863', NULL, NULL, NULL, NULL, 'SLP_lactobac', NULL, NULL, 1956, 13),
(50183, NULL, 'PIRSF036946', NULL, NULL, NULL, NULL, 'Arg_N-mtase', NULL, NULL, 8978, 13),
(50184, NULL, 'PIRSF039072', NULL, NULL, NULL, NULL, 'ATPase_subunit_beta', NULL, NULL, NULL, 13),
(50185, NULL, 'PIRSF038120', NULL, NULL, NULL, NULL, 'Uch', NULL, NULL, 18021, 13),
(50186, NULL, 'PIRSF037682', NULL, NULL, NULL, NULL, 'Saliv_gland_allergen_Aed3', NULL, NULL, 16232, 13),
(50187, NULL, 'PIRSF038130', NULL, NULL, NULL, NULL, 'WRKY_txn_fact_IIc', NULL, NULL, 18245, 13),
(50188, NULL, 'PIRSF002450', NULL, NULL, NULL, NULL, 'K+_transpter_TRK', NULL, NULL, 8343, 13),
(50189, NULL, 'PIRSF016262', NULL, NULL, NULL, NULL, 'LPLase', NULL, NULL, 5998, 13),
(50190, NULL, 'PIRSF003888', NULL, NULL, NULL, NULL, 'NCAP_CRV', NULL, NULL, 1321, 13),
(50191, NULL, 'PIRSF018427', NULL, NULL, NULL, NULL, 'Isopentenyldiphpt_isom', NULL, NULL, 14347, 13),
(50192, NULL, 'PIRSF011356', NULL, NULL, NULL, NULL, 'VP30_FiloV', NULL, NULL, 9684, 13),
(50193, NULL, 'PIRSF028205', NULL, NULL, NULL, NULL, 'UCP028205', NULL, NULL, 10845, 13),
(50194, NULL, 'PIRSF000478', NULL, NULL, NULL, NULL, 'TP_PyNP', NULL, NULL, 3844, 13),
(50195, NULL, 'PIRSF001293', NULL, NULL, NULL, NULL, 'ATP6V0A1', NULL, NULL, 26340, 13),
(50196, NULL, 'PIRSF010372', NULL, NULL, NULL, NULL, 'PaiB', NULL, NULL, 3684, 13),
(50197, NULL, 'PIRSF026713', NULL, NULL, NULL, NULL, 'PMI_Firm_long', NULL, NULL, 16193, 13),
(50198, NULL, 'PIRSF015849', NULL, NULL, NULL, NULL, 'TFIIF-beta', NULL, NULL, 3117, 13),
(50199, NULL, 'PIRSF021513', NULL, NULL, NULL, NULL, 'GrhN_RubW', NULL, NULL, 15176, 13),
(50200, NULL, 'PIRSF004846', NULL, NULL, NULL, NULL, 'ModA', NULL, NULL, 67, 13),
(50201, NULL, 'PIRSF016323', NULL, NULL, NULL, NULL, 'tRNA_m1G_Mtase_euk', NULL, NULL, 19871, 13),
(50202, NULL, 'PIRSF015792', NULL, NULL, NULL, NULL, 'VAC_F16L', NULL, NULL, 3507, 13),
(50203, NULL, 'PIRSF009452', NULL, NULL, NULL, NULL, 'MtrA_MtxA', NULL, NULL, 28617, 13),
(50204, NULL, 'PIRSF010219', NULL, NULL, NULL, NULL, 'UCP010219', NULL, NULL, 18367, 13),
(50205, NULL, 'PIRSF031043', NULL, NULL, NULL, NULL, 'UCP031043', NULL, NULL, 17393, 13),
(50206, NULL, 'PIRSF006809', NULL, NULL, NULL, NULL, 'GTP-binding_hflX', NULL, NULL, 16449, 13),
(50207, NULL, 'PIRSF018506', NULL, NULL, NULL, NULL, 'Prpndl_dhdrts_md', NULL, NULL, 24866, 13),
(50208, NULL, 'PIRSF036054', NULL, NULL, NULL, NULL, 'UCP036054', NULL, NULL, 19706, 13),
(50209, NULL, 'PIRSF031134', NULL, NULL, NULL, NULL, 'MTRK', NULL, NULL, 10941, 13),
(50210, NULL, 'PIRSF001773', NULL, NULL, NULL, NULL, 'COX10', NULL, NULL, 19658, 13),
(50211, NULL, 'PIRSF028445', NULL, NULL, NULL, NULL, 'UCP028445', NULL, NULL, 17029, 13),
(50212, NULL, 'PIRSF024658', NULL, NULL, NULL, NULL, 'FlaF_archaea', NULL, NULL, 15183, 13),
(50213, NULL, 'PIRSF004761', NULL, NULL, NULL, NULL, 'Hydrgn_mat_HypA', NULL, NULL, 6859, 13),
(50214, NULL, 'PIRSF002744', NULL, NULL, NULL, NULL, 'Pur-cyt_permease', NULL, NULL, 28850, 13),
(50215, NULL, 'PIRSF037379', NULL, NULL, NULL, NULL, 'Urm1', NULL, NULL, 10632, 13),
(50216, NULL, 'PIRSF000181', NULL, NULL, NULL, NULL, 'Grc_selenoprot_A', NULL, NULL, 3580, 13),
(50217, NULL, 'PIRSF026986', NULL, NULL, NULL, NULL, 'MET_SET', NULL, NULL, 10752, 13),
(50218, NULL, 'PIRSF032436', NULL, NULL, NULL, NULL, 'UCP032436', NULL, NULL, 19280, 13),
(50219, NULL, 'PIRSF002285', NULL, NULL, NULL, NULL, 'Op18_SCG10', NULL, NULL, 3005, 13); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50220, NULL, 'PIRSF036632', NULL, NULL, NULL, NULL, 'GOGAT_lg_1_3', NULL, NULL, 12102, 13),
(50221, NULL, 'PIRSF000719', NULL, NULL, NULL, NULL, 'AceK', NULL, NULL, 10425, 13),
(50222, NULL, 'PIRSF005992', NULL, NULL, NULL, NULL, 'AP_complex_mu', NULL, NULL, 2271, 13),
(50223, NULL, 'PIRSF028655', NULL, NULL, NULL, NULL, 'NMP1', NULL, NULL, 8297, 13),
(50224, NULL, 'PIRSF000105', NULL, NULL, NULL, NULL, 'HCDH', NULL, NULL, 14986, 13),
(50225, NULL, 'PIRSF006169', NULL, NULL, NULL, NULL, 'UCP006169', NULL, NULL, 9387, 13),
(50226, NULL, 'PIRSF034456', NULL, NULL, NULL, NULL, 'UCP034456', NULL, NULL, 19402, 13),
(50227, NULL, 'PIRSF000915', NULL, NULL, NULL, NULL, 'PGP-type_phosphatase', NULL, NULL, 4854, 13),
(50228, NULL, 'PIRSF029692', NULL, NULL, NULL, NULL, 'UCP029692', NULL, NULL, 18121, 13),
(50229, NULL, 'PIRSF000690', NULL, NULL, NULL, NULL, 'Phosphotransf_FPr', NULL, NULL, 19838, 13),
(50230, NULL, 'PIRSF001220', NULL, NULL, NULL, NULL, 'L-ASNase_gatD', NULL, NULL, 2677, 13),
(50231, NULL, 'PIRSF006470', NULL, NULL, NULL, NULL, 'DctB', NULL, NULL, 3246, 13),
(50232, NULL, 'PIRSF003950', NULL, NULL, NULL, NULL, 'N_NairoV', NULL, NULL, 6342, 13),
(50233, NULL, 'PIRSF032572', NULL, NULL, NULL, NULL, 'MUB', NULL, NULL, 19286, 13),
(50234, NULL, 'PIRSF002697', NULL, NULL, NULL, NULL, 'AmbtV', NULL, NULL, 2608, 13),
(50235, NULL, 'PIRSF005023', NULL, NULL, NULL, NULL, 'CODH', NULL, NULL, 5475, 13),
(50236, NULL, 'PIRSF007056', NULL, NULL, NULL, NULL, 'UCP007056', NULL, NULL, 11258, 13),
(50237, NULL, 'PIRSF029215', NULL, NULL, NULL, NULL, 'UCP029215', NULL, NULL, 17037, 13),
(50238, NULL, 'PIRSF037307', NULL, NULL, NULL, NULL, 'Lhr-like_helic', NULL, NULL, 21773, 13),
(50239, NULL, 'PIRSF001831', NULL, NULL, NULL, NULL, 'Thyroglobulin', NULL, NULL, 20676, 13),
(50240, NULL, 'PIRSF001413', NULL, NULL, NULL, NULL, 'Trp_syn_beta', NULL, NULL, 15092, 13),
(50241, NULL, 'PIRSF001251', NULL, NULL, NULL, NULL, 'AMP_deaminase', NULL, NULL, 4668, 13),
(50242, NULL, 'PIRSF030780', NULL, NULL, NULL, NULL, 'Md_memb_hyd', NULL, NULL, 18053, 13),
(50243, NULL, 'PIRSF007165', NULL, NULL, NULL, NULL, 'UCP007165', NULL, NULL, 11226, 13),
(50244, NULL, 'PIRSF019373', NULL, NULL, NULL, NULL, 'EhaF', NULL, NULL, 10639, 13),
(50245, NULL, 'PIRSF005895', NULL, NULL, NULL, NULL, 'UCP005895_mtase', NULL, NULL, 7881, 13),
(50246, NULL, 'PIRSF001223', NULL, NULL, NULL, NULL, 'Urease_gamma', NULL, NULL, 11458, 13),
(50247, NULL, 'PIRSF015647', NULL, NULL, NULL, NULL, 'FBPtase_archl', NULL, NULL, 4653, 13),
(50248, NULL, 'PIRSF028688', NULL, NULL, NULL, NULL, 'UCP028688', NULL, NULL, 12057, 13),
(50249, NULL, 'PIRSF037395', NULL, NULL, NULL, NULL, 'UCP037395_ABCper', NULL, NULL, 21796, 13),
(50250, NULL, 'PIRSF036872', NULL, NULL, NULL, NULL, 'L_TospoV', NULL, NULL, 10215, 13),
(50251, NULL, 'PIRSF037676', NULL, NULL, NULL, NULL, 'UCP037676', NULL, NULL, 1040, 13),
(50252, NULL, 'PIRSF001084', NULL, NULL, NULL, NULL, 'B-galactosidase', NULL, NULL, 6452, 13),
(50253, NULL, 'PIRSF034247', NULL, NULL, NULL, NULL, 'RCAS1', NULL, NULL, 19196, 13),
(50254, NULL, 'PIRSF017117', NULL, NULL, NULL, NULL, 'YscY', NULL, NULL, 20954, 13),
(50255, NULL, 'PIRSF004338', NULL, NULL, NULL, NULL, 'Integrase', NULL, NULL, 7969, 13),
(50256, NULL, 'PIRSF012359', NULL, NULL, NULL, NULL, 'UCP012359', NULL, NULL, 18491, 13),
(50257, NULL, 'PIRSF000111', NULL, NULL, NULL, NULL, 'ALDH_ADH', NULL, NULL, 12587, 13),
(50258, NULL, 'PIRSF000084', NULL, NULL, NULL, NULL, 'Phytochrome_conventional', NULL, NULL, 14431, 13),
(50259, NULL, 'PIRSF000386', NULL, NULL, NULL, NULL, 'tRNA_mtase', NULL, NULL, 2952, 13),
(50260, NULL, 'PIRSF036441', NULL, NULL, NULL, NULL, 'NAGK_DUF619', NULL, NULL, 11001, 13),
(50261, NULL, 'PIRSF005496', NULL, NULL, NULL, NULL, 'ATP_hel_HrpB', NULL, NULL, 4076, 13),
(50262, NULL, 'PIRSF000319', NULL, NULL, NULL, NULL, 'Trp_2-mono_O2ase', NULL, NULL, 14313, 13),
(50263, NULL, 'PIRSF032064', NULL, NULL, NULL, NULL, 'UCP032064', NULL, NULL, 8347, 13),
(50264, NULL, 'PIRSF001060', NULL, NULL, NULL, NULL, 'Endochitinase', NULL, NULL, 19516, 13);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50265, NULL, 'PIRSF036401', NULL, NULL, NULL, NULL, 'Gcp_STYKS', NULL, NULL, 10971, 13),
(50266, NULL, 'PIRSF501106', NULL, NULL, NULL, NULL, 'Protein_kin_C_epsilon', NULL, NULL, 27418, 13),
(50267, NULL, 'PIRSF001336', NULL, NULL, NULL, NULL, 'ARGDC', NULL, NULL, 7263, 13),
(50268, NULL, 'PIRSF002129', NULL, NULL, NULL, NULL, 'RPS6e', NULL, NULL, 7571, 13),
(50269, NULL, 'PIRSF005011', NULL, NULL, NULL, NULL, 'SanA', NULL, NULL, 16781, 13),
(50270, NULL, 'PIRSF036389', NULL, NULL, NULL, NULL, 'IOR_B', NULL, NULL, 12608, 13),
(50271, NULL, 'PIRSF015040', NULL, NULL, NULL, NULL, 'ATPase_SAG2001', NULL, NULL, 19592, 13),
(50272, NULL, 'PIRSF016632', NULL, NULL, NULL, NULL, 'PLD_actino_fungi', NULL, NULL, 20877, 13),
(50273, NULL, 'PIRSF037016', NULL, NULL, NULL, NULL, 'Pseudouridin_synth_euk', NULL, NULL, 3233, 13),
(50274, NULL, 'PIRSF006272', NULL, NULL, NULL, NULL, 'UCP006272', NULL, NULL, 1663, 13),
(50275, NULL, 'PIRSF001716', NULL, NULL, NULL, NULL, 'Dorsal', NULL, NULL, 14505, 13),
(50276, NULL, 'PIRSF000408', NULL, NULL, NULL, NULL, 'Alkyltransferas_AdaA', NULL, NULL, 17466, 13),
(50277, NULL, 'PIRSF000808', NULL, NULL, NULL, NULL, 'GalT', NULL, NULL, 4195, 13),
(50278, NULL, 'PIRSF004925', NULL, NULL, NULL, NULL, 'HcaT', NULL, NULL, 23852, 13),
(50279, NULL, 'PIRSF017962', NULL, NULL, NULL, NULL, 'UCP017962', NULL, NULL, 7087, 13),
(50280, NULL, 'PIRSF037178', NULL, NULL, NULL, NULL, 'TTR-like', NULL, NULL, 20825, 13),
(50281, NULL, 'PIRSF011443', NULL, NULL, NULL, NULL, 'YgjV', NULL, NULL, 28196, 13),
(50282, NULL, 'PIRSF018412', NULL, NULL, NULL, NULL, 'TEBP_beta', NULL, NULL, 11786, 13),
(50283, NULL, 'PIRSF017215', NULL, NULL, NULL, NULL, 'ESCRT2_Vps22', NULL, NULL, 20781, 13),
(50284, NULL, 'PIRSF021424', NULL, NULL, NULL, NULL, 'RTP', NULL, NULL, 5344, 13),
(50285, NULL, 'PIRSF029171', NULL, NULL, NULL, NULL, 'Esterase_LipA', NULL, NULL, 4374, 13),
(50286, NULL, 'PIRSF001265', NULL, NULL, NULL, NULL, 'H+-PPtase', NULL, NULL, 2937, 13),
(50287, NULL, 'PIRSF006113', NULL, NULL, NULL, NULL, 'PTP_synth', NULL, NULL, 453, 13),
(50288, NULL, 'PIRSF037204', NULL, NULL, NULL, NULL, 'UCP037204', NULL, NULL, 20895, 13),
(50289, NULL, 'PIRSF039014', NULL, NULL, NULL, NULL, 'OTR_cyc', NULL, NULL, 21754, 13),
(50290, NULL, 'PIRSF017388', NULL, NULL, NULL, NULL, 'Esterase_lipase', NULL, NULL, 12584, 13),
(50291, NULL, 'PIRSF009564', NULL, NULL, NULL, NULL, 'HdeA', NULL, NULL, 22060, 13),
(50292, NULL, 'PIRSF006834', NULL, NULL, NULL, NULL, 'UCP006834', NULL, NULL, 10885, 13),
(50293, NULL, 'PIRSF019549', NULL, NULL, NULL, NULL, 'Gpr', NULL, NULL, 10340, 13),
(50294, NULL, 'PIRSF009404', NULL, NULL, NULL, NULL, 'Txn_factor_DP', NULL, NULL, 18288, 13),
(50295, NULL, 'PIRSF000666', NULL, NULL, NULL, NULL, 'TyrPK_ephrin_receptor', NULL, NULL, 17494, 13),
(50296, NULL, 'PIRSF038170', NULL, NULL, NULL, NULL, 'TRM6', NULL, NULL, 18558, 13),
(50297, NULL, 'PIRSF027887', NULL, NULL, NULL, NULL, 'Amidohyd_027887', NULL, NULL, 15857, 13),
(50298, NULL, 'PIRSF000294', NULL, NULL, NULL, NULL, 'Cytochrome-c_peroxidase', NULL, NULL, 23824, 13),
(50299, NULL, 'PIRSF027391', NULL, NULL, NULL, NULL, 'Hpre_diP_synt_I', NULL, NULL, 12019, 13),
(50300, NULL, 'PIRSF006577', NULL, NULL, NULL, NULL, 'UCP006577', NULL, NULL, 11023, 13),
(50301, NULL, 'PIRSF028498', NULL, NULL, NULL, NULL, 'UCP028498', NULL, NULL, 17354, 13),
(50302, NULL, 'PIRSF000745', NULL, NULL, NULL, NULL, 'VAC_RPO30', NULL, NULL, 9709, 13),
(50303, NULL, 'PIRSF010244', NULL, NULL, NULL, NULL, 'UCP010244_imp', NULL, NULL, 9679, 13),
(50304, NULL, 'PIRSF004161', NULL, NULL, NULL, NULL, 'DNA-bp_J_Microviridae', NULL, NULL, 3849, 13),
(50305, NULL, 'PIRSF006993', NULL, NULL, NULL, NULL, 'UCP006993', NULL, NULL, 16110, 13),
(50306, NULL, 'PIRSF001939', NULL, NULL, NULL, NULL, 'IL-3', NULL, NULL, 1138, 13),
(50307, NULL, 'PIRSF006019', NULL, NULL, NULL, NULL, 'dCMP_deaminase', NULL, NULL, 15630, 13),
(50308, NULL, 'PIRSF029187', NULL, NULL, NULL, NULL, 'SHR3', NULL, NULL, 13381, 13),
(50309, NULL, 'PIRSF037730', NULL, NULL, NULL, NULL, 'CWA_LytH', NULL, NULL, 16194, 13);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50310, NULL, 'PIRSF007542', NULL, NULL, NULL, NULL, 'UCP007542', NULL, NULL, 11141, 13),
(50311, NULL, 'PIRSF017570', NULL, NULL, NULL, NULL, 'H3K79_H-MTase_fungal', NULL, NULL, 15502, 13),
(50312, NULL, 'PIRSF037854', NULL, NULL, NULL, NULL, 'DhpA', NULL, NULL, 16698, 13),
(50313, NULL, 'PIRSF500101', NULL, NULL, NULL, NULL, 'ER-a', NULL, NULL, 312, 13),
(50314, NULL, 'PIRSF000148', NULL, NULL, NULL, NULL, 'ASA_dh', NULL, NULL, NULL, 13),
(50315, NULL, 'PIRSF002383', NULL, NULL, NULL, NULL, 'NSG_calcyon', NULL, NULL, 8022, 13),
(50316, NULL, 'PIRSF002513', NULL, NULL, NULL, NULL, 'Integrin_B4', NULL, NULL, 11192, 13),
(50317, NULL, 'PIRSF036934', NULL, NULL, NULL, NULL, 'TrpE-G', NULL, NULL, 2452, 13),
(50318, NULL, 'PIRSF039101', NULL, NULL, NULL, NULL, 'LysRS2', NULL, NULL, 20312, 13),
(50319, NULL, 'PIRSF009290', NULL, NULL, NULL, NULL, 'FrlB', NULL, NULL, 13246, 13),
(50320, NULL, 'PIRSF016516', NULL, NULL, NULL, NULL, 'Allantoicase', NULL, NULL, 4716, 13),
(50321, NULL, 'PIRSF018297', NULL, NULL, NULL, NULL, 'Doc', NULL, NULL, 6675, 13),
(50322, NULL, 'PIRSF000852', NULL, NULL, NULL, NULL, 'Phosphatidylserin_synth_fung', NULL, NULL, 19730, 13),
(50323, NULL, 'PIRSF000827', NULL, NULL, NULL, NULL, 'RdRPol_OMV', NULL, NULL, 3477, 13),
(50324, NULL, 'PIRSF004631', NULL, NULL, NULL, NULL, 'Retroelement_env', NULL, NULL, 11276, 13),
(50325, NULL, 'PIRSF029091', NULL, NULL, NULL, NULL, 'RstB1_B2', NULL, NULL, 9044, 13),
(50326, NULL, 'PIRSF004929', NULL, NULL, NULL, NULL, 'UCP004929', NULL, NULL, 9756, 13),
(50327, NULL, 'PIRSF021308', NULL, NULL, NULL, NULL, 'UCP021308', NULL, NULL, 15247, 13),
(50328, NULL, 'PIRSF016565', NULL, NULL, NULL, NULL, 'PucC', NULL, NULL, 24021, 13),
(50329, NULL, 'PIRSF030333', NULL, NULL, NULL, NULL, 'UCP030333_Alba', NULL, NULL, 12618, 13),
(50330, NULL, 'PIRSF001942', NULL, NULL, NULL, NULL, 'IL-7', NULL, NULL, 1042, 13),
(50331, NULL, 'PIRSF010354', NULL, NULL, NULL, NULL, 'Trx_SET', NULL, NULL, 18244, 13),
(50332, NULL, 'PIRSF034515', NULL, NULL, NULL, NULL, 'Chondroitinase', NULL, NULL, 14345, 13),
(50333, NULL, 'PIRSF500627', NULL, NULL, NULL, NULL, 'Cytochrome_CYP8B1', NULL, NULL, 24614, 13),
(50334, NULL, 'PIRSF001141', NULL, NULL, NULL, NULL, 'Acrosin', NULL, NULL, 12107, 13),
(50335, NULL, 'PIRSF003692', NULL, NULL, NULL, NULL, 'VAC_C14L', NULL, NULL, 9914, 13),
(50336, NULL, 'PIRSF028188', NULL, NULL, NULL, NULL, 'Amdntrnsf_FN0238', NULL, NULL, 12463, 13),
(50337, NULL, 'PIRSF020565', NULL, NULL, NULL, NULL, '3Ho_Ac_ACP_DH', NULL, NULL, 15328, 13),
(50338, NULL, 'PIRSF001103', NULL, NULL, NULL, NULL, 'Endo-b-N-acetylglucosaminidase', NULL, NULL, 19697, 13),
(50339, NULL, 'PIRSF037081', NULL, NULL, NULL, NULL, 'P-loop_All4644', NULL, NULL, 20737, 13),
(50340, NULL, 'PIRSF029287', NULL, NULL, NULL, NULL, 'UCP029287', NULL, NULL, 19168, 13),
(50341, NULL, 'PIRSF000076', NULL, NULL, NULL, NULL, 'HCP', NULL, NULL, 5406, 13),
(50342, NULL, 'PIRSF030786', NULL, NULL, NULL, NULL, 'Lysis_prot_S', NULL, NULL, 6915, 13),
(50343, NULL, 'PIRSF037932', NULL, NULL, NULL, NULL, 'A2BP1', NULL, NULL, 17298, 13),
(50344, NULL, 'PIRSF029208', NULL, NULL, NULL, NULL, 'Tail_GPU', NULL, NULL, 17045, 13),
(50345, NULL, 'PIRSF018863', NULL, NULL, NULL, NULL, 'UCP018863', NULL, NULL, 10641, 13),
(50346, NULL, 'PIRSF003180', NULL, NULL, NULL, NULL, 'DiGMP_Pdiesterase_YuxH', NULL, NULL, 7548, 13),
(50347, NULL, 'PIRSF000534', NULL, NULL, NULL, NULL, 'ATP_PFK_TP0108', NULL, NULL, 10788, 13),
(50348, NULL, 'PIRSF025479', NULL, NULL, NULL, NULL, 'UCP025479', NULL, NULL, 16140, 13),
(50349, NULL, 'PIRSF008130', NULL, NULL, NULL, NULL, 'UCP008130', NULL, NULL, 8610, 13),
(50350, NULL, 'PIRSF003760', NULL, NULL, NULL, NULL, 'VAC_K3L_Serpin', NULL, NULL, 21960, 13),
(50351, NULL, 'PIRSF001589', NULL, NULL, NULL, NULL, 'Asn_synthetase_glu-h', NULL, NULL, 6827, 13),
(50352, NULL, 'PIRSF029033', NULL, NULL, NULL, NULL, 'UCP029033', NULL, NULL, 17099, 13),
(50353, NULL, 'PIRSF000927', NULL, NULL, NULL, NULL, 'PTPN3_PTPN4', NULL, NULL, 7406, 13),
(50354, NULL, 'PIRSF026509', NULL, NULL, NULL, NULL, 'UCP026509', NULL, NULL, 7002, 13);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50355, NULL, 'PIRSF036446', NULL, NULL, NULL, NULL, 'Phosphoesterase_HI0762', NULL, NULL, 19810, 13),
(50356, NULL, 'PIRSF500060', NULL, NULL, NULL, NULL, 'UCP500060', NULL, NULL, 27975, 13),
(50357, NULL, 'PIRSF000239', NULL, NULL, NULL, NULL, 'AHPC', NULL, NULL, 11034, 13),
(50358, NULL, 'PIRSF500136', NULL, NULL, NULL, NULL, 'UDP_ManNAc_DH', NULL, NULL, 29407, 13),
(50359, NULL, 'PIRSF003948', NULL, NULL, NULL, NULL, 'N_TospoV', NULL, NULL, 579, 13),
(50360, NULL, 'PIRSF005578', NULL, NULL, NULL, NULL, 'TlyA', NULL, NULL, 1780, 13),
(50361, NULL, 'PIRSF018634', NULL, NULL, NULL, NULL, 'UCP018634', NULL, NULL, 8489, 13),
(50362, NULL, 'PIRSF019325', NULL, NULL, NULL, NULL, 'GPI', NULL, NULL, 21760, 13),
(50363, NULL, 'PIRSF015417', NULL, NULL, NULL, NULL, 'T31B5_30_vWA', NULL, NULL, 10913, 13),
(50364, NULL, 'PIRSF038958', NULL, NULL, NULL, NULL, 'PG_synth_SpoVB', NULL, NULL, 25926, 13),
(50365, NULL, 'PIRSF005624', NULL, NULL, NULL, NULL, 'Ni-bind_GTPase', NULL, NULL, NULL, 13),
(50366, NULL, 'PIRSF010376', NULL, NULL, NULL, NULL, 'IspE', NULL, NULL, 7307, 13),
(50367, NULL, 'PIRSF028099', NULL, NULL, NULL, NULL, 'Thiol_oxidored', NULL, NULL, 14835, 13),
(50368, NULL, 'PIRSF006054', NULL, NULL, NULL, NULL, 'UCP006054', NULL, NULL, 15964, 13),
(50369, NULL, 'PIRSF002023', NULL, NULL, NULL, NULL, 'PA2_inhib_alpha/gamma', NULL, NULL, 20554, 13),
(50370, NULL, 'PIRSF016128', NULL, NULL, NULL, NULL, 'UCP016128', NULL, NULL, 9210, 13),
(50371, NULL, 'PIRSF031402', NULL, NULL, NULL, NULL, 'SYS1_homolog', NULL, NULL, 18486, 13),
(50372, NULL, 'PIRSF026802', NULL, NULL, NULL, NULL, 'UCP026802', NULL, NULL, 5955, 13),
(50373, NULL, 'PIRSF006102', NULL, NULL, NULL, NULL, 'NQR_DE', NULL, NULL, 1398, 13),
(50374, NULL, 'PIRSF008881', NULL, NULL, NULL, NULL, 'Fhx_P25', NULL, NULL, 14812, 13),
(50375, NULL, 'PIRSF004395', NULL, NULL, NULL, NULL, 'Tail_Z', NULL, NULL, 9282, 13),
(50376, NULL, 'PIRSF004006', NULL, NULL, NULL, NULL, 'Minor_cap_RTV', NULL, NULL, 998, 13),
(50377, NULL, 'PIRSF011515', NULL, NULL, NULL, NULL, 'EspG/VirA', NULL, NULL, 11525, 13),
(50378, NULL, 'PIRSF001359', NULL, NULL, NULL, NULL, 'F_bP_aldolase_II', NULL, NULL, 6772, 13),
(50379, NULL, 'PIRSF001238', NULL, NULL, NULL, NULL, 'IadA', NULL, NULL, 4450, 13),
(50380, NULL, 'PIRSF011911', NULL, NULL, NULL, NULL, 'Minor_capsid_gp61', NULL, NULL, 6668, 13),
(50381, NULL, 'PIRSF000460', NULL, NULL, NULL, NULL, 'Glucan_phosphorylase_GlgP', NULL, NULL, 5478, 13),
(50382, NULL, 'PIRSF015971', NULL, NULL, NULL, NULL, 'VAC_F1L', NULL, NULL, 10934, 13),
(50383, NULL, 'PIRSF005627', NULL, NULL, NULL, NULL, 'MTD', NULL, NULL, 5738, 13),
(50384, NULL, 'PIRSF006351', NULL, NULL, NULL, NULL, 'PTS_EIIC-Cellobiose', NULL, NULL, 5038, 13),
(50385, NULL, 'PIRSF039133', NULL, NULL, NULL, NULL, 'SUMO_E1B', NULL, NULL, 26380, 13),
(50386, NULL, 'PIRSF007313', NULL, NULL, NULL, NULL, 'PhnI', NULL, NULL, 12177, 13),
(50387, NULL, 'PIRSF016379', NULL, NULL, NULL, NULL, 'ENT', NULL, NULL, 6427, 13),
(50388, NULL, 'PIRSF003764', NULL, NULL, NULL, NULL, 'VAC_K7R', NULL, NULL, 9860, 13),
(50389, NULL, 'PIRSF005412', NULL, NULL, NULL, NULL, 'UCP005412_abhydr', NULL, NULL, 15704, 13),
(50390, NULL, 'PIRSF007061', NULL, NULL, NULL, NULL, 'UCP007061', NULL, NULL, 16393, 13),
(50391, NULL, 'PIRSF037692', NULL, NULL, NULL, NULL, 'UCP037692', NULL, NULL, 16298, 13),
(50392, NULL, 'PIRSF000094', NULL, NULL, NULL, NULL, 'Enoyl-ACP_rdct', NULL, NULL, 11578, 13),
(50393, NULL, 'PIRSF029120', NULL, NULL, NULL, NULL, 'UCP029120', NULL, NULL, 10602, 13),
(50394, NULL, 'PIRSF028153', NULL, NULL, NULL, NULL, 'MshI', NULL, NULL, 16302, 13),
(50395, NULL, 'PIRSF000956', NULL, NULL, NULL, NULL, 'PLC-beta', NULL, NULL, 19588, 13),
(50396, NULL, 'PIRSF009151', NULL, NULL, NULL, NULL, 'UCP009151', NULL, NULL, 12190, 13),
(50397, NULL, 'PIRSF001771', NULL, NULL, NULL, NULL, 'Cyclin_A_B_D_E', NULL, NULL, 35566, 13),
(50398, NULL, 'PIRSF018494', NULL, NULL, NULL, NULL, 'PBSX_VPQ', NULL, NULL, 24570, 13),
(50399, NULL, 'PIRSF028520', NULL, NULL, NULL, NULL, 'UCP028520', NULL, NULL, 17102, 13);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50400, NULL, 'PIRSF029172', NULL, NULL, NULL, NULL, 'UCP029172_ABC_sbc_YnjB', NULL, NULL, 25364, 13),
(50401, NULL, 'PIRSF032441', NULL, NULL, NULL, NULL, 'UCP032441', NULL, NULL, 19174, 13),
(50402, NULL, 'PIRSF003938', NULL, NULL, NULL, NULL, 'NS1_influenza_B', NULL, NULL, 3529, 13),
(50403, NULL, 'PIRSF006468', NULL, NULL, NULL, NULL, 'BCAT1', NULL, NULL, 5967, 13),
(50404, NULL, 'PIRSF032025', NULL, NULL, NULL, NULL, 'UCP032025', NULL, NULL, 7673, 13),
(50405, NULL, 'PIRSF009407', NULL, NULL, NULL, NULL, 'IDH_monmr', NULL, NULL, 7093, 13),
(50406, NULL, 'PIRSF031551', NULL, NULL, NULL, NULL, 'UCP031551', NULL, NULL, 8864, 13),
(50407, NULL, 'PIRSF002565', NULL, NULL, NULL, NULL, 'Statherin', NULL, NULL, 1937, 13),
(50408, NULL, 'PIRSF000282', NULL, NULL, NULL, NULL, 'COX7', NULL, NULL, 12339, 13),
(50409, NULL, 'PIRSF029509', NULL, NULL, NULL, NULL, 'UCP029509', NULL, NULL, 17459, 13),
(50410, NULL, 'PIRSF038148', NULL, NULL, NULL, NULL, 'Rmt2', NULL, NULL, 18561, 13),
(50411, NULL, 'PIRSF000414', NULL, NULL, NULL, NULL, 'PurH', NULL, NULL, 3871, 13),
(50412, NULL, 'PIRSF004808', NULL, NULL, NULL, NULL, 'LasT', NULL, NULL, 5505, 13),
(50413, NULL, 'PIRSF036586', NULL, NULL, NULL, NULL, 'CDP-ribitol_syn', NULL, NULL, 13087, 13),
(50414, NULL, 'PIRSF037375', NULL, NULL, NULL, NULL, 'EstA', NULL, NULL, 21733, 13),
(50415, NULL, 'PIRSF003135', NULL, NULL, NULL, NULL, 'Primosomal_n', NULL, NULL, 16735, 13),
(50416, NULL, 'PIRSF005919', NULL, NULL, NULL, NULL, 'UCP005919', NULL, NULL, 19345, 13),
(50417, NULL, 'PIRSF027124', NULL, NULL, NULL, NULL, 'HAT_Rtt109', NULL, NULL, 16047, 13),
(50418, NULL, 'PIRSF004179', NULL, NULL, NULL, NULL, 'DNAterm_GP3', NULL, NULL, 12063, 13),
(50419, NULL, 'PIRSF038204', NULL, NULL, NULL, NULL, 'Distrobrevin', NULL, NULL, 18571, 13),
(50420, NULL, 'PIRSF037489', NULL, NULL, NULL, NULL, 'NIF3_YqfO', NULL, NULL, 15667, 13),
(50421, NULL, 'PIRSF037919', NULL, NULL, NULL, NULL, 'HDAC_II_yeast', NULL, NULL, 17447, 13),
(50422, NULL, 'PIRSF003767', NULL, NULL, NULL, NULL, 'VAC_I3L', NULL, NULL, 3130, 13),
(50423, NULL, 'PIRSF002421', NULL, NULL, NULL, NULL, 'L-selectin', NULL, NULL, 20740, 13),
(50424, NULL, 'PIRSF006493', NULL, NULL, NULL, NULL, 'Prok_Ku', NULL, NULL, 9702, 13),
(50425, NULL, 'PIRSF036408', NULL, NULL, NULL, NULL, 'PduS', NULL, NULL, 19571, 13),
(50426, NULL, 'PIRSF000381', NULL, NULL, NULL, NULL, 'Met_synth_MetH', NULL, NULL, 14271, 13),
(50427, NULL, 'PIRSF000767', NULL, NULL, NULL, NULL, 'Sigma_factor_SigC', NULL, NULL, 19725, 13),
(50428, NULL, 'PIRSF000169', NULL, NULL, NULL, NULL, 'SDH_D', NULL, NULL, 9961, 13),
(50429, NULL, 'PIRSF501104', NULL, NULL, NULL, NULL, 'Protein_kin_C_delta', NULL, NULL, 23420, 13),
(50430, NULL, 'PIRSF018571', NULL, NULL, NULL, NULL, 'SpoIIGA', NULL, NULL, 10203, 13),
(50431, NULL, 'PIRSF006305', NULL, NULL, NULL, NULL, 'Maf', NULL, NULL, 2033, 13),
(50432, NULL, 'PIRSF000151', NULL, NULL, NULL, NULL, 'GPR', NULL, NULL, 14131, 13),
(50433, NULL, 'PIRSF037162', NULL, NULL, NULL, NULL, 'PRDM', NULL, NULL, 20818, 13),
(50434, NULL, 'PIRSF003109', NULL, NULL, NULL, NULL, 'RE_McrC', NULL, NULL, 7695, 13),
(50435, NULL, 'PIRSF004348', NULL, NULL, NULL, NULL, 'RNA_pol_inhibit', NULL, NULL, 21538, 13),
(50436, NULL, 'PIRSF016315', NULL, NULL, NULL, NULL, 'p21-ARC', NULL, NULL, 1291, 13),
(50437, NULL, 'PIRSF031853', NULL, NULL, NULL, NULL, 'UCP031853', NULL, NULL, 18365, 13),
(50438, NULL, 'PIRSF037159', NULL, NULL, NULL, NULL, 'UCP037159', NULL, NULL, 20622, 13),
(50439, NULL, 'PIRSF002882', NULL, NULL, NULL, NULL, 'VapD', NULL, NULL, 20762, 13),
(50440, NULL, 'PIRSF016958', NULL, NULL, NULL, NULL, 'Mtase_AD-003', NULL, NULL, 13948, 13),
(50441, NULL, 'PIRSF039004', NULL, NULL, NULL, NULL, 'ADE_EF_0837', NULL, NULL, 12386, 13),
(50442, NULL, 'PIRSF001936', NULL, NULL, NULL, NULL, 'Interferon_gamma', NULL, NULL, 1392, 13),
(50443, NULL, 'PIRSF006707', NULL, NULL, NULL, NULL, 'MJ1563', NULL, NULL, 23542, 13),
(50444, NULL, 'PIRSF000538', NULL, NULL, NULL, NULL, 'GlpK', NULL, NULL, 6000, 13),
(50445, NULL, 'PIRSF021328', NULL, NULL, NULL, NULL, 'UCP021328', NULL, NULL, 15269, 13);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50446, NULL, 'PIRSF037713', NULL, NULL, NULL, NULL, 'BT_exbB-like_prot_1', NULL, NULL, 16318, 13),
(50447, NULL, 'PIRSF028101', NULL, NULL, NULL, NULL, 'UCP028101', NULL, NULL, 7854, 13),
(50448, NULL, 'PIRSF039087', NULL, NULL, NULL, NULL, 'L10E', NULL, NULL, 27397, 13),
(50449, NULL, 'PIRSF036417', NULL, NULL, NULL, NULL, 'Very_long_ch_3-ktacl-CoA_syn', NULL, NULL, 13569, 13),
(50450, NULL, 'PIRSF001423', NULL, NULL, NULL, NULL, 'Urocanate_hydrat', NULL, NULL, 616, 13),
(50451, NULL, 'PIRSF037846', NULL, NULL, NULL, NULL, 'Autolysin_YrvJ', NULL, NULL, 16584, 13),
(50452, NULL, 'PIRSF038155', NULL, NULL, NULL, NULL, 'AS2', NULL, NULL, 18848, 13),
(50453, NULL, 'PIRSF011271', NULL, NULL, NULL, NULL, 'SycE', NULL, NULL, 7318, 13),
(50454, NULL, 'PIRSF038005', NULL, NULL, NULL, NULL, 'MBD4', NULL, NULL, 17664, 13),
(50455, NULL, 'PIRSF003165', NULL, NULL, NULL, NULL, 'Chaper_prot_SicA', NULL, NULL, 21782, 13),
(50456, NULL, 'PIRSF004523', NULL, NULL, NULL, NULL, 'ABC_peripl_P37', NULL, NULL, 8370, 13),
(50457, NULL, 'PIRSF020431', NULL, NULL, NULL, NULL, 'NapD_delta/epsilon', NULL, NULL, 2740, 13),
(50458, NULL, 'PIRSF037135', NULL, NULL, NULL, NULL, 'Matriptase-2', NULL, NULL, 20701, 13),
(50459, NULL, 'PIRSF000743', NULL, NULL, NULL, NULL, 'RPO19', NULL, NULL, 4361, 13),
(50460, NULL, 'PIRSF017290', NULL, NULL, NULL, NULL, 'ROT1', NULL, NULL, 21356, 13),
(50461, NULL, 'PIRSF500951', NULL, NULL, NULL, NULL, 'SCGF_recepter', NULL, NULL, 27914, 13),
(50462, NULL, 'PIRSF038133', NULL, NULL, NULL, NULL, 'EAF3_MRG15', NULL, NULL, 13307, 13),
(50463, NULL, 'PIRSF036461', NULL, NULL, NULL, NULL, 'Chmtx_methlestr', NULL, NULL, 11041, 13),
(50464, NULL, 'PIRSF038143', NULL, NULL, NULL, NULL, 'Podoclyxn-like_1', NULL, NULL, 18384, 13),
(50465, NULL, 'PIRSF001747', NULL, NULL, NULL, NULL, 'Red1', NULL, NULL, 12544, 13),
(50466, NULL, 'PIRSF037950', NULL, NULL, NULL, NULL, 'E3_ub_ligase_RNF8', NULL, NULL, 17192, 13),
(50467, NULL, 'PIRSF002457', NULL, NULL, NULL, NULL, 'DASS', NULL, NULL, 24602, 13),
(50468, NULL, 'PIRSF006320', NULL, NULL, NULL, NULL, 'Elb2', NULL, NULL, 26085, 13),
(50469, NULL, 'PIRSF016661', NULL, NULL, NULL, NULL, 'BioY', NULL, NULL, 3488, 13),
(50470, NULL, 'PIRSF036594', NULL, NULL, NULL, NULL, 'MoaC_MogA', NULL, NULL, 11966, 13),
(50471, NULL, 'PIRSF020555', NULL, NULL, NULL, NULL, 'UCP020555', NULL, NULL, 11557, 13),
(50472, NULL, 'PIRSF001863', NULL, NULL, NULL, NULL, 'MAT_Alpha1', NULL, NULL, 20573, 13),
(50473, NULL, 'PIRSF001221', NULL, NULL, NULL, NULL, 'Amidase_fungi', NULL, NULL, NULL, 13),
(50474, NULL, 'PIRSF000797', NULL, NULL, NULL, NULL, 'DNA_pol_mitochondrial', NULL, NULL, 307, 13),
(50475, NULL, 'PIRSF008153', NULL, NULL, NULL, NULL, 'CYFIP', NULL, NULL, 6396, 13),
(50476, NULL, 'PIRSF036692', NULL, NULL, NULL, NULL, 'SDH_B', NULL, NULL, 2787, 13),
(50477, NULL, 'PIRSF005053', NULL, NULL, NULL, NULL, 'RNAP_F_arch', NULL, NULL, 9088, 13),
(50478, NULL, 'PIRSF004505', NULL, NULL, NULL, NULL, 'MT_bac', NULL, NULL, 4441, 13),
(50479, NULL, 'PIRSF005409', NULL, NULL, NULL, NULL, 'VAMP-5_synaptobrevin', NULL, NULL, 15601, 13),
(50480, NULL, 'PIRSF034565', NULL, NULL, NULL, NULL, 'UCP034565', NULL, NULL, 19360, 13),
(50481, NULL, 'PIRSF000138', NULL, NULL, NULL, NULL, 'Al-hdrx_acd_dh', NULL, NULL, 14464, 13),
(50482, NULL, 'PIRSF028836', NULL, NULL, NULL, NULL, 'ISN1', NULL, NULL, 9286, 13),
(50483, NULL, 'PIRSF021292', NULL, NULL, NULL, NULL, 'ComGD', NULL, NULL, 15217, 13),
(50484, NULL, 'PIRSF009303', NULL, NULL, NULL, NULL, 'RAD9', NULL, NULL, 28177, 13),
(50485, NULL, 'PIRSF016496', NULL, NULL, NULL, NULL, 'Kin_FomA', NULL, NULL, 14181, 13),
(50486, NULL, 'PIRSF037913', NULL, NULL, NULL, NULL, 'HDAC_I_euk', NULL, NULL, 814, 13),
(50487, NULL, 'PIRSF014669', NULL, NULL, NULL, NULL, 'UCP014669', NULL, NULL, 19633, 13),
(50488, NULL, 'PIRSF000632', NULL, NULL, NULL, NULL, 'TyrPK_fps', NULL, NULL, 17145, 13),
(50489, NULL, 'PIRSF017199', NULL, NULL, NULL, NULL, 'Dim1', NULL, NULL, 1583, 13),
(50490, NULL, 'PIRSF038034', NULL, NULL, NULL, NULL, 'RFXANK', NULL, NULL, 17541, 13);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50491, NULL, 'PIRSF037383', NULL, NULL, NULL, NULL, 'LicCA', NULL, NULL, 21642, 13),
(50492, NULL, 'PIRSF029416', NULL, NULL, NULL, NULL, 'UCP029416_PTP', NULL, NULL, 17173, 13),
(50493, NULL, 'PIRSF001906', NULL, NULL, NULL, NULL, 'ATX_III', NULL, NULL, 20929, 13),
(50494, NULL, 'PIRSF038119', NULL, NULL, NULL, NULL, 'NUP53', NULL, NULL, 18418, 13),
(50495, NULL, 'PIRSF007319', NULL, NULL, NULL, NULL, 'UCP007319', NULL, NULL, 16173, 13),
(50496, NULL, 'PIRSF010072', NULL, NULL, NULL, NULL, 'BBS5_fem-3', NULL, NULL, 23533, 13),
(50497, NULL, 'PIRSF039102', NULL, NULL, NULL, NULL, 'Ddl/VanB', NULL, NULL, 370, 13),
(50498, NULL, 'PIRSF037167', NULL, NULL, NULL, NULL, 'Mtase_YfcB', NULL, NULL, 20704, 13),
(50499, NULL, 'PIRSF038471', NULL, NULL, NULL, NULL, 'MreC', NULL, NULL, 6187, 13),
(50500, NULL, 'PIRSF501177', NULL, NULL, NULL, NULL, 'BoxA', NULL, NULL, 16633, 13),
(50501, NULL, 'PIRSF004750', NULL, NULL, NULL, NULL, 'Nitrile_oxidored_YqcD', NULL, NULL, 21869, 13),
(50502, NULL, 'PIRSF011132', NULL, NULL, NULL, NULL, 'TIG1_latexin_ovocalyxin-32', NULL, NULL, 11799, 13),
(50503, NULL, 'PIRSF002486', NULL, NULL, NULL, NULL, 'CIP_VAC_C3L', NULL, NULL, 11355, 13),
(50504, NULL, 'PIRSF015952', NULL, NULL, NULL, NULL, 'U3snoRNP11', NULL, NULL, 285, 13),
(50505, NULL, 'PIRSF036685', NULL, NULL, NULL, NULL, 'BacLeuNPeptidase', NULL, NULL, 13472, 13),
(50506, NULL, 'PIRSF004962', NULL, NULL, NULL, NULL, 'UCP004962', NULL, NULL, 9995, 13),
(50507, NULL, 'PIRSF031982', NULL, NULL, NULL, NULL, 'UCP031982_abhydr', NULL, NULL, 18264, 13),
(50508, NULL, 'PIRSF016753', NULL, NULL, NULL, NULL, 'P_lipid/glycerol_ac_tran', NULL, NULL, 20922, 13),
(50509, NULL, 'PIRSF034367', NULL, NULL, NULL, NULL, 'UCP034367', NULL, NULL, 7643, 13),
(50510, NULL, 'PIRSF027093', NULL, NULL, NULL, NULL, 'EndopolyPtase_N1', NULL, NULL, 12819, 13),
(50511, NULL, 'PIRSF015415', NULL, NULL, NULL, NULL, 'COG8', NULL, NULL, 19577, 13),
(50512, NULL, 'PIRSF018586', NULL, NULL, NULL, NULL, 'FADD', NULL, NULL, 21591, 13),
(50513, NULL, 'PIRSF037663', NULL, NULL, NULL, NULL, 'Acetyltransf_GNAT', NULL, NULL, 15891, 13),
(50514, NULL, 'PIRSF006324', NULL, NULL, NULL, NULL, 'LeuE', NULL, NULL, 1368, 13),
(50515, NULL, 'PIRSF031512', NULL, NULL, NULL, NULL, 'EpsL', NULL, NULL, 8251, 13),
(50516, NULL, 'PIRSF017209', NULL, NULL, NULL, NULL, 'Memb_At2g17000', NULL, NULL, 20648, 13),
(50517, NULL, 'PIRSF003961', NULL, NULL, NULL, NULL, 'M_poly_PhleboV', NULL, NULL, 21917, 13),
(50518, NULL, 'PIRSF012337', NULL, NULL, NULL, NULL, 'gp45', NULL, NULL, 9885, 13),
(50519, NULL, 'PIRSF015921', NULL, NULL, NULL, NULL, 'FA_sphingolip_des', NULL, NULL, 7141, 13),
(50520, NULL, 'PIRSF030962', NULL, NULL, NULL, NULL, 'Dehydrase', NULL, NULL, 18426, 13),
(50521, NULL, 'PIRSF004800', NULL, NULL, NULL, NULL, 'Hmw2', NULL, NULL, 21565, 13),
(50522, NULL, 'PIRSF003003', NULL, NULL, NULL, NULL, 'Colicin_imm', NULL, NULL, 1987, 13),
(50523, NULL, 'PIRSF017854', NULL, NULL, NULL, NULL, 'TrbD', NULL, NULL, 20764, 13),
(50524, NULL, 'PIRSF039096', NULL, NULL, NULL, NULL, 'p16-ARC', NULL, NULL, 3098, 13),
(50525, NULL, 'PIRSF000208', NULL, NULL, NULL, NULL, 'P450R', NULL, NULL, 15943, 13),
(50526, NULL, 'PIRSF031143', NULL, NULL, NULL, NULL, 'UCP031143', NULL, NULL, 18463, 13),
(50527, NULL, 'PIRSF000903', NULL, NULL, NULL, NULL, 'B5n-ttraPtase_sm', NULL, NULL, 2300, 13),
(50528, NULL, 'PIRSF036578', NULL, NULL, NULL, NULL, 'RFC1', NULL, NULL, 7304, 13),
(50529, NULL, 'PIRSF000443', NULL, NULL, NULL, NULL, 'Homoser_Ac_trans', NULL, NULL, 554, 13),
(50530, NULL, 'PIRSF000445', NULL, NULL, NULL, NULL, 'GluTR', NULL, NULL, 303, 13),
(50531, NULL, 'PIRSF011444', NULL, NULL, NULL, NULL, 'UCP011444', NULL, NULL, 11547, 13),
(50532, NULL, 'PIRSF004028', NULL, NULL, NULL, NULL, 'GPC_ArenaV', NULL, NULL, 3323, 13),
(50533, NULL, 'PIRSF500204', NULL, NULL, NULL, NULL, 'RBP_purpurin', NULL, NULL, 7088, 13),
(50534, NULL, 'PIRSF001430', NULL, NULL, NULL, NULL, 'PSU-A', NULL, NULL, 7193, 13),
(50535, NULL, 'PIRSF037475', NULL, NULL, NULL, NULL, 'BLOC2_Hps5', NULL, NULL, 19542, 13);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50536, NULL, 'PIRSF000277', NULL, NULL, NULL, NULL, 'COX_VIa', NULL, NULL, 2381, 13),
(50537, NULL, 'PIRSF001418', NULL, NULL, NULL, NULL, 'ACN', NULL, NULL, 14354, 13),
(50538, NULL, 'PIRSF016550', NULL, NULL, NULL, NULL, 'Rab_ger_ger_transf_A_euk', NULL, NULL, 3486, 13),
(50539, NULL, 'PIRSF000098', NULL, NULL, NULL, NULL, 'Homoser_dh', NULL, NULL, 17458, 13),
(50540, NULL, 'PIRSF001594', NULL, NULL, NULL, NULL, 'PCB', NULL, NULL, 54, 13),
(50541, NULL, 'PIRSF037707', NULL, NULL, NULL, NULL, 'TOM20', NULL, NULL, 5009, 13),
(50542, NULL, 'PIRSF037492', NULL, NULL, NULL, NULL, 'UCP037492_HAD', NULL, NULL, 15802, 13),
(50543, NULL, 'PIRSF016580', NULL, NULL, NULL, NULL, 'Acylprotsyn_LuxE', NULL, NULL, 20908, 13),
(50544, NULL, 'PIRSF501176', NULL, NULL, NULL, NULL, 'DNApol_mu', NULL, NULL, 26317, 13),
(50545, NULL, 'PIRSF000822', NULL, NULL, NULL, NULL, 'RdRPol_RDV', NULL, NULL, 12580, 13),
(50546, NULL, 'PIRSF000615', NULL, NULL, NULL, NULL, 'TyrPK_CSF1-R', NULL, NULL, NULL, 13),
(50547, NULL, 'PIRSF002369', NULL, NULL, NULL, NULL, 'Apovitellenin_I', NULL, NULL, 8909, 13),
(50548, NULL, 'PIRSF003182', NULL, NULL, NULL, NULL, 'HK_hybr_ArcB', NULL, NULL, 7529, 13),
(50549, NULL, 'PIRSF016511', NULL, NULL, NULL, NULL, 'Cyclin_Pcl', NULL, NULL, 13449, 13),
(50550, NULL, 'PIRSF036585', NULL, NULL, NULL, NULL, 'EchD', NULL, NULL, 7439, 13),
(50551, NULL, 'PIRSF028744', NULL, NULL, NULL, NULL, 'UCP028744_Gp-49', NULL, NULL, 13678, 13),
(50552, NULL, 'PIRSF000005', NULL, NULL, NULL, NULL, 'Cytochrome_c4', NULL, NULL, 13416, 13),
(50553, NULL, 'PIRSF006276', NULL, NULL, NULL, NULL, 'UspA', NULL, NULL, 1293, 13),
(50554, NULL, 'PIRSF021288', NULL, NULL, NULL, NULL, 'YmfK_ACT', NULL, NULL, 15026, 13),
(50555, NULL, 'PIRSF021171', NULL, NULL, NULL, NULL, 'UCP022271', NULL, NULL, 15253, 13),
(50556, NULL, 'PIRSF027019', NULL, NULL, NULL, NULL, 'Euk_LigT', NULL, NULL, 10999, 13),
(50557, NULL, 'PIRSF001486', NULL, NULL, NULL, NULL, 'CatC', NULL, NULL, 6317, 13),
(50558, NULL, 'PIRSF016154', NULL, NULL, NULL, NULL, 'Nucl_a_bind_PIN_PH0500', NULL, NULL, 19544, 13),
(50559, NULL, 'PIRSF000851', NULL, NULL, NULL, NULL, 'PcS', NULL, NULL, 26438, 13),
(50560, NULL, 'PIRSF016896', NULL, NULL, NULL, NULL, 'GHMP_arc_MJ0969', NULL, NULL, 11884, 13),
(50561, NULL, 'PIRSF015161', NULL, NULL, NULL, NULL, 'TAFI48', NULL, NULL, 19722, 13),
(50562, NULL, 'PIRSF001467', NULL, NULL, NULL, NULL, 'Peptidylpro_ismrse', NULL, NULL, 16192, 13),
(50563, NULL, 'PIRSF029047', NULL, NULL, NULL, NULL, 'KMTS', NULL, NULL, 15713, 13),
(50564, NULL, 'PIRSF037561', NULL, NULL, NULL, NULL, 'Pardaxin', NULL, NULL, 9258, 13),
(50565, NULL, 'PIRSF001043', NULL, NULL, NULL, NULL, 'EG-B', NULL, NULL, 19891, 13),
(50566, NULL, 'PIRSF004866', NULL, NULL, NULL, NULL, 'IMP_cclhdr_arch', NULL, NULL, 4277, 13),
(50567, NULL, 'PIRSF017804', NULL, NULL, NULL, NULL, 'Secretion_EccD1', NULL, NULL, 2322, 13),
(50568, NULL, 'PIRSF019435', NULL, NULL, NULL, NULL, 'UCP019435', NULL, NULL, 12410, 13),
(50569, NULL, 'PIRSF036510', NULL, NULL, NULL, NULL, 'PDH_fung', NULL, NULL, 13900, 13),
(50570, NULL, 'PIRSF000660', NULL, NULL, NULL, NULL, 'STPK_GCN2', NULL, NULL, 17468, 13),
(50571, NULL, 'PIRSF037094', NULL, NULL, NULL, NULL, 'AP1_gamma', NULL, NULL, 20801, 13),
(50572, NULL, 'PIRSF000203', NULL, NULL, NULL, NULL, 'NADP_transhydrogenase_alpha', NULL, NULL, 26132, 13),
(50573, NULL, 'PIRSF012565', NULL, NULL, NULL, NULL, 'UCP012565', NULL, NULL, 14879, 13),
(50574, NULL, 'PIRSF000118', NULL, NULL, NULL, NULL, 'Ilv5_plant', NULL, NULL, 17202, 13),
(50575, NULL, 'PIRSF020979', NULL, NULL, NULL, NULL, 'UCP020979', NULL, NULL, 10554, 13),
(50576, NULL, 'PIRSF005963', NULL, NULL, NULL, NULL, 'Lipoyl_synth', NULL, NULL, 2427, 13),
(50577, NULL, 'PIRSF004546', NULL, NULL, NULL, NULL, 'UCP004546', NULL, NULL, 21933, 13),
(50578, NULL, 'PIRSF028756', NULL, NULL, NULL, NULL, 'PPK2', NULL, NULL, 17014, 13),
(50579, NULL, 'PIRSF022080', NULL, NULL, NULL, NULL, 'UCP022080', NULL, NULL, 15466, 13),
(50580, NULL, 'PIRSF036429', NULL, NULL, NULL, NULL, 'P5C_synthetase', NULL, NULL, 4950, 13);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50581, NULL, 'PIRSF000744', NULL, NULL, NULL, NULL, 'RPO22', NULL, NULL, 4077, 13),
(50582, NULL, 'PIRSF006230', NULL, NULL, NULL, NULL, 'MG442', NULL, NULL, 15744, 13),
(50583, NULL, 'PIRSF037851', NULL, NULL, NULL, NULL, 'Subtilisin_cyano', NULL, NULL, 16791, 13),
(50584, NULL, 'PIRSF028141', NULL, NULL, NULL, NULL, 'C-di-GMP_BP_PA4608', NULL, NULL, 28796, 13),
(50585, NULL, 'PIRSF011716', NULL, NULL, NULL, NULL, 'Endoprotease_Ssy5', NULL, NULL, 12268, 13),
(50586, NULL, 'PIRSF013022', NULL, NULL, NULL, NULL, 'UCP013022', NULL, NULL, 19806, 13),
(50587, NULL, 'PIRSF036536', NULL, NULL, NULL, NULL, 'EhaH', NULL, NULL, 19892, 13),
(50588, NULL, 'PIRSF004853', NULL, NULL, NULL, NULL, 'UCP004853', NULL, NULL, 5596, 13),
(50589, NULL, 'PIRSF033091', NULL, NULL, NULL, NULL, 'Pesterase_YhaO', NULL, NULL, 8143, 13),
(50590, NULL, 'PIRSF026673', NULL, NULL, NULL, NULL, 'UCP026673_ion_chan', NULL, NULL, 16284, 13),
(50591, NULL, 'PIRSF037948', NULL, NULL, NULL, NULL, 'ZMYND10', NULL, NULL, 17043, 13),
(50592, NULL, 'PIRSF010636', NULL, NULL, NULL, NULL, 'ANTAR_solo', NULL, NULL, 14212, 13),
(50593, NULL, 'PIRSF005522', NULL, NULL, NULL, NULL, 'UCP005522', NULL, NULL, 15885, 13),
(50594, NULL, 'PIRSF038093', NULL, NULL, NULL, NULL, 'ARPC1', NULL, NULL, 18268, 13),
(50595, NULL, 'PIRSF020479', NULL, NULL, NULL, NULL, 'UCP020479_CheW', NULL, NULL, 11850, 13),
(50596, NULL, 'PIRSF034452', NULL, NULL, NULL, NULL, 'TIM-br_sig_trnsd', NULL, NULL, 10911, 13),
(50597, NULL, 'PIRSF037014', NULL, NULL, NULL, NULL, 'SNF1LK_vert', NULL, NULL, 19794, 13),
(50598, NULL, 'PIRSF008711', NULL, NULL, NULL, NULL, 'UCP008711', NULL, NULL, 13988, 13),
(50599, NULL, 'PIRSF015694', NULL, NULL, NULL, NULL, 'VAC_F15L', NULL, NULL, 670, 13),
(50600, NULL, 'PIRSF039085', NULL, NULL, NULL, NULL, 'ABC_ATPase_HisP', NULL, NULL, 27165, 13),
(50601, NULL, 'PIRSF017565', NULL, NULL, NULL, NULL, 'Kin_ATP-NAD_euk', NULL, NULL, 12511, 13),
(50602, NULL, 'PIRSF004078', NULL, NULL, NULL, NULL, 'Coat_ilarvirus', NULL, NULL, 21819, 13),
(50603, NULL, 'PIRSF019404', NULL, NULL, NULL, NULL, 'FliJ', NULL, NULL, 13271, 13),
(50604, NULL, 'PIRSF000556', NULL, NULL, NULL, NULL, 'MAPKKK9_MAPKKK10_MAPKKK11', NULL, NULL, 17285, 13),
(50605, NULL, 'PIRSF001013', NULL, NULL, NULL, NULL, 'RNAse_Ba', NULL, NULL, 4147, 13),
(50606, NULL, 'PIRSF009120', NULL, NULL, NULL, NULL, 'UCP009120_prtse', NULL, NULL, 16010, 13),
(50607, NULL, 'PIRSF006630', NULL, NULL, NULL, NULL, 'NADS_GAT', NULL, NULL, 9791, 13),
(50608, NULL, 'PIRSF011570', NULL, NULL, NULL, NULL, 'SpoVAD', NULL, NULL, 12078, 13),
(50609, NULL, 'PIRSF030042', NULL, NULL, NULL, NULL, 'UCP030042', NULL, NULL, 18115, 13),
(50610, NULL, 'PIRSF039003', NULL, NULL, NULL, NULL, 'IscX', NULL, NULL, 10200, 13),
(50611, NULL, 'PIRSF036956', NULL, NULL, NULL, NULL, 'Hrs_Vps27', NULL, NULL, 19698, 13),
(50612, NULL, 'PIRSF028035', NULL, NULL, NULL, NULL, 'UCP028035', NULL, NULL, 16398, 13),
(50613, NULL, 'PIRSF018296', NULL, NULL, NULL, NULL, 'Format_dh_formtn_FdhE', NULL, NULL, 6955, 13),
(50614, NULL, 'PIRSF005897', NULL, NULL, NULL, NULL, 'RR_PatA', NULL, NULL, 14093, 13),
(50615, NULL, 'PIRSF013212', NULL, NULL, NULL, NULL, 'PRDM1_SET', NULL, NULL, 19501, 13),
(50616, NULL, 'PIRSF038896', NULL, NULL, NULL, NULL, 'NAPE-PLD', NULL, NULL, 29047, 13),
(50617, NULL, 'PIRSF028973', NULL, NULL, NULL, NULL, 'DcpS', NULL, NULL, 14392, 13),
(50618, NULL, 'PIRSF005700', NULL, NULL, NULL, NULL, 'PepC', NULL, NULL, 2945, 13),
(50619, NULL, 'PIRSF002026', NULL, NULL, NULL, NULL, 'Nematode_globin', NULL, NULL, 12663, 13),
(50620, NULL, 'PIRSF029950', NULL, NULL, NULL, NULL, 'UCP029950', NULL, NULL, 10749, 13),
(50621, NULL, 'PIRSF022536', NULL, NULL, NULL, NULL, 'A612L_SET', NULL, NULL, 10783, 13),
(50622, NULL, 'PIRSF029727', NULL, NULL, NULL, NULL, 'UCP029727', NULL, NULL, 18446, 13),
(50623, NULL, 'PIRSF003960', NULL, NULL, NULL, NULL, 'M_poly_TospoV', NULL, NULL, 7534, 13),
(50624, NULL, 'PIRSF036641', NULL, NULL, NULL, NULL, 'IMPase_NAD_kin', NULL, NULL, 19856, 13),
(50625, NULL, 'PIRSF038172', NULL, NULL, NULL, NULL, 'MAPKKKK', NULL, NULL, 1551, 13);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50626, NULL, 'PIRSF036437', NULL, NULL, NULL, NULL, 'HK_TorS', NULL, NULL, 9941, 13),
(50627, NULL, 'PIRSF038171', NULL, NULL, NULL, NULL, 'MAPKKK8', NULL, NULL, 18830, 13),
(50628, NULL, 'PIRSF038886', NULL, NULL, NULL, NULL, 'Pellino', NULL, NULL, 3685, 13),
(50629, NULL, 'PIRSF036442', NULL, NULL, NULL, NULL, 'NAGS_animal', NULL, NULL, 11058, 13),
(50630, NULL, 'PIRSF001703', NULL, NULL, NULL, NULL, 'GABP_alpha', NULL, NULL, 19992, 13),
(50631, NULL, 'PIRSF005727', NULL, NULL, NULL, NULL, 'Beta-COP', NULL, NULL, 15639, 13),
(50632, NULL, 'PIRSF007004', NULL, NULL, NULL, NULL, 'UCP007004', NULL, NULL, 16375, 13),
(50633, NULL, 'PIRSF006603', NULL, NULL, NULL, NULL, 'DinF', NULL, NULL, 834, 13),
(50634, NULL, 'PIRSF038001', NULL, NULL, NULL, NULL, 'Caspase_ICE', NULL, NULL, NULL, 13),
(50635, NULL, 'PIRSF032817', NULL, NULL, NULL, NULL, 'UCP032817', NULL, NULL, 19472, 13),
(50636, NULL, 'PIRSF017246', NULL, NULL, NULL, NULL, 'TFIID_TAF10', NULL, NULL, 6240, 13),
(50637, NULL, 'PIRSF037992', NULL, NULL, NULL, NULL, 'HnRNP_C_Raly', NULL, NULL, 17955, 13),
(50638, NULL, 'PIRSF017835', NULL, NULL, NULL, NULL, 'ATP-synth_g_mitoch_animal', NULL, NULL, 20726, 13),
(50639, NULL, 'PIRSF000894', NULL, NULL, NULL, NULL, 'Acid_Ptase', NULL, NULL, 19936, 13),
(50640, NULL, 'PIRSF016502', NULL, NULL, NULL, NULL, 'Urea_transporter', NULL, NULL, 1846, 13),
(50641, NULL, 'PIRSF003376', NULL, NULL, NULL, NULL, 'VP1_PMV', NULL, NULL, 6784, 13),
(50642, NULL, 'PIRSF004323', NULL, NULL, NULL, NULL, 'Xis-Tn', NULL, NULL, 9605, 13),
(50643, NULL, 'PIRSF027158', NULL, NULL, NULL, NULL, 'Lys_MTase_YDR198C', NULL, NULL, 16480, 13),
(50644, NULL, 'PIRSF033303', NULL, NULL, NULL, NULL, 'UCP033303', NULL, NULL, 8250, 13),
(50645, NULL, 'PIRSF017529', NULL, NULL, NULL, NULL, 'Aquaporin-11_12', NULL, NULL, 20822, 13),
(50646, NULL, 'PIRSF002549', NULL, NULL, NULL, NULL, 'Transferrin', NULL, NULL, 20900, 13),
(50647, NULL, 'PIRSF002496', NULL, NULL, NULL, NULL, 'Chordin', NULL, NULL, 20715, 13),
(50648, NULL, 'PIRSF036558', NULL, NULL, NULL, NULL, 'Ntrrd_NNDBI_PRT', NULL, NULL, 7027, 13),
(50649, NULL, 'PIRSF038025', NULL, NULL, NULL, NULL, 'PTEN', NULL, NULL, 17708, 13),
(50650, NULL, 'PIRSF000355', NULL, NULL, NULL, NULL, 'NrdB', NULL, NULL, 348, 13),
(50651, NULL, 'PIRSF028732', NULL, NULL, NULL, NULL, 'Alba', NULL, NULL, 9820, 13),
(50652, NULL, 'PIRSF018649', NULL, NULL, NULL, NULL, 'UCP018649', NULL, NULL, 21863, 13),
(50653, NULL, 'PIRSF000450', NULL, NULL, NULL, NULL, 'HTS', NULL, NULL, 32568, 13),
(50654, NULL, 'PIRSF037332', NULL, NULL, NULL, NULL, 'FucT_metazoa', NULL, NULL, 21589, 13),
(50655, NULL, 'PIRSF016553', NULL, NULL, NULL, NULL, 'BIGH3_OSF2', NULL, NULL, 20947, 13),
(50656, NULL, 'PIRSF000747', NULL, NULL, NULL, NULL, 'RPB5', NULL, NULL, 12714, 13),
(50657, NULL, 'PIRSF021980', NULL, NULL, NULL, NULL, 'UCP021980_RNA-bind', NULL, NULL, 15076, 13),
(50658, NULL, 'PIRSF037880', NULL, NULL, NULL, NULL, 'Parkin', NULL, NULL, 7453, 13),
(50659, NULL, 'PIRSF038071', NULL, NULL, NULL, NULL, 'GFR-alpha', NULL, NULL, 17815, 13),
(50660, NULL, 'PIRSF020893', NULL, NULL, NULL, NULL, 'UCP020893', NULL, NULL, 15137, 13),
(50661, NULL, 'PIRSF000310', NULL, NULL, NULL, NULL, 'Upt_hd_small', NULL, NULL, 4486, 13),
(50662, NULL, 'PIRSF019251', NULL, NULL, NULL, NULL, 'Rv0465c', NULL, NULL, 23559, 13),
(50663, NULL, 'PIRSF037213', NULL, NULL, NULL, NULL, 'UCP037213', NULL, NULL, 20971, 13),
(50664, NULL, 'PIRSF037980', NULL, NULL, NULL, NULL, 'Sarcos_oxid_alpha', NULL, NULL, 3557, 13),
(50665, NULL, 'PIRSF018005', NULL, NULL, NULL, NULL, 'UCP018005', NULL, NULL, 19301, 13),
(50666, NULL, 'PIRSF000190', NULL, NULL, NULL, NULL, 'Pyd_amn-ph_oxd', NULL, NULL, 5819, 13),
(50667, NULL, 'PIRSF029548', NULL, NULL, NULL, NULL, 'UCP029548', NULL, NULL, 12496, 13),
(50668, NULL, 'PIRSF009292', NULL, NULL, NULL, NULL, 'BLIP', NULL, NULL, 7861, 13),
(50669, NULL, 'PIRSF011124', NULL, NULL, NULL, NULL, 'MRP63', NULL, NULL, 18480, 13),
(50670, NULL, 'PIRSF020357', NULL, NULL, NULL, NULL, 'UCP020357', NULL, NULL, 8004, 13),
(50671, NULL, 'PIRSF006600', NULL, NULL, NULL, NULL, 'UCP006600', NULL, NULL, 11416, 13);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50672, NULL, 'PIRSF000193', NULL, NULL, NULL, NULL, 'P5CR', NULL, NULL, 546, 13),
(50673, NULL, 'PIRSF033634', NULL, NULL, NULL, NULL, 'UCP033634', NULL, NULL, 19432, 13),
(50674, NULL, 'PIRSF006677', NULL, NULL, NULL, NULL, 'AtPEPC', NULL, NULL, 1658, 13),
(50675, NULL, 'PIRSF021603', NULL, NULL, NULL, NULL, 'UCP21603_Ac_t', NULL, NULL, 15190, 13),
(50676, NULL, 'PIRSF029037', NULL, NULL, NULL, NULL, 'UCP029037_Zn_ribbon', NULL, NULL, 17169, 13),
(50677, NULL, 'PIRSF036535', NULL, NULL, NULL, NULL, 'EhaE', NULL, NULL, 10606, 13),
(50678, NULL, 'PIRSF006607', NULL, NULL, NULL, NULL, 'RNAmts_UCP006607', NULL, NULL, 15521, 13),
(50679, NULL, 'PIRSF000102', NULL, NULL, NULL, NULL, 'Lac_mal_DH', NULL, NULL, 5934, 13),
(50680, NULL, 'PIRSF017184', NULL, NULL, NULL, NULL, 'Nnr', NULL, NULL, 28152, 13),
(50681, NULL, 'PIRSF009360', NULL, NULL, NULL, NULL, 'UCP009360', NULL, NULL, 13269, 13),
(50682, NULL, 'PIRSF000008', NULL, NULL, NULL, NULL, 'Cytochrome_c551i', NULL, NULL, 9633, 13),
(50683, NULL, 'PIRSF006591', NULL, NULL, NULL, NULL, 'UCP_CBS_MJ1004', NULL, NULL, 15817, 13),
(50684, NULL, 'PIRSF035609', NULL, NULL, NULL, NULL, 'UCP035609_HNH_endo', NULL, NULL, 19268, 13),
(50685, NULL, 'PIRSF037677', NULL, NULL, NULL, NULL, 'Msh6', NULL, NULL, 16441, 13),
(50686, NULL, 'PIRSF004491', NULL, NULL, NULL, NULL, 'RibF_RibC', NULL, NULL, 1832, 13),
(50687, NULL, 'PIRSF034217', NULL, NULL, NULL, NULL, 'UCP_Mll2898', NULL, NULL, 19461, 13),
(50688, NULL, 'PIRSF015852', NULL, NULL, NULL, NULL, 'RRNA_mtase_Grm', NULL, NULL, 10511, 13),
(50689, NULL, 'PIRSF032899', NULL, NULL, NULL, NULL, 'UCP032899', NULL, NULL, 19041, 13),
(50690, NULL, 'PIRSF038800', NULL, NULL, NULL, NULL, 'KYNU', NULL, NULL, 2145, 13),
(50691, NULL, 'PIRSF036525', NULL, NULL, NULL, NULL, 'CobF', NULL, NULL, 11764, 13),
(50692, NULL, 'PIRSF029598', NULL, NULL, NULL, NULL, 'PsiE', NULL, NULL, 14669, 13),
(50693, NULL, 'PIRSF030823', NULL, NULL, NULL, NULL, 'UCP030823_PK_HhH', NULL, NULL, 18479, 13),
(50694, NULL, 'PIRSF003958', NULL, NULL, NULL, NULL, 'NS-S_TospoV', NULL, NULL, 1853, 13),
(50695, NULL, 'PIRSF011355', NULL, NULL, NULL, NULL, 'VP24', NULL, NULL, 8039, 13),
(50696, NULL, 'PIRSF017250', NULL, NULL, NULL, NULL, 'tRNA_endo_SEN34', NULL, NULL, 20883, 13),
(50697, NULL, 'PIRSF020467', NULL, NULL, NULL, NULL, 'RE_Tsp45I', NULL, NULL, 10135, 13),
(50698, NULL, 'PIRSF029938', NULL, NULL, NULL, NULL, 'UCP029938', NULL, NULL, 10686, 13),
(50699, NULL, 'PIRSF037093', NULL, NULL, NULL, NULL, 'Gamma-COP', NULL, NULL, 20839, 13),
(50700, NULL, 'PIRSF036668', NULL, NULL, NULL, NULL, 'ATPase_UCP036668', NULL, NULL, 14374, 13),
(50701, NULL, 'PIRSF015868', NULL, NULL, NULL, NULL, 'HP0120', NULL, NULL, 14088, 13),
(50702, NULL, 'PIRSF005590', NULL, NULL, NULL, NULL, 'RPL10a_RPL10e', NULL, NULL, 1488, 13),
(50703, NULL, 'PIRSF013171', NULL, NULL, NULL, NULL, 'Pur_nuclsid_perm', NULL, NULL, 9223, 13),
(50704, NULL, 'PIRSF036960', NULL, NULL, NULL, NULL, 'Neuropilin', NULL, NULL, 8703, 13),
(50705, NULL, 'PIRSF000977', NULL, NULL, NULL, NULL, 'Exodeoxyribonuclease_I', NULL, NULL, 16816, 13),
(50706, NULL, 'PIRSF020738', NULL, NULL, NULL, NULL, 'InvJ', NULL, NULL, 6105, 13),
(50707, NULL, 'PIRSF005586', NULL, NULL, NULL, NULL, 'RNApol_RpoM', NULL, NULL, 7485, 13),
(50708, NULL, 'PIRSF006421', NULL, NULL, NULL, NULL, 'UCP006421', NULL, NULL, 951, 13),
(50709, NULL, 'PIRSF022995', NULL, NULL, NULL, NULL, 'ROP2', NULL, NULL, 15102, 13),
(50710, NULL, 'PIRSF000711', NULL, NULL, NULL, NULL, 'PFK27', NULL, NULL, 12742, 13),
(50711, NULL, 'PIRSF004966', NULL, NULL, NULL, NULL, 'Aconts_X_swiv', NULL, NULL, 11344, 13),
(50712, NULL, 'PIRSF029122', NULL, NULL, NULL, NULL, 'UCP029122', NULL, NULL, 8144, 13),
(50713, NULL, 'PIRSF032840', NULL, NULL, NULL, NULL, 'UCP032840', NULL, NULL, 19246, 13),
(50714, NULL, 'PIRSF015689', NULL, NULL, NULL, NULL, 'Actaldh_dh_actylatng', NULL, NULL, 4027, 13),
(50715, NULL, 'PIRSF003271', NULL, NULL, NULL, NULL, 'TrbF', NULL, NULL, 21634, 13),
(50716, NULL, 'PIRSF022057', NULL, NULL, NULL, NULL, 'UCP022057', NULL, NULL, 11943, 13);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50717, NULL, 'PIRSF033725', NULL, NULL, NULL, NULL, 'UCP033725', NULL, NULL, 19044, 13),
(50718, NULL, 'PIRSF000532', NULL, NULL, NULL, NULL, 'ATP_PFK_prok', NULL, NULL, 10572, 13),
(50719, NULL, 'PIRSF036458', NULL, NULL, NULL, NULL, 'Butyrate_kin', NULL, NULL, 11336, 13),
(50720, NULL, 'PIRSF033729', NULL, NULL, NULL, NULL, 'UCP033729', NULL, NULL, 8469, 13),
(50721, NULL, 'PIRSF000361', NULL, NULL, NULL, NULL, 'Frd-NADP+_RD', NULL, NULL, 11835, 13),
(50722, NULL, 'PIRSF001554', NULL, NULL, NULL, NULL, 'SucCS_beta', NULL, NULL, 5812, 13),
(50723, NULL, 'PIRSF022613', NULL, NULL, NULL, NULL, 'MBA1', NULL, NULL, 11979, 13),
(50724, NULL, 'PIRSF001143', NULL, NULL, NULL, NULL, 'Coagul_factor_X', NULL, NULL, 14333, 13),
(50725, NULL, 'PIRSF022280', NULL, NULL, NULL, NULL, 'UCP022280', NULL, NULL, 15185, 13),
(50726, NULL, 'PIRSF000732', NULL, NULL, NULL, NULL, 'PTS_enzyme_I', NULL, NULL, 10231, 13),
(50727, NULL, 'PIRSF017107', NULL, NULL, NULL, NULL, 'MAAL', NULL, NULL, 5729, 13),
(50728, NULL, 'PIRSF017632', NULL, NULL, NULL, NULL, 'Ceramidase', NULL, NULL, 20505, 13),
(50729, NULL, 'PIRSF000047', NULL, NULL, NULL, NULL, 'Cytochrome_CYPVIIA1', NULL, NULL, 14245, 13),
(50730, NULL, 'PIRSF038959', NULL, NULL, NULL, NULL, 'SdpI', NULL, NULL, 26487, 13),
(50731, NULL, 'PIRSF500231', NULL, NULL, NULL, NULL, 'Oat_dag', NULL, NULL, 26189, 13),
(50732, NULL, 'PIRSF017479', NULL, NULL, NULL, NULL, 'TRAPP_1_Trs31', NULL, NULL, 20899, 13),
(50733, NULL, 'PIRSF037638', NULL, NULL, NULL, NULL, 'B144_protein', NULL, NULL, 1440, 13),
(50734, NULL, 'PIRSF016636', NULL, NULL, NULL, NULL, 'AlgI_DltB', NULL, NULL, 14237, 13),
(50735, NULL, 'PIRSF036618', NULL, NULL, NULL, NULL, 'MobB_MoeA', NULL, NULL, 13069, 13),
(50736, NULL, 'PIRSF006060', NULL, NULL, NULL, NULL, 'AA_transporter', NULL, NULL, NULL, 13),
(50737, NULL, 'PIRSF029288', NULL, NULL, NULL, NULL, 'SciE_ImpE', NULL, NULL, 10822, 13),
(50738, NULL, 'PIRSF028538', NULL, NULL, NULL, NULL, 'UCP028538', NULL, NULL, 14497, 13),
(50739, NULL, 'PIRSF006078', NULL, NULL, NULL, NULL, 'GlxK', NULL, NULL, 5845, 13),
(50740, NULL, 'PIRSF001426', NULL, NULL, NULL, NULL, 'NHase_alpha', NULL, NULL, 18186, 13),
(50741, NULL, 'PIRSF015695', NULL, NULL, NULL, NULL, 'STPK_F10L', NULL, NULL, 14134, 13),
(50742, NULL, 'PIRSF005894', NULL, NULL, NULL, NULL, 'Monothiol_GRX', NULL, NULL, 7891, 13),
(50743, NULL, 'PIRSF002520', NULL, NULL, NULL, NULL, 'ALB', NULL, NULL, 19517, 13),
(50744, NULL, 'PIRSF006287', NULL, NULL, NULL, NULL, 'UCP006287', NULL, NULL, 971, 13),
(50745, NULL, 'PIRSF000068', NULL, NULL, NULL, NULL, 'Zn_Fdx_Sulfol', NULL, NULL, 9997, 13),
(50746, NULL, 'PIRSF002455', NULL, NULL, NULL, NULL, 'ATP_synth_F6', NULL, NULL, 7971, 13),
(50747, NULL, 'PIRSF011368', NULL, NULL, NULL, NULL, 'LPP20', NULL, NULL, 384, 13),
(50748, NULL, 'PIRSF000799', NULL, NULL, NULL, NULL, 'DNA_pol_epsilon_2', NULL, NULL, 19842, 13),
(50749, NULL, 'PIRSF029254', NULL, NULL, NULL, NULL, 'MutS_C_archaeal', NULL, NULL, 13821, 13),
(50750, NULL, 'PIRSF018747', NULL, NULL, NULL, NULL, 'UCP018747', NULL, NULL, 21889, 13),
(50751, NULL, 'PIRSF038455', NULL, NULL, NULL, NULL, 'SoxA', NULL, NULL, 28418, 13),
(50752, NULL, 'PIRSF005215', NULL, NULL, NULL, NULL, 'TehB', NULL, NULL, 7834, 13),
(50753, NULL, 'PIRSF036599', NULL, NULL, NULL, NULL, 'AtpPhos', NULL, NULL, 7244, 13),
(50754, NULL, 'PIRSF037987', NULL, NULL, NULL, NULL, 'UCP037987', NULL, NULL, 17146, 13),
(50755, NULL, 'PIRSF038095', NULL, NULL, NULL, NULL, 'NDUA1', NULL, NULL, 18256, 13),
(50756, NULL, 'PIRSF012443', NULL, NULL, NULL, NULL, 'UCP012443', NULL, NULL, 19380, 13),
(50757, NULL, 'PIRSF000521', NULL, NULL, NULL, NULL, 'Transaminase_4ab_Lys_Orn', NULL, NULL, 5557, 13),
(50758, NULL, 'PIRSF016394', NULL, NULL, NULL, NULL, 'Lsm2', NULL, NULL, 19773, 13),
(50759, NULL, 'PIRSF038134', NULL, NULL, NULL, NULL, 'Toc33/toc34', NULL, NULL, 3911, 13),
(50760, NULL, 'PIRSF020513', NULL, NULL, NULL, NULL, '6alphaFUT_NodZ', NULL, NULL, 13114, 13),
(50761, NULL, 'PIRSF002291', NULL, NULL, NULL, NULL, 'Beta_adaptin', NULL, NULL, 20753, 13);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50762, NULL, 'PIRSF004485', NULL, NULL, NULL, NULL, 'T7_18-5', NULL, NULL, 21833, 13),
(50763, NULL, 'PIRSF037656', NULL, NULL, NULL, NULL, 'UCP037656_ESAT_EsxN', NULL, NULL, 8350, 13),
(50764, NULL, 'PIRSF037895', NULL, NULL, NULL, NULL, 'Subtilisin_rel_Sama_2696', NULL, NULL, 16813, 13),
(50765, NULL, 'PIRSF027133', NULL, NULL, NULL, NULL, 'Rrn11', NULL, NULL, 16144, 13),
(50766, NULL, 'PIRSF016533', NULL, NULL, NULL, NULL, 'Sp17', NULL, NULL, 13467, 13),
(50767, NULL, 'PIRSF026567', NULL, NULL, NULL, NULL, 'Adenine_mtase_bact', NULL, NULL, 16380, 13),
(50768, NULL, 'PIRSF005520', NULL, NULL, NULL, NULL, 'UCP005520', NULL, NULL, 748, 13),
(50769, NULL, 'PIRSF000550', NULL, NULL, NULL, NULL, 'PKC_alpha', NULL, NULL, 12882, 13),
(50770, NULL, 'PIRSF000383', NULL, NULL, NULL, NULL, 'PEAMT', NULL, NULL, 17150, 13),
(50771, NULL, 'PIRSF001956', NULL, NULL, NULL, NULL, 'IL3R_beta_c', NULL, NULL, 14949, 13),
(50772, NULL, 'PIRSF019364', NULL, NULL, NULL, NULL, 'RapGH', NULL, NULL, 21643, 13),
(50773, NULL, 'PIRSF031653', NULL, NULL, NULL, NULL, 'UCP031653', NULL, NULL, 18353, 13),
(50774, NULL, 'PIRSF020945', NULL, NULL, NULL, NULL, 'GGP', NULL, NULL, 10024, 13),
(50775, NULL, 'PIRSF036298', NULL, NULL, NULL, NULL, 'FDH_4Fe4S', NULL, NULL, 8254, 13),
(50776, NULL, 'PIRSF004884', NULL, NULL, NULL, NULL, 'Sugar_kin_arch', NULL, NULL, 7333, 13),
(50777, NULL, 'PIRSF019072', NULL, NULL, NULL, NULL, 'UCP019072', NULL, NULL, 21623, 13),
(50778, NULL, 'PIRSF035905', NULL, NULL, NULL, NULL, 'UCP035905_mp', NULL, NULL, 8057, 13),
(50779, NULL, 'PIRSF038861', NULL, NULL, NULL, NULL, 'UCP038861', NULL, NULL, 10262, 13),
(50780, NULL, 'PIRSF001222', NULL, NULL, NULL, NULL, 'Urease', NULL, NULL, 959, 13),
(50781, NULL, 'PIRSF000446', NULL, NULL, NULL, NULL, 'Mct', NULL, NULL, 21825, 13),
(50782, NULL, 'PIRSF000995', NULL, NULL, NULL, NULL, 'RE_EcoRV', NULL, NULL, 21392, 13),
(50783, NULL, 'PIRSF004960', NULL, NULL, NULL, NULL, 'MtrH_MtxH', NULL, NULL, 16246, 13),
(50784, NULL, 'PIRSF005632', NULL, NULL, NULL, NULL, 'Met_synth_catalytic', NULL, NULL, 15653, 13),
(50785, NULL, 'PIRSF015665', NULL, NULL, NULL, NULL, 'CHOPT', NULL, NULL, 9742, 13),
(50786, NULL, 'PIRSF037850', NULL, NULL, NULL, NULL, 'Subtilase_Euglen', NULL, NULL, 16517, 13),
(50787, NULL, 'PIRSF031773', NULL, NULL, NULL, NULL, 'ABC_31773', NULL, NULL, 6941, 13),
(50788, NULL, 'PIRSF000476', NULL, NULL, NULL, NULL, 'EGT', NULL, NULL, 17366, 13),
(50789, NULL, 'PIRSF005651', NULL, NULL, NULL, NULL, 'HflC', NULL, NULL, 4314, 13),
(50790, NULL, 'PIRSF009158', NULL, NULL, NULL, NULL, 'UCP009158', NULL, NULL, 18187, 13),
(50791, NULL, 'PIRSF000243', NULL, NULL, NULL, NULL, 'NrfA', NULL, NULL, 4421, 13),
(50792, NULL, 'PIRSF011544', NULL, NULL, NULL, NULL, 'NuiA', NULL, NULL, 12858, 13),
(50793, NULL, 'PIRSF018472', NULL, NULL, NULL, NULL, 'MreD_proteobac', NULL, NULL, 24371, 13),
(50794, NULL, 'PIRSF009445', NULL, NULL, NULL, NULL, 'Cyc_PG_syn', NULL, NULL, 18125, 13),
(50795, NULL, 'PIRSF013286', NULL, NULL, NULL, NULL, 'MED6_fungi', NULL, NULL, 19692, 13),
(50796, NULL, 'PIRSF036881', NULL, NULL, NULL, NULL, 'PAT', NULL, NULL, 4818, 13),
(50797, NULL, 'PIRSF003338', NULL, NULL, NULL, NULL, 'MAT1', NULL, NULL, 825, 13),
(50798, NULL, 'PIRSF032162', NULL, NULL, NULL, NULL, 'UCP032162_imp', NULL, NULL, 19096, 13),
(50799, NULL, 'PIRSF029764', NULL, NULL, NULL, NULL, 'RSM25', NULL, NULL, 18229, 13),
(50800, NULL, 'PIRSF036498', NULL, NULL, NULL, NULL, 'Kaurene_synth_fungi', NULL, NULL, 19560, 13),
(50801, NULL, 'PIRSF037109', NULL, NULL, NULL, NULL, 'Hox9', NULL, NULL, 20987, 13),
(50802, NULL, 'PIRSF002854', NULL, NULL, NULL, NULL, 'MetQ', NULL, NULL, 7138, 13),
(50803, NULL, 'PIRSF007312', NULL, NULL, NULL, NULL, 'Inner_mem_YidI', NULL, NULL, 16436, 13),
(50804, NULL, 'PIRSF000009', NULL, NULL, NULL, NULL, 'Cytochrome_c551', NULL, NULL, 20153, 13),
(50805, NULL, 'PIRSF036951', NULL, NULL, NULL, NULL, 'Mas1', NULL, NULL, 10341, 13),
(50806, NULL, 'PIRSF001225', NULL, NULL, NULL, NULL, 'Urease_gammabeta', NULL, NULL, 501, 13),
(50807, NULL, 'PIRSF016725', NULL, NULL, NULL, NULL, 'UCP016725', NULL, NULL, 6260, 13);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50808, NULL, 'PIRSF003377', NULL, NULL, NULL, NULL, 'VP2_VP3_PPV', NULL, NULL, 1220, 13),
(50809, NULL, 'PIRSF004499', NULL, NULL, NULL, NULL, 'Transl_init_SUI1_Euk', NULL, NULL, 6802, 13),
(50810, NULL, 'PIRSF031601', NULL, NULL, NULL, NULL, 'UCP031601', NULL, NULL, 18045, 13),
(50811, NULL, 'PIRSF000124', NULL, NULL, NULL, NULL, 'UDPglc_GDPman_dh', NULL, NULL, 21329, 13),
(50812, NULL, 'PIRSF023869', NULL, NULL, NULL, NULL, 'MED6_meta/plant', NULL, NULL, 15489, 13),
(50813, NULL, 'PIRSF003945', NULL, NULL, NULL, NULL, 'M_poly_HantaV', NULL, NULL, 21877, 13),
(50814, NULL, 'PIRSF016557', NULL, NULL, NULL, NULL, 'CpsB', NULL, NULL, 20851, 13),
(50815, NULL, 'PIRSF035652', NULL, NULL, NULL, NULL, 'UCP035652', NULL, NULL, 10615, 13),
(50816, NULL, 'PIRSF017998', NULL, NULL, NULL, NULL, 'UCP017998', NULL, NULL, 8995, 13),
(50817, NULL, 'PIRSF017434', NULL, NULL, NULL, NULL, 'NT5C2', NULL, NULL, 20664, 13),
(50818, NULL, 'PIRSF001555', NULL, NULL, NULL, NULL, 'Asp_ammon_ligase', NULL, NULL, 2210, 13),
(50819, NULL, 'PIRSF020728', NULL, NULL, NULL, NULL, 'Fimbrin_SefA', NULL, NULL, 10611, 13),
(50820, NULL, 'PIRSF000647', NULL, NULL, NULL, NULL, 'STPK_SpkB', NULL, NULL, 17158, 13),
(50821, NULL, 'PIRSF004976', NULL, NULL, NULL, NULL, 'ATPase_YdaO', NULL, NULL, 8695, 13),
(50822, NULL, 'PIRSF030802', NULL, NULL, NULL, NULL, 'UCP030802', NULL, NULL, 14372, 13),
(50823, NULL, 'PIRSF004959', NULL, NULL, NULL, NULL, 'UCP004959', NULL, NULL, 19293, 13),
(50824, NULL, 'PIRSF039123', NULL, NULL, NULL, NULL, 'Diphthamide_synthase', NULL, NULL, 26293, 13),
(50825, NULL, 'PIRSF036484', NULL, NULL, NULL, NULL, 'PPi-PFK_SMc01852', NULL, NULL, 7972, 13),
(50826, NULL, 'PIRSF002869', NULL, NULL, NULL, NULL, 'MviN', NULL, NULL, 3530, 13),
(50827, NULL, 'PIRSF016439', NULL, NULL, NULL, NULL, 'UP2', NULL, NULL, 8320, 13),
(50828, NULL, 'PIRSF004869', NULL, NULL, NULL, NULL, 'PflX', NULL, NULL, 21775, 13),
(50829, NULL, 'PIRSF033096', NULL, NULL, NULL, NULL, 'PPPtase_5', NULL, NULL, NULL, 13),
(50830, NULL, 'PIRSF007138', NULL, NULL, NULL, NULL, 'FIG1', NULL, NULL, 16287, 13),
(50831, NULL, 'PIRSF036456', NULL, NULL, NULL, NULL, 'ASAL_AGS', NULL, NULL, 11149, 13),
(50832, NULL, 'PIRSF037490', NULL, NULL, NULL, NULL, 'UCP037490_NIF3', NULL, NULL, 15553, 13),
(50833, NULL, 'PIRSF037907', NULL, NULL, NULL, NULL, 'Subtilisin_rel_TK1689', NULL, NULL, 16634, 13),
(50834, NULL, 'PIRSF011794', NULL, NULL, NULL, NULL, 'Rhamnogalacturonase_B', NULL, NULL, 18496, 13),
(50835, NULL, 'PIRSF018660', NULL, NULL, NULL, NULL, 'Archl_flaC', NULL, NULL, 10716, 13),
(50836, NULL, 'PIRSF029594', NULL, NULL, NULL, NULL, 'UCP029594', NULL, NULL, 17300, 13),
(50837, NULL, 'PIRSF015697', NULL, NULL, NULL, NULL, 'UCP015697', NULL, NULL, 19886, 13),
(50838, NULL, 'PIRSF006031', NULL, NULL, NULL, NULL, 'UCP006031', NULL, NULL, 592, 13),
(50839, NULL, 'PIRSF000858', NULL, NULL, NULL, NULL, 'SCOT-t', NULL, NULL, 12811, 13),
(50840, NULL, 'PIRSF016907', NULL, NULL, NULL, NULL, 'Kin_ATP-NAD', NULL, NULL, 14993, 13),
(50841, NULL, 'PIRSF037322', NULL, NULL, NULL, NULL, 'CDKN3', NULL, NULL, 8774, 13),
(50842, NULL, 'PIRSF016988', NULL, NULL, NULL, NULL, 'UCP016988', NULL, NULL, 11354, 13),
(50843, NULL, 'PIRSF000389', NULL, NULL, NULL, NULL, 'DHFR-TS', NULL, NULL, 11609, 13),
(50844, NULL, 'PIRSF016183', NULL, NULL, NULL, NULL, 'UCP016183', NULL, NULL, 4249, 13),
(50845, NULL, 'PIRSF028754', NULL, NULL, NULL, NULL, 'UCP028754', NULL, NULL, 12022, 13),
(50846, NULL, 'PIRSF033579', NULL, NULL, NULL, NULL, 'Anaer_Co_chel_CbiK', NULL, NULL, 9590, 13),
(50847, NULL, 'PIRSF011860', NULL, NULL, NULL, NULL, 'NRIF3', NULL, NULL, 1731, 13),
(50848, NULL, 'PIRSF016817', NULL, NULL, NULL, NULL, 'UCP016817_carboligase', NULL, NULL, 20934, 13),
(50849, NULL, 'PIRSF005518', NULL, NULL, NULL, NULL, 'MtrB', NULL, NULL, 13366, 13),
(50850, NULL, 'PIRSF003093', NULL, NULL, NULL, NULL, 'SulA', NULL, NULL, 828, 13),
(50851, NULL, 'PIRSF038135', NULL, NULL, NULL, NULL, 'WD_rpt_23', NULL, NULL, 18012, 13),
(50852, NULL, 'PIRSF000350', NULL, NULL, NULL, NULL, 'Hg-II_reductase_MerA', NULL, NULL, 1133, 13);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50853, NULL, 'PIRSF006648', NULL, NULL, NULL, NULL, 'DrrB', NULL, NULL, 4765, 13),
(50854, NULL, 'PIRSF037875', NULL, NULL, NULL, NULL, 'EpiP_NisP_MutP', NULL, NULL, 7932, 13),
(50855, NULL, 'PIRSF025218', NULL, NULL, NULL, NULL, 'UCP025218', NULL, NULL, 1821, 13),
(50856, NULL, 'PIRSF011312', NULL, NULL, NULL, NULL, 'HUS1', NULL, NULL, 18099, 13),
(50857, NULL, 'PIRSF036688', NULL, NULL, NULL, NULL, 'CmuA', NULL, NULL, 10158, 13),
(50858, NULL, 'PIRSF016702', NULL, NULL, NULL, NULL, 'DNA_bp_PD1', NULL, NULL, 28214, 13),
(50859, NULL, 'PIRSF003913', NULL, NULL, NULL, NULL, 'M2_paramyxovir', NULL, NULL, 9448, 13),
(50860, NULL, 'PIRSF036802', NULL, NULL, NULL, NULL, 'Tau55_TFC7', NULL, NULL, 9737, 13),
(50861, NULL, 'PIRSF000676', NULL, NULL, NULL, NULL, 'Homoser_kin', NULL, NULL, 4993, 13),
(50862, NULL, 'PIRSF000728', NULL, NULL, NULL, NULL, 'NAGK', NULL, NULL, 2748, 13),
(50863, NULL, 'PIRSF004916', NULL, NULL, NULL, NULL, 'UCP004916', NULL, NULL, 5677, 13),
(50864, NULL, 'PIRSF037511', NULL, NULL, NULL, NULL, 'Transl_init_SUI1_prok', NULL, NULL, 6748, 13),
(50865, NULL, 'PIRSF000525', NULL, NULL, NULL, NULL, 'SerC', NULL, NULL, 15760, 13),
(50866, NULL, 'PIRSF003775', NULL, NULL, NULL, NULL, 'E3_ub_ligase_p28', NULL, NULL, 21570, 13),
(50867, NULL, 'PIRSF003407', NULL, NULL, NULL, NULL, 'Trans_E7_PLV', NULL, NULL, 3975, 13),
(50868, NULL, 'PIRSF038980', NULL, NULL, NULL, NULL, 'A2M_bac', NULL, NULL, 23781, 13),
(50869, NULL, 'PIRSF000970', NULL, NULL, NULL, NULL, '2_3-cyc_nuc_Pdiesterase', NULL, NULL, 8607, 13),
(50870, NULL, 'PIRSF026649', NULL, NULL, NULL, NULL, 'MsbB', NULL, NULL, 2592, 13),
(50871, NULL, 'PIRSF028160', NULL, NULL, NULL, NULL, 'UCP028160', NULL, NULL, 16331, 13),
(50872, NULL, 'PIRSF018148', NULL, NULL, NULL, NULL, 'UCP_CBS_YBR214w', NULL, NULL, 20969, 13),
(50873, NULL, 'PIRSF002551', NULL, NULL, NULL, NULL, 'Hemopexin', NULL, NULL, 20565, 13),
(50874, NULL, 'PIRSF030811', NULL, NULL, NULL, NULL, 'UCP030811', NULL, NULL, 18363, 13),
(50875, NULL, 'PIRSF004362', NULL, NULL, NULL, NULL, 'Endo_II_phage_DenA', NULL, NULL, 21657, 13),
(50876, NULL, 'PIRSF026492', NULL, NULL, NULL, NULL, 'Dig_cycl_CHASE', NULL, NULL, 16149, 13),
(50877, NULL, 'PIRSF014972', NULL, NULL, NULL, NULL, 'FlK', NULL, NULL, 25335, 13),
(50878, NULL, 'PIRSF031796', NULL, NULL, NULL, NULL, 'UCP031796', NULL, NULL, 8090, 13),
(50879, NULL, 'PIRSF009103', NULL, NULL, NULL, NULL, 'Ivy', NULL, NULL, 9589, 13),
(50880, NULL, 'PIRSF009310', NULL, NULL, NULL, NULL, 'Mtase_NodS', NULL, NULL, 14605, 13),
(50881, NULL, 'PIRSF020623', NULL, NULL, NULL, NULL, 'PaaX', NULL, NULL, 11433, 13),
(50882, NULL, 'PIRSF019635', NULL, NULL, NULL, NULL, 'Cytochrome_b245_alpha', NULL, NULL, 1048, 13),
(50883, NULL, 'PIRSF036569', NULL, NULL, NULL, NULL, 'Hml', NULL, NULL, 13198, 13),
(50884, NULL, 'PIRSF002431', NULL, NULL, NULL, NULL, 'Saposin', NULL, NULL, 15562, 13),
(50885, NULL, 'PIRSF005229', NULL, NULL, NULL, NULL, 'AO', NULL, NULL, 2536, 13),
(50886, NULL, 'PIRSF007828', NULL, NULL, NULL, NULL, 'Dipeptidyl-peptidase_III', NULL, NULL, 5282, 13),
(50887, NULL, 'PIRSF036874', NULL, NULL, NULL, NULL, 'GPC_FiloV', NULL, NULL, 9789, 13),
(50888, NULL, 'PIRSF006598', NULL, NULL, NULL, NULL, 'UCP006598', NULL, NULL, 11266, 13),
(50889, NULL, 'PIRSF016275', NULL, NULL, NULL, NULL, 'DNA_pol_II_DP2', NULL, NULL, 7443, 13),
(50890, NULL, 'PIRSF004572', NULL, NULL, NULL, NULL, 'SecM', NULL, NULL, 9356, 13),
(50891, NULL, 'PIRSF037631', NULL, NULL, NULL, NULL, 'Snapin', NULL, NULL, 15638, 13),
(50892, NULL, 'PIRSF500175', NULL, NULL, NULL, NULL, 'Glu_ADT_D', NULL, NULL, 8854, 13),
(50893, NULL, 'PIRSF008502', NULL, NULL, NULL, NULL, 'UCP008502', NULL, NULL, 8540, 13),
(50894, NULL, 'PIRSF004131', NULL, NULL, NULL, NULL, 'RNA_pol_P2', NULL, NULL, 21543, 13),
(50895, NULL, 'PIRSF011769', NULL, NULL, NULL, NULL, 'RAD17', NULL, NULL, 18170, 13),
(50896, NULL, 'PIRSF021964', NULL, NULL, NULL, NULL, 'UCP921964', NULL, NULL, 11666, 13),
(50897, NULL, 'PIRSF002892', NULL, NULL, NULL, NULL, 'Flagellin_A', NULL, NULL, 20523, 13),
(50898, NULL, 'PIRSF037497', NULL, NULL, NULL, NULL, 'MreD_Clostridium/Treponema', NULL, NULL, 15777, 13);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50899, NULL, 'PIRSF003113', NULL, NULL, NULL, NULL, 'BolA', NULL, NULL, 2831, 13),
(50900, NULL, 'PIRSF003028', NULL, NULL, NULL, NULL, 'Txn_fact_GATA_4/5/6', NULL, NULL, 20797, 13),
(50901, NULL, 'PIRSF018788', NULL, NULL, NULL, NULL, 'EutB', NULL, NULL, 9244, 13),
(50902, NULL, 'PIRSF000232', NULL, NULL, NULL, NULL, 'YdjA', NULL, NULL, 26442, 13),
(50903, NULL, 'PIRSF001620', NULL, NULL, NULL, NULL, 'TFPI', NULL, NULL, 8954, 13),
(50904, NULL, 'PIRSF005243', NULL, NULL, NULL, NULL, 'ROO', NULL, NULL, 15751, 13),
(50905, NULL, 'PIRSF002417', NULL, NULL, NULL, NULL, 'Lipid_binding_protein', NULL, NULL, 22100, 13),
(50906, NULL, 'PIRSF018933', NULL, NULL, NULL, NULL, 'UCP018933', NULL, NULL, 21899, 13),
(50907, NULL, 'PIRSF500947', NULL, NULL, NULL, NULL, 'CSF-1_receptor', NULL, NULL, 26594, 13),
(50908, NULL, 'PIRSF018267', NULL, NULL, NULL, NULL, 'VSR_endonuc', NULL, NULL, 900, 13),
(50909, NULL, 'PIRSF007050', NULL, NULL, NULL, NULL, 'UCP007050', NULL, NULL, 9567, 13),
(50910, NULL, 'PIRSF000039', NULL, NULL, NULL, NULL, 'Phenol_monooxy_K', NULL, NULL, 8906, 13),
(50911, NULL, 'PIRSF014753', NULL, NULL, NULL, NULL, 'UCP014753', NULL, NULL, 19586, 13),
(50912, NULL, 'PIRSF003097', NULL, NULL, NULL, NULL, 'FtsX', NULL, NULL, 1581, 13),
(50913, NULL, 'PIRSF016522', NULL, NULL, NULL, NULL, 'MOG', NULL, NULL, 20686, 13),
(50914, NULL, 'PIRSF037099', NULL, NULL, NULL, NULL, 'Stonin', NULL, NULL, 20688, 13),
(50915, NULL, 'PIRSF005902', NULL, NULL, NULL, NULL, 'DNase_TatD', NULL, NULL, 1537, 13),
(50916, NULL, 'PIRSF037894', NULL, NULL, NULL, NULL, 'Subtilisin_rel_CspABC', NULL, NULL, 16697, 13),
(50917, NULL, 'PIRSF007939', NULL, NULL, NULL, NULL, 'RRN6', NULL, NULL, 16405, 13),
(50918, NULL, 'PIRSF034077', NULL, NULL, NULL, NULL, 'UCP034077', NULL, NULL, 8162, 13),
(50919, NULL, 'PIRSF029766', NULL, NULL, NULL, NULL, 'UCP029766', NULL, NULL, 10939, 13),
(50920, NULL, 'PIRSF030210', NULL, NULL, NULL, NULL, 'UCP030210', NULL, NULL, 18209, 13),
(50921, NULL, 'PIRSF500138', NULL, NULL, NULL, NULL, 'GPI8', NULL, NULL, 29329, 13),
(50922, NULL, 'PIRSF001741', NULL, NULL, NULL, NULL, 'MAGUK_DLGH', NULL, NULL, 19502, 13),
(50923, NULL, 'PIRSF000707', NULL, NULL, NULL, NULL, 'Hygromycin-B_kin', NULL, NULL, 19652, 13),
(50924, NULL, 'PIRSF007580', NULL, NULL, NULL, NULL, 'UCP07580', NULL, NULL, 16266, 13),
(50925, NULL, 'PIRSF016478', NULL, NULL, NULL, NULL, 'Epsilon-COP', NULL, NULL, 3715, 13),
(50926, NULL, 'PIRSF027982', NULL, NULL, NULL, NULL, 'EryCV', NULL, NULL, 16003, 13),
(50927, NULL, 'PIRSF018688', NULL, NULL, NULL, NULL, 'UCP018688', NULL, NULL, 21798, 13),
(50928, NULL, 'PIRSF038144', NULL, NULL, NULL, NULL, 'Ladinin-1', NULL, NULL, 18106, 13),
(50929, NULL, 'PIRSF010521', NULL, NULL, NULL, NULL, 'Secr_Zn_protease', NULL, NULL, 8593, 13),
(50930, NULL, 'PIRSF018644', NULL, NULL, NULL, NULL, 'FAU-1', NULL, NULL, 21925, 13),
(50931, NULL, 'PIRSF030013', NULL, NULL, NULL, NULL, 'ThuA_PalA', NULL, NULL, 8494, 13),
(50932, NULL, 'PIRSF019466', NULL, NULL, NULL, NULL, 'EutH', NULL, NULL, 4551, 13),
(50933, NULL, 'PIRSF026991', NULL, NULL, NULL, NULL, 'MND1', NULL, NULL, 2685, 13),
(50934, NULL, 'PIRSF003688', NULL, NULL, NULL, NULL, 'VAC_PP', NULL, NULL, 4342, 13),
(50935, NULL, 'PIRSF037824', NULL, NULL, NULL, NULL, 'Orexin', NULL, NULL, 3074, 13),
(50936, NULL, 'PIRSF036572', NULL, NULL, NULL, NULL, 'RPP20', NULL, NULL, 8406, 13),
(50937, NULL, 'PIRSF037236', NULL, NULL, NULL, NULL, 'TaqI', NULL, NULL, 15803, 13),
(50938, NULL, 'PIRSF000887', NULL, NULL, NULL, NULL, 'Pesterase_MJ0037', NULL, NULL, 13112, 13),
(50939, NULL, 'PIRSF037350', NULL, NULL, NULL, NULL, 'Mtase_ZK1128', NULL, NULL, 21626, 13),
(50940, NULL, 'PIRSF016094', NULL, NULL, NULL, NULL, 'VirC2', NULL, NULL, 13962, 13),
(50941, NULL, 'PIRSF004952', NULL, NULL, NULL, NULL, 'RNase_P_2', NULL, NULL, 15642, 13),
(50942, NULL, 'PIRSF001948', NULL, NULL, NULL, NULL, 'MCSF', NULL, NULL, 4394, 13),
(50943, NULL, 'PIRSF036392', NULL, NULL, NULL, NULL, 'RR_ARR_type-B', NULL, NULL, 19854, 13),
(50944, NULL, 'PIRSF018259', NULL, NULL, NULL, NULL, 'CAML', NULL, NULL, 21631, 13); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50945, NULL, 'PIRSF022062', NULL, NULL, NULL, NULL, 'UCP022062', NULL, NULL, 15452, 13),
(50946, NULL, 'PIRSF037750', NULL, NULL, NULL, NULL, 'TIR_Tirap', NULL, NULL, 16234, 13),
(50947, NULL, 'PIRSF038023', NULL, NULL, NULL, NULL, 'ANTXR2', NULL, NULL, 17765, 13),
(50948, NULL, 'PIRSF021505', NULL, NULL, NULL, NULL, 'O_gly_hdrol', NULL, NULL, 11779, 13),
(50949, NULL, 'PIRSF000566', NULL, NULL, NULL, NULL, 'STPK_Sbk1', NULL, NULL, 17142, 13),
(50950, NULL, 'PIRSF017349', NULL, NULL, NULL, NULL, 'UCP017349', NULL, NULL, 10064, 13),
(50951, NULL, 'PIRSF019381', NULL, NULL, NULL, NULL, 'YcjX', NULL, NULL, 3575, 13),
(50952, NULL, 'PIRSF038018', NULL, NULL, NULL, NULL, 'BIO', NULL, NULL, 10157, 13),
(50953, NULL, 'PIRSF001092', NULL, NULL, NULL, NULL, 'Alpha-L-fucosidase', NULL, NULL, 19781, 13),
(50954, NULL, 'PIRSF006529', NULL, NULL, NULL, NULL, 'UCP006529_dinclt', NULL, NULL, 11060, 13),
(50955, NULL, 'PIRSF026584', NULL, NULL, NULL, NULL, 'Delta_tox', NULL, NULL, 10772, 13),
(50956, NULL, 'PIRSF019876', NULL, NULL, NULL, NULL, 'HasA', NULL, NULL, 10571, 13),
(50957, NULL, 'PIRSF018454', NULL, NULL, NULL, NULL, 'TRL10', NULL, NULL, 13890, 13),
(50958, NULL, 'PIRSF025926', NULL, NULL, NULL, NULL, 'UCP025926', NULL, NULL, 16361, 13),
(50959, NULL, 'PIRSF004764', NULL, NULL, NULL, NULL, 'YmfJ', NULL, NULL, 7699, 13),
(50960, NULL, 'PIRSF000013', NULL, NULL, NULL, NULL, '4_hem_cytochrm_NapC', NULL, NULL, 17559, 13),
(50961, NULL, 'PIRSF037464', NULL, NULL, NULL, NULL, 'UCP037464_APP1', NULL, NULL, 15542, 13),
(50962, NULL, 'PIRSF006581', NULL, NULL, NULL, NULL, 'EhaD', NULL, NULL, 10550, 13),
(50963, NULL, 'PIRSF015892', NULL, NULL, NULL, NULL, 'N-myristl_transf', NULL, NULL, 3457, 13),
(50964, NULL, 'PIRSF037989', NULL, NULL, NULL, NULL, 'UCP037989', NULL, NULL, 17947, 13),
(50965, NULL, 'PIRSF030219', NULL, NULL, NULL, NULL, 'Heme_oxygenase_decyc_plant', NULL, NULL, 18374, 13),
(50966, NULL, 'PIRSF036950', NULL, NULL, NULL, NULL, 'UCP036950', NULL, NULL, 8782, 13),
(50967, NULL, 'PIRSF035009', NULL, NULL, NULL, NULL, 'UCP035009_HSDR_N', NULL, NULL, 19047, 13),
(50968, NULL, 'PIRSF002889', NULL, NULL, NULL, NULL, 'Rod_FlgB', NULL, NULL, 4685, 13),
(50969, NULL, 'PIRSF002211', NULL, NULL, NULL, NULL, 'RPL30p', NULL, NULL, 1382, 13),
(50970, NULL, 'PIRSF007892', NULL, NULL, NULL, NULL, 'NAGS_fungal', NULL, NULL, 11249, 13),
(50971, NULL, 'PIRSF000485', NULL, NULL, NULL, NULL, 'Pur1', NULL, NULL, 6690, 13),
(50972, NULL, 'PIRSF029505', NULL, NULL, NULL, NULL, 'UCP029505', NULL, NULL, 17041, 13),
(50973, NULL, 'PIRSF038072', NULL, NULL, NULL, NULL, 'Na(+)/PI_cotransporter', NULL, NULL, 17936, 13),
(50974, NULL, 'PIRSF032620', NULL, NULL, NULL, NULL, 'UCP032620', NULL, NULL, 8247, 13),
(50975, NULL, 'PIRSF037354', NULL, NULL, NULL, NULL, 'RtcR', NULL, NULL, 21810, 13),
(50976, NULL, 'PIRSF037961', NULL, NULL, NULL, NULL, 'FGF-19_FGF-21', NULL, NULL, 32493, 13),
(50977, NULL, 'PIRSF500133', NULL, NULL, NULL, NULL, 'UDPglc_DH_euk', NULL, NULL, 28018, 13),
(50978, NULL, 'PIRSF036511', NULL, NULL, NULL, NULL, 'ATP_citrt_syn', NULL, NULL, 8239, 13),
(50979, NULL, 'PIRSF016666', NULL, NULL, NULL, NULL, 'UCP016666', NULL, NULL, 20644, 13),
(50980, NULL, 'PIRSF035865', NULL, NULL, NULL, NULL, 'UCP035865', NULL, NULL, 8451, 13),
(50981, NULL, 'PIRSF021898', NULL, NULL, NULL, NULL, 'UCP021898', NULL, NULL, 15080, 13),
(50982, NULL, 'PIRSF000824', NULL, NULL, NULL, NULL, 'L_OrthobunV', NULL, NULL, 12568, 13),
(50983, NULL, 'PIRSF018249', NULL, NULL, NULL, NULL, 'MyrA', NULL, NULL, 21714, 13),
(50984, NULL, 'PIRSF001100', NULL, NULL, NULL, NULL, 'Cellulase', NULL, NULL, 19648, 13),
(50985, NULL, 'PIRSF029056', NULL, NULL, NULL, NULL, 'UCP029056', NULL, NULL, 3698, 13),
(50986, NULL, 'PIRSF004270', NULL, NULL, NULL, NULL, 'UCP004270', NULL, NULL, 21660, 13),
(50987, NULL, 'PIRSF001399', NULL, NULL, NULL, NULL, 'DHQase_2', NULL, NULL, 4299, 13),
(50988, NULL, 'PIRSF019205', NULL, NULL, NULL, NULL, 'UCP019205_transporter', NULL, NULL, 14849, 13),
(50989, NULL, 'PIRSF036538', NULL, NULL, NULL, NULL, 'EhaK', NULL, NULL, 10519, 13);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(50990, NULL, 'PIRSF001149', NULL, NULL, NULL, NULL, 'Thrombin', NULL, NULL, 7206, 13),
(50991, NULL, 'PIRSF012622', NULL, NULL, NULL, NULL, 'UCP012622', NULL, NULL, 9599, 13),
(50992, NULL, 'PIRSF005216', NULL, NULL, NULL, NULL, 'PvlArgDC', NULL, NULL, 3660, 13),
(50993, NULL, 'PIRSF036522', NULL, NULL, NULL, NULL, 'UCP036522_pph', NULL, NULL, 10760, 13),
(50994, NULL, 'PIRSF005943', NULL, NULL, NULL, NULL, 'NMPRT', NULL, NULL, 15573, 13),
(50995, NULL, 'PIRSF015855', NULL, NULL, NULL, NULL, 'TypeIII_Mtase_mKpnI', NULL, NULL, 6038, 13),
(50996, NULL, 'PIRSF006549', NULL, NULL, NULL, NULL, 'PDH_arog_dh_reg', NULL, NULL, 8834, 13),
(50997, NULL, 'PIRSF000535', NULL, NULL, NULL, NULL, '1PFK/6PFK/LacC', NULL, NULL, 16469, 13),
(50998, NULL, 'PIRSF038038', NULL, NULL, NULL, NULL, 'Gemin-2', NULL, NULL, 17619, 13),
(50999, NULL, 'PIRSF012608', NULL, NULL, NULL, NULL, 'UCP012608', NULL, NULL, 10436, 13),
(51000, NULL, 'PIRSF031684', NULL, NULL, NULL, NULL, 'Txn_reg_031684', NULL, NULL, 18469, 13),
(51001, NULL, 'PIRSF007212', NULL, NULL, NULL, NULL, 'Capsid_P70', NULL, NULL, 5104, 13),
(51002, NULL, 'PIRSF020275', NULL, NULL, NULL, NULL, 'RadSAM_TM0948', NULL, NULL, 21902, 13),
(51003, NULL, 'PIRSF038971', NULL, NULL, NULL, NULL, 'PhnM', NULL, NULL, 11649, 13),
(51004, NULL, 'PIRSF008835', NULL, NULL, NULL, NULL, 'TPR_repeat_11_Fis1', NULL, NULL, 16313, 13),
(51005, NULL, 'PIRSF036939', NULL, NULL, NULL, NULL, 'PanK_long', NULL, NULL, 10391, 13),
(51006, NULL, 'PIRSF031644', NULL, NULL, NULL, NULL, 'UCP031644', NULL, NULL, 7635, 13),
(51007, NULL, 'PIRSF028977', NULL, NULL, NULL, NULL, 'Noc3', NULL, NULL, 17133, 13),
(51008, NULL, 'PIRSF037756', NULL, NULL, NULL, NULL, 'MyD88', NULL, NULL, 16033, 13),
(51009, NULL, 'PIRSF500125', NULL, NULL, NULL, NULL, '4_HPA_large', NULL, NULL, 21770, 13),
(51010, NULL, 'PIRSF026546', NULL, NULL, NULL, NULL, 'UCP_CBS_YqzB', NULL, NULL, 16270, 13),
(51011, NULL, 'PIRSF000554', NULL, NULL, NULL, NULL, 'PKC_zeta', NULL, NULL, 14065, 13),
(51012, NULL, 'PIRSF005514', NULL, NULL, NULL, NULL, 'Mitoh_ATP-synt_D', NULL, NULL, 13377, 13),
(51013, NULL, 'PIRSF017875', NULL, NULL, NULL, NULL, 'Photosystem_II_Ycf48-like', NULL, NULL, 20946, 13),
(51014, NULL, 'PIRSF010260', NULL, NULL, NULL, NULL, 'UCP010260', NULL, NULL, 9919, 13),
(51015, NULL, 'PIRSF030791', NULL, NULL, NULL, NULL, 'UCP030791', NULL, NULL, 18294, 13),
(51016, NULL, 'PIRSF033490', NULL, NULL, NULL, NULL, 'MazF', NULL, NULL, 6460, 13),
(51017, NULL, 'PIRSF016020', NULL, NULL, NULL, NULL, 'PHexose_mutarotase', NULL, NULL, 24943, 13),
(51018, NULL, 'PIRSF004923', NULL, NULL, NULL, NULL, 'RseC', NULL, NULL, 23717, 13),
(51019, NULL, 'PIRSF006615', NULL, NULL, NULL, NULL, 'Zn_crbxpep_Taq', NULL, NULL, 51, 13),
(51020, NULL, 'PIRSF501178', NULL, NULL, NULL, NULL, 'FNR-PetH', NULL, NULL, 32045, 13),
(51021, NULL, 'PIRSF001273', NULL, NULL, NULL, NULL, 'CDH', NULL, NULL, 2022, 13),
(51022, NULL, 'PIRSF002746', NULL, NULL, NULL, NULL, 'Gluconate_transporter', NULL, NULL, 6183, 13),
(51023, NULL, 'PIRSF007010', NULL, NULL, NULL, NULL, 'UCP007010', NULL, NULL, 16031, 13),
(51024, NULL, 'PIRSF009597', NULL, NULL, NULL, NULL, 'UCP009597', NULL, NULL, 18029, 13),
(51025, NULL, 'PIRSF037827', NULL, NULL, NULL, NULL, 'Bcl-2-like_11', NULL, NULL, 16889, 13),
(51026, NULL, 'PIRSF038126', NULL, NULL, NULL, NULL, 'SWI_SNF', NULL, NULL, 18270, 13),
(51027, NULL, 'PIRSF000906', NULL, NULL, NULL, NULL, 'FBPtase_Bacill', NULL, NULL, 9823, 13),
(51028, NULL, 'PIRSF001415', NULL, NULL, NULL, NULL, 'Porphbilin_synth', NULL, NULL, 3056, 13),
(51029, NULL, 'PIRSF032474', NULL, NULL, NULL, NULL, 'Rot', NULL, NULL, 19230, 13),
(51030, NULL, 'PIRSF017126', NULL, NULL, NULL, NULL, 'Condensin_H', NULL, NULL, 15149, 13),
(51031, NULL, 'PIRSF001388', NULL, NULL, NULL, NULL, 'Trichodiene_synth', NULL, NULL, 10494, 13),
(51032, NULL, 'PIRSF037610', NULL, NULL, NULL, NULL, 'BLOC-1_mut', NULL, NULL, 15881, 13),
(51033, NULL, 'PIRSF006609', NULL, NULL, NULL, NULL, 'snRNP_SmF', NULL, NULL, NULL, 13),
(51034, NULL, 'PIRSF012637', NULL, NULL, NULL, NULL, 'UCP012637', NULL, NULL, 18291, 13);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51035, NULL, 'PIRSF036487', NULL, NULL, NULL, NULL, 'Hydroxylase_rubr', NULL, NULL, 8408, 13),
(51036, NULL, 'PIRSF036382', NULL, NULL, NULL, NULL, 'RR_antiterminator', NULL, NULL, 7953, 13),
(51037, NULL, 'PIRSF002884', NULL, NULL, NULL, NULL, 'CheZ', NULL, NULL, 4477, 13),
(51038, NULL, 'PIRSF029218', NULL, NULL, NULL, NULL, 'ParE', NULL, NULL, 21916, 13),
(51039, NULL, 'PIRSF017930', NULL, NULL, NULL, NULL, 'TraM', NULL, NULL, 13954, 13),
(51040, NULL, 'PIRSF001883', NULL, NULL, NULL, NULL, 'TxP_I', NULL, NULL, 20697, 13),
(51041, NULL, 'PIRSF036397', NULL, NULL, NULL, NULL, 'Bacteriophytochrome_rec', NULL, NULL, 10657, 13),
(51042, NULL, 'PIRSF036495', NULL, NULL, NULL, NULL, 'IGFBP_rP_CNN', NULL, NULL, 13877, 13),
(51043, NULL, 'PIRSF027110', NULL, NULL, NULL, NULL, 'PREG', NULL, NULL, 13600, 13),
(51044, NULL, 'PIRSF029543', NULL, NULL, NULL, NULL, 'UCP029543', NULL, NULL, 17492, 13),
(51045, NULL, 'PIRSF036852', NULL, NULL, NULL, NULL, 'RNase_H1_euk', NULL, NULL, 19754, 13),
(51046, NULL, 'PIRSF010256', NULL, NULL, NULL, NULL, 'CoxE_vWa', NULL, NULL, 11194, 13),
(51047, NULL, 'PIRSF027717', NULL, NULL, NULL, NULL, 'H4K20_HMTase', NULL, NULL, 16073, 13),
(51048, NULL, 'PIRSF020481', NULL, NULL, NULL, NULL, 'BAP', NULL, NULL, 11697, 13),
(51049, NULL, 'PIRSF037031', NULL, NULL, NULL, NULL, 'Redox_disulf_2', NULL, NULL, 11130, 13),
(51050, NULL, 'PIRSF036883', NULL, NULL, NULL, NULL, 'RR_HD-GYP_mod', NULL, NULL, 9908, 13),
(51051, NULL, 'PIRSF001356', NULL, NULL, NULL, NULL, 'SAM_decarboxylas', NULL, NULL, 9715, 13),
(51052, NULL, 'PIRSF002264', NULL, NULL, NULL, NULL, 'Lamprin', NULL, NULL, 8105, 13),
(51053, NULL, 'PIRSF027109', NULL, NULL, NULL, NULL, 'Golgi_SNARE', NULL, NULL, 16569, 13),
(51054, NULL, 'PIRSF036314', NULL, NULL, NULL, NULL, 'LDLR-rel_5_6', NULL, NULL, 19881, 13),
(51055, NULL, 'PIRSF001667', NULL, NULL, NULL, NULL, 'PKI', NULL, NULL, 4647, 13),
(51056, NULL, 'PIRSF037881', NULL, NULL, NULL, NULL, 'Leupaxin', NULL, NULL, 16797, 13),
(51057, NULL, 'PIRSF006443', NULL, NULL, NULL, NULL, 'MoaB', NULL, NULL, 11748, 13),
(51058, NULL, 'PIRSF001653', NULL, NULL, NULL, NULL, 'API-B', NULL, NULL, 19524, 13),
(51059, NULL, 'PIRSF005788', NULL, NULL, NULL, NULL, 'NifK', NULL, NULL, 2642, 13),
(51060, NULL, 'PIRSF037671', NULL, NULL, NULL, NULL, 'Chloroquine_res_transporter', NULL, NULL, 15617, 13),
(51061, NULL, 'PIRSF009467', NULL, NULL, NULL, NULL, 'Urease_acces_UreF', NULL, NULL, 2893, 13),
(51062, NULL, 'PIRSF009285', NULL, NULL, NULL, NULL, 'GAMT', NULL, NULL, 18346, 13),
(51063, NULL, 'PIRSF012508', NULL, NULL, NULL, NULL, 'YerC', NULL, NULL, 18797, 13),
(51064, NULL, 'PIRSF028846', NULL, NULL, NULL, NULL, 'UCP028846', NULL, NULL, 7694, 13),
(51065, NULL, 'PIRSF001257', NULL, NULL, NULL, NULL, 'HIS4', NULL, NULL, 19579, 13),
(51066, NULL, 'PIRSF000502', NULL, NULL, NULL, NULL, 'Spermidine_synth', NULL, NULL, 27860, 13),
(51067, NULL, 'PIRSF011572', NULL, NULL, NULL, NULL, 'CodY', NULL, NULL, 14369, 13),
(51068, NULL, 'PIRSF000196', NULL, NULL, NULL, NULL, 'Pro_dehydrog', NULL, NULL, 706, 13),
(51069, NULL, 'PIRSF009400', NULL, NULL, NULL, NULL, 'Hedgehog', NULL, NULL, 5090, 13),
(51070, NULL, 'PIRSF010751', NULL, NULL, NULL, NULL, 'HOP1_fungal', NULL, NULL, 18248, 13),
(51071, NULL, 'PIRSF037865', NULL, NULL, NULL, NULL, 'DFF_alpha', NULL, NULL, 16752, 13),
(51072, NULL, 'PIRSF038054', NULL, NULL, NULL, NULL, 'Nas7_nas8', NULL, NULL, 17706, 13),
(51073, NULL, 'PIRSF005054', NULL, NULL, NULL, NULL, 'PF1131', NULL, NULL, 10901, 13),
(51074, NULL, 'PIRSF006517', NULL, NULL, NULL, NULL, 'DNA_pol_mt_plasmid', NULL, NULL, 10257, 13),
(51075, NULL, 'PIRSF038142', NULL, NULL, NULL, NULL, 'Rhodopsin_bac', NULL, NULL, 18415, 13),
(51076, NULL, 'PIRSF000530', NULL, NULL, NULL, NULL, 'Galactokinase', NULL, NULL, 11143, 13),
(51077, NULL, 'PIRSF003203', NULL, NULL, NULL, NULL, 'AzlD', NULL, NULL, 8790, 13),
(51078, NULL, 'PIRSF015761', NULL, NULL, NULL, NULL, 'Protein_L', NULL, NULL, 2298, 13),
(51079, NULL, 'PIRSF500216', NULL, NULL, NULL, NULL, 'DltB', NULL, NULL, 16175, 13);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51080, NULL, 'PIRSF004985', NULL, NULL, NULL, NULL, 'Hlld_jn_rslvs_ar', NULL, NULL, 7611, 13),
(51081, NULL, 'PIRSF015793', NULL, NULL, NULL, NULL, 'VAC_EEV', NULL, NULL, 758, 13),
(51082, NULL, 'PIRSF019714', NULL, NULL, NULL, NULL, 'NLBH', NULL, NULL, 3024, 13),
(51083, NULL, 'PIRSF002495', NULL, NULL, NULL, NULL, 'VWF', NULL, NULL, 29512, 13),
(51084, NULL, 'PIRSF029730', NULL, NULL, NULL, NULL, 'UCP029730', NULL, NULL, 10596, 13),
(51085, NULL, 'PIRSF001455', NULL, NULL, NULL, NULL, '3dhq_synth', NULL, NULL, 26164, 13),
(51086, NULL, 'PIRSF006523', NULL, NULL, NULL, NULL, 'MtrF', NULL, NULL, 10669, 13),
(51087, NULL, 'PIRSF025023', NULL, NULL, NULL, NULL, 'Spt4', NULL, NULL, 13859, 13),
(51088, NULL, 'PIRSF037955', NULL, NULL, NULL, NULL, 'Snurportin-1', NULL, NULL, 17217, 13),
(51089, NULL, 'PIRSF010631', NULL, NULL, NULL, NULL, 'A-rhamnsds', NULL, NULL, 9924, 13),
(51090, NULL, 'PIRSF033271', NULL, NULL, NULL, NULL, 'UCP033271', NULL, NULL, 7964, 13),
(51091, NULL, 'PIRSF019169', NULL, NULL, NULL, NULL, 'Tfp_PilM', NULL, NULL, 6722, 13),
(51092, NULL, 'PIRSF000242', NULL, NULL, NULL, NULL, 'HAO', NULL, NULL, 14437, 13),
(51093, NULL, 'PIRSF037435', NULL, NULL, NULL, NULL, 'Hybr_HK_BC3207', NULL, NULL, 15811, 13),
(51094, NULL, 'PIRSF031279', NULL, NULL, NULL, NULL, 'UCP031279', NULL, NULL, 18109, 13),
(51095, NULL, 'PIRSF006910', NULL, NULL, NULL, NULL, 'NA_bind_Rv2694c', NULL, NULL, 16399, 13),
(51096, NULL, 'PIRSF036899', NULL, NULL, NULL, NULL, 'AGP', NULL, NULL, 3054, 13),
(51097, NULL, 'PIRSF004094', NULL, NULL, NULL, NULL, 'Coat_SV', NULL, NULL, 2965, 13),
(51098, NULL, 'PIRSF036177', NULL, NULL, NULL, NULL, 'HsdS', NULL, NULL, 19786, 13),
(51099, NULL, 'PIRSF003299', NULL, NULL, NULL, NULL, 'VirB8_PtlE', NULL, NULL, 28135, 13),
(51100, NULL, 'PIRSF039110', NULL, NULL, NULL, NULL, 'IPP_transferase', NULL, NULL, 26288, 13),
(51101, NULL, 'PIRSF026449', NULL, NULL, NULL, NULL, 'UCP026449', NULL, NULL, 16066, 13),
(51102, NULL, 'PIRSF026434', NULL, NULL, NULL, NULL, 'RR_ycf55', NULL, NULL, 16169, 13),
(51103, NULL, 'PIRSF000180', NULL, NULL, NULL, NULL, 'FrdC', NULL, NULL, 6216, 13),
(51104, NULL, 'PIRSF009451', NULL, NULL, NULL, NULL, 'Citrt_lyas_alpha', NULL, NULL, 6042, 13),
(51105, NULL, 'PIRSF036548', NULL, NULL, NULL, NULL, 'Fdx_FixX', NULL, NULL, 13749, 13),
(51106, NULL, 'PIRSF036354', NULL, NULL, NULL, NULL, 'NosR', NULL, NULL, 7555, 13),
(51107, NULL, 'PIRSF025550', NULL, NULL, NULL, NULL, 'UCP025550_lpd_carrier', NULL, NULL, 16104, 13),
(51108, NULL, 'PIRSF036698', NULL, NULL, NULL, NULL, 'UCP036698', NULL, NULL, 13367, 13),
(51109, NULL, 'PIRSF005898', NULL, NULL, NULL, NULL, 'CpeC_CpcI', NULL, NULL, 15955, 13),
(51110, NULL, 'PIRSF004155', NULL, NULL, NULL, NULL, 'Phage_C', NULL, NULL, 21795, 13),
(51111, NULL, 'PIRSF006173', NULL, NULL, NULL, NULL, 'UCP006173', NULL, NULL, 639, 13),
(51112, NULL, 'PIRSF036444', NULL, NULL, NULL, NULL, 'Pesterase_YvnB', NULL, NULL, 7607, 13),
(51113, NULL, 'PIRSF004030', NULL, NULL, NULL, NULL, 'Z_ArenaV', NULL, NULL, 13894, 13),
(51114, NULL, 'PIRSF001386', NULL, NULL, NULL, NULL, 'Trpase', NULL, NULL, 11489, 13),
(51115, NULL, 'PIRSF500165', NULL, NULL, NULL, NULL, 'HMDI', NULL, NULL, 6421, 13),
(51116, NULL, 'PIRSF010044', NULL, NULL, NULL, NULL, 'UCP010044', NULL, NULL, 18113, 13),
(51117, NULL, 'PIRSF036603', NULL, NULL, NULL, NULL, 'DNA_pol_eta', NULL, NULL, NULL, 13),
(51118, NULL, 'PIRSF007159', NULL, NULL, NULL, NULL, 'Protease_ASVF', NULL, NULL, 16207, 13),
(51119, NULL, 'PIRSF038192', NULL, NULL, NULL, NULL, 'Txn_reg_BtrU', NULL, NULL, 18877, 13),
(51120, NULL, 'PIRSF005682', NULL, NULL, NULL, NULL, 'Fascin', NULL, NULL, 11133, 13),
(51121, NULL, 'PIRSF016788', NULL, NULL, NULL, NULL, 'RR_Fis', NULL, NULL, 9666, 13),
(51122, NULL, 'PIRSF003092', NULL, NULL, NULL, NULL, 'MinD', NULL, NULL, 25086, 13),
(51123, NULL, 'PIRSF005588', NULL, NULL, NULL, NULL, 'DAD1_Ost2', NULL, NULL, 478, 13),
(51124, NULL, 'PIRSF016602', NULL, NULL, NULL, NULL, 'CurC', NULL, NULL, 20614, 13),
(51125, NULL, 'PIRSF002472', NULL, NULL, NULL, NULL, 'Amyloid_prot_SAA', NULL, NULL, 3860, 13);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51126, NULL, 'PIRSF005799', NULL, NULL, NULL, NULL, 'UDP-gal_transpt', NULL, NULL, 7054, 13),
(51127, NULL, 'PIRSF038922', NULL, NULL, NULL, NULL, 'SRP72', NULL, NULL, 23800, 13),
(51128, NULL, 'PIRSF018239', NULL, NULL, NULL, NULL, 'IGFBP_rP_mac25', NULL, NULL, 14542, 13),
(51129, NULL, 'PIRSF038006', NULL, NULL, NULL, NULL, 'MeCP2', NULL, NULL, 17841, 13),
(51130, NULL, 'PIRSF006519', NULL, NULL, NULL, NULL, 'GOGAT_dom3', NULL, NULL, 12262, 13),
(51131, NULL, 'PIRSF004160', NULL, NULL, NULL, NULL, 'Minor_spike_H', NULL, NULL, 3278, 13),
(51132, NULL, 'PIRSF036836', NULL, NULL, NULL, NULL, 'SBP1_RNase_bind', NULL, NULL, 19739, 13),
(51133, NULL, 'PIRSF020680', NULL, NULL, NULL, NULL, 'PhnH', NULL, NULL, 12146, 13),
(51134, NULL, 'PIRSF001859', NULL, NULL, NULL, NULL, 'Eclosion_hormone', NULL, NULL, 3671, 13),
(51135, NULL, 'PIRSF001495', NULL, NULL, NULL, NULL, 'Met_asp_mut_epsi', NULL, NULL, 5910, 13),
(51136, NULL, 'PIRSF037465', NULL, NULL, NULL, NULL, 'UCP037465_Zn', NULL, NULL, 15846, 13),
(51137, NULL, 'PIRSF037559', NULL, NULL, NULL, NULL, 'Gly_redC_beta', NULL, NULL, 15587, 13),
(51138, NULL, 'PIRSF035042', NULL, NULL, NULL, NULL, 'UCP035042_thirdx', NULL, NULL, 8564, 13),
(51139, NULL, 'PIRSF007802', NULL, NULL, NULL, NULL, 'ATG10', NULL, NULL, 16280, 13),
(51140, NULL, 'PIRSF037632', NULL, NULL, NULL, NULL, 'Rep-8_protein', NULL, NULL, 15898, 13),
(51141, NULL, 'PIRSF500950', NULL, NULL, NULL, NULL, 'Alpha-PDGF_receptor', NULL, NULL, 23126, 13),
(51142, NULL, 'PIRSF001619', NULL, NULL, NULL, NULL, 'Biotin_synth', NULL, NULL, 13539, 13),
(51143, NULL, 'PIRSF011018', NULL, NULL, NULL, NULL, 'Nicalin', NULL, NULL, 18117, 13),
(51144, NULL, 'PIRSF501105', NULL, NULL, NULL, NULL, 'Protein_kin_C_theta', NULL, NULL, 23092, 13),
(51145, NULL, 'PIRSF006503', NULL, NULL, NULL, NULL, 'UCP006503', NULL, NULL, 402, 13),
(51146, NULL, 'PIRSF005785', NULL, NULL, NULL, NULL, 'Zn-prot_arch', NULL, NULL, 12692, 13),
(51147, NULL, 'PIRSF028111', NULL, NULL, NULL, NULL, 'UCP028111', NULL, NULL, 16461, 13),
(51148, NULL, 'PIRSF028301', NULL, NULL, NULL, NULL, 'UCP028301', NULL, NULL, 7950, 13),
(51149, NULL, 'PIRSF037634', NULL, NULL, NULL, NULL, 'HS1-bp', NULL, NULL, 15809, 13),
(51150, NULL, 'PIRSF006643', NULL, NULL, NULL, NULL, 'NDUA6', NULL, NULL, 15688, 13),
(51151, NULL, 'PIRSF017228', NULL, NULL, NULL, NULL, 'Sphnglp_dlt4_des', NULL, NULL, 14600, 13),
(51152, NULL, 'PIRSF011609', NULL, NULL, NULL, NULL, 'DRT102', NULL, NULL, 13219, 13),
(51153, NULL, 'PIRSF017371', NULL, NULL, NULL, NULL, 'UCP017371', NULL, NULL, 10304, 13),
(51154, NULL, 'PIRSF030150', NULL, NULL, NULL, NULL, 'SrtB', NULL, NULL, 9195, 13),
(51155, NULL, 'PIRSF003669', NULL, NULL, NULL, NULL, 'Aden_E1A', NULL, NULL, 7687, 13),
(51156, NULL, 'PIRSF036643', NULL, NULL, NULL, NULL, 'FDH_alpha', NULL, NULL, NULL, 13),
(51157, NULL, 'PIRSF019217', NULL, NULL, NULL, NULL, 'AcxC', NULL, NULL, 21546, 13),
(51158, NULL, 'PIRSF036990', NULL, NULL, NULL, NULL, 'UCP_CBS_BON', NULL, NULL, 19632, 13),
(51159, NULL, 'PIRSF007023', NULL, NULL, NULL, NULL, 'UDP-Galf_transf', NULL, NULL, NULL, 13),
(51160, NULL, 'PIRSF015982', NULL, NULL, NULL, NULL, 'VAC_M2L', NULL, NULL, 5938, 13),
(51161, NULL, 'PIRSF006092', NULL, NULL, NULL, NULL, 'GreA_GreB', NULL, NULL, 16299, 13),
(51162, NULL, 'PIRSF006483', NULL, NULL, NULL, NULL, 'Membrane_protein_YitT', NULL, NULL, 2467, 13),
(51163, NULL, 'PIRSF006398', NULL, NULL, NULL, NULL, 'Sec61_beta', NULL, NULL, 22727, 13),
(51164, NULL, 'PIRSF000722', NULL, NULL, NULL, NULL, 'Acetate_prop_kin', NULL, NULL, 5723, 13),
(51165, NULL, 'PIRSF037476', NULL, NULL, NULL, NULL, 'BLOC2_Hps6', NULL, NULL, 15700, 13),
(51166, NULL, 'PIRSF002786', NULL, NULL, NULL, NULL, 'XcpX', NULL, NULL, 2841, 13),
(51167, NULL, 'PIRSF019313', NULL, NULL, NULL, NULL, 'UCP019313', NULL, NULL, 13729, 13),
(51168, NULL, 'PIRSF036752', NULL, NULL, NULL, NULL, 'TSase_MJ051', NULL, NULL, 9884, 13),
(51169, NULL, 'PIRSF002304', NULL, NULL, NULL, NULL, 'Band_41', NULL, NULL, NULL, 13),
(51170, NULL, 'PIRSF036399', NULL, NULL, NULL, NULL, 'Gal_kin_glcsltr', NULL, NULL, 12925, 13);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51171, NULL, 'PIRSF037090', NULL, NULL, NULL, NULL, 'IGluLR_plant', NULL, NULL, 20702, 13),
(51172, NULL, 'PIRSF018978', NULL, NULL, NULL, NULL, 'tRNA_m1G_Mtase_archaea', NULL, NULL, 21792, 13),
(51173, NULL, 'PIRSF005499', NULL, NULL, NULL, NULL, 'PNPase', NULL, NULL, 7500, 13),
(51174, NULL, 'PIRSF015945', NULL, NULL, NULL, NULL, 'V-ATP_synth_F', NULL, NULL, 4651, 13),
(51175, NULL, 'PIRSF500628', NULL, NULL, NULL, NULL, 'PTGIS', NULL, NULL, 27927, 13),
(51176, NULL, 'PIRSF031639', NULL, NULL, NULL, NULL, 'Ccs4', NULL, NULL, 18276, 13),
(51177, NULL, 'PIRSF012293', NULL, NULL, NULL, NULL, 'EutA', NULL, NULL, 14706, 13),
(51178, NULL, 'PIRSF009226', NULL, NULL, NULL, NULL, 'UCP009226_DNArpr', NULL, NULL, 13818, 13),
(51179, NULL, 'PIRSF037369', NULL, NULL, NULL, NULL, 'STPK_unc51', NULL, NULL, 21583, 13),
(51180, NULL, 'PIRSF000216', NULL, NULL, NULL, NULL, 'NDH-1_E', NULL, NULL, 5410, 13),
(51181, NULL, 'PIRSF005673', NULL, NULL, NULL, NULL, 'Importin_alpha', NULL, NULL, 21738, 13),
(51182, NULL, 'PIRSF000779', NULL, NULL, NULL, NULL, 'RPB8', NULL, NULL, 1541, 13),
(51183, NULL, 'PIRSF018505', NULL, NULL, NULL, NULL, 'Prpndl_dhdrts_sm', NULL, NULL, 3109, 13),
(51184, NULL, 'PIRSF037473', NULL, NULL, NULL, NULL, 'BLOC2_Hps3', NULL, NULL, 15711, 13),
(51185, NULL, 'PIRSF026169', NULL, NULL, NULL, NULL, 'UCP026169', NULL, NULL, 10292, 13),
(51186, NULL, 'PIRSF016138', NULL, NULL, NULL, NULL, 'UCP016138', NULL, NULL, 8806, 13),
(51187, NULL, 'PIRSF001488', NULL, NULL, NULL, NULL, 'Tdi_protein', NULL, NULL, 15706, 13),
(51188, NULL, 'PIRSF036497', NULL, NULL, NULL, NULL, 'HDH_short', NULL, NULL, 17210, 13),
(51189, NULL, 'PIRSF500102', NULL, NULL, NULL, NULL, 'ER-b', NULL, NULL, 28257, 13),
(51190, NULL, 'PIRSF025007', NULL, NULL, NULL, NULL, 'Sec15', NULL, NULL, 6846, 13),
(51191, NULL, 'PIRSF000233', NULL, NULL, NULL, NULL, 'Nitr_rd_NADH', NULL, NULL, 14324, 13),
(51192, NULL, 'PIRSF019136', NULL, NULL, NULL, NULL, 'EhaG', NULL, NULL, 10827, 13),
(51193, NULL, 'PIRSF002583', NULL, NULL, NULL, NULL, 'HSP90_HTPG', NULL, NULL, 7470, 13),
(51194, NULL, 'PIRSF002764', NULL, NULL, NULL, NULL, 'CcmB', NULL, NULL, 23587, 13),
(51195, NULL, 'PIRSF005639', NULL, NULL, NULL, NULL, 'Glut_amidoT_SNO', NULL, NULL, 5272, 13),
(51196, NULL, 'PIRSF028609', NULL, NULL, NULL, NULL, 'UCP028609', NULL, NULL, 17038, 13),
(51197, NULL, 'PIRSF006614', NULL, NULL, NULL, NULL, 'Methylglyox_syn', NULL, NULL, 5781, 13),
(51198, NULL, 'PIRSF037237', NULL, NULL, NULL, NULL, 'Peptidase_WD_repeats_DUG2', NULL, NULL, 20531, 13),
(51199, NULL, 'PIRSF015592', NULL, NULL, NULL, NULL, 'Pyrrolidone-crbxlat_pptds', NULL, NULL, 6754, 13),
(51200, NULL, 'PIRSF002133', NULL, NULL, NULL, NULL, 'RPS12p_RPS12a_RPS23e_RPS12o', NULL, NULL, 1096, 13),
(51201, NULL, 'PIRSF500625', NULL, NULL, NULL, NULL, 'Cytochrome_CYP7A1', NULL, NULL, 27296, 13),
(51202, NULL, 'PIRSF039114', NULL, NULL, NULL, NULL, 'V-ATPsynth_beta/V-ATPase_B', NULL, NULL, 17381, 13),
(51203, NULL, 'PIRSF025798', NULL, NULL, NULL, NULL, 'Cables', NULL, NULL, 13958, 13),
(51204, NULL, 'PIRSF017689', NULL, NULL, NULL, NULL, 'SepSecS', NULL, NULL, 17112, 13),
(51205, NULL, 'PIRSF038991', NULL, NULL, NULL, NULL, 'Protein_AbrB', NULL, NULL, 2285, 13),
(51206, NULL, 'PIRSF037303', NULL, NULL, NULL, NULL, 'APC4', NULL, NULL, 21712, 13),
(51207, NULL, 'PIRSF019736', NULL, NULL, NULL, NULL, 'dTMP_TKRP1', NULL, NULL, 11970, 13),
(51208, NULL, 'PIRSF037724', NULL, NULL, NULL, NULL, 'Txn_reg_HTH_MJ1545', NULL, NULL, 16014, 13),
(51209, NULL, 'PIRSF001604', NULL, NULL, NULL, NULL, 'LigA', NULL, NULL, 3051, 13),
(51210, NULL, 'PIRSF031509', NULL, NULL, NULL, NULL, 'LiaF_YvqF', NULL, NULL, 18195, 13),
(51211, NULL, 'PIRSF033909', NULL, NULL, NULL, NULL, 'UCP033909', NULL, NULL, 8486, 13),
(51212, NULL, 'PIRSF031611', NULL, NULL, NULL, NULL, 'ComGF', NULL, NULL, 18396, 13),
(51213, NULL, 'PIRSF037334', NULL, NULL, NULL, NULL, 'FucT_plant', NULL, NULL, 21786, 13),
(51214, NULL, 'PIRSF005413', NULL, NULL, NULL, NULL, 'COX11', NULL, NULL, 10540, 13),
(51215, NULL, 'PIRSF031802', NULL, NULL, NULL, NULL, 'UCP031802', NULL, NULL, 18494, 13);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51216, NULL, 'PIRSF038214', NULL, NULL, NULL, NULL, 'ESCRT1_Vps37_fungi', NULL, NULL, 18549, 13),
(51217, NULL, 'PIRSF001247', NULL, NULL, NULL, NULL, 'Prot-Arg_deiminase', NULL, NULL, 4666, 13),
(51218, NULL, 'PIRSF000699', NULL, NULL, NULL, NULL, 'PTS_IILac_III', NULL, NULL, 3187, 13),
(51219, NULL, 'PIRSF012159', NULL, NULL, NULL, NULL, 'Inh_gp21', NULL, NULL, 18190, 13),
(51220, NULL, 'PIRSF002590', NULL, NULL, NULL, NULL, 'HSP9_HSP12', NULL, NULL, 6616, 13),
(51221, NULL, 'PIRSF030850', NULL, NULL, NULL, NULL, 'UCP030850', NULL, NULL, 7675, 13),
(51222, NULL, 'PIRSF001218', NULL, NULL, NULL, NULL, 'Protease_ADV', NULL, NULL, 498, 13),
(51223, NULL, 'PIRSF006334', NULL, NULL, NULL, NULL, 'Cdd_plus_pseudo', NULL, NULL, NULL, 13),
(51224, NULL, 'PIRSF037158', NULL, NULL, NULL, NULL, 'UCP037158', NULL, NULL, 20613, 13),
(51225, NULL, 'PIRSF000636', NULL, NULL, NULL, NULL, 'TyrPK_Jak', NULL, NULL, 17408, 13),
(51226, NULL, 'PIRSF038147', NULL, NULL, NULL, NULL, 'STPK_RIO1', NULL, NULL, 18839, 13),
(51227, NULL, 'PIRSF021331', NULL, NULL, NULL, NULL, 'YkoF', NULL, NULL, 10276, 13),
(51228, NULL, 'PIRSF016210', NULL, NULL, NULL, NULL, 'UCP016210', NULL, NULL, 19236, 13),
(51229, NULL, 'PIRSF500939', NULL, NULL, NULL, NULL, 'ERR1-2-3', NULL, NULL, 28474, 13),
(51230, NULL, 'PIRSF001770', NULL, NULL, NULL, NULL, 'Cyclin_CLN', NULL, NULL, 7842, 13),
(51231, NULL, 'PIRSF006160', NULL, NULL, NULL, NULL, 'AI2', NULL, NULL, 3338, 13),
(51232, NULL, 'PIRSF036292', NULL, NULL, NULL, NULL, 'Prenylcysteine_oxidase', NULL, NULL, 19718, 13),
(51233, NULL, 'PIRSF005052', NULL, NULL, NULL, NULL, 'P-loop_kin_YhbJ', NULL, NULL, 6341, 13),
(51234, NULL, 'PIRSF006439', NULL, NULL, NULL, NULL, 'Indolepyruvate_ferr_oxidored', NULL, NULL, 18297, 13),
(51235, NULL, 'PIRSF032209', NULL, NULL, NULL, NULL, 'UCP032209', NULL, NULL, 19221, 13),
(51236, NULL, 'PIRSF000880', NULL, NULL, NULL, NULL, 'Eryth_est', NULL, NULL, 19657, 13),
(51237, NULL, 'PIRSF006488', NULL, NULL, NULL, NULL, 'ExoVII_small', NULL, NULL, 2140, 13),
(51238, NULL, 'PIRSF037328', NULL, NULL, NULL, NULL, 'Inhibin_alpha', NULL, NULL, 21512, 13),
(51239, NULL, 'PIRSF030250', NULL, NULL, NULL, NULL, 'Ptase_At2g46880', NULL, NULL, 10600, 13),
(51240, NULL, 'PIRSF036612', NULL, NULL, NULL, NULL, 'ABC_ATP_LytTR', NULL, NULL, 11548, 13),
(51241, NULL, 'PIRSF009320', NULL, NULL, NULL, NULL, 'Nuc_binding_HP_1000', NULL, NULL, NULL, 13),
(51242, NULL, 'PIRSF000156', NULL, NULL, NULL, NULL, 'Pyruvate_dh_E1', NULL, NULL, 2628, 13),
(51243, NULL, 'PIRSF018326', NULL, NULL, NULL, NULL, 'VP35_FiloV', NULL, NULL, 7180, 13),
(51244, NULL, 'PIRSF000548', NULL, NULL, NULL, NULL, 'PK_regulatory', NULL, NULL, 13354, 13),
(51245, NULL, 'PIRSF006487', NULL, NULL, NULL, NULL, 'GCST', NULL, NULL, NULL, 13),
(51246, NULL, 'PIRSF002905', NULL, NULL, NULL, NULL, 'PSI_A', NULL, NULL, 2247, 13),
(51247, NULL, 'PIRSF000994', NULL, NULL, NULL, NULL, 'RE_XhoI', NULL, NULL, 2147, 13),
(51248, NULL, 'PIRSF003265', NULL, NULL, NULL, NULL, 'TraQ', NULL, NULL, 13792, 13),
(51249, NULL, 'PIRSF024534', NULL, NULL, NULL, NULL, 'ThiW', NULL, NULL, 10537, 13),
(51250, NULL, 'PIRSF038083', NULL, NULL, NULL, NULL, 'UCP038083_GIPC', NULL, NULL, 18281, 13),
(51251, NULL, 'PIRSF006356', NULL, NULL, NULL, NULL, 'ADI', NULL, NULL, 4253, 13),
(51252, NULL, 'PIRSF001154', NULL, NULL, NULL, NULL, 'Compl_C2_B', NULL, NULL, 14633, 13),
(51253, NULL, 'PIRSF007320', NULL, NULL, NULL, NULL, 'Fimbrillin_MatB', NULL, NULL, 16008, 13),
(51254, NULL, 'PIRSF016080', NULL, NULL, NULL, NULL, 'RE_MboI', NULL, NULL, 15694, 13),
(51255, NULL, 'PIRSF003027', NULL, NULL, NULL, NULL, 'Txn_fact_GATA-1/2/3', NULL, NULL, 20949, 13),
(51256, NULL, 'PIRSF003095', NULL, NULL, NULL, NULL, 'Trigger_factor', NULL, NULL, 10833, 13),
(51257, NULL, 'PIRSF030140', NULL, NULL, NULL, NULL, 'UCP030140', NULL, NULL, 18042, 13),
(51258, NULL, 'PIRSF037257', NULL, NULL, NULL, NULL, 'UCP037257_Veg', NULL, NULL, 14980, 13),
(51259, NULL, 'PIRSF001461', NULL, NULL, NULL, NULL, 'RPE', NULL, NULL, 28283, 13),
(51260, NULL, 'PIRSF000109', NULL, NULL, NULL, NULL, '6PGD', NULL, NULL, 10424, 13);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51261, NULL, 'PIRSF036436', NULL, NULL, NULL, NULL, 'UCP036436_permease', NULL, NULL, 13712, 13),
(51262, NULL, 'PIRSF000474', NULL, NULL, NULL, NULL, 'GM2_GD2_synthase', NULL, NULL, 10237, 13),
(51263, NULL, 'PIRSF013674', NULL, NULL, NULL, NULL, 'PXMP4', NULL, NULL, 19126, 13),
(51264, NULL, 'PIRSF037338', NULL, NULL, NULL, NULL, 'Spastin', NULL, NULL, 14973, 13),
(51265, NULL, 'PIRSF006431', NULL, NULL, NULL, NULL, 'Pro_iminopeptidase', NULL, NULL, 90, 13),
(51266, NULL, 'PIRSF037893', NULL, NULL, NULL, NULL, 'Subtilisin_rel_Maqu_2796', NULL, NULL, 16750, 13),
(51267, NULL, 'PIRSF004874', NULL, NULL, NULL, NULL, 'Prcrn_mtase_isom', NULL, NULL, 7545, 13),
(51268, NULL, 'PIRSF038945', NULL, NULL, NULL, NULL, 'Thr_synthase', NULL, NULL, 28107, 13),
(51269, NULL, 'PIRSF038016', NULL, NULL, NULL, NULL, 'Pin2_TRF1', NULL, NULL, 17842, 13),
(51270, NULL, 'PIRSF016477', NULL, NULL, NULL, NULL, 'Prefoldin_4', NULL, NULL, 20612, 13),
(51271, NULL, 'PIRSF036504', NULL, NULL, NULL, NULL, 'NDK_H5', NULL, NULL, 13822, 13),
(51272, NULL, 'PIRSF010611', NULL, NULL, NULL, NULL, 'UCP010611', NULL, NULL, 18009, 13),
(51273, NULL, 'PIRSF500313', NULL, NULL, NULL, NULL, 'Bombyxin_B', NULL, NULL, 27936, 13),
(51274, NULL, 'PIRSF006639', NULL, NULL, NULL, NULL, 'UCP006639_pph', NULL, NULL, 14782, 13),
(51275, NULL, 'PIRSF037210', NULL, NULL, NULL, NULL, 'TGM_prok', NULL, NULL, 9793, 13),
(51276, NULL, 'PIRSF005610', NULL, NULL, NULL, NULL, 'UCP005610', NULL, NULL, 5918, 13),
(51277, NULL, 'PIRSF005264', NULL, NULL, NULL, NULL, 'UCP005264', NULL, NULL, 3846, 13),
(51278, NULL, 'PIRSF037235', NULL, NULL, NULL, NULL, 'Vps13_fungi', NULL, NULL, 20792, 13),
(51279, NULL, 'PIRSF001432', NULL, NULL, NULL, NULL, 'Pect_lyase', NULL, NULL, 10085, 13),
(51280, NULL, 'PIRSF037299', NULL, NULL, NULL, NULL, 'CRH1', NULL, NULL, 21868, 13),
(51281, NULL, 'PIRSF019015', NULL, NULL, NULL, NULL, 'P60_peptidase_YkfC', NULL, NULL, 28937, 13),
(51282, NULL, 'PIRSF002395', NULL, NULL, NULL, NULL, 'RIZ_SET', NULL, NULL, 9954, 13),
(51283, NULL, 'PIRSF010045', NULL, NULL, NULL, NULL, 'TMP_111', NULL, NULL, 13477, 13),
(51284, NULL, 'PIRSF019663', NULL, NULL, NULL, NULL, 'Legumain', NULL, NULL, 1205, 13),
(51285, NULL, 'PIRSF019345', NULL, NULL, NULL, NULL, 'SCPB', NULL, NULL, 11460, 13),
(51286, NULL, 'PIRSF000830', NULL, NULL, NULL, NULL, 'L_ParamyxoV', NULL, NULL, 19873, 13),
(51287, NULL, 'PIRSF007798', NULL, NULL, NULL, NULL, 'UCP007798', NULL, NULL, 16055, 13),
(51288, NULL, 'PIRSF009324', NULL, NULL, NULL, NULL, 'Cdk5_activator', NULL, NULL, 1709, 13),
(51289, NULL, 'PIRSF020485', NULL, NULL, NULL, NULL, 'PA-IL', NULL, NULL, 13324, 13),
(51290, NULL, 'PIRSF037921', NULL, NULL, NULL, NULL, 'STPK_RIP2', NULL, NULL, 17054, 13),
(51291, NULL, 'PIRSF015604', NULL, NULL, NULL, NULL, 'OBP_PBP_Ditrysia', NULL, NULL, 2855, 13),
(51292, NULL, 'PIRSF019423', NULL, NULL, NULL, NULL, 'NMN_biosyn', NULL, NULL, 10582, 13),
(51293, NULL, 'PIRSF029347', NULL, NULL, NULL, NULL, 'RecF', NULL, NULL, 12498, 13),
(51294, NULL, 'PIRSF004357', NULL, NULL, NULL, NULL, 'MCP_bIL170', NULL, NULL, 12333, 13),
(51295, NULL, 'PIRSF000409', NULL, NULL, NULL, NULL, 'Ada', NULL, NULL, 17476, 13),
(51296, NULL, 'PIRSF002144', NULL, NULL, NULL, NULL, 'RPS19p_RPS19a_RPS15e_RPS19o', NULL, NULL, 386, 13),
(51297, NULL, 'PIRSF004377', NULL, NULL, NULL, NULL, 'Ph_proh_core', NULL, NULL, 21867, 13),
(51298, NULL, 'PIRSF003326', NULL, NULL, NULL, NULL, 'PET111', NULL, NULL, 12025, 13),
(51299, NULL, 'PIRSF004669', NULL, NULL, NULL, NULL, 'FliQ', NULL, NULL, 5342, 13),
(51300, NULL, 'PIRSF005018', NULL, NULL, NULL, NULL, 'UCP005018', NULL, NULL, 11050, 13),
(51301, NULL, 'PIRSF004953', NULL, NULL, NULL, NULL, 'EhaL', NULL, NULL, 10226, 13),
(51302, NULL, 'PIRSF038123', NULL, NULL, NULL, NULL, 'PTI6', NULL, NULL, 18434, 13),
(51303, NULL, 'PIRSF032748', NULL, NULL, NULL, NULL, 'UCP032748', NULL, NULL, 19186, 13),
(51304, NULL, 'PIRSF003269', NULL, NULL, NULL, NULL, 'TrbA', NULL, NULL, 21826, 13),
(51305, NULL, 'PIRSF028438', NULL, NULL, NULL, NULL, 'UCP028438', NULL, NULL, 17067, 13);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51306, NULL, 'PIRSF006280', NULL, NULL, NULL, NULL, 'YfiF', NULL, NULL, 15578, 13),
(51307, NULL, 'PIRSF028937', NULL, NULL, NULL, NULL, 'Lg_Ch_AO', NULL, NULL, 13778, 13),
(51308, NULL, 'PIRSF028944', NULL, NULL, NULL, NULL, 'Beta_gluc_GBA2', NULL, NULL, 12038, 13),
(51309, NULL, 'PIRSF008765', NULL, NULL, NULL, NULL, 'PIG-P_GPI19', NULL, NULL, 16251, 13),
(51310, NULL, 'PIRSF014735', NULL, NULL, NULL, NULL, 'UCP014735', NULL, NULL, 28104, 13),
(51311, NULL, 'PIRSF037532', NULL, NULL, NULL, NULL, 'HK_NtrY', NULL, NULL, 15597, 13),
(51312, NULL, 'PIRSF036537', NULL, NULL, NULL, NULL, 'EhaI', NULL, NULL, 10695, 13),
(51313, NULL, 'PIRSF038074', NULL, NULL, NULL, NULL, 'Peroxin-12', NULL, NULL, 17755, 13),
(51314, NULL, 'PIRSF005715', NULL, NULL, NULL, NULL, 'VPS45_Sec1', NULL, NULL, 5252, 13),
(51315, NULL, 'PIRSF001587', NULL, NULL, NULL, NULL, 'FGAM_synthase_II', NULL, NULL, 2431, 13),
(51316, NULL, 'PIRSF005211', NULL, NULL, NULL, NULL, 'Ab_hydro_YheT', NULL, NULL, 11475, 13),
(51317, NULL, 'PIRSF037487', NULL, NULL, NULL, NULL, 'Sulfite_red_assimil', NULL, NULL, 15506, 13),
(51318, NULL, 'PIRSF022079', NULL, NULL, NULL, NULL, 'UCP022079', NULL, NULL, 11704, 13),
(51319, NULL, 'PIRSF036915', NULL, NULL, NULL, NULL, 'Trnald_Bac_Plnt', NULL, NULL, 3718, 13),
(51320, NULL, 'PIRSF000507', NULL, NULL, NULL, NULL, 'IPT', NULL, NULL, 2715, 13),
(51321, NULL, 'PIRSF001355', NULL, NULL, NULL, NULL, 'SAM_decarbox_euk', NULL, NULL, 5174, 13),
(51322, NULL, 'PIRSF032184', NULL, NULL, NULL, NULL, 'V-ATP_synth_H', NULL, NULL, 1776, 13),
(51323, NULL, 'PIRSF014872', NULL, NULL, NULL, NULL, 'UCP014872', NULL, NULL, 19948, 13),
(51324, NULL, 'PIRSF028763', NULL, NULL, NULL, NULL, 'RNAP3_C34/C39', NULL, NULL, 2215, 13),
(51325, NULL, 'PIRSF037214', NULL, NULL, NULL, NULL, 'UCP037214', NULL, NULL, 20930, 13),
(51326, NULL, 'PIRSF026306', NULL, NULL, NULL, NULL, 'UCP026306', NULL, NULL, 16263, 13),
(51327, NULL, 'PIRSF000850', NULL, NULL, NULL, NULL, 'PLD_PSS', NULL, NULL, NULL, 13),
(51328, NULL, 'PIRSF033860', NULL, NULL, NULL, NULL, 'UCP033860', NULL, NULL, 19257, 13),
(51329, NULL, 'PIRSF037037', NULL, NULL, NULL, NULL, 'Kelch_gigaxonin', NULL, NULL, 20993, 13),
(51330, NULL, 'PIRSF009325', NULL, NULL, NULL, NULL, 'PTPRC-associated_protein', NULL, NULL, 18332, 13),
(51331, NULL, 'PIRSF010607', NULL, NULL, NULL, NULL, 'Txn_repr_CtsR', NULL, NULL, 12388, 13),
(51332, NULL, 'PIRSF021485', NULL, NULL, NULL, NULL, 'UCP021485', NULL, NULL, 11543, 13),
(51333, NULL, 'PIRSF006135', NULL, NULL, NULL, NULL, 'CobU', NULL, NULL, 3385, 13),
(51334, NULL, 'PIRSF018001', NULL, NULL, NULL, NULL, 'Aspartoacylase', NULL, NULL, 20699, 13),
(51335, NULL, 'PIRSF018868', NULL, NULL, NULL, NULL, 'UCP018868', NULL, NULL, 21581, 13),
(51336, NULL, 'PIRSF037293', NULL, NULL, NULL, NULL, 'ERdj5', NULL, NULL, 15847, 13),
(51337, NULL, 'PIRSF036893', NULL, NULL, NULL, NULL, 'Lipocalin_ApoD', NULL, NULL, 15663, 13),
(51338, NULL, 'PIRSF029394', NULL, NULL, NULL, NULL, 'UCP029394', NULL, NULL, 17316, 13),
(51339, NULL, 'PIRSF006655', NULL, NULL, NULL, NULL, 'DHQS_altern', NULL, NULL, 4517, 13),
(51340, NULL, 'PIRSF015658', NULL, NULL, NULL, NULL, 'MmdB_OadB', NULL, NULL, 3694, 13),
(51341, NULL, 'PIRSF037104', NULL, NULL, NULL, NULL, 'H3K4_HMTase_Set1_fungi', NULL, NULL, 20606, 13),
(51342, NULL, 'PIRSF033199', NULL, NULL, NULL, NULL, 'UCP033199', NULL, NULL, 8155, 13),
(51343, NULL, 'PIRSF005465', NULL, NULL, NULL, NULL, 'GIRK_kir', NULL, NULL, 15782, 13),
(51344, NULL, 'PIRSF036636', NULL, NULL, NULL, NULL, 'QcrC', NULL, NULL, 11900, 13),
(51345, NULL, 'PIRSF034039', NULL, NULL, NULL, NULL, 'UCP034039', NULL, NULL, 19058, 13),
(51346, NULL, 'PIRSF002599', NULL, NULL, NULL, NULL, 'Cold_shock_A', NULL, NULL, 7372, 13),
(51347, NULL, 'PIRSF000512', NULL, NULL, NULL, NULL, 'TMP_PPase_Cyanobac', NULL, NULL, 17052, 13),
(51348, NULL, 'PIRSF037834', NULL, NULL, NULL, NULL, 'PaaC', NULL, NULL, 8974, 13),
(51349, NULL, 'PIRSF004961', NULL, NULL, NULL, NULL, 'UCP004961_hydrolase', NULL, NULL, 11327, 13),
(51350, NULL, 'PIRSF037706', NULL, NULL, NULL, NULL, 'MRP10', NULL, NULL, 16425, 13);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51351, NULL, 'PIRSF037579', NULL, NULL, NULL, NULL, 'MAPKK_SSK22', NULL, NULL, 15825, 13),
(51352, NULL, 'PIRSF036464', NULL, NULL, NULL, NULL, 'Ser_ala_racem', NULL, NULL, 11420, 13),
(51353, NULL, 'PIRSF017324', NULL, NULL, NULL, NULL, 'UCP017324', NULL, NULL, 10691, 13),
(51354, NULL, 'PIRSF018300', NULL, NULL, NULL, NULL, 'DNA_pol_alpha_2', NULL, NULL, 21948, 13),
(51355, NULL, 'PIRSF036539', NULL, NULL, NULL, NULL, 'CmaT_thioesters', NULL, NULL, 8374, 13),
(51356, NULL, 'PIRSF000262', NULL, NULL, NULL, NULL, 'MCR_alpha', NULL, NULL, 17135, 13),
(51357, NULL, 'PIRSF004649', NULL, NULL, NULL, NULL, 'MlaC', NULL, NULL, 7536, 13),
(51358, NULL, 'PIRSF023577', NULL, NULL, NULL, NULL, 'NOSIP', NULL, NULL, 15204, 13),
(51359, NULL, 'PIRSF038003', NULL, NULL, NULL, NULL, 'PINCH', NULL, NULL, 17910, 13),
(51360, NULL, 'PIRSF037653', NULL, NULL, NULL, NULL, 'SRY', NULL, NULL, 15736, 13),
(51361, NULL, 'PIRSF005353', NULL, NULL, NULL, NULL, 'PbuG', NULL, NULL, 23530, 13),
(51362, NULL, 'PIRSF001093', NULL, NULL, NULL, NULL, 'B-hxosamndse_ab_euk_', NULL, NULL, 28004, 13),
(51363, NULL, 'PIRSF030748', NULL, NULL, NULL, NULL, 'Autotransporter_YhjY', NULL, NULL, 18387, 13),
(51364, NULL, 'PIRSF037933', NULL, NULL, NULL, NULL, 'Polyserase-2', NULL, NULL, 17165, 13),
(51365, NULL, 'PIRSF037672', NULL, NULL, NULL, NULL, 'UCP037672', NULL, NULL, 15963, 13),
(51366, NULL, 'PIRSF015980', NULL, NULL, NULL, NULL, 'VAC_O1L', NULL, NULL, 2998, 13),
(51367, NULL, 'PIRSF025024', NULL, NULL, NULL, NULL, 'Txn_adaptor_ADA2', NULL, NULL, 15369, 13),
(51368, NULL, 'PIRSF000778', NULL, NULL, NULL, NULL, 'RpoK/RPB6', NULL, NULL, 10377, 13),
(51369, NULL, 'PIRSF500156', NULL, NULL, NULL, NULL, 'GalT_Corynebac', NULL, NULL, 36559, 13),
(51370, NULL, 'PIRSF000034', NULL, NULL, NULL, NULL, 'Cytochrome_b6f_V/PetG', NULL, NULL, 1558, 13),
(51371, NULL, 'PIRSF002530', NULL, NULL, NULL, NULL, 'FTZ-F1', NULL, NULL, 20584, 13),
(51372, NULL, 'PIRSF000524', NULL, NULL, NULL, NULL, 'SPT', NULL, NULL, 13040, 13),
(51373, NULL, 'PIRSF028561', NULL, NULL, NULL, NULL, 'Ac_Trasf', NULL, NULL, 12255, 13),
(51374, NULL, 'PIRSF018503', NULL, NULL, NULL, NULL, 'BMOH_MMO_gamma', NULL, NULL, 3642, 13),
(51375, NULL, 'PIRSF021320', NULL, NULL, NULL, NULL, 'UCP021320', NULL, NULL, 14739, 13),
(51376, NULL, 'PIRSF002808', NULL, NULL, NULL, NULL, 'Hexose_phosphate_transp', NULL, NULL, 4729, 13),
(51377, NULL, 'PIRSF003059', NULL, NULL, NULL, NULL, 'GtfA', NULL, NULL, 20653, 13),
(51378, NULL, 'PIRSF003281', NULL, NULL, NULL, NULL, 'ExcA', NULL, NULL, 21625, 13),
(51379, NULL, 'PIRSF018193', NULL, NULL, NULL, NULL, 'UCP018193', NULL, NULL, 21595, 13),
(51380, NULL, 'PIRSF011474', NULL, NULL, NULL, NULL, 'GutM', NULL, NULL, 11617, 13),
(51381, NULL, 'PIRSF015877', NULL, NULL, NULL, NULL, 'UCP015877', NULL, NULL, 11505, 13),
(51382, NULL, 'PIRSF036508', NULL, NULL, NULL, NULL, 'Condns_HCP-6', NULL, NULL, 13789, 13),
(51383, NULL, 'PIRSF011468', NULL, NULL, NULL, NULL, 'PhnJ', NULL, NULL, 8169, 13),
(51384, NULL, 'PIRSF006066', NULL, NULL, NULL, NULL, 'HI0050', NULL, NULL, 3334, 13),
(51385, NULL, 'PIRSF005850', NULL, NULL, NULL, NULL, 'UCP005850', NULL, NULL, 19420, 13),
(51386, NULL, 'PIRSF037000', NULL, NULL, NULL, NULL, 'RNA_ed_MP18', NULL, NULL, 19972, 13),
(51387, NULL, 'PIRSF016487', NULL, NULL, NULL, NULL, 'CYTH_UCP016487', NULL, NULL, 11935, 13),
(51388, NULL, 'PIRSF037618', NULL, NULL, NULL, NULL, 'RNA_Mtase_bacterial', NULL, NULL, 15954, 13),
(51389, NULL, 'PIRSF007945', NULL, NULL, NULL, NULL, 'SRB2', NULL, NULL, 16163, 13),
(51390, NULL, 'PIRSF024865', NULL, NULL, NULL, NULL, 'UCP024865', NULL, NULL, 22524, 13),
(51391, NULL, 'PIRSF017082', NULL, NULL, NULL, NULL, 'YflP', NULL, NULL, 2099, 13),
(51392, NULL, 'PIRSF015919', NULL, NULL, NULL, NULL, 'TFIIH_SSL1', NULL, NULL, 7134, 13),
(51393, NULL, 'PIRSF034585', NULL, NULL, NULL, NULL, 'SrfB', NULL, NULL, 10576, 13),
(51394, NULL, 'PIRSF033595', NULL, NULL, NULL, NULL, 'UCP033595', NULL, NULL, 19489, 13),
(51395, NULL, 'PIRSF017300', NULL, NULL, NULL, NULL, 'snoRNP_Mpp10', NULL, NULL, 7341, 13);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51396, NULL, 'PIRSF021525', NULL, NULL, NULL, NULL, 'UCP021525', NULL, NULL, 11686, 13),
(51397, NULL, 'PIRSF036978', NULL, NULL, NULL, NULL, 'UCP036978_PHPhdr', NULL, NULL, 19534, 13),
(51398, NULL, 'PIRSF500176', NULL, NULL, NULL, NULL, 'L_ASNase', NULL, NULL, NULL, 13),
(51399, NULL, 'PIRSF011386', NULL, NULL, NULL, NULL, 'FixH', NULL, NULL, 13240, 13),
(51400, NULL, 'PIRSF037892', NULL, NULL, NULL, NULL, 'Subtilisin_rel_SRU_0565', NULL, NULL, 16743, 13),
(51401, NULL, 'PIRSF501107', NULL, NULL, NULL, NULL, 'Protein_kin_C_eta', NULL, NULL, 28043, 13),
(51402, NULL, 'PIRSF000036', NULL, NULL, NULL, NULL, 'Cytochrome_PsbE', NULL, NULL, 11455, 13),
(51403, NULL, 'PIRSF002412', NULL, NULL, NULL, NULL, 'MA_DBI', NULL, NULL, 20706, 13),
(51404, NULL, 'PIRSF037840', NULL, NULL, NULL, NULL, 'Aldolase_YihT', NULL, NULL, 16504, 13),
(51405, NULL, 'PIRSF012290', NULL, NULL, NULL, NULL, 'EutL_PduB', NULL, NULL, 9797, 13),
(51406, NULL, 'PIRSF033367', NULL, NULL, NULL, NULL, 'UCP033367_VanZ', NULL, NULL, 19290, 13),
(51407, NULL, 'PIRSF000390', NULL, NULL, NULL, NULL, 'PLP_StrS', NULL, NULL, 4103, 13),
(51408, NULL, 'PIRSF005285', NULL, NULL, NULL, NULL, 'tRNA_splic_endonuc_archaea', NULL, NULL, 15839, 13),
(51409, NULL, 'PIRSF015195', NULL, NULL, NULL, NULL, 'UCP015195', NULL, NULL, 14934, 13),
(51410, NULL, 'PIRSF021697', NULL, NULL, NULL, NULL, 'UCP021697', NULL, NULL, 15378, 13),
(51411, NULL, 'PIRSF003923', NULL, NULL, NULL, NULL, 'SH_protein_mumps', NULL, NULL, 6429, 13),
(51412, NULL, 'PIRSF017617', NULL, NULL, NULL, NULL, 'Thr_aldolase', NULL, NULL, 16562, 13),
(51413, NULL, 'PIRSF037002', NULL, NULL, NULL, NULL, 'RNA_ed_MP63', NULL, NULL, 19841, 13),
(51414, NULL, 'PIRSF037139', NULL, NULL, NULL, NULL, 'UCP037139', NULL, NULL, 19723, 13),
(51415, NULL, 'PIRSF037844', NULL, NULL, NULL, NULL, 'Vpr-related_protease', NULL, NULL, 16691, 13),
(51416, NULL, 'PIRSF002773', NULL, NULL, NULL, NULL, 'ABC_prm/ATPase_B', NULL, NULL, NULL, 13),
(51417, NULL, 'PIRSF005739', NULL, NULL, NULL, NULL, 'O-mtase', NULL, NULL, 15807, 13),
(51418, NULL, 'PIRSF022145', NULL, NULL, NULL, NULL, 'Sulfocyanin', NULL, NULL, 14687, 13),
(51419, NULL, 'PIRSF006363', NULL, NULL, NULL, NULL, 'UCP006363_ACT', NULL, NULL, 9994, 13),
(51420, NULL, 'PIRSF018455', NULL, NULL, NULL, NULL, 'MepA', NULL, NULL, 10006, 13),
(51421, NULL, 'PIRSF021239', NULL, NULL, NULL, NULL, 'UCP021239', NULL, NULL, 3619, 13),
(51422, NULL, 'PIRSF000826', NULL, NULL, NULL, NULL, 'L_PhleboV', NULL, NULL, 12629, 13),
(51423, NULL, 'PIRSF018077', NULL, NULL, NULL, NULL, 'UCP018077', NULL, NULL, 5896, 13),
(51424, NULL, 'PIRSF028991', NULL, NULL, NULL, NULL, 'Glycl_rad_HI0521', NULL, NULL, 17065, 13),
(51425, NULL, 'PIRSF016573', NULL, NULL, NULL, NULL, 'Snapalysin', NULL, NULL, 2739, 13),
(51426, NULL, 'PIRSF034789', NULL, NULL, NULL, NULL, 'Type_III_secr_syst_SsaM', NULL, NULL, 19491, 13),
(51427, NULL, 'PIRSF031057', NULL, NULL, NULL, NULL, 'TPK1', NULL, NULL, 18499, 13),
(51428, NULL, 'PIRSF033622', NULL, NULL, NULL, NULL, 'UCP033622_transglutaminase', NULL, NULL, 19358, 13),
(51429, NULL, 'PIRSF005355', NULL, NULL, NULL, NULL, 'UBIAD1', NULL, NULL, 21964, 13),
(51430, NULL, 'PIRSF017233', NULL, NULL, NULL, NULL, 'IKAP', NULL, NULL, 4483, 13),
(51431, NULL, 'PIRSF005890', NULL, NULL, NULL, NULL, 'Phot_II_cyt_c550', NULL, NULL, 9458, 13),
(51432, NULL, 'PIRSF030200', NULL, NULL, NULL, NULL, 'PaaB', NULL, NULL, 14983, 13),
(51433, NULL, 'PIRSF006162', NULL, NULL, NULL, NULL, 'PgpA', NULL, NULL, 26359, 13),
(51434, NULL, 'PIRSF002116', NULL, NULL, NULL, NULL, 'RPS4a_RPS4e', NULL, NULL, 4903, 13),
(51435, NULL, 'PIRSF000144', NULL, NULL, NULL, NULL, 'CbbBc', NULL, NULL, NULL, 13),
(51436, NULL, 'PIRSF000428', NULL, NULL, NULL, NULL, 'P_Ac_trans', NULL, NULL, 7463, 13),
(51437, NULL, 'PIRSF000988', NULL, NULL, NULL, NULL, 'DNase_I', NULL, NULL, 12482, 13),
(51438, NULL, 'PIRSF006035', NULL, NULL, NULL, NULL, 'CO_dh_b_ACDS_e', NULL, NULL, 2458, 13),
(51439, NULL, 'PIRSF029755', NULL, NULL, NULL, NULL, 'UCP029755', NULL, NULL, 18309, 13),
(51440, NULL, 'PIRSF032079', NULL, NULL, NULL, NULL, 'UCP032079', NULL, NULL, 8203, 13);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51441, NULL, 'PIRSF038175', NULL, NULL, NULL, NULL, 'MAPKKK14', NULL, NULL, 18821, 13),
(51442, NULL, 'PIRSF018008', NULL, NULL, NULL, NULL, 'UCP018008', NULL, NULL, 8520, 13),
(51443, NULL, 'PIRSF022941', NULL, NULL, NULL, NULL, 'ORC6_fungal', NULL, NULL, 15327, 13),
(51444, NULL, 'PIRSF037903', NULL, NULL, NULL, NULL, 'Subtilisin_rel_GFO_2223', NULL, NULL, 16532, 13),
(51445, NULL, 'PIRSF001892', NULL, NULL, NULL, NULL, 'CyaE', NULL, NULL, 28832, 13),
(51446, NULL, 'PIRSF006594', NULL, NULL, NULL, NULL, 'UCP006594', NULL, NULL, 5036, 13),
(51447, NULL, 'PIRSF005028', NULL, NULL, NULL, NULL, 'KhtT', NULL, NULL, 26373, 13),
(51448, NULL, 'PIRSF012886', NULL, NULL, NULL, NULL, 'UCP012886', NULL, NULL, 19878, 13),
(51449, NULL, 'PIRSF025414', NULL, NULL, NULL, NULL, 'Alpha-N-AFase', NULL, NULL, 15453, 13),
(51450, NULL, 'PIRSF038193', NULL, NULL, NULL, NULL, 'Hyaluronidase', NULL, NULL, 13775, 13),
(51451, NULL, 'PIRSF000095', NULL, NULL, NULL, NULL, '17beta-HSD', NULL, NULL, 14921, 13),
(51452, NULL, 'PIRSF000567', NULL, NULL, NULL, NULL, 'TYPK_Myt1', NULL, NULL, 17241, 13),
(51453, NULL, 'PIRSF004983', NULL, NULL, NULL, NULL, 'MenD', NULL, NULL, 7348, 13),
(51454, NULL, 'PIRSF038928', NULL, NULL, NULL, NULL, 'Catalase_clade1-3', NULL, NULL, 605, 13),
(51455, NULL, 'PIRSF001267', NULL, NULL, NULL, NULL, 'Pyrophosphatase_GppA_Ppx', NULL, NULL, 22063, 13),
(51456, NULL, 'PIRSF037087', NULL, NULL, NULL, NULL, 'UCP037087', NULL, NULL, 20580, 13),
(51457, NULL, 'PIRSF037378', NULL, NULL, NULL, NULL, 'EIN2', NULL, NULL, 21737, 13),
(51458, NULL, 'PIRSF028451', NULL, NULL, NULL, NULL, 'UCP028451', NULL, NULL, 9440, 13),
(51459, NULL, 'PIRSF000909', NULL, NULL, NULL, NULL, 'STPPPtase_PPZ', NULL, NULL, 11413, 13),
(51460, NULL, 'PIRSF019574', NULL, NULL, NULL, NULL, 'Periplasmic_polyamine_BP', NULL, NULL, 1120, 13),
(51461, NULL, 'PIRSF009998', NULL, NULL, NULL, NULL, 'DLC7', NULL, NULL, 18235, 13),
(51462, NULL, 'PIRSF015200', NULL, NULL, NULL, NULL, 'Cyclin_WDSV', NULL, NULL, 7264, 13),
(51463, NULL, 'PIRSF019455', NULL, NULL, NULL, NULL, 'CopR_AtkY', NULL, NULL, 2617, 13),
(51464, NULL, 'PIRSF014405', NULL, NULL, NULL, NULL, 'UCP014405', NULL, NULL, 13558, 13),
(51465, NULL, 'PIRSF002371', NULL, NULL, NULL, NULL, 'Alpha-s2-casein', NULL, NULL, 11317, 13),
(51466, NULL, 'PIRSF014470', NULL, NULL, NULL, NULL, 'UCP014470', NULL, NULL, 19690, 13),
(51467, NULL, 'PIRSF007635', NULL, NULL, NULL, NULL, 'Mmp_autolysin', NULL, NULL, 16029, 13),
(51468, NULL, 'PIRSF006557', NULL, NULL, NULL, NULL, 'UCP006557_sign', NULL, NULL, 11463, 13),
(51469, NULL, 'PIRSF007808', NULL, NULL, NULL, NULL, 'Mms22p', NULL, NULL, 12250, 13),
(51470, NULL, 'PIRSF037403', NULL, NULL, NULL, NULL, 'BMP3/GDF10', NULL, NULL, 21893, 13),
(51471, NULL, 'PIRSF038075', NULL, NULL, NULL, NULL, 'Env_UL49A', NULL, NULL, 18452, 13),
(51472, NULL, 'PIRSF011773', NULL, NULL, NULL, NULL, 'RFA3_yeast', NULL, NULL, 18383, 13),
(51473, NULL, 'PIRSF006485', NULL, NULL, NULL, NULL, 'EngA', NULL, NULL, 15919, 13),
(51474, NULL, 'PIRSF005925', NULL, NULL, NULL, NULL, 'Dos', NULL, NULL, 14035, 13),
(51475, NULL, 'PIRSF022207', NULL, NULL, NULL, NULL, 'UCP022207', NULL, NULL, 15357, 13),
(51476, NULL, 'PIRSF009416', NULL, NULL, NULL, NULL, 'LuxD', NULL, NULL, 1912, 13),
(51477, NULL, 'PIRSF037736', NULL, NULL, NULL, NULL, 'SCO1', NULL, NULL, 16304, 13),
(51478, NULL, 'PIRSF026583', NULL, NULL, NULL, NULL, 'YybT', NULL, NULL, 12335, 13),
(51479, NULL, 'PIRSF029038', NULL, NULL, NULL, NULL, 'Mtase_YbiN', NULL, NULL, 17293, 13),
(51480, NULL, 'PIRSF002401', NULL, NULL, NULL, NULL, 'GTP-binding_obg', NULL, NULL, 14019, 13),
(51481, NULL, 'PIRSF036426', NULL, NULL, NULL, NULL, 'Sirohaem_synth', NULL, NULL, 13604, 13),
(51482, NULL, 'PIRSF015034', NULL, NULL, NULL, NULL, 'YacH', NULL, NULL, 25264, 13),
(51483, NULL, 'PIRSF001109', NULL, NULL, NULL, NULL, 'SAHH', NULL, NULL, 3724, 13),
(51484, NULL, 'PIRSF003107', NULL, NULL, NULL, NULL, 'PhoU', NULL, NULL, 22991, 13),
(51485, NULL, 'PIRSF000934', NULL, NULL, NULL, NULL, 'PTPN14_PTPN21', NULL, NULL, 7936, 13);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51486, NULL, 'PIRSF000883', NULL, NULL, NULL, NULL, 'Pesterase_MJ0912', NULL, NULL, 10383, 13),
(51487, NULL, 'PIRSF037899', NULL, NULL, NULL, NULL, 'Subtilisin_rel_Moth_2364', NULL, NULL, 16652, 13),
(51488, NULL, 'PIRSF001790', NULL, NULL, NULL, NULL, 'TNF_C22L', NULL, NULL, 11173, 13),
(51489, NULL, 'PIRSF037394', NULL, NULL, NULL, NULL, 'ABC_permease_YkoE', NULL, NULL, 21949, 13),
(51490, NULL, 'PIRSF000189', NULL, NULL, NULL, NULL, 'D-aa_oxidase', NULL, NULL, 15945, 13),
(51491, NULL, 'PIRSF003153', NULL, NULL, NULL, NULL, 'ATF2_CRE-BP1', NULL, NULL, 21562, 13),
(51492, NULL, 'PIRSF028103', NULL, NULL, NULL, NULL, 'GcvR', NULL, NULL, 16058, 13),
(51493, NULL, 'PIRSF037249', NULL, NULL, NULL, NULL, 'Histone_Mtase_SET', NULL, NULL, 21749, 13),
(51494, NULL, 'PIRSF036918', NULL, NULL, NULL, NULL, 'Maltodextrin_glucosidase', NULL, NULL, 19634, 13),
(51495, NULL, 'PIRSF011489', NULL, NULL, NULL, NULL, 'UCP011489', NULL, NULL, 3654, 13),
(51496, NULL, 'PIRSF037187', NULL, NULL, NULL, NULL, 'SmB_SmN', NULL, NULL, 20556, 13),
(51497, NULL, 'PIRSF037726', NULL, NULL, NULL, NULL, 'IL-22', NULL, NULL, 19530, 13),
(51498, NULL, 'PIRSF016070', NULL, NULL, NULL, NULL, 'Vir_PGP3-D_Chlamydiae', NULL, NULL, 8622, 13),
(51499, NULL, 'PIRSF000813', NULL, NULL, NULL, NULL, 'CCA_bact', NULL, NULL, 10542, 13),
(51500, NULL, 'PIRSF015691', NULL, NULL, NULL, NULL, 'VAC_E5R', NULL, NULL, 4972, 13),
(51501, NULL, 'PIRSF002674', NULL, NULL, NULL, NULL, 'VSP', NULL, NULL, 7751, 13),
(51502, NULL, 'PIRSF037118', NULL, NULL, NULL, NULL, 'TerA', NULL, NULL, 20875, 13),
(51503, NULL, 'PIRSF005198', NULL, NULL, NULL, NULL, 'SKI2', NULL, NULL, 15566, 13),
(51504, NULL, 'PIRSF006298', NULL, NULL, NULL, NULL, 'GtrA', NULL, NULL, 15696, 13),
(51505, NULL, 'PIRSF000184', NULL, NULL, NULL, NULL, 'GDH_NAD', NULL, NULL, 17471, 13),
(51506, NULL, 'PIRSF029636', NULL, NULL, NULL, NULL, 'UCP029636', NULL, NULL, 17373, 13),
(51507, NULL, 'PIRSF000167', NULL, NULL, NULL, NULL, 'HemN', NULL, NULL, 4196, 13),
(51508, NULL, 'PIRSF010312', NULL, NULL, NULL, NULL, 'SoxY', NULL, NULL, 18450, 13),
(51509, NULL, 'PIRSF000006', NULL, NULL, NULL, NULL, 'Cbb3-Cox_fixP', NULL, NULL, 3214, 13),
(51510, NULL, 'PIRSF000491', NULL, NULL, NULL, NULL, 'Alt_phage', NULL, NULL, 17416, 13),
(51511, NULL, 'PIRSF001348', NULL, NULL, NULL, NULL, 'PEP_carboxykin_GTP', NULL, NULL, 7013, 13),
(51512, NULL, 'PIRSF032370', NULL, NULL, NULL, NULL, 'VraR', NULL, NULL, 19326, 13),
(51513, NULL, 'PIRSF033328', NULL, NULL, NULL, NULL, 'Phest_Mll4975', NULL, NULL, 8273, 13),
(51514, NULL, 'PIRSF038131', NULL, NULL, NULL, NULL, 'CX5C1', NULL, NULL, 8959, 13),
(51515, NULL, 'PIRSF001024', NULL, NULL, NULL, NULL, 'Alph-amyl_fung', NULL, NULL, 11501, 13),
(51516, NULL, 'PIRSF015625', NULL, NULL, NULL, NULL, 'VAC_I1L', NULL, NULL, 581, 13),
(51517, NULL, 'PIRSF006425', NULL, NULL, NULL, NULL, 'UCP006425_WD40', NULL, NULL, 7565, 13),
(51518, NULL, 'PIRSF016482', NULL, NULL, NULL, NULL, 'PilO', NULL, NULL, 4975, 13),
(51519, NULL, 'PIRSF012569', NULL, NULL, NULL, NULL, 'UCP012569', NULL, NULL, 18382, 13),
(51520, NULL, 'PIRSF003128', NULL, NULL, NULL, NULL, 'RecN', NULL, NULL, 597, 13),
(51521, NULL, 'PIRSF016179', NULL, NULL, NULL, NULL, 'UCP016179', NULL, NULL, 4272, 13),
(51522, NULL, 'PIRSF008455', NULL, NULL, NULL, NULL, 'UCP008455', NULL, NULL, 9844, 13),
(51523, NULL, 'PIRSF028980', NULL, NULL, NULL, NULL, 'tRNAHis_guanlltr', NULL, NULL, 10651, 13),
(51524, NULL, 'PIRSF011771', NULL, NULL, NULL, NULL, 'RMS1_SET', NULL, NULL, 14586, 13),
(51525, NULL, 'PIRSF017834', NULL, NULL, NULL, NULL, 'NDUC2', NULL, NULL, 8166, 13),
(51526, NULL, 'PIRSF004532', NULL, NULL, NULL, NULL, 'GlpX', NULL, NULL, 7459, 13),
(51527, NULL, 'PIRSF000209', NULL, NULL, NULL, NULL, 'Bifunctional_P450_P450R', NULL, NULL, 15910, 13),
(51528, NULL, 'PIRSF000746', NULL, NULL, NULL, NULL, 'RPO35', NULL, NULL, 2055, 13),
(51529, NULL, 'PIRSF016938', NULL, NULL, NULL, NULL, 'RseA', NULL, NULL, 23511, 13),
(51530, NULL, 'PIRSF001072', NULL, NULL, NULL, NULL, 'HN_paramyxo', NULL, NULL, 19839, 13);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51531, NULL, 'PIRSF001458', NULL, NULL, NULL, NULL, 'MerB', NULL, NULL, 1567, 13),
(51532, NULL, 'PIRSF036301', NULL, NULL, NULL, NULL, 'Cripto_growth_factor', NULL, NULL, 19639, 13),
(51533, NULL, 'PIRSF037479', NULL, NULL, NULL, NULL, 'Pg_GlcNAc_deacet', NULL, NULL, 15925, 13),
(51534, NULL, 'PIRSF000260', NULL, NULL, NULL, NULL, 'FTRc', NULL, NULL, 12669, 13),
(51535, NULL, 'PIRSF018156', NULL, NULL, NULL, NULL, 'MRPL51_fungal', NULL, NULL, 20933, 13),
(51536, NULL, 'PIRSF034981', NULL, NULL, NULL, NULL, 'Mtase_firmicutes', NULL, NULL, 18706, 13),
(51537, NULL, 'PIRSF500103', NULL, NULL, NULL, NULL, 'EndoV', NULL, NULL, 15674, 13),
(51538, NULL, 'PIRSF020870', NULL, NULL, NULL, NULL, 'Radical_SAM_bac', NULL, NULL, 15438, 13),
(51539, NULL, 'PIRSF009136', NULL, NULL, NULL, NULL, 'MDUP_MalA', NULL, NULL, 16190, 13),
(51540, NULL, 'PIRSF000439', NULL, NULL, NULL, NULL, 'Oat_ACAT_DAG_ARE', NULL, NULL, 12713, 13),
(51541, NULL, 'PIRSF028788', NULL, NULL, NULL, NULL, 'TfoX_Sxy', NULL, NULL, 24442, 13),
(51542, NULL, 'PIRSF019454', NULL, NULL, NULL, NULL, 'UCP019454_CBS_PAB0389', NULL, NULL, 21632, 13),
(51543, NULL, 'PIRSF037818', NULL, NULL, NULL, NULL, 'Glucagon', NULL, NULL, NULL, 13),
(51544, NULL, 'PIRSF000071', NULL, NULL, NULL, NULL, 'Rubredoxin', NULL, NULL, 27590, 13),
(51545, NULL, 'PIRSF036577', NULL, NULL, NULL, NULL, 'PDH_ADH_plant', NULL, NULL, 12122, 13),
(51546, NULL, 'PIRSF019225', NULL, NULL, NULL, NULL, 'Cyt_c1_Campylob', NULL, NULL, 15956, 13),
(51547, NULL, 'PIRSF500700', NULL, NULL, NULL, NULL, 'MDM2', NULL, NULL, 27506, 13),
(51548, NULL, 'PIRSF020196', NULL, NULL, NULL, NULL, 'NS2', NULL, NULL, 21812, 13),
(51549, NULL, 'PIRSF004729', NULL, NULL, NULL, NULL, 'MutL', NULL, NULL, 11368, 13),
(51550, NULL, 'PIRSF001815', NULL, NULL, NULL, NULL, 'Vasopressin_oxytocin', NULL, NULL, 414, 13),
(51551, NULL, 'PIRSF000727', NULL, NULL, NULL, NULL, 'ThrA', NULL, NULL, 10154, 13),
(51552, NULL, 'PIRSF037097', NULL, NULL, NULL, NULL, 'AP4_epsilon', NULL, NULL, 20564, 13),
(51553, NULL, 'PIRSF037816', NULL, NULL, NULL, NULL, 'Viral_cyclin', NULL, NULL, 16984, 13),
(51554, NULL, 'PIRSF003108', NULL, NULL, NULL, NULL, 'DinJ', NULL, NULL, 28027, 13),
(51555, NULL, 'PIRSF005790', NULL, NULL, NULL, NULL, 'Nitrogenase_stabiliz_NifW', NULL, NULL, 372, 13),
(51556, NULL, 'PIRSF000897', NULL, NULL, NULL, NULL, 'Acid_Ptase_ClsA', NULL, NULL, 2269, 13),
(51557, NULL, 'PIRSF004611', NULL, NULL, NULL, NULL, 'CBP2', NULL, NULL, 21764, 13),
(51558, NULL, 'PIRSF036633', NULL, NULL, NULL, NULL, 'FmdC_D', NULL, NULL, 11939, 13),
(51559, NULL, 'PIRSF006446', NULL, NULL, NULL, NULL, 'Cyt_quinol_oxidase_1', NULL, NULL, 1652, 13),
(51560, NULL, 'PIRSF029958', NULL, NULL, NULL, NULL, 'Necrosis-inducing_protein', NULL, NULL, 13278, 13),
(51561, NULL, 'PIRSF038992', NULL, NULL, NULL, NULL, 'Aldolase_Ia', NULL, NULL, 32383, 13),
(51562, NULL, 'PIRSF001138', NULL, NULL, NULL, NULL, 'Enteropeptidase', NULL, NULL, 11217, 13),
(51563, NULL, 'PIRSF013370', NULL, NULL, NULL, NULL, 'ACPS', NULL, NULL, 19789, 13),
(51564, NULL, 'PIRSF036979', NULL, NULL, NULL, NULL, 'Arginase', NULL, NULL, 2821, 13),
(51565, NULL, 'PIRSF034934', NULL, NULL, NULL, NULL, 'AbiF_AbiD', NULL, NULL, 19445, 13),
(51566, NULL, 'PIRSF037314', NULL, NULL, NULL, NULL, 'HK_MctS', NULL, NULL, 21715, 13),
(51567, NULL, 'PIRSF021361', NULL, NULL, NULL, NULL, 'UCP021361', NULL, NULL, 15174, 13),
(51568, NULL, 'PIRSF028784', NULL, NULL, NULL, NULL, 'MrpF', NULL, NULL, 1406, 13),
(51569, NULL, 'PIRSF000654', NULL, NULL, NULL, NULL, 'ILK', NULL, NULL, NULL, 13),
(51570, NULL, 'PIRSF030158', NULL, NULL, NULL, NULL, 'UCP030158', NULL, NULL, 12328, 13),
(51571, NULL, 'PIRSF029129', NULL, NULL, NULL, NULL, 'UCP029129', NULL, NULL, 11607, 13),
(51572, NULL, 'PIRSF027923', NULL, NULL, NULL, NULL, 'Rubrer_027923', NULL, NULL, 10289, 13),
(51573, NULL, 'PIRSF003033', NULL, NULL, NULL, NULL, 'Ku70', NULL, NULL, 10404, 13),
(51574, NULL, 'PIRSF037900', NULL, NULL, NULL, NULL, 'Subtilisin_rel_PfSUB_1', NULL, NULL, 16751, 13),
(51575, NULL, 'PIRSF036376', NULL, NULL, NULL, NULL, 'Corin', NULL, NULL, 19759, 13);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51576, NULL, 'PIRSF002825', NULL, NULL, NULL, NULL, 'CfbpA', NULL, NULL, 21549, 13),
(51577, NULL, 'PIRSF019307', NULL, NULL, NULL, NULL, 'UCP019307', NULL, NULL, 10762, 13),
(51578, NULL, 'PIRSF005539', NULL, NULL, NULL, NULL, 'F1_peptds', NULL, NULL, 317, 13),
(51579, NULL, 'PIRSF019401', NULL, NULL, NULL, NULL, 'SeqA', NULL, NULL, 2784, 13),
(51580, NULL, 'PIRSF003025', NULL, NULL, NULL, NULL, 'Transl_init_eIF5A', NULL, NULL, 4247, 13),
(51581, NULL, 'PIRSF015601', NULL, NULL, NULL, NULL, 'MTase_slr0722', NULL, NULL, 2107, 13),
(51582, NULL, 'PIRSF004311', NULL, NULL, NULL, NULL, 'SSB_T7', NULL, NULL, 21677, 13),
(51583, NULL, 'PIRSF036557', NULL, NULL, NULL, NULL, 'XdhA_RC', NULL, NULL, 7277, 13),
(51584, NULL, 'PIRSF003575', NULL, NULL, NULL, NULL, 'MSA-2', NULL, NULL, 1603, 13),
(51585, NULL, 'PIRSF015703', NULL, NULL, NULL, NULL, 'UCP015703', NULL, NULL, 9842, 13),
(51586, NULL, 'PIRSF036888', NULL, NULL, NULL, NULL, 'HDGYPm_UCP036888', NULL, NULL, 9888, 13),
(51587, NULL, 'PIRSF002148', NULL, NULL, NULL, NULL, 'RPS21e', NULL, NULL, 2009, 13),
(51588, NULL, 'PIRSF003217', NULL, NULL, NULL, NULL, 'Cro_protein', NULL, NULL, 4328, 13),
(51589, NULL, 'PIRSF029693', NULL, NULL, NULL, NULL, 'UCP029693', NULL, NULL, 18416, 13),
(51590, NULL, 'PIRSF006453', NULL, NULL, NULL, NULL, 'FwdA', NULL, NULL, 11074, 13),
(51591, NULL, 'PIRSF028774', NULL, NULL, NULL, NULL, 'UCP028774', NULL, NULL, 10573, 13),
(51592, NULL, 'PIRSF037666', NULL, NULL, NULL, NULL, 'GerPD', NULL, NULL, 15897, 13),
(51593, NULL, 'PIRSF001361', NULL, NULL, NULL, NULL, 'DAHP_synthase', NULL, NULL, 11366, 13),
(51594, NULL, 'PIRSF036940', NULL, NULL, NULL, NULL, 'PanK_bac_aCoA', NULL, NULL, 11075, 13),
(51595, NULL, 'PIRSF037565', NULL, NULL, NULL, NULL, 'RRNA_m2G_Mtase_RsmD', NULL, NULL, 15824, 13),
(51596, NULL, 'PIRSF038205', NULL, NULL, NULL, NULL, 'DRP2', NULL, NULL, 18679, 13),
(51597, NULL, 'PIRSF000007', NULL, NULL, NULL, NULL, 'Ubiq_cycred_cyc', NULL, NULL, 9700, 13),
(51598, NULL, 'PIRSF009288', NULL, NULL, NULL, NULL, 'NDUB8', NULL, NULL, 18272, 13),
(51599, NULL, 'PIRSF018781', NULL, NULL, NULL, NULL, 'UCP018781', NULL, NULL, 12534, 13),
(51600, NULL, 'PIRSF002541', NULL, NULL, NULL, NULL, 'SP_pAIF', NULL, NULL, 20876, 13),
(51601, NULL, 'PIRSF035170', NULL, NULL, NULL, NULL, 'HD_phosphohydro', NULL, NULL, 10866, 13),
(51602, NULL, 'PIRSF030959', NULL, NULL, NULL, NULL, 'UCP030959', NULL, NULL, 12525, 13),
(51603, NULL, 'PIRSF004954', NULL, NULL, NULL, NULL, 'Radical_SAM', NULL, NULL, 178, 13),
(51604, NULL, 'PIRSF000363', NULL, NULL, NULL, NULL, 'Nitrogenase_iron', NULL, NULL, 4909, 13),
(51605, NULL, 'PIRSF006291', NULL, NULL, NULL, NULL, 'GspM', NULL, NULL, 1469, 13),
(51606, NULL, 'PIRSF038207', NULL, NULL, NULL, NULL, 'PP1_GT_animal', NULL, NULL, 18954, 13),
(51607, NULL, 'PIRSF000657', NULL, NULL, NULL, NULL, 'STPK_ASFV', NULL, NULL, 17310, 13),
(51608, NULL, 'PIRSF002603', NULL, NULL, NULL, NULL, 'TEF', NULL, NULL, 20873, 13),
(51609, NULL, 'PIRSF003078', NULL, NULL, NULL, NULL, 'GidB', NULL, NULL, 1842, 13),
(51610, NULL, 'PIRSF003314', NULL, NULL, NULL, NULL, 'IPP_isomerase_FMN-dep', NULL, NULL, 11214, 13),
(51611, NULL, 'PIRSF006205', NULL, NULL, NULL, NULL, 'Dxp_reductoisomrs', NULL, NULL, 3180, 13),
(51612, NULL, 'PIRSF026568', NULL, NULL, NULL, NULL, 'UCP026568', NULL, NULL, 12403, 13),
(51613, NULL, 'PIRSF000025', NULL, NULL, NULL, NULL, 'Cytochrome_Bsub_c550', NULL, NULL, 14001, 13),
(51614, NULL, 'PIRSF033399', NULL, NULL, NULL, NULL, 'UCP033399', NULL, NULL, 11724, 13),
(51615, NULL, 'PIRSF000183', NULL, NULL, NULL, NULL, 'Alanine_dh', NULL, NULL, 7017, 13),
(51616, NULL, 'PIRSF016302', NULL, NULL, NULL, NULL, 'Man_a_manosd', NULL, NULL, 9851, 13),
(51617, NULL, 'PIRSF006606', NULL, NULL, NULL, NULL, 'UCP006606', NULL, NULL, 240, 13),
(51618, NULL, 'PIRSF019625', NULL, NULL, NULL, NULL, 'EVI2A', NULL, NULL, 14113, 13),
(51619, NULL, 'PIRSF001031', NULL, NULL, NULL, NULL, 'Glu-a-glcsd_SBD', NULL, NULL, 8798, 13),
(51620, NULL, 'PIRSF039100', NULL, NULL, NULL, NULL, 'ARPC4', NULL, NULL, 7557, 13);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51621, NULL, 'PIRSF037217', NULL, NULL, NULL, NULL, 'Carboxypeptdase_S', NULL, NULL, 20557, 13),
(51622, NULL, 'PIRSF036521', NULL, NULL, NULL, NULL, 'UCP036521_pph', NULL, NULL, 8115, 13),
(51623, NULL, 'PIRSF038097', NULL, NULL, NULL, NULL, 'V-ATP_synth_e1/e2', NULL, NULL, 18141, 13),
(51624, NULL, 'PIRSF037052', NULL, NULL, NULL, NULL, 'UCP037052', NULL, NULL, 20600, 13),
(51625, NULL, 'PIRSF004862', NULL, NULL, NULL, NULL, 'FliF', NULL, NULL, 3616, 13),
(51626, NULL, 'PIRSF024492', NULL, NULL, NULL, NULL, 'UCP024492', NULL, NULL, 11982, 13),
(51627, NULL, 'PIRSF028777', NULL, NULL, NULL, NULL, 'UCP028777', NULL, NULL, 25976, 13),
(51628, NULL, 'PIRSF029883', NULL, NULL, NULL, NULL, 'KdgF', NULL, NULL, 24636, 13),
(51629, NULL, 'PIRSF006268', NULL, NULL, NULL, NULL, 'ApbE', NULL, NULL, 21558, 13),
(51630, NULL, 'PIRSF037744', NULL, NULL, NULL, NULL, 'TIR_Ticam', NULL, NULL, 16291, 13),
(51631, NULL, 'PIRSF036406', NULL, NULL, NULL, NULL, 'Hept_kin', NULL, NULL, 8432, 13),
(51632, NULL, 'PIRSF004749', NULL, NULL, NULL, NULL, 'Pep_def', NULL, NULL, 6236, 13),
(51633, NULL, 'PIRSF006821', NULL, NULL, NULL, NULL, 'UCP006821', NULL, NULL, 17478, 13),
(51634, NULL, 'PIRSF002629', NULL, NULL, NULL, NULL, 'Txn_fact_POU_BRN', NULL, NULL, 20804, 13),
(51635, NULL, 'PIRSF031032', NULL, NULL, NULL, NULL, 'TMP_97', NULL, NULL, 18325, 13),
(51636, NULL, 'PIRSF036983', NULL, NULL, NULL, NULL, 'UCP_2CBS_MJ1404', NULL, NULL, 8950, 13),
(51637, NULL, 'PIRSF004075', NULL, NULL, NULL, NULL, 'Coat_Flexivir', NULL, NULL, 7793, 13),
(51638, NULL, 'PIRSF018153', NULL, NULL, NULL, NULL, 'Glycolip_mannosyltransf_fung', NULL, NULL, 2738, 13),
(51639, NULL, 'PIRSF003696', NULL, NULL, NULL, NULL, 'VAC_C23L', NULL, NULL, 9776, 13),
(51640, NULL, 'PIRSF029811', NULL, NULL, NULL, NULL, 'UCP029811', NULL, NULL, 26341, 13),
(51641, NULL, 'PIRSF037947', NULL, NULL, NULL, NULL, 'XRP2', NULL, NULL, 8018, 13),
(51642, NULL, 'PIRSF011237', NULL, NULL, NULL, NULL, 'GpU', NULL, NULL, 9949, 13),
(51643, NULL, 'PIRSF036470', NULL, NULL, NULL, NULL, 'PLD_plant', NULL, NULL, 7655, 13),
(51644, NULL, 'PIRSF002560', NULL, NULL, NULL, NULL, 'Bacterioferritin', NULL, NULL, 2484, 13),
(51645, NULL, 'PIRSF000185', NULL, NULL, NULL, NULL, 'Glu_DH', NULL, NULL, 11867, 13),
(51646, NULL, 'PIRSF039073', NULL, NULL, NULL, NULL, 'BRR2', NULL, NULL, NULL, 13),
(51647, NULL, 'PIRSF036531', NULL, NULL, NULL, NULL, 'Tpp15', NULL, NULL, 19951, 13),
(51648, NULL, 'PIRSF000077', NULL, NULL, NULL, NULL, 'Thioredoxin', NULL, NULL, 4980, 13),
(51649, NULL, 'PIRSF020772', NULL, NULL, NULL, NULL, 'UCP020772', NULL, NULL, 15220, 13),
(51650, NULL, 'PIRSF037149', NULL, NULL, NULL, NULL, 'NirB', NULL, NULL, 20948, 13),
(51651, NULL, 'PIRSF000533', NULL, NULL, NULL, NULL, 'ATP_PFK_euk', NULL, NULL, 9690, 13),
(51652, NULL, 'PIRSF002721', NULL, NULL, NULL, NULL, 'Surface_antigen_Rickettsia', NULL, NULL, 20530, 13),
(51653, NULL, 'PIRSF007991', NULL, NULL, NULL, NULL, 'Vang-like', NULL, NULL, 10414, 13),
(51654, NULL, 'PIRSF035836', NULL, NULL, NULL, NULL, 'UCP035836', NULL, NULL, 8499, 13),
(51655, NULL, 'PIRSF000207', NULL, NULL, NULL, NULL, 'SiR-FP_CysJ', NULL, NULL, 4241, 13),
(51656, NULL, 'PIRSF005357', NULL, NULL, NULL, NULL, 'UCP005357', NULL, NULL, 471, 13),
(51657, NULL, 'PIRSF013684', NULL, NULL, NULL, NULL, 'BBS2', NULL, NULL, 19549, 13),
(51658, NULL, 'PIRSF019678', NULL, NULL, NULL, NULL, 'UCP019678', NULL, NULL, 9926, 13),
(51659, NULL, 'PIRSF000825', NULL, NULL, NULL, NULL, 'L_HantaV', NULL, NULL, 19603, 13),
(51660, NULL, 'PIRSF000803', NULL, NULL, NULL, NULL, 'DNA_pol_II_small_arch', NULL, NULL, 10301, 13),
(51661, NULL, 'PIRSF006704', NULL, NULL, NULL, NULL, 'TFIIS', NULL, NULL, 8163, 13),
(51662, NULL, 'PIRSF036924', NULL, NULL, NULL, NULL, 'Snx5_Snx6', NULL, NULL, 8814, 13),
(51663, NULL, 'PIRSF006188', NULL, NULL, NULL, NULL, 'UCP006188', NULL, NULL, 14611, 13),
(51664, NULL, 'PIRSF017849', NULL, NULL, NULL, NULL, 'TraD', NULL, NULL, 20722, 13),
(51665, NULL, 'PIRSF000401', NULL, NULL, NULL, NULL, 'RPL11_MTase', NULL, NULL, 1951, 13);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51666, NULL, 'PIRSF006223', NULL, NULL, NULL, NULL, 'DsrC_TusE', NULL, NULL, 4828, 13),
(51667, NULL, 'PIRSF032656', NULL, NULL, NULL, NULL, 'Glycosylhydrolase_', NULL, NULL, 19480, 13),
(51668, NULL, 'PIRSF001775', NULL, NULL, NULL, NULL, 'Thrombomodulin', NULL, NULL, NULL, 13),
(51669, NULL, 'PIRSF016195', NULL, NULL, NULL, NULL, 'UCP016195', NULL, NULL, 9900, 13),
(51670, NULL, 'PIRSF015730', NULL, NULL, NULL, NULL, 'TFAR19', NULL, NULL, 5039, 13),
(51671, NULL, 'PIRSF001997', NULL, NULL, NULL, NULL, 'PTPRR', NULL, NULL, 20847, 13),
(51672, NULL, 'PIRSF009427', NULL, NULL, NULL, NULL, 'UCP009427_DNAmts', NULL, NULL, 9562, 13),
(51673, NULL, 'PIRSF032888', NULL, NULL, NULL, NULL, 'UCP032888', NULL, NULL, 19255, 13),
(51674, NULL, 'PIRSF006553', NULL, NULL, NULL, NULL, 'TopoVI-B', NULL, NULL, 4687, 13),
(51675, NULL, 'PIRSF015797', NULL, NULL, NULL, NULL, 'Virion_core', NULL, NULL, 10828, 13),
(51676, NULL, 'PIRSF002094', NULL, NULL, NULL, NULL, 'OMP26_Skp', NULL, NULL, 2529, 13),
(51677, NULL, 'PIRSF000081', NULL, NULL, NULL, NULL, 'Phycocyanin', NULL, NULL, 14401, 13),
(51678, NULL, 'PIRSF037993', NULL, NULL, NULL, NULL, 'STPK_Pim-1', NULL, NULL, 17738, 13),
(51679, NULL, 'PIRSF038084', NULL, NULL, NULL, NULL, 'HAT1', NULL, NULL, 18076, 13),
(51680, NULL, 'PIRSF008716', NULL, NULL, NULL, NULL, 'Ufc1', NULL, NULL, 11996, 13),
(51681, NULL, 'PIRSF036565', NULL, NULL, NULL, NULL, 'Pyruvt_ip_decrb', NULL, NULL, 13223, 13),
(51682, NULL, 'PIRSF026633', NULL, NULL, NULL, NULL, 'UCP026633_TfuA-like', NULL, NULL, 16035, 13),
(51683, NULL, 'PIRSF029928', NULL, NULL, NULL, NULL, 'ComGC', NULL, NULL, 18174, 13),
(51684, NULL, 'PIRSF005457', NULL, NULL, NULL, NULL, 'Glx', NULL, NULL, 19075, 13),
(51685, NULL, 'PIRSF026579', NULL, NULL, NULL, NULL, 'SpoVT', NULL, NULL, 9145, 13),
(51686, NULL, 'PIRSF019240', NULL, NULL, NULL, NULL, 'UCP019240_SpoVT/AbrB-related', NULL, NULL, 21739, 13),
(51687, NULL, 'PIRSF006593', NULL, NULL, NULL, NULL, 'UCP006593', NULL, NULL, 8123, 13),
(51688, NULL, 'PIRSF004555', NULL, NULL, NULL, NULL, 'UCP004555', NULL, NULL, 5894, 13),
(51689, NULL, 'PIRSF024009', NULL, NULL, NULL, NULL, 'UCP024009', NULL, NULL, 12719, 13),
(51690, NULL, 'PIRSF007871', NULL, NULL, NULL, NULL, 'Cox20', NULL, NULL, 14535, 13),
(51691, NULL, 'PIRSF000611', NULL, NULL, NULL, NULL, 'STPK_MPS1', NULL, NULL, 17080, 13),
(51692, NULL, 'PIRSF000812', NULL, NULL, NULL, NULL, 'AAD', NULL, NULL, 10834, 13),
(51693, NULL, 'PIRSF037759', NULL, NULL, NULL, NULL, 'Asf1', NULL, NULL, 16346, 13),
(51694, NULL, 'PIRSF031780', NULL, NULL, NULL, NULL, 'UCP031780', NULL, NULL, 8397, 13),
(51695, NULL, 'PIRSF000437', NULL, NULL, NULL, NULL, 'GPAT_DHAPAT', NULL, NULL, 15714, 13),
(51696, NULL, 'PIRSF023381', NULL, NULL, NULL, NULL, 'Mpdu1', NULL, NULL, 15395, 13),
(51697, NULL, 'PIRSF001213', NULL, NULL, NULL, NULL, 'MCP', NULL, NULL, 19979, 13),
(51698, NULL, 'PIRSF016493', NULL, NULL, NULL, NULL, 'Glycyl_aminpptds', NULL, NULL, 14424, 13),
(51699, NULL, 'PIRSF022976', NULL, NULL, NULL, NULL, 'NADH_Oxi_21kDa', NULL, NULL, 15433, 13),
(51700, NULL, 'PIRSF005047', NULL, NULL, NULL, NULL, 'UCP005047_PHP', NULL, NULL, 15800, 13),
(51701, NULL, 'PIRSF036687', NULL, NULL, NULL, NULL, 'AcnB', NULL, NULL, 5817, 13),
(51702, NULL, 'PIRSF000106', NULL, NULL, NULL, NULL, 'ME', NULL, NULL, 5110, 13),
(51703, NULL, 'PIRSF037258', NULL, NULL, NULL, NULL, 'UCP037258', NULL, NULL, 14789, 13),
(51704, NULL, 'PIRSF037635', NULL, NULL, NULL, NULL, 'BID3', NULL, NULL, 15592, 13),
(51705, NULL, 'PIRSF037871', NULL, NULL, NULL, NULL, 'TIM44', NULL, NULL, 16785, 13),
(51706, NULL, 'PIRSF016481', NULL, NULL, NULL, NULL, 'PilP_PilQ', NULL, NULL, 4642, 13),
(51707, NULL, 'PIRSF016255', NULL, NULL, NULL, NULL, 'Transl_init_eIF3e', NULL, NULL, 19695, 13),
(51708, NULL, 'PIRSF019370', NULL, NULL, NULL, NULL, 'EhaR', NULL, NULL, 14272, 13),
(51709, NULL, 'PIRSF017321', NULL, NULL, NULL, NULL, 'PIG-W', NULL, NULL, 8092, 13),
(51710, NULL, 'PIRSF004982', NULL, NULL, NULL, NULL, 'SlP', NULL, NULL, 2563, 13),
(51711, NULL, 'PIRSF036894', NULL, NULL, NULL, NULL, 'PMI_Firm_short', NULL, NULL, 8889, 13);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51712, NULL, 'PIRSF000137', NULL, NULL, NULL, NULL, 'Alcohol_oxidase', NULL, NULL, 14317, 13),
(51713, NULL, 'PIRSF036480', NULL, NULL, NULL, NULL, 'FormyFH4_hydr', NULL, NULL, NULL, 13),
(51714, NULL, 'PIRSF000969', NULL, NULL, NULL, NULL, '3_5-cGMP_Pdiesterase_gamma', NULL, NULL, 5520, 13),
(51715, NULL, 'PIRSF001123', NULL, NULL, NULL, NULL, 'PepA_GA', NULL, NULL, 5172, 13),
(51716, NULL, 'PIRSF000332', NULL, NULL, NULL, NULL, 'FMO', NULL, NULL, 119, 13),
(51717, NULL, 'PIRSF036105', NULL, NULL, NULL, NULL, 'VirE3_Rhizobiaceae', NULL, NULL, 10088, 13),
(51718, NULL, 'PIRSF004882', NULL, NULL, NULL, NULL, 'GTP_bind_MJ1339', NULL, NULL, 21767, 13),
(51719, NULL, 'PIRSF036696', NULL, NULL, NULL, NULL, 'ACY-1', NULL, NULL, NULL, 13),
(51720, NULL, 'PIRSF017020', NULL, NULL, NULL, NULL, 'ASTE', NULL, NULL, 20650, 13),
(51721, NULL, 'PIRSF001837', NULL, NULL, NULL, NULL, 'Leptin', NULL, NULL, 3815, 13),
(51722, NULL, 'PIRSF037053', NULL, NULL, NULL, NULL, 'UCP037053', NULL, NULL, 20939, 13),
(51723, NULL, 'PIRSF037575', NULL, NULL, NULL, NULL, 'SBP', NULL, NULL, 15593, 13),
(51724, NULL, 'PIRSF017029', NULL, NULL, NULL, NULL, 'SRP9', NULL, NULL, 14056, 13),
(51725, NULL, 'PIRSF000972', NULL, NULL, NULL, NULL, 'Arylsulf_plant', NULL, NULL, 12711, 13),
(51726, NULL, 'PIRSF010386', NULL, NULL, NULL, NULL, 'RocB', NULL, NULL, 7478, 13),
(51727, NULL, 'PIRSF000952', NULL, NULL, NULL, NULL, 'PLC-gamma', NULL, NULL, 19818, 13),
(51728, NULL, 'PIRSF005546', NULL, NULL, NULL, NULL, 'Ifb-2', NULL, NULL, 15519, 13),
(51729, NULL, 'PIRSF006336', NULL, NULL, NULL, NULL, 'B-gal', NULL, NULL, 23640, 13),
(51730, NULL, 'PIRSF038919', NULL, NULL, NULL, NULL, 'NOG1', NULL, NULL, 23585, 13),
(51731, NULL, 'PIRSF003496', NULL, NULL, NULL, NULL, 'Myristoylat_tegument_UL11', NULL, NULL, 21527, 13),
(51732, NULL, 'PIRSF000549', NULL, NULL, NULL, NULL, 'Ser_prot_kin', NULL, NULL, 17272, 13),
(51733, NULL, 'PIRSF005669', NULL, NULL, NULL, NULL, 'HAT_Elp3', NULL, NULL, 35193, 13),
(51734, NULL, 'PIRSF028235', NULL, NULL, NULL, NULL, 'UCP028235', NULL, NULL, 16383, 13),
(51735, NULL, 'PIRSF038145', NULL, NULL, NULL, NULL, 'STPK_citron', NULL, NULL, 18875, 13),
(51736, NULL, 'PIRSF037393', NULL, NULL, NULL, NULL, 'TGFRII', NULL, NULL, 21958, 13),
(51737, NULL, 'PIRSF039008', NULL, NULL, NULL, NULL, 'YjbJ', NULL, NULL, 27223, 13),
(51738, NULL, 'PIRSF000817', NULL, NULL, NULL, NULL, 'Nucleotidyltrnsf', NULL, NULL, 3099, 13),
(51739, NULL, 'PIRSF010056', NULL, NULL, NULL, NULL, 'UCP010056', NULL, NULL, 18210, 13),
(51740, NULL, 'PIRSF028304', NULL, NULL, NULL, NULL, 'UCP028304', NULL, NULL, 7731, 13),
(51741, NULL, 'PIRSF011861', NULL, NULL, NULL, NULL, 'Biotinidase', NULL, NULL, 13495, 13),
(51742, NULL, 'PIRSF000168', NULL, NULL, NULL, NULL, 'Acyl-CoA_oxidase', NULL, NULL, 11986, 13),
(51743, NULL, 'PIRSF016441', NULL, NULL, NULL, NULL, 'GTF2I', NULL, NULL, 19756, 13),
(51744, NULL, 'PIRSF036862', NULL, NULL, NULL, NULL, 'ERp72', NULL, NULL, 19823, 13),
(51745, NULL, 'PIRSF018654', NULL, NULL, NULL, NULL, 'Fe-S_or_NB_arc', NULL, NULL, 10597, 13),
(51746, NULL, 'PIRSF028065', NULL, NULL, NULL, NULL, 'UCP028065', NULL, NULL, 16188, 13),
(51747, NULL, 'PIRSF016393', NULL, NULL, NULL, NULL, 'Enhancer_rudimentary', NULL, NULL, 6588, 13),
(51748, NULL, 'PIRSF002937', NULL, NULL, NULL, NULL, 'Res_reg_Spo0A', NULL, NULL, 11861, 13),
(51749, NULL, 'PIRSF033887', NULL, NULL, NULL, NULL, 'PduX', NULL, NULL, 12914, 13),
(51750, NULL, 'PIRSF006288', NULL, NULL, NULL, NULL, 'PII_uridyltransf', NULL, NULL, 5278, 13),
(51751, NULL, 'PIRSF021719', NULL, NULL, NULL, NULL, 'UCP021719', NULL, NULL, 8006, 13),
(51752, NULL, 'PIRSF004682', NULL, NULL, NULL, NULL, 'GmhB', NULL, NULL, 7105, 13),
(51753, NULL, 'PIRSF000948', NULL, NULL, NULL, NULL, 'Sphingomyelin_Pdiesterase', NULL, NULL, 11253, 13),
(51754, NULL, 'PIRSF000164', NULL, NULL, NULL, NULL, 'DHO_oxidase', NULL, NULL, 14465, 13),
(51755, NULL, 'PIRSF020763', NULL, NULL, NULL, NULL, 'TcpF', NULL, NULL, 8129, 13),
(51756, NULL, 'PIRSF037343', NULL, NULL, NULL, NULL, 'PTSIIBC_sugar', NULL, NULL, 21611, 13); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51757, NULL, 'PIRSF000705', NULL, NULL, NULL, NULL, 'DNK', NULL, NULL, 2744, 13),
(51758, NULL, 'PIRSF037429', NULL, NULL, NULL, NULL, 'UCP037429', NULL, NULL, 15266, 13),
(51759, NULL, 'PIRSF036911', NULL, NULL, NULL, NULL, 'CREG', NULL, NULL, 8741, 13),
(51760, NULL, 'PIRSF002867', NULL, NULL, NULL, NULL, 'CheV', NULL, NULL, 13504, 13),
(51761, NULL, 'PIRSF015853', NULL, NULL, NULL, NULL, 'Pep_DppA', NULL, NULL, 6522, 13),
(51762, NULL, 'PIRSF031088', NULL, NULL, NULL, NULL, 'UCP031088_abhydr', NULL, NULL, 18080, 13),
(51763, NULL, 'PIRSF006004', NULL, NULL, NULL, NULL, 'Cfr', NULL, NULL, 5507, 13),
(51764, NULL, 'PIRSF006864', NULL, NULL, NULL, NULL, 'UCP006864', NULL, NULL, 16092, 13),
(51765, NULL, 'PIRSF000075', NULL, NULL, NULL, NULL, 'Desulforedoxin', NULL, NULL, 10672, 13),
(51766, NULL, 'PIRSF037404', NULL, NULL, NULL, NULL, 'DNMT1', NULL, NULL, 21998, 13),
(51767, NULL, 'PIRSF005384', NULL, NULL, NULL, NULL, 'RpiB_LacA_B', NULL, NULL, 6047, 13),
(51768, NULL, 'PIRSF024622', NULL, NULL, NULL, NULL, 'Tfp_FimT', NULL, NULL, 15213, 13),
(51769, NULL, 'PIRSF018953', NULL, NULL, NULL, NULL, 'UCP018953', NULL, NULL, 21821, 13),
(51770, NULL, 'PIRSF001924', NULL, NULL, NULL, NULL, 'Shigella_toxin', NULL, NULL, 20853, 13),
(51771, NULL, 'PIRSF002158', NULL, NULL, NULL, NULL, 'RPL2p_RPL2a_RPL8e_RPL2o', NULL, NULL, 10, 13),
(51772, NULL, 'PIRSF037546', NULL, NULL, NULL, NULL, 'RNA_pol_L_Rhabdo_sub', NULL, NULL, 15520, 13),
(51773, NULL, 'PIRSF037392', NULL, NULL, NULL, NULL, 'AMHRII', NULL, NULL, 12675, 13),
(51774, NULL, 'PIRSF033093', NULL, NULL, NULL, NULL, 'UCP_ML1119', NULL, NULL, 8062, 13),
(51775, NULL, 'PIRSF028983', NULL, NULL, NULL, NULL, 'BCP1', NULL, NULL, 25663, 13),
(51776, NULL, 'PIRSF001150', NULL, NULL, NULL, NULL, 'Plasmin', NULL, NULL, 18251, 13),
(51777, NULL, 'PIRSF036949', NULL, NULL, NULL, NULL, 'RPA32', NULL, NULL, 8944, 13),
(51778, NULL, 'PIRSF006232', NULL, NULL, NULL, NULL, 'Pirin', NULL, NULL, 13295, 13),
(51779, NULL, 'PIRSF019260', NULL, NULL, NULL, NULL, 'PBSX_XkdE', NULL, NULL, 21646, 13),
(51780, NULL, 'PIRSF029895', NULL, NULL, NULL, NULL, 'SpoIV', NULL, NULL, 9310, 13),
(51781, NULL, 'PIRSF005508', NULL, NULL, NULL, NULL, 'Arsen_res_ArsB', NULL, NULL, 3521, 13),
(51782, NULL, 'PIRSF001786', NULL, NULL, NULL, NULL, 'StpA_StpB', NULL, NULL, 20541, 13),
(51783, NULL, 'PIRSF037048', NULL, NULL, NULL, NULL, 'PNPOx_plant', NULL, NULL, 16971, 13),
(51784, NULL, 'PIRSF000926', NULL, NULL, NULL, NULL, 'PTPN1_PTPN2', NULL, NULL, 12242, 13),
(51785, NULL, 'PIRSF005426', NULL, NULL, NULL, NULL, 'Frp', NULL, NULL, 15801, 13),
(51786, NULL, 'PIRSF005758', NULL, NULL, NULL, NULL, 'Shikimt_kin_arch', NULL, NULL, 4402, 13),
(51787, NULL, 'PIRSF000587', NULL, NULL, NULL, NULL, 'PI3K_Vps34', NULL, NULL, 8530, 13),
(51788, NULL, 'PIRSF000517', NULL, NULL, NULL, NULL, 'Tyr_transaminase', NULL, NULL, 193, 13),
(51789, NULL, 'PIRSF037709', NULL, NULL, NULL, NULL, 'DOV-IR', NULL, NULL, 16281, 13),
(51790, NULL, 'PIRSF015558', NULL, NULL, NULL, NULL, 'Txn_reg_DeoR', NULL, NULL, 19557, 13),
(51791, NULL, 'PIRSF022260', NULL, NULL, NULL, NULL, 'UCP022260', NULL, NULL, 15494, 13),
(51792, NULL, 'PIRSF006250', NULL, NULL, NULL, NULL, 'NadC_ModD', NULL, NULL, 28499, 13),
(51793, NULL, 'PIRSF003956', NULL, NULL, NULL, NULL, 'NS-S_PhleboV', NULL, NULL, 22600, 13),
(51794, NULL, 'PIRSF006578', NULL, NULL, NULL, NULL, 'FwdE', NULL, NULL, 28668, 13),
(51795, NULL, 'PIRSF017340', NULL, NULL, NULL, NULL, 'Nudix_hydro', NULL, NULL, 14029, 13),
(51796, NULL, 'PIRSF005636', NULL, NULL, NULL, NULL, 'McrD', NULL, NULL, 4115, 13),
(51797, NULL, 'PIRSF036704', NULL, NULL, NULL, NULL, 'UCP036704', NULL, NULL, 8846, 13),
(51798, NULL, 'PIRSF011491', NULL, NULL, NULL, NULL, 'Mtase_YbcY', NULL, NULL, 18280, 13),
(51799, NULL, 'PIRSF000932', NULL, NULL, NULL, NULL, 'PTPN12', NULL, NULL, 12024, 13),
(51800, NULL, 'PIRSF029195', NULL, NULL, NULL, NULL, 'UCP029195_PTS_EIIA2', NULL, NULL, 17268, 13),
(51801, NULL, 'PIRSF032126', NULL, NULL, NULL, NULL, 'F0F1_ATP_synth_I', NULL, NULL, 19424, 13),
(51802, NULL, 'PIRSF038153', NULL, NULL, NULL, NULL, 'WRKY_txn_fact_IIe', NULL, NULL, NULL, 13);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51803, NULL, 'PIRSF028743', NULL, NULL, NULL, NULL, 'GvpO_protein', NULL, NULL, 14414, 13),
(51804, NULL, 'PIRSF000157', NULL, NULL, NULL, NULL, 'Oxoglu_dh_E1', NULL, NULL, 11006, 13),
(51805, NULL, 'PIRSF006257', NULL, NULL, NULL, NULL, 'UCP006257', NULL, NULL, 5932, 13),
(51806, NULL, 'PIRSF026640', NULL, NULL, NULL, NULL, 'Peripl_chor_mut', NULL, NULL, 671, 13),
(51807, NULL, 'PIRSF001227', NULL, NULL, NULL, NULL, 'Pen_acylase', NULL, NULL, 7619, 13),
(51808, NULL, 'PIRSF037870', NULL, NULL, NULL, NULL, 'Doublin', NULL, NULL, 16576, 13),
(51809, NULL, 'PIRSF000398', NULL, NULL, NULL, NULL, 'M_m6A_EcoRV', NULL, NULL, 11859, 13),
(51810, NULL, 'PIRSF039117', NULL, NULL, NULL, NULL, 'KaiC', NULL, NULL, 26375, 13),
(51811, NULL, 'PIRSF032178', NULL, NULL, NULL, NULL, 'UCP032178', NULL, NULL, 19448, 13),
(51812, NULL, 'PIRSF001849', NULL, NULL, NULL, NULL, 'Guanylin', NULL, NULL, 4888, 13),
(51813, NULL, 'PIRSF006118', NULL, NULL, NULL, NULL, 'KDO8-P_Ptase', NULL, NULL, 5068, 13),
(51814, NULL, 'PIRSF016789', NULL, NULL, NULL, NULL, 'UCP016789', NULL, NULL, 3880, 13),
(51815, NULL, 'PIRSF037254', NULL, NULL, NULL, NULL, 'Gremlin', NULL, NULL, 21940, 13),
(51816, NULL, 'PIRSF000788', NULL, NULL, NULL, NULL, 'DNA_pol_ADV', NULL, NULL, 12596, 13),
(51817, NULL, 'PIRSF003949', NULL, NULL, NULL, NULL, 'N_HantaV', NULL, NULL, 441, 13),
(51818, NULL, 'PIRSF019322', NULL, NULL, NULL, NULL, 'UCP019322', NULL, NULL, 21897, 13),
(51819, NULL, 'PIRSF039089', NULL, NULL, NULL, NULL, 'ATP_synthase_gamma', NULL, NULL, NULL, 13),
(51820, NULL, 'PIRSF036962', NULL, NULL, NULL, NULL, 'UCP036962_SignTr_Ycf55', NULL, NULL, 19693, 13),
(51821, NULL, 'PIRSF003401', NULL, NULL, NULL, NULL, 'Trans_E5_PLV', NULL, NULL, 9628, 13),
(51822, NULL, 'PIRSF018982', NULL, NULL, NULL, NULL, 'EutC', NULL, NULL, 13884, 13),
(51823, NULL, 'PIRSF002279', NULL, NULL, NULL, NULL, 'Notch', NULL, NULL, 8764, 13),
(51824, NULL, 'PIRSF028345', NULL, NULL, NULL, NULL, 'UCP028345', NULL, NULL, 17197, 13),
(51825, NULL, 'PIRSF039026', NULL, NULL, NULL, NULL, 'SiaP', NULL, NULL, 26294, 13),
(51826, NULL, 'PIRSF001553', NULL, NULL, NULL, NULL, 'SucCS_alpha', NULL, NULL, 5809, 13),
(51827, NULL, 'PIRSF003783', NULL, NULL, NULL, NULL, 'VAC_C1L', NULL, NULL, 12467, 13),
(51828, NULL, 'PIRSF000876', NULL, NULL, NULL, NULL, 'RR_chemtxs_CheB', NULL, NULL, 693, 13),
(51829, NULL, 'PIRSF036506', NULL, NULL, NULL, NULL, 'MtRNA_frt_NDPSE', NULL, NULL, 15719, 13),
(51830, NULL, 'PIRSF015947', NULL, NULL, NULL, NULL, '26S_protsm_Rpn2', NULL, NULL, 19582, 13),
(51831, NULL, 'PIRSF037038', NULL, NULL, NULL, NULL, 'Bombyxin', NULL, NULL, 20696, 13),
(51832, NULL, 'PIRSF006293', NULL, NULL, NULL, NULL, 'ExsB', NULL, NULL, 16742, 13),
(51833, NULL, 'PIRSF005087', NULL, NULL, NULL, NULL, 'NrdI', NULL, NULL, 7480, 13),
(51834, NULL, 'PIRSF001357', NULL, NULL, NULL, NULL, 'DeoC', NULL, NULL, 9308, 13),
(51835, NULL, 'PIRSF001237', NULL, NULL, NULL, NULL, 'Dihydroorotase', NULL, NULL, 3512, 13),
(51836, NULL, 'PIRSF004159', NULL, NULL, NULL, NULL, 'VGG', NULL, NULL, 6468, 13),
(51837, NULL, 'PIRSF005813', NULL, NULL, NULL, NULL, 'MSH2', NULL, NULL, 11083, 13),
(51838, NULL, 'PIRSF030989', NULL, NULL, NULL, NULL, 'Glycoporin_RafY', NULL, NULL, 18023, 13),
(51839, NULL, 'PIRSF036710', NULL, NULL, NULL, NULL, 'YphA_Bacsu', NULL, NULL, 10330, 13),
(51840, NULL, 'PIRSF029225', NULL, NULL, NULL, NULL, 'DNA_pol_III_psi', NULL, NULL, 2024, 13),
(51841, NULL, 'PIRSF037673', NULL, NULL, NULL, NULL, 'UCP037673', NULL, NULL, 16004, 13),
(51842, NULL, 'PIRSF037646', NULL, NULL, NULL, NULL, 'Apaf_1', NULL, NULL, 15514, 13),
(51843, NULL, 'PIRSF018234', NULL, NULL, NULL, NULL, 'Pp1_interacting', NULL, NULL, 21776, 13),
(51844, NULL, 'PIRSF007972', NULL, NULL, NULL, NULL, 'Gra2', NULL, NULL, 6133, 13),
(51845, NULL, 'PIRSF003273', NULL, NULL, NULL, NULL, 'Mobilization_A', NULL, NULL, 21519, 13),
(51846, NULL, 'PIRSF020372', NULL, NULL, NULL, NULL, 'Rev_Borrelia', NULL, NULL, 357, 13),
(51847, NULL, 'PIRSF037289', NULL, NULL, NULL, NULL, 'SARA/endofin', NULL, NULL, 36438, 13);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51848, NULL, 'PIRSF037387', NULL, NULL, NULL, NULL, 'JP', NULL, NULL, 21924, 13),
(51849, NULL, 'PIRSF009193', NULL, NULL, NULL, NULL, 'UCP009193', NULL, NULL, 18474, 13),
(51850, NULL, 'PIRSF009375', NULL, NULL, NULL, NULL, 'Retromer_Vps35', NULL, NULL, 6074, 13),
(51851, NULL, 'PIRSF006156', NULL, NULL, NULL, NULL, 'YafQ', NULL, NULL, 5654, 13),
(51852, NULL, 'PIRSF020217', NULL, NULL, NULL, NULL, 'UCP020217', NULL, NULL, 8139, 13),
(51853, NULL, 'PIRSF037935', NULL, NULL, NULL, NULL, 'TMPRSS13', NULL, NULL, 17185, 13),
(51854, NULL, 'PIRSF038055', NULL, NULL, NULL, NULL, 'Nas9_nas10_nas11', NULL, NULL, 17927, 13),
(51855, NULL, 'PIRSF000040', NULL, NULL, NULL, NULL, 'MMOH_comp', NULL, NULL, 12361, 13),
(51856, NULL, 'PIRSF037882', NULL, NULL, NULL, NULL, 'Subtilisin_rel_fervidolysin', NULL, NULL, 16558, 13),
(51857, NULL, 'PIRSF002111', NULL, NULL, NULL, NULL, 'RpsA', NULL, NULL, 2534, 13),
(51858, NULL, 'PIRSF029595', NULL, NULL, NULL, NULL, 'LecB', NULL, NULL, 17387, 13),
(51859, NULL, 'PIRSF038189', NULL, NULL, NULL, NULL, 'IRAK4', NULL, NULL, 18922, 13),
(51860, NULL, 'PIRSF017535', NULL, NULL, NULL, NULL, 'ESCRT1_Vps28', NULL, NULL, 283, 13),
(51861, NULL, 'PIRSF015848', NULL, NULL, NULL, NULL, 'TEBP_alpha', NULL, NULL, 5048, 13),
(51862, NULL, 'PIRSF000136', NULL, NULL, NULL, NULL, 'LGO_GLO', NULL, NULL, 5154, 13),
(51863, NULL, 'PIRSF005149', NULL, NULL, NULL, NULL, 'IPC-B_HD', NULL, NULL, 7833, 13),
(51864, NULL, 'PIRSF037181', NULL, NULL, NULL, NULL, 'UCP037181', NULL, NULL, 14268, 13),
(51865, NULL, 'PIRSF002912', NULL, NULL, NULL, NULL, 'PsaK', NULL, NULL, 20641, 13),
(51866, NULL, 'PIRSF036400', NULL, NULL, NULL, NULL, 'RR_Ctr_UCP036400', NULL, NULL, 8248, 13),
(51867, NULL, 'PIRSF009264', NULL, NULL, NULL, NULL, 'TagBP_ald_acces_AgaZ', NULL, NULL, 12113, 13),
(51868, NULL, 'PIRSF004178', NULL, NULL, NULL, NULL, 'DNA_pol_Bac_phage', NULL, NULL, 7533, 13),
(51869, NULL, 'PIRSF005825', NULL, NULL, NULL, NULL, 'PufQ', NULL, NULL, 14157, 13),
(51870, NULL, 'PIRSF006755', NULL, NULL, NULL, NULL, 'DTB_synth', NULL, NULL, 7161, 13),
(51871, NULL, 'PIRSF000868', NULL, NULL, NULL, NULL, '14-3-3', NULL, NULL, 943, 13),
(51872, NULL, 'PIRSF005637', NULL, NULL, NULL, NULL, 'UCP005637', NULL, NULL, 13906, 13),
(51873, NULL, 'PIRSF008315', NULL, NULL, NULL, NULL, 'UCP008315', NULL, NULL, 16403, 13),
(51874, NULL, 'PIRSF028998', NULL, NULL, NULL, NULL, 'GINS_PSF2', NULL, NULL, 6634, 13),
(51875, NULL, 'PIRSF002379', NULL, NULL, NULL, NULL, 'Coagulogen', NULL, NULL, 621, 13),
(51876, NULL, 'PIRSF000171', NULL, NULL, NULL, NULL, 'SDHA_APRA_LASPO', NULL, NULL, NULL, 13),
(51877, NULL, 'PIRSF015626', NULL, NULL, NULL, NULL, 'FdhD', NULL, NULL, 3230, 13),
(51878, NULL, 'PIRSF000624', NULL, NULL, NULL, NULL, 'TyrPK_TMrec_ROR', NULL, NULL, 17187, 13),
(51879, NULL, 'PIRSF021774', NULL, NULL, NULL, NULL, 'UCP021774', NULL, NULL, 15029, 13),
(51880, NULL, 'PIRSF028431', NULL, NULL, NULL, NULL, 'UCP028431', NULL, NULL, 17269, 13),
(51881, NULL, 'PIRSF006815', NULL, NULL, NULL, NULL, 'GcvPA', NULL, NULL, 15187, 13),
(51882, NULL, 'PIRSF036421', NULL, NULL, NULL, NULL, 'Tricorn_protease', NULL, NULL, 13723, 13),
(51883, NULL, 'PIRSF002855', NULL, NULL, NULL, NULL, 'Murein-lipo', NULL, NULL, 20615, 13),
(51884, NULL, 'PIRSF016642', NULL, NULL, NULL, NULL, 'UCP016642', NULL, NULL, 10152, 13),
(51885, NULL, 'PIRSF009431', NULL, NULL, NULL, NULL, 'UCP009431', NULL, NULL, 10223, 13),
(51886, NULL, 'PIRSF038941', NULL, NULL, NULL, NULL, 'NspC', NULL, NULL, 4602, 13),
(51887, NULL, 'PIRSF033563', NULL, NULL, NULL, NULL, 'UCP033563', NULL, NULL, 7826, 13),
(51888, NULL, 'PIRSF001444', NULL, NULL, NULL, NULL, 'Adenylate_cycl', NULL, NULL, 4808, 13),
(51889, NULL, 'PIRSF035808', NULL, NULL, NULL, NULL, 'Pdiesterase_Brain_239', NULL, NULL, 14298, 13),
(51890, NULL, 'PIRSF038196', NULL, NULL, NULL, NULL, 'IRF-1_IRF-2', NULL, NULL, 18819, 13),
(51891, NULL, 'PIRSF000412', NULL, NULL, NULL, NULL, 'SHMT', NULL, NULL, 2286, 13),
(51892, NULL, 'PIRSF037345', NULL, NULL, NULL, NULL, 'ALG8_EndoV', NULL, NULL, 19790, 13);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51893, NULL, 'PIRSF029285', NULL, NULL, NULL, NULL, 'Aminopept', NULL, NULL, 12362, 13),
(51894, NULL, 'PIRSF029393', NULL, NULL, NULL, NULL, 'UCP029393', NULL, NULL, 17053, 13),
(51895, NULL, 'PIRSF001002', NULL, NULL, NULL, NULL, 'EcoRI', NULL, NULL, 19012, 13),
(51896, NULL, 'PIRSF001992', NULL, NULL, NULL, NULL, 'CD74_antigen', NULL, NULL, 37729, 13),
(51897, NULL, 'PIRSF012666', NULL, NULL, NULL, NULL, 'UCP012666', NULL, NULL, 18354, 13),
(51898, NULL, 'PIRSF000192', NULL, NULL, NULL, NULL, 'Amine_dh_beta', NULL, NULL, 9975, 13),
(51899, NULL, 'PIRSF021438', NULL, NULL, NULL, NULL, 'DltD', NULL, NULL, 12736, 13),
(51900, NULL, 'PIRSF028162', NULL, NULL, NULL, NULL, 'BcbE', NULL, NULL, 16137, 13),
(51901, NULL, 'PIRSF032673', NULL, NULL, NULL, NULL, 'UCP032673', NULL, NULL, 8327, 13),
(51902, NULL, 'PIRSF006692', NULL, NULL, NULL, NULL, 'Txn_reg_HTH_AF0396', NULL, NULL, 16071, 13),
(51903, NULL, 'PIRSF006181', NULL, NULL, NULL, NULL, 'EbsC_YbaK', NULL, NULL, 5898, 13),
(51904, NULL, 'PIRSF500064', NULL, NULL, NULL, NULL, 'GPAT', NULL, NULL, 27689, 13),
(51905, NULL, 'PIRSF000847', NULL, NULL, NULL, NULL, 'Phos_ph_gly_syn', NULL, NULL, 719, 13),
(51906, NULL, 'PIRSF007531', NULL, NULL, NULL, NULL, 'CPT', NULL, NULL, 12910, 13),
(51907, NULL, 'PIRSF038159', NULL, NULL, NULL, NULL, 'PP1_16AB', NULL, NULL, 18587, 13),
(51908, NULL, 'PIRSF022603', NULL, NULL, NULL, NULL, 'UCP022603', NULL, NULL, 15078, 13),
(51909, NULL, 'PIRSF001617', NULL, NULL, NULL, NULL, 'Alpha-AR', NULL, NULL, NULL, 13),
(51910, NULL, 'PIRSF036411', NULL, NULL, NULL, NULL, 'ATR_PduO', NULL, NULL, 10677, 13),
(51911, NULL, 'PIRSF029681', NULL, NULL, NULL, NULL, 'PagL', NULL, NULL, 15207, 13),
(51912, NULL, 'PIRSF032623', NULL, NULL, NULL, NULL, 'Protease_SSO2181', NULL, NULL, 19014, 13),
(51913, NULL, 'PIRSF000514', NULL, NULL, NULL, NULL, 'Pentafunct_AroM', NULL, NULL, 8780, 13),
(51914, NULL, 'PIRSF000509', NULL, NULL, NULL, NULL, 'Trp_DMAT', NULL, NULL, 7410, 13),
(51915, NULL, 'PIRSF005879', NULL, NULL, NULL, NULL, 'C/EBP', NULL, NULL, 15572, 13),
(51916, NULL, 'PIRSF500699', NULL, NULL, NULL, NULL, 'MDM4', NULL, NULL, 9159, 13),
(51917, NULL, 'PIRSF000345', NULL, NULL, NULL, NULL, 'OLE1', NULL, NULL, 9631, 13),
(51918, NULL, 'PIRSF002134', NULL, NULL, NULL, NULL, 'RPS13p_RPS13a_RPS18e_RPS13o', NULL, NULL, 4451, 13),
(51919, NULL, 'PIRSF005567', NULL, NULL, NULL, NULL, 'Beta''-COP', NULL, NULL, 15709, 13),
(51920, NULL, 'PIRSF011091', NULL, NULL, NULL, NULL, 'BBS7', NULL, NULL, 18139, 13),
(51921, NULL, 'PIRSF008292', NULL, NULL, NULL, NULL, 'UCP008292', NULL, NULL, 16493, 13),
(51922, NULL, 'PIRSF025560', NULL, NULL, NULL, NULL, 'UCP025560', NULL, NULL, 8986, 13),
(51923, NULL, 'PIRSF001145', NULL, NULL, NULL, NULL, 'Tissue_plasm_act', NULL, NULL, 28587, 13),
(51924, NULL, 'PIRSF500166', NULL, NULL, NULL, NULL, 'HMDII_III', NULL, NULL, 6488, 13),
(51925, NULL, 'PIRSF002967', NULL, NULL, NULL, NULL, 'Fimbr_prot_A', NULL, NULL, 20671, 13),
(51926, NULL, 'PIRSF018072', NULL, NULL, NULL, NULL, 'UCP018072', NULL, NULL, 20775, 13),
(51927, NULL, 'PIRSF030561', NULL, NULL, NULL, NULL, 'UCP030561', NULL, NULL, 7925, 13),
(51928, NULL, 'PIRSF037578', NULL, NULL, NULL, NULL, 'MAPKKK_STE11_Cryp', NULL, NULL, 15648, 13),
(51929, NULL, 'PIRSF027377', NULL, NULL, NULL, NULL, 'Nitrile_oxidored_QueF', NULL, NULL, 16156, 13),
(51930, NULL, 'PIRSF003352', NULL, NULL, NULL, NULL, 'MAK16', NULL, NULL, 5530, 13),
(51931, NULL, 'PIRSF018327', NULL, NULL, NULL, NULL, 'VP40_FiloV', NULL, NULL, 9911, 13),
(51932, NULL, 'PIRSF011502', NULL, NULL, NULL, NULL, 'DdrA_PduG', NULL, NULL, 9572, 13),
(51933, NULL, 'PIRSF000661', NULL, NULL, NULL, NULL, 'STPK_RAD53', NULL, NULL, 17309, 13),
(51934, NULL, 'PIRSF000857', NULL, NULL, NULL, NULL, 'PAPS_reductase', NULL, NULL, 1523, 13),
(51935, NULL, 'PIRSF002936', NULL, NULL, NULL, NULL, 'SAT_2', NULL, NULL, 13108, 13),
(51936, NULL, 'PIRSF037251', NULL, NULL, NULL, NULL, 'AADAC', NULL, NULL, 21816, 13),
(51937, NULL, 'PIRSF025624', NULL, NULL, NULL, NULL, 'ACT_PheB', NULL, NULL, 7996, 13),
(51938, NULL, 'PIRSF001065', NULL, NULL, NULL, NULL, 'Lysozyme_g', NULL, NULL, 1324, 13);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51939, NULL, 'PIRSF006846', NULL, NULL, NULL, NULL, 'UL5', NULL, NULL, 16229, 13),
(51940, NULL, 'PIRSF015588', NULL, NULL, NULL, NULL, 'AP_complex_sigma', NULL, NULL, 19679, 13),
(51941, NULL, 'PIRSF036388', NULL, NULL, NULL, NULL, 'Ctsl_amnpptdse_B', NULL, NULL, 7578, 13),
(51942, NULL, 'PIRSF036945', NULL, NULL, NULL, NULL, 'Spt5', NULL, NULL, 19640, 13),
(51943, NULL, 'PIRSF005644', NULL, NULL, NULL, NULL, 'Hdrgns_mtr_HypE', NULL, NULL, 14189, 13),
(51944, NULL, 'PIRSF001586', NULL, NULL, NULL, NULL, 'FGAM_synth_I', NULL, NULL, 2314, 13),
(51945, NULL, 'PIRSF000368', NULL, NULL, NULL, NULL, 'Anaer_RNR_III_small', NULL, NULL, 12848, 13),
(51946, NULL, 'PIRSF000620', NULL, NULL, NULL, NULL, 'Insulin_receptor', NULL, NULL, 17025, 13),
(51947, NULL, 'PIRSF032067', NULL, NULL, NULL, NULL, 'Cyanophycinase', NULL, NULL, 13028, 13),
(51948, NULL, 'PIRSF038181', NULL, NULL, NULL, NULL, 'NCoA', NULL, NULL, 18719, 13),
(51949, NULL, 'PIRSF005859', NULL, NULL, NULL, NULL, 'PBR', NULL, NULL, 4541, 13),
(51950, NULL, 'PIRSF002483', NULL, NULL, NULL, NULL, 'Plasminogen-related', NULL, NULL, 20803, 13),
(51951, NULL, 'PIRSF016055', NULL, NULL, NULL, NULL, 'NqrB', NULL, NULL, 2387, 13),
(51952, NULL, 'PIRSF500824', NULL, NULL, NULL, NULL, 'TrpB_prok', NULL, NULL, 4732, 13),
(51953, NULL, 'PIRSF010361', NULL, NULL, NULL, NULL, 'UCP010361', NULL, NULL, 18095, 13),
(51954, NULL, 'PIRSF037738', NULL, NULL, NULL, NULL, 'UCP037738', NULL, NULL, 16316, 13),
(51955, NULL, 'PIRSF028696', NULL, NULL, NULL, NULL, 'UCP028696', NULL, NULL, 17266, 13),
(51956, NULL, 'PIRSF000619', NULL, NULL, NULL, NULL, 'TyrPK_EGF-R', NULL, NULL, 17430, 13),
(51957, NULL, 'PIRSF009554', NULL, NULL, NULL, NULL, 'UCP009554', NULL, NULL, 11218, 13),
(51958, NULL, 'PIRSF020632', NULL, NULL, NULL, NULL, 'YeaR', NULL, NULL, 11977, 13),
(51959, NULL, 'PIRSF034834', NULL, NULL, NULL, NULL, 'PduT', NULL, NULL, 11288, 13),
(51960, NULL, 'PIRSF001069', NULL, NULL, NULL, NULL, 'Lytic_enz_p15', NULL, NULL, 19666, 13),
(51961, NULL, 'PIRSF038057', NULL, NULL, NULL, NULL, 'Hatching_uvs2', NULL, NULL, 17940, 13),
(51962, NULL, 'PIRSF039020', NULL, NULL, NULL, NULL, 'EhpR', NULL, NULL, 23899, 13),
(51963, NULL, 'PIRSF006563', NULL, NULL, NULL, NULL, 'UCP006563', NULL, NULL, 11303, 13),
(51964, NULL, 'PIRSF029477', NULL, NULL, NULL, NULL, 'UCP029477', NULL, NULL, 17457, 13),
(51965, NULL, 'PIRSF000552', NULL, NULL, NULL, NULL, 'PKC_mu_nu_D2', NULL, NULL, 11896, 13),
(51966, NULL, 'PIRSF004932', NULL, NULL, NULL, NULL, 'DNA_bp_Tfx', NULL, NULL, 20973, 13),
(51967, NULL, 'PIRSF018432', NULL, NULL, NULL, NULL, 'WbeT', NULL, NULL, 21550, 13),
(51968, NULL, 'PIRSF036638', NULL, NULL, NULL, NULL, 'M_m6A_StsI', NULL, NULL, 13099, 13),
(51969, NULL, 'PIRSF005962', NULL, NULL, NULL, NULL, 'Amidohydrol_AmhX', NULL, NULL, 18887, 13),
(51970, NULL, 'PIRSF037246', NULL, NULL, NULL, NULL, 'UCP037246', NULL, NULL, 21663, 13),
(51971, NULL, 'PIRSF017018', NULL, NULL, NULL, NULL, 'Tp34', NULL, NULL, 21569, 13),
(51972, NULL, 'PIRSF008505', NULL, NULL, NULL, NULL, 'UCP008505', NULL, NULL, 16330, 13),
(51973, NULL, 'PIRSF037660', NULL, NULL, NULL, NULL, 'HA-17', NULL, NULL, 7879, 13),
(51974, NULL, 'PIRSF000930', NULL, NULL, NULL, NULL, 'PTPN8_PTPN22', NULL, NULL, 19729, 13),
(51975, NULL, 'PIRSF017023', NULL, NULL, NULL, NULL, 'KNR4', NULL, NULL, 10814, 13),
(51976, NULL, 'PIRSF004574', NULL, NULL, NULL, NULL, 'RepA4', NULL, NULL, 21511, 13),
(51977, NULL, 'PIRSF032676', NULL, NULL, NULL, NULL, 'PQQC_032676', NULL, NULL, 19224, 13),
(51978, NULL, 'PIRSF002888', NULL, NULL, NULL, NULL, 'FliM', NULL, NULL, 3226, 13),
(51979, NULL, 'PIRSF014439', NULL, NULL, NULL, NULL, 'APE1894_ACT', NULL, NULL, 19594, 13),
(51980, NULL, 'PIRSF001478', NULL, NULL, NULL, NULL, 'L-ara_isomerase', NULL, NULL, 6116, 13),
(51981, NULL, 'PIRSF005852', NULL, NULL, NULL, NULL, 'UCP005852', NULL, NULL, 15660, 13),
(51982, NULL, 'PIRSF013503', NULL, NULL, NULL, NULL, 'OTUB', NULL, NULL, 19792, 13),
(51983, NULL, 'PIRSF004108', NULL, NULL, NULL, NULL, 'Coat_Tenuivirus', NULL, NULL, 7791, 13);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(51984, NULL, 'PIRSF000770', NULL, NULL, NULL, NULL, 'SigK_SigE', NULL, NULL, 3295, 13),
(51985, NULL, 'PIRSF029792', NULL, NULL, NULL, NULL, 'Pro_racemase', NULL, NULL, 14135, 13),
(51986, NULL, 'PIRSF011221', NULL, NULL, NULL, NULL, 'Chloropl_CC', NULL, NULL, 18349, 13),
(51987, NULL, 'PIRSF006444', NULL, NULL, NULL, NULL, 'PaaK', NULL, NULL, 8529, 13),
(51988, NULL, 'PIRSF027893', NULL, NULL, NULL, NULL, 'UCP027893', NULL, NULL, 12020, 13),
(51989, NULL, 'PIRSF015875', NULL, NULL, NULL, NULL, 'UCP015875', NULL, NULL, 3655, 13),
(51990, NULL, 'PIRSF012535', NULL, NULL, NULL, NULL, 'UCP012535', NULL, NULL, 10076, 13),
(51991, NULL, 'PIRSF033239', NULL, NULL, NULL, NULL, 'ExoD', NULL, NULL, 8755, 13),
(51992, NULL, 'PIRSF007349', NULL, NULL, NULL, NULL, 'Tsp_L', NULL, NULL, 6815, 13),
(51993, NULL, 'PIRSF020370', NULL, NULL, NULL, NULL, 'Oms28', NULL, NULL, 255, 13),
(51994, NULL, 'PIRSF036409', NULL, NULL, NULL, NULL, 'EutP_PduV', NULL, NULL, 13581, 13),
(51995, NULL, 'PIRSF012509', NULL, NULL, NULL, NULL, 'CamS', NULL, NULL, 13969, 13),
(51996, NULL, 'PIRSF015840', NULL, NULL, NULL, NULL, 'Lem3/Cdc50', NULL, NULL, 2279, 13),
(51997, NULL, 'PIRSF006221', NULL, NULL, NULL, NULL, 'KT3K', NULL, NULL, 15772, 13),
(51998, NULL, 'PIRSF030837', NULL, NULL, NULL, NULL, 'TerW', NULL, NULL, 11329, 13),
(51999, NULL, 'PIRSF012641', NULL, NULL, NULL, NULL, 'UCP012641', NULL, NULL, 22442, 13),
(52000, NULL, 'PIRSF003268', NULL, NULL, NULL, NULL, 'TraJ_R1', NULL, NULL, 21553, 13),
(52001, NULL, 'PIRSF016839', NULL, NULL, NULL, NULL, 'PhP', NULL, NULL, 5198, 13),
(52002, NULL, 'PIRSF030175', NULL, NULL, NULL, NULL, 'UCP030175', NULL, NULL, 18072, 13),
(52003, NULL, 'PIRSF013217', NULL, NULL, NULL, NULL, 'UCP013217_Opy1', NULL, NULL, 19575, 13),
(52004, NULL, 'PIRSF006500', NULL, NULL, NULL, NULL, 'MtrG', NULL, NULL, 6538, 13),
(52005, NULL, 'PIRSF009376', NULL, NULL, NULL, NULL, 'PLD_euk', NULL, NULL, 18408, 13),
(52006, NULL, 'PIRSF015883', NULL, NULL, NULL, NULL, 'ADP-Pfk_glckin', NULL, NULL, 9096, 13),
(52007, NULL, 'PIRSF006247', NULL, NULL, NULL, NULL, 'TrkH', NULL, NULL, 5229, 13),
(52008, NULL, 'PIRSF011560', NULL, NULL, NULL, NULL, 'ComK', NULL, NULL, 10218, 13),
(52009, NULL, 'PIRSF028470', NULL, NULL, NULL, NULL, 'UCP028470', NULL, NULL, 17086, 13),
(52010, NULL, 'PIRSF013232', NULL, NULL, NULL, NULL, 'UCP013232', NULL, NULL, 19851, 13),
(52011, NULL, 'PIRSF021497', NULL, NULL, NULL, NULL, 'Sulfotransf_LpsS', NULL, NULL, 9893, 13),
(52012, NULL, 'PIRSF036630', NULL, NULL, NULL, NULL, 'Aconts_X_fused', NULL, NULL, 11526, 13),
(52013, NULL, 'PIRSF020906', NULL, NULL, NULL, NULL, 'Anti_s_fact_PmgA', NULL, NULL, 15338, 13),
(52014, NULL, 'PIRSF000854', NULL, NULL, NULL, NULL, 'PEP_synthase', NULL, NULL, 4906, 13),
(52015, NULL, 'PIRSF037259', NULL, NULL, NULL, NULL, 'ABC_permease_EcsB', NULL, NULL, 7989, 13),
(52016, NULL, 'PIRSF019548', NULL, NULL, NULL, NULL, 'TNF_CD30L', NULL, NULL, 17108, 13),
(52017, NULL, 'PIRSF038972', NULL, NULL, NULL, NULL, 'Trm12', NULL, NULL, 26145, 13),
(52018, NULL, 'PIRSF032131', NULL, NULL, NULL, NULL, 'UCP032131', NULL, NULL, 10367, 13),
(52019, NULL, 'PIRSF000108', NULL, NULL, NULL, NULL, 'IDH_NADP', NULL, NULL, 5441, 13),
(52020, NULL, 'PIRSF017302', NULL, NULL, NULL, NULL, 'Gltscr2', NULL, NULL, 10712, 13),
(52021, NULL, 'PIRSF000362', NULL, NULL, NULL, NULL, 'FNR', NULL, NULL, 15707, 13),
(52022, NULL, 'PIRSF037748', NULL, NULL, NULL, NULL, 'RNase_HIII', NULL, NULL, 2706, 13),
(52023, NULL, 'PIRSF031505', NULL, NULL, NULL, NULL, 'GalT_short', NULL, NULL, 12745, 13),
(52024, NULL, 'PIRSF000472', NULL, NULL, NULL, NULL, 'Alpha1_6FUT_euk', NULL, NULL, 9509, 13),
(52025, NULL, 'PIRSF008109', NULL, NULL, NULL, NULL, 'RFamide_ACEP-1', NULL, NULL, 16424, 13),
(52026, NULL, 'PIRSF003817', NULL, NULL, NULL, NULL, 'Gen_Poly_FLV', NULL, NULL, 7848, 13),
(52027, NULL, 'PIRSF037006', NULL, NULL, NULL, NULL, 'Wax_synthase', NULL, NULL, 19736, 13),
(52028, NULL, 'PIRSF036459', NULL, NULL, NULL, NULL, 'DAP_dec_asp_kin', NULL, NULL, 11057, 13),
(52029, NULL, 'PIRSF006373', NULL, NULL, NULL, NULL, 'TFE_archaea', NULL, NULL, 15628, 13);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52030, NULL, 'PIRSF036402', NULL, NULL, NULL, NULL, 'Ureas_acces_UreE', NULL, NULL, 13536, 13),
(52031, NULL, 'PIRSF021383', NULL, NULL, NULL, NULL, 'YunB', NULL, NULL, 9000, 13),
(52032, NULL, 'PIRSF018557', NULL, NULL, NULL, NULL, 'DAN', NULL, NULL, 21997, 13),
(52033, NULL, 'PIRSF026326', NULL, NULL, NULL, NULL, 'InaA', NULL, NULL, 27620, 13),
(52034, NULL, 'PIRSF019236', NULL, NULL, NULL, NULL, 'UCP019236', NULL, NULL, 21695, 13),
(52035, NULL, 'PIRSF036767', NULL, NULL, NULL, NULL, 'ASM-like_Pdiesterase', NULL, NULL, 19807, 13),
(52036, NULL, 'PIRSF011844', NULL, NULL, NULL, NULL, 'Sufu', NULL, NULL, 18146, 13),
(52037, NULL, 'PIRSF028288', NULL, NULL, NULL, NULL, 'UCP028288', NULL, NULL, 16247, 13),
(52038, NULL, 'PIRSF036483', NULL, NULL, NULL, NULL, 'PFK_XF0274', NULL, NULL, 7934, 13),
(52039, NULL, 'PIRSF000087', NULL, NULL, NULL, NULL, 'PYP', NULL, NULL, 14204, 13),
(52040, NULL, 'PIRSF029008', NULL, NULL, NULL, NULL, 'MecA', NULL, NULL, 13052, 13),
(52041, NULL, 'PIRSF037999', NULL, NULL, NULL, NULL, 'TNFR_3_LTBR', NULL, NULL, 17751, 13),
(52042, NULL, 'PIRSF004602', NULL, NULL, NULL, NULL, 'ATPgrasp_PurP', NULL, NULL, 642, 13),
(52043, NULL, 'PIRSF001535', NULL, NULL, NULL, NULL, 'ProRS_1', NULL, NULL, 10886, 13),
(52044, NULL, 'PIRSF002097', NULL, NULL, NULL, NULL, 'DNA-bp_Fis', NULL, NULL, 7069, 13),
(52045, NULL, 'PIRSF015617', NULL, NULL, NULL, NULL, 'Adenosyltransferase_CobA', NULL, NULL, 6248, 13),
(52046, NULL, 'PIRSF036625', NULL, NULL, NULL, NULL, 'GAF_ANTAR', NULL, NULL, 12326, 13),
(52047, NULL, 'PIRSF010252', NULL, NULL, NULL, NULL, 'ZapC', NULL, NULL, 13770, 13),
(52048, NULL, 'PIRSF000429', NULL, NULL, NULL, NULL, 'Ac-CoA_Ac_transf', NULL, NULL, 188, 13),
(52049, NULL, 'PIRSF037221', NULL, NULL, NULL, NULL, 'UCP037221', NULL, NULL, 12075, 13),
(52050, NULL, 'PIRSF011859', NULL, NULL, NULL, NULL, 'TNFR_17_CD269', NULL, NULL, 15518, 13),
(52051, NULL, 'PIRSF038286', NULL, NULL, NULL, NULL, 'PRAME', NULL, NULL, 23711, 13),
(52052, NULL, 'PIRSF034961', NULL, NULL, NULL, NULL, 'UCP034961_SH3_2', NULL, NULL, 8096, 13),
(52053, NULL, 'PIRSF000451', NULL, NULL, NULL, NULL, 'PKS_III', NULL, NULL, 10134, 13),
(52054, NULL, 'PIRSF001734', NULL, NULL, NULL, NULL, 'BRCA1', NULL, NULL, 22252, 13),
(52055, NULL, 'PIRSF001296', NULL, NULL, NULL, NULL, 'H/K_exch_ATPase_C', NULL, NULL, 3176, 13),
(52056, NULL, 'PIRSF037793', NULL, NULL, NULL, NULL, 'EsaB', NULL, NULL, 14083, 13),
(52057, NULL, 'PIRSF006515', NULL, NULL, NULL, NULL, 'KRR1', NULL, NULL, 13496, 13),
(52058, NULL, 'PIRSF001657', NULL, NULL, NULL, NULL, 'Alpha-amyl_inhib_seed_allergen', NULL, NULL, 10044, 13),
(52059, NULL, 'PIRSF001698', NULL, NULL, NULL, NULL, 'C-ETS', NULL, NULL, 19508, 13),
(52060, NULL, 'PIRSF018100', NULL, NULL, NULL, NULL, 'CsgC', NULL, NULL, 10260, 13),
(52061, NULL, 'PIRSF501032', NULL, NULL, NULL, NULL, 'C-ets-2', NULL, NULL, 26588, 13),
(52062, NULL, 'PIRSF036654', NULL, NULL, NULL, NULL, 'Fum_suc_asp_HD', NULL, NULL, 10343, 13),
(52063, NULL, 'PIRSF039144', NULL, NULL, NULL, NULL, 'GlnB', NULL, NULL, 6080, 13),
(52064, NULL, 'PIRSF001021', NULL, NULL, NULL, NULL, 'Alph-amls_thrmst', NULL, NULL, 11662, 13),
(52065, NULL, 'PIRSF036534', NULL, NULL, NULL, NULL, 'EhaC', NULL, NULL, 10938, 13),
(52066, NULL, 'PIRSF032285', NULL, NULL, NULL, NULL, 'UCP032285', NULL, NULL, 11293, 13),
(52067, NULL, 'PIRSF033949', NULL, NULL, NULL, NULL, 'Phosest_Mlr3352', NULL, NULL, 13734, 13),
(52068, NULL, 'PIRSF000905', NULL, NULL, NULL, NULL, 'G6Pase', NULL, NULL, 19651, 13),
(52069, NULL, 'PIRSF016158', NULL, NULL, NULL, NULL, 'HMD', NULL, NULL, 14141, 13),
(52070, NULL, 'PIRSF002816', NULL, NULL, NULL, NULL, 'AraF', NULL, NULL, 23686, 13),
(52071, NULL, 'PIRSF036778', NULL, NULL, NULL, NULL, 'UCP036778', NULL, NULL, 9728, 13),
(52072, NULL, 'PIRSF005765', NULL, NULL, NULL, NULL, 'Fib-L', NULL, NULL, 13363, 13),
(52073, NULL, 'PIRSF019029', NULL, NULL, NULL, NULL, 'Txn_fac_bZIP_E4BP4', NULL, NULL, 21927, 13),
(52074, NULL, 'PIRSF037116', NULL, NULL, NULL, NULL, 'PhnK', NULL, NULL, 11842, 13),
(52075, NULL, 'PIRSF037901', NULL, NULL, NULL, NULL, 'Subtilisin_rel_Nmul_A1891', NULL, NULL, 16621, 13);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52076, NULL, 'PIRSF500206', NULL, NULL, NULL, NULL, 'MtrH', NULL, NULL, 22571, 13),
(52077, NULL, 'PIRSF004486', NULL, NULL, NULL, NULL, 'MraW', NULL, NULL, 6246, 13),
(52078, NULL, 'PIRSF012876', NULL, NULL, NULL, NULL, 'Txn_rg_UCP012876', NULL, NULL, 9784, 13),
(52079, NULL, 'PIRSF009530', NULL, NULL, NULL, NULL, 'Nvp', NULL, NULL, 12009, 13),
(52080, NULL, 'PIRSF022950', NULL, NULL, NULL, NULL, 'Pptase_methylesteras', NULL, NULL, 15098, 13),
(52081, NULL, 'PIRSF016570', NULL, NULL, NULL, NULL, 'Ku80', NULL, NULL, 14308, 13),
(52082, NULL, 'PIRSF005814', NULL, NULL, NULL, NULL, 'MutS_YshD', NULL, NULL, 4540, 13),
(52083, NULL, 'PIRSF017306', NULL, NULL, NULL, NULL, 'Ureidoglycolate_hydrolase', NULL, NULL, 6726, 13),
(52084, NULL, 'PIRSF029827', NULL, NULL, NULL, NULL, 'Fe_traffic_YggX', NULL, NULL, 4887, 13),
(52085, NULL, 'PIRSF006429', NULL, NULL, NULL, NULL, 'GOGAT_lg_2', NULL, NULL, 14380, 13),
(52086, NULL, 'PIRSF000346', NULL, NULL, NULL, NULL, 'Dlt9_acylACP_des', NULL, NULL, 2265, 13),
(52087, NULL, 'PIRSF027744', NULL, NULL, NULL, NULL, 'Snx9', NULL, NULL, 12110, 13),
(52088, NULL, 'PIRSF006685', NULL, NULL, NULL, NULL, 'UCP_006685', NULL, NULL, 15887, 13),
(52089, NULL, 'PIRSF011588', NULL, NULL, NULL, NULL, 'Gly_sarc_betain_reduct_a_b', NULL, NULL, 18111, 13),
(52090, NULL, 'PIRSF005091', NULL, NULL, NULL, NULL, 'Mmb_sulf_HI1246', NULL, NULL, 7322, 13),
(52091, NULL, 'PIRSF006325', NULL, NULL, NULL, NULL, 'Mtase_YecO', NULL, NULL, 4339, 13),
(52092, NULL, 'PIRSF036996', NULL, NULL, NULL, NULL, 'RSM23', NULL, NULL, 19945, 13),
(52093, NULL, 'PIRSF011791', NULL, NULL, NULL, NULL, 'Retromer_Vps17', NULL, NULL, 9897, 13),
(52094, NULL, 'PIRSF036961', NULL, NULL, NULL, NULL, 'Kremen', NULL, NULL, 19942, 13),
(52095, NULL, 'PIRSF015557', NULL, NULL, NULL, NULL, 'UCP015557', NULL, NULL, 19596, 13),
(52096, NULL, 'PIRSF015901', NULL, NULL, NULL, NULL, 'NAC_alpha', NULL, NULL, 19923, 13),
(52097, NULL, 'PIRSF000606', NULL, NULL, NULL, NULL, 'RPS6_kin_2', NULL, NULL, 17131, 13),
(52098, NULL, 'PIRSF032900', NULL, NULL, NULL, NULL, 'MALP', NULL, NULL, 6333, 13),
(52099, NULL, 'PIRSF028739', NULL, NULL, NULL, NULL, 'Folate/thiamine_transporter', NULL, NULL, 2948, 13),
(52100, NULL, 'PIRSF034303', NULL, NULL, NULL, NULL, 'UCP034303', NULL, NULL, 8565, 13),
(52101, NULL, 'PIRSF037567', NULL, NULL, NULL, NULL, 'Mtase_MttB', NULL, NULL, 9559, 13),
(52102, NULL, 'PIRSF021362', NULL, NULL, NULL, NULL, 'UCP021362_HAD', NULL, NULL, 10757, 13),
(52103, NULL, 'PIRSF006246', NULL, NULL, NULL, NULL, 'ADC', NULL, NULL, 1715, 13),
(52104, NULL, 'PIRSF014728', NULL, NULL, NULL, NULL, 'PqaA', NULL, NULL, 9944, 13),
(52105, NULL, 'PIRSF000159', NULL, NULL, NULL, NULL, 'NifJ', NULL, NULL, 12378, 13),
(52106, NULL, 'PIRSF000459', NULL, NULL, NULL, NULL, 'TGM_EBP42', NULL, NULL, 16930, 13),
(52107, NULL, 'PIRSF038013', NULL, NULL, NULL, NULL, 'TNF10_TNF11', NULL, NULL, 17948, 13),
(52108, NULL, 'PIRSF017901', NULL, NULL, NULL, NULL, 'GCL', NULL, NULL, 32381, 13),
(52109, NULL, 'PIRSF000018', NULL, NULL, NULL, NULL, 'Mb_ADH_cytochrome_c', NULL, NULL, 11869, 13),
(52110, NULL, 'PIRSF001217', NULL, NULL, NULL, NULL, 'Protease_4_SppA', NULL, NULL, 2717, 13),
(52111, NULL, 'PIRSF037092', NULL, NULL, NULL, NULL, 'AP3_delta', NULL, NULL, 20779, 13),
(52112, NULL, 'PIRSF006625', NULL, NULL, NULL, NULL, 'KduI', NULL, NULL, 6782, 13),
(52113, NULL, 'PIRSF031074', NULL, NULL, NULL, NULL, 'UCP031074', NULL, NULL, 18425, 13),
(52114, NULL, 'PIRSF000379', NULL, NULL, NULL, NULL, 'For_Ac_trans_1', NULL, NULL, NULL, 13),
(52115, NULL, 'PIRSF027833', NULL, NULL, NULL, NULL, 'MtTFB2', NULL, NULL, NULL, 13),
(52116, NULL, 'PIRSF037177', NULL, NULL, NULL, NULL, 'COMT_euk', NULL, NULL, 20800, 13),
(52117, NULL, 'PIRSF005427', NULL, NULL, NULL, NULL, 'RseB', NULL, NULL, 1861, 13),
(52118, NULL, 'PIRSF037035', NULL, NULL, NULL, NULL, 'StpC', NULL, NULL, 19996, 13),
(52119, NULL, 'PIRSF026317', NULL, NULL, NULL, NULL, 'UCP026317_WGR', NULL, NULL, 16252, 13),
(52120, NULL, 'PIRSF500063', NULL, NULL, NULL, NULL, 'DHAPAT', NULL, NULL, 27575, 13);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52121, NULL, 'PIRSF038019', NULL, NULL, NULL, NULL, 'Neurexophilin', NULL, NULL, 10422, 13),
(52122, NULL, 'PIRSF001000', NULL, NULL, NULL, NULL, 'PDG_ENDV', NULL, NULL, 3565, 13),
(52123, NULL, 'PIRSF002512', NULL, NULL, NULL, NULL, 'Integrin_B', NULL, NULL, 12907, 13),
(52124, NULL, 'PIRSF005335', NULL, NULL, NULL, NULL, 'CCA_arch', NULL, NULL, 674, 13),
(52125, NULL, 'PIRSF030365', NULL, NULL, NULL, NULL, 'UCP030365', NULL, NULL, 18435, 13),
(52126, NULL, 'PIRSF006076', NULL, NULL, NULL, NULL, 'Omp85', NULL, NULL, 14791, 13),
(52127, NULL, 'PIRSF021389', NULL, NULL, NULL, NULL, 'UCP021389', NULL, NULL, 15278, 13),
(52128, NULL, 'PIRSF038895', NULL, NULL, NULL, NULL, 'FPGS', NULL, NULL, 16866, 13),
(52129, NULL, 'PIRSF007948', NULL, NULL, NULL, NULL, 'Wun1', NULL, NULL, 16046, 13),
(52130, NULL, 'PIRSF000241', NULL, NULL, NULL, NULL, 'Urate_oxidase', NULL, NULL, 1428, 13),
(52131, NULL, 'PIRSF005650', NULL, NULL, NULL, NULL, 'Uridylate_kin', NULL, NULL, 13208, 13),
(52132, NULL, 'PIRSF037847', NULL, NULL, NULL, NULL, 'NiaR', NULL, NULL, 27420, 13),
(52133, NULL, 'PIRSF000197', NULL, NULL, NULL, NULL, 'Bifunct_PutA', NULL, NULL, 25684, 13),
(52134, NULL, 'PIRSF037527', NULL, NULL, NULL, NULL, 'GTPase_Tem1', NULL, NULL, 15616, 13),
(52135, NULL, 'PIRSF037023', NULL, NULL, NULL, NULL, 'Api_ROM4_ROM5', NULL, NULL, 19741, 13),
(52136, NULL, 'PIRSF000452', NULL, NULL, NULL, NULL, '6-N-acetyltransf', NULL, NULL, 13394, 13),
(52137, NULL, 'PIRSF006661', NULL, NULL, NULL, NULL, 'UCP006661_PP-loop', NULL, NULL, 11086, 13),
(52138, NULL, 'PIRSF036489', NULL, NULL, NULL, NULL, '10-FTHFDH', NULL, NULL, 8331, 13),
(52139, NULL, 'PIRSF036620', NULL, NULL, NULL, NULL, 'MPTbdFAD', NULL, NULL, 13045, 13),
(52140, NULL, 'PIRSF019554', NULL, NULL, NULL, NULL, 'LT-IIA', NULL, NULL, 10608, 13),
(52141, NULL, 'PIRSF011869', NULL, NULL, NULL, NULL, 'Nibrin_animal', NULL, NULL, 18358, 13),
(52142, NULL, 'PIRSF037113', NULL, NULL, NULL, NULL, 'Yin_yang', NULL, NULL, 20849, 13),
(52143, NULL, 'PIRSF000340', NULL, NULL, NULL, NULL, 'MPO_fungal', NULL, NULL, 17064, 13),
(52144, NULL, 'PIRSF004440', NULL, NULL, NULL, NULL, 'GpP', NULL, NULL, 26141, 13),
(52145, NULL, 'PIRSF021573', NULL, NULL, NULL, NULL, 'UCP021573', NULL, NULL, 15324, 13),
(52146, NULL, 'PIRSF027153', NULL, NULL, NULL, NULL, 'NNF1', NULL, NULL, 16050, 13),
(52147, NULL, 'PIRSF037456', NULL, NULL, NULL, NULL, 'BAMBI', NULL, NULL, 14878, 13),
(52148, NULL, 'PIRSF002811', NULL, NULL, NULL, NULL, 'DnaG', NULL, NULL, 22984, 13),
(52149, NULL, 'PIRSF038925', NULL, NULL, NULL, NULL, 'AMP-prot_trans', NULL, NULL, 28789, 13),
(52150, NULL, 'PIRSF012755', NULL, NULL, NULL, NULL, 'UCP012755', NULL, NULL, 19187, 13),
(52151, NULL, 'PIRSF000161', NULL, NULL, NULL, NULL, 'DHPR', NULL, NULL, 8391, 13),
(52152, NULL, 'PIRSF006816', NULL, NULL, NULL, NULL, 'Cyc3_hyd_g', NULL, NULL, 7401, 13),
(52153, NULL, 'PIRSF001814', NULL, NULL, NULL, NULL, 'Somatostatin', NULL, NULL, 3505, 13),
(52154, NULL, 'PIRSF002900', NULL, NULL, NULL, NULL, 'LH-2', NULL, NULL, 6143, 13),
(52155, NULL, 'PIRSF039137', NULL, NULL, NULL, NULL, 'ABC_branched_ATPase', NULL, NULL, 26111, 13),
(52156, NULL, 'PIRSF019706', NULL, NULL, NULL, NULL, 'EhaB', NULL, NULL, 10961, 13),
(52157, NULL, 'PIRSF036363', NULL, NULL, NULL, NULL, 'STPPP_BSU1', NULL, NULL, 13918, 13),
(52158, NULL, 'PIRSF038021', NULL, NULL, NULL, NULL, 'UCP038021_RWDD2', NULL, NULL, 17644, 13),
(52159, NULL, 'PIRSF017318', NULL, NULL, NULL, NULL, 'Chor_mut_AroQ_eu', NULL, NULL, 650, 13),
(52160, NULL, 'PIRSF018282', NULL, NULL, NULL, NULL, 'MukF', NULL, NULL, 1656, 13),
(52161, NULL, 'PIRSF019711', NULL, NULL, NULL, NULL, 'Memb_prtease_arc', NULL, NULL, 21685, 13),
(52162, NULL, 'PIRSF016838', NULL, NULL, NULL, NULL, 'PafC', NULL, NULL, 28774, 13),
(52163, NULL, 'PIRSF038885', NULL, NULL, NULL, NULL, 'COB', NULL, NULL, 28794, 13),
(52164, NULL, 'PIRSF000865', NULL, NULL, NULL, NULL, 'LPL_LIPH', NULL, NULL, 19700, 13),
(52165, NULL, 'PIRSF003440', NULL, NULL, NULL, NULL, 'UCP003440', NULL, NULL, 21912, 13),
(52166, NULL, 'PIRSF500808', NULL, NULL, NULL, NULL, 'PTPR_alpha', NULL, NULL, 28595, 13);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52167, NULL, 'PIRSF016919', NULL, NULL, NULL, NULL, 'HupE_UreJ', NULL, NULL, 6721, 13),
(52168, NULL, 'PIRSF000641', NULL, NULL, NULL, NULL, 'SRK', NULL, NULL, 13407, 13),
(52169, NULL, 'PIRSF033642', NULL, NULL, NULL, NULL, 'UCP033642', NULL, NULL, 14014, 13),
(52170, NULL, 'PIRSF004967', NULL, NULL, NULL, NULL, 'DPH1', NULL, NULL, 32261, 13),
(52171, NULL, 'PIRSF000014', NULL, NULL, NULL, NULL, 'Cytochrome_c_torY_torC', NULL, NULL, 9899, 13),
(52172, NULL, 'PIRSF016468', NULL, NULL, NULL, NULL, 'RDS3p', NULL, NULL, 6198, 13),
(52173, NULL, 'PIRSF039093', NULL, NULL, NULL, NULL, 'HslV', NULL, NULL, 15820, 13),
(52174, NULL, 'PIRSF006414', NULL, NULL, NULL, NULL, 'Ftr_formyl_trnsf', NULL, NULL, 18701, 13),
(52175, NULL, 'PIRSF017085', NULL, NULL, NULL, NULL, 'Glycosyltransf_RedA', NULL, NULL, 20866, 13),
(52176, NULL, 'PIRSF037905', NULL, NULL, NULL, NULL, 'Subtilisin_rel_CJE1557', NULL, NULL, 16685, 13),
(52177, NULL, 'PIRSF500210', NULL, NULL, NULL, NULL, 'FBPtase', NULL, NULL, 22913, 13),
(52178, NULL, 'PIRSF500741', NULL, NULL, NULL, NULL, 'MAPKKK12', NULL, NULL, 5560, 13),
(52179, NULL, 'PIRSF038186', NULL, NULL, NULL, NULL, 'ITPK', NULL, NULL, 13160, 13),
(52180, NULL, 'PIRSF024851', NULL, NULL, NULL, NULL, 'SCD1', NULL, NULL, 3961, 13),
(52181, NULL, 'PIRSF038994', NULL, NULL, NULL, NULL, 'NagA', NULL, NULL, 2337, 13),
(52182, NULL, 'PIRSF016021', NULL, NULL, NULL, NULL, 'ESCAROLA', NULL, NULL, 9917, 13),
(52183, NULL, 'PIRSF016792', NULL, NULL, NULL, NULL, 'UCP016792', NULL, NULL, 9959, 13),
(52184, NULL, 'PIRSF001205', NULL, NULL, NULL, NULL, 'Serralysin', NULL, NULL, 19962, 13),
(52185, NULL, 'PIRSF005419', NULL, NULL, NULL, NULL, 'FlhA', NULL, NULL, 3025, 13),
(52186, NULL, 'PIRSF016123', NULL, NULL, NULL, NULL, 'UCP016123', NULL, NULL, 5718, 13),
(52187, NULL, 'PIRSF000130', NULL, NULL, NULL, NULL, 'IMPDH', NULL, NULL, 1433, 13),
(52188, NULL, 'PIRSF016616', NULL, NULL, NULL, NULL, 'HNMT', NULL, NULL, 20545, 13),
(52189, NULL, 'PIRSF038166', NULL, NULL, NULL, NULL, 'DMRL_synth_chloropl', NULL, NULL, 18767, 13),
(52190, NULL, 'PIRSF036922', NULL, NULL, NULL, NULL, 'RNaseH_PGAM', NULL, NULL, 8831, 13),
(52191, NULL, 'PIRSF037262', NULL, NULL, NULL, NULL, 'UCP037262', NULL, NULL, 9242, 13),
(52192, NULL, 'PIRSF003354', NULL, NULL, NULL, NULL, 'Alpha-COP', NULL, NULL, 21574, 13),
(52193, NULL, 'PIRSF036920', NULL, NULL, NULL, NULL, 'X4Y4', NULL, NULL, 19845, 13),
(52194, NULL, 'PIRSF008756', NULL, NULL, NULL, NULL, 'P_tr_PHO88', NULL, NULL, 13365, 13),
(52195, NULL, 'PIRSF031804', NULL, NULL, NULL, NULL, 'UCP031804', NULL, NULL, 18267, 13),
(52196, NULL, 'PIRSF000263', NULL, NULL, NULL, NULL, 'Meth_CoM_rd_beta', NULL, NULL, 1887, 13),
(52197, NULL, 'PIRSF011282', NULL, NULL, NULL, NULL, 'Synaptogyrin', NULL, NULL, 18389, 13),
(52198, NULL, 'PIRSF036407', NULL, NULL, NULL, NULL, 'SelenoP_synth', NULL, NULL, 1927, 13),
(52199, NULL, 'PIRSF031066', NULL, NULL, NULL, NULL, 'SPF45', NULL, NULL, 33763, 13),
(52200, NULL, 'PIRSF000099', NULL, NULL, NULL, NULL, 'Histidinol_dh', NULL, NULL, 17359, 13),
(52201, NULL, 'PIRSF020785', NULL, NULL, NULL, NULL, 'ComB', NULL, NULL, 15389, 13),
(52202, NULL, 'PIRSF005856', NULL, NULL, NULL, NULL, 'Rad51', NULL, NULL, 15939, 13),
(52203, NULL, 'PIRSF020588', NULL, NULL, NULL, NULL, 'Flk', NULL, NULL, 16708, 13),
(52204, NULL, 'PIRSF005928', NULL, NULL, NULL, NULL, 'Nucleotidltrnsf', NULL, NULL, 9661, 13),
(52205, NULL, 'PIRSF029720', NULL, NULL, NULL, NULL, 'UCP029720', NULL, NULL, 12005, 13),
(52206, NULL, 'PIRSF036794', NULL, NULL, NULL, NULL, 'UCP_erythr_ester', NULL, NULL, 9685, 13),
(52207, NULL, 'PIRSF030125', NULL, NULL, NULL, NULL, 'UCP030125', NULL, NULL, 18484, 13),
(52208, NULL, 'PIRSF036575', NULL, NULL, NULL, NULL, 'CM_nematode', NULL, NULL, NULL, 13),
(52209, NULL, 'PIRSF037290', NULL, NULL, NULL, NULL, 'UCP037290', NULL, NULL, 21609, 13),
(52210, NULL, 'PIRSF001600', NULL, NULL, NULL, NULL, 'DNA_ligase_T3', NULL, NULL, 19834, 13),
(52211, NULL, 'PIRSF011668', NULL, NULL, NULL, NULL, 'Ccz1p', NULL, NULL, 17932, 13),
(52212, NULL, 'PIRSF005784', NULL, NULL, NULL, NULL, 'RnfB', NULL, NULL, 15631, 13);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52213, NULL, 'PIRSF015589', NULL, NULL, NULL, NULL, 'PPK_bact', NULL, NULL, 5324, 13),
(52214, NULL, 'PIRSF000726', NULL, NULL, NULL, NULL, 'Asp_kin', NULL, NULL, 4392, 13),
(52215, NULL, 'PIRSF004911', NULL, NULL, NULL, NULL, 'L-lysine_2_3-aminomutase', NULL, NULL, 2459, 13),
(52216, NULL, 'PIRSF034285', NULL, NULL, NULL, NULL, 'UCP034285', NULL, NULL, 19383, 13),
(52217, NULL, 'PIRSF029745', NULL, NULL, NULL, NULL, 'FhaC', NULL, NULL, 27876, 13),
(52218, NULL, 'PIRSF004955', NULL, NULL, NULL, NULL, 'HTH_arch', NULL, NULL, 11399, 13),
(52219, NULL, 'PIRSF004525', NULL, NULL, NULL, NULL, 'Pilin_peptidase-dep_B', NULL, NULL, 21970, 13),
(52220, NULL, 'PIRSF037336', NULL, NULL, NULL, NULL, 'IspG_partdup', NULL, NULL, 21554, 13),
(52221, NULL, 'PIRSF037941', NULL, NULL, NULL, NULL, 'TMPRSS11ABCDE', NULL, NULL, 17321, 13),
(52222, NULL, 'PIRSF003073', NULL, NULL, NULL, NULL, 'DNAC_TnpB_IstB', NULL, NULL, 28716, 13),
(52223, NULL, 'PIRSF016095', NULL, NULL, NULL, NULL, 'VirD2', NULL, NULL, 19981, 13),
(52224, NULL, 'PIRSF038139', NULL, NULL, NULL, NULL, 'EF-2_kin', NULL, NULL, 18127, 13),
(52225, NULL, 'PIRSF025725', NULL, NULL, NULL, NULL, 'UCP025725', NULL, NULL, 16392, 13),
(52226, NULL, 'PIRSF005646', NULL, NULL, NULL, NULL, 'FwdB', NULL, NULL, 15757, 13),
(52227, NULL, 'PIRSF032086', NULL, NULL, NULL, NULL, 'UCP032086', NULL, NULL, 18126, 13),
(52228, NULL, 'PIRSF004990', NULL, NULL, NULL, NULL, 'UCP004990', NULL, NULL, 19418, 13),
(52229, NULL, 'PIRSF038085', NULL, NULL, NULL, NULL, 'ChM-II', NULL, NULL, 18089, 13),
(52230, NULL, 'PIRSF500794', NULL, NULL, NULL, NULL, 'Thiamine_transporter_1', NULL, NULL, 28779, 13),
(52231, NULL, 'PIRSF001665', NULL, NULL, NULL, NULL, 'PLB', NULL, NULL, 1232, 13),
(52232, NULL, 'PIRSF038141', NULL, NULL, NULL, NULL, 'PP1_12ABC_vert', NULL, NULL, 18431, 13),
(52233, NULL, 'PIRSF029611', NULL, NULL, NULL, NULL, 'UCP029611', NULL, NULL, 17500, 13),
(52234, NULL, 'PIRSF002799', NULL, NULL, NULL, NULL, 'PBP1b', NULL, NULL, 13158, 13),
(52235, NULL, 'PIRSF037062', NULL, NULL, NULL, NULL, 'INSL6', NULL, NULL, 20652, 13),
(52236, NULL, 'PIRSF006346', NULL, NULL, NULL, NULL, 'Ni_metllenz_mat', NULL, NULL, 9523, 13),
(52237, NULL, 'PIRSF005096', NULL, NULL, NULL, NULL, 'GALM', NULL, NULL, 9451, 13),
(52238, NULL, 'PIRSF018357', NULL, NULL, NULL, NULL, 'Trans_reg_ArsR', NULL, NULL, 21937, 13),
(52239, NULL, 'PIRSF005648', NULL, NULL, NULL, NULL, 'UCP005648_Ca_binding', NULL, NULL, 15976, 13),
(52240, NULL, 'PIRSF029502', NULL, NULL, NULL, NULL, 'UCP029502', NULL, NULL, 17003, 13),
(52241, NULL, 'PIRSF036773', NULL, NULL, NULL, NULL, 'HIRIP5', NULL, NULL, 19819, 13),
(52242, NULL, 'PIRSF000032', NULL, NULL, NULL, NULL, 'Cytochrome_b6', NULL, NULL, NULL, 13),
(52243, NULL, 'PIRSF018266', NULL, NULL, NULL, NULL, 'FecR', NULL, NULL, 13838, 13),
(52244, NULL, 'PIRSF037471', NULL, NULL, NULL, NULL, 'UCP037471', NULL, NULL, 15675, 13),
(52245, NULL, 'PIRSF038132', NULL, NULL, NULL, NULL, 'NUDIX_AtNUDT22', NULL, NULL, 28348, 13),
(52246, NULL, 'PIRSF028170', NULL, NULL, NULL, NULL, 'UCP028170', NULL, NULL, 11155, 13),
(52247, NULL, 'PIRSF018269', NULL, NULL, NULL, NULL, 'CDP-DAG_synth_e', NULL, NULL, 21542, 13),
(52248, NULL, 'PIRSF037402', NULL, NULL, NULL, NULL, 'Lefty', NULL, NULL, 7042, 13),
(52249, NULL, 'PIRSF003796', NULL, NULL, NULL, NULL, 'M-T4_MXV', NULL, NULL, 21968, 13),
(52250, NULL, 'PIRSF017179', NULL, NULL, NULL, NULL, 'RISC-Tudor-SN', NULL, NULL, 20761, 13),
(52251, NULL, 'PIRSF001146', NULL, NULL, NULL, NULL, 'Factor_XII_HGFA', NULL, NULL, 7907, 13),
(52252, NULL, 'PIRSF016281', NULL, NULL, NULL, NULL, 'Transl_init_eIF3d', NULL, NULL, 2267, 13),
(52253, NULL, 'PIRSF004698', NULL, NULL, NULL, NULL, 'UCP_CBS_MJ0100', NULL, NULL, 21921, 13),
(52254, NULL, 'PIRSF006105', NULL, NULL, NULL, NULL, 'NapB', NULL, NULL, 2686, 13),
(52255, NULL, 'PIRSF036490', NULL, NULL, NULL, NULL, 'Aldedh_dupl', NULL, NULL, 8034, 13),
(52256, NULL, 'PIRSF037991', NULL, NULL, NULL, NULL, 'UCP037991_UBX_2_7', NULL, NULL, 17918, 13),
(52257, NULL, 'PIRSF000283', NULL, NULL, NULL, NULL, 'COX9', NULL, NULL, 12612, 13);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52258, NULL, 'PIRSF005557', NULL, NULL, NULL, NULL, 'Sialyl_trans', NULL, NULL, 7323, 13),
(52259, NULL, 'PIRSF000378', NULL, NULL, NULL, NULL, 'Gly_radicl_YfiD', NULL, NULL, 10151, 13),
(52260, NULL, 'PIRSF037281', NULL, NULL, NULL, NULL, 'Wee1_like_PK', NULL, NULL, 21734, 13),
(52261, NULL, 'PIRSF038163', NULL, NULL, NULL, NULL, 'ITPK_unchar_domain', NULL, NULL, 13160, 13),
(52262, NULL, 'PIRSF018136', NULL, NULL, NULL, NULL, 'L_lectin_yeast', NULL, NULL, 20759, 13),
(52263, NULL, 'PIRSF014484', NULL, NULL, NULL, NULL, 'UCP014484', NULL, NULL, 9895, 13),
(52264, NULL, 'PIRSF029775', NULL, NULL, NULL, NULL, 'Isochor_pyr_lyas', NULL, NULL, 733, 13),
(52265, NULL, 'PIRSF014543', NULL, NULL, NULL, NULL, 'UCP014543', NULL, NULL, 19614, 13),
(52266, NULL, 'PIRSF000484', NULL, NULL, NULL, NULL, 'NAPRT', NULL, NULL, 6760, 13),
(52267, NULL, 'PIRSF500720', NULL, NULL, NULL, NULL, 'TEF-5', NULL, NULL, 26039, 13),
(52268, NULL, 'PIRSF017818', NULL, NULL, NULL, NULL, 'Acid_Ptase_B', NULL, NULL, 5233, 13),
(52269, NULL, 'PIRSF000097', NULL, NULL, NULL, NULL, 'AKR', NULL, NULL, 19717, 13),
(52270, NULL, 'PIRSF028840', NULL, NULL, NULL, NULL, 'MMP37', NULL, NULL, 10836, 13),
(52271, NULL, 'PIRSF036613', NULL, NULL, NULL, NULL, 'LytTR', NULL, NULL, 12331, 13),
(52272, NULL, 'PIRSF036626', NULL, NULL, NULL, NULL, 'MPTBd_MobAlike', NULL, NULL, 13150, 13),
(52273, NULL, 'PIRSF037219', NULL, NULL, NULL, NULL, 'NOS_oxygenase', NULL, NULL, 20738, 13),
(52274, NULL, 'PIRSF004305', NULL, NULL, NULL, NULL, 'Imm', NULL, NULL, 21691, 13),
(52275, NULL, 'PIRSF017292', NULL, NULL, NULL, NULL, 'UCP017292_zn', NULL, NULL, 20751, 13),
(52276, NULL, 'PIRSF000845', NULL, NULL, NULL, NULL, 'mRNA_capping_reovirus', NULL, NULL, 8879, 13),
(52277, NULL, 'PIRSF005900', NULL, NULL, NULL, NULL, 'Dps', NULL, NULL, 492, 13),
(52278, NULL, 'PIRSF009141', NULL, NULL, NULL, NULL, 'UCP009141', NULL, NULL, 13134, 13),
(52279, NULL, 'PIRSF001434', NULL, NULL, NULL, NULL, 'CGS', NULL, NULL, 578, 13),
(52280, NULL, 'PIRSF005954', NULL, NULL, NULL, NULL, 'Thrmst_ogg', NULL, NULL, 13277, 13),
(52281, NULL, 'PIRSF007036', NULL, NULL, NULL, NULL, 'Elb1', NULL, NULL, 9909, 13),
(52282, NULL, 'PIRSF003841', NULL, NULL, NULL, NULL, 'Gypsy_env', NULL, NULL, 14987, 13),
(52283, NULL, 'PIRSF037852', NULL, NULL, NULL, NULL, 'Subtilisin_rel_SAV5721', NULL, NULL, 16991, 13),
(52284, NULL, 'PIRSF000110', NULL, NULL, NULL, NULL, 'G6PD', NULL, NULL, 2233, 13),
(52285, NULL, 'PIRSF030471', NULL, NULL, NULL, NULL, 'STR_Vng0742h', NULL, NULL, 18293, 13),
(52286, NULL, 'PIRSF015578', NULL, NULL, NULL, NULL, 'Myoinositol-ppht_synth', NULL, NULL, 1532, 13),
(52287, NULL, 'PIRSF037708', NULL, NULL, NULL, NULL, 'Protein_FYV7', NULL, NULL, 16295, 13),
(52288, NULL, 'PIRSF031890', NULL, NULL, NULL, NULL, 'UCP031890_transporter_Tim44', NULL, NULL, 18044, 13),
(52289, NULL, 'PIRSF037714', NULL, NULL, NULL, NULL, 'TolR', NULL, NULL, 16408, 13),
(52290, NULL, 'PIRSF029876', NULL, NULL, NULL, NULL, 'UCP029876', NULL, NULL, 7977, 13),
(52291, NULL, 'PIRSF032442', NULL, NULL, NULL, NULL, 'UCP032442', NULL, NULL, 19488, 13),
(52292, NULL, 'PIRSF001959', NULL, NULL, NULL, NULL, 'EPO_receptor', NULL, NULL, 9508, 13),
(52293, NULL, 'PIRSF006748', NULL, NULL, NULL, NULL, 'MDM_2/4', NULL, NULL, 16482, 13),
(52294, NULL, 'PIRSF016305', NULL, NULL, NULL, NULL, 'LCMT', NULL, NULL, 19655, 13),
(52295, NULL, 'PIRSF038165', NULL, NULL, NULL, NULL, 'MAPKKK12_MAPKKK13', NULL, NULL, 18541, 13),
(52296, NULL, 'PIRSF038169', NULL, NULL, NULL, NULL, 'WD_rpt_55', NULL, NULL, 18904, 13),
(52297, NULL, 'PIRSF037866', NULL, NULL, NULL, NULL, 'EBP50', NULL, NULL, 16581, 13),
(52298, NULL, 'PIRSF003047', NULL, NULL, NULL, NULL, 'TFIID_TAF1_animal', NULL, NULL, 11181, 13),
(52299, NULL, 'PIRSF002756', NULL, NULL, NULL, NULL, 'PstS', NULL, NULL, 3940, 13),
(52300, NULL, 'PIRSF027779', NULL, NULL, NULL, NULL, 'UCP207779', NULL, NULL, 16395, 13),
(52301, NULL, 'PIRSF036540', NULL, NULL, NULL, NULL, 'UCP036540_AIR', NULL, NULL, 8490, 13),
(52302, NULL, 'PIRSF031737', NULL, NULL, NULL, NULL, 'TM_LytTR', NULL, NULL, 12998, 13);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52303, NULL, 'PIRSF015894', NULL, NULL, NULL, NULL, 'PRMT5', NULL, NULL, 3192, 13),
(52304, NULL, 'PIRSF026631', NULL, NULL, NULL, NULL, 'UCP026631', NULL, NULL, 12420, 13),
(52305, NULL, 'PIRSF037995', NULL, NULL, NULL, NULL, 'CB-R', NULL, NULL, 6789, 13),
(52306, NULL, 'PIRSF021332', NULL, NULL, NULL, NULL, 'UCP021332', NULL, NULL, 8013, 13),
(52307, NULL, 'PIRSF036665', NULL, NULL, NULL, NULL, 'Sulf1', NULL, NULL, 10008, 13),
(52308, NULL, 'PIRSF015981', NULL, NULL, NULL, NULL, 'VAC_F11L', NULL, NULL, 6926, 13),
(52309, NULL, 'PIRSF001110', NULL, NULL, NULL, NULL, 'ADOMetase', NULL, NULL, 19950, 13),
(52310, NULL, 'PIRSF016551', NULL, NULL, NULL, NULL, 'SAS5/TFIID_14', NULL, NULL, 20834, 13),
(52311, NULL, 'PIRSF001330', NULL, NULL, NULL, NULL, 'IOD', NULL, NULL, 4382, 13),
(52312, NULL, 'PIRSF037232', NULL, NULL, NULL, NULL, 'Tricalbin', NULL, NULL, 20739, 13),
(52313, NULL, 'PIRSF036431', NULL, NULL, NULL, NULL, 'HK_DctB', NULL, NULL, 19701, 13),
(52314, NULL, 'PIRSF016433', NULL, NULL, NULL, NULL, 'Viral_DNA_prim', NULL, NULL, 19995, 13),
(52315, NULL, 'PIRSF004374', NULL, NULL, NULL, NULL, 'Gp59', NULL, NULL, 8640, 13),
(52316, NULL, 'PIRSF037437', NULL, NULL, NULL, NULL, 'Atp22', NULL, NULL, 15605, 13),
(52317, NULL, 'PIRSF033094', NULL, NULL, NULL, NULL, 'Pesterase_CT488', NULL, NULL, 8263, 13),
(52318, NULL, 'PIRSF006456', NULL, NULL, NULL, NULL, 'UCP006456', NULL, NULL, 6671, 13),
(52319, NULL, 'PIRSF004848', NULL, NULL, NULL, NULL, 'YBL036c_PLPDEIII', NULL, NULL, 9773, 13),
(52320, NULL, 'PIRSF036543', NULL, NULL, NULL, NULL, 'YdrC_chlamyd', NULL, NULL, 8328, 13),
(52321, NULL, 'PIRSF037250', NULL, NULL, NULL, NULL, 'CcmM', NULL, NULL, 21544, 13),
(52322, NULL, 'PIRSF020736', NULL, NULL, NULL, NULL, 'MiaE', NULL, NULL, 9951, 13),
(52323, NULL, 'PIRSF004604', NULL, NULL, NULL, NULL, 'UCP004604', NULL, NULL, 7652, 13),
(52324, NULL, 'PIRSF036500', NULL, NULL, NULL, NULL, 'GMP_red_Firmic', NULL, NULL, 1273, 13),
(52325, NULL, 'PIRSF003161', NULL, NULL, NULL, NULL, 'FliG', NULL, NULL, 2701, 13),
(52326, NULL, 'PIRSF500687', NULL, NULL, NULL, NULL, 'MTase_demethylubiq_bact', NULL, NULL, 26081, 13),
(52327, NULL, 'PIRSF006318', NULL, NULL, NULL, NULL, 'YhcB', NULL, NULL, 8093, 13),
(52328, NULL, 'PIRSF038015', NULL, NULL, NULL, NULL, 'N-chimaerin', NULL, NULL, 17707, 13),
(52329, NULL, 'PIRSF027386', NULL, NULL, NULL, NULL, 'UCP027386_ABC_sbc_TM0202', NULL, NULL, 22670, 13),
(52330, NULL, 'PIRSF005246', NULL, NULL, NULL, NULL, 'MukB', NULL, NULL, 12905, 13),
(52331, NULL, 'PIRSF036593', NULL, NULL, NULL, NULL, 'GrdD', NULL, NULL, 13146, 13),
(52332, NULL, 'PIRSF016662', NULL, NULL, NULL, NULL, 'UCP016662_Toprim', NULL, NULL, 9611, 13),
(52333, NULL, 'PIRSF037495', NULL, NULL, NULL, NULL, 'OoxA/HcnB', NULL, NULL, 15745, 13),
(52334, NULL, 'PIRSF005348', NULL, NULL, NULL, NULL, 'YxkH', NULL, NULL, 3177, 13),
(52335, NULL, 'PIRSF028139', NULL, NULL, NULL, NULL, 'DOPA-diox_rel_Mll2280', NULL, NULL, 14283, 13),
(52336, NULL, 'PIRSF010340', NULL, NULL, NULL, NULL, 'Midasin', NULL, NULL, 13267, 13),
(52337, NULL, 'PIRSF007858', NULL, NULL, NULL, NULL, 'ORC4', NULL, NULL, 16443, 13),
(52338, NULL, 'PIRSF000083', NULL, NULL, NULL, NULL, 'Allophyco_linker', NULL, NULL, 10516, 13),
(52339, NULL, 'PIRSF006404', NULL, NULL, NULL, NULL, 'UCP_M50_CBS', NULL, NULL, 16000, 13),
(52340, NULL, 'PIRSF018169', NULL, NULL, NULL, NULL, 'PAF_acetylhydrolase', NULL, NULL, 21697, 13),
(52341, NULL, 'PIRSF008757', NULL, NULL, NULL, NULL, 'UCP008757', NULL, NULL, 8583, 13),
(52342, NULL, 'PIRSF011789', NULL, NULL, NULL, NULL, 'tRNA_endo_SEN2', NULL, NULL, 18184, 13),
(52343, NULL, 'PIRSF031767', NULL, NULL, NULL, NULL, 'MHYE_LytTR', NULL, NULL, 13561, 13),
(52344, NULL, 'PIRSF037238', NULL, NULL, NULL, NULL, 'Carboxypeptidase_G2', NULL, NULL, 20707, 13),
(52345, NULL, 'PIRSF019375', NULL, NULL, NULL, NULL, 'UCP019375', NULL, NULL, 21753, 13),
(52346, NULL, 'PIRSF026532', NULL, NULL, NULL, NULL, 'Mtx2_tox', NULL, NULL, 10613, 13),
(52347, NULL, 'PIRSF037945', NULL, NULL, NULL, NULL, 'PGRP-S', NULL, NULL, 17081, 13);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52348, NULL, 'PIRSF037433', NULL, NULL, NULL, NULL, 'HK_STH3221', NULL, NULL, 15195, 13),
(52349, NULL, 'PIRSF037867', NULL, NULL, NULL, NULL, 'CD261_antigen', NULL, NULL, 19412, 13),
(52350, NULL, 'PIRSF019073', NULL, NULL, NULL, NULL, 'UCP019073', NULL, NULL, 10904, 13),
(52351, NULL, 'PIRSF037270', NULL, NULL, NULL, NULL, 'MIS', NULL, NULL, 15733, 13),
(52352, NULL, 'PIRSF028503', NULL, NULL, NULL, NULL, 'UCP028503', NULL, NULL, 17315, 13),
(52353, NULL, 'PIRSF017016', NULL, NULL, NULL, NULL, 'NDUA8', NULL, NULL, 20885, 13),
(52354, NULL, 'PIRSF001866', NULL, NULL, NULL, NULL, 'Mating_factor_alpha', NULL, NULL, 20719, 13),
(52355, NULL, 'PIRSF009935', NULL, NULL, NULL, NULL, 'TCTA', NULL, NULL, 18157, 13),
(52356, NULL, 'PIRSF037442', NULL, NULL, NULL, NULL, 'UCP037442_abhydr', NULL, NULL, 15783, 13),
(52357, NULL, 'PIRSF001563', NULL, NULL, NULL, NULL, 'Folylpolyglu_synth', NULL, NULL, 3222, 13),
(52358, NULL, 'PIRSF000862', NULL, NULL, NULL, NULL, 'Steryl_ester_lip', NULL, NULL, 25214, 13),
(52359, NULL, 'PIRSF000384', NULL, NULL, NULL, NULL, 'PNMTase', NULL, NULL, 3065, 13),
(52360, NULL, 'PIRSF009309', NULL, NULL, NULL, NULL, 'RE_BamHI', NULL, NULL, 2656, 13),
(52361, NULL, 'PIRSF037205', NULL, NULL, NULL, NULL, 'UCP037205', NULL, NULL, 20689, 13),
(52362, NULL, 'PIRSF003159', NULL, NULL, NULL, NULL, 'FlhC', NULL, NULL, 4357, 13),
(52363, NULL, 'PIRSF029570', NULL, NULL, NULL, NULL, 'UCP029570', NULL, NULL, 17160, 13),
(52364, NULL, 'PIRSF005444', NULL, NULL, NULL, NULL, 'PEMT_MPLS', NULL, NULL, 24757, 13),
(52365, NULL, 'PIRSF029256', NULL, NULL, NULL, NULL, 'SpoU_TrmH', NULL, NULL, 17390, 13),
(52366, NULL, 'PIRSF037988', NULL, NULL, NULL, NULL, 'UCP037988', NULL, NULL, 17705, 13),
(52367, NULL, 'PIRSF005965', NULL, NULL, NULL, NULL, 'Chor_mut_AroH', NULL, NULL, 590, 13),
(52368, NULL, 'PIRSF022996', NULL, NULL, NULL, NULL, 'SAG2', NULL, NULL, 15093, 13),
(52369, NULL, 'PIRSF003336', NULL, NULL, NULL, NULL, 'RadB', NULL, NULL, 11273, 13),
(52370, NULL, 'PIRSF032762', NULL, NULL, NULL, NULL, 'UCP032762', NULL, NULL, 19281, 13),
(52371, NULL, 'PIRSF033905', NULL, NULL, NULL, NULL, 'UCP033905', NULL, NULL, 11450, 13),
(52372, NULL, 'PIRSF015477', NULL, NULL, NULL, NULL, 'Bpr', NULL, NULL, 13076, 13),
(52373, NULL, 'PIRSF004699', NULL, NULL, NULL, NULL, 'UCP_CBS_ParB', NULL, NULL, 21768, 13),
(52374, NULL, 'PIRSF018417', NULL, NULL, NULL, NULL, 'FACC_protein', NULL, NULL, 6817, 13),
(52375, NULL, 'PIRSF004930', NULL, NULL, NULL, NULL, 'Tln_factor_SUA5', NULL, NULL, 9115, 13),
(52376, NULL, 'PIRSF029826', NULL, NULL, NULL, NULL, 'UCP029826_pph', NULL, NULL, 27381, 13),
(52377, NULL, 'PIRSF034081', NULL, NULL, NULL, NULL, 'ATPase_Atu1862', NULL, NULL, 8365, 13),
(52378, NULL, 'PIRSF033132', NULL, NULL, NULL, NULL, 'UCP033132', NULL, NULL, 7954, 13),
(52379, NULL, 'PIRSF037010', NULL, NULL, NULL, NULL, 'SF3B5', NULL, NULL, 19668, 13),
(52380, NULL, 'PIRSF005653', NULL, NULL, NULL, NULL, 'RpoN_RPB10', NULL, NULL, 630, 13),
(52381, NULL, 'PIRSF000089', NULL, NULL, NULL, NULL, 'Electra_flavoP_a', NULL, NULL, 2344, 13),
(52382, NULL, 'PIRSF037125', NULL, NULL, NULL, NULL, 'Nob1', NULL, NULL, 20850, 13),
(52383, NULL, 'PIRSF006698', NULL, NULL, NULL, NULL, 'Septin', NULL, NULL, 16133, 13),
(52384, NULL, 'PIRSF000939', NULL, NULL, NULL, NULL, 'MAPK_Ptase', NULL, NULL, 7692, 13),
(52385, NULL, 'PIRSF009374', NULL, NULL, NULL, NULL, 'RUNX_CBFa', NULL, NULL, 18092, 13),
(52386, NULL, 'PIRSF004117', NULL, NULL, NULL, NULL, 'Phage_coat_B', NULL, NULL, 5231, 13),
(52387, NULL, 'PIRSF037898', NULL, NULL, NULL, NULL, 'Subtilisin_rel_Sputw3181_3341', NULL, NULL, 16946, 13),
(52388, NULL, 'PIRSF011484', NULL, NULL, NULL, NULL, 'YaeQ', NULL, NULL, 13538, 13),
(52389, NULL, 'PIRSF006091', NULL, NULL, NULL, NULL, 'E_trnsport_RnfG', NULL, NULL, 4136, 13),
(52390, NULL, 'PIRSF000177', NULL, NULL, NULL, NULL, 'Fumar_rd_cyt_b', NULL, NULL, 3668, 13),
(52391, NULL, 'PIRSF018425', NULL, NULL, NULL, NULL, 'PolyA_polymerase', NULL, NULL, 10280, 13),
(52392, NULL, 'PIRSF008381', NULL, NULL, NULL, NULL, 'TP0020_vWA', NULL, NULL, 11305, 13);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52393, NULL, 'PIRSF031501', NULL, NULL, NULL, NULL, 'QueT', NULL, NULL, 9638, 13),
(52394, NULL, 'PIRSF032522', NULL, NULL, NULL, NULL, 'TcaA', NULL, NULL, 16689, 13),
(52395, NULL, 'PIRSF002356', NULL, NULL, NULL, NULL, 'Calreticulin', NULL, NULL, 9555, 13),
(52396, NULL, 'PIRSF036055', NULL, NULL, NULL, NULL, 'UCP036055', NULL, NULL, 19921, 13),
(52397, NULL, 'PIRSF003278', NULL, NULL, NULL, NULL, 'SopC', NULL, NULL, 21624, 13),
(52398, NULL, 'PIRSF002686', NULL, NULL, NULL, NULL, 'SLG', NULL, NULL, 19513, 13),
(52399, NULL, 'PIRSF018867', NULL, NULL, NULL, NULL, 'Na_decarb_PF0672', NULL, NULL, 10840, 13),
(52400, NULL, 'PIRSF002030', NULL, NULL, NULL, NULL, 'Globin_Protozoa_Cyanob', NULL, NULL, 20871, 13),
(52401, NULL, 'PIRSF003779', NULL, NULL, NULL, NULL, 'VAC_C7L', NULL, NULL, 2764, 13),
(52402, NULL, 'PIRSF023322', NULL, NULL, NULL, NULL, 'UCP023322_TM_coiled-coil', NULL, NULL, 13251, 13),
(52403, NULL, 'PIRSF037185', NULL, NULL, NULL, NULL, 'Cetp', NULL, NULL, 20646, 13),
(52404, NULL, 'PIRSF002297', NULL, NULL, NULL, NULL, 'Spectrin_beta', NULL, NULL, 20936, 13),
(52405, NULL, 'PIRSF010606', NULL, NULL, NULL, NULL, 'CotJB', NULL, NULL, 18191, 13),
(52406, NULL, 'PIRSF037260', NULL, NULL, NULL, NULL, 'UCP037260', NULL, NULL, 3238, 13),
(52407, NULL, 'PIRSF023925', NULL, NULL, NULL, NULL, 'G0S2', NULL, NULL, 15411, 13),
(52408, NULL, 'PIRSF038065', NULL, NULL, NULL, NULL, 'TNFR_11B', NULL, NULL, 17727, 13),
(52409, NULL, 'PIRSF039099', NULL, NULL, NULL, NULL, 'APP-BP1', NULL, NULL, 27269, 13),
(52410, NULL, 'PIRSF002341', NULL, NULL, NULL, NULL, 'Dystrophin_utrophin', NULL, NULL, 36093, 13),
(52411, NULL, 'PIRSF018814', NULL, NULL, NULL, NULL, 'UCP018814', NULL, NULL, 21901, 13),
(52412, NULL, 'PIRSF036573', NULL, NULL, NULL, NULL, 'REV1', NULL, NULL, 13137, 13),
(52413, NULL, 'PIRSF038151', NULL, NULL, NULL, NULL, 'TOM9-2_plant', NULL, NULL, 18828, 13),
(52414, NULL, 'PIRSF006530', NULL, NULL, NULL, NULL, 'MtrC', NULL, NULL, 6797, 13),
(52415, NULL, 'PIRSF037240', NULL, NULL, NULL, NULL, 'MAF1', NULL, NULL, 12804, 13),
(52416, NULL, 'PIRSF032543', NULL, NULL, NULL, NULL, 'UCP032543_ParB', NULL, NULL, 19032, 13),
(52417, NULL, 'PIRSF008129', NULL, NULL, NULL, NULL, 'Noggin', NULL, NULL, 13392, 13),
(52418, NULL, 'PIRSF019164', NULL, NULL, NULL, NULL, 'UCP019164', NULL, NULL, 10518, 13),
(52419, NULL, 'PIRSF038056', NULL, NULL, NULL, NULL, 'BP10_SPAN', NULL, NULL, 17791, 13),
(52420, NULL, 'PIRSF038901', NULL, NULL, NULL, NULL, 'AQR_cwf11', NULL, NULL, 23457, 13),
(52421, NULL, 'PIRSF031503', NULL, NULL, NULL, NULL, 'UCP031503_mp', NULL, NULL, 8099, 13),
(52422, NULL, 'PIRSF005956', NULL, NULL, NULL, NULL, 'BtpA', NULL, NULL, 7495, 13),
(52423, NULL, 'PIRSF037327', NULL, NULL, NULL, NULL, 'TFIIIB_Bdp1_fungal', NULL, NULL, 21501, 13),
(52424, NULL, 'PIRSF008546', NULL, NULL, NULL, NULL, 'UCP008546', NULL, NULL, 14383, 13),
(52425, NULL, 'PIRSF030066', NULL, NULL, NULL, NULL, 'UCP030066', NULL, NULL, 18286, 13),
(52426, NULL, 'PIRSF000471', NULL, NULL, NULL, NULL, 'Alpha_GT', NULL, NULL, 17229, 13),
(52427, NULL, 'PIRSF014677', NULL, NULL, NULL, NULL, 'UCP014677', NULL, NULL, 10112, 13),
(52428, NULL, 'PIRSF033018', NULL, NULL, NULL, NULL, 'EspD', NULL, NULL, 8425, 13),
(52429, NULL, 'PIRSF037163', NULL, NULL, NULL, NULL, 'PRDM12', NULL, NULL, 20566, 13),
(52430, NULL, 'PIRSF000382', NULL, NULL, NULL, NULL, 'Met_synth_MetE', NULL, NULL, 3627, 13),
(52431, NULL, 'PIRSF000235', NULL, NULL, NULL, NULL, 'GMP_reductase', NULL, NULL, 1386, 13),
(52432, NULL, 'PIRSF014899', NULL, NULL, NULL, NULL, 'UCP014899', NULL, NULL, 10790, 13),
(52433, NULL, 'PIRSF021940', NULL, NULL, NULL, NULL, 'UCP021940', NULL, NULL, 11709, 13),
(52434, NULL, 'PIRSF009449', NULL, NULL, NULL, NULL, 'DNA_primase_large', NULL, NULL, 18433, 13),
(52435, NULL, 'PIRSF018579', NULL, NULL, NULL, NULL, 'Sbp', NULL, NULL, 11506, 13),
(52436, NULL, 'PIRSF003174', NULL, NULL, NULL, NULL, 'CreA', NULL, NULL, 7981, 13),
(52437, NULL, 'PIRSF034852', NULL, NULL, NULL, NULL, 'UCP034852', NULL, NULL, 7930, 13),
(52438, NULL, 'PIRSF016465', NULL, NULL, NULL, NULL, 'Kapp', NULL, NULL, 20887, 13);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52439, NULL, 'PIRSF038098', NULL, NULL, NULL, NULL, 'SOX-12/11/4a', NULL, NULL, 18214, 13),
(52440, NULL, 'PIRSF500061', NULL, NULL, NULL, NULL, 'GOGAT_lg2_archl', NULL, NULL, 36756, 13),
(52441, NULL, 'PIRSF030218', NULL, NULL, NULL, NULL, 'Mannosyltr_MA4085', NULL, NULL, 18327, 13),
(52442, NULL, 'PIRSF006521', NULL, NULL, NULL, NULL, 'TEF-1-beta_archaea', NULL, NULL, 1665, 13),
(52443, NULL, 'PIRSF038995', NULL, NULL, NULL, NULL, 'SRP68', NULL, NULL, 28332, 13),
(52444, NULL, 'PIRSF001155', NULL, NULL, NULL, NULL, 'C1r_C1s_MASP', NULL, NULL, NULL, 13),
(52445, NULL, 'PIRSF038157', NULL, NULL, NULL, NULL, 'Cpn21', NULL, NULL, 18878, 13),
(52446, NULL, 'PIRSF037799', NULL, NULL, NULL, NULL, 'Tautomer_YdcE', NULL, NULL, 16716, 13),
(52447, NULL, 'PIRSF037828', NULL, NULL, NULL, NULL, 'SAP', NULL, NULL, 16669, 13),
(52448, NULL, 'PIRSF031854', NULL, NULL, NULL, NULL, 'UCP031854', NULL, NULL, 16969, 13),
(52449, NULL, 'PIRSF026166', NULL, NULL, NULL, NULL, 'UCP026166', NULL, NULL, 16026, 13),
(52450, NULL, 'PIRSF035918', NULL, NULL, NULL, NULL, 'UCP035918', NULL, NULL, 19282, 13),
(52451, NULL, 'PIRSF000774', NULL, NULL, NULL, NULL, 'RpoN', NULL, NULL, 4850, 13),
(52452, NULL, 'PIRSF038036', NULL, NULL, NULL, NULL, 'Cdc42ep2', NULL, NULL, 17703, 13),
(52453, NULL, 'PIRSF012560', NULL, NULL, NULL, NULL, 'UCP012560', NULL, NULL, 13626, 13),
(52454, NULL, 'PIRSF036615', NULL, NULL, NULL, NULL, 'MHYT_LytTR', NULL, NULL, 12475, 13),
(52455, NULL, 'PIRSF000194', NULL, NULL, NULL, NULL, 'DHFR', NULL, NULL, 11742, 13),
(52456, NULL, 'PIRSF011416', NULL, NULL, NULL, NULL, 'Ais-TraG-AfrS', NULL, NULL, 10666, 13),
(52457, NULL, 'PIRSF000454', NULL, NULL, NULL, NULL, 'FAS_yeast_alpha', NULL, NULL, 26217, 13),
(52458, NULL, 'PIRSF003962', NULL, NULL, NULL, NULL, 'M_poly_NairoV', NULL, NULL, 12999, 13),
(52459, NULL, 'PIRSF018636', NULL, NULL, NULL, NULL, 'CbiX_N-term', NULL, NULL, 13848, 13),
(52460, NULL, 'PIRSF009283', NULL, NULL, NULL, NULL, '4HPP_dioxygenase', NULL, NULL, 430, 13),
(52461, NULL, 'PIRSF000410', NULL, NULL, NULL, NULL, 'CheR', NULL, NULL, 26479, 13),
(52462, NULL, 'PIRSF007248', NULL, NULL, NULL, NULL, 'UCP007248', NULL, NULL, 16095, 13),
(52463, NULL, 'PIRSF000610', NULL, NULL, NULL, NULL, 'STPK_YKL171w', NULL, NULL, 17028, 13),
(52464, NULL, 'PIRSF019634', NULL, NULL, NULL, NULL, 'tRNA_lig_yeast', NULL, NULL, 13779, 13),
(52465, NULL, 'PIRSF038039', NULL, NULL, NULL, NULL, 'UCP038039_Lin-7_homol', NULL, NULL, 17539, 13),
(52466, NULL, 'PIRSF002161', NULL, NULL, NULL, NULL, 'RPL5p_RPL5a_RPL11e_RPL5o', NULL, NULL, 1146, 13),
(52467, NULL, 'PIRSF031568', NULL, NULL, NULL, NULL, 'UCP031568', NULL, NULL, 10283, 13),
(52468, NULL, 'PIRSF000162', NULL, NULL, NULL, NULL, 'P_chlorophyll_rd', NULL, NULL, 1250, 13),
(52469, NULL, 'PIRSF015629', NULL, NULL, NULL, NULL, 'VAC_E6R', NULL, NULL, 3467, 13),
(52470, NULL, 'PIRSF035823', NULL, NULL, NULL, NULL, 'VirD5_Agrobacterium', NULL, NULL, 3534, 13),
(52471, NULL, 'PIRSF002572', NULL, NULL, NULL, NULL, 'PIP-GCDFP-15', NULL, NULL, 4213, 13),
(52472, NULL, 'PIRSF500207', NULL, NULL, NULL, NULL, 'MtrA', NULL, NULL, 5685, 13),
(52473, NULL, 'PIRSF036592', NULL, NULL, NULL, NULL, 'Methlestr_CheB', NULL, NULL, 12254, 13),
(52474, NULL, 'PIRSF001112', NULL, NULL, NULL, NULL, 'Epoxide_hydro', NULL, NULL, 19521, 13),
(52475, NULL, 'PIRSF016719', NULL, NULL, NULL, NULL, 'UCP016719', NULL, NULL, 8924, 13),
(52476, NULL, 'PIRSF003900', NULL, NULL, NULL, NULL, 'N_FiloV', NULL, NULL, 14238, 13),
(52477, NULL, 'PIRSF007043', NULL, NULL, NULL, NULL, 'YopQ', NULL, NULL, 16294, 13),
(52478, NULL, 'PIRSF036289', NULL, NULL, NULL, NULL, 'Glycosyl_hydrolase_malt_phosph', NULL, NULL, 19585, 13),
(52479, NULL, 'PIRSF028757', NULL, NULL, NULL, NULL, 'LD-carboxypeptidase', NULL, NULL, 6495, 13),
(52480, NULL, 'PIRSF018871', NULL, NULL, NULL, NULL, 'UCP018871', NULL, NULL, 21699, 13),
(52481, NULL, 'PIRSF016398', NULL, NULL, NULL, NULL, 'TFIIE-beta', NULL, NULL, 19533, 13),
(52482, NULL, 'PIRSF500181', NULL, NULL, NULL, NULL, 'Complement_B', NULL, NULL, 22742, 13);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52483, NULL, 'PIRSF000303', NULL, NULL, NULL, NULL, 'Glutathion_perox', NULL, NULL, 4594, 13),
(52484, NULL, 'PIRSF035875', NULL, NULL, NULL, NULL, 'RNase_BN', NULL, NULL, 19163, 13),
(52485, NULL, 'PIRSF018875', NULL, NULL, NULL, NULL, 'UCP018875_ABC_perm', NULL, NULL, 16502, 13),
(52486, NULL, 'PIRSF005719', NULL, NULL, NULL, NULL, 'SMC', NULL, NULL, 10850, 13),
(52487, NULL, 'PIRSF012296', NULL, NULL, NULL, NULL, 'EutS_PduU', NULL, NULL, 13985, 13),
(52488, NULL, 'PIRSF000617', NULL, NULL, NULL, NULL, 'TyrPK_HGF-R', NULL, NULL, 17419, 13),
(52489, NULL, 'PIRSF000440', NULL, NULL, NULL, NULL, 'CAT', NULL, NULL, 3391, 13),
(52490, NULL, 'PIRSF036312', NULL, NULL, NULL, NULL, 'Fibrillin', NULL, NULL, NULL, 13),
(52491, NULL, 'PIRSF036551', NULL, NULL, NULL, NULL, 'Chitosanase', NULL, NULL, 6713, 13),
(52492, NULL, 'PIRSF016571', NULL, NULL, NULL, NULL, 'C/EBPzeta_CHOP_DDIT3', NULL, NULL, 20920, 13),
(52493, NULL, 'PIRSF000497', NULL, NULL, NULL, NULL, 'MAT', NULL, NULL, 5213, 13),
(52494, NULL, 'PIRSF018461', NULL, NULL, NULL, NULL, 'Phage_rep_C1', NULL, NULL, 21730, 13),
(52495, NULL, 'PIRSF037930', NULL, NULL, NULL, NULL, 'K_endopeptidase', NULL, NULL, 17100, 13),
(52496, NULL, 'PIRSF029900', NULL, NULL, NULL, NULL, 'Alpha-glucuronds', NULL, NULL, 7889, 13),
(52497, NULL, 'PIRSF000101', NULL, NULL, NULL, NULL, 'D-lactate_dh', NULL, NULL, 11714, 13),
(52498, NULL, 'PIRSF016992', NULL, NULL, NULL, NULL, 'Txn_fac_GATA_plant', NULL, NULL, 20687, 13),
(52499, NULL, 'PIRSF011362', NULL, NULL, NULL, NULL, 'DevR', NULL, NULL, 18218, 13),
(52500, NULL, 'PIRSF015162', NULL, NULL, NULL, NULL, 'IL-18', NULL, NULL, 8386, 13),
(52501, NULL, 'PIRSF036750', NULL, NULL, NULL, NULL, 'dCMP_HMase', NULL, NULL, 10147, 13),
(52502, NULL, 'PIRSF037938', NULL, NULL, NULL, NULL, 'SIR2_euk', NULL, NULL, 17183, 13),
(52503, NULL, 'PIRSF001480', NULL, NULL, NULL, NULL, 'PMI', NULL, NULL, 19850, 13),
(52504, NULL, 'PIRSF019883', NULL, NULL, NULL, NULL, 'UCP019883', NULL, NULL, 21774, 13),
(52505, NULL, 'PIRSF027202', NULL, NULL, NULL, NULL, 'Ced_4', NULL, NULL, 16187, 13),
(52506, NULL, 'PIRSF036517', NULL, NULL, NULL, NULL, 'Ext_hemo', NULL, NULL, 8323, 13),
(52507, NULL, 'PIRSF001951', NULL, NULL, NULL, NULL, 'EPO', NULL, NULL, 7004, 13),
(52508, NULL, 'PIRSF003196', NULL, NULL, NULL, NULL, 'Trp_repressor', NULL, NULL, 18847, 13),
(52509, NULL, 'PIRSF005562', NULL, NULL, NULL, NULL, 'FAS_yeast_beta', NULL, NULL, 15773, 13),
(52510, NULL, 'PIRSF000912', NULL, NULL, NULL, NULL, 'PPEF', NULL, NULL, 11254, 13),
(52511, NULL, 'PIRSF004944', NULL, NULL, NULL, NULL, 'UCP004944_hydrls', NULL, NULL, 7720, 13),
(52512, NULL, 'PIRSF031475', NULL, NULL, NULL, NULL, 'UCP031475', NULL, NULL, 18160, 13),
(52513, NULL, 'PIRSF000336', NULL, NULL, NULL, NULL, 'TH', NULL, NULL, 17518, 13),
(52514, NULL, 'PIRSF006170', NULL, NULL, NULL, NULL, 'YfgM', NULL, NULL, 26115, 13),
(52515, NULL, 'PIRSF009180', NULL, NULL, NULL, NULL, 'UCP009180', NULL, NULL, 18015, 13),
(52516, NULL, 'PIRSF012702', NULL, NULL, NULL, NULL, 'MlrC', NULL, NULL, 9925, 13),
(52517, NULL, 'PIRSF021441', NULL, NULL, NULL, NULL, 'CcdC', NULL, NULL, 26503, 13),
(52518, NULL, 'PIRSF038150', NULL, NULL, NULL, NULL, 'Metaxin', NULL, NULL, 18568, 13),
(52519, NULL, 'PIRSF028810', NULL, NULL, NULL, NULL, 'Alg10', NULL, NULL, 17032, 13),
(52520, NULL, 'PIRSF014774', NULL, NULL, NULL, NULL, 'YdgH', NULL, NULL, 25368, 13),
(52521, NULL, 'PIRSF000609', NULL, NULL, NULL, NULL, 'STPK_YKL116c', NULL, NULL, 17449, 13),
(52522, NULL, 'PIRSF001499', NULL, NULL, NULL, NULL, 'Chor_mut_pdh_Tpr', NULL, NULL, 703, 13),
(52523, NULL, 'PIRSF000898', NULL, NULL, NULL, NULL, 'Acid_Ptase_5', NULL, NULL, 16473, 13),
(52524, NULL, 'PIRSF007028', NULL, NULL, NULL, NULL, 'UCP007028', NULL, NULL, 14511, 13),
(52525, NULL, 'PIRSF003167', NULL, NULL, NULL, NULL, 'HK_NarX/NarQ', NULL, NULL, 21727, 13),
(52526, NULL, 'PIRSF017259', NULL, NULL, NULL, NULL, 'tRNA_Mtase_TRM11', NULL, NULL, NULL, 13),
(52527, NULL, 'PIRSF000309', NULL, NULL, NULL, NULL, 'HoxU', NULL, NULL, 17207, 13),
(52528, NULL, 'PIRSF002741', NULL, NULL, NULL, NULL, 'MppA', NULL, NULL, 28423, 13);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52529, NULL, 'PIRSF006601', NULL, NULL, NULL, NULL, 'ATPase_UCP006601', NULL, NULL, 13456, 13),
(52530, NULL, 'PIRSF500683', NULL, NULL, NULL, NULL, 'Lactotransferrin', NULL, NULL, 27357, 13),
(52531, NULL, 'PIRSF007059', NULL, NULL, NULL, NULL, 'ComD', NULL, NULL, 16230, 13),
(52532, NULL, 'PIRSF000513', NULL, NULL, NULL, NULL, 'Thz_kinase', NULL, NULL, 6900, 13),
(52533, NULL, 'PIRSF023803', NULL, NULL, NULL, NULL, 'RNase_P', NULL, NULL, 15375, 13),
(52534, NULL, 'PIRSF028758', NULL, NULL, NULL, NULL, 'Cyclin_C_H_G', NULL, NULL, NULL, 13),
(52535, NULL, 'PIRSF020634', NULL, NULL, NULL, NULL, 'TerY_vWA', NULL, NULL, 7640, 13),
(52536, NULL, 'PIRSF037136', NULL, NULL, NULL, NULL, 'RKM1', NULL, NULL, 20665, 13),
(52537, NULL, 'PIRSF038953', NULL, NULL, NULL, NULL, 'SigI', NULL, NULL, 11031, 13),
(52538, NULL, 'PIRSF028299', NULL, NULL, NULL, NULL, 'UCP028299', NULL, NULL, 16452, 13),
(52539, NULL, 'PIRSF003048', NULL, NULL, NULL, NULL, 'Hist_acetylase_PCAF', NULL, NULL, 20807, 13),
(52540, NULL, 'PIRSF015897', NULL, NULL, NULL, NULL, 'PRIB5', NULL, NULL, 13951, 13),
(52541, NULL, 'PIRSF036659', NULL, NULL, NULL, NULL, 'BdbC', NULL, NULL, 13396, 13),
(52542, NULL, 'PIRSF017393', NULL, NULL, NULL, NULL, 'MTase_SAV2177', NULL, NULL, 3499, 13),
(52543, NULL, 'PIRSF035040', NULL, NULL, NULL, NULL, 'UCP_CBS_Lmo0553', NULL, NULL, 19020, 13),
(52544, NULL, 'PIRSF000370', NULL, NULL, NULL, NULL, 'QueE', NULL, NULL, 27641, 13),
(52545, NULL, 'PIRSF000501', NULL, NULL, NULL, NULL, 'DHPS_Campy', NULL, NULL, 17461, 13),
(52546, NULL, 'PIRSF029342', NULL, NULL, NULL, NULL, 'UCP029342_Bll4150', NULL, NULL, 17126, 13),
(52547, NULL, 'PIRSF001836', NULL, NULL, NULL, NULL, 'Neuroparsin', NULL, NULL, 11540, 13),
(52548, NULL, 'PIRSF039033', NULL, NULL, NULL, NULL, 'START_dom', NULL, NULL, 28974, 13),
(52549, NULL, 'PIRSF000019', NULL, NULL, NULL, NULL, 'Bc1_11K', NULL, NULL, 5486, 13),
(52550, NULL, 'PIRSF006158', NULL, NULL, NULL, NULL, 'UCP006158_SH3', NULL, NULL, 15991, 13),
(52551, NULL, 'PIRSF012281', NULL, NULL, NULL, NULL, 'UCP012281', NULL, NULL, 11009, 13),
(52552, NULL, 'PIRSF037568', NULL, NULL, NULL, NULL, 'ROCK', NULL, NULL, 20661, 13),
(52553, NULL, 'PIRSF026478', NULL, NULL, NULL, NULL, 'UCP026478_dh', NULL, NULL, 15827, 13),
(52554, NULL, 'PIRSF019709', NULL, NULL, NULL, NULL, 'MtxX', NULL, NULL, 21950, 13),
(52555, NULL, 'PIRSF016134', NULL, NULL, NULL, NULL, 'UCP016134', NULL, NULL, 19884, 13),
(52556, NULL, 'PIRSF002290', NULL, NULL, NULL, NULL, 'CHC', NULL, NULL, 20843, 13),
(52557, NULL, 'PIRSF037931', NULL, NULL, NULL, NULL, 'TMPRSS9_polyserase-1', NULL, NULL, 17480, 13),
(52558, NULL, 'PIRSF031051', NULL, NULL, NULL, NULL, 'PLP_phosphatas_PHOSPHO2', NULL, NULL, 18182, 13),
(52559, NULL, 'PIRSF029658', NULL, NULL, NULL, NULL, 'UCP029658_TPR', NULL, NULL, 17257, 13),
(52560, NULL, 'PIRSF036948', NULL, NULL, NULL, NULL, 'TOM1', NULL, NULL, 8921, 13),
(52561, NULL, 'PIRSF000545', NULL, NULL, NULL, NULL, 'Pantothenate_kin', NULL, NULL, 716, 13),
(52562, NULL, 'PIRSF017245', NULL, NULL, NULL, NULL, 'Phosphoketolase', NULL, NULL, 2638, 13),
(52563, NULL, 'PIRSF020514', NULL, NULL, NULL, NULL, 'NolB', NULL, NULL, 15233, 13),
(52564, NULL, 'PIRSF016567', NULL, NULL, NULL, NULL, 'IFNAR1', NULL, NULL, 20891, 13),
(52565, NULL, 'PIRSF006769', NULL, NULL, NULL, NULL, 'RibD', NULL, NULL, 5101, 13),
(52566, NULL, 'PIRSF028687', NULL, NULL, NULL, NULL, 'UCP028687', NULL, NULL, 7357, 13),
(52567, NULL, 'PIRSF022936', NULL, NULL, NULL, NULL, 'RAD59_fungi', NULL, NULL, 15099, 13),
(52568, NULL, 'PIRSF018748', NULL, NULL, NULL, NULL, 'UCP018748', NULL, NULL, 20068, 13),
(52569, NULL, 'PIRSF033722', NULL, NULL, NULL, NULL, 'DnaD_CA_C3587', NULL, NULL, 19147, 13),
(52570, NULL, 'PIRSF018968', NULL, NULL, NULL, NULL, 'ABC_permease_BceB', NULL, NULL, 29310, 13),
(52571, NULL, 'PIRSF500126', NULL, NULL, NULL, NULL, 'Pgk_euglenozoa', NULL, NULL, 26343, 13),
(52572, NULL, 'PIRSF000723', NULL, NULL, NULL, NULL, 'Carbamate_kin', NULL, NULL, 7409, 13),
(52573, NULL, 'PIRSF012562', NULL, NULL, NULL, NULL, 'UCP012562', NULL, NULL, 11994, 13);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52574, NULL, 'PIRSF012335', NULL, NULL, NULL, NULL, 'UCP012335', NULL, NULL, 18225, 13),
(52575, NULL, 'PIRSF037839', NULL, NULL, NULL, NULL, 'RNase_H', NULL, NULL, 16940, 13),
(52576, NULL, 'PIRSF012524', NULL, NULL, NULL, NULL, 'YitL_S1', NULL, NULL, 9832, 13),
(52577, NULL, 'PIRSF000090', NULL, NULL, NULL, NULL, 'Beta-ETF', NULL, NULL, 11899, 13),
(52578, NULL, 'PIRSF003854', NULL, NULL, NULL, NULL, 'Vif_BLV', NULL, NULL, 8284, 13),
(52579, NULL, 'PIRSF038927', NULL, NULL, NULL, NULL, 'Catalase_clade2', NULL, NULL, 658, 13),
(52580, NULL, 'PIRSF016175', NULL, NULL, NULL, NULL, 'UCP016175', NULL, NULL, 19949, 13),
(52581, NULL, 'PIRSF008142', NULL, NULL, NULL, NULL, 'SH3-bind_E-rich_L', NULL, NULL, 5592, 13),
(52582, NULL, 'PIRSF000900', NULL, NULL, NULL, NULL, 'Acid_Ptase_Asper', NULL, NULL, 12992, 13),
(52583, NULL, 'PIRSF004638', NULL, NULL, NULL, NULL, 'UCP004638', NULL, NULL, 4193, 13),
(52584, NULL, 'PIRSF004803', NULL, NULL, NULL, NULL, 'RnjA', NULL, NULL, 24873, 13),
(52585, NULL, 'PIRSF005225', NULL, NULL, NULL, NULL, 'LAG1_LAC1', NULL, NULL, 15791, 13),
(52586, NULL, 'PIRSF001394', NULL, NULL, NULL, NULL, 'Fe_dep_fumar_hy', NULL, NULL, 11268, 13),
(52587, NULL, 'PIRSF037505', NULL, NULL, NULL, NULL, 'BHMT', NULL, NULL, 15544, 13),
(52588, NULL, 'PIRSF038149', NULL, NULL, NULL, NULL, 'Pyruvate_Pi_dikinase_reg', NULL, NULL, 18523, 13),
(52589, NULL, 'PIRSF038996', NULL, NULL, NULL, NULL, 'FldA', NULL, NULL, 2060, 13),
(52590, NULL, 'PIRSF007352', NULL, NULL, NULL, NULL, 'OapB', NULL, NULL, 13433, 13),
(52591, NULL, 'PIRSF000103', NULL, NULL, NULL, NULL, 'HIBADH', NULL, NULL, 8100, 13),
(52592, NULL, 'PIRSF038156', NULL, NULL, NULL, NULL, 'RNA_polymII_KELP', NULL, NULL, 18521, 13),
(52593, NULL, 'PIRSF011575', NULL, NULL, NULL, NULL, 'YabG', NULL, NULL, 12056, 13),
(52594, NULL, 'PIRSF032437', NULL, NULL, NULL, NULL, 'UCP032437', NULL, NULL, 8481, 13),
(52595, NULL, 'PIRSF016396', NULL, NULL, NULL, NULL, 'Prefoldin_3', NULL, NULL, 19567, 13),
(52596, NULL, 'PIRSF000139', NULL, NULL, NULL, NULL, 'Glc_ox_4Fe-4S', NULL, NULL, 11546, 13),
(52597, NULL, 'PIRSF004776', NULL, NULL, NULL, NULL, 'NadR_NMNAT/RNK', NULL, NULL, 21592, 13),
(52598, NULL, 'PIRSF004567', NULL, NULL, NULL, NULL, 'TnsE', NULL, NULL, 21536, 13),
(52599, NULL, 'PIRSF038017', NULL, NULL, NULL, NULL, 'GTP-BP_GEM', NULL, NULL, 17615, 13),
(52600, NULL, 'PIRSF000706', NULL, NULL, NULL, NULL, 'Kanamycin_kin', NULL, NULL, 13164, 13),
(52601, NULL, 'PIRSF500773', NULL, NULL, NULL, NULL, 'Hyaluronidase_PH20_Hyal5', NULL, NULL, 3325, 13),
(52602, NULL, 'PIRSF037373', NULL, NULL, NULL, NULL, 'UCP037373_trxn_reg', NULL, NULL, 21759, 13),
(52603, NULL, 'PIRSF005067', NULL, NULL, NULL, NULL, 'Tma_RNA-bind', NULL, NULL, 15644, 13),
(52604, NULL, 'PIRSF005512', NULL, NULL, NULL, NULL, 'UCP005512', NULL, NULL, 7835, 13),
(52605, NULL, 'PIRSF004897', NULL, NULL, NULL, NULL, 'UCP004897_ACT', NULL, NULL, 7957, 13),
(52606, NULL, 'PIRSF001199', NULL, NULL, NULL, NULL, 'BMP1', NULL, NULL, 9057, 13),
(52607, NULL, 'PIRSF037637', NULL, NULL, NULL, NULL, 'SAP18', NULL, NULL, 15799, 13),
(52608, NULL, 'PIRSF000853', NULL, NULL, NULL, NULL, 'PPDK', NULL, NULL, 10595, 13),
(52609, NULL, 'PIRSF034110', NULL, NULL, NULL, NULL, 'UCP034110', NULL, NULL, 1959, 13),
(52610, NULL, 'PIRSF011576', NULL, NULL, NULL, NULL, 'YabP', NULL, NULL, 12504, 13),
(52611, NULL, 'PIRSF026412', NULL, NULL, NULL, NULL, 'Streptogrm_lyase', NULL, NULL, 10673, 13),
(52612, NULL, 'PIRSF005989', NULL, NULL, NULL, NULL, 'Ectatomin', NULL, NULL, 9449, 13),
(52613, NULL, 'PIRSF500217', NULL, NULL, NULL, NULL, 'AlgI', NULL, NULL, 29316, 13),
(52614, NULL, 'PIRSF005063', NULL, NULL, NULL, NULL, 'UCP_CBS_MJ1232', NULL, NULL, 15680, 13),
(52615, NULL, 'PIRSF020408', NULL, NULL, NULL, NULL, 'UCP020408', NULL, NULL, 15306, 13),
(52616, NULL, 'PIRSF038079', NULL, NULL, NULL, NULL, 'Torsin-2A', NULL, NULL, 18059, 13),
(52617, NULL, 'PIRSF015000', NULL, NULL, NULL, NULL, 'UCP01500', NULL, NULL, 9697, 13),
(52618, NULL, 'PIRSF003890', NULL, NULL, NULL, NULL, 'LigT_coronavirus', NULL, NULL, 3183, 13);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52619, NULL, 'PIRSF000267', NULL, NULL, NULL, NULL, 'Cyt_oxidse_sub2', NULL, NULL, 4388, 13),
(52620, NULL, 'PIRSF500814', NULL, NULL, NULL, NULL, 'PP1_GL', NULL, NULL, 26086, 13),
(52621, NULL, 'PIRSF001400', NULL, NULL, NULL, NULL, 'Enolase', NULL, NULL, 3112, 13),
(52622, NULL, 'PIRSF038122', NULL, NULL, NULL, NULL, 'COBRA', NULL, NULL, 4949, 13),
(52623, NULL, 'PIRSF007519', NULL, NULL, NULL, NULL, 'Protease_InhA', NULL, NULL, 13994, 13),
(52624, NULL, 'PIRSF036959', NULL, NULL, NULL, NULL, 'mRNA_cap_alpha', NULL, NULL, 19696, 13),
(52625, NULL, 'PIRSF012943', NULL, NULL, NULL, NULL, 'UCP012943', NULL, NULL, 19519, 13),
(52626, NULL, 'PIRSF036684', NULL, NULL, NULL, NULL, 'ME_PTA', NULL, NULL, 13023, 13),
(52627, NULL, 'PIRSF001152', NULL, NULL, NULL, NULL, 'HGF_MST1', NULL, NULL, 13012, 13),
(52628, NULL, 'PIRSF028135', NULL, NULL, NULL, NULL, 'UCP028135_HipA-like', NULL, NULL, 16376, 13),
(52629, NULL, 'PIRSF007103', NULL, NULL, NULL, NULL, 'UCP007103', NULL, NULL, 16120, 13),
(52630, NULL, 'PIRSF036424', NULL, NULL, NULL, NULL, 'Transl_init_eIF3b', NULL, NULL, 7798, 13),
(52631, NULL, 'PIRSF019083', NULL, NULL, NULL, NULL, 'UCP019083_VanZ', NULL, NULL, 21743, 13),
(52632, NULL, 'PIRSF012939', NULL, NULL, NULL, NULL, 'NAR2', NULL, NULL, 19568, 13),
(52633, NULL, 'PIRSF007407', NULL, NULL, NULL, NULL, 'UCP007407_Abi', NULL, NULL, 16038, 13),
(52634, NULL, 'PIRSF000495', NULL, NULL, NULL, NULL, 'Amidotransf_HisH', NULL, NULL, 10905, 13),
(52635, NULL, 'PIRSF001390', NULL, NULL, NULL, NULL, 'Dipicolinate_synth_subunit_B', NULL, NULL, 10738, 13),
(52636, NULL, 'PIRSF015013', NULL, NULL, NULL, NULL, 'UCP015013', NULL, NULL, 19858, 13),
(52637, NULL, 'PIRSF000204', NULL, NULL, NULL, NULL, 'PNTB', NULL, NULL, 14087, 13),
(52638, NULL, 'PIRSF037434', NULL, NULL, NULL, NULL, 'HK_ChrS', NULL, NULL, 15994, 13),
(52639, NULL, 'PIRSF036958', NULL, NULL, NULL, NULL, 'mRNA_capping_HCE', NULL, NULL, 19905, 13),
(52640, NULL, 'PIRSF014897', NULL, NULL, NULL, NULL, 'UCP014897', NULL, NULL, 19840, 13),
(52641, NULL, 'PIRSF002004', NULL, NULL, NULL, NULL, 'Leukocyte_common_antigen', NULL, NULL, 20627, 13),
(52642, NULL, 'PIRSF500185', NULL, NULL, NULL, NULL, 'MSP_HGFL', NULL, NULL, 36772, 13),
(52643, NULL, 'PIRSF036427', NULL, NULL, NULL, NULL, 'Precrrn-2_mtase', NULL, NULL, 13616, 13),
(52644, NULL, 'PIRSF007797', NULL, NULL, NULL, NULL, 'RSM22', NULL, NULL, 16224, 13),
(52645, NULL, 'PIRSF036628', NULL, NULL, NULL, NULL, 'IolB', NULL, NULL, 14057, 13),
(52646, NULL, 'PIRSF006392', NULL, NULL, NULL, NULL, 'IPGAM_arch', NULL, NULL, 7278, 13),
(52647, NULL, 'PIRSF019108', NULL, NULL, NULL, NULL, 'Txn_reg_CopG', NULL, NULL, 21619, 13),
(52648, NULL, 'PIRSF003101', NULL, NULL, NULL, NULL, 'FtsA', NULL, NULL, 20558, 13),
(52649, NULL, 'PIRSF006588', NULL, NULL, NULL, NULL, 'TyrRS_arch_euk', NULL, NULL, 7822, 13),
(52650, NULL, 'PIRSF039088', NULL, NULL, NULL, NULL, 'F_ATPase_subunit_alpha', NULL, NULL, 4025, 13),
(52651, NULL, 'PIRSF016521', NULL, NULL, NULL, NULL, 'Acyl-CoA_hydro', NULL, NULL, 20837, 13),
(52652, NULL, 'PIRSF002466', NULL, NULL, NULL, NULL, 'Glycophorin', NULL, NULL, 1027, 13),
(52653, NULL, 'PIRSF500154', NULL, NULL, NULL, NULL, 'RPB6', NULL, NULL, 29490, 13),
(52654, NULL, 'PIRSF019693', NULL, NULL, NULL, NULL, 'VAMP_assoc_prot', NULL, NULL, 21848, 13),
(52655, NULL, 'PIRSF021591', NULL, NULL, NULL, NULL, 'UCP021591', NULL, NULL, 15007, 13),
(52656, NULL, 'PIRSF001905', NULL, NULL, NULL, NULL, 'Sea_anemon_toxin', NULL, NULL, 3553, 13),
(52657, NULL, 'PIRSF500793', NULL, NULL, NULL, NULL, 'Folate_transporter_1', NULL, NULL, 28771, 13),
(52658, NULL, 'PIRSF000559', NULL, NULL, NULL, NULL, 'cGMP-dep_kinase', NULL, NULL, 6940, 13),
(52659, NULL, 'PIRSF016104', NULL, NULL, NULL, NULL, 'PIG-C', NULL, NULL, 9278, 13),
(52660, NULL, 'PIRSF000017', NULL, NULL, NULL, NULL, 'RC_cytochrome', NULL, NULL, 3104, 13),
(52661, NULL, 'PIRSF036370', NULL, NULL, NULL, NULL, 'ST14', NULL, NULL, 19885, 13),
(52662, NULL, 'PIRSF037712', NULL, NULL, NULL, NULL, 'TIP-1', NULL, NULL, 16134, 13),
(52663, NULL, 'PIRSF001473', NULL, NULL, NULL, NULL, 'FK506-bp_FPR3', NULL, NULL, 18671, 13);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52664, NULL, 'PIRSF016951', NULL, NULL, NULL, NULL, 'MADP_ribosyltransf_Edin', NULL, NULL, 20575, 13),
(52665, NULL, 'PIRSF004697', NULL, NULL, NULL, NULL, 'UCP_CBS_CP12', NULL, NULL, 7363, 13),
(52666, NULL, 'PIRSF000376', NULL, NULL, NULL, NULL, 'ACDS_gamma', NULL, NULL, 17448, 13),
(52667, NULL, 'PIRSF016897', NULL, NULL, NULL, NULL, 'GlpP', NULL, NULL, 2252, 13),
(52668, NULL, 'PIRSF037431', NULL, NULL, NULL, NULL, 'HK_LiaS', NULL, NULL, 15398, 13),
(52669, NULL, 'PIRSF000631', NULL, NULL, NULL, NULL, 'TyrPK_receptor_Ret', NULL, NULL, 17304, 13),
(52670, NULL, 'PIRSF019271', NULL, NULL, NULL, NULL, 'Acid_Ptase_C', NULL, NULL, 6661, 13),
(52671, NULL, 'PIRSF037536', NULL, NULL, NULL, NULL, 'WD35', NULL, NULL, 15640, 13),
(52672, NULL, 'PIRSF021524', NULL, NULL, NULL, NULL, 'MSH_acetyltransferase', NULL, NULL, 19732, 13),
(52673, NULL, 'PIRSF003726', NULL, NULL, NULL, NULL, 'Vaccinia_VP39', NULL, NULL, 24600, 13),
(52674, NULL, 'PIRSR000138-1', NULL, NULL, NULL, NULL, 'PIRSR000138-1', NULL, NULL, NULL, 14),
(52675, NULL, 'PIRSR028729-50', NULL, NULL, NULL, NULL, 'PIRSR028729-50', NULL, NULL, NULL, 14),
(52676, NULL, 'PIRSR016408-3', NULL, NULL, NULL, NULL, 'PIRSR016408-3', NULL, NULL, NULL, 14),
(52677, NULL, 'PIRSR038085-1', NULL, NULL, NULL, NULL, 'PIRSR038085-1', NULL, NULL, NULL, 14),
(52678, NULL, 'PIRSR004030-1', NULL, NULL, NULL, NULL, 'PIRSR004030-1', NULL, NULL, NULL, 14),
(52679, NULL, 'PIRSR001031-2', NULL, NULL, NULL, NULL, 'PIRSR001031-2', NULL, NULL, NULL, 14),
(52680, NULL, 'PIRSR006113-1', NULL, NULL, NULL, NULL, 'PIRSR006113-1', NULL, NULL, NULL, 14),
(52681, NULL, 'PIRSR000977-1', NULL, NULL, NULL, NULL, 'PIRSR000977-1', NULL, NULL, NULL, 14),
(52682, NULL, 'PIRSR005943-1', NULL, NULL, NULL, NULL, 'PIRSR005943-1', NULL, NULL, NULL, 14),
(52683, NULL, 'PIRSR021497-1', NULL, NULL, NULL, NULL, 'PIRSR021497-1', NULL, NULL, NULL, 14),
(52684, NULL, 'PIRSR000619-1', NULL, NULL, NULL, NULL, 'PIRSR000619-1', NULL, NULL, NULL, 14),
(52685, NULL, 'PIRSR006404-1', NULL, NULL, NULL, NULL, 'PIRSR006404-1', NULL, NULL, NULL, 14),
(52686, NULL, 'PIRSR631038-2', NULL, NULL, NULL, NULL, 'PIRSR631038-2', NULL, NULL, NULL, 14),
(52687, NULL, 'PIRSR600821-50', NULL, NULL, NULL, NULL, 'PIRSR600821-50', NULL, NULL, NULL, 14),
(52688, NULL, 'PIRSR032067-1', NULL, NULL, NULL, NULL, 'PIRSR032067-1', NULL, NULL, NULL, 14),
(52689, NULL, 'PIRSR000429-1', NULL, NULL, NULL, NULL, 'PIRSR000429-1', NULL, NULL, NULL, 14),
(52690, NULL, 'PIRSR006156-1', NULL, NULL, NULL, NULL, 'PIRSR006156-1', NULL, NULL, NULL, 14),
(52691, NULL, 'PIRSR000190-2', NULL, NULL, NULL, NULL, 'PIRSR000190-2', NULL, NULL, NULL, 14),
(52692, NULL, 'PIRSR002560-1', NULL, NULL, NULL, NULL, 'PIRSR002560-1', NULL, NULL, NULL, 14),
(52693, NULL, 'PIRSR000554-1', NULL, NULL, NULL, NULL, 'PIRSR000554-1', NULL, NULL, NULL, 14),
(52694, NULL, 'PIRSR002855-2', NULL, NULL, NULL, NULL, 'PIRSR002855-2', NULL, NULL, NULL, 14),
(52695, NULL, 'PIRSR000865-3', NULL, NULL, NULL, NULL, 'PIRSR000865-3', NULL, NULL, NULL, 14),
(52696, NULL, 'PIRSR005539-1', NULL, NULL, NULL, NULL, 'PIRSR005539-1', NULL, NULL, NULL, 14),
(52697, NULL, 'PIRSR604061-50', NULL, NULL, NULL, NULL, 'PIRSR604061-50', NULL, NULL, NULL, 14),
(52698, NULL, 'PIRSR000853-3', NULL, NULL, NULL, NULL, 'PIRSR000853-3', NULL, NULL, NULL, 14),
(52699, NULL, 'PIRSR007828-2', NULL, NULL, NULL, NULL, 'PIRSR007828-2', NULL, NULL, NULL, 14),
(52700, NULL, 'PIRSR038186-1', NULL, NULL, NULL, NULL, 'PIRSR038186-1', NULL, NULL, NULL, 14),
(52701, NULL, 'PIRSR000006-1', NULL, NULL, NULL, NULL, 'PIRSR000006-1', NULL, NULL, NULL, 14),
(52702, NULL, 'PIRSR004131-1', NULL, NULL, NULL, NULL, 'PIRSR004131-1', NULL, NULL, NULL, 14),
(52703, NULL, 'PIRSR001205-1', NULL, NULL, NULL, NULL, 'PIRSR001205-1', NULL, NULL, NULL, 14),
(52704, NULL, 'PIRSR001373-1', NULL, NULL, NULL, NULL, 'PIRSR001373-1', NULL, NULL, NULL, 14),
(52705, NULL, 'PIRSR002572-1', NULL, NULL, NULL, NULL, 'PIRSR002572-1', NULL, NULL, NULL, 14),
(52706, NULL, 'PIRSR036636-50', NULL, NULL, NULL, NULL, 'PIRSR036636-50', NULL, NULL, NULL, 14);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52707, NULL, 'PIRSR037177-1', NULL, NULL, NULL, NULL, 'PIRSR037177-1', NULL, NULL, NULL, 14),
(52708, NULL, 'PIRSR001415-3', NULL, NULL, NULL, NULL, 'PIRSR001415-3', NULL, NULL, NULL, 14),
(52709, NULL, 'PIRSR038885-2', NULL, NULL, NULL, NULL, 'PIRSR038885-2', NULL, NULL, NULL, 14),
(52710, NULL, 'PIRSR039004-3', NULL, NULL, NULL, NULL, 'PIRSR039004-3', NULL, NULL, NULL, 14),
(52711, NULL, 'PIRSR034515-2', NULL, NULL, NULL, NULL, 'PIRSR034515-2', NULL, NULL, NULL, 14),
(52712, NULL, 'PIRSR000933-51', NULL, NULL, NULL, NULL, 'PIRSR000933-51', NULL, NULL, NULL, 14),
(52713, NULL, 'PIRSR000410-1', NULL, NULL, NULL, NULL, 'PIRSR000410-1', NULL, NULL, NULL, 14),
(52714, NULL, 'PIRSR031051-1', NULL, NULL, NULL, NULL, 'PIRSR031051-1', NULL, NULL, NULL, 14),
(52715, NULL, 'PIRSR600877-50', NULL, NULL, NULL, NULL, 'PIRSR600877-50', NULL, NULL, NULL, 14),
(52716, NULL, 'PIRSR630294-1', NULL, NULL, NULL, NULL, 'PIRSR630294-1', NULL, NULL, NULL, 14),
(52717, NULL, 'PIRSR000926-2', NULL, NULL, NULL, NULL, 'PIRSR000926-2', NULL, NULL, NULL, 14),
(52718, NULL, 'PIRSR001594-1', NULL, NULL, NULL, NULL, 'PIRSR001594-1', NULL, NULL, NULL, 14),
(52719, NULL, 'PIRSR600542-1', NULL, NULL, NULL, NULL, 'PIRSR600542-1', NULL, NULL, NULL, 14),
(52720, NULL, 'PIRSR000705-2', NULL, NULL, NULL, NULL, 'PIRSR000705-2', NULL, NULL, NULL, 14),
(52721, NULL, 'PIRSR036894-1', NULL, NULL, NULL, NULL, 'PIRSR036894-1', NULL, NULL, NULL, 14),
(52722, NULL, 'PIRSR605856-50', NULL, NULL, NULL, NULL, 'PIRSR605856-50', NULL, NULL, NULL, 14),
(52723, NULL, 'PIRSR608356-51', NULL, NULL, NULL, NULL, 'PIRSR608356-51', NULL, NULL, NULL, 14),
(52724, NULL, 'PIRSR000294-1', NULL, NULL, NULL, NULL, 'PIRSR000294-1', NULL, NULL, NULL, 14),
(52725, NULL, 'PIRSR600246-1', NULL, NULL, NULL, NULL, 'PIRSR600246-1', NULL, NULL, NULL, 14),
(52726, NULL, 'PIRSR601621-4', NULL, NULL, NULL, NULL, 'PIRSR601621-4', NULL, NULL, NULL, 14),
(52727, NULL, 'PIRSR000970-1', NULL, NULL, NULL, NULL, 'PIRSR000970-1', NULL, NULL, NULL, 14),
(52728, NULL, 'PIRSR006246-3', NULL, NULL, NULL, NULL, 'PIRSR006246-3', NULL, NULL, NULL, 14),
(52729, NULL, 'PIRSR038147-2', NULL, NULL, NULL, NULL, 'PIRSR038147-2', NULL, NULL, NULL, 14),
(52730, NULL, 'PIRSR000409-2', NULL, NULL, NULL, NULL, 'PIRSR000409-2', NULL, NULL, NULL, 14),
(52731, NULL, 'PIRSR016020-1', NULL, NULL, NULL, NULL, 'PIRSR016020-1', NULL, NULL, NULL, 14),
(52732, NULL, 'PIRSR000159-50', NULL, NULL, NULL, NULL, 'PIRSR000159-50', NULL, NULL, NULL, 14),
(52733, NULL, 'PIRSR003033-1', NULL, NULL, NULL, NULL, 'PIRSR003033-1', NULL, NULL, NULL, 14),
(52734, NULL, 'PIRSR036959-1', NULL, NULL, NULL, NULL, 'PIRSR036959-1', NULL, NULL, NULL, 14),
(52735, NULL, 'PIRSR001024-5', NULL, NULL, NULL, NULL, 'PIRSR001024-5', NULL, NULL, NULL, 14),
(52736, NULL, 'PIRSR000232-1', NULL, NULL, NULL, NULL, 'PIRSR000232-1', NULL, NULL, NULL, 14),
(52737, NULL, 'PIRSR006769-1', NULL, NULL, NULL, NULL, 'PIRSR006769-1', NULL, NULL, NULL, 14),
(52738, NULL, 'PIRSR039144-50', NULL, NULL, NULL, NULL, 'PIRSR039144-50', NULL, NULL, NULL, 14),
(52739, NULL, 'PIRSR605437-50', NULL, NULL, NULL, NULL, 'PIRSR605437-50', NULL, NULL, NULL, 14),
(52740, NULL, 'PIRSR000485-3', NULL, NULL, NULL, NULL, 'PIRSR000485-3', NULL, NULL, NULL, 14),
(52741, NULL, 'PIRSR036517-1', NULL, NULL, NULL, NULL, 'PIRSR036517-1', NULL, NULL, NULL, 14),
(52742, NULL, 'PIRSR000068-1', NULL, NULL, NULL, NULL, 'PIRSR000068-1', NULL, NULL, NULL, 14),
(52743, NULL, 'PIRSR009400-1', NULL, NULL, NULL, NULL, 'PIRSR009400-1', NULL, NULL, NULL, 14),
(52744, NULL, 'PIRSR006105-2', NULL, NULL, NULL, NULL, 'PIRSR006105-2', NULL, NULL, NULL, 14),
(52745, NULL, 'PIRSR639036-50', NULL, NULL, NULL, NULL, 'PIRSR639036-50', NULL, NULL, NULL, 14),
(52746, NULL, 'PIRSR000260-2', NULL, NULL, NULL, NULL, 'PIRSR000260-2', NULL, NULL, NULL, 14),
(52747, NULL, 'PIRSR000239-1', NULL, NULL, NULL, NULL, 'PIRSR000239-1', NULL, NULL, NULL, 14),
(52748, NULL, 'PIRSR609662-50', NULL, NULL, NULL, NULL, 'PIRSR609662-50', NULL, NULL, NULL, 14),
(52749, NULL, 'PIRSR009407-1', NULL, NULL, NULL, NULL, 'PIRSR009407-1', NULL, NULL, NULL, 14); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52750, NULL, 'PIRSR016262-2', NULL, NULL, NULL, NULL, 'PIRSR016262-2', NULL, NULL, NULL, 14),
(52751, NULL, 'PIRSR617774-1', NULL, NULL, NULL, NULL, 'PIRSR617774-1', NULL, NULL, NULL, 14),
(52752, NULL, 'PIRSR630220-1', NULL, NULL, NULL, NULL, 'PIRSR630220-1', NULL, NULL, NULL, 14),
(52753, NULL, 'PIRSR017107-3', NULL, NULL, NULL, NULL, 'PIRSR017107-3', NULL, NULL, NULL, 14),
(52754, NULL, 'PIRSR036917-3', NULL, NULL, NULL, NULL, 'PIRSR036917-3', NULL, NULL, NULL, 14),
(52755, NULL, 'PIRSR623088-3', NULL, NULL, NULL, NULL, 'PIRSR623088-3', NULL, NULL, NULL, 14),
(52756, NULL, 'PIRSR038165-51', NULL, NULL, NULL, NULL, 'PIRSR038165-51', NULL, NULL, NULL, 14),
(52757, NULL, 'PIRSR629890-3', NULL, NULL, NULL, NULL, 'PIRSR629890-3', NULL, NULL, NULL, 14),
(52758, NULL, 'PIRSR000732-1', NULL, NULL, NULL, NULL, 'PIRSR000732-1', NULL, NULL, NULL, 14),
(52759, NULL, 'PIRSR006661-1', NULL, NULL, NULL, NULL, 'PIRSR006661-1', NULL, NULL, NULL, 14),
(52760, NULL, 'PIRSR000806-2', NULL, NULL, NULL, NULL, 'PIRSR000806-2', NULL, NULL, NULL, 14),
(52761, NULL, 'PIRSR036685-1', NULL, NULL, NULL, NULL, 'PIRSR036685-1', NULL, NULL, NULL, 14),
(52762, NULL, 'PIRSR038073-1', NULL, NULL, NULL, NULL, 'PIRSR038073-1', NULL, NULL, NULL, 14),
(52763, NULL, 'PIRSR602129-50', NULL, NULL, NULL, NULL, 'PIRSR602129-50', NULL, NULL, NULL, 14),
(52764, NULL, 'PIRSR038061-1', NULL, NULL, NULL, NULL, 'PIRSR038061-1', NULL, NULL, NULL, 14),
(52765, NULL, 'PIRSR633197-3', NULL, NULL, NULL, NULL, 'PIRSR633197-3', NULL, NULL, NULL, 14),
(52766, NULL, 'PIRSR000114-1', NULL, NULL, NULL, NULL, 'PIRSR000114-1', NULL, NULL, NULL, 14),
(52767, NULL, 'PIRSR000017-2', NULL, NULL, NULL, NULL, 'PIRSR000017-2', NULL, NULL, NULL, 14),
(52768, NULL, 'PIRSR037891-1', NULL, NULL, NULL, NULL, 'PIRSR037891-1', NULL, NULL, NULL, 14),
(52769, NULL, 'PIRSR500947-51', NULL, NULL, NULL, NULL, 'PIRSR500947-51', NULL, NULL, NULL, 14),
(52770, NULL, 'PIRSR633560-50', NULL, NULL, NULL, NULL, 'PIRSR633560-50', NULL, NULL, NULL, 14),
(52771, NULL, 'PIRSR604723-51', NULL, NULL, NULL, NULL, 'PIRSR604723-51', NULL, NULL, NULL, 14),
(52772, NULL, 'PIRSR001123-1', NULL, NULL, NULL, NULL, 'PIRSR001123-1', NULL, NULL, NULL, 14),
(52773, NULL, 'PIRSR001399-1', NULL, NULL, NULL, NULL, 'PIRSR001399-1', NULL, NULL, NULL, 14),
(52774, NULL, 'PIRSR038927-1', NULL, NULL, NULL, NULL, 'PIRSR038927-1', NULL, NULL, NULL, 14),
(52775, NULL, 'PIRSR001093-2', NULL, NULL, NULL, NULL, 'PIRSR001093-2', NULL, NULL, NULL, 14),
(52776, NULL, 'PIRSR005229-1', NULL, NULL, NULL, NULL, 'PIRSR005229-1', NULL, NULL, NULL, 14),
(52777, NULL, 'PIRSR000097-1', NULL, NULL, NULL, NULL, 'PIRSR000097-1', NULL, NULL, NULL, 14),
(52778, NULL, 'PIRSR629511-2', NULL, NULL, NULL, NULL, 'PIRSR629511-2', NULL, NULL, NULL, 14),
(52779, NULL, 'PIRSR605468-50', NULL, NULL, NULL, NULL, 'PIRSR605468-50', NULL, NULL, NULL, 14),
(52780, NULL, 'PIRSR000333-1', NULL, NULL, NULL, NULL, 'PIRSR000333-1', NULL, NULL, NULL, 14),
(52781, NULL, 'PIRSR000666-2', NULL, NULL, NULL, NULL, 'PIRSR000666-2', NULL, NULL, NULL, 14),
(52782, NULL, 'PIRSR000988-2', NULL, NULL, NULL, NULL, 'PIRSR000988-2', NULL, NULL, NULL, 14),
(52783, NULL, 'PIRSR017570-1', NULL, NULL, NULL, NULL, 'PIRSR017570-1', NULL, NULL, NULL, 14),
(52784, NULL, 'PIRSR001837-1', NULL, NULL, NULL, NULL, 'PIRSR001837-1', NULL, NULL, NULL, 14),
(52785, NULL, 'PIRSR037242-1', NULL, NULL, NULL, NULL, 'PIRSR037242-1', NULL, NULL, NULL, 14),
(52786, NULL, 'PIRSR027744-1', NULL, NULL, NULL, NULL, 'PIRSR027744-1', NULL, NULL, NULL, 14),
(52787, NULL, 'PIRSR617653-2', NULL, NULL, NULL, NULL, 'PIRSR617653-2', NULL, NULL, NULL, 14),
(52788, NULL, 'PIRSR608127-51', NULL, NULL, NULL, NULL, 'PIRSR608127-51', NULL, NULL, NULL, 14),
(52789, NULL, 'PIRSR000941-50', NULL, NULL, NULL, NULL, 'PIRSR000941-50', NULL, NULL, NULL, 14),
(52790, NULL, 'PIRSR037430-1', NULL, NULL, NULL, NULL, 'PIRSR037430-1', NULL, NULL, NULL, 14),
(52791, NULL, 'PIRSR038065-2', NULL, NULL, NULL, NULL, 'PIRSR038065-2', NULL, NULL, NULL, 14),
(52792, NULL, 'PIRSR000025-1', NULL, NULL, NULL, NULL, 'PIRSR000025-1', NULL, NULL, NULL, 14);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52793, NULL, 'PIRSR500950-50', NULL, NULL, NULL, NULL, 'PIRSR500950-50', NULL, NULL, NULL, 14),
(52794, NULL, 'PIRSR000350-4', NULL, NULL, NULL, NULL, 'PIRSR000350-4', NULL, NULL, NULL, 14),
(52795, NULL, 'PIRSR018425-1', NULL, NULL, NULL, NULL, 'PIRSR018425-1', NULL, NULL, NULL, 14),
(52796, NULL, 'PIRSR029271-50', NULL, NULL, NULL, NULL, 'PIRSR029271-50', NULL, NULL, NULL, 14),
(52797, NULL, 'PIRSR038994-1', NULL, NULL, NULL, NULL, 'PIRSR038994-1', NULL, NULL, NULL, 14),
(52798, NULL, 'PIRSR006268-2', NULL, NULL, NULL, NULL, 'PIRSR006268-2', NULL, NULL, NULL, 14),
(52799, NULL, 'PIRSR036421-1', NULL, NULL, NULL, NULL, 'PIRSR036421-1', NULL, NULL, NULL, 14),
(52800, NULL, 'PIRSR630056-1', NULL, NULL, NULL, NULL, 'PIRSR630056-1', NULL, NULL, NULL, 14),
(52801, NULL, 'PIRSR610059-51', NULL, NULL, NULL, NULL, 'PIRSR610059-51', NULL, NULL, NULL, 14),
(52802, NULL, 'PIRSR036565-1', NULL, NULL, NULL, NULL, 'PIRSR036565-1', NULL, NULL, NULL, 14),
(52803, NULL, 'PIRSR000235-3', NULL, NULL, NULL, NULL, 'PIRSR000235-3', NULL, NULL, NULL, 14),
(52804, NULL, 'PIRSR001341-2', NULL, NULL, NULL, NULL, 'PIRSR001341-2', NULL, NULL, NULL, 14),
(52805, NULL, 'PIRSR001589-1', NULL, NULL, NULL, NULL, 'PIRSR001589-1', NULL, NULL, NULL, 14),
(52806, NULL, 'PIRSR629881-2', NULL, NULL, NULL, NULL, 'PIRSR629881-2', NULL, NULL, NULL, 14),
(52807, NULL, 'PIRSR000013-1', NULL, NULL, NULL, NULL, 'PIRSR000013-1', NULL, NULL, NULL, 14),
(52808, NULL, 'PIRSR011588-51', NULL, NULL, NULL, NULL, 'PIRSR011588-51', NULL, NULL, NULL, 14),
(52809, NULL, 'PIRSR037479-2', NULL, NULL, NULL, NULL, 'PIRSR037479-2', NULL, NULL, NULL, 14),
(52810, NULL, 'PIRSR038142-50', NULL, NULL, NULL, NULL, 'PIRSR038142-50', NULL, NULL, NULL, 14),
(52811, NULL, 'PIRSR000631-1', NULL, NULL, NULL, NULL, 'PIRSR000631-1', NULL, NULL, NULL, 14),
(52812, NULL, 'PIRSR629576-5', NULL, NULL, NULL, NULL, 'PIRSR629576-5', NULL, NULL, NULL, 14),
(52813, NULL, 'PIRSR631048-51', NULL, NULL, NULL, NULL, 'PIRSR631048-51', NULL, NULL, NULL, 14),
(52814, NULL, 'PIRSR000169-1', NULL, NULL, NULL, NULL, 'PIRSR000169-1', NULL, NULL, NULL, 14),
(52815, NULL, 'PIRSR001154-1', NULL, NULL, NULL, NULL, 'PIRSR001154-1', NULL, NULL, NULL, 14),
(52816, NULL, 'PIRSR016573-1', NULL, NULL, NULL, NULL, 'PIRSR016573-1', NULL, NULL, NULL, 14),
(52817, NULL, 'PIRSR600936-1', NULL, NULL, NULL, NULL, 'PIRSR600936-1', NULL, NULL, NULL, 14),
(52818, NULL, 'PIRSR001024-2', NULL, NULL, NULL, NULL, 'PIRSR001024-2', NULL, NULL, NULL, 14),
(52819, NULL, 'PIRSR039133-4', NULL, NULL, NULL, NULL, 'PIRSR039133-4', NULL, NULL, NULL, 14),
(52820, NULL, 'PIRSR000183-2', NULL, NULL, NULL, NULL, 'PIRSR000183-2', NULL, NULL, NULL, 14),
(52821, NULL, 'PIRSR018063-50', NULL, NULL, NULL, NULL, 'PIRSR018063-50', NULL, NULL, NULL, 14),
(52822, NULL, 'PIRSR000112-1', NULL, NULL, NULL, NULL, 'PIRSR000112-1', NULL, NULL, NULL, 14),
(52823, NULL, 'PIRSR000446-1', NULL, NULL, NULL, NULL, 'PIRSR000446-1', NULL, NULL, NULL, 14),
(52824, NULL, 'PIRSR037254-1', NULL, NULL, NULL, NULL, 'PIRSR037254-1', NULL, NULL, NULL, 14),
(52825, NULL, 'PIRSR004682-3', NULL, NULL, NULL, NULL, 'PIRSR004682-3', NULL, NULL, NULL, 14),
(52826, NULL, 'PIRSR629601-1', NULL, NULL, NULL, NULL, 'PIRSR629601-1', NULL, NULL, NULL, 14),
(52827, NULL, 'PIRSR001789-1', NULL, NULL, NULL, NULL, 'PIRSR001789-1', NULL, NULL, NULL, 14),
(52828, NULL, 'PIRSR009407-4', NULL, NULL, NULL, NULL, 'PIRSR009407-4', NULL, NULL, NULL, 14),
(52829, NULL, 'PIRSR015477-1', NULL, NULL, NULL, NULL, 'PIRSR015477-1', NULL, NULL, NULL, 14),
(52830, NULL, 'PIRSR000149-2', NULL, NULL, NULL, NULL, 'PIRSR000149-2', NULL, NULL, NULL, 14),
(52831, NULL, 'PIRSR000929-1', NULL, NULL, NULL, NULL, 'PIRSR000929-1', NULL, NULL, NULL, 14),
(52832, NULL, 'PIRSR500133-3', NULL, NULL, NULL, NULL, 'PIRSR500133-3', NULL, NULL, NULL, 14),
(52833, NULL, 'PIRSR000808-2', NULL, NULL, NULL, NULL, 'PIRSR000808-2', NULL, NULL, NULL, 14),
(52834, NULL, 'PIRSR036665-51', NULL, NULL, NULL, NULL, 'PIRSR036665-51', NULL, NULL, NULL, 14),
(52835, NULL, 'PIRSR036687-1', NULL, NULL, NULL, NULL, 'PIRSR036687-1', NULL, NULL, NULL, 14);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52836, NULL, 'PIRSR001430-2', NULL, NULL, NULL, NULL, 'PIRSR001430-2', NULL, NULL, NULL, 14),
(52837, NULL, 'PIRSR036750-1', NULL, NULL, NULL, NULL, 'PIRSR036750-1', NULL, NULL, NULL, 14),
(52838, NULL, 'PIRSR000445-2', NULL, NULL, NULL, NULL, 'PIRSR000445-2', NULL, NULL, NULL, 14),
(52839, NULL, 'PIRSR000905-1', NULL, NULL, NULL, NULL, 'PIRSR000905-1', NULL, NULL, NULL, 14),
(52840, NULL, 'PIRSR028973-2', NULL, NULL, NULL, NULL, 'PIRSR028973-2', NULL, NULL, NULL, 14),
(52841, NULL, 'PIRSR001488-1', NULL, NULL, NULL, NULL, 'PIRSR001488-1', NULL, NULL, NULL, 14),
(52842, NULL, 'PIRSR003817-4', NULL, NULL, NULL, NULL, 'PIRSR003817-4', NULL, NULL, NULL, 14),
(52843, NULL, 'PIRSR029928-50', NULL, NULL, NULL, NULL, 'PIRSR029928-50', NULL, NULL, NULL, 14),
(52844, NULL, 'PIRSR000127-3', NULL, NULL, NULL, NULL, 'PIRSR000127-3', NULL, NULL, NULL, 14),
(52845, NULL, 'PIRSR005536-2', NULL, NULL, NULL, NULL, 'PIRSR005536-2', NULL, NULL, NULL, 14),
(52846, NULL, 'PIRSR025737-2', NULL, NULL, NULL, NULL, 'PIRSR025737-2', NULL, NULL, NULL, 14),
(52847, NULL, 'PIRSR037318-50', NULL, NULL, NULL, NULL, 'PIRSR037318-50', NULL, NULL, NULL, 14),
(52848, NULL, 'PIRSR037907-3', NULL, NULL, NULL, NULL, 'PIRSR037907-3', NULL, NULL, NULL, 14),
(52849, NULL, 'PIRSR602717-51', NULL, NULL, NULL, NULL, 'PIRSR602717-51', NULL, NULL, NULL, 14),
(52850, NULL, 'PIRSR631245-5', NULL, NULL, NULL, NULL, 'PIRSR631245-5', NULL, NULL, NULL, 14),
(52851, NULL, 'PIRSR037913-1', NULL, NULL, NULL, NULL, 'PIRSR037913-1', NULL, NULL, NULL, 14),
(52852, NULL, 'PIRSR016527-1', NULL, NULL, NULL, NULL, 'PIRSR016527-1', NULL, NULL, NULL, 14),
(52853, NULL, 'PIRSR037599-2', NULL, NULL, NULL, NULL, 'PIRSR037599-2', NULL, NULL, NULL, 14),
(52854, NULL, 'PIRSR600823-5', NULL, NULL, NULL, NULL, 'PIRSR600823-5', NULL, NULL, NULL, 14),
(52855, NULL, 'PIRSR630295-50', NULL, NULL, NULL, NULL, 'PIRSR630295-50', NULL, NULL, NULL, 14),
(52856, NULL, 'PIRSR036900-50', NULL, NULL, NULL, NULL, 'PIRSR036900-50', NULL, NULL, NULL, 14),
(52857, NULL, 'PIRSR601559-50', NULL, NULL, NULL, NULL, 'PIRSR601559-50', NULL, NULL, NULL, 14),
(52858, NULL, 'PIRSR611778-50', NULL, NULL, NULL, NULL, 'PIRSR611778-50', NULL, NULL, NULL, 14),
(52859, NULL, 'PIRSR004789-50', NULL, NULL, NULL, NULL, 'PIRSR004789-50', NULL, NULL, NULL, 14),
(52860, NULL, 'PIRSR000027-2', NULL, NULL, NULL, NULL, 'PIRSR000027-2', NULL, NULL, NULL, 14),
(52861, NULL, 'PIRSR001060-2', NULL, NULL, NULL, NULL, 'PIRSR001060-2', NULL, NULL, NULL, 14),
(52862, NULL, 'PIRSR005096-1', NULL, NULL, NULL, NULL, 'PIRSR005096-1', NULL, NULL, NULL, 14),
(52863, NULL, 'PIRSR037404-3', NULL, NULL, NULL, NULL, 'PIRSR037404-3', NULL, NULL, NULL, 14),
(52864, NULL, 'PIRSR000605-51', NULL, NULL, NULL, NULL, 'PIRSR000605-51', NULL, NULL, NULL, 14),
(52865, NULL, 'PIRSR036488-1', NULL, NULL, NULL, NULL, 'PIRSR036488-1', NULL, NULL, NULL, 14),
(52866, NULL, 'PIRSR006337-3', NULL, NULL, NULL, NULL, 'PIRSR006337-3', NULL, NULL, NULL, 14),
(52867, NULL, 'PIRSR001341-5', NULL, NULL, NULL, NULL, 'PIRSR001341-5', NULL, NULL, NULL, 14),
(52868, NULL, 'PIRSR038945-2', NULL, NULL, NULL, NULL, 'PIRSR038945-2', NULL, NULL, NULL, 14),
(52869, NULL, 'PIRSR000192-6', NULL, NULL, NULL, NULL, 'PIRSR000192-6', NULL, NULL, NULL, 14),
(52870, NULL, 'PIRSR038084-2', NULL, NULL, NULL, NULL, 'PIRSR038084-2', NULL, NULL, NULL, 14),
(52871, NULL, 'PIRSR036442-1', NULL, NULL, NULL, NULL, 'PIRSR036442-1', NULL, NULL, NULL, 14),
(52872, NULL, 'PIRSR028762-2', NULL, NULL, NULL, NULL, 'PIRSR028762-2', NULL, NULL, NULL, 14),
(52873, NULL, 'PIRSR006615-2', NULL, NULL, NULL, NULL, 'PIRSR006615-2', NULL, NULL, NULL, 14),
(52874, NULL, 'PIRSR600239-51', NULL, NULL, NULL, NULL, 'PIRSR600239-51', NULL, NULL, NULL, 14),
(52875, NULL, 'PIRSR633144-3', NULL, NULL, NULL, NULL, 'PIRSR633144-3', NULL, NULL, NULL, 14),
(52876, NULL, 'PIRSR005054-50', NULL, NULL, NULL, NULL, 'PIRSR005054-50', NULL, NULL, NULL, 14),
(52877, NULL, 'PIRSR036958-2', NULL, NULL, NULL, NULL, 'PIRSR036958-2', NULL, NULL, NULL, 14),
(52878, NULL, 'PIRSR017388-3', NULL, NULL, NULL, NULL, 'PIRSR017388-3', NULL, NULL, NULL, 14);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52879, NULL, 'PIRSR018249-2', NULL, NULL, NULL, NULL, 'PIRSR018249-2', NULL, NULL, NULL, 14),
(52880, NULL, 'PIRSR000381-1', NULL, NULL, NULL, NULL, 'PIRSR000381-1', NULL, NULL, NULL, 14),
(52881, NULL, 'PIRSR038455-2', NULL, NULL, NULL, NULL, 'PIRSR038455-2', NULL, NULL, NULL, 14),
(52882, NULL, 'PIRSR001134-2', NULL, NULL, NULL, NULL, 'PIRSR001134-2', NULL, NULL, NULL, 14),
(52883, NULL, 'PIRSR629727-3', NULL, NULL, NULL, NULL, 'PIRSR629727-3', NULL, NULL, NULL, 14),
(52884, NULL, 'PIRSR000094-2', NULL, NULL, NULL, NULL, 'PIRSR000094-2', NULL, NULL, NULL, 14),
(52885, NULL, 'PIRSR005993-1', NULL, NULL, NULL, NULL, 'PIRSR005993-1', NULL, NULL, NULL, 14),
(52886, NULL, 'PIRSR004692-3', NULL, NULL, NULL, NULL, 'PIRSR004692-3', NULL, NULL, NULL, 14),
(52887, NULL, 'PIRSR606118-50', NULL, NULL, NULL, NULL, 'PIRSR606118-50', NULL, NULL, NULL, 14),
(52888, NULL, 'PIRSR000102-1', NULL, NULL, NULL, NULL, 'PIRSR000102-1', NULL, NULL, NULL, 14),
(52889, NULL, 'PIRSR604809-50', NULL, NULL, NULL, NULL, 'PIRSR604809-50', NULL, NULL, NULL, 14),
(52890, NULL, 'PIRSR000636-1', NULL, NULL, NULL, NULL, 'PIRSR000636-1', NULL, NULL, NULL, 14),
(52891, NULL, 'PIRSR013503-1', NULL, NULL, NULL, NULL, 'PIRSR013503-1', NULL, NULL, NULL, 14),
(52892, NULL, 'PIRSR000005-2', NULL, NULL, NULL, NULL, 'PIRSR000005-2', NULL, NULL, NULL, 14),
(52893, NULL, 'PIRSR036918-50', NULL, NULL, NULL, NULL, 'PIRSR036918-50', NULL, NULL, NULL, 14),
(52894, NULL, 'PIRSR002825-1', NULL, NULL, NULL, NULL, 'PIRSR002825-1', NULL, NULL, NULL, 14),
(52895, NULL, 'PIRSR000192-3', NULL, NULL, NULL, NULL, 'PIRSR000192-3', NULL, NULL, NULL, 14),
(52896, NULL, 'PIRSR000238-2', NULL, NULL, NULL, NULL, 'PIRSR000238-2', NULL, NULL, NULL, 14),
(52897, NULL, 'PIRSR001359-3', NULL, NULL, NULL, NULL, 'PIRSR001359-3', NULL, NULL, NULL, 14),
(52898, NULL, 'PIRSR000552-1', NULL, NULL, NULL, NULL, 'PIRSR000552-1', NULL, NULL, NULL, 14),
(52899, NULL, 'PIRSR000631-4', NULL, NULL, NULL, NULL, 'PIRSR000631-4', NULL, NULL, NULL, 14),
(52900, NULL, 'PIRSR629727-2', NULL, NULL, NULL, NULL, 'PIRSR629727-2', NULL, NULL, NULL, 14),
(52901, NULL, 'PIRSR623612-1', NULL, NULL, NULL, NULL, 'PIRSR623612-1', NULL, NULL, NULL, 14),
(52902, NULL, 'PIRSR000927-1', NULL, NULL, NULL, NULL, 'PIRSR000927-1', NULL, NULL, NULL, 14),
(52903, NULL, 'PIRSR002421-1', NULL, NULL, NULL, NULL, 'PIRSR002421-1', NULL, NULL, NULL, 14),
(52904, NULL, 'PIRSR000168-2', NULL, NULL, NULL, NULL, 'PIRSR000168-2', NULL, NULL, NULL, 14),
(52905, NULL, 'PIRSR017818-1', NULL, NULL, NULL, NULL, 'PIRSR017818-1', NULL, NULL, NULL, 14),
(52906, NULL, 'PIRSR039026-2', NULL, NULL, NULL, NULL, 'PIRSR039026-2', NULL, NULL, NULL, 14),
(52907, NULL, 'PIRSR000948-1', NULL, NULL, NULL, NULL, 'PIRSR000948-1', NULL, NULL, NULL, 14),
(52908, NULL, 'PIRSR001461-2', NULL, NULL, NULL, NULL, 'PIRSR001461-2', NULL, NULL, NULL, 14),
(52909, NULL, 'PIRSR036298-50', NULL, NULL, NULL, NULL, 'PIRSR036298-50', NULL, NULL, NULL, 14),
(52910, NULL, 'PIRSR000431-2', NULL, NULL, NULL, NULL, 'PIRSR000431-2', NULL, NULL, NULL, 14),
(52911, NULL, 'PIRSR618044-2', NULL, NULL, NULL, NULL, 'PIRSR618044-2', NULL, NULL, NULL, 14),
(52912, NULL, 'PIRSR001065-1', NULL, NULL, NULL, NULL, 'PIRSR001065-1', NULL, NULL, NULL, 14),
(52913, NULL, 'PIRSR604677-50', NULL, NULL, NULL, NULL, 'PIRSR604677-50', NULL, NULL, NULL, 14),
(52914, NULL, 'PIRSR000109-1', NULL, NULL, NULL, NULL, 'PIRSR000109-1', NULL, NULL, NULL, 14),
(52915, NULL, 'PIRSR620777-51', NULL, NULL, NULL, NULL, 'PIRSR620777-51', NULL, NULL, NULL, 14),
(52916, NULL, 'PIRSR001553-1', NULL, NULL, NULL, NULL, 'PIRSR001553-1', NULL, NULL, NULL, 14),
(52917, NULL, 'PIRSR037393-2', NULL, NULL, NULL, NULL, 'PIRSR037393-2', NULL, NULL, NULL, 14),
(52918, NULL, 'PIRSR000498-1', NULL, NULL, NULL, NULL, 'PIRSR000498-1', NULL, NULL, NULL, 14),
(52919, NULL, 'PIRSR617736-1', NULL, NULL, NULL, NULL, 'PIRSR617736-1', NULL, NULL, NULL, 14),
(52920, NULL, 'PIRSR038895-1', NULL, NULL, NULL, NULL, 'PIRSR038895-1', NULL, NULL, NULL, 14),
(52921, NULL, 'PIRSR601233-2', NULL, NULL, NULL, NULL, 'PIRSR601233-2', NULL, NULL, NULL, 14);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52922, NULL, 'PIRSR037217-2', NULL, NULL, NULL, NULL, 'PIRSR037217-2', NULL, NULL, NULL, 14),
(52923, NULL, 'PIRSR625650-2', NULL, NULL, NULL, NULL, 'PIRSR625650-2', NULL, NULL, NULL, 14),
(52924, NULL, 'PIRSR006247-1', NULL, NULL, NULL, NULL, 'PIRSR006247-1', NULL, NULL, NULL, 14),
(52925, NULL, 'PIRSR002006-2', NULL, NULL, NULL, NULL, 'PIRSR002006-2', NULL, NULL, NULL, 14),
(52926, NULL, 'PIRSR005604-1', NULL, NULL, NULL, NULL, 'PIRSR005604-1', NULL, NULL, NULL, 14),
(52927, NULL, 'PIRSR000894-2', NULL, NULL, NULL, NULL, 'PIRSR000894-2', NULL, NULL, NULL, 14),
(52928, NULL, 'PIRSR000185-2', NULL, NULL, NULL, NULL, 'PIRSR000185-2', NULL, NULL, NULL, 14),
(52929, NULL, 'PIRSR036489-3', NULL, NULL, NULL, NULL, 'PIRSR036489-3', NULL, NULL, NULL, 14),
(52930, NULL, 'PIRSR000454-3', NULL, NULL, NULL, NULL, 'PIRSR000454-3', NULL, NULL, NULL, 14),
(52931, NULL, 'PIRSR000296-1', NULL, NULL, NULL, NULL, 'PIRSR000296-1', NULL, NULL, NULL, 14),
(52932, NULL, 'PIRSR001959-2', NULL, NULL, NULL, NULL, 'PIRSR001959-2', NULL, NULL, NULL, 14),
(52933, NULL, 'PIRSR006336-1', NULL, NULL, NULL, NULL, 'PIRSR006336-1', NULL, NULL, NULL, 14),
(52934, NULL, 'PIRSR037938-3', NULL, NULL, NULL, NULL, 'PIRSR037938-3', NULL, NULL, NULL, 14),
(52935, NULL, 'PIRSR629576-1', NULL, NULL, NULL, NULL, 'PIRSR629576-1', NULL, NULL, NULL, 14),
(52936, NULL, 'PIRSR018168-1', NULL, NULL, NULL, NULL, 'PIRSR018168-1', NULL, NULL, NULL, 14),
(52937, NULL, 'PIRSR000550-3', NULL, NULL, NULL, NULL, 'PIRSR000550-3', NULL, NULL, NULL, 14),
(52938, NULL, 'PIRSR602506-52', NULL, NULL, NULL, NULL, 'PIRSR602506-52', NULL, NULL, NULL, 14),
(52939, NULL, 'PIRSR029792-2', NULL, NULL, NULL, NULL, 'PIRSR029792-2', NULL, NULL, NULL, 14),
(52940, NULL, 'PIRSR002884-1', NULL, NULL, NULL, NULL, 'PIRSR002884-1', NULL, NULL, NULL, 14),
(52941, NULL, 'PIRSR000385-1', NULL, NULL, NULL, NULL, 'PIRSR000385-1', NULL, NULL, NULL, 14),
(52942, NULL, 'PIRSR000898-1', NULL, NULL, NULL, NULL, 'PIRSR000898-1', NULL, NULL, NULL, 14),
(52943, NULL, 'PIRSR000388-1', NULL, NULL, NULL, NULL, 'PIRSR000388-1', NULL, NULL, NULL, 14),
(52944, NULL, 'PIRSR001072-1', NULL, NULL, NULL, NULL, 'PIRSR001072-1', NULL, NULL, NULL, 14),
(52945, NULL, 'PIRSR036497-2', NULL, NULL, NULL, NULL, 'PIRSR036497-2', NULL, NULL, NULL, 14),
(52946, NULL, 'PIRSR001150-1', NULL, NULL, NULL, NULL, 'PIRSR001150-1', NULL, NULL, NULL, 14),
(52947, NULL, 'PIRSR601621-1', NULL, NULL, NULL, NULL, 'PIRSR601621-1', NULL, NULL, NULL, 14),
(52948, NULL, 'PIRSR000905-2', NULL, NULL, NULL, NULL, 'PIRSR000905-2', NULL, NULL, NULL, 14),
(52949, NULL, 'PIRSR000118-2', NULL, NULL, NULL, NULL, 'PIRSR000118-2', NULL, NULL, NULL, 14),
(52950, NULL, 'PIRSR018001-3', NULL, NULL, NULL, NULL, 'PIRSR018001-3', NULL, NULL, NULL, 14),
(52951, NULL, 'PIRSR036874-51', NULL, NULL, NULL, NULL, 'PIRSR036874-51', NULL, NULL, NULL, 14),
(52952, NULL, 'PIRSR000130-2', NULL, NULL, NULL, NULL, 'PIRSR000130-2', NULL, NULL, NULL, 14),
(52953, NULL, 'PIRSR000808-3', NULL, NULL, NULL, NULL, 'PIRSR000808-3', NULL, NULL, NULL, 14),
(52954, NULL, 'PIRSR000027-1', NULL, NULL, NULL, NULL, 'PIRSR000027-1', NULL, NULL, NULL, 14),
(52955, NULL, 'PIRSR037947-1', NULL, NULL, NULL, NULL, 'PIRSR037947-1', NULL, NULL, NULL, 14),
(52956, NULL, 'PIRSR037023-1', NULL, NULL, NULL, NULL, 'PIRSR037023-1', NULL, NULL, NULL, 14),
(52957, NULL, 'PIRSR016958-1', NULL, NULL, NULL, NULL, 'PIRSR016958-1', NULL, NULL, NULL, 14),
(52958, NULL, 'PIRSR630295-51', NULL, NULL, NULL, NULL, 'PIRSR630295-51', NULL, NULL, NULL, 14),
(52959, NULL, 'PIRSR039133-1', NULL, NULL, NULL, NULL, 'PIRSR039133-1', NULL, NULL, NULL, 14),
(52960, NULL, 'PIRSR017434-3', NULL, NULL, NULL, NULL, 'PIRSR017434-3', NULL, NULL, NULL, 14),
(52961, NULL, 'PIRSR018427-1', NULL, NULL, NULL, NULL, 'PIRSR018427-1', NULL, NULL, NULL, 14),
(52962, NULL, 'PIRSR018774-1', NULL, NULL, NULL, NULL, 'PIRSR018774-1', NULL, NULL, NULL, 14),
(52963, NULL, 'PIRSR026534-3', NULL, NULL, NULL, NULL, 'PIRSR026534-3', NULL, NULL, NULL, 14),
(52964, NULL, 'PIRSR003085-2', NULL, NULL, NULL, NULL, 'PIRSR003085-2', NULL, NULL, NULL, 14);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(52965, NULL, 'PIRSR005784-1', NULL, NULL, NULL, NULL, 'PIRSR005784-1', NULL, NULL, NULL, 14),
(52966, NULL, 'PIRSR000460-1', NULL, NULL, NULL, NULL, 'PIRSR000460-1', NULL, NULL, NULL, 14),
(52967, NULL, 'PIRSR015894-3', NULL, NULL, NULL, NULL, 'PIRSR015894-3', NULL, NULL, NULL, 14),
(52968, NULL, 'PIRSR037249-1', NULL, NULL, NULL, NULL, 'PIRSR037249-1', NULL, NULL, NULL, 14),
(52969, NULL, 'PIRSR000349-1', NULL, NULL, NULL, NULL, 'PIRSR000349-1', NULL, NULL, NULL, 14),
(52970, NULL, 'PIRSR000724-2', NULL, NULL, NULL, NULL, 'PIRSR000724-2', NULL, NULL, NULL, 14),
(52971, NULL, 'PIRSR003047-1', NULL, NULL, NULL, NULL, 'PIRSR003047-1', NULL, NULL, NULL, 14),
(52972, NULL, 'PIRSR631098-51', NULL, NULL, NULL, NULL, 'PIRSR631098-51', NULL, NULL, NULL, 14),
(52973, NULL, 'PIRSR037907-2', NULL, NULL, NULL, NULL, 'PIRSR037907-2', NULL, NULL, NULL, 14),
(52974, NULL, 'PIRSR001238-1', NULL, NULL, NULL, NULL, 'PIRSR001238-1', NULL, NULL, NULL, 14),
(52975, NULL, 'PIRSR001149-1', NULL, NULL, NULL, NULL, 'PIRSR001149-1', NULL, NULL, NULL, 14),
(52976, NULL, 'PIRSR001500-2', NULL, NULL, NULL, NULL, 'PIRSR001500-2', NULL, NULL, NULL, 14),
(52977, NULL, 'PIRSR000183-1', NULL, NULL, NULL, NULL, 'PIRSR000183-1', NULL, NULL, NULL, 14),
(52978, NULL, 'PIRSR038159-50', NULL, NULL, NULL, NULL, 'PIRSR038159-50', NULL, NULL, NULL, 14),
(52979, NULL, 'PIRSR634598-3', NULL, NULL, NULL, NULL, 'PIRSR634598-3', NULL, NULL, NULL, 14),
(52980, NULL, 'PIRSR633040-1', NULL, NULL, NULL, NULL, 'PIRSR633040-1', NULL, NULL, NULL, 14),
(52981, NULL, 'PIRSR001426-1', NULL, NULL, NULL, NULL, 'PIRSR001426-1', NULL, NULL, NULL, 14),
(52982, NULL, 'PIRSR632916-1', NULL, NULL, NULL, NULL, 'PIRSR632916-1', NULL, NULL, NULL, 14),
(52983, NULL, 'PIRSR001492-2', NULL, NULL, NULL, NULL, 'PIRSR001492-2', NULL, NULL, NULL, 14),
(52984, NULL, 'PIRSR000604-2', NULL, NULL, NULL, NULL, 'PIRSR000604-2', NULL, NULL, NULL, 14),
(52985, NULL, 'PIRSR036665-52', NULL, NULL, NULL, NULL, 'PIRSR036665-52', NULL, NULL, NULL, 14),
(52986, NULL, 'PIRSR006278-2', NULL, NULL, NULL, NULL, 'PIRSR006278-2', NULL, NULL, NULL, 14),
(52987, NULL, 'PIRSR600917-51', NULL, NULL, NULL, NULL, 'PIRSR600917-51', NULL, NULL, NULL, 14),
(52988, NULL, 'PIRSR001028-2', NULL, NULL, NULL, NULL, 'PIRSR001028-2', NULL, NULL, NULL, 14),
(52989, NULL, 'PIRSR001217-1', NULL, NULL, NULL, NULL, 'PIRSR001217-1', NULL, NULL, NULL, 14),
(52990, NULL, 'PIRSR005700-1', NULL, NULL, NULL, NULL, 'PIRSR005700-1', NULL, NULL, NULL, 14),
(52991, NULL, 'PIRSR033579-3', NULL, NULL, NULL, NULL, 'PIRSR033579-3', NULL, NULL, NULL, 14),
(52992, NULL, 'PIRSR603739-50', NULL, NULL, NULL, NULL, 'PIRSR603739-50', NULL, NULL, NULL, 14),
(52993, NULL, 'PIRSR600823-2', NULL, NULL, NULL, NULL, 'PIRSR600823-2', NULL, NULL, NULL, 14),
(52994, NULL, 'PIRSR000934-1', NULL, NULL, NULL, NULL, 'PIRSR000934-1', NULL, NULL, NULL, 14),
(52995, NULL, 'PIRSR019663-1', NULL, NULL, NULL, NULL, 'PIRSR019663-1', NULL, NULL, NULL, 14),
(52996, NULL, 'PIRSR634603-3', NULL, NULL, NULL, NULL, 'PIRSR634603-3', NULL, NULL, NULL, 14),
(52997, NULL, 'PIRSR000463-1', NULL, NULL, NULL, NULL, 'PIRSR000463-1', NULL, NULL, NULL, 14),
(52998, NULL, 'PIRSR017269-1', NULL, NULL, NULL, NULL, 'PIRSR017269-1', NULL, NULL, NULL, 14),
(52999, NULL, 'PIRSR002017-1', NULL, NULL, NULL, NULL, 'PIRSR002017-1', NULL, NULL, NULL, 14),
(53000, NULL, 'PIRSR001522-1', NULL, NULL, NULL, NULL, 'PIRSR001522-1', NULL, NULL, NULL, 14),
(53001, NULL, 'PIRSR004869-50', NULL, NULL, NULL, NULL, 'PIRSR004869-50', NULL, NULL, NULL, 14),
(53002, NULL, 'PIRSR000606-51', NULL, NULL, NULL, NULL, 'PIRSR000606-51', NULL, NULL, NULL, 14),
(53003, NULL, 'PIRSR633560-51', NULL, NULL, NULL, NULL, 'PIRSR633560-51', NULL, NULL, NULL, 14),
(53004, NULL, 'PIRSR500947-50', NULL, NULL, NULL, NULL, 'PIRSR500947-50', NULL, NULL, NULL, 14),
(53005, NULL, 'PIRSR036666-50', NULL, NULL, NULL, NULL, 'PIRSR036666-50', NULL, NULL, NULL, 14),
(53006, NULL, 'PIRSR617653-3', NULL, NULL, NULL, NULL, 'PIRSR617653-3', NULL, NULL, NULL, 14),
(53007, NULL, 'PIRSR037242-2', NULL, NULL, NULL, NULL, 'PIRSR037242-2', NULL, NULL, NULL, 14);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53008, NULL, 'PIRSR037432-51', NULL, NULL, NULL, NULL, 'PIRSR037432-51', NULL, NULL, NULL, 14),
(53009, NULL, 'PIRSR037799-1', NULL, NULL, NULL, NULL, 'PIRSR037799-1', NULL, NULL, NULL, 14),
(53010, NULL, 'PIRSR633197-2', NULL, NULL, NULL, NULL, 'PIRSR633197-2', NULL, NULL, NULL, 14),
(53011, NULL, 'PIRSR001220-1', NULL, NULL, NULL, NULL, 'PIRSR001220-1', NULL, NULL, NULL, 14),
(53012, NULL, 'PIRSR001399-2', NULL, NULL, NULL, NULL, 'PIRSR001399-2', NULL, NULL, NULL, 14),
(53013, NULL, 'PIRSR601559-52', NULL, NULL, NULL, NULL, 'PIRSR601559-52', NULL, NULL, NULL, 14),
(53014, NULL, 'PIRSR607724-2', NULL, NULL, NULL, NULL, 'PIRSR607724-2', NULL, NULL, NULL, 14),
(53015, NULL, 'PIRSR038051-1', NULL, NULL, NULL, NULL, 'PIRSR038051-1', NULL, NULL, NULL, 14),
(53016, NULL, 'PIRSR001430-3', NULL, NULL, NULL, NULL, 'PIRSR001430-3', NULL, NULL, NULL, 14),
(53017, NULL, 'PIRSR015599-1', NULL, NULL, NULL, NULL, 'PIRSR015599-1', NULL, NULL, NULL, 14),
(53018, NULL, 'PIRSR037479-3', NULL, NULL, NULL, NULL, 'PIRSR037479-3', NULL, NULL, NULL, 14),
(53019, NULL, 'PIRSR001959-1', NULL, NULL, NULL, NULL, 'PIRSR001959-1', NULL, NULL, NULL, 14),
(53020, NULL, 'PIRSR001123-2', NULL, NULL, NULL, NULL, 'PIRSR001123-2', NULL, NULL, NULL, 14),
(53021, NULL, 'PIRSR002900-1', NULL, NULL, NULL, NULL, 'PIRSR002900-1', NULL, NULL, NULL, 14),
(53022, NULL, 'PIRSR633144-1', NULL, NULL, NULL, NULL, 'PIRSR633144-1', NULL, NULL, NULL, 14),
(53023, NULL, 'PIRSR001787-1', NULL, NULL, NULL, NULL, 'PIRSR001787-1', NULL, NULL, NULL, 14),
(53024, NULL, 'PIRSR037913-2', NULL, NULL, NULL, NULL, 'PIRSR037913-2', NULL, NULL, NULL, 14),
(53025, NULL, 'PIRSR000013-2', NULL, NULL, NULL, NULL, 'PIRSR000013-2', NULL, NULL, NULL, 14),
(53026, NULL, 'PIRSR001341-3', NULL, NULL, NULL, NULL, 'PIRSR001341-3', NULL, NULL, NULL, 14),
(53027, NULL, 'PIRSR024851-51', NULL, NULL, NULL, NULL, 'PIRSR024851-51', NULL, NULL, NULL, 14),
(53028, NULL, 'PIRSR001589-2', NULL, NULL, NULL, NULL, 'PIRSR001589-2', NULL, NULL, NULL, 14),
(53029, NULL, 'PIRSR017107-2', NULL, NULL, NULL, NULL, 'PIRSR017107-2', NULL, NULL, NULL, 14),
(53030, NULL, 'PIRSR000699-2', NULL, NULL, NULL, NULL, 'PIRSR000699-2', NULL, NULL, NULL, 14),
(53031, NULL, 'PIRSR002520-1', NULL, NULL, NULL, NULL, 'PIRSR002520-1', NULL, NULL, NULL, 14),
(53032, NULL, 'PIRSR028757-1', NULL, NULL, NULL, NULL, 'PIRSR028757-1', NULL, NULL, NULL, 14),
(53033, NULL, 'PIRSR500135-1', NULL, NULL, NULL, NULL, 'PIRSR500135-1', NULL, NULL, NULL, 14),
(53034, NULL, 'PIRSR603051-50', NULL, NULL, NULL, NULL, 'PIRSR603051-50', NULL, NULL, NULL, 14),
(53035, NULL, 'PIRSR000350-3', NULL, NULL, NULL, NULL, 'PIRSR000350-3', NULL, NULL, NULL, 14),
(53036, NULL, 'PIRSR016238-1', NULL, NULL, NULL, NULL, 'PIRSR016238-1', NULL, NULL, NULL, 14),
(53037, NULL, 'PIRSR037921-1', NULL, NULL, NULL, NULL, 'PIRSR037921-1', NULL, NULL, NULL, 14),
(53038, NULL, 'PIRSR000355-1', NULL, NULL, NULL, NULL, 'PIRSR000355-1', NULL, NULL, NULL, 14),
(53039, NULL, 'PIRSR000509-1', NULL, NULL, NULL, NULL, 'PIRSR000509-1', NULL, NULL, NULL, 14),
(53040, NULL, 'PIRSR002279-1', NULL, NULL, NULL, NULL, 'PIRSR002279-1', NULL, NULL, NULL, 14),
(53041, NULL, 'PIRSR600983-52', NULL, NULL, NULL, NULL, 'PIRSR600983-52', NULL, NULL, NULL, 14),
(53042, NULL, 'PIRSR038134-1', NULL, NULL, NULL, NULL, 'PIRSR038134-1', NULL, NULL, NULL, 14),
(53043, NULL, 'PIRSR005465-1', NULL, NULL, NULL, NULL, 'PIRSR005465-1', NULL, NULL, NULL, 14),
(53044, NULL, 'PIRSR003726-1', NULL, NULL, NULL, NULL, 'PIRSR003726-1', NULL, NULL, NULL, 14),
(53045, NULL, 'PIRSR634598-2', NULL, NULL, NULL, NULL, 'PIRSR634598-2', NULL, NULL, NULL, 14),
(53046, NULL, 'PIRSR004682-4', NULL, NULL, NULL, NULL, 'PIRSR004682-4', NULL, NULL, NULL, 14),
(53047, NULL, 'PIRSR000007-51', NULL, NULL, NULL, NULL, 'PIRSR000007-51', NULL, NULL, NULL, 14),
(53048, NULL, 'PIRSR000260-1', NULL, NULL, NULL, NULL, 'PIRSR000260-1', NULL, NULL, NULL, 14),
(53049, NULL, 'PIRSR001199-1', NULL, NULL, NULL, NULL, 'PIRSR001199-1', NULL, NULL, NULL, 14),
(53050, NULL, 'PIRSR029681-2', NULL, NULL, NULL, NULL, 'PIRSR029681-2', NULL, NULL, NULL, 14);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53051, NULL, 'PIRSR037938-2', NULL, NULL, NULL, NULL, 'PIRSR037938-2', NULL, NULL, NULL, 14),
(53052, NULL, 'PIRSR002551-1', NULL, NULL, NULL, NULL, 'PIRSR002551-1', NULL, NULL, NULL, 14),
(53053, NULL, 'PIRSR000628-1', NULL, NULL, NULL, NULL, 'PIRSR000628-1', NULL, NULL, NULL, 14),
(53054, NULL, 'PIRSR026389-4', NULL, NULL, NULL, NULL, 'PIRSR026389-4', NULL, NULL, NULL, 14),
(53055, NULL, 'PIRSR000409-3', NULL, NULL, NULL, NULL, 'PIRSR000409-3', NULL, NULL, NULL, 14),
(53056, NULL, 'PIRSR016308-1', NULL, NULL, NULL, NULL, 'PIRSR016308-1', NULL, NULL, NULL, 14),
(53057, NULL, 'PIRSR000188-2', NULL, NULL, NULL, NULL, 'PIRSR000188-2', NULL, NULL, NULL, 14),
(53058, NULL, 'PIRSR002033-1', NULL, NULL, NULL, NULL, 'PIRSR002033-1', NULL, NULL, NULL, 14),
(53059, NULL, 'PIRSR017388-2', NULL, NULL, NULL, NULL, 'PIRSR017388-2', NULL, NULL, NULL, 14),
(53060, NULL, 'PIRSR000183-4', NULL, NULL, NULL, NULL, 'PIRSR000183-4', NULL, NULL, NULL, 14),
(53061, NULL, 'PIRSR000294-2', NULL, NULL, NULL, NULL, 'PIRSR000294-2', NULL, NULL, NULL, 14),
(53062, NULL, 'PIRSR627173-50', NULL, NULL, NULL, NULL, 'PIRSR627173-50', NULL, NULL, NULL, 14),
(53063, NULL, 'PIRSR023956-1', NULL, NULL, NULL, NULL, 'PIRSR023956-1', NULL, NULL, NULL, 14),
(53064, NULL, 'PIRSR601191-2', NULL, NULL, NULL, NULL, 'PIRSR601191-2', NULL, NULL, NULL, 14),
(53065, NULL, 'PIRSR000108-2', NULL, NULL, NULL, NULL, 'PIRSR000108-2', NULL, NULL, NULL, 14),
(53066, NULL, 'PIRSR036894-2', NULL, NULL, NULL, NULL, 'PIRSR036894-2', NULL, NULL, NULL, 14),
(53067, NULL, 'PIRSR000102-2', NULL, NULL, NULL, NULL, 'PIRSR000102-2', NULL, NULL, NULL, 14),
(53068, NULL, 'PIRSR033579-1', NULL, NULL, NULL, NULL, 'PIRSR033579-1', NULL, NULL, NULL, 14),
(53069, NULL, 'PIRSR000386-1', NULL, NULL, NULL, NULL, 'PIRSR000386-1', NULL, NULL, NULL, 14),
(53070, NULL, 'PIRSR006431-1', NULL, NULL, NULL, NULL, 'PIRSR006431-1', NULL, NULL, NULL, 14),
(53071, NULL, 'PIRSR629890-2', NULL, NULL, NULL, NULL, 'PIRSR629890-2', NULL, NULL, NULL, 14),
(53072, NULL, 'PIRSR012565-1', NULL, NULL, NULL, NULL, 'PIRSR012565-1', NULL, NULL, NULL, 14),
(53073, NULL, 'PIRSR006615-1', NULL, NULL, NULL, NULL, 'PIRSR006615-1', NULL, NULL, NULL, 14),
(53074, NULL, 'PIRSR000192-5', NULL, NULL, NULL, NULL, 'PIRSR000192-5', NULL, NULL, NULL, 14),
(53075, NULL, 'PIRSR004692-2', NULL, NULL, NULL, NULL, 'PIRSR004692-2', NULL, NULL, NULL, 14),
(53076, NULL, 'PIRSR633573-1', NULL, NULL, NULL, NULL, 'PIRSR633573-1', NULL, NULL, NULL, 14),
(53077, NULL, 'PIRSR038073-2', NULL, NULL, NULL, NULL, 'PIRSR038073-2', NULL, NULL, NULL, 14),
(53078, NULL, 'PIRSR000806-1', NULL, NULL, NULL, NULL, 'PIRSR000806-1', NULL, NULL, NULL, 14),
(53079, NULL, 'PIRSR629576-4', NULL, NULL, NULL, NULL, 'PIRSR629576-4', NULL, NULL, NULL, 14),
(53080, NULL, 'PIRSR001461-3', NULL, NULL, NULL, NULL, 'PIRSR001461-3', NULL, NULL, NULL, 14),
(53081, NULL, 'PIRSR000732-2', NULL, NULL, NULL, NULL, 'PIRSR000732-2', NULL, NULL, NULL, 14),
(53082, NULL, 'PIRSR011588-50', NULL, NULL, NULL, NULL, 'PIRSR011588-50', NULL, NULL, NULL, 14),
(53083, NULL, 'PIRSR036917-2', NULL, NULL, NULL, NULL, 'PIRSR036917-2', NULL, NULL, NULL, 14),
(53084, NULL, 'PIRSR005965-1', NULL, NULL, NULL, NULL, 'PIRSR005965-1', NULL, NULL, NULL, 14),
(53085, NULL, 'PIRSR038193-2', NULL, NULL, NULL, NULL, 'PIRSR038193-2', NULL, NULL, NULL, 14),
(53086, NULL, 'PIRSR000009-1', NULL, NULL, NULL, NULL, 'PIRSR000009-1', NULL, NULL, NULL, 14),
(53087, NULL, 'PIRSR001594-2', NULL, NULL, NULL, NULL, 'PIRSR001594-2', NULL, NULL, NULL, 14),
(53088, NULL, 'PIRSR011789-1', NULL, NULL, NULL, NULL, 'PIRSR011789-1', NULL, NULL, NULL, 14),
(53089, NULL, 'PIRSR036426-1', NULL, NULL, NULL, NULL, 'PIRSR036426-1', NULL, NULL, NULL, 14),
(53090, NULL, 'PIRSR000177-1', NULL, NULL, NULL, NULL, 'PIRSR000177-1', NULL, NULL, NULL, 14),
(53091, NULL, 'PIRSR000130-3', NULL, NULL, NULL, NULL, 'PIRSR000130-3', NULL, NULL, NULL, 14),
(53092, NULL, 'PIRSR003888-1', NULL, NULL, NULL, NULL, 'PIRSR003888-1', NULL, NULL, NULL, 14),
(53093, NULL, 'PIRSR610059-50', NULL, NULL, NULL, NULL, 'PIRSR610059-50', NULL, NULL, NULL, 14);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53094, NULL, 'PIRSR500950-52', NULL, NULL, NULL, NULL, 'PIRSR500950-52', NULL, NULL, NULL, 14),
(53095, NULL, 'PIRSR000865-2', NULL, NULL, NULL, NULL, 'PIRSR000865-2', NULL, NULL, NULL, 14),
(53096, NULL, 'PIRSR006468-1', NULL, NULL, NULL, NULL, 'PIRSR006468-1', NULL, NULL, NULL, 14),
(53097, NULL, 'PIRSR000361-1', NULL, NULL, NULL, NULL, 'PIRSR000361-1', NULL, NULL, NULL, 14),
(53098, NULL, 'PIRSR611612-50', NULL, NULL, NULL, NULL, 'PIRSR611612-50', NULL, NULL, NULL, 14),
(53099, NULL, 'PIRSR629580-5', NULL, NULL, NULL, NULL, 'PIRSR629580-5', NULL, NULL, NULL, 14),
(53100, NULL, 'PIRSR036421-3', NULL, NULL, NULL, NULL, 'PIRSR036421-3', NULL, NULL, NULL, 14),
(53101, NULL, 'PIRSR005096-2', NULL, NULL, NULL, NULL, 'PIRSR005096-2', NULL, NULL, NULL, 14),
(53102, NULL, 'PIRSR602187-50', NULL, NULL, NULL, NULL, 'PIRSR602187-50', NULL, NULL, NULL, 14),
(53103, NULL, 'PIRSR000018-50', NULL, NULL, NULL, NULL, 'PIRSR000018-50', NULL, NULL, NULL, 14),
(53104, NULL, 'PIRSR000439-1', NULL, NULL, NULL, NULL, 'PIRSR000439-1', NULL, NULL, NULL, 14),
(53105, NULL, 'PIRSR001619-1', NULL, NULL, NULL, NULL, 'PIRSR001619-1', NULL, NULL, NULL, 14),
(53106, NULL, 'PIRSR005149-50', NULL, NULL, NULL, NULL, 'PIRSR005149-50', NULL, NULL, NULL, 14),
(53107, NULL, 'PIRSR609451-50', NULL, NULL, NULL, NULL, 'PIRSR609451-50', NULL, NULL, NULL, 14),
(53108, NULL, 'PIRSR639901-2', NULL, NULL, NULL, NULL, 'PIRSR639901-2', NULL, NULL, NULL, 14),
(53109, NULL, 'PIRSR037403-1', NULL, NULL, NULL, NULL, 'PIRSR037403-1', NULL, NULL, NULL, 14),
(53110, NULL, 'PIRSR600990-52', NULL, NULL, NULL, NULL, 'PIRSR600990-52', NULL, NULL, NULL, 14),
(53111, NULL, 'PIRSR018250-1', NULL, NULL, NULL, NULL, 'PIRSR018250-1', NULL, NULL, NULL, 14),
(53112, NULL, 'PIRSR001092-1', NULL, NULL, NULL, NULL, 'PIRSR001092-1', NULL, NULL, NULL, 14),
(53113, NULL, 'PIRSR001031-1', NULL, NULL, NULL, NULL, 'PIRSR001031-1', NULL, NULL, NULL, 14),
(53114, NULL, 'PIRSR600269-50', NULL, NULL, NULL, NULL, 'PIRSR600269-50', NULL, NULL, NULL, 14),
(53115, NULL, 'PIRSR002356-1', NULL, NULL, NULL, NULL, 'PIRSR002356-1', NULL, NULL, NULL, 14),
(53116, NULL, 'PIRSR622312-50', NULL, NULL, NULL, NULL, 'PIRSR622312-50', NULL, NULL, NULL, 14),
(53117, NULL, 'PIRSR001100-1', NULL, NULL, NULL, NULL, 'PIRSR001100-1', NULL, NULL, NULL, 14),
(53118, NULL, 'PIRSR036441-50', NULL, NULL, NULL, NULL, 'PIRSR036441-50', NULL, NULL, NULL, 14),
(53119, NULL, 'PIRSR000926-1', NULL, NULL, NULL, NULL, 'PIRSR000926-1', NULL, NULL, NULL, 14),
(53120, NULL, 'PIRSR602325-50', NULL, NULL, NULL, NULL, 'PIRSR602325-50', NULL, NULL, NULL, 14),
(53121, NULL, 'PIRSR000933-50', NULL, NULL, NULL, NULL, 'PIRSR000933-50', NULL, NULL, NULL, 14),
(53122, NULL, 'PIRSR037238-1', NULL, NULL, NULL, NULL, 'PIRSR037238-1', NULL, NULL, NULL, 14),
(53123, NULL, 'PIRSR630294-2', NULL, NULL, NULL, NULL, 'PIRSR630294-2', NULL, NULL, NULL, 14),
(53124, NULL, 'PIRSR001667-1', NULL, NULL, NULL, NULL, 'PIRSR001667-1', NULL, NULL, NULL, 14),
(53125, NULL, 'PIRSR016150-50', NULL, NULL, NULL, NULL, 'PIRSR016150-50', NULL, NULL, NULL, 14),
(53126, NULL, 'PIRSR000336-1', NULL, NULL, NULL, NULL, 'PIRSR000336-1', NULL, NULL, NULL, 14),
(53127, NULL, 'PIRSR006230-1', NULL, NULL, NULL, NULL, 'PIRSR006230-1', NULL, NULL, NULL, 14),
(53128, NULL, 'PIRSR006769-2', NULL, NULL, NULL, NULL, 'PIRSR006769-2', NULL, NULL, NULL, 14),
(53129, NULL, 'PIRSR006325-1', NULL, NULL, NULL, NULL, 'PIRSR006325-1', NULL, NULL, NULL, 14),
(53130, NULL, 'PIRSR001924-3', NULL, NULL, NULL, NULL, 'PIRSR001924-3', NULL, NULL, NULL, 14),
(53131, NULL, 'PIRSR001084-2', NULL, NULL, NULL, NULL, 'PIRSR001084-2', NULL, NULL, NULL, 14),
(53132, NULL, 'PIRSR001355-2', NULL, NULL, NULL, NULL, 'PIRSR001355-2', NULL, NULL, NULL, 14),
(53133, NULL, 'PIRSR606225-1', NULL, NULL, NULL, NULL, 'PIRSR606225-1', NULL, NULL, NULL, 14),
(53134, NULL, 'PIRSR028762-1', NULL, NULL, NULL, NULL, 'PIRSR028762-1', NULL, NULL, NULL, 14),
(53135, NULL, 'PIRSR006404-2', NULL, NULL, NULL, NULL, 'PIRSR006404-2', NULL, NULL, NULL, 14),
(53136, NULL, 'PIRSR000241-1', NULL, NULL, NULL, NULL, 'PIRSR000241-1', NULL, NULL, NULL, 14);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53137, NULL, 'PIRSR001112-1', NULL, NULL, NULL, NULL, 'PIRSR001112-1', NULL, NULL, NULL, 14),
(53138, NULL, 'PIRSR001951-1', NULL, NULL, NULL, NULL, 'PIRSR001951-1', NULL, NULL, NULL, 14),
(53139, NULL, 'PIRSR002855-1', NULL, NULL, NULL, NULL, 'PIRSR002855-1', NULL, NULL, NULL, 14),
(53140, NULL, 'PIRSR001149-4', NULL, NULL, NULL, NULL, 'PIRSR001149-4', NULL, NULL, NULL, 14),
(53141, NULL, 'PIRSR037911-3', NULL, NULL, NULL, NULL, 'PIRSR037911-3', NULL, NULL, NULL, 14),
(53142, NULL, 'PIRSR000071-1', NULL, NULL, NULL, NULL, 'PIRSR000071-1', NULL, NULL, NULL, 14),
(53143, NULL, 'PIRSR005713-1', NULL, NULL, NULL, NULL, 'PIRSR005713-1', NULL, NULL, NULL, 14),
(53144, NULL, 'PIRSR002431-1', NULL, NULL, NULL, NULL, 'PIRSR002431-1', NULL, NULL, NULL, 14),
(53145, NULL, 'PIRSR604329-50', NULL, NULL, NULL, NULL, 'PIRSR604329-50', NULL, NULL, NULL, 14),
(53146, NULL, 'PIRSR003085-1', NULL, NULL, NULL, NULL, 'PIRSR003085-1', NULL, NULL, NULL, 14),
(53147, NULL, 'PIRSR001558-2', NULL, NULL, NULL, NULL, 'PIRSR001558-2', NULL, NULL, NULL, 14),
(53148, NULL, 'PIRSR017340-1', NULL, NULL, NULL, NULL, 'PIRSR017340-1', NULL, NULL, NULL, 14),
(53149, NULL, 'PIRSR015894-2', NULL, NULL, NULL, NULL, 'PIRSR015894-2', NULL, NULL, NULL, 14),
(53150, NULL, 'PIRSR003047-2', NULL, NULL, NULL, NULL, 'PIRSR003047-2', NULL, NULL, NULL, 14),
(53151, NULL, 'PIRSR610300-51', NULL, NULL, NULL, NULL, 'PIRSR610300-51', NULL, NULL, NULL, 14),
(53152, NULL, 'PIRSR000450-1', NULL, NULL, NULL, NULL, 'PIRSR000450-1', NULL, NULL, NULL, 14),
(53153, NULL, 'PIRSR001024-4', NULL, NULL, NULL, NULL, 'PIRSR001024-4', NULL, NULL, NULL, 14),
(53154, NULL, 'PIRSR637571-50', NULL, NULL, NULL, NULL, 'PIRSR637571-50', NULL, NULL, NULL, 14),
(53155, NULL, 'PIRSR006246-5', NULL, NULL, NULL, NULL, 'PIRSR006246-5', NULL, NULL, NULL, 14),
(53156, NULL, 'PIRSR004848-1', NULL, NULL, NULL, NULL, 'PIRSR004848-1', NULL, NULL, NULL, 14),
(53157, NULL, 'PIRSR006019-2', NULL, NULL, NULL, NULL, 'PIRSR006019-2', NULL, NULL, NULL, 14),
(53158, NULL, 'PIRSR016573-3', NULL, NULL, NULL, NULL, 'PIRSR016573-3', NULL, NULL, NULL, 14),
(53159, NULL, 'PIRSR001363-1', NULL, NULL, NULL, NULL, 'PIRSR001363-1', NULL, NULL, NULL, 14),
(53160, NULL, 'PIRSR627185-50', NULL, NULL, NULL, NULL, 'PIRSR627185-50', NULL, NULL, NULL, 14),
(53161, NULL, 'PIRSR001357-50', NULL, NULL, NULL, NULL, 'PIRSR001357-50', NULL, NULL, NULL, 14),
(53162, NULL, 'PIRSR028774-1', NULL, NULL, NULL, NULL, 'PIRSR028774-1', NULL, NULL, NULL, 14),
(53163, NULL, 'PIRSR036936-2', NULL, NULL, NULL, NULL, 'PIRSR036936-2', NULL, NULL, NULL, 14),
(53164, NULL, 'PIRSR037091-1', NULL, NULL, NULL, NULL, 'PIRSR037091-1', NULL, NULL, NULL, 14),
(53165, NULL, 'PIRSR006337-1', NULL, NULL, NULL, NULL, 'PIRSR006337-1', NULL, NULL, NULL, 14),
(53166, NULL, 'PIRSR605428-52', NULL, NULL, NULL, NULL, 'PIRSR605428-52', NULL, NULL, NULL, 14),
(53167, NULL, 'PIRSR000099-2', NULL, NULL, NULL, NULL, 'PIRSR000099-2', NULL, NULL, NULL, 14),
(53168, NULL, 'PIRSR000196-1', NULL, NULL, NULL, NULL, 'PIRSR000196-1', NULL, NULL, NULL, 14),
(53169, NULL, 'PIRSR600823-1', NULL, NULL, NULL, NULL, 'PIRSR600823-1', NULL, NULL, NULL, 14),
(53170, NULL, 'PIRSR006621-1', NULL, NULL, NULL, NULL, 'PIRSR006621-1', NULL, NULL, NULL, 14),
(53171, NULL, 'PIRSR001492-3', NULL, NULL, NULL, NULL, 'PIRSR001492-3', NULL, NULL, NULL, 14),
(53172, NULL, 'PIRSR017205-3', NULL, NULL, NULL, NULL, 'PIRSR017205-3', NULL, NULL, NULL, 14),
(53173, NULL, 'PIRSR006278-1', NULL, NULL, NULL, NULL, 'PIRSR006278-1', NULL, NULL, NULL, 14),
(53174, NULL, 'PIRSR037350-1', NULL, NULL, NULL, NULL, 'PIRSR037350-1', NULL, NULL, NULL, 14),
(53175, NULL, 'PIRSR000094-4', NULL, NULL, NULL, NULL, 'PIRSR000094-4', NULL, NULL, NULL, 14),
(53176, NULL, 'PIRSR018136-1', NULL, NULL, NULL, NULL, 'PIRSR018136-1', NULL, NULL, NULL, 14),
(53177, NULL, 'PIRSR001149-2', NULL, NULL, NULL, NULL, 'PIRSR001149-2', NULL, NULL, NULL, 14),
(53178, NULL, 'PIRSR006816-2', NULL, NULL, NULL, NULL, 'PIRSR006816-2', NULL, NULL, NULL, 14),
(53179, NULL, 'PIRSR037038-1', NULL, NULL, NULL, NULL, 'PIRSR037038-1', NULL, NULL, NULL, 14);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53180, NULL, 'PIRSR000454-4', NULL, NULL, NULL, NULL, 'PIRSR000454-4', NULL, NULL, NULL, 14),
(53181, NULL, 'PIRSR600269-51', NULL, NULL, NULL, NULL, 'PIRSR600269-51', NULL, NULL, NULL, 14),
(53182, NULL, 'PIRSR001235-2', NULL, NULL, NULL, NULL, 'PIRSR001235-2', NULL, NULL, NULL, 14),
(53183, NULL, 'PIRSR000550-2', NULL, NULL, NULL, NULL, 'PIRSR000550-2', NULL, NULL, NULL, 14),
(53184, NULL, 'PIRSR037242-4', NULL, NULL, NULL, NULL, 'PIRSR037242-4', NULL, NULL, NULL, 14),
(53185, NULL, 'PIRSR018153-1', NULL, NULL, NULL, NULL, 'PIRSR018153-1', NULL, NULL, NULL, 14),
(53186, NULL, 'PIRSR500947-52', NULL, NULL, NULL, NULL, 'PIRSR500947-52', NULL, NULL, NULL, 14),
(53187, NULL, 'PIRSR005822-1', NULL, NULL, NULL, NULL, 'PIRSR005822-1', NULL, NULL, NULL, 14),
(53188, NULL, 'PIRSR000185-1', NULL, NULL, NULL, NULL, 'PIRSR000185-1', NULL, NULL, NULL, 14),
(53189, NULL, 'PIRSR037219-1', NULL, NULL, NULL, NULL, 'PIRSR037219-1', NULL, NULL, NULL, 14),
(53190, NULL, 'PIRSR000459-2', NULL, NULL, NULL, NULL, 'PIRSR000459-2', NULL, NULL, NULL, 14),
(53191, NULL, 'PIRSR000972-50', NULL, NULL, NULL, NULL, 'PIRSR000972-50', NULL, NULL, NULL, 14),
(53192, NULL, 'PIRSR011396-2', NULL, NULL, NULL, NULL, 'PIRSR011396-2', NULL, NULL, NULL, 14),
(53193, NULL, 'PIRSR000556-1', NULL, NULL, NULL, NULL, 'PIRSR000556-1', NULL, NULL, NULL, 14),
(53194, NULL, 'PIRSR000865-1', NULL, NULL, NULL, NULL, 'PIRSR000865-1', NULL, NULL, NULL, 14),
(53195, NULL, 'PIRSR634603-2', NULL, NULL, NULL, NULL, 'PIRSR634603-2', NULL, NULL, NULL, 14),
(53196, NULL, 'PIRSR000207-1', NULL, NULL, NULL, NULL, 'PIRSR000207-1', NULL, NULL, NULL, 14),
(53197, NULL, 'PIRSR600917-52', NULL, NULL, NULL, NULL, 'PIRSR600917-52', NULL, NULL, NULL, 14),
(53198, NULL, 'PIRSR009103-2', NULL, NULL, NULL, NULL, 'PIRSR009103-2', NULL, NULL, NULL, 14),
(53199, NULL, 'PIRSR037281-3', NULL, NULL, NULL, NULL, 'PIRSR037281-3', NULL, NULL, NULL, 14),
(53200, NULL, 'PIRSR001355-3', NULL, NULL, NULL, NULL, 'PIRSR001355-3', NULL, NULL, NULL, 14),
(53201, NULL, 'PIRSR006816-1', NULL, NULL, NULL, NULL, 'PIRSR006816-1', NULL, NULL, NULL, 14),
(53202, NULL, 'PIRSR007531-1', NULL, NULL, NULL, NULL, 'PIRSR007531-1', NULL, NULL, NULL, 14),
(53203, NULL, 'PIRSR611612-52', NULL, NULL, NULL, NULL, 'PIRSR611612-52', NULL, NULL, NULL, 14),
(53204, NULL, 'PIRSR038065-1', NULL, NULL, NULL, NULL, 'PIRSR038065-1', NULL, NULL, NULL, 14),
(53205, NULL, 'PIRSR000559-1', NULL, NULL, NULL, NULL, 'PIRSR000559-1', NULL, NULL, NULL, 14),
(53206, NULL, 'PIRSR631084-1', NULL, NULL, NULL, NULL, 'PIRSR631084-1', NULL, NULL, NULL, 14),
(53207, NULL, 'PIRSR016150-51', NULL, NULL, NULL, NULL, 'PIRSR016150-51', NULL, NULL, NULL, 14),
(53208, NULL, 'PIRSR001222-50', NULL, NULL, NULL, NULL, 'PIRSR001222-50', NULL, NULL, NULL, 14),
(53209, NULL, 'PIRSR005669-1', NULL, NULL, NULL, NULL, 'PIRSR005669-1', NULL, NULL, NULL, 14),
(53210, NULL, 'PIRSR629576-2', NULL, NULL, NULL, NULL, 'PIRSR629576-2', NULL, NULL, NULL, 14),
(53211, NULL, 'PIRSR037935-1', NULL, NULL, NULL, NULL, 'PIRSR037935-1', NULL, NULL, NULL, 14),
(53212, NULL, 'PIRSR001979-1', NULL, NULL, NULL, NULL, 'PIRSR001979-1', NULL, NULL, NULL, 14),
(53213, NULL, 'PIRSR017199-1', NULL, NULL, NULL, NULL, 'PIRSR017199-1', NULL, NULL, NULL, 14),
(53214, NULL, 'PIRSR038023-2', NULL, NULL, NULL, NULL, 'PIRSR038023-2', NULL, NULL, NULL, 14),
(53215, NULL, 'PIRSR001109-1', NULL, NULL, NULL, NULL, 'PIRSR001109-1', NULL, NULL, NULL, 14),
(53216, NULL, 'PIRSR629890-1', NULL, NULL, NULL, NULL, 'PIRSR629890-1', NULL, NULL, NULL, 14),
(53217, NULL, 'PIRSR001238-2', NULL, NULL, NULL, NULL, 'PIRSR001238-2', NULL, NULL, NULL, 14),
(53218, NULL, 'PIRSR038120-1', NULL, NULL, NULL, NULL, 'PIRSR038120-1', NULL, NULL, NULL, 14),
(53219, NULL, 'PIRSR600888-2', NULL, NULL, NULL, NULL, 'PIRSR600888-2', NULL, NULL, NULL, 14),
(53220, NULL, 'PIRSR000732-3', NULL, NULL, NULL, NULL, 'PIRSR000732-3', NULL, NULL, NULL, 14),
(53221, NULL, 'PIRSR001145-1', NULL, NULL, NULL, NULL, 'PIRSR001145-1', NULL, NULL, NULL, 14),
(53222, NULL, 'PIRSR000188-1', NULL, NULL, NULL, NULL, 'PIRSR000188-1', NULL, NULL, NULL, 14);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53223, NULL, 'PIRSR000108-4', NULL, NULL, NULL, NULL, 'PIRSR000108-4', NULL, NULL, NULL, 14),
(53224, NULL, 'PIRSR011356-1', NULL, NULL, NULL, NULL, 'PIRSR011356-1', NULL, NULL, NULL, 14),
(53225, NULL, 'PIRSR613307-50', NULL, NULL, NULL, NULL, 'PIRSR613307-50', NULL, NULL, NULL, 14),
(53226, NULL, 'PIRSR009449-1', NULL, NULL, NULL, NULL, 'PIRSR009449-1', NULL, NULL, NULL, 14),
(53227, NULL, 'PIRSR016308-2', NULL, NULL, NULL, NULL, 'PIRSR016308-2', NULL, NULL, NULL, 14),
(53228, NULL, 'PIRSR037010-50', NULL, NULL, NULL, NULL, 'PIRSR037010-50', NULL, NULL, NULL, 14),
(53229, NULL, 'PIRSR000108-3', NULL, NULL, NULL, NULL, 'PIRSR000108-3', NULL, NULL, NULL, 14),
(53230, NULL, 'PIRSR037322-1', NULL, NULL, NULL, NULL, 'PIRSR037322-1', NULL, NULL, NULL, 14),
(53231, NULL, 'PIRSR009407-2', NULL, NULL, NULL, NULL, 'PIRSR009407-2', NULL, NULL, NULL, 14),
(53232, NULL, 'PIRSR600542-2', NULL, NULL, NULL, NULL, 'PIRSR600542-2', NULL, NULL, NULL, 14),
(53233, NULL, 'PIRSR002816-1', NULL, NULL, NULL, NULL, 'PIRSR002816-1', NULL, NULL, NULL, 14),
(53234, NULL, 'PIRSR017689-1', NULL, NULL, NULL, NULL, 'PIRSR017689-1', NULL, NULL, NULL, 14),
(53235, NULL, 'PIRSR001942-1', NULL, NULL, NULL, NULL, 'PIRSR001942-1', NULL, NULL, NULL, 14),
(53236, NULL, 'PIRSR634180-2', NULL, NULL, NULL, NULL, 'PIRSR634180-2', NULL, NULL, NULL, 14),
(53237, NULL, 'PIRSR002006-3', NULL, NULL, NULL, NULL, 'PIRSR002006-3', NULL, NULL, NULL, 14),
(53238, NULL, 'PIRSR029681-1', NULL, NULL, NULL, NULL, 'PIRSR029681-1', NULL, NULL, NULL, 14),
(53239, NULL, 'PIRSR006241-50', NULL, NULL, NULL, NULL, 'PIRSR006241-50', NULL, NULL, NULL, 14),
(53240, NULL, 'PIRSR031051-2', NULL, NULL, NULL, NULL, 'PIRSR031051-2', NULL, NULL, NULL, 14),
(53241, NULL, 'PIRSR038128-50', NULL, NULL, NULL, NULL, 'PIRSR038128-50', NULL, NULL, NULL, 14),
(53242, NULL, 'PIRSR629601-3', NULL, NULL, NULL, NULL, 'PIRSR629601-3', NULL, NULL, NULL, 14),
(53243, NULL, 'PIRSR000862-1', NULL, NULL, NULL, NULL, 'PIRSR000862-1', NULL, NULL, NULL, 14),
(53244, NULL, 'PIRSR004776-1', NULL, NULL, NULL, NULL, 'PIRSR004776-1', NULL, NULL, NULL, 14),
(53245, NULL, 'PIRSR000706-1', NULL, NULL, NULL, NULL, 'PIRSR000706-1', NULL, NULL, NULL, 14),
(53246, NULL, 'PIRSR019543-2', NULL, NULL, NULL, NULL, 'PIRSR019543-2', NULL, NULL, NULL, 14),
(53247, NULL, 'PIRSR006356-1', NULL, NULL, NULL, NULL, 'PIRSR006356-1', NULL, NULL, NULL, 14),
(53248, NULL, 'PIRSR037568-2', NULL, NULL, NULL, NULL, 'PIRSR037568-2', NULL, NULL, NULL, 14),
(53249, NULL, 'PIRSR000118-1', NULL, NULL, NULL, NULL, 'PIRSR000118-1', NULL, NULL, NULL, 14),
(53250, NULL, 'PIRSR000915-1', NULL, NULL, NULL, NULL, 'PIRSR000915-1', NULL, NULL, NULL, 14),
(53251, NULL, 'PIRSR037506-1', NULL, NULL, NULL, NULL, 'PIRSR037506-1', NULL, NULL, NULL, 14),
(53252, NULL, 'PIRSR500950-51', NULL, NULL, NULL, NULL, 'PIRSR500950-51', NULL, NULL, NULL, 14),
(53253, NULL, 'PIRSR011794-1', NULL, NULL, NULL, NULL, 'PIRSR011794-1', NULL, NULL, NULL, 14),
(53254, NULL, 'PIRSR000556-2', NULL, NULL, NULL, NULL, 'PIRSR000556-2', NULL, NULL, NULL, 14),
(53255, NULL, 'PIRSR617653-1', NULL, NULL, NULL, NULL, 'PIRSR617653-1', NULL, NULL, NULL, 14),
(53256, NULL, 'PIRSR000977-2', NULL, NULL, NULL, NULL, 'PIRSR000977-2', NULL, NULL, NULL, 14),
(53257, NULL, 'PIRSR038896-50', NULL, NULL, NULL, NULL, 'PIRSR038896-50', NULL, NULL, NULL, 14),
(53258, NULL, 'PIRSR006105-1', NULL, NULL, NULL, NULL, 'PIRSR006105-1', NULL, NULL, NULL, 14),
(53259, NULL, 'PIRSR025648-1', NULL, NULL, NULL, NULL, 'PIRSR025648-1', NULL, NULL, NULL, 14),
(53260, NULL, 'PIRSR016408-1', NULL, NULL, NULL, NULL, 'PIRSR016408-1', NULL, NULL, NULL, 14),
(53261, NULL, 'PIRSR015604-1', NULL, NULL, NULL, NULL, 'PIRSR015604-1', NULL, NULL, NULL, 14),
(53262, NULL, 'PIRSR028980-2', NULL, NULL, NULL, NULL, 'PIRSR028980-2', NULL, NULL, NULL, 14),
(53263, NULL, 'PIRSR634180-3', NULL, NULL, NULL, NULL, 'PIRSR634180-3', NULL, NULL, NULL, 14),
(53264, NULL, 'PIRSR629511-1', NULL, NULL, NULL, NULL, 'PIRSR629511-1', NULL, NULL, NULL, 14),
(53265, NULL, 'PIRSR000927-2', NULL, NULL, NULL, NULL, 'PIRSR000927-2', NULL, NULL, NULL, 14);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53266, NULL, 'PIRSR002412-1', NULL, NULL, NULL, NULL, 'PIRSR002412-1', NULL, NULL, NULL, 14),
(53267, NULL, 'PIRSR024851-50', NULL, NULL, NULL, NULL, 'PIRSR024851-50', NULL, NULL, NULL, 14),
(53268, NULL, 'PIRSR031051-3', NULL, NULL, NULL, NULL, 'PIRSR031051-3', NULL, NULL, NULL, 14),
(53269, NULL, 'PIRSR000090-1', NULL, NULL, NULL, NULL, 'PIRSR000090-1', NULL, NULL, NULL, 14),
(53270, NULL, 'PIRSR037932-1', NULL, NULL, NULL, NULL, 'PIRSR037932-1', NULL, NULL, NULL, 14),
(53271, NULL, 'PIRSR038994-3', NULL, NULL, NULL, NULL, 'PIRSR038994-3', NULL, NULL, NULL, 14),
(53272, NULL, 'PIRSR000235-1', NULL, NULL, NULL, NULL, 'PIRSR000235-1', NULL, NULL, NULL, 14),
(53273, NULL, 'PIRSR002736-50', NULL, NULL, NULL, NULL, 'PIRSR002736-50', NULL, NULL, NULL, 14),
(53274, NULL, 'PIRSR038455-1', NULL, NULL, NULL, NULL, 'PIRSR038455-1', NULL, NULL, NULL, 14),
(53275, NULL, 'PIRSR002512-1', NULL, NULL, NULL, NULL, 'PIRSR002512-1', NULL, NULL, NULL, 14),
(53276, NULL, 'PIRSR000105-3', NULL, NULL, NULL, NULL, 'PIRSR000105-3', NULL, NULL, NULL, 14),
(53277, NULL, 'PIRSR018168-3', NULL, NULL, NULL, NULL, 'PIRSR018168-3', NULL, NULL, NULL, 14),
(53278, NULL, 'PIRSR000138-2', NULL, NULL, NULL, NULL, 'PIRSR000138-2', NULL, NULL, NULL, 14),
(53279, NULL, 'PIRSR000550-1', NULL, NULL, NULL, NULL, 'PIRSR000550-1', NULL, NULL, NULL, 14),
(53280, NULL, 'PIRSR038023-1', NULL, NULL, NULL, NULL, 'PIRSR038023-1', NULL, NULL, NULL, 14),
(53281, NULL, 'PIRSR001569-1', NULL, NULL, NULL, NULL, 'PIRSR001569-1', NULL, NULL, NULL, 14),
(53282, NULL, 'PIRSR038085-2', NULL, NULL, NULL, NULL, 'PIRSR038085-2', NULL, NULL, NULL, 14),
(53283, NULL, 'PIRSR037432-50', NULL, NULL, NULL, NULL, 'PIRSR037432-50', NULL, NULL, NULL, 14),
(53284, NULL, 'PIRSR001814-1', NULL, NULL, NULL, NULL, 'PIRSR001814-1', NULL, NULL, NULL, 14),
(53285, NULL, 'PIRSR002490-1', NULL, NULL, NULL, NULL, 'PIRSR002490-1', NULL, NULL, NULL, 14),
(53286, NULL, 'PIRSR038927-3', NULL, NULL, NULL, NULL, 'PIRSR038927-3', NULL, NULL, NULL, 14),
(53287, NULL, 'PIRSR600888-1', NULL, NULL, NULL, NULL, 'PIRSR600888-1', NULL, NULL, NULL, 14),
(53288, NULL, 'PIRSR001199-2', NULL, NULL, NULL, NULL, 'PIRSR001199-2', NULL, NULL, NULL, 14),
(53289, NULL, 'PIRSR026389-3', NULL, NULL, NULL, NULL, 'PIRSR026389-3', NULL, NULL, NULL, 14),
(53290, NULL, 'PIRSR606710-1', NULL, NULL, NULL, NULL, 'PIRSR606710-1', NULL, NULL, NULL, 14),
(53291, NULL, 'PIRSR010354-50', NULL, NULL, NULL, NULL, 'PIRSR010354-50', NULL, NULL, NULL, 14),
(53292, NULL, 'PIRSR038025-50', NULL, NULL, NULL, NULL, 'PIRSR038025-50', NULL, NULL, NULL, 14),
(53293, NULL, 'PIRSR000094-3', NULL, NULL, NULL, NULL, 'PIRSR000094-3', NULL, NULL, NULL, 14),
(53294, NULL, 'PIRSR007531-2', NULL, NULL, NULL, NULL, 'PIRSR007531-2', NULL, NULL, NULL, 14),
(53295, NULL, 'PIRSR037938-1', NULL, NULL, NULL, NULL, 'PIRSR037938-1', NULL, NULL, NULL, 14),
(53296, NULL, 'PIRSR611612-51', NULL, NULL, NULL, NULL, 'PIRSR611612-51', NULL, NULL, NULL, 14),
(53297, NULL, 'PIRSR005739-1', NULL, NULL, NULL, NULL, 'PIRSR005739-1', NULL, NULL, NULL, 14),
(53298, NULL, 'PIRSR001222-51', NULL, NULL, NULL, NULL, 'PIRSR001222-51', NULL, NULL, NULL, 14),
(53299, NULL, 'PIRSR036936-1', NULL, NULL, NULL, NULL, 'PIRSR036936-1', NULL, NULL, NULL, 14),
(53300, NULL, 'PIRSR015852-1', NULL, NULL, NULL, NULL, 'PIRSR015852-1', NULL, NULL, NULL, 14),
(53301, NULL, 'PIRSR015919-1', NULL, NULL, NULL, NULL, 'PIRSR015919-1', NULL, NULL, NULL, 14),
(53302, NULL, 'PIRSR000097-3', NULL, NULL, NULL, NULL, 'PIRSR000097-3', NULL, NULL, NULL, 14),
(53303, NULL, 'PIRSR036551-1', NULL, NULL, NULL, NULL, 'PIRSR036551-1', NULL, NULL, NULL, 14),
(53304, NULL, 'PIRSR037032-1', NULL, NULL, NULL, NULL, 'PIRSR037032-1', NULL, NULL, NULL, 14),
(53305, NULL, 'PIRSR000127-2', NULL, NULL, NULL, NULL, 'PIRSR000127-2', NULL, NULL, NULL, 14),
(53306, NULL, 'PIRSR005639-2', NULL, NULL, NULL, NULL, 'PIRSR005639-2', NULL, NULL, NULL, 14),
(53307, NULL, 'PIRSR000310-1', NULL, NULL, NULL, NULL, 'PIRSR000310-1', NULL, NULL, NULL, 14),
(53308, NULL, 'PIRSR004692-1', NULL, NULL, NULL, NULL, 'PIRSR004692-1', NULL, NULL, NULL, 14);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53309, NULL, 'PIRSR001558-1', NULL, NULL, NULL, NULL, 'PIRSR001558-1', NULL, NULL, NULL, 14),
(53310, NULL, 'PIRSR000238-1', NULL, NULL, NULL, NULL, 'PIRSR000238-1', NULL, NULL, NULL, 14),
(53311, NULL, 'PIRSR006337-2', NULL, NULL, NULL, NULL, 'PIRSR006337-2', NULL, NULL, NULL, 14),
(53312, NULL, 'PIRSR015582-2', NULL, NULL, NULL, NULL, 'PIRSR015582-2', NULL, NULL, NULL, 14),
(53313, NULL, 'PIRSR028774-2', NULL, NULL, NULL, NULL, 'PIRSR028774-2', NULL, NULL, NULL, 14),
(53314, NULL, 'PIRSR000620-2', NULL, NULL, NULL, NULL, 'PIRSR000620-2', NULL, NULL, NULL, 14),
(53315, NULL, 'PIRSR038193-1', NULL, NULL, NULL, NULL, 'PIRSR038193-1', NULL, NULL, NULL, 14),
(53316, NULL, 'PIRSR634603-1', NULL, NULL, NULL, NULL, 'PIRSR634603-1', NULL, NULL, NULL, 14),
(53317, NULL, 'PIRSR000169-2', NULL, NULL, NULL, NULL, 'PIRSR000169-2', NULL, NULL, NULL, 14),
(53318, NULL, 'PIRSR000183-3', NULL, NULL, NULL, NULL, 'PIRSR000183-3', NULL, NULL, NULL, 14),
(53319, NULL, 'PIRSR629727-4', NULL, NULL, NULL, NULL, 'PIRSR629727-4', NULL, NULL, NULL, 14),
(53320, NULL, 'PIRSR000029-1', NULL, NULL, NULL, NULL, 'PIRSR000029-1', NULL, NULL, NULL, 14),
(53321, NULL, 'PIRSR019634-50', NULL, NULL, NULL, NULL, 'PIRSR019634-50', NULL, NULL, NULL, 14),
(53322, NULL, 'PIRSR017818-3', NULL, NULL, NULL, NULL, 'PIRSR017818-3', NULL, NULL, NULL, 14),
(53323, NULL, 'PIRSR600514-1', NULL, NULL, NULL, NULL, 'PIRSR600514-1', NULL, NULL, NULL, 14),
(53324, NULL, 'PIRSR000617-1', NULL, NULL, NULL, NULL, 'PIRSR000617-1', NULL, NULL, NULL, 14),
(53325, NULL, 'PIRSR630297-1', NULL, NULL, NULL, NULL, 'PIRSR630297-1', NULL, NULL, NULL, 14),
(53326, NULL, 'PIRSR610300-50', NULL, NULL, NULL, NULL, 'PIRSR610300-50', NULL, NULL, NULL, 14),
(53327, NULL, 'PIRSR039050-51', NULL, NULL, NULL, NULL, 'PIRSR039050-51', NULL, NULL, NULL, 14),
(53328, NULL, 'PIRSR015894-1', NULL, NULL, NULL, NULL, 'PIRSR015894-1', NULL, NULL, NULL, 14),
(53329, NULL, 'PIRSR037375-1', NULL, NULL, NULL, NULL, 'PIRSR037375-1', NULL, NULL, NULL, 14),
(53330, NULL, 'PIRSR009343-2', NULL, NULL, NULL, NULL, 'PIRSR009343-2', NULL, NULL, NULL, 14),
(53331, NULL, 'PIRSR025737-1', NULL, NULL, NULL, NULL, 'PIRSR025737-1', NULL, NULL, NULL, 14),
(53332, NULL, 'PIRSR037599-3', NULL, NULL, NULL, NULL, 'PIRSR037599-3', NULL, NULL, NULL, 14),
(53333, NULL, 'PIRSR037634-1', NULL, NULL, NULL, NULL, 'PIRSR037634-1', NULL, NULL, NULL, 14),
(53334, NULL, 'PIRSR038079-1', NULL, NULL, NULL, NULL, 'PIRSR038079-1', NULL, NULL, NULL, 14),
(53335, NULL, 'PIRSR001000-1', NULL, NULL, NULL, NULL, 'PIRSR001000-1', NULL, NULL, NULL, 14),
(53336, NULL, 'PIRSR038013-50', NULL, NULL, NULL, NULL, 'PIRSR038013-50', NULL, NULL, NULL, 14),
(53337, NULL, 'PIRSR009393-1', NULL, NULL, NULL, NULL, 'PIRSR009393-1', NULL, NULL, NULL, 14),
(53338, NULL, 'PIRSR001149-3', NULL, NULL, NULL, NULL, 'PIRSR001149-3', NULL, NULL, NULL, 14),
(53339, NULL, 'PIRSR036370-1', NULL, NULL, NULL, NULL, 'PIRSR036370-1', NULL, NULL, NULL, 14),
(53340, NULL, 'PIRSR000846-2', NULL, NULL, NULL, NULL, 'PIRSR000846-2', NULL, NULL, NULL, 14),
(53341, NULL, 'PIRSR001480-2', NULL, NULL, NULL, NULL, 'PIRSR001480-2', NULL, NULL, NULL, 14),
(53342, NULL, 'PIRSR002421-3', NULL, NULL, NULL, NULL, 'PIRSR002421-3', NULL, NULL, NULL, 14),
(53343, NULL, 'PIRSR001084-1', NULL, NULL, NULL, NULL, 'PIRSR001084-1', NULL, NULL, NULL, 14),
(53344, NULL, 'PIRSR631048-50', NULL, NULL, NULL, NULL, 'PIRSR631048-50', NULL, NULL, NULL, 14),
(53345, NULL, 'PIRSR605428-51', NULL, NULL, NULL, NULL, 'PIRSR605428-51', NULL, NULL, NULL, 14),
(53346, NULL, 'PIRSR000241-2', NULL, NULL, NULL, NULL, 'PIRSR000241-2', NULL, NULL, NULL, 14),
(53347, NULL, 'PIRSR000988-1', NULL, NULL, NULL, NULL, 'PIRSR000988-1', NULL, NULL, NULL, 14),
(53348, NULL, 'PIRSR001134-1', NULL, NULL, NULL, NULL, 'PIRSR001134-1', NULL, NULL, NULL, 14),
(53349, NULL, 'PIRSR001196-2', NULL, NULL, NULL, NULL, 'PIRSR001196-2', NULL, NULL, NULL, 14),
(53350, NULL, 'PIRSR000099-1', NULL, NULL, NULL, NULL, 'PIRSR000099-1', NULL, NULL, NULL, 14),
(53351, NULL, 'PIRSR000445-3', NULL, NULL, NULL, NULL, 'PIRSR000445-3', NULL, NULL, NULL, 14);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53352, NULL, 'PIRSR604241-50', NULL, NULL, NULL, NULL, 'PIRSR604241-50', NULL, NULL, NULL, 14),
(53353, NULL, 'PIRSR002279-2', NULL, NULL, NULL, NULL, 'PIRSR002279-2', NULL, NULL, NULL, 14),
(53354, NULL, 'PIRSR500133-2', NULL, NULL, NULL, NULL, 'PIRSR500133-2', NULL, NULL, NULL, 14),
(53355, NULL, 'PIRSR006019-1', NULL, NULL, NULL, NULL, 'PIRSR006019-1', NULL, NULL, NULL, 14),
(53356, NULL, 'PIRSR000149-1', NULL, NULL, NULL, NULL, 'PIRSR000149-1', NULL, NULL, NULL, 14),
(53357, NULL, 'PIRSR008129-1', NULL, NULL, NULL, NULL, 'PIRSR008129-1', NULL, NULL, NULL, 14),
(53358, NULL, 'PIRSR018571-1', NULL, NULL, NULL, NULL, 'PIRSR018571-1', NULL, NULL, NULL, 14),
(53359, NULL, 'PIRSR600250-50', NULL, NULL, NULL, NULL, 'PIRSR600250-50', NULL, NULL, NULL, 14),
(53360, NULL, 'PIRSR006250-1', NULL, NULL, NULL, NULL, 'PIRSR006250-1', NULL, NULL, NULL, 14),
(53361, NULL, 'PIRSR016573-2', NULL, NULL, NULL, NULL, 'PIRSR016573-2', NULL, NULL, NULL, 14),
(53362, NULL, 'PIRSR000894-1', NULL, NULL, NULL, NULL, 'PIRSR000894-1', NULL, NULL, NULL, 14),
(53363, NULL, 'PIRSR000726-1', NULL, NULL, NULL, NULL, 'PIRSR000726-1', NULL, NULL, NULL, 14),
(53364, NULL, 'PIRSR000389-1', NULL, NULL, NULL, NULL, 'PIRSR000389-1', NULL, NULL, NULL, 14),
(53365, NULL, 'PIRSR600990-51', NULL, NULL, NULL, NULL, 'PIRSR600990-51', NULL, NULL, NULL, 14),
(53366, NULL, 'PIRSR002356-2', NULL, NULL, NULL, NULL, 'PIRSR002356-2', NULL, NULL, NULL, 14),
(53367, NULL, 'PIRSR001021-1', NULL, NULL, NULL, NULL, 'PIRSR001021-1', NULL, NULL, NULL, 14),
(53368, NULL, 'PIRSR018168-2', NULL, NULL, NULL, NULL, 'PIRSR018168-2', NULL, NULL, NULL, 14),
(53369, NULL, 'PIRSR000018-51', NULL, NULL, NULL, NULL, 'PIRSR000018-51', NULL, NULL, NULL, 14),
(53370, NULL, 'PIRSR028980-1', NULL, NULL, NULL, NULL, 'PIRSR028980-1', NULL, NULL, NULL, 14),
(53371, NULL, 'PIRSR000098-1', NULL, NULL, NULL, NULL, 'PIRSR000098-1', NULL, NULL, NULL, 14),
(53372, NULL, 'PIRSR037955-1', NULL, NULL, NULL, NULL, 'PIRSR037955-1', NULL, NULL, NULL, 14),
(53373, NULL, 'PIRSR001084-3', NULL, NULL, NULL, NULL, 'PIRSR001084-3', NULL, NULL, NULL, 14),
(53374, NULL, 'PIRSR036767-51', NULL, NULL, NULL, NULL, 'PIRSR036767-51', NULL, NULL, NULL, 14),
(53375, NULL, 'PIRSR038928-1', NULL, NULL, NULL, NULL, 'PIRSR038928-1', NULL, NULL, NULL, 14),
(53376, NULL, 'PIRSR000346-1', NULL, NULL, NULL, NULL, 'PIRSR000346-1', NULL, NULL, NULL, 14),
(53377, NULL, 'PIRSR036489-4', NULL, NULL, NULL, NULL, 'PIRSR036489-4', NULL, NULL, NULL, 14),
(53378, NULL, 'PIRSR625650-1', NULL, NULL, NULL, NULL, 'PIRSR625650-1', NULL, NULL, NULL, 14),
(53379, NULL, 'PIRSR002030-1', NULL, NULL, NULL, NULL, 'PIRSR002030-1', NULL, NULL, NULL, 14),
(53380, NULL, 'PIRSR037947-2', NULL, NULL, NULL, NULL, 'PIRSR037947-2', NULL, NULL, NULL, 14),
(53381, NULL, 'PIRSR000109-3', NULL, NULL, NULL, NULL, 'PIRSR000109-3', NULL, NULL, NULL, 14),
(53382, NULL, 'PIRSR002006-1', NULL, NULL, NULL, NULL, 'PIRSR002006-1', NULL, NULL, NULL, 14),
(53383, NULL, 'PIRSR000101-1', NULL, NULL, NULL, NULL, 'PIRSR000101-1', NULL, NULL, NULL, 14),
(53384, NULL, 'PIRSR011502-2', NULL, NULL, NULL, NULL, 'PIRSR011502-2', NULL, NULL, NULL, 14),
(53385, NULL, 'PIRSR037217-1', NULL, NULL, NULL, NULL, 'PIRSR037217-1', NULL, NULL, NULL, 14),
(53386, NULL, 'PIRSR016055-50', NULL, NULL, NULL, NULL, 'PIRSR016055-50', NULL, NULL, NULL, 14),
(53387, NULL, 'PIRSR006809-1', NULL, NULL, NULL, NULL, 'PIRSR006809-1', NULL, NULL, NULL, 14),
(53388, NULL, 'PIRSR000858-1', NULL, NULL, NULL, NULL, 'PIRSR000858-1', NULL, NULL, NULL, 14),
(53389, NULL, 'PIRSR000447-1', NULL, NULL, NULL, NULL, 'PIRSR000447-1', NULL, NULL, NULL, 14),
(53390, NULL, 'PIRSR001480-1', NULL, NULL, NULL, NULL, 'PIRSR001480-1', NULL, NULL, NULL, 14),
(53391, NULL, 'PIRSR000952-1', NULL, NULL, NULL, NULL, 'PIRSR000952-1', NULL, NULL, NULL, 14),
(53392, NULL, 'PIRSR017205-2', NULL, NULL, NULL, NULL, 'PIRSR017205-2', NULL, NULL, NULL, 14),
(53393, NULL, 'PIRSR627185-51', NULL, NULL, NULL, NULL, 'PIRSR627185-51', NULL, NULL, NULL, 14),
(53394, NULL, 'PIRSR006135-2', NULL, NULL, NULL, NULL, 'PIRSR006135-2', NULL, NULL, NULL, 14);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53395, NULL, 'PIRSR006429-1', NULL, NULL, NULL, NULL, 'PIRSR006429-1', NULL, NULL, NULL, 14),
(53396, NULL, 'PIRSR037599-4', NULL, NULL, NULL, NULL, 'PIRSR037599-4', NULL, NULL, NULL, 14),
(53397, NULL, 'PIRSR600823-3', NULL, NULL, NULL, NULL, 'PIRSR600823-3', NULL, NULL, NULL, 14),
(53398, NULL, 'PIRSR001359-2', NULL, NULL, NULL, NULL, 'PIRSR001359-2', NULL, NULL, NULL, 14),
(53399, NULL, 'PIRSR036441-51', NULL, NULL, NULL, NULL, 'PIRSR036441-51', NULL, NULL, NULL, 14),
(53400, NULL, 'PIRSR634180-1', NULL, NULL, NULL, NULL, 'PIRSR634180-1', NULL, NULL, NULL, 14),
(53401, NULL, 'PIRSR000617-2', NULL, NULL, NULL, NULL, 'PIRSR000617-2', NULL, NULL, NULL, 14),
(53402, NULL, 'PIRSR016305-1', NULL, NULL, NULL, NULL, 'PIRSR016305-1', NULL, NULL, NULL, 14),
(53403, NULL, 'PIRSR000303-1', NULL, NULL, NULL, NULL, 'PIRSR000303-1', NULL, NULL, NULL, 14),
(53404, NULL, 'PIRSR605428-53', NULL, NULL, NULL, NULL, 'PIRSR605428-53', NULL, NULL, NULL, 14),
(53405, NULL, 'PIRSR029775-1', NULL, NULL, NULL, NULL, 'PIRSR029775-1', NULL, NULL, NULL, 14),
(53406, NULL, 'PIRSR036511-1', NULL, NULL, NULL, NULL, 'PIRSR036511-1', NULL, NULL, NULL, 14),
(53407, NULL, 'PIRSR002799-1', NULL, NULL, NULL, NULL, 'PIRSR002799-1', NULL, NULL, NULL, 14),
(53408, NULL, 'PIRSR017388-1', NULL, NULL, NULL, NULL, 'PIRSR017388-1', NULL, NULL, NULL, 14),
(53409, NULL, 'PIRSR500134-3', NULL, NULL, NULL, NULL, 'PIRSR500134-3', NULL, NULL, NULL, 14),
(53410, NULL, 'PIRSR014972-1', NULL, NULL, NULL, NULL, 'PIRSR014972-1', NULL, NULL, NULL, 14),
(53411, NULL, 'PIRSR001238-3', NULL, NULL, NULL, NULL, 'PIRSR001238-3', NULL, NULL, NULL, 14),
(53412, NULL, 'PIRSR627173-51', NULL, NULL, NULL, NULL, 'PIRSR627173-51', NULL, NULL, NULL, 14),
(53413, NULL, 'PIRSR000548-1', NULL, NULL, NULL, NULL, 'PIRSR000548-1', NULL, NULL, NULL, 14),
(53414, NULL, 'PIRSR037393-3', NULL, NULL, NULL, NULL, 'PIRSR037393-3', NULL, NULL, NULL, 14),
(53415, NULL, 'PIRSR000808-4', NULL, NULL, NULL, NULL, 'PIRSR000808-4', NULL, NULL, NULL, 14),
(53416, NULL, 'PIRSR634598-1', NULL, NULL, NULL, NULL, 'PIRSR634598-1', NULL, NULL, NULL, 14),
(53417, NULL, 'PIRSR000209-1', NULL, NULL, NULL, NULL, 'PIRSR000209-1', NULL, NULL, NULL, 14),
(53418, NULL, 'PIRSR016496-2', NULL, NULL, NULL, NULL, 'PIRSR016496-2', NULL, NULL, NULL, 14),
(53419, NULL, 'PIRSR000559-2', NULL, NULL, NULL, NULL, 'PIRSR000559-2', NULL, NULL, NULL, 14),
(53420, NULL, 'PIRSR001218-1', NULL, NULL, NULL, NULL, 'PIRSR001218-1', NULL, NULL, NULL, 14),
(53421, NULL, 'PIRSR000882-1', NULL, NULL, NULL, NULL, 'PIRSR000882-1', NULL, NULL, NULL, 14),
(53422, NULL, 'PIRSR036893-50', NULL, NULL, NULL, NULL, 'PIRSR036893-50', NULL, NULL, NULL, 14),
(53423, NULL, 'PIRSR000047-2', NULL, NULL, NULL, NULL, 'PIRSR000047-2', NULL, NULL, NULL, 14),
(53424, NULL, 'PIRSR001227-2', NULL, NULL, NULL, NULL, 'PIRSR001227-2', NULL, NULL, NULL, 14),
(53425, NULL, 'PIRSR000343-2', NULL, NULL, NULL, NULL, 'PIRSR000343-2', NULL, NULL, NULL, 14),
(53426, NULL, 'PIRSR000898-2', NULL, NULL, NULL, NULL, 'PIRSR000898-2', NULL, NULL, NULL, 14),
(53427, NULL, 'PIRSR038193-3', NULL, NULL, NULL, NULL, 'PIRSR038193-3', NULL, NULL, NULL, 14),
(53428, NULL, 'PIRSR017434-1', NULL, NULL, NULL, NULL, 'PIRSR017434-1', NULL, NULL, NULL, 14),
(53429, NULL, 'PIRSR000130-4', NULL, NULL, NULL, NULL, 'PIRSR000130-4', NULL, NULL, NULL, 14),
(53430, NULL, 'PIRSR000605-50', NULL, NULL, NULL, NULL, 'PIRSR000605-50', NULL, NULL, NULL, 14),
(53431, NULL, 'PIRSR002549-1', NULL, NULL, NULL, NULL, 'PIRSR002549-1', NULL, NULL, NULL, 14),
(53432, NULL, 'PIRSR629576-3', NULL, NULL, NULL, NULL, 'PIRSR629576-3', NULL, NULL, NULL, 14),
(53433, NULL, 'PIRSR022993-1', NULL, NULL, NULL, NULL, 'PIRSR022993-1', NULL, NULL, NULL, 14),
(53434, NULL, 'PIRSR000706-2', NULL, NULL, NULL, NULL, 'PIRSR000706-2', NULL, NULL, NULL, 14),
(53435, NULL, 'PIRSR000156-1', NULL, NULL, NULL, NULL, 'PIRSR000156-1', NULL, NULL, NULL, 14),
(53436, NULL, 'PIRSR001992-1', NULL, NULL, NULL, NULL, 'PIRSR001992-1', NULL, NULL, NULL, 14),
(53437, NULL, 'PIRSR037210-1', NULL, NULL, NULL, NULL, 'PIRSR037210-1', NULL, NULL, NULL, 14);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53438, NULL, 'PIRSR629727-1', NULL, NULL, NULL, NULL, 'PIRSR629727-1', NULL, NULL, NULL, 14),
(53439, NULL, 'PIRSR000440-1', NULL, NULL, NULL, NULL, 'PIRSR000440-1', NULL, NULL, NULL, 14),
(53440, NULL, 'PIRSR017617-1', NULL, NULL, NULL, NULL, 'PIRSR017617-1', NULL, NULL, NULL, 14),
(53441, NULL, 'PIRSR600239-50', NULL, NULL, NULL, NULL, 'PIRSR600239-50', NULL, NULL, NULL, 14),
(53442, NULL, 'PIRSR037281-2', NULL, NULL, NULL, NULL, 'PIRSR037281-2', NULL, NULL, NULL, 14),
(53443, NULL, 'PIRSR006439-50', NULL, NULL, NULL, NULL, 'PIRSR006439-50', NULL, NULL, NULL, 14),
(53444, NULL, 'PIRSR000168-1', NULL, NULL, NULL, NULL, 'PIRSR000168-1', NULL, NULL, NULL, 14),
(53445, NULL, 'PIRSR000192-4', NULL, NULL, NULL, NULL, 'PIRSR000192-4', NULL, NULL, NULL, 14),
(53446, NULL, 'PIRSR002395-1', NULL, NULL, NULL, NULL, 'PIRSR002395-1', NULL, NULL, NULL, 14),
(53447, NULL, 'PIRSR035805-1', NULL, NULL, NULL, NULL, 'PIRSR035805-1', NULL, NULL, NULL, 14),
(53448, NULL, 'PIRSR000552-2', NULL, NULL, NULL, NULL, 'PIRSR000552-2', NULL, NULL, NULL, 14),
(53449, NULL, 'PIRSR009103-1', NULL, NULL, NULL, NULL, 'PIRSR009103-1', NULL, NULL, NULL, 14),
(53450, NULL, 'PIRSR001589-3', NULL, NULL, NULL, NULL, 'PIRSR001589-3', NULL, NULL, NULL, 14),
(53451, NULL, 'PIRSR001238-50', NULL, NULL, NULL, NULL, 'PIRSR001238-50', NULL, NULL, NULL, 14),
(53452, NULL, 'PIRSR018001-1', NULL, NULL, NULL, NULL, 'PIRSR018001-1', NULL, NULL, NULL, 14),
(53453, NULL, 'PIRSR000105-2', NULL, NULL, NULL, NULL, 'PIRSR000105-2', NULL, NULL, NULL, 14),
(53454, NULL, 'PIRSR001355-4', NULL, NULL, NULL, NULL, 'PIRSR001355-4', NULL, NULL, NULL, 14),
(53455, NULL, 'PIRSR000331-2', NULL, NULL, NULL, NULL, 'PIRSR000331-2', NULL, NULL, NULL, 14),
(53456, NULL, 'PIRSR006118-2', NULL, NULL, NULL, NULL, 'PIRSR006118-2', NULL, NULL, NULL, 14),
(53457, NULL, 'PIRSR001399-3', NULL, NULL, NULL, NULL, 'PIRSR001399-3', NULL, NULL, NULL, 14),
(53458, NULL, 'PIRSR627086-1', NULL, NULL, NULL, NULL, 'PIRSR627086-1', NULL, NULL, NULL, 14),
(53459, NULL, 'PIRSR006470-1', NULL, NULL, NULL, NULL, 'PIRSR006470-1', NULL, NULL, NULL, 14),
(53460, NULL, 'PIRSR037505-2', NULL, NULL, NULL, NULL, 'PIRSR037505-2', NULL, NULL, NULL, 14),
(53461, NULL, 'PIRSR037242-3', NULL, NULL, NULL, NULL, 'PIRSR037242-3', NULL, NULL, NULL, 14),
(53462, NULL, 'PIRSR601559-51', NULL, NULL, NULL, NULL, 'PIRSR601559-51', NULL, NULL, NULL, 14),
(53463, NULL, 'PIRSR000167-2', NULL, NULL, NULL, NULL, 'PIRSR000167-2', NULL, NULL, NULL, 14),
(53464, NULL, 'PIRSR633197-1', NULL, NULL, NULL, NULL, 'PIRSR633197-1', NULL, NULL, NULL, 14),
(53465, NULL, 'PIRSR036417-1', NULL, NULL, NULL, NULL, 'PIRSR036417-1', NULL, NULL, NULL, 14),
(53466, NULL, 'PIRSR038172-2', NULL, NULL, NULL, NULL, 'PIRSR038172-2', NULL, NULL, NULL, 14),
(53467, NULL, 'PIRSR000149-4', NULL, NULL, NULL, NULL, 'PIRSR000149-4', NULL, NULL, NULL, 14),
(53468, NULL, 'PIRSR036503-50', NULL, NULL, NULL, NULL, 'PIRSR036503-50', NULL, NULL, NULL, 14),
(53469, NULL, 'PIRSR038084-1', NULL, NULL, NULL, NULL, 'PIRSR038084-1', NULL, NULL, NULL, 14),
(53470, NULL, 'PIRSR037038-2', NULL, NULL, NULL, NULL, 'PIRSR037038-2', NULL, NULL, NULL, 14),
(53471, NULL, 'PIRSR639901-1', NULL, NULL, NULL, NULL, 'PIRSR639901-1', NULL, NULL, NULL, 14),
(53472, NULL, 'PIRSR000452-1', NULL, NULL, NULL, NULL, 'PIRSR000452-1', NULL, NULL, NULL, 14),
(53473, NULL, 'PIRSR628651-50', NULL, NULL, NULL, NULL, 'PIRSR628651-50', NULL, NULL, NULL, 14),
(53474, NULL, 'PIRSR000517-1', NULL, NULL, NULL, NULL, 'PIRSR000517-1', NULL, NULL, NULL, 14),
(53475, NULL, 'PIRSR000007-50', NULL, NULL, NULL, NULL, 'PIRSR000007-50', NULL, NULL, NULL, 14),
(53476, NULL, 'PIRSR617736-2', NULL, NULL, NULL, NULL, 'PIRSR617736-2', NULL, NULL, NULL, 14),
(53477, NULL, 'PIRSR037031-51', NULL, NULL, NULL, NULL, 'PIRSR037031-51', NULL, NULL, NULL, 14),
(53478, NULL, 'PIRSR000262-1', NULL, NULL, NULL, NULL, 'PIRSR000262-1', NULL, NULL, NULL, 14),
(53479, NULL, 'PIRSR000355-2', NULL, NULL, NULL, NULL, 'PIRSR000355-2', NULL, NULL, NULL, 14),
(53480, NULL, 'PIRSR001461-1', NULL, NULL, NULL, NULL, 'PIRSR001461-1', NULL, NULL, NULL, 14);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53481, NULL, 'PIRSR633478-2', NULL, NULL, NULL, NULL, 'PIRSR633478-2', NULL, NULL, NULL, 14),
(53482, NULL, 'PIRSR001103-1', NULL, NULL, NULL, NULL, 'PIRSR001103-1', NULL, NULL, NULL, 14),
(53483, NULL, 'PIRSR002421-2', NULL, NULL, NULL, NULL, 'PIRSR002421-2', NULL, NULL, NULL, 14),
(53484, NULL, 'PIRSR625650-4', NULL, NULL, NULL, NULL, 'PIRSR625650-4', NULL, NULL, NULL, 14),
(53485, NULL, 'PIRSR619342-50', NULL, NULL, NULL, NULL, 'PIRSR619342-50', NULL, NULL, NULL, 14),
(53486, NULL, 'PIRSR005378-2', NULL, NULL, NULL, NULL, 'PIRSR005378-2', NULL, NULL, NULL, 14),
(53487, NULL, 'PIRSR037907-1', NULL, NULL, NULL, NULL, 'PIRSR037907-1', NULL, NULL, NULL, 14),
(53488, NULL, 'PIRSR620777-52', NULL, NULL, NULL, NULL, 'PIRSR620777-52', NULL, NULL, NULL, 14),
(53489, NULL, 'PIRSR605428-50', NULL, NULL, NULL, NULL, 'PIRSR605428-50', NULL, NULL, NULL, 14),
(53490, NULL, 'PIRSR033579-2', NULL, NULL, NULL, NULL, 'PIRSR033579-2', NULL, NULL, NULL, 14),
(53491, NULL, 'PIRSR028937-1', NULL, NULL, NULL, NULL, 'PIRSR028937-1', NULL, NULL, NULL, 14),
(53492, NULL, 'PIRSR500133-1', NULL, NULL, NULL, NULL, 'PIRSR500133-1', NULL, NULL, NULL, 14),
(53493, NULL, 'PIRSR037913-3', NULL, NULL, NULL, NULL, 'PIRSR037913-3', NULL, NULL, NULL, 14),
(53494, NULL, 'PIRSR002530-1', NULL, NULL, NULL, NULL, 'PIRSR002530-1', NULL, NULL, NULL, 14),
(53495, NULL, 'PIRSR633508-1', NULL, NULL, NULL, NULL, 'PIRSR633508-1', NULL, NULL, NULL, 14),
(53496, NULL, 'PIRSR000495-1', NULL, NULL, NULL, NULL, 'PIRSR000495-1', NULL, NULL, NULL, 14),
(53497, NULL, 'PIRSR001174-2', NULL, NULL, NULL, NULL, 'PIRSR001174-2', NULL, NULL, NULL, 14),
(53498, NULL, 'PIRSR001492-1', NULL, NULL, NULL, NULL, 'PIRSR001492-1', NULL, NULL, NULL, 14),
(53499, NULL, 'PIRSR037847-1', NULL, NULL, NULL, NULL, 'PIRSR037847-1', NULL, NULL, NULL, 14),
(53500, NULL, 'PIRSR039026-1', NULL, NULL, NULL, NULL, 'PIRSR039026-1', NULL, NULL, NULL, 14),
(53501, NULL, 'PIRSR633508-4', NULL, NULL, NULL, NULL, 'PIRSR633508-4', NULL, NULL, NULL, 14),
(53502, NULL, 'PIRSR005461-1', NULL, NULL, NULL, NULL, 'PIRSR005461-1', NULL, NULL, NULL, 14),
(53503, NULL, 'PIRSR000636-2', NULL, NULL, NULL, NULL, 'PIRSR000636-2', NULL, NULL, NULL, 14),
(53504, NULL, 'PIRSR630297-2', NULL, NULL, NULL, NULL, 'PIRSR630297-2', NULL, NULL, NULL, 14),
(53505, NULL, 'PIRSR031924-50', NULL, NULL, NULL, NULL, 'PIRSR031924-50', NULL, NULL, NULL, 14),
(53506, NULL, 'PIRSR017818-2', NULL, NULL, NULL, NULL, 'PIRSR017818-2', NULL, NULL, NULL, 14),
(53507, NULL, 'PIRSR000242-2', NULL, NULL, NULL, NULL, 'PIRSR000242-2', NULL, NULL, NULL, 14),
(53508, NULL, 'PIRSR601191-1', NULL, NULL, NULL, NULL, 'PIRSR601191-1', NULL, NULL, NULL, 14),
(53509, NULL, 'PIRSR015582-1', NULL, NULL, NULL, NULL, 'PIRSR015582-1', NULL, NULL, NULL, 14),
(53510, NULL, 'PIRSR039133-2', NULL, NULL, NULL, NULL, 'PIRSR039133-2', NULL, NULL, NULL, 14),
(53511, NULL, 'PIRSR000019-1', NULL, NULL, NULL, NULL, 'PIRSR000019-1', NULL, NULL, NULL, 14),
(53512, NULL, 'PIRSR001028-1', NULL, NULL, NULL, NULL, 'PIRSR001028-1', NULL, NULL, NULL, 14),
(53513, NULL, 'PIRSR008129-2', NULL, NULL, NULL, NULL, 'PIRSR008129-2', NULL, NULL, NULL, 14),
(53514, NULL, 'PIRSR015957-1', NULL, NULL, NULL, NULL, 'PIRSR015957-1', NULL, NULL, NULL, 14),
(53515, NULL, 'PIRSR000108-1', NULL, NULL, NULL, NULL, 'PIRSR000108-1', NULL, NULL, NULL, 14),
(53516, NULL, 'PIRSR631098-50', NULL, NULL, NULL, NULL, 'PIRSR631098-50', NULL, NULL, NULL, 14),
(53517, NULL, 'PIRSR036874-50', NULL, NULL, NULL, NULL, 'PIRSR036874-50', NULL, NULL, NULL, 14),
(53518, NULL, 'PIRSR600250-51', NULL, NULL, NULL, NULL, 'PIRSR600250-51', NULL, NULL, NULL, 14),
(53519, NULL, 'PIRSR000130-1', NULL, NULL, NULL, NULL, 'PIRSR000130-1', NULL, NULL, NULL, 14),
(53520, NULL, 'PIRSR000551-50', NULL, NULL, NULL, NULL, 'PIRSR000551-50', NULL, NULL, NULL, 14),
(53521, NULL, 'PIRSR604550-50', NULL, NULL, NULL, NULL, 'PIRSR604550-50', NULL, NULL, NULL, 14),
(53522, NULL, 'PIRSR001338-1', NULL, NULL, NULL, NULL, 'PIRSR001338-1', NULL, NULL, NULL, 14),
(53523, NULL, 'PIRSR005562-1', NULL, NULL, NULL, NULL, 'PIRSR005562-1', NULL, NULL, NULL, 14); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53524, NULL, 'PIRSR001341-4', NULL, NULL, NULL, NULL, 'PIRSR001341-4', NULL, NULL, NULL, 14),
(53525, NULL, 'PIRSR000846-1', NULL, NULL, NULL, NULL, 'PIRSR000846-1', NULL, NULL, NULL, 14),
(53526, NULL, 'PIRSR038096-1', NULL, NULL, NULL, NULL, 'PIRSR038096-1', NULL, NULL, NULL, 14),
(53527, NULL, 'PIRSR039050-50', NULL, NULL, NULL, NULL, 'PIRSR039050-50', NULL, NULL, NULL, 14),
(53528, NULL, 'PIRSR000362-2', NULL, NULL, NULL, NULL, 'PIRSR000362-2', NULL, NULL, NULL, 14),
(53529, NULL, 'PIRSR001150-2', NULL, NULL, NULL, NULL, 'PIRSR001150-2', NULL, NULL, NULL, 14),
(53530, NULL, 'PIRSR001196-1', NULL, NULL, NULL, NULL, 'PIRSR001196-1', NULL, NULL, NULL, 14),
(53531, NULL, 'PIRSR009343-1', NULL, NULL, NULL, NULL, 'PIRSR009343-1', NULL, NULL, NULL, 14),
(53532, NULL, 'PIRSR018169-1', NULL, NULL, NULL, NULL, 'PIRSR018169-1', NULL, NULL, NULL, 14),
(53533, NULL, 'PIRSR000187-1', NULL, NULL, NULL, NULL, 'PIRSR000187-1', NULL, NULL, NULL, 14),
(53534, NULL, 'PIRSR633144-2', NULL, NULL, NULL, NULL, 'PIRSR633144-2', NULL, NULL, NULL, 14),
(53535, NULL, 'PIRSR005992-1', NULL, NULL, NULL, NULL, 'PIRSR005992-1', NULL, NULL, NULL, 14),
(53536, NULL, 'PIRSR036958-1', NULL, NULL, NULL, NULL, 'PIRSR036958-1', NULL, NULL, NULL, 14),
(53537, NULL, 'PIRSR037303-2', NULL, NULL, NULL, NULL, 'PIRSR037303-2', NULL, NULL, NULL, 14),
(53538, NULL, 'PIRSR602506-51', NULL, NULL, NULL, NULL, 'PIRSR602506-51', NULL, NULL, NULL, 14),
(53539, NULL, 'PIRSR002756-1', NULL, NULL, NULL, NULL, 'PIRSR002756-1', NULL, NULL, NULL, 14),
(53540, NULL, 'PIRSR037921-2', NULL, NULL, NULL, NULL, 'PIRSR037921-2', NULL, NULL, NULL, 14),
(53541, NULL, 'PIRSR606710-2', NULL, NULL, NULL, NULL, 'PIRSR606710-2', NULL, NULL, NULL, 14),
(53542, NULL, 'PIRSR000350-2', NULL, NULL, NULL, NULL, 'PIRSR000350-2', NULL, NULL, NULL, 14),
(53543, NULL, 'PIRSR000017-1', NULL, NULL, NULL, NULL, 'PIRSR000017-1', NULL, NULL, NULL, 14),
(53544, NULL, 'PIRSR026389-2', NULL, NULL, NULL, NULL, 'PIRSR026389-2', NULL, NULL, NULL, 14),
(53545, NULL, 'PIRSR000216-1', NULL, NULL, NULL, NULL, 'PIRSR000216-1', NULL, NULL, NULL, 14),
(53546, NULL, 'PIRSR001415-1', NULL, NULL, NULL, NULL, 'PIRSR001415-1', NULL, NULL, NULL, 14),
(53547, NULL, 'PIRSR003170-2', NULL, NULL, NULL, NULL, 'PIRSR003170-2', NULL, NULL, NULL, 14),
(53548, NULL, 'PIRSR001341-1', NULL, NULL, NULL, NULL, 'PIRSR001341-1', NULL, NULL, NULL, 14),
(53549, NULL, 'PIRSR600821-52', NULL, NULL, NULL, NULL, 'PIRSR600821-52', NULL, NULL, NULL, 14),
(53550, NULL, 'PIRSR000384-1', NULL, NULL, NULL, NULL, 'PIRSR000384-1', NULL, NULL, NULL, 14),
(53551, NULL, 'PIRSR037993-1', NULL, NULL, NULL, NULL, 'PIRSR037993-1', NULL, NULL, NULL, 14),
(53552, NULL, 'PIRSR017107-4', NULL, NULL, NULL, NULL, 'PIRSR017107-4', NULL, NULL, NULL, 14),
(53553, NULL, 'PIRSR000194-1', NULL, NULL, NULL, NULL, 'PIRSR000194-1', NULL, NULL, NULL, 14),
(53554, NULL, 'PIRSR026583-50', NULL, NULL, NULL, NULL, 'PIRSR026583-50', NULL, NULL, NULL, 14),
(53555, NULL, 'PIRSR038994-2', NULL, NULL, NULL, NULL, 'PIRSR038994-2', NULL, NULL, NULL, 14),
(53556, NULL, 'PIRSR005091-3', NULL, NULL, NULL, NULL, 'PIRSR005091-3', NULL, NULL, NULL, 14),
(53557, NULL, 'PIRSR001939-1', NULL, NULL, NULL, NULL, 'PIRSR001939-1', NULL, NULL, NULL, 14),
(53558, NULL, 'PIRSR000977-3', NULL, NULL, NULL, NULL, 'PIRSR000977-3', NULL, NULL, NULL, 14),
(53559, NULL, 'PIRSR000376-2', NULL, NULL, NULL, NULL, 'PIRSR000376-2', NULL, NULL, NULL, 14),
(53560, NULL, 'PIRSR005384-1', NULL, NULL, NULL, NULL, 'PIRSR005384-1', NULL, NULL, NULL, 14),
(53561, NULL, 'PIRSR016487-1', NULL, NULL, NULL, NULL, 'PIRSR016487-1', NULL, NULL, NULL, 14),
(53562, NULL, 'PIRSR037941-1', NULL, NULL, NULL, NULL, 'PIRSR037941-1', NULL, NULL, NULL, 14),
(53563, NULL, 'PIRSR000009-2', NULL, NULL, NULL, NULL, 'PIRSR000009-2', NULL, NULL, NULL, 14),
(53564, NULL, 'PIRSR037479-1', NULL, NULL, NULL, NULL, 'PIRSR037479-1', NULL, NULL, NULL, 14),
(53565, NULL, 'PIRSR010354-51', NULL, NULL, NULL, NULL, 'PIRSR010354-51', NULL, NULL, NULL, 14),
(53566, NULL, 'PIRSR029792-1', NULL, NULL, NULL, NULL, 'PIRSR029792-1', NULL, NULL, NULL, 14);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53567, NULL, 'PIRSR036917-1', NULL, NULL, NULL, NULL, 'PIRSR036917-1', NULL, NULL, NULL, 14),
(53568, NULL, 'PIRSR004911-1', NULL, NULL, NULL, NULL, 'PIRSR004911-1', NULL, NULL, NULL, 14),
(53569, NULL, 'PIRSR601233-3', NULL, NULL, NULL, NULL, 'PIRSR601233-3', NULL, NULL, NULL, 14),
(53570, NULL, 'PIRSR037430-2', NULL, NULL, NULL, NULL, 'PIRSR037430-2', NULL, NULL, NULL, 14),
(53571, NULL, 'PIRSR000127-1', NULL, NULL, NULL, NULL, 'PIRSR000127-1', NULL, NULL, NULL, 14),
(53572, NULL, 'PIRSR000661-50', NULL, NULL, NULL, NULL, 'PIRSR000661-50', NULL, NULL, NULL, 14),
(53573, NULL, 'PIRSR001093-1', NULL, NULL, NULL, NULL, 'PIRSR001093-1', NULL, NULL, NULL, 14),
(53574, NULL, 'PIRSR036421-2', NULL, NULL, NULL, NULL, 'PIRSR036421-2', NULL, NULL, NULL, 14),
(53575, NULL, 'PIRSR000445-4', NULL, NULL, NULL, NULL, 'PIRSR000445-4', NULL, NULL, NULL, 14),
(53576, NULL, 'PIRSR500951-1', NULL, NULL, NULL, NULL, 'PIRSR500951-1', NULL, NULL, NULL, 14),
(53577, NULL, 'PIRSR000660-2', NULL, NULL, NULL, NULL, 'PIRSR000660-2', NULL, NULL, NULL, 14),
(53578, NULL, 'PIRSR038073-3', NULL, NULL, NULL, NULL, 'PIRSR038073-3', NULL, NULL, NULL, 14),
(53579, NULL, 'PIRSR635711-52', NULL, NULL, NULL, NULL, 'PIRSR635711-52', NULL, NULL, NULL, 14),
(53580, NULL, 'PIRSR621537-50', NULL, NULL, NULL, NULL, 'PIRSR621537-50', NULL, NULL, NULL, 14),
(53581, NULL, 'PIRSR000197-1', NULL, NULL, NULL, NULL, 'PIRSR000197-1', NULL, NULL, NULL, 14),
(53582, NULL, 'PIRSR006223-50', NULL, NULL, NULL, NULL, 'PIRSR006223-50', NULL, NULL, NULL, 14),
(53583, NULL, 'PIRSR011861-1', NULL, NULL, NULL, NULL, 'PIRSR011861-1', NULL, NULL, NULL, 14),
(53584, NULL, 'PIRSR013503-2', NULL, NULL, NULL, NULL, 'PIRSR013503-2', NULL, NULL, NULL, 14),
(53585, NULL, 'PIRSR009407-3', NULL, NULL, NULL, NULL, 'PIRSR009407-3', NULL, NULL, NULL, 14),
(53586, NULL, 'PIRSR000631-3', NULL, NULL, NULL, NULL, 'PIRSR000631-3', NULL, NULL, NULL, 14),
(53587, NULL, 'PIRSR038147-3', NULL, NULL, NULL, NULL, 'PIRSR038147-3', NULL, NULL, NULL, 14),
(53588, NULL, 'PIRSR000705-3', NULL, NULL, NULL, NULL, 'PIRSR000705-3', NULL, NULL, NULL, 14),
(53589, NULL, 'PIRSR037123-1', NULL, NULL, NULL, NULL, 'PIRSR037123-1', NULL, NULL, NULL, 14),
(53590, NULL, 'PIRSR038165-50', NULL, NULL, NULL, NULL, 'PIRSR038165-50', NULL, NULL, NULL, 14),
(53591, NULL, 'PIRSR000084-50', NULL, NULL, NULL, NULL, 'PIRSR000084-50', NULL, NULL, NULL, 14),
(53592, NULL, 'PIRSR036685-2', NULL, NULL, NULL, NULL, 'PIRSR036685-2', NULL, NULL, NULL, 14),
(53593, NULL, 'PIRSR001362-1', NULL, NULL, NULL, NULL, 'PIRSR001362-1', NULL, NULL, NULL, 14),
(53594, NULL, 'PIRSR630056-3', NULL, NULL, NULL, NULL, 'PIRSR630056-3', NULL, NULL, NULL, 14),
(53595, NULL, 'PIRSR000409-1', NULL, NULL, NULL, NULL, 'PIRSR000409-1', NULL, NULL, NULL, 14),
(53596, NULL, 'PIRSR005639-1', NULL, NULL, NULL, NULL, 'PIRSR005639-1', NULL, NULL, NULL, 14),
(53597, NULL, 'PIRSR036917-4', NULL, NULL, NULL, NULL, 'PIRSR036917-4', NULL, NULL, NULL, 14),
(53598, NULL, 'PIRSR600997-1', NULL, NULL, NULL, NULL, 'PIRSR600997-1', NULL, NULL, NULL, 14),
(53599, NULL, 'PIRSR016262-3', NULL, NULL, NULL, NULL, 'PIRSR016262-3', NULL, NULL, NULL, 14),
(53600, NULL, 'PIRSR037911-2', NULL, NULL, NULL, NULL, 'PIRSR037911-2', NULL, NULL, NULL, 14),
(53601, NULL, 'PIRSR036376-50', NULL, NULL, NULL, NULL, 'PIRSR036376-50', NULL, NULL, NULL, 14),
(53602, NULL, 'PIRSR038189-2', NULL, NULL, NULL, NULL, 'PIRSR038189-2', NULL, NULL, NULL, 14),
(53603, NULL, 'PIRSR000106-1', NULL, NULL, NULL, NULL, 'PIRSR000106-1', NULL, NULL, NULL, 14),
(53604, NULL, 'PIRSR603437-50', NULL, NULL, NULL, NULL, 'PIRSR603437-50', NULL, NULL, NULL, 14),
(53605, NULL, 'PIRSR005713-2', NULL, NULL, NULL, NULL, 'PIRSR005713-2', NULL, NULL, NULL, 14),
(53606, NULL, 'PIRSR629580-4', NULL, NULL, NULL, NULL, 'PIRSR629580-4', NULL, NULL, NULL, 14),
(53607, NULL, 'PIRSR037568-1', NULL, NULL, NULL, NULL, 'PIRSR037568-1', NULL, NULL, NULL, 14),
(53608, NULL, 'PIRSR000260-3', NULL, NULL, NULL, NULL, 'PIRSR000260-3', NULL, NULL, NULL, 14),
(53609, NULL, 'PIRSR618044-1', NULL, NULL, NULL, NULL, 'PIRSR618044-1', NULL, NULL, NULL, 14);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53610, NULL, 'PIRSR000199-50', NULL, NULL, NULL, NULL, 'PIRSR000199-50', NULL, NULL, NULL, 14),
(53611, NULL, 'PIRSR000189-1', NULL, NULL, NULL, NULL, 'PIRSR000189-1', NULL, NULL, NULL, 14),
(53612, NULL, 'PIRSR500135-2', NULL, NULL, NULL, NULL, 'PIRSR500135-2', NULL, NULL, NULL, 14),
(53613, NULL, 'PIRSR000620-1', NULL, NULL, NULL, NULL, 'PIRSR000620-1', NULL, NULL, NULL, 14),
(53614, NULL, 'PIRSR000915-2', NULL, NULL, NULL, NULL, 'PIRSR000915-2', NULL, NULL, NULL, 14),
(53615, NULL, 'PIRSR001369-1', NULL, NULL, NULL, NULL, 'PIRSR001369-1', NULL, NULL, NULL, 14),
(53616, NULL, 'PIRSR001594-3', NULL, NULL, NULL, NULL, 'PIRSR001594-3', NULL, NULL, NULL, 14),
(53617, NULL, 'PIRSR000381-2', NULL, NULL, NULL, NULL, 'PIRSR000381-2', NULL, NULL, NULL, 14),
(53618, NULL, 'PIRSR038945-1', NULL, NULL, NULL, NULL, 'PIRSR038945-1', NULL, NULL, NULL, 14),
(53619, NULL, 'PIRSR006268-1', NULL, NULL, NULL, NULL, 'PIRSR006268-1', NULL, NULL, NULL, 14),
(53620, NULL, 'PIRSR034515-3', NULL, NULL, NULL, NULL, 'PIRSR034515-3', NULL, NULL, NULL, 14),
(53621, NULL, 'PIRSR608127-53', NULL, NULL, NULL, NULL, 'PIRSR608127-53', NULL, NULL, NULL, 14),
(53622, NULL, 'PIRSR037479-4', NULL, NULL, NULL, NULL, 'PIRSR037479-4', NULL, NULL, NULL, 14),
(53623, NULL, 'PIRSR000097-2', NULL, NULL, NULL, NULL, 'PIRSR000097-2', NULL, NULL, NULL, 14),
(53624, NULL, 'PIRSR000190-1', NULL, NULL, NULL, NULL, 'PIRSR000190-1', NULL, NULL, NULL, 14),
(53625, NULL, 'PIRSR629881-4', NULL, NULL, NULL, NULL, 'PIRSR629881-4', NULL, NULL, NULL, 14),
(53626, NULL, 'PIRSR038927-2', NULL, NULL, NULL, NULL, 'PIRSR038927-2', NULL, NULL, NULL, 14),
(53627, NULL, 'PIRSR002520-2', NULL, NULL, NULL, NULL, 'PIRSR002520-2', NULL, NULL, NULL, 14),
(53628, NULL, 'PIRSR630294-3', NULL, NULL, NULL, NULL, 'PIRSR630294-3', NULL, NULL, NULL, 14),
(53629, NULL, 'PIRSR037470-50', NULL, NULL, NULL, NULL, 'PIRSR037470-50', NULL, NULL, NULL, 14),
(53630, NULL, 'PIRSR000853-1', NULL, NULL, NULL, NULL, 'PIRSR000853-1', NULL, NULL, NULL, 14),
(53631, NULL, 'PIRSR000014-1', NULL, NULL, NULL, NULL, 'PIRSR000014-1', NULL, NULL, NULL, 14),
(53632, NULL, 'PIRSR605977-50', NULL, NULL, NULL, NULL, 'PIRSR605977-50', NULL, NULL, NULL, 14),
(53633, NULL, 'PIRSR006113-2', NULL, NULL, NULL, NULL, 'PIRSR006113-2', NULL, NULL, NULL, 14),
(53634, NULL, 'PIRSR620443-50', NULL, NULL, NULL, NULL, 'PIRSR620443-50', NULL, NULL, NULL, 14),
(53635, NULL, 'PIRSR001235-1', NULL, NULL, NULL, NULL, 'PIRSR001235-1', NULL, NULL, NULL, 14),
(53636, NULL, 'PIRSR000278-1', NULL, NULL, NULL, NULL, 'PIRSR000278-1', NULL, NULL, NULL, 14),
(53637, NULL, 'PIRSR004846-1', NULL, NULL, NULL, NULL, 'PIRSR004846-1', NULL, NULL, NULL, 14),
(53638, NULL, 'PIRSR009285-1', NULL, NULL, NULL, NULL, 'PIRSR009285-1', NULL, NULL, NULL, 14),
(53639, NULL, 'PIRSR016408-2', NULL, NULL, NULL, NULL, 'PIRSR016408-2', NULL, NULL, NULL, 14),
(53640, NULL, 'PIRSR038120-2', NULL, NULL, NULL, NULL, 'PIRSR038120-2', NULL, NULL, NULL, 14),
(53641, NULL, 'PIRSR001600-50', NULL, NULL, NULL, NULL, 'PIRSR001600-50', NULL, NULL, NULL, 14),
(53642, NULL, 'PIRSR607724-1', NULL, NULL, NULL, NULL, 'PIRSR607724-1', NULL, NULL, NULL, 14),
(53643, NULL, 'PIRSR036432-1', NULL, NULL, NULL, NULL, 'PIRSR036432-1', NULL, NULL, NULL, 14),
(53644, NULL, 'PIRSR622350-50', NULL, NULL, NULL, NULL, 'PIRSR622350-50', NULL, NULL, NULL, 14),
(53645, NULL, 'PIRSR038455-3', NULL, NULL, NULL, NULL, 'PIRSR038455-3', NULL, NULL, NULL, 14),
(53646, NULL, 'PIRSR600243-1', NULL, NULL, NULL, NULL, 'PIRSR600243-1', NULL, NULL, NULL, 14),
(53647, NULL, 'PIRSR037875-50', NULL, NULL, NULL, NULL, 'PIRSR037875-50', NULL, NULL, NULL, 14),
(53648, NULL, 'PIRSR600888-3', NULL, NULL, NULL, NULL, 'PIRSR600888-3', NULL, NULL, NULL, 14),
(53649, NULL, 'PIRSR003726-2', NULL, NULL, NULL, NULL, 'PIRSR003726-2', NULL, NULL, NULL, 14),
(53650, NULL, 'PIRSR029900-1', NULL, NULL, NULL, NULL, 'PIRSR029900-1', NULL, NULL, NULL, 14),
(53651, NULL, 'PIRSR604450-51', NULL, NULL, NULL, NULL, 'PIRSR604450-51', NULL, NULL, NULL, 14),
(53652, NULL, 'PIRSR617774-2', NULL, NULL, NULL, NULL, 'PIRSR617774-2', NULL, NULL, NULL, 14); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53653, NULL, 'PIRSR038186-2', NULL, NULL, NULL, NULL, 'PIRSR038186-2', NULL, NULL, NULL, 14),
(53654, NULL, 'PIRSR000196-2', NULL, NULL, NULL, NULL, 'PIRSR000196-2', NULL, NULL, NULL, 14),
(53655, NULL, 'PIRSR009374-1', NULL, NULL, NULL, NULL, 'PIRSR009374-1', NULL, NULL, NULL, 14),
(53656, NULL, 'PIRSR037933-1', NULL, NULL, NULL, NULL, 'PIRSR037933-1', NULL, NULL, NULL, 14),
(53657, NULL, 'PIRSR000445-1', NULL, NULL, NULL, NULL, 'PIRSR000445-1', NULL, NULL, NULL, 14),
(53658, NULL, 'PIRSR038134-2', NULL, NULL, NULL, NULL, 'PIRSR038134-2', NULL, NULL, NULL, 14),
(53659, NULL, 'PIRSR037177-2', NULL, NULL, NULL, NULL, 'PIRSR037177-2', NULL, NULL, NULL, 14),
(53660, NULL, 'PIRSR000524-50', NULL, NULL, NULL, NULL, 'PIRSR000524-50', NULL, NULL, NULL, 14),
(53661, NULL, 'PIRSR000632-2', NULL, NULL, NULL, NULL, 'PIRSR000632-2', NULL, NULL, NULL, 14),
(53662, NULL, 'PIRSR001143-1', NULL, NULL, NULL, NULL, 'PIRSR001143-1', NULL, NULL, NULL, 14),
(53663, NULL, 'PIRSR603912-52', NULL, NULL, NULL, NULL, 'PIRSR603912-52', NULL, NULL, NULL, 14),
(53664, NULL, 'PIRSR000114-3', NULL, NULL, NULL, NULL, 'PIRSR000114-3', NULL, NULL, NULL, 14),
(53665, NULL, 'PIRSR001220-2', NULL, NULL, NULL, NULL, 'PIRSR001220-2', NULL, NULL, NULL, 14),
(53666, NULL, 'PIRSR629601-2', NULL, NULL, NULL, NULL, 'PIRSR629601-2', NULL, NULL, NULL, 14),
(53667, NULL, 'PIRSR618319-50', NULL, NULL, NULL, NULL, 'PIRSR618319-50', NULL, NULL, NULL, 14),
(53668, NULL, 'PIRSR000459-1', NULL, NULL, NULL, NULL, 'PIRSR000459-1', NULL, NULL, NULL, 14),
(53669, NULL, 'PIRSR000699-1', NULL, NULL, NULL, NULL, 'PIRSR000699-1', NULL, NULL, NULL, 14),
(53670, NULL, 'PIRSR627185-54', NULL, NULL, NULL, NULL, 'PIRSR627185-54', NULL, NULL, NULL, 14),
(53671, NULL, 'PIRSR015853-2', NULL, NULL, NULL, NULL, 'PIRSR015853-2', NULL, NULL, NULL, 14),
(53672, NULL, 'PIRSR017107-1', NULL, NULL, NULL, NULL, 'PIRSR017107-1', NULL, NULL, NULL, 14),
(53673, NULL, 'PIRSR036960-1', NULL, NULL, NULL, NULL, 'PIRSR036960-1', NULL, NULL, NULL, 14),
(53674, NULL, 'PIRSR000099-3', NULL, NULL, NULL, NULL, 'PIRSR000099-3', NULL, NULL, NULL, 14),
(53675, NULL, 'PIRSR627179-50', NULL, NULL, NULL, NULL, 'PIRSR627179-50', NULL, NULL, NULL, 14),
(53676, NULL, 'PIRSR019543-1', NULL, NULL, NULL, NULL, 'PIRSR019543-1', NULL, NULL, NULL, 14),
(53677, NULL, 'PIRSR011396-1', NULL, NULL, NULL, NULL, 'PIRSR011396-1', NULL, NULL, NULL, 14),
(53678, NULL, 'PIRSR016502-1', NULL, NULL, NULL, NULL, 'PIRSR016502-1', NULL, NULL, NULL, 14),
(53679, NULL, 'PIRSR617821-2', NULL, NULL, NULL, NULL, 'PIRSR617821-2', NULL, NULL, NULL, 14),
(53680, NULL, 'PIRSR001558-3', NULL, NULL, NULL, NULL, 'PIRSR001558-3', NULL, NULL, NULL, 14),
(53681, NULL, 'PIRSR001145-2', NULL, NULL, NULL, NULL, 'PIRSR001145-2', NULL, NULL, NULL, 14),
(53682, NULL, 'PIRSR002498-1', NULL, NULL, NULL, NULL, 'PIRSR002498-1', NULL, NULL, NULL, 14),
(53683, NULL, 'PIRSR001024-3', NULL, NULL, NULL, NULL, 'PIRSR001024-3', NULL, NULL, NULL, 14),
(53684, NULL, 'PIRSR038142-1', NULL, NULL, NULL, NULL, 'PIRSR038142-1', NULL, NULL, NULL, 14),
(53685, NULL, 'PIRSR036565-2', NULL, NULL, NULL, NULL, 'PIRSR036565-2', NULL, NULL, NULL, 14),
(53686, NULL, 'PIRSR605212-50', NULL, NULL, NULL, NULL, 'PIRSR605212-50', NULL, NULL, NULL, 14),
(53687, NULL, 'PIRSR000077-4', NULL, NULL, NULL, NULL, 'PIRSR000077-4', NULL, NULL, NULL, 14),
(53688, NULL, 'PIRSR000112-2', NULL, NULL, NULL, NULL, 'PIRSR000112-2', NULL, NULL, NULL, 14),
(53689, NULL, 'PIRSR000233-1', NULL, NULL, NULL, NULL, 'PIRSR000233-1', NULL, NULL, NULL, 14),
(53690, NULL, 'PIRSR005557-1', NULL, NULL, NULL, NULL, 'PIRSR005557-1', NULL, NULL, NULL, 14),
(53691, NULL, 'PIRSR037880-1', NULL, NULL, NULL, NULL, 'PIRSR037880-1', NULL, NULL, NULL, 14),
(53692, NULL, 'PIRSR003182-50', NULL, NULL, NULL, NULL, 'PIRSR003182-50', NULL, NULL, NULL, 14),
(53693, NULL, 'PIRSR628829-1', NULL, NULL, NULL, NULL, 'PIRSR628829-1', NULL, NULL, NULL, 14),
(53694, NULL, 'PIRSR002811-1', NULL, NULL, NULL, NULL, 'PIRSR002811-1', NULL, NULL, NULL, 14),
(53695, NULL, 'PIRSR003817-3', NULL, NULL, NULL, NULL, 'PIRSR003817-3', NULL, NULL, NULL, 14);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53696, NULL, 'PIRSR600877-51', NULL, NULL, NULL, NULL, 'PIRSR600877-51', NULL, NULL, NULL, 14),
(53697, NULL, 'PIRSR016308-3', NULL, NULL, NULL, NULL, 'PIRSR016308-3', NULL, NULL, NULL, 14),
(53698, NULL, 'PIRSR631245-4', NULL, NULL, NULL, NULL, 'PIRSR631245-4', NULL, NULL, NULL, 14),
(53699, NULL, 'PIRSR005023-1', NULL, NULL, NULL, NULL, 'PIRSR005023-1', NULL, NULL, NULL, 14),
(53700, NULL, 'PIRSR038885-1', NULL, NULL, NULL, NULL, 'PIRSR038885-1', NULL, NULL, NULL, 14),
(53701, NULL, 'PIRSR629881-1', NULL, NULL, NULL, NULL, 'PIRSR629881-1', NULL, NULL, NULL, 14),
(53702, NULL, 'PIRSR001146-1', NULL, NULL, NULL, NULL, 'PIRSR001146-1', NULL, NULL, NULL, 14),
(53703, NULL, 'PIRSR633195-1', NULL, NULL, NULL, NULL, 'PIRSR633195-1', NULL, NULL, NULL, 14),
(53704, NULL, 'PIRSR001430-1', NULL, NULL, NULL, NULL, 'PIRSR001430-1', NULL, NULL, NULL, 14),
(53705, NULL, 'PIRSR002551-2', NULL, NULL, NULL, NULL, 'PIRSR002551-2', NULL, NULL, NULL, 14),
(53706, NULL, 'PIRSR022950-1', NULL, NULL, NULL, NULL, 'PIRSR022950-1', NULL, NULL, NULL, 14),
(53707, NULL, 'PIRSR000137-1', NULL, NULL, NULL, NULL, 'PIRSR000137-1', NULL, NULL, NULL, 14),
(53708, NULL, 'PIRSR000929-2', NULL, NULL, NULL, NULL, 'PIRSR000929-2', NULL, NULL, NULL, 14),
(53709, NULL, 'PIRSR036593-50', NULL, NULL, NULL, NULL, 'PIRSR036593-50', NULL, NULL, NULL, 14),
(53710, NULL, 'PIRSR002572-2', NULL, NULL, NULL, NULL, 'PIRSR002572-2', NULL, NULL, NULL, 14),
(53711, NULL, 'PIRSR006769-3', NULL, NULL, NULL, NULL, 'PIRSR006769-3', NULL, NULL, NULL, 14),
(53712, NULL, 'PIRSR001355-1', NULL, NULL, NULL, NULL, 'PIRSR001355-1', NULL, NULL, NULL, 14),
(53713, NULL, 'PIRSR001415-5', NULL, NULL, NULL, NULL, 'PIRSR001415-5', NULL, NULL, NULL, 14),
(53714, NULL, 'PIRSR629580-1', NULL, NULL, NULL, NULL, 'PIRSR629580-1', NULL, NULL, NULL, 14),
(53715, NULL, 'PIRSR000817-1', NULL, NULL, NULL, NULL, 'PIRSR000817-1', NULL, NULL, NULL, 14),
(53716, NULL, 'PIRSR633478-1', NULL, NULL, NULL, NULL, 'PIRSR633478-1', NULL, NULL, NULL, 14),
(53717, NULL, 'PIRSR637571-51', NULL, NULL, NULL, NULL, 'PIRSR637571-51', NULL, NULL, NULL, 14),
(53718, NULL, 'PIRSR004682-2', NULL, NULL, NULL, NULL, 'PIRSR004682-2', NULL, NULL, NULL, 14),
(53719, NULL, 'PIRSR607702-2', NULL, NULL, NULL, NULL, 'PIRSR607702-2', NULL, NULL, NULL, 14),
(53720, NULL, 'PIRSR000554-2', NULL, NULL, NULL, NULL, 'PIRSR000554-2', NULL, NULL, NULL, 14),
(53721, NULL, 'PIRSR037575-1', NULL, NULL, NULL, NULL, 'PIRSR037575-1', NULL, NULL, NULL, 14),
(53722, NULL, 'PIRSR614186-1', NULL, NULL, NULL, NULL, 'PIRSR614186-1', NULL, NULL, NULL, 14),
(53723, NULL, 'PIRSR005091-1', NULL, NULL, NULL, NULL, 'PIRSR005091-1', NULL, NULL, NULL, 14),
(53724, NULL, 'PIRSR000337-1', NULL, NULL, NULL, NULL, 'PIRSR000337-1', NULL, NULL, NULL, 14),
(53725, NULL, 'PIRSR621116-50', NULL, NULL, NULL, NULL, 'PIRSR621116-50', NULL, NULL, NULL, 14),
(53726, NULL, 'PIRSR001138-1', NULL, NULL, NULL, NULL, 'PIRSR001138-1', NULL, NULL, NULL, 14),
(53727, NULL, 'PIRSR005604-2', NULL, NULL, NULL, NULL, 'PIRSR005604-2', NULL, NULL, NULL, 14),
(53728, NULL, 'PIRSR037756-1', NULL, NULL, NULL, NULL, 'PIRSR037756-1', NULL, NULL, NULL, 14),
(53729, NULL, 'PIRSR602137-50', NULL, NULL, NULL, NULL, 'PIRSR602137-50', NULL, NULL, NULL, 14),
(53730, NULL, 'PIRSR605468-51', NULL, NULL, NULL, NULL, 'PIRSR605468-51', NULL, NULL, NULL, 14),
(53731, NULL, 'PIRSR036503-51', NULL, NULL, NULL, NULL, 'PIRSR036503-51', NULL, NULL, NULL, 14),
(53732, NULL, 'PIRSR029271-51', NULL, NULL, NULL, NULL, 'PIRSR029271-51', NULL, NULL, NULL, 14),
(53733, NULL, 'PIRSR601233-1', NULL, NULL, NULL, NULL, 'PIRSR601233-1', NULL, NULL, NULL, 14),
(53734, NULL, 'PIRSR004803-2', NULL, NULL, NULL, NULL, 'PIRSR004803-2', NULL, NULL, NULL, 14),
(53735, NULL, 'PIRSR016429-51', NULL, NULL, NULL, NULL, 'PIRSR016429-51', NULL, NULL, NULL, 14),
(53736, NULL, 'PIRSR623088-2', NULL, NULL, NULL, NULL, 'PIRSR623088-2', NULL, NULL, NULL, 14),
(53737, NULL, 'PIRSR000106-3', NULL, NULL, NULL, NULL, 'PIRSR000106-3', NULL, NULL, NULL, 14),
(53738, NULL, 'PIRSR606285-1', NULL, NULL, NULL, NULL, 'PIRSR606285-1', NULL, NULL, NULL, 14); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53739, NULL, 'PIRSR037293-1', NULL, NULL, NULL, NULL, 'PIRSR037293-1', NULL, NULL, NULL, 14),
(53740, NULL, 'PIRSR000114-2', NULL, NULL, NULL, NULL, 'PIRSR000114-2', NULL, NULL, NULL, 14),
(53741, NULL, 'PIRSR003059-2', NULL, NULL, NULL, NULL, 'PIRSR003059-2', NULL, NULL, NULL, 14),
(53742, NULL, 'PIRSR017250-50', NULL, NULL, NULL, NULL, 'PIRSR017250-50', NULL, NULL, NULL, 14),
(53743, NULL, 'PIRSR005536-1', NULL, NULL, NULL, NULL, 'PIRSR005536-1', NULL, NULL, NULL, 14),
(53744, NULL, 'PIRSR015853-1', NULL, NULL, NULL, NULL, 'PIRSR015853-1', NULL, NULL, NULL, 14),
(53745, NULL, 'PIRSR039102-3', NULL, NULL, NULL, NULL, 'PIRSR039102-3', NULL, NULL, NULL, 14),
(53746, NULL, 'PIRSR500948-2', NULL, NULL, NULL, NULL, 'PIRSR500948-2', NULL, NULL, NULL, 14),
(53747, NULL, 'PIRSR000149-3', NULL, NULL, NULL, NULL, 'PIRSR000149-3', NULL, NULL, NULL, 14),
(53748, NULL, 'PIRSR036492-1', NULL, NULL, NULL, NULL, 'PIRSR036492-1', NULL, NULL, NULL, 14),
(53749, NULL, 'PIRSR037031-50', NULL, NULL, NULL, NULL, 'PIRSR037031-50', NULL, NULL, NULL, 14),
(53750, NULL, 'PIRSR037646-50', NULL, NULL, NULL, NULL, 'PIRSR037646-50', NULL, NULL, NULL, 14),
(53751, NULL, 'PIRSR000343-1', NULL, NULL, NULL, NULL, 'PIRSR000343-1', NULL, NULL, NULL, 14),
(53752, NULL, 'PIRSR018425-2', NULL, NULL, NULL, NULL, 'PIRSR018425-2', NULL, NULL, NULL, 14),
(53753, NULL, 'PIRSR617453-50', NULL, NULL, NULL, NULL, 'PIRSR617453-50', NULL, NULL, NULL, 14),
(53754, NULL, 'PIRSR019574-1', NULL, NULL, NULL, NULL, 'PIRSR019574-1', NULL, NULL, NULL, 14),
(53755, NULL, 'PIRSR608127-52', NULL, NULL, NULL, NULL, 'PIRSR608127-52', NULL, NULL, NULL, 14),
(53756, NULL, 'PIRSR000025-2', NULL, NULL, NULL, NULL, 'PIRSR000025-2', NULL, NULL, NULL, 14),
(53757, NULL, 'PIRSR627057-2', NULL, NULL, NULL, NULL, 'PIRSR627057-2', NULL, NULL, NULL, 14),
(53758, NULL, 'PIRSR001141-2', NULL, NULL, NULL, NULL, 'PIRSR001141-2', NULL, NULL, NULL, 14),
(53759, NULL, 'PIRSR007802-1', NULL, NULL, NULL, NULL, 'PIRSR007802-1', NULL, NULL, NULL, 14),
(53760, NULL, 'PIRSR000185-3', NULL, NULL, NULL, NULL, 'PIRSR000185-3', NULL, NULL, NULL, 14),
(53761, NULL, 'PIRSR001362-2', NULL, NULL, NULL, NULL, 'PIRSR001362-2', NULL, NULL, NULL, 14),
(53762, NULL, 'PIRSR030150-2', NULL, NULL, NULL, NULL, 'PIRSR030150-2', NULL, NULL, NULL, 14),
(53763, NULL, 'PIRSR037125-1', NULL, NULL, NULL, NULL, 'PIRSR037125-1', NULL, NULL, NULL, 14),
(53764, NULL, 'PIRSR001024-1', NULL, NULL, NULL, NULL, 'PIRSR001024-1', NULL, NULL, NULL, 14),
(53765, NULL, 'PIRSR004576-50', NULL, NULL, NULL, NULL, 'PIRSR004576-50', NULL, NULL, NULL, 14),
(53766, NULL, 'PIRSR000988-3', NULL, NULL, NULL, NULL, 'PIRSR000988-3', NULL, NULL, NULL, 14),
(53767, NULL, 'PIRSR000956-1', NULL, NULL, NULL, NULL, 'PIRSR000956-1', NULL, NULL, NULL, 14),
(53768, NULL, 'PIRSR633508-3', NULL, NULL, NULL, NULL, 'PIRSR633508-3', NULL, NULL, NULL, 14),
(53769, NULL, 'PIRSR009328-1', NULL, NULL, NULL, NULL, 'PIRSR009328-1', NULL, NULL, NULL, 14),
(53770, NULL, 'PIRSR605856-51', NULL, NULL, NULL, NULL, 'PIRSR605856-51', NULL, NULL, NULL, 14),
(53771, NULL, 'PIRSR628472-1', NULL, NULL, NULL, NULL, 'PIRSR628472-1', NULL, NULL, NULL, 14),
(53772, NULL, 'PIRSR002937-1', NULL, NULL, NULL, NULL, 'PIRSR002937-1', NULL, NULL, NULL, 14),
(53773, NULL, 'PIRSR016262-1', NULL, NULL, NULL, NULL, 'PIRSR016262-1', NULL, NULL, NULL, 14),
(53774, NULL, 'PIRSR631245-1', NULL, NULL, NULL, NULL, 'PIRSR631245-1', NULL, NULL, NULL, 14),
(53775, NULL, 'PIRSR001355-5', NULL, NULL, NULL, NULL, 'PIRSR001355-5', NULL, NULL, NULL, 14),
(53776, NULL, 'PIRSR017434-2', NULL, NULL, NULL, NULL, 'PIRSR017434-2', NULL, NULL, NULL, 14),
(53777, NULL, 'PIRSR629881-3', NULL, NULL, NULL, NULL, 'PIRSR629881-3', NULL, NULL, NULL, 14),
(53778, NULL, 'PIRSR631048-52', NULL, NULL, NULL, NULL, 'PIRSR631048-52', NULL, NULL, NULL, 14),
(53779, NULL, 'PIRSR601621-3', NULL, NULL, NULL, NULL, 'PIRSR601621-3', NULL, NULL, NULL, 14),
(53780, NULL, 'PIRSR037281-1', NULL, NULL, NULL, NULL, 'PIRSR037281-1', NULL, NULL, NULL, 14),
(53781, NULL, 'PIRSR620777-50', NULL, NULL, NULL, NULL, 'PIRSR620777-50', NULL, NULL, NULL, 14); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53782, NULL, 'PIRSR000094-1', NULL, NULL, NULL, NULL, 'PIRSR000094-1', NULL, NULL, NULL, 14),
(53783, NULL, 'PIRSR000159-1', NULL, NULL, NULL, NULL, 'PIRSR000159-1', NULL, NULL, NULL, 14),
(53784, NULL, 'PIRSR006135-1', NULL, NULL, NULL, NULL, 'PIRSR006135-1', NULL, NULL, NULL, 14),
(53785, NULL, 'PIRSR006246-2', NULL, NULL, NULL, NULL, 'PIRSR006246-2', NULL, NULL, NULL, 14),
(53786, NULL, 'PIRSR001174-1', NULL, NULL, NULL, NULL, 'PIRSR001174-1', NULL, NULL, NULL, 14),
(53787, NULL, 'PIRSR038147-1', NULL, NULL, NULL, NULL, 'PIRSR038147-1', NULL, NULL, NULL, 14),
(53788, NULL, 'PIRSR031924-51', NULL, NULL, NULL, NULL, 'PIRSR031924-51', NULL, NULL, NULL, 14),
(53789, NULL, 'PIRSR630616-1', NULL, NULL, NULL, NULL, 'PIRSR630616-1', NULL, NULL, NULL, 14),
(53790, NULL, 'PIRSR008716-1', NULL, NULL, NULL, NULL, 'PIRSR008716-1', NULL, NULL, NULL, 14),
(53791, NULL, 'PIRSR036636-51', NULL, NULL, NULL, NULL, 'PIRSR036636-51', NULL, NULL, NULL, 14),
(53792, NULL, 'PIRSR630056-2', NULL, NULL, NULL, NULL, 'PIRSR630056-2', NULL, NULL, NULL, 14),
(53793, NULL, 'PIRSR627185-52', NULL, NULL, NULL, NULL, 'PIRSR627185-52', NULL, NULL, NULL, 14),
(53794, NULL, 'PIRSR000109-2', NULL, NULL, NULL, NULL, 'PIRSR000109-2', NULL, NULL, NULL, 14),
(53795, NULL, 'PIRSR005894-1', NULL, NULL, NULL, NULL, 'PIRSR005894-1', NULL, NULL, NULL, 14),
(53796, NULL, 'PIRSR006809-2', NULL, NULL, NULL, NULL, 'PIRSR006809-2', NULL, NULL, NULL, 14),
(53797, NULL, 'PIRSR037839-1', NULL, NULL, NULL, NULL, 'PIRSR037839-1', NULL, NULL, NULL, 14),
(53798, NULL, 'PIRSR000948-2', NULL, NULL, NULL, NULL, 'PIRSR000948-2', NULL, NULL, NULL, 14),
(53799, NULL, 'PIRSR038084-3', NULL, NULL, NULL, NULL, 'PIRSR038084-3', NULL, NULL, NULL, 14),
(53800, NULL, 'PIRSR000290-1', NULL, NULL, NULL, NULL, 'PIRSR000290-1', NULL, NULL, NULL, 14),
(53801, NULL, 'PIRSR000398-1', NULL, NULL, NULL, NULL, 'PIRSR000398-1', NULL, NULL, NULL, 14),
(53802, NULL, 'PIRSR016020-2', NULL, NULL, NULL, NULL, 'PIRSR016020-2', NULL, NULL, NULL, 14),
(53803, NULL, 'PIRSR036514-1', NULL, NULL, NULL, NULL, 'PIRSR036514-1', NULL, NULL, NULL, 14),
(53804, NULL, 'PIRSR036684-3', NULL, NULL, NULL, NULL, 'PIRSR036684-3', NULL, NULL, NULL, 14),
(53805, NULL, 'PIRSR001815-50', NULL, NULL, NULL, NULL, 'PIRSR001815-50', NULL, NULL, NULL, 14),
(53806, NULL, 'PIRSR002854-1', NULL, NULL, NULL, NULL, 'PIRSR002854-1', NULL, NULL, NULL, 14),
(53807, NULL, 'PIRSR000388-3', NULL, NULL, NULL, NULL, 'PIRSR000388-3', NULL, NULL, NULL, 14),
(53808, NULL, 'PIRSR006806-1', NULL, NULL, NULL, NULL, 'PIRSR006806-1', NULL, NULL, NULL, 14),
(53809, NULL, 'PIRSR038189-1', NULL, NULL, NULL, NULL, 'PIRSR038189-1', NULL, NULL, NULL, 14),
(53810, NULL, 'PIRSR000485-2', NULL, NULL, NULL, NULL, 'PIRSR000485-2', NULL, NULL, NULL, 14),
(53811, NULL, 'PIRSR001227-1', NULL, NULL, NULL, NULL, 'PIRSR001227-1', NULL, NULL, NULL, 14),
(53812, NULL, 'PIRSR618191-1', NULL, NULL, NULL, NULL, 'PIRSR618191-1', NULL, NULL, NULL, 14),
(53813, NULL, 'PIRSR002356-3', NULL, NULL, NULL, NULL, 'PIRSR002356-3', NULL, NULL, NULL, 14),
(53814, NULL, 'PIRSR037251-1', NULL, NULL, NULL, NULL, 'PIRSR037251-1', NULL, NULL, NULL, 14),
(53815, NULL, 'PIRSR000008-2', NULL, NULL, NULL, NULL, 'PIRSR000008-2', NULL, NULL, NULL, 14),
(53816, NULL, 'PIRSR037299-1', NULL, NULL, NULL, NULL, 'PIRSR037299-1', NULL, NULL, NULL, 14),
(53817, NULL, 'PIRSR002374-1', NULL, NULL, NULL, NULL, 'PIRSR002374-1', NULL, NULL, NULL, 14),
(53818, NULL, 'PIRSR601681-50', NULL, NULL, NULL, NULL, 'PIRSR601681-50', NULL, NULL, NULL, 14),
(53819, NULL, 'PIRSR631038-1', NULL, NULL, NULL, NULL, 'PIRSR631038-1', NULL, NULL, NULL, 14),
(53820, NULL, 'PIRSR001021-2', NULL, NULL, NULL, NULL, 'PIRSR001021-2', NULL, NULL, NULL, 14),
(53821, NULL, 'PIRSR005054-1', NULL, NULL, NULL, NULL, 'PIRSR005054-1', NULL, NULL, NULL, 14),
(53822, NULL, 'PIRSR001935-1', NULL, NULL, NULL, NULL, 'PIRSR001935-1', NULL, NULL, NULL, 14),
(53823, NULL, 'PIRSR026389-1', NULL, NULL, NULL, NULL, 'PIRSR026389-1', NULL, NULL, NULL, 14),
(53824, NULL, 'PIRSR039004-2', NULL, NULL, NULL, NULL, 'PIRSR039004-2', NULL, NULL, NULL, 14);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53825, NULL, 'PIRSR600990-50', NULL, NULL, NULL, NULL, 'PIRSR600990-50', NULL, NULL, NULL, 14),
(53826, NULL, 'PIRSR635711-51', NULL, NULL, NULL, NULL, 'PIRSR635711-51', NULL, NULL, NULL, 14),
(53827, NULL, 'PIRSR000105-1', NULL, NULL, NULL, NULL, 'PIRSR000105-1', NULL, NULL, NULL, 14),
(53828, NULL, 'PIRSR018250-3', NULL, NULL, NULL, NULL, 'PIRSR018250-3', NULL, NULL, NULL, 14),
(53829, NULL, 'PIRSR001415-2', NULL, NULL, NULL, NULL, 'PIRSR001415-2', NULL, NULL, NULL, 14),
(53830, NULL, 'PIRSR000661-51', NULL, NULL, NULL, NULL, 'PIRSR000661-51', NULL, NULL, NULL, 14),
(53831, NULL, 'PIRSR036561-2', NULL, NULL, NULL, NULL, 'PIRSR036561-2', NULL, NULL, NULL, 14),
(53832, NULL, 'PIRSR038895-2', NULL, NULL, NULL, NULL, 'PIRSR038895-2', NULL, NULL, NULL, 14),
(53833, NULL, 'PIRSR036958-3', NULL, NULL, NULL, NULL, 'PIRSR036958-3', NULL, NULL, NULL, 14),
(53834, NULL, 'PIRSR000898-3', NULL, NULL, NULL, NULL, 'PIRSR000898-3', NULL, NULL, NULL, 14),
(53835, NULL, 'PIRSR003048-1', NULL, NULL, NULL, NULL, 'PIRSR003048-1', NULL, NULL, NULL, 14),
(53836, NULL, 'PIRSR006698-2', NULL, NULL, NULL, NULL, 'PIRSR006698-2', NULL, NULL, NULL, 14),
(53837, NULL, 'PIRSR037215-1', NULL, NULL, NULL, NULL, 'PIRSR037215-1', NULL, NULL, NULL, 14),
(53838, NULL, 'PIRSR000103-1', NULL, NULL, NULL, NULL, 'PIRSR000103-1', NULL, NULL, NULL, 14),
(53839, NULL, 'PIRSR001205-2', NULL, NULL, NULL, NULL, 'PIRSR001205-2', NULL, NULL, NULL, 14),
(53840, NULL, 'PIRSR000006-2', NULL, NULL, NULL, NULL, 'PIRSR000006-2', NULL, NULL, NULL, 14),
(53841, NULL, 'PIRSR000443-1', NULL, NULL, NULL, NULL, 'PIRSR000443-1', NULL, NULL, NULL, 14),
(53842, NULL, 'PIRSR006386-1', NULL, NULL, NULL, NULL, 'PIRSR006386-1', NULL, NULL, NULL, 14),
(53843, NULL, 'PIRSR037993-2', NULL, NULL, NULL, NULL, 'PIRSR037993-2', NULL, NULL, NULL, 14),
(53844, NULL, 'PIRSR036893-51', NULL, NULL, NULL, NULL, 'PIRSR036893-51', NULL, NULL, NULL, 14),
(53845, NULL, 'PIRSR038925-1', NULL, NULL, NULL, NULL, 'PIRSR038925-1', NULL, NULL, NULL, 14),
(53846, NULL, 'PIRSR002520-4', NULL, NULL, NULL, NULL, 'PIRSR002520-4', NULL, NULL, NULL, 14),
(53847, NULL, 'PIRSR004789-51', NULL, NULL, NULL, NULL, 'PIRSR004789-51', NULL, NULL, NULL, 14),
(53848, NULL, 'PIRSR000429-2', NULL, NULL, NULL, NULL, 'PIRSR000429-2', NULL, NULL, NULL, 14),
(53849, NULL, 'PIRSR004682-1', NULL, NULL, NULL, NULL, 'PIRSR004682-1', NULL, NULL, NULL, 14),
(53850, NULL, 'PIRSR633199-1', NULL, NULL, NULL, NULL, 'PIRSR633199-1', NULL, NULL, NULL, 14),
(53851, NULL, 'PIRSR600246-2', NULL, NULL, NULL, NULL, 'PIRSR600246-2', NULL, NULL, NULL, 14),
(53852, NULL, 'PIRSR607702-1', NULL, NULL, NULL, NULL, 'PIRSR607702-1', NULL, NULL, NULL, 14),
(53853, NULL, 'PIRSR500134-2', NULL, NULL, NULL, NULL, 'PIRSR500134-2', NULL, NULL, NULL, 14),
(53854, NULL, 'PIRSR000192-2', NULL, NULL, NULL, NULL, 'PIRSR000192-2', NULL, NULL, NULL, 14),
(53855, NULL, 'PIRSR017632-1', NULL, NULL, NULL, NULL, 'PIRSR017632-1', NULL, NULL, NULL, 14),
(53856, NULL, 'PIRSR608356-50', NULL, NULL, NULL, NULL, 'PIRSR608356-50', NULL, NULL, NULL, 14),
(53857, NULL, 'PIRSR001145-3', NULL, NULL, NULL, NULL, 'PIRSR001145-3', NULL, NULL, NULL, 14),
(53858, NULL, 'PIRSR000112-3', NULL, NULL, NULL, NULL, 'PIRSR000112-3', NULL, NULL, NULL, 14),
(53859, NULL, 'PIRSR630560-2', NULL, NULL, NULL, NULL, 'PIRSR630560-2', NULL, NULL, NULL, 14),
(53860, NULL, 'PIRSR005557-2', NULL, NULL, NULL, NULL, 'PIRSR005557-2', NULL, NULL, NULL, 14),
(53861, NULL, 'PIRSR018077-1', NULL, NULL, NULL, NULL, 'PIRSR018077-1', NULL, NULL, NULL, 14),
(53862, NULL, 'PIRSR037249-2', NULL, NULL, NULL, NULL, 'PIRSR037249-2', NULL, NULL, NULL, 14),
(53863, NULL, 'PIRSR000354-1', NULL, NULL, NULL, NULL, 'PIRSR000354-1', NULL, NULL, NULL, 14),
(53864, NULL, 'PIRSR000606-50', NULL, NULL, NULL, NULL, 'PIRSR000606-50', NULL, NULL, NULL, 14),
(53865, NULL, 'PIRSR002004-1', NULL, NULL, NULL, NULL, 'PIRSR002004-1', NULL, NULL, NULL, 14),
(53866, NULL, 'PIRSR001359-1', NULL, NULL, NULL, NULL, 'PIRSR001359-1', NULL, NULL, NULL, 14),
(53867, NULL, 'PIRSR026534-2', NULL, NULL, NULL, NULL, 'PIRSR026534-2', NULL, NULL, NULL, 14);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53868, NULL, 'PIRSR000118-3', NULL, NULL, NULL, NULL, 'PIRSR000118-3', NULL, NULL, NULL, 14),
(53869, NULL, 'PIRSR000705-1', NULL, NULL, NULL, NULL, 'PIRSR000705-1', NULL, NULL, NULL, 14),
(53870, NULL, 'PIRSR018249-1', NULL, NULL, NULL, NULL, 'PIRSR018249-1', NULL, NULL, NULL, 14),
(53871, NULL, 'PIRSR016323-2', NULL, NULL, NULL, NULL, 'PIRSR016323-2', NULL, NULL, NULL, 14),
(53872, NULL, 'PIRSR000095-1', NULL, NULL, NULL, NULL, 'PIRSR000095-1', NULL, NULL, NULL, 14),
(53873, NULL, 'PIRSR000178-1', NULL, NULL, NULL, NULL, 'PIRSR000178-1', NULL, NULL, NULL, 14),
(53874, NULL, 'PIRSR600223-1', NULL, NULL, NULL, NULL, 'PIRSR600223-1', NULL, NULL, NULL, 14),
(53875, NULL, 'PIRSR014972-2', NULL, NULL, NULL, NULL, 'PIRSR014972-2', NULL, NULL, NULL, 14),
(53876, NULL, 'PIRSR001013-1', NULL, NULL, NULL, NULL, 'PIRSR001013-1', NULL, NULL, NULL, 14),
(53877, NULL, 'PIRSR036289-51', NULL, NULL, NULL, NULL, 'PIRSR036289-51', NULL, NULL, NULL, 14),
(53878, NULL, 'PIRSR629580-2', NULL, NULL, NULL, NULL, 'PIRSR629580-2', NULL, NULL, NULL, 14),
(53879, NULL, 'PIRSR037177-3', NULL, NULL, NULL, NULL, 'PIRSR037177-3', NULL, NULL, NULL, 14),
(53880, NULL, 'PIRSR500951-3', NULL, NULL, NULL, NULL, 'PIRSR500951-3', NULL, NULL, NULL, 14),
(53881, NULL, 'PIRSR000604-1', NULL, NULL, NULL, NULL, 'PIRSR000604-1', NULL, NULL, NULL, 14),
(53882, NULL, 'PIRSR015693-50', NULL, NULL, NULL, NULL, 'PIRSR015693-50', NULL, NULL, NULL, 14),
(53883, NULL, 'PIRSR001415-4', NULL, NULL, NULL, NULL, 'PIRSR001415-4', NULL, NULL, NULL, 14),
(53884, NULL, 'PIRSR002551-3', NULL, NULL, NULL, NULL, 'PIRSR002551-3', NULL, NULL, NULL, 14),
(53885, NULL, 'PIRSR004532-1', NULL, NULL, NULL, NULL, 'PIRSR004532-1', NULL, NULL, NULL, 14),
(53886, NULL, 'PIRSR634178-1', NULL, NULL, NULL, NULL, 'PIRSR634178-1', NULL, NULL, NULL, 14),
(53887, NULL, 'PIRSR016308-4', NULL, NULL, NULL, NULL, 'PIRSR016308-4', NULL, NULL, NULL, 14),
(53888, NULL, 'PIRSR601465-50', NULL, NULL, NULL, NULL, 'PIRSR601465-50', NULL, NULL, NULL, 14),
(53889, NULL, 'PIRSR000454-2', NULL, NULL, NULL, NULL, 'PIRSR000454-2', NULL, NULL, NULL, 14),
(53890, NULL, 'PIRSR021331-1', NULL, NULL, NULL, NULL, 'PIRSR021331-1', NULL, NULL, NULL, 14),
(53891, NULL, 'PIRSR006779-1', NULL, NULL, NULL, NULL, 'PIRSR006779-1', NULL, NULL, NULL, 14),
(53892, NULL, 'PIRSR001111-50', NULL, NULL, NULL, NULL, 'PIRSR001111-50', NULL, NULL, NULL, 14),
(53893, NULL, 'PIRSR002305-1', NULL, NULL, NULL, NULL, 'PIRSR002305-1', NULL, NULL, NULL, 14),
(53894, NULL, 'PIRSR021497-2', NULL, NULL, NULL, NULL, 'PIRSR021497-2', NULL, NULL, NULL, 14),
(53895, NULL, 'PIRSR633040-2', NULL, NULL, NULL, NULL, 'PIRSR633040-2', NULL, NULL, NULL, 14),
(53896, NULL, 'PIRSR036489-2', NULL, NULL, NULL, NULL, 'PIRSR036489-2', NULL, NULL, NULL, 14),
(53897, NULL, 'PIRSR002026-1', NULL, NULL, NULL, NULL, 'PIRSR002026-1', NULL, NULL, NULL, 14),
(53898, NULL, 'PIRSR038941-1', NULL, NULL, NULL, NULL, 'PIRSR038941-1', NULL, NULL, NULL, 14),
(53899, NULL, 'PIRSR003726-3', NULL, NULL, NULL, NULL, 'PIRSR003726-3', NULL, NULL, NULL, 14),
(53900, NULL, 'PIRSR037299-2', NULL, NULL, NULL, NULL, 'PIRSR037299-2', NULL, NULL, NULL, 14),
(53901, NULL, 'PIRSR620443-51', NULL, NULL, NULL, NULL, 'PIRSR620443-51', NULL, NULL, NULL, 14),
(53902, NULL, 'PIRSR019876-1', NULL, NULL, NULL, NULL, 'PIRSR019876-1', NULL, NULL, NULL, 14),
(53903, NULL, 'PIRSR006118-1', NULL, NULL, NULL, NULL, 'PIRSR006118-1', NULL, NULL, NULL, 14),
(53904, NULL, 'PIRSR608256-1', NULL, NULL, NULL, NULL, 'PIRSR608256-1', NULL, NULL, NULL, 14),
(53905, NULL, 'PIRSR039004-1', NULL, NULL, NULL, NULL, 'PIRSR039004-1', NULL, NULL, NULL, 14),
(53906, NULL, 'PIRSR000008-1', NULL, NULL, NULL, NULL, 'PIRSR000008-1', NULL, NULL, NULL, 14),
(53907, NULL, 'PIRSR001467-1', NULL, NULL, NULL, NULL, 'PIRSR001467-1', NULL, NULL, NULL, 14),
(53908, NULL, 'PIRSR628131-1', NULL, NULL, NULL, NULL, 'PIRSR628131-1', NULL, NULL, NULL, 14),
(53909, NULL, 'PIRSR016616-1', NULL, NULL, NULL, NULL, 'PIRSR016616-1', NULL, NULL, NULL, 14),
(53910, NULL, 'PIRSR000624-2', NULL, NULL, NULL, NULL, 'PIRSR000624-2', NULL, NULL, NULL, 14);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53911, NULL, 'PIRSR038172-1', NULL, NULL, NULL, NULL, 'PIRSR038172-1', NULL, NULL, NULL, 14),
(53912, NULL, 'PIRSR000087-50', NULL, NULL, NULL, NULL, 'PIRSR000087-50', NULL, NULL, NULL, 14),
(53913, NULL, 'PIRSR001097-50', NULL, NULL, NULL, NULL, 'PIRSR001097-50', NULL, NULL, NULL, 14),
(53914, NULL, 'PIRSR036960-2', NULL, NULL, NULL, NULL, 'PIRSR036960-2', NULL, NULL, NULL, 14),
(53915, NULL, 'PIRSR001400-2', NULL, NULL, NULL, NULL, 'PIRSR001400-2', NULL, NULL, NULL, 14),
(53916, NULL, 'PIRSR006614-1', NULL, NULL, NULL, NULL, 'PIRSR006614-1', NULL, NULL, NULL, 14),
(53917, NULL, 'PIRSR633019-50', NULL, NULL, NULL, NULL, 'PIRSR633019-50', NULL, NULL, NULL, 14),
(53918, NULL, 'PIRSR000477-2', NULL, NULL, NULL, NULL, 'PIRSR000477-2', NULL, NULL, NULL, 14),
(53919, NULL, 'PIRSR000099-4', NULL, NULL, NULL, NULL, 'PIRSR000099-4', NULL, NULL, NULL, 14),
(53920, NULL, 'PIRSR017689-50', NULL, NULL, NULL, NULL, 'PIRSR017689-50', NULL, NULL, NULL, 14),
(53921, NULL, 'PIRSR001434-2', NULL, NULL, NULL, NULL, 'PIRSR001434-2', NULL, NULL, NULL, 14),
(53922, NULL, 'PIRSR000137-2', NULL, NULL, NULL, NULL, 'PIRSR000137-2', NULL, NULL, NULL, 14),
(53923, NULL, 'PIRSR002703-1', NULL, NULL, NULL, NULL, 'PIRSR002703-1', NULL, NULL, NULL, 14),
(53924, NULL, 'PIRSR625650-3', NULL, NULL, NULL, NULL, 'PIRSR625650-3', NULL, NULL, NULL, 14),
(53925, NULL, 'PIRSR000485-1', NULL, NULL, NULL, NULL, 'PIRSR000485-1', NULL, NULL, NULL, 14),
(53926, NULL, 'PIRSR036684-1', NULL, NULL, NULL, NULL, 'PIRSR036684-1', NULL, NULL, NULL, 14),
(53927, NULL, 'PIRSR003817-2', NULL, NULL, NULL, NULL, 'PIRSR003817-2', NULL, NULL, NULL, 14),
(53928, NULL, 'PIRSR009400-2', NULL, NULL, NULL, NULL, 'PIRSR009400-2', NULL, NULL, NULL, 14),
(53929, NULL, 'PIRSR002096-1', NULL, NULL, NULL, NULL, 'PIRSR002096-1', NULL, NULL, NULL, 14),
(53930, NULL, 'PIRSR036561-1', NULL, NULL, NULL, NULL, 'PIRSR036561-1', NULL, NULL, NULL, 14),
(53931, NULL, 'PIRSR000388-2', NULL, NULL, NULL, NULL, 'PIRSR000388-2', NULL, NULL, NULL, 14),
(53932, NULL, 'PIRSR617763-1', NULL, NULL, NULL, NULL, 'PIRSR617763-1', NULL, NULL, NULL, 14),
(53933, NULL, 'PIRSR000296-2', NULL, NULL, NULL, NULL, 'PIRSR000296-2', NULL, NULL, NULL, 14),
(53934, NULL, 'PIRSR000666-1', NULL, NULL, NULL, NULL, 'PIRSR000666-1', NULL, NULL, NULL, 14),
(53935, NULL, 'PIRSR000939-1', NULL, NULL, NULL, NULL, 'PIRSR000939-1', NULL, NULL, NULL, 14),
(53936, NULL, 'PIRSR000167-1', NULL, NULL, NULL, NULL, 'PIRSR000167-1', NULL, NULL, NULL, 14),
(53937, NULL, 'PIRSR000290-3', NULL, NULL, NULL, NULL, 'PIRSR000290-3', NULL, NULL, NULL, 14),
(53938, NULL, 'PIRSR028973-1', NULL, NULL, NULL, NULL, 'PIRSR028973-1', NULL, NULL, NULL, 14),
(53939, NULL, 'PIRSR006246-1', NULL, NULL, NULL, NULL, 'PIRSR006246-1', NULL, NULL, NULL, 14),
(53940, NULL, 'PIRSR037014-2', NULL, NULL, NULL, NULL, 'PIRSR037014-2', NULL, NULL, NULL, 14),
(53941, NULL, 'PIRSR000970-2', NULL, NULL, NULL, NULL, 'PIRSR000970-2', NULL, NULL, NULL, 14),
(53942, NULL, 'PIRSR000005-1', NULL, NULL, NULL, NULL, 'PIRSR000005-1', NULL, NULL, NULL, 14),
(53943, NULL, 'PIRSR631245-3', NULL, NULL, NULL, NULL, 'PIRSR631245-3', NULL, NULL, NULL, 14),
(53944, NULL, 'PIRSR638639-50', NULL, NULL, NULL, NULL, 'PIRSR638639-50', NULL, NULL, NULL, 14),
(53945, NULL, 'PIRSR016184-1', NULL, NULL, NULL, NULL, 'PIRSR016184-1', NULL, NULL, NULL, 14),
(53946, NULL, 'PIRSR629890-4', NULL, NULL, NULL, NULL, 'PIRSR629890-4', NULL, NULL, NULL, 14),
(53947, NULL, 'PIRSR037393-1', NULL, NULL, NULL, NULL, 'PIRSR037393-1', NULL, NULL, NULL, 14),
(53948, NULL, 'PIRSR617821-1', NULL, NULL, NULL, NULL, 'PIRSR617821-1', NULL, NULL, NULL, 14),
(53949, NULL, 'PIRSR631245-2', NULL, NULL, NULL, NULL, 'PIRSR631245-2', NULL, NULL, NULL, 14),
(53950, NULL, 'PIRSR001500-1', NULL, NULL, NULL, NULL, 'PIRSR001500-1', NULL, NULL, NULL, 14),
(53951, NULL, 'PIRSR633199-2', NULL, NULL, NULL, NULL, 'PIRSR633199-2', NULL, NULL, NULL, 14),
(53952, NULL, 'PIRSR001336-50', NULL, NULL, NULL, NULL, 'PIRSR001336-50', NULL, NULL, NULL, 14),
(53953, NULL, 'PIRSR628472-2', NULL, NULL, NULL, NULL, 'PIRSR628472-2', NULL, NULL, NULL, 14);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53954, NULL, 'PIRSR000412-50', NULL, NULL, NULL, NULL, 'PIRSR000412-50', NULL, NULL, NULL, 14),
(53955, NULL, 'PIRSR638639-51', NULL, NULL, NULL, NULL, 'PIRSR638639-51', NULL, NULL, NULL, 14),
(53956, NULL, 'PIRSR633508-2', NULL, NULL, NULL, NULL, 'PIRSR633508-2', NULL, NULL, NULL, 14),
(53957, NULL, 'PIRSR002520-3', NULL, NULL, NULL, NULL, 'PIRSR002520-3', NULL, NULL, NULL, 14),
(53958, NULL, 'PIRSR036639-1', NULL, NULL, NULL, NULL, 'PIRSR036639-1', NULL, NULL, NULL, 14),
(53959, NULL, 'PIRSR037861-1', NULL, NULL, NULL, NULL, 'PIRSR037861-1', NULL, NULL, NULL, 14),
(53960, NULL, 'PIRSR000290-2', NULL, NULL, NULL, NULL, 'PIRSR000290-2', NULL, NULL, NULL, 14),
(53961, NULL, 'PIRSR001373-3', NULL, NULL, NULL, NULL, 'PIRSR001373-3', NULL, NULL, NULL, 14),
(53962, NULL, 'PIRSR000014-2', NULL, NULL, NULL, NULL, 'PIRSR000014-2', NULL, NULL, NULL, 14),
(53963, NULL, 'PIRSR017205-1', NULL, NULL, NULL, NULL, 'PIRSR017205-1', NULL, NULL, NULL, 14),
(53964, NULL, 'PIRSR017267-2', NULL, NULL, NULL, NULL, 'PIRSR017267-2', NULL, NULL, NULL, 14),
(53965, NULL, 'PIRSR037736-1', NULL, NULL, NULL, NULL, 'PIRSR037736-1', NULL, NULL, NULL, 14),
(53966, NULL, 'PIRSR601286-50', NULL, NULL, NULL, NULL, 'PIRSR601286-50', NULL, NULL, NULL, 14),
(53967, NULL, 'PIRSR001191-1', NULL, NULL, NULL, NULL, 'PIRSR001191-1', NULL, NULL, NULL, 14),
(53968, NULL, 'PIRSR600407-1', NULL, NULL, NULL, NULL, 'PIRSR600407-1', NULL, NULL, NULL, 14),
(53969, NULL, 'PIRSR001941-1', NULL, NULL, NULL, NULL, 'PIRSR001941-1', NULL, NULL, NULL, 14),
(53970, NULL, 'PIRSR630220-2', NULL, NULL, NULL, NULL, 'PIRSR630220-2', NULL, NULL, NULL, 14),
(53971, NULL, 'PIRSR018001-2', NULL, NULL, NULL, NULL, 'PIRSR018001-2', NULL, NULL, NULL, 14),
(53972, NULL, 'PIRSR000724-1', NULL, NULL, NULL, NULL, 'PIRSR000724-1', NULL, NULL, NULL, 14),
(53973, NULL, 'PIRSR016521-1', NULL, NULL, NULL, NULL, 'PIRSR016521-1', NULL, NULL, NULL, 14),
(53974, NULL, 'PIRSR007828-1', NULL, NULL, NULL, NULL, 'PIRSR007828-1', NULL, NULL, NULL, 14),
(53975, NULL, 'PIRSR002498-2', NULL, NULL, NULL, NULL, 'PIRSR002498-2', NULL, NULL, NULL, 14),
(53976, NULL, 'PIRSR011502-1', NULL, NULL, NULL, NULL, 'PIRSR011502-1', NULL, NULL, NULL, 14),
(53977, NULL, 'PIRSR500135-3', NULL, NULL, NULL, NULL, 'PIRSR500135-3', NULL, NULL, NULL, 14),
(53978, NULL, 'PIRSR000853-2', NULL, NULL, NULL, NULL, 'PIRSR000853-2', NULL, NULL, NULL, 14),
(53979, NULL, 'PIRSR000390-2', NULL, NULL, NULL, NULL, 'PIRSR000390-2', NULL, NULL, NULL, 14),
(53980, NULL, 'PIRSR000632-1', NULL, NULL, NULL, NULL, 'PIRSR000632-1', NULL, NULL, NULL, 14),
(53981, NULL, 'PIRSR000390-1', NULL, NULL, NULL, NULL, 'PIRSR000390-1', NULL, NULL, NULL, 14),
(53982, NULL, 'PIRSR001924-1', NULL, NULL, NULL, NULL, 'PIRSR001924-1', NULL, NULL, NULL, 14),
(53983, NULL, 'PIRSR016496-1', NULL, NULL, NULL, NULL, 'PIRSR016496-1', NULL, NULL, NULL, 14),
(53984, NULL, 'PIRSR627185-53', NULL, NULL, NULL, NULL, 'PIRSR627185-53', NULL, NULL, NULL, 14),
(53985, NULL, 'PIRSR003817-1', NULL, NULL, NULL, NULL, 'PIRSR003817-1', NULL, NULL, NULL, 14),
(53986, NULL, 'PIRSR001373-2', NULL, NULL, NULL, NULL, 'PIRSR001373-2', NULL, NULL, NULL, 14),
(53987, NULL, 'PIRSR001620-1', NULL, NULL, NULL, NULL, 'PIRSR001620-1', NULL, NULL, NULL, 14),
(53988, NULL, 'PIRSR601621-2', NULL, NULL, NULL, NULL, 'PIRSR601621-2', NULL, NULL, NULL, 14),
(53989, NULL, 'PIRSR003048-2', NULL, NULL, NULL, NULL, 'PIRSR003048-2', NULL, NULL, NULL, 14),
(53990, NULL, 'PIRSR036517-2', NULL, NULL, NULL, NULL, 'PIRSR036517-2', NULL, NULL, NULL, 14),
(53991, NULL, 'PIRSR000159-2', NULL, NULL, NULL, NULL, 'PIRSR000159-2', NULL, NULL, NULL, 14),
(53992, NULL, 'PIRSR000385-2', NULL, NULL, NULL, NULL, 'PIRSR000385-2', NULL, NULL, NULL, 14),
(53993, NULL, 'PIRSR600407-2', NULL, NULL, NULL, NULL, 'PIRSR600407-2', NULL, NULL, NULL, 14),
(53994, NULL, 'PIRSR018250-4', NULL, NULL, NULL, NULL, 'PIRSR018250-4', NULL, NULL, NULL, 14),
(53995, NULL, 'PIRSR037911-1', NULL, NULL, NULL, NULL, 'PIRSR037911-1', NULL, NULL, NULL, 14),
(53996, NULL, 'PIRSR000047-1', NULL, NULL, NULL, NULL, 'PIRSR000047-1', NULL, NULL, NULL, 14);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(53997, NULL, 'PIRSR005713-3', NULL, NULL, NULL, NULL, 'PIRSR005713-3', NULL, NULL, NULL, 14),
(53998, NULL, 'PIRSR009283-1', NULL, NULL, NULL, NULL, 'PIRSR009283-1', NULL, NULL, NULL, 14),
(53999, NULL, 'PIRSR028937-2', NULL, NULL, NULL, NULL, 'PIRSR028937-2', NULL, NULL, NULL, 14),
(54000, NULL, 'PIRSR000617-4', NULL, NULL, NULL, NULL, 'PIRSR000617-4', NULL, NULL, NULL, 14),
(54001, NULL, 'PIRSR628651-51', NULL, NULL, NULL, NULL, 'PIRSR628651-51', NULL, NULL, NULL, 14),
(54002, NULL, 'PIRSR017267-1', NULL, NULL, NULL, NULL, 'PIRSR017267-1', NULL, NULL, NULL, 14),
(54003, NULL, 'PIRSR005384-2', NULL, NULL, NULL, NULL, 'PIRSR005384-2', NULL, NULL, NULL, 14),
(54004, NULL, 'PIRSR036497-1', NULL, NULL, NULL, NULL, 'PIRSR036497-1', NULL, NULL, NULL, 14),
(54005, NULL, 'PIRSR639314-50', NULL, NULL, NULL, NULL, 'PIRSR639314-50', NULL, NULL, NULL, 14),
(54006, NULL, 'PIRSR000624-1', NULL, NULL, NULL, NULL, 'PIRSR000624-1', NULL, NULL, NULL, 14),
(54007, NULL, 'PIRSR003059-1', NULL, NULL, NULL, NULL, 'PIRSR003059-1', NULL, NULL, NULL, 14),
(54008, NULL, 'PIRSR611166-50', NULL, NULL, NULL, NULL, 'PIRSR611166-50', NULL, NULL, NULL, 14),
(54009, NULL, 'PIRSR037014-1', NULL, NULL, NULL, NULL, 'PIRSR037014-1', NULL, NULL, NULL, 14),
(54010, NULL, 'PIRSR036489-1', NULL, NULL, NULL, NULL, 'PIRSR036489-1', NULL, NULL, NULL, 14),
(54011, NULL, 'PIRSR600823-4', NULL, NULL, NULL, NULL, 'PIRSR600823-4', NULL, NULL, NULL, 14),
(54012, NULL, 'PIRSR000098-2', NULL, NULL, NULL, NULL, 'PIRSR000098-2', NULL, NULL, NULL, 14),
(54013, NULL, 'PIRSR016616-2', NULL, NULL, NULL, NULL, 'PIRSR016616-2', NULL, NULL, NULL, 14),
(54014, NULL, 'PIRSR002486-1', NULL, NULL, NULL, NULL, 'PIRSR002486-1', NULL, NULL, NULL, 14),
(54015, NULL, 'PIRSR030150-1', NULL, NULL, NULL, NULL, 'PIRSR030150-1', NULL, NULL, NULL, 14),
(54016, NULL, 'PIRSR005091-2', NULL, NULL, NULL, NULL, 'PIRSR005091-2', NULL, NULL, NULL, 14),
(54017, NULL, 'PIRSR039020-50', NULL, NULL, NULL, NULL, 'PIRSR039020-50', NULL, NULL, NULL, 14),
(54018, NULL, 'PIRSR620405-1', NULL, NULL, NULL, NULL, 'PIRSR620405-1', NULL, NULL, NULL, 14),
(54019, NULL, 'PIRSR627057-1', NULL, NULL, NULL, NULL, 'PIRSR627057-1', NULL, NULL, NULL, 14),
(54020, NULL, 'PIRSR000454-1', NULL, NULL, NULL, NULL, 'PIRSR000454-1', NULL, NULL, NULL, 14),
(54021, NULL, 'PIRSR034515-1', NULL, NULL, NULL, NULL, 'PIRSR034515-1', NULL, NULL, NULL, 14),
(54022, NULL, 'PIRSR500951-2', NULL, NULL, NULL, NULL, 'PIRSR500951-2', NULL, NULL, NULL, 14),
(54023, NULL, 'PIRSR037942-1', NULL, NULL, NULL, NULL, 'PIRSR037942-1', NULL, NULL, NULL, 14),
(54024, NULL, 'PIRSR036684-2', NULL, NULL, NULL, NULL, 'PIRSR036684-2', NULL, NULL, NULL, 14),
(54025, NULL, 'PIRSR015244-50', NULL, NULL, NULL, NULL, 'PIRSR015244-50', NULL, NULL, NULL, 14),
(54026, NULL, 'PIRSR037945-1', NULL, NULL, NULL, NULL, 'PIRSR037945-1', NULL, NULL, NULL, 14),
(54027, NULL, 'PIRSR637571-53', NULL, NULL, NULL, NULL, 'PIRSR637571-53', NULL, NULL, NULL, 14),
(54028, NULL, 'PIRSR001060-1', NULL, NULL, NULL, NULL, 'PIRSR001060-1', NULL, NULL, NULL, 14),
(54029, NULL, 'PIRSR004930-1', NULL, NULL, NULL, NULL, 'PIRSR004930-1', NULL, NULL, NULL, 14),
(54030, NULL, 'PIRSR000331-1', NULL, NULL, NULL, NULL, 'PIRSR000331-1', NULL, NULL, NULL, 14),
(54031, NULL, 'PIRSR001141-1', NULL, NULL, NULL, NULL, 'PIRSR001141-1', NULL, NULL, NULL, 14),
(54032, NULL, 'PIRSR000260-4', NULL, NULL, NULL, NULL, 'PIRSR000260-4', NULL, NULL, NULL, 14),
(54033, NULL, 'PIRSR000137-3', NULL, NULL, NULL, NULL, 'PIRSR000137-3', NULL, NULL, NULL, 14),
(54034, NULL, 'PIRSR637641-50', NULL, NULL, NULL, NULL, 'PIRSR637641-50', NULL, NULL, NULL, 14),
(54035, NULL, 'PIRSR038945-3', NULL, NULL, NULL, NULL, 'PIRSR038945-3', NULL, NULL, NULL, 14),
(54036, NULL, 'PIRSR005894-2', NULL, NULL, NULL, NULL, 'PIRSR005894-2', NULL, NULL, NULL, 14),
(54037, NULL, 'PIRSR036687-2', NULL, NULL, NULL, NULL, 'PIRSR036687-2', NULL, NULL, NULL, 14),
(54038, NULL, 'PIRSR623088-1', NULL, NULL, NULL, NULL, 'PIRSR623088-1', NULL, NULL, NULL, 14),
(54039, NULL, 'PIRSR036665-50', NULL, NULL, NULL, NULL, 'PIRSR036665-50', NULL, NULL, NULL, 14);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54040, NULL, 'PIRSR001400-1', NULL, NULL, NULL, NULL, 'PIRSR001400-1', NULL, NULL, NULL, 14),
(54041, NULL, 'PIRSR038928-2', NULL, NULL, NULL, NULL, 'PIRSR038928-2', NULL, NULL, NULL, 14),
(54042, NULL, 'PIRSR500948-1', NULL, NULL, NULL, NULL, 'PIRSR500948-1', NULL, NULL, NULL, 14),
(54043, NULL, 'PIRSR016429-50', NULL, NULL, NULL, NULL, 'PIRSR016429-50', NULL, NULL, NULL, 14),
(54044, NULL, 'PIRSR000362-1', NULL, NULL, NULL, NULL, 'PIRSR000362-1', NULL, NULL, NULL, 14),
(54045, NULL, 'PIRSR000619-2', NULL, NULL, NULL, NULL, 'PIRSR000619-2', NULL, NULL, NULL, 14),
(54046, NULL, 'PIRSR629580-3', NULL, NULL, NULL, NULL, 'PIRSR629580-3', NULL, NULL, NULL, 14),
(54047, NULL, 'PIRSR605626-50', NULL, NULL, NULL, NULL, 'PIRSR605626-50', NULL, NULL, NULL, 14),
(54048, NULL, 'PIRSR003170-1', NULL, NULL, NULL, NULL, 'PIRSR003170-1', NULL, NULL, NULL, 14),
(54049, NULL, 'PIRSR000376-1', NULL, NULL, NULL, NULL, 'PIRSR000376-1', NULL, NULL, NULL, 14),
(54050, NULL, 'PIRSR001247-1', NULL, NULL, NULL, NULL, 'PIRSR001247-1', NULL, NULL, NULL, 14),
(54051, NULL, 'PIRSR000192-1', NULL, NULL, NULL, NULL, 'PIRSR000192-1', NULL, NULL, NULL, 14),
(54052, NULL, 'PIRSR000242-1', NULL, NULL, NULL, NULL, 'PIRSR000242-1', NULL, NULL, NULL, 14),
(54053, NULL, 'PIRSR039133-3', NULL, NULL, NULL, NULL, 'PIRSR039133-3', NULL, NULL, NULL, 14),
(54054, NULL, 'PIRSR500134-1', NULL, NULL, NULL, NULL, 'PIRSR500134-1', NULL, NULL, NULL, 14),
(54055, NULL, 'PIRSR036918-51', NULL, NULL, NULL, NULL, 'PIRSR036918-51', NULL, NULL, NULL, 14),
(54056, NULL, 'PIRSR016527-2', NULL, NULL, NULL, NULL, 'PIRSR016527-2', NULL, NULL, NULL, 14),
(54057, NULL, 'PIRSR000451-1', NULL, NULL, NULL, NULL, 'PIRSR000451-1', NULL, NULL, NULL, 14),
(54058, NULL, 'PIRSR015753-1', NULL, NULL, NULL, NULL, 'PIRSR015753-1', NULL, NULL, NULL, 14),
(54059, NULL, 'PIRSR629576-6', NULL, NULL, NULL, NULL, 'PIRSR629576-6', NULL, NULL, NULL, 14),
(54060, NULL, 'PIRSR000660-1', NULL, NULL, NULL, NULL, 'PIRSR000660-1', NULL, NULL, NULL, 14),
(54061, NULL, 'PIRSR036289-50', NULL, NULL, NULL, NULL, 'PIRSR036289-50', NULL, NULL, NULL, 14),
(54062, NULL, 'PIRSR006386-2', NULL, NULL, NULL, NULL, 'PIRSR006386-2', NULL, NULL, NULL, 14),
(54063, NULL, 'PIRSR630560-1', NULL, NULL, NULL, NULL, 'PIRSR630560-1', NULL, NULL, NULL, 14),
(54064, NULL, 'PIRSR000187-2', NULL, NULL, NULL, NULL, 'PIRSR000187-2', NULL, NULL, NULL, 14),
(54065, NULL, 'PIRSR016323-1', NULL, NULL, NULL, NULL, 'PIRSR016323-1', NULL, NULL, NULL, 14),
(54066, NULL, 'PIRSR004532-2', NULL, NULL, NULL, NULL, 'PIRSR004532-2', NULL, NULL, NULL, 14),
(54067, NULL, 'PIRSR000075-1', NULL, NULL, NULL, NULL, 'PIRSR000075-1', NULL, NULL, NULL, 14),
(54068, NULL, 'PIRSR000262-2', NULL, NULL, NULL, NULL, 'PIRSR000262-2', NULL, NULL, NULL, 14),
(54069, NULL, 'PIRSR000808-1', NULL, NULL, NULL, NULL, 'PIRSR000808-1', NULL, NULL, NULL, 14),
(54070, NULL, 'PIRSR037404-1', NULL, NULL, NULL, NULL, 'PIRSR037404-1', NULL, NULL, NULL, 14),
(54071, NULL, 'PIRSR608734-50', NULL, NULL, NULL, NULL, 'PIRSR608734-50', NULL, NULL, NULL, 14),
(54072, NULL, 'PIRSR001997-1', NULL, NULL, NULL, NULL, 'PIRSR001997-1', NULL, NULL, NULL, 14),
(54073, NULL, 'PIRSR001362-3', NULL, NULL, NULL, NULL, 'PIRSR001362-3', NULL, NULL, NULL, 14),
(54074, NULL, 'PIRSR037215-2', NULL, NULL, NULL, NULL, 'PIRSR037215-2', NULL, NULL, NULL, 14),
(54075, NULL, 'PIRSR605792-51', NULL, NULL, NULL, NULL, 'PIRSR605792-51', NULL, NULL, NULL, 14),
(54076, NULL, 'PIRSR029256-1', NULL, NULL, NULL, NULL, 'PIRSR029256-1', NULL, NULL, NULL, 14),
(54077, NULL, 'PIRSR000103-2', NULL, NULL, NULL, NULL, 'PIRSR000103-2', NULL, NULL, NULL, 14),
(54078, NULL, 'PIRSR005378-1', NULL, NULL, NULL, NULL, 'PIRSR005378-1', NULL, NULL, NULL, 14),
(54079, NULL, 'PIRSR037471-1', NULL, NULL, NULL, NULL, 'PIRSR037471-1', NULL, NULL, NULL, 14),
(54080, NULL, 'PIRSR026534-1', NULL, NULL, NULL, NULL, 'PIRSR026534-1', NULL, NULL, NULL, 14),
(54081, NULL, 'PIRSR000551-51', NULL, NULL, NULL, NULL, 'PIRSR000551-51', NULL, NULL, NULL, 14),
(54082, NULL, 'PIRSR600246-3', NULL, NULL, NULL, NULL, 'PIRSR600246-3', NULL, NULL, NULL, 14);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54083, NULL, 'PIRSR635711-50', NULL, NULL, NULL, NULL, 'PIRSR635711-50', NULL, NULL, NULL, 14),
(54084, NULL, 'PIRSR000095-2', NULL, NULL, NULL, NULL, 'PIRSR000095-2', NULL, NULL, NULL, 14),
(54085, NULL, 'PIRSR017632-2', NULL, NULL, NULL, NULL, 'PIRSR017632-2', NULL, NULL, NULL, 14),
(54086, NULL, 'PTHR31324', NULL, NULL, NULL, NULL, 'MORF4 FAMILY-ASSOCIATED PROTEIN 1-RELATED', NULL, NULL, 21941, 15),
(54087, NULL, 'PTHR33395:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54088, NULL, 'PTHR43586:SF8', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(54089, NULL, 'PTHR13554', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 5-RELATED', NULL, NULL, 19003, 15),
(54090, NULL, 'PTHR11037:SF17', NULL, NULL, NULL, NULL, 'GRAINYHEAD-LIKE PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(54091, NULL, 'PTHR31636:SF254', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', NULL, NULL, NULL, 15),
(54092, NULL, 'PTHR23430:SF298', NULL, NULL, NULL, NULL, 'HISTONE H2A.7-RELATED', NULL, NULL, NULL, 15),
(54093, NULL, 'PTHR31509:SF90', NULL, NULL, NULL, NULL, 'BNAANNG04190D PROTEIN', NULL, NULL, NULL, 15),
(54094, NULL, 'PTHR48055:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54095, NULL, 'PTHR31175:SF75', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(54096, NULL, 'PTHR11533:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG03367', NULL, NULL, NULL, 15),
(54097, NULL, 'PTHR37809', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S12 METHYLTHIOTRANSFERASE ACCESSORY FACTOR YCAO', NULL, NULL, NULL, 15),
(54098, NULL, 'PTHR22801:SF59', NULL, NULL, NULL, NULL, 'SI:DKEYP-75B4.10', NULL, NULL, NULL, 15),
(54099, NULL, 'PTHR23517', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN MDTM, PUTATIVE-RELATED-RELATED', NULL, NULL, NULL, 15),
(54100, NULL, 'PTHR11689:SF147', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(54101, NULL, 'PTHR11388:SF145', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', NULL, NULL, NULL, 15),
(54102, NULL, 'PTHR42810:SF1', NULL, NULL, NULL, NULL, 'PURINE PERMEASE YWDJ-RELATED', NULL, NULL, NULL, 15),
(54103, NULL, 'PTHR47641', NULL, NULL, NULL, NULL, 'PERIAXIN-LIKE', NULL, NULL, NULL, 15),
(54104, NULL, 'PTHR47181:SF1', NULL, NULL, NULL, NULL, 'OS07G0689950 PROTEIN', NULL, NULL, NULL, 15),
(54105, NULL, 'PTHR32039:SF7', NULL, NULL, NULL, NULL, 'COMPETENCE PROTEIN COMM', NULL, NULL, 7121, 15),
(54106, NULL, 'PTHR46288:SF36', NULL, NULL, NULL, NULL, 'BNAC04G49590D PROTEIN', NULL, NULL, NULL, 15),
(54107, NULL, 'PTHR10337:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 29241, 15),
(54108, NULL, 'PTHR33608:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54109, NULL, 'PTHR11431:SF100', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(54110, NULL, 'PTHR43689:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(54111, NULL, 'PTHR24422:SF23', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(54112, NULL, 'PTHR33147:SF108', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(54113, NULL, 'PTHR33214:SF50', NULL, NULL, NULL, NULL, 'LIPID-TRANSFER PROTEIN 2G, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(54114, NULL, 'PTHR31790:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54115, NULL, 'PTHR47965:SF27', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY, ASPARTIC PEPTIDASE DOMAIN, XYLANASE INHIBITOR-RELATED', NULL, NULL, NULL, 15),
(54116, NULL, 'PTHR24214:SF38', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN ZASP', NULL, NULL, NULL, 15),
(54117, NULL, 'PTHR31241:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54118, NULL, 'PTHR34827:SF2', NULL, NULL, NULL, NULL, 'INSULIN GROWTH FACTOR-LIKE FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(54119, NULL, 'PTHR45752:SF110', NULL, NULL, NULL, NULL, 'VOLUME-REGULATED ANION CHANNEL SUBUNIT LRRC8E', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54120, NULL, 'PTHR11615:SF304', NULL, NULL, NULL, NULL, 'IRON HYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(54121, NULL, 'PTHR13832:SF760', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 42-RELATED', NULL, NULL, NULL, 15),
(54122, NULL, 'PTHR15907:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54123, NULL, 'PTHR40625:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54124, NULL, 'PTHR24384:SF126', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 519', NULL, NULL, NULL, 15),
(54125, NULL, 'PTHR47993:SF87', NULL, NULL, NULL, NULL, 'BNAC01G33030D PROTEIN', NULL, NULL, NULL, 15),
(54126, NULL, 'PTHR20855:SF26', NULL, NULL, NULL, NULL, 'MONOCYTE TO MACROPHAGE DIFFERENTIATION FACTOR', NULL, NULL, NULL, 15),
(54127, NULL, 'PTHR43719:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54128, NULL, 'PTHR14392:SF2', NULL, NULL, NULL, NULL, 'NIBAN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(54129, NULL, 'PTHR35750:SF5', NULL, NULL, NULL, NULL, 'BNAA06G40400D PROTEIN', NULL, NULL, NULL, 15),
(54130, NULL, 'PTHR47956:SF61', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(54131, NULL, 'PTHR11003:SF158', NULL, NULL, NULL, NULL, 'BCDNA.GH04802', NULL, NULL, NULL, 15),
(54132, NULL, 'PTHR43039:SF1', NULL, NULL, NULL, NULL, 'SIGMA FACTOR SIGB REGULATION PROTEIN RSBQ', NULL, NULL, NULL, 15),
(54133, NULL, 'PTHR15079:SF10', NULL, NULL, NULL, NULL, 'DEATH ASSOCIATED PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(54134, NULL, 'PTHR10443:SF38', NULL, NULL, NULL, NULL, 'DIPEPTIDASE 1', NULL, NULL, 28710, 15),
(54135, NULL, 'PTHR33305:SF28', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 1 PROTEIN', NULL, NULL, NULL, 15),
(54136, NULL, 'PTHR43227:SF6', NULL, NULL, NULL, NULL, 'BLR3390 PROTEIN', NULL, NULL, NULL, 15),
(54137, NULL, 'PTHR34223:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54138, NULL, 'PTHR32448:SF23', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(54139, NULL, 'PTHR24286:SF279', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(54140, NULL, 'PTHR31071:SF36', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED', NULL, NULL, NULL, 15),
(54141, NULL, 'PTHR27007:SF356', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54142, NULL, 'PTHR23238:SF25', NULL, NULL, NULL, NULL, 'TATA-BINDING PROTEIN-ASSOCIATED FACTOR 2N', NULL, NULL, 13454, 15),
(54143, NULL, 'PTHR45988:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 36', NULL, NULL, NULL, 15),
(54144, NULL, 'PTHR21523:SF7', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', NULL, NULL, NULL, 15),
(54145, NULL, 'PTHR12924:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54146, NULL, 'PTHR22966:SF15', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(54147, NULL, 'PTHR13987', NULL, NULL, NULL, NULL, 'PROTEIN BEX4', NULL, NULL, 2625, 15),
(54148, NULL, 'PTHR31681:SF49', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF295)-RELATED', NULL, NULL, NULL, 15),
(54149, NULL, 'PTHR33736:SF18', NULL, NULL, NULL, NULL, 'F-BOX PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54150, NULL, 'PTHR15487', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 2-BINDING PROTEIN', NULL, NULL, 35989, 15),
(54151, NULL, 'PTHR34136', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 2844, 15),
(54152, NULL, 'PTHR37179:SF1', NULL, NULL, NULL, NULL, 'TRANSGLYCOSYLASE', NULL, NULL, NULL, 15),
(54153, NULL, 'PTHR43166:SF25', NULL, NULL, NULL, NULL, 'ARGININE TRANSPORT ATP-BINDING PROTEIN ARTP', NULL, NULL, NULL, 15),
(54154, NULL, 'PTHR32227:SF279', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 5', NULL, NULL, NULL, 15),
(54155, NULL, 'PTHR11260:SF345', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE GST 23-LIKE', NULL, NULL, NULL, 15),
(54156, NULL, 'PTHR21818', NULL, NULL, NULL, NULL, 'BC025462 PROTEIN', NULL, NULL, 26960, 15),
(54157, NULL, 'PTHR21645:SF7', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54158, NULL, 'PTHR42960:SF1', NULL, NULL, NULL, NULL, 'YCF46 PROTEIN', NULL, NULL, NULL, 15),
(54159, NULL, 'PTHR11177:SF144', NULL, NULL, NULL, NULL, 'CHITINASE 5', NULL, NULL, NULL, 15),
(54160, NULL, 'PTHR11351:SF88', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE, TYPE 1, CORE-RELATED', NULL, NULL, NULL, 15),
(54161, NULL, 'PTHR24377:SF860', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WECKLE', NULL, NULL, NULL, 15),
(54162, NULL, 'PTHR14167:SF41', NULL, NULL, NULL, NULL, 'NOSTRIN, ISOFORM H', NULL, NULL, NULL, 15),
(54163, NULL, 'PTHR24204:SF2', NULL, NULL, NULL, NULL, 'INSULIN GENE ENHANCER PROTEIN ISL-2', NULL, NULL, NULL, 15),
(54164, NULL, 'PTHR24343:SF476', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2F', NULL, NULL, NULL, 15),
(54165, NULL, 'PTHR14950:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54166, NULL, 'PTHR44675:SF1', NULL, NULL, NULL, NULL, 'PAK1 INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(54167, NULL, 'PTHR47445:SF1', NULL, NULL, NULL, NULL, 'OS08G0441400 PROTEIN', NULL, NULL, NULL, 15),
(54168, NULL, 'PTHR19229:SF216', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY A (ABC1), MEMBER 1A', NULL, NULL, NULL, 15),
(54169, NULL, 'PTHR20932:SF4', NULL, NULL, NULL, NULL, 'AND PUTATIVE PEPTIDOGLYCAN-BINDING DOMAIN-CONTAINING PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(54170, NULL, 'PTHR31705', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 30', NULL, NULL, 15002, 15),
(54171, NULL, 'PTHR46720:SF3', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01460)-RELATED', NULL, NULL, NULL, 15),
(54172, NULL, 'PTHR11863:SF199', NULL, NULL, NULL, NULL, 'BNAA03G17370D PROTEIN', NULL, NULL, NULL, 15),
(54173, NULL, 'PTHR36946:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG03444', NULL, NULL, NULL, 15),
(54174, NULL, 'PTHR31136:SF4', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN', NULL, NULL, NULL, 15),
(54175, NULL, 'PTHR34492:SF2', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(54176, NULL, 'PTHR47979:SF65', NULL, NULL, NULL, NULL, 'SMALL GTP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(54177, NULL, 'PTHR13780:SF110', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSCBSPB1-LIKE', NULL, NULL, NULL, 15),
(54178, NULL, 'PTHR10704', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(54179, NULL, 'PTHR43029:SF3', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 3', NULL, NULL, NULL, 15),
(54180, NULL, 'PTHR43816:SF3', NULL, NULL, NULL, NULL, 'NICOTINAMIDE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(54181, NULL, 'PTHR24377:SF710', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 805', NULL, NULL, NULL, 15),
(54182, NULL, 'PTHR23054:SF66', NULL, NULL, NULL, NULL, 'BNAA04G13840D PROTEIN', NULL, NULL, NULL, 15),
(54183, NULL, 'PTHR19957:SF235', NULL, NULL, NULL, NULL, 'SYNTAXIN-22', NULL, NULL, NULL, 15),
(54184, NULL, 'PTHR22967:SF96', NULL, NULL, NULL, NULL, 'AP2-ASSOCIATED PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(54185, NULL, 'PTHR13480:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CBLL2', NULL, NULL, NULL, 15),
(54186, NULL, 'PTHR12750:SF17', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE VIP2', NULL, NULL, NULL, 15),
(54187, NULL, 'PTHR30385:SF6', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGI', NULL, NULL, 11031, 15),
(54188, NULL, 'PTHR31286:SF86', NULL, NULL, NULL, NULL, 'BNAC03G44920D PROTEIN', NULL, NULL, NULL, 15),
(54189, NULL, 'PTHR24023:SF604', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(III) CHAIN', NULL, NULL, NULL, 15),
(54190, NULL, 'PTHR23015:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG17912', NULL, NULL, NULL, 15),
(54191, NULL, 'PTHR36068:SF1', NULL, NULL, NULL, NULL, 'OS01G0102500 PROTEIN', NULL, NULL, NULL, 15),
(54192, NULL, 'PTHR48018:SF120', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(54193, NULL, 'PTHR11082:SF5', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(16/17) SYNTHASE [NAD(P)(+)]-LIKE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54194, NULL, 'PTHR32153:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54195, NULL, 'PTHR33240:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54196, NULL, 'PTHR20937:SF4', NULL, NULL, NULL, NULL, 'MESOGENIN-1', NULL, NULL, NULL, 15),
(54197, NULL, 'PTHR31232:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54198, NULL, 'PTHR24170', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 27', NULL, NULL, NULL, 15),
(54199, NULL, 'PTHR10720:SF0', NULL, NULL, NULL, NULL, 'HEME OXYGENASE', NULL, NULL, NULL, 15),
(54200, NULL, 'PTHR43076:SF13', NULL, NULL, NULL, NULL, '5-AMINO-6-(D-RIBITYLAMINO)URACIL--L-TYROSINE 4-HYDROXYPHENYL TRANSFERASE', NULL, NULL, NULL, 15),
(54201, NULL, 'PTHR42637', NULL, NULL, NULL, NULL, 'TRNA-(MS[2]IO[6]A)-HYDROXYLASE', NULL, NULL, 9951, 15),
(54202, NULL, 'PTHR11188:SF76', NULL, NULL, NULL, NULL, 'PH-RESPONSE REGULATOR PROTEIN PALF/RIM8', NULL, NULL, NULL, 15),
(54203, NULL, 'PTHR20995', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 5', NULL, NULL, 39675, 15),
(54204, NULL, 'PTHR47512:SF6', NULL, NULL, NULL, NULL, 'CHALCONE-FLAVANONE ISOMERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(54205, NULL, 'PTHR43329:SF105', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(54206, NULL, 'PTHR14330', NULL, NULL, NULL, NULL, 'A-KINASE-INTERACTING PROTEIN 1', NULL, NULL, 31831, 15),
(54207, NULL, 'PTHR45974:SF60', NULL, NULL, NULL, NULL, 'OS02G0153700 PROTEIN', NULL, NULL, NULL, 15),
(54208, NULL, 'PTHR15011', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN F', NULL, NULL, 27565, 15),
(54209, NULL, 'PTHR10372:SF27', NULL, NULL, NULL, NULL, 'ADHERENS JUNCTION PROTEIN P120', NULL, NULL, 26812, 15),
(54210, NULL, 'PTHR12959:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54211, NULL, 'PTHR30344', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', NULL, NULL, NULL, 15),
(54212, NULL, 'PTHR33074:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54213, NULL, 'PTHR18976', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN', NULL, NULL, NULL, 15),
(54214, NULL, 'PTHR10209:SF731', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54215, NULL, 'PTHR39944:SF3', NULL, NULL, NULL, NULL, 'METHIONINE RICH ARABINOGALACTAN', NULL, NULL, NULL, 15),
(54216, NULL, 'PTHR48065:SF7', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITOR 1', NULL, NULL, NULL, 15),
(54217, NULL, 'PTHR27008:SF395', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54218, NULL, 'PTHR23291:SF44', NULL, NULL, NULL, NULL, 'INHIBITOR OF APOPTOSIS-PROMOTING BAX1 PROTEIN', NULL, NULL, NULL, 15),
(54219, NULL, 'PTHR19143:SF348', NULL, NULL, NULL, NULL, 'TENASCIN-N', NULL, NULL, NULL, 15),
(54220, NULL, 'PTHR31675:SF39', NULL, NULL, NULL, NULL, 'BNAA09G31050D PROTEIN', NULL, NULL, NULL, 15),
(54221, NULL, 'PTHR43253:SF1', NULL, NULL, NULL, NULL, 'TRICORN PROTEASE HOMOLOG 2-RELATED', NULL, NULL, NULL, 15),
(54222, NULL, 'PTHR35936:SF26', NULL, NULL, NULL, NULL, 'PERIPLASMIC SUBSTRATE BINDING PROTEIN FAMILY 3', NULL, NULL, NULL, 15),
(54223, NULL, 'PTHR43353:SF5', NULL, NULL, NULL, NULL, 'SUCCINATE-SEMIALDEHYDE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(54224, NULL, 'PTHR10623:SF6', NULL, NULL, NULL, NULL, 'EB1, ISOFORM F-RELATED', NULL, NULL, NULL, 15),
(54225, NULL, 'PTHR31213:SF17', NULL, NULL, NULL, NULL, 'PR-10 TYPE PATHOGENESIS-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(54226, NULL, 'PTHR30094:SF6', NULL, NULL, NULL, NULL, 'TRYPANOTHIONE SYNTHETASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54227, NULL, 'PTHR47977:SF1', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABD2A', NULL, NULL, NULL, 15),
(54228, NULL, 'PTHR11938:SF91', NULL, NULL, NULL, NULL, 'NADPH:ADRENODOXIN OXIDOREDUCTASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(54229, NULL, 'PTHR14234:SF18', NULL, NULL, NULL, NULL, 'RIMS-BINDING PROTEIN 2', NULL, NULL, 29541, 15),
(54230, NULL, 'PTHR23322:SF57', NULL, NULL, NULL, NULL, 'SI:CH73-173P19.1', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54231, NULL, 'PTHR33618', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L53, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(54232, NULL, 'PTHR45621:SF167', NULL, NULL, NULL, NULL, 'BNAC05G10600D PROTEIN', NULL, NULL, NULL, 15),
(54233, NULL, 'PTHR11730:SF100', NULL, NULL, NULL, NULL, 'RH-LIKE PROTEIN IC', NULL, NULL, NULL, 15),
(54234, NULL, 'PTHR36770', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY FACTOR PSA3, CHLOROPLASTIC', NULL, NULL, 29491, 15),
(54235, NULL, 'PTHR26379:SF367', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54236, NULL, 'PTHR31639:SF46', NULL, NULL, NULL, NULL, 'OS04G0267600 PROTEIN', NULL, NULL, NULL, 15),
(54237, NULL, 'PTHR15127:SF29', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING ADAPTER PROTEIN E', NULL, NULL, 9077, 15),
(54238, NULL, 'PTHR10281:SF89', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE HEME/STEROID-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(54239, NULL, 'PTHR45647:SF107', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS FAMILY PROTEIN', NULL, NULL, NULL, 15),
(54240, NULL, 'PTHR21421', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR', NULL, NULL, 14603, 15),
(54241, NULL, 'PTHR32093:SF131', NULL, NULL, NULL, NULL, 'BNAC05G26270D PROTEIN', NULL, NULL, NULL, 15),
(54242, NULL, 'PTHR43811:SF39', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP53-LIKE', NULL, NULL, NULL, 15),
(54243, NULL, 'PTHR12316:SF19', NULL, NULL, NULL, NULL, 'NINJURIN-1', NULL, NULL, 18002, 15),
(54244, NULL, 'PTHR14705', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT BETA', NULL, NULL, 24483, 15),
(54245, NULL, 'PTHR15283:SF6', NULL, NULL, NULL, NULL, 'GREMLIN', NULL, NULL, NULL, 15),
(54246, NULL, 'PTHR43186', NULL, NULL, NULL, NULL, 'BLR3900 PROTEIN', NULL, NULL, NULL, 15),
(54247, NULL, 'PTHR48100:SF38', NULL, NULL, NULL, NULL, 'PHOSPHOHISTIDINE PHOSPHATASE SIXA', NULL, NULL, NULL, 15),
(54248, NULL, 'PTHR48049:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(54249, NULL, 'PTHR31558:SF16', NULL, NULL, NULL, NULL, 'DUF1336 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(54250, NULL, 'PTHR31561:SF83', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(54251, NULL, 'PTHR46162:SF40', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 12-LIKE', NULL, NULL, NULL, 15),
(54252, NULL, 'PTHR43434:SF3', NULL, NULL, NULL, NULL, 'GMP/IMP NUCLEOTIDASE YRFG', NULL, NULL, NULL, 15),
(54253, NULL, 'PTHR33735:SF9', NULL, NULL, NULL, NULL, 'OS04G0450600 PROTEIN', NULL, NULL, NULL, 15),
(54254, NULL, 'PTHR13098:SF5', NULL, NULL, NULL, NULL, 'WOLFRAM SYNDROME 1B (WOLFRAMIN)', NULL, NULL, NULL, 15),
(54255, NULL, 'PTHR12526:SF590', NULL, NULL, NULL, NULL, 'ALPHA-MALTOSE-1-PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(54256, NULL, 'PTHR45647:SF87', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 35-LIKE', NULL, NULL, NULL, 15),
(54257, NULL, 'PTHR22847:SF635', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 64', NULL, NULL, NULL, 15),
(54258, NULL, 'PTHR23226:SF61', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 165', NULL, NULL, NULL, 15),
(54259, NULL, 'PTHR31216:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-13', NULL, NULL, NULL, 15),
(54260, NULL, 'PTHR33463:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54261, NULL, 'PTHR31852:SF191', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOFAMILY PROTEIN', NULL, NULL, NULL, 15),
(54262, NULL, 'PTHR18952:SF235', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54263, NULL, 'PTHR43391:SF62', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(54264, NULL, 'PTHR10615:SF195', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(54265, NULL, 'PTHR35503:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0006M15.15 PROTEIN', NULL, NULL, NULL, 15),
(54266, NULL, 'PTHR22946:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG13057', NULL, NULL, NULL, 15),
(54267, NULL, 'PTHR45632:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54268, NULL, 'PTHR23107:SF25', NULL, NULL, NULL, NULL, 'SSXT PROTEIN (AMINO-TERMINAL REGION) PROTEIN', NULL, NULL, NULL, 15),
(54269, NULL, 'PTHR38048', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(54270, NULL, 'PTHR31221:SF176', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(54271, NULL, 'PTHR11567:SF145', NULL, NULL, NULL, NULL, 'TESTICULAR ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(54272, NULL, 'PTHR45717:SF6', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(54273, NULL, 'PTHR10078:SF27', NULL, NULL, NULL, NULL, 'INTERLEUKIN-36 GAMMA', NULL, NULL, NULL, 15),
(54274, NULL, 'PTHR46328:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 2-LIKE', NULL, NULL, NULL, 15),
(54275, NULL, 'PTHR11348:SF22', NULL, NULL, NULL, NULL, 'WNT1-INDUCIBLE-SIGNALING PATHWAY PROTEIN 2', NULL, NULL, NULL, 15),
(54276, NULL, 'PTHR10801:SF17', NULL, NULL, NULL, NULL, 'BNAA05G19350D PROTEIN', NULL, NULL, NULL, 15),
(54277, NULL, 'PTHR24220:SF659', NULL, NULL, NULL, NULL, 'BLL1002 PROTEIN', NULL, NULL, NULL, 15),
(54278, NULL, 'PTHR31676:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54279, NULL, 'PTHR32285:SF245', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 41', NULL, NULL, NULL, 15),
(54280, NULL, 'PTHR30146:SF105', NULL, NULL, NULL, NULL, 'CATABOLITE CONTROL PROTEIN B', NULL, NULL, NULL, 15),
(54281, NULL, 'PTHR13457:SF1', NULL, NULL, NULL, NULL, 'HEAT REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(54282, NULL, 'PTHR23147:SF176', NULL, NULL, NULL, NULL, 'BNAA03G51620D PROTEIN', NULL, NULL, NULL, 15),
(54283, NULL, 'PTHR11615:SF325', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54284, NULL, 'PTHR10579:SF126', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(54285, NULL, 'PTHR14091:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG05170', NULL, NULL, NULL, 15),
(54286, NULL, 'PTHR46431:SF4', NULL, NULL, NULL, NULL, 'ASSOCIATED GOLGI PROTEIN FAMILY, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(54287, NULL, 'PTHR21562:SF97', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(54288, NULL, 'PTHR10489:SF664', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 9', NULL, NULL, NULL, 15),
(54289, NULL, 'PTHR31889:SF67', NULL, NULL, NULL, NULL, 'BNACNNG39560D PROTEIN', NULL, NULL, NULL, 15),
(54290, NULL, 'PTHR37463:SF1', NULL, NULL, NULL, NULL, 'GSL3115 PROTEIN', NULL, NULL, NULL, 15),
(54291, NULL, 'PTHR21624', NULL, NULL, NULL, NULL, 'STEROL DESATURASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(54292, NULL, 'PTHR33109:SF61', NULL, NULL, NULL, NULL, 'BNACNNG25950D PROTEIN', NULL, NULL, NULL, 15),
(54293, NULL, 'PTHR48190', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54294, NULL, 'PTHR33088:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54295, NULL, 'PTHR31989:SF259', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 86-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(54296, NULL, 'PTHR34709:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54297, NULL, 'PTHR44329:SF6', NULL, NULL, NULL, NULL, 'RECEPTOR-INTERACTING SERINE/THREONINE-PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(54298, NULL, 'PTHR31071:SF53', NULL, NULL, NULL, NULL, 'BNAA08G31660D PROTEIN', NULL, NULL, NULL, 15),
(54299, NULL, 'PTHR45752:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT SERINE/THREONINE-PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(54300, NULL, 'PTHR47928:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54301, NULL, 'PTHR34397:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54302, NULL, 'PTHR48044:SF30', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(54303, NULL, 'PTHR37520', NULL, NULL, NULL, NULL, 'INTRON-ENCODED DNA ENDONUCLEASE AI2A-RELATED', NULL, NULL, NULL, 15),
(54304, NULL, 'PTHR45959:SF41', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54305, NULL, 'PTHR31669:SF218', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 3', NULL, NULL, NULL, 15),
(54306, NULL, 'PTHR38820', NULL, NULL, NULL, NULL, 'ANNEXIN-2 RECEPTOR', NULL, NULL, 25098, 15),
(54307, NULL, 'PTHR47990:SF77', NULL, NULL, NULL, NULL, 'GA3OX-A3 PROTEIN', NULL, NULL, NULL, 15),
(54308, NULL, 'PTHR47242:SF2', NULL, NULL, NULL, NULL, 'ALPHA-TAXILIN-LIKE', NULL, NULL, NULL, 15),
(54309, NULL, 'PTHR31374:SF256', NULL, NULL, NULL, NULL, 'BNAC05G50280D PROTEIN', NULL, NULL, NULL, 15),
(54310, NULL, 'PTHR33167:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54311, NULL, 'PTHR31828:SF23', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA-LIKE', NULL, NULL, NULL, 15),
(54312, NULL, 'PTHR11527:SF314', NULL, NULL, NULL, NULL, 'CYTOSOLIC CLASS I SMALL HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(54313, NULL, 'PTHR31907:SF66', NULL, NULL, NULL, NULL, 'BNAA07G09710D PROTEIN', NULL, NULL, NULL, 15),
(54314, NULL, 'PTHR27003:SF372', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54315, NULL, 'PTHR31165:SF69', NULL, NULL, NULL, NULL, 'BNAA05G34250D PROTEIN', NULL, NULL, NULL, 15),
(54316, NULL, 'PTHR43975', NULL, NULL, NULL, NULL, 'ZGC:101858', NULL, NULL, NULL, 15),
(54317, NULL, 'PTHR37177:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PSY3', NULL, NULL, NULL, 15),
(54318, NULL, 'PTHR11685:SF348', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(54319, NULL, 'PTHR11223:SF5', NULL, NULL, NULL, NULL, 'EXPORTIN 1 (CRM1 HOMOLOG, YEAST) A', NULL, NULL, NULL, 15),
(54320, NULL, 'PTHR37466:SF1', NULL, NULL, NULL, NULL, 'SLR1628 PROTEIN', NULL, NULL, NULL, 15),
(54321, NULL, 'PTHR10751:SF40', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(54322, NULL, 'PTHR37487:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(54323, NULL, 'PTHR11699:SF198', NULL, NULL, NULL, NULL, 'DEHYDROGENASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03250)-RELATED', NULL, NULL, NULL, 15),
(54324, NULL, 'PTHR11680:SF18', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(54325, NULL, 'PTHR20935:SF1', NULL, NULL, NULL, NULL, 'BLR5857 PROTEIN', NULL, NULL, NULL, 15),
(54326, NULL, 'PTHR31083', NULL, NULL, NULL, NULL, 'UPSTREAM OF FLC PROTEIN (DUF966)', NULL, NULL, 8936, 15),
(54327, NULL, 'PTHR11558:SF50', NULL, NULL, NULL, NULL, 'SPERMIDINE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(54328, NULL, 'PTHR33738:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54329, NULL, 'PTHR24229:SF42', NULL, NULL, NULL, NULL, 'SOMATOSTATIN RECEPTOR TYPE 3', NULL, NULL, NULL, 15),
(54330, NULL, 'PTHR11489:SF23', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', NULL, NULL, NULL, 15),
(54331, NULL, 'PTHR10454:SF162', NULL, NULL, NULL, NULL, 'CASPASE-8', NULL, NULL, 35436, 15),
(54332, NULL, 'PTHR11461:SF53', NULL, NULL, NULL, NULL, 'ANTITHROMBIN-III', NULL, NULL, 8052, 15),
(54333, NULL, 'PTHR21388:SF5', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 38', NULL, NULL, NULL, 15),
(54334, NULL, 'PTHR11675:SF33', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(54335, NULL, 'PTHR46242', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 9 ZCCHC9', NULL, NULL, 39699, 15),
(54336, NULL, 'PTHR43080:SF21', NULL, NULL, NULL, NULL, 'OSJNBA0095E20.4 PROTEIN', NULL, NULL, NULL, 15),
(54337, NULL, 'PTHR23130:SF195', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(54338, NULL, 'PTHR12884:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', NULL, NULL, NULL, 15),
(54339, NULL, 'PTHR36685', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54340, NULL, 'PTHR22422', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 5B-RELATED', NULL, NULL, 23156, 15),
(54341, NULL, 'PTHR24031:SF719', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(54342, NULL, 'PTHR47329:SF2', NULL, NULL, NULL, NULL, 'BNAA09G16010D PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54343, NULL, 'PTHR19321:SF4', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 5', NULL, NULL, NULL, 15),
(54344, NULL, 'PTHR31717:SF72', NULL, NULL, NULL, NULL, 'OS06G0661200 PROTEIN', NULL, NULL, NULL, 15),
(54345, NULL, 'PTHR46408:SF19', NULL, NULL, NULL, NULL, 'BNAA09G26320D PROTEIN', NULL, NULL, NULL, 15),
(54346, NULL, 'PTHR12655:SF3', NULL, NULL, NULL, NULL, 'BNAA04G17790D PROTEIN', NULL, NULL, NULL, 15),
(54347, NULL, 'PTHR19336', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED DUF1167', NULL, NULL, NULL, 15),
(54348, NULL, 'PTHR46244:SF4', NULL, NULL, NULL, NULL, 'MULTIPHOSPHORYL TRANSFER PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(54349, NULL, 'PTHR11654:SF397', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.15', NULL, NULL, NULL, 15),
(54350, NULL, 'PTHR21646:SF33', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 22', NULL, NULL, 33685, 15),
(54351, NULL, 'PTHR42264:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54352, NULL, 'PTHR47357:SF4', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54353, NULL, 'PTHR37030', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(54354, NULL, 'PTHR47092:SF1', NULL, NULL, NULL, NULL, 'CAT EYE SYNDROME CRITICAL REGION PROTEIN 2', NULL, NULL, NULL, 15),
(54355, NULL, 'PTHR48052:SF33', NULL, NULL, NULL, NULL, 'OS01G0623000 PROTEIN', NULL, NULL, NULL, 15),
(54356, NULL, 'PTHR36736', NULL, NULL, NULL, NULL, 'OS03G0100030 PROTEIN', NULL, NULL, NULL, 15),
(54357, NULL, 'PTHR43349:SF9', NULL, NULL, NULL, NULL, 'PHENYLCOUMARAN BENZYLIC ETHER REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54358, NULL, 'PTHR19321:SF37', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(54359, NULL, 'PTHR31578:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG03167', NULL, NULL, NULL, 15),
(54360, NULL, 'PTHR12107:SF0', NULL, NULL, NULL, NULL, 'GH12419P1', NULL, NULL, NULL, 15),
(54361, NULL, 'PTHR31072:SF127', NULL, NULL, NULL, NULL, 'OS07G0152000 PROTEIN', NULL, NULL, NULL, 15),
(54362, NULL, 'PTHR31806:SF16', NULL, NULL, NULL, NULL, 'PURINE-CYTOSINE TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(54363, NULL, 'PTHR10986:SF20', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L20', NULL, NULL, NULL, 15),
(54364, NULL, 'PTHR46572', NULL, NULL, NULL, NULL, 'RHO1 GDP-GTP EXCHANGE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(54365, NULL, 'PTHR22807:SF34', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE NSUN6-RELATED', NULL, NULL, NULL, 15),
(54366, NULL, 'PTHR27005:SF283', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-RELATED', NULL, NULL, NULL, 15),
(54367, NULL, 'PTHR23238:SF26', NULL, NULL, NULL, NULL, 'GH13594P-RELATED', NULL, NULL, NULL, 15),
(54368, NULL, 'PTHR11689:SF60', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN C', NULL, NULL, NULL, 15),
(54369, NULL, 'PTHR16088:SF9', NULL, NULL, NULL, NULL, 'YY1-ASSOCIATED PROTEIN 1', NULL, NULL, 33123, 15),
(54370, NULL, 'PTHR31223:SF71', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15),
(54371, NULL, 'PTHR11711:SF349', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR, ARF', NULL, NULL, NULL, 15),
(54372, NULL, 'PTHR35109:SF3', NULL, NULL, NULL, NULL, 'BNAA05G20540D PROTEIN', NULL, NULL, NULL, 15),
(54373, NULL, 'PTHR16124:SF3', NULL, NULL, NULL, NULL, 'MIS18-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(54374, NULL, 'PTHR33124:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PAR2', NULL, NULL, NULL, 15),
(54375, NULL, 'PTHR46025', NULL, NULL, NULL, NULL, 'XYLOSYLTRANSFERASE OXT', NULL, NULL, 37762, 15),
(54376, NULL, 'PTHR30068:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID/GLYCEROL ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(54377, NULL, 'PTHR18914:SF33', NULL, NULL, NULL, NULL, 'SERENDIPITY LOCUS PROTEIN ALPHA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54378, NULL, 'PTHR13778:SF10', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE 1,3-GALACTOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(54379, NULL, 'PTHR22589:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54380, NULL, 'PTHR31958', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 127', NULL, NULL, 11342, 15),
(54381, NULL, 'PTHR45923:SF15', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', NULL, NULL, NULL, 15),
(54382, NULL, 'PTHR14778:SF2', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN DSN1 HOMOLOG', NULL, NULL, NULL, 15),
(54383, NULL, 'PTHR45444', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54384, NULL, 'PTHR10502:SF199', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(54385, NULL, 'PTHR37049', NULL, NULL, NULL, NULL, 'PEPTIDASE S41 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(54386, NULL, 'PTHR12309:SF29', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT GAMMA-1', NULL, NULL, NULL, 15),
(54387, NULL, 'PTHR33469:SF24', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 3-LIKE', NULL, NULL, NULL, 15),
(54388, NULL, 'PTHR46104:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54389, NULL, 'PTHR21568', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 34823, 15),
(54390, NULL, 'PTHR46523:SF1', NULL, NULL, NULL, NULL, 'DCTP PYROPHOSPHATASE 1', NULL, NULL, NULL, 15),
(54391, NULL, 'PTHR10270:SF306', NULL, NULL, NULL, NULL, 'MAT2 PROTEINMATING TYPE HMG-BOX PROTEIN', NULL, NULL, NULL, 15),
(54392, NULL, 'PTHR23257:SF816', NULL, NULL, NULL, NULL, 'ACT-DOMAIN CONTAINING PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(54393, NULL, 'PTHR30249', NULL, NULL, NULL, NULL, 'PUTATIVE SEROTONIN TRANSPORTER', NULL, NULL, 388, 15),
(54394, NULL, 'PTHR16134:SF81', NULL, NULL, NULL, NULL, 'AGAP003930-PA', NULL, NULL, NULL, 15),
(54395, NULL, 'PTHR48017:SF146', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(54396, NULL, 'PTHR11738:SF161', NULL, NULL, NULL, NULL, 'KILLER CELL IMMUNOGLOBULIN-LIKE RECEPTOR 2DL1-RELATED', NULL, NULL, NULL, 15),
(54397, NULL, 'PTHR32212:SF349', NULL, NULL, NULL, NULL, 'BNAC06G04200D PROTEIN', NULL, NULL, NULL, 15),
(54398, NULL, 'PTHR21654:SF61', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GTL2', NULL, NULL, NULL, 15),
(54399, NULL, 'PTHR33219:SF1', NULL, NULL, NULL, NULL, 'YLMG HOMOLOG PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(54400, NULL, 'PTHR31081:SF20', NULL, NULL, NULL, NULL, 'BNAA06G39890D PROTEIN', NULL, NULL, NULL, 15),
(54401, NULL, 'PTHR47925:SF42', NULL, NULL, NULL, NULL, 'BNAC06G00550D PROTEIN', NULL, NULL, NULL, 15),
(54402, NULL, 'PTHR45005', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54403, NULL, 'PTHR43743', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE ATP-BINDING SUBUNIT', NULL, NULL, 5996, 15),
(54404, NULL, 'PTHR23510:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG19165', NULL, NULL, NULL, 15),
(54405, NULL, 'PTHR34949:SF7', NULL, NULL, NULL, NULL, 'BNAA07G01630D PROTEIN', NULL, NULL, NULL, 15),
(54406, NULL, 'PTHR39517:SF1', NULL, NULL, NULL, NULL, 'SLL0192 PROTEIN', NULL, NULL, NULL, 15),
(54407, NULL, 'PTHR45849', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SSRP1', NULL, NULL, NULL, 15),
(54408, NULL, 'PTHR11558:SF45', NULL, NULL, NULL, NULL, 'PUTRESCINE N-METHYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(54409, NULL, 'PTHR47584:SF11', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(54410, NULL, 'PTHR42835:SF1', NULL, NULL, NULL, NULL, 'MALTO-OLIGOSYLTREHALOSE TREHALOHYDROLASE', NULL, NULL, NULL, 15),
(54411, NULL, 'PTHR45716:SF2', NULL, NULL, NULL, NULL, 'BITESIZE, ISOFORM I', NULL, NULL, NULL, 15),
(54412, NULL, 'PTHR31851:SF51', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER-LIKE PROTEIN 2.1', NULL, NULL, NULL, 15),
(54413, NULL, 'PTHR46476:SF12', NULL, NULL, NULL, NULL, 'RUBISCO-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(54414, NULL, 'PTHR10352:SF14', NULL, NULL, NULL, NULL, 'OS01G0766700 PROTEIN', NULL, NULL, NULL, 15),
(54415, NULL, 'PTHR45707:SF36', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54416, NULL, 'PTHR12802:SF105', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX SUBUNIT SMARCC2', NULL, NULL, 30048, 15),
(54417, NULL, 'PTHR45663:SF33', NULL, NULL, NULL, NULL, 'THIOREDOXIN-1-LIKE', NULL, NULL, NULL, 15),
(54418, NULL, 'PTHR11360:SF247', NULL, NULL, NULL, NULL, 'RE01051P', NULL, NULL, NULL, 15),
(54419, NULL, 'PTHR48071:SF5', NULL, NULL, NULL, NULL, 'NEUROTRYPSIN', NULL, NULL, NULL, 15),
(54420, NULL, 'PTHR39231:SF1', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP25', NULL, NULL, NULL, 15),
(54421, NULL, 'PTHR46548:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54422, NULL, 'PTHR43991:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54423, NULL, 'PTHR31744:SF125', NULL, NULL, NULL, NULL, 'BNAA08G19970D PROTEIN', NULL, NULL, NULL, 15),
(54424, NULL, 'PTHR47233:SF1', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN-RELATED', NULL, NULL, NULL, 15),
(54425, NULL, 'PTHR34194:SF21', NULL, NULL, NULL, NULL, 'OS05G0423200 PROTEIN', NULL, NULL, NULL, 15),
(54426, NULL, 'PTHR21131', NULL, NULL, NULL, NULL, 'SERINE-TYPE ENDOPEPTIDASE INHIBITOR', NULL, NULL, NULL, 15),
(54427, NULL, 'PTHR22936:SF87', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(54428, NULL, 'PTHR28491', NULL, NULL, NULL, NULL, 'UPF0688 PROTEIN C1ORF174', NULL, NULL, 27455, 15),
(54429, NULL, 'PTHR19282:SF447', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(54430, NULL, 'PTHR45642:SF67', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(54431, NULL, 'PTHR23257:SF770', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0267686-RELATED', NULL, NULL, NULL, 15),
(54432, NULL, 'PTHR10257:SF64', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(54433, NULL, 'PTHR43748:SF8', NULL, NULL, NULL, NULL, 'BNAANNG10640D PROTEIN', NULL, NULL, NULL, 15),
(54434, NULL, 'PTHR33827:SF7', NULL, NULL, NULL, NULL, 'PROTEIN SAWADEE HOMEODOMAIN HOMOLOG 2', NULL, NULL, NULL, 15),
(54435, NULL, 'PTHR11831:SF31', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9', NULL, NULL, NULL, 15),
(54436, NULL, 'PTHR33305:SF31', NULL, NULL, NULL, NULL, 'OS07G0223600 PROTEIN', NULL, NULL, NULL, 15),
(54437, NULL, 'PTHR46476:SF4', NULL, NULL, NULL, NULL, '2, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(54438, NULL, 'PTHR12537:SF149', NULL, NULL, NULL, NULL, 'PUMILIO-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(54439, NULL, 'PTHR10811:SF103', NULL, NULL, NULL, NULL, 'FRINGE GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(54440, NULL, 'PTHR16655:SF0', NULL, NULL, NULL, NULL, 'COCAINE- AND AMPHETAMINE-REGULATED TRANSCRIPT PROTEIN', NULL, NULL, NULL, 15),
(54441, NULL, 'PTHR15241:SF312', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SR45A-LIKE', NULL, NULL, NULL, 15),
(54442, NULL, 'PTHR15876:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN ADIPOCYTE-ASSOCIATED 1', NULL, NULL, NULL, 15),
(54443, NULL, 'PTHR11849:SF174', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPI-B', NULL, NULL, NULL, 15),
(54444, NULL, 'PTHR46204:SF9', NULL, NULL, NULL, NULL, 'CHITIN ELICITOR RECEPTOR KINASE 1-LIKE', NULL, NULL, NULL, 15),
(54445, NULL, 'PTHR31096:SF47', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR8-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(54446, NULL, 'PTHR46248:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54447, NULL, 'PTHR10969:SF15', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEINS 1A/1B LIGHT CHAIN 3 BETA 2-RELATED', NULL, NULL, NULL, 15),
(54448, NULL, 'PTHR23084:SF244', NULL, NULL, NULL, NULL, 'IP09867P-RELATED', NULL, NULL, NULL, 15),
(54449, NULL, 'PTHR37460:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE III', NULL, NULL, NULL, 15),
(54450, NULL, 'PTHR12696', NULL, NULL, NULL, NULL, 'TIP120', NULL, NULL, 33502, 15),
(54451, NULL, 'PTHR12374', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTOR 2  ADA2 -RELATED', NULL, NULL, NULL, 15),
(54452, NULL, 'PTHR42946:SF4', NULL, NULL, NULL, NULL, 'HYPOXANTHINE-GUANINE PHOSPHORIBOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54453, NULL, 'PTHR31757', NULL, NULL, NULL, NULL, 'SLL0781 PROTEIN', NULL, NULL, 13437, 15),
(54454, NULL, 'PTHR45640:SF23', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 22-RELATED', NULL, NULL, NULL, 15),
(54455, NULL, 'PTHR10857:SF58', NULL, NULL, NULL, NULL, 'COPINE-C-RELATED', NULL, NULL, NULL, 15),
(54456, NULL, 'PTHR46550:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE C85627-RELATED', NULL, NULL, NULL, 15),
(54457, NULL, 'PTHR26452:SF56', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(54458, NULL, 'PTHR47928:SF124', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(54459, NULL, 'PTHR12549:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUMONJI (JMJC) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(54460, NULL, 'PTHR31459:SF2', NULL, NULL, NULL, NULL, 'OS03G0843300 PROTEIN', NULL, NULL, NULL, 15),
(54461, NULL, 'PTHR33078:SF51', NULL, NULL, NULL, NULL, 'BNAA06G19290D PROTEIN', NULL, NULL, NULL, 15),
(54462, NULL, 'PTHR33511:SF28', NULL, NULL, NULL, NULL, 'BNAA09G04130D PROTEIN', NULL, NULL, NULL, 15),
(54463, NULL, 'PTHR34663:SF14', NULL, NULL, NULL, NULL, 'BNAA03G53880D PROTEIN', NULL, NULL, NULL, 15),
(54464, NULL, 'PTHR43562:SF2', NULL, NULL, NULL, NULL, 'ION/PROTON EXCHANGER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(54465, NULL, 'PTHR37825:SF1', NULL, NULL, NULL, NULL, 'TRNA(MET) CYTIDINE ACETATE LIGASE', NULL, NULL, NULL, 15),
(54466, NULL, 'PTHR46635:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE FAMILY 1 PROTEIN', NULL, NULL, NULL, 15),
(54467, NULL, 'PTHR34043:SF9', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(54468, NULL, 'PTHR47958:SF19', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 35', NULL, NULL, NULL, 15),
(54469, NULL, 'PTHR32222', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN U', NULL, NULL, NULL, 15),
(54470, NULL, 'PTHR10168:SF239', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S2', NULL, NULL, NULL, 15),
(54471, NULL, 'PTHR24039:SF38', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MEC-9', NULL, NULL, NULL, 15),
(54472, NULL, 'PTHR10281:SF82', NULL, NULL, NULL, NULL, 'VACUOLE MEMBRANE PROTEIN KMS1-LIKE', NULL, NULL, NULL, 15),
(54473, NULL, 'PTHR45934:SF20', NULL, NULL, NULL, NULL, 'MONOOXYGENASE 2-RELATED', NULL, NULL, NULL, 15),
(54474, NULL, 'PTHR10687:SF6', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 3', NULL, NULL, NULL, 15),
(54475, NULL, 'PTHR31137:SF12', NULL, NULL, NULL, NULL, 'PROTEIN PSIJ', NULL, NULL, NULL, 15),
(54476, NULL, 'PTHR13036:SF0', NULL, NULL, NULL, NULL, 'CHITOBIOSYLDIPHOSPHODOLICHOL BETA-MANNOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(54477, NULL, 'PTHR15184:SF9', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SPAL-RELATED', NULL, NULL, NULL, 15),
(54478, NULL, 'PTHR24100:SF109', NULL, NULL, NULL, NULL, 'BUTYROPHILIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(54479, NULL, 'PTHR11214:SF121', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(54480, NULL, 'PTHR24032:SF72', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN COMC', NULL, NULL, NULL, 15),
(54481, NULL, 'PTHR22943:SF18', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(54482, NULL, 'PTHR40128:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(54483, NULL, 'PTHR45988:SF55', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN AZF1', NULL, NULL, NULL, 15),
(54484, NULL, 'PTHR24356:SF246', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE N1', NULL, NULL, NULL, 15),
(54485, NULL, 'PTHR36882:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED SEQUENCE 37 PROTEIN', NULL, NULL, NULL, 15),
(54486, NULL, 'PTHR11011:SF101', NULL, NULL, NULL, NULL, 'BNAC06G16040D PROTEIN', NULL, NULL, NULL, 15),
(54487, NULL, 'PTHR48002:SF81', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4S1', NULL, NULL, NULL, 15),
(54488, NULL, 'PTHR31032:SF10', NULL, NULL, NULL, NULL, 'PGR5-LIKE PROTEIN 1A', NULL, NULL, NULL, 15),
(54489, NULL, 'PTHR10497:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54490, NULL, 'PTHR33672:SF18', NULL, NULL, NULL, NULL, 'BNAA02G22780D PROTEIN', NULL, NULL, NULL, 15),
(54491, NULL, 'PTHR45662:SF7', NULL, NULL, NULL, NULL, 'SACI DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G15890)', NULL, NULL, NULL, 15),
(54492, NULL, 'PTHR42055', NULL, NULL, NULL, NULL, 'YALI0E03476P', NULL, NULL, NULL, 15),
(54493, NULL, 'PTHR12322:SF60', NULL, NULL, NULL, NULL, 'DMRT-LIKE FAMILY C1C1', NULL, NULL, NULL, 15),
(54494, NULL, 'PTHR45950:SF18', NULL, NULL, NULL, NULL, 'BNAA04G20300D PROTEIN', NULL, NULL, NULL, 15),
(54495, NULL, 'PTHR10656:SF37', NULL, NULL, NULL, NULL, 'PROTEIN MAB-21-LIKE 2', NULL, NULL, 14930, 15),
(54496, NULL, 'PTHR23510:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(54497, NULL, 'PTHR45730:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54498, NULL, 'PTHR24092:SF78', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IK', NULL, NULL, 22083, 15),
(54499, NULL, 'PTHR30055:SF172', NULL, NULL, NULL, NULL, 'SLL1392 PROTEIN', NULL, NULL, NULL, 15),
(54500, NULL, 'PTHR31945:SF105', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(54501, NULL, 'PTHR22765:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54502, NULL, 'PTHR43995:SF4', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 19-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(54503, NULL, 'PTHR33033:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54504, NULL, 'PTHR13114:SF7', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 17', NULL, NULL, NULL, 15),
(54505, NULL, 'PTHR11430:SF63', NULL, NULL, NULL, NULL, 'LIPOCALIN 15-RELATED', NULL, NULL, NULL, 15),
(54506, NULL, 'PTHR48047:SF119', NULL, NULL, NULL, NULL, 'CYTOKININ-O-GLUCOSYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(54507, NULL, 'PTHR11225:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP93', NULL, NULL, NULL, 15),
(54508, NULL, 'PTHR45868:SF50', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 37-LIKE', NULL, NULL, NULL, 15),
(54509, NULL, 'PTHR24068:SF224', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 28', NULL, NULL, NULL, 15),
(54510, NULL, 'PTHR23075:SF10', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(54511, NULL, 'PTHR15711:SF15', NULL, NULL, NULL, NULL, 'SIGNAL-INDUCED PROLIFERATION-ASSOCIATED 1-LIKE PROTEIN 3', NULL, NULL, 24545, 15),
(54512, NULL, 'PTHR13856:SF136', NULL, NULL, NULL, NULL, 'TARGET OF MYB1-LIKE 2 MEMBRANE-TRAFFICKING PROTEIN', NULL, NULL, NULL, 15),
(54513, NULL, 'PTHR47985:SF51', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE LIP2', NULL, NULL, NULL, 15),
(54514, NULL, 'PTHR24006:SF660', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 35', NULL, NULL, NULL, 15),
(54515, NULL, 'PTHR13110:SF12', NULL, NULL, NULL, NULL, 'SM-LIKE PROTEIN LSM3B', NULL, NULL, NULL, 15),
(54516, NULL, 'PTHR12565:SF364', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(54517, NULL, 'PTHR48002:SF20', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(54518, NULL, 'PTHR38663', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54519, NULL, 'PTHR19944:SF96', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DR BETA 4 CHAIN', NULL, NULL, NULL, 15),
(54520, NULL, 'PTHR19343:SF0', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 23/DELTA VARIABLE 6', NULL, NULL, NULL, 15),
(54521, NULL, 'PTHR33085:SF62', NULL, NULL, NULL, NULL, 'OS02G0604200 PROTEIN', NULL, NULL, NULL, 15),
(54522, NULL, 'PTHR13140:SF811', NULL, NULL, NULL, NULL, 'MYOSIN XVI', NULL, NULL, NULL, 15),
(54523, NULL, 'PTHR31232:SF106', NULL, NULL, NULL, NULL, 'BNAA03G00970D PROTEIN', NULL, NULL, NULL, 15),
(54524, NULL, 'PTHR32161:SF8', NULL, NULL, NULL, NULL, 'DPP6 N-TERMINAL DOMAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54525, NULL, 'PTHR21660:SF33', NULL, NULL, NULL, NULL, 'BLR4075 PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54526, NULL, 'PTHR12411:SF533', NULL, NULL, NULL, NULL, 'CYSTEINE ENDOPEPTIDASE', NULL, NULL, NULL, 15),
(54527, NULL, 'PTHR25480:SF199', NULL, NULL, NULL, NULL, 'C-MAF-INDUCING PROTEIN', NULL, NULL, NULL, 15),
(54528, NULL, 'PTHR10153', NULL, NULL, NULL, NULL, 'SMALL CONDUCTANCE CALCIUM-ACTIVATED POTASSIUM CHANNEL', NULL, NULL, 9330, 15),
(54529, NULL, 'PTHR10992:SF1053', NULL, NULL, NULL, NULL, 'PIR7B, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(54530, NULL, 'PTHR12582:SF5', NULL, NULL, NULL, NULL, 'NETRIN RECEPTOR UNC5D', NULL, NULL, NULL, 15),
(54531, NULL, 'PTHR46443:SF9', NULL, NULL, NULL, NULL, 'PROTEIN MARD1', NULL, NULL, NULL, 15),
(54532, NULL, 'PTHR24054:SF40', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(54533, NULL, 'PTHR22953:SF129', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(54534, NULL, 'PTHR12147:SF49', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE YDR415C-RELATED', NULL, NULL, NULL, 15),
(54535, NULL, 'PTHR48005:SF33', NULL, NULL, NULL, NULL, 'OS02G0153200 PROTEIN', NULL, NULL, NULL, 15),
(54536, NULL, 'PTHR34215', NULL, NULL, NULL, NULL, 'BLL0784 PROTEIN', NULL, NULL, 29192, 15),
(54537, NULL, 'PTHR45714:SF37', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', NULL, NULL, NULL, 15),
(54538, NULL, 'PTHR45621:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(54539, NULL, 'PTHR19842', NULL, NULL, NULL, NULL, 'G BETA-LIKE PROTEIN GBL', NULL, NULL, 34769, 15),
(54540, NULL, 'PTHR22893:SF101', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOIC ACID REDUCTASE 1-A2A', NULL, NULL, NULL, 15),
(54541, NULL, 'PTHR18896:SF128', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE', NULL, NULL, NULL, 15),
(54542, NULL, 'PTHR47435:SF6', NULL, NULL, NULL, NULL, 'BNAC06G05180D PROTEIN', NULL, NULL, NULL, 15),
(54543, NULL, 'PTHR11165:SF155', NULL, NULL, NULL, NULL, 'BNAC07G14750D PROTEIN', NULL, NULL, NULL, 15),
(54544, NULL, 'PTHR45642:SF7', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(54545, NULL, 'PTHR12673:SF159', NULL, NULL, NULL, NULL, 'PROTEIN TAG-52-RELATED', NULL, NULL, NULL, 15),
(54546, NULL, 'PTHR31744:SF139', NULL, NULL, NULL, NULL, 'BNAA03G07000D PROTEIN', NULL, NULL, NULL, 15),
(54547, NULL, 'PTHR31734:SF130', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA18', NULL, NULL, NULL, 15),
(54548, NULL, 'PTHR46099:SF2', NULL, NULL, NULL, NULL, 'ENDOTHELIN-1 RECEPTOR', NULL, NULL, NULL, 15),
(54549, NULL, 'PTHR23105:SF169', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54550, NULL, 'PTHR20843:SF3', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING 10A', NULL, NULL, NULL, 15),
(54551, NULL, 'PTHR47532:SF2', NULL, NULL, NULL, NULL, 'GOLD DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(54552, NULL, 'PTHR46132:SF5', NULL, NULL, NULL, NULL, 'OS02G0539100 PROTEIN', NULL, NULL, NULL, 15),
(54553, NULL, 'PTHR32026:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG13744', NULL, NULL, NULL, 15),
(54554, NULL, 'PTHR23515:SF24', NULL, NULL, NULL, NULL, 'BNAC08G43380D PROTEIN', NULL, NULL, NULL, 15),
(54555, NULL, 'PTHR22950:SF612', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 5-LIKE', NULL, NULL, NULL, 15),
(54556, NULL, 'PTHR13820:SF5', NULL, NULL, NULL, NULL, 'ALPHA-SYNUCLEIN', NULL, NULL, 7207, 15),
(54557, NULL, 'PTHR13018:SF117', NULL, NULL, NULL, NULL, 'CSC1-LIKE PROTEIN RXW8', NULL, NULL, NULL, 15),
(54558, NULL, 'PTHR22597:SF4', NULL, NULL, NULL, NULL, 'SWI/SNF GLOBAL TRANSCRIPTION ACTIVATOR COMPLEX SUBUNIT SWP82', NULL, NULL, NULL, 15),
(54559, NULL, 'PTHR10353:SF44', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1 PROTEIN', NULL, NULL, NULL, 15),
(54560, NULL, 'PTHR14958:SF12', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD5', NULL, NULL, NULL, 15),
(54561, NULL, 'PTHR47926:SF26', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(54562, NULL, 'PTHR30269:SF34', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN TAUE LIKE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54563, NULL, 'PTHR43903:SF19', NULL, NULL, NULL, NULL, 'FI18641P1', NULL, NULL, NULL, 15),
(54564, NULL, 'PTHR32467:SF149', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WRI1', NULL, NULL, NULL, 15),
(54565, NULL, 'PTHR27007:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54566, NULL, 'PTHR31391:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54567, NULL, 'PTHR30032:SF4', NULL, NULL, NULL, NULL, 'STAGE II SPORULATION PROTEIN D', NULL, NULL, 10500, 15),
(54568, NULL, 'PTHR31388:SF129', NULL, NULL, NULL, NULL, 'PEROXIDASE 54', NULL, NULL, NULL, 15),
(54569, NULL, 'PTHR21533:SF18', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4921530L21 GENE', NULL, NULL, NULL, 15),
(54570, NULL, 'PTHR21141:SF85', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2-BETA', NULL, NULL, NULL, 15),
(54571, NULL, 'PTHR16983:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54572, NULL, 'PTHR31371:SF15', NULL, NULL, NULL, NULL, 'PLANT/T32M21-140 PROTEIN', NULL, NULL, NULL, 15),
(54573, NULL, 'PTHR45666:SF18', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 9', NULL, NULL, NULL, 15),
(54574, NULL, 'PTHR34542:SF2', NULL, NULL, NULL, NULL, 'OS01G0136300 PROTEIN', NULL, NULL, NULL, 15),
(54575, NULL, 'PTHR35318:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54576, NULL, 'PTHR24206:SF69', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN PLIM2C', NULL, NULL, NULL, 15),
(54577, NULL, 'PTHR33664:SF1', NULL, NULL, NULL, NULL, 'RCG26366', NULL, NULL, NULL, 15),
(54578, NULL, 'PTHR13780:SF106', NULL, NULL, NULL, NULL, 'CBS/OCTICOSAPEPTIDE/PHOX/BEMP1 (PB1) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(54579, NULL, 'PTHR31568:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54580, NULL, 'PTHR47990:SF177', NULL, NULL, NULL, NULL, 'BNACNNG35770D PROTEIN', NULL, NULL, NULL, 15),
(54581, NULL, 'PTHR33091:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54582, NULL, 'PTHR31589:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54583, NULL, 'PTHR31189:SF37', NULL, NULL, NULL, NULL, 'GLYCININ G3', NULL, NULL, NULL, 15),
(54584, NULL, 'PTHR12603:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54585, NULL, 'PTHR46201:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54586, NULL, 'PTHR16188:SF15', NULL, NULL, NULL, NULL, '4933415F23RIK PROTEIN', NULL, NULL, NULL, 15),
(54587, NULL, 'PTHR31488:SF6', NULL, NULL, NULL, NULL, 'C-MANNOSYLTRANSFERASE DPY19L2-RELATED', NULL, NULL, 26470, 15),
(54588, NULL, 'PTHR47992:SF25', NULL, NULL, NULL, NULL, 'ALPHABET, ISOFORM E', NULL, NULL, NULL, 15),
(54589, NULL, 'PTHR46038:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54590, NULL, 'PTHR13547:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54591, NULL, 'PTHR24103:SF639', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM39', NULL, NULL, NULL, 15),
(54592, NULL, 'PTHR24073:SF1139', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-32B', NULL, NULL, NULL, 15),
(54593, NULL, 'PTHR24240:SF85', NULL, NULL, NULL, NULL, 'OPSIN RH1-RELATED', NULL, NULL, NULL, 15),
(54594, NULL, 'PTHR31917:SF45', NULL, NULL, NULL, NULL, 'DUF724 DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(54595, NULL, 'PTHR31215:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54596, NULL, 'PTHR21468', NULL, NULL, NULL, NULL, 'HSD9', NULL, NULL, 25100, 15),
(54597, NULL, 'PTHR12953', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN CH1 RELATED', NULL, NULL, 39185, 15),
(54598, NULL, 'PTHR12483:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54599, NULL, 'PTHR46327:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TRIHELIX FAMILY-RELATED', NULL, NULL, NULL, 15),
(54600, NULL, 'PTHR33648:SF28', NULL, NULL, NULL, NULL, 'BNAA04G05250D PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54601, NULL, 'PTHR47928:SF78', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(54602, NULL, 'PTHR13014', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S30/P52 PRO-APOTOTIC PROTEIN', NULL, NULL, 31190, 15),
(54603, NULL, 'PTHR32096:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54604, NULL, 'PTHR33207:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54605, NULL, 'PTHR43139:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54606, NULL, 'PTHR36122:SF2', NULL, NULL, NULL, NULL, 'NICOTINAMIDE RIBOSIDE TRANSPORTER PNUC', NULL, NULL, NULL, 15),
(54607, NULL, 'PTHR16116:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 839', NULL, NULL, NULL, 15),
(54608, NULL, 'PTHR35115:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54609, NULL, 'PTHR13526:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPT20 HOMOLOG', NULL, NULL, NULL, 15),
(54610, NULL, 'PTHR11742:SF28', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE 1,2-ALPHA-MANNOSIDASE IC', NULL, NULL, NULL, 15),
(54611, NULL, 'PTHR43490:SF85', NULL, NULL, NULL, NULL, 'BNAC05G00270D PROTEIN', NULL, NULL, NULL, 15),
(54612, NULL, 'PTHR26453:SF71', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(54613, NULL, 'PTHR13233', NULL, NULL, NULL, NULL, 'MICROSPHERULE PROTEIN 1', NULL, NULL, 34265, 15),
(54614, NULL, 'PTHR10662:SF41', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR 2', NULL, NULL, NULL, 15),
(54615, NULL, 'PTHR35699:SF1', NULL, NULL, NULL, NULL, 'F2J10.10 PROTEIN', NULL, NULL, NULL, 15),
(54616, NULL, 'PTHR26453:SF57', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T6', NULL, NULL, NULL, 15),
(54617, NULL, 'PTHR24221:SF211', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY B (MDR/TAP), MEMBER 11A', NULL, NULL, NULL, 15),
(54618, NULL, 'PTHR11955:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54619, NULL, 'PTHR11021', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN F  SNRNP-F', NULL, NULL, 15586, 15),
(54620, NULL, 'PTHR46726:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54621, NULL, 'PTHR10024:SF176', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-3', NULL, NULL, 23943, 15),
(54622, NULL, 'PTHR11165:SF151', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(54623, NULL, 'PTHR10438:SF402', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(54624, NULL, 'PTHR43520:SF9', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE 2', NULL, NULL, NULL, 15),
(54625, NULL, 'PTHR48043:SF89', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(54626, NULL, 'PTHR47928:SF76', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN', NULL, NULL, NULL, 15),
(54627, NULL, 'PTHR31614:SF19', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC PROTEIN C13-LIKE', NULL, NULL, NULL, 15),
(54628, NULL, 'PTHR31025:SF16', NULL, NULL, NULL, NULL, 'SI:CH1073-164K15.3-RELATED', NULL, NULL, NULL, 15),
(54629, NULL, 'PTHR35101:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54630, NULL, 'PTHR46008:SF21', NULL, NULL, NULL, NULL, 'BNAC06G27850D PROTEIN', NULL, NULL, NULL, 15),
(54631, NULL, 'PTHR18837', NULL, NULL, NULL, NULL, 'STROMAL CELL-DERIVED FACTOR 1', NULL, NULL, 29972, 15),
(54632, NULL, 'PTHR31662:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54633, NULL, 'PTHR22298:SF157', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(54634, NULL, 'PTHR24025:SF22', NULL, NULL, NULL, NULL, 'DACHSOUS CADHERIN-RELATED 1', NULL, NULL, NULL, 15),
(54635, NULL, 'PTHR11475:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54636, NULL, 'PTHR10513:SF35', NULL, NULL, NULL, NULL, 'DEOXYADENOSINE KINASE', NULL, NULL, NULL, 15),
(54637, NULL, 'PTHR15241:SF294', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN RZ1B-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54638, NULL, 'PTHR31752:SF42', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 7', NULL, NULL, NULL, 15),
(54639, NULL, 'PTHR31089:SF51', NULL, NULL, NULL, NULL, 'BNACNNG61810D PROTEIN', NULL, NULL, NULL, 15),
(54640, NULL, 'PTHR15692:SF20', NULL, NULL, NULL, NULL, 'MAML1 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(54641, NULL, 'PTHR23159:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54642, NULL, 'PTHR24281:SF127', NULL, NULL, NULL, NULL, '5-EPIARISTOLOCHENE 1,3-DIHYDROXYLASE', NULL, NULL, NULL, 15),
(54643, NULL, 'PTHR31276:SF10', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', NULL, NULL, NULL, 15),
(54644, NULL, 'PTHR47972:SF19', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54645, NULL, 'PTHR45866:SF10', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2', NULL, NULL, NULL, 15),
(54646, NULL, 'PTHR11260:SF566', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54647, NULL, 'PTHR32093:SF117', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(54648, NULL, 'PTHR33110:SF79', NULL, NULL, NULL, NULL, 'OS12G0155900 PROTEIN', NULL, NULL, NULL, 15),
(54649, NULL, 'PTHR43683:SF1', NULL, NULL, NULL, NULL, 'MULTIDRUG EFFLUX PROTEIN YFMO', NULL, NULL, NULL, 15),
(54650, NULL, 'PTHR13832:SF641', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 47-RELATED', NULL, NULL, NULL, 15),
(54651, NULL, 'PTHR32099:SF67', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 25', NULL, NULL, NULL, 15),
(54652, NULL, 'PTHR11802:SF320', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(54653, NULL, 'PTHR31989:SF238', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 62', NULL, NULL, NULL, 15),
(54654, NULL, 'PTHR35826:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ATP6V1FNB', NULL, NULL, NULL, 15),
(54655, NULL, 'PTHR19969:SF19', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCER OF SEVENLESS 2B-LIKE PROTEIN', NULL, NULL, 23859, 15),
(54656, NULL, 'PTHR45802:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54657, NULL, 'PTHR10480:SF14', NULL, NULL, NULL, NULL, 'UNC-13 HOMOLOG BA (C. ELEGANS)', NULL, NULL, NULL, 15),
(54658, NULL, 'PTHR43600:SF2', NULL, NULL, NULL, NULL, 'HYDROGENASE LARGE SUBUNIT', NULL, NULL, NULL, 15),
(54659, NULL, 'PTHR21515:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG04098', NULL, NULL, NULL, 15),
(54660, NULL, 'PTHR43072:SF43', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54661, NULL, 'PTHR30189:SF1', NULL, NULL, NULL, NULL, 'LPS-ASSEMBLY PROTEIN LPTD', NULL, NULL, NULL, 15),
(54662, NULL, 'PTHR10728:SF33', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE 1-RELATED', NULL, NULL, NULL, 15),
(54663, NULL, 'PTHR32295:SF227', NULL, NULL, NULL, NULL, 'BNAC01G42170D PROTEIN', NULL, NULL, NULL, 15),
(54664, NULL, 'PTHR10489:SF635', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 7', NULL, NULL, NULL, 15),
(54665, NULL, 'PTHR18966:SF487', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3.4', NULL, NULL, NULL, 15),
(54666, NULL, 'PTHR11260:SF696', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U7-LIKE', NULL, NULL, NULL, 15),
(54667, NULL, 'PTHR44489:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54668, NULL, 'PTHR12902:SF10', NULL, NULL, NULL, NULL, 'OS03G0298700 PROTEIN', NULL, NULL, NULL, 15),
(54669, NULL, 'PTHR31549:SF190', NULL, NULL, NULL, NULL, 'UPF0481 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(54670, NULL, 'PTHR19422:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54671, NULL, 'PTHR34397:SF12', NULL, NULL, NULL, NULL, 'OS07G0424000 PROTEIN', NULL, NULL, NULL, 15),
(54672, NULL, 'PTHR43028:SF5', NULL, NULL, NULL, NULL, '3''(2''),5''-BISPHOSPHATE NUCLEOTIDASE 1', NULL, NULL, NULL, 15),
(54673, NULL, 'PTHR47392:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 82-RELATED', NULL, NULL, NULL, 15),
(54674, NULL, 'PTHR31636:SF21', NULL, NULL, NULL, NULL, 'OS12G0138200 PROTEIN', NULL, NULL, NULL, 15),
(54675, NULL, 'PTHR43158:SF8', NULL, NULL, NULL, NULL, 'LANTIBIOTIC ABC TRANSPORTER,ATP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54676, NULL, 'PTHR24320:SF162', NULL, NULL, NULL, NULL, 'OS03G0115700 PROTEIN', NULL, NULL, NULL, 15),
(54677, NULL, 'PTHR10366:SF681', NULL, NULL, NULL, NULL, 'BNAA05G13490D PROTEIN', NULL, NULL, NULL, 15),
(54678, NULL, 'PTHR47215:SF1', NULL, NULL, NULL, NULL, 'F9L1.8 PROTEIN', NULL, NULL, NULL, 15),
(54679, NULL, 'PTHR12866:SF5', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED 10, ISOFORM B', NULL, NULL, NULL, 15),
(54680, NULL, 'PTHR43372:SF4', NULL, NULL, NULL, NULL, 'FATTY-ACID AMIDE HYDROLASE 2', NULL, NULL, NULL, 15),
(54681, NULL, 'PTHR11767:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54682, NULL, 'PTHR35542:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 168', NULL, NULL, NULL, 15),
(54683, NULL, 'PTHR43243:SF77', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54684, NULL, 'PTHR43625:SF70', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE YAKC [NADP(+)]', NULL, NULL, NULL, 15),
(54685, NULL, 'PTHR46158:SF14', NULL, NULL, NULL, NULL, 'BNAC05G43260D PROTEIN', NULL, NULL, NULL, 15),
(54686, NULL, 'PTHR10231:SF90', NULL, NULL, NULL, NULL, 'UDP-SUGAR TRANSPORTER PROTEIN SLC35A5-RELATED', NULL, NULL, NULL, 15),
(54687, NULL, 'PTHR46537:SF8', NULL, NULL, NULL, NULL, 'BNAC05G02040D PROTEIN', NULL, NULL, NULL, 15),
(54688, NULL, 'PTHR33565:SF15', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(54689, NULL, 'PTHR23073:SF100', NULL, NULL, NULL, NULL, '26S PROTEASE REGULATORY SUBUNIT 6A HOMOLOG A', NULL, NULL, NULL, 15),
(54690, NULL, 'PTHR46300', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED-RELATED', NULL, NULL, NULL, 15),
(54691, NULL, 'PTHR10351:SF64', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', NULL, NULL, NULL, 15),
(54692, NULL, 'PTHR48047:SF104', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(54693, NULL, 'PTHR38015', NULL, NULL, NULL, NULL, 'BLR6086 PROTEIN', NULL, NULL, NULL, 15),
(54694, NULL, 'PTHR34041:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REPAIR PROTEIN PSB27-H1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(54695, NULL, 'PTHR31044:SF43', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 13-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(54696, NULL, 'PTHR10015:SF329', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-1', NULL, NULL, NULL, 15),
(54697, NULL, 'PTHR45650:SF9', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(54698, NULL, 'PTHR39156', NULL, NULL, NULL, NULL, 'RIBONUCLEASE M5', NULL, NULL, NULL, 15),
(54699, NULL, 'PTHR13071', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S22', NULL, NULL, 15670, 15),
(54700, NULL, 'PTHR30096:SF0', NULL, NULL, NULL, NULL, '4,5-DOPA DIOXYGENASE EXTRADIOL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54701, NULL, 'PTHR11136:SF5', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE, MITOCHONDRIAL', NULL, NULL, 16866, 15),
(54702, NULL, 'PTHR24055:SF386', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(54703, NULL, 'PTHR32468:SF0', NULL, NULL, NULL, NULL, 'K(+)/H(+) ANTIPORTER 1', NULL, NULL, NULL, 15),
(54704, NULL, 'PTHR22870:SF397', NULL, NULL, NULL, NULL, 'INACTIVE PHOSPHOLIPASE C-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(54705, NULL, 'PTHR23120:SF14', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT-CONTAINING PROTEIN FAMILY MEMBER 2A', NULL, NULL, NULL, 15),
(54706, NULL, 'PTHR31669:SF217', NULL, NULL, NULL, NULL, 'OS03G0614250 PROTEIN', NULL, NULL, NULL, 15),
(54707, NULL, 'PTHR31325:SF175', NULL, NULL, NULL, NULL, 'OSJNBB0049I21.4 PROTEIN', NULL, NULL, NULL, 15),
(54708, NULL, 'PTHR31790:SF218', NULL, NULL, NULL, NULL, 'S-LOCUS F-BOX PROTEIN TYPE-1', NULL, NULL, NULL, 15),
(54709, NULL, 'PTHR21469:SF4', NULL, NULL, NULL, NULL, 'EXOPHILIN-5', NULL, NULL, NULL, 15),
(54710, NULL, 'PTHR18949:SF1', NULL, NULL, NULL, NULL, 'LYMPHOCYTE-SPECIFIC PROTEIN 1', NULL, NULL, NULL, 15),
(54711, NULL, 'PTHR45648:SF9', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN APG, PUTATIVE-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54712, NULL, 'PTHR24135:SF29', NULL, NULL, NULL, NULL, 'SH3 AND MULTIPLE ANKYRIN REPEAT DOMAINS 3B', NULL, NULL, NULL, 15),
(54713, NULL, 'PTHR46128:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54714, NULL, 'PTHR31038:SF19', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(54715, NULL, 'PTHR46488:SF1', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT ZETA-1', NULL, NULL, NULL, 15),
(54716, NULL, 'PTHR48043:SF101', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(54717, NULL, 'PTHR36466', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 15', NULL, NULL, 30320, 15),
(54718, NULL, 'PTHR43620:SF22', NULL, NULL, NULL, NULL, 'BNAC09G33580D PROTEIN', NULL, NULL, NULL, 15),
(54719, NULL, 'PTHR11909:SF20', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM ALPHA', NULL, NULL, NULL, 15),
(54720, NULL, 'PTHR14313', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G5B', NULL, NULL, 35328, 15),
(54721, NULL, 'PTHR10209:SF705', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 8', NULL, NULL, NULL, 15),
(54722, NULL, 'PTHR10807:SF121', NULL, NULL, NULL, NULL, 'BNAC02G02660D PROTEIN', NULL, NULL, NULL, 15),
(54723, NULL, 'PTHR43655:SF2', NULL, NULL, NULL, NULL, 'SD01613P', NULL, NULL, NULL, 15),
(54724, NULL, 'PTHR31080:SF173', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(54725, NULL, 'PTHR31928:SF6', NULL, NULL, NULL, NULL, 'OS01G0108800 PROTEIN', NULL, NULL, NULL, 15),
(54726, NULL, 'PTHR14107:SF23', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 20-LIKE', NULL, NULL, NULL, 15),
(54727, NULL, 'PTHR45674:SF11', NULL, NULL, NULL, NULL, 'BLR5182 PROTEIN', NULL, NULL, NULL, 15),
(54728, NULL, 'PTHR46502:SF9', NULL, NULL, NULL, NULL, 'ELICITOR-RESPONSIVE PROTEIN 3', NULL, NULL, NULL, 15),
(54729, NULL, 'PTHR31045:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54730, NULL, 'PTHR13822', NULL, NULL, NULL, NULL, 'ATP SYNTHASE DELTA/EPSILON CHAIN', NULL, NULL, 6102, 15),
(54731, NULL, 'PTHR21664', NULL, NULL, NULL, NULL, 'CHRONIC MYELOGENOUS LEUKEMIA TUMOR ANTIGEN 66', NULL, NULL, 33003, 15),
(54732, NULL, 'PTHR46038:SF34', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(54733, NULL, 'PTHR37488', NULL, NULL, NULL, NULL, 'DUF1275 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(54734, NULL, 'PTHR45714:SF56', NULL, NULL, NULL, NULL, 'BNAA06G34950D PROTEIN', NULL, NULL, NULL, 15),
(54735, NULL, 'PTHR18934:SF209', NULL, NULL, NULL, NULL, 'HELICASE, C-TERMINAL', NULL, NULL, NULL, 15),
(54736, NULL, 'PTHR36113', NULL, NULL, NULL, NULL, 'LYASE, PUTATIVE-RELATED-RELATED', NULL, NULL, NULL, 15),
(54737, NULL, 'PTHR31311:SF32', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(54738, NULL, 'PTHR45655:SF2', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE SOLUBLE SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(54739, NULL, 'PTHR11886:SF56', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(54740, NULL, 'PTHR26452:SF105', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(54741, NULL, 'PTHR26452:SF36', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 492-RELATED', NULL, NULL, NULL, 15),
(54742, NULL, 'PTHR42254:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54743, NULL, 'PTHR43625', NULL, NULL, NULL, NULL, 'AFLATOXIN B1 ALDEHYDE REDUCTASE', NULL, NULL, NULL, 15),
(54744, NULL, 'PTHR15623:SF8', NULL, NULL, NULL, NULL, 'SPATS2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54745, NULL, 'PTHR16631:SF24', NULL, NULL, NULL, NULL, 'FAMILY 17 GLUCOSIDASE SCW11-RELATED', NULL, NULL, NULL, 15),
(54746, NULL, 'PTHR11229:SF16', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L3-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(54747, NULL, 'PTHR45824:SF20', NULL, NULL, NULL, NULL, 'CELLULAR RETINALDEHYDE BINDING/ALPHA-TOCOPHEROL TRANSPORT-RELATED', NULL, NULL, NULL, 15),
(54748, NULL, 'PTHR42832:SF3', NULL, NULL, NULL, NULL, 'LL-DIAMINOPIMELATE AMINOTRANSFERASE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54749, NULL, 'PTHR23236:SF54', NULL, NULL, NULL, NULL, 'BNAC03G60210D PROTEIN', NULL, NULL, NULL, 15),
(54750, NULL, 'PTHR10742', NULL, NULL, NULL, NULL, 'FLAVIN MONOAMINE OXIDASE', NULL, NULL, NULL, 15),
(54751, NULL, 'PTHR24384:SF211', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 92', NULL, NULL, NULL, 15),
(54752, NULL, 'PTHR10201:SF21', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-17', NULL, NULL, 24531, 15),
(54753, NULL, 'PTHR47989:SF4', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 40', NULL, NULL, NULL, 15),
(54754, NULL, 'PTHR30314:SF22', NULL, NULL, NULL, NULL, 'CELL DIVISION FTSZ-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54755, NULL, 'PTHR12506:SF66', NULL, NULL, NULL, NULL, 'BNAANNG03230D PROTEIN', NULL, NULL, NULL, 15),
(54756, NULL, 'PTHR10739:SF30', NULL, NULL, NULL, NULL, 'CHOLINEPHOSPHATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(54757, NULL, 'PTHR26450:SF146', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(54758, NULL, 'PTHR31377:SF5', NULL, NULL, NULL, NULL, 'BNAC05G11260D PROTEIN', NULL, NULL, NULL, 15),
(54759, NULL, 'PTHR35121:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54760, NULL, 'PTHR10159:SF414', NULL, NULL, NULL, NULL, 'RHODANESE DOMAIN-CONTAINING DUAL SPECIFICITY PROTEIN PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(54761, NULL, 'PTHR43096:SF50', NULL, NULL, NULL, NULL, 'DNAJ-CLASS MOLECULAR CHAPERONE', NULL, NULL, NULL, 15),
(54762, NULL, 'PTHR12044', NULL, NULL, NULL, NULL, 'BCL2 INTERACTING MEDIATOR OF CELL DEATH', NULL, NULL, NULL, 15),
(54763, NULL, 'PTHR10811:SF79', NULL, NULL, NULL, NULL, 'BNAA10G29940D PROTEIN', NULL, NULL, NULL, 15),
(54764, NULL, 'PTHR11208:SF117', NULL, NULL, NULL, NULL, 'PROTEIN CBG06045', NULL, NULL, NULL, 15),
(54765, NULL, 'PTHR46471:SF2', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE', NULL, NULL, NULL, 15),
(54766, NULL, 'PTHR13318:SF185', NULL, NULL, NULL, NULL, 'C-MAF INDUCING PROTEIN', NULL, NULL, NULL, 15),
(54767, NULL, 'PTHR21136:SF72', NULL, NULL, NULL, NULL, 'OS07G0249200 PROTEIN', NULL, NULL, NULL, 15),
(54768, NULL, 'PTHR45878:SF30', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP2', NULL, NULL, NULL, 15),
(54769, NULL, 'PTHR23322:SF78', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 12-RELATED', NULL, NULL, NULL, 15),
(54770, NULL, 'PTHR19241:SF551', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54771, NULL, 'PTHR44372:SF7', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-GAMMA-RELATED', NULL, NULL, NULL, 15),
(54772, NULL, 'PTHR36788', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 183', NULL, NULL, 29341, 15),
(54773, NULL, 'PTHR24253:SF103', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 7', NULL, NULL, NULL, 15),
(54774, NULL, 'PTHR11875', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED PROTEIN', NULL, NULL, 5356, 15),
(54775, NULL, 'PTHR21041:SF3', NULL, NULL, NULL, NULL, 'OSTEOCLAST STIMULATORY TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(54776, NULL, 'PTHR36194:SF1', NULL, NULL, NULL, NULL, 'S-LAYER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54777, NULL, 'PTHR11635:SF153', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE TYPE II-ALPHA REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(54778, NULL, 'PTHR11051:SF9', NULL, NULL, NULL, NULL, 'KOJIBIOSE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(54779, NULL, 'PTHR31707:SF246', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 61-RELATED', NULL, NULL, NULL, 15),
(54780, NULL, 'PTHR11002:SF13', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(54781, NULL, 'PTHR45676:SF95', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL53-RELATED', NULL, NULL, NULL, 15),
(54782, NULL, 'PTHR41161', NULL, NULL, NULL, NULL, 'PROTEIN NCBP2AS2', NULL, NULL, 39763, 15),
(54783, NULL, 'PTHR42681:SF4', NULL, NULL, NULL, NULL, 'MONOOXYGENASE RV1533-RELATED', NULL, NULL, NULL, 15),
(54784, NULL, 'PTHR31218:SF159', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(54785, NULL, 'PTHR28553:SF1', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE B', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54786, NULL, 'PTHR10177:SF385', NULL, NULL, NULL, NULL, 'CYCLIN-A1-4', NULL, NULL, NULL, 15),
(54787, NULL, 'PTHR24093:SF450', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(54788, NULL, 'PTHR11977:SF33', NULL, NULL, NULL, NULL, 'ADVILLIN', NULL, NULL, NULL, 15),
(54789, NULL, 'PTHR43710:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54790, NULL, 'PTHR23113:SF172', NULL, NULL, NULL, NULL, 'RAS-GEF DOMAIN-CONTAINING FAMILY MEMBER 1A', NULL, NULL, NULL, 15),
(54791, NULL, 'PTHR28629:SF14', NULL, NULL, NULL, NULL, 'DIHYDROXYACETONE KINASE, L SUBUNIT', NULL, NULL, NULL, 15),
(54792, NULL, 'PTHR11472:SF1', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION AND DNA REPAIR FACTOR IIH HELICASE SUBUNIT XPD', NULL, NULL, 2485, 15),
(54793, NULL, 'PTHR33110:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54794, NULL, 'PTHR37888:SF4', NULL, NULL, NULL, NULL, 'OS07G0565300 PROTEIN', NULL, NULL, NULL, 15),
(54795, NULL, 'PTHR11785:SF203', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(54796, NULL, 'PTHR16757:SF1', NULL, NULL, NULL, NULL, 'DENDRIN', NULL, NULL, NULL, 15),
(54797, NULL, 'PTHR44083:SF22', NULL, NULL, NULL, NULL, 'PROTEIN TPR3-LIKE', NULL, NULL, NULL, 15),
(54798, NULL, 'PTHR45844:SF9', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(54799, NULL, 'PTHR31126:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54800, NULL, 'PTHR44067:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54801, NULL, 'PTHR45621:SF17', NULL, NULL, NULL, NULL, 'OS03G0407900 PROTEIN', NULL, NULL, NULL, 15),
(54802, NULL, 'PTHR45969:SF45', NULL, NULL, NULL, NULL, 'BNAA02G36840D PROTEIN', NULL, NULL, NULL, 15),
(54803, NULL, 'PTHR23021:SF18', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(54804, NULL, 'PTHR19957:SF322', NULL, NULL, NULL, NULL, 'SYNTAXIN-8', NULL, NULL, NULL, 15),
(54805, NULL, 'PTHR31549:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54806, NULL, 'PTHR42886:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54807, NULL, 'PTHR18952:SF233', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54808, NULL, 'PTHR34058:SF2', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 1-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(54809, NULL, 'PTHR11593', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17', NULL, NULL, 4564, 15),
(54810, NULL, 'PTHR47116:SF9', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 5', NULL, NULL, NULL, 15),
(54811, NULL, 'PTHR22794:SF2', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(54812, NULL, 'PTHR35137', NULL, NULL, NULL, NULL, 'CHROMOPHORE LYASE CRL, CHLOROPLASTIC', NULL, NULL, 9507, 15),
(54813, NULL, 'PTHR24340:SF27', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-2.8', NULL, NULL, NULL, 15),
(54814, NULL, 'PTHR33184:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54815, NULL, 'PTHR11709:SF350', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSP', NULL, NULL, NULL, 15),
(54816, NULL, 'PTHR24247:SF34', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 1F', NULL, NULL, 5943, 15),
(54817, NULL, 'PTHR24286:SF53', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE-LIKE', NULL, NULL, NULL, 15),
(54818, NULL, 'PTHR48031:SF1', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 7', NULL, NULL, NULL, 15),
(54819, NULL, 'PTHR31269:SF48', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH1', NULL, NULL, NULL, 15),
(54820, NULL, 'PTHR23359:SF201', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(54821, NULL, 'PTHR46147:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASH1L', NULL, NULL, NULL, 15),
(54822, NULL, 'PTHR24343:SF372', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK4', NULL, NULL, NULL, 15),
(54823, NULL, 'PTHR21229:SF66', NULL, NULL, NULL, NULL, 'PROTEIN GPR107-LIKE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54824, NULL, 'PTHR12722:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM50B', NULL, NULL, NULL, 15),
(54825, NULL, 'PTHR31066:SF65', NULL, NULL, NULL, NULL, 'BNAA02G11790D PROTEIN', NULL, NULL, NULL, 15),
(54826, NULL, 'PTHR31352:SF3', NULL, NULL, NULL, NULL, 'INACTIVE BETA-AMYLASE 9', NULL, NULL, NULL, 15),
(54827, NULL, 'PTHR21191:SF7', NULL, NULL, NULL, NULL, 'AQUAPORIN-11', NULL, NULL, 20718, 15),
(54828, NULL, 'PTHR32410:SF194', NULL, NULL, NULL, NULL, 'BNAA05G26170D PROTEIN', NULL, NULL, NULL, 15),
(54829, NULL, 'PTHR14398', NULL, NULL, NULL, NULL, 'RNA RECOGNITION RRM/RNP DOMAIN', NULL, NULL, 39365, 15),
(54830, NULL, 'PTHR24258:SF136', NULL, NULL, NULL, NULL, 'SERINE PROTEASE H81', NULL, NULL, NULL, 15),
(54831, NULL, 'PTHR31989:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54832, NULL, 'PTHR47926:SF191', NULL, NULL, NULL, NULL, 'OS10G0477200 PROTEIN', NULL, NULL, NULL, 15),
(54833, NULL, 'PTHR14950:SF46', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE DICER HOMOLOG 3', NULL, NULL, NULL, 15),
(54834, NULL, 'PTHR47420:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(54835, NULL, 'PTHR19229:SF49', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 7', NULL, NULL, 27770, 15),
(54836, NULL, 'PTHR31197:SF14', NULL, NULL, NULL, NULL, 'OS06G0693700 PROTEIN', NULL, NULL, NULL, 15),
(54837, NULL, 'PTHR14689:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 82', NULL, NULL, NULL, 15),
(54838, NULL, 'PTHR47993:SF14', NULL, NULL, NULL, NULL, 'BNAA09G27180D PROTEIN', NULL, NULL, NULL, 15),
(54839, NULL, 'PTHR44218', NULL, NULL, NULL, NULL, 'PROTEIN SPA1-RELATED 2', NULL, NULL, 38610, 15),
(54840, NULL, 'PTHR36370:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54841, NULL, 'PTHR21015:SF27', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--N-ACETYLMURAMYL-(PENTAPEPTIDE) PYROPHOSPHORYL-UNDECAPRENOL N-ACETYLGLUCOSAMINE TRANSFERASE', NULL, NULL, NULL, 15),
(54842, NULL, 'PTHR11893:SF31', NULL, NULL, NULL, NULL, 'INNEXIN-11', NULL, NULL, 26754, 15),
(54843, NULL, 'PTHR31194:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54844, NULL, 'PTHR46195:SF27', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(54845, NULL, 'PTHR23105:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54846, NULL, 'PTHR42201:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54847, NULL, 'PTHR47958:SF37', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 39-LIKE', NULL, NULL, NULL, 15),
(54848, NULL, 'PTHR23193:SF40', NULL, NULL, NULL, NULL, 'LD43047P-RELATED', NULL, NULL, NULL, 15),
(54849, NULL, 'PTHR13190:SF20', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 2 HOMOLOG B', NULL, NULL, NULL, 15),
(54850, NULL, 'PTHR23417:SF22', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N-7) METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(54851, NULL, 'PTHR20961:SF108', NULL, NULL, NULL, NULL, 'EGF DOMAIN-SPECIFIC O-LINKED N-ACETYLGLUCOSAMINE TRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(54852, NULL, 'PTHR38593', NULL, NULL, NULL, NULL, 'BLR2558 PROTEIN', NULL, NULL, NULL, 15),
(54853, NULL, 'PTHR33450:SF21', NULL, NULL, NULL, NULL, 'OS09G0279200 PROTEIN', NULL, NULL, NULL, 15),
(54854, NULL, 'PTHR19890:SF15', NULL, NULL, NULL, NULL, 'FGF RECEPTOR-LIKE PROTEIN 1B BETA', NULL, NULL, NULL, 15),
(54855, NULL, 'PTHR47372:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54856, NULL, 'PTHR39210:SF1', NULL, NULL, NULL, NULL, 'HEPARIN-SULFATE LYASE', NULL, NULL, NULL, 15),
(54857, NULL, 'PTHR31213:SF64', NULL, NULL, NULL, NULL, 'PHYTOHORMONE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(54858, NULL, 'PTHR28242:SF46', NULL, NULL, NULL, NULL, 'PSEUDO HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 6', NULL, NULL, NULL, 15),
(54859, NULL, 'PTHR24356:SF385', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PKGA-RELATED', NULL, NULL, NULL, 15),
(54860, NULL, 'PTHR24051:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE RECEPTOR TYPE T', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54861, NULL, 'PTHR43734:SF1', NULL, NULL, NULL, NULL, 'PHYTOENE DESATURASE', NULL, NULL, NULL, 15),
(54862, NULL, 'PTHR24177:SF205', NULL, NULL, NULL, NULL, 'OS11G0198900 PROTEIN', NULL, NULL, NULL, 15),
(54863, NULL, 'PTHR11760:SF52', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3-RELATED', NULL, NULL, NULL, 15),
(54864, NULL, 'PTHR46144:SF7', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 12-LIKE', NULL, NULL, NULL, 15),
(54865, NULL, 'PTHR35578', NULL, NULL, NULL, NULL, 'PROLINE-RICH TRANSMEMBRANE PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(54866, NULL, 'PTHR11214:SF87', NULL, NULL, NULL, NULL, 'UDP-GLCNAC:BETAGAL BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE 8', NULL, NULL, NULL, 15),
(54867, NULL, 'PTHR31580:SF41', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 3', NULL, NULL, NULL, 15),
(54868, NULL, 'PTHR10322:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54869, NULL, 'PTHR35298:SF5', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN S1FA3', NULL, NULL, NULL, 15),
(54870, NULL, 'PTHR32141:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54871, NULL, 'PTHR11801:SF50', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION C', NULL, NULL, NULL, 15),
(54872, NULL, 'PTHR16059:SF24', NULL, NULL, NULL, NULL, 'ANTXR CELL ADHESION MOLECULE 1B', NULL, NULL, NULL, 15),
(54873, NULL, 'PTHR46033:SF20', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-LIKE, PLANT MOBILE DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(54874, NULL, 'PTHR19957:SF317', NULL, NULL, NULL, NULL, 'SYNTAXIN-7A', NULL, NULL, NULL, 15),
(54875, NULL, 'PTHR42695', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE YLR126C-RELATED', NULL, NULL, 37631, 15),
(54876, NULL, 'PTHR18884:SF124', NULL, NULL, NULL, NULL, 'SEPTIN 4A', NULL, NULL, NULL, 15),
(54877, NULL, 'PTHR31852:SF163', NULL, NULL, NULL, NULL, 'OS06G0116900 PROTEIN', NULL, NULL, NULL, 15),
(54878, NULL, 'PTHR47991:SF18', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(54879, NULL, 'PTHR48056:SF42', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', NULL, NULL, NULL, 15),
(54880, NULL, 'PTHR48011:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54881, NULL, 'PTHR24248:SF21', NULL, NULL, NULL, NULL, 'BETA-2 ADRENERGIC RECEPTOR', NULL, NULL, 873, 15),
(54882, NULL, 'PTHR24006:SF782', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(54883, NULL, 'PTHR46151:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54884, NULL, 'PTHR24314:SF22', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR', NULL, NULL, NULL, 15),
(54885, NULL, 'PTHR10540:SF20', NULL, NULL, NULL, NULL, 'OS04G0661900 PROTEIN', NULL, NULL, NULL, 15),
(54886, NULL, 'PTHR12350:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54887, NULL, 'PTHR21198:SF8', NULL, NULL, NULL, NULL, 'BROAD SPECIFICITY AMINO-ACID RACEMASE RACX', NULL, NULL, NULL, 15),
(54888, NULL, 'PTHR16043:SF1', NULL, NULL, NULL, NULL, 'DALR ANTICODON-BINDING DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(54889, NULL, 'PTHR31692:SF81', NULL, NULL, NULL, NULL, 'EXPANSIN-B5-LIKE', NULL, NULL, NULL, 15),
(54890, NULL, 'PTHR31235:SF297', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(54891, NULL, 'PTHR35688:SF2', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(54892, NULL, 'PTHR45959:SF43', NULL, NULL, NULL, NULL, 'BASIC HELIX LOOP HELIX (BHLH) DNA-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(54893, NULL, 'PTHR37950:SF1', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE CATABOLISM PROTEIN', NULL, NULL, NULL, 15),
(54894, NULL, 'PTHR32116:SF58', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(54895, NULL, 'PTHR12740:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4931417E11', NULL, NULL, NULL, 15),
(54896, NULL, 'PTHR24216:SF56', NULL, NULL, NULL, NULL, 'LEUPAXIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54897, NULL, 'PTHR11088:SF25', NULL, NULL, NULL, NULL, 'TRNA DIMETHYLALLYLTRANSFERASE', NULL, NULL, NULL, 15),
(54898, NULL, 'PTHR23036:SF112', NULL, NULL, NULL, NULL, 'INTERLEUKIN-23 RECEPTOR', NULL, NULL, NULL, 15),
(54899, NULL, 'PTHR14095:SF8', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND PROTEIN', NULL, NULL, NULL, 15),
(54900, NULL, 'PTHR46433', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54901, NULL, 'PTHR39944', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54902, NULL, 'PTHR33306:SF18', NULL, NULL, NULL, NULL, 'OS02G0775300 PROTEIN', NULL, NULL, NULL, 15),
(54903, NULL, 'PTHR31388:SF167', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(54904, NULL, 'PTHR45626:SF14', NULL, NULL, NULL, NULL, 'OS01G0952200 PROTEIN', NULL, NULL, NULL, 15),
(54905, NULL, 'PTHR21593:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG04697', NULL, NULL, NULL, 15),
(54906, NULL, 'PTHR45613:SF312', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54907, NULL, 'PTHR45614:SF48', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(54908, NULL, 'PTHR11937:SF463', NULL, NULL, NULL, NULL, 'BNAA02G07080D PROTEIN', NULL, NULL, NULL, 15),
(54909, NULL, 'PTHR31607:SF15', NULL, NULL, NULL, NULL, 'BNAA09G02350D PROTEIN', NULL, NULL, NULL, 15),
(54910, NULL, 'PTHR24637:SF256', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(54911, NULL, 'PTHR31304:SF49', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 42', NULL, NULL, NULL, 15),
(54912, NULL, 'PTHR31605', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE O-ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(54913, NULL, 'PTHR37517:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54914, NULL, 'PTHR10582:SF28', NULL, NULL, NULL, NULL, 'NANCHUNG, ISOFORM B', NULL, NULL, NULL, 15),
(54915, NULL, 'PTHR31235:SF226', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(54916, NULL, 'PTHR31221:SF258', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 49-RELATED', NULL, NULL, NULL, 15),
(54917, NULL, 'PTHR31669:SF196', NULL, NULL, NULL, NULL, 'OS03G0843700 PROTEIN', NULL, NULL, NULL, 15),
(54918, NULL, 'PTHR11610:SF162', NULL, NULL, NULL, NULL, 'AGAP003749-PA', NULL, NULL, NULL, 15),
(54919, NULL, 'PTHR21879:SF18', NULL, NULL, NULL, NULL, 'LD17368P', NULL, NULL, NULL, 15),
(54920, NULL, 'PTHR31816', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC13', NULL, NULL, 25277, 15),
(54921, NULL, 'PTHR43224:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54922, NULL, 'PTHR12013', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 14 KD PROTEIN', NULL, NULL, 3468, 15),
(54923, NULL, 'PTHR31238:SF219', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 8', NULL, NULL, NULL, 15),
(54924, NULL, 'PTHR33090:SF44', NULL, NULL, NULL, NULL, 'WOUND INDUCED PROTEIN', NULL, NULL, NULL, 15),
(54925, NULL, 'PTHR24320:SF102', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 12', NULL, NULL, NULL, 15),
(54926, NULL, 'PTHR21879:SF4', NULL, NULL, NULL, NULL, 'OSIRIS 17, ISOFORM C', NULL, NULL, NULL, 15),
(54927, NULL, 'PTHR46443:SF18', NULL, NULL, NULL, NULL, 'BNAC03G42890D PROTEIN', NULL, NULL, NULL, 15),
(54928, NULL, 'PTHR32370:SF114', NULL, NULL, NULL, NULL, 'OS05G0178000 PROTEIN', NULL, NULL, NULL, 15),
(54929, NULL, 'PTHR31029:SF8', NULL, NULL, NULL, NULL, 'OS09G0488800 PROTEIN', NULL, NULL, NULL, 15),
(54930, NULL, 'PTHR30183:SF6', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YNJC', NULL, NULL, NULL, 15),
(54931, NULL, 'PTHR33474:SF20', NULL, NULL, NULL, NULL, 'OS07G0631300 PROTEIN', NULL, NULL, NULL, 15),
(54932, NULL, 'PTHR24282:SF201', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(54933, NULL, 'PTHR28259:SF14', NULL, NULL, NULL, NULL, 'FLUORIDE ION TRANSPORTER CRCB-RELATED', NULL, NULL, NULL, 15),
(54934, NULL, 'PTHR48001:SF76', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(54935, NULL, 'PTHR12865', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE TYPE-II', NULL, NULL, 36052, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54936, NULL, 'PTHR11247:SF61', NULL, NULL, NULL, NULL, 'BNAA07G12610D PROTEIN', NULL, NULL, NULL, 15),
(54937, NULL, 'PTHR12308:SF76', NULL, NULL, NULL, NULL, 'ANOCTAMIN', NULL, NULL, NULL, 15),
(54938, NULL, 'PTHR43742:SF8', NULL, NULL, NULL, NULL, 'ANAEROBIC DIMETHYL SULFOXIDE REDUCTASE, SUBUNIT A-RELATED', NULL, NULL, NULL, 15),
(54939, NULL, 'PTHR15082:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54940, NULL, 'PTHR23428:SF270', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(54941, NULL, 'PTHR11893:SF9', NULL, NULL, NULL, NULL, 'INNEXIN-7', NULL, NULL, NULL, 15),
(54942, NULL, 'PTHR31321:SF99', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(54943, NULL, 'PTHR24015:SF1752', NULL, NULL, NULL, NULL, 'OS08G0375800 PROTEIN', NULL, NULL, NULL, 15),
(54944, NULL, 'PTHR44051:SF8', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(54945, NULL, 'PTHR10607', NULL, NULL, NULL, NULL, 'OSTEOPONTIN', NULL, NULL, 2066, 15),
(54946, NULL, 'PTHR33356:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54947, NULL, 'PTHR10891:SF873', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(54948, NULL, 'PTHR14102:SF4', NULL, NULL, NULL, NULL, 'PARTITIONING DEFECTIVE 6 HOMOLOG BETA', NULL, NULL, 33371, 15),
(54949, NULL, 'PTHR47073:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ANTI-SILENCING 1', NULL, NULL, NULL, 15),
(54950, NULL, 'PTHR12386:SF26', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT G 2, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(54951, NULL, 'PTHR35125:SF4', NULL, NULL, NULL, NULL, 'BNAC06G15830D PROTEIN', NULL, NULL, NULL, 15),
(54952, NULL, 'PTHR12585', NULL, NULL, NULL, NULL, 'SCC1 / RAD21 FAMILY MEMBER', NULL, NULL, 36377, 15),
(54953, NULL, 'PTHR43757:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG06141', NULL, NULL, NULL, 15),
(54954, NULL, 'PTHR10052:SF43', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73B4-LIKE', NULL, NULL, NULL, 15),
(54955, NULL, 'PTHR46119:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54956, NULL, 'PTHR35375:SF2', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP D', NULL, NULL, NULL, 15),
(54957, NULL, 'PTHR31429:SF3', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 40-RELATED', NULL, NULL, NULL, 15),
(54958, NULL, 'PTHR23155:SF1115', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(54959, NULL, 'PTHR24365:SF261', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 1', NULL, NULL, 22145, 15),
(54960, NULL, 'PTHR14856', NULL, NULL, NULL, NULL, 'PQ-LOOP REPEAT-CONTAINING PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54961, NULL, 'PTHR10502:SF19', NULL, NULL, NULL, NULL, 'ANNEXIN A6', NULL, NULL, NULL, 15),
(54962, NULL, 'PTHR34191:SF28', NULL, NULL, NULL, NULL, 'BNAANNG28600D PROTEIN', NULL, NULL, NULL, 15),
(54963, NULL, 'PTHR43103:SF5', NULL, NULL, NULL, NULL, '4-EPIMERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00360)-RELATED', NULL, NULL, NULL, 15),
(54964, NULL, 'PTHR47319:SF15', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1', NULL, NULL, NULL, 15),
(54965, NULL, 'PTHR31087:SF101', NULL, NULL, NULL, NULL, 'TUBBY C 2 PROTEIN', NULL, NULL, NULL, 15),
(54966, NULL, 'PTHR11662:SF427', NULL, NULL, NULL, NULL, 'FI19708P1', NULL, NULL, NULL, 15),
(54967, NULL, 'PTHR11985:SF10', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(54968, NULL, 'PTHR31675:SF32', NULL, NULL, NULL, NULL, 'MALE STERILE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(54969, NULL, 'PTHR46287:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(54970, NULL, 'PTHR12265:SF35', NULL, NULL, NULL, NULL, 'BNAA07G04120D PROTEIN', NULL, NULL, NULL, 15),
(54971, NULL, 'PTHR12859:SF9', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(54972, NULL, 'PTHR39940:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TRUNK', NULL, NULL, NULL, 15),
(54973, NULL, 'PTHR27007:SF281', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(54974, NULL, 'PTHR10291:SF25', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(54975, NULL, 'PTHR45631:SF111', NULL, NULL, NULL, NULL, 'INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(54976, NULL, 'PTHR47660:SF3', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03310)-RELATED', NULL, NULL, NULL, 15),
(54977, NULL, 'PTHR43245:SF24', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(54978, NULL, 'PTHR11850:SF59', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN TGIF1', NULL, NULL, NULL, 15),
(54979, NULL, 'PTHR35975:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 11A', NULL, NULL, NULL, 15),
(54980, NULL, 'PTHR33159:SF49', NULL, NULL, NULL, NULL, 'OS06G0636100 PROTEIN', NULL, NULL, NULL, 15),
(54981, NULL, 'PTHR32370:SF6', NULL, NULL, NULL, NULL, 'ROOT PHOTOTROPISM PROTEIN 3', NULL, NULL, NULL, 15),
(54982, NULL, 'PTHR31194:SF152', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF5-RELATED', NULL, NULL, NULL, 15),
(54983, NULL, 'PTHR31787:SF7', NULL, NULL, NULL, NULL, 'FRIZZLED/SMOOTHENED-LIKE SANS CRD PROTEIN F-RELATED', NULL, NULL, NULL, 15),
(54984, NULL, 'PTHR14694:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(54985, NULL, 'PTHR37278:SF1', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 33-RELATED', NULL, NULL, NULL, 15),
(54986, NULL, 'PTHR10846', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER', NULL, NULL, 7020, 15),
(54987, NULL, 'PTHR11527:SF286', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(54988, NULL, 'PTHR36912:SF2', NULL, NULL, NULL, NULL, 'ANTIGEN 332, DBL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54989, NULL, 'PTHR11417:SF1', NULL, NULL, NULL, NULL, 'PROLACTIN-8A9', NULL, NULL, NULL, 15),
(54990, NULL, 'PTHR36505:SF1', NULL, NULL, NULL, NULL, 'BLR1072 PROTEIN', NULL, NULL, NULL, 15),
(54991, NULL, 'PTHR43502', NULL, NULL, NULL, NULL, 'ENDONUCLEASE MJ1434-RELATED', NULL, NULL, NULL, 15),
(54992, NULL, 'PTHR23070:SF135', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(54993, NULL, 'PTHR46905:SF19', NULL, NULL, NULL, NULL, 'BNAANNG19830D PROTEIN', NULL, NULL, NULL, 15),
(54994, NULL, 'PTHR40547', NULL, NULL, NULL, NULL, 'SLL0298 PROTEIN', NULL, NULL, NULL, 15),
(54995, NULL, 'PTHR46666:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL L18A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(54996, NULL, 'PTHR12881', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 1', NULL, NULL, NULL, 15),
(54997, NULL, 'PTHR47981:SF25', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABG2', NULL, NULL, NULL, 15),
(54998, NULL, 'PTHR12677', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 7810, 15),
(54999, NULL, 'PTHR46058:SF26', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 1', NULL, NULL, NULL, 15),
(55000, NULL, 'PTHR15083', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 6', NULL, NULL, 18703, 15),
(55001, NULL, 'PTHR12403:SF26', NULL, NULL, NULL, NULL, 'BNAA06G40850D PROTEIN', NULL, NULL, NULL, 15),
(55002, NULL, 'PTHR40400:SF1', NULL, NULL, NULL, NULL, 'SLR1512 PROTEIN', NULL, NULL, NULL, 15),
(55003, NULL, 'PTHR45651:SF90', NULL, NULL, NULL, NULL, 'OS02G0789100 PROTEIN', NULL, NULL, NULL, 15),
(55004, NULL, 'PTHR10333:SF41', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN 5', NULL, NULL, 24252, 15),
(55005, NULL, 'PTHR23413:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32-1-LIKE', NULL, NULL, NULL, 15),
(55006, NULL, 'PTHR19876:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55007, NULL, 'PTHR32044:SF93', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 9 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(55008, NULL, 'PTHR15398:SF10', NULL, NULL, NULL, NULL, 'BNAC04G22430D PROTEIN', NULL, NULL, NULL, 15),
(55009, NULL, 'PTHR27005:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55010, NULL, 'PTHR33567', NULL, NULL, NULL, NULL, 'CHROMATE ION TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(55011, NULL, 'PTHR11566:SF131', NULL, NULL, NULL, NULL, 'GTPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G07630)-RELATED', NULL, NULL, NULL, 15),
(55012, NULL, 'PTHR43563:SF1', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(55013, NULL, 'PTHR45630:SF4', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE 13A5-RELATED', NULL, NULL, NULL, 15),
(55014, NULL, 'PTHR43079:SF3', NULL, NULL, NULL, NULL, 'BNAA09G42040D PROTEIN', NULL, NULL, NULL, 15),
(55015, NULL, 'PTHR11753:SF34', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', NULL, NULL, NULL, 15),
(55016, NULL, 'PTHR48060:SF11', NULL, NULL, NULL, NULL, 'BNAC01G32420D PROTEIN', NULL, NULL, NULL, 15),
(55017, NULL, 'PTHR45652', NULL, NULL, NULL, NULL, 'GLIAL FIBRILLARY ACIDIC PROTEIN', NULL, NULL, NULL, 15),
(55018, NULL, 'PTHR11834:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ENHANCER FACTOR TEF-3', NULL, NULL, NULL, 15),
(55019, NULL, 'PTHR47398', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 3', NULL, NULL, 38348, 15),
(55020, NULL, 'PTHR31377:SF0', NULL, NULL, NULL, NULL, 'AGMATINE DEIMINASE-RELATED', NULL, NULL, NULL, 15),
(55021, NULL, 'PTHR11042:SF164', NULL, NULL, NULL, NULL, 'EIF-2-ALPHA KINASE GCN2', NULL, NULL, NULL, 15),
(55022, NULL, 'PTHR22847:SF622', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 83', NULL, NULL, NULL, 15),
(55023, NULL, 'PTHR46518', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 151', NULL, NULL, 33240, 15),
(55024, NULL, 'PTHR23113:SF344', NULL, NULL, NULL, NULL, 'ZGC:171558', NULL, NULL, NULL, 15),
(55025, NULL, 'PTHR19443:SF62', NULL, NULL, NULL, NULL, 'HEXOKINASE-1', NULL, NULL, NULL, 15),
(55026, NULL, 'PTHR47993:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55027, NULL, 'PTHR24211:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55028, NULL, 'PTHR10778:SF47', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE/UDP-GLUCOSE TRANSPORTER 5', NULL, NULL, NULL, 15),
(55029, NULL, 'PTHR11216:SF152', NULL, NULL, NULL, NULL, 'BNAA06G14620D PROTEIN', NULL, NULL, NULL, 15),
(55030, NULL, 'PTHR46045', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U-RELATED', NULL, NULL, 3281, 15),
(55031, NULL, 'PTHR48146', NULL, NULL, NULL, NULL, 'K-STIMULATED PYROPHOSPHATE-ENERGIZED SODIUM PUMP PROTEIN', NULL, NULL, NULL, 15),
(55032, NULL, 'PTHR26450:SF140', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51G1', NULL, NULL, NULL, 15),
(55033, NULL, 'PTHR13457', NULL, NULL, NULL, NULL, 'BAP28', NULL, NULL, 30510, 15),
(55034, NULL, 'PTHR38342:SF1', NULL, NULL, NULL, NULL, 'SLR5037 PROTEIN', NULL, NULL, NULL, 15),
(55035, NULL, 'PTHR47354:SF7', NULL, NULL, NULL, NULL, 'NAD(P)H-FLAVIN REDUCTASE', NULL, NULL, NULL, 15),
(55036, NULL, 'PTHR11309:SF34', NULL, NULL, NULL, NULL, 'FRIZZLED-2', NULL, NULL, 22123, 15),
(55037, NULL, 'PTHR34806:SF5', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 3.1', NULL, NULL, NULL, 15),
(55038, NULL, 'PTHR33388:SF15', NULL, NULL, NULL, NULL, 'OS05G0559316 PROTEIN', NULL, NULL, NULL, 15),
(55039, NULL, 'PTHR11711:SF348', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 2-LIKE', NULL, NULL, NULL, 15),
(55040, NULL, 'PTHR41795', NULL, NULL, NULL, NULL, 'EXOPOLYSACCHARIDE SYNTHESIS PROTEIN', NULL, NULL, 8755, 15),
(55041, NULL, 'PTHR26454:SF7', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6S1', NULL, NULL, NULL, 15),
(55042, NULL, 'PTHR31062:SF38', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(55043, NULL, 'PTHR46301:SF21', NULL, NULL, NULL, NULL, 'N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(55044, NULL, 'PTHR23502', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY', NULL, NULL, NULL, 15),
(55045, NULL, 'PTHR36357:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55046, NULL, 'PTHR13555:SF57', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 474', NULL, NULL, NULL, 15),
(55047, NULL, 'PTHR31042:SF110', NULL, NULL, NULL, NULL, 'BNAA06G38890D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55048, NULL, 'PTHR24068:SF40', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 D3', NULL, NULL, NULL, 15),
(55049, NULL, 'PTHR11710', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19', NULL, NULL, 219, 15),
(55050, NULL, 'PTHR37213:SF2', NULL, NULL, NULL, NULL, 'BNAC04G43990D PROTEIN', NULL, NULL, NULL, 15),
(55051, NULL, 'PTHR11339:SF365', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9530053A07 GENE', NULL, NULL, NULL, 15),
(55052, NULL, 'PTHR36730:SF2', NULL, NULL, NULL, NULL, 'BNAA02G36930D PROTEIN', NULL, NULL, NULL, 15),
(55053, NULL, 'PTHR36586:SF20', NULL, NULL, NULL, NULL, 'EXTENSIN-3', NULL, NULL, NULL, 15),
(55054, NULL, 'PTHR15004:SF2', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT C, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(55055, NULL, 'PTHR24067:SF313', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(55056, NULL, 'PTHR31001:SF66', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(55057, NULL, 'PTHR32039:SF17', NULL, NULL, NULL, NULL, 'MG-PROTOPORPHYRIN IX CHELATASE', NULL, NULL, NULL, 15),
(55058, NULL, 'PTHR21649:SF125', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(55059, NULL, 'PTHR47324:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG17315', NULL, NULL, NULL, 15),
(55060, NULL, 'PTHR22808:SF21', NULL, NULL, NULL, NULL, 'SPERM HEAD AND TAIL ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(55061, NULL, 'PTHR26452:SF813', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(55062, NULL, 'PTHR23054:SF20', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1 LEUCINE-ZIPPER PROTEIN', NULL, NULL, NULL, 15),
(55063, NULL, 'PTHR48021:SF18', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 8', NULL, NULL, NULL, 15),
(55064, NULL, 'PTHR31561:SF12', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(55065, NULL, 'PTHR11969:SF62', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(55066, NULL, 'PTHR31790:SF135', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED DOMAIN, TYPE 1-RELATED', NULL, NULL, NULL, 15),
(55067, NULL, 'PTHR31676:SF27', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(55068, NULL, 'PTHR46780:SF8', NULL, NULL, NULL, NULL, 'MGC171851 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55069, NULL, 'PTHR46093:SF5', NULL, NULL, NULL, NULL, 'ACYL-COA BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(55070, NULL, 'PTHR35300:SF6', NULL, NULL, NULL, NULL, 'BNAC01G30480D PROTEIN', NULL, NULL, NULL, 15),
(55071, NULL, 'PTHR46933', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37180, 15),
(55072, NULL, 'PTHR36493:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55073, NULL, 'PTHR24178:SF15', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 39-RELATED', NULL, NULL, NULL, 15),
(55074, NULL, 'PTHR38393', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA (GLN) AMIDOTRANSFERASE SUBUNIT C', NULL, NULL, NULL, 15),
(55075, NULL, 'PTHR47990:SF95', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55076, NULL, 'PTHR47976:SF56', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(55077, NULL, 'PTHR13388:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55078, NULL, 'PTHR33264:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55079, NULL, 'PTHR38601:SF1', NULL, NULL, NULL, NULL, 'HYDROGENASE-4 COMPONENT E', NULL, NULL, NULL, 15),
(55080, NULL, 'PTHR31343:SF29', NULL, NULL, NULL, NULL, 'PLANT/F9H3-4 PROTEIN', NULL, NULL, NULL, 15),
(55081, NULL, 'PTHR23037', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR', NULL, NULL, NULL, 15),
(55082, NULL, 'PTHR31707:SF310', NULL, NULL, NULL, NULL, 'INHIBITOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(55083, NULL, 'PTHR12937:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 28 HOMOLOG', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55084, NULL, 'PTHR24093:SF420', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 3, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(55085, NULL, 'PTHR24068:SF303', NULL, NULL, NULL, NULL, 'BNAC01G21910D PROTEIN', NULL, NULL, NULL, 15),
(55086, NULL, 'PTHR22814:SF294', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 27', NULL, NULL, NULL, 15),
(55087, NULL, 'PTHR48061:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55088, NULL, 'PTHR30618:SF2', NULL, NULL, NULL, NULL, 'ALLANTOIN PERMEASE-RELATED', NULL, NULL, NULL, 15),
(55089, NULL, 'PTHR22811:SF80', NULL, NULL, NULL, NULL, 'PROTEIN ERP2-RELATED', NULL, NULL, NULL, 15),
(55090, NULL, 'PTHR14083:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YIF1B-LIKE', NULL, NULL, NULL, 15),
(55091, NULL, 'PTHR24095', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', NULL, NULL, NULL, 15),
(55092, NULL, 'PTHR33122:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55093, NULL, 'PTHR11681:SF2', NULL, NULL, NULL, NULL, 'OXYTOCIN-NEUROPHYSIN 1', NULL, NULL, NULL, 15),
(55094, NULL, 'PTHR48024', NULL, NULL, NULL, NULL, 'GEO13361P1-RELATED', NULL, NULL, NULL, 15),
(55095, NULL, 'PTHR10795:SF594', NULL, NULL, NULL, NULL, 'SUBTILASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55096, NULL, 'PTHR13439:SF54', NULL, NULL, NULL, NULL, 'OS05G0485300 PROTEIN', NULL, NULL, NULL, 15),
(55097, NULL, 'PTHR46506:SF32', NULL, NULL, NULL, NULL, 'DIRIGENT', NULL, NULL, NULL, 15),
(55098, NULL, 'PTHR12010:SF18', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S14P/S29E FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55099, NULL, 'PTHR11895:SF147', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA AMIDOTRANSFERASE, SUBUNIT A (GATA-1)', NULL, NULL, NULL, 15),
(55100, NULL, 'PTHR34064:SF3', NULL, NULL, NULL, NULL, 'OS04G0672300 PROTEIN', NULL, NULL, NULL, 15),
(55101, NULL, 'PTHR35936:SF19', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND LYTIC MUREIN TRANSGLYCOSYLASE F', NULL, NULL, NULL, 15),
(55102, NULL, 'PTHR45725:SF11', NULL, NULL, NULL, NULL, 'FORMIN-D-RELATED', NULL, NULL, 28306, 15),
(55103, NULL, 'PTHR31818:SF14', NULL, NULL, NULL, NULL, 'GDP-FUCOSE O-FUCOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(55104, NULL, 'PTHR14304:SF14', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE AND APOPTOSIS REGULATOR PROTEIN 1', NULL, NULL, NULL, 15),
(55105, NULL, 'PTHR48056:SF43', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(55106, NULL, 'PTHR36483:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55107, NULL, 'PTHR34157:SF2', NULL, NULL, NULL, NULL, 'TUZIN', NULL, NULL, NULL, 15),
(55108, NULL, 'PTHR31304:SF39', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55109, NULL, 'PTHR11829:SF357', NULL, NULL, NULL, NULL, 'CIRCADIANLY REGULATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55110, NULL, 'PTHR30146:SF60', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN TORT', NULL, NULL, NULL, 15),
(55111, NULL, 'PTHR10155:SF7', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 2', NULL, NULL, 28746, 15),
(55112, NULL, 'PTHR48018:SF26', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(55113, NULL, 'PTHR33495:SF9', NULL, NULL, NULL, NULL, 'ANTI-SIGMA-B FACTOR ANTAGONIST', NULL, NULL, NULL, 15),
(55114, NULL, 'PTHR30546:SF3', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(55115, NULL, 'PTHR48065:SF22', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(55116, NULL, 'PTHR24082:SF484', NULL, NULL, NULL, NULL, 'ECDYSONE-INDUCED PROTEIN 75B, ISOFORM B', NULL, NULL, NULL, 15),
(55117, NULL, 'PTHR31558:SF28', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(55118, NULL, 'PTHR31218:SF68', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(55119, NULL, 'PTHR31963:SF4', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR K', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55120, NULL, 'PTHR24177:SF264', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55121, NULL, 'PTHR30408:SF2', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME S SUBUNIT', NULL, NULL, NULL, 15),
(55122, NULL, 'PTHR13271:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55123, NULL, 'PTHR22601:SF4', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER MTD1, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00910)-RELATED', NULL, NULL, NULL, 15),
(55124, NULL, 'PTHR43895:SF61', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(55125, NULL, 'PTHR13429:SF5', NULL, NULL, NULL, NULL, 'FERM DOMAIN (PROTEIN4.1-EZRIN-RADIXIN-MOESIN) FAMILY', NULL, NULL, NULL, 15),
(55126, NULL, 'PTHR31734:SF154', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA4', NULL, NULL, NULL, 15),
(55127, NULL, 'PTHR12321:SF133', NULL, NULL, NULL, NULL, 'ALFIN-LIKE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(55128, NULL, 'PTHR45671:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATE CARRIER PROTEIN', NULL, NULL, NULL, 15),
(55129, NULL, 'PTHR32141:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55130, NULL, 'PTHR31972:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55131, NULL, 'PTHR24240:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55132, NULL, 'PTHR13247:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION 1 PROTEIN', NULL, NULL, NULL, 15),
(55133, NULL, 'PTHR34298:SF2', NULL, NULL, NULL, NULL, 'SEGREGATION AND CONDENSATION PROTEIN B', NULL, NULL, NULL, 15),
(55134, NULL, 'PTHR45616:SF29', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 2 ORAL', NULL, NULL, NULL, 15),
(55135, NULL, 'PTHR45696:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55136, NULL, 'PTHR33504:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME X OPEN READING FRAME 58', NULL, NULL, NULL, 15),
(55137, NULL, 'PTHR12585:SF20', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND-BREAK REPAIR PROTEIN RAD21 HOMOLOG', NULL, NULL, NULL, 15),
(55138, NULL, 'PTHR13439:SF65', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(55139, NULL, 'PTHR10177:SF366', NULL, NULL, NULL, NULL, 'PROTEIN CBG05210', NULL, NULL, NULL, 15),
(55140, NULL, 'PTHR16518', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 153, 162', NULL, NULL, 15238, 15),
(55141, NULL, 'PTHR12312:SF20', NULL, NULL, NULL, NULL, 'TWISTED GASTRULATION HOMOLOG 2', NULL, NULL, NULL, 15),
(55142, NULL, 'PTHR47932:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55143, NULL, 'PTHR43133:SF39', NULL, NULL, NULL, NULL, 'SIMILAR TO RNA POLYMERASE SIGMA-E FACTOR', NULL, NULL, NULL, 15),
(55144, NULL, 'PTHR10484', NULL, NULL, NULL, NULL, 'HISTONE H4', NULL, NULL, NULL, 15),
(55145, NULL, 'PTHR47053:SF2', NULL, NULL, NULL, NULL, 'ENDOPEPTIDASE YDDH-RELATED', NULL, NULL, NULL, 15),
(55146, NULL, 'PTHR11985:SF15', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(55147, NULL, 'PTHR42647:SF9', NULL, NULL, NULL, NULL, 'S-RIBONUCLEASE BINDING PROTEIN SBP1-RELATED', NULL, NULL, NULL, 15),
(55148, NULL, 'PTHR31482:SF15', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55149, NULL, 'PTHR10766:SF103', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(55150, NULL, 'PTHR23239:SF215', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 28', NULL, NULL, NULL, 15),
(55151, NULL, 'PTHR21454:SF38', NULL, NULL, NULL, NULL, 'CSL ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(55152, NULL, 'PTHR19338:SF15', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8-LIKE', NULL, NULL, NULL, 15),
(55153, NULL, 'PTHR31062:SF216', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 4', NULL, NULL, NULL, 15),
(55154, NULL, 'PTHR11711:SF377', NULL, NULL, NULL, NULL, 'ADP RIBOSYLATION FACTOR', NULL, NULL, NULL, 15),
(55155, NULL, 'PTHR43718:SF11', NULL, NULL, NULL, NULL, 'BNAA06G02580D PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55156, NULL, 'PTHR34659', NULL, NULL, NULL, NULL, 'BNAA05G11610D PROTEIN', NULL, NULL, NULL, 15),
(55157, NULL, 'PTHR11533:SF192', NULL, NULL, NULL, NULL, 'PROTEIN CBG20905', NULL, NULL, NULL, 15),
(55158, NULL, 'PTHR31311:SF7', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(55159, NULL, 'PTHR47834', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CITRX, CHLOROPLASTIC', NULL, NULL, 39344, 15),
(55160, NULL, 'PTHR33418:SF1', NULL, NULL, NULL, NULL, 'HELICASE-ASSOCIATED', NULL, NULL, NULL, 15),
(55161, NULL, 'PTHR11863:SF186', NULL, NULL, NULL, NULL, 'BNAA10G11680D PROTEIN', NULL, NULL, NULL, 15),
(55162, NULL, 'PTHR11566:SF190', NULL, NULL, NULL, NULL, 'BNAA01G22340D PROTEIN', NULL, NULL, NULL, 15),
(55163, NULL, 'PTHR30330:SF14', NULL, NULL, NULL, NULL, 'SODIUM/ALANINE SYMPORTER-RELATED', NULL, NULL, NULL, 15),
(55164, NULL, 'PTHR33862', NULL, NULL, NULL, NULL, 'OROFACIAL CLEFT 1 CANDIDATE GENE 1 PROTEIN', NULL, NULL, 27228, 15),
(55165, NULL, 'PTHR10426:SF62', NULL, NULL, NULL, NULL, 'OS08G0175000 PROTEIN', NULL, NULL, NULL, 15),
(55166, NULL, 'PTHR10250:SF22', NULL, NULL, NULL, NULL, 'MICROSOMAL GLUTATHIONE S-TRANSFERASE 3', NULL, NULL, NULL, 15),
(55167, NULL, 'PTHR13468:SF12', NULL, NULL, NULL, NULL, 'DEK DOMAIN-CONTAINING CHROMATIN ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(55168, NULL, 'PTHR44013:SF1', NULL, NULL, NULL, NULL, 'ZINC-TYPE ALCOHOL DEHYDROGENASE-LIKE PROTEIN C16A3.02C', NULL, NULL, NULL, 15),
(55169, NULL, 'PTHR43210', NULL, NULL, NULL, NULL, 'DETHIOBIOTIN SYNTHETASE', NULL, NULL, 7161, 15),
(55170, NULL, 'PTHR23500:SF178', NULL, NULL, NULL, NULL, 'OS02G0160400 PROTEIN', NULL, NULL, NULL, 15),
(55171, NULL, 'PTHR43434:SF6', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE', NULL, NULL, NULL, 15),
(55172, NULL, 'PTHR30620:SF100', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 3-RELATED', NULL, NULL, NULL, 15),
(55173, NULL, 'PTHR11638:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55174, NULL, 'PTHR24418:SF370', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(55175, NULL, 'PTHR24281:SF139', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D6', NULL, NULL, NULL, 15),
(55176, NULL, 'PTHR23101:SF51', NULL, NULL, NULL, NULL, 'RAS AND RAB INTERACTOR 2', NULL, NULL, NULL, 15),
(55177, NULL, 'PTHR24296:SF101', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94B1', NULL, NULL, NULL, 15),
(55178, NULL, 'PTHR11353:SF196', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ZETA 2', NULL, NULL, NULL, 15),
(55179, NULL, 'PTHR10540:SF8', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(55180, NULL, 'PTHR48011:SF43', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 19', NULL, NULL, NULL, 15),
(55181, NULL, 'PTHR31874:SF33', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 16-RELATED', NULL, NULL, NULL, 15),
(55182, NULL, 'PTHR13333', NULL, NULL, NULL, NULL, 'M-AAA PROTEASE-INTERACTING PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(55183, NULL, 'PTHR10795:SF702', NULL, NULL, NULL, NULL, 'PEPTIDASE S8, SUBTILISIN-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55184, NULL, 'PTHR21301', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE', NULL, NULL, NULL, 15),
(55185, NULL, 'PTHR10760:SF2', NULL, NULL, NULL, NULL, 'LD13476P-RELATED', NULL, NULL, 27765, 15),
(55186, NULL, 'PTHR33573:SF13', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(55187, NULL, 'PTHR31639:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55188, NULL, 'PTHR11654:SF489', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.4', NULL, NULL, NULL, 15),
(55189, NULL, 'PTHR15160:SF12', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NUCLEASE 2', NULL, NULL, NULL, 15),
(55190, NULL, 'PTHR14289', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 3', NULL, NULL, NULL, 15),
(55191, NULL, 'PTHR24243:SF45', NULL, NULL, NULL, NULL, 'GASTRIN/CHOLECYSTOKININ TYPE B RECEPTOR', NULL, NULL, NULL, 15),
(55192, NULL, 'PTHR40472:SF10', NULL, NULL, NULL, NULL, 'RAPUNZEL 5', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55193, NULL, 'PTHR43690:SF7', NULL, NULL, NULL, NULL, 'OS01G0779100 PROTEIN', NULL, NULL, NULL, 15),
(55194, NULL, 'PTHR43157:SF49', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02580)-RELATED', NULL, NULL, NULL, 15),
(55195, NULL, 'PTHR31906:SF3', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 11, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(55196, NULL, 'PTHR22589:SF31', NULL, NULL, NULL, NULL, 'CARNITINE PALMITOYLTRANSFERASE I', NULL, NULL, NULL, 15),
(55197, NULL, 'PTHR10837:SF11', NULL, NULL, NULL, NULL, 'PROTEIN-ARGININE DEIMINASE TYPE-1', NULL, NULL, NULL, 15),
(55198, NULL, 'PTHR23004:SF5', NULL, NULL, NULL, NULL, 'DOUBLECORTIN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 30077, 15),
(55199, NULL, 'PTHR13377:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 115', NULL, NULL, NULL, 15),
(55200, NULL, 'PTHR45993:SF4', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA/LEUKEMIA 11B', NULL, NULL, NULL, 15),
(55201, NULL, 'PTHR46780:SF14', NULL, NULL, NULL, NULL, 'PROTEIN EVA-1 HOMOLOG A', NULL, NULL, 30890, 15),
(55202, NULL, 'PTHR28304', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX29', NULL, NULL, NULL, 15),
(55203, NULL, 'PTHR23226:SF257', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 525', NULL, NULL, NULL, 15),
(55204, NULL, 'PTHR31375:SF200', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', NULL, NULL, NULL, 15),
(55205, NULL, 'PTHR32021:SF27', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5B1', NULL, NULL, NULL, 15),
(55206, NULL, 'PTHR22968:SF27', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C, BRAIN ISOZYME-LIKE PROTEIN', NULL, NULL, NULL, 15),
(55207, NULL, 'PTHR32009:SF55', NULL, NULL, NULL, NULL, 'TIR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55208, NULL, 'PTHR32003:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM199X', NULL, NULL, NULL, 15),
(55209, NULL, 'PTHR11260:SF643', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(55210, NULL, 'PTHR11021:SF1', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM6', NULL, NULL, NULL, 15),
(55211, NULL, 'PTHR13382:SF19', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55212, NULL, 'PTHR33130:SF65', NULL, NULL, NULL, NULL, 'BNAA06G00370D PROTEIN', NULL, NULL, NULL, 15),
(55213, NULL, 'PTHR24376:SF151', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 770', NULL, NULL, NULL, 15),
(55214, NULL, 'PTHR11699:SF120', NULL, NULL, NULL, NULL, 'CYTOSOLIC 10-FORMYLTETRAHYDROFOLATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(55215, NULL, 'PTHR31612:SF2', NULL, NULL, NULL, NULL, 'MULTIVESICULAR BODY SUBUNIT 12A', NULL, NULL, NULL, 15),
(55216, NULL, 'PTHR31989:SF299', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 43', NULL, NULL, NULL, 15),
(55217, NULL, 'PTHR45844:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH131', NULL, NULL, NULL, 15),
(55218, NULL, 'PTHR10816', NULL, NULL, NULL, NULL, 'MYELIN TRANSCRIPTION FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(55219, NULL, 'PTHR37013:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55220, NULL, 'PTHR24377:SF369', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(55221, NULL, 'PTHR12654:SF0', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', NULL, NULL, NULL, 15),
(55222, NULL, 'PTHR24559:SF329', NULL, NULL, NULL, NULL, 'PROTEIN CBG16472', NULL, NULL, NULL, 15),
(55223, NULL, 'PTHR10233:SF15', NULL, NULL, NULL, NULL, 'NAGB/RPIA/COA TRANSFERASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(55224, NULL, 'PTHR16052:SF0', NULL, NULL, NULL, NULL, 'TBCC DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(55225, NULL, 'PTHR34452:SF13', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55226, NULL, 'PTHR47978', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55227, NULL, 'PTHR31945:SF122', NULL, NULL, NULL, NULL, 'BNAA02G27370D PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55228, NULL, 'PTHR36481:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(55229, NULL, 'PTHR31645:SF51', NULL, NULL, NULL, NULL, 'YELLOW STRIPE-LIKE 9 TRANSPORTER', NULL, NULL, NULL, 15),
(55230, NULL, 'PTHR15919:SF12', NULL, NULL, NULL, NULL, 'DAPPER HOMOLOG 1', NULL, NULL, 16909, 15),
(55231, NULL, 'PTHR21136:SF190', NULL, NULL, NULL, NULL, 'LONGIN-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55232, NULL, 'PTHR16830:SF1', NULL, NULL, NULL, NULL, 'FYN-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(55233, NULL, 'PTHR26312:SF132', NULL, NULL, NULL, NULL, 'OS01G0855200 PROTEIN', NULL, NULL, NULL, 15),
(55234, NULL, 'PTHR31346:SF1', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(55235, NULL, 'PTHR23202:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55236, NULL, 'PTHR11339:SF382', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55237, NULL, 'PTHR14453:SF94', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(55238, NULL, 'PTHR16148:SF11', NULL, NULL, NULL, NULL, 'CDKN2A-INTERACTING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55239, NULL, 'PTHR38488:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 9.5 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G08980)-RELATED', NULL, NULL, NULL, 15),
(55240, NULL, 'PTHR35981:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG26136', NULL, NULL, NULL, 15),
(55241, NULL, 'PTHR47968:SF39', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7B', NULL, NULL, NULL, 15),
(55242, NULL, 'PTHR31062:SF163', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(55243, NULL, 'PTHR24559:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55244, NULL, 'PTHR31283:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55245, NULL, 'PTHR11347:SF205', NULL, NULL, NULL, NULL, '5''-CYCLIC NUCLEOTIDE PHOSPHODIESTERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(55246, NULL, 'PTHR45969:SF44', NULL, NULL, NULL, NULL, 'BNAA04G17360D PROTEIN', NULL, NULL, NULL, 15),
(55247, NULL, 'PTHR16445:SF0', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN FLJ20010', NULL, NULL, NULL, 15),
(55248, NULL, 'PTHR34451:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55249, NULL, 'PTHR32191:SF66', NULL, NULL, NULL, NULL, 'BNAA06G40190D PROTEIN', NULL, NULL, NULL, 15),
(55250, NULL, 'PTHR48063:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55251, NULL, 'PTHR33564:SF11', NULL, NULL, NULL, NULL, 'OS06G0604600 PROTEIN', NULL, NULL, NULL, 15),
(55252, NULL, 'PTHR43331:SF1', NULL, NULL, NULL, NULL, 'HOMOSERINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(55253, NULL, 'PTHR45614:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55254, NULL, 'PTHR11771:SF149', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(55255, NULL, 'PTHR30451', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE USHER PROTEIN', NULL, NULL, 7101, 15),
(55256, NULL, 'PTHR23189:SF102', NULL, NULL, NULL, NULL, 'FI21126P1-RELATED', NULL, NULL, NULL, 15),
(55257, NULL, 'PTHR12619:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RFX4', NULL, NULL, NULL, 15),
(55258, NULL, 'PTHR34223:SF44', NULL, NULL, NULL, NULL, 'OS01G0789000 PROTEIN', NULL, NULL, NULL, 15),
(55259, NULL, 'PTHR47194', NULL, NULL, NULL, NULL, 'SORTING NEXIN-29-RELATED', NULL, NULL, NULL, 15),
(55260, NULL, 'PTHR33057:SF17', NULL, NULL, NULL, NULL, 'OS01G0226700 PROTEIN', NULL, NULL, NULL, 15),
(55261, NULL, 'PTHR11537:SF104', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 6', NULL, NULL, 714, 15),
(55262, NULL, 'PTHR33509:SF29', NULL, NULL, NULL, NULL, 'OS01G0314800 PROTEIN', NULL, NULL, NULL, 15),
(55263, NULL, 'PTHR47995:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55264, NULL, 'PTHR11061:SF30', NULL, NULL, NULL, NULL, 'TRNA (URACIL(54)-C(5))-METHYLTRANSFERASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55265, NULL, 'PTHR23359:SF58', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(55266, NULL, 'PTHR31948:SF103', NULL, NULL, NULL, NULL, 'ZF-HD HOMEOBOX PROTEIN, CYS/HIS-RICH DIMERIZATION DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55267, NULL, 'PTHR32077:SF70', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 7', NULL, NULL, NULL, 15),
(55268, NULL, 'PTHR22811:SF166', NULL, NULL, NULL, NULL, 'BNAA08G19840D PROTEIN', NULL, NULL, NULL, 15),
(55269, NULL, 'PTHR31262:SF13', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN 1A, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(55270, NULL, 'PTHR13043:SF1', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 2', NULL, NULL, NULL, 15),
(55271, NULL, 'PTHR24177:SF329', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', NULL, NULL, NULL, 15),
(55272, NULL, 'PTHR33598:SF9', NULL, NULL, NULL, NULL, 'OS12G0581700 PROTEIN', NULL, NULL, NULL, 15),
(55273, NULL, 'PTHR12737:SF16', NULL, NULL, NULL, NULL, 'N(G),N(G)-DIMETHYLARGININE DIMETHYLAMINOHYDROLASE 2', NULL, NULL, 29566, 15),
(55274, NULL, 'PTHR19269:SF41', NULL, NULL, NULL, NULL, 'TROPOMYOSIN ALPHA-1 CHAIN', NULL, NULL, NULL, 15),
(55275, NULL, 'PTHR26453:SF276', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(55276, NULL, 'PTHR24064:SF337', NULL, NULL, NULL, NULL, 'PHOSPHATE PERMEASE (AFU_ORTHOLOGUE AFUA_5G01320)', NULL, NULL, NULL, 15),
(55277, NULL, 'PTHR47999:SF39', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN ZM1', NULL, NULL, NULL, 15),
(55278, NULL, 'PTHR11467:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55279, NULL, 'PTHR48052:SF22', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE CLAVATA1', NULL, NULL, NULL, 15),
(55280, NULL, 'PTHR22802:SF364', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(55281, NULL, 'PTHR35173', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55282, NULL, 'PTHR31388:SF113', NULL, NULL, NULL, NULL, 'PEROXIDASE 37-RELATED', NULL, NULL, NULL, 15),
(55283, NULL, 'PTHR31539:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 19 KDA', NULL, NULL, NULL, 15),
(55284, NULL, 'PTHR12537:SF120', NULL, NULL, NULL, NULL, 'OS12G0488900 PROTEIN', NULL, NULL, NULL, 15),
(55285, NULL, 'PTHR32444:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55286, NULL, 'PTHR11820:SF106', NULL, NULL, NULL, NULL, 'ACYLPYRUVASE FAHD1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(55287, NULL, 'PTHR31165:SF40', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE4', NULL, NULL, NULL, 15),
(55288, NULL, 'PTHR10217:SF548', NULL, NULL, NULL, NULL, 'GH12235P', NULL, NULL, NULL, 15),
(55289, NULL, 'PTHR28556', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 106B', NULL, NULL, 13263, 15),
(55290, NULL, 'PTHR48047:SF25', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(55291, NULL, 'PTHR33474:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55292, NULL, 'PTHR16483:SF0', NULL, NULL, NULL, NULL, 'BRICHOS DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(55293, NULL, 'PTHR43776:SF1', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(55294, NULL, 'PTHR12411:SF769', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE 1', NULL, NULL, NULL, 15),
(55295, NULL, 'PTHR10605:SF56', NULL, NULL, NULL, NULL, 'GH20068P', NULL, NULL, NULL, 15),
(55296, NULL, 'PTHR46118:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55297, NULL, 'PTHR43329:SF99', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G02310)-RELATED', NULL, NULL, NULL, 15),
(55298, NULL, 'PTHR24028:SF261', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 7A', NULL, NULL, NULL, 15),
(55299, NULL, 'PTHR33181:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55300, NULL, 'PTHR31218:SF224', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55301, NULL, 'PTHR13609:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55302, NULL, 'PTHR48112:SF19', NULL, NULL, NULL, NULL, 'HMG', NULL, NULL, NULL, 15),
(55303, NULL, 'PTHR43888:SF37', NULL, NULL, NULL, NULL, 'SHOCK PROTEIN DNAJ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(55304, NULL, 'PTHR10937', NULL, NULL, NULL, NULL, 'GLUCOSAMINE--FRUCTOSE-6-PHOSPHATE AMINOTRANSFERASE, ISOMERIZING', NULL, NULL, NULL, 15),
(55305, NULL, 'PTHR12632:SF60', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-10-LIKE', NULL, NULL, NULL, 15),
(55306, NULL, 'PTHR31865:SF28', NULL, NULL, NULL, NULL, 'BNAA10G03900D PROTEIN', NULL, NULL, NULL, 15),
(55307, NULL, 'PTHR11690:SF232', NULL, NULL, NULL, NULL, 'DEGENERIN LIKE', NULL, NULL, NULL, 15),
(55308, NULL, 'PTHR24164:SF4', NULL, NULL, NULL, NULL, 'RELA-ASSOCIATED INHIBITOR', NULL, NULL, NULL, 15),
(55309, NULL, 'PTHR33065:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55310, NULL, 'PTHR45775:SF3', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RAD', NULL, NULL, 27963, 15),
(55311, NULL, 'PTHR13019:SF18', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23 HOMOLOG A', NULL, NULL, NULL, 15),
(55312, NULL, 'PTHR43572:SF55', NULL, NULL, NULL, NULL, 'BNAA04G05400D PROTEIN', NULL, NULL, NULL, 15),
(55313, NULL, 'PTHR11125:SF13', NULL, NULL, NULL, NULL, 'KOW DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55314, NULL, 'PTHR12396:SF1', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 3-LIKE 1', NULL, NULL, NULL, 15),
(55315, NULL, 'PTHR23421:SF64', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE B-RELATED', NULL, NULL, NULL, 15),
(55316, NULL, 'PTHR46938:SF2', NULL, NULL, NULL, NULL, 'DISCOIDIN-2', NULL, NULL, NULL, 15),
(55317, NULL, 'PTHR27002:SF496', NULL, NULL, NULL, NULL, 'OSJNBA0043L09.10 PROTEIN', NULL, NULL, NULL, 15),
(55318, NULL, 'PTHR32212:SF372', NULL, NULL, NULL, NULL, 'BNAA06G11390D PROTEIN', NULL, NULL, NULL, 15),
(55319, NULL, 'PTHR14519:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55320, NULL, 'PTHR15654:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 96', NULL, NULL, NULL, 15),
(55321, NULL, 'PTHR24286:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55322, NULL, 'PTHR12321:SF77', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 6', NULL, NULL, NULL, 15),
(55323, NULL, 'PTHR11739:SF30', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', NULL, NULL, NULL, 15),
(55324, NULL, 'PTHR34400', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55325, NULL, 'PTHR24637:SF233', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(55326, NULL, 'PTHR32086', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP D2 PROTEIN', NULL, NULL, 27315, 15),
(55327, NULL, 'PTHR13976:SF42', NULL, NULL, NULL, NULL, 'G-RICH SEQUENCE FACTOR 1', NULL, NULL, 36457, 15),
(55328, NULL, 'PTHR47690', NULL, NULL, NULL, NULL, 'GLUCOKINASE', NULL, NULL, NULL, 15),
(55329, NULL, 'PTHR46995:SF1', NULL, NULL, NULL, NULL, 'OS12G0472800 PROTEIN', NULL, NULL, NULL, 15),
(55330, NULL, 'PTHR40606:SF1', NULL, NULL, NULL, NULL, 'UPF0339 PROTEIN YEGP', NULL, NULL, NULL, 15),
(55331, NULL, 'PTHR47329:SF1', NULL, NULL, NULL, NULL, 'OS05G0129900 PROTEIN', NULL, NULL, NULL, 15),
(55332, NULL, 'PTHR47250:SF3', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(55333, NULL, 'PTHR47233', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN CHEV', NULL, NULL, NULL, 15),
(55334, NULL, 'PTHR24223:SF375', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 11-RELATED', NULL, NULL, NULL, 15),
(55335, NULL, 'PTHR24106:SF109', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55336, NULL, 'PTHR22870:SF373', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY WITH FYVE ZINC FINGER DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(55337, NULL, 'PTHR21567:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55338, NULL, 'PTHR31921:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DPCD', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55339, NULL, 'PTHR42913:SF3', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 1', NULL, NULL, NULL, 15),
(55340, NULL, 'PTHR30460:SF1', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL', NULL, NULL, NULL, 15),
(55341, NULL, 'PTHR26312:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55342, NULL, 'PTHR42997', NULL, NULL, NULL, NULL, 'HIT FAMILY HYDROLASE', NULL, NULL, NULL, 15),
(55343, NULL, 'PTHR33237:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55344, NULL, 'PTHR31656:SF48', NULL, NULL, NULL, NULL, 'BNACNNG43430D PROTEIN', NULL, NULL, NULL, 15),
(55345, NULL, 'PTHR10809:SF101', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE-PROTEIN-ASSOCIATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55346, NULL, 'PTHR24423:SF618', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR 4', NULL, NULL, NULL, 15),
(55347, NULL, 'PTHR10980:SF14', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 2-RELATED', NULL, NULL, NULL, 15),
(55348, NULL, 'PTHR23157:SF25', NULL, NULL, NULL, NULL, 'GRIP AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(55349, NULL, 'PTHR23037:SF7', NULL, NULL, NULL, NULL, 'INTERLEUKIN-21 RECEPTOR', NULL, NULL, NULL, 15),
(55350, NULL, 'PTHR46122:SF7', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(55351, NULL, 'PTHR43607:SF2', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE CATALYTIC SUBUNIT A', NULL, NULL, NULL, 15),
(55352, NULL, 'PTHR24356:SF340', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(55353, NULL, 'PTHR11361:SF20', NULL, NULL, NULL, NULL, 'MUTS PROTEIN HOMOLOG 5', NULL, NULL, NULL, 15),
(55354, NULL, 'PTHR24298:SF822', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55355, NULL, 'PTHR24096:SF387', NULL, NULL, NULL, NULL, 'BNAUNNG04240D PROTEIN', NULL, NULL, NULL, 15),
(55356, NULL, 'PTHR36928:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATASE YCDX-RELATED', NULL, NULL, NULL, 15),
(55357, NULL, 'PTHR15683:SF10', NULL, NULL, NULL, NULL, 'APOPTOTIC CHROMATIN CONDENSATION INDUCER 1', NULL, NULL, NULL, 15),
(55358, NULL, 'PTHR10225', NULL, NULL, NULL, NULL, 'HYALURONAN  RECEPTOR', NULL, NULL, 38555, 15),
(55359, NULL, 'PTHR10223:SF7', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 4', NULL, NULL, NULL, 15),
(55360, NULL, 'PTHR37237:SF1', NULL, NULL, NULL, NULL, 'OS02G0567000 PROTEIN', NULL, NULL, NULL, 15),
(55361, NULL, 'PTHR46493', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP3', NULL, NULL, 37453, 15),
(55362, NULL, 'PTHR42820:SF19', NULL, NULL, NULL, NULL, 'BNAA09G45350D PROTEIN', NULL, NULL, NULL, 15),
(55363, NULL, 'PTHR11945:SF668', NULL, NULL, NULL, NULL, 'BOX PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(55364, NULL, 'PTHR11206:SF102', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 20-RELATED', NULL, NULL, NULL, 15),
(55365, NULL, 'PTHR24388:SF53', NULL, NULL, NULL, NULL, 'FI01024P', NULL, NULL, NULL, 15),
(55366, NULL, 'PTHR48014:SF6', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(55367, NULL, 'PTHR10693:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55368, NULL, 'PTHR11527:SF324', NULL, NULL, NULL, NULL, 'BNAA10G12710D PROTEIN', NULL, NULL, NULL, 15),
(55369, NULL, 'PTHR12526:SF596', NULL, NULL, NULL, NULL, 'SLL1466 PROTEIN', NULL, NULL, NULL, 15),
(55370, NULL, 'PTHR24242:SF201', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 11H1-RELATED', NULL, NULL, NULL, 15),
(55371, NULL, 'PTHR10404:SF71', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE TRE2, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10650)-RELATED', NULL, NULL, NULL, 15),
(55372, NULL, 'PTHR48000:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55373, NULL, 'PTHR18953:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55374, NULL, 'PTHR46797:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(55375, NULL, 'PTHR31062:SF123', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 14', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55376, NULL, 'PTHR30419:SF25', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YTLI', NULL, NULL, NULL, 15),
(55377, NULL, 'PTHR23316:SF51', NULL, NULL, NULL, NULL, 'PROTEIN CBG12407', NULL, NULL, NULL, 15),
(55378, NULL, 'PTHR48062:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55379, NULL, 'PTHR30027', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE E', NULL, NULL, 2107, 15),
(55380, NULL, 'PTHR13154', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 2', NULL, NULL, 29906, 15),
(55381, NULL, 'PTHR11017:SF402', NULL, NULL, NULL, NULL, 'BNAA04G27840D PROTEIN', NULL, NULL, NULL, 15),
(55382, NULL, 'PTHR37258:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55383, NULL, 'PTHR34071:SF2', NULL, NULL, NULL, NULL, '5-NITROIMIDAZOLE ANTIBIOTICS RESISTANCE PROTEIN, NIMA-FAMILY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(55384, NULL, 'PTHR24349:SF115', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 5', NULL, NULL, NULL, 15),
(55385, NULL, 'PTHR24377:SF282', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 470', NULL, NULL, NULL, 15),
(55386, NULL, 'PTHR23280', NULL, NULL, NULL, NULL, '4.1 G PROTEIN', NULL, NULL, NULL, 15),
(55387, NULL, 'PTHR31734:SF16', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA5', NULL, NULL, NULL, 15),
(55388, NULL, 'PTHR31866:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55389, NULL, 'PTHR12197:SF275', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55390, NULL, 'PTHR33377:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55391, NULL, 'PTHR38326:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 11 OPEN READING FRAME 97', NULL, NULL, NULL, 15),
(55392, NULL, 'PTHR33048:SF123', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(55393, NULL, 'PTHR21562:SF49', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(55394, NULL, 'PTHR33147:SF44', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(55395, NULL, 'PTHR24128:SF37', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT31-RELATED', NULL, NULL, NULL, 15),
(55396, NULL, 'PTHR18945:SF28', NULL, NULL, NULL, NULL, 'GLYCINE RECEPTOR SUBUNIT ALPHA-2', NULL, NULL, 6204, 15),
(55397, NULL, 'PTHR24346:SF34', NULL, NULL, NULL, NULL, 'GM01569P', NULL, NULL, NULL, 15),
(55398, NULL, 'PTHR46149:SF1', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHES', NULL, NULL, NULL, 15),
(55399, NULL, 'PTHR46985:SF2', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(55400, NULL, 'PTHR31433:SF0', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(55401, NULL, 'PTHR19357', NULL, NULL, NULL, NULL, 'TRIGGERING RECEPTOR EXPRESSED ON MYELOID CELLS 1', NULL, NULL, NULL, 15),
(55402, NULL, 'PTHR12411:SF56', NULL, NULL, NULL, NULL, 'CATHEPSIN 7', NULL, NULL, NULL, 15),
(55403, NULL, 'PTHR43391:SF63', NULL, NULL, NULL, NULL, 'BNAC07G33280D PROTEIN', NULL, NULL, NULL, 15),
(55404, NULL, 'PTHR47932:SF35', NULL, NULL, NULL, NULL, 'OS10G0147250 PROTEIN', NULL, NULL, NULL, 15),
(55405, NULL, 'PTHR31046:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 265', NULL, NULL, NULL, 15),
(55406, NULL, 'PTHR24103:SF612', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY, F4', NULL, NULL, NULL, 15),
(55407, NULL, 'PTHR11827:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG15341', NULL, NULL, NULL, 15),
(55408, NULL, 'PTHR18896:SF145', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(55409, NULL, 'PTHR45955:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOACETYLGLUCOSAMINE MUTASE', NULL, NULL, NULL, 15),
(55410, NULL, 'PTHR33122:SF45', NULL, NULL, NULL, NULL, 'LIPID-TRANSFER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55411, NULL, 'PTHR27006:SF321', NULL, NULL, NULL, NULL, 'OS05G0256500 PROTEIN', NULL, NULL, NULL, 15),
(55412, NULL, 'PTHR48041:SF77', NULL, NULL, NULL, NULL, 'OS04G0194500 PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55413, NULL, 'PTHR12277', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(55414, NULL, 'PTHR23429:SF0', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE', NULL, NULL, NULL, 15),
(55415, NULL, 'PTHR24006:SF810', NULL, NULL, NULL, NULL, 'UBIQUITIN C-TERMINAL HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G06440)', NULL, NULL, NULL, 15),
(55416, NULL, 'PTHR45951', NULL, NULL, NULL, NULL, 'PROTEIN DISPATCHED-RELATED', NULL, NULL, NULL, 15),
(55417, NULL, 'PTHR46733:SF4', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 21, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(55418, NULL, 'PTHR12433:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55419, NULL, 'PTHR37433:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG04492', NULL, NULL, NULL, 15),
(55420, NULL, 'PTHR24012:SF802', NULL, NULL, NULL, NULL, 'F12A21.10', NULL, NULL, NULL, 15),
(55421, NULL, 'PTHR48224:SF1', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 270-RELATED', NULL, NULL, NULL, 15),
(55422, NULL, 'PTHR14254:SF6', NULL, NULL, NULL, NULL, 'TYROSINE KINASE NON RECEPTOR 2', NULL, NULL, 23883, 15),
(55423, NULL, 'PTHR13495:SF1', NULL, NULL, NULL, NULL, 'BNAC06G18360D PROTEIN', NULL, NULL, NULL, 15),
(55424, NULL, 'PTHR43520:SF18', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE HMA5-RELATED', NULL, NULL, NULL, 15),
(55425, NULL, 'PTHR14009:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55426, NULL, 'PTHR22765:SF275', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL7-LIKE', NULL, NULL, NULL, 15),
(55427, NULL, 'PTHR10593:SF174', NULL, NULL, NULL, NULL, 'CYS2/HIS2-TYPE ZINC FINGER TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(55428, NULL, 'PTHR31009:SF109', NULL, NULL, NULL, NULL, 'BNAA09G26920D PROTEIN', NULL, NULL, NULL, 15),
(55429, NULL, 'PTHR22844:SF340', NULL, NULL, NULL, NULL, 'OS01G0946100 PROTEIN', NULL, NULL, NULL, 15),
(55430, NULL, 'PTHR43055:SF1', NULL, NULL, NULL, NULL, 'FORMATE-DEPENDENT PHOSPHORIBOSYLGLYCINAMIDE FORMYLTRANSFERASE', NULL, NULL, NULL, 15),
(55431, NULL, 'PTHR48044:SF58', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(55432, NULL, 'PTHR33831:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55433, NULL, 'PTHR22900:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG22016', NULL, NULL, NULL, 15),
(55434, NULL, 'PTHR32295:SF137', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', NULL, NULL, NULL, 15),
(55435, NULL, 'PTHR45714:SF59', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT14-LIKE', NULL, NULL, NULL, 15),
(55436, NULL, 'PTHR24027:SF425', NULL, NULL, NULL, NULL, 'CADHERIN-23', NULL, NULL, NULL, 15),
(55437, NULL, 'PTHR46319', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(55438, NULL, 'PTHR13145:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING-CH-TYPE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(55439, NULL, 'PTHR32468:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55440, NULL, 'PTHR46611:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(55441, NULL, 'PTHR38658', NULL, NULL, NULL, NULL, 'OXPP CYCLE PROTEIN OPCA-RELATED', NULL, NULL, 926, 15),
(55442, NULL, 'PTHR11477:SF10', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 3', NULL, NULL, NULL, 15),
(55443, NULL, 'PTHR10177:SF261', NULL, NULL, NULL, NULL, 'CYCLIN-B2-1', NULL, NULL, NULL, 15),
(55444, NULL, 'PTHR11814:SF85', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.4-RELATED', NULL, NULL, 23043, 15),
(55445, NULL, 'PTHR47654:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(55446, NULL, 'PTHR21472:SF19', NULL, NULL, NULL, NULL, 'ZGC:172339', NULL, NULL, NULL, 15),
(55447, NULL, 'PTHR15907:SF177', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 10', NULL, NULL, NULL, 15),
(55448, NULL, 'PTHR31225:SF41', NULL, NULL, NULL, NULL, 'OS04G0340300 PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55449, NULL, 'PTHR47629:SF4', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(55450, NULL, 'PTHR31045:SF8', NULL, NULL, NULL, NULL, 'OS05G0341900 PROTEIN', NULL, NULL, NULL, 15),
(55451, NULL, 'PTHR43039:SF17', NULL, NULL, NULL, NULL, 'BNAA01G23000D PROTEIN', NULL, NULL, NULL, 15),
(55452, NULL, 'PTHR37316', NULL, NULL, NULL, NULL, 'TEICHOIC ACID GLYCEROL-PHOSPHATE PRIMASE', NULL, NULL, NULL, 15),
(55453, NULL, 'PTHR48099:SF15', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL METHYLENETETRAHYDROFOLATE DEHYDROGENASE/CYCLOHYDROLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(55454, NULL, 'PTHR44137:SF6', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(55455, NULL, 'PTHR11782:SF104', NULL, NULL, NULL, NULL, 'NUCLEOSIDE PHOSPHATASE GDA1/CD39-RELATED', NULL, NULL, NULL, 15),
(55456, NULL, 'PTHR44259:SF12', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(55457, NULL, 'PTHR46976:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ARABIDILLO 1-LIKE', NULL, NULL, NULL, 15),
(55458, NULL, 'PTHR46084:SF28', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', NULL, NULL, NULL, 15),
(55459, NULL, 'PTHR24033:SF176', NULL, NULL, NULL, NULL, 'NOTCH3 ISOFORM 1', NULL, NULL, NULL, 15),
(55460, NULL, 'PTHR24123:SF106', NULL, NULL, NULL, NULL, 'ANKYRIN 2, ISOFORM U', NULL, NULL, NULL, 15),
(55461, NULL, 'PTHR43567:SF3', NULL, NULL, NULL, NULL, 'FLAVIN REDUCTASE-LIKE, FMN-BINDING', NULL, NULL, NULL, 15),
(55462, NULL, 'PTHR24023:SF923', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(55463, NULL, 'PTHR32154:SF20', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE OXIDOREDUCTASE SUBUNIT KORA', NULL, NULL, NULL, 15),
(55464, NULL, 'PTHR33102:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55465, NULL, 'PTHR23354:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55466, NULL, 'PTHR16223:SF121', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55467, NULL, 'PTHR47926:SF180', NULL, NULL, NULL, NULL, 'BNAC08G09080D PROTEIN', NULL, NULL, NULL, 15),
(55468, NULL, 'PTHR11547:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55469, NULL, 'PTHR46938:SF1', NULL, NULL, NULL, NULL, 'DISCOIDIN-1 SUBUNIT A-RELATED', NULL, NULL, NULL, 15),
(55470, NULL, 'PTHR14796:SF5', NULL, NULL, NULL, NULL, 'NEURENSIN-2', NULL, NULL, 22137, 15),
(55471, NULL, 'PTHR47746:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55472, NULL, 'PTHR37389:SF13', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN 3 SHORT ISOFORM-LIKE', NULL, NULL, NULL, 15),
(55473, NULL, 'PTHR35662:SF1', NULL, NULL, NULL, NULL, 'INTERACTOR OF HORMAD1 PROTEIN 1', NULL, NULL, NULL, 15),
(55474, NULL, 'PTHR19367', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR ALPHA CHAIN V REGION', NULL, NULL, NULL, 15),
(55475, NULL, 'PTHR12080:SF54', NULL, NULL, NULL, NULL, 'T-CELL SURFACE ANTIGEN CD2', NULL, NULL, NULL, 15),
(55476, NULL, 'PTHR11685:SF320', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(55477, NULL, 'PTHR31744:SF143', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 3-LIKE', NULL, NULL, NULL, 15),
(55478, NULL, 'PTHR12546:SF36', NULL, NULL, NULL, NULL, 'FER-1-LIKE PROTEIN 4', NULL, NULL, 28866, 15),
(55479, NULL, 'PTHR11003:SF298', NULL, NULL, NULL, NULL, 'CHANNEL, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(55480, NULL, 'PTHR48142', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55481, NULL, 'PTHR24299:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55482, NULL, 'PTHR33649:SF19', NULL, NULL, NULL, NULL, 'PAR1-RELATED', NULL, NULL, NULL, 15),
(55483, NULL, 'PTHR24068:SF349', NULL, NULL, NULL, NULL, 'NEDD8-CONJUGATING ENZYME UBC12', NULL, NULL, NULL, 15),
(55484, NULL, 'PTHR10527:SF69', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL-RELATED', NULL, NULL, NULL, 15),
(55485, NULL, 'PTHR19375:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55486, NULL, 'PTHR19282:SF263', NULL, NULL, NULL, NULL, 'LEUKOCYTE ANTIGEN CD37', NULL, NULL, NULL, 15),
(55487, NULL, 'PTHR46626:SF6', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(55488, NULL, 'PTHR11908:SF147', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE', NULL, NULL, NULL, 15),
(55489, NULL, 'PTHR24377:SF817', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 561', NULL, NULL, NULL, 15),
(55490, NULL, 'PTHR14140:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UHRF2', NULL, NULL, NULL, 15),
(55491, NULL, 'PTHR24356:SF390', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C, BRAIN ISOZYME-RELATED', NULL, NULL, NULL, 15),
(55492, NULL, 'PTHR28525:SF1', NULL, NULL, NULL, NULL, 'REACTIVE OXYGEN SPECIES MODULATOR 1', NULL, NULL, NULL, 15),
(55493, NULL, 'PTHR10106', NULL, NULL, NULL, NULL, 'CYTOCHROME B561-RELATED', NULL, NULL, 38526, 15),
(55494, NULL, 'PTHR24070:SF404', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55495, NULL, 'PTHR10343', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE , BETA SUBUNIT', NULL, NULL, NULL, 15),
(55496, NULL, 'PTHR12181:SF62', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE LPIN3', NULL, NULL, NULL, 15),
(55497, NULL, 'PTHR31325:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55498, NULL, 'PTHR14038:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PRRC2C', NULL, NULL, NULL, 15),
(55499, NULL, 'PTHR13833:SF78', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(55500, NULL, 'PTHR31867:SF108', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(55501, NULL, 'PTHR24221:SF542', NULL, NULL, NULL, NULL, 'BILE SALT EXPORT PUMP-RELATED', NULL, NULL, NULL, 15),
(55502, NULL, 'PTHR11783:SF270', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(55503, NULL, 'PTHR11439:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55504, NULL, 'PTHR19305:SF1', NULL, NULL, NULL, NULL, 'SYNAPTOSOMAL-ASSOCIATED PROTEIN 47', NULL, NULL, NULL, 15),
(55505, NULL, 'PTHR19422:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55506, NULL, 'PTHR34874:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YCHN', NULL, NULL, NULL, 15),
(55507, NULL, 'PTHR23291:SF33', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-120', NULL, NULL, NULL, 15),
(55508, NULL, 'PTHR24083:SF48', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 2 GROUP C MEMBER 2', NULL, NULL, NULL, 15),
(55509, NULL, 'PTHR11818:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55510, NULL, 'PTHR26452:SF361', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(55511, NULL, 'PTHR30404:SF0', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE AMIB', NULL, NULL, NULL, 15),
(55512, NULL, 'PTHR22767:SF3', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 25, NATB AUXILIARY SUBUNIT', NULL, NULL, 18591, 15),
(55513, NULL, 'PTHR47746:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55514, NULL, 'PTHR43148:SF6', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(55515, NULL, 'PTHR43491:SF4', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-D-MANNOSAMINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(55516, NULL, 'PTHR10252:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55517, NULL, 'PTHR31651', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38421, 15),
(55518, NULL, 'PTHR24100:SF108', NULL, NULL, NULL, NULL, 'BUTYROPHILIN-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(55519, NULL, 'PTHR27003:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55520, NULL, 'PTHR37824', NULL, NULL, NULL, NULL, 'IRON-REGULATED SURFACE DETERMINANT PROTEIN C', NULL, NULL, NULL, 15),
(55521, NULL, 'PTHR13903', NULL, NULL, NULL, NULL, 'PIRIN-RELATED', NULL, NULL, 13295, 15),
(55522, NULL, 'PTHR13620:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55523, NULL, 'PTHR12621', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH DOMAIN  CHORD -CONTAINING PROTEIN', NULL, NULL, 29607, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55524, NULL, 'PTHR10880:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55525, NULL, 'PTHR45764:SF21', NULL, NULL, NULL, NULL, 'BNACNNG60880D PROTEIN', NULL, NULL, NULL, 15),
(55526, NULL, 'PTHR24177:SF274', NULL, NULL, NULL, NULL, 'OS05G0427600 PROTEIN', NULL, NULL, NULL, 15),
(55527, NULL, 'PTHR24258:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55528, NULL, 'PTHR11412:SF86', NULL, NULL, NULL, NULL, 'COMPLEMENT C4-A-RELATED', NULL, NULL, 33697, 15),
(55529, NULL, 'PTHR31989:SF349', NULL, NULL, NULL, NULL, 'OS08G0103900 PROTEIN', NULL, NULL, NULL, 15),
(55530, NULL, 'PTHR31338:SF16', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(55531, NULL, 'PTHR33908:SF5', NULL, NULL, NULL, NULL, 'SLR1820 PROTEIN', NULL, NULL, NULL, 15),
(55532, NULL, 'PTHR24249:SF395', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55533, NULL, 'PTHR10015:SF353', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-5-LIKE', NULL, NULL, NULL, 15),
(55534, NULL, 'PTHR46034:SF26', NULL, NULL, NULL, NULL, 'BNAA09G01890D PROTEIN', NULL, NULL, NULL, 15),
(55535, NULL, 'PTHR10315:SF118', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(55536, NULL, 'PTHR19384:SF111', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE 1', NULL, NULL, NULL, 15),
(55537, NULL, 'PTHR42861:SF70', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(55538, NULL, 'PTHR32248:SF4', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-54 FACTOR', NULL, NULL, NULL, 15),
(55539, NULL, 'PTHR13318:SF147', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(55540, NULL, 'PTHR13271:SF113', NULL, NULL, NULL, NULL, '[FRUCTOSE-BISPHOSPHATE ALDOLASE]-LYSINE N-METHYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(55541, NULL, 'PTHR10682', NULL, NULL, NULL, NULL, 'POLY A  POLYMERASE', NULL, NULL, NULL, 15),
(55542, NULL, 'PTHR37946:SF1', NULL, NULL, NULL, NULL, 'SLL1969 PROTEIN', NULL, NULL, NULL, 15),
(55543, NULL, 'PTHR28570:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR AMINOPEPTIDASE 1', NULL, NULL, NULL, 15),
(55544, NULL, 'PTHR16770:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RIPPLY1', NULL, NULL, NULL, 15),
(55545, NULL, 'PTHR12772:SF0', NULL, NULL, NULL, NULL, 'DNA REPLICATION COMPLEX GINS PROTEIN PSF2', NULL, NULL, NULL, 15),
(55546, NULL, 'PTHR30335', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN OF SOXR-REDUCING COMPLEX', NULL, NULL, NULL, 15),
(55547, NULL, 'PTHR10896:SF9', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(55548, NULL, 'PTHR47242:SF1', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(55549, NULL, 'PTHR12841:SF7', NULL, NULL, NULL, NULL, 'BNAA07G03880D PROTEIN', NULL, NULL, NULL, 15),
(55550, NULL, 'PTHR13409:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L51, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(55551, NULL, 'PTHR38774', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, 11468, 15),
(55552, NULL, 'PTHR36901:SF2', NULL, NULL, NULL, NULL, 'OS10G0520400 PROTEIN', NULL, NULL, NULL, 15),
(55553, NULL, 'PTHR43163', NULL, NULL, NULL, NULL, 'DIPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN DPPB-RELATED', NULL, NULL, NULL, 15),
(55554, NULL, 'PTHR46754:SF1', NULL, NULL, NULL, NULL, 'MKI67 FHA DOMAIN-INTERACTING NUCLEOLAR PHOSPHOPROTEIN', NULL, NULL, NULL, 15),
(55555, NULL, 'PTHR19325:SF529', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55556, NULL, 'PTHR33484:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55557, NULL, 'PTHR47640:SF10', NULL, NULL, NULL, NULL, 'TRNA SELENOCYSTEINE 1-ASSOCIATED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(55558, NULL, 'PTHR15020:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55559, NULL, 'PTHR46630', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 29', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55560, NULL, 'PTHR11709:SF395', NULL, NULL, NULL, NULL, 'BNAA02G11730D PROTEIN', NULL, NULL, NULL, 15),
(55561, NULL, 'PTHR45621:SF193', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL20-RELATED', NULL, NULL, NULL, 15),
(55562, NULL, 'PTHR32468:SF147', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 19-LIKE', NULL, NULL, NULL, 15),
(55563, NULL, 'PTHR44307:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE N-METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(55564, NULL, 'PTHR45714:SF43', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT4', NULL, NULL, NULL, 15),
(55565, NULL, 'PTHR31421:SF8', NULL, NULL, NULL, NULL, 'BARLEY B RECOMBINANT-LIKE PROTEIN D', NULL, NULL, NULL, 15),
(55566, NULL, 'PTHR21726:SF64', NULL, NULL, NULL, NULL, 'SERINE-RICH ADHESIN FOR PLATELETS-LIKE PROTEIN', NULL, NULL, NULL, 15),
(55567, NULL, 'PTHR13167:SF25', NULL, NULL, NULL, NULL, 'PIEZO-TYPE MECHANOSENSITIVE ION CHANNEL COMPONENT', NULL, NULL, NULL, 15),
(55568, NULL, 'PTHR23354:SF65', NULL, NULL, NULL, NULL, 'TLD DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(55569, NULL, 'PTHR31235:SF210', NULL, NULL, NULL, NULL, 'PEROXIDASE 29-RELATED', NULL, NULL, NULL, 15),
(55570, NULL, 'PTHR27006:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55571, NULL, 'PTHR34755:SF2', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 3', NULL, NULL, NULL, 15),
(55572, NULL, 'PTHR12537:SF136', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 9-RELATED', NULL, NULL, NULL, 15),
(55573, NULL, 'PTHR10535:SF21', NULL, NULL, NULL, NULL, 'BNAA05G17270D PROTEIN', NULL, NULL, NULL, 15),
(55574, NULL, 'PTHR47928:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55575, NULL, 'PTHR13914:SF26', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(55576, NULL, 'PTHR31376:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55577, NULL, 'PTHR45700:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE E3C', NULL, NULL, NULL, 15),
(55578, NULL, 'PTHR45699', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', NULL, NULL, NULL, 15),
(55579, NULL, 'PTHR12483:SF83', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 6-LIKE', NULL, NULL, NULL, 15),
(55580, NULL, 'PTHR46600:SF6', NULL, NULL, NULL, NULL, 'ZGC:153292', NULL, NULL, NULL, 15),
(55581, NULL, 'PTHR20961:SF110', NULL, NULL, NULL, NULL, 'PROTEIN O-LINKED-MANNOSE BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE 2-LIKE', NULL, NULL, NULL, 15),
(55582, NULL, 'PTHR43066:SF13', NULL, NULL, NULL, NULL, 'RHOMBOID DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(55583, NULL, 'PTHR15463', NULL, NULL, NULL, NULL, 'AP1 GAMMA SUBUNIT BINDING PROTEIN 1', NULL, NULL, 29487, 15),
(55584, NULL, 'PTHR10707:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 4I2', NULL, NULL, NULL, 15),
(55585, NULL, 'PTHR24103:SF46', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM21', NULL, NULL, NULL, 15),
(55586, NULL, 'PTHR37705:SF3', NULL, NULL, NULL, NULL, 'BNAA07G04000D PROTEIN', NULL, NULL, NULL, 15),
(55587, NULL, 'PTHR33116:SF40', NULL, NULL, NULL, NULL, 'BNAA09G28300D PROTEIN', NULL, NULL, NULL, 15),
(55588, NULL, 'PTHR19957:SF297', NULL, NULL, NULL, NULL, 'TARGET SNARE COILED-COIL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55589, NULL, 'PTHR31506:SF26', NULL, NULL, NULL, NULL, 'BES1/BZR1 PLANT TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(55590, NULL, 'PTHR33133:SF26', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55591, NULL, 'PTHR12174:SF62', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 5', NULL, NULL, NULL, 15),
(55592, NULL, 'PTHR32285:SF203', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 21', NULL, NULL, NULL, 15),
(55593, NULL, 'PTHR21090:SF17', NULL, NULL, NULL, NULL, 'REPRESSOR PROTEIN (AFU_ORTHOLOGUE AFUA_8G02700)', NULL, NULL, NULL, 15),
(55594, NULL, 'PTHR11558:SF11', NULL, NULL, NULL, NULL, 'SPERMIDINE SYNTHASE', NULL, NULL, NULL, 15),
(55595, NULL, 'PTHR47025:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER, FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55596, NULL, 'PTHR13861:SF12', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT F', NULL, NULL, NULL, 15),
(55597, NULL, 'PTHR31669:SF225', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5-LIKE', NULL, NULL, NULL, 15),
(55598, NULL, 'PTHR47967:SF29', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(55599, NULL, 'PTHR47926:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55600, NULL, 'PTHR38674:SF1', NULL, NULL, NULL, NULL, 'ALKANE 1-MONOOXYGENASE 1', NULL, NULL, NULL, 15),
(55601, NULL, 'PTHR31675:SF42', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 6', NULL, NULL, NULL, 15),
(55602, NULL, 'PTHR31189:SF53', NULL, NULL, NULL, NULL, '12S SEED STORAGE PROTEIN CRB', NULL, NULL, NULL, 15),
(55603, NULL, 'PTHR47052:SF3', NULL, NULL, NULL, NULL, 'CONSERVED SERINE PROLINE-RICH PROTEIN (AFU_ORTHOLOGUE AFUA_2G01790)', NULL, NULL, NULL, 15),
(55604, NULL, 'PTHR31907', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 423', NULL, NULL, NULL, 15),
(55605, NULL, 'PTHR31945:SF126', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ICE1-LIKE', NULL, NULL, NULL, 15),
(55606, NULL, 'PTHR22870:SF412', NULL, NULL, NULL, NULL, 'BNAA09G52370D PROTEIN', NULL, NULL, 27330, 15),
(55607, NULL, 'PTHR45647:SF25', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(55608, NULL, 'PTHR37178', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN', NULL, NULL, NULL, 15),
(55609, NULL, 'PTHR33021:SF371', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(55610, NULL, 'PTHR32448:SF139', NULL, NULL, NULL, NULL, 'BNAC02G47420D PROTEIN', NULL, NULL, NULL, 15),
(55611, NULL, 'PTHR26451:SF882', NULL, NULL, NULL, NULL, 'ZGC:194312', NULL, NULL, NULL, 15),
(55612, NULL, 'PTHR15141:SF74', NULL, NULL, NULL, NULL, 'ELONGIN-A3-RELATED', NULL, NULL, NULL, 15),
(55613, NULL, 'PTHR24306:SF4', NULL, NULL, NULL, NULL, 'PROSTACYCLIN SYNTHASE', NULL, NULL, 27927, 15),
(55614, NULL, 'PTHR31589:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55615, NULL, 'PTHR30531:SF12', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLHB', NULL, NULL, NULL, 15),
(55616, NULL, 'PTHR15710:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55617, NULL, 'PTHR47989:SF25', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ALE2', NULL, NULL, NULL, 15),
(55618, NULL, 'PTHR33348:SF29', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP1-RELATED', NULL, NULL, NULL, 15),
(55619, NULL, 'PTHR47938:SF9', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(55620, NULL, 'PTHR47225', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, 38212, 15),
(55621, NULL, 'PTHR45743:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55622, NULL, 'PTHR11468:SF27', NULL, NULL, NULL, NULL, 'ALPHA-1,4 GLUCAN PHOSPHORYLASE L-2 ISOZYME, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(55623, NULL, 'PTHR24320:SF230', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', NULL, NULL, NULL, 15),
(55624, NULL, 'PTHR12442:SF11', NULL, NULL, NULL, NULL, 'DYNEIN INTERMEDIATE CHAIN 1, AXONEMAL', NULL, NULL, NULL, 15),
(55625, NULL, 'PTHR31089:SF44', NULL, NULL, NULL, NULL, 'BNAA04G19980D PROTEIN', NULL, NULL, NULL, 15),
(55626, NULL, 'PTHR47581', NULL, NULL, NULL, NULL, 'OS09G0431600 PROTEIN', NULL, NULL, 39221, 15),
(55627, NULL, 'PTHR48018:SF106', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5M11', NULL, NULL, NULL, 15),
(55628, NULL, 'PTHR11022:SF67', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-RECOGNITION PROTEIN LB-RELATED', NULL, NULL, NULL, 15),
(55629, NULL, 'PTHR47814', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE ARFB', NULL, NULL, NULL, 15),
(55630, NULL, 'PTHR31988:SF28', NULL, NULL, NULL, NULL, 'BNACNNG32890D PROTEIN', NULL, NULL, NULL, 15),
(55631, NULL, 'PTHR12231:SF231', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE 2', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55632, NULL, 'PTHR18896:SF140', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(55633, NULL, 'PTHR10366:SF432', NULL, NULL, NULL, NULL, 'OS02G0180700 PROTEIN', NULL, NULL, NULL, 15),
(55634, NULL, 'PTHR31549:SF24', NULL, NULL, NULL, NULL, 'OS06G0160600 PROTEIN', NULL, NULL, NULL, 15),
(55635, NULL, 'PTHR16001', NULL, NULL, NULL, NULL, 'ECTO-NOX DISULFIDE-THIOL EXCHANGER', NULL, NULL, 33278, 15),
(55636, NULL, 'PTHR43245:SF14', NULL, NULL, NULL, NULL, 'CDP-ABEQUOSE SYNTHASE', NULL, NULL, NULL, 15),
(55637, NULL, 'PTHR33168:SF42', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(55638, NULL, 'PTHR11697:SF218', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(55639, NULL, 'PTHR10963:SF60', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14540)-RELATED', NULL, NULL, NULL, 15),
(55640, NULL, 'PTHR31792:SF8', NULL, NULL, NULL, NULL, 'VACUOLAR ATPASE ASSEMBLY INTEGRAL MEMBRANE PROTEIN VMA21 HOMOLOG', NULL, NULL, NULL, 15),
(55641, NULL, 'PTHR36206:SF12', NULL, NULL, NULL, NULL, 'ASPERCRYPTIN BIOSYNTHESIS CLUSTER-SPECIFIC TRANSCRIPTION REGULATOR ATNN-RELATED', NULL, NULL, NULL, 15),
(55642, NULL, 'PTHR46927:SF3', NULL, NULL, NULL, NULL, 'AGAP005574-PA', NULL, NULL, NULL, 15),
(55643, NULL, 'PTHR21436', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 25153, 15),
(55644, NULL, 'PTHR31236:SF55', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 5-LIKE', NULL, NULL, NULL, 15),
(55645, NULL, 'PTHR45898:SF17', NULL, NULL, NULL, NULL, 'BNAA03G52190D PROTEIN', NULL, NULL, NULL, 15),
(55646, NULL, 'PTHR22893:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55647, NULL, 'PTHR24346:SF38', NULL, NULL, NULL, NULL, 'SALT INDUCIBLE KINASE 2', NULL, NULL, NULL, 15),
(55648, NULL, 'PTHR39415:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 27', NULL, NULL, NULL, 15),
(55649, NULL, 'PTHR45618:SF25', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 6', NULL, NULL, NULL, 15),
(55650, NULL, 'PTHR33432:SF20', NULL, NULL, NULL, NULL, 'PROTEIN EMSY-LIKE 2', NULL, NULL, NULL, 15),
(55651, NULL, 'PTHR12136:SF103', NULL, NULL, NULL, NULL, 'BNAC06G15410D PROTEIN', NULL, NULL, NULL, 15),
(55652, NULL, 'PTHR26453:SF214', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2AJ1', NULL, NULL, 26845, 15),
(55653, NULL, 'PTHR26452:SF775', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5H8', NULL, NULL, NULL, 15),
(55654, NULL, 'PTHR21643:SF6', NULL, NULL, NULL, NULL, 'AEX-2 RELATED NEUROPEPTIDE RECEPTOR', NULL, NULL, NULL, 15),
(55655, NULL, 'PTHR31048:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55656, NULL, 'PTHR32093:SF130', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(55657, NULL, 'PTHR14678', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29172, 15),
(55658, NULL, 'PTHR23070:SF120', NULL, NULL, NULL, NULL, 'AAA-ATPASE ASD MITOCHONDRIAL', NULL, NULL, NULL, 15),
(55659, NULL, 'PTHR12002:SF3', NULL, NULL, NULL, NULL, 'CLAUDIN-23', NULL, NULL, NULL, 15),
(55660, NULL, 'PTHR24366:SF65', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND IMMUNOGLOBULIN LIKE DOMAINS 3', NULL, NULL, NULL, 15),
(55661, NULL, 'PTHR24112:SF43', NULL, NULL, NULL, NULL, 'CAPPING PROTEIN, ARP2/3 AND MYOSIN-I LINKER PROTEIN 3', NULL, NULL, 26096, 15),
(55662, NULL, 'PTHR11655', NULL, NULL, NULL, NULL, '60S/50S RIBOSOMAL PROTEIN L6/L9', NULL, NULL, 6972, 15),
(55663, NULL, 'PTHR16461', NULL, NULL, NULL, NULL, 'TOLL-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(55664, NULL, 'PTHR10408:SF14', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(55665, NULL, 'PTHR27006:SF365', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55666, NULL, 'PTHR43358:SF13', NULL, NULL, NULL, NULL, 'BNAC03G59850D PROTEIN', NULL, NULL, NULL, 15),
(55667, NULL, 'PTHR33680:SF1', NULL, NULL, NULL, NULL, 'OS07G0190500 PROTEIN', NULL, NULL, NULL, 15),
(55668, NULL, 'PTHR31218:SF12', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55669, NULL, 'PTHR40202', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55670, NULL, 'PTHR32099:SF42', NULL, NULL, NULL, NULL, 'OS01G0774133 PROTEIN', NULL, NULL, NULL, 15),
(55671, NULL, 'PTHR48112:SF22', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN DSP1', NULL, NULL, NULL, 15),
(55672, NULL, 'PTHR31470:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55673, NULL, 'PTHR24343:SF424', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0279719-RELATED', NULL, NULL, NULL, 15),
(55674, NULL, 'PTHR10953:SF186', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME 6', NULL, NULL, NULL, 15),
(55675, NULL, 'PTHR11670:SF59', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE', NULL, NULL, NULL, 15),
(55676, NULL, 'PTHR36388', NULL, NULL, NULL, NULL, 'OS02G0469000 PROTEIN', NULL, NULL, NULL, 15),
(55677, NULL, 'PTHR23266:SF219', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION 441-RELATED', NULL, NULL, NULL, 15),
(55678, NULL, 'PTHR11736:SF48', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 4-RELATED', NULL, NULL, 22228, 15),
(55679, NULL, 'PTHR42820:SF1', NULL, NULL, NULL, NULL, 'XANTHOXIN DEHYDROGENASE', NULL, NULL, NULL, 15),
(55680, NULL, 'PTHR15054:SF3', NULL, NULL, NULL, NULL, 'SARCOPLASMIC RETICULUM HISTIDINE-RICH CALCIUM-BINDING PROTEIN', NULL, NULL, NULL, 15),
(55681, NULL, 'PTHR19302:SF65', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT', NULL, NULL, NULL, 15),
(55682, NULL, 'PTHR43731:SF20', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 13', NULL, NULL, NULL, 15),
(55683, NULL, 'PTHR22765:SF38', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF133', NULL, NULL, NULL, 15),
(55684, NULL, 'PTHR11206:SF428', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(55685, NULL, 'PTHR13832:SF756', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-LIKE PROTEIN', NULL, NULL, NULL, 15),
(55686, NULL, 'PTHR46198:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55687, NULL, 'PTHR12673:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55688, NULL, 'PTHR48043:SF1', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-48-RELATED', NULL, NULL, NULL, 15),
(55689, NULL, 'PTHR12021:SF21', NULL, NULL, NULL, NULL, 'TMSB15B ISOFORM 1', NULL, NULL, NULL, 15),
(55690, NULL, 'PTHR46777:SF10', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 8-LIKE', NULL, NULL, NULL, 15),
(55691, NULL, 'PTHR31065:SF52', NULL, NULL, NULL, NULL, 'BNAA09G38660D PROTEIN', NULL, NULL, NULL, 15),
(55692, NULL, 'PTHR23336:SF65', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 6', NULL, NULL, NULL, 15),
(55693, NULL, 'PTHR43778', NULL, NULL, NULL, NULL, 'PYRUVATE CARBOXYLASE', NULL, NULL, NULL, 15),
(55694, NULL, 'PTHR30603:SF43', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-C FACTOR-RELATED', NULL, NULL, NULL, 15),
(55695, NULL, 'PTHR24264', NULL, NULL, NULL, NULL, 'TRYPSIN-RELATED', NULL, NULL, NULL, 15),
(55696, NULL, 'PTHR31636:SF269', NULL, NULL, NULL, NULL, 'BNAA07G37270D PROTEIN', NULL, NULL, 22510, 15),
(55697, NULL, 'PTHR24096:SF358', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 8', NULL, NULL, NULL, 15),
(55698, NULL, 'PTHR44573:SF2', NULL, NULL, NULL, NULL, '2-METHYLENE-FURAN-3-ONE REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(55699, NULL, 'PTHR19241:SF545', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 29', NULL, NULL, NULL, 15),
(55700, NULL, 'PTHR13780:SF135', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55701, NULL, 'PTHR31639:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55702, NULL, 'PTHR43423:SF9', NULL, NULL, NULL, NULL, 'PHOSPHATE IMPORT ATP-BINDING PROTEIN PSTB 3', NULL, NULL, NULL, 15),
(55703, NULL, 'PTHR15127:SF31', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING ADAPTER PROTEIN B', NULL, NULL, 9400, 15),
(55704, NULL, 'PTHR11945:SF341', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN SOC1', NULL, NULL, NULL, 15),
(55705, NULL, 'PTHR11098:SF23', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55706, NULL, 'PTHR31897:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04687', NULL, NULL, NULL, 15),
(55707, NULL, 'PTHR47928:SF89', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(55708, NULL, 'PTHR24296:SF180', NULL, NULL, NULL, NULL, 'BNAA09G15130D PROTEIN', NULL, NULL, NULL, 15),
(55709, NULL, 'PTHR38046:SF1', NULL, NULL, NULL, NULL, 'CRYPTIC LOCI REGULATOR 2', NULL, NULL, NULL, 15),
(55710, NULL, 'PTHR43416', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE SUCCINYLTRANSFERASE COMPONENT OF 2-OXOGLUTARATE DEHYDROGENASE COMPLEX, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(55711, NULL, 'PTHR45748:SF14', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1C-RELATED', NULL, NULL, NULL, 15),
(55712, NULL, 'PTHR34822', NULL, NULL, NULL, NULL, 'GRPB DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G01530)', NULL, NULL, 5517, 15),
(55713, NULL, 'PTHR31250:SF55', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM4', NULL, NULL, NULL, 15),
(55714, NULL, 'PTHR31048:SF49', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(55715, NULL, 'PTHR10795:SF593', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55716, NULL, 'PTHR33429:SF30', NULL, NULL, NULL, NULL, 'BNAC07G48290D PROTEIN', NULL, NULL, NULL, 15),
(55717, NULL, 'PTHR44147:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(55718, NULL, 'PTHR10281:SF24', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROGESTERONE RECEPTOR COMPONENT 2', NULL, NULL, NULL, 15),
(55719, NULL, 'PTHR31080:SF144', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15),
(55720, NULL, 'PTHR19375:SF412', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70KD, C-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55721, NULL, 'PTHR46989', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55722, NULL, 'PTHR15852:SF68', NULL, NULL, NULL, NULL, 'BNAA06G17240D PROTEIN', NULL, NULL, NULL, 15),
(55723, NULL, 'PTHR10795:SF545', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3', NULL, NULL, NULL, 15),
(55724, NULL, 'PTHR31374:SF310', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP PROTEIN 58', NULL, NULL, NULL, 15),
(55725, NULL, 'PTHR33427:SF3', NULL, NULL, NULL, NULL, 'HNH ENDONUCLEASE', NULL, NULL, NULL, 15),
(55726, NULL, 'PTHR10676:SF356', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 14, AXONEMAL', NULL, NULL, NULL, 15),
(55727, NULL, 'PTHR32133:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55728, NULL, 'PTHR45619:SF29', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP-X ISOZYME 1', NULL, NULL, NULL, 15),
(55729, NULL, 'PTHR43009:SF6', NULL, NULL, NULL, NULL, 'HOMOGENTISATE PHYTYLTRANSFERASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(55730, NULL, 'PTHR12001:SF47', NULL, NULL, NULL, NULL, 'SHORT CHAIN ISOPRENYL DIPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(55731, NULL, 'PTHR43719:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55732, NULL, 'PTHR31995', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IIS FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55733, NULL, 'PTHR46204', NULL, NULL, NULL, NULL, 'CHITIN ELICITOR RECEPTOR KINASE 1-RELATED', NULL, NULL, 37880, 15),
(55734, NULL, 'PTHR40517', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PHOSPHOHYDROLASE, HD SUPERFAMILY-RELATED', NULL, NULL, 30588, 15),
(55735, NULL, 'PTHR46940', NULL, NULL, NULL, NULL, 'NKAP DOMAIN-CONTAINING 1', NULL, NULL, 38193, 15),
(55736, NULL, 'PTHR43390:SF1', NULL, NULL, NULL, NULL, 'CHLOROPLAST PROCESSING PEPTIDASE', NULL, NULL, NULL, 15),
(55737, NULL, 'PTHR24241:SF18', NULL, NULL, NULL, NULL, 'VASOPRESSIN V1B RECEPTOR', NULL, NULL, NULL, 15),
(55738, NULL, 'PTHR34783:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55739, NULL, 'PTHR31948:SF65', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(55740, NULL, 'PTHR10334:SF495', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55741, NULL, 'PTHR37769:SF2', NULL, NULL, NULL, NULL, 'BNAA10G11470D PROTEIN', NULL, NULL, NULL, 15),
(55742, NULL, 'PTHR33172:SF34', NULL, NULL, NULL, NULL, 'OS09G0499000 PROTEIN', NULL, NULL, NULL, 15),
(55743, NULL, 'PTHR12634:SF22', NULL, NULL, NULL, NULL, 'SIT4 PHOSPHATASE-ASSOCIATED FAMILY PROTEIN', NULL, NULL, NULL, 15),
(55744, NULL, 'PTHR23024:SF530', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55745, NULL, 'PTHR31945:SF53', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(55746, NULL, 'PTHR13768:SF2', NULL, NULL, NULL, NULL, 'GAMMA-SOLUBLE NSF ATTACHMENT PROTEIN', NULL, NULL, NULL, 15),
(55747, NULL, 'PTHR10257:SF49', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(55748, NULL, 'PTHR11915:SF434', NULL, NULL, NULL, NULL, 'ALPHA-ACTININ-1', NULL, NULL, NULL, 15),
(55749, NULL, 'PTHR24637:SF272', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 8', NULL, NULL, NULL, 15),
(55750, NULL, 'PTHR11358:SF32', NULL, NULL, NULL, NULL, 'ARGINASE 2, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(55751, NULL, 'PTHR31375:SF11', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(55752, NULL, 'PTHR37162:SF1', NULL, NULL, NULL, NULL, 'HAT FAMILY DIMERISATION DOMAINCONTAINING PROTEIN', NULL, NULL, NULL, 15),
(55753, NULL, 'PTHR21366:SF22', NULL, NULL, NULL, NULL, 'OS07G0160400 PROTEIN', NULL, NULL, NULL, 15),
(55754, NULL, 'PTHR47926:SF240', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(55755, NULL, 'PTHR47925:SF5', NULL, NULL, NULL, NULL, 'BNAC05G10750D PROTEIN', NULL, NULL, NULL, 15),
(55756, NULL, 'PTHR37877:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL COILED-COIL DOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(55757, NULL, 'PTHR15907:SF109', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 9', NULL, NULL, NULL, 15),
(55758, NULL, 'PTHR14237:SF75', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE, MAJOR REGION, SUBDOMAIN 1-RELATED', NULL, NULL, NULL, 15),
(55759, NULL, 'PTHR32208:SF60', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE GLOX1', NULL, NULL, NULL, 15),
(55760, NULL, 'PTHR16134:SF79', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT INHIBITOR RESPONSE 1', NULL, NULL, NULL, 15),
(55761, NULL, 'PTHR28657:SF5', NULL, NULL, NULL, NULL, 'INDOLEAMINE 2,3-DIOXYGENASE', NULL, NULL, NULL, 15),
(55762, NULL, 'PTHR47021:SF9', NULL, NULL, NULL, NULL, 'BNACNNG63080D PROTEIN', NULL, NULL, NULL, 15),
(55763, NULL, 'PTHR24343:SF121', NULL, NULL, NULL, NULL, 'MATERNAL EMBRYONIC LEUCINE ZIPPER KINASE', NULL, NULL, NULL, 15),
(55764, NULL, 'PTHR11043:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55765, NULL, 'PTHR45883:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FAM10A5-RELATED', NULL, NULL, NULL, 15),
(55766, NULL, 'PTHR31133:SF12', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(55767, NULL, 'PTHR24379:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55768, NULL, 'PTHR11999', NULL, NULL, NULL, NULL, 'GROUP II PYRIDOXAL-5-PHOSPHATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(55769, NULL, 'PTHR31213:SF155', NULL, NULL, NULL, NULL, 'PYR1-LIKE 7-RELATED', NULL, NULL, NULL, 15),
(55770, NULL, 'PTHR48018:SF107', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5B17', NULL, NULL, NULL, 15),
(55771, NULL, 'PTHR23411:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE (SDR FAMILY) MEMBER 13B-RELATED', NULL, NULL, NULL, 15),
(55772, NULL, 'PTHR33430:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0027H06.14 PROTEIN', NULL, NULL, NULL, 15),
(55773, NULL, 'PTHR48002:SF48', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(55774, NULL, 'PTHR31500:SF9', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 9', NULL, NULL, NULL, 15),
(55775, NULL, 'PTHR13713:SF8', NULL, NULL, NULL, NULL, 'TYPE 2 LACTOSAMINE ALPHA-2,3-SIALYLTRANSFERASE', NULL, NULL, NULL, 15),
(55776, NULL, 'PTHR36016:SF10', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 7', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55777, NULL, 'PTHR33164:SF13', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE CATABOLISM PROTEIN', NULL, NULL, NULL, 15),
(55778, NULL, 'PTHR22993:SF26', NULL, NULL, NULL, NULL, 'OS06G0643600 PROTEIN', NULL, NULL, NULL, 15),
(55779, NULL, 'PTHR10992:SF848', NULL, NULL, NULL, NULL, 'OS01G0557100 PROTEIN', NULL, NULL, NULL, 15),
(55780, NULL, 'PTHR12868:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55781, NULL, 'PTHR10489:SF928', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(55782, NULL, 'PTHR24322:SF729', NULL, NULL, NULL, NULL, 'MIP05442P', NULL, NULL, NULL, 15),
(55783, NULL, 'PTHR24559:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55784, NULL, 'PTHR31375:SF169', NULL, NULL, NULL, NULL, 'F3F20.10 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55785, NULL, 'PTHR24057:SF54', NULL, NULL, NULL, NULL, 'BNAA09G38810D PROTEIN', NULL, NULL, NULL, 15),
(55786, NULL, 'PTHR45617:SF95', NULL, NULL, NULL, NULL, '18 WHEELER-RELATED', NULL, NULL, NULL, 15),
(55787, NULL, 'PTHR22923:SF70', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 6', NULL, NULL, NULL, 15),
(55788, NULL, 'PTHR31580:SF7', NULL, NULL, NULL, NULL, 'OS04G0505000 PROTEIN', NULL, NULL, NULL, 15),
(55789, NULL, 'PTHR23155:SF1067', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(55790, NULL, 'PTHR34137', NULL, NULL, NULL, NULL, 'EXODEOXYRIBONUCLEASE 7 SMALL SUBUNIT', NULL, NULL, 2140, 15),
(55791, NULL, 'PTHR20937:SF3', NULL, NULL, NULL, NULL, 'IP14615P', NULL, NULL, NULL, 15),
(55792, NULL, 'PTHR47322:SF14', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15),
(55793, NULL, 'PTHR31500:SF73', NULL, NULL, NULL, NULL, 'BNAA02G33320D PROTEIN', NULL, NULL, NULL, 15),
(55794, NULL, 'PTHR19139:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55795, NULL, 'PTHR47991:SF10', NULL, NULL, NULL, NULL, 'HYOSCYAMINE 6-DIOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(55796, NULL, 'PTHR14241:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-208G24.8-RELATED', NULL, NULL, NULL, 15),
(55797, NULL, 'PTHR24203:SF45', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(55798, NULL, 'PTHR13848:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE 2', NULL, NULL, NULL, 15),
(55799, NULL, 'PTHR45974:SF177', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(55800, NULL, 'PTHR31425:SF6', NULL, NULL, NULL, NULL, 'OS02G0663900 PROTEIN', NULL, NULL, NULL, 15),
(55801, NULL, 'PTHR45614:SF150', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(55802, NULL, 'PTHR11592:SF78', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID HYDROPEROXIDE GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(55803, NULL, 'PTHR37196', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(55804, NULL, 'PTHR24121:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 14', NULL, NULL, NULL, 15),
(55805, NULL, 'PTHR33085:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55806, NULL, 'PTHR30032:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE CWLM', NULL, NULL, NULL, 15),
(55807, NULL, 'PTHR37363', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT GON7', NULL, NULL, 27935, 15),
(55808, NULL, 'PTHR30136:SF19', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL REPRESSOR YIAJ', NULL, NULL, NULL, 15),
(55809, NULL, 'PTHR24012:SF818', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN BRN2', NULL, NULL, NULL, 15),
(55810, NULL, 'PTHR46746', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY F MEMBER 2', NULL, NULL, NULL, 15),
(55811, NULL, 'PTHR45670:SF11', NULL, NULL, NULL, NULL, 'BNAA03G00690D PROTEIN', NULL, NULL, NULL, 15),
(55812, NULL, 'PTHR47668:SF1', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G01940)', NULL, NULL, NULL, 15),
(55813, NULL, 'PTHR42678', NULL, NULL, NULL, NULL, 'AMIDASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55814, NULL, 'PTHR43625:SF44', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 6-RELATED', NULL, NULL, NULL, 15),
(55815, NULL, 'PTHR14464', NULL, NULL, NULL, NULL, 'EXONUCLEASE V', NULL, NULL, 18657, 15),
(55816, NULL, 'PTHR31448:SF40', NULL, NULL, NULL, NULL, 'BNAA04G17750D PROTEIN', NULL, NULL, NULL, 15),
(55817, NULL, 'PTHR34444', NULL, NULL, NULL, NULL, 'LOC361192', NULL, NULL, 24124, 15),
(55818, NULL, 'PTHR31707:SF341', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(55819, NULL, 'PTHR11746:SF143', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE 12-RELATED', NULL, NULL, NULL, 15),
(55820, NULL, 'PTHR22776:SF33', NULL, NULL, NULL, NULL, 'PROTEIN CBG22717', NULL, NULL, NULL, 15),
(55821, NULL, 'PTHR24089:SF281', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE TRANSPORTER BT1, CHLOROPLASTIC/AMYLOPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(55822, NULL, 'PTHR39648', NULL, NULL, NULL, NULL, '6-HYDROXYMETHYL-7,8-DIHYDROPTERIN PYROPHOSPHOKINASE', NULL, NULL, 25351, 15),
(55823, NULL, 'PTHR47126:SF8', NULL, NULL, NULL, NULL, 'BNAC01G40410D PROTEIN', NULL, NULL, NULL, 15),
(55824, NULL, 'PTHR23430:SF234', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(55825, NULL, 'PTHR45969:SF39', NULL, NULL, NULL, NULL, 'BNACNNG20990D PROTEIN', NULL, NULL, NULL, 15),
(55826, NULL, 'PTHR43895', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55827, NULL, 'PTHR31718:SF32', NULL, NULL, NULL, NULL, 'EMBRYO-SPECIFIC PROTEIN ATS3B', NULL, NULL, NULL, 15),
(55828, NULL, 'PTHR46011:SF15', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(55829, NULL, 'PTHR47158:SF2', NULL, NULL, NULL, NULL, 'BNAA03G01640D PROTEIN', NULL, NULL, NULL, 15),
(55830, NULL, 'PTHR11062:SF231', NULL, NULL, NULL, NULL, 'GLUCOSAMINE INOSITOLPHOSPHORYLCERAMIDE TRANSFERASE 1', NULL, NULL, NULL, 15),
(55831, NULL, 'PTHR23430:SF282', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(55832, NULL, 'PTHR32116:SF59', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(55833, NULL, 'PTHR24025:SF0', NULL, NULL, NULL, NULL, 'DESMOCOLLIN-2', NULL, NULL, NULL, 15),
(55834, NULL, 'PTHR24281:SF64', NULL, NULL, NULL, NULL, 'OS06G0642300 PROTEIN', NULL, NULL, NULL, 15),
(55835, NULL, 'PTHR46612:SF1', NULL, NULL, NULL, NULL, 'XYLOSIDE XYLOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(55836, NULL, 'PTHR11636:SF121', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 3, TRANSCRIPTION FACTOR 3-A', NULL, NULL, NULL, 15),
(55837, NULL, 'PTHR31232:SF89', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(55838, NULL, 'PTHR32246:SF60', NULL, NULL, NULL, NULL, '16 KDA PHLOEM PROTEIN 1', NULL, NULL, NULL, 15),
(55839, NULL, 'PTHR21645:SF8', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN F13G3.3', NULL, NULL, NULL, 15),
(55840, NULL, 'PTHR31942:SF60', NULL, NULL, NULL, NULL, 'OS05G0418100 PROTEIN', NULL, NULL, NULL, 15),
(55841, NULL, 'PTHR43602:SF1', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE DOMAIN-CONTAINING PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(55842, NULL, 'PTHR46079:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG22314', NULL, NULL, NULL, 15),
(55843, NULL, 'PTHR31639:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55844, NULL, 'PTHR45621:SF57', NULL, NULL, NULL, NULL, 'KINASE CX32, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(55845, NULL, 'PTHR12300:SF147', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(55846, NULL, 'PTHR45646:SF4', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE CLK1', NULL, NULL, NULL, 15),
(55847, NULL, 'PTHR12300:SF55', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(55848, NULL, 'PTHR37937', NULL, NULL, NULL, NULL, 'CONJUGATIVE TRANSFER: DNA TRANSPORT', NULL, NULL, NULL, 15),
(55849, NULL, 'PTHR27002:SF833', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55850, NULL, 'PTHR24056:SF225', NULL, NULL, NULL, NULL, 'OS11G0242500 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55851, NULL, 'PTHR11079:SF168', NULL, NULL, NULL, NULL, 'RIBOFLAVIN BIOSYNTHESIS PROTEIN PYRR, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(55852, NULL, 'PTHR32175:SF18', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(55853, NULL, 'PTHR24393:SF91', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 76', NULL, NULL, NULL, 15),
(55854, NULL, 'PTHR12064:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55855, NULL, 'PTHR10621:SF50', NULL, NULL, NULL, NULL, 'UV EXCISION REPAIR PROTEIN RAD23-RELATED', NULL, NULL, NULL, 15),
(55856, NULL, 'PTHR10177:SF210', NULL, NULL, NULL, NULL, 'CYCLIN J, ISOFORM A', NULL, NULL, NULL, 15),
(55857, NULL, 'PTHR31851:SF54', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER HOMOLOG 1', NULL, NULL, NULL, 15),
(55858, NULL, 'PTHR46629:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55859, NULL, 'PTHR11746:SF180', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(55860, NULL, 'PTHR45660:SF22', NULL, NULL, NULL, NULL, 'OSJNBB0038F03.7 PROTEIN', NULL, NULL, NULL, 15),
(55861, NULL, 'PTHR11081', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE FAMILY MEMBER', NULL, NULL, 2906, 15),
(55862, NULL, 'PTHR11705:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55863, NULL, 'PTHR47939', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED SALT-INDUCIBLE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(55864, NULL, 'PTHR45690:SF11', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(55865, NULL, 'PTHR31048:SF40', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(55866, NULL, 'PTHR31642:SF190', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(55867, NULL, 'PTHR22870:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55868, NULL, 'PTHR31471:SF57', NULL, NULL, NULL, NULL, 'REMORIN-LIKE', NULL, NULL, NULL, 15),
(55869, NULL, 'PTHR38795', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55870, NULL, 'PTHR11743:SF23', NULL, NULL, NULL, NULL, 'GH26960P-RELATED', NULL, NULL, NULL, 15),
(55871, NULL, 'PTHR35504', NULL, NULL, NULL, NULL, 'PROTEIN EMBRYONIC FLOWER 1', NULL, NULL, 31758, 15),
(55872, NULL, 'PTHR23416:SF36', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS ACETYLTRANSFERASE WCAF-RELATED', NULL, NULL, NULL, 15),
(55873, NULL, 'PTHR40635:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55874, NULL, 'PTHR12837', NULL, NULL, NULL, NULL, 'POLY ADP-RIBOSE  GLYCOHYDROLASE', NULL, NULL, 1432, 15),
(55875, NULL, 'PTHR43367', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55876, NULL, 'PTHR10871:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN SWS2, MITOCHONDRIAL', NULL, NULL, 12286, 15),
(55877, NULL, 'PTHR31621:SF60', NULL, NULL, NULL, NULL, 'PROTEIN DMP2', NULL, NULL, NULL, 15),
(55878, NULL, 'PTHR31325:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55879, NULL, 'PTHR33128:SF64', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF 3339)-RELATED', NULL, NULL, NULL, 15),
(55880, NULL, 'PTHR33683:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55881, NULL, 'PTHR11782:SF86', NULL, NULL, NULL, NULL, 'APYRASE 1', NULL, NULL, NULL, 15),
(55882, NULL, 'PTHR32080:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55883, NULL, 'PTHR33133:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55884, NULL, 'PTHR39560', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE FIC-RELATED', NULL, NULL, NULL, 15),
(55885, NULL, 'PTHR10742:SF391', NULL, NULL, NULL, NULL, 'BNAC07G50830D PROTEIN', NULL, NULL, NULL, 15),
(55886, NULL, 'PTHR11746:SF120', NULL, NULL, NULL, NULL, 'CAFFEATE O-METHYLTRANSFERASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(55887, NULL, 'PTHR11254:SF395', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SMURF1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55888, NULL, 'PTHR31003:SF37', NULL, NULL, NULL, NULL, 'BNAA05G16090D PROTEIN', NULL, NULL, NULL, 15),
(55889, NULL, 'PTHR37245:SF4', NULL, NULL, NULL, NULL, 'PAMP-INDUCED SECRETED PEPTIDE 1', NULL, NULL, NULL, 15),
(55890, NULL, 'PTHR32219:SF18', NULL, NULL, NULL, NULL, 'BNAA08G14070D PROTEIN', NULL, NULL, NULL, 15),
(55891, NULL, 'PTHR10285:SF191', NULL, NULL, NULL, NULL, 'URIDINE KINASE-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(55892, NULL, 'PTHR35365:SF11', NULL, NULL, NULL, NULL, 'SPORE COAT PROTEIN SP65', NULL, NULL, NULL, 15),
(55893, NULL, 'PTHR47289', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (DUF1664)-RELATED', NULL, NULL, NULL, 15),
(55894, NULL, 'PTHR42799:SF17', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(55895, NULL, 'PTHR12903:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L24, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(55896, NULL, 'PTHR46100:SF8', NULL, NULL, NULL, NULL, 'OS05G0170200 PROTEIN', NULL, NULL, NULL, 15),
(55897, NULL, 'PTHR46707:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07468', NULL, NULL, NULL, 15),
(55898, NULL, 'PTHR10631', NULL, NULL, NULL, NULL, 'N 2 ,N 2 -DIMETHYLGUANOSINE TRNA METHYLTRANSFERASE', NULL, NULL, 6120, 15),
(55899, NULL, 'PTHR24056:SF254', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 2', NULL, NULL, NULL, 15),
(55900, NULL, 'PTHR24284:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(55901, NULL, 'PTHR33670:SF19', NULL, NULL, NULL, NULL, 'T20H2.15 PROTEIN', NULL, NULL, NULL, 15),
(55902, NULL, 'PTHR48002:SF43', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4A5-RELATED', NULL, NULL, NULL, 15),
(55903, NULL, 'PTHR11902:SF48', NULL, NULL, NULL, NULL, 'ENOLASE', NULL, NULL, NULL, 15),
(55904, NULL, 'PTHR45463', NULL, NULL, NULL, NULL, 'OS09G0392200 PROTEIN', NULL, NULL, 38602, 15),
(55905, NULL, 'PTHR11349:SF103', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(55906, NULL, 'PTHR46950', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER CORA-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(55907, NULL, 'PTHR26453:SF638', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10AC1', NULL, NULL, NULL, 15),
(55908, NULL, 'PTHR42788:SF10', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING COMPONENT', NULL, NULL, NULL, 15),
(55909, NULL, 'PTHR22943:SF89', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(55910, NULL, 'PTHR47988:SF34', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, 26665, 15),
(55911, NULL, 'PTHR34190:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55912, NULL, 'PTHR45629:SF7', NULL, NULL, NULL, NULL, 'DNA EXCISION REPAIR PROTEIN ERCC-6-RELATED', NULL, NULL, NULL, 15),
(55913, NULL, 'PTHR46195:SF17', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 8', NULL, NULL, NULL, 15),
(55914, NULL, 'PTHR27008:SF471', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55915, NULL, 'PTHR11999:SF104', NULL, NULL, NULL, NULL, 'OS05G0510600 PROTEIN', NULL, NULL, NULL, 15),
(55916, NULL, 'PTHR22811:SF147', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA5', NULL, NULL, NULL, 15),
(55917, NULL, 'PTHR22950', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(55918, NULL, 'PTHR38648', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930451I11 GENE', NULL, NULL, 35477, 15),
(55919, NULL, 'PTHR31650:SF54', NULL, NULL, NULL, NULL, 'BNAC04G48780D PROTEIN', NULL, NULL, NULL, 15),
(55920, NULL, 'PTHR31871:SF33', NULL, NULL, NULL, NULL, 'HISTIDINE-TRNA LIGASE', NULL, NULL, NULL, 15),
(55921, NULL, 'PTHR14256:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55922, NULL, 'PTHR22883:SF305', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(55923, NULL, 'PTHR32285:SF175', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 43', NULL, NULL, NULL, 15),
(55924, NULL, 'PTHR31719:SF173', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29-LIKE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55925, NULL, 'PTHR47266:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55926, NULL, 'PTHR47979:SF41', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-11B', NULL, NULL, NULL, 15),
(55927, NULL, 'PTHR23192:SF74', NULL, NULL, NULL, NULL, 'SI:DKEYP-46H3.3-RELATED', NULL, NULL, NULL, 15),
(55928, NULL, 'PTHR24391:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER E-BOX-BINDING HOMEOBOX 1', NULL, NULL, NULL, 15),
(55929, NULL, 'PTHR11566:SF201', NULL, NULL, NULL, NULL, 'DYNAMIN CENTRAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55930, NULL, 'PTHR31509:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55931, NULL, 'PTHR43485:SF1', NULL, NULL, NULL, NULL, 'FORMATE HYDROGENLYASE SUBUNIT 5-RELATED', NULL, NULL, NULL, 15),
(55932, NULL, 'PTHR33492', NULL, NULL, NULL, NULL, 'OSJNBA0043A12.37 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55933, NULL, 'PTHR10501:SF30', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN WITH MULTIPLE SPLICING 2', NULL, NULL, NULL, 15),
(55934, NULL, 'PTHR23119:SF6', NULL, NULL, NULL, NULL, 'DISKS LARGE HOMOLOG 2', NULL, NULL, NULL, 15),
(55935, NULL, 'PTHR11024:SF12', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC13 HOMOLOG A', NULL, NULL, NULL, 15),
(55936, NULL, 'PTHR32444:SF63', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RKS1', NULL, NULL, NULL, 15),
(55937, NULL, 'PTHR14950:SF15', NULL, NULL, NULL, NULL, 'DICER-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(55938, NULL, 'PTHR31852:SF9', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(55939, NULL, 'PTHR12356:SF20', NULL, NULL, NULL, NULL, 'PROTEIN BOBBER 1-LIKE', NULL, NULL, NULL, 15),
(55940, NULL, 'PTHR23349:SF42', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX', NULL, NULL, NULL, 15),
(55941, NULL, 'PTHR46145:SF1', NULL, NULL, NULL, NULL, 'INACTIVE HEPARANASE-2', NULL, NULL, NULL, 15),
(55942, NULL, 'PTHR19297:SF96', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYL-O-GLYCOSYL-GLYCOPROTEIN BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(55943, NULL, 'PTHR39147:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SPT21', NULL, NULL, NULL, 15),
(55944, NULL, 'PTHR15241:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55945, NULL, 'PTHR33473:SF11', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ADAPTER PROTEIN CLPS', NULL, NULL, NULL, 15),
(55946, NULL, 'PTHR37610:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55947, NULL, 'PTHR24376:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(55948, NULL, 'PTHR13421:SF16', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(55949, NULL, 'PTHR31108', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P63-REGULATED GENE 1-LIKE PROTEIN', NULL, NULL, 34102, 15),
(55950, NULL, 'PTHR45688:SF15', NULL, NULL, NULL, NULL, 'BNAA04G22010D PROTEIN', NULL, NULL, NULL, 15),
(55951, NULL, 'PTHR43895:SF100', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(55952, NULL, 'PTHR32227:SF392', NULL, NULL, NULL, NULL, 'BNACNNG06930D PROTEIN', NULL, NULL, NULL, 15),
(55953, NULL, 'PTHR12243:SF49', NULL, NULL, NULL, NULL, 'GH22016P-RELATED', NULL, NULL, NULL, 15),
(55954, NULL, 'PTHR15454:SF25', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 23', NULL, NULL, NULL, 15),
(55955, NULL, 'PTHR13609:SF20', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(55956, NULL, 'PTHR15720:SF13', NULL, NULL, NULL, NULL, 'PROTEIN GREB1', NULL, NULL, NULL, 15),
(55957, NULL, 'PTHR31889:SF35', NULL, NULL, NULL, NULL, 'OSJNBA0064H22.19 PROTEIN', NULL, NULL, NULL, 15),
(55958, NULL, 'PTHR10221:SF19', NULL, NULL, NULL, NULL, 'BNAA08G28140D PROTEIN', NULL, NULL, NULL, 15),
(55959, NULL, 'PTHR30634:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55960, NULL, 'PTHR11767:SF109', NULL, NULL, NULL, NULL, 'POTASSIUM INWARDLY-RECTIFYING CHANNEL, SUBFAMILY J, MEMBER 2B', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55961, NULL, 'PTHR11726:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55962, NULL, 'PTHR34580', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55963, NULL, 'PTHR45614:SF33', NULL, NULL, NULL, NULL, 'OS02G0271900 PROTEIN', NULL, NULL, NULL, 15),
(55964, NULL, 'PTHR31321:SF71', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(55965, NULL, 'PTHR11875:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55966, NULL, 'PTHR24032:SF18', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(55967, NULL, 'PTHR32285:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PMR5', NULL, NULL, 23611, 15),
(55968, NULL, 'PTHR10292:SF18', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(55969, NULL, 'PTHR11743:SF72', NULL, NULL, NULL, NULL, 'BNAC09G32780D PROTEIN', NULL, NULL, NULL, 15),
(55970, NULL, 'PTHR13242:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT L', NULL, NULL, NULL, 15),
(55971, NULL, 'PTHR34396', NULL, NULL, NULL, NULL, 'OS03G0264950 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55972, NULL, 'PTHR10994:SF73', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(55973, NULL, 'PTHR45739:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55974, NULL, 'PTHR32502:SF4', NULL, NULL, NULL, NULL, 'PTS SYSTEM MANNOSE-SPECIFIC EIIC COMPONENT', NULL, NULL, NULL, 15),
(55975, NULL, 'PTHR43150:SF4', NULL, NULL, NULL, NULL, 'L-GLYCERALDEHYDE 3-PHOSPHATE REDUCTASE', NULL, NULL, NULL, 15),
(55976, NULL, 'PTHR42791:SF4', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, GNAT FAMILY FAMILY (AFU_ORTHOLOGUE AFUA_4G09540)', NULL, NULL, NULL, 15),
(55977, NULL, 'PTHR31717:SF88', NULL, NULL, NULL, NULL, 'BNAA10G08290D PROTEIN', NULL, NULL, NULL, 15),
(55978, NULL, 'PTHR36792:SF6', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55979, NULL, 'PTHR47182', NULL, NULL, NULL, NULL, 'CELL WALL ALPHA-1,3-GLUCAN SYNTHASE AGS1-RELATED', NULL, NULL, NULL, 15),
(55980, NULL, 'PTHR13059:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CAPICUA HOMOLOG', NULL, NULL, NULL, 15),
(55981, NULL, 'PTHR48149:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37A', NULL, NULL, NULL, 15),
(55982, NULL, 'PTHR47784:SF5', NULL, NULL, NULL, NULL, 'STEROL UPTAKE CONTROL PROTEIN 2', NULL, NULL, NULL, 15),
(55983, NULL, 'PTHR43826:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55984, NULL, 'PTHR14416:SF2', NULL, NULL, NULL, NULL, 'PROTEIN NJMU-R1', NULL, NULL, NULL, 15),
(55985, NULL, 'PTHR47958:SF62', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 37-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(55986, NULL, 'PTHR33937:SF2', NULL, NULL, NULL, NULL, 'IRON-MOLYBDENUM PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55987, NULL, 'PTHR47638', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55988, NULL, 'PTHR24221:SF126', NULL, NULL, NULL, NULL, 'SERINE PROTEASE/ABC TRANSPORTER B FAMILY PROTEIN TAGA', NULL, NULL, NULL, 15),
(55989, NULL, 'PTHR10641:SF1251', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(55990, NULL, 'PTHR11654:SF320', NULL, NULL, NULL, NULL, 'OS01G0872500 PROTEIN', NULL, NULL, NULL, 15),
(55991, NULL, 'PTHR24225:SF26', NULL, NULL, NULL, NULL, 'FORMYL PEPTIDE RECEPTOR-RELATED SEQUENCE 4', NULL, NULL, NULL, 15),
(55992, NULL, 'PTHR31917:SF101', NULL, NULL, NULL, NULL, 'OS07G0607300 PROTEIN', NULL, NULL, NULL, 15),
(55993, NULL, 'PTHR13683:SF789', NULL, NULL, NULL, NULL, 'OS05G0590000 PROTEIN', NULL, NULL, NULL, 15),
(55994, NULL, 'PTHR24159:SF5', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(55995, NULL, 'PTHR11462:SF37', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUN-B', NULL, NULL, 23430, 15),
(55996, NULL, 'PTHR11686:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(55997, NULL, 'PTHR27008:SF479', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(55998, NULL, 'PTHR39189:SF1', NULL, NULL, NULL, NULL, 'UPF0173 METAL-DEPENDENT HYDROLASE YTKL', NULL, NULL, NULL, 15),
(55999, NULL, 'PTHR46736:SF26', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(56000, NULL, 'PTHR31374:SF258', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR76', NULL, NULL, NULL, 15),
(56001, NULL, 'PTHR33067:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56002, NULL, 'PTHR33076:SF72', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(56003, NULL, 'PTHR40743:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56004, NULL, 'PTHR43349:SF62', NULL, NULL, NULL, NULL, 'BNAC05G24220D PROTEIN', NULL, NULL, NULL, 15),
(56005, NULL, 'PTHR10108:SF1108', NULL, NULL, NULL, NULL, 'BNAC04G05690D PROTEIN', NULL, NULL, NULL, 15),
(56006, NULL, 'PTHR32009:SF87', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(56007, NULL, 'PTHR34283', NULL, NULL, NULL, NULL, 'PROTEIN RESPONSE TO LOW SULFUR 1', NULL, NULL, 35615, 15),
(56008, NULL, 'PTHR30086:SF5', NULL, NULL, NULL, NULL, 'HOMOGENTISATE EXPORT PROTEIN', NULL, NULL, NULL, 15),
(56009, NULL, 'PTHR43377:SF13', NULL, NULL, NULL, NULL, 'DEHYDROGENASES AND RELATED PROTEINS-RELATED', NULL, NULL, NULL, 15),
(56010, NULL, 'PTHR31314:SF124', NULL, NULL, NULL, NULL, 'BNAA02G30980D PROTEIN', NULL, NULL, NULL, 15),
(56011, NULL, 'PTHR31852:SF232', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56012, NULL, 'PTHR23329:SF1', NULL, NULL, NULL, NULL, 'TUFTELIN-INTERACTING PROTEIN 11', NULL, NULL, NULL, 15),
(56013, NULL, 'PTHR13808:SF28', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE HAC12', NULL, NULL, NULL, 15),
(56014, NULL, 'PTHR43625:SF35', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 1 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(56015, NULL, 'PTHR45724:SF33', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP5-1 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(56016, NULL, 'PTHR31301:SF126', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 27-RELATED', NULL, NULL, NULL, 15),
(56017, NULL, 'PTHR43280:SF22', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(56018, NULL, 'PTHR47482:SF11', NULL, NULL, NULL, NULL, 'OS11G0632001 PROTEIN', NULL, NULL, NULL, 15),
(56019, NULL, 'PTHR31071:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56020, NULL, 'PTHR33386:SF13', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(56021, NULL, 'PTHR33083:SF84', NULL, NULL, NULL, NULL, 'ATS40-3', NULL, NULL, NULL, 15),
(56022, NULL, 'PTHR35243:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56023, NULL, 'PTHR12411:SF586', NULL, NULL, NULL, NULL, 'CATHEPSIN L,-LIKE-RELATED', NULL, NULL, NULL, 15),
(56024, NULL, 'PTHR38775:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56025, NULL, 'PTHR47175:SF2', NULL, NULL, NULL, NULL, 'LIPASE ATG15-RELATED', NULL, NULL, NULL, 15),
(56026, NULL, 'PTHR23055:SF161', NULL, NULL, NULL, NULL, 'VISININ', NULL, NULL, NULL, 15),
(56027, NULL, 'PTHR24070:SF178', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN DI-RAS2', NULL, NULL, NULL, 15),
(56028, NULL, 'PTHR21713:SF2', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(56029, NULL, 'PTHR33191:SF63', NULL, NULL, NULL, NULL, 'RLPA-LIKE DOUBLE-PSI BETA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56030, NULL, 'PTHR33935:SF4', NULL, NULL, NULL, NULL, 'OS10G0149400 PROTEIN', NULL, NULL, NULL, 15),
(56031, NULL, 'PTHR24269', NULL, NULL, NULL, NULL, 'KREMEN PROTEIN', NULL, NULL, NULL, 15),
(56032, NULL, 'PTHR16146', NULL, NULL, NULL, NULL, 'INTELECTIN', NULL, NULL, NULL, 15),
(56033, NULL, 'PTHR31459:SF23', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA-14, IMMUNOGLOBULIN-LIKE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56034, NULL, 'PTHR31245:SF29', NULL, NULL, NULL, NULL, 'BNAC05G11050D PROTEIN', NULL, NULL, NULL, 15),
(56035, NULL, 'PTHR21022:SF35', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(56036, NULL, 'PTHR23149', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(56037, NULL, 'PTHR10529:SF345', NULL, NULL, NULL, NULL, 'STONIN-2', NULL, NULL, 27473, 15),
(56038, NULL, 'PTHR24388:SF62', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 280C', NULL, NULL, NULL, 15),
(56039, NULL, 'PTHR26450:SF354', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(56040, NULL, 'PTHR48062', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 14', NULL, NULL, NULL, 15),
(56041, NULL, 'PTHR21580:SF23', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 3', NULL, NULL, NULL, 15),
(56042, NULL, 'PTHR19309', NULL, NULL, NULL, NULL, 'GASTRIN', NULL, NULL, 35938, 15),
(56043, NULL, 'PTHR34687', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ-LIKE PROTEIN', NULL, NULL, NULL, 15),
(56044, NULL, 'PTHR45617:SF88', NULL, NULL, NULL, NULL, 'ASTROCYTIC LEUCINE-RICH REPEAT MOLECULE-RELATED', NULL, NULL, NULL, 15),
(56045, NULL, 'PTHR48006:SF18', NULL, NULL, NULL, NULL, 'BNAA02G12070D PROTEIN', NULL, NULL, NULL, 15),
(56046, NULL, 'PTHR12400:SF40', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE KINASE 3', NULL, NULL, NULL, 15),
(56047, NULL, 'PTHR37459:SF1', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED PROTEIN CAS7/CST2/DEVR', NULL, NULL, NULL, 15),
(56048, NULL, 'PTHR27005:SF393', NULL, NULL, NULL, NULL, 'OS01G0580150 PROTEIN', NULL, NULL, NULL, 15),
(56049, NULL, 'PTHR21345', NULL, NULL, NULL, NULL, 'SPIRE', NULL, NULL, 26980, 15),
(56050, NULL, 'PTHR42721:SF3', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 2-RELATED', NULL, NULL, NULL, 15),
(56051, NULL, 'PTHR32440:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56052, NULL, 'PTHR43895:SF89', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(56053, NULL, 'PTHR13620:SF39', NULL, NULL, NULL, NULL, 'OSJNBB0072N21.11 PROTEIN', NULL, NULL, NULL, 15),
(56054, NULL, 'PTHR24061:SF515', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 106-RELATED', NULL, NULL, NULL, 15),
(56055, NULL, 'PTHR46539:SF6', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL14', NULL, NULL, NULL, 15),
(56056, NULL, 'PTHR13481:SF0', NULL, NULL, NULL, NULL, 'UPF0454 PROTEIN C12ORF49', NULL, NULL, NULL, 15),
(56057, NULL, 'PTHR43039:SF16', NULL, NULL, NULL, NULL, 'BNAA03G53980D PROTEIN', NULL, NULL, NULL, 15),
(56058, NULL, 'PTHR34590', NULL, NULL, NULL, NULL, 'OS03G0124300 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56059, NULL, 'PTHR31414:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56060, NULL, 'PTHR43184:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56061, NULL, 'PTHR22913:SF7', NULL, NULL, NULL, NULL, 'HYALURONAN SYNTHASE 2', NULL, NULL, 25547, 15),
(56062, NULL, 'PTHR23084:SF242', NULL, NULL, NULL, NULL, 'CENTRAL APPARATUS ASSOCIATED PROTEIN C1A-18', NULL, NULL, NULL, 15),
(56063, NULL, 'PTHR33576:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56064, NULL, 'PTHR26454:SF19', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C68', NULL, NULL, NULL, 15),
(56065, NULL, 'PTHR13430', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35939, 15),
(56066, NULL, 'PTHR19850:SF25', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(56067, NULL, 'PTHR30074:SF6', NULL, NULL, NULL, NULL, 'BLL5475 PROTEIN', NULL, NULL, NULL, 15),
(56068, NULL, 'PTHR24056:SF174', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 16', NULL, NULL, NULL, 15),
(56069, NULL, 'PTHR13843:SF6', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 1A', NULL, NULL, 18223, 15),
(56070, NULL, 'PTHR10015:SF340', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-6A-LIKE', NULL, NULL, NULL, 15),
(56071, NULL, 'PTHR32295:SF167', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56072, NULL, 'PTHR30128:SF61', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A1', NULL, NULL, 3734, 15),
(56073, NULL, 'PTHR23504:SF39', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03860)-RELATED', NULL, NULL, NULL, 15),
(56074, NULL, 'PTHR34067:SF13', NULL, NULL, NULL, NULL, 'OS04G0613800 PROTEIN', NULL, NULL, NULL, 15),
(56075, NULL, 'PTHR33109:SF3', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(56076, NULL, 'PTHR11353:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56077, NULL, 'PTHR12176', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(56078, NULL, 'PTHR31662:SF62', NULL, NULL, NULL, NULL, 'BNAANNG07420D PROTEIN', NULL, NULL, NULL, 15),
(56079, NULL, 'PTHR34894', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE RSMI, CONSERVED SITE', NULL, NULL, NULL, 15),
(56080, NULL, 'PTHR24189:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56081, NULL, 'PTHR33052:SF15', NULL, NULL, NULL, NULL, 'OS07G0123100 PROTEIN', NULL, NULL, NULL, 15),
(56082, NULL, 'PTHR36814:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT N, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(56083, NULL, 'PTHR43539:SF66', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(56084, NULL, 'PTHR46414', NULL, NULL, NULL, NULL, 'PROTEIN BHLHB9-RELATED', NULL, NULL, 37024, 15),
(56085, NULL, 'PTHR34278:SF3', NULL, NULL, NULL, NULL, 'HOP-INTERACTING PROTEIN THI031', NULL, NULL, NULL, 15),
(56086, NULL, 'PTHR33711', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02910)-RELATED', NULL, NULL, NULL, 15),
(56087, NULL, 'PTHR46325:SF19', NULL, NULL, NULL, NULL, 'BNAC04G43900D PROTEIN', NULL, NULL, NULL, 15),
(56088, NULL, 'PTHR33402:SF3', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 11-LIKE', NULL, NULL, NULL, 15),
(56089, NULL, 'PTHR12713:SF32', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G', NULL, NULL, NULL, 15),
(56090, NULL, 'PTHR10807:SF43', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 5', NULL, NULL, 28336, 15),
(56091, NULL, 'PTHR31682', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE MUTASE', NULL, NULL, 29786, 15),
(56092, NULL, 'PTHR11616:SF125', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT NEUTRAL AMINO ACID TRANSPORTER B(0)AT1', NULL, NULL, NULL, 15),
(56093, NULL, 'PTHR10574:SF303', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(56094, NULL, 'PTHR34391:SF1', NULL, NULL, NULL, NULL, 'UPF0658 GOLGI APPARATUS MEMBRANE PROTEIN C1952.10C-RELATED', NULL, NULL, NULL, 15),
(56095, NULL, 'PTHR46070:SF3', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 5B', NULL, NULL, NULL, 15),
(56096, NULL, 'PTHR47662:SF5', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL56-LIKE', NULL, NULL, NULL, 15),
(56097, NULL, 'PTHR24072:SF313', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE 2', NULL, NULL, NULL, 15),
(56098, NULL, 'PTHR11702:SF42', NULL, NULL, NULL, NULL, 'BNAA08G29050D PROTEIN', NULL, NULL, NULL, 15),
(56099, NULL, 'PTHR23127:SF2', NULL, NULL, NULL, NULL, 'BNAA02G21770D PROTEIN', NULL, NULL, NULL, 15),
(56100, NULL, 'PTHR32099:SF70', NULL, NULL, NULL, NULL, 'BNAC03G29880D PROTEIN', NULL, NULL, NULL, 15),
(56101, NULL, 'PTHR46598:SF3', NULL, NULL, NULL, NULL, 'OS07G0495300 PROTEIN', NULL, NULL, NULL, 15),
(56102, NULL, 'PTHR45633:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56103, NULL, 'PTHR45821:SF18', NULL, NULL, NULL, NULL, 'SNF2 DOMAIN-CONTAINING PROTEIN CLASSY 1-LIKE', NULL, NULL, NULL, 15),
(56104, NULL, 'PTHR34065', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 14', NULL, NULL, 12812, 15),
(56105, NULL, 'PTHR46006:SF3', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR (GEF) 3,-LIKE', NULL, NULL, NULL, 15),
(56106, NULL, 'PTHR31190:SF278', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ABR1-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56107, NULL, 'PTHR11909:SF379', NULL, NULL, NULL, NULL, 'TAU TUBULIN KINASE 2B', NULL, NULL, NULL, 15),
(56108, NULL, 'PTHR36063:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56109, NULL, 'PTHR31681:SF60', NULL, NULL, NULL, NULL, 'BNAC02G23540D PROTEIN', NULL, NULL, NULL, 15),
(56110, NULL, 'PTHR31282:SF164', NULL, NULL, NULL, NULL, 'BNAC03G33830D PROTEIN', NULL, NULL, NULL, 15),
(56111, NULL, 'PTHR45876:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACD', NULL, NULL, NULL, 15),
(56112, NULL, 'PTHR32285:SF299', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 3', NULL, NULL, NULL, 15),
(56113, NULL, 'PTHR10091:SF32', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(56114, NULL, 'PTHR22595:SF149', NULL, NULL, NULL, NULL, 'BASIC 30 KDA ENDOCHITINASE', NULL, NULL, NULL, 15),
(56115, NULL, 'PTHR11905:SF167', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPEPTIDASE DOMAIN 4-RELATED', NULL, NULL, 31714, 15),
(56116, NULL, 'PTHR31775:SF38', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL REGION REMORIN', NULL, NULL, NULL, 15),
(56117, NULL, 'PTHR38354:SF2', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX-LIKE PROTEIN DTM1', NULL, NULL, NULL, 15),
(56118, NULL, 'PTHR46277:SF4', NULL, NULL, NULL, NULL, 'OS01G0926800 PROTEIN', NULL, NULL, NULL, 15),
(56119, NULL, 'PTHR20873:SF0', NULL, NULL, NULL, NULL, 'L-SERYL-TRNA(SEC) KINASE', NULL, NULL, NULL, 15),
(56120, NULL, 'PTHR33217:SF5', NULL, NULL, NULL, NULL, 'MUTATOR FAMILY TRANSPOSASE', NULL, NULL, NULL, 15),
(56121, NULL, 'PTHR10502:SF204', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(56122, NULL, 'PTHR33921:SF19', NULL, NULL, NULL, NULL, 'CALVIN CYCLE PROTEIN CP12-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(56123, NULL, 'PTHR31066:SF70', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56124, NULL, 'PTHR37361:SF2', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(56125, NULL, 'PTHR34094:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM185A', NULL, NULL, NULL, 15),
(56126, NULL, 'PTHR31859:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56127, NULL, 'PTHR46158:SF12', NULL, NULL, NULL, NULL, 'BNAANNG03170D PROTEIN', NULL, NULL, NULL, 15),
(56128, NULL, 'PTHR11733:SF7', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', NULL, NULL, NULL, 15),
(56129, NULL, 'PTHR31920:SF62', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS03G0621600-RELATED', NULL, NULL, NULL, 15),
(56130, NULL, 'PTHR10872:SF4', NULL, NULL, NULL, NULL, 'SH2B ADAPTER PROTEIN 2', NULL, NULL, 26364, 15),
(56131, NULL, 'PTHR15218:SF0', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 96', NULL, NULL, NULL, 15),
(56132, NULL, 'PTHR10015:SF350', NULL, NULL, NULL, NULL, 'BNAC04G32080D PROTEIN', NULL, NULL, NULL, 15),
(56133, NULL, 'PTHR20855:SF61', NULL, NULL, NULL, NULL, 'PROTEIN CBG19039', NULL, NULL, NULL, 15),
(56134, NULL, 'PTHR10150', NULL, NULL, NULL, NULL, 'DNA REPAIR ENDONUCLEASE XPF', NULL, NULL, NULL, 15),
(56135, NULL, 'PTHR21310:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56136, NULL, 'PTHR46211:SF8', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE-RELATED', NULL, NULL, NULL, 15),
(56137, NULL, 'PTHR31151', NULL, NULL, NULL, NULL, 'PROLINE-TRNA LIGASE (DUF1680)', NULL, NULL, NULL, 15),
(56138, NULL, 'PTHR46477:SF17', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(56139, NULL, 'PTHR42683:SF64', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(56140, NULL, 'PTHR43027', NULL, NULL, NULL, NULL, 'DOXORUBICIN RESISTANCE ABC TRANSPORTER PERMEASE PROTEIN DRRC-RELATED', NULL, NULL, NULL, 15),
(56141, NULL, 'PTHR31194:SF144', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF4-LIKE', NULL, NULL, NULL, 15),
(56142, NULL, 'PTHR12565:SF336', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(56143, NULL, 'PTHR47891', NULL, NULL, NULL, NULL, 'TRANSPORTER-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56144, NULL, 'PTHR47640:SF31', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP47A', NULL, NULL, NULL, 15),
(56145, NULL, 'PTHR10791:SF30', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET1', NULL, NULL, NULL, 15),
(56146, NULL, 'PTHR10165:SF17', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE-RELATED PROTEIN TYPE 5', NULL, NULL, 23904, 15),
(56147, NULL, 'PTHR31677:SF147', NULL, NULL, NULL, NULL, 'BNAC02G48800D PROTEIN', NULL, NULL, NULL, 15),
(56148, NULL, 'PTHR24394:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 42', NULL, NULL, NULL, 15),
(56149, NULL, 'PTHR10502:SF212', NULL, NULL, NULL, NULL, 'ANNEXIN B9', NULL, NULL, NULL, 15),
(56150, NULL, 'PTHR18870', NULL, NULL, NULL, NULL, 'PROTEIN TAG-278-RELATED', NULL, NULL, 25627, 15),
(56151, NULL, 'PTHR33128:SF9', NULL, NULL, NULL, NULL, 'OS05G0103400 PROTEIN', NULL, NULL, NULL, 15),
(56152, NULL, 'PTHR47720:SF1', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP2-1-RELATED', NULL, NULL, NULL, 15),
(56153, NULL, 'PTHR47992:SF35', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(56154, NULL, 'PTHR33214:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56155, NULL, 'PTHR31907:SF4', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 34-RELATED', NULL, NULL, NULL, 15),
(56156, NULL, 'PTHR26452:SF785', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(56157, NULL, 'PTHR47520:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG10012', NULL, NULL, NULL, 15),
(56158, NULL, 'PTHR43521:SF5', NULL, NULL, NULL, NULL, 'ALPHA-AMINOADIPIC SEMIALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(56159, NULL, 'PTHR31343:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56160, NULL, 'PTHR34938:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56161, NULL, 'PTHR11802:SF348', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(56162, NULL, 'PTHR23500:SF74', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN MST5', NULL, NULL, NULL, 15),
(56163, NULL, 'PTHR23054:SF76', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1-LIKE', NULL, NULL, NULL, 15),
(56164, NULL, 'PTHR26453:SF588', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(56165, NULL, 'PTHR45844:SF4', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(56166, NULL, 'PTHR47928:SF23', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(56167, NULL, 'PTHR47314', NULL, NULL, NULL, NULL, 'MALTOSE/MALTODEXTRIN TRANSPORT SYSTEM PERMEASE PROTEIN MALF', NULL, NULL, NULL, 15),
(56168, NULL, 'PTHR12876:SF28', NULL, NULL, NULL, NULL, 'PROTEIN KHNYN', NULL, NULL, NULL, 15),
(56169, NULL, 'PTHR11999:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56170, NULL, 'PTHR33622:SF11', NULL, NULL, NULL, NULL, 'BNAA05G31660D PROTEIN', NULL, NULL, NULL, 15),
(56171, NULL, 'PTHR37183:SF1', NULL, NULL, NULL, NULL, 'PLANT THIONIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(56172, NULL, 'PTHR36953:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG07386', NULL, NULL, NULL, 15),
(56173, NULL, 'PTHR45621:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56174, NULL, 'PTHR23176:SF120', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN RGD1', NULL, NULL, NULL, 15),
(56175, NULL, 'PTHR37766:SF1', NULL, NULL, NULL, NULL, 'OS01G0897100 PROTEIN', NULL, NULL, NULL, 15),
(56176, NULL, 'PTHR45784:SF3', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 20 MEMBER A-RELATED', NULL, NULL, NULL, 15),
(56177, NULL, 'PTHR11592:SF109', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(56178, NULL, 'PTHR27009:SF180', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK3', NULL, NULL, NULL, 15),
(56179, NULL, 'PTHR33428:SF9', NULL, NULL, NULL, NULL, 'CHLOROPHYLLASE-1', NULL, NULL, NULL, 15),
(56180, NULL, 'PTHR43772:SF2', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSIDASE (EUROFUNG)', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56181, NULL, 'PTHR11567:SF113', NULL, NULL, NULL, NULL, 'PROTEIN CBG06098', NULL, NULL, NULL, 15),
(56182, NULL, 'PTHR37542', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56183, NULL, 'PTHR13683:SF232', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(56184, NULL, 'PTHR34718:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56185, NULL, 'PTHR11202', NULL, NULL, NULL, NULL, 'SPROUTY-RELATED, EVH1 DOMAIN-CONTAINING PROTEIN FAMILY MEMBER', NULL, NULL, NULL, 15),
(56186, NULL, 'PTHR24281:SF45', NULL, NULL, NULL, NULL, 'DUF1517 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(56187, NULL, 'PTHR24418:SF294', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE BTK29A', NULL, NULL, NULL, 15),
(56188, NULL, 'PTHR11467:SF29', NULL, NULL, NULL, NULL, 'HISTONE H1-LIKE', NULL, NULL, NULL, 15),
(56189, NULL, 'PTHR47977:SF45', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RIC1', NULL, NULL, NULL, 15),
(56190, NULL, 'PTHR27007:SF253', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE II.1-RELATED', NULL, NULL, NULL, 15),
(56191, NULL, 'PTHR38468', NULL, NULL, NULL, NULL, 'SLL0939 PROTEIN', NULL, NULL, 13649, 15),
(56192, NULL, 'PTHR10201:SF165', NULL, NULL, NULL, NULL, 'COLLAGENASE 3', NULL, NULL, 24198, 15),
(56193, NULL, 'PTHR11260:SF652', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE PARA-RELATED', NULL, NULL, NULL, 15),
(56194, NULL, 'PTHR36803:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CHLORORESPIRATORY REDUCTION 7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(56195, NULL, 'PTHR23244:SF432', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56196, NULL, 'PTHR11987:SF30', NULL, NULL, NULL, NULL, 'ALPHA-2,8-SIALYLTRANSFERASE 8B', NULL, NULL, NULL, 15),
(56197, NULL, 'PTHR42071:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56198, NULL, 'PTHR10003', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE  CU-ZN -RELATED', NULL, NULL, 12368, 15),
(56199, NULL, 'PTHR31190:SF282', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(56200, NULL, 'PTHR36408', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(56201, NULL, 'PTHR28398', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX CENTRAL ELEMENT PROTEIN 2', NULL, NULL, 11930, 15),
(56202, NULL, 'PTHR46212:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56203, NULL, 'PTHR11062:SF302', NULL, NULL, NULL, NULL, 'BNAA09G04460D PROTEIN', NULL, NULL, NULL, 15),
(56204, NULL, 'PTHR23268:SF6', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 5-1-RELATED', NULL, NULL, NULL, 15),
(56205, NULL, 'PTHR24115:SF930', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7L, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(56206, NULL, 'PTHR23507:SF31', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14230)-RELATED', NULL, NULL, NULL, 15),
(56207, NULL, 'PTHR31992:SF186', NULL, NULL, NULL, NULL, 'BNAANNG11790D PROTEIN', NULL, NULL, NULL, 15),
(56208, NULL, 'PTHR37723:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED-ELONGATED HYPOCOTYL 1-LIKE', NULL, NULL, NULL, 15),
(56209, NULL, 'PTHR26453:SF644', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(56210, NULL, 'PTHR45743:SF16', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT5-RELATED', NULL, NULL, NULL, 15),
(56211, NULL, 'PTHR11079:SF163', NULL, NULL, NULL, NULL, 'CYTIDINE/DEOXYCYTIDYLATE DEAMINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(56212, NULL, 'PTHR10166:SF56', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, VOLTAGE-DEPENDENT, ALPHA2/DELTA SUBUNIT 3', NULL, NULL, NULL, 15),
(56213, NULL, 'PTHR38789', NULL, NULL, NULL, NULL, 'REPRESSIBLE PROTEIN GRG1, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14210)-RELATED', NULL, NULL, 12787, 15),
(56214, NULL, 'PTHR24248:SF14', NULL, NULL, NULL, NULL, 'ALPHA-1D ADRENERGIC RECEPTOR', NULL, NULL, 300, 15),
(56215, NULL, 'PTHR10209:SF441', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 6', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56216, NULL, 'PTHR31860:SF9', NULL, NULL, NULL, NULL, 'HEAT-INDUCIBLE TRANSCRIPTION REPRESSOR (DUF639)', NULL, NULL, NULL, 15),
(56217, NULL, 'PTHR30473', NULL, NULL, NULL, NULL, 'PROTEIN PHOH', NULL, NULL, NULL, 15),
(56218, NULL, 'PTHR48056:SF28', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(56219, NULL, 'PTHR11227:SF48', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18A-LIKE', NULL, NULL, NULL, 15),
(56220, NULL, 'PTHR36442:SF1', NULL, NULL, NULL, NULL, 'CYCLIC-DI-AMP PHOSPHODIESTERASE PGPH', NULL, NULL, NULL, 15),
(56221, NULL, 'PTHR11125:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT5 HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(56222, NULL, 'PTHR31683:SF80', NULL, NULL, NULL, NULL, 'PECTATE LYASE 16-RELATED', NULL, NULL, NULL, 15),
(56223, NULL, 'PTHR33931:SF6', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN YXZK-RELATED', NULL, NULL, NULL, 15),
(56224, NULL, 'PTHR11645', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE', NULL, NULL, 546, 15),
(56225, NULL, 'PTHR47924:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56226, NULL, 'PTHR12612:SF0', NULL, NULL, NULL, NULL, 'GEO05124P1', NULL, NULL, NULL, 15),
(56227, NULL, 'PTHR45651:SF79', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 1-LIKE', NULL, NULL, NULL, 15),
(56228, NULL, 'PTHR19367:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56229, NULL, 'PTHR46169:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG13700', NULL, NULL, NULL, 15),
(56230, NULL, 'PTHR43132:SF2', NULL, NULL, NULL, NULL, 'ARSENICAL RESISTANCE OPERON REPRESSOR ARSR-RELATED', NULL, NULL, NULL, 15),
(56231, NULL, 'PTHR27002:SF800', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 20-RELATED', NULL, NULL, NULL, 15),
(56232, NULL, 'PTHR15729:SF12', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 30', NULL, NULL, NULL, 15),
(56233, NULL, 'PTHR11183:SF130', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(56234, NULL, 'PTHR27002:SF818', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(56235, NULL, 'PTHR16148', NULL, NULL, NULL, NULL, 'NF-KAPPA-B-REPRESSING FACTOR-RELATED', NULL, NULL, NULL, 15),
(56236, NULL, 'PTHR11260:SF527', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(56237, NULL, 'PTHR11176:SF16', NULL, NULL, NULL, NULL, 'OS01G0876800 PROTEIN', NULL, NULL, NULL, 15),
(56238, NULL, 'PTHR42058:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56239, NULL, 'PTHR11017:SF440', NULL, NULL, NULL, NULL, 'BNAC09G39460D PROTEIN', NULL, NULL, NULL, 15),
(56240, NULL, 'PTHR22883:SF294', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 13-RELATED', NULL, NULL, NULL, 15),
(56241, NULL, 'PTHR31992:SF108', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(56242, NULL, 'PTHR46266:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC1', NULL, NULL, NULL, 15),
(56243, NULL, 'PTHR36740:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(56244, NULL, 'PTHR16705', NULL, NULL, NULL, NULL, 'COMPLEXIN', NULL, NULL, 14118, 15),
(56245, NULL, 'PTHR10774:SF198', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56246, NULL, 'PTHR24281:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56247, NULL, 'PTHR11073:SF1', NULL, NULL, NULL, NULL, 'CALNEXIN 14D-RELATED', NULL, NULL, NULL, 15),
(56248, NULL, 'PTHR32468:SF18', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 1', NULL, NULL, NULL, 15),
(56249, NULL, 'PTHR11736:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56250, NULL, 'PTHR11802:SF244', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 26', NULL, NULL, NULL, 15),
(56251, NULL, 'PTHR12970', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 2', NULL, NULL, 18113, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56252, NULL, 'PTHR22957:SF560', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56253, NULL, 'PTHR14865', NULL, NULL, NULL, NULL, 'CST COMPLEX SUBUNIT CTC1', NULL, NULL, 37788, 15),
(56254, NULL, 'PTHR21419:SF32', NULL, NULL, NULL, NULL, 'PROTEIN DEFECTIVE IN EXINE FORMATION 1', NULL, NULL, NULL, 15),
(56255, NULL, 'PTHR31827:SF42', NULL, NULL, NULL, NULL, 'LORICRIN-RELATED', NULL, NULL, NULL, 15),
(56256, NULL, 'PTHR31048:SF44', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN R MINOR FORM', NULL, NULL, NULL, 15),
(56257, NULL, 'PTHR19269:SF39', NULL, NULL, NULL, NULL, 'TROPOMYOSIN 3, RELATED SEQUENCE 7', NULL, NULL, NULL, 15),
(56258, NULL, 'PTHR30525:SF6', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE 5-PHOSPHATE REDUCTOISOMERASE', NULL, NULL, NULL, 15),
(56259, NULL, 'PTHR46602', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF GENE SILENCING 3', NULL, NULL, 36936, 15),
(56260, NULL, 'PTHR31992:SF114', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.1', NULL, NULL, NULL, 15),
(56261, NULL, 'PTHR24248:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56262, NULL, 'PTHR11206:SF420', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(56263, NULL, 'PTHR34376:SF2', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, KAZAL-TYPE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(56264, NULL, 'PTHR45786:SF47', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD-LIKE PROTEIN', NULL, NULL, NULL, 15),
(56265, NULL, 'PTHR23213:SF352', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(56266, NULL, 'PTHR42938:SF20', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(56267, NULL, 'PTHR31495:SF29', NULL, NULL, NULL, NULL, 'PEROXYGENASE 5-RELATED', NULL, NULL, NULL, 15),
(56268, NULL, 'PTHR24286:SF293', NULL, NULL, NULL, NULL, 'BNAA08G03170D PROTEIN', NULL, NULL, NULL, 15),
(56269, NULL, 'PTHR33207:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56270, NULL, 'PTHR33021:SF399', NULL, NULL, NULL, NULL, 'BNAC06G04180D PROTEIN', NULL, NULL, NULL, 15),
(56271, NULL, 'PTHR43811:SF49', NULL, NULL, NULL, NULL, 'FKBP-TYPE 16 KDA PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(56272, NULL, 'PTHR46651:SF5', NULL, NULL, NULL, NULL, 'BNAANNG23790D PROTEIN', NULL, NULL, NULL, 15),
(56273, NULL, 'PTHR21450:SF48', NULL, NULL, NULL, NULL, 'OS08G0551200 PROTEIN', NULL, NULL, NULL, 15),
(56274, NULL, 'PTHR13411:SF6', NULL, NULL, NULL, NULL, 'PLASMINOGEN RECEPTOR (KT)', NULL, NULL, NULL, 15),
(56275, NULL, 'PTHR32027:SF0', NULL, NULL, NULL, NULL, 'CYTOSINE DEAMINASE', NULL, NULL, NULL, 15),
(56276, NULL, 'PTHR47979:SF53', NULL, NULL, NULL, NULL, 'FI07418P', NULL, NULL, NULL, 15),
(56277, NULL, 'PTHR36153:SF5', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56278, NULL, 'PTHR48041:SF40', NULL, NULL, NULL, NULL, 'OS05G0120200 PROTEIN', NULL, NULL, NULL, 15),
(56279, NULL, 'PTHR13343', NULL, NULL, NULL, NULL, 'CREG1 PROTEIN', NULL, NULL, NULL, 15),
(56280, NULL, 'PTHR31744:SF113', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 26', NULL, NULL, NULL, 15),
(56281, NULL, 'PTHR20886:SF10', NULL, NULL, NULL, NULL, 'VANG-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(56282, NULL, 'PTHR12931:SF30', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE', NULL, NULL, NULL, 15),
(56283, NULL, 'PTHR10127:SF779', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(56284, NULL, 'PTHR12718:SF7', NULL, NULL, NULL, NULL, 'BNACNNG51390D PROTEIN', NULL, NULL, NULL, 15),
(56285, NULL, 'PTHR15698:SF8', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA HYDROXYLASE-INTERACTING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(56286, NULL, 'PTHR13318:SF98', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 14-LIKE', NULL, NULL, NULL, 15),
(56287, NULL, 'PTHR33269:SF5', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 6', NULL, NULL, NULL, 15),
(56288, NULL, 'PTHR23226:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56289, NULL, 'PTHR22803:SF69', NULL, NULL, NULL, NULL, 'C-TYPE MANNOSE RECEPTOR 2', NULL, NULL, NULL, 15),
(56290, NULL, 'PTHR39164', NULL, NULL, NULL, NULL, 'PROTEIN CCDC', NULL, NULL, 26503, 15),
(56291, NULL, 'PTHR19969:SF16', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN NCK1', NULL, NULL, 24320, 15),
(56292, NULL, 'PTHR12236:SF81', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 67B-RELATED', NULL, NULL, NULL, 15),
(56293, NULL, 'PTHR43382:SF4', NULL, NULL, NULL, NULL, 'PROLINE--TRNA LIGASE, CYTOPLASMIC-LIKE', NULL, NULL, NULL, 15),
(56294, NULL, 'PTHR48047:SF52', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 89B1', NULL, NULL, NULL, 15),
(56295, NULL, 'PTHR36206:SF15', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CONSERVED PROTEIN (EUROFUNG)', NULL, NULL, NULL, 15),
(56296, NULL, 'PTHR22846:SF61', NULL, NULL, NULL, NULL, 'F-BOX-LIKE/WD REPEAT TBL1XR1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(56297, NULL, 'PTHR19229:SF113', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 13', NULL, NULL, NULL, 15),
(56298, NULL, 'PTHR24128:SF60', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN WARIAI-LIKE', NULL, NULL, NULL, 15),
(56299, NULL, 'PTHR33053:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56300, NULL, 'PTHR11825:SF44', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(56301, NULL, 'PTHR24298:SF613', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A2-LIKE', NULL, NULL, NULL, 15),
(56302, NULL, 'PTHR11668:SF459', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 1', NULL, NULL, NULL, 15),
(56303, NULL, 'PTHR47477:SF8', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR HOMOLOG 1A', NULL, NULL, NULL, 15),
(56304, NULL, 'PTHR21337:SF30', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', NULL, NULL, NULL, 15),
(56305, NULL, 'PTHR43127:SF2', NULL, NULL, NULL, NULL, 'DEVELOPMENTALLY-REGULATED GTP-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(56306, NULL, 'PTHR22953:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56307, NULL, 'PTHR31009:SF101', NULL, NULL, NULL, NULL, 'SALICYLATE CARBOXYMETHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(56308, NULL, 'PTHR34371:SF8', NULL, NULL, NULL, NULL, 'BNAC04G50870D PROTEIN', NULL, NULL, NULL, 15),
(56309, NULL, 'PTHR12743:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME C HEME LYASE', NULL, NULL, NULL, 15),
(56310, NULL, 'PTHR44169:SF9', NULL, NULL, NULL, NULL, 'BNAANNG04690D PROTEIN', NULL, NULL, NULL, 15),
(56311, NULL, 'PTHR11732:SF442', NULL, NULL, NULL, NULL, 'OSJNBB0089K06.1 PROTEIN', NULL, NULL, NULL, 15),
(56312, NULL, 'PTHR11009:SF28', NULL, NULL, NULL, NULL, 'DERLIN-2.1', NULL, NULL, NULL, 15),
(56313, NULL, 'PTHR33108:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56314, NULL, 'PTHR10795:SF731', NULL, NULL, NULL, NULL, 'BNAA06G34900D PROTEIN', NULL, NULL, NULL, 15),
(56315, NULL, 'PTHR33373:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56316, NULL, 'PTHR33640:SF13', NULL, NULL, NULL, NULL, 'NUCLEOLAR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(56317, NULL, 'PTHR46484', NULL, NULL, NULL, NULL, 'SI:CH211-171H4.5-RELATED', NULL, NULL, NULL, 15),
(56318, NULL, 'PTHR31642:SF233', NULL, NULL, NULL, NULL, 'AGMATINE COUMAROYLTRANSFERASE-2-LIKE', NULL, NULL, NULL, 15),
(56319, NULL, 'PTHR12430:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56320, NULL, 'PTHR12216', NULL, NULL, NULL, NULL, 'UROCANATE HYDRATASE', NULL, NULL, 616, 15),
(56321, NULL, 'PTHR46419:SF6', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(56322, NULL, 'PTHR12121:SF72', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE', NULL, NULL, NULL, 15),
(56323, NULL, 'PTHR10496:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', NULL, NULL, NULL, 15),
(56324, NULL, 'PTHR45666:SF30', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56325, NULL, 'PTHR10791:SF166', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(56326, NULL, 'PTHR46152:SF3', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR-INTERACTING RAS-LIKE PROTEIN', NULL, NULL, NULL, 15),
(56327, NULL, 'PTHR15454:SF38', NULL, NULL, NULL, NULL, 'OUTER ARM DYNEIN LIGHT CHAIN 1 PROTEIN', NULL, NULL, NULL, 15),
(56328, NULL, 'PTHR19212:SF0', NULL, NULL, NULL, NULL, 'LD07988P', NULL, NULL, NULL, 15),
(56329, NULL, 'PTHR10795:SF677', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56330, NULL, 'PTHR28572:SF2', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(56331, NULL, 'PTHR45778:SF8', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(56332, NULL, 'PTHR33639:SF1', NULL, NULL, NULL, NULL, 'THIOL-DISULFIDE OXIDOREDUCTASE DCC-RELATED', NULL, NULL, NULL, 15),
(56333, NULL, 'PTHR24411', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR ERYTHROID 2-RELATED FACTOR', NULL, NULL, NULL, 15),
(56334, NULL, 'PTHR31032:SF2', NULL, NULL, NULL, NULL, 'PGR5-LIKE A PROTEIN', NULL, NULL, NULL, 15),
(56335, NULL, 'PTHR11738:SF171', NULL, NULL, NULL, NULL, 'LEUKOCYTE-ASSOCIATED IMMUNOGLOBULIN-LIKE RECEPTOR 1', NULL, NULL, NULL, 15),
(56336, NULL, 'PTHR31471:SF74', NULL, NULL, NULL, NULL, 'PROTEASOME ENDOPEPTIDASE COMPLEX', NULL, NULL, NULL, 15),
(56337, NULL, 'PTHR31683:SF139', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(56338, NULL, 'PTHR13211:SF0', NULL, NULL, NULL, NULL, 'TELOMERASE CAJAL BODY PROTEIN 1', NULL, NULL, NULL, 15),
(56339, NULL, 'PTHR32246:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56340, NULL, 'PTHR24230:SF70', NULL, NULL, NULL, NULL, 'RELAXIN-3 RECEPTOR 1', NULL, NULL, NULL, 15),
(56341, NULL, 'PTHR11562', NULL, NULL, NULL, NULL, 'CATION EFFLUX PROTEIN/ ZINC TRANSPORTER', NULL, NULL, NULL, 15),
(56342, NULL, 'PTHR31048:SF92', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(56343, NULL, 'PTHR11040:SF157', NULL, NULL, NULL, NULL, 'ZIP ZINC/IRON TRANSPORT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(56344, NULL, 'PTHR32440:SF25', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE 14-RELATED', NULL, NULL, NULL, 15),
(56345, NULL, 'PTHR21637:SF7', NULL, NULL, NULL, NULL, 'BTB (POZ) DOMAIN-CONTAINING 10A', NULL, NULL, NULL, 15),
(56346, NULL, 'PTHR10334:SF236', NULL, NULL, NULL, NULL, 'GLIPR1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(56347, NULL, 'PTHR10809:SF104', NULL, NULL, NULL, NULL, 'OSJNBA0010H02.20 PROTEIN', NULL, NULL, NULL, 15),
(56348, NULL, 'PTHR45650:SF59', NULL, NULL, NULL, NULL, 'BNAA02G27390D PROTEIN', NULL, NULL, NULL, 15),
(56349, NULL, 'PTHR10566:SF121', NULL, NULL, NULL, NULL, 'PROTEIN KINASE-LIKE DOMAIN', NULL, NULL, NULL, 15),
(56350, NULL, 'PTHR11339:SF387', NULL, NULL, NULL, NULL, 'MUCIN 5AC, OLIGOMERIC MUCUS/GEL-FORMING', NULL, NULL, NULL, 15),
(56351, NULL, 'PTHR33885:SF4', NULL, NULL, NULL, NULL, 'LMO2487 PROTEIN', NULL, NULL, NULL, 15),
(56352, NULL, 'PTHR31150:SF32', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(56353, NULL, 'PTHR30547:SF5', NULL, NULL, NULL, NULL, 'NUCLEASE YHCG-RELATED', NULL, NULL, NULL, 15),
(56354, NULL, 'PTHR10725:SF60', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT P TRANSPOSASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(56355, NULL, 'PTHR10687:SF56', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(56356, NULL, 'PTHR31633', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX NON-CORE SUBUNIT NAF1', NULL, NULL, 33547, 15),
(56357, NULL, 'PTHR23226:SF162', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(56358, NULL, 'PTHR36128', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 117', NULL, NULL, 27258, 15),
(56359, NULL, 'PTHR24089:SF694', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER ADNT1', NULL, NULL, NULL, 15),
(56360, NULL, 'PTHR47942:SF30', NULL, NULL, NULL, NULL, 'OS11G0607100 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56361, NULL, 'PTHR46286:SF9', NULL, NULL, NULL, NULL, 'BNAC03G74580D PROTEIN', NULL, NULL, NULL, 15),
(56362, NULL, 'PTHR31948:SF106', NULL, NULL, NULL, NULL, 'BNAC02G19350D PROTEIN', NULL, NULL, NULL, 15),
(56363, NULL, 'PTHR23208:SF36', NULL, NULL, NULL, NULL, 'LYSOZYME-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(56364, NULL, 'PTHR43329:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56365, NULL, 'PTHR31165:SF8', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 9', NULL, NULL, NULL, 15),
(56366, NULL, 'PTHR24381:SF338', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 3', NULL, NULL, NULL, 15),
(56367, NULL, 'PTHR34753', NULL, NULL, NULL, NULL, 'TELOMERASE RNA COMPONENT INTERACTING RNASE', NULL, NULL, 34701, 15),
(56368, NULL, 'PTHR22844:SF370', NULL, NULL, NULL, NULL, 'EN/SPM-LIKE TRANSPOSON PROTEIN-LIKE', NULL, NULL, NULL, 15),
(56369, NULL, 'PTHR48070', NULL, NULL, NULL, NULL, 'ESTERASE OVCA2', NULL, NULL, NULL, 15),
(56370, NULL, 'PTHR46267', NULL, NULL, NULL, NULL, 'SINGLE MYB HISTONE 4', NULL, NULL, 36543, 15),
(56371, NULL, 'PTHR31619', NULL, NULL, NULL, NULL, '4-HYDROXY-3-METHYLBUT-2-ENYL DIPHOSPHATE REDUCTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(56372, NULL, 'PTHR10302:SF21', NULL, NULL, NULL, NULL, 'PROTEIN OSB2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(56373, NULL, 'PTHR45910', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 20', NULL, NULL, NULL, 15),
(56374, NULL, 'PTHR31717:SF71', NULL, NULL, NULL, NULL, 'B-BOX-TYPE ZINC FINGER-RELATED', NULL, NULL, NULL, 15),
(56375, NULL, 'PTHR35704:SF4', NULL, NULL, NULL, NULL, 'BNAC09G12200D PROTEIN', NULL, NULL, NULL, 15),
(56376, NULL, 'PTHR41800:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(56377, NULL, 'PTHR31225:SF98', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 9-RELATED', NULL, NULL, NULL, 15),
(56378, NULL, 'PTHR27006:SF247', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', NULL, NULL, NULL, 15),
(56379, NULL, 'PTHR32133:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56380, NULL, 'PTHR19957:SF91', NULL, NULL, NULL, NULL, 'SYNTAXIN-112', NULL, NULL, NULL, 15),
(56381, NULL, 'PTHR12910:SF10', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 12', NULL, NULL, NULL, 15),
(56382, NULL, 'PTHR11346:SF147', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(56383, NULL, 'PTHR24326:SF581', NULL, NULL, NULL, NULL, 'BNAC03G60860D PROTEIN', NULL, NULL, NULL, 15),
(56384, NULL, 'PTHR15527', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM6 HOMOLOG', NULL, NULL, 21990, 15),
(56385, NULL, 'PTHR41752:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56386, NULL, 'PTHR10527:SF70', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(56387, NULL, 'PTHR31375:SF117', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE-LIKE', NULL, NULL, NULL, 15),
(56388, NULL, 'PTHR14168', NULL, NULL, NULL, NULL, 'TUMOR-ASSOCIATED CALCIUM SIGNAL TRANSDUCER', NULL, NULL, 40010, 15),
(56389, NULL, 'PTHR18966', NULL, NULL, NULL, NULL, 'IONOTROPIC GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(56390, NULL, 'PTHR11615:SF143', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2D1', NULL, NULL, NULL, 15),
(56391, NULL, 'PTHR33499:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56392, NULL, 'PTHR45724:SF6', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP4-1-RELATED', NULL, NULL, NULL, 15),
(56393, NULL, 'PTHR11017:SF358', NULL, NULL, NULL, NULL, 'ATP BINDING PROTEIN', NULL, NULL, NULL, 15),
(56394, NULL, 'PTHR32093:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56395, NULL, 'PTHR37610:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56396, NULL, 'PTHR48081:SF11', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G09800)-RELATED', NULL, NULL, NULL, 15),
(56397, NULL, 'PTHR23257:SF828', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MARK1-LIKE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56398, NULL, 'PTHR24055:SF439', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 11-RELATED', NULL, NULL, NULL, 15),
(56399, NULL, 'PTHR10269:SF1', NULL, NULL, NULL, NULL, 'GDNF FAMILY RECEPTOR ALPHA-LIKE', NULL, NULL, NULL, 15),
(56400, NULL, 'PTHR36075:SF1', NULL, NULL, NULL, NULL, 'BNAA10G09820D PROTEIN', NULL, NULL, NULL, 15),
(56401, NULL, 'PTHR33057:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56402, NULL, 'PTHR21433:SF4', NULL, NULL, NULL, NULL, 'OS02G0106800 PROTEIN', NULL, NULL, NULL, 15),
(56403, NULL, 'PTHR48059:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56404, NULL, 'PTHR30055:SF204', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(56405, NULL, 'PTHR24150:SF8', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND MYND DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(56406, NULL, 'PTHR15241:SF354', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 2, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(56407, NULL, 'PTHR11461:SF128', NULL, NULL, NULL, NULL, 'MCG20280-RELATED', NULL, NULL, NULL, 15),
(56408, NULL, 'PTHR45930:SF2', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR A3', NULL, NULL, NULL, 15),
(56409, NULL, 'PTHR10671:SF96', NULL, NULL, NULL, NULL, 'CLC-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(56410, NULL, 'PTHR19447:SF14', NULL, NULL, NULL, NULL, 'OOCYTE-EXPRESSED PROTEIN HOMOLOG', NULL, NULL, 33603, 15),
(56411, NULL, 'PTHR10407:SF18', NULL, NULL, NULL, NULL, 'TALIN-1', NULL, NULL, NULL, 15),
(56412, NULL, 'PTHR48002:SF96', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(56413, NULL, 'PTHR21593:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG21632', NULL, NULL, NULL, 15),
(56414, NULL, 'PTHR22826', NULL, NULL, NULL, NULL, 'RHO GUANINE EXCHANGE FACTOR-RELATED', NULL, NULL, NULL, 15),
(56415, NULL, 'PTHR13817:SF140', NULL, NULL, NULL, NULL, 'FASCICLIN-2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(56416, NULL, 'PTHR47596:SF3', NULL, NULL, NULL, NULL, 'BNAC08G45370D PROTEIN', NULL, NULL, NULL, 15),
(56417, NULL, 'PTHR24296:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56418, NULL, 'PTHR47958:SF11', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX4-RELATED', NULL, NULL, NULL, 15),
(56419, NULL, 'PTHR11334:SF8', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER B8', NULL, NULL, 27184, 15),
(56420, NULL, 'PTHR28255:SF1', NULL, NULL, NULL, NULL, 'UPF0303 PROTEIN YBR137W', NULL, NULL, NULL, 15),
(56421, NULL, 'PTHR45638:SF16', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL BETA-1', NULL, NULL, 26881, 15),
(56422, NULL, 'PTHR11850:SF312', NULL, NULL, NULL, NULL, 'CLASS II KNOTTED-LIKE HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(56423, NULL, 'PTHR15822:SF17', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(56424, NULL, 'PTHR36593:SF1', NULL, NULL, NULL, NULL, 'EXPORTED SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(56425, NULL, 'PTHR12487:SF5', NULL, NULL, NULL, NULL, 'TEASHIRT HOMOLOG 3', NULL, NULL, 23178, 15),
(56426, NULL, 'PTHR15740:SF2', NULL, NULL, NULL, NULL, 'ACTIVITY-DEPENDENT NEUROPROTECTOR HOMEOBOX PROTEIN 2', NULL, NULL, NULL, 15),
(56427, NULL, 'PTHR46067:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56428, NULL, 'PTHR10794:SF45', NULL, NULL, NULL, NULL, 'MONOACYLGLYCEROL LIPASE ABHD2', NULL, NULL, NULL, 15),
(56429, NULL, 'PTHR27008:SF400', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56430, NULL, 'PTHR46791:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(56431, NULL, 'PTHR24284:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(56432, NULL, 'PTHR43267:SF2', NULL, NULL, NULL, NULL, 'TRNA THREONYLCARBAMOYLADENOSINE DEHYDRATASE 1-RELATED', NULL, NULL, NULL, 15),
(56433, NULL, 'PTHR46122:SF15', NULL, NULL, NULL, NULL, 'BNAC07G48940D PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56434, NULL, 'PTHR23421:SF51', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 5-RELATED', NULL, NULL, NULL, 15),
(56435, NULL, 'PTHR10794:SF50', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE ABHD3', NULL, NULL, NULL, 15),
(56436, NULL, 'PTHR22777:SF27', NULL, NULL, NULL, NULL, 'MAGNESIUM AND COBALT EFFLUX PROTEIN CORC', NULL, NULL, NULL, 15),
(56437, NULL, 'PTHR32080:SF7', NULL, NULL, NULL, NULL, 'OS02G0643900 PROTEIN', NULL, NULL, NULL, 15),
(56438, NULL, 'PTHR11654:SF495', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', NULL, NULL, NULL, 15),
(56439, NULL, 'PTHR27007:SF295', NULL, NULL, NULL, NULL, 'LEGUME LECTIN BETA DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(56440, NULL, 'PTHR11481:SF51', NULL, NULL, NULL, NULL, 'LOW AFFINITY IMMUNOGLOBULIN GAMMA FC REGION RECEPTOR II-A', NULL, NULL, NULL, 15),
(56441, NULL, 'PTHR38828', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 29507, 15),
(56442, NULL, 'PTHR11929:SF219', NULL, NULL, NULL, NULL, 'ALPHA(1,3)FUCOSYLTRANSFERASE GENE 1-RELATED', NULL, NULL, NULL, 15),
(56443, NULL, 'PTHR43939:SF51', NULL, NULL, NULL, NULL, 'BNAA03G46100D PROTEIN', NULL, NULL, NULL, 15),
(56444, NULL, 'PTHR47968:SF12', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7H', NULL, NULL, NULL, 15),
(56445, NULL, 'PTHR10641:SF622', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB104-RELATED', NULL, NULL, NULL, 15),
(56446, NULL, 'PTHR48018:SF49', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(56447, NULL, 'PTHR47993:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56448, NULL, 'PTHR30603:SF18', NULL, NULL, NULL, NULL, 'OS01G0604700 PROTEIN', NULL, NULL, NULL, 15),
(56449, NULL, 'PTHR10621:SF54', NULL, NULL, NULL, NULL, 'OS06G0264300 PROTEIN', NULL, NULL, NULL, 15),
(56450, NULL, 'PTHR43634:SF11', NULL, NULL, NULL, NULL, 'MSCS-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(56451, NULL, 'PTHR35774:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN M', NULL, NULL, NULL, 15),
(56452, NULL, 'PTHR20515', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN', NULL, NULL, NULL, 15),
(56453, NULL, 'PTHR24305:SF35', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(56454, NULL, 'PTHR21879:SF17', NULL, NULL, NULL, NULL, 'LD24139P', NULL, NULL, NULL, 15),
(56455, NULL, 'PTHR43227:SF8', NULL, NULL, NULL, NULL, 'BLL4140 PROTEIN', NULL, NULL, NULL, 15),
(56456, NULL, 'PTHR47093:SF1', NULL, NULL, NULL, NULL, 'PROTEIN JSN1-RELATED', NULL, NULL, NULL, 15),
(56457, NULL, 'PTHR12709:SF9', NULL, NULL, NULL, NULL, 'BNAC08G44960D PROTEIN', NULL, NULL, NULL, 15),
(56458, NULL, 'PTHR32256:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56459, NULL, 'PTHR45841:SF1', NULL, NULL, NULL, NULL, 'MRNA TURNOVER PROTEIN 4 HOMOLOG', NULL, NULL, NULL, 15),
(56460, NULL, 'PTHR24070:SF200', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAP-2C', NULL, NULL, NULL, 15),
(56461, NULL, 'PTHR19321:SF0', NULL, NULL, NULL, NULL, 'FASCETTO-RELATED', NULL, NULL, NULL, 15),
(56462, NULL, 'PTHR33207:SF38', NULL, NULL, NULL, NULL, 'OS01G0165800 PROTEIN', NULL, NULL, NULL, 15),
(56463, NULL, 'PTHR11652:SF60', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S12, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(56464, NULL, 'PTHR48022:SF16', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY GLUCOSE TRANSPORTER RGT2-RELATED', NULL, NULL, 33542, 15),
(56465, NULL, 'PTHR43481:SF8', NULL, NULL, NULL, NULL, 'GLYCEROL-1-PHOSPHATE PHOSPHOHYDROLASE 1-RELATED', NULL, NULL, NULL, 15),
(56466, NULL, 'PTHR11588:SF398', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-6 CHAIN', NULL, NULL, NULL, 15),
(56467, NULL, 'PTHR23024:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56468, NULL, 'PTHR35300:SF4', NULL, NULL, NULL, NULL, 'COACTIVATOR CBP, KIX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56469, NULL, 'PTHR14495', NULL, NULL, NULL, NULL, 'SHIELDIN COMPLEX SUBUNIT 2', NULL, NULL, 25642, 15),
(56470, NULL, 'PTHR10082:SF25', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-3', NULL, NULL, 25952, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56471, NULL, 'PTHR31989:SF245', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 17-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(56472, NULL, 'PTHR45089:SF25', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(56473, NULL, 'PTHR22811:SF149', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(56474, NULL, 'PTHR31375:SF175', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE ADPG2', NULL, NULL, NULL, 15),
(56475, NULL, 'PTHR24073:SF1086', NULL, NULL, NULL, NULL, 'SMALL GTPASE FAMILY RAB PROTEIN', NULL, NULL, NULL, 15),
(56476, NULL, 'PTHR47956:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B23', NULL, NULL, NULL, 15),
(56477, NULL, 'PTHR47932:SF39', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(56478, NULL, 'PTHR11909:SF352', NULL, NULL, NULL, NULL, 'OS05G0593800 PROTEIN', NULL, NULL, NULL, 15),
(56479, NULL, 'PTHR24086', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 5 GROUP A', NULL, NULL, 20584, 15),
(56480, NULL, 'PTHR43537:SF5', NULL, NULL, NULL, NULL, 'UXU OPERON TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(56481, NULL, 'PTHR42912:SF45', NULL, NULL, NULL, NULL, '23S RRNA (GUANINE(745)-N(1))-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(56482, NULL, 'PTHR16471:SF3', NULL, NULL, NULL, NULL, 'CMT1A DUPLICATED REGION TRANSCRIPT 15 PROTEIN', NULL, NULL, NULL, 15),
(56483, NULL, 'PTHR38402:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN OM14', NULL, NULL, NULL, 15),
(56484, NULL, 'PTHR33470:SF27', NULL, NULL, NULL, NULL, 'OS01G0899700 PROTEIN', NULL, NULL, NULL, 15),
(56485, NULL, 'PTHR31549:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56486, NULL, 'PTHR15427:SF29', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q SUBCOMPONENT SUBUNIT C', NULL, NULL, NULL, 15),
(56487, NULL, 'PTHR10682:SF6', NULL, NULL, NULL, NULL, 'POLY(A) POLYMERASE GAMMA', NULL, NULL, NULL, 15),
(56488, NULL, 'PTHR22603:SF85', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOLAMINE KINASE', NULL, NULL, NULL, 15),
(56489, NULL, 'PTHR36874', NULL, NULL, NULL, NULL, 'EQUATORIN', NULL, NULL, 28546, 15),
(56490, NULL, 'PTHR19446:SF447', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56491, NULL, 'PTHR10845:SF155', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 18', NULL, NULL, 33428, 15),
(56492, NULL, 'PTHR38454', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, 15504, 15),
(56493, NULL, 'PTHR47657:SF11', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01650)-RELATED', NULL, NULL, NULL, 15),
(56494, NULL, 'PTHR17630:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56495, NULL, 'PTHR46719:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(56496, NULL, 'PTHR18966:SF475', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(56497, NULL, 'PTHR12620:SF43', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF DOMAIN, EUKARYOTE-RELATED', NULL, NULL, NULL, 15),
(56498, NULL, 'PTHR23501:SF43', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03040)-RELATED', NULL, NULL, NULL, 15),
(56499, NULL, 'PTHR48105:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE NTRB', NULL, NULL, NULL, 15),
(56500, NULL, 'PTHR33070:SF79', NULL, NULL, NULL, NULL, 'OS11G0159900 PROTEIN', NULL, NULL, NULL, 15),
(56501, NULL, 'PTHR33048:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56502, NULL, 'PTHR21563', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35677, 15),
(56503, NULL, 'PTHR31086:SF64', NULL, NULL, NULL, NULL, 'ALUMINUM ACTIVATED MALATE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(56504, NULL, 'PTHR34943:SF2', NULL, NULL, NULL, NULL, 'PROTEIN COFACTOR ASSEMBLY OF COMPLEX C SUBUNIT B CCB4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(56505, NULL, 'PTHR43091:SF2', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE 3 PROTEIN 2', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56506, NULL, 'PTHR48005:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1-LIKE', NULL, NULL, NULL, 15),
(56507, NULL, 'PTHR45650', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE-RELATED', NULL, NULL, NULL, 15),
(56508, NULL, 'PTHR46215:SF11', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(56509, NULL, 'PTHR28018:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL HYPOXIA RESPONSIVE DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G12250)', NULL, NULL, NULL, 15),
(56510, NULL, 'PTHR10353:SF236', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 18', NULL, NULL, NULL, 15),
(56511, NULL, 'PTHR28307:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PAL1', NULL, NULL, NULL, 15),
(56512, NULL, 'PTHR19290:SF83', NULL, NULL, NULL, NULL, 'NEUROGENIC DIFFERENTIATION FACTOR 2', NULL, NULL, 22490, 15),
(56513, NULL, 'PTHR36771:SF3', NULL, NULL, NULL, NULL, 'BNAA09G35750D PROTEIN', NULL, NULL, NULL, 15),
(56514, NULL, 'PTHR31311', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 5-RELATED-RELATED', NULL, NULL, 14218, 15),
(56515, NULL, 'PTHR13815:SF5', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 5', NULL, NULL, NULL, 15),
(56516, NULL, 'PTHR10527:SF77', NULL, NULL, NULL, NULL, 'IMPORTIN-5-LIKE', NULL, NULL, NULL, 15),
(56517, NULL, 'PTHR31507:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG00663', NULL, NULL, NULL, 15),
(56518, NULL, 'PTHR31674:SF64', NULL, NULL, NULL, NULL, 'BNAC07G12370D PROTEIN', NULL, NULL, NULL, 15),
(56519, NULL, 'PTHR42678:SF11', NULL, NULL, NULL, NULL, 'AMIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(56520, NULL, 'PTHR45886:SF16', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(56521, NULL, 'PTHR46504:SF2', NULL, NULL, NULL, NULL, 'TRNASE Z TRZ1', NULL, NULL, NULL, 15),
(56522, NULL, 'PTHR48051:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56523, NULL, 'PTHR27006:SF360', NULL, NULL, NULL, NULL, 'BNAA07G39120D PROTEIN', NULL, NULL, NULL, 15),
(56524, NULL, 'PTHR21538:SF24', NULL, NULL, NULL, NULL, 'DIVISION MAL FOUTUE 1 PROTEIN', NULL, NULL, NULL, 15),
(56525, NULL, 'PTHR23531:SF1', NULL, NULL, NULL, NULL, 'QUINOLENE RESISTANCE PROTEIN NORA', NULL, NULL, NULL, 15),
(56526, NULL, 'PTHR46995:SF9', NULL, NULL, NULL, NULL, 'BNAA09G01840D PROTEIN', NULL, NULL, NULL, 15),
(56527, NULL, 'PTHR10830:SF0', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE 48 KDA SUBUNIT', NULL, NULL, NULL, 15),
(56528, NULL, 'PTHR45666:SF49', NULL, NULL, NULL, NULL, 'BNAA10G03640D PROTEIN', NULL, NULL, NULL, 15),
(56529, NULL, 'PTHR10131:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56530, NULL, 'PTHR31741:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56531, NULL, 'PTHR10271:SF30', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 1', NULL, NULL, 8300, 15),
(56532, NULL, 'PTHR48010:SF14', NULL, NULL, NULL, NULL, 'BNAA09G05020D PROTEIN', NULL, NULL, NULL, 15),
(56533, NULL, 'PTHR33148:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56534, NULL, 'PTHR10742:SF359', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC HISTONE DEMETHYLASE 1B', NULL, NULL, NULL, 15),
(56535, NULL, 'PTHR13149:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56536, NULL, 'PTHR23236:SF62', NULL, NULL, NULL, NULL, 'BNAA09G15150D PROTEIN', NULL, NULL, NULL, 15),
(56537, NULL, 'PTHR48022:SF58', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(56538, NULL, 'PTHR11654:SF168', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 3.1', NULL, NULL, NULL, 15),
(56539, NULL, 'PTHR39596', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56540, NULL, 'PTHR11010:SF93', NULL, NULL, NULL, NULL, 'LYSOSOMAL PRO-X CARBOXYPEPTIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(56541, NULL, 'PTHR24422:SF10', NULL, NULL, NULL, NULL, 'BIOFILM DISPERSION PROTEIN BDLA', NULL, NULL, NULL, 15),
(56542, NULL, 'PTHR48104:SF17', NULL, NULL, NULL, NULL, 'METACASPASE-3', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56543, NULL, 'PTHR38457', NULL, NULL, NULL, NULL, 'REGULATOR ABRB-RELATED', NULL, NULL, 2285, 15),
(56544, NULL, 'PTHR46978:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE GLH-1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(56545, NULL, 'PTHR33974:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56546, NULL, 'PTHR31951', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56547, NULL, 'PTHR18945:SF806', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-TYPE UNC-38', NULL, NULL, NULL, 15),
(56548, NULL, 'PTHR23257:SF845', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56549, NULL, 'PTHR10015:SF360', NULL, NULL, NULL, NULL, 'BNACNNG14280D PROTEIN', NULL, NULL, NULL, 15),
(56550, NULL, 'PTHR43490:SF70', NULL, NULL, NULL, NULL, 'BNACNNG24570D PROTEIN', NULL, NULL, NULL, 15),
(56551, NULL, 'PTHR23024:SF441', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 3-RELATED', NULL, NULL, NULL, 15),
(56552, NULL, 'PTHR24343:SF371', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 8', NULL, NULL, NULL, 15),
(56553, NULL, 'PTHR12000:SF38', NULL, NULL, NULL, NULL, 'LEGUMAIN', NULL, NULL, NULL, 15),
(56554, NULL, 'PTHR11814:SF198', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.2', NULL, NULL, NULL, 15),
(56555, NULL, 'PTHR43281:SF1', NULL, NULL, NULL, NULL, 'FARNESYL DIPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(56556, NULL, 'PTHR47976:SF1', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-5', NULL, NULL, NULL, 15),
(56557, NULL, 'PTHR31790:SF389', NULL, NULL, NULL, NULL, 'BNAA04G28520D PROTEIN', NULL, NULL, NULL, 15),
(56558, NULL, 'PTHR26454:SF76', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(56559, NULL, 'PTHR11017:SF416', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE', NULL, NULL, NULL, 15),
(56560, NULL, 'PTHR46220:SF5', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD13-RELATED', NULL, NULL, NULL, 15),
(56561, NULL, 'PTHR11771:SF89', NULL, NULL, NULL, NULL, 'LINOLEATE 13S-LIPOXYGENASE 2-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(56562, NULL, 'PTHR21236:SF18', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', NULL, NULL, NULL, 15),
(56563, NULL, 'PTHR10177:SF195', NULL, NULL, NULL, NULL, 'S-PHASE ENTRY CYCLIN-5-RELATED', NULL, NULL, NULL, 15),
(56564, NULL, 'PTHR48032:SF12', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56565, NULL, 'PTHR22893:SF98', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(56566, NULL, 'PTHR32467:SF102', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR PLT1', NULL, NULL, NULL, 15),
(56567, NULL, 'PTHR22854:SF16', NULL, NULL, NULL, NULL, 'INDOLE-3-GLYCEROL PHOSPHATE SYNTHASE, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(56568, NULL, 'PTHR33488', NULL, NULL, NULL, NULL, 'ZGC:162509', NULL, NULL, NULL, 15),
(56569, NULL, 'PTHR11709:SF384', NULL, NULL, NULL, NULL, 'BNAC07G16450D PROTEIN', NULL, NULL, NULL, 15),
(56570, NULL, 'PTHR31284:SF19', NULL, NULL, NULL, NULL, 'OS05G0192100 PROTEIN', NULL, NULL, NULL, 15),
(56571, NULL, 'PTHR11926:SF1283', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(56572, NULL, 'PTHR35259:SF1', NULL, NULL, NULL, NULL, 'BOMBESIN RECEPTOR-ACTIVATED PROTEIN C6ORF89', NULL, NULL, NULL, 15),
(56573, NULL, 'PTHR11740:SF29', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', NULL, NULL, NULL, 15),
(56574, NULL, 'PTHR11581:SF34', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4-3-LIKE', NULL, NULL, NULL, 15),
(56575, NULL, 'PTHR31906:SF16', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 13, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(56576, NULL, 'PTHR33346:SF5', NULL, NULL, NULL, NULL, 'DEHYDRIN XERO 2-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56577, NULL, 'PTHR31639:SF161', NULL, NULL, NULL, NULL, 'OS08G0460800 PROTEIN', NULL, NULL, NULL, 15),
(56578, NULL, 'PTHR33270:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56579, NULL, 'PTHR10476', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN', NULL, NULL, 1173, 15),
(56580, NULL, 'PTHR43273:SF5', NULL, NULL, NULL, NULL, 'RADICAL SAM PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56581, NULL, 'PTHR19443:SF4', NULL, NULL, NULL, NULL, 'HEXOKINASE-2', NULL, NULL, NULL, 15),
(56582, NULL, 'PTHR24304:SF2', NULL, NULL, NULL, NULL, '24-HYDROXYCHOLESTEROL 7-ALPHA-HYDROXYLASE', NULL, NULL, NULL, 15),
(56583, NULL, 'PTHR45613:SF354', NULL, NULL, NULL, NULL, 'OS10G0368902 PROTEIN', NULL, NULL, NULL, 15),
(56584, NULL, 'PTHR45988:SF35', NULL, NULL, NULL, NULL, 'BNAA03G11040D PROTEIN', NULL, NULL, NULL, 15),
(56585, NULL, 'PTHR13720:SF11', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE 4', NULL, NULL, NULL, 15),
(56586, NULL, 'PTHR27005:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56587, NULL, 'PTHR48021:SF9', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(56588, NULL, 'PTHR11440:SF18', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE-STEROL ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(56589, NULL, 'PTHR33827:SF9', NULL, NULL, NULL, NULL, 'SAWADEE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56590, NULL, 'PTHR12741:SF81', NULL, NULL, NULL, NULL, 'BNAA01G32440D PROTEIN', NULL, NULL, NULL, 15),
(56591, NULL, 'PTHR31353', NULL, NULL, NULL, NULL, 'FAM98', NULL, NULL, 19104, 15),
(56592, NULL, 'PTHR45868:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56593, NULL, 'PTHR33095:SF74', NULL, NULL, NULL, NULL, 'DUF1645 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(56594, NULL, 'PTHR33548:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56595, NULL, 'PTHR11362:SF87', NULL, NULL, NULL, NULL, 'ZCN17', NULL, NULL, NULL, 15),
(56596, NULL, 'PTHR22883:SF378', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(56597, NULL, 'PTHR43065:SF31', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SENSOR HISTIDINE KINASE-RELATED', NULL, NULL, NULL, 15),
(56598, NULL, 'PTHR13029:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56599, NULL, 'PTHR31636:SF24', NULL, NULL, NULL, NULL, 'PROTEIN SCARECROW', NULL, NULL, NULL, 15),
(56600, NULL, 'PTHR46250:SF1', NULL, NULL, NULL, NULL, 'OS07G0647600 PROTEIN', NULL, NULL, NULL, 15),
(56601, NULL, 'PTHR32285:SF312', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 39', NULL, NULL, NULL, 15),
(56602, NULL, 'PTHR11214:SF20', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(56603, NULL, 'PTHR11949:SF50', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR', NULL, NULL, NULL, 15),
(56604, NULL, 'PTHR31391:SF101', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0234100', NULL, NULL, NULL, 15),
(56605, NULL, 'PTHR11002:SF52', NULL, NULL, NULL, NULL, 'BETA CARBONIC ANHYDRASE 3', NULL, NULL, NULL, 15),
(56606, NULL, 'PTHR40700:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED, DUF63 FAMILY', NULL, NULL, NULL, 15),
(56607, NULL, 'PTHR33109:SF46', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(56608, NULL, 'PTHR24107:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56609, NULL, 'PTHR19308:SF41', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(56610, NULL, 'PTHR15896:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CASC4', NULL, NULL, 24360, 15),
(56611, NULL, 'PTHR23257:SF708', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0288147-RELATED', NULL, NULL, NULL, 15),
(56612, NULL, 'PTHR10371', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE  UBIQUINONE  FLAVOPROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(56613, NULL, 'PTHR12480:SF32', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ARGININE DEMETHYLASE AND LYSYL-HYDROXYLASE JMJD6', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56614, NULL, 'PTHR36121', NULL, NULL, NULL, NULL, 'PROTEIN SXY', NULL, NULL, NULL, 15),
(56615, NULL, 'PTHR31080:SF68', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', NULL, NULL, NULL, 15),
(56616, NULL, 'PTHR37313', NULL, NULL, NULL, NULL, 'UPF0749 PROTEIN RV1825', NULL, NULL, 7739, 15),
(56617, NULL, 'PTHR24056:SF490', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56618, NULL, 'PTHR47942:SF48', NULL, NULL, NULL, NULL, 'OS05G0355200 PROTEIN', NULL, NULL, NULL, 15),
(56619, NULL, 'PTHR10517:SF17', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR GAMMA', NULL, NULL, 26824, 15),
(56620, NULL, 'PTHR14187:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56621, NULL, 'PTHR10083:SF360', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, KUNITZ TYPE 5', NULL, NULL, NULL, 15),
(56622, NULL, 'PTHR43490:SF37', NULL, NULL, NULL, NULL, 'OS02G0607700 PROTEIN', NULL, NULL, NULL, 15),
(56623, NULL, 'PTHR33845:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56624, NULL, 'PTHR27009:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56625, NULL, 'PTHR45746:SF2', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 6', NULL, NULL, NULL, 15),
(56626, NULL, 'PTHR35118', NULL, NULL, NULL, NULL, 'KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(56627, NULL, 'PTHR15819:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN FAM155A', NULL, NULL, 25981, 15),
(56628, NULL, 'PTHR45800:SF25', NULL, NULL, NULL, NULL, 'BNAC09G12160D PROTEIN', NULL, NULL, NULL, 15),
(56629, NULL, 'PTHR33085:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56630, NULL, 'PTHR47127:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56631, NULL, 'PTHR23503:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG00640', NULL, NULL, NULL, 15),
(56632, NULL, 'PTHR11736:SF36', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B10', NULL, NULL, NULL, 15),
(56633, NULL, 'PTHR20963:SF24', NULL, NULL, NULL, NULL, '3-PHYTASE B', NULL, NULL, NULL, 15),
(56634, NULL, 'PTHR45887:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT EPSILON', NULL, NULL, NULL, 15),
(56635, NULL, 'PTHR45671:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PHOSPHATE CARRIER PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(56636, NULL, 'PTHR47983:SF4', NULL, NULL, NULL, NULL, 'PTI1-LIKE TYROSINE-PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(56637, NULL, 'PTHR47976:SF45', NULL, NULL, NULL, NULL, 'OS01G0885700 PROTEIN', NULL, NULL, NULL, 15),
(56638, NULL, 'PTHR34119:SF16', NULL, NULL, NULL, NULL, 'ARFAPTIN HOMOLOGY (AH) DOMAIN/BAR DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56639, NULL, 'PTHR47926:SF147', NULL, NULL, NULL, NULL, 'OS01G0814300 PROTEIN', NULL, NULL, NULL, 15),
(56640, NULL, 'PTHR11690:SF185', NULL, NULL, NULL, NULL, 'DEGENERIN DEL-1', NULL, NULL, NULL, 15),
(56641, NULL, 'PTHR33266:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(56642, NULL, 'PTHR24281:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56643, NULL, 'PTHR31963:SF13', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF3537)-RELATED', NULL, NULL, NULL, 15),
(56644, NULL, 'PTHR47977:SF4', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-30', NULL, NULL, NULL, 15),
(56645, NULL, 'PTHR12471:SF7', NULL, NULL, NULL, NULL, 'LD09158P', NULL, NULL, NULL, 15),
(56646, NULL, 'PTHR41386:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56647, NULL, 'PTHR10887:SF368', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN K', NULL, NULL, NULL, 15),
(56648, NULL, 'PTHR24381:SF342', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 26', NULL, NULL, NULL, 15),
(56649, NULL, 'PTHR46268:SF14', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A', NULL, NULL, NULL, 15),
(56650, NULL, 'PTHR31218:SF60', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(56651, NULL, 'PTHR27002:SF549', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56652, NULL, 'PTHR19961:SF63', NULL, NULL, NULL, NULL, 'FIMBRIN-2', NULL, NULL, NULL, 15),
(56653, NULL, 'PTHR31867:SF156', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(56654, NULL, 'PTHR12632:SF27', NULL, NULL, NULL, NULL, 'CCAAT-BINDING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(56655, NULL, 'PTHR11562:SF88', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN A1', NULL, NULL, NULL, 15),
(56656, NULL, 'PTHR45815:SF5', NULL, NULL, NULL, NULL, 'THIOREDOXIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(56657, NULL, 'PTHR45731:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56658, NULL, 'PTHR10816:SF19', NULL, NULL, NULL, NULL, 'AGAP012958-PA', NULL, NULL, NULL, 15),
(56659, NULL, 'PTHR47264', NULL, NULL, NULL, NULL, 'OS01G0128800 PROTEIN', NULL, NULL, NULL, 15),
(56660, NULL, 'PTHR34113:SF2', NULL, NULL, NULL, NULL, 'BNAA01G24310D PROTEIN', NULL, NULL, NULL, 15),
(56661, NULL, 'PTHR17605', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN BOP1  BLOCK OF PROLIFERATION 1 PROTEIN', NULL, NULL, 27600, 15),
(56662, NULL, 'PTHR11680:SF50', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(56663, NULL, 'PTHR45687:SF47', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-1', NULL, NULL, NULL, 15),
(56664, NULL, 'PTHR33146:SF14', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 1', NULL, NULL, NULL, 15),
(56665, NULL, 'PTHR47966:SF29', NULL, NULL, NULL, NULL, 'FUNGAL PROTEINASE A, ASPARTIC PROTEINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(56666, NULL, 'PTHR45837', NULL, NULL, NULL, NULL, 'VESICLE-TRAFFICKING PROTEIN SEC22B', NULL, NULL, 38604, 15),
(56667, NULL, 'PTHR33083:SF95', NULL, NULL, NULL, NULL, 'OS01G0862600 PROTEIN', NULL, NULL, NULL, 15),
(56668, NULL, 'PTHR20963', NULL, NULL, NULL, NULL, 'MULTIPLE INOSITOL POLYPHOSPHATE PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(56669, NULL, 'PTHR18860:SF85', NULL, NULL, NULL, NULL, 'GENERAL REGULATORY FACTOR 13', NULL, NULL, NULL, 15),
(56670, NULL, 'PTHR42695:SF5', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE YLR126C-RELATED', NULL, NULL, NULL, 15),
(56671, NULL, 'PTHR11616:SF103', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(56672, NULL, 'PTHR31968:SF4', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RELATED PROTEIN 53', NULL, NULL, NULL, 15),
(56673, NULL, 'PTHR11851:SF143', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(56674, NULL, 'PTHR21559:SF21', NULL, NULL, NULL, NULL, 'DYSTROGLYCAN, ISOFORM D', NULL, NULL, NULL, 15),
(56675, NULL, 'PTHR46506:SF53', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(56676, NULL, 'PTHR11097:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56677, NULL, 'PTHR24028:SF272', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-C4', NULL, NULL, NULL, 15),
(56678, NULL, 'PTHR23032:SF16', NULL, NULL, NULL, NULL, 'ENDOSOMAL TARGETING BRO1-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(56679, NULL, 'PTHR43180:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56680, NULL, 'PTHR31775:SF32', NULL, NULL, NULL, NULL, 'BNAA04G26460D PROTEIN', NULL, NULL, NULL, 15),
(56681, NULL, 'PTHR31945:SF98', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTIONAL FACTOR', NULL, NULL, NULL, 15),
(56682, NULL, 'PTHR23244:SF458', NULL, NULL, NULL, NULL, 'BNAA02G16730D PROTEIN', NULL, NULL, NULL, 15),
(56683, NULL, 'PTHR47993:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56684, NULL, 'PTHR31814:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56685, NULL, 'PTHR46839:SF2', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(56686, NULL, 'PTHR46128:SF92', NULL, NULL, NULL, NULL, 'BNAA01G22910D PROTEIN', NULL, NULL, NULL, 15),
(56687, NULL, 'PTHR24418:SF375', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(56688, NULL, 'PTHR43539:SF55', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA5-RELATED', NULL, NULL, NULL, 15),
(56689, NULL, 'PTHR24409:SF357', NULL, NULL, NULL, NULL, 'HUCKEBEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56690, NULL, 'PTHR14155:SF497', NULL, NULL, NULL, NULL, 'OS05G0241300 PROTEIN', NULL, NULL, NULL, 15),
(56691, NULL, 'PTHR28128', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP15', NULL, NULL, 14420, 15),
(56692, NULL, 'PTHR19229:SF151', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER FAMILY', NULL, NULL, NULL, 15),
(56693, NULL, 'PTHR42833:SF4', NULL, NULL, NULL, NULL, 'AMINO ACID KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(56694, NULL, 'PTHR42715:SF2', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE L-RELATED', NULL, NULL, NULL, 15),
(56695, NULL, 'PTHR47374:SF6', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(56696, NULL, 'PTHR33479:SF4', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE TRYPSIN INHIBITOR', NULL, NULL, NULL, 15),
(56697, NULL, 'PTHR12313:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(56698, NULL, 'PTHR26453:SF124', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1342', NULL, NULL, NULL, 15),
(56699, NULL, 'PTHR13286:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56700, NULL, 'PTHR10706:SF143', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 39', NULL, NULL, NULL, 15),
(56701, NULL, 'PTHR45743:SF20', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KAT3', NULL, NULL, NULL, 15),
(56702, NULL, 'PTHR31983', NULL, NULL, NULL, NULL, 'ENDO-1,3(4)-BETA-GLUCANASE 1', NULL, NULL, 5085, 15),
(56703, NULL, 'PTHR10751:SF96', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(56704, NULL, 'PTHR32227:SF386', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17, X8 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56705, NULL, 'PTHR36111', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, 1810, 15),
(56706, NULL, 'PTHR32091:SF22', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B2', NULL, NULL, NULL, 15),
(56707, NULL, 'PTHR47917:SF1', NULL, NULL, NULL, NULL, 'COENZYME F420:L-GLUTAMATE LIGASE', NULL, NULL, NULL, 15),
(56708, NULL, 'PTHR11593:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56709, NULL, 'PTHR27006:SF290', NULL, NULL, NULL, NULL, 'BNAA06G11200D PROTEIN', NULL, NULL, NULL, 15),
(56710, NULL, 'PTHR36469:SF1', NULL, NULL, NULL, NULL, 'DISTAL MEMBRANE-ARM ASSEMBLY COMPLEX PROTEIN 1', NULL, NULL, NULL, 15),
(56711, NULL, 'PTHR23024:SF149', NULL, NULL, NULL, NULL, 'OS07G0162500 PROTEIN', NULL, NULL, NULL, 15),
(56712, NULL, 'PTHR16223:SF215', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MEE8-RELATED', NULL, NULL, NULL, 15),
(56713, NULL, 'PTHR35014', NULL, NULL, NULL, NULL, 'INFECTION RESPONSE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56714, NULL, 'PTHR33985:SF5', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(56715, NULL, 'PTHR15451:SF19', NULL, NULL, NULL, NULL, 'ERGOSTEROL BIOSYNTHETIC PROTEIN 28-RELATED', NULL, NULL, NULL, 15),
(56716, NULL, 'PTHR11054:SF8', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE 2-RELATED', NULL, NULL, NULL, 15),
(56717, NULL, 'PTHR45615:SF38', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN STRUCTURAL GENES', NULL, NULL, NULL, 15),
(56718, NULL, 'PTHR31190:SF317', NULL, NULL, NULL, NULL, 'BNAC09G43740D PROTEIN', NULL, NULL, NULL, 15),
(56719, NULL, 'PTHR14965', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56720, NULL, 'PTHR43507:SF1', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 4', NULL, NULL, NULL, 15),
(56721, NULL, 'PTHR48063:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56722, NULL, 'PTHR33740:SF3', NULL, NULL, NULL, NULL, 'GPI-ANCHORED ADHESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(56723, NULL, 'PTHR45666:SF15', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 8', NULL, NULL, NULL, 15),
(56724, NULL, 'PTHR23108:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56725, NULL, 'PTHR10177:SF184', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN-B2', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56726, NULL, 'PTHR10865:SF24', NULL, NULL, NULL, NULL, 'MESODERM INDUCTION EARLY RESPONSE PROTEIN 1', NULL, NULL, 24680, 15),
(56727, NULL, 'PTHR35337', NULL, NULL, NULL, NULL, 'SLR1478 PROTEIN', NULL, NULL, NULL, 15),
(56728, NULL, 'PTHR22891:SF112', NULL, NULL, NULL, NULL, 'ARGONAUTE-1, ISOFORM A', NULL, NULL, NULL, 15),
(56729, NULL, 'PTHR31218:SF187', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(56730, NULL, 'PTHR11761:SF29', NULL, NULL, NULL, NULL, 'BNAA06G11840D PROTEIN', NULL, NULL, NULL, 15),
(56731, NULL, 'PTHR47926:SF245', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56732, NULL, 'PTHR34191:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56733, NULL, 'PTHR31080:SF230', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 1-LIKE', NULL, NULL, NULL, 15),
(56734, NULL, 'PTHR12277:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56735, NULL, 'PTHR11618:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56736, NULL, 'PTHR42873', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(56737, NULL, 'PTHR13935:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56738, NULL, 'PTHR10509:SF11', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(56739, NULL, 'PTHR33180:SF19', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM ANTENNA PROTEIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56740, NULL, 'PTHR44688:SF1', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR LIKE PROTEIN', NULL, NULL, NULL, 15),
(56741, NULL, 'PTHR31423', NULL, NULL, NULL, NULL, 'YBAK DOMAIN-CONTAINING PROTEIN', NULL, NULL, 34496, 15),
(56742, NULL, 'PTHR31121:SF6', NULL, NULL, NULL, NULL, 'ALPHA-1,2 MANNOSYLTRANSFERASE KTR1', NULL, NULL, NULL, 15),
(56743, NULL, 'PTHR24070:SF369', NULL, NULL, NULL, NULL, 'GTPASE ERAS', NULL, NULL, NULL, 15),
(56744, NULL, 'PTHR10621:SF34', NULL, NULL, NULL, NULL, 'UBIQUITIN RECEPTOR RAD23C-LIKE', NULL, NULL, NULL, 15),
(56745, NULL, 'PTHR43917:SF9', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE THETA-4', NULL, NULL, NULL, 15),
(56746, NULL, 'PTHR10353:SF277', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 3', NULL, NULL, NULL, 15),
(56747, NULL, 'PTHR11614:SF156', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(56748, NULL, 'PTHR45654:SF62', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15),
(56749, NULL, 'PTHR13205', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 15-RELATED', NULL, NULL, 27059, 15),
(56750, NULL, 'PTHR45893', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP RING FINGER PROTEIN', NULL, NULL, NULL, 15),
(56751, NULL, 'PTHR19328:SF29', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(56752, NULL, 'PTHR24206:SF81', NULL, NULL, NULL, NULL, 'BNAA09G39010D PROTEIN', NULL, NULL, NULL, 15),
(56753, NULL, 'PTHR44177', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 8', NULL, NULL, 25007, 15),
(56754, NULL, 'PTHR11576:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56755, NULL, 'PTHR16260', NULL, NULL, NULL, NULL, 'SIMILAR TO 1700123O20RIK PROTEIN', NULL, NULL, 22116, 15),
(56756, NULL, 'PTHR18916:SF70', NULL, NULL, NULL, NULL, 'PROTEIN NIP100', NULL, NULL, NULL, 15),
(56757, NULL, 'PTHR11017:SF236', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(56758, NULL, 'PTHR48002:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56759, NULL, 'PTHR10315:SF128', NULL, NULL, NULL, NULL, 'BNAC04G21600D PROTEIN', NULL, NULL, NULL, 15),
(56760, NULL, 'PTHR31133:SF13', NULL, NULL, NULL, NULL, 'BNAA02G28890D PROTEIN', NULL, NULL, NULL, 15),
(56761, NULL, 'PTHR43173:SF22', NULL, NULL, NULL, NULL, 'ABC2 HOMOLOG 13', NULL, NULL, NULL, 15),
(56762, NULL, 'PTHR14695:SF8', NULL, NULL, NULL, NULL, 'SHC SH2 DOMAIN-BINDING PROTEIN 1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56763, NULL, 'PTHR21399:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56764, NULL, 'PTHR10226:SF7', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN SPHKAP', NULL, NULL, NULL, 15),
(56765, NULL, 'PTHR11986:SF111', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(56766, NULL, 'PTHR11043:SF8', NULL, NULL, NULL, NULL, 'CLATHRIN ADAPTOR COMPLEX SMALL CHAIN', NULL, NULL, NULL, 15),
(56767, NULL, 'PTHR10168:SF118', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C12-RELATED', NULL, NULL, NULL, 15),
(56768, NULL, 'PTHR23220', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA', NULL, NULL, NULL, 15),
(56769, NULL, 'PTHR13999:SF4', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 3', NULL, NULL, NULL, 15),
(56770, NULL, 'PTHR12411:SF698', NULL, NULL, NULL, NULL, 'PROTEIN CBG23351', NULL, NULL, NULL, 15),
(56771, NULL, 'PTHR26452:SF747', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5H1', NULL, NULL, NULL, 15),
(56772, NULL, 'PTHR35702:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(56773, NULL, 'PTHR33191:SF27', NULL, NULL, NULL, NULL, 'KIWELLIN-1', NULL, NULL, NULL, 15),
(56774, NULL, 'PTHR46538:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(56775, NULL, 'PTHR11514:SF115', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC2-LIKE', NULL, NULL, NULL, 15),
(56776, NULL, 'PTHR23235:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP7', NULL, NULL, NULL, 15),
(56777, NULL, 'PTHR13713:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56778, NULL, 'PTHR42886:SF66', NULL, NULL, NULL, NULL, 'BNAC03G57030D PROTEIN', NULL, NULL, NULL, 15),
(56779, NULL, 'PTHR46968:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF138', NULL, NULL, NULL, 15),
(56780, NULL, 'PTHR24092:SF38', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IG', NULL, NULL, 23514, 15),
(56781, NULL, 'PTHR10426:SF117', NULL, NULL, NULL, NULL, 'STRICTOSIDINE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(56782, NULL, 'PTHR31301:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56783, NULL, 'PTHR32448:SF100', NULL, NULL, NULL, NULL, 'OS06G0549633 PROTEIN', NULL, NULL, NULL, 15),
(56784, NULL, 'PTHR11691:SF69', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-7', NULL, NULL, NULL, 15),
(56785, NULL, 'PTHR43895:SF69', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(56786, NULL, 'PTHR23430:SF259', NULL, NULL, NULL, NULL, 'HISTONE H2A.8', NULL, NULL, NULL, 15),
(56787, NULL, 'PTHR33938:SF13', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(56788, NULL, 'PTHR21136:SF208', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN, LONGIN-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56789, NULL, 'PTHR24296:SF186', NULL, NULL, NULL, NULL, 'BNAA09G51710D PROTEIN', NULL, NULL, NULL, 15),
(56790, NULL, 'PTHR11100:SF24', NULL, NULL, NULL, NULL, 'NEUREGULIN 2A', NULL, NULL, NULL, 15),
(56791, NULL, 'PTHR13869:SF21', NULL, NULL, NULL, NULL, 'MYELIN PROTEIN ZERO-LIKE PROTEIN 2', NULL, NULL, 27819, 15),
(56792, NULL, 'PTHR12547:SF142', NULL, NULL, NULL, NULL, 'ZINC FINGER C-X8-C-X5-C-X3-H TYPE PROTEIN', NULL, NULL, NULL, 15),
(56793, NULL, 'PTHR45460:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO CYSTEINE PROTEINASE', NULL, NULL, NULL, 15),
(56794, NULL, 'PTHR10183:SF405', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.13', NULL, NULL, NULL, 15),
(56795, NULL, 'PTHR48050:SF2', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE:STEROL GLUCOSYLTRANSFERASE SGT4', NULL, NULL, NULL, 15),
(56796, NULL, 'PTHR15040:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-14D8.6-RELATED', NULL, NULL, NULL, 15),
(56797, NULL, 'PTHR23024:SF134', NULL, NULL, NULL, NULL, 'OS08G0475100 PROTEIN', NULL, NULL, NULL, 15),
(56798, NULL, 'PTHR14796:SF6', NULL, NULL, NULL, NULL, 'NEURENSIN-1', NULL, NULL, 27232, 15),
(56799, NULL, 'PTHR48126', NULL, NULL, NULL, NULL, 'RE24507P', NULL, NULL, NULL, 15),
(56800, NULL, 'PTHR33021:SF171', NULL, NULL, NULL, NULL, 'BLUE COPPER-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56801, NULL, 'PTHR33624:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56802, NULL, 'PTHR13113', NULL, NULL, NULL, NULL, 'ECSIT  EVOLUTIONARILY CONSERVED SIGNALING INTERMEDIATE IN TOLL PATHWAYS', NULL, NULL, 9644, 15),
(56803, NULL, 'PTHR44329:SF142', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CTR1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(56804, NULL, 'PTHR46228:SF1', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(56805, NULL, 'PTHR11514:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56806, NULL, 'PTHR47999:SF74', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB5-LIKE', NULL, NULL, NULL, 15),
(56807, NULL, 'PTHR47973', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(56808, NULL, 'PTHR32212:SF273', NULL, NULL, NULL, NULL, 'BNACNNG65420D PROTEIN', NULL, NULL, NULL, 15),
(56809, NULL, 'PTHR12296', NULL, NULL, NULL, NULL, 'C-MYC PROMOTER BINDING PROTEIN', NULL, NULL, NULL, 15),
(56810, NULL, 'PTHR31985:SF167', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF026', NULL, NULL, NULL, 15),
(56811, NULL, 'PTHR11829:SF371', NULL, NULL, NULL, NULL, 'FORKHEAD BOX A3', NULL, NULL, NULL, 15),
(56812, NULL, 'PTHR47941:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0027P08.18 PROTEIN', NULL, NULL, NULL, 15),
(56813, NULL, 'PTHR22897:SF7', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE 2', NULL, NULL, NULL, 15),
(56814, NULL, 'PTHR42683:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56815, NULL, 'PTHR33453:SF7', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(56816, NULL, 'PTHR35995:SF2', NULL, NULL, NULL, NULL, 'BNAA10G08730D PROTEIN', NULL, NULL, NULL, 15),
(56817, NULL, 'PTHR23302:SF45', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(56818, NULL, 'PTHR43943:SF13', NULL, NULL, NULL, NULL, 'BNAC03G64870D PROTEIN', NULL, NULL, NULL, 15),
(56819, NULL, 'PTHR11785:SF303', NULL, NULL, NULL, NULL, 'Y+L AMINO ACID TRANSPORTER 1', NULL, NULL, NULL, 15),
(56820, NULL, 'PTHR22883:SF327', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(56821, NULL, 'PTHR11067', NULL, NULL, NULL, NULL, 'INOSINE TRIPHOSPHATE PYROPHOSPHATASE/HAM1 PROTEIN', NULL, NULL, 2587, 15),
(56822, NULL, 'PTHR46127:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 65', NULL, NULL, NULL, 15),
(56823, NULL, 'PTHR43364:SF9', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(56824, NULL, 'PTHR24296:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56825, NULL, 'PTHR34781:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(56826, NULL, 'PTHR42923:SF3', NULL, NULL, NULL, NULL, 'PROTOPORPHYRINOGEN OXIDASE', NULL, NULL, NULL, 15),
(56827, NULL, 'PTHR43125:SF1', NULL, NULL, NULL, NULL, 'INOSITOL-3-PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(56828, NULL, 'PTHR12352:SF24', NULL, NULL, NULL, NULL, 'AGAP007053-PA', NULL, NULL, NULL, 15),
(56829, NULL, 'PTHR12587:SF16', NULL, NULL, NULL, NULL, 'LIPRIN-BETA-1', NULL, NULL, 24323, 15),
(56830, NULL, 'PTHR11926:SF1369', NULL, NULL, NULL, NULL, 'OS11G0444000 PROTEIN', NULL, NULL, NULL, 15),
(56831, NULL, 'PTHR11347:SF141', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CGMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 9A', NULL, NULL, NULL, 15),
(56832, NULL, 'PTHR47973:SF4', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE', NULL, NULL, NULL, 15),
(56833, NULL, 'PTHR10261:SF4', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA-2', NULL, NULL, NULL, 15),
(56834, NULL, 'PTHR28649:SF5', NULL, NULL, NULL, NULL, 'REPRIMO, TP53-DEPENDENT G2 ARREST MEDIATOR HOMOLOG 3', NULL, NULL, NULL, 15),
(56835, NULL, 'PTHR31942:SF109', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(56836, NULL, 'PTHR15458:SF11', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE N-METHYLTRANSFERASE B', NULL, NULL, NULL, 15),
(56837, NULL, 'PTHR13683:SF774', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56838, NULL, 'PTHR31194:SF124', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF003-LIKE', NULL, NULL, NULL, 15),
(56839, NULL, 'PTHR11740:SF0', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', NULL, NULL, NULL, 15),
(56840, NULL, 'PTHR22973:SF13', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE P24-TRAFFICKING PROTEIN 8', NULL, NULL, NULL, 15),
(56841, NULL, 'PTHR45580:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG05798', NULL, NULL, NULL, 15),
(56842, NULL, 'PTHR13507:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56843, NULL, 'PTHR18945:SF754', NULL, NULL, NULL, NULL, 'GLUTAMATE-GATED CHLORIDE CHANNEL ALPHA', NULL, NULL, 18406, 15),
(56844, NULL, 'PTHR43655', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE', NULL, NULL, NULL, 15),
(56845, NULL, 'PTHR46090:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE 13A', NULL, NULL, NULL, 15),
(56846, NULL, 'PTHR10625:SF132', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE RPD3', NULL, NULL, NULL, 15),
(56847, NULL, 'PTHR15402', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR-LIKE 5 PROTEIN', NULL, NULL, 35890, 15),
(56848, NULL, 'PTHR36405', NULL, NULL, NULL, NULL, 'BNAA10G09140D PROTEIN', NULL, NULL, NULL, 15),
(56849, NULL, 'PTHR23310:SF62', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING PROTEIN HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(56850, NULL, 'PTHR11132:SF258', NULL, NULL, NULL, NULL, 'GDP-MANNOSE TRANSPORTER GONST2', NULL, NULL, NULL, 15),
(56851, NULL, 'PTHR12542:SF24', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(56852, NULL, 'PTHR10209:SF774', NULL, NULL, NULL, NULL, 'OS08G0392100 PROTEIN', NULL, NULL, NULL, 15),
(56853, NULL, 'PTHR31625:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56854, NULL, 'PTHR31383:SF2', NULL, NULL, NULL, NULL, 'OXIDATIVE STRESS-RESPONSIVE SERINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(56855, NULL, 'PTHR10353:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56856, NULL, 'PTHR37298', NULL, NULL, NULL, NULL, 'UPF0111 PROTEIN YKAA', NULL, NULL, NULL, 15),
(56857, NULL, 'PTHR15350:SF13', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT M', NULL, NULL, NULL, 15),
(56858, NULL, 'PTHR43490:SF115', NULL, NULL, NULL, NULL, 'OSJNBA0081C01.25 PROTEIN', NULL, NULL, NULL, 15),
(56859, NULL, 'PTHR32227:SF337', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17 PROTEIN', NULL, NULL, NULL, 15),
(56860, NULL, 'PTHR33142:SF40', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR6-RELATED', NULL, NULL, NULL, 15),
(56861, NULL, 'PTHR11743:SF60', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 1', NULL, NULL, NULL, 15),
(56862, NULL, 'PTHR31549:SF157', NULL, NULL, NULL, NULL, 'OS09G0300150 PROTEIN', NULL, NULL, NULL, 15),
(56863, NULL, 'PTHR33513:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56864, NULL, 'PTHR24300:SF134', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 2, SUBFAMILY AB, POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(56865, NULL, 'PTHR11062:SF299', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(56866, NULL, 'PTHR31779:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56867, NULL, 'PTHR11753:SF44', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT SIGMA', NULL, NULL, NULL, 15),
(56868, NULL, 'PTHR14742', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P SUBUNIT P21', NULL, NULL, NULL, 15),
(56869, NULL, 'PTHR41251:SF1', NULL, NULL, NULL, NULL, 'NON-HOMOLOGOUS END JOINING PROTEIN KU', NULL, NULL, NULL, 15),
(56870, NULL, 'PTHR21477:SF27', NULL, NULL, NULL, NULL, 'CF9 PROTEIN', NULL, NULL, NULL, 15),
(56871, NULL, 'PTHR18919:SF153', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL ENZYME SUBUNIT BETA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(56872, NULL, 'PTHR12197:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56873, NULL, 'PTHR10201:SF269', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 3-MMP-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56874, NULL, 'PTHR21964:SF15', NULL, NULL, NULL, NULL, 'BREAST CANCER METASTASIS-SUPPRESSOR 1', NULL, NULL, NULL, 15),
(56875, NULL, 'PTHR45988:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT6', NULL, NULL, NULL, 15),
(56876, NULL, 'PTHR16188:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56877, NULL, 'PTHR24348:SF53', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATG1T', NULL, NULL, NULL, 15),
(56878, NULL, 'PTHR24103:SF586', NULL, NULL, NULL, NULL, 'BLOODTHIRSTY-RELATED GENE FAMILY, MEMBER 31-RELATED', NULL, NULL, NULL, 15),
(56879, NULL, 'PTHR19308:SF2', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER (START) DOMAIN-CONTAINING 15', NULL, NULL, NULL, 15),
(56880, NULL, 'PTHR31642:SF225', NULL, NULL, NULL, NULL, 'BNAANNG21320D PROTEIN', NULL, NULL, NULL, 15),
(56881, NULL, 'PTHR47958:SF53', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 37', NULL, NULL, NULL, 15),
(56882, NULL, 'PTHR46339:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG17404', NULL, NULL, NULL, 15),
(56883, NULL, 'PTHR40407:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(56884, NULL, 'PTHR48044:SF35', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(56885, NULL, 'PTHR43464:SF31', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(56886, NULL, 'PTHR47926:SF177', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(56887, NULL, 'PTHR13184:SF5', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT RNA METHYLTRANSFERASE RSM22, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(56888, NULL, 'PTHR10381:SF59', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', NULL, NULL, NULL, 15),
(56889, NULL, 'PTHR32285:SF265', NULL, NULL, NULL, NULL, 'PMR5 N-TERMINAL DOMAIN, PC-ESTERASE-RELATED', NULL, NULL, NULL, 15),
(56890, NULL, 'PTHR10909:SF315', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACYL-COENZYME A OXIDASE 3', NULL, NULL, NULL, 15),
(56891, NULL, 'PTHR37204', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(56892, NULL, 'PTHR31286:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56893, NULL, 'PTHR28620:SF9', NULL, NULL, NULL, NULL, 'CARBON-SULFUR LYASES', NULL, NULL, NULL, 15),
(56894, NULL, 'PTHR48085:SF10', NULL, NULL, NULL, NULL, 'CADMIUM/ZINC-TRANSPORTING ATPASE HMA2-LIKE', NULL, NULL, NULL, 15),
(56895, NULL, 'PTHR37836', NULL, NULL, NULL, NULL, 'LMO1036 PROTEIN', NULL, NULL, NULL, 15),
(56896, NULL, 'PTHR44375:SF9', NULL, NULL, NULL, NULL, 'BNAA09G10000D PROTEIN', NULL, NULL, NULL, 15),
(56897, NULL, 'PTHR47303:SF1', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR BETA', NULL, NULL, NULL, 15),
(56898, NULL, 'PTHR42903', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YCCF', NULL, NULL, NULL, 15),
(56899, NULL, 'PTHR31509:SF65', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 3 SUBUNIT A, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(56900, NULL, 'PTHR23138:SF136', NULL, NULL, NULL, NULL, 'OS05G0350600 PROTEIN', NULL, NULL, NULL, 15),
(56901, NULL, 'PTHR10117:SF46', NULL, NULL, NULL, NULL, 'TRANSIENT-RECEPTOR-POTENTIAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(56902, NULL, 'PTHR35290:SF5', NULL, NULL, NULL, NULL, 'BNAA03G52930D PROTEIN', NULL, NULL, NULL, 15),
(56903, NULL, 'PTHR10855:SF5', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 4-LIKE', NULL, NULL, NULL, 15),
(56904, NULL, 'PTHR35569', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56905, NULL, 'PTHR11938:SF138', NULL, NULL, NULL, NULL, 'BNAA03G19380D PROTEIN', NULL, NULL, NULL, 15),
(56906, NULL, 'PTHR31636:SF227', NULL, NULL, NULL, NULL, 'BNAA09G10790D PROTEIN', NULL, NULL, NULL, 15),
(56907, NULL, 'PTHR34741:SF2', NULL, NULL, NULL, NULL, 'IMAP FAMILY MEMBER 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(56908, NULL, 'PTHR33432:SF27', NULL, NULL, NULL, NULL, 'PROTEIN EMSY-LIKE 3', NULL, NULL, NULL, 15),
(56909, NULL, 'PTHR46481', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56910, NULL, 'PTHR27003:SF313', NULL, NULL, NULL, NULL, 'BNAC05G10630D PROTEIN', NULL, NULL, NULL, 15),
(56911, NULL, 'PTHR13296', NULL, NULL, NULL, NULL, 'BCAS2 PROTEIN', NULL, NULL, 8697, 15),
(56912, NULL, 'PTHR46661:SF1', NULL, NULL, NULL, NULL, 'ZGC:66427', NULL, NULL, NULL, 15),
(56913, NULL, 'PTHR31218:SF215', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(56914, NULL, 'PTHR32212:SF305', NULL, NULL, NULL, NULL, 'BNAA08G26470D PROTEIN', NULL, NULL, NULL, 15),
(56915, NULL, 'PTHR23101:SF58', NULL, NULL, NULL, NULL, 'RAS AND RAB INTERACTOR 3', NULL, NULL, NULL, 15),
(56916, NULL, 'PTHR11064:SF125', NULL, NULL, NULL, NULL, 'BNAA04G21250D PROTEIN', NULL, NULL, NULL, 15),
(56917, NULL, 'PTHR11817:SF100', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(56918, NULL, 'PTHR28258', NULL, NULL, NULL, NULL, 'VACUOLAR SEGREGATION PROTEIN 7', NULL, NULL, 12658, 15),
(56919, NULL, 'PTHR24126:SF7', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(56920, NULL, 'PTHR46991:SF19', NULL, NULL, NULL, NULL, 'BNAA06G35430D PROTEIN', NULL, NULL, NULL, 15),
(56921, NULL, 'PTHR24126:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56922, NULL, 'PTHR11689:SF145', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL', NULL, NULL, NULL, 15),
(56923, NULL, 'PTHR33672:SF11', NULL, NULL, NULL, NULL, 'ROOT HAIR SPECIFIC 4', NULL, NULL, NULL, 15),
(56924, NULL, 'PTHR21700:SF23', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(56925, NULL, 'PTHR48066', NULL, NULL, NULL, NULL, 'CARNOSINE SYNTHASE 1', NULL, NULL, 26737, 15),
(56926, NULL, 'PTHR31928:SF13', NULL, NULL, NULL, NULL, 'OS07G0588300 PROTEIN', NULL, NULL, NULL, 15),
(56927, NULL, 'PTHR32018:SF34', NULL, NULL, NULL, NULL, 'BNAC03G76550D PROTEIN', NULL, NULL, NULL, 15),
(56928, NULL, 'PTHR11157:SF135', NULL, NULL, NULL, NULL, 'BNAA01G32810D PROTEIN', NULL, NULL, NULL, 15),
(56929, NULL, 'PTHR47926:SF34', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(56930, NULL, 'PTHR28666', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 240', NULL, NULL, 26468, 15),
(56931, NULL, 'PTHR31898:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 136', NULL, NULL, NULL, 15),
(56932, NULL, 'PTHR19241:SF640', NULL, NULL, NULL, NULL, 'PLANT PDR ABC TRANSPORTER ASSOCIATED-RELATED', NULL, NULL, NULL, 15),
(56933, NULL, 'PTHR36108:SF15', NULL, NULL, NULL, NULL, 'COLLAGEN ADHESION PROTEIN', NULL, NULL, NULL, 15),
(56934, NULL, 'PTHR32044:SF88', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 12-RELATED', NULL, NULL, NULL, 15),
(56935, NULL, 'PTHR45627:SF7', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 5', NULL, NULL, NULL, 15),
(56936, NULL, 'PTHR31319:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56937, NULL, 'PTHR23279:SF36', NULL, NULL, NULL, NULL, 'HEMICENTIN 1', NULL, NULL, NULL, 15),
(56938, NULL, 'PTHR31569:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56939, NULL, 'PTHR31374:SF140', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(56940, NULL, 'PTHR32018:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56941, NULL, 'PTHR14274:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 8', NULL, NULL, NULL, 15),
(56942, NULL, 'PTHR41158:SF2', NULL, NULL, NULL, NULL, 'AGAP010294-PA', NULL, NULL, NULL, 15),
(56943, NULL, 'PTHR18919:SF158', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACETOACETYL-COENZYME A THIOLASE', NULL, NULL, NULL, 15),
(56944, NULL, 'PTHR10634:SF108', NULL, NULL, NULL, NULL, 'BNAA05G26550D PROTEIN', NULL, NULL, NULL, 15),
(56945, NULL, 'PTHR16290:SF5', NULL, NULL, NULL, NULL, 'MRNA-DECAPPING ENZYME 1B', NULL, NULL, NULL, 15),
(56946, NULL, 'PTHR11909:SF137', NULL, NULL, NULL, NULL, 'TAU TUBULIN KINASE', NULL, NULL, NULL, 15),
(56947, NULL, 'PTHR34482:SF29', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(56948, NULL, 'PTHR21629:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG13119', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56949, NULL, 'PTHR10366:SF705', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE/ISOMERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(56950, NULL, 'PTHR31395:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56951, NULL, 'PTHR21733:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBR-HPO-6', NULL, NULL, NULL, 15),
(56952, NULL, 'PTHR10811:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56953, NULL, 'PTHR31625:SF12', NULL, NULL, NULL, NULL, 'OS12G0565450 PROTEIN', NULL, NULL, NULL, 15),
(56954, NULL, 'PTHR30354:SF20', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY GLUCONATE TRANSPORTER', NULL, NULL, NULL, 15),
(56955, NULL, 'PTHR18966:SF384', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 64A-RELATED', NULL, NULL, NULL, 15),
(56956, NULL, 'PTHR12919:SF36', NULL, NULL, NULL, NULL, 'BNAC02G11990D PROTEIN', NULL, NULL, NULL, 15),
(56957, NULL, 'PTHR45821:SF8', NULL, NULL, NULL, NULL, 'SNF2 DOMAIN-CONTAINING PROTEIN CLASSY 1', NULL, NULL, NULL, 15),
(56958, NULL, 'PTHR28607:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(56959, NULL, 'PTHR43767:SF4', NULL, NULL, NULL, NULL, 'FATTY-ACID-COA LIGASE FADD36 (FATTY-ACID-COA SYNTHETASE) (FATTY-ACID-COA SYNTHASE)-RELATED', NULL, NULL, NULL, 15),
(56960, NULL, 'PTHR39074:SF1', NULL, NULL, NULL, NULL, 'AGAP007547-PA', NULL, NULL, NULL, 15),
(56961, NULL, 'PTHR24637:SF286', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 6', NULL, NULL, NULL, 15),
(56962, NULL, 'PTHR11426:SF226', NULL, NULL, NULL, NULL, 'HISTONE H3.2', NULL, NULL, NULL, 15),
(56963, NULL, 'PTHR11594:SF4', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', NULL, NULL, NULL, 15),
(56964, NULL, 'PTHR30332:SF23', NULL, NULL, NULL, NULL, 'SECRETION PATHWAY PROTEIN D, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(56965, NULL, 'PTHR31235:SF274', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(56966, NULL, 'PTHR15492:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-D1-BINDING PROTEIN', NULL, NULL, NULL, 15),
(56967, NULL, 'PTHR45621:SF181', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL11-RELATED', NULL, NULL, NULL, 15),
(56968, NULL, 'PTHR31500:SF93', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 1', NULL, NULL, NULL, 15),
(56969, NULL, 'PTHR30399:SF4', NULL, NULL, NULL, NULL, 'UTP PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(56970, NULL, 'PTHR31301:SF75', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(56971, NULL, 'PTHR10891:SF676', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML16-RELATED', NULL, NULL, NULL, 15),
(56972, NULL, 'PTHR11206:SF159', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(56973, NULL, 'PTHR46128:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56974, NULL, 'PTHR33179:SF61', NULL, NULL, NULL, NULL, 'BNAA06G24120D PROTEIN', NULL, NULL, NULL, 15),
(56975, NULL, 'PTHR13078:SF57', NULL, NULL, NULL, NULL, 'DEHYDRATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00640)-RELATED', NULL, NULL, NULL, 15),
(56976, NULL, 'PTHR21595:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56977, NULL, 'PTHR12547:SF139', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(56978, NULL, 'PTHR23419', NULL, NULL, NULL, NULL, 'DIVALENT CATION TOLERANCE CUTA-RELATED', NULL, NULL, 4752, 15),
(56979, NULL, 'PTHR11599:SF158', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, NULL, 15),
(56980, NULL, 'PTHR22950:SF650', NULL, NULL, NULL, NULL, 'BNAC06G40470D PROTEIN', NULL, NULL, NULL, 15),
(56981, NULL, 'PTHR24419', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE', NULL, NULL, NULL, 15),
(56982, NULL, 'PTHR22765:SF58', NULL, NULL, NULL, NULL, 'PROTEIN GOLIATH', NULL, NULL, NULL, 15),
(56983, NULL, 'PTHR24070:SF226', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHEB HOMOLOG', NULL, NULL, NULL, 15),
(56984, NULL, 'PTHR47591:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(56985, NULL, 'PTHR31533:SF2', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN LLG1-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(56986, NULL, 'PTHR43364:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE YDHF', NULL, NULL, NULL, 15),
(56987, NULL, 'PTHR43721', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU-RELATED', NULL, NULL, NULL, 15),
(56988, NULL, 'PTHR12411:SF660', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RDL4-RELATED', NULL, NULL, NULL, 15),
(56989, NULL, 'PTHR31889:SF61', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 7-RELATED', NULL, NULL, NULL, 15),
(56990, NULL, 'PTHR15427:SF32', NULL, NULL, NULL, NULL, 'PROTEIN HP-20 HOMOLOG', NULL, NULL, NULL, 15),
(56991, NULL, 'PTHR46214:SF30', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(56992, NULL, 'PTHR24015:SF1849', NULL, NULL, NULL, NULL, 'OS03G0158900 PROTEIN', NULL, NULL, NULL, 15),
(56993, NULL, 'PTHR31326:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CLT2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(56994, NULL, 'PTHR10627:SF65', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF/POINTED DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(56995, NULL, 'PTHR45614:SF146', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN N', NULL, NULL, NULL, 15),
(56996, NULL, 'PTHR13318:SF158', NULL, NULL, NULL, NULL, 'EIN3-BINDING F-BOX PROTEIN 2', NULL, NULL, NULL, 15),
(56997, NULL, 'PTHR35546:SF21', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(56998, NULL, 'PTHR24222:SF60', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 9', NULL, NULL, NULL, 15),
(56999, NULL, 'PTHR30034:SF3', NULL, NULL, NULL, NULL, 'FLAGELLAR MOTOR SWITCH PROTEIN FLIM', NULL, NULL, NULL, 15),
(57000, NULL, 'PTHR22951:SF99', NULL, NULL, NULL, NULL, 'ENTH/VHS AND ANTH DOMAINS-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57001, NULL, 'PTHR31549:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57002, NULL, 'PTHR31104:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57003, NULL, 'PTHR45682:SF4', NULL, NULL, NULL, NULL, 'INACTIVE DUAL SPECIFICITY PHOSPHATASE 27', NULL, NULL, NULL, 15),
(57004, NULL, 'PTHR46939', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 36707, 15),
(57005, NULL, 'PTHR12553:SF69', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(57006, NULL, 'PTHR46142:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57007, NULL, 'PTHR21139:SF31', NULL, NULL, NULL, NULL, 'BNAC08G26250D PROTEIN', NULL, NULL, NULL, 15),
(57008, NULL, 'PTHR44743:SF9', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(57009, NULL, 'PTHR15887:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57010, NULL, 'PTHR21608:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-22L1.1', NULL, NULL, NULL, 15),
(57011, NULL, 'PTHR11732:SF438', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57012, NULL, 'PTHR48125:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57013, NULL, 'PTHR28180:SF2', NULL, NULL, NULL, NULL, 'CONSERVED MITOCHONDRIAL PROTEIN', NULL, NULL, NULL, 15),
(57014, NULL, 'PTHR10201:SF263', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 3-MMP', NULL, NULL, NULL, 15),
(57015, NULL, 'PTHR10681:SF156', NULL, NULL, NULL, NULL, 'BNAA05G27440D PROTEIN', NULL, NULL, NULL, 15),
(57016, NULL, 'PTHR48041:SF20', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 19', NULL, NULL, NULL, 15),
(57017, NULL, 'PTHR33702:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57018, NULL, 'PTHR36380:SF1', NULL, NULL, NULL, NULL, 'BNAA03G58330D PROTEIN', NULL, NULL, NULL, 15),
(57019, NULL, 'PTHR10443:SF9', NULL, NULL, NULL, NULL, 'DIPEPTIDASE 2', NULL, NULL, NULL, 15),
(57020, NULL, 'PTHR10853:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PELOTA HOMOLOG', NULL, NULL, NULL, 15),
(57021, NULL, 'PTHR10694:SF95', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 5D', NULL, NULL, NULL, 15),
(57022, NULL, 'PTHR10504:SF135', NULL, NULL, NULL, NULL, 'PROTEIN CBG15266', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57023, NULL, 'PTHR24055:SF218', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 17', NULL, NULL, NULL, 15),
(57024, NULL, 'PTHR31541:SF53', NULL, NULL, NULL, NULL, 'BNAC08G44360D PROTEIN', NULL, NULL, NULL, 15),
(57025, NULL, 'PTHR24120', NULL, NULL, NULL, NULL, 'GH07239P', NULL, NULL, NULL, 15),
(57026, NULL, 'PTHR24412:SF210', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 18', NULL, NULL, NULL, 15),
(57027, NULL, 'PTHR11972:SF148', NULL, NULL, NULL, NULL, 'FERRIC REDUCTION OXIDASE 3, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(57028, NULL, 'PTHR19317:SF69', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(57029, NULL, 'PTHR38396', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(57030, NULL, 'PTHR33133:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(57031, NULL, 'PTHR38118:SF1', NULL, NULL, NULL, NULL, 'ANCHORED CELL WALL PROTEIN 11', NULL, NULL, NULL, 15),
(57032, NULL, 'PTHR24300:SF63', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(57033, NULL, 'PTHR11353:SF211', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ETA', NULL, NULL, NULL, 15),
(57034, NULL, 'PTHR31949:SF28', NULL, NULL, NULL, NULL, 'BNAA09G27720D PROTEIN', NULL, NULL, NULL, 15),
(57035, NULL, 'PTHR24224:SF33', NULL, NULL, NULL, NULL, 'OPSIN RELATED', NULL, NULL, NULL, 15),
(57036, NULL, 'PTHR31960:SF25', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A15-LIKE', NULL, NULL, NULL, 15),
(57037, NULL, 'PTHR36877', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 13', NULL, NULL, 27091, 15),
(57038, NULL, 'PTHR23026:SF90', NULL, NULL, NULL, NULL, 'IODOTYROSINE DEIODINASE 1', NULL, NULL, NULL, 15),
(57039, NULL, 'PTHR11588:SF300', NULL, NULL, NULL, NULL, 'TUBULIN BETA-5 CHAIN', NULL, NULL, NULL, 15),
(57040, NULL, 'PTHR10015:SF380', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX DNA-BINDING DOMAIN, HEAT SHOCK TRANSCRIPTION FACTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(57041, NULL, 'PTHR11588:SF330', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2B CHAIN', NULL, NULL, NULL, 15),
(57042, NULL, 'PTHR31568:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57043, NULL, 'PTHR10638:SF20', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(57044, NULL, 'PTHR33047:SF23', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(57045, NULL, 'PTHR12411:SF444', NULL, NULL, NULL, NULL, 'CATHEPSIN F', NULL, NULL, NULL, 15),
(57046, NULL, 'PTHR31245', NULL, NULL, NULL, NULL, 'UBIQUITIN SYSTEM COMPONENT CUE PROTEIN', NULL, NULL, NULL, 15),
(57047, NULL, 'PTHR31867:SF136', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(57048, NULL, 'PTHR33168:SF53', NULL, NULL, NULL, NULL, 'OS02G0182850 PROTEIN', NULL, NULL, NULL, 15),
(57049, NULL, 'PTHR23339:SF110', NULL, NULL, NULL, NULL, 'BNAC01G23580D PROTEIN', NULL, NULL, NULL, 15),
(57050, NULL, 'PTHR45969:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(57051, NULL, 'PTHR34114:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57052, NULL, 'PTHR23147:SF76', NULL, NULL, NULL, NULL, 'LD40489P', NULL, NULL, NULL, 15),
(57053, NULL, 'PTHR11620:SF59', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L23, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(57054, NULL, 'PTHR38648:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930451I11 GENE', NULL, NULL, NULL, 15),
(57055, NULL, 'PTHR31263:SF58', NULL, NULL, NULL, NULL, 'BNAC09G41180D PROTEIN', NULL, NULL, NULL, 15),
(57056, NULL, 'PTHR42968:SF19', NULL, NULL, NULL, NULL, 'PFS, NACHT AND WD DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_7G07100)', NULL, NULL, NULL, 15),
(57057, NULL, 'PTHR21331', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED ATM ACTIVATOR 1', NULL, NULL, 33899, 15),
(57058, NULL, 'PTHR48244', NULL, NULL, NULL, NULL, 'ZEIN-ALPHA A20-RELATED', NULL, NULL, NULL, 15),
(57059, NULL, 'PTHR31189:SF56', NULL, NULL, NULL, NULL, '11S GLOBULIN SUBUNIT BETA-RELATED', NULL, NULL, NULL, 15),
(57060, NULL, 'PTHR33840:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57061, NULL, 'PTHR31036:SF0', NULL, NULL, NULL, NULL, 'FANCD2 OPPOSITE STRAND PROTEIN', NULL, NULL, NULL, 15),
(57062, NULL, 'PTHR47156:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG12711', NULL, NULL, NULL, 15),
(57063, NULL, 'PTHR24292:SF54', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 28A5-RELATED', NULL, NULL, NULL, 15),
(57064, NULL, 'PTHR32227:SF95', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-RELATED', NULL, NULL, NULL, 15),
(57065, NULL, 'PTHR10540:SF21', NULL, NULL, NULL, NULL, 'BNAC02G02190D PROTEIN', NULL, NULL, NULL, 15),
(57066, NULL, 'PTHR28654:SF1', NULL, NULL, NULL, NULL, 'AXIN INTERACTOR, DORSALIZATION-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(57067, NULL, 'PTHR43065:SF36', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE TRANSPORT SYSTEM SENSOR PROTEIN PGTB', NULL, NULL, NULL, 15),
(57068, NULL, 'PTHR11098', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, 6760, 15),
(57069, NULL, 'PTHR23406:SF64', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME 3', NULL, NULL, NULL, 15),
(57070, NULL, 'PTHR32205', NULL, NULL, NULL, NULL, 'ARCHAEMETZINCIN-2-RELATED', NULL, NULL, NULL, 15),
(57071, NULL, 'PTHR11157:SF36', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(57072, NULL, 'PTHR33673:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57073, NULL, 'PTHR11972:SF159', NULL, NULL, NULL, NULL, 'BNAA05G13820D PROTEIN', NULL, NULL, NULL, 15),
(57074, NULL, 'PTHR28422', NULL, NULL, NULL, NULL, 'SIMILAR TO HUMAN CHROMOSOME 15 OPEN READING FRAME 39', NULL, NULL, 35178, 15),
(57075, NULL, 'PTHR43571:SF2', NULL, NULL, NULL, NULL, 'BNAA06G02140D PROTEIN', NULL, NULL, NULL, 15),
(57076, NULL, 'PTHR19856:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WD40-LIKE FAMILY-RELATED', NULL, NULL, NULL, 15),
(57077, NULL, 'PTHR42713', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE-RELATED', NULL, NULL, NULL, 15),
(57078, NULL, 'PTHR24115:SF352', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF20A', NULL, NULL, 26233, 15),
(57079, NULL, 'PTHR31561:SF162', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(57080, NULL, 'PTHR46905:SF4', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL78-LIKE', NULL, NULL, NULL, 15),
(57081, NULL, 'PTHR38622:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG25801', NULL, NULL, NULL, 15),
(57082, NULL, 'PTHR47990:SF78', NULL, NULL, NULL, NULL, 'BNAC03G75160D PROTEIN', NULL, NULL, NULL, 15),
(57083, NULL, 'PTHR23164:SF28', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PIB1', NULL, NULL, NULL, 15),
(57084, NULL, 'PTHR44252:SF2', NULL, NULL, NULL, NULL, 'L-XYLULOSE REDUCTASE', NULL, NULL, NULL, 15),
(57085, NULL, 'PTHR22808:SF3', NULL, NULL, NULL, NULL, '5-METHYLCYTOSINE RRNA METHYLTRANSFERASE NSUN4', NULL, NULL, NULL, 15),
(57086, NULL, 'PTHR38224:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57087, NULL, 'PTHR18884:SF21', NULL, NULL, NULL, NULL, 'SPORULATION-REGULATED PROTEIN 28', NULL, NULL, NULL, 15),
(57088, NULL, 'PTHR26312:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57089, NULL, 'PTHR30620:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57090, NULL, 'PTHR31975', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 7-RELATED', NULL, NULL, 14332, 15),
(57091, NULL, 'PTHR12585:SF51', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN REC8', NULL, NULL, NULL, 15),
(57092, NULL, 'PTHR33428:SF11', NULL, NULL, NULL, NULL, 'CHLOROPHYLLASE-2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(57093, NULL, 'PTHR47317', NULL, NULL, NULL, NULL, 'PROTEIN LHCP TRANSLOCATION DEFECT', NULL, NULL, 40007, 15),
(57094, NULL, 'PTHR24376:SF119', NULL, NULL, NULL, NULL, 'SI:CABZ01069013.3-RELATED', NULL, NULL, NULL, 15),
(57095, NULL, 'PTHR31376:SF69', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 2', NULL, NULL, NULL, 15),
(57096, NULL, 'PTHR46845', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR I', NULL, NULL, NULL, 15),
(57097, NULL, 'PTHR15852:SF7', NULL, NULL, NULL, NULL, 'PROTEIN SSUH2 HOMOLOG', NULL, NULL, 32625, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57098, NULL, 'PTHR45635:SF35', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(57099, NULL, 'PTHR33112:SF6', NULL, NULL, NULL, NULL, 'HETEROKARYON INCOMPATIBILITY PROTEIN', NULL, NULL, NULL, 15),
(57100, NULL, 'PTHR11994:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57101, NULL, 'PTHR31429:SF83', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 6', NULL, NULL, NULL, 15),
(57102, NULL, 'PTHR10728:SF35', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2', NULL, NULL, NULL, 15),
(57103, NULL, 'PTHR45954:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN-SIGNALING MODULATOR 2', NULL, NULL, NULL, 15),
(57104, NULL, 'PTHR31683:SF89', NULL, NULL, NULL, NULL, 'PECTATE LYASE 7-RELATED', NULL, NULL, NULL, 15),
(57105, NULL, 'PTHR24298:SF845', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(57106, NULL, 'PTHR10466', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE', NULL, NULL, 516, 15),
(57107, NULL, 'PTHR36833:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57108, NULL, 'PTHR45671:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATE CARRIER PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(57109, NULL, 'PTHR48001:SF131', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(57110, NULL, 'PTHR48001:SF28', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(57111, NULL, 'PTHR47247:SF1', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR 2', NULL, NULL, NULL, 15),
(57112, NULL, 'PTHR11615:SF320', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(57113, NULL, 'PTHR33895:SF7', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 3', NULL, NULL, NULL, 15),
(57114, NULL, 'PTHR24064:SF488', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PROTEIN4', NULL, NULL, NULL, 15),
(57115, NULL, 'PTHR31194:SF106', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF118-LIKE', NULL, NULL, NULL, 15),
(57116, NULL, 'PTHR11913:SF89', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 3', NULL, NULL, NULL, 15),
(57117, NULL, 'PTHR10505:SF3', NULL, NULL, NULL, NULL, 'CALCITONIN GENE-RELATED PEPTIDE 2', NULL, NULL, NULL, 15),
(57118, NULL, 'PTHR31490:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57119, NULL, 'PTHR33681:SF8', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57120, NULL, 'PTHR31197:SF26', NULL, NULL, NULL, NULL, 'BNAA07G38330D PROTEIN', NULL, NULL, NULL, 15),
(57121, NULL, 'PTHR23428:SF160', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-H', NULL, NULL, NULL, 15),
(57122, NULL, 'PTHR31282:SF5', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 30-RELATED', NULL, NULL, NULL, 15),
(57123, NULL, 'PTHR38148:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57124, NULL, 'PTHR12381', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN U FAMILY MEMBER', NULL, NULL, NULL, 15),
(57125, NULL, 'PTHR12210:SF136', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(57126, NULL, 'PTHR46250:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57127, NULL, 'PTHR10583:SF4', NULL, NULL, NULL, NULL, 'SECRETOGRANIN-1', NULL, NULL, NULL, 15),
(57128, NULL, 'PTHR27006:SF227', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', NULL, NULL, NULL, 15),
(57129, NULL, 'PTHR31301:SF140', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57130, NULL, 'PTHR48124:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57131, NULL, 'PTHR42936', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE', NULL, NULL, NULL, 15),
(57132, NULL, 'PTHR46485:SF7', NULL, NULL, NULL, NULL, 'LIM DOMAIN KINASE 1', NULL, NULL, NULL, 15),
(57133, NULL, 'PTHR37186', NULL, NULL, NULL, NULL, 'OS06G0524500 PROTEIN', NULL, NULL, NULL, 15),
(57134, NULL, 'PTHR11603:SF165', NULL, NULL, NULL, NULL, 'MORR PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57135, NULL, 'PTHR46125:SF21', NULL, NULL, NULL, NULL, 'BNAC06G41200D PROTEIN', NULL, NULL, NULL, 15),
(57136, NULL, 'PTHR24418:SF78', NULL, NULL, NULL, NULL, 'FOCAL ADHESION KINASE 1', NULL, NULL, NULL, 15),
(57137, NULL, 'PTHR42979:SF8', NULL, NULL, NULL, NULL, 'BNAC02G22990D PROTEIN', NULL, NULL, NULL, 15),
(57138, NULL, 'PTHR11132:SF447', NULL, NULL, NULL, NULL, 'BNAA06G14900D PROTEIN', NULL, NULL, NULL, 15),
(57139, NULL, 'PTHR11815:SF16', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT BETA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(57140, NULL, 'PTHR10871:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S18-LIKE', NULL, NULL, NULL, 15),
(57141, NULL, 'PTHR24067', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2', NULL, NULL, NULL, 15),
(57142, NULL, 'PTHR15138:SF26', NULL, NULL, NULL, NULL, 'BNAA06G36870D PROTEIN', NULL, NULL, NULL, 15),
(57143, NULL, 'PTHR19359:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57144, NULL, 'PTHR33057:SF146', NULL, NULL, NULL, NULL, 'OVATE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(57145, NULL, 'PTHR46048:SF3', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLIC ACID RECEPTOR 1', NULL, NULL, 28174, 15),
(57146, NULL, 'PTHR47970:SF9', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-5D', NULL, NULL, NULL, 15),
(57147, NULL, 'PTHR28005:SF1', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 17', NULL, NULL, NULL, 15),
(57148, NULL, 'PTHR48001:SF86', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 866', NULL, NULL, NULL, 15),
(57149, NULL, 'PTHR24960:SF79', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I IRON-SULFUR CENTER', NULL, NULL, NULL, 15),
(57150, NULL, 'PTHR12794:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57151, NULL, 'PTHR32410:SF196', NULL, NULL, NULL, NULL, 'BNAC09G00270D PROTEIN', NULL, NULL, NULL, 15),
(57152, NULL, 'PTHR24083:SF98', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 2 GROUP E MEMBER 1', NULL, NULL, NULL, 15),
(57153, NULL, 'PTHR22536:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 19', NULL, NULL, NULL, 15),
(57154, NULL, 'PTHR11673:SF6', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', NULL, NULL, NULL, 15),
(57155, NULL, 'PTHR23315:SF248', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 45', NULL, NULL, NULL, 15),
(57156, NULL, 'PTHR45855:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UNE10', NULL, NULL, NULL, 15),
(57157, NULL, 'PTHR31639:SF213', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57158, NULL, 'PTHR43329:SF72', NULL, NULL, NULL, NULL, 'SERINE HYDROLASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57159, NULL, 'PTHR45631:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(57160, NULL, 'PTHR48018:SF128', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(57161, NULL, 'PTHR24014:SF6', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(57162, NULL, 'PTHR45670', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIP12', NULL, NULL, 39772, 15),
(57163, NULL, 'PTHR12791:SF28', NULL, NULL, NULL, NULL, 'BET1 HOMOLOG', NULL, NULL, NULL, 15),
(57164, NULL, 'PTHR23068:SF11', NULL, NULL, NULL, NULL, 'INACTIVE DNA (CYTOSINE-5)-METHYLTRANSFERASE DRM3-RELATED', NULL, NULL, NULL, 15),
(57165, NULL, 'PTHR46413:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57166, NULL, 'PTHR12952:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 244', NULL, NULL, NULL, 15),
(57167, NULL, 'PTHR19359:SF74', NULL, NULL, NULL, NULL, 'B5, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57168, NULL, 'PTHR26312:SF169', NULL, NULL, NULL, NULL, 'TPR REPEAT PROTEIN', NULL, NULL, NULL, 15),
(57169, NULL, 'PTHR30519:SF24', NULL, NULL, NULL, NULL, '5-METHYLTETRAHYDROPTEROYLTRIGLUTAMATE--HOMOCYSTEINE METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(57170, NULL, 'PTHR35469:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57171, NULL, 'PTHR46490:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 1 MEMBER A', NULL, NULL, NULL, 15),
(57172, NULL, 'PTHR17204:SF23', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN COMPONENT PRP42', NULL, NULL, NULL, 15),
(57173, NULL, 'PTHR27006:SF377', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(57174, NULL, 'PTHR22850:SF197', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN', NULL, NULL, NULL, 15),
(57175, NULL, 'PTHR11879', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, 4816, 15),
(57176, NULL, 'PTHR31623:SF82', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57177, NULL, 'PTHR31155:SF33', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE', NULL, NULL, NULL, 15),
(57178, NULL, 'PTHR31009:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57179, NULL, 'PTHR12585:SF27', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN REC8 HOMOLOG', NULL, NULL, NULL, 15),
(57180, NULL, 'PTHR46521:SF4', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 2-RELATED', NULL, NULL, NULL, 15),
(57181, NULL, 'PTHR30096:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57182, NULL, 'PTHR26452:SF709', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(57183, NULL, 'PTHR23150:SF32', NULL, NULL, NULL, NULL, 'FORMYLGLYCINE-GENERATING ENZYME', NULL, NULL, NULL, 15),
(57184, NULL, 'PTHR33286:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57185, NULL, 'PTHR43874:SF57', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR7', NULL, NULL, NULL, 15),
(57186, NULL, 'PTHR10005:SF3', NULL, NULL, NULL, NULL, 'SKI-LIKE PROTEIN', NULL, NULL, 21932, 15),
(57187, NULL, 'PTHR10648:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 1', NULL, NULL, NULL, 15),
(57188, NULL, 'PTHR31235:SF86', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(57189, NULL, 'PTHR45614:SF162', NULL, NULL, NULL, NULL, 'BNAC03G66940D PROTEIN', NULL, NULL, NULL, 15),
(57190, NULL, 'PTHR33416', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57191, NULL, 'PTHR10516', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(57192, NULL, 'PTHR39741:SF12', NULL, NULL, NULL, NULL, 'BNAA09G51760D PROTEIN', NULL, NULL, NULL, 15),
(57193, NULL, 'PTHR13309:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR FRAGILE X MENTAL RETARDATION-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(57194, NULL, 'PTHR13146:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57195, NULL, 'PTHR24055:SF178', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(57196, NULL, 'PTHR11002:SF69', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(57197, NULL, 'PTHR22802:SF311', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER C', NULL, NULL, NULL, 15),
(57198, NULL, 'PTHR47233:SF3', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN CHEV', NULL, NULL, NULL, 15),
(57199, NULL, 'PTHR23250:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-251F6.6-RELATED', NULL, NULL, NULL, 15),
(57200, NULL, 'PTHR24113:SF10', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(57201, NULL, 'PTHR10366:SF717', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE-LIKE SNL6', NULL, NULL, NULL, 15),
(57202, NULL, 'PTHR46908:SF2', NULL, NULL, NULL, NULL, 'CUBILIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(57203, NULL, 'PTHR22624:SF39', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE ATG4B', NULL, NULL, 26656, 15),
(57204, NULL, 'PTHR27001:SF842', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57205, NULL, 'PTHR45847:SF1', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE HOMOLOG', NULL, NULL, NULL, 15),
(57206, NULL, 'PTHR48059:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57207, NULL, 'PTHR33165:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57208, NULL, 'PTHR23055:SF84', NULL, NULL, NULL, NULL, 'HIPPOCALCIN-LIKE PROTEIN 4', NULL, NULL, 25600, 15),
(57209, NULL, 'PTHR12304:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57210, NULL, 'PTHR23503:SF49', NULL, NULL, NULL, NULL, 'PROTEIN CBG06204', NULL, NULL, NULL, 15),
(57211, NULL, 'PTHR47234', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57212, NULL, 'PTHR11009:SF0', NULL, NULL, NULL, NULL, 'DERLIN', NULL, NULL, NULL, 15),
(57213, NULL, 'PTHR48002:SF28', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(57214, NULL, 'PTHR15380:SF2', NULL, NULL, NULL, NULL, 'CEROID-LIPOFUSCINOSIS NEURONAL PROTEIN 5', NULL, NULL, NULL, 15),
(57215, NULL, 'PTHR12411:SF652', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE', NULL, NULL, NULL, 15),
(57216, NULL, 'PTHR11902:SF49', NULL, NULL, NULL, NULL, 'ENOLASE A', NULL, NULL, NULL, 15),
(57217, NULL, 'PTHR24390:SF143', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 408', NULL, NULL, NULL, 15),
(57218, NULL, 'PTHR11476:SF6', NULL, NULL, NULL, NULL, 'HISTIDINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(57219, NULL, 'PTHR31577:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM156A/FAM156B', NULL, NULL, NULL, 15),
(57220, NULL, 'PTHR21532', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE HL', NULL, NULL, 34589, 15),
(57221, NULL, 'PTHR31589:SF110', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', NULL, NULL, NULL, 15),
(57222, NULL, 'PTHR46199:SF1', NULL, NULL, NULL, NULL, 'RAC GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, NULL, 15),
(57223, NULL, 'PTHR33021:SF33', NULL, NULL, NULL, NULL, 'COPPER ION BINDING / ELECTRON CARRIER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57224, NULL, 'PTHR10795:SF725', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57225, NULL, 'PTHR45615:SF6', NULL, NULL, NULL, NULL, 'MYOSIN-3', NULL, NULL, NULL, 15),
(57226, NULL, 'PTHR46311:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 7B', NULL, NULL, NULL, 15),
(57227, NULL, 'PTHR33680:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57228, NULL, 'PTHR31446:SF28', NULL, NULL, NULL, NULL, 'PHOSPHATIDIC ACID PHOSPHATASE TYPE 2/HALOPEROXIDASE-RELATED', NULL, NULL, NULL, 15),
(57229, NULL, 'PTHR24032:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57230, NULL, 'PTHR11732:SF284', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G08290)-RELATED', NULL, NULL, NULL, 15),
(57231, NULL, 'PTHR45736:SF2', NULL, NULL, NULL, NULL, 'GLUTAMINE-RICH 1-LIKE', NULL, NULL, NULL, 15),
(57232, NULL, 'PTHR37693:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL LYSYLTRANSFERASE', NULL, NULL, NULL, 15),
(57233, NULL, 'PTHR10621', NULL, NULL, NULL, NULL, 'UV EXCISION REPAIR PROTEIN RAD23', NULL, NULL, NULL, 15),
(57234, NULL, 'PTHR31374:SF300', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(57235, NULL, 'PTHR16517:SF114', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(57236, NULL, 'PTHR14499:SF120', NULL, NULL, NULL, NULL, 'PROTEIN CBG10153', NULL, NULL, NULL, 15),
(57237, NULL, 'PTHR46040:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57238, NULL, 'PTHR11738:SF156', NULL, NULL, NULL, NULL, 'PLATELET GLYCOPROTEIN VI', NULL, NULL, NULL, 15),
(57239, NULL, 'PTHR31636:SF193', NULL, NULL, NULL, NULL, 'GIBBERELLIN-RESPONSIVE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57240, NULL, 'PTHR22943:SF61', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(57241, NULL, 'PTHR10694:SF7', NULL, NULL, NULL, NULL, 'LYSINE DEMETHYLASE 4B', NULL, NULL, NULL, 15),
(57242, NULL, 'PTHR23147:SF186', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(57243, NULL, 'PTHR14226:SF75', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE SDP1L', NULL, NULL, NULL, 15),
(57244, NULL, 'PTHR23502:SF138', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01350)-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57245, NULL, 'PTHR21662:SF53', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(57246, NULL, 'PTHR11824', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL BETA SUBUNIT', NULL, NULL, NULL, 15),
(57247, NULL, 'PTHR11062:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57248, NULL, 'PTHR11716:SF57', NULL, NULL, NULL, NULL, 'GROUP IID SECRETORY PHOSPHOLIPASE A2', NULL, NULL, NULL, 15),
(57249, NULL, 'PTHR45679', NULL, NULL, NULL, NULL, 'ER DEGRADATION-ENHANCING ALPHA-MANNOSIDASE-LIKE PROTEIN 2', NULL, NULL, 36876, 15),
(57250, NULL, 'PTHR24023:SF959', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE XVII, ALPHA 1B', NULL, NULL, NULL, 15),
(57251, NULL, 'PTHR12861:SF7', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN SUBUNIT BETA-LIKE', NULL, NULL, NULL, 15),
(57252, NULL, 'PTHR46370', NULL, NULL, NULL, NULL, 'GPALPP MOTIFS-CONTAINING PROTEIN 1', NULL, NULL, 39604, 15),
(57253, NULL, 'PTHR47991:SF78', NULL, NULL, NULL, NULL, 'SYNTHASE/FLAVANONE 3-HYDROXYLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57254, NULL, 'PTHR10334:SF475', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57255, NULL, 'PTHR27007:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57256, NULL, 'PTHR40135:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57257, NULL, 'PTHR33317', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', NULL, NULL, 11048, 15),
(57258, NULL, 'PTHR13382:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57259, NULL, 'PTHR24055:SF451', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57260, NULL, 'PTHR30612', NULL, NULL, NULL, NULL, 'SECA INNER MEMBRANE COMPONENT OF SEC PROTEIN SECRETION SYSTEM', NULL, NULL, 1836, 15),
(57261, NULL, 'PTHR35477:SF2', NULL, NULL, NULL, NULL, 'BNAC02G20790D PROTEIN', NULL, NULL, NULL, 15),
(57262, NULL, 'PTHR14217:SF2', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE 4', NULL, NULL, NULL, 15),
(57263, NULL, 'PTHR24186:SF19', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(57264, NULL, 'PTHR43447:SF27', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 1-RELATED', NULL, NULL, NULL, 15),
(57265, NULL, 'PTHR24082:SF498', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1, GROUP H, MEMBER 3', NULL, NULL, NULL, 15),
(57266, NULL, 'PTHR31375:SF31', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(57267, NULL, 'PTHR22957:SF462', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 22B', NULL, NULL, NULL, 15),
(57268, NULL, 'PTHR23011:SF36', NULL, NULL, NULL, NULL, 'AGAP000594-PA', NULL, NULL, NULL, 15),
(57269, NULL, 'PTHR31319', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 4', NULL, NULL, 39922, 15),
(57270, NULL, 'PTHR22891:SF133', NULL, NULL, NULL, NULL, 'ARGONAUTE108', NULL, NULL, NULL, 15),
(57271, NULL, 'PTHR47924:SF17', NULL, NULL, NULL, NULL, 'BNAC05G48160D PROTEIN', NULL, NULL, NULL, 15),
(57272, NULL, 'PTHR41339', NULL, NULL, NULL, NULL, 'LIPL48', NULL, NULL, NULL, 15),
(57273, NULL, 'PTHR23500:SF558', NULL, NULL, NULL, NULL, 'HEXOSE CARRIER PROTEIN HEX6-LIKE', NULL, NULL, NULL, 15),
(57274, NULL, 'PTHR23417', NULL, NULL, NULL, NULL, '3-DEOXY-D-MANNO-OCTULOSONIC-ACID TRANSFERASE/TRNA  GUANINE-N 7 - -METHYLTRANSFERASE', NULL, NULL, 4461, 15),
(57275, NULL, 'PTHR31919', NULL, NULL, NULL, NULL, 'ZINC FINGERS AND HOMEOBOXES PROTEIN 1, ISOFORM 2', NULL, NULL, 31688, 15),
(57276, NULL, 'PTHR12843:SF6', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE OS01G0121100', NULL, NULL, NULL, 15),
(57277, NULL, 'PTHR11188:SF16', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(57278, NULL, 'PTHR21433', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN INDUCED BY TUMOR NECROSIS FACTOR ALPHA', NULL, NULL, 8104, 15),
(57279, NULL, 'PTHR10529:SF340', NULL, NULL, NULL, NULL, 'CARMINE, ISOFORM A', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57280, NULL, 'PTHR33021:SF398', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(57281, NULL, 'PTHR45760:SF2', NULL, NULL, NULL, NULL, 'FI19922P1-RELATED', NULL, NULL, NULL, 15),
(57282, NULL, 'PTHR12847:SF15', NULL, NULL, NULL, NULL, 'ADAPTIN EAR-BINDING COAT-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(57283, NULL, 'PTHR14207:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57284, NULL, 'PTHR32448:SF72', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 22', NULL, NULL, NULL, 15),
(57285, NULL, 'PTHR24068:SF382', NULL, NULL, NULL, NULL, 'NEDD8-CONJUGATING ENZYME UBC12-LIKE-RELATED', NULL, NULL, NULL, 15),
(57286, NULL, 'PTHR31741:SF53', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 19', NULL, NULL, NULL, 15),
(57287, NULL, 'PTHR24024:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57288, NULL, 'PTHR39614:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57289, NULL, 'PTHR31992:SF196', NULL, NULL, NULL, NULL, 'BNAA03G58570D PROTEIN', NULL, NULL, NULL, 15),
(57290, NULL, 'PTHR34231:SF2', NULL, NULL, NULL, NULL, 'EXS-RELATED PROTEIN', NULL, NULL, NULL, 15),
(57291, NULL, 'PTHR31342:SF57', NULL, NULL, NULL, NULL, 'BNAA05G15040D PROTEIN', NULL, NULL, NULL, 15),
(57292, NULL, 'PTHR23322:SF70', NULL, NULL, NULL, NULL, 'OS07G0294500 PROTEIN', NULL, NULL, NULL, 15),
(57293, NULL, 'PTHR31346:SF5', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(57294, NULL, 'PTHR37344', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 5', NULL, NULL, NULL, 15),
(57295, NULL, 'PTHR10336:SF160', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(57296, NULL, 'PTHR21666:SF267', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN YTFB', NULL, NULL, NULL, 15),
(57297, NULL, 'PTHR21396', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L43', NULL, NULL, 32518, 15),
(57298, NULL, 'PTHR31989:SF99', NULL, NULL, NULL, NULL, 'NAC DOMAIN TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57299, NULL, 'PTHR47746:SF28', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE RELATED PROTEIN', NULL, NULL, NULL, 15),
(57300, NULL, 'PTHR27006:SF269', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RFK1-RELATED', NULL, NULL, NULL, 15),
(57301, NULL, 'PTHR48000:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX1', NULL, NULL, NULL, 15),
(57302, NULL, 'PTHR35363:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57303, NULL, 'PTHR24637:SF312', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(57304, NULL, 'PTHR24073:SF1132', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RAB6', NULL, NULL, NULL, 15),
(57305, NULL, 'PTHR22950:SF635', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT3C', NULL, NULL, NULL, 15),
(57306, NULL, 'PTHR34541:SF4', NULL, NULL, NULL, NULL, 'EPSTEIN-BARR NUCLEAR ANTIGEN', NULL, NULL, NULL, 15),
(57307, NULL, 'PTHR11567:SF34', NULL, NULL, NULL, NULL, 'INTESTINAL ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(57308, NULL, 'PTHR46089', NULL, NULL, NULL, NULL, 'ALSIN HOMOLOG', NULL, NULL, NULL, 15),
(57309, NULL, 'PTHR45631:SF102', NULL, NULL, NULL, NULL, 'BNAA10G12600D PROTEIN', NULL, NULL, NULL, 15),
(57310, NULL, 'PTHR11062:SF236', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(57311, NULL, 'PTHR12154:SF4', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE TRANSFERASE SUBUNIT ALG14 HOMOLOG', NULL, NULL, NULL, 15),
(57312, NULL, 'PTHR12638:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57313, NULL, 'PTHR45436:SF12', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN QSEC', NULL, NULL, NULL, 15),
(57314, NULL, 'PTHR10414:SF41', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOLAMINEPHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(57315, NULL, 'PTHR10742:SF388', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 2-RELATED', NULL, NULL, NULL, 15),
(57316, NULL, 'PTHR15593:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DDB_G0292252-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57317, NULL, 'PTHR10472:SF5', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE 1', NULL, NULL, NULL, 15),
(57318, NULL, 'PTHR48106:SF9', NULL, NULL, NULL, NULL, 'ADH5P', NULL, NULL, NULL, 15),
(57319, NULL, 'PTHR11437:SF22', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 11-RELATED', NULL, NULL, 24379, 15),
(57320, NULL, 'PTHR18868:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57321, NULL, 'PTHR36521:SF1', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED', NULL, NULL, NULL, 15),
(57322, NULL, 'PTHR34815:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57323, NULL, 'PTHR42734:SF14', NULL, NULL, NULL, NULL, 'VITAMIN B12 IMPORT ATP-BINDING PROTEIN BTUD', NULL, NULL, NULL, 15),
(57324, NULL, 'PTHR33021:SF394', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(57325, NULL, 'PTHR44916:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57326, NULL, 'PTHR11716:SF93', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2-DELTA-RELATED', NULL, NULL, NULL, 15),
(57327, NULL, 'PTHR33541:SF12', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE B', NULL, NULL, NULL, 15),
(57328, NULL, 'PTHR46635', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE FAMILY 1 PROTEIN', NULL, NULL, NULL, 15),
(57329, NULL, 'PTHR47016', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPT1, CHLOROPLASTIC', NULL, NULL, 37076, 15),
(57330, NULL, 'PTHR33450:SF20', NULL, NULL, NULL, NULL, 'BNAC04G23890D PROTEIN', NULL, NULL, NULL, 15),
(57331, NULL, 'PTHR11746:SF78', NULL, NULL, NULL, NULL, '(RS)-NORCOCLAURINE 6-O-METHYLTRANSFERASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(57332, NULL, 'PTHR23168', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE ASSEMBLY CHECKPOINT PROTEIN MAD1  MITOTIC ARREST DEFICIENT-LIKE PROTEIN 1', NULL, NULL, 13100, 15),
(57333, NULL, 'PTHR34779:SF6', NULL, NULL, NULL, NULL, 'SYRINGOLIDE-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(57334, NULL, 'PTHR33076:SF133', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(57335, NULL, 'PTHR31190:SF262', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF110', NULL, NULL, NULL, 15),
(57336, NULL, 'PTHR23280:SF12', NULL, NULL, NULL, NULL, 'PROTEIN 4.1', NULL, NULL, 15588, 15),
(57337, NULL, 'PTHR48212:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57338, NULL, 'PTHR45988:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57339, NULL, 'PTHR12372:SF2', NULL, NULL, NULL, NULL, 'PECANEX-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(57340, NULL, 'PTHR11371', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE', NULL, NULL, NULL, 15),
(57341, NULL, 'PTHR23035:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57342, NULL, 'PTHR32154', NULL, NULL, NULL, NULL, 'PYRUVATE-FLAVODOXIN OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(57343, NULL, 'PTHR16223:SF199', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH113-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(57344, NULL, 'PTHR11012:SF6', NULL, NULL, NULL, NULL, 'CHK DOMAIN OV1-RELATED', NULL, NULL, NULL, 15),
(57345, NULL, 'PTHR31808', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 29298, 15),
(57346, NULL, 'PTHR24349:SF428', NULL, NULL, NULL, NULL, 'BNAA05G11330D PROTEIN', NULL, NULL, NULL, 15),
(57347, NULL, 'PTHR31301:SF105', NULL, NULL, NULL, NULL, 'LOB DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(57348, NULL, 'PTHR31867:SF129', NULL, NULL, NULL, NULL, 'EXPANSIN-A17-RELATED', NULL, NULL, NULL, 15),
(57349, NULL, 'PTHR33785:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57350, NULL, 'PTHR31752:SF15', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 5B-RELATED', NULL, NULL, NULL, 15),
(57351, NULL, 'PTHR33155:SF8', NULL, NULL, NULL, NULL, 'DUF3049 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(57352, NULL, 'PTHR13904:SF1', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57353, NULL, 'PTHR46547:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57354, NULL, 'PTHR11689:SF144', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-C', NULL, NULL, NULL, 15),
(57355, NULL, 'PTHR37960', NULL, NULL, NULL, NULL, 'PROTEIN CBG06493-RELATED', NULL, NULL, NULL, 15),
(57356, NULL, 'PTHR31001:SF65', NULL, NULL, NULL, NULL, 'ZCF5P', NULL, NULL, NULL, 15),
(57357, NULL, 'PTHR12241', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE', NULL, NULL, NULL, 15),
(57358, NULL, 'PTHR10908:SF0', NULL, NULL, NULL, NULL, 'SEROTONIN N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(57359, NULL, 'PTHR23202:SF39', NULL, NULL, NULL, NULL, 'NEURAL WISKOTT-ALDRICH SYNDROME PROTEIN', NULL, NULL, 22098, 15),
(57360, NULL, 'PTHR43133:SF40', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR', NULL, NULL, NULL, 15),
(57361, NULL, 'PTHR31639:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57362, NULL, 'PTHR48043:SF33', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(57363, NULL, 'PTHR31279:SF41', NULL, NULL, NULL, NULL, 'OS02G0756200 PROTEIN', NULL, NULL, NULL, 15),
(57364, NULL, 'PTHR23353:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57365, NULL, 'PTHR12902:SF32', NULL, NULL, NULL, NULL, 'PROTEIN SCAR4', NULL, NULL, NULL, 15),
(57366, NULL, 'PTHR11640', NULL, NULL, NULL, NULL, 'NEPHRIN', NULL, NULL, NULL, 15),
(57367, NULL, 'PTHR47993:SF108', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(57368, NULL, 'PTHR27006:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57369, NULL, 'PTHR43574:SF44', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR EPIMERASE-RELATED', NULL, NULL, NULL, 15),
(57370, NULL, 'PTHR23267:SF342', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 2-40-RELATED', NULL, NULL, NULL, 15),
(57371, NULL, 'PTHR46616:SF9', NULL, NULL, NULL, NULL, 'OS03G0211100 PROTEIN', NULL, NULL, NULL, 15),
(57372, NULL, 'PTHR11587', NULL, NULL, NULL, NULL, 'ARGININOSUCCINATE SYNTHASE', NULL, NULL, 3026, 15),
(57373, NULL, 'PTHR24092:SF153', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, 28566, 15),
(57374, NULL, 'PTHR43518:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE [NADPH] SMALL CHAIN', NULL, NULL, NULL, 15),
(57375, NULL, 'PTHR23255:SF58', NULL, NULL, NULL, NULL, 'ACTIVIN RECEPTOR TYPE-1C', NULL, NULL, NULL, 15),
(57376, NULL, 'PTHR43899:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57377, NULL, 'PTHR31415:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57378, NULL, 'PTHR42899:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 20', NULL, NULL, NULL, 15),
(57379, NULL, 'PTHR31804:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15', NULL, NULL, NULL, 15),
(57380, NULL, 'PTHR20863', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, 2675, 15),
(57381, NULL, 'PTHR12692:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57382, NULL, 'PTHR32077:SF57', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 13', NULL, NULL, NULL, 15),
(57383, NULL, 'PTHR21131:SF0', NULL, NULL, NULL, NULL, 'SI:CH211-195B11.3', NULL, NULL, NULL, 15),
(57384, NULL, 'PTHR31692:SF17', NULL, NULL, NULL, NULL, 'EXPANSIN-B3', NULL, NULL, NULL, 15),
(57385, NULL, 'PTHR43273:SF3', NULL, NULL, NULL, NULL, 'ANAEROBIC SULFATASE-MATURATING ENZYME HOMOLOG ASLB-RELATED', NULL, NULL, NULL, 15),
(57386, NULL, 'PTHR23257:SF793', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/TYROSINE-PROTEIN KINASE HT1', NULL, NULL, NULL, 15),
(57387, NULL, 'PTHR34095', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L55, MITOCHONDRIAL', NULL, NULL, 16351, 15),
(57388, NULL, 'PTHR11802:SF297', NULL, NULL, NULL, NULL, 'OS06G0520000 PROTEIN', NULL, NULL, NULL, 15),
(57389, NULL, 'PTHR22945:SF96', NULL, NULL, NULL, NULL, 'PROTEIN CBR-SRN-1', NULL, NULL, NULL, 15),
(57390, NULL, 'PTHR12406:SF7', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PHOSPHOLIPASE DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(57391, NULL, 'PTHR48018:SF176', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57392, NULL, 'PTHR33873:SF3', NULL, NULL, NULL, NULL, 'OS05G0515700 PROTEIN', NULL, NULL, NULL, 15),
(57393, NULL, 'PTHR11963:SF36', NULL, NULL, NULL, NULL, 'LEUCINE AMINOPEPTIDASE 1', NULL, NULL, NULL, 15),
(57394, NULL, 'PTHR31867:SF133', NULL, NULL, NULL, NULL, 'EXPANSIN-A29', NULL, NULL, NULL, 15),
(57395, NULL, 'PTHR11738:SF113', NULL, NULL, NULL, NULL, 'KILLER CELL IMMUNOGLOBULIN-LIKE RECEPTOR 3DL3', NULL, NULL, NULL, 15),
(57396, NULL, 'PTHR31503:SF53', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 3', NULL, NULL, NULL, 15),
(57397, NULL, 'PTHR42804', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(57398, NULL, 'PTHR24166:SF48', NULL, NULL, NULL, NULL, 'ROLLING PEBBLES, ISOFORM B', NULL, NULL, NULL, 15),
(57399, NULL, 'PTHR48053:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRI1-LIKE 1', NULL, NULL, NULL, 15),
(57400, NULL, 'PTHR48081:SF9', NULL, NULL, NULL, NULL, 'LIPASE-RELATED', NULL, NULL, NULL, 15),
(57401, NULL, 'PTHR32078', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN MDM1', NULL, NULL, 25329, 15),
(57402, NULL, 'PTHR33264:SF16', NULL, NULL, NULL, NULL, 'OS03G0750500 PROTEIN', NULL, NULL, NULL, 15),
(57403, NULL, 'PTHR16223:SF186', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH80', NULL, NULL, NULL, 15),
(57404, NULL, 'PTHR14155:SF499', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57405, NULL, 'PTHR48022:SF49', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01340)-RELATED', NULL, NULL, NULL, 15),
(57406, NULL, 'PTHR24068:SF62', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 E2', NULL, NULL, NULL, 15),
(57407, NULL, 'PTHR10827', NULL, NULL, NULL, NULL, 'RETICULOCALBIN', NULL, NULL, NULL, 15),
(57408, NULL, 'PTHR24044:SF467', NULL, NULL, NULL, NULL, 'DELTA AND NOTCH-LIKE EPIDERMAL GROWTH FACTOR-RELATED RECEPTOR', NULL, NULL, NULL, 15),
(57409, NULL, 'PTHR46134:SF3', NULL, NULL, NULL, NULL, 'DRONGO, ISOFORM F', NULL, NULL, NULL, 15),
(57410, NULL, 'PTHR18953:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57411, NULL, 'PTHR34057:SF16', NULL, NULL, NULL, NULL, 'BNAC07G31630D PROTEIN', NULL, NULL, NULL, 15),
(57412, NULL, 'PTHR16703', NULL, NULL, NULL, NULL, 'CLAUDIN-12', NULL, NULL, 8787, 15),
(57413, NULL, 'PTHR39233:SF1', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(57414, NULL, 'PTHR30560:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57415, NULL, 'PTHR44888:SF2', NULL, NULL, NULL, NULL, 'HEMICENTIN 1', NULL, NULL, NULL, 15),
(57416, NULL, 'PTHR31720', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS Z-RELATED', NULL, NULL, NULL, 15),
(57417, NULL, 'PTHR11774:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FARNESYLTRANSFERASE SUBUNIT BETA', NULL, NULL, 28829, 15),
(57418, NULL, 'PTHR31169:SF2', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE-ASSOCIATED PROTEIN 7', NULL, NULL, 31672, 15),
(57419, NULL, 'PTHR28011:SF1', NULL, NULL, NULL, NULL, 'NON-CLASSICAL EXPORT PROTEIN 1', NULL, NULL, NULL, 15),
(57420, NULL, 'PTHR43617:SF24', NULL, NULL, NULL, NULL, 'STREPTOTHRICIN ACETYLTRANSFERASE A', NULL, NULL, NULL, 15),
(57421, NULL, 'PTHR10803:SF24', NULL, NULL, NULL, NULL, 'ARSENICAL PUMP ATPASE, ARSA/GET3, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(57422, NULL, 'PTHR47326:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57423, NULL, 'PTHR11260:SF653', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTU1-RELATED', NULL, NULL, NULL, 15),
(57424, NULL, 'PTHR23268:SF88', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 18', NULL, NULL, NULL, 15),
(57425, NULL, 'PTHR22692:SF24', NULL, NULL, NULL, NULL, 'MYOSIN VIIB', NULL, NULL, NULL, 15),
(57426, NULL, 'PTHR19375:SF441', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(57427, NULL, 'PTHR48041:SF69', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 18', NULL, NULL, NULL, 15),
(57428, NULL, 'PTHR19303:SF17', NULL, NULL, NULL, NULL, 'TIGGER TRANSPOSABLE ELEMENT-DERIVED PROTEIN 7', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57429, NULL, 'PTHR34282', NULL, NULL, NULL, NULL, 'OS01G0228800 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57430, NULL, 'PTHR22600:SF47', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE A', NULL, NULL, NULL, 15),
(57431, NULL, 'PTHR42776:SF26', NULL, NULL, NULL, NULL, 'BNAA08G30180D PROTEIN', NULL, NULL, NULL, 15),
(57432, NULL, 'PTHR31889:SF7', NULL, NULL, NULL, NULL, 'OS02G0763900 PROTEIN', NULL, NULL, NULL, 15),
(57433, NULL, 'PTHR45998:SF5', NULL, NULL, NULL, NULL, 'BNAC02G01280D PROTEIN', NULL, NULL, NULL, 15),
(57434, NULL, 'PTHR23070:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57435, NULL, 'PTHR31375:SF185', NULL, NULL, NULL, NULL, 'ENDO POLYGALACTURONASE', NULL, NULL, NULL, 15),
(57436, NULL, 'PTHR31134:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 128', NULL, NULL, NULL, 15),
(57437, NULL, 'PTHR46533', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(57438, NULL, 'PTHR23351', NULL, NULL, NULL, NULL, 'FOS TRANSCRIPTION FACTOR-RELATED', NULL, NULL, 38, 15),
(57439, NULL, 'PTHR12509:SF14', NULL, NULL, NULL, NULL, 'RIKEN CDNA 6430531B16 GENE', NULL, NULL, NULL, 15),
(57440, NULL, 'PTHR11839:SF18', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 14, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(57441, NULL, 'PTHR21177', NULL, NULL, NULL, NULL, 'IP06524P-RELATED', NULL, NULL, NULL, 15),
(57442, NULL, 'PTHR30081:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLOCASE SUBUNIT SECF', NULL, NULL, NULL, 15),
(57443, NULL, 'PTHR33729:SF15', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57444, NULL, 'PTHR31992:SF154', NULL, NULL, NULL, NULL, 'DOF-TYPE ZINC FINGER DNA-BINDING FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57445, NULL, 'PTHR48202:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(57446, NULL, 'PTHR31696:SF75', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1-LIKE', NULL, NULL, NULL, 15),
(57447, NULL, 'PTHR10496:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57448, NULL, 'PTHR23267:SF401', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57449, NULL, 'PTHR25464:SF4', NULL, NULL, NULL, NULL, 'NHL-REPEAT-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(57450, NULL, 'PTHR33228:SF49', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 4-RELATED', NULL, NULL, NULL, 15),
(57451, NULL, 'PTHR31466', NULL, NULL, NULL, NULL, 'GENE 5591-RELATED', NULL, NULL, 34772, 15),
(57452, NULL, 'PTHR33780:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57453, NULL, 'PTHR10361:SF40', NULL, NULL, NULL, NULL, 'SODIUM/BILE ACID COTRANSPORTER', NULL, NULL, 21797, 15),
(57454, NULL, 'PTHR12454:SF5', NULL, NULL, NULL, NULL, 'TRIMERIC INTRACELLULAR CATION CHANNEL TYPE B', NULL, NULL, NULL, 15),
(57455, NULL, 'PTHR10127:SF830', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-11', NULL, NULL, NULL, 15),
(57456, NULL, 'PTHR48018:SF105', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(57457, NULL, 'PTHR31415:SF91', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(57458, NULL, 'PTHR45920:SF1', NULL, NULL, NULL, NULL, 'FORMIN-C', NULL, NULL, NULL, 15),
(57459, NULL, 'PTHR12537:SF126', NULL, NULL, NULL, NULL, 'PUMILIO/PUF RNA BINDING PROTEIN 7-RELATED', NULL, NULL, NULL, 15),
(57460, NULL, 'PTHR45711:SF6', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(57461, NULL, 'PTHR45621:SF86', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', NULL, NULL, NULL, 15),
(57462, NULL, 'PTHR35068:SF1', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(57463, NULL, 'PTHR47288:SF3', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 8', NULL, NULL, NULL, 15),
(57464, NULL, 'PTHR10811:SF6', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE MANIC FRINGE', NULL, NULL, NULL, 15),
(57465, NULL, 'PTHR31388:SF187', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57466, NULL, 'PTHR18945:SF764', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 3C', NULL, NULL, NULL, 15),
(57467, NULL, 'PTHR43876:SF15', NULL, NULL, NULL, NULL, 'LYCOPENE BETA CYCLASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(57468, NULL, 'PTHR47980:SF37', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABE1C-LIKE', NULL, NULL, NULL, 15),
(57469, NULL, 'PTHR22937:SF139', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(57470, NULL, 'PTHR42827', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57471, NULL, 'PTHR15185:SF3', NULL, NULL, NULL, NULL, 'B-CELL CLL/LYMPHOMA 9-LIKE PROTEIN', NULL, NULL, NULL, 15),
(57472, NULL, 'PTHR13190:SF1', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED 2, ISOFORM A', NULL, NULL, 28702, 15),
(57473, NULL, 'PTHR46941', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 126', NULL, NULL, 36879, 15),
(57474, NULL, 'PTHR31529:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57475, NULL, 'PTHR10291:SF41', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(57476, NULL, 'PTHR24414:SF64', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING F-BOX-LIKE', NULL, NULL, NULL, 15),
(57477, NULL, 'PTHR12716', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIE, BETA SUBUNIT', NULL, NULL, 19533, 15),
(57478, NULL, 'PTHR31375:SF231', NULL, NULL, NULL, NULL, 'OS05G0542800 PROTEIN', NULL, NULL, NULL, 15),
(57479, NULL, 'PTHR31215:SF28', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(57480, NULL, 'PTHR41532:SF1', NULL, NULL, NULL, NULL, 'FIXS PROTEIN', NULL, NULL, NULL, 15),
(57481, NULL, 'PTHR24134:SF15', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', NULL, NULL, NULL, 15),
(57482, NULL, 'PTHR31251:SF102', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(57483, NULL, 'PTHR11505:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57484, NULL, 'PTHR31268:SF36', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57485, NULL, 'PTHR10459:SF106', NULL, NULL, NULL, NULL, 'PROTEIN ADP-RIBOSYLTRANSFERASE PARP3', NULL, NULL, NULL, 15),
(57486, NULL, 'PTHR44259:SF16', NULL, NULL, NULL, NULL, 'OS06G0542600 PROTEIN', NULL, NULL, NULL, 15),
(57487, NULL, 'PTHR48197:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57488, NULL, 'PTHR22235:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 30', NULL, NULL, NULL, 15),
(57489, NULL, 'PTHR33938:SF16', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(57490, NULL, 'PTHR43434:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE', NULL, NULL, NULL, 15),
(57491, NULL, 'PTHR32552', NULL, NULL, NULL, NULL, 'FERRICHROME IRON RECEPTOR-RELATED', NULL, NULL, 35739, 15),
(57492, NULL, 'PTHR36234:SF5', NULL, NULL, NULL, NULL, 'LYSYL ENDOPEPTIDASE', NULL, NULL, NULL, 15),
(57493, NULL, 'PTHR12686:SF8', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT CSL4', NULL, NULL, NULL, 15),
(57494, NULL, 'PTHR23176:SF108', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 15', NULL, NULL, NULL, 15),
(57495, NULL, 'PTHR31210:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57496, NULL, 'PTHR47720:SF4', NULL, NULL, NULL, NULL, 'BNAA09G36250D PROTEIN', NULL, NULL, NULL, 15),
(57497, NULL, 'PTHR11260:SF559', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U2', NULL, NULL, NULL, 15),
(57498, NULL, 'PTHR31818:SF20', NULL, NULL, NULL, NULL, 'BNAA01G17130D PROTEIN', NULL, NULL, NULL, 15),
(57499, NULL, 'PTHR18929:SF214', NULL, NULL, NULL, NULL, 'DISULFIDE ISOMERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57500, NULL, 'PTHR46301:SF27', NULL, NULL, NULL, NULL, 'BNAC05G50650D PROTEIN', NULL, NULL, NULL, 15),
(57501, NULL, 'PTHR36819:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF PHOSPHOLIPASE D SRF1', NULL, NULL, NULL, 15),
(57502, NULL, 'PTHR47640:SF16', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP47C-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57503, NULL, 'PTHR31251:SF153', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(57504, NULL, 'PTHR42893:SF17', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(57505, NULL, 'PTHR12652:SF17', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11B', NULL, NULL, NULL, 15),
(57506, NULL, 'PTHR24096:SF379', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 2-LIKE', NULL, NULL, NULL, 15),
(57507, NULL, 'PTHR11071:SF465', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(57508, NULL, 'PTHR16056:SF18', NULL, NULL, NULL, NULL, 'REGULATOR OF MICROTUBULE DYNAMICS PROTEIN 3', NULL, NULL, NULL, 15),
(57509, NULL, 'PTHR48016:SF32', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 4', NULL, NULL, NULL, 15),
(57510, NULL, 'PTHR13780:SF127', NULL, NULL, NULL, NULL, 'SNF4', NULL, NULL, NULL, 15),
(57511, NULL, 'PTHR20961:SF127', NULL, NULL, NULL, NULL, 'BNACNNG59270D PROTEIN', NULL, NULL, NULL, 15),
(57512, NULL, 'PTHR10556:SF53', NULL, NULL, NULL, NULL, 'STEROID 5-ALPHA-REDUCTASE DET2', NULL, NULL, NULL, 15),
(57513, NULL, 'PTHR31707:SF313', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(57514, NULL, 'PTHR23001:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57515, NULL, 'PTHR11908:SF129', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE 5', NULL, NULL, NULL, 15),
(57516, NULL, 'PTHR11453:SF20', NULL, NULL, NULL, NULL, 'ELECTROGENIC SODIUM BICARBONATE COTRANSPORTER 4', NULL, NULL, NULL, 15),
(57517, NULL, 'PTHR21595:SF3', NULL, NULL, NULL, NULL, 'CALMODULIN-REGULATED SPECTRIN-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(57518, NULL, 'PTHR31665:SF0', NULL, NULL, NULL, NULL, 'FLYWCH FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(57519, NULL, 'PTHR45687:SF43', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1 2A', NULL, NULL, NULL, 15),
(57520, NULL, 'PTHR36383', NULL, NULL, NULL, NULL, 'OS09G0529350 PROTEIN', NULL, NULL, NULL, 15),
(57521, NULL, 'PTHR23257:SF854', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0272092-RELATED', NULL, NULL, NULL, 15),
(57522, NULL, 'PTHR32499:SF6', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(57523, NULL, 'PTHR10168:SF263', NULL, NULL, NULL, NULL, 'BNAC04G00060D PROTEIN', NULL, NULL, NULL, 15),
(57524, NULL, 'PTHR13301:SF146', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', NULL, NULL, NULL, 15),
(57525, NULL, 'PTHR10218:SF310', NULL, NULL, NULL, NULL, 'G PROTEIN ALPHA I SUBUNIT', NULL, NULL, NULL, 15),
(57526, NULL, 'PTHR10666:SF320', NULL, NULL, NULL, NULL, 'SI:CH211-202A12.4', NULL, NULL, NULL, 15),
(57527, NULL, 'PTHR31384:SF143', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(57528, NULL, 'PTHR32116:SF87', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(57529, NULL, 'PTHR44218:SF8', NULL, NULL, NULL, NULL, 'COATOMER BETA'' SUBUNIT (COPB2)-RELATED', NULL, NULL, NULL, 15),
(57530, NULL, 'PTHR24282:SF197', NULL, NULL, NULL, NULL, 'ECERIFERUM-U', NULL, NULL, NULL, 15),
(57531, NULL, 'PTHR48001:SF154', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(57532, NULL, 'PTHR33373:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57533, NULL, 'PTHR11927:SF8', NULL, NULL, NULL, NULL, 'L-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(57534, NULL, 'PTHR31479:SF14', NULL, NULL, NULL, NULL, 'GB|AAD29063.1', NULL, NULL, NULL, 15),
(57535, NULL, 'PTHR33076:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57536, NULL, 'PTHR47478:SF1', NULL, NULL, NULL, NULL, 'PYRIMIDINE 5''-NUCLEOTIDASE YJJG', NULL, NULL, NULL, 15),
(57537, NULL, 'PTHR24305:SF182', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(57538, NULL, 'PTHR43678:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00640)-RELATED', NULL, NULL, NULL, 15),
(57539, NULL, 'PTHR22619:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57540, NULL, 'PTHR46440', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D12-RELATED', NULL, NULL, NULL, 15),
(57541, NULL, 'PTHR24103:SF87', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM31', NULL, NULL, NULL, 15),
(57542, NULL, 'PTHR36515', NULL, NULL, NULL, NULL, 'PROTEIN CBG00810', NULL, NULL, NULL, 15),
(57543, NULL, 'PTHR11963:SF23', NULL, NULL, NULL, NULL, 'ZGC:152830', NULL, NULL, NULL, 15),
(57544, NULL, 'PTHR11850:SF316', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 6', NULL, NULL, NULL, 15),
(57545, NULL, 'PTHR15581:SF0', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN R', NULL, NULL, NULL, 15),
(57546, NULL, 'PTHR31328:SF2', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 6', NULL, NULL, NULL, 15),
(57547, NULL, 'PTHR47958:SF87', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE PL10-RELATED', NULL, NULL, NULL, 15),
(57548, NULL, 'PTHR32100:SF42', NULL, NULL, NULL, NULL, 'FAD8', NULL, NULL, NULL, 15),
(57549, NULL, 'PTHR15360', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR RECEPTOR LIKE', NULL, NULL, NULL, 15),
(57550, NULL, 'PTHR31235:SF38', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(57551, NULL, 'PTHR31683:SF76', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(57552, NULL, 'PTHR31617:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 171', NULL, NULL, NULL, 15),
(57553, NULL, 'PTHR14186:SF23', NULL, NULL, NULL, NULL, 'KAZAL-TYPE SERINE PEPTIDASE INHIBITOR DOMAIN 2', NULL, NULL, NULL, 15),
(57554, NULL, 'PTHR30620:SF105', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 3-RELATED', NULL, NULL, NULL, 15),
(57555, NULL, 'PTHR40106:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN RCLC', NULL, NULL, NULL, 15),
(57556, NULL, 'PTHR33076:SF77', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(57557, NULL, 'PTHR19359:SF30', NULL, NULL, NULL, NULL, 'OS02G0649800 PROTEIN', NULL, NULL, NULL, 15),
(57558, NULL, 'PTHR42753', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOME PROTEIN L39/PROLYL-TRNA LIGASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(57559, NULL, 'PTHR24006:SF758', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 37', NULL, NULL, NULL, 15),
(57560, NULL, 'PTHR21547:SF0', NULL, NULL, NULL, NULL, 'CLUSTERIN-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(57561, NULL, 'PTHR31066:SF75', NULL, NULL, NULL, NULL, 'BNAA06G32850D PROTEIN', NULL, NULL, NULL, 15),
(57562, NULL, 'PTHR45935:SF10', NULL, NULL, NULL, NULL, 'SCAN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(57563, NULL, 'PTHR23004:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG20746', NULL, NULL, NULL, 15),
(57564, NULL, 'PTHR11960:SF17', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E TYPE 2', NULL, NULL, NULL, 15),
(57565, NULL, 'PTHR44375:SF12', NULL, NULL, NULL, NULL, 'BNAA06G25500D PROTEIN', NULL, NULL, NULL, 15),
(57566, NULL, 'PTHR43939:SF59', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 158', NULL, NULL, NULL, 15),
(57567, NULL, 'PTHR33286:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57568, NULL, 'PTHR11733:SF164', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', NULL, NULL, NULL, 15),
(57569, NULL, 'PTHR45701:SF6', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 3', NULL, NULL, NULL, 15),
(57570, NULL, 'PTHR10543:SF110', NULL, NULL, NULL, NULL, 'BETA-CAROTENE OXYGENASE 1', NULL, NULL, NULL, 15),
(57571, NULL, 'PTHR10885:SF14', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE I-LIKE', NULL, NULL, NULL, 15),
(57572, NULL, 'PTHR47992:SF36', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 9-RELATED', NULL, NULL, NULL, 15),
(57573, NULL, 'PTHR33257:SF43', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(57574, NULL, 'PTHR22951:SF23', NULL, NULL, NULL, NULL, 'OS05G0112101 PROTEIN', NULL, NULL, NULL, 15),
(57575, NULL, 'PTHR31915', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57576, NULL, 'PTHR48082:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57577, NULL, 'PTHR46007:SF3', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 12-LIKE PROTEIN', NULL, NULL, NULL, 15),
(57578, NULL, 'PTHR34757', NULL, NULL, NULL, NULL, 'JUNCTIONAL PROTEIN ASSOCIATED WITH CORONARY ARTERY DISEASE', NULL, NULL, 24121, 15),
(57579, NULL, 'PTHR48235', NULL, NULL, NULL, NULL, 'OS01G0916700 PROTEIN', NULL, NULL, NULL, 15),
(57580, NULL, 'PTHR19325:SF524', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57581, NULL, 'PTHR33781:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57582, NULL, 'PTHR37977', NULL, NULL, NULL, NULL, 'PROTEIN CBG18402-RELATED', NULL, NULL, NULL, 15),
(57583, NULL, 'PTHR43826:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04634', NULL, NULL, NULL, 15),
(57584, NULL, 'PTHR31733:SF11', NULL, NULL, NULL, NULL, 'RIBONUCLEASE KAPPA-A', NULL, NULL, NULL, 15),
(57585, NULL, 'PTHR35988:SF2', NULL, NULL, NULL, NULL, '15-CIS-ZETA-CAROTENE ISOMERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(57586, NULL, 'PTHR43149:SF1', NULL, NULL, NULL, NULL, 'DELTA(3,5)-DELTA(2,4)-DIENOYL-COA ISOMERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(57587, NULL, 'PTHR27006:SF385', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(57588, NULL, 'PTHR11731:SF187', NULL, NULL, NULL, NULL, 'INACTIVE DIPEPTIDYL PEPTIDASE 10-LIKE PROTEIN', NULL, NULL, NULL, 15),
(57589, NULL, 'PTHR32205:SF5', NULL, NULL, NULL, NULL, 'ARCHAEMETZINCIN-2', NULL, NULL, NULL, 15),
(57590, NULL, 'PTHR47744:SF1', NULL, NULL, NULL, NULL, 'OS05G0526300 PROTEIN', NULL, NULL, NULL, 15),
(57591, NULL, 'PTHR10003:SF77', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SUPEROXIDE DISMUTASE [CU-ZN]', NULL, NULL, 9665, 15),
(57592, NULL, 'PTHR15604', NULL, NULL, NULL, NULL, 'SIGNALING THRESHOLD-REGULATING TRANSMEMBRANE ADAPTER 1', NULL, NULL, 32924, 15),
(57593, NULL, 'PTHR13462:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57594, NULL, 'PTHR11165', NULL, NULL, NULL, NULL, 'SKP1', NULL, NULL, 17132, 15),
(57595, NULL, 'PTHR20988:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 183A-RELATED', NULL, NULL, NULL, 15),
(57596, NULL, 'PTHR14015:SF0', NULL, NULL, NULL, NULL, 'OPIOID GROWTH FACTOR RECEPTOR-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(57597, NULL, 'PTHR36450', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, 11130, 15),
(57598, NULL, 'PTHR47993:SF127', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN EXPRESSED', NULL, NULL, NULL, 15),
(57599, NULL, 'PTHR11802:SF224', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(57600, NULL, 'PTHR10891:SF863', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57601, NULL, 'PTHR10736:SF2', NULL, NULL, NULL, NULL, 'BESTROPHIN-3', NULL, NULL, NULL, 15),
(57602, NULL, 'PTHR12729:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57603, NULL, 'PTHR10476:SF56', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 2B', NULL, NULL, NULL, 15),
(57604, NULL, 'PTHR14209:SF20', NULL, NULL, NULL, NULL, 'OS09G0121900 PROTEIN', NULL, NULL, NULL, 15),
(57605, NULL, 'PTHR30629:SF2', NULL, NULL, NULL, NULL, 'PROPHAGE INTEGRASE INTS-RELATED', NULL, NULL, NULL, 15),
(57606, NULL, 'PTHR16127:SF12', NULL, NULL, NULL, NULL, 'ALPHA-TAXILIN', NULL, NULL, NULL, 15),
(57607, NULL, 'PTHR30094:SF0', NULL, NULL, NULL, NULL, 'ACID--AMINE LIGASE YGIC-RELATED', NULL, NULL, NULL, 15),
(57608, NULL, 'PTHR45619:SF38', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(57609, NULL, 'PTHR45730:SF85', NULL, NULL, NULL, NULL, 'OS07G0593000 PROTEIN', NULL, NULL, NULL, 15),
(57610, NULL, 'PTHR48021:SF38', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57611, NULL, 'PTHR37488:SF6', NULL, NULL, NULL, NULL, 'DUF1275 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G07550)', NULL, NULL, NULL, 15),
(57612, NULL, 'PTHR24298:SF224', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57613, NULL, 'PTHR11926:SF1179', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(57614, NULL, 'PTHR15296:SF0', NULL, NULL, NULL, NULL, 'PDZK1-INTERACTING PROTEIN 1', NULL, NULL, 24332, 15),
(57615, NULL, 'PTHR15960:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57616, NULL, 'PTHR42729', NULL, NULL, NULL, NULL, 'OLIGO/DIPEPTIDE TRANSPORT, PERMEASE PROTEIN (DPPC-2)', NULL, NULL, NULL, 15),
(57617, NULL, 'PTHR32410:SF184', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(57618, NULL, 'PTHR45724:SF19', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP6-1', NULL, NULL, NULL, 15),
(57619, NULL, 'PTHR10621:SF13', NULL, NULL, NULL, NULL, 'UV EXCISION REPAIR PROTEIN RAD23 HOMOLOG B', NULL, NULL, NULL, 15),
(57620, NULL, 'PTHR48043:SF36', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(57621, NULL, 'PTHR11528:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57622, NULL, 'PTHR10657:SF33', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(57623, NULL, 'PTHR10772:SF39', NULL, NULL, NULL, NULL, '10 KDA CHAPERONIN', NULL, NULL, NULL, 15),
(57624, NULL, 'PTHR13018:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57625, NULL, 'PTHR23081:SF21', NULL, NULL, NULL, NULL, 'F14O10.8 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57626, NULL, 'PTHR28583:SF4', NULL, NULL, NULL, NULL, 'N-ACYLETHANOLAMINE-HYDROLYZING ACID AMIDASE', NULL, NULL, NULL, 15),
(57627, NULL, 'PTHR34667:SF3', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(57628, NULL, 'PTHR11471:SF5', NULL, NULL, NULL, NULL, 'CD40 LIGAND', NULL, NULL, 2567, 15),
(57629, NULL, 'PTHR15944:SF3', NULL, NULL, NULL, NULL, 'PRENYLCYSTEINE OXIDASE 1', NULL, NULL, NULL, 15),
(57630, NULL, 'PTHR33642:SF3', NULL, NULL, NULL, NULL, 'COX1/OXI3 INTRON 1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57631, NULL, 'PTHR31964:SF125', NULL, NULL, NULL, NULL, 'OS05G0357525 PROTEIN', NULL, NULL, NULL, 15),
(57632, NULL, 'PTHR31948:SF125', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(57633, NULL, 'PTHR48047:SF105', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(57634, NULL, 'PTHR33021:SF6', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 18', NULL, NULL, NULL, 15),
(57635, NULL, 'PTHR27006:SF410', NULL, NULL, NULL, NULL, 'OS06G0692600 PROTEIN', NULL, NULL, NULL, 15),
(57636, NULL, 'PTHR46307', NULL, NULL, NULL, NULL, 'G9A, ISOFORM B', NULL, NULL, 38060, 15),
(57637, NULL, 'PTHR37494', NULL, NULL, NULL, NULL, 'HEMAGGLUTININ', NULL, NULL, NULL, 15),
(57638, NULL, 'PTHR46408:SF5', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 25-LIKE ISOFORM X2', NULL, NULL, NULL, 15),
(57639, NULL, 'PTHR33179:SF43', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 22-LIKE', NULL, NULL, NULL, 15),
(57640, NULL, 'PTHR12924', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN, ALPHA SUBUNIT', NULL, NULL, NULL, 15),
(57641, NULL, 'PTHR42860', NULL, NULL, NULL, NULL, 'VITAMIN B12-BINDING PROTEIN', NULL, NULL, NULL, 15),
(57642, NULL, 'PTHR24291:SF150', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D7', NULL, NULL, NULL, 15),
(57643, NULL, 'PTHR35486:SF2', NULL, NULL, NULL, NULL, 'BNAA09G38280D PROTEIN', NULL, NULL, NULL, 15),
(57644, NULL, 'PTHR46908:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR-INDUCIBLE GENE 6 PROTEIN', NULL, NULL, NULL, 15),
(57645, NULL, 'PTHR24214:SF34', NULL, NULL, NULL, NULL, 'PRICKLE-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(57646, NULL, 'PTHR34150:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG10108', NULL, NULL, NULL, 15),
(57647, NULL, 'PTHR35704:SF1', NULL, NULL, NULL, NULL, 'OS02G0254600 PROTEIN', NULL, NULL, NULL, 15),
(57648, NULL, 'PTHR24343:SF348', NULL, NULL, NULL, NULL, 'AT25266P', NULL, NULL, NULL, 15),
(57649, NULL, 'PTHR21551:SF19', NULL, NULL, NULL, NULL, 'II-ASSOCIATED PROTEIN PAT1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57650, NULL, 'PTHR11471:SF34', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 14', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57651, NULL, 'PTHR47928:SF49', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(57652, NULL, 'PTHR15959:SF1', NULL, NULL, NULL, NULL, 'SYNTAXIN-18', NULL, NULL, NULL, 15),
(57653, NULL, 'PTHR22444:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(57654, NULL, 'PTHR24343:SF453', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57655, NULL, 'PTHR33059:SF81', NULL, NULL, NULL, NULL, 'DUF581 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(57656, NULL, 'PTHR32054:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57657, NULL, 'PTHR38622:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11328', NULL, NULL, NULL, 15),
(57658, NULL, 'PTHR47791:SF1', NULL, NULL, NULL, NULL, 'ENDO MANNANASE, GH76 FAMILY (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(57659, NULL, 'PTHR48075:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57660, NULL, 'PTHR43222:SF4', NULL, NULL, NULL, NULL, 'BLR2458 PROTEIN', NULL, NULL, NULL, 15),
(57661, NULL, 'PTHR11706:SF32', NULL, NULL, NULL, NULL, 'NRAMP-LIKE TRANSPORTER SMF-3', NULL, NULL, NULL, 15),
(57662, NULL, 'PTHR21726:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57663, NULL, 'PTHR33098:SF77', NULL, NULL, NULL, NULL, 'BNAA10G28770D PROTEIN', NULL, NULL, NULL, 15),
(57664, NULL, 'PTHR43023:SF4', NULL, NULL, NULL, NULL, 'AMINO ACID ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(57665, NULL, 'PTHR11046:SF11', NULL, NULL, NULL, NULL, 'EXODEOXYRIBONUCLEASE I', NULL, NULL, NULL, 15),
(57666, NULL, 'PTHR13234:SF57', NULL, NULL, NULL, NULL, 'GAMMA INTERFERON RESPONSIVE LYSOSOMAL THIOL (GILT) REDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(57667, NULL, 'PTHR36162', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57668, NULL, 'PTHR22814:SF103', NULL, NULL, NULL, NULL, 'OS08G0403300 PROTEIN', NULL, NULL, NULL, 15),
(57669, NULL, 'PTHR31942:SF73', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(57670, NULL, 'PTHR45744:SF26', NULL, NULL, NULL, NULL, 'BNAA09G43670D PROTEIN', NULL, NULL, NULL, 15),
(57671, NULL, 'PTHR11886:SF36', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(57672, NULL, 'PTHR31117:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG15402', NULL, NULL, NULL, 15),
(57673, NULL, 'PTHR11122:SF44', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(57674, NULL, 'PTHR24229:SF88', NULL, NULL, NULL, NULL, 'MELANIN CONCENTRATING HORMONE RECEPTOR 2', NULL, NULL, NULL, 15),
(57675, NULL, 'PTHR42942:SF1', NULL, NULL, NULL, NULL, 'ALKYLTRANSFERASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(57676, NULL, 'PTHR47979:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57677, NULL, 'PTHR23316:SF12', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(57678, NULL, 'PTHR31673:SF38', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(57679, NULL, 'PTHR11214:SF137', NULL, NULL, NULL, NULL, 'N-ACETYLLACTOSAMINIDE BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(57680, NULL, 'PTHR36082:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT IX', NULL, NULL, NULL, 15),
(57681, NULL, 'PTHR32018:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57682, NULL, 'PTHR10497:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', NULL, NULL, NULL, 15),
(57683, NULL, 'PTHR12124:SF68', NULL, NULL, NULL, NULL, 'PROTEIN RRP6-LIKE 3', NULL, NULL, NULL, 15),
(57684, NULL, 'PTHR12345:SF13', NULL, NULL, NULL, NULL, 'SYNTENIN-2', NULL, NULL, NULL, 15),
(57685, NULL, 'PTHR43276:SF2', NULL, NULL, NULL, NULL, 'ALPHA AMYLASE CATALYTIC REGION', NULL, NULL, NULL, 15),
(57686, NULL, 'PTHR11945:SF145', NULL, NULL, NULL, NULL, 'MYOCYTE ENHANCER FACTOR 2AA-RELATED', NULL, NULL, NULL, 15),
(57687, NULL, 'PTHR21077:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57688, NULL, 'PTHR26452:SF262', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AN1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57689, NULL, 'PTHR15668', NULL, NULL, NULL, NULL, 'JM1 PROTEIN', NULL, NULL, 13077, 15),
(57690, NULL, 'PTHR38782:SF1', NULL, NULL, NULL, NULL, 'SIGMA-E FACTOR REGULATORY PROTEIN RSEB', NULL, NULL, NULL, 15),
(57691, NULL, 'PTHR38389:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(57692, NULL, 'PTHR46773', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57693, NULL, 'PTHR31645:SF60', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(57694, NULL, 'PTHR43177:SF5', NULL, NULL, NULL, NULL, 'ANAEROBIC DIMETHYL SULFOXIDE REDUCTASE CHAIN B-RELATED', NULL, NULL, NULL, 15),
(57695, NULL, 'PTHR47877:SF7', NULL, NULL, NULL, NULL, 'BNAC03G23780D PROTEIN', NULL, NULL, NULL, 15),
(57696, NULL, 'PTHR47522', NULL, NULL, NULL, NULL, 'SALVADOR FAMILY WW DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 26220, 15),
(57697, NULL, 'PTHR22932:SF16', NULL, NULL, NULL, NULL, 'BNAC05G01500D PROTEIN', NULL, NULL, NULL, 15),
(57698, NULL, 'PTHR11945:SF663', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL8', NULL, NULL, NULL, 15),
(57699, NULL, 'PTHR32444:SF83', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', NULL, NULL, NULL, 15),
(57700, NULL, 'PTHR45697:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(57701, NULL, 'PTHR19370:SF185', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', NULL, NULL, NULL, 15),
(57702, NULL, 'PTHR13223:SF2', NULL, NULL, NULL, NULL, 'ACIDIC FIBROBLAST GROWTH FACTOR INTRACELLULAR-BINDING PROTEIN', NULL, NULL, NULL, 15),
(57703, NULL, 'PTHR23500:SF492', NULL, NULL, NULL, NULL, 'ARABINOSE-PROTON SYMPORTER-LIKE', NULL, NULL, NULL, 15),
(57704, NULL, 'PTHR23113:SF193', NULL, NULL, NULL, NULL, 'RAS-SPECIFIC GUANINE NUCLEOTIDE-RELEASING FACTOR 1', NULL, NULL, 26731, 15),
(57705, NULL, 'PTHR43511:SF9', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(57706, NULL, 'PTHR10891:SF864', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(57707, NULL, 'PTHR10286:SF65', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE 3', NULL, NULL, NULL, 15),
(57708, NULL, 'PTHR22589:SF107', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57709, NULL, 'PTHR48173:SF1', NULL, NULL, NULL, NULL, 'PROCESSING PROTEIN PRP39, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57710, NULL, 'PTHR11728:SF9', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)]', NULL, NULL, NULL, 15),
(57711, NULL, 'PTHR24362:SF309', NULL, NULL, NULL, NULL, 'CATABOLITE DEREPRESSING PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57712, NULL, 'PTHR36400:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L35', NULL, NULL, NULL, 15),
(57713, NULL, 'PTHR45898:SF8', NULL, NULL, NULL, NULL, 'OS01G0825700 PROTEIN', NULL, NULL, NULL, 15),
(57714, NULL, 'PTHR13268', NULL, NULL, NULL, NULL, 'BREAST CARCINOMA AMPLIFIED SEQUENCE 3', NULL, NULL, 39241, 15),
(57715, NULL, 'PTHR47928:SF28', NULL, NULL, NULL, NULL, 'OS01G0545900 PROTEIN', NULL, NULL, NULL, 15),
(57716, NULL, 'PTHR10766:SF131', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(57717, NULL, 'PTHR14526', NULL, NULL, NULL, NULL, 'AURORA KINASE A AND NINEIN-INTERACTING PROTEIN', NULL, NULL, 28925, 15),
(57718, NULL, 'PTHR14568:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 6 SUPERFAMILY MEMBER 2', NULL, NULL, NULL, 15),
(57719, NULL, 'PTHR40400', NULL, NULL, NULL, NULL, 'SLR1512 PROTEIN', NULL, NULL, 7601, 15),
(57720, NULL, 'PTHR21040', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 33759, 15),
(57721, NULL, 'PTHR43116:SF3', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR PRFB1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(57722, NULL, 'PTHR45737:SF1', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN DDB_G0267758-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57723, NULL, 'PTHR13683:SF816', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(57724, NULL, 'PTHR11523:SF31', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(57725, NULL, 'PTHR15422:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57726, NULL, 'PTHR14168:SF2', NULL, NULL, NULL, NULL, 'EPITHELIAL CELL ADHESION MOLECULE', NULL, NULL, NULL, 15),
(57727, NULL, 'PTHR22883:SF243', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(57728, NULL, 'PTHR10476:SF42', NULL, NULL, NULL, NULL, 'OS03G0108400 PROTEIN', NULL, NULL, NULL, 15),
(57729, NULL, 'PTHR35307:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57730, NULL, 'PTHR45918:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(57731, NULL, 'PTHR38150:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57732, NULL, 'PTHR24377:SF690', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 549', NULL, NULL, NULL, 15),
(57733, NULL, 'PTHR45748:SF15', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57734, NULL, 'PTHR30629', NULL, NULL, NULL, NULL, 'PROPHAGE INTEGRASE', NULL, NULL, NULL, 15),
(57735, NULL, 'PTHR27007:SF314', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.1-RELATED', NULL, NULL, NULL, 15),
(57736, NULL, 'PTHR47998:SF29', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(57737, NULL, 'PTHR37363:SF1', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT GON7', NULL, NULL, NULL, 15),
(57738, NULL, 'PTHR43544:SF7', NULL, NULL, NULL, NULL, 'LD36273P', NULL, NULL, NULL, 15),
(57739, NULL, 'PTHR27001:SF749', NULL, NULL, NULL, NULL, 'OS03G0773300 PROTEIN', NULL, NULL, NULL, 15),
(57740, NULL, 'PTHR23337:SF3', NULL, NULL, NULL, NULL, 'MORC FAMILY CW-TYPE ZINC FINGER 2', NULL, NULL, NULL, 15),
(57741, NULL, 'PTHR42811:SF16', NULL, NULL, NULL, NULL, 'BNAC03G13300D PROTEIN', NULL, NULL, NULL, 15),
(57742, NULL, 'PTHR48058:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57743, NULL, 'PTHR43416:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57744, NULL, 'PTHR10956:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57745, NULL, 'PTHR45743:SF41', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SKOR-LIKE', NULL, NULL, NULL, 15),
(57746, NULL, 'PTHR32285:SF28', NULL, NULL, NULL, NULL, 'PROTEIN ALTERED XYLOGLUCAN 4-LIKE', NULL, NULL, NULL, 15),
(57747, NULL, 'PTHR22835:SF581', NULL, NULL, NULL, NULL, 'ACETYLAJMALAN ESTERASE-LIKE', NULL, NULL, NULL, 15),
(57748, NULL, 'PTHR11165:SF129', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(57749, NULL, 'PTHR42180', NULL, NULL, NULL, NULL, 'HOMOLOGY DOMAIN-CONTAINING PROTEIN,PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57750, NULL, 'PTHR46211:SF7', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(57751, NULL, 'PTHR24257:SF10', NULL, NULL, NULL, NULL, 'ZGC:112285', NULL, NULL, NULL, 15),
(57752, NULL, 'PTHR40619:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57753, NULL, 'PTHR12300', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEINS', NULL, NULL, 5694, 15),
(57754, NULL, 'PTHR22952:SF440', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 46', NULL, NULL, NULL, 15),
(57755, NULL, 'PTHR11461:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57756, NULL, 'PTHR10865:SF28', NULL, NULL, NULL, NULL, 'MESODERM INDUCTION EARLY RESPONSE PROTEIN 3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(57757, NULL, 'PTHR43791:SF17', NULL, NULL, NULL, NULL, 'ALLANTOATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03720)-RELATED', NULL, NULL, NULL, 15),
(57758, NULL, 'PTHR11732:SF435', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 4 MEMBER C11', NULL, NULL, NULL, 15),
(57759, NULL, 'PTHR22780:SF32', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57760, NULL, 'PTHR32217', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6H', NULL, NULL, NULL, 15),
(57761, NULL, 'PTHR31717:SF10', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(57762, NULL, 'PTHR34222:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57763, NULL, 'PTHR31065:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57764, NULL, 'PTHR24271:SF70', NULL, NULL, NULL, NULL, 'GRANZYME D-RELATED', NULL, NULL, NULL, 15),
(57765, NULL, 'PTHR12629:SF39', NULL, NULL, NULL, NULL, 'MUTT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(57766, NULL, 'PTHR48084:SF2', NULL, NULL, NULL, NULL, 'PYRUVATE FERREDOXIN/FLAVODOXIN OXIDOREDUCTASE, BETA SUBUNIT', NULL, NULL, NULL, 15),
(57767, NULL, 'PTHR10791:SF134', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET9', NULL, NULL, NULL, 15),
(57768, NULL, 'PTHR44329:SF166', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', NULL, NULL, NULL, 15),
(57769, NULL, 'PTHR43706', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', NULL, NULL, 38083, 15),
(57770, NULL, 'PTHR31994', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 42', NULL, NULL, 29398, 15),
(57771, NULL, 'PTHR10705', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT DAD1', NULL, NULL, 478, 15),
(57772, NULL, 'PTHR45620:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57773, NULL, 'PTHR46206:SF1', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(57774, NULL, 'PTHR42647:SF55', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 1', NULL, NULL, NULL, 15),
(57775, NULL, 'PTHR48007:SF23', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57776, NULL, 'PTHR31636:SF201', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(57777, NULL, 'PTHR37410', NULL, NULL, NULL, NULL, 'ADHESIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57778, NULL, 'PTHR10903:SF112', NULL, NULL, NULL, NULL, 'SI:DKEYP-69E1.8', NULL, NULL, NULL, 15),
(57779, NULL, 'PTHR10037:SF208', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 10 SUBUNIT ALPHA', NULL, NULL, 24084, 15),
(57780, NULL, 'PTHR46798:SF8', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(57781, NULL, 'PTHR11972:SF177', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57782, NULL, 'PTHR14557', NULL, NULL, NULL, NULL, 'PROTEIN C7ORF21', NULL, NULL, 30056, 15),
(57783, NULL, 'PTHR27004:SF331', NULL, NULL, NULL, NULL, 'BNAA04G28950D PROTEIN', NULL, NULL, NULL, 15),
(57784, NULL, 'PTHR26450:SF359', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(57785, NULL, 'PTHR48051:SF12', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 28', NULL, NULL, NULL, 15),
(57786, NULL, 'PTHR11604:SF40', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(57787, NULL, 'PTHR11188:SF144', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(57788, NULL, 'PTHR48071:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57789, NULL, 'PTHR33059:SF91', NULL, NULL, NULL, NULL, 'BNACNNG30940D PROTEIN', NULL, NULL, NULL, 15),
(57790, NULL, 'PTHR32556', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(57791, NULL, 'PTHR33148:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57792, NULL, 'PTHR11544:SF127', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN CSPB', NULL, NULL, NULL, 15),
(57793, NULL, 'PTHR10159:SF299', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 10', NULL, NULL, NULL, 15),
(57794, NULL, 'PTHR14167:SF54', NULL, NULL, NULL, NULL, 'VINEXIN', NULL, NULL, 26583, 15),
(57795, NULL, 'PTHR13069:SF8', NULL, NULL, NULL, NULL, 'ALKYLATED DNA REPAIR PROTEIN ALKBH8 HOMOLOG', NULL, NULL, NULL, 15),
(57796, NULL, 'PTHR33170:SF2', NULL, NULL, NULL, NULL, 'OS12G0531500 PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57797, NULL, 'PTHR33480:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57798, NULL, 'PTHR11214:SF219', NULL, NULL, NULL, NULL, 'UDP-GALNAC:BETA-1,3-N-ACETYLGALACTOSAMINYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(57799, NULL, 'PTHR10052:SF42', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', NULL, NULL, NULL, 15),
(57800, NULL, 'PTHR26312:SF127', NULL, NULL, NULL, NULL, 'PROTEIN SLOW GREEN 1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(57801, NULL, 'PTHR33233:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57802, NULL, 'PTHR31623:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57803, NULL, 'PTHR15124:SF16', NULL, NULL, NULL, NULL, 'SELENOPROTEIN W', NULL, NULL, NULL, 15),
(57804, NULL, 'PTHR48008:SF5', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(57805, NULL, 'PTHR48052:SF32', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', NULL, NULL, NULL, 15),
(57806, NULL, 'PTHR22589:SF104', NULL, NULL, NULL, NULL, 'PROTEIN CBG06455', NULL, NULL, NULL, 15),
(57807, NULL, 'PTHR43736:SF4', NULL, NULL, NULL, NULL, 'SLR1690 PROTEIN', NULL, NULL, NULL, 15),
(57808, NULL, 'PTHR31265:SF23', NULL, NULL, NULL, NULL, 'BNAC04G47820D PROTEIN', NULL, NULL, NULL, 15),
(57809, NULL, 'PTHR34539:SF9', NULL, NULL, NULL, NULL, 'T2P11.11 PROTEIN', NULL, NULL, NULL, 15),
(57810, NULL, 'PTHR18919:SF156', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(57811, NULL, 'PTHR23188', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-ASSOCIATED FACTOR 1 HOMOLOG', NULL, NULL, 53, 15),
(57812, NULL, 'PTHR31623:SF46', NULL, NULL, NULL, NULL, 'ANTHRANILATE N-BENZOYLTRANSFERASE', NULL, NULL, NULL, 15),
(57813, NULL, 'PTHR11941', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE-RELATED', NULL, NULL, NULL, 15),
(57814, NULL, 'PTHR43584:SF5', NULL, NULL, NULL, NULL, 'PROTEIN LICC', NULL, NULL, NULL, 15),
(57815, NULL, 'PTHR10612:SF40', NULL, NULL, NULL, NULL, 'OS08G0440100 PROTEIN', NULL, NULL, NULL, 15),
(57816, NULL, 'PTHR40593:SF1', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN ACTIVATOR LPOB', NULL, NULL, NULL, 15),
(57817, NULL, 'PTHR13301:SF200', NULL, NULL, NULL, NULL, 'BNACNNG06180D PROTEIN', NULL, NULL, NULL, 15),
(57818, NULL, 'PTHR10809:SF123', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN (MSP) DOMAIN, VESICLE-ASSOCIATED MEMBRANE-PROTEIN-ASSOCIATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57819, NULL, 'PTHR24103:SF613', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57820, NULL, 'PTHR24064:SF492', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-9-RELATED', NULL, NULL, NULL, 15),
(57821, NULL, 'PTHR28541', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 15', NULL, NULL, 29430, 15),
(57822, NULL, 'PTHR48047:SF53', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(57823, NULL, 'PTHR31803:SF3', NULL, NULL, NULL, NULL, 'ALTERNATIVE OXIDASE', NULL, NULL, NULL, 15),
(57824, NULL, 'PTHR24351', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE', NULL, NULL, NULL, 15),
(57825, NULL, 'PTHR33592:SF12', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(57826, NULL, 'PTHR24256:SF515', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 30', NULL, NULL, NULL, 15),
(57827, NULL, 'PTHR24377:SF611', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 584', NULL, NULL, NULL, 15),
(57828, NULL, 'PTHR47967:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57829, NULL, 'PTHR46225:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING-CH-TYPE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(57830, NULL, 'PTHR11461:SF335', NULL, NULL, NULL, NULL, 'BNAC05G21900D PROTEIN', NULL, NULL, NULL, 15),
(57831, NULL, 'PTHR13019:SF20', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23', NULL, NULL, NULL, 15),
(57832, NULL, 'PTHR18896:SF115', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA 2', NULL, NULL, NULL, 15),
(57833, NULL, 'PTHR35700:SF1', NULL, NULL, NULL, NULL, 'OS07G0181800 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57834, NULL, 'PTHR43341:SF13', NULL, NULL, NULL, NULL, 'HISTIDINE PERMEASE', NULL, NULL, NULL, 15),
(57835, NULL, 'PTHR10623:SF16', NULL, NULL, NULL, NULL, 'MICROTUBULE END BINDING PROTEIN', NULL, NULL, NULL, 15),
(57836, NULL, 'PTHR33203:SF47', NULL, NULL, NULL, NULL, 'BNAA09G02110D PROTEIN', NULL, NULL, NULL, 15),
(57837, NULL, 'PTHR11618:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57838, NULL, 'PTHR10963:SF58', NULL, NULL, NULL, NULL, 'ENDO-1,3(4)-BETA-GLUCANASE XGEA', NULL, NULL, NULL, 15),
(57839, NULL, 'PTHR36354:SF3', NULL, NULL, NULL, NULL, 'BNAA09G35880D PROTEIN', NULL, NULL, NULL, 15),
(57840, NULL, 'PTHR31920:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR B3-DOMAIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(57841, NULL, 'PTHR12097:SF1', NULL, NULL, NULL, NULL, 'BNAA06G23400D PROTEIN', NULL, NULL, NULL, 15),
(57842, NULL, 'PTHR28628', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 88-RELATED', NULL, NULL, 32116, 15),
(57843, NULL, 'PTHR31707:SF273', NULL, NULL, NULL, NULL, 'PECTINESTERASE, CATALYTIC-RELATED', NULL, NULL, NULL, 15),
(57844, NULL, 'PTHR10807:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57845, NULL, 'PTHR22957:SF565', NULL, NULL, NULL, NULL, 'TBC DOMAIN-CONTAINING PROTEIN C1778.09', NULL, NULL, NULL, 15),
(57846, NULL, 'PTHR10891:SF818', NULL, NULL, NULL, NULL, 'EXCHANGER FAMILY PROTEIN / CALCIUM-BINDING EF HAND FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57847, NULL, 'PTHR45680:SF33', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(57848, NULL, 'PTHR33147:SF78', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(57849, NULL, 'PTHR46560:SF7', NULL, NULL, NULL, NULL, 'RE59626P', NULL, NULL, NULL, 15),
(57850, NULL, 'PTHR46007', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 12', NULL, NULL, NULL, 15),
(57851, NULL, 'PTHR33492:SF11', NULL, NULL, NULL, NULL, 'OSJNBA0043A12.37 PROTEIN', NULL, NULL, NULL, 15),
(57852, NULL, 'PTHR48065:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57853, NULL, 'PTHR31707:SF163', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 23-RELATED', NULL, NULL, NULL, 15),
(57854, NULL, 'PTHR16165:SF26', NULL, NULL, NULL, NULL, 'NXPE FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(57855, NULL, 'PTHR43888:SF5', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57856, NULL, 'PTHR26452:SF186', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AU1', NULL, NULL, NULL, 15),
(57857, NULL, 'PTHR23314:SF2', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 6', NULL, NULL, NULL, 15),
(57858, NULL, 'PTHR23315:SF294', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(57859, NULL, 'PTHR27002:SF813', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57860, NULL, 'PTHR10649:SF15', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR 1B', NULL, NULL, NULL, 15),
(57861, NULL, 'PTHR38441:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57862, NULL, 'PTHR45967:SF29', NULL, NULL, NULL, NULL, 'BNAA03G56410D PROTEIN', NULL, NULL, NULL, 15),
(57863, NULL, 'PTHR12019:SF9', NULL, NULL, NULL, NULL, 'EMERIN HOMOLOG 1', NULL, NULL, NULL, 15),
(57864, NULL, 'PTHR45654:SF55', NULL, NULL, NULL, NULL, 'BNAC04G12430D PROTEIN', NULL, NULL, NULL, 15),
(57865, NULL, 'PTHR32552:SF64', NULL, NULL, NULL, NULL, 'FERRICHROME OUTER MEMBRANE TRANSPORTER/PHAGE RECEPTOR', NULL, NULL, NULL, 15),
(57866, NULL, 'PTHR31559:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57867, NULL, 'PTHR23267:SF216', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1D-43', NULL, NULL, NULL, 15),
(57868, NULL, 'PTHR38137:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57869, NULL, 'PTHR16306', NULL, NULL, NULL, NULL, 'TRANSLIN-ASSOCIATED FACTOR X-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(57870, NULL, 'PTHR26453:SF664', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57871, NULL, 'PTHR31225:SF157', NULL, NULL, NULL, NULL, 'ALPHA-COPAENE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(57872, NULL, 'PTHR31650:SF30', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1', NULL, NULL, NULL, 15),
(57873, NULL, 'PTHR47574', NULL, NULL, NULL, NULL, 'CANCER-RELATED REGULATOR OF ACTIN DYNAMICS', NULL, NULL, NULL, 15),
(57874, NULL, 'PTHR34670:SF2', NULL, NULL, NULL, NULL, 'OS01G0847100 PROTEIN', NULL, NULL, NULL, 15),
(57875, NULL, 'PTHR10635:SF5', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA', NULL, NULL, NULL, 15),
(57876, NULL, 'PTHR11640:SF134', NULL, NULL, NULL, NULL, 'ECHINOID, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(57877, NULL, 'PTHR43976:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57878, NULL, 'PTHR11360:SF163', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 9-LIKE PROTEIN', NULL, NULL, NULL, 15),
(57879, NULL, 'PTHR19317:SF66', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(57880, NULL, 'PTHR11455:SF50', NULL, NULL, NULL, NULL, 'CRYPTOCHROME-1', NULL, NULL, NULL, 15),
(57881, NULL, 'PTHR37159:SF1', NULL, NULL, NULL, NULL, 'GH11867P', NULL, NULL, NULL, 15),
(57882, NULL, 'PTHR36066:SF16', NULL, NULL, NULL, NULL, 'OS06G0267300 PROTEIN', NULL, NULL, NULL, 15),
(57883, NULL, 'PTHR12822:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', NULL, NULL, NULL, 15),
(57884, NULL, 'PTHR32183', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 39432, 15),
(57885, NULL, 'PTHR24131:SF10', NULL, NULL, NULL, NULL, 'ANKYRIN-REPEAT, SH3-DOMAIN, AND PROLINE-RICH-REGION CONTAINING PROTEIN, ISOFORM B', NULL, NULL, NULL, 15),
(57886, NULL, 'PTHR10593:SF167', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(57887, NULL, 'PTHR11817:SF79', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(57888, NULL, 'PTHR31665:SF3', NULL, NULL, NULL, NULL, 'FLYWCH-TYPE ZINC FINGER-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(57889, NULL, 'PTHR48004:SF21', NULL, NULL, NULL, NULL, 'OS02G0614966 PROTEIN', NULL, NULL, NULL, 15),
(57890, NULL, 'PTHR21319:SF39', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', NULL, NULL, NULL, 15),
(57891, NULL, 'PTHR43422:SF3', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE', NULL, NULL, NULL, 15),
(57892, NULL, 'PTHR31891:SF9', NULL, NULL, NULL, NULL, 'ACETAMIDASE/FORMAMIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(57893, NULL, 'PTHR31236:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57894, NULL, 'PTHR11260:SF558', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U10-LIKE', NULL, NULL, NULL, 15),
(57895, NULL, 'PTHR46119:SF16', NULL, NULL, NULL, NULL, 'BNACNNG28760D PROTEIN', NULL, NULL, NULL, 15),
(57896, NULL, 'PTHR42826:SF10', NULL, NULL, NULL, NULL, 'DICARBOXYLATE TRANSPORTER 2.2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(57897, NULL, 'PTHR46476:SF17', NULL, NULL, NULL, NULL, 'CHITINASE 2', NULL, NULL, NULL, 15),
(57898, NULL, 'PTHR43200:SF19', NULL, NULL, NULL, NULL, 'PAP-SPECIFIC PHOSPHATASE HAL2-LIKE', NULL, NULL, NULL, 15),
(57899, NULL, 'PTHR32295:SF161', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', NULL, NULL, NULL, 15),
(57900, NULL, 'PTHR31044:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57901, NULL, 'PTHR11353:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57902, NULL, 'PTHR15231:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT H', NULL, NULL, NULL, 15),
(57903, NULL, 'PTHR11329:SF2', NULL, NULL, NULL, NULL, 'LEUKOCYTE CELL-DERIVED CHEMOTAXIN 2-RELATED', NULL, NULL, NULL, 15),
(57904, NULL, 'PTHR31218:SF151', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(57905, NULL, 'PTHR33984:SF1', NULL, NULL, NULL, NULL, 'OS09G0281800 PROTEIN', NULL, NULL, NULL, 15),
(57906, NULL, 'PTHR45713', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57907, NULL, 'PTHR36775:SF1', NULL, NULL, NULL, NULL, 'LYR MOTIF PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57908, NULL, 'PTHR43620:SF23', NULL, NULL, NULL, NULL, 'BNAC09G24190D PROTEIN', NULL, NULL, NULL, 15),
(57909, NULL, 'PTHR33791:SF1', NULL, NULL, NULL, NULL, 'CHAPERONIN-LIKE RBCX PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(57910, NULL, 'PTHR10664:SF35', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS BC (CLASS B-LIKE)', NULL, NULL, NULL, 15),
(57911, NULL, 'PTHR48049:SF20', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 79B4-RELATED', NULL, NULL, NULL, 15),
(57912, NULL, 'PTHR31259:SF3', NULL, NULL, NULL, NULL, 'ENDOSOME-ASSOCIATED-TRAFFICKING REGULATOR 1', NULL, NULL, NULL, 15),
(57913, NULL, 'PTHR45669:SF6', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(57914, NULL, 'PTHR23026:SF119', NULL, NULL, NULL, NULL, 'BLL7798 PROTEIN', NULL, NULL, NULL, 15),
(57915, NULL, 'PTHR31969:SF49', NULL, NULL, NULL, NULL, 'FH INTERACTING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(57916, NULL, 'PTHR15907:SF123', NULL, NULL, NULL, NULL, 'GENE1000 PROTEIN', NULL, NULL, NULL, 15),
(57917, NULL, 'PTHR11537:SF266', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY KQT MEMBER 1', NULL, NULL, 5952, 15),
(57918, NULL, 'PTHR36354', NULL, NULL, NULL, NULL, 'IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT', NULL, NULL, NULL, 15),
(57919, NULL, 'PTHR12902:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57920, NULL, 'PTHR23262:SF180', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 12-2', NULL, NULL, NULL, 15),
(57921, NULL, 'PTHR43321:SF16', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(57922, NULL, 'PTHR11014:SF160', NULL, NULL, NULL, NULL, 'BNAA06G02080D PROTEIN', NULL, NULL, NULL, 15),
(57923, NULL, 'PTHR46204:SF5', NULL, NULL, NULL, NULL, 'KINASE FAMILY PROTEIN / PEPTIDOGLYCAN-BINDING LYSM DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(57924, NULL, 'PTHR31845:SF29', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(57925, NULL, 'PTHR35308:SF10', NULL, NULL, NULL, NULL, 'BNAA03G58550D PROTEIN', NULL, NULL, NULL, 15),
(57926, NULL, 'PTHR27003:SF83', NULL, NULL, NULL, NULL, 'TRANSFERASE, PROTEIN KINASE RLK-PELLE-LRR-I-1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(57927, NULL, 'PTHR35828:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57928, NULL, 'PTHR24068:SF24', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 D4', NULL, NULL, NULL, 15),
(57929, NULL, 'PTHR43194', NULL, NULL, NULL, NULL, 'HYDROLASE ALPHA/BETA FOLD FAMILY', NULL, NULL, NULL, 15),
(57930, NULL, 'PTHR48018:SF97', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(57931, NULL, 'PTHR24414:SF158', NULL, NULL, NULL, NULL, 'BNAA04G14990D PROTEIN', NULL, NULL, NULL, 15),
(57932, NULL, 'PTHR14907:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57933, NULL, 'PTHR34933', NULL, NULL, NULL, NULL, 'FLAGELLAR L-RING PROTEIN', NULL, NULL, 5719, 15),
(57934, NULL, 'PTHR12479:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG20493', NULL, NULL, NULL, 15),
(57935, NULL, 'PTHR34482:SF13', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL BETA-1-LIKE', NULL, NULL, NULL, 15),
(57936, NULL, 'PTHR19818:SF144', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR (SWI5), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11250)-RELATED', NULL, NULL, NULL, 15),
(57937, NULL, 'PTHR37224:SF1', NULL, NULL, NULL, NULL, 'OS02G0804400 PROTEIN', NULL, NULL, NULL, 15),
(57938, NULL, 'PTHR10340:SF27', NULL, NULL, NULL, NULL, 'ASM3P', NULL, NULL, NULL, 15),
(57939, NULL, 'PTHR27001:SF554', NULL, NULL, NULL, NULL, 'OS12G0180500 PROTEIN', NULL, NULL, NULL, 15),
(57940, NULL, 'PTHR45007', NULL, NULL, NULL, NULL, 'CARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G07570)-RELATED', NULL, NULL, NULL, 15),
(57941, NULL, 'PTHR19855:SF12', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 37', NULL, NULL, NULL, 15),
(57942, NULL, 'PTHR10383:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG04578', NULL, NULL, NULL, 15),
(57943, NULL, 'PTHR33167:SF42', NULL, NULL, NULL, NULL, 'BNAC05G09670D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57944, NULL, 'PTHR10201:SF249', NULL, NULL, NULL, NULL, 'OS10G0558125 PROTEIN', NULL, NULL, NULL, 15),
(57945, NULL, 'PTHR13140:SF417', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-ID', NULL, NULL, NULL, 15),
(57946, NULL, 'PTHR15128:SF0', NULL, NULL, NULL, NULL, 'SCL-INTERRUPTING LOCUS PROTEIN', NULL, NULL, NULL, 15),
(57947, NULL, 'PTHR24399:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 648', NULL, NULL, NULL, 15),
(57948, NULL, 'PTHR12357:SF94', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57949, NULL, 'PTHR11002:SF61', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(57950, NULL, 'PTHR31678:SF2', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 6-3', NULL, NULL, NULL, 15),
(57951, NULL, 'PTHR19353:SF25', NULL, NULL, NULL, NULL, 'DELTA(6)-FATTY-ACID DESATURASE FAT-3', NULL, NULL, NULL, 15),
(57952, NULL, 'PTHR42470:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57953, NULL, 'PTHR48054:SF13', NULL, NULL, NULL, NULL, 'OS08G0446200 PROTEIN', NULL, NULL, NULL, 15),
(57954, NULL, 'PTHR47994:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB80', NULL, NULL, NULL, 15),
(57955, NULL, 'PTHR10590:SF19', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE TRANSPORT PROTEIN NUPG', NULL, NULL, NULL, 15),
(57956, NULL, 'PTHR47306:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-178J18.4-RELATED', NULL, NULL, NULL, 15),
(57957, NULL, 'PTHR22947:SF19', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(57958, NULL, 'PTHR10281:SF93', NULL, NULL, NULL, NULL, 'VACUOLE MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(57959, NULL, 'PTHR22807:SF16', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(57960, NULL, 'PTHR42943:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57961, NULL, 'PTHR11188:SF3', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(57962, NULL, 'PTHR46513:SF16', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(57963, NULL, 'PTHR31197:SF4', NULL, NULL, NULL, NULL, 'OS02G0150900 PROTEIN', NULL, NULL, NULL, 15),
(57964, NULL, 'PTHR48021:SF58', NULL, NULL, NULL, NULL, 'SUGAR PORTER (SP) FAMILY MFS TRANSPORTER', NULL, NULL, NULL, 15),
(57965, NULL, 'PTHR37028:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57966, NULL, 'PTHR33512:SF13', NULL, NULL, NULL, NULL, 'F16P17.15', NULL, NULL, NULL, 15),
(57967, NULL, 'PTHR15696:SF7', NULL, NULL, NULL, NULL, 'PROTEIN SMG5', NULL, NULL, NULL, 15),
(57968, NULL, 'PTHR48017:SF74', NULL, NULL, NULL, NULL, 'AUXIN INFLUX TRANSPORTER', NULL, NULL, NULL, 15),
(57969, NULL, 'PTHR11260:SF605', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U23', NULL, NULL, NULL, 15),
(57970, NULL, 'PTHR45621:SF81', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(57971, NULL, 'PTHR45780:SF1', NULL, NULL, NULL, NULL, 'CYTIDYLYLTRANSFERASE A, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57972, NULL, 'PTHR42691', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE YHDR-RELATED', NULL, NULL, NULL, 15),
(57973, NULL, 'PTHR11267:SF32', NULL, NULL, NULL, NULL, 'MAX GENE-ASSOCIATED PROTEIN', NULL, NULL, 35745, 15),
(57974, NULL, 'PTHR15326:SF9', NULL, NULL, NULL, NULL, 'SI:CH211-189A15.5', NULL, NULL, NULL, 15),
(57975, NULL, 'PTHR31896:SF60', NULL, NULL, NULL, NULL, 'BNAA02G29330D PROTEIN', NULL, NULL, NULL, 15),
(57976, NULL, 'PTHR10615:SF190', NULL, NULL, NULL, NULL, 'D4, ISOFORM A', NULL, NULL, NULL, 15),
(57977, NULL, 'PTHR33740', NULL, NULL, NULL, NULL, 'GPI-ANCHORED ADHESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(57978, NULL, 'PTHR43297:SF8', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(57979, NULL, 'PTHR31319:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 4', NULL, NULL, NULL, 15),
(57980, NULL, 'PTHR22617', NULL, NULL, NULL, NULL, 'CHEMOTAXIS SENSOR HISTIDINE KINASE-RELATED', NULL, NULL, 35952, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(57981, NULL, 'PTHR24073:SF1123', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(57982, NULL, 'PTHR33831:SF11', NULL, NULL, NULL, NULL, 'BNAC09G13950D PROTEIN', NULL, NULL, NULL, 15),
(57983, NULL, 'PTHR24347:SF391', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN DEPENDENT PROTEIN KINASE IV', NULL, NULL, NULL, 15),
(57984, NULL, 'PTHR31962:SF3', NULL, NULL, NULL, NULL, 'SPHINGOLIPID LONG CHAIN BASE-RESPONSIVE PROTEIN LSP1', NULL, NULL, NULL, 15),
(57985, NULL, 'PTHR16003:SF3', NULL, NULL, NULL, NULL, 'C9ORF40 ISOFORM 1', NULL, NULL, NULL, 15),
(57986, NULL, 'PTHR21724:SF100', NULL, NULL, NULL, NULL, 'DIETARY RESTRICTION DOWN REGULATED-RELATED', NULL, NULL, NULL, 15),
(57987, NULL, 'PTHR44329:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57988, NULL, 'PTHR13018:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(57989, NULL, 'PTHR37534:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(57990, NULL, 'PTHR11481:SF58', NULL, NULL, NULL, NULL, 'ALLERGIN-1', NULL, NULL, 22963, 15),
(57991, NULL, 'PTHR23147:SF127', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RSZ22-RELATED', NULL, NULL, NULL, 15),
(57992, NULL, 'PTHR32343:SF36', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 12-LIKE', NULL, NULL, NULL, 15),
(57993, NULL, 'PTHR12706:SF30', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(57994, NULL, 'PTHR12253', NULL, NULL, NULL, NULL, 'RH14732P', NULL, NULL, NULL, 15),
(57995, NULL, 'PTHR48044:SF38', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(57996, NULL, 'PTHR21453:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG21356', NULL, NULL, NULL, 15),
(57997, NULL, 'PTHR45564:SF7', NULL, NULL, NULL, NULL, 'NADH:QUINONE OXIDOREDUCTASE/MRP ANTIPORTER, MEMBRANE SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(57998, NULL, 'PTHR12767:SF11', NULL, NULL, NULL, NULL, 'B-CELL CLL/LYMPHOMA 7 PROTEIN FAMILY MEMBER A', NULL, NULL, NULL, 15),
(57999, NULL, 'PTHR33541:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58000, NULL, 'PTHR11668:SF311', NULL, NULL, NULL, NULL, 'PROTEIN CBG05769', NULL, NULL, NULL, 15),
(58001, NULL, 'PTHR31713', NULL, NULL, NULL, NULL, 'OS02G0177800 PROTEIN', NULL, NULL, 13950, 15),
(58002, NULL, 'PTHR46220:SF11', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD10', NULL, NULL, NULL, 15),
(58003, NULL, 'PTHR34949:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58004, NULL, 'PTHR11449:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30', NULL, NULL, 759, 15),
(58005, NULL, 'PTHR19446:SF442', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58006, NULL, 'PTHR47991', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE', NULL, NULL, NULL, 15),
(58007, NULL, 'PTHR10015:SF379', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-6B-LIKE', NULL, NULL, NULL, 15),
(58008, NULL, 'PTHR31945:SF64', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18', NULL, NULL, NULL, 15),
(58009, NULL, 'PTHR24286:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(58010, NULL, 'PTHR10196:SF82', NULL, NULL, NULL, NULL, 'GH12641P', NULL, NULL, NULL, 15),
(58011, NULL, 'PTHR11709:SF355', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(58012, NULL, 'PTHR31213:SF143', NULL, NULL, NULL, NULL, 'OS03G0300400 PROTEIN', NULL, NULL, NULL, 15),
(58013, NULL, 'PTHR46691', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 9', NULL, NULL, NULL, 15),
(58014, NULL, 'PTHR48028:SF2', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN RZ1A', NULL, NULL, NULL, 15),
(58015, NULL, 'PTHR24215:SF7', NULL, NULL, NULL, NULL, 'AGAP004186-PA', NULL, NULL, NULL, 15),
(58016, NULL, 'PTHR21220', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 36505, 15),
(58017, NULL, 'PTHR11134:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58018, NULL, 'PTHR21228:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58019, NULL, 'PTHR38634:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG16428', NULL, NULL, NULL, 15),
(58020, NULL, 'PTHR47993:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58021, NULL, 'PTHR43551:SF1', NULL, NULL, NULL, NULL, 'DSRK PROTEIN', NULL, NULL, NULL, 15),
(58022, NULL, 'PTHR46702:SF5', NULL, NULL, NULL, NULL, 'DUF1666 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(58023, NULL, 'PTHR36573', NULL, NULL, NULL, NULL, 'INTERMEMBRANE PHOSPHOLIPID TRANSPORT SYSTEM BINDING PROTEIN MLAC', NULL, NULL, 7536, 15),
(58024, NULL, 'PTHR24298:SF366', NULL, NULL, NULL, NULL, 'OS10G0511200 PROTEIN', NULL, NULL, NULL, 15),
(58025, NULL, 'PTHR48092:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58026, NULL, 'PTHR31987:SF1', NULL, NULL, NULL, NULL, 'GLUTAMINASE A', NULL, NULL, NULL, 15),
(58027, NULL, 'PTHR45526:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN DPIA', NULL, NULL, NULL, 15),
(58028, NULL, 'PTHR31642:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58029, NULL, 'PTHR15288', NULL, NULL, NULL, NULL, 'SUPPRESSION OF TUMORIGENICITY 5  ST5', NULL, NULL, NULL, 15),
(58030, NULL, 'PTHR47958:SF77', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(58031, NULL, 'PTHR14149', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN WITH IQ MOTIF', NULL, NULL, NULL, 15),
(58032, NULL, 'PTHR31365:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58033, NULL, 'PTHR43459:SF4', NULL, NULL, NULL, NULL, 'OS11G0269900 PROTEIN', NULL, NULL, NULL, 15),
(58034, NULL, 'PTHR34987:SF5', NULL, NULL, NULL, NULL, 'ALPHA-RHAMNOSIDASE', NULL, NULL, NULL, 15),
(58035, NULL, 'PTHR42251', NULL, NULL, NULL, NULL, 'UPF0147 PROTEIN MJ1419', NULL, NULL, NULL, 15),
(58036, NULL, 'PTHR21193', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-LIKE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 29604, 15),
(58037, NULL, 'PTHR24206:SF77', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN WLIM1-LIKE', NULL, NULL, NULL, 15),
(58038, NULL, 'PTHR46431:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(58039, NULL, 'PTHR10985:SF88', NULL, NULL, NULL, NULL, 'HAIRY/ENHANCER-OF-SPLIT RELATED WITH YRPW MOTIF PROTEIN 2', NULL, NULL, NULL, 15),
(58040, NULL, 'PTHR43105:SF2', NULL, NULL, NULL, NULL, 'RESPIRATORY NITRATE REDUCTASE 2 ALPHA CHAIN', NULL, NULL, NULL, 15),
(58041, NULL, 'PTHR12801:SF112', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE 3', NULL, NULL, NULL, 15),
(58042, NULL, 'PTHR47301:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC681006', NULL, NULL, NULL, 15),
(58043, NULL, 'PTHR27002:SF851', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-1', NULL, NULL, NULL, 15),
(58044, NULL, 'PTHR47989:SF28', NULL, NULL, NULL, NULL, 'BNAA09G10190D PROTEIN', NULL, NULL, NULL, 15),
(58045, NULL, 'PTHR23257:SF835', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', NULL, NULL, NULL, 15),
(58046, NULL, 'PTHR46811:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(58047, NULL, 'PTHR43736:SF5', NULL, NULL, NULL, NULL, 'DIHYDRONEOPTERIN TRIPHOSPHATE DIPHOSPHATASE', NULL, NULL, NULL, 15),
(58048, NULL, 'PTHR24406', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR CTCFL-RELATED', NULL, NULL, NULL, 15),
(58049, NULL, 'PTHR43188:SF1', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE 4, PEROXISOMAL', NULL, NULL, NULL, 15),
(58050, NULL, 'PTHR47287', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', NULL, NULL, 36533, 15),
(58051, NULL, 'PTHR12146:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10-1-LIKE', NULL, NULL, NULL, 15),
(58052, NULL, 'PTHR10743:SF15', NULL, NULL, NULL, NULL, 'PROTEIN RER1', NULL, NULL, NULL, 15),
(58053, NULL, 'PTHR24201:SF7', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 4 INHIBITOR D', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58054, NULL, 'PTHR32303:SF10', NULL, NULL, NULL, NULL, 'POLYVINYLALCOHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(58055, NULL, 'PTHR42872:SF5', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMATE METHYLESTERASE/PROTEIN-GLUTAMINE GLUTAMINASE', NULL, NULL, NULL, 15),
(58056, NULL, 'PTHR24023:SF844', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXVII) CHAIN', NULL, NULL, NULL, 15),
(58057, NULL, 'PTHR34952:SF7', NULL, NULL, NULL, NULL, 'BNAA04G21460D PROTEIN', NULL, NULL, NULL, 15),
(58058, NULL, 'PTHR31343:SF42', NULL, NULL, NULL, NULL, 'T15D22.8', NULL, NULL, NULL, 15),
(58059, NULL, 'PTHR18934:SF233', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE PRP16', NULL, NULL, NULL, 15),
(58060, NULL, 'PTHR19855:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58061, NULL, 'PTHR37256:SF1', NULL, NULL, NULL, NULL, 'E1A-BINDING PROTEIN P400-LIKE', NULL, NULL, NULL, 15),
(58062, NULL, 'PTHR24104:SF33', NULL, NULL, NULL, NULL, 'BRAIN TUMOR PROTEIN', NULL, NULL, NULL, 15),
(58063, NULL, 'PTHR37979', NULL, NULL, NULL, NULL, 'PROTEIN HER-1', NULL, NULL, 13653, 15),
(58064, NULL, 'PTHR31221:SF158', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 50-RELATED', NULL, NULL, NULL, 15),
(58065, NULL, 'PTHR16517:SF95', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 14', NULL, NULL, NULL, 15),
(58066, NULL, 'PTHR11738:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58067, NULL, 'PTHR10192:SF2', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN MOLYBDENUMTRANSFERASE', NULL, NULL, NULL, 15),
(58068, NULL, 'PTHR33469:SF15', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 2', NULL, NULL, NULL, 15),
(58069, NULL, 'PTHR11630', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM FAMILY MEMBER', NULL, NULL, 22629, 15),
(58070, NULL, 'PTHR44573', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALKENAL/ONE OXIDOREDUCTASE, CHLOROPLASTIC', NULL, NULL, 38582, 15),
(58071, NULL, 'PTHR11933', NULL, NULL, NULL, NULL, 'TRNA  5-METHYLAMINOMETHYL-2-THIOURIDYLATE -METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(58072, NULL, 'PTHR34222:SF52', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(58073, NULL, 'PTHR22601:SF12', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 7-LIKE', NULL, NULL, NULL, 15),
(58074, NULL, 'PTHR45717:SF8', NULL, NULL, NULL, NULL, 'OS01G0301500 PROTEIN', NULL, NULL, NULL, 15),
(58075, NULL, 'PTHR18964:SF146', NULL, NULL, NULL, NULL, 'POLYPHOSPHATE GLUCOKINASE', NULL, NULL, NULL, 15),
(58076, NULL, 'PTHR27009:SF110', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE', NULL, NULL, NULL, 15),
(58077, NULL, 'PTHR33168:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58078, NULL, 'PTHR44490', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION ELONGATION FACTOR 1 EPSILON-1', NULL, NULL, 36694, 15),
(58079, NULL, 'PTHR24025:SF23', NULL, NULL, NULL, NULL, 'SI:CH211-186J3.6-RELATED', NULL, NULL, NULL, 15),
(58080, NULL, 'PTHR46072:SF10', NULL, NULL, NULL, NULL, 'ACETAMIDASE', NULL, NULL, NULL, 15),
(58081, NULL, 'PTHR46280', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY F MEMBER 2-RELATED', NULL, NULL, NULL, 15),
(58082, NULL, 'PTHR33179:SF30', NULL, NULL, NULL, NULL, 'VQ MOTIF PROTEIN', NULL, NULL, NULL, 15),
(58083, NULL, 'PTHR12313:SF45', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA3-LIKE', NULL, NULL, NULL, 15),
(58084, NULL, 'PTHR44843:SF9', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(58085, NULL, 'PTHR11206:SF87', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 14', NULL, NULL, NULL, 15),
(58086, NULL, 'PTHR31301:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58087, NULL, 'PTHR31568:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58088, NULL, 'PTHR23359:SF174', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4', NULL, NULL, NULL, 15),
(58089, NULL, 'PTHR23423:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 184C', NULL, NULL, NULL, 15),
(58090, NULL, 'PTHR19325:SF326', NULL, NULL, NULL, NULL, 'PROTEIN CBG16936', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58091, NULL, 'PTHR11835:SF70', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(58092, NULL, 'PTHR24249:SF393', NULL, NULL, NULL, NULL, 'COUPLED OCTOPAMINE RECEPTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(58093, NULL, 'PTHR24054:SF46', NULL, NULL, NULL, NULL, 'KINASE II, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(58094, NULL, 'PTHR10024:SF356', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN IXA', NULL, NULL, NULL, 15),
(58095, NULL, 'PTHR43072:SF37', NULL, NULL, NULL, NULL, 'BNAA03G54100D PROTEIN', NULL, NULL, NULL, 15),
(58096, NULL, 'PTHR19143:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58097, NULL, 'PTHR12822:SF5', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', NULL, NULL, NULL, 15),
(58098, NULL, 'PTHR11566:SF154', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE PROTEIN 1E', NULL, NULL, NULL, 15),
(58099, NULL, 'PTHR12506:SF67', NULL, NULL, NULL, NULL, 'BNAA07G07880D PROTEIN', NULL, NULL, NULL, 15),
(58100, NULL, 'PTHR36463:SF1', NULL, NULL, NULL, NULL, 'KERATINOCYTE DIFFERENTIATION-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(58101, NULL, 'PTHR10791:SF70', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(58102, NULL, 'PTHR10621:SF44', NULL, NULL, NULL, NULL, 'BNAC09G00330D PROTEIN', NULL, NULL, NULL, 15),
(58103, NULL, 'PTHR32091:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58104, NULL, 'PTHR10160:SF19', NULL, NULL, NULL, NULL, 'NICOTINAMIDE NUCLEOTIDE TRANSHYDROGENASE', NULL, NULL, NULL, 15),
(58105, NULL, 'PTHR45650:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58106, NULL, 'PTHR27000:SF722', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58107, NULL, 'PTHR31374:SF157', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR36-LIKE', NULL, NULL, NULL, 15),
(58108, NULL, 'PTHR45237', NULL, NULL, NULL, NULL, 'POSSIBLE PARA-NITROBENZYL ESTERASE', NULL, NULL, NULL, 15),
(58109, NULL, 'PTHR19229:SF127', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 7', NULL, NULL, NULL, 15),
(58110, NULL, 'PTHR33057:SF128', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP3', NULL, NULL, NULL, 15),
(58111, NULL, 'PTHR42647:SF46', NULL, NULL, NULL, NULL, 'BNAA01G23230D PROTEIN', NULL, NULL, NULL, 15),
(58112, NULL, 'PTHR23009:SF2', NULL, NULL, NULL, NULL, 'HISTIDINE-RICH CARBOXYL TERMINUS PROTEIN 1', NULL, NULL, NULL, 15),
(58113, NULL, 'PTHR10736', NULL, NULL, NULL, NULL, 'BESTROPHIN', NULL, NULL, 4373, 15),
(58114, NULL, 'PTHR48047:SF83', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 87A1', NULL, NULL, NULL, 15),
(58115, NULL, 'PTHR21649:SF91', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(58116, NULL, 'PTHR20930:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ILRUN', NULL, NULL, NULL, 15),
(58117, NULL, 'PTHR31235:SF277', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(58118, NULL, 'PTHR21669:SF12', NULL, NULL, NULL, NULL, 'UBINUCLEIN-1', NULL, NULL, 28801, 15),
(58119, NULL, 'PTHR31509:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58120, NULL, 'PTHR11003:SF288', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(58121, NULL, 'PTHR10510:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(58122, NULL, 'PTHR33981', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(58123, NULL, 'PTHR22844:SF346', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE B-LIKE', NULL, NULL, NULL, 15),
(58124, NULL, 'PTHR31889:SF49', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(58125, NULL, 'PTHR12357:SF9', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING FAMILY PROTEIN 3', NULL, NULL, NULL, 15),
(58126, NULL, 'PTHR43435:SF4', NULL, NULL, NULL, NULL, 'FGGY CARBOHYDRATE KINASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(58127, NULL, 'PTHR31713:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58128, NULL, 'PTHR21310:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58129, NULL, 'PTHR35308', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7', NULL, NULL, 32131, 15),
(58130, NULL, 'PTHR47993:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58131, NULL, 'PTHR16134:SF111', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FBW2', NULL, NULL, NULL, 15),
(58132, NULL, 'PTHR46286:SF8', NULL, NULL, NULL, NULL, 'BNAC02G11530D PROTEIN', NULL, NULL, NULL, 15),
(58133, NULL, 'PTHR14791', NULL, NULL, NULL, NULL, 'BOMB/KIRA PROTEINS', NULL, NULL, NULL, 15),
(58134, NULL, 'PTHR30602:SF14', NULL, NULL, NULL, NULL, 'BNAA03G54190D PROTEIN', NULL, NULL, NULL, 15),
(58135, NULL, 'PTHR33128:SF52', NULL, NULL, NULL, NULL, 'OS02G0508801 PROTEIN', NULL, NULL, NULL, 15),
(58136, NULL, 'PTHR12022:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(58137, NULL, 'PTHR31671', NULL, NULL, NULL, NULL, 'DIABETES AND OBESITY REGULATED, ISOFORM G', NULL, NULL, 21681, 15),
(58138, NULL, 'PTHR10334:SF490', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58139, NULL, 'PTHR11017:SF422', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(58140, NULL, 'PTHR10971:SF11', NULL, NULL, NULL, NULL, 'MRNA EXPORT FACTOR', NULL, NULL, 35033, 15),
(58141, NULL, 'PTHR38117:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58142, NULL, 'PTHR31602:SF80', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 3-LIKE', NULL, NULL, NULL, 15),
(58143, NULL, 'PTHR12350:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58144, NULL, 'PTHR13831:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HIR2', NULL, NULL, NULL, 15),
(58145, NULL, 'PTHR11070:SF17', NULL, NULL, NULL, NULL, 'DNA HELICASE', NULL, NULL, NULL, 15),
(58146, NULL, 'PTHR15735:SF15', NULL, NULL, NULL, NULL, 'HIGH OSMOLARITY SIGNALING PROTEIN SHO1', NULL, NULL, 29024, 15),
(58147, NULL, 'PTHR11062:SF78', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE MUR3', NULL, NULL, NULL, 15),
(58148, NULL, 'PTHR26379:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58149, NULL, 'PTHR11830:SF23', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', NULL, NULL, NULL, 15),
(58150, NULL, 'PTHR31259:SF6', NULL, NULL, NULL, NULL, 'ENDOSOME-ASSOCIATED-TRAFFICKING REGULATOR 1', NULL, NULL, NULL, 15),
(58151, NULL, 'PTHR23135:SF4', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYL-L-ALANYL-D-GLUTAMATE--2,6-DIAMINOPIMELATE LIGASE MURE HOMOLOG, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(58152, NULL, 'PTHR47977:SF22', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABD1', NULL, NULL, NULL, 15),
(58153, NULL, 'PTHR15454:SF49', NULL, NULL, NULL, NULL, 'BNAA09G01440D PROTEIN', NULL, NULL, NULL, 15),
(58154, NULL, 'PTHR45647:SF101', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 34-LIKE', NULL, NULL, NULL, 15),
(58155, NULL, 'PTHR10791:SF143', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(58156, NULL, 'PTHR43032:SF5', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58157, NULL, 'PTHR33128:SF57', NULL, NULL, NULL, NULL, 'PEROXIDASE (DUF 3339)', NULL, NULL, NULL, 15),
(58158, NULL, 'PTHR43139:SF30', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(58159, NULL, 'PTHR33739:SF14', NULL, NULL, NULL, NULL, 'BNAA01G23760D PROTEIN', NULL, NULL, NULL, 15),
(58160, NULL, 'PTHR45654:SF12', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ROC8', NULL, NULL, NULL, 15),
(58161, NULL, 'PTHR38820:SF1', NULL, NULL, NULL, NULL, 'ANNEXIN-2 RECEPTOR', NULL, NULL, NULL, 15),
(58162, NULL, 'PTHR34223:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58163, NULL, 'PTHR42683:SF45', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(58164, NULL, 'PTHR24148', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 39 HOMOLOG-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58165, NULL, 'PTHR48079:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58166, NULL, 'PTHR33932:SF5', NULL, NULL, NULL, NULL, 'MULTIPLE RESISTANCE/PH REGULATION RELATED PROTEIN B (NA+/H+ ANTIPORTER)', NULL, NULL, NULL, 15),
(58167, NULL, 'PTHR45621:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58168, NULL, 'PTHR23177:SF65', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 4', NULL, NULL, NULL, 15),
(58169, NULL, 'PTHR33165:SF47', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(58170, NULL, 'PTHR48019:SF65', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 27', NULL, NULL, NULL, 15),
(58171, NULL, 'PTHR33918:SF2', NULL, NULL, NULL, NULL, 'OS01G0704200 PROTEIN', NULL, NULL, NULL, 15),
(58172, NULL, 'PTHR15138:SF24', NULL, NULL, NULL, NULL, 'OS03G0441000 PROTEIN', NULL, NULL, NULL, 15),
(58173, NULL, 'PTHR43688:SF1', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN LIPOAMIDASE SIRTUIN-4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(58174, NULL, 'PTHR43349:SF34', NULL, NULL, NULL, NULL, 'PINORESINOL-LARICIRESINOL REDUCTASE 3-RELATED', NULL, NULL, NULL, 15),
(58175, NULL, 'PTHR10638:SF71', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(58176, NULL, 'PTHR48080:SF2', NULL, NULL, NULL, NULL, 'D-GALACTONATE DEHYDRATASE', NULL, NULL, NULL, 15),
(58177, NULL, 'PTHR47956:SF39', NULL, NULL, NULL, NULL, 'OS02G0186800 PROTEIN', NULL, NULL, NULL, 15),
(58178, NULL, 'PTHR31889:SF79', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 7', NULL, NULL, NULL, 15),
(58179, NULL, 'PTHR47958:SF34', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-II', NULL, NULL, NULL, 15),
(58180, NULL, 'PTHR16524', NULL, NULL, NULL, NULL, 'CELL DEATH REGULATOR AVEN', NULL, NULL, 26550, 15),
(58181, NULL, 'PTHR33972:SF20', NULL, NULL, NULL, NULL, 'BNAC07G15820D PROTEIN', NULL, NULL, NULL, 15),
(58182, NULL, 'PTHR43281:SF25', NULL, NULL, NULL, NULL, 'BNAANNG18270D PROTEIN', NULL, NULL, NULL, 15),
(58183, NULL, 'PTHR47771:SF1', NULL, NULL, NULL, NULL, 'HL02234P', NULL, NULL, NULL, 15),
(58184, NULL, 'PTHR43991:SF32', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(58185, NULL, 'PTHR12271:SF108', NULL, NULL, NULL, NULL, 'U SIX SNRNA INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(58186, NULL, 'PTHR33238:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MNTR', NULL, NULL, NULL, 15),
(58187, NULL, 'PTHR36512:SF3', NULL, NULL, NULL, NULL, 'BLR5678 PROTEIN', NULL, NULL, NULL, 15),
(58188, NULL, 'PTHR46632', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINA-LIKE 4', NULL, NULL, 36884, 15),
(58189, NULL, 'PTHR10519:SF42', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID TYPE B RECEPTOR SUBUNIT 1', NULL, NULL, NULL, 15),
(58190, NULL, 'PTHR33499:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58191, NULL, 'PTHR43242:SF1', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(58192, NULL, 'PTHR38130:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58193, NULL, 'PTHR46102:SF2', NULL, NULL, NULL, NULL, 'AXIN', NULL, NULL, NULL, 15),
(58194, NULL, 'PTHR35162:SF2', NULL, NULL, NULL, NULL, 'OS08G0516600 PROTEIN', NULL, NULL, NULL, 15),
(58195, NULL, 'PTHR47998:SF6', NULL, NULL, NULL, NULL, 'OS02G0732600 PROTEIN', NULL, NULL, NULL, 15),
(58196, NULL, 'PTHR31089:SF49', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.5-LIKE', NULL, NULL, NULL, 15),
(58197, NULL, 'PTHR47861', NULL, NULL, NULL, NULL, 'FKBP-TYPE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE SLYD', NULL, NULL, NULL, 15),
(58198, NULL, 'PTHR30093:SF7', NULL, NULL, NULL, NULL, 'MSHA MAJOR PILIN SUBUNIT MSHA', NULL, NULL, NULL, 15),
(58199, NULL, 'PTHR31719:SF165', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 68', NULL, NULL, NULL, 15),
(58200, NULL, 'PTHR13691:SF53', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L8-3', NULL, NULL, NULL, 15),
(58201, NULL, 'PTHR15852:SF65', NULL, NULL, NULL, NULL, 'PROTEIN P13.9, PUTATIVE-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58202, NULL, 'PTHR45744:SF5', NULL, NULL, NULL, NULL, 'NICOTIANAMINE AMINOTRANSFERASE 1', NULL, NULL, NULL, 15),
(58203, NULL, 'PTHR47871', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(58204, NULL, 'PTHR34542:SF6', NULL, NULL, NULL, NULL, '50S RIBOSOMAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(58205, NULL, 'PTHR42932:SF1', NULL, NULL, NULL, NULL, 'GENERAL STRESS PROTEIN 20U', NULL, NULL, NULL, 15),
(58206, NULL, 'PTHR11776:SF0', NULL, NULL, NULL, NULL, 'ZGC:174895', NULL, NULL, NULL, 15),
(58207, NULL, 'PTHR46066:SF2', NULL, NULL, NULL, NULL, 'CHITINASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(58208, NULL, 'PTHR32196:SF66', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(58209, NULL, 'PTHR31585:SF12', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 9, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(58210, NULL, 'PTHR15431:SF14', NULL, NULL, NULL, NULL, 'ORAL-FACIAL-DIGITAL SYNDROME 1 PROTEIN', NULL, NULL, NULL, 15),
(58211, NULL, 'PTHR48002:SF146', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4X2', NULL, NULL, NULL, 15),
(58212, NULL, 'PTHR35461', NULL, NULL, NULL, NULL, 'BNAANNG14610D PROTEIN', NULL, NULL, NULL, 15),
(58213, NULL, 'PTHR19443:SF68', NULL, NULL, NULL, NULL, 'HEXOKINASE-7', NULL, NULL, NULL, 15),
(58214, NULL, 'PTHR24064:SF533', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 2', NULL, NULL, NULL, 15),
(58215, NULL, 'PTHR43208', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(58216, NULL, 'PTHR33018:SF20', NULL, NULL, NULL, NULL, 'ULP1 PROTEASE FAMILY, C-TERMINAL CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58217, NULL, 'PTHR23504:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58218, NULL, 'PTHR10971:SF27', NULL, NULL, NULL, NULL, 'PLANT POLY(A)+ RNA EXPORT PROTEIN', NULL, NULL, NULL, 15),
(58219, NULL, 'PTHR13693:SF50', NULL, NULL, NULL, NULL, '5-AMINOLEVULINATE SYNTHASE, NONSPECIFIC, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(58220, NULL, 'PTHR24123:SF84', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 17', NULL, NULL, NULL, 15),
(58221, NULL, 'PTHR32018:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58222, NULL, 'PTHR46083:SF3', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(58223, NULL, 'PTHR36781:SF1', NULL, NULL, NULL, NULL, 'OS05G0114600 PROTEIN', NULL, NULL, NULL, 15),
(58224, NULL, 'PTHR34977', NULL, NULL, NULL, NULL, 'UPF0337 PROTEIN YJBJ', NULL, NULL, NULL, 15),
(58225, NULL, 'PTHR13268:SF11', NULL, NULL, NULL, NULL, 'ATG18-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58226, NULL, 'PTHR34358:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58227, NULL, 'PTHR37177:SF6', NULL, NULL, NULL, NULL, 'BNAA04G17160D PROTEIN', NULL, NULL, NULL, 15),
(58228, NULL, 'PTHR31677:SF128', NULL, NULL, NULL, NULL, 'BNAC03G69420D PROTEIN', NULL, NULL, NULL, 15),
(58229, NULL, 'PTHR15422', NULL, NULL, NULL, NULL, 'OS05G0565100 PROTEIN', NULL, NULL, 39255, 15),
(58230, NULL, 'PTHR31901:SF67', NULL, NULL, NULL, NULL, 'GH3 FAMILY-RELATED', NULL, NULL, NULL, 15),
(58231, NULL, 'PTHR33181:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58232, NULL, 'PTHR21297:SF4', NULL, NULL, NULL, NULL, 'BNACNNG11130D PROTEIN', NULL, NULL, NULL, 15),
(58233, NULL, 'PTHR48043:SF84', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(58234, NULL, 'PTHR34219:SF6', NULL, NULL, NULL, NULL, 'BLR3280 PROTEIN', NULL, NULL, NULL, 15),
(58235, NULL, 'PTHR31286:SF55', NULL, NULL, NULL, NULL, 'BNAC06G26400D PROTEIN', NULL, NULL, NULL, 15),
(58236, NULL, 'PTHR16897:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58237, NULL, 'PTHR18966:SF417', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(58238, NULL, 'PTHR21562:SF98', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 3', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58239, NULL, 'PTHR10985:SF8', NULL, NULL, NULL, NULL, 'HAIRY AND ENHANCER OF SPLIT-RELATED PROTEIN HELT', NULL, NULL, NULL, 15),
(58240, NULL, 'PTHR13271:SF9', NULL, NULL, NULL, NULL, 'RUBISCO METHYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(58241, NULL, 'PTHR45808:SF13', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACR', NULL, NULL, NULL, 15),
(58242, NULL, 'PTHR12461:SF81', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN C', NULL, NULL, NULL, 15),
(58243, NULL, 'PTHR27007:SF75', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58244, NULL, 'PTHR31302:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN WITH METALLOPHOSPHOESTERASE DOMAIN', NULL, NULL, NULL, 15),
(58245, NULL, 'PTHR12302:SF21', NULL, NULL, NULL, NULL, 'STAPHYLOCOCCAL-LIKE NUCLEASE CAN2', NULL, NULL, NULL, 15),
(58246, NULL, 'PTHR33147:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58247, NULL, 'PTHR12300:SF93', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN 5', NULL, NULL, NULL, 15),
(58248, NULL, 'PTHR15910:SF1', NULL, NULL, NULL, NULL, 'ARCHAEMETZINCIN', NULL, NULL, NULL, 15),
(58249, NULL, 'PTHR23504:SF84', NULL, NULL, NULL, NULL, 'ZINC INDUCED FACILITATOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(58250, NULL, 'PTHR46662:SF40', NULL, NULL, NULL, NULL, 'PROTEIN TOO MANY MOUTHS', NULL, NULL, NULL, 15),
(58251, NULL, 'PTHR42714:SF6', NULL, NULL, NULL, NULL, 'ATP/GTP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58252, NULL, 'PTHR13832:SF762', NULL, NULL, NULL, NULL, 'BNAANNG08800D PROTEIN', NULL, NULL, NULL, 15),
(58253, NULL, 'PTHR21523:SF10', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', NULL, NULL, NULL, 15),
(58254, NULL, 'PTHR10629:SF51', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(58255, NULL, 'PTHR46519:SF3', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(58256, NULL, 'PTHR34000:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58257, NULL, 'PTHR45581:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06551', NULL, NULL, NULL, 15),
(58258, NULL, 'PTHR11691:SF61', NULL, NULL, NULL, NULL, 'INTERFERON-DELTA-4', NULL, NULL, NULL, 15),
(58259, NULL, 'PTHR14453:SF70', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP9', NULL, NULL, NULL, 15),
(58260, NULL, 'PTHR11158', NULL, NULL, NULL, NULL, 'MSF1/PX19 RELATED', NULL, NULL, 32046, 15),
(58261, NULL, 'PTHR23092:SF49', NULL, NULL, NULL, NULL, 'DNA POLYMERASE SIGMA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(58262, NULL, 'PTHR11394:SF66', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 46', NULL, NULL, NULL, 15),
(58263, NULL, 'PTHR35801:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE RSBX', NULL, NULL, NULL, 15),
(58264, NULL, 'PTHR31657:SF52', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58265, NULL, 'PTHR10209:SF135', NULL, NULL, NULL, NULL, 'DEACETOXYVINDOLINE 4-HYDROXYLASE', NULL, NULL, NULL, 15),
(58266, NULL, 'PTHR10165:SF114', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE RELATED HOMOLOG', NULL, NULL, NULL, 15),
(58267, NULL, 'PTHR23001:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58268, NULL, 'PTHR32154:SF29', NULL, NULL, NULL, NULL, 'BLR6743 PROTEIN', NULL, NULL, NULL, 15),
(58269, NULL, 'PTHR45648:SF111', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58270, NULL, 'PTHR21646:SF42', NULL, NULL, NULL, NULL, 'UBIQUITIN SPECIFIC PROTEASE', NULL, NULL, NULL, 15),
(58271, NULL, 'PTHR11267', NULL, NULL, NULL, NULL, 'T-BOX PROTEIN-RELATED', NULL, NULL, 3215, 15),
(58272, NULL, 'PTHR24346:SF65', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE GRIK2-LIKE', NULL, NULL, NULL, 15),
(58273, NULL, 'PTHR27006:SF253', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(58274, NULL, 'PTHR31636:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58275, NULL, 'PTHR10489', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE', NULL, NULL, NULL, 15),
(58276, NULL, 'PTHR12480:SF35', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(58277, NULL, 'PTHR37287:SF1', NULL, NULL, NULL, NULL, 'INO EIGHTY SUBUNIT 1', NULL, NULL, NULL, 15),
(58278, NULL, 'PTHR12173:SF9', NULL, NULL, NULL, NULL, 'ARTEMIN', NULL, NULL, NULL, 15),
(58279, NULL, 'PTHR43414:SF3', NULL, NULL, NULL, NULL, 'LMO2377 PROTEIN', NULL, NULL, NULL, 15),
(58280, NULL, 'PTHR31676:SF138', NULL, NULL, NULL, NULL, 'BNAA02G04340D PROTEIN', NULL, NULL, NULL, 15),
(58281, NULL, 'PTHR33281:SF1', NULL, NULL, NULL, NULL, 'UPF0187 PROTEIN YNEE', NULL, NULL, NULL, 15),
(58282, NULL, 'PTHR46058:SF28', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE', NULL, NULL, NULL, 15),
(58283, NULL, 'PTHR24015:SF1868', NULL, NULL, NULL, NULL, 'OS12G0490100 PROTEIN', NULL, NULL, NULL, 15),
(58284, NULL, 'PTHR31509:SF73', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF241)-RELATED', NULL, NULL, NULL, 15),
(58285, NULL, 'PTHR31969:SF55', NULL, NULL, NULL, NULL, 'GRAM DOMAIN PROTEIN/ABA-RESPONSIVE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(58286, NULL, 'PTHR10996:SF249', NULL, NULL, NULL, NULL, 'BNAA09G47050D PROTEIN', NULL, NULL, NULL, 15),
(58287, NULL, 'PTHR45996:SF2', NULL, NULL, NULL, NULL, 'CYCLIC AMP-RESPONSIVE ELEMENT-BINDING PROTEIN 3-LIKE PROTEIN 4', NULL, NULL, 27827, 15),
(58288, NULL, 'PTHR10900:SF115', NULL, NULL, NULL, NULL, 'FI19380P1', NULL, NULL, NULL, 15),
(58289, NULL, 'PTHR34119:SF13', NULL, NULL, NULL, NULL, 'ARFAPTIN HOMOLOGY (AH) DOMAIN/BAR DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58290, NULL, 'PTHR21516:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG05501', NULL, NULL, NULL, 15),
(58291, NULL, 'PTHR42951:SF15', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(58292, NULL, 'PTHR43804:SF6', NULL, NULL, NULL, NULL, 'CLASS I PEPTIDE CHAIN RELEASE FACTOR', NULL, NULL, NULL, 15),
(58293, NULL, 'PTHR45974:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58294, NULL, 'PTHR24023:SF568', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(I) CHAIN', NULL, NULL, NULL, 15),
(58295, NULL, 'PTHR32196:SF69', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, PERMEASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58296, NULL, 'PTHR13169:SF9', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN 2', NULL, NULL, NULL, 15),
(58297, NULL, 'PTHR34198:SF17', NULL, NULL, NULL, NULL, 'BNAANNG26280D PROTEIN', NULL, NULL, NULL, 15),
(58298, NULL, 'PTHR45717:SF32', NULL, NULL, NULL, NULL, 'BNAC01G28810D PROTEIN', NULL, NULL, NULL, 15),
(58299, NULL, 'PTHR24376:SF166', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 735-RELATED', NULL, NULL, NULL, 15),
(58300, NULL, 'PTHR13906:SF17', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE 2-LIKE', NULL, NULL, NULL, 15),
(58301, NULL, 'PTHR31598', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN D', NULL, NULL, 37419, 15),
(58302, NULL, 'PTHR19051:SF18', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 15-1', NULL, NULL, NULL, 15),
(58303, NULL, 'PTHR46260:SF1', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 8A', NULL, NULL, NULL, 15),
(58304, NULL, 'PTHR24359:SF22', NULL, NULL, NULL, NULL, 'LOC100135243 PROTEIN', NULL, NULL, NULL, 15),
(58305, NULL, 'PTHR11909:SF404', NULL, NULL, NULL, NULL, 'BNAA05G37270D PROTEIN', NULL, NULL, NULL, 15),
(58306, NULL, 'PTHR31280:SF1', NULL, NULL, NULL, NULL, 'OS02G0796200 PROTEIN', NULL, NULL, NULL, 15),
(58307, NULL, 'PTHR31623:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58308, NULL, 'PTHR31403:SF11', NULL, NULL, NULL, NULL, 'OS12G0614500 PROTEIN', NULL, NULL, NULL, 15),
(58309, NULL, 'PTHR47925:SF77', NULL, NULL, NULL, NULL, 'BNAC04G43080D PROTEIN', NULL, NULL, NULL, 15),
(58310, NULL, 'PTHR31627:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-7', NULL, NULL, NULL, 15),
(58311, NULL, 'PTHR37831:SF1', NULL, NULL, NULL, NULL, 'D-RIBOSE PYRANASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58312, NULL, 'PTHR15160:SF16', NULL, NULL, NULL, NULL, 'NUCLEASE IN BASAL DEFENSE RESPONSE PROTEIN', NULL, NULL, NULL, 15),
(58313, NULL, 'PTHR31717:SF58', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 13', NULL, NULL, NULL, 15),
(58314, NULL, 'PTHR34208:SF13', NULL, NULL, NULL, NULL, 'BNACNNG21600D PROTEIN', NULL, NULL, NULL, 15),
(58315, NULL, 'PTHR48049:SF35', NULL, NULL, NULL, NULL, 'SCOPOLETIN GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(58316, NULL, 'PTHR31985:SF181', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58317, NULL, 'PTHR45722:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-LIKE', NULL, NULL, NULL, 15),
(58318, NULL, 'PTHR24222:SF67', NULL, NULL, NULL, NULL, 'IRON IMPORT ATP-BINDING/PERMEASE PROTEIN IRTA', NULL, NULL, NULL, 15),
(58319, NULL, 'PTHR16675:SF266', NULL, NULL, NULL, NULL, 'UL16-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(58320, NULL, 'PTHR11847:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L15-1-RELATED', NULL, NULL, NULL, 15),
(58321, NULL, 'PTHR47000:SF1', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(58322, NULL, 'PTHR10201:SF274', NULL, NULL, NULL, NULL, 'BNACNNG51190D PROTEIN', NULL, NULL, NULL, 15),
(58323, NULL, 'PTHR47991:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58324, NULL, 'PTHR32370:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58325, NULL, 'PTHR11616:SF124', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT GABA TRANSPORTER 3', NULL, NULL, NULL, 15),
(58326, NULL, 'PTHR47947:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(58327, NULL, 'PTHR11003:SF21', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 2', NULL, NULL, NULL, 15),
(58328, NULL, 'PTHR23189:SF49', NULL, NULL, NULL, NULL, 'SPEN FAMILY TRANSCRIPTIONAL REPRESSOR', NULL, NULL, NULL, 15),
(58329, NULL, 'PTHR23143:SF19', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 6-LIKE PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(58330, NULL, 'PTHR39377:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG18423', NULL, NULL, NULL, 15),
(58331, NULL, 'PTHR21649:SF89', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(58332, NULL, 'PTHR24282:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58333, NULL, 'PTHR43288:SF2', NULL, NULL, NULL, NULL, 'BIOTIN SYNTHASE-RELATED PROTEIN, RADICAL SAM SUPERFAMILY', NULL, NULL, NULL, 15),
(58334, NULL, 'PTHR32208:SF72', NULL, NULL, NULL, NULL, 'BNAC07G14990D PROTEIN', NULL, NULL, NULL, 15),
(58335, NULL, 'PTHR23130:SF89', NULL, NULL, NULL, NULL, 'OS08G0524400 PROTEIN', NULL, NULL, NULL, 15),
(58336, NULL, 'PTHR24099:SF17', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF CONTAINING 55', NULL, NULL, NULL, 15),
(58337, NULL, 'PTHR46080', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN J', NULL, NULL, NULL, 15),
(58338, NULL, 'PTHR12317:SF0', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(58339, NULL, 'PTHR23065:SF25', NULL, NULL, NULL, NULL, 'MENTAL RETARDATION GTPASE ACTIVATING PROTEIN HOMOLOG 1', NULL, NULL, NULL, 15),
(58340, NULL, 'PTHR45724:SF23', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP4-1', NULL, NULL, NULL, 15),
(58341, NULL, 'PTHR10046:SF48', NULL, NULL, NULL, NULL, 'ENDOPEPTIDASE LA', NULL, NULL, NULL, 15),
(58342, NULL, 'PTHR12232:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58343, NULL, 'PTHR24296:SF171', NULL, NULL, NULL, NULL, 'BNAANNG14430D PROTEIN', NULL, NULL, NULL, 15),
(58344, NULL, 'PTHR23147:SF14', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 8', NULL, NULL, NULL, 15),
(58345, NULL, 'PTHR15191', NULL, NULL, NULL, NULL, 'PROTEIN CBG20567', NULL, NULL, NULL, 15),
(58346, NULL, 'PTHR46307:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EHMT1', NULL, NULL, 34753, 15),
(58347, NULL, 'PTHR11022:SF62', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-RECOGNITION PROTEIN LA', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58348, NULL, 'PTHR11848:SF22', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 15', NULL, NULL, 9322, 15),
(58349, NULL, 'PTHR48002:SF25', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(58350, NULL, 'PTHR10913:SF13', NULL, NULL, NULL, NULL, 'FOLLISTATIN-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(58351, NULL, 'PTHR23504:SF14', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(58352, NULL, 'PTHR10639:SF22', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(58353, NULL, 'PTHR11741:SF5', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TS, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(58354, NULL, 'PTHR45977:SF1', NULL, NULL, NULL, NULL, 'OS02G0674700 PROTEIN', NULL, NULL, NULL, 15),
(58355, NULL, 'PTHR31235:SF35', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(58356, NULL, 'PTHR48049:SF31', NULL, NULL, NULL, NULL, 'SOYASAPOGENOL B GLUCURONIDE GALACTOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(58357, NULL, 'PTHR10050:SF46', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSYL-TRANSFERASE 2', NULL, NULL, NULL, 15),
(58358, NULL, 'PTHR11432', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE SUBUNIT 1', NULL, NULL, 3076, 15),
(58359, NULL, 'PTHR33147:SF15', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(58360, NULL, 'PTHR33077:SF61', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 3A-RELATED', NULL, NULL, NULL, 15),
(58361, NULL, 'PTHR11977:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58362, NULL, 'PTHR46128:SF178', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58363, NULL, 'PTHR21141:SF91', NULL, NULL, NULL, NULL, 'BNAA04G15980D PROTEIN', NULL, NULL, NULL, 15),
(58364, NULL, 'PTHR12442:SF12', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 78', NULL, NULL, NULL, 15),
(58365, NULL, 'PTHR30250:SF10', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE BIOSYNTHESIS PROTEIN WZXC', NULL, NULL, NULL, 15),
(58366, NULL, 'PTHR13042:SF6', NULL, NULL, NULL, NULL, 'GENE 16381-RELATED', NULL, NULL, NULL, 15),
(58367, NULL, 'PTHR31194:SF127', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF069-LIKE', NULL, NULL, NULL, 15),
(58368, NULL, 'PTHR11132:SF392', NULL, NULL, NULL, NULL, 'GDP-MANNOSE TRANSPORTER GONST3', NULL, NULL, NULL, 15),
(58369, NULL, 'PTHR12378:SF58', NULL, NULL, NULL, NULL, 'PPPDE PUTATIVE PEPTIDASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58370, NULL, 'PTHR14379:SF31', NULL, NULL, NULL, NULL, 'BNAA01G07790D PROTEIN', NULL, NULL, NULL, 15),
(58371, NULL, 'PTHR22791:SF9', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 183', NULL, NULL, NULL, 15),
(58372, NULL, 'PTHR13844:SF70', NULL, NULL, NULL, NULL, 'BNAA08G14290D PROTEIN', NULL, NULL, NULL, 15),
(58373, NULL, 'PTHR45765:SF4', NULL, NULL, NULL, NULL, 'METHIONINE--TRNA LIGASE CYTOPLASMIC', NULL, NULL, NULL, 15),
(58374, NULL, 'PTHR24282:SF99', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714A1', NULL, NULL, NULL, 15),
(58375, NULL, 'PTHR24253:SF90', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 55', NULL, NULL, NULL, 15),
(58376, NULL, 'PTHR26374:SF355', NULL, NULL, NULL, NULL, 'AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(58377, NULL, 'PTHR37014', NULL, NULL, NULL, NULL, 'EXPRESSION LETHALITY PROTEIN HEL10, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06580)-RELATED', NULL, NULL, NULL, 15),
(58378, NULL, 'PTHR31717:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 10', NULL, NULL, NULL, 15),
(58379, NULL, 'PTHR42647:SF26', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58380, NULL, 'PTHR47127:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58381, NULL, 'PTHR24115:SF925', NULL, NULL, NULL, NULL, 'BNAC03G59790D PROTEIN', NULL, NULL, NULL, 15),
(58382, NULL, 'PTHR47629:SF9', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(58383, NULL, 'PTHR13379:SF0', NULL, NULL, NULL, NULL, 'UPF0415 PROTEIN C7ORF25', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58384, NULL, 'PTHR31707:SF181', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(58385, NULL, 'PTHR32133:SF315', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58386, NULL, 'PTHR31948:SF55', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 2', NULL, NULL, NULL, 15),
(58387, NULL, 'PTHR32054:SF66', NULL, NULL, NULL, NULL, 'BNACNNG18760D PROTEIN', NULL, NULL, NULL, 15),
(58388, NULL, 'PTHR27005:SF387', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 8', NULL, NULL, NULL, 15),
(58389, NULL, 'PTHR48247:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58390, NULL, 'PTHR31790:SF342', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(58391, NULL, 'PTHR47094:SF12', NULL, NULL, NULL, NULL, 'ELFLESS, ISOFORM B', NULL, NULL, NULL, 15),
(58392, NULL, 'PTHR32295:SF126', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', NULL, NULL, NULL, 15),
(58393, NULL, 'PTHR19241:SF574', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 30-RELATED', NULL, NULL, NULL, 15),
(58394, NULL, 'PTHR16476:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM216A', NULL, NULL, NULL, 15),
(58395, NULL, 'PTHR47594', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, 37919, 15),
(58396, NULL, 'PTHR20858:SF19', NULL, NULL, NULL, NULL, 'PYRIDOXINE KINASE', NULL, NULL, NULL, 15),
(58397, NULL, 'PTHR47990:SF175', NULL, NULL, NULL, NULL, 'BNAA09G13940D PROTEIN', NULL, NULL, NULL, 15),
(58398, NULL, 'PTHR35707', NULL, NULL, NULL, NULL, 'OS06G0608100 PROTEIN', NULL, NULL, NULL, 15),
(58399, NULL, 'PTHR21461:SF61', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(58400, NULL, 'PTHR22950:SF154', NULL, NULL, NULL, NULL, 'PROTON-COUPLED AMINO ACID TRANSPORTER-LIKE PROTEIN PATHETIC', NULL, NULL, NULL, 15),
(58401, NULL, 'PTHR12763:SF42', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM14-3-LIKE', NULL, NULL, NULL, 15),
(58402, NULL, 'PTHR31446:SF31', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE/VANADIUM-DEPENDENT HALOPEROXIDASE-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58403, NULL, 'PTHR11403:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 3', NULL, NULL, NULL, 15),
(58404, NULL, 'PTHR43173:SF31', NULL, NULL, NULL, NULL, 'ALPHA-1,3-GLUCANASE/MUTANASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(58405, NULL, 'PTHR47926:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58406, NULL, 'PTHR17985:SF22', NULL, NULL, NULL, NULL, 'OS04G0564500 PROTEIN', NULL, NULL, NULL, 15),
(58407, NULL, 'PTHR46265:SF4', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN REN1', NULL, NULL, NULL, 15),
(58408, NULL, 'PTHR11362:SF13', NULL, NULL, NULL, NULL, 'PROTEIN TERMINAL FLOWER 1', NULL, NULL, 24926, 15),
(58409, NULL, 'PTHR31443', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 24931, 15),
(58410, NULL, 'PTHR11256:SF51', NULL, NULL, NULL, NULL, 'GENE 20521-RELATED', NULL, NULL, 8506, 15),
(58411, NULL, 'PTHR21136:SF200', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN, LONGIN-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58412, NULL, 'PTHR42991:SF3', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(58413, NULL, 'PTHR24214:SF32', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN 5', NULL, NULL, NULL, 15),
(58414, NULL, 'PTHR32379', NULL, NULL, NULL, NULL, 'GUANIDINOACETATE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(58415, NULL, 'PTHR47974:SF11', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', NULL, NULL, NULL, 15),
(58416, NULL, 'PTHR31621:SF63', NULL, NULL, NULL, NULL, 'BNAA03G55920D PROTEIN', NULL, NULL, NULL, 15),
(58417, NULL, 'PTHR32411:SF56', NULL, NULL, NULL, NULL, 'BNAA01G12770D PROTEIN', NULL, NULL, NULL, 15),
(58418, NULL, 'PTHR24067:SF273', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 7-LIKE', NULL, NULL, NULL, 15),
(58419, NULL, 'PTHR15092:SF43', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58420, NULL, 'PTHR24305:SF197', NULL, NULL, NULL, NULL, 'OS06G0641200 PROTEIN', NULL, NULL, NULL, 15),
(58421, NULL, 'PTHR33963', NULL, NULL, NULL, NULL, 'MKRN2 OPPOSITE STRAND PROTEIN', NULL, NULL, 27635, 15),
(58422, NULL, 'PTHR44218:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SPA1-RELATED 3', NULL, NULL, NULL, 15),
(58423, NULL, 'PTHR33133:SF36', NULL, NULL, NULL, NULL, 'BNAC04G26430D PROTEIN', NULL, NULL, NULL, 15),
(58424, NULL, 'PTHR34475:SF1', NULL, NULL, NULL, NULL, 'CYTOSKELETON PROTEIN RODZ', NULL, NULL, NULL, 15),
(58425, NULL, 'PTHR11370', NULL, NULL, NULL, NULL, 'DNA-REPAIR PROTEIN XRCC1', NULL, NULL, NULL, 15),
(58426, NULL, 'PTHR33671:SF3', NULL, NULL, NULL, NULL, 'F28N24.8 PROTEIN', NULL, NULL, NULL, 15),
(58427, NULL, 'PTHR40141', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58428, NULL, 'PTHR31218', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, 24868, 15),
(58429, NULL, 'PTHR48092:SF18', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 6 GROUP A MEMBER 1', NULL, NULL, NULL, 15),
(58430, NULL, 'PTHR30540:SF101', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(58431, NULL, 'PTHR26453:SF184', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2J1', NULL, NULL, NULL, 15),
(58432, NULL, 'PTHR21724:SF103', NULL, NULL, NULL, NULL, 'PROTEIN CBG20815', NULL, NULL, NULL, 15),
(58433, NULL, 'PTHR31044:SF47', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(58434, NULL, 'PTHR15245:SF39', NULL, NULL, NULL, NULL, 'SYMPLEKIN-RELATED', NULL, NULL, NULL, 15),
(58435, NULL, 'PTHR43201:SF12', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', NULL, NULL, NULL, 15),
(58436, NULL, 'PTHR22883:SF299', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(58437, NULL, 'PTHR11571:SF133', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 3', NULL, NULL, NULL, 15),
(58438, NULL, 'PTHR11206:SF140', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 36', NULL, NULL, NULL, 15),
(58439, NULL, 'PTHR23257:SF841', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0290621-RELATED', NULL, NULL, NULL, 15),
(58440, NULL, 'PTHR10622:SF10', NULL, NULL, NULL, NULL, 'HET DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(58441, NULL, 'PTHR31949:SF29', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(58442, NULL, 'PTHR23248:SF31', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', NULL, NULL, NULL, 15),
(58443, NULL, 'PTHR46352:SF5', NULL, NULL, NULL, NULL, 'OS03G0838800 PROTEIN', NULL, NULL, NULL, 15),
(58444, NULL, 'PTHR13115:SF15', NULL, NULL, NULL, NULL, 'PLUS-3 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(58445, NULL, 'PTHR11655:SF36', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L9-1', NULL, NULL, NULL, 15),
(58446, NULL, 'PTHR48011:SF10', NULL, NULL, NULL, NULL, 'OS10G0130000 PROTEIN', NULL, NULL, NULL, 15),
(58447, NULL, 'PTHR35381', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58448, NULL, 'PTHR24340:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58449, NULL, 'PTHR48001:SF25', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(58450, NULL, 'PTHR36340:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE SUBUNIT CRR3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(58451, NULL, 'PTHR11783:SF194', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(58452, NULL, 'PTHR23406:SF63', NULL, NULL, NULL, NULL, 'MALIC ENZYME', NULL, NULL, NULL, 15),
(58453, NULL, 'PTHR11530:SF11', NULL, NULL, NULL, NULL, 'D-ASPARTATE OXIDASE', NULL, NULL, NULL, 15),
(58454, NULL, 'PTHR10489:SF941', NULL, NULL, NULL, NULL, 'CABZ01093075.1-RELATED', NULL, NULL, NULL, 15),
(58455, NULL, 'PTHR12619:SF30', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RFX6', NULL, NULL, NULL, 15),
(58456, NULL, 'PTHR31429:SF38', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 49', NULL, NULL, NULL, 15),
(58457, NULL, 'PTHR31989:SF374', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58458, NULL, 'PTHR23266:SF152', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION MOPC 47A-RELATED', NULL, NULL, NULL, 15),
(58459, NULL, 'PTHR11961:SF40', NULL, NULL, NULL, NULL, 'CYTOCHROME C-1', NULL, NULL, NULL, 15),
(58460, NULL, 'PTHR23227:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58461, NULL, 'PTHR24368', NULL, NULL, NULL, NULL, 'AMPHOTERIN-INDUCED PROTEIN', NULL, NULL, 22546, 15),
(58462, NULL, 'PTHR11439:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58463, NULL, 'PTHR14167:SF76', NULL, NULL, NULL, NULL, 'CAP, ISOFORM X-RELATED', NULL, NULL, NULL, 15),
(58464, NULL, 'PTHR18945:SF196', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT RHO-3', NULL, NULL, NULL, 15),
(58465, NULL, 'PTHR11662:SF434', NULL, NULL, NULL, NULL, 'SIALIN', NULL, NULL, NULL, 15),
(58466, NULL, 'PTHR23129:SF0', NULL, NULL, NULL, NULL, 'FAT STORAGE-INDUCING TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(58467, NULL, 'PTHR21319:SF45', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(58468, NULL, 'PTHR11690:SF267', NULL, NULL, NULL, NULL, 'DEGENERIN MEC-4', NULL, NULL, NULL, 15),
(58469, NULL, 'PTHR23245:SF31', NULL, NULL, NULL, NULL, 'TRNA WYBUTOSINE-SYNTHESIZING PROTEIN 3 HOMOLOG', NULL, NULL, NULL, 15),
(58470, NULL, 'PTHR33149:SF35', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II D2 PROTEIN', NULL, NULL, NULL, 15),
(58471, NULL, 'PTHR12128:SF28', NULL, NULL, NULL, NULL, '2-DEHYDRO-3-DEOXY-D-GLUCONATE ALDOLASE YAGE-RELATED', NULL, NULL, NULL, 15),
(58472, NULL, 'PTHR47285:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TIC 62, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(58473, NULL, 'PTHR24248:SF170', NULL, NULL, NULL, NULL, 'D(1B) DOPAMINE RECEPTOR', NULL, NULL, NULL, 15),
(58474, NULL, 'PTHR24023:SF954', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE II, ALPHA 1', NULL, NULL, NULL, 15),
(58475, NULL, 'PTHR37422', NULL, NULL, NULL, NULL, 'TEICHURONIC ACID BIOSYNTHESIS PROTEIN TUAE', NULL, NULL, NULL, 15),
(58476, NULL, 'PTHR25462:SF255', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 42', NULL, NULL, NULL, 15),
(58477, NULL, 'PTHR19957:SF313', NULL, NULL, NULL, NULL, 'BNAA08G25390D PROTEIN', NULL, NULL, NULL, 15),
(58478, NULL, 'PTHR33076:SF119', NULL, NULL, NULL, NULL, 'OS03G0808500 PROTEIN', NULL, NULL, NULL, 15),
(58479, NULL, 'PTHR11835:SF43', NULL, NULL, NULL, NULL, 'ISOCITRATE/ISOPROPYLMALATE DEHYDROGENASE', NULL, NULL, 8888, 15),
(58480, NULL, 'PTHR32410:SF181', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(58481, NULL, 'PTHR45961', NULL, NULL, NULL, NULL, 'IP21249P', NULL, NULL, NULL, 15),
(58482, NULL, 'PTHR23236:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58483, NULL, 'PTHR16083', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(58484, NULL, 'PTHR45977:SF38', NULL, NULL, NULL, NULL, 'BNAA04G26400D PROTEIN', NULL, NULL, NULL, 15),
(58485, NULL, 'PTHR48043:SF119', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(58486, NULL, 'PTHR22893:SF120', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 11-RELATED', NULL, NULL, NULL, 15),
(58487, NULL, 'PTHR35529:SF1', NULL, NULL, NULL, NULL, 'MANGANESE EFFLUX PUMP MNTP-RELATED', NULL, NULL, NULL, 15),
(58488, NULL, 'PTHR47296', NULL, NULL, NULL, NULL, 'PROTEIN TIC 40, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(58489, NULL, 'PTHR13217:SF12', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING, FAMILY G (WITH RHOGEF DOMAIN) MEMBER 5A-RELATED', NULL, NULL, NULL, 15),
(58490, NULL, 'PTHR32286', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G6F', NULL, NULL, 28828, 15),
(58491, NULL, 'PTHR42760:SF105', NULL, NULL, NULL, NULL, 'SORBITOL-6-PHOSPHATE 2-DEHYDROGENASE', NULL, NULL, NULL, 15),
(58492, NULL, 'PTHR10039:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58493, NULL, 'PTHR43739:SF2', NULL, NULL, NULL, NULL, 'XYLOGLUCANASE (EUROFUNG)', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58494, NULL, 'PTHR11772:SF40', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING] 1', NULL, NULL, NULL, 15),
(58495, NULL, 'PTHR12654:SF3', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', NULL, NULL, NULL, 15),
(58496, NULL, 'PTHR24166:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58497, NULL, 'PTHR22605', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22467, 15),
(58498, NULL, 'PTHR28235:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FYV4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(58499, NULL, 'PTHR12439', NULL, NULL, NULL, NULL, 'PLACENTAL PROTEIN 11-RELATED', NULL, NULL, 29593, 15),
(58500, NULL, 'PTHR31081:SF19', NULL, NULL, NULL, NULL, 'BNAC09G21970D PROTEIN', NULL, NULL, NULL, 15),
(58501, NULL, 'PTHR31530:SF4', NULL, NULL, NULL, NULL, 'MAJOR INTRINSICALLY DISORDERED NOTCH2-BINDING RECEPTOR 1-LIKE', NULL, NULL, NULL, 15),
(58502, NULL, 'PTHR18919:SF144', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(58503, NULL, 'PTHR13301:SF138', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN E1', NULL, NULL, NULL, 15),
(58504, NULL, 'PTHR14209:SF34', NULL, NULL, NULL, NULL, 'BNAA01G30950D PROTEIN', NULL, NULL, NULL, 15),
(58505, NULL, 'PTHR45743:SF39', NULL, NULL, NULL, NULL, 'K+ TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(58506, NULL, 'PTHR47027:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58507, NULL, 'PTHR46387:SF13', NULL, NULL, NULL, NULL, 'OS10G0458700 PROTEIN', NULL, NULL, NULL, 15),
(58508, NULL, 'PTHR43205:SF42', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE, ZINC-CONTAINING (AFU_ORTHOLOGUE AFUA_7G04530)', NULL, NULL, NULL, 15),
(58509, NULL, 'PTHR11183:SF150', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(58510, NULL, 'PTHR31415:SF109', NULL, NULL, NULL, NULL, 'PROTEIN YLS9-LIKE', NULL, NULL, NULL, 15),
(58511, NULL, 'PTHR33129', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58512, NULL, 'PTHR21668:SF14', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A, X-CHROMOSOMAL', NULL, NULL, NULL, 15),
(58513, NULL, 'PTHR24220:SF660', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(58514, NULL, 'PTHR45719:SF25', NULL, NULL, NULL, NULL, 'BNAC03G69410D PROTEIN', NULL, NULL, NULL, 15),
(58515, NULL, 'PTHR16423:SF7', NULL, NULL, NULL, NULL, 'NATURAL CYTOTOXICITY TRIGGERING RECEPTOR 2', NULL, NULL, NULL, 15),
(58516, NULL, 'PTHR11759:SF44', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14-2-LIKE', NULL, NULL, NULL, 15),
(58517, NULL, 'PTHR24271:SF81', NULL, NULL, NULL, NULL, 'SI:DKEY-21E2.12-RELATED', NULL, NULL, NULL, 15),
(58518, NULL, 'PTHR40045', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 7556, 15),
(58519, NULL, 'PTHR30510', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 2422, 15),
(58520, NULL, 'PTHR47156:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG20824', NULL, NULL, NULL, 15),
(58521, NULL, 'PTHR31731:SF136', NULL, NULL, NULL, NULL, 'BNAC05G49400D PROTEIN', NULL, NULL, NULL, 15),
(58522, NULL, 'PTHR24123:SF33', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY A MEMBER 1', NULL, NULL, NULL, 15),
(58523, NULL, 'PTHR32467:SF146', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN APETALA 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(58524, NULL, 'PTHR11431:SF40', NULL, NULL, NULL, NULL, 'BACTERIAL NON-HEME FERRITIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(58525, NULL, 'PTHR23043', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE FACTOR 1 ALPHA', NULL, NULL, NULL, 15),
(58526, NULL, 'PTHR35518', NULL, NULL, NULL, NULL, 'MAINTENANCE OF TELOMOERE CAPPING', NULL, NULL, NULL, 15),
(58527, NULL, 'PTHR13943:SF31', NULL, NULL, NULL, NULL, 'HRAS-LIKE SUPPRESSOR 3', NULL, NULL, NULL, 15),
(58528, NULL, 'PTHR47361', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(58529, NULL, 'PTHR11937:SF433', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 7', NULL, NULL, NULL, 15),
(58530, NULL, 'PTHR23138:SF140', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP50B-LIKE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58531, NULL, 'PTHR12669:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58532, NULL, 'PTHR11132:SF339', NULL, NULL, NULL, NULL, 'OS02G0154600 PROTEIN', NULL, NULL, NULL, 15),
(58533, NULL, 'PTHR23220:SF23', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-2', NULL, NULL, NULL, 15),
(58534, NULL, 'PTHR11787:SF9', NULL, NULL, NULL, NULL, 'RAB PROTEINS GERANYLGERANYLTRANSFERASE COMPONENT A 2', NULL, NULL, NULL, 15),
(58535, NULL, 'PTHR14754:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 7', NULL, NULL, NULL, 15),
(58536, NULL, 'PTHR31418:SF2', NULL, NULL, NULL, NULL, 'FATTY ACID/RETINOL BINDING PROTEIN', NULL, NULL, NULL, 15),
(58537, NULL, 'PTHR47996:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DUO1', NULL, NULL, NULL, 15),
(58538, NULL, 'PTHR46277', NULL, NULL, NULL, NULL, 'OS03G0850700 PROTEIN', NULL, NULL, NULL, 15),
(58539, NULL, 'PTHR12312', NULL, NULL, NULL, NULL, 'TWISTED GASTRULATION PROTEIN HOMOLOG 1-A-RELATED', NULL, NULL, 3189, 15),
(58540, NULL, 'PTHR11963:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58541, NULL, 'PTHR45889:SF2', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE 1', NULL, NULL, NULL, 15),
(58542, NULL, 'PTHR28242:SF54', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 3', NULL, NULL, NULL, 15),
(58543, NULL, 'PTHR11679:SF82', NULL, NULL, NULL, NULL, 'SEC1 FAMILY TRANSPORT PROTEIN SLY1-LIKE', NULL, NULL, NULL, 15),
(58544, NULL, 'PTHR11709:SF360', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(58545, NULL, 'PTHR36617:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(58546, NULL, 'PTHR23113:SF157', NULL, NULL, NULL, NULL, 'RAS GUANYL-RELEASING PROTEIN 4', NULL, NULL, NULL, 15),
(58547, NULL, 'PTHR23309:SF36', NULL, NULL, NULL, NULL, 'PEROXISOMAL FATTY ACID BETA-OXIDATION MULTIFUNCTIONAL PROTEIN AIM1', NULL, NULL, 34002, 15),
(58548, NULL, 'PTHR23021:SF38', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(58549, NULL, 'PTHR10133:SF40', NULL, NULL, NULL, NULL, 'DNA POLYMERASE I PROTEIN B, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(58550, NULL, 'PTHR11662:SF284', NULL, NULL, NULL, NULL, 'SMALL INTESTINE URATE EXPORTER-RELATED', NULL, NULL, NULL, 15),
(58551, NULL, 'PTHR13609:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58552, NULL, 'PTHR46183:SF16', NULL, NULL, NULL, NULL, 'PROTEIN PHOX3', NULL, NULL, NULL, 15),
(58553, NULL, 'PTHR33713:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58554, NULL, 'PTHR35123', NULL, NULL, NULL, NULL, 'OS07G0633900 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58555, NULL, 'PTHR23020:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG00800', NULL, NULL, NULL, 15),
(58556, NULL, 'PTHR10174:SF222', NULL, NULL, NULL, NULL, 'GH10083P-RELATED', NULL, NULL, NULL, 15),
(58557, NULL, 'PTHR45959:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58558, NULL, 'PTHR31728:SF1', NULL, NULL, NULL, NULL, 'BRISC COMPLEX SUBUNIT ABRAXAS 2', NULL, NULL, NULL, 15),
(58559, NULL, 'PTHR10684', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR', NULL, NULL, 18719, 15),
(58560, NULL, 'PTHR11615:SF329', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 5', NULL, NULL, NULL, 15),
(58561, NULL, 'PTHR23291:SF74', NULL, NULL, NULL, NULL, 'FAS APOPTOTIC INHIBITORY MOLECULE 2B', NULL, NULL, NULL, 15),
(58562, NULL, 'PTHR14657', NULL, NULL, NULL, NULL, 'IGF-LIKE FAMILY RECEPTOR 1', NULL, NULL, 37340, 15),
(58563, NULL, 'PTHR23503:SF51', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 1', NULL, NULL, NULL, 15),
(58564, NULL, 'PTHR21593:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG23956', NULL, NULL, NULL, 15),
(58565, NULL, 'PTHR31471:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58566, NULL, 'PTHR44227', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58567, NULL, 'PTHR31499:SF58', NULL, NULL, NULL, NULL, 'OS08G0346400 PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58568, NULL, 'PTHR26379:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58569, NULL, 'PTHR26452:SF201', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(58570, NULL, 'PTHR15387:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 17', NULL, NULL, NULL, 15),
(58571, NULL, 'PTHR18916', NULL, NULL, NULL, NULL, 'DYNACTIN 1-RELATED MICROTUBULE-BINDING', NULL, NULL, NULL, 15),
(58572, NULL, 'PTHR43506', NULL, NULL, NULL, NULL, 'BIOTIN/LIPOATE A/B PROTEIN LIGASE FAMILY', NULL, NULL, NULL, 15),
(58573, NULL, 'PTHR47997:SF12', NULL, NULL, NULL, NULL, 'BNAC08G42690D PROTEIN', NULL, NULL, NULL, 15),
(58574, NULL, 'PTHR10672:SF21', NULL, NULL, NULL, NULL, 'CLASS II ALDOLASE/ADDUCIN N-TERMINAL', NULL, NULL, NULL, 15),
(58575, NULL, 'PTHR34194:SF2', NULL, NULL, NULL, NULL, 'F14J8.16 PROTEIN', NULL, NULL, NULL, 15),
(58576, NULL, 'PTHR33426:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58577, NULL, 'PTHR46020:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58578, NULL, 'PTHR24281:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58579, NULL, 'PTHR23267:SF421', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-16', NULL, NULL, NULL, 15),
(58580, NULL, 'PTHR45088:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0022H21.17 PROTEIN', NULL, NULL, NULL, 15),
(58581, NULL, 'PTHR36451:SF1', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', NULL, NULL, NULL, 15),
(58582, NULL, 'PTHR10492:SF58', NULL, NULL, NULL, NULL, 'HELICASE', NULL, NULL, NULL, 15),
(58583, NULL, 'PTHR12363:SF33', NULL, NULL, NULL, NULL, 'IMPORTIN-13', NULL, NULL, NULL, 15),
(58584, NULL, 'PTHR11771:SF146', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(58585, NULL, 'PTHR24286:SF283', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE-LIKE', NULL, NULL, NULL, 15),
(58586, NULL, 'PTHR45730:SF28', NULL, NULL, NULL, NULL, 'OS02G0182300 PROTEIN', NULL, NULL, NULL, 15),
(58587, NULL, 'PTHR33545:SF4', NULL, NULL, NULL, NULL, 'UPF0750 MEMBRANE PROTEIN YXKD', NULL, NULL, NULL, 15),
(58588, NULL, 'PTHR42919:SF22', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1', NULL, NULL, NULL, 15),
(58589, NULL, 'PTHR33138:SF56', NULL, NULL, NULL, NULL, 'OS01G0137282 PROTEIN', NULL, NULL, NULL, 15),
(58590, NULL, 'PTHR31331:SF7', NULL, NULL, NULL, NULL, 'LCCL DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G02970)', NULL, NULL, NULL, 15),
(58591, NULL, 'PTHR27007:SF329', NULL, NULL, NULL, NULL, 'BNAA03G17380D PROTEIN', NULL, NULL, NULL, 15),
(58592, NULL, 'PTHR12081:SF82', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2FB', NULL, NULL, NULL, 15),
(58593, NULL, 'PTHR31463:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58594, NULL, 'PTHR22950:SF653', NULL, NULL, NULL, NULL, 'BNAC06G12470D PROTEIN', NULL, NULL, NULL, 15),
(58595, NULL, 'PTHR48248:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58596, NULL, 'PTHR37329:SF1', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SOS7', NULL, NULL, NULL, 15),
(58597, NULL, 'PTHR19963:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG21716', NULL, NULL, NULL, 15),
(58598, NULL, 'PTHR48063:SF26', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(58599, NULL, 'PTHR28554:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L45, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(58600, NULL, 'PTHR47223', NULL, NULL, NULL, NULL, 'SPERM ACROSOME MEMBRANE-ASSOCIATED PROTEIN 1', NULL, NULL, 29817, 15),
(58601, NULL, 'PTHR26451:SF61', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1K1', NULL, NULL, NULL, 15),
(58602, NULL, 'PTHR38116:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(58603, NULL, 'PTHR11824:SF9', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(58604, NULL, 'PTHR22937:SF154', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(58605, NULL, 'PTHR11736:SF35', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B5', NULL, NULL, 22190, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58606, NULL, 'PTHR35365:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58607, NULL, 'PTHR23291:SF77', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, N-METHYL D-ASPARTATE-ASSOCIATED PROTEIN 1B (GLUTAMATE-BINDING)', NULL, NULL, NULL, 15),
(58608, NULL, 'PTHR13370:SF24', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(58609, NULL, 'PTHR10489:SF671', NULL, NULL, NULL, NULL, 'C-X-C CHEMOKINE RECEPTOR TYPE 3', NULL, NULL, NULL, 15),
(58610, NULL, 'PTHR45706:SF6', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 14', NULL, NULL, NULL, 15),
(58611, NULL, 'PTHR23315:SF297', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(58612, NULL, 'PTHR11987', NULL, NULL, NULL, NULL, 'ALPHA-2,8-SIALYLTRANSFERASE', NULL, NULL, NULL, 15),
(58613, NULL, 'PTHR45658:SF59', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 4', NULL, NULL, NULL, 15),
(58614, NULL, 'PTHR10739:SF19', NULL, NULL, NULL, NULL, 'CHOLINE-PHOSPHATE CYTIDYLYLTRANSFERASE A', NULL, NULL, NULL, 15),
(58615, NULL, 'PTHR48027:SF8', NULL, NULL, NULL, NULL, 'OS10G0321700 PROTEIN', NULL, NULL, NULL, 15),
(58616, NULL, 'PTHR31388:SF19', NULL, NULL, NULL, NULL, 'OS06G0521900 PROTEIN', NULL, NULL, NULL, 15),
(58617, NULL, 'PTHR24343:SF458', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIM-1/2/3-RELATED', NULL, NULL, NULL, 15),
(58618, NULL, 'PTHR21643:SF3', NULL, NULL, NULL, NULL, 'AEX-2 RELATED NEUROPEPTIDE RECEPTOR', NULL, NULL, NULL, 15),
(58619, NULL, 'PTHR24406:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER X-CHROMOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(58620, NULL, 'PTHR47933:SF14', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(58621, NULL, 'PTHR32208:SF54', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE GLOX-LIKE', NULL, NULL, NULL, 15),
(58622, NULL, 'PTHR10972:SF152', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 7', NULL, NULL, NULL, 15),
(58623, NULL, 'PTHR43173:SF3', NULL, NULL, NULL, NULL, 'ABC1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(58624, NULL, 'PTHR31903:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58625, NULL, 'PTHR31636:SF210', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL1-LIKE', NULL, NULL, NULL, 15),
(58626, NULL, 'PTHR11132:SF417', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58627, NULL, 'PTHR48011:SF31', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(58628, NULL, 'PTHR45752:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 69', NULL, NULL, NULL, 15),
(58629, NULL, 'PTHR31218:SF243', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(58630, NULL, 'PTHR13690:SF86', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER (BZIP) TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58631, NULL, 'PTHR12215:SF22', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58632, NULL, 'PTHR11629:SF73', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(58633, NULL, 'PTHR11849:SF188', NULL, NULL, NULL, NULL, 'PROTEIN C-ETS-2', NULL, NULL, NULL, 15),
(58634, NULL, 'PTHR45952:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58635, NULL, 'PTHR33044:SF17', NULL, NULL, NULL, NULL, 'OS03G0664600 PROTEIN', NULL, NULL, NULL, 15),
(58636, NULL, 'PTHR11465:SF9', NULL, NULL, NULL, NULL, 'CATALASE', NULL, NULL, NULL, 15),
(58637, NULL, 'PTHR31314:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58638, NULL, 'PTHR46908:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58639, NULL, 'PTHR48002:SF103', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4M1-RELATED', NULL, NULL, NULL, 15),
(58640, NULL, 'PTHR24414:SF130', NULL, NULL, NULL, NULL, 'BNAC03G75770D PROTEIN', NULL, NULL, NULL, 15),
(58641, NULL, 'PTHR31221:SF115', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 45-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58642, NULL, 'PTHR48006:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58643, NULL, 'PTHR11669:SF60', NULL, NULL, NULL, NULL, 'BNAC09G18610D PROTEIN', NULL, NULL, NULL, 15),
(58644, NULL, 'PTHR33347:SF37', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FHKB-RELATED', NULL, NULL, NULL, 15),
(58645, NULL, 'PTHR38082', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58646, NULL, 'PTHR13593:SF106', NULL, NULL, NULL, NULL, 'BNAANNG15340D PROTEIN', NULL, NULL, NULL, 15),
(58647, NULL, 'PTHR24228:SF13', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR NPR-29-RELATED', NULL, NULL, NULL, 15),
(58648, NULL, 'PTHR13049', NULL, NULL, NULL, NULL, 'DUF814-RELATED', NULL, NULL, 29431, 15),
(58649, NULL, 'PTHR31553:SF3', NULL, NULL, NULL, NULL, 'NF-KAPPA-B ESSENTIAL MODULATOR', NULL, NULL, NULL, 15),
(58650, NULL, 'PTHR34755:SF3', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 2', NULL, NULL, NULL, 15),
(58651, NULL, 'PTHR22792:SF54', NULL, NULL, NULL, NULL, 'OS08G0542900 PROTEIN', NULL, NULL, NULL, 15),
(58652, NULL, 'PTHR33095:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58653, NULL, 'PTHR34284:SF1', NULL, NULL, NULL, NULL, 'FG-GAP REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(58654, NULL, 'PTHR43340:SF8', NULL, NULL, NULL, NULL, 'HYPOXANTHINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(58655, NULL, 'PTHR48011:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58656, NULL, 'PTHR48047:SF93', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73D1', NULL, NULL, NULL, 15),
(58657, NULL, 'PTHR12629:SF55', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(58658, NULL, 'PTHR14889:SF3', NULL, NULL, NULL, NULL, 'RCG36411', NULL, NULL, NULL, 15),
(58659, NULL, 'PTHR43734:SF4', NULL, NULL, NULL, NULL, 'UDP-GALACTOPYRANOSE MUTASE', NULL, NULL, NULL, 15),
(58660, NULL, 'PTHR15682', NULL, NULL, NULL, NULL, 'UNHEALTHY RIBOSOME BIOGENESIS PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(58661, NULL, 'PTHR10876:SF4', NULL, NULL, NULL, NULL, 'BNAA08G07440D PROTEIN', NULL, NULL, NULL, 15),
(58662, NULL, 'PTHR45586:SF10', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING PROTEIN YVCD', NULL, NULL, NULL, 15),
(58663, NULL, 'PTHR10015:SF294', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-7A-LIKE', NULL, NULL, NULL, 15),
(58664, NULL, 'PTHR16089:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 541', NULL, NULL, NULL, 15),
(58665, NULL, 'PTHR12197:SF251', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SMYD3', NULL, NULL, NULL, 15),
(58666, NULL, 'PTHR24073:SF997', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABC', NULL, NULL, NULL, 15),
(58667, NULL, 'PTHR24123:SF117', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(58668, NULL, 'PTHR43900:SF69', NULL, NULL, NULL, NULL, 'OS09G0544400 PROTEIN', NULL, NULL, NULL, 15),
(58669, NULL, 'PTHR46929:SF4', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(58670, NULL, 'PTHR45941:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58671, NULL, 'PTHR31009:SF53', NULL, NULL, NULL, NULL, 'SALICYLATE/BENZOATE CARBOXYL METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(58672, NULL, 'PTHR15191:SF1', NULL, NULL, NULL, NULL, 'PITUITARY TUMOR-TRANSFORMING 1-INTERACTING PROTEIN, GENE 2', NULL, NULL, NULL, 15),
(58673, NULL, 'PTHR47084', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE SMALL SUBUNIT A', NULL, NULL, NULL, 15),
(58674, NULL, 'PTHR22765:SF135', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL6', NULL, NULL, NULL, 15),
(58675, NULL, 'PTHR27009:SF237', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.1', NULL, NULL, NULL, 15),
(58676, NULL, 'PTHR40629:SF1', NULL, NULL, NULL, NULL, 'PRO41 PROTEIN', NULL, NULL, NULL, 15),
(58677, NULL, 'PTHR31321:SF79', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58678, NULL, 'PTHR34533', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN CCDC163', NULL, NULL, 35546, 15),
(58679, NULL, 'PTHR11987:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58680, NULL, 'PTHR24073:SF1154', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1E', NULL, NULL, NULL, 15),
(58681, NULL, 'PTHR10209:SF726', NULL, NULL, NULL, NULL, 'OS07G0169600 PROTEIN', NULL, NULL, NULL, 15),
(58682, NULL, 'PTHR12652:SF10', NULL, NULL, NULL, NULL, 'PEROXIN 11', NULL, NULL, NULL, 15),
(58683, NULL, 'PTHR44042:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58684, NULL, 'PTHR33272:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG11525', NULL, NULL, NULL, 15),
(58685, NULL, 'PTHR45718:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GLIS3', NULL, NULL, 27006, 15),
(58686, NULL, 'PTHR24073:SF1141', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RHN1', NULL, NULL, NULL, 15),
(58687, NULL, 'PTHR11931:SF29', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE 1, HISTIDINE PHOSPHATASE SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(58688, NULL, 'PTHR12042:SF21', NULL, NULL, NULL, NULL, 'ALPHA4GT1-RELATED', NULL, NULL, NULL, 15),
(58689, NULL, 'PTHR24377:SF644', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 813', NULL, NULL, NULL, 15),
(58690, NULL, 'PTHR48007:SF7', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(58691, NULL, 'PTHR32522:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58692, NULL, 'PTHR31176', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(58693, NULL, 'PTHR45645:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58694, NULL, 'PTHR35735:SF9', NULL, NULL, NULL, NULL, 'BNAA02G25150D PROTEIN', NULL, NULL, NULL, 15),
(58695, NULL, 'PTHR31675:SF36', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 4-LIKE', NULL, NULL, NULL, 15),
(58696, NULL, 'PTHR43154', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00940)-RELATED', NULL, NULL, NULL, 15),
(58697, NULL, 'PTHR47942:SF36', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(58698, NULL, 'PTHR28035:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 10', NULL, NULL, NULL, 15),
(58699, NULL, 'PTHR46324:SF20', NULL, NULL, NULL, NULL, 'BZIP PROTEIN', NULL, NULL, NULL, 15),
(58700, NULL, 'PTHR33405:SF7', NULL, NULL, NULL, NULL, 'PROTEIN FLX-LIKE 1', NULL, NULL, NULL, 15),
(58701, NULL, 'PTHR31669:SF213', NULL, NULL, NULL, NULL, 'FAR1 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(58702, NULL, 'PTHR38605', NULL, NULL, NULL, NULL, 'ATPASE-RELATED', NULL, NULL, 3575, 15),
(58703, NULL, 'PTHR15583:SF14', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR D', NULL, NULL, NULL, 15),
(58704, NULL, 'PTHR40021', NULL, NULL, NULL, NULL, 'DEFECT AT LOW TEMPERATURE PROTEIN 1', NULL, NULL, 34992, 15),
(58705, NULL, 'PTHR26450:SF126', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(58706, NULL, 'PTHR11811:SF50', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING', NULL, NULL, NULL, 15),
(58707, NULL, 'PTHR43884:SF31', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE/OXIDASE-RELATED', NULL, NULL, NULL, 15),
(58708, NULL, 'PTHR11709:SF327', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(58709, NULL, 'PTHR31071:SF48', NULL, NULL, NULL, NULL, 'OSJNBA0053K19.22 PROTEIN', NULL, NULL, NULL, 15),
(58710, NULL, 'PTHR23105:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L7A', NULL, NULL, NULL, 15),
(58711, NULL, 'PTHR48092:SF3', NULL, NULL, NULL, NULL, 'VITAMIN D3 RECEPTOR', NULL, NULL, NULL, 15),
(58712, NULL, 'PTHR33411:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58713, NULL, 'PTHR11849:SF31', NULL, NULL, NULL, NULL, 'ETS DOMAIN-CONTAINING TRANSCRIPTION FACTOR ERF', NULL, NULL, 26860, 15),
(58714, NULL, 'PTHR12197:SF283', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(58715, NULL, 'PTHR10849:SF32', NULL, NULL, NULL, NULL, 'ALPHA-HELICAL FERREDOXIN-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58716, NULL, 'PTHR31860:SF6', NULL, NULL, NULL, NULL, 'HEAT-INDUCIBLE TRANSCRIPTION REPRESSOR (DUF639)', NULL, NULL, NULL, 15),
(58717, NULL, 'PTHR24039:SF37', NULL, NULL, NULL, NULL, 'PROTEIN CBG17988', NULL, NULL, NULL, 15),
(58718, NULL, 'PTHR48007:SF30', NULL, NULL, NULL, NULL, 'BNAA06G19280D PROTEIN', NULL, NULL, NULL, 15),
(58719, NULL, 'PTHR11802:SF318', NULL, NULL, NULL, NULL, 'PEPTIDASE S10, SERINE CARBOXYPEPTIDASE, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58720, NULL, 'PTHR10315:SF110', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(58721, NULL, 'PTHR34956:SF4', NULL, NULL, NULL, NULL, 'BNAC03G34540D PROTEIN', NULL, NULL, NULL, 15),
(58722, NULL, 'PTHR13068:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58723, NULL, 'PTHR47979:SF29', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1F-LIKE', NULL, NULL, NULL, 15),
(58724, NULL, 'PTHR10353:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58725, NULL, 'PTHR19282:SF426', NULL, NULL, NULL, NULL, 'TETRASPANIN-32', NULL, NULL, NULL, 15),
(58726, NULL, 'PTHR11945:SF648', NULL, NULL, NULL, NULL, 'BOX PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(58727, NULL, 'PTHR23118:SF37', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE BETA CHAIN PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(58728, NULL, 'PTHR11017:SF367', NULL, NULL, NULL, NULL, 'BNAC01G40280D PROTEIN', NULL, NULL, NULL, 15),
(58729, NULL, 'PTHR27000:SF697', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58730, NULL, 'PTHR21229:SF2', NULL, NULL, NULL, NULL, 'RE59932P', NULL, NULL, NULL, 15),
(58731, NULL, 'PTHR31832:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58732, NULL, 'PTHR48081:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58733, NULL, 'PTHR24286:SF251', NULL, NULL, NULL, NULL, 'STEROL 14-DEMETHYLASE', NULL, NULL, NULL, 15),
(58734, NULL, 'PTHR26453:SF19', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10D4-RELATED', NULL, NULL, NULL, 15),
(58735, NULL, 'PTHR48020:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58736, NULL, 'PTHR47999:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(58737, NULL, 'PTHR48247:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58738, NULL, 'PTHR14413:SF22', NULL, NULL, NULL, NULL, 'BNAA09G06940D PROTEIN', NULL, NULL, NULL, 15),
(58739, NULL, 'PTHR21449', NULL, NULL, NULL, NULL, 'PROTEIN CBG05271-RELATED', NULL, NULL, NULL, 15),
(58740, NULL, 'PTHR35748:SF1', NULL, NULL, NULL, NULL, 'OS05G0358400 PROTEIN', NULL, NULL, NULL, 15),
(58741, NULL, 'PTHR48007:SF38', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(58742, NULL, 'PTHR22920:SF21', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(58743, NULL, 'PTHR27005:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58744, NULL, 'PTHR10233:SF14', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT DELTA', NULL, NULL, NULL, 15),
(58745, NULL, 'PTHR11890:SF19', NULL, NULL, NULL, NULL, 'SINGLE IG IL-1-RELATED RECEPTOR', NULL, NULL, NULL, 15),
(58746, NULL, 'PTHR14389:SF3', NULL, NULL, NULL, NULL, 'SI:CH1073-475A24.1', NULL, NULL, NULL, 15),
(58747, NULL, 'PTHR13285:SF18', NULL, NULL, NULL, NULL, 'PROTEIN-CYSTEINE N-PALMITOYLTRANSFERASE RASP', NULL, NULL, NULL, 15),
(58748, NULL, 'PTHR15438:SF14', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX-INTERACTING PROTEIN FAMILY MEMBER A1-RELATED', NULL, NULL, NULL, 15),
(58749, NULL, 'PTHR31568:SF103', NULL, NULL, NULL, NULL, 'BNACNNG07560D PROTEIN', NULL, NULL, NULL, 15),
(58750, NULL, 'PTHR32227:SF322', NULL, NULL, NULL, NULL, 'BNAA05G37350D PROTEIN', NULL, NULL, NULL, 15),
(58751, NULL, 'PTHR32285:SF42', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 37', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58752, NULL, 'PTHR24044:SF459', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58753, NULL, 'PTHR33784:SF20', NULL, NULL, NULL, NULL, 'BNAA04G05730D PROTEIN', NULL, NULL, NULL, 15),
(58754, NULL, 'PTHR10263:SF60', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C2', NULL, NULL, NULL, 15),
(58755, NULL, 'PTHR31008:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58756, NULL, 'PTHR23226:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58757, NULL, 'PTHR10956:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L31', NULL, NULL, NULL, 15),
(58758, NULL, 'PTHR21646:SF12', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 16', NULL, NULL, NULL, 15),
(58759, NULL, 'PTHR10589:SF41', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(58760, NULL, 'PTHR11601:SF36', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURASE NIFS-RELATED', NULL, NULL, NULL, 15),
(58761, NULL, 'PTHR31875:SF34', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 2', NULL, NULL, NULL, 15),
(58762, NULL, 'PTHR35170', NULL, NULL, NULL, NULL, 'PROTEIN DD3-3', NULL, NULL, NULL, 15),
(58763, NULL, 'PTHR11802:SF25', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE 24', NULL, NULL, NULL, 15),
(58764, NULL, 'PTHR12878:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', NULL, NULL, NULL, 15),
(58765, NULL, 'PTHR43105:SF4', NULL, NULL, NULL, NULL, 'PROTEIN YDEP', NULL, NULL, 5035, 15),
(58766, NULL, 'PTHR34560:SF7', NULL, NULL, NULL, NULL, 'BNAA03G55370D PROTEIN', NULL, NULL, NULL, 15),
(58767, NULL, 'PTHR24377:SF409', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 860', NULL, NULL, NULL, 15),
(58768, NULL, 'PTHR23167:SF18', NULL, NULL, NULL, NULL, 'CYTOSPIN-A', NULL, NULL, 29677, 15),
(58769, NULL, 'PTHR22504', NULL, NULL, NULL, NULL, 'REPRESSOR OF RNA POLYMERASE III TRANSCRIPTION MAF1', NULL, NULL, 12804, 15),
(58770, NULL, 'PTHR11911:SF125', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(58771, NULL, 'PTHR33326:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(58772, NULL, 'PTHR32116:SF67', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 14-RELATED', NULL, NULL, NULL, 15),
(58773, NULL, 'PTHR47040', NULL, NULL, NULL, NULL, 'OSJNBA0068L06.9 PROTEIN', NULL, NULL, NULL, 15),
(58774, NULL, 'PTHR36918:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-EXPORT PROTEIN SECB', NULL, NULL, NULL, 15),
(58775, NULL, 'PTHR12385:SF56', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(58776, NULL, 'PTHR24223:SF343', NULL, NULL, NULL, NULL, 'CYSTIC FIBROSIS TRANSMEMBRANE CONDUCTANCE REGULATOR HOMOLOG', NULL, NULL, NULL, 15),
(58777, NULL, 'PTHR27006:SF402', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(58778, NULL, 'PTHR27002:SF561', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58779, NULL, 'PTHR47982:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58780, NULL, 'PTHR22957:SF359', NULL, NULL, NULL, NULL, 'GROWTH HORMONE-REGULATED TBC PROTEIN 1', NULL, NULL, NULL, 15),
(58781, NULL, 'PTHR48014:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BLUS1', NULL, NULL, NULL, 15),
(58782, NULL, 'PTHR11003:SF138', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 3', NULL, NULL, 7108, 15),
(58783, NULL, 'PTHR44147:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(58784, NULL, 'PTHR34976:SF2', NULL, NULL, NULL, NULL, 'RIBONUCLEASE YQCG', NULL, NULL, NULL, 15),
(58785, NULL, 'PTHR31509:SF81', NULL, NULL, NULL, NULL, 'PLANT/F1M20-13 PROTEIN', NULL, NULL, NULL, 15),
(58786, NULL, 'PTHR11792:SF19', NULL, NULL, NULL, NULL, 'ARRESTIN-C', NULL, NULL, 35751, 15),
(58787, NULL, 'PTHR45700:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL6', NULL, NULL, NULL, 15),
(58788, NULL, 'PTHR32054:SF34', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58789, NULL, 'PTHR10106:SF44', NULL, NULL, NULL, NULL, 'CYTOCHROME B561/FERRIC REDUCTASE TRANSMEMBRANE-RELATED', NULL, NULL, NULL, 15),
(58790, NULL, 'PTHR31374:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58791, NULL, 'PTHR32444:SF132', NULL, NULL, NULL, NULL, 'BULB-TYPE LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58792, NULL, 'PTHR35849', NULL, NULL, NULL, NULL, 'BLR2341 PROTEIN', NULL, NULL, NULL, 15),
(58793, NULL, 'PTHR23244:SF452', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58794, NULL, 'PTHR31463', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 30503, 15),
(58795, NULL, 'PTHR24015:SF1695', NULL, NULL, NULL, NULL, 'OS06G0185800 PROTEIN', NULL, NULL, NULL, 15),
(58796, NULL, 'PTHR13832:SF757', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58797, NULL, 'PTHR13140:SF748', NULL, NULL, NULL, NULL, 'P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(58798, NULL, 'PTHR34835:SF44', NULL, NULL, NULL, NULL, 'OS02G0622900 PROTEIN', NULL, NULL, NULL, 15),
(58799, NULL, 'PTHR11955:SF135', NULL, NULL, NULL, NULL, 'FATTY ACID BINDING PROTEIN, ISOFORM C', NULL, NULL, NULL, 15),
(58800, NULL, 'PTHR45878:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP6', NULL, NULL, NULL, 15),
(58801, NULL, 'PTHR33982:SF6', NULL, NULL, NULL, NULL, 'BNAA09G55760D PROTEIN', NULL, NULL, NULL, 15),
(58802, NULL, 'PTHR13516:SF16', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P25-LIKE PROTEIN', NULL, NULL, NULL, 15),
(58803, NULL, 'PTHR24020:SF66', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE, RECEPTOR TYPE B', NULL, NULL, NULL, 15),
(58804, NULL, 'PTHR47926:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58805, NULL, 'PTHR11749:SF14', NULL, NULL, NULL, NULL, 'RIBULOSE-PHOSPHATE 3-EPIMERASE, CHLOROPLASTIC ISOFORM X1', NULL, NULL, NULL, 15),
(58806, NULL, 'PTHR13382:SF18', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 17-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(58807, NULL, 'PTHR34396:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58808, NULL, 'PTHR46197:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ABHD14B', NULL, NULL, NULL, 15),
(58809, NULL, 'PTHR43865:SF1', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN-RELATED', NULL, NULL, NULL, 15),
(58810, NULL, 'PTHR34274:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(58811, NULL, 'PTHR48002:SF71', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(58812, NULL, 'PTHR10438:SF230', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(58813, NULL, 'PTHR31642:SF260', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(58814, NULL, 'PTHR46506:SF1', NULL, NULL, NULL, NULL, 'OS11G0165700 PROTEIN', NULL, NULL, NULL, 15),
(58815, NULL, 'PTHR45752:SF63', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 3', NULL, NULL, NULL, 15),
(58816, NULL, 'PTHR11706:SF47', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP4', NULL, NULL, NULL, 15),
(58817, NULL, 'PTHR10418:SF2', NULL, NULL, NULL, NULL, 'SECURIN', NULL, NULL, NULL, 15),
(58818, NULL, 'PTHR23504', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(58819, NULL, 'PTHR31650:SF55', NULL, NULL, NULL, NULL, 'BNAUNNG02180D PROTEIN', NULL, NULL, NULL, 15),
(58820, NULL, 'PTHR33829', NULL, NULL, NULL, NULL, 'OSJNBA0044M19.10 PROTEIN', NULL, NULL, NULL, 15),
(58821, NULL, 'PTHR43874:SF39', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR10', NULL, NULL, NULL, 15),
(58822, NULL, 'PTHR30231:SF35', NULL, NULL, NULL, NULL, 'PROTEIN NEN1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(58823, NULL, 'PTHR24286:SF204', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 702, SUBFAMILY A, POLYPEPTIDE 8', NULL, NULL, NULL, 15),
(58824, NULL, 'PTHR36939:SF6', NULL, NULL, NULL, NULL, 'DOWNSTREAM OF DAF-NINETEEN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58825, NULL, 'PTHR48016:SF24', NULL, NULL, NULL, NULL, 'RHO-ASSOCIATED PROTEIN KINASE 1/2-RELATED', NULL, NULL, NULL, 15),
(58826, NULL, 'PTHR11177:SF82', NULL, NULL, NULL, NULL, 'CHITINASE-3-LIKE PROTEIN 2', NULL, NULL, 25002, 15),
(58827, NULL, 'PTHR12002:SF93', NULL, NULL, NULL, NULL, 'CLAUDIN 34C1-RELATED', NULL, NULL, NULL, 15),
(58828, NULL, 'PTHR43213', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DTTP/UTP PYROPHOSPHATASE/METHYLTRANSFERASE PROTEIN-RELATED', NULL, NULL, 2033, 15),
(58829, NULL, 'PTHR31625:SF49', NULL, NULL, NULL, NULL, 'OS02G0820400 PROTEIN', NULL, NULL, NULL, 15),
(58830, NULL, 'PTHR45974:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58831, NULL, 'PTHR31713:SF60', NULL, NULL, NULL, NULL, 'BNACNNG22620D PROTEIN', NULL, NULL, NULL, 15),
(58832, NULL, 'PTHR10796:SF130', NULL, NULL, NULL, NULL, 'PATCHED DOMAIN-CONTAINING PROTEIN 3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(58833, NULL, 'PTHR23291:SF78', NULL, NULL, NULL, NULL, 'FAS APOPTOTIC INHIBITORY MOLECULE 2A', NULL, NULL, NULL, 15),
(58834, NULL, 'PTHR47816:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE C', NULL, NULL, NULL, 15),
(58835, NULL, 'PTHR33228:SF43', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 2-LIKE', NULL, NULL, NULL, 15),
(58836, NULL, 'PTHR24416:SF18', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 3', NULL, NULL, NULL, 15),
(58837, NULL, 'PTHR11017:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58838, NULL, 'PTHR36539', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTN', NULL, NULL, 697, 15),
(58839, NULL, 'PTHR11913:SF12', NULL, NULL, NULL, NULL, 'COFILIN/ACTIN-DEPOLYMERIZING FACTOR HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(58840, NULL, 'PTHR47429:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TWIN LOV 1', NULL, NULL, NULL, 15),
(58841, NULL, 'PTHR11599:SF16', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-2', NULL, NULL, 18825, 15),
(58842, NULL, 'PTHR22792:SF122', NULL, NULL, NULL, NULL, 'PROTEIN SLF1', NULL, NULL, NULL, 15),
(58843, NULL, 'PTHR46560:SF11', NULL, NULL, NULL, NULL, 'GH09980P', NULL, NULL, NULL, 15),
(58844, NULL, 'PTHR33700:SF3', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE', NULL, NULL, NULL, 15),
(58845, NULL, 'PTHR32411:SF54', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 30-RELATED', NULL, NULL, NULL, 15),
(58846, NULL, 'PTHR21240:SF19', NULL, NULL, NULL, NULL, 'CATALYTIC/ HYDROLASE', NULL, NULL, NULL, 15),
(58847, NULL, 'PTHR31235:SF246', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(58848, NULL, 'PTHR37515:SF2', NULL, NULL, NULL, NULL, 'YALI0C09240P', NULL, NULL, NULL, 15),
(58849, NULL, 'PTHR10739:SF50', NULL, NULL, NULL, NULL, 'PHOSPHORYLCHOLINE CYTIDYLYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(58850, NULL, 'PTHR33107:SF46', NULL, NULL, NULL, NULL, 'BNAUNNG02310D PROTEIN', NULL, NULL, NULL, 15),
(58851, NULL, 'PTHR15703:SF3', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4931406P16 GENE', NULL, NULL, NULL, 15),
(58852, NULL, 'PTHR33074:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58853, NULL, 'PTHR31009:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58854, NULL, 'PTHR21974:SF2', NULL, NULL, NULL, NULL, 'RE15880P', NULL, NULL, NULL, 15),
(58855, NULL, 'PTHR24346:SF47', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SIK2', NULL, NULL, NULL, 15),
(58856, NULL, 'PTHR10811:SF60', NULL, NULL, NULL, NULL, 'BNAC06G42360D PROTEIN', NULL, NULL, NULL, 15),
(58857, NULL, 'PTHR46024', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EGGLESS', NULL, NULL, NULL, 15),
(58858, NULL, 'PTHR46836:SF1', NULL, NULL, NULL, NULL, 'OS05G0116700 PROTEIN', NULL, NULL, NULL, 15),
(58859, NULL, 'PTHR15241:SF337', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SR45A', NULL, NULL, NULL, 15),
(58860, NULL, 'PTHR11165:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58861, NULL, 'PTHR31707:SF183', NULL, NULL, NULL, NULL, 'PECTINESTERASE 30-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58862, NULL, 'PTHR31069:SF22', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(58863, NULL, 'PTHR21345:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SPIRE', NULL, NULL, NULL, 15),
(58864, NULL, 'PTHR10953:SF4', NULL, NULL, NULL, NULL, 'GH24511P', NULL, NULL, NULL, 15),
(58865, NULL, 'PTHR30435:SF31', NULL, NULL, NULL, NULL, 'FLAGELLAR BASAL BODY PROTEIN', NULL, NULL, NULL, 15),
(58866, NULL, 'PTHR43166', NULL, NULL, NULL, NULL, 'AMINO ACID IMPORT ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(58867, NULL, 'PTHR24379:SF90', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 709', NULL, NULL, NULL, 15),
(58868, NULL, 'PTHR24282:SF177', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(58869, NULL, 'PTHR33432', NULL, NULL, NULL, NULL, 'PROTEIN EMSY-LIKE 4', NULL, NULL, 35854, 15),
(58870, NULL, 'PTHR27000:SF676', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(58871, NULL, 'PTHR34649', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 99', NULL, NULL, 33176, 15),
(58872, NULL, 'PTHR31286:SF83', NULL, NULL, NULL, NULL, 'BNAA10G03650D PROTEIN', NULL, NULL, NULL, 15),
(58873, NULL, 'PTHR33676:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58874, NULL, 'PTHR45798:SF45', NULL, NULL, NULL, NULL, 'BNAA07G02620D PROTEIN', NULL, NULL, NULL, 15),
(58875, NULL, 'PTHR21017:SF19', NULL, NULL, NULL, NULL, 'NIPSNAP HOMOLOG 3A (C. ELEGANS)', NULL, NULL, NULL, 15),
(58876, NULL, 'PTHR37810', NULL, NULL, NULL, NULL, 'IMMUNITY PROTEIN SDPI', NULL, NULL, NULL, 15),
(58877, NULL, 'PTHR13362', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN S33', NULL, NULL, 12232, 15),
(58878, NULL, 'PTHR48002:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58879, NULL, 'PTHR14596:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58880, NULL, 'PTHR35762:SF5', NULL, NULL, NULL, NULL, 'MYELIN TRANSCRIPTION FACTOR 1-LIKE', NULL, NULL, NULL, 15),
(58881, NULL, 'PTHR39163:SF1', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(58882, NULL, 'PTHR32439:SF7', NULL, NULL, NULL, NULL, 'BNAA07G04150D PROTEIN', NULL, NULL, NULL, 15),
(58883, NULL, 'PTHR33527:SF27', NULL, NULL, NULL, NULL, 'BNAA05G12810D PROTEIN', NULL, NULL, NULL, 15),
(58884, NULL, 'PTHR45626:SF34', NULL, NULL, NULL, NULL, 'HELICASE-LIKE TRANSCRIPTION FACTOR CHR27-RELATED', NULL, NULL, NULL, 15),
(58885, NULL, 'PTHR11654:SF437', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.12', NULL, NULL, NULL, 15),
(58886, NULL, 'PTHR15683:SF4', NULL, NULL, NULL, NULL, 'SCAFFOLD ATTACHMENT FACTOR B2', NULL, NULL, 19254, 15),
(58887, NULL, 'PTHR11945:SF670', NULL, NULL, NULL, NULL, 'BNAC09G50730D PROTEIN', NULL, NULL, NULL, 15),
(58888, NULL, 'PTHR11875:SF128', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1,1-RELATED', NULL, NULL, NULL, 15),
(58889, NULL, 'PTHR11878:SF66', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 8 MEMBER 2A', NULL, NULL, NULL, 15),
(58890, NULL, 'PTHR11926:SF1367', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(58891, NULL, 'PTHR24409:SF386', NULL, NULL, NULL, NULL, 'WORNIU', NULL, NULL, NULL, 15),
(58892, NULL, 'PTHR43341:SF18', NULL, NULL, NULL, NULL, 'PROLINE-SPECIFIC PERMEASE', NULL, NULL, NULL, 15),
(58893, NULL, 'PTHR11615:SF279', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4A1', NULL, NULL, NULL, 15),
(58894, NULL, 'PTHR46224:SF19', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(58895, NULL, 'PTHR12295:SF33', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58896, NULL, 'PTHR22621:SF29', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(58897, NULL, 'PTHR22913:SF6', NULL, NULL, NULL, NULL, 'HYALURONAN SYNTHASE 3', NULL, NULL, NULL, 15),
(58898, NULL, 'PTHR11699:SF285', NULL, NULL, NULL, NULL, 'OS01G0591300 PROTEIN', NULL, NULL, NULL, 15),
(58899, NULL, 'PTHR24055:SF335', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58900, NULL, 'PTHR43161:SF13', NULL, NULL, NULL, NULL, 'L-ARABINITOL 4-DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_1G11020)', NULL, NULL, NULL, 15),
(58901, NULL, 'PTHR31338:SF20', NULL, NULL, NULL, NULL, 'BNAA01G13350D PROTEIN', NULL, NULL, NULL, 15),
(58902, NULL, 'PTHR12221:SF8', NULL, NULL, NULL, NULL, 'PESCADILLO HOMOLOG', NULL, NULL, NULL, 15),
(58903, NULL, 'PTHR11346:SF32', NULL, NULL, NULL, NULL, 'GALECTIN-4', NULL, NULL, 8229, 15),
(58904, NULL, 'PTHR21477:SF31', NULL, NULL, NULL, NULL, 'BNAC07G31540D PROTEIN', NULL, NULL, NULL, 15),
(58905, NULL, 'PTHR48048:SF20', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(58906, NULL, 'PTHR45842:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEATS AND IMMUNOGLOBULIN-LIKE DOMAINS 3', NULL, NULL, NULL, 15),
(58907, NULL, 'PTHR34835:SF36', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(58908, NULL, 'PTHR12411:SF704', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58909, NULL, 'PTHR10984:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58910, NULL, 'PTHR31558:SF17', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF1336)-RELATED', NULL, NULL, NULL, 15),
(58911, NULL, 'PTHR30438:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58912, NULL, 'PTHR31307:SF55', NULL, NULL, NULL, NULL, 'MADF DOMAIN, MYB-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58913, NULL, 'PTHR12917:SF13', NULL, NULL, NULL, NULL, 'PROTEIN DDI1 HOMOLOG 2', NULL, NULL, NULL, 15),
(58914, NULL, 'PTHR10177:SF400', NULL, NULL, NULL, NULL, 'CYCLIN-D5-1', NULL, NULL, NULL, 15),
(58915, NULL, 'PTHR23081:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58916, NULL, 'PTHR33305:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58917, NULL, 'PTHR10687:SF72', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 5', NULL, NULL, NULL, 15),
(58918, NULL, 'PTHR10809:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58919, NULL, 'PTHR33059', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 5', NULL, NULL, NULL, 15),
(58920, NULL, 'PTHR47364:SF24', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 5-LIKE', NULL, NULL, NULL, 15),
(58921, NULL, 'PTHR43270', NULL, NULL, NULL, NULL, 'BETA-ALA-HIS DIPEPTIDASE', NULL, NULL, NULL, 15),
(58922, NULL, 'PTHR37017:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58923, NULL, 'PTHR12345:SF14', NULL, NULL, NULL, NULL, 'AMYLOID-BETA A4 PRECURSOR PROTEIN-BINDING FAMILY A MEMBER 1', NULL, NULL, 26593, 15),
(58924, NULL, 'PTHR10252:SF117', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-9', NULL, NULL, NULL, 15),
(58925, NULL, 'PTHR10037', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED CATION CHANNEL  CALCIUM AND SODIUM', NULL, NULL, 37092, 15),
(58926, NULL, 'PTHR19229:SF103', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY A (ABC1), MEMBER 15', NULL, NULL, NULL, 15),
(58927, NULL, 'PTHR33700:SF22', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(58928, NULL, 'PTHR31286:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58929, NULL, 'PTHR44083:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TOPLESS-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(58930, NULL, 'PTHR44329:SF193', NULL, NULL, NULL, NULL, 'RAF HOMOLOG SERINE/THREONINE-PROTEIN KINASE RAF', NULL, NULL, NULL, 15),
(58931, NULL, 'PTHR47992:SF11', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 33-RELATED', NULL, NULL, NULL, 15),
(58932, NULL, 'PTHR11119:SF96', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 4', NULL, NULL, NULL, 15),
(58933, NULL, 'PTHR34395', NULL, NULL, NULL, NULL, 'OS11G0427500 PROTEIN', NULL, NULL, NULL, 15),
(58934, NULL, 'PTHR12210:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58935, NULL, 'PTHR31699:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58936, NULL, 'PTHR44468:SF4', NULL, NULL, NULL, NULL, 'CAR-LIKE SOLUBLE PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58937, NULL, 'PTHR45125', NULL, NULL, NULL, NULL, 'F21J9.4-RELATED', NULL, NULL, NULL, 15),
(58938, NULL, 'PTHR34397:SF23', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(58939, NULL, 'PTHR23093', NULL, NULL, NULL, NULL, 'SIMILAR TO CHROMOSOME 3 OPEN READING FRAME 20', NULL, NULL, NULL, 15),
(58940, NULL, 'PTHR24235:SF10', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR TYPE 5', NULL, NULL, NULL, 15),
(58941, NULL, 'PTHR44137:SF30', NULL, NULL, NULL, NULL, 'OS10G0188200 PROTEIN', NULL, NULL, NULL, 15),
(58942, NULL, 'PTHR27002:SF698', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 38', NULL, NULL, NULL, 15),
(58943, NULL, 'PTHR33076:SF97', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(58944, NULL, 'PTHR43549', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN YPNP-RELATED', NULL, NULL, NULL, 15),
(58945, NULL, 'PTHR16151', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22628, 15),
(58946, NULL, 'PTHR21700:SF26', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(58947, NULL, 'PTHR31225:SF50', NULL, NULL, NULL, NULL, 'GERMACRENE A SYNTHASE 1-RELATED', NULL, NULL, NULL, 15),
(58948, NULL, 'PTHR24281:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58949, NULL, 'PTHR46684:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58950, NULL, 'PTHR30508', NULL, NULL, NULL, NULL, 'FES CLUSTER ASSEMBLY PROTEIN SUF', NULL, NULL, NULL, 15),
(58951, NULL, 'PTHR47104:SF2', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(58952, NULL, 'PTHR31307:SF39', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASIL1', NULL, NULL, NULL, 15),
(58953, NULL, 'PTHR10602', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 1', NULL, NULL, 12550, 15),
(58954, NULL, 'PTHR12281:SF29', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', NULL, NULL, NULL, 15),
(58955, NULL, 'PTHR10209:SF743', NULL, NULL, NULL, NULL, 'BNAC07G33950D PROTEIN', NULL, NULL, NULL, 15),
(58956, NULL, 'PTHR10366:SF678', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1-LIKE', NULL, NULL, NULL, 15),
(58957, NULL, 'PTHR43655:SF25', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(58958, NULL, 'PTHR14208', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER AND W2 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(58959, NULL, 'PTHR24092:SF152', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 11-RELATED', NULL, NULL, NULL, 15),
(58960, NULL, 'PTHR23155:SF892', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58961, NULL, 'PTHR33021:SF341', NULL, NULL, NULL, NULL, 'CHEMOCYANIN', NULL, NULL, NULL, 15),
(58962, NULL, 'PTHR37196:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(58963, NULL, 'PTHR23105:SF54', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(58964, NULL, 'PTHR13140:SF782', NULL, NULL, NULL, NULL, 'BNAA09G10180D PROTEIN', NULL, NULL, NULL, 15),
(58965, NULL, 'PTHR11700:SF27', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S10-RELATED', NULL, NULL, NULL, 15),
(58966, NULL, 'PTHR36953:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG17380', NULL, NULL, NULL, 15),
(58967, NULL, 'PTHR45654:SF60', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ANTHOCYANINLESS 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(58968, NULL, 'PTHR20855:SF125', NULL, NULL, NULL, NULL, 'ADIPOR/HEMOLYSIN-III-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58969, NULL, 'PTHR10037:SF278', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 2 SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(58970, NULL, 'PTHR43539:SF61', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(58971, NULL, 'PTHR12599:SF14', NULL, NULL, NULL, NULL, 'BNAC03G59490D PROTEIN', NULL, NULL, NULL, 15),
(58972, NULL, 'PTHR47632:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR FRPR-1-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(58973, NULL, 'PTHR31213:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58974, NULL, 'PTHR31235:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58975, NULL, 'PTHR19865:SF0', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(58976, NULL, 'PTHR10732:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17', NULL, NULL, NULL, 15),
(58977, NULL, 'PTHR23070:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(58978, NULL, 'PTHR24012:SF814', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(58979, NULL, 'PTHR45977:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(58980, NULL, 'PTHR24637:SF253', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(58981, NULL, 'PTHR12586:SF1', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--GLYCEROL-3-PHOSPHATE 3-PHOSPHATIDYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(58982, NULL, 'PTHR24234:SF6', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 5', NULL, NULL, NULL, 15),
(58983, NULL, 'PTHR11071:SF492', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP18-3-RELATED', NULL, NULL, NULL, 15),
(58984, NULL, 'PTHR23159', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN 2', NULL, NULL, NULL, 15),
(58985, NULL, 'PTHR33162', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATA, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(58986, NULL, 'PTHR10159:SF517', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE MPK3', NULL, NULL, NULL, 15),
(58987, NULL, 'PTHR40101', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(58988, NULL, 'PTHR11223:SF2', NULL, NULL, NULL, NULL, 'EXPORTIN-1', NULL, NULL, NULL, 15),
(58989, NULL, 'PTHR20961:SF21', NULL, NULL, NULL, NULL, 'OS02G0327700 PROTEIN', NULL, NULL, NULL, 15),
(58990, NULL, 'PTHR43829:SF7', NULL, NULL, NULL, NULL, 'AQUAPORIN-3', NULL, NULL, NULL, 15),
(58991, NULL, 'PTHR24286:SF184', NULL, NULL, NULL, NULL, 'OS02G0323600 PROTEIN', NULL, NULL, NULL, 15),
(58992, NULL, 'PTHR26374:SF390', NULL, NULL, NULL, NULL, 'BNAC04G15490D PROTEIN', NULL, NULL, NULL, 15),
(58993, NULL, 'PTHR47938:SF23', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(58994, NULL, 'PTHR11527:SF330', NULL, NULL, NULL, NULL, '18.1 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(58995, NULL, 'PTHR46501', NULL, NULL, NULL, NULL, 'MYOMEGALIN', NULL, NULL, NULL, 15),
(58996, NULL, 'PTHR48022:SF37', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G09910)-RELATED', NULL, NULL, NULL, 15),
(58997, NULL, 'PTHR33191:SF42', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(58998, NULL, 'PTHR32227:SF286', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(58999, NULL, 'PTHR15117:SF2', NULL, NULL, NULL, NULL, 'ATAXIN-7', NULL, NULL, 2783, 15),
(59000, NULL, 'PTHR24247:SF78', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10H4', NULL, NULL, NULL, 15),
(59001, NULL, 'PTHR34364:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(59002, NULL, 'PTHR11615:SF244', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1B2', NULL, NULL, NULL, 15),
(59003, NULL, 'PTHR26312:SF78', NULL, NULL, NULL, NULL, 'OSJNBA0004N05.2 PROTEIN', NULL, NULL, NULL, 15),
(59004, NULL, 'PTHR13084:SF4', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(59005, NULL, 'PTHR22572:SF149', NULL, NULL, NULL, NULL, 'BNAA07G31840D PROTEIN', NULL, NULL, NULL, 15),
(59006, NULL, 'PTHR47293:SF27', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 22-RELATED', NULL, NULL, NULL, 15),
(59007, NULL, 'PTHR11353:SF185', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT EPSILON', NULL, NULL, NULL, 15),
(59008, NULL, 'PTHR45710:SF10', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN-LIKE RECEPTOR 2M', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59009, NULL, 'PTHR45642:SF30', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(59010, NULL, 'PTHR43726:SF1', NULL, NULL, NULL, NULL, '3-METHYLORNITHINE SYNTHASE', NULL, NULL, NULL, 15),
(59011, NULL, 'PTHR13723:SF289', NULL, NULL, NULL, NULL, 'RANDOM SLUG CDNA22 PROTEIN', NULL, NULL, NULL, 15),
(59012, NULL, 'PTHR10257:SF92', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 56 KDA REGULATORY SUBUNIT EPSILON ISOFORM', NULL, NULL, NULL, 15),
(59013, NULL, 'PTHR10210:SF60', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYL PYROPHOSPHATE SYNTHETASE 1A-RELATED', NULL, NULL, NULL, 15),
(59014, NULL, 'PTHR48067', NULL, NULL, NULL, NULL, 'GPI-ANCHOR TRANSAMIDASE', NULL, NULL, 29329, 15),
(59015, NULL, 'PTHR23382:SF24', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(59016, NULL, 'PTHR11740:SF21', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(59017, NULL, 'PTHR38079', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59018, NULL, 'PTHR18952:SF89', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 5A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(59019, NULL, 'PTHR11132:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59020, NULL, 'PTHR31942:SF101', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(59021, NULL, 'PTHR47991:SF13', NULL, NULL, NULL, NULL, 'HYOSCYAMINE 6-DIOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(59022, NULL, 'PTHR46653:SF1', NULL, NULL, NULL, NULL, 'SPECIFICITY PROTEIN PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(59023, NULL, 'PTHR46408:SF2', NULL, NULL, NULL, NULL, 'OS12G0601800 PROTEIN', NULL, NULL, NULL, 15),
(59024, NULL, 'PTHR31642:SF21', NULL, NULL, NULL, NULL, 'OS07G0421600 PROTEIN', NULL, NULL, NULL, 15),
(59025, NULL, 'PTHR33861:SF3', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC COILED-COIL DOMAIN-CONTAINING PROTEIN MEIOC', NULL, NULL, NULL, 15),
(59026, NULL, 'PTHR24287:SF1', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(59027, NULL, 'PTHR23050:SF331', NULL, NULL, NULL, NULL, 'PROTEIN CBG14543', NULL, NULL, NULL, 15),
(59028, NULL, 'PTHR31807', NULL, NULL, NULL, NULL, 'AUGMIN FAMILY MEMBER', NULL, NULL, NULL, 15),
(59029, NULL, 'PTHR12138:SF115', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(59030, NULL, 'PTHR45851:SF3', NULL, NULL, NULL, NULL, 'MYC PROTEIN', NULL, NULL, NULL, 15),
(59031, NULL, 'PTHR31405:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PDR8-RELATED', NULL, NULL, NULL, 15),
(59032, NULL, 'PTHR23262:SF188', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-2-RELATED', NULL, NULL, NULL, 15),
(59033, NULL, 'PTHR22835:SF520', NULL, NULL, NULL, NULL, 'BNAA07G08280D PROTEIN', NULL, NULL, NULL, 15),
(59034, NULL, 'PTHR21584:SF10', NULL, NULL, NULL, NULL, 'G2 AND S PHASE-EXPRESSED PROTEIN 1', NULL, NULL, 27036, 15),
(59035, NULL, 'PTHR20957:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59036, NULL, 'PTHR24281:SF145', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A7-LIKE', NULL, NULL, NULL, 15),
(59037, NULL, 'PTHR23421:SF154', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(59038, NULL, 'PTHR23226:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59039, NULL, 'PTHR11673:SF37', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-3', NULL, NULL, NULL, 15),
(59040, NULL, 'PTHR33181:SF44', NULL, NULL, NULL, NULL, 'OSJNBA0011F23.6 PROTEIN', NULL, NULL, NULL, 15),
(59041, NULL, 'PTHR24256:SF505', NULL, NULL, NULL, NULL, 'AGAP011910-PA', NULL, NULL, NULL, 15),
(59042, NULL, 'PTHR43085:SF10', NULL, NULL, NULL, NULL, 'FRUCTOKINASE-LIKE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(59043, NULL, 'PTHR47992:SF105', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1B', NULL, NULL, NULL, 15),
(59044, NULL, 'PTHR23177:SF59', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 2', NULL, NULL, NULL, 15),
(59045, NULL, 'PTHR48041:SF46', NULL, NULL, NULL, NULL, 'BNAA10G09280D PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59046, NULL, 'PTHR45620:SF12', NULL, NULL, NULL, NULL, 'PITUITARY ADENYLATE CYCLASE-ACTIVATING POLYPEPTIDE TYPE I RECEPTOR', NULL, NULL, NULL, 15),
(59047, NULL, 'PTHR16768:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-218O21.4', NULL, NULL, NULL, 15),
(59048, NULL, 'PTHR12486:SF5', NULL, NULL, NULL, NULL, 'HISTIDINE TRIAD NUCLEOTIDE-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(59049, NULL, 'PTHR48040:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59050, NULL, 'PTHR27000:SF712', NULL, NULL, NULL, NULL, 'SURFACE ANTIGEN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59051, NULL, 'PTHR46820', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD7', NULL, NULL, NULL, 15),
(59052, NULL, 'PTHR48052:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59053, NULL, 'PTHR46506:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59054, NULL, 'PTHR23024:SF403', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59055, NULL, 'PTHR38926:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59056, NULL, 'PTHR26453:SF580', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(59057, NULL, 'PTHR11592:SF81', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(59058, NULL, 'PTHR43080:SF17', NULL, NULL, NULL, NULL, 'CBS DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(59059, NULL, 'PTHR22907:SF46', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(59060, NULL, 'PTHR12185:SF16', NULL, NULL, NULL, NULL, 'SID1 TRANSMEMBRANE FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(59061, NULL, 'PTHR10335:SF6', NULL, NULL, NULL, NULL, 'RRNA/TRNA 2''-O-METHYLTRANSFERASE FIBRILLARIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(59062, NULL, 'PTHR32444:SF90', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(59063, NULL, 'PTHR43539:SF46', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(59064, NULL, 'PTHR43614:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(59065, NULL, 'PTHR48047:SF96', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73C2', NULL, NULL, NULL, 15),
(59066, NULL, 'PTHR10352:SF45', NULL, NULL, NULL, NULL, 'OS05G0303700 PROTEIN', NULL, NULL, NULL, 15),
(59067, NULL, 'PTHR35320', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT', NULL, NULL, NULL, 15),
(59068, NULL, 'PTHR14950', NULL, NULL, NULL, NULL, 'DICER-RELATED', NULL, NULL, NULL, 15),
(59069, NULL, 'PTHR10655:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59070, NULL, 'PTHR33355:SF14', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(59071, NULL, 'PTHR10353:SF213', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 45', NULL, NULL, NULL, 15),
(59072, NULL, 'PTHR21041:SF6', NULL, NULL, NULL, NULL, 'DC-STAMP DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(59073, NULL, 'PTHR23001:SF35', NULL, NULL, NULL, NULL, 'BNAA02G05130D PROTEIN', NULL, NULL, NULL, 15),
(59074, NULL, 'PTHR32002:SF35', NULL, NULL, NULL, NULL, 'PROTEIN NLP6', NULL, NULL, NULL, 15),
(59075, NULL, 'PTHR47966:SF45', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE', NULL, NULL, NULL, 15),
(59076, NULL, 'PTHR13743:SF86', NULL, NULL, NULL, NULL, 'LYSOSOMAL-TRAFFICKING REGULATOR', NULL, NULL, 26371, 15),
(59077, NULL, 'PTHR23077:SF63', NULL, NULL, NULL, NULL, 'ZGC:136908', NULL, NULL, NULL, 15),
(59078, NULL, 'PTHR20883:SF19', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL DIOXYGENASE AUSE', NULL, NULL, NULL, 15),
(59079, NULL, 'PTHR31875:SF23', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 4', NULL, NULL, NULL, 15),
(59080, NULL, 'PTHR11673:SF13', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-2', NULL, NULL, NULL, 15),
(59081, NULL, 'PTHR11486:SF17', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 12', NULL, NULL, 23186, 15),
(59082, NULL, 'PTHR46912', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 13', NULL, NULL, 38704, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59083, NULL, 'PTHR45824:SF7', NULL, NULL, NULL, NULL, 'OS05G0267800 PROTEIN', NULL, NULL, NULL, 15),
(59084, NULL, 'PTHR21136:SF188', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 722-RELATED', NULL, NULL, NULL, 15),
(59085, NULL, 'PTHR11808:SF81', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE (AFU_ORTHOLOGUE AFUA_7G01590)', NULL, NULL, NULL, 15),
(59086, NULL, 'PTHR11926:SF1319', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(59087, NULL, 'PTHR31319:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59088, NULL, 'PTHR43825:SF3', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT', NULL, NULL, 2628, 15),
(59089, NULL, 'PTHR34961:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59090, NULL, 'PTHR12496', NULL, NULL, NULL, NULL, 'CGI-41 METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(59091, NULL, 'PTHR17117', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE', NULL, NULL, 26762, 15),
(59092, NULL, 'PTHR44191:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1R1-LIKE', NULL, NULL, NULL, 15),
(59093, NULL, 'PTHR19372:SF7', NULL, NULL, NULL, NULL, 'SULFITE OXIDASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(59094, NULL, 'PTHR47990:SF94', NULL, NULL, NULL, NULL, 'BNAA04G20250D PROTEIN', NULL, NULL, NULL, 15),
(59095, NULL, 'PTHR12817:SF2', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 6A', NULL, NULL, NULL, 15),
(59096, NULL, 'PTHR11100', NULL, NULL, NULL, NULL, 'HEREGULIN-NEUREGULIN FAMILY MEMBER', NULL, NULL, 34694, 15),
(59097, NULL, 'PTHR30451:SF4', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE USHER PROTEIN YQIG-RELATED', NULL, NULL, NULL, 15),
(59098, NULL, 'PTHR10177:SF207', NULL, NULL, NULL, NULL, 'CYCLIN-D2-3-RELATED', NULL, NULL, NULL, 15),
(59099, NULL, 'PTHR11909:SF124', NULL, NULL, NULL, NULL, 'PROTEIN CBG19430', NULL, NULL, NULL, 15),
(59100, NULL, 'PTHR45988:SF1', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY', NULL, NULL, NULL, 15),
(59101, NULL, 'PTHR45974:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59102, NULL, 'PTHR23167:SF59', NULL, NULL, NULL, NULL, 'MICAL-LIKE 1A-RELATED', NULL, NULL, NULL, 15),
(59103, NULL, 'PTHR47983:SF27', NULL, NULL, NULL, NULL, 'BNAC04G48730D PROTEIN', NULL, NULL, NULL, 15),
(59104, NULL, 'PTHR13466:SF5', NULL, NULL, NULL, NULL, 'MAINTENANCE OF MITOCHONDRIAL MORPHOLOGY PROTEIN 1', NULL, NULL, 24842, 15),
(59105, NULL, 'PTHR23222:SF19', NULL, NULL, NULL, NULL, 'PROHIBITIN', NULL, NULL, NULL, 15),
(59106, NULL, 'PTHR47797:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59107, NULL, 'PTHR11042:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59108, NULL, 'PTHR11783:SF100', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 4, ISOFORM A', NULL, NULL, NULL, 15),
(59109, NULL, 'PTHR32444:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59110, NULL, 'PTHR27007:SF200', NULL, NULL, NULL, NULL, 'OS09G0251100 PROTEIN', NULL, NULL, NULL, 15),
(59111, NULL, 'PTHR10353:SF171', NULL, NULL, NULL, NULL, 'FUROSTANOL GLYCOSIDE 26-O-BETA-GLUCOSIDASE-LIKE', NULL, NULL, NULL, 15),
(59112, NULL, 'PTHR35791:SF1', NULL, NULL, NULL, NULL, 'UPF0754 MEMBRANE PROTEIN YHEB', NULL, NULL, NULL, 15),
(59113, NULL, 'PTHR43550', NULL, NULL, NULL, NULL, '3-KETODIHYDROSPHINGOSINE REDUCTASE', NULL, NULL, NULL, 15),
(59114, NULL, 'PTHR45621:SF31', NULL, NULL, NULL, NULL, 'KINASE 1B', NULL, NULL, NULL, 15),
(59115, NULL, 'PTHR11461:SF34', NULL, NULL, NULL, NULL, 'CORTICOSTEROID-BINDING GLOBULIN', NULL, NULL, NULL, 15),
(59116, NULL, 'PTHR31985:SF20', NULL, NULL, NULL, NULL, 'OS02G0558700 PROTEIN', NULL, NULL, NULL, 15),
(59117, NULL, 'PTHR45732:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59118, NULL, 'PTHR33593:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59119, NULL, 'PTHR10336:SF25', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE GAMMA-2', NULL, NULL, 22534, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59120, NULL, 'PTHR24058:SF125', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE, ERK3/4-RELATED', NULL, NULL, NULL, 15),
(59121, NULL, 'PTHR13306', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 8426, 15),
(59122, NULL, 'PTHR33459', NULL, NULL, NULL, NULL, 'DD-GDCA PROTEIN', NULL, NULL, NULL, 15),
(59123, NULL, 'PTHR12827:SF4', NULL, NULL, NULL, NULL, 'BNAC02G02260D PROTEIN', NULL, NULL, NULL, 15),
(59124, NULL, 'PTHR22900', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 153, 15),
(59125, NULL, 'PTHR11787:SF24', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', NULL, NULL, NULL, 15),
(59126, NULL, 'PTHR13029:SF16', NULL, NULL, NULL, NULL, 'MYELIN REGULATORY FACTOR', NULL, NULL, 28871, 15),
(59127, NULL, 'PTHR46011:SF12', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(59128, NULL, 'PTHR33843', NULL, NULL, NULL, NULL, 'ASCORBATE-SPECIFIC PTS SYSTEM EIIC COMPONENT', NULL, NULL, NULL, 15),
(59129, NULL, 'PTHR18934:SF213', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA/RNA HELICASE DHX36', NULL, NULL, NULL, 15),
(59130, NULL, 'PTHR43755:SF2', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT PYRIDINE NUCLEOTIDE-DISULPHIDE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(59131, NULL, 'PTHR22881', NULL, NULL, NULL, NULL, 'BROMODOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(59132, NULL, 'PTHR31953:SF81', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE INSOLUBLE ISOENZYME CWINV2', NULL, NULL, NULL, 15),
(59133, NULL, 'PTHR24326:SF571', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX20', NULL, NULL, NULL, 15),
(59134, NULL, 'PTHR34361:SF8', NULL, NULL, NULL, NULL, 'BNAA06G15880D PROTEIN', NULL, NULL, NULL, 15),
(59135, NULL, 'PTHR45844:SF7', NULL, NULL, NULL, NULL, 'OS05G0163900 PROTEIN', NULL, NULL, NULL, 15),
(59136, NULL, 'PTHR10155:SF17', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 6', NULL, NULL, 27324, 15),
(59137, NULL, 'PTHR24223:SF413', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59138, NULL, 'PTHR12871:SF0', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYL-GLYCOPROTEIN 2-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(59139, NULL, 'PTHR18952:SF19', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 12', NULL, NULL, 18635, 15),
(59140, NULL, 'PTHR11153', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN', NULL, NULL, 3200, 15),
(59141, NULL, 'PTHR48047:SF62', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73D1', NULL, NULL, NULL, 15),
(59142, NULL, 'PTHR33021:SF226', NULL, NULL, NULL, NULL, 'OS11G0491500 PROTEIN', NULL, NULL, NULL, 15),
(59143, NULL, 'PTHR33882:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59144, NULL, 'PTHR47037:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L33, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(59145, NULL, 'PTHR31692:SF13', NULL, NULL, NULL, NULL, 'OS06G0662300 PROTEIN', NULL, NULL, NULL, 15),
(59146, NULL, 'PTHR18945:SF431', NULL, NULL, NULL, NULL, 'SEROTONIN-GATED CHLORIDE CHANNEL', NULL, NULL, NULL, 15),
(59147, NULL, 'PTHR23429:SF8', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE', NULL, NULL, NULL, 15),
(59148, NULL, 'PTHR13018:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59149, NULL, 'PTHR24073:SF315', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-7L1', NULL, NULL, NULL, 15),
(59150, NULL, 'PTHR43766:SF1', NULL, NULL, NULL, NULL, 'TRYPTOPHAN--TRNA LIGASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(59151, NULL, 'PTHR37722:SF2', NULL, NULL, NULL, NULL, 'OS01G0167700 PROTEIN', NULL, NULL, NULL, 15),
(59152, NULL, 'PTHR22909', NULL, NULL, NULL, NULL, 'GOLGI INTEGRAL MEMBRANE PROTEIN 4', NULL, NULL, 38769, 15),
(59153, NULL, 'PTHR31189:SF63', NULL, NULL, NULL, NULL, 'GLYCININ G5', NULL, NULL, NULL, 15),
(59154, NULL, 'PTHR26451:SF963', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR, FAMILY H, SUBFAMILY 132, MEMBER 2-RELATED', NULL, NULL, NULL, 15),
(59155, NULL, 'PTHR31920:SF88', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0723500-LIKE ISOFORM X1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59156, NULL, 'PTHR10826:SF25', NULL, NULL, NULL, NULL, 'BNAA06G10550D PROTEIN', NULL, NULL, NULL, 15),
(59157, NULL, 'PTHR10934:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59158, NULL, 'PTHR32212:SF314', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(59159, NULL, 'PTHR11136:SF11', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE', NULL, NULL, NULL, 15),
(59160, NULL, 'PTHR23074:SF150', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A1-LIKE', NULL, NULL, NULL, 15),
(59161, NULL, 'PTHR21495:SF193', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(59162, NULL, 'PTHR24637:SF320', NULL, NULL, NULL, NULL, 'DUMPY: SHORTER THAN WILD-TYPE', NULL, NULL, NULL, 15),
(59163, NULL, 'PTHR10759:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59164, NULL, 'PTHR15907:SF183', NULL, NULL, NULL, NULL, 'CORNIFELIN HOMOLOG', NULL, NULL, NULL, 15),
(59165, NULL, 'PTHR31282:SF132', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING PROTEIN 70-RELATED', NULL, NULL, NULL, 15),
(59166, NULL, 'PTHR28618:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN POC5', NULL, NULL, NULL, 15),
(59167, NULL, 'PTHR48052:SF23', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(59168, NULL, 'PTHR10938:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59169, NULL, 'PTHR23272:SF131', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59170, NULL, 'PTHR16091:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59171, NULL, 'PTHR11064:SF132', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-8', NULL, NULL, NULL, 15),
(59172, NULL, 'PTHR36012', NULL, NULL, NULL, NULL, 'OS01G0654400 PROTEIN', NULL, NULL, NULL, 15),
(59173, NULL, 'PTHR10138:SF0', NULL, NULL, NULL, NULL, 'TRYPTOPHAN 2,3-DIOXYGENASE', NULL, NULL, NULL, 15),
(59174, NULL, 'PTHR12228:SF0', NULL, NULL, NULL, NULL, 'TAF7 RNA POLYMERASE II, TATA BOX-BINDING PROTEIN (TBP)-ASSOCIATED FACTOR', NULL, NULL, NULL, 15),
(59175, NULL, 'PTHR24343:SF113', NULL, NULL, NULL, NULL, 'NITROGEN PERMEASE REACTIVATOR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59176, NULL, 'PTHR37962:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG09348', NULL, NULL, NULL, 15),
(59177, NULL, 'PTHR47012:SF1', NULL, NULL, NULL, NULL, 'LAMIN TAIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(59178, NULL, 'PTHR24064:SF170', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 15', NULL, NULL, NULL, 15),
(59179, NULL, 'PTHR21137:SF39', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 19A-RELATED', NULL, NULL, NULL, 15),
(59180, NULL, 'PTHR32370:SF89', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(59181, NULL, 'PTHR15215', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 35296, 15),
(59182, NULL, 'PTHR13063:SF10', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(59183, NULL, 'PTHR46386', NULL, NULL, NULL, NULL, 'NUCLEAR BODY PROTEIN SP140', NULL, NULL, 37877, 15),
(59184, NULL, 'PTHR11474:SF21', NULL, NULL, NULL, NULL, 'TYROSINASE', NULL, NULL, 8384, 15),
(59185, NULL, 'PTHR12411:SF756', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE', NULL, NULL, NULL, 15),
(59186, NULL, 'PTHR12264:SF23', NULL, NULL, NULL, NULL, 'BNAA09G45000D PROTEIN', NULL, NULL, NULL, 15),
(59187, NULL, 'PTHR12485', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE SUBUNIT B', NULL, NULL, 8484, 15),
(59188, NULL, 'PTHR37915', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59189, NULL, 'PTHR45742:SF1', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C8 ALPHA CHAIN', NULL, NULL, 30259, 15),
(59190, NULL, 'PTHR27006:SF21', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(59191, NULL, 'PTHR43751:SF2', NULL, NULL, NULL, NULL, 'SULFATASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(59192, NULL, 'PTHR16529:SF9', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING 10-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59193, NULL, 'PTHR12215:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG23511', NULL, NULL, NULL, 15),
(59194, NULL, 'PTHR13620:SF84', NULL, NULL, NULL, NULL, 'EMB|CAB82946.1-RELATED', NULL, NULL, NULL, 15),
(59195, NULL, 'PTHR10992:SF1005', NULL, NULL, NULL, NULL, 'ESTERASE PIR7A-RELATED', NULL, NULL, NULL, 15),
(59196, NULL, 'PTHR23084:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59197, NULL, 'PTHR11474:SF104', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(59198, NULL, 'PTHR10953:SF222', NULL, NULL, NULL, NULL, 'BNAA04G17280D PROTEIN', NULL, NULL, NULL, 15),
(59199, NULL, 'PTHR33265:SF45', NULL, NULL, NULL, NULL, 'AVR9/CF-9 RAPIDLY ELICITED PROTEIN', NULL, NULL, NULL, 15),
(59200, NULL, 'PTHR28616:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 125', NULL, NULL, NULL, 15),
(59201, NULL, 'PTHR32444:SF115', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(59202, NULL, 'PTHR10168:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59203, NULL, 'PTHR23101:SF114', NULL, NULL, NULL, NULL, 'EXCHANGE FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(59204, NULL, 'PTHR42799:SF20', NULL, NULL, NULL, NULL, 'BNAA03G47160D PROTEIN', NULL, NULL, NULL, 15),
(59205, NULL, 'PTHR33070:SF67', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF241)-RELATED', NULL, NULL, NULL, 15),
(59206, NULL, 'PTHR48022:SF54', NULL, NULL, NULL, NULL, 'GLUCOSE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G00890)-RELATED', NULL, NULL, NULL, 15),
(59207, NULL, 'PTHR31944:SF131', NULL, NULL, NULL, NULL, 'HEME-RESPONSIVE ZINC FINGER TRANSCRIPTION FACTOR HAP1', NULL, NULL, NULL, 15),
(59208, NULL, 'PTHR13199:SF11', NULL, NULL, NULL, NULL, 'GH03947P', NULL, NULL, NULL, 15),
(59209, NULL, 'PTHR47985:SF1', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(59210, NULL, 'PTHR13271:SF117', NULL, NULL, NULL, NULL, 'BNAANNG22450D PROTEIN', NULL, NULL, NULL, 15),
(59211, NULL, 'PTHR33507:SF3', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YBBJ', NULL, NULL, NULL, 15),
(59212, NULL, 'PTHR23050:SF432', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59213, NULL, 'PTHR31832', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 22', NULL, NULL, NULL, 15),
(59214, NULL, 'PTHR11955:SF96', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN, LIVER', NULL, NULL, 27810, 15),
(59215, NULL, 'PTHR40658:SF3', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(59216, NULL, 'PTHR14000:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59217, NULL, 'PTHR10994:SF170', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(59218, NULL, 'PTHR24012:SF797', NULL, NULL, NULL, NULL, 'PROTEIN PES4-RELATED', NULL, NULL, NULL, 15),
(59219, NULL, 'PTHR10887:SF447', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(59220, NULL, 'PTHR23239:SF353', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA7', NULL, NULL, NULL, 15),
(59221, NULL, 'PTHR43080:SF20', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN YKUL', NULL, NULL, NULL, 15),
(59222, NULL, 'PTHR31896:SF31', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(59223, NULL, 'PTHR20955', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 13123, 15),
(59224, NULL, 'PTHR43725:SF29', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(59225, NULL, 'PTHR31388:SF17', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(59226, NULL, 'PTHR48134:SF2', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN 96-92-RELATED', NULL, NULL, NULL, 15),
(59227, NULL, 'PTHR30217:SF11', NULL, NULL, NULL, NULL, 'PROTEASE-RELATED', NULL, NULL, NULL, 15),
(59228, NULL, 'PTHR48048:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59229, NULL, 'PTHR14360:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59230, NULL, 'PTHR32479', NULL, NULL, NULL, NULL, 'GLYCOLATE OXIDASE IRON-SULFUR SUBUNIT', NULL, NULL, NULL, 15),
(59231, NULL, 'PTHR47958:SF27', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 57', NULL, NULL, NULL, 15),
(59232, NULL, 'PTHR38742', NULL, NULL, NULL, NULL, 'PROTEIN GP17', NULL, NULL, NULL, 15),
(59233, NULL, 'PTHR31920:SF65', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR VRN1-LIKE', NULL, NULL, NULL, 15),
(59234, NULL, 'PTHR11926:SF1411', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59235, NULL, 'PTHR23259:SF65', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(59236, NULL, 'PTHR10751:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 112', NULL, NULL, NULL, 15),
(59237, NULL, 'PTHR19328:SF67', NULL, NULL, NULL, NULL, 'HIPL1 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(59238, NULL, 'PTHR24388:SF77', NULL, NULL, NULL, NULL, 'CHORION TRANSCRIPTION FACTOR CF2-RELATED', NULL, NULL, NULL, 15),
(59239, NULL, 'PTHR14155:SF530', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL39', NULL, NULL, NULL, 15),
(59240, NULL, 'PTHR10353:SF207', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 27', NULL, NULL, NULL, 15),
(59241, NULL, 'PTHR21596:SF72', NULL, NULL, NULL, NULL, 'BNAC08G40140D PROTEIN', NULL, NULL, NULL, 15),
(59242, NULL, 'PTHR26453:SF195', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(59243, NULL, 'PTHR11469', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE ISOMERASE', NULL, NULL, 3344, 15),
(59244, NULL, 'PTHR27003:SF296', NULL, NULL, NULL, NULL, 'OS03G0759600 PROTEIN', NULL, NULL, NULL, 15),
(59245, NULL, 'PTHR30615:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59246, NULL, 'PTHR33191:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59247, NULL, 'PTHR21485', NULL, NULL, NULL, NULL, 'HAD SUPERFAMILY MEMBERS CMAS AND KDSC', NULL, NULL, NULL, 15),
(59248, NULL, 'PTHR12040:SF25', NULL, NULL, NULL, NULL, 'HISTONE CHAPERONE ASF1A-RELATED', NULL, NULL, NULL, 15),
(59249, NULL, 'PTHR11082:SF25', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE SYNTHASE B', NULL, NULL, NULL, 15),
(59250, NULL, 'PTHR24326:SF541', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX13-LIKE', NULL, NULL, NULL, 15),
(59251, NULL, 'PTHR30065:SF8', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLIR', NULL, NULL, NULL, 15),
(59252, NULL, 'PTHR31238:SF211', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(59253, NULL, 'PTHR35307:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59254, NULL, 'PTHR15907:SF4', NULL, NULL, NULL, NULL, 'PLACENTA-SPECIFIC 8', NULL, NULL, NULL, 15),
(59255, NULL, 'PTHR31415:SF112', NULL, NULL, NULL, NULL, 'BNAC05G32280D PROTEIN', NULL, NULL, NULL, 15),
(59256, NULL, 'PTHR10091:SF35', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(59257, NULL, 'PTHR42991:SF6', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(59258, NULL, 'PTHR37866:SF1', NULL, NULL, NULL, NULL, 'PRE T-CELL ANTIGEN RECEPTOR ALPHA', NULL, NULL, NULL, 15),
(59259, NULL, 'PTHR24340:SF24', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-2.2', NULL, NULL, NULL, 15),
(59260, NULL, 'PTHR47101:SF4', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(59261, NULL, 'PTHR44427:SF14', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC BETA-1-GLYCOPROTEIN 9', NULL, NULL, NULL, 15),
(59262, NULL, 'PTHR36326:SF12', NULL, NULL, NULL, NULL, 'PROTEIN SULFUR DEFICIENCY-INDUCED 1-LIKE', NULL, NULL, NULL, 15),
(59263, NULL, 'PTHR45762:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 346-LIKE', NULL, NULL, NULL, 15),
(59264, NULL, 'PTHR47933:SF19', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(59265, NULL, 'PTHR24326:SF564', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-12', NULL, NULL, NULL, 15),
(59266, NULL, 'PTHR14952:SF15', NULL, NULL, NULL, NULL, 'AT09290P', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59267, NULL, 'PTHR24123:SF95', NULL, NULL, NULL, NULL, 'ANKYRIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(59268, NULL, 'PTHR34975:SF2', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN A2', NULL, NULL, NULL, 15),
(59269, NULL, 'PTHR10695:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59270, NULL, 'PTHR17613:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN PROTEIN 3', NULL, NULL, NULL, 15),
(59271, NULL, 'PTHR10887:SF485', NULL, NULL, NULL, NULL, 'HELICASE SENATAXIN-RELATED', NULL, NULL, NULL, 15),
(59272, NULL, 'PTHR22943:SF41', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(59273, NULL, 'PTHR45782:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOME-ASSOCIATED GTPASE 1', NULL, NULL, NULL, 15),
(59274, NULL, 'PTHR35006:SF2', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G14830)', NULL, NULL, NULL, 15),
(59275, NULL, 'PTHR24028:SF42', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-12', NULL, NULL, 27533, 15),
(59276, NULL, 'PTHR11417:SF3', NULL, NULL, NULL, NULL, 'SOMATOLACTIN ALPHA-RELATED', NULL, NULL, 17177, 15),
(59277, NULL, 'PTHR46827', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DDB_G0288861-RELATED', NULL, NULL, NULL, 15),
(59278, NULL, 'PTHR43243:SF29', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 7 MEMBER 14B', NULL, NULL, NULL, 15),
(59279, NULL, 'PTHR23054:SF18', NULL, NULL, NULL, NULL, 'BNAA07G12450D PROTEIN', NULL, NULL, NULL, 15),
(59280, NULL, 'PTHR26452:SF795', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5K4', NULL, NULL, NULL, 15),
(59281, NULL, 'PTHR47990:SF139', NULL, NULL, NULL, NULL, 'NARINGENIN,2-OXOGLUTARATE 3-DIOXYGENASE', NULL, NULL, NULL, 15),
(59282, NULL, 'PTHR46354:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBP-1B(C38)-LIKE', NULL, NULL, NULL, 15),
(59283, NULL, 'PTHR14097', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE HTATIP2', NULL, NULL, NULL, 15),
(59284, NULL, 'PTHR12002:SF179', NULL, NULL, NULL, NULL, 'CLAUDIN-RELATED', NULL, NULL, NULL, 15),
(59285, NULL, 'PTHR23422:SF11', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE 3', NULL, NULL, NULL, 15),
(59286, NULL, 'PTHR24028:SF254', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-11 X-LINKED', NULL, NULL, NULL, 15),
(59287, NULL, 'PTHR47976:SF22', NULL, NULL, NULL, NULL, 'BNAC06G30440D PROTEIN', NULL, NULL, NULL, 15),
(59288, NULL, 'PTHR31357:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG00326', NULL, NULL, NULL, 15),
(59289, NULL, 'PTHR11710:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19', NULL, NULL, NULL, 15),
(59290, NULL, 'PTHR24093:SF430', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 5, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(59291, NULL, 'PTHR41247', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR YCNK', NULL, NULL, 12387, 15),
(59292, NULL, 'PTHR48182:SF1', NULL, NULL, NULL, NULL, 'GH15286P', NULL, NULL, NULL, 15),
(59293, NULL, 'PTHR11920:SF472', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-9', NULL, NULL, NULL, 15),
(59294, NULL, 'PTHR44329:SF170', NULL, NULL, NULL, NULL, 'BNAA09G55190D PROTEIN', NULL, NULL, NULL, 15),
(59295, NULL, 'PTHR31642:SF246', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59296, NULL, 'PTHR12483:SF22', NULL, NULL, NULL, NULL, 'HIGH AFFINITY COPPER UPTAKE PROTEIN 1', NULL, NULL, NULL, 15),
(59297, NULL, 'PTHR30126:SF22', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YHAJ-RELATED', NULL, NULL, NULL, 15),
(59298, NULL, 'PTHR46148:SF31', NULL, NULL, NULL, NULL, 'PROTEIN NYNRIN-LIKE', NULL, NULL, NULL, 15),
(59299, NULL, 'PTHR31890:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59300, NULL, 'PTHR48041:SF21', NULL, NULL, NULL, NULL, 'PIGMENT PERMEASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(59301, NULL, 'PTHR32467:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59302, NULL, 'PTHR24125', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND DEATH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(59303, NULL, 'PTHR45666:SF14', NULL, NULL, NULL, NULL, 'OS01G0183300 PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59304, NULL, 'PTHR21700:SF109', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(59305, NULL, 'PTHR10869:SF102', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 12-RELATED', NULL, NULL, NULL, 15),
(59306, NULL, 'PTHR21398:SF21', NULL, NULL, NULL, NULL, 'AGAP004005-PA', NULL, NULL, NULL, 15),
(59307, NULL, 'PTHR35705:SF7', NULL, NULL, NULL, NULL, 'OS01G0235350 PROTEIN', NULL, NULL, NULL, 15),
(59308, NULL, 'PTHR12537:SF169', NULL, NULL, NULL, NULL, 'BNAC02G24900D PROTEIN', NULL, NULL, NULL, 15),
(59309, NULL, 'PTHR11742:SF49', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(59310, NULL, 'PTHR35254:SF1', NULL, NULL, NULL, NULL, 'STIMULATED BY RETINOIC ACID GENE 8 PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(59311, NULL, 'PTHR23253:SF53', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR ISOFORM 4G-2', NULL, NULL, NULL, 15),
(59312, NULL, 'PTHR31741:SF51', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONAN I RHAMNOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(59313, NULL, 'PTHR24377:SF609', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 665', NULL, NULL, NULL, 15),
(59314, NULL, 'PTHR31920:SF73', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM13-LIKE', NULL, NULL, NULL, 15),
(59315, NULL, 'PTHR11311:SF6', NULL, NULL, NULL, NULL, 'CIRCUMSPOROZOITE-AND TRAP-RELATED PROTEIN', NULL, NULL, NULL, 15),
(59316, NULL, 'PTHR46160:SF3', NULL, NULL, NULL, NULL, 'ALPHA-TECTORIN', NULL, NULL, 34500, 15),
(59317, NULL, 'PTHR13948:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59318, NULL, 'PTHR10933:SF11', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(59319, NULL, 'PTHR38762', NULL, NULL, NULL, NULL, 'CRYPTIC OUTER MEMBRANE PORIN BGLH-RELATED', NULL, NULL, NULL, 15),
(59320, NULL, 'PTHR31664:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG09301', NULL, NULL, NULL, 15),
(59321, NULL, 'PTHR16897:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59322, NULL, 'PTHR31707:SF152', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 5-RELATED', NULL, NULL, NULL, 15),
(59323, NULL, 'PTHR13954', NULL, NULL, NULL, NULL, 'IRE1-RELATED', NULL, NULL, 37283, 15),
(59324, NULL, 'PTHR23185:SF0', NULL, NULL, NULL, NULL, 'PROTEIN VIRILIZER HOMOLOG', NULL, NULL, NULL, 15),
(59325, NULL, 'PTHR24061:SF504', NULL, NULL, NULL, NULL, 'VOMERONASAL 2 RECEPTOR, A20', NULL, NULL, NULL, 15),
(59326, NULL, 'PTHR11961:SF44', NULL, NULL, NULL, NULL, 'CYTOCHROME C-2', NULL, NULL, NULL, 15),
(59327, NULL, 'PTHR47965:SF32', NULL, NULL, NULL, NULL, 'BASIC 7S GLOBULIN-LIKE', NULL, NULL, NULL, 15),
(59328, NULL, 'PTHR43628', NULL, NULL, NULL, NULL, 'ACTIVATOR OF C KINASE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(59329, NULL, 'PTHR10827:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59330, NULL, 'PTHR45640:SF9', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(59331, NULL, 'PTHR15386', NULL, NULL, NULL, NULL, 'FIBRINOGEN SILENCER-BINDING PROTEIN', NULL, NULL, 39178, 15),
(59332, NULL, 'PTHR10606:SF44', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO 2-KINASE/FRUCTOSE 2,6-BISPHOSPHATASE LONG FORM', NULL, NULL, NULL, 15),
(59333, NULL, 'PTHR31235:SF305', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(59334, NULL, 'PTHR34205:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(59335, NULL, 'PTHR24089:SF358', NULL, NULL, NULL, NULL, 'OS06G0602700 PROTEIN', NULL, NULL, NULL, 15),
(59336, NULL, 'PTHR35529:SF2', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN YTAF-RELATED', NULL, NULL, NULL, 15),
(59337, NULL, 'PTHR23155:SF945', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(59338, NULL, 'PTHR13683:SF711', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(59339, NULL, 'PTHR15854', NULL, NULL, NULL, NULL, 'THAP4 PROTEIN', NULL, NULL, 39859, 15),
(59340, NULL, 'PTHR38041', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59341, NULL, 'PTHR47924:SF20', NULL, NULL, NULL, NULL, 'BNACNNG62680D PROTEIN', NULL, NULL, NULL, 15),
(59342, NULL, 'PTHR48017:SF39', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(59343, NULL, 'PTHR24057:SF66', NULL, NULL, NULL, NULL, 'BNAANNG31110D PROTEIN', NULL, NULL, NULL, 15),
(59344, NULL, 'PTHR10516:SF423', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(59345, NULL, 'PTHR46324:SF8', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59346, NULL, 'PTHR32370:SF151', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59347, NULL, 'PTHR42067', NULL, NULL, NULL, NULL, 'YALI0C15378P', NULL, NULL, NULL, 15),
(59348, NULL, 'PTHR32256:SF6', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(59349, NULL, 'PTHR11639:SF76', NULL, NULL, NULL, NULL, 'PROTEIN S100-A16', NULL, NULL, 28323, 15),
(59350, NULL, 'PTHR31928:SF17', NULL, NULL, NULL, NULL, 'OS11G0265300 PROTEIN', NULL, NULL, NULL, 15),
(59351, NULL, 'PTHR30348:SF4', NULL, NULL, NULL, NULL, 'DUF72', NULL, NULL, NULL, 15),
(59352, NULL, 'PTHR32467:SF169', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(59353, NULL, 'PTHR12515:SF9', NULL, NULL, NULL, NULL, 'PROTEIN SMAUG HOMOLOG 2', NULL, NULL, NULL, 15),
(59354, NULL, 'PTHR24221:SF128', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', NULL, NULL, NULL, 15),
(59355, NULL, 'PTHR10585:SF72', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN RETAINING RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(59356, NULL, 'PTHR24064:SF544', NULL, NULL, NULL, NULL, 'LP17136P', NULL, NULL, NULL, 15),
(59357, NULL, 'PTHR12281:SF19', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(59358, NULL, 'PTHR12270', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(59359, NULL, 'PTHR47633', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59360, NULL, 'PTHR31595:SF27', NULL, NULL, NULL, NULL, 'TOXIN BIOSYNTHESIS PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02360)-RELATED', NULL, NULL, NULL, 15),
(59361, NULL, 'PTHR33199:SF17', NULL, NULL, NULL, NULL, 'BNAA01G13800D PROTEIN', NULL, NULL, NULL, 15),
(59362, NULL, 'PTHR32080:SF29', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 38-LIKE', NULL, NULL, NULL, 15),
(59363, NULL, 'PTHR36699:SF1', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE YAFK-RELATED', NULL, NULL, NULL, 15),
(59364, NULL, 'PTHR35174:SF3', NULL, NULL, NULL, NULL, 'BLL7171 PROTEIN', NULL, NULL, NULL, 15),
(59365, NULL, 'PTHR11480:SF79', NULL, NULL, NULL, NULL, 'PROACTIVATOR POLYPEPTIDE-LIKE 1', NULL, NULL, NULL, 15),
(59366, NULL, 'PTHR45955', NULL, NULL, NULL, NULL, 'PHOSPHOACETYLGLUCOSAMINE MUTASE', NULL, NULL, NULL, 15),
(59367, NULL, 'PTHR14618', NULL, NULL, NULL, NULL, 'HOMEODOX-CONTAINING PROTEIN 1 HMBOX1', NULL, NULL, 32270, 15),
(59368, NULL, 'PTHR12191:SF21', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP4', NULL, NULL, NULL, 15),
(59369, NULL, 'PTHR26379:SF387', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59370, NULL, 'PTHR33433:SF12', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(59371, NULL, 'PTHR33116:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59372, NULL, 'PTHR31282:SF136', NULL, NULL, NULL, NULL, 'BNAA03G51590D PROTEIN', NULL, NULL, NULL, 15),
(59373, NULL, 'PTHR45624', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL BASIC AMINO ACIDS TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(59374, NULL, 'PTHR36066:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SAC51', NULL, NULL, NULL, 15),
(59375, NULL, 'PTHR10502:SF195', NULL, NULL, NULL, NULL, 'ANNEXIN D7', NULL, NULL, NULL, 15),
(59376, NULL, 'PTHR10192:SF5', NULL, NULL, NULL, NULL, 'GEPHYRIN', NULL, NULL, NULL, 15),
(59377, NULL, 'PTHR14047:SF11', NULL, NULL, NULL, NULL, 'P ANTIGEN FAMILY MEMBER 4', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59378, NULL, 'PTHR31917:SF63', NULL, NULL, NULL, NULL, 'JHL25H03.10-LIKE PROTEIN', NULL, NULL, NULL, 15),
(59379, NULL, 'PTHR46012:SF2', NULL, NULL, NULL, NULL, 'IP22168P', NULL, NULL, NULL, 15),
(59380, NULL, 'PTHR22835:SF603', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59381, NULL, 'PTHR37792', NULL, NULL, NULL, NULL, 'RIBONUCLEASE MRP PROTEIN SUBUNIT RMP1', NULL, NULL, NULL, 15),
(59382, NULL, 'PTHR14167:SF64', NULL, NULL, NULL, NULL, 'SORBIN AND SH3 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(59383, NULL, 'PTHR45751:SF35', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(59384, NULL, 'PTHR10605:SF46', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE GLUCOSAMINE 3-O-SULFOTRANSFERASE 5', NULL, NULL, NULL, 15),
(59385, NULL, 'PTHR15660:SF1', NULL, NULL, NULL, NULL, 'BRISC AND BRCA1-A COMPLEX MEMBER 1', NULL, NULL, NULL, 15),
(59386, NULL, 'PTHR31712:SF0', NULL, NULL, NULL, NULL, 'DIETARY RESTRICTION OVER EXPRESSED', NULL, NULL, NULL, 15),
(59387, NULL, 'PTHR42089:SF1', NULL, NULL, NULL, NULL, 'YALI0F09427P', NULL, NULL, NULL, 15),
(59388, NULL, 'PTHR47967:SF59', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE CDR1-LIKE', NULL, NULL, NULL, 15),
(59389, NULL, 'PTHR47928:SF11', NULL, NULL, NULL, NULL, 'OS01G0715900 PROTEIN', NULL, NULL, NULL, 15),
(59390, NULL, 'PTHR46797:SF1', NULL, NULL, NULL, NULL, 'BLL2473 PROTEIN', NULL, NULL, NULL, 15),
(59391, NULL, 'PTHR10168:SF279', NULL, NULL, NULL, NULL, 'BNAC03G66790D PROTEIN', NULL, NULL, NULL, 15),
(59392, NULL, 'PTHR41521:SF4', NULL, NULL, NULL, NULL, 'BLR0684 PROTEIN', NULL, NULL, NULL, 15),
(59393, NULL, 'PTHR43531:SF6', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN I-RELATED', NULL, NULL, NULL, 15),
(59394, NULL, 'PTHR31375:SF172', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(59395, NULL, 'PTHR10953:SF5', NULL, NULL, NULL, NULL, 'SUMO-ACTIVATING ENZYME SUBUNIT 2', NULL, NULL, 26380, 15),
(59396, NULL, 'PTHR34356', NULL, NULL, NULL, NULL, 'ANTIGENIC HEAT-STABLE PROTEIN', NULL, NULL, NULL, 15),
(59397, NULL, 'PTHR10353:SF285', NULL, NULL, NULL, NULL, 'BNAA09G14750D PROTEIN', NULL, NULL, NULL, 15),
(59398, NULL, 'PTHR43000:SF22', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL UDP-GLUCOSE 4,6-DEHYDRATASE/UDP-4-KETO-6-DEOXY-D-GLUCOSE 3,5-EPIMERASE/UDP-4-KETO-L-RHAMNOSE-REDUCTASE RHM3-LIKE', NULL, NULL, NULL, 15),
(59399, NULL, 'PTHR48017:SF19', NULL, NULL, NULL, NULL, 'PROLINE TRANSPORTER 3', NULL, NULL, NULL, 15),
(59400, NULL, 'PTHR23063:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59401, NULL, 'PTHR14002:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59402, NULL, 'PTHR22802:SF387', NULL, NULL, NULL, NULL, 'SI:CH211-170D8.5-RELATED', NULL, NULL, NULL, 15),
(59403, NULL, 'PTHR12542:SF137', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(59404, NULL, 'PTHR43710', NULL, NULL, NULL, NULL, '2-HYDROXYACYL-COA LYASE', NULL, NULL, 38352, 15),
(59405, NULL, 'PTHR24083:SF154', NULL, NULL, NULL, NULL, 'DISSATISFACTION, ISOFORM A', NULL, NULL, NULL, 15),
(59406, NULL, 'PTHR31072:SF159', NULL, NULL, NULL, NULL, 'OS02G0747400 PROTEIN', NULL, NULL, NULL, 15),
(59407, NULL, 'PTHR37970', NULL, NULL, NULL, NULL, 'PROTEIN CBG08587', NULL, NULL, NULL, 15),
(59408, NULL, 'PTHR33044:SF122', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(59409, NULL, 'PTHR31189:SF35', NULL, NULL, NULL, NULL, '12S SEED STORAGE PROTEIN CRC', NULL, NULL, NULL, 15),
(59410, NULL, 'PTHR23266:SF262', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-69-RELATED', NULL, NULL, NULL, 15),
(59411, NULL, 'PTHR43981:SF6', NULL, NULL, NULL, NULL, 'TRANS-2-ENOYL-COA REDUCTASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(59412, NULL, 'PTHR24365:SF539', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59413, NULL, 'PTHR31677:SF149', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(59414, NULL, 'PTHR24248:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59415, NULL, 'PTHR24356:SF159', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C EPSILON TYPE', NULL, NULL, NULL, 15),
(59416, NULL, 'PTHR24384:SF95', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 486', NULL, NULL, NULL, 15),
(59417, NULL, 'PTHR46104:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59418, NULL, 'PTHR13308:SF23', NULL, NULL, NULL, NULL, 'NEDD4-BINDING PROTEIN 2-LIKE 2', NULL, NULL, 22347, 15),
(59419, NULL, 'PTHR43652:SF6', NULL, NULL, NULL, NULL, 'ARGININE REPRESSOR-RELATED', NULL, NULL, 20794, 15),
(59420, NULL, 'PTHR33713:SF3', NULL, NULL, NULL, NULL, 'ANTITOXIN', NULL, NULL, NULL, 15),
(59421, NULL, 'PTHR46080:SF11', NULL, NULL, NULL, NULL, 'BNAA09G04350D PROTEIN', NULL, NULL, NULL, 15),
(59422, NULL, 'PTHR46301:SF37', NULL, NULL, NULL, NULL, 'BNAA09G14340D PROTEIN', NULL, NULL, NULL, 15),
(59423, NULL, 'PTHR21258:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59424, NULL, 'PTHR23107:SF21', NULL, NULL, NULL, NULL, 'CALCIUM-RESPONSIVE TRANSACTIVATOR-RELATED', NULL, NULL, NULL, 15),
(59425, NULL, 'PTHR15282', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY E MEMBER 1, 3', NULL, NULL, 412, 15),
(59426, NULL, 'PTHR24328:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MOX-2', NULL, NULL, NULL, 15),
(59427, NULL, 'PTHR43060:SF11', NULL, NULL, NULL, NULL, 'DEHYDROGENASE', NULL, NULL, NULL, 15),
(59428, NULL, 'PTHR43450:SF2', NULL, NULL, NULL, NULL, 'ASPARTYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(59429, NULL, 'PTHR10366:SF711', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1-LIKE', NULL, NULL, NULL, 15),
(59430, NULL, 'PTHR11261:SF3', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(59431, NULL, 'PTHR48002:SF125', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(59432, NULL, 'PTHR10182:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MO25', NULL, NULL, NULL, 15),
(59433, NULL, 'PTHR30126', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(59434, NULL, 'PTHR24012:SF796', NULL, NULL, NULL, NULL, 'PROTEIN ALAN SHEPARD', NULL, NULL, NULL, 15),
(59435, NULL, 'PTHR33916:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59436, NULL, 'PTHR21312:SF33', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 10-RELATED', NULL, NULL, NULL, 15),
(59437, NULL, 'PTHR45642:SF100', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(59438, NULL, 'PTHR22765:SF314', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59439, NULL, 'PTHR48094:SF8', NULL, NULL, NULL, NULL, 'OS01G0217800 PROTEIN', NULL, NULL, NULL, 15),
(59440, NULL, 'PTHR22988:SF26', NULL, NULL, NULL, NULL, 'CITRON RHO-INTERACTING KINASE', NULL, NULL, 18875, 15),
(59441, NULL, 'PTHR46294:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX EVEN-SKIPPED HOMOLOG PROTEIN 1', NULL, NULL, NULL, 15),
(59442, NULL, 'PTHR47283:SF1', NULL, NULL, NULL, NULL, 'ENT-KAURENE OXIDASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(59443, NULL, 'PTHR34706:SF1', NULL, NULL, NULL, NULL, 'SLR1338 PROTEIN', NULL, NULL, NULL, 15),
(59444, NULL, 'PTHR24282:SF49', NULL, NULL, NULL, NULL, 'OS01G0628700 PROTEIN', NULL, NULL, NULL, 15),
(59445, NULL, 'PTHR11071:SF446', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP19-1', NULL, NULL, NULL, 15),
(59446, NULL, 'PTHR31639:SF224', NULL, NULL, NULL, NULL, 'OS01G0553400 PROTEIN', NULL, NULL, NULL, 15),
(59447, NULL, 'PTHR46463:SF40', NULL, NULL, NULL, NULL, 'BNAA02G05410D PROTEIN', NULL, NULL, NULL, 15),
(59448, NULL, 'PTHR23291:SF34', NULL, NULL, NULL, NULL, 'BAX INHIBITOR 1', NULL, NULL, NULL, 15),
(59449, NULL, 'PTHR23064:SF34', NULL, NULL, NULL, NULL, 'LOC683667 PROTEIN', NULL, NULL, NULL, 15),
(59450, NULL, 'PTHR13865:SF29', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION PROTEIN 1A', NULL, NULL, NULL, 15),
(59451, NULL, 'PTHR31509:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59452, NULL, 'PTHR45980:SF6', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59453, NULL, 'PTHR31251:SF132', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(59454, NULL, 'PTHR31676:SF145', NULL, NULL, NULL, NULL, 'BNAA08G26490D PROTEIN', NULL, NULL, NULL, 15),
(59455, NULL, 'PTHR24377:SF678', NULL, NULL, NULL, NULL, 'REDUCED EXPRESSION 2-RELATED', NULL, NULL, NULL, 15),
(59456, NULL, 'PTHR34050:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR RAD52-LIKE PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(59457, NULL, 'PTHR23142', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 2160, 15),
(59458, NULL, 'PTHR11893:SF41', NULL, NULL, NULL, NULL, 'INNEXIN INX2', NULL, NULL, NULL, 15),
(59459, NULL, 'PTHR12121:SF76', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(59460, NULL, 'PTHR30477:SF9', NULL, NULL, NULL, NULL, 'IRON TRANSPORT SYSTEM MEMBRANE PROTEIN HI_0359-RELATED', NULL, NULL, NULL, 15),
(59461, NULL, 'PTHR46396', NULL, NULL, NULL, NULL, 'PROTEIN O-LINKED-MANNOSE BETA-1,2-N-ACETYLGLUCOSAMINYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(59462, NULL, 'PTHR40732', NULL, NULL, NULL, NULL, 'UPF0218 PROTEIN TK1697', NULL, NULL, 212, 15),
(59463, NULL, 'PTHR34450:SF2', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 245-RELATED', NULL, NULL, NULL, 15),
(59464, NULL, 'PTHR13542', NULL, NULL, NULL, NULL, 'LSM12 HOMOLOG', NULL, NULL, 29534, 15),
(59465, NULL, 'PTHR24377:SF879', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 16', NULL, NULL, NULL, 15),
(59466, NULL, 'PTHR11799:SF28', NULL, NULL, NULL, NULL, 'MECHANOSENSORY ABNORMALITY PROTEIN 6', NULL, NULL, NULL, 15),
(59467, NULL, 'PTHR24270', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(59468, NULL, 'PTHR11771:SF101', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(59469, NULL, 'PTHR31683:SF116', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(59470, NULL, 'PTHR34925', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59471, NULL, 'PTHR10408:SF7', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 1', NULL, NULL, 26189, 15),
(59472, NULL, 'PTHR11592:SF86', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 3', NULL, NULL, NULL, 15),
(59473, NULL, 'PTHR43329:SF97', NULL, NULL, NULL, NULL, 'BNAC07G33340D PROTEIN', NULL, NULL, NULL, 15),
(59474, NULL, 'PTHR12136:SF111', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2', NULL, NULL, NULL, 15),
(59475, NULL, 'PTHR12106:SF41', NULL, NULL, NULL, NULL, 'SORTILIN', NULL, NULL, NULL, 15),
(59476, NULL, 'PTHR48040:SF11', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 1', NULL, NULL, NULL, 15),
(59477, NULL, 'PTHR42704:SF9', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE LARGE CHAIN', NULL, NULL, NULL, 15),
(59478, NULL, 'PTHR22904:SF522', NULL, NULL, NULL, NULL, 'HSP70-HSP90 ORGANIZING PROTEIN 3', NULL, NULL, NULL, 15),
(59479, NULL, 'PTHR16517:SF111', NULL, NULL, NULL, NULL, 'SI:DKEY-220F10.4', NULL, NULL, NULL, 15),
(59480, NULL, 'PTHR43098:SF5', NULL, NULL, NULL, NULL, 'DUAL-FUNCTIONAL MONOOXYGENASE/METHYLTRANSFERASE PSOF', NULL, NULL, NULL, 15),
(59481, NULL, 'PTHR26451:SF210', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(59482, NULL, 'PTHR22978:SF46', NULL, NULL, NULL, NULL, 'B-CELL TRANSLOCATION GENE 5', NULL, NULL, NULL, 15),
(59483, NULL, 'PTHR31852:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59484, NULL, 'PTHR12634:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(59485, NULL, 'PTHR42828', NULL, NULL, NULL, NULL, 'DHBP SYNTHASE RIBB-LIKE ALPHA/BETA DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(59486, NULL, 'PTHR33147', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(59487, NULL, 'PTHR31496:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAN4-RELATED', NULL, NULL, NULL, 15),
(59488, NULL, 'PTHR33337', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59489, NULL, 'PTHR10504:SF131', NULL, NULL, NULL, NULL, 'UPF0522 PROTEIN C', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59490, NULL, 'PTHR15528:SF10', NULL, NULL, NULL, NULL, 'PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR GAMMA COACTIVATOR 1-ALPHA', NULL, NULL, 5424, 15),
(59491, NULL, 'PTHR24209:SF33', NULL, NULL, NULL, NULL, 'PROTEIN DA1-RELATED 2', NULL, NULL, NULL, 15),
(59492, NULL, 'PTHR47926:SF189', NULL, NULL, NULL, NULL, 'BNAA07G12550D PROTEIN', NULL, NULL, NULL, 15),
(59493, NULL, 'PTHR48027:SF12', NULL, NULL, NULL, NULL, 'DAZ-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(59494, NULL, 'PTHR10003:SF82', NULL, NULL, NULL, NULL, 'BNAA09G10710D PROTEIN', NULL, NULL, NULL, 15),
(59495, NULL, 'PTHR33067:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59496, NULL, 'PTHR48045:SF8', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(59497, NULL, 'PTHR12131:SF7', NULL, NULL, NULL, NULL, 'EXOSOME RNA HELICASE MTR4', NULL, NULL, NULL, 15),
(59498, NULL, 'PTHR15592:SF34', NULL, NULL, NULL, NULL, 'OS02G0789700 PROTEIN', NULL, NULL, NULL, 15),
(59499, NULL, 'PTHR32343:SF8', NULL, NULL, NULL, NULL, 'SPLICING REGULATORY GLUTAMINE/LYSINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(59500, NULL, 'PTHR47257', NULL, NULL, NULL, NULL, 'PH-RESPONSE TRANSCRIPTION FACTOR PACC/RIM101', NULL, NULL, NULL, 15),
(59501, NULL, 'PTHR13976:SF31', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 12', NULL, NULL, NULL, 15),
(59502, NULL, 'PTHR34964:SF7', NULL, NULL, NULL, NULL, 'BNAANNG15920D PROTEIN', NULL, NULL, NULL, 15),
(59503, NULL, 'PTHR30302:SF7', NULL, NULL, NULL, NULL, 'F420-NONREDUCING HYDROGENASE II', NULL, NULL, NULL, 15),
(59504, NULL, 'PTHR32278:SF44', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A13', NULL, NULL, NULL, 15),
(59505, NULL, 'PTHR36321:SF2', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 1', NULL, NULL, NULL, 15),
(59506, NULL, 'PTHR13976:SF32', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN F', NULL, NULL, NULL, 15),
(59507, NULL, 'PTHR10168:SF281', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S11-LIKE', NULL, NULL, NULL, 15),
(59508, NULL, 'PTHR24330:SF10', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN B-H1-RELATED', NULL, NULL, NULL, 15),
(59509, NULL, 'PTHR13268:SF12', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18H', NULL, NULL, NULL, 15),
(59510, NULL, 'PTHR12138:SF112', NULL, NULL, NULL, NULL, 'CHROMOSOME 14 OPEN READING FRAME 178', NULL, NULL, NULL, 15),
(59511, NULL, 'PTHR47681:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59512, NULL, 'PTHR31236:SF31', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(59513, NULL, 'PTHR21596:SF70', NULL, NULL, NULL, NULL, 'BNAC02G46630D PROTEIN', NULL, NULL, NULL, 15),
(59514, NULL, 'PTHR10366:SF690', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59515, NULL, 'PTHR24414:SF170', NULL, NULL, NULL, NULL, 'BNACNNG41470D PROTEIN', NULL, NULL, NULL, 15),
(59516, NULL, 'PTHR10836:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59517, NULL, 'PTHR43711:SF15', NULL, NULL, NULL, NULL, 'OSMOSENSOR HISTIDINE KINASE', NULL, NULL, NULL, 15),
(59518, NULL, 'PTHR11776:SF28', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYL TRANSFERASE, PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59519, NULL, 'PTHR11999:SF140', NULL, NULL, NULL, NULL, 'HISTIDINE DECARBOXYASE LIKE', NULL, NULL, NULL, 15),
(59520, NULL, 'PTHR31080:SF74', NULL, NULL, NULL, NULL, 'INVERTASE INHIBITOR', NULL, NULL, NULL, 15),
(59521, NULL, 'PTHR19384:SF114', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', NULL, NULL, NULL, 15),
(59522, NULL, 'PTHR11945:SF631', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59523, NULL, 'PTHR46472', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN', NULL, NULL, NULL, 15),
(59524, NULL, 'PTHR23502:SF153', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00230)-RELATED', NULL, NULL, NULL, 15),
(59525, NULL, 'PTHR37322:SF3', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE ABC EXOLYASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59526, NULL, 'PTHR18945:SF744', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT BETA-TYPE ACR-2', NULL, NULL, NULL, 15),
(59527, NULL, 'PTHR14418:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59528, NULL, 'PTHR46363:SF1', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE TATDN2-RELATED', NULL, NULL, NULL, 15),
(59529, NULL, 'PTHR46950:SF3', NULL, NULL, NULL, NULL, 'BNAA04G24710D PROTEIN', NULL, NULL, NULL, 15),
(59530, NULL, 'PTHR10943:SF15', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2', NULL, NULL, NULL, 15),
(59531, NULL, 'PTHR12155', NULL, NULL, NULL, NULL, 'SCHLAFEN', NULL, NULL, 25833, 15),
(59532, NULL, 'PTHR46442:SF13', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(59533, NULL, 'PTHR18959:SF57', NULL, NULL, NULL, NULL, 'TRANSGELIN-3', NULL, NULL, 22495, 15),
(59534, NULL, 'PTHR23226:SF139', NULL, NULL, NULL, NULL, 'FI01106P-RELATED', NULL, NULL, NULL, 15),
(59535, NULL, 'PTHR34753:SF1', NULL, NULL, NULL, NULL, 'TELOMERASE RNA COMPONENT INTERACTING RNASE', NULL, NULL, NULL, 15),
(59536, NULL, 'PTHR45798:SF40', NULL, NULL, NULL, NULL, 'OS02G0686100 PROTEIN', NULL, NULL, NULL, 15),
(59537, NULL, 'PTHR31623:SF70', NULL, NULL, NULL, NULL, 'PELARGONIDIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59538, NULL, 'PTHR44240:SF17', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 11, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(59539, NULL, 'PTHR45089:SF40', NULL, NULL, NULL, NULL, 'OS11G0574216 PROTEIN', NULL, NULL, NULL, 15),
(59540, NULL, 'PTHR36793:SF2', NULL, NULL, NULL, NULL, 'BNAA06G24390D PROTEIN', NULL, NULL, NULL, 15),
(59541, NULL, 'PTHR45704:SF8', NULL, NULL, NULL, NULL, 'ZGC:110699', NULL, NULL, NULL, 15),
(59542, NULL, 'PTHR24296:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59543, NULL, 'PTHR11654:SF304', NULL, NULL, NULL, NULL, 'OS01G0902800 PROTEIN', NULL, NULL, NULL, 15),
(59544, NULL, 'PTHR31852:SF138', NULL, NULL, NULL, NULL, 'F3F19.7', NULL, NULL, NULL, 15),
(59545, NULL, 'PTHR23321', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S15, BACTERIAL AND ORGANELLAR', NULL, NULL, 4009, 15),
(59546, NULL, 'PTHR44328:SF11', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE L2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(59547, NULL, 'PTHR22753:SF40', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59548, NULL, 'PTHR37310', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59549, NULL, 'PTHR46266:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR EGL1', NULL, NULL, NULL, 15),
(59550, NULL, 'PTHR23105:SF149', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(59551, NULL, 'PTHR33109:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59552, NULL, 'PTHR10454:SF203', NULL, NULL, NULL, NULL, 'APOPTOSIS-ASSOCIATED SPECK-LIKE PROTEIN CONTAINING A CARD', NULL, NULL, NULL, 15),
(59553, NULL, 'PTHR11360:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59554, NULL, 'PTHR10405:SF15', NULL, NULL, NULL, NULL, 'SPINDLIN-1', NULL, NULL, 22074, 15),
(59555, NULL, 'PTHR44137:SF13', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(59556, NULL, 'PTHR33595:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59557, NULL, 'PTHR32099:SF58', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 9-RELATED', NULL, NULL, NULL, 15),
(59558, NULL, 'PTHR43741:SF4', NULL, NULL, NULL, NULL, 'FMN-DEPENDENT NADH-AZOREDUCTASE 1', NULL, NULL, NULL, 15),
(59559, NULL, 'PTHR38010:SF1', NULL, NULL, NULL, NULL, 'SLR0848 PROTEIN', NULL, NULL, NULL, 15),
(59560, NULL, 'PTHR35845:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED SERINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(59561, NULL, 'PTHR42934:SF1', NULL, NULL, NULL, NULL, 'GLYCOLATE OXIDASE SUBUNIT GLCD', NULL, NULL, NULL, 15),
(59562, NULL, 'PTHR33279:SF7', NULL, NULL, NULL, NULL, 'SSL1707 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59563, NULL, 'PTHR11119:SF41', NULL, NULL, NULL, NULL, 'OS08G0420600 PROTEIN', NULL, NULL, NULL, 15),
(59564, NULL, 'PTHR12588:SF14', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE 5', NULL, NULL, NULL, 15),
(59565, NULL, 'PTHR43349:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59566, NULL, 'PTHR27004:SF362', NULL, NULL, NULL, NULL, 'BNAC02G09350D PROTEIN', NULL, NULL, NULL, 15),
(59567, NULL, 'PTHR24296:SF209', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', NULL, NULL, NULL, 15),
(59568, NULL, 'PTHR37728', NULL, NULL, NULL, NULL, 'BNAA04G26730D PROTEIN', NULL, NULL, NULL, 15),
(59569, NULL, 'PTHR11945:SF553', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 42', NULL, NULL, NULL, 15),
(59570, NULL, 'PTHR45764:SF54', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59571, NULL, 'PTHR31265', NULL, NULL, NULL, NULL, 'OS02G0527500 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59572, NULL, 'PTHR12606:SF115', NULL, NULL, NULL, NULL, 'CLAN CE, FAMILY C48, ULP1-LIKE CYSTEINE PEPTIDASE', NULL, NULL, NULL, 15),
(59573, NULL, 'PTHR38506:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930544D05 GENE', NULL, NULL, NULL, 15),
(59574, NULL, 'PTHR21255:SF27', NULL, NULL, NULL, NULL, 'TCTEX1 DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(59575, NULL, 'PTHR19877:SF11', NULL, NULL, NULL, NULL, 'F9L1.42 PROTEIN', NULL, NULL, NULL, 15),
(59576, NULL, 'PTHR10795:SF671', NULL, NULL, NULL, NULL, 'BNAC01G30950D PROTEIN', NULL, NULL, NULL, 15),
(59577, NULL, 'PTHR45722:SF20', NULL, NULL, NULL, NULL, 'OS02G0503400 PROTEIN', NULL, NULL, NULL, 15),
(59578, NULL, 'PTHR24365:SF530', NULL, NULL, NULL, NULL, 'MSTPROX-RELATED', NULL, NULL, NULL, 15),
(59579, NULL, 'PTHR45669:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59580, NULL, 'PTHR11177:SF324', NULL, NULL, NULL, NULL, 'CHITINASE 11', NULL, NULL, NULL, 15),
(59581, NULL, 'PTHR42938', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(59582, NULL, 'PTHR13771:SF17', NULL, NULL, NULL, NULL, 'INTERCELLULAR ADHESION MOLECULE 3', NULL, NULL, NULL, 15),
(59583, NULL, 'PTHR45654:SF17', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ROC8', NULL, NULL, NULL, 15),
(59584, NULL, 'PTHR46058:SF12', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 3', NULL, NULL, NULL, 15),
(59585, NULL, 'PTHR32208:SF58', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN ARB_07867-LIKE', NULL, NULL, NULL, 15),
(59586, NULL, 'PTHR11610:SF147', NULL, NULL, NULL, NULL, 'PANCREATIC LIPASE-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(59587, NULL, 'PTHR23423:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59588, NULL, 'PTHR43742:SF4', NULL, NULL, NULL, NULL, 'TRIMETHYLAMINE-N-OXIDE REDUCTASE 1', NULL, NULL, NULL, 15),
(59589, NULL, 'PTHR10779:SF22', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN ROADBLOCK-TYPE 2', NULL, NULL, NULL, 15),
(59590, NULL, 'PTHR21495:SF162', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(59591, NULL, 'PTHR34046:SF15', NULL, NULL, NULL, NULL, 'BNACNNG28320D PROTEIN', NULL, NULL, NULL, 15),
(59592, NULL, 'PTHR47427', NULL, NULL, NULL, NULL, 'PROTEIN STE12', NULL, NULL, NULL, 15),
(59593, NULL, 'PTHR27004:SF369', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(59594, NULL, 'PTHR37209:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59595, NULL, 'PTHR31989:SF178', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 83', NULL, NULL, NULL, 15),
(59596, NULL, 'PTHR13407', NULL, NULL, NULL, NULL, 'RNF121 PROTEIN', NULL, NULL, 29722, 15),
(59597, NULL, 'PTHR44372:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59598, NULL, 'PTHR32385', NULL, NULL, NULL, NULL, 'MANNOSYL PHOSPHORYLINOSITOL CERAMIDE SYNTHASE', NULL, NULL, NULL, 15),
(59599, NULL, 'PTHR30363:SF52', NULL, NULL, NULL, NULL, 'GLUCITOL OPERON REPRESSOR', NULL, NULL, NULL, 15),
(59600, NULL, 'PTHR33203:SF37', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN / OLEOSIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59601, NULL, 'PTHR10969:SF62', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8D', NULL, NULL, NULL, 15),
(59602, NULL, 'PTHR24235:SF9', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(59603, NULL, 'PTHR48004:SF38', NULL, NULL, NULL, NULL, 'ROP-INTERACTIVE CRIB MOTIF-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(59604, NULL, 'PTHR14340:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59605, NULL, 'PTHR44240:SF15', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 11, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(59606, NULL, 'PTHR31080:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59607, NULL, 'PTHR10388:SF50', NULL, NULL, NULL, NULL, 'APO PROTEIN 3, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(59608, NULL, 'PTHR33647:SF17', NULL, NULL, NULL, NULL, 'BNAC03G41560D PROTEIN', NULL, NULL, NULL, 15),
(59609, NULL, 'PTHR35163:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59610, NULL, 'PTHR45376:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0070M12.14 PROTEIN', NULL, NULL, NULL, 15),
(59611, NULL, 'PTHR35707:SF1', NULL, NULL, NULL, NULL, 'OS06G0608100 PROTEIN', NULL, NULL, NULL, 15),
(59612, NULL, 'PTHR11653:SF12', NULL, NULL, NULL, NULL, 'PARVALBUMIN 1-RELATED', NULL, NULL, NULL, 15),
(59613, NULL, 'PTHR10666:SF345', NULL, NULL, NULL, NULL, 'UBIQUITIN-40S RIBOSOMAL PROTEIN S27A', NULL, NULL, NULL, 15),
(59614, NULL, 'PTHR43416:SF18', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE SUCCINYLTRANSFERASE COMPONENT OF 2-OXOGLUTARATE DEHYDROGENASE COMPLEX, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(59615, NULL, 'PTHR39214', NULL, NULL, NULL, NULL, 'MICROBODY (PEROXISOME) BIOGENESIS PROTEIN PEROXIN 8 (EUROFUNG)', NULL, NULL, NULL, 15),
(59616, NULL, 'PTHR24637:SF337', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(59617, NULL, 'PTHR14222:SF2', NULL, NULL, NULL, NULL, 'CONDENSIN COMPLEX SUBUNIT 1', NULL, NULL, 854, 15),
(59618, NULL, 'PTHR30634:SF13', NULL, NULL, NULL, NULL, 'PROTEIN YEHF', NULL, NULL, NULL, 15),
(59619, NULL, 'PTHR48001:SF65', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1E3', NULL, NULL, NULL, 15),
(59620, NULL, 'PTHR45650:SF3', NULL, NULL, NULL, NULL, 'OS01G0748500 PROTEIN', NULL, NULL, NULL, 15),
(59621, NULL, 'PTHR24115:SF929', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN AT 31E, ISOFORM A', NULL, NULL, NULL, 15),
(59622, NULL, 'PTHR31459:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59623, NULL, 'PTHR28014', NULL, NULL, NULL, NULL, 'NEGATIVE REGULATOR OF RAS-CAMP PATHWAY', NULL, NULL, NULL, 15),
(59624, NULL, 'PTHR12547:SF53', NULL, NULL, NULL, NULL, 'MRNA DECAY ACTIVATOR PROTEIN ZFP36L1', NULL, NULL, NULL, 15),
(59625, NULL, 'PTHR45680:SF7', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(59626, NULL, 'PTHR24093:SF452', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 9, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(59627, NULL, 'PTHR11802:SF31', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 34', NULL, NULL, NULL, 15),
(59628, NULL, 'PTHR24223:SF402', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 13-RELATED', NULL, NULL, NULL, 15),
(59629, NULL, 'PTHR43092:SF5', NULL, NULL, NULL, NULL, 'L-CYSTEINE DESULFHYDRASE 2-RELATED', NULL, NULL, NULL, 15),
(59630, NULL, 'PTHR43671:SF37', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK1', NULL, NULL, NULL, 15),
(59631, NULL, 'PTHR11442:SF47', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT BETA-H0', NULL, NULL, NULL, 15),
(59632, NULL, 'PTHR11711:SF340', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR A1F', NULL, NULL, NULL, 15),
(59633, NULL, 'PTHR34357:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59634, NULL, 'PTHR31549:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59635, NULL, 'PTHR47324:SF1', NULL, NULL, NULL, NULL, 'PROTEIN IRG-7', NULL, NULL, NULL, 15),
(59636, NULL, 'PTHR46278:SF4', NULL, NULL, NULL, NULL, 'ASPARTATE-SEMIALDEHYDE DEHYDROGENASE', NULL, NULL, 11381, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59637, NULL, 'PTHR31190:SF316', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59638, NULL, 'PTHR48082', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ALPHA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(59639, NULL, 'PTHR33923:SF11', NULL, NULL, NULL, NULL, 'PLANT CALMODULIN-BINDING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(59640, NULL, 'PTHR24073:SF1130', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1D', NULL, NULL, NULL, 15),
(59641, NULL, 'PTHR21355', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(59642, NULL, 'PTHR30246', NULL, NULL, NULL, NULL, '2-KETO-3-DEOXY-6-PHOSPHOGLUCONATE ALDOLASE', NULL, NULL, 4894, 15),
(59643, NULL, 'PTHR13140:SF767', NULL, NULL, NULL, NULL, 'MYOSIN-11', NULL, NULL, NULL, 15),
(59644, NULL, 'PTHR12098:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PELLINO HOMOLOG 2', NULL, NULL, NULL, 15),
(59645, NULL, 'PTHR21879:SF15', NULL, NULL, NULL, NULL, 'OSIRIS 21', NULL, NULL, NULL, 15),
(59646, NULL, 'PTHR46749', NULL, NULL, NULL, NULL, 'COMPLEX III ASSEMBLY FACTOR LYRM7', NULL, NULL, NULL, 15),
(59647, NULL, 'PTHR33776', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59648, NULL, 'PTHR10366:SF447', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE/ISOMERASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06450)-RELATED', NULL, NULL, NULL, 15),
(59649, NULL, 'PTHR11615:SF328', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(59650, NULL, 'PTHR15657:SF1', NULL, NULL, NULL, NULL, 'THYROID TRANSCRIPTION FACTOR 1-ASSOCIATED PROTEIN 26', NULL, NULL, NULL, 15),
(59651, NULL, 'PTHR36410:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59652, NULL, 'PTHR14949:SF32', NULL, NULL, NULL, NULL, 'WNT INHIBITORY FACTOR 1', NULL, NULL, NULL, 15),
(59653, NULL, 'PTHR24416:SF343', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR 4', NULL, NULL, NULL, 15),
(59654, NULL, 'PTHR34535:SF4', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYBF', NULL, NULL, NULL, 15),
(59655, NULL, 'PTHR24403:SF90', NULL, NULL, NULL, NULL, 'MOG INTERACTING AND ECTOPIC P-GRANULES PROTEIN 1', NULL, NULL, NULL, 15),
(59656, NULL, 'PTHR13068:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59657, NULL, 'PTHR41534', NULL, NULL, NULL, NULL, 'BLR3401 PROTEIN', NULL, NULL, 6518, 15),
(59658, NULL, 'PTHR24296:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59659, NULL, 'PTHR30561:SF23', NULL, NULL, NULL, NULL, '4-AMINO-4-DEOXY-L-ARABINOSE-PHOSPHOUNDECAPRENOL FLIPPASE SUBUNIT ARNE-RELATED', NULL, NULL, NULL, 15),
(59660, NULL, 'PTHR11984:SF107', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', NULL, NULL, NULL, 15),
(59661, NULL, 'PTHR11165:SF142', NULL, NULL, NULL, NULL, 'BNAA02G22640D PROTEIN', NULL, NULL, NULL, 15),
(59662, NULL, 'PTHR31780:SF10', NULL, NULL, NULL, NULL, 'BNAA03G11200D PROTEIN', NULL, NULL, NULL, 15),
(59663, NULL, 'PTHR11102:SF70', NULL, NULL, NULL, NULL, 'PROTEIN SEL-1 HOMOLOG 1', NULL, NULL, NULL, 15),
(59664, NULL, 'PTHR31375:SF212', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(59665, NULL, 'PTHR46496:SF7', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, FAD-BINDING', NULL, NULL, NULL, 15),
(59666, NULL, 'PTHR12588', NULL, NULL, NULL, NULL, 'MYOINOSITOL OXYGENASE', NULL, NULL, 2392, 15),
(59667, NULL, 'PTHR13533:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59668, NULL, 'PTHR43903:SF10', NULL, NULL, NULL, NULL, 'NEUROLIGIN-4, X-LINKED', NULL, NULL, NULL, 15),
(59669, NULL, 'PTHR46330:SF7', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC DEATH RECEPTOR', NULL, NULL, NULL, 15),
(59670, NULL, 'PTHR11699:SF132', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 9 MEMBER A1-B', NULL, NULL, NULL, 15),
(59671, NULL, 'PTHR33109:SF68', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(59672, NULL, 'PTHR11417', NULL, NULL, NULL, NULL, 'SOMATOTROPIN,PROLACTIN', NULL, NULL, 5473, 15),
(59673, NULL, 'PTHR23012:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59674, NULL, 'PTHR10641:SF1259', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59675, NULL, 'PTHR33869:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59676, NULL, 'PTHR11895:SF83', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G09140)-RELATED', NULL, NULL, NULL, 15),
(59677, NULL, 'PTHR36727:SF2', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT L, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(59678, NULL, 'PTHR18945:SF782', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59679, NULL, 'PTHR21581:SF28', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59680, NULL, 'PTHR47332:SF2', NULL, NULL, NULL, NULL, 'SET-6', NULL, NULL, NULL, 15),
(59681, NULL, 'PTHR22883:SF284', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(59682, NULL, 'PTHR11017:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59683, NULL, 'PTHR13428:SF10', NULL, NULL, NULL, NULL, 'INNER NUCLEAR MEMBRANE PROTEIN MAN1', NULL, NULL, 34655, 15),
(59684, NULL, 'PTHR24064:SF461', NULL, NULL, NULL, NULL, 'ORGANIC CATION TRANSPORTER 2', NULL, NULL, NULL, 15),
(59685, NULL, 'PTHR33528:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59686, NULL, 'PTHR34835', NULL, NULL, NULL, NULL, 'OS07G0283600 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59687, NULL, 'PTHR10388:SF52', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR SUI1', NULL, NULL, NULL, 15),
(59688, NULL, 'PTHR12247:SF77', NULL, NULL, NULL, NULL, 'SCM-LIKE WITH FOUR MBT DOMAINS PROTEIN 1', NULL, NULL, NULL, 15),
(59689, NULL, 'PTHR10966', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', NULL, NULL, 3317, 15),
(59690, NULL, 'PTHR40076:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59691, NULL, 'PTHR37441:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR-LIKE PROTEIN B0244.6-RELATED', NULL, NULL, NULL, 15),
(59692, NULL, 'PTHR15710:SF109', NULL, NULL, NULL, NULL, 'BNAC04G01590D PROTEIN', NULL, NULL, NULL, 15),
(59693, NULL, 'PTHR13803:SF35', NULL, NULL, NULL, NULL, 'BNAC03G35080D PROTEIN', NULL, NULL, NULL, 15),
(59694, NULL, 'PTHR31728', NULL, NULL, NULL, NULL, 'ABRAXAS FAMILY MEMBER', NULL, NULL, 15636, 15),
(59695, NULL, 'PTHR33044:SF148', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(59696, NULL, 'PTHR42870:SF2', NULL, NULL, NULL, NULL, 'LIPID-TRANSFER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(59697, NULL, 'PTHR22771', NULL, NULL, NULL, NULL, 'CULLIN AND GALACTOSE-BINDING DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(59698, NULL, 'PTHR47947:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 81, SUBFAMILY K, POLYPEPTIDE 1-RELATED', NULL, NULL, NULL, 15),
(59699, NULL, 'PTHR45694:SF18', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN 2', NULL, NULL, NULL, 15),
(59700, NULL, 'PTHR31790:SF395', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59701, NULL, 'PTHR31989:SF256', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 72', NULL, NULL, NULL, 15),
(59702, NULL, 'PTHR46244:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE-PROTEIN PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(59703, NULL, 'PTHR19282:SF203', NULL, NULL, NULL, NULL, 'TETRASPANIN-13', NULL, NULL, NULL, 15),
(59704, NULL, 'PTHR11800:SF14', NULL, NULL, NULL, NULL, 'BNAA01G22480D PROTEIN', NULL, NULL, NULL, 15),
(59705, NULL, 'PTHR24096:SF149', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 2', NULL, NULL, NULL, 15),
(59706, NULL, 'PTHR31218:SF344', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(59707, NULL, 'PTHR31676:SF10', NULL, NULL, NULL, NULL, 'T31J12.3 PROTEIN', NULL, NULL, NULL, 15),
(59708, NULL, 'PTHR45730:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59709, NULL, 'PTHR12981:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-LIKE 1', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59710, NULL, 'PTHR27002:SF443', NULL, NULL, NULL, NULL, 'OS07G0550500 PROTEIN', NULL, NULL, NULL, 15),
(59711, NULL, 'PTHR45687:SF10', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-8-RELATED', NULL, NULL, NULL, 15),
(59712, NULL, 'PTHR33110:SF23', NULL, NULL, NULL, NULL, 'OS04G0316800 PROTEIN', NULL, NULL, NULL, 15),
(59713, NULL, 'PTHR23084:SF229', NULL, NULL, NULL, NULL, 'MORN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(59714, NULL, 'PTHR28525', NULL, NULL, NULL, NULL, 'REACTIVE OXYGEN SPECIES MODULATOR 1', NULL, NULL, 9054, 15),
(59715, NULL, 'PTHR37748:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59716, NULL, 'PTHR36705:SF8', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE204 PROTEIN', NULL, NULL, NULL, 15),
(59717, NULL, 'PTHR14716', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 69', NULL, NULL, NULL, 15),
(59718, NULL, 'PTHR38666', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 19215, 15),
(59719, NULL, 'PTHR11738:SF166', NULL, NULL, NULL, NULL, 'KILLER CELL IMMUNOGLOBULIN-LIKE RECEPTOR 3DL1-RELATED', NULL, NULL, NULL, 15),
(59720, NULL, 'PTHR11690:SF5', NULL, NULL, NULL, NULL, 'DEGENERIN LIKE', NULL, NULL, NULL, 15),
(59721, NULL, 'PTHR43625:SF42', NULL, NULL, NULL, NULL, 'PERAKINE REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(59722, NULL, 'PTHR31639:SF40', NULL, NULL, NULL, NULL, 'MEIOTIC F-BOX PROTEIN MOF', NULL, NULL, NULL, 15),
(59723, NULL, 'PTHR45621:SF144', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL9-RELATED', NULL, NULL, NULL, 15),
(59724, NULL, 'PTHR21720', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(59725, NULL, 'PTHR15572:SF1', NULL, NULL, NULL, NULL, 'BRD4-INTERACTING CHROMATIN-REMODELING COMPLEX-ASSOCIATED PROTEIN', NULL, NULL, 33012, 15),
(59726, NULL, 'PTHR11771:SF161', NULL, NULL, NULL, NULL, 'HYDROPEROXIDE ISOMERASE ALOXE3', NULL, NULL, NULL, 15),
(59727, NULL, 'PTHR16134:SF100', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 12-LIKE', NULL, NULL, NULL, 15),
(59728, NULL, 'PTHR23215:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59729, NULL, 'PTHR13115:SF9', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(59730, NULL, 'PTHR24366:SF13', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT NEURONAL PROTEIN 4', NULL, NULL, NULL, 15),
(59731, NULL, 'PTHR23239:SF167', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 20', NULL, NULL, NULL, 15),
(59732, NULL, 'PTHR15031', NULL, NULL, NULL, NULL, 'CARTILAGE INTERMEDIATE LAYER PROTEIN  CLIP', NULL, NULL, 35503, 15),
(59733, NULL, 'PTHR32295:SF225', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(59734, NULL, 'PTHR10996:SF247', NULL, NULL, NULL, NULL, '2-HYDROXYACID DEHYDROGENASE YGL185C-RELATED', NULL, NULL, NULL, 15),
(59735, NULL, 'PTHR11467:SF57', NULL, NULL, NULL, NULL, 'HISTONE H1.4', NULL, NULL, NULL, 15),
(59736, NULL, 'PTHR28243', NULL, NULL, NULL, NULL, 'AGL049CP', NULL, NULL, NULL, 15),
(59737, NULL, 'PTHR43176:SF15', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(59738, NULL, 'PTHR47060', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NOBOX', NULL, NULL, 37437, 15),
(59739, NULL, 'PTHR12232:SF6', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING GLUTAMIC ACID-RICH-LIKE PROTEIN', NULL, NULL, NULL, 15),
(59740, NULL, 'PTHR12189:SF6', NULL, NULL, NULL, NULL, 'MRNA CAP GUANINE-N7 METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(59741, NULL, 'PTHR31744', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 2-RELATED', NULL, NULL, NULL, 15),
(59742, NULL, 'PTHR23155:SF1075', NULL, NULL, NULL, NULL, 'OS06G0644300 PROTEIN', NULL, NULL, NULL, 15),
(59743, NULL, 'PTHR45889:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59744, NULL, 'PTHR21736:SF39', NULL, NULL, NULL, NULL, 'PROTEIN OBERON 1', NULL, NULL, NULL, 15),
(59745, NULL, 'PTHR45631:SF116', NULL, NULL, NULL, NULL, 'BNAA02G06940D PROTEIN', NULL, NULL, NULL, 15),
(59746, NULL, 'PTHR40041:SF4', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59747, NULL, 'PTHR33206:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG10425', NULL, NULL, NULL, 15),
(59748, NULL, 'PTHR47518:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(59749, NULL, 'PTHR22750:SF5', NULL, NULL, NULL, NULL, 'MELANOCORTIN RECEPTOR 5', NULL, NULL, 5576, 15),
(59750, NULL, 'PTHR37698', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 1, CHLOROPLASTIC', NULL, NULL, 38058, 15),
(59751, NULL, 'PTHR43673:SF3', NULL, NULL, NULL, NULL, 'NAD(P)H NITROREDUCTASE YODC-RELATED', NULL, NULL, NULL, 15),
(59752, NULL, 'PTHR31241:SF43', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2E', NULL, NULL, NULL, 15),
(59753, NULL, 'PTHR13980:SF15', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SPT16', NULL, NULL, NULL, 15),
(59754, NULL, 'PTHR31071:SF7', NULL, NULL, NULL, NULL, 'PLANT/F24K9-26 PROTEIN', NULL, NULL, NULL, 15),
(59755, NULL, 'PTHR11845', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35524, 15),
(59756, NULL, 'PTHR34831:SF1', NULL, NULL, NULL, NULL, 'MIGRATION AND INVASION-INHIBITORY PROTEIN', NULL, NULL, NULL, 15),
(59757, NULL, 'PTHR42747:SF3', NULL, NULL, NULL, NULL, 'NITRONATE MONOOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(59758, NULL, 'PTHR11937:SF193', NULL, NULL, NULL, NULL, 'ACTIN, ALPHA SKELETAL MUSCLE', NULL, NULL, NULL, 15),
(59759, NULL, 'PTHR11017:SF390', NULL, NULL, NULL, NULL, 'BNAC09G50760D PROTEIN', NULL, NULL, NULL, 15),
(59760, NULL, 'PTHR11607:SF62', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE', NULL, NULL, NULL, 15),
(59761, NULL, 'PTHR24056:SF45', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PRP4 HOMOLOG', NULL, NULL, NULL, 15),
(59762, NULL, 'PTHR37891', NULL, NULL, NULL, NULL, 'OS06G0113900 PROTEIN', NULL, NULL, NULL, 15),
(59763, NULL, 'PTHR31571:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59764, NULL, 'PTHR24012:SF744', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 4', NULL, NULL, NULL, 15),
(59765, NULL, 'PTHR23140:SF1', NULL, NULL, NULL, NULL, 'SR-RELATED CTD ASSOCIATED FACTOR 8', NULL, NULL, NULL, 15),
(59766, NULL, 'PTHR33207:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59767, NULL, 'PTHR24072:SF301', NULL, NULL, NULL, NULL, 'GTPASE CRAC1B', NULL, NULL, NULL, 15),
(59768, NULL, 'PTHR46175:SF7', NULL, NULL, NULL, NULL, 'ADAGIO PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(59769, NULL, 'PTHR36483:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59770, NULL, 'PTHR46057:SF7', NULL, NULL, NULL, NULL, 'OS02G0686800 PROTEIN', NULL, NULL, NULL, 15),
(59771, NULL, 'PTHR14024:SF50', NULL, NULL, NULL, NULL, 'LIPID STORAGE DROPLETS SURFACE-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(59772, NULL, 'PTHR32295:SF15', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 33', NULL, NULL, NULL, 15),
(59773, NULL, 'PTHR11183:SF128', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE PGSIP7-RELATED', NULL, NULL, NULL, 15),
(59774, NULL, 'PTHR11413:SF108', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(59775, NULL, 'PTHR43775:SF25', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (JCVI)-RELATED', NULL, NULL, NULL, 15),
(59776, NULL, 'PTHR46128:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59777, NULL, 'PTHR22763:SF177', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(59778, NULL, 'PTHR24055:SF374', NULL, NULL, NULL, NULL, 'U2AF HOMOLOGY MOTIF KINASE 1', NULL, NULL, NULL, 15),
(59779, NULL, 'PTHR23147:SF121', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 3', NULL, NULL, NULL, 15),
(59780, NULL, 'PTHR10052:SF47', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', NULL, NULL, NULL, 15),
(59781, NULL, 'PTHR13381:SF3', NULL, NULL, NULL, NULL, 'BNAANNG41120D PROTEIN', NULL, NULL, NULL, 15),
(59782, NULL, 'PTHR46105:SF3', NULL, NULL, NULL, NULL, 'NUCLEUS ACCUMBENS-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(59783, NULL, 'PTHR15503:SF8', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG-LIKE PROTEIN 4', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59784, NULL, 'PTHR10333:SF94', NULL, NULL, NULL, NULL, 'PROTEIN YNG1', NULL, NULL, NULL, 15),
(59785, NULL, 'PTHR13428', NULL, NULL, NULL, NULL, 'INNER NUCLEAR MEMBRANE PROTEIN MAN1  LEM DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(59786, NULL, 'PTHR12931:SF33', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE', NULL, NULL, NULL, 15),
(59787, NULL, 'PTHR12746:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL EXPORT PROTEIN NMD3', NULL, NULL, NULL, 15),
(59788, NULL, 'PTHR45926:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE6', NULL, NULL, NULL, 15),
(59789, NULL, 'PTHR26374:SF398', NULL, NULL, NULL, NULL, 'BNAA01G31690D PROTEIN', NULL, NULL, NULL, 15),
(59790, NULL, 'PTHR42345:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59791, NULL, 'PTHR14581:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59792, NULL, 'PTHR48041:SF26', NULL, NULL, NULL, NULL, 'FI22810P1', NULL, NULL, NULL, 15),
(59793, NULL, 'PTHR11785:SF518', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 7 MEMBER 10A', NULL, NULL, NULL, 15),
(59794, NULL, 'PTHR36389', NULL, NULL, NULL, NULL, 'OS05G0110100 PROTEIN', NULL, NULL, NULL, 15),
(59795, NULL, 'PTHR24286:SF236', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(59796, NULL, 'PTHR23070:SF144', NULL, NULL, NULL, NULL, 'OS12G0639500 PROTEIN', NULL, NULL, NULL, 15),
(59797, NULL, 'PTHR11216:SF74', NULL, NULL, NULL, NULL, 'ACTIN CYTOSKELETON-REGULATORY COMPLEX PROTEIN END3', NULL, NULL, NULL, 15),
(59798, NULL, 'PTHR43201:SF22', NULL, NULL, NULL, NULL, 'BNAA01G28170D PROTEIN', NULL, NULL, NULL, 15),
(59799, NULL, 'PTHR23421:SF171', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(59800, NULL, 'PTHR15664:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59801, NULL, 'PTHR28441:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM91A1', NULL, NULL, NULL, 15),
(59802, NULL, 'PTHR31205:SF47', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING-RELATED', NULL, NULL, NULL, 15),
(59803, NULL, 'PTHR31943', NULL, NULL, NULL, NULL, 'INTERLEUKIN-28 AND 29', NULL, NULL, 21680, 15),
(59804, NULL, 'PTHR45659:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B5', NULL, NULL, NULL, 15),
(59805, NULL, 'PTHR11132:SF374', NULL, NULL, NULL, NULL, 'BNAC08G42000D PROTEIN', NULL, NULL, NULL, 15),
(59806, NULL, 'PTHR24044:SF474', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(59807, NULL, 'PTHR45979:SF8', NULL, NULL, NULL, NULL, 'PAP/OAS1 SUBSTRATE-BINDING DOMAIN SUPERFAMILY', NULL, NULL, NULL, 15),
(59808, NULL, 'PTHR31963:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59809, NULL, 'PTHR48018:SF29', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(59810, NULL, 'PTHR23088:SF48', NULL, NULL, NULL, NULL, 'SLL1640 PROTEIN', NULL, NULL, NULL, 15),
(59811, NULL, 'PTHR47640:SF49', NULL, NULL, NULL, NULL, 'BNAA01G26250D PROTEIN', NULL, NULL, NULL, 15),
(59812, NULL, 'PTHR33203:SF29', NULL, NULL, NULL, NULL, 'OLEOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(59813, NULL, 'PTHR22397:SF2', NULL, NULL, NULL, NULL, 'JUNCTIONAL SARCOPLASMIC RETICULUM PROTEIN 1', NULL, NULL, NULL, 15),
(59814, NULL, 'PTHR11920:SF228', NULL, NULL, NULL, NULL, 'RETINAL GUANYLYL CYCLASE 1', NULL, NULL, NULL, 15),
(59815, NULL, 'PTHR11461:SF338', NULL, NULL, NULL, NULL, 'PROTEIN CBG15321', NULL, NULL, NULL, 15),
(59816, NULL, 'PTHR21551:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PAT1 HOMOLOG 1', NULL, NULL, NULL, 15),
(59817, NULL, 'PTHR34126:SF5', NULL, NULL, NULL, NULL, 'PEROXIN 22-RELATED', NULL, NULL, NULL, 15),
(59818, NULL, 'PTHR48053:SF5', NULL, NULL, NULL, NULL, 'REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(59819, NULL, 'PTHR31513:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59820, NULL, 'PTHR43128:SF14', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(59821, NULL, 'PTHR11581:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59822, NULL, 'PTHR46666:SF9', NULL, NULL, NULL, NULL, 'BNAC03G70050D PROTEIN', NULL, NULL, NULL, 15),
(59823, NULL, 'PTHR44240:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59824, NULL, 'PTHR47933:SF15', NULL, NULL, NULL, NULL, 'OS03G0795400 PROTEIN', NULL, NULL, NULL, 15),
(59825, NULL, 'PTHR42749:SF5', NULL, NULL, NULL, NULL, 'CELL SHAPE-DETERMINING PROTEIN MREBH', NULL, NULL, NULL, 15),
(59826, NULL, 'PTHR11852:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59827, NULL, 'PTHR10408:SF19', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(59828, NULL, 'PTHR11588:SF280', NULL, NULL, NULL, NULL, 'TUBULIN BETA-4 CHAIN', NULL, NULL, NULL, 15),
(59829, NULL, 'PTHR24326:SF234', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX22', NULL, NULL, NULL, 15),
(59830, NULL, 'PTHR11431:SF103', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(59831, NULL, 'PTHR31087:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59832, NULL, 'PTHR11216:SF63', NULL, NULL, NULL, NULL, 'RALBP1-ASSOCIATED EPS DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 23332, 15),
(59833, NULL, 'PTHR14237:SF73', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(59834, NULL, 'PTHR30548', NULL, NULL, NULL, NULL, '2-HYDROXYGLUTARYL-COA DEHYDRATASE, D-COMPONENT-RELATED', NULL, NULL, NULL, 15),
(59835, NULL, 'PTHR23140:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59836, NULL, 'PTHR20981:SF30', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L21-A-RELATED', NULL, NULL, NULL, 15),
(59837, NULL, 'PTHR35936:SF5', NULL, NULL, NULL, NULL, 'PERIPLASMIC SUBSTRATE BINDING PROTEIN FAMILY 3', NULL, NULL, NULL, 15),
(59838, NULL, 'PTHR43544:SF5', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(59839, NULL, 'PTHR12565:SF328', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH77-LIKE', NULL, NULL, NULL, 15),
(59840, NULL, 'PTHR45911:SF3', NULL, NULL, NULL, NULL, 'MULTIPLE C2 AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(59841, NULL, 'PTHR11630:SF96', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM3 HOMOLOG 3', NULL, NULL, NULL, 15),
(59842, NULL, 'PTHR11375:SF2', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY MEMBER B', NULL, NULL, NULL, 15),
(59843, NULL, 'PTHR35378', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(59844, NULL, 'PTHR35182:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04729', NULL, NULL, NULL, 15),
(59845, NULL, 'PTHR22947', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(59846, NULL, 'PTHR11177:SF339', NULL, NULL, NULL, NULL, 'NOD FACTOR HYDROLASE PROTEIN 1', NULL, NULL, NULL, 15),
(59847, NULL, 'PTHR47215:SF2', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(59848, NULL, 'PTHR23024:SF406', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', NULL, NULL, NULL, 15),
(59849, NULL, 'PTHR33128:SF49', NULL, NULL, NULL, NULL, 'BNAANNG27000D PROTEIN', NULL, NULL, NULL, 15),
(59850, NULL, 'PTHR23508', NULL, NULL, NULL, NULL, 'CARBOXYLIC ACID TRANSPORTER PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(59851, NULL, 'PTHR31172:SF6', NULL, NULL, NULL, NULL, 'OS07G0642800 PROTEIN', NULL, NULL, NULL, 15),
(59852, NULL, 'PTHR27007:SF274', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', NULL, NULL, NULL, 15),
(59853, NULL, 'PTHR13832:SF657', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60-RELATED', NULL, NULL, NULL, 15),
(59854, NULL, 'PTHR33332:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59855, NULL, 'PTHR31503:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59856, NULL, 'PTHR34709:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59857, NULL, 'PTHR11732:SF252', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 4 MEMBER C9', NULL, NULL, NULL, 15),
(59858, NULL, 'PTHR24055:SF444', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 1-LIKE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59859, NULL, 'PTHR32116:SF82', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(59860, NULL, 'PTHR23227:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59861, NULL, 'PTHR32000:SF3', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN', NULL, NULL, NULL, 15),
(59862, NULL, 'PTHR38525:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59863, NULL, 'PTHR46797:SF10', NULL, NULL, NULL, NULL, 'BLR1115 PROTEIN', NULL, NULL, NULL, 15),
(59864, NULL, 'PTHR31662:SF38', NULL, NULL, NULL, NULL, 'PROTEIN PFC0760C-LIKE', NULL, NULL, NULL, 15),
(59865, NULL, 'PTHR10766:SF128', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(59866, NULL, 'PTHR31645:SF20', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', NULL, NULL, NULL, 15),
(59867, NULL, 'PTHR36047:SF1', NULL, NULL, NULL, NULL, 'OS01G0191000 PROTEIN', NULL, NULL, NULL, 15),
(59868, NULL, 'PTHR43895:SF76', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 19', NULL, NULL, NULL, 15),
(59869, NULL, 'PTHR47439:SF1', NULL, NULL, NULL, NULL, 'LOW MOLECULAR WEIGHT PHOSPHOTYROSINE PROTEIN PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(59870, NULL, 'PTHR24298:SF668', NULL, NULL, NULL, NULL, 'INDOLE-2-MONOOXYGENASE', NULL, NULL, NULL, 15),
(59871, NULL, 'PTHR12025:SF3', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR C', NULL, NULL, NULL, 15),
(59872, NULL, 'PTHR21105:SF0', NULL, NULL, NULL, NULL, 'GH16255P', NULL, NULL, NULL, 15),
(59873, NULL, 'PTHR45811:SF63', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', NULL, NULL, NULL, 15),
(59874, NULL, 'PTHR46416:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59875, NULL, 'PTHR14155:SF546', NULL, NULL, NULL, NULL, 'OS02G0572200 PROTEIN', NULL, NULL, NULL, 15),
(59876, NULL, 'PTHR45714:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59877, NULL, 'PTHR26312:SF187', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE A, AUXILIARY SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(59878, NULL, 'PTHR47689:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59879, NULL, 'PTHR18953:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59880, NULL, 'PTHR47999:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB8-RELATED', NULL, NULL, NULL, 15),
(59881, NULL, 'PTHR28469:SF1', NULL, NULL, NULL, NULL, 'ECTODYSPLASIN-A RECEPTOR-ASSOCIATED ADAPTER PROTEIN', NULL, NULL, NULL, 15),
(59882, NULL, 'PTHR44656:SF6', NULL, NULL, NULL, NULL, 'SI:CH211-165B10.3', NULL, NULL, NULL, 15),
(59883, NULL, 'PTHR27008:SF243', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59884, NULL, 'PTHR30468:SF5', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT SULFATE ESTER DIOXYGENASE', NULL, NULL, NULL, 15),
(59885, NULL, 'PTHR47993:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59886, NULL, 'PTHR12773:SF3', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL METHYLTRANSFERASE SUBUNIT TRM112 HOMOLOG B', NULL, NULL, NULL, 15),
(59887, NULL, 'PTHR24083:SF71', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(59888, NULL, 'PTHR32133:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59889, NULL, 'PTHR40061:SF1', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN YLMC-RELATED', NULL, NULL, NULL, 15),
(59890, NULL, 'PTHR31375:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59891, NULL, 'PTHR44329:SF129', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0282963 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(59892, NULL, 'PTHR47938:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59893, NULL, 'PTHR33257:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59894, NULL, 'PTHR47327:SF9', NULL, NULL, NULL, NULL, 'NO MECHANORECEPTOR POTENTIAL A, ISOFORM A', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59895, NULL, 'PTHR30451:SF5', NULL, NULL, NULL, NULL, 'SLR0019 PROTEIN', NULL, NULL, NULL, 15),
(59896, NULL, 'PTHR43215:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ACCUMULATION AND REPLICATION OF CHLOROPLASTS 3', NULL, NULL, 37088, 15),
(59897, NULL, 'PTHR13082:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59898, NULL, 'PTHR13799:SF13', NULL, NULL, NULL, NULL, 'NIF3-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(59899, NULL, 'PTHR31992:SF203', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.4-LIKE', NULL, NULL, NULL, 15),
(59900, NULL, 'PTHR45676:SF73', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-RELATED', NULL, NULL, NULL, 15),
(59901, NULL, 'PTHR32073:SF7', NULL, NULL, NULL, NULL, 'GH11358P', NULL, NULL, NULL, 15),
(59902, NULL, 'PTHR11206:SF280', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(59903, NULL, 'PTHR22601:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59904, NULL, 'PTHR32044:SF89', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(59905, NULL, 'PTHR33923', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN-RELATED', NULL, NULL, 38921, 15),
(59906, NULL, 'PTHR12300:SF105', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN G-RELATED', NULL, NULL, NULL, 15),
(59907, NULL, 'PTHR10340', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(59908, NULL, 'PTHR33463:SF100', NULL, NULL, NULL, NULL, 'RPP4C3', NULL, NULL, NULL, 15),
(59909, NULL, 'PTHR31388:SF215', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(59910, NULL, 'PTHR14469:SF0', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 113', NULL, NULL, NULL, 15),
(59911, NULL, 'PTHR31060:SF35', NULL, NULL, NULL, NULL, 'BNAC03G41230D PROTEIN', NULL, NULL, NULL, 15),
(59912, NULL, 'PTHR12888:SF2', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY PROTEIN 12', NULL, NULL, NULL, 15),
(59913, NULL, 'PTHR40375', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 22', NULL, NULL, 36416, 15),
(59914, NULL, 'PTHR23315:SF265', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 46-RELATED', NULL, NULL, NULL, 15),
(59915, NULL, 'PTHR34785', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS RELATED FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59916, NULL, 'PTHR10438:SF242', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CXXS1', NULL, NULL, NULL, 15),
(59917, NULL, 'PTHR12087:SF0', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(59918, NULL, 'PTHR47364:SF21', NULL, NULL, NULL, NULL, 'PHYTOCYSTATIN 5', NULL, NULL, NULL, 15),
(59919, NULL, 'PTHR45798:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59920, NULL, 'PTHR11413:SF110', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 7', NULL, NULL, NULL, 15),
(59921, NULL, 'PTHR23070:SF177', NULL, NULL, NULL, NULL, 'CHAPERONE BCS1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(59922, NULL, 'PTHR24035:SF104', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC PROTEIN 6', NULL, NULL, NULL, 15),
(59923, NULL, 'PTHR12000:SF39', NULL, NULL, NULL, NULL, 'PEPTIDASE C13, LEGUMAIN-RELATED', NULL, NULL, NULL, 15),
(59924, NULL, 'PTHR47926:SF29', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(59925, NULL, 'PTHR23513:SF6', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE EFFLUX PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59926, NULL, 'PTHR45648:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59927, NULL, 'PTHR11260:SF326', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTU6-RELATED', NULL, NULL, NULL, 15),
(59928, NULL, 'PTHR24335:SF3', NULL, NULL, NULL, NULL, 'MOTOR NEURON AND PANCREAS HOMEOBOX PROTEIN 1', NULL, NULL, NULL, 15),
(59929, NULL, 'PTHR34797:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59930, NULL, 'PTHR46038:SF10', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(59931, NULL, 'PTHR47287:SF14', NULL, NULL, NULL, NULL, 'BNAA09G04660D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59932, NULL, 'PTHR46915:SF6', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(59933, NULL, 'PTHR23157:SF24', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 1', NULL, NULL, NULL, 15),
(59934, NULL, 'PTHR31013:SF10', NULL, NULL, NULL, NULL, 'THAUMATIN FAMILY', NULL, NULL, NULL, 15),
(59935, NULL, 'PTHR45651:SF35', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 10-RELATED', NULL, NULL, NULL, 15),
(59936, NULL, 'PTHR45922:SF1', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 2', NULL, NULL, NULL, 15),
(59937, NULL, 'PTHR15288:SF23', NULL, NULL, NULL, NULL, 'BNAA09G10210D PROTEIN', NULL, NULL, NULL, 15),
(59938, NULL, 'PTHR46787', NULL, NULL, NULL, NULL, 'SYNDROMES PUTATIVE CHAPERONIN-RELATED', NULL, NULL, 28743, 15),
(59939, NULL, 'PTHR10165:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59940, NULL, 'PTHR47985:SF47', NULL, NULL, NULL, NULL, 'BNAC03G71490D PROTEIN', NULL, NULL, NULL, 15),
(59941, NULL, 'PTHR38689:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE HYDROPHOBIC MEMBRANE ANCHOR SUBUNIT', NULL, NULL, NULL, 15),
(59942, NULL, 'PTHR46337', NULL, NULL, NULL, NULL, 'RCC1-LIKE G EXCHANGING FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(59943, NULL, 'PTHR13806:SF44', NULL, NULL, NULL, NULL, 'FLOTILLIN-2', NULL, NULL, NULL, 15),
(59944, NULL, 'PTHR43570:SF20', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE ALDX-RELATED', NULL, NULL, NULL, 15),
(59945, NULL, 'PTHR31279:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59946, NULL, 'PTHR33800:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59947, NULL, 'PTHR10788:SF82', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 4-RELATED', NULL, NULL, NULL, 15),
(59948, NULL, 'PTHR23338:SF18', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', NULL, NULL, NULL, 15),
(59949, NULL, 'PTHR19241:SF643', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(59950, NULL, 'PTHR31265:SF22', NULL, NULL, NULL, NULL, 'F17A17.37 PROTEIN', NULL, NULL, NULL, 15),
(59951, NULL, 'PTHR48001:SF50', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1A1-RELATED', NULL, NULL, NULL, 15),
(59952, NULL, 'PTHR11545:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59953, NULL, 'PTHR21089:SF31', NULL, NULL, NULL, NULL, 'SHIKIMATE DEHYDROGENASE (NADP(+))', NULL, NULL, NULL, 15),
(59954, NULL, 'PTHR24006:SF692', NULL, NULL, NULL, NULL, 'UBIQUITIN SPECIFIC PROTEASE 9', NULL, NULL, NULL, 15),
(59955, NULL, 'PTHR45714:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX26-RELATED', NULL, NULL, NULL, 15),
(59956, NULL, 'PTHR15349:SF0', NULL, NULL, NULL, NULL, 'ENDOTHELIAL PROTEIN C RECEPTOR', NULL, NULL, NULL, 15),
(59957, NULL, 'PTHR11736:SF140', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B1', NULL, NULL, NULL, 15),
(59958, NULL, 'PTHR47210:SF4', NULL, NULL, NULL, NULL, 'BNAA03G55870D PROTEIN', NULL, NULL, NULL, 15),
(59959, NULL, 'PTHR46629:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UBIQUITIN LIGASE ACTIVATOR OF NFKB 1-LIKE', NULL, NULL, NULL, 15),
(59960, NULL, 'PTHR24210:SF0', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(59961, NULL, 'PTHR21184', NULL, NULL, NULL, NULL, 'MENORIN (DENDRITIC BRANCHING PROTEIN)', NULL, NULL, 15633, 15),
(59962, NULL, 'PTHR10353:SF65', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 27', NULL, NULL, NULL, 15),
(59963, NULL, 'PTHR34031:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 162 KDA', NULL, NULL, NULL, 15),
(59964, NULL, 'PTHR45968:SF1', NULL, NULL, NULL, NULL, 'OS09G0363900 PROTEIN', NULL, NULL, NULL, 15),
(59965, NULL, 'PTHR10168:SF246', NULL, NULL, NULL, NULL, 'THIOREDOXIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(59966, NULL, 'PTHR41749:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59967, NULL, 'PTHR44329:SF202', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY17-LIKE ISOFORM X1', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(59968, NULL, 'PTHR12419:SF76', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN DDB_G0284757-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(59969, NULL, 'PTHR23345:SF9', NULL, NULL, NULL, NULL, 'SI:DKEY-4C23.3-RELATED', NULL, NULL, NULL, 15),
(59970, NULL, 'PTHR11639:SF26', NULL, NULL, NULL, NULL, 'CORNULIN', NULL, NULL, 22738, 15),
(59971, NULL, 'PTHR12241:SF159', NULL, NULL, NULL, NULL, 'TUBULIN-TYROSINE LIGASE-LIKE PROTEIN, CONSERVED', NULL, NULL, NULL, 15),
(59972, NULL, 'PTHR12025:SF14', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR BA-RELATED', NULL, NULL, NULL, 15),
(59973, NULL, 'PTHR23023:SF166', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', NULL, NULL, NULL, 15),
(59974, NULL, 'PTHR21228:SF50', NULL, NULL, NULL, NULL, 'AGAP000447-PA', NULL, NULL, NULL, 15),
(59975, NULL, 'PTHR33801:SF6', NULL, NULL, NULL, NULL, 'OSJNBB0088C09.10 PROTEIN', NULL, NULL, NULL, 15),
(59976, NULL, 'PTHR11817:SF91', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(59977, NULL, 'PTHR11346:SF166', NULL, NULL, NULL, NULL, 'GALECTIN-16', NULL, NULL, 28241, 15),
(59978, NULL, 'PTHR10869:SF148', NULL, NULL, NULL, NULL, 'OS01G0174500 PROTEIN', NULL, NULL, NULL, 15),
(59979, NULL, 'PTHR24229:SF7', NULL, NULL, NULL, NULL, 'MU-TYPE OPIOID RECEPTOR', NULL, NULL, NULL, 15),
(59980, NULL, 'PTHR31374:SF188', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(59981, NULL, 'PTHR18966:SF511', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(59982, NULL, 'PTHR21576:SF110', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', NULL, NULL, NULL, 15),
(59983, NULL, 'PTHR31500:SF77', NULL, NULL, NULL, NULL, 'AT HOOK MOTIF DNA-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(59984, NULL, 'PTHR23333:SF4', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(59985, NULL, 'PTHR19282:SF155', NULL, NULL, NULL, NULL, 'TETRASPANIN-2', NULL, NULL, NULL, 15),
(59986, NULL, 'PTHR31001:SF56', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(59987, NULL, 'PTHR33136:SF41', NULL, NULL, NULL, NULL, 'OS01G0932950 PROTEIN', NULL, NULL, NULL, 15),
(59988, NULL, 'PTHR12353:SF31', NULL, NULL, NULL, NULL, 'LD44824P', NULL, NULL, NULL, 15),
(59989, NULL, 'PTHR45974:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(59990, NULL, 'PTHR11571:SF245', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE A5', NULL, NULL, NULL, 15),
(59991, NULL, 'PTHR12701:SF12', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED-LIKE PROTEIN', NULL, NULL, NULL, 15),
(59992, NULL, 'PTHR19308', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(59993, NULL, 'PTHR31719:SF179', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 102-LIKE', NULL, NULL, NULL, 15),
(59994, NULL, 'PTHR18952:SF216', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 2, ISOFORM A', NULL, NULL, NULL, 15),
(59995, NULL, 'PTHR23201:SF2', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(59996, NULL, 'PTHR11014:SF55', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 4-RELATED', NULL, NULL, NULL, 15),
(59997, NULL, 'PTHR12547:SF141', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 15', NULL, NULL, NULL, 15),
(59998, NULL, 'PTHR31415:SF142', NULL, NULL, NULL, NULL, 'OS07G0250501 PROTEIN', NULL, NULL, NULL, 15),
(59999, NULL, 'PTHR10795:SF528', NULL, NULL, NULL, NULL, 'OS10G0524600 PROTEIN', NULL, NULL, NULL, 15),
(60000, NULL, 'PTHR43272:SF32', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE ACSBG2', NULL, NULL, NULL, 15),
(60001, NULL, 'PTHR31448:SF45', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(60002, NULL, 'PTHR23428:SF278', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(60003, NULL, 'PTHR13271:SF103', NULL, NULL, NULL, NULL, 'BNAA07G01600D PROTEIN', NULL, NULL, NULL, 15),
(60004, NULL, 'PTHR24056:SF233', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 12', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60005, NULL, 'PTHR13887:SF42', NULL, NULL, NULL, NULL, 'DISULFIDE BOND FORMATION FACILITATOR', NULL, NULL, NULL, 15),
(60006, NULL, 'PTHR32208:SF82', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH, BETA-PROPELLER-RELATED', NULL, NULL, NULL, 15),
(60007, NULL, 'PTHR43217:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE SEMIALDEHYDE DEHYDROGENASE [NAD(P)+] SAD', NULL, NULL, NULL, 15),
(60008, NULL, 'PTHR15858:SF5', NULL, NULL, NULL, NULL, 'IMMEDIATE EARLY RESPONSE 3-INTERACTING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(60009, NULL, 'PTHR12620:SF36', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF SMALL SUBUNIT A', NULL, NULL, NULL, 15),
(60010, NULL, 'PTHR24242:SF192', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(60011, NULL, 'PTHR35408:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60012, NULL, 'PTHR13935:SF62', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE HOMOLOG 2', NULL, NULL, NULL, 15),
(60013, NULL, 'PTHR31827:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60014, NULL, 'PTHR31280:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60015, NULL, 'PTHR31062:SF242', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(60016, NULL, 'PTHR19876:SF43', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN POF1', NULL, NULL, NULL, 15),
(60017, NULL, 'PTHR31770:SF3', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE PROTEIN TAFA-3', NULL, NULL, NULL, 15),
(60018, NULL, 'PTHR47978:SF10', NULL, NULL, NULL, NULL, 'RAB FAMILY GTPASE', NULL, NULL, NULL, 15),
(60019, NULL, 'PTHR10838:SF22', NULL, NULL, NULL, NULL, 'SYNAPTOGYRIN-4', NULL, NULL, NULL, 15),
(60020, NULL, 'PTHR38640:SF1', NULL, NULL, NULL, NULL, 'GEO09659P1', NULL, NULL, NULL, 15),
(60021, NULL, 'PTHR11108:SF4', NULL, NULL, NULL, NULL, 'FERROCHELATASE-1, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(60022, NULL, 'PTHR22298:SF43', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 22', NULL, NULL, NULL, 15),
(60023, NULL, 'PTHR23501:SF178', NULL, NULL, NULL, NULL, 'QUINOLONE RESISTANCE PROTEIN NORB', NULL, NULL, NULL, 15),
(60024, NULL, 'PTHR46413:SF15', NULL, NULL, NULL, NULL, 'OS10G0440300 PROTEIN', NULL, NULL, NULL, 15),
(60025, NULL, 'PTHR15416:SF2', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE INHIBITOR ALPHA', NULL, NULL, NULL, 15),
(60026, NULL, 'PTHR10314:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60027, NULL, 'PTHR24125:SF0', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND DEATH DOMAIN-CONTAINING PROTEIN 1A', NULL, NULL, 35812, 15),
(60028, NULL, 'PTHR14315:SF18', NULL, NULL, NULL, NULL, 'THYROID HORMONE-INDUCIBLE HEPATIC PROTEIN', NULL, NULL, NULL, 15),
(60029, NULL, 'PTHR15926', NULL, NULL, NULL, NULL, 'ALL-TRANS RETINOIC ACID-INDUCED DIFFERENTIATION FACTOR', NULL, NULL, 39445, 15),
(60030, NULL, 'PTHR33122:SF58', NULL, NULL, NULL, NULL, 'BNAA03G11410D PROTEIN', NULL, NULL, NULL, 15),
(60031, NULL, 'PTHR12993', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYL-PHOSPHATIDYLINOSITOL DE-N-ACETYLASE-RELATED', NULL, NULL, 6235, 15),
(60032, NULL, 'PTHR11685:SF345', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(60033, NULL, 'PTHR40430', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60034, NULL, 'PTHR10291:SF38', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(60035, NULL, 'PTHR43808:SF3', NULL, NULL, NULL, NULL, 'ACETYLORNITHINE DEACETYLASE', NULL, NULL, NULL, 15),
(60036, NULL, 'PTHR21231:SF3', NULL, NULL, NULL, NULL, 'GPN-LOOP GTPASE 2', NULL, NULL, 27067, 15),
(60037, NULL, 'PTHR13690:SF142', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(60038, NULL, 'PTHR43374:SF1', NULL, NULL, NULL, NULL, 'FLAVIN PRENYLTRANSFERASE PAD1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(60039, NULL, 'PTHR45940:SF19', NULL, NULL, NULL, NULL, 'BNAA09G18650D PROTEIN', NULL, NULL, NULL, 15),
(60040, NULL, 'PTHR43618:SF6', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT BETA-KETOACYL REDUCTASE (RHLG)-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60041, NULL, 'PTHR11216:SF71', NULL, NULL, NULL, NULL, 'SARCALUMENIN', NULL, NULL, NULL, 15),
(60042, NULL, 'PTHR43771:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE', NULL, NULL, NULL, 15),
(60043, NULL, 'PTHR19862:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WD40-LIKE FAMILY-RELATED', NULL, NULL, NULL, 15),
(60044, NULL, 'PTHR30561:SF6', NULL, NULL, NULL, NULL, 'SPERMIDINE EXPORT PROTEIN MDTI', NULL, NULL, 10791, 15),
(60045, NULL, 'PTHR23025:SF3', NULL, NULL, NULL, NULL, 'HORMONE-SENSITIVE LIPASE', NULL, NULL, NULL, 15),
(60046, NULL, 'PTHR31948:SF122', NULL, NULL, NULL, NULL, 'BNAA08G14660D PROTEIN', NULL, NULL, NULL, 15),
(60047, NULL, 'PTHR28177:SF1', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 19, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(60048, NULL, 'PTHR12320:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60049, NULL, 'PTHR43281:SF11', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE 11, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(60050, NULL, 'PTHR10743', NULL, NULL, NULL, NULL, 'PROTEIN RER1', NULL, NULL, 1612, 15),
(60051, NULL, 'PTHR10804:SF136', NULL, NULL, NULL, NULL, 'BNAA01G19300D PROTEIN', NULL, NULL, NULL, 15),
(60052, NULL, 'PTHR10900:SF77', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN YLR001C', NULL, NULL, NULL, 15),
(60053, NULL, 'PTHR36140:SF2', NULL, NULL, NULL, NULL, 'OS01G0152950 PROTEIN', NULL, NULL, NULL, 15),
(60054, NULL, 'PTHR11594:SF9', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', NULL, NULL, NULL, 15),
(60055, NULL, 'PTHR31161:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(60056, NULL, 'PTHR32502', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE PERMEASE II COMPONENT-RELATED', NULL, NULL, NULL, 15),
(60057, NULL, 'PTHR43537:SF6', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR RSPR', NULL, NULL, NULL, 15),
(60058, NULL, 'PTHR20275:SF29', NULL, NULL, NULL, NULL, 'NAD KINASE B', NULL, NULL, NULL, 15),
(60059, NULL, 'PTHR13068:SF130', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(60060, NULL, 'PTHR33142:SF57', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR1-LIKE', NULL, NULL, NULL, 15),
(60061, NULL, 'PTHR22572:SF145', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(60062, NULL, 'PTHR46986', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE YBEY, CHLOROPLASTIC', NULL, NULL, 2356, 15),
(60063, NULL, 'PTHR33065:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60064, NULL, 'PTHR38690', NULL, NULL, NULL, NULL, 'PROTEASE-RELATED', NULL, NULL, 14021, 15),
(60065, NULL, 'PTHR33148:SF52', NULL, NULL, NULL, NULL, 'OS06G0260000 PROTEIN', NULL, NULL, NULL, 15),
(60066, NULL, 'PTHR27003:SF339', NULL, NULL, NULL, NULL, 'BNAA06G40790D PROTEIN', NULL, NULL, NULL, 15),
(60067, NULL, 'PTHR33736:SF15', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(60068, NULL, 'PTHR11119:SF95', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 6-LIKE', NULL, NULL, NULL, 15),
(60069, NULL, 'PTHR31079:SF2', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 44-RELATED', NULL, NULL, NULL, 15),
(60070, NULL, 'PTHR46698:SF2', NULL, NULL, NULL, NULL, 'KIELIN/CHORDIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60071, NULL, 'PTHR44419:SF14', NULL, NULL, NULL, NULL, 'NADPH-PROTOCHLOROPHYLLIDE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(60072, NULL, 'PTHR31111:SF22', NULL, NULL, NULL, NULL, 'BNAA05G37150D PROTEIN', NULL, NULL, NULL, 15),
(60073, NULL, 'PTHR31770:SF7', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE PROTEIN TAFA-4', NULL, NULL, NULL, 15),
(60074, NULL, 'PTHR31165:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60075, NULL, 'PTHR40038:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEIN TCAA', NULL, NULL, NULL, 15),
(60076, NULL, 'PTHR31210:SF64', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF707)-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60077, NULL, 'PTHR42039:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02940)-RELATED', NULL, NULL, NULL, 15),
(60078, NULL, 'PTHR12242:SF9', NULL, NULL, NULL, NULL, 'OS01G0171800 PROTEIN', NULL, NULL, NULL, 15),
(60079, NULL, 'PTHR46895:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR F59B2.13-RELATED', NULL, NULL, NULL, 15),
(60080, NULL, 'PTHR11500', NULL, NULL, NULL, NULL, 'BETA CASEIN', NULL, NULL, 20889, 15),
(60081, NULL, 'PTHR24006:SF779', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', NULL, NULL, NULL, 15),
(60082, NULL, 'PTHR13843:SF5', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 1B', NULL, NULL, 26500, 15),
(60083, NULL, 'PTHR27006:SF293', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60084, NULL, 'PTHR24230:SF49', NULL, NULL, NULL, NULL, 'GONADOTROPIN-RELEASING HORMONE RECEPTOR (GNRHR) RELATED', NULL, NULL, NULL, 15),
(60085, NULL, 'PTHR24281:SF183', NULL, NULL, NULL, NULL, 'BNAC06G01270D PROTEIN', NULL, NULL, NULL, 15),
(60086, NULL, 'PTHR13902:SF116', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK9-RELATED', NULL, NULL, NULL, 15),
(60087, NULL, 'PTHR31589:SF125', NULL, NULL, NULL, NULL, 'BNAANNG31550D PROTEIN', NULL, NULL, NULL, 15),
(60088, NULL, 'PTHR40137', NULL, NULL, NULL, NULL, 'PROTEIN GVPK 1', NULL, NULL, 2182, 15),
(60089, NULL, 'PTHR11360:SF156', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14260)-RELATED', NULL, NULL, NULL, 15),
(60090, NULL, 'PTHR13814:SF14', NULL, NULL, NULL, NULL, 'FETUIN B', NULL, NULL, NULL, 15),
(60091, NULL, 'PTHR31752:SF45', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 9-RELATED', NULL, NULL, NULL, 15),
(60092, NULL, 'PTHR33074:SF75', NULL, NULL, NULL, NULL, 'OS01G0189800 PROTEIN', NULL, NULL, NULL, 15),
(60093, NULL, 'PTHR48002:SF153', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(60094, NULL, 'PTHR43578:SF3', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT F', NULL, NULL, NULL, 15),
(60095, NULL, 'PTHR33784:SF21', NULL, NULL, NULL, NULL, 'BNAC03G16590D PROTEIN', NULL, NULL, NULL, 15),
(60096, NULL, 'PTHR11795:SF452', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(60097, NULL, 'PTHR14614:SF130', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(60098, NULL, 'PTHR24072:SF165', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930544G11', NULL, NULL, NULL, 15),
(60099, NULL, 'PTHR46344:SF1', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING F-BOX PROTEIN-LIKE', NULL, NULL, NULL, 15),
(60100, NULL, 'PTHR20884:SF20', NULL, NULL, NULL, NULL, 'GDP-D-GLUCOSE PHOSPHORYLASE 1-RELATED', NULL, NULL, NULL, 15),
(60101, NULL, 'PTHR23334:SF58', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN GAMMA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60102, NULL, 'PTHR11972:SF79', NULL, NULL, NULL, NULL, 'FERRIC REDUCTION OXIDASE 4-RELATED', NULL, NULL, NULL, 15),
(60103, NULL, 'PTHR45707:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60104, NULL, 'PTHR23166:SF7', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER PROTEIN 1', NULL, NULL, 22402, 15),
(60105, NULL, 'PTHR48044:SF50', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(60106, NULL, 'PTHR11588:SF310', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(60107, NULL, 'PTHR13683:SF712', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2-LIKE', NULL, NULL, NULL, 15),
(60108, NULL, 'PTHR24349:SF382', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60109, NULL, 'PTHR24055:SF367', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 15', NULL, NULL, NULL, 15),
(60110, NULL, 'PTHR43148:SF2', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(60111, NULL, 'PTHR44051:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60112, NULL, 'PTHR18966:SF495', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60113, NULL, 'PTHR22835:SF620', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60114, NULL, 'PTHR11426:SF201', NULL, NULL, NULL, NULL, 'HISTONE H3, EMBRYONIC', NULL, NULL, NULL, 15),
(60115, NULL, 'PTHR11909:SF399', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60116, NULL, 'PTHR33710:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60117, NULL, 'PTHR24343:SF474', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2A', NULL, NULL, NULL, 15),
(60118, NULL, 'PTHR31218:SF156', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(60119, NULL, 'PTHR21724:SF93', NULL, NULL, NULL, NULL, 'PHARYNGEAL GLAND TOXIN-RELATED', NULL, NULL, NULL, 15),
(60120, NULL, 'PTHR35115:SF1', NULL, NULL, NULL, NULL, 'CYCLIN DELTA-3', NULL, NULL, NULL, 15),
(60121, NULL, 'PTHR46162:SF37', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 7-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(60122, NULL, 'PTHR23147:SF129', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF', NULL, NULL, NULL, 15),
(60123, NULL, 'PTHR33873:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60124, NULL, 'PTHR35101:SF11', NULL, NULL, NULL, NULL, 'OS08G0192100 PROTEIN', NULL, NULL, NULL, 15),
(60125, NULL, 'PTHR38768:SF1', NULL, NULL, NULL, NULL, 'UPF0502 PROTEIN YCEH', NULL, NULL, NULL, 15),
(60126, NULL, 'PTHR45752:SF61', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 2', NULL, NULL, NULL, 15),
(60127, NULL, 'PTHR30544', NULL, NULL, NULL, NULL, '23S RRNA METHYLTRANSFERASE', NULL, NULL, 34208, 15),
(60128, NULL, 'PTHR33377:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60129, NULL, 'PTHR31390:SF14', NULL, NULL, NULL, NULL, 'BNAA09G11020D PROTEIN', NULL, NULL, NULL, 15),
(60130, NULL, 'PTHR11161:SF33', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(60131, NULL, 'PTHR48048:SF44', NULL, NULL, NULL, NULL, 'OS10G0162980 PROTEIN', NULL, NULL, NULL, 15),
(60132, NULL, 'PTHR47156', NULL, NULL, NULL, NULL, 'PROTEIN CBG20824', NULL, NULL, NULL, 15),
(60133, NULL, 'PTHR39173', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(60134, NULL, 'PTHR10803:SF23', NULL, NULL, NULL, NULL, 'ATPASE ASNA-1-LIKE', NULL, NULL, NULL, 15),
(60135, NULL, 'PTHR30480:SF15', NULL, NULL, NULL, NULL, 'SUGAR HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(60136, NULL, 'PTHR30060:SF1', NULL, NULL, NULL, NULL, 'UPF0053 INNER MEMBRANE PROTEIN YGDQ', NULL, NULL, NULL, 15),
(60137, NULL, 'PTHR22947:SF38', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(60138, NULL, 'PTHR34863', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(60139, NULL, 'PTHR47926:SF153', NULL, NULL, NULL, NULL, 'BNAA06G15620D PROTEIN', NULL, NULL, NULL, 15),
(60140, NULL, 'PTHR11206:SF424', NULL, NULL, NULL, NULL, 'TRANSPORTER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(60141, NULL, 'PTHR48047:SF35', NULL, NULL, NULL, NULL, 'OS04G0130433 PROTEIN', NULL, NULL, NULL, 15),
(60142, NULL, 'PTHR34455', NULL, NULL, NULL, NULL, 'OS07G0673550 PROTEIN', NULL, NULL, NULL, 15),
(60143, NULL, 'PTHR43280:SF10', NULL, NULL, NULL, NULL, 'ARAC/XYLS FAMILY REGULATOR-RELATED', NULL, NULL, NULL, 15),
(60144, NULL, 'PTHR12106:SF9', NULL, NULL, NULL, NULL, 'VPS10 DOMAIN-CONTAINING RECEPTOR SORCS2', NULL, NULL, NULL, 15),
(60145, NULL, 'PTHR13768:SF36', NULL, NULL, NULL, NULL, 'OS01G0812500 PROTEIN', NULL, NULL, NULL, 15),
(60146, NULL, 'PTHR46128:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60147, NULL, 'PTHR32191:SF1', NULL, NULL, NULL, NULL, 'TETRASPANIN-6', NULL, NULL, NULL, 15),
(60148, NULL, 'PTHR31472:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60149, NULL, 'PTHR45914:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH53', NULL, NULL, NULL, 15),
(60150, NULL, 'PTHR10196:SF60', NULL, NULL, NULL, NULL, 'L-FUCULOKINASE', NULL, NULL, 9369, 15),
(60151, NULL, 'PTHR31917:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60152, NULL, 'PTHR46279:SF7', NULL, NULL, NULL, NULL, 'BNAC04G21640D PROTEIN', NULL, NULL, NULL, 15),
(60153, NULL, 'PTHR11035:SF20', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE 3', NULL, NULL, NULL, 15),
(60154, NULL, 'PTHR45617:SF82', NULL, NULL, NULL, NULL, 'CHAOPTIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60155, NULL, 'PTHR46393:SF3', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT BFB-RELATED', NULL, NULL, NULL, 15),
(60156, NULL, 'PTHR23024:SF242', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07260)-RELATED', NULL, NULL, NULL, 15),
(60157, NULL, 'PTHR47979:SF14', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1A', NULL, NULL, NULL, 15),
(60158, NULL, 'PTHR46067:SF16', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE (GNAT) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(60159, NULL, 'PTHR31241:SF54', NULL, NULL, NULL, NULL, 'BNAA05G27930D PROTEIN', NULL, NULL, NULL, 15),
(60160, NULL, 'PTHR47989:SF9', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(60161, NULL, 'PTHR39606', NULL, NULL, NULL, NULL, 'SURFACE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(60162, NULL, 'PTHR38688', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60163, NULL, 'PTHR31080:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60164, NULL, 'PTHR15741:SF34', NULL, NULL, NULL, NULL, 'MLX-INTERACTING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(60165, NULL, 'PTHR43963:SF2', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE [NADPH] 1', NULL, NULL, NULL, 15),
(60166, NULL, 'PTHR45624:SF3', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 47', NULL, NULL, NULL, 15),
(60167, NULL, 'PTHR27002:SF634', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', NULL, NULL, NULL, 15),
(60168, NULL, 'PTHR31301:SF121', NULL, NULL, NULL, NULL, 'BNAA08G28560D PROTEIN', NULL, NULL, NULL, 15),
(60169, NULL, 'PTHR24168:SF23', NULL, NULL, NULL, NULL, 'KN MOTIF AND ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(60170, NULL, 'PTHR34046:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60171, NULL, 'PTHR31989:SF175', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 97', NULL, NULL, NULL, 15),
(60172, NULL, 'PTHR43349:SF75', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 3-RELATED', NULL, NULL, NULL, 15),
(60173, NULL, 'PTHR31875', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19', NULL, NULL, 34428, 15),
(60174, NULL, 'PTHR46121', NULL, NULL, NULL, NULL, 'STEROIDOGENIC ACUTE REGULATORY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(60175, NULL, 'PTHR12632:SF39', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-10', NULL, NULL, NULL, 15),
(60176, NULL, 'PTHR14057:SF36', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CEH-38', NULL, NULL, NULL, 15),
(60177, NULL, 'PTHR30404', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE', NULL, NULL, NULL, 15),
(60178, NULL, 'PTHR45648:SF13', NULL, NULL, NULL, NULL, 'OS02G0290900 PROTEIN', NULL, NULL, NULL, 15),
(60179, NULL, 'PTHR14754:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 1', NULL, NULL, 8939, 15),
(60180, NULL, 'PTHR24349:SF409', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 6', NULL, NULL, NULL, 15),
(60181, NULL, 'PTHR46851', NULL, NULL, NULL, NULL, 'OS01G0884500 PROTEIN', NULL, NULL, 37458, 15),
(60182, NULL, 'PTHR31241:SF37', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2A-RELATED', NULL, NULL, NULL, 15),
(60183, NULL, 'PTHR10336:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60184, NULL, 'PTHR14753', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 38', NULL, NULL, 39070, 15),
(60185, NULL, 'PTHR45890:SF12', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(60186, NULL, 'PTHR31269:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60187, NULL, 'PTHR33175:SF12', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN HU-ALPHA', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60188, NULL, 'PTHR31282:SF142', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY51-LIKE', NULL, NULL, NULL, 15),
(60189, NULL, 'PTHR47280:SF1', NULL, NULL, NULL, NULL, 'PHEOPHYTINASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(60190, NULL, 'PTHR47461:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60191, NULL, 'PTHR24559:SF330', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE HOMOLOG', NULL, NULL, NULL, 15),
(60192, NULL, 'PTHR12128:SF57', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(60193, NULL, 'PTHR11945:SF483', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE-34-RELATED', NULL, NULL, NULL, 15),
(60194, NULL, 'PTHR45652:SF17', NULL, NULL, NULL, NULL, 'GLIAL FIBRILLARY ACIDIC PROTEIN', NULL, NULL, NULL, 15),
(60195, NULL, 'PTHR23421:SF137', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 15-RELATED', NULL, NULL, NULL, 15),
(60196, NULL, 'PTHR11048:SF28', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOATE POLYPRENYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(60197, NULL, 'PTHR31832:SF13', NULL, NULL, NULL, NULL, 'OS05G0204600 PROTEIN', NULL, NULL, NULL, 15),
(60198, NULL, 'PTHR43618:SF16', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_7G04540)', NULL, NULL, NULL, 15),
(60199, NULL, 'PTHR10880:SF44', NULL, NULL, NULL, NULL, 'PROTEIN MRG1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(60200, NULL, 'PTHR46841:SF5', NULL, NULL, NULL, NULL, 'ISEC2 PROTEIN, INTESTINAL SECRETORY CELL PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(60201, NULL, 'PTHR36070', NULL, NULL, NULL, NULL, 'OSJNBA0019G23.7 PROTEIN', NULL, NULL, NULL, 15),
(60202, NULL, 'PTHR28659', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38475, 15),
(60203, NULL, 'PTHR23406:SF27', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT MALIC ENZYME, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(60204, NULL, 'PTHR10316:SF68', NULL, NULL, NULL, NULL, 'FERM DOMAIN (PROTEIN4.1-EZRIN-RADIXIN-MOESIN) FAMILY', NULL, NULL, NULL, 15),
(60205, NULL, 'PTHR23139:SF114', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF LARGE SUBUNIT A', NULL, NULL, NULL, 15),
(60206, NULL, 'PTHR24177:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60207, NULL, 'PTHR23277:SF114', NULL, NULL, NULL, NULL, 'NECTIN CELL ADHESION MOLECULE 1A', NULL, NULL, NULL, 15),
(60208, NULL, 'PTHR12189:SF3', NULL, NULL, NULL, NULL, 'MRNA CAP GUANINE-N7 METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(60209, NULL, 'PTHR31963:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60210, NULL, 'PTHR12565:SF319', NULL, NULL, NULL, NULL, 'OS02G0705500 PROTEIN', NULL, NULL, NULL, 15),
(60211, NULL, 'PTHR34235:SF1', NULL, NULL, NULL, NULL, 'SLR0416 PROTEIN', NULL, NULL, NULL, 15),
(60212, NULL, 'PTHR27008:SF373', NULL, NULL, NULL, NULL, 'OS06G0586400 PROTEIN', NULL, NULL, NULL, 15),
(60213, NULL, 'PTHR33175:SF2', NULL, NULL, NULL, NULL, 'INTEGRATION HOST FACTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(60214, NULL, 'PTHR15502:SF7', NULL, NULL, NULL, NULL, 'CALCINEURIN-BINDING PROTEIN CABIN-1', NULL, NULL, NULL, 15),
(60215, NULL, 'PTHR32467:SF167', NULL, NULL, NULL, NULL, 'BNAA02G06490D PROTEIN', NULL, NULL, NULL, 15),
(60216, NULL, 'PTHR46915:SF14', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 1D', NULL, NULL, NULL, 15),
(60217, NULL, 'PTHR47810', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60218, NULL, 'PTHR12321:SF110', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 7', NULL, NULL, NULL, 15),
(60219, NULL, 'PTHR30252:SF3', NULL, NULL, NULL, NULL, 'PYRUVATE/PROTON SYMPORTER BTST', NULL, NULL, NULL, 15),
(60220, NULL, 'PTHR21091', NULL, NULL, NULL, NULL, 'METHYLTETRAHYDROFOLATE:HOMOCYSTEINE METHYLTRANSFERASE RELATED', NULL, NULL, NULL, 15),
(60221, NULL, 'PTHR40621', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAPC-RELATED', NULL, NULL, NULL, 15),
(60222, NULL, 'PTHR33878:SF1', NULL, NULL, NULL, NULL, 'OS08G0559000 PROTEIN', NULL, NULL, NULL, 15),
(60223, NULL, 'PTHR46665:SF5', NULL, NULL, NULL, NULL, 'HLH DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60224, NULL, 'PTHR31641:SF2', NULL, NULL, NULL, NULL, 'RENAL CANCER DIFFERENTIATION GENE 1 PROTEIN', NULL, NULL, NULL, 15),
(60225, NULL, 'PTHR47085:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 15', NULL, NULL, NULL, 15),
(60226, NULL, 'PTHR10783:SF121', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60227, NULL, 'PTHR48138', NULL, NULL, NULL, NULL, 'KERATINOCYTE PROLINE-RICH PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60228, NULL, 'PTHR13068:SF160', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(60229, NULL, 'PTHR13890:SF53', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-B-RELATED', NULL, NULL, NULL, 15),
(60230, NULL, 'PTHR11764:SF74', NULL, NULL, NULL, NULL, 'BNAC08G11080D PROTEIN', NULL, NULL, NULL, 15),
(60231, NULL, 'PTHR46026:SF3', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 7', NULL, NULL, NULL, 15),
(60232, NULL, 'PTHR16127', NULL, NULL, NULL, NULL, 'TAXILIN', NULL, NULL, 21803, 15),
(60233, NULL, 'PTHR47990:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60234, NULL, 'PTHR31344:SF15', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 PROTEIN AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(60235, NULL, 'PTHR34661:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60236, NULL, 'PTHR38116:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60237, NULL, 'PTHR31490:SF61', NULL, NULL, NULL, NULL, 'BNAA08G11420D PROTEIN', NULL, NULL, NULL, 15),
(60238, NULL, 'PTHR13396:SF5', NULL, NULL, NULL, NULL, 'NEDD4 FAMILY INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(60239, NULL, 'PTHR12665:SF18', NULL, NULL, NULL, NULL, 'ORMDL FAMILY PROTEIN', NULL, NULL, NULL, 15),
(60240, NULL, 'PTHR39600:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60241, NULL, 'PTHR19972:SF14', NULL, NULL, NULL, NULL, 'CALBINDIN', NULL, NULL, 26048, 15),
(60242, NULL, 'PTHR43372:SF1', NULL, NULL, NULL, NULL, 'LD38433P', NULL, NULL, NULL, 15),
(60243, NULL, 'PTHR18947:SF38', NULL, NULL, NULL, NULL, 'PROTEIN HOOK HOMOLOG 3', NULL, NULL, NULL, 15),
(60244, NULL, 'PTHR13683:SF634', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(60245, NULL, 'PTHR11709:SF71', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE TPCJ', NULL, NULL, NULL, 15),
(60246, NULL, 'PTHR34570:SF15', NULL, NULL, NULL, NULL, 'BNAC07G33690D PROTEIN', NULL, NULL, NULL, 15),
(60247, NULL, 'PTHR36973', NULL, NULL, NULL, NULL, 'SLL1456 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60248, NULL, 'PTHR27006:SF124', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(60249, NULL, 'PTHR13690:SF125', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(60250, NULL, 'PTHR35035:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60251, NULL, 'PTHR45619:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(60252, NULL, 'PTHR11675:SF10', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 11', NULL, NULL, NULL, 15),
(60253, NULL, 'PTHR26452:SF810', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(60254, NULL, 'PTHR11848:SF135', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 7', NULL, NULL, NULL, 15),
(60255, NULL, 'PTHR24123:SF118', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 50-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60256, NULL, 'PTHR47972:SF7', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60257, NULL, 'PTHR14879:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60258, NULL, 'PTHR33136', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR-LIKE', NULL, NULL, NULL, 15),
(60259, NULL, 'PTHR21136:SF204', NULL, NULL, NULL, NULL, 'OS03G0803000 PROTEIN', NULL, NULL, NULL, 15),
(60260, NULL, 'PTHR12231:SF236', NULL, NULL, NULL, NULL, 'ROUNDABOUT HOMOLOG 3', NULL, NULL, 27460, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60261, NULL, 'PTHR37380:SF1', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE501 PROTEIN', NULL, NULL, NULL, 15),
(60262, NULL, 'PTHR11814:SF189', NULL, NULL, NULL, NULL, 'FI18412P1', NULL, NULL, NULL, 15),
(60263, NULL, 'PTHR42865:SF2', NULL, NULL, NULL, NULL, 'PROTON:GLUTAMATE SYMPORTER DAACS FAMILY', NULL, NULL, NULL, 15),
(60264, NULL, 'PTHR43675:SF14', NULL, NULL, NULL, NULL, 'TUBERCULOSTEARIC ACID METHYLTRANSFERASE UFAA1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(60265, NULL, 'PTHR35713:SF3', NULL, NULL, NULL, NULL, 'BNAC03G47530D PROTEIN', NULL, NULL, NULL, 15),
(60266, NULL, 'PTHR48001:SF159', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(60267, NULL, 'PTHR13586:SF12', NULL, NULL, NULL, NULL, 'OS01G0111200 PROTEIN', NULL, NULL, NULL, 15),
(60268, NULL, 'PTHR24073:SF555', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-5B', NULL, NULL, NULL, 15),
(60269, NULL, 'PTHR42939', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN ALBC-RELATED', NULL, NULL, NULL, 15),
(60270, NULL, 'PTHR27004:SF354', NULL, NULL, NULL, NULL, 'TM RESISTANCE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(60271, NULL, 'PTHR47293:SF58', NULL, NULL, NULL, NULL, 'BNAC06G30120D PROTEIN', NULL, NULL, NULL, 15),
(60272, NULL, 'PTHR14379:SF42', NULL, NULL, NULL, NULL, 'BNAA04G28620D PROTEIN', NULL, NULL, NULL, 15),
(60273, NULL, 'PTHR10218:SF242', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-1 SUBUNIT', NULL, NULL, NULL, 15),
(60274, NULL, 'PTHR10334:SF473', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', NULL, NULL, NULL, 15),
(60275, NULL, 'PTHR15131:SF7', NULL, NULL, NULL, NULL, 'SNAPC (SMALL NUCLEAR RNA ACTIVATING COMPLEX) HOMOLOG', NULL, NULL, NULL, 15),
(60276, NULL, 'PTHR45817:SF8', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE HOMOLOG 1', NULL, NULL, NULL, 15),
(60277, NULL, 'PTHR46808:SF1', NULL, NULL, NULL, NULL, 'H2.0-LIKE HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(60278, NULL, 'PTHR31839:SF56', NULL, NULL, NULL, NULL, 'CBF/DREB1 TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(60279, NULL, 'PTHR11528:SF113', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE PROTEIN 80-LIKE', NULL, NULL, NULL, 15),
(60280, NULL, 'PTHR45945:SF4', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 10', NULL, NULL, NULL, 15),
(60281, NULL, 'PTHR11935', NULL, NULL, NULL, NULL, 'BETA LACTAMASE DOMAIN', NULL, NULL, NULL, 15),
(60282, NULL, 'PTHR10654:SF18', NULL, NULL, NULL, NULL, 'IP17195P', NULL, NULL, NULL, 15),
(60283, NULL, 'PTHR15196:SF1', NULL, NULL, NULL, NULL, 'CILIARY NEUROTROPHIC FACTOR', NULL, NULL, NULL, 15),
(60284, NULL, 'PTHR43895:SF64', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(60285, NULL, 'PTHR32343:SF65', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 11-LIKE', NULL, NULL, NULL, 15),
(60286, NULL, 'PTHR24015:SF72', NULL, NULL, NULL, NULL, 'OSJNBA0006B20.8 PROTEIN', NULL, NULL, NULL, 15),
(60287, NULL, 'PTHR34098', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 47', NULL, NULL, 34311, 15),
(60288, NULL, 'PTHR47915:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.7', NULL, NULL, NULL, 15),
(60289, NULL, 'PTHR24281:SF11', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(60290, NULL, 'PTHR30008:SF0', NULL, NULL, NULL, NULL, 'EXODEOXYRIBONUCLEASE 7 LARGE SUBUNIT', NULL, NULL, NULL, 15),
(60291, NULL, 'PTHR22923:SF67', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(60292, NULL, 'PTHR43104', NULL, NULL, NULL, NULL, 'L-2-HYDROXYGLUTARATE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(60293, NULL, 'PTHR26453:SF301', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(60294, NULL, 'PTHR10529', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT MU', NULL, NULL, NULL, 15),
(60295, NULL, 'PTHR46727:SF2', NULL, NULL, NULL, NULL, 'CBX4 PROTEIN', NULL, NULL, NULL, 15),
(60296, NULL, 'PTHR48043:SF56', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 91C1', NULL, NULL, NULL, 15),
(60297, NULL, 'PTHR12080:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60298, NULL, 'PTHR31614:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60299, NULL, 'PTHR24559:SF383', NULL, NULL, NULL, NULL, 'DNA/RNA POLYMERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(60300, NULL, 'PTHR22950:SF659', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60301, NULL, 'PTHR24131:SF5', NULL, NULL, NULL, NULL, 'APOPTOSIS-STIMULATING OF P53 PROTEIN 1', NULL, NULL, 25615, 15),
(60302, NULL, 'PTHR16675:SF237', NULL, NULL, NULL, NULL, 'MHC CLASS I ANTIGEN TRANSCRIPT VARIANT 1-RELATED', NULL, NULL, NULL, 15),
(60303, NULL, 'PTHR42893:SF37', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(60304, NULL, 'PTHR32241:SF4', NULL, NULL, NULL, NULL, 'OS12G0611300 PROTEIN', NULL, NULL, NULL, 15),
(60305, NULL, 'PTHR14024:SF25', NULL, NULL, NULL, NULL, 'PERILIPIN-2', NULL, NULL, NULL, 15),
(60306, NULL, 'PTHR48172:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 62-RELATED', NULL, NULL, NULL, 15),
(60307, NULL, 'PTHR31929:SF84', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A', NULL, NULL, NULL, 15),
(60308, NULL, 'PTHR43313:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60309, NULL, 'PTHR10807:SF36', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 8', NULL, NULL, 26034, 15),
(60310, NULL, 'PTHR11685:SF376', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(60311, NULL, 'PTHR23024:SF495', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(60312, NULL, 'PTHR10671:SF51', NULL, NULL, NULL, NULL, 'NEURONAL SYMMETRY', NULL, NULL, NULL, 15),
(60313, NULL, 'PTHR10336:SF11', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE BETA-3', NULL, NULL, NULL, 15),
(60314, NULL, 'PTHR42920:SF19', NULL, NULL, NULL, NULL, 'AROMATIC AMINO ACID EXPORTER YDDG', NULL, NULL, NULL, 15),
(60315, NULL, 'PTHR43080:SF3', NULL, NULL, NULL, NULL, 'CBS DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(60316, NULL, 'PTHR11984', NULL, NULL, NULL, NULL, 'CONNEXIN', NULL, NULL, 6907, 15),
(60317, NULL, 'PTHR35902', NULL, NULL, NULL, NULL, 'S-LAYER DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60318, NULL, 'PTHR45811:SF47', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(60319, NULL, 'PTHR11817:SF103', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(60320, NULL, 'PTHR23110:SF101', NULL, NULL, NULL, NULL, 'PROTEIN JIM LOVELL', NULL, NULL, NULL, 15),
(60321, NULL, 'PTHR32133:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60322, NULL, 'PTHR33431', NULL, NULL, NULL, NULL, 'ENABLED-LIKE PROTEIN (DUF1635)', NULL, NULL, 12915, 15),
(60323, NULL, 'PTHR10366:SF563', NULL, NULL, NULL, NULL, 'VESTITONE REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(60324, NULL, 'PTHR14493:SF107', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCCH-TYPE-RELATED', NULL, NULL, NULL, 15),
(60325, NULL, 'PTHR11895:SF153', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(60326, NULL, 'PTHR47480:SF7', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(60327, NULL, 'PTHR15907:SF171', NULL, NULL, NULL, NULL, 'BNAC06G30300D PROTEIN', NULL, NULL, NULL, 15),
(60328, NULL, 'PTHR48043:SF64', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(60329, NULL, 'PTHR42069', NULL, NULL, NULL, NULL, 'HYPHAL ANASTAMOSIS-8 PROTEIN', NULL, NULL, NULL, 15),
(60330, NULL, 'PTHR45687:SF19', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', NULL, NULL, NULL, 15),
(60331, NULL, 'PTHR31972:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60332, NULL, 'PTHR48002:SF115', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K14', NULL, NULL, NULL, 15),
(60333, NULL, 'PTHR33304:SF35', NULL, NULL, NULL, NULL, 'BNAA06G03130D PROTEIN', NULL, NULL, NULL, 15),
(60334, NULL, 'PTHR35318:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60335, NULL, 'PTHR46758:SF5', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(60336, NULL, 'PTHR11926:SF1384', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(60337, NULL, 'PTHR46087:SF12', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60338, NULL, 'PTHR32246:SF127', NULL, NULL, NULL, NULL, 'PROTEIN SRC2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60339, NULL, 'PTHR24381:SF319', NULL, NULL, NULL, NULL, 'ZNF699 ISOFORM 2', NULL, NULL, NULL, 15),
(60340, NULL, 'PTHR33124:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60341, NULL, 'PTHR12537:SF50', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(60342, NULL, 'PTHR43547', NULL, NULL, NULL, NULL, 'TWO-COMPONENT HISTIDINE KINASE', NULL, NULL, NULL, 15),
(60343, NULL, 'PTHR46809:SF6', NULL, NULL, NULL, NULL, 'BNAA09G55850D PROTEIN', NULL, NULL, NULL, 15),
(60344, NULL, 'PTHR22765:SF303', NULL, NULL, NULL, NULL, 'GB|AAD18119.1-RELATED', NULL, NULL, NULL, 15),
(60345, NULL, 'PTHR37960:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG02859', NULL, NULL, NULL, 15),
(60346, NULL, 'PTHR45770:SF37', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(60347, NULL, 'PTHR33085:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60348, NULL, 'PTHR16515:SF35', NULL, NULL, NULL, NULL, 'FEZ FAMILY ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(60349, NULL, 'PTHR34476:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT OMEGA', NULL, NULL, NULL, 15),
(60350, NULL, 'PTHR45921:SF5', NULL, NULL, NULL, NULL, 'T CELL LEUKEMIA HOMEOBOX 2', NULL, NULL, NULL, 15),
(60351, NULL, 'PTHR43450:SF9', NULL, NULL, NULL, NULL, 'BNAA03G51360D PROTEIN', NULL, NULL, NULL, 15),
(60352, NULL, 'PTHR10026:SF117', NULL, NULL, NULL, NULL, 'CYCLIN-T1-1-RELATED', NULL, NULL, NULL, 15),
(60353, NULL, 'PTHR31376:SF47', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 9-RELATED', NULL, NULL, NULL, 15),
(60354, NULL, 'PTHR46133:SF15', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(60355, NULL, 'PTHR47812', NULL, NULL, NULL, NULL, 'SMR (SMALL MUTS RELATED) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(60356, NULL, 'PTHR45651:SF71', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, VOLTAGE-DEPENDENT, EAG/ELK/ERG-RELATED', NULL, NULL, NULL, 15),
(60357, NULL, 'PTHR27008', NULL, NULL, NULL, NULL, 'OS04G0122200 PROTEIN', NULL, NULL, NULL, 15),
(60358, NULL, 'PTHR32295:SF194', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', NULL, NULL, NULL, 15),
(60359, NULL, 'PTHR22966:SF26', NULL, NULL, NULL, NULL, 'OS05G0413662 PROTEIN', NULL, NULL, NULL, 15),
(60360, NULL, 'PTHR24055:SF389', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(60361, NULL, 'PTHR34555', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE HEMOLYSIN-III-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60362, NULL, 'PTHR31993:SF6', NULL, NULL, NULL, NULL, 'UBA-LIKE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(60363, NULL, 'PTHR23179:SF27', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN AT 71E, ISOFORM D', NULL, NULL, NULL, 15),
(60364, NULL, 'PTHR23257:SF765', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(60365, NULL, 'PTHR38633:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG15572', NULL, NULL, NULL, 15),
(60366, NULL, 'PTHR11349:SF49', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(60367, NULL, 'PTHR45933:SF12', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 10', NULL, NULL, NULL, 15),
(60368, NULL, 'PTHR21567:SF64', NULL, NULL, NULL, NULL, 'OS02G0816300 PROTEIN', NULL, NULL, NULL, 15),
(60369, NULL, 'PTHR27006:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60370, NULL, 'PTHR13572:SF4', NULL, NULL, NULL, NULL, 'RE57134P', NULL, NULL, NULL, 15),
(60371, NULL, 'PTHR11999:SF60', NULL, NULL, NULL, NULL, '3,4-DIHYDROXYPHENYLACETALDEHYDE SYNTHASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60372, NULL, 'PTHR10426:SF31', NULL, NULL, NULL, NULL, 'STRICTOSIDINE SYNTHASE 3', NULL, NULL, NULL, 15),
(60373, NULL, 'PTHR31636:SF161', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(60374, NULL, 'PTHR12674:SF4', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT ALPHA 2', NULL, NULL, NULL, 15),
(60375, NULL, 'PTHR13509:SF16', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', NULL, NULL, NULL, 15),
(60376, NULL, 'PTHR31080:SF176', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', NULL, NULL, NULL, 15),
(60377, NULL, 'PTHR12984:SF6', NULL, NULL, NULL, NULL, 'SCY1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(60378, NULL, 'PTHR31245:SF28', NULL, NULL, NULL, NULL, 'OS01G0610000 PROTEIN', NULL, NULL, NULL, 15),
(60379, NULL, 'PTHR10804:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60380, NULL, 'PTHR13994:SF30', NULL, NULL, NULL, NULL, 'NUDIX FAMILY HYDROLASE', NULL, NULL, NULL, 15),
(60381, NULL, 'PTHR42722', NULL, NULL, NULL, NULL, 'LEUCINE DEHYDROGENASE', NULL, NULL, 17010, 15),
(60382, NULL, 'PTHR48001:SF134', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(60383, NULL, 'PTHR35991', NULL, NULL, NULL, NULL, 'CA-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(60384, NULL, 'PTHR43823:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE MATE FAMILY TRANSPORTER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60385, NULL, 'PTHR11593:SF10', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L17', NULL, NULL, NULL, 15),
(60386, NULL, 'PTHR47173:SF5', NULL, NULL, NULL, NULL, 'PROTEIN DR1 HOMOLOG', NULL, NULL, NULL, 15),
(60387, NULL, 'PTHR33124:SF88', NULL, NULL, NULL, NULL, 'BNAANNG02890D PROTEIN', NULL, NULL, NULL, 15),
(60388, NULL, 'PTHR30523:SF26', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE 2', NULL, NULL, NULL, 15),
(60389, NULL, 'PTHR31623:SF84', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60390, NULL, 'PTHR31605:SF2', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE O-ACYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(60391, NULL, 'PTHR32176:SF33', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(60392, NULL, 'PTHR46084:SF24', NULL, NULL, NULL, NULL, 'PROTEIN MALE DISCOVERER 2', NULL, NULL, NULL, 15),
(60393, NULL, 'PTHR31973:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60394, NULL, 'PTHR24015:SF1805', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60395, NULL, 'PTHR23502:SF158', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01890)-RELATED', NULL, NULL, NULL, 15),
(60396, NULL, 'PTHR22891:SF43', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(60397, NULL, 'PTHR36766:SF8', NULL, NULL, NULL, NULL, 'BNAANNG11770D PROTEIN', NULL, NULL, NULL, 15),
(60398, NULL, 'PTHR10285:SF72', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE-RELATED', NULL, NULL, NULL, 15),
(60399, NULL, 'PTHR30036', NULL, NULL, NULL, NULL, 'D-XYLOSE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(60400, NULL, 'PTHR31374:SF13', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(60401, NULL, 'PTHR30136:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR XYNR-RELATED', NULL, NULL, NULL, 15),
(60402, NULL, 'PTHR22601:SF70', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 2', NULL, NULL, NULL, 15),
(60403, NULL, 'PTHR47293:SF21', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 15', NULL, NULL, NULL, 15),
(60404, NULL, 'PTHR45923:SF18', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', NULL, NULL, NULL, 15),
(60405, NULL, 'PTHR14049:SF9', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(60406, NULL, 'PTHR24150:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60407, NULL, 'PTHR10366:SF623', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60408, NULL, 'PTHR12313:SF82', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA1H1-LIKE', NULL, NULL, NULL, 15),
(60409, NULL, 'PTHR10795:SF699', NULL, NULL, NULL, NULL, 'PEPTIDASE S8, SUBTILISIN-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60410, NULL, 'PTHR31591:SF6', NULL, NULL, NULL, NULL, 'BNAC09G38800D PROTEIN', NULL, NULL, NULL, 15),
(60411, NULL, 'PTHR31328', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 6', NULL, NULL, NULL, 15),
(60412, NULL, 'PTHR43011:SF4', NULL, NULL, NULL, NULL, 'BNACNNG10620D PROTEIN', NULL, NULL, NULL, 15),
(60413, NULL, 'PTHR24231:SF46', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 11', NULL, NULL, 28197, 15),
(60414, NULL, 'PTHR47393', NULL, NULL, NULL, NULL, 'CYSTATIN-12-RELATED', NULL, NULL, NULL, 15),
(60415, NULL, 'PTHR11802:SF311', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60416, NULL, 'PTHR42987:SF1', NULL, NULL, NULL, NULL, 'PROTEASE SOHB-RELATED', NULL, NULL, NULL, 15),
(60417, NULL, 'PTHR48018:SF125', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(60418, NULL, 'PTHR11588:SF369', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(60419, NULL, 'PTHR33102:SF48', NULL, NULL, NULL, NULL, 'OS09G0306500 PROTEIN', NULL, NULL, NULL, 15),
(60420, NULL, 'PTHR47073:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60421, NULL, 'PTHR36251', NULL, NULL, NULL, NULL, 'FELS-1 PROPHAGE HOST SPECIFICITY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60422, NULL, 'PTHR11017:SF356', NULL, NULL, NULL, NULL, 'BNAA08G14760D PROTEIN', NULL, NULL, NULL, 15),
(60423, NULL, 'PTHR11937:SF414', NULL, NULL, NULL, NULL, 'ACTIN, CYTOPLASMIC 2', NULL, NULL, NULL, 15),
(60424, NULL, 'PTHR46532:SF6', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 9', NULL, NULL, NULL, 15),
(60425, NULL, 'PTHR12176:SF65', NULL, NULL, NULL, NULL, 'OS07G0656800 PROTEIN', NULL, NULL, NULL, 15),
(60426, NULL, 'PTHR33914:SF2', NULL, NULL, NULL, NULL, '18S PRE-RIBOSOMAL ASSEMBLY PROTEIN GAR2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60427, NULL, 'PTHR26453:SF51', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(60428, NULL, 'PTHR32448:SF59', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT OXIDOREDUCTASE FOX2-LIKE', NULL, NULL, NULL, 15),
(60429, NULL, 'PTHR11679:SF61', NULL, NULL, NULL, NULL, 'SEC1-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(60430, NULL, 'PTHR14155:SF519', NULL, NULL, NULL, NULL, 'OS05G0359500 PROTEIN', NULL, NULL, NULL, 15),
(60431, NULL, 'PTHR13759:SF1', NULL, NULL, NULL, NULL, 'TWINFILIN', NULL, NULL, NULL, 15),
(60432, NULL, 'PTHR12800:SF4', NULL, NULL, NULL, NULL, 'HSP90 CO-CHAPERONE CDC37', NULL, NULL, NULL, 15),
(60433, NULL, 'PTHR21504:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SEPA-1-RELATED', NULL, NULL, NULL, 15),
(60434, NULL, 'PTHR31218:SF327', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(60435, NULL, 'PTHR23226:SF144', NULL, NULL, NULL, NULL, 'ZNF768 ISOFORM 2', NULL, NULL, NULL, 15),
(60436, NULL, 'PTHR22814:SF297', NULL, NULL, NULL, NULL, 'HEAVY-METAL-ASSOCIATED DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(60437, NULL, 'PTHR31374:SF202', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(60438, NULL, 'PTHR33893:SF9', NULL, NULL, NULL, NULL, 'INSULIN RELATED-RELATED', NULL, NULL, NULL, 15),
(60439, NULL, 'PTHR48022:SF80', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12170)-RELATED', NULL, NULL, NULL, 15),
(60440, NULL, 'PTHR33098:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60441, NULL, 'PTHR43471:SF10', NULL, NULL, NULL, NULL, 'SLL1107 PROTEIN', NULL, NULL, NULL, 15),
(60442, NULL, 'PTHR34576:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 6-RELATED', NULL, NULL, NULL, 15),
(60443, NULL, 'PTHR14095:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B'''' SUBUNIT BETA', NULL, NULL, NULL, 15),
(60444, NULL, 'PTHR44083:SF24', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 2', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60445, NULL, 'PTHR20852:SF45', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', NULL, NULL, NULL, 15),
(60446, NULL, 'PTHR36371', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 10', NULL, NULL, 38381, 15),
(60447, NULL, 'PTHR33102:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60448, NULL, 'PTHR47524', NULL, NULL, NULL, NULL, '20S RRNA ACCUMULATION PROTEIN 4', NULL, NULL, NULL, 15),
(60449, NULL, 'PTHR32246:SF66', NULL, NULL, NULL, NULL, 'BON1-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(60450, NULL, 'PTHR36705:SF3', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE403 PROTEIN', NULL, NULL, NULL, 15),
(60451, NULL, 'PTHR35532', NULL, NULL, NULL, NULL, 'SIMILAR TO POLYHYDROXYALKANOATE DEPOLYMERASE', NULL, NULL, NULL, 15),
(60452, NULL, 'PTHR45822:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60453, NULL, 'PTHR47036:SF1', NULL, NULL, NULL, NULL, 'COBALT-FACTOR III C(17)-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(60454, NULL, 'PTHR11002:SF66', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(60455, NULL, 'PTHR12483:SF80', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 6-LIKE', NULL, NULL, NULL, 15),
(60456, NULL, 'PTHR36203:SF1', NULL, NULL, NULL, NULL, 'ASCORBATE-SPECIFIC PTS SYSTEM EIIA COMPONENT', NULL, NULL, NULL, 15),
(60457, NULL, 'PTHR31895:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG14285', NULL, NULL, NULL, 15),
(60458, NULL, 'PTHR45626:SF37', NULL, NULL, NULL, NULL, 'BNAC07G15760D PROTEIN', NULL, NULL, NULL, 15),
(60459, NULL, 'PTHR38926:SF36', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 23-RELATED', NULL, NULL, NULL, 15),
(60460, NULL, 'PTHR47928:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60461, NULL, 'PTHR31279:SF13', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 6', NULL, NULL, NULL, 15),
(60462, NULL, 'PTHR36752:SF2', NULL, NULL, NULL, NULL, 'OS12G0405700 PROTEIN', NULL, NULL, NULL, 15),
(60463, NULL, 'PTHR34469:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60464, NULL, 'PTHR44329:SF30', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 21', NULL, NULL, NULL, 15),
(60465, NULL, 'PTHR10108:SF1061', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(60466, NULL, 'PTHR14154:SF85', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A/B BINDING PROTEIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60467, NULL, 'PTHR35383:SF1', NULL, NULL, NULL, NULL, 'MUCIN 12EA-RELATED', NULL, NULL, NULL, 15),
(60468, NULL, 'PTHR45983:SF3', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 12', NULL, NULL, NULL, 15),
(60469, NULL, 'PTHR13301:SF94', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D1', NULL, NULL, NULL, 15),
(60470, NULL, 'PTHR31544:SF6', NULL, NULL, NULL, NULL, 'AIG2-LIKE PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(60471, NULL, 'PTHR24377:SF605', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 226', NULL, NULL, NULL, 15),
(60472, NULL, 'PTHR10102:SF15', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', NULL, NULL, NULL, 15),
(60473, NULL, 'PTHR21397', NULL, NULL, NULL, NULL, 'CHROMATIN COMPLEXES SUBUNIT BAP18-RELATED', NULL, NULL, NULL, 15),
(60474, NULL, 'PTHR34053:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ULTRAPETALA 1', NULL, NULL, NULL, 15),
(60475, NULL, 'PTHR43144:SF5', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE ALD1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(60476, NULL, 'PTHR11863:SF198', NULL, NULL, NULL, NULL, 'BNAA04G29140D PROTEIN', NULL, NULL, NULL, 15),
(60477, NULL, 'PTHR34682:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60478, NULL, 'PTHR16483:SF1', NULL, NULL, NULL, NULL, 'GASTROKINE-1', NULL, NULL, NULL, 15),
(60479, NULL, 'PTHR22669:SF15', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60480, NULL, 'PTHR46634:SF8', NULL, NULL, NULL, NULL, 'DUF3741 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(60481, NULL, 'PTHR19297:SF183', NULL, NULL, NULL, NULL, 'N-ACETYLLACTOSAMINIDE BETA-1,6-N-ACETYLGLUCOSAMINYL-TRANSFERASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60482, NULL, 'PTHR12537:SF158', NULL, NULL, NULL, NULL, 'BNAA08G08040D PROTEIN', NULL, NULL, NULL, 15),
(60483, NULL, 'PTHR19965:SF77', NULL, NULL, NULL, NULL, 'FI13061P-RELATED', NULL, NULL, NULL, 15),
(60484, NULL, 'PTHR11589:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60485, NULL, 'PTHR24243:SF14', NULL, NULL, NULL, NULL, 'NEUROMEDIN-U RECEPTOR 2', NULL, NULL, NULL, 15),
(60486, NULL, 'PTHR31325:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60487, NULL, 'PTHR43795:SF64', NULL, NULL, NULL, NULL, 'GLUTAMATE-OXALOACETATE TRANSAMINASE5', NULL, NULL, NULL, 15),
(60488, NULL, 'PTHR23268:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60489, NULL, 'PTHR33059:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60490, NULL, 'PTHR46559:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60491, NULL, 'PTHR43083:SF2', NULL, NULL, NULL, NULL, 'MANNAN POLYMERASE II COMPLEX ANP1 SUBUNIT', NULL, NULL, NULL, 15),
(60492, NULL, 'PTHR11071:SF493', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(60493, NULL, 'PTHR31618:SF29', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(60494, NULL, 'PTHR10926:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG16211', NULL, NULL, NULL, 15),
(60495, NULL, 'PTHR45782', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOME-ASSOCIATED GTPASE 1', NULL, NULL, NULL, 15),
(60496, NULL, 'PTHR46857:SF2', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 16', NULL, NULL, NULL, 15),
(60497, NULL, 'PTHR46736:SF11', NULL, NULL, NULL, NULL, 'OS05G0331700 PROTEIN', NULL, NULL, NULL, 15),
(60498, NULL, 'PTHR31500:SF67', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 11', NULL, NULL, NULL, 15),
(60499, NULL, 'PTHR46128:SF63', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(60500, NULL, 'PTHR31221:SF174', NULL, NULL, NULL, NULL, 'OS05G0474800 PROTEIN', NULL, NULL, NULL, 15),
(60501, NULL, 'PTHR11079:SF162', NULL, NULL, NULL, NULL, 'RIBOFLAVIN BIOSYNTHESIS PROTEIN PYRD, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(60502, NULL, 'PTHR48018:SF77', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(60503, NULL, 'PTHR31515:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(60504, NULL, 'PTHR46092:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A11', NULL, NULL, NULL, 15),
(60505, NULL, 'PTHR33130:SF56', NULL, NULL, NULL, NULL, 'BNAANNG11150D PROTEIN', NULL, NULL, NULL, 15),
(60506, NULL, 'PTHR12623:SF9', NULL, NULL, NULL, NULL, 'NGFI-A-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(60507, NULL, 'PTHR23416', NULL, NULL, NULL, NULL, 'SIALIC ACID SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(60508, NULL, 'PTHR24349:SF363', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE KINASE 2', NULL, NULL, NULL, 15),
(60509, NULL, 'PTHR42790:SF6', NULL, NULL, NULL, NULL, 'GNTR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(60510, NULL, 'PTHR10497:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', NULL, NULL, NULL, 15),
(60511, NULL, 'PTHR30251:SF1', NULL, NULL, NULL, NULL, 'FIMBRIAL CHAPARONE', NULL, NULL, NULL, 15),
(60512, NULL, 'PTHR31561:SF118', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 20', NULL, NULL, NULL, 15),
(60513, NULL, 'PTHR11880', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S19P FAMILY MEMBER', NULL, NULL, 386, 15),
(60514, NULL, 'PTHR10829:SF49', NULL, NULL, NULL, NULL, 'COACTOSIN', NULL, NULL, 29155, 15),
(60515, NULL, 'PTHR45814:SF4', NULL, NULL, NULL, NULL, 'SET DOMAIN-CONTAINING 1B, HISTONE LYSINE METHYLTRANSFERASE B', NULL, NULL, NULL, 15),
(60516, NULL, 'PTHR13327:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700029P11 GENE', NULL, NULL, NULL, 15),
(60517, NULL, 'PTHR12015:SF108', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 20', NULL, NULL, NULL, 15),
(60518, NULL, 'PTHR33304:SF25', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60519, NULL, 'PTHR11926:SF1345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60520, NULL, 'PTHR11615:SF292', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60521, NULL, 'PTHR30035:SF3', NULL, NULL, NULL, NULL, 'INTERMEMBRANE PHOSPHOLIPID TRANSPORT SYSTEM LIPOPROTEIN MLAA', NULL, NULL, NULL, 15),
(60522, NULL, 'PTHR23001:SF28', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5-1-RELATED', NULL, NULL, NULL, 15),
(60523, NULL, 'PTHR47295:SF9', NULL, NULL, NULL, NULL, 'OS09G0472900 PROTEIN', NULL, NULL, NULL, 15),
(60524, NULL, 'PTHR31080:SF134', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 2-LIKE', NULL, NULL, NULL, 15),
(60525, NULL, 'PTHR21297:SF3', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT 4-LIKE', NULL, NULL, NULL, 15),
(60526, NULL, 'PTHR33098:SF81', NULL, NULL, NULL, NULL, 'BNAA10G28920D PROTEIN', NULL, NULL, NULL, 15),
(60527, NULL, 'PTHR12645:SF1', NULL, NULL, NULL, NULL, 'FAD-LINKED SULFHYDRYL OXIDASE ERV2', NULL, NULL, NULL, 15),
(60528, NULL, 'PTHR14047:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60529, NULL, 'PTHR22792:SF128', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60530, NULL, 'PTHR11132:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60531, NULL, 'PTHR48025', NULL, NULL, NULL, NULL, 'OS02G0815200 PROTEIN', NULL, NULL, NULL, 15),
(60532, NULL, 'PTHR19957:SF325', NULL, NULL, NULL, NULL, 'SYNTAXIN-8', NULL, NULL, NULL, 15),
(60533, NULL, 'PTHR36964', NULL, NULL, NULL, NULL, 'PROTEIN-METHIONINE-SULFOXIDE REDUCTASE HEME-BINDING SUBUNIT MSRQ', NULL, NULL, 561, 15),
(60534, NULL, 'PTHR46910:SF9', NULL, NULL, NULL, NULL, 'MISCELLANEOUS ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)', NULL, NULL, NULL, 15),
(60535, NULL, 'PTHR24281:SF91', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE', NULL, NULL, NULL, 15),
(60536, NULL, 'PTHR11875:SF122', NULL, NULL, NULL, NULL, 'NAP1-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(60537, NULL, 'PTHR11440:SF79', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID:DIACYLGLYCEROL ACYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(60538, NULL, 'PTHR11304:SF18', NULL, NULL, NULL, NULL, 'EPHRIN-B2', NULL, NULL, NULL, 15),
(60539, NULL, 'PTHR31686:SF3', NULL, NULL, NULL, NULL, 'ACID TRANSPORT PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G09410)-RELATED', NULL, NULL, NULL, 15),
(60540, NULL, 'PTHR16165:SF3', NULL, NULL, NULL, NULL, 'NXPE FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(60541, NULL, 'PTHR19957:SF281', NULL, NULL, NULL, NULL, 'SYNTAXIN-24-RELATED', NULL, NULL, NULL, 15),
(60542, NULL, 'PTHR44542:SF12', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE 18', NULL, NULL, NULL, 15),
(60543, NULL, 'PTHR13321', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION, SUBUNIT 18', NULL, NULL, 17635, 15),
(60544, NULL, 'PTHR34709:SF10', NULL, NULL, NULL, NULL, 'OS07G0118900 PROTEIN', NULL, NULL, NULL, 15),
(60545, NULL, 'PTHR11527:SF295', NULL, NULL, NULL, NULL, '19.0 KDA CLASS II HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(60546, NULL, 'PTHR23322:SF86', NULL, NULL, NULL, NULL, 'BNAA05G10590D PROTEIN', NULL, NULL, NULL, 15),
(60547, NULL, 'PTHR48008:SF11', NULL, NULL, NULL, NULL, 'KINASE-LIKE PROTEIN TMKL1-RELATED', NULL, NULL, NULL, 15),
(60548, NULL, 'PTHR33044:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60549, NULL, 'PTHR46662:SF49', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(60550, NULL, 'PTHR45669:SF39', NULL, NULL, NULL, NULL, 'BNAA10G30280D PROTEIN', NULL, NULL, NULL, 15),
(60551, NULL, 'PTHR47987:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60552, NULL, 'PTHR33132:SF72', NULL, NULL, NULL, NULL, 'OS01G0778900 PROTEIN', NULL, NULL, NULL, 15),
(60553, NULL, 'PTHR20854:SF29', NULL, NULL, NULL, NULL, 'INOSITOL MONOPHOSPHATASE 2', NULL, NULL, NULL, 15),
(60554, NULL, 'PTHR31093:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60555, NULL, 'PTHR24161:SF92', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(60556, NULL, 'PTHR11831:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60557, NULL, 'PTHR31867:SF18', NULL, NULL, NULL, NULL, 'EXPANSIN-A13', NULL, NULL, NULL, 15),
(60558, NULL, 'PTHR45934:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60559, NULL, 'PTHR47992:SF121', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1A', NULL, NULL, NULL, 15),
(60560, NULL, 'PTHR47269:SF4', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(60561, NULL, 'PTHR32092', NULL, NULL, NULL, NULL, '6-PHOSPHO-BETA-GLUCOSIDASE-RELATED', NULL, NULL, 2320, 15),
(60562, NULL, 'PTHR47198', NULL, NULL, NULL, NULL, 'OS05G0299300 PROTEIN', NULL, NULL, NULL, 15),
(60563, NULL, 'PTHR16223:SF139', NULL, NULL, NULL, NULL, 'HLH DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60564, NULL, 'PTHR11596', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE', NULL, NULL, 2244, 15),
(60565, NULL, 'PTHR46847:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERIPLASMIC-BINDING PROTEIN YTFQ', NULL, NULL, NULL, 15),
(60566, NULL, 'PTHR21661:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60567, NULL, 'PTHR24399:SF27', NULL, NULL, NULL, NULL, 'HYPERMETHYLATED IN CANCER 2 PROTEIN', NULL, NULL, NULL, 15),
(60568, NULL, 'PTHR37971:SF1', NULL, NULL, NULL, NULL, 'ANTIBACTERIAL FACTOR-RELATED PEPTIDE 1-RELATED', NULL, NULL, NULL, 15),
(60569, NULL, 'PTHR10891:SF809', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(60570, NULL, 'PTHR24231:SF16', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 6', NULL, NULL, NULL, 15),
(60571, NULL, 'PTHR33021:SF314', NULL, NULL, NULL, NULL, 'BNAA02G35610D PROTEIN', NULL, NULL, NULL, 15),
(60572, NULL, 'PTHR42994:SF2', NULL, NULL, NULL, NULL, 'T, PUTATIVE-RELATED', NULL, NULL, 10990, 15),
(60573, NULL, 'PTHR27007:SF61', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN KINASE S.2', NULL, NULL, NULL, 15),
(60574, NULL, 'PTHR34061:SF7', NULL, NULL, NULL, NULL, 'BNAA01G35080D PROTEIN', NULL, NULL, NULL, 15),
(60575, NULL, 'PTHR48041:SF55', NULL, NULL, NULL, NULL, 'OS01G0836600 PROTEIN', NULL, NULL, NULL, 15),
(60576, NULL, 'PTHR33321:SF16', NULL, NULL, NULL, NULL, 'PLANT BASIC SECRETORY PROTEIN (BSP) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(60577, NULL, 'PTHR33054:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60578, NULL, 'PTHR24366:SF54', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY, MEMBER 10', NULL, NULL, NULL, 15),
(60579, NULL, 'PTHR45631:SF104', NULL, NULL, NULL, NULL, 'OS09G0458300 PROTEIN', NULL, NULL, NULL, 15),
(60580, NULL, 'PTHR13285:SF22', NULL, NULL, NULL, NULL, 'HOMOLOG OF HEDGEHOG ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(60581, NULL, 'PTHR11607:SF58', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE-RELATED', NULL, NULL, NULL, 15),
(60582, NULL, 'PTHR45622:SF40', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE E3A-RELATED', NULL, NULL, NULL, 15),
(60583, NULL, 'PTHR22883:SF207', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC2', NULL, NULL, NULL, 15),
(60584, NULL, 'PTHR43301', NULL, NULL, NULL, NULL, 'ARABINAN ENDO-1,5-ALPHA-L-ARABINOSIDASE', NULL, NULL, NULL, 15),
(60585, NULL, 'PTHR31441', NULL, NULL, NULL, NULL, 'FOLLICULIN FAMILY MEMBER', NULL, NULL, 19978, 15),
(60586, NULL, 'PTHR43811:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60587, NULL, 'PTHR13334:SF4', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S10, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(60588, NULL, 'PTHR46450:SF13', NULL, NULL, NULL, NULL, 'INACTIVE HISTONE-LYSINE N-METHYLTRANSFERASE SUVR2-RELATED', NULL, NULL, NULL, 15),
(60589, NULL, 'PTHR31250:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60590, NULL, 'PTHR12403:SF19', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(60591, NULL, 'PTHR31650:SF46', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE (WSD1-LIKE) FAMILY PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60592, NULL, 'PTHR46048:SF7', NULL, NULL, NULL, NULL, '12-(S)-HYDROXY-5,8,10,14-EICOSATETRAENOIC ACID RECEPTOR', NULL, NULL, NULL, 15),
(60593, NULL, 'PTHR23023:SF261', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(60594, NULL, 'PTHR34531:SF1', NULL, NULL, NULL, NULL, 'ZGC:153352', NULL, NULL, NULL, 15),
(60595, NULL, 'PTHR12231:SF254', NULL, NULL, NULL, NULL, 'CONTACTIN-5', NULL, NULL, NULL, 15),
(60596, NULL, 'PTHR26453:SF619', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 418', NULL, NULL, NULL, 15),
(60597, NULL, 'PTHR33573:SF10', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2A1', NULL, NULL, NULL, 15),
(60598, NULL, 'PTHR13495', NULL, NULL, NULL, NULL, 'NEFA-INTERACTING NUCLEAR PROTEIN NIP30', NULL, NULL, 29806, 15),
(60599, NULL, 'PTHR33420:SF33', NULL, NULL, NULL, NULL, 'MINOR FIMBRIAL SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(60600, NULL, 'PTHR39377:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG18428', NULL, NULL, NULL, 15),
(60601, NULL, 'PTHR34069:SF2', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE 3', NULL, NULL, NULL, 15),
(60602, NULL, 'PTHR31676:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60603, NULL, 'PTHR35462:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(60604, NULL, 'PTHR24298:SF523', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 81, SUBFAMILY D, POLYPEPTIDE 6-RELATED', NULL, NULL, NULL, 15),
(60605, NULL, 'PTHR41536:SF1', NULL, NULL, NULL, NULL, 'PKHD-TYPE HYDROXYLASE YBIX', NULL, NULL, NULL, 15),
(60606, NULL, 'PTHR31769:SF42', NULL, NULL, NULL, NULL, 'INOSITOL-DEACYLASE C, PUTATIVE (DUF1218)-RELATED', NULL, NULL, NULL, 15),
(60607, NULL, 'PTHR24399:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60608, NULL, 'PTHR47537:SF3', NULL, NULL, NULL, NULL, 'AGAP006059-PA', NULL, NULL, NULL, 15),
(60609, NULL, 'PTHR47322:SF4', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15),
(60610, NULL, 'PTHR11615:SF269', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60611, NULL, 'PTHR23226:SF138', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 5A', NULL, NULL, NULL, 15),
(60612, NULL, 'PTHR11988:SF28', NULL, NULL, NULL, NULL, 'HEPATIC LEUKEMIA FACTOR', NULL, NULL, 27730, 15),
(60613, NULL, 'PTHR46935', NULL, NULL, NULL, NULL, 'OS01G0674700 PROTEIN', NULL, NULL, 38983, 15),
(60614, NULL, 'PTHR21558:SF12', NULL, NULL, NULL, NULL, '2610042L04RIK PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60615, NULL, 'PTHR31265:SF1', NULL, NULL, NULL, NULL, 'OS01G0756600 PROTEIN', NULL, NULL, NULL, 15),
(60616, NULL, 'PTHR35400:SF2', NULL, NULL, NULL, NULL, 'SLL1072 PROTEIN', NULL, NULL, NULL, 15),
(60617, NULL, 'PTHR22772:SF5', NULL, NULL, NULL, NULL, 'HECT DOMAIN E3 UBIQUITIN PROTEIN LIGASE 4', NULL, NULL, NULL, 15),
(60618, NULL, 'PTHR10791:SF130', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET6-RELATED', NULL, NULL, NULL, 15),
(60619, NULL, 'PTHR37519', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 9653, 15),
(60620, NULL, 'PTHR33108:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60621, NULL, 'PTHR35121:SF5', NULL, NULL, NULL, NULL, 'GB|AAD20160.1', NULL, NULL, NULL, 15),
(60622, NULL, 'PTHR31235:SF171', NULL, NULL, NULL, NULL, 'OS01G0326100 PROTEIN', NULL, NULL, NULL, 15),
(60623, NULL, 'PTHR21258:SF14', NULL, NULL, NULL, NULL, 'DOCKING PROTEIN 2', NULL, NULL, NULL, 15),
(60624, NULL, 'PTHR11042:SF59', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 35', NULL, NULL, NULL, 15),
(60625, NULL, 'PTHR24264:SF56', NULL, NULL, NULL, NULL, 'SI:DKEY-33M11.7', NULL, NULL, NULL, 15),
(60626, NULL, 'PTHR24392:SF50', NULL, NULL, NULL, NULL, 'ZINC FINGER Y-CHROMOSOMAL PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60627, NULL, 'PTHR13445', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSING SUBTRANSFERABLE CANDIDATE 4 TSSC4', NULL, NULL, 24702, 15),
(60628, NULL, 'PTHR31476:SF4', NULL, NULL, NULL, NULL, 'PROTEIN WHAT''S THIS FACTOR 1 HOMOLOG, CHLOROPLASTIC', NULL, NULL, 34984, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60629, NULL, 'PTHR11494:SF8', NULL, NULL, NULL, NULL, 'CYTOTOXIC T-LYMPHOCYTE PROTEIN 4', NULL, NULL, 6323, 15),
(60630, NULL, 'PTHR43243:SF6', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(60631, NULL, 'PTHR31065:SF42', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(60632, NULL, 'PTHR27005:SF330', NULL, NULL, NULL, NULL, 'BNACNNG14080D PROTEIN', NULL, NULL, NULL, 15),
(60633, NULL, 'PTHR18976:SF13', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN A-V', NULL, NULL, NULL, 15),
(60634, NULL, 'PTHR31744:SF151', NULL, NULL, NULL, NULL, 'PROTEIN FEZ ISOFORM X1', NULL, NULL, NULL, 15),
(60635, NULL, 'PTHR45627:SF16', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', NULL, NULL, NULL, 15),
(60636, NULL, 'PTHR10638', NULL, NULL, NULL, NULL, 'COPPER AMINE OXIDASE', NULL, NULL, 753, 15),
(60637, NULL, 'PTHR12603:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60638, NULL, 'PTHR11099:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 35', NULL, NULL, NULL, 15),
(60639, NULL, 'PTHR23239:SF349', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 18', NULL, NULL, 26839, 15),
(60640, NULL, 'PTHR13038:SF10', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 9', NULL, NULL, NULL, 15),
(60641, NULL, 'PTHR31342:SF51', NULL, NULL, NULL, NULL, 'BNAC08G42200D PROTEIN', NULL, NULL, NULL, 15),
(60642, NULL, 'PTHR13610', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 24347, 15),
(60643, NULL, 'PTHR33057:SF110', NULL, NULL, NULL, NULL, 'OVATE FAMILY PROTEIN 5', NULL, NULL, NULL, 15),
(60644, NULL, 'PTHR13954:SF26', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(60645, NULL, 'PTHR36570:SF3', NULL, NULL, NULL, NULL, 'DISULFIDE BOND FORMATION PROTEIN B', NULL, NULL, NULL, 15),
(60646, NULL, 'PTHR22942:SF63', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD57', NULL, NULL, NULL, 15),
(60647, NULL, 'PTHR24055:SF196', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(60648, NULL, 'PTHR27005:SF331', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(60649, NULL, 'PTHR23260:SF6', NULL, NULL, NULL, NULL, 'GENE 11939-RELATED', NULL, NULL, NULL, 15),
(60650, NULL, 'PTHR27006:SF263', NULL, NULL, NULL, NULL, 'BNAA04G18590D PROTEIN', NULL, NULL, NULL, 15),
(60651, NULL, 'PTHR47997:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60652, NULL, 'PTHR45642:SF13', NULL, NULL, NULL, NULL, 'OS06G0351500 PROTEIN', NULL, NULL, NULL, 15),
(60653, NULL, 'PTHR10489:SF730', NULL, NULL, NULL, NULL, 'CHEMOKINE XC RECEPTOR 1', NULL, NULL, NULL, 15),
(60654, NULL, 'PTHR11878:SF7', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER 3', NULL, NULL, NULL, 15),
(60655, NULL, 'PTHR47591:SF7', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60656, NULL, 'PTHR31561:SF145', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(60657, NULL, 'PTHR45798:SF59', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL8', NULL, NULL, NULL, 15),
(60658, NULL, 'PTHR32278:SF27', NULL, NULL, NULL, NULL, 'LECTIN-LIKE', NULL, NULL, NULL, 15),
(60659, NULL, 'PTHR24248:SF150', NULL, NULL, NULL, NULL, 'OCTOPAMINE RECEPTOR BETA-3R', NULL, NULL, NULL, 15),
(60660, NULL, 'PTHR31377:SF2', NULL, NULL, NULL, NULL, 'AGMATINE DEIMINASE', NULL, NULL, NULL, 15),
(60661, NULL, 'PTHR15869:SF0', NULL, NULL, NULL, NULL, 'ENDOMUCIN', NULL, NULL, NULL, 15),
(60662, NULL, 'PTHR10194:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60663, NULL, 'PTHR16134:SF87', NULL, NULL, NULL, NULL, 'ADAPTOR PROTEIN COMPLEX, SIGMA SUBUNIT, AP COMPLEX, MU/SIGMA SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(60664, NULL, 'PTHR46128:SF227', NULL, NULL, NULL, NULL, 'BNAA07G03750D PROTEIN', NULL, NULL, NULL, 15),
(60665, NULL, 'PTHR22847:SF697', NULL, NULL, NULL, NULL, 'F-BOX/WD DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(60666, NULL, 'PTHR36111:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60667, NULL, 'PTHR18860:SF129', NULL, NULL, NULL, NULL, 'BNAA09G52470D PROTEIN', NULL, NULL, NULL, 15),
(60668, NULL, 'PTHR36424:SF1', NULL, NULL, NULL, NULL, 'PHEROMONE-REGULATED MEMBRANE PROTEIN 6', NULL, NULL, NULL, 15),
(60669, NULL, 'PTHR11689:SF143', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-D', NULL, NULL, NULL, 15),
(60670, NULL, 'PTHR21600:SF58', NULL, NULL, NULL, NULL, 'RIBOSOMAL SMALL SUBUNIT PSEUDOURIDINE SYNTHASE A', NULL, NULL, NULL, 15),
(60671, NULL, 'PTHR46417:SF1', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(1)-)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(60672, NULL, 'PTHR24240:SF16', NULL, NULL, NULL, NULL, 'SHORT-WAVE-SENSITIVE OPSIN 1', NULL, NULL, NULL, 15),
(60673, NULL, 'PTHR11480:SF87', NULL, NULL, NULL, NULL, 'PROSAPOSIN-LIKE', NULL, NULL, NULL, 15),
(60674, NULL, 'PTHR19818:SF129', NULL, NULL, NULL, NULL, 'PAIR-RULE PROTEIN ODD-PAIRED', NULL, NULL, NULL, 15),
(60675, NULL, 'PTHR12461:SF87', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(60676, NULL, 'PTHR45794:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60677, NULL, 'PTHR11550:SF39', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', NULL, NULL, NULL, 15),
(60678, NULL, 'PTHR28307:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60679, NULL, 'PTHR26450:SF382', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(60680, NULL, 'PTHR24024:SF35', NULL, NULL, NULL, NULL, 'MANNOSE-BINDING PROTEIN A', NULL, NULL, 36794, 15),
(60681, NULL, 'PTHR22624:SF38', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE ATG4C', NULL, NULL, 26513, 15),
(60682, NULL, 'PTHR24543:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60683, NULL, 'PTHR22298:SF135', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 19', NULL, NULL, NULL, 15),
(60684, NULL, 'PTHR23013:SF19', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(60685, NULL, 'PTHR46226:SF10', NULL, NULL, NULL, NULL, 'BNAA06G35290D PROTEIN', NULL, NULL, NULL, 15),
(60686, NULL, 'PTHR12243:SF14', NULL, NULL, NULL, NULL, 'MADF DOMAIN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(60687, NULL, 'PTHR19229:SF203', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 7', NULL, NULL, NULL, 15),
(60688, NULL, 'PTHR31063:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09307', NULL, NULL, NULL, 15),
(60689, NULL, 'PTHR11038:SF18', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM12', NULL, NULL, 23275, 15),
(60690, NULL, 'PTHR18953:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60691, NULL, 'PTHR16189:SF13', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(60692, NULL, 'PTHR35713', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH-LIKE SPLICING FACTOR', NULL, NULL, NULL, 15),
(60693, NULL, 'PTHR37285:SF5', NULL, NULL, NULL, NULL, 'SPORE WALL MATURATION PROTEIN DIT1', NULL, NULL, NULL, 15),
(60694, NULL, 'PTHR12309:SF27', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(60695, NULL, 'PTHR45822:SF1', NULL, NULL, NULL, NULL, 'FREE FATTY ACID RECEPTOR 2-LIKE RECEPTOR', NULL, NULL, NULL, 15),
(60696, NULL, 'PTHR37376', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(60697, NULL, 'PTHR12783', NULL, NULL, NULL, NULL, 'RALA BINDING PROTEIN 1  RALBP1', NULL, NULL, 35732, 15),
(60698, NULL, 'PTHR47956:SF83', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(60699, NULL, 'PTHR30591', NULL, NULL, NULL, NULL, 'RECBCD ENZYME SUBUNIT RECC', NULL, NULL, NULL, 15),
(60700, NULL, 'PTHR10682:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60701, NULL, 'PTHR45648:SF78', NULL, NULL, NULL, NULL, 'OS02G0119900 PROTEIN', NULL, NULL, NULL, 15),
(60702, NULL, 'PTHR36325', NULL, NULL, NULL, NULL, 'MYOSIN-2 HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60703, NULL, 'PTHR21579:SF18', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60704, NULL, 'PTHR22552', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(60705, NULL, 'PTHR31022', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 24998, 15),
(60706, NULL, 'PTHR16299:SF2', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN KIZUNA', NULL, NULL, NULL, 15),
(60707, NULL, 'PTHR30587:SF0', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLIP', NULL, NULL, 5708, 15),
(60708, NULL, 'PTHR45675:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB62', NULL, NULL, NULL, 15),
(60709, NULL, 'PTHR32370:SF84', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(60710, NULL, 'PTHR32176:SF50', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(60711, NULL, 'PTHR13718:SF101', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S2-1-RELATED', NULL, NULL, NULL, 15),
(60712, NULL, 'PTHR46896:SF2', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 7', NULL, NULL, NULL, 15),
(60713, NULL, 'PTHR11921:SF44', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] IRON-SULFUR SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(60714, NULL, 'PTHR10410:SF24', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT H', NULL, NULL, NULL, 15),
(60715, NULL, 'PTHR24347:SF401', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DCLK1', NULL, NULL, NULL, 15),
(60716, NULL, 'PTHR13090:SF1', NULL, NULL, NULL, NULL, 'ARGININE-HYDROXYLASE NDUFAF5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(60717, NULL, 'PTHR47096', NULL, NULL, NULL, NULL, 'MISSHAPEN LIKE KINASE 1', NULL, NULL, NULL, 15),
(60718, NULL, 'PTHR33512', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1191)-RELATED', NULL, NULL, 8314, 15),
(60719, NULL, 'PTHR43099:SF5', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60720, NULL, 'PTHR22765:SF190', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL41', NULL, NULL, NULL, 15),
(60721, NULL, 'PTHR11909:SF305', NULL, NULL, NULL, NULL, 'PROTEIN CBG08225', NULL, NULL, NULL, 15),
(60722, NULL, 'PTHR34212:SF2', NULL, NULL, NULL, NULL, 'OS06G0106900 PROTEIN', NULL, NULL, NULL, 15),
(60723, NULL, 'PTHR27008:SF448', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60724, NULL, 'PTHR12815:SF42', NULL, NULL, NULL, NULL, 'PROTEIN TOC75-3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(60725, NULL, 'PTHR33525:SF4', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE CDGJ', NULL, NULL, NULL, 15),
(60726, NULL, 'PTHR10264:SF122', NULL, NULL, NULL, NULL, 'STOMATIN-4', NULL, NULL, 25811, 15),
(60727, NULL, 'PTHR10353:SF288', NULL, NULL, NULL, NULL, 'BNAC04G49650D PROTEIN', NULL, NULL, NULL, 15),
(60728, NULL, 'PTHR13572', NULL, NULL, NULL, NULL, 'ENDO-ALPHA-1,2-MANNOSIDASE', NULL, NULL, 21789, 15),
(60729, NULL, 'PTHR13138:SF3', NULL, NULL, NULL, NULL, 'CD2 ANTIGEN CYTOPLASMIC TAIL-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(60730, NULL, 'PTHR10996:SF225', NULL, NULL, NULL, NULL, 'HYDROXYPHENYLPYRUVATE REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(60731, NULL, 'PTHR22870:SF198', NULL, NULL, NULL, NULL, 'OS02G0597000 PROTEIN', NULL, NULL, NULL, 15),
(60732, NULL, 'PTHR45760:SF7', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN CGI-69', NULL, NULL, NULL, 15),
(60733, NULL, 'PTHR22953:SF106', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(60734, NULL, 'PTHR31284:SF10', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60735, NULL, 'PTHR31062:SF183', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(60736, NULL, 'PTHR33146:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60737, NULL, 'PTHR24203:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(60738, NULL, 'PTHR11165:SF152', NULL, NULL, NULL, NULL, 'OS10G0438100 PROTEIN', NULL, NULL, NULL, 15),
(60739, NULL, 'PTHR46265:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 7', NULL, NULL, NULL, 15),
(60740, NULL, 'PTHR43076:SF7', NULL, NULL, NULL, NULL, 'AMINODEOXYFUTALOSINE SYNTHASE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60741, NULL, 'PTHR23257:SF871', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 53-RELATED', NULL, NULL, NULL, 15),
(60742, NULL, 'PTHR43019:SF18', NULL, NULL, NULL, NULL, 'OS07G0231900 PROTEIN', NULL, NULL, NULL, 15),
(60743, NULL, 'PTHR31480:SF2', NULL, NULL, NULL, NULL, 'PHYTOENE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(60744, NULL, 'PTHR47979:SF69', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-39B', NULL, NULL, NULL, 15),
(60745, NULL, 'PTHR11511:SF25', NULL, NULL, NULL, NULL, 'LARVAL SERUM PROTEIN 2', NULL, NULL, NULL, 15),
(60746, NULL, 'PTHR24366:SF103', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT TRANSMEMBRANE NEURONAL 3', NULL, NULL, NULL, 15),
(60747, NULL, 'PTHR39267', NULL, NULL, NULL, NULL, 'SURVIVAL MOTOR NEURON-LIKE PROTEIN 1', NULL, NULL, 33822, 15),
(60748, NULL, 'PTHR34109:SF1', NULL, NULL, NULL, NULL, 'BNAUNNG04460D PROTEIN', NULL, NULL, NULL, 15),
(60749, NULL, 'PTHR31681:SF32', NULL, NULL, NULL, NULL, 'BNAC03G59090D PROTEIN', NULL, NULL, NULL, 15),
(60750, NULL, 'PTHR11668:SF471', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(60751, NULL, 'PTHR31238:SF216', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60752, NULL, 'PTHR45364:SF2', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, 26215, 15),
(60753, NULL, 'PTHR47977:SF42', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-30', NULL, NULL, NULL, 15),
(60754, NULL, 'PTHR47077', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 24140, 15),
(60755, NULL, 'PTHR37257:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 7', NULL, NULL, NULL, 15),
(60756, NULL, 'PTHR46909', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L36, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(60757, NULL, 'PTHR23254:SF18', NULL, NULL, NULL, NULL, 'RE28271P', NULL, NULL, NULL, 15),
(60758, NULL, 'PTHR31529:SF42', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 16', NULL, NULL, NULL, 15),
(60759, NULL, 'PTHR31288:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60760, NULL, 'PTHR43037:SF2', NULL, NULL, NULL, NULL, 'ACETYL XYLAN ESTERASE', NULL, NULL, NULL, 15),
(60761, NULL, 'PTHR33674:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60762, NULL, 'PTHR27002:SF126', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 6', NULL, NULL, NULL, 15),
(60763, NULL, 'PTHR24320:SF117', NULL, NULL, NULL, NULL, 'WW DOMAIN-CONTAINING OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(60764, NULL, 'PTHR36399', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 5, CHLOROPLASTIC', NULL, NULL, 18241, 15),
(60765, NULL, 'PTHR11009:SF29', NULL, NULL, NULL, NULL, 'DERLIN', NULL, NULL, NULL, 15),
(60766, NULL, 'PTHR48085:SF2', NULL, NULL, NULL, NULL, 'BNAC07G50890D PROTEIN', NULL, NULL, NULL, 15),
(60767, NULL, 'PTHR12381:SF11', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN U', NULL, NULL, 25031, 15),
(60768, NULL, 'PTHR46906:SF1', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-8', NULL, NULL, NULL, 15),
(60769, NULL, 'PTHR33168:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60770, NULL, 'PTHR36064:SF1', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 2735', NULL, NULL, NULL, 15),
(60771, NULL, 'PTHR11040:SF187', NULL, NULL, NULL, NULL, 'ZINC/IRON PERMEASE-RELATED', NULL, NULL, NULL, 15),
(60772, NULL, 'PTHR24099:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM9', NULL, NULL, NULL, 15),
(60773, NULL, 'PTHR14379:SF45', NULL, NULL, NULL, NULL, 'BNAA02G37100D PROTEIN', NULL, NULL, NULL, 15),
(60774, NULL, 'PTHR31214:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM221B', NULL, NULL, NULL, 15),
(60775, NULL, 'PTHR34568:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60776, NULL, 'PTHR24056:SF188', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(60777, NULL, 'PTHR45637:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE UCNL', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60778, NULL, 'PTHR10782:SF42', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE SIZ2', NULL, NULL, NULL, 15),
(60779, NULL, 'PTHR43342', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE, E SUBUNIT', NULL, NULL, NULL, 15),
(60780, NULL, 'PTHR18934:SF91', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE PRP16', NULL, NULL, NULL, 15),
(60781, NULL, 'PTHR12321:SF138', NULL, NULL, NULL, NULL, 'BNAA01G30960D PROTEIN', NULL, NULL, NULL, 15),
(60782, NULL, 'PTHR45787:SF2', NULL, NULL, NULL, NULL, 'RHOMBOTIN-1', NULL, NULL, NULL, 15),
(60783, NULL, 'PTHR12198:SF5', NULL, NULL, NULL, NULL, 'PROSPERO HOMEOBOX PROTEIN 2', NULL, NULL, NULL, 15),
(60784, NULL, 'PTHR16062:SF13', NULL, NULL, NULL, NULL, 'CHROMATIN STRUCTURE-REMODELING COMPLEX SUBUNIT RSC4', NULL, NULL, 25015, 15),
(60785, NULL, 'PTHR43000:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60786, NULL, 'PTHR22601:SF22', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 6', NULL, NULL, NULL, 15),
(60787, NULL, 'PTHR22811:SF152', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA7-LIKE', NULL, NULL, NULL, 15),
(60788, NULL, 'PTHR43039', NULL, NULL, NULL, NULL, 'ESTERASE-RELATED', NULL, NULL, NULL, 15),
(60789, NULL, 'PTHR22937:SF158', NULL, NULL, NULL, NULL, 'BNAA03G51470D PROTEIN', NULL, NULL, NULL, 15),
(60790, NULL, 'PTHR43581', NULL, NULL, NULL, NULL, 'ATP/GTP PHOSPHATASE', NULL, NULL, NULL, 15),
(60791, NULL, 'PTHR31312:SF9', NULL, NULL, NULL, NULL, 'BNAA06G36250D PROTEIN', NULL, NULL, NULL, 15),
(60792, NULL, 'PTHR31374:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60793, NULL, 'PTHR23012:SF167', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', NULL, NULL, NULL, 15),
(60794, NULL, 'PTHR36077:SF1', NULL, NULL, NULL, NULL, 'BNAA02G07370D PROTEIN', NULL, NULL, NULL, 15),
(60795, NULL, 'PTHR31403:SF35', NULL, NULL, NULL, NULL, 'OS01G0900700 PROTEIN', NULL, NULL, NULL, 15),
(60796, NULL, 'PTHR11119:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG08364', NULL, NULL, NULL, 15),
(60797, NULL, 'PTHR31549:SF210', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED', NULL, NULL, NULL, 15),
(60798, NULL, 'PTHR10185:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG13083', NULL, NULL, NULL, 15),
(60799, NULL, 'PTHR34715', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(60800, NULL, 'PTHR44042:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DIVARICATA', NULL, NULL, NULL, 15),
(60801, NULL, 'PTHR12638:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MAGO NASHI HOMOLOG', NULL, NULL, NULL, 15),
(60802, NULL, 'PTHR31621:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60803, NULL, 'PTHR19818:SF137', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN (GLI3), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G10280)-RELATED', NULL, NULL, NULL, 15),
(60804, NULL, 'PTHR31639:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60805, NULL, 'PTHR40761', NULL, NULL, NULL, NULL, 'CONSERVED INTEGRAL MEMBRANE ALANINE VALINE AND LEUCINE RICH PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60806, NULL, 'PTHR11046', NULL, NULL, NULL, NULL, 'OLIGORIBONUCLEASE, MITOCHONDRIAL', NULL, NULL, 17472, 15),
(60807, NULL, 'PTHR10641:SF1243', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB30-LIKE', NULL, NULL, NULL, 15),
(60808, NULL, 'PTHR31509:SF93', NULL, NULL, NULL, NULL, 'BNAA03G46010D PROTEIN', NULL, NULL, NULL, 15),
(60809, NULL, 'PTHR23077:SF148', NULL, NULL, NULL, NULL, 'OS09G0563800 PROTEIN', NULL, NULL, NULL, 15),
(60810, NULL, 'PTHR47928:SF52', NULL, NULL, NULL, NULL, 'TRANSCRIPT PROCESSING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(60811, NULL, 'PTHR38447', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR YDEB-RELATED', NULL, NULL, NULL, 15),
(60812, NULL, 'PTHR31221:SF207', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60813, NULL, 'PTHR47606', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY G MEMBER 2', NULL, NULL, 36701, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60814, NULL, 'PTHR11214:SF25', NULL, NULL, NULL, NULL, 'N-ACETYLLACTOSAMINIDE BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(60815, NULL, 'PTHR31985:SF85', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(60816, NULL, 'PTHR42767:SF1', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,6-GALACTANASE', NULL, NULL, NULL, 15),
(60817, NULL, 'PTHR46311', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 8-RELATED', NULL, NULL, NULL, 15),
(60818, NULL, 'PTHR35122:SF4', NULL, NULL, NULL, NULL, 'BNAA05G32390D PROTEIN', NULL, NULL, NULL, 15),
(60819, NULL, 'PTHR38599:SF1', NULL, NULL, NULL, NULL, 'CUPIN DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G13620)', NULL, NULL, NULL, 15),
(60820, NULL, 'PTHR47928:SF125', NULL, NULL, NULL, NULL, 'OSJNBA0027H06.17 PROTEIN', NULL, NULL, NULL, 15),
(60821, NULL, 'PTHR33086:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60822, NULL, 'PTHR34053:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ULTRAPETALA 2-LIKE', NULL, NULL, NULL, 15),
(60823, NULL, 'PTHR32285:SF296', NULL, NULL, NULL, NULL, 'BNAA05G28590D PROTEIN', NULL, NULL, 23137, 15),
(60824, NULL, 'PTHR10108:SF1145', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(60825, NULL, 'PTHR31998:SF42', NULL, NULL, NULL, NULL, 'OS05G0156900 PROTEIN', NULL, NULL, NULL, 15),
(60826, NULL, 'PTHR11216:SF69', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR SUBSTRATE 15-LIKE 1', NULL, NULL, NULL, 15),
(60827, NULL, 'PTHR24238:SF42', NULL, NULL, NULL, NULL, 'SUBSTANCE P RECEPTOR', NULL, NULL, NULL, 15),
(60828, NULL, 'PTHR32083:SF31', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 58', NULL, NULL, NULL, 15),
(60829, NULL, 'PTHR11909:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60830, NULL, 'PTHR11654:SF518', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60831, NULL, 'PTHR11615:SF226', NULL, NULL, NULL, NULL, 'THIOSULFATE REDUCTASE MOLYBDOPTERIN-CONTAINING SUBUNIT PHSA', NULL, NULL, NULL, 15),
(60832, NULL, 'PTHR24393:SF18', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 15', NULL, NULL, NULL, 15),
(60833, NULL, 'PTHR46234:SF2', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE 2-LIKE', NULL, NULL, NULL, 15),
(60834, NULL, 'PTHR10559:SF13', NULL, NULL, NULL, NULL, 'TRANSCOBALAMIN-1', NULL, NULL, NULL, 15),
(60835, NULL, 'PTHR36686:SF1', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX CENTRAL ELEMENT PROTEIN 3', NULL, NULL, NULL, 15),
(60836, NULL, 'PTHR10553', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN', NULL, NULL, 38428, 15),
(60837, NULL, 'PTHR21454:SF2', NULL, NULL, NULL, NULL, 'DPH3 HOMOLOG', NULL, NULL, NULL, 15),
(60838, NULL, 'PTHR13847:SF266', NULL, NULL, NULL, NULL, 'OS09G0514100 PROTEIN', NULL, NULL, NULL, 15),
(60839, NULL, 'PTHR11738:SF157', NULL, NULL, NULL, NULL, 'T-CELL-INTERACTING, ACTIVATING RECEPTOR ON MYELOID CELLS PROTEIN 1', NULL, NULL, NULL, 15),
(60840, NULL, 'PTHR15327:SF0', NULL, NULL, NULL, NULL, 'MICROFIBRILLAR-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(60841, NULL, 'PTHR12484', NULL, NULL, NULL, NULL, 'B-LYMPHOCYTE ANTIGEN-RELATED', NULL, NULL, NULL, 15),
(60842, NULL, 'PTHR23510:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60843, NULL, 'PTHR45613:SF240', NULL, NULL, NULL, NULL, 'OS08G0272200 PROTEIN', NULL, NULL, NULL, 15),
(60844, NULL, 'PTHR11014:SF63', NULL, NULL, NULL, NULL, 'METALLOPEPTIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G09600)-RELATED', NULL, NULL, NULL, 15),
(60845, NULL, 'PTHR22765:SF40', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF130', NULL, NULL, NULL, 15),
(60846, NULL, 'PTHR33177:SF9', NULL, NULL, NULL, NULL, 'OS01G0863500 PROTEIN', NULL, NULL, NULL, 15),
(60847, NULL, 'PTHR13871:SF88', NULL, NULL, NULL, NULL, 'PROTEIN CBG01721', NULL, NULL, NULL, 15),
(60848, NULL, 'PTHR24126:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(60849, NULL, 'PTHR31623:SF21', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60850, NULL, 'PTHR43689:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60851, NULL, 'PTHR45752:SF112', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 4', NULL, NULL, NULL, 15),
(60852, NULL, 'PTHR32258:SF33', NULL, NULL, NULL, NULL, 'BNAA03G55220D PROTEIN', NULL, NULL, NULL, 15),
(60853, NULL, 'PTHR10814:SF29', NULL, NULL, NULL, NULL, 'TRANSDUCIN-LIKE ENHANCER PROTEIN 1', NULL, NULL, NULL, 15),
(60854, NULL, 'PTHR11715:SF25', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', NULL, NULL, NULL, 15),
(60855, NULL, 'PTHR22017:SF0', NULL, NULL, NULL, NULL, 'PHOTORECEPTOR CILIUM ACTIN REGULATOR', NULL, NULL, NULL, 15),
(60856, NULL, 'PTHR30185:SF13', NULL, NULL, NULL, NULL, 'LICABCH OPERON REGULATOR-RELATED', NULL, NULL, NULL, 15),
(60857, NULL, 'PTHR34524:SF1', NULL, NULL, NULL, NULL, 'UPF0686 PROTEIN C11ORF1', NULL, NULL, 10370, 15),
(60858, NULL, 'PTHR36560:SF1', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(60859, NULL, 'PTHR16091:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 17', NULL, NULL, NULL, 15),
(60860, NULL, 'PTHR31707:SF8', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 34-RELATED', NULL, NULL, NULL, 15),
(60861, NULL, 'PTHR46959', NULL, NULL, NULL, NULL, 'SULFOQUINOVOSIDASE', NULL, NULL, NULL, 15),
(60862, NULL, 'PTHR24286:SF100', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 26C1', NULL, NULL, NULL, 15),
(60863, NULL, 'PTHR30251:SF7', NULL, NULL, NULL, NULL, 'FIMBRIAE CHAPARONE-RELATED', NULL, NULL, NULL, 15),
(60864, NULL, 'PTHR31072:SF106', NULL, NULL, NULL, NULL, 'OS06G0226700 PROTEIN', NULL, NULL, NULL, 15),
(60865, NULL, 'PTHR11348:SF4', NULL, NULL, NULL, NULL, 'WNT1-INDUCIBLE-SIGNALING PATHWAY PROTEIN 1', NULL, NULL, NULL, 15),
(60866, NULL, 'PTHR24116', NULL, NULL, NULL, NULL, 'KINASE D-INTERACTING SUBSTRATE OF 220 KDA', NULL, NULL, NULL, 15),
(60867, NULL, 'PTHR46996:SF3', NULL, NULL, NULL, NULL, 'OS01G0815100 PROTEIN', NULL, NULL, NULL, 15),
(60868, NULL, 'PTHR41349', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60869, NULL, 'PTHR31265:SF8', NULL, NULL, NULL, NULL, 'OSJNBB0091E11.19 PROTEIN', NULL, NULL, NULL, 15),
(60870, NULL, 'PTHR46391:SF25', NULL, NULL, NULL, NULL, 'BZIP FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(60871, NULL, 'PTHR43359:SF1', NULL, NULL, NULL, NULL, 'FORMATE HYDROGENLYASE SUBUNIT 4-RELATED', NULL, NULL, NULL, 15),
(60872, NULL, 'PTHR33912:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60873, NULL, 'PTHR47112:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60874, NULL, 'PTHR11783:SF222', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(60875, NULL, 'PTHR18896:SF160', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(60876, NULL, 'PTHR24244:SF0', NULL, NULL, NULL, NULL, 'SI:DKEY-78K11.9', NULL, NULL, NULL, 15),
(60877, NULL, 'PTHR12231:SF105', NULL, NULL, NULL, NULL, 'DPR-INTERACTING PROTEIN THETA', NULL, NULL, NULL, 15),
(60878, NULL, 'PTHR11003', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, SUBFAMILY K', NULL, NULL, 3469, 15),
(60879, NULL, 'PTHR32044:SF78', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 7', NULL, NULL, NULL, 15),
(60880, NULL, 'PTHR33597', NULL, NULL, NULL, NULL, 'OS02G0760400 PROTEIN', NULL, NULL, NULL, 15),
(60881, NULL, 'PTHR48047:SF87', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 87A2', NULL, NULL, NULL, 15),
(60882, NULL, 'PTHR46084:SF14', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(60883, NULL, 'PTHR23430:SF315', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(60884, NULL, 'PTHR24351:SF169', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE', NULL, NULL, NULL, 15),
(60885, NULL, 'PTHR24320:SF114', NULL, NULL, NULL, NULL, 'OS06G0129100 PROTEIN', NULL, NULL, NULL, 15),
(60886, NULL, 'PTHR33487:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 54', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60887, NULL, 'PTHR11802:SF325', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(60888, NULL, 'PTHR11905:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60889, NULL, 'PTHR27000:SF290', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RCH1', NULL, NULL, NULL, 15),
(60890, NULL, 'PTHR43780:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60891, NULL, 'PTHR47967:SF4', NULL, NULL, NULL, NULL, 'BNAA04G20600D PROTEIN', NULL, NULL, NULL, 15),
(60892, NULL, 'PTHR30578:SF0', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT D', NULL, NULL, 12432, 15),
(60893, NULL, 'PTHR13817:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60894, NULL, 'PTHR42841', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(60895, NULL, 'PTHR31422:SF30', NULL, NULL, NULL, NULL, 'BNACNNG14690D PROTEIN', NULL, NULL, NULL, 15),
(60896, NULL, 'PTHR24006:SF672', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', NULL, NULL, NULL, 15),
(60897, NULL, 'PTHR11709:SF348', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60898, NULL, 'PTHR47540:SF2', NULL, NULL, NULL, NULL, 'THIAMINE REPRESSIBLE GENES REGULATORY PROTEIN THI5', NULL, NULL, NULL, 15),
(60899, NULL, 'PTHR36321', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 9', NULL, NULL, 39437, 15),
(60900, NULL, 'PTHR33868:SF14', NULL, NULL, NULL, NULL, 'BNACNNG08610D PROTEIN', NULL, NULL, NULL, 15),
(60901, NULL, 'PTHR45717:SF7', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60902, NULL, 'PTHR10366:SF691', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60903, NULL, 'PTHR13856:SF137', NULL, NULL, NULL, NULL, 'GH05942P', NULL, NULL, NULL, 15),
(60904, NULL, 'PTHR31942:SF87', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 11', NULL, NULL, NULL, 15),
(60905, NULL, 'PTHR46136:SF8', NULL, NULL, NULL, NULL, 'OS05G0324000 PROTEIN', NULL, NULL, NULL, 15),
(60906, NULL, 'PTHR11309:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60907, NULL, 'PTHR43574:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60908, NULL, 'PTHR23510:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG08609', NULL, NULL, NULL, 15),
(60909, NULL, 'PTHR14431', NULL, NULL, NULL, NULL, 'HCLS1-BINDING PROTEIN 3', NULL, NULL, 33960, 15),
(60910, NULL, 'PTHR46293:SF7', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP2', NULL, NULL, NULL, 15),
(60911, NULL, 'PTHR42689', NULL, NULL, NULL, NULL, 'ACETYL-COA ACYLTRANSFERASE FADA2 (3-KETOACYL-COA THIOLASE) (BETA-KETOTHIOLASE)-RELATED', NULL, NULL, NULL, 15),
(60912, NULL, 'PTHR35098:SF8', NULL, NULL, NULL, NULL, 'BNAA06G33680D PROTEIN', NULL, NULL, NULL, 15),
(60913, NULL, 'PTHR33065:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60914, NULL, 'PTHR33076:SF116', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(60915, NULL, 'PTHR31623:SF17', NULL, NULL, NULL, NULL, 'F21J9.9', NULL, NULL, NULL, 15),
(60916, NULL, 'PTHR24559:SF336', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON 297-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60917, NULL, 'PTHR15682:SF2', NULL, NULL, NULL, NULL, 'UNHEALTHY RIBOSOME BIOGENESIS PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(60918, NULL, 'PTHR33567:SF3', NULL, NULL, NULL, NULL, 'CHROMATE ION TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(60919, NULL, 'PTHR46988', NULL, NULL, NULL, NULL, 'TWO PORE CALCIUM CHANNEL PROTEIN 1', NULL, NULL, 38529, 15),
(60920, NULL, 'PTHR10845:SF184', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 4', NULL, NULL, 31755, 15),
(60921, NULL, 'PTHR31471:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60922, NULL, 'PTHR19303:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60923, NULL, 'PTHR24416:SF339', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 8', NULL, NULL, 21029, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60924, NULL, 'PTHR21621:SF7', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6--L-GLUTAMATE LIGASE', NULL, NULL, NULL, 15),
(60925, NULL, 'PTHR11475:SF61', NULL, NULL, NULL, NULL, 'PEROXIDASE MLT-7', NULL, NULL, NULL, 15),
(60926, NULL, 'PTHR45949:SF2', NULL, NULL, NULL, NULL, 'SORTING NEXIN-4', NULL, NULL, NULL, 15),
(60927, NULL, 'PTHR48011:SF37', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(60928, NULL, 'PTHR21558', NULL, NULL, NULL, NULL, 'SPEER/SPETEX', NULL, NULL, NULL, 15),
(60929, NULL, 'PTHR32332:SF18', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(60930, NULL, 'PTHR47990:SF116', NULL, NULL, NULL, NULL, 'FLAVANONE 3-DIOXYGENASE 2', NULL, NULL, NULL, 15),
(60931, NULL, 'PTHR14221:SF28', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 44-LIKE', NULL, NULL, NULL, 15),
(60932, NULL, 'PTHR15154:SF2', NULL, NULL, NULL, NULL, 'HAMARTIN', NULL, NULL, NULL, 15),
(60933, NULL, 'PTHR43138:SF2', NULL, NULL, NULL, NULL, 'HISTONE ACETYLASE (EUROFUNG)', NULL, NULL, NULL, 15),
(60934, NULL, 'PTHR13242:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06962', NULL, NULL, NULL, 15),
(60935, NULL, 'PTHR23143:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60936, NULL, 'PTHR11999:SF96', NULL, NULL, NULL, NULL, 'TYROSINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(60937, NULL, 'PTHR47376:SF7', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 2-LIKE', NULL, NULL, NULL, 15),
(60938, NULL, 'PTHR43719:SF1', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE I', NULL, NULL, NULL, 15),
(60939, NULL, 'PTHR44489:SF4', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 86', NULL, NULL, NULL, 15),
(60940, NULL, 'PTHR12313:SF43', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(60941, NULL, 'PTHR12649:SF12', NULL, NULL, NULL, NULL, 'SI:DKEY-19E4.5', NULL, NULL, NULL, 15),
(60942, NULL, 'PTHR12483:SF24', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 1', NULL, NULL, NULL, 15),
(60943, NULL, 'PTHR14196:SF5', NULL, NULL, NULL, NULL, 'PROTEIN ODD-SKIPPED-RELATED 1', NULL, NULL, NULL, 15),
(60944, NULL, 'PTHR14499:SF30', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL TETRAMERISATION DOMAIN CONTAINING 12B, ISOFORM CRA_A', NULL, NULL, NULL, 15),
(60945, NULL, 'PTHR31282:SF158', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 7-RELATED', NULL, NULL, NULL, 15),
(60946, NULL, 'PTHR31989:SF358', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 86-LIKE', NULL, NULL, NULL, 15),
(60947, NULL, 'PTHR43586:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60948, NULL, 'PTHR31384:SF88', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(60949, NULL, 'PTHR11461:SF55', NULL, NULL, NULL, NULL, 'SERPIN B5', NULL, NULL, NULL, 15),
(60950, NULL, 'PTHR15197', NULL, NULL, NULL, NULL, 'COILIN P80', NULL, NULL, 22725, 15),
(60951, NULL, 'PTHR38341:SF1', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATE ALDOLASE/PHOSPHATASE', NULL, NULL, NULL, 15),
(60952, NULL, 'PTHR44329:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60953, NULL, 'PTHR35281:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60954, NULL, 'PTHR13902:SF67', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-BINDING PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(60955, NULL, 'PTHR31948:SF92', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(60956, NULL, 'PTHR31165:SF78', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE7', NULL, NULL, NULL, 15),
(60957, NULL, 'PTHR31206:SF6', NULL, NULL, NULL, NULL, 'ZGC:153383', NULL, NULL, NULL, 15),
(60958, NULL, 'PTHR11814', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER', NULL, NULL, 2473, 15),
(60959, NULL, 'PTHR14015:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60960, NULL, 'PTHR10458:SF2', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(60961, NULL, 'PTHR13803:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60962, NULL, 'PTHR43598:SF4', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE, NITRATE-INDUCIBLE, MAJOR SUBUNIT', NULL, NULL, NULL, 15),
(60963, NULL, 'PTHR32468:SF22', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(60964, NULL, 'PTHR23092', NULL, NULL, NULL, NULL, 'POLY(A) RNA POLYMERASE', NULL, NULL, 36744, 15),
(60965, NULL, 'PTHR45940:SF14', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 1', NULL, NULL, NULL, 15),
(60966, NULL, 'PTHR31734:SF89', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA14', NULL, NULL, NULL, 15),
(60967, NULL, 'PTHR33132:SF41', NULL, NULL, NULL, NULL, 'OSJNBA0014K14.12 PROTEIN', NULL, NULL, NULL, 15),
(60968, NULL, 'PTHR11067:SF9', NULL, NULL, NULL, NULL, 'INOSINE TRIPHOSPHATE PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(60969, NULL, 'PTHR43895:SF28', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 15', NULL, NULL, NULL, 15),
(60970, NULL, 'PTHR22967:SF10', NULL, NULL, NULL, NULL, 'BMP-2-INDUCIBLE PROTEIN KINASE', NULL, NULL, 27146, 15),
(60971, NULL, 'PTHR24403:SF36', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 335', NULL, NULL, NULL, 15),
(60972, NULL, 'PTHR24349:SF415', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60973, NULL, 'PTHR10869:SF62', NULL, NULL, NULL, NULL, 'OS07G0194500 PROTEIN', NULL, NULL, NULL, 15),
(60974, NULL, 'PTHR24228', NULL, NULL, NULL, NULL, 'B2 BRADYKININ RECEPTOR/ANGIOTENSIN II RECEPTOR', NULL, NULL, NULL, 15),
(60975, NULL, 'PTHR11649', NULL, NULL, NULL, NULL, 'MSS1/TRME-RELATED GTP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(60976, NULL, 'PTHR46667:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60977, NULL, 'PTHR45647:SF18', NULL, NULL, NULL, NULL, 'OS07G0210300 PROTEIN', NULL, NULL, NULL, 15),
(60978, NULL, 'PTHR47357', NULL, NULL, NULL, NULL, 'COP1-INTERACTIVE PROTEIN 1', NULL, NULL, NULL, 15),
(60979, NULL, 'PTHR14049', NULL, NULL, NULL, NULL, 'LEPRECAN 1', NULL, NULL, 36091, 15),
(60980, NULL, 'PTHR11945:SF653', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60981, NULL, 'PTHR31636:SF22', NULL, NULL, NULL, NULL, 'OS05G0485400 PROTEIN', NULL, NULL, NULL, 15),
(60982, NULL, 'PTHR14614:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(60983, NULL, 'PTHR31280:SF3', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 4 SUBUNIT B (DUF810)', NULL, NULL, NULL, 15),
(60984, NULL, 'PTHR31790:SF414', NULL, NULL, NULL, NULL, 'F-BOX AND ASSOCIATED INTERACTION DOMAINS-CONTAINING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(60985, NULL, 'PTHR12757:SF4', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA-INDUCED PROTEIN 8-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(60986, NULL, 'PTHR45855:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF1', NULL, NULL, NULL, 15),
(60987, NULL, 'PTHR46224:SF41', NULL, NULL, NULL, NULL, 'OS02G0494400 PROTEIN', NULL, NULL, NULL, 15),
(60988, NULL, 'PTHR22765:SF225', NULL, NULL, NULL, NULL, 'RECEPTOR HOMOLOGY REGION, TRANSMEMBRANE DOMAIN- AND RING DOMAIN-CONTAINING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(60989, NULL, 'PTHR31088:SF6', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEIN VIPP1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(60990, NULL, 'PTHR11435', NULL, NULL, NULL, NULL, 'NADH UBIQUINONE OXIDOREDUCTASE SUBUNIT ND6', NULL, NULL, NULL, 15),
(60991, NULL, 'PTHR15438:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX-INTERACTING PROTEIN FAMILY MEMBER B15-RELATED', NULL, NULL, NULL, 15),
(60992, NULL, 'PTHR33057:SF79', NULL, NULL, NULL, NULL, 'OS01G0831800 PROTEIN', NULL, NULL, NULL, 15),
(60993, NULL, 'PTHR35354:SF1', NULL, NULL, NULL, NULL, 'RGD1561648', NULL, NULL, NULL, 15),
(60994, NULL, 'PTHR39956:SF1', NULL, NULL, NULL, NULL, 'GH09530P-RELATED', NULL, NULL, NULL, 15),
(60995, NULL, 'PTHR34827:SF6', NULL, NULL, NULL, NULL, 'INSULIN GROWTH FACTOR-LIKE FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(60996, NULL, 'PTHR11103:SF15', NULL, NULL, NULL, NULL, 'METHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(60997, NULL, 'PTHR10161:SF48', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(60998, NULL, 'PTHR33232:SF24', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(60999, NULL, 'PTHR11758:SF16', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S15A', NULL, NULL, NULL, 15),
(61000, NULL, 'PTHR31731:SF105', NULL, NULL, NULL, NULL, 'CORTICAL CELL-DELINEATING PROTEIN', NULL, NULL, NULL, 15),
(61001, NULL, 'PTHR44329:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61002, NULL, 'PTHR31448:SF9', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(61003, NULL, 'PTHR45615:SF2', NULL, NULL, NULL, NULL, 'MYOSIN-4', NULL, NULL, NULL, 15),
(61004, NULL, 'PTHR36885:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61005, NULL, 'PTHR30501:SF2', NULL, NULL, NULL, NULL, 'UPF0597 PROTEIN YHAM', NULL, NULL, NULL, 15),
(61006, NULL, 'PTHR11017:SF419', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(61007, NULL, 'PTHR24559:SF287', NULL, NULL, NULL, NULL, 'TRANSPOSON TY3-G GAG-POL POLYPROTEIN-RELATED', NULL, NULL, NULL, 15),
(61008, NULL, 'PTHR23294:SF57', NULL, NULL, NULL, NULL, 'DUF895 DOMAIN MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(61009, NULL, 'PTHR45950:SF19', NULL, NULL, NULL, NULL, 'BNACNNG38170D PROTEIN', NULL, NULL, NULL, 15),
(61010, NULL, 'PTHR33528:SF17', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(61011, NULL, 'PTHR24390:SF151', NULL, NULL, NULL, NULL, 'PROTEIN KRUEPPEL', NULL, NULL, 26647, 15),
(61012, NULL, 'PTHR21105:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG10838', NULL, NULL, NULL, 15),
(61013, NULL, 'PTHR46163:SF10', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE', NULL, NULL, NULL, 15),
(61014, NULL, 'PTHR30598', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE PRIVATE CHAPERONE, REDOX ENZYME MATURATION PROTEIN  REMP  FAMILY', NULL, NULL, NULL, 15),
(61015, NULL, 'PTHR45622:SF21', NULL, NULL, NULL, NULL, 'OS11G0545800 PROTEIN', NULL, NULL, NULL, 15),
(61016, NULL, 'PTHR28637:SF1', NULL, NULL, NULL, NULL, 'DNA REPLICATION FACTOR CDT1', NULL, NULL, NULL, 15),
(61017, NULL, 'PTHR31731:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61018, NULL, 'PTHR22593:SF9', NULL, NULL, NULL, NULL, 'OS05G0432500 PROTEIN', NULL, NULL, NULL, 15),
(61019, NULL, 'PTHR45660:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61020, NULL, 'PTHR48099:SF1', NULL, NULL, NULL, NULL, 'C-1-TETRAHYDROFOLATE SYNTHASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(61021, NULL, 'PTHR24056:SF432', NULL, NULL, NULL, NULL, 'OS10G0154500 PROTEIN', NULL, NULL, NULL, 15),
(61022, NULL, 'PTHR24012:SF677', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(61023, NULL, 'PTHR10807:SF39', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 10', NULL, NULL, 28393, 15),
(61024, NULL, 'PTHR47145:SF1', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A MEMBER 2', NULL, NULL, NULL, 15),
(61025, NULL, 'PTHR24349:SF302', NULL, NULL, NULL, NULL, 'CALMODULIN-DOMAIN KINASE CDPK PROTEIN', NULL, NULL, NULL, 15),
(61026, NULL, 'PTHR46812:SF1', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE HOMOLOG', NULL, NULL, NULL, 15),
(61027, NULL, 'PTHR19321:SF25', NULL, NULL, NULL, NULL, 'ASE1P', NULL, NULL, NULL, 15),
(61028, NULL, 'PTHR45702:SF7', NULL, NULL, NULL, NULL, 'ADAM METALLOPEPTIDASE DOMAIN 17A', NULL, NULL, NULL, 15),
(61029, NULL, 'PTHR43827:SF1', NULL, NULL, NULL, NULL, '2,5-DIKETO-D-GLUCONIC ACID REDUCTASE', NULL, NULL, NULL, 15),
(61030, NULL, 'PTHR46458:SF8', NULL, NULL, NULL, NULL, 'GLOBIN-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(61031, NULL, 'PTHR11820:SF110', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE CATABOLISM PROTEIN', NULL, NULL, NULL, 15),
(61032, NULL, 'PTHR12725:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61033, NULL, 'PTHR23255:SF98', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RECEPTOR', NULL, NULL, NULL, 15),
(61034, NULL, 'PTHR24056:SF430', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61035, NULL, 'PTHR32009:SF49', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(61036, NULL, 'PTHR45642:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61037, NULL, 'PTHR35366:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG18620', NULL, NULL, NULL, 15),
(61038, NULL, 'PTHR33147:SF104', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(61039, NULL, 'PTHR30158:SF20', NULL, NULL, NULL, NULL, 'CATION EFFLUX PUMP-RELATED', NULL, NULL, NULL, 15),
(61040, NULL, 'PTHR22175', NULL, NULL, NULL, NULL, 'SMALL ACIDIC PROTEIN-RELATED', NULL, NULL, 22081, 15),
(61041, NULL, 'PTHR31696:SF82', NULL, NULL, NULL, NULL, 'BNAC03G23430D PROTEIN', NULL, NULL, NULL, 15),
(61042, NULL, 'PTHR19855:SF26', NULL, NULL, NULL, NULL, 'F-BOX/WD-40 REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(61043, NULL, 'PTHR46047:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(61044, NULL, 'PTHR21649:SF120', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(61045, NULL, 'PTHR43440', NULL, NULL, NULL, NULL, 'UREASE', NULL, NULL, NULL, 15),
(61046, NULL, 'PTHR35615:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61047, NULL, 'PTHR33984:SF2', NULL, NULL, NULL, NULL, 'OS02G0717600 PROTEIN', NULL, NULL, NULL, 15),
(61048, NULL, 'PTHR19957:SF250', NULL, NULL, NULL, NULL, 'SYNTAXIN-132', NULL, NULL, NULL, 15),
(61049, NULL, 'PTHR27005:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61050, NULL, 'PTHR48017:SF11', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 7 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(61051, NULL, 'PTHR13999:SF10', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 5', NULL, NULL, NULL, 15),
(61052, NULL, 'PTHR40020:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 2', NULL, NULL, NULL, 15),
(61053, NULL, 'PTHR11532:SF73', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE D', NULL, NULL, 9720, 15),
(61054, NULL, 'PTHR46128:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GROUP I INTRON SPLICING FACTOR CCM1', NULL, NULL, NULL, 15),
(61055, NULL, 'PTHR45719:SF18', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14B-LIKE', NULL, NULL, NULL, 15),
(61056, NULL, 'PTHR24291:SF144', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(61057, NULL, 'PTHR37251:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM5 HOMOLOG', NULL, NULL, NULL, 15),
(61058, NULL, 'PTHR22883:SF350', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(61059, NULL, 'PTHR45647:SF15', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 35', NULL, NULL, NULL, 15),
(61060, NULL, 'PTHR33110', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61061, NULL, 'PTHR37180:SF6', NULL, NULL, NULL, NULL, 'BNACNNG64540D PROTEIN', NULL, NULL, NULL, 15),
(61062, NULL, 'PTHR43228:SF16', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN CHEY', NULL, NULL, NULL, 15),
(61063, NULL, 'PTHR31104:SF16', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA- GLUCOSAMINYL)ASPARAGINE AMIDASE A-LIKE', NULL, NULL, NULL, 15),
(61064, NULL, 'PTHR13935:SF100', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH100', NULL, NULL, NULL, 15),
(61065, NULL, 'PTHR32241:SF12', NULL, NULL, NULL, NULL, 'OS03G0784100 PROTEIN', NULL, NULL, NULL, 15),
(61066, NULL, 'PTHR15352:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61067, NULL, 'PTHR48000:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61068, NULL, 'PTHR11662:SF438', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61069, NULL, 'PTHR33052:SF73', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(61070, NULL, 'PTHR14167:SF48', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN 19', NULL, NULL, NULL, 15),
(61071, NULL, 'PTHR23012:SF194', NULL, NULL, NULL, NULL, 'BNAC05G01320D PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61072, NULL, 'PTHR13337:SF8', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] CYTOCHROME B SMALL SUBUNIT', NULL, NULL, NULL, 15),
(61073, NULL, 'PTHR23503:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG05042', NULL, NULL, NULL, 15),
(61074, NULL, 'PTHR33132:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61075, NULL, 'PTHR11588:SF382', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(61076, NULL, 'PTHR31639:SF138', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61077, NULL, 'PTHR23406:SF83', NULL, NULL, NULL, NULL, 'MALIC ENZYME', NULL, NULL, NULL, 15),
(61078, NULL, 'PTHR12626', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH 4', NULL, NULL, 36418, 15),
(61079, NULL, 'PTHR47426', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(61080, NULL, 'PTHR20889:SF22', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE 1', NULL, NULL, NULL, 15),
(61081, NULL, 'PTHR30546:SF49', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(61082, NULL, 'PTHR43490:SF83', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(61083, NULL, 'PTHR33840:SF2', NULL, NULL, NULL, NULL, 'AEL066CP', NULL, NULL, NULL, 15),
(61084, NULL, 'PTHR35202:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61085, NULL, 'PTHR34003', NULL, NULL, NULL, NULL, 'BLL2395 PROTEIN', NULL, NULL, NULL, 15),
(61086, NULL, 'PTHR45631:SF21', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(61087, NULL, 'PTHR31395', NULL, NULL, NULL, NULL, 'SHISA', NULL, NULL, 28584, 15),
(61088, NULL, 'PTHR35693:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(61089, NULL, 'PTHR24068:SF48', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 D3', NULL, NULL, NULL, 15),
(61090, NULL, 'PTHR47790:SF2', NULL, NULL, NULL, NULL, 'TRNA/TMRNA (URACIL-C(5))-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(61091, NULL, 'PTHR45667:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ASPARTATE-GLUTAMATE CARRIER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(61092, NULL, 'PTHR22961:SF17', NULL, NULL, NULL, NULL, 'TRIBBLES HOMOLOG 1', NULL, NULL, 12377, 15),
(61093, NULL, 'PTHR46033:SF6', NULL, NULL, NULL, NULL, 'GLOBULAR STAGE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(61094, NULL, 'PTHR23079:SF34', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(61095, NULL, 'PTHR10378:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61096, NULL, 'PTHR24023:SF1001', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(61097, NULL, 'PTHR15076:SF15', NULL, NULL, NULL, NULL, 'CD99 ANTIGEN', NULL, NULL, NULL, 15),
(61098, NULL, 'PTHR31044:SF91', NULL, NULL, NULL, NULL, 'X8 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61099, NULL, 'PTHR34209:SF1', NULL, NULL, NULL, NULL, 'CALCIUM SENSING RECEPTOR, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(61100, NULL, 'PTHR37723:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED ELONGATED HYPOCOTYL 1', NULL, NULL, NULL, 15),
(61101, NULL, 'PTHR10795:SF705', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61102, NULL, 'PTHR45431:SF3', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 15, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(61103, NULL, 'PTHR33187:SF11', NULL, NULL, NULL, NULL, 'WU:FI09B08', NULL, NULL, NULL, 15),
(61104, NULL, 'PTHR34369:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 10 KDA POLYPEPTIDE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(61105, NULL, 'PTHR46236:SF27', NULL, NULL, NULL, NULL, 'BNAC03G13690D PROTEIN', NULL, NULL, NULL, 15),
(61106, NULL, 'PTHR32002:SF41', NULL, NULL, NULL, NULL, 'PROTEIN NLP8', NULL, NULL, NULL, 15),
(61107, NULL, 'PTHR47975:SF10', NULL, NULL, NULL, NULL, 'S-LOCUS RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61108, NULL, 'PTHR26450:SF36', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61109, NULL, 'PTHR40376', NULL, NULL, NULL, NULL, 'ODONTOGENESIS ASSOCIATED PHOSPHOPROTEIN', NULL, NULL, 22150, 15),
(61110, NULL, 'PTHR31045:SF23', NULL, NULL, NULL, NULL, 'OS01G0825900 PROTEIN', NULL, NULL, NULL, 15),
(61111, NULL, 'PTHR24326:SF536', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(61112, NULL, 'PTHR34120:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61113, NULL, 'PTHR33545:SF2', NULL, NULL, NULL, NULL, 'UPF0750 MEMBRANE PROTEIN YDEO', NULL, NULL, NULL, 15),
(61114, NULL, 'PTHR46019:SF8', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A, MEMBER 6', NULL, NULL, NULL, 15),
(61115, NULL, 'PTHR43539:SF50', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA11-RELATED', NULL, NULL, NULL, 15),
(61116, NULL, 'PTHR42898:SF71', NULL, NULL, NULL, NULL, 'BNAA09G15660D PROTEIN', NULL, NULL, NULL, 15),
(61117, NULL, 'PTHR48043:SF94', NULL, NULL, NULL, NULL, 'SOYASAPONIN III RHAMNOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(61118, NULL, 'PTHR16134:SF54', NULL, NULL, NULL, NULL, 'PROTEIN AUXIN SIGNALING F-BOX 3', NULL, NULL, NULL, 15),
(61119, NULL, 'PTHR20961:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61120, NULL, 'PTHR11099:SF3', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 35A', NULL, NULL, NULL, 15),
(61121, NULL, 'PTHR45733:SF20', NULL, NULL, NULL, NULL, 'ACTIN-BINDING FH2 (FORMIN-LIKE) PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61122, NULL, 'PTHR33640:SF23', NULL, NULL, NULL, NULL, 'BNAA07G32070D PROTEIN', NULL, NULL, NULL, 15),
(61123, NULL, 'PTHR31099:SF14', NULL, NULL, NULL, NULL, 'OS06G0165300 PROTEIN', NULL, NULL, NULL, 15),
(61124, NULL, 'PTHR23239:SF347', NULL, NULL, NULL, NULL, 'KERATIN 93-RELATED', NULL, NULL, NULL, 15),
(61125, NULL, 'PTHR13829:SF2', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM2', NULL, NULL, NULL, 15),
(61126, NULL, 'PTHR24242:SF183', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 11G2', NULL, NULL, NULL, 15),
(61127, NULL, 'PTHR11119:SF98', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(61128, NULL, 'PTHR28651', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 232', NULL, NULL, 24660, 15),
(61129, NULL, 'PTHR17597:SF0', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN MLC1', NULL, NULL, NULL, 15),
(61130, NULL, 'PTHR35660:SF1', NULL, NULL, NULL, NULL, 'SERINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(61131, NULL, 'PTHR10529:SF342', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT MU-1', NULL, NULL, NULL, 15),
(61132, NULL, 'PTHR11645:SF27', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PYRROLINE-5-CARBOXYLATE REDUCTASE (EUROFUNG)', NULL, NULL, NULL, 15),
(61133, NULL, 'PTHR24006:SF832', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', NULL, NULL, NULL, 15),
(61134, NULL, 'PTHR46258:SF3', NULL, NULL, NULL, NULL, 'VESICLE-TRAFFICKING PROTEIN SEC22A', NULL, NULL, 28711, 15),
(61135, NULL, 'PTHR43321', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, 2014, 15),
(61136, NULL, 'PTHR33221:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CYMR', NULL, NULL, NULL, 15),
(61137, NULL, 'PTHR31008:SF21', NULL, NULL, NULL, NULL, 'COP1-INTERACTING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(61138, NULL, 'PTHR13219', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 32616, 15),
(61139, NULL, 'PTHR12802:SF41', NULL, NULL, NULL, NULL, 'BRAHMA ASSOCIATED PROTEIN 155 KDA', NULL, NULL, NULL, 15),
(61140, NULL, 'PTHR45694:SF14', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C2', NULL, NULL, NULL, 15),
(61141, NULL, 'PTHR32448:SF111', NULL, NULL, NULL, NULL, 'BNAANNG10050D PROTEIN', NULL, NULL, NULL, 15),
(61142, NULL, 'PTHR13822:SF7', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT DELTA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(61143, NULL, 'PTHR42781:SF7', NULL, NULL, NULL, NULL, 'MOLYBDENUM ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(61144, NULL, 'PTHR45891:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER HOMEOBOX PROTEIN 3', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61145, NULL, 'PTHR48021:SF32', NULL, NULL, NULL, NULL, 'FACILITATED TREHALOSE TRANSPORTER TRET1-2 HOMOLOG-LIKE PROTEIN', NULL, NULL, NULL, 15),
(61146, NULL, 'PTHR12181:SF61', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE PAH2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(61147, NULL, 'PTHR10388:SF57', NULL, NULL, NULL, NULL, 'BNAA03G48450D PROTEIN', NULL, NULL, NULL, 15),
(61148, NULL, 'PTHR31263:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61149, NULL, 'PTHR45376:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61150, NULL, 'PTHR13006:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 704', NULL, NULL, NULL, 15),
(61151, NULL, 'PTHR22808:SF1', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(34)-C(5))-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(61152, NULL, 'PTHR23509:SF4', NULL, NULL, NULL, NULL, 'SEC23-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(61153, NULL, 'PTHR13029:SF18', NULL, NULL, NULL, NULL, 'MYELIN REGULATORY FACTOR HOMOLOG 1', NULL, NULL, NULL, 15),
(61154, NULL, 'PTHR22977:SF7', NULL, NULL, NULL, NULL, 'COX ASSEMBLY MITOCHONDRIAL PROTEIN', NULL, NULL, NULL, 15),
(61155, NULL, 'PTHR12002:SF9', NULL, NULL, NULL, NULL, 'CLAUDIN-18', NULL, NULL, 6466, 15),
(61156, NULL, 'PTHR31375:SF103', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT2', NULL, NULL, NULL, 15),
(61157, NULL, 'PTHR45629:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61158, NULL, 'PTHR24072:SF21', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHON', NULL, NULL, NULL, 15),
(61159, NULL, 'PTHR31205:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61160, NULL, 'PTHR23049:SF8', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN 5', NULL, NULL, NULL, 15),
(61161, NULL, 'PTHR48017:SF176', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(61162, NULL, 'PTHR11715:SF3', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(61163, NULL, 'PTHR24408:SF31', NULL, NULL, NULL, NULL, 'E4F TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(61164, NULL, 'PTHR31895:SF9', NULL, NULL, NULL, NULL, 'ACTIVATED IN BLOCKED UNFOLDED PROTEIN RESPONSE-RELATED', NULL, NULL, NULL, 15),
(61165, NULL, 'PTHR23510:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG18913', NULL, NULL, NULL, 15),
(61166, NULL, 'PTHR33285:SF40', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 3', NULL, NULL, NULL, 15),
(61167, NULL, 'PTHR11848:SF54', NULL, NULL, NULL, NULL, 'PROTEIN DECAPENTAPLEGIC', NULL, NULL, NULL, 15),
(61168, NULL, 'PTHR24115:SF942', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(61169, NULL, 'PTHR27001:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61170, NULL, 'PTHR34545:SF7', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 16', NULL, NULL, NULL, 15),
(61171, NULL, 'PTHR11945:SF678', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 3 ISOFORM X1', NULL, NULL, NULL, 15),
(61172, NULL, 'PTHR43572', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPD, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(61173, NULL, 'PTHR36794:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61174, NULL, 'PTHR13533:SF27', NULL, NULL, NULL, NULL, 'PROTEIN REDUCED WALL ACETYLATION 1', NULL, NULL, NULL, 15),
(61175, NULL, 'PTHR45659:SF9', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B6', NULL, NULL, NULL, 15),
(61176, NULL, 'PTHR31190:SF257', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61177, NULL, 'PTHR14237:SF61', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(61178, NULL, 'PTHR33650:SF2', NULL, NULL, NULL, NULL, 'CHLOROPLAST ENVELOPE MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(61179, NULL, 'PTHR11530:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61180, NULL, 'PTHR19241:SF538', NULL, NULL, NULL, NULL, 'PDR12 (PLEIOTROPIC DRUG RESISTANCE 12)', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61181, NULL, 'PTHR31730:SF2', NULL, NULL, NULL, NULL, 'OS01G0873900 PROTEIN', NULL, NULL, NULL, 15),
(61182, NULL, 'PTHR43829:SF5', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', NULL, NULL, NULL, 15),
(61183, NULL, 'PTHR42939:SF5', NULL, NULL, NULL, NULL, 'ABC-TYPE TRANSPORTER ATP-BINDING PROTEIN ECSA', NULL, NULL, NULL, 15),
(61184, NULL, 'PTHR22595:SF167', NULL, NULL, NULL, NULL, 'CHITINASE 2', NULL, NULL, NULL, 15),
(61185, NULL, 'PTHR47928:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61186, NULL, 'PTHR32116:SF30', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 15-RELATED', NULL, NULL, NULL, 15),
(61187, NULL, 'PTHR31147:SF29', NULL, NULL, NULL, NULL, 'SPERMIDINE COUMAROYL-COA ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(61188, NULL, 'PTHR35295:SF1', NULL, NULL, NULL, NULL, 'DNA LIGASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(61189, NULL, 'PTHR31636:SF266', NULL, NULL, NULL, NULL, 'BNAA08G30240D PROTEIN', NULL, NULL, 23839, 15),
(61190, NULL, 'PTHR15341:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR NUCLEIC ACID-BINDING PROTEIN C1D', NULL, NULL, NULL, 15),
(61191, NULL, 'PTHR15123:SF6', NULL, NULL, NULL, NULL, 'SECRETED AND TRANSMEMBRANE PROTEIN 1A', NULL, NULL, NULL, 15),
(61192, NULL, 'PTHR43825:SF5', NULL, NULL, NULL, NULL, 'HYPOTHETICAL TRANSKETOLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(61193, NULL, 'PTHR43557:SF11', NULL, NULL, NULL, NULL, 'MONODEHYDROASCORBATE REDUCTASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(61194, NULL, 'PTHR31625:SF57', NULL, NULL, NULL, NULL, 'MALONYL-COENZYME A:ANTHOCYANIN 3-O-GLUCOSIDE-6''''-O-MALONYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(61195, NULL, 'PTHR19433:SF52', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 21', NULL, NULL, NULL, 15),
(61196, NULL, 'PTHR11686:SF59', NULL, NULL, NULL, NULL, 'BNAC07G41830D PROTEIN', NULL, NULL, NULL, 15),
(61197, NULL, 'PTHR31246:SF5', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-5', NULL, NULL, NULL, 15),
(61198, NULL, 'PTHR10252:SF89', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-9-LIKE', NULL, NULL, NULL, 15),
(61199, NULL, 'PTHR45613:SF120', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(61200, NULL, 'PTHR32468:SF88', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 10-RELATED', NULL, NULL, NULL, 15),
(61201, NULL, 'PTHR45933:SF33', NULL, NULL, NULL, NULL, 'BNAC06G24460D PROTEIN', NULL, NULL, NULL, 15),
(61202, NULL, 'PTHR24068:SF350', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME FAMILY PROTEIN', NULL, NULL, NULL, 15),
(61203, NULL, 'PTHR47502:SF1', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(61204, NULL, 'PTHR10024:SF221', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN', NULL, NULL, NULL, 15),
(61205, NULL, 'PTHR28265', NULL, NULL, NULL, NULL, 'MAINTENANCE OF TELOMERE CAPPING PROTEIN 1', NULL, NULL, 20324, 15),
(61206, NULL, 'PTHR34193:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61207, NULL, 'PTHR15574:SF40', NULL, NULL, NULL, NULL, 'WD AND TETRATRICOPEPTIDE REPEATS PROTEIN 1', NULL, NULL, NULL, 15),
(61208, NULL, 'PTHR45614:SF102', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR TAMYB1', NULL, NULL, NULL, 15),
(61209, NULL, 'PTHR31669:SF223', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 12-LIKE', NULL, NULL, NULL, 15),
(61210, NULL, 'PTHR19248:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61211, NULL, 'PTHR31985:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61212, NULL, 'PTHR23239:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61213, NULL, 'PTHR34790:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61214, NULL, 'PTHR16277:SF6', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE-ASSOCIATED PROTEIN 4', NULL, NULL, NULL, 15),
(61215, NULL, 'PTHR31311:SF12', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(61216, NULL, 'PTHR24379:SF98', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 44', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61217, NULL, 'PTHR46932:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61218, NULL, 'PTHR23048:SF7', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT POLYPEPTIDE 6', NULL, NULL, NULL, 15),
(61219, NULL, 'PTHR48018:SF136', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 883', NULL, NULL, NULL, 15),
(61220, NULL, 'PTHR31698', NULL, NULL, NULL, NULL, 'LYSOZYME G FAMILY MEMBER', NULL, NULL, NULL, 15),
(61221, NULL, 'PTHR32522:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61222, NULL, 'PTHR14155:SF554', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', NULL, NULL, NULL, 15),
(61223, NULL, 'PTHR10206:SF2', NULL, NULL, NULL, NULL, 'CATHELICIDIN ANTIMICROBIAL PEPTIDE', NULL, NULL, NULL, 15),
(61224, NULL, 'PTHR32295:SF195', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(61225, NULL, 'PTHR46929:SF9', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(61226, NULL, 'PTHR33433:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61227, NULL, 'PTHR24260:SF131', NULL, NULL, NULL, NULL, 'GH12831P-RELATED', NULL, NULL, NULL, 15),
(61228, NULL, 'PTHR24177:SF273', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(61229, NULL, 'PTHR36721:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61230, NULL, 'PTHR35546:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61231, NULL, 'PTHR45698', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 19N-RELATED', NULL, NULL, NULL, 15),
(61232, NULL, 'PTHR33353:SF34', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12560)-RELATED', NULL, NULL, NULL, 15),
(61233, NULL, 'PTHR40758', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(61234, NULL, 'PTHR46068', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61235, NULL, 'PTHR48158', NULL, NULL, NULL, NULL, 'OS11G0453550 PROTEIN', NULL, NULL, NULL, 15),
(61236, NULL, 'PTHR31920', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(61237, NULL, 'PTHR43078:SF35', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE 3-RELATED', NULL, NULL, NULL, 15),
(61238, NULL, 'PTHR33334:SF9', NULL, NULL, NULL, NULL, 'PROTEIN LNK3', NULL, NULL, NULL, 15),
(61239, NULL, 'PTHR11793:SF13', NULL, NULL, NULL, NULL, 'PROTEIN DAUGHTERLESS', NULL, NULL, NULL, 15),
(61240, NULL, 'PTHR33443:SF16', NULL, NULL, NULL, NULL, 'BNAA07G00190D PROTEIN', NULL, NULL, NULL, 15),
(61241, NULL, 'PTHR30532:SF10', NULL, NULL, NULL, NULL, 'IRON-UPTAKE SYSTEM-BINDING PROTEIN', NULL, NULL, NULL, 15),
(61242, NULL, 'PTHR48100:SF4', NULL, NULL, NULL, NULL, 'HISTIDINE PHOSPHATASE FAMILY (BRANCH 1) PROTEIN', NULL, NULL, NULL, 15),
(61243, NULL, 'PTHR26374:SF387', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61244, NULL, 'PTHR11850:SF323', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 3', NULL, NULL, NULL, 15),
(61245, NULL, 'PTHR38604', NULL, NULL, NULL, NULL, 'PERIPLASMIC NITRATE REDUCTASE, ELECTRON TRANSFER SUBUNIT', NULL, NULL, 2686, 15),
(61246, NULL, 'PTHR47987:SF23', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-PROTEIN KINASE RBK1', NULL, NULL, NULL, 15),
(61247, NULL, 'PTHR10934:SF19', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18-1-RELATED', NULL, NULL, NULL, 15),
(61248, NULL, 'PTHR45623:SF9', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(61249, NULL, 'PTHR31949:SF26', NULL, NULL, NULL, NULL, 'BNAC04G05350D PROTEIN', NULL, NULL, NULL, 15),
(61250, NULL, 'PTHR32100:SF54', NULL, NULL, NULL, NULL, 'OMEGA-3 FATTY ACID DESATURASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61251, NULL, 'PTHR14221:SF34', NULL, NULL, NULL, NULL, 'OS04G0568400 PROTEIN', NULL, NULL, NULL, 15),
(61252, NULL, 'PTHR39606:SF1', NULL, NULL, NULL, NULL, 'SURFACE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61253, NULL, 'PTHR36328:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(61254, NULL, 'PTHR47959:SF10', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE RHLB', NULL, NULL, NULL, 15),
(61255, NULL, 'PTHR21859:SF7', NULL, NULL, NULL, NULL, 'GENE, 30302-RELATED', NULL, NULL, NULL, 15),
(61256, NULL, 'PTHR24039:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61257, NULL, 'PTHR27007:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61258, NULL, 'PTHR31985:SF110', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TINY', NULL, NULL, NULL, 15),
(61259, NULL, 'PTHR11937:SF461', NULL, NULL, NULL, NULL, 'ACTIN-71', NULL, NULL, NULL, 15),
(61260, NULL, 'PTHR48107:SF21', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR-RELATED', NULL, NULL, NULL, 15),
(61261, NULL, 'PTHR42877:SF11', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13790)-RELATED', NULL, NULL, NULL, 15),
(61262, NULL, 'PTHR23050:SF428', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML19-RELATED', NULL, NULL, NULL, 15),
(61263, NULL, 'PTHR33703:SF14', NULL, NULL, NULL, NULL, 'WOUND-INDUCED PROTEIN, WUN1-RELATED', NULL, NULL, NULL, 15),
(61264, NULL, 'PTHR14269:SF41', NULL, NULL, NULL, NULL, 'HYDROLASE FAMILY PROTEIN / HAD-SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(61265, NULL, 'PTHR31496:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAN3-RELATED', NULL, NULL, NULL, 15),
(61266, NULL, 'PTHR33871:SF17', NULL, NULL, NULL, NULL, 'BNAC05G08500D PROTEIN', NULL, NULL, NULL, 15),
(61267, NULL, 'PTHR39594', NULL, NULL, NULL, NULL, 'PROTEIN YCHQ', NULL, NULL, 5918, 15),
(61268, NULL, 'PTHR10627:SF34', NULL, NULL, NULL, NULL, 'VIGILIN', NULL, NULL, NULL, 15),
(61269, NULL, 'PTHR31301:SF145', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 12-LIKE', NULL, NULL, NULL, 15),
(61270, NULL, 'PTHR21017:SF12', NULL, NULL, NULL, NULL, 'NIPSNAP HOMOLOG 3A', NULL, NULL, NULL, 15),
(61271, NULL, 'PTHR22192:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61272, NULL, 'PTHR22811:SF131', NULL, NULL, NULL, NULL, 'COATED VESICLE MEMBRANE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(61273, NULL, 'PTHR13376:SF0', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 46 HOMOLOG', NULL, NULL, NULL, 15),
(61274, NULL, 'PTHR12411:SF631', NULL, NULL, NULL, NULL, 'CATHEPSIN L.1', NULL, NULL, NULL, 15),
(61275, NULL, 'PTHR23147:SF159', NULL, NULL, NULL, NULL, 'BNAC08G47240D PROTEIN', NULL, NULL, NULL, 15),
(61276, NULL, 'PTHR23503:SF7', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 1-LIKE', NULL, NULL, NULL, 15),
(61277, NULL, 'PTHR45786:SF30', NULL, NULL, NULL, NULL, 'BNAC01G23600D PROTEIN', NULL, NULL, NULL, 15),
(61278, NULL, 'PTHR31080:SF226', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61279, NULL, 'PTHR34193:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61280, NULL, 'PTHR27007:SF57', NULL, NULL, NULL, NULL, 'OS04G0531500 PROTEIN', NULL, NULL, NULL, 15),
(61281, NULL, 'PTHR12289:SF44', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN (SAM35), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13180)-RELATED', NULL, NULL, NULL, 15),
(61282, NULL, 'PTHR33573:SF19', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(61283, NULL, 'PTHR48052:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61284, NULL, 'PTHR11732:SF434', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(61285, NULL, 'PTHR10334:SF217', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', NULL, NULL, NULL, 15),
(61286, NULL, 'PTHR31205:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61287, NULL, 'PTHR11949:SF3', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 1', NULL, NULL, 27339, 15),
(61288, NULL, 'PTHR33914:SF9', NULL, NULL, NULL, NULL, 'BNAANNG06620D PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61289, NULL, 'PTHR11685:SF111', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF19A', NULL, NULL, NULL, 15),
(61290, NULL, 'PTHR45787:SF8', NULL, NULL, NULL, NULL, 'LIM DOMAIN ONLY 4-RELATED', NULL, NULL, NULL, 15),
(61291, NULL, 'PTHR33179:SF46', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 22', NULL, NULL, 31238, 15),
(61292, NULL, 'PTHR43829:SF13', NULL, NULL, NULL, NULL, 'AQUAPORIN-10', NULL, NULL, NULL, 15),
(61293, NULL, 'PTHR24072:SF124', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE 1', NULL, NULL, 25995, 15),
(61294, NULL, 'PTHR24221:SF397', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(61295, NULL, 'PTHR10209:SF706', NULL, NULL, NULL, NULL, 'FERULOYL COA ORTHO-HYDROXYLASE 2-LIKE', NULL, NULL, NULL, 15),
(61296, NULL, 'PTHR31232:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61297, NULL, 'PTHR36983:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61298, NULL, 'PTHR31060', NULL, NULL, NULL, NULL, 'OSJNBA0011J08.25 PROTEIN-RELATED', NULL, NULL, 29156, 15),
(61299, NULL, 'PTHR23505:SF52', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(61300, NULL, 'PTHR16476:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61301, NULL, 'PTHR24203:SF55', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND PROTEIN KINASE DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(61302, NULL, 'PTHR24232:SF90', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 5B', NULL, NULL, NULL, 15),
(61303, NULL, 'PTHR13497', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP130', NULL, NULL, 9971, 15),
(61304, NULL, 'PTHR10104:SF20', NULL, NULL, NULL, NULL, 'STATHMIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(61305, NULL, 'PTHR28675', NULL, NULL, NULL, NULL, 'MELANOCORTIN-2 RECEPTOR ACCESSORY PROTEIN 2', NULL, NULL, 23629, 15),
(61306, NULL, 'PTHR26452:SF4', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(61307, NULL, 'PTHR42734:SF4', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY ZINC UPTAKE SYSTEM ATP-BINDING PROTEIN ZNUC', NULL, NULL, NULL, 15),
(61308, NULL, 'PTHR46310:SF8', NULL, NULL, NULL, NULL, 'BNAC06G02070D PROTEIN', NULL, NULL, NULL, 15),
(61309, NULL, 'PTHR36315:SF3', NULL, NULL, NULL, NULL, 'BNAC08G49490D PROTEIN', NULL, NULL, NULL, 15),
(61310, NULL, 'PTHR14477:SF1', NULL, NULL, NULL, NULL, 'CUB DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(61311, NULL, 'PTHR11985:SF33', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(61312, NULL, 'PTHR46051:SF6', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 1A', NULL, NULL, NULL, 15),
(61313, NULL, 'PTHR13468:SF13', NULL, NULL, NULL, NULL, 'OS01G0924900 PROTEIN', NULL, NULL, NULL, 15),
(61314, NULL, 'PTHR36316', NULL, NULL, NULL, NULL, 'OS06G0213900 PROTEIN', NULL, NULL, NULL, 15),
(61315, NULL, 'PTHR12604:SF5', NULL, NULL, NULL, NULL, 'X-RAY REPAIR CROSS-COMPLEMENTING PROTEIN 6', NULL, NULL, NULL, 15),
(61316, NULL, 'PTHR43341:SF26', NULL, NULL, NULL, NULL, 'GENERAL AMINO ACID PERMEASE AGP3', NULL, NULL, NULL, 15),
(61317, NULL, 'PTHR45686:SF10', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN 2', NULL, NULL, NULL, 15),
(61318, NULL, 'PTHR43677:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61319, NULL, 'PTHR38108:SF1', NULL, NULL, NULL, NULL, 'UPF0319 PROTEIN YCCT', NULL, NULL, NULL, 15),
(61320, NULL, 'PTHR45988:SF32', NULL, NULL, NULL, NULL, 'OS07G0588600 PROTEIN', NULL, NULL, NULL, 15),
(61321, NULL, 'PTHR39654:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 75BB', NULL, NULL, NULL, 15),
(61322, NULL, 'PTHR33431:SF3', NULL, NULL, NULL, NULL, 'ENABLED-LIKE PROTEIN (DUF1635)', NULL, NULL, NULL, 15),
(61323, NULL, 'PTHR31707:SF288', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(61324, NULL, 'PTHR16209:SF4', NULL, NULL, NULL, NULL, 'WW DOMAIN BINDING PROTEIN 1-LIKE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61325, NULL, 'PTHR12547:SF110', NULL, NULL, NULL, NULL, 'CYTOPLASMIC ZINC-FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61326, NULL, 'PTHR24072:SF153', NULL, NULL, NULL, NULL, 'TRANSFORMING PROTEIN RHOA', NULL, NULL, NULL, 15),
(61327, NULL, 'PTHR33168:SF67', NULL, NULL, NULL, NULL, 'OS06G0666800 PROTEIN', NULL, NULL, NULL, 15),
(61328, NULL, 'PTHR45768:SF47', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(61329, NULL, 'PTHR36719:SF1', NULL, NULL, NULL, NULL, 'OS01G0676200 PROTEIN', NULL, NULL, NULL, 15),
(61330, NULL, 'PTHR31942:SF86', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(61331, NULL, 'PTHR43776:SF5', NULL, NULL, NULL, NULL, 'ATPASE COMPONENT OF ABC-TYPE TRANSPORT SYSTEM-RELATED', NULL, NULL, NULL, 15),
(61332, NULL, 'PTHR10751:SF112', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(61333, NULL, 'PTHR15902:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61334, NULL, 'PTHR22889', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 36271, 15),
(61335, NULL, 'PTHR10791:SF142', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET16', NULL, NULL, NULL, 15),
(61336, NULL, 'PTHR11908:SF132', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE 1-RELATED', NULL, NULL, NULL, 15),
(61337, NULL, 'PTHR45976', NULL, NULL, NULL, NULL, 'ARMADILLO SEGMENT POLARITY PROTEIN', NULL, NULL, 8718, 15),
(61338, NULL, 'PTHR11926:SF959', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(61339, NULL, 'PTHR32429:SF22', NULL, NULL, NULL, NULL, 'BNAC04G05700D PROTEIN', NULL, NULL, NULL, 15),
(61340, NULL, 'PTHR11559:SF170', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(61341, NULL, 'PTHR11418:SF0', NULL, NULL, NULL, NULL, 'GLUCAGON', NULL, NULL, NULL, 15),
(61342, NULL, 'PTHR12011:SF433', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR E4P-RELATED', NULL, NULL, NULL, 15),
(61343, NULL, 'PTHR23139:SF56', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(61344, NULL, 'PTHR36926:SF1', NULL, NULL, NULL, NULL, 'COLICIN V PRODUCTION PROTEIN', NULL, NULL, NULL, 15),
(61345, NULL, 'PTHR46806:SF3', NULL, NULL, NULL, NULL, 'DISCOIDIN, CUB AND LCCL DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(61346, NULL, 'PTHR34395:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61347, NULL, 'PTHR10334:SF64', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN LCCL DOMAIN-CONTAINING 2', NULL, NULL, NULL, 15),
(61348, NULL, 'PTHR33048:SF132', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G07820)-RELATED', NULL, NULL, NULL, 15),
(61349, NULL, 'PTHR10126:SF53', NULL, NULL, NULL, NULL, 'BNAA03G55450D PROTEIN', NULL, NULL, NULL, 15),
(61350, NULL, 'PTHR24064:SF222', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 4', NULL, NULL, NULL, 15),
(61351, NULL, 'PTHR47068:SF2', NULL, NULL, NULL, NULL, 'OS04G0552400 PROTEIN', NULL, NULL, NULL, 15),
(61352, NULL, 'PTHR22952:SF445', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(61353, NULL, 'PTHR23160:SF7', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(61354, NULL, 'PTHR43599:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 MODIFICATION PROTEIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(61355, NULL, 'PTHR31651:SF26', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER-RELATED', NULL, NULL, NULL, 15),
(61356, NULL, 'PTHR22298:SF109', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(61357, NULL, 'PTHR23500:SF334', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN HEX6, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(61358, NULL, 'PTHR27002:SF801', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(61359, NULL, 'PTHR11143:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L26', NULL, NULL, NULL, 15),
(61360, NULL, 'PTHR34200:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61361, NULL, 'PTHR26452:SF206', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(61362, NULL, 'PTHR24221:SF518', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(61363, NULL, 'PTHR34280:SF7', NULL, NULL, NULL, NULL, 'OS04G0380200 PROTEIN', NULL, NULL, NULL, 15),
(61364, NULL, 'PTHR35470:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61365, NULL, 'PTHR24072:SF287', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC3', NULL, NULL, NULL, 15),
(61366, NULL, 'PTHR36840:SF1', NULL, NULL, NULL, NULL, 'BLL5714 PROTEIN', NULL, NULL, NULL, 15),
(61367, NULL, 'PTHR11669:SF55', NULL, NULL, NULL, NULL, 'PROTEIN STICHEL-LIKE 2', NULL, NULL, NULL, 15),
(61368, NULL, 'PTHR46776:SF24', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61369, NULL, 'PTHR10745:SF21', NULL, NULL, NULL, NULL, 'BNAA09G26600D PROTEIN', NULL, NULL, NULL, 15),
(61370, NULL, 'PTHR31336:SF3', NULL, NULL, NULL, NULL, 'PROTEIN LIN-37 HOMOLOG', NULL, NULL, NULL, 15),
(61371, NULL, 'PTHR35109:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE RACEMASE', NULL, NULL, NULL, 15),
(61372, NULL, 'PTHR11786:SF5', NULL, NULL, NULL, NULL, 'ARYLAMINE N-ACETYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(61373, NULL, 'PTHR17204:SF25', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 140', NULL, NULL, NULL, 15),
(61374, NULL, 'PTHR26452:SF750', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 14I1-RELATED', NULL, NULL, NULL, 15),
(61375, NULL, 'PTHR10209:SF739', NULL, NULL, NULL, NULL, '4-HYDROXYLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(61376, NULL, 'PTHR21649:SF74', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(61377, NULL, 'PTHR47979:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61378, NULL, 'PTHR10732:SF5', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17', NULL, NULL, NULL, 15),
(61379, NULL, 'PTHR10795:SF694', NULL, NULL, NULL, NULL, 'PEPTIDASE S8, SUBTILISIN-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61380, NULL, 'PTHR24366:SF117', NULL, NULL, NULL, NULL, 'IP22191P', NULL, NULL, NULL, 15),
(61381, NULL, 'PTHR42250:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61382, NULL, 'PTHR47642:SF4', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(61383, NULL, 'PTHR11461:SF296', NULL, NULL, NULL, NULL, 'SERPIN-RELATED', NULL, NULL, NULL, 15),
(61384, NULL, 'PTHR47214', NULL, NULL, NULL, NULL, 'PROTEIN ROUGH SHEATH 2 HOMOLOG', NULL, NULL, NULL, 15),
(61385, NULL, 'PTHR15941:SF15', NULL, NULL, NULL, NULL, 'MYOZENIN-3', NULL, NULL, NULL, 15),
(61386, NULL, 'PTHR23148:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61387, NULL, 'PTHR35798', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN SEPF', NULL, NULL, 15339, 15),
(61388, NULL, 'PTHR23115:SF273', NULL, NULL, NULL, NULL, 'BNAA06G12300D PROTEIN', NULL, NULL, NULL, 15),
(61389, NULL, 'PTHR24064:SF550', NULL, NULL, NULL, NULL, 'PROTEIN CBG11705', NULL, NULL, NULL, 15),
(61390, NULL, 'PTHR24012:SF697', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, Y CHROMOSOME, FAMILY 1 MEMBER C-RELATED', NULL, NULL, NULL, 15),
(61391, NULL, 'PTHR36910:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61392, NULL, 'PTHR45630:SF10', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(61393, NULL, 'PTHR24115:SF789', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KLP68D', NULL, NULL, NULL, 15),
(61394, NULL, 'PTHR11100:SF25', NULL, NULL, NULL, NULL, 'PRO-NEUREGULIN-1, MEMBRANE-BOUND ISOFORM', NULL, NULL, 19963, 15),
(61395, NULL, 'PTHR22951:SF92', NULL, NULL, NULL, NULL, 'BNAC05G01680D PROTEIN', NULL, NULL, NULL, 15),
(61396, NULL, 'PTHR23122:SF47', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PALMITOYLATED 3B (MAGUK P55 SUBFAMILY MEMBER 3)', NULL, NULL, NULL, 15),
(61397, NULL, 'PTHR23430:SF319', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-J', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61398, NULL, 'PTHR22941:SF297', NULL, NULL, NULL, NULL, 'PROTEIN CBG06652', NULL, NULL, NULL, 15),
(61399, NULL, 'PTHR27007:SF198', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN KINASE S.3', NULL, NULL, NULL, 15),
(61400, NULL, 'PTHR43270:SF6', NULL, NULL, NULL, NULL, 'DARMIN', NULL, NULL, NULL, 15),
(61401, NULL, 'PTHR10286:SF49', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(61402, NULL, 'PTHR32295:SF186', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', NULL, NULL, NULL, 15),
(61403, NULL, 'PTHR23024:SF139', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', NULL, NULL, NULL, 15),
(61404, NULL, 'PTHR47963:SF5', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE CSHA', NULL, NULL, NULL, 15),
(61405, NULL, 'PTHR36779:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0083N12.13 PROTEIN', NULL, NULL, NULL, 15),
(61406, NULL, 'PTHR48048:SF25', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(61407, NULL, 'PTHR19051', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN', NULL, NULL, 4433, 15),
(61408, NULL, 'PTHR27005:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61409, NULL, 'PTHR10744:SF32', NULL, NULL, NULL, NULL, 'OS04G0502300 PROTEIN', NULL, NULL, NULL, 15),
(61410, NULL, 'PTHR23124:SF131', NULL, NULL, NULL, NULL, 'PROTEIN CBG00393', NULL, NULL, NULL, 15),
(61411, NULL, 'PTHR31549:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61412, NULL, 'PTHR45988:SF15', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(61413, NULL, 'PTHR10015:SF363', NULL, NULL, NULL, NULL, 'BNAA08G06910D PROTEIN', NULL, NULL, NULL, 15),
(61414, NULL, 'PTHR23235:SF15', NULL, NULL, NULL, NULL, 'FI01014P-RELATED', NULL, NULL, NULL, 15),
(61415, NULL, 'PTHR10656:SF38', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE MAB21L1-RELATED', NULL, NULL, NULL, 15),
(61416, NULL, 'PTHR32227:SF52', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 2', NULL, NULL, NULL, 15),
(61417, NULL, 'PTHR47926:SF228', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61418, NULL, 'PTHR43767:SF3', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE', NULL, NULL, NULL, 15),
(61419, NULL, 'PTHR32212:SF351', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 13-LIKE', NULL, NULL, NULL, 15),
(61420, NULL, 'PTHR12730:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SDA1', NULL, NULL, NULL, 15),
(61421, NULL, 'PTHR47998:SF12', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR ETC3', NULL, NULL, NULL, 15),
(61422, NULL, 'PTHR45654:SF23', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN MERISTEM L1-LIKE', NULL, NULL, NULL, 15),
(61423, NULL, 'PTHR43107:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61424, NULL, 'PTHR31500:SF96', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 7', NULL, NULL, NULL, 15),
(61425, NULL, 'PTHR34956:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61426, NULL, 'PTHR46756:SF6', NULL, NULL, NULL, NULL, 'TRANSGELIN', NULL, NULL, NULL, 15),
(61427, NULL, 'PTHR43852:SF2', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(61428, NULL, 'PTHR13105:SF17', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN-LIKE', NULL, NULL, NULL, 15),
(61429, NULL, 'PTHR12064:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61430, NULL, 'PTHR26453:SF585', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 976', NULL, NULL, NULL, 15),
(61431, NULL, 'PTHR46668:SF9', NULL, NULL, NULL, NULL, 'BNAC02G38200D PROTEIN', NULL, NULL, NULL, 15),
(61432, NULL, 'PTHR35989:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 32-LIKE', NULL, NULL, NULL, 15),
(61433, NULL, 'PTHR31072:SF121', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP20-LIKE', NULL, NULL, NULL, 15),
(61434, NULL, 'PTHR11434:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61435, NULL, 'PTHR31080:SF70', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61436, NULL, 'PTHR45717:SF20', NULL, NULL, NULL, NULL, 'OS07G0598500 PROTEIN', NULL, NULL, NULL, 15),
(61437, NULL, 'PTHR31283:SF4', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN 1', NULL, NULL, NULL, 15),
(61438, NULL, 'PTHR11086', NULL, NULL, NULL, NULL, 'DEOXYCYTIDYLATE DEAMINASE-RELATED', NULL, NULL, 8027, 15),
(61439, NULL, 'PTHR11767:SF52', NULL, NULL, NULL, NULL, 'G PROTEIN-ACTIVATED INWARD RECTIFIER POTASSIUM CHANNEL 4', NULL, NULL, NULL, 15),
(61440, NULL, 'PTHR22945:SF30', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(61441, NULL, 'PTHR13061:SF33', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE 1, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(61442, NULL, 'PTHR48002:SF13', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C5', NULL, NULL, NULL, 15),
(61443, NULL, 'PTHR10286:SF50', NULL, NULL, NULL, NULL, 'PYROPHOSPHATASE (INORGANIC) 2', NULL, NULL, NULL, 15),
(61444, NULL, 'PTHR11006:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61445, NULL, 'PTHR10036:SF9', NULL, NULL, NULL, NULL, 'CD59 GLYCOPROTEIN', NULL, NULL, 26459, 15),
(61446, NULL, 'PTHR46325:SF14', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC5', NULL, NULL, NULL, 15),
(61447, NULL, 'PTHR10972:SF190', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 4C', NULL, NULL, NULL, 15),
(61448, NULL, 'PTHR11017:SF337', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(61449, NULL, 'PTHR33831:SF4', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN', NULL, NULL, NULL, 15),
(61450, NULL, 'PTHR19957:SF221', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61451, NULL, 'PTHR21649:SF98', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(61452, NULL, 'PTHR45890:SF8', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(61453, NULL, 'PTHR24089:SF243', NULL, NULL, NULL, NULL, 'MCG4550', NULL, NULL, NULL, 15),
(61454, NULL, 'PTHR22730', NULL, NULL, NULL, NULL, 'PROMININ  PROM  PROTEIN', NULL, NULL, 14098, 15),
(61455, NULL, 'PTHR23244:SF465', NULL, NULL, NULL, NULL, 'ZGC:163014', NULL, NULL, NULL, 15),
(61456, NULL, 'PTHR10502:SF17', NULL, NULL, NULL, NULL, 'ANNEXIN A1', NULL, NULL, 6361, 15),
(61457, NULL, 'PTHR15603:SF1', NULL, NULL, NULL, NULL, 'METASTASIS-ASSOCIATED IN COLON CANCER PROTEIN 1', NULL, NULL, NULL, 15),
(61458, NULL, 'PTHR47982:SF46', NULL, NULL, NULL, NULL, 'OS07G0568100 PROTEIN', NULL, NULL, NULL, 15),
(61459, NULL, 'PTHR31061:SF24', NULL, NULL, NULL, NULL, 'LD22376P', NULL, NULL, NULL, 15),
(61460, NULL, 'PTHR24241:SF75', NULL, NULL, NULL, NULL, 'OREXIN RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(61461, NULL, 'PTHR27004:SF386', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61462, NULL, 'PTHR10108:SF1064', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE FAMILY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(61463, NULL, 'PTHR23056:SF98', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(61464, NULL, 'PTHR10631:SF3', NULL, NULL, NULL, NULL, 'TRNA (GUANINE(26)-N(2))-DIMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(61465, NULL, 'PTHR33916', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61466, NULL, 'PTHR11599:SF50', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-9', NULL, NULL, 33981, 15),
(61467, NULL, 'PTHR33728:SF13', NULL, NULL, NULL, NULL, 'CTTNBP 2 AMINO-TERMINAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(61468, NULL, 'PTHR45947:SF7', NULL, NULL, NULL, NULL, 'SULFOQUINOVOSYL TRANSFERASE SQD2-LIKE', NULL, NULL, NULL, 15),
(61469, NULL, 'PTHR12290:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 5', NULL, NULL, NULL, 15),
(61470, NULL, 'PTHR11588:SF78', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(61471, NULL, 'PTHR24264:SF53', NULL, NULL, NULL, NULL, 'TRYPSIN-2', NULL, NULL, NULL, 15),
(61472, NULL, 'PTHR47999:SF80', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61473, NULL, 'PTHR45721:SF4', NULL, NULL, NULL, NULL, 'LAMIN L3', NULL, NULL, NULL, 15),
(61474, NULL, 'PTHR12552:SF3', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 42', NULL, NULL, NULL, 15),
(61475, NULL, 'PTHR11879:SF22', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(61476, NULL, 'PTHR35250:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 4', NULL, NULL, NULL, 15),
(61477, NULL, 'PTHR48009:SF11', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERL1', NULL, NULL, NULL, 15),
(61478, NULL, 'PTHR36733:SF6', NULL, NULL, NULL, NULL, 'BNAC07G50610D PROTEIN', NULL, NULL, NULL, 15),
(61479, NULL, 'PTHR24384:SF121', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 680', NULL, NULL, NULL, 15),
(61480, NULL, 'PTHR12176:SF64', NULL, NULL, NULL, NULL, 'PROTEIN CBG14642', NULL, NULL, NULL, 15),
(61481, NULL, 'PTHR34786:SF1', NULL, NULL, NULL, NULL, 'OS09G0504900 PROTEIN', NULL, NULL, NULL, 15),
(61482, NULL, 'PTHR11570:SF27', NULL, NULL, NULL, NULL, 'BNAC01G34670D PROTEIN', NULL, NULL, NULL, 15),
(61483, NULL, 'PTHR11699:SF278', NULL, NULL, NULL, NULL, 'RETINAL DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(61484, NULL, 'PTHR33057:SF138', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP10', NULL, NULL, NULL, 15),
(61485, NULL, 'PTHR24166:SF30', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 63', NULL, NULL, NULL, 15),
(61486, NULL, 'PTHR35317:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61487, NULL, 'PTHR45696:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61488, NULL, 'PTHR47354:SF6', NULL, NULL, NULL, NULL, 'NADH OXIDOREDUCTASE HCR', NULL, NULL, NULL, 15),
(61489, NULL, 'PTHR12378:SF55', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(61490, NULL, 'PTHR45648:SF74', NULL, NULL, NULL, NULL, 'BNAC08G21900D PROTEIN', NULL, NULL, NULL, 15),
(61491, NULL, 'PTHR10353:SF209', NULL, NULL, NULL, NULL, 'GALACTOLIPID GALACTOSYLTRANSFERASE SFR2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(61492, NULL, 'PTHR22298:SF152', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(61493, NULL, 'PTHR26450:SF18', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52N5', NULL, NULL, NULL, 15),
(61494, NULL, 'PTHR45675:SF81', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB2', NULL, NULL, NULL, 15),
(61495, NULL, 'PTHR33730:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61496, NULL, 'PTHR33124:SF44', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61497, NULL, 'PTHR30509', NULL, NULL, NULL, NULL, 'P-HYDROXYBENZOIC ACID EFFLUX PUMP SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(61498, NULL, 'PTHR34256:SF1', NULL, NULL, NULL, NULL, 'UPF0561 PROTEIN C2ORF68', NULL, NULL, NULL, 15),
(61499, NULL, 'PTHR24056:SF126', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 12', NULL, NULL, NULL, 15),
(61500, NULL, 'PTHR34439:SF1', NULL, NULL, NULL, NULL, 'CENTROBIN', NULL, NULL, NULL, 15),
(61501, NULL, 'PTHR24006:SF722', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 48', NULL, NULL, NULL, 15),
(61502, NULL, 'PTHR13268:SF13', NULL, NULL, NULL, NULL, 'BNAA10G08530D PROTEIN', NULL, NULL, NULL, 15),
(61503, NULL, 'PTHR24031:SF326', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 53, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(61504, NULL, 'PTHR43452:SF24', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE-RELATED', NULL, NULL, NULL, 15),
(61505, NULL, 'PTHR12374:SF56', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER 2A', NULL, NULL, NULL, 15),
(61506, NULL, 'PTHR24050:SF23', NULL, NULL, NULL, NULL, 'FIBULIN-1', NULL, NULL, NULL, 15),
(61507, NULL, 'PTHR31236:SF53', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 13-LIKE', NULL, NULL, NULL, 15),
(61508, NULL, 'PTHR45738:SF2', NULL, NULL, NULL, NULL, 'OS06G0195600 PROTEIN', NULL, NULL, NULL, 15),
(61509, NULL, 'PTHR33085:SF40', NULL, NULL, NULL, NULL, 'OS06G0189600 PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61510, NULL, 'PTHR30154:SF35', NULL, NULL, NULL, NULL, 'ASNC-FAMILY TRANSCRIPTIONAL REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61511, NULL, 'PTHR11071:SF439', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(61512, NULL, 'PTHR47965:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61513, NULL, 'PTHR11206:SF270', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EXTRUSION PROTEIN 2', NULL, NULL, NULL, 15),
(61514, NULL, 'PTHR23510:SF69', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING MEMBRANE PROTEIN OS09G0521800', NULL, NULL, NULL, 15),
(61515, NULL, 'PTHR34002:SF10', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(61516, NULL, 'PTHR30118', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LEUO-RELATED', NULL, NULL, NULL, 15),
(61517, NULL, 'PTHR24409:SF389', NULL, NULL, NULL, NULL, 'PROTEIN CBR-ZTF-1', NULL, NULL, NULL, 15),
(61518, NULL, 'PTHR14432:SF2', NULL, NULL, NULL, NULL, 'TANK-BINDING KINASE 1-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(61519, NULL, 'PTHR13077:SF6', NULL, NULL, NULL, NULL, 'SELENOPROTEIN F', NULL, NULL, NULL, 15),
(61520, NULL, 'PTHR10353:SF194', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 12-RELATED', NULL, NULL, NULL, 15),
(61521, NULL, 'PTHR42959:SF1', NULL, NULL, NULL, NULL, 'CARBAMOYLTRANSFERASE HYPF', NULL, NULL, NULL, 15),
(61522, NULL, 'PTHR23430:SF287', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(61523, NULL, 'PTHR36206:SF7', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(61524, NULL, 'PTHR36527:SF3', NULL, NULL, NULL, NULL, 'OS01G0282866 PROTEIN', NULL, NULL, NULL, 15),
(61525, NULL, 'PTHR46648:SF2', NULL, NULL, NULL, NULL, 'HIT DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(61526, NULL, 'PTHR46824:SF7', NULL, NULL, NULL, NULL, 'BNAA03G55310D PROTEIN', NULL, NULL, NULL, 15),
(61527, NULL, 'PTHR40765:SF2', NULL, NULL, NULL, NULL, 'ESX-2 SECRETION SYSTEM ATPASE ECCB2', NULL, NULL, NULL, 15),
(61528, NULL, 'PTHR20835:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61529, NULL, 'PTHR19847:SF19', NULL, NULL, NULL, NULL, 'LEC14B HOMOLOG', NULL, NULL, NULL, 15),
(61530, NULL, 'PTHR45884:SF5', NULL, NULL, NULL, NULL, 'ESTABLISHMENT OF SISTER CHROMATID COHESION N-ACETYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(61531, NULL, 'PTHR28649:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 41', NULL, NULL, NULL, 15),
(61532, NULL, 'PTHR11524:SF39', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7-3-RELATED', NULL, NULL, NULL, 15),
(61533, NULL, 'PTHR11787', NULL, NULL, NULL, NULL, 'RAB GDP-DISSOCIATION INHIBITOR', NULL, NULL, 19511, 15),
(61534, NULL, 'PTHR46632:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINA-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(61535, NULL, 'PTHR13813:SF2', NULL, NULL, NULL, NULL, 'GLYCOPHORIN-B', NULL, NULL, NULL, 15),
(61536, NULL, 'PTHR47993:SF64', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(61537, NULL, 'PTHR21562:SF72', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(61538, NULL, 'PTHR31232:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61539, NULL, 'PTHR22849:SF130', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(61540, NULL, 'PTHR43778:SF2', NULL, NULL, NULL, NULL, 'PYRUVATE CARBOXYLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(61541, NULL, 'PTHR23257:SF757', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE', NULL, NULL, NULL, 15),
(61542, NULL, 'PTHR32246:SF83', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(61543, NULL, 'PTHR39963:SF1', NULL, NULL, NULL, NULL, 'SLL0983 PROTEIN', NULL, NULL, NULL, 15),
(61544, NULL, 'PTHR46353:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GIS3-LIKE', NULL, NULL, NULL, 15),
(61545, NULL, 'PTHR45933:SF6', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 11', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61546, NULL, 'PTHR44051:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-LIKE PROTEIN TPCF', NULL, NULL, NULL, 15),
(61547, NULL, 'PTHR12000:SF46', NULL, NULL, NULL, NULL, 'LEGUMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61548, NULL, 'PTHR43634:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61549, NULL, 'PTHR45724:SF38', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP5-1 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(61550, NULL, 'PTHR47463:SF3', NULL, NULL, NULL, NULL, 'BNAA10G04050D PROTEIN', NULL, NULL, NULL, 15),
(61551, NULL, 'PTHR10426', NULL, NULL, NULL, NULL, 'STRICTOSIDINE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(61552, NULL, 'PTHR11363:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L3', NULL, NULL, NULL, 15),
(61553, NULL, 'PTHR45752:SF99', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(61554, NULL, 'PTHR31194:SF98', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF121-RELATED', NULL, NULL, NULL, 15),
(61555, NULL, 'PTHR31235:SF353', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(61556, NULL, 'PTHR47977:SF30', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABC2A-LIKE', NULL, NULL, NULL, 15),
(61557, NULL, 'PTHR47640:SF28', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP45-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(61558, NULL, 'PTHR10615:SF180', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE SAS2', NULL, NULL, NULL, 15),
(61559, NULL, 'PTHR10177:SF480', NULL, NULL, NULL, NULL, 'CYCLIN D3,3-RELATED', NULL, NULL, NULL, 15),
(61560, NULL, 'PTHR43039:SF20', NULL, NULL, NULL, NULL, 'SIGMA FACTOR SIGB REGULATION RSBQ-LIKE PROTEIN', NULL, NULL, NULL, 15),
(61561, NULL, 'PTHR43601:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(61562, NULL, 'PTHR34826:SF1', NULL, NULL, NULL, NULL, 'UPF0590 PROTEIN C594.01', NULL, NULL, NULL, 15),
(61563, NULL, 'PTHR24350:SF8', NULL, NULL, NULL, NULL, 'AURORA/IPL1 RELATED KINASE', NULL, NULL, NULL, 15),
(61564, NULL, 'PTHR11680:SF43', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(61565, NULL, 'PTHR21319:SF47', NULL, NULL, NULL, NULL, 'BNAA09G44410D PROTEIN', NULL, NULL, NULL, 15),
(61566, NULL, 'PTHR47753:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(61567, NULL, 'PTHR45992:SF7', NULL, NULL, NULL, NULL, 'HEAVY CHAIN KINASE A, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(61568, NULL, 'PTHR32410:SF180', NULL, NULL, NULL, NULL, 'BNAA09G09760D PROTEIN', NULL, NULL, NULL, 15),
(61569, NULL, 'PTHR14205:SF16', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN DWA2', NULL, NULL, NULL, 15),
(61570, NULL, 'PTHR24106:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61571, NULL, 'PTHR45898:SF21', NULL, NULL, NULL, NULL, 'ENTH/VHS, TARGET OF MYB PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(61572, NULL, 'PTHR46813:SF5', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 18', NULL, NULL, NULL, 15),
(61573, NULL, 'PTHR38015:SF1', NULL, NULL, NULL, NULL, 'BLR6086 PROTEIN', NULL, NULL, NULL, 15),
(61574, NULL, 'PTHR13817:SF59', NULL, NULL, NULL, NULL, 'PROTEIN SIDEKICK-2', NULL, NULL, NULL, 15),
(61575, NULL, 'PTHR10663:SF367', NULL, NULL, NULL, NULL, 'PROTEIN CBG21340', NULL, NULL, NULL, 15),
(61576, NULL, 'PTHR23192:SF65', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L2B, TANDEM DUPLICATE 1-RELATED', NULL, NULL, NULL, 15),
(61577, NULL, 'PTHR31916:SF52', NULL, NULL, NULL, NULL, 'BNAC03G65720D PROTEIN', NULL, NULL, NULL, 15),
(61578, NULL, 'PTHR47733:SF1', NULL, NULL, NULL, NULL, 'ATAXIN-7-LIKE PROTEIN 3B', NULL, NULL, NULL, 15),
(61579, NULL, 'PTHR11620:SF62', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L23, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(61580, NULL, 'PTHR47991:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61581, NULL, 'PTHR42893:SF10', NULL, NULL, NULL, NULL, 'EFFLUX FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(61582, NULL, 'PTHR15249', NULL, NULL, NULL, NULL, 'TRAF FAMILY MEMBER-ASSOCIATED NF-KAPPA-B ACTIVATOR', NULL, NULL, 29021, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61583, NULL, 'PTHR23081:SF0', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II SUBUNIT A C-TERMINAL DOMAIN PHOSPHATASE', NULL, NULL, NULL, 15),
(61584, NULL, 'PTHR47926:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61585, NULL, 'PTHR43329:SF91', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61586, NULL, 'PTHR18966:SF502', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3.1', NULL, NULL, NULL, 15),
(61587, NULL, 'PTHR45855:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF5', NULL, NULL, NULL, 15),
(61588, NULL, 'PTHR13049:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61589, NULL, 'PTHR38537:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61590, NULL, 'PTHR47924:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61591, NULL, 'PTHR11516:SF66', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(61592, NULL, 'PTHR35772:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61593, NULL, 'PTHR10484:SF185', NULL, NULL, NULL, NULL, 'HISTONE H4', NULL, NULL, NULL, 15),
(61594, NULL, 'PTHR11733:SF205', NULL, NULL, NULL, NULL, 'NEPRILYSIN-11', NULL, NULL, NULL, 15),
(61595, NULL, 'PTHR31933:SF5', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 39', NULL, NULL, NULL, 15),
(61596, NULL, 'PTHR10534:SF15', NULL, NULL, NULL, NULL, 'PYRIDOXINE/PYRIDOXAL/PYRIDOXAMINE KINASE', NULL, NULL, NULL, 15),
(61597, NULL, 'PTHR10996:SF258', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14400)-RELATED', NULL, NULL, NULL, 15),
(61598, NULL, 'PTHR47116:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61599, NULL, 'PTHR23193:SF20', NULL, NULL, NULL, NULL, 'POM121-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(61600, NULL, 'PTHR31325:SF34', NULL, NULL, NULL, NULL, 'OS06G0119100 PROTEIN', NULL, NULL, NULL, 15),
(61601, NULL, 'PTHR22906', NULL, NULL, NULL, NULL, 'PROPERDIN', NULL, NULL, NULL, 15),
(61602, NULL, 'PTHR43294:SF5', NULL, NULL, NULL, NULL, 'CATION TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(61603, NULL, 'PTHR10424:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61604, NULL, 'PTHR24012:SF806', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(61605, NULL, 'PTHR32009:SF82', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(61606, NULL, 'PTHR10281:SF80', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61607, NULL, 'PTHR22802:SF380', NULL, NULL, NULL, NULL, 'ZGC:174904', NULL, NULL, NULL, 15),
(61608, NULL, 'PTHR10426:SF115', NULL, NULL, NULL, NULL, 'PROTEIN CBG20870', NULL, NULL, NULL, 15),
(61609, NULL, 'PTHR31790:SF288', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN DOR', NULL, NULL, NULL, 15),
(61610, NULL, 'PTHR47323:SF7', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(61611, NULL, 'PTHR19965:SF69', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61612, NULL, 'PTHR10094:SF25', NULL, NULL, NULL, NULL, 'EUCALYPTUS, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(61613, NULL, 'PTHR12346:SF22', NULL, NULL, NULL, NULL, 'OS08G0339750 PROTEIN', NULL, NULL, NULL, 15),
(61614, NULL, 'PTHR11088:SF53', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(61615, NULL, 'PTHR30399:SF1', NULL, NULL, NULL, NULL, 'SLL8048 PROTEIN', NULL, NULL, NULL, 15),
(61616, NULL, 'PTHR11986:SF118', NULL, NULL, NULL, NULL, 'ORNITHINE AMINOTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(61617, NULL, 'PTHR47967:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61618, NULL, 'PTHR45644:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61619, NULL, 'PTHR36080', NULL, NULL, NULL, NULL, 'DBJ|BAA96220.1', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61620, NULL, 'PTHR30118:SF14', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(61621, NULL, 'PTHR24377:SF248', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(61622, NULL, 'PTHR34591:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61623, NULL, 'PTHR48063:SF17', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERL1', NULL, NULL, NULL, 15),
(61624, NULL, 'PTHR23193:SF15', NULL, NULL, NULL, NULL, 'NUCLEAR PORE-ASSOCIATED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(61625, NULL, 'PTHR48053:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61626, NULL, 'PTHR10903:SF106', NULL, NULL, NULL, NULL, 'SI:CH211-113E8.9-RELATED', NULL, NULL, NULL, 15),
(61627, NULL, 'PTHR42929:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YDCU-RELATED', NULL, NULL, NULL, 15),
(61628, NULL, 'PTHR33377:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61629, NULL, 'PTHR48024:SF19', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEINS 1B-RELATED', NULL, NULL, NULL, 15),
(61630, NULL, 'PTHR31942:SF77', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 14', NULL, NULL, NULL, 15),
(61631, NULL, 'PTHR23335:SF30', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 3', NULL, NULL, NULL, 15),
(61632, NULL, 'PTHR11188:SF46', NULL, NULL, NULL, NULL, 'ARRESTIN-RELATED TRAFFICKING ADAPTER 3-RELATED', NULL, NULL, NULL, 15),
(61633, NULL, 'PTHR33882:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(61634, NULL, 'PTHR46128:SF205', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(61635, NULL, 'PTHR11675:SF117', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(61636, NULL, 'PTHR47993:SF67', NULL, NULL, NULL, NULL, 'OS12G0568600 PROTEIN', NULL, NULL, NULL, 15),
(61637, NULL, 'PTHR27007:SF279', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', NULL, NULL, NULL, 15),
(61638, NULL, 'PTHR23001:SF16', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT BETA', NULL, NULL, NULL, 15),
(61639, NULL, 'PTHR12321:SF127', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: PHD FINGER PROTEIN ALFIN-LIKE 5-LIKE', NULL, NULL, NULL, 15),
(61640, NULL, 'PTHR24064:SF558', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61641, NULL, 'PTHR22854:SF2', NULL, NULL, NULL, NULL, 'TRYPTOPHAN BIOSYNTHESIS PROTEIN TRPCF', NULL, NULL, NULL, 15),
(61642, NULL, 'PTHR34997:SF2', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03980)-RELATED', NULL, NULL, NULL, 15),
(61643, NULL, 'PTHR31683:SF21', NULL, NULL, NULL, NULL, 'PECTATE LYASE 12-RELATED', NULL, NULL, NULL, 15),
(61644, NULL, 'PTHR27000:SF580', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RPK2', NULL, NULL, NULL, 15),
(61645, NULL, 'PTHR22941:SF134', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(61646, NULL, 'PTHR10269:SF4', NULL, NULL, NULL, NULL, 'GDNF FAMILY RECEPTOR ALPHA-2', NULL, NULL, NULL, 15),
(61647, NULL, 'PTHR46831:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 19', NULL, NULL, NULL, 15),
(61648, NULL, 'PTHR35167', NULL, NULL, NULL, NULL, 'OS05G0216466 PROTEIN', NULL, NULL, NULL, 15),
(61649, NULL, 'PTHR19139:SF280', NULL, NULL, NULL, NULL, 'AQUAPORIN', NULL, NULL, NULL, 15),
(61650, NULL, 'PTHR24393:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61651, NULL, 'PTHR47990:SF68', NULL, NULL, NULL, NULL, 'ISOPENICILLIN N SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(61652, NULL, 'PTHR10334:SF433', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN PRMS-LIKE', NULL, NULL, NULL, 15),
(61653, NULL, 'PTHR31581:SF1', NULL, NULL, NULL, NULL, 'KICSTOR COMPLEX PROTEIN C12ORF66', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61654, NULL, 'PTHR11937:SF481', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 3C', NULL, NULL, NULL, 15),
(61655, NULL, 'PTHR33481', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE', NULL, NULL, NULL, 15),
(61656, NULL, 'PTHR21669:SF1', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 2A-RELATED', NULL, NULL, NULL, 15),
(61657, NULL, 'PTHR10370:SF0', NULL, NULL, NULL, NULL, 'ERYTHROPOIETIN', NULL, NULL, NULL, 15),
(61658, NULL, 'PTHR11069:SF37', NULL, NULL, NULL, NULL, 'GLUCOSYLCERAMIDASE 1-RELATED', NULL, NULL, NULL, 15),
(61659, NULL, 'PTHR30100', NULL, NULL, NULL, NULL, 'FATTY ACID/PHOSPHOLIPID SYNTHESIS PROTEIN PLSX', NULL, NULL, 8399, 15),
(61660, NULL, 'PTHR23417:SF21', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(7)-)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(61661, NULL, 'PTHR31677:SF157', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 3', NULL, NULL, NULL, 15),
(61662, NULL, 'PTHR43670:SF80', NULL, NULL, NULL, NULL, 'BNAA04G15610D PROTEIN', NULL, NULL, NULL, 15),
(61663, NULL, 'PTHR39708:SF2', NULL, NULL, NULL, NULL, 'OS07G0483400 PROTEIN', NULL, NULL, NULL, 15),
(61664, NULL, 'PTHR26450:SF22', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51B6', NULL, NULL, NULL, 15),
(61665, NULL, 'PTHR34239:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61666, NULL, 'PTHR12317:SF64', NULL, NULL, NULL, NULL, 'TYPE 2 ACYL-COA DIACYLGLYCEROL ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(61667, NULL, 'PTHR30128:SF57', NULL, NULL, NULL, NULL, 'BLR1084 PROTEIN', NULL, NULL, NULL, 15),
(61668, NULL, 'PTHR31917:SF66', NULL, NULL, NULL, NULL, 'AGENET DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(61669, NULL, 'PTHR12951:SF5', NULL, NULL, NULL, NULL, 'PROTEIN UNC-119 HOMOLOG A', NULL, NULL, 27142, 15),
(61670, NULL, 'PTHR19303', NULL, NULL, NULL, NULL, 'TRANSPOSON', NULL, NULL, NULL, 15),
(61671, NULL, 'PTHR11453:SF106', NULL, NULL, NULL, NULL, 'BICARBONATE TRANSPORTER, EUKARYOTIC-RELATED', NULL, NULL, NULL, 15),
(61672, NULL, 'PTHR31050:SF8', NULL, NULL, NULL, NULL, 'BNAC08G15950D PROTEIN', NULL, NULL, NULL, 15),
(61673, NULL, 'PTHR46854:SF3', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61674, NULL, 'PTHR13179:SF8', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN DEPDC5', NULL, NULL, NULL, 15),
(61675, NULL, 'PTHR11206:SF367', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(61676, NULL, 'PTHR24083:SF149', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(61677, NULL, 'PTHR11176:SF13', NULL, NULL, NULL, NULL, 'SUPPRESSOR', NULL, NULL, NULL, 15),
(61678, NULL, 'PTHR33384:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61679, NULL, 'PTHR31568:SF100', NULL, NULL, NULL, NULL, 'BNAA06G32650D PROTEIN', NULL, NULL, NULL, 15),
(61680, NULL, 'PTHR27006:SF264', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61681, NULL, 'PTHR27009:SF67', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(61682, NULL, 'PTHR24377:SF852', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 59', NULL, NULL, NULL, 15),
(61683, NULL, 'PTHR47997:SF17', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61684, NULL, 'PTHR19256:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61685, NULL, 'PTHR43829:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61686, NULL, 'PTHR24291:SF154', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 4, SUBFAMILY F, POLYPEPTIDE 40', NULL, NULL, NULL, 15),
(61687, NULL, 'PTHR12321:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61688, NULL, 'PTHR46285:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61689, NULL, 'PTHR24225:SF17', NULL, NULL, NULL, NULL, 'FORMYL PEPTIDE RECEPTOR-RELATED SEQUENCE 6-RELATED', NULL, NULL, NULL, 15),
(61690, NULL, 'PTHR48019:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61691, NULL, 'PTHR36961', NULL, NULL, NULL, NULL, 'LEUKEMIA-ASSOCIATED PROTEIN 7', NULL, NULL, 26273, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61692, NULL, 'PTHR16557', NULL, NULL, NULL, NULL, 'ALKYLATED DNA REPAIR PROTEIN ALKB-RELATED', NULL, NULL, 543, 15),
(61693, NULL, 'PTHR32285:SF34', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BEREFRINGENCE-LIKE 7', NULL, NULL, 26615, 15),
(61694, NULL, 'PTHR12277:SF37', NULL, NULL, NULL, NULL, 'PROTEIN ABHD16B', NULL, NULL, NULL, 15),
(61695, NULL, 'PTHR45614:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61696, NULL, 'PTHR15282:SF6', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY E MEMBER 3', NULL, NULL, 60, 15),
(61697, NULL, 'PTHR46196:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR EMB1444-RELATED', NULL, NULL, NULL, 15),
(61698, NULL, 'PTHR47926:SF184', NULL, NULL, NULL, NULL, 'BNACNNG64210D PROTEIN', NULL, NULL, NULL, 15),
(61699, NULL, 'PTHR32295:SF214', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 4', NULL, NULL, NULL, 15),
(61700, NULL, 'PTHR11349:SF108', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(61701, NULL, 'PTHR38590:SF1', NULL, NULL, NULL, NULL, 'BLL0828 PROTEIN', NULL, NULL, NULL, 15),
(61702, NULL, 'PTHR31325:SF89', NULL, NULL, NULL, NULL, 'OS01G0333600 PROTEIN', NULL, NULL, NULL, 15),
(61703, NULL, 'PTHR15241:SF338', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN 3', NULL, NULL, NULL, 15),
(61704, NULL, 'PTHR21087:SF4', NULL, NULL, NULL, NULL, 'INACTIVE SHIKIMATE KINASE LIKE 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(61705, NULL, 'PTHR34963:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PSB28 PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(61706, NULL, 'PTHR42757:SF12', NULL, NULL, NULL, NULL, 'IGLON FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(61707, NULL, 'PTHR19433:SF123', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 24', NULL, NULL, NULL, 15),
(61708, NULL, 'PTHR13068:SF132', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(61709, NULL, 'PTHR12080:SF46', NULL, NULL, NULL, NULL, 'SLAM FAMILY MEMBER 7', NULL, NULL, NULL, 15),
(61710, NULL, 'PTHR22765:SF253', NULL, NULL, NULL, NULL, 'BNAA03G47220D PROTEIN', NULL, NULL, NULL, 15),
(61711, NULL, 'PTHR23315:SF274', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(61712, NULL, 'PTHR11913:SF16', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 5', NULL, NULL, NULL, 15),
(61713, NULL, 'PTHR32044:SF71', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(61714, NULL, 'PTHR14226:SF10', NULL, NULL, NULL, NULL, 'LIPASE 4-RELATED', NULL, NULL, NULL, 15),
(61715, NULL, 'PTHR13723:SF200', NULL, NULL, NULL, NULL, 'ADAMTS FAMILY', NULL, NULL, NULL, 15),
(61716, NULL, 'PTHR36178:SF2', NULL, NULL, NULL, NULL, 'SLR0625 PROTEIN', NULL, NULL, NULL, 15),
(61717, NULL, 'PTHR47991:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61718, NULL, 'PTHR14209:SF33', NULL, NULL, NULL, NULL, 'BNAA03G17630D PROTEIN', NULL, NULL, NULL, 15),
(61719, NULL, 'PTHR11439:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61720, NULL, 'PTHR11834:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SCALLOPED', NULL, NULL, NULL, 15),
(61721, NULL, 'PTHR33078:SF48', NULL, NULL, NULL, NULL, 'NADH-PLASTOQUINONE OXIDOREDUCTASE, CHAIN 5 SUBGROUP-RELATED', NULL, NULL, NULL, 15),
(61722, NULL, 'PTHR10903', NULL, NULL, NULL, NULL, 'GTPASE, IMAP FAMILY MEMBER-RELATED', NULL, NULL, 38722, 15),
(61723, NULL, 'PTHR23280:SF4', NULL, NULL, NULL, NULL, 'BAND 4.1-LIKE PROTEIN 4A', NULL, NULL, 22296, 15),
(61724, NULL, 'PTHR39563', NULL, NULL, NULL, NULL, 'XANTHINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, 17404, 15),
(61725, NULL, 'PTHR24068:SF74', NULL, NULL, NULL, NULL, 'FI16911P1', NULL, NULL, NULL, 15),
(61726, NULL, 'PTHR18063:SF18', NULL, NULL, NULL, NULL, 'OS08G0527500 PROTEIN', NULL, NULL, NULL, 15),
(61727, NULL, 'PTHR33748:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04248', NULL, NULL, NULL, 15),
(61728, NULL, 'PTHR24271:SF3', NULL, NULL, NULL, NULL, 'KALLIKREIN-13', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61729, NULL, 'PTHR42683:SF17', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 1-RELATED', NULL, NULL, NULL, 15),
(61730, NULL, 'PTHR18934:SF219', NULL, NULL, NULL, NULL, 'DNA/RNA HELICASE, DEAD/DEAH BOX TYPE, N-TERMINAL', NULL, NULL, NULL, 15),
(61731, NULL, 'PTHR15712:SF19', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(61732, NULL, 'PTHR33202:SF6', NULL, NULL, NULL, NULL, 'ZINC UPTAKE REGULATION PROTEIN', NULL, NULL, NULL, 15),
(61733, NULL, 'PTHR33138:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61734, NULL, 'PTHR33076:SF78', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(61735, NULL, 'PTHR46624', NULL, NULL, NULL, NULL, 'AGAP002036-PA', NULL, NULL, 36831, 15),
(61736, NULL, 'PTHR45627', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 1', NULL, NULL, NULL, 15),
(61737, NULL, 'PTHR48044:SF55', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(61738, NULL, 'PTHR35852', NULL, NULL, NULL, NULL, 'PROTEIN CBG16246', NULL, NULL, 34257, 15),
(61739, NULL, 'PTHR43888:SF36', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ A6', NULL, NULL, NULL, 15),
(61740, NULL, 'PTHR11590:SF52', NULL, NULL, NULL, NULL, 'HEMOCYTE PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(61741, NULL, 'PTHR12722:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM50A', NULL, NULL, NULL, 15),
(61742, NULL, 'PTHR48049:SF45', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(61743, NULL, 'PTHR11732:SF290', NULL, NULL, NULL, NULL, 'PROTEIN CBG09588', NULL, NULL, NULL, 15),
(61744, NULL, 'PTHR43787:SF10', NULL, NULL, NULL, NULL, 'COFACTOR MODIFYING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61745, NULL, 'PTHR20917:SF0', NULL, NULL, NULL, NULL, 'CALCIUM LOAD-ACTIVATED CALCIUM CHANNEL', NULL, NULL, NULL, 15),
(61746, NULL, 'PTHR31016', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(61747, NULL, 'PTHR33110:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61748, NULL, 'PTHR28576', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED PROTEIN 5', NULL, NULL, 37038, 15),
(61749, NULL, 'PTHR43601:SF23', NULL, NULL, NULL, NULL, 'THIOREDOXIN Y1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(61750, NULL, 'PTHR19321:SF22', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(61751, NULL, 'PTHR43248:SF21', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01350)-RELATED', NULL, NULL, NULL, 15),
(61752, NULL, 'PTHR46401:SF7', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE A', NULL, NULL, NULL, 15),
(61753, NULL, 'PTHR36067:SF4', NULL, NULL, NULL, NULL, 'BNAC02G43600D PROTEIN', NULL, NULL, NULL, 15),
(61754, NULL, 'PTHR23064:SF54', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(61755, NULL, 'PTHR10891:SF806', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML39', NULL, NULL, NULL, 15),
(61756, NULL, 'PTHR27006:SF287', NULL, NULL, NULL, NULL, 'OS08G0203600 PROTEIN', NULL, NULL, NULL, 15),
(61757, NULL, 'PTHR31418:SF20', NULL, NULL, NULL, NULL, 'PERMEABLE EGGSHELL', NULL, NULL, NULL, 15),
(61758, NULL, 'PTHR11349:SF105', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE 1', NULL, NULL, NULL, 15),
(61759, NULL, 'PTHR22840', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 36', NULL, NULL, NULL, 15),
(61760, NULL, 'PTHR24136:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61761, NULL, 'PTHR10209:SF452', NULL, NULL, NULL, NULL, 'OSJNBA0064M23.15 PROTEIN', NULL, NULL, NULL, 15),
(61762, NULL, 'PTHR24067:SF248', NULL, NULL, NULL, NULL, 'DORSAL INTERACTING PROTEIN 4', NULL, NULL, 23613, 15),
(61763, NULL, 'PTHR10783:SF112', NULL, NULL, NULL, NULL, 'EXS-RELATED', NULL, NULL, NULL, 15),
(61764, NULL, 'PTHR42743:SF13', NULL, NULL, NULL, NULL, 'YALI0C15422P', NULL, NULL, NULL, 15),
(61765, NULL, 'PTHR28280', NULL, NULL, NULL, NULL, 'SHUTTLING PRE-60S FACTOR ECM1', NULL, NULL, NULL, 15),
(61766, NULL, 'PTHR46022:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PATCHED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61767, NULL, 'PTHR11440:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID:DIACYLGLYCEROL ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(61768, NULL, 'PTHR44757', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCP', NULL, NULL, NULL, 15),
(61769, NULL, 'PTHR31623:SF87', NULL, NULL, NULL, NULL, 'BNAA09G05070D PROTEIN', NULL, NULL, NULL, 15),
(61770, NULL, 'PTHR37614:SF2', NULL, NULL, NULL, NULL, 'OS02G0121400 PROTEIN', NULL, NULL, NULL, 15),
(61771, NULL, 'PTHR32009:SF84', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-LIKE RECEPTOR-PROTEIN', NULL, NULL, NULL, 15),
(61772, NULL, 'PTHR10802:SF3', NULL, NULL, NULL, NULL, 'IP11229P', NULL, NULL, NULL, 15),
(61773, NULL, 'PTHR31339:SF51', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE/GLYCOSIDE HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(61774, NULL, 'PTHR12174:SF39', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 2B', NULL, NULL, 8366, 15),
(61775, NULL, 'PTHR38793:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61776, NULL, 'PTHR31400:SF2', NULL, NULL, NULL, NULL, 'GUANYLYL CYCLASE-RELATED', NULL, NULL, NULL, 15),
(61777, NULL, 'PTHR32525:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE', NULL, NULL, NULL, 15),
(61778, NULL, 'PTHR14286', NULL, NULL, NULL, NULL, 'GENE, 49355-RELATED', NULL, NULL, 24902, 15),
(61779, NULL, 'PTHR19871:SF28', NULL, NULL, NULL, NULL, 'AGAP004827-PA', NULL, NULL, NULL, 15),
(61780, NULL, 'PTHR43670:SF39', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(61781, NULL, 'PTHR47086:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM-TYPE-CONTAINING 9', NULL, NULL, NULL, 15),
(61782, NULL, 'PTHR10634:SF106', NULL, NULL, NULL, NULL, 'BNACNNG45170D PROTEIN', NULL, NULL, NULL, 15),
(61783, NULL, 'PTHR11010:SF23', NULL, NULL, NULL, NULL, 'SERINE PEPTIDASE', NULL, NULL, NULL, 15),
(61784, NULL, 'PTHR11266', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 2, PXMP2  MPV17', NULL, NULL, 6980, 15),
(61785, NULL, 'PTHR18871', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 112 KDA', NULL, NULL, NULL, 15),
(61786, NULL, 'PTHR24300:SF103', NULL, NULL, NULL, NULL, 'CYP2A22 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61787, NULL, 'PTHR22973:SF11', NULL, NULL, NULL, NULL, 'GOLGI RESIDENT PROTEIN GCP60', NULL, NULL, NULL, 15),
(61788, NULL, 'PTHR37812', NULL, NULL, NULL, NULL, 'MU-LIKE PROPHAGE FLUMU PROTEIN C', NULL, NULL, NULL, 15),
(61789, NULL, 'PTHR12956:SF67', NULL, NULL, NULL, NULL, 'BNAANNG02230D PROTEIN', NULL, NULL, NULL, 15),
(61790, NULL, 'PTHR34194:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ATRX HOMOLOG', NULL, NULL, NULL, 15),
(61791, NULL, 'PTHR32054:SF46', NULL, NULL, NULL, NULL, 'WEB FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61792, NULL, 'PTHR33384:SF17', NULL, NULL, NULL, NULL, 'BNAC07G32200D PROTEIN', NULL, NULL, NULL, 15),
(61793, NULL, 'PTHR23430:SF217', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-D', NULL, NULL, NULL, 15),
(61794, NULL, 'PTHR23244:SF446', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACHH', NULL, NULL, NULL, 15),
(61795, NULL, 'PTHR32546:SF7', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 179-RELATED', NULL, NULL, 24704, 15),
(61796, NULL, 'PTHR47318', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP37, CHLOROPLASTIC', NULL, NULL, 37013, 15),
(61797, NULL, 'PTHR11926:SF1332', NULL, NULL, NULL, NULL, '7-DEOXYLOGANETIC ACID GLUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(61798, NULL, 'PTHR10177:SF401', NULL, NULL, NULL, NULL, 'CYCLIN-O', NULL, NULL, 24745, 15),
(61799, NULL, 'PTHR31930:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS R', NULL, NULL, NULL, 15),
(61800, NULL, 'PTHR39398:SF1', NULL, NULL, NULL, NULL, 'YALI0F14311P', NULL, NULL, NULL, 15),
(61801, NULL, 'PTHR47652:SF3', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(61802, NULL, 'PTHR48047:SF70', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(61803, NULL, 'PTHR12369:SF15', NULL, NULL, NULL, NULL, 'BETA-1,4-N-ACETYLGALACTOSAMINYLTRANSFERASE 3', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61804, NULL, 'PTHR23130:SF198', NULL, NULL, NULL, NULL, 'CYTOCHROME AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(61805, NULL, 'PTHR45496:SF9', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(61806, NULL, 'PTHR46057:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.15 PROTEIN', NULL, NULL, NULL, 15),
(61807, NULL, 'PTHR14155:SF575', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61808, NULL, 'PTHR24073:SF1143', NULL, NULL, NULL, NULL, 'RAB41, MEMBER RAS ONCOGENE FAMILY', NULL, NULL, NULL, 15),
(61809, NULL, 'PTHR21450:SF43', NULL, NULL, NULL, NULL, 'BNAA10G08300D PROTEIN', NULL, NULL, NULL, 15),
(61810, NULL, 'PTHR24637:SF284', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(61811, NULL, 'PTHR24092:SF79', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE VB-RELATED', NULL, NULL, 23650, 15),
(61812, NULL, 'PTHR35464', NULL, NULL, NULL, NULL, 'OS06G0115200 PROTEIN', NULL, NULL, 36849, 15),
(61813, NULL, 'PTHR18821', NULL, NULL, NULL, NULL, 'PROKINETICIN', NULL, NULL, 10028, 15),
(61814, NULL, 'PTHR24281:SF149', NULL, NULL, NULL, NULL, '(S)-N-METHYLCOCLAURINE 3''-HYDROXYLASE ISOZYME 2-RELATED', NULL, NULL, NULL, 15),
(61815, NULL, 'PTHR34863:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(61816, NULL, 'PTHR43341:SF2', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE', NULL, NULL, NULL, 15),
(61817, NULL, 'PTHR45626:SF29', NULL, NULL, NULL, NULL, 'BNAA10G03160D PROTEIN', NULL, NULL, NULL, 15),
(61818, NULL, 'PTHR43591:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61819, NULL, 'PTHR15077:SF9', NULL, NULL, NULL, NULL, 'FAS-ASSOCIATED DEATH DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(61820, NULL, 'PTHR26453:SF314', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2M7', NULL, NULL, NULL, 15),
(61821, NULL, 'PTHR47244:SF2', NULL, NULL, NULL, NULL, 'OS02G0720300 PROTEIN', NULL, NULL, NULL, 15),
(61822, NULL, 'PTHR31235:SF56', NULL, NULL, NULL, NULL, 'PEROXIDASE 19', NULL, NULL, NULL, 15),
(61823, NULL, 'PTHR10784:SF9', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 6', NULL, NULL, NULL, 15),
(61824, NULL, 'PTHR31225:SF127', NULL, NULL, NULL, NULL, 'BETA MYRCENE/LIMONENE SYNTHASE', NULL, NULL, NULL, 15),
(61825, NULL, 'PTHR47338:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G09360)-RELATED', NULL, NULL, NULL, 15),
(61826, NULL, 'PTHR12263:SF0', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT', NULL, NULL, NULL, 15),
(61827, NULL, 'PTHR12080:SF16', NULL, NULL, NULL, NULL, 'SLAM FAMILY MEMBER 6', NULL, NULL, NULL, 15),
(61828, NULL, 'PTHR31707:SF186', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 36-RELATED', NULL, NULL, NULL, 15),
(61829, NULL, 'PTHR33830:SF18', NULL, NULL, NULL, NULL, 'BNAA01G07580D PROTEIN', NULL, NULL, NULL, 15),
(61830, NULL, 'PTHR45621:SF18', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(61831, NULL, 'PTHR27007:SF164', NULL, NULL, NULL, NULL, 'OS12G0500400 PROTEIN', NULL, NULL, NULL, 15),
(61832, NULL, 'PTHR31917:SF72', NULL, NULL, NULL, NULL, 'BNACNNG41910D PROTEIN', NULL, NULL, NULL, 15),
(61833, NULL, 'PTHR33405:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61834, NULL, 'PTHR24390:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61835, NULL, 'PTHR48079:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(61836, NULL, 'PTHR35726:SF4', NULL, NULL, NULL, NULL, 'GLUTAMIC ACID-RICH PROTEIN-LIKE', NULL, NULL, NULL, 15),
(61837, NULL, 'PTHR31689:SF0', NULL, NULL, NULL, NULL, 'DIAMINOPIMELATE EPIMERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(61838, NULL, 'PTHR22760:SF5', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(61839, NULL, 'PTHR46464', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37083, 15),
(61840, NULL, 'PTHR37994', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61841, NULL, 'PTHR10826:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61842, NULL, 'PTHR45736:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER MYM-TYPE PROTEIN 1', NULL, NULL, NULL, 15),
(61843, NULL, 'PTHR43780:SF2', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE DEAMINASE-RELATED', NULL, NULL, NULL, 15),
(61844, NULL, 'PTHR31602:SF84', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(61845, NULL, 'PTHR22937:SF156', NULL, NULL, NULL, NULL, 'OS05G0163400 PROTEIN', NULL, NULL, NULL, 15),
(61846, NULL, 'PTHR24351:SF188', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(61847, NULL, 'PTHR11361:SF137', NULL, NULL, NULL, NULL, 'REPAIR PROTEIN MSH5, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(61848, NULL, 'PTHR15710:SF93', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(61849, NULL, 'PTHR21193:SF3', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-LIKE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(61850, NULL, 'PTHR38703', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(61851, NULL, 'PTHR10555:SF170', NULL, NULL, NULL, NULL, 'FI18122P1', NULL, NULL, 29048, 15),
(61852, NULL, 'PTHR31587:SF5', NULL, NULL, NULL, NULL, 'NEMP FAMILY, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61853, NULL, 'PTHR22969:SF10', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE SUBUNIT EPSILON', NULL, NULL, NULL, 15),
(61854, NULL, 'PTHR47938:SF27', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(61855, NULL, 'PTHR36763', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(61856, NULL, 'PTHR35112:SF1', NULL, NULL, NULL, NULL, 'OS08G0360500 PROTEIN', NULL, NULL, NULL, 15),
(61857, NULL, 'PTHR24377:SF770', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 526', NULL, NULL, NULL, 15),
(61858, NULL, 'PTHR16212:SF4', NULL, NULL, NULL, NULL, 'FOCADHESIN', NULL, NULL, NULL, 15),
(61859, NULL, 'PTHR13857:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61860, NULL, 'PTHR12565:SF396', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH49-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(61861, NULL, 'PTHR46044:SF8', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NITRILASE/NITRILE HYDRATASE NIT4B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(61862, NULL, 'PTHR11430:SF5', NULL, NULL, NULL, NULL, 'VOMERONASAL SECRETORY PROTEIN 2', NULL, NULL, NULL, 15),
(61863, NULL, 'PTHR23056:SF116', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(61864, NULL, 'PTHR24062:SF88', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(61865, NULL, 'PTHR31561:SF80', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(61866, NULL, 'PTHR15377:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION REGULATOR 1', NULL, NULL, NULL, 15),
(61867, NULL, 'PTHR20843:SF0', NULL, NULL, NULL, NULL, 'PROTEIN AVEUGLE', NULL, NULL, NULL, 15),
(61868, NULL, 'PTHR46929:SF22', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61869, NULL, 'PTHR11692', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PURINE BIOSYNTHESIS PROTEIN PURH', NULL, NULL, 3871, 15),
(61870, NULL, 'PTHR12603:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61871, NULL, 'PTHR31933:SF16', NULL, NULL, NULL, NULL, 'BNAANNG14240D PROTEIN', NULL, NULL, NULL, 15),
(61872, NULL, 'PTHR13617', NULL, NULL, NULL, NULL, 'PROTEIN ABHD18', NULL, NULL, 18642, 15),
(61873, NULL, 'PTHR31391:SF23', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS03G0619800', NULL, NULL, NULL, 15),
(61874, NULL, 'PTHR11851:SF156', NULL, NULL, NULL, NULL, 'PROCESSING PEPTIDASE, BETA SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(61875, NULL, 'PTHR19944:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61876, NULL, 'PTHR43356', NULL, NULL, NULL, NULL, 'PHOSPHATE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(61877, NULL, 'PTHR13558:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 134', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61878, NULL, 'PTHR10625:SF205', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, NULL, 15),
(61879, NULL, 'PTHR33695', NULL, NULL, NULL, NULL, 'LIPOPROTEIN SIGNAL PEPTIDASE', NULL, NULL, 4261, 15),
(61880, NULL, 'PTHR27006:SF333', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(61881, NULL, 'PTHR31284:SF44', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1-LIKE', NULL, NULL, NULL, 15),
(61882, NULL, 'PTHR43313:SF7', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(61883, NULL, 'PTHR34659:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61884, NULL, 'PTHR39940:SF1', NULL, NULL, NULL, NULL, 'PROTHORACICOTROPIC HORMONE, ISOFORM F', NULL, NULL, NULL, 15),
(61885, NULL, 'PTHR42998:SF1', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME HINDVIIP M PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61886, NULL, 'PTHR19354:SF7', NULL, NULL, NULL, NULL, 'ZIPPER PUTATIVE TUMOR SUPPRESSOR 2 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(61887, NULL, 'PTHR43677:SF9', NULL, NULL, NULL, NULL, 'BNAA08G02470D PROTEIN', NULL, NULL, NULL, 15),
(61888, NULL, 'PTHR11626:SF3', NULL, NULL, NULL, NULL, 'INACTIVE SQUALENE SYNTHASE 2', NULL, NULL, NULL, 15),
(61889, NULL, 'PTHR37515', NULL, NULL, NULL, NULL, 'YALI0C09240P', NULL, NULL, NULL, 15),
(61890, NULL, 'PTHR33168:SF70', NULL, NULL, NULL, NULL, 'OS01G0182300 PROTEIN', NULL, NULL, NULL, 15),
(61891, NULL, 'PTHR24390:SF149', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 808', NULL, NULL, NULL, 15),
(61892, NULL, 'PTHR23070:SF37', NULL, NULL, NULL, NULL, 'OS07G0517500 PROTEIN', NULL, NULL, NULL, 15),
(61893, NULL, 'PTHR33044:SF100', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(61894, NULL, 'PTHR43631:SF1', NULL, NULL, NULL, NULL, 'PULLULANASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(61895, NULL, 'PTHR43042', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(61896, NULL, 'PTHR11062:SF252', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 64 PROTEIN C4-LIKE', NULL, NULL, NULL, 15),
(61897, NULL, 'PTHR14200', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE POLYPEPTIDE', NULL, NULL, 1935, 15),
(61898, NULL, 'PTHR33783:SF5', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 5', NULL, NULL, 31109, 15),
(61899, NULL, 'PTHR31517:SF17', NULL, NULL, NULL, NULL, 'PEROXIDASE 41', NULL, NULL, NULL, 15),
(61900, NULL, 'PTHR27005:SF145', NULL, NULL, NULL, NULL, 'OS10G0151100 PROTEIN', NULL, NULL, NULL, 15),
(61901, NULL, 'PTHR43325:SF1', NULL, NULL, NULL, NULL, 'BLR4156 PROTEIN', NULL, NULL, NULL, 15),
(61902, NULL, 'PTHR22957:SF443', NULL, NULL, NULL, NULL, 'RABGAP/TBC DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(61903, NULL, 'PTHR39369:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBR-LIN-24', NULL, NULL, NULL, 15),
(61904, NULL, 'PTHR47958:SF47', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 24', NULL, NULL, NULL, 15),
(61905, NULL, 'PTHR20986:SF22', NULL, NULL, NULL, NULL, 'FMRFAMIDE-RELATED PEPTIDES', NULL, NULL, NULL, 15),
(61906, NULL, 'PTHR18829:SF0', NULL, NULL, NULL, NULL, 'PROTEIN YAE1 HOMOLOG', NULL, NULL, NULL, 15),
(61907, NULL, 'PTHR10766:SF43', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(61908, NULL, 'PTHR31827:SF32', NULL, NULL, NULL, NULL, 'LORICRIN-LIKE', NULL, NULL, NULL, 15),
(61909, NULL, 'PTHR13504:SF39', NULL, NULL, NULL, NULL, 'FIDO DOMAIN-CONTAINING PROTEIN DDB_G0283145', NULL, NULL, NULL, 15),
(61910, NULL, 'PTHR12321:SF98', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 5', NULL, NULL, NULL, 15),
(61911, NULL, 'PTHR38790', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61912, NULL, 'PTHR10869:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61913, NULL, 'PTHR31989:SF170', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 76', NULL, NULL, NULL, 15),
(61914, NULL, 'PTHR36296', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN A', NULL, NULL, 32776, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61915, NULL, 'PTHR45621:SF157', NULL, NULL, NULL, NULL, 'OS09G0442100 PROTEIN', NULL, NULL, NULL, 15),
(61916, NULL, 'PTHR31062:SF135', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(61917, NULL, 'PTHR15173', NULL, NULL, NULL, NULL, 'OREXIN', NULL, NULL, 3074, 15),
(61918, NULL, 'PTHR35120:SF2', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT6B-LIKE', NULL, NULL, NULL, 15),
(61919, NULL, 'PTHR14555:SF1', NULL, NULL, NULL, NULL, 'MELANOPHILIN', NULL, NULL, NULL, 15),
(61920, NULL, 'PTHR11686:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG11402', NULL, NULL, NULL, 15),
(61921, NULL, 'PTHR24376:SF170', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 616', NULL, NULL, NULL, 15),
(61922, NULL, 'PTHR47925:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61923, NULL, 'PTHR30534:SF0', NULL, NULL, NULL, NULL, 'FLAGELLAR MOTOR SWITCH PROTEIN FLIG', NULL, NULL, NULL, 15),
(61924, NULL, 'PTHR32246:SF108', NULL, NULL, NULL, NULL, 'BNACNNG52310D PROTEIN', NULL, NULL, NULL, 15),
(61925, NULL, 'PTHR34059:SF8', NULL, NULL, NULL, NULL, 'BNAA04G27400D PROTEIN', NULL, NULL, NULL, 15),
(61926, NULL, 'PTHR35555:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61927, NULL, 'PTHR33734:SF12', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING GPI-ANCHORED PROTEIN LYP4', NULL, NULL, NULL, 15),
(61928, NULL, 'PTHR47998:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CPC', NULL, NULL, NULL, 15),
(61929, NULL, 'PTHR46530', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP4', NULL, NULL, 27587, 15),
(61930, NULL, 'PTHR33232:SF23', NULL, NULL, NULL, NULL, 'MEDIATOR COMPLEX SUBUNIT MED28-RELATED', NULL, NULL, NULL, 15),
(61931, NULL, 'PTHR10209:SF251', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 2', NULL, NULL, NULL, 15),
(61932, NULL, 'PTHR27005:SF174', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61933, NULL, 'PTHR45631:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61934, NULL, 'PTHR31722:SF47', NULL, NULL, NULL, NULL, 'BNAA05G31310D PROTEIN', NULL, NULL, NULL, 15),
(61935, NULL, 'PTHR34920:SF1', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA/LEUKEMIA 10', NULL, NULL, NULL, 15),
(61936, NULL, 'PTHR31352:SF43', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', NULL, NULL, NULL, 15),
(61937, NULL, 'PTHR33601:SF32', NULL, NULL, NULL, NULL, 'BNAC04G50200D PROTEIN', NULL, NULL, NULL, 15),
(61938, NULL, 'PTHR19957:SF311', NULL, NULL, NULL, NULL, 'BNAC05G30860D PROTEIN', NULL, NULL, NULL, 15),
(61939, NULL, 'PTHR32096:SF96', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 46-RELATED', NULL, NULL, NULL, 15),
(61940, NULL, 'PTHR31719:SF171', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(61941, NULL, 'PTHR10315:SF96', NULL, NULL, NULL, NULL, 'OS05G0152600 PROTEIN', NULL, NULL, NULL, 15),
(61942, NULL, 'PTHR11783:SF168', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(61943, NULL, 'PTHR10949:SF30', NULL, NULL, NULL, NULL, 'LIPOYL SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(61944, NULL, 'PTHR37610:SF44', NULL, NULL, NULL, NULL, 'COPIA-LIKE POLYPROTEIN/RETROTRANSPOSON', NULL, NULL, NULL, 15),
(61945, NULL, 'PTHR11071:SF495', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP20-1', NULL, NULL, NULL, 15),
(61946, NULL, 'PTHR46408:SF8', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 9', NULL, NULL, NULL, 15),
(61947, NULL, 'PTHR34035:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 47', NULL, NULL, NULL, 15),
(61948, NULL, 'PTHR21523:SF38', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', NULL, NULL, NULL, 15),
(61949, NULL, 'PTHR45700:SF7', NULL, NULL, NULL, NULL, 'BNAC01G43970D PROTEIN', NULL, NULL, NULL, 15),
(61950, NULL, 'PTHR16120', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT SIGMA-1', NULL, NULL, 24007, 15),
(61951, NULL, 'PTHR11764:SF73', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61952, NULL, 'PTHR46204:SF16', NULL, NULL, NULL, NULL, 'CHITIN ELICITOR RECEPTOR KINASE 1-LIKE', NULL, NULL, NULL, 15),
(61953, NULL, 'PTHR21228:SF29', NULL, NULL, NULL, NULL, 'FAST KINASE DOMAIN-CONTAINING PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(61954, NULL, 'PTHR38095:SF2', NULL, NULL, NULL, NULL, 'ANAEROBIC DIMETHYL SULFOXIDE REDUCTASE CHAIN C', NULL, NULL, NULL, 15),
(61955, NULL, 'PTHR31692:SF76', NULL, NULL, NULL, NULL, 'EXPANSIN-B15', NULL, NULL, NULL, 15),
(61956, NULL, 'PTHR38778:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(61957, NULL, 'PTHR11005:SF134', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(61958, NULL, 'PTHR21501:SF5', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC PROTEIN 10-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(61959, NULL, 'PTHR33376:SF2', NULL, NULL, NULL, NULL, '2,3-DIKETO-L-GULONATE-BINDING PERIPLASMIC PROTEIN YIAO', NULL, NULL, NULL, 15),
(61960, NULL, 'PTHR36504:SF1', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE EXPORT SYSTEM PROTEIN LPTA', NULL, NULL, NULL, 15),
(61961, NULL, 'PTHR33207:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61962, NULL, 'PTHR33086:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61963, NULL, 'PTHR13935', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE TRANSCRIPTION FACTOR-RELATED', NULL, NULL, 18064, 15),
(61964, NULL, 'PTHR44419:SF15', NULL, NULL, NULL, NULL, 'PROTOCHLOROPHYLLIDE REDUCTASE C, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(61965, NULL, 'PTHR11412:SF146', NULL, NULL, NULL, NULL, 'LD23292P', NULL, NULL, NULL, 15),
(61966, NULL, 'PTHR21385:SF0', NULL, NULL, NULL, NULL, 'RE51073P', NULL, NULL, NULL, 15),
(61967, NULL, 'PTHR30523:SF33', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE 3', NULL, NULL, NULL, 15),
(61968, NULL, 'PTHR23327:SF45', NULL, NULL, NULL, NULL, 'BNACNNG58730D PROTEIN', NULL, NULL, NULL, 15),
(61969, NULL, 'PTHR47241:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(61970, NULL, 'PTHR12027:SF99', NULL, NULL, NULL, NULL, 'PROTEIN WNT', NULL, NULL, NULL, 15),
(61971, NULL, 'PTHR10627:SF72', NULL, NULL, NULL, NULL, 'PROTEIN BICAUDAL C HOMOLOG 1-A-LIKE', NULL, NULL, NULL, 15),
(61972, NULL, 'PTHR35243:SF21', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1', NULL, NULL, NULL, 15),
(61973, NULL, 'PTHR12411:SF775', NULL, NULL, NULL, NULL, 'CATHEPSIN O-RELATED', NULL, NULL, NULL, 15),
(61974, NULL, 'PTHR24287', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(61975, NULL, 'PTHR23267:SF218', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 6-4-RELATED', NULL, NULL, NULL, 15),
(61976, NULL, 'PTHR14303:SF13', NULL, NULL, NULL, NULL, 'OS08G0543800 PROTEIN', NULL, NULL, NULL, 15),
(61977, NULL, 'PTHR31375:SF210', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(61978, NULL, 'PTHR26451:SF489', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61979, NULL, 'PTHR20961:SF91', NULL, NULL, NULL, NULL, 'OS01G0118600 PROTEIN', NULL, NULL, NULL, 15),
(61980, NULL, 'PTHR11735:SF6', NULL, NULL, NULL, NULL, 'TRNA N6-ADENOSINE THREONYLCARBAMOYLTRANSFERASE, MITOCHONDRIAL-RELATED', NULL, NULL, 21597, 15),
(61981, NULL, 'PTHR22763:SF163', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF139', NULL, NULL, NULL, 15),
(61982, NULL, 'PTHR32295:SF109', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', NULL, NULL, NULL, 15),
(61983, NULL, 'PTHR12899:SF5', NULL, NULL, NULL, NULL, 'RIBOSOMAL L18P/L5E FAMILY PROTEIN', NULL, NULL, NULL, 15),
(61984, NULL, 'PTHR24209:SF32', NULL, NULL, NULL, NULL, 'PROTEIN DA1-RELATED 3', NULL, NULL, NULL, 15),
(61985, NULL, 'PTHR21212:SF10', NULL, NULL, NULL, NULL, 'SEIPIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(61986, NULL, 'PTHR10209:SF597', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 11', NULL, NULL, NULL, 15),
(61987, NULL, 'PTHR43056:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(61988, NULL, 'PTHR42864:SF2', NULL, NULL, NULL, NULL, 'LIGHT-INDEPENDENT PROTOCHLOROPHYLLIDE REDUCTASE IRON-SULFUR ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(61989, NULL, 'PTHR24235:SF20', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(61990, NULL, 'PTHR42889:SF1', NULL, NULL, NULL, NULL, 'BLR3681 PROTEIN', NULL, NULL, NULL, 15),
(61991, NULL, 'PTHR11690:SF175', NULL, NULL, NULL, NULL, 'PICKPOCKET 13-RELATED', NULL, NULL, NULL, 15),
(61992, NULL, 'PTHR10666:SF250', NULL, NULL, NULL, NULL, 'OS10G0475900 PROTEIN', NULL, NULL, NULL, 15),
(61993, NULL, 'PTHR45676:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(61994, NULL, 'PTHR11630:SF71', NULL, NULL, NULL, NULL, 'DNA HELICASE', NULL, NULL, NULL, 15),
(61995, NULL, 'PTHR21229:SF1', NULL, NULL, NULL, NULL, 'GH17801P', NULL, NULL, NULL, 15),
(61996, NULL, 'PTHR31945:SF94', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ICE1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(61997, NULL, 'PTHR43349:SF35', NULL, NULL, NULL, NULL, 'PHENYLCOUMARAN BENZYLIC ETHER REDUCTASE 1', NULL, NULL, NULL, 15),
(61998, NULL, 'PTHR12121:SF74', NULL, NULL, NULL, NULL, 'PROTEIN ANGEL', NULL, NULL, NULL, 15),
(61999, NULL, 'PTHR33672:SF13', NULL, NULL, NULL, NULL, 'BNAA02G22800D PROTEIN', NULL, NULL, NULL, 15),
(62000, NULL, 'PTHR46751:SF1', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 6A', NULL, NULL, NULL, 15),
(62001, NULL, 'PTHR33512:SF17', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62002, NULL, 'PTHR31034', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 101', NULL, NULL, 28487, 15),
(62003, NULL, 'PTHR37610:SF46', NULL, NULL, NULL, NULL, 'FBD PROTEIN', NULL, NULL, NULL, 15),
(62004, NULL, 'PTHR11566:SF161', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 1E-LIKE', NULL, NULL, NULL, 15),
(62005, NULL, 'PTHR11346:SF167', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(62006, NULL, 'PTHR14305', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CCNB1IP1', NULL, NULL, 38187, 15),
(62007, NULL, 'PTHR47171:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(62008, NULL, 'PTHR10177:SF472', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN-3-RELATED', NULL, NULL, NULL, 15),
(62009, NULL, 'PTHR45842:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(62010, NULL, 'PTHR33077:SF53', NULL, NULL, NULL, NULL, 'JASMONATE ZIM-DOMAIN PROTEIN 10', NULL, NULL, NULL, 15),
(62011, NULL, 'PTHR10641:SF1034', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 9', NULL, NULL, NULL, 15),
(62012, NULL, 'PTHR27006:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62013, NULL, 'PTHR14226:SF71', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE SDP1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(62014, NULL, 'PTHR11848:SF263', NULL, NULL, NULL, NULL, 'DAWDLE, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(62015, NULL, 'PTHR45724:SF16', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP2-1', NULL, NULL, NULL, 15),
(62016, NULL, 'PTHR24056:SF380', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62017, NULL, 'PTHR31734:SF163', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(62018, NULL, 'PTHR32246:SF128', NULL, NULL, NULL, NULL, 'BNAA03G58120D PROTEIN', NULL, NULL, NULL, 15),
(62019, NULL, 'PTHR33136:SF62', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR 23', NULL, NULL, NULL, 15),
(62020, NULL, 'PTHR45622:SF18', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HERC3-RELATED', NULL, NULL, NULL, 15),
(62021, NULL, 'PTHR36069:SF5', NULL, NULL, NULL, NULL, 'BNAA09G04170D PROTEIN', NULL, NULL, NULL, 15),
(62022, NULL, 'PTHR23257:SF813', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE EDR1', NULL, NULL, NULL, 15),
(62023, NULL, 'PTHR10438:SF371', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62024, NULL, 'PTHR45933:SF36', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 11-LIKE', NULL, NULL, NULL, 15),
(62025, NULL, 'PTHR47956:SF54', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D10-LIKE', NULL, NULL, NULL, 15),
(62026, NULL, 'PTHR21505:SF8', NULL, NULL, NULL, NULL, 'FI09734P-RELATED', NULL, NULL, NULL, 15),
(62027, NULL, 'PTHR28670:SF1', NULL, NULL, NULL, NULL, 'UV-STIMULATED SCAFFOLD PROTEIN A', NULL, NULL, NULL, 15),
(62028, NULL, 'PTHR24281:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62029, NULL, 'PTHR45089:SF34', NULL, NULL, NULL, NULL, 'BNAC02G39610D PROTEIN', NULL, NULL, NULL, 15),
(62030, NULL, 'PTHR11909:SF7', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 7-RELATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(62031, NULL, 'PTHR45680', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62032, NULL, 'PTHR12241:SF156', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL7', NULL, NULL, NULL, 15),
(62033, NULL, 'PTHR31375:SF135', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', NULL, NULL, NULL, 15),
(62034, NULL, 'PTHR10807:SF64', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 4', NULL, NULL, 22352, 15),
(62035, NULL, 'PTHR48024:SF32', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN RSD1', NULL, NULL, NULL, 15),
(62036, NULL, 'PTHR28013:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(62037, NULL, 'PTHR15267', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 18', NULL, NULL, 39412, 15),
(62038, NULL, 'PTHR33090:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62039, NULL, 'PTHR31681:SF75', NULL, NULL, NULL, NULL, 'BNAA09G54160D PROTEIN', NULL, NULL, NULL, 15),
(62040, NULL, 'PTHR31087:SF25', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 11', NULL, NULL, NULL, 15),
(62041, NULL, 'PTHR36384:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62042, NULL, 'PTHR46586:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62043, NULL, 'PTHR27002:SF379', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-1', NULL, NULL, NULL, 15),
(62044, NULL, 'PTHR47990:SF129', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 3-LIKE', NULL, NULL, NULL, 15),
(62045, NULL, 'PTHR43577', NULL, NULL, NULL, NULL, 'CARBOXYPHOSPHONOENOLPYRUVATE PHOSPHONOMUTASE-LIKE PROTEIN (AFU_ORTHOLOGUE AFUA_5G07230)', NULL, NULL, NULL, 15),
(62046, NULL, 'PTHR11909:SF370', NULL, NULL, NULL, NULL, 'PROTEIN CBG11137', NULL, NULL, NULL, 15),
(62047, NULL, 'PTHR22811:SF143', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY/GOLD PROTEIN', NULL, NULL, NULL, 15),
(62048, NULL, 'PTHR31707:SF212', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 41-RELATED', NULL, NULL, NULL, 15),
(62049, NULL, 'PTHR12114:SF1', NULL, NULL, NULL, NULL, 'GAMMA-PARVIN', NULL, NULL, NULL, 15),
(62050, NULL, 'PTHR48071:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-14D8.20', NULL, NULL, NULL, 15),
(62051, NULL, 'PTHR11359:SF11', NULL, NULL, NULL, NULL, 'AMP DEAMINASE', NULL, NULL, NULL, 15),
(62052, NULL, 'PTHR46107:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN-RELATED TRANSMEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(62053, NULL, 'PTHR31636:SF246', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL2', NULL, NULL, NULL, 15),
(62054, NULL, 'PTHR34717', NULL, NULL, NULL, NULL, 'EG:BACR7A4.20 PROTEIN', NULL, NULL, NULL, 15),
(62055, NULL, 'PTHR21040:SF5', NULL, NULL, NULL, NULL, 'ZGC:113333', NULL, NULL, NULL, 15),
(62056, NULL, 'PTHR31549:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62057, NULL, 'PTHR46034:SF27', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(62058, NULL, 'PTHR31769:SF73', NULL, NULL, NULL, NULL, 'OS12G0242200 PROTEIN', NULL, NULL, NULL, 15),
(62059, NULL, 'PTHR10332:SF77', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 8', NULL, NULL, NULL, 15),
(62060, NULL, 'PTHR48062:SF15', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 8-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62061, NULL, 'PTHR19964:SF83', NULL, NULL, NULL, NULL, 'FERM DOMAIN (PROTEIN4.1-EZRIN-RADIXIN-MOESIN) FAMILY', NULL, NULL, NULL, 15),
(62062, NULL, 'PTHR31707:SF269', NULL, NULL, NULL, NULL, 'BNAC03G34350D PROTEIN', NULL, NULL, NULL, 15),
(62063, NULL, 'PTHR46007:SF5', NULL, NULL, NULL, NULL, 'AGAP013017-PA', NULL, NULL, NULL, 15),
(62064, NULL, 'PTHR32444:SF121', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 6', NULL, NULL, NULL, 15),
(62065, NULL, 'PTHR31327:SF10', NULL, NULL, NULL, NULL, 'MULTIPLE PDZ DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(62066, NULL, 'PTHR10891:SF911', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62067, NULL, 'PTHR33780:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(62068, NULL, 'PTHR11831:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62069, NULL, 'PTHR23282:SF129', NULL, NULL, NULL, NULL, 'APICAL ENDOSOMAL GLYCOPROTEIN', NULL, NULL, NULL, 15),
(62070, NULL, 'PTHR12736', NULL, NULL, NULL, NULL, 'LANC-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62071, NULL, 'PTHR13268:SF7', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18F', NULL, NULL, NULL, 15),
(62072, NULL, 'PTHR12684:SF2', NULL, NULL, NULL, NULL, 'TRNA 2''-PHOSPHOTRANSFERASE 1', NULL, NULL, NULL, 15),
(62073, NULL, 'PTHR22891:SF127', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 4B', NULL, NULL, NULL, 15),
(62074, NULL, 'PTHR13410', NULL, NULL, NULL, NULL, 'PROTEIN PBDC1', NULL, NULL, 12301, 15),
(62075, NULL, 'PTHR23176:SF5', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACFF', NULL, NULL, NULL, 15),
(62076, NULL, 'PTHR15298:SF11', NULL, NULL, NULL, NULL, 'GLYCINE N-PHENYLACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(62077, NULL, 'PTHR16445', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN FLJ20010', NULL, NULL, 27485, 15),
(62078, NULL, 'PTHR33124:SF78', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH148-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(62079, NULL, 'PTHR10543:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62080, NULL, 'PTHR21553:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62081, NULL, 'PTHR22930:SF159', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(62082, NULL, 'PTHR33207:SF29', NULL, NULL, NULL, NULL, 'OS02G0288925 PROTEIN', NULL, NULL, NULL, 15),
(62083, NULL, 'PTHR34740', NULL, NULL, NULL, NULL, 'FINGER, C3HC4 TYPE, PUTATIVE-RELATED-RELATED', NULL, NULL, 34957, 15),
(62084, NULL, 'PTHR37153', NULL, NULL, NULL, NULL, 'CHROMOSOME 19 C19ORF81 HOMOLOG', NULL, NULL, 24599, 15),
(62085, NULL, 'PTHR37419:SF6', NULL, NULL, NULL, NULL, 'KINASE HI_0665-RELATED', NULL, NULL, NULL, 15),
(62086, NULL, 'PTHR15588:SF11', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM1', NULL, NULL, NULL, 15),
(62087, NULL, 'PTHR43791:SF18', NULL, NULL, NULL, NULL, 'NICOTINIC ACID TRANSPORTER TNA1, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03820)-RELATED', NULL, NULL, NULL, 15),
(62088, NULL, 'PTHR12385', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE (SLC FAMILY 44)', NULL, NULL, 2815, 15),
(62089, NULL, 'PTHR42985:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62090, NULL, 'PTHR48111:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN BAER', NULL, NULL, NULL, 15),
(62091, NULL, 'PTHR16950:SF18', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIPT-7.1', NULL, NULL, NULL, 15),
(62092, NULL, 'PTHR39555:SF1', NULL, NULL, NULL, NULL, 'FIMBRIAL ASSEMBLY PROTEIN PILO-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62093, NULL, 'PTHR31808:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62094, NULL, 'PTHR47933:SF6', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT-CONTAINING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62095, NULL, 'PTHR31184:SF3', NULL, NULL, NULL, NULL, 'BNAA05G30770D PROTEIN', NULL, NULL, NULL, 15),
(62096, NULL, 'PTHR47177', NULL, NULL, NULL, NULL, 'F18C1.6 PROTEIN', NULL, NULL, NULL, 15),
(62097, NULL, 'PTHR47924:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62098, NULL, 'PTHR17602', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS REGULATORY PROTEIN', NULL, NULL, 6874, 15),
(62099, NULL, 'PTHR47327:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG00939', NULL, NULL, NULL, 15),
(62100, NULL, 'PTHR39652', NULL, NULL, NULL, NULL, 'UPF0201 PROTEIN TK1335', NULL, NULL, 3927, 15),
(62101, NULL, 'PTHR12917:SF16', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-INTERACTING PROTEIN 3', NULL, NULL, NULL, 15),
(62102, NULL, 'PTHR21399:SF5', NULL, NULL, NULL, NULL, 'BNAA02G33340D PROTEIN', NULL, NULL, NULL, 15),
(62103, NULL, 'PTHR12411:SF741', NULL, NULL, NULL, NULL, 'SI:DKEY-228A15.1-RELATED', NULL, NULL, NULL, 15),
(62104, NULL, 'PTHR13593:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62105, NULL, 'PTHR11879:SF46', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(62106, NULL, 'PTHR46733:SF6', NULL, NULL, NULL, NULL, 'LOCALIZED SMALL HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(62107, NULL, 'PTHR46386:SF9', NULL, NULL, NULL, NULL, 'RIKEN CDNA A630001G21 GENE', NULL, NULL, NULL, 15),
(62108, NULL, 'PTHR33875:SF4', NULL, NULL, NULL, NULL, 'BNAC03G41270D PROTEIN', NULL, NULL, NULL, 15),
(62109, NULL, 'PTHR11206:SF131', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(62110, NULL, 'PTHR11452:SF37', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(62111, NULL, 'PTHR48049:SF40', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(62112, NULL, 'PTHR11390', NULL, NULL, NULL, NULL, 'PROKARYOTIC DNA TOPOISOMERASE', NULL, NULL, 6571, 15),
(62113, NULL, 'PTHR43045', NULL, NULL, NULL, NULL, 'SHIKIMATE TRANSPORTER', NULL, NULL, NULL, 15),
(62114, NULL, 'PTHR10859:SF106', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE', NULL, NULL, NULL, 15),
(62115, NULL, 'PTHR46410:SF3', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(62116, NULL, 'PTHR24260:SF128', NULL, NULL, NULL, NULL, 'IP09419P', NULL, NULL, NULL, 15),
(62117, NULL, 'PTHR44489:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62118, NULL, 'PTHR11431:SF84', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(62119, NULL, 'PTHR31564:SF0', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 16', NULL, NULL, NULL, 15),
(62120, NULL, 'PTHR12840:SF3', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 8, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(62121, NULL, 'PTHR23430:SF63', NULL, NULL, NULL, NULL, 'HUNTINGTIN-INTERACTING PROTEIN M', NULL, NULL, NULL, 15),
(62122, NULL, 'PTHR31645:SF74', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62123, NULL, 'PTHR13190:SF21', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 2 HOMOLOG A', NULL, NULL, NULL, 15),
(62124, NULL, 'PTHR10315:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62125, NULL, 'PTHR19964:SF33', NULL, NULL, NULL, NULL, 'LIGAND OF NUMB PROTEIN X 2', NULL, NULL, NULL, 15),
(62126, NULL, 'PTHR47327:SF7', NULL, NULL, NULL, NULL, 'GH08941P', NULL, NULL, NULL, 15),
(62127, NULL, 'PTHR36357:SF1', NULL, NULL, NULL, NULL, 'OS03G0148300 PROTEIN', NULL, NULL, NULL, 15),
(62128, NULL, 'PTHR48112:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62129, NULL, 'PTHR21749:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG05367', NULL, NULL, NULL, 15),
(62130, NULL, 'PTHR45862:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SGT1 HOMOLOG', NULL, NULL, NULL, 15),
(62131, NULL, 'PTHR32410:SF155', NULL, NULL, NULL, NULL, 'CHP-RICH ZINC FINGER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(62132, NULL, 'PTHR11918', NULL, NULL, NULL, NULL, 'RADICAL SAM PROTEINS', NULL, NULL, NULL, 15),
(62133, NULL, 'PTHR33167:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62134, NULL, 'PTHR10807:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62135, NULL, 'PTHR46611:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62136, NULL, 'PTHR31723:SF7', NULL, NULL, NULL, NULL, 'NTF2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62137, NULL, 'PTHR31874:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 8', NULL, NULL, NULL, 15),
(62138, NULL, 'PTHR14986:SF4', NULL, NULL, NULL, NULL, 'UBIQUITIN-RELATED MODIFIER 1', NULL, NULL, NULL, 15),
(62139, NULL, 'PTHR31357:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-10', NULL, NULL, NULL, 15),
(62140, NULL, 'PTHR21551:SF22', NULL, NULL, NULL, NULL, 'BNAC05G12690D PROTEIN', NULL, NULL, NULL, 15),
(62141, NULL, 'PTHR34591:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62142, NULL, 'PTHR31321', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTER HYDROLASE YBHC-RELATED', NULL, NULL, NULL, 15),
(62143, NULL, 'PTHR24161:SF97', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 10', NULL, NULL, NULL, 15),
(62144, NULL, 'PTHR48021:SF25', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 5', NULL, NULL, NULL, 15),
(62145, NULL, 'PTHR33096', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62146, NULL, 'PTHR10648:SF23', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2A REGULATORY SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62147, NULL, 'PTHR33147:SF95', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62148, NULL, 'PTHR10494', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN INHIBITOR, NOGGIN', NULL, NULL, 13392, 15),
(62149, NULL, 'PTHR31415:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62150, NULL, 'PTHR10048:SF107', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 3-KINASE CATALYTIC SUBUNIT ALPHA ISOFORM', NULL, NULL, NULL, 15),
(62151, NULL, 'PTHR45988:SF50', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(62152, NULL, 'PTHR15898:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER, ZZ-TYPE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(62153, NULL, 'PTHR43941', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 2', NULL, NULL, NULL, 15),
(62154, NULL, 'PTHR44157:SF2', NULL, NULL, NULL, NULL, 'DNAJ (HSP40) HOMOLOG, SUBFAMILY C, MEMBER 11A', NULL, NULL, NULL, 15),
(62155, NULL, 'PTHR23167:SF22', NULL, NULL, NULL, NULL, 'ALPHA-ACTININ-2', NULL, NULL, NULL, 15),
(62156, NULL, 'PTHR27004:SF368', NULL, NULL, NULL, NULL, 'BNAA07G02940D PROTEIN', NULL, NULL, NULL, 15),
(62157, NULL, 'PTHR42735:SF10', NULL, NULL, NULL, NULL, 'PYRIDOXAL-DEPENDENT DECARBOXYLASE DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(62158, NULL, 'PTHR12560:SF56', NULL, NULL, NULL, NULL, 'LD18904P', NULL, NULL, NULL, 15),
(62159, NULL, 'PTHR13952:SF18', NULL, NULL, NULL, NULL, 'BNAC06G03980D PROTEIN', NULL, NULL, NULL, 15),
(62160, NULL, 'PTHR33386:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62161, NULL, 'PTHR43452:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62162, NULL, 'PTHR39160:SF4', NULL, NULL, NULL, NULL, 'CELL WALL-BINDING PROTEIN YOCH', NULL, NULL, NULL, 15),
(62163, NULL, 'PTHR48049:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(62164, NULL, 'PTHR47948:SF4', NULL, NULL, NULL, NULL, 'TRANS-CINNAMATE 4-MONOOXYGENASE', NULL, NULL, NULL, 15),
(62165, NULL, 'PTHR10334:SF391', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(62166, NULL, 'PTHR15549', NULL, NULL, NULL, NULL, 'PAIRED IMMUNOGLOBULIN-LIKE TYPE 2 RECEPTOR', NULL, NULL, NULL, 15),
(62167, NULL, 'PTHR18945:SF440', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(62168, NULL, 'PTHR12226:SF4', NULL, NULL, NULL, NULL, 'MANNOSE-P-DOLICHOL UTILIZATION DEFECT 1 PROTEIN HOMOLOG 1', NULL, NULL, NULL, 15),
(62169, NULL, 'PTHR12957:SF35', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN FAMILY 45 MEMBER A1-RELATED', NULL, NULL, NULL, 15),
(62170, NULL, 'PTHR46128:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62171, NULL, 'PTHR11278:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15),
(62172, NULL, 'PTHR33138:SF54', NULL, NULL, NULL, NULL, 'OS01G0690900 PROTEIN', NULL, NULL, NULL, 15),
(62173, NULL, 'PTHR24040:SF3', NULL, NULL, NULL, NULL, 'SEX HORMONE-BINDING GLOBULIN', NULL, NULL, NULL, 15),
(62174, NULL, 'PTHR38633:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG15573', NULL, NULL, NULL, 15),
(62175, NULL, 'PTHR13594', NULL, NULL, NULL, NULL, 'CENTRIOLAR COILED-COIL PROTEIN OF 110 KDA', NULL, NULL, 35225, 15),
(62176, NULL, 'PTHR11537:SF184', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY C MEMBER 3', NULL, NULL, NULL, 15),
(62177, NULL, 'PTHR19384:SF119', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', NULL, NULL, NULL, 15),
(62178, NULL, 'PTHR21818:SF0', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP I PROTEIN', NULL, NULL, NULL, 15),
(62179, NULL, 'PTHR24416:SF541', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR', NULL, NULL, NULL, 15),
(62180, NULL, 'PTHR31339:SF78', NULL, NULL, NULL, NULL, 'BNAA06G16130D PROTEIN', NULL, NULL, NULL, 15),
(62181, NULL, 'PTHR13713:SF94', NULL, NULL, NULL, NULL, 'ST3 BETA-GALACTOSIDE ALPHA-2,3-SIALYLTRANSFERASE 7', NULL, NULL, NULL, 15),
(62182, NULL, 'PTHR11786', NULL, NULL, NULL, NULL, 'N-HYDROXYARYLAMINE O-ACETYLTRANSFERASE', NULL, NULL, 3151, 15),
(62183, NULL, 'PTHR33570:SF9', NULL, NULL, NULL, NULL, 'BLL4600 PROTEIN', NULL, NULL, NULL, 15),
(62184, NULL, 'PTHR11923:SF93', NULL, NULL, NULL, NULL, 'GH07959P-RELATED', NULL, NULL, NULL, 15),
(62185, NULL, 'PTHR24089:SF671', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 24,-LIKE', NULL, NULL, NULL, 15),
(62186, NULL, 'PTHR31072:SF150', NULL, NULL, NULL, NULL, 'TCP TRANSCRIPTION FACTOR 15', NULL, NULL, NULL, 15),
(62187, NULL, 'PTHR31789:SF11', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62188, NULL, 'PTHR43572:SF61', NULL, NULL, NULL, NULL, 'BNAC02G11800D PROTEIN', NULL, NULL, NULL, 15),
(62189, NULL, 'PTHR31300:SF38', NULL, NULL, NULL, NULL, 'BNAC02G43970D PROTEIN', NULL, NULL, NULL, 15),
(62190, NULL, 'PTHR48043:SF53', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(62191, NULL, 'PTHR35461:SF5', NULL, NULL, NULL, NULL, 'RNA HELICASE DDX11-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62192, NULL, 'PTHR42796:SF4', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE DOMAIN-CONTAINING PROTEIN 2A', NULL, NULL, NULL, 15),
(62193, NULL, 'PTHR32009:SF76', NULL, NULL, NULL, NULL, 'BNAA09G53570D PROTEIN', NULL, NULL, NULL, 15),
(62194, NULL, 'PTHR11654:SF548', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62195, NULL, 'PTHR44272:SF9', NULL, NULL, NULL, NULL, 'BNAA02G13770D PROTEIN', NULL, NULL, NULL, 15),
(62196, NULL, 'PTHR24232:SF25', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 8', NULL, NULL, 28422, 15),
(62197, NULL, 'PTHR11632:SF71', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE FLAVOPROTEIN SUBUNIT', NULL, NULL, NULL, 15),
(62198, NULL, 'PTHR33832:SF11', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR TYPE-2 TR8', NULL, NULL, NULL, 15),
(62199, NULL, 'PTHR46028:SF4', NULL, NULL, NULL, NULL, 'AROMATIC-RING HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(62200, NULL, 'PTHR24281:SF155', NULL, NULL, NULL, NULL, 'STEROID 21-HYDROXYLASE', NULL, NULL, NULL, 15),
(62201, NULL, 'PTHR47966:SF51', NULL, NULL, NULL, NULL, 'BETA-SITE APP-CLEAVING ENZYME, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(62202, NULL, 'PTHR15592:SF27', NULL, NULL, NULL, NULL, 'HEPHAESTUS, ISOFORM Y', NULL, NULL, NULL, 15),
(62203, NULL, 'PTHR23177:SF72', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, NULL, 15),
(62204, NULL, 'PTHR46124', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE', NULL, NULL, NULL, 15),
(62205, NULL, 'PTHR10791:SF56', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET13', NULL, NULL, NULL, 15),
(62206, NULL, 'PTHR11266:SF21', NULL, NULL, NULL, NULL, 'MPV17/PMP22', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62207, NULL, 'PTHR10426:SF118', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 10', NULL, NULL, NULL, 15),
(62208, NULL, 'PTHR46695:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 44-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(62209, NULL, 'PTHR31656:SF35', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN-RELATED / LEA PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62210, NULL, 'PTHR35714:SF3', NULL, NULL, NULL, NULL, 'BNACNNG22830D PROTEIN', NULL, NULL, NULL, 15),
(62211, NULL, 'PTHR28057:SF1', NULL, NULL, NULL, NULL, 'PROTEIN IFH1-RELATED', NULL, NULL, NULL, 15),
(62212, NULL, 'PTHR37871', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 22', NULL, NULL, 27492, 15),
(62213, NULL, 'PTHR13843:SF11', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 1S', NULL, NULL, 26455, 15),
(62214, NULL, 'PTHR31223:SF14', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOGL9-RELATED', NULL, NULL, NULL, 15),
(62215, NULL, 'PTHR11130:SF0', NULL, NULL, NULL, NULL, 'GLUTATHIONE SYNTHETASE', NULL, NULL, NULL, 15),
(62216, NULL, 'PTHR23273:SF65', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62217, NULL, 'PTHR37042:SF4', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN RV1973', NULL, NULL, NULL, 15),
(62218, NULL, 'PTHR11349:SF101', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE, CYTOSOLIC', NULL, NULL, NULL, 15),
(62219, NULL, 'PTHR31194:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62220, NULL, 'PTHR31839:SF40', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN', NULL, NULL, NULL, 15),
(62221, NULL, 'PTHR31351:SF32', NULL, NULL, NULL, NULL, 'AUXIN CANALIZATION PROTEIN (DUF828)', NULL, NULL, NULL, 15),
(62222, NULL, 'PTHR14508:SF2', NULL, NULL, NULL, NULL, 'SNRPN UPSTREAM READING FRAME PROTEIN', NULL, NULL, NULL, 15),
(62223, NULL, 'PTHR12903:SF8', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L24, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(62224, NULL, 'PTHR11537:SF268', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, SHAW-RELATED SUBFAMILY, MEMBER 3A', NULL, NULL, NULL, 15),
(62225, NULL, 'PTHR34360', NULL, NULL, NULL, NULL, 'OS08G0519400 PROTEIN', NULL, NULL, NULL, 15),
(62226, NULL, 'PTHR31992:SF201', NULL, NULL, NULL, NULL, 'BNAA08G01830D PROTEIN', NULL, NULL, NULL, 15),
(62227, NULL, 'PTHR30511:SF0', NULL, NULL, NULL, NULL, 'ALANINE RACEMASE, CATABOLIC-RELATED', NULL, NULL, NULL, 15),
(62228, NULL, 'PTHR46540:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 12', NULL, NULL, NULL, 15),
(62229, NULL, 'PTHR22937:SF133', NULL, NULL, NULL, NULL, 'OS05G0550000 PROTEIN', NULL, NULL, NULL, 15),
(62230, NULL, 'PTHR10288:SF253', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C3H FAMILY-RELATED', NULL, NULL, NULL, 15),
(62231, NULL, 'PTHR39408:SF3', NULL, NULL, NULL, NULL, 'MUCIN-21', NULL, NULL, NULL, 15),
(62232, NULL, 'PTHR31989:SF311', NULL, NULL, NULL, NULL, 'BNAA09G00440D PROTEIN', NULL, NULL, NULL, 15),
(62233, NULL, 'PTHR31744:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62234, NULL, 'PTHR24093:SF346', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(62235, NULL, 'PTHR31086:SF50', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 8-LIKE', NULL, NULL, NULL, 15),
(62236, NULL, 'PTHR32468:SF134', NULL, NULL, NULL, NULL, 'CATION:PROTON ANTIPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62237, NULL, 'PTHR42786:SF4', NULL, NULL, NULL, NULL, 'TRNA/RRNA METHYLTRANSFERASE, SPOU', NULL, NULL, NULL, 15),
(62238, NULL, 'PTHR11751:SF440', NULL, NULL, NULL, NULL, 'OS09G0433900 PROTEIN', NULL, NULL, NULL, 15),
(62239, NULL, 'PTHR30055:SF185', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY TETR-FAMILY)-RELATED', NULL, NULL, NULL, 15),
(62240, NULL, 'PTHR37089', NULL, NULL, NULL, NULL, 'PROTEIN U-RELATED', NULL, NULL, NULL, 15),
(62241, NULL, 'PTHR12236:SF77', NULL, NULL, NULL, NULL, 'CUTICLE PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62242, NULL, 'PTHR31104:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62243, NULL, 'PTHR44094:SF11', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(62244, NULL, 'PTHR31225:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62245, NULL, 'PTHR10332:SF40', NULL, NULL, NULL, NULL, 'NUCLEOBASE/NUCLEOSIDE TRANSPORTER 8.1', NULL, NULL, NULL, 15),
(62246, NULL, 'PTHR46806', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62247, NULL, 'PTHR10177:SF431', NULL, NULL, NULL, NULL, 'BNAA03G50910D PROTEIN', NULL, NULL, NULL, 15),
(62248, NULL, 'PTHR10075:SF5', NULL, NULL, NULL, NULL, 'NEUROPLASTIN', NULL, NULL, 26052, 15),
(62249, NULL, 'PTHR13448:SF10', NULL, NULL, NULL, NULL, 'BNAA09G51340D PROTEIN', NULL, NULL, NULL, 15),
(62250, NULL, 'PTHR11932:SF79', NULL, NULL, NULL, NULL, 'OS08G0170900 PROTEIN', NULL, NULL, NULL, 15),
(62251, NULL, 'PTHR22957:SF168', NULL, NULL, NULL, NULL, 'TBC DOMAIN-CONTAINING PROTEIN KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62252, NULL, 'PTHR11260:SF651', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(62253, NULL, 'PTHR36968:SF14', NULL, NULL, NULL, NULL, 'HOMEOBOX DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(62254, NULL, 'PTHR21666:SF274', NULL, NULL, NULL, NULL, 'STAGE IV SPORULATION PROTEIN FA', NULL, NULL, NULL, 15),
(62255, NULL, 'PTHR43540:SF1', NULL, NULL, NULL, NULL, 'FAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G12220)-RELATED', NULL, NULL, NULL, 15),
(62256, NULL, 'PTHR33143:SF45', NULL, NULL, NULL, NULL, 'BNAA04G25650D PROTEIN', NULL, NULL, NULL, 15),
(62257, NULL, 'PTHR44137:SF25', NULL, NULL, NULL, NULL, 'BNAA09G40870D PROTEIN', NULL, NULL, NULL, 15),
(62258, NULL, 'PTHR11036:SF22', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3E', NULL, NULL, 8068, 15),
(62259, NULL, 'PTHR34034', NULL, NULL, NULL, NULL, 'PROTEIN FAM180A-RELATED', NULL, NULL, 21529, 15),
(62260, NULL, 'PTHR43885', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE', NULL, NULL, NULL, 15),
(62261, NULL, 'PTHR13301:SF189', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN B5-RELATED', NULL, NULL, NULL, 15),
(62262, NULL, 'PTHR46453:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(62263, NULL, 'PTHR24247:SF232', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE (SEROTONIN) RECEPTOR 1A B', NULL, NULL, NULL, 15),
(62264, NULL, 'PTHR24177:SF247', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(62265, NULL, 'PTHR21447:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG25521', NULL, NULL, NULL, 15),
(62266, NULL, 'PTHR10492:SF17', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(62267, NULL, 'PTHR11848:SF165', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 4', NULL, NULL, NULL, 15),
(62268, NULL, 'PTHR47323:SF2', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(62269, NULL, 'PTHR37989:SF33', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(62270, NULL, 'PTHR22669:SF10', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62271, NULL, 'PTHR27006:SF140', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(62272, NULL, 'PTHR22601:SF53', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 8', NULL, NULL, NULL, 15),
(62273, NULL, 'PTHR33128:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62274, NULL, 'PTHR31365:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCOPROTEIN FAMILY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(62275, NULL, 'PTHR47100:SF5', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE PHS1', NULL, NULL, NULL, 15),
(62276, NULL, 'PTHR12062', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYLTRANSFERASE VI', NULL, NULL, 3041, 15),
(62277, NULL, 'PTHR10380:SF203', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 65EB-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62278, NULL, 'PTHR24068:SF36', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 D1', NULL, NULL, NULL, 15),
(62279, NULL, 'PTHR31235:SF294', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(62280, NULL, 'PTHR46196:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LHW-LIKE', NULL, NULL, NULL, 15),
(62281, NULL, 'PTHR27004:SF103', NULL, NULL, NULL, NULL, 'OS02G0161500 PROTEIN', NULL, NULL, NULL, 15),
(62282, NULL, 'PTHR11409:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62283, NULL, 'PTHR11661:SF17', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12-1-RELATED', NULL, NULL, NULL, 15),
(62284, NULL, 'PTHR33091:SF7', NULL, NULL, NULL, NULL, 'INHIBITOR I FAMILY PROTEIN', NULL, NULL, NULL, 15),
(62285, NULL, 'PTHR11653:SF3', NULL, NULL, NULL, NULL, 'PARVALBUMIN, THYMIC', NULL, NULL, NULL, 15),
(62286, NULL, 'PTHR38160:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 40', NULL, NULL, NULL, 15),
(62287, NULL, 'PTHR33790:SF10', NULL, NULL, NULL, NULL, 'PROTEIN EARLY RESPONSIVE TO DEHYDRATION 15', NULL, NULL, NULL, 15),
(62288, NULL, 'PTHR47707:SF1', NULL, NULL, NULL, NULL, '8-OXO-DGTP DIPHOSPHATASE', NULL, NULL, NULL, 15),
(62289, NULL, 'PTHR37615', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP159-LIKE', NULL, NULL, NULL, 15),
(62290, NULL, 'PTHR42826:SF9', NULL, NULL, NULL, NULL, 'SODIUM/SULFATE SYMPORTER-RELATED', NULL, NULL, NULL, 15),
(62291, NULL, 'PTHR33766', NULL, NULL, NULL, NULL, 'PROTEIN FAM181B', NULL, NULL, 28026, 15),
(62292, NULL, 'PTHR42155:SF1', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT ZETA', NULL, NULL, NULL, 15),
(62293, NULL, 'PTHR32080:SF45', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62294, NULL, 'PTHR14695', NULL, NULL, NULL, NULL, 'SHC SH2-DOMAIN BINDING PROTEIN 1-RELATED', NULL, NULL, 39456, 15),
(62295, NULL, 'PTHR46931:SF9', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62296, NULL, 'PTHR47972:SF2', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62297, NULL, 'PTHR31218:SF232', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(62298, NULL, 'PTHR12542:SF114', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(62299, NULL, 'PTHR11054', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE', NULL, NULL, 33639, 15),
(62300, NULL, 'PTHR10484:SF162', NULL, NULL, NULL, NULL, 'HISTONE H4', NULL, NULL, NULL, 15),
(62301, NULL, 'PTHR10841:SF17', NULL, NULL, NULL, NULL, 'SYNAPSIN', NULL, NULL, NULL, 15),
(62302, NULL, 'PTHR13900:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 1', NULL, NULL, NULL, 15),
(62303, NULL, 'PTHR23012:SF169', NULL, NULL, NULL, NULL, 'BNAA09G00550D PROTEIN', NULL, NULL, NULL, 15),
(62304, NULL, 'PTHR46724', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 9-RELATED', NULL, NULL, NULL, 15),
(62305, NULL, 'PTHR34046:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62306, NULL, 'PTHR34481:SF8', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE INHIBITOR 0.19', NULL, NULL, NULL, 15),
(62307, NULL, 'PTHR23355:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62308, NULL, 'PTHR13878:SF142', NULL, NULL, NULL, NULL, 'BNAA02G05340D PROTEIN', NULL, NULL, NULL, 15),
(62309, NULL, 'PTHR23155:SF1041', NULL, NULL, NULL, NULL, 'OS06G0667900 PROTEIN', NULL, NULL, NULL, 15),
(62310, NULL, 'PTHR46247', NULL, NULL, NULL, NULL, 'CRS2-ASSOCIATED FACTOR 1, CHLOROPLASTIC', NULL, NULL, 37388, 15),
(62311, NULL, 'PTHR43483:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN HI_0806-RELATED', NULL, NULL, NULL, 15),
(62312, NULL, 'PTHR22914:SF9', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 1', NULL, NULL, NULL, 15),
(62313, NULL, 'PTHR33078:SF50', NULL, NULL, NULL, NULL, 'YCF2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62314, NULL, 'PTHR43311:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE--TRNA LIGASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62315, NULL, 'PTHR27005:SF355', NULL, NULL, NULL, NULL, 'BNAC04G24050D PROTEIN', NULL, NULL, NULL, 15),
(62316, NULL, 'PTHR48001:SF51', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1L1', NULL, NULL, NULL, 15),
(62317, NULL, 'PTHR31149:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(62318, NULL, 'PTHR43763:SF12', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE P1', NULL, NULL, NULL, 15),
(62319, NULL, 'PTHR12974:SF36', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', NULL, NULL, NULL, 15),
(62320, NULL, 'PTHR17388:SF2', NULL, NULL, NULL, NULL, 'SECRETOGRANIN-3', NULL, NULL, NULL, 15),
(62321, NULL, 'PTHR45647:SF88', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 52-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(62322, NULL, 'PTHR11654:SF94', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.10', NULL, NULL, NULL, 15),
(62323, NULL, 'PTHR35663:SF3', NULL, NULL, NULL, NULL, 'GENE, 30191-RELATED', NULL, NULL, NULL, 15),
(62324, NULL, 'PTHR10826:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62325, NULL, 'PTHR31042:SF91', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(62326, NULL, 'PTHR38450:SF1', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN AC', NULL, NULL, NULL, 15),
(62327, NULL, 'PTHR31791:SF41', NULL, NULL, NULL, NULL, 'A_TM021B04.7 PROTEIN', NULL, NULL, NULL, 15),
(62328, NULL, 'PTHR14881:SF4', NULL, NULL, NULL, NULL, 'LISH DOMAIN-CONTAINING PROTEIN ARMC9', NULL, NULL, NULL, 15),
(62329, NULL, 'PTHR24291:SF106', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4G1-RELATED', NULL, NULL, NULL, 15),
(62330, NULL, 'PTHR33280', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L31, CHLOROPLASTIC', NULL, NULL, 5012, 15),
(62331, NULL, 'PTHR42745:SF1', NULL, NULL, NULL, NULL, 'ARABINOSE 5-PHOSPHATE ISOMERASE KDSD', NULL, NULL, NULL, 15),
(62332, NULL, 'PTHR11685:SF340', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(62333, NULL, 'PTHR16277:SF7', NULL, NULL, NULL, NULL, 'RE12330P', NULL, NULL, NULL, 15),
(62334, NULL, 'PTHR43327:SF5', NULL, NULL, NULL, NULL, 'BAND 7 PROTEIN', NULL, NULL, NULL, 15),
(62335, NULL, 'PTHR11141:SF23', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', NULL, NULL, NULL, 15),
(62336, NULL, 'PTHR48001:SF96', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7G2', NULL, NULL, NULL, 15),
(62337, NULL, 'PTHR14237:SF50', NULL, NULL, NULL, NULL, 'OS11G0487100 PROTEIN', NULL, NULL, NULL, 15),
(62338, NULL, 'PTHR32285:SF206', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 38', NULL, NULL, NULL, 15),
(62339, NULL, 'PTHR21503:SF31', NULL, NULL, NULL, NULL, 'PROTEIN CBG05321', NULL, NULL, NULL, 15),
(62340, NULL, 'PTHR16717:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 8B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(62341, NULL, 'PTHR24346:SF51', NULL, NULL, NULL, NULL, 'PAS DOMAIN-CONTAINING SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(62342, NULL, 'PTHR33869:SF21', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(62343, NULL, 'PTHR11733:SF189', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', NULL, NULL, NULL, 15),
(62344, NULL, 'PTHR18929:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62345, NULL, 'PTHR48111:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN CREB', NULL, NULL, NULL, 15),
(62346, NULL, 'PTHR22762:SF133', NULL, NULL, NULL, NULL, 'ACID ALPHA GLUCOSIDASE RELATE', NULL, NULL, NULL, 15),
(62347, NULL, 'PTHR10666:SF367', NULL, NULL, NULL, NULL, 'NEURAL PRECURSOR CELL-EXPRESSED, DEVELOPMENTALLY DOWN-REGULATED 8,-LIKE', NULL, NULL, NULL, 15),
(62348, NULL, 'PTHR48183:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62349, NULL, 'PTHR12506:SF70', NULL, NULL, NULL, NULL, 'BNAC04G00080D PROTEIN', NULL, NULL, NULL, 15),
(62350, NULL, 'PTHR12659:SF6', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 13', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62351, NULL, 'PTHR37346:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 19', NULL, NULL, NULL, 15),
(62352, NULL, 'PTHR11785:SF213', NULL, NULL, NULL, NULL, 'Y+L AMINO ACID TRANSPORTER 2-LIKE', NULL, NULL, NULL, 15),
(62353, NULL, 'PTHR34251:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-, GLUTAMATE- AND LYSINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(62354, NULL, 'PTHR45637:SF32', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PK', NULL, NULL, NULL, 15),
(62355, NULL, 'PTHR23023:SF137', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(62356, NULL, 'PTHR10108:SF1125', NULL, NULL, NULL, NULL, 'BNAA07G09320D PROTEIN', NULL, NULL, NULL, 15),
(62357, NULL, 'PTHR11635:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62358, NULL, 'PTHR41142:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-16J16.4', NULL, NULL, NULL, 15),
(62359, NULL, 'PTHR30603:SF25', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR', NULL, NULL, NULL, 15),
(62360, NULL, 'PTHR11232:SF32', NULL, NULL, NULL, NULL, 'NUMB-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62361, NULL, 'PTHR23162:SF7', NULL, NULL, NULL, NULL, 'PROTEIN BCAP', NULL, NULL, 27480, 15),
(62362, NULL, 'PTHR15496:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62363, NULL, 'PTHR31735:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR MEMBRANE PROTEIN YPL162C', NULL, NULL, NULL, 15),
(62364, NULL, 'PTHR11255:SF92', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE IOTA', NULL, NULL, NULL, 15),
(62365, NULL, 'PTHR38222', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62366, NULL, 'PTHR21648', NULL, NULL, NULL, NULL, 'FLAGELLAR RADIAL SPOKE PROTEIN 3', NULL, NULL, 13978, 15),
(62367, NULL, 'PTHR24068:SF305', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 5B-LIKE', NULL, NULL, NULL, 15),
(62368, NULL, 'PTHR22849:SF139', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(62369, NULL, 'PTHR24281:SF83', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1', NULL, NULL, NULL, 15),
(62370, NULL, 'PTHR10094:SF29', NULL, NULL, NULL, NULL, 'SCP2 STEROL-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62371, NULL, 'PTHR46783:SF1', NULL, NULL, NULL, NULL, 'CYTOGLOBIN', NULL, NULL, NULL, 15),
(62372, NULL, 'PTHR31675:SF4', NULL, NULL, NULL, NULL, 'AXIAL REGULATOR YABBY 3', NULL, NULL, NULL, 15),
(62373, NULL, 'PTHR45732:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8A', NULL, NULL, NULL, 15),
(62374, NULL, 'PTHR13703:SF36', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 5', NULL, NULL, NULL, 15),
(62375, NULL, 'PTHR34952:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62376, NULL, 'PTHR24024:SF33', NULL, NULL, NULL, NULL, 'PULMONARY SURFACTANT-ASSOCIATED PROTEIN A2', NULL, NULL, NULL, 15),
(62377, NULL, 'PTHR38848', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62378, NULL, 'PTHR21659:SF85', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(62379, NULL, 'PTHR24232:SF20', NULL, NULL, NULL, NULL, 'PROTEINASE-ACTIVATED RECEPTOR 1', NULL, NULL, NULL, 15),
(62380, NULL, 'PTHR31003:SF34', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(62381, NULL, 'PTHR40399:SF1', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCITOL/SORBITOL-SPECIFIC EIIC COMPONENT', NULL, NULL, NULL, 15),
(62382, NULL, 'PTHR11309:SF23', NULL, NULL, NULL, NULL, 'FRIZZLED-4', NULL, NULL, 22042, 15),
(62383, NULL, 'PTHR34061', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62384, NULL, 'PTHR23406:SF79', NULL, NULL, NULL, NULL, 'MALIC ENZYME, NAD-BINDING', NULL, NULL, NULL, 15),
(62385, NULL, 'PTHR15680:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62386, NULL, 'PTHR42706:SF1', NULL, NULL, NULL, NULL, 'FORMYLTETRAHYDROFOLATE DEFORMYLASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(62387, NULL, 'PTHR45569', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN KDPD', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62388, NULL, 'PTHR33463:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62389, NULL, 'PTHR45712:SF2', NULL, NULL, NULL, NULL, 'ASPORIN', NULL, NULL, 25693, 15),
(62390, NULL, 'PTHR48017:SF62', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(62391, NULL, 'PTHR43008', NULL, NULL, NULL, NULL, 'BENZIL REDUCTASE', NULL, NULL, NULL, 15),
(62392, NULL, 'PTHR34283:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62393, NULL, 'PTHR24093:SF453', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(62394, NULL, 'PTHR46057:SF13', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 3', NULL, NULL, NULL, 15),
(62395, NULL, 'PTHR35538:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62396, NULL, 'PTHR19868:SF10', NULL, NULL, NULL, NULL, 'RECEPTOR FOR ACTIVATED C KINASE 1A', NULL, NULL, NULL, 15),
(62397, NULL, 'PTHR43125', NULL, NULL, NULL, NULL, 'INOSITOL-3-PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(62398, NULL, 'PTHR34957', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(62399, NULL, 'PTHR33021:SF298', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 14-RELATED', NULL, NULL, NULL, 15),
(62400, NULL, 'PTHR31852:SF132', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62401, NULL, 'PTHR23177:SF67', NULL, NULL, NULL, NULL, 'OSJNBA0020J04.11 PROTEIN', NULL, NULL, NULL, 15),
(62402, NULL, 'PTHR24089:SF687', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER LIKE PROTEIN', NULL, NULL, NULL, 15),
(62403, NULL, 'PTHR47392', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 82-RELATED', NULL, NULL, 36968, 15),
(62404, NULL, 'PTHR23268:SF45', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 2', NULL, NULL, NULL, 15),
(62405, NULL, 'PTHR43000:SF28', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL UDP-GLUCOSE 4,6-DEHYDRATASE/UDP-4-KETO-6-DEOXY-D-GLUCOSE 3,5-EPIMERASE/UDP-4-KETO-L-RHAMNOSE-REDUCTASE RHM1-LIKE', NULL, NULL, NULL, 15),
(62406, NULL, 'PTHR12385:SF84', NULL, NULL, NULL, NULL, 'F20H23.27 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62407, NULL, 'PTHR14047:SF1', NULL, NULL, NULL, NULL, 'P ANTIGEN FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(62408, NULL, 'PTHR24366:SF29', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND FIBRONECTIN TYPE III DOMAIN CONTAINING 5', NULL, NULL, NULL, 15),
(62409, NULL, 'PTHR24056:SF400', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62410, NULL, 'PTHR30349:SF74', NULL, NULL, NULL, NULL, 'SLR7005 PROTEIN', NULL, NULL, NULL, 15),
(62411, NULL, 'PTHR48111:SF52', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN YVRH', NULL, NULL, NULL, 15),
(62412, NULL, 'PTHR11926:SF1399', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62413, NULL, 'PTHR33227:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62414, NULL, 'PTHR23360:SF68', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(62415, NULL, 'PTHR31636:SF40', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 29', NULL, NULL, NULL, 15),
(62416, NULL, 'PTHR47663:SF2', NULL, NULL, NULL, NULL, 'ARABINOLYTIC TRANSCRIPTIONAL ACTIVATOR ARAR-RELATED', NULL, NULL, NULL, 15),
(62417, NULL, 'PTHR36409:SF2', NULL, NULL, NULL, NULL, 'BNAA09G07940D PROTEIN', NULL, NULL, NULL, 15),
(62418, NULL, 'PTHR35462', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62419, NULL, 'PTHR15453', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR CANDIDATE 2', NULL, NULL, 24308, 15),
(62420, NULL, 'PTHR13586:SF17', NULL, NULL, NULL, NULL, 'BNAA09G17550D PROTEIN', NULL, NULL, NULL, 15),
(62421, NULL, 'PTHR12756:SF24', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE 1', NULL, NULL, NULL, 15),
(62422, NULL, 'PTHR15992', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RECOGNITION PROTEIN', NULL, NULL, NULL, 15),
(62423, NULL, 'PTHR12663:SF40', NULL, NULL, NULL, NULL, 'BNAC01G40770D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62424, NULL, 'PTHR36692:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SNAKESKIN', NULL, NULL, NULL, 15),
(62425, NULL, 'PTHR10075:SF12', NULL, NULL, NULL, NULL, 'BASIGIN', NULL, NULL, 36784, 15),
(62426, NULL, 'PTHR18919:SF140', NULL, NULL, NULL, NULL, 'ACETYL-COA C-ACETYLTRANSFERASE (ACETOACETYL-COA THIOLASE) (ACAB-5)', NULL, NULL, NULL, 15),
(62427, NULL, 'PTHR10126', NULL, NULL, NULL, NULL, 'TATA-BOX BINDING PROTEIN', NULL, NULL, 5312, 15),
(62428, NULL, 'PTHR16798:SF0', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP C PROTEIN', NULL, NULL, NULL, 15),
(62429, NULL, 'PTHR11239', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', NULL, NULL, 7485, 15),
(62430, NULL, 'PTHR24138:SF13', NULL, NULL, NULL, NULL, 'INTRACELLLAR PHOSPHOLIPASE A FAMILY', NULL, NULL, NULL, 15),
(62431, NULL, 'PTHR33918', NULL, NULL, NULL, NULL, 'OS01G0704200 PROTEIN', NULL, NULL, NULL, 15),
(62432, NULL, 'PTHR46521:SF6', NULL, NULL, NULL, NULL, 'HAD-SUPERFAMILY HYDROLASE, SUBFAMILY IIB', NULL, NULL, NULL, 15),
(62433, NULL, 'PTHR43706:SF27', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE, MITOCHONDRIAL, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62434, NULL, 'PTHR31500:SF90', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 6-LIKE', NULL, NULL, NULL, 15),
(62435, NULL, 'PTHR31668:SF22', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(62436, NULL, 'PTHR33573:SF25', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62437, NULL, 'PTHR43394:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PERMEASE MDL1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(62438, NULL, 'PTHR23070:SF172', NULL, NULL, NULL, NULL, 'BNAA09G55560D PROTEIN', NULL, NULL, NULL, 15),
(62439, NULL, 'PTHR36898:SF1', NULL, NULL, NULL, NULL, 'OSJNBB0026I12.6 PROTEIN', NULL, NULL, NULL, 15),
(62440, NULL, 'PTHR33085:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62441, NULL, 'PTHR14154:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62442, NULL, 'PTHR13935:SF134', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', NULL, NULL, NULL, 15),
(62443, NULL, 'PTHR31736:SF12', NULL, NULL, NULL, NULL, 'EXO-POLYGALACTURONASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62444, NULL, 'PTHR10666:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62445, NULL, 'PTHR45650:SF36', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(62446, NULL, 'PTHR33193:SF52', NULL, NULL, NULL, NULL, 'DUF3511 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(62447, NULL, 'PTHR21578', NULL, NULL, NULL, NULL, 'PROTEIN CBG03826', NULL, NULL, NULL, 15),
(62448, NULL, 'PTHR34564:SF10', NULL, NULL, NULL, NULL, 'HYALURONAN MEDIATED MOTILITY RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62449, NULL, 'PTHR21228:SF61', NULL, NULL, NULL, NULL, 'LD32258P', NULL, NULL, NULL, 15),
(62450, NULL, 'PTHR31044:SF68', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E 10-LIKE', NULL, NULL, NULL, 15),
(62451, NULL, 'PTHR15600:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62452, NULL, 'PTHR31458:SF9', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-1 NON-CATALYTIC SUBUNIT BETA', NULL, NULL, NULL, 15),
(62453, NULL, 'PTHR11947:SF41', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE (ACETYL-TRANSFERRING)] KINASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(62454, NULL, 'PTHR35767', NULL, NULL, NULL, NULL, 'HAPLESS PROTEIN', NULL, NULL, NULL, 15),
(62455, NULL, 'PTHR11909:SF90', NULL, NULL, NULL, NULL, 'PROTEIN CBG19692', NULL, NULL, NULL, 15),
(62456, NULL, 'PTHR24373:SF330', NULL, NULL, NULL, NULL, 'FISH-LIPS, ISOFORM C', NULL, NULL, NULL, 15),
(62457, NULL, 'PTHR43590:SF1', NULL, NULL, NULL, NULL, 'ARSENIC RESISTANCE PROTEIN ARSH (AFU_ORTHOLOGUE AFUA_5G15030)', NULL, NULL, NULL, 15),
(62458, NULL, 'PTHR23273:SF82', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR-A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62459, NULL, 'PTHR31901:SF63', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62460, NULL, 'PTHR21234:SF44', NULL, NULL, NULL, NULL, 'BNAA03G59110D PROTEIN', NULL, NULL, NULL, 15),
(62461, NULL, 'PTHR11453:SF93', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 7-RELATED', NULL, NULL, NULL, 15),
(62462, NULL, 'PTHR31232:SF24', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', NULL, NULL, NULL, 15),
(62463, NULL, 'PTHR42034:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62464, NULL, 'PTHR12980:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 9-LIKE', NULL, NULL, NULL, 15),
(62465, NULL, 'PTHR30250:SF19', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE BIOSYNTHESIS PROTEIN', NULL, NULL, NULL, 15),
(62466, NULL, 'PTHR22949', NULL, NULL, NULL, NULL, 'WHITE COLLAR 2 PROTEIN  WC2', NULL, NULL, NULL, 15),
(62467, NULL, 'PTHR12289:SF69', NULL, NULL, NULL, NULL, 'CADMIUM RESPONSIVE', NULL, NULL, NULL, 15),
(62468, NULL, 'PTHR15192:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG05349', NULL, NULL, 26183, 15),
(62469, NULL, 'PTHR14948:SF19', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 233', NULL, NULL, NULL, 15),
(62470, NULL, 'PTHR31325:SF169', NULL, NULL, NULL, NULL, 'OS08G0194900 PROTEIN', NULL, NULL, NULL, 15),
(62471, NULL, 'PTHR45730:SF51', NULL, NULL, NULL, NULL, 'OS07G0153600 PROTEIN', NULL, NULL, NULL, 15),
(62472, NULL, 'PTHR34576:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62473, NULL, 'PTHR43650:SF18', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(62474, NULL, 'PTHR47976:SF51', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK2', NULL, NULL, NULL, 15),
(62475, NULL, 'PTHR12722', NULL, NULL, NULL, NULL, 'XAP-5 PROTEIN-RELATED', NULL, NULL, 6990, 15),
(62476, NULL, 'PTHR21713:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62477, NULL, 'PTHR11654:SF400', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62478, NULL, 'PTHR11761:SF30', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23-LIKE', NULL, NULL, NULL, 15),
(62479, NULL, 'PTHR31238:SF152', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62480, NULL, 'PTHR11081:SF58', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE 1', NULL, NULL, NULL, 15),
(62481, NULL, 'PTHR47967:SF53', NULL, NULL, NULL, NULL, 'BNAC09G21290D PROTEIN', NULL, NULL, NULL, 15),
(62482, NULL, 'PTHR46128:SF264', NULL, NULL, NULL, NULL, 'REPEAT 336, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62483, NULL, 'PTHR45983:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 22', NULL, NULL, NULL, 15),
(62484, NULL, 'PTHR28533:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PBN1', NULL, NULL, NULL, 15),
(62485, NULL, 'PTHR23512:SF3', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(62486, NULL, 'PTHR26312:SF166', NULL, NULL, NULL, NULL, 'BNAA07G10330D PROTEIN', NULL, NULL, NULL, 15),
(62487, NULL, 'PTHR35928', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S3, MITOCHONDRIAL', NULL, NULL, 38376, 15),
(62488, NULL, 'PTHR43664:SF1', NULL, NULL, NULL, NULL, 'MONOAMINE OXIDASE-RELATED', NULL, NULL, NULL, 15),
(62489, NULL, 'PTHR26453:SF112', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2B11', NULL, NULL, NULL, 15),
(62490, NULL, 'PTHR24111:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62491, NULL, 'PTHR47317:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LHCP TRANSLOCATION DEFECT', NULL, NULL, NULL, 15),
(62492, NULL, 'PTHR23272:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN DAYSLEEPER-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(62493, NULL, 'PTHR45840:SF2', NULL, NULL, NULL, NULL, 'LP02893P-RELATED', NULL, NULL, NULL, 15),
(62494, NULL, 'PTHR11552:SF218', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(62495, NULL, 'PTHR18929:SF223', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62496, NULL, 'PTHR43301:SF5', NULL, NULL, NULL, NULL, 'ARABINAN ENDO-1,5-ALPHA-L-ARABINOSIDASE D-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62497, NULL, 'PTHR24221:SF509', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 11-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(62498, NULL, 'PTHR21141:SF38', NULL, NULL, NULL, NULL, 'OS08G0250300 PROTEIN', NULL, NULL, NULL, 15),
(62499, NULL, 'PTHR45767:SF5', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN O6', NULL, NULL, NULL, 15),
(62500, NULL, 'PTHR46885', NULL, NULL, NULL, NULL, 'PROTEIN ANKUB1', NULL, NULL, 36963, 15),
(62501, NULL, 'PTHR24347:SF419', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62502, NULL, 'PTHR34154:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62503, NULL, 'PTHR24376:SF120', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 493', NULL, NULL, NULL, 15),
(62504, NULL, 'PTHR13937:SF6', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT C', NULL, NULL, NULL, 15),
(62505, NULL, 'PTHR23202:SF64', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62506, NULL, 'PTHR31589:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62507, NULL, 'PTHR36464:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BEAN1', NULL, NULL, NULL, 15),
(62508, NULL, 'PTHR48033:SF1', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A/B', NULL, NULL, NULL, 15),
(62509, NULL, 'PTHR31072:SF124', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP3', NULL, NULL, NULL, 15),
(62510, NULL, 'PTHR24403:SF89', NULL, NULL, NULL, NULL, 'FI04829P-RELATED', NULL, NULL, NULL, 15),
(62511, NULL, 'PTHR19375:SF465', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 1', NULL, NULL, NULL, 15),
(62512, NULL, 'PTHR11792:SF17', NULL, NULL, NULL, NULL, 'KURTZ ARRESTIN', NULL, NULL, NULL, 15),
(62513, NULL, 'PTHR30365:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME BD2 SUBUNIT I', NULL, NULL, NULL, 15),
(62514, NULL, 'PTHR38115', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62515, NULL, 'PTHR15241:SF348', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(62516, NULL, 'PTHR13318:SF79', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 14', NULL, NULL, NULL, 15),
(62517, NULL, 'PTHR43717:SF1', NULL, NULL, NULL, NULL, 'ANAEROBIC NITRIC OXIDE REDUCTASE FLAVORUBREDOXIN', NULL, NULL, NULL, 15),
(62518, NULL, 'PTHR16076:SF8', NULL, NULL, NULL, NULL, 'CYTOSKELETON-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(62519, NULL, 'PTHR13084:SF3', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(62520, NULL, 'PTHR43715:SF6', NULL, NULL, NULL, NULL, 'BNAC01G23490D PROTEIN', NULL, NULL, NULL, 15),
(62521, NULL, 'PTHR30538', NULL, NULL, NULL, NULL, 'LYSINE 2,3-AMINOMUTASE-RELATED', NULL, NULL, 2459, 15),
(62522, NULL, 'PTHR12741:SF15', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCAN SYNTHASE COMPONENT FKS3', NULL, NULL, NULL, 15),
(62523, NULL, 'PTHR45836:SF15', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 2', NULL, NULL, NULL, 15),
(62524, NULL, 'PTHR11627:SF73', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(62525, NULL, 'PTHR43675:SF15', NULL, NULL, NULL, NULL, 'CYCLOPROPANE-FATTY-ACYL-PHOSPHOLIPID SYNTHASE', NULL, NULL, NULL, 15),
(62526, NULL, 'PTHR24296:SF26', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 86A1', NULL, NULL, NULL, 15),
(62527, NULL, 'PTHR33155:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 4', NULL, NULL, NULL, 15),
(62528, NULL, 'PTHR43391:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62529, NULL, 'PTHR33494:SF20', NULL, NULL, NULL, NULL, 'BNAA01G06420D PROTEIN', NULL, NULL, NULL, 15),
(62530, NULL, 'PTHR21191:SF2', NULL, NULL, NULL, NULL, 'AQUAPORIN', NULL, NULL, NULL, 15),
(62531, NULL, 'PTHR31100:SF8', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 19', NULL, NULL, NULL, 15),
(62532, NULL, 'PTHR45640:SF26', NULL, NULL, NULL, NULL, 'RE23625P', NULL, NULL, NULL, 15),
(62533, NULL, 'PTHR31859:SF5', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT DOMAIN 39D', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62534, NULL, 'PTHR13989:SF41', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 32 KDA SUBUNIT A', NULL, NULL, NULL, 15),
(62535, NULL, 'PTHR23180:SF404', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD4', NULL, NULL, NULL, 15),
(62536, NULL, 'PTHR43795:SF88', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-RELATED PROTEIN 4', NULL, NULL, NULL, 15),
(62537, NULL, 'PTHR30287', NULL, NULL, NULL, NULL, 'MEMBRANE COMPONENT OF PREDICTED ABC SUPERFAMILY METABOLITE UPTAKE TRANSPORTER', NULL, NULL, 29914, 15),
(62538, NULL, 'PTHR46684:SF9', NULL, NULL, NULL, NULL, 'BNAA05G31160D PROTEIN', NULL, NULL, NULL, 15),
(62539, NULL, 'PTHR10961:SF26', NULL, NULL, NULL, NULL, 'L-SACCHAROPINE OXIDASE', NULL, NULL, NULL, 15),
(62540, NULL, 'PTHR31342:SF15', NULL, NULL, NULL, NULL, 'OS01G0580800 PROTEIN', NULL, NULL, NULL, 15),
(62541, NULL, 'PTHR37406', NULL, NULL, NULL, NULL, 'T4-TYPE LYSOZYME 1-RELATED', NULL, NULL, NULL, 15),
(62542, NULL, 'PTHR17490', NULL, NULL, NULL, NULL, 'SUA5', NULL, NULL, NULL, 15),
(62543, NULL, 'PTHR47989:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62544, NULL, 'PTHR31589:SF138', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', NULL, NULL, NULL, 15),
(62545, NULL, 'PTHR13502:SF4', NULL, NULL, NULL, NULL, 'CDC42 SMALL EFFECTOR PROTEIN 2', NULL, NULL, NULL, 15),
(62546, NULL, 'PTHR24092:SF184', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(62547, NULL, 'PTHR33477:SF9', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(62548, NULL, 'PTHR11802:SF300', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62549, NULL, 'PTHR31545:SF4', NULL, NULL, NULL, NULL, 'SPEEDY PROTEIN A', NULL, NULL, NULL, 15),
(62550, NULL, 'PTHR41535:SF1', NULL, NULL, NULL, NULL, 'BLL8127 PROTEIN', NULL, NULL, NULL, 15),
(62551, NULL, 'PTHR32096:SF69', NULL, NULL, NULL, NULL, 'OS02G0698800 PROTEIN', NULL, NULL, NULL, 15),
(62552, NULL, 'PTHR11879:SF39', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(62553, NULL, 'PTHR24073:SF469', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-41', NULL, NULL, NULL, 15),
(62554, NULL, 'PTHR12652:SF52', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62555, NULL, 'PTHR10736:SF21', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG', NULL, NULL, NULL, 15),
(62556, NULL, 'PTHR19278:SF41', NULL, NULL, NULL, NULL, 'PYRE-LIKE PROTEIN', NULL, NULL, 17443, 15),
(62557, NULL, 'PTHR13031', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P SUBUNIT P30', NULL, NULL, 3883, 15),
(62558, NULL, 'PTHR46179:SF7', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62559, NULL, 'PTHR31503:SF50', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', NULL, NULL, NULL, 15),
(62560, NULL, 'PTHR45768:SF37', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(62561, NULL, 'PTHR35863:SF1', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-5B C(1)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(62562, NULL, 'PTHR11632:SF80', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(62563, NULL, 'PTHR33332', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62564, NULL, 'PTHR11361:SF90', NULL, NULL, NULL, NULL, 'ENDONUCLEASE MUTS2', NULL, NULL, NULL, 15),
(62565, NULL, 'PTHR21644', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 8084, 15),
(62566, NULL, 'PTHR24376:SF59', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 606', NULL, NULL, NULL, 15),
(62567, NULL, 'PTHR10857:SF111', NULL, NULL, NULL, NULL, 'COPINE DOMAIN PROTEIN, ATYPICAL', NULL, NULL, NULL, 15),
(62568, NULL, 'PTHR31215:SF32', NULL, NULL, NULL, NULL, 'BNAA07G10620D PROTEIN', NULL, NULL, NULL, 15),
(62569, NULL, 'PTHR10108:SF1144', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT10-RELATED', NULL, NULL, NULL, 15),
(62570, NULL, 'PTHR45811:SF13', NULL, NULL, NULL, NULL, 'OS04G0661100 PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62571, NULL, 'PTHR10460:SF40', NULL, NULL, NULL, NULL, 'ABI FAMILY, MEMBER 3B-RELATED', NULL, NULL, NULL, 15),
(62572, NULL, 'PTHR10261:SF5', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA-1', NULL, NULL, NULL, 15),
(62573, NULL, 'PTHR44914:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 13', NULL, NULL, NULL, 15),
(62574, NULL, 'PTHR48016:SF12', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', NULL, NULL, NULL, 15),
(62575, NULL, 'PTHR23013:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(62576, NULL, 'PTHR36181:SF3', NULL, NULL, NULL, NULL, 'LAGLIDADG ENDONUCLEASE', NULL, NULL, NULL, 15),
(62577, NULL, 'PTHR22692', NULL, NULL, NULL, NULL, 'MYOSIN VII, XV', NULL, NULL, NULL, 15),
(62578, NULL, 'PTHR27001:SF784', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE DOMAIN KINASE', NULL, NULL, NULL, 15),
(62579, NULL, 'PTHR31438:SF1', NULL, NULL, NULL, NULL, 'LYSINE N-ACYLTRANSFERASE C17G9.06C-RELATED', NULL, NULL, NULL, 15),
(62580, NULL, 'PTHR12499:SF17', NULL, NULL, NULL, NULL, 'OS01G0242300 PROTEIN', NULL, NULL, NULL, 15),
(62581, NULL, 'PTHR43518:SF1', NULL, NULL, NULL, NULL, 'RESPIRATORY NITRATE REDUCTASE 1 BETA CHAIN', NULL, NULL, NULL, 15),
(62582, NULL, 'PTHR22880:SF175', NULL, NULL, NULL, NULL, 'BROMODOMAIN TESTIS-SPECIFIC PROTEIN', NULL, NULL, NULL, 15),
(62583, NULL, 'PTHR10760:SF15', NULL, NULL, NULL, NULL, 'TORSIN-1A', NULL, NULL, 28919, 15),
(62584, NULL, 'PTHR28398:SF1', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX CENTRAL ELEMENT PROTEIN 2', NULL, NULL, NULL, 15),
(62585, NULL, 'PTHR43180:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62586, NULL, 'PTHR11571:SF122', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 9-RELATED', NULL, NULL, NULL, 15),
(62587, NULL, 'PTHR10060:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62588, NULL, 'PTHR45680:SF16', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(62589, NULL, 'PTHR24074:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62590, NULL, 'PTHR47926:SF168', NULL, NULL, NULL, NULL, 'BNAA09G42850D PROTEIN', NULL, NULL, NULL, 15),
(62591, NULL, 'PTHR14949', NULL, NULL, NULL, NULL, 'EGF-LIKE-DOMAIN, MULTIPLE 7, 8', NULL, NULL, NULL, 15),
(62592, NULL, 'PTHR11474:SF107', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(62593, NULL, 'PTHR31636:SF19', NULL, NULL, NULL, NULL, 'OSJNBA0084A10.13 PROTEIN', NULL, NULL, NULL, 15),
(62594, NULL, 'PTHR23315:SF221', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(62595, NULL, 'PTHR35778', NULL, NULL, NULL, NULL, 'SIGNALING MUCIN HKR1-RELATED', NULL, NULL, 32077, 15),
(62596, NULL, 'PTHR43272:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62597, NULL, 'PTHR14248:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62598, NULL, 'PTHR42811', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(62599, NULL, 'PTHR35483:SF1', NULL, NULL, NULL, NULL, 'NUCLEUSENVELOPE PROTEIN', NULL, NULL, NULL, 15),
(62600, NULL, 'PTHR47982:SF30', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK4', NULL, NULL, NULL, 15),
(62601, NULL, 'PTHR22802:SF396', NULL, NULL, NULL, NULL, 'MIP03875P', NULL, NULL, NULL, 15),
(62602, NULL, 'PTHR10835:SF21', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE, FAD/NAD(P)-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62603, NULL, 'PTHR11203', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR FAMILY MEMBER', NULL, NULL, NULL, 15),
(62604, NULL, 'PTHR10969:SF61', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8C', NULL, NULL, NULL, 15),
(62605, NULL, 'PTHR24271:SF60', NULL, NULL, NULL, NULL, 'KALLIKREIN-15', NULL, NULL, NULL, 15),
(62606, NULL, 'PTHR31744:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62607, NULL, 'PTHR10353:SF200', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 20', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62608, NULL, 'PTHR24034:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62609, NULL, 'PTHR47985:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62610, NULL, 'PTHR34833:SF1', NULL, NULL, NULL, NULL, 'GENE, 17359-RELATED', NULL, NULL, NULL, 15),
(62611, NULL, 'PTHR47537:SF4', NULL, NULL, NULL, NULL, 'GH12701P', NULL, NULL, NULL, 15),
(62612, NULL, 'PTHR34957:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(62613, NULL, 'PTHR15729:SF3', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 31', NULL, NULL, NULL, 15),
(62614, NULL, 'PTHR32341', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCIBLE GTPASE', NULL, NULL, NULL, 15),
(62615, NULL, 'PTHR38580:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 192', NULL, NULL, NULL, 15),
(62616, NULL, 'PTHR46619:SF4', NULL, NULL, NULL, NULL, 'XS DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62617, NULL, 'PTHR23226:SF209', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 32', NULL, NULL, NULL, 15),
(62618, NULL, 'PTHR21705:SF11', NULL, NULL, NULL, NULL, 'UPF0518 PROTEIN CG3558', NULL, NULL, NULL, 15),
(62619, NULL, 'PTHR34227:SF5', NULL, NULL, NULL, NULL, 'TAT PROOFREADING CHAPERONE DMSD-RELATED', NULL, NULL, NULL, 15),
(62620, NULL, 'PTHR24028:SF241', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 2 ALPHA A 1', NULL, NULL, NULL, 15),
(62621, NULL, 'PTHR14540:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA E130309D02 GENE', NULL, NULL, NULL, 15),
(62622, NULL, 'PTHR21141:SF96', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2B', NULL, NULL, NULL, 15),
(62623, NULL, 'PTHR47992:SF23', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 72-RELATED', NULL, NULL, NULL, 15),
(62624, NULL, 'PTHR24250:SF56', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P96', NULL, NULL, NULL, 15),
(62625, NULL, 'PTHR18937:SF170', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 1A', NULL, NULL, 27158, 15),
(62626, NULL, 'PTHR45624:SF26', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G07710)-RELATED', NULL, NULL, NULL, 15),
(62627, NULL, 'PTHR36026:SF6', NULL, NULL, NULL, NULL, 'BNAA04G27200D PROTEIN', NULL, NULL, NULL, 15),
(62628, NULL, 'PTHR10110:SF92', NULL, NULL, NULL, NULL, 'NA(+)/H(+) EXCHANGER PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(62629, NULL, 'PTHR31232:SF104', NULL, NULL, NULL, NULL, 'BNAC02G08890D PROTEIN', NULL, NULL, NULL, 15),
(62630, NULL, 'PTHR24393:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 324B', NULL, NULL, NULL, 15),
(62631, NULL, 'PTHR11994:SF30', NULL, NULL, NULL, NULL, 'BNAA09G55240D PROTEIN', NULL, NULL, NULL, 15),
(62632, NULL, 'PTHR36326', NULL, NULL, NULL, NULL, 'PROTEIN POLLENLESS 3-LIKE 2', NULL, NULL, 39455, 15),
(62633, NULL, 'PTHR16736:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62634, NULL, 'PTHR45628:SF3', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT P/Q-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1A', NULL, NULL, NULL, 15),
(62635, NULL, 'PTHR45701:SF4', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN RELATED', NULL, NULL, NULL, 15),
(62636, NULL, 'PTHR12549:SF44', NULL, NULL, NULL, NULL, 'BNAA09G13360D PROTEIN', NULL, NULL, NULL, 15),
(62637, NULL, 'PTHR34630:SF19', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(62638, NULL, 'PTHR16007:SF59', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 45B', NULL, NULL, NULL, 15),
(62639, NULL, 'PTHR10438:SF430', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(62640, NULL, 'PTHR11771:SF129', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(62641, NULL, 'PTHR16189:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 104', NULL, NULL, NULL, 15),
(62642, NULL, 'PTHR43128:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62643, NULL, 'PTHR21427:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62644, NULL, 'PTHR47514:SF1', NULL, NULL, NULL, NULL, 'TRANSKETOLASE N-TERMINAL SECTION-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62645, NULL, 'PTHR47947:SF29', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', NULL, NULL, NULL, 15),
(62646, NULL, 'PTHR35851', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSQ', NULL, NULL, 27274, 15),
(62647, NULL, 'PTHR31422:SF0', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 7', NULL, NULL, NULL, 15),
(62648, NULL, 'PTHR23267:SF320', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-8-RELATED', NULL, NULL, NULL, 15),
(62649, NULL, 'PTHR31692:SF58', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE B1', NULL, NULL, NULL, 15),
(62650, NULL, 'PTHR15238:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L39, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(62651, NULL, 'PTHR48017:SF124', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 8', NULL, NULL, NULL, 15),
(62652, NULL, 'PTHR20852:SF99', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', NULL, NULL, NULL, 15),
(62653, NULL, 'PTHR21551:SF15', NULL, NULL, NULL, NULL, 'TOPOISOMERASE II-ASSOCIATED PROTEIN PAT1', NULL, NULL, NULL, 15),
(62654, NULL, 'PTHR10414:SF32', NULL, NULL, NULL, NULL, 'CHOLINEPHOSPHOTRANSFERASE 1', NULL, NULL, NULL, 15),
(62655, NULL, 'PTHR43180:SF45', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(62656, NULL, 'PTHR47928:SF66', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(62657, NULL, 'PTHR31719:SF177', NULL, NULL, NULL, NULL, 'OS11G0512200 PROTEIN', NULL, NULL, NULL, 15),
(62658, NULL, 'PTHR24107:SF10', NULL, NULL, NULL, NULL, 'NLR FAMILY PYRIN DOMAIN CONTAINING 7', NULL, NULL, NULL, 15),
(62659, NULL, 'PTHR21357:SF3', NULL, NULL, NULL, NULL, 'COTRANSCRIPTIONAL REGULATOR FAM172A', NULL, NULL, 32804, 15),
(62660, NULL, 'PTHR11909:SF190', NULL, NULL, NULL, NULL, 'PROTEIN CBG04032', NULL, NULL, NULL, 15),
(62661, NULL, 'PTHR31108:SF7', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P63-REGULATED GENE 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62662, NULL, 'PTHR10024:SF352', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN 2', NULL, NULL, NULL, 15),
(62663, NULL, 'PTHR47947:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP81A1', NULL, NULL, NULL, 15),
(62664, NULL, 'PTHR10209:SF625', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(62665, NULL, 'PTHR44191:SF40', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(62666, NULL, 'PTHR12771:SF59', NULL, NULL, NULL, NULL, 'ELMO/CED-12 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(62667, NULL, 'PTHR32021:SF31', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62668, NULL, 'PTHR43337:SF3', NULL, NULL, NULL, NULL, 'PURINE TRANSPORTER', NULL, NULL, NULL, 15),
(62669, NULL, 'PTHR43085', NULL, NULL, NULL, NULL, 'HEXOKINASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(62670, NULL, 'PTHR46273:SF2', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', NULL, NULL, NULL, 15),
(62671, NULL, 'PTHR46408:SF16', NULL, NULL, NULL, NULL, 'BNAA03G18190D PROTEIN', NULL, NULL, NULL, 15),
(62672, NULL, 'PTHR30540:SF126', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(62673, NULL, 'PTHR47810:SF3', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62674, NULL, 'PTHR32100:SF59', NULL, NULL, NULL, NULL, 'OMEGA-3 FATTY ACID DESATURASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62675, NULL, 'PTHR23299:SF44', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN', NULL, NULL, NULL, 15),
(62676, NULL, 'PTHR24409:SF320', NULL, NULL, NULL, NULL, 'AZ2-RELATED', NULL, NULL, NULL, 15),
(62677, NULL, 'PTHR10768:SF30', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', NULL, NULL, NULL, 15),
(62678, NULL, 'PTHR11260:SF626', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U4', NULL, NULL, NULL, 15),
(62679, NULL, 'PTHR33065:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62680, NULL, 'PTHR33065:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62681, NULL, 'PTHR31054:SF9', NULL, NULL, NULL, NULL, 'ZYGOTE ARREST 1-LIKE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62682, NULL, 'PTHR19411:SF8', NULL, NULL, NULL, NULL, 'PROTEIN BUD31-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62683, NULL, 'PTHR24231:SF45', NULL, NULL, NULL, NULL, 'CYSTEINYL LEUKOTRIENE RECEPTOR 1', NULL, NULL, NULL, 15),
(62684, NULL, 'PTHR19317:SF41', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(62685, NULL, 'PTHR24282:SF126', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62686, NULL, 'PTHR24343:SF102', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(62687, NULL, 'PTHR11746:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62688, NULL, 'PTHR32018:SF22', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE LYASE FAMILY 4 PROTEIN', NULL, NULL, NULL, 15),
(62689, NULL, 'PTHR33787', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 1686, 15),
(62690, NULL, 'PTHR22847:SF600', NULL, NULL, NULL, NULL, 'WD-REPEAT PROTEIN', NULL, NULL, NULL, 15),
(62691, NULL, 'PTHR35790', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PCHR', NULL, NULL, NULL, 15),
(62692, NULL, 'PTHR45988:SF36', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62693, NULL, 'PTHR13328:SF4', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR A', NULL, NULL, NULL, 15),
(62694, NULL, 'PTHR33065:SF94', NULL, NULL, NULL, NULL, 'OS05G0112700 PROTEIN', NULL, NULL, NULL, 15),
(62695, NULL, 'PTHR30136:SF37', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(62696, NULL, 'PTHR10209:SF777', NULL, NULL, NULL, NULL, 'SI:DKEY-10O6.2', NULL, NULL, NULL, 15),
(62697, NULL, 'PTHR42840:SF11', NULL, NULL, NULL, NULL, 'BINDING ROSSMANN FOLD OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G09900)-RELATED', NULL, NULL, NULL, 15),
(62698, NULL, 'PTHR33136:SF54', NULL, NULL, NULL, NULL, 'RALFL33', NULL, NULL, NULL, 15),
(62699, NULL, 'PTHR12753:SF1', NULL, NULL, NULL, NULL, 'N-TERMINAL XAA-PRO-LYS N-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(62700, NULL, 'PTHR10766:SF91', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(62701, NULL, 'PTHR18947:SF37', NULL, NULL, NULL, NULL, 'PROTEIN HOOK HOMOLOG 2', NULL, NULL, NULL, 15),
(62702, NULL, 'PTHR46508:SF13', NULL, NULL, NULL, NULL, 'BNAA02G05910D PROTEIN', NULL, NULL, NULL, 15),
(62703, NULL, 'PTHR15301:SF12', NULL, NULL, NULL, NULL, 'INSILUN INDUCED PROTEIN', NULL, NULL, NULL, 15),
(62704, NULL, 'PTHR47961:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE MJ1401-RELATED', NULL, NULL, NULL, 15),
(62705, NULL, 'PTHR47322:SF19', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15),
(62706, NULL, 'PTHR22811:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62707, NULL, 'PTHR48002:SF142', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(62708, NULL, 'PTHR34722', NULL, NULL, NULL, NULL, 'HOMOLOG OF ODR-2 (TWO)-RELATED', NULL, NULL, 8137, 15),
(62709, NULL, 'PTHR33115:SF54', NULL, NULL, NULL, NULL, 'OS12G0284500 PROTEIN', NULL, NULL, NULL, 15),
(62710, NULL, 'PTHR24064:SF478', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-12-RELATED', NULL, NULL, NULL, 15),
(62711, NULL, 'PTHR24257:SF19', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE ELASTASE FAMILY MEMBER 2A', NULL, NULL, NULL, 15),
(62712, NULL, 'PTHR31500:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62713, NULL, 'PTHR23093:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62714, NULL, 'PTHR31238:SF137', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 20', NULL, NULL, NULL, 15),
(62715, NULL, 'PTHR31238:SF42', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 9-2-RELATED', NULL, NULL, NULL, 15),
(62716, NULL, 'PTHR24222:SF26', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING/PERMEASE PROTEIN HI_0664-RELATED', NULL, NULL, NULL, 15),
(62717, NULL, 'PTHR48044:SF61', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(62718, NULL, 'PTHR10209:SF711', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62719, NULL, 'PTHR34956:SF8', NULL, NULL, NULL, NULL, 'BNAANNG03070D PROTEIN', NULL, NULL, NULL, 15),
(62720, NULL, 'PTHR11909:SF135', NULL, NULL, NULL, NULL, 'PROTEIN CBG13435', NULL, NULL, NULL, 15),
(62721, NULL, 'PTHR21290:SF56', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL:CERAMIDE INOSITOLPHOSPHOTRANSFERASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(62722, NULL, 'PTHR45749:SF10', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 2-RELATED ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(62723, NULL, 'PTHR35720:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 12, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(62724, NULL, 'PTHR10505:SF17', NULL, NULL, NULL, NULL, 'CALCITONIN GENE-RELATED PEPTIDE 1', NULL, NULL, NULL, 15),
(62725, NULL, 'PTHR31065:SF61', NULL, NULL, NULL, NULL, 'BNAC04G22060D PROTEIN', NULL, NULL, NULL, 15),
(62726, NULL, 'PTHR33157:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62727, NULL, 'PTHR12815:SF12', NULL, NULL, NULL, NULL, 'TRANSLOCATION AND ASSEMBLY MODULE SUBUNIT TAMA', NULL, NULL, NULL, 15),
(62728, NULL, 'PTHR23359:SF86', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 7, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(62729, NULL, 'PTHR31485:SF4', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-ARABINOSYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(62730, NULL, 'PTHR22990:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG15150', NULL, NULL, NULL, 15),
(62731, NULL, 'PTHR19143:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62732, NULL, 'PTHR24221:SF489', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(62733, NULL, 'PTHR23226:SF194', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 287', NULL, NULL, NULL, 15),
(62734, NULL, 'PTHR11849:SF294', NULL, NULL, NULL, NULL, 'ETS TRANSLOCATION VARIANT 3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62735, NULL, 'PTHR10621:SF52', NULL, NULL, NULL, NULL, 'RAD23 HOMOLOG A, NUCLEOTIDE EXCISION REPAIR PROTEIN A', NULL, NULL, NULL, 15),
(62736, NULL, 'PTHR42683:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62737, NULL, 'PTHR47184', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-AND 4-KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62738, NULL, 'PTHR11902:SF30', NULL, NULL, NULL, NULL, 'ENOLASE 4', NULL, NULL, NULL, 15),
(62739, NULL, 'PTHR10857:SF126', NULL, NULL, NULL, NULL, 'NICOTINIC RECEPTOR-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(62740, NULL, 'PTHR34357:SF6', NULL, NULL, NULL, NULL, 'F26F24.3', NULL, NULL, NULL, 15),
(62741, NULL, 'PTHR15032', NULL, NULL, NULL, NULL, 'N-ACYL-PHOSPHATIDYLETHANOLAMINE-HYDROLYZING PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(62742, NULL, 'PTHR35749', NULL, NULL, NULL, NULL, 'OSJNBA0084A10.10 PROTEIN', NULL, NULL, NULL, 15),
(62743, NULL, 'PTHR45708:SF48', NULL, NULL, NULL, NULL, 'CHITINASE', NULL, NULL, NULL, 15),
(62744, NULL, 'PTHR12234:SF6', NULL, NULL, NULL, NULL, 'BNAA07G00620D PROTEIN', NULL, NULL, NULL, 15),
(62745, NULL, 'PTHR30417:SF4', NULL, NULL, NULL, NULL, '1,6-ANHYDRO-N-ACETYLMURAMYL-L-ALANINE AMIDASE AMPD', NULL, NULL, NULL, 15),
(62746, NULL, 'PTHR11814:SF11', NULL, NULL, NULL, NULL, 'TESTIS ANION TRANSPORTER 1', NULL, NULL, 23060, 15),
(62747, NULL, 'PTHR45619:SF47', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-2 CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(62748, NULL, 'PTHR10623', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN RP/EB FAMILY MEMBER', NULL, NULL, 26385, 15),
(62749, NULL, 'PTHR36302:SF1', NULL, NULL, NULL, NULL, 'BLR7088 PROTEIN', NULL, NULL, NULL, 15),
(62750, NULL, 'PTHR36778', NULL, NULL, NULL, NULL, 'CADMIUM-INDUCED PROTEIN AS8', NULL, NULL, 29042, 15),
(62751, NULL, 'PTHR31161:SF6', NULL, NULL, NULL, NULL, 'KINECTIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62752, NULL, 'PTHR45768', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF13-LIKE', NULL, NULL, NULL, 15),
(62753, NULL, 'PTHR22811:SF38', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62754, NULL, 'PTHR45444:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62755, NULL, 'PTHR31623:SF27', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(62756, NULL, 'PTHR31992:SF164', NULL, NULL, NULL, NULL, 'BNAC03G64450D PROTEIN', NULL, NULL, NULL, 15),
(62757, NULL, 'PTHR23147:SF145', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 2', NULL, NULL, 11479, 15),
(62758, NULL, 'PTHR13448', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 214', NULL, NULL, 15139, 15),
(62759, NULL, 'PTHR23294:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62760, NULL, 'PTHR47162:SF6', NULL, NULL, NULL, NULL, 'DDT DOMAIN, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(62761, NULL, 'PTHR11534:SF2', NULL, NULL, NULL, NULL, 'MYOBLAST DETERMINATION PROTEIN 1', NULL, NULL, NULL, 15),
(62762, NULL, 'PTHR34951:SF2', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62763, NULL, 'PTHR10566:SF119', NULL, NULL, NULL, NULL, 'OSJNBB0079B02.1 PROTEIN', NULL, NULL, NULL, 15),
(62764, NULL, 'PTHR33179:SF57', NULL, NULL, NULL, NULL, 'OS02G0173200 PROTEIN', NULL, NULL, NULL, 15),
(62765, NULL, 'PTHR24230:SF17', NULL, NULL, NULL, NULL, 'GALANIN RECEPTOR TYPE 3', NULL, NULL, NULL, 15),
(62766, NULL, 'PTHR14198:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62767, NULL, 'PTHR18821:SF7', NULL, NULL, NULL, NULL, 'PROKINETICIN-1', NULL, NULL, NULL, 15),
(62768, NULL, 'PTHR23403:SF1', NULL, NULL, NULL, NULL, 'TREHALASE', NULL, NULL, NULL, 15),
(62769, NULL, 'PTHR47992:SF51', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 12-RELATED', NULL, NULL, NULL, 15),
(62770, NULL, 'PTHR23267:SF166', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 4-3-RELATED', NULL, NULL, NULL, 15),
(62771, NULL, 'PTHR11654:SF527', NULL, NULL, NULL, NULL, 'BNAA09G54940D PROTEIN', NULL, NULL, NULL, 15),
(62772, NULL, 'PTHR36937:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06983', NULL, NULL, NULL, 15),
(62773, NULL, 'PTHR16040:SF8', NULL, NULL, NULL, NULL, 'BOREALIN-2', NULL, NULL, NULL, 15),
(62774, NULL, 'PTHR43016', NULL, NULL, NULL, NULL, 'PRESEQUENCE PROTEASE', NULL, NULL, NULL, 15),
(62775, NULL, 'PTHR33692', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION FACTOR RIMM', NULL, NULL, NULL, 15),
(62776, NULL, 'PTHR45642:SF86', NULL, NULL, NULL, NULL, 'BNAC05G04810D PROTEIN', NULL, NULL, NULL, 15),
(62777, NULL, 'PTHR24056:SF489', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 2 HOMOLOG 4', NULL, NULL, NULL, 15),
(62778, NULL, 'PTHR31696:SF27', NULL, NULL, NULL, NULL, 'OS03G0811550 PROTEIN', NULL, NULL, NULL, 15),
(62779, NULL, 'PTHR24228:SF31', NULL, NULL, NULL, NULL, 'APELIN RECEPTOR', NULL, NULL, 6010, 15),
(62780, NULL, 'PTHR31511:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG23764', NULL, NULL, NULL, 15),
(62781, NULL, 'PTHR22959:SF0', NULL, NULL, NULL, NULL, 'PARTNER OF Y14 AND MAGO', NULL, NULL, NULL, 15),
(62782, NULL, 'PTHR31388:SF114', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(62783, NULL, 'PTHR10828:SF69', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 25 HOMOLOG D', NULL, NULL, NULL, 15),
(62784, NULL, 'PTHR24034:SF112', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN', NULL, NULL, NULL, 15),
(62785, NULL, 'PTHR10378:SF26', NULL, NULL, NULL, NULL, 'LIM-DOMAIN BINDING PROTEIN/SEUSS-RELATED', NULL, NULL, NULL, 15),
(62786, NULL, 'PTHR24356:SF190', NULL, NULL, NULL, NULL, 'RAC-GAMMA SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(62787, NULL, 'PTHR16134:SF69', NULL, NULL, NULL, NULL, 'OS02G0317500 PROTEIN', NULL, NULL, NULL, 15),
(62788, NULL, 'PTHR34274:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62789, NULL, 'PTHR45969:SF38', NULL, NULL, NULL, NULL, 'OS08G0157400 PROTEIN', NULL, NULL, NULL, 15),
(62790, NULL, 'PTHR12786:SF3', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3A SUBUNIT 3', NULL, NULL, 27756, 15),
(62791, NULL, 'PTHR47991:SF43', NULL, NULL, NULL, NULL, 'BNAA08G30850D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62792, NULL, 'PTHR31143', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 25056, 15),
(62793, NULL, 'PTHR15367:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62794, NULL, 'PTHR46084:SF31', NULL, NULL, NULL, NULL, 'BNAA02G24120D PROTEIN', NULL, NULL, NULL, 15),
(62795, NULL, 'PTHR19858', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', NULL, NULL, 21920, 15),
(62796, NULL, 'PTHR48043:SF29', NULL, NULL, NULL, NULL, 'OS10G0331700 PROTEIN', NULL, NULL, NULL, 15),
(62797, NULL, 'PTHR11011:SF71', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(62798, NULL, 'PTHR11783:SF227', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(62799, NULL, 'PTHR11783:SF275', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(62800, NULL, 'PTHR32382:SF65', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62801, NULL, 'PTHR23061', NULL, NULL, NULL, NULL, 'DNA POLYMERASE 2 ALPHA 70 KDA SUBUNIT', NULL, NULL, 21948, 15),
(62802, NULL, 'PTHR10015:SF332', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR C-1', NULL, NULL, NULL, 15),
(62803, NULL, 'PTHR11588:SF395', NULL, NULL, NULL, NULL, 'TUBULIN BETA-9 CHAIN', NULL, NULL, NULL, 15),
(62804, NULL, 'PTHR23024:SF510', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62805, NULL, 'PTHR19430:SF3', NULL, NULL, NULL, NULL, 'PROTEIN BEX1', NULL, NULL, NULL, 15),
(62806, NULL, 'PTHR21248:SF20', NULL, NULL, NULL, NULL, 'CARDIOLIPIN SYNTHASE YWIE-RELATED', NULL, NULL, NULL, 15),
(62807, NULL, 'PTHR31985:SF174', NULL, NULL, NULL, NULL, 'AP2 DOMAIN TRANSCRIPTION FACTOR-LIKE', NULL, NULL, NULL, 15),
(62808, NULL, 'PTHR31740:SF2', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN L', NULL, NULL, NULL, 15),
(62809, NULL, 'PTHR12131', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA AND DNA HELICASE', NULL, NULL, NULL, 15),
(62810, NULL, 'PTHR12308:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62811, NULL, 'PTHR33075', NULL, NULL, NULL, NULL, 'OS02G0499800 PROTEIN', NULL, NULL, NULL, 15),
(62812, NULL, 'PTHR23331:SF2', NULL, NULL, NULL, NULL, 'WAS PROTEIN FAMILY HOMOLOG 2-RELATED', NULL, NULL, NULL, 15),
(62813, NULL, 'PTHR36161:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG08560', NULL, NULL, NULL, 15),
(62814, NULL, 'PTHR34251', NULL, NULL, NULL, NULL, 'LEUCINE-, GLUTAMATE- AND LYSINE-RICH PROTEIN 1', NULL, NULL, 34855, 15),
(62815, NULL, 'PTHR47133', NULL, NULL, NULL, NULL, 'TALIN ROD DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 37791, 15),
(62816, NULL, 'PTHR33095:SF81', NULL, NULL, NULL, NULL, 'OS02G0761300 PROTEIN', NULL, NULL, NULL, 15),
(62817, NULL, 'PTHR18966:SF427', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3.7', NULL, NULL, NULL, 15),
(62818, NULL, 'PTHR43586:SF17', NULL, NULL, NULL, NULL, 'OS11G0209900 PROTEIN', NULL, NULL, NULL, 15),
(62819, NULL, 'PTHR33829:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(62820, NULL, 'PTHR46739:SF2', NULL, NULL, NULL, NULL, 'SIP2.1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62821, NULL, 'PTHR34574:SF11', NULL, NULL, NULL, NULL, 'OS09G0483100 PROTEIN', NULL, NULL, NULL, 15),
(62822, NULL, 'PTHR45680:SF26', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-127-RELATED', NULL, NULL, NULL, 15),
(62823, NULL, 'PTHR32212:SF283', NULL, NULL, NULL, NULL, 'BNAANNG05380D PROTEIN', NULL, NULL, NULL, 15),
(62824, NULL, 'PTHR10494:SF4', NULL, NULL, NULL, NULL, 'NOGGIN', NULL, NULL, NULL, 15),
(62825, NULL, 'PTHR46407:SF4', NULL, NULL, NULL, NULL, 'AFR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62826, NULL, 'PTHR31907:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62827, NULL, 'PTHR24240', NULL, NULL, NULL, NULL, 'OPSIN', NULL, NULL, NULL, 15),
(62828, NULL, 'PTHR31769:SF55', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62829, NULL, 'PTHR15937', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 7 SUPERFAMILY MEMBER 3', NULL, NULL, 39598, 15),
(62830, NULL, 'PTHR46837:SF5', NULL, NULL, NULL, NULL, 'PROTEIN MLN51 HOMOLOG', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62831, NULL, 'PTHR31444:SF8', NULL, NULL, NULL, NULL, 'PROTEIN IRREGULAR XYLEM 15', NULL, NULL, NULL, 15),
(62832, NULL, 'PTHR35796:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62833, NULL, 'PTHR34397:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62834, NULL, 'PTHR32378:SF7', NULL, NULL, NULL, NULL, 'OS03G0407400 PROTEIN', NULL, NULL, NULL, 15),
(62835, NULL, 'PTHR21102', NULL, NULL, NULL, NULL, 'OPALIN', NULL, NULL, 23462, 15),
(62836, NULL, 'PTHR13134:SF4', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 13-RELATED', NULL, NULL, NULL, 15),
(62837, NULL, 'PTHR11945:SF546', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN SVP-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(62838, NULL, 'PTHR43686', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(62839, NULL, 'PTHR10574:SF240', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT GAMMA-3', NULL, NULL, NULL, 15),
(62840, NULL, 'PTHR33147:SF109', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(62841, NULL, 'PTHR46329:SF3', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR 3-RELATED', NULL, NULL, NULL, 15),
(62842, NULL, 'PTHR11002:SF63', NULL, NULL, NULL, NULL, 'BETA CARBONIC ANHYDRASE 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(62843, NULL, 'PTHR43792:SF10', NULL, NULL, NULL, NULL, 'YALI0F11605P', NULL, NULL, NULL, 15),
(62844, NULL, 'PTHR27006:SF441', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62845, NULL, 'PTHR12176:SF56', NULL, NULL, NULL, NULL, 'OSJNBA0004N05.3 PROTEIN', NULL, NULL, NULL, 15),
(62846, NULL, 'PTHR14083:SF13', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE HRF1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(62847, NULL, 'PTHR43735:SF11', NULL, NULL, NULL, NULL, 'HYPOTHETICAL OXIDOREDUCTASE (EUROFUNG)', NULL, NULL, NULL, 15),
(62848, NULL, 'PTHR32414', NULL, NULL, NULL, NULL, 'NEUROMEDIN-S', NULL, NULL, 36615, 15),
(62849, NULL, 'PTHR46749:SF2', NULL, NULL, NULL, NULL, 'BNAA09G40160D PROTEIN', NULL, NULL, NULL, 15),
(62850, NULL, 'PTHR30036:SF1', NULL, NULL, NULL, NULL, 'D-XYLOSE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(62851, NULL, 'PTHR12595:SF0', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE ISOENZYME 6', NULL, NULL, NULL, 15),
(62852, NULL, 'PTHR47926:SF137', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN ELI1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(62853, NULL, 'PTHR31367', NULL, NULL, NULL, NULL, 'CYTOSOLIC 5''-NUCLEOTIDASE 1 FAMILY MEMBER', NULL, NULL, 9942, 15),
(62854, NULL, 'PTHR24403:SF82', NULL, NULL, NULL, NULL, 'ZINC FINGER-CONTAINING UBIQUITIN PEPTIDASE 1', NULL, NULL, NULL, 15),
(62855, NULL, 'PTHR31790:SF81', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX, F-BOX PROTEIN INTERACTION DOMAIN', NULL, NULL, NULL, 15),
(62856, NULL, 'PTHR23501:SF154', NULL, NULL, NULL, NULL, 'MULTIDRUG-EFFLUX TRANSPORTER RV1634-RELATED', NULL, NULL, NULL, 15),
(62857, NULL, 'PTHR39336', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE PHOSPHATE OXIDASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G11440)', NULL, NULL, NULL, 15),
(62858, NULL, 'PTHR32009:SF41', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(62859, NULL, 'PTHR31851:SF49', NULL, NULL, NULL, NULL, 'FE2+/MN2+ TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(62860, NULL, 'PTHR43952:SF64', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(62861, NULL, 'PTHR12944:SF2', NULL, NULL, NULL, NULL, 'O-PHOSPHOSERYL-TRNA(SEC) SELENIUM TRANSFERASE', NULL, NULL, NULL, 15),
(62862, NULL, 'PTHR30457:SF15', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE SURE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(62863, NULL, 'PTHR12882:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT4', NULL, NULL, NULL, 15),
(62864, NULL, 'PTHR47969:SF12', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62865, NULL, 'PTHR12002:SF115', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62866, NULL, 'PTHR13771:SF9', NULL, NULL, NULL, NULL, 'INTERCELLULAR ADHESION MOLECULE 1', NULL, NULL, NULL, 15),
(62867, NULL, 'PTHR11119:SF58', NULL, NULL, NULL, NULL, 'PROTEIN CBG08341', NULL, NULL, NULL, 15),
(62868, NULL, 'PTHR11011:SF66', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(62869, NULL, 'PTHR31238:SF104', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62870, NULL, 'PTHR33641:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62871, NULL, 'PTHR35703:SF3', NULL, NULL, NULL, NULL, 'HEME OXYGENASE3', NULL, NULL, NULL, 15),
(62872, NULL, 'PTHR48062:SF3', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(62873, NULL, 'PTHR34282:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(62874, NULL, 'PTHR16134:SF3', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 12', NULL, NULL, NULL, 15),
(62875, NULL, 'PTHR33103:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62876, NULL, 'PTHR23266:SF314', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 6-1-RELATED', NULL, NULL, NULL, 15),
(62877, NULL, 'PTHR11216:SF76', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND PROTEIN', NULL, NULL, NULL, 15),
(62878, NULL, 'PTHR33544:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62879, NULL, 'PTHR31813:SF4', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 23B', NULL, NULL, NULL, 15),
(62880, NULL, 'PTHR30386:SF18', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YIAV-RELATED', NULL, NULL, NULL, 15),
(62881, NULL, 'PTHR11633:SF1', NULL, NULL, NULL, NULL, 'LD28763P', NULL, NULL, NULL, 15),
(62882, NULL, 'PTHR36462:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 12 OPEN READING FRAME 71', NULL, NULL, NULL, 15),
(62883, NULL, 'PTHR11242', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR INTERACTING PROTEIN RELATED', NULL, NULL, 29294, 15),
(62884, NULL, 'PTHR11388:SF2', NULL, NULL, NULL, NULL, 'ORGANIC ANION TRANSPORTING POLYPEPTIDE 33EB', NULL, NULL, NULL, 15),
(62885, NULL, 'PTHR10648:SF30', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT A, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(62886, NULL, 'PTHR15446', NULL, NULL, NULL, NULL, 'UROPLAKIN III', NULL, NULL, 21346, 15),
(62887, NULL, 'PTHR32295:SF41', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 11', NULL, NULL, NULL, 15),
(62888, NULL, 'PTHR31797:SF5', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN CAMBP64-RELATED', NULL, NULL, NULL, 15),
(62889, NULL, 'PTHR12052:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62890, NULL, 'PTHR11753:SF51', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', NULL, NULL, NULL, 15),
(62891, NULL, 'PTHR24223:SF416', NULL, NULL, NULL, NULL, 'BNAA09G10230D PROTEIN', NULL, NULL, NULL, 15),
(62892, NULL, 'PTHR47655', NULL, NULL, NULL, NULL, 'QUINIC ACID UTILIZATION ACTIVATOR', NULL, NULL, NULL, 15),
(62893, NULL, 'PTHR42861:SF12', NULL, NULL, NULL, NULL, 'SODIUM ION P-TYPE ATPASE (EUROFUNG)', NULL, NULL, NULL, 15),
(62894, NULL, 'PTHR10836:SF112', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE GAPC1, CYTOSOLIC-RELATED', NULL, NULL, NULL, 15),
(62895, NULL, 'PTHR47256', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(62896, NULL, 'PTHR39364', NULL, NULL, NULL, NULL, 'PROTEIN CBG04867', NULL, NULL, NULL, 15),
(62897, NULL, 'PTHR31395:SF16', NULL, NULL, NULL, NULL, 'AMELOGENIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(62898, NULL, 'PTHR21660:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62899, NULL, 'PTHR33157', NULL, NULL, NULL, NULL, 'AUTONOMOUS TRANSPOSABLE ELEMENT EN-1 MOSAIC PROTEIN-RELATED', NULL, NULL, 33482, 15),
(62900, NULL, 'PTHR34222:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62901, NULL, 'PTHR10509:SF76', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62902, NULL, 'PTHR11082:SF35', NULL, NULL, NULL, NULL, 'BNAA09G07510D PROTEIN', NULL, NULL, NULL, 15),
(62903, NULL, 'PTHR10772:SF49', NULL, NULL, NULL, NULL, 'BNAA08G31360D PROTEIN', NULL, NULL, NULL, 15),
(62904, NULL, 'PTHR34139', NULL, NULL, NULL, NULL, 'UPF0331 PROTEIN MJ0127', NULL, NULL, NULL, 15),
(62905, NULL, 'PTHR33098:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62906, NULL, 'PTHR33622:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62907, NULL, 'PTHR31414:SF22', NULL, NULL, NULL, NULL, 'ENVELOPE GLYCOPROTEIN B', NULL, NULL, NULL, 15),
(62908, NULL, 'PTHR31269:SF44', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH2', NULL, NULL, NULL, 15),
(62909, NULL, 'PTHR24115:SF0', NULL, NULL, NULL, NULL, 'FI21273P1-RELATED', NULL, NULL, NULL, 15),
(62910, NULL, 'PTHR35248', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, 36189, 15),
(62911, NULL, 'PTHR24373:SF285', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN COMPLEX ACID LABILE SUBUNIT', NULL, NULL, NULL, 15),
(62912, NULL, 'PTHR21110:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOPENTOMUTASE', NULL, NULL, NULL, 15),
(62913, NULL, 'PTHR10791:SF160', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(62914, NULL, 'PTHR45811:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62915, NULL, 'PTHR12010:SF15', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S14-RELATED', NULL, NULL, NULL, 15),
(62916, NULL, 'PTHR11005:SF120', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(62917, NULL, 'PTHR45676:SF86', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL5-LIKE', NULL, NULL, NULL, 15),
(62918, NULL, 'PTHR24161:SF91', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CHANNEL PYREXIA', NULL, NULL, NULL, 15),
(62919, NULL, 'PTHR43671:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK2', NULL, NULL, NULL, 15),
(62920, NULL, 'PTHR46416', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62921, NULL, 'PTHR13832:SF386', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62922, NULL, 'PTHR31660:SF76', NULL, NULL, NULL, NULL, 'GAG-POL POLYPROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(62923, NULL, 'PTHR48004:SF11', NULL, NULL, NULL, NULL, 'OS02G0227900 PROTEIN', NULL, NULL, NULL, 15),
(62924, NULL, 'PTHR14754:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 8', NULL, NULL, NULL, 15),
(62925, NULL, 'PTHR32285:SF199', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 33', NULL, NULL, NULL, 15),
(62926, NULL, 'PTHR26452:SF768', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(62927, NULL, 'PTHR45666:SF37', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL-1,4,5-TRISPHOSPHATE 5-PHOSPHATASE', NULL, NULL, NULL, 15),
(62928, NULL, 'PTHR45623:SF20', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 7', NULL, NULL, NULL, 15),
(62929, NULL, 'PTHR11932:SF159', NULL, NULL, NULL, NULL, 'BNAA09G51080D PROTEIN', NULL, NULL, NULL, 15),
(62930, NULL, 'PTHR33103:SF39', NULL, NULL, NULL, NULL, 'BNACNNG24410D PROTEIN', NULL, NULL, NULL, 15),
(62931, NULL, 'PTHR11500:SF0', NULL, NULL, NULL, NULL, 'BETA-CASEIN', NULL, NULL, NULL, 15),
(62932, NULL, 'PTHR13832:SF385', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 58-RELATED', NULL, NULL, NULL, 15),
(62933, NULL, 'PTHR24637:SF334', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(62934, NULL, 'PTHR39426', NULL, NULL, NULL, NULL, 'HOMOLOGY TO DEATH-ON-CURING PROTEIN OF PHAGE P1', NULL, NULL, 6675, 15),
(62935, NULL, 'PTHR15678', NULL, NULL, NULL, NULL, 'ANTIGEN MLAA-22-RELATED', NULL, NULL, 37236, 15),
(62936, NULL, 'PTHR11595:SF67', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION ELONGATION FACTOR 1 DELTA A (GUANINE NUCLEOTIDE EXCHANGE PROTEIN)', NULL, NULL, NULL, 15),
(62937, NULL, 'PTHR12411', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE FAMILY C1-RELATED', NULL, NULL, NULL, 15),
(62938, NULL, 'PTHR31589:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62939, NULL, 'PTHR10887:SF472', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62940, NULL, 'PTHR24040:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62941, NULL, 'PTHR43874:SF152', NULL, NULL, NULL, NULL, 'BNAC04G55620D PROTEIN', NULL, NULL, NULL, 15),
(62942, NULL, 'PTHR37525', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62943, NULL, 'PTHR34549:SF7', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT IV A', NULL, NULL, NULL, 15),
(62944, NULL, 'PTHR23236:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62945, NULL, 'PTHR46346:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT P', NULL, NULL, NULL, 15),
(62946, NULL, 'PTHR33110:SF71', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62947, NULL, 'PTHR47369:SF2', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(62948, NULL, 'PTHR43662', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62949, NULL, 'PTHR47019:SF1', NULL, NULL, NULL, NULL, 'LIPID II FLIPPASE MURJ', NULL, NULL, NULL, 15),
(62950, NULL, 'PTHR33444:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG04286', NULL, NULL, NULL, 15),
(62951, NULL, 'PTHR33088:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62952, NULL, 'PTHR48019:SF80', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(62953, NULL, 'PTHR31223:SF54', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15),
(62954, NULL, 'PTHR45924:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 1', NULL, NULL, NULL, 15),
(62955, NULL, 'PTHR12369:SF42', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE SYNTHASE 1', NULL, NULL, NULL, 15),
(62956, NULL, 'PTHR33783:SF7', NULL, NULL, NULL, NULL, 'BNAA02G24670D PROTEIN', NULL, NULL, NULL, 15),
(62957, NULL, 'PTHR21646:SF44', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 31', NULL, NULL, NULL, 15),
(62958, NULL, 'PTHR48105:SF13', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE 2', NULL, NULL, NULL, 15),
(62959, NULL, 'PTHR22957:SF367', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 14', NULL, NULL, NULL, 15),
(62960, NULL, 'PTHR11945:SF674', NULL, NULL, NULL, NULL, '2FE-2S FERREDOXIN-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(62961, NULL, 'PTHR18884:SF50', NULL, NULL, NULL, NULL, 'SEPTIN-10', NULL, NULL, NULL, 15),
(62962, NULL, 'PTHR11132:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62963, NULL, 'PTHR12824', NULL, NULL, NULL, NULL, 'GROUP XII SECRETORY PHOSPHOLIPASE A2 FAMILY MEMBER', NULL, NULL, 10086, 15),
(62964, NULL, 'PTHR15869', NULL, NULL, NULL, NULL, 'ENDOMUCIN-RELATED', NULL, NULL, 10428, 15),
(62965, NULL, 'PTHR31442:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYBC1', NULL, NULL, NULL, 15),
(62966, NULL, 'PTHR47990:SF2', NULL, NULL, NULL, NULL, 'OS03G0289800 PROTEIN', NULL, NULL, NULL, 15),
(62967, NULL, 'PTHR10751:SF41', NULL, NULL, NULL, NULL, 'ATLASTIN (ENDOPLASMIC RETICULUM GTPASE) RELATED', NULL, NULL, NULL, 15),
(62968, NULL, 'PTHR31218:SF294', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(62969, NULL, 'PTHR19229:SF225', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 2', NULL, NULL, 27583, 15),
(62970, NULL, 'PTHR24300:SF19', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2E1', NULL, NULL, NULL, 15),
(62971, NULL, 'PTHR36511:SF4', NULL, NULL, NULL, NULL, 'ANTITOXIN MQSA', NULL, NULL, NULL, 15),
(62972, NULL, 'PTHR37187:SF8', NULL, NULL, NULL, NULL, 'BNAA09G26770D PROTEIN', NULL, NULL, NULL, 15),
(62973, NULL, 'PTHR33993:SF3', NULL, NULL, NULL, NULL, 'GLYOXYLASE CFP32-RELATED', NULL, NULL, NULL, 15),
(62974, NULL, 'PTHR47372:SF13', NULL, NULL, NULL, NULL, 'EMBRYONIC PROTEIN DC-8-LIKE', NULL, NULL, NULL, 15),
(62975, NULL, 'PTHR43832:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(62976, NULL, 'PTHR46386:SF7', NULL, NULL, NULL, NULL, 'SP110 NUCLEAR BODY PROTEIN', NULL, NULL, NULL, 15),
(62977, NULL, 'PTHR11700:SF32', NULL, NULL, NULL, NULL, 'BNAA01G25960D PROTEIN', NULL, NULL, NULL, 15),
(62978, NULL, 'PTHR12608:SF12', NULL, NULL, NULL, NULL, 'GDT1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(62979, NULL, 'PTHR31150:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62980, NULL, 'PTHR11913:SF102', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 10', NULL, NULL, NULL, 15),
(62981, NULL, 'PTHR33564:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(62982, NULL, 'PTHR47609:SF1', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC25', NULL, NULL, NULL, 15),
(62983, NULL, 'PTHR10579:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62984, NULL, 'PTHR31050:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62985, NULL, 'PTHR24225:SF1', NULL, NULL, NULL, NULL, 'C5A ANAPHYLATOXIN CHEMOTACTIC RECEPTOR 2', NULL, NULL, 7158, 15),
(62986, NULL, 'PTHR35680:SF1', NULL, NULL, NULL, NULL, 'NFAT ACTIVATION MOLECULE 1', NULL, NULL, NULL, 15),
(62987, NULL, 'PTHR11746:SF236', NULL, NULL, NULL, NULL, 'BNAA02G18320D PROTEIN', NULL, NULL, NULL, 15),
(62988, NULL, 'PTHR24637:SF287', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(62989, NULL, 'PTHR10082', NULL, NULL, NULL, NULL, 'INTEGRIN BETA SUBUNIT', NULL, NULL, 12907, 15),
(62990, NULL, 'PTHR10159:SF520', NULL, NULL, NULL, NULL, 'PUCKERED, ISOFORM A', NULL, NULL, NULL, 15),
(62991, NULL, 'PTHR21566:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG06703', NULL, NULL, NULL, 15),
(62992, NULL, 'PTHR12307', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(62993, NULL, 'PTHR19375:SF460', NULL, NULL, NULL, NULL, '70 KDA HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(62994, NULL, 'PTHR12714:SF20', NULL, NULL, NULL, NULL, 'FAD SYNTHETASE 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(62995, NULL, 'PTHR12307:SF15', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3C', NULL, NULL, 27069, 15),
(62996, NULL, 'PTHR24253:SF6', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC SERINE PROTEASE 4', NULL, NULL, NULL, 15),
(62997, NULL, 'PTHR45267', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(62998, NULL, 'PTHR13451:SF10', NULL, NULL, NULL, NULL, 'ESSENTIAL MEIOTIC ENDONUCLEASE', NULL, NULL, NULL, 15),
(62999, NULL, 'PTHR24006:SF765', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63000, NULL, 'PTHR24356:SF316', NULL, NULL, NULL, NULL, 'OS12G0290100 PROTEIN', NULL, NULL, NULL, 15),
(63001, NULL, 'PTHR38519:SF2', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(63002, NULL, 'PTHR19850:SF30', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(63003, NULL, 'PTHR22750:SF55', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 186', NULL, NULL, NULL, 15),
(63004, NULL, 'PTHR10663:SF345', NULL, NULL, NULL, NULL, 'PATTERN FORMATION PROTEIN GNOM PROTEIN', NULL, NULL, NULL, 15),
(63005, NULL, 'PTHR35547:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63006, NULL, 'PTHR15592:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63007, NULL, 'PTHR31867:SF144', NULL, NULL, NULL, NULL, 'EXPANSIN-A5', NULL, NULL, NULL, 15),
(63008, NULL, 'PTHR35883', NULL, NULL, NULL, NULL, 'CYCLIC AMP-INDUCIBLE PROTEIN BP74-RELATED', NULL, NULL, NULL, 15),
(63009, NULL, 'PTHR35466:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(63010, NULL, 'PTHR12300:SF107', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(63011, NULL, 'PTHR30406:SF8', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORT SYSTEM PERMEASE PROTEIN CYST', NULL, NULL, 14230, 15),
(63012, NULL, 'PTHR46557:SF2', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63013, NULL, 'PTHR10766:SF120', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63014, NULL, 'PTHR37236:SF1', NULL, NULL, NULL, NULL, 'AUXIN-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(63015, NULL, 'PTHR13559:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FUZZY HOMOLOG', NULL, NULL, NULL, 15),
(63016, NULL, 'PTHR31639:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63017, NULL, 'PTHR13158', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63018, NULL, 'PTHR11709:SF116', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(63019, NULL, 'PTHR43302:SF8', NULL, NULL, NULL, NULL, 'SILICON EFFLUX TRANSPORTER LSI2', NULL, NULL, NULL, 15),
(63020, NULL, 'PTHR31500:SF47', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 1', NULL, NULL, NULL, 15),
(63021, NULL, 'PTHR23280:SF25', NULL, NULL, NULL, NULL, 'LD33734P', NULL, NULL, NULL, 15),
(63022, NULL, 'PTHR19134:SF505', NULL, NULL, NULL, NULL, 'IP14232P', NULL, NULL, NULL, 15),
(63023, NULL, 'PTHR21567:SF62', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(63024, NULL, 'PTHR31649:SF10', NULL, NULL, NULL, NULL, 'IP19903P-RELATED', NULL, NULL, NULL, 15),
(63025, NULL, 'PTHR27002:SF113', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(63026, NULL, 'PTHR21686:SF12', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOTIDYLTRANSFERASE TERMINAL-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(63027, NULL, 'PTHR10540:SF25', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 7', NULL, NULL, NULL, 15),
(63028, NULL, 'PTHR10366:SF704', NULL, NULL, NULL, NULL, 'OS09G0419200 PROTEIN', NULL, NULL, NULL, 15),
(63029, NULL, 'PTHR14155:SF570', NULL, NULL, NULL, NULL, 'BNAC04G02700D PROTEIN', NULL, NULL, NULL, 15),
(63030, NULL, 'PTHR46128:SF246', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63031, NULL, 'PTHR43219', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDONUCLEASE CAS1', NULL, NULL, 15258, 15),
(63032, NULL, 'PTHR37706:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(63033, NULL, 'PTHR47030', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(63034, NULL, 'PTHR36752:SF5', NULL, NULL, NULL, NULL, 'WOUND-INDUCED BASIC PROTEIN-LIKE', NULL, NULL, NULL, 15),
(63035, NULL, 'PTHR24062:SF161', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(63036, NULL, 'PTHR46038:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63037, NULL, 'PTHR35275:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63038, NULL, 'PTHR12558:SF24', NULL, NULL, NULL, NULL, 'SI:DKEY-12J5.1', NULL, NULL, NULL, 15),
(63039, NULL, 'PTHR46264:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63040, NULL, 'PTHR12372', NULL, NULL, NULL, NULL, 'PECANEX', NULL, NULL, 33583, 15),
(63041, NULL, 'PTHR42213', NULL, NULL, NULL, NULL, 'CPX CHROMOSOMAL REGION CANDIDATE GENE 1 PROTEIN', NULL, NULL, 30931, 15),
(63042, NULL, 'PTHR43900:SF70', NULL, NULL, NULL, NULL, 'BNAC04G00150D PROTEIN', NULL, NULL, NULL, 15),
(63043, NULL, 'PTHR40735', NULL, NULL, NULL, NULL, 'RNA-EDITING COMPLEX PROTEIN MP42-RELATED', NULL, NULL, NULL, 15),
(63044, NULL, 'PTHR47999:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB114-LIKE', NULL, NULL, NULL, 15),
(63045, NULL, 'PTHR23236:SF30', NULL, NULL, NULL, NULL, 'OS05G0114500 PROTEIN', NULL, NULL, NULL, 15),
(63046, NULL, 'PTHR10788:SF98', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 9-RELATED', NULL, NULL, NULL, 15),
(63047, NULL, 'PTHR14571:SF13', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 13', NULL, NULL, NULL, 15),
(63048, NULL, 'PTHR11614:SF175', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN LPX1', NULL, NULL, NULL, 15),
(63049, NULL, 'PTHR22933:SF39', NULL, NULL, NULL, NULL, 'CPAP1-I', NULL, NULL, NULL, 15),
(63050, NULL, 'PTHR12701:SF50', NULL, NULL, NULL, NULL, 'LP10861P', NULL, NULL, NULL, 15),
(63051, NULL, 'PTHR31808:SF9', NULL, NULL, NULL, NULL, 'F21O3.2 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63052, NULL, 'PTHR31079:SF5', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 73', NULL, NULL, NULL, 15),
(63053, NULL, 'PTHR45932:SF16', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63054, NULL, 'PTHR36477', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 225', NULL, NULL, 30481, 15),
(63055, NULL, 'PTHR44115:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(63056, NULL, 'PTHR48017:SF110', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 2', NULL, NULL, NULL, 15),
(63057, NULL, 'PTHR43625:SF62', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 1-RELATED', NULL, NULL, NULL, 15),
(63058, NULL, 'PTHR46128:SF23', NULL, NULL, NULL, NULL, 'BNAA10G28040D PROTEIN', NULL, NULL, NULL, 15),
(63059, NULL, 'PTHR11738:SF165', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY A MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(63060, NULL, 'PTHR24064:SF470', NULL, NULL, NULL, NULL, 'SI:DKEY-166K12.1', NULL, NULL, NULL, 15),
(63061, NULL, 'PTHR47993:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63062, NULL, 'PTHR11632:SF77', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(63063, NULL, 'PTHR11654:SF401', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(63064, NULL, 'PTHR48098', NULL, NULL, NULL, NULL, 'ENTEROCHELIN ESTERASE-RELATED', NULL, NULL, NULL, 15),
(63065, NULL, 'PTHR35478:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(63066, NULL, 'PTHR13533:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63067, NULL, 'PTHR38353:SF2', NULL, NULL, NULL, NULL, 'TROPOMYOSIN', NULL, NULL, NULL, 15),
(63068, NULL, 'PTHR32077:SF12', NULL, NULL, NULL, NULL, 'OS05G0563600 PROTEIN', NULL, NULL, NULL, 15),
(63069, NULL, 'PTHR19433:SF114', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 20-RELATED', NULL, NULL, NULL, 15),
(63070, NULL, 'PTHR24058:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63071, NULL, 'PTHR21579:SF6', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(63072, NULL, 'PTHR22792:SF121', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 6B-LIKE', NULL, NULL, NULL, 15),
(63073, NULL, 'PTHR31790:SF143', NULL, NULL, NULL, NULL, 'BNAA07G07500D PROTEIN', NULL, NULL, NULL, 15),
(63074, NULL, 'PTHR31251:SF151', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(63075, NULL, 'PTHR21645:SF15', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN F55C10.4', NULL, NULL, NULL, 15),
(63076, NULL, 'PTHR43201:SF11', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (JCVI)-RELATED', NULL, NULL, NULL, 15),
(63077, NULL, 'PTHR28640:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 6-INTERACTING PROTEIN 6', NULL, NULL, NULL, 15),
(63078, NULL, 'PTHR21450:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63079, NULL, 'PTHR23112:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63080, NULL, 'PTHR12804', NULL, NULL, NULL, NULL, 'MICROSOMAL SIGNAL PEPTIDASE 23 KD SUBUNIT  SPC22/23', NULL, NULL, 340, 15),
(63081, NULL, 'PTHR33091:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63082, NULL, 'PTHR24068:SF157', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-21 KDA', NULL, NULL, NULL, 15),
(63083, NULL, 'PTHR24349:SF398', NULL, NULL, NULL, NULL, 'BNAA02G32840D PROTEIN', NULL, NULL, NULL, 15),
(63084, NULL, 'PTHR33827:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63085, NULL, 'PTHR24093:SF481', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(63086, NULL, 'PTHR24388', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(63087, NULL, 'PTHR43920:SF5', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL, ISOFORM A', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63088, NULL, 'PTHR45870:SF2', NULL, NULL, NULL, NULL, 'TUBULIN MONOGLYCYLASE TTLL3', NULL, NULL, NULL, 15),
(63089, NULL, 'PTHR39244:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63090, NULL, 'PTHR28359:SF1', NULL, NULL, NULL, NULL, 'ASHWIN', NULL, NULL, NULL, 15),
(63091, NULL, 'PTHR20933:SF4', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 7-LIKE PROTEIN', NULL, NULL, NULL, 15),
(63092, NULL, 'PTHR11999:SF148', NULL, NULL, NULL, NULL, 'OS10G0400500 PROTEIN', NULL, NULL, NULL, 15),
(63093, NULL, 'PTHR14493:SF91', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 56-LIKE', NULL, NULL, NULL, 15),
(63094, NULL, 'PTHR11848:SF133', NULL, NULL, NULL, NULL, 'INHIBIN BETA A CHAIN', NULL, NULL, NULL, 15),
(63095, NULL, 'PTHR46694', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 37047, 15),
(63096, NULL, 'PTHR34473:SF1', NULL, NULL, NULL, NULL, 'UPF0699 TRANSMEMBRANE PROTEIN YDBT', NULL, NULL, NULL, 15),
(63097, NULL, 'PTHR47997:SF41', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-RELATED', NULL, NULL, NULL, 15),
(63098, NULL, 'PTHR46660:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 1 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(63099, NULL, 'PTHR14379:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63100, NULL, 'PTHR11430:SF117', NULL, NULL, NULL, NULL, 'GLYCODELIN', NULL, NULL, NULL, 15),
(63101, NULL, 'PTHR45642:SF65', NULL, NULL, NULL, NULL, 'BNAA02G25900D PROTEIN', NULL, NULL, NULL, 15),
(63102, NULL, 'PTHR41814:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(63103, NULL, 'PTHR47983:SF35', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE, NON-RECEPTOR JAK/TYK2-RELATED', NULL, NULL, NULL, 15),
(63104, NULL, 'PTHR31314:SF84', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63105, NULL, 'PTHR43620:SF31', NULL, NULL, NULL, NULL, 'BNAA02G12670D PROTEIN', NULL, NULL, NULL, 15),
(63106, NULL, 'PTHR45798:SF43', NULL, NULL, NULL, NULL, 'OS03G0398250 PROTEIN', NULL, NULL, NULL, 15),
(63107, NULL, 'PTHR32149', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G6C', NULL, NULL, 35599, 15),
(63108, NULL, 'PTHR31967:SF16', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)', NULL, NULL, NULL, 15),
(63109, NULL, 'PTHR10678:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63110, NULL, 'PTHR10641:SF1288', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', NULL, NULL, NULL, 15),
(63111, NULL, 'PTHR31744:SF114', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 2', NULL, NULL, NULL, 15),
(63112, NULL, 'PTHR45903:SF2', NULL, NULL, NULL, NULL, 'BNAA07G09700D PROTEIN', NULL, NULL, NULL, 15),
(63113, NULL, 'PTHR24381:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63114, NULL, 'PTHR45712:SF20', NULL, NULL, NULL, NULL, 'PODOCAN', NULL, NULL, NULL, 15),
(63115, NULL, 'PTHR16134:SF86', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(63116, NULL, 'PTHR10196:SF89', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE', NULL, NULL, NULL, 15),
(63117, NULL, 'PTHR31044:SF104', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(63118, NULL, 'PTHR34855:SF1', NULL, NULL, NULL, NULL, 'TRICHOHYALIN', NULL, NULL, NULL, 15),
(63119, NULL, 'PTHR26453:SF661', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(63120, NULL, 'PTHR46455:SF1', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN CONTAINING, ARTHROPOD-SPECIFIC, MEMBER 2', NULL, NULL, NULL, 15),
(63121, NULL, 'PTHR24404:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR CTCF', NULL, NULL, NULL, 15),
(63122, NULL, 'PTHR47992:SF114', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 15-RELATED', NULL, NULL, NULL, 15),
(63123, NULL, 'PTHR27003:SF393', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE THESEUS 1', NULL, NULL, NULL, 15),
(63124, NULL, 'PTHR24032:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63125, NULL, 'PTHR13223', NULL, NULL, NULL, NULL, 'ACIDIC FIBROBLAST GROWTH FACTOR INTRACELLULAR BINDING PROTEIN', NULL, NULL, 14175, 15),
(63126, NULL, 'PTHR11654:SF79', NULL, NULL, NULL, NULL, 'OS03G0204700 PROTEIN', NULL, NULL, NULL, 15),
(63127, NULL, 'PTHR13683:SF607', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63128, NULL, 'PTHR12411:SF356', NULL, NULL, NULL, NULL, 'PROTEIN CBG05143', NULL, NULL, NULL, 15),
(63129, NULL, 'PTHR19970:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39', NULL, NULL, NULL, 15),
(63130, NULL, 'PTHR45614:SF133', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR MYB-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(63131, NULL, 'PTHR22941:SF131', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(63132, NULL, 'PTHR44156:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63133, NULL, 'PTHR48018:SF43', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(63134, NULL, 'PTHR11122:SF53', NULL, NULL, NULL, NULL, 'ALDOSE 1-/GLUCOSE-6-PHOSPHATE 1-EPIMERASE, GALACTOSE MUTAROTASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63135, NULL, 'PTHR10252:SF94', NULL, NULL, NULL, NULL, 'CCAAT TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(63136, NULL, 'PTHR43076:SF8', NULL, NULL, NULL, NULL, 'CYCLIC DEHYPOXANTHINE FUTALOSINE SYNTHASE', NULL, NULL, NULL, 15),
(63137, NULL, 'PTHR48201', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63138, NULL, 'PTHR33983:SF14', NULL, NULL, NULL, NULL, 'BNAC04G24170D PROTEIN', NULL, NULL, NULL, 15),
(63139, NULL, 'PTHR41710', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 39', NULL, NULL, 15574, 15),
(63140, NULL, 'PTHR28492:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63141, NULL, 'PTHR24559:SF349', NULL, NULL, NULL, NULL, 'OSJNBA0059D20.8-LIKE PROTEIN', NULL, NULL, NULL, 15),
(63142, NULL, 'PTHR31189:SF64', NULL, NULL, NULL, NULL, 'LEGUMIN A-LIKE', NULL, NULL, NULL, 15),
(63143, NULL, 'PTHR24349:SF449', NULL, NULL, NULL, NULL, 'CALCIUM DEPENDENT PROTEIN KINASE 16', NULL, NULL, NULL, 15),
(63144, NULL, 'PTHR10300:SF4', NULL, NULL, NULL, NULL, 'CALCIPRESSIN-1', NULL, NULL, 27501, 15),
(63145, NULL, 'PTHR31029:SF10', NULL, NULL, NULL, NULL, 'BNAA02G36310D PROTEIN', NULL, NULL, NULL, 15),
(63146, NULL, 'PTHR31568:SF62', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH TM MODULE STRESS TOLERANCE PROTEIN', NULL, NULL, NULL, 15),
(63147, NULL, 'PTHR31111', NULL, NULL, NULL, NULL, 'BNAA05G37150D PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63148, NULL, 'PTHR11964:SF56', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE 2', NULL, NULL, NULL, 15),
(63149, NULL, 'PTHR47990:SF144', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 3', NULL, NULL, NULL, 15),
(63150, NULL, 'PTHR22835:SF510', NULL, NULL, NULL, NULL, '2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63151, NULL, 'PTHR43240:SF14', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-2-NAPHTHOYL-COA THIOESTERASE 2', NULL, NULL, NULL, 15),
(63152, NULL, 'PTHR36575:SF2', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14430)-RELATED', NULL, NULL, NULL, 15),
(63153, NULL, 'PTHR11588:SF371', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN-RELATED', NULL, NULL, NULL, 15),
(63154, NULL, 'PTHR34130:SF9', NULL, NULL, NULL, NULL, 'BNAA03G50030D PROTEIN', NULL, NULL, NULL, 15),
(63155, NULL, 'PTHR45934:SF21', NULL, NULL, NULL, NULL, 'MONOOXYGENASE 1', NULL, NULL, NULL, 15),
(63156, NULL, 'PTHR40416', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63157, NULL, 'PTHR15607:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63158, NULL, 'PTHR46038:SF17', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(63159, NULL, 'PTHR11932:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63160, NULL, 'PTHR23155:SF976', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPM1', NULL, NULL, NULL, 15),
(63161, NULL, 'PTHR30050:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOMAL REPLICATION INITIATOR PROTEIN DNAA', NULL, NULL, 4495, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63162, NULL, 'PTHR11721:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27A', NULL, NULL, NULL, 15),
(63163, NULL, 'PTHR31048:SF174', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63164, NULL, 'PTHR31465:SF8', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14140)-RELATED', NULL, NULL, NULL, 15),
(63165, NULL, 'PTHR11615:SF159', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1C1', NULL, NULL, NULL, 15),
(63166, NULL, 'PTHR23167:SF54', NULL, NULL, NULL, NULL, 'PROTEIN-METHIONINE SULFOXIDE OXIDASE MICAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(63167, NULL, 'PTHR23233:SF85', NULL, NULL, NULL, NULL, 'SI:CH211-212K18.5', NULL, NULL, NULL, 15),
(63168, NULL, 'PTHR12277:SF161', NULL, NULL, NULL, NULL, 'BNAA08G12730D PROTEIN', NULL, NULL, NULL, 15),
(63169, NULL, 'PTHR11360:SF278', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER FAMILY', NULL, NULL, NULL, 15),
(63170, NULL, 'PTHR10572:SF37', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', NULL, NULL, NULL, 15),
(63171, NULL, 'PTHR11802:SF53', NULL, NULL, NULL, NULL, 'OS10G0101200 PROTEIN', NULL, NULL, NULL, 15),
(63172, NULL, 'PTHR32382:SF43', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 2', NULL, NULL, NULL, 15),
(63173, NULL, 'PTHR10663:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63174, NULL, 'PTHR10353:SF210', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(63175, NULL, 'PTHR31639:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63176, NULL, 'PTHR12297', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCBILE GENE 1  HIG1 -RELATED', NULL, NULL, NULL, 15),
(63177, NULL, 'PTHR31184', NULL, NULL, NULL, NULL, 'HUNTINGTIN-INTERACTING PROTEIN K FAMILY MEMBER', NULL, NULL, NULL, 15),
(63178, NULL, 'PTHR11926:SF968', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C1', NULL, NULL, NULL, 15),
(63179, NULL, 'PTHR21075', NULL, NULL, NULL, NULL, 'ANAEROBIC RIBONUCLEOSIDE-TRIPHOSPHATE REDUCTASE', NULL, NULL, NULL, 15),
(63180, NULL, 'PTHR36766', NULL, NULL, NULL, NULL, 'PLANT BROAD-SPECTRUM MILDEW RESISTANCE PROTEIN RPW8', NULL, NULL, 35684, 15),
(63181, NULL, 'PTHR19846:SF3', NULL, NULL, NULL, NULL, 'BNAC04G01920D PROTEIN', NULL, NULL, NULL, 15),
(63182, NULL, 'PTHR43243:SF72', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 9-RELATED', NULL, NULL, NULL, 15),
(63183, NULL, 'PTHR22847:SF625', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63184, NULL, 'PTHR48066:SF1', NULL, NULL, NULL, NULL, 'CARNOSINE SYNTHASE 1', NULL, NULL, NULL, 15),
(63185, NULL, 'PTHR31681:SF87', NULL, NULL, NULL, NULL, 'BNAC03G60730D PROTEIN', NULL, NULL, NULL, 15),
(63186, NULL, 'PTHR41910:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE 2 MEMBRANE SUBUNIT SDHC', NULL, NULL, NULL, 15),
(63187, NULL, 'PTHR38001', NULL, NULL, NULL, NULL, 'PROTEIN CEBPZOS', NULL, NULL, 35220, 15),
(63188, NULL, 'PTHR38928:SF8', NULL, NULL, NULL, NULL, 'ARGOS7', NULL, NULL, NULL, 15),
(63189, NULL, 'PTHR12764:SF4', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 122 HOMOLOG', NULL, NULL, NULL, 15),
(63190, NULL, 'PTHR41774:SF1', NULL, NULL, NULL, NULL, 'NIF3-RELATED PROTEIN', NULL, NULL, NULL, 15),
(63191, NULL, 'PTHR14430:SF5', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR FOR RAB-3A', NULL, NULL, NULL, 15),
(63192, NULL, 'PTHR18953:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63193, NULL, 'PTHR43859:SF9', NULL, NULL, NULL, NULL, 'OS02G0119200 PROTEIN', NULL, NULL, NULL, 15),
(63194, NULL, 'PTHR35468:SF2', NULL, NULL, NULL, NULL, 'BNAC06G04540D PROTEIN', NULL, NULL, NULL, 15),
(63195, NULL, 'PTHR12084:SF11', NULL, NULL, NULL, NULL, 'NUCLEOPORIN-62 C-TERMINAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(63196, NULL, 'PTHR48049:SF48', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71B2', NULL, NULL, NULL, 15),
(63197, NULL, 'PTHR23093:SF17', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 6B', NULL, NULL, NULL, 15),
(63198, NULL, 'PTHR12794:SF6', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63199, NULL, 'PTHR16223:SF234', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH110', NULL, NULL, NULL, 15),
(63200, NULL, 'PTHR34601:SF1', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP B', NULL, NULL, NULL, 15),
(63201, NULL, 'PTHR43201:SF4', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', NULL, NULL, NULL, 15),
(63202, NULL, 'PTHR22382', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4921504E06 GENE', NULL, NULL, 33893, 15),
(63203, NULL, 'PTHR10055:SF9', NULL, NULL, NULL, NULL, 'TRYPTOPHAN--TRNA LIGASE', NULL, NULL, NULL, 15),
(63204, NULL, 'PTHR35400', NULL, NULL, NULL, NULL, 'SLR1083 PROTEIN', NULL, NULL, NULL, 15),
(63205, NULL, 'PTHR23130:SF178', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(63206, NULL, 'PTHR45695:SF7', NULL, NULL, NULL, NULL, 'GASTRIN-RELEASING PEPTIDE RECEPTOR', NULL, NULL, NULL, 15),
(63207, NULL, 'PTHR36132:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 221', NULL, NULL, NULL, 15),
(63208, NULL, 'PTHR10992:SF1051', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63209, NULL, 'PTHR11685:SF351', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(63210, NULL, 'PTHR17614:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 804A', NULL, NULL, NULL, 15),
(63211, NULL, 'PTHR46877:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63212, NULL, 'PTHR12313:SF64', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF8-RELATED', NULL, NULL, NULL, 15),
(63213, NULL, 'PTHR12701:SF55', NULL, NULL, NULL, NULL, 'OS05G0272900 PROTEIN', NULL, NULL, NULL, 15),
(63214, NULL, 'PTHR24072:SF127', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC7', NULL, NULL, NULL, 15),
(63215, NULL, 'PTHR33136:SF85', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 22', NULL, NULL, NULL, 15),
(63216, NULL, 'PTHR31310:SF11', NULL, NULL, NULL, NULL, 'INOSITOL PHOSPHORYLCERAMIDE SYNTHASE CATALYTIC SUBUNIT AUR1', NULL, NULL, NULL, 15),
(63217, NULL, 'PTHR11669:SF64', NULL, NULL, NULL, NULL, 'BNAA01G14140D PROTEIN', NULL, NULL, NULL, 15),
(63218, NULL, 'PTHR13031:SF1', NULL, NULL, NULL, NULL, 'BNAA10G29620D PROTEIN', NULL, NULL, NULL, 15),
(63219, NULL, 'PTHR36423', NULL, NULL, NULL, NULL, 'AFR070WP', NULL, NULL, 14283, 15),
(63220, NULL, 'PTHR33524:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63221, NULL, 'PTHR24237:SF38', NULL, NULL, NULL, NULL, 'SI:CH211-184M13.4', NULL, NULL, NULL, 15),
(63222, NULL, 'PTHR31923:SF32', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63223, NULL, 'PTHR33070:SF90', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF241)-RELATED', NULL, NULL, NULL, 15),
(63224, NULL, 'PTHR47985:SF58', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', NULL, NULL, NULL, 15),
(63225, NULL, 'PTHR46086:SF6', NULL, NULL, NULL, NULL, 'OS05G0153300 PROTEIN', NULL, NULL, NULL, 15),
(63226, NULL, 'PTHR23510:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG15681', NULL, NULL, NULL, 15),
(63227, NULL, 'PTHR10772:SF30', NULL, NULL, NULL, NULL, '20 KDA CHAPERONIN, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(63228, NULL, 'PTHR48017:SF130', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(63229, NULL, 'PTHR47107:SF1', NULL, NULL, NULL, NULL, 'SVF1-LIKE PROTEIN YDR222W-RELATED', NULL, NULL, NULL, 15),
(63230, NULL, 'PTHR45624:SF7', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 48', NULL, NULL, NULL, 15),
(63231, NULL, 'PTHR22526', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 26831, 15),
(63232, NULL, 'PTHR43276:SF3', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN:MALTOSE-1-PHOSPHATE MALTOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(63233, NULL, 'PTHR11062:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63234, NULL, 'PTHR38779', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN I-RELATED', NULL, NULL, 5428, 15),
(63235, NULL, 'PTHR24133:SF14', NULL, NULL, NULL, NULL, 'ZGC:112001', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63236, NULL, 'PTHR10663:SF353', NULL, NULL, NULL, NULL, 'ARF GUANINE-NUCLEOTIDE EXCHANGE FACTOR GNL1', NULL, NULL, NULL, 15),
(63237, NULL, 'PTHR11206:SF197', NULL, NULL, NULL, NULL, 'AEL099WP', NULL, NULL, NULL, 15),
(63238, NULL, 'PTHR21325', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B, PLB1', NULL, NULL, 31049, 15),
(63239, NULL, 'PTHR27004:SF318', NULL, NULL, NULL, NULL, 'BNAA05G09460D PROTEIN', NULL, NULL, NULL, 15),
(63240, NULL, 'PTHR11412:SF136', NULL, NULL, NULL, NULL, 'GH01829P-RELATED', NULL, NULL, NULL, 15),
(63241, NULL, 'PTHR43162', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63242, NULL, 'PTHR33076:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63243, NULL, 'PTHR11071:SF471', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF LUMENAL LOCATION 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(63244, NULL, 'PTHR31346:SF20', NULL, NULL, NULL, NULL, 'BNAANNG21120D PROTEIN', NULL, NULL, NULL, 15),
(63245, NULL, 'PTHR11654:SF131', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.5', NULL, NULL, NULL, 15),
(63246, NULL, 'PTHR11647:SF1', NULL, NULL, NULL, NULL, 'COLLAPSIN RESPONSE MEDIATOR PROTEIN', NULL, NULL, NULL, 15),
(63247, NULL, 'PTHR36698:SF2', NULL, NULL, NULL, NULL, 'BLL5892 PROTEIN', NULL, NULL, NULL, 15),
(63248, NULL, 'PTHR11987:SF3', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLNEURAMINIDE ALPHA-2,8-SIALYLTRANSFERASE', NULL, NULL, NULL, 15),
(63249, NULL, 'PTHR36489:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-COUPLED RECEPTOR GPR1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63250, NULL, 'PTHR44542:SF17', NULL, NULL, NULL, NULL, 'BNAA07G12790D PROTEIN', NULL, NULL, NULL, 15),
(63251, NULL, 'PTHR12802:SF131', NULL, NULL, NULL, NULL, 'OS02G0685200 PROTEIN', NULL, NULL, NULL, 15),
(63252, NULL, 'PTHR11404:SF39', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [MN] 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(63253, NULL, 'PTHR16551:SF4', NULL, NULL, NULL, NULL, 'AGOUTI-RELATED PROTEIN', NULL, NULL, NULL, 15),
(63254, NULL, 'PTHR31707:SF151', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 20-RELATED', NULL, NULL, NULL, 15),
(63255, NULL, 'PTHR13832:SF662', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 55-RELATED', NULL, NULL, NULL, 15),
(63256, NULL, 'PTHR47031:SF7', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63257, NULL, 'PTHR12424:SF18', NULL, NULL, NULL, NULL, 'PROTEIN TWEETY-2', NULL, NULL, NULL, 15),
(63258, NULL, 'PTHR10582', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL ION CHANNEL PROTEIN', NULL, NULL, 19449, 15),
(63259, NULL, 'PTHR46035:SF3', NULL, NULL, NULL, NULL, 'TRANSLOCATION PROTEIN SEC72', NULL, NULL, NULL, 15),
(63260, NULL, 'PTHR19325:SF519', NULL, NULL, NULL, NULL, 'PROTEIN LEV-9', NULL, NULL, NULL, 15),
(63261, NULL, 'PTHR23235:SF28', NULL, NULL, NULL, NULL, 'SP5 TRANSCRIPTION FACTOR-LIKE', NULL, NULL, NULL, 15),
(63262, NULL, 'PTHR12268:SF19', NULL, NULL, NULL, NULL, 'DYSTROBREVIN ALPHA', NULL, NULL, NULL, 15),
(63263, NULL, 'PTHR48018:SF58', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9I1', NULL, NULL, NULL, 15),
(63264, NULL, 'PTHR19241:SF565', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 40', NULL, NULL, NULL, 15),
(63265, NULL, 'PTHR12596:SF2', NULL, NULL, NULL, NULL, 'EXPORTIN 7', NULL, NULL, NULL, 15),
(63266, NULL, 'PTHR31238:SF177', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(63267, NULL, 'PTHR33065:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63268, NULL, 'PTHR23098:SF17', NULL, NULL, NULL, NULL, 'NUCLEAR APOPTOSIS-INDUCING FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(63269, NULL, 'PTHR27007:SF276', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN RECEPTOR KINASE', NULL, NULL, NULL, 15),
(63270, NULL, 'PTHR34833', NULL, NULL, NULL, NULL, 'GENE, 17359-RELATED', NULL, NULL, 22021, 15),
(63271, NULL, 'PTHR46039', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE 3-RELATED', NULL, NULL, 37881, 15),
(63272, NULL, 'PTHR47956:SF92', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B13-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63273, NULL, 'PTHR31301:SF141', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(63274, NULL, 'PTHR31374:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63275, NULL, 'PTHR31218:SF280', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(63276, NULL, 'PTHR32196:SF15', NULL, NULL, NULL, NULL, 'SUGAR ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(63277, NULL, 'PTHR31696:SF59', NULL, NULL, NULL, NULL, 'OSJNBB0003B01.5 PROTEIN', NULL, NULL, NULL, 15),
(63278, NULL, 'PTHR45868:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63279, NULL, 'PTHR46535', NULL, NULL, NULL, NULL, 'NEDD4-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(63280, NULL, 'PTHR10334:SF450', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63281, NULL, 'PTHR21879:SF22', NULL, NULL, NULL, NULL, 'FI03362P-RELATED', NULL, NULL, NULL, 15),
(63282, NULL, 'PTHR24320:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63283, NULL, 'PTHR33308:SF9', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN HYDROLASE FLGJ', NULL, NULL, NULL, 15),
(63284, NULL, 'PTHR10201:SF115', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-27', NULL, NULL, 24735, 15),
(63285, NULL, 'PTHR30204:SF69', NULL, NULL, NULL, NULL, 'DNA-BINDING REGULATOR-RELATED', NULL, NULL, NULL, 15),
(63286, NULL, 'PTHR10891:SF851', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML45-RELATED', NULL, NULL, NULL, 15),
(63287, NULL, 'PTHR15663:SF6', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63288, NULL, 'PTHR30457:SF19', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G01070)-RELATED', NULL, NULL, NULL, 15),
(63289, NULL, 'PTHR47991:SF35', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(63290, NULL, 'PTHR24094:SF15', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN', NULL, NULL, NULL, 15),
(63291, NULL, 'PTHR23203', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN', NULL, NULL, 25868, 15),
(63292, NULL, 'PTHR10666:SF372', NULL, NULL, NULL, NULL, 'UBIQUITIN-RELATED DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63293, NULL, 'PTHR11920:SF482', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', NULL, NULL, NULL, 15),
(63294, NULL, 'PTHR12825:SF0', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN SEC20', NULL, NULL, NULL, 15),
(63295, NULL, 'PTHR23266:SF236', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-43-RELATED', NULL, NULL, NULL, 15),
(63296, NULL, 'PTHR24055:SF203', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(63297, NULL, 'PTHR10460:SF38', NULL, NULL, NULL, NULL, 'ABI FAMILY-RELATED', NULL, NULL, NULL, 15),
(63298, NULL, 'PTHR18929:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63299, NULL, 'PTHR16082', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT MU-1', NULL, NULL, 36219, 15),
(63300, NULL, 'PTHR18945:SF512', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL 50', NULL, NULL, NULL, 15),
(63301, NULL, 'PTHR12673:SF80', NULL, NULL, NULL, NULL, 'RAC GUANYL-NUCLEOTIDE EXCHANGE FACTOR', NULL, NULL, NULL, 15),
(63302, NULL, 'PTHR33433:SF25', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(63303, NULL, 'PTHR11567:SF19', NULL, NULL, NULL, NULL, 'GH19849P', NULL, NULL, NULL, 15),
(63304, NULL, 'PTHR16399:SF31', NULL, NULL, NULL, NULL, 'GASDERMIN DOMAIN-CONTAINING PROTEIN RGD1359449', NULL, NULL, NULL, 15),
(63305, NULL, 'PTHR40943', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63306, NULL, 'PTHR24023:SF968', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(63307, NULL, 'PTHR10739:SF13', NULL, NULL, NULL, NULL, 'GH25855P-RELATED', NULL, NULL, NULL, 15),
(63308, NULL, 'PTHR31923:SF3', NULL, NULL, NULL, NULL, 'OS04G0662000 PROTEIN', NULL, NULL, NULL, 15),
(63309, NULL, 'PTHR47975:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63310, NULL, 'PTHR31490:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 10 PROTEIN', NULL, NULL, NULL, 15),
(63311, NULL, 'PTHR31744:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUNGBRUNNEN 1', NULL, NULL, NULL, 15),
(63312, NULL, 'PTHR12050', NULL, NULL, NULL, NULL, 'LEPTIN RECEPTOR-RELATED', NULL, NULL, 6534, 15),
(63313, NULL, 'PTHR15829:SF15', NULL, NULL, NULL, NULL, 'RIPOR FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(63314, NULL, 'PTHR36576:SF1', NULL, NULL, NULL, NULL, 'UPF0654 PROTEIN C11D3.01C-RELATED', NULL, NULL, NULL, 15),
(63315, NULL, 'PTHR12542:SF90', NULL, NULL, NULL, NULL, 'OS08G0519900 PROTEIN', NULL, NULL, NULL, 15),
(63316, NULL, 'PTHR11627:SF2', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE B', NULL, NULL, NULL, 15),
(63317, NULL, 'PTHR23115:SF241', NULL, NULL, NULL, NULL, 'FACTOR 1-ALPHA, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63318, NULL, 'PTHR45894:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63319, NULL, 'PTHR24271:SF24', NULL, NULL, NULL, NULL, 'CHYMASE', NULL, NULL, NULL, 15),
(63320, NULL, 'PTHR31904', NULL, NULL, NULL, NULL, 'BYPASS OF STOP CODON PROTEIN 5-RELATED', NULL, NULL, 29227, 15),
(63321, NULL, 'PTHR24340:SF95', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN PNX', NULL, NULL, NULL, 15),
(63322, NULL, 'PTHR45458:SF2', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY SUPERFAMILY (AFU_ORTHOLOGUE AFUA_3G13450)', NULL, NULL, NULL, 15),
(63323, NULL, 'PTHR43874:SF137', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR11', NULL, NULL, NULL, 15),
(63324, NULL, 'PTHR37955', NULL, NULL, NULL, NULL, 'TELLURITE RESISTANCE PROTEIN TEHA', NULL, NULL, NULL, 15),
(63325, NULL, 'PTHR28242:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63326, NULL, 'PTHR11594:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', NULL, NULL, NULL, 15),
(63327, NULL, 'PTHR15075:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63328, NULL, 'PTHR24177:SF141', NULL, NULL, NULL, NULL, 'OS06G0294400 PROTEIN', NULL, NULL, NULL, 15),
(63329, NULL, 'PTHR14796:SF3', NULL, NULL, NULL, NULL, 'NEURENSIN 1-RELATED', NULL, NULL, NULL, 15),
(63330, NULL, 'PTHR12884', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', NULL, NULL, 2896, 15),
(63331, NULL, 'PTHR24072:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63332, NULL, 'PTHR34482:SF4', NULL, NULL, NULL, NULL, 'POLYMERASES SUPERFAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(63333, NULL, 'PTHR34371:SF17', NULL, NULL, NULL, NULL, 'BNAC01G20460D PROTEIN', NULL, NULL, NULL, 15),
(63334, NULL, 'PTHR24254', NULL, NULL, NULL, NULL, 'PROTHROMBIN', NULL, NULL, NULL, 15),
(63335, NULL, 'PTHR43329', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', NULL, NULL, NULL, 15),
(63336, NULL, 'PTHR33065:SF136', NULL, NULL, NULL, NULL, 'OS11G0558700 PROTEIN', NULL, NULL, NULL, 15),
(63337, NULL, 'PTHR27009:SF253', NULL, NULL, NULL, NULL, 'OS11G0133100 PROTEIN', NULL, NULL, NULL, 15),
(63338, NULL, 'PTHR35709', NULL, NULL, NULL, NULL, 'PROTEIN PROTON GRADIENT REGULATION 5, CHLOROPLASTIC', NULL, NULL, 29454, 15),
(63339, NULL, 'PTHR44825', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63340, NULL, 'PTHR11005:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63341, NULL, 'PTHR11935:SF144', NULL, NULL, NULL, NULL, 'BNAC03G24200D PROTEIN', NULL, NULL, NULL, 15),
(63342, NULL, 'PTHR12848:SF16', NULL, NULL, NULL, NULL, 'REGULATORY-ASSOCIATED PROTEIN OF MTOR', NULL, NULL, NULL, 15),
(63343, NULL, 'PTHR23176:SF121', NULL, NULL, NULL, NULL, 'RHO-TYPE GTPASE-ACTIVATING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(63344, NULL, 'PTHR10654', NULL, NULL, NULL, NULL, 'CAS SCAFFOLDING PROTEIN', NULL, NULL, 32345, 15),
(63345, NULL, 'PTHR36721:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63346, NULL, 'PTHR48017:SF59', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 1', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63347, NULL, 'PTHR12565:SF400', NULL, NULL, NULL, NULL, 'BNAC09G14890D PROTEIN', NULL, NULL, NULL, 15),
(63348, NULL, 'PTHR32370:SF131', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63349, NULL, 'PTHR38607:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG00180', NULL, NULL, NULL, 15),
(63350, NULL, 'PTHR23512:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63351, NULL, 'PTHR45613:SF143', NULL, NULL, NULL, NULL, 'OS06G0694600 PROTEIN', NULL, NULL, NULL, 15),
(63352, NULL, 'PTHR23234:SF5', NULL, NULL, NULL, NULL, 'RIKEN CDNA B230307C23 GENE', NULL, NULL, NULL, 15),
(63353, NULL, 'PTHR23266:SF284', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA CONSTANT 6', NULL, NULL, NULL, 15),
(63354, NULL, 'PTHR31304:SF50', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 39', NULL, NULL, NULL, 15),
(63355, NULL, 'PTHR22850:SF27', NULL, NULL, NULL, NULL, 'HISTONE-BINDING PROTEIN CAF1-RELATED', NULL, NULL, NULL, 15),
(63356, NULL, 'PTHR13832:SF531', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 54-RELATED', NULL, NULL, NULL, 15),
(63357, NULL, 'PTHR33320:SF24', NULL, NULL, NULL, NULL, 'BNAA03G49870D PROTEIN', NULL, NULL, NULL, 15),
(63358, NULL, 'PTHR48187', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63359, NULL, 'PTHR16070', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 24635, 15),
(63360, NULL, 'PTHR47961:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63361, NULL, 'PTHR23349:SF10', NULL, NULL, NULL, NULL, 'CLASS A BASIC HELIX-LOOP-HELIX PROTEIN 9', NULL, NULL, NULL, 15),
(63362, NULL, 'PTHR24291:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 27C1', NULL, NULL, NULL, 15),
(63363, NULL, 'PTHR12107', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA SUBUNIT', NULL, NULL, NULL, 15),
(63364, NULL, 'PTHR37393:SF1', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 1A-LIKE', NULL, NULL, NULL, 15),
(63365, NULL, 'PTHR33673:SF2', NULL, NULL, NULL, NULL, 'OS06G0150000 PROTEIN', NULL, NULL, NULL, 15),
(63366, NULL, 'PTHR12223', NULL, NULL, NULL, NULL, 'VESICULAR MANNOSE-BINDING LECTIN', NULL, NULL, NULL, 15),
(63367, NULL, 'PTHR13869:SF7', NULL, NULL, NULL, NULL, 'MYELIN PROTEIN P0', NULL, NULL, 27744, 15),
(63368, NULL, 'PTHR24200:SF6', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 69', NULL, NULL, NULL, 15),
(63369, NULL, 'PTHR23129:SF1', NULL, NULL, NULL, NULL, 'FAT STORAGE-INDUCING TRANSMEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(63370, NULL, 'PTHR45764:SF47', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 44', NULL, NULL, NULL, 15),
(63371, NULL, 'PTHR33124:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PAR1', NULL, NULL, NULL, 15),
(63372, NULL, 'PTHR24115:SF889', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF27', NULL, NULL, NULL, 15),
(63373, NULL, 'PTHR31636:SF165', NULL, NULL, NULL, NULL, 'GRAS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(63374, NULL, 'PTHR30336', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN, PROBABLE PERMEASE', NULL, NULL, NULL, 15),
(63375, NULL, 'PTHR31549:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63376, NULL, 'PTHR33477:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63377, NULL, 'PTHR43692:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYLALANINE--D-GLUTAMATE LIGASE', NULL, NULL, NULL, 15),
(63378, NULL, 'PTHR44984', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK3', NULL, NULL, NULL, 15),
(63379, NULL, 'PTHR31723', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED FAMILY PROTEIN', NULL, NULL, NULL, 15),
(63380, NULL, 'PTHR46508:SF5', NULL, NULL, NULL, NULL, 'PHD-FINGER AND DNA BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(63381, NULL, 'PTHR47924:SF22', NULL, NULL, NULL, NULL, 'BNAC07G16730D PROTEIN', NULL, NULL, NULL, 15),
(63382, NULL, 'PTHR44329:SF159', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(63383, NULL, 'PTHR32134:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63384, NULL, 'PTHR34224:SF15', NULL, NULL, NULL, NULL, 'BNAA03G16970D PROTEIN', NULL, NULL, NULL, 15),
(63385, NULL, 'PTHR31111:SF31', NULL, NULL, NULL, NULL, 'BNAA05G31090D PROTEIN', NULL, NULL, NULL, 15),
(63386, NULL, 'PTHR43226:SF7', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(63387, NULL, 'PTHR13343:SF22', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE-BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(63388, NULL, 'PTHR13174', NULL, NULL, NULL, NULL, 'D-GLUCURONYL C5-EPIMERASE', NULL, NULL, 32913, 15),
(63389, NULL, 'PTHR43545:SF4', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE-O IRON-SULFUR SUBUNIT', NULL, NULL, NULL, 15),
(63390, NULL, 'PTHR43523:SF7', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE SMALL SUBUNIT 1, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(63391, NULL, 'PTHR33375:SF8', NULL, NULL, NULL, NULL, 'NUCLEOID OCCLUSION PROTEIN', NULL, NULL, NULL, 15),
(63392, NULL, 'PTHR10663:SF328', NULL, NULL, NULL, NULL, 'MIP16918P', NULL, NULL, NULL, 15),
(63393, NULL, 'PTHR42721:SF21', NULL, NULL, NULL, NULL, 'BETA-XYLOSIDASE/ALPHA-L-ARABINOFURANOSIDASE 2-LIKE', NULL, NULL, NULL, 15),
(63394, NULL, 'PTHR47925:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63395, NULL, 'PTHR31301:SF131', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 28', NULL, NULL, NULL, 15),
(63396, NULL, 'PTHR31920:SF37', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR VRN1', NULL, NULL, NULL, 15),
(63397, NULL, 'PTHR24232', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(63398, NULL, 'PTHR41795:SF1', NULL, NULL, NULL, NULL, 'EXOPOLYSACCHARIDE SYNTHESIS PROTEIN', NULL, NULL, NULL, 15),
(63399, NULL, 'PTHR31718', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63400, NULL, 'PTHR11690:SF184', NULL, NULL, NULL, NULL, 'PICKPOCKET 31', NULL, NULL, NULL, 15),
(63401, NULL, 'PTHR31680:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(63402, NULL, 'PTHR14467', NULL, NULL, NULL, NULL, 'ARV1', NULL, NULL, 7371, 15),
(63403, NULL, 'PTHR35358:SF5', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE-LIKE PROTEIN (PEARLI 4) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(63404, NULL, 'PTHR16306:SF1', NULL, NULL, NULL, NULL, 'POSSIBLE LRR CALCIUM-BINDING PROTEIN', NULL, NULL, NULL, 15),
(63405, NULL, 'PTHR22957:SF581', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN GYP1-LIKE', NULL, NULL, NULL, 15),
(63406, NULL, 'PTHR24208:SF91', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX3', NULL, NULL, NULL, 15),
(63407, NULL, 'PTHR11136:SF14', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE', NULL, NULL, NULL, 15),
(63408, NULL, 'PTHR12374:SF51', NULL, NULL, NULL, NULL, 'BNAA09G44370D PROTEIN', NULL, NULL, NULL, 15),
(63409, NULL, 'PTHR11439:SF283', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', NULL, NULL, NULL, 15),
(63410, NULL, 'PTHR24407:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 766-RELATED', NULL, NULL, NULL, 15),
(63411, NULL, 'PTHR32089:SF109', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN CTPL', NULL, NULL, NULL, 15),
(63412, NULL, 'PTHR11740:SF30', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA-4-RELATED', NULL, NULL, NULL, 15),
(63413, NULL, 'PTHR22907:SF48', NULL, NULL, NULL, NULL, 'CUTICLIN-1', NULL, NULL, NULL, 15),
(63414, NULL, 'PTHR47983:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63415, NULL, 'PTHR44394:SF1', NULL, NULL, NULL, NULL, 'BETA-ALANINE-ACTIVATING ENZYME', NULL, NULL, NULL, 15),
(63416, NULL, 'PTHR10953:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME ATG7', NULL, NULL, NULL, 15),
(63417, NULL, 'PTHR22652:SF0', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP43', NULL, NULL, NULL, 15),
(63418, NULL, 'PTHR31314:SF5', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL7-LIKE', NULL, NULL, NULL, 15),
(63419, NULL, 'PTHR12856', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIH-RELATED', NULL, NULL, 27593, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63420, NULL, 'PTHR43060:SF13', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRATE DEHYDROGENASE-LIKE 2, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(63421, NULL, 'PTHR40429:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(63422, NULL, 'PTHR47933:SF11', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(63423, NULL, 'PTHR23105:SF105', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(63424, NULL, 'PTHR16083:SF17', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(63425, NULL, 'PTHR23428:SF232', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-M', NULL, NULL, NULL, 15),
(63426, NULL, 'PTHR45757:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG19968', NULL, NULL, NULL, 15),
(63427, NULL, 'PTHR13768:SF34', NULL, NULL, NULL, NULL, 'N-ETHYLMALEIMIDE-SENSITIVE FACTOR ATTACHMENT PROTEIN, BETA A', NULL, NULL, NULL, 15),
(63428, NULL, 'PTHR11596:SF37', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE', NULL, NULL, NULL, 15),
(63429, NULL, 'PTHR47172:SF9', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 16', NULL, NULL, NULL, 15),
(63430, NULL, 'PTHR47926:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63431, NULL, 'PTHR33565:SF17', NULL, NULL, NULL, NULL, 'BNAC03G30720D PROTEIN', NULL, NULL, NULL, 15),
(63432, NULL, 'PTHR48075:SF3', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(63433, NULL, 'PTHR30070:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C BIOGENESIS B-RELATED', NULL, NULL, NULL, 15),
(63434, NULL, 'PTHR24071:SF19', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN', NULL, NULL, NULL, 15),
(63435, NULL, 'PTHR31282:SF134', NULL, NULL, NULL, NULL, 'BNACNNG41380D PROTEIN', NULL, NULL, NULL, 15),
(63436, NULL, 'PTHR22855:SF29', NULL, NULL, NULL, NULL, '3-METHYLCROTONYL-COA CARBOXYLASE BETA SUBUNIT', NULL, NULL, NULL, 15),
(63437, NULL, 'PTHR31376:SF3', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 4-RELATED', NULL, NULL, NULL, 15),
(63438, NULL, 'PTHR30290:SF9', NULL, NULL, NULL, NULL, 'D,D-DIPEPTIDE-BINDING PERIPLASMIC PROTEIN DDPA-RELATED', NULL, NULL, NULL, 15),
(63439, NULL, 'PTHR15601:SF0', NULL, NULL, NULL, NULL, 'GEO09675P1', NULL, NULL, NULL, 15),
(63440, NULL, 'PTHR33177:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63441, NULL, 'PTHR26450:SF161', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52N2', NULL, NULL, NULL, 15),
(63442, NULL, 'PTHR12603:SF20', NULL, NULL, NULL, NULL, 'BNAC04G15670D PROTEIN', NULL, NULL, NULL, 15),
(63443, NULL, 'PTHR34113', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(63444, NULL, 'PTHR23179:SF3', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(63445, NULL, 'PTHR34850:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG21297', NULL, NULL, NULL, 15),
(63446, NULL, 'PTHR10736:SF1', NULL, NULL, NULL, NULL, 'BESTROPHIN-2', NULL, NULL, NULL, 15),
(63447, NULL, 'PTHR46779:SF5', NULL, NULL, NULL, NULL, 'BETA-16-GALACTOSYLTRANSFERASE GALT29A', NULL, NULL, NULL, 15),
(63448, NULL, 'PTHR31839:SF66', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CBF PROTEIN', NULL, NULL, NULL, 15),
(63449, NULL, 'PTHR24055:SF478', NULL, NULL, NULL, NULL, 'BNAC03G74820D PROTEIN', NULL, NULL, NULL, 15),
(63450, NULL, 'PTHR36449:SF1', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(63451, NULL, 'PTHR23070:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63452, NULL, 'PTHR11242:SF6', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT', NULL, NULL, NULL, 15),
(63453, NULL, 'PTHR30115:SF20', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN P-II 2', NULL, NULL, NULL, 15),
(63454, NULL, 'PTHR23114', NULL, NULL, NULL, NULL, 'M7GPPPN-MRNA HYDROLASE', NULL, NULL, NULL, 15),
(63455, NULL, 'PTHR43617:SF22', NULL, NULL, NULL, NULL, 'L-AMINO ACID N-ACETYLTRANSFERASE AAAT', NULL, NULL, NULL, 15),
(63456, NULL, 'PTHR42715:SF19', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE G-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63457, NULL, 'PTHR23257:SF823', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0278521-RELATED', NULL, NULL, NULL, 15),
(63458, NULL, 'PTHR43468', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63459, NULL, 'PTHR31762:SF11', NULL, NULL, NULL, NULL, 'MYOSIN', NULL, NULL, NULL, 15),
(63460, NULL, 'PTHR33122:SF33', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(63461, NULL, 'PTHR31963:SF24', NULL, NULL, NULL, NULL, 'BNAC01G32640D PROTEIN', NULL, NULL, NULL, 15),
(63462, NULL, 'PTHR35971', NULL, NULL, NULL, NULL, 'SI:DKEY-31G6.6', NULL, NULL, NULL, 15),
(63463, NULL, 'PTHR11040:SF154', NULL, NULL, NULL, NULL, 'OS08G0100200 PROTEIN', NULL, NULL, NULL, 15),
(63464, NULL, 'PTHR16035:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAM90A1', NULL, NULL, NULL, 15),
(63465, NULL, 'PTHR10117:SF6', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 2-RELATED', NULL, NULL, 907, 15),
(63466, NULL, 'PTHR48102:SF5', NULL, NULL, NULL, NULL, 'OS01G0886600 PROTEIN', NULL, NULL, NULL, 15),
(63467, NULL, 'PTHR48020:SF11', NULL, NULL, NULL, NULL, 'H(+) MYOINOSITOL COTRANSPORTER', NULL, NULL, NULL, 15),
(63468, NULL, 'PTHR39229', NULL, NULL, NULL, NULL, 'MCG1037962', NULL, NULL, NULL, 15),
(63469, NULL, 'PTHR11502:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', NULL, NULL, NULL, 15),
(63470, NULL, 'PTHR11736:SF66', NULL, NULL, NULL, NULL, 'MAGE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(63471, NULL, 'PTHR24186:SF31', NULL, NULL, NULL, NULL, 'BNAC04G12840D PROTEIN', NULL, NULL, NULL, 15),
(63472, NULL, 'PTHR31992:SF160', NULL, NULL, NULL, NULL, 'BNACNNG56790D PROTEIN', NULL, NULL, NULL, 15),
(63473, NULL, 'PTHR31232:SF63', NULL, NULL, NULL, NULL, 'BNAA06G36510D PROTEIN', NULL, NULL, NULL, 15),
(63474, NULL, 'PTHR37543:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63475, NULL, 'PTHR48100:SF41', NULL, NULL, NULL, NULL, 'BNAA02G24710D PROTEIN', NULL, NULL, NULL, 15),
(63476, NULL, 'PTHR31120:SF8', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TIKI2', NULL, NULL, NULL, 15),
(63477, NULL, 'PTHR14791:SF46', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(63478, NULL, 'PTHR15184:SF60', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA-1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(63479, NULL, 'PTHR11685:SF233', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(63480, NULL, 'PTHR40642', NULL, NULL, NULL, NULL, 'YALI0F31295P', NULL, NULL, 25727, 15),
(63481, NULL, 'PTHR46722:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM7 HOMOLOG', NULL, NULL, NULL, 15),
(63482, NULL, 'PTHR47480', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(63483, NULL, 'PTHR12035:SF94', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 6', NULL, NULL, NULL, 15),
(63484, NULL, 'PTHR23266:SF318', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-3', NULL, NULL, NULL, 15),
(63485, NULL, 'PTHR31218:SF322', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(63486, NULL, 'PTHR46353:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 6-LIKE', NULL, NULL, NULL, 15),
(63487, NULL, 'PTHR31791', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(63488, NULL, 'PTHR11062:SF108', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(63489, NULL, 'PTHR11260:SF594', NULL, NULL, NULL, NULL, 'S-TRANSFERASE GSTU6, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(63490, NULL, 'PTHR30038:SF8', NULL, NULL, NULL, NULL, 'ALDEHYDE FERREDOXIN OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(63491, NULL, 'PTHR11709:SF408', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(63492, NULL, 'PTHR44329:SF84', NULL, NULL, NULL, NULL, 'PROTEIN KINASE LIKE PROTEIN', NULL, NULL, NULL, 15),
(63493, NULL, 'PTHR34348', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 2', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63494, NULL, 'PTHR11017:SF328', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN N, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63495, NULL, 'PTHR32295:SF123', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 5', NULL, NULL, NULL, 15),
(63496, NULL, 'PTHR47259', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63497, NULL, 'PTHR31384:SF132', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(63498, NULL, 'PTHR31953:SF50', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 5', NULL, NULL, NULL, 15),
(63499, NULL, 'PTHR13448:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 214-LIKE', NULL, NULL, NULL, 15),
(63500, NULL, 'PTHR43122', NULL, NULL, NULL, NULL, 'FERREDOXIN SUBUNIT OF PYRUVATE:FLAVODOXIN OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(63501, NULL, 'PTHR48002:SF131', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4S2', NULL, NULL, NULL, 15),
(63502, NULL, 'PTHR33227:SF33', NULL, NULL, NULL, NULL, 'BNAA03G11570D PROTEIN', NULL, NULL, NULL, 15),
(63503, NULL, 'PTHR43690:SF28', NULL, NULL, NULL, NULL, 'BNAA02G30780D PROTEIN', NULL, NULL, NULL, 15),
(63504, NULL, 'PTHR47942:SF37', NULL, NULL, NULL, NULL, 'OS07G0674300 PROTEIN', NULL, NULL, NULL, 15),
(63505, NULL, 'PTHR33377:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63506, NULL, 'PTHR11639:SF57', NULL, NULL, NULL, NULL, 'PROTEIN S100-A13', NULL, NULL, 28396, 15),
(63507, NULL, 'PTHR47315', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH INTERACTING PROTEIN 2', NULL, NULL, 34740, 15),
(63508, NULL, 'PTHR23334:SF59', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 8', NULL, NULL, NULL, 15),
(63509, NULL, 'PTHR19432:SF72', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUC2-LIKE', NULL, NULL, NULL, 15),
(63510, NULL, 'PTHR33865:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM183BP', NULL, NULL, NULL, 15),
(63511, NULL, 'PTHR46464:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63512, NULL, 'PTHR33375', NULL, NULL, NULL, NULL, 'CHROMOSOME-PARTITIONING PROTEIN PARB-RELATED', NULL, NULL, NULL, 15),
(63513, NULL, 'PTHR24015:SF1764', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63514, NULL, 'PTHR11690:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63515, NULL, 'PTHR21590:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63516, NULL, 'PTHR11873:SF0', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(63517, NULL, 'PTHR46532', NULL, NULL, NULL, NULL, 'MALE FERTILITY FACTOR KL5', NULL, NULL, NULL, 15),
(63518, NULL, 'PTHR21237:SF28', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(63519, NULL, 'PTHR44523', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 13', NULL, NULL, NULL, 15),
(63520, NULL, 'PTHR45844:SF16', NULL, NULL, NULL, NULL, 'OS09G0463900 PROTEIN', NULL, NULL, NULL, 15),
(63521, NULL, 'PTHR31727:SF9', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', NULL, NULL, NULL, 15),
(63522, NULL, 'PTHR10177:SF387', NULL, NULL, NULL, NULL, 'CYCLIN-A3-4', NULL, NULL, NULL, 15),
(63523, NULL, 'PTHR23122:SF37', NULL, NULL, NULL, NULL, '55 KDA ERYTHROCYTE MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(63524, NULL, 'PTHR31917:SF81', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63525, NULL, 'PTHR31875:SF32', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 6', NULL, NULL, NULL, 15),
(63526, NULL, 'PTHR13806:SF33', NULL, NULL, NULL, NULL, 'FLOTILLIN 1A', NULL, NULL, NULL, 15),
(63527, NULL, 'PTHR11736:SF67', NULL, NULL, NULL, NULL, 'MAGE FAMILY MEMBER B6B', NULL, NULL, NULL, 15),
(63528, NULL, 'PTHR12533', NULL, NULL, NULL, NULL, 'NFAT', NULL, NULL, 7947, 15),
(63529, NULL, 'PTHR11654:SF550', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.3-LIKE', NULL, NULL, NULL, 15),
(63530, NULL, 'PTHR38041:SF2', NULL, NULL, NULL, NULL, 'SECRETED CHORISMATE MUTASE', NULL, NULL, NULL, 15),
(63531, NULL, 'PTHR33306:SF30', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63532, NULL, 'PTHR32212:SF365', NULL, NULL, NULL, NULL, 'F-BOX/RNI-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(63533, NULL, 'PTHR11132:SF257', NULL, NULL, NULL, NULL, 'UDP-XYLOSE TRANSPORTER 1', NULL, NULL, NULL, 15),
(63534, NULL, 'PTHR46174:SF2', NULL, NULL, NULL, NULL, 'CXXC-TYPE ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(63535, NULL, 'PTHR43811:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63536, NULL, 'PTHR47885:SF1', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT ZETA-1', NULL, NULL, NULL, 15),
(63537, NULL, 'PTHR28659:SF1', NULL, NULL, NULL, NULL, 'RETICULOPHAGY REGULATOR 3', NULL, NULL, 33280, 15),
(63538, NULL, 'PTHR43329:SF15', NULL, NULL, NULL, NULL, 'HALOALKANE DEHALOGENASE', NULL, NULL, NULL, 15),
(63539, NULL, 'PTHR47928:SF119', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(63540, NULL, 'PTHR33108:SF12', NULL, NULL, NULL, NULL, 'OS02G0229900 PROTEIN', NULL, NULL, NULL, 15),
(63541, NULL, 'PTHR11644:SF11', NULL, NULL, NULL, NULL, 'CYTIDINE DEAMINASE', NULL, NULL, NULL, 15),
(63542, NULL, 'PTHR34224:SF11', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 2, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(63543, NULL, 'PTHR43044', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63544, NULL, 'PTHR10177:SF447', NULL, NULL, NULL, NULL, 'BNAANNG04890D PROTEIN', NULL, NULL, NULL, 15),
(63545, NULL, 'PTHR47980:SF41', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABE1E', NULL, NULL, NULL, 15),
(63546, NULL, 'PTHR10110:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63547, NULL, 'PTHR24031:SF721', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX31-RELATED', NULL, NULL, NULL, 15),
(63548, NULL, 'PTHR11743:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63549, NULL, 'PTHR21576:SF125', NULL, NULL, NULL, NULL, 'BNAC06G40450D PROTEIN', NULL, NULL, NULL, 15),
(63550, NULL, 'PTHR48062:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(63551, NULL, 'PTHR24327:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63552, NULL, 'PTHR47984:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63553, NULL, 'PTHR35765:SF2', NULL, NULL, NULL, NULL, 'OS05G0569200 PROTEIN', NULL, NULL, NULL, 15),
(63554, NULL, 'PTHR31722:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD1A-LIKE', NULL, NULL, NULL, 15),
(63555, NULL, 'PTHR12191:SF31', NULL, NULL, NULL, NULL, 'IP18018P', NULL, NULL, NULL, 15),
(63556, NULL, 'PTHR10502:SF134', NULL, NULL, NULL, NULL, 'MAJOR PRION PROTEIN', NULL, NULL, NULL, 15),
(63557, NULL, 'PTHR10279', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE ANTIZYME', NULL, NULL, 7461, 15),
(63558, NULL, 'PTHR33052:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63559, NULL, 'PTHR45676:SF111', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(63560, NULL, 'PTHR47636:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RCO1', NULL, NULL, NULL, 15),
(63561, NULL, 'PTHR13848:SF75', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(63562, NULL, 'PTHR24235:SF1', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(63563, NULL, 'PTHR31238:SF87', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(63564, NULL, 'PTHR22938:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 598-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(63565, NULL, 'PTHR33700:SF17', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN X', NULL, NULL, NULL, 15),
(63566, NULL, 'PTHR31245:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63567, NULL, 'PTHR22855:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63568, NULL, 'PTHR11071:SF467', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP19-4', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63569, NULL, 'PTHR11469:SF1', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(63570, NULL, 'PTHR32487:SF12', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE ISOFORM X1', NULL, NULL, NULL, 15),
(63571, NULL, 'PTHR31650:SF38', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE', NULL, NULL, NULL, 15),
(63572, NULL, 'PTHR47998:SF9', NULL, NULL, NULL, NULL, 'ANTHOCYANIN REGULATORY C1 PROTEIN', NULL, NULL, NULL, 15),
(63573, NULL, 'PTHR31388:SF226', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(63574, NULL, 'PTHR13018:SF105', NULL, NULL, NULL, NULL, 'BNAC05G09770D PROTEIN', NULL, NULL, NULL, 15),
(63575, NULL, 'PTHR45724:SF42', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN (MIP) FAMILY TRANSPORTER', NULL, NULL, NULL, 15),
(63576, NULL, 'PTHR31875:SF38', NULL, NULL, NULL, NULL, 'OS12G0556100 PROTEIN', NULL, NULL, NULL, 15),
(63577, NULL, 'PTHR31790:SF339', NULL, NULL, NULL, NULL, 'BNAA05G10950D PROTEIN', NULL, NULL, NULL, 15),
(63578, NULL, 'PTHR12128:SF15', NULL, NULL, NULL, NULL, '4-HYDROXY-2-OXOGLUTARATE ALDOLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(63579, NULL, 'PTHR24248:SF140', NULL, NULL, NULL, NULL, 'HISTAMINE RECEPTOR H3', NULL, NULL, NULL, 15),
(63580, NULL, 'PTHR23050:SF305', NULL, NULL, NULL, NULL, 'CENTRIN-2', NULL, NULL, 35133, 15),
(63581, NULL, 'PTHR37431:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG06927', NULL, NULL, NULL, 15),
(63582, NULL, 'PTHR11615:SF225', NULL, NULL, NULL, NULL, 'HYDROGENASE SUBUNIT', NULL, NULL, NULL, 15),
(63583, NULL, 'PTHR43297:SF9', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(63584, NULL, 'PTHR42977:SF2', NULL, NULL, NULL, NULL, 'BLR7068 PROTEIN', NULL, NULL, NULL, 15),
(63585, NULL, 'PTHR48011:SF62', NULL, NULL, NULL, NULL, 'BNAA08G14260D PROTEIN', NULL, NULL, NULL, 15),
(63586, NULL, 'PTHR43364:SF14', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63587, NULL, 'PTHR19277:SF158', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 6', NULL, NULL, NULL, 15),
(63588, NULL, 'PTHR24281:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63589, NULL, 'PTHR17416:SF0', NULL, NULL, NULL, NULL, 'SMALL MUSCULAR PROTEIN', NULL, NULL, NULL, 15),
(63590, NULL, 'PTHR16166:SF125', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13C', NULL, NULL, NULL, 15),
(63591, NULL, 'PTHR15829', NULL, NULL, NULL, NULL, 'PROTEIN KINASE PKN/PRK1, EFFECTOR', NULL, NULL, 26403, 15),
(63592, NULL, 'PTHR10155:SF10', NULL, NULL, NULL, NULL, 'PI3K21B, ISOFORM B', NULL, NULL, NULL, 15),
(63593, NULL, 'PTHR11599:SF113', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, NULL, 15),
(63594, NULL, 'PTHR13177:SF4', NULL, NULL, NULL, NULL, 'GEO09647P1', NULL, NULL, NULL, 15),
(63595, NULL, 'PTHR10353:SF223', NULL, NULL, NULL, NULL, 'BNAA09G40120D PROTEIN', NULL, NULL, NULL, 15),
(63596, NULL, 'PTHR24349:SF288', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 28', NULL, NULL, NULL, 15),
(63597, NULL, 'PTHR33271:SF3', NULL, NULL, NULL, NULL, 'OS02G0620400 PROTEIN', NULL, NULL, NULL, 15),
(63598, NULL, 'PTHR22621:SF27', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 4B', NULL, NULL, NULL, 15),
(63599, NULL, 'PTHR11106', NULL, NULL, NULL, NULL, 'GANGLIOSIDE INDUCED DIFFERENTIATION ASSOCIATED PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(63600, NULL, 'PTHR35758:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63601, NULL, 'PTHR10221:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 6', NULL, NULL, NULL, 15),
(63602, NULL, 'PTHR20855:SF108', NULL, NULL, NULL, NULL, 'HEPTAHELICAL TRANSMEMBRANE PROTEIN 3', NULL, NULL, NULL, 15),
(63603, NULL, 'PTHR14167', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(63604, NULL, 'PTHR24390:SF156', NULL, NULL, NULL, NULL, 'PROTEIN ZNF783', NULL, NULL, NULL, 15),
(63605, NULL, 'PTHR35772:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN I', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63606, NULL, 'PTHR12411:SF721', NULL, NULL, NULL, NULL, 'VIGNAIN', NULL, NULL, NULL, 15),
(63607, NULL, 'PTHR11937:SF485', NULL, NULL, NULL, NULL, 'ACTIN-2-LIKE', NULL, NULL, NULL, 15),
(63608, NULL, 'PTHR11615:SF295', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(63609, NULL, 'PTHR45752:SF107', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 3', NULL, NULL, NULL, 15),
(63610, NULL, 'PTHR42931', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14520)-RELATED', NULL, NULL, NULL, 15),
(63611, NULL, 'PTHR42824', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE', NULL, NULL, NULL, 15),
(63612, NULL, 'PTHR33593:SF26', NULL, NULL, NULL, NULL, 'BNAC08G41310D PROTEIN', NULL, NULL, NULL, 15),
(63613, NULL, 'PTHR47777:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SEBOX', NULL, NULL, NULL, 15),
(63614, NULL, 'PTHR11633', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR', NULL, NULL, NULL, 15),
(63615, NULL, 'PTHR12706:SF13', NULL, NULL, NULL, NULL, 'PROTEIN STRAWBERRY NOTCH', NULL, NULL, NULL, 15),
(63616, NULL, 'PTHR47992:SF147', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 43-RELATED', NULL, NULL, NULL, 15),
(63617, NULL, 'PTHR47892', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN E', NULL, NULL, NULL, 15),
(63618, NULL, 'PTHR10641:SF1273', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39-LIKE', NULL, NULL, NULL, 15),
(63619, NULL, 'PTHR24031:SF720', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-II', NULL, NULL, NULL, 15),
(63620, NULL, 'PTHR33979:SF2', NULL, NULL, NULL, NULL, 'OS02G0221600 PROTEIN', NULL, NULL, NULL, 15),
(63621, NULL, 'PTHR11877:SF57', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(63622, NULL, 'PTHR24403:SF64', NULL, NULL, NULL, NULL, 'RE1-SILENCING TRANSCRIPTION FACTOR', NULL, NULL, 24496, 15),
(63623, NULL, 'PTHR47830:SF1', NULL, NULL, NULL, NULL, 'OS11G0534100 PROTEIN', NULL, NULL, NULL, 15),
(63624, NULL, 'PTHR31374:SF199', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(63625, NULL, 'PTHR46162:SF20', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(63626, NULL, 'PTHR31338:SF28', NULL, NULL, NULL, NULL, 'BNAC07G50250D PROTEIN', NULL, NULL, NULL, 15),
(63627, NULL, 'PTHR11132:SF440', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63628, NULL, 'PTHR11803', NULL, NULL, NULL, NULL, '2-IMINOBUTANOATE/2-IMINOPROPANOATE DEAMINASE RIDA', NULL, NULL, 11461, 15),
(63629, NULL, 'PTHR35455:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(63630, NULL, 'PTHR47061:SF1', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(63631, NULL, 'PTHR23272:SF141', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 2-LIKE', NULL, NULL, NULL, 15),
(63632, NULL, 'PTHR21136:SF174', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63633, NULL, 'PTHR14440:SF7', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA49', NULL, NULL, NULL, 15),
(63634, NULL, 'PTHR11132:SF348', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE/PHOSPHATE TRANSLOCATOR-RELATED', NULL, NULL, NULL, 15),
(63635, NULL, 'PTHR36020:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(63636, NULL, 'PTHR28284:SF1', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP60', NULL, NULL, NULL, 15),
(63637, NULL, 'PTHR16983:SF12', NULL, NULL, NULL, NULL, 'GLYCOSYLPHOSPHATIDYLINOSITOL-ANCHORED HIGH DENSITY LIPOPROTEIN-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(63638, NULL, 'PTHR24377:SF885', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63639, NULL, 'PTHR11362:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63640, NULL, 'PTHR11802:SF352', NULL, NULL, NULL, NULL, 'BNACNNG22970D PROTEIN', NULL, NULL, NULL, 15),
(63641, NULL, 'PTHR15644', NULL, NULL, NULL, NULL, 'OSTEOPETROSIS ASSOCIATED TRANSMEMBRANE PROTEIN 1', NULL, NULL, 18781, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63642, NULL, 'PTHR46031:SF26', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 6', NULL, NULL, NULL, 15),
(63643, NULL, 'PTHR43000:SF7', NULL, NULL, NULL, NULL, 'DTDP-D-GLUCOSE 4,6-DEHYDRATASE', NULL, NULL, NULL, 15),
(63644, NULL, 'PTHR12138:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63645, NULL, 'PTHR31696:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63646, NULL, 'PTHR10648', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A 65 KDA REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(63647, NULL, 'PTHR37002:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63648, NULL, 'PTHR48043:SF116', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(63649, NULL, 'PTHR47267:SF5', NULL, NULL, NULL, NULL, 'DEHALOGENASE-LIKE HYDROLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63650, NULL, 'PTHR46835:SF2', NULL, NULL, NULL, NULL, 'BNAA08G04750D PROTEIN', NULL, NULL, NULL, 15),
(63651, NULL, 'PTHR45847:SF7', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE HOMOLOG', NULL, NULL, NULL, 15),
(63652, NULL, 'PTHR21377', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 39999, 15),
(63653, NULL, 'PTHR32021:SF32', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5C3', NULL, NULL, NULL, 15),
(63654, NULL, 'PTHR11208:SF122', NULL, NULL, NULL, NULL, 'BNAA03G48080D PROTEIN', NULL, NULL, NULL, 15),
(63655, NULL, 'PTHR10336:SF185', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(63656, NULL, 'PTHR28625', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 35', NULL, NULL, 30657, 15),
(63657, NULL, 'PTHR31669:SF179', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5', NULL, NULL, NULL, 15),
(63658, NULL, 'PTHR10915:SF1', NULL, NULL, NULL, NULL, 'SYNDECAN', NULL, NULL, 24642, 15),
(63659, NULL, 'PTHR12826:SF13', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN PNO1', NULL, NULL, 32807, 15),
(63660, NULL, 'PTHR15439:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63661, NULL, 'PTHR45721:SF13', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFD-2', NULL, NULL, NULL, 15),
(63662, NULL, 'PTHR11783:SF244', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(63663, NULL, 'PTHR33470:SF31', NULL, NULL, NULL, NULL, 'NON-CLASSICAL ARABINOGALACTAN PROTEIN 31-LIKE', NULL, NULL, NULL, 15),
(63664, NULL, 'PTHR24031:SF734', NULL, NULL, NULL, NULL, 'BOX RNA HELICASE HELA, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G15620)-RELATED', NULL, NULL, NULL, 15),
(63665, NULL, 'PTHR24221:SF303', NULL, NULL, NULL, NULL, 'TRANSPORTER FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63666, NULL, 'PTHR11590:SF73', NULL, NULL, NULL, NULL, 'TRANSGLUTAMINASE 2,-LIKE', NULL, NULL, NULL, 15),
(63667, NULL, 'PTHR22891:SF161', NULL, NULL, NULL, NULL, 'BNACNNG35060D PROTEIN', NULL, NULL, NULL, 15),
(63668, NULL, 'PTHR44575:SF4', NULL, NULL, NULL, NULL, 'EMBRYONIC ABUNDANT PROTEIN-LIKE', NULL, NULL, NULL, 15),
(63669, NULL, 'PTHR46520', NULL, NULL, NULL, NULL, 'SERINE BETA-LACTAMASE-LIKE PROTEIN LACTB, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(63670, NULL, 'PTHR30126:SF25', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR METR', NULL, NULL, NULL, 15),
(63671, NULL, 'PTHR27004:SF349', NULL, NULL, NULL, NULL, 'BNAA01G19190D PROTEIN', NULL, NULL, NULL, 15),
(63672, NULL, 'PTHR31948:SF127', NULL, NULL, NULL, NULL, 'BNAA09G02420D PROTEIN', NULL, NULL, NULL, 15),
(63673, NULL, 'PTHR43853:SF11', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE FADA', NULL, NULL, NULL, 15),
(63674, NULL, 'PTHR23291:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63675, NULL, 'PTHR40626:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(63676, NULL, 'PTHR20905:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG06006', NULL, NULL, NULL, 15),
(63677, NULL, 'PTHR43327:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63678, NULL, 'PTHR22943:SF100', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(63679, NULL, 'PTHR43148:SF11', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(63680, NULL, 'PTHR43207:SF4', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE YQEC-RELATED', NULL, NULL, NULL, 15),
(63681, NULL, 'PTHR22812:SF143', NULL, NULL, NULL, NULL, 'C.ELEGANS CHROMODOMAIN PROTEIN', NULL, NULL, NULL, 15),
(63682, NULL, 'PTHR16125', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 74', NULL, NULL, 27491, 15),
(63683, NULL, 'PTHR40124', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63684, NULL, 'PTHR43031:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63685, NULL, 'PTHR45665:SF23', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP3-2-RELATED', NULL, NULL, NULL, 15),
(63686, NULL, 'PTHR10728:SF13', NULL, NULL, NULL, NULL, 'CYTOSOLIC PHOSPHOLIPASE A2', NULL, NULL, NULL, 15),
(63687, NULL, 'PTHR14739:SF9', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 9', NULL, NULL, NULL, 15),
(63688, NULL, 'PTHR31717:SF60', NULL, NULL, NULL, NULL, 'OS08G0178800 PROTEIN', NULL, NULL, NULL, 15),
(63689, NULL, 'PTHR11132:SF371', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSPORTER 2-LIKE', NULL, NULL, NULL, 15),
(63690, NULL, 'PTHR24055:SF401', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 14-RELATED', NULL, NULL, NULL, 15),
(63691, NULL, 'PTHR12308:SF31', NULL, NULL, NULL, NULL, 'ANOCTAMIN', NULL, NULL, NULL, 15),
(63692, NULL, 'PTHR24377:SF797', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 12', NULL, NULL, NULL, 15),
(63693, NULL, 'PTHR24115:SF398', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF21A', NULL, NULL, NULL, 15),
(63694, NULL, 'PTHR12526:SF591', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(63695, NULL, 'PTHR20856:SF25', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(63696, NULL, 'PTHR23280:SF24', NULL, NULL, NULL, NULL, 'BAND 4.1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(63697, NULL, 'PTHR13994:SF33', NULL, NULL, NULL, NULL, 'NUDIX FAMILY HYDROLASE', NULL, NULL, NULL, 15),
(63698, NULL, 'PTHR10091:SF24', NULL, NULL, NULL, NULL, 'GALACTOSE MUTAROTASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(63699, NULL, 'PTHR31042:SF122', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(63700, NULL, 'PTHR46694:SF4', NULL, NULL, NULL, NULL, 'OS08G0361000 PROTEIN', NULL, NULL, NULL, 15),
(63701, NULL, 'PTHR26454:SF30', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6X1', NULL, NULL, NULL, 15),
(63702, NULL, 'PTHR10540:SF7', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 7', NULL, NULL, NULL, 15),
(63703, NULL, 'PTHR46216:SF2', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 37-LIKE 1B', NULL, NULL, NULL, 15),
(63704, NULL, 'PTHR42647:SF6', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 2-RELATED', NULL, NULL, NULL, 15),
(63705, NULL, 'PTHR31286:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63706, NULL, 'PTHR42832:SF2', NULL, NULL, NULL, NULL, 'ASPARTATE TRANSAMINASE', NULL, NULL, NULL, 15),
(63707, NULL, 'PTHR33167:SF46', NULL, NULL, NULL, NULL, 'BNAC09G32870D PROTEIN', NULL, NULL, NULL, 15),
(63708, NULL, 'PTHR13008', NULL, NULL, NULL, NULL, 'MAP-KINASE ACTIVATING DEATH DOMAIN PROTEIN  MADD /DENN/AEX-3 C.ELEGANS', NULL, NULL, 31055, 15),
(63709, NULL, 'PTHR37024:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63710, NULL, 'PTHR27006:SF400', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(63711, NULL, 'PTHR34846:SF4', NULL, NULL, NULL, NULL, '4-CARBOXYMUCONOLACTONE DECARBOXYLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G03690)', NULL, NULL, NULL, 15),
(63712, NULL, 'PTHR43280:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR, ARAC FAMILY-RELATED', NULL, NULL, NULL, 15),
(63713, NULL, 'PTHR23253:SF68', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR ISOFORM 4G-1', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63714, NULL, 'PTHR45854:SF1', NULL, NULL, NULL, NULL, 'ARF-GAP WITH SH3 DOMAIN, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 26711, 15),
(63715, NULL, 'PTHR47956:SF79', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B31-RELATED', NULL, NULL, NULL, 15),
(63716, NULL, 'PTHR13902:SF144', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK1', NULL, NULL, NULL, 15),
(63717, NULL, 'PTHR33147:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63718, NULL, 'PTHR42759:SF6', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63719, NULL, 'PTHR43450:SF4', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63720, NULL, 'PTHR40269', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED', NULL, NULL, 19896, 15),
(63721, NULL, 'PTHR24034:SF143', NULL, NULL, NULL, NULL, 'ZGC:66455', NULL, NULL, NULL, 15),
(63722, NULL, 'PTHR11920:SF375', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-13', NULL, NULL, NULL, 15),
(63723, NULL, 'PTHR31232:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63724, NULL, 'PTHR10701:SF18', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(63725, NULL, 'PTHR47746:SF29', NULL, NULL, NULL, NULL, 'NON-LTR RETROLELEMENT REVERSE TRANSCRIPTASE-RELATED', NULL, NULL, NULL, 15),
(63726, NULL, 'PTHR21354:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 511', NULL, NULL, NULL, 15),
(63727, NULL, 'PTHR38146', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63728, NULL, 'PTHR11071:SF487', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(63729, NULL, 'PTHR11652:SF56', NULL, NULL, NULL, NULL, 'BNAA02G24860D PROTEIN', NULL, NULL, NULL, 15),
(63730, NULL, 'PTHR31646:SF1', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSYLTRANSFERASE MNN2', NULL, NULL, NULL, 15),
(63731, NULL, 'PTHR33734:SF16', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING GPI-ANCHORED PROTEIN 3', NULL, NULL, NULL, 15),
(63732, NULL, 'PTHR33377:SF3', NULL, NULL, NULL, NULL, 'OS07G0121000 PROTEIN', NULL, NULL, NULL, 15),
(63733, NULL, 'PTHR34069:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA:ACYL-COA ALKYLTRANSFERASE', NULL, NULL, NULL, 15),
(63734, NULL, 'PTHR13068:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63735, NULL, 'PTHR11995:SF28', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 7, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(63736, NULL, 'PTHR16140:SF15', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', NULL, NULL, NULL, 15),
(63737, NULL, 'PTHR38432:SF2', NULL, NULL, NULL, NULL, 'TELLURITE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(63738, NULL, 'PTHR47014', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY S MEMBER 1', NULL, NULL, 37457, 15),
(63739, NULL, 'PTHR31554', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 184', NULL, NULL, 27630, 15),
(63740, NULL, 'PTHR26452:SF254', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(63741, NULL, 'PTHR10630', NULL, NULL, NULL, NULL, 'MONOCYTE DIFFERENTIATION ANTIGEN CD14', NULL, NULL, 20914, 15),
(63742, NULL, 'PTHR46436:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 76 KDA', NULL, NULL, NULL, 15),
(63743, NULL, 'PTHR31325:SF150', NULL, NULL, NULL, NULL, 'OS07G0105800 PROTEIN', NULL, NULL, NULL, 15),
(63744, NULL, 'PTHR11877:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63745, NULL, 'PTHR33095:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63746, NULL, 'PTHR21713:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63747, NULL, 'PTHR46929:SF12', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(63748, NULL, 'PTHR43895:SF67', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 21', NULL, NULL, NULL, 15),
(63749, NULL, 'PTHR24243:SF205', NULL, NULL, NULL, NULL, 'NEUROMEDIN U RECEPTOR 3', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63750, NULL, 'PTHR11947:SF3', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE (ACETYL-TRANSFERRING)] KINASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(63751, NULL, 'PTHR43706:SF25', NULL, NULL, NULL, NULL, 'EXTERNAL ALTERNATIVE NAD(P)H-UBIQUINONE OXIDOREDUCTASE B4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(63752, NULL, 'PTHR10676:SF36', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63753, NULL, 'PTHR44099:SF2', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 72', NULL, NULL, NULL, 15),
(63754, NULL, 'PTHR22775:SF29', NULL, NULL, NULL, NULL, 'SORTING NEXIN-25', NULL, NULL, 16356, 15),
(63755, NULL, 'PTHR31325:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63756, NULL, 'PTHR31069', NULL, NULL, NULL, NULL, 'OLEATE-ACTIVATED TRANSCRIPTION FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(63757, NULL, 'PTHR24095:SF14', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE 1', NULL, NULL, NULL, 15),
(63758, NULL, 'PTHR30620:SF90', NULL, NULL, NULL, NULL, 'BETA-D-GLUCAN EXOHYDROLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(63759, NULL, 'PTHR10078:SF30', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 BETA', NULL, NULL, 3132, 15),
(63760, NULL, 'PTHR24055:SF79', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 15', NULL, NULL, NULL, 15),
(63761, NULL, 'PTHR21731', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 27499, 15),
(63762, NULL, 'PTHR11413:SF114', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(63763, NULL, 'PTHR23359:SF191', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4', NULL, NULL, NULL, 15),
(63764, NULL, 'PTHR48016:SF26', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE-LIKE', NULL, NULL, NULL, 15),
(63765, NULL, 'PTHR10088', NULL, NULL, NULL, NULL, 'GLUCOKINASE REGULATORY PROTEIN', NULL, NULL, 33838, 15),
(63766, NULL, 'PTHR38113:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63767, NULL, 'PTHR45613:SF62', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(63768, NULL, 'PTHR11915:SF431', NULL, NULL, NULL, NULL, 'SPECTRIN ALPHA CHAIN, ERYTHROCYTIC 1', NULL, NULL, NULL, 15),
(63769, NULL, 'PTHR31499:SF40', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB1-LIKE', NULL, NULL, NULL, 15),
(63770, NULL, 'PTHR43330:SF23', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(63771, NULL, 'PTHR31791:SF54', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(63772, NULL, 'PTHR34536', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(63773, NULL, 'PTHR31033:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63774, NULL, 'PTHR10783:SF115', NULL, NULL, NULL, NULL, 'BNAA07G24450D PROTEIN', NULL, NULL, NULL, 15),
(63775, NULL, 'PTHR33090:SF70', NULL, NULL, NULL, NULL, 'BNAA06G17220D PROTEIN', NULL, NULL, NULL, 15),
(63776, NULL, 'PTHR31190:SF210', NULL, NULL, NULL, NULL, 'EREBP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(63777, NULL, 'PTHR32133:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63778, NULL, 'PTHR23070:SF90', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(63779, NULL, 'PTHR31194:SF73', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF120-RELATED', NULL, NULL, NULL, 15),
(63780, NULL, 'PTHR12021:SF16', NULL, NULL, NULL, NULL, 'THYMOSIN BETA', NULL, NULL, NULL, 15),
(63781, NULL, 'PTHR11923:SF96', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS B MEMBER 1', NULL, NULL, NULL, 15),
(63782, NULL, 'PTHR23147:SF153', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SR34A ISOFORM X1', NULL, NULL, NULL, 15),
(63783, NULL, 'PTHR34055:SF1', NULL, NULL, NULL, NULL, 'OS09G0491596 PROTEIN', NULL, NULL, NULL, 15),
(63784, NULL, 'PTHR11135:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63785, NULL, 'PTHR44375:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63786, NULL, 'PTHR38449:SF1', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN TM_1690-RELATED', NULL, NULL, NULL, 15),
(63787, NULL, 'PTHR34272:SF8', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(63788, NULL, 'PTHR32429:SF23', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE/OXYGENASE ACTIVASE 1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63789, NULL, 'PTHR45708:SF23', NULL, NULL, NULL, NULL, 'OS07G0632000 PROTEIN', NULL, NULL, NULL, 15),
(63790, NULL, 'PTHR46587:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(63791, NULL, 'PTHR10314:SF219', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(63792, NULL, 'PTHR21230:SF76', NULL, NULL, NULL, NULL, 'BNAC04G31610D PROTEIN', NULL, NULL, NULL, 15),
(63793, NULL, 'PTHR20772:SF4', NULL, NULL, NULL, NULL, 'HYPOTHETICAL AMINO ACID TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(63794, NULL, 'PTHR15486:SF73', NULL, NULL, NULL, NULL, 'BNAC05G00450D PROTEIN', NULL, NULL, NULL, 15),
(63795, NULL, 'PTHR22306:SF2', NULL, NULL, NULL, NULL, 'ZMP:0000000624', NULL, NULL, NULL, 15),
(63796, NULL, 'PTHR46142:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(63797, NULL, 'PTHR11849:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63798, NULL, 'PTHR19446:SF415', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE FROM TRANSPOSON BS-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63799, NULL, 'PTHR31415:SF71', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(63800, NULL, 'PTHR21663:SF2', NULL, NULL, NULL, NULL, 'HEAT REPEAT-CONTAINING PROTEIN 5B', NULL, NULL, NULL, 15),
(63801, NULL, 'PTHR47236:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63802, NULL, 'PTHR11620:SF77', NULL, NULL, NULL, NULL, 'OS04G0501000 PROTEIN', NULL, NULL, NULL, 15),
(63803, NULL, 'PTHR11388:SF149', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 1A1', NULL, NULL, NULL, 15),
(63804, NULL, 'PTHR18952:SF227', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE II', NULL, NULL, NULL, 15),
(63805, NULL, 'PTHR30292', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YBGL-RELATED', NULL, NULL, 859, 15),
(63806, NULL, 'PTHR12000:SF45', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME-LIKE', NULL, NULL, NULL, 15),
(63807, NULL, 'PTHR28075:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63808, NULL, 'PTHR23257:SF879', NULL, NULL, NULL, NULL, 'BNAA09G41440D PROTEIN', NULL, NULL, NULL, 15),
(63809, NULL, 'PTHR35486:SF5', NULL, NULL, NULL, NULL, 'BNAC04G22330D PROTEIN', NULL, NULL, NULL, 15),
(63810, NULL, 'PTHR12726', NULL, NULL, NULL, NULL, 'CERAMIDE GLUCOSYLTRANSFERASE', NULL, NULL, 27468, 15),
(63811, NULL, 'PTHR11849:SF15', NULL, NULL, NULL, NULL, 'ETS-RELATED TRANSCRIPTION FACTOR ELF-5', NULL, NULL, 36059, 15),
(63812, NULL, 'PTHR31100:SF14', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 15', NULL, NULL, NULL, 15),
(63813, NULL, 'PTHR47378', NULL, NULL, NULL, NULL, 'DIVINYL CHLOROPHYLLIDE A 8-VINYL-REDUCTASE, CHLOROPLASTIC', NULL, NULL, 39332, 15),
(63814, NULL, 'PTHR43180:SF42', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE ATA1', NULL, NULL, NULL, 15),
(63815, NULL, 'PTHR15741:SF23', NULL, NULL, NULL, NULL, 'MLX-INTERACTING PROTEIN', NULL, NULL, 22459, 15),
(63816, NULL, 'PTHR33832:SF6', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR TYPE-2 P303.51', NULL, NULL, NULL, 15),
(63817, NULL, 'PTHR27007:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63818, NULL, 'PTHR14499:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63819, NULL, 'PTHR11085:SF15', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE SIRTUIN-1', NULL, NULL, NULL, 15),
(63820, NULL, 'PTHR48021:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63821, NULL, 'PTHR38365:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63822, NULL, 'PTHR47947:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63823, NULL, 'PTHR43245:SF11', NULL, NULL, NULL, NULL, 'LD23561P', NULL, NULL, NULL, 15),
(63824, NULL, 'PTHR48173', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63825, NULL, 'PTHR10582:SF25', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY V MEMBER 6', NULL, NULL, NULL, 15),
(63826, NULL, 'PTHR11654:SF98', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.6', NULL, NULL, NULL, 15),
(63827, NULL, 'PTHR47958:SF26', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-III', NULL, NULL, NULL, 15),
(63828, NULL, 'PTHR33728:SF16', NULL, NULL, NULL, NULL, 'BNAA08G25440D PROTEIN', NULL, NULL, NULL, 15),
(63829, NULL, 'PTHR12300:SF150', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN K', NULL, NULL, NULL, 15),
(63830, NULL, 'PTHR45642:SF104', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(63831, NULL, 'PTHR11738:SF116', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY A MEMBER 5', NULL, NULL, NULL, 15),
(63832, NULL, 'PTHR10788:SF14', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 8-RELATED', NULL, NULL, NULL, 15),
(63833, NULL, 'PTHR47967:SF26', NULL, NULL, NULL, NULL, 'BNAA01G17170D PROTEIN', NULL, NULL, NULL, 15),
(63834, NULL, 'PTHR11850:SF274', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SBH1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(63835, NULL, 'PTHR10527:SF51', NULL, NULL, NULL, NULL, 'BETA-3, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63836, NULL, 'PTHR14324', NULL, NULL, NULL, NULL, 'CONDENSIN-2 COMPLEX SUBUNIT H2', NULL, NULL, 23392, 15),
(63837, NULL, 'PTHR11668:SF290', NULL, NULL, NULL, NULL, 'PROTEIN CBG20631', NULL, NULL, NULL, 15),
(63838, NULL, 'PTHR32278:SF50', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B12-RELATED', NULL, NULL, NULL, 15),
(63839, NULL, 'PTHR33078:SF43', NULL, NULL, NULL, NULL, 'PROTEIN YCF2', NULL, NULL, NULL, 15),
(63840, NULL, 'PTHR31133:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0081L15.3 PROTEIN', NULL, NULL, NULL, 15),
(63841, NULL, 'PTHR32077:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63842, NULL, 'PTHR31327:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG02257', NULL, NULL, NULL, 15),
(63843, NULL, 'PTHR21258:SF46', NULL, NULL, NULL, NULL, 'DOCKING PROTEIN 1', NULL, NULL, NULL, 15),
(63844, NULL, 'PTHR33883:SF4', NULL, NULL, NULL, NULL, 'OS07G0147800 PROTEIN', NULL, NULL, NULL, 15),
(63845, NULL, 'PTHR13382:SF7', NULL, NULL, NULL, NULL, 'F-BOX AND LEUCINE-RICH REPEAT PROTEIN 17', NULL, NULL, NULL, 15),
(63846, NULL, 'PTHR23267:SF393', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-12', NULL, NULL, NULL, 15),
(63847, NULL, 'PTHR14768:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN PMIS2', NULL, NULL, NULL, 15),
(63848, NULL, 'PTHR20961:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63849, NULL, 'PTHR31651:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63850, NULL, 'PTHR11994:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11', NULL, NULL, NULL, 15),
(63851, NULL, 'PTHR42924:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63852, NULL, 'PTHR43840:SF2', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 9', NULL, NULL, NULL, 15),
(63853, NULL, 'PTHR31378:SF20', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(63854, NULL, 'PTHR31087:SF76', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 8-LIKE', NULL, NULL, NULL, 15),
(63855, NULL, 'PTHR48022:SF17', NULL, NULL, NULL, NULL, 'HEXOSE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(63856, NULL, 'PTHR10083:SF353', NULL, NULL, NULL, NULL, 'SALIVARY GLAND PEPTIDE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63857, NULL, 'PTHR42850:SF9', NULL, NULL, NULL, NULL, 'SLL1387 PROTEIN', NULL, NULL, NULL, 15),
(63858, NULL, 'PTHR47926:SF94', NULL, NULL, NULL, NULL, 'OS08G0511000 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63859, NULL, 'PTHR33110:SF69', NULL, NULL, NULL, NULL, 'OS02G0318200 PROTEIN', NULL, NULL, NULL, 15),
(63860, NULL, 'PTHR31722:SF56', NULL, NULL, NULL, NULL, 'BNAC03G73740D PROTEIN', NULL, NULL, NULL, 15),
(63861, NULL, 'PTHR12603:SF4', NULL, NULL, NULL, NULL, 'OS01G0209500 PROTEIN', NULL, NULL, NULL, 15),
(63862, NULL, 'PTHR22427:SF7', NULL, NULL, NULL, NULL, 'GH15728P', NULL, NULL, NULL, 15),
(63863, NULL, 'PTHR18964:SF168', NULL, NULL, NULL, NULL, 'N-ACETYLMANNOSAMINE KINASE', NULL, NULL, NULL, 15),
(63864, NULL, 'PTHR14865:SF2', NULL, NULL, NULL, NULL, 'CST COMPLEX SUBUNIT CTC1', NULL, NULL, NULL, 15),
(63865, NULL, 'PTHR20914', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(63866, NULL, 'PTHR13282:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63867, NULL, 'PTHR14221:SF30', NULL, NULL, NULL, NULL, 'SIMILARITY TO UNKNOWN PROTEIN', NULL, NULL, NULL, 15),
(63868, NULL, 'PTHR43808:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63869, NULL, 'PTHR21092', NULL, NULL, NULL, NULL, 'NICASTRIN', NULL, NULL, 13179, 15),
(63870, NULL, 'PTHR43968', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63871, NULL, 'PTHR45655:SF12', NULL, NULL, NULL, NULL, 'SOLUBLE GUANYLATE CYCLASE GCY-34', NULL, NULL, NULL, 15),
(63872, NULL, 'PTHR12411:SF789', NULL, NULL, NULL, NULL, 'BNAA09G28660D PROTEIN', NULL, NULL, NULL, 15),
(63873, NULL, 'PTHR23279', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE  DPR -RELATED', NULL, NULL, 35711, 15),
(63874, NULL, 'PTHR45633:SF27', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60-2, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(63875, NULL, 'PTHR46559:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63876, NULL, 'PTHR23070:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63877, NULL, 'PTHR11822:SF22', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', NULL, NULL, NULL, 15),
(63878, NULL, 'PTHR31465:SF34', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00480)-RELATED', NULL, NULL, NULL, 15),
(63879, NULL, 'PTHR10732:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63880, NULL, 'PTHR33710:SF25', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(63881, NULL, 'PTHR33102:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63882, NULL, 'PTHR31734:SF180', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(63883, NULL, 'PTHR32487:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63884, NULL, 'PTHR31448', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 2', NULL, NULL, 29250, 15),
(63885, NULL, 'PTHR35124:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(63886, NULL, 'PTHR41394:SF6', NULL, NULL, NULL, NULL, 'SLC41 DIVALENT CATION TRANSPORTERS, INTEGRAL MEMBRANE DOMAIN', NULL, NULL, NULL, 15),
(63887, NULL, 'PTHR24089:SF463', NULL, NULL, NULL, NULL, 'GRAVES DISEASE MITOCHONDRIAL SOLUTE CARRIER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(63888, NULL, 'PTHR10694:SF119', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 4A', NULL, NULL, NULL, 15),
(63889, NULL, 'PTHR31561:SF116', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(63890, NULL, 'PTHR22802:SF398', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING PROTEIN 160', NULL, NULL, NULL, 15),
(63891, NULL, 'PTHR19271:SF22', NULL, NULL, NULL, NULL, 'CYTOCHROME B6/F COMPLEX, SUBUNIT IV-RELATED', NULL, NULL, NULL, 15),
(63892, NULL, 'PTHR46631:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63893, NULL, 'PTHR11049:SF3', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A THIOESTERASE', NULL, NULL, NULL, 15),
(63894, NULL, 'PTHR33967:SF1', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR4', NULL, NULL, NULL, 15),
(63895, NULL, 'PTHR34856', NULL, NULL, NULL, NULL, 'PROTEIN NRFD', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63896, NULL, 'PTHR40044:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63897, NULL, 'PTHR31867:SF30', NULL, NULL, NULL, NULL, 'EXPANSIN-A8', NULL, NULL, NULL, 15),
(63898, NULL, 'PTHR43995:SF5', NULL, NULL, NULL, NULL, 'BNAC04G11150D PROTEIN', NULL, NULL, NULL, 15),
(63899, NULL, 'PTHR23267:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63900, NULL, 'PTHR47956:SF45', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B7', NULL, NULL, NULL, 15),
(63901, NULL, 'PTHR24107:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63902, NULL, 'PTHR43880:SF20', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 6', NULL, NULL, 29295, 15),
(63903, NULL, 'PTHR33085:SF49', NULL, NULL, NULL, NULL, 'OS03G0778800 PROTEIN', NULL, NULL, NULL, 15),
(63904, NULL, 'PTHR36349:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CLAVATA 3', NULL, NULL, 29805, 15),
(63905, NULL, 'PTHR12956:SF22', NULL, NULL, NULL, NULL, 'OS06G0724300 PROTEIN', NULL, NULL, NULL, 15),
(63906, NULL, 'PTHR10972:SF181', NULL, NULL, NULL, NULL, 'LD10220P', NULL, NULL, NULL, 15),
(63907, NULL, 'PTHR24282:SF182', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(63908, NULL, 'PTHR11909:SF191', NULL, NULL, NULL, NULL, 'PROTEIN CBG09188', NULL, NULL, NULL, 15),
(63909, NULL, 'PTHR43179', NULL, NULL, NULL, NULL, 'RHAMNOSYLTRANSFERASE WBBL', NULL, NULL, NULL, 15),
(63910, NULL, 'PTHR11879:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63911, NULL, 'PTHR35111:SF6', NULL, NULL, NULL, NULL, 'BNAA08G31210D PROTEIN', NULL, NULL, NULL, 15),
(63912, NULL, 'PTHR19300:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63913, NULL, 'PTHR31288:SF30', NULL, NULL, NULL, NULL, 'BNAC06G04700D PROTEIN', NULL, NULL, NULL, 15),
(63914, NULL, 'PTHR24401', NULL, NULL, NULL, NULL, 'SI:CH211-243P7.3-RELATED', NULL, NULL, NULL, 15),
(63915, NULL, 'PTHR10309:SF8', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(63916, NULL, 'PTHR35273', NULL, NULL, NULL, NULL, 'ALPHA-1,4 POLYGALACTOSAMINIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07890)-RELATED', NULL, NULL, NULL, 15),
(63917, NULL, 'PTHR42847:SF8', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(63918, NULL, 'PTHR23023:SF85', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', NULL, NULL, NULL, 15),
(63919, NULL, 'PTHR19877:SF9', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT I', NULL, NULL, NULL, 15),
(63920, NULL, 'PTHR24298:SF811', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(63921, NULL, 'PTHR14139:SF6', NULL, NULL, NULL, NULL, 'CALSYNTENIN 2', NULL, NULL, NULL, 15),
(63922, NULL, 'PTHR48209', NULL, NULL, NULL, NULL, 'AGL056WP', NULL, NULL, NULL, 15),
(63923, NULL, 'PTHR35306:SF1', NULL, NULL, NULL, NULL, 'BNAA03G57290D PROTEIN', NULL, NULL, NULL, 15),
(63924, NULL, 'PTHR43004:SF3', NULL, NULL, NULL, NULL, 'P-HYDROXYBENZOATE HYDROXYLASE', NULL, NULL, NULL, 15),
(63925, NULL, 'PTHR32002:SF56', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63926, NULL, 'PTHR12675:SF3', NULL, NULL, NULL, NULL, 'MUSCLEBLIND-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(63927, NULL, 'PTHR11932:SF141', NULL, NULL, NULL, NULL, 'CULLIN-1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(63928, NULL, 'PTHR33391:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME B559 SUBUNIT BETA', NULL, NULL, 3555, 15),
(63929, NULL, 'PTHR23510:SF66', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YAJR', NULL, NULL, NULL, 15),
(63930, NULL, 'PTHR46051:SF7', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 1B', NULL, NULL, NULL, 15),
(63931, NULL, 'PTHR33624:SF23', NULL, NULL, NULL, NULL, 'VQ MOTIF FAMILY PROTEIN EXPRESSED', NULL, NULL, NULL, 15),
(63932, NULL, 'PTHR35402:SF2', NULL, NULL, NULL, NULL, 'FLAGELLA ACCESSORY PROTEIN J', NULL, NULL, NULL, 15),
(63933, NULL, 'PTHR31692:SF25', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE A4', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63934, NULL, 'PTHR15071:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63935, NULL, 'PTHR35125:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PATRONUS 1', NULL, NULL, NULL, 15),
(63936, NULL, 'PTHR32468:SF95', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE', NULL, NULL, NULL, 15),
(63937, NULL, 'PTHR15486:SF56', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(63938, NULL, 'PTHR12977:SF14', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(63939, NULL, 'PTHR45658:SF61', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 14', NULL, NULL, NULL, 15),
(63940, NULL, 'PTHR12956:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63941, NULL, 'PTHR43537:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(63942, NULL, 'PTHR22888:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63943, NULL, 'PTHR34237', NULL, NULL, NULL, NULL, 'PAREP8-RELATED', NULL, NULL, NULL, 15),
(63944, NULL, 'PTHR27007:SF342', NULL, NULL, NULL, NULL, 'OS07G0133100 PROTEIN', NULL, NULL, NULL, 15),
(63945, NULL, 'PTHR32278:SF61', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, PHLOEM PROTEIN 2-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(63946, NULL, 'PTHR32444:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63947, NULL, 'PTHR46471:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE', NULL, NULL, NULL, 15),
(63948, NULL, 'PTHR46871', NULL, NULL, NULL, NULL, 'BROMO-ADJACENT HOMOLOGY (BAH) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(63949, NULL, 'PTHR13627:SF31', NULL, NULL, NULL, NULL, 'FUKUTIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(63950, NULL, 'PTHR46223:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(63951, NULL, 'PTHR31549:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63952, NULL, 'PTHR48027:SF1', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 3 MITOCHONDRIAL', NULL, NULL, NULL, 15),
(63953, NULL, 'PTHR13462:SF17', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN 4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(63954, NULL, 'PTHR11525:SF1', NULL, NULL, NULL, NULL, 'FARNESYL DIPHOSPHATE SYNTHASE DDB_G0268742-RELATED', NULL, NULL, NULL, 15),
(63955, NULL, 'PTHR47925:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63956, NULL, 'PTHR13691:SF48', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L8', NULL, NULL, NULL, 15),
(63957, NULL, 'PTHR32382:SF63', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN 2-RELATED', NULL, NULL, NULL, 15),
(63958, NULL, 'PTHR19375:SF413', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 18-RELATED', NULL, NULL, NULL, 15),
(63959, NULL, 'PTHR11486:SF144', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', NULL, NULL, NULL, 15),
(63960, NULL, 'PTHR21649:SF16', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN CP26, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(63961, NULL, 'PTHR45640:SF29', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(63962, NULL, 'PTHR30302', NULL, NULL, NULL, NULL, 'HYDROGENASE 1 MATURATION PROTEASE', NULL, NULL, 3737, 15),
(63963, NULL, 'PTHR24056:SF467', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63964, NULL, 'PTHR12980:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 9', NULL, NULL, NULL, 15),
(63965, NULL, 'PTHR39104:SF1', NULL, NULL, NULL, NULL, 'AMINO ACID-LIGASE', NULL, NULL, NULL, 15),
(63966, NULL, 'PTHR23267:SF120', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 7-46', NULL, NULL, NULL, 15),
(63967, NULL, 'PTHR46038:SF2', NULL, NULL, NULL, NULL, 'OS07G0294800 PROTEIN', NULL, NULL, NULL, 15),
(63968, NULL, 'PTHR22835:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(63969, NULL, 'PTHR31859:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 39C', NULL, NULL, NULL, 15),
(63970, NULL, 'PTHR31951:SF26', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS RELATED FAMILY', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(63971, NULL, 'PTHR43829:SF15', NULL, NULL, NULL, NULL, 'AQUAPORIN-7', NULL, NULL, 18310, 15),
(63972, NULL, 'PTHR10127:SF826', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-25', NULL, NULL, NULL, 15),
(63973, NULL, 'PTHR21040:SF11', NULL, NULL, NULL, NULL, 'HEXOSAMINIDASE', NULL, NULL, NULL, 15),
(63974, NULL, 'PTHR46502:SF2', NULL, NULL, NULL, NULL, '16 KDA PHLOEM PROTEIN 2', NULL, NULL, NULL, 15),
(63975, NULL, 'PTHR31509:SF92', NULL, NULL, NULL, NULL, 'DUF793 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(63976, NULL, 'PTHR10676:SF387', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN AT 62B', NULL, NULL, NULL, 15),
(63977, NULL, 'PTHR43329:SF83', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', NULL, NULL, NULL, 15),
(63978, NULL, 'PTHR28228', NULL, NULL, NULL, NULL, 'SECRETORY COMPONENT PROTEIN SHR3', NULL, NULL, 13381, 15),
(63979, NULL, 'PTHR43131:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE', NULL, NULL, NULL, 15),
(63980, NULL, 'PTHR35473:SF3', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(63981, NULL, 'PTHR15710:SF82', NULL, NULL, NULL, NULL, 'BNAC05G32760D PROTEIN', NULL, NULL, NULL, 15),
(63982, NULL, 'PTHR43591:SF50', NULL, NULL, NULL, NULL, 'N-METHYLTRANSFERASE GLIN', NULL, NULL, NULL, 15),
(63983, NULL, 'PTHR39757:SF6', NULL, NULL, NULL, NULL, 'BNAC09G53690D PROTEIN', NULL, NULL, NULL, 15),
(63984, NULL, 'PTHR35523:SF1', NULL, NULL, NULL, NULL, 'CELL WALL PROTEIN SED1', NULL, NULL, NULL, 15),
(63985, NULL, 'PTHR46786:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER MATRIN-TYPE PROTEIN 3', NULL, NULL, NULL, 15),
(63986, NULL, 'PTHR23262:SF202', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-3', NULL, NULL, NULL, 15),
(63987, NULL, 'PTHR32191:SF46', NULL, NULL, NULL, NULL, 'TETRASPANIN-3', NULL, NULL, NULL, 15),
(63988, NULL, 'PTHR33429:SF35', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63989, NULL, 'PTHR26452:SF193', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(63990, NULL, 'PTHR34559:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 8', NULL, NULL, NULL, 15),
(63991, NULL, 'PTHR24286:SF254', NULL, NULL, NULL, NULL, '3-EPI-6-DEOXOCATHASTERONE 23-MONOOXYGENASE CYP90C1', NULL, NULL, NULL, 15),
(63992, NULL, 'PTHR33021:SF369', NULL, NULL, NULL, NULL, 'BNAC09G42260D PROTEIN', NULL, NULL, NULL, 15),
(63993, NULL, 'PTHR11654:SF409', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.5-LIKE', NULL, NULL, NULL, 15),
(63994, NULL, 'PTHR23328:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF169', NULL, NULL, NULL, 15),
(63995, NULL, 'PTHR22950:SF150', NULL, NULL, NULL, NULL, 'FI17861P1', NULL, NULL, NULL, 15),
(63996, NULL, 'PTHR11011:SF85', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(63997, NULL, 'PTHR16138', NULL, NULL, NULL, NULL, 'MYCOPHENOLIC ACID ACYL-GLUCURONIDE ESTERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(63998, NULL, 'PTHR22950:SF648', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(63999, NULL, 'PTHR13293:SF9', NULL, NULL, NULL, NULL, 'AKIRIN-1', NULL, NULL, NULL, 15),
(64000, NULL, 'PTHR34660:SF12', NULL, NULL, NULL, NULL, 'GLUTAMIC ACID-RICH PROTEIN-LIKE', NULL, NULL, NULL, 15),
(64001, NULL, 'PTHR34045:SF13', NULL, NULL, NULL, NULL, 'BNAC05G14780D PROTEIN', NULL, NULL, NULL, 15),
(64002, NULL, 'PTHR24216:SF46', NULL, NULL, NULL, NULL, 'GH01042P-RELATED', NULL, NULL, NULL, 15),
(64003, NULL, 'PTHR35010:SF2', NULL, NULL, NULL, NULL, 'BLL4672 PROTEIN', NULL, NULL, NULL, 15),
(64004, NULL, 'PTHR46431:SF2', NULL, NULL, NULL, NULL, 'OS07G0634000 PROTEIN', NULL, NULL, NULL, 15),
(64005, NULL, 'PTHR45628:SF5', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT R-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1E', NULL, NULL, 879, 15),
(64006, NULL, 'PTHR23423:SF72', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER OSTALPHA PROTEIN (DUF300)', NULL, NULL, NULL, 15),
(64007, NULL, 'PTHR24064:SF283', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 5', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64008, NULL, 'PTHR19353:SF69', NULL, NULL, NULL, NULL, 'BNAA09G39290D PROTEIN', NULL, NULL, NULL, 15),
(64009, NULL, 'PTHR31385:SF14', NULL, NULL, NULL, NULL, 'BNAA09G05820D PROTEIN', NULL, NULL, NULL, 15),
(64010, NULL, 'PTHR31852:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64011, NULL, 'PTHR24186:SF18', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(64012, NULL, 'PTHR31221:SF38', NULL, NULL, NULL, NULL, 'OS01G0842801 PROTEIN', NULL, NULL, NULL, 15),
(64013, NULL, 'PTHR31948:SF79', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 7', NULL, NULL, NULL, 15),
(64014, NULL, 'PTHR46683:SF1', NULL, NULL, NULL, NULL, 'OROTATE PHOSPHORIBOSYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(64015, NULL, 'PTHR31190:SF232', NULL, NULL, NULL, NULL, 'AP2/ERF DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(64016, NULL, 'PTHR46879:SF1', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(64017, NULL, 'PTHR47357:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64018, NULL, 'PTHR22762:SF122', NULL, NULL, NULL, NULL, 'MALTASE-GLUCOAMYLASE 2-RELATED', NULL, NULL, NULL, 15),
(64019, NULL, 'PTHR10722:SF25', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', NULL, NULL, NULL, 15),
(64020, NULL, 'PTHR31301:SF124', NULL, NULL, NULL, NULL, 'BNAANNG38890D PROTEIN', NULL, NULL, NULL, 15),
(64021, NULL, 'PTHR11732:SF467', NULL, NULL, NULL, NULL, 'OSJNBA0064H22.3 PROTEIN', NULL, NULL, NULL, 15),
(64022, NULL, 'PTHR30622:SF2', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-DIPHOSPHATASE', NULL, NULL, NULL, 15),
(64023, NULL, 'PTHR33699:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64024, NULL, 'PTHR11909:SF393', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE', NULL, NULL, NULL, 15),
(64025, NULL, 'PTHR33735:SF14', NULL, NULL, NULL, NULL, 'PHAGE CAPSID SCAFFOLDING PROTEIN (GPO) SERINE PEPTIDASE', NULL, NULL, NULL, 15),
(64026, NULL, 'PTHR43178:SF1', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE COMPONENT 3 OF PYRUVATE DEHYDROGENASE COMPLEX, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(64027, NULL, 'PTHR33976:SF7', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN MEMBRANE GPI-ANCHORED PROTEIN', NULL, NULL, NULL, 15),
(64028, NULL, 'PTHR33972:SF18', NULL, NULL, NULL, NULL, 'BNAC05G12850D PROTEIN', NULL, NULL, NULL, 15),
(64029, NULL, 'PTHR12992:SF26', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 15, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(64030, NULL, 'PTHR23226:SF177', NULL, NULL, NULL, NULL, 'PATERNALLY-EXPRESSED GENE 3 PROTEIN', NULL, NULL, NULL, 15),
(64031, NULL, 'PTHR23084:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64032, NULL, 'PTHR21109:SF15', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S21', NULL, NULL, NULL, 15),
(64033, NULL, 'PTHR23266:SF300', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64034, NULL, 'PTHR46435', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECTD4-RELATED', NULL, NULL, 36650, 15),
(64035, NULL, 'PTHR38081:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64036, NULL, 'PTHR35304:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64037, NULL, 'PTHR35631:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64038, NULL, 'PTHR47255:SF12', NULL, NULL, NULL, NULL, 'BNAA10G10940D PROTEIN', NULL, NULL, NULL, 15),
(64039, NULL, 'PTHR45967:SF16', NULL, NULL, NULL, NULL, 'G-BOX-BINDING FACTOR 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(64040, NULL, 'PTHR34806:SF4', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER-ACTIVATING PROTEIN 2.2-RELATED', NULL, NULL, NULL, 15),
(64041, NULL, 'PTHR31288:SF26', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(64042, NULL, 'PTHR31973:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64043, NULL, 'PTHR46415:SF1', NULL, NULL, NULL, NULL, 'DCC-INTERACTING PROTEIN 13-BETA', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64044, NULL, 'PTHR32002:SF51', NULL, NULL, NULL, NULL, 'BNAC04G48980D PROTEIN', NULL, NULL, NULL, 15),
(64045, NULL, 'PTHR34652', NULL, NULL, NULL, NULL, 'AGAP002134-PA', NULL, NULL, NULL, 15),
(64046, NULL, 'PTHR13890:SF39', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-5', NULL, NULL, NULL, 15),
(64047, NULL, 'PTHR34697', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL LYSYLTRANSFERASE', NULL, NULL, NULL, 15),
(64048, NULL, 'PTHR31769:SF64', NULL, NULL, NULL, NULL, 'OSJNBA0064G10.22 PROTEIN', NULL, NULL, NULL, 15),
(64049, NULL, 'PTHR46387:SF28', NULL, NULL, NULL, NULL, 'RNASE H FAMILY PROTEIN', NULL, NULL, NULL, 15),
(64050, NULL, 'PTHR12479:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG16844', NULL, NULL, NULL, 15),
(64051, NULL, 'PTHR11814:SF17', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 26 MEMBER 9', NULL, NULL, 23437, 15),
(64052, NULL, 'PTHR11206:SF398', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(64053, NULL, 'PTHR23291:SF32', NULL, NULL, NULL, NULL, 'GROWTH HORMONE-INDUCIBLE TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(64054, NULL, 'PTHR31321:SF31', NULL, NULL, NULL, NULL, 'PECTINESTERASE QRT1', NULL, NULL, NULL, 15),
(64055, NULL, 'PTHR11945:SF449', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL16', NULL, NULL, NULL, 15),
(64056, NULL, 'PTHR11362:SF96', NULL, NULL, NULL, NULL, 'FTC', NULL, NULL, NULL, 15),
(64057, NULL, 'PTHR12461:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64058, NULL, 'PTHR16254:SF21', NULL, NULL, NULL, NULL, 'BNAA07G01130D PROTEIN', NULL, NULL, NULL, 15),
(64059, NULL, 'PTHR10517:SF21', NULL, NULL, NULL, NULL, 'RIBOFLAVIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(64060, NULL, 'PTHR16172:SF37', NULL, NULL, NULL, NULL, 'RE36877P', NULL, NULL, NULL, 15),
(64061, NULL, 'PTHR31618:SF15', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(64062, NULL, 'PTHR24349:SF389', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 6', NULL, NULL, NULL, 15),
(64063, NULL, 'PTHR10283', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 13 MEMBER', NULL, NULL, NULL, 15),
(64064, NULL, 'PTHR32494:SF5', NULL, NULL, NULL, NULL, 'ALLANTOATE DEIMINASE-RELATED', NULL, NULL, NULL, 15),
(64065, NULL, 'PTHR35282:SF2', NULL, NULL, NULL, NULL, 'F5D14.24 PROTEIN', NULL, NULL, NULL, 15),
(64066, NULL, 'PTHR24055:SF153', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(64067, NULL, 'PTHR35501:SF6', NULL, NULL, NULL, NULL, 'BNAC09G28270D PROTEIN', NULL, NULL, NULL, 15),
(64068, NULL, 'PTHR48233:SF1', NULL, NULL, NULL, NULL, 'MUCIN 4B, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(64069, NULL, 'PTHR11599:SF169', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, NULL, 15),
(64070, NULL, 'PTHR10977', NULL, NULL, NULL, NULL, 'DIPHOSPHOMEVALONATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(64071, NULL, 'PTHR48002:SF93', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(64072, NULL, 'PTHR47294:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(64073, NULL, 'PTHR23050:SF392', NULL, NULL, NULL, NULL, 'CALMODULIN-RELATED PROTEIN 97A-LIKE', NULL, NULL, NULL, 15),
(64074, NULL, 'PTHR45881', NULL, NULL, NULL, NULL, 'CHECKPOINT SUPPRESSOR 1-LIKE, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(64075, NULL, 'PTHR30329:SF14', NULL, NULL, NULL, NULL, 'STATOR-FORCE GENERATOR OF NA+ COUPLED FLAGELLAR MOTOR POMB', NULL, NULL, NULL, 15),
(64076, NULL, 'PTHR32021:SF16', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5A2', NULL, NULL, NULL, 15),
(64077, NULL, 'PTHR23405:SF5', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 7 HOMOLOG', NULL, NULL, NULL, 15),
(64078, NULL, 'PTHR12603:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(64079, NULL, 'PTHR10414:SF27', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOLAMINEPHOSPHOTRANSFERASE 1', NULL, NULL, NULL, 15),
(64080, NULL, 'PTHR40621:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAPC-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64081, NULL, 'PTHR44328:SF12', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE L3', NULL, NULL, NULL, 15),
(64082, NULL, 'PTHR42893:SF20', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(64083, NULL, 'PTHR24567:SF31', NULL, NULL, NULL, NULL, 'GLOBAL NITROGEN REGULATOR', NULL, NULL, NULL, 15),
(64084, NULL, 'PTHR48005:SF21', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE CORYNE', NULL, NULL, NULL, 15),
(64085, NULL, 'PTHR31509:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64086, NULL, 'PTHR45638:SF1', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL SUBUNIT B, ISOFORM A', NULL, NULL, NULL, 15),
(64087, NULL, 'PTHR47594:SF5', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(64088, NULL, 'PTHR33085:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64089, NULL, 'PTHR31992', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.4-RELATED', NULL, NULL, 37124, 15),
(64090, NULL, 'PTHR13778:SF57', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 10-RELATED', NULL, NULL, NULL, 15),
(64091, NULL, 'PTHR31009:SF97', NULL, NULL, NULL, NULL, 'BENZOATE CARBOXYL METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(64092, NULL, 'PTHR46995:SF4', NULL, NULL, NULL, NULL, 'OS09G0508200 PROTEIN', NULL, NULL, NULL, 15),
(64093, NULL, 'PTHR18919:SF141', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE, CYTOSOLIC 1-LIKE', NULL, NULL, NULL, 15),
(64094, NULL, 'PTHR11934', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE', NULL, NULL, 5170, 15),
(64095, NULL, 'PTHR48020:SF22', NULL, NULL, NULL, NULL, 'MYO-INOSITOL TRANSPORTER (AFU_ORTHOLOGUE AFUA_2G07910)', NULL, NULL, NULL, 15),
(64096, NULL, 'PTHR35869', NULL, NULL, NULL, NULL, 'OUTER-MEMBRANE LIPOPROTEIN CARRIER PROTEIN', NULL, NULL, 756, 15),
(64097, NULL, 'PTHR31639:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64098, NULL, 'PTHR22957:SF495', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 13-LIKE', NULL, NULL, NULL, 15),
(64099, NULL, 'PTHR15615:SF99', NULL, NULL, NULL, NULL, 'CYCLIN', NULL, NULL, NULL, 15),
(64100, NULL, 'PTHR35501:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YY1', NULL, NULL, NULL, 15),
(64101, NULL, 'PTHR24115:SF399', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF18A', NULL, NULL, NULL, 15),
(64102, NULL, 'PTHR48011:SF61', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 16', NULL, NULL, NULL, 15),
(64103, NULL, 'PTHR11654:SF20', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.13', NULL, NULL, NULL, 15),
(64104, NULL, 'PTHR46050:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64105, NULL, 'PTHR22996:SF8', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', NULL, NULL, NULL, 15),
(64106, NULL, 'PTHR22835:SF522', NULL, NULL, NULL, NULL, 'BNACNNG44680D PROTEIN', NULL, NULL, NULL, 15),
(64107, NULL, 'PTHR47980:SF39', NULL, NULL, NULL, NULL, 'OS07G0239400 PROTEIN', NULL, NULL, NULL, 15),
(64108, NULL, 'PTHR12843:SF2', NULL, NULL, NULL, NULL, 'EEF1A LYSINE METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(64109, NULL, 'PTHR30031:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64110, NULL, 'PTHR31495:SF33', NULL, NULL, NULL, NULL, 'PEROXYGENASE 4-RELATED', NULL, NULL, NULL, 15),
(64111, NULL, 'PTHR34067:SF11', NULL, NULL, NULL, NULL, 'OS04G0193200 PROTEIN', NULL, NULL, NULL, 15),
(64112, NULL, 'PTHR21495:SF215', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(64113, NULL, 'PTHR33286:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64114, NULL, 'PTHR46662:SF44', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(64115, NULL, 'PTHR26453:SF190', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(64116, NULL, 'PTHR47953:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64117, NULL, 'PTHR11550:SF36', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', NULL, NULL, NULL, 15),
(64118, NULL, 'PTHR18956:SF6', NULL, NULL, NULL, NULL, 'HYALURONAN MEDIATED MOTILITY RECEPTOR', NULL, NULL, NULL, 15),
(64119, NULL, 'PTHR33128:SF15', NULL, NULL, NULL, NULL, 'OS01G0101900 PROTEIN', NULL, NULL, NULL, 15),
(64120, NULL, 'PTHR10985:SF78', NULL, NULL, NULL, NULL, 'HAIRY/ENHANCER-OF-SPLIT RELATED WITH YRPW MOTIF PROTEIN 1', NULL, NULL, NULL, 15),
(64121, NULL, 'PTHR31221:SF184', NULL, NULL, NULL, NULL, 'BNACNNG75330D PROTEIN', NULL, NULL, NULL, 15),
(64122, NULL, 'PTHR22835:SF273', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 2', NULL, NULL, NULL, 15),
(64123, NULL, 'PTHR34821:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YDCZ', NULL, NULL, NULL, 15),
(64124, NULL, 'PTHR48007:SF5', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 3', NULL, NULL, NULL, 15),
(64125, NULL, 'PTHR13462:SF44', NULL, NULL, NULL, NULL, 'BNAC02G48870D PROTEIN', NULL, NULL, NULL, 15),
(64126, NULL, 'PTHR10806:SF31', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', NULL, NULL, NULL, 15),
(64127, NULL, 'PTHR35043:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64128, NULL, 'PTHR11548:SF2', NULL, NULL, NULL, NULL, 'THYMIDYLATE SYNTHASE', NULL, NULL, NULL, 15),
(64129, NULL, 'PTHR34379:SF13', NULL, NULL, NULL, NULL, 'VITELLOGENIN-2-LIKE', NULL, NULL, NULL, 15),
(64130, NULL, 'PTHR48018:SF133', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AL1', NULL, NULL, NULL, 15),
(64131, NULL, 'PTHR38605:SF1', NULL, NULL, NULL, NULL, 'ATPASE-RELATED', NULL, NULL, NULL, 15),
(64132, NULL, 'PTHR11802:SF98', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE CPVL-RELATED', NULL, NULL, NULL, 15),
(64133, NULL, 'PTHR46045:SF18', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(64134, NULL, 'PTHR23291:SF18', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 2', NULL, NULL, NULL, 15),
(64135, NULL, 'PTHR22902:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64136, NULL, 'PTHR46109', NULL, NULL, NULL, NULL, 'PROTEIN LIN-28', NULL, NULL, NULL, 15),
(64137, NULL, 'PTHR21581:SF27', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE DACA', NULL, NULL, NULL, 15),
(64138, NULL, 'PTHR13304:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64139, NULL, 'PTHR11785:SF498', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY METHIONINE PERMEASE', NULL, NULL, NULL, 15),
(64140, NULL, 'PTHR10353', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE', NULL, NULL, 7383, 15),
(64141, NULL, 'PTHR11683:SF15', NULL, NULL, NULL, NULL, 'DMALPHA2B', NULL, NULL, NULL, 15),
(64142, NULL, 'PTHR10218:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64143, NULL, 'PTHR45733:SF15', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(64144, NULL, 'PTHR46072:SF7', NULL, NULL, NULL, NULL, 'AMIDASE GMDA, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(64145, NULL, 'PTHR46429:SF1', NULL, NULL, NULL, NULL, '23S RRNA (GUANOSINE-2''-O-)-METHYLTRANSFERASE RLMB', NULL, NULL, NULL, 15),
(64146, NULL, 'PTHR15315:SF64', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 151', NULL, NULL, NULL, 15),
(64147, NULL, 'PTHR24377:SF777', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 471', NULL, NULL, NULL, 15),
(64148, NULL, 'PTHR11863:SF195', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROXYLASE SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(64149, NULL, 'PTHR11362:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64150, NULL, 'PTHR45826:SF18', NULL, NULL, NULL, NULL, 'OS03G0375900 PROTEIN', NULL, NULL, NULL, 15),
(64151, NULL, 'PTHR10270:SF113', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-11', NULL, NULL, 26895, 15),
(64152, NULL, 'PTHR45998:SF7', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE KINASE, GAMMA CATALYTIC SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(64153, NULL, 'PTHR46128:SF29', NULL, NULL, NULL, NULL, 'BNACNNG68030D PROTEIN', NULL, NULL, NULL, 15),
(64154, NULL, 'PTHR31889:SF65', NULL, NULL, NULL, NULL, 'BNAA09G45820D PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64155, NULL, 'PTHR45621:SF74', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIX7-RELATED', NULL, NULL, NULL, 15),
(64156, NULL, 'PTHR10153:SF34', NULL, NULL, NULL, NULL, 'KCNN (POTASSIUM K CHANNEL, CALCIUM ACTIVATED)-LIKE', NULL, NULL, NULL, 15),
(64157, NULL, 'PTHR21454:SF37', NULL, NULL, NULL, NULL, 'BNAA05G27300D PROTEIN', NULL, NULL, NULL, 15),
(64158, NULL, 'PTHR21093:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64159, NULL, 'PTHR15065', NULL, NULL, NULL, NULL, 'INSULINOMA-ASSOCIATED 1', NULL, NULL, 38448, 15),
(64160, NULL, 'PTHR24364:SF16', NULL, NULL, NULL, NULL, 'TROPHOBLAST GLYCOPROTEIN-LIKE', NULL, NULL, NULL, 15),
(64161, NULL, 'PTHR43859:SF45', NULL, NULL, NULL, NULL, 'BENZOYLOXYGLUCOSINOLATE 1-RELATED', NULL, NULL, NULL, 15),
(64162, NULL, 'PTHR24264:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64163, NULL, 'PTHR11467:SF21', NULL, NULL, NULL, NULL, 'HISTONE H1X', NULL, NULL, NULL, 15),
(64164, NULL, 'PTHR28602:SF1', NULL, NULL, NULL, NULL, 'ENDOTHELIAL CELL-SPECIFIC CHEMOTAXIS REGULATOR', NULL, NULL, NULL, 15),
(64165, NULL, 'PTHR45676:SF98', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL2', NULL, NULL, NULL, 15),
(64166, NULL, 'PTHR31942:SF106', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(64167, NULL, 'PTHR21461:SF72', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(64168, NULL, 'PTHR10108:SF1139', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(64169, NULL, 'PTHR33191:SF19', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN GRIP22', NULL, NULL, NULL, 15),
(64170, NULL, 'PTHR34191:SF20', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(64171, NULL, 'PTHR47989:SF38', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(64172, NULL, 'PTHR31917:SF77', NULL, NULL, NULL, NULL, 'DUF724 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(64173, NULL, 'PTHR46883', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 12 PROTEIN', NULL, NULL, 38239, 15),
(64174, NULL, 'PTHR19317:SF81', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN D', NULL, NULL, NULL, 15),
(64175, NULL, 'PTHR36027:SF1', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC PROTEIN ASY3', NULL, NULL, NULL, 15),
(64176, NULL, 'PTHR31496:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB-HB-LIKE FAMILY-RELATED', NULL, NULL, NULL, 15),
(64177, NULL, 'PTHR47215:SF6', NULL, NULL, NULL, NULL, 'BNAC05G11450D PROTEIN', NULL, NULL, NULL, 15),
(64178, NULL, 'PTHR10621:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64179, NULL, 'PTHR33115:SF24', NULL, NULL, NULL, NULL, 'OS01G0522400 PROTEIN', NULL, NULL, NULL, 15),
(64180, NULL, 'PTHR24423:SF629', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', NULL, NULL, NULL, 15),
(64181, NULL, 'PTHR43650', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(64182, NULL, 'PTHR16320:SF8', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE 3', NULL, NULL, NULL, 15),
(64183, NULL, 'PTHR19961:SF64', NULL, NULL, NULL, NULL, 'FIMBRIN-3', NULL, NULL, NULL, 15),
(64184, NULL, 'PTHR11615:SF252', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(64185, NULL, 'PTHR31790:SF333', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 8-LIKE', NULL, NULL, NULL, 15),
(64186, NULL, 'PTHR48017:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64187, NULL, 'PTHR13402:SF22', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16', NULL, NULL, NULL, 15),
(64188, NULL, 'PTHR19346:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(64189, NULL, 'PTHR24960:SF68', NULL, NULL, NULL, NULL, 'IRON ONLY HYDROGENASE LARGE SUBUNIT, C-TERMINAL DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(64190, NULL, 'PTHR46214:SF20', NULL, NULL, NULL, NULL, 'BNAC04G26610D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64191, NULL, 'PTHR16015:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 51', NULL, NULL, NULL, 15),
(64192, NULL, 'PTHR22943:SF49', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(64193, NULL, 'PTHR26450:SF123', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52H1', NULL, NULL, NULL, 15),
(64194, NULL, 'PTHR46758:SF9', NULL, NULL, NULL, NULL, 'HCP FAMILY PROTEIN WITH MYND-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(64195, NULL, 'PTHR22791:SF3', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 208', NULL, NULL, 34017, 15),
(64196, NULL, 'PTHR33199:SF12', NULL, NULL, NULL, NULL, 'MACPF DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(64197, NULL, 'PTHR31707:SF210', NULL, NULL, NULL, NULL, 'OS01G0704000 PROTEIN', NULL, NULL, NULL, 15),
(64198, NULL, 'PTHR24012:SF745', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64199, NULL, 'PTHR18863', NULL, NULL, NULL, NULL, 'TSEC-2-RELATED', NULL, NULL, 31038, 15),
(64200, NULL, 'PTHR10030:SF2', NULL, NULL, NULL, NULL, 'TISSUE ALPHA-L-FUCOSIDASE', NULL, NULL, 24214, 15),
(64201, NULL, 'PTHR10366:SF682', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(64202, NULL, 'PTHR45693:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA7', NULL, NULL, NULL, 15),
(64203, NULL, 'PTHR45722:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64204, NULL, 'PTHR30472:SF23', NULL, NULL, NULL, NULL, 'IRON-UPTAKE SYSTEM PERMEASE PROTEIN FEUC', NULL, NULL, NULL, 15),
(64205, NULL, 'PTHR35679', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4933402J07 GENE', NULL, NULL, 28558, 15),
(64206, NULL, 'PTHR43255:SF2', NULL, NULL, NULL, NULL, 'HETERODISULFIDE REDUCTASE RELATED PROTEIN', NULL, NULL, NULL, 15),
(64207, NULL, 'PTHR11324:SF8', NULL, NULL, NULL, NULL, 'BIG BANG, ISOFORM C', NULL, NULL, NULL, 15),
(64208, NULL, 'PTHR43176:SF25', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE 1-LIKE', NULL, NULL, NULL, 15),
(64209, NULL, 'PTHR11909:SF411', NULL, NULL, NULL, NULL, 'ZINC FINGER PUTATIVE TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(64210, NULL, 'PTHR13800:SF1', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL TRPM', NULL, NULL, NULL, 15),
(64211, NULL, 'PTHR24377:SF895', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 529', NULL, NULL, NULL, 15),
(64212, NULL, 'PTHR15924:SF11', NULL, NULL, NULL, NULL, 'RNA TRANSCRIPTION, TRANSLATION AND TRANSPORT FACTOR PROTEIN', NULL, NULL, NULL, 15),
(64213, NULL, 'PTHR10209:SF546', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 4-LIKE', NULL, NULL, NULL, 15),
(64214, NULL, 'PTHR31625:SF62', NULL, NULL, NULL, NULL, 'BNAC06G12660D PROTEIN', NULL, NULL, NULL, 15),
(64215, NULL, 'PTHR33076:SF130', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(64216, NULL, 'PTHR10803:SF20', NULL, NULL, NULL, NULL, 'ATPASE LOC107812171', NULL, NULL, NULL, 15),
(64217, NULL, 'PTHR22835:SF606', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64218, NULL, 'PTHR11742:SF29', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(64219, NULL, 'PTHR24223:SF388', NULL, NULL, NULL, NULL, 'OS05G0196100 PROTEIN', NULL, NULL, NULL, 15),
(64220, NULL, 'PTHR12001:SF55', NULL, NULL, NULL, NULL, 'DECAPRENYL-DIPHOSPHATE SYNTHASE SUBUNIT 2', NULL, NULL, NULL, 15),
(64221, NULL, 'PTHR33147:SF94', NULL, NULL, NULL, NULL, 'BNAC04G53180D PROTEIN', NULL, NULL, NULL, 15),
(64222, NULL, 'PTHR34835:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64223, NULL, 'PTHR31126:SF51', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE DSP4-RELATED', NULL, NULL, NULL, 15),
(64224, NULL, 'PTHR13516:SF4', NULL, NULL, NULL, NULL, 'FI09323P', NULL, NULL, NULL, 15),
(64225, NULL, 'PTHR46325:SF16', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC1', NULL, NULL, NULL, 15),
(64226, NULL, 'PTHR36861:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 116', NULL, NULL, NULL, 15),
(64227, NULL, 'PTHR14154:SF93', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER 2', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64228, NULL, 'PTHR48005:SF16', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', NULL, NULL, NULL, 15),
(64229, NULL, 'PTHR46999:SF2', NULL, NULL, NULL, NULL, 'PYRUVATE PHOSPHATE DIKINASE,PEP/PYRUVATE-BINDING', NULL, NULL, NULL, 15),
(64230, NULL, 'PTHR11908:SF149', NULL, NULL, NULL, NULL, 'BNAA06G20180D PROTEIN', NULL, NULL, NULL, 15),
(64231, NULL, 'PTHR27009:SF210', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK3', NULL, NULL, NULL, 15),
(64232, NULL, 'PTHR10739:SF47', NULL, NULL, NULL, NULL, 'OS08G0161800 PROTEIN', NULL, NULL, NULL, 15),
(64233, NULL, 'PTHR24078:SF556', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(64234, NULL, 'PTHR31662:SF58', NULL, NULL, NULL, NULL, 'BNAA03G60220D PROTEIN', NULL, NULL, NULL, 15),
(64235, NULL, 'PTHR33730:SF20', NULL, NULL, NULL, NULL, 'BNAC05G11720D PROTEIN', NULL, NULL, NULL, 15),
(64236, NULL, 'PTHR42647:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64237, NULL, 'PTHR48010:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64238, NULL, 'PTHR31083:SF18', NULL, NULL, NULL, NULL, 'PROTEIN UPSTREAM OF FLC', NULL, NULL, NULL, 15),
(64239, NULL, 'PTHR45768:SF58', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL46-LIKE', NULL, NULL, NULL, 15),
(64240, NULL, 'PTHR31769:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64241, NULL, 'PTHR33021:SF277', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(64242, NULL, 'PTHR35724:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CHLORORESPIRATORY REDUCTION 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(64243, NULL, 'PTHR16024:SF23', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', NULL, NULL, NULL, 15),
(64244, NULL, 'PTHR24393:SF66', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G02690)-RELATED', NULL, NULL, NULL, 15),
(64245, NULL, 'PTHR43030:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE SYNTHASE', NULL, NULL, NULL, 15),
(64246, NULL, 'PTHR11089:SF30', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN-LIKE 3 HOMOLOG', NULL, NULL, NULL, 15),
(64247, NULL, 'PTHR47958:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64248, NULL, 'PTHR47416:SF7', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 60', NULL, NULL, NULL, 15),
(64249, NULL, 'PTHR31625:SF55', NULL, NULL, NULL, NULL, 'MALONYL-COENZYME A:ANTHOCYANIN 3-O-GLUCOSIDE-6''''-O-MALONYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(64250, NULL, 'PTHR43421:SF1', NULL, NULL, NULL, NULL, 'METALLOPROTEASE PMBA', NULL, NULL, NULL, 15),
(64251, NULL, 'PTHR31953:SF52', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV4', NULL, NULL, NULL, 15),
(64252, NULL, 'PTHR45801:SF64', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SUPERMAN', NULL, NULL, NULL, 15),
(64253, NULL, 'PTHR46561:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA/BETA-14', NULL, NULL, NULL, 15),
(64254, NULL, 'PTHR33147:SF39', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(64255, NULL, 'PTHR24296:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 86A7', NULL, NULL, NULL, 15),
(64256, NULL, 'PTHR12119', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE COMPLEX UBIQUINONE-BINDING PROTEIN QP-C', NULL, NULL, 3946, 15),
(64257, NULL, 'PTHR30566:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64258, NULL, 'PTHR31210:SF52', NULL, NULL, NULL, NULL, 'LYSINE KETOGLUTARATE REDUCTASE TRANS-SPLICING PROTEIN', NULL, NULL, NULL, 15),
(64259, NULL, 'PTHR14089:SF8', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MRN1', NULL, NULL, NULL, 15),
(64260, NULL, 'PTHR14463:SF10', NULL, NULL, NULL, NULL, 'LIPASE MATURATION FACTOR 1', NULL, NULL, NULL, 15),
(64261, NULL, 'PTHR31282:SF124', NULL, NULL, NULL, NULL, 'BNAC03G22830D PROTEIN', NULL, NULL, NULL, 15),
(64262, NULL, 'PTHR19211:SF15', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY F MEMBER 2', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64263, NULL, 'PTHR24296:SF135', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(64264, NULL, 'PTHR14948:SF18', NULL, NULL, NULL, NULL, 'PROLINE RICH TRANSMEMBRANE PROTEIN 1B', NULL, NULL, NULL, 15),
(64265, NULL, 'PTHR34986:SF1', NULL, NULL, NULL, NULL, 'EVOLVED BETA-GALACTOSIDASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(64266, NULL, 'PTHR14351:SF1', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE KINASE SUBSTRATE', NULL, NULL, NULL, 15),
(64267, NULL, 'PTHR31669:SF219', NULL, NULL, NULL, NULL, 'FAR-RED ELONGATED HYPOCOTYLS 3-RELATED', NULL, NULL, NULL, 15),
(64268, NULL, 'PTHR22573:SF58', NULL, NULL, NULL, NULL, 'BNAA09G30060D PROTEIN', NULL, NULL, NULL, 15),
(64269, NULL, 'PTHR47504', NULL, NULL, NULL, NULL, 'RIGHT ORIGIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(64270, NULL, 'PTHR11937:SF16', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 5', NULL, NULL, 26458, 15),
(64271, NULL, 'PTHR12585:SF60', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND-BREAK REPAIR PROTEIN RAD21 HOMOLOG A-RELATED', NULL, NULL, NULL, 15),
(64272, NULL, 'PTHR31639:SF69', NULL, NULL, NULL, NULL, 'OS12G0594700 PROTEIN', NULL, NULL, NULL, 15),
(64273, NULL, 'PTHR46180', NULL, NULL, NULL, NULL, 'VINCULIN', NULL, NULL, 19152, 15),
(64274, NULL, 'PTHR47993:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64275, NULL, 'PTHR31374:SF227', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-INDUCED PROTEIN ARG7-LIKE', NULL, NULL, NULL, 15),
(64276, NULL, 'PTHR43243:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG07007', NULL, NULL, NULL, 15),
(64277, NULL, 'PTHR37799:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S25, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(64278, NULL, 'PTHR46288:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64279, NULL, 'PTHR23021:SF49', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(64280, NULL, 'PTHR11071:SF490', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE A', NULL, NULL, NULL, 15),
(64281, NULL, 'PTHR32227:SF299', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', NULL, NULL, NULL, 15),
(64282, NULL, 'PTHR47993:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64283, NULL, 'PTHR47260:SF4', NULL, NULL, NULL, NULL, 'MIOREX COMPLEX COMPONENT 3', NULL, NULL, NULL, 15),
(64284, NULL, 'PTHR11905:SF118', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 24', NULL, NULL, 32522, 15),
(64285, NULL, 'PTHR24377:SF612', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 223', NULL, NULL, NULL, 15),
(64286, NULL, 'PTHR47640:SF18', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP45-LIKE', NULL, NULL, NULL, 15),
(64287, NULL, 'PTHR11649:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64288, NULL, 'PTHR31079:SF20', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(64289, NULL, 'PTHR10844:SF17', NULL, NULL, NULL, NULL, 'CAVEOLIN', NULL, NULL, NULL, 15),
(64290, NULL, 'PTHR36384', NULL, NULL, NULL, NULL, 'SAWADEE PROTEIN', NULL, NULL, NULL, 15),
(64291, NULL, 'PTHR24416:SF558', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN-TYROSINE KINASE', NULL, NULL, NULL, 15),
(64292, NULL, 'PTHR36494', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64293, NULL, 'PTHR14167:SF81', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(64294, NULL, 'PTHR42697:SF2', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 8 2-RELATED', NULL, NULL, NULL, 15),
(64295, NULL, 'PTHR37066', NULL, NULL, NULL, NULL, 'HELICASE-ASSOCIATED', NULL, NULL, NULL, 15),
(64296, NULL, 'PTHR11926:SF763', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(64297, NULL, 'PTHR10476:SF2', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 1B', NULL, NULL, NULL, 15),
(64298, NULL, 'PTHR10896:SF30', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(64299, NULL, 'PTHR31509:SF75', NULL, NULL, NULL, NULL, 'PLANT/F1M20-13 PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64300, NULL, 'PTHR31790:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64301, NULL, 'PTHR22835:SF536', NULL, NULL, NULL, NULL, 'OS05G0401000 PROTEIN', NULL, NULL, NULL, 15),
(64302, NULL, 'PTHR11473:SF19', NULL, NULL, NULL, NULL, 'TYROSINE HYDROXYLASE 2', NULL, NULL, NULL, 15),
(64303, NULL, 'PTHR11802:SF379', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(64304, NULL, 'PTHR43639:SF5', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_6G09140)', NULL, NULL, NULL, 15),
(64305, NULL, 'PTHR23504:SF105', NULL, NULL, NULL, NULL, 'BNACNNG05450D PROTEIN', NULL, NULL, NULL, 15),
(64306, NULL, 'PTHR11875:SF70', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1-LIKE 1', NULL, NULL, NULL, 15),
(64307, NULL, 'PTHR24232:SF41', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 4', NULL, NULL, NULL, 15),
(64308, NULL, 'PTHR15680:SF13', NULL, NULL, NULL, NULL, 'BNAC08G48140D PROTEIN', NULL, NULL, NULL, 15),
(64309, NULL, 'PTHR45671:SF15', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(64310, NULL, 'PTHR24282:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64311, NULL, 'PTHR12411:SF762', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE-RELATED', NULL, NULL, NULL, 15),
(64312, NULL, 'PTHR11668:SF246', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(64313, NULL, 'PTHR16055:SF2', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 10', NULL, NULL, NULL, 15),
(64314, NULL, 'PTHR12588:SF0', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE', NULL, NULL, NULL, 15),
(64315, NULL, 'PTHR15811', NULL, NULL, NULL, NULL, 'MTH938 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(64316, NULL, 'PTHR33074:SF79', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(64317, NULL, 'PTHR37954:SF3', NULL, NULL, NULL, NULL, 'BLL4979 PROTEIN', NULL, NULL, NULL, 15),
(64318, NULL, 'PTHR36530', NULL, NULL, NULL, NULL, 'INHIBITOR OF CYSTEINE PEPTIDASE', NULL, NULL, NULL, 15),
(64319, NULL, 'PTHR42908:SF3', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR-LIKE GTPASE 1', NULL, NULL, NULL, 15),
(64320, NULL, 'PTHR24093:SF424', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(64321, NULL, 'PTHR24103:SF650', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM22', NULL, NULL, NULL, 15),
(64322, NULL, 'PTHR10209:SF727', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(64323, NULL, 'PTHR31584:SF1', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P53-INDUCIBLE PROTEIN 11', NULL, NULL, NULL, 15),
(64324, NULL, 'PTHR27006:SF205', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(64325, NULL, 'PTHR30161:SF2', NULL, NULL, NULL, NULL, 'INVASION PROTEIN INVA', NULL, NULL, NULL, 15),
(64326, NULL, 'PTHR11240:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64327, NULL, 'PTHR45886:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(64328, NULL, 'PTHR45709:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64329, NULL, 'PTHR34093', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL CLIC-LIKE PROTEIN 1', NULL, NULL, 12659, 15),
(64330, NULL, 'PTHR11644:SF25', NULL, NULL, NULL, NULL, 'BNAA03G49610D PROTEIN', NULL, NULL, NULL, 15),
(64331, NULL, 'PTHR34145:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64332, NULL, 'PTHR30204:SF68', NULL, NULL, NULL, NULL, 'REGULATOR, MERR FAMILY, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(64333, NULL, 'PTHR24418:SF231', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE SYK', NULL, NULL, NULL, 15),
(64334, NULL, 'PTHR37306:SF1', NULL, NULL, NULL, NULL, 'COLICIN V PRODUCTION PROTEIN', NULL, NULL, NULL, 15),
(64335, NULL, 'PTHR47476', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64336, NULL, 'PTHR10836:SF109', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64337, NULL, 'PTHR43323:SF6', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', NULL, NULL, NULL, 15),
(64338, NULL, 'PTHR46192:SF2', NULL, NULL, NULL, NULL, 'BROAD-RANGE ACID PHOSPHATASE DET1', NULL, NULL, NULL, 15),
(64339, NULL, 'PTHR33078:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64340, NULL, 'PTHR47995:SF17', NULL, NULL, NULL, NULL, 'BNAANNG23930D PROTEIN', NULL, NULL, NULL, 15),
(64341, NULL, 'PTHR14199:SF21', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA BREAKPOINT FAMILY MEMBER 6-LIKE PROTEIN ISOFORM X2', NULL, NULL, NULL, 15),
(64342, NULL, 'PTHR23226:SF244', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 343', NULL, NULL, NULL, 15),
(64343, NULL, 'PTHR22849:SF133', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(64344, NULL, 'PTHR28567:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM53B', NULL, NULL, NULL, 15),
(64345, NULL, 'PTHR33232:SF26', NULL, NULL, NULL, NULL, 'SIEVE ELEMENT OCCLUSION-RELATED', NULL, NULL, NULL, 15),
(64346, NULL, 'PTHR15710:SF114', NULL, NULL, NULL, NULL, 'OS03G0271600 PROTEIN', NULL, NULL, NULL, 15),
(64347, NULL, 'PTHR11474:SF111', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(64348, NULL, 'PTHR14218:SF37', NULL, NULL, NULL, NULL, 'HYPOTHETICAL TRIPEPTIDYL-PEPTIDASE (EUROFUNG)', NULL, NULL, NULL, 15),
(64349, NULL, 'PTHR11909:SF373', NULL, NULL, NULL, NULL, 'PROTEIN CBG07290', NULL, NULL, NULL, 15),
(64350, NULL, 'PTHR10476:SF57', NULL, NULL, NULL, NULL, 'ESCRT-RELATED PROTEIN CHMP1A-RELATED', NULL, NULL, NULL, 15),
(64351, NULL, 'PTHR43791:SF35', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(64352, NULL, 'PTHR23098', NULL, NULL, NULL, NULL, 'AGAP001331-PA-RELATED', NULL, NULL, 25065, 15),
(64353, NULL, 'PTHR11877:SF68', NULL, NULL, NULL, NULL, 'OS07G0501100 PROTEIN', NULL, NULL, NULL, 15),
(64354, NULL, 'PTHR20941', NULL, NULL, NULL, NULL, 'FOLATE SYNTHESIS PROTEINS', NULL, NULL, 36669, 15),
(64355, NULL, 'PTHR31637:SF7', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-INDEPENDENT PHOSPHOGLYCERATE MUTASE 2-RELATED', NULL, NULL, NULL, 15),
(64356, NULL, 'PTHR24296:SF163', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 704, SUBFAMILY A, POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(64357, NULL, 'PTHR47294:SF3', NULL, NULL, NULL, NULL, 'OS08G0431150 PROTEIN', NULL, NULL, NULL, 15),
(64358, NULL, 'PTHR11009:SF32', NULL, NULL, NULL, NULL, 'DERLIN-1', NULL, NULL, NULL, 15),
(64359, NULL, 'PTHR10263:SF63', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', NULL, NULL, NULL, 15),
(64360, NULL, 'PTHR24349:SF397', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 13-RELATED', NULL, NULL, NULL, 15),
(64361, NULL, 'PTHR42743:SF11', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(64362, NULL, 'PTHR16266:SF25', NULL, NULL, NULL, NULL, 'BROMODOMAIN AND WD REPEAT-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(64363, NULL, 'PTHR12387:SF1', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 8', NULL, NULL, NULL, 15),
(64364, NULL, 'PTHR24390:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 710', NULL, NULL, NULL, 15),
(64365, NULL, 'PTHR46913:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(64366, NULL, 'PTHR11461:SF49', NULL, NULL, NULL, NULL, 'PLASMINOGEN ACTIVATOR INHIBITOR 1', NULL, NULL, NULL, 15),
(64367, NULL, 'PTHR32247', NULL, NULL, NULL, NULL, 'DIABLO HOMOLOG, MITOCHONDRIAL', NULL, NULL, 9751, 15),
(64368, NULL, 'PTHR35161:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64369, NULL, 'PTHR33386:SF5', NULL, NULL, NULL, NULL, 'OS02G0740600 PROTEIN', NULL, NULL, NULL, 15),
(64370, NULL, 'PTHR13085', NULL, NULL, NULL, NULL, 'MICROSOMAL SIGNAL PEPTIDASE 25 KDA SUBUNIT', NULL, NULL, 603, 15),
(64371, NULL, 'PTHR37804:SF1', NULL, NULL, NULL, NULL, 'CDAA REGULATORY PROTEIN CDAR', NULL, NULL, NULL, 15),
(64372, NULL, 'PTHR31375:SF157', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 28 PROTEIN / POLYGALACTURONASE (PECTINASE) FAMILY PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64373, NULL, 'PTHR14038:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PRRC2A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(64374, NULL, 'PTHR37691:SF1', NULL, NULL, NULL, NULL, 'BLR3518 PROTEIN', NULL, NULL, NULL, 15),
(64375, NULL, 'PTHR15225:SF8', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 43', NULL, NULL, 30670, 15),
(64376, NULL, 'PTHR32097:SF15', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN SCP2', NULL, NULL, NULL, 15),
(64377, NULL, 'PTHR11014:SF120', NULL, NULL, NULL, NULL, 'CLAN MH, FAMILY M20, PEPTIDASE T-LIKE METALLOPEPTIDASE', NULL, NULL, NULL, 15),
(64378, NULL, 'PTHR31374:SF302', NULL, NULL, NULL, NULL, 'BNAC09G37060D PROTEIN', NULL, NULL, NULL, 15),
(64379, NULL, 'PTHR31223:SF72', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG7', NULL, NULL, NULL, 15),
(64380, NULL, 'PTHR21569:SF33', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S16', NULL, NULL, NULL, 15),
(64381, NULL, 'PTHR13832:SF631', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 21-RELATED', NULL, NULL, NULL, 15),
(64382, NULL, 'PTHR24103:SF574', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 51', NULL, NULL, NULL, 15),
(64383, NULL, 'PTHR26453:SF284', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6B1', NULL, NULL, NULL, 15),
(64384, NULL, 'PTHR42683:SF57', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 7', NULL, NULL, NULL, 15),
(64385, NULL, 'PTHR32063:SF23', NULL, NULL, NULL, NULL, 'HAE1 FAMILY EFFLLUX PUMP PERMEASE COMPONENT', NULL, NULL, NULL, 15),
(64386, NULL, 'PTHR31238:SF132', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 8', NULL, NULL, NULL, 15),
(64387, NULL, 'PTHR47967:SF42', NULL, NULL, NULL, NULL, 'BNAA05G26480D PROTEIN', NULL, NULL, NULL, 15),
(64388, NULL, 'PTHR11993:SF10', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(64389, NULL, 'PTHR46137:SF14', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(64390, NULL, 'PTHR31867:SF153', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(64391, NULL, 'PTHR12447:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 13B', NULL, NULL, NULL, 15),
(64392, NULL, 'PTHR47094', NULL, NULL, NULL, NULL, 'ELFLESS, ISOFORM B', NULL, NULL, NULL, 15),
(64393, NULL, 'PTHR15168', NULL, NULL, NULL, NULL, 'CYTOCHROME B-245 LIGHT CHAIN', NULL, NULL, 1048, 15),
(64394, NULL, 'PTHR30109:SF0', NULL, NULL, NULL, NULL, 'HYDROXYLAMINE REDUCTASE', NULL, NULL, 5406, 15),
(64395, NULL, 'PTHR23055:SF74', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN L', NULL, NULL, NULL, 15),
(64396, NULL, 'PTHR40626:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(64397, NULL, 'PTHR31371:SF17', NULL, NULL, NULL, NULL, 'BNAC02G02650D PROTEIN', NULL, NULL, NULL, 15),
(64398, NULL, 'PTHR35008:SF4', NULL, NULL, NULL, NULL, 'SLL1359 PROTEIN', NULL, NULL, NULL, 15),
(64399, NULL, 'PTHR22803:SF111', NULL, NULL, NULL, NULL, 'REGENERATING ISLET-DERIVED PROTEIN 3-GAMMA', NULL, NULL, NULL, 15),
(64400, NULL, 'PTHR11202:SF33', NULL, NULL, NULL, NULL, 'HOMER SCAFFOLD PROTEIN 3', NULL, NULL, NULL, 15),
(64401, NULL, 'PTHR16151:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64402, NULL, 'PTHR33826:SF9', NULL, NULL, NULL, NULL, 'OS05G0373500 PROTEIN', NULL, NULL, NULL, 15),
(64403, NULL, 'PTHR12150', NULL, NULL, NULL, NULL, 'CLASS IV SAM-BINDING METHYLTRANSFERASE-RELATED', NULL, NULL, 2013, 15),
(64404, NULL, 'PTHR45798:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(64405, NULL, 'PTHR19229:SF229', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER FAMILY', NULL, NULL, NULL, 15),
(64406, NULL, 'PTHR24543:SF307', NULL, NULL, NULL, NULL, 'MILK FAT GLOBULE-EGF FACTOR 8 PROTEIN B', NULL, NULL, NULL, 15),
(64407, NULL, 'PTHR32282:SF8', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 1A', NULL, NULL, NULL, 15),
(64408, NULL, 'PTHR48018:SF151', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1089', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64409, NULL, 'PTHR11523:SF51', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-3-RELATED', NULL, NULL, NULL, 15),
(64410, NULL, 'PTHR12228', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID 55 KD SUBUNIT-RELATED', NULL, NULL, 35642, 15),
(64411, NULL, 'PTHR38136:SF3', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN', NULL, NULL, NULL, 15),
(64412, NULL, 'PTHR24416:SF258', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 10', NULL, NULL, NULL, 15),
(64413, NULL, 'PTHR23050:SF167', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML8-RELATED', NULL, NULL, NULL, 15),
(64414, NULL, 'PTHR31325:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64415, NULL, 'PTHR36383:SF1', NULL, NULL, NULL, NULL, 'OS09G0529350 PROTEIN', NULL, NULL, NULL, 15),
(64416, NULL, 'PTHR30582:SF14', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE 2', NULL, NULL, NULL, 15),
(64417, NULL, 'PTHR47933:SF17', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(64418, NULL, 'PTHR46067:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64419, NULL, 'PTHR11827:SF98', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 9', NULL, NULL, 22533, 15),
(64420, NULL, 'PTHR46356', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 2-OXODICARBOXYLATE CARRIER', NULL, NULL, NULL, 15),
(64421, NULL, 'PTHR13619:SF0', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(64422, NULL, 'PTHR11139:SF109', NULL, NULL, NULL, NULL, 'BNAC09G09620D PROTEIN', NULL, NULL, NULL, 15),
(64423, NULL, 'PTHR31989:SF336', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTORS 60', NULL, NULL, NULL, 15),
(64424, NULL, 'PTHR31867:SF139', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(64425, NULL, 'PTHR37529:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSG FOR INSERTION SEQUENCE ELEMENT IS4-RELATED', NULL, NULL, NULL, 15),
(64426, NULL, 'PTHR47928:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64427, NULL, 'PTHR45928:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 35', NULL, NULL, NULL, 15),
(64428, NULL, 'PTHR23317:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64429, NULL, 'PTHR31790:SF300', NULL, NULL, NULL, NULL, 'BNAC05G28940D PROTEIN', NULL, NULL, NULL, 15),
(64430, NULL, 'PTHR31542', NULL, NULL, NULL, NULL, '39A RIBOSOMAL PROTEIN L50, MITOCHONDRIAL', NULL, NULL, 20364, 15),
(64431, NULL, 'PTHR44203', NULL, NULL, NULL, NULL, 'ETO1-RELATED', NULL, NULL, 38974, 15),
(64432, NULL, 'PTHR34567', NULL, NULL, NULL, NULL, 'FK506-BINDING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(64433, NULL, 'PTHR24189:SF52', NULL, NULL, NULL, NULL, 'MYOTROPHIN', NULL, NULL, NULL, 15),
(64434, NULL, 'PTHR16004:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-181M9.8', NULL, NULL, NULL, 15),
(64435, NULL, 'PTHR31852:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64436, NULL, 'PTHR10362:SF35', NULL, NULL, NULL, NULL, 'HAL-LIKE PROTEIN DDB_G0273787/DDB_G0273081', NULL, NULL, NULL, 15),
(64437, NULL, 'PTHR18860:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64438, NULL, 'PTHR11571:SF240', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(64439, NULL, 'PTHR36482', NULL, NULL, NULL, NULL, 'OSJNBA0024J22.15 PROTEIN', NULL, NULL, NULL, 15),
(64440, NULL, 'PTHR21495:SF196', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(64441, NULL, 'PTHR34456:SF12', NULL, NULL, NULL, NULL, 'MITOVIRUS RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(64442, NULL, 'PTHR45229:SF2', NULL, NULL, NULL, NULL, 'BIODEGRADATIVE ARGININE DECARBOXYLASE', NULL, NULL, NULL, 15),
(64443, NULL, 'PTHR31488:SF2', NULL, NULL, NULL, NULL, 'C-MANNOSYLTRANSFERASE DPY19L4-RELATED', NULL, NULL, 27837, 15),
(64444, NULL, 'PTHR23425:SF17', NULL, NULL, NULL, NULL, 'SPERM PROTEIN ASSOCIATED WITH THE NUCLEUS ON THE X CHROMOSOME N5', NULL, NULL, NULL, 15),
(64445, NULL, 'PTHR23430:SF312', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64446, NULL, 'PTHR33057:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64447, NULL, 'PTHR23501:SF78', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G08230)-RELATED', NULL, NULL, NULL, 15),
(64448, NULL, 'PTHR31580:SF30', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 5', NULL, NULL, NULL, 15),
(64449, NULL, 'PTHR45660:SF45', NULL, NULL, NULL, NULL, 'BNAA06G35550D PROTEIN', NULL, NULL, NULL, 15),
(64450, NULL, 'PTHR31301:SF58', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(64451, NULL, 'PTHR33222:SF32', NULL, NULL, NULL, NULL, 'OS06G0217700 PROTEIN', NULL, NULL, NULL, 15),
(64452, NULL, 'PTHR22895', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(64453, NULL, 'PTHR10694:SF118', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ14-RELATED', NULL, NULL, NULL, 15),
(64454, NULL, 'PTHR11822', NULL, NULL, NULL, NULL, 'NADP-SPECIFIC ISOCITRATE DEHYDROGENASE', NULL, NULL, 5441, 15),
(64455, NULL, 'PTHR23500:SF458', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64456, NULL, 'PTHR14155:SF564', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL30', NULL, NULL, NULL, 15),
(64457, NULL, 'PTHR31985:SF161', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF027-LIKE', NULL, NULL, NULL, 15),
(64458, NULL, 'PTHR47375:SF3', NULL, NULL, NULL, NULL, 'BNAA10G07140D PROTEIN', NULL, NULL, NULL, 15),
(64459, NULL, 'PTHR23257', NULL, NULL, NULL, NULL, 'SERINE-THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(64460, NULL, 'PTHR33199:SF10', NULL, NULL, NULL, NULL, 'MACPF DOMAIN-CONTAINING PROTEIN CAD1-LIKE', NULL, NULL, NULL, 15),
(64461, NULL, 'PTHR14154:SF51', NULL, NULL, NULL, NULL, 'LIGHT-HARVESTING COMPLEX-LIKE PROTEIN OHP1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(64462, NULL, 'PTHR11849:SF171', NULL, NULL, NULL, NULL, 'ETS HOMOLOGOUS FACTOR', NULL, NULL, 35710, 15),
(64463, NULL, 'PTHR30098:SF2', NULL, NULL, NULL, NULL, 'LEUCYL/PHENYLALANYL-TRNA--PROTEIN TRANSFERASE', NULL, NULL, NULL, 15),
(64464, NULL, 'PTHR10005', NULL, NULL, NULL, NULL, 'SKI ONCOGENE-RELATED', NULL, NULL, 16604, 15),
(64465, NULL, 'PTHR31707:SF234', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(64466, NULL, 'PTHR35357', NULL, NULL, NULL, NULL, 'OS02G0537100 PROTEIN', NULL, NULL, NULL, 15),
(64467, NULL, 'PTHR12385:SF86', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER PROTEIN 1', NULL, NULL, NULL, 15),
(64468, NULL, 'PTHR10442:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', NULL, NULL, NULL, 15),
(64469, NULL, 'PTHR13005:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH HYDROPHOBIC DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(64470, NULL, 'PTHR44329:SF150', NULL, NULL, NULL, NULL, 'BNACNNG32250D PROTEIN', NULL, NULL, NULL, 15),
(64471, NULL, 'PTHR18916:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64472, NULL, 'PTHR11206:SF119', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(64473, NULL, 'PTHR11006:SF108', NULL, NULL, NULL, NULL, 'BNAC05G40790D PROTEIN', NULL, NULL, NULL, 15),
(64474, NULL, 'PTHR21146:SF0', NULL, NULL, NULL, NULL, 'BLOC-1-RELATED COMPLEX SUBUNIT 8', NULL, NULL, NULL, 15),
(64475, NULL, 'PTHR10378:SF35', NULL, NULL, NULL, NULL, 'THIOREDOXIN M1', NULL, NULL, NULL, 15),
(64476, NULL, 'PTHR46436', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 76 KDA', NULL, NULL, NULL, 15),
(64477, NULL, 'PTHR44579:SF4', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(64478, NULL, 'PTHR43345', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE SMALL SUBUNIT 2-RELATED-RELATED', NULL, NULL, NULL, 15),
(64479, NULL, 'PTHR30476', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 3776, 15),
(64480, NULL, 'PTHR33088:SF57', NULL, NULL, NULL, NULL, 'PROTEIN APP1-LIKE', NULL, NULL, NULL, 15),
(64481, NULL, 'PTHR21500', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE A', NULL, NULL, 3992, 15),
(64482, NULL, 'PTHR31992:SF134', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF4.6', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64483, NULL, 'PTHR47985:SF28', NULL, NULL, NULL, NULL, 'OS01G0789200 PROTEIN', NULL, NULL, NULL, 15),
(64484, NULL, 'PTHR12869:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 147', NULL, NULL, NULL, 15),
(64485, NULL, 'PTHR31250:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64486, NULL, 'PTHR11963:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64487, NULL, 'PTHR35723', NULL, NULL, NULL, NULL, 'POLYPHOSPHATIDYLINOSITOL PHOSPHATASE', NULL, NULL, NULL, 15),
(64488, NULL, 'PTHR19303:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64489, NULL, 'PTHR35747:SF3', NULL, NULL, NULL, NULL, 'BNAA05G13220D PROTEIN', NULL, NULL, NULL, 15),
(64490, NULL, 'PTHR11609', NULL, NULL, NULL, NULL, 'PURINE BIOSYNTHESIS PROTEIN 6/7, PUR6/7', NULL, NULL, NULL, 15),
(64491, NULL, 'PTHR13072:SF0', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 6', NULL, NULL, NULL, 15),
(64492, NULL, 'PTHR31342:SF43', NULL, NULL, NULL, NULL, 'F11A17.16', NULL, NULL, NULL, 15),
(64493, NULL, 'PTHR22950:SF567', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(64494, NULL, 'PTHR10677:SF10', NULL, NULL, NULL, NULL, 'MCG53927', NULL, NULL, NULL, 15),
(64495, NULL, 'PTHR34401:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG13337', NULL, NULL, NULL, 15),
(64496, NULL, 'PTHR34187:SF3', NULL, NULL, NULL, NULL, 'DUF DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G11150)', NULL, NULL, NULL, 15),
(64497, NULL, 'PTHR12537:SF121', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 5', NULL, NULL, NULL, 15),
(64498, NULL, 'PTHR42912:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64499, NULL, 'PTHR48019:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64500, NULL, 'PTHR22814:SF318', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 25', NULL, NULL, NULL, 15),
(64501, NULL, 'PTHR10982:SF21', NULL, NULL, NULL, NULL, 'FATTY ACID SYNTHASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(64502, NULL, 'PTHR27008:SF445', NULL, NULL, NULL, NULL, 'BNAA06G17300D PROTEIN', NULL, NULL, NULL, 15),
(64503, NULL, 'PTHR24305:SF188', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(64504, NULL, 'PTHR24247:SF17', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 1D', NULL, NULL, 6691, 15),
(64505, NULL, 'PTHR11538:SF78', NULL, NULL, NULL, NULL, 'BNAA04G12390D PROTEIN', NULL, NULL, NULL, 15),
(64506, NULL, 'PTHR11206:SF389', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(64507, NULL, 'PTHR11477:SF32', NULL, NULL, NULL, NULL, 'SPOC DOMAIN / TRANSCRIPTION ELONGATION FACTOR S-II PROTEIN', NULL, NULL, NULL, 15),
(64508, NULL, 'PTHR48020:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64509, NULL, 'PTHR47932:SF28', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(64510, NULL, 'PTHR10687:SF11', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 4', NULL, NULL, NULL, 15),
(64511, NULL, 'PTHR10344:SF1', NULL, NULL, NULL, NULL, 'THYMIDYLATE KINASE', NULL, NULL, NULL, 15),
(64512, NULL, 'PTHR10383:SF45', NULL, NULL, NULL, NULL, 'OS01G0179800 PROTEIN', NULL, NULL, NULL, 15),
(64513, NULL, 'PTHR34224:SF4', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(64514, NULL, 'PTHR31268:SF10', NULL, NULL, NULL, NULL, 'OS04G0481100 PROTEIN', NULL, NULL, NULL, 15),
(64515, NULL, 'PTHR43792:SF1', NULL, NULL, NULL, NULL, 'GNAT FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00765)-RELATED', NULL, NULL, NULL, 15),
(64516, NULL, 'PTHR11654:SF476', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64517, NULL, 'PTHR46593:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 64', NULL, NULL, NULL, 15),
(64518, NULL, 'PTHR23235:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP1', NULL, NULL, NULL, 15),
(64519, NULL, 'PTHR34939:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT III, CHLOROPLASTIC', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64520, NULL, 'PTHR35693', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(64521, NULL, 'PTHR31339:SF3', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(64522, NULL, 'PTHR43690:SF18', NULL, NULL, NULL, NULL, 'INSULIN-DEGRADING ENZYME-RELATED', NULL, NULL, NULL, 15),
(64523, NULL, 'PTHR15138:SF25', NULL, NULL, NULL, NULL, 'BNAA07G36550D PROTEIN', NULL, NULL, NULL, 15),
(64524, NULL, 'PTHR10179:SF44', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 9', NULL, NULL, NULL, 15),
(64525, NULL, 'PTHR12357:SF103', NULL, NULL, NULL, NULL, 'BNAC01G37620D PROTEIN', NULL, NULL, NULL, 15),
(64526, NULL, 'PTHR16719:SF7', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE COX17-1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(64527, NULL, 'PTHR23213:SF373', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(64528, NULL, 'PTHR46020:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64529, NULL, 'PTHR31707:SF187', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(64530, NULL, 'PTHR12975:SF6', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 8', NULL, NULL, NULL, 15),
(64531, NULL, 'PTHR11586:SF42', NULL, NULL, NULL, NULL, 'ZGC:101853', NULL, NULL, NULL, 15),
(64532, NULL, 'PTHR10091:SF10', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(64533, NULL, 'PTHR24414:SF40', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP30', NULL, NULL, NULL, 15),
(64534, NULL, 'PTHR11771:SF166', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(64535, NULL, 'PTHR47965:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64536, NULL, 'PTHR11360:SF3', NULL, NULL, NULL, NULL, 'OXALATE/FORMATE ANTIPORTER', NULL, NULL, NULL, 15),
(64537, NULL, 'PTHR46769:SF2', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY AND HEPATIC DISEASE 1 (AUTOSOMAL RECESSIVE)-LIKE 1', NULL, NULL, NULL, 15),
(64538, NULL, 'PTHR12634:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY SUBUNIT 3', NULL, NULL, NULL, 15),
(64539, NULL, 'PTHR46116:SF27', NULL, NULL, NULL, NULL, 'BNAA03G53560D PROTEIN', NULL, NULL, NULL, 15),
(64540, NULL, 'PTHR45653:SF3', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 5', NULL, NULL, 24922, 15),
(64541, NULL, 'PTHR21721:SF25', NULL, NULL, NULL, NULL, 'GH09876P-RELATED', NULL, NULL, NULL, 15),
(64542, NULL, 'PTHR47981:SF18', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB7', NULL, NULL, NULL, 15),
(64543, NULL, 'PTHR33659:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64544, NULL, 'PTHR27005:SF187', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 15', NULL, NULL, NULL, 15),
(64545, NULL, 'PTHR42711:SF15', NULL, NULL, NULL, NULL, 'ABC-TYPE MULTIDRUG TRANSPORT SYSTEM, ATPASE COMPONENT-RELATED', NULL, NULL, NULL, 15),
(64546, NULL, 'PTHR24355:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(64547, NULL, 'PTHR11654:SF460', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.13-RELATED', NULL, NULL, NULL, 15),
(64548, NULL, 'PTHR46128:SF80', NULL, NULL, NULL, NULL, 'BNAA01G29980D PROTEIN', NULL, NULL, NULL, 15),
(64549, NULL, 'PTHR32285:SF30', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 42', NULL, NULL, NULL, 15),
(64550, NULL, 'PTHR23083:SF365', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 7B', NULL, NULL, NULL, 15),
(64551, NULL, 'PTHR11866:SF3', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E2 RECEPTOR EP1 SUBTYPE', NULL, NULL, 6555, 15),
(64552, NULL, 'PTHR31798:SF10', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', NULL, NULL, NULL, 15),
(64553, NULL, 'PTHR31451:SF61', NULL, NULL, NULL, NULL, 'BNAA09G43620D PROTEIN', NULL, NULL, NULL, 15),
(64554, NULL, 'PTHR24320:SF95', NULL, NULL, NULL, NULL, 'PROTEIN CBG13117', NULL, NULL, NULL, 15),
(64555, NULL, 'PTHR24216:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64556, NULL, 'PTHR24006:SF797', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL HYDROLASE 1,PUTATIVE-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64557, NULL, 'PTHR24281:SF17', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(64558, NULL, 'PTHR13096:SF7', NULL, NULL, NULL, NULL, 'RIBOSOMAL OXYGENASE 2', NULL, NULL, NULL, 15),
(64559, NULL, 'PTHR11969:SF6', NULL, NULL, NULL, NULL, 'MAX DIMERIZATION PROTEIN 3', NULL, NULL, NULL, 15),
(64560, NULL, 'PTHR46336:SF20', NULL, NULL, NULL, NULL, 'BNAA09G39320D PROTEIN', NULL, NULL, NULL, 15),
(64561, NULL, 'PTHR24221:SF533', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER RELATED', NULL, NULL, NULL, 15),
(64562, NULL, 'PTHR10972:SF187', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 1C-LIKE', NULL, NULL, NULL, 15),
(64563, NULL, 'PTHR31325:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64564, NULL, 'PTHR45682:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64565, NULL, 'PTHR46204:SF4', NULL, NULL, NULL, NULL, 'LYSM DOMAIN RECEPTOR-LIKE KINASE 10', NULL, NULL, NULL, 15),
(64566, NULL, 'PTHR39596:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64567, NULL, 'PTHR27005:SF253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64568, NULL, 'PTHR47099:SF1', NULL, NULL, NULL, NULL, 'METHYLCOBAMIDE:COM METHYLTRANSFERASE MTBA', NULL, NULL, NULL, 15),
(64569, NULL, 'PTHR11926:SF1420', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C1', NULL, NULL, NULL, 15),
(64570, NULL, 'PTHR23070:SF142', NULL, NULL, NULL, NULL, 'BNAC07G31990D PROTEIN', NULL, NULL, NULL, 15),
(64571, NULL, 'PTHR21089:SF7', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3-DEHYDROQUINATE DEHYDRATASE/SHIKIMATE DEHYDROGENASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(64572, NULL, 'PTHR10579:SF109', NULL, NULL, NULL, NULL, 'OS10G0464500 PROTEIN', NULL, NULL, NULL, 15),
(64573, NULL, 'PTHR27002:SF805', NULL, NULL, NULL, NULL, 'OS09G0550600 PROTEIN', NULL, NULL, NULL, 15),
(64574, NULL, 'PTHR11309:SF137', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE RECEPTOR LIN-17', NULL, NULL, NULL, 15),
(64575, NULL, 'PTHR43572:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 5', NULL, NULL, NULL, 15),
(64576, NULL, 'PTHR23031:SF6', NULL, NULL, NULL, NULL, 'RHOPHILIN-1', NULL, NULL, NULL, 15),
(64577, NULL, 'PTHR47642', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(64578, NULL, 'PTHR13388:SF11', NULL, NULL, NULL, NULL, 'DETONATOR, ISOFORM E', NULL, NULL, NULL, 15),
(64579, NULL, 'PTHR11062:SF315', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64580, NULL, 'PTHR31152', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(64581, NULL, 'PTHR24377:SF273', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 311', NULL, NULL, NULL, 15),
(64582, NULL, 'PTHR24099:SF23', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MIDLINE-1', NULL, NULL, 22350, 15),
(64583, NULL, 'PTHR22952:SF393', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BZIP FAMILY-RELATED', NULL, NULL, NULL, 15),
(64584, NULL, 'PTHR46215:SF15', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 24', NULL, NULL, NULL, 15),
(64585, NULL, 'PTHR47984:SF12', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', NULL, NULL, NULL, 15),
(64586, NULL, 'PTHR47864:SF8', NULL, NULL, NULL, NULL, 'BNAC03G30290D PROTEIN', NULL, NULL, NULL, 15),
(64587, NULL, 'PTHR31450:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 19', NULL, NULL, 36308, 15),
(64588, NULL, 'PTHR14363:SF17', NULL, NULL, NULL, NULL, 'HEPARANASE-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(64589, NULL, 'PTHR45698:SF1', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 19N', NULL, NULL, NULL, 15),
(64590, NULL, 'PTHR45868:SF45', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 32', NULL, NULL, NULL, 15),
(64591, NULL, 'PTHR14221:SF54', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 44-LIKE', NULL, NULL, NULL, 15),
(64592, NULL, 'PTHR44188:SF1', NULL, NULL, NULL, NULL, 'GDAP1, ISOFORM A', NULL, NULL, NULL, 15),
(64593, NULL, 'PTHR31081:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64594, NULL, 'PTHR24055:SF493', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(64595, NULL, 'PTHR46166', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64596, NULL, 'PTHR11689:SF151', NULL, NULL, NULL, NULL, 'BNAC06G13300D PROTEIN', NULL, NULL, NULL, 15),
(64597, NULL, 'PTHR43822:SF14', NULL, NULL, NULL, NULL, 'ISOPROPYLMALATE/CITRAMALATE ISOMERASE LARGE SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(64598, NULL, 'PTHR46045:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(64599, NULL, 'PTHR30249:SF12', NULL, NULL, NULL, NULL, 'PLASTIDAL GLYCOLATE/GLYCERATE TRANSLOCATOR 1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(64600, NULL, 'PTHR47105:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64601, NULL, 'PTHR26450:SF101', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(64602, NULL, 'PTHR14334:SF2', NULL, NULL, NULL, NULL, 'B-CELL ANTIGEN RECEPTOR COMPLEX-ASSOCIATED PROTEIN BETA CHAIN', NULL, NULL, NULL, 15),
(64603, NULL, 'PTHR35280:SF1', NULL, NULL, NULL, NULL, 'F17L21.9', NULL, NULL, NULL, 15),
(64604, NULL, 'PTHR13778:SF58', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(64605, NULL, 'PTHR11176:SF8', NULL, NULL, NULL, NULL, 'DELETED IN AZOOSPERMIA PROTEIN 1-RELATED', NULL, NULL, 33067, 15),
(64606, NULL, 'PTHR31992:SF227', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.4-LIKE', NULL, NULL, NULL, 15),
(64607, NULL, 'PTHR24061:SF492', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 100-RELATED', NULL, NULL, NULL, 15),
(64608, NULL, 'PTHR30537:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(64609, NULL, 'PTHR45657:SF9', NULL, NULL, NULL, NULL, 'OS08G0497300 PROTEIN', NULL, NULL, NULL, 15),
(64610, NULL, 'PTHR11062:SF286', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 64 PROTEIN C4', NULL, NULL, NULL, 15),
(64611, NULL, 'PTHR31072:SF111', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP13', NULL, NULL, NULL, 15),
(64612, NULL, 'PTHR47122:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64613, NULL, 'PTHR11852:SF2', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE IB SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(64614, NULL, 'PTHR10641:SF1290', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 306-LIKE', NULL, NULL, NULL, 15),
(64615, NULL, 'PTHR24300:SF23', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2S1', NULL, NULL, NULL, 15),
(64616, NULL, 'PTHR46921', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 21', NULL, NULL, 15920, 15),
(64617, NULL, 'PTHR23158:SF52', NULL, NULL, NULL, NULL, 'CTAGE FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(64618, NULL, 'PTHR46662:SF29', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO2', NULL, NULL, NULL, 15),
(64619, NULL, 'PTHR13473', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN L48', NULL, NULL, 27377, 15),
(64620, NULL, 'PTHR31517:SF53', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(64621, NULL, 'PTHR31056', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 179B', NULL, NULL, 28726, 15),
(64622, NULL, 'PTHR27001:SF489', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK8', NULL, NULL, NULL, 15),
(64623, NULL, 'PTHR10366:SF687', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE HOMOLOG', NULL, NULL, NULL, 15),
(64624, NULL, 'PTHR22881:SF32', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(64625, NULL, 'PTHR16223:SF251', NULL, NULL, NULL, NULL, 'BNAC03G30830D PROTEIN', NULL, NULL, NULL, 15),
(64626, NULL, 'PTHR43767:SF7', NULL, NULL, NULL, NULL, 'FATTY ACID COA-LIGASE', NULL, NULL, NULL, 15),
(64627, NULL, 'PTHR45637:SF58', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PK-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(64628, NULL, 'PTHR30302:SF1', NULL, NULL, NULL, NULL, 'HYDROGENASE 1 MATURATION PROTEASE', NULL, NULL, NULL, 15),
(64629, NULL, 'PTHR28026', NULL, NULL, NULL, NULL, 'DUF962 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_8G05310)', NULL, NULL, 13533, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64630, NULL, 'PTHR22776:SF9', NULL, NULL, NULL, NULL, 'PLASMOLIPIN', NULL, NULL, NULL, 15),
(64631, NULL, 'PTHR10352:SF57', NULL, NULL, NULL, NULL, 'PROTEIN SEX-LETHAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(64632, NULL, 'PTHR13832:SF773', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-LIKE PROTEIN', NULL, NULL, NULL, 15),
(64633, NULL, 'PTHR10796:SF189', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(64634, NULL, 'PTHR34395:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64635, NULL, 'PTHR16222:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64636, NULL, 'PTHR21659', NULL, NULL, NULL, NULL, 'HYDROPHOBIC PROTEIN RCI2  LOW TEMPERATURE AND SALT RESPONSIVE PROTEIN LTI6 -RELATED', NULL, NULL, 5750, 15),
(64637, NULL, 'PTHR24024', NULL, NULL, NULL, NULL, 'PULMONARY SURFACTANT-ASSOCIATED PROTEIN A', NULL, NULL, NULL, 15),
(64638, NULL, 'PTHR31972:SF11', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(64639, NULL, 'PTHR31260:SF49', NULL, NULL, NULL, NULL, 'BNACNNG73910D PROTEIN', NULL, NULL, NULL, 15),
(64640, NULL, 'PTHR48191:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HHL1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(64641, NULL, 'PTHR22775:SF45', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(64642, NULL, 'PTHR45661:SF9', NULL, NULL, NULL, NULL, 'SURFACE ANTIGEN BSPA-LIKE', NULL, NULL, NULL, 15),
(64643, NULL, 'PTHR32510', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 98', NULL, NULL, 25560, 15),
(64644, NULL, 'PTHR34056:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64645, NULL, 'PTHR35899', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(64646, NULL, 'PTHR10666:SF254', NULL, NULL, NULL, NULL, 'UBIQUITIN-40S RIBOSOMAL PROTEIN S31', NULL, NULL, NULL, 15),
(64647, NULL, 'PTHR10125:SF4', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR 2', NULL, NULL, NULL, 15),
(64648, NULL, 'PTHR46895', NULL, NULL, NULL, NULL, 'PROTEIN CBG20548-RELATED', NULL, NULL, NULL, 15),
(64649, NULL, 'PTHR11776:SF22', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(64650, NULL, 'PTHR45685', NULL, NULL, NULL, NULL, 'HELICASE SRCAP-RELATED', NULL, NULL, NULL, 15),
(64651, NULL, 'PTHR33672:SF15', NULL, NULL, NULL, NULL, 'BNACNNG61680D PROTEIN', NULL, NULL, NULL, 15),
(64652, NULL, 'PTHR41687:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 9', NULL, NULL, NULL, 15),
(64653, NULL, 'PTHR35373:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG02080', NULL, NULL, NULL, 15),
(64654, NULL, 'PTHR48019:SF14', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 47', NULL, NULL, NULL, 15),
(64655, NULL, 'PTHR11017:SF399', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(64656, NULL, 'PTHR35496:SF12', NULL, NULL, NULL, NULL, 'BNAC01G19300D PROTEIN', NULL, NULL, NULL, 15),
(64657, NULL, 'PTHR41532', NULL, NULL, NULL, NULL, 'FIXS PROTEIN', NULL, NULL, 3586, 15),
(64658, NULL, 'PTHR48000:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64659, NULL, 'PTHR11743:SF27', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 4', NULL, NULL, NULL, 15),
(64660, NULL, 'PTHR33130:SF38', NULL, NULL, NULL, NULL, 'OS05G0551500 PROTEIN', NULL, NULL, NULL, 15),
(64661, NULL, 'PTHR19143:SF385', NULL, NULL, NULL, NULL, 'TENASCIN XBA', NULL, NULL, NULL, 15),
(64662, NULL, 'PTHR31639:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64663, NULL, 'PTHR13780:SF141', NULL, NULL, NULL, NULL, 'SUCROSE NONFERMENTING 4-LIKE PROTEIN', NULL, NULL, NULL, 15),
(64664, NULL, 'PTHR31131', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(64665, NULL, 'PTHR40660:SF1', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE 5''-PHOSPHATE OXIDASE-RELATED FMN-BINDING', NULL, NULL, NULL, 15),
(64666, NULL, 'PTHR43190:SF9', NULL, NULL, NULL, NULL, 'ATPASE, BADF/BADG/BCRA/BCRD TYPE-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64667, NULL, 'PTHR31837:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME B-245 CHAPERONE 1', NULL, NULL, NULL, 15),
(64668, NULL, 'PTHR45714:SF51', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX17', NULL, NULL, NULL, 15),
(64669, NULL, 'PTHR31238:SF205', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(64670, NULL, 'PTHR21223:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM92A', NULL, NULL, NULL, 15),
(64671, NULL, 'PTHR31145:SF2', NULL, NULL, NULL, NULL, 'FLAVIN CARRIER PROTEIN 2', NULL, NULL, NULL, 15),
(64672, NULL, 'PTHR45615:SF46', NULL, NULL, NULL, NULL, 'MYOSIN, HEAVY CHAIN 6, CARDIAC MUSCLE, ALPHA', NULL, NULL, NULL, 15),
(64673, NULL, 'PTHR24326:SF598', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-6-LIKE', NULL, NULL, NULL, 15),
(64674, NULL, 'PTHR21315', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29859, 15),
(64675, NULL, 'PTHR32246:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64676, NULL, 'PTHR15728:SF0', NULL, NULL, NULL, NULL, 'PAN2-PAN3 DEADENYLATION COMPLEX CATALYTIC SUBUNIT PAN2', NULL, NULL, NULL, 15),
(64677, NULL, 'PTHR31636:SF169', NULL, NULL, NULL, NULL, 'PROTEIN SHORT-ROOT 2', NULL, NULL, NULL, 15),
(64678, NULL, 'PTHR31282:SF79', NULL, NULL, NULL, NULL, 'WRKY45-LIKE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(64679, NULL, 'PTHR24361:SF714', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 8', NULL, NULL, NULL, 15),
(64680, NULL, 'PTHR43112:SF29', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(64681, NULL, 'PTHR24055:SF501', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(64682, NULL, 'PTHR31499:SF51', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 2 ISOFORM X1', NULL, NULL, NULL, 15),
(64683, NULL, 'PTHR20531:SF1', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 40', NULL, NULL, NULL, 15),
(64684, NULL, 'PTHR31064:SF27', NULL, NULL, NULL, NULL, 'SODIUM TRANSPORTER HKT1', NULL, NULL, NULL, 15),
(64685, NULL, 'PTHR10426:SF75', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 11', NULL, NULL, NULL, 15),
(64686, NULL, 'PTHR12649:SF11', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(64687, NULL, 'PTHR24044:SF440', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(64688, NULL, 'PTHR11952:SF12', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE DIPHOSPHORYLASE 2', NULL, NULL, NULL, 15),
(64689, NULL, 'PTHR33926:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TIC 22-LIKE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(64690, NULL, 'PTHR13009:SF21', NULL, NULL, NULL, NULL, 'ACTIVATOR OF HSP90 ATPASE, N-TERMINAL', NULL, NULL, NULL, 15),
(64691, NULL, 'PTHR31875:SF36', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 4-LIKE', NULL, NULL, NULL, 15),
(64692, NULL, 'PTHR47990:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64693, NULL, 'PTHR11208:SF130', NULL, NULL, NULL, NULL, 'KH DOMAIN, STAR PROTEIN, HOMODIMERIZATION REGION-RELATED', NULL, NULL, NULL, 15),
(64694, NULL, 'PTHR24216:SF51', NULL, NULL, NULL, NULL, 'PAXILLIN B', NULL, NULL, NULL, 15),
(64695, NULL, 'PTHR31730:SF18', NULL, NULL, NULL, NULL, 'FACTOR G, PUTATIVE (DUF668)-RELATED', NULL, NULL, NULL, 15),
(64696, NULL, 'PTHR12287:SF22', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR KINASE SUBSTRATE 8-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(64697, NULL, 'PTHR23226:SF132', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 31', NULL, NULL, NULL, 15),
(64698, NULL, 'PTHR23023:SF244', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE FMO GS-OX1-RELATED', NULL, NULL, NULL, 15),
(64699, NULL, 'PTHR33968', NULL, NULL, NULL, NULL, 'PROTEIN PET100 HOMOLOG, MITOCHONDRIAL', NULL, NULL, 16467, 15),
(64700, NULL, 'PTHR10927:SF1', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION PROTEIN SBDS', NULL, NULL, NULL, 15),
(64701, NULL, 'PTHR10543:SF46', NULL, NULL, NULL, NULL, 'CAROTENOID CLEAVAGE DIOXYGENASE 4, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64702, NULL, 'PTHR43238:SF5', NULL, NULL, NULL, NULL, 'GDP-L-FUCOSE SYNTHASE 2-RELATED', NULL, NULL, NULL, 15),
(64703, NULL, 'PTHR48005:SF14', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 7', NULL, NULL, NULL, 15),
(64704, NULL, 'PTHR13377:SF10', NULL, NULL, NULL, NULL, 'BNAC01G39550D PROTEIN', NULL, NULL, NULL, 15),
(64705, NULL, 'PTHR27001:SF799', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(64706, NULL, 'PTHR24020:SF17', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XII) CHAIN', NULL, NULL, NULL, 15),
(64707, NULL, 'PTHR12374:SF28', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN J-RELATED', NULL, NULL, NULL, 15),
(64708, NULL, 'PTHR36746:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64709, NULL, 'PTHR43735:SF18', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR HOMOLOG B-LIKE', NULL, NULL, NULL, 15),
(64710, NULL, 'PTHR11544:SF14', NULL, NULL, NULL, NULL, 'Y-BOX-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(64711, NULL, 'PTHR43719:SF55', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE/RESPONSE REGULATOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(64712, NULL, 'PTHR24248:SF133', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR 3', NULL, NULL, NULL, 15),
(64713, NULL, 'PTHR19971:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64714, NULL, 'PTHR43292', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(64715, NULL, 'PTHR47978:SF39', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(64716, NULL, 'PTHR12348:SF23', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 1', NULL, NULL, NULL, 15),
(64717, NULL, 'PTHR12268:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE KCMF1', NULL, NULL, 29931, 15),
(64718, NULL, 'PTHR48063:SF8', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE RECEPTOR 1', NULL, NULL, NULL, 15),
(64719, NULL, 'PTHR33021:SF322', NULL, NULL, NULL, NULL, 'OS08G0482700 PROTEIN', NULL, NULL, NULL, 15),
(64720, NULL, 'PTHR33527:SF34', NULL, NULL, NULL, NULL, 'BNAA06G20120D PROTEIN', NULL, NULL, NULL, 15),
(64721, NULL, 'PTHR14931:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64722, NULL, 'PTHR22635:SF0', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 207', NULL, NULL, NULL, 15),
(64723, NULL, 'PTHR42051:SF1', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED PROTEIN PB1A10.08', NULL, NULL, NULL, 15),
(64724, NULL, 'PTHR31213:SF137', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE, START-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(64725, NULL, 'PTHR10159:SF305', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 7', NULL, NULL, NULL, 15),
(64726, NULL, 'PTHR24559:SF377', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64727, NULL, 'PTHR46875:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 5', NULL, NULL, NULL, 15),
(64728, NULL, 'PTHR45708:SF45', NULL, NULL, NULL, NULL, 'ACIDIC ENDOCHITINASE', NULL, NULL, NULL, 15),
(64729, NULL, 'PTHR47932:SF41', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(64730, NULL, 'PTHR46023', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(64731, NULL, 'PTHR31083:SF32', NULL, NULL, NULL, NULL, 'OS09G0571000 PROTEIN', NULL, NULL, NULL, 15),
(64732, NULL, 'PTHR42095:SF1', NULL, NULL, NULL, NULL, 'YALI0C12166P', NULL, NULL, NULL, 15),
(64733, NULL, 'PTHR12106:SF44', NULL, NULL, NULL, NULL, 'SORTILIN', NULL, NULL, NULL, 15),
(64734, NULL, 'PTHR23022:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64735, NULL, 'PTHR14132:SF21', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR', NULL, NULL, NULL, 15),
(64736, NULL, 'PTHR46522:SF3', NULL, NULL, NULL, NULL, 'CYTIDINE MONOPHOSPHATE-N-ACETYLNEURAMINIC ACID HYDROXYLASE', NULL, NULL, NULL, 15),
(64737, NULL, 'PTHR36023:SF2', NULL, NULL, NULL, NULL, 'OS08G0113700 PROTEIN', NULL, NULL, NULL, 15),
(64738, NULL, 'PTHR11552:SF217', NULL, NULL, NULL, NULL, 'GLUCOSE DEHYDROGENASE [FAD, QUINONE]', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64739, NULL, 'PTHR31674:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64740, NULL, 'PTHR46110:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HMX2', NULL, NULL, NULL, 15),
(64741, NULL, 'PTHR11953', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT', NULL, NULL, NULL, 15),
(64742, NULL, 'PTHR47926:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64743, NULL, 'PTHR38745', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(64744, NULL, 'PTHR47967:SF79', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(64745, NULL, 'PTHR23163', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN-RELATED', NULL, NULL, 8353, 15),
(64746, NULL, 'PTHR16105:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64747, NULL, 'PTHR31696:SF23', NULL, NULL, NULL, NULL, 'BNAC07G49860D PROTEIN', NULL, NULL, NULL, 15),
(64748, NULL, 'PTHR38633:SF1', NULL, NULL, NULL, NULL, 'UTERINE LUMIN EXPRESSED/LOCAILIZED', NULL, NULL, NULL, 15),
(64749, NULL, 'PTHR23406', NULL, NULL, NULL, NULL, 'MALIC ENZYME-RELATED', NULL, NULL, NULL, 15),
(64750, NULL, 'PTHR10196:SF75', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G08470)-RELATED', NULL, NULL, NULL, 15),
(64751, NULL, 'PTHR24177:SF337', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64752, NULL, 'PTHR24377:SF641', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 354B', NULL, NULL, NULL, 15),
(64753, NULL, 'PTHR21666:SF273', NULL, NULL, NULL, NULL, 'PERIPLASMIC METALLOPROTEASE M23B FAMILY', NULL, NULL, NULL, 15),
(64754, NULL, 'PTHR11736:SF62', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 9', NULL, NULL, 22214, 15),
(64755, NULL, 'PTHR48063:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(64756, NULL, 'PTHR23502:SF32', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN D', NULL, NULL, NULL, 15),
(64757, NULL, 'PTHR12360:SF14', NULL, NULL, NULL, NULL, 'BNAA09G48270D PROTEIN', NULL, NULL, NULL, 15),
(64758, NULL, 'PTHR30154:SF45', NULL, NULL, NULL, NULL, 'ASNC-FAMILY REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(64759, NULL, 'PTHR10514:SF24', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME 2', NULL, NULL, NULL, 15),
(64760, NULL, 'PTHR24376:SF95', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 319', NULL, NULL, NULL, 15),
(64761, NULL, 'PTHR44575:SF5', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(64762, NULL, 'PTHR12378:SF61', NULL, NULL, NULL, NULL, 'PPPDE PUTATIVE PEPTIDASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(64763, NULL, 'PTHR23073:SF121', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 8', NULL, NULL, NULL, 15),
(64764, NULL, 'PTHR28573', NULL, NULL, NULL, NULL, 'SPINDLE AND KINETOCHORE-ASSOCIATED PROTEIN 1', NULL, NULL, 13802, 15),
(64765, NULL, 'PTHR12311:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64766, NULL, 'PTHR31194:SF51', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF2-LIKE', NULL, NULL, NULL, 15),
(64767, NULL, 'PTHR48001:SF93', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(64768, NULL, 'PTHR32444:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64769, NULL, 'PTHR42836', NULL, NULL, NULL, NULL, '7-CARBOXY-7-DEAZAGUANINE SYNTHASE', NULL, NULL, NULL, 15),
(64770, NULL, 'PTHR45952:SF7', NULL, NULL, NULL, NULL, 'BNAC05G37800D PROTEIN', NULL, NULL, NULL, 15),
(64771, NULL, 'PTHR38042:SF1', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(64772, NULL, 'PTHR46154:SF1', NULL, NULL, NULL, NULL, 'ACTIVE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17570)-RELATED', NULL, NULL, NULL, 15),
(64773, NULL, 'PTHR31205:SF42', NULL, NULL, NULL, NULL, 'CROSS-LINKING PROTEIN, PUTATIVE (DUF569)-RELATED', NULL, NULL, NULL, 15),
(64774, NULL, 'PTHR26451:SF417', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10J1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64775, NULL, 'PTHR16134:SF63', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP19', NULL, NULL, NULL, 15),
(64776, NULL, 'PTHR11373', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOSIDE TRIPHOSPHATE TRIPHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(64777, NULL, 'PTHR23024:SF546', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 1', NULL, NULL, NULL, 15),
(64778, NULL, 'PTHR12570:SF62', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA7-RELATED', NULL, NULL, NULL, 15),
(64779, NULL, 'PTHR23504:SF101', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(64780, NULL, 'PTHR30204:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR PROTEIN', NULL, NULL, NULL, 15),
(64781, NULL, 'PTHR45772:SF8', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(64782, NULL, 'PTHR24131:SF15', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1, REGULATORY SUBUNIT 13BA', NULL, NULL, NULL, 15),
(64783, NULL, 'PTHR47253:SF4', NULL, NULL, NULL, NULL, 'ISOCHORISMATE SYNTHASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(64784, NULL, 'PTHR35546:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64785, NULL, 'PTHR31645:SF68', NULL, NULL, NULL, NULL, 'BNAA03G46460D PROTEIN', NULL, NULL, NULL, 15),
(64786, NULL, 'PTHR21859:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64787, NULL, 'PTHR22883:SF326', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC19-RELATED', NULL, NULL, NULL, 15),
(64788, NULL, 'PTHR44324:SF2', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 64', NULL, NULL, NULL, 15),
(64789, NULL, 'PTHR48102:SF9', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE-RELATED', NULL, NULL, NULL, 15),
(64790, NULL, 'PTHR13490', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S28', NULL, NULL, 29975, 15),
(64791, NULL, 'PTHR23304:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64792, NULL, 'PTHR24145', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, 38084, 15),
(64793, NULL, 'PTHR11681:SF5', NULL, NULL, NULL, NULL, 'OXYTOCIN', NULL, NULL, NULL, 15),
(64794, NULL, 'PTHR23024:SF458', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', NULL, NULL, NULL, 15),
(64795, NULL, 'PTHR46618:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(64796, NULL, 'PTHR23114:SF24', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE, CONSERVED', NULL, NULL, NULL, 15),
(64797, NULL, 'PTHR10736:SF57', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG', NULL, NULL, NULL, 15),
(64798, NULL, 'PTHR14208:SF8', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(64799, NULL, 'PTHR31992:SF183', NULL, NULL, NULL, NULL, 'BNACNNG75710D PROTEIN', NULL, NULL, NULL, 15),
(64800, NULL, 'PTHR11214:SF256', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE HPGT2', NULL, NULL, NULL, 15),
(64801, NULL, 'PTHR23267:SF434', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-II REGION 17S29.1-RELATED', NULL, NULL, NULL, 15),
(64802, NULL, 'PTHR24412:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64803, NULL, 'PTHR33070:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64804, NULL, 'PTHR31218:SF37', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(64805, NULL, 'PTHR31251:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64806, NULL, 'PTHR20916:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64807, NULL, 'PTHR19441:SF34', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 2', NULL, NULL, NULL, 15),
(64808, NULL, 'PTHR10641:SF1010', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', NULL, NULL, NULL, 15),
(64809, NULL, 'PTHR47928:SF58', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(64810, NULL, 'PTHR35020:SF2', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-INDUCED PROTEIN 1', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64811, NULL, 'PTHR22796:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-217F16.1-RELATED', NULL, NULL, NULL, 15),
(64812, NULL, 'PTHR11679:SF83', NULL, NULL, NULL, NULL, 'BNAA02G28070D PROTEIN', NULL, NULL, NULL, 15),
(64813, NULL, 'PTHR44375:SF2', NULL, NULL, NULL, NULL, 'BETA-KETOACYL-ACP REDUCTASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(64814, NULL, 'PTHR47990:SF149', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 2-RELATED', NULL, NULL, NULL, 15),
(64815, NULL, 'PTHR24256:SF301', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 28', NULL, NULL, NULL, 15),
(64816, NULL, 'PTHR35477:SF5', NULL, NULL, NULL, NULL, 'BNAC01G44190D PROTEIN', NULL, NULL, NULL, 15),
(64817, NULL, 'PTHR42678:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64818, NULL, 'PTHR35500', NULL, NULL, NULL, NULL, 'OS03G0108700 PROTEIN', NULL, NULL, NULL, 15),
(64819, NULL, 'PTHR19432:SF39', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUT3', NULL, NULL, NULL, 15),
(64820, NULL, 'PTHR11969:SF51', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(64821, NULL, 'PTHR27001:SF721', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY KINASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(64822, NULL, 'PTHR46201:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(64823, NULL, 'PTHR43811:SF32', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP16-4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(64824, NULL, 'PTHR26379:SF336', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64825, NULL, 'PTHR11588:SF13', NULL, NULL, NULL, NULL, 'TUBULIN EPSILON CHAIN', NULL, NULL, NULL, 15),
(64826, NULL, 'PTHR23113:SF163', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR B', NULL, NULL, NULL, 15),
(64827, NULL, 'PTHR11863:SF182', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROXYLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(64828, NULL, 'PTHR22814:SF290', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 20-LIKE', NULL, NULL, NULL, 15),
(64829, NULL, 'PTHR10942:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64830, NULL, 'PTHR43207:SF8', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDROGENASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(64831, NULL, 'PTHR12011:SF62', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L1', NULL, NULL, 24663, 15),
(64832, NULL, 'PTHR47958:SF67', NULL, NULL, NULL, NULL, 'BNAA02G16100D PROTEIN', NULL, NULL, NULL, 15),
(64833, NULL, 'PTHR10352:SF46', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', NULL, NULL, NULL, 15),
(64834, NULL, 'PTHR22722:SF6', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 1B', NULL, NULL, NULL, 15),
(64835, NULL, 'PTHR13703:SF53', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 3', NULL, NULL, NULL, 15),
(64836, NULL, 'PTHR10196:SF85', NULL, NULL, NULL, NULL, 'OS12G0633000 PROTEIN', NULL, NULL, NULL, 15),
(64837, NULL, 'PTHR30481:SF4', NULL, NULL, NULL, NULL, 'D12 CLASS N6 ADENINE-SPECIFIC DNA METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(64838, NULL, 'PTHR24356:SF371', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(64839, NULL, 'PTHR33128:SF61', NULL, NULL, NULL, NULL, 'BNAA02G28560D PROTEIN', NULL, NULL, NULL, 15),
(64840, NULL, 'PTHR18953:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64841, NULL, 'PTHR13817:SF134', NULL, NULL, NULL, NULL, 'STRIATED MUSCLE-ENRICHED PROTEIN KINASE B', NULL, NULL, NULL, 15),
(64842, NULL, 'PTHR12161:SF56', NULL, NULL, NULL, NULL, 'IST1 HOMOLOG', NULL, NULL, NULL, 15),
(64843, NULL, 'PTHR33148:SF55', NULL, NULL, NULL, NULL, 'OS01G0219300 PROTEIN', NULL, NULL, NULL, 15),
(64844, NULL, 'PTHR46985', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(64845, NULL, 'PTHR32080:SF24', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 2', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64846, NULL, 'PTHR22146:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FAM166B', NULL, NULL, NULL, 15),
(64847, NULL, 'PTHR46826', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64848, NULL, 'PTHR13763:SF7', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED RING DOMAIN PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(64849, NULL, 'PTHR45619:SF49', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(64850, NULL, 'PTHR43859:SF23', NULL, NULL, NULL, NULL, 'ACETATE/BUTYRATE--COA LIGASE AAE7, PEROXISOMAL-LIKE', NULL, NULL, NULL, 15),
(64851, NULL, 'PTHR19282:SF169', NULL, NULL, NULL, NULL, 'TETRASPANIN-6', NULL, NULL, NULL, 15),
(64852, NULL, 'PTHR24023:SF903', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(VIII) CHAIN', NULL, NULL, NULL, 15),
(64853, NULL, 'PTHR19308:SF34', NULL, NULL, NULL, NULL, 'BNAC03G73640D PROTEIN', NULL, NULL, NULL, 15),
(64854, NULL, 'PTHR31998:SF34', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(64855, NULL, 'PTHR31989:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64856, NULL, 'PTHR33416:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64857, NULL, 'PTHR42832:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE-PYRUVATE AMINOTRANSFERASE ALAC', NULL, NULL, NULL, 15),
(64858, NULL, 'PTHR23359:SF195', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4-LIKE', NULL, NULL, NULL, 15),
(64859, NULL, 'PTHR10678:SF14', NULL, NULL, NULL, NULL, 'BNAA09G54190D PROTEIN', NULL, NULL, NULL, 15),
(64860, NULL, 'PTHR32295:SF121', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(64861, NULL, 'PTHR21432:SF20', NULL, NULL, NULL, NULL, 'GM14349P', NULL, NULL, NULL, 15),
(64862, NULL, 'PTHR37234:SF1', NULL, NULL, NULL, NULL, 'OS03G0319200 PROTEIN', NULL, NULL, NULL, 15),
(64863, NULL, 'PTHR33591:SF1', NULL, NULL, NULL, NULL, 'BETA-CAROTENE ISOMERASE D27, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(64864, NULL, 'PTHR13145:SF8', NULL, NULL, NULL, NULL, 'BNAA08G11620D PROTEIN', NULL, NULL, NULL, 15),
(64865, NULL, 'PTHR16088', NULL, NULL, NULL, NULL, 'YY1 ASSOCIATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(64866, NULL, 'PTHR15710:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64867, NULL, 'PTHR32018:SF42', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-LIKE', NULL, NULL, NULL, 15),
(64868, NULL, 'PTHR11654:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64869, NULL, 'PTHR22803:SF104', NULL, NULL, NULL, NULL, 'MACROPHAGE MANNOSE RECEPTOR 1', NULL, NULL, NULL, 15),
(64870, NULL, 'PTHR13878:SF133', NULL, NULL, NULL, NULL, 'BNACNNG57660D PROTEIN', NULL, NULL, NULL, 15),
(64871, NULL, 'PTHR46580:SF3', NULL, NULL, NULL, NULL, 'ATP/GTP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(64872, NULL, 'PTHR15736:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FAM131B', NULL, NULL, NULL, 15),
(64873, NULL, 'PTHR15907:SF158', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 11', NULL, NULL, NULL, 15),
(64874, NULL, 'PTHR33673:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64875, NULL, 'PTHR35740', NULL, NULL, NULL, NULL, 'OS12G0111700 PROTEIN', NULL, NULL, NULL, 15),
(64876, NULL, 'PTHR22767:SF6', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 15, NATA AUXILIARY SUBUNIT', NULL, NULL, NULL, 15),
(64877, NULL, 'PTHR34358:SF2', NULL, NULL, NULL, NULL, 'OS03G0411600 PROTEIN', NULL, NULL, NULL, 15),
(64878, NULL, 'PTHR44051:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR URE2', NULL, NULL, NULL, 15),
(64879, NULL, 'PTHR46645:SF2', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN 2B', NULL, NULL, NULL, 15),
(64880, NULL, 'PTHR28184:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL HOMOLOGOUS RECOMBINATION PROTEIN 1', NULL, NULL, NULL, 15),
(64881, NULL, 'PTHR48007:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64882, NULL, 'PTHR23065:SF15', NULL, NULL, NULL, NULL, 'AT02057P', NULL, NULL, NULL, 15),
(64883, NULL, 'PTHR31325:SF191', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64884, NULL, 'PTHR23222:SF28', NULL, NULL, NULL, NULL, 'BNAA09G50790D PROTEIN', NULL, NULL, NULL, 15),
(64885, NULL, 'PTHR12121:SF90', NULL, NULL, NULL, NULL, 'BNAA09G51440D PROTEIN', NULL, NULL, NULL, 15),
(64886, NULL, 'PTHR14903:SF4', NULL, NULL, NULL, NULL, 'SCLEROSTIN', NULL, NULL, 18438, 15),
(64887, NULL, 'PTHR19359:SF112', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-RELATED', NULL, NULL, NULL, 15),
(64888, NULL, 'PTHR47857:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(64889, NULL, 'PTHR34214', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 1631, 15),
(64890, NULL, 'PTHR14027', NULL, NULL, NULL, NULL, 'RNA POLYMERASE-ASSOCIATED PROTEIN CTR9', NULL, NULL, 26605, 15),
(64891, NULL, 'PTHR16276', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 31598, 15),
(64892, NULL, 'PTHR11955:SF59', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(64893, NULL, 'PTHR35410:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(64894, NULL, 'PTHR31607:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64895, NULL, 'PTHR23003:SF17', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN PIN4', NULL, NULL, NULL, 15),
(64896, NULL, 'PTHR33021:SF388', NULL, NULL, NULL, NULL, 'OS01G0272700 PROTEIN', NULL, NULL, NULL, 15),
(64897, NULL, 'PTHR32295:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64898, NULL, 'PTHR12461:SF50', NULL, NULL, NULL, NULL, 'TRNA WYBUTOSINE-SYNTHESIZING PROTEIN 5', NULL, NULL, 22584, 15),
(64899, NULL, 'PTHR46848', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 3', NULL, NULL, NULL, 15),
(64900, NULL, 'PTHR16435:SF5', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS ASSOCIATED 6-LIKE PROTEIN', NULL, NULL, 28985, 15),
(64901, NULL, 'PTHR31048:SF99', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(64902, NULL, 'PTHR31190:SF44', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(64903, NULL, 'PTHR11802:SF281', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(64904, NULL, 'PTHR43205:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64905, NULL, 'PTHR22948:SF50', NULL, NULL, NULL, NULL, 'PROTEIN CBR-EKL-1', NULL, NULL, NULL, 15),
(64906, NULL, 'PTHR46977:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FREE1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(64907, NULL, 'PTHR40137:SF2', NULL, NULL, NULL, NULL, 'PROTEIN GVPK 1', NULL, NULL, NULL, 15),
(64908, NULL, 'PTHR24349:SF418', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(64909, NULL, 'PTHR30239:SF22', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE SMALL SUBUNIT 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(64910, NULL, 'PTHR45616:SF38', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 3', NULL, NULL, NULL, 15),
(64911, NULL, 'PTHR38009:SF1', NULL, NULL, NULL, NULL, 'CONSERVED HYPOTHETICAL PHAGE TAIL PROTEIN', NULL, NULL, NULL, 15),
(64912, NULL, 'PTHR48201:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64913, NULL, 'PTHR11496:SF94', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTG', NULL, NULL, NULL, 15),
(64914, NULL, 'PTHR12122:SF4', NULL, NULL, NULL, NULL, 'RETINAL ROD RHODOPSIN-SENSITIVE CGMP 3'',5''-CYCLIC PHOSPHODIESTERASE SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(64915, NULL, 'PTHR16119:SF17', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 144', NULL, NULL, NULL, 15),
(64916, NULL, 'PTHR36162:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64917, NULL, 'PTHR12321:SF116', NULL, NULL, NULL, NULL, 'ALFIN-LIKE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(64918, NULL, 'PTHR43175:SF3', NULL, NULL, NULL, NULL, 'CARBON DISULFIDE HYDROLASE', NULL, NULL, NULL, 15),
(64919, NULL, 'PTHR45778:SF22', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(64920, NULL, 'PTHR13222:SF3', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 11, UBIQUITIN-RELATED DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64921, NULL, 'PTHR34464:SF8', NULL, NULL, NULL, NULL, 'BNAC03G61080D PROTEIN', NULL, NULL, NULL, 15),
(64922, NULL, 'PTHR22536', NULL, NULL, NULL, NULL, 'LUNG CANCER METASTASIS-RELATED  LCMR1  PROTEIN', NULL, NULL, 16537, 15),
(64923, NULL, 'PTHR23155:SF1123', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPM1', NULL, NULL, NULL, 15),
(64924, NULL, 'PTHR47237:SF1', NULL, NULL, NULL, NULL, 'SLL0310 PROTEIN', NULL, NULL, NULL, 15),
(64925, NULL, 'PTHR14221:SF31', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(64926, NULL, 'PTHR31066:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64927, NULL, 'PTHR30031:SF2', NULL, NULL, NULL, NULL, 'OS04G0592500 PROTEIN', NULL, NULL, NULL, 15),
(64928, NULL, 'PTHR33264:SF37', NULL, NULL, NULL, NULL, 'BNAANNG39210D PROTEIN', NULL, NULL, NULL, 15),
(64929, NULL, 'PTHR28661:SF1', NULL, NULL, NULL, NULL, 'SJOEGREN SYNDROME NUCLEAR AUTOANTIGEN 1', NULL, NULL, NULL, 15),
(64930, NULL, 'PTHR23160:SF3', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(64931, NULL, 'PTHR47926:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64932, NULL, 'PTHR32467:SF123', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ANT', NULL, NULL, NULL, 15),
(64933, NULL, 'PTHR35298:SF7', NULL, NULL, NULL, NULL, 'BNACNNG30990D PROTEIN', NULL, NULL, NULL, 15),
(64934, NULL, 'PTHR33228:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64935, NULL, 'PTHR11945:SF448', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(64936, NULL, 'PTHR14726:SF1', NULL, NULL, NULL, NULL, 'JHY PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(64937, NULL, 'PTHR31415:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64938, NULL, 'PTHR13780:SF48', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSCBSPB4-RELATED', NULL, NULL, 20431, 15),
(64939, NULL, 'PTHR10388:SF63', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLATION FACTOR SUI1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(64940, NULL, 'PTHR24015:SF1922', NULL, NULL, NULL, NULL, 'OS07G0239600 PROTEIN', NULL, NULL, NULL, 15),
(64941, NULL, 'PTHR11534:SF3', NULL, NULL, NULL, NULL, 'MYOGENIC FACTOR 5', NULL, NULL, NULL, 15),
(64942, NULL, 'PTHR48107:SF18', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(64943, NULL, 'PTHR12322:SF106', NULL, NULL, NULL, NULL, 'DM (DOUBLESEX/MAB-3) DOMAIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(64944, NULL, 'PTHR45929:SF3', NULL, NULL, NULL, NULL, 'JAK PATHWAY SIGNAL TRANSDUCTION ADAPTOR MOLECULE', NULL, NULL, NULL, 15),
(64945, NULL, 'PTHR13457:SF2', NULL, NULL, NULL, NULL, 'BNAA05G30840D PROTEIN', NULL, NULL, NULL, 15),
(64946, NULL, 'PTHR47987:SF10', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-PROTEIN KINASE RBK2 ISOFORM X1', NULL, NULL, NULL, 15),
(64947, NULL, 'PTHR11743', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL', NULL, NULL, 4122, 15),
(64948, NULL, 'PTHR17204:SF30', NULL, NULL, NULL, NULL, 'BNAC05G39480D PROTEIN', NULL, NULL, NULL, 15),
(64949, NULL, 'PTHR43243:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64950, NULL, 'PTHR30126:SF78', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORS, LYSR FAMILY', NULL, NULL, NULL, 15),
(64951, NULL, 'PTHR31291:SF2', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE FTO', NULL, NULL, NULL, 15),
(64952, NULL, 'PTHR24416:SF52', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR RECEPTOR ALPHA', NULL, NULL, NULL, 15),
(64953, NULL, 'PTHR24373:SF296', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE NEURONAL PROTEIN 3', NULL, NULL, NULL, 15),
(64954, NULL, 'PTHR11260:SF535', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64955, NULL, 'PTHR31080:SF190', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64956, NULL, 'PTHR43677', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE', NULL, NULL, NULL, 15),
(64957, NULL, 'PTHR42908:SF29', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION ELONGATION FACTOR 2A, TANDEM DUPLICATE 1-RELATED', NULL, NULL, NULL, 15),
(64958, NULL, 'PTHR47183:SF2', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE CYTIDYLYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(64959, NULL, 'PTHR12864:SF20', NULL, NULL, NULL, NULL, 'PROTEIN SSH4', NULL, NULL, 22247, 15),
(64960, NULL, 'PTHR12603', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX RELATED', NULL, NULL, 36451, 15),
(64961, NULL, 'PTHR45647:SF73', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(64962, NULL, 'PTHR46327:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(64963, NULL, 'PTHR12308:SF36', NULL, NULL, NULL, NULL, 'ANOCTAMIN', NULL, NULL, NULL, 15),
(64964, NULL, 'PTHR33922:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64965, NULL, 'PTHR16515:SF34', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 15', NULL, NULL, NULL, 15),
(64966, NULL, 'PTHR46623:SF7', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE HOMOLOG ISOFORM X1', NULL, NULL, NULL, 15),
(64967, NULL, 'PTHR31987:SF11', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(64968, NULL, 'PTHR24177:SF293', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT, PH AND SEC7 DOMAIN CONTAINING PROTEIN SECG-LIKE', NULL, NULL, NULL, 15),
(64969, NULL, 'PTHR45798:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64970, NULL, 'PTHR10788:SF99', NULL, NULL, NULL, NULL, 'TREHALOSE PHOSPHATASE/SYNTHASE 11-RELATED', NULL, NULL, NULL, 15),
(64971, NULL, 'PTHR43874:SF50', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR3-RELATED', NULL, NULL, NULL, 15),
(64972, NULL, 'PTHR22780:SF31', NULL, NULL, NULL, NULL, 'OS02G0805000 PROTEIN', NULL, NULL, NULL, 15),
(64973, NULL, 'PTHR19328:SF40', NULL, NULL, NULL, NULL, 'BLL0591 PROTEIN', NULL, NULL, NULL, 15),
(64974, NULL, 'PTHR13720:SF15', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE 3', NULL, NULL, NULL, 15),
(64975, NULL, 'PTHR12752:SF7', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 4', NULL, NULL, NULL, 15),
(64976, NULL, 'PTHR46084:SF32', NULL, NULL, NULL, NULL, 'BNAC04G25160D PROTEIN', NULL, NULL, NULL, 15),
(64977, NULL, 'PTHR47978:SF27', NULL, NULL, NULL, NULL, 'BNAA05G26830D PROTEIN', NULL, NULL, NULL, 15),
(64978, NULL, 'PTHR21139:SF17', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE A', NULL, NULL, NULL, 15),
(64979, NULL, 'PTHR31948:SF119', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 7', NULL, NULL, NULL, 15),
(64980, NULL, 'PTHR45684:SF32', NULL, NULL, NULL, NULL, 'PROTEIN SAR1A, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(64981, NULL, 'PTHR23257:SF821', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE EDR1-LIKE', NULL, NULL, NULL, 15),
(64982, NULL, 'PTHR43452:SF7', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 1', NULL, NULL, NULL, 15),
(64983, NULL, 'PTHR11441:SF3', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE A', NULL, NULL, NULL, 15),
(64984, NULL, 'PTHR31985:SF215', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF036-LIKE', NULL, NULL, NULL, 15),
(64985, NULL, 'PTHR10519:SF66', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR-LIKE PROTEIN P', NULL, NULL, NULL, 15),
(64986, NULL, 'PTHR35367:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64987, NULL, 'PTHR47990:SF165', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20-OXIDASE', NULL, NULL, NULL, 15),
(64988, NULL, 'PTHR31218:SF14', NULL, NULL, NULL, NULL, 'OS11G0588100 PROTEIN', NULL, NULL, NULL, 15),
(64989, NULL, 'PTHR33836', NULL, NULL, NULL, NULL, 'LOW-TEMPERATURE-INDUCED 65 KDA PROTEIN-RELATED', NULL, NULL, 35862, 15),
(64990, NULL, 'PTHR21021:SF16', NULL, NULL, NULL, NULL, 'TIP41-LIKE PROTEIN', NULL, NULL, 4792, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(64991, NULL, 'PTHR32085', NULL, NULL, NULL, NULL, 'PROTEIN CSF1', NULL, NULL, 27156, 15),
(64992, NULL, 'PTHR47691', NULL, NULL, NULL, NULL, 'REGULATOR-RELATED', NULL, NULL, NULL, 15),
(64993, NULL, 'PTHR48204', NULL, NULL, NULL, NULL, 'OS07G0265100 PROTEIN', NULL, NULL, NULL, 15),
(64994, NULL, 'PTHR35369', NULL, NULL, NULL, NULL, 'BLR3025 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(64995, NULL, 'PTHR33167:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64996, NULL, 'PTHR31235:SF209', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(64997, NULL, 'PTHR43296:SF9', NULL, NULL, NULL, NULL, 'PEROXISOMAL 2,4-DIENOYL-COA REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(64998, NULL, 'PTHR35311:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(64999, NULL, 'PTHR47123:SF19', NULL, NULL, NULL, NULL, 'BNAC03G26810D PROTEIN', NULL, NULL, NULL, 15),
(65000, NULL, 'PTHR31953:SF85', NULL, NULL, NULL, NULL, 'SUCROSE:SUCROSE 1-FRUCTOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(65001, NULL, 'PTHR47942:SF15', NULL, NULL, NULL, NULL, 'OS12G0557800 PROTEIN', NULL, NULL, NULL, 15),
(65002, NULL, 'PTHR21535:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65003, NULL, 'PTHR11736:SF64', NULL, NULL, NULL, NULL, 'MELANOMA ANTIGEN, FAMILY A, 4', NULL, NULL, NULL, 15),
(65004, NULL, 'PTHR32444:SF112', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(65005, NULL, 'PTHR33512:SF8', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1191)-RELATED', NULL, NULL, NULL, 15),
(65006, NULL, 'PTHR33083:SF81', NULL, NULL, NULL, NULL, 'OS10G0481000 PROTEIN', NULL, NULL, NULL, 15),
(65007, NULL, 'PTHR10334:SF416', NULL, NULL, NULL, NULL, 'BNACNNG34500D PROTEIN', NULL, NULL, NULL, 15),
(65008, NULL, 'PTHR10795:SF652', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65009, NULL, 'PTHR10638:SF68', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(65010, NULL, 'PTHR46046:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP10', NULL, NULL, NULL, 15),
(65011, NULL, 'PTHR15937:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 7 SUPERFAMILY MEMBER 3', NULL, NULL, NULL, 15),
(65012, NULL, 'PTHR13280', NULL, NULL, NULL, NULL, 'PHOSPHOFURIN ACIDIC CLUSTER SORTING PROTEIN', NULL, NULL, 15852, 15),
(65013, NULL, 'PTHR33167:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65014, NULL, 'PTHR12203:SF55', NULL, NULL, NULL, NULL, 'O-GLUCOSYLTRANSFERASE RUMI-LIKE PROTEIN', NULL, NULL, NULL, 15),
(65015, NULL, 'PTHR48090:SF4', NULL, NULL, NULL, NULL, 'GLUCOSYL-3-PHOSPHOGLYCERATE SYNTHASE', NULL, NULL, NULL, 15),
(65016, NULL, 'PTHR48069:SF4', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE', NULL, NULL, NULL, 15),
(65017, NULL, 'PTHR35699', NULL, NULL, NULL, NULL, 'F2J10.10 PROTEIN', NULL, NULL, NULL, 15),
(65018, NULL, 'PTHR45974:SF44', NULL, NULL, NULL, NULL, 'BNAA09G29620D PROTEIN', NULL, NULL, NULL, 15),
(65019, NULL, 'PTHR34592:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(65020, NULL, 'PTHR24377:SF812', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 543', NULL, NULL, NULL, 15),
(65021, NULL, 'PTHR33361:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65022, NULL, 'PTHR12281:SF21', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', NULL, NULL, NULL, 15),
(65023, NULL, 'PTHR23117:SF21', NULL, NULL, NULL, NULL, 'GUANYLATE KINASE 1', NULL, NULL, NULL, 15),
(65024, NULL, 'PTHR12537:SF166', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 18-RELATED', NULL, NULL, NULL, 15),
(65025, NULL, 'PTHR31147:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65026, NULL, 'PTHR24072:SF28', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHO2', NULL, NULL, NULL, 15),
(65027, NULL, 'PTHR45640:SF30', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-11', NULL, NULL, NULL, 15),
(65028, NULL, 'PTHR11024:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SEC13 HOMOLOG', NULL, NULL, 35029, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65029, NULL, 'PTHR48048:SF28', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(65030, NULL, 'PTHR31731:SF114', NULL, NULL, NULL, NULL, 'KDA PROLINE-RICH PROTEIN DC2.15, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(65031, NULL, 'PTHR12147:SF44', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM METALLOPEPTIDASE 1-RELATED', NULL, NULL, NULL, 15),
(65032, NULL, 'PTHR37534:SF26', NULL, NULL, NULL, NULL, 'PRO1A C6 ZINK-FINGER PROTEIN', NULL, NULL, NULL, 15),
(65033, NULL, 'PTHR14069:SF0', NULL, NULL, NULL, NULL, 'FILENSIN', NULL, NULL, NULL, 15),
(65034, NULL, 'PTHR24286:SF152', NULL, NULL, NULL, NULL, 'OS07G0519100 PROTEIN', NULL, NULL, NULL, 15),
(65035, NULL, 'PTHR13817:SF95', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY DCC SUBCLASS MEMBER 4', NULL, NULL, NULL, 15),
(65036, NULL, 'PTHR43096:SF47', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(65037, NULL, 'PTHR31218:SF253', NULL, NULL, NULL, NULL, 'NODULIN MTN21/EAMA-LIKE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65038, NULL, 'PTHR40027:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DIVIC', NULL, NULL, NULL, 15),
(65039, NULL, 'PTHR47967:SF48', NULL, NULL, NULL, NULL, 'OS08G0469100 PROTEIN', NULL, NULL, NULL, 15),
(65040, NULL, 'PTHR11972:SF44', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN E', NULL, NULL, NULL, 15),
(65041, NULL, 'PTHR47989:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN CCR2', NULL, NULL, NULL, 15),
(65042, NULL, 'PTHR46005:SF1', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 35', NULL, NULL, NULL, 15),
(65043, NULL, 'PTHR23326', NULL, NULL, NULL, NULL, 'CCR4 NOT-RELATED', NULL, NULL, 29993, 15),
(65044, NULL, 'PTHR10353:SF262', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(65045, NULL, 'PTHR46371:SF25', NULL, NULL, NULL, NULL, 'BNAA05G30010D PROTEIN', NULL, NULL, NULL, 15),
(65046, NULL, 'PTHR15237:SF2', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT CONTROL PROTEIN RAD9B', NULL, NULL, NULL, 15),
(65047, NULL, 'PTHR12035:SF117', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 9', NULL, NULL, NULL, 15),
(65048, NULL, 'PTHR33377:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65049, NULL, 'PTHR46312', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65050, NULL, 'PTHR31065:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65051, NULL, 'PTHR33599', NULL, NULL, NULL, NULL, 'PROTEIN IDA-LIKE 5', NULL, NULL, 29002, 15),
(65052, NULL, 'PTHR11003:SF274', NULL, NULL, NULL, NULL, 'TWO-PORE POTASSIUM CHANNEL 2', NULL, NULL, NULL, 15),
(65053, NULL, 'PTHR23149:SF26', NULL, NULL, NULL, NULL, 'PROTEIN TMA23', NULL, NULL, NULL, 15),
(65054, NULL, 'PTHR36806:SF1', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(65055, NULL, 'PTHR12542:SF143', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65056, NULL, 'PTHR37314:SF2', NULL, NULL, NULL, NULL, 'SLR0142 PROTEIN', NULL, NULL, NULL, 15),
(65057, NULL, 'PTHR12151:SF3', NULL, NULL, NULL, NULL, 'C OXIDASE ASSEMBLY FACTOR, PUTATIVE ELECTRON TRANSPORT PROTEIN SCO1/2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(65058, NULL, 'PTHR11863:SF129', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 2', NULL, NULL, NULL, 15),
(65059, NULL, 'PTHR22802:SF246', NULL, NULL, NULL, NULL, 'CD209 ANTIGEN-LIKE PROTEIN C', NULL, NULL, NULL, 15),
(65060, NULL, 'PTHR11886:SF82', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(65061, NULL, 'PTHR12110', NULL, NULL, NULL, NULL, 'HYDROXYPYRUVATE ISOMERASE', NULL, NULL, NULL, 15),
(65062, NULL, 'PTHR33647:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65063, NULL, 'PTHR48024:SF23', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN ARP1-RELATED', NULL, NULL, NULL, 15),
(65064, NULL, 'PTHR45564:SF5', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT 2 B, CHLOROPLASTIC', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65065, NULL, 'PTHR11360:SF153', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(65066, NULL, 'PTHR15344:SF17', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN (RHO GTPASE-BINDING) 1B', NULL, NULL, NULL, 15),
(65067, NULL, 'PTHR24567:SF71', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE PAT', NULL, NULL, NULL, 15),
(65068, NULL, 'PTHR32227:SF332', NULL, NULL, NULL, NULL, 'BNAA03G11520D PROTEIN', NULL, NULL, NULL, 15),
(65069, NULL, 'PTHR13683:SF814', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE ASP1-LIKE', NULL, NULL, NULL, 15),
(65070, NULL, 'PTHR24068:SF338', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 25-RELATED', NULL, NULL, NULL, 15),
(65071, NULL, 'PTHR32278', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65072, NULL, 'PTHR30290:SF73', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORT SYSTEM SECRETED PEPTIDE-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(65073, NULL, 'PTHR12338:SF8', NULL, NULL, NULL, NULL, 'ANTIGEN 43', NULL, NULL, NULL, 15),
(65074, NULL, 'PTHR46592:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65075, NULL, 'PTHR46871:SF1', NULL, NULL, NULL, NULL, 'BROMO-ADJACENT HOMOLOGY (BAH) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(65076, NULL, 'PTHR10909:SF383', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACYL-COENZYME A OXIDASE 1', NULL, NULL, NULL, 15),
(65077, NULL, 'PTHR23049:SF58', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 12B', NULL, NULL, NULL, 15),
(65078, NULL, 'PTHR48062:SF23', NULL, NULL, NULL, NULL, 'PIRIFORMOSPORA INDICA-INSENSITIVE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(65079, NULL, 'PTHR11653:SF18', NULL, NULL, NULL, NULL, 'PARVALBUMIN 4-RELATED', NULL, NULL, NULL, 15),
(65080, NULL, 'PTHR31893:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 151 HOMOLOG', NULL, NULL, NULL, 15),
(65081, NULL, 'PTHR45800:SF21', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 8', NULL, NULL, NULL, 15),
(65082, NULL, 'PTHR31676:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65083, NULL, 'PTHR42041', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65084, NULL, 'PTHR24381:SF53', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 404', NULL, NULL, NULL, 15),
(65085, NULL, 'PTHR44137:SF39', NULL, NULL, NULL, NULL, 'MOLECULAR CHAPERONE HSP40/DNAJ FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65086, NULL, 'PTHR43031:SF11', NULL, NULL, NULL, NULL, 'RHODANESE-RELATED SULFURTRANSFERASES', NULL, NULL, NULL, 15),
(65087, NULL, 'PTHR16517:SF103', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 2', NULL, NULL, NULL, 15),
(65088, NULL, 'PTHR11937:SF447', NULL, NULL, NULL, NULL, 'BNAC04G48100D PROTEIN', NULL, NULL, NULL, 15),
(65089, NULL, 'PTHR47022:SF1', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN-CONTAINING PROTEIN 36-RELATED', NULL, NULL, NULL, 15),
(65090, NULL, 'PTHR11091:SF3', NULL, NULL, NULL, NULL, '2,3-DIKETO-L-GULONATE REDUCTASE', NULL, NULL, NULL, 15),
(65091, NULL, 'PTHR43791:SF67', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G04010)-RELATED', NULL, NULL, NULL, 15),
(65092, NULL, 'PTHR42916:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHYLLO, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(65093, NULL, 'PTHR26453:SF245', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(65094, NULL, 'PTHR10353:SF158', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 11', NULL, NULL, NULL, 15),
(65095, NULL, 'PTHR11785:SF512', NULL, NULL, NULL, NULL, 'FRUCTOSELYSINE/PSICOSELYSINE TRANSPORTER FRLA-RELATED', NULL, NULL, NULL, 15),
(65096, NULL, 'PTHR48008:SF12', NULL, NULL, NULL, NULL, 'EPHRIN RECEPTOR TYPE-A /TYPE-B-RELATED', NULL, NULL, NULL, 15),
(65097, NULL, 'PTHR47976:SF34', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', NULL, NULL, NULL, 15),
(65098, NULL, 'PTHR43591:SF69', NULL, NULL, NULL, NULL, '2-PHYTYL-1,4-BETA-NAPHTHOQUINONE METHYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(65099, NULL, 'PTHR14167:SF85', NULL, NULL, NULL, NULL, 'SORBIN HOMOLOG', NULL, NULL, NULL, 15),
(65100, NULL, 'PTHR12558:SF9', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 16 HOMOLOG', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65101, NULL, 'PTHR24056:SF443', NULL, NULL, NULL, NULL, 'BNAA06G23890D PROTEIN', NULL, NULL, NULL, 15),
(65102, NULL, 'PTHR24414:SF174', NULL, NULL, NULL, NULL, 'BNAA06G40530D PROTEIN', NULL, NULL, NULL, 15),
(65103, NULL, 'PTHR37998', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 262', NULL, NULL, 30864, 15),
(65104, NULL, 'PTHR24349:SF401', NULL, NULL, NULL, NULL, 'BNAA08G24650D PROTEIN', NULL, NULL, NULL, 15),
(65105, NULL, 'PTHR48231:SF1', NULL, NULL, NULL, NULL, 'KUA-UBIQUITIN CONJUGATING ENZYME HYBRID,LOCALISATION', NULL, NULL, NULL, 15),
(65106, NULL, 'PTHR48019:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65107, NULL, 'PTHR15241:SF339', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN 24', NULL, NULL, NULL, 15),
(65108, NULL, 'PTHR47950:SF6', NULL, NULL, NULL, NULL, '3''-HYDROXYLASE ISOZYME, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(65109, NULL, 'PTHR21230:SF64', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT THROUGH INTERACTION WITH T-SNARES HOMOLOG 1B', NULL, NULL, NULL, 15),
(65110, NULL, 'PTHR33743:SF12', NULL, NULL, NULL, NULL, 'OS04G0643800 PROTEIN', NULL, NULL, NULL, 15),
(65111, NULL, 'PTHR11005:SF111', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(65112, NULL, 'PTHR34789:SF3', NULL, NULL, NULL, NULL, 'BNAA07G01290D PROTEIN', NULL, NULL, NULL, 15),
(65113, NULL, 'PTHR31283:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65114, NULL, 'PTHR44203:SF7', NULL, NULL, NULL, NULL, 'BNAC03G21230D PROTEIN', NULL, NULL, NULL, 15),
(65115, NULL, 'PTHR23500:SF6', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 4-RELATED', NULL, NULL, NULL, 15),
(65116, NULL, 'PTHR23500:SF571', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65117, NULL, 'PTHR45693:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PERIANTHIA', NULL, NULL, NULL, 15),
(65118, NULL, 'PTHR30086:SF17', NULL, NULL, NULL, NULL, 'AMINO ACID EFFLUX PERMEASE RHTB FAMILY-RELATED', NULL, NULL, NULL, 15),
(65119, NULL, 'PTHR37534:SF12', NULL, NULL, NULL, NULL, 'NOSA PROTEIN', NULL, NULL, NULL, 15),
(65120, NULL, 'PTHR25464:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF152', NULL, NULL, 36323, 15),
(65121, NULL, 'PTHR39321:SF3', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE ADENYLYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(65122, NULL, 'PTHR15057', NULL, NULL, NULL, NULL, 'STATHERIN', NULL, NULL, 27686, 15),
(65123, NULL, 'PTHR11431:SF106', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(65124, NULL, 'PTHR37740:SF1', NULL, NULL, NULL, NULL, 'OS02G0193500 PROTEIN', NULL, NULL, NULL, 15),
(65125, NULL, 'PTHR14297', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORT PROTEIN XK FAMILY MEMBER', NULL, NULL, NULL, 15),
(65126, NULL, 'PTHR24296:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65127, NULL, 'PTHR24229:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65128, NULL, 'PTHR23003:SF39', NULL, NULL, NULL, NULL, 'REGULATOR OF RDNA TRANSCRIPTION PROTEIN 5', NULL, NULL, NULL, 15),
(65129, NULL, 'PTHR12458:SF8', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 20', NULL, NULL, NULL, 15),
(65130, NULL, 'PTHR12169:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65131, NULL, 'PTHR11505:SF213', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65132, NULL, 'PTHR11654:SF327', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.1-RELATED', NULL, NULL, NULL, 15),
(65133, NULL, 'PTHR43158', NULL, NULL, NULL, NULL, 'SKFA PEPTIDE EXPORT ATP-BINDING PROTEIN SKFE', NULL, NULL, NULL, 15),
(65134, NULL, 'PTHR10615:SF196', NULL, NULL, NULL, NULL, 'BNAC02G00720D PROTEIN', NULL, NULL, NULL, 15),
(65135, NULL, 'PTHR12096:SF0', NULL, NULL, NULL, NULL, 'SNW DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(65136, NULL, 'PTHR10168:SF253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65137, NULL, 'PTHR14186:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65138, NULL, 'PTHR32012:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 182', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65139, NULL, 'PTHR10694:SF120', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 4B-RELATED', NULL, NULL, NULL, 15),
(65140, NULL, 'PTHR46116:SF17', NULL, NULL, NULL, NULL, 'OS01G0229900 PROTEIN', NULL, NULL, NULL, 15),
(65141, NULL, 'PTHR31618:SF12', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(65142, NULL, 'PTHR33109:SF74', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(65143, NULL, 'PTHR30559:SF0', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(65144, NULL, 'PTHR45113', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE A', NULL, NULL, 39811, 15),
(65145, NULL, 'PTHR42085:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65146, NULL, 'PTHR12085:SF5', NULL, NULL, NULL, NULL, 'BNAC09G39240D PROTEIN', NULL, NULL, NULL, 15),
(65147, NULL, 'PTHR45758:SF15', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65148, NULL, 'PTHR27003:SF353', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(65149, NULL, 'PTHR33103:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65150, NULL, 'PTHR47990:SF153', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(65151, NULL, 'PTHR13136:SF13', NULL, NULL, NULL, NULL, 'KAT8 REGULATORY NSL COMPLEX SUBUNIT 3/TESTIS-EXPRESSED SEQUENCE 30 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(65152, NULL, 'PTHR10334:SF385', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(65153, NULL, 'PTHR47178:SF4', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE APTC', NULL, NULL, NULL, 15),
(65154, NULL, 'PTHR46298:SF1', NULL, NULL, NULL, NULL, 'ANDROGLOBIN', NULL, NULL, NULL, 15),
(65155, NULL, 'PTHR47293:SF7', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 34-RELATED', NULL, NULL, NULL, 15),
(65156, NULL, 'PTHR31985:SF178', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF035', NULL, NULL, NULL, 15),
(65157, NULL, 'PTHR12056', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III', NULL, NULL, 30940, 15),
(65158, NULL, 'PTHR23070:SF126', NULL, NULL, NULL, NULL, 'P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(65159, NULL, 'PTHR34372:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C-4-RELATED', NULL, NULL, NULL, 15),
(65160, NULL, 'PTHR24056:SF176', NULL, NULL, NULL, NULL, 'OS01G0367700 PROTEIN', NULL, NULL, NULL, 15),
(65161, NULL, 'PTHR30352', NULL, NULL, NULL, NULL, 'PYRUVATE FORMATE-LYASE-ACTIVATING ENZYME', NULL, NULL, 33403, 15),
(65162, NULL, 'PTHR10742:SF387', NULL, NULL, NULL, NULL, 'BNAC04G52890D PROTEIN', NULL, NULL, NULL, 15),
(65163, NULL, 'PTHR34130', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65164, NULL, 'PTHR21592:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG03557', NULL, NULL, NULL, 15),
(65165, NULL, 'PTHR45708:SF51', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 18 PROTEIN', NULL, NULL, NULL, 15),
(65166, NULL, 'PTHR24282:SF206', NULL, NULL, NULL, NULL, 'STEROID C-22 OXYGENASE', NULL, NULL, NULL, 15),
(65167, NULL, 'PTHR31444:SF39', NULL, NULL, NULL, NULL, 'PROTEIN IRX15-LIKE', NULL, NULL, NULL, 15),
(65168, NULL, 'PTHR12247:SF62', NULL, NULL, NULL, NULL, 'SCM-LIKE WITH FOUR MBT DOMAINS PROTEIN 2', NULL, NULL, NULL, 15),
(65169, NULL, 'PTHR23155:SF1033', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65170, NULL, 'PTHR31356:SF52', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 4, PEROXISOMAL-RELATED', NULL, NULL, NULL, 15),
(65171, NULL, 'PTHR34496:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65172, NULL, 'PTHR46219:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG10467', NULL, NULL, NULL, 15),
(65173, NULL, 'PTHR47990:SF29', NULL, NULL, NULL, NULL, 'BNAC03G30370D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65174, NULL, 'PTHR42111', NULL, NULL, NULL, NULL, 'YALI0D23727P', NULL, NULL, NULL, 15),
(65175, NULL, 'PTHR33090:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65176, NULL, 'PTHR31325:SF218', NULL, NULL, NULL, NULL, 'OS01G0143400 PROTEIN', NULL, NULL, NULL, 15),
(65177, NULL, 'PTHR32077:SF43', NULL, NULL, NULL, NULL, 'OSJNBA0089K21.15 PROTEIN', NULL, NULL, NULL, 15),
(65178, NULL, 'PTHR21541', NULL, NULL, NULL, NULL, 'BTB  POZ  DOMAIN CONTAINING 12', NULL, NULL, NULL, 15),
(65179, NULL, 'PTHR44337:SF5', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 6', NULL, NULL, NULL, 15),
(65180, NULL, 'PTHR11011:SF91', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(65181, NULL, 'PTHR22849:SF113', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 29', NULL, NULL, NULL, 15),
(65182, NULL, 'PTHR45648:SF120', NULL, NULL, NULL, NULL, 'OS04G0561800 PROTEIN', NULL, NULL, NULL, 15),
(65183, NULL, 'PTHR24326:SF597', NULL, NULL, NULL, NULL, 'BNAA02G11290D PROTEIN', NULL, NULL, NULL, 15),
(65184, NULL, 'PTHR45667:SF24', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE CARRIER 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(65185, NULL, 'PTHR10996:SF147', NULL, NULL, NULL, NULL, 'OSJNBB0085F13.13 PROTEIN', NULL, NULL, NULL, 15),
(65186, NULL, 'PTHR23101:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65187, NULL, 'PTHR18947:SF41', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 88B', NULL, NULL, NULL, 15),
(65188, NULL, 'PTHR23219:SF13', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE C15H7.3-RELATED', NULL, NULL, NULL, 15),
(65189, NULL, 'PTHR47928:SF130', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(65190, NULL, 'PTHR24381:SF138', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 619', NULL, NULL, NULL, 15),
(65191, NULL, 'PTHR10795:SF630', NULL, NULL, NULL, NULL, 'CUCUMISIN PROTEIN', NULL, NULL, NULL, 15),
(65192, NULL, 'PTHR28554', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L45, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(65193, NULL, 'PTHR11347:SF115', NULL, NULL, NULL, NULL, 'ROD CGMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE SUBUNIT ALPHA', NULL, NULL, 27412, 15),
(65194, NULL, 'PTHR36854:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(65195, NULL, 'PTHR36350', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(65196, NULL, 'PTHR32100:SF19', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL OELATE/LINOLEIC ACID DELTA DESATURASE (EUROFUNG)', NULL, NULL, NULL, 15),
(65197, NULL, 'PTHR13318:SF150', NULL, NULL, NULL, NULL, 'F-BOX/LRR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(65198, NULL, 'PTHR31989:SF269', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 60', NULL, NULL, NULL, 15),
(65199, NULL, 'PTHR23273:SF68', NULL, NULL, NULL, NULL, 'BNAC08G15530D PROTEIN', NULL, NULL, NULL, 15),
(65200, NULL, 'PTHR22781:SF13', NULL, NULL, NULL, NULL, 'BNACNNG77970D PROTEIN', NULL, NULL, NULL, 15),
(65201, NULL, 'PTHR10257:SF73', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 57 KDA REGULATORY SUBUNIT B'' THETA ISOFORM', NULL, NULL, NULL, 15),
(65202, NULL, 'PTHR47364:SF26', NULL, NULL, NULL, NULL, 'BNAANNG17020D PROTEIN', NULL, NULL, NULL, 15),
(65203, NULL, 'PTHR11232:SF2', NULL, NULL, NULL, NULL, 'FI05246P', NULL, NULL, NULL, 15),
(65204, NULL, 'PTHR36221', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 4182, 15),
(65205, NULL, 'PTHR22442:SF3', NULL, NULL, NULL, NULL, 'SOLUBLE LAMIN-ASSOCIATED PROTEIN OF 75 KDA', NULL, NULL, 24370, 15),
(65206, NULL, 'PTHR10635:SF2', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA', NULL, NULL, NULL, 15),
(65207, NULL, 'PTHR23079:SF17', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(65208, NULL, 'PTHR11913:SF20', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 11', NULL, NULL, NULL, 15),
(65209, NULL, 'PTHR24416:SF113', NULL, NULL, NULL, NULL, 'MACROPHAGE-STIMULATING PROTEIN RECEPTOR', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65210, NULL, 'PTHR11266:SF28', NULL, NULL, NULL, NULL, 'SI:CH211-120K19.1', NULL, NULL, NULL, 15),
(65211, NULL, 'PTHR33067:SF22', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG DOMAIN, ASPARTIC PEPTIDASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(65212, NULL, 'PTHR11640:SF136', NULL, NULL, NULL, NULL, 'NEPHRIN', NULL, NULL, NULL, 15),
(65213, NULL, 'PTHR24359:SF31', NULL, NULL, NULL, NULL, 'BNAC08G43810D PROTEIN', NULL, NULL, NULL, 15),
(65214, NULL, 'PTHR30074:SF5', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE, NITRATE-INDUCIBLE, CYTOCHROME B556(FDN) SUBUNIT', NULL, NULL, NULL, 15),
(65215, NULL, 'PTHR36578:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(65216, NULL, 'PTHR11003:SF111', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(65217, NULL, 'PTHR27004:SF352', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65218, NULL, 'PTHR19375:SF356', NULL, NULL, NULL, NULL, 'OS09G0491772 PROTEIN', NULL, NULL, NULL, 15),
(65219, NULL, 'PTHR31650:SF28', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(65220, NULL, 'PTHR28595:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L54, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(65221, NULL, 'PTHR34145:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65222, NULL, 'PTHR12191:SF32', NULL, NULL, NULL, NULL, 'ZRT (ZRT), IRT-(IRT-) LIKE PROTEIN TRANSPORTER', NULL, NULL, NULL, 15),
(65223, NULL, 'PTHR11738:SF129', NULL, NULL, NULL, NULL, 'LEUKOCYTE-ASSOCIATED IMMUNOGLOBULIN-LIKE RECEPTOR 2', NULL, NULL, NULL, 15),
(65224, NULL, 'PTHR34367:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65225, NULL, 'PTHR11214:SF306', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(65226, NULL, 'PTHR19965', NULL, NULL, NULL, NULL, 'RNA AND EXPORT FACTOR BINDING PROTEIN', NULL, NULL, NULL, 15),
(65227, NULL, 'PTHR30164', NULL, NULL, NULL, NULL, 'MTFA PEPTIDASE', NULL, NULL, 9501, 15),
(65228, NULL, 'PTHR24414:SF128', NULL, NULL, NULL, NULL, 'BNACNNG44470D PROTEIN', NULL, NULL, NULL, 15),
(65229, NULL, 'PTHR24064:SF335', NULL, NULL, NULL, NULL, 'FI24011P1-RELATED', NULL, NULL, NULL, 15),
(65230, NULL, 'PTHR24361:SF739', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE OSR1-LIKE', NULL, NULL, NULL, 15),
(65231, NULL, 'PTHR24033:SF186', NULL, NULL, NULL, NULL, 'PROTEIN EYES SHUT HOMOLOG', NULL, NULL, NULL, 15),
(65232, NULL, 'PTHR43704:SF3', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN ASNC/LRP FAMILY', NULL, NULL, NULL, 15),
(65233, NULL, 'PTHR23235:SF67', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 352', NULL, NULL, NULL, 15),
(65234, NULL, 'PTHR15407:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG11699', NULL, NULL, NULL, 15),
(65235, NULL, 'PTHR14898:SF2', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB-LIKE PROTEIN', NULL, NULL, NULL, 15),
(65236, NULL, 'PTHR31257', NULL, NULL, NULL, NULL, 'RICIN B-LIKE LECTIN EULS3', NULL, NULL, 34112, 15),
(65237, NULL, 'PTHR11926:SF1134', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(65238, NULL, 'PTHR10353:SF122', NULL, NULL, NULL, NULL, '6-PHOSPHO-BETA-GLUCOSIDASE ASCB-RELATED', NULL, NULL, NULL, 15),
(65239, NULL, 'PTHR48041:SF75', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY G MEMBER 4', NULL, NULL, NULL, 15),
(65240, NULL, 'PTHR24366:SF109', NULL, NULL, NULL, NULL, 'PROTEIN SINGED WINGS 2', NULL, NULL, NULL, 15),
(65241, NULL, 'PTHR11599', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA/BETA', NULL, NULL, NULL, 15),
(65242, NULL, 'PTHR43719:SF54', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', NULL, NULL, NULL, 15),
(65243, NULL, 'PTHR14304:SF12', NULL, NULL, NULL, NULL, 'CELL CYCLE AND APOPTOSIS REGULATOR PROTEIN 2', NULL, NULL, 27833, 15),
(65244, NULL, 'PTHR10744:SF33', NULL, NULL, NULL, NULL, 'BNAANNG30090D PROTEIN', NULL, NULL, NULL, 15),
(65245, NULL, 'PTHR10826:SF1', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT 1 Q SUBCOMPONENT-BINDING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65246, NULL, 'PTHR46288:SF44', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65247, NULL, 'PTHR22996:SF20', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(65248, NULL, 'PTHR34777:SF18', NULL, NULL, NULL, NULL, 'OS02G0251800 PROTEIN', NULL, NULL, NULL, 15),
(65249, NULL, 'PTHR33133:SF5', NULL, NULL, NULL, NULL, 'OS08G0107100 PROTEIN', NULL, NULL, NULL, 15),
(65250, NULL, 'PTHR24253:SF55', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 13', NULL, NULL, NULL, 15),
(65251, NULL, 'PTHR43536:SF1', NULL, NULL, NULL, NULL, 'MANNOSYLGLYCOPROTEIN ENDO-BETA-MANNOSIDASE', NULL, NULL, 25180, 15),
(65252, NULL, 'PTHR36031', NULL, NULL, NULL, NULL, 'F21O3.15 PROTEIN', NULL, NULL, NULL, 15),
(65253, NULL, 'PTHR10105:SF3', NULL, NULL, NULL, NULL, 'SELENOPROTEIN P', NULL, NULL, NULL, 15),
(65254, NULL, 'PTHR24230:SF31', NULL, NULL, NULL, NULL, 'GALANIN RECEPTOR TYPE 1', NULL, NULL, NULL, 15),
(65255, NULL, 'PTHR11960:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65256, NULL, 'PTHR11588:SF344', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(65257, NULL, 'PTHR11746:SF167', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(65258, NULL, 'PTHR46183:SF15', NULL, NULL, NULL, NULL, 'BNAA09G41010D PROTEIN', NULL, NULL, NULL, 15),
(65259, NULL, 'PTHR33463:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65260, NULL, 'PTHR31989:SF177', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 76-LIKE', NULL, NULL, NULL, 15),
(65261, NULL, 'PTHR10218:SF68', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(T) SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(65262, NULL, 'PTHR16517:SF122', NULL, NULL, NULL, NULL, 'BNAA05G14540D PROTEIN', NULL, NULL, NULL, 15),
(65263, NULL, 'PTHR36365', NULL, NULL, NULL, NULL, 'OS05G0500400 PROTEIN', NULL, NULL, NULL, 15),
(65264, NULL, 'PTHR24056:SF358', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE C', NULL, NULL, NULL, 15),
(65265, NULL, 'PTHR11214:SF259', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(65266, NULL, 'PTHR24281:SF115', NULL, NULL, NULL, NULL, 'BNACNNG68950D PROTEIN', NULL, NULL, NULL, 15),
(65267, NULL, 'PTHR10629:SF50', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE CMT3', NULL, NULL, NULL, 15),
(65268, NULL, 'PTHR43364:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65269, NULL, 'PTHR24286:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65270, NULL, 'PTHR45770:SF9', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 2', NULL, NULL, NULL, 15),
(65271, NULL, 'PTHR43280:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(65272, NULL, 'PTHR31707:SF162', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 51-RELATED', NULL, NULL, NULL, 15),
(65273, NULL, 'PTHR47926:SF225', NULL, NULL, NULL, NULL, 'BNAA06G39630D PROTEIN', NULL, NULL, NULL, 15),
(65274, NULL, 'PTHR13453:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65275, NULL, 'PTHR31805:SF15', NULL, NULL, NULL, NULL, 'OF P53 PROTEIN 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(65276, NULL, 'PTHR12893:SF0', NULL, NULL, NULL, NULL, 'GRASP65', NULL, NULL, NULL, 15),
(65277, NULL, 'PTHR24326:SF525', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX25', NULL, NULL, NULL, 15),
(65278, NULL, 'PTHR45626:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 2', NULL, NULL, NULL, 15),
(65279, NULL, 'PTHR41251', NULL, NULL, NULL, NULL, 'NON-HOMOLOGOUS END JOINING PROTEIN KU', NULL, NULL, 9702, 15),
(65280, NULL, 'PTHR22846:SF52', NULL, NULL, NULL, NULL, 'F-BOX-LIKE/WD REPEAT-CONTAINING PROTEIN TBL1Y', NULL, NULL, NULL, 15),
(65281, NULL, 'PTHR27007:SF338', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VIII.1', NULL, NULL, NULL, 15),
(65282, NULL, 'PTHR43830', NULL, NULL, NULL, NULL, 'PROTEIN PSP1', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65283, NULL, 'PTHR24026:SF75', NULL, NULL, NULL, NULL, 'CADHERIN-RELATED FAMILY MEMBER 2', NULL, NULL, 27344, 15),
(65284, NULL, 'PTHR10593:SF154', NULL, NULL, NULL, NULL, 'OS08G0467100 PROTEIN', NULL, NULL, NULL, 15),
(65285, NULL, 'PTHR31325:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65286, NULL, 'PTHR31174:SF4', NULL, NULL, NULL, NULL, 'OS03G0747500 PROTEIN', NULL, NULL, NULL, 15),
(65287, NULL, 'PTHR48010:SF21', NULL, NULL, NULL, NULL, 'OS07G0681100 PROTEIN', NULL, NULL, NULL, 15),
(65288, NULL, 'PTHR10291:SF35', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(65289, NULL, 'PTHR43768:SF41', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(65290, NULL, 'PTHR21453:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG04724', NULL, NULL, NULL, 15),
(65291, NULL, 'PTHR45589:SF5', NULL, NULL, NULL, NULL, 'MAPKBP1 ISOFORM 4', NULL, NULL, NULL, 15),
(65292, NULL, 'PTHR34808:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65293, NULL, 'PTHR15348:SF18', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(65294, NULL, 'PTHR11243:SF22', NULL, NULL, NULL, NULL, 'GROWTH FACTOR RECEPTOR-BOUND PROTEIN 14', NULL, NULL, 30112, 15),
(65295, NULL, 'PTHR15272:SF3', NULL, NULL, NULL, NULL, 'OS07G0273301 PROTEIN', NULL, NULL, NULL, 15),
(65296, NULL, 'PTHR10617', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN-UBIQUINONE OXIDOREDUCTASE', NULL, NULL, 29738, 15),
(65297, NULL, 'PTHR16469:SF42', NULL, NULL, NULL, NULL, 'BNAA04G27410D PROTEIN', NULL, NULL, NULL, 15),
(65298, NULL, 'PTHR32212:SF257', NULL, NULL, NULL, NULL, 'BNAA03G10780D PROTEIN', NULL, NULL, NULL, 15),
(65299, NULL, 'PTHR35546:SF19', NULL, NULL, NULL, NULL, 'OS01G0876300 PROTEIN', NULL, NULL, NULL, 15),
(65300, NULL, 'PTHR47925:SF72', NULL, NULL, NULL, NULL, 'BNAC09G43810D PROTEIN', NULL, NULL, NULL, 15),
(65301, NULL, 'PTHR22753:SF37', NULL, NULL, NULL, NULL, 'BNAC02G36410D PROTEIN', NULL, NULL, NULL, 15),
(65302, NULL, 'PTHR15048', NULL, NULL, NULL, NULL, 'STARCH-BINDING DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(65303, NULL, 'PTHR31636:SF171', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL1-LIKE', NULL, NULL, NULL, 15),
(65304, NULL, 'PTHR47549', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP38-RELATED', NULL, NULL, NULL, 15),
(65305, NULL, 'PTHR31115:SF6', NULL, NULL, NULL, NULL, 'BNAA01G07190D PROTEIN', NULL, NULL, NULL, 15),
(65306, NULL, 'PTHR33737:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65307, NULL, 'PTHR23338:SF56', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM4-RELATED', NULL, NULL, NULL, 15),
(65308, NULL, 'PTHR35834:SF2', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(65309, NULL, 'PTHR30071:SF15', NULL, NULL, NULL, NULL, 'PROTEIN HEMX', NULL, NULL, NULL, 15),
(65310, NULL, 'PTHR46857:SF1', NULL, NULL, NULL, NULL, 'EPITHELIAL CELL-TRANSFORMING SEQUENCE 2 ONCOGENE-LIKE', NULL, NULL, NULL, 15),
(65311, NULL, 'PTHR24033:SF163', NULL, NULL, NULL, NULL, 'PROTEIN CBG18408', NULL, NULL, NULL, 15),
(65312, NULL, 'PTHR18861', NULL, NULL, NULL, NULL, 'ELKS/RAB6-INTERACTING/CAST PROTEIN', NULL, NULL, NULL, 15),
(65313, NULL, 'PTHR22836:SF0', NULL, NULL, NULL, NULL, 'PRE-MRNA 3'' END PROCESSING PROTEIN WDR33', NULL, NULL, NULL, 15),
(65314, NULL, 'PTHR43719:SF40', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', NULL, NULL, NULL, 15),
(65315, NULL, 'PTHR23119:SF44', NULL, NULL, NULL, NULL, 'PROTEIN SCRIBBLE HOMOLOG', NULL, NULL, NULL, 15),
(65316, NULL, 'PTHR11017:SF379', NULL, NULL, NULL, NULL, 'BNAA02G24560D PROTEIN', NULL, NULL, NULL, 15),
(65317, NULL, 'PTHR11733:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65318, NULL, 'PTHR23024:SF428', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', NULL, NULL, NULL, 15),
(65319, NULL, 'PTHR12059:SF7', NULL, NULL, NULL, NULL, 'BNAC07G51330D PROTEIN', NULL, NULL, NULL, 15),
(65320, NULL, 'PTHR11668:SF194', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65321, NULL, 'PTHR19359:SF68', NULL, NULL, NULL, NULL, 'B5, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G07720)-RELATED', NULL, NULL, NULL, 15),
(65322, NULL, 'PTHR30620:SF85', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 3 PROTEIN', NULL, NULL, NULL, 15),
(65323, NULL, 'PTHR13620:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65324, NULL, 'PTHR24251', NULL, NULL, NULL, NULL, 'OVOCHYMASE-RELATED', NULL, NULL, NULL, 15),
(65325, NULL, 'PTHR47988:SF19', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(65326, NULL, 'PTHR10182:SF28', NULL, NULL, NULL, NULL, 'BNAC09G20270D PROTEIN', NULL, NULL, NULL, 15),
(65327, NULL, 'PTHR31692:SF82', NULL, NULL, NULL, NULL, 'EXPANSIN-B17', NULL, NULL, NULL, 15),
(65328, NULL, 'PTHR11588:SF322', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-3C CHAIN-RELATED', NULL, NULL, NULL, 15),
(65329, NULL, 'PTHR11481:SF11', NULL, NULL, NULL, NULL, 'HIGH AFFINITY IMMUNOGLOBULIN GAMMA FC RECEPTOR I-RELATED', NULL, NULL, NULL, 15),
(65330, NULL, 'PTHR31072:SF175', NULL, NULL, NULL, NULL, 'BNAA02G28500D PROTEIN', NULL, NULL, NULL, 15),
(65331, NULL, 'PTHR31860:SF13', NULL, NULL, NULL, NULL, 'BNAA09G42940D PROTEIN', NULL, NULL, NULL, 15),
(65332, NULL, 'PTHR43378:SF2', NULL, NULL, NULL, NULL, 'UDP-3-O-ACYLGLUCOSAMINE N-ACYLTRANSFERASE 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(65333, NULL, 'PTHR23119:SF50', NULL, NULL, NULL, NULL, 'ERBB2-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(65334, NULL, 'PTHR24208:SF167', NULL, NULL, NULL, NULL, 'FI06571P', NULL, NULL, NULL, 15),
(65335, NULL, 'PTHR31176:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG02297', NULL, NULL, NULL, 15),
(65336, NULL, 'PTHR46684:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR FAMA', NULL, NULL, NULL, 15),
(65337, NULL, 'PTHR33248:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65338, NULL, 'PTHR27000:SF710', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(65339, NULL, 'PTHR24282:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65340, NULL, 'PTHR10168:SF298', NULL, NULL, NULL, NULL, 'BNAC06G18660D PROTEIN', NULL, NULL, NULL, 15),
(65341, NULL, 'PTHR31221:SF253', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 23', NULL, NULL, NULL, 15),
(65342, NULL, 'PTHR10168:SF200', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S6', NULL, NULL, NULL, 15),
(65343, NULL, 'PTHR11157:SF29', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 5', NULL, NULL, NULL, 15),
(65344, NULL, 'PTHR21551:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ASSOCIATED WITH TOPO II RELATED-1, ISOFORM A', NULL, NULL, NULL, 15),
(65345, NULL, 'PTHR45614:SF38', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 100-RELATED', NULL, NULL, NULL, 15),
(65346, NULL, 'PTHR11817:SF40', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE 1', NULL, NULL, NULL, 15),
(65347, NULL, 'PTHR43795:SF30', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(65348, NULL, 'PTHR10366:SF405', NULL, NULL, NULL, NULL, 'OS02G0678400 PROTEIN', NULL, NULL, NULL, 15),
(65349, NULL, 'PTHR32044:SF21', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(65350, NULL, 'PTHR31225:SF99', NULL, NULL, NULL, NULL, '(3S)-LINALOOL/(E)-NEROLIDOL/(E,E)-GERANYL LINALOOL SYNTHASE', NULL, NULL, NULL, 15),
(65351, NULL, 'PTHR24103:SF588', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF CONTAINING 8', NULL, NULL, NULL, 15),
(65352, NULL, 'PTHR15221:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(65353, NULL, 'PTHR10578:SF110', NULL, NULL, NULL, NULL, '(S)-2-HYDROXY-ACID OXIDASE GLO2', NULL, NULL, NULL, 15),
(65354, NULL, 'PTHR11183:SF142', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 2', NULL, NULL, NULL, 15),
(65355, NULL, 'PTHR21230:SF27', NULL, NULL, NULL, NULL, 'NOVEL PLANT SNARE 11', NULL, NULL, NULL, 15),
(65356, NULL, 'PTHR45792:SF8', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL LIPASE HOMOLOG', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65357, NULL, 'PTHR31625:SF70', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65358, NULL, 'PTHR45869:SF6', NULL, NULL, NULL, NULL, 'MUCOSAL PENTRAXIN-RELATED', NULL, NULL, NULL, 15),
(65359, NULL, 'PTHR46021:SF3', NULL, NULL, NULL, NULL, 'ZGC:92360', NULL, NULL, NULL, 15),
(65360, NULL, 'PTHR31168:SF17', NULL, NULL, NULL, NULL, 'OS09G0327000 PROTEIN', NULL, NULL, NULL, 15),
(65361, NULL, 'PTHR22750:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65362, NULL, 'PTHR19443:SF74', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(65363, NULL, 'PTHR31775:SF17', NULL, NULL, NULL, NULL, 'OS02G0117200 PROTEIN', NULL, NULL, NULL, 15),
(65364, NULL, 'PTHR31901:SF64', NULL, NULL, NULL, NULL, 'GH3 FAMILY-RELATED', NULL, NULL, NULL, 15),
(65365, NULL, 'PTHR42756', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, MARR', NULL, NULL, NULL, 15),
(65366, NULL, 'PTHR46022:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PATCHED HOMOLOG 1', NULL, NULL, NULL, 15),
(65367, NULL, 'PTHR45650:SF37', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(65368, NULL, 'PTHR24230:SF32', NULL, NULL, NULL, NULL, 'RELAXIN-3 RECEPTOR 2', NULL, NULL, NULL, 15),
(65369, NULL, 'PTHR48020:SF17', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G06870)-RELATED', NULL, NULL, NULL, 15),
(65370, NULL, 'PTHR34546:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65371, NULL, 'PTHR32212:SF324', NULL, NULL, NULL, NULL, 'BNAC06G41100D PROTEIN', NULL, NULL, NULL, 15),
(65372, NULL, 'PTHR23500:SF30', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 3', NULL, NULL, NULL, 15),
(65373, NULL, 'PTHR11360:SF20', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 7', NULL, NULL, 21790, 15),
(65374, NULL, 'PTHR38324', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 158', NULL, NULL, 32988, 15),
(65375, NULL, 'PTHR18964:SF147', NULL, NULL, NULL, NULL, 'FRUCTOKINASE', NULL, NULL, NULL, 15),
(65376, NULL, 'PTHR14110:SF13', NULL, NULL, NULL, NULL, 'OS02G0526500 PROTEIN', NULL, NULL, NULL, 15),
(65377, NULL, 'PTHR47572', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(65378, NULL, 'PTHR11461:SF186', NULL, NULL, NULL, NULL, 'SERPIN B4', NULL, NULL, NULL, 15),
(65379, NULL, 'PTHR44313:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 17', NULL, NULL, NULL, 15),
(65380, NULL, 'PTHR31585:SF46', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 2-RELATED', NULL, NULL, NULL, 15),
(65381, NULL, 'PTHR43597:SF7', NULL, NULL, NULL, NULL, 'BNAC02G17580D PROTEIN', NULL, NULL, NULL, 15),
(65382, NULL, 'PTHR37706', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(65383, NULL, 'PTHR21425', NULL, NULL, NULL, NULL, 'NICE-3', NULL, NULL, 11802, 15),
(65384, NULL, 'PTHR21286:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP160', NULL, NULL, NULL, 15),
(65385, NULL, 'PTHR48054:SF6', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65386, NULL, 'PTHR31422:SF17', NULL, NULL, NULL, NULL, 'OS08G0269000 PROTEIN', NULL, NULL, NULL, 15),
(65387, NULL, 'PTHR32278:SF59', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B12 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(65388, NULL, 'PTHR15496', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 4 FAMILY', NULL, NULL, 37263, 15),
(65389, NULL, 'PTHR37871:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 22', NULL, NULL, NULL, 15),
(65390, NULL, 'PTHR46224:SF48', NULL, NULL, NULL, NULL, 'OS02G0492900 PROTEIN', NULL, NULL, NULL, 15),
(65391, NULL, 'PTHR39652:SF1', NULL, NULL, NULL, NULL, 'UPF0201 PROTEIN TK1335', NULL, NULL, NULL, 15),
(65392, NULL, 'PTHR42780:SF2', NULL, NULL, NULL, NULL, 'BNAUNNG00270D PROTEIN', NULL, NULL, NULL, 15),
(65393, NULL, 'PTHR31704:SF44', NULL, NULL, NULL, NULL, 'BNAA03G53150D PROTEIN', NULL, NULL, NULL, 15),
(65394, NULL, 'PTHR21708:SF40', NULL, NULL, NULL, NULL, 'REDUCTASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14497)-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65395, NULL, 'PTHR46784', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY B MEMBER 1', NULL, NULL, NULL, 15),
(65396, NULL, 'PTHR33972:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65397, NULL, 'PTHR13315:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TED1', NULL, NULL, 36099, 15),
(65398, NULL, 'PTHR24327:SF35', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC HOMEOBOX PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(65399, NULL, 'PTHR47236:SF2', NULL, NULL, NULL, NULL, 'GENE, 32742-RELATED', NULL, NULL, NULL, 15),
(65400, NULL, 'PTHR11709:SF291', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(65401, NULL, 'PTHR12538:SF21', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', NULL, NULL, NULL, 15),
(65402, NULL, 'PTHR19431:SF1', NULL, NULL, NULL, NULL, 'OS07G0180900 PROTEIN', NULL, NULL, NULL, 15),
(65403, NULL, 'PTHR47990:SF54', NULL, NULL, NULL, NULL, 'NON-HEME DIOXYGENASE IN MORPHINE SYNTHESIS AMINO-TERMINAL PROTEIN', NULL, NULL, NULL, 15),
(65404, NULL, 'PTHR24637:SF260', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 80-RELATED', NULL, NULL, NULL, 15),
(65405, NULL, 'PTHR47372:SF23', NULL, NULL, NULL, NULL, 'BNAA03G57480D PROTEIN', NULL, NULL, NULL, 15),
(65406, NULL, 'PTHR31022:SF4', NULL, NULL, NULL, NULL, 'CENTRIOLE, CILIA AND SPINDLE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(65407, NULL, 'PTHR32468:SF71', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 2', NULL, NULL, NULL, 15),
(65408, NULL, 'PTHR22850:SF206', NULL, NULL, NULL, NULL, 'BNAANNG11080D PROTEIN', NULL, NULL, NULL, 15),
(65409, NULL, 'PTHR47963:SF1', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE CSHB', NULL, NULL, NULL, 15),
(65410, NULL, 'PTHR13691:SF52', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L8-LIKE', NULL, NULL, NULL, 15),
(65411, NULL, 'PTHR10891:SF801', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 30', NULL, NULL, NULL, 15),
(65412, NULL, 'PTHR31342:SF40', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(65413, NULL, 'PTHR45767:SF6', NULL, NULL, NULL, NULL, 'FORKHEAD BOX O6 B', NULL, NULL, NULL, 15),
(65414, NULL, 'PTHR17554:SF2', NULL, NULL, NULL, NULL, 'TYRO PROTEIN TYROSINE KINASE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(65415, NULL, 'PTHR45197', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04190)-RELATED', NULL, NULL, NULL, 15),
(65416, NULL, 'PTHR48010:SF55', NULL, NULL, NULL, NULL, 'OS05G0588300 PROTEIN', NULL, NULL, NULL, 15),
(65417, NULL, 'PTHR24028:SF294', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 10A', NULL, NULL, NULL, 15),
(65418, NULL, 'PTHR48152:SF1', NULL, NULL, NULL, NULL, 'F1C9.34 PROTEIN', NULL, NULL, NULL, 15),
(65419, NULL, 'PTHR39468', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, 33812, 15),
(65420, NULL, 'PTHR45651:SF85', NULL, NULL, NULL, NULL, 'BNAA04G14530D PROTEIN', NULL, NULL, NULL, 15),
(65421, NULL, 'PTHR40465:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(65422, NULL, 'PTHR31669:SF222', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(65423, NULL, 'PTHR33784:SF27', NULL, NULL, NULL, NULL, 'BNAA08G03080D PROTEIN', NULL, NULL, NULL, 15),
(65424, NULL, 'PTHR31225:SF9', NULL, NULL, NULL, NULL, 'OS04G0344100 PROTEIN', NULL, NULL, NULL, 15),
(65425, NULL, 'PTHR33389:SF3', NULL, NULL, NULL, NULL, 'OS07G0580700 PROTEIN', NULL, NULL, NULL, 15),
(65426, NULL, 'PTHR45615:SF47', NULL, NULL, NULL, NULL, 'NON-MUSCLE MYOSIN', NULL, NULL, NULL, 15),
(65427, NULL, 'PTHR13026:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA-PROCESSING 1', NULL, NULL, NULL, 15),
(65428, NULL, 'PTHR12411:SF617', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE CP1', NULL, NULL, NULL, 15),
(65429, NULL, 'PTHR38626:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG18294', NULL, NULL, NULL, 15),
(65430, NULL, 'PTHR21575:SF12', NULL, NULL, NULL, NULL, 'PROTEIN HID1', NULL, NULL, NULL, 15),
(65431, NULL, 'PTHR23050:SF438', NULL, NULL, NULL, NULL, 'CALMODULIN-7', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65432, NULL, 'PTHR36715:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65433, NULL, 'PTHR11751:SF473', NULL, NULL, NULL, NULL, 'ALANINE AMINOTRANSFERASE 2', NULL, NULL, NULL, 15),
(65434, NULL, 'PTHR11005:SF118', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE 1', NULL, NULL, NULL, 15),
(65435, NULL, 'PTHR43620:SF18', NULL, NULL, NULL, NULL, 'BNAC09G52640D PROTEIN', NULL, NULL, NULL, 15),
(65436, NULL, 'PTHR34765:SF1', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 19', NULL, NULL, NULL, 15),
(65437, NULL, 'PTHR21859:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FAM205A-RELATED', NULL, NULL, NULL, 15),
(65438, NULL, 'PTHR26453:SF632', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2L8', NULL, NULL, NULL, 15),
(65439, NULL, 'PTHR33110:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65440, NULL, 'PTHR42923:SF20', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(65441, NULL, 'PTHR11731:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65442, NULL, 'PTHR33124:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH146', NULL, NULL, NULL, 15),
(65443, NULL, 'PTHR48017:SF69', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(65444, NULL, 'PTHR20516', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 114/235 FAMILY MEMBER', NULL, NULL, 32866, 15),
(65445, NULL, 'PTHR12629', NULL, NULL, NULL, NULL, 'DIPHOSPHOINOSITOL POLYPHOSPHATE PHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(65446, NULL, 'PTHR43272:SF82', NULL, NULL, NULL, NULL, 'BACTERIAL LONG-CHAIN FATTY ACID COA SYNTHETASE', NULL, NULL, NULL, 15),
(65447, NULL, 'PTHR15486:SF77', NULL, NULL, NULL, NULL, 'OS08G0131300 PROTEIN', NULL, NULL, NULL, 15),
(65448, NULL, 'PTHR31099:SF18', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC PROTEIN ASY2-RELATED', NULL, NULL, NULL, 15),
(65449, NULL, 'PTHR10288:SF254', NULL, NULL, NULL, NULL, 'PROTEIN BTR1', NULL, NULL, NULL, 15),
(65450, NULL, 'PTHR31568:SF87', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', NULL, NULL, NULL, 15),
(65451, NULL, 'PTHR27001:SF178', NULL, NULL, NULL, NULL, 'OS06G0654600 PROTEIN', NULL, NULL, NULL, 15),
(65452, NULL, 'PTHR31739:SF29', NULL, NULL, NULL, NULL, '(E,E)-GERANYLLINALOOL SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(65453, NULL, 'PTHR34808:SF9', NULL, NULL, NULL, NULL, 'OS04G0458800 PROTEIN', NULL, NULL, NULL, 15),
(65454, NULL, 'PTHR37377:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65455, NULL, 'PTHR12801:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65456, NULL, 'PTHR39308:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65457, NULL, 'PTHR21576:SF45', NULL, NULL, NULL, NULL, 'TRANSPORTER MCH1-RELATED', NULL, NULL, NULL, 15),
(65458, NULL, 'PTHR48001:SF100', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 3A4-RELATED', NULL, NULL, NULL, 15),
(65459, NULL, 'PTHR22812:SF112', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 1', NULL, NULL, NULL, 15),
(65460, NULL, 'PTHR31101:SF2', NULL, NULL, NULL, NULL, 'UPF0547 PROTEIN C16ORF87', NULL, NULL, NULL, 15),
(65461, NULL, 'PTHR23267:SF347', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 1-36', NULL, NULL, NULL, 15),
(65462, NULL, 'PTHR37458:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65463, NULL, 'PTHR45617:SF96', NULL, NULL, NULL, NULL, 'PROTEIN CBR-DMA-1', NULL, NULL, NULL, 15),
(65464, NULL, 'PTHR11831:SF36', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9-2-LIKE', NULL, NULL, NULL, 15),
(65465, NULL, 'PTHR15336:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(65466, NULL, 'PTHR11863:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65467, NULL, 'PTHR31279:SF66', NULL, NULL, NULL, NULL, 'PHOSPHATE-RESPONSIVE 1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65468, NULL, 'PTHR19321:SF33', NULL, NULL, NULL, NULL, 'BNAA04G15970D PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65469, NULL, 'PTHR37323', NULL, NULL, NULL, NULL, 'GCN5-RELATED N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(65470, NULL, 'PTHR32024:SF2', NULL, NULL, NULL, NULL, 'TRK SYSTEM POTASSIUM UPTAKE PROTEIN TRKG-RELATED', NULL, NULL, NULL, 15),
(65471, NULL, 'PTHR33495:SF6', NULL, NULL, NULL, NULL, 'ANTI-SIGMA FACTOR ANTAGONIST', NULL, NULL, NULL, 15),
(65472, NULL, 'PTHR12859:SF3', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65473, NULL, 'PTHR24055:SF459', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIM-1/2/3-RELATED', NULL, NULL, NULL, 15),
(65474, NULL, 'PTHR11673', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 5A FAMILY MEMBER', NULL, NULL, 4247, 15),
(65475, NULL, 'PTHR33052:SF87', NULL, NULL, NULL, NULL, 'POLY POLYMERASE', NULL, NULL, NULL, 15),
(65476, NULL, 'PTHR34491:SF35', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(65477, NULL, 'PTHR13455:SF7', NULL, NULL, NULL, NULL, 'SIMJANG, ISOFORM E', NULL, NULL, NULL, 15),
(65478, NULL, 'PTHR35977:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 71', NULL, NULL, NULL, 15),
(65479, NULL, 'PTHR31503:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65480, NULL, 'PTHR10161:SF51', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(65481, NULL, 'PTHR24115:SF928', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7K, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(65482, NULL, 'PTHR31388:SF9', NULL, NULL, NULL, NULL, 'PEROXIDASE 11', NULL, NULL, NULL, 15),
(65483, NULL, 'PTHR46538:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65484, NULL, 'PTHR34297:SF3', NULL, NULL, NULL, NULL, 'ALKALINE SHOCK PROTEIN 23', NULL, NULL, NULL, 15),
(65485, NULL, 'PTHR31514:SF1', NULL, NULL, NULL, NULL, 'MUSCULAR LMNA-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(65486, NULL, 'PTHR43280:SF14', NULL, NULL, NULL, NULL, 'MELIBIOSE OPERON REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(65487, NULL, 'PTHR12027:SF111', NULL, NULL, NULL, NULL, 'PROTEIN WNT-4', NULL, NULL, NULL, 15),
(65488, NULL, 'PTHR24241:SF161', NULL, NULL, NULL, NULL, 'ARGININE VASOPRESSIN RECEPTOR', NULL, NULL, NULL, 15),
(65489, NULL, 'PTHR48056:SF45', NULL, NULL, NULL, NULL, 'BNAC07G31500D PROTEIN', NULL, NULL, NULL, 15),
(65490, NULL, 'PTHR45036:SF3', NULL, NULL, NULL, NULL, 'BNAC06G30740D PROTEIN', NULL, NULL, NULL, 15),
(65491, NULL, 'PTHR33883:SF7', NULL, NULL, NULL, NULL, 'WPP DOMAIN ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(65492, NULL, 'PTHR10174', NULL, NULL, NULL, NULL, 'ALPHA-TOCOPHEROL TRANSFER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(65493, NULL, 'PTHR23501:SF51', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN B', NULL, NULL, NULL, 15),
(65494, NULL, 'PTHR11005:SF125', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(65495, NULL, 'PTHR46551:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65496, NULL, 'PTHR11224:SF37', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MAKORIN-4-RELATED', NULL, NULL, NULL, 15),
(65497, NULL, 'PTHR26453:SF670', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(65498, NULL, 'PTHR34056', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN', NULL, NULL, 30157, 15),
(65499, NULL, 'PTHR42773', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE-RELATED', NULL, NULL, NULL, 15),
(65500, NULL, 'PTHR35182:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13762', NULL, NULL, NULL, 15),
(65501, NULL, 'PTHR12181:SF56', NULL, NULL, NULL, NULL, 'PHOSPHATIDIC ACID PHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(65502, NULL, 'PTHR10183:SF284', NULL, NULL, NULL, NULL, 'CALPAIN-1 CATALYTIC SUBUNIT', NULL, NULL, 26274, 15),
(65503, NULL, 'PTHR31945:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65504, NULL, 'PTHR46281:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B-3-LIKE', NULL, NULL, NULL, 15),
(65505, NULL, 'PTHR36619', NULL, NULL, NULL, NULL, 'OS04G0208900 PROTEIN', NULL, NULL, NULL, 15),
(65506, NULL, 'PTHR33748:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG04600', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65507, NULL, 'PTHR45648:SF24', NULL, NULL, NULL, NULL, 'OS06G0257600 PROTEIN', NULL, NULL, NULL, 15),
(65508, NULL, 'PTHR11712:SF343', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE', NULL, NULL, NULL, 15),
(65509, NULL, 'PTHR11042:SF85', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE IFKC-RELATED', NULL, NULL, NULL, 15),
(65510, NULL, 'PTHR11742:SF31', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE 1,2-ALPHA-MANNOSIDASE IA', NULL, NULL, NULL, 15),
(65511, NULL, 'PTHR16276:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT DOMAIN-CONTAINING PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(65512, NULL, 'PTHR46777', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 13', NULL, NULL, 38824, 15),
(65513, NULL, 'PTHR48053:SF20', NULL, NULL, NULL, NULL, 'OS03G0228800 PROTEIN', NULL, NULL, NULL, 15),
(65514, NULL, 'PTHR11675:SF16', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(65515, NULL, 'PTHR23155:SF1072', NULL, NULL, NULL, NULL, 'OS07G0521800 PROTEIN', NULL, NULL, NULL, 15),
(65516, NULL, 'PTHR24381:SF344', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 79', NULL, NULL, NULL, 15),
(65517, NULL, 'PTHR31681:SF51', NULL, NULL, NULL, NULL, 'FINGER PROTEIN-RELATED, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(65518, NULL, 'PTHR12357:SF101', NULL, NULL, NULL, NULL, 'BNAA01G33850D PROTEIN', NULL, NULL, NULL, 15),
(65519, NULL, 'PTHR44755:SF2', NULL, NULL, NULL, NULL, 'NATRIURETIC PEPTIDE RECEPTOR 3', NULL, NULL, NULL, 15),
(65520, NULL, 'PTHR15188:SF0', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 14', NULL, NULL, NULL, 15),
(65521, NULL, 'PTHR43014:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE)', NULL, NULL, NULL, 15),
(65522, NULL, 'PTHR13285', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(65523, NULL, 'PTHR44376:SF13', NULL, NULL, NULL, NULL, 'LISH-SSDP-WD40', NULL, NULL, NULL, 15),
(65524, NULL, 'PTHR13169:SF21', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN', NULL, NULL, NULL, 15),
(65525, NULL, 'PTHR11417:SF9', NULL, NULL, NULL, NULL, 'PROLACTIN-7A1-RELATED', NULL, NULL, NULL, 15),
(65526, NULL, 'PTHR12801:SF134', NULL, NULL, NULL, NULL, 'INTERFERON STIMULATED EXONUCLEASE GENE 20', NULL, NULL, NULL, 15),
(65527, NULL, 'PTHR24015:SF1996', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN CHLOROPLASTIC', NULL, NULL, NULL, 15),
(65528, NULL, 'PTHR14568', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE SUPERFAMILY 6 MEMBER 1/2', NULL, NULL, NULL, 15),
(65529, NULL, 'PTHR32044:SF67', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 6-RELATED', NULL, NULL, NULL, 15),
(65530, NULL, 'PTHR34535:SF3', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYPA', NULL, NULL, NULL, 15),
(65531, NULL, 'PTHR13832:SF165', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 49-RELATED', NULL, NULL, NULL, 15),
(65532, NULL, 'PTHR45941', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65533, NULL, 'PTHR10641:SF1295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65534, NULL, 'PTHR28090:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ROT1', NULL, NULL, NULL, 15),
(65535, NULL, 'PTHR23335:SF19', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 4-LIKE', NULL, NULL, NULL, 15),
(65536, NULL, 'PTHR22814:SF325', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 20', NULL, NULL, NULL, 15),
(65537, NULL, 'PTHR13232:SF11', NULL, NULL, NULL, NULL, 'NAD(P)H-HYDRATE EPIMERASE', NULL, NULL, NULL, 15),
(65538, NULL, 'PTHR47603:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65539, NULL, 'PTHR13866:SF18', NULL, NULL, NULL, NULL, 'TESTICAN-2', NULL, NULL, NULL, 15),
(65540, NULL, 'PTHR10410:SF6', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 5', NULL, NULL, 35084, 15),
(65541, NULL, 'PTHR36396', NULL, NULL, NULL, NULL, 'MALTASE-GLUCOAMYLASE, INTESTINAL PROTEIN', NULL, NULL, NULL, 15),
(65542, NULL, 'PTHR48052:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65543, NULL, 'PTHR32028', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN M', NULL, NULL, 17273, 15),
(65544, NULL, 'PTHR47958:SF106', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN ISOFORM 4', NULL, NULL, NULL, 15),
(65545, NULL, 'PTHR12224:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65546, NULL, 'PTHR22955', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON', NULL, NULL, NULL, 15),
(65547, NULL, 'PTHR18935:SF9', NULL, NULL, NULL, NULL, 'JANUS KINASE AND MICROTUBULE-INTERACTING PROTEIN 3', NULL, NULL, NULL, 15),
(65548, NULL, 'PTHR16230:SF4', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 4', NULL, NULL, NULL, 15),
(65549, NULL, 'PTHR37016', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65550, NULL, 'PTHR11686:SF65', NULL, NULL, NULL, NULL, 'BNAA06G40450D PROTEIN', NULL, NULL, NULL, 15),
(65551, NULL, 'PTHR43539:SF38', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA6', NULL, NULL, NULL, 15),
(65552, NULL, 'PTHR11040:SF173', NULL, NULL, NULL, NULL, 'BNACNNG46010D PROTEIN', NULL, NULL, NULL, 15),
(65553, NULL, 'PTHR23021:SF15', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(65554, NULL, 'PTHR11071:SF449', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP21-1', NULL, NULL, NULL, 15),
(65555, NULL, 'PTHR26452:SF820', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65556, NULL, 'PTHR31174:SF36', NULL, NULL, NULL, NULL, 'BNAA03G12360D PROTEIN', NULL, NULL, NULL, 15),
(65557, NULL, 'PTHR44991', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 5', NULL, NULL, 40030, 15),
(65558, NULL, 'PTHR31189:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65559, NULL, 'PTHR47990:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65560, NULL, 'PTHR48049:SF68', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71C5', NULL, NULL, NULL, 15),
(65561, NULL, 'PTHR23155:SF1118', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPP13-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(65562, NULL, 'PTHR11959:SF11', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE', NULL, NULL, NULL, 15),
(65563, NULL, 'PTHR11799:SF14', NULL, NULL, NULL, NULL, 'SERUM PARAOXONASE/LACTONASE 3', NULL, NULL, NULL, 15),
(65564, NULL, 'PTHR36034:SF3', NULL, NULL, NULL, NULL, 'BNAA01G27160D PROTEIN', NULL, NULL, NULL, 15),
(65565, NULL, 'PTHR31251:SF130', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(65566, NULL, 'PTHR24015:SF1963', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65567, NULL, 'PTHR11945:SF582', NULL, NULL, NULL, NULL, 'MYOCYTE ENHANCER FACTOR 2D', NULL, NULL, NULL, 15),
(65568, NULL, 'PTHR12741:SF79', NULL, NULL, NULL, NULL, 'OS02G0247000 PROTEIN', NULL, NULL, NULL, 15),
(65569, NULL, 'PTHR24055:SF392', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 20', NULL, NULL, NULL, 15),
(65570, NULL, 'PTHR47361:SF4', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(65571, NULL, 'PTHR10996:SF178', NULL, NULL, NULL, NULL, 'GLYOXYLATE REDUCTASE 1', NULL, NULL, NULL, 15),
(65572, NULL, 'PTHR36742:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-G HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(65573, NULL, 'PTHR31989:SF216', NULL, NULL, NULL, NULL, 'OS10G0402100 PROTEIN', NULL, NULL, NULL, 15),
(65574, NULL, 'PTHR43721:SF2', NULL, NULL, NULL, NULL, 'AT01345P', NULL, NULL, NULL, 15),
(65575, NULL, 'PTHR36175:SF1', NULL, NULL, NULL, NULL, 'CYANOPHYCINASE', NULL, NULL, NULL, 15),
(65576, NULL, 'PTHR47993:SF165', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65577, NULL, 'PTHR32212:SF285', NULL, NULL, NULL, NULL, 'FBD / LEUCINE RICH REPEAT DOMAINS CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(65578, NULL, 'PTHR24064:SF548', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65579, NULL, 'PTHR27001:SF693', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65580, NULL, 'PTHR13857:SF26', NULL, NULL, NULL, NULL, 'C-U-EDITING ENZYME APOBEC-1', NULL, NULL, NULL, 15),
(65581, NULL, 'PTHR31705:SF6', NULL, NULL, NULL, NULL, 'ZGC:114119', NULL, NULL, NULL, 15),
(65582, NULL, 'PTHR31384:SF137', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(65583, NULL, 'PTHR12277:SF169', NULL, NULL, NULL, NULL, 'BNAA02G04910D PROTEIN', NULL, NULL, NULL, 15),
(65584, NULL, 'PTHR45675:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65585, NULL, 'PTHR12178:SF11', NULL, NULL, NULL, NULL, 'N-TERMINAL EF-HAND CALCIUM-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(65586, NULL, 'PTHR35483:SF5', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(65587, NULL, 'PTHR24282:SF148', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 72A15-LIKE', NULL, NULL, NULL, 15),
(65588, NULL, 'PTHR31731:SF19', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN DC2.15', NULL, NULL, NULL, 15),
(65589, NULL, 'PTHR31495:SF17', NULL, NULL, NULL, NULL, 'CALEOSIN', NULL, NULL, NULL, 15),
(65590, NULL, 'PTHR30437:SF5', NULL, NULL, NULL, NULL, 'REGULATOR OF NUCLEOSIDE DIPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(65591, NULL, 'PTHR42985:SF31', NULL, NULL, NULL, NULL, 'LD47995P-RELATED', NULL, NULL, NULL, 15),
(65592, NULL, 'PTHR45641:SF12', NULL, NULL, NULL, NULL, 'LIPA AND NB-ARC DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G11500)', NULL, NULL, NULL, 15),
(65593, NULL, 'PTHR12271:SF33', NULL, NULL, NULL, NULL, 'POLY(A) RNA POLYMERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(65594, NULL, 'PTHR32347', NULL, NULL, NULL, NULL, 'EFFLUX SYSTEM COMPONENT YKNX-RELATED', NULL, NULL, NULL, 15),
(65595, NULL, 'PTHR14571:SF8', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 23', NULL, NULL, NULL, 15),
(65596, NULL, 'PTHR22777:SF29', NULL, NULL, NULL, NULL, 'UPF0053 PROTEIN SLL0260', NULL, NULL, NULL, 15),
(65597, NULL, 'PTHR31194:SF67', NULL, NULL, NULL, NULL, 'AP2-EREBP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(65598, NULL, 'PTHR45724:SF26', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP7-1-RELATED', NULL, NULL, NULL, 15),
(65599, NULL, 'PTHR16465:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER MATRIN-TYPE PROTEIN 5', NULL, NULL, NULL, 15),
(65600, NULL, 'PTHR12538:SF1', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', NULL, NULL, NULL, 15),
(65601, NULL, 'PTHR12991:SF10', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN NPRL2', NULL, NULL, NULL, 15),
(65602, NULL, 'PTHR48047:SF47', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(65603, NULL, 'PTHR34677:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(65604, NULL, 'PTHR10648:SF32', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 65 KDA REGULATORY SUBUNIT A ALPHA ISOFORM', NULL, NULL, NULL, 15),
(65605, NULL, 'PTHR31421:SF17', NULL, NULL, NULL, NULL, 'PROTEIN BASIC PENTACYSTEINE3', NULL, NULL, NULL, 15),
(65606, NULL, 'PTHR22989:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG23469', NULL, NULL, NULL, 15),
(65607, NULL, 'PTHR12827', NULL, NULL, NULL, NULL, 'MEIOTIC CHECKPOINT REGULATOR TSG24 FAMILY MEMBER', NULL, NULL, 23273, 15),
(65608, NULL, 'PTHR11224:SF38', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MAKORIN-3-RELATED', NULL, NULL, 22109, 15),
(65609, NULL, 'PTHR38702', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65610, NULL, 'PTHR45081', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(65611, NULL, 'PTHR11911:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65612, NULL, 'PTHR24377:SF246', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 30 HOMOLOG', NULL, NULL, NULL, 15),
(65613, NULL, 'PTHR31232:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65614, NULL, 'PTHR45639:SF15', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 16', NULL, NULL, NULL, 15),
(65615, NULL, 'PTHR35284:SF1', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 24A, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65616, NULL, 'PTHR46690:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 6 HOMOLOG', NULL, NULL, NULL, 15),
(65617, NULL, 'PTHR24359:SF30', NULL, NULL, NULL, NULL, 'SH3 DOMAIN BINDING KINASE FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(65618, NULL, 'PTHR24055:SF72', NULL, NULL, NULL, NULL, 'MAPK/MAK/MRK OVERLAPPING KINASE', NULL, NULL, NULL, 15),
(65619, NULL, 'PTHR22599:SF56', NULL, NULL, NULL, NULL, 'MOB-LIKE PROTEIN PHOCEIN', NULL, NULL, NULL, 15),
(65620, NULL, 'PTHR15162:SF5', NULL, NULL, NULL, NULL, 'N-ACYL-AROMATIC-L-AMINO ACID AMIDOHYDROLASE (CARBOXYLATE-FORMING)', NULL, NULL, NULL, 15),
(65621, NULL, 'PTHR39583', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN J-RELATED', NULL, NULL, NULL, 15),
(65622, NULL, 'PTHR24055:SF146', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 12', NULL, NULL, NULL, 15),
(65623, NULL, 'PTHR46897:SF1', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 4', NULL, NULL, NULL, 15),
(65624, NULL, 'PTHR12847:SF5', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 16', NULL, NULL, NULL, 15),
(65625, NULL, 'PTHR21596:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65626, NULL, 'PTHR46514:SF3', NULL, NULL, NULL, NULL, 'AMPHIPHYSIN', NULL, NULL, NULL, 15),
(65627, NULL, 'PTHR24240:SF67', NULL, NULL, NULL, NULL, 'TELEOST MULTIPLE TISSUE OPSIN 3A', NULL, NULL, NULL, 15),
(65628, NULL, 'PTHR47902', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 119', NULL, NULL, NULL, 15),
(65629, NULL, 'PTHR34485', NULL, NULL, NULL, NULL, 'PROLINE-RICH, LACRIMAL 1', NULL, NULL, NULL, 15),
(65630, NULL, 'PTHR44272:SF2', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 16', NULL, NULL, NULL, 15),
(65631, NULL, 'PTHR11902:SF47', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ENOLASE 2/TRANSCRIPTIONAL ACTIVATOR', NULL, NULL, NULL, 15),
(65632, NULL, 'PTHR24177:SF262', NULL, NULL, NULL, NULL, 'OS11G0682000 PROTEIN', NULL, NULL, NULL, 15),
(65633, NULL, 'PTHR23505:SF51', NULL, NULL, NULL, NULL, 'TETRACYCLINE RESISTANCE PROTEIN, CLASS B-LIKE', NULL, NULL, NULL, 15),
(65634, NULL, 'PTHR45844', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH30', NULL, NULL, 38822, 15),
(65635, NULL, 'PTHR31153:SF12', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(65636, NULL, 'PTHR35464:SF2', NULL, NULL, NULL, NULL, 'F18O14.9', NULL, NULL, NULL, 15),
(65637, NULL, 'PTHR42963', NULL, NULL, NULL, NULL, 'CHROMOSOME PARTITION PROTEIN MUKB', NULL, NULL, NULL, 15),
(65638, NULL, 'PTHR32370:SF123', NULL, NULL, NULL, NULL, 'OS01G0780600 PROTEIN', NULL, NULL, NULL, 15),
(65639, NULL, 'PTHR48007:SF16', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 1 ISOFORM X1', NULL, NULL, NULL, 15),
(65640, NULL, 'PTHR11802:SF393', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(65641, NULL, 'PTHR32285:SF7', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 3', NULL, NULL, 27692, 15),
(65642, NULL, 'PTHR19226', NULL, NULL, NULL, NULL, 'THY-1 MEMBRANE GLYCOPROTEIN', NULL, NULL, 30855, 15),
(65643, NULL, 'PTHR10766:SF125', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(65644, NULL, 'PTHR45658:SF43', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(65645, NULL, 'PTHR13131:SF9', NULL, NULL, NULL, NULL, 'CYSTINOSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(65646, NULL, 'PTHR47926:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65647, NULL, 'PTHR12356:SF31', NULL, NULL, NULL, NULL, 'PROTEIN BOBBER 1-LIKE', NULL, NULL, NULL, 15),
(65648, NULL, 'PTHR36012:SF4', NULL, NULL, NULL, NULL, 'OS08G0385000 PROTEIN', NULL, NULL, NULL, 15),
(65649, NULL, 'PTHR31235:SF333', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(65650, NULL, 'PTHR31388:SF142', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(65651, NULL, 'PTHR47998:SF36', NULL, NULL, NULL, NULL, 'OS09G0401000 PROTEIN', NULL, NULL, NULL, 15),
(65652, NULL, 'PTHR33544:SF14', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65653, NULL, 'PTHR42877:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65654, NULL, 'PTHR33107:SF40', NULL, NULL, NULL, NULL, 'TRYPSIN INHIBITOR A', NULL, NULL, NULL, 15),
(65655, NULL, 'PTHR47406:SF2', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR 5/8 TYPE, C-TERMINAL', NULL, NULL, NULL, 15),
(65656, NULL, 'PTHR47533:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG00837', NULL, NULL, NULL, 15),
(65657, NULL, 'PTHR43673:SF8', NULL, NULL, NULL, NULL, 'PROTEIN DRGA', NULL, NULL, NULL, 15),
(65658, NULL, 'PTHR23236:SF71', NULL, NULL, NULL, NULL, 'BNAA02G11420D PROTEIN', NULL, NULL, NULL, 15),
(65659, NULL, 'PTHR48094:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DJ-1 HOMOLOG C', NULL, NULL, NULL, 15),
(65660, NULL, 'PTHR34576:SF8', NULL, NULL, NULL, NULL, 'KINASE REGULATOR-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(65661, NULL, 'PTHR39112:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 27', NULL, NULL, NULL, 15),
(65662, NULL, 'PTHR15907:SF167', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 2-LIKE', NULL, NULL, NULL, 15),
(65663, NULL, 'PTHR19134:SF358', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(65664, NULL, 'PTHR34550:SF2', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S31, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(65665, NULL, 'PTHR19241:SF621', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 49', NULL, NULL, NULL, 15),
(65666, NULL, 'PTHR36461:SF1', NULL, NULL, NULL, NULL, 'COORDINATOR OF PRMT5 AND DIFFERENTIATION STIMULATOR', NULL, NULL, NULL, 15),
(65667, NULL, 'PTHR22298:SF129', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 24', NULL, NULL, NULL, 15),
(65668, NULL, 'PTHR46869:SF1', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(65669, NULL, 'PTHR13773:SF24', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(65670, NULL, 'PTHR19961:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65671, NULL, 'PTHR48092:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65672, NULL, 'PTHR22972:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PINK1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(65673, NULL, 'PTHR34268:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65674, NULL, 'PTHR34273', NULL, NULL, NULL, NULL, 'METHYLTHIORIBOSE KINASE', NULL, NULL, NULL, 15),
(65675, NULL, 'PTHR43544:SF10', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65676, NULL, 'PTHR33095:SF5', NULL, NULL, NULL, NULL, 'OS06G0215100 PROTEIN', NULL, NULL, NULL, 15),
(65677, NULL, 'PTHR24423:SF624', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', NULL, NULL, NULL, 15),
(65678, NULL, 'PTHR12850:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S25-1-RELATED', NULL, NULL, NULL, 15),
(65679, NULL, 'PTHR12555:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN FUSION DEGRADATION UFD1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65680, NULL, 'PTHR33127:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65681, NULL, 'PTHR31152:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65682, NULL, 'PTHR24383', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(65683, NULL, 'PTHR43806:SF7', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND TRANSCRIPTION FACTOR SITE-1 PROTEASE', NULL, NULL, NULL, 15),
(65684, NULL, 'PTHR10166:SF7', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL SUBUNIT ALPHA-2/DELTA-2', NULL, NULL, NULL, 15),
(65685, NULL, 'PTHR48022:SF19', NULL, NULL, NULL, NULL, 'HIGH AFFINITY GLUCOSE TRANSPORTER GHT1', NULL, NULL, NULL, 15),
(65686, NULL, 'PTHR31213:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65687, NULL, 'PTHR48090:SF6', NULL, NULL, NULL, NULL, 'SLR5056 PROTEIN', NULL, NULL, NULL, 15),
(65688, NULL, 'PTHR45827', NULL, NULL, NULL, NULL, 'SORTING NEXIN', NULL, NULL, NULL, 15),
(65689, NULL, 'PTHR47990:SF30', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 1', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65690, NULL, 'PTHR47782:SF1', NULL, NULL, NULL, NULL, 'PYRIMIDINE PATHWAY REGULATORY PROTEIN 1', NULL, NULL, NULL, 15),
(65691, NULL, 'PTHR24416:SF377', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 7', NULL, NULL, NULL, 15),
(65692, NULL, 'PTHR36397:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0081L15.1 PROTEIN', NULL, NULL, NULL, 15),
(65693, NULL, 'PTHR10057:SF15', NULL, NULL, NULL, NULL, 'TSPO/MBR-RELATED PROTEIN', NULL, NULL, NULL, 15),
(65694, NULL, 'PTHR23420', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', NULL, NULL, 3724, 15),
(65695, NULL, 'PTHR43490:SF66', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(65696, NULL, 'PTHR33973:SF4', NULL, NULL, NULL, NULL, 'OS07G0153300 PROTEIN', NULL, NULL, NULL, 15),
(65697, NULL, 'PTHR16100:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(65698, NULL, 'PTHR24064:SF468', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 13A', NULL, NULL, NULL, 15),
(65699, NULL, 'PTHR24292:SF91', NULL, NULL, NULL, NULL, 'CYP9F3-RELATED', NULL, NULL, NULL, 15),
(65700, NULL, 'PTHR48044:SF2', NULL, NULL, NULL, NULL, 'CYANIDIN-3-O-GLUCOSIDE 2-O-GLUCURONOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(65701, NULL, 'PTHR10638:SF40', NULL, NULL, NULL, NULL, 'PRIMARY AMINE OXIDASE 1', NULL, NULL, NULL, 15),
(65702, NULL, 'PTHR19325:SF493', NULL, NULL, NULL, NULL, 'E-SELECTIN', NULL, NULL, NULL, 15),
(65703, NULL, 'PTHR14514:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65704, NULL, 'PTHR12632:SF49', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-3', NULL, NULL, NULL, 15),
(65705, NULL, 'PTHR23024:SF493', NULL, NULL, NULL, NULL, 'DEACETYLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(65706, NULL, 'PTHR43400:SF8', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE 1-RELATED', NULL, NULL, NULL, 15),
(65707, NULL, 'PTHR33326:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65708, NULL, 'PTHR11394:SF30', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 104', NULL, NULL, NULL, 15),
(65709, NULL, 'PTHR10606:SF73', NULL, NULL, NULL, NULL, 'OS05G0164100 PROTEIN', NULL, NULL, NULL, 15),
(65710, NULL, 'PTHR13453:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65711, NULL, 'PTHR11592:SF90', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE-RELATED', NULL, NULL, NULL, 15),
(65712, NULL, 'PTHR31375:SF244', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(65713, NULL, 'PTHR27007:SF1', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.9', NULL, NULL, NULL, 15),
(65714, NULL, 'PTHR35936:SF18', NULL, NULL, NULL, NULL, 'L-CYSTINE-BINDING PROTEIN TCYJ', NULL, NULL, NULL, 15),
(65715, NULL, 'PTHR11849:SF59', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PROTEIN', NULL, NULL, NULL, 15),
(65716, NULL, 'PTHR24298:SF810', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(65717, NULL, 'PTHR46249:SF31', NULL, NULL, NULL, NULL, 'BNAC08G47480D PROTEIN', NULL, NULL, NULL, 15),
(65718, NULL, 'PTHR12317:SF10', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 2-LIKE PROTEIN DGAT2L7P-RELATED', NULL, NULL, NULL, 15),
(65719, NULL, 'PTHR24393:SF63', NULL, NULL, NULL, NULL, 'PR/SET DOMAIN 13', NULL, NULL, NULL, 15),
(65720, NULL, 'PTHR13245:SF14', NULL, NULL, NULL, NULL, 'RRP15-LIKE PROTEIN', NULL, NULL, NULL, 15),
(65721, NULL, 'PTHR46719:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65722, NULL, 'PTHR46466:SF1', NULL, NULL, NULL, NULL, 'GLYOXALASE DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(65723, NULL, 'PTHR23155:SF950', NULL, NULL, NULL, NULL, 'OS05G0585200 PROTEIN', NULL, NULL, NULL, 15),
(65724, NULL, 'PTHR11440:SF87', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID:DIACYLGLYCEROL ACYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(65725, NULL, 'PTHR33790:SF13', NULL, NULL, NULL, NULL, 'BNAC03G23350D PROTEIN', NULL, NULL, NULL, 15),
(65726, NULL, 'PTHR45138:SF3', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCC-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65727, NULL, 'PTHR31301:SF149', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(65728, NULL, 'PTHR32222:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN U', NULL, NULL, NULL, 15),
(65729, NULL, 'PTHR46991:SF18', NULL, NULL, NULL, NULL, '26.2 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(65730, NULL, 'PTHR11588:SF364', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(65731, NULL, 'PTHR32246:SF15', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65732, NULL, 'PTHR11886:SF35', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN 2, CYTOPLASMIC', NULL, NULL, NULL, 15),
(65733, NULL, 'PTHR11654:SF333', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 7.2', NULL, NULL, NULL, 15),
(65734, NULL, 'PTHR10075:SF55', NULL, NULL, NULL, NULL, 'CONTACTIN-2', NULL, NULL, 27214, 15),
(65735, NULL, 'PTHR31139:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65736, NULL, 'PTHR31065:SF58', NULL, NULL, NULL, NULL, 'BNAA02G36800D PROTEIN', NULL, NULL, NULL, 15),
(65737, NULL, 'PTHR33399:SF6', NULL, NULL, NULL, NULL, 'PSBQ-LIKE PROTEIN 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(65738, NULL, 'PTHR35680', NULL, NULL, NULL, NULL, 'NFAT ACTIVATION MOLECULE 1', NULL, NULL, 36346, 15),
(65739, NULL, 'PTHR24384:SF2', NULL, NULL, NULL, NULL, 'MYELOID ZINC FINGER 1', NULL, NULL, NULL, 15),
(65740, NULL, 'PTHR33484', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65741, NULL, 'PTHR42718:SF31', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER OF UNKOWN SPECIFICITY (AFU_ORTHOLOGUE AFUA_1G11350)', NULL, NULL, NULL, 15),
(65742, NULL, 'PTHR15907:SF102', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 2-LIKE', NULL, NULL, NULL, 15),
(65743, NULL, 'PTHR36179:SF1', NULL, NULL, NULL, NULL, 'PRESPORE-SPECIFIC PROTEIN', NULL, NULL, NULL, 15),
(65744, NULL, 'PTHR45730:SF65', NULL, NULL, NULL, NULL, 'BNAA09G03180D PROTEIN', NULL, NULL, NULL, 15),
(65745, NULL, 'PTHR33333:SF27', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(65746, NULL, 'PTHR30465:SF66', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YEJB', NULL, NULL, NULL, 15),
(65747, NULL, 'PTHR17498:SF3', NULL, NULL, NULL, NULL, 'SEMINAL VESICLE SECRETORY PROTEIN 5', NULL, NULL, NULL, 15),
(65748, NULL, 'PTHR11017:SF413', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(65749, NULL, 'PTHR31462', NULL, NULL, NULL, NULL, 'ENDOSOMAL/LYSOSOMAL POTASSIUM CHANNEL TMEM175', NULL, NULL, NULL, 15),
(65750, NULL, 'PTHR24305:SF111', NULL, NULL, NULL, NULL, 'ECDYSONE 20-MONOOXYGENASE', NULL, NULL, NULL, 15),
(65751, NULL, 'PTHR48013:SF14', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE JKK-1', NULL, NULL, NULL, 15),
(65752, NULL, 'PTHR44329:SF32', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TNNI3K', NULL, NULL, NULL, 15),
(65753, NULL, 'PTHR18860:SF28', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN BETA/ALPHA', NULL, NULL, NULL, 15),
(65754, NULL, 'PTHR12056:SF2', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC4', NULL, NULL, NULL, 15),
(65755, NULL, 'PTHR33320:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65756, NULL, 'PTHR10336:SF173', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE GAMMA-1', NULL, NULL, 22972, 15),
(65757, NULL, 'PTHR10146', NULL, NULL, NULL, NULL, 'PROLINE SYNTHETASE CO-TRANSCRIBED BACTERIAL HOMOLOG PROTEIN', NULL, NULL, 9773, 15),
(65758, NULL, 'PTHR32227:SF266', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE, ACIDIC ISOFORM GL153', NULL, NULL, NULL, 15),
(65759, NULL, 'PTHR35710:SF1', NULL, NULL, NULL, NULL, 'OBP3-RESPONSIVE PROTEIN 4 (ORG4)', NULL, NULL, NULL, 15),
(65760, NULL, 'PTHR31807:SF36', NULL, NULL, NULL, NULL, 'BNAA09G41690D PROTEIN', NULL, NULL, NULL, 15),
(65761, NULL, 'PTHR10127:SF847', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-37', NULL, NULL, 32835, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65762, NULL, 'PTHR44111:SF1', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 2', NULL, NULL, NULL, 15),
(65763, NULL, 'PTHR31221:SF232', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(65764, NULL, 'PTHR33107:SF55', NULL, NULL, NULL, NULL, 'BNAC02G46470D PROTEIN', NULL, NULL, NULL, 15),
(65765, NULL, 'PTHR21190:SF1', NULL, NULL, NULL, NULL, 'GH10077P', NULL, NULL, NULL, 15),
(65766, NULL, 'PTHR11783:SF253', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(65767, NULL, 'PTHR10071:SF309', NULL, NULL, NULL, NULL, 'ERYTHROID-LIKE TRANSCRIPTION FACTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(65768, NULL, 'PTHR42898:SF42', NULL, NULL, NULL, NULL, 'OS11G0652900 PROTEIN', NULL, NULL, NULL, 15),
(65769, NULL, 'PTHR31920:SF72', NULL, NULL, NULL, NULL, 'BNAA01G27140D PROTEIN', NULL, NULL, NULL, 15),
(65770, NULL, 'PTHR11686:SF19', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE 5 PROENZYME', NULL, NULL, NULL, 15),
(65771, NULL, 'PTHR12483:SF92', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 5.1-LIKE', NULL, NULL, NULL, 15),
(65772, NULL, 'PTHR40659', NULL, NULL, NULL, NULL, 'NICKEL/COBALT EFFLUX SYSTEM RCNA', NULL, NULL, NULL, 15),
(65773, NULL, 'PTHR11673:SF43', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', NULL, NULL, NULL, 15),
(65774, NULL, 'PTHR47988:SF21', NULL, NULL, NULL, NULL, 'INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE 1, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(65775, NULL, 'PTHR24064:SF502', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65776, NULL, 'PTHR21231', NULL, NULL, NULL, NULL, 'XPA-BINDING PROTEIN 1-RELATED', NULL, NULL, 2908, 15),
(65777, NULL, 'PTHR21255:SF44', NULL, NULL, NULL, NULL, 'TCTEX1 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(65778, NULL, 'PTHR11863:SF177', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 1-LIKE', NULL, NULL, NULL, 15),
(65779, NULL, 'PTHR24078:SF530', NULL, NULL, NULL, NULL, 'DNAJ-LIKE PROTEIN', NULL, NULL, NULL, 15),
(65780, NULL, 'PTHR12934', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L15', NULL, NULL, 4703, 15),
(65781, NULL, 'PTHR11776:SF27', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE 5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(65782, NULL, 'PTHR10593:SF187', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JACKDAW', NULL, NULL, NULL, 15),
(65783, NULL, 'PTHR43212', NULL, NULL, NULL, NULL, 'QUERCETIN 2,3-DIOXYGENASE', NULL, NULL, 13295, 15),
(65784, NULL, 'PTHR11319', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(65785, NULL, 'PTHR43196:SF1', NULL, NULL, NULL, NULL, 'SULFATE ADENYLYLTRANSFERASE SUBUNIT 2', NULL, NULL, NULL, 15),
(65786, NULL, 'PTHR15751:SF13', NULL, NULL, NULL, NULL, 'TRAFFICKING KINESIN-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(65787, NULL, 'PTHR10362:SF46', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(65788, NULL, 'PTHR10809:SF111', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 1-3', NULL, NULL, NULL, 15),
(65789, NULL, 'PTHR11550:SF37', NULL, NULL, NULL, NULL, 'BNAA07G05000D PROTEIN', NULL, NULL, NULL, 15),
(65790, NULL, 'PTHR14731', NULL, NULL, NULL, NULL, 'BRAIN AND ACUTE LEUKEMIA CYTOPLASMIC PROTEIN', NULL, NULL, 12808, 15),
(65791, NULL, 'PTHR46128:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65792, NULL, 'PTHR12210:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM50', NULL, NULL, 23109, 15),
(65793, NULL, 'PTHR11920:SF68', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-4', NULL, NULL, NULL, 15),
(65794, NULL, 'PTHR33193:SF26', NULL, NULL, NULL, NULL, 'DUF3511 DOMAIN PROTEIN (DUF3511)', NULL, NULL, NULL, 15),
(65795, NULL, 'PTHR26454:SF15', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C65', NULL, NULL, NULL, 15),
(65796, NULL, 'PTHR23070:SF94', NULL, NULL, NULL, NULL, 'PROTEIN HYPER-SENSITIVITY-RELATED 4-LIKE', NULL, NULL, NULL, 15),
(65797, NULL, 'PTHR46056:SF7', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65798, NULL, 'PTHR27005:SF39', NULL, NULL, NULL, NULL, '(RICE GENOME ANNOTATION PROJECT) OSWAK10A - OSWAK RECEPTOR-LIKE CYTOPLASMIC KINASE', NULL, NULL, NULL, 15),
(65799, NULL, 'PTHR30540:SF109', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(65800, NULL, 'PTHR31265:SF2', NULL, NULL, NULL, NULL, 'F17A17.37 PROTEIN', NULL, NULL, NULL, 15),
(65801, NULL, 'PTHR47845', NULL, NULL, NULL, NULL, 'NUCLEAR SPECKLE SPLICING REGULATORY PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(65802, NULL, 'PTHR33491:SF27', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-LIKE', NULL, NULL, NULL, 15),
(65803, NULL, 'PTHR30303:SF4', NULL, NULL, NULL, NULL, 'HYDROGENASE EXPRESSION/FORMATION FACTOR RELATED PROTEIN', NULL, NULL, NULL, 15),
(65804, NULL, 'PTHR23076:SF110', NULL, NULL, NULL, NULL, 'INACTIVE ATP-DEPENDENT ZINC METALLOPROTEASE FTSHI 3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(65805, NULL, 'PTHR11537:SF28', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 3', NULL, NULL, NULL, 15),
(65806, NULL, 'PTHR24012:SF829', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65807, NULL, 'PTHR12482:SF58', NULL, NULL, NULL, NULL, 'BNAA06G38020D PROTEIN', NULL, NULL, NULL, 15),
(65808, NULL, 'PTHR34072:SF9', NULL, NULL, NULL, NULL, 'ENZYMATIC POLYPROTEIN-RELATED', NULL, NULL, NULL, 15),
(65809, NULL, 'PTHR31579:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65810, NULL, 'PTHR12300:SF116', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN D', NULL, NULL, NULL, 15),
(65811, NULL, 'PTHR39611:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65812, NULL, 'PTHR10742:SF392', NULL, NULL, NULL, NULL, 'FLAVIN AMINE OXIDASE', NULL, NULL, NULL, 15),
(65813, NULL, 'PTHR45621:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65814, NULL, 'PTHR43738:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(65815, NULL, 'PTHR46639:SF4', NULL, NULL, NULL, NULL, 'ZGC:101100', NULL, NULL, NULL, 15),
(65816, NULL, 'PTHR23278:SF27', NULL, NULL, NULL, NULL, 'GH14967P', NULL, NULL, NULL, 15),
(65817, NULL, 'PTHR10209:SF721', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(65818, NULL, 'PTHR12411:SF800', NULL, NULL, NULL, NULL, 'BNAA02G21750D PROTEIN', NULL, NULL, NULL, 15),
(65819, NULL, 'PTHR11909:SF329', NULL, NULL, NULL, NULL, 'OS01G0772600 PROTEIN', NULL, NULL, NULL, 15),
(65820, NULL, 'PTHR15286:SF6', NULL, NULL, NULL, NULL, 'GH01133P', NULL, NULL, NULL, 15),
(65821, NULL, 'PTHR47035:SF6', NULL, NULL, NULL, NULL, 'OSJNBA0088I22.3 PROTEIN', NULL, NULL, NULL, 15),
(65822, NULL, 'PTHR11738:SF175', NULL, NULL, NULL, NULL, 'OSTEOCLAST-ASSOCIATED IMMUNOGLOBULIN-LIKE RECEPTOR', NULL, NULL, NULL, 15),
(65823, NULL, 'PTHR24281:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65824, NULL, 'PTHR13848:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65825, NULL, 'PTHR35530:SF2', NULL, NULL, NULL, NULL, 'TAUTOMERASE-RELATED', NULL, NULL, NULL, 15),
(65826, NULL, 'PTHR32295:SF157', NULL, NULL, NULL, NULL, 'OS01G0743100 PROTEIN', NULL, NULL, NULL, 15),
(65827, NULL, 'PTHR31072:SF130', NULL, NULL, NULL, NULL, 'BNAC05G51920D PROTEIN', NULL, NULL, NULL, 15),
(65828, NULL, 'PTHR11058:SF17', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 3', NULL, NULL, NULL, 15),
(65829, NULL, 'PTHR10285:SF138', NULL, NULL, NULL, NULL, 'URIDINE KINASE', NULL, NULL, NULL, 15),
(65830, NULL, 'PTHR11668:SF448', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(65831, NULL, 'PTHR31627:SF40', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-17', NULL, NULL, NULL, 15),
(65832, NULL, 'PTHR22765:SF115', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 145', NULL, NULL, NULL, 15),
(65833, NULL, 'PTHR13935:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65834, NULL, 'PTHR19282:SF48', NULL, NULL, NULL, NULL, 'TETRASPANIN-3', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65835, NULL, 'PTHR22804:SF40', NULL, NULL, NULL, NULL, 'HYALURONAN AND PROTEOGLYCAN LINK PROTEIN 3', NULL, NULL, NULL, 15),
(65836, NULL, 'PTHR16517:SF20', NULL, NULL, NULL, NULL, 'TUBBY-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(65837, NULL, 'PTHR45651:SF70', NULL, NULL, NULL, NULL, 'BNAC09G29350D PROTEIN', NULL, NULL, NULL, 15),
(65838, NULL, 'PTHR12850:SF20', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S25', NULL, NULL, NULL, 15),
(65839, NULL, 'PTHR11533:SF246', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, 32749, 15),
(65840, NULL, 'PTHR10366:SF710', NULL, NULL, NULL, NULL, 'BNAA09G28520D PROTEIN', NULL, NULL, NULL, 15),
(65841, NULL, 'PTHR47416:SF11', NULL, NULL, NULL, NULL, 'BNACNNG38290D PROTEIN', NULL, NULL, NULL, 15),
(65842, NULL, 'PTHR12674:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG01589', NULL, NULL, NULL, 15),
(65843, NULL, 'PTHR23111:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER, RANBP2-TYPE-RELATED', NULL, NULL, NULL, 15),
(65844, NULL, 'PTHR46035:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 4', NULL, NULL, NULL, 15),
(65845, NULL, 'PTHR23413:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65846, NULL, 'PTHR12263:SF5', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E 1', NULL, NULL, NULL, 15),
(65847, NULL, 'PTHR32133:SF309', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65848, NULL, 'PTHR31928:SF12', NULL, NULL, NULL, NULL, 'BNAC03G41030D PROTEIN', NULL, NULL, NULL, 15),
(65849, NULL, 'PTHR23074:SF92', NULL, NULL, NULL, NULL, 'KATANIN', NULL, NULL, NULL, 15),
(65850, NULL, 'PTHR47981', NULL, NULL, NULL, NULL, 'RAB FAMILY', NULL, NULL, NULL, 15),
(65851, NULL, 'PTHR24177:SF306', NULL, NULL, NULL, NULL, 'OS06G0293100 PROTEIN', NULL, NULL, NULL, 15),
(65852, NULL, 'PTHR46387:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65853, NULL, 'PTHR31235:SF291', NULL, NULL, NULL, NULL, 'OS07G0639500 PROTEIN', NULL, NULL, NULL, 15),
(65854, NULL, 'PTHR10441:SF2', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD8 ALPHA CHAIN', NULL, NULL, NULL, 15),
(65855, NULL, 'PTHR46008:SF12', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.1', NULL, NULL, NULL, 15),
(65856, NULL, 'PTHR23030:SF33', NULL, NULL, NULL, NULL, 'ALG2-INTERACTING PROTEIN X-LIKE', NULL, NULL, NULL, 15),
(65857, NULL, 'PTHR12374:SF60', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER ADA2B', NULL, NULL, 12027, 15),
(65858, NULL, 'PTHR13019:SF17', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23', NULL, NULL, NULL, 15),
(65859, NULL, 'PTHR24058:SF43', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-INTERACTING PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(65860, NULL, 'PTHR15054', NULL, NULL, NULL, NULL, 'HISTIDINE-RICH CALCIUM-BINDING PROTEIN-RELATED', NULL, NULL, 18271, 15),
(65861, NULL, 'PTHR24072:SF99', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOF', NULL, NULL, NULL, 15),
(65862, NULL, 'PTHR31747:SF18', NULL, NULL, NULL, NULL, 'PROTEIN LSD1', NULL, NULL, NULL, 15),
(65863, NULL, 'PTHR45651:SF89', NULL, NULL, NULL, NULL, 'BNAA01G22170D PROTEIN', NULL, NULL, NULL, 15),
(65864, NULL, 'PTHR12276:SF88', NULL, NULL, NULL, NULL, 'ENTH/VHS FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65865, NULL, 'PTHR42866:SF1', NULL, NULL, NULL, NULL, 'SPORE COAT POLYSACCHARIDE BIOSYNTHESIS PROTEIN SPSF', NULL, NULL, NULL, 15),
(65866, NULL, 'PTHR11972:SF175', NULL, NULL, NULL, NULL, 'DUAL OXIDASE', NULL, NULL, 26660, 15),
(65867, NULL, 'PTHR12121:SF89', NULL, NULL, NULL, NULL, 'CARBON CATABOLITE REPRESSOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(65868, NULL, 'PTHR28036:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD2', NULL, NULL, NULL, 15),
(65869, NULL, 'PTHR35164:SF10', NULL, NULL, NULL, NULL, 'OS08G0481100 PROTEIN', NULL, NULL, NULL, 15),
(65870, NULL, 'PTHR11689:SF92', NULL, NULL, NULL, NULL, 'CHLORIDE TRANSPORT PROTEIN 6', NULL, NULL, NULL, 15),
(65871, NULL, 'PTHR36110', NULL, NULL, NULL, NULL, 'RING-CLEAVING DIOXYGENASE MHQE-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65872, NULL, 'PTHR11453:SF10', NULL, NULL, NULL, NULL, 'ELECTROGENIC SODIUM BICARBONATE COTRANSPORTER 1', NULL, NULL, NULL, 15),
(65873, NULL, 'PTHR33018:SF18', NULL, NULL, NULL, NULL, 'OS06G0261900 PROTEIN', NULL, NULL, NULL, 15),
(65874, NULL, 'PTHR11926:SF1102', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 84A2', NULL, NULL, NULL, 15),
(65875, NULL, 'PTHR47591:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT3-LIKE', NULL, NULL, NULL, 15),
(65876, NULL, 'PTHR43218', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(65877, NULL, 'PTHR36436', NULL, NULL, NULL, NULL, 'SLL5081 PROTEIN', NULL, NULL, NULL, 15),
(65878, NULL, 'PTHR31637:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(65879, NULL, 'PTHR18929:SF211', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 1-2', NULL, NULL, NULL, 15),
(65880, NULL, 'PTHR23235:SF107', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 1', NULL, NULL, 22681, 15),
(65881, NULL, 'PTHR48002:SF31', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(65882, NULL, 'PTHR31388:SF31', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(65883, NULL, 'PTHR31727:SF19', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', NULL, NULL, NULL, 15),
(65884, NULL, 'PTHR43098:SF3', NULL, NULL, NULL, NULL, 'MONOOXYGENASE (CPMA), PUTATIVE (AFU_ORTHOLOGUE AFUA_5G07490)-RELATED', NULL, NULL, NULL, 15),
(65885, NULL, 'PTHR24103:SF304', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 60', NULL, NULL, NULL, 15),
(65886, NULL, 'PTHR45615:SF39', NULL, NULL, NULL, NULL, 'MYOSIN-2', NULL, NULL, NULL, 15),
(65887, NULL, 'PTHR11035:SF35', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE', NULL, NULL, NULL, 15),
(65888, NULL, 'PTHR48007:SF52', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 2', NULL, NULL, NULL, 15),
(65889, NULL, 'PTHR11153:SF14', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-2', NULL, NULL, NULL, 15),
(65890, NULL, 'PTHR47967:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65891, NULL, 'PTHR11527:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65892, NULL, 'PTHR31154', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(65893, NULL, 'PTHR26453:SF330', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(65894, NULL, 'PTHR31155', NULL, NULL, NULL, NULL, 'ACYL- ACYL-CARRIER-PROTEIN  DESATURASE-RELATED', NULL, NULL, 2265, 15),
(65895, NULL, 'PTHR35844', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65896, NULL, 'PTHR45832:SF10', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(65897, NULL, 'PTHR36962:SF2', NULL, NULL, NULL, NULL, 'ASPARAGINE-RICH ANTIGEN', NULL, NULL, NULL, 15),
(65898, NULL, 'PTHR31391:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65899, NULL, 'PTHR44137:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65900, NULL, 'PTHR47721', NULL, NULL, NULL, NULL, 'OS01G0235100 PROTEIN', NULL, NULL, NULL, 15),
(65901, NULL, 'PTHR44307:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE N-METHYLTRANSFERASE 3', NULL, NULL, 25372, 15),
(65902, NULL, 'PTHR27002:SF845', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-1', NULL, NULL, NULL, 15),
(65903, NULL, 'PTHR46058:SF11', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(65904, NULL, 'PTHR30399', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YGJP', NULL, NULL, NULL, 15),
(65905, NULL, 'PTHR11132:SF338', NULL, NULL, NULL, NULL, 'GDP-MANNOSE TRANSPORTER GONST5', NULL, NULL, NULL, 15),
(65906, NULL, 'PTHR42908:SF25', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65907, NULL, 'PTHR32319:SF0', NULL, NULL, NULL, NULL, 'BACTERIAL HEMOLYSIN-LIKE PROTEIN', NULL, NULL, 1780, 15),
(65908, NULL, 'PTHR24349:SF335', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 7', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65909, NULL, 'PTHR31680:SF14', NULL, NULL, NULL, NULL, 'BNAC09G42280D PROTEIN', NULL, NULL, NULL, 15),
(65910, NULL, 'PTHR21050:SF1', NULL, NULL, NULL, NULL, 'MIDKINE AND PLEIOTROPHIN 1, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(65911, NULL, 'PTHR11926:SF1342', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(65912, NULL, 'PTHR31967:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG11524', NULL, NULL, NULL, 15),
(65913, NULL, 'PTHR11827:SF55', NULL, NULL, NULL, NULL, 'POTASSIUM/CHLORIDE COTRANSPORTER 3', NULL, NULL, NULL, 15),
(65914, NULL, 'PTHR13058:SF26', NULL, NULL, NULL, NULL, 'OS04G0623400 PROTEIN', NULL, NULL, NULL, 15),
(65915, NULL, 'PTHR43850', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN MA_4021-RELATED', NULL, NULL, NULL, 15),
(65916, NULL, 'PTHR31731:SF67', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(65917, NULL, 'PTHR10956:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65918, NULL, 'PTHR31969:SF53', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(65919, NULL, 'PTHR22881:SF28', NULL, NULL, NULL, NULL, 'BROMODOMAIN PROTEIN', NULL, NULL, NULL, 15),
(65920, NULL, 'PTHR22600:SF39', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(65921, NULL, 'PTHR10024:SF180', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-9', NULL, NULL, 23627, 15),
(65922, NULL, 'PTHR12725:SF72', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE', NULL, NULL, NULL, 15),
(65923, NULL, 'PTHR40035', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN I', NULL, NULL, 35985, 15),
(65924, NULL, 'PTHR34684:SF1', NULL, NULL, NULL, NULL, 'OS08G0192200 PROTEIN', NULL, NULL, NULL, 15),
(65925, NULL, 'PTHR14154:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65926, NULL, 'PTHR23291:SF103', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 3', NULL, NULL, NULL, 15),
(65927, NULL, 'PTHR13068:SF91', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65928, NULL, 'PTHR18867', NULL, NULL, NULL, NULL, 'RAD50', NULL, NULL, NULL, 15),
(65929, NULL, 'PTHR24244', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE S RECEPTOR', NULL, NULL, NULL, 15),
(65930, NULL, 'PTHR24412:SF453', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 41A', NULL, NULL, NULL, 15),
(65931, NULL, 'PTHR10656:SF9', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR-INTERACTING PROTEIN-LIKE 2', NULL, NULL, 22720, 15),
(65932, NULL, 'PTHR26379:SF342', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65933, NULL, 'PTHR11558', NULL, NULL, NULL, NULL, 'SPERMIDINE/SPERMINE SYNTHASE', NULL, NULL, 2095, 15),
(65934, NULL, 'PTHR18884:SF48', NULL, NULL, NULL, NULL, 'SEPTIN-11', NULL, NULL, NULL, 15),
(65935, NULL, 'PTHR47990:SF96', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(65936, NULL, 'PTHR11802:SF87', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 25', NULL, NULL, NULL, 15),
(65937, NULL, 'PTHR14572:SF0', NULL, NULL, NULL, NULL, 'PANCREATIC PROGENITOR CELL DIFFERENTIATION AND PROLIFERATION FACTOR', NULL, NULL, NULL, 15),
(65938, NULL, 'PTHR37539', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, 31129, 15),
(65939, NULL, 'PTHR32176:SF27', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(65940, NULL, 'PTHR21654:SF91', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(65941, NULL, 'PTHR28288:SF2', NULL, NULL, NULL, NULL, 'PROTEASE B INHIBITOR 2', NULL, NULL, NULL, 15),
(65942, NULL, 'PTHR11740:SF26', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', NULL, NULL, NULL, 15),
(65943, NULL, 'PTHR14845:SF8', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930548H24', NULL, NULL, NULL, 15),
(65944, NULL, 'PTHR46171', NULL, NULL, NULL, NULL, 'GH10160P', NULL, NULL, NULL, 15),
(65945, NULL, 'PTHR48043:SF78', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65946, NULL, 'PTHR34586:SF5', NULL, NULL, NULL, NULL, 'PRESPORE VESICLE PROTEIN', NULL, NULL, NULL, 15),
(65947, NULL, 'PTHR33589:SF3', NULL, NULL, NULL, NULL, 'OS11G0524900 PROTEIN', NULL, NULL, NULL, 15),
(65948, NULL, 'PTHR23111:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65949, NULL, 'PTHR43539:SF69', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(65950, NULL, 'PTHR11102', NULL, NULL, NULL, NULL, 'SEL-1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(65951, NULL, 'PTHR24064:SF495', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 1', NULL, NULL, NULL, 15),
(65952, NULL, 'PTHR23200:SF51', NULL, NULL, NULL, NULL, 'PROTEIN CBG11581', NULL, NULL, NULL, 15),
(65953, NULL, 'PTHR19269:SF67', NULL, NULL, NULL, NULL, 'TROPOMYOSIN 3', NULL, NULL, NULL, 15),
(65954, NULL, 'PTHR11945:SF667', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65955, NULL, 'PTHR36681:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR GTPASE, GERMINAL CENTER-ASSOCIATED, TANDEM DUPLICATE 2-RELATED', NULL, NULL, NULL, 15),
(65956, NULL, 'PTHR33784:SF36', NULL, NULL, NULL, NULL, 'BNAA02G22090D PROTEIN', NULL, NULL, NULL, 15),
(65957, NULL, 'PTHR31194:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65958, NULL, 'PTHR33886:SF1', NULL, NULL, NULL, NULL, 'WALL GLYCOSYL HYDROLASE YTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14630)-RELATED', NULL, NULL, NULL, 15),
(65959, NULL, 'PTHR28617:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 77', NULL, NULL, NULL, 15),
(65960, NULL, 'PTHR37486:SF1', NULL, NULL, NULL, NULL, 'STRINGENT STARVATION PROTEIN B', NULL, NULL, NULL, 15),
(65961, NULL, 'PTHR31190:SF253', NULL, NULL, NULL, NULL, 'INTEGRASE-TYPE DNA-BINDING SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(65962, NULL, 'PTHR31549:SF4', NULL, NULL, NULL, NULL, 'OS09G0255900 PROTEIN', NULL, NULL, NULL, 15),
(65963, NULL, 'PTHR33470:SF34', NULL, NULL, NULL, NULL, 'NON-CLASSICAL ARABINOGALACTAN PROTEIN 30', NULL, NULL, NULL, 15),
(65964, NULL, 'PTHR43105:SF6', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G15190)-RELATED', NULL, NULL, NULL, 15),
(65965, NULL, 'PTHR43080:SF12', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-SYNTHASE (CBS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65966, NULL, 'PTHR13481', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 15753, 15),
(65967, NULL, 'PTHR46545', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 51', NULL, NULL, 37495, 15),
(65968, NULL, 'PTHR45701:SF3', NULL, NULL, NULL, NULL, 'NEURONAL SYNAPTOBREVIN, ISOFORM J', NULL, NULL, NULL, 15),
(65969, NULL, 'PTHR23316:SF11', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-8', NULL, NULL, NULL, 15),
(65970, NULL, 'PTHR22380', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 15', NULL, NULL, 23315, 15),
(65971, NULL, 'PTHR46326:SF11', NULL, NULL, NULL, NULL, 'OS07G0598800 PROTEIN', NULL, NULL, NULL, 15),
(65972, NULL, 'PTHR32410:SF177', NULL, NULL, NULL, NULL, 'CHP-RICH ZINC FINGER PROTEIN-LIKE-RELATED', NULL, NULL, NULL, 15),
(65973, NULL, 'PTHR21432', NULL, NULL, NULL, NULL, 'ACETYL-COA HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(65974, NULL, 'PTHR31985:SF154', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TINY-LIKE', NULL, NULL, NULL, 15),
(65975, NULL, 'PTHR12697:SF20', NULL, NULL, NULL, NULL, 'HEAT REPEAT-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(65976, NULL, 'PTHR24282:SF175', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP72A219-LIKE', NULL, NULL, NULL, 15),
(65977, NULL, 'PTHR10666:SF350', NULL, NULL, NULL, NULL, 'UBIQUITIN 13', NULL, NULL, NULL, 15),
(65978, NULL, 'PTHR23266:SF332', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION VH558 A1/A4-RELATED', NULL, NULL, NULL, 15),
(65979, NULL, 'PTHR33021:SF252', NULL, NULL, NULL, NULL, 'OS06G0218600 PROTEIN', NULL, NULL, NULL, 15),
(65980, NULL, 'PTHR21419', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38536, 15),
(65981, NULL, 'PTHR43939:SF67', NULL, NULL, NULL, NULL, 'PROTEIN CBG15627', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(65982, NULL, 'PTHR23235:SF48', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 3', NULL, NULL, NULL, 15),
(65983, NULL, 'PTHR43108:SF7', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SULFATASE', NULL, NULL, NULL, 15),
(65984, NULL, 'PTHR37736:SF3', NULL, NULL, NULL, NULL, 'BNAA07G09190D PROTEIN', NULL, NULL, NULL, 15),
(65985, NULL, 'PTHR24102:SF18', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 21B', NULL, NULL, NULL, 15),
(65986, NULL, 'PTHR34340:SF3', NULL, NULL, NULL, NULL, 'MELANOREGULIN', NULL, NULL, NULL, 15),
(65987, NULL, 'PTHR31301:SF112', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 22-LIKE', NULL, NULL, NULL, 15),
(65988, NULL, 'PTHR14677:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(65989, NULL, 'PTHR31246:SF28', NULL, NULL, NULL, NULL, 'BNAANNG06460D PROTEIN', NULL, NULL, NULL, 15),
(65990, NULL, 'PTHR24282:SF191', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(65991, NULL, 'PTHR10867:SF18', NULL, NULL, NULL, NULL, 'PHENYLETHANOLAMINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(65992, NULL, 'PTHR42774:SF3', NULL, NULL, NULL, NULL, 'PFKB-LIKE CARBOHYDRATE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(65993, NULL, 'PTHR30151:SF16', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(65994, NULL, 'PTHR36751', NULL, NULL, NULL, NULL, 'F3E22.8 PROTEIN', NULL, NULL, NULL, 15),
(65995, NULL, 'PTHR31741:SF22', NULL, NULL, NULL, NULL, '1 PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(65996, NULL, 'PTHR12103:SF13', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(65997, NULL, 'PTHR45799:SF4', NULL, NULL, NULL, NULL, 'RETICULON-3', NULL, NULL, NULL, 15),
(65998, NULL, 'PTHR31221:SF173', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN WRKY2-LIKE', NULL, NULL, NULL, 15),
(65999, NULL, 'PTHR10666:SF347', NULL, NULL, NULL, NULL, 'BNAA08G20480D PROTEIN', NULL, NULL, NULL, 15),
(66000, NULL, 'PTHR38926:SF37', NULL, NULL, NULL, NULL, 'BNAA09G01410D PROTEIN', NULL, NULL, NULL, 15),
(66001, NULL, 'PTHR11440:SF90', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID:DIACYLGLYCEROL ACYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(66002, NULL, 'PTHR11099', NULL, NULL, NULL, NULL, 'VACUOLAR SORTING PROTEIN 35', NULL, NULL, 6074, 15),
(66003, NULL, 'PTHR31549:SF174', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(66004, NULL, 'PTHR33142:SF66', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR2-LIKE', NULL, NULL, NULL, 15),
(66005, NULL, 'PTHR33186:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66006, NULL, 'PTHR24023:SF987', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE XXIV, ALPHA 1', NULL, NULL, NULL, 15),
(66007, NULL, 'PTHR24088:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S17, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(66008, NULL, 'PTHR31213:SF154', NULL, NULL, NULL, NULL, 'ALLERGEN PRU AR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(66009, NULL, 'PTHR43329:SF6', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(66010, NULL, 'PTHR35670:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 81', NULL, NULL, NULL, 15),
(66011, NULL, 'PTHR46915:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66012, NULL, 'PTHR43289:SF14', NULL, NULL, NULL, NULL, 'LYMPHOKINE-ACTIVATED KILLER T-CELL-ORIGINATED PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(66013, NULL, 'PTHR33888', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4932415D10 GENE', NULL, NULL, NULL, 15),
(66014, NULL, 'PTHR45873:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66015, NULL, 'PTHR43895:SF103', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(66016, NULL, 'PTHR19143:SF156', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-1', NULL, NULL, 26872, 15),
(66017, NULL, 'PTHR42933:SF4', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME ECOKI M PROTEIN', NULL, NULL, NULL, 15),
(66018, NULL, 'PTHR11017:SF349', NULL, NULL, NULL, NULL, 'BACTERIAL SPOT DISEASE RESISTANCE PROTEIN 4', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66019, NULL, 'PTHR32015:SF7', NULL, NULL, NULL, NULL, 'LIPASE RELATED', NULL, NULL, NULL, 15),
(66020, NULL, 'PTHR24343:SF471', NULL, NULL, NULL, NULL, 'SUCROSE NONFERMENTING 1(SNF1)-RELATED KINASE', NULL, NULL, NULL, 15),
(66021, NULL, 'PTHR11614', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE-RELATED', NULL, NULL, NULL, 15),
(66022, NULL, 'PTHR35138', NULL, NULL, NULL, NULL, 'OS01G0225300 PROTEIN', NULL, NULL, NULL, 15),
(66023, NULL, 'PTHR24075:SF15', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH12-LIKE', NULL, NULL, NULL, 15),
(66024, NULL, 'PTHR30532', NULL, NULL, NULL, NULL, 'IRON III  DICITRATE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(66025, NULL, 'PTHR11351:SF81', NULL, NULL, NULL, NULL, 'BNAA08G28450D PROTEIN', NULL, NULL, NULL, 15),
(66026, NULL, 'PTHR33571', NULL, NULL, NULL, NULL, 'SSL8005 PROTEIN', NULL, NULL, NULL, 15),
(66027, NULL, 'PTHR22881:SF33', NULL, NULL, NULL, NULL, 'BROMODOMAIN AND WD REPEAT-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(66028, NULL, 'PTHR10728:SF24', NULL, NULL, NULL, NULL, 'CYTOSOLIC PHOSPHOLIPASE A2 EPSILON', NULL, NULL, NULL, 15),
(66029, NULL, 'PTHR45974:SF160', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(66030, NULL, 'PTHR35505:SF4', NULL, NULL, NULL, NULL, 'SNF2 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(66031, NULL, 'PTHR10963:SF62', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(66032, NULL, 'PTHR24960:SF78', NULL, NULL, NULL, NULL, 'FERREDOXIN YFHL', NULL, NULL, NULL, 15),
(66033, NULL, 'PTHR47383', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66034, NULL, 'PTHR32077:SF74', NULL, NULL, NULL, NULL, 'BNAA06G16020D PROTEIN', NULL, NULL, NULL, 15),
(66035, NULL, 'PTHR43952:SF60', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 1 ISOFORM X1', NULL, NULL, NULL, 15),
(66036, NULL, 'PTHR19855:SF19', NULL, NULL, NULL, NULL, 'F-BOX/WD-40 REPEAT PLANT PROTEIN', NULL, NULL, NULL, 15),
(66037, NULL, 'PTHR44281:SF3', NULL, NULL, NULL, NULL, 'SPINDLE ASSEMBLY 6 HOMOLOG', NULL, NULL, NULL, 15),
(66038, NULL, 'PTHR24373:SF332', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT, IG-LIKE AND TRANSMEMBRANE DOMAINS 1', NULL, NULL, NULL, 15),
(66039, NULL, 'PTHR31172:SF10', NULL, NULL, NULL, NULL, 'PLECTIN-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66040, NULL, 'PTHR11537', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED POTASSIUM CHANNEL', NULL, NULL, 24533, 15),
(66041, NULL, 'PTHR10261:SF6', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(66042, NULL, 'PTHR33170:SF32', NULL, NULL, NULL, NULL, 'OS05G0102200 PROTEIN', NULL, NULL, NULL, 15),
(66043, NULL, 'PTHR11685:SF359', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(66044, NULL, 'PTHR10366:SF723', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66045, NULL, 'PTHR47947:SF24', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81E8', NULL, NULL, NULL, 15),
(66046, NULL, 'PTHR34937:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66047, NULL, 'PTHR31914:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM163A', NULL, NULL, NULL, 15),
(66048, NULL, 'PTHR22800:SF244', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY I MEMBER 1', NULL, NULL, NULL, 15),
(66049, NULL, 'PTHR33509:SF22', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 37', NULL, NULL, NULL, 15),
(66050, NULL, 'PTHR11654:SF156', NULL, NULL, NULL, NULL, 'OS04G0660900 PROTEIN', NULL, NULL, NULL, 15),
(66051, NULL, 'PTHR46910:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(66052, NULL, 'PTHR43616:SF3', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLATE DEHYDROGENASE A', NULL, NULL, NULL, 15),
(66053, NULL, 'PTHR42870:SF7', NULL, NULL, NULL, NULL, 'ACETYL-COA C-ACETYLTRANSFERASE (ACETOACETYL-COA THIOLASE) (ACAB-3)', NULL, NULL, NULL, 15),
(66054, NULL, 'PTHR32285:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66055, NULL, 'PTHR14315:SF20', NULL, NULL, NULL, NULL, 'SIMILAR TO VERTEBRATE MID1 INTERACTING-LIKE PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66056, NULL, 'PTHR43029:SF4', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER MEP1-RELATED', NULL, NULL, NULL, 15),
(66057, NULL, 'PTHR32444:SF102', NULL, NULL, NULL, NULL, 'S-LOCUS-SPECIFIC GLYCOPROTEIN S13', NULL, NULL, NULL, 15),
(66058, NULL, 'PTHR33110:SF15', NULL, NULL, NULL, NULL, 'OS11G0594500 PROTEIN', NULL, NULL, NULL, 15),
(66059, NULL, 'PTHR16039:SF1', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(66060, NULL, 'PTHR34670:SF9', NULL, NULL, NULL, NULL, 'OS05G0456900 PROTEIN', NULL, NULL, NULL, 15),
(66061, NULL, 'PTHR10605:SF11', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE GLUCOSAMINE 3-O-SULFOTRANSFERASE 4', NULL, NULL, NULL, 15),
(66062, NULL, 'PTHR31286:SF59', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(66063, NULL, 'PTHR31989:SF307', NULL, NULL, NULL, NULL, 'BNACNNG38230D PROTEIN', NULL, NULL, NULL, 15),
(66064, NULL, 'PTHR35984:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66065, NULL, 'PTHR31190:SF129', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(66066, NULL, 'PTHR45647:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66067, NULL, 'PTHR32077:SF3', NULL, NULL, NULL, NULL, 'OS08G0502400 PROTEIN', NULL, NULL, NULL, 15),
(66068, NULL, 'PTHR11726:SF38', NULL, NULL, NULL, NULL, 'BNAA07G24130D PROTEIN', NULL, NULL, NULL, 15),
(66069, NULL, 'PTHR11206:SF390', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(66070, NULL, 'PTHR13832:SF305', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1J', NULL, NULL, NULL, 15),
(66071, NULL, 'PTHR18841:SF0', NULL, NULL, NULL, NULL, 'VITELLINE MEMBRANE OUTER LAYER PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(66072, NULL, 'PTHR45717', NULL, NULL, NULL, NULL, 'OS12G0527900 PROTEIN', NULL, NULL, NULL, 15),
(66073, NULL, 'PTHR46085', NULL, NULL, NULL, NULL, 'ARFGAP/RECO-RELATED', NULL, NULL, 36972, 15),
(66074, NULL, 'PTHR46134:SF4', NULL, NULL, NULL, NULL, 'ARF-GAP DOMAIN AND FG REPEAT-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(66075, NULL, 'PTHR11216:SF120', NULL, NULL, NULL, NULL, 'SI:CH211-11K18.4', NULL, NULL, NULL, 15),
(66076, NULL, 'PTHR24377:SF417', NULL, NULL, NULL, NULL, 'MCG141845-RELATED', NULL, NULL, NULL, 15),
(66077, NULL, 'PTHR45823', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66078, NULL, 'PTHR13170:SF19', NULL, NULL, NULL, NULL, 'O-GLCNACASE-LIKE', NULL, NULL, NULL, 15),
(66079, NULL, 'PTHR45845:SF3', NULL, NULL, NULL, NULL, 'PURATROPHIN-1-LIKE, ISOFORM A', NULL, NULL, NULL, 15),
(66080, NULL, 'PTHR14226:SF70', NULL, NULL, NULL, NULL, 'BNAC02G02780D PROTEIN', NULL, NULL, NULL, 15),
(66081, NULL, 'PTHR31009:SF6', NULL, NULL, NULL, NULL, 'OS01G0701700 PROTEIN', NULL, NULL, NULL, 15),
(66082, NULL, 'PTHR42743:SF17', NULL, NULL, NULL, NULL, 'BNAA09G03710D PROTEIN', NULL, NULL, NULL, 15),
(66083, NULL, 'PTHR34795:SF4', NULL, NULL, NULL, NULL, 'NEMATODE RESISTANCE PROTEIN-LIKE HSPRO2', NULL, NULL, NULL, 15),
(66084, NULL, 'PTHR40052:SF1', NULL, NULL, NULL, NULL, 'UPF0403 PROTEIN YQIW', NULL, NULL, NULL, 15),
(66085, NULL, 'PTHR33712:SF7', NULL, NULL, NULL, NULL, 'LIGHT-INDEPENDENT PROTOCHLOROPHYLLIDE REDUCTASE SUBUNIT B', NULL, NULL, NULL, 15),
(66086, NULL, 'PTHR21649:SF71', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN CP29.2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(66087, NULL, 'PTHR11461:SF13', NULL, NULL, NULL, NULL, 'ANGIOTENSINOGEN', NULL, NULL, 1342, 15),
(66088, NULL, 'PTHR24180:SF29', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT35-RELATED', NULL, NULL, NULL, 15),
(66089, NULL, 'PTHR12411:SF55', NULL, NULL, NULL, NULL, 'CATHEPSIN K', NULL, NULL, 18014, 15),
(66090, NULL, 'PTHR36925:SF1', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-6A REDUCTASE', NULL, NULL, NULL, 15),
(66091, NULL, 'PTHR24305:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66092, NULL, 'PTHR45640:SF21', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP-16.41-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66093, NULL, 'PTHR32099:SF69', NULL, NULL, NULL, NULL, 'OS01G0342200 PROTEIN', NULL, NULL, NULL, 15),
(66094, NULL, 'PTHR23342:SF6', NULL, NULL, NULL, NULL, 'ACETYLGLUTAMATE KINASE', NULL, NULL, NULL, 15),
(66095, NULL, 'PTHR20961:SF119', NULL, NULL, NULL, NULL, 'EGF DOMAIN-SPECIFIC O-LINKED N-ACETYLGLUCOSAMINE TRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(66096, NULL, 'PTHR32093:SF115', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(66097, NULL, 'PTHR46300:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A3', NULL, NULL, NULL, 15),
(66098, NULL, 'PTHR23033:SF44', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1-A', NULL, NULL, 22717, 15),
(66099, NULL, 'PTHR24177:SF139', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(66100, NULL, 'PTHR24093:SF462', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 11, PLASMA MEMBRANE-TYPE-RELATED', NULL, NULL, NULL, 15),
(66101, NULL, 'PTHR43330:SF7', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 1', NULL, NULL, NULL, 15),
(66102, NULL, 'PTHR21064:SF1', NULL, NULL, NULL, NULL, 'HYDROXYLYSINE KINASE', NULL, NULL, NULL, 15),
(66103, NULL, 'PTHR28021', NULL, NULL, NULL, NULL, 'PRESEQUENCE TRANSLOCATED-ASSOCIATED MOTOR SUBUNIT PAM17, MITOCHONDRIAL', NULL, NULL, 9938, 15),
(66104, NULL, 'PTHR37846', NULL, NULL, NULL, NULL, 'YALI0B21296P', NULL, NULL, NULL, 15),
(66105, NULL, 'PTHR21592:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG17952', NULL, NULL, NULL, 15),
(66106, NULL, 'PTHR10894:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66107, NULL, 'PTHR47993:SF120', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(66108, NULL, 'PTHR27002:SF593', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 19', NULL, NULL, NULL, 15),
(66109, NULL, 'PTHR33270:SF33', NULL, NULL, NULL, NULL, 'BNACNNG23130D PROTEIN', NULL, NULL, NULL, 15),
(66110, NULL, 'PTHR27007:SF280', NULL, NULL, NULL, NULL, 'RECEPTOR LECTIN KINASE', NULL, NULL, NULL, 15),
(66111, NULL, 'PTHR12629:SF0', NULL, NULL, NULL, NULL, 'APS, ISOFORM A', NULL, NULL, NULL, 15),
(66112, NULL, 'PTHR10996:SF241', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66113, NULL, 'PTHR45757:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG03118', NULL, NULL, NULL, 15),
(66114, NULL, 'PTHR23070:SF182', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(66115, NULL, 'PTHR13265:SF0', NULL, NULL, NULL, NULL, 'HPR1', NULL, NULL, NULL, 15),
(66116, NULL, 'PTHR33730:SF17', NULL, NULL, NULL, NULL, 'BNAC02G23270D PROTEIN', NULL, NULL, NULL, 15),
(66117, NULL, 'PTHR46981', NULL, NULL, NULL, NULL, 'BIS(5''-ADENOSYL)-TRIPHOSPHATASE', NULL, NULL, NULL, 15),
(66118, NULL, 'PTHR13768:SF23', NULL, NULL, NULL, NULL, 'ALPHA-SOLUBLE NSF ATTACHMENT PROTEIN', NULL, NULL, NULL, 15),
(66119, NULL, 'PTHR34272:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66120, NULL, 'PTHR31836', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66121, NULL, 'PTHR33605:SF2', NULL, NULL, NULL, NULL, 'EARLY NODULIN-93', NULL, NULL, NULL, 15),
(66122, NULL, 'PTHR30471:SF3', NULL, NULL, NULL, NULL, 'UPF0758 PROTEIN YEES-RELATED', NULL, NULL, NULL, 15),
(66123, NULL, 'PTHR46084:SF18', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(66124, NULL, 'PTHR24233:SF10', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 13', NULL, NULL, NULL, 15),
(66125, NULL, 'PTHR46407:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66126, NULL, 'PTHR33021:SF190', NULL, NULL, NULL, NULL, 'UMECYANIN-LIKE', NULL, NULL, NULL, 15),
(66127, NULL, 'PTHR23243:SF3', NULL, NULL, NULL, NULL, 'SUPRABASIN', NULL, NULL, NULL, 15),
(66128, NULL, 'PTHR45654:SF42', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG6', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66129, NULL, 'PTHR45917:SF3', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(66130, NULL, 'PTHR47393:SF2', NULL, NULL, NULL, NULL, 'CYSTATIN-14', NULL, NULL, NULL, 15),
(66131, NULL, 'PTHR31707:SF254', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(66132, NULL, 'PTHR23147:SF188', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH SPLICING FACTOR SC39 TRANSCRIPT I', NULL, NULL, NULL, 15),
(66133, NULL, 'PTHR16121:SF0', NULL, NULL, NULL, NULL, 'CAP-SPECIFIC MRNA (NUCLEOSIDE-2''-O-)-METHYLTRANSFERASE 1', NULL, NULL, 26723, 15),
(66134, NULL, 'PTHR47926:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66135, NULL, 'PTHR48011:SF50', NULL, NULL, NULL, NULL, 'BNAANNG23400D PROTEIN', NULL, NULL, NULL, 15),
(66136, NULL, 'PTHR10286:SF64', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(66137, NULL, 'PTHR22298:SF23', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 11', NULL, NULL, NULL, 15),
(66138, NULL, 'PTHR14513:SF1', NULL, NULL, NULL, NULL, 'PROTECTION OF TELOMERES 1B', NULL, NULL, NULL, 15),
(66139, NULL, 'PTHR31138:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(66140, NULL, 'PTHR11440:SF85', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID:DIACYLGLYCEROL ACYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(66141, NULL, 'PTHR33988:SF2', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE MAZF', NULL, NULL, NULL, 15),
(66142, NULL, 'PTHR31225:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66143, NULL, 'PTHR11730', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(66144, NULL, 'PTHR12750:SF15', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(66145, NULL, 'PTHR20963:SF42', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(66146, NULL, 'PTHR12290:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 3', NULL, NULL, NULL, 15),
(66147, NULL, 'PTHR48100:SF34', NULL, NULL, NULL, NULL, 'BROAD-SPECIFICITY PHOSPHATASE YOR283W', NULL, NULL, NULL, 15),
(66148, NULL, 'PTHR31920:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66149, NULL, 'PTHR46213:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR DEMETER', NULL, NULL, NULL, 15),
(66150, NULL, 'PTHR16505', NULL, NULL, NULL, NULL, 'PROTEIN LZIC', NULL, NULL, 29727, 15),
(66151, NULL, 'PTHR24056:SF211', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE C-3', NULL, NULL, NULL, 15),
(66152, NULL, 'PTHR12728:SF0', NULL, NULL, NULL, NULL, 'RIBOSOME PRODUCTION FACTOR 2 HOMOLOG', NULL, NULL, NULL, 15),
(66153, NULL, 'PTHR11984:SF113', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', NULL, NULL, NULL, 15),
(66154, NULL, 'PTHR47990:SF57', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 6', NULL, NULL, NULL, 15),
(66155, NULL, 'PTHR10571:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66156, NULL, 'PTHR33998', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66157, NULL, 'PTHR34669:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD DOMAIN-CONTAINING PROTEIN MRL7L, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(66158, NULL, 'PTHR12635:SF7', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN 6', NULL, NULL, NULL, 15),
(66159, NULL, 'PTHR45801:SF56', NULL, NULL, NULL, NULL, 'OS04G0168100 PROTEIN', NULL, NULL, NULL, 15),
(66160, NULL, 'PTHR12522', NULL, NULL, NULL, NULL, 'ZINC-FINGER PROTEIN NOLZ1-RELATED', NULL, NULL, NULL, 15),
(66161, NULL, 'PTHR24064:SF411', NULL, NULL, NULL, NULL, 'ORGANIC CATION TRANSPORTER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66162, NULL, 'PTHR31165:SF79', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 10-LIKE', NULL, NULL, NULL, 15),
(66163, NULL, 'PTHR16223:SF250', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH84-LIKE', NULL, NULL, NULL, 15),
(66164, NULL, 'PTHR33348:SF21', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP9', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66165, NULL, 'PTHR10638:SF74', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(66166, NULL, 'PTHR33447:SF11', NULL, NULL, NULL, NULL, 'BNAA09G16880D PROTEIN', NULL, NULL, NULL, 15),
(66167, NULL, 'PTHR33413', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(66168, NULL, 'PTHR31314:SF19', NULL, NULL, NULL, NULL, 'OS06G0609500 PROTEIN', NULL, NULL, NULL, 15),
(66169, NULL, 'PTHR34156:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YDGH', NULL, NULL, NULL, 15),
(66170, NULL, 'PTHR11255:SF103', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(66171, NULL, 'PTHR12733', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ATP SYNTHASE B CHAIN', NULL, NULL, 9634, 15),
(66172, NULL, 'PTHR31828:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66173, NULL, 'PTHR11252:SF13', NULL, NULL, NULL, NULL, 'BNAA05G32780D PROTEIN', NULL, NULL, NULL, 15),
(66174, NULL, 'PTHR46128:SF238', NULL, NULL, NULL, NULL, 'BNAC03G60930D PROTEIN', NULL, NULL, NULL, 15),
(66175, NULL, 'PTHR31885:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 86B', NULL, NULL, NULL, 15),
(66176, NULL, 'PTHR12956:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66177, NULL, 'PTHR33122:SF4', NULL, NULL, NULL, NULL, 'LIPID BINDING PROTEIN', NULL, NULL, NULL, 15),
(66178, NULL, 'PTHR35315', NULL, NULL, NULL, NULL, 'ACI13', NULL, NULL, NULL, 15),
(66179, NULL, 'PTHR24235:SF23', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(66180, NULL, 'PTHR46008:SF22', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66181, NULL, 'PTHR11972:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66182, NULL, 'PTHR24072:SF343', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(66183, NULL, 'PTHR21015:SF22', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(66184, NULL, 'PTHR27006:SF243', NULL, NULL, NULL, NULL, 'BNAC01G36570D PROTEIN', NULL, NULL, NULL, 15),
(66185, NULL, 'PTHR43899:SF18', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN 3-OXOACYL-COA REDUCTASE-B', NULL, NULL, NULL, 15),
(66186, NULL, 'PTHR31388:SF145', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(66187, NULL, 'PTHR39601:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66188, NULL, 'PTHR46525:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66189, NULL, 'PTHR24282:SF202', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, RIBONUCLEASE H-LIKE DOMAIN, GAG-PRE-INTEGRASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66190, NULL, 'PTHR12791:SF44', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SFT1', NULL, NULL, NULL, 15),
(66191, NULL, 'PTHR31625:SF8', NULL, NULL, NULL, NULL, 'OS04G0638100 PROTEIN', NULL, NULL, NULL, 15),
(66192, NULL, 'PTHR42760:SF90', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID 17-BETA DEHYDROGENASE 8', NULL, NULL, NULL, 15),
(66193, NULL, 'PTHR16675:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66194, NULL, 'PTHR11125', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TY 5', NULL, NULL, 30360, 15),
(66195, NULL, 'PTHR23079:SF14', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(66196, NULL, 'PTHR42908:SF10', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 2', NULL, NULL, NULL, 15),
(66197, NULL, 'PTHR24559:SF268', NULL, NULL, NULL, NULL, 'TRANSPOSON TF2-1 POLYPROTEIN-RELATED', NULL, NULL, NULL, 15),
(66198, NULL, 'PTHR31969:SF10', NULL, NULL, NULL, NULL, 'OSJNBA0038O10.17 PROTEIN', NULL, NULL, NULL, 15),
(66199, NULL, 'PTHR10758:SF2', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 3', NULL, NULL, 18308, 15),
(66200, NULL, 'PTHR34347', NULL, NULL, NULL, NULL, 'DNA REPAIR-SCAFFOLDING PROTEIN SPIDR', NULL, NULL, NULL, 15),
(66201, NULL, 'PTHR19433:SF85', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 17', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66202, NULL, 'PTHR33869:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66203, NULL, 'PTHR46487', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XRCC3', NULL, NULL, NULL, 15),
(66204, NULL, 'PTHR10394:SF23', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', NULL, NULL, NULL, 15),
(66205, NULL, 'PTHR34145:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66206, NULL, 'PTHR24416:SF552', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66207, NULL, 'PTHR31867:SF72', NULL, NULL, NULL, NULL, 'EXPANSIN-A2', NULL, NULL, NULL, 15),
(66208, NULL, 'PTHR12138:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66209, NULL, 'PTHR31388:SF136', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(66210, NULL, 'PTHR12777:SF0', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D2', NULL, NULL, NULL, 15),
(66211, NULL, 'PTHR10628:SF19', NULL, NULL, NULL, NULL, 'SIALIDASE', NULL, NULL, NULL, 15),
(66212, NULL, 'PTHR24055:SF102', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(66213, NULL, 'PTHR43952:SF33', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(66214, NULL, 'PTHR13683:SF375', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(66215, NULL, 'PTHR10026:SF76', NULL, NULL, NULL, NULL, 'CYCLIN-T1-1', NULL, NULL, NULL, 15),
(66216, NULL, 'PTHR43537:SF1', NULL, NULL, NULL, NULL, 'GLC OPERON TRANSCRIPTIONAL ACTIVATOR', NULL, NULL, NULL, 15),
(66217, NULL, 'PTHR31413:SF17', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN AFP1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(66218, NULL, 'PTHR38788:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66219, NULL, 'PTHR43185:SF1', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORTER FEOB', NULL, NULL, NULL, 15),
(66220, NULL, 'PTHR15615:SF10', NULL, NULL, NULL, NULL, 'PHO85 CYCLIN-2-RELATED', NULL, NULL, NULL, 15),
(66221, NULL, 'PTHR24214:SF9', NULL, NULL, NULL, NULL, 'LIM DOMAIN-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(66222, NULL, 'PTHR14588:SF2', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 10', NULL, NULL, NULL, 15),
(66223, NULL, 'PTHR44653:SF2', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 1', NULL, NULL, NULL, 15),
(66224, NULL, 'PTHR31549:SF81', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(66225, NULL, 'PTHR23315:SF243', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(66226, NULL, 'PTHR28581:SF1', NULL, NULL, NULL, NULL, 'CONSORTIN', NULL, NULL, NULL, 15),
(66227, NULL, 'PTHR33021:SF400', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66228, NULL, 'PTHR13720:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66229, NULL, 'PTHR47192', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 3-2, CHLOROPLASTIC', NULL, NULL, 37875, 15),
(66230, NULL, 'PTHR46668:SF1', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR5', NULL, NULL, NULL, 15),
(66231, NULL, 'PTHR35385', NULL, NULL, NULL, NULL, 'PROTEIN B, PUTATIVE-RELATED-RELATED', NULL, NULL, NULL, 15),
(66232, NULL, 'PTHR31852:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66233, NULL, 'PTHR24349:SF383', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 34-LIKE', NULL, NULL, NULL, 15),
(66234, NULL, 'PTHR34380:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66235, NULL, 'PTHR32467:SF162', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TOE3', NULL, NULL, NULL, 15),
(66236, NULL, 'PTHR33237:SF21', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(66237, NULL, 'PTHR11909:SF375', NULL, NULL, NULL, NULL, 'CASEIN KINASE I C03C10.2-RELATED', NULL, NULL, NULL, 15),
(66238, NULL, 'PTHR43029:SF28', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(66239, NULL, 'PTHR47926:SF15', NULL, NULL, NULL, NULL, 'OS05G0534900 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66240, NULL, 'PTHR31080:SF108', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(66241, NULL, 'PTHR45868:SF40', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(66242, NULL, 'PTHR23291:SF87', NULL, NULL, NULL, NULL, 'OS07G0177300 PROTEIN', NULL, NULL, NULL, 15),
(66243, NULL, 'PTHR48048:SF56', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(66244, NULL, 'PTHR13780:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66245, NULL, 'PTHR10334:SF452', NULL, NULL, NULL, NULL, 'BNAA03G50090D PROTEIN', NULL, NULL, NULL, 15),
(66246, NULL, 'PTHR24416:SF560', NULL, NULL, NULL, NULL, 'DISCOIDIN DOMAIN-CONTAINING RECEPTOR A', NULL, NULL, NULL, 15),
(66247, NULL, 'PTHR43391:SF65', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(66248, NULL, 'PTHR44227:SF3', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSYL-TRANSFERASE TMTC4', NULL, NULL, NULL, 15),
(66249, NULL, 'PTHR23318:SF23', NULL, NULL, NULL, NULL, 'BNAC03G34820D PROTEIN', NULL, NULL, NULL, 15),
(66250, NULL, 'PTHR31992:SF213', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.1', NULL, NULL, NULL, 15),
(66251, NULL, 'PTHR37421', NULL, NULL, NULL, NULL, 'UPF0260 PROTEIN YCGN', NULL, NULL, 639, 15),
(66252, NULL, 'PTHR33415:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66253, NULL, 'PTHR36109:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66254, NULL, 'PTHR46111:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE I', NULL, NULL, NULL, 15),
(66255, NULL, 'PTHR33647:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66256, NULL, 'PTHR13620:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66257, NULL, 'PTHR46387:SF6', NULL, NULL, NULL, NULL, '14.7 KDA RIBONUCLEASE H-LIKE PROTEIN', NULL, NULL, NULL, 15),
(66258, NULL, 'PTHR24393:SF17', NULL, NULL, NULL, NULL, 'GDNF-INDUCIBLE ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(66259, NULL, 'PTHR46454:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66260, NULL, 'PTHR19375:SF455', NULL, NULL, NULL, NULL, 'SHOCK 70 KDA PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(66261, NULL, 'PTHR38099', NULL, NULL, NULL, NULL, 'LARGE RIBOSOMAL RNA SUBUNIT ACCUMULATION PROTEIN YCED', NULL, NULL, 34324, 15),
(66262, NULL, 'PTHR12207:SF21', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 3', NULL, NULL, NULL, 15),
(66263, NULL, 'PTHR16112:SF18', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 5', NULL, NULL, NULL, 15),
(66264, NULL, 'PTHR10725:SF63', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT P TRANSPOSASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(66265, NULL, 'PTHR23055:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66266, NULL, 'PTHR31338:SF26', NULL, NULL, NULL, NULL, 'BNAC09G52200D PROTEIN', NULL, NULL, NULL, 15),
(66267, NULL, 'PTHR34133:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(66268, NULL, 'PTHR27009:SF73', NULL, NULL, NULL, NULL, 'OS01G0691050 PROTEIN', NULL, NULL, NULL, 15),
(66269, NULL, 'PTHR34723', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66270, NULL, 'PTHR12499:SF10', NULL, NULL, NULL, NULL, 'OPTIC ATROPHY 3 PROTEIN', NULL, NULL, NULL, 15),
(66271, NULL, 'PTHR23320:SF37', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 18', NULL, NULL, NULL, 15),
(66272, NULL, 'PTHR23208:SF21', NULL, NULL, NULL, NULL, 'LYSOZYME-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(66273, NULL, 'PTHR36847', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66274, NULL, 'PTHR12167:SF6', NULL, NULL, NULL, NULL, 'SI:CH73-265D7.2', NULL, NULL, NULL, 15),
(66275, NULL, 'PTHR10829:SF42', NULL, NULL, NULL, NULL, 'HIGH OSMOLARITY SIGNALING PROTEIN SHO1', NULL, NULL, NULL, 15),
(66276, NULL, 'PTHR33906', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 25 HOMOLOG', NULL, NULL, 30396, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66277, NULL, 'PTHR21022:SF13', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', NULL, NULL, NULL, 15),
(66278, NULL, 'PTHR45946:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A1', NULL, NULL, NULL, 15),
(66279, NULL, 'PTHR43859:SF29', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE AND LIGASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66280, NULL, 'PTHR11945:SF633', NULL, NULL, NULL, NULL, 'BNAC04G15630D PROTEIN', NULL, NULL, NULL, 15),
(66281, NULL, 'PTHR46454:SF2', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 2', NULL, NULL, NULL, 15),
(66282, NULL, 'PTHR31110:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66283, NULL, 'PTHR47992:SF75', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 64-RELATED', NULL, NULL, NULL, 15),
(66284, NULL, 'PTHR11945:SF398', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66285, NULL, 'PTHR23070:SF180', NULL, NULL, NULL, NULL, 'BNAANNG38610D PROTEIN', NULL, NULL, NULL, 15),
(66286, NULL, 'PTHR24349:SF379', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PEPKR2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(66287, NULL, 'PTHR13780:SF131', NULL, NULL, NULL, NULL, 'SUCROSE NONFERMENTING 4-LIKE PROTEIN ISOFORM X1', NULL, NULL, NULL, 15),
(66288, NULL, 'PTHR35312:SF1', NULL, NULL, NULL, NULL, 'OS07G0641800 PROTEIN', NULL, NULL, NULL, 15),
(66289, NULL, 'PTHR24206:SF35', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN WLIM1', NULL, NULL, NULL, 15),
(66290, NULL, 'PTHR31636:SF32', NULL, NULL, NULL, NULL, 'OS11G0141500 PROTEIN', NULL, NULL, NULL, 15),
(66291, NULL, 'PTHR43718:SF10', NULL, NULL, NULL, NULL, 'BNACNNG50070D PROTEIN', NULL, NULL, NULL, 15),
(66292, NULL, 'PTHR31241:SF39', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ABI4', NULL, NULL, NULL, 15),
(66293, NULL, 'PTHR34539:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66294, NULL, 'PTHR36055:SF1', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(66295, NULL, 'PTHR14191:SF25', NULL, NULL, NULL, NULL, 'NA(+)/H(+) EXCHANGE REGULATORY COFACTOR NHE-RF1', NULL, NULL, NULL, 15),
(66296, NULL, 'PTHR32468:SF129', NULL, NULL, NULL, NULL, 'BNAANNG38490D PROTEIN', NULL, NULL, NULL, 15),
(66297, NULL, 'PTHR22812:SF140', NULL, NULL, NULL, NULL, 'CHROMOBOX HOMOLOG 3B', NULL, NULL, NULL, 15),
(66298, NULL, 'PTHR34827:SF5', NULL, NULL, NULL, NULL, 'INSULIN GROWTH FACTOR-LIKE FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(66299, NULL, 'PTHR46277:SF14', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66300, NULL, 'PTHR33743:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66301, NULL, 'PTHR47978:SF6', NULL, NULL, NULL, NULL, 'BNACNNG07030D PROTEIN', NULL, NULL, NULL, 15),
(66302, NULL, 'PTHR33021:SF383', NULL, NULL, NULL, NULL, 'PEELING CUPREDOXIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(66303, NULL, 'PTHR48104:SF26', NULL, NULL, NULL, NULL, 'CASPASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66304, NULL, 'PTHR43184:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG17618', NULL, NULL, NULL, 15),
(66305, NULL, 'PTHR19964:SF10', NULL, NULL, NULL, NULL, 'MULTIPLE PDZ DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(66306, NULL, 'PTHR32073', NULL, NULL, NULL, NULL, 'GH11358P', NULL, NULL, 19565, 15),
(66307, NULL, 'PTHR23505:SF53', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(66308, NULL, 'PTHR11532:SF86', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE D-LIKE PROTEIN', NULL, NULL, NULL, 15),
(66309, NULL, 'PTHR47995:SF7', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 81-RELATED', NULL, NULL, NULL, 15),
(66310, NULL, 'PTHR47937:SF2', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT-CONTAINING PROTEIN, PF01535''-RELATED', NULL, NULL, NULL, 15),
(66311, NULL, 'PTHR46391:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66312, NULL, 'PTHR31656:SF9', NULL, NULL, NULL, NULL, 'CONSTITUENT OF CELL WALL, PUTATIVE-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66313, NULL, 'PTHR47245:SF1', NULL, NULL, NULL, NULL, 'FOLDASE PROTEIN PRSA', NULL, NULL, NULL, 15),
(66314, NULL, 'PTHR45901:SF1', NULL, NULL, NULL, NULL, 'LIPOXYGENASE HOMOLOGY DOMAINS 1A', NULL, NULL, NULL, 15),
(66315, NULL, 'PTHR45677:SF1', NULL, NULL, NULL, NULL, 'ACIDIC AMINO ACID DECARBOXYLASE GADL1', NULL, NULL, 35840, 15),
(66316, NULL, 'PTHR19423', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING PROTEIN 5', NULL, NULL, 4399, 15),
(66317, NULL, 'PTHR35105:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CDI', NULL, NULL, NULL, 15),
(66318, NULL, 'PTHR37437:SF4', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(66319, NULL, 'PTHR28246:SF1', NULL, NULL, NULL, NULL, 'G1-SPECIFIC TRANSCRIPTIONAL REPRESSOR WHI5-RELATED', NULL, NULL, NULL, 15),
(66320, NULL, 'PTHR38827:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66321, NULL, 'PTHR19317:SF10', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(66322, NULL, 'PTHR20863:SF65', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(66323, NULL, 'PTHR10579:SF141', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR, TYPE A, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(66324, NULL, 'PTHR37390:SF1', NULL, NULL, NULL, NULL, 'OS02G0592500 PROTEIN', NULL, NULL, NULL, 15),
(66325, NULL, 'PTHR16675:SF260', NULL, NULL, NULL, NULL, 'CLASS I HISTOCOMPATIBILITY ANTIGEN, GOGO-B*0102 ALPHA CHAIN', NULL, NULL, NULL, 15),
(66326, NULL, 'PTHR24237:SF7', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 183', NULL, NULL, NULL, 15),
(66327, NULL, 'PTHR11606:SF29', NULL, NULL, NULL, NULL, 'NAD-SPECIFIC GLUTAMATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(66328, NULL, 'PTHR22870:SF420', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66329, NULL, 'PTHR11685:SF371', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(66330, NULL, 'PTHR11017:SF427', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(66331, NULL, 'PTHR33021:SF302', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN', NULL, NULL, NULL, 15),
(66332, NULL, 'PTHR48004:SF5', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(66333, NULL, 'PTHR42953:SF2', NULL, NULL, NULL, NULL, 'ADHESION PROTEIN', NULL, NULL, NULL, 15),
(66334, NULL, 'PTHR45753:SF5', NULL, NULL, NULL, NULL, 'ORNITHINE CARBAMOYLTRANSFERASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(66335, NULL, 'PTHR24414:SF138', NULL, NULL, NULL, NULL, 'BNAC01G31390D PROTEIN', NULL, NULL, NULL, 15),
(66336, NULL, 'PTHR24036:SF5', NULL, NULL, NULL, NULL, 'THROMBOMODULIN', NULL, NULL, 20069, 15),
(66337, NULL, 'PTHR45650:SF51', NULL, NULL, NULL, NULL, 'BNAA05G17780D PROTEIN', NULL, NULL, NULL, 15),
(66338, NULL, 'PTHR24027:SF323', NULL, NULL, NULL, NULL, 'CADHERIN-19', NULL, NULL, NULL, 15),
(66339, NULL, 'PTHR22595:SF125', NULL, NULL, NULL, NULL, 'CHITINASE II', NULL, NULL, NULL, 15),
(66340, NULL, 'PTHR31637:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE, 2,3-BISPHOSPHOGLYCERATE-INDEPENDENT-RELATED', NULL, NULL, NULL, 15),
(66341, NULL, 'PTHR10763:SF22', NULL, NULL, NULL, NULL, 'ORC1-TYPE DNA REPLICATION PROTEIN 1', NULL, NULL, NULL, 15),
(66342, NULL, 'PTHR31828:SF30', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 1', NULL, NULL, NULL, 15),
(66343, NULL, 'PTHR24247:SF209', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR M5', NULL, NULL, NULL, 15),
(66344, NULL, 'PTHR34807:SF13', NULL, NULL, NULL, NULL, 'BNAC03G12670D PROTEIN', NULL, NULL, NULL, 15),
(66345, NULL, 'PTHR38003:SF1', NULL, NULL, NULL, NULL, 'THYMIC STROMAL LYMPHOPOIETIN', NULL, NULL, NULL, 15),
(66346, NULL, 'PTHR45773:SF3', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(66347, NULL, 'PTHR23074:SF71', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A1', NULL, NULL, NULL, 15),
(66348, NULL, 'PTHR47928:SF61', NULL, NULL, NULL, NULL, 'OS01G0818200 PROTEIN', NULL, NULL, NULL, 15),
(66349, NULL, 'PTHR32227:SF294', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66350, NULL, 'PTHR13326:SF8', NULL, NULL, NULL, NULL, 'OS01G0773000 PROTEIN', NULL, NULL, NULL, 15),
(66351, NULL, 'PTHR43157:SF47', NULL, NULL, NULL, NULL, 'WW DOMAIN-CONTAINING OXIDOREDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(66352, NULL, 'PTHR45868:SF58', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(66353, NULL, 'PTHR34270:SF3', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 15-RELATED', NULL, NULL, NULL, 15),
(66354, NULL, 'PTHR15710:SF106', NULL, NULL, NULL, NULL, 'OS05G0495000 PROTEIN', NULL, NULL, NULL, 15),
(66355, NULL, 'PTHR24381:SF285', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(66356, NULL, 'PTHR47999:SF51', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 308-LIKE', NULL, NULL, NULL, 15),
(66357, NULL, 'PTHR27004:SF350', NULL, NULL, NULL, NULL, 'INACTIVE LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BIR2', NULL, NULL, NULL, 15),
(66358, NULL, 'PTHR22883:SF279', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 14-RELATED', NULL, NULL, NULL, 15),
(66359, NULL, 'PTHR31060:SF4', NULL, NULL, NULL, NULL, '1,8-CINEOLE SYNTHASE', NULL, NULL, NULL, 15),
(66360, NULL, 'PTHR23267:SF206', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 9-49', NULL, NULL, NULL, 15),
(66361, NULL, 'PTHR12737:SF9', NULL, NULL, NULL, NULL, 'GM09012P', NULL, NULL, NULL, 15),
(66362, NULL, 'PTHR45665:SF28', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP2-1-RELATED', NULL, NULL, NULL, 15),
(66363, NULL, 'PTHR10578:SF128', NULL, NULL, NULL, NULL, 'ALPHA-HYDROXY ACID DEHYDROGENASE, FMN-DEPENDENT', NULL, NULL, NULL, 15),
(66364, NULL, 'PTHR12895:SF10', NULL, NULL, NULL, NULL, 'BNAC05G02330D PROTEIN', NULL, NULL, NULL, 15),
(66365, NULL, 'PTHR13270:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66366, NULL, 'PTHR47925:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66367, NULL, 'PTHR11592:SF7', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 8-RELATED', NULL, NULL, NULL, 15),
(66368, NULL, 'PTHR11802:SF198', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 27', NULL, NULL, NULL, 15),
(66369, NULL, 'PTHR45764:SF37', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 11-LIKE', NULL, NULL, NULL, 15),
(66370, NULL, 'PTHR11267:SF181', NULL, NULL, NULL, NULL, 'OPTOMOTOR-BLIND-RELATED-GENE-1, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(66371, NULL, 'PTHR10867:SF17', NULL, NULL, NULL, NULL, 'AMINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(66372, NULL, 'PTHR10791:SF44', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET1', NULL, NULL, NULL, 15),
(66373, NULL, 'PTHR10270:SF45', NULL, NULL, NULL, NULL, 'PROTEIN SOX-15', NULL, NULL, 27813, 15),
(66374, NULL, 'PTHR24203:SF60', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', NULL, NULL, NULL, 15),
(66375, NULL, 'PTHR24253:SF37', NULL, NULL, NULL, NULL, 'SERINE PROTEASE LINT', NULL, NULL, NULL, 15),
(66376, NULL, 'PTHR32054:SF50', NULL, NULL, NULL, NULL, 'BNAA05G26110D PROTEIN', NULL, NULL, NULL, 15),
(66377, NULL, 'PTHR13162:SF13', NULL, NULL, NULL, NULL, 'BNACNNG58980D PROTEIN', NULL, NULL, NULL, 15),
(66378, NULL, 'PTHR10751:SF85', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(66379, NULL, 'PTHR14217:SF17', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', NULL, NULL, NULL, 15),
(66380, NULL, 'PTHR27007:SF48', NULL, NULL, NULL, NULL, 'LECTIN-LIKE PROTEIN KINASE-LIKE', NULL, NULL, NULL, 15),
(66381, NULL, 'PTHR22442', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 24073, 15),
(66382, NULL, 'PTHR10725:SF54', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT P TRANSPOSASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(66383, NULL, 'PTHR35862:SF1', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', NULL, NULL, NULL, 15),
(66384, NULL, 'PTHR26379:SF264', NULL, NULL, NULL, NULL, 'OS08G0228200 PROTEIN', NULL, NULL, NULL, 15),
(66385, NULL, 'PTHR33306', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(66386, NULL, 'PTHR24256:SF493', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P52', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66387, NULL, 'PTHR31009:SF122', NULL, NULL, NULL, NULL, 'BNAA07G03510D PROTEIN', NULL, NULL, NULL, 15),
(66388, NULL, 'PTHR46422:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE BSL2 HOMOLOG', NULL, NULL, NULL, 15),
(66389, NULL, 'PTHR24417:SF5', NULL, NULL, NULL, NULL, 'LEMUR TYROSINE KINASE 2', NULL, NULL, NULL, 15),
(66390, NULL, 'PTHR24034:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66391, NULL, 'PTHR34269:SF5', NULL, NULL, NULL, NULL, 'BNAC02G48470D PROTEIN', NULL, NULL, NULL, 15),
(66392, NULL, 'PTHR46675', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37445, 15),
(66393, NULL, 'PTHR46232:SF2', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY E MEMBER 1', NULL, NULL, NULL, 15),
(66394, NULL, 'PTHR30009:SF20', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCOSE-SPECIFIC EIICB COMPONENT-RELATED', NULL, NULL, NULL, 15),
(66395, NULL, 'PTHR22930:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66396, NULL, 'PTHR11926:SF1403', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(66397, NULL, 'PTHR22835:SF309', NULL, NULL, NULL, NULL, 'OS01G0650900 PROTEIN', NULL, NULL, NULL, 15),
(66398, NULL, 'PTHR47024', NULL, NULL, NULL, NULL, 'BIOFILM ABSENT ON HEAD (AFTER YERSINIA EXPOSURE)-RELATED', NULL, NULL, NULL, 15),
(66399, NULL, 'PTHR31956:SF28', NULL, NULL, NULL, NULL, 'NON-SPECIFIC PHOSPHOLIPASE C4-RELATED', NULL, NULL, NULL, 15),
(66400, NULL, 'PTHR43636:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66401, NULL, 'PTHR43842:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66402, NULL, 'PTHR10502:SF96', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(66403, NULL, 'PTHR31301:SF143', NULL, NULL, NULL, NULL, 'BNAA09G06440D PROTEIN', NULL, NULL, NULL, 15),
(66404, NULL, 'PTHR34851', NULL, NULL, NULL, NULL, 'PROTEIN CBG05235-RELATED', NULL, NULL, NULL, 15),
(66405, NULL, 'PTHR16134:SF57', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FBX14', NULL, NULL, NULL, 15),
(66406, NULL, 'PTHR13555:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER C2HC DOMAIN-CONTAINING PROTEIN T03G11.3', NULL, NULL, NULL, 15),
(66407, NULL, 'PTHR31964:SF135', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(66408, NULL, 'PTHR36433:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(66409, NULL, 'PTHR39518:SF2', NULL, NULL, NULL, NULL, 'UPF0215 PROTEIN MJ1150', NULL, NULL, NULL, 15),
(66410, NULL, 'PTHR23236:SF73', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(66411, NULL, 'PTHR12046:SF0', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE TYPE B CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(66412, NULL, 'PTHR10210:SF105', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYL PYROPHOSPHATE SYNTHETASE 1-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(66413, NULL, 'PTHR31717:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66414, NULL, 'PTHR30509:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66415, NULL, 'PTHR46146', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN CCR4', NULL, NULL, 37696, 15),
(66416, NULL, 'PTHR22710', NULL, NULL, NULL, NULL, 'X-RAY RADIATION RESISTANCE ASSOCIATED PROTEIN 1  XRRA1', NULL, NULL, 34748, 15),
(66417, NULL, 'PTHR48043:SF108', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 83A1', NULL, NULL, NULL, 15),
(66418, NULL, 'PTHR19384:SF63', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE, BRAIN', NULL, NULL, NULL, 15),
(66419, NULL, 'PTHR14338', NULL, NULL, NULL, NULL, 'ACTIN FILAMENT-ASSOCIATED PROTEIN 1 FAMILY MEMBER', NULL, NULL, 22782, 15),
(66420, NULL, 'PTHR24281:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66421, NULL, 'PTHR46249:SF37', NULL, NULL, NULL, NULL, 'VIRAL MOVEMENT PROTEIN', NULL, NULL, NULL, 15),
(66422, NULL, 'PTHR31215:SF22', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66423, NULL, 'PTHR46813:SF6', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 18-LIKE', NULL, NULL, NULL, 15),
(66424, NULL, 'PTHR16134:SF78', NULL, NULL, NULL, NULL, 'F-BOX AND LEUCINE-RICH REPEAT PROTEIN 8', NULL, NULL, NULL, 15),
(66425, NULL, 'PTHR11783:SF258', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(66426, NULL, 'PTHR43300', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(66427, NULL, 'PTHR24356:SF192', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C ETA TYPE', NULL, NULL, NULL, 15),
(66428, NULL, 'PTHR46777:SF3', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 10-RELATED', NULL, NULL, NULL, 15),
(66429, NULL, 'PTHR47026:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66430, NULL, 'PTHR31945:SF92', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(66431, NULL, 'PTHR11811:SF59', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(66432, NULL, 'PTHR13968:SF6', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN RALY', NULL, NULL, NULL, 15),
(66433, NULL, 'PTHR31116:SF29', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(66434, NULL, 'PTHR30055:SF168', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY TETR-FAMILY)-RELATED', NULL, NULL, NULL, 15),
(66435, NULL, 'PTHR11986:SF113', NULL, NULL, NULL, NULL, 'ACETYLORNITHINE/SUCCINYLDIAMINOPIMELATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(66436, NULL, 'PTHR31080:SF224', NULL, NULL, NULL, NULL, 'BNAA09G06030D PROTEIN', NULL, NULL, NULL, 15),
(66437, NULL, 'PTHR11709:SF262', NULL, NULL, NULL, NULL, 'LACCASE-15', NULL, NULL, NULL, 15),
(66438, NULL, 'PTHR47968:SF30', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7E', NULL, NULL, NULL, 15),
(66439, NULL, 'PTHR11937:SF149', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2-A-RELATED', NULL, NULL, 26592, 15),
(66440, NULL, 'PTHR32044:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66441, NULL, 'PTHR37823:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C-550', NULL, NULL, NULL, 15),
(66442, NULL, 'PTHR11183:SF145', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE:XYLAN ALPHA-GLUCURONOSYLTRANSFERASE 4-RELATED', NULL, NULL, NULL, 15),
(66443, NULL, 'PTHR34583:SF3', NULL, NULL, NULL, NULL, 'MULTISUBUNIT SODIUM/HYDROGEN ANTIPORTER, MNHC SUBUNIT', NULL, NULL, NULL, 15),
(66444, NULL, 'PTHR33177:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66445, NULL, 'PTHR24369:SF185', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEATS AND IMMUNOGLOBULIN-LIKE DOMAINS PROTEIN 3', NULL, NULL, NULL, 15),
(66446, NULL, 'PTHR16140:SF21', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', NULL, NULL, NULL, 15),
(66447, NULL, 'PTHR33077:SF105', NULL, NULL, NULL, NULL, 'BNAC08G48340D PROTEIN', NULL, NULL, NULL, 15),
(66448, NULL, 'PTHR28584', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 228 MEMBER A', NULL, NULL, 33530, 15),
(66449, NULL, 'PTHR34371:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66450, NULL, 'PTHR36776:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(66451, NULL, 'PTHR46813:SF13', NULL, NULL, NULL, NULL, 'BNAC01G40720D PROTEIN', NULL, NULL, NULL, 15),
(66452, NULL, 'PTHR14948:SF39', NULL, NULL, NULL, NULL, 'SI:CH73-343G19.4-RELATED', NULL, NULL, NULL, 15),
(66453, NULL, 'PTHR46820:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD7', NULL, NULL, NULL, 15),
(66454, NULL, 'PTHR11876:SF33', NULL, NULL, NULL, NULL, 'DEFENSIN-7', NULL, NULL, NULL, 15),
(66455, NULL, 'PTHR39669', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66456, NULL, 'PTHR36732:SF1', NULL, NULL, NULL, NULL, 'GLYCINE RICH PROTEIN 9-RELATED', NULL, NULL, NULL, 15),
(66457, NULL, 'PTHR48164:SF1', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 4', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66458, NULL, 'PTHR31790:SF327', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66459, NULL, 'PTHR46204:SF15', NULL, NULL, NULL, NULL, 'LYSM DOMAIN RECEPTOR-LIKE KINASE 3', NULL, NULL, NULL, 15),
(66460, NULL, 'PTHR33432:SF4', NULL, NULL, NULL, NULL, 'OS08G0510500 PROTEIN', NULL, NULL, NULL, 15),
(66461, NULL, 'PTHR43670:SF46', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(66462, NULL, 'PTHR40463:SF1', NULL, NULL, NULL, NULL, 'PH-RESPONSE REGULATOR PROTEIN PALC', NULL, NULL, NULL, 15),
(66463, NULL, 'PTHR48054:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66464, NULL, 'PTHR24031:SF539', NULL, NULL, NULL, NULL, 'DEAD/DEAH BOX HELICASE, FUSED TO N-TERMINAL HD DOMAIN', NULL, NULL, 17931, 15),
(66465, NULL, 'PTHR31221:SF186', NULL, NULL, NULL, NULL, 'BNAA09G26610D PROTEIN', NULL, NULL, NULL, 15),
(66466, NULL, 'PTHR23192:SF73', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L3.1', NULL, NULL, NULL, 15),
(66467, NULL, 'PTHR46569', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRAIP', NULL, NULL, NULL, 15),
(66468, NULL, 'PTHR13204', NULL, NULL, NULL, NULL, 'PTD012 PROTEIN', NULL, NULL, 7605, 15),
(66469, NULL, 'PTHR30222', NULL, NULL, NULL, NULL, 'SPERMIDINE/PUTRESCINE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(66470, NULL, 'PTHR30546:SF24', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(66471, NULL, 'PTHR47979:SF11', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5A', NULL, NULL, NULL, 15),
(66472, NULL, 'PTHR11709:SF349', NULL, NULL, NULL, NULL, 'LACCASE-9-RELATED', NULL, NULL, NULL, 15),
(66473, NULL, 'PTHR36516:SF4', NULL, NULL, NULL, NULL, 'DOMON DOMAIN-CONTAINING PROTEIN Y73F4A.1', NULL, NULL, NULL, 15),
(66474, NULL, 'PTHR35891', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBA', NULL, NULL, NULL, 15),
(66475, NULL, 'PTHR31280:SF22', NULL, NULL, NULL, NULL, 'DUF810 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(66476, NULL, 'PTHR30292:SF0', NULL, NULL, NULL, NULL, '5-OXOPROLINASE SUBUNIT A', NULL, NULL, NULL, 15),
(66477, NULL, 'PTHR31517:SF67', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(66478, NULL, 'PTHR48078:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG07184', NULL, NULL, NULL, 15),
(66479, NULL, 'PTHR45084', NULL, NULL, NULL, NULL, 'ERAD-ASSOCIATED E3 UBIQUITIN-PROTEIN LIGASE COMPONENT HRD3A-RELATED', NULL, NULL, 38525, 15),
(66480, NULL, 'PTHR42204:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(66481, NULL, 'PTHR12670:SF17', NULL, NULL, NULL, NULL, 'NEUTRAL CERAMIDASE 2', NULL, NULL, NULL, 15),
(66482, NULL, 'PTHR33281:SF18', NULL, NULL, NULL, NULL, 'BESTROPHIN/UPF0187-RELATED', NULL, NULL, NULL, 15),
(66483, NULL, 'PTHR27006:SF306', NULL, NULL, NULL, NULL, 'BNACNNG08380D PROTEIN', NULL, NULL, NULL, 15),
(66484, NULL, 'PTHR11927', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-L-FUCOSYLTRANSFERASE', NULL, NULL, 940, 15),
(66485, NULL, 'PTHR45614:SF143', NULL, NULL, NULL, NULL, 'BNACNNG12230D PROTEIN', NULL, NULL, NULL, 15),
(66486, NULL, 'PTHR11960:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66487, NULL, 'PTHR11590:SF50', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(66488, NULL, 'PTHR33047:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66489, NULL, 'PTHR46706:SF2', NULL, NULL, NULL, NULL, 'WARTHOG (HEDGEHOG-LIKE FAMILY)-RELATED', NULL, NULL, 23593, 15),
(66490, NULL, 'PTHR24068:SF368', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 10', NULL, NULL, NULL, 15),
(66491, NULL, 'PTHR15157', NULL, NULL, NULL, NULL, 'UV RADIATION RESISTANCE-ASSOCIATED GENE PROTEIN', NULL, NULL, NULL, 15),
(66492, NULL, 'PTHR24082:SF113', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP D MEMBER 1', NULL, NULL, NULL, 15),
(66493, NULL, 'PTHR24369:SF166', NULL, NULL, NULL, NULL, 'LRRC32 ISOFORM 1', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66494, NULL, 'PTHR12555:SF16', NULL, NULL, NULL, NULL, 'OS04G0577000 PROTEIN', NULL, NULL, NULL, 15),
(66495, NULL, 'PTHR34207:SF7', NULL, NULL, NULL, NULL, 'PROTEIN BIC2', NULL, NULL, NULL, 15),
(66496, NULL, 'PTHR30349:SF51', NULL, NULL, NULL, NULL, 'TYROSINE RECOMBINASE XERH', NULL, NULL, NULL, 15),
(66497, NULL, 'PTHR31832:SF5', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 19', NULL, NULL, NULL, 15),
(66498, NULL, 'PTHR23198:SF23', NULL, NULL, NULL, NULL, 'BNAA09G11030D PROTEIN', NULL, NULL, NULL, 15),
(66499, NULL, 'PTHR21724:SF25', NULL, NULL, NULL, NULL, 'PHARYNGEAL GLAND TOXIN-RELATED', NULL, NULL, NULL, 15),
(66500, NULL, 'PTHR32176:SF78', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(66501, NULL, 'PTHR23267:SF417', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 9-2', NULL, NULL, NULL, 15),
(66502, NULL, 'PTHR31279:SF42', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM', NULL, NULL, NULL, 15),
(66503, NULL, 'PTHR11893:SF39', NULL, NULL, NULL, NULL, 'INNEXIN INX1', NULL, NULL, NULL, 15),
(66504, NULL, 'PTHR33295:SF20', NULL, NULL, NULL, NULL, 'ATPASE', NULL, NULL, NULL, 15),
(66505, NULL, 'PTHR47750:SF1', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SNE', NULL, NULL, NULL, 15),
(66506, NULL, 'PTHR35763:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66507, NULL, 'PTHR28079:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN5', NULL, NULL, NULL, 15),
(66508, NULL, 'PTHR31282:SF26', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 41-RELATED', NULL, NULL, NULL, 15),
(66509, NULL, 'PTHR42893:SF19', NULL, NULL, NULL, NULL, 'MATE EFFLUX FAMILY PROTEIN', NULL, NULL, NULL, 15),
(66510, NULL, 'PTHR33401:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66511, NULL, 'PTHR22884:SF489', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(66512, NULL, 'PTHR24347:SF412', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DCLK3', NULL, NULL, NULL, 15),
(66513, NULL, 'PTHR15712', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(66514, NULL, 'PTHR31744:SF129', NULL, NULL, NULL, NULL, 'BNAC05G47500D PROTEIN', NULL, NULL, NULL, 15),
(66515, NULL, 'PTHR10288:SF276', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN K,-LIKE', NULL, NULL, NULL, 15),
(66516, NULL, 'PTHR47981:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66517, NULL, 'PTHR34720', NULL, NULL, NULL, NULL, 'MICROCYSTIN DEPENDENT PROTEIN', NULL, NULL, NULL, 15),
(66518, NULL, 'PTHR10887:SF428', NULL, NULL, NULL, NULL, 'HELICASE WITH ZINC FINGER DOMAIN 2', NULL, NULL, 26241, 15),
(66519, NULL, 'PTHR47088:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(66520, NULL, 'PTHR32002:SF36', NULL, NULL, NULL, NULL, 'PROTEIN NLP5', NULL, NULL, NULL, 15),
(66521, NULL, 'PTHR31561:SF24', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 12', NULL, NULL, NULL, 15),
(66522, NULL, 'PTHR23253', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4 GAMMA', NULL, NULL, 39726, 15),
(66523, NULL, 'PTHR24271:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66524, NULL, 'PTHR24015:SF1812', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(66525, NULL, 'PTHR11467:SF133', NULL, NULL, NULL, NULL, 'BNAA04G17710D PROTEIN', NULL, NULL, NULL, 15),
(66526, NULL, 'PTHR31568:SF56', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH TM MODULE STRESS TOLERANCE PROTEIN', NULL, NULL, NULL, 15),
(66527, NULL, 'PTHR14191:SF22', NULL, NULL, NULL, NULL, 'GH04176P', NULL, NULL, NULL, 15),
(66528, NULL, 'PTHR24328:SF8', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MOX-1', NULL, NULL, NULL, 15),
(66529, NULL, 'PTHR24282:SF121', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714C2-LIKE', NULL, NULL, NULL, 15),
(66530, NULL, 'PTHR10773:SF16', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES II AND V SUBUNIT 6B', NULL, NULL, NULL, 15),
(66531, NULL, 'PTHR31775:SF19', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66532, NULL, 'PTHR18896:SF86', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D DELTA', NULL, NULL, NULL, 15),
(66533, NULL, 'PTHR12010:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S29', NULL, NULL, NULL, 15),
(66534, NULL, 'PTHR11886:SF87', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(66535, NULL, 'PTHR45138:SF17', NULL, NULL, NULL, NULL, 'REGULATORY COMPONENTS OF SENSORY TRANSDUCTION SYSTEM', NULL, NULL, NULL, 15),
(66536, NULL, 'PTHR14817:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 15', NULL, NULL, NULL, 15),
(66537, NULL, 'PTHR15950:SF15', NULL, NULL, NULL, NULL, 'PROTEIN VESTIGIAL', NULL, NULL, NULL, 15),
(66538, NULL, 'PTHR47964', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE HOMOLOG RECG, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(66539, NULL, 'PTHR42861:SF92', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(66540, NULL, 'PTHR48049:SF32', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 92A1', NULL, NULL, NULL, 15),
(66541, NULL, 'PTHR11328:SF24', NULL, NULL, NULL, NULL, 'INNER MEMBRANE SYMPORTER YICJ-RELATED', NULL, NULL, NULL, 15),
(66542, NULL, 'PTHR18966:SF472', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(66543, NULL, 'PTHR10845:SF196', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 17', NULL, NULL, NULL, 15),
(66544, NULL, 'PTHR45832:SF5', NULL, NULL, NULL, NULL, 'STE FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(66545, NULL, 'PTHR42791:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66546, NULL, 'PTHR27009:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66547, NULL, 'PTHR11599:SF118', NULL, NULL, NULL, NULL, 'PROTEASOME ENDOPEPTIDASE COMPLEX', NULL, NULL, NULL, 15),
(66548, NULL, 'PTHR11746:SF272', NULL, NULL, NULL, NULL, '5-PENTADECATRIENYL RESORCINOL O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(66549, NULL, 'PTHR43999', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 2', NULL, NULL, 38587, 15),
(66550, NULL, 'PTHR46578:SF4', NULL, NULL, NULL, NULL, 'ARM-REPEAT/TETRATRICOPEPTIDE REPEAT (TPR)-LIKE PROTEIN', NULL, NULL, NULL, 15),
(66551, NULL, 'PTHR47983:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66552, NULL, 'PTHR43391:SF16', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G04120)', NULL, NULL, NULL, 15),
(66553, NULL, 'PTHR13713:SF60', NULL, NULL, NULL, NULL, 'LACTOSYLCERAMIDE ALPHA-2,3-SIALYLTRANSFERASE', NULL, NULL, NULL, 15),
(66554, NULL, 'PTHR27008:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66555, NULL, 'PTHR33528:SF14', NULL, NULL, NULL, NULL, 'OS07G0239500 PROTEIN', NULL, NULL, NULL, 15),
(66556, NULL, 'PTHR24161:SF89', NULL, NULL, NULL, NULL, 'ANKYRIN/TPR REPEAT PROTEIN', NULL, NULL, NULL, 15),
(66557, NULL, 'PTHR46289', NULL, NULL, NULL, NULL, '52 KDA REPRESSOR OF THE INHIBITOR OF THE PROTEIN KINASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66558, NULL, 'PTHR34810', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN BIN4', NULL, NULL, 34070, 15),
(66559, NULL, 'PTHR27002:SF799', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 15-RELATED', NULL, NULL, NULL, 15),
(66560, NULL, 'PTHR28206', NULL, NULL, NULL, NULL, 'NUCLEOPORIN POM152', NULL, NULL, 33038, 15),
(66561, NULL, 'PTHR44188:SF3', NULL, NULL, NULL, NULL, 'GANGLIOSIDE-INDUCED DIFFERENTIATION-ASSOCIATED PROTEIN 1', NULL, NULL, 35449, 15),
(66562, NULL, 'PTHR11017:SF259', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(66563, NULL, 'PTHR22796', NULL, NULL, NULL, NULL, 'URG4-RELATED', NULL, NULL, NULL, 15),
(66564, NULL, 'PTHR31948:SF108', NULL, NULL, NULL, NULL, 'BNAA09G57080D PROTEIN', NULL, NULL, NULL, 15),
(66565, NULL, 'PTHR15288:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66566, NULL, 'PTHR15729', NULL, NULL, NULL, NULL, 'CDC42 GTPASE-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(66567, NULL, 'PTHR22763:SF167', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 145', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66568, NULL, 'PTHR32295:SF219', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', NULL, NULL, NULL, 15),
(66569, NULL, 'PTHR30624:SF11', NULL, NULL, NULL, NULL, 'ZINC-DEPENDENT PROTEASE, TLDD/PMBA FAMILY', NULL, NULL, NULL, 15),
(66570, NULL, 'PTHR11346:SF93', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(66571, NULL, 'PTHR33064:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66572, NULL, 'PTHR11183:SF136', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(66573, NULL, 'PTHR11566:SF54', NULL, NULL, NULL, NULL, 'DYNAMIN-3', NULL, NULL, NULL, 15),
(66574, NULL, 'PTHR24093:SF475', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(66575, NULL, 'PTHR33165:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66576, NULL, 'PTHR10541:SF2', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE', NULL, NULL, NULL, 15),
(66577, NULL, 'PTHR10183:SF399', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(66578, NULL, 'PTHR31521:SF6', NULL, NULL, NULL, NULL, 'BNAA05G08780D PROTEIN', NULL, NULL, NULL, 15),
(66579, NULL, 'PTHR42647:SF2', NULL, NULL, NULL, NULL, 'OS08G0115700 PROTEIN', NULL, NULL, NULL, 15),
(66580, NULL, 'PTHR10814', NULL, NULL, NULL, NULL, 'TRANSDUCIN-LIKE ENHANCER PROTEIN', NULL, NULL, 10755, 15),
(66581, NULL, 'PTHR24221:SF281', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER H FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(66582, NULL, 'PTHR46101:SF11', NULL, NULL, NULL, NULL, 'HISTIDINE DECARBOXYLASE-LIKE', NULL, NULL, NULL, 15),
(66583, NULL, 'PTHR11132:SF416', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66584, NULL, 'PTHR31218:SF71', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(66585, NULL, 'PTHR11711:SF376', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(66586, NULL, 'PTHR23315:SF238', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(66587, NULL, 'PTHR11614:SF172', NULL, NULL, NULL, NULL, 'LIPASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(66588, NULL, 'PTHR10516:SF426', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(66589, NULL, 'PTHR31234:SF45', NULL, NULL, NULL, NULL, 'OS01G0574800 PROTEIN', NULL, NULL, NULL, 15),
(66590, NULL, 'PTHR12200', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCIBLE PROTEIN AIM2 FAMILY MEMBER', NULL, NULL, 29894, 15),
(66591, NULL, 'PTHR10501:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66592, NULL, 'PTHR22298:SF111', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 3', NULL, NULL, NULL, 15),
(66593, NULL, 'PTHR47666', NULL, NULL, NULL, NULL, 'PROTEIN VASCULAR ASSOCIATED DEATH 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(66594, NULL, 'PTHR21490', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(66595, NULL, 'PTHR27002:SF812', NULL, NULL, NULL, NULL, 'LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(66596, NULL, 'PTHR11818:SF22', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN N', NULL, NULL, NULL, 15),
(66597, NULL, 'PTHR34222:SF19', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(66598, NULL, 'PTHR11721:SF3', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27A', NULL, NULL, NULL, 15),
(66599, NULL, 'PTHR15348:SF17', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(66600, NULL, 'PTHR12749:SF0', NULL, NULL, NULL, NULL, 'DNA EXCISION REPAIR PROTEIN ERCC-1', NULL, NULL, NULL, 15),
(66601, NULL, 'PTHR31142:SF1', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 1', NULL, NULL, NULL, 15),
(66602, NULL, 'PTHR13098:SF4', NULL, NULL, NULL, NULL, 'WOLFRAM SYNDROME 1A (WOLFRAMIN)', NULL, NULL, NULL, 15),
(66603, NULL, 'PTHR33344:SF10', NULL, NULL, NULL, NULL, 'OS06G0214100 PROTEIN', NULL, NULL, NULL, 15),
(66604, NULL, 'PTHR33154:SF28', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YGAV-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66605, NULL, 'PTHR24006:SF650', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 30', NULL, NULL, NULL, 15),
(66606, NULL, 'PTHR10625:SF193', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 1', NULL, NULL, NULL, 15),
(66607, NULL, 'PTHR31874:SF49', NULL, NULL, NULL, NULL, 'CCT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66608, NULL, 'PTHR31549:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66609, NULL, 'PTHR47512', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(66610, NULL, 'PTHR24028:SF81', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-14', NULL, NULL, NULL, 15),
(66611, NULL, 'PTHR23302:SF35', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(66612, NULL, 'PTHR47345', NULL, NULL, NULL, NULL, 'CUT9-INTERACTING PROTEIN SCN1', NULL, NULL, NULL, 15),
(66613, NULL, 'PTHR37577:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66614, NULL, 'PTHR10438:SF399', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(66615, NULL, 'PTHR37767:SF2', NULL, NULL, NULL, NULL, 'BNAANNG08100D PROTEIN', NULL, NULL, NULL, 15),
(66616, NULL, 'PTHR24028:SF134', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A2', NULL, NULL, 25253, 15),
(66617, NULL, 'PTHR20982', NULL, NULL, NULL, NULL, 'RIBOSOME RECYCLING FACTOR', NULL, NULL, 2754, 15),
(66618, NULL, 'PTHR22811:SF176', NULL, NULL, NULL, NULL, 'TMP21-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66619, NULL, 'PTHR31476:SF11', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(66620, NULL, 'PTHR37989:SF37', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 7', NULL, NULL, NULL, 15),
(66621, NULL, 'PTHR31657:SF54', NULL, NULL, NULL, NULL, 'BNAA09G12290D PROTEIN', NULL, NULL, NULL, 15),
(66622, NULL, 'PTHR11409:SF42', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(66623, NULL, 'PTHR32499:SF13', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66624, NULL, 'PTHR16631:SF25', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE BTGC', NULL, NULL, NULL, 15),
(66625, NULL, 'PTHR43228', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(66626, NULL, 'PTHR48043:SF111', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(66627, NULL, 'PTHR24064:SF443', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 27-RELATED', NULL, NULL, NULL, 15),
(66628, NULL, 'PTHR38085', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66629, NULL, 'PTHR45836:SF11', NULL, NULL, NULL, NULL, 'RETICULON-4 RECEPTOR-LIKE 1', NULL, NULL, NULL, 15),
(66630, NULL, 'PTHR31235:SF327', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(66631, NULL, 'PTHR10722:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', NULL, NULL, NULL, 15),
(66632, NULL, 'PTHR47389:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66633, NULL, 'PTHR26450:SF170', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52E8', NULL, NULL, NULL, 15),
(66634, NULL, 'PTHR13318:SF148', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN MAX2', NULL, NULL, NULL, 15),
(66635, NULL, 'PTHR24015:SF622', NULL, NULL, NULL, NULL, 'OS02G0833050 PROTEIN', NULL, NULL, NULL, 15),
(66636, NULL, 'PTHR47967:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66637, NULL, 'PTHR44586:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66638, NULL, 'PTHR24253:SF72', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 56', NULL, NULL, NULL, 15),
(66639, NULL, 'PTHR31161:SF18', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(66640, NULL, 'PTHR34114', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 1', NULL, NULL, 35824, 15),
(66641, NULL, 'PTHR10747:SF38', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR COLLIER', NULL, NULL, NULL, 15),
(66642, NULL, 'PTHR24388:SF46', NULL, NULL, NULL, NULL, 'CCCTC-BINDING FACTOR (ZINC FINGER PROTEIN)', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66643, NULL, 'PTHR43795:SF10', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 9', NULL, NULL, NULL, 15),
(66644, NULL, 'PTHR23147:SF162', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 3', NULL, NULL, NULL, 15),
(66645, NULL, 'PTHR24377:SF212', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 28 HOMOLOG', NULL, NULL, NULL, 15),
(66646, NULL, 'PTHR10676:SF310', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 7, AXONEMAL', NULL, NULL, NULL, 15),
(66647, NULL, 'PTHR10064:SF24', NULL, NULL, NULL, NULL, 'BNAA02G37000D PROTEIN', NULL, NULL, NULL, 15),
(66648, NULL, 'PTHR11017:SF296', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN ADR1', NULL, NULL, NULL, 15),
(66649, NULL, 'PTHR21661:SF35', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', NULL, NULL, NULL, 15),
(66650, NULL, 'PTHR13847:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66651, NULL, 'PTHR31906:SF17', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(66652, NULL, 'PTHR33494:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66653, NULL, 'PTHR12186', NULL, NULL, NULL, NULL, 'SIKE FAMILY MEMBER', NULL, NULL, 13097, 15),
(66654, NULL, 'PTHR11705:SF123', NULL, NULL, NULL, NULL, 'RE62864P-RELATED', NULL, NULL, NULL, 15),
(66655, NULL, 'PTHR33172:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66656, NULL, 'PTHR31413:SF15', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2/RNA RECOGNITION MOTIF PROTEIN', NULL, NULL, NULL, 15),
(66657, NULL, 'PTHR46508:SF1', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(66658, NULL, 'PTHR23143:SF20', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 6-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(66659, NULL, 'PTHR24306:SF8', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(66660, NULL, 'PTHR11588:SF79', NULL, NULL, NULL, NULL, 'TUBULIN GAMMA-2 CHAIN', NULL, NULL, NULL, 15),
(66661, NULL, 'PTHR10217:SF481', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 3', NULL, NULL, NULL, 15),
(66662, NULL, 'PTHR46659:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/TYROSINE-INTERACTING-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(66663, NULL, 'PTHR31683:SF145', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(66664, NULL, 'PTHR23101:SF63', NULL, NULL, NULL, NULL, 'OS03G0842700 PROTEIN', NULL, NULL, NULL, 15),
(66665, NULL, 'PTHR24270:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66666, NULL, 'PTHR11040:SF140', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 11', NULL, NULL, NULL, 15),
(66667, NULL, 'PTHR32278:SF96', NULL, NULL, NULL, NULL, 'BNAC02G34420D PROTEIN', NULL, NULL, NULL, 15),
(66668, NULL, 'PTHR33076:SF134', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 1', NULL, NULL, NULL, 15),
(66669, NULL, 'PTHR36337', NULL, NULL, NULL, NULL, 'OBSCURIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(66670, NULL, 'PTHR24356:SF387', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66671, NULL, 'PTHR31933:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66672, NULL, 'PTHR42973:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66673, NULL, 'PTHR11538:SF38', NULL, NULL, NULL, NULL, 'O-PHOSPHOSERINE--TRNA(CYS) LIGASE', NULL, NULL, 11212, 15),
(66674, NULL, 'PTHR26453:SF217', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(66675, NULL, 'PTHR33334:SF5', NULL, NULL, NULL, NULL, 'PROTEIN LNK2', NULL, NULL, NULL, 15),
(66676, NULL, 'PTHR23318:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 3', NULL, NULL, NULL, 15),
(66677, NULL, 'PTHR31096:SF76', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66678, NULL, 'PTHR24228:SF61', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(66679, NULL, 'PTHR45744:SF15', NULL, NULL, NULL, NULL, 'S-ALKYL-THIOHYDROXIMATE LYASE SUR1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66680, NULL, 'PTHR31113:SF31', NULL, NULL, NULL, NULL, 'BNAA06G14280D PROTEIN', NULL, NULL, NULL, 15),
(66681, NULL, 'PTHR46544:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-32E6.6-RELATED', NULL, NULL, NULL, 15),
(66682, NULL, 'PTHR45894:SF5', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 8A-LIKE', NULL, NULL, NULL, 15),
(66683, NULL, 'PTHR35318:SF13', NULL, NULL, NULL, NULL, 'BNAANNG41220D PROTEIN', NULL, NULL, NULL, 15),
(66684, NULL, 'PTHR42085:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66685, NULL, 'PTHR21213:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66686, NULL, 'PTHR46028:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66687, NULL, 'PTHR35546:SF67', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(66688, NULL, 'PTHR31729:SF2', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-1-RELATED', NULL, NULL, NULL, 15),
(66689, NULL, 'PTHR24068:SF168', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 J1', NULL, NULL, NULL, 15),
(66690, NULL, 'PTHR32153:SF60', NULL, NULL, NULL, NULL, 'BNAA02G18910D PROTEIN', NULL, NULL, NULL, 15),
(66691, NULL, 'PTHR23301:SF58', NULL, NULL, NULL, NULL, 'FI16963P1-RELATED', NULL, NULL, NULL, 15),
(66692, NULL, 'PTHR13068:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF15, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(66693, NULL, 'PTHR45699:SF9', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', NULL, NULL, NULL, 15),
(66694, NULL, 'PTHR10514:SF27', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME-RELATED', NULL, NULL, NULL, 15),
(66695, NULL, 'PTHR31898:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 136A', NULL, NULL, NULL, 15),
(66696, NULL, 'PTHR45839:SF12', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', NULL, NULL, NULL, 15),
(66697, NULL, 'PTHR11653:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66698, NULL, 'PTHR43790:SF4', NULL, NULL, NULL, NULL, 'CARBOHYDRATE TRANSPORT ATP-BINDING PROTEIN MG119-RELATED', NULL, NULL, NULL, 15),
(66699, NULL, 'PTHR10460:SF46', NULL, NULL, NULL, NULL, 'ABIL1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(66700, NULL, 'PTHR33872:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0084K11.10-LIKE PROTEIN', NULL, NULL, NULL, 15),
(66701, NULL, 'PTHR34458', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN-RELATED', NULL, NULL, 30105, 15),
(66702, NULL, 'PTHR45968:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0019K04.7 PROTEIN', NULL, NULL, NULL, 15),
(66703, NULL, 'PTHR11265:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66704, NULL, 'PTHR23324:SF88', NULL, NULL, NULL, NULL, 'CRAL/TRIO AND GOLD DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(66705, NULL, 'PTHR31314:SF112', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL7', NULL, NULL, NULL, 15),
(66706, NULL, 'PTHR33098:SF87', NULL, NULL, NULL, NULL, 'BNAC02G11900D PROTEIN', NULL, NULL, NULL, 15),
(66707, NULL, 'PTHR31374:SF155', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR40', NULL, NULL, NULL, 15),
(66708, NULL, 'PTHR45846:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66709, NULL, 'PTHR45647:SF93', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(66710, NULL, 'PTHR22596:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG14949', NULL, NULL, NULL, 15),
(66711, NULL, 'PTHR33420:SF9', NULL, NULL, NULL, NULL, 'MINOR FIMBRIAL SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(66712, NULL, 'PTHR11205:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66713, NULL, 'PTHR12231:SF87', NULL, NULL, NULL, NULL, 'DPR-INTERACTING PROTEIN BETA, ISOFORM C', NULL, NULL, NULL, 15),
(66714, NULL, 'PTHR27003:SF59', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(66715, NULL, 'PTHR12321:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66716, NULL, 'PTHR10494:SF15', NULL, NULL, NULL, NULL, 'NOGGIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66717, NULL, 'PTHR19290:SF130', NULL, NULL, NULL, NULL, 'NEUROGENIN-1', NULL, NULL, 22040, 15),
(66718, NULL, 'PTHR24026:SF88', NULL, NULL, NULL, NULL, 'CADHERIN FAMILY', NULL, NULL, NULL, 15),
(66719, NULL, 'PTHR44743:SF10', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(66720, NULL, 'PTHR10367', NULL, NULL, NULL, NULL, 'MRNA-CAPPING ENZYME', NULL, NULL, NULL, 15),
(66721, NULL, 'PTHR12570:SF60', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(66722, NULL, 'PTHR21659:SF70', NULL, NULL, NULL, NULL, 'HYDROPHOBIC PROTEIN LTI6A', NULL, NULL, NULL, 15),
(66723, NULL, 'PTHR47172', NULL, NULL, NULL, NULL, 'OS01G0976800 PROTEIN', NULL, NULL, NULL, 15),
(66724, NULL, 'PTHR11062:SF206', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(66725, NULL, 'PTHR10629:SF34', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE CMT2', NULL, NULL, NULL, 15),
(66726, NULL, 'PTHR43609', NULL, NULL, NULL, NULL, 'ACETYL-COA HYDROLASE', NULL, NULL, NULL, 15),
(66727, NULL, 'PTHR23050:SF411', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(66728, NULL, 'PTHR42798', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM ATP-BINDING PROTEIN LOLD', NULL, NULL, NULL, 15),
(66729, NULL, 'PTHR48046:SF5', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 72E2-RELATED', NULL, NULL, NULL, 15),
(66730, NULL, 'PTHR24230:SF131', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 151', NULL, NULL, NULL, 15),
(66731, NULL, 'PTHR11654:SF477', NULL, NULL, NULL, NULL, 'BNAA02G13640D PROTEIN', NULL, NULL, NULL, 15),
(66732, NULL, 'PTHR43681', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GTPASE FZO', NULL, NULL, NULL, 15),
(66733, NULL, 'PTHR43280:SF24', NULL, NULL, NULL, NULL, 'ARABINOSE OPERON REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(66734, NULL, 'PTHR12318', NULL, NULL, NULL, NULL, 'TESTOSTERONE-REGULATED PROTEIN RP2', NULL, NULL, 35689, 15),
(66735, NULL, 'PTHR19139:SF39', NULL, NULL, NULL, NULL, 'LENS FIBER MAJOR INTRINSIC PROTEIN', NULL, NULL, NULL, 15),
(66736, NULL, 'PTHR11710:SF22', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S19E, WINGED HELIX-TURN-HELIX DNA-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66737, NULL, 'PTHR48043:SF86', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 2B10-RELATED', NULL, NULL, NULL, 15),
(66738, NULL, 'PTHR11441:SF6', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE', NULL, NULL, NULL, 15),
(66739, NULL, 'PTHR10656:SF72', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 102', NULL, NULL, NULL, 15),
(66740, NULL, 'PTHR11551:SF27', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 6A-RELATED', NULL, NULL, 15555, 15),
(66741, NULL, 'PTHR36124:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66742, NULL, 'PTHR24071:SF28', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN', NULL, NULL, NULL, 15),
(66743, NULL, 'PTHR31692:SF2', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE B1', NULL, NULL, NULL, 15),
(66744, NULL, 'PTHR31902:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66745, NULL, 'PTHR11736:SF55', NULL, NULL, NULL, NULL, '1700080O16RIK PROTEIN', NULL, NULL, NULL, 15),
(66746, NULL, 'PTHR45788:SF8', NULL, NULL, NULL, NULL, 'SI:DKEY-178E17.1', NULL, NULL, NULL, 15),
(66747, NULL, 'PTHR31221:SF250', NULL, NULL, NULL, NULL, 'BNAA01G05500D PROTEIN', NULL, NULL, NULL, 15),
(66748, NULL, 'PTHR15258:SF2', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(66749, NULL, 'PTHR11630:SF43', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM6', NULL, NULL, NULL, 15),
(66750, NULL, 'PTHR36561', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66751, NULL, 'PTHR10353:SF275', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE-RELATED', NULL, NULL, NULL, 15),
(66752, NULL, 'PTHR21196:SF1', NULL, NULL, NULL, NULL, 'U7 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM10', NULL, NULL, NULL, 15),
(66753, NULL, 'PTHR14319:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 8B', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66754, NULL, 'PTHR38483', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(66755, NULL, 'PTHR23263:SF51', NULL, NULL, NULL, NULL, 'LATE CORNIFIED ENVELOPE PROTEIN 2B-RELATED', NULL, NULL, NULL, 15),
(66756, NULL, 'PTHR45759:SF4', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(66757, NULL, 'PTHR22951:SF71', NULL, NULL, NULL, NULL, 'BNAA02G13590D PROTEIN', NULL, NULL, NULL, 15),
(66758, NULL, 'PTHR12607:SF12', NULL, NULL, NULL, NULL, 'APC-LIKE, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(66759, NULL, 'PTHR15380', NULL, NULL, NULL, NULL, 'CEROID-LIPOFUSCINOSIS, NEURONAL 5', NULL, NULL, 23622, 15),
(66760, NULL, 'PTHR31235:SF229', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(66761, NULL, 'PTHR33377:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66762, NULL, 'PTHR44042:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DIVARICATA-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(66763, NULL, 'PTHR27006:SF414', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(66764, NULL, 'PTHR48016:SF29', NULL, NULL, NULL, NULL, 'MEKK1, ISOFORM B', NULL, NULL, NULL, 15),
(66765, NULL, 'PTHR46339:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG16264', NULL, NULL, NULL, 15),
(66766, NULL, 'PTHR42965', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66767, NULL, 'PTHR43166:SF9', NULL, NULL, NULL, NULL, 'AMINO-ACID ABC TRANSPORTER ATP-BINDING PROTEIN HI_1078-RELATED', NULL, NULL, NULL, 15),
(66768, NULL, 'PTHR47977:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66769, NULL, 'PTHR47925:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66770, NULL, 'PTHR12322:SF104', NULL, NULL, NULL, NULL, 'DOUBLESEX-MAB RELATED 93B', NULL, NULL, NULL, 15),
(66771, NULL, 'PTHR30096:SF16', NULL, NULL, NULL, NULL, 'OS01G0878900 PROTEIN', NULL, NULL, NULL, 15),
(66772, NULL, 'PTHR11417:SF17', NULL, NULL, NULL, NULL, 'PROLACTIN-7B1', NULL, NULL, NULL, 15),
(66773, NULL, 'PTHR31218:SF313', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(66774, NULL, 'PTHR31311:SF15', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 6-LIKE', NULL, NULL, NULL, 15),
(66775, NULL, 'PTHR32448:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66776, NULL, 'PTHR45642:SF48', NULL, NULL, NULL, NULL, 'OS02G0189300 PROTEIN', NULL, NULL, NULL, 15),
(66777, NULL, 'PTHR48049:SF62', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(66778, NULL, 'PTHR12757:SF5', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA-INDUCED PROTEIN 8-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(66779, NULL, 'PTHR21237:SF34', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(66780, NULL, 'PTHR11783:SF250', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(66781, NULL, 'PTHR24071:SF25', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN', NULL, NULL, NULL, 15),
(66782, NULL, 'PTHR31734:SF193', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA31', NULL, NULL, NULL, 15),
(66783, NULL, 'PTHR47926:SF144', NULL, NULL, NULL, NULL, 'BNAA09G40840D PROTEIN', NULL, NULL, NULL, 15),
(66784, NULL, 'PTHR45715:SF10', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E1', NULL, NULL, NULL, 15),
(66785, NULL, 'PTHR24033', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(66786, NULL, 'PTHR46128:SF257', NULL, NULL, NULL, NULL, 'BNAC06G05450D PROTEIN', NULL, NULL, NULL, 15),
(66787, NULL, 'PTHR16915:SF0', NULL, NULL, NULL, NULL, 'RADIATION-INDUCIBLE IMMEDIATE-EARLY GENE IEX-1', NULL, NULL, NULL, 15),
(66788, NULL, 'PTHR20940', NULL, NULL, NULL, NULL, 'TETRA THYMOSIN', NULL, NULL, NULL, 15),
(66789, NULL, 'PTHR48049:SF71', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(66790, NULL, 'PTHR24349:SF240', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 26', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66791, NULL, 'PTHR23257:SF748', NULL, NULL, NULL, NULL, 'OS08G0224100 PROTEIN', NULL, NULL, NULL, 15),
(66792, NULL, 'PTHR18919:SF139', NULL, NULL, NULL, NULL, 'BLL2936 PROTEIN', NULL, NULL, NULL, 15),
(66793, NULL, 'PTHR24393:SF71', NULL, NULL, NULL, NULL, 'SNAIL FAMILY TRANSCRIPTIONAL REPRESSOR 1', NULL, NULL, NULL, 15),
(66794, NULL, 'PTHR34120:SF19', NULL, NULL, NULL, NULL, 'OS01G0860900 PROTEIN', NULL, NULL, NULL, 15),
(66795, NULL, 'PTHR47258:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XERICO-RELATED', NULL, NULL, NULL, 15),
(66796, NULL, 'PTHR47827:SF2', NULL, NULL, NULL, NULL, 'MLLT3, SUPER ELONGATION COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(66797, NULL, 'PTHR35549', NULL, NULL, NULL, NULL, 'OS04G0584500 PROTEIN', NULL, NULL, NULL, 15),
(66798, NULL, 'PTHR31790:SF382', NULL, NULL, NULL, NULL, 'BNAA04G26550D PROTEIN', NULL, NULL, NULL, 15),
(66799, NULL, 'PTHR24109', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 31', NULL, NULL, 36726, 15),
(66800, NULL, 'PTHR22844:SF367', NULL, NULL, NULL, NULL, 'APOPTOTIC PROTEASE-ACTIVATING FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(66801, NULL, 'PTHR47925:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66802, NULL, 'PTHR10315:SF129', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(66803, NULL, 'PTHR31734:SF150', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA27', NULL, NULL, NULL, 15),
(66804, NULL, 'PTHR23023:SF161', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE FMO GS-OX-LIKE 9', NULL, NULL, NULL, 15),
(66805, NULL, 'PTHR24027:SF411', NULL, NULL, NULL, NULL, 'CADHERIN RELATED FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(66806, NULL, 'PTHR28630:SF3', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-LIKE 2A', NULL, NULL, 22938, 15),
(66807, NULL, 'PTHR31218:SF316', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(66808, NULL, 'PTHR47990:SF65', NULL, NULL, NULL, NULL, 'NON-HEME DIOXYGENASE N-TERMINAL DOMAIN, ISOPENICILLIN N SYNTHASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66809, NULL, 'PTHR11909:SF401', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66810, NULL, 'PTHR46610', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 39627, 15),
(66811, NULL, 'PTHR12747:SF0', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 1', NULL, NULL, NULL, 15),
(66812, NULL, 'PTHR43939:SF57', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE', NULL, NULL, NULL, 15),
(66813, NULL, 'PTHR24086:SF44', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-3', NULL, NULL, NULL, 15),
(66814, NULL, 'PTHR32467:SF141', NULL, NULL, NULL, NULL, 'OS04G0653600 PROTEIN', NULL, NULL, NULL, 15),
(66815, NULL, 'PTHR24104:SF34', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NHLRC1', NULL, NULL, NULL, 15),
(66816, NULL, 'PTHR34058:SF9', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(66817, NULL, 'PTHR47926:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66818, NULL, 'PTHR36542:SF8', NULL, NULL, NULL, NULL, 'GIG2-LIKE PROTEIN DREN', NULL, NULL, NULL, 15),
(66819, NULL, 'PTHR16471', NULL, NULL, NULL, NULL, 'CMT1A DUPLICATED REGION TRANSCRIPT 15 PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(66820, NULL, 'PTHR12976:SF0', NULL, NULL, NULL, NULL, 'RETINAL ROD RHODOPSIN-SENSITIVE CGMP 3'',5''-CYCLIC PHOSPHODIESTERASE SUBUNIT DELTA', NULL, NULL, NULL, 15),
(66821, NULL, 'PTHR43795:SF69', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(66822, NULL, 'PTHR37810:SF5', NULL, NULL, NULL, NULL, 'IMMUNITY PROTEIN SDPI', NULL, NULL, 26487, 15),
(66823, NULL, 'PTHR11909:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66824, NULL, 'PTHR11036:SF92', NULL, NULL, NULL, NULL, 'SEMAPHORIN RELATED', NULL, NULL, NULL, 15),
(66825, NULL, 'PTHR43441:SF8', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(66826, NULL, 'PTHR27008:SF459', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66827, NULL, 'PTHR15020:SF11', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G12510)', NULL, NULL, NULL, 15),
(66828, NULL, 'PTHR11909:SF412', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE', NULL, NULL, NULL, 15),
(66829, NULL, 'PTHR31920:SF44', NULL, NULL, NULL, NULL, 'BNAA04G20470D PROTEIN', NULL, NULL, NULL, 15),
(66830, NULL, 'PTHR31691:SF1', NULL, NULL, NULL, NULL, 'ROTATIN', NULL, NULL, NULL, 15),
(66831, NULL, 'PTHR31218:SF209', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(66832, NULL, 'PTHR11764:SF56', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(66833, NULL, 'PTHR10953:SF211', NULL, NULL, NULL, NULL, 'BNAC03G16630D PROTEIN', NULL, NULL, NULL, 15),
(66834, NULL, 'PTHR10177:SF347', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN-B', NULL, NULL, NULL, 15),
(66835, NULL, 'PTHR15405:SF0', NULL, NULL, NULL, NULL, 'LD47990P', NULL, NULL, NULL, 15),
(66836, NULL, 'PTHR19282:SF473', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(66837, NULL, 'PTHR19288', NULL, NULL, NULL, NULL, '4-NITROPHENYLPHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(66838, NULL, 'PTHR21538:SF11', NULL, NULL, NULL, NULL, 'ANILLIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(66839, NULL, 'PTHR38433', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66840, NULL, 'PTHR32448:SF143', NULL, NULL, NULL, NULL, 'OS08G0158400 PROTEIN', NULL, NULL, NULL, 15),
(66841, NULL, 'PTHR11042:SF163', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED, DOUBLE-STRANDED RNA-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(66842, NULL, 'PTHR10504:SF134', NULL, NULL, NULL, NULL, 'PROTEIN CBG19248', NULL, NULL, NULL, 15),
(66843, NULL, 'PTHR45669:SF4', NULL, NULL, NULL, NULL, 'OSJNBA0063C18.3 PROTEIN', NULL, NULL, NULL, 15),
(66844, NULL, 'PTHR39231', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP25', NULL, NULL, 28786, 15),
(66845, NULL, 'PTHR24356:SF232', NULL, NULL, NULL, NULL, '3-PHOSPHOINOSITIDE-DEPENDENT PROTEIN KINASE B', NULL, NULL, NULL, 15),
(66846, NULL, 'PTHR46540', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 12', NULL, NULL, 37325, 15),
(66847, NULL, 'PTHR21090:SF28', NULL, NULL, NULL, NULL, '3-PHOSPHOSHIKIMATE 1-CARBOXYVINYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(66848, NULL, 'PTHR12383:SF30', NULL, NULL, NULL, NULL, 'PEPTIDASE S24/S26A/S26B/S26C FAMILY PROTEIN', NULL, NULL, NULL, 15),
(66849, NULL, 'PTHR23158:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66850, NULL, 'PTHR33214:SF5', NULL, NULL, NULL, NULL, 'OS05G0550600 PROTEIN', NULL, NULL, NULL, 15),
(66851, NULL, 'PTHR28549:SF1', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN INTEGRAL MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(66852, NULL, 'PTHR47192:SF4', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 3-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(66853, NULL, 'PTHR11339:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66854, NULL, 'PTHR33989:SF4', NULL, NULL, NULL, NULL, 'PTS SYSTEM N,N''-DIACETYLCHITOBIOSE-SPECIFIC EIIC COMPONENT', NULL, NULL, NULL, 15),
(66855, NULL, 'PTHR33077:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 8', NULL, NULL, NULL, 15),
(66856, NULL, 'PTHR11206:SF384', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(66857, NULL, 'PTHR21681:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT J', NULL, NULL, NULL, 15),
(66858, NULL, 'PTHR24281:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66859, NULL, 'PTHR48010:SF54', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE-RELATED', NULL, NULL, NULL, 15),
(66860, NULL, 'PTHR24241:SF119', NULL, NULL, NULL, NULL, 'PYROGLUTAMYLATED RF-AMIDE PEPTIDE RECEPTOR', NULL, NULL, NULL, 15),
(66861, NULL, 'PTHR22814:SF312', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 20-LIKE', NULL, NULL, NULL, 15),
(66862, NULL, 'PTHR31168:SF27', NULL, NULL, NULL, NULL, 'BNAC05G35140D PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66863, NULL, 'PTHR10641:SF1192', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB29-RELATED', NULL, NULL, NULL, 15),
(66864, NULL, 'PTHR30492:SF0', NULL, NULL, NULL, NULL, 'METHYLGLYOXAL SYNTHASE', NULL, NULL, NULL, 15),
(66865, NULL, 'PTHR24223:SF382', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN ABC TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(66866, NULL, 'PTHR11905:SF219', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 1B', NULL, NULL, NULL, 15),
(66867, NULL, 'PTHR31561:SF111', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(66868, NULL, 'PTHR48000:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB36', NULL, NULL, NULL, 15),
(66869, NULL, 'PTHR34546:SF3', NULL, NULL, NULL, NULL, 'OS06G0153600 PROTEIN', NULL, NULL, NULL, 15),
(66870, NULL, 'PTHR47992:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66871, NULL, 'PTHR33095:SF45', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN', NULL, NULL, NULL, 15),
(66872, NULL, 'PTHR22883:SF307', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(66873, NULL, 'PTHR31722:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66874, NULL, 'PTHR31677:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66875, NULL, 'PTHR10426:SF107', NULL, NULL, NULL, NULL, 'BNAC01G23410D PROTEIN', NULL, NULL, NULL, 15),
(66876, NULL, 'PTHR33107:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66877, NULL, 'PTHR48026:SF11', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A1-LIKE 2', NULL, NULL, NULL, 15),
(66878, NULL, 'PTHR43495', NULL, NULL, NULL, NULL, 'GABA PERMEASE', NULL, NULL, NULL, 15),
(66879, NULL, 'PTHR48059:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(66880, NULL, 'PTHR33869:SF8', NULL, NULL, NULL, NULL, 'OS01G0754800 PROTEIN', NULL, NULL, NULL, 15),
(66881, NULL, 'PTHR31235:SF336', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(66882, NULL, 'PTHR46774:SF6', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE, HELICASE/SANT-ASSOCIATED DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66883, NULL, 'PTHR11599:SF164', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, NULL, 15),
(66884, NULL, 'PTHR48005:SF28', NULL, NULL, NULL, NULL, 'OS06G0691800 PROTEIN', NULL, NULL, NULL, 15),
(66885, NULL, 'PTHR31100:SF63', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(66886, NULL, 'PTHR11668:SF454', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(66887, NULL, 'PTHR10605:SF7', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE GLUCOSAMINE 3-O-SULFOTRANSFERASE 3B1', NULL, NULL, NULL, 15),
(66888, NULL, 'PTHR32170:SF3', NULL, NULL, NULL, NULL, 'PROTEASOME ACTIVATOR COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(66889, NULL, 'PTHR31221:SF200', NULL, NULL, NULL, NULL, 'BNAA03G51140D PROTEIN', NULL, NULL, NULL, 15),
(66890, NULL, 'PTHR47468', NULL, NULL, NULL, NULL, 'OS08G0130000 PROTEIN', NULL, NULL, NULL, 15),
(66891, NULL, 'PTHR31233:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66892, NULL, 'PTHR24637:SF250', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(66893, NULL, 'PTHR10177:SF412', NULL, NULL, NULL, NULL, 'CYCLIN-D4-1', NULL, NULL, NULL, 15),
(66894, NULL, 'PTHR24115:SF372', NULL, NULL, NULL, NULL, 'KINESIN FAMILY MEMBER 19A', NULL, NULL, NULL, 15),
(66895, NULL, 'PTHR43867:SF7', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(66896, NULL, 'PTHR11588:SF359', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(66897, NULL, 'PTHR33088:SF45', NULL, NULL, NULL, NULL, 'ESX-1 SECRETION-ASSOCIATED PROTEIN ESPE-LIKE', NULL, NULL, NULL, 15),
(66898, NULL, 'PTHR32153:SF50', NULL, NULL, NULL, NULL, 'BNAC03G22500D PROTEIN', NULL, NULL, NULL, 15),
(66899, NULL, 'PTHR45086:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN PCN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66900, NULL, 'PTHR45675:SF74', NULL, NULL, NULL, NULL, 'BNAANNG32620D PROTEIN', NULL, NULL, NULL, 15),
(66901, NULL, 'PTHR11036:SF37', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3B', NULL, NULL, NULL, 15),
(66902, NULL, 'PTHR21576:SF30', NULL, NULL, NULL, NULL, 'NODULIN-LIKE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(66903, NULL, 'PTHR31931:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CHURCHILL', NULL, NULL, NULL, 15),
(66904, NULL, 'PTHR45974:SF34', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING RECEPTOR-LIKE CYTOPLASMIC KINASE 2', NULL, NULL, NULL, 15),
(66905, NULL, 'PTHR45680:SF30', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(66906, NULL, 'PTHR16026:SF1', NULL, NULL, NULL, NULL, 'CARTILAGE ACIDIC PROTEIN 1A', NULL, NULL, NULL, 15),
(66907, NULL, 'PTHR23309:SF41', NULL, NULL, NULL, NULL, 'BNAC03G34950D PROTEIN', NULL, NULL, NULL, 15),
(66908, NULL, 'PTHR31080:SF210', NULL, NULL, NULL, NULL, 'BNACNNG78530D PROTEIN', NULL, NULL, NULL, 15),
(66909, NULL, 'PTHR14140:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UHRF1', NULL, NULL, NULL, 15),
(66910, NULL, 'PTHR30569:SF0', NULL, NULL, NULL, NULL, 'CYTOSINE PERMEASE', NULL, NULL, NULL, 15),
(66911, NULL, 'PTHR24015:SF1951', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(66912, NULL, 'PTHR34998:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66913, NULL, 'PTHR24369:SF187', NULL, NULL, NULL, NULL, 'FI03228P-RELATED', NULL, NULL, NULL, 15),
(66914, NULL, 'PTHR24113:SF8', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(66915, NULL, 'PTHR36753:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(66916, NULL, 'PTHR46952:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(66917, NULL, 'PTHR43833:SF8', NULL, NULL, NULL, NULL, 'TRK SYSTEM POTASSIUM UPTAKE PROTEIN TRKA', NULL, NULL, NULL, 15),
(66918, NULL, 'PTHR32092:SF6', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(66919, NULL, 'PTHR11592:SF36', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 2', NULL, NULL, NULL, 15),
(66920, NULL, 'PTHR44793', NULL, NULL, NULL, NULL, 'MATRIX REMODELING-ASSOCIATED PROTEIN 8', NULL, NULL, 38153, 15),
(66921, NULL, 'PTHR11208:SF111', NULL, NULL, NULL, NULL, 'BNAA03G17930D PROTEIN', NULL, NULL, NULL, 15),
(66922, NULL, 'PTHR45890:SF1', NULL, NULL, NULL, NULL, 'AARF DOMAIN CONTAINING KINASE 2 (PREDICTED)', NULL, NULL, NULL, 15),
(66923, NULL, 'PTHR11337:SF12', NULL, NULL, NULL, NULL, 'SIALOMUCIN CORE PROTEIN 24', NULL, NULL, NULL, 15),
(66924, NULL, 'PTHR10114:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66925, NULL, 'PTHR34482:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66926, NULL, 'PTHR28384:SF1', NULL, NULL, NULL, NULL, 'PROGRESSIVE ANKYLOSIS PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(66927, NULL, 'PTHR33709:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66928, NULL, 'PTHR47967:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66929, NULL, 'PTHR13817:SF115', NULL, NULL, NULL, NULL, 'IG-LIKE AND FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(66930, NULL, 'PTHR48005:SF32', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 5-LIKE', NULL, NULL, NULL, 15),
(66931, NULL, 'PTHR43464:SF23', NULL, NULL, NULL, NULL, 'JUVENILE HORMONE ACID O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(66932, NULL, 'PTHR30603', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR RPO', NULL, NULL, NULL, 15),
(66933, NULL, 'PTHR43899:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66934, NULL, 'PTHR33417:SF20', NULL, NULL, NULL, NULL, 'B12D PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66935, NULL, 'PTHR12109:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG07411', NULL, NULL, NULL, 15),
(66936, NULL, 'PTHR24286:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66937, NULL, 'PTHR13354:SF9', NULL, NULL, NULL, NULL, 'ROUND SPERMATID BASIC PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(66938, NULL, 'PTHR33156:SF48', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 6, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, 31655, 15),
(66939, NULL, 'PTHR14168:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66940, NULL, 'PTHR24229:SF97', NULL, NULL, NULL, NULL, 'SI:CH73-113G13.1-RELATED', NULL, NULL, NULL, 15),
(66941, NULL, 'PTHR19359:SF104', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE HEME/STEROID BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(66942, NULL, 'PTHR43874:SF114', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR9', NULL, NULL, NULL, 15),
(66943, NULL, 'PTHR23111:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66944, NULL, 'PTHR27009:SF246', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-5', NULL, NULL, NULL, 15),
(66945, NULL, 'PTHR24067:SF261', NULL, NULL, NULL, NULL, 'NEDD8-CONJUGATING ENZYME UBC-12', NULL, NULL, NULL, 15),
(66946, NULL, 'PTHR47933:SF5', NULL, NULL, NULL, NULL, 'OS01G0747600 PROTEIN', NULL, NULL, NULL, 15),
(66947, NULL, 'PTHR11260:SF615', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U17', NULL, NULL, NULL, 15),
(66948, NULL, 'PTHR12871:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66949, NULL, 'PTHR24296:SF216', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94A2-LIKE', NULL, NULL, NULL, 15),
(66950, NULL, 'PTHR15622:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT AND SOCS BOX-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(66951, NULL, 'PTHR47239:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66952, NULL, 'PTHR11101:SF85', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(66953, NULL, 'PTHR19304', NULL, NULL, NULL, NULL, 'CYCLIC-AMP RESPONSE ELEMENT BINDING PROTEIN', NULL, NULL, NULL, 15),
(66954, NULL, 'PTHR23032:SF1', NULL, NULL, NULL, NULL, 'BRO1 DOMAIN-CONTAINING PROTEIN BROX', NULL, NULL, NULL, 15),
(66955, NULL, 'PTHR10655:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66956, NULL, 'PTHR33033:SF74', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H FOLD', NULL, NULL, NULL, 15),
(66957, NULL, 'PTHR31221:SF112', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 59-RELATED', NULL, NULL, NULL, 15),
(66958, NULL, 'PTHR10634:SF122', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 6', NULL, NULL, NULL, 15),
(66959, NULL, 'PTHR48007:SF24', NULL, NULL, NULL, NULL, 'BNAC09G43790D PROTEIN', NULL, NULL, NULL, 15),
(66960, NULL, 'PTHR32175:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66961, NULL, 'PTHR21043:SF3', NULL, NULL, NULL, NULL, 'BNAC05G40400D PROTEIN', NULL, NULL, NULL, 15),
(66962, NULL, 'PTHR46410', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(66963, NULL, 'PTHR43888:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(66964, NULL, 'PTHR24031:SF716', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-2', NULL, NULL, NULL, 15),
(66965, NULL, 'PTHR15666:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66966, NULL, 'PTHR17102', NULL, NULL, NULL, NULL, 'NEURONAL REGENERATION-RELATED PROTEIN', NULL, NULL, 24548, 15),
(66967, NULL, 'PTHR45647:SF22', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 32', NULL, NULL, NULL, 15),
(66968, NULL, 'PTHR27001:SF871', NULL, NULL, NULL, NULL, 'OS11G0664100 PROTEIN', NULL, NULL, NULL, 15),
(66969, NULL, 'PTHR13723:SF141', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 2', NULL, NULL, NULL, 15),
(66970, NULL, 'PTHR31882:SF10', NULL, NULL, NULL, NULL, 'TNFAIP3-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(66971, NULL, 'PTHR33021:SF262', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 20', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(66972, NULL, 'PTHR48011:SF7', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 14', NULL, NULL, NULL, 15),
(66973, NULL, 'PTHR37439:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG19417', NULL, NULL, NULL, 15),
(66974, NULL, 'PTHR43826:SF3', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE EXCHANGER SLC37A4', NULL, NULL, NULL, 15),
(66975, NULL, 'PTHR31851:SF68', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER (VIT) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66976, NULL, 'PTHR11972:SF163', NULL, NULL, NULL, NULL, 'FERRIC REDUCTASE TRANSMEMBRANE COMPONENT', NULL, NULL, NULL, 15),
(66977, NULL, 'PTHR10625:SF198', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HOS1', NULL, NULL, NULL, 15),
(66978, NULL, 'PTHR23342:SF14', NULL, NULL, NULL, NULL, 'N-ACETYL GLUTAMATE KINASE 2', NULL, NULL, NULL, 15),
(66979, NULL, 'PTHR11908:SF137', NULL, NULL, NULL, NULL, 'HYPOXANTHINE OXIDASE XDHD-RELATED', NULL, NULL, NULL, 15),
(66980, NULL, 'PTHR31476:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(66981, NULL, 'PTHR12277:SF164', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(66982, NULL, 'PTHR10075:SF81', NULL, NULL, NULL, NULL, 'MYOTILIN', NULL, NULL, NULL, 15),
(66983, NULL, 'PTHR22925:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66984, NULL, 'PTHR33170:SF33', NULL, NULL, NULL, NULL, 'OS02G0198100 PROTEIN', NULL, NULL, NULL, 15),
(66985, NULL, 'PTHR13523:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN CONTAINING 2, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(66986, NULL, 'PTHR46011:SF10', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-199-RELATED', NULL, NULL, NULL, 15),
(66987, NULL, 'PTHR23266:SF79', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA CONSTANT', NULL, NULL, NULL, 15),
(66988, NULL, 'PTHR42886:SF35', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(66989, NULL, 'PTHR46673:SF3', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 3 MEMBER 2A-RELATED', NULL, NULL, NULL, 15),
(66990, NULL, 'PTHR21137', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR', NULL, NULL, 1543, 15),
(66991, NULL, 'PTHR45743:SF22', NULL, NULL, NULL, NULL, 'INWARDLY RECTIFYING POTASSIUM CHANNEL SUBUNIT', NULL, NULL, NULL, 15),
(66992, NULL, 'PTHR48017:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(66993, NULL, 'PTHR31172', NULL, NULL, NULL, NULL, 'STOMATAL CLOSURE-RELATED ACTIN-BINDING PROTEIN 1', NULL, NULL, 29323, 15),
(66994, NULL, 'PTHR11955:SF83', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN, ADIPOCYTE', NULL, NULL, 31611, 15),
(66995, NULL, 'PTHR11849:SF187', NULL, NULL, NULL, NULL, 'ETS-DOMAIN LACKING', NULL, NULL, NULL, 15),
(66996, NULL, 'PTHR11142:SF24', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(66997, NULL, 'PTHR11208:SF123', NULL, NULL, NULL, NULL, 'OS02G0722700 PROTEIN', NULL, NULL, NULL, 15),
(66998, NULL, 'PTHR22849:SF23', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(66999, NULL, 'PTHR35104:SF16', NULL, NULL, NULL, NULL, 'BNAA05G25800D PROTEIN', NULL, NULL, NULL, 15),
(67000, NULL, 'PTHR37168:SF1', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED EXONUCLEASE CAS4', NULL, NULL, NULL, 15),
(67001, NULL, 'PTHR10434:SF46', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE ALPHA', NULL, NULL, NULL, 15),
(67002, NULL, 'PTHR36897:SF2', NULL, NULL, NULL, NULL, 'OS10G0351100-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67003, NULL, 'PTHR34992:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67004, NULL, 'PTHR24381:SF30', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 596', NULL, NULL, NULL, 15),
(67005, NULL, 'PTHR36220:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(67006, NULL, 'PTHR33512:SF7', NULL, NULL, NULL, NULL, 'PLANT/F17O14-7 PROTEIN', NULL, NULL, NULL, 15),
(67007, NULL, 'PTHR24020:SF65', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE IV, ALPHA 1-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67008, NULL, 'PTHR11945:SF673', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67009, NULL, 'PTHR11328:SF28', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(67010, NULL, 'PTHR48001:SF73', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(67011, NULL, 'PTHR10795:SF696', NULL, NULL, NULL, NULL, 'BNAA10G12230D PROTEIN', NULL, NULL, NULL, 15),
(67012, NULL, 'PTHR40663:SF2', NULL, NULL, NULL, NULL, 'HELIX-TURN-HELIX AND ZINC RIBBON TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(67013, NULL, 'PTHR11615:SF314', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67014, NULL, 'PTHR48063:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67015, NULL, 'PTHR18063:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67016, NULL, 'PTHR47925:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67017, NULL, 'PTHR11360:SF246', NULL, NULL, NULL, NULL, 'AGAP000795-PA', NULL, NULL, NULL, 15),
(67018, NULL, 'PTHR47344:SF1', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67019, NULL, 'PTHR24026:SF108', NULL, NULL, NULL, NULL, 'SI:DKEY-1M11.6', NULL, NULL, NULL, 15),
(67020, NULL, 'PTHR24006:SF778', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1-RELATED', NULL, NULL, NULL, 15),
(67021, NULL, 'PTHR23192:SF13', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-LIKE PROTEIN 1', NULL, NULL, 24559, 15),
(67022, NULL, 'PTHR11709:SF318', NULL, NULL, NULL, NULL, 'MULTI-COPPER OXIDASE TYPE I FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67023, NULL, 'PTHR24115:SF344', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67024, NULL, 'PTHR24292:SF45', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 6G1-RELATED', NULL, NULL, NULL, 15),
(67025, NULL, 'PTHR33186:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67026, NULL, 'PTHR11616:SF101', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT NEUTRAL AMINO ACID TRANSPORTER B(0)AT2', NULL, NULL, NULL, 15),
(67027, NULL, 'PTHR45800', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA', NULL, NULL, 38999, 15),
(67028, NULL, 'PTHR14269:SF44', NULL, NULL, NULL, NULL, 'BNAA09G54840D PROTEIN', NULL, NULL, NULL, 15),
(67029, NULL, 'PTHR45769:SF9', NULL, NULL, NULL, NULL, 'ADENOSINE KINASE ISOFORM 1T', NULL, NULL, NULL, 15),
(67030, NULL, 'PTHR46339:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG06945', NULL, NULL, NULL, 15),
(67031, NULL, 'PTHR24006:SF798', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 13-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(67032, NULL, 'PTHR31645:SF65', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', NULL, NULL, NULL, 15),
(67033, NULL, 'PTHR14224:SF1', NULL, NULL, NULL, NULL, 'PREFERENTIALLY-EXPRESSED ANTIGEN IN MELANOMA', NULL, NULL, NULL, 15),
(67034, NULL, 'PTHR10876:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZPR1', NULL, NULL, NULL, 15),
(67035, NULL, 'PTHR45615:SF3', NULL, NULL, NULL, NULL, 'MYOSIN-1', NULL, NULL, NULL, 15),
(67036, NULL, 'PTHR33288:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME F', NULL, NULL, NULL, 15),
(67037, NULL, 'PTHR47968:SF13', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67038, NULL, 'PTHR46371:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67039, NULL, 'PTHR11206:SF327', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(67040, NULL, 'PTHR32263:SF27', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(67041, NULL, 'PTHR33543:SF18', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 2B', NULL, NULL, NULL, 15),
(67042, NULL, 'PTHR48104:SF4', NULL, NULL, NULL, NULL, 'METACASPASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67043, NULL, 'PTHR24303:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 305A1-RELATED', NULL, NULL, NULL, 15),
(67044, NULL, 'PTHR19241:SF522', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 43', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67045, NULL, 'PTHR28632:SF6', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 7', NULL, NULL, NULL, 15),
(67046, NULL, 'PTHR32097', NULL, NULL, NULL, NULL, 'CAMP-BINDING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(67047, NULL, 'PTHR45853:SF3', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE SIRTUIN-6', NULL, NULL, NULL, 15),
(67048, NULL, 'PTHR15065:SF6', NULL, NULL, NULL, NULL, 'INSULINOMA-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(67049, NULL, 'PTHR22624:SF56', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE ATG4', NULL, NULL, NULL, 15),
(67050, NULL, 'PTHR10485', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM-17', NULL, NULL, NULL, 15),
(67051, NULL, 'PTHR14514:SF2', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 6', NULL, NULL, NULL, 15),
(67052, NULL, 'PTHR33304:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67053, NULL, 'PTHR47103:SF4', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(67054, NULL, 'PTHR34311:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG21578', NULL, NULL, NULL, 15),
(67055, NULL, 'PTHR31250:SF38', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM6', NULL, NULL, NULL, 15),
(67056, NULL, 'PTHR13318:SF159', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67057, NULL, 'PTHR46554', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26A-RELATED', NULL, NULL, 36535, 15),
(67058, NULL, 'PTHR12634:SF29', NULL, NULL, NULL, NULL, 'OS05G0592500 PROTEIN', NULL, NULL, NULL, 15),
(67059, NULL, 'PTHR44042:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67060, NULL, 'PTHR33165:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67061, NULL, 'PTHR35973', NULL, NULL, NULL, NULL, 'MAPK-INTERACTING AND SPINDLE-STABILIZING PROTEIN-LIKE', NULL, NULL, 27150, 15),
(67062, NULL, 'PTHR47581:SF2', NULL, NULL, NULL, NULL, 'OS09G0431600 PROTEIN', NULL, NULL, NULL, 15),
(67063, NULL, 'PTHR46224:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67064, NULL, 'PTHR46377:SF3', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY PHOSPHATASE 19B', NULL, NULL, NULL, 15),
(67065, NULL, 'PTHR47965:SF10', NULL, NULL, NULL, NULL, 'OS01G0844500 PROTEIN', NULL, NULL, NULL, 15),
(67066, NULL, 'PTHR11596:SF42', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE, GERM CELL TYPE', NULL, NULL, NULL, 15),
(67067, NULL, 'PTHR22883:SF116', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE SWF1', NULL, NULL, NULL, 15),
(67068, NULL, 'PTHR26452:SF417', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 507', NULL, NULL, NULL, 15),
(67069, NULL, 'PTHR47756:SF2', NULL, NULL, NULL, NULL, 'BLL6612 PROTEIN', NULL, NULL, NULL, 15),
(67070, NULL, 'PTHR10956:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67071, NULL, 'PTHR11143:SF19', NULL, NULL, NULL, NULL, 'BNAC07G31580D PROTEIN', NULL, NULL, NULL, 15),
(67072, NULL, 'PTHR11260:SF476', NULL, NULL, NULL, NULL, 'S-TRANSFERASE GSTU6, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(67073, NULL, 'PTHR10795:SF626', NULL, NULL, NULL, NULL, 'OS07G0685900 PROTEIN', NULL, NULL, NULL, 15),
(67074, NULL, 'PTHR32054:SF44', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT 1-LIKE', NULL, NULL, NULL, 15),
(67075, NULL, 'PTHR14949:SF38', NULL, NULL, NULL, NULL, 'CRYPTIC PROTEIN', NULL, NULL, NULL, 15),
(67076, NULL, 'PTHR37879', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH TAIL PROTEIN 1', NULL, NULL, 21401, 15),
(67077, NULL, 'PTHR12161:SF62', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', NULL, NULL, NULL, 15),
(67078, NULL, 'PTHR24377:SF908', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 514', NULL, NULL, NULL, 15),
(67079, NULL, 'PTHR46068:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG27172', NULL, NULL, NULL, 15),
(67080, NULL, 'PTHR22604:SF105', NULL, NULL, NULL, NULL, 'TRANS-1,2-DIHYDROBENZENE-1,2-DIOL DEHYDROGENASE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67081, NULL, 'PTHR10634:SF113', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 5-LIKE', NULL, NULL, NULL, 15),
(67082, NULL, 'PTHR23155:SF859', NULL, NULL, NULL, NULL, 'OS12G0559300 PROTEIN', NULL, NULL, NULL, 15),
(67083, NULL, 'PTHR12878:SF4', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(67084, NULL, 'PTHR24414:SF78', NULL, NULL, NULL, NULL, 'BNAA06G40700D PROTEIN', NULL, NULL, NULL, 15),
(67085, NULL, 'PTHR10366:SF349', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(67086, NULL, 'PTHR13778:SF47', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(67087, NULL, 'PTHR31113:SF3', NULL, NULL, NULL, NULL, 'UPF0496 PROTEIN 1', NULL, NULL, NULL, 15),
(67088, NULL, 'PTHR43403', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 1360, 15),
(67089, NULL, 'PTHR23266:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67090, NULL, 'PTHR32217:SF5', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6H', NULL, NULL, NULL, 15),
(67091, NULL, 'PTHR11055:SF48', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE', NULL, NULL, NULL, 15),
(67092, NULL, 'PTHR12618', NULL, NULL, NULL, NULL, 'PHD AND RING FINGER DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(67093, NULL, 'PTHR14217:SF23', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', NULL, NULL, NULL, 15),
(67094, NULL, 'PTHR13857:SF20', NULL, NULL, NULL, NULL, 'DNA DC-DU-EDITING ENZYME APOBEC-3G', NULL, NULL, 29369, 15),
(67095, NULL, 'PTHR11432:SF3', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 1', NULL, NULL, NULL, 15),
(67096, NULL, 'PTHR37163:SF1', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(67097, NULL, 'PTHR24296:SF19', NULL, NULL, NULL, NULL, 'OS04G0573900 PROTEIN', NULL, NULL, NULL, 15),
(67098, NULL, 'PTHR10693:SF66', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67099, NULL, 'PTHR16155:SF3', NULL, NULL, NULL, NULL, 'ZMP:0000000735', NULL, NULL, NULL, 15),
(67100, NULL, 'PTHR14009:SF31', NULL, NULL, NULL, NULL, 'LETM1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67101, NULL, 'PTHR35771:SF2', NULL, NULL, NULL, NULL, 'ELICITOR PEPTIDE 6', NULL, NULL, NULL, 15),
(67102, NULL, 'PTHR15706:SF19', NULL, NULL, NULL, NULL, 'SH3 AND PX DOMAIN-CONTAINING PROTEIN 2B', NULL, NULL, 24795, 15),
(67103, NULL, 'PTHR45828:SF21', NULL, NULL, NULL, NULL, 'SI:DKEY-251I10.2', NULL, NULL, NULL, 15),
(67104, NULL, 'PTHR33972:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(67105, NULL, 'PTHR30572:SF4', NULL, NULL, NULL, NULL, 'MACROLIDE EXPORT ATP-BINDING/PERMEASE PROTEIN MACB', NULL, NULL, NULL, 15),
(67106, NULL, 'PTHR30383:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67107, NULL, 'PTHR15642:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 3 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(67108, NULL, 'PTHR11088:SF36', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE', NULL, NULL, NULL, 15),
(67109, NULL, 'PTHR11461:SF146', NULL, NULL, NULL, NULL, 'SERPIN', NULL, NULL, NULL, 15),
(67110, NULL, 'PTHR36846:SF1', NULL, NULL, NULL, NULL, 'PROTEIN VIAA', NULL, NULL, NULL, 15),
(67111, NULL, 'PTHR44042:SF24', NULL, NULL, NULL, NULL, 'GID2 PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(67112, NULL, 'PTHR31561:SF167', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(67113, NULL, 'PTHR13024:SF0', NULL, NULL, NULL, NULL, 'MICROSOMAL TRIACYLGLYCEROL TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(67114, NULL, 'PTHR46128:SF171', NULL, NULL, NULL, NULL, 'BNAC02G25990D PROTEIN', NULL, NULL, NULL, 15),
(67115, NULL, 'PTHR42811:SF14', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(67116, NULL, 'PTHR19325:SF391', NULL, NULL, NULL, NULL, 'COMPLEMENT RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(67117, NULL, 'PTHR31568:SF98', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67118, NULL, 'PTHR42307', NULL, NULL, NULL, NULL, 'PUP DEAMIDASE/DEPUPYLASE', NULL, NULL, 5896, 15),
(67119, NULL, 'PTHR48007:SF56', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 2 ISOFORM X1', NULL, NULL, NULL, 15),
(67120, NULL, 'PTHR27003:SF318', NULL, NULL, NULL, NULL, 'BNAC03G27170D PROTEIN', NULL, NULL, NULL, 15),
(67121, NULL, 'PTHR11278:SF11', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7-1', NULL, NULL, NULL, 15),
(67122, NULL, 'PTHR31190:SF302', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67123, NULL, 'PTHR31549:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67124, NULL, 'PTHR46977:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FREE1', NULL, NULL, NULL, 15),
(67125, NULL, 'PTHR35870:SF6', NULL, NULL, NULL, NULL, 'MGS207 PROTEIN', NULL, NULL, NULL, 15),
(67126, NULL, 'PTHR11685:SF365', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(67127, NULL, 'PTHR14379:SF41', NULL, NULL, NULL, NULL, 'BNAA09G39600D PROTEIN', NULL, NULL, NULL, 15),
(67128, NULL, 'PTHR46711', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD2', NULL, NULL, 37439, 15),
(67129, NULL, 'PTHR16803', NULL, NULL, NULL, NULL, 'HIGH AFFINITY IMMUNOGLOBULIN EPSILON RECEPTOR GAMMA-SUBUNIT', NULL, NULL, 38870, 15),
(67130, NULL, 'PTHR34798:SF3', NULL, NULL, NULL, NULL, 'BNAC03G42780D PROTEIN', NULL, NULL, NULL, 15),
(67131, NULL, 'PTHR45801:SF52', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR TAC1', NULL, NULL, NULL, 15),
(67132, NULL, 'PTHR16223:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67133, NULL, 'PTHR10459:SF73', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(67134, NULL, 'PTHR15323:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67135, NULL, 'PTHR31281', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 24953, 15),
(67136, NULL, 'PTHR31815:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 200A', NULL, NULL, NULL, 15),
(67137, NULL, 'PTHR12346:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67138, NULL, 'PTHR43142:SF8', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(67139, NULL, 'PTHR46224:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67140, NULL, 'PTHR45621:SF122', NULL, NULL, NULL, NULL, 'BNAA06G09200D PROTEIN', NULL, NULL, NULL, 15),
(67141, NULL, 'PTHR46163:SF4', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(67142, NULL, 'PTHR31006:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG24455', NULL, NULL, NULL, 15),
(67143, NULL, 'PTHR31314:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67144, NULL, 'PTHR23360:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG02329', NULL, NULL, NULL, 15),
(67145, NULL, 'PTHR47928:SF146', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(67146, NULL, 'PTHR19282:SF440', NULL, NULL, NULL, NULL, 'RETINAL OUTER SEGMENT MEMBRANE PROTEIN 1A-RELATED', NULL, NULL, NULL, 15),
(67147, NULL, 'PTHR46990:SF1', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN DOMAIN-CONTAINING CYSTEINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(67148, NULL, 'PTHR33895:SF17', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 13', NULL, NULL, NULL, 15),
(67149, NULL, 'PTHR48002:SF119', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(67150, NULL, 'PTHR10641:SF1134', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB15', NULL, NULL, NULL, 15),
(67151, NULL, 'PTHR24074:SF48', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G03520)', NULL, NULL, NULL, 15),
(67152, NULL, 'PTHR34559', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 8', NULL, NULL, 12750, 15),
(67153, NULL, 'PTHR31205:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67154, NULL, 'PTHR12021:SF22', NULL, NULL, NULL, NULL, 'THYMOSIN BETA', NULL, NULL, NULL, 15),
(67155, NULL, 'PTHR31929:SF124', NULL, NULL, NULL, NULL, 'BNAA10G16740D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67156, NULL, 'PTHR23236:SF38', NULL, NULL, NULL, NULL, 'OS03G0123200 PROTEIN', NULL, NULL, NULL, 15),
(67157, NULL, 'PTHR48041:SF61', NULL, NULL, NULL, NULL, 'SD03967P', NULL, NULL, NULL, 15),
(67158, NULL, 'PTHR31472:SF4', NULL, NULL, NULL, NULL, 'OS05G0100800 PROTEIN', NULL, NULL, NULL, 15),
(67159, NULL, 'PTHR14168:SF5', NULL, NULL, NULL, NULL, 'TUMOR-ASSOCIATED CALCIUM SIGNAL TRANSDUCER 2', NULL, NULL, NULL, 15),
(67160, NULL, 'PTHR11716:SF95', NULL, NULL, NULL, NULL, 'BNAA08G13410D PROTEIN', NULL, NULL, NULL, 15),
(67161, NULL, 'PTHR47991:SF98', NULL, NULL, NULL, NULL, 'OS06G0176300 PROTEIN', NULL, NULL, NULL, 15),
(67162, NULL, 'PTHR15009', NULL, NULL, NULL, NULL, 'MUELLERIAN-INHIBITING FACTOR', NULL, NULL, 15733, 15),
(67163, NULL, 'PTHR11673:SF48', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', NULL, NULL, NULL, 15),
(67164, NULL, 'PTHR31018', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67165, NULL, 'PTHR13479:SF57', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S18C, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(67166, NULL, 'PTHR23257:SF707', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 12', NULL, NULL, NULL, 15),
(67167, NULL, 'PTHR23226:SF223', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GFI-1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67168, NULL, 'PTHR37038:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(67169, NULL, 'PTHR23138:SF139', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE RANBP2', NULL, NULL, NULL, 15),
(67170, NULL, 'PTHR11406:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE', NULL, NULL, NULL, 15),
(67171, NULL, 'PTHR38926:SF45', NULL, NULL, NULL, NULL, 'BNAA09G01740D PROTEIN', NULL, NULL, NULL, 15),
(67172, NULL, 'PTHR10199:SF10', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-2', NULL, NULL, 9478, 15),
(67173, NULL, 'PTHR32370:SF17', NULL, NULL, NULL, NULL, 'ROOT PHOTOTROPISM PROTEIN 2', NULL, NULL, NULL, 15),
(67174, NULL, 'PTHR31707:SF248', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(67175, NULL, 'PTHR33318:SF18', NULL, NULL, NULL, NULL, 'PROTEIN JASON', NULL, NULL, NULL, 15),
(67176, NULL, 'PTHR12980:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 9', NULL, NULL, NULL, 15),
(67177, NULL, 'PTHR31304:SF20', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 41', NULL, NULL, NULL, 15),
(67178, NULL, 'PTHR33384:SF37', NULL, NULL, NULL, NULL, 'BNAC06G30070D PROTEIN', NULL, NULL, NULL, 15),
(67179, NULL, 'PTHR10663:SF362', NULL, NULL, NULL, NULL, 'SEC7 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67180, NULL, 'PTHR24298:SF763', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A26', NULL, NULL, NULL, 15),
(67181, NULL, 'PTHR11954:SF23', NULL, NULL, NULL, NULL, 'D-DOPACHROME DECARBOXYLASE', NULL, NULL, NULL, 15),
(67182, NULL, 'PTHR34676:SF8', NULL, NULL, NULL, NULL, 'MYOSIN-11-LIKE', NULL, NULL, NULL, 15),
(67183, NULL, 'PTHR11374:SF34', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', NULL, NULL, NULL, 15),
(67184, NULL, 'PTHR37338:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 32', NULL, NULL, NULL, 15),
(67185, NULL, 'PTHR18953:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67186, NULL, 'PTHR20961:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67187, NULL, 'PTHR46933:SF1', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(67188, NULL, 'PTHR31500:SF79', NULL, NULL, NULL, NULL, 'BNAC05G14850D PROTEIN', NULL, NULL, NULL, 15),
(67189, NULL, 'PTHR13780:SF57', NULL, NULL, NULL, NULL, 'CBS DOMAIN CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(67190, NULL, 'PTHR33110:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67191, NULL, 'PTHR42693:SF12', NULL, NULL, NULL, NULL, 'ARYLSULFATASE D', NULL, NULL, NULL, 15),
(67192, NULL, 'PTHR18945:SF531', NULL, NULL, NULL, NULL, 'NICOTINIC ACETYLCHOLINE RECEPTOR ALPHA4, ISOFORM H', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67193, NULL, 'PTHR34487', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67194, NULL, 'PTHR46371:SF27', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY', NULL, NULL, NULL, 15),
(67195, NULL, 'PTHR31730:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0088K19.7 PROTEIN', NULL, NULL, NULL, 15),
(67196, NULL, 'PTHR24134:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67197, NULL, 'PTHR11804:SF8', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDASE A', NULL, NULL, NULL, 15),
(67198, NULL, 'PTHR45790:SF1', NULL, NULL, NULL, NULL, 'SIROHEME SYNTHASE', NULL, NULL, NULL, 15),
(67199, NULL, 'PTHR30560', NULL, NULL, NULL, NULL, 'TRIGGER FACTOR CHAPERONE AND PEPTIDYL-PROLYL CIS/TRANS ISOMERASE', NULL, NULL, 10833, 15),
(67200, NULL, 'PTHR10657:SF30', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(67201, NULL, 'PTHR31885:SF6', NULL, NULL, NULL, NULL, 'GH04784P', NULL, NULL, NULL, 15),
(67202, NULL, 'PTHR27007:SF368', NULL, NULL, NULL, NULL, 'OS12G0574700 PROTEIN', NULL, NULL, NULL, 15),
(67203, NULL, 'PTHR10983:SF28', NULL, NULL, NULL, NULL, 'OS05G0502200 PROTEIN', NULL, NULL, NULL, 15),
(67204, NULL, 'PTHR45828:SF12', NULL, NULL, NULL, NULL, 'DEFENSE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(67205, NULL, 'PTHR45988:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT10', NULL, NULL, NULL, 15),
(67206, NULL, 'PTHR31907:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67207, NULL, 'PTHR12729:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67208, NULL, 'PTHR21329:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT Q', NULL, NULL, NULL, 15),
(67209, NULL, 'PTHR33098:SF78', NULL, NULL, NULL, NULL, 'BNAA03G11920D PROTEIN', NULL, NULL, NULL, 15),
(67210, NULL, 'PTHR21105', NULL, NULL, NULL, NULL, 'GH16255P', NULL, NULL, NULL, 15),
(67211, NULL, 'PTHR46713:SF7', NULL, NULL, NULL, NULL, 'PUB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67212, NULL, 'PTHR13832:SF571', NULL, NULL, NULL, NULL, 'GM14286P', NULL, NULL, NULL, 15),
(67213, NULL, 'PTHR31066:SF68', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P FAMILY PROTEIN', NULL, NULL, NULL, 15),
(67214, NULL, 'PTHR10015:SF352', NULL, NULL, NULL, NULL, 'BNAC03G62890D PROTEIN', NULL, NULL, NULL, 15),
(67215, NULL, 'PTHR11011:SF57', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(67216, NULL, 'PTHR46450:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67217, NULL, 'PTHR31142:SF7', NULL, NULL, NULL, NULL, 'OS02G0683900 PROTEIN', NULL, NULL, NULL, 15),
(67218, NULL, 'PTHR21659:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67219, NULL, 'PTHR31062:SF213', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(67220, NULL, 'PTHR11614:SF121', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE', NULL, NULL, NULL, 15),
(67221, NULL, 'PTHR45850:SF3', NULL, NULL, NULL, NULL, 'SORTING NEXIN-32', NULL, NULL, NULL, 15),
(67222, NULL, 'PTHR42750:SF1', NULL, NULL, NULL, NULL, 'SHORT-CHAIN ALCOHOL DEHYDROGENASE FAMILY', NULL, NULL, NULL, 15),
(67223, NULL, 'PTHR12952:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SYS1 HOMOLOG', NULL, NULL, NULL, 15),
(67224, NULL, 'PTHR11771:SF152', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(67225, NULL, 'PTHR33232:SF21', NULL, NULL, NULL, NULL, 'SIEVE ELEMENT OCCLUSION-RELATED', NULL, NULL, NULL, 15),
(67226, NULL, 'PTHR12147', NULL, NULL, NULL, NULL, 'METALLOPEPTIDASE M28 FAMILY MEMBER', NULL, NULL, 37231, 15),
(67227, NULL, 'PTHR42886:SF49', NULL, NULL, NULL, NULL, 'BAAT/ACYL-COA THIOESTER HYDROLASE CARBOXY-TERMINAL PROTEIN', NULL, NULL, NULL, 15),
(67228, NULL, 'PTHR10509:SF81', NULL, NULL, NULL, NULL, 'OS09G0481400 PROTEIN', NULL, NULL, NULL, 15),
(67229, NULL, 'PTHR12156:SF22', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN FAMILY B MEMBER 3', NULL, NULL, NULL, 15),
(67230, NULL, 'PTHR36860', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 35', NULL, NULL, 25473, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67231, NULL, 'PTHR34196:SF8', NULL, NULL, NULL, NULL, 'BNAA09G53740D PROTEIN', NULL, NULL, NULL, 15),
(67232, NULL, 'PTHR24414:SF136', NULL, NULL, NULL, NULL, 'BNAC08G14750D PROTEIN', NULL, NULL, NULL, 15),
(67233, NULL, 'PTHR12320:SF59', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(67234, NULL, 'PTHR45783:SF2', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN 2', NULL, NULL, NULL, 15),
(67235, NULL, 'PTHR10903:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67236, NULL, 'PTHR23222:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67237, NULL, 'PTHR46387:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67238, NULL, 'PTHR11306:SF42', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(67239, NULL, 'PTHR31403:SF31', NULL, NULL, NULL, NULL, 'DAD-1', NULL, NULL, NULL, 15),
(67240, NULL, 'PTHR44489:SF12', NULL, NULL, NULL, NULL, 'BNACNNG32770D PROTEIN', NULL, NULL, NULL, 15),
(67241, NULL, 'PTHR11636:SF75', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 3, TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(67242, NULL, 'PTHR10811:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67243, NULL, 'PTHR19290:SF86', NULL, NULL, NULL, NULL, 'NEUROGENIC DIFFERENTIATION FACTOR 4', NULL, NULL, 28224, 15),
(67244, NULL, 'PTHR11668:SF398', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(67245, NULL, 'PTHR11571:SF116', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE DOMAIN-CONTAINING PROTEIN DDB_G0273153/DDB_G0273923', NULL, NULL, NULL, 15),
(67246, NULL, 'PTHR32278:SF83', NULL, NULL, NULL, NULL, 'BNAA02G26350D PROTEIN', NULL, NULL, NULL, 15),
(67247, NULL, 'PTHR12547:SF121', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 39', NULL, NULL, NULL, 15),
(67248, NULL, 'PTHR43487', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(67249, NULL, 'PTHR13832:SF739', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', NULL, NULL, NULL, 15),
(67250, NULL, 'PTHR43917', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67251, NULL, 'PTHR46263:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(67252, NULL, 'PTHR47655:SF2', NULL, NULL, NULL, NULL, 'QUINIC ACID UTILIZATION ACTIVATOR', NULL, NULL, NULL, 15),
(67253, NULL, 'PTHR14196:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ODD-SKIPPED-RELATED 2', NULL, NULL, NULL, 15),
(67254, NULL, 'PTHR11740:SF32', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', NULL, NULL, NULL, 15),
(67255, NULL, 'PTHR22670:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG20013', NULL, NULL, NULL, 15),
(67256, NULL, 'PTHR31800', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 32', NULL, NULL, 22451, 15),
(67257, NULL, 'PTHR21579:SF13', NULL, NULL, NULL, NULL, 'PROTEIN TINCAR', NULL, NULL, NULL, 15),
(67258, NULL, 'PTHR31283:SF11', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT LAGE3', NULL, NULL, NULL, 15),
(67259, NULL, 'PTHR31042:SF102', NULL, NULL, NULL, NULL, 'BNAA08G30840D PROTEIN', NULL, NULL, NULL, 15),
(67260, NULL, 'PTHR45089:SF13', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(67261, NULL, 'PTHR43701:SF10', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN YRKJ-RELATED', NULL, NULL, NULL, 15),
(67262, NULL, 'PTHR31852:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67263, NULL, 'PTHR42919:SF8', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 50', NULL, NULL, NULL, 15),
(67264, NULL, 'PTHR15225:SF1', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED 35 KDA PROTEIN', NULL, NULL, 30521, 15),
(67265, NULL, 'PTHR26452:SF187', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(67266, NULL, 'PTHR27008:SF169', NULL, NULL, NULL, NULL, 'OS01G0152000 PROTEIN', NULL, NULL, NULL, 15),
(67267, NULL, 'PTHR31948:SF111', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 6-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67268, NULL, 'PTHR45987:SF4', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L12, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(67269, NULL, 'PTHR16166:SF93', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13D', NULL, NULL, NULL, 15),
(67270, NULL, 'PTHR48022:SF61', NULL, NULL, NULL, NULL, 'HIGH AFFINITY GLUCOSE TRANSPORTER RGT2', NULL, NULL, NULL, 15),
(67271, NULL, 'PTHR11206:SF406', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(67272, NULL, 'PTHR31744:SF137', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 3-LIKE', NULL, NULL, NULL, 15),
(67273, NULL, 'PTHR12341:SF54', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE', NULL, NULL, NULL, 15),
(67274, NULL, 'PTHR41403:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67275, NULL, 'PTHR22842', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(67276, NULL, 'PTHR31062:SF144', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 33-RELATED', NULL, NULL, NULL, 15),
(67277, NULL, 'PTHR27006:SF288', NULL, NULL, NULL, NULL, 'BNAA09G56230D PROTEIN', NULL, NULL, NULL, 15),
(67278, NULL, 'PTHR24235:SF14', NULL, NULL, NULL, NULL, 'PROLACTIN-RELEASING PEPTIDE RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67279, NULL, 'PTHR11937:SF175', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 3', NULL, NULL, 17944, 15),
(67280, NULL, 'PTHR10091:SF21', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(67281, NULL, 'PTHR23113:SF178', NULL, NULL, NULL, NULL, 'RAS GUANYL-RELEASING PROTEIN 3', NULL, NULL, 26152, 15),
(67282, NULL, 'PTHR24247:SF235', NULL, NULL, NULL, NULL, 'OCTOPAMINE RECEPTOR (GPCR)', NULL, NULL, NULL, 15),
(67283, NULL, 'PTHR32002:SF54', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(67284, NULL, 'PTHR45721:SF14', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFD-1', NULL, NULL, NULL, 15),
(67285, NULL, 'PTHR46825:SF6', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(67286, NULL, 'PTHR45907:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', NULL, NULL, NULL, 15),
(67287, NULL, 'PTHR33879:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67288, NULL, 'PTHR47746:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67289, NULL, 'PTHR11851:SF203', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA-1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(67290, NULL, 'PTHR31917:SF9', NULL, NULL, NULL, NULL, 'G2484-1 PROTEIN', NULL, NULL, NULL, 15),
(67291, NULL, 'PTHR45637:SF73', NULL, NULL, NULL, NULL, 'BNAC04G49860D PROTEIN', NULL, NULL, NULL, 15),
(67292, NULL, 'PTHR23423:SF9', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(67293, NULL, 'PTHR48024:SF6', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 7-RELATED', NULL, NULL, NULL, 15),
(67294, NULL, 'PTHR31917:SF17', NULL, NULL, NULL, NULL, 'DUF724 DOMAIN-CONTAINING PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(67295, NULL, 'PTHR24177:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67296, NULL, 'PTHR32010:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67297, NULL, 'PTHR27002:SF843', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 13-RELATED', NULL, NULL, NULL, 15),
(67298, NULL, 'PTHR47925:SF110', NULL, NULL, NULL, NULL, 'BNAC06G06430D PROTEIN', NULL, NULL, NULL, 15),
(67299, NULL, 'PTHR11426:SF200', NULL, NULL, NULL, NULL, 'HISTONE H3.1T', NULL, NULL, NULL, 15),
(67300, NULL, 'PTHR31319:SF80', NULL, NULL, NULL, NULL, 'CCT PROTEIN', NULL, NULL, NULL, 15),
(67301, NULL, 'PTHR46092', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A11-RELATED', NULL, NULL, NULL, 15),
(67302, NULL, 'PTHR22835:SF574', NULL, NULL, NULL, NULL, 'OS01G0214800 PROTEIN', NULL, NULL, NULL, 15),
(67303, NULL, 'PTHR31897:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04712', NULL, NULL, NULL, 15),
(67304, NULL, 'PTHR47967:SF34', NULL, NULL, NULL, NULL, 'BNAA04G16340D PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67305, NULL, 'PTHR23024:SF446', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 7-RELATED', NULL, NULL, NULL, 15),
(67306, NULL, 'PTHR23324:SF51', NULL, NULL, NULL, NULL, 'SEC14-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(67307, NULL, 'PTHR48047:SF114', NULL, NULL, NULL, NULL, 'F11M15.8 PROTEIN', NULL, NULL, NULL, 15),
(67308, NULL, 'PTHR11570:SF2', NULL, NULL, NULL, NULL, 'DECARBOXYLASE PROENZYME-LIKE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(67309, NULL, 'PTHR26452:SF22', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(67310, NULL, 'PTHR10201:SF247', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 2-MMP', NULL, NULL, NULL, 15),
(67311, NULL, 'PTHR31989:SF335', NULL, NULL, NULL, NULL, 'BNAC03G58370D PROTEIN', NULL, NULL, NULL, 15),
(67312, NULL, 'PTHR33086:SF4', NULL, NULL, NULL, NULL, 'OS05G0467700 PROTEIN', NULL, NULL, NULL, 15),
(67313, NULL, 'PTHR33021:SF280', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 11', NULL, NULL, NULL, 15),
(67314, NULL, 'PTHR11599:SF6', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-2', NULL, NULL, 9346, 15),
(67315, NULL, 'PTHR12348:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG20790', NULL, NULL, NULL, 15),
(67316, NULL, 'PTHR43245:SF35', NULL, NULL, NULL, NULL, 'DEHYDRATASE OR EPIMERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(67317, NULL, 'PTHR12277:SF158', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(67318, NULL, 'PTHR43147', NULL, NULL, NULL, NULL, 'PROTEIN TAS', NULL, NULL, NULL, 15),
(67319, NULL, 'PTHR22924:SF89', NULL, NULL, NULL, NULL, 'NON-SYMBIOTIC HEMOGLOBIN', NULL, NULL, NULL, 15),
(67320, NULL, 'PTHR31100:SF68', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(67321, NULL, 'PTHR10291:SF28', NULL, NULL, NULL, NULL, 'UNDECAPRENYL DIPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(67322, NULL, 'PTHR43553:SF8', NULL, NULL, NULL, NULL, 'ENERGY-COUPLING FACTOR TRANSPORTER ATP-BINDING PROTEIN ECFA2', NULL, NULL, NULL, 15),
(67323, NULL, 'PTHR13183:SF1', NULL, NULL, NULL, NULL, 'ARM LIGHT CHAIN, AXONEMAL, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(67324, NULL, 'PTHR43230:SF3', NULL, NULL, NULL, NULL, 'ABC-TYPE DIPEPTIDE/OLIGOPEPTIDE TRANSPORT SYSTEM, ATPASE COMPONENT', NULL, NULL, NULL, 15),
(67325, NULL, 'PTHR11054:SF15', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', NULL, NULL, NULL, 15),
(67326, NULL, 'PTHR30002:SF4', NULL, NULL, NULL, NULL, 'EPOXYQUEUOSINE REDUCTASE', NULL, NULL, NULL, 15),
(67327, NULL, 'PTHR44083:SF37', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(67328, NULL, 'PTHR38226:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67329, NULL, 'PTHR19847:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67330, NULL, 'PTHR35304:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67331, NULL, 'PTHR34552:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67332, NULL, 'PTHR45642:SF113', NULL, NULL, NULL, NULL, 'BNAA07G09940D PROTEIN', NULL, NULL, NULL, 15),
(67333, NULL, 'PTHR15233:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ATP5MPL, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(67334, NULL, 'PTHR11960:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E TYPE 1B', NULL, NULL, NULL, 15),
(67335, NULL, 'PTHR46391:SF3', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 19', NULL, NULL, NULL, 15),
(67336, NULL, 'PTHR11005:SF48', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(67337, NULL, 'PTHR45673:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(67338, NULL, 'PTHR23124:SF134', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(67339, NULL, 'PTHR23226:SF277', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 83', NULL, NULL, NULL, 15),
(67340, NULL, 'PTHR24300:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67341, NULL, 'PTHR47379:SF3', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67342, NULL, 'PTHR11848:SF257', NULL, NULL, NULL, NULL, 'LEFT-RIGHT DETERMINATION FACTOR 1', NULL, NULL, NULL, 15),
(67343, NULL, 'PTHR33204:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(67344, NULL, 'PTHR33057:SF134', NULL, NULL, NULL, NULL, 'OVATE PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(67345, NULL, 'PTHR23315:SF65', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(67346, NULL, 'PTHR13620:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67347, NULL, 'PTHR45781:SF4', NULL, NULL, NULL, NULL, 'THYMOCYTE SELECTION-ASSOCIATED HIGH MOBILITY GROUP BOX PROTEIN TOX', NULL, NULL, NULL, 15),
(67348, NULL, 'PTHR31973:SF93', NULL, NULL, NULL, NULL, 'MUDR FAMILY TRANSPOSASE ISOFORM 1', NULL, NULL, NULL, 15),
(67349, NULL, 'PTHR23504:SF97', NULL, NULL, NULL, NULL, 'OS07G0180700 PROTEIN', NULL, NULL, NULL, 15),
(67350, NULL, 'PTHR23257:SF761', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE MOM-4', NULL, NULL, NULL, 15),
(67351, NULL, 'PTHR27006:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67352, NULL, 'PTHR23416:SF23', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE C18B11.09C-RELATED', NULL, NULL, NULL, 15),
(67353, NULL, 'PTHR46251', NULL, NULL, NULL, NULL, 'RUN DOMAIN-CONTAINING 3 PROTEIN RUNDC3', NULL, NULL, NULL, 15),
(67354, NULL, 'PTHR42912:SF22', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE 7A-RELATED', NULL, NULL, NULL, 15),
(67355, NULL, 'PTHR24057:SF41', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE ALPHA', NULL, NULL, NULL, 15),
(67356, NULL, 'PTHR10516:SF437', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(67357, NULL, 'PTHR45664:SF2', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN PROBOSCIPEDIA', NULL, NULL, NULL, 15),
(67358, NULL, 'PTHR46215:SF17', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(67359, NULL, 'PTHR45690:SF3', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 12 ISOFORM 3', NULL, NULL, NULL, 15),
(67360, NULL, 'PTHR26452:SF192', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 299', NULL, NULL, NULL, 15),
(67361, NULL, 'PTHR46202', NULL, NULL, NULL, NULL, 'DNA EXCISION REPAIR PROTEIN ERCC-8', NULL, NULL, 36054, 15),
(67362, NULL, 'PTHR13030', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE', NULL, NULL, 32956, 15),
(67363, NULL, 'PTHR13022:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT K', NULL, NULL, NULL, 15),
(67364, NULL, 'PTHR27007:SF195', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.6', NULL, NULL, NULL, 15),
(67365, NULL, 'PTHR11017:SF222', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(67366, NULL, 'PTHR24073:SF1156', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1B', NULL, NULL, NULL, 15),
(67367, NULL, 'PTHR34841:SF5', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN V', NULL, NULL, NULL, 15),
(67368, NULL, 'PTHR12200:SF24', NULL, NULL, NULL, NULL, 'INTERFERON-ACTIVABLE PROTEIN 203-RELATED', NULL, NULL, NULL, 15),
(67369, NULL, 'PTHR33085:SF95', NULL, NULL, NULL, NULL, 'OS07G0690600 PROTEIN', NULL, NULL, NULL, 15),
(67370, NULL, 'PTHR31650:SF48', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE, WSD1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67371, NULL, 'PTHR24281:SF111', NULL, NULL, NULL, NULL, 'BNAA09G38870D PROTEIN', NULL, NULL, NULL, 15),
(67372, NULL, 'PTHR23236:SF56', NULL, NULL, NULL, NULL, 'BNAC04G47460D PROTEIN', NULL, NULL, NULL, 15),
(67373, NULL, 'PTHR12000:SF35', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME', NULL, NULL, NULL, 15),
(67374, NULL, 'PTHR33699:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67375, NULL, 'PTHR10638:SF79', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(67376, NULL, 'PTHR32378:SF16', NULL, NULL, NULL, NULL, 'BNAA01G24300D PROTEIN', NULL, NULL, NULL, 15),
(67377, NULL, 'PTHR21599:SF6', NULL, NULL, NULL, NULL, 'GLYCERATE 3-KINASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67378, NULL, 'PTHR21568:SF0', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE PUS10-RELATED', NULL, NULL, NULL, 15),
(67379, NULL, 'PTHR33624:SF21', NULL, NULL, NULL, NULL, 'BNAA03G19340D PROTEIN', NULL, NULL, NULL, 15),
(67380, NULL, 'PTHR12433:SF10', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 25', NULL, NULL, NULL, 15),
(67381, NULL, 'PTHR12901', NULL, NULL, NULL, NULL, 'SPERM PROTEIN HOMOLOG', NULL, NULL, 39390, 15),
(67382, NULL, 'PTHR10366:SF658', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(67383, NULL, 'PTHR46457:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG 4', NULL, NULL, NULL, 15),
(67384, NULL, 'PTHR20766:SF7', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 43 MEMBER 1A', NULL, NULL, NULL, 15),
(67385, NULL, 'PTHR34835:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67386, NULL, 'PTHR45650:SF23', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(67387, NULL, 'PTHR31044:SF95', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(67388, NULL, 'PTHR30469:SF12', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTA', NULL, NULL, NULL, 15),
(67389, NULL, 'PTHR10811:SF64', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', NULL, NULL, NULL, 15),
(67390, NULL, 'PTHR24409:SF298', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 142', NULL, NULL, NULL, 15),
(67391, NULL, 'PTHR12596', NULL, NULL, NULL, NULL, 'EXPORTIN 4,7-RELATED', NULL, NULL, 39888, 15),
(67392, NULL, 'PTHR47926:SF204', NULL, NULL, NULL, NULL, 'BNAC02G46850D PROTEIN', NULL, NULL, NULL, 15),
(67393, NULL, 'PTHR23163:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE', NULL, NULL, NULL, 15),
(67394, NULL, 'PTHR32054:SF17', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(67395, NULL, 'PTHR47176:SF3', NULL, NULL, NULL, NULL, 'RELATED DNASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(67396, NULL, 'PTHR31382:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67397, NULL, 'PTHR36019:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67398, NULL, 'PTHR35721', NULL, NULL, NULL, NULL, 'UREIDOGLYCOLATE HYDROLASE', NULL, NULL, NULL, 15),
(67399, NULL, 'PTHR31148:SF2', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN C', NULL, NULL, NULL, 15),
(67400, NULL, 'PTHR31790:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67401, NULL, 'PTHR31996:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67402, NULL, 'PTHR34663:SF8', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(67403, NULL, 'PTHR19970:SF19', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39-1', NULL, NULL, NULL, 15),
(67404, NULL, 'PTHR12066', NULL, NULL, NULL, NULL, 'TELOMERASE REVERSE TRANSCRIPTASE', NULL, NULL, 7089, 15),
(67405, NULL, 'PTHR31307:SF50', NULL, NULL, NULL, NULL, 'SEQUENCE-SPECIFIC DNA BINDING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(67406, NULL, 'PTHR37437:SF1', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(67407, NULL, 'PTHR10480:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67408, NULL, 'PTHR23354:SF112', NULL, NULL, NULL, NULL, 'RE10231P', NULL, NULL, NULL, 15),
(67409, NULL, 'PTHR48053:SF13', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERECTA', NULL, NULL, NULL, 15),
(67410, NULL, 'PTHR34890:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67411, NULL, 'PTHR31374:SF267', NULL, NULL, NULL, NULL, 'OS04G0537100 PROTEIN', NULL, NULL, NULL, 15),
(67412, NULL, 'PTHR46189', NULL, NULL, NULL, NULL, 'LD41958P', NULL, NULL, 39846, 15),
(67413, NULL, 'PTHR24055:SF472', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE F-4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(67414, NULL, 'PTHR47942:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67415, NULL, 'PTHR24388:SF36', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 221-RELATED', NULL, NULL, NULL, 15),
(67416, NULL, 'PTHR34656:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(67417, NULL, 'PTHR21026', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L32, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(67418, NULL, 'PTHR10460:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ABIL5-RELATED', NULL, NULL, NULL, 15),
(67419, NULL, 'PTHR46631:SF2', NULL, NULL, NULL, NULL, 'OS01G0242900 PROTEIN', NULL, NULL, NULL, 15),
(67420, NULL, 'PTHR32472:SF18', NULL, NULL, NULL, NULL, 'OS03G0447100 PROTEIN', NULL, NULL, NULL, 15),
(67421, NULL, 'PTHR24414:SF145', NULL, NULL, NULL, NULL, 'BNAA07G38780D PROTEIN', NULL, NULL, NULL, 15),
(67422, NULL, 'PTHR31225:SF42', NULL, NULL, NULL, NULL, '5-EPIARISTOLOCHENE SYNTHASE', NULL, NULL, NULL, 15),
(67423, NULL, 'PTHR10851', NULL, NULL, NULL, NULL, 'PYRIDOXINE-5-PHOSPHATE OXIDASE', NULL, NULL, 5819, 15),
(67424, NULL, 'PTHR11455:SF9', NULL, NULL, NULL, NULL, '(6-4)-PHOTOLYASE, ISOFORM A', NULL, NULL, NULL, 15),
(67425, NULL, 'PTHR32096:SF90', NULL, NULL, NULL, NULL, 'WRKY PROTEIN', NULL, NULL, NULL, 15),
(67426, NULL, 'PTHR48017:SF175', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: AMINO ACID PERMEASE 6-LIKE', NULL, NULL, NULL, 15),
(67427, NULL, 'PTHR46462:SF2', NULL, NULL, NULL, NULL, 'INACTIVE HISTONE-LYSINE N-METHYLTRANSFERASE 2E', NULL, NULL, 30651, 15),
(67428, NULL, 'PTHR46564', NULL, NULL, NULL, NULL, 'TRANSPOSASE', NULL, NULL, NULL, 15),
(67429, NULL, 'PTHR11972:SF48', NULL, NULL, NULL, NULL, 'SUPEROXIDE-GENERATING NADPH OXIDASE HEAVY CHAIN SUBUNIT C', NULL, NULL, NULL, 15),
(67430, NULL, 'PTHR33630', NULL, NULL, NULL, NULL, 'CUTINASE RV1984C-RELATED-RELATED', NULL, NULL, 3753, 15),
(67431, NULL, 'PTHR45613:SF445', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(67432, NULL, 'PTHR31852:SF155', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(67433, NULL, 'PTHR38705:SF5', NULL, NULL, NULL, NULL, 'RESPONSE PROTEIN RDS1, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G12490)-RELATED', NULL, NULL, NULL, 15),
(67434, NULL, 'PTHR36782:SF6', NULL, NULL, NULL, NULL, 'BNAA01G13500D PROTEIN', NULL, NULL, NULL, 15),
(67435, NULL, 'PTHR43035:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67436, NULL, 'PTHR24391:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67437, NULL, 'PTHR24377:SF892', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 160', NULL, NULL, NULL, 15),
(67438, NULL, 'PTHR10003:SF40', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN]', NULL, NULL, NULL, 15),
(67439, NULL, 'PTHR43775:SF38', NULL, NULL, NULL, NULL, 'HIGHLY REDUCING POLYKETIDE SYNTHASE ALNA-RELATED', NULL, NULL, NULL, 15),
(67440, NULL, 'PTHR23143:SF22', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 6-LIKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(67441, NULL, 'PTHR23073:SF109', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 8 HOMOLOG B', NULL, NULL, NULL, 15),
(67442, NULL, 'PTHR11977:SF86', NULL, NULL, NULL, NULL, 'SUPERVILLIN A', NULL, NULL, 17981, 15),
(67443, NULL, 'PTHR22911:SF114', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER G2A-RELATED', NULL, NULL, 2372, 15),
(67444, NULL, 'PTHR24055:SF509', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(67445, NULL, 'PTHR31876:SF20', NULL, NULL, NULL, NULL, 'PROTEIN LIKE COV 1-LIKE', NULL, NULL, NULL, 15),
(67446, NULL, 'PTHR31080:SF194', NULL, NULL, NULL, NULL, 'BNAC06G24540D PROTEIN', NULL, NULL, NULL, 15),
(67447, NULL, 'PTHR12629:SF42', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 4', NULL, NULL, NULL, 15),
(67448, NULL, 'PTHR48077', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(67449, NULL, 'PTHR46463:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHF1A', NULL, NULL, NULL, 15),
(67450, NULL, 'PTHR47990:SF63', NULL, NULL, NULL, NULL, 'ACC OXIDASE 2', NULL, NULL, NULL, 15),
(67451, NULL, 'PTHR23501:SF180', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN B HOMOLOG', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67452, NULL, 'PTHR10352:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67453, NULL, 'PTHR34372:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C', NULL, NULL, NULL, 15),
(67454, NULL, 'PTHR11017:SF437', NULL, NULL, NULL, NULL, 'BNAC04G27190D PROTEIN', NULL, NULL, NULL, 15),
(67455, NULL, 'PTHR31657:SF58', NULL, NULL, NULL, NULL, 'BNAC01G20660D PROTEIN', NULL, NULL, NULL, 15),
(67456, NULL, 'PTHR12283:SF3', NULL, NULL, NULL, NULL, 'GLUTAMINYL-PEPTIDE CYCLOTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67457, NULL, 'PTHR45666:SF24', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE 5-PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67458, NULL, 'PTHR48018:SF94', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(67459, NULL, 'PTHR27008:SF468', NULL, NULL, NULL, NULL, 'OS02G0615500 PROTEIN', NULL, NULL, NULL, 15),
(67460, NULL, 'PTHR26453:SF224', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 62', NULL, NULL, NULL, 15),
(67461, NULL, 'PTHR45761', NULL, NULL, NULL, NULL, 'EXTENDED SYNAPTOTAGMIN-LIKE PROTEIN 2, ISOFORM C', NULL, NULL, NULL, 15),
(67462, NULL, 'PTHR31995:SF9', NULL, NULL, NULL, NULL, 'BNAC04G12190D PROTEIN', NULL, NULL, NULL, 15),
(67463, NULL, 'PTHR11200:SF257', NULL, NULL, NULL, NULL, 'SYNAPTOJANIN 1', NULL, NULL, NULL, 15),
(67464, NULL, 'PTHR44427:SF13', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 19', NULL, NULL, NULL, 15),
(67465, NULL, 'PTHR30304:SF10', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(67466, NULL, 'PTHR31065:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67467, NULL, 'PTHR31016:SF16', NULL, NULL, NULL, NULL, 'BNACNNG42740D PROTEIN', NULL, NULL, NULL, 15),
(67468, NULL, 'PTHR10504:SF132', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY C,-LIKE', NULL, NULL, NULL, 15),
(67469, NULL, 'PTHR45620:SF3', NULL, NULL, NULL, NULL, 'PDF RECEPTOR', NULL, NULL, NULL, 15),
(67470, NULL, 'PTHR13690:SF131', NULL, NULL, NULL, NULL, 'BNAC03G22760D PROTEIN', NULL, NULL, NULL, 15),
(67471, NULL, 'PTHR31907:SF56', NULL, NULL, NULL, NULL, 'BNAC06G24430D PROTEIN', NULL, NULL, NULL, 15),
(67472, NULL, 'PTHR31476:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(67473, NULL, 'PTHR10562:SF104', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 3', NULL, NULL, NULL, 15),
(67474, NULL, 'PTHR20978:SF4', NULL, NULL, NULL, NULL, 'SPLICING FACTOR SUBUNIT', NULL, NULL, NULL, 15),
(67475, NULL, 'PTHR10857:SF51', NULL, NULL, NULL, NULL, 'COPINE-5', NULL, NULL, NULL, 15),
(67476, NULL, 'PTHR37255', NULL, NULL, NULL, NULL, 'OS07G0669600 PROTEIN', NULL, NULL, NULL, 15),
(67477, NULL, 'PTHR33595:SF17', NULL, NULL, NULL, NULL, 'BNAA02G33690D PROTEIN', NULL, NULL, NULL, 15),
(67478, NULL, 'PTHR11654:SF115', NULL, NULL, NULL, NULL, 'OS10G0469900 PROTEIN', NULL, NULL, NULL, 15),
(67479, NULL, 'PTHR21736:SF43', NULL, NULL, NULL, NULL, 'BNAA05G29870D PROTEIN', NULL, NULL, NULL, 15),
(67480, NULL, 'PTHR35683:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67481, NULL, 'PTHR39597:SF1', NULL, NULL, NULL, NULL, 'UBA DOMAIN-CONTAINING PROTEIN RUP1', NULL, NULL, NULL, 15),
(67482, NULL, 'PTHR10913:SF68', NULL, NULL, NULL, NULL, 'MSANTD3-TMEFF1 FUSION PROTEIN', NULL, NULL, NULL, 15),
(67483, NULL, 'PTHR31218:SF182', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(67484, NULL, 'PTHR47251', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G04180)-RELATED', NULL, NULL, NULL, 15),
(67485, NULL, 'PTHR26454:SF34', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(67486, NULL, 'PTHR44170:SF20', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY DCC SUBCLASS MEMBER 3', NULL, NULL, NULL, 15),
(67487, NULL, 'PTHR31425:SF11', NULL, NULL, NULL, NULL, 'OS01G0585300 PROTEIN', NULL, NULL, NULL, 15),
(67488, NULL, 'PTHR23201:SF45', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED FAMILY PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67489, NULL, 'PTHR36734', NULL, NULL, NULL, NULL, 'YCF37-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67490, NULL, 'PTHR11255:SF100', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(67491, NULL, 'PTHR23062:SF8', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(67492, NULL, 'PTHR23257:SF856', NULL, NULL, NULL, NULL, 'TKL FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(67493, NULL, 'PTHR26392:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67494, NULL, 'PTHR24349:SF114', NULL, NULL, NULL, NULL, 'MAP KINASE-INTERACTING SERINE/THREONINE-PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(67495, NULL, 'PTHR12080:SF80', NULL, NULL, NULL, NULL, 'SI:CH1073-220M6.1-RELATED', NULL, NULL, NULL, 15),
(67496, NULL, 'PTHR24343:SF441', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CG17528-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67497, NULL, 'PTHR21461:SF66', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(67498, NULL, 'PTHR44846:SF5', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GMUR', NULL, NULL, NULL, 15),
(67499, NULL, 'PTHR11640:SF128', NULL, NULL, NULL, NULL, 'FASCICLIN-3', NULL, NULL, NULL, 15),
(67500, NULL, 'PTHR13370:SF16', NULL, NULL, NULL, NULL, 'TYPE III RESTRICTION-MODIFICATION SYSTEM HINDVIP ENZYME MOD-RELATED', NULL, NULL, NULL, 15),
(67501, NULL, 'PTHR34961', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(67502, NULL, 'PTHR31851:SF58', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER HOMOLOG 2', NULL, NULL, NULL, 15),
(67503, NULL, 'PTHR12864:SF53', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 44F-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67504, NULL, 'PTHR24340:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67505, NULL, 'PTHR31156', NULL, NULL, NULL, NULL, 'WBSCR19-LIKE PROTEIN', NULL, NULL, 14937, 15),
(67506, NULL, 'PTHR31215:SF26', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67507, NULL, 'PTHR12137:SF60', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 13', NULL, NULL, NULL, 15),
(67508, NULL, 'PTHR45796', NULL, NULL, NULL, NULL, 'FORKHEAD BOX P, ISOFORM C', NULL, NULL, NULL, 15),
(67509, NULL, 'PTHR11668:SF426', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(67510, NULL, 'PTHR11601:SF59', NULL, NULL, NULL, NULL, 'SELENOCYSTEINE LYASE', NULL, NULL, NULL, 15),
(67511, NULL, 'PTHR12015:SF21', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 16', NULL, NULL, NULL, 15),
(67512, NULL, 'PTHR47976:SF8', NULL, NULL, NULL, NULL, 'OS09G0454900 PROTEIN', NULL, NULL, NULL, 15),
(67513, NULL, 'PTHR42188', NULL, NULL, NULL, NULL, '23S RRNA-SPECIFIC ENDONUCLEASE VAPC20', NULL, NULL, 35627, 15),
(67514, NULL, 'PTHR15813:SF9', NULL, NULL, NULL, NULL, 'NEXIN-24, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(67515, NULL, 'PTHR11909:SF94', NULL, NULL, NULL, NULL, 'PROTEIN CBG07267', NULL, NULL, NULL, 15),
(67516, NULL, 'PTHR47640:SF19', NULL, NULL, NULL, NULL, 'OLIGOURIDYLATE-BINDING PROTEIN 1C', NULL, NULL, NULL, 15),
(67517, NULL, 'PTHR22957:SF337', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(67518, NULL, 'PTHR47453', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCAN, WATER DIKINASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(67519, NULL, 'PTHR21026:SF2', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L32, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(67520, NULL, 'PTHR45621:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67521, NULL, 'PTHR24115:SF497', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7M, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(67522, NULL, 'PTHR30161:SF3', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS PROTEIN SSAV', NULL, NULL, NULL, 15),
(67523, NULL, 'PTHR23278:SF4', NULL, NULL, NULL, NULL, 'SIDESTEP, ISOFORM C', NULL, NULL, NULL, 15),
(67524, NULL, 'PTHR46422:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67525, NULL, 'PTHR21213:SF23', NULL, NULL, NULL, NULL, 'BNAA05G33350D PROTEIN', NULL, NULL, NULL, 15),
(67526, NULL, 'PTHR10966:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', NULL, NULL, NULL, 15),
(67527, NULL, 'PTHR21136:SF183', NULL, NULL, NULL, NULL, 'OS12G0639800 PROTEIN', NULL, NULL, NULL, 15),
(67528, NULL, 'PTHR11732:SF198', NULL, NULL, NULL, NULL, 'REDUCTASE (AKR), PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01910)-RELATED', NULL, NULL, NULL, 15),
(67529, NULL, 'PTHR10366:SF739', NULL, NULL, NULL, NULL, 'BNACNNG31530D PROTEIN', NULL, NULL, NULL, 15),
(67530, NULL, 'PTHR10332:SF76', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67531, NULL, 'PTHR37989:SF36', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 8', NULL, NULL, NULL, 15),
(67532, NULL, 'PTHR12299:SF55', NULL, NULL, NULL, NULL, 'BNAC01G10120D PROTEIN', NULL, NULL, NULL, 15),
(67533, NULL, 'PTHR45621', NULL, NULL, NULL, NULL, 'OS01G0588500 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67534, NULL, 'PTHR34539:SF11', NULL, NULL, NULL, NULL, 'BNAC06G25190D PROTEIN', NULL, NULL, NULL, 15),
(67535, NULL, 'PTHR24100:SF51', NULL, NULL, NULL, NULL, 'SELECTION AND UPKEEP OF INTRAEPITHELIAL T-CELLS PROTEIN 7-RELATED', NULL, NULL, NULL, 15),
(67536, NULL, 'PTHR12203:SF99', NULL, NULL, NULL, NULL, 'O-GLUCOSYLTRANSFERASE RUMI HOMOLOG ISOFORM X1', NULL, NULL, NULL, 15),
(67537, NULL, 'PTHR47885', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT ZETA-1', NULL, NULL, NULL, 15),
(67538, NULL, 'PTHR10315:SF124', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(67539, NULL, 'PTHR33167:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67540, NULL, 'PTHR45613:SF39', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67541, NULL, 'PTHR24223:SF167', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MRP-1', NULL, NULL, NULL, 15),
(67542, NULL, 'PTHR31692:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67543, NULL, 'PTHR42700:SF1', NULL, NULL, NULL, NULL, 'SULFATE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(67544, NULL, 'PTHR21022:SF26', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE/PREPHENATE DEHYDRATASE 2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(67545, NULL, 'PTHR47972:SF15', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14D', NULL, NULL, NULL, 15),
(67546, NULL, 'PTHR43670:SF34', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(67547, NULL, 'PTHR12741', NULL, NULL, NULL, NULL, 'LYST-INTERACTING PROTEIN LIP5  DOPAMINE RESPONSIVE PROTEIN DRG-1', NULL, NULL, NULL, 15),
(67548, NULL, 'PTHR31989:SF160', NULL, NULL, NULL, NULL, 'OS02G0745300 PROTEIN', NULL, NULL, NULL, 15),
(67549, NULL, 'PTHR33463:SF79', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN RPS2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(67550, NULL, 'PTHR10556:SF50', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(67551, NULL, 'PTHR45952:SF17', NULL, NULL, NULL, NULL, 'STEM-SPECIFIC PROTEIN TSJT1', NULL, NULL, NULL, 15),
(67552, NULL, 'PTHR21700:SF112', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(67553, NULL, 'PTHR10165:SF154', NULL, NULL, NULL, NULL, 'PAP2 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G09730)', NULL, NULL, NULL, 15),
(67554, NULL, 'PTHR11224:SF51', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MAKORIN', NULL, NULL, NULL, 15),
(67555, NULL, 'PTHR23086:SF130', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(67556, NULL, 'PTHR10177:SF445', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67557, NULL, 'PTHR24349:SF395', NULL, NULL, NULL, NULL, 'CALMODULIN-DOMAIN KINASE CDPK PROTEIN', NULL, NULL, NULL, 15),
(67558, NULL, 'PTHR43649:SF1', NULL, NULL, NULL, NULL, 'SN-GLYCEROL-3-PHOSPHATE-BINDING PERIPLASMIC PROTEIN UGPB', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67559, NULL, 'PTHR15852:SF24', NULL, NULL, NULL, NULL, 'PROTEIN ORANGE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(67560, NULL, 'PTHR13234:SF47', NULL, NULL, NULL, NULL, 'GAMMA-INTERFERON-INDUCIBLE LYSOSOMAL THIOL REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(67561, NULL, 'PTHR46273:SF13', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', NULL, NULL, NULL, 15),
(67562, NULL, 'PTHR27003:SF337', NULL, NULL, NULL, NULL, 'MRLK5', NULL, NULL, NULL, 15),
(67563, NULL, 'PTHR34465', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL HYDROLASE-LIKE PROTEIN, PUTATIVE (DUF627 AND DUF629)-RELATED', NULL, NULL, NULL, 15),
(67564, NULL, 'PTHR36493:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67565, NULL, 'PTHR33172:SF53', NULL, NULL, NULL, NULL, 'BNAA05G32410D PROTEIN', NULL, NULL, NULL, 15),
(67566, NULL, 'PTHR10358:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67567, NULL, 'PTHR35362:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67568, NULL, 'PTHR45667:SF19', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(67569, NULL, 'PTHR34219:SF3', NULL, NULL, NULL, NULL, 'IRON-REGULATED INNER MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(67570, NULL, 'PTHR45830:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG06651', NULL, NULL, NULL, 15),
(67571, NULL, 'PTHR22957:SF324', NULL, NULL, NULL, NULL, 'CARABIN', NULL, NULL, NULL, 15),
(67572, NULL, 'PTHR31517:SF64', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(67573, NULL, 'PTHR19375:SF168', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 6', NULL, NULL, NULL, 15),
(67574, NULL, 'PTHR33906:SF1', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 25 HOMOLOG', NULL, NULL, NULL, 15),
(67575, NULL, 'PTHR10641:SF1267', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 306-LIKE', NULL, NULL, NULL, 15),
(67576, NULL, 'PTHR10593:SF169', NULL, NULL, NULL, NULL, 'BNAA02G22520D PROTEIN', NULL, NULL, NULL, 15),
(67577, NULL, 'PTHR27002:SF493', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(67578, NULL, 'PTHR24064:SF561', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 25', NULL, NULL, NULL, 15),
(67579, NULL, 'PTHR11011:SF96', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(67580, NULL, 'PTHR11592:SF95', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(67581, NULL, 'PTHR31942:SF93', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67582, NULL, 'PTHR24249:SF83', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 4', NULL, NULL, NULL, 15),
(67583, NULL, 'PTHR45671:SF13', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PIC2, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G12080)-RELATED', NULL, NULL, NULL, 15),
(67584, NULL, 'PTHR13593:SF103', NULL, NULL, NULL, NULL, 'RE10370P', NULL, NULL, NULL, 15),
(67585, NULL, 'PTHR37435:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG04414', NULL, NULL, NULL, 15),
(67586, NULL, 'PTHR14454:SF6', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED AND REGULATOR OF MAPK PROTEIN 1', NULL, NULL, NULL, 15),
(67587, NULL, 'PTHR10634:SF71', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 6', NULL, NULL, NULL, 15),
(67588, NULL, 'PTHR32227:SF347', NULL, NULL, NULL, NULL, 'BNAC05G37500D PROTEIN', NULL, NULL, NULL, 15),
(67589, NULL, 'PTHR33186:SF13', NULL, NULL, NULL, NULL, 'OS10G0136900 PROTEIN', NULL, NULL, NULL, 15),
(67590, NULL, 'PTHR12547:SF134', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(67591, NULL, 'PTHR16505:SF8', NULL, NULL, NULL, NULL, 'PROTEIN LZIC', NULL, NULL, NULL, 15),
(67592, NULL, 'PTHR24305:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67593, NULL, 'PTHR11920:SF335', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-22', NULL, NULL, NULL, 15),
(67594, NULL, 'PTHR33937:SF1', NULL, NULL, NULL, NULL, 'NITROGEN FIXATION PROTEIN NIFX', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67595, NULL, 'PTHR20661:SF0', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-GLYCAN BIOSYNTHESIS CLASS W PROTEIN', NULL, NULL, NULL, 15),
(67596, NULL, 'PTHR31232:SF25', NULL, NULL, NULL, NULL, 'LEGUMINOSIN GROUP486 SECRETED PEPTIDE', NULL, NULL, NULL, 15),
(67597, NULL, 'PTHR10598:SF0', NULL, NULL, NULL, NULL, 'SET1/ASH2 HISTONE METHYLTRANSFERASE COMPLEX SUBUNIT ASH2', NULL, NULL, NULL, 15),
(67598, NULL, 'PTHR11880:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67599, NULL, 'PTHR48001:SF69', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1F12', NULL, NULL, NULL, 15),
(67600, NULL, 'PTHR48059', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITOR 1', NULL, NULL, NULL, 15),
(67601, NULL, 'PTHR31948:SF78', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 8', NULL, NULL, NULL, 15),
(67602, NULL, 'PTHR48068:SF4', NULL, NULL, NULL, NULL, 'TAF9 RNA POLYMERASE II, TATA BOX-BINDING PROTEIN (TBP)-ASSOCIATED FACTOR', NULL, NULL, NULL, 15),
(67603, NULL, 'PTHR37441:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR B0244.10-RELATED', NULL, NULL, NULL, 15),
(67604, NULL, 'PTHR23147:SF200', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 2', NULL, NULL, NULL, 15),
(67605, NULL, 'PTHR30041:SF7', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN SPX', NULL, NULL, NULL, 15),
(67606, NULL, 'PTHR12632:SF34', NULL, NULL, NULL, NULL, 'CCAAT-BINDING TRANSCRIPTION FACTOR SUBUNIT B FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(67607, NULL, 'PTHR31065:SF11', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(67608, NULL, 'PTHR24186:SF16', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(67609, NULL, 'PTHR31985:SF194', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF034', NULL, NULL, NULL, 15),
(67610, NULL, 'PTHR33704', NULL, NULL, NULL, NULL, 'PROTEIN HEAT INTOLERANT 4-RELATED', NULL, NULL, 29201, 15),
(67611, NULL, 'PTHR46128:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67612, NULL, 'PTHR46371:SF13', NULL, NULL, NULL, NULL, 'ATFP4', NULL, NULL, NULL, 15),
(67613, NULL, 'PTHR47474:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE RLPH2', NULL, NULL, NULL, 15),
(67614, NULL, 'PTHR26450:SF151', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52B2', NULL, NULL, NULL, 15),
(67615, NULL, 'PTHR31775:SF16', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL REGION REMORIN', NULL, NULL, NULL, 15),
(67616, NULL, 'PTHR47956:SF31', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE', NULL, NULL, NULL, 15),
(67617, NULL, 'PTHR11850:SF313', NULL, NULL, NULL, NULL, 'POX DOMAIN, HOMEOBOX KN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67618, NULL, 'PTHR11003:SF30', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 4', NULL, NULL, NULL, 15),
(67619, NULL, 'PTHR35984:SF1', NULL, NULL, NULL, NULL, 'PERIPLASMIC SERINE PROTEASE', NULL, NULL, NULL, 15),
(67620, NULL, 'PTHR35324:SF5', NULL, NULL, NULL, NULL, 'BNAC07G16390D PROTEIN', NULL, NULL, NULL, 15),
(67621, NULL, 'PTHR10969:SF72', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8G', NULL, NULL, NULL, 15),
(67622, NULL, 'PTHR43341:SF23', NULL, NULL, NULL, NULL, 'GENERAL AMINO-ACID PERMEASE GAP1', NULL, NULL, NULL, 15),
(67623, NULL, 'PTHR47967', NULL, NULL, NULL, NULL, 'OS07G0603500 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67624, NULL, 'PTHR12802', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX-RELATED', NULL, NULL, NULL, 15),
(67625, NULL, 'PTHR24393:SF103', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 410', NULL, NULL, NULL, 15),
(67626, NULL, 'PTHR31676:SF20', NULL, NULL, NULL, NULL, 'T19F6.7 PROTEIN', NULL, NULL, NULL, 15),
(67627, NULL, 'PTHR24322:SF665', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67628, NULL, 'PTHR22677', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 60', NULL, NULL, 35783, 15),
(67629, NULL, 'PTHR15351', NULL, NULL, NULL, NULL, 'ERLIN (ER LIPID RAFT ASSOCIATED PROTEIN) HOMOLOG', NULL, NULL, 30533, 15),
(67630, NULL, 'PTHR35534:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L32', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67631, NULL, 'PTHR24019', NULL, NULL, NULL, NULL, 'ADIPOLIN', NULL, NULL, NULL, 15),
(67632, NULL, 'PTHR11909:SF300', NULL, NULL, NULL, NULL, 'NUCLEOSOMAL HISTONE KINASE 1', NULL, NULL, NULL, 15),
(67633, NULL, 'PTHR47530:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE BIG BROTHER-RELATED', NULL, NULL, NULL, 15),
(67634, NULL, 'PTHR31307:SF52', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(67635, NULL, 'PTHR47992:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67636, NULL, 'PTHR33214:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67637, NULL, 'PTHR31988:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(67638, NULL, 'PTHR45921:SF3', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA HOMEOBOX PROTEIN 2', NULL, NULL, NULL, 15),
(67639, NULL, 'PTHR11909:SF123', NULL, NULL, NULL, NULL, 'PROTEIN CBG11420', NULL, NULL, NULL, 15),
(67640, NULL, 'PTHR10366:SF661', NULL, NULL, NULL, NULL, 'OS09G0127300 PROTEIN', NULL, NULL, NULL, 15),
(67641, NULL, 'PTHR47968:SF16', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67642, NULL, 'PTHR24247:SF103', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10J6-RELATED', NULL, NULL, NULL, 15),
(67643, NULL, 'PTHR31190:SF287', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 2-LIKE', NULL, NULL, NULL, 15),
(67644, NULL, 'PTHR43895:SF11', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 9', NULL, NULL, NULL, 15),
(67645, NULL, 'PTHR24057:SF43', NULL, NULL, NULL, NULL, 'SHAGGY-LIKE KINASE', NULL, NULL, NULL, 15),
(67646, NULL, 'PTHR11937:SF397', NULL, NULL, NULL, NULL, 'ACTIN, INDIRECT FLIGHT MUSCLE-RELATED', NULL, NULL, NULL, 15),
(67647, NULL, 'PTHR13153', NULL, NULL, NULL, NULL, 'CGTHBA PROTEIN  -14 GENE PROTEIN', NULL, NULL, 6438, 15),
(67648, NULL, 'PTHR10513', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOSIDE KINASE', NULL, NULL, NULL, 15),
(67649, NULL, 'PTHR35767:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67650, NULL, 'PTHR28141:SF4', NULL, NULL, NULL, NULL, 'CYCLIC PHOSPHODIESTERASE-LIKE', NULL, NULL, NULL, 15),
(67651, NULL, 'PTHR24381:SF244', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 439-RELATED', NULL, NULL, NULL, 15),
(67652, NULL, 'PTHR31246:SF23', NULL, NULL, NULL, NULL, 'BNAA09G45420D PROTEIN', NULL, NULL, NULL, 15),
(67653, NULL, 'PTHR12817:SF0', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX 6B-LIKE-RELATED', NULL, NULL, NULL, 15),
(67654, NULL, 'PTHR34792:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67655, NULL, 'PTHR34219:SF5', NULL, NULL, NULL, NULL, 'BLR4505 PROTEIN', NULL, NULL, NULL, 15),
(67656, NULL, 'PTHR15710:SF9', NULL, NULL, NULL, NULL, 'OS01G0276600 PROTEIN', NULL, NULL, NULL, 15),
(67657, NULL, 'PTHR33116:SF20', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE (REVERSE TRANSCRIPTASE)-RELATED FAMILY PROTEIN', NULL, NULL, NULL, 15),
(67658, NULL, 'PTHR10677:SF21', NULL, NULL, NULL, NULL, 'UBIQUILIN-4', NULL, NULL, NULL, 15),
(67659, NULL, 'PTHR34480:SF10', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(67660, NULL, 'PTHR24353:SF128', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PRKY-RELATED', NULL, NULL, NULL, 15),
(67661, NULL, 'PTHR36764', NULL, NULL, NULL, NULL, 'TRNA (ILE)-LYSIDINE SYNTHASE', NULL, NULL, NULL, 15),
(67662, NULL, 'PTHR47980:SF6', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-8B', NULL, NULL, NULL, 15),
(67663, NULL, 'PTHR45777:SF4', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2', NULL, NULL, NULL, 15),
(67664, NULL, 'PTHR10562:SF85', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', NULL, NULL, NULL, 15),
(67665, NULL, 'PTHR45613:SF88', NULL, NULL, NULL, NULL, 'OS12G0152600 PROTEIN', NULL, NULL, NULL, 15),
(67666, NULL, 'PTHR10836:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67667, NULL, 'PTHR46372:SF12', NULL, NULL, NULL, NULL, 'PROTEIN WAVE-DAMPENED 2', NULL, NULL, NULL, 15),
(67668, NULL, 'PTHR24031:SF741', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE MSS116, MITOCHONDRIAL', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67669, NULL, 'PTHR11969:SF65', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH94', NULL, NULL, NULL, 15),
(67670, NULL, 'PTHR35992:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67671, NULL, 'PTHR21230:SF73', NULL, NULL, NULL, NULL, 'BNAA01G36970D PROTEIN', NULL, NULL, NULL, 15),
(67672, NULL, 'PTHR45659:SF16', NULL, NULL, NULL, NULL, 'AMPHIHOX6', NULL, NULL, NULL, 15),
(67673, NULL, 'PTHR22898:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG21995', NULL, NULL, NULL, 15),
(67674, NULL, 'PTHR18966:SF449', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(67675, NULL, 'PTHR14112:SF24', NULL, NULL, NULL, NULL, 'PROTEIN SSX2-RELATED', NULL, NULL, NULL, 15),
(67676, NULL, 'PTHR12289:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67677, NULL, 'PTHR43349:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67678, NULL, 'PTHR14429:SF20', NULL, NULL, NULL, NULL, 'FIBROSIN-1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67679, NULL, 'PTHR28018:SF7', NULL, NULL, NULL, NULL, 'HYPOXIA-RESPONSIVE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67680, NULL, 'PTHR46610:SF7', NULL, NULL, NULL, NULL, 'OS02G0216300 PROTEIN', NULL, NULL, NULL, 15),
(67681, NULL, 'PTHR31544:SF2', NULL, NULL, NULL, NULL, 'AIG2-LIKE PROTEIN D', NULL, NULL, NULL, 15),
(67682, NULL, 'PTHR23538:SF1', NULL, NULL, NULL, NULL, '44.5 KD BACTERIOCHLOROPHYLL SYNTHASE SUBUNIT', NULL, NULL, NULL, 15),
(67683, NULL, 'PTHR11455:SF56', NULL, NULL, NULL, NULL, 'CRY2A PROTEIN', NULL, NULL, NULL, 15),
(67684, NULL, 'PTHR39666:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67685, NULL, 'PTHR33133:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67686, NULL, 'PTHR23302:SF24', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(67687, NULL, 'PTHR16166:SF97', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13F-RELATED', NULL, NULL, NULL, 15),
(67688, NULL, 'PTHR11909:SF366', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(67689, NULL, 'PTHR33103:SF46', NULL, NULL, NULL, NULL, 'OS05G0115600 PROTEIN', NULL, NULL, NULL, 15),
(67690, NULL, 'PTHR10064:SF23', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-3', NULL, NULL, NULL, 15),
(67691, NULL, 'PTHR12484:SF4', NULL, NULL, NULL, NULL, 'A KINASE (PRKA) ANCHOR PROTEIN 17A', NULL, NULL, NULL, 15),
(67692, NULL, 'PTHR43076:SF1', NULL, NULL, NULL, NULL, '5-AMINO-6-(D-RIBITYLAMINO)URACIL--L-TYROSINE 4-HYDROXYPHENYL TRANSFERASE', NULL, NULL, NULL, 15),
(67693, NULL, 'PTHR11260:SF547', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(67694, NULL, 'PTHR44137:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67695, NULL, 'PTHR47029:SF1', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS 4', NULL, NULL, NULL, 15),
(67696, NULL, 'PTHR11588:SF400', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(67697, NULL, 'PTHR34883:SF3', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(67698, NULL, 'PTHR33237:SF25', NULL, NULL, NULL, NULL, 'OS02G0321600 PROTEIN', NULL, NULL, NULL, 15),
(67699, NULL, 'PTHR26452:SF176', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5A2', NULL, NULL, NULL, 15),
(67700, NULL, 'PTHR11709:SF330', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(67701, NULL, 'PTHR24256:SF485', NULL, NULL, NULL, NULL, 'INACTIVE SERINE PROTEASE 54', NULL, NULL, NULL, 15),
(67702, NULL, 'PTHR11544:SF60', NULL, NULL, NULL, NULL, 'LIN-28 HOMOLOG B (C. ELEGANS)-RELATED', NULL, NULL, NULL, 15),
(67703, NULL, 'PTHR12632:SF65', NULL, NULL, NULL, NULL, 'HAP2 SUBUNIT OF HAP COMPLEX', NULL, NULL, NULL, 15),
(67704, NULL, 'PTHR24055:SF482', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(67705, NULL, 'PTHR11893:SF28', NULL, NULL, NULL, NULL, 'INNEXIN-2', NULL, NULL, NULL, 15),
(67706, NULL, 'PTHR43603:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67707, NULL, 'PTHR31744:SF65', NULL, NULL, NULL, NULL, 'CONTAINING PROTEIN 9, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(67708, NULL, 'PTHR15486:SF58', NULL, NULL, NULL, NULL, 'OS05G0280500 PROTEIN', NULL, NULL, NULL, 15),
(67709, NULL, 'PTHR43272:SF6', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 1', NULL, NULL, NULL, 15),
(67710, NULL, 'PTHR46397:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(67711, NULL, 'PTHR13140:SF792', NULL, NULL, NULL, NULL, 'MYOSIN-9', NULL, NULL, NULL, 15),
(67712, NULL, 'PTHR45796:SF8', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN P2', NULL, NULL, NULL, 15),
(67713, NULL, 'PTHR47076', NULL, NULL, NULL, NULL, 'NHL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(67714, NULL, 'PTHR33525:SF5', NULL, NULL, NULL, NULL, 'TWO COMPONENT SIGNAL TRANSDUCTION SYSTEM RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(67715, NULL, 'PTHR48132:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37A-2', NULL, NULL, NULL, 15),
(67716, NULL, 'PTHR23423:SF67', NULL, NULL, NULL, NULL, 'OS02G0670000 PROTEIN', NULL, NULL, NULL, 15),
(67717, NULL, 'PTHR31953:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67718, NULL, 'PTHR45882', NULL, NULL, NULL, NULL, 'PITUITARY HOMEOBOX HOMOLOG PTX1', NULL, NULL, NULL, 15),
(67719, NULL, 'PTHR21517', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 33640, 15),
(67720, NULL, 'PTHR24296:SF203', NULL, NULL, NULL, NULL, 'BNAANNG35910D PROTEIN', NULL, NULL, NULL, 15),
(67721, NULL, 'PTHR34201', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(67722, NULL, 'PTHR10496:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', NULL, NULL, NULL, 15),
(67723, NULL, 'PTHR31216:SF0', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-10-RELATED', NULL, NULL, NULL, 15),
(67724, NULL, 'PTHR22846:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67725, NULL, 'PTHR31321:SF82', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(67726, NULL, 'PTHR48107:SF20', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALDEHYDE REDUCTASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(67727, NULL, 'PTHR33194:SF4', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE DOMAINCONTAINING PROTEIN', NULL, NULL, NULL, 15),
(67728, NULL, 'PTHR45855:SF8', NULL, NULL, NULL, NULL, 'OS02G0805250 PROTEIN', NULL, NULL, NULL, 15),
(67729, NULL, 'PTHR31561:SF29', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(67730, NULL, 'PTHR30128', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN, OMPA-RELATED', NULL, NULL, NULL, 15),
(67731, NULL, 'PTHR31589:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67732, NULL, 'PTHR12632:SF17', NULL, NULL, NULL, NULL, 'CCAAT-BINDING TRANSCRIPTION FACTOR SUBUNIT B FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(67733, NULL, 'PTHR34455:SF6', NULL, NULL, NULL, NULL, 'ULTRAVIOLET-B-REPRESSIBLE PROTEIN', NULL, NULL, NULL, 15),
(67734, NULL, 'PTHR43321:SF3', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(67735, NULL, 'PTHR12321:SF148', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 8', NULL, NULL, NULL, 15),
(67736, NULL, 'PTHR33784:SF14', NULL, NULL, NULL, NULL, 'BNACNNG27400D PROTEIN', NULL, NULL, NULL, 15),
(67737, NULL, 'PTHR33385:SF22', NULL, NULL, NULL, NULL, 'OS01G0918100 PROTEIN', NULL, NULL, NULL, 15),
(67738, NULL, 'PTHR39313', NULL, NULL, NULL, NULL, 'IM:7138239', NULL, NULL, NULL, 15),
(67739, NULL, 'PTHR18843:SF7', NULL, NULL, NULL, NULL, 'SI:DKEYP-82A1.6-RELATED', NULL, NULL, NULL, 15),
(67740, NULL, 'PTHR11945:SF596', NULL, NULL, NULL, NULL, 'MYOCYTE ENHANCER FACTOR 2B', NULL, NULL, NULL, 15),
(67741, NULL, 'PTHR42837', NULL, NULL, NULL, NULL, 'REGULATOR OF SIGMA-E PROTEASE RSEP', NULL, NULL, 5641, 15),
(67742, NULL, 'PTHR48195', NULL, NULL, NULL, NULL, 'FRIEND VIRUS SUSCEPTIBILITY PROTEIN 1', NULL, NULL, NULL, 15),
(67743, NULL, 'PTHR31058:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER C4H2 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67744, NULL, 'PTHR31813:SF3', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 23D1-RELATED', NULL, NULL, NULL, 15),
(67745, NULL, 'PTHR47933:SF2', NULL, NULL, NULL, NULL, 'PROTON GRADIENT REGULATION3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67746, NULL, 'PTHR36179', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67747, NULL, 'PTHR11260:SF654', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(67748, NULL, 'PTHR33132:SF37', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67749, NULL, 'PTHR33601:SF30', NULL, NULL, NULL, NULL, 'OS04G0411200 PROTEIN', NULL, NULL, NULL, 15),
(67750, NULL, 'PTHR31943:SF14', NULL, NULL, NULL, NULL, 'INTERFERON LAMBDA-1', NULL, NULL, NULL, 15),
(67751, NULL, 'PTHR37468', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER CYSZ', NULL, NULL, NULL, 15),
(67752, NULL, 'PTHR11206:SF395', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(67753, NULL, 'PTHR14710', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 6', NULL, NULL, 8316, 15),
(67754, NULL, 'PTHR38790:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67755, NULL, 'PTHR33168', NULL, NULL, NULL, NULL, 'STRESS INDUCED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67756, NULL, 'PTHR24089:SF181', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 41', NULL, NULL, NULL, 15),
(67757, NULL, 'PTHR11260:SF698', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U17-LIKE', NULL, NULL, NULL, 15),
(67758, NULL, 'PTHR12300:SF158', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67759, NULL, 'PTHR13703:SF25', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG', NULL, NULL, NULL, 15),
(67760, NULL, 'PTHR22255:SF9', NULL, NULL, NULL, NULL, 'LP06548P', NULL, NULL, NULL, 15),
(67761, NULL, 'PTHR42760:SF36', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE YTKK-RELATED', NULL, NULL, NULL, 15),
(67762, NULL, 'PTHR32125:SF8', NULL, NULL, NULL, NULL, 'RIBITOL-5-PHOSPHATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(67763, NULL, 'PTHR31621:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67764, NULL, 'PTHR43804', NULL, NULL, NULL, NULL, 'LD18447P', NULL, NULL, NULL, 15),
(67765, NULL, 'PTHR36729', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(67766, NULL, 'PTHR34567:SF7', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67767, NULL, 'PTHR31989:SF303', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67768, NULL, 'PTHR12161:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67769, NULL, 'PTHR13229:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KISH-A', NULL, NULL, NULL, 15),
(67770, NULL, 'PTHR24044:SF423', NULL, NULL, NULL, NULL, 'PROTEIN DELTA HOMOLOG 2', NULL, NULL, NULL, 15),
(67771, NULL, 'PTHR32266:SF22', NULL, NULL, NULL, NULL, 'BNAC09G32590D PROTEIN', NULL, NULL, NULL, 15),
(67772, NULL, 'PTHR11710:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67773, NULL, 'PTHR11132:SF437', NULL, NULL, NULL, NULL, 'BNAC02G47130D PROTEIN', NULL, NULL, NULL, 15),
(67774, NULL, 'PTHR10572:SF25', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE 2', NULL, NULL, NULL, 15),
(67775, NULL, 'PTHR31218:SF48', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(67776, NULL, 'PTHR45665:SF8', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP4-2-RELATED', NULL, NULL, NULL, 15),
(67777, NULL, 'PTHR45618:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 4', NULL, NULL, NULL, 15),
(67778, NULL, 'PTHR11214:SF301', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(67779, NULL, 'PTHR46781:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE, DXD SUGAR-BINDING MOTIF PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67780, NULL, 'PTHR10926:SF54', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN 50C', NULL, NULL, 23596, 15),
(67781, NULL, 'PTHR33598', NULL, NULL, NULL, NULL, 'OS02G0833400 PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67782, NULL, 'PTHR24270:SF8', NULL, NULL, NULL, NULL, 'IP11552P-RELATED', NULL, NULL, NULL, 15),
(67783, NULL, 'PTHR45648:SF112', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(67784, NULL, 'PTHR22595:SF131', NULL, NULL, NULL, NULL, 'ENDOCHITINASE EP3', NULL, NULL, NULL, 15),
(67785, NULL, 'PTHR11011:SF79', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(67786, NULL, 'PTHR47713', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(67787, NULL, 'PTHR11062:SF129', NULL, NULL, NULL, NULL, 'EXOSTOSIN-1', NULL, NULL, NULL, 15),
(67788, NULL, 'PTHR31300:SF29', NULL, NULL, NULL, NULL, 'LIPASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67789, NULL, 'PTHR10219:SF65', NULL, NULL, NULL, NULL, 'CERAMIDE-1-PHOSPHATE TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(67790, NULL, 'PTHR48047:SF108', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(67791, NULL, 'PTHR24023:SF1019', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67792, NULL, 'PTHR31407:SF38', NULL, NULL, NULL, NULL, 'PSBP DOMAIN-CONTAINING PROTEIN 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(67793, NULL, 'PTHR10369', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36A/L44', NULL, NULL, 5844, 15),
(67794, NULL, 'PTHR45926:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE7-LIKE', NULL, NULL, NULL, 15),
(67795, NULL, 'PTHR45966:SF21', NULL, NULL, NULL, NULL, 'BNAA08G29200D PROTEIN', NULL, NULL, NULL, 15),
(67796, NULL, 'PTHR10517:SF20', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(67797, NULL, 'PTHR10177:SF471', NULL, NULL, NULL, NULL, 'BNAA09G45480D PROTEIN', NULL, NULL, NULL, 15),
(67798, NULL, 'PTHR35075:SF1', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 14', NULL, NULL, NULL, 15),
(67799, NULL, 'PTHR11890:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67800, NULL, 'PTHR31814', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 20604, 15),
(67801, NULL, 'PTHR47602:SF3', NULL, NULL, NULL, NULL, 'BNAA04G11690D PROTEIN', NULL, NULL, NULL, 15),
(67802, NULL, 'PTHR44305:SF4', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 6', NULL, NULL, NULL, 15),
(67803, NULL, 'PTHR43349:SF30', NULL, NULL, NULL, NULL, 'NMRA-LIKE NEGATIVE TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(67804, NULL, 'PTHR47005:SF7', NULL, NULL, NULL, NULL, 'OS11G0629100 PROTEIN', NULL, NULL, NULL, 15),
(67805, NULL, 'PTHR43768:SF19', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE 6-RELATED', NULL, NULL, NULL, 15),
(67806, NULL, 'PTHR24186', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(67807, NULL, 'PTHR12745:SF11', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TUMORIGENICITY 7 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(67808, NULL, 'PTHR37561:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67809, NULL, 'PTHR33702:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67810, NULL, 'PTHR26453:SF138', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(67811, NULL, 'PTHR34543', NULL, NULL, NULL, NULL, 'PROTEIN ABA DEFICIENT 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(67812, NULL, 'PTHR24390:SF62', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 865', NULL, NULL, NULL, 15),
(67813, NULL, 'PTHR31265:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67814, NULL, 'PTHR31245:SF2', NULL, NULL, NULL, NULL, 'OS06G0642650 PROTEIN', NULL, NULL, NULL, 15),
(67815, NULL, 'PTHR11977:SF107', NULL, NULL, NULL, NULL, 'VILLIN/GELSOLIN, ADF-H/GELSOLIN-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67816, NULL, 'PTHR35486:SF4', NULL, NULL, NULL, NULL, 'BNAANNG19180D PROTEIN', NULL, NULL, NULL, 15),
(67817, NULL, 'PTHR45752:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67818, NULL, 'PTHR47207:SF2', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P3-1-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67819, NULL, 'PTHR23086:SF29', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 4', NULL, NULL, NULL, 15),
(67820, NULL, 'PTHR27000:SF715', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(67821, NULL, 'PTHR11771:SF40', NULL, NULL, NULL, NULL, 'ARACHIDONATE 12-LIPOXYGENASE, 12R-TYPE', NULL, NULL, NULL, 15),
(67822, NULL, 'PTHR27006:SF136', NULL, NULL, NULL, NULL, 'BNAA01G29140D PROTEIN', NULL, NULL, NULL, 15),
(67823, NULL, 'PTHR27005:SF247', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67824, NULL, 'PTHR31945:SF97', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(67825, NULL, 'PTHR23501:SF143', NULL, NULL, NULL, NULL, 'DRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G08530)-RELATED', NULL, NULL, NULL, 15),
(67826, NULL, 'PTHR12701:SF52', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED PROTEIN 29/31-RELATED', NULL, NULL, NULL, 15),
(67827, NULL, 'PTHR38386:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67828, NULL, 'PTHR11556:SF13', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE ISOZYME 2', NULL, NULL, NULL, 15),
(67829, NULL, 'PTHR42690:SF1', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE-LIKE 2', NULL, NULL, NULL, 15),
(67830, NULL, 'PTHR24298:SF152', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(67831, NULL, 'PTHR45995:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE NIMA-INTERACTING 4', NULL, NULL, NULL, 15),
(67832, NULL, 'PTHR11334:SF60', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER H', NULL, NULL, 28996, 15),
(67833, NULL, 'PTHR30425', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PST', NULL, NULL, NULL, 15),
(67834, NULL, 'PTHR10574:SF233', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(67835, NULL, 'PTHR18860:SF109', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14-C', NULL, NULL, NULL, 15),
(67836, NULL, 'PTHR14969:SF27', NULL, NULL, NULL, NULL, 'SI:CH211-212G7.6', NULL, NULL, NULL, 15),
(67837, NULL, 'PTHR12790', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IA  RRN3', NULL, NULL, 4358, 15),
(67838, NULL, 'PTHR12552', NULL, NULL, NULL, NULL, 'OLIGOPHRENIN 1', NULL, NULL, NULL, 15),
(67839, NULL, 'PTHR24009:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 18-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(67840, NULL, 'PTHR47327:SF4', NULL, NULL, NULL, NULL, 'NOMPA HOMOLOG (DROSOPHILA NOMPA: NO MECHANORECEPTOR POTENTIAL A)', NULL, NULL, NULL, 15),
(67841, NULL, 'PTHR36447:SF2', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE YESZ', NULL, NULL, NULL, 15),
(67842, NULL, 'PTHR31707:SF344', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(67843, NULL, 'PTHR42785:SF4', NULL, NULL, NULL, NULL, 'BNAA01G05990D PROTEIN', NULL, NULL, NULL, 15),
(67844, NULL, 'PTHR32341:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67845, NULL, 'PTHR10288:SF135', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(67846, NULL, 'PTHR23138:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67847, NULL, 'PTHR21060', NULL, NULL, NULL, NULL, 'ACETATE KINASE', NULL, NULL, 164, 15),
(67848, NULL, 'PTHR43195', NULL, NULL, NULL, NULL, 'TRANSKETOLASE', NULL, NULL, NULL, 15),
(67849, NULL, 'PTHR45724:SF18', NULL, NULL, NULL, NULL, 'NODULIN-26', NULL, NULL, NULL, 15),
(67850, NULL, 'PTHR31544:SF8', NULL, NULL, NULL, NULL, 'PROTEIN AIG2 B', NULL, NULL, NULL, 15),
(67851, NULL, 'PTHR13400:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 28A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67852, NULL, 'PTHR26374:SF405', NULL, NULL, NULL, NULL, 'BNAA03G46860D PROTEIN', NULL, NULL, NULL, 15),
(67853, NULL, 'PTHR46301:SF41', NULL, NULL, NULL, NULL, 'F-BOX-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67854, NULL, 'PTHR12320:SF56', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67855, NULL, 'PTHR43620:SF20', NULL, NULL, NULL, NULL, 'OSJNBB0022F23.4 PROTEIN', NULL, NULL, NULL, 15),
(67856, NULL, 'PTHR24211:SF0', NULL, NULL, NULL, NULL, 'LIM AND CYSTEINE-RICH DOMAINS PROTEIN 1', NULL, NULL, NULL, 15),
(67857, NULL, 'PTHR24414:SF149', NULL, NULL, NULL, NULL, 'BNAA03G52730D PROTEIN', NULL, NULL, NULL, 15),
(67858, NULL, 'PTHR11214:SF226', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(67859, NULL, 'PTHR11071:SF419', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(67860, NULL, 'PTHR46147', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASH1', NULL, NULL, NULL, 15),
(67861, NULL, 'PTHR16502', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 33624, 15),
(67862, NULL, 'PTHR10593:SF151', NULL, NULL, NULL, NULL, 'OS01G0935000 PROTEIN', NULL, NULL, NULL, 15),
(67863, NULL, 'PTHR21277:SF38', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF RNA POLII, SAGA, SUBUNIT', NULL, NULL, NULL, 15),
(67864, NULL, 'PTHR11567:SF183', NULL, NULL, NULL, NULL, 'GH28721P-RELATED', NULL, NULL, 22615, 15),
(67865, NULL, 'PTHR11119:SF29', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 3', NULL, NULL, 28894, 15),
(67866, NULL, 'PTHR47714', NULL, NULL, NULL, NULL, 'CRS1/YHBY DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(67867, NULL, 'PTHR27005:SF320', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-LIKE', NULL, NULL, NULL, 15),
(67868, NULL, 'PTHR12570:SF54', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(67869, NULL, 'PTHR47968:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE-ASSOCIATED PROTEIN E', NULL, NULL, NULL, 15),
(67870, NULL, 'PTHR48024:SF11', NULL, NULL, NULL, NULL, 'NUCLEAR LOCALIZATION SEQUENCE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(67871, NULL, 'PTHR45990', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN REV1', NULL, NULL, NULL, 15),
(67872, NULL, 'PTHR22951:SF102', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67873, NULL, 'PTHR37409:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67874, NULL, 'PTHR23213:SF367', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67875, NULL, 'PTHR22835:SF617', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67876, NULL, 'PTHR27000:SF444', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67877, NULL, 'PTHR18860:SF120', NULL, NULL, NULL, NULL, 'BNAA07G09490D PROTEIN', NULL, NULL, NULL, 15),
(67878, NULL, 'PTHR45089:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67879, NULL, 'PTHR12064:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67880, NULL, 'PTHR47965:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67881, NULL, 'PTHR35787', NULL, NULL, NULL, NULL, 'GLYCEROL UPTAKE OPERON ANTITERMINATOR REGULATORY PROTEIN', NULL, NULL, 2252, 15),
(67882, NULL, 'PTHR27007:SF265', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VIII.1', NULL, NULL, NULL, 15),
(67883, NULL, 'PTHR40663', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 35992, 15),
(67884, NULL, 'PTHR11908:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67885, NULL, 'PTHR21733:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG13565', NULL, NULL, NULL, 15),
(67886, NULL, 'PTHR32382:SF47', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 14', NULL, NULL, NULL, 15),
(67887, NULL, 'PTHR32285:SF274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67888, NULL, 'PTHR48111:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN YXDJ', NULL, NULL, NULL, 15),
(67889, NULL, 'PTHR43112:SF26', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(67890, NULL, 'PTHR33427:SF1', NULL, NULL, NULL, NULL, 'F6A14.21 PROTEIN', NULL, NULL, NULL, 15),
(67891, NULL, 'PTHR10676:SF365', NULL, NULL, NULL, NULL, 'DYNEIN, AXONEMAL, HEAVY CHAIN 5-LIKE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67892, NULL, 'PTHR24027:SF311', NULL, NULL, NULL, NULL, 'CADHERIN-22', NULL, NULL, NULL, 15),
(67893, NULL, 'PTHR12172:SF1', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(67894, NULL, 'PTHR19277:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67895, NULL, 'PTHR23024:SF550', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 18-RELATED', NULL, NULL, NULL, 15),
(67896, NULL, 'PTHR31286:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67897, NULL, 'PTHR10201:SF280', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-A', NULL, NULL, 31041, 15),
(67898, NULL, 'PTHR34781:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67899, NULL, 'PTHR36683:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67900, NULL, 'PTHR23113:SF241', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR M', NULL, NULL, NULL, 15),
(67901, NULL, 'PTHR45757:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG24628', NULL, NULL, NULL, 15),
(67902, NULL, 'PTHR23111:SF29', NULL, NULL, NULL, NULL, 'ZINC FINGER (RAN-BINDING) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(67903, NULL, 'PTHR22829:SF5', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR155', NULL, NULL, NULL, 15),
(67904, NULL, 'PTHR46236:SF28', NULL, NULL, NULL, NULL, 'BNAC04G48310D PROTEIN', NULL, NULL, NULL, 15),
(67905, NULL, 'PTHR11629:SF56', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(67906, NULL, 'PTHR38452:SF1', NULL, NULL, NULL, NULL, 'UPF0756 MEMBRANE PROTEIN YEAL', NULL, NULL, NULL, 15),
(67907, NULL, 'PTHR13146:SF6', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(67908, NULL, 'PTHR43328', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(67909, NULL, 'PTHR10625:SF201', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 3', NULL, NULL, NULL, 15),
(67910, NULL, 'PTHR31153:SF1', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(67911, NULL, 'PTHR31992:SF188', NULL, NULL, NULL, NULL, 'BNAC03G64440D PROTEIN', NULL, NULL, NULL, 15),
(67912, NULL, 'PTHR48001:SF90', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(67913, NULL, 'PTHR31989:SF224', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 16', NULL, NULL, NULL, 15),
(67914, NULL, 'PTHR47926:SF99', NULL, NULL, NULL, NULL, 'BNAANNG32650D PROTEIN', NULL, NULL, NULL, 15),
(67915, NULL, 'PTHR22803:SF130', NULL, NULL, NULL, NULL, 'REGENERATING ISLET-DERIVED PROTEIN 3-ALPHA', NULL, NULL, NULL, 15),
(67916, NULL, 'PTHR22938:SF14', NULL, NULL, NULL, NULL, 'EBR1', NULL, NULL, NULL, 15),
(67917, NULL, 'PTHR13385:SF4', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN ATG12', NULL, NULL, NULL, 15),
(67918, NULL, 'PTHR46351:SF11', NULL, NULL, NULL, NULL, 'HEVEIN-LIKE PREPROPROTEIN', NULL, NULL, NULL, 15),
(67919, NULL, 'PTHR24381:SF293', NULL, NULL, NULL, NULL, 'PATERNALLY-EXPRESSED GENE 3 PROTEIN', NULL, NULL, NULL, 15),
(67920, NULL, 'PTHR11913:SF101', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 7-LIKE', NULL, NULL, NULL, 15),
(67921, NULL, 'PTHR16675:SF235', NULL, NULL, NULL, NULL, 'MAJOR HISTOCOMPATIBILITY COMPLEX CLASS I ANTIGEN', NULL, NULL, NULL, 15),
(67922, NULL, 'PTHR47663:SF1', NULL, NULL, NULL, NULL, 'XYLANOLYTIC TRANSCRIPTIONAL ACTIVATOR XLNR-RELATED', NULL, NULL, NULL, 15),
(67923, NULL, 'PTHR12771:SF3', NULL, NULL, NULL, NULL, 'CED-12', NULL, NULL, NULL, 15),
(67924, NULL, 'PTHR12259:SF2', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN GIPC3', NULL, NULL, NULL, 15),
(67925, NULL, 'PTHR10687:SF51', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(67926, NULL, 'PTHR23139', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(67927, NULL, 'PTHR15315:SF63', NULL, NULL, NULL, NULL, 'OS07G0275300 PROTEIN', NULL, NULL, NULL, 15),
(67928, NULL, 'PTHR43479', NULL, NULL, NULL, NULL, 'ACREF/ENVCD OPERON REPRESSOR-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67929, NULL, 'PTHR47485', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 17.4 KDA PROTEIN, CHLOROPLASTIC', NULL, NULL, 39522, 15),
(67930, NULL, 'PTHR42820:SF20', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE 5', NULL, NULL, NULL, 15),
(67931, NULL, 'PTHR40735:SF4', NULL, NULL, NULL, NULL, 'RNA EDITING COMPLEX PROTEIN MP63', NULL, NULL, NULL, 15),
(67932, NULL, 'PTHR48024:SF17', NULL, NULL, NULL, NULL, 'OS02G0602600 PROTEIN', NULL, NULL, NULL, 15),
(67933, NULL, 'PTHR21152:SF34', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(67934, NULL, 'PTHR43795:SF59', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(67935, NULL, 'PTHR11054:SF0', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE', NULL, NULL, NULL, 15),
(67936, NULL, 'PTHR45968:SF14', NULL, NULL, NULL, NULL, 'OS02G0678300 PROTEIN', NULL, NULL, NULL, 15),
(67937, NULL, 'PTHR46293:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIPH-RELATED', NULL, NULL, NULL, 15),
(67938, NULL, 'PTHR24031:SF594', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX52-RELATED', NULL, NULL, NULL, 15),
(67939, NULL, 'PTHR12136:SF92', NULL, NULL, NULL, NULL, 'OS06G0116500 PROTEIN', NULL, NULL, NULL, 15),
(67940, NULL, 'PTHR44329:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67941, NULL, 'PTHR47699', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN FAMILY', NULL, NULL, NULL, 15),
(67942, NULL, 'PTHR27003:SF331', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(67943, NULL, 'PTHR45836:SF16', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(67944, NULL, 'PTHR31929:SF119', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR21-LIKE', NULL, NULL, NULL, 15),
(67945, NULL, 'PTHR24351:SF58', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE ALPHA-3', NULL, NULL, NULL, 15),
(67946, NULL, 'PTHR46698', NULL, NULL, NULL, NULL, 'CROSSVEINLESS 2', NULL, NULL, NULL, 15),
(67947, NULL, 'PTHR10992:SF1007', NULL, NULL, NULL, NULL, 'METHYLESTERASE 4-RELATED', NULL, NULL, NULL, 15),
(67948, NULL, 'PTHR43060:SF15', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRATE DEHYDROGENASE-LIKE 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(67949, NULL, 'PTHR46979:SF1', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 20', NULL, NULL, NULL, 15),
(67950, NULL, 'PTHR18945:SF390', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(67951, NULL, 'PTHR46414:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BHLHB9', NULL, NULL, NULL, 15),
(67952, NULL, 'PTHR46058:SF20', NULL, NULL, NULL, NULL, 'BNAA03G56110D PROTEIN', NULL, NULL, NULL, 15),
(67953, NULL, 'PTHR30329:SF4', NULL, NULL, NULL, NULL, 'MOTILITY PROTEIN B', NULL, NULL, NULL, 15),
(67954, NULL, 'PTHR43556', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR RF3', NULL, NULL, 743, 15),
(67955, NULL, 'PTHR12015:SF156', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE', NULL, NULL, NULL, 15),
(67956, NULL, 'PTHR11240:SF66', NULL, NULL, NULL, NULL, 'OS01G0897300 PROTEIN', NULL, NULL, NULL, 15),
(67957, NULL, 'PTHR13140:SF550', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67958, NULL, 'PTHR46086:SF16', NULL, NULL, NULL, NULL, 'LIPASE-LIKE', NULL, NULL, NULL, 15),
(67959, NULL, 'PTHR11374:SF40', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', NULL, NULL, NULL, 15),
(67960, NULL, 'PTHR35901:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC3', NULL, NULL, NULL, 15),
(67961, NULL, 'PTHR10913', NULL, NULL, NULL, NULL, 'FOLLISTATIN-RELATED', NULL, NULL, NULL, 15),
(67962, NULL, 'PTHR11165:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67963, NULL, 'PTHR37531:SF1', NULL, NULL, NULL, NULL, 'HEME EXPORTER PROTEIN D', NULL, NULL, NULL, 15),
(67964, NULL, 'PTHR13068:SF141', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(67965, NULL, 'PTHR45779:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP11', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(67966, NULL, 'PTHR10903:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67967, NULL, 'PTHR39490:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN 21', NULL, NULL, NULL, 15),
(67968, NULL, 'PTHR47822:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67969, NULL, 'PTHR30075', NULL, NULL, NULL, NULL, 'GLYCYL-TRNA SYNTHETASE', NULL, NULL, 8361, 15),
(67970, NULL, 'PTHR28626', NULL, NULL, NULL, NULL, 'SRR1-LIKE PROTEIN', NULL, NULL, 33524, 15),
(67971, NULL, 'PTHR28598:SF1', NULL, NULL, NULL, NULL, 'STAGA COMPLEX 65 SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(67972, NULL, 'PTHR31561:SF105', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(67973, NULL, 'PTHR28186:SF1', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 9 PROTEIN', NULL, NULL, NULL, 15),
(67974, NULL, 'PTHR33454:SF7', NULL, NULL, NULL, NULL, 'GAMMA-GLIADIN', NULL, NULL, NULL, 15),
(67975, NULL, 'PTHR43477:SF4', NULL, NULL, NULL, NULL, '3-HYDROXYBUTYRATE DEHYDROGENASE TYPE 2', NULL, NULL, NULL, 15),
(67976, NULL, 'PTHR43046:SF8', NULL, NULL, NULL, NULL, 'MUTT/NUDIX FAMILY PROTEIN', NULL, NULL, NULL, 15),
(67977, NULL, 'PTHR14154:SF9', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(67978, NULL, 'PTHR33755:SF3', NULL, NULL, NULL, NULL, 'TOXIN', NULL, NULL, NULL, 15),
(67979, NULL, 'PTHR45709:SF3', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN-LIKE 1', NULL, NULL, NULL, 15),
(67980, NULL, 'PTHR15438:SF5', NULL, NULL, NULL, NULL, 'NPIP-LIKE PROTEIN LOC729978-RELATED', NULL, NULL, NULL, 15),
(67981, NULL, 'PTHR10464:SF5', NULL, NULL, NULL, NULL, 'UREA TRANSPORTER 1', NULL, NULL, NULL, 15),
(67982, NULL, 'PTHR47934:SF6', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN PET309, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(67983, NULL, 'PTHR35013:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG22618', NULL, NULL, NULL, 15),
(67984, NULL, 'PTHR35154:SF2', NULL, NULL, NULL, NULL, 'GSK-3-BINDING PROTEIN FRAT2', NULL, NULL, 33370, 15),
(67985, NULL, 'PTHR33623:SF14', NULL, NULL, NULL, NULL, 'OS10G0524000 PROTEIN', NULL, NULL, NULL, 15),
(67986, NULL, 'PTHR45693:SF54', NULL, NULL, NULL, NULL, 'BNAA05G26790D PROTEIN', NULL, NULL, NULL, 15),
(67987, NULL, 'PTHR37018:SF1', NULL, NULL, NULL, NULL, 'CULTURE SPECIFIC PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00130)-RELATED', NULL, NULL, NULL, 15),
(67988, NULL, 'PTHR45751:SF15', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RGLG1', NULL, NULL, NULL, 15),
(67989, NULL, 'PTHR22855', NULL, NULL, NULL, NULL, 'ACETYL, PROPIONYL, PYRUVATE, AND GLUTACONYL CARBOXYLASE-RELATED', NULL, NULL, 37397, 15),
(67990, NULL, 'PTHR11177:SF369', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(67991, NULL, 'PTHR27009:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(67992, NULL, 'PTHR24391:SF18', NULL, NULL, NULL, NULL, 'EG:115C2.6 PROTEIN', NULL, NULL, NULL, 15),
(67993, NULL, 'PTHR10627:SF63', NULL, NULL, NULL, NULL, 'OS12G0478900 PROTEIN', NULL, NULL, NULL, 15),
(67994, NULL, 'PTHR23073:SF120', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 6B HOMOLOG', NULL, NULL, 18238, 15),
(67995, NULL, 'PTHR35325:SF6', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN K', NULL, NULL, NULL, 15),
(67996, NULL, 'PTHR47136', NULL, NULL, NULL, NULL, 'SYNEMIN', NULL, NULL, 25123, 15),
(67997, NULL, 'PTHR10344:SF4', NULL, NULL, NULL, NULL, 'THYMIDYLATE KINASE', NULL, NULL, NULL, 15),
(67998, NULL, 'PTHR12956:SF54', NULL, NULL, NULL, NULL, 'OS03G0769050 PROTEIN', NULL, NULL, NULL, 15),
(67999, NULL, 'PTHR31644:SF1', NULL, NULL, NULL, NULL, 'WEAK ACID RESISTANCE PROTEIN 1', NULL, NULL, NULL, 15),
(68000, NULL, 'PTHR30413:SF10', NULL, NULL, NULL, NULL, 'TEICHOIC ACID TRANSLOCATION PERMEASE PROTEIN TAGG', NULL, NULL, NULL, 15),
(68001, NULL, 'PTHR13902:SF53', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-BINDING PROTEIN 2', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68002, NULL, 'PTHR10257:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 56 KDA REGULATORY SUBUNIT BETA ISOFORM', NULL, NULL, NULL, 15),
(68003, NULL, 'PTHR43710:SF7', NULL, NULL, NULL, NULL, 'INDOLEPYRUVATE FERREDOXIN OXIDOREDUCTASE ALPHA SUBUNIT', NULL, NULL, NULL, 15),
(68004, NULL, 'PTHR31334', NULL, NULL, NULL, NULL, 'SMITH-MAGENIS SYNDROME REGION GENE 8 PROTEIN', NULL, NULL, NULL, 15),
(68005, NULL, 'PTHR33132:SF7', NULL, NULL, NULL, NULL, 'OS02G0525600 PROTEIN', NULL, NULL, NULL, 15),
(68006, NULL, 'PTHR14360:SF15', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 90B, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(68007, NULL, 'PTHR48047:SF36', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(68008, NULL, 'PTHR12271:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68009, NULL, 'PTHR31790:SF355', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68010, NULL, 'PTHR34539:SF17', NULL, NULL, NULL, NULL, 'BNAA02G27660D PROTEIN', NULL, NULL, NULL, 15),
(68011, NULL, 'PTHR26452:SF263', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10V1', NULL, NULL, NULL, 15),
(68012, NULL, 'PTHR13052', NULL, NULL, NULL, NULL, 'NFRKB-RELATED', NULL, NULL, 22889, 15),
(68013, NULL, 'PTHR46280:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY F MEMBER 2', NULL, NULL, NULL, 15),
(68014, NULL, 'PTHR14309:SF12', NULL, NULL, NULL, NULL, 'AGAP013121-PA', NULL, NULL, NULL, 15),
(68015, NULL, 'PTHR48111:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN GLNR', NULL, NULL, NULL, 15),
(68016, NULL, 'PTHR33710:SF43', NULL, NULL, NULL, NULL, 'BNAC02G20440D PROTEIN', NULL, NULL, NULL, 15),
(68017, NULL, 'PTHR21700:SF33', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(68018, NULL, 'PTHR28535:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER GRF-TYPE CONTAINING 1', NULL, NULL, NULL, 15),
(68019, NULL, 'PTHR19051:SF25', NULL, NULL, NULL, NULL, 'KERATIN ASSOCIATED PROTEIN 25-1', NULL, NULL, NULL, 15),
(68020, NULL, 'PTHR23421:SF71', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(68021, NULL, 'PTHR15422:SF40', NULL, NULL, NULL, NULL, 'BETA-MONOOXYGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(68022, NULL, 'PTHR12827:SF3', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(68023, NULL, 'PTHR32251:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68024, NULL, 'PTHR11785:SF246', NULL, NULL, NULL, NULL, 'SI:CH73-352P4.8', NULL, NULL, NULL, 15),
(68025, NULL, 'PTHR19336:SF10', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN CEP57L1', NULL, NULL, NULL, 15),
(68026, NULL, 'PTHR15081', NULL, NULL, NULL, NULL, 'NUCLEAR AUTOANTIGENIC SPERM PROTEIN  NASP -RELATED', NULL, NULL, NULL, 15),
(68027, NULL, 'PTHR31391:SF97', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS06G0112300', NULL, NULL, NULL, 15),
(68028, NULL, 'PTHR21600:SF34', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RNA PSEUDOURIDINE SYNTHASE RPUSD4', NULL, NULL, NULL, 15),
(68029, NULL, 'PTHR14083:SF10', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE HRF1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(68030, NULL, 'PTHR27009:SF257', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', NULL, NULL, NULL, 15),
(68031, NULL, 'PTHR10974:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG19234', NULL, NULL, NULL, 15),
(68032, NULL, 'PTHR11913:SF57', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 8', NULL, NULL, NULL, 15),
(68033, NULL, 'PTHR10583', NULL, NULL, NULL, NULL, 'CHROMOGRANIN', NULL, NULL, 4239, 15),
(68034, NULL, 'PTHR26451:SF956', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6K3', NULL, NULL, NULL, 15),
(68035, NULL, 'PTHR24208:SF121', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX6', NULL, NULL, NULL, 15),
(68036, NULL, 'PTHR19317:SF77', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN B3', NULL, NULL, NULL, 15),
(68037, NULL, 'PTHR23345:SF33', NULL, NULL, NULL, NULL, 'CROSSVEINLESS D', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68038, NULL, 'PTHR43247:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(68039, NULL, 'PTHR32227:SF290', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE', NULL, NULL, NULL, 15),
(68040, NULL, 'PTHR11654:SF462', NULL, NULL, NULL, NULL, 'DIPEPTIDE AND TRIPEPTIDE PERMEASE C', NULL, NULL, NULL, 15),
(68041, NULL, 'PTHR35329', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE EXPORT CHAPERONE', NULL, NULL, 20870, 15),
(68042, NULL, 'PTHR32467:SF122', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(68043, NULL, 'PTHR24222:SF53', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 15', NULL, NULL, NULL, 15),
(68044, NULL, 'PTHR46157', NULL, NULL, NULL, NULL, 'K(+) EFFLUX ANTIPORTER 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(68045, NULL, 'PTHR46450:SF16', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUVR2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(68046, NULL, 'PTHR16288:SF0', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(7)-)-METHYLTRANSFERASE NON-CATALYTIC SUBUNIT WDR4', NULL, NULL, NULL, 15),
(68047, NULL, 'PTHR12854:SF13', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 3', NULL, NULL, NULL, 15),
(68048, NULL, 'PTHR23333:SF25', NULL, NULL, NULL, NULL, 'OS06G0634600 PROTEIN', NULL, NULL, NULL, 15),
(68049, NULL, 'PTHR31561:SF99', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 4', NULL, NULL, NULL, 15),
(68050, NULL, 'PTHR35257', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 82', NULL, NULL, 24849, 15),
(68051, NULL, 'PTHR34257', NULL, NULL, NULL, NULL, 'ADAPTER PROTEIN CIKS', NULL, NULL, NULL, 15),
(68052, NULL, 'PTHR24255:SF18', NULL, NULL, NULL, NULL, 'COMPLEMENT C1S SUBCOMPONENT', NULL, NULL, 31417, 15),
(68053, NULL, 'PTHR24282:SF114', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(68054, NULL, 'PTHR10438:SF433', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CXXS1', NULL, NULL, NULL, 15),
(68055, NULL, 'PTHR46003:SF2', NULL, NULL, NULL, NULL, 'HOST CELL FACTOR 2', NULL, NULL, 35980, 15),
(68056, NULL, 'PTHR11024:SF18', NULL, NULL, NULL, NULL, 'BNAA05G12310D PROTEIN', NULL, NULL, NULL, 15),
(68057, NULL, 'PTHR31213:SF145', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE 2-LIKE', NULL, NULL, NULL, 15),
(68058, NULL, 'PTHR34413:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68059, NULL, 'PTHR33044:SF154', NULL, NULL, NULL, NULL, 'BNAA09G44640D PROTEIN', NULL, NULL, NULL, 15),
(68060, NULL, 'PTHR10641:SF1279', NULL, NULL, NULL, NULL, 'BNAC03G17390D PROTEIN', NULL, NULL, NULL, 15),
(68061, NULL, 'PTHR10887:SF433', NULL, NULL, NULL, NULL, 'DNA REPLICATION ATP-DEPENDENT HELICASE/NUCLEASE DNA2', NULL, NULL, 26129, 15),
(68062, NULL, 'PTHR31852:SF123', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOPROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(68063, NULL, 'PTHR36386:SF1', NULL, NULL, NULL, NULL, 'OS06G0683900 PROTEIN', NULL, NULL, NULL, 15),
(68064, NULL, 'PTHR11092:SF2', NULL, NULL, NULL, NULL, 'BNAA06G40070D PROTEIN', NULL, NULL, NULL, 15),
(68065, NULL, 'PTHR23130:SF86', NULL, NULL, NULL, NULL, 'OS05G0556400 PROTEIN', NULL, NULL, NULL, 15),
(68066, NULL, 'PTHR11624', NULL, NULL, NULL, NULL, 'DEHYDROGENASE RELATED', NULL, NULL, 23343, 15),
(68067, NULL, 'PTHR45624:SF12', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARNITINE/ACYLCARNITINE CARRIER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(68068, NULL, 'PTHR43427', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-E', NULL, NULL, NULL, 15),
(68069, NULL, 'PTHR46606:SF2', NULL, NULL, NULL, NULL, 'SHOOTIN-1', NULL, NULL, NULL, 15),
(68070, NULL, 'PTHR11208:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68071, NULL, 'PTHR31113:SF2', NULL, NULL, NULL, NULL, 'OS04G0423200 PROTEIN', NULL, NULL, NULL, 15),
(68072, NULL, 'PTHR31509:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68073, NULL, 'PTHR21261:SF5', NULL, NULL, NULL, NULL, 'BEAT-VA, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(68074, NULL, 'PTHR24183', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE 3 AND ANKYRIN REPEAT DOMAINS PROTEIN 1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68075, NULL, 'PTHR31734:SF202', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(68076, NULL, 'PTHR43884:SF32', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE YDBM-RELATED', NULL, NULL, NULL, 15),
(68077, NULL, 'PTHR11709:SF362', NULL, NULL, NULL, NULL, 'LACCASE-14', NULL, NULL, NULL, 15),
(68078, NULL, 'PTHR40980:SF6', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR', NULL, NULL, NULL, 15),
(68079, NULL, 'PTHR14069', NULL, NULL, NULL, NULL, 'FILENSIN', NULL, NULL, 39351, 15),
(68080, NULL, 'PTHR20863:SF37', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(68081, NULL, 'PTHR31414:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68082, NULL, 'PTHR43173:SF16', NULL, NULL, NULL, NULL, 'ALPHA 1,3 GLUCANASE, GH71 FAMILY (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(68083, NULL, 'PTHR47992:SF46', NULL, NULL, NULL, NULL, 'BNACNNG24960D PROTEIN', NULL, NULL, NULL, 15),
(68084, NULL, 'PTHR31443:SF2', NULL, NULL, NULL, NULL, 'ZGC:153675', NULL, NULL, NULL, 15),
(68085, NULL, 'PTHR43243:SF58', NULL, NULL, NULL, NULL, 'TORN AND DIMINISHED RHABDOMERES, ISOFORM D', NULL, NULL, NULL, 15),
(68086, NULL, 'PTHR12203:SF21', NULL, NULL, NULL, NULL, 'PROTEIN O-GLUCOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(68087, NULL, 'PTHR12993:SF11', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYL-PHOSPHATIDYLINOSITOL DE-N-ACETYLASE', NULL, NULL, 35595, 15),
(68088, NULL, 'PTHR48016:SF4', NULL, NULL, NULL, NULL, 'MAP3K EPSILON PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(68089, NULL, 'PTHR45842:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(68090, NULL, 'PTHR10885:SF5', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE 1', NULL, NULL, NULL, 15),
(68091, NULL, 'PTHR24033:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68092, NULL, 'PTHR28067', NULL, NULL, NULL, NULL, 'DNA REPLICATION REGULATOR SLD3', NULL, NULL, 37846, 15),
(68093, NULL, 'PTHR48002:SF128', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C6', NULL, NULL, NULL, 15),
(68094, NULL, 'PTHR26454:SF16', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2AP1', NULL, NULL, NULL, 15),
(68095, NULL, 'PTHR12411:SF558', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68096, NULL, 'PTHR11260:SF519', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U25-LIKE', NULL, NULL, NULL, 15),
(68097, NULL, 'PTHR12482:SF46', NULL, NULL, NULL, NULL, 'OS11G0167500 PROTEIN', NULL, NULL, NULL, 15),
(68098, NULL, 'PTHR10366:SF633', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68099, NULL, 'PTHR10497:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', NULL, NULL, NULL, 15),
(68100, NULL, 'PTHR23024:SF340', NULL, NULL, NULL, NULL, 'NEUTRAL CHOLESTEROL ESTER HYDROLASE HOMOLOG', NULL, NULL, NULL, 15),
(68101, NULL, 'PTHR18966:SF433', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(68102, NULL, 'PTHR30295:SF9', NULL, NULL, NULL, NULL, 'BACTERIOFERRITIN', NULL, NULL, NULL, 15),
(68103, NULL, 'PTHR10131:SF127', NULL, NULL, NULL, NULL, 'RE66324P', NULL, NULL, NULL, 15),
(68104, NULL, 'PTHR32343:SF37', NULL, NULL, NULL, NULL, 'BINDING PARTNER OF ACD11 1', NULL, NULL, NULL, 15),
(68105, NULL, 'PTHR43490:SF97', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68106, NULL, 'PTHR13602:SF2', NULL, NULL, NULL, NULL, 'UPF0488 PROTEIN C8ORF33', NULL, NULL, NULL, 15),
(68107, NULL, 'PTHR47999:SF38', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', NULL, NULL, NULL, 15),
(68108, NULL, 'PTHR24414:SF154', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT SKIP6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(68109, NULL, 'PTHR24124:SF5', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR ZETA', NULL, NULL, NULL, 15),
(68110, NULL, 'PTHR23206:SF4', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND KH DOMAIN-CONTAINING 1', NULL, NULL, NULL, 15),
(68111, NULL, 'PTHR48077:SF7', NULL, NULL, NULL, NULL, 'BNAA04G27890D PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68112, NULL, 'PTHR46713:SF4', NULL, NULL, NULL, NULL, 'UBA/UBX DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(68113, NULL, 'PTHR46128:SF224', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(68114, NULL, 'PTHR42254', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68115, NULL, 'PTHR11905:SF120', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 1A', NULL, NULL, NULL, 15),
(68116, NULL, 'PTHR10615:SF161', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(68117, NULL, 'PTHR33463:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68118, NULL, 'PTHR10288:SF234', NULL, NULL, NULL, NULL, 'FAR UPSTREAM ELEMENT-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(68119, NULL, 'PTHR32023', NULL, NULL, NULL, NULL, 'PILR ALPHA-ASSOCIATED NEURAL PROTEIN', NULL, NULL, 29434, 15),
(68120, NULL, 'PTHR46101:SF8', NULL, NULL, NULL, NULL, 'SERINE DECARBOXYLASE 2', NULL, NULL, NULL, 15),
(68121, NULL, 'PTHR31680:SF10', NULL, NULL, NULL, NULL, 'PROTEIN LONGIFOLIA 1', NULL, NULL, NULL, 15),
(68122, NULL, 'PTHR13693:SF57', NULL, NULL, NULL, NULL, '5-AMINOLEVULINATE SYNTHASE', NULL, NULL, NULL, 15),
(68123, NULL, 'PTHR14102:SF9', NULL, NULL, NULL, NULL, 'PARTITIONING DEFECTIVE 6 HOMOLOG ALPHA', NULL, NULL, 33329, 15),
(68124, NULL, 'PTHR23147:SF181', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(68125, NULL, 'PTHR43358:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(68126, NULL, 'PTHR45875', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE N6AMT1', NULL, NULL, NULL, 15),
(68127, NULL, 'PTHR33110:SF36', NULL, NULL, NULL, NULL, 'OS02G0671100 PROTEIN', NULL, NULL, NULL, 15),
(68128, NULL, 'PTHR23382:SF20', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE [NADP], CHLOROPLASTIC', NULL, NULL, NULL, 15),
(68129, NULL, 'PTHR12121:SF31', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(68130, NULL, 'PTHR10489:SF649', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 3', NULL, NULL, NULL, 15),
(68131, NULL, 'PTHR34684:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68132, NULL, 'PTHR33531:SF9', NULL, NULL, NULL, NULL, 'BLR7895 PROTEIN', NULL, NULL, NULL, 15),
(68133, NULL, 'PTHR42844:SF7', NULL, NULL, NULL, NULL, '7,8-DIHYDRONEOPTERIN ALDOLASE', NULL, NULL, NULL, 15),
(68134, NULL, 'PTHR14303', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA SUBUNIT 4', NULL, NULL, 6423, 15),
(68135, NULL, 'PTHR31407:SF4', NULL, NULL, NULL, NULL, 'PSBP-LIKE PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(68136, NULL, 'PTHR35508:SF4', NULL, NULL, NULL, NULL, 'BNAC02G06670D PROTEIN', NULL, NULL, NULL, 15),
(68137, NULL, 'PTHR20961:SF26', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(68138, NULL, 'PTHR37337', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING GLUTAMATE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(68139, NULL, 'PTHR12004:SF13', NULL, NULL, NULL, NULL, 'PRORELAXIN H2', NULL, NULL, NULL, 15),
(68140, NULL, 'PTHR47643', NULL, NULL, NULL, NULL, 'TPR DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G12710)', NULL, NULL, NULL, 15),
(68141, NULL, 'PTHR32468:SF67', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 6B', NULL, NULL, NULL, 15),
(68142, NULL, 'PTHR33202:SF21', NULL, NULL, NULL, NULL, 'FERRIC UPTAKE REGULATION PROTEIN', NULL, NULL, NULL, 15),
(68143, NULL, 'PTHR13047', NULL, NULL, NULL, NULL, 'PRE-MRNA CLEAVAGE FACTOR IM, 25KD SUBUNIT', NULL, NULL, 21000, 15),
(68144, NULL, 'PTHR23257:SF830', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68145, NULL, 'PTHR46080:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(68146, NULL, 'PTHR24376:SF48', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 484', NULL, NULL, NULL, 15),
(68147, NULL, 'PTHR10335:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG15334', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68148, NULL, 'PTHR13817:SF74', NULL, NULL, NULL, NULL, 'ALPHA-KINASE 3A', NULL, NULL, NULL, 15),
(68149, NULL, 'PTHR34228:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG09452', NULL, NULL, NULL, 15),
(68150, NULL, 'PTHR47033:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-M', NULL, NULL, NULL, 15),
(68151, NULL, 'PTHR11119:SF104', NULL, NULL, NULL, NULL, 'XANTHINE/URACIL/VITAMIN C PERMEASE-RELATED', NULL, NULL, NULL, 15),
(68152, NULL, 'PTHR46425:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR RHO', NULL, NULL, NULL, 15),
(68153, NULL, 'PTHR11206:SF423', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(68154, NULL, 'PTHR14738:SF35', NULL, NULL, NULL, NULL, 'OS08G0504600 PROTEIN', NULL, NULL, NULL, 15),
(68155, NULL, 'PTHR33558:SF2', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN C5ORF63', NULL, NULL, NULL, 15),
(68156, NULL, 'PTHR24381:SF249', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 660', NULL, NULL, NULL, 15),
(68157, NULL, 'PTHR47928:SF47', NULL, NULL, NULL, NULL, 'OS11G0114800 PROTEIN', NULL, NULL, NULL, 15),
(68158, NULL, 'PTHR11732:SF455', NULL, NULL, NULL, NULL, 'D-GALACTURONATE REDUCTASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(68159, NULL, 'PTHR24253:SF114', NULL, NULL, NULL, NULL, 'CORIN, ISOFORM B', NULL, NULL, NULL, 15),
(68160, NULL, 'PTHR31382:SF3', NULL, NULL, NULL, NULL, 'SODIUM ION/PROTON EXCHANGER (EUROFUNG)', NULL, NULL, NULL, 15),
(68161, NULL, 'PTHR33207', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68162, NULL, 'PTHR33429:SF31', NULL, NULL, NULL, NULL, 'OS05G0417700 PROTEIN', NULL, NULL, NULL, 15),
(68163, NULL, 'PTHR11247:SF56', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(68164, NULL, 'PTHR36393', NULL, NULL, NULL, NULL, 'SULFATE ADENYLYLTRANSFERASE SUBUNIT', NULL, NULL, NULL, 15),
(68165, NULL, 'PTHR14614:SF94', NULL, NULL, NULL, NULL, 'RIBOSOMAL LYSINE N-METHYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(68166, NULL, 'PTHR45752:SF108', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE', NULL, NULL, NULL, 15),
(68167, NULL, 'PTHR15710:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68168, NULL, 'PTHR10201:SF237', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-28', NULL, NULL, NULL, 15),
(68169, NULL, 'PTHR10891:SF839', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(68170, NULL, 'PTHR36791', NULL, NULL, NULL, NULL, 'OS03G0363400 PROTEIN', NULL, NULL, NULL, 15),
(68171, NULL, 'PTHR31343:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68172, NULL, 'PTHR28664:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68173, NULL, 'PTHR42851', NULL, NULL, NULL, NULL, 'ALDOLASE-RELATED', NULL, NULL, NULL, 15),
(68174, NULL, 'PTHR16434:SF2', NULL, NULL, NULL, NULL, 'EWING''S TUMOR-ASSOCIATED ANTIGEN 1', NULL, NULL, NULL, 15),
(68175, NULL, 'PTHR43689:SF44', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68176, NULL, 'PTHR45613:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68177, NULL, 'PTHR31087:SF94', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(68178, NULL, 'PTHR42799:SF18', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(68179, NULL, 'PTHR10791:SF137', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(68180, NULL, 'PTHR11472:SF61', NULL, NULL, NULL, NULL, 'REGULATOR OF TELOMERE ELONGATION HELICASE 1', NULL, NULL, NULL, 15),
(68181, NULL, 'PTHR10992:SF1032', NULL, NULL, NULL, NULL, 'METHYLESTERASE 17', NULL, NULL, NULL, 15),
(68182, NULL, 'PTHR47992:SF103', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 65-RELATED', NULL, NULL, NULL, 15),
(68183, NULL, 'PTHR11038:SF22', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM10-LIKE', NULL, NULL, NULL, 15),
(68184, NULL, 'PTHR21716:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 245', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68185, NULL, 'PTHR31550:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68186, NULL, 'PTHR33181:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68187, NULL, 'PTHR10527:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68188, NULL, 'PTHR13326:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68189, NULL, 'PTHR46162:SF36', NULL, NULL, NULL, NULL, 'BNAA06G39530D PROTEIN', NULL, NULL, NULL, 15),
(68190, NULL, 'PTHR27006:SF388', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', NULL, NULL, NULL, 15),
(68191, NULL, 'PTHR43142:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68192, NULL, 'PTHR24028:SF68', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-11', NULL, NULL, NULL, 15),
(68193, NULL, 'PTHR27008:SF305', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(68194, NULL, 'PTHR24286:SF220', NULL, NULL, NULL, NULL, 'ABSCISIC ACID 8''-HYDROXYLASE 2', NULL, NULL, NULL, 15),
(68195, NULL, 'PTHR24240:SF153', NULL, NULL, NULL, NULL, 'GREEN-SENSITIVE OPSIN', NULL, NULL, NULL, 15),
(68196, NULL, 'PTHR34287:SF14', NULL, NULL, NULL, NULL, 'BNAA08G05640D PROTEIN', NULL, NULL, NULL, 15),
(68197, NULL, 'PTHR46578:SF1', NULL, NULL, NULL, NULL, 'ARM-REPEAT/TETRATRICOPEPTIDE REPEAT (TPR)-LIKE PROTEIN', NULL, NULL, NULL, 15),
(68198, NULL, 'PTHR19134:SF203', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE F', NULL, NULL, NULL, 15),
(68199, NULL, 'PTHR47908:SF2', NULL, NULL, NULL, NULL, 'TPR REPEAT', NULL, NULL, NULL, 15),
(68200, NULL, 'PTHR14096', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L', NULL, NULL, 8882, 15),
(68201, NULL, 'PTHR11183:SF44', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE:XYLAN ALPHA-GLUCURONOSYLTRANSFERASE 2', NULL, NULL, 24280, 15),
(68202, NULL, 'PTHR36514:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG00436', NULL, NULL, NULL, 15),
(68203, NULL, 'PTHR23073:SF108', NULL, NULL, NULL, NULL, 'BNAA02G17210D PROTEIN', NULL, NULL, NULL, 15),
(68204, NULL, 'PTHR43329:SF17', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 1', NULL, NULL, NULL, 15),
(68205, NULL, 'PTHR31142:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68206, NULL, 'PTHR13681:SF27', NULL, NULL, NULL, NULL, 'SURVIVAL MOTOR NEURON PROTEIN', NULL, NULL, NULL, 15),
(68207, NULL, 'PTHR35806:SF1', NULL, NULL, NULL, NULL, 'OXALOACETATE DECARBOXYLASE BETA CHAIN 2', NULL, NULL, NULL, 15),
(68208, NULL, 'PTHR32285:SF183', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 26', NULL, NULL, NULL, 15),
(68209, NULL, 'PTHR31953:SF86', NULL, NULL, NULL, NULL, 'BNAC05G39500D PROTEIN', NULL, NULL, NULL, 15),
(68210, NULL, 'PTHR47932:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68211, NULL, 'PTHR11654:SF111', NULL, NULL, NULL, NULL, 'OS01G0761400 PROTEIN', NULL, NULL, NULL, 15),
(68212, NULL, 'PTHR24012:SF732', NULL, NULL, NULL, NULL, 'RE50839P', NULL, NULL, NULL, 15),
(68213, NULL, 'PTHR24349:SF331', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(68214, NULL, 'PTHR33514:SF7', NULL, NULL, NULL, NULL, 'HMP/THIAMINE PERMEASE PROTEIN YKOC-RELATED', NULL, NULL, NULL, 15),
(68215, NULL, 'PTHR26453:SF122', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(68216, NULL, 'PTHR44668', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68217, NULL, 'PTHR11552:SF216', NULL, NULL, NULL, NULL, 'GLUCOSE DEHYDROGENASE [FAD, QUINONE]-LIKE PROTEIN', NULL, NULL, NULL, 15),
(68218, NULL, 'PTHR19308:SF38', NULL, NULL, NULL, NULL, 'PROTEIN CP5, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(68219, NULL, 'PTHR24058:SF35', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TYROSINE-PHOSPHORYLATION-REGULATED KINASE 3', NULL, NULL, NULL, 15),
(68220, NULL, 'PTHR45089:SF29', NULL, NULL, NULL, NULL, 'BNAA05G31000D PROTEIN', NULL, NULL, NULL, 15),
(68221, NULL, 'PTHR47598:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP17-3, CHLOROPLASTIC', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68222, NULL, 'PTHR37739:SF7', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12E', NULL, NULL, NULL, 15),
(68223, NULL, 'PTHR24085:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR HR38-RELATED', NULL, NULL, NULL, 15),
(68224, NULL, 'PTHR11615:SF319', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1F2', NULL, NULL, NULL, 15),
(68225, NULL, 'PTHR28067:SF1', NULL, NULL, NULL, NULL, 'DNA REPLICATION REGULATOR SLD3', NULL, NULL, NULL, 15),
(68226, NULL, 'PTHR45946:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D1', NULL, NULL, NULL, 15),
(68227, NULL, 'PTHR39229:SF1', NULL, NULL, NULL, NULL, 'MCG1037962', NULL, NULL, NULL, 15),
(68228, NULL, 'PTHR47223:SF1', NULL, NULL, NULL, NULL, 'SPERM ACROSOME MEMBRANE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(68229, NULL, 'PTHR31677:SF48', NULL, NULL, NULL, NULL, 'OSJNBA0085I10.10 PROTEIN', NULL, NULL, NULL, 15),
(68230, NULL, 'PTHR16223:SF62', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR PTF1', NULL, NULL, NULL, 15),
(68231, NULL, 'PTHR31472:SF31', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68232, NULL, 'PTHR31150:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(68233, NULL, 'PTHR34801:SF3', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(68234, NULL, 'PTHR42908:SF28', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION ELONGATION FACTOR 2,-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(68235, NULL, 'PTHR11439:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68236, NULL, 'PTHR12196:SF2', NULL, NULL, NULL, NULL, 'DIPHTHINE--AMMONIA LIGASE', NULL, NULL, NULL, 15),
(68237, NULL, 'PTHR11453:SF14', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN 2', NULL, NULL, 7350, 15),
(68238, NULL, 'PTHR10484:SF0', NULL, NULL, NULL, NULL, 'HISTONE H4 TYPE VIII', NULL, NULL, NULL, 15),
(68239, NULL, 'PTHR31009:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68240, NULL, 'PTHR31650:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68241, NULL, 'PTHR39267:SF1', NULL, NULL, NULL, NULL, 'SURVIVAL MOTOR NEURON-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(68242, NULL, 'PTHR13009:SF15', NULL, NULL, NULL, NULL, 'HSP90 CO-CHAPERONE HCH1', NULL, NULL, NULL, 15),
(68243, NULL, 'PTHR10183:SF382', NULL, NULL, NULL, NULL, 'CALPAIN-15', NULL, NULL, NULL, 15),
(68244, NULL, 'PTHR27005:SF241', NULL, NULL, NULL, NULL, 'OS10G0174548 PROTEIN', NULL, NULL, NULL, 15),
(68245, NULL, 'PTHR15852:SF27', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE LQY1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(68246, NULL, 'PTHR34223:SF47', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(68247, NULL, 'PTHR30425:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YQGH-RELATED', NULL, NULL, NULL, 15),
(68248, NULL, 'PTHR48062:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68249, NULL, 'PTHR34688:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(68250, NULL, 'PTHR30614:SF42', NULL, NULL, NULL, NULL, 'GLUTAMATE/ASPARTATE IMPORT PERMEASE PROTEIN GLTJ', NULL, NULL, 27788, 15),
(68251, NULL, 'PTHR12510:SF16', NULL, NULL, NULL, NULL, 'BNACNNG06060D PROTEIN', NULL, NULL, NULL, 15),
(68252, NULL, 'PTHR13018:SF96', NULL, NULL, NULL, NULL, 'OS05G0393800 PROTEIN', NULL, NULL, NULL, 15),
(68253, NULL, 'PTHR44920:SF2', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN', NULL, NULL, NULL, 15),
(68254, NULL, 'PTHR12490:SF4', NULL, NULL, NULL, NULL, 'GSK3B-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(68255, NULL, 'PTHR31351', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 29819, 15),
(68256, NULL, 'PTHR12483:SF71', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN CTR1', NULL, NULL, NULL, 15),
(68257, NULL, 'PTHR11984:SF9', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-10 PROTEIN', NULL, NULL, NULL, 15),
(68258, NULL, 'PTHR11709:SF276', NULL, NULL, NULL, NULL, 'LACCASE-5-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68259, NULL, 'PTHR14152:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68260, NULL, 'PTHR36755', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(68261, NULL, 'PTHR21700:SF12', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(68262, NULL, 'PTHR45861:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE ALPHA CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(68263, NULL, 'PTHR28297:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68264, NULL, 'PTHR15854:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11199', NULL, NULL, NULL, 15),
(68265, NULL, 'PTHR30615:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68266, NULL, 'PTHR31194:SF12', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WIN1-LIKE', NULL, NULL, NULL, 15),
(68267, NULL, 'PTHR47999:SF52', NULL, NULL, NULL, NULL, 'OS11G0180900 PROTEIN', NULL, NULL, NULL, 15),
(68268, NULL, 'PTHR10366:SF626', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(68269, NULL, 'PTHR10554:SF3', NULL, NULL, NULL, NULL, 'GAMMA-2-SYNTROPHIN', NULL, NULL, NULL, 15),
(68270, NULL, 'PTHR46264:SF4', NULL, NULL, NULL, NULL, 'TYROSINE-TRNA LIGASE', NULL, NULL, NULL, 15),
(68271, NULL, 'PTHR43377:SF2', NULL, NULL, NULL, NULL, 'ZGC:154075', NULL, NULL, NULL, 15),
(68272, NULL, 'PTHR43584:SF6', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMATE ALPHA-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(68273, NULL, 'PTHR31342:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68274, NULL, 'PTHR31009:SF131', NULL, NULL, NULL, NULL, '7-METHYLXANTHOSINE SYNTHASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(68275, NULL, 'PTHR33312', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 4-RELATED', NULL, NULL, 29212, 15),
(68276, NULL, 'PTHR31500:SF81', NULL, NULL, NULL, NULL, 'BNAA09G12490D PROTEIN', NULL, NULL, NULL, 15),
(68277, NULL, 'PTHR10857:SF116', NULL, NULL, NULL, NULL, 'PROTEIN BONZAI 2', NULL, NULL, 24776, 15),
(68278, NULL, 'PTHR13848:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE CG15309', NULL, NULL, NULL, 15),
(68279, NULL, 'PTHR31228:SF30', NULL, NULL, NULL, NULL, 'BNAA05G20510D PROTEIN', NULL, NULL, NULL, 15),
(68280, NULL, 'PTHR24232:SF99', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR II (THROMBIN) RECEPTOR-LIKE 1', NULL, NULL, NULL, 15),
(68281, NULL, 'PTHR13555:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER C2HC DOMAIN-CONTAINING PROTEIN 1A', NULL, NULL, NULL, 15),
(68282, NULL, 'PTHR13935:SF66', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE HOMOLOG 1', NULL, NULL, NULL, 15),
(68283, NULL, 'PTHR22943:SF111', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(68284, NULL, 'PTHR10177:SF202', NULL, NULL, NULL, NULL, 'CYCLIN-SDS', NULL, NULL, NULL, 15),
(68285, NULL, 'PTHR22957:SF194', NULL, NULL, NULL, NULL, 'SMALL G PROTEIN SIGNALING MODULATOR 2', NULL, NULL, NULL, 15),
(68286, NULL, 'PTHR14155:SF583', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL11', NULL, NULL, NULL, 15),
(68287, NULL, 'PTHR31221:SF196', NULL, NULL, NULL, NULL, 'BNAC02G40180D PROTEIN', NULL, NULL, NULL, 15),
(68288, NULL, 'PTHR31867:SF124', NULL, NULL, NULL, NULL, 'EXPANSIN-A12', NULL, NULL, NULL, 15),
(68289, NULL, 'PTHR34405:SF3', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDORIBONUCLEASE CAS2 3', NULL, NULL, NULL, 15),
(68290, NULL, 'PTHR22943:SF38', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(68291, NULL, 'PTHR12901:SF14', NULL, NULL, NULL, NULL, 'COENZYME Q-BINDING PROTEIN COQ10 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(68292, NULL, 'PTHR11311:SF12', NULL, NULL, NULL, NULL, 'SPONDIN 2A, EXTRACELLULAR MATRIX PROTEIN', NULL, NULL, NULL, 15),
(68293, NULL, 'PTHR48018:SF103', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 901', NULL, NULL, NULL, 15),
(68294, NULL, 'PTHR46438:SF7', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(68295, NULL, 'PTHR11709:SF415', NULL, NULL, NULL, NULL, 'LACCASE-3', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68296, NULL, 'PTHR37214:SF2', NULL, NULL, NULL, NULL, 'CYTOMEGALOVIRUS UL139 PROTEIN', NULL, NULL, NULL, 15),
(68297, NULL, 'PTHR26450:SF64', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(68298, NULL, 'PTHR33248:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68299, NULL, 'PTHR31384:SF9', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 19', NULL, NULL, NULL, 15),
(68300, NULL, 'PTHR46668:SF4', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR5', NULL, NULL, NULL, 15),
(68301, NULL, 'PTHR45811:SF36', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(68302, NULL, 'PTHR11926:SF1353', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(68303, NULL, 'PTHR11851:SF212', NULL, NULL, NULL, NULL, 'BNAC03G78020D PROTEIN', NULL, NULL, NULL, 15),
(68304, NULL, 'PTHR40763', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68305, NULL, 'PTHR10334:SF456', NULL, NULL, NULL, NULL, 'AT04879P-RELATED', NULL, NULL, NULL, 15),
(68306, NULL, 'PTHR46012:SF1', NULL, NULL, NULL, NULL, 'GLUCOSIDE XYLOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(68307, NULL, 'PTHR11614:SF118', NULL, NULL, NULL, NULL, 'BLL3777 PROTEIN', NULL, NULL, NULL, 15),
(68308, NULL, 'PTHR24247:SF223', NULL, NULL, NULL, NULL, 'HISTAMINE H1 RECEPTOR', NULL, NULL, NULL, 15),
(68309, NULL, 'PTHR23180:SF405', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD1', NULL, NULL, NULL, 15),
(68310, NULL, 'PTHR24103:SF600', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 64-RELATED', NULL, NULL, NULL, 15),
(68311, NULL, 'PTHR10709', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 1', NULL, NULL, 18268, 15),
(68312, NULL, 'PTHR33065:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68313, NULL, 'PTHR46128:SF118', NULL, NULL, NULL, NULL, 'BNAA02G19980D PROTEIN', NULL, NULL, NULL, 15),
(68314, NULL, 'PTHR43349:SF82', NULL, NULL, NULL, NULL, 'HYPOTHETICAL OXIDOREDUCTASE (EUROFUNG)', NULL, NULL, NULL, 15),
(68315, NULL, 'PTHR33772:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TBATA', NULL, NULL, NULL, 15),
(68316, NULL, 'PTHR10165:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE-RELATED PROTEIN TYPE 4', NULL, NULL, 23763, 15),
(68317, NULL, 'PTHR33924:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(68318, NULL, 'PTHR24155', NULL, NULL, NULL, NULL, 'OSTEOCLAST-STIMULATING FACTOR 1', NULL, NULL, NULL, 15),
(68319, NULL, 'PTHR12296:SF16', NULL, NULL, NULL, NULL, 'C-MYC PROMOTER-BINDING PROTEIN', NULL, NULL, NULL, 15),
(68320, NULL, 'PTHR24393:SF78', NULL, NULL, NULL, NULL, 'LD32088P-RELATED', NULL, NULL, NULL, 15),
(68321, NULL, 'PTHR22945:SF86', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)-RELATED', NULL, NULL, NULL, 15),
(68322, NULL, 'PTHR44307:SF16', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(68323, NULL, 'PTHR34473:SF2', NULL, NULL, NULL, NULL, 'UPF0699 TRANSMEMBRANE PROTEIN YDBS', NULL, NULL, NULL, 15),
(68324, NULL, 'PTHR45688', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68325, NULL, 'PTHR14215:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION REGULATOR 1-LIKE', NULL, NULL, NULL, 15),
(68326, NULL, 'PTHR36800:SF1', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1-BINDING PROTEIN', NULL, NULL, NULL, 15),
(68327, NULL, 'PTHR37219', NULL, NULL, NULL, NULL, 'PROTEIN PALE CRESS, CHLOROPLASTIC', NULL, NULL, 131, 15),
(68328, NULL, 'PTHR11733:SF201', NULL, NULL, NULL, NULL, 'KELL METALLO-ENDOPEPTIDASE (KELL BLOOD GROUP)', NULL, NULL, NULL, 15),
(68329, NULL, 'PTHR13683:SF798', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED3-LIKE', NULL, NULL, NULL, 15),
(68330, NULL, 'PTHR31744:SF70', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 19-LIKE', NULL, NULL, NULL, 15),
(68331, NULL, 'PTHR31897:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG17011', NULL, NULL, NULL, 15),
(68332, NULL, 'PTHR15711:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68333, NULL, 'PTHR10693:SF55', NULL, NULL, NULL, NULL, 'OS07G0603100 PROTEIN', NULL, NULL, NULL, 15),
(68334, NULL, 'PTHR45161', NULL, NULL, NULL, NULL, 'CYTOSKELETON-ASSOCIATED PROTEIN 4', NULL, NULL, 28691, 15),
(68335, NULL, 'PTHR19423:SF2', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR REI-1', NULL, NULL, NULL, 15),
(68336, NULL, 'PTHR11937:SF387', NULL, NULL, NULL, NULL, 'ACTIN-5C-RELATED', NULL, NULL, NULL, 15),
(68337, NULL, 'PTHR12802:SF20', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN G', NULL, NULL, NULL, 15),
(68338, NULL, 'PTHR43329:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68339, NULL, 'PTHR33203:SF46', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(68340, NULL, 'PTHR22754:SF32', NULL, NULL, NULL, NULL, 'DISCO-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(68341, NULL, 'PTHR43386:SF14', NULL, NULL, NULL, NULL, 'D,D-DIPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN DDPC-RELATED', NULL, NULL, NULL, 15),
(68342, NULL, 'PTHR33257:SF37', NULL, NULL, NULL, NULL, 'BNACNNG40650D PROTEIN', NULL, NULL, NULL, 15),
(68343, NULL, 'PTHR11814:SF106', NULL, NULL, NULL, NULL, 'BNAA04G05880D PROTEIN', NULL, NULL, 28679, 15),
(68344, NULL, 'PTHR45986:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER MATRIN-TYPE PROTEIN 2', NULL, NULL, NULL, 15),
(68345, NULL, 'PTHR47327', NULL, NULL, NULL, NULL, 'FI18240P1-RELATED', NULL, NULL, NULL, 15),
(68346, NULL, 'PTHR35361:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68347, NULL, 'PTHR43721:SF5', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(68348, NULL, 'PTHR24207', NULL, NULL, NULL, NULL, 'ZYX102 PROTEIN', NULL, NULL, NULL, 15),
(68349, NULL, 'PTHR33091:SF61', NULL, NULL, NULL, NULL, 'OS06G0319900 PROTEIN', NULL, NULL, NULL, 15),
(68350, NULL, 'PTHR45651:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68351, NULL, 'PTHR11437:SF55', NULL, NULL, NULL, NULL, 'AMPHINASE-4-LIKE', NULL, NULL, NULL, 15),
(68352, NULL, 'PTHR31494', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68353, NULL, 'PTHR48001:SF11', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(68354, NULL, 'PTHR10578:SF116', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO4-LIKE', NULL, NULL, NULL, 15),
(68355, NULL, 'PTHR24064:SF545', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-12-RELATED', NULL, NULL, NULL, 15),
(68356, NULL, 'PTHR12606:SF111', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 1B-RELATED', NULL, NULL, NULL, 15),
(68357, NULL, 'PTHR27009:SF151', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(68358, NULL, 'PTHR23192:SF75', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L3', NULL, NULL, NULL, 15),
(68359, NULL, 'PTHR22595:SF126', NULL, NULL, NULL, NULL, 'BNAC03G24360D PROTEIN', NULL, NULL, NULL, 15),
(68360, NULL, 'PTHR47995:SF22', NULL, NULL, NULL, NULL, 'BNAA05G10900D PROTEIN', NULL, NULL, NULL, 15),
(68361, NULL, 'PTHR31064:SF7', NULL, NULL, NULL, NULL, 'CATION TRANSPORTER HKT7-RELATED', NULL, NULL, NULL, 15),
(68362, NULL, 'PTHR30576:SF4', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-PHOSPHATE GALACTOSE PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(68363, NULL, 'PTHR19357:SF0', NULL, NULL, NULL, NULL, 'TRIGGERING RECEPTOR EXPRESSED ON MYELOID CELLS 1', NULL, NULL, 31385, 15),
(68364, NULL, 'PTHR47942:SF64', NULL, NULL, NULL, NULL, 'F21B23.6 PROTEIN', NULL, NULL, NULL, 15),
(68365, NULL, 'PTHR12673:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68366, NULL, 'PTHR27007:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68367, NULL, 'PTHR23155:SF1125', NULL, NULL, NULL, NULL, 'OS11G0550500 PROTEIN', NULL, NULL, NULL, 15),
(68368, NULL, 'PTHR45819:SF7', NULL, NULL, NULL, NULL, 'ARF-GAP WITH GTPASE, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(68369, NULL, 'PTHR46719:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68370, NULL, 'PTHR27007:SF160', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.4-LIKE', NULL, NULL, NULL, 15),
(68371, NULL, 'PTHR46112:SF3', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE YPDF', NULL, NULL, NULL, 15),
(68372, NULL, 'PTHR43625:SF50', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 2-RELATED', NULL, NULL, NULL, 15),
(68373, NULL, 'PTHR10612:SF45', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(68374, NULL, 'PTHR31087:SF63', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 10', NULL, NULL, NULL, 15),
(68375, NULL, 'PTHR42973:SF17', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14340)-RELATED', NULL, NULL, NULL, 15),
(68376, NULL, 'PTHR33149:SF30', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC REACTION CENTRE, L/M-RELATED', NULL, NULL, NULL, 15),
(68377, NULL, 'PTHR45675:SF50', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68378, NULL, 'PTHR12741:SF51', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 7-LIKE', NULL, NULL, NULL, 15),
(68379, NULL, 'PTHR10846:SF2', NULL, NULL, NULL, NULL, 'RE48874P', NULL, NULL, NULL, 15),
(68380, NULL, 'PTHR28142:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE I-AAA PROTEASE SUPERCOMPLEX SUBUNIT MGR3-RELATED', NULL, NULL, NULL, 15),
(68381, NULL, 'PTHR33098', NULL, NULL, NULL, NULL, 'COTTON FIBER (DUF761)', NULL, NULL, NULL, 15),
(68382, NULL, 'PTHR46128:SF65', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(68383, NULL, 'PTHR32481', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(68384, NULL, 'PTHR12929:SF10', NULL, NULL, NULL, NULL, 'RIBOFLAVIN TRANSPORTER RFT-2', NULL, NULL, NULL, 15),
(68385, NULL, 'PTHR11654:SF554', NULL, NULL, NULL, NULL, 'BNAC09G20910D PROTEIN', NULL, NULL, NULL, 15),
(68386, NULL, 'PTHR10732:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17-LIKE', NULL, NULL, NULL, 15),
(68387, NULL, 'PTHR31623:SF81', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', NULL, NULL, NULL, 15),
(68388, NULL, 'PTHR24388:SF66', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 521', NULL, NULL, NULL, 15),
(68389, NULL, 'PTHR22791:SF6', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN', NULL, NULL, NULL, 15),
(68390, NULL, 'PTHR31415:SF121', NULL, NULL, NULL, NULL, 'BNAANNG30660D PROTEIN', NULL, NULL, NULL, 15),
(68391, NULL, 'PTHR47928:SF5', NULL, NULL, NULL, NULL, 'OS02G0830000 PROTEIN', NULL, NULL, NULL, 15),
(68392, NULL, 'PTHR35175:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(68393, NULL, 'PTHR13386:SF1', NULL, NULL, NULL, NULL, 'HISTONE PARYLATION FACTOR 1', NULL, NULL, NULL, 15),
(68394, NULL, 'PTHR11384:SF61', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER D FAMILY MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(68395, NULL, 'PTHR24070:SF395', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAP-1A', NULL, NULL, NULL, 15),
(68396, NULL, 'PTHR31790:SF374', NULL, NULL, NULL, NULL, 'F-BOX/WD-40 REPEAT-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(68397, NULL, 'PTHR10671:SF84', NULL, NULL, NULL, NULL, 'LENS INTRINSIC MEMBRANE PROTEIN 2.4', NULL, NULL, NULL, 15),
(68398, NULL, 'PTHR11461:SF328', NULL, NULL, NULL, NULL, 'BNAA09G11360D PROTEIN', NULL, NULL, NULL, 15),
(68399, NULL, 'PTHR42898:SF52', NULL, NULL, NULL, NULL, 'BNAA04G17040D PROTEIN', NULL, NULL, NULL, 15),
(68400, NULL, 'PTHR47316:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN H1', NULL, NULL, NULL, 15),
(68401, NULL, 'PTHR43702:SF9', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G06630)-RELATED', NULL, NULL, NULL, 15),
(68402, NULL, 'PTHR48047:SF5', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 89C1-LIKE', NULL, NULL, NULL, 15),
(68403, NULL, 'PTHR24067:SF295', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 2', NULL, NULL, NULL, 15),
(68404, NULL, 'PTHR40124:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(68405, NULL, 'PTHR12271:SF113', NULL, NULL, NULL, NULL, 'POLY(A) RNA POLYMERASE CID11-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68406, NULL, 'PTHR13935:SF55', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE HOMOLOG 5', NULL, NULL, NULL, 15),
(68407, NULL, 'PTHR47459', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN-RELATED', NULL, NULL, NULL, 15),
(68408, NULL, 'PTHR45924', NULL, NULL, NULL, NULL, 'FI17866P1', NULL, NULL, NULL, 15),
(68409, NULL, 'PTHR11984:SF53', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', NULL, NULL, NULL, 15),
(68410, NULL, 'PTHR48005:SF37', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(68411, NULL, 'PTHR23115:SF267', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(68412, NULL, 'PTHR23036:SF21', NULL, NULL, NULL, NULL, 'CILIARY NEUROTROPHIC FACTOR RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(68413, NULL, 'PTHR11675:SF63', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(68414, NULL, 'PTHR46081:SF4', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE B4-RELATED', NULL, NULL, NULL, 15),
(68415, NULL, 'PTHR42252:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68416, NULL, 'PTHR10438:SF382', NULL, NULL, NULL, NULL, 'THIOREDOXIN F2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(68417, NULL, 'PTHR42683:SF18', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT ALCOHOL DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_6G00510)', NULL, NULL, NULL, 15),
(68418, NULL, 'PTHR26450:SF189', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52A4', NULL, NULL, NULL, 15),
(68419, NULL, 'PTHR11920:SF347', NULL, NULL, NULL, NULL, 'HEAT-STABLE ENTEROTOXIN RECEPTOR', NULL, NULL, NULL, 15),
(68420, NULL, 'PTHR11214:SF245', NULL, NULL, NULL, NULL, 'GALACTOSYLTRANSFERASE FAMILY-LIKE PROTEIN', NULL, NULL, NULL, 15),
(68421, NULL, 'PTHR11877:SF14', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE', NULL, NULL, NULL, 15),
(68422, NULL, 'PTHR24234', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 5/SPHINGOSYLPHOSPHORYLCHOLINE RECEPTOR', NULL, NULL, NULL, 15),
(68423, NULL, 'PTHR33107:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68424, NULL, 'PTHR31659:SF19', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF740)-RELATED', NULL, NULL, NULL, 15),
(68425, NULL, 'PTHR48053:SF56', NULL, NULL, NULL, NULL, 'BNAC04G43580D PROTEIN', NULL, NULL, NULL, 15),
(68426, NULL, 'PTHR35485:SF10', NULL, NULL, NULL, NULL, 'OS05G0417500 PROTEIN', NULL, NULL, NULL, 15),
(68427, NULL, 'PTHR14247:SF10', NULL, NULL, NULL, NULL, 'BREAST CANCER ANTI-ESTROGEN RESISTANCE PROTEIN 3', NULL, NULL, 24539, 15),
(68428, NULL, 'PTHR48217:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68429, NULL, 'PTHR43250:SF1', NULL, NULL, NULL, NULL, 'EXODEOXYRIBONUCLEASE III', NULL, NULL, NULL, 15),
(68430, NULL, 'PTHR10366:SF679', NULL, NULL, NULL, NULL, 'BNAC05G24140D PROTEIN', NULL, NULL, NULL, 15),
(68431, NULL, 'PTHR24068:SF371', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME/RWD-LIKE', NULL, NULL, NULL, 15),
(68432, NULL, 'PTHR14470:SF1', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(68433, NULL, 'PTHR40250:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 11 OPEN READING FRAME 96', NULL, NULL, NULL, 15),
(68434, NULL, 'PTHR23024:SF528', NULL, NULL, NULL, NULL, 'BNACNNG53200D PROTEIN', NULL, NULL, NULL, 15),
(68435, NULL, 'PTHR31314:SF116', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(68436, NULL, 'PTHR11709:SF332', NULL, NULL, NULL, NULL, 'LACCASE-2', NULL, NULL, NULL, 15),
(68437, NULL, 'PTHR10826:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68438, NULL, 'PTHR31717:SF57', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE', NULL, NULL, NULL, 15),
(68439, NULL, 'PTHR33699:SF25', NULL, NULL, NULL, NULL, 'OS06G0347300 PROTEIN', NULL, NULL, NULL, 15),
(68440, NULL, 'PTHR37835', NULL, NULL, NULL, NULL, 'ALPHA-CLOSTRIPAIN', NULL, NULL, 10043, 15),
(68441, NULL, 'PTHR15092:SF23', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68442, NULL, 'PTHR16083:SF11', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND CALPONIN HOMOLOGY DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(68443, NULL, 'PTHR13593:SF94', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(68444, NULL, 'PTHR13683:SF794', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(68445, NULL, 'PTHR22907:SF1', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(68446, NULL, 'PTHR28457:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 189', NULL, NULL, NULL, 15),
(68447, NULL, 'PTHR26453:SF329', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(68448, NULL, 'PTHR36700', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMR SUBUNIT CMR4', NULL, NULL, 9052, 15),
(68449, NULL, 'PTHR34075', NULL, NULL, NULL, NULL, 'BLR3430 PROTEIN', NULL, NULL, NULL, 15),
(68450, NULL, 'PTHR10551:SF28', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE-RELATED', NULL, NULL, NULL, 15),
(68451, NULL, 'PTHR37810:SF7', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68452, NULL, 'PTHR16092:SF28', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 1-RELATED', NULL, NULL, NULL, 15),
(68453, NULL, 'PTHR10901:SF5', NULL, NULL, NULL, NULL, 'LEIOMODIN-1', NULL, NULL, 27242, 15),
(68454, NULL, 'PTHR31852:SF22', NULL, NULL, NULL, NULL, 'OS05G0238400 PROTEIN', NULL, NULL, NULL, 15),
(68455, NULL, 'PTHR11390:SF20', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 3-BETA-1', NULL, NULL, NULL, 15),
(68456, NULL, 'PTHR33706', NULL, NULL, NULL, NULL, 'MORN VARIANT REPEAT PROTEIN', NULL, NULL, NULL, 15),
(68457, NULL, 'PTHR47319:SF4', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN KIC', NULL, NULL, NULL, 15),
(68458, NULL, 'PTHR37540:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68459, NULL, 'PTHR46604:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(68460, NULL, 'PTHR14149:SF14', NULL, NULL, NULL, NULL, 'PATTERNED EXPRESSION SITE', NULL, NULL, NULL, 15),
(68461, NULL, 'PTHR11394:SF23', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 14', NULL, NULL, NULL, 15),
(68462, NULL, 'PTHR12668:SF47', NULL, NULL, NULL, NULL, 'PROTEIN FATTY ACID EXPORT 7', NULL, NULL, NULL, 15),
(68463, NULL, 'PTHR21771', NULL, NULL, NULL, NULL, 'MITOCHONDRIA-EATING PROTEIN-RELATED', NULL, NULL, 26779, 15),
(68464, NULL, 'PTHR33828:SF1', NULL, NULL, NULL, NULL, 'OS05G0596200 PROTEIN', NULL, NULL, NULL, 15),
(68465, NULL, 'PTHR33098:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68466, NULL, 'PTHR11716:SF10', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PHOSPHOLIPASE A2', NULL, NULL, NULL, 15),
(68467, NULL, 'PTHR21101', NULL, NULL, NULL, NULL, 'RESISTIN', NULL, NULL, 12454, 15),
(68468, NULL, 'PTHR10381:SF50', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(68469, NULL, 'PTHR33285:SF28', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES-LIKE', NULL, NULL, NULL, 15),
(68470, NULL, 'PTHR10906:SF20', NULL, NULL, NULL, NULL, 'OS03G0692300 PROTEIN', NULL, NULL, NULL, 15),
(68471, NULL, 'PTHR11620:SF79', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A-RELATED', NULL, NULL, NULL, 15),
(68472, NULL, 'PTHR13462:SF41', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(68473, NULL, 'PTHR15228:SF22', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 22', NULL, NULL, NULL, 15),
(68474, NULL, 'PTHR19957:SF293', NULL, NULL, NULL, NULL, 'SYNTAXIN-32-LIKE', NULL, NULL, NULL, 15),
(68475, NULL, 'PTHR14110:SF9', NULL, NULL, NULL, NULL, 'IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM17/TIM22/TIM23 FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(68476, NULL, 'PTHR31929:SF82', NULL, NULL, NULL, NULL, 'BNAC02G34520D PROTEIN', NULL, NULL, NULL, 15),
(68477, NULL, 'PTHR45988:SF26', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT10-LIKE', NULL, NULL, NULL, 15),
(68478, NULL, 'PTHR31463:SF4', NULL, NULL, NULL, NULL, 'MACROPHAGE-EXPRESSED GENE 1 PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68479, NULL, 'PTHR10250:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68480, NULL, 'PTHR45619:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-4 CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(68481, NULL, 'PTHR31692:SF92', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE B1', NULL, NULL, NULL, 15),
(68482, NULL, 'PTHR34835:SF40', NULL, NULL, NULL, NULL, 'OS04G0377400 PROTEIN', NULL, NULL, NULL, 15),
(68483, NULL, 'PTHR31079:SF40', NULL, NULL, NULL, NULL, 'BNAA01G07600D PROTEIN', NULL, NULL, NULL, 15),
(68484, NULL, 'PTHR11662:SF437', NULL, NULL, NULL, NULL, 'GH23975P', NULL, NULL, NULL, 15),
(68485, NULL, 'PTHR11260:SF688', NULL, NULL, NULL, NULL, 'BNAC06G31020D PROTEIN', NULL, NULL, NULL, 15),
(68486, NULL, 'PTHR33057:SF169', NULL, NULL, NULL, NULL, 'OS03G0159400 PROTEIN', NULL, NULL, NULL, 15),
(68487, NULL, 'PTHR45648:SF72', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 22-RELATED', NULL, NULL, NULL, 15),
(68488, NULL, 'PTHR33155:SF35', NULL, NULL, NULL, NULL, 'OS03G0705800 PROTEIN', NULL, NULL, NULL, 15),
(68489, NULL, 'PTHR47481:SF3', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', NULL, NULL, NULL, 15),
(68490, NULL, 'PTHR10906:SF10', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT ALPHA ISOFORM 2', NULL, NULL, NULL, 15),
(68491, NULL, 'PTHR38650', NULL, NULL, NULL, NULL, 'KITA-KYUSHU LUNG CANCER ANTIGEN 1', NULL, NULL, 26402, 15),
(68492, NULL, 'PTHR11774:SF15', NULL, NULL, NULL, NULL, 'GERANYLGERANYL TRANSFERASE TYPE-2 SUBUNIT BETA', NULL, NULL, NULL, 15),
(68493, NULL, 'PTHR47989:SF47', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL28-RELATED', NULL, NULL, NULL, 15),
(68494, NULL, 'PTHR43000:SF26', NULL, NULL, NULL, NULL, 'BNAC05G13120D PROTEIN', NULL, NULL, NULL, 15),
(68495, NULL, 'PTHR10424:SF68', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP 3 MEMBER 1 ENV POLYPROTEIN', NULL, NULL, NULL, 15),
(68496, NULL, 'PTHR33223:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68497, NULL, 'PTHR43652:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68498, NULL, 'PTHR12290:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENATE--CYSTEINE LIGASE', NULL, NULL, NULL, 15),
(68499, NULL, 'PTHR46108', NULL, NULL, NULL, NULL, 'BLUE CHEESE', NULL, NULL, NULL, 15),
(68500, NULL, 'PTHR11860:SF95', NULL, NULL, NULL, NULL, 'SI:CH211-114L13.12-RELATED', NULL, NULL, NULL, 15),
(68501, NULL, 'PTHR15664:SF18', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 230-LIKE', NULL, NULL, NULL, 15),
(68502, NULL, 'PTHR23220:SF3', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-5', NULL, NULL, NULL, 15),
(68503, NULL, 'PTHR24377:SF837', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 20', NULL, NULL, NULL, 15),
(68504, NULL, 'PTHR34630:SF13', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(68505, NULL, 'PTHR48108:SF3', NULL, NULL, NULL, NULL, 'SLR0689 PROTEIN', NULL, NULL, NULL, 15),
(68506, NULL, 'PTHR10736:SF8', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 5', NULL, NULL, NULL, 15),
(68507, NULL, 'PTHR31282:SF80', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 21-RELATED', NULL, NULL, NULL, 15),
(68508, NULL, 'PTHR45647:SF28', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 33-LIKE', NULL, NULL, NULL, 15),
(68509, NULL, 'PTHR10353:SF61', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 22', NULL, NULL, NULL, 15),
(68510, NULL, 'PTHR43276:SF1', NULL, NULL, NULL, NULL, 'GLUCOSYLGLYCERATE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(68511, NULL, 'PTHR31120:SF7', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TIKI1', NULL, NULL, NULL, 15),
(68512, NULL, 'PTHR46034:SF13', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(68513, NULL, 'PTHR23235:SF82', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 5', NULL, NULL, 2313, 15),
(68514, NULL, 'PTHR10015:SF322', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-7A', NULL, NULL, NULL, 15),
(68515, NULL, 'PTHR31451:SF47', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 2', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68516, NULL, 'PTHR32523:SF8', NULL, NULL, NULL, NULL, 'PHYTOL KINASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(68517, NULL, 'PTHR24223:SF358', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MRP-3', NULL, NULL, NULL, 15),
(68518, NULL, 'PTHR21325:SF32', NULL, NULL, NULL, NULL, 'PROTEIN CBG12377', NULL, NULL, NULL, 15),
(68519, NULL, 'PTHR11129', NULL, NULL, NULL, NULL, 'PROTEIN FARNESYLTRANSFERASE ALPHA SUBUNIT/RAB GERANYLGERANYL TRANSFERASE ALPHA SUBUNIT', NULL, NULL, NULL, 15),
(68520, NULL, 'PTHR23416:SF77', NULL, NULL, NULL, NULL, 'O-ACETYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03380)-RELATED', NULL, NULL, NULL, 15),
(68521, NULL, 'PTHR31314:SF92', NULL, NULL, NULL, NULL, 'BNAA06G34360D PROTEIN', NULL, NULL, NULL, 15),
(68522, NULL, 'PTHR31677:SF130', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68523, NULL, 'PTHR22984:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIM-1', NULL, NULL, NULL, 15),
(68524, NULL, 'PTHR47435:SF9', NULL, NULL, NULL, NULL, 'BNAA06G37510D PROTEIN', NULL, NULL, NULL, 15),
(68525, NULL, 'PTHR48017:SF43', NULL, NULL, NULL, NULL, 'BNAC05G49210D PROTEIN', NULL, NULL, NULL, 15),
(68526, NULL, 'PTHR32100:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68527, NULL, 'PTHR19957:SF314', NULL, NULL, NULL, NULL, 'SYNTAXIN-123', NULL, NULL, NULL, 15),
(68528, NULL, 'PTHR46521:SF11', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(68529, NULL, 'PTHR31985:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68530, NULL, 'PTHR31929:SF98', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR20', NULL, NULL, NULL, 15),
(68531, NULL, 'PTHR10961:SF23', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(68532, NULL, 'PTHR35575:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG23597', NULL, NULL, NULL, 15),
(68533, NULL, 'PTHR33107', NULL, NULL, NULL, NULL, 'KUNITZ TRYPSIN INHIBITOR 2', NULL, NULL, 398, 15),
(68534, NULL, 'PTHR37564', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68535, NULL, 'PTHR43433:SF4', NULL, NULL, NULL, NULL, 'NON-HEME CHLOROPEROXIDASE-RELATED', NULL, NULL, NULL, 15),
(68536, NULL, 'PTHR45786:SF39', NULL, NULL, NULL, NULL, 'OS02G0701800 PROTEIN', NULL, NULL, NULL, 15),
(68537, NULL, 'PTHR43559:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68538, NULL, 'PTHR24056:SF154', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 14', NULL, NULL, NULL, 15),
(68539, NULL, 'PTHR23428:SF178', NULL, NULL, NULL, NULL, 'HISTONE H2B.V2', NULL, NULL, NULL, 15),
(68540, NULL, 'PTHR31707:SF239', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 46-RELATED', NULL, NULL, NULL, 15),
(68541, NULL, 'PTHR31731:SF69', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(68542, NULL, 'PTHR24230:SF13', NULL, NULL, NULL, NULL, 'GALANIN RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(68543, NULL, 'PTHR40980:SF4', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT PHYTASE RECEPTOR', NULL, NULL, NULL, 15),
(68544, NULL, 'PTHR12196', NULL, NULL, NULL, NULL, 'DOMAIN OF UNKNOWN FUNCTION 71  DUF71 -CONTAINING PROTEIN', NULL, NULL, 26293, 15),
(68545, NULL, 'PTHR32278:SF55', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A9-LIKE', NULL, NULL, NULL, 15),
(68546, NULL, 'PTHR13659:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68547, NULL, 'PTHR24242:SF366', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(68548, NULL, 'PTHR31269', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 24715, 15),
(68549, NULL, 'PTHR47940:SF1', NULL, NULL, NULL, NULL, 'OS12G0283900 PROTEIN', NULL, NULL, NULL, 15),
(68550, NULL, 'PTHR47985:SF57', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOPLASMIC KINASE 185', NULL, NULL, NULL, 15),
(68551, NULL, 'PTHR10766:SF57', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(68552, NULL, 'PTHR10126:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68553, NULL, 'PTHR22999:SF36', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE SLOB1-RELATED', NULL, NULL, NULL, 15),
(68554, NULL, 'PTHR12011:SF457', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR E5B, DUPLICATE 2-RELATED', NULL, NULL, NULL, 15),
(68555, NULL, 'PTHR11785', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(68556, NULL, 'PTHR11561:SF11', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE [GTP], MITOCHONDRIAL', NULL, NULL, NULL, 15),
(68557, NULL, 'PTHR46847:SF4', NULL, NULL, NULL, NULL, 'AUTOINDUCER 2-BINDING PROTEIN LSRB', NULL, NULL, 23896, 15),
(68558, NULL, 'PTHR31945:SF100', NULL, NULL, NULL, NULL, 'BNAC06G42410D PROTEIN', NULL, NULL, NULL, 15),
(68559, NULL, 'PTHR38598:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YJCH', NULL, NULL, NULL, 15),
(68560, NULL, 'PTHR36079:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LEAFY', NULL, NULL, NULL, 15),
(68561, NULL, 'PTHR45977:SF7', NULL, NULL, NULL, NULL, 'OS03G0380700 PROTEIN', NULL, NULL, NULL, 15),
(68562, NULL, 'PTHR14226:SF29', NULL, NULL, NULL, NULL, 'NEUROPATHY TARGET ESTERASE SWS', NULL, NULL, NULL, 15),
(68563, NULL, 'PTHR31790:SF136', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN', NULL, NULL, NULL, 15),
(68564, NULL, 'PTHR31595:SF36', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(68565, NULL, 'PTHR38110:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68566, NULL, 'PTHR48184', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68567, NULL, 'PTHR31215:SF33', NULL, NULL, NULL, NULL, 'BNACNNG06390D PROTEIN', NULL, NULL, NULL, 15),
(68568, NULL, 'PTHR46950:SF7', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER CORA-LIKE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68569, NULL, 'PTHR34061:SF23', NULL, NULL, NULL, NULL, 'BNACNNG37290D PROTEIN', NULL, NULL, NULL, 15),
(68570, NULL, 'PTHR45224:SF10', NULL, NULL, NULL, NULL, 'MYB FAMILY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(68571, NULL, 'PTHR36690:SF1', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 237 MEMBER B', NULL, NULL, NULL, 15),
(68572, NULL, 'PTHR31681:SF12', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(68573, NULL, 'PTHR23220:SF123', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-PS3-RELATED', NULL, NULL, NULL, 15),
(68574, NULL, 'PTHR36148:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68575, NULL, 'PTHR15907:SF30', NULL, NULL, NULL, NULL, 'PLAC8 ONZIN-RELATED PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(68576, NULL, 'PTHR35546', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68577, NULL, 'PTHR24320:SF179', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', NULL, NULL, NULL, 15),
(68578, NULL, 'PTHR24299:SF40', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 76A2-LIKE', NULL, NULL, NULL, 15),
(68579, NULL, 'PTHR35105:SF8', NULL, NULL, NULL, NULL, 'BNAA07G25180D PROTEIN', NULL, NULL, NULL, 15),
(68580, NULL, 'PTHR31972:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68581, NULL, 'PTHR45663:SF6', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN YDBP', NULL, NULL, NULL, 15),
(68582, NULL, 'PTHR13585:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68583, NULL, 'PTHR46230:SF4', NULL, NULL, NULL, NULL, 'PROTEIN BOLA4, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(68584, NULL, 'PTHR47160:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68585, NULL, 'PTHR47926:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68586, NULL, 'PTHR26453:SF647', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(68587, NULL, 'PTHR11961:SF42', NULL, NULL, NULL, NULL, 'CYTOCHROME C-LIKE', NULL, NULL, NULL, 15),
(68588, NULL, 'PTHR33388:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68589, NULL, 'PTHR44328:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68590, NULL, 'PTHR23113:SF346', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR L', NULL, NULL, NULL, 15),
(68591, NULL, 'PTHR13890:SF31', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-2-RELATED', NULL, NULL, NULL, 15),
(68592, NULL, 'PTHR45840:SF8', NULL, NULL, NULL, NULL, 'RHOMBOID-4', NULL, NULL, NULL, 15),
(68593, NULL, 'PTHR27002:SF76', NULL, NULL, NULL, NULL, 'OS10G0136500 PROTEIN', NULL, NULL, NULL, 15),
(68594, NULL, 'PTHR13218:SF19', NULL, NULL, NULL, NULL, 'TAFII28-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68595, NULL, 'PTHR33271:SF28', NULL, NULL, NULL, NULL, 'BNAC04G43140D PROTEIN', NULL, NULL, NULL, 15),
(68596, NULL, 'PTHR20515:SF4', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 33', NULL, NULL, NULL, 15),
(68597, NULL, 'PTHR11863:SF163', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROXYLASE-RELATED', NULL, NULL, NULL, 15),
(68598, NULL, 'PTHR38592:SF3', NULL, NULL, NULL, NULL, 'BLL4819 PROTEIN', NULL, NULL, NULL, 15),
(68599, NULL, 'PTHR31225:SF122', NULL, NULL, NULL, NULL, 'TPS14', NULL, NULL, NULL, 15),
(68600, NULL, 'PTHR11176:SF30', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(68601, NULL, 'PTHR24286:SF234', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(68602, NULL, 'PTHR33493:SF17', NULL, NULL, NULL, NULL, 'OS08G0327700 PROTEIN', NULL, NULL, NULL, 15),
(68603, NULL, 'PTHR28489:SF2', NULL, NULL, NULL, NULL, 'RENTINAL DEGENERATION 3-LIKE', NULL, NULL, NULL, 15),
(68604, NULL, 'PTHR21713', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE ASSOCIATED COMPLEX ALPHA SUBUNIT-RELATED', NULL, NULL, 19923, 15),
(68605, NULL, 'PTHR41156:SF1', NULL, NULL, NULL, NULL, 'AGAP006184-PA', NULL, NULL, NULL, 15),
(68606, NULL, 'PTHR33912:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(68607, NULL, 'PTHR12824:SF8', NULL, NULL, NULL, NULL, 'GXIVSPLA2, ISOFORM A', NULL, NULL, NULL, 15),
(68608, NULL, 'PTHR24103:SF597', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 44', NULL, NULL, NULL, 15),
(68609, NULL, 'PTHR26450:SF38', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 605', NULL, NULL, NULL, 15),
(68610, NULL, 'PTHR14514:SF4', NULL, NULL, NULL, NULL, 'NESPRIN-2', NULL, NULL, NULL, 15),
(68611, NULL, 'PTHR45614:SF113', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN AA', NULL, NULL, NULL, 15),
(68612, NULL, 'PTHR45874:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B10A', NULL, NULL, NULL, 15),
(68613, NULL, 'PTHR31197:SF2', NULL, NULL, NULL, NULL, 'BNACNNG39290D PROTEIN', NULL, NULL, NULL, 15),
(68614, NULL, 'PTHR47998:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB82', NULL, NULL, NULL, 15),
(68615, NULL, 'PTHR36735:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(68616, NULL, 'PTHR31209:SF0', NULL, NULL, NULL, NULL, 'COFACTOR-INDEPENDENT PHOSPHOGLYCERATE MUTASE', NULL, NULL, NULL, 15),
(68617, NULL, 'PTHR38700:SF1', NULL, NULL, NULL, NULL, 'YALI0E22418P', NULL, NULL, NULL, 15),
(68618, NULL, 'PTHR31048:SF102', NULL, NULL, NULL, NULL, 'THAUMATIN DOMAIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68619, NULL, 'PTHR46050:SF15', NULL, NULL, NULL, NULL, 'BNAA05G14560D PROTEIN', NULL, NULL, NULL, 15),
(68620, NULL, 'PTHR47928:SF107', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(68621, NULL, 'PTHR34552:SF9', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER W', NULL, NULL, NULL, 15),
(68622, NULL, 'PTHR11034:SF20', NULL, NULL, NULL, NULL, 'PROTEIN NDRG3', NULL, NULL, 2512, 15),
(68623, NULL, 'PTHR24070:SF290', NULL, NULL, NULL, NULL, 'EG:BACR37P7.8 PROTEIN', NULL, NULL, NULL, 15),
(68624, NULL, 'PTHR46798:SF2', NULL, NULL, NULL, NULL, 'OS09G0511500 PROTEIN', NULL, NULL, NULL, 15),
(68625, NULL, 'PTHR22811:SF73', NULL, NULL, NULL, NULL, 'OS09G0453200 PROTEIN', NULL, NULL, NULL, 15),
(68626, NULL, 'PTHR11905:SF32', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 28', NULL, NULL, NULL, 15),
(68627, NULL, 'PTHR31369:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02325', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68628, NULL, 'PTHR34814:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68629, NULL, 'PTHR47993:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68630, NULL, 'PTHR47125', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(68631, NULL, 'PTHR46644:SF2', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XRCC2', NULL, NULL, NULL, 15),
(68632, NULL, 'PTHR11122:SF18', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(68633, NULL, 'PTHR16116', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 839', NULL, NULL, 30898, 15),
(68634, NULL, 'PTHR11153:SF6', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-5', NULL, NULL, NULL, 15),
(68635, NULL, 'PTHR23024:SF541', NULL, NULL, NULL, NULL, 'OS06G0214800 PROTEIN', NULL, NULL, NULL, 15),
(68636, NULL, 'PTHR33057:SF152', NULL, NULL, NULL, NULL, 'BNAA03G58430D PROTEIN', NULL, NULL, NULL, 15),
(68637, NULL, 'PTHR11135:SF0', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 3', NULL, NULL, 35193, 15),
(68638, NULL, 'PTHR24206:SF84', NULL, NULL, NULL, NULL, 'BNAANNG26690D PROTEIN', NULL, NULL, NULL, 15),
(68639, NULL, 'PTHR42905:SF10', NULL, NULL, NULL, NULL, 'OSJNBA0044M19.9 PROTEIN', NULL, NULL, NULL, 15),
(68640, NULL, 'PTHR12411:SF761', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68641, NULL, 'PTHR10334:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68642, NULL, 'PTHR47453:SF3', NULL, NULL, NULL, NULL, 'BNAC01G44700D PROTEIN', NULL, NULL, NULL, 15),
(68643, NULL, 'PTHR31683:SF162', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(68644, NULL, 'PTHR33609:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE-RELATED', NULL, NULL, NULL, 15),
(68645, NULL, 'PTHR31992:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68646, NULL, 'PTHR24034:SF46', NULL, NULL, NULL, NULL, 'LATENT-TRANSFORMING GROWTH FACTOR BETA-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(68647, NULL, 'PTHR11527:SF299', NULL, NULL, NULL, NULL, '18.5 KDA CLASS IV HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(68648, NULL, 'PTHR47993:SF19', NULL, NULL, NULL, NULL, 'BNAA01G31800D PROTEIN', NULL, NULL, NULL, 15),
(68649, NULL, 'PTHR10934:SF10', NULL, NULL, NULL, NULL, 'OS07G0674700 PROTEIN', NULL, NULL, NULL, 15),
(68650, NULL, 'PTHR23159:SF14', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC GENE 10 PROTEIN', NULL, NULL, 30918, 15),
(68651, NULL, 'PTHR10209:SF458', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68652, NULL, 'PTHR31355:SF3', NULL, NULL, NULL, NULL, 'TORTIFOLIA1-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(68653, NULL, 'PTHR46031:SF22', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING MOTIF PROTEIN', NULL, NULL, NULL, 15),
(68654, NULL, 'PTHR34491:SF29', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(68655, NULL, 'PTHR11850:SF108', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN EXTRADENTICLE', NULL, NULL, NULL, 15),
(68656, NULL, 'PTHR19308:SF33', NULL, NULL, NULL, NULL, 'START DOMAIN-CONTAINING 14', NULL, NULL, NULL, 15),
(68657, NULL, 'PTHR23024:SF222', NULL, NULL, NULL, NULL, 'ARYLACETAMIDE DEACETYLASE', NULL, NULL, NULL, 15),
(68658, NULL, 'PTHR48065:SF10', NULL, NULL, NULL, NULL, 'OS12G0559400 PROTEIN', NULL, NULL, NULL, 15),
(68659, NULL, 'PTHR15486:SF83', NULL, NULL, NULL, NULL, 'OS10G0413400 PROTEIN', NULL, NULL, NULL, 15),
(68660, NULL, 'PTHR42776:SF13', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR BINDING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(68661, NULL, 'PTHR35552:SF2', NULL, NULL, NULL, NULL, 'BNAA06G33860D PROTEIN', NULL, NULL, NULL, 15),
(68662, NULL, 'PTHR21456', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 102', NULL, NULL, 32604, 15),
(68663, NULL, 'PTHR14162', NULL, NULL, NULL, NULL, 'MUCOSAL ADDRESSIN CELL ADHESION MOLECULE-1', NULL, NULL, 32282, 15),
(68664, NULL, 'PTHR48018:SF21', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AP2', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68665, NULL, 'PTHR23105:SF172', NULL, NULL, NULL, NULL, 'PROTEASOME-INTERACTING PROTEIN CIC1', NULL, NULL, 22700, 15),
(68666, NULL, 'PTHR11223:SF4', NULL, NULL, NULL, NULL, 'EXPORTIN 1 (CRM1 HOMOLOG, YEAST) B', NULL, NULL, NULL, 15),
(68667, NULL, 'PTHR10887:SF449', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68668, NULL, 'PTHR47982:SF5', NULL, NULL, NULL, NULL, 'BNAC08G14430D PROTEIN', NULL, NULL, NULL, 15),
(68669, NULL, 'PTHR31466:SF8', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930433I11 GENE', NULL, NULL, NULL, 15),
(68670, NULL, 'PTHR27001', NULL, NULL, NULL, NULL, 'OS01G0253100 PROTEIN', NULL, NULL, 39724, 15),
(68671, NULL, 'PTHR24270:SF22', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(68672, NULL, 'PTHR43422:SF6', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(68673, NULL, 'PTHR10826:SF20', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(68674, NULL, 'PTHR11259:SF4', NULL, NULL, NULL, NULL, 'RAS-RELATED GTP-BINDING PROTEIN B', NULL, NULL, NULL, 15),
(68675, NULL, 'PTHR14677:SF11', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 2A', NULL, NULL, NULL, 15),
(68676, NULL, 'PTHR35992:SF1', NULL, NULL, NULL, NULL, 'CYTOMATRIX PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(68677, NULL, 'PTHR31929:SF51', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR22-LIKE', NULL, NULL, NULL, 15),
(68678, NULL, 'PTHR23257:SF796', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(68679, NULL, 'PTHR12289:SF59', NULL, NULL, NULL, NULL, 'FAILED AXON CONNECTIONS HOMOLOG', NULL, NULL, NULL, 15),
(68680, NULL, 'PTHR14499:SF68', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD8', NULL, NULL, NULL, 15),
(68681, NULL, 'PTHR43547:SF3', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN CITS', NULL, NULL, NULL, 15),
(68682, NULL, 'PTHR10953:SF220', NULL, NULL, NULL, NULL, 'ADENYLYLTRANSFERASE AND SULFURTRANSFERASE MOCS3', NULL, NULL, NULL, 15),
(68683, NULL, 'PTHR48019:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68684, NULL, 'PTHR20981:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L21-2-LIKE', NULL, NULL, NULL, 15),
(68685, NULL, 'PTHR30118:SF11', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YIDZ', NULL, NULL, NULL, 15),
(68686, NULL, 'PTHR45744:SF12', NULL, NULL, NULL, NULL, 'TYROSINE AMINOTRANSFERASE HOMOLOG1', NULL, NULL, NULL, 15),
(68687, NULL, 'PTHR32212:SF364', NULL, NULL, NULL, NULL, 'FBD PROTEIN', NULL, NULL, NULL, 15),
(68688, NULL, 'PTHR28262', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT SPC19', NULL, NULL, 13373, 15),
(68689, NULL, 'PTHR15282:SF11', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY E MEMBER 1', NULL, NULL, NULL, 15),
(68690, NULL, 'PTHR35092', NULL, NULL, NULL, NULL, 'CHLORINASE MJ1651', NULL, NULL, 3759, 15),
(68691, NULL, 'PTHR11685:SF354', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(68692, NULL, 'PTHR43874:SF115', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE PRR73-RELATED', NULL, NULL, NULL, 15),
(68693, NULL, 'PTHR16209:SF5', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(68694, NULL, 'PTHR46966:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX EXPRESSED IN ES CELLS 1', NULL, NULL, NULL, 15),
(68695, NULL, 'PTHR13720:SF42', NULL, NULL, NULL, NULL, 'CILIA AND FLAGELLA ASSOCIATED PROTEIN 57', NULL, NULL, NULL, 15),
(68696, NULL, 'PTHR23130:SF175', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(68697, NULL, 'PTHR38101:SF1', NULL, NULL, NULL, NULL, 'UPF0307 PROTEIN YJGA', NULL, NULL, NULL, 15),
(68698, NULL, 'PTHR11132:SF438', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER D3', NULL, NULL, NULL, 15),
(68699, NULL, 'PTHR45851:SF4', NULL, NULL, NULL, NULL, 'PROTEIN S-MYC', NULL, NULL, NULL, 15),
(68700, NULL, 'PTHR11407:SF62', NULL, NULL, NULL, NULL, 'LYSOZYME-LIKE PROTEIN 1-RELATED', NULL, NULL, 28688, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68701, NULL, 'PTHR19850:SF31', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(T) SUBUNIT BETA-3', NULL, NULL, NULL, 15),
(68702, NULL, 'PTHR46373:SF21', NULL, NULL, NULL, NULL, 'BNAA02G10530D PROTEIN', NULL, NULL, NULL, 15),
(68703, NULL, 'PTHR36140:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68704, NULL, 'PTHR32261', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN', NULL, NULL, 27667, 15),
(68705, NULL, 'PTHR22835:SF590', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68706, NULL, 'PTHR16504:SF5', NULL, NULL, NULL, NULL, '5''(3'')-DEOXYRIBONUCLEOTIDASE, CYTOSOLIC TYPE', NULL, NULL, NULL, 15),
(68707, NULL, 'PTHR23299:SF18', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-3', NULL, NULL, NULL, 15),
(68708, NULL, 'PTHR14005', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3, THETA SUBUNIT', NULL, NULL, 25342, 15),
(68709, NULL, 'PTHR47992:SF78', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 14-RELATED', NULL, NULL, NULL, 15),
(68710, NULL, 'PTHR43349:SF40', NULL, NULL, NULL, NULL, 'PHENYLCOUMARAN BENZYLIC ETHER REDUCTASE-LIKE PROTEIN FI1', NULL, NULL, NULL, 15),
(68711, NULL, 'PTHR13847:SF262', NULL, NULL, NULL, NULL, 'MALATE:QUINONE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(68712, NULL, 'PTHR31009:SF118', NULL, NULL, NULL, NULL, 'BNAC06G27540D PROTEIN', NULL, NULL, NULL, 15),
(68713, NULL, 'PTHR24056:SF371', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE A-2', NULL, NULL, NULL, 15),
(68714, NULL, 'PTHR38386', NULL, NULL, NULL, NULL, 'OS05G0426900 PROTEIN', NULL, NULL, NULL, 15),
(68715, NULL, 'PTHR24296:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68716, NULL, 'PTHR43668:SF1', NULL, NULL, NULL, NULL, 'DIHYDROOROTASE-RELATED', NULL, NULL, NULL, 15),
(68717, NULL, 'PTHR31447:SF8', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, 2OG-FE(II) OXYGENASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(68718, NULL, 'PTHR31280:SF25', NULL, NULL, NULL, NULL, 'BNAC05G02570D PROTEIN', NULL, NULL, NULL, 15),
(68719, NULL, 'PTHR14217:SF24', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE 1', NULL, NULL, NULL, 15),
(68720, NULL, 'PTHR34566', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN', NULL, NULL, NULL, 15),
(68721, NULL, 'PTHR11255:SF33', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE KAPPA', NULL, NULL, NULL, 15),
(68722, NULL, 'PTHR31264:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68723, NULL, 'PTHR21579:SF10', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(68724, NULL, 'PTHR24064:SF291', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 1', NULL, NULL, NULL, 15),
(68725, NULL, 'PTHR21163:SF1', NULL, NULL, NULL, NULL, 'AGAP006635-PA', NULL, NULL, NULL, 15),
(68726, NULL, 'PTHR33871:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68727, NULL, 'PTHR33530:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68728, NULL, 'PTHR15531:SF0', NULL, NULL, NULL, NULL, 'PROSAAS', NULL, NULL, NULL, 15),
(68729, NULL, 'PTHR32212:SF304', NULL, NULL, NULL, NULL, 'BNACNNG47350D PROTEIN', NULL, NULL, NULL, 15),
(68730, NULL, 'PTHR42878', NULL, NULL, NULL, NULL, 'TWO-COMPONENT HISTIDINE KINASE', NULL, NULL, NULL, 15),
(68731, NULL, 'PTHR45828:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG00983', NULL, NULL, NULL, 15),
(68732, NULL, 'PTHR12234:SF0', NULL, NULL, NULL, NULL, 'FORMIMIDOYLTRANSFERASE-CYCLODEAMINASE', NULL, NULL, NULL, 15),
(68733, NULL, 'PTHR31920:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68734, NULL, 'PTHR30296:SF0', NULL, NULL, NULL, NULL, 'LACTATE UTILIZATION PROTEIN A', NULL, NULL, NULL, 15),
(68735, NULL, 'PTHR44259:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68736, NULL, 'PTHR16160:SF13', NULL, NULL, NULL, NULL, 'FERMITIN 2-RELATED', NULL, NULL, NULL, 15),
(68737, NULL, 'PTHR31642:SF35', NULL, NULL, NULL, NULL, 'TRYPTAMINE HYDROXYCINNAMOYLTRANSFERASE 1', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68738, NULL, 'PTHR22844:SF337', NULL, NULL, NULL, NULL, 'F16N3.9 PROTEIN', NULL, NULL, NULL, 15),
(68739, NULL, 'PTHR43220:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(68740, NULL, 'PTHR37952:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CREA', NULL, NULL, NULL, 15),
(68741, NULL, 'PTHR31189:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68742, NULL, 'PTHR11785:SF389', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68743, NULL, 'PTHR43183:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL DIHYDROXY-ACID DEHYDRATASE (EUROFUNG)', NULL, NULL, NULL, 15),
(68744, NULL, 'PTHR31221:SF125', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(68745, NULL, 'PTHR27006:SF245', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(68746, NULL, 'PTHR30038:SF0', NULL, NULL, NULL, NULL, 'TUNGSTEN-CONTAINING ALDEHYDE FERREDOXIN OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(68747, NULL, 'PTHR31929:SF114', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(68748, NULL, 'PTHR32044:SF18', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 6-RELATED', NULL, NULL, NULL, 15),
(68749, NULL, 'PTHR21310:SF47', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(68750, NULL, 'PTHR31266:SF2', NULL, NULL, NULL, NULL, 'TRAF-INTERACTING PROTEIN WITH FHA DOMAIN-CONTAINING PROTEIN A', NULL, NULL, NULL, 15),
(68751, NULL, 'PTHR43159:SF2', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE [NADH], CHLOROPLASTIC', NULL, NULL, NULL, 15),
(68752, NULL, 'PTHR19331:SF459', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68753, NULL, 'PTHR48002:SF14', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(68754, NULL, 'PTHR34057', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR', NULL, NULL, NULL, 15),
(68755, NULL, 'PTHR10544:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28', NULL, NULL, NULL, 15),
(68756, NULL, 'PTHR23070:SF84', NULL, NULL, NULL, NULL, 'BNAANNG18710D PROTEIN', NULL, NULL, NULL, 15),
(68757, NULL, 'PTHR23279:SF6', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 7, ISOFORM F', NULL, NULL, NULL, 15),
(68758, NULL, 'PTHR11040:SF147', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 4', NULL, NULL, NULL, 15),
(68759, NULL, 'PTHR11945:SF412', NULL, NULL, NULL, NULL, 'MADS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(68760, NULL, 'PTHR32176:SF11', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(68761, NULL, 'PTHR31989:SF252', NULL, NULL, NULL, NULL, 'PLANT NAC DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(68762, NULL, 'PTHR12155:SF30', NULL, NULL, NULL, NULL, 'PROTEIN SLFN14', NULL, NULL, 25788, 15),
(68763, NULL, 'PTHR33469:SF14', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 4-LIKE', NULL, NULL, NULL, 15),
(68764, NULL, 'PTHR11011:SF99', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 3', NULL, NULL, NULL, 15),
(68765, NULL, 'PTHR11039:SF48', NULL, NULL, NULL, NULL, 'NEBULETTE', NULL, NULL, NULL, 15),
(68766, NULL, 'PTHR15835:SF13', NULL, NULL, NULL, NULL, 'IAP-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(68767, NULL, 'PTHR47993:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68768, NULL, 'PTHR10179:SF38', NULL, NULL, NULL, NULL, 'PLATELET FACTOR 4 VARIANT', NULL, NULL, 24869, 15),
(68769, NULL, 'PTHR10408:SF15', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 1C', NULL, NULL, NULL, 15),
(68770, NULL, 'PTHR32096', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 30-RELATED-RELATED', NULL, NULL, 37984, 15),
(68771, NULL, 'PTHR11923:SF95', NULL, NULL, NULL, NULL, 'FI02050P-RELATED', NULL, NULL, NULL, 15),
(68772, NULL, 'PTHR33248:SF3', NULL, NULL, NULL, NULL, 'ZINC ION-BINDING PROTEIN', NULL, NULL, NULL, 15),
(68773, NULL, 'PTHR10972:SF52', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(68774, NULL, 'PTHR24356:SF379', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68775, NULL, 'PTHR28242:SF48', NULL, NULL, NULL, NULL, 'BNAC05G36960D PROTEIN', NULL, NULL, NULL, 15),
(68776, NULL, 'PTHR18945:SF533', NULL, NULL, NULL, NULL, 'PROTON-GATED ION CHANNEL SUBUNIT PBO-5', NULL, NULL, NULL, 15),
(68777, NULL, 'PTHR34339:SF1', NULL, NULL, NULL, NULL, 'STIMULATOR OF INTERFERON GENES PROTEIN', NULL, NULL, NULL, 15),
(68778, NULL, 'PTHR11545:SF28', NULL, NULL, NULL, NULL, 'BNAC03G44740D PROTEIN', NULL, NULL, NULL, 15),
(68779, NULL, 'PTHR11010:SF5', NULL, NULL, NULL, NULL, 'IP20428P-RELATED', NULL, NULL, NULL, 15),
(68780, NULL, 'PTHR35936:SF13', NULL, NULL, NULL, NULL, 'HISTIDINE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(68781, NULL, 'PTHR33624:SF15', NULL, NULL, NULL, NULL, 'SIGMA FACTOR BINDING PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(68782, NULL, 'PTHR22406:SF4', NULL, NULL, NULL, NULL, 'SLAIN MOTIF-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(68783, NULL, 'PTHR31064:SF10', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORT PROTEIN DDB_G0292412-RELATED', NULL, NULL, NULL, 15),
(68784, NULL, 'PTHR24299:SF26', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B37-LIKE', NULL, NULL, NULL, 15),
(68785, NULL, 'PTHR14350:SF2', NULL, NULL, NULL, NULL, 'ARGININE VASOPRESSIN-INDUCED PROTEIN 1', NULL, NULL, NULL, 15),
(68786, NULL, 'PTHR16223:SF242', NULL, NULL, NULL, NULL, 'BNAA10G29390D PROTEIN', NULL, NULL, NULL, 15),
(68787, NULL, 'PTHR11902:SF31', NULL, NULL, NULL, NULL, 'ENOLASE 1', NULL, NULL, NULL, 15),
(68788, NULL, 'PTHR31668:SF19', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(68789, NULL, 'PTHR37708:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX HOX-B3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(68790, NULL, 'PTHR46199', NULL, NULL, NULL, NULL, 'RAC GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, NULL, 15),
(68791, NULL, 'PTHR31351:SF21', NULL, NULL, NULL, NULL, 'OS02G0689600 PROTEIN', NULL, NULL, NULL, 15),
(68792, NULL, 'PTHR33155:SF34', NULL, NULL, NULL, NULL, 'BNAA08G27370D PROTEIN', NULL, NULL, NULL, 15),
(68793, NULL, 'PTHR12771:SF20', NULL, NULL, NULL, NULL, 'ELMO/CED-12 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(68794, NULL, 'PTHR23294:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68795, NULL, 'PTHR45800:SF29', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 4-LIKE', NULL, NULL, NULL, 15),
(68796, NULL, 'PTHR42852:SF4', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN HI_1115', NULL, NULL, NULL, 15),
(68797, NULL, 'PTHR23201:SF56', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68798, NULL, 'PTHR33070:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68799, NULL, 'PTHR11545:SF27', NULL, NULL, NULL, NULL, 'BNAA02G18970D PROTEIN', NULL, NULL, NULL, 15),
(68800, NULL, 'PTHR24286:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68801, NULL, 'PTHR15746:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68802, NULL, 'PTHR15907:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68803, NULL, 'PTHR13780:SF47', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT GAMMA-1-LIKE', NULL, NULL, NULL, 15),
(68804, NULL, 'PTHR15140:SF11', NULL, NULL, NULL, NULL, 'TUBULIN FOLDING COFACTOR E-LIKE A-RELATED', NULL, NULL, NULL, 15),
(68805, NULL, 'PTHR46288:SF47', NULL, NULL, NULL, NULL, 'DC1, C1-LIKE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(68806, NULL, 'PTHR33052:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68807, NULL, 'PTHR33057:SF66', NULL, NULL, NULL, NULL, 'OS05G0517100 PROTEIN', NULL, NULL, NULL, 15),
(68808, NULL, 'PTHR31525:SF1', NULL, NULL, NULL, NULL, 'HEME TRANSPORTER HRG1', NULL, NULL, NULL, 15),
(68809, NULL, 'PTHR11256:SF46', NULL, NULL, NULL, NULL, 'INDUCED MYELOID LEUKEMIA CELL DIFFERENTIATION PROTEIN MCL-1', NULL, NULL, 8988, 15),
(68810, NULL, 'PTHR31734:SF8', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA2', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68811, NULL, 'PTHR31301:SF95', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(68812, NULL, 'PTHR15367:SF2', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT', NULL, NULL, NULL, 15),
(68813, NULL, 'PTHR46666:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L18AE FAMILY', NULL, NULL, NULL, 15),
(68814, NULL, 'PTHR31639:SF194', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAINS-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(68815, NULL, 'PTHR33059:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68816, NULL, 'PTHR27003:SF366', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(68817, NULL, 'PTHR45832:SF8', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(68818, NULL, 'PTHR42709:SF9', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE LIKE PROTEIN', NULL, NULL, NULL, 15),
(68819, NULL, 'PTHR24056:SF479', NULL, NULL, NULL, NULL, 'BNAA06G18950D PROTEIN', NULL, NULL, NULL, 15),
(68820, NULL, 'PTHR43719:SF56', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE 4-RELATED', NULL, NULL, NULL, 15),
(68821, NULL, 'PTHR24115:SF945', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(68822, NULL, 'PTHR24210', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN', NULL, NULL, 17910, 15),
(68823, NULL, 'PTHR10796:SF124', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(68824, NULL, 'PTHR37751', NULL, NULL, NULL, NULL, 'LOW PROTEIN: M-PHASE INDUCER PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(68825, NULL, 'PTHR24028:SF234', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A3', NULL, NULL, NULL, 15),
(68826, NULL, 'PTHR22943:SF6', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(68827, NULL, 'PTHR21662:SF28', NULL, NULL, NULL, NULL, 'PROTEIN IRLD-34', NULL, NULL, NULL, 15),
(68828, NULL, 'PTHR31140:SF118', NULL, NULL, NULL, NULL, 'BNAA04G27480D PROTEIN', NULL, NULL, NULL, 15),
(68829, NULL, 'PTHR12439:SF13', NULL, NULL, NULL, NULL, 'POLY(U)-SPECIFIC ENDORIBONUCLEASE-C', NULL, NULL, NULL, 15),
(68830, NULL, 'PTHR24346:SF66', NULL, NULL, NULL, NULL, 'GEMINIVIRUS REP INTERACTING KINASE 2-RELATED', NULL, NULL, NULL, 15),
(68831, NULL, 'PTHR10797:SF13', NULL, NULL, NULL, NULL, 'OS07G0169800 PROTEIN', NULL, NULL, NULL, 15),
(68832, NULL, 'PTHR47631:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(68833, NULL, 'PTHR11783:SF247', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(68834, NULL, 'PTHR31533:SF3', NULL, NULL, NULL, NULL, 'OS04G0500300 PROTEIN', NULL, NULL, NULL, 15),
(68835, NULL, 'PTHR12884:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', NULL, NULL, NULL, 15),
(68836, NULL, 'PTHR31495:SF27', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING PROTEIN', NULL, NULL, NULL, 15),
(68837, NULL, 'PTHR24093:SF432', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 12, PLASMA MEMBRANE-TYPE-LIKE', NULL, NULL, NULL, 15),
(68838, NULL, 'PTHR10336:SF174', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(68839, NULL, 'PTHR33701:SF7', NULL, NULL, NULL, NULL, 'OS05G0446500 PROTEIN', NULL, NULL, NULL, 15),
(68840, NULL, 'PTHR33142:SF63', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR4', NULL, NULL, NULL, 15),
(68841, NULL, 'PTHR31766:SF5', NULL, NULL, NULL, NULL, 'STOREKEEPER PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(68842, NULL, 'PTHR47383:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0008M17.14-LIKE PROTEIN', NULL, NULL, NULL, 15),
(68843, NULL, 'PTHR27002:SF4', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(68844, NULL, 'PTHR43895:SF33', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(68845, NULL, 'PTHR47323:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG19190', NULL, NULL, NULL, 15),
(68846, NULL, 'PTHR31385:SF3', NULL, NULL, NULL, NULL, 'F5O8.22 PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68847, NULL, 'PTHR33294:SF17', NULL, NULL, NULL, NULL, 'BNAA09G26780D PROTEIN', NULL, NULL, NULL, 15),
(68848, NULL, 'PTHR34041:SF5', NULL, NULL, NULL, NULL, 'BNAC08G46250D PROTEIN', NULL, NULL, NULL, 15),
(68849, NULL, 'PTHR45618:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68850, NULL, 'PTHR33676:SF19', NULL, NULL, NULL, NULL, 'BNAANNG40190D PROTEIN', NULL, NULL, NULL, 15),
(68851, NULL, 'PTHR10728:SF57', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE', NULL, NULL, NULL, 15),
(68852, NULL, 'PTHR21662:SF33', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(68853, NULL, 'PTHR13609:SF16', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(68854, NULL, 'PTHR21229:SF23', NULL, NULL, NULL, NULL, 'OS02G0618700 PROTEIN', NULL, NULL, NULL, 15),
(68855, NULL, 'PTHR38769', NULL, NULL, NULL, NULL, 'UPF0381 PROTEIN YFCZ-RELATED', NULL, NULL, 4234, 15),
(68856, NULL, 'PTHR43712', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14580)-RELATED', NULL, NULL, NULL, 15),
(68857, NULL, 'PTHR10585:SF64', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR C28H8.4-RELATED', NULL, NULL, NULL, 15),
(68858, NULL, 'PTHR11359:SF2', NULL, NULL, NULL, NULL, 'AMP DEAMINASE 3', NULL, NULL, 23967, 15),
(68859, NULL, 'PTHR38118:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68860, NULL, 'PTHR48000:SF22', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68861, NULL, 'PTHR11849:SF182', NULL, NULL, NULL, NULL, 'SAM POINTED DOMAIN-CONTAINING ETS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(68862, NULL, 'PTHR46168:SF4', NULL, NULL, NULL, NULL, 'ARMADILLO/BETA-CATENIN-LIKE REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(68863, NULL, 'PTHR31719:SF111', NULL, NULL, NULL, NULL, 'OS01G0104200 PROTEIN', NULL, NULL, NULL, 15),
(68864, NULL, 'PTHR20893:SF2', NULL, NULL, NULL, NULL, 'LD08641P', NULL, NULL, NULL, 15),
(68865, NULL, 'PTHR45686:SF15', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD9-RELATED', NULL, NULL, NULL, 15),
(68866, NULL, 'PTHR14063:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LIN-7 HOMOLOG', NULL, NULL, NULL, 15),
(68867, NULL, 'PTHR14140:SF36', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ORTHRUS 2', NULL, NULL, NULL, 15),
(68868, NULL, 'PTHR31901:SF48', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.10', NULL, NULL, NULL, 15),
(68869, NULL, 'PTHR31828:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 7', NULL, NULL, NULL, 15),
(68870, NULL, 'PTHR10165:SF149', NULL, NULL, NULL, NULL, 'OS01G0666000 PROTEIN', NULL, NULL, NULL, 15),
(68871, NULL, 'PTHR31945:SF112', NULL, NULL, NULL, NULL, 'BNAC03G46920D PROTEIN', NULL, NULL, NULL, 15),
(68872, NULL, 'PTHR36832:SF1', NULL, NULL, NULL, NULL, 'SLR1174 PROTEIN', NULL, NULL, NULL, 15),
(68873, NULL, 'PTHR43000:SF12', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING PROTEIN YBJT-RELATED', NULL, NULL, NULL, 15),
(68874, NULL, 'PTHR33307:SF6', NULL, NULL, NULL, NULL, 'ALPHA-RHAMNOSIDASE (EUROFUNG)', NULL, NULL, NULL, 15),
(68875, NULL, 'PTHR31503', NULL, NULL, NULL, NULL, 'VACUOLAR CALCIUM ION TRANSPORTER', NULL, NULL, 3771, 15),
(68876, NULL, 'PTHR22948:SF57', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(68877, NULL, 'PTHR31218:SF165', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(68878, NULL, 'PTHR47695', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68879, NULL, 'PTHR46400:SF15', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE BIG BROTHER-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(68880, NULL, 'PTHR22776:SF86', NULL, NULL, NULL, NULL, 'LD04844P-RELATED', NULL, NULL, NULL, 15),
(68881, NULL, 'PTHR31642:SF237', NULL, NULL, NULL, NULL, 'OS06G0151100 PROTEIN', NULL, NULL, NULL, 15),
(68882, NULL, 'PTHR10264', NULL, NULL, NULL, NULL, 'BAND 7 PROTEIN-RELATED', NULL, NULL, 37170, 15),
(68883, NULL, 'PTHR23239:SF364', NULL, NULL, NULL, NULL, 'KERATIN 97-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68884, NULL, 'PTHR36335:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68885, NULL, 'PTHR12801:SF78', NULL, NULL, NULL, NULL, 'INTERFERON-STIMULATED 20 KDA EXONUCLEASE-LIKE 2', NULL, NULL, 12441, 15),
(68886, NULL, 'PTHR48017:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68887, NULL, 'PTHR43479:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, TETR FAMILY', NULL, NULL, NULL, 15),
(68888, NULL, 'PTHR34257:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68889, NULL, 'PTHR16160', NULL, NULL, NULL, NULL, 'FERMITIN 2-RELATED', NULL, NULL, 33050, 15),
(68890, NULL, 'PTHR31736:SF11', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE C-RELATED', NULL, NULL, NULL, 15),
(68891, NULL, 'PTHR13693:SF86', NULL, NULL, NULL, NULL, 'LONG CHAIN BASE BIOSYNTHESIS PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(68892, NULL, 'PTHR43422:SF11', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(68893, NULL, 'PTHR10370', NULL, NULL, NULL, NULL, 'ERYTHROPOIETIN', NULL, NULL, 7004, 15),
(68894, NULL, 'PTHR33474:SF3', NULL, NULL, NULL, NULL, 'OS01G0276900 PROTEIN', NULL, NULL, NULL, 15),
(68895, NULL, 'PTHR16089:SF43', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.10', NULL, NULL, NULL, 15),
(68896, NULL, 'PTHR47926:SF21', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(68897, NULL, 'PTHR23077:SF167', NULL, NULL, NULL, NULL, 'OS08G0413000 PROTEIN', NULL, NULL, NULL, 15),
(68898, NULL, 'PTHR31218:SF212', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(68899, NULL, 'PTHR24637:SF262', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', NULL, NULL, NULL, 15),
(68900, NULL, 'PTHR12439:SF33', NULL, NULL, NULL, NULL, 'SI:DKEY-222F8.3', NULL, NULL, NULL, 15),
(68901, NULL, 'PTHR47003:SF7', NULL, NULL, NULL, NULL, 'PPR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(68902, NULL, 'PTHR47942:SF47', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(68903, NULL, 'PTHR47926:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68904, NULL, 'PTHR32468:SF148', NULL, NULL, NULL, NULL, 'CATION:PROTON ANTIPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(68905, NULL, 'PTHR13233:SF14', NULL, NULL, NULL, NULL, 'SMAD/FHA DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(68906, NULL, 'PTHR45029:SF4', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(68907, NULL, 'PTHR24009:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C3H FAMILY-RELATED', NULL, NULL, NULL, 15),
(68908, NULL, 'PTHR11818:SF8', NULL, NULL, NULL, NULL, 'BETA-CRYSTALLIN A3', NULL, NULL, NULL, 15),
(68909, NULL, 'PTHR11879:SF38', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(68910, NULL, 'PTHR11475:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68911, NULL, 'PTHR36706:SF2', NULL, NULL, NULL, NULL, 'BNAC08G44080D PROTEIN', NULL, NULL, NULL, 15),
(68912, NULL, 'PTHR32096:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68913, NULL, 'PTHR27002:SF745', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE', NULL, NULL, NULL, 15),
(68914, NULL, 'PTHR37199:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(68915, NULL, 'PTHR45853:SF4', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE SIRTUIN-7', NULL, NULL, NULL, 15),
(68916, NULL, 'PTHR28581:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-206P8.1', NULL, NULL, NULL, 15),
(68917, NULL, 'PTHR30158', NULL, NULL, NULL, NULL, 'ACRA/E-RELATED COMPONENT OF DRUG EFFLUX TRANSPORTER', NULL, NULL, NULL, 15),
(68918, NULL, 'PTHR28582', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN15', NULL, NULL, NULL, 15),
(68919, NULL, 'PTHR16288', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN 4', NULL, NULL, 26100, 15),
(68920, NULL, 'PTHR24241:SF120', NULL, NULL, NULL, NULL, 'CHOLECYSTOKININ RECEPTOR TYPE A', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68921, NULL, 'PTHR10177:SF235', NULL, NULL, NULL, NULL, 'CYCLIN-D2-2', NULL, NULL, NULL, 15),
(68922, NULL, 'PTHR39329', NULL, NULL, NULL, NULL, 'ETHANOLAMINE AMMONIA-LYASE HEAVY CHAIN', NULL, NULL, 9244, 15),
(68923, NULL, 'PTHR36063', NULL, NULL, NULL, NULL, 'ARABIDOPSIS THALIANA GENOMIC DNA, CHROMOSOME 5, P1 CLONE:MOK16', NULL, NULL, NULL, 15),
(68924, NULL, 'PTHR31901:SF9', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.1-RELATED', NULL, NULL, NULL, 15),
(68925, NULL, 'PTHR22811:SF151', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN A', NULL, NULL, NULL, 15),
(68926, NULL, 'PTHR31717:SF74', NULL, NULL, NULL, NULL, 'BNAA05G19900D PROTEIN', NULL, NULL, NULL, 15),
(68927, NULL, 'PTHR45647:SF85', NULL, NULL, NULL, NULL, 'BNAA04G26520D PROTEIN', NULL, NULL, NULL, 15),
(68928, NULL, 'PTHR33494:SF19', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(68929, NULL, 'PTHR39168', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(68930, NULL, 'PTHR24270:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68931, NULL, 'PTHR33976:SF12', NULL, NULL, NULL, NULL, 'BNAANNG03060D PROTEIN', NULL, NULL, NULL, 15),
(68932, NULL, 'PTHR34962', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 1703-RELATED', NULL, NULL, NULL, 15),
(68933, NULL, 'PTHR47998:SF38', NULL, NULL, NULL, NULL, 'OS01G0127450 PROTEIN', NULL, NULL, NULL, 15),
(68934, NULL, 'PTHR11847:SF24', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L15', NULL, NULL, NULL, 15),
(68935, NULL, 'PTHR31734:SF33', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA16', NULL, NULL, NULL, 15),
(68936, NULL, 'PTHR30603:SF4', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGE, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(68937, NULL, 'PTHR31245:SF24', NULL, NULL, NULL, NULL, 'UBIQUITIN SYSTEM COMPONENT CUE PROTEIN', NULL, NULL, NULL, 15),
(68938, NULL, 'PTHR31422:SF3', NULL, NULL, NULL, NULL, 'BNAANNG28530D PROTEIN', NULL, NULL, NULL, 15),
(68939, NULL, 'PTHR13129:SF4', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 1', NULL, NULL, NULL, 15),
(68940, NULL, 'PTHR35344', NULL, NULL, NULL, NULL, 'GAS VESICLE STRUCTURAL PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(68941, NULL, 'PTHR34567:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68942, NULL, 'PTHR43939:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68943, NULL, 'PTHR24409:SF390', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68944, NULL, 'PTHR12447:SF18', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(68945, NULL, 'PTHR45657:SF42', NULL, NULL, NULL, NULL, 'BNAA03G52910D PROTEIN', NULL, NULL, NULL, 15),
(68946, NULL, 'PTHR11851:SF206', NULL, NULL, NULL, NULL, 'PROCESSING PEPTIDASE', NULL, NULL, NULL, 15),
(68947, NULL, 'PTHR33095:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68948, NULL, 'PTHR13743:SF108', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN LVSE', NULL, NULL, NULL, 15),
(68949, NULL, 'PTHR22753:SF32', NULL, NULL, NULL, NULL, 'TRANSFERASE', NULL, NULL, NULL, 15),
(68950, NULL, 'PTHR24223:SF330', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 7', NULL, NULL, NULL, 15),
(68951, NULL, 'PTHR19965:SF22', NULL, NULL, NULL, NULL, 'CHROMATIN TARGET OF PRMT1 PROTEIN', NULL, NULL, NULL, 15),
(68952, NULL, 'PTHR13832:SF640', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 2-RELATED', NULL, NULL, NULL, 15),
(68953, NULL, 'PTHR43000:SF34', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(68954, NULL, 'PTHR23083:SF464', NULL, NULL, NULL, NULL, 'LETHAL (2) K14710, ISOFORM A', NULL, NULL, NULL, 15),
(68955, NULL, 'PTHR35852:SF4', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE-LIKE PEPTIDE 36', NULL, NULL, NULL, 15),
(68956, NULL, 'PTHR31181:SF74', NULL, NULL, NULL, NULL, 'PROLAMIN-LIKE PROTEIN (DUF1278)', NULL, NULL, NULL, 15),
(68957, NULL, 'PTHR31087:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68958, NULL, 'PTHR45747:SF11', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EZ1', NULL, NULL, NULL, 15),
(68959, NULL, 'PTHR19957:SF275', NULL, NULL, NULL, NULL, 'SYNTAXIN-124-RELATED', NULL, NULL, NULL, 15),
(68960, NULL, 'PTHR14614:SF109', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE EFM6', NULL, NULL, NULL, 15),
(68961, NULL, 'PTHR37283', NULL, NULL, NULL, NULL, 'PH DOMAIN-CONTAINING PROTEIN YHR131C', NULL, NULL, NULL, 15),
(68962, NULL, 'PTHR11461:SF204', NULL, NULL, NULL, NULL, 'SERPIN B9', NULL, NULL, NULL, 15),
(68963, NULL, 'PTHR11431:SF101', NULL, NULL, NULL, NULL, 'FERRITIN-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(68964, NULL, 'PTHR45769:SF3', NULL, NULL, NULL, NULL, 'ADENOSINE KINASE', NULL, NULL, NULL, 15),
(68965, NULL, 'PTHR31288:SF17', NULL, NULL, NULL, NULL, 'OS11G0176300 PROTEIN', NULL, NULL, NULL, 15),
(68966, NULL, 'PTHR24409:SF326', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 507', NULL, NULL, NULL, 15),
(68967, NULL, 'PTHR13844:SF49', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX COMPONENT SNF12 HOMOLOG', NULL, NULL, NULL, 15),
(68968, NULL, 'PTHR10938:SF7', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-3-LIKE', NULL, NULL, NULL, 15),
(68969, NULL, 'PTHR33137', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15A-RELATED', NULL, NULL, 37690, 15),
(68970, NULL, 'PTHR42825:SF11', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE 6', NULL, NULL, NULL, 15),
(68971, NULL, 'PTHR31731:SF17', NULL, NULL, NULL, NULL, 'CORTICAL CELL-DELINEATING PROTEIN', NULL, NULL, NULL, 15),
(68972, NULL, 'PTHR24056:SF397', NULL, NULL, NULL, NULL, 'KINASE CDK9, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(68973, NULL, 'PTHR34418:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP214 ISOFORM X1', NULL, NULL, NULL, 15),
(68974, NULL, 'PTHR31692:SF108', NULL, NULL, NULL, NULL, 'BNAC04G03990D PROTEIN', NULL, NULL, NULL, 15),
(68975, NULL, 'PTHR22948:SF12', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(68976, NULL, 'PTHR11003:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68977, NULL, 'PTHR47971:SF12', NULL, NULL, NULL, NULL, 'BNAA01G28450D PROTEIN', NULL, NULL, NULL, 15),
(68978, NULL, 'PTHR31327:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG02245', NULL, NULL, NULL, 15),
(68979, NULL, 'PTHR45654:SF28', NULL, NULL, NULL, NULL, 'HOMEODOMAIN LEUCINE ZIPPER FAMILY IV PROTEIN', NULL, NULL, NULL, 15),
(68980, NULL, 'PTHR12138:SF121', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ENSP00000375192', NULL, NULL, NULL, 15),
(68981, NULL, 'PTHR11056:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68982, NULL, 'PTHR24089:SF724', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN B', NULL, NULL, NULL, 15),
(68983, NULL, 'PTHR33132:SF13', NULL, NULL, NULL, NULL, 'OSJNBB0118P14.9 PROTEIN', NULL, NULL, NULL, 15),
(68984, NULL, 'PTHR11690:SF18', NULL, NULL, NULL, NULL, 'AMILORIDE-SENSITIVE SODIUM CHANNEL SUBUNIT BETA', NULL, NULL, NULL, 15),
(68985, NULL, 'PTHR12919:SF37', NULL, NULL, NULL, NULL, 'BNAA02G24190D PROTEIN', NULL, NULL, NULL, 15),
(68986, NULL, 'PTHR40129', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(68987, NULL, 'PTHR31321:SF77', NULL, NULL, NULL, NULL, 'PECTINESTERASE 11-RELATED', NULL, NULL, NULL, 15),
(68988, NULL, 'PTHR45824:SF23', NULL, NULL, NULL, NULL, 'CELLULAR RETINALDEHYDE BINDING/ALPHA-TOCOPHEROL TRANSPORT-RELATED', NULL, NULL, NULL, 15),
(68989, NULL, 'PTHR35103:SF1', NULL, NULL, NULL, NULL, 'OS06G0115700 PROTEIN', NULL, NULL, NULL, 15),
(68990, NULL, 'PTHR24381:SF82', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 70', NULL, NULL, NULL, 15),
(68991, NULL, 'PTHR33562:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG01603', NULL, NULL, NULL, 15),
(68992, NULL, 'PTHR14493:SF95', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 61', NULL, NULL, NULL, 15),
(68993, NULL, 'PTHR36018', NULL, NULL, NULL, NULL, 'OS09G0481800 PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(68994, NULL, 'PTHR10540:SF23', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT F', NULL, NULL, NULL, 15),
(68995, NULL, 'PTHR10774:SF178', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-4', NULL, NULL, NULL, 15),
(68996, NULL, 'PTHR11475:SF109', NULL, NULL, NULL, NULL, 'CHORION PEROXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(68997, NULL, 'PTHR47837', NULL, NULL, NULL, NULL, 'GTP PYROPHOSPHOKINASE YJBM', NULL, NULL, NULL, 15),
(68998, NULL, 'PTHR24237', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(68999, NULL, 'PTHR33121:SF59', NULL, NULL, NULL, NULL, 'OXYGEN SENSOR PROTEIN DOSP', NULL, NULL, NULL, 15),
(69000, NULL, 'PTHR46924:SF2', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR-LIKE PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(69001, NULL, 'PTHR36351:SF1', NULL, NULL, NULL, NULL, 'EMBRYO SAC DEVELOPMENT ARREST 12', NULL, NULL, NULL, 15),
(69002, NULL, 'PTHR10663:SF124', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 2', NULL, NULL, NULL, 15),
(69003, NULL, 'PTHR21708:SF26', NULL, NULL, NULL, NULL, '2-DEHYDROPANTOATE 2-REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(69004, NULL, 'PTHR22055:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69005, NULL, 'PTHR46301:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69006, NULL, 'PTHR12771:SF60', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(69007, NULL, 'PTHR19143:SF391', NULL, NULL, NULL, NULL, 'PROTEIN CBG24478', NULL, NULL, NULL, 15),
(69008, NULL, 'PTHR31251:SF143', NULL, NULL, NULL, NULL, 'BNAA02G14580D PROTEIN', NULL, NULL, NULL, 15),
(69009, NULL, 'PTHR31375:SF234', NULL, NULL, NULL, NULL, 'BNAC03G28060D PROTEIN', NULL, NULL, NULL, 15),
(69010, NULL, 'PTHR35481', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(69011, NULL, 'PTHR12245:SF2', NULL, NULL, NULL, NULL, 'SPRY DOMAIN-CONTAINING SOCS BOX PROTEIN 2', NULL, NULL, NULL, 15),
(69012, NULL, 'PTHR11595:SF21', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA', NULL, NULL, NULL, 15),
(69013, NULL, 'PTHR33052:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69014, NULL, 'PTHR21749:SF4', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', NULL, NULL, NULL, 15),
(69015, NULL, 'PTHR35834:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69016, NULL, 'PTHR24237:SF35', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 141-RELATED', NULL, NULL, NULL, 15),
(69017, NULL, 'PTHR44191:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RADIALIS', NULL, NULL, NULL, 15),
(69018, NULL, 'PTHR46142:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69019, NULL, 'PTHR43545', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE, NITRATE-INDUCIBLE, IRON-SULFUR SUBUNIT', NULL, NULL, NULL, 15),
(69020, NULL, 'PTHR45720:SF14', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(69021, NULL, 'PTHR10826:SF34', NULL, NULL, NULL, NULL, 'BNAA03G12340D PROTEIN', NULL, NULL, NULL, 15),
(69022, NULL, 'PTHR31677:SF151', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 4-LIKE', NULL, NULL, NULL, 15),
(69023, NULL, 'PTHR24271:SF66', NULL, NULL, NULL, NULL, 'KALLIKREIN-10', NULL, NULL, NULL, 15),
(69024, NULL, 'PTHR10896:SF66', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASES', NULL, NULL, NULL, 15),
(69025, NULL, 'PTHR11654:SF107', NULL, NULL, NULL, NULL, 'OS10G0109900 PROTEIN', NULL, NULL, NULL, 15),
(69026, NULL, 'PTHR33442', NULL, NULL, NULL, NULL, 'TRANS-3-HYDROXY-L-PROLINE DEHYDRATASE', NULL, NULL, 14135, 15),
(69027, NULL, 'PTHR43130:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, ARAC FAMILY', NULL, NULL, NULL, 15),
(69028, NULL, 'PTHR32212:SF363', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 25-LIKE', NULL, NULL, NULL, 15),
(69029, NULL, 'PTHR11827:SF72', NULL, NULL, NULL, NULL, 'SODIUM CHLORIDE COTRANSPORTER 69, ISOFORM E', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69030, NULL, 'PTHR30537:SF73', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(69031, NULL, 'PTHR31374:SF7', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(69032, NULL, 'PTHR11706:SF89', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP3 PROTEIN', NULL, NULL, NULL, 15),
(69033, NULL, 'PTHR14514', NULL, NULL, NULL, NULL, 'PKA ANCHORING PROTEIN', NULL, NULL, NULL, 15),
(69034, NULL, 'PTHR34661:SF2', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 3-LIKE', NULL, NULL, NULL, 15),
(69035, NULL, 'PTHR34357:SF10', NULL, NULL, NULL, NULL, 'BNAA09G45860D PROTEIN', NULL, NULL, NULL, 15),
(69036, NULL, 'PTHR43240:SF19', NULL, NULL, NULL, NULL, '14-DIHYDROXY-2-NAPHTHOYL-COA THIOESTERASE 1', NULL, NULL, NULL, 15),
(69037, NULL, 'PTHR23198:SF24', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP98B', NULL, NULL, NULL, 15),
(69038, NULL, 'PTHR23520:SF2', NULL, NULL, NULL, NULL, 'ABR173CP', NULL, NULL, NULL, 15),
(69039, NULL, 'PTHR31221:SF168', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 56-RELATED', NULL, NULL, NULL, 15),
(69040, NULL, 'PTHR37692', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', NULL, NULL, 5859, 15),
(69041, NULL, 'PTHR31007:SF3', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE II INHIBITOR 1', NULL, NULL, NULL, 15),
(69042, NULL, 'PTHR37736', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(69043, NULL, 'PTHR15852:SF49', NULL, NULL, NULL, NULL, 'PROTEIN SSUH2 HOMOLOG', NULL, NULL, 32625, 15),
(69044, NULL, 'PTHR24291:SF53', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4F22', NULL, NULL, NULL, 15),
(69045, NULL, 'PTHR33088:SF42', NULL, NULL, NULL, NULL, 'OS07G0142200 PROTEIN', NULL, NULL, NULL, 15),
(69046, NULL, 'PTHR36291:SF1', NULL, NULL, NULL, NULL, 'UBAP1-MVB12-ASSOCIATED (UMA)-DOMAIN CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(69047, NULL, 'PTHR24296:SF151', NULL, NULL, NULL, NULL, 'OS05G0445100 PROTEIN', NULL, NULL, NULL, 15),
(69048, NULL, 'PTHR33414:SF12', NULL, NULL, NULL, NULL, 'BNAA02G04950D PROTEIN', NULL, NULL, 31159, 15),
(69049, NULL, 'PTHR31172:SF11', NULL, NULL, NULL, NULL, 'BNAC04G47430D PROTEIN', NULL, NULL, NULL, 15),
(69050, NULL, 'PTHR48086', NULL, NULL, NULL, NULL, 'SODIUM/PROLINE SYMPORTER-RELATED', NULL, NULL, NULL, 15),
(69051, NULL, 'PTHR20854:SF43', NULL, NULL, NULL, NULL, 'INOSITOL-1-MONOPHOSPHATASE', NULL, NULL, NULL, 15),
(69052, NULL, 'PTHR11751:SF476', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE, ASPARTATE 1-DECARBOXYLASE, PYRIDOXAL-DEPENDENT-RELATED', NULL, NULL, NULL, 15),
(69053, NULL, 'PTHR14091:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69054, NULL, 'PTHR10653:SF20', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(69055, NULL, 'PTHR31346:SF15', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 2 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(69056, NULL, 'PTHR15152', NULL, NULL, NULL, NULL, 'CD70 ANTIGEN', NULL, NULL, 39799, 15),
(69057, NULL, 'PTHR11771:SF163', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(69058, NULL, 'PTHR23502:SF135', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G16320)-RELATED', NULL, NULL, NULL, 15),
(69059, NULL, 'PTHR31238:SF149', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(69060, NULL, 'PTHR24012:SF845', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(69061, NULL, 'PTHR31681:SF85', NULL, NULL, NULL, NULL, 'BNACNNG47010D PROTEIN', NULL, NULL, NULL, 15),
(69062, NULL, 'PTHR14130:SF12', NULL, NULL, NULL, NULL, 'BARGIN-RELATED', NULL, NULL, NULL, 15),
(69063, NULL, 'PTHR28242:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69064, NULL, 'PTHR31623:SF24', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69065, NULL, 'PTHR32145:SF20', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69066, NULL, 'PTHR10795:SF707', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', NULL, NULL, NULL, 15),
(69067, NULL, 'PTHR16703:SF3', NULL, NULL, NULL, NULL, 'CLAUDIN-12', NULL, NULL, NULL, 15),
(69068, NULL, 'PTHR23244:SF460', NULL, NULL, NULL, NULL, 'BNAC09G15350D PROTEIN', NULL, NULL, NULL, 15),
(69069, NULL, 'PTHR11767:SF43', NULL, NULL, NULL, NULL, 'INWARD RECTIFIER POTASSIUM CHANNEL 2', NULL, NULL, 3418, 15),
(69070, NULL, 'PTHR13531:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 216', NULL, NULL, NULL, 15),
(69071, NULL, 'PTHR11487:SF6', NULL, NULL, NULL, NULL, 'THIOESTERASE', NULL, NULL, NULL, 15),
(69072, NULL, 'PTHR12170:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN TRANSFERASE RMND5B', NULL, NULL, NULL, 15),
(69073, NULL, 'PTHR32008:SF2', NULL, NULL, NULL, NULL, 'MATURIN', NULL, NULL, NULL, 15),
(69074, NULL, 'PTHR45974:SF178', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69075, NULL, 'PTHR23503:SF108', NULL, NULL, NULL, NULL, 'PROTEIN CBG16701', NULL, NULL, NULL, 15),
(69076, NULL, 'PTHR21656:SF2', NULL, NULL, NULL, NULL, 'MALE-SPECIFIC LETHAL 1 HOMOLOG', NULL, NULL, NULL, 15),
(69077, NULL, 'PTHR47972:SF36', NULL, NULL, NULL, NULL, 'KINESIN-4-LIKE', NULL, NULL, NULL, 15),
(69078, NULL, 'PTHR10811:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69079, NULL, 'PTHR31080:SF136', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(69080, NULL, 'PTHR16083:SF21', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 57', NULL, NULL, NULL, 15),
(69081, NULL, 'PTHR30074', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE, NITRATE-INDUCIBLE, CYTOCHROME B556 FDN  SUBUNIT', NULL, NULL, NULL, 15),
(69082, NULL, 'PTHR46890:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69083, NULL, 'PTHR31791:SF60', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(69084, NULL, 'PTHR43035:SF1', NULL, NULL, NULL, NULL, 'FATTY ACID REPRESSION MUTANT PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(69085, NULL, 'PTHR47096:SF1', NULL, NULL, NULL, NULL, 'MISSHAPEN LIKE KINASE 1', NULL, NULL, NULL, 15),
(69086, NULL, 'PTHR22414', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22481, 15),
(69087, NULL, 'PTHR23284:SF3', NULL, NULL, NULL, NULL, 'OS03G0799900 PROTEIN', NULL, NULL, NULL, 15),
(69088, NULL, 'PTHR47619:SF1', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE YYCJ-RELATED', NULL, NULL, NULL, 15),
(69089, NULL, 'PTHR28054', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN10', NULL, NULL, 17106, 15),
(69090, NULL, 'PTHR12547:SF112', NULL, NULL, NULL, NULL, 'CTH1', NULL, NULL, NULL, 15),
(69091, NULL, 'PTHR39649:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L40E', NULL, NULL, NULL, 15),
(69092, NULL, 'PTHR31988:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69093, NULL, 'PTHR36312:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69094, NULL, 'PTHR10579:SF136', NULL, NULL, NULL, NULL, 'ACTIVATED CHLORINE CHANNEL, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69095, NULL, 'PTHR36680:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC498675', NULL, NULL, NULL, 15),
(69096, NULL, 'PTHR12209:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69097, NULL, 'PTHR46408:SF12', NULL, NULL, NULL, NULL, 'LIGHT-INDUCIBLE PROTEIN CPRF2-LIKE', NULL, NULL, NULL, 15),
(69098, NULL, 'PTHR23402:SF1', NULL, NULL, NULL, NULL, 'RE07960P', NULL, NULL, NULL, 15),
(69099, NULL, 'PTHR10666:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69100, NULL, 'PTHR35289:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(69101, NULL, 'PTHR11652:SF58', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S23', NULL, NULL, NULL, 15),
(69102, NULL, 'PTHR46128:SF223', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69103, NULL, 'PTHR12247:SF104', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN SFMBT', NULL, NULL, NULL, 15),
(69104, NULL, 'PTHR12411:SF696', NULL, NULL, NULL, NULL, 'VIGNAIN', NULL, NULL, NULL, 15),
(69105, NULL, 'PTHR11802:SF306', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 28', NULL, NULL, NULL, 15),
(69106, NULL, 'PTHR23024:SF384', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE', NULL, NULL, NULL, 15),
(69107, NULL, 'PTHR24320:SF223', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE PKFC', NULL, NULL, NULL, 15),
(69108, NULL, 'PTHR12777:SF5', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D2', NULL, NULL, NULL, 15),
(69109, NULL, 'PTHR18953:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69110, NULL, 'PTHR31947:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69111, NULL, 'PTHR39591', NULL, NULL, NULL, NULL, 'UPF0265 PROTEIN YEEX', NULL, NULL, 4510, 15),
(69112, NULL, 'PTHR12015:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69113, NULL, 'PTHR33513:SF33', NULL, NULL, NULL, NULL, 'BNAC09G36280D PROTEIN', NULL, NULL, NULL, 15),
(69114, NULL, 'PTHR31368:SF5', NULL, NULL, NULL, NULL, 'KHDC1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69115, NULL, 'PTHR10994:SF155', NULL, NULL, NULL, NULL, 'BNAC04G13170D PROTEIN', NULL, NULL, NULL, 15),
(69116, NULL, 'PTHR24379:SF91', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 878', NULL, NULL, NULL, 15),
(69117, NULL, 'PTHR30582:SF29', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE YNHG-RELATED', NULL, NULL, NULL, 15),
(69118, NULL, 'PTHR48011:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69119, NULL, 'PTHR24034:SF137', NULL, NULL, NULL, NULL, 'SI:DKEY-163F14.6', NULL, NULL, NULL, 15),
(69120, NULL, 'PTHR31003:SF28', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR EFM-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(69121, NULL, 'PTHR33077:SF68', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 11B', NULL, NULL, NULL, 15),
(69122, NULL, 'PTHR36191', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69123, NULL, 'PTHR37012:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69124, NULL, 'PTHR14233:SF19', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER SLC35F1/F2/F6-RELATED', NULL, NULL, NULL, 15),
(69125, NULL, 'PTHR11699:SF275', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE (NAD) FAMILY PROTEIN (EUROFUNG)', NULL, NULL, NULL, 15),
(69126, NULL, 'PTHR22750:SF16', NULL, NULL, NULL, NULL, 'SPHINGOSINE 1-PHOSPHATE RECEPTOR 1', NULL, NULL, 3440, 15),
(69127, NULL, 'PTHR10315:SF121', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINAT3', NULL, NULL, NULL, 15),
(69128, NULL, 'PTHR11986:SF115', NULL, NULL, NULL, NULL, 'SUCCINYLORNITHINE TRANSAMINASE', NULL, NULL, NULL, 15),
(69129, NULL, 'PTHR47311:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69130, NULL, 'PTHR31650:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69131, NULL, 'PTHR27007:SF217', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', NULL, NULL, NULL, 15),
(69132, NULL, 'PTHR32031', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(69133, NULL, 'PTHR47999:SF77', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB5-LIKE', NULL, NULL, NULL, 15),
(69134, NULL, 'PTHR31062:SF202', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(69135, NULL, 'PTHR39380', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED-RELATED-RELATED', NULL, NULL, NULL, 15),
(69136, NULL, 'PTHR10562:SF88', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 3', NULL, NULL, NULL, 15),
(69137, NULL, 'PTHR34917:SF1', NULL, NULL, NULL, NULL, 'RBPJ-INTERACTING AND TUBULIN-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(69138, NULL, 'PTHR23220:SF21', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-11', NULL, NULL, NULL, 15),
(69139, NULL, 'PTHR31683:SF156', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69140, NULL, 'PTHR31960:SF19', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A15-LIKE', NULL, NULL, NULL, 15),
(69141, NULL, 'PTHR13683:SF703', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69142, NULL, 'PTHR30055:SF179', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR UIDR-RELATED', NULL, NULL, NULL, 15),
(69143, NULL, 'PTHR13848:SF69', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(69144, NULL, 'PTHR31288:SF24', NULL, NULL, NULL, NULL, 'PROTEIN MANNAN SYNTHESIS-RELATED 2', NULL, NULL, NULL, 15),
(69145, NULL, 'PTHR11571:SF221', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE ALPHA-2-RELATED', NULL, NULL, NULL, 15),
(69146, NULL, 'PTHR13015:SF2', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(69147, NULL, 'PTHR33227:SF39', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC PROTEIN STIG1-RELATED', NULL, NULL, NULL, 15),
(69148, NULL, 'PTHR15469:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(69149, NULL, 'PTHR21534', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 25066, 15),
(69150, NULL, 'PTHR33376:SF4', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING PERIPLASMIC PROTEIN SIAP', NULL, NULL, NULL, 15),
(69151, NULL, 'PTHR11639:SF115', NULL, NULL, NULL, NULL, 'S100 CALCIUM-BINDING PROTEIN U-RELATED', NULL, NULL, NULL, 15),
(69152, NULL, 'PTHR11538:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69153, NULL, 'PTHR23204:SF3', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 6', NULL, NULL, 33130, 15),
(69154, NULL, 'PTHR21493:SF249', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN GOT1B-LIKE', NULL, NULL, NULL, 15),
(69155, NULL, 'PTHR23514:SF16', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17270)-RELATED', NULL, NULL, NULL, 15),
(69156, NULL, 'PTHR33919:SF11', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69157, NULL, 'PTHR30055:SF189', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69158, NULL, 'PTHR13416:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 43', NULL, NULL, NULL, 15),
(69159, NULL, 'PTHR12677:SF57', NULL, NULL, NULL, NULL, 'BNAA04G18420D PROTEIN', NULL, NULL, NULL, 15),
(69160, NULL, 'PTHR24107:SF19', NULL, NULL, NULL, NULL, 'NUCLEOTIDE BINDING OLIGOMERIZATION DOMAIN CONTAINING 2', NULL, NULL, NULL, 15),
(69161, NULL, 'PTHR47982:SF1', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(69162, NULL, 'PTHR46628:SF1', NULL, NULL, NULL, NULL, 'PIRNA BIOGENESIS PROTEIN EXD1', NULL, NULL, NULL, 15),
(69163, NULL, 'PTHR10108:SF1117', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(69164, NULL, 'PTHR11662:SF439', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 17 MEMBER 7B', NULL, NULL, NULL, 15),
(69165, NULL, 'PTHR11024:SF15', NULL, NULL, NULL, NULL, 'SEC13-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69166, NULL, 'PTHR40942:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C5', NULL, NULL, NULL, 15),
(69167, NULL, 'PTHR48001:SF124', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1M1', NULL, NULL, NULL, 15),
(69168, NULL, 'PTHR28271:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L31, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(69169, NULL, 'PTHR43003:SF7', NULL, NULL, NULL, NULL, 'BNAC05G15000D PROTEIN', NULL, NULL, NULL, 15),
(69170, NULL, 'PTHR43768:SF10', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE 8-RELATED', NULL, NULL, NULL, 15),
(69171, NULL, 'PTHR11761:SF19', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23', NULL, NULL, NULL, 15),
(69172, NULL, 'PTHR14493:SF106', NULL, NULL, NULL, NULL, 'BNAC05G02070D PROTEIN', NULL, NULL, NULL, 15),
(69173, NULL, 'PTHR43490:SF87', NULL, NULL, NULL, NULL, 'SALUTARIDINE REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(69174, NULL, 'PTHR17469:SF14', NULL, NULL, NULL, NULL, 'PROTEIN ITPRID1', NULL, NULL, NULL, 15),
(69175, NULL, 'PTHR33077:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69176, NULL, 'PTHR13096:SF8', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L16 3-HYDROXYLASE', NULL, NULL, NULL, 15),
(69177, NULL, 'PTHR40449', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTS', NULL, NULL, 13985, 15),
(69178, NULL, 'PTHR48051:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69179, NULL, 'PTHR23147:SF199', NULL, NULL, NULL, NULL, 'OS03G0344100 PROTEIN', NULL, NULL, NULL, 15),
(69180, NULL, 'PTHR22800:SF237', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY I MEMBER 2', NULL, NULL, NULL, 15),
(69181, NULL, 'PTHR47102:SF1', NULL, NULL, NULL, NULL, 'BNI1-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(69182, NULL, 'PTHR12000:SF33', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME ALPHA-ISOZYME', NULL, NULL, NULL, 15),
(69183, NULL, 'PTHR12268:SF21', NULL, NULL, NULL, NULL, 'DISCONTINUOUS ACTIN HEXAGON', NULL, NULL, NULL, 15),
(69184, NULL, 'PTHR11945:SF473', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CAULIFLOWER', NULL, NULL, NULL, 15),
(69185, NULL, 'PTHR16140:SF18', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', NULL, NULL, NULL, 15),
(69186, NULL, 'PTHR43689:SF22', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(69187, NULL, 'PTHR18934:SF118', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX33', NULL, NULL, NULL, 15),
(69188, NULL, 'PTHR33168:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69189, NULL, 'PTHR46316:SF9', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-1', NULL, NULL, 30370, 15),
(69190, NULL, 'PTHR13832:SF600', NULL, NULL, NULL, NULL, 'QUALITY PROTEIN: PROBABLE PROTEIN PHOSPHATASE 2C 4-RELATED', NULL, NULL, NULL, 15),
(69191, NULL, 'PTHR24305:SF29', NULL, NULL, NULL, NULL, 'BENZOATE-PARA-HYDROXYLASE', NULL, NULL, NULL, 15),
(69192, NULL, 'PTHR24064:SF87', NULL, NULL, NULL, NULL, 'PROTEIN CBG21150', NULL, NULL, NULL, 15),
(69193, NULL, 'PTHR11988:SF42', NULL, NULL, NULL, NULL, 'PROTEIN GIANT', NULL, NULL, 27248, 15),
(69194, NULL, 'PTHR43790:SF7', NULL, NULL, NULL, NULL, 'GALACTOSE/METHYL GALACTOSIDE IMPORT ATP-BINDING PROTEIN MGLA', NULL, NULL, 13072, 15),
(69195, NULL, 'PTHR19971:SF11', NULL, NULL, NULL, NULL, 'GENE 5150-RELATED', NULL, NULL, NULL, 15),
(69196, NULL, 'PTHR43448:SF6', NULL, NULL, NULL, NULL, 'BNAC04G03820D PROTEIN', NULL, NULL, NULL, 15),
(69197, NULL, 'PTHR43295:SF4', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE', NULL, NULL, NULL, 15),
(69198, NULL, 'PTHR22708:SF0', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 56', NULL, NULL, NULL, 15),
(69199, NULL, 'PTHR47139:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 9', NULL, NULL, 19452, 15),
(69200, NULL, 'PTHR46286:SF1', NULL, NULL, NULL, NULL, 'VIN3-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(69201, NULL, 'PTHR13707', NULL, NULL, NULL, NULL, 'KETOACID-COENZYME A TRANSFERASE', NULL, NULL, 2994, 15),
(69202, NULL, 'PTHR45614:SF8', NULL, NULL, NULL, NULL, 'OS03G0236300 PROTEIN', NULL, NULL, NULL, 15),
(69203, NULL, 'PTHR11782:SF109', NULL, NULL, NULL, NULL, 'GDA1/CD39 NUCLEOSIDE PHOSPHATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69204, NULL, 'PTHR22957:SF456', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(69205, NULL, 'PTHR42853', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A CARBOXYLASE CARBOXYL TRANSFERASE SUBUNIT ALPHA', NULL, NULL, 2117, 15),
(69206, NULL, 'PTHR47971:SF11', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(69207, NULL, 'PTHR24032:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69208, NULL, 'PTHR42995:SF1', NULL, NULL, NULL, NULL, 'BETA SUBUNIT OF MALONATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(69209, NULL, 'PTHR12150:SF13', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE C9ORF114-RELATED', NULL, NULL, NULL, 15),
(69210, NULL, 'PTHR11486:SF67', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 11', NULL, NULL, 23327, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69211, NULL, 'PTHR24054:SF45', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(69212, NULL, 'PTHR34359:SF5', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 10', NULL, NULL, NULL, 15),
(69213, NULL, 'PTHR22536:SF7', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 19A', NULL, NULL, NULL, 15),
(69214, NULL, 'PTHR42774:SF11', NULL, NULL, NULL, NULL, 'PFKB FAMILY CARBOHYDRATE KINASE', NULL, NULL, NULL, 15),
(69215, NULL, 'PTHR30239:SF16', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE, SMALL SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(69216, NULL, 'PTHR46869:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69217, NULL, 'PTHR47131:SF1', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(69218, NULL, 'PTHR10285:SF166', NULL, NULL, NULL, NULL, 'URIDINE KINASE', NULL, NULL, NULL, 15),
(69219, NULL, 'PTHR11668:SF443', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(69220, NULL, 'PTHR27006:SF424', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(69221, NULL, 'PTHR15128', NULL, NULL, NULL, NULL, 'TAL1  SCL  INTERRUPTING LOCUS', NULL, NULL, 27544, 15),
(69222, NULL, 'PTHR10190:SF11', NULL, NULL, NULL, NULL, 'EYES ABSENT HOMOLOG 1', NULL, NULL, 27838, 15),
(69223, NULL, 'PTHR23065:SF13', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(69224, NULL, 'PTHR48048:SF51', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(69225, NULL, 'PTHR12636', NULL, NULL, NULL, NULL, 'NEP1/MRA1', NULL, NULL, 5103, 15),
(69226, NULL, 'PTHR31760:SF0', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(69227, NULL, 'PTHR46506:SF9', NULL, NULL, NULL, NULL, 'OS05G0143600 PROTEIN', NULL, NULL, NULL, 15),
(69228, NULL, 'PTHR32044:SF12', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 7-RELATED', NULL, NULL, NULL, 15),
(69229, NULL, 'PTHR21649:SF128', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(69230, NULL, 'PTHR11932:SF74', NULL, NULL, NULL, NULL, 'OSJNBA0033G05.2 PROTEIN', NULL, NULL, NULL, 15),
(69231, NULL, 'PTHR24286:SF264', NULL, NULL, NULL, NULL, 'BNAA01G37200D PROTEIN', NULL, NULL, NULL, 15),
(69232, NULL, 'PTHR30546:SF50', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(69233, NULL, 'PTHR40037', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE YJCG-RELATED', NULL, NULL, NULL, 15),
(69234, NULL, 'PTHR33265:SF10', NULL, NULL, NULL, NULL, 'OS01G0133200 PROTEIN', NULL, NULL, NULL, 15),
(69235, NULL, 'PTHR12691:SF10', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 23', NULL, NULL, NULL, 15),
(69236, NULL, 'PTHR24034:SF139', NULL, NULL, NULL, NULL, 'LDL RECEPTOR RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(69237, NULL, 'PTHR46758:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0044M19.1 PROTEIN', NULL, NULL, NULL, 15),
(69238, NULL, 'PTHR47926:SF186', NULL, NULL, NULL, NULL, 'OS11G0482400 PROTEIN', NULL, NULL, NULL, 15),
(69239, NULL, 'PTHR11071:SF389', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(69240, NULL, 'PTHR31061:SF19', NULL, NULL, NULL, NULL, 'HEPARAN-ALPHA-GLUCOSAMINIDE N-ACETYLTRANSFERASE', NULL, NULL, 34200, 15),
(69241, NULL, 'PTHR42919:SF24', NULL, NULL, NULL, NULL, 'DTDP-FUCOSAMINE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(69242, NULL, 'PTHR36312:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TAP1-LIKE', NULL, NULL, NULL, 15),
(69243, NULL, 'PTHR10949:SF28', NULL, NULL, NULL, NULL, 'LIPOYL SYNTHASE 2', NULL, NULL, NULL, 15),
(69244, NULL, 'PTHR43382:SF3', NULL, NULL, NULL, NULL, 'PROLINE--TRNA LIGASE, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(69245, NULL, 'PTHR11945:SF547', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 55-RELATED', NULL, NULL, NULL, 15),
(69246, NULL, 'PTHR31769:SF65', NULL, NULL, NULL, NULL, 'PROTEIN MODIFYING WALL LIGNIN-2', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69247, NULL, 'PTHR13061:SF43', NULL, NULL, NULL, NULL, 'BNAC08G04620D PROTEIN', NULL, NULL, NULL, 15),
(69248, NULL, 'PTHR12489:SF15', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 1 PROTEIN', NULL, NULL, NULL, 15),
(69249, NULL, 'PTHR31471:SF53', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(69250, NULL, 'PTHR12861:SF6', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN BETA (TRAPB) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69251, NULL, 'PTHR14647:SF63', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69252, NULL, 'PTHR11558:SF32', NULL, NULL, NULL, NULL, 'POLYAMINE AMINOPROPYLTRANSFERASE', NULL, NULL, NULL, 15),
(69253, NULL, 'PTHR24254:SF10', NULL, NULL, NULL, NULL, 'PROTHROMBIN', NULL, NULL, 7206, 15),
(69254, NULL, 'PTHR45642:SF11', NULL, NULL, NULL, NULL, 'OS09G0132200 PROTEIN', NULL, NULL, NULL, 15),
(69255, NULL, 'PTHR10242:SF4', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE-RELATED', NULL, NULL, NULL, 15),
(69256, NULL, 'PTHR36812', NULL, NULL, NULL, NULL, 'NEUROFILAMENT TRIPLET M PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(69257, NULL, 'PTHR45676:SF112', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3', NULL, NULL, NULL, 15),
(69258, NULL, 'PTHR24106:SF151', NULL, NULL, NULL, NULL, 'LOC567531 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69259, NULL, 'PTHR31009:SF18', NULL, NULL, NULL, NULL, 'JASMONATE O-METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(69260, NULL, 'PTHR45826:SF10', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER PUT1', NULL, NULL, NULL, 15),
(69261, NULL, 'PTHR22576', NULL, NULL, NULL, NULL, 'MUCOSA ASSOCIATED LYMPHOID TISSUE LYMPHOMA TRANSLOCATION PROTEIN 1/PARACASPASE', NULL, NULL, NULL, 15),
(69262, NULL, 'PTHR34559:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 8-RELATED', NULL, NULL, NULL, 15),
(69263, NULL, 'PTHR18860:SF3', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN THETA', NULL, NULL, NULL, 15),
(69264, NULL, 'PTHR45691:SF9', NULL, NULL, NULL, NULL, 'PROTEIN DIAPHANOUS HOMOLOG 3', NULL, NULL, 28093, 15),
(69265, NULL, 'PTHR30540:SF33', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 4-RELATED', NULL, NULL, NULL, 15),
(69266, NULL, 'PTHR23301:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69267, NULL, 'PTHR45648:SF28', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(69268, NULL, 'PTHR12354:SF16', NULL, NULL, NULL, NULL, 'INTERFERON-RELATED DEVELOPMENTAL REGULATOR FAMILY PROTEIN / IFRD PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(69269, NULL, 'PTHR38608', NULL, NULL, NULL, NULL, 'PROTEIN CBG07207', NULL, NULL, NULL, 15),
(69270, NULL, 'PTHR13068:SF190', NULL, NULL, NULL, NULL, 'BNAC03G44350D PROTEIN', NULL, NULL, NULL, 15),
(69271, NULL, 'PTHR10394:SF12', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', NULL, NULL, NULL, 15),
(69272, NULL, 'PTHR31734:SF183', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(69273, NULL, 'PTHR48041:SF35', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, G1, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(69274, NULL, 'PTHR22791:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 225', NULL, NULL, NULL, 15),
(69275, NULL, 'PTHR15073:SF2', NULL, NULL, NULL, NULL, 'MAP7 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(69276, NULL, 'PTHR13466:SF13', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69277, NULL, 'PTHR10829:SF29', NULL, NULL, NULL, NULL, 'COACTOSIN-LIKE PROTEIN', NULL, NULL, 28989, 15),
(69278, NULL, 'PTHR33516:SF2', NULL, NULL, NULL, NULL, 'PROPHAGE REPRESSOR COHE-RELATED', NULL, NULL, NULL, 15),
(69279, NULL, 'PTHR43721:SF9', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN 1', NULL, NULL, 35964, 15),
(69280, NULL, 'PTHR24355:SF14', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE 4', NULL, NULL, NULL, 15),
(69281, NULL, 'PTHR12805:SF0', NULL, NULL, NULL, NULL, 'DNA/RNA-BINDING PROTEIN KIN17', NULL, NULL, NULL, 15),
(69282, NULL, 'PTHR31353:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM98A-LIKE PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69283, NULL, 'PTHR21137:SF30', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 83A', NULL, NULL, NULL, 15),
(69284, NULL, 'PTHR46852:SF1', NULL, NULL, NULL, NULL, 'ALKALINE PHYTOCERAMIDASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(69285, NULL, 'PTHR30290:SF38', NULL, NULL, NULL, NULL, 'PERIPLASMIC DIPEPTIDE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(69286, NULL, 'PTHR11561:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOENOLYPYRUVATE CARBOXYKINASE', NULL, NULL, NULL, 15),
(69287, NULL, 'PTHR31676:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69288, NULL, 'PTHR48045:SF13', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69289, NULL, 'PTHR31100:SF83', NULL, NULL, NULL, NULL, 'BNAC05G49680D PROTEIN', NULL, NULL, NULL, 15),
(69290, NULL, 'PTHR10956:SF33', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L31-2-RELATED', NULL, NULL, NULL, 15),
(69291, NULL, 'PTHR31734:SF34', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA15', NULL, NULL, NULL, 15),
(69292, NULL, 'PTHR13778:SF50', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(69293, NULL, 'PTHR13817:SF130', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 3A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(69294, NULL, 'PTHR28039:SF8', NULL, NULL, NULL, NULL, 'CHALCONE--FLAVONONE ISOMERASE 1-RELATED', NULL, NULL, NULL, 15),
(69295, NULL, 'PTHR22602:SF0', NULL, NULL, NULL, NULL, 'TRANSFERASE CAF17, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(69296, NULL, 'PTHR19282:SF3', NULL, NULL, NULL, NULL, 'TETRASPANIN-31', NULL, NULL, NULL, 15),
(69297, NULL, 'PTHR35274:SF2', NULL, NULL, NULL, NULL, 'E6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(69298, NULL, 'PTHR31205:SF50', NULL, NULL, NULL, NULL, 'BNAA07G28440D PROTEIN', NULL, NULL, NULL, 15),
(69299, NULL, 'PTHR32227:SF107', NULL, NULL, NULL, NULL, 'ENDO-1,3-BETA-GLUCOSIDASE 7, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(69300, NULL, 'PTHR12349:SF4', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND LEM DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 12667, 15),
(69301, NULL, 'PTHR10676:SF359', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(69302, NULL, 'PTHR31733:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69303, NULL, 'PTHR37804', NULL, NULL, NULL, NULL, 'CDAA REGULATORY PROTEIN CDAR', NULL, NULL, NULL, 15),
(69304, NULL, 'PTHR22952:SF184', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(69305, NULL, 'PTHR24298:SF612', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A2-LIKE', NULL, NULL, NULL, 15),
(69306, NULL, 'PTHR48081:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69307, NULL, 'PTHR11782:SF35', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 5', NULL, NULL, NULL, 15),
(69308, NULL, 'PTHR24286:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69309, NULL, 'PTHR23335:SF26', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', NULL, NULL, NULL, 15),
(69310, NULL, 'PTHR10221', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 6', NULL, NULL, 33643, 15),
(69311, NULL, 'PTHR24064:SF532', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE 2-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69312, NULL, 'PTHR31639:SF100', NULL, NULL, NULL, NULL, 'OS06G0713400 PROTEIN', NULL, NULL, NULL, 15),
(69313, NULL, 'PTHR31451:SF36', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 4', NULL, NULL, NULL, 15),
(69314, NULL, 'PTHR35756', NULL, NULL, NULL, NULL, 'OS05G0337400 PROTEIN', NULL, NULL, NULL, 15),
(69315, NULL, 'PTHR15681:SF1', NULL, NULL, NULL, NULL, 'MAD2L1-BINDING PROTEIN', NULL, NULL, NULL, 15),
(69316, NULL, 'PTHR45614:SF88', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB119-RELATED', NULL, NULL, NULL, 15),
(69317, NULL, 'PTHR27003:SF333', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(69318, NULL, 'PTHR44094:SF6', NULL, NULL, NULL, NULL, 'OS01G0702450 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69319, NULL, 'PTHR31100:SF56', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 22', NULL, NULL, NULL, 15),
(69320, NULL, 'PTHR10949:SF0', NULL, NULL, NULL, NULL, 'LIPOYL SYNTHASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(69321, NULL, 'PTHR31279:SF47', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM', NULL, NULL, NULL, 15),
(69322, NULL, 'PTHR43065:SF9', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE', NULL, NULL, NULL, 15),
(69323, NULL, 'PTHR10476:SF46', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 2 HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(69324, NULL, 'PTHR10980:SF9', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 1', NULL, NULL, NULL, 15),
(69325, NULL, 'PTHR22951:SF21', NULL, NULL, NULL, NULL, 'OS06G0661400 PROTEIN', NULL, NULL, NULL, 15),
(69326, NULL, 'PTHR31232:SF92', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', NULL, NULL, NULL, 15),
(69327, NULL, 'PTHR24291:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69328, NULL, 'PTHR31238:SF36', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 1-1', NULL, NULL, NULL, 15),
(69329, NULL, 'PTHR42825:SF22', NULL, NULL, NULL, NULL, 'BNAC03G41160D PROTEIN', NULL, NULL, NULL, 15),
(69330, NULL, 'PTHR46610:SF6', NULL, NULL, NULL, NULL, 'OS01G0585200 PROTEIN', NULL, NULL, NULL, 15),
(69331, NULL, 'PTHR46508', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69332, NULL, 'PTHR20932:SF2', NULL, NULL, NULL, NULL, 'AND PUTATIVE PEPTIDOGLYCAN-BINDING DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(69333, NULL, 'PTHR33541:SF19', NULL, NULL, NULL, NULL, 'BNAA06G00600D PROTEIN', NULL, NULL, NULL, 15),
(69334, NULL, 'PTHR33674', NULL, NULL, NULL, NULL, 'METHIONINE-S-OXIDE REDUCTASE', NULL, NULL, 37221, 15),
(69335, NULL, 'PTHR24349:SF179', NULL, NULL, NULL, NULL, 'MAP KINASE-ACTIVATED PROTEIN KINASE 5', NULL, NULL, NULL, 15),
(69336, NULL, 'PTHR33748:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG29112', NULL, NULL, NULL, 15),
(69337, NULL, 'PTHR11615:SF289', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE H', NULL, NULL, NULL, 15),
(69338, NULL, 'PTHR47016:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPT1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(69339, NULL, 'PTHR24062:SF26', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(69340, NULL, 'PTHR11387:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT', NULL, NULL, NULL, 15),
(69341, NULL, 'PTHR46162', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69342, NULL, 'PTHR35340:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69343, NULL, 'PTHR32212:SF344', NULL, NULL, NULL, NULL, 'BNAA05G28170D PROTEIN', NULL, NULL, NULL, 15),
(69344, NULL, 'PTHR31890', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(69345, NULL, 'PTHR33869:SF18', NULL, NULL, NULL, NULL, 'BNAANNG37330D PROTEIN', NULL, NULL, NULL, 15),
(69346, NULL, 'PTHR32015:SF4', NULL, NULL, NULL, NULL, 'LIPASE RELATED', NULL, NULL, NULL, 15),
(69347, NULL, 'PTHR31589:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69348, NULL, 'PTHR43490:SF106', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(69349, NULL, 'PTHR12537:SF163', NULL, NULL, NULL, NULL, 'OS03G0191700 PROTEIN', NULL, NULL, NULL, 15),
(69350, NULL, 'PTHR31707:SF194', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', NULL, NULL, NULL, 15),
(69351, NULL, 'PTHR33221:SF9', NULL, NULL, NULL, NULL, 'RRF2 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69352, NULL, 'PTHR12863:SF17', NULL, NULL, NULL, NULL, 'FATTY ACID 2-HYDROXYLASE 2', NULL, NULL, NULL, 15),
(69353, NULL, 'PTHR11607:SF19', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE B', NULL, NULL, NULL, 15),
(69354, NULL, 'PTHR31669:SF212', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 11-LIKE', NULL, NULL, NULL, 15),
(69355, NULL, 'PTHR47025:SF17', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE WITH RING/FYVE/PHD-TYPE ZINC FINGER DOMAIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69356, NULL, 'PTHR45657:SF53', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH3', NULL, NULL, NULL, 15),
(69357, NULL, 'PTHR43599', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL PROTEIN ADE2', NULL, NULL, NULL, 15),
(69358, NULL, 'PTHR46413:SF24', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 5', NULL, NULL, NULL, 15),
(69359, NULL, 'PTHR11440:SF51', NULL, NULL, NULL, NULL, 'LECITHIN-CHOLESTEROL ACYLTRANSFERASE-LIKE 1', NULL, NULL, NULL, 15),
(69360, NULL, 'PTHR11630:SF101', NULL, NULL, NULL, NULL, 'DNA HELICASE', NULL, NULL, NULL, 15),
(69361, NULL, 'PTHR22930:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69362, NULL, 'PTHR23430:SF200', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(69363, NULL, 'PTHR31992:SF62', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.7', NULL, NULL, NULL, 15),
(69364, NULL, 'PTHR23065:SF50', NULL, NULL, NULL, NULL, 'ZGC:91999', NULL, NULL, NULL, 15),
(69365, NULL, 'PTHR21243:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69366, NULL, 'PTHR44329:SF88', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', NULL, NULL, NULL, 15),
(69367, NULL, 'PTHR15597:SF40', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN FOX-1 HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(69368, NULL, 'PTHR21659:SF90', NULL, NULL, NULL, NULL, 'PROTEIN CBG04231', NULL, NULL, NULL, 15),
(69369, NULL, 'PTHR32170:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69370, NULL, 'PTHR12475', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69371, NULL, 'PTHR30566:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69372, NULL, 'PTHR33960', NULL, NULL, NULL, NULL, 'SIMILAR TO KIAA0825 PROTEIN', NULL, NULL, 25879, 15),
(69373, NULL, 'PTHR47293:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69374, NULL, 'PTHR12357:SF77', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CONSERVED C-TERMINAL REGION 10', NULL, NULL, NULL, 15),
(69375, NULL, 'PTHR46465', NULL, NULL, NULL, NULL, 'LATERAL SIGNALING TARGET PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(69376, NULL, 'PTHR43408:SF1', NULL, NULL, NULL, NULL, 'FMN REDUCTASE (NADPH)', NULL, NULL, NULL, 15),
(69377, NULL, 'PTHR37273', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(69378, NULL, 'PTHR43243:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69379, NULL, 'PTHR11260:SF634', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(69380, NULL, 'PTHR33090:SF39', NULL, NULL, NULL, NULL, 'BNAC06G41740D PROTEIN', NULL, NULL, NULL, 15),
(69381, NULL, 'PTHR10937:SF10', NULL, NULL, NULL, NULL, 'GLUTAMINE--FRUCTOSE-6-PHOSPHATE AMINOTRANSFERASE [ISOMERIZING] 2', NULL, NULL, NULL, 15),
(69382, NULL, 'PTHR13585:SF19', NULL, NULL, NULL, NULL, 'CHASCON, ISOFORM D-RELATED', NULL, NULL, NULL, 15),
(69383, NULL, 'PTHR33205', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69384, NULL, 'PTHR47103:SF6', NULL, NULL, NULL, NULL, 'OS10G0545300 PROTEIN', NULL, NULL, NULL, 15),
(69385, NULL, 'PTHR11545:SF30', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13A', NULL, NULL, NULL, 15),
(69386, NULL, 'PTHR47080:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 96', NULL, NULL, NULL, 15),
(69387, NULL, 'PTHR26379:SF280', NULL, NULL, NULL, NULL, 'OS10G0423400 PROTEIN', NULL, NULL, NULL, 15),
(69388, NULL, 'PTHR31668:SF9', NULL, NULL, NULL, NULL, 'URACIL CATABOLISM PROTEIN 2', NULL, NULL, NULL, 15),
(69389, NULL, 'PTHR47990', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69390, NULL, 'PTHR31374:SF142', NULL, NULL, NULL, NULL, 'OS07G0475700 PROTEIN', NULL, NULL, NULL, 15),
(69391, NULL, 'PTHR15462:SF10', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 23', NULL, NULL, NULL, 15),
(69392, NULL, 'PTHR13620:SF54', NULL, NULL, NULL, NULL, 'OS01G0566000 PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69393, NULL, 'PTHR13847:SF181', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G06470)-RELATED', NULL, NULL, NULL, 15),
(69394, NULL, 'PTHR23267:SF322', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-10', NULL, NULL, NULL, 15),
(69395, NULL, 'PTHR23273:SF51', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69396, NULL, 'PTHR23267:SF133', NULL, NULL, NULL, NULL, 'PRE-B LYMPHOCYTE PROTEIN 3', NULL, NULL, NULL, 15),
(69397, NULL, 'PTHR12844:SF12', NULL, NULL, NULL, NULL, 'SI:CH211-26B3.4', NULL, NULL, NULL, 15),
(69398, NULL, 'PTHR24366:SF58', NULL, NULL, NULL, NULL, 'MESOCENTIN', NULL, NULL, NULL, 15),
(69399, NULL, 'PTHR10046:SF68', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG 2, PEROXISOMAL', NULL, NULL, NULL, 15),
(69400, NULL, 'PTHR10545:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69401, NULL, 'PTHR20852:SF42', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE (GLUTAMATE-AMMONIA LIGASE)', NULL, NULL, NULL, 15),
(69402, NULL, 'PTHR31802:SF17', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(69403, NULL, 'PTHR48053:SF43', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM3', NULL, NULL, NULL, 15),
(69404, NULL, 'PTHR11062:SF97', NULL, NULL, NULL, NULL, 'EXOSTOSIN-1', NULL, NULL, 24874, 15),
(69405, NULL, 'PTHR31656:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69406, NULL, 'PTHR46898:SF4', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED CARBOXYLESTERASE 101-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(69407, NULL, 'PTHR33122:SF46', NULL, NULL, NULL, NULL, 'OS07G0290200 PROTEIN', NULL, NULL, NULL, 15),
(69408, NULL, 'PTHR31744:SF133', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(69409, NULL, 'PTHR12378:SF65', NULL, NULL, NULL, NULL, 'BNAC07G34370D PROTEIN', NULL, NULL, NULL, 15),
(69410, NULL, 'PTHR23176:SF102', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACI', NULL, NULL, NULL, 15),
(69411, NULL, 'PTHR10196:SF78', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE', NULL, NULL, NULL, 15),
(69412, NULL, 'PTHR28177', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 19, MITOCHONDRIAL', NULL, NULL, 16671, 15),
(69413, NULL, 'PTHR45180', NULL, NULL, NULL, NULL, 'OS01G0307686 PROTEIN', NULL, NULL, NULL, 15),
(69414, NULL, 'PTHR43228:SF13', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(69415, NULL, 'PTHR11588:SF362', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(69416, NULL, 'PTHR23070:SF80', NULL, NULL, NULL, NULL, 'AAA1', NULL, NULL, NULL, 15),
(69417, NULL, 'PTHR33047:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69418, NULL, 'PTHR12370:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE 1', NULL, NULL, NULL, 15),
(69419, NULL, 'PTHR46369:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CELLULOSE SYNTHASE INTERACTIVE 1', NULL, NULL, NULL, 15),
(69420, NULL, 'PTHR28009:SF1', NULL, NULL, NULL, NULL, 'PHEROMONE ALPHA FACTOR RECEPTOR', NULL, NULL, NULL, 15),
(69421, NULL, 'PTHR11800:SF16', NULL, NULL, NULL, NULL, 'BNAC01G28690D PROTEIN', NULL, NULL, NULL, 15),
(69422, NULL, 'PTHR11017:SF434', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69423, NULL, 'PTHR10005:SF8', NULL, NULL, NULL, NULL, 'SKI FAMILY TRANSCRIPTIONAL COREPRESSOR 1', NULL, NULL, 22952, 15),
(69424, NULL, 'PTHR24366:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69425, NULL, 'PTHR24127', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND EF-HAND DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(69426, NULL, 'PTHR15852:SF51', NULL, NULL, NULL, NULL, 'PROTEIN BUNDLE SHEATH DEFECTIVE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(69427, NULL, 'PTHR31627:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-8', NULL, NULL, NULL, 15),
(69428, NULL, 'PTHR43976:SF9', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69429, NULL, 'PTHR13869:SF40', NULL, NULL, NULL, NULL, 'SCN4BA PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69430, NULL, 'PTHR19134:SF489', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE 3', NULL, NULL, NULL, 15),
(69431, NULL, 'PTHR10585:SF71', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN RETAINING RECEPTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69432, NULL, 'PTHR33600:SF1', NULL, NULL, NULL, NULL, 'OS06G0506000 PROTEIN', NULL, NULL, NULL, 15),
(69433, NULL, 'PTHR33971:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69434, NULL, 'PTHR11599:SF110', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, NULL, 15),
(69435, NULL, 'PTHR26452:SF76', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(69436, NULL, 'PTHR37812:SF1', NULL, NULL, NULL, NULL, 'MU-LIKE PROPHAGE FLUMU PROTEIN C', NULL, NULL, NULL, 15),
(69437, NULL, 'PTHR10799:SF856', NULL, NULL, NULL, NULL, 'ISWI CHROMATIN-REMODELING COMPLEX ATPASE ISW1', NULL, NULL, NULL, 15),
(69438, NULL, 'PTHR11877:SF62', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 7', NULL, NULL, NULL, 15),
(69439, NULL, 'PTHR19241:SF497', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 45', NULL, NULL, NULL, 15),
(69440, NULL, 'PTHR46905:SF1', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL79-LIKE', NULL, NULL, NULL, 15),
(69441, NULL, 'PTHR14336', NULL, NULL, NULL, NULL, 'TANDEM PH DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(69442, NULL, 'PTHR33130:SF40', NULL, NULL, NULL, NULL, 'CHROMOGRANIN (DUF1639)', NULL, NULL, NULL, 15),
(69443, NULL, 'PTHR47551:SF1', NULL, NULL, NULL, NULL, 'TUBULIN--TYROSINE LIGASE PBY1-RELATED', NULL, NULL, NULL, 15),
(69444, NULL, 'PTHR21292:SF16', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 3-LIKE 4-RELATED', NULL, NULL, NULL, 15),
(69445, NULL, 'PTHR20963:SF48', NULL, NULL, NULL, NULL, 'MULTIPLE INOSITOL POLYPHOSPHATE PHOSPHATASE 1', NULL, NULL, NULL, 15),
(69446, NULL, 'PTHR42968', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING', NULL, NULL, NULL, 15),
(69447, NULL, 'PTHR11963:SF20', NULL, NULL, NULL, NULL, 'PEPTIDASE B', NULL, NULL, 2241, 15),
(69448, NULL, 'PTHR23261:SF70', NULL, NULL, NULL, NULL, 'CUTICLIN-2-RELATED', NULL, NULL, NULL, 15),
(69449, NULL, 'PTHR46279:SF18', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL20-LIKE', NULL, NULL, NULL, 15),
(69450, NULL, 'PTHR40068', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR NIAR-RELATED', NULL, NULL, 27420, 15),
(69451, NULL, 'PTHR32295:SF174', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(69452, NULL, 'PTHR24103:SF589', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM41', NULL, NULL, NULL, 15),
(69453, NULL, 'PTHR16154:SF22', NULL, NULL, NULL, NULL, 'NEURABIN-1', NULL, NULL, 27668, 15),
(69454, NULL, 'PTHR35811', NULL, NULL, NULL, NULL, 'SLR1870 PROTEIN', NULL, NULL, NULL, 15),
(69455, NULL, 'PTHR11306:SF54', NULL, NULL, NULL, NULL, 'MD-2-RELATED LIPID RECOGNITION DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69456, NULL, 'PTHR37744', NULL, NULL, NULL, NULL, 'STAR LIPID TRANSFER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(69457, NULL, 'PTHR11039:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69458, NULL, 'PTHR10654:SF19', NULL, NULL, NULL, NULL, 'CAS SCAFFOLDING PROTEIN FAMILY MEMBER 4', NULL, NULL, 19925, 15),
(69459, NULL, 'PTHR24256:SF477', NULL, NULL, NULL, NULL, 'LD47230P-RELATED', NULL, NULL, NULL, 15),
(69460, NULL, 'PTHR46463:SF39', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE', NULL, NULL, NULL, 15),
(69461, NULL, 'PTHR31374:SF317', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(69462, NULL, 'PTHR10699:SF26', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY, Q', NULL, NULL, NULL, 15),
(69463, NULL, 'PTHR45968:SF34', NULL, NULL, NULL, NULL, 'BNAC03G15770D PROTEIN', NULL, NULL, NULL, 15),
(69464, NULL, 'PTHR21569:SF30', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S9P', NULL, NULL, NULL, 15),
(69465, NULL, 'PTHR21184:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69466, NULL, 'PTHR32410', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69467, NULL, 'PTHR31970:SF10', NULL, NULL, NULL, NULL, 'BNAA09G40790D PROTEIN', NULL, NULL, NULL, 15),
(69468, NULL, 'PTHR45718:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GLI1', NULL, NULL, 24376, 15),
(69469, NULL, 'PTHR10766:SF108', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(69470, NULL, 'PTHR31964:SF126', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(69471, NULL, 'PTHR10795:SF683', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE PROTEASE', NULL, NULL, NULL, 15),
(69472, NULL, 'PTHR38110:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(69473, NULL, 'PTHR24070:SF384', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAPC', NULL, NULL, NULL, 15),
(69474, NULL, 'PTHR28242:SF26', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(69475, NULL, 'PTHR34582', NULL, NULL, NULL, NULL, 'UPF0702 TRANSMEMBRANE PROTEIN YCAP', NULL, NULL, NULL, 15),
(69476, NULL, 'PTHR11751', NULL, NULL, NULL, NULL, 'ALANINE AMINOTRANSFERASE', NULL, NULL, 39160, 15),
(69477, NULL, 'PTHR12922:SF7', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS PROTEIN COQ4 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(69478, NULL, 'PTHR24298:SF475', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 705A5-RELATED', NULL, NULL, NULL, 15),
(69479, NULL, 'PTHR48047:SF31', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(69480, NULL, 'PTHR46652:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IQ DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(69481, NULL, 'PTHR24184', NULL, NULL, NULL, NULL, 'SI:CH211-189E2.2', NULL, NULL, NULL, 15),
(69482, NULL, 'PTHR14379:SF65', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, MEIOSIS ARREST FEMALE PROTEIN 1, PIN DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69483, NULL, 'PTHR36901:SF5', NULL, NULL, NULL, NULL, 'OS10G0520200 PROTEIN', NULL, NULL, NULL, 15),
(69484, NULL, 'PTHR10182:SF9', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 39-LIKE', NULL, NULL, NULL, 15),
(69485, NULL, 'PTHR31659:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69486, NULL, 'PTHR11804:SF78', NULL, NULL, NULL, NULL, 'BNAC02G00250D PROTEIN', NULL, NULL, NULL, 15),
(69487, NULL, 'PTHR32370:SF13', NULL, NULL, NULL, NULL, 'OS07G0584200 PROTEIN', NULL, NULL, NULL, 15),
(69488, NULL, 'PTHR37429:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG15883', NULL, NULL, NULL, 15),
(69489, NULL, 'PTHR30501', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 15964, 15),
(69490, NULL, 'PTHR47993:SF147', NULL, NULL, NULL, NULL, 'BNAA06G34270D PROTEIN', NULL, NULL, NULL, 15),
(69491, NULL, 'PTHR19211:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69492, NULL, 'PTHR28242:SF38', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(69493, NULL, 'PTHR22775:SF31', NULL, NULL, NULL, NULL, 'SORTING NEXIN-19', NULL, NULL, 16118, 15),
(69494, NULL, 'PTHR31913', NULL, NULL, NULL, NULL, 'VACUOLAR IMPORT AND DEGRADATION PROTEIN 27', NULL, NULL, 35091, 15),
(69495, NULL, 'PTHR13140:SF719', NULL, NULL, NULL, NULL, 'PROTEIN CBR-SPE-15', NULL, NULL, NULL, 15),
(69496, NULL, 'PTHR10209:SF773', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69497, NULL, 'PTHR21068:SF20', NULL, NULL, NULL, NULL, 'SPARTIN', NULL, NULL, NULL, 15),
(69498, NULL, 'PTHR11843:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15),
(69499, NULL, 'PTHR10075:SF82', NULL, NULL, NULL, NULL, 'NEURONAL IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN RIG-3', NULL, NULL, NULL, 15),
(69500, NULL, 'PTHR24058', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE', NULL, NULL, NULL, 15),
(69501, NULL, 'PTHR35365:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69502, NULL, 'PTHR24072:SF295', NULL, NULL, NULL, NULL, 'RHO-RELATED PROTEIN RACD-RELATED', NULL, NULL, NULL, 15),
(69503, NULL, 'PTHR31094', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2310061I04 GENE', NULL, NULL, 19287, 15),
(69504, NULL, 'PTHR14409:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69505, NULL, 'PTHR45689:SF5', NULL, NULL, NULL, NULL, 'I[[H]] CHANNEL, ISOFORM E', NULL, NULL, NULL, 15),
(69506, NULL, 'PTHR23044', NULL, NULL, NULL, NULL, '3''-5'' EXONUCLEASE ERI1-RELATED', NULL, NULL, NULL, 15),
(69507, NULL, 'PTHR35869:SF1', NULL, NULL, NULL, NULL, 'OUTER-MEMBRANE LIPOPROTEIN CARRIER PROTEIN', NULL, NULL, NULL, 15),
(69508, NULL, 'PTHR33048:SF128', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN PTH11-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13800)-RELATED', NULL, NULL, NULL, 15),
(69509, NULL, 'PTHR43768:SF15', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE 10-RELATED', NULL, NULL, NULL, 15),
(69510, NULL, 'PTHR45759:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR GTP-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(69511, NULL, 'PTHR31920:SF50', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM23', NULL, NULL, NULL, 15),
(69512, NULL, 'PTHR14513:SF4', NULL, NULL, NULL, NULL, 'PROTECTION OF TELOMERES PROTEIN 1A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(69513, NULL, 'PTHR42858', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(69514, NULL, 'PTHR33168:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69515, NULL, 'PTHR10625:SF202', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, NULL, 15),
(69516, NULL, 'PTHR10334:SF399', NULL, NULL, NULL, NULL, 'VENOM-ALLERGEN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(69517, NULL, 'PTHR24098:SF11', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 80 HOMOLOG', NULL, NULL, NULL, 15),
(69518, NULL, 'PTHR11070:SF57', NULL, NULL, NULL, NULL, 'DNA HELICASE', NULL, NULL, NULL, 15),
(69519, NULL, 'PTHR11654:SF496', NULL, NULL, NULL, NULL, 'OS03G0235900 PROTEIN', NULL, NULL, NULL, 15),
(69520, NULL, 'PTHR10372:SF9', NULL, NULL, NULL, NULL, 'CATENIN DELTA-2', NULL, NULL, NULL, 15),
(69521, NULL, 'PTHR28018:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69522, NULL, 'PTHR42029', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69523, NULL, 'PTHR10994:SF142', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(69524, NULL, 'PTHR45650:SF44', NULL, NULL, NULL, NULL, 'BNAA02G27380D PROTEIN', NULL, NULL, NULL, 15),
(69525, NULL, 'PTHR10562:SF90', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 2', NULL, NULL, NULL, 15),
(69526, NULL, 'PTHR24115:SF549', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(69527, NULL, 'PTHR31100:SF80', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(69528, NULL, 'PTHR21261:SF2', NULL, NULL, NULL, NULL, 'GH04238P-RELATED', NULL, NULL, NULL, 15),
(69529, NULL, 'PTHR11360:SF223', NULL, NULL, NULL, NULL, 'ASPYRIDONES EFFLUX PROTEIN APDF-RELATED', NULL, NULL, NULL, 15),
(69530, NULL, 'PTHR45967:SF26', NULL, NULL, NULL, NULL, 'OS07G0209800 PROTEIN', NULL, NULL, NULL, 15),
(69531, NULL, 'PTHR33820', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 17', NULL, NULL, 34991, 15),
(69532, NULL, 'PTHR48017:SF3', NULL, NULL, NULL, NULL, 'BNAA09G28620D PROTEIN', NULL, NULL, NULL, 15),
(69533, NULL, 'PTHR12258', NULL, NULL, NULL, NULL, 'JANUS-A/JANUS-B', NULL, NULL, 1393, 15),
(69534, NULL, 'PTHR21499:SF40', NULL, NULL, NULL, NULL, 'OS01G0927900 PROTEIN', NULL, NULL, NULL, 15),
(69535, NULL, 'PTHR42898:SF29', NULL, NULL, NULL, NULL, 'BNAA05G12670D PROTEIN', NULL, NULL, NULL, 15),
(69536, NULL, 'PTHR45647:SF46', NULL, NULL, NULL, NULL, 'OS09G0569800 PROTEIN', NULL, NULL, NULL, 15),
(69537, NULL, 'PTHR27004:SF198', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', NULL, NULL, NULL, 15),
(69538, NULL, 'PTHR45644:SF49', NULL, NULL, NULL, NULL, 'P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69539, NULL, 'PTHR19282:SF377', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(69540, NULL, 'PTHR47925:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69541, NULL, 'PTHR31896:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69542, NULL, 'PTHR10578:SF127', NULL, NULL, NULL, NULL, 'HYDROXYACID OXIDASE 1', NULL, NULL, NULL, 15),
(69543, NULL, 'PTHR11616:SF105', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT SEROTONIN TRANSPORTER', NULL, NULL, NULL, 15),
(69544, NULL, 'PTHR47527:SF5', NULL, NULL, NULL, NULL, 'BNAA05G18770D PROTEIN', NULL, NULL, NULL, 15),
(69545, NULL, 'PTHR32295:SF197', NULL, NULL, NULL, NULL, 'BNAA05G09740D PROTEIN', NULL, NULL, NULL, 15),
(69546, NULL, 'PTHR27007:SF297', NULL, NULL, NULL, NULL, 'BNAA10G13100D PROTEIN', NULL, NULL, NULL, 15),
(69547, NULL, 'PTHR28581', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38176, 15),
(69548, NULL, 'PTHR15454:SF35', NULL, NULL, NULL, NULL, 'NISCHARIN', NULL, NULL, NULL, 15),
(69549, NULL, 'PTHR47327:SF6', NULL, NULL, NULL, NULL, 'PROTEIN LET-653', NULL, NULL, NULL, 15),
(69550, NULL, 'PTHR24177:SF284', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69551, NULL, 'PTHR45651:SF52', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 5-RELATED', NULL, NULL, NULL, 15),
(69552, NULL, 'PTHR31061:SF6', NULL, NULL, NULL, NULL, 'OS02G0526000 PROTEIN', NULL, NULL, NULL, 15),
(69553, NULL, 'PTHR15907:SF162', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 6', NULL, NULL, NULL, 15),
(69554, NULL, 'PTHR24343:SF198', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(69555, NULL, 'PTHR24388:SF58', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(69556, NULL, 'PTHR24031:SF730', NULL, NULL, NULL, NULL, 'BNAC02G01070D PROTEIN', NULL, NULL, NULL, 15),
(69557, NULL, 'PTHR46851:SF12', NULL, NULL, NULL, NULL, 'ZINC ION BINDING,DNA BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69558, NULL, 'PTHR22642:SF16', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69559, NULL, 'PTHR32468:SF132', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 21-RELATED', NULL, NULL, NULL, 15),
(69560, NULL, 'PTHR14791:SF23', NULL, NULL, NULL, NULL, 'AGAP006574-PA', NULL, NULL, NULL, 15),
(69561, NULL, 'PTHR21733:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13564', NULL, NULL, NULL, 15),
(69562, NULL, 'PTHR11260:SF538', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69563, NULL, 'PTHR32246:SF97', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69564, NULL, 'PTHR20900:SF1', NULL, NULL, NULL, NULL, 'BNAA02G26170D PROTEIN', NULL, NULL, NULL, 15),
(69565, NULL, 'PTHR14662', NULL, NULL, NULL, NULL, 'PARTNER AND LOCALIZER OF BRCA2', NULL, NULL, 37318, 15),
(69566, NULL, 'PTHR31210:SF74', NULL, NULL, NULL, NULL, 'OS07G0414700 PROTEIN', NULL, NULL, NULL, 15),
(69567, NULL, 'PTHR23021:SF83', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(69568, NULL, 'PTHR21068:SF38', NULL, NULL, NULL, NULL, 'SENESCENCE/SPARTIN-ASSOCIATED-RELATED', NULL, NULL, NULL, 15),
(69569, NULL, 'PTHR45787:SF5', NULL, NULL, NULL, NULL, 'LIM DOMAIN TRANSCRIPTION FACTOR LMO4', NULL, NULL, NULL, 15),
(69570, NULL, 'PTHR47032:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(69571, NULL, 'PTHR26453:SF228', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(69572, NULL, 'PTHR10676:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69573, NULL, 'PTHR46128:SF276', NULL, NULL, NULL, NULL, 'BNAA10G30370D PROTEIN', NULL, NULL, NULL, 15),
(69574, NULL, 'PTHR22914:SF26', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 7', NULL, NULL, NULL, 15),
(69575, NULL, 'PTHR30126:SF18', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69576, NULL, 'PTHR18952:SF138', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE XA-RELATED', NULL, NULL, 16503, 15),
(69577, NULL, 'PTHR23501:SF6', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14560)-RELATED', NULL, NULL, NULL, 15),
(69578, NULL, 'PTHR22674:SF4', NULL, NULL, NULL, NULL, 'NTPASE KAP FAMILY P-LOOP DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(69579, NULL, 'PTHR31161:SF15', NULL, NULL, NULL, NULL, 'OS02G0639200 PROTEIN', NULL, NULL, NULL, 15),
(69580, NULL, 'PTHR31719:SF121', NULL, NULL, NULL, NULL, 'OS11G0126900 PROTEIN', NULL, NULL, NULL, 15),
(69581, NULL, 'PTHR31374:SF133', NULL, NULL, NULL, NULL, 'BNAC09G29950D PROTEIN', NULL, NULL, NULL, 15),
(69582, NULL, 'PTHR21549:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 148', NULL, NULL, NULL, 15),
(69583, NULL, 'PTHR32382:SF38', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 1', NULL, NULL, NULL, 15),
(69584, NULL, 'PTHR31917:SF62', NULL, NULL, NULL, NULL, 'PLANT TUDOR-LIKE RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(69585, NULL, 'PTHR46336', NULL, NULL, NULL, NULL, 'OS02G0260700 PROTEIN', NULL, NULL, 39863, 15),
(69586, NULL, 'PTHR10241:SF27', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(69587, NULL, 'PTHR47208:SF8', NULL, NULL, NULL, NULL, 'DUF581 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69588, NULL, 'PTHR43239:SF1', NULL, NULL, NULL, NULL, 'UPF0734 PROTEIN DDB_G0273871/DDB_G0273177', NULL, NULL, NULL, 15),
(69589, NULL, 'PTHR24393:SF55', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(69590, NULL, 'PTHR43159:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69591, NULL, 'PTHR22981:SF81', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69592, NULL, 'PTHR31194:SF96', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(69593, NULL, 'PTHR36149:SF1', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69594, NULL, 'PTHR47966:SF25', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY, ASPARTIC PEPTIDASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69595, NULL, 'PTHR47979:SF17', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-4B', NULL, NULL, NULL, 15),
(69596, NULL, 'PTHR47951:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 706, SUBFAMILY A, POLYPEPTIDE 3-RELATED', NULL, NULL, NULL, 15),
(69597, NULL, 'PTHR31262:SF10', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(69598, NULL, 'PTHR10984:SF58', NULL, NULL, NULL, NULL, 'OS05G0490200 PROTEIN', NULL, NULL, NULL, 15),
(69599, NULL, 'PTHR32093:SF142', NULL, NULL, NULL, NULL, 'BNAC05G49420D PROTEIN', NULL, NULL, NULL, 15),
(69600, NULL, 'PTHR46288:SF37', NULL, NULL, NULL, NULL, 'ZINC FINGER, PHD-TYPE, DC1, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(69601, NULL, 'PTHR46279:SF13', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL21A-RELATED', NULL, NULL, NULL, 15),
(69602, NULL, 'PTHR44156:SF16', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN-CONTAINING 9', NULL, NULL, NULL, 15),
(69603, NULL, 'PTHR10496:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', NULL, NULL, NULL, 15),
(69604, NULL, 'PTHR46579:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69605, NULL, 'PTHR19277:SF122', NULL, NULL, NULL, NULL, 'PENTRAXIN-4', NULL, NULL, NULL, 15),
(69606, NULL, 'PTHR45622:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69607, NULL, 'PTHR23339:SF96', NULL, NULL, NULL, NULL, 'PALADIN', NULL, NULL, NULL, 15),
(69608, NULL, 'PTHR35546:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69609, NULL, 'PTHR37236', NULL, NULL, NULL, NULL, 'AUXIN-BINDING PROTEIN 1', NULL, NULL, 5665, 15),
(69610, NULL, 'PTHR21371', NULL, NULL, NULL, NULL, 'KETOL-ACID REDUCTOISOMERASE, MITOCHONDRIAL', NULL, NULL, 13475, 15),
(69611, NULL, 'PTHR28422:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO HUMAN CHROMOSOME 15 OPEN READING FRAME 39', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69612, NULL, 'PTHR18966:SF527', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, AMPA 3A', NULL, NULL, NULL, 15),
(69613, NULL, 'PTHR23430:SF301', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(69614, NULL, 'PTHR27001:SF748', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(69615, NULL, 'PTHR44102:SF1', NULL, NULL, NULL, NULL, 'OS10G0471400 PROTEIN', NULL, NULL, NULL, 15),
(69616, NULL, 'PTHR13743:SF136', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69617, NULL, 'PTHR24346:SF21', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MARK1', NULL, NULL, 35730, 15),
(69618, NULL, 'PTHR33107:SF65', NULL, NULL, NULL, NULL, 'BNAC09G14950D PROTEIN', NULL, NULL, NULL, 15),
(69619, NULL, 'PTHR46330:SF2', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 10A', NULL, NULL, NULL, 15),
(69620, NULL, 'PTHR12889:SF0', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE SUBUNIT APH-1', NULL, NULL, NULL, 15),
(69621, NULL, 'PTHR42943:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE KAPPA 1', NULL, NULL, NULL, 15),
(69622, NULL, 'PTHR31579:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69623, NULL, 'PTHR19282:SF455', NULL, NULL, NULL, NULL, 'TETRASPANIN-16', NULL, NULL, NULL, 15),
(69624, NULL, 'PTHR10791:SF115', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(69625, NULL, 'PTHR43673:SF2', NULL, NULL, NULL, NULL, 'NAD(P)H NITROREDUCTASE YDGI-RELATED', NULL, NULL, NULL, 15),
(69626, NULL, 'PTHR35860:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM24A', NULL, NULL, NULL, 15),
(69627, NULL, 'PTHR43075', NULL, NULL, NULL, NULL, 'FORMATE LYASE ACTIVATING ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15630)-RELATED', NULL, NULL, 31467, 15),
(69628, NULL, 'PTHR11937:SF176', NULL, NULL, NULL, NULL, 'ACTIN, ALPHA CARDIAC MUSCLE 1', NULL, NULL, NULL, 15),
(69629, NULL, 'PTHR11999:SF142', NULL, NULL, NULL, NULL, 'AROMATIC-L-AMINO-ACID DECARBOXYLASE-LIKE', NULL, NULL, NULL, 15),
(69630, NULL, 'PTHR19432:SF69', NULL, NULL, NULL, NULL, 'ZGC:77158', NULL, NULL, NULL, 15),
(69631, NULL, 'PTHR45635:SF37', NULL, NULL, NULL, NULL, 'ADP, ATP CARRIER PROTEIN', NULL, NULL, NULL, 15),
(69632, NULL, 'PTHR12455:SF1', NULL, NULL, NULL, NULL, 'BNAC09G09250D PROTEIN', NULL, NULL, NULL, 15),
(69633, NULL, 'PTHR40727', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR, ENCODED NEXT TO RECA SUPERFAMILY ATPASE-RELATED', NULL, NULL, NULL, 15),
(69634, NULL, 'PTHR34114:SF15', NULL, NULL, NULL, NULL, 'BNAC05G39800D PROTEIN', NULL, NULL, NULL, 15),
(69635, NULL, 'PTHR34188:SF9', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69636, NULL, 'PTHR10578:SF130', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO4', NULL, NULL, NULL, 15),
(69637, NULL, 'PTHR11439:SF332', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69638, NULL, 'PTHR30521:SF5', NULL, NULL, NULL, NULL, 'BLR4509 PROTEIN', NULL, NULL, NULL, 15),
(69639, NULL, 'PTHR43012', NULL, NULL, NULL, NULL, 'ADH3P', NULL, NULL, NULL, 15),
(69640, NULL, 'PTHR11256:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69641, NULL, 'PTHR10366:SF740', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69642, NULL, 'PTHR42953:SF8', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY ZINC UPTAKE SYSTEM PROTEIN ZNUA', NULL, NULL, NULL, 15),
(69643, NULL, 'PTHR48047:SF100', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN 3-O-GLUCOSYLTRANSFERASE 5-LIKE', NULL, NULL, NULL, 15),
(69644, NULL, 'PTHR33142:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69645, NULL, 'PTHR22599:SF53', NULL, NULL, NULL, NULL, 'ONE BINDER KINASE ACTIVATOR-LIKE 1A, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(69646, NULL, 'PTHR13563:SF16', NULL, NULL, NULL, NULL, 'TRNA METHYLTRANSFERASE 10 HOMOLOG B', NULL, NULL, NULL, 15),
(69647, NULL, 'PTHR15907:SF135', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 9-LIKE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69648, NULL, 'PTHR10627:SF46', NULL, NULL, NULL, NULL, 'BICC FAMILY RNA-BINDING PROTEIN 1A-RELATED', NULL, NULL, NULL, 15),
(69649, NULL, 'PTHR41390', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(69650, NULL, 'PTHR33265:SF6', NULL, NULL, NULL, NULL, 'OS01G0930500 PROTEIN', NULL, NULL, NULL, 15),
(69651, NULL, 'PTHR45687:SF73', NULL, NULL, NULL, NULL, 'BNAC06G14590D PROTEIN', NULL, NULL, NULL, 15),
(69652, NULL, 'PTHR47597', NULL, NULL, NULL, NULL, 'IS A MEMBER OF THE PF|00364 BIOTIN-REQUIRING ENZYMES FAMILY-RELATED', NULL, NULL, NULL, 15),
(69653, NULL, 'PTHR34052:SF9', NULL, NULL, NULL, NULL, 'BNAC04G19690D PROTEIN', NULL, NULL, NULL, 15),
(69654, NULL, 'PTHR46775:SF5', NULL, NULL, NULL, NULL, 'GBF-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(69655, NULL, 'PTHR11662:SF60', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', NULL, NULL, NULL, 15),
(69656, NULL, 'PTHR28511:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE V', NULL, NULL, NULL, 15),
(69657, NULL, 'PTHR30543:SF26', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69658, NULL, 'PTHR45188', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN P58IPK HOMOLOG', NULL, NULL, 38940, 15),
(69659, NULL, 'PTHR10281:SF73', NULL, NULL, NULL, NULL, 'OS07G0571500 PROTEIN', NULL, NULL, NULL, 15),
(69660, NULL, 'PTHR18821:SF10', NULL, NULL, NULL, NULL, 'PROKINETICIN 1', NULL, NULL, NULL, 15),
(69661, NULL, 'PTHR43447:SF31', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE ISOZYME 3C', NULL, NULL, NULL, 15),
(69662, NULL, 'PTHR12632:SF66', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-7', NULL, NULL, NULL, 15),
(69663, NULL, 'PTHR24249:SF403', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69664, NULL, 'PTHR46413:SF23', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', NULL, NULL, NULL, 15),
(69665, NULL, 'PTHR11206:SF414', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 7-RELATED', NULL, NULL, NULL, 15),
(69666, NULL, 'PTHR13878:SF138', NULL, NULL, NULL, NULL, 'BNAA10G28940D PROTEIN', NULL, NULL, NULL, 15),
(69667, NULL, 'PTHR48036', NULL, NULL, NULL, NULL, 'SPLICING FACTOR (PAD-1), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G15810)-RELATED', NULL, NULL, NULL, 15),
(69668, NULL, 'PTHR21407:SF1', NULL, NULL, NULL, NULL, 'RE43931P', NULL, NULL, NULL, 15),
(69669, NULL, 'PTHR18868:SF16', NULL, NULL, NULL, NULL, 'OS05G0158400 PROTEIN', NULL, NULL, NULL, 15),
(69670, NULL, 'PTHR11347:SF23', NULL, NULL, NULL, NULL, 'CONE CGMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE SUBUNIT ALPHA''', NULL, NULL, NULL, 15),
(69671, NULL, 'PTHR24377:SF816', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 615', NULL, NULL, NULL, 15),
(69672, NULL, 'PTHR31234:SF2', NULL, NULL, NULL, NULL, 'OS05G0199100 PROTEIN', NULL, NULL, NULL, 15),
(69673, NULL, 'PTHR12411:SF553', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69674, NULL, 'PTHR45621:SF104', NULL, NULL, NULL, NULL, 'KINASE CX32, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69675, NULL, 'PTHR31496:SF4', NULL, NULL, NULL, NULL, 'OS08G0160300 PROTEIN', NULL, NULL, NULL, 15),
(69676, NULL, 'PTHR22752:SF9', NULL, NULL, NULL, NULL, 'COUPLED RECEPTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69677, NULL, 'PTHR33736:SF19', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69678, NULL, 'PTHR47203', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69679, NULL, 'PTHR33349:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69680, NULL, 'PTHR24559:SF326', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON 17.6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(69681, NULL, 'PTHR31190:SF265', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(69682, NULL, 'PTHR23084:SF215', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(69683, NULL, 'PTHR44137:SF28', NULL, NULL, NULL, NULL, 'BNAA04G14940D PROTEIN', NULL, NULL, NULL, 15),
(69684, NULL, 'PTHR15710:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69685, NULL, 'PTHR35708:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69686, NULL, 'PTHR32285:SF255', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 33', NULL, NULL, NULL, 15),
(69687, NULL, 'PTHR11753:SF4', NULL, NULL, NULL, NULL, 'AP-4 COMPLEX SUBUNIT SIGMA-1', NULL, NULL, NULL, 15),
(69688, NULL, 'PTHR33065:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69689, NULL, 'PTHR23113:SF184', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR V', NULL, NULL, NULL, 15),
(69690, NULL, 'PTHR11220:SF54', NULL, NULL, NULL, NULL, 'OS02G0533200 PROTEIN', NULL, NULL, NULL, 15),
(69691, NULL, 'PTHR12341', NULL, NULL, NULL, NULL, '5''->3'' EXORIBONUCLEASE', NULL, NULL, 25954, 15),
(69692, NULL, 'PTHR10676:SF255', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 12, AXONEMAL', NULL, NULL, NULL, 15),
(69693, NULL, 'PTHR13844:SF66', NULL, NULL, NULL, NULL, 'CHROMATIN REMODELING COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(69694, NULL, 'PTHR34379:SF11', NULL, NULL, NULL, NULL, 'OS07G0553800 PROTEIN', NULL, NULL, NULL, 15),
(69695, NULL, 'PTHR33265:SF9', NULL, NULL, NULL, NULL, 'OS05G0520600 PROTEIN', NULL, NULL, NULL, 15),
(69696, NULL, 'PTHR11995:SF24', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', NULL, NULL, NULL, 15),
(69697, NULL, 'PTHR11260:SF645', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(69698, NULL, 'PTHR27007:SF255', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', NULL, NULL, NULL, 15),
(69699, NULL, 'PTHR24286:SF277', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 85A3', NULL, NULL, NULL, 15),
(69700, NULL, 'PTHR45795', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69701, NULL, 'PTHR46288:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69702, NULL, 'PTHR45023:SF8', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69703, NULL, 'PTHR43521', NULL, NULL, NULL, NULL, 'ALPHA-AMINOADIPIC SEMIALDEHYDE DEHYDROGENASE', NULL, NULL, 36718, 15),
(69704, NULL, 'PTHR44215', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 75', NULL, NULL, NULL, 15),
(69705, NULL, 'PTHR46991:SF21', NULL, NULL, NULL, NULL, 'BNAA02G17900D PROTEIN', NULL, NULL, NULL, 15),
(69706, NULL, 'PTHR11588:SF6', NULL, NULL, NULL, NULL, 'ZETA TUBULIN', NULL, NULL, NULL, 15),
(69707, NULL, 'PTHR47989:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69708, NULL, 'PTHR12317:SF61', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL ACYLTRANSFERASE FAMILY (AFU_ORTHOLOGUE AFUA_4G14150)', NULL, NULL, NULL, 15),
(69709, NULL, 'PTHR30108', NULL, NULL, NULL, NULL, '3-OCTAPRENYL-4-HYDROXYBENZOATE CARBOXY-LYASE-RELATED', NULL, NULL, 5418, 15),
(69710, NULL, 'PTHR24131:SF16', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P53-BINDING PROTEIN, 2B', NULL, NULL, NULL, 15),
(69711, NULL, 'PTHR46856:SF1', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN EREL1-RELATED', NULL, NULL, NULL, 15),
(69712, NULL, 'PTHR20934:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(69713, NULL, 'PTHR11710:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19', NULL, NULL, NULL, 15),
(69714, NULL, 'PTHR11216:SF144', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND PROTEIN', NULL, NULL, NULL, 15),
(69715, NULL, 'PTHR24394:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING 21', NULL, NULL, NULL, 15),
(69716, NULL, 'PTHR34835:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69717, NULL, 'PTHR10791:SF43', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET-RELATED', NULL, NULL, NULL, 15),
(69718, NULL, 'PTHR14139:SF4', NULL, NULL, NULL, NULL, 'CALSYNTENIN-1', NULL, NULL, NULL, 15),
(69719, NULL, 'PTHR10438:SF427', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(69720, NULL, 'PTHR43490:SF111', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(69721, NULL, 'PTHR44279:SF1', NULL, NULL, NULL, NULL, 'CORTICOSTEROID 11-BETA-DEHYDROGENASE ISOZYME 1', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69722, NULL, 'PTHR13309:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69723, NULL, 'PTHR13618:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ROGDI HOMOLOG', NULL, NULL, NULL, 15),
(69724, NULL, 'PTHR34538:SF15', NULL, NULL, NULL, NULL, 'OS02G0637200 PROTEIN', NULL, NULL, NULL, 15),
(69725, NULL, 'PTHR26312:SF153', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(69726, NULL, 'PTHR10343:SF49', NULL, NULL, NULL, NULL, 'AMP-ACTIVATED KINASE BETA SUBUNIT', NULL, NULL, NULL, 15),
(69727, NULL, 'PTHR10615:SF189', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN EHD3', NULL, NULL, NULL, 15),
(69728, NULL, 'PTHR35743', NULL, NULL, NULL, NULL, 'NODULIN HOMEOBOX', NULL, NULL, 33177, 15),
(69729, NULL, 'PTHR34796', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 913, 15),
(69730, NULL, 'PTHR36091', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 9, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(69731, NULL, 'PTHR11958:SF63', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(69732, NULL, 'PTHR39967', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69733, NULL, 'PTHR22937:SF137', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR1-LIKE', NULL, NULL, NULL, 15),
(69734, NULL, 'PTHR11581:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', NULL, NULL, NULL, 15),
(69735, NULL, 'PTHR32278:SF56', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B2-RELATED', NULL, NULL, NULL, 15),
(69736, NULL, 'PTHR15152:SF0', NULL, NULL, NULL, NULL, 'CD70 ANTIGEN', NULL, NULL, NULL, 15),
(69737, NULL, 'PTHR43011', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY 2 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(69738, NULL, 'PTHR43977:SF1', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 3', NULL, NULL, NULL, 15),
(69739, NULL, 'PTHR37738', NULL, NULL, NULL, NULL, 'OS03G0209700 PROTEIN', NULL, NULL, NULL, 15),
(69740, NULL, 'PTHR12550:SF42', NULL, NULL, NULL, NULL, 'PC4 AND SFRS1-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(69741, NULL, 'PTHR35325:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69742, NULL, 'PTHR11407:SF21', NULL, NULL, NULL, NULL, 'LYSOZYME-LIKE PROTEIN 4', NULL, NULL, 4779, 15),
(69743, NULL, 'PTHR12425:SF2', NULL, NULL, NULL, NULL, 'SYNEMBRYN-B', NULL, NULL, NULL, 15),
(69744, NULL, 'PTHR23239:SF115', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 12', NULL, NULL, NULL, 15),
(69745, NULL, 'PTHR33395:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69746, NULL, 'PTHR45752:SF118', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS GROUP-RELATED LRR 9-RELATED', NULL, NULL, NULL, 15),
(69747, NULL, 'PTHR43735:SF2', NULL, NULL, NULL, NULL, 'FE-REGULATED PROTEIN 8', NULL, NULL, NULL, 15),
(69748, NULL, 'PTHR21231:SF7', NULL, NULL, NULL, NULL, 'GPN-LOOP GTPASE 3', NULL, NULL, 28614, 15),
(69749, NULL, 'PTHR35133:SF1', NULL, NULL, NULL, NULL, 'PROTEIN EFFECTOR OF TRANSCRIPTION 2-RELATED', NULL, NULL, NULL, 15),
(69750, NULL, 'PTHR46016:SF4', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 166', NULL, NULL, NULL, 15),
(69751, NULL, 'PTHR15708:SF8', NULL, NULL, NULL, NULL, 'PROTEIN MTSS 2', NULL, NULL, 26620, 15),
(69752, NULL, 'PTHR47971:SF8', NULL, NULL, NULL, NULL, 'KINESIN-RELATED PROTEIN 6', NULL, NULL, NULL, 15),
(69753, NULL, 'PTHR11599:SF150', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(69754, NULL, 'PTHR33333:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(69755, NULL, 'PTHR47658', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 12-RELATED', NULL, NULL, NULL, 15),
(69756, NULL, 'PTHR10925', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 10', NULL, NULL, 25943, 15),
(69757, NULL, 'PTHR43180:SF39', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE 1', NULL, NULL, NULL, 15),
(69758, NULL, 'PTHR37962', NULL, NULL, NULL, NULL, 'MALE STERILE (3) 76CA', NULL, NULL, NULL, 15),
(69759, NULL, 'PTHR31485:SF17', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69760, NULL, 'PTHR33529:SF7', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE EXPORT SYSTEM PERMEASE PROTEIN LPTF', NULL, NULL, NULL, 15),
(69761, NULL, 'PTHR32382:SF54', NULL, NULL, NULL, NULL, 'BNAC04G50210D PROTEIN', NULL, NULL, NULL, 15),
(69762, NULL, 'PTHR46727', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE CBX4', NULL, NULL, 38177, 15),
(69763, NULL, 'PTHR12867:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69764, NULL, 'PTHR24023', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA', NULL, NULL, NULL, 15),
(69765, NULL, 'PTHR46949:SF1', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 89 MEMBER A-RELATED', NULL, NULL, NULL, 15),
(69766, NULL, 'PTHR23028', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(69767, NULL, 'PTHR36799:SF2', NULL, NULL, NULL, NULL, 'DUF3148 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69768, NULL, 'PTHR12444', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(69769, NULL, 'PTHR46800', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED-RELATED', NULL, NULL, 38956, 15),
(69770, NULL, 'PTHR35391:SF3', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04300)-RELATED', NULL, NULL, NULL, 15),
(69771, NULL, 'PTHR24421:SF46', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE SENSOR PROTEIN NARQ', NULL, NULL, NULL, 15),
(69772, NULL, 'PTHR11802:SF302', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 18', NULL, NULL, NULL, 15),
(69773, NULL, 'PTHR35711:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(69774, NULL, 'PTHR13902:SF129', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK7-RELATED', NULL, NULL, NULL, 15),
(69775, NULL, 'PTHR33052:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69776, NULL, 'PTHR21141', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN FAMILY MEMBER', NULL, NULL, 37731, 15),
(69777, NULL, 'PTHR11525:SF0', NULL, NULL, NULL, NULL, 'FARNESYL PYROPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(69778, NULL, 'PTHR47270:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MLP1-LIKE', NULL, NULL, NULL, 15),
(69779, NULL, 'PTHR24339:SF34', NULL, NULL, NULL, NULL, 'VENTRAL ANTERIOR HOMEOBOX 2', NULL, NULL, 34229, 15),
(69780, NULL, 'PTHR14024:SF48', NULL, NULL, NULL, NULL, 'PERILIPIN 6', NULL, NULL, NULL, 15),
(69781, NULL, 'PTHR47926:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69782, NULL, 'PTHR11206:SF176', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(69783, NULL, 'PTHR23024:SF503', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', NULL, NULL, NULL, 15),
(69784, NULL, 'PTHR11086:SF21', NULL, NULL, NULL, NULL, 'CYTIDINE/DEOXYCYTIDYLATE DEAMINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69785, NULL, 'PTHR43952:SF19', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(69786, NULL, 'PTHR10108:SF1095', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(69787, NULL, 'PTHR39602', NULL, NULL, NULL, NULL, 'ACW-9', NULL, NULL, NULL, 15),
(69788, NULL, 'PTHR23155:SF958', NULL, NULL, NULL, NULL, 'OS09G0479500 PROTEIN', NULL, NULL, NULL, 15),
(69789, NULL, 'PTHR24291:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69790, NULL, 'PTHR15746:SF22', NULL, NULL, NULL, NULL, 'RAB11 FAMILY-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(69791, NULL, 'PTHR23042:SF50', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR NUCLEAR TRANSLOCATOR', NULL, NULL, NULL, 15),
(69792, NULL, 'PTHR13620:SF0', NULL, NULL, NULL, NULL, 'EXONUCLEASE 3''-5'' DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(69793, NULL, 'PTHR33689', NULL, NULL, NULL, NULL, 'FAS-BINDING FACTOR 1', NULL, NULL, 30435, 15),
(69794, NULL, 'PTHR45660:SF29', NULL, NULL, NULL, NULL, 'SET DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G09180)', NULL, NULL, NULL, 15),
(69795, NULL, 'PTHR19353:SF72', NULL, NULL, NULL, NULL, 'DELTA(12) FATTY ACID DESATURASE FAT-2', NULL, NULL, NULL, 15),
(69796, NULL, 'PTHR31221:SF111', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 43-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69797, NULL, 'PTHR31062', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 8-RELATED', NULL, NULL, 37826, 15),
(69798, NULL, 'PTHR31265:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69799, NULL, 'PTHR19359:SF111', NULL, NULL, NULL, NULL, 'BNAA04G27110D PROTEIN', NULL, NULL, NULL, 15),
(69800, NULL, 'PTHR32422', NULL, NULL, NULL, NULL, 'ADHERENS JUNCTION-ASSOCIATED PROTEIN 1', NULL, NULL, 35776, 15),
(69801, NULL, 'PTHR43297:SF7', NULL, NULL, NULL, NULL, 'D,D-DIPEPTIDE TRANSPORT ATP-BINDING PROTEIN DDPD-RELATED', NULL, NULL, NULL, 15),
(69802, NULL, 'PTHR46151:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69803, NULL, 'PTHR34289', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF819)-RELATED', NULL, NULL, 13420, 15),
(69804, NULL, 'PTHR18860:SF118', NULL, NULL, NULL, NULL, 'BNAC03G57490D PROTEIN', NULL, NULL, NULL, 15),
(69805, NULL, 'PTHR31221:SF234', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 2 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(69806, NULL, 'PTHR10513:SF24', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(69807, NULL, 'PTHR34536:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69808, NULL, 'PTHR46128:SF129', NULL, NULL, NULL, NULL, 'BNAC04G32520D PROTEIN', NULL, NULL, NULL, 15),
(69809, NULL, 'PTHR24384:SF80', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 713', NULL, NULL, NULL, 15),
(69810, NULL, 'PTHR11226:SF9', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE GLYCOPROTEIN GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(69811, NULL, 'PTHR47986', NULL, NULL, NULL, NULL, 'OSJNBA0070M12.3 PROTEIN', NULL, NULL, NULL, 15),
(69812, NULL, 'PTHR31707:SF315', NULL, NULL, NULL, NULL, 'BNAANNG02770D PROTEIN', NULL, NULL, NULL, 15),
(69813, NULL, 'PTHR37429', NULL, NULL, NULL, NULL, 'PROTEIN CBG19148-RELATED', NULL, NULL, NULL, 15),
(69814, NULL, 'PTHR31033:SF22', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(69815, NULL, 'PTHR31009:SF47', NULL, NULL, NULL, NULL, 'SALICYLATE/BENZOATE CARBOXYL METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(69816, NULL, 'PTHR26453:SF205', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10S1', NULL, NULL, NULL, 15),
(69817, NULL, 'PTHR23344:SF1', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHOINOSITOL INOSITOLPHOSPHODIESTERASE GDPD2', NULL, NULL, NULL, 15),
(69818, NULL, 'PTHR33265:SF34', NULL, NULL, NULL, NULL, 'BNAC03G73780D PROTEIN', NULL, NULL, NULL, 15),
(69819, NULL, 'PTHR16073', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 36171, 15),
(69820, NULL, 'PTHR11654:SF521', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69821, NULL, 'PTHR24377:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 157', NULL, NULL, NULL, 15),
(69822, NULL, 'PTHR45648:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69823, NULL, 'PTHR11224:SF39', NULL, NULL, NULL, NULL, 'MAKORIN, RING FINGER PROTEIN, 4', NULL, NULL, NULL, 15),
(69824, NULL, 'PTHR47357:SF8', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT 110-LIKE', NULL, NULL, NULL, 15),
(69825, NULL, 'PTHR46402', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(69826, NULL, 'PTHR48021:SF42', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69827, NULL, 'PTHR31516:SF17', NULL, NULL, NULL, NULL, 'STABILIZER OF AXONEMAL MICROTUBULES 2', NULL, NULL, NULL, 15),
(69828, NULL, 'PTHR23335:SF1', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 4', NULL, NULL, NULL, 15),
(69829, NULL, 'PTHR27007:SF363', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.4', NULL, NULL, NULL, 15),
(69830, NULL, 'PTHR11635:SF162', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE TYPE II REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(69831, NULL, 'PTHR47932:SF47', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69832, NULL, 'PTHR19325:SF535', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69833, NULL, 'PTHR28142', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE I-AAA PROTEASE SUPERCOMPLEX SUBUNIT MGR3-RELATED', NULL, NULL, 33686, 15),
(69834, NULL, 'PTHR47924:SF46', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69835, NULL, 'PTHR31374:SF152', NULL, NULL, NULL, NULL, 'SAUR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69836, NULL, 'PTHR43675:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69837, NULL, 'PTHR46378', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN CLEAVAGE-ACTIVATING PROTEIN', NULL, NULL, 24844, 15),
(69838, NULL, 'PTHR24092:SF150', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IA', NULL, NULL, NULL, 15),
(69839, NULL, 'PTHR13068:SF79', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR-LIKE', NULL, NULL, NULL, 15),
(69840, NULL, 'PTHR17630:SF82', NULL, NULL, NULL, NULL, 'ENDO-1,3-1,4-BETA-D-GLUCANASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(69841, NULL, 'PTHR23024:SF192', NULL, NULL, NULL, NULL, 'OS09G0455500 PROTEIN', NULL, NULL, NULL, 15),
(69842, NULL, 'PTHR31493', NULL, NULL, NULL, NULL, 'NAZO FAMILY MEMBER', NULL, NULL, 29514, 15),
(69843, NULL, 'PTHR31827', NULL, NULL, NULL, NULL, 'EMB|CAB89363.1', NULL, NULL, NULL, 15),
(69844, NULL, 'PTHR11817:SF31', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE PKLR', NULL, NULL, NULL, 15),
(69845, NULL, 'PTHR10179:SF12', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 5', NULL, NULL, NULL, 15),
(69846, NULL, 'PTHR14221:SF52', NULL, NULL, NULL, NULL, 'BNAA03G12240D PROTEIN', NULL, NULL, NULL, 15),
(69847, NULL, 'PTHR34214:SF1', NULL, NULL, NULL, NULL, 'OS05G0539900 PROTEIN', NULL, NULL, NULL, 15),
(69848, NULL, 'PTHR26453:SF133', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(69849, NULL, 'PTHR24064:SF569', NULL, NULL, NULL, NULL, 'BNAA02G18110D PROTEIN', NULL, NULL, NULL, 15),
(69850, NULL, 'PTHR24326:SF576', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69851, NULL, 'PTHR22849:SF144', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(69852, NULL, 'PTHR46320:SF1', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE 1', NULL, NULL, NULL, 15),
(69853, NULL, 'PTHR31966:SF18', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN PHOS32', NULL, NULL, NULL, 15),
(69854, NULL, 'PTHR23337:SF6', NULL, NULL, NULL, NULL, 'MORC FAMILY CW-TYPE ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(69855, NULL, 'PTHR45621:SF183', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69856, NULL, 'PTHR23262:SF182', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-2', NULL, NULL, NULL, 15),
(69857, NULL, 'PTHR32141:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69858, NULL, 'PTHR19331:SF465', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69859, NULL, 'PTHR12243:SF50', NULL, NULL, NULL, NULL, 'LD26477P', NULL, NULL, NULL, 15),
(69860, NULL, 'PTHR10806:SF32', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX CATALYTIC SUBUNIT SEC11B-RELATED', NULL, NULL, NULL, 15),
(69861, NULL, 'PTHR16099:SF5', NULL, NULL, NULL, NULL, 'NUCLEOTIDE TRIPHOSPHATE DIPHOSPHATASE NUDT15', NULL, NULL, NULL, 15),
(69862, NULL, 'PTHR45969:SF16', NULL, NULL, NULL, NULL, 'OSJNBA0064M23.13 PROTEIN', NULL, NULL, NULL, 15),
(69863, NULL, 'PTHR10110:SF117', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 2', NULL, NULL, NULL, 15),
(69864, NULL, 'PTHR24300:SF338', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP36A1-RELATED', NULL, NULL, NULL, 15),
(69865, NULL, 'PTHR24353:SF111', NULL, NULL, NULL, NULL, 'PROTEIN KINASE CGMP-DEPENDENT 1', NULL, NULL, NULL, 15),
(69866, NULL, 'PTHR31692:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69867, NULL, 'PTHR13270:SF4', NULL, NULL, NULL, NULL, 'PHD ZINC FINGER-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69868, NULL, 'PTHR12329:SF20', NULL, NULL, NULL, NULL, 'OS06G0126500 PROTEIN', NULL, NULL, NULL, 15),
(69869, NULL, 'PTHR48013:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SBK2', NULL, NULL, NULL, 15),
(69870, NULL, 'PTHR21304:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69871, NULL, 'PTHR46364:SF13', NULL, NULL, NULL, NULL, 'BNAC03G64850D PROTEIN', NULL, NULL, 39079, 15),
(69872, NULL, 'PTHR37951', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, 18604, 15),
(69873, NULL, 'PTHR43186:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCEROL TRANSFERASE I', NULL, NULL, NULL, 15),
(69874, NULL, 'PTHR45777:SF1', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2-2', NULL, NULL, NULL, 15),
(69875, NULL, 'PTHR32021:SF0', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5B2', NULL, NULL, NULL, 15),
(69876, NULL, 'PTHR14889:SF2', NULL, NULL, NULL, NULL, 'GENE 6377-RELATED', NULL, NULL, NULL, 15),
(69877, NULL, 'PTHR24034:SF118', NULL, NULL, NULL, NULL, 'EGF-LIKE AND EMI DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(69878, NULL, 'PTHR11705:SF135', NULL, NULL, NULL, NULL, 'FI01817P-RELATED', NULL, NULL, NULL, 15),
(69879, NULL, 'PTHR24409:SF306', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 423', NULL, NULL, NULL, 15),
(69880, NULL, 'PTHR14596:SF67', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN YER130C', NULL, NULL, NULL, 15),
(69881, NULL, 'PTHR15361:SF4', NULL, NULL, NULL, NULL, 'RAD51-ASSOCIATED PROTEIN 1', NULL, NULL, 24357, 15),
(69882, NULL, 'PTHR35299', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 30148, 15),
(69883, NULL, 'PTHR31490:SF70', NULL, NULL, NULL, NULL, 'HYDROLYZING O-GLYCOSYL COMPOUNDS, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69884, NULL, 'PTHR12241:SF16', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL5', NULL, NULL, NULL, 15),
(69885, NULL, 'PTHR11467:SF123', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX TRANSCRIPTION REPRESSOR DNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69886, NULL, 'PTHR20955:SF2', NULL, NULL, NULL, NULL, 'PROTEIN JAGUNAL HOMOLOG 1-B', NULL, NULL, NULL, 15),
(69887, NULL, 'PTHR11461:SF175', NULL, NULL, NULL, NULL, 'SERPIN B10', NULL, NULL, NULL, 15),
(69888, NULL, 'PTHR46970:SF1', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX DOMAIN-CONTAINING PROTEIN USF3', NULL, NULL, NULL, 15),
(69889, NULL, 'PTHR21072', NULL, NULL, NULL, NULL, 'GPI TRANSAMIDASE COMPONENT PIG-S', NULL, NULL, 19495, 15),
(69890, NULL, 'PTHR45717:SF16', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(69891, NULL, 'PTHR36040', NULL, NULL, NULL, NULL, 'OS04G0188500 PROTEIN', NULL, NULL, NULL, 15),
(69892, NULL, 'PTHR46225', NULL, NULL, NULL, NULL, 'C3H4 TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(69893, NULL, 'PTHR22883:SF330', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(69894, NULL, 'PTHR42886:SF29', NULL, NULL, NULL, NULL, 'RE40534P', NULL, NULL, NULL, 15),
(69895, NULL, 'PTHR23118:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69896, NULL, 'PTHR14790:SF15', NULL, NULL, NULL, NULL, 'RECQ-MEDIATED GENOME INSTABILITY PROTEIN 1', NULL, NULL, NULL, 15),
(69897, NULL, 'PTHR31250:SF45', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM3', NULL, NULL, NULL, 15),
(69898, NULL, 'PTHR46817', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC9-RELATED', NULL, NULL, NULL, 15),
(69899, NULL, 'PTHR10201:SF272', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 2-MMP-LIKE', NULL, NULL, NULL, 15),
(69900, NULL, 'PTHR16134:SF5', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 3', NULL, NULL, NULL, 15),
(69901, NULL, 'PTHR33647:SF5', NULL, NULL, NULL, NULL, 'OS01G0793900 PROTEIN', NULL, NULL, NULL, 15),
(69902, NULL, 'PTHR13266:SF2', NULL, NULL, NULL, NULL, 'BNAA09G54950D PROTEIN', NULL, NULL, NULL, 15),
(69903, NULL, 'PTHR47968:SF15', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12F', NULL, NULL, NULL, 15),
(69904, NULL, 'PTHR13859:SF12', NULL, NULL, NULL, NULL, 'ARGININE-GLUTAMIC ACID DIPEPTIDE REPEATS PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69905, NULL, 'PTHR15439:SF12', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RBBP6-LIKE', NULL, NULL, NULL, 15),
(69906, NULL, 'PTHR22576:SF37', NULL, NULL, NULL, NULL, 'MALT1 PARACASPASE HOMOLOG', NULL, NULL, NULL, 15),
(69907, NULL, 'PTHR31916:SF46', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(69908, NULL, 'PTHR47758:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS M', NULL, NULL, NULL, 15),
(69909, NULL, 'PTHR11879:SF49', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(69910, NULL, 'PTHR34212:SF1', NULL, NULL, NULL, NULL, 'OS02G0104200 PROTEIN', NULL, NULL, NULL, 15),
(69911, NULL, 'PTHR34662:SF3', NULL, NULL, NULL, NULL, 'OS04G0422700 PROTEIN', NULL, NULL, NULL, 15),
(69912, NULL, 'PTHR24356:SF373', NULL, NULL, NULL, NULL, 'BNAC06G02020D PROTEIN', NULL, NULL, NULL, 15),
(69913, NULL, 'PTHR11559:SF400', NULL, NULL, NULL, NULL, 'ACYLCARNITINE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(69914, NULL, 'PTHR21660:SF47', NULL, NULL, NULL, NULL, 'F19P19.27 PROTEIN', NULL, NULL, NULL, 15),
(69915, NULL, 'PTHR42759', NULL, NULL, NULL, NULL, 'MOXR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(69916, NULL, 'PTHR45621:SF54', NULL, NULL, NULL, NULL, 'OS09G0533600 PROTEIN', NULL, NULL, NULL, 15),
(69917, NULL, 'PTHR23515:SF16', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 2.1-LIKE', NULL, NULL, NULL, 15),
(69918, NULL, 'PTHR13742:SF22', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-RELATED PROTEIN 2', NULL, NULL, 18328, 15),
(69919, NULL, 'PTHR24129', NULL, NULL, NULL, NULL, 'ANKYCORBIN', NULL, NULL, 36685, 15),
(69920, NULL, 'PTHR33271:SF27', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69921, NULL, 'PTHR46524:SF2', NULL, NULL, NULL, NULL, 'OS05G0371100 PROTEIN', NULL, NULL, NULL, 15),
(69922, NULL, 'PTHR12555:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69923, NULL, 'PTHR35280', NULL, NULL, NULL, NULL, 'F17L21.9', NULL, NULL, NULL, 15),
(69924, NULL, 'PTHR10183:SF322', NULL, NULL, NULL, NULL, 'CALPAIN-11', NULL, NULL, NULL, 15),
(69925, NULL, 'PTHR32102:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69926, NULL, 'PTHR43391:SF61', NULL, NULL, NULL, NULL, 'BNAC03G27860D PROTEIN', NULL, NULL, NULL, 15),
(69927, NULL, 'PTHR31790:SF350', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69928, NULL, 'PTHR46391:SF13', NULL, NULL, NULL, NULL, 'ACTIVATOR OF SPOMIN LUC3', NULL, NULL, NULL, 15),
(69929, NULL, 'PTHR31817:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69930, NULL, 'PTHR31580:SF4', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 4', NULL, NULL, NULL, 15),
(69931, NULL, 'PTHR12281:SF8', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(69932, NULL, 'PTHR47371', NULL, NULL, NULL, NULL, 'LIPOTEICHOIC ACID SYNTHASE', NULL, NULL, NULL, 15),
(69933, NULL, 'PTHR46018', NULL, NULL, NULL, NULL, 'ZINC PHOSPHODIESTERASE ELAC PROTEIN 1', NULL, NULL, NULL, 15),
(69934, NULL, 'PTHR33077:SF67', NULL, NULL, NULL, NULL, 'DIVERGENT CCT MOTIF PROTEIN', NULL, NULL, NULL, 15),
(69935, NULL, 'PTHR35402', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(69936, NULL, 'PTHR33739:SF11', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 33A-LIKE', NULL, NULL, NULL, 15),
(69937, NULL, 'PTHR47950:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 76A1-LIKE', NULL, NULL, NULL, 15),
(69938, NULL, 'PTHR33566:SF8', NULL, NULL, NULL, NULL, 'AND MITOMYCIN C INDUCED PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(69939, NULL, 'PTHR33358:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69940, NULL, 'PTHR44888', NULL, NULL, NULL, NULL, 'HEPACAM FAMILY MEMBER 2-RELATED', NULL, NULL, NULL, 15),
(69941, NULL, 'PTHR30314:SF24', NULL, NULL, NULL, NULL, 'BNAA02G09160D PROTEIN', NULL, NULL, NULL, 15),
(69942, NULL, 'PTHR46044:SF1', NULL, NULL, NULL, NULL, 'NITRILASE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69943, NULL, 'PTHR43851:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-36G24.3', NULL, NULL, NULL, 15),
(69944, NULL, 'PTHR38326', NULL, NULL, NULL, NULL, 'CHROMOSOME 11 OPEN READING FRAME 97', NULL, NULL, 30631, 15),
(69945, NULL, 'PTHR12046', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE TYPE B CATALYTIC SUBUNIT', NULL, NULL, 18076, 15),
(69946, NULL, 'PTHR43895:SF20', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 27-RELATED', NULL, NULL, NULL, 15),
(69947, NULL, 'PTHR13148:SF12', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', NULL, NULL, NULL, 15),
(69948, NULL, 'PTHR19139:SF278', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69949, NULL, 'PTHR43334:SF1', NULL, NULL, NULL, NULL, 'ACETATE--COA LIGASE [ADP-FORMING]', NULL, NULL, NULL, 15),
(69950, NULL, 'PTHR45931:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHY1A-RELATED', NULL, NULL, NULL, 15),
(69951, NULL, 'PTHR11937:SF31', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 3B', NULL, NULL, NULL, 15),
(69952, NULL, 'PTHR23326:SF15', NULL, NULL, NULL, NULL, 'NOT TRANSCRIPTION COMPLEX SUBUNIT VIP2 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(69953, NULL, 'PTHR31851:SF9', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER 1.1-LIKE', NULL, NULL, NULL, 15),
(69954, NULL, 'PTHR11679:SF33', NULL, NULL, NULL, NULL, 'SYNTAXIN-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(69955, NULL, 'PTHR11799:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69956, NULL, 'PTHR11552:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69957, NULL, 'PTHR43742:SF7', NULL, NULL, NULL, NULL, 'DIMETHYL SULFOXIDE REDUCTASE CHAIN YNFE-RELATED', NULL, NULL, NULL, 15),
(69958, NULL, 'PTHR14221:SF59', NULL, NULL, NULL, NULL, 'BNAA03G11960D PROTEIN', NULL, NULL, NULL, 15),
(69959, NULL, 'PTHR12847:SF12', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 20', NULL, NULL, NULL, 15),
(69960, NULL, 'PTHR23244:SF310', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN B', NULL, NULL, NULL, 15),
(69961, NULL, 'PTHR31949', NULL, NULL, NULL, NULL, 'GASTRIC MUCIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(69962, NULL, 'PTHR31707:SF291', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 51-RELATED', NULL, NULL, NULL, 15),
(69963, NULL, 'PTHR43523:SF17', NULL, NULL, NULL, NULL, 'INACTIVE GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE SMALL SUBUNIT 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(69964, NULL, 'PTHR11679:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG13544', NULL, NULL, NULL, 15),
(69965, NULL, 'PTHR31589:SF141', NULL, NULL, NULL, NULL, 'BNAANNG13170D PROTEIN', NULL, NULL, NULL, 15),
(69966, NULL, 'PTHR24056:SF131', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 19', NULL, NULL, NULL, 15),
(69967, NULL, 'PTHR10157:SF31', NULL, NULL, NULL, NULL, 'DBH-LIKE MONOOXYGENASE PROTEIN 2-RELATED', NULL, NULL, 22394, 15),
(69968, NULL, 'PTHR23122:SF40', NULL, NULL, NULL, NULL, 'PERIPHERAL PLASMA MEMBRANE PROTEIN CASK', NULL, NULL, NULL, 15),
(69969, NULL, 'PTHR10388:SF20', NULL, NULL, NULL, NULL, 'APO PROTEIN 4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(69970, NULL, 'PTHR23028:SF121', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(69971, NULL, 'PTHR48129:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37A', NULL, NULL, NULL, 15),
(69972, NULL, 'PTHR45632:SF4', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 36', NULL, NULL, 24995, 15),
(69973, NULL, 'PTHR23055:SF30', NULL, NULL, NULL, NULL, 'KV CHANNEL-INTERACTING PROTEIN 4', NULL, NULL, NULL, 15),
(69974, NULL, 'PTHR47985:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL21-RELATED', NULL, NULL, NULL, 15),
(69975, NULL, 'PTHR45089:SF38', NULL, NULL, NULL, NULL, 'BNAC05G46870D PROTEIN', NULL, NULL, NULL, 15),
(69976, NULL, 'PTHR31776', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE 1', NULL, NULL, NULL, 15),
(69977, NULL, 'PTHR47342', NULL, NULL, NULL, NULL, 'PROTEIN PTST, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(69978, NULL, 'PTHR31321:SF72', NULL, NULL, NULL, NULL, 'PECTINESTERASE 11-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(69979, NULL, 'PTHR31273:SF2', NULL, NULL, NULL, NULL, 'SLL0529 PROTEIN', NULL, NULL, NULL, 15),
(69980, NULL, 'PTHR46918', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN 1', NULL, NULL, 14327, 15),
(69981, NULL, 'PTHR24414:SF131', NULL, NULL, NULL, NULL, 'BNAA05G20460D PROTEIN', NULL, NULL, NULL, 15),
(69982, NULL, 'PTHR39697:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69983, NULL, 'PTHR43668', NULL, NULL, NULL, NULL, 'ALLANTOINASE', NULL, NULL, NULL, 15),
(69984, NULL, 'PTHR31190:SF283', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69985, NULL, 'PTHR45974:SF127', NULL, NULL, NULL, NULL, 'BNAA02G30100D PROTEIN', NULL, NULL, NULL, 15),
(69986, NULL, 'PTHR31674:SF59', NULL, NULL, NULL, NULL, 'BNAA05G17050D PROTEIN', NULL, NULL, NULL, 15),
(69987, NULL, 'PTHR35179:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02620', NULL, NULL, NULL, 15),
(69988, NULL, 'PTHR10285:SF159', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE FAMILY PROTEIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(69989, NULL, 'PTHR42960:SF2', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN', NULL, NULL, NULL, 15),
(69990, NULL, 'PTHR46016:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF114', NULL, NULL, NULL, 15),
(69991, NULL, 'PTHR45974:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(69992, NULL, 'PTHR35549:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LIN-RELATED', NULL, NULL, NULL, 15),
(69993, NULL, 'PTHR15960:SF6', NULL, NULL, NULL, NULL, 'BNAA03G12290D PROTEIN', NULL, NULL, NULL, 15),
(69994, NULL, 'PTHR10795:SF625', NULL, NULL, NULL, NULL, 'OSJNBA0027O01.12 PROTEIN', NULL, NULL, NULL, 15),
(69995, NULL, 'PTHR21695', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29890, 15),
(69996, NULL, 'PTHR10783:SF59', NULL, NULL, NULL, NULL, 'SI:DKEY-6N6.7 PROTEIN', NULL, NULL, NULL, 15),
(69997, NULL, 'PTHR45778:SF27', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(69998, NULL, 'PTHR12932:SF18', NULL, NULL, NULL, NULL, 'TUBULIN POLYMERIZATION-PROMOTING PROTEIN', NULL, NULL, 25035, 15),
(69999, NULL, 'PTHR48167', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(70000, NULL, 'PTHR10517:SF10', NULL, NULL, NULL, NULL, 'SPERM-EGG FUSION PROTEIN JUNO', NULL, NULL, NULL, 15),
(70001, NULL, 'PTHR42810:SF6', NULL, NULL, NULL, NULL, 'PURINE PERMEASE YBBY-RELATED', NULL, NULL, NULL, 15),
(70002, NULL, 'PTHR10527:SF6', NULL, NULL, NULL, NULL, 'IMPORTIN-4', NULL, NULL, NULL, 15),
(70003, NULL, 'PTHR15160:SF13', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NUCLEASE 1', NULL, NULL, NULL, 15),
(70004, NULL, 'PTHR46398', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(70005, NULL, 'PTHR42880:SF2', NULL, NULL, NULL, NULL, '(R)-CITRAMALATE SYNTHASE CIMA', NULL, NULL, NULL, 15),
(70006, NULL, 'PTHR24055:SF487', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(70007, NULL, 'PTHR18896:SF174', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(70008, NULL, 'PTHR12897', NULL, NULL, NULL, NULL, 'COLON CANCER-ASSOCIATED PROTEIN MIC1', NULL, NULL, 30354, 15),
(70009, NULL, 'PTHR33285:SF32', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 5', NULL, NULL, NULL, 15),
(70010, NULL, 'PTHR46978:SF4', NULL, NULL, NULL, NULL, 'BNAC03G27270D PROTEIN', NULL, NULL, NULL, 15),
(70011, NULL, 'PTHR39550', NULL, NULL, NULL, NULL, 'SLL0658 PROTEIN', NULL, NULL, NULL, 15),
(70012, NULL, 'PTHR21562:SF92', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(70013, NULL, 'PTHR23360:SF17', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(70014, NULL, 'PTHR46128:SF59', NULL, NULL, NULL, NULL, 'BNAA07G31830D PROTEIN', NULL, NULL, NULL, 15),
(70015, NULL, 'PTHR43511:SF7', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(70016, NULL, 'PTHR33076:SF127', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 4', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70017, NULL, 'PTHR13018:SF115', NULL, NULL, NULL, NULL, 'BNAC09G13620D PROTEIN', NULL, NULL, NULL, 15),
(70018, NULL, 'PTHR35936:SF27', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(70019, NULL, 'PTHR43293:SF3', NULL, NULL, NULL, NULL, 'COA-TRANSFERASE SUBUNIT BETA RV3552-RELATED', NULL, NULL, NULL, 15),
(70020, NULL, 'PTHR10366:SF728', NULL, NULL, NULL, NULL, 'BNAA05G15210D PROTEIN', NULL, NULL, NULL, 15),
(70021, NULL, 'PTHR37718', NULL, NULL, NULL, NULL, 'BNAC03G61340D PROTEIN', NULL, NULL, NULL, 15),
(70022, NULL, 'PTHR44191:SF28', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(70023, NULL, 'PTHR12202:SF0', NULL, NULL, NULL, NULL, 'ESF1 HOMOLOG', NULL, NULL, NULL, 15),
(70024, NULL, 'PTHR47993:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70025, NULL, 'PTHR40626', NULL, NULL, NULL, NULL, 'MIP31509P', NULL, NULL, NULL, 15),
(70026, NULL, 'PTHR11751:SF409', NULL, NULL, NULL, NULL, 'OS10G0390600 PROTEIN', NULL, NULL, NULL, 15),
(70027, NULL, 'PTHR10127:SF805', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-15', NULL, NULL, NULL, 15),
(70028, NULL, 'PTHR41536', NULL, NULL, NULL, NULL, 'PKHD-TYPE HYDROXYLASE YBIX', NULL, NULL, 16769, 15),
(70029, NULL, 'PTHR24302:SF32', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 3, SUBFAMILY A, POLYPEPTIDE 65', NULL, NULL, NULL, 15),
(70030, NULL, 'PTHR46754', NULL, NULL, NULL, NULL, 'MKI67 FHA DOMAIN-INTERACTING NUCLEOLAR PHOSPHOPROTEIN', NULL, NULL, NULL, 15),
(70031, NULL, 'PTHR40733', NULL, NULL, NULL, NULL, 'ZINC-RIBBON RNA-BINDING PROTEIN INVOLVED IN TRANSLATION-RELATED', NULL, NULL, 37938, 15),
(70032, NULL, 'PTHR36400', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L35', NULL, NULL, NULL, 15),
(70033, NULL, 'PTHR43180:SF70', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(70034, NULL, 'PTHR33744:SF1', NULL, NULL, NULL, NULL, 'CARBOHYDRATE DIACID REGULATOR', NULL, NULL, NULL, 15),
(70035, NULL, 'PTHR38766:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR PROTEIN FLIO', NULL, NULL, NULL, 15),
(70036, NULL, 'PTHR47005:SF9', NULL, NULL, NULL, NULL, 'CIRCUMSPOROZOITE PROTEIN', NULL, NULL, NULL, 15),
(70037, NULL, 'PTHR47091:SF2', NULL, NULL, NULL, NULL, 'ALPHA-PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(70038, NULL, 'PTHR11705:SF136', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE A4', NULL, NULL, NULL, 15),
(70039, NULL, 'PTHR12939:SF5', NULL, NULL, NULL, NULL, 'ZETA-SARCOGLYCAN', NULL, NULL, 26495, 15),
(70040, NULL, 'PTHR43319', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE-RELATED', NULL, NULL, NULL, 15),
(70041, NULL, 'PTHR32285:SF136', NULL, NULL, NULL, NULL, 'OS11G0586825 PROTEIN', NULL, NULL, NULL, 15),
(70042, NULL, 'PTHR24379:SF70', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 101', NULL, NULL, NULL, 15),
(70043, NULL, 'PTHR31734:SF44', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA29', NULL, NULL, NULL, 15),
(70044, NULL, 'PTHR46446:SF19', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70045, NULL, 'PTHR23430:SF29', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-H', NULL, NULL, NULL, 15),
(70046, NULL, 'PTHR33681:SF13', NULL, NULL, NULL, NULL, 'CITRATE-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(70047, NULL, 'PTHR10666:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70048, NULL, 'PTHR11709:SF245', NULL, NULL, NULL, NULL, 'SKU5 SIMILAR 16', NULL, NULL, NULL, 15),
(70049, NULL, 'PTHR31339:SF16', NULL, NULL, NULL, NULL, 'OS01G0618900 PROTEIN', NULL, NULL, NULL, 15),
(70050, NULL, 'PTHR45714:SF39', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER, HOMEOBOX-ASSOCIATED, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70051, NULL, 'PTHR27002:SF858', NULL, NULL, NULL, NULL, 'OS09G0551400 PROTEIN', NULL, NULL, NULL, 15),
(70052, NULL, 'PTHR32092:SF4', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(70053, NULL, 'PTHR28026:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70054, NULL, 'PTHR34953:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70055, NULL, 'PTHR34536:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70056, NULL, 'PTHR12143:SF23', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(70057, NULL, 'PTHR31235:SF18', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(70058, NULL, 'PTHR43130:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70059, NULL, 'PTHR30050', NULL, NULL, NULL, NULL, 'CHROMOSOMAL REPLICATION INITIATOR PROTEIN DNAA', NULL, NULL, NULL, 15),
(70060, NULL, 'PTHR23017:SF46', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(70061, NULL, 'PTHR46288:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70062, NULL, 'PTHR11886:SF99', NULL, NULL, NULL, NULL, 'OS04G0462600 PROTEIN', NULL, NULL, NULL, 15),
(70063, NULL, 'PTHR15507:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70064, NULL, 'PTHR12953:SF0', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING OSSIFICATION FACTOR', NULL, NULL, NULL, 15),
(70065, NULL, 'PTHR31062:SF133', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 23-RELATED', NULL, NULL, NULL, 15),
(70066, NULL, 'PTHR12912', NULL, NULL, NULL, NULL, 'BARRIER TO AUTOINTEGRATION FACTOR BAF', NULL, NULL, 1828, 15),
(70067, NULL, 'PTHR24343:SF467', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK2', NULL, NULL, NULL, 15),
(70068, NULL, 'PTHR11618:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70069, NULL, 'PTHR24031:SF421', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX28-RELATED', NULL, NULL, NULL, 15),
(70070, NULL, 'PTHR33070:SF60', NULL, NULL, NULL, NULL, 'OS06G0725700 PROTEIN', NULL, NULL, NULL, 15),
(70071, NULL, 'PTHR28289', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT HSK3', NULL, NULL, 38485, 15),
(70072, NULL, 'PTHR31947:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70073, NULL, 'PTHR11260:SF501', NULL, NULL, NULL, NULL, 'S-TRANSFERASE GSTU6, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(70074, NULL, 'PTHR48010:SF33', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(70075, NULL, 'PTHR24414:SF142', NULL, NULL, NULL, NULL, 'BNAC03G72950D PROTEIN', NULL, NULL, NULL, 15),
(70076, NULL, 'PTHR23267:SF416', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 9-1', NULL, NULL, NULL, 15),
(70077, NULL, 'PTHR11143:SF17', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L26-1-RELATED', NULL, NULL, NULL, 15),
(70078, NULL, 'PTHR22420', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 24260, 15),
(70079, NULL, 'PTHR10199:SF92', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-4', NULL, NULL, NULL, 15),
(70080, NULL, 'PTHR21472:SF8', NULL, NULL, NULL, NULL, 'ENDONUCLEASE DOMAIN-CONTAINING 1 PROTEIN', NULL, NULL, NULL, 15),
(70081, NULL, 'PTHR11615:SF324', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1B1', NULL, NULL, NULL, 15),
(70082, NULL, 'PTHR35191', NULL, NULL, NULL, NULL, 'PROPHAGE SIDE TAIL FIBER PROTEIN HOMOLOG STFQ-RELATED', NULL, NULL, NULL, 15),
(70083, NULL, 'PTHR33463:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70084, NULL, 'PTHR42845', NULL, NULL, NULL, NULL, 'COENZYME F420-REDUCING HYDROGENASE, GAMMA SUBUNIT', NULL, NULL, NULL, 15),
(70085, NULL, 'PTHR12431:SF17', NULL, NULL, NULL, NULL, 'SORTING NEXIN FAMILY MEMBER 27', NULL, NULL, 23610, 15),
(70086, NULL, 'PTHR23024:SF556', NULL, NULL, NULL, NULL, 'BNAA09G44300D PROTEIN', NULL, NULL, NULL, 15),
(70087, NULL, 'PTHR31223:SF11', NULL, NULL, NULL, NULL, 'LOG FAMILY PROTEIN YJL055W', NULL, NULL, NULL, 15),
(70088, NULL, 'PTHR22910', NULL, NULL, NULL, NULL, 'PROTEIN MGARP', NULL, NULL, 28448, 15),
(70089, NULL, 'PTHR31722:SF26', NULL, NULL, NULL, NULL, 'OS02G0165500 PROTEIN', NULL, NULL, NULL, 15),
(70090, NULL, 'PTHR31852:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70091, NULL, 'PTHR37444', NULL, NULL, NULL, NULL, 'PROTEIN CBG24900-RELATED', NULL, NULL, NULL, 15),
(70092, NULL, 'PTHR31683:SF87', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(70093, NULL, 'PTHR31140:SF116', NULL, NULL, NULL, NULL, 'BNACNNG66590D PROTEIN', NULL, NULL, NULL, 15),
(70094, NULL, 'PTHR31087:SF90', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 2', NULL, NULL, NULL, 15),
(70095, NULL, 'PTHR35368', NULL, NULL, NULL, NULL, 'HYDROPEROXIDE REDUCTASE', NULL, NULL, NULL, 15),
(70096, NULL, 'PTHR35546:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70097, NULL, 'PTHR33074:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70098, NULL, 'PTHR18860:SF103', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14-F', NULL, NULL, NULL, 15),
(70099, NULL, 'PTHR15710', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PRAJA', NULL, NULL, NULL, 15),
(70100, NULL, 'PTHR48099:SF9', NULL, NULL, NULL, NULL, 'BNACNNG31000D PROTEIN', NULL, NULL, NULL, 15),
(70101, NULL, 'PTHR31238:SF202', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(70102, NULL, 'PTHR16477', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 106', NULL, NULL, 24870, 15),
(70103, NULL, 'PTHR46013:SF4', NULL, NULL, NULL, NULL, 'CD22 MOLECULE-RELATED', NULL, NULL, NULL, 15),
(70104, NULL, 'PTHR45959:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70105, NULL, 'PTHR32499:SF7', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 16', NULL, NULL, NULL, 15),
(70106, NULL, 'PTHR24418:SF403', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(70107, NULL, 'PTHR33162:SF3', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATB, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(70108, NULL, 'PTHR22939:SF13', NULL, NULL, NULL, NULL, 'SERINE PROTEASE HTRA1', NULL, NULL, NULL, 15),
(70109, NULL, 'PTHR33334:SF6', NULL, NULL, NULL, NULL, 'OS01G0281100 PROTEIN', NULL, NULL, NULL, 15),
(70110, NULL, 'PTHR45650:SF50', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70111, NULL, 'PTHR45676:SF76', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(70112, NULL, 'PTHR10300:SF5', NULL, NULL, NULL, NULL, 'CALCIPRESSIN-2', NULL, NULL, 11339, 15),
(70113, NULL, 'PTHR11647:SF56', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINASE-RELATED PROTEIN 2', NULL, NULL, 28115, 15),
(70114, NULL, 'PTHR15491', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 23316, 15),
(70115, NULL, 'PTHR45674:SF4', NULL, NULL, NULL, NULL, 'DNA LIGASE 1', NULL, NULL, NULL, 15),
(70116, NULL, 'PTHR11945:SF628', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN FUL-L', NULL, NULL, NULL, 15),
(70117, NULL, 'PTHR46633', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC/MYB-RELATED', NULL, NULL, NULL, 15),
(70118, NULL, 'PTHR12411:SF785', NULL, NULL, NULL, NULL, 'TESTIN-2', NULL, NULL, NULL, 15),
(70119, NULL, 'PTHR47928:SF115', NULL, NULL, NULL, NULL, 'OS02G0126500 PROTEIN', NULL, NULL, NULL, 15),
(70120, NULL, 'PTHR16515:SF32', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 5', NULL, NULL, NULL, 15),
(70121, NULL, 'PTHR30579:SF2', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ARGP', NULL, NULL, NULL, 15),
(70122, NULL, 'PTHR31639:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70123, NULL, 'PTHR33085:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70124, NULL, 'PTHR47920:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG24386', NULL, NULL, NULL, 15),
(70125, NULL, 'PTHR45671:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG23535', NULL, NULL, NULL, 15),
(70126, NULL, 'PTHR11863:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70127, NULL, 'PTHR23294:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG21964', NULL, NULL, NULL, 15),
(70128, NULL, 'PTHR19211:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70129, NULL, 'PTHR33562:SF18', NULL, NULL, NULL, NULL, 'BOUDIN-RELATED', NULL, NULL, NULL, 15),
(70130, NULL, 'PTHR23155:SF1098', NULL, NULL, NULL, NULL, 'OS11G0678400 PROTEIN', NULL, NULL, NULL, 15),
(70131, NULL, 'PTHR10366:SF564', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALDEHYDE REDUCTASE ARI1-RELATED', NULL, NULL, NULL, 15),
(70132, NULL, 'PTHR31604:SF26', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 4', NULL, NULL, NULL, 15),
(70133, NULL, 'PTHR24062:SF174', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 5-RELATED', NULL, NULL, NULL, 15),
(70134, NULL, 'PTHR45969:SF25', NULL, NULL, NULL, NULL, 'OS02G0682300 PROTEIN', NULL, NULL, NULL, 15),
(70135, NULL, 'PTHR24027:SF433', NULL, NULL, NULL, NULL, 'CADHERIN 27', NULL, NULL, NULL, 15),
(70136, NULL, 'PTHR48041:SF73', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', NULL, NULL, NULL, 15),
(70137, NULL, 'PTHR43792', NULL, NULL, NULL, NULL, 'GNAT FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00765)-RELATED-RELATED', NULL, NULL, NULL, 15),
(70138, NULL, 'PTHR11654:SF416', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.11', NULL, NULL, NULL, 15),
(70139, NULL, 'PTHR47293:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70140, NULL, 'PTHR30514:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(70141, NULL, 'PTHR31223:SF43', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15),
(70142, NULL, 'PTHR47446:SF2', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(70143, NULL, 'PTHR26452:SF695', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 5 SUBFAMILY F MEMBER 1', NULL, NULL, NULL, 15),
(70144, NULL, 'PTHR46694:SF5', NULL, NULL, NULL, NULL, 'ARID/BRIGHT DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(70145, NULL, 'PTHR11926:SF1364', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(70146, NULL, 'PTHR11093:SF7', NULL, NULL, NULL, NULL, 'RUVB-LIKE HELICASE', NULL, NULL, NULL, 15),
(70147, NULL, 'PTHR23309', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-COA DEHYROGENASE', NULL, NULL, NULL, 15),
(70148, NULL, 'PTHR35358:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE-LIKE PROTEIN (PEARLI 4) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(70149, NULL, 'PTHR47184:SF2', NULL, NULL, NULL, NULL, 'SYMPLEKIN/PTA1-RELATED', NULL, NULL, NULL, 15),
(70150, NULL, 'PTHR33110:SF35', NULL, NULL, NULL, NULL, 'OS02G0714801 PROTEIN', NULL, NULL, NULL, 15),
(70151, NULL, 'PTHR48017:SF165', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 1-LIKE', NULL, NULL, NULL, 15),
(70152, NULL, 'PTHR10578:SF114', NULL, NULL, NULL, NULL, '(S)-2-HYDROXY-ACID OXIDASE GLO1', NULL, NULL, NULL, 15),
(70153, NULL, 'PTHR33203:SF57', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(70154, NULL, 'PTHR22870:SF375', NULL, NULL, NULL, NULL, 'ULTRAVIOLET-B RECEPTOR UVR8-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(70155, NULL, 'PTHR37427:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG00435', NULL, NULL, NULL, 15),
(70156, NULL, 'PTHR11731:SF162', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE 4-RELATED', NULL, NULL, NULL, 15),
(70157, NULL, 'PTHR10615:SF175', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATXR6', NULL, NULL, NULL, 15),
(70158, NULL, 'PTHR31985:SF220', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70159, NULL, 'PTHR33222', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 34423, 15),
(70160, NULL, 'PTHR10502:SF210', NULL, NULL, NULL, NULL, 'PRION PROTEIN B', NULL, NULL, NULL, 15),
(70161, NULL, 'PTHR14619', NULL, NULL, NULL, NULL, 'NEURON-DERIVED NEUROTROPHIC FACTOR', NULL, NULL, 15485, 15),
(70162, NULL, 'PTHR31190:SF309', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-12', NULL, NULL, NULL, 15),
(70163, NULL, 'PTHR14054:SF14', NULL, NULL, NULL, NULL, 'REPETIN', NULL, NULL, NULL, 15),
(70164, NULL, 'PTHR45762:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(70165, NULL, 'PTHR33909', NULL, NULL, NULL, NULL, 'SEC TRANSLOCON ACCESSORY COMPLEX SUBUNIT YAJC', NULL, NULL, 3093, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70166, NULL, 'PTHR12956:SF38', NULL, NULL, NULL, NULL, 'F3H9.11 PROTEIN', NULL, NULL, NULL, 15),
(70167, NULL, 'PTHR13343:SF35', NULL, NULL, NULL, NULL, 'FMN-BINDING SPLIT BARREL-RELATED', NULL, NULL, NULL, 15),
(70168, NULL, 'PTHR45693:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA2.2', NULL, NULL, NULL, 15),
(70169, NULL, 'PTHR11849:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PU.1', NULL, NULL, NULL, 15),
(70170, NULL, 'PTHR32289:SF2', NULL, NULL, NULL, NULL, 'ALANINE AND ARGININE-RICH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(70171, NULL, 'PTHR31339:SF0', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(70172, NULL, 'PTHR15964:SF0', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN B RECEPTOR', NULL, NULL, NULL, 15),
(70173, NULL, 'PTHR24393:SF88', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 345', NULL, NULL, NULL, 15),
(70174, NULL, 'PTHR46682:SF1', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR V1', NULL, NULL, NULL, 15),
(70175, NULL, 'PTHR32266:SF23', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE', NULL, NULL, NULL, 15),
(70176, NULL, 'PTHR23036:SF175', NULL, NULL, NULL, NULL, 'INTERLEUKIN-3 RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(70177, NULL, 'PTHR24256:SF219', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 33', NULL, NULL, NULL, 15),
(70178, NULL, 'PTHR12035:SF119', NULL, NULL, NULL, NULL, 'SI:CH73-380L3.1-RELATED', NULL, NULL, NULL, 15),
(70179, NULL, 'PTHR10476:SF18', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 1B', NULL, NULL, NULL, 15),
(70180, NULL, 'PTHR31225:SF117', NULL, NULL, NULL, NULL, 'INACTIVE SESQUITHUJENE SYNTHASE', NULL, NULL, NULL, 15),
(70181, NULL, 'PTHR21229:SF55', NULL, NULL, NULL, NULL, 'LUNG SEVEN TRANSMEMBRANE RECEPTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(70182, NULL, 'PTHR15123', NULL, NULL, NULL, NULL, 'SECRETED AND TRANSMEMBRANE PROTEIN 1', NULL, NULL, 34053, 15),
(70183, NULL, 'PTHR24377:SF874', NULL, NULL, NULL, NULL, 'KRAB-CONTAINING ZINC-FINGER PROTEIN KRAZ2', NULL, NULL, NULL, 15),
(70184, NULL, 'PTHR45714:SF26', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', NULL, NULL, NULL, 15),
(70185, NULL, 'PTHR24321:SF8', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(70186, NULL, 'PTHR11945:SF581', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN CMB1-LIKE', NULL, NULL, NULL, 15),
(70187, NULL, 'PTHR16290:SF29', NULL, NULL, NULL, NULL, 'BNAA08G27050D PROTEIN', NULL, NULL, NULL, 15),
(70188, NULL, 'PTHR32468:SF23', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 14', NULL, NULL, NULL, 15),
(70189, NULL, 'PTHR11814:SF65', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 1.3', NULL, NULL, NULL, 15),
(70190, NULL, 'PTHR23421:SF88', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 14', NULL, NULL, NULL, 15),
(70191, NULL, 'PTHR11561:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE, CYTOSOLIC [GTP]', NULL, NULL, NULL, 15),
(70192, NULL, 'PTHR43103:SF3', NULL, NULL, NULL, NULL, 'ADP-L-GLYCERO-D-MANNO-HEPTOSE-6-EPIMERASE', NULL, NULL, NULL, 15),
(70193, NULL, 'PTHR23281:SF26', NULL, NULL, NULL, NULL, 'MOESIN', NULL, NULL, NULL, 15),
(70194, NULL, 'PTHR48153:SF1', NULL, NULL, NULL, NULL, 'UFM1-SPECIFIC PROTEASE 2', NULL, NULL, NULL, 15),
(70195, NULL, 'PTHR16007:SF21', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 45A', NULL, NULL, NULL, 15),
(70196, NULL, 'PTHR48043:SF69', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(70197, NULL, 'PTHR24221:SF219', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(70198, NULL, 'PTHR46277:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70199, NULL, 'PTHR10120:SF26', NULL, NULL, NULL, NULL, 'OS01G0970700 PROTEIN', NULL, NULL, NULL, 15),
(70200, NULL, 'PTHR31225:SF60', NULL, NULL, NULL, NULL, 'TRICYCLENE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(70201, NULL, 'PTHR33604:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0004B13.7 PROTEIN', NULL, NULL, NULL, 15),
(70202, NULL, 'PTHR13891', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 34812, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70203, NULL, 'PTHR33386', NULL, NULL, NULL, NULL, 'OS02G0740600 PROTEIN', NULL, NULL, NULL, 15),
(70204, NULL, 'PTHR23415:SF31', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(70205, NULL, 'PTHR10677:SF48', NULL, NULL, NULL, NULL, 'BNAC09G09230D PROTEIN', NULL, NULL, NULL, 15),
(70206, NULL, 'PTHR46449:SF5', NULL, NULL, NULL, NULL, 'ZGC:158260', NULL, NULL, NULL, 15),
(70207, NULL, 'PTHR31852:SF226', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70208, NULL, 'PTHR45722:SF9', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35', NULL, NULL, NULL, 15),
(70209, NULL, 'PTHR22974', NULL, NULL, NULL, NULL, 'MIXED LINEAGE PROTEIN KINASE', NULL, NULL, NULL, 15),
(70210, NULL, 'PTHR11544:SF108', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN CSPA-RELATED', NULL, NULL, NULL, 15),
(70211, NULL, 'PTHR31316', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE-LIKE PROTEIN NCA3, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(70212, NULL, 'PTHR12375:SF31', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN LUC7-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(70213, NULL, 'PTHR13274', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN S25', NULL, NULL, 29832, 15),
(70214, NULL, 'PTHR47177:SF4', NULL, NULL, NULL, NULL, '2X PHD DOMAIN CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(70215, NULL, 'PTHR37376:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70216, NULL, 'PTHR15160:SF9', NULL, NULL, NULL, NULL, 'ZGC:194223 PROTEIN', NULL, NULL, NULL, 15),
(70217, NULL, 'PTHR35996:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0038O10.25 PROTEIN', NULL, NULL, NULL, 15),
(70218, NULL, 'PTHR11760:SF49', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3-2-LIKE', NULL, NULL, NULL, 15),
(70219, NULL, 'PTHR14217:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70220, NULL, 'PTHR10869:SF190', NULL, NULL, NULL, NULL, 'PROLYL-4-HYDROXYLASE 5', NULL, NULL, NULL, 15),
(70221, NULL, 'PTHR47999:SF26', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70222, NULL, 'PTHR31802:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70223, NULL, 'PTHR43323:SF9', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', NULL, NULL, NULL, 15),
(70224, NULL, 'PTHR10891:SF887', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND PROTEIN', NULL, NULL, NULL, 15),
(70225, NULL, 'PTHR10361:SF58', NULL, NULL, NULL, NULL, 'SODIUM/METABOLITE COTRANSPORTER BASS2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(70226, NULL, 'PTHR42861:SF107', NULL, NULL, NULL, NULL, 'P-TYPE ATPASE, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70227, NULL, 'PTHR16172:SF38', NULL, NULL, NULL, NULL, 'GH27779P', NULL, NULL, NULL, 15),
(70228, NULL, 'PTHR33076:SF101', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(70229, NULL, 'PTHR36030', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70230, NULL, 'PTHR24062', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, 1735, 15),
(70231, NULL, 'PTHR19868:SF0', NULL, NULL, NULL, NULL, 'RECEPTOR OF ACTIVATED PROTEIN C KINASE 1', NULL, NULL, NULL, 15),
(70232, NULL, 'PTHR13778:SF55', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(70233, NULL, 'PTHR11691:SF57', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-16-RELATED', NULL, NULL, NULL, 15),
(70234, NULL, 'PTHR31972:SF57', NULL, NULL, NULL, NULL, 'BNAA02G30050D PROTEIN', NULL, NULL, NULL, 15),
(70235, NULL, 'PTHR24058:SF12', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TYROSINE-PHOSPHORYLATION-REGULATED KINASE 1B', NULL, NULL, 25670, 15),
(70236, NULL, 'PTHR45724:SF13', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP1-1-RELATED', NULL, NULL, NULL, 15),
(70237, NULL, 'PTHR21713:SF18', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX ALPHA SUBUNIT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(70238, NULL, 'PTHR12659:SF3', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 8', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70239, NULL, 'PTHR33346:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70240, NULL, 'PTHR46733:SF3', NULL, NULL, NULL, NULL, '23.6 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(70241, NULL, 'PTHR22792:SF51', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(70242, NULL, 'PTHR45788:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70243, NULL, 'PTHR27007:SF351', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', NULL, NULL, NULL, 15),
(70244, NULL, 'PTHR22412:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG15873', NULL, NULL, NULL, 15),
(70245, NULL, 'PTHR31062:SF149', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(70246, NULL, 'PTHR31286', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1.8-LIKE', NULL, NULL, 29647, 15),
(70247, NULL, 'PTHR12242:SF40', NULL, NULL, NULL, NULL, 'BNAA03G53740D PROTEIN', NULL, NULL, NULL, 15),
(70248, NULL, 'PTHR34216:SF3', NULL, NULL, NULL, NULL, 'POLY-BETA-1,6-N-ACETYL-D-GLUCOSAMINE N-DEACETYLASE', NULL, NULL, NULL, 15),
(70249, NULL, 'PTHR43713:SF3', NULL, NULL, NULL, NULL, 'GLUTAMATE-1-SEMIALDEHYDE 2,1-AMINOMUTASE 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(70250, NULL, 'PTHR34659:SF1', NULL, NULL, NULL, NULL, 'F3N23.33 PROTEIN', NULL, NULL, NULL, 15),
(70251, NULL, 'PTHR24399:SF18', NULL, NULL, NULL, NULL, 'RE1 SILENCING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(70252, NULL, 'PTHR11709:SF292', NULL, NULL, NULL, NULL, 'LACCASE-1', NULL, NULL, NULL, 15),
(70253, NULL, 'PTHR48018:SF15', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(70254, NULL, 'PTHR31006:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG09232', NULL, NULL, NULL, 15),
(70255, NULL, 'PTHR45869', NULL, NULL, NULL, NULL, 'C-REACTIVE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70256, NULL, 'PTHR24056:SF422', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 14, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(70257, NULL, 'PTHR47987:SF3', NULL, NULL, NULL, NULL, 'OS08G0249100 PROTEIN', NULL, NULL, NULL, 15),
(70258, NULL, 'PTHR45863:SF16', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK1-2', NULL, NULL, NULL, 15),
(70259, NULL, 'PTHR22765:SF187', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHA4A-RELATED', NULL, NULL, NULL, 15),
(70260, NULL, 'PTHR19853:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(70261, NULL, 'PTHR16717:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 8, ISOFORM A', NULL, NULL, NULL, 15),
(70262, NULL, 'PTHR22776:SF88', NULL, NULL, NULL, NULL, 'MAL, T CELL DIFFERENTIATION PROTEIN B-RELATED', NULL, NULL, NULL, 15),
(70263, NULL, 'PTHR28632:SF3', NULL, NULL, NULL, NULL, 'HCG2014768, ISOFORM CRA_A', NULL, NULL, NULL, 15),
(70264, NULL, 'PTHR31713:SF46', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(70265, NULL, 'PTHR31221:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70266, NULL, 'PTHR47541:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(70267, NULL, 'PTHR46048:SF4', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLIC ACID RECEPTOR 1-4', NULL, NULL, NULL, 15),
(70268, NULL, 'PTHR45969:SF31', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHA2B', NULL, NULL, NULL, 15),
(70269, NULL, 'PTHR26453:SF25', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(70270, NULL, 'PTHR34803:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT XI, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(70271, NULL, 'PTHR31301:SF115', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(70272, NULL, 'PTHR33995:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG18546', NULL, NULL, NULL, 15),
(70273, NULL, 'PTHR23226:SF76', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 23', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70274, NULL, 'PTHR12062:SF3', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE-LIKE PROTEIN MGAT4E', NULL, NULL, NULL, 15),
(70275, NULL, 'PTHR24128:SF12', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN WARIAI', NULL, NULL, NULL, 15),
(70276, NULL, 'PTHR46121:SF2', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 3', NULL, NULL, NULL, 15),
(70277, NULL, 'PTHR45730:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(70278, NULL, 'PTHR31124:SF10', NULL, NULL, NULL, NULL, 'BNAC01G28650D PROTEIN', NULL, NULL, NULL, 15),
(70279, NULL, 'PTHR33090:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70280, NULL, 'PTHR12190:SF4', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 8-LIKE', NULL, NULL, NULL, 15),
(70281, NULL, 'PTHR35287', NULL, NULL, NULL, NULL, 'SI:ZFOS-911D5.4', NULL, NULL, NULL, 15),
(70282, NULL, 'PTHR36131', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 8-1', NULL, NULL, 36352, 15),
(70283, NULL, 'PTHR12544:SF33', NULL, NULL, NULL, NULL, 'GLUTAMINASE LIVER ISOFORM, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(70284, NULL, 'PTHR33576:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70285, NULL, 'PTHR30514:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, RPIR FAMILY', NULL, NULL, NULL, 15),
(70286, NULL, 'PTHR11736:SF63', NULL, NULL, NULL, NULL, 'RIKEN CDNA 3830417A13', NULL, NULL, NULL, 15),
(70287, NULL, 'PTHR10291:SF18', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(70288, NULL, 'PTHR31734:SF28', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA17', NULL, NULL, NULL, 15),
(70289, NULL, 'PTHR47565:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE 19-2', NULL, NULL, NULL, 15),
(70290, NULL, 'PTHR43875:SF3', NULL, NULL, NULL, NULL, 'MALTOSE/MALTODEXTRIN IMPORT ATP-BINDING PROTEIN MALK', NULL, NULL, NULL, 15),
(70291, NULL, 'PTHR47990:SF86', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 5', NULL, NULL, NULL, 15),
(70292, NULL, 'PTHR45617:SF42', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING G PROTEIN-COUPLED RECEPTOR 6', NULL, NULL, NULL, 15),
(70293, NULL, 'PTHR22953', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE RELATED', NULL, NULL, 36142, 15),
(70294, NULL, 'PTHR24221:SF539', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 4-LIKE', NULL, NULL, NULL, 15),
(70295, NULL, 'PTHR31945:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SCREAM2', NULL, NULL, NULL, 15),
(70296, NULL, 'PTHR31911:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM133', NULL, NULL, NULL, 15),
(70297, NULL, 'PTHR14038', NULL, NULL, NULL, NULL, 'BAT2  HLA-B-ASSOCIATED TRANSCRIPT 2', NULL, NULL, 31660, 15),
(70298, NULL, 'PTHR31947:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70299, NULL, 'PTHR10687:SF62', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(70300, NULL, 'PTHR21454:SF26', NULL, NULL, NULL, NULL, 'EXPP1 PROTEIN', NULL, NULL, NULL, 15),
(70301, NULL, 'PTHR32108:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70302, NULL, 'PTHR23164:SF17', NULL, NULL, NULL, NULL, 'EARLY ENDOSOME ANTIGEN 1', NULL, NULL, NULL, 15),
(70303, NULL, 'PTHR48048:SF45', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(70304, NULL, 'PTHR45651:SF92', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-GATED ION CHANNEL, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(70305, NULL, 'PTHR26450:SF396', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(70306, NULL, 'PTHR10218:SF302', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(O) SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(70307, NULL, 'PTHR12411:SF525', NULL, NULL, NULL, NULL, 'CATHEPSIN S', NULL, NULL, NULL, 15),
(70308, NULL, 'PTHR23319:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70309, NULL, 'PTHR10168:SF221', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S5', NULL, NULL, NULL, 15),
(70310, NULL, 'PTHR12632:SF52', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-4-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70311, NULL, 'PTHR11334:SF22', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER X1', NULL, NULL, 23212, 15),
(70312, NULL, 'PTHR44329:SF80', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE EDR1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(70313, NULL, 'PTHR24052:SF12', NULL, NULL, NULL, NULL, 'PLATELET ENDOTHELIAL AGGREGATION RECEPTOR 1', NULL, NULL, NULL, 15),
(70314, NULL, 'PTHR24031:SF620', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70315, NULL, 'PTHR13163:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 35B', NULL, NULL, NULL, 15),
(70316, NULL, 'PTHR11101:SF93', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(70317, NULL, 'PTHR38139:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70318, NULL, 'PTHR19965:SF58', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G08310)-RELATED', NULL, NULL, NULL, 15),
(70319, NULL, 'PTHR35762', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(70320, NULL, 'PTHR21022:SF30', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', NULL, NULL, NULL, 15),
(70321, NULL, 'PTHR33193:SF27', NULL, NULL, NULL, NULL, 'OS07G0690200 PROTEIN', NULL, NULL, NULL, 15),
(70322, NULL, 'PTHR24012:SF840', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(70323, NULL, 'PTHR47209:SF6', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(70324, NULL, 'PTHR46301:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70325, NULL, 'PTHR10491:SF4', NULL, NULL, NULL, NULL, 'METHIONINE ADENOSYLTRANSFERASE 2 SUBUNIT BETA', NULL, NULL, NULL, 15),
(70326, NULL, 'PTHR32212:SF339', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(70327, NULL, 'PTHR12707', NULL, NULL, NULL, NULL, 'PINN', NULL, NULL, 33927, 15),
(70328, NULL, 'PTHR46631:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE', NULL, NULL, NULL, 15),
(70329, NULL, 'PTHR36607:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70330, NULL, 'PTHR11661:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12', NULL, NULL, NULL, 15),
(70331, NULL, 'PTHR45688:SF1', NULL, NULL, NULL, NULL, 'ETHANOLAMINE-PHOSPHATE PHOSPHO-LYASE', NULL, NULL, NULL, 15),
(70332, NULL, 'PTHR39222:SF2', NULL, NULL, NULL, NULL, 'GENE 28372-RELATED', NULL, NULL, NULL, 15),
(70333, NULL, 'PTHR24055:SF381', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(70334, NULL, 'PTHR47364:SF13', NULL, NULL, NULL, NULL, 'BNAA01G17250D PROTEIN', NULL, NULL, NULL, 15),
(70335, NULL, 'PTHR33915:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0033G05.11 PROTEIN', NULL, NULL, NULL, 15),
(70336, NULL, 'PTHR34054:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(70337, NULL, 'PTHR11304:SF43', NULL, NULL, NULL, NULL, 'VAB-2', NULL, NULL, NULL, 15),
(70338, NULL, 'PTHR10091:SF26', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(70339, NULL, 'PTHR45855:SF26', NULL, NULL, NULL, NULL, 'OS07G0143200 PROTEIN', NULL, NULL, NULL, 15),
(70340, NULL, 'PTHR23239:SF184', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 42', NULL, NULL, NULL, 15),
(70341, NULL, 'PTHR23226:SF224', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 263', NULL, NULL, 25126, 15),
(70342, NULL, 'PTHR11654:SF389', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.7', NULL, NULL, NULL, 15),
(70343, NULL, 'PTHR27006:SF101', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', NULL, NULL, NULL, 15),
(70344, NULL, 'PTHR35021', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70345, NULL, 'PTHR19212:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (IN FLII)-INTERACTING PROTEIN 1A', NULL, NULL, NULL, 15),
(70346, NULL, 'PTHR36318:SF4', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE, RNA-DEPENDENT DNA POLYMERASE-RELATED', NULL, NULL, NULL, 15),
(70347, NULL, 'PTHR11374:SF51', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70348, NULL, 'PTHR43544:SF20', NULL, NULL, NULL, NULL, 'ZGC:110339', NULL, NULL, NULL, 15),
(70349, NULL, 'PTHR45939:SF4', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 17', NULL, NULL, NULL, 15),
(70350, NULL, 'PTHR10623:SF32', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN RP/EB FAMILY MEMBER 1A', NULL, NULL, NULL, 15),
(70351, NULL, 'PTHR35182:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG04730', NULL, NULL, NULL, 15),
(70352, NULL, 'PTHR22168:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70353, NULL, 'PTHR23331:SF3', NULL, NULL, NULL, NULL, 'WAS PROTEIN FAMILY HOMOLOG 6', NULL, NULL, NULL, 15),
(70354, NULL, 'PTHR42847:SF9', NULL, NULL, NULL, NULL, 'BLL6451 PROTEIN', NULL, NULL, NULL, 15),
(70355, NULL, 'PTHR36181:SF6', NULL, NULL, NULL, NULL, 'INTRON-ENCODED LAGLIDADG ENDONUCLEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(70356, NULL, 'PTHR11346:SF116', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(70357, NULL, 'PTHR31646', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSYLTRANSFERASE MNN2', NULL, NULL, NULL, 15),
(70358, NULL, 'PTHR33147:SF37', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 13-RELATED', NULL, NULL, NULL, 15),
(70359, NULL, 'PTHR47074:SF18', NULL, NULL, NULL, NULL, '14.7 KDA RIBONUCLEASE H-LIKE PROTEIN', NULL, NULL, NULL, 15),
(70360, NULL, 'PTHR10772:SF0', NULL, NULL, NULL, NULL, '10 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(70361, NULL, 'PTHR16134:SF103', NULL, NULL, NULL, NULL, 'BNAA03G56600D PROTEIN', NULL, NULL, NULL, 15),
(70362, NULL, 'PTHR19290:SF145', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX', NULL, NULL, NULL, 15),
(70363, NULL, 'PTHR27001:SF682', NULL, NULL, NULL, NULL, 'OS03G0113000 PROTEIN', NULL, NULL, NULL, 15),
(70364, NULL, 'PTHR11920:SF355', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-10-RELATED', NULL, NULL, NULL, 15),
(70365, NULL, 'PTHR10903:SF109', NULL, NULL, NULL, NULL, 'SI:CH211-254C8.3-RELATED', NULL, NULL, NULL, 15),
(70366, NULL, 'PTHR24147:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70367, NULL, 'PTHR47950:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70368, NULL, 'PTHR31174:SF32', NULL, NULL, NULL, NULL, 'OS12G0470000 PROTEIN', NULL, NULL, NULL, 15),
(70369, NULL, 'PTHR45868:SF8', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(70370, NULL, 'PTHR30006:SF24', NULL, NULL, NULL, NULL, 'ABC-TYPE IRON(III) TRANSPORT SYSTEM, PERIPLASMIC COMPONENT', NULL, NULL, NULL, 15),
(70371, NULL, 'PTHR23266:SF83', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY CONSTANT GAMMA 1-RELATED', NULL, NULL, NULL, 15),
(70372, NULL, 'PTHR31253:SF0', NULL, NULL, NULL, NULL, 'BRI3-BINDING PROTEIN', NULL, NULL, NULL, 15),
(70373, NULL, 'PTHR48056:SF29', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', NULL, NULL, NULL, 15),
(70374, NULL, 'PTHR24406:SF11', NULL, NULL, NULL, NULL, 'SI:DKEYP-2E4.2-RELATED', NULL, NULL, NULL, 15),
(70375, NULL, 'PTHR12884:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', NULL, NULL, NULL, 15),
(70376, NULL, 'PTHR10779:SF17', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN ROADBLOCK-TYPE 1', NULL, NULL, NULL, 15),
(70377, NULL, 'PTHR11550:SF25', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', NULL, NULL, NULL, 15),
(70378, NULL, 'PTHR31096:SF74', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR10-LIKE', NULL, NULL, NULL, 15),
(70379, NULL, 'PTHR31057:SF0', NULL, NULL, NULL, NULL, 'E3 UFM1-PROTEIN LIGASE 1', NULL, NULL, NULL, 15),
(70380, NULL, 'PTHR11654:SF452', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.5', NULL, NULL, NULL, 15),
(70381, NULL, 'PTHR47046:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE ASSEMBLY FACTOR 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(70382, NULL, 'PTHR13061:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70383, NULL, 'PTHR11532:SF87', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE D', NULL, NULL, NULL, 15),
(70384, NULL, 'PTHR40142:SF1', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B, MEMBER 9B-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70385, NULL, 'PTHR22923:SF64', NULL, NULL, NULL, NULL, 'C1Q-RELATED FACTOR', NULL, NULL, NULL, 15),
(70386, NULL, 'PTHR10281:SF94', NULL, NULL, NULL, NULL, 'MEMBRANE STEROID-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(70387, NULL, 'PTHR27009:SF193', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE UNC-51-RELATED', NULL, NULL, NULL, 15),
(70388, NULL, 'PTHR24092:SF187', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(70389, NULL, 'PTHR10676:SF284', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 17, AXONEMAL', NULL, NULL, NULL, 15),
(70390, NULL, 'PTHR11905:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70391, NULL, 'PTHR33130:SF48', NULL, NULL, NULL, NULL, 'BNAA08G03040D PROTEIN', NULL, NULL, NULL, 15),
(70392, NULL, 'PTHR11439:SF234', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON TNT 1-94-LIKE PROTEIN', NULL, NULL, NULL, 15),
(70393, NULL, 'PTHR10334:SF430', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(70394, NULL, 'PTHR12210:SF155', NULL, NULL, NULL, NULL, 'FCP1-LIKE DOMAIN, HAD-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70395, NULL, 'PTHR43801:SF1', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70396, NULL, 'PTHR10288:SF290', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70397, NULL, 'PTHR12992:SF34', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 3', NULL, NULL, NULL, 15),
(70398, NULL, 'PTHR33308', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN HYDROLASE FLGJ', NULL, NULL, NULL, 15),
(70399, NULL, 'PTHR33181:SF10', NULL, NULL, NULL, NULL, 'OS01G0288200 PROTEIN', NULL, NULL, NULL, 15),
(70400, NULL, 'PTHR27005:SF318', NULL, NULL, NULL, NULL, 'SNTOX1 SENSITIVITY PROTEIN', NULL, NULL, NULL, 15),
(70401, NULL, 'PTHR11385:SF14', NULL, NULL, NULL, NULL, 'AFAMIN', NULL, NULL, NULL, 15),
(70402, NULL, 'PTHR12027:SF104', NULL, NULL, NULL, NULL, 'PROTEIN WNT', NULL, NULL, NULL, 15),
(70403, NULL, 'PTHR31500:SF49', NULL, NULL, NULL, NULL, 'AT HOOK MOTIF DNA-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(70404, NULL, 'PTHR33172:SF54', NULL, NULL, NULL, NULL, 'BNAC04G49880D PROTEIN', NULL, NULL, NULL, 15),
(70405, NULL, 'PTHR37435', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70406, NULL, 'PTHR34676:SF3', NULL, NULL, NULL, NULL, 'BNAA04G11390D PROTEIN', NULL, NULL, NULL, 15),
(70407, NULL, 'PTHR32285:SF170', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 43', NULL, NULL, NULL, 15),
(70408, NULL, 'PTHR46169:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(70409, NULL, 'PTHR46245:SF10', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS07G0563300', NULL, NULL, NULL, 15),
(70410, NULL, 'PTHR11538:SF66', NULL, NULL, NULL, NULL, 'DUF2431 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(70411, NULL, 'PTHR11885:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70412, NULL, 'PTHR46218:SF4', NULL, NULL, NULL, NULL, 'LIM AND SH3 DOMAIN PROTEIN LASP', NULL, NULL, NULL, 15),
(70413, NULL, 'PTHR42083:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70414, NULL, 'PTHR46816:SF6', NULL, NULL, NULL, NULL, 'OS03G0304500 PROTEIN', NULL, NULL, NULL, 15),
(70415, NULL, 'PTHR47924:SF9', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(70416, NULL, 'PTHR20982:SF12', NULL, NULL, NULL, NULL, 'OSJNBA0076N16.8 PROTEIN', NULL, NULL, NULL, 15),
(70417, NULL, 'PTHR17600', NULL, NULL, NULL, NULL, 'MESODERM DEVELOPMENT CANDIDATE 2', NULL, NULL, 15065, 15),
(70418, NULL, 'PTHR46668:SF5', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR6', NULL, NULL, NULL, 15),
(70419, NULL, 'PTHR38449', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN TM_1690-RELATED', NULL, NULL, 138, 15),
(70420, NULL, 'PTHR30128:SF59', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I PSAA/PSAB-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70421, NULL, 'PTHR11945:SF170', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL11', NULL, NULL, NULL, 15),
(70422, NULL, 'PTHR23382:SF3', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(70423, NULL, 'PTHR32093:SF143', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(70424, NULL, 'PTHR43658:SF8', NULL, NULL, NULL, NULL, '17-BETA-HYDROXYSTEROID DEHYDROGENASE 14-RELATED', NULL, NULL, NULL, 15),
(70425, NULL, 'PTHR43530:SF1', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE CATALYTIC SUBUNIT 1', NULL, NULL, NULL, 15),
(70426, NULL, 'PTHR23267', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(70427, NULL, 'PTHR13169:SF18', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN', NULL, NULL, NULL, 15),
(70428, NULL, 'PTHR16231:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70429, NULL, 'PTHR23253:SF66', NULL, NULL, NULL, NULL, 'BNAA08G12910D PROTEIN', NULL, NULL, NULL, 15),
(70430, NULL, 'PTHR10639:SF31', NULL, NULL, NULL, NULL, 'BNAA07G00560D PROTEIN', NULL, NULL, NULL, 15),
(70431, NULL, 'PTHR31675:SF35', NULL, NULL, NULL, NULL, 'BNAA07G38010D PROTEIN', NULL, NULL, NULL, 15),
(70432, NULL, 'PTHR35133:SF4', NULL, NULL, NULL, NULL, 'PROTEIN EFFECTOR OF TRANSCRIPTION 1', NULL, NULL, NULL, 15),
(70433, NULL, 'PTHR10334:SF445', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', NULL, NULL, NULL, 15),
(70434, NULL, 'PTHR11746:SF275', NULL, NULL, NULL, NULL, 'TABERSONINE 16-O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(70435, NULL, 'PTHR30108:SF7', NULL, NULL, NULL, NULL, '3-POLYPRENYL-4-HYDROXYBENZOATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(70436, NULL, 'PTHR20859:SF80', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR FAMILY MEMBER B15-RELATED', NULL, NULL, NULL, 15),
(70437, NULL, 'PTHR10194:SF138', NULL, NULL, NULL, NULL, 'INHIBITORY REGULATOR PROTEIN IRA1-RELATED', NULL, NULL, NULL, 15),
(70438, NULL, 'PTHR22891:SF122', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 10', NULL, NULL, NULL, 15),
(70439, NULL, 'PTHR19331:SF400', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70440, NULL, 'PTHR19370:SF204', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', NULL, NULL, NULL, 15),
(70441, NULL, 'PTHR17039', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RIBONUCLEOPROTEIN PROTEIN MPP10', NULL, NULL, 7341, 15),
(70442, NULL, 'PTHR24305:SF201', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, CONSERVED SITE', NULL, NULL, NULL, 15),
(70443, NULL, 'PTHR13902:SF137', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK11-RELATED', NULL, NULL, NULL, 15),
(70444, NULL, 'PTHR22811:SF37', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(70445, NULL, 'PTHR31707:SF258', NULL, NULL, NULL, NULL, 'BNAA06G00180D PROTEIN', NULL, NULL, NULL, 15),
(70446, NULL, 'PTHR31992:SF207', NULL, NULL, NULL, NULL, 'OBF BINDING PROTEIN 2 DOF1.1-1', NULL, NULL, NULL, 15),
(70447, NULL, 'PTHR47928:SF122', NULL, NULL, NULL, NULL, 'OS06G0700100 PROTEIN', NULL, NULL, NULL, 15),
(70448, NULL, 'PTHR32444:SF138', NULL, NULL, NULL, NULL, 'D-MANNOSE-BINDING LECTIN PROTEIN', NULL, NULL, NULL, 15),
(70449, NULL, 'PTHR47928:SF82', NULL, NULL, NULL, NULL, 'OS01G0715700 PROTEIN', NULL, NULL, NULL, 15),
(70450, NULL, 'PTHR31964:SF122', NULL, NULL, NULL, NULL, 'OS02G0760500 PROTEIN', NULL, NULL, NULL, 15),
(70451, NULL, 'PTHR46158:SF13', NULL, NULL, NULL, NULL, 'BNAA10G13380D PROTEIN', NULL, NULL, NULL, 15),
(70452, NULL, 'PTHR36746:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70453, NULL, 'PTHR13271:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70454, NULL, 'PTHR38224', NULL, NULL, NULL, NULL, 'PHLOEM SPECIFIC PROTEIN', NULL, NULL, NULL, 15),
(70455, NULL, 'PTHR34660:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70456, NULL, 'PTHR32071:SF79', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70457, NULL, 'PTHR22802:SF11', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER D', NULL, NULL, NULL, 15),
(70458, NULL, 'PTHR10338:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70459, NULL, 'PTHR11442:SF87', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(70460, NULL, 'PTHR12064:SF83', NULL, NULL, NULL, NULL, 'BNAA09G50940D PROTEIN', NULL, NULL, NULL, 15),
(70461, NULL, 'PTHR48011:SF5', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE NPK1-LIKE', NULL, NULL, NULL, 15),
(70462, NULL, 'PTHR22745:SF3', NULL, NULL, NULL, NULL, 'PARATHYMOSIN', NULL, NULL, NULL, 15),
(70463, NULL, 'PTHR32295:SF207', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', NULL, NULL, NULL, 15),
(70464, NULL, 'PTHR46985:SF1', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(70465, NULL, 'PTHR45693:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBP-1B(C1)', NULL, NULL, NULL, 15),
(70466, NULL, 'PTHR27001:SF711', NULL, NULL, NULL, NULL, 'OS01G0927500 PROTEIN', NULL, NULL, NULL, 15),
(70467, NULL, 'PTHR47947:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82A2', NULL, NULL, NULL, 15),
(70468, NULL, 'PTHR21513:SF24', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(70469, NULL, 'PTHR24114:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70470, NULL, 'PTHR31734:SF166', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(70471, NULL, 'PTHR33078:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70472, NULL, 'PTHR12817', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 6B', NULL, NULL, 30908, 15),
(70473, NULL, 'PTHR11820:SF111', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE (FAA) HYDROLASE FAMILY', NULL, NULL, NULL, 15),
(70474, NULL, 'PTHR12096', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN SKIP-RELATED', NULL, NULL, 18859, 15),
(70475, NULL, 'PTHR48049:SF82', NULL, NULL, NULL, NULL, '7-DEOXYLOGANETIC ACID GLUCOSYLTRANSFERASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(70476, NULL, 'PTHR40052', NULL, NULL, NULL, NULL, 'UPF0403 PROTEIN YQIW-RELATED', NULL, NULL, 9254, 15),
(70477, NULL, 'PTHR26454:SF8', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C2', NULL, NULL, NULL, 15),
(70478, NULL, 'PTHR10177:SF482', NULL, NULL, NULL, NULL, 'BNAA10G27360D PROTEIN', NULL, NULL, NULL, 15),
(70479, NULL, 'PTHR32370:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70480, NULL, 'PTHR11592:SF106', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(70481, NULL, 'PTHR31352:SF46', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', NULL, NULL, NULL, 15),
(70482, NULL, 'PTHR31269:SF34', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH3', NULL, NULL, NULL, 15),
(70483, NULL, 'PTHR46352:SF8', NULL, NULL, NULL, NULL, 'OS08G0562300 PROTEIN', NULL, NULL, NULL, 15),
(70484, NULL, 'PTHR46038:SF43', NULL, NULL, NULL, NULL, 'BNAANNG05330D PROTEIN', NULL, NULL, NULL, 15),
(70485, NULL, 'PTHR47843:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70486, NULL, 'PTHR10362:SF37', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE 3', NULL, NULL, NULL, 15),
(70487, NULL, 'PTHR13173', NULL, NULL, NULL, NULL, 'WW DOMAIN BINDING PROTEIN 4', NULL, NULL, 29371, 15),
(70488, NULL, 'PTHR24296:SF147', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1', NULL, NULL, NULL, 15),
(70489, NULL, 'PTHR11706:SF85', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP1', NULL, NULL, NULL, 15),
(70490, NULL, 'PTHR48010:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70491, NULL, 'PTHR12203:SF22', NULL, NULL, NULL, NULL, 'CAPSULE ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(70492, NULL, 'PTHR24240:SF92', NULL, NULL, NULL, NULL, 'RETINAL G PROTEIN-COUPLED RECEPTOR B', NULL, NULL, NULL, 15),
(70493, NULL, 'PTHR34372:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C-2-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70494, NULL, 'PTHR19965:SF25', NULL, NULL, NULL, NULL, 'REF/ALY RNA EXPORT ADAPTOR FAMILY', NULL, NULL, NULL, 15),
(70495, NULL, 'PTHR11003:SF240', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(70496, NULL, 'PTHR31225:SF83', NULL, NULL, NULL, NULL, '(R)-LINALOOL SYNTHASE TPS5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(70497, NULL, 'PTHR27006:SF363', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN, SERINE/THREONINE-PROTEIN KINASE PLK3-RELATED', NULL, NULL, NULL, 15),
(70498, NULL, 'PTHR24062:SF32', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(70499, NULL, 'PTHR48017:SF23', NULL, NULL, NULL, NULL, 'BNAA09G57240D PROTEIN', NULL, NULL, NULL, 15),
(70500, NULL, 'PTHR32116:SF63', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 12-RELATED', NULL, NULL, NULL, 15),
(70501, NULL, 'PTHR23513:SF17', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70502, NULL, 'PTHR45648:SF92', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(70503, NULL, 'PTHR24327:SF74', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN DISTAL-LESS', NULL, NULL, NULL, 15),
(70504, NULL, 'PTHR22835:SF587', NULL, NULL, NULL, NULL, 'ESTERASE-RELATED', NULL, NULL, NULL, 15),
(70505, NULL, 'PTHR38459:SF1', NULL, NULL, NULL, NULL, 'PROPHAGE BACTOPRENOL-LINKED GLUCOSE TRANSLOCASE HOMOLOG', NULL, NULL, NULL, 15),
(70506, NULL, 'PTHR47926:SF77', NULL, NULL, NULL, NULL, 'BNAC08G46300D PROTEIN', NULL, NULL, NULL, 15),
(70507, NULL, 'PTHR33827:SF3', NULL, NULL, NULL, NULL, 'OS09G0346900 PROTEIN', NULL, NULL, NULL, 15),
(70508, NULL, 'PTHR38603:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE NAPD', NULL, NULL, NULL, 15),
(70509, NULL, 'PTHR31218:SF288', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(70510, NULL, 'PTHR24217:SF13', NULL, NULL, NULL, NULL, 'SYNAPTOPODIN', NULL, NULL, 29117, 15),
(70511, NULL, 'PTHR22298:SF60', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(70512, NULL, 'PTHR43826:SF6', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(70513, NULL, 'PTHR45950:SF17', NULL, NULL, NULL, NULL, 'BNAC03G69040D PROTEIN', NULL, NULL, NULL, 15),
(70514, NULL, 'PTHR27009:SF162', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(70515, NULL, 'PTHR24296:SF123', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94A2-LIKE', NULL, NULL, NULL, 15),
(70516, NULL, 'PTHR24271:SF52', NULL, NULL, NULL, NULL, 'GRANZYME K', NULL, NULL, NULL, 15),
(70517, NULL, 'PTHR22957:SF272', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(70518, NULL, 'PTHR21074:SF0', NULL, NULL, NULL, NULL, 'IQ AND UBIQUITIN-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(70519, NULL, 'PTHR36311:SF2', NULL, NULL, NULL, NULL, 'BNAC08G43200D PROTEIN', NULL, NULL, NULL, 15),
(70520, NULL, 'PTHR10621:SF55', NULL, NULL, NULL, NULL, 'UBIQUITIN RECEPTOR RAD23D-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(70521, NULL, 'PTHR11878:SF37', NULL, NULL, NULL, NULL, 'NA/CA EXCHANGERS', NULL, NULL, NULL, 15),
(70522, NULL, 'PTHR13832:SF285', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 22-RELATED', NULL, NULL, NULL, 15),
(70523, NULL, 'PTHR11761:SF36', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23', NULL, NULL, NULL, 15),
(70524, NULL, 'PTHR15201', NULL, NULL, NULL, NULL, 'CRSP70', NULL, NULL, 40029, 15),
(70525, NULL, 'PTHR10098:SF106', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR ASPARTATE PHOSPHATASE G', NULL, NULL, NULL, 15),
(70526, NULL, 'PTHR23024:SF411', NULL, NULL, NULL, NULL, 'ISOPRENYLCYSTEINE ALPHA-CARBONYL METHYLESTERASE ICMEL2-RELATED', NULL, NULL, NULL, 15),
(70527, NULL, 'PTHR47863:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70528, NULL, 'PTHR23415:SF12', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT 2', NULL, NULL, NULL, 15),
(70529, NULL, 'PTHR27005:SF360', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70530, NULL, 'PTHR31189', NULL, NULL, NULL, NULL, 'OS03G0336100 PROTEIN-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70531, NULL, 'PTHR43245:SF23', NULL, NULL, NULL, NULL, 'HREPIB', NULL, NULL, NULL, 15),
(70532, NULL, 'PTHR32295:SF106', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 24', NULL, NULL, NULL, 15),
(70533, NULL, 'PTHR23201:SF111', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 10', NULL, NULL, NULL, 15),
(70534, NULL, 'PTHR37975', NULL, NULL, NULL, NULL, 'FLYWCH ZINC FINGER TRANSCRIPTION FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(70535, NULL, 'PTHR24068:SF194', NULL, NULL, NULL, NULL, 'NEDD8-CONJUGATING ENZYME UBE2F', NULL, NULL, NULL, 15),
(70536, NULL, 'PTHR46216:SF4', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 37-LIKE 1', NULL, NULL, NULL, 15),
(70537, NULL, 'PTHR11909:SF382', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE', NULL, NULL, NULL, 15),
(70538, NULL, 'PTHR31415:SF141', NULL, NULL, NULL, NULL, 'BNAANNG23450D PROTEIN', NULL, NULL, NULL, 15),
(70539, NULL, 'PTHR24156:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 34B', NULL, NULL, NULL, 15),
(70540, NULL, 'PTHR47364:SF19', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 1-LIKE', NULL, NULL, NULL, 15),
(70541, NULL, 'PTHR38106:SF1', NULL, NULL, NULL, NULL, 'RNA CHAPERONE PROQ', NULL, NULL, NULL, 15),
(70542, NULL, 'PTHR11654:SF478', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', NULL, NULL, NULL, 15),
(70543, NULL, 'PTHR31744:SF120', NULL, NULL, NULL, NULL, 'BNAC05G40360D PROTEIN', NULL, NULL, NULL, 15),
(70544, NULL, 'PTHR24567:SF58', NULL, NULL, NULL, NULL, 'CYCLIC AMP-BINDING REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(70545, NULL, 'PTHR46146:SF9', NULL, NULL, NULL, NULL, 'CYTOKININ-REGULATED KINASE-LIKE', NULL, NULL, NULL, 15),
(70546, NULL, 'PTHR28047:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70547, NULL, 'PTHR24334', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GBX', NULL, NULL, 37169, 15),
(70548, NULL, 'PTHR11875:SF126', NULL, NULL, NULL, NULL, 'NAP1-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(70549, NULL, 'PTHR10332:SF4', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER 4', NULL, NULL, 26733, 15),
(70550, NULL, 'PTHR41309:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70551, NULL, 'PTHR43811:SF42', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(70552, NULL, 'PTHR12482:SF14', NULL, NULL, NULL, NULL, 'OS02G0655600 PROTEIN', NULL, NULL, NULL, 15),
(70553, NULL, 'PTHR45029', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE-RELATED', NULL, NULL, 36971, 15),
(70554, NULL, 'PTHR31048:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70555, NULL, 'PTHR32145:SF11', NULL, NULL, NULL, NULL, 'DIFLAVIN FLAVOPROTEIN A 2-RELATED', NULL, NULL, NULL, 15),
(70556, NULL, 'PTHR46049:SF5', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY H MEMBER 3', NULL, NULL, NULL, 15),
(70557, NULL, 'PTHR43004:SF16', NULL, NULL, NULL, NULL, 'PHENOL 2-MONOOXYGENASE', NULL, NULL, NULL, 15),
(70558, NULL, 'PTHR11732:SF214', NULL, NULL, NULL, NULL, 'NADP(+) COUPLED GLYCEROL DEHYDROGENASE (EUROFUNG)', NULL, NULL, NULL, 15),
(70559, NULL, 'PTHR45653:SF7', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 4', NULL, NULL, 34650, 15),
(70560, NULL, 'PTHR47941:SF4', NULL, NULL, NULL, NULL, 'OS12G0407800 PROTEIN', NULL, NULL, NULL, 15),
(70561, NULL, 'PTHR33076:SF21', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 13', NULL, NULL, NULL, 15),
(70562, NULL, 'PTHR47548:SF1', NULL, NULL, NULL, NULL, 'BNAA06G32370D PROTEIN', NULL, NULL, NULL, 15),
(70563, NULL, 'PTHR48005:SF40', NULL, NULL, NULL, NULL, 'BNACNNG36800D PROTEIN', NULL, NULL, NULL, 15),
(70564, NULL, 'PTHR38934:SF15', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(70565, NULL, 'PTHR15711:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70566, NULL, 'PTHR10067:SF7', NULL, NULL, NULL, NULL, 'DUF1077 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(70567, NULL, 'PTHR10285:SF149', NULL, NULL, NULL, NULL, 'URIDINE KINASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70568, NULL, 'PTHR12814', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN NOB1', NULL, NULL, 32753, 15),
(70569, NULL, 'PTHR43791:SF59', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06550)-RELATED', NULL, NULL, NULL, 15),
(70570, NULL, 'PTHR12692:SF6', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 3B-RELATED', NULL, NULL, NULL, 15),
(70571, NULL, 'PTHR30124', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND LYTIC MUREIN TRANSGLYCOSYLASE A', NULL, NULL, 25420, 15),
(70572, NULL, 'PTHR34782:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE', NULL, NULL, NULL, 15),
(70573, NULL, 'PTHR46087:SF1', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(70574, NULL, 'PTHR43503:SF11', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-6', NULL, NULL, NULL, 15),
(70575, NULL, 'PTHR42911', NULL, NULL, NULL, NULL, 'MODULATOR OF FTSH PROTEASE HFLC', NULL, NULL, 4314, 15),
(70576, NULL, 'PTHR26454:SF45', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(70577, NULL, 'PTHR24221:SF242', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY B MEMBER 9', NULL, NULL, 27868, 15),
(70578, NULL, 'PTHR31631:SF0', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 2D', NULL, NULL, NULL, 15),
(70579, NULL, 'PTHR47993:SF161', NULL, NULL, NULL, NULL, 'BNACNNG21380D PROTEIN', NULL, NULL, NULL, 15),
(70580, NULL, 'PTHR45680:SF13', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(70581, NULL, 'PTHR11668:SF437', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(70582, NULL, 'PTHR44420:SF4', NULL, NULL, NULL, NULL, 'F18O14.31-RELATED', NULL, NULL, NULL, 15),
(70583, NULL, 'PTHR33244:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70584, NULL, 'PTHR30448', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 6341, 15),
(70585, NULL, 'PTHR11843:SF21', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15),
(70586, NULL, 'PTHR33199:SF15', NULL, NULL, NULL, NULL, 'MACPF DOMAIN-CONTAINING PROTEIN CAD1-LIKE', NULL, NULL, NULL, 15),
(70587, NULL, 'PTHR33736:SF23', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70588, NULL, 'PTHR33179:SF4', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(70589, NULL, 'PTHR46291:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70590, NULL, 'PTHR11880:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70591, NULL, 'PTHR34924:SF1', NULL, NULL, NULL, NULL, 'UPF0573 PROTEIN C2ORF70', NULL, NULL, NULL, 15),
(70592, NULL, 'PTHR31111:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70593, NULL, 'PTHR43228:SF6', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR RECEIVER', NULL, NULL, NULL, 15),
(70594, NULL, 'PTHR26452:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 14J1', NULL, NULL, NULL, 15),
(70595, NULL, 'PTHR11903:SF28', NULL, NULL, NULL, NULL, 'PSI-PRODUCING OXYGENASE A', NULL, NULL, NULL, 15),
(70596, NULL, 'PTHR11510:SF15', NULL, NULL, NULL, NULL, 'INOSITOL-3-PHOSPHATE SYNTHASE 1', NULL, NULL, NULL, 15),
(70597, NULL, 'PTHR45862:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(70598, NULL, 'PTHR33914:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70599, NULL, 'PTHR22599:SF11', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 3', NULL, NULL, NULL, 15),
(70600, NULL, 'PTHR23428:SF209', NULL, NULL, NULL, NULL, 'HISTONE H2B 5', NULL, NULL, NULL, 15),
(70601, NULL, 'PTHR43268:SF5', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN', NULL, NULL, NULL, 15),
(70602, NULL, 'PTHR19303:SF10', NULL, NULL, NULL, NULL, 'TIGGER TRANSPOSABLE ELEMENT DERIVED 5', NULL, NULL, NULL, 15),
(70603, NULL, 'PTHR36570:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-DISULFIDE OXIDOREDUCTASE DSBI', NULL, NULL, NULL, 15),
(70604, NULL, 'PTHR43625:SF11', NULL, NULL, NULL, NULL, 'AFLATOXIN B1 ALDEHYDE REDUCTASE MEMBER 3-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70605, NULL, 'PTHR16234', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN FLJ20508', NULL, NULL, 29115, 15),
(70606, NULL, 'PTHR28060', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT J, MITOCHONDRIAL', NULL, NULL, 5936, 15),
(70607, NULL, 'PTHR46542:SF1', NULL, NULL, NULL, NULL, 'X-BOX BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(70608, NULL, 'PTHR27009:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70609, NULL, 'PTHR31235:SF321', NULL, NULL, NULL, NULL, 'PEROXIDASE 27', NULL, NULL, NULL, 15),
(70610, NULL, 'PTHR47926:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70611, NULL, 'PTHR11782:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70612, NULL, 'PTHR11753:SF19', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT SIGMA-2', NULL, NULL, NULL, 15),
(70613, NULL, 'PTHR22847:SF715', NULL, NULL, NULL, NULL, 'F-BOX/WD-40 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(70614, NULL, 'PTHR48021:SF57', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(70615, NULL, 'PTHR43899:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70616, NULL, 'PTHR10759:SF12', NULL, NULL, NULL, NULL, 'BNAA09G02410D PROTEIN', NULL, NULL, NULL, 15),
(70617, NULL, 'PTHR45886:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(70618, NULL, 'PTHR47975:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(70619, NULL, 'PTHR22798:SF10', NULL, NULL, NULL, NULL, 'MALIGNANT T-CELL-AMPLIFIED SEQUENCE 1', NULL, NULL, NULL, 15),
(70620, NULL, 'PTHR33164:SF63', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ROT', NULL, NULL, NULL, 15),
(70621, NULL, 'PTHR33915:SF9', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(70622, NULL, 'PTHR11017:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70623, NULL, 'PTHR40012', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 29', NULL, NULL, 35993, 15),
(70624, NULL, 'PTHR39160:SF5', NULL, NULL, NULL, NULL, 'LMO0186 PROTEIN', NULL, NULL, NULL, 15),
(70625, NULL, 'PTHR22605:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70626, NULL, 'PTHR24399:SF52', NULL, NULL, NULL, NULL, 'RCG58974-RELATED', NULL, NULL, NULL, 15),
(70627, NULL, 'PTHR34768', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 89', NULL, NULL, 36699, 15),
(70628, NULL, 'PTHR46038:SF30', NULL, NULL, NULL, NULL, 'OS01G0921100 PROTEIN', NULL, NULL, NULL, 15),
(70629, NULL, 'PTHR24377:SF649', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 415', NULL, NULL, NULL, 15),
(70630, NULL, 'PTHR38489:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70631, NULL, 'PTHR38088', NULL, NULL, NULL, NULL, 'UCP029143 FAMILY PROTEIN', NULL, NULL, 7978, 15),
(70632, NULL, 'PTHR24177:SF301', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70633, NULL, 'PTHR11724:SF1', NULL, NULL, NULL, NULL, 'LEPTIN', NULL, NULL, NULL, 15),
(70634, NULL, 'PTHR10997:SF60', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(70635, NULL, 'PTHR14477', NULL, NULL, NULL, NULL, 'CUB DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 34515, 15),
(70636, NULL, 'PTHR43211:SF1', NULL, NULL, NULL, NULL, 'BLL6422 PROTEIN', NULL, NULL, NULL, 15),
(70637, NULL, 'PTHR11183:SF153', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(70638, NULL, 'PTHR11814:SF132', NULL, NULL, NULL, NULL, 'LD38576P-RELATED', NULL, NULL, NULL, 15),
(70639, NULL, 'PTHR22847:SF647', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 6, ISOFORM F-RELATED', NULL, NULL, NULL, 15),
(70640, NULL, 'PTHR31121:SF7', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE KTR4-RELATED', NULL, NULL, NULL, 15),
(70641, NULL, 'PTHR18966:SF413', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 21A', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70642, NULL, 'PTHR45960', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED-BINDING PROTEIN', NULL, NULL, NULL, 15),
(70643, NULL, 'PTHR14399:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70644, NULL, 'PTHR31503:SF58', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', NULL, NULL, NULL, 15),
(70645, NULL, 'PTHR12111:SF10', NULL, NULL, NULL, NULL, 'BNAANNG34380D PROTEIN', NULL, NULL, NULL, 15),
(70646, NULL, 'PTHR43000', NULL, NULL, NULL, NULL, 'DTDP-D-GLUCOSE 4,6-DEHYDRATASE-RELATED', NULL, NULL, NULL, 15),
(70647, NULL, 'PTHR14154:SF72', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER 3', NULL, NULL, NULL, 15),
(70648, NULL, 'PTHR24247:SF116', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 7', NULL, NULL, NULL, 15),
(70649, NULL, 'PTHR16024', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', NULL, NULL, NULL, 15),
(70650, NULL, 'PTHR10880:SF37', NULL, NULL, NULL, NULL, 'MALE-SPECIFIC LETHAL-3 PROTEIN-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(70651, NULL, 'PTHR12977:SF11', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE KMT5C', NULL, NULL, NULL, 15),
(70652, NULL, 'PTHR16238:SF7', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 8', NULL, NULL, NULL, 15),
(70653, NULL, 'PTHR11260', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, GST, SUPERFAMILY, GST DOMAIN CONTAINING', NULL, NULL, 38199, 15),
(70654, NULL, 'PTHR31960:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70655, NULL, 'PTHR31595:SF45', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(70656, NULL, 'PTHR12894:SF34', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(70657, NULL, 'PTHR12064:SF59', NULL, NULL, NULL, NULL, 'UNEXTENDED, ISOFORM E', NULL, NULL, NULL, 15),
(70658, NULL, 'PTHR12195:SF0', NULL, NULL, NULL, NULL, 'CYTOPLASMIC FMR1-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(70659, NULL, 'PTHR13743:SF62', NULL, NULL, NULL, NULL, 'NEUROBEACHIN', NULL, NULL, NULL, 15),
(70660, NULL, 'PTHR33453:SF28', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(70661, NULL, 'PTHR42673:SF13', NULL, NULL, NULL, NULL, 'OS02G0564000 PROTEIN', NULL, NULL, NULL, 15),
(70662, NULL, 'PTHR34560:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70663, NULL, 'PTHR48001:SF59', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(70664, NULL, 'PTHR38455:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(70665, NULL, 'PTHR32258:SF27', NULL, NULL, NULL, NULL, 'INTERACTING (KIP1-LIKE) FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(70666, NULL, 'PTHR33168:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70667, NULL, 'PTHR31549:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70668, NULL, 'PTHR11787:SF1', NULL, NULL, NULL, NULL, 'RAB GDP DISSOCIATION INHIBITOR BETA', NULL, NULL, NULL, 15),
(70669, NULL, 'PTHR24281:SF208', NULL, NULL, NULL, NULL, 'CYTOCHROME 71A2', NULL, NULL, NULL, 15),
(70670, NULL, 'PTHR11516', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT, ALPHA SUBUNIT  BACTERIAL AND ORGANELLAR', NULL, NULL, NULL, 15),
(70671, NULL, 'PTHR33376:SF5', NULL, NULL, NULL, NULL, 'SLR1962 PROTEIN', NULL, NULL, NULL, 15),
(70672, NULL, 'PTHR21461:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(70673, NULL, 'PTHR10994:SF136', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(70674, NULL, 'PTHR46840', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(70675, NULL, 'PTHR22802:SF197', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER M', NULL, NULL, NULL, 15),
(70676, NULL, 'PTHR31960:SF28', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, PHLOEM PROTEIN 2-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70677, NULL, 'PTHR31223:SF48', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70678, NULL, 'PTHR14493:SF114', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 56', NULL, NULL, NULL, 15),
(70679, NULL, 'PTHR33705:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOCARRIER PROTEIN NPR', NULL, NULL, NULL, 15),
(70680, NULL, 'PTHR31775:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70681, NULL, 'PTHR33447:SF2', NULL, NULL, NULL, NULL, 'PHYTOCHELATIN SYNTHASE', NULL, NULL, NULL, 15),
(70682, NULL, 'PTHR24112', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT, ISOFORM F-RELATED', NULL, NULL, NULL, 15),
(70683, NULL, 'PTHR31692:SF59', NULL, NULL, NULL, NULL, 'EXPANSIN-B1', NULL, NULL, NULL, 15),
(70684, NULL, 'PTHR11615:SF331', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(70685, NULL, 'PTHR19818:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZIC 3', NULL, NULL, NULL, 15),
(70686, NULL, 'PTHR46484:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70687, NULL, 'PTHR23169:SF25', NULL, NULL, NULL, NULL, 'MICROTUBULE-ACTIN CROSS-LINKING FACTOR 1, ISOFORMS 1/2/3/5', NULL, NULL, NULL, 15),
(70688, NULL, 'PTHR18934:SF215', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE DEAH1-LIKE', NULL, NULL, NULL, 15),
(70689, NULL, 'PTHR15348', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN  ARID DOMAIN- CONTAINING PROTEIN   DEAD RINGER PROTEIN   B-CELL REGULATOR OF IGH TRANSCRIPTION   BRIGHT', NULL, NULL, 39026, 15),
(70690, NULL, 'PTHR11017:SF439', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(70691, NULL, 'PTHR31444:SF35', NULL, NULL, NULL, NULL, 'IRX15/IRX15L/IGXM, POLYSACCHARIDE BIOSYNTHESIS DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70692, NULL, 'PTHR11640:SF133', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(70693, NULL, 'PTHR23065:SF27', NULL, NULL, NULL, NULL, 'SH3-CONTAINING GRB2-LIKE PROTEIN 3-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(70694, NULL, 'PTHR46778:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1D', NULL, NULL, NULL, 15),
(70695, NULL, 'PTHR24390:SF105', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 692', NULL, NULL, NULL, 15),
(70696, NULL, 'PTHR45665:SF44', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70697, NULL, 'PTHR24173:SF40', NULL, NULL, NULL, NULL, 'AGAP006757-PA', NULL, NULL, NULL, 15),
(70698, NULL, 'PTHR10992:SF1013', NULL, NULL, NULL, NULL, 'ALPHA-HYDROXYNITRILE LYASE', NULL, NULL, NULL, 15),
(70699, NULL, 'PTHR46463:SF12', NULL, NULL, NULL, NULL, 'BNAA03G45980D PROTEIN', NULL, NULL, NULL, 15),
(70700, NULL, 'PTHR11776:SF23', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(70701, NULL, 'PTHR45798:SF66', NULL, NULL, NULL, NULL, 'OS02G0541500 PROTEIN', NULL, NULL, NULL, 15),
(70702, NULL, 'PTHR10694:SF43', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 5C', NULL, NULL, NULL, 15),
(70703, NULL, 'PTHR45637:SF4', NULL, NULL, NULL, NULL, 'KINASE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(70704, NULL, 'PTHR43775:SF20', NULL, NULL, NULL, NULL, 'HYBRID PKS-NRPS SYNTHETASE APDA', NULL, NULL, NULL, 15),
(70705, NULL, 'PTHR47596:SF2', NULL, NULL, NULL, NULL, 'DVL13', NULL, NULL, NULL, 15),
(70706, NULL, 'PTHR34383', NULL, NULL, NULL, NULL, 'POLYPHOSPHATE:AMP PHOSPHOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(70707, NULL, 'PTHR13808:SF1', NULL, NULL, NULL, NULL, 'NEJIRE, ISOFORM C', NULL, NULL, NULL, 15),
(70708, NULL, 'PTHR24031:SF724', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70709, NULL, 'PTHR20855:SF33', NULL, NULL, NULL, NULL, 'ADIPONECTIN RECEPTOR PROTEIN 2', NULL, NULL, NULL, 15),
(70710, NULL, 'PTHR31828:SF24', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA', NULL, NULL, NULL, 15),
(70711, NULL, 'PTHR46868', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 11', NULL, NULL, 38959, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70712, NULL, 'PTHR18919:SF145', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(70713, NULL, 'PTHR45707:SF45', NULL, NULL, NULL, NULL, 'PROTEIN QUIRKY-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(70714, NULL, 'PTHR23091:SF282', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 11', NULL, NULL, NULL, 15),
(70715, NULL, 'PTHR37180', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP14', NULL, NULL, 35047, 15),
(70716, NULL, 'PTHR10885:SF1', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE 2', NULL, NULL, NULL, 15),
(70717, NULL, 'PTHR36542:SF7', NULL, NULL, NULL, NULL, 'GIG2-LIKE PROTEIN DREO', NULL, NULL, NULL, 15),
(70718, NULL, 'PTHR33800:SF13', NULL, NULL, NULL, NULL, 'OS06G0113600 PROTEIN', NULL, NULL, NULL, 15),
(70719, NULL, 'PTHR13722:SF0', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN 8', NULL, NULL, NULL, 15),
(70720, NULL, 'PTHR34835:SF37', NULL, NULL, NULL, NULL, 'OS08G0555500 PROTEIN', NULL, NULL, NULL, 15),
(70721, NULL, 'PTHR35767:SF9', NULL, NULL, NULL, NULL, 'HAPLESS 8', NULL, NULL, NULL, 15),
(70722, NULL, 'PTHR31884:SF9', NULL, NULL, NULL, NULL, 'ENDOPOLYGALACTURONASE D-RELATED', NULL, NULL, NULL, 15),
(70723, NULL, 'PTHR43572:SF53', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPC2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(70724, NULL, 'PTHR32002:SF50', NULL, NULL, NULL, NULL, 'BNAC03G47510D PROTEIN', NULL, NULL, NULL, 15),
(70725, NULL, 'PTHR12565:SF325', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH78', NULL, NULL, NULL, 15),
(70726, NULL, 'PTHR11993', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE 49 KDA SUBUNIT', NULL, NULL, 14625, 15),
(70727, NULL, 'PTHR21245:SF10', NULL, NULL, NULL, NULL, 'SYNCRIP, ISOFORM Q', NULL, NULL, NULL, 15),
(70728, NULL, 'PTHR26451:SF196', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 398', NULL, NULL, NULL, 15),
(70729, NULL, 'PTHR34629:SF4', NULL, NULL, NULL, NULL, 'EARLY NODULIN-11', NULL, NULL, NULL, 15),
(70730, NULL, 'PTHR47974:SF12', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE PLANT', NULL, NULL, NULL, 15),
(70731, NULL, 'PTHR24298:SF820', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A2-LIKE', NULL, NULL, NULL, 15),
(70732, NULL, 'PTHR47829', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70733, NULL, 'PTHR31168:SF22', NULL, NULL, NULL, NULL, 'OS08G0153900 PROTEIN', NULL, NULL, NULL, 15),
(70734, NULL, 'PTHR37239:SF1', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(70735, NULL, 'PTHR44191:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYBS1', NULL, NULL, NULL, 15),
(70736, NULL, 'PTHR11334:SF27', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER X1', NULL, NULL, 23212, 15),
(70737, NULL, 'PTHR10992:SF1003', NULL, NULL, NULL, NULL, 'OS11G0492800 PROTEIN', NULL, NULL, NULL, 15),
(70738, NULL, 'PTHR23500:SF537', NULL, NULL, NULL, NULL, 'OS04G0453266 PROTEIN', NULL, NULL, NULL, 15),
(70739, NULL, 'PTHR45647:SF11', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(70740, NULL, 'PTHR33181:SF33', NULL, NULL, NULL, NULL, 'OS08G0241300 PROTEIN', NULL, NULL, NULL, 15),
(70741, NULL, 'PTHR45717:SF47', NULL, NULL, NULL, NULL, 'BNAA07G00520D PROTEIN', NULL, NULL, NULL, 15),
(70742, NULL, 'PTHR45476:SF2', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(70743, NULL, 'PTHR12587:SF6', NULL, NULL, NULL, NULL, 'LIPRIN-ALPHA-2', NULL, NULL, 24345, 15),
(70744, NULL, 'PTHR48044:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(70745, NULL, 'PTHR23267:SF214', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 6N-6', NULL, NULL, NULL, 15),
(70746, NULL, 'PTHR24260:SF107', NULL, NULL, NULL, NULL, 'EG:BACR7A4.3 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70747, NULL, 'PTHR46128:SF252', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70748, NULL, 'PTHR37915:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70749, NULL, 'PTHR15348:SF25', NULL, NULL, NULL, NULL, 'BNAC07G06470D PROTEIN', NULL, NULL, NULL, 15),
(70750, NULL, 'PTHR21324:SF9', NULL, NULL, NULL, NULL, 'ZGC:154058-RELATED', NULL, NULL, NULL, 15),
(70751, NULL, 'PTHR43671:SF24', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK11', NULL, NULL, NULL, 15),
(70752, NULL, 'PTHR46050:SF14', NULL, NULL, NULL, NULL, '43KDA POSTSYNAPTIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70753, NULL, 'PTHR14791:SF25', NULL, NULL, NULL, NULL, 'PROTEIN WWC3', NULL, NULL, NULL, 15),
(70754, NULL, 'PTHR22809:SF4', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 2A-RELATED', NULL, NULL, NULL, 15),
(70755, NULL, 'PTHR11117:SF6', NULL, NULL, NULL, NULL, 'SYNTHETASE SUBUNIT ALPHA, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G10830)-RELATED', NULL, NULL, NULL, 15),
(70756, NULL, 'PTHR15153', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 9', NULL, NULL, 39812, 15),
(70757, NULL, 'PTHR37540', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR (ACR-2), PUTATIVE-RELATED-RELATED', NULL, NULL, NULL, 15),
(70758, NULL, 'PTHR33199:SF18', NULL, NULL, NULL, NULL, 'BNAA09G27290D PROTEIN', NULL, NULL, NULL, 15),
(70759, NULL, 'PTHR13994:SF34', NULL, NULL, NULL, NULL, 'FI03680P', NULL, NULL, NULL, 15),
(70760, NULL, 'PTHR31342:SF53', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(70761, NULL, 'PTHR11073:SF37', NULL, NULL, NULL, NULL, 'SI:CH211-274F20.2', NULL, NULL, NULL, 15),
(70762, NULL, 'PTHR16024:SF9', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 6', NULL, NULL, NULL, 15),
(70763, NULL, 'PTHR11062:SF124', NULL, NULL, NULL, NULL, 'XYLOGALACTURONAN BETA-1,3-XYLOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(70764, NULL, 'PTHR31907:SF40', NULL, NULL, NULL, NULL, 'SN-1 PROTEIN', NULL, NULL, NULL, 15),
(70765, NULL, 'PTHR24291:SF120', NULL, NULL, NULL, NULL, 'SI:DKEY-91I10.3', NULL, NULL, NULL, 15),
(70766, NULL, 'PTHR32285:SF281', NULL, NULL, NULL, NULL, 'BNAA03G57390D PROTEIN', NULL, NULL, NULL, 15),
(70767, NULL, 'PTHR23084:SF238', NULL, NULL, NULL, NULL, 'PROTEIN TIC 100', NULL, NULL, NULL, 15),
(70768, NULL, 'PTHR22849:SF138', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(70769, NULL, 'PTHR47929:SF19', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70770, NULL, 'PTHR24388:SF60', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR SCRATCH 1', NULL, NULL, 27586, 15),
(70771, NULL, 'PTHR21074', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 30517, 15),
(70772, NULL, 'PTHR11616:SF241', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(70773, NULL, 'PTHR33304:SF36', NULL, NULL, NULL, NULL, 'ZINC ION-BINDING PROTEIN', NULL, NULL, NULL, 15),
(70774, NULL, 'PTHR11254:SF66', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ITCHY HOMOLOG', NULL, NULL, NULL, 15),
(70775, NULL, 'PTHR11594:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', NULL, NULL, NULL, 15),
(70776, NULL, 'PTHR45635:SF25', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(70777, NULL, 'PTHR23320:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70778, NULL, 'PTHR47464', NULL, NULL, NULL, NULL, 'MACOILIN', NULL, NULL, NULL, 15),
(70779, NULL, 'PTHR31282:SF152', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING PROTEIN 54-RELATED', NULL, NULL, NULL, 15),
(70780, NULL, 'PTHR44156:SF12', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING BETA SUBUNIT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(70781, NULL, 'PTHR47418', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(70782, NULL, 'PTHR12301:SF3', NULL, NULL, NULL, NULL, 'SAM AND SH3 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(70783, NULL, 'PTHR11588:SF7', NULL, NULL, NULL, NULL, 'TUBULIN GAMMA CHAIN', NULL, NULL, NULL, 15),
(70784, NULL, 'PTHR23056', NULL, NULL, NULL, NULL, 'CALCINEURIN B', NULL, NULL, 38899, 15),
(70785, NULL, 'PTHR11654:SF408', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70786, NULL, 'PTHR24282:SF212', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70787, NULL, 'PTHR10072:SF47', NULL, NULL, NULL, NULL, 'PROTEIN SUFA', NULL, NULL, NULL, 15),
(70788, NULL, 'PTHR31325:SF197', NULL, NULL, NULL, NULL, 'OS11G0171050 PROTEIN', NULL, NULL, NULL, 15),
(70789, NULL, 'PTHR26450:SF106', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(70790, NULL, 'PTHR11733:SF17', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', NULL, NULL, NULL, 15),
(70791, NULL, 'PTHR10791:SF121', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(70792, NULL, 'PTHR45977:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70793, NULL, 'PTHR11972:SF94', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN D', NULL, NULL, NULL, 15),
(70794, NULL, 'PTHR12281:SF26', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', NULL, NULL, NULL, 15),
(70795, NULL, 'PTHR31215:SF25', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(70796, NULL, 'PTHR31221:SF254', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70797, NULL, 'PTHR24012:SF808', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(70798, NULL, 'PTHR44259:SF30', NULL, NULL, NULL, NULL, 'OS11G0593250 PROTEIN', NULL, NULL, NULL, 15),
(70799, NULL, 'PTHR10257:SF95', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(70800, NULL, 'PTHR43343:SF3', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 8, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(70801, NULL, 'PTHR44102:SF11', NULL, NULL, NULL, NULL, 'BNAA06G19640D PROTEIN', NULL, NULL, NULL, 15),
(70802, NULL, 'PTHR45693:SF19', NULL, NULL, NULL, NULL, 'FACTOR BZIP PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(70803, NULL, 'PTHR32467:SF170', NULL, NULL, NULL, NULL, 'RAFFINOSE SYNTHASE OR SEED INHIBITION PROTEIN SIP1', NULL, NULL, NULL, 15),
(70804, NULL, 'PTHR12956:SF56', NULL, NULL, NULL, NULL, 'DUF616 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(70805, NULL, 'PTHR12632:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(70806, NULL, 'PTHR31072:SF97', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP4-LIKE', NULL, NULL, NULL, 15),
(70807, NULL, 'PTHR23130:SF183', NULL, NULL, NULL, NULL, 'DOMON DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70808, NULL, 'PTHR22939:SF101', NULL, NULL, NULL, NULL, 'PERIPLASMIC PH-DEPENDENT SERINE ENDOPROTEASE DEGQ', NULL, NULL, NULL, 15),
(70809, NULL, 'PTHR45921:SF2', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA HOMEOBOX PROTEIN 1', NULL, NULL, NULL, 15),
(70810, NULL, 'PTHR47965:SF6', NULL, NULL, NULL, NULL, 'OS05G0403000 PROTEIN', NULL, NULL, NULL, 15),
(70811, NULL, 'PTHR32295:SF104', NULL, NULL, NULL, NULL, 'OS01G0833800 PROTEIN', NULL, NULL, NULL, 15),
(70812, NULL, 'PTHR31301:SF97', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 12-LIKE', NULL, NULL, NULL, 15),
(70813, NULL, 'PTHR30345:SF2', NULL, NULL, NULL, NULL, 'SUGAR-PHOSPHATE ISOMERASE-RELATED', NULL, NULL, NULL, 15),
(70814, NULL, 'PTHR45768:SF54', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL47-RELATED', NULL, NULL, NULL, 15),
(70815, NULL, 'PTHR43184:SF22', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(70816, NULL, 'PTHR37297:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NRDI', NULL, NULL, NULL, 15),
(70817, NULL, 'PTHR11017:SF436', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70818, NULL, 'PTHR33184', NULL, NULL, NULL, NULL, 'PROTEIN TAPETUM DETERMINANT 1-LIKE-RELATED', NULL, NULL, 31003, 15),
(70819, NULL, 'PTHR46236:SF16', NULL, NULL, NULL, NULL, 'BNAA09G50850D PROTEIN', NULL, NULL, NULL, 15),
(70820, NULL, 'PTHR31105:SF42', NULL, NULL, NULL, NULL, 'G-LIKE PROTEIN, PUTATIVE (DUF3133)-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70821, NULL, 'PTHR42764', NULL, NULL, NULL, NULL, 'PHOSPHONATES UTILIZATION ATP-BINDING PROTEIN PHNK-RELATED', NULL, NULL, NULL, 15),
(70822, NULL, 'PTHR10887:SF419', NULL, NULL, NULL, NULL, 'RNA HELICASE MOV10L1', NULL, NULL, 23144, 15),
(70823, NULL, 'PTHR47982:SF20', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(70824, NULL, 'PTHR11439:SF326', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70825, NULL, 'PTHR13516:SF8', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P25-LIKE PROTEIN', NULL, NULL, NULL, 15),
(70826, NULL, 'PTHR13318:SF160', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(70827, NULL, 'PTHR13169:SF22', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(70828, NULL, 'PTHR46128:SF189', NULL, NULL, NULL, NULL, 'BNAC05G49570D PROTEIN', NULL, NULL, NULL, 15),
(70829, NULL, 'PTHR31631:SF11', NULL, NULL, NULL, NULL, 'OS05G0119400 PROTEIN', NULL, NULL, NULL, 15),
(70830, NULL, 'PTHR31836:SF11', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN DDB_G0293186', NULL, NULL, NULL, 15),
(70831, NULL, 'PTHR11945:SF630', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 83-RELATED', NULL, NULL, NULL, 15),
(70832, NULL, 'PTHR10672:SF34', NULL, NULL, NULL, NULL, 'CLASS II ALDOLASE/ADDUCIN DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G01330)', NULL, NULL, NULL, 15),
(70833, NULL, 'PTHR47181:SF2', NULL, NULL, NULL, NULL, 'BRCA1 C TERMINUS DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(70834, NULL, 'PTHR31677:SF77', NULL, NULL, NULL, NULL, 'OS05G0497200 PROTEIN', NULL, NULL, NULL, 15),
(70835, NULL, 'PTHR11200:SF261', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 12', NULL, NULL, NULL, 15),
(70836, NULL, 'PTHR48004:SF2', NULL, NULL, NULL, NULL, 'TYROSINE-SULFATED GLYCOPEPTIDE RECEPTOR 1-RELATED', NULL, NULL, NULL, 15),
(70837, NULL, 'PTHR43201:SF3', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (JCVI)-RELATED', NULL, NULL, NULL, 15),
(70838, NULL, 'PTHR32026:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70839, NULL, 'PTHR37857', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 273', NULL, NULL, 24148, 15),
(70840, NULL, 'PTHR46442:SF10', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(70841, NULL, 'PTHR45687:SF12', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP 1-3', NULL, NULL, NULL, 15),
(70842, NULL, 'PTHR13169:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(70843, NULL, 'PTHR47978:SF2', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(70844, NULL, 'PTHR11829:SF336', NULL, NULL, NULL, NULL, 'FORKHEAD TRANSCRIPTION FACTOR FAMILY', NULL, NULL, NULL, 15),
(70845, NULL, 'PTHR45647:SF111', NULL, NULL, NULL, NULL, 'BNAC04G29590D PROTEIN', NULL, NULL, NULL, 15),
(70846, NULL, 'PTHR35372:SF2', NULL, NULL, NULL, NULL, 'ATP BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70847, NULL, 'PTHR47980:SF30', NULL, NULL, NULL, NULL, 'SMALL GTP-BINDING PROTEIN RAB18', NULL, NULL, NULL, 15),
(70848, NULL, 'PTHR11453:SF105', NULL, NULL, NULL, NULL, 'SODIUM BICARBONATE COTRANSPORTER 3', NULL, NULL, NULL, 15),
(70849, NULL, 'PTHR23267:SF211', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 1-40-RELATED', NULL, NULL, NULL, 15),
(70850, NULL, 'PTHR31218:SF283', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(70851, NULL, 'PTHR34285:SF3', NULL, NULL, NULL, NULL, 'OS08G0510800 PROTEIN', NULL, NULL, NULL, 15),
(70852, NULL, 'PTHR36805:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70853, NULL, 'PTHR47990:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70854, NULL, 'PTHR20914:SF8', NULL, NULL, NULL, NULL, 'GENE 12253-RELATED', NULL, NULL, NULL, 15),
(70855, NULL, 'PTHR31301:SF122', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(70856, NULL, 'PTHR10426:SF114', NULL, NULL, NULL, NULL, 'TGW6', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70857, NULL, 'PTHR34050:SF5', NULL, NULL, NULL, NULL, 'BNAA09G02810D PROTEIN', NULL, NULL, NULL, 15),
(70858, NULL, 'PTHR33589:SF1', NULL, NULL, NULL, NULL, 'ZYMOGEN GRANULE PROTEIN 16 HOMOLOG B', NULL, NULL, NULL, 15),
(70859, NULL, 'PTHR16148:SF13', NULL, NULL, NULL, NULL, 'NFKB-REPRESSING FACTOR', NULL, NULL, NULL, 15),
(70860, NULL, 'PTHR43939:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70861, NULL, 'PTHR35892', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN PAGN-RELATED', NULL, NULL, NULL, 15),
(70862, NULL, 'PTHR10788:SF96', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 1', NULL, NULL, NULL, 15),
(70863, NULL, 'PTHR21716:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70864, NULL, 'PTHR12668:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14C', NULL, NULL, NULL, 15),
(70865, NULL, 'PTHR47926:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70866, NULL, 'PTHR24410:SF3', NULL, NULL, NULL, NULL, 'SERINE-ENRICHED PROTEIN', NULL, NULL, NULL, 15),
(70867, NULL, 'PTHR27009:SF263', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(70868, NULL, 'PTHR32329:SF4', NULL, NULL, NULL, NULL, 'ACTIVATOR OF 2-HYDROXYACYL-COA DEHYDRATASE-RELATED', NULL, NULL, NULL, 15),
(70869, NULL, 'PTHR11054:SF17', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE 1-RELATED', NULL, NULL, NULL, 15),
(70870, NULL, 'PTHR35166:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70871, NULL, 'PTHR45615:SF36', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE, ISOFORM B', NULL, NULL, NULL, 15),
(70872, NULL, 'PTHR45649:SF20', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(70873, NULL, 'PTHR37240:SF1', NULL, NULL, NULL, NULL, 'PREPROTEIN TRANSLOCASE SUBUNIT SECE1', NULL, NULL, NULL, 15),
(70874, NULL, 'PTHR11654:SF520', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', NULL, NULL, NULL, 15),
(70875, NULL, 'PTHR30069:SF30', NULL, NULL, NULL, NULL, 'FERRIENTEROBACTIN RECEPTOR', NULL, NULL, NULL, 15),
(70876, NULL, 'PTHR15486', NULL, NULL, NULL, NULL, 'ANCIENT UBIQUITOUS PROTEIN', NULL, NULL, NULL, 15),
(70877, NULL, 'PTHR12702:SF6', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT', NULL, NULL, NULL, 15),
(70878, NULL, 'PTHR23158:SF55', NULL, NULL, NULL, NULL, 'CTAGE FAMILY MEMBER 3-RELATED', NULL, NULL, NULL, 15),
(70879, NULL, 'PTHR24006:SF706', NULL, NULL, NULL, NULL, 'SPECIFIC PROTEASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(70880, NULL, 'PTHR22406:SF5', NULL, NULL, NULL, NULL, 'SLAIN MOTIF-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(70881, NULL, 'PTHR33021:SF156', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN', NULL, NULL, NULL, 15),
(70882, NULL, 'PTHR34959:SF3', NULL, NULL, NULL, NULL, 'PROTEIN LAZY 1', NULL, NULL, NULL, 15),
(70883, NULL, 'PTHR23284:SF4', NULL, NULL, NULL, NULL, 'BNAA06G34910D PROTEIN', NULL, NULL, NULL, 15),
(70884, NULL, 'PTHR31225:SF145', NULL, NULL, NULL, NULL, '18-CINEOLE SYNTHASE 1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(70885, NULL, 'PTHR41139:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70886, NULL, 'PTHR22951:SF91', NULL, NULL, NULL, NULL, 'ENTH/ANTH/VHS SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70887, NULL, 'PTHR23006:SF0', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 5', NULL, NULL, NULL, 15),
(70888, NULL, 'PTHR46898:SF3', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED CARBOXYLESTERASE 101', NULL, NULL, NULL, 15),
(70889, NULL, 'PTHR22884:SF501', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE CG1716-RELATED', NULL, NULL, NULL, 15),
(70890, NULL, 'PTHR30177:SF29', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE-BINDING PROTEIN YEHZ', NULL, NULL, NULL, 15),
(70891, NULL, 'PTHR35828:SF21', NULL, NULL, NULL, NULL, 'OS08G0203800 PROTEIN', NULL, NULL, NULL, 15),
(70892, NULL, 'PTHR12902:SF23', NULL, NULL, NULL, NULL, 'GUK-HOLDER, ISOFORM A', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70893, NULL, 'PTHR37304:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70894, NULL, 'PTHR46915:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70895, NULL, 'PTHR31235:SF350', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(70896, NULL, 'PTHR22941:SF292', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(70897, NULL, 'PTHR21561:SF14', NULL, NULL, NULL, NULL, 'HIT ZINC FINGER AND PAPA-1-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(70898, NULL, 'PTHR13318:SF76', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP2', NULL, NULL, NULL, 15),
(70899, NULL, 'PTHR22595:SF138', NULL, NULL, NULL, NULL, 'BASIC ENDOCHITINASE-LIKE', NULL, NULL, NULL, 15),
(70900, NULL, 'PTHR37335', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700003F12 GENE', NULL, NULL, 25809, 15),
(70901, NULL, 'PTHR24394', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(70902, NULL, 'PTHR23012:SF177', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH11-LIKE', NULL, NULL, NULL, 15),
(70903, NULL, 'PTHR38934:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70904, NULL, 'PTHR33146:SF20', NULL, NULL, NULL, NULL, 'S1/P1 NUCLEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(70905, NULL, 'PTHR33453:SF23', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(70906, NULL, 'PTHR45695', NULL, NULL, NULL, NULL, 'LEUCOKININ RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(70907, NULL, 'PTHR23155:SF1137', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(70908, NULL, 'PTHR31265:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70909, NULL, 'PTHR27006:SF279', NULL, NULL, NULL, NULL, 'BNAC06G27220D PROTEIN', NULL, NULL, NULL, 15),
(70910, NULL, 'PTHR31062:SF108', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 9', NULL, NULL, NULL, 15),
(70911, NULL, 'PTHR45622:SF12', NULL, NULL, NULL, NULL, 'SI:CH211-281G13.4-RELATED', NULL, NULL, NULL, 15),
(70912, NULL, 'PTHR10857:SF122', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PHOSPHOLIPID-BINDING COPINE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(70913, NULL, 'PTHR22594:SF34', NULL, NULL, NULL, NULL, 'ASPARAGINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(70914, NULL, 'PTHR48201:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70915, NULL, 'PTHR11439:SF359', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', NULL, NULL, NULL, 15),
(70916, NULL, 'PTHR46500:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 221', NULL, NULL, NULL, 15),
(70917, NULL, 'PTHR11841:SF1', NULL, NULL, NULL, NULL, 'REELIN', NULL, NULL, NULL, 15),
(70918, NULL, 'PTHR12210:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70919, NULL, 'PTHR43094:SF1', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE CLASS-III', NULL, NULL, NULL, 15),
(70920, NULL, 'PTHR45339:SF3', NULL, NULL, NULL, NULL, 'SENSORY HISTIDINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(70921, NULL, 'PTHR12112:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70922, NULL, 'PTHR10903:SF148', NULL, NULL, NULL, NULL, 'SI:DKEY-185M8.2', NULL, NULL, NULL, 15),
(70923, NULL, 'PTHR11188:SF45', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(70924, NULL, 'PTHR40626:SF24', NULL, NULL, NULL, NULL, 'RESPIRATION FACTOR 2-RELATED', NULL, NULL, NULL, 15),
(70925, NULL, 'PTHR30483:SF39', NULL, NULL, NULL, NULL, 'ABC-TYPE BRANCHED-CHAIN AMINO ACID TRANSPORT SYSTEM, PERIPLASMIC COMPONENT', NULL, NULL, NULL, 15),
(70926, NULL, 'PTHR16861', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN 38', NULL, NULL, NULL, 15),
(70927, NULL, 'PTHR45647:SF45', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 33-LIKE', NULL, NULL, NULL, 15),
(70928, NULL, 'PTHR33601:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LITTLE ZIPPER 4', NULL, NULL, NULL, 15),
(70929, NULL, 'PTHR38049:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70930, NULL, 'PTHR27004:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70931, NULL, 'PTHR16517:SF119', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(70932, NULL, 'PTHR33741:SF4', NULL, NULL, NULL, NULL, 'BNAANNG16770D PROTEIN', NULL, NULL, NULL, 15),
(70933, NULL, 'PTHR14281:SF4', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SPC25', NULL, NULL, NULL, 15),
(70934, NULL, 'PTHR11860:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70935, NULL, 'PTHR11525:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70936, NULL, 'PTHR23306:SF3', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR PROTEIN 101', NULL, NULL, NULL, 15),
(70937, NULL, 'PTHR43570:SF17', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 3 MEMBER F1', NULL, NULL, NULL, 15),
(70938, NULL, 'PTHR16675:SF1', NULL, NULL, NULL, NULL, 'UL16-BINDING PROTEIN 1 ISOFORM 1', NULL, NULL, NULL, 15),
(70939, NULL, 'PTHR37610:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0286465-RELATED', NULL, NULL, NULL, 15),
(70940, NULL, 'PTHR47386:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 1B', NULL, NULL, NULL, 15),
(70941, NULL, 'PTHR24343:SF149', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(70942, NULL, 'PTHR16200:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70943, NULL, 'PTHR47041', NULL, NULL, NULL, NULL, 'SEC14 CYTOSOLIC FACTOR FAMILY PROTEIN / PHOSPHOGLYCERIDE TRANSFER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(70944, NULL, 'PTHR33413:SF24', NULL, NULL, NULL, NULL, 'BNAC03G27640D PROTEIN', NULL, NULL, NULL, 15),
(70945, NULL, 'PTHR13038:SF18', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 9', NULL, NULL, NULL, 15),
(70946, NULL, 'PTHR21385:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(70947, NULL, 'PTHR36321:SF13', NULL, NULL, NULL, NULL, 'BNAA04G12920D PROTEIN', NULL, NULL, NULL, 15),
(70948, NULL, 'PTHR13780:SF114', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(70949, NULL, 'PTHR12400:SF44', NULL, NULL, NULL, NULL, 'KINASE', NULL, NULL, NULL, 15),
(70950, NULL, 'PTHR23028:SF115', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(70951, NULL, 'PTHR31852:SF223', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, GROUP 2', NULL, NULL, NULL, 15),
(70952, NULL, 'PTHR48019:SF38', NULL, NULL, NULL, NULL, 'BNAA06G01120D PROTEIN', NULL, NULL, NULL, 15),
(70953, NULL, 'PTHR45621:SF37', NULL, NULL, NULL, NULL, 'OS06G0202900 PROTEIN', NULL, NULL, NULL, 15),
(70954, NULL, 'PTHR24418:SF391', NULL, NULL, NULL, NULL, 'TYROSINE KINASE, NON-RECEPTOR, 2A-RELATED', NULL, NULL, NULL, 15),
(70955, NULL, 'PTHR19422:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70956, NULL, 'PTHR21377:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70957, NULL, 'PTHR45905:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-BINDING PROTEIN GGA1', NULL, NULL, NULL, 15),
(70958, NULL, 'PTHR22891:SF162', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE PNH1', NULL, NULL, NULL, 15),
(70959, NULL, 'PTHR23260:SF1', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 3-3', NULL, NULL, NULL, 15),
(70960, NULL, 'PTHR23112:SF5', NULL, NULL, NULL, NULL, 'CYCLIC AMP RECEPTOR-LIKE PROTEIN D', NULL, NULL, NULL, 15),
(70961, NULL, 'PTHR16024:SF6', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', NULL, NULL, NULL, 15),
(70962, NULL, 'PTHR47965:SF71', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(70963, NULL, 'PTHR34126:SF9', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 22', NULL, NULL, NULL, 15),
(70964, NULL, 'PTHR46503:SF10', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR, TYPE A-RELATED', NULL, NULL, NULL, 15),
(70965, NULL, 'PTHR48052:SF39', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM3', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(70966, NULL, 'PTHR34281:SF14', NULL, NULL, NULL, NULL, 'EARLY FLOWERING PROTEIN', NULL, NULL, NULL, 15),
(70967, NULL, 'PTHR40690', NULL, NULL, NULL, NULL, 'GLL3100 PROTEIN', NULL, NULL, 10994, 15),
(70968, NULL, 'PTHR45732:SF19', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8B ISOFORM X1', NULL, NULL, NULL, 15),
(70969, NULL, 'PTHR34732:SF2', NULL, NULL, NULL, NULL, '73 KDA PARAFLAGELLAR ROD PROTEIN', NULL, NULL, NULL, 15),
(70970, NULL, 'PTHR27001:SF882', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE DOMAIN KINASE', NULL, NULL, NULL, 15),
(70971, NULL, 'PTHR31165:SF64', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 5', NULL, NULL, NULL, 15),
(70972, NULL, 'PTHR22883:SF105', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(70973, NULL, 'PTHR47824', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70974, NULL, 'PTHR47950:SF21', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 76, SUBFAMILY C, POLYPEPTIDE 5-RELATED', NULL, NULL, NULL, 15),
(70975, NULL, 'PTHR11705:SF20', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE B', NULL, NULL, NULL, 15),
(70976, NULL, 'PTHR24282:SF136', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP749A22-LIKE', NULL, NULL, NULL, 15),
(70977, NULL, 'PTHR46780:SF13', NULL, NULL, NULL, NULL, 'SI:CH211-66I15.5', NULL, NULL, NULL, 15),
(70978, NULL, 'PTHR12151:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SCO1 HOMOLOG 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(70979, NULL, 'PTHR45495:SF1', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN JJJ1 HOMOLOG', NULL, NULL, NULL, 15),
(70980, NULL, 'PTHR31235:SF196', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(70981, NULL, 'PTHR11455:SF18', NULL, NULL, NULL, NULL, 'SI:CH1073-390K14.1', NULL, NULL, NULL, 15),
(70982, NULL, 'PTHR24409:SF384', NULL, NULL, NULL, NULL, 'CES-1-RELATED', NULL, NULL, NULL, 15),
(70983, NULL, 'PTHR46845:SF3', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR 1', NULL, NULL, NULL, 15),
(70984, NULL, 'PTHR40562', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 18951, 15),
(70985, NULL, 'PTHR48016:SF27', NULL, NULL, NULL, NULL, 'STE PROTEIN KINASE', NULL, NULL, NULL, 15),
(70986, NULL, 'PTHR31260:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70987, NULL, 'PTHR11062:SF114', NULL, NULL, NULL, NULL, 'OS04G0574100 PROTEIN', NULL, NULL, NULL, 15),
(70988, NULL, 'PTHR45672:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE A5', NULL, NULL, NULL, 15),
(70989, NULL, 'PTHR31734:SF41', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA28-RELATED', NULL, NULL, NULL, 15),
(70990, NULL, 'PTHR31903:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70991, NULL, 'PTHR19969:SF10', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATING PROTEIN FAMILY', NULL, NULL, NULL, 15),
(70992, NULL, 'PTHR23199:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SPAETZLE 5', NULL, NULL, NULL, 15),
(70993, NULL, 'PTHR36374:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(70994, NULL, 'PTHR11158:SF17', NULL, NULL, NULL, NULL, 'PROTEIN SLOWMO', NULL, NULL, NULL, 15),
(70995, NULL, 'PTHR48022:SF51', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11920)-RELATED', NULL, NULL, NULL, 15),
(70996, NULL, 'PTHR16290:SF30', NULL, NULL, NULL, NULL, 'DECAPPING ENZYME 1A, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(70997, NULL, 'PTHR48047:SF122', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(70998, NULL, 'PTHR34658:SF2', NULL, NULL, NULL, NULL, 'OS01G0151800 PROTEIN', NULL, NULL, NULL, 15),
(70999, NULL, 'PTHR32343:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71000, NULL, 'PTHR10774:SF149', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-5', NULL, NULL, NULL, 15),
(71001, NULL, 'PTHR31956:SF26', NULL, NULL, NULL, NULL, 'NON-SPECIFIC PHOSPHOLIPASE C2', NULL, NULL, NULL, 15),
(71002, NULL, 'PTHR10454:SF218', NULL, NULL, NULL, NULL, 'CASPA PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71003, NULL, 'PTHR24023:SF973', NULL, NULL, NULL, NULL, 'PROTEIN CBR-COL-44', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71004, NULL, 'PTHR24083:SF151', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-91', NULL, NULL, NULL, 15),
(71005, NULL, 'PTHR24247:SF217', NULL, NULL, NULL, NULL, 'D(1A) DOPAMINE RECEPTOR', NULL, NULL, NULL, 15),
(71006, NULL, 'PTHR11909:SF108', NULL, NULL, NULL, NULL, 'PROTEIN CBG10779', NULL, NULL, NULL, 15),
(71007, NULL, 'PTHR31761:SF1', NULL, NULL, NULL, NULL, 'GROWTH ARREST AND DNA DAMAGE-INDUCIBLE PROTEINS-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(71008, NULL, 'PTHR10791:SF126', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(71009, NULL, 'PTHR23354:SF75', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING GPI-ANCHORED PROTEIN LYP6', NULL, NULL, NULL, 15),
(71010, NULL, 'PTHR12663:SF23', NULL, NULL, NULL, NULL, 'T24D18.4', NULL, NULL, NULL, 15),
(71011, NULL, 'PTHR26453:SF34', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13C3', NULL, NULL, NULL, 15),
(71012, NULL, 'PTHR47494:SF1', NULL, NULL, NULL, NULL, 'NKG2-D TYPE II INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(71013, NULL, 'PTHR21304', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 10655, 15),
(71014, NULL, 'PTHR24281:SF81', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81E8-LIKE', NULL, NULL, NULL, 15),
(71015, NULL, 'PTHR13720:SF50', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE 2', NULL, NULL, 32623, 15),
(71016, NULL, 'PTHR47825:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71017, NULL, 'PTHR12175:SF1', NULL, NULL, NULL, NULL, 'PITH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(71018, NULL, 'PTHR42861:SF81', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(71019, NULL, 'PTHR10983:SF19', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(71020, NULL, 'PTHR12984:SF3', NULL, NULL, NULL, NULL, 'N-TERMINAL KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71021, NULL, 'PTHR43888:SF33', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(71022, NULL, 'PTHR14614:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71023, NULL, 'PTHR21290:SF25', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN SYNTHASE-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(71024, NULL, 'PTHR24177:SF323', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS TRANSMEMBRANE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(71025, NULL, 'PTHR33463:SF50', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPS5-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71026, NULL, 'PTHR46176:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM76A', NULL, NULL, 26224, 15),
(71027, NULL, 'PTHR13270:SF8', NULL, NULL, NULL, NULL, 'LIMPET, ISOFORM K', NULL, NULL, NULL, 15),
(71028, NULL, 'PTHR47971:SF16', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71029, NULL, 'PTHR31374:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71030, NULL, 'PTHR36482:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71031, NULL, 'PTHR31677:SF161', NULL, NULL, NULL, NULL, 'BNAA06G40170D PROTEIN', NULL, NULL, NULL, 15),
(71032, NULL, 'PTHR42683:SF61', NULL, NULL, NULL, NULL, '8-HYDROXYGERANIOL DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(71033, NULL, 'PTHR31319:SF39', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 1', NULL, NULL, NULL, 15),
(71034, NULL, 'PTHR12430:SF1', NULL, NULL, NULL, NULL, 'TOMM20-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(71035, NULL, 'PTHR10031:SF32', NULL, NULL, NULL, NULL, 'ATP SYNTHASE F(0) COMPLEX SUBUNIT C1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(71036, NULL, 'PTHR24012:SF795', NULL, NULL, NULL, NULL, 'BRUNOL5 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71037, NULL, 'PTHR34382:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM SUGAR-SPECIFIC EII COMPONENT', NULL, NULL, NULL, 15),
(71038, NULL, 'PTHR19134:SF331', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE V', NULL, NULL, NULL, 15),
(71039, NULL, 'PTHR33790:SF1', NULL, NULL, NULL, NULL, 'OS05G0344200 PROTEIN', NULL, NULL, NULL, 15),
(71040, NULL, 'PTHR46798:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71041, NULL, 'PTHR37959', NULL, NULL, NULL, NULL, 'PROTEIN CBG15758', NULL, NULL, NULL, 15),
(71042, NULL, 'PTHR10024:SF115', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-11', NULL, NULL, 24079, 15),
(71043, NULL, 'PTHR34945:SF7', NULL, NULL, NULL, NULL, 'BNAC03G21390D PROTEIN', NULL, NULL, NULL, 15),
(71044, NULL, 'PTHR39174:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71045, NULL, 'PTHR20648', NULL, NULL, NULL, NULL, 'ELONGIN-C', NULL, NULL, 32656, 15),
(71046, NULL, 'PTHR43795:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71047, NULL, 'PTHR10315:SF111', NULL, NULL, NULL, NULL, 'OS07G0659800 PROTEIN', NULL, NULL, NULL, 15),
(71048, NULL, 'PTHR36710:SF3', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(71049, NULL, 'PTHR11017:SF409', NULL, NULL, NULL, NULL, 'BNAA02G23780D PROTEIN', NULL, NULL, NULL, 15),
(71050, NULL, 'PTHR10807:SF8', NULL, NULL, NULL, NULL, 'GH09546P', NULL, NULL, NULL, 15),
(71051, NULL, 'PTHR14009:SF38', NULL, NULL, NULL, NULL, 'BNAA10G30500D PROTEIN', NULL, NULL, NULL, 15),
(71052, NULL, 'PTHR42898:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71053, NULL, 'PTHR21523', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(71054, NULL, 'PTHR10426:SF103', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 3-LIKE', NULL, NULL, NULL, 15),
(71055, NULL, 'PTHR26453:SF127', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(71056, NULL, 'PTHR11985:SF29', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(71057, NULL, 'PTHR43880:SF14', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 4', NULL, NULL, 29173, 15),
(71058, NULL, 'PTHR30447', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE CLASS 2', NULL, NULL, 7459, 15),
(71059, NULL, 'PTHR44328:SF5', NULL, NULL, NULL, NULL, 'PROTEIN IN2-1 HOMOLOG A', NULL, NULL, NULL, 15),
(71060, NULL, 'PTHR48001:SF120', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(71061, NULL, 'PTHR46477:SF20', NULL, NULL, NULL, NULL, 'OS08G0404900 PROTEIN', NULL, NULL, NULL, 15),
(71062, NULL, 'PTHR46368:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71063, NULL, 'PTHR31225:SF108', NULL, NULL, NULL, NULL, '(E,E)-GERMACRENE B SYNTHASE', NULL, NULL, NULL, 15),
(71064, NULL, 'PTHR31072:SF153', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP4-LIKE', NULL, NULL, NULL, 15),
(71065, NULL, 'PTHR47255:SF4', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 22-RELATED', NULL, NULL, NULL, 15),
(71066, NULL, 'PTHR12004:SF14', NULL, NULL, NULL, NULL, 'PRORELAXIN H1', NULL, NULL, NULL, 15),
(71067, NULL, 'PTHR30354:SF23', NULL, NULL, NULL, NULL, 'GNTP FAMILY PERMEASE', NULL, NULL, NULL, 15),
(71068, NULL, 'PTHR47586', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(71069, NULL, 'PTHR43603:SF5', NULL, NULL, NULL, NULL, 'COBALAMIN (VITAMIN B12) BIOSYNTHESIS COBW-LIKE,C-TERMINAL', NULL, NULL, NULL, 15),
(71070, NULL, 'PTHR23310:SF116', NULL, NULL, NULL, NULL, 'BNAA08G07670D PROTEIN', NULL, NULL, NULL, 15),
(71071, NULL, 'PTHR11620:SF75', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L25/L23-RELATED', NULL, NULL, NULL, 15),
(71072, NULL, 'PTHR16675:SF250', NULL, NULL, NULL, NULL, 'HISTOCOMPATIBILITY 2, T REGION LOCUS 24', NULL, NULL, NULL, 15),
(71073, NULL, 'PTHR12563:SF15', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(71074, NULL, 'PTHR14969', NULL, NULL, NULL, NULL, 'SPHINGOSINE-1-PHOSPHATE PHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(71075, NULL, 'PTHR38693', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS PROTEIN UBIJ', NULL, NULL, 33435, 15),
(71076, NULL, 'PTHR13453', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 27874, 15),
(71077, NULL, 'PTHR24062:SF172', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(71078, NULL, 'PTHR45636:SF27', NULL, NULL, NULL, NULL, 'N-TERMINAL PAX (PAI DOMAIN ONLY) PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71079, NULL, 'PTHR24056:SF491', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(71080, NULL, 'PTHR22883:SF324', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(71081, NULL, 'PTHR28360:SF1', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 3', NULL, NULL, NULL, 15),
(71082, NULL, 'PTHR31763', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689766', NULL, NULL, 35340, 15),
(71083, NULL, 'PTHR11070:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71084, NULL, 'PTHR31374:SF146', NULL, NULL, NULL, NULL, 'OS08G0118800 PROTEIN', NULL, NULL, NULL, 15),
(71085, NULL, 'PTHR15438:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71086, NULL, 'PTHR24177:SF326', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71087, NULL, 'PTHR10438:SF438', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(71088, NULL, 'PTHR10804:SF135', NULL, NULL, NULL, NULL, 'ERBB-3 BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(71089, NULL, 'PTHR33732:SF9', NULL, NULL, NULL, NULL, 'REF/SRPP-LIKE PROTEIN OS05G0151300/LOC_OS05G05940', NULL, NULL, NULL, 15),
(71090, NULL, 'PTHR45614:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71091, NULL, 'PTHR36066:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH145', NULL, NULL, NULL, 15),
(71092, NULL, 'PTHR33138:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71093, NULL, 'PTHR31416', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 125', NULL, NULL, 24564, 15),
(71094, NULL, 'PTHR31496:SF37', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS PROTEIN', NULL, NULL, NULL, 15),
(71095, NULL, 'PTHR47815', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A FAMILY PROTEIN C25B2.10', NULL, NULL, NULL, 15),
(71096, NULL, 'PTHR11346', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, 37143, 15),
(71097, NULL, 'PTHR33021:SF231', NULL, NULL, NULL, NULL, 'LAMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71098, NULL, 'PTHR31642:SF204', NULL, NULL, NULL, NULL, 'AGMATINE COUMAROYLTRANSFERASE-2-LIKE', NULL, NULL, NULL, 15),
(71099, NULL, 'PTHR32285:SF213', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 11', NULL, NULL, NULL, 15),
(71100, NULL, 'PTHR39156:SF2', NULL, NULL, NULL, NULL, 'DNA PRIMASE (BACTERIAL TYPE) AND SMALL PRIMASE-LIKE PROTEINS', NULL, NULL, NULL, 15),
(71101, NULL, 'PTHR19302:SF63', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT', NULL, NULL, NULL, 15),
(71102, NULL, 'PTHR35292:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71103, NULL, 'PTHR24384:SF98', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 736', NULL, NULL, NULL, 15),
(71104, NULL, 'PTHR33714:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71105, NULL, 'PTHR35365:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71106, NULL, 'PTHR10012:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A ACTIVATOR', NULL, NULL, NULL, 15),
(71107, NULL, 'PTHR23055:SF174', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE ACTIVATOR 1C', NULL, NULL, NULL, 15),
(71108, NULL, 'PTHR11036:SF140', NULL, NULL, NULL, NULL, 'SEMA DOMAIN, IMMUNOGLOBULIN DOMAIN (IG), TRANSMEMBRANE DOMAIN (TM) AND SHORT CYTOPLASMIC DOMAIN, (SEMAPHORIN) 4BA', NULL, NULL, NULL, 15),
(71109, NULL, 'PTHR12510:SF5', NULL, NULL, NULL, NULL, 'OS11G0139900 PROTEIN', NULL, NULL, NULL, 15),
(71110, NULL, 'PTHR11973:SF2', NULL, NULL, NULL, NULL, 'CD166 ANTIGEN', NULL, NULL, 29995, 15),
(71111, NULL, 'PTHR11654:SF108', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.10', NULL, NULL, NULL, 15),
(71112, NULL, 'PTHR31163', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(71113, NULL, 'PTHR45648:SF22', NULL, NULL, NULL, NULL, 'GDSL LIPASE/ACYLHYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_4G14700)', NULL, NULL, NULL, 15),
(71114, NULL, 'PTHR42780:SF1', NULL, NULL, NULL, NULL, 'ISOLEUCINE--TRNA LIGASE, CYTOPLASMIC', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71115, NULL, 'PTHR14986', NULL, NULL, NULL, NULL, 'RURM1 PROTEIN', NULL, NULL, 10632, 15),
(71116, NULL, 'PTHR26453:SF73', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6P1', NULL, NULL, NULL, 15),
(71117, NULL, 'PTHR24242:SF361', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(71118, NULL, 'PTHR11885:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S13', NULL, NULL, NULL, 15),
(71119, NULL, 'PTHR21562:SF86', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(71120, NULL, 'PTHR23538', NULL, NULL, NULL, NULL, '44.5 KD BACTERIOCHLOROPHYLL SYNTHASE SUBUNIT', NULL, NULL, 24021, 15),
(71121, NULL, 'PTHR23092:SF51', NULL, NULL, NULL, NULL, 'TERMINAL NUCLEOTIDYLTRANSFERASE 4A', NULL, NULL, 29670, 15),
(71122, NULL, 'PTHR32444:SF89', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', NULL, NULL, NULL, 15),
(71123, NULL, 'PTHR10927', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION PROTEIN SBDS', NULL, NULL, 30256, 15),
(71124, NULL, 'PTHR30143', NULL, NULL, NULL, NULL, 'ACID HYDRATASE', NULL, NULL, NULL, 15),
(71125, NULL, 'PTHR16441', NULL, NULL, NULL, NULL, 'FIDIPIDINE', NULL, NULL, 30834, 15),
(71126, NULL, 'PTHR47926:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71127, NULL, 'PTHR33057:SF159', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP7-LIKE', NULL, NULL, NULL, 15),
(71128, NULL, 'PTHR47968:SF37', NULL, NULL, NULL, NULL, 'ATP-BINDING MICROTUBULE MOTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(71129, NULL, 'PTHR12896:SF1', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 4', NULL, NULL, NULL, 15),
(71130, NULL, 'PTHR31376:SF96', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 4-RELATED', NULL, NULL, NULL, 15),
(71131, NULL, 'PTHR42924:SF11', NULL, NULL, NULL, NULL, 'DOMAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71132, NULL, 'PTHR10846:SF28', NULL, NULL, NULL, NULL, 'SI:CH73-335M24.5', NULL, NULL, NULL, 15),
(71133, NULL, 'PTHR30458:SF0', NULL, NULL, NULL, NULL, '1,2-PHENYLACETYL-COA EPOXIDASE, SUBUNIT C', NULL, NULL, NULL, 15),
(71134, NULL, 'PTHR13451:SF12', NULL, NULL, NULL, NULL, 'CROSSOVER JUNCTION ENDONUCLEASE MUS81', NULL, NULL, NULL, 15),
(71135, NULL, 'PTHR43389:SF1', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT B, KIDNEY ISOFORM', NULL, NULL, NULL, 15),
(71136, NULL, 'PTHR45090:SF3', NULL, NULL, NULL, NULL, 'OS09G0368800 PROTEIN', NULL, NULL, NULL, 15),
(71137, NULL, 'PTHR45671:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(71138, NULL, 'PTHR11760:SF50', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3-A-RELATED', NULL, NULL, NULL, 15),
(71139, NULL, 'PTHR21230:SF31', NULL, NULL, NULL, NULL, 'OS01G0560200 PROTEIN', NULL, NULL, NULL, 15),
(71140, NULL, 'PTHR42818:SF1', NULL, NULL, NULL, NULL, 'SULFOPYRUVATE DECARBOXYLASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(71141, NULL, 'PTHR12209', NULL, NULL, NULL, NULL, 'O-SIALOGLYCOPROTEIN ENDOPEPTIDASE', NULL, NULL, 16603, 15),
(71142, NULL, 'PTHR23219:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(71143, NULL, 'PTHR33142:SF76', NULL, NULL, NULL, NULL, 'BNAANNG22820D PROTEIN', NULL, NULL, NULL, 15),
(71144, NULL, 'PTHR38624:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08397', NULL, NULL, NULL, 15),
(71145, NULL, 'PTHR11064:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71146, NULL, 'PTHR22765:SF281', NULL, NULL, NULL, NULL, 'OS02G0248440 PROTEIN', NULL, NULL, NULL, 15),
(71147, NULL, 'PTHR11113:SF14', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-PHOSPHATE DEACETYLASE', NULL, NULL, 2337, 15),
(71148, NULL, 'PTHR14995:SF2', NULL, NULL, NULL, NULL, 'PROTEIN AMNIONLESS', NULL, NULL, NULL, 15),
(71149, NULL, 'PTHR40730:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71150, NULL, 'PTHR11850:SF302', NULL, NULL, NULL, NULL, 'POX DOMAIN, HOMEOBOX KN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71151, NULL, 'PTHR12802:SF107', NULL, NULL, NULL, NULL, 'OSJNBA0088A01.20 PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71152, NULL, 'PTHR34134', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR BLAI', NULL, NULL, 2617, 15),
(71153, NULL, 'PTHR11736:SF29', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN C2', NULL, NULL, NULL, 15),
(71154, NULL, 'PTHR24138:SF10', NULL, NULL, NULL, NULL, 'INTRACELLLAR PHOSPHOLIPASE A FAMILY', NULL, NULL, NULL, 15),
(71155, NULL, 'PTHR24393:SF43', NULL, NULL, NULL, NULL, 'PLAG1-LIKE ZINC FINGER 2', NULL, NULL, NULL, 15),
(71156, NULL, 'PTHR13589:SF15', NULL, NULL, NULL, NULL, 'CREB-REGULATED TRANSCRIPTION COACTIVATOR, ISOFORM B', NULL, NULL, NULL, 15),
(71157, NULL, 'PTHR48001:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71158, NULL, 'PTHR33177:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71159, NULL, 'PTHR23005:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71160, NULL, 'PTHR10696:SF3', NULL, NULL, NULL, NULL, 'TRIMETHYLLYSINE DIOXYGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(71161, NULL, 'PTHR17920:SF17', NULL, NULL, NULL, NULL, 'DUF726 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G03760)', NULL, NULL, NULL, 15),
(71162, NULL, 'PTHR31882:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71163, NULL, 'PTHR47991:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71164, NULL, 'PTHR12412:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR CAP-BINDING PROTEIN SUBUNIT 1', NULL, NULL, NULL, 15),
(71165, NULL, 'PTHR46263:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71166, NULL, 'PTHR13609:SF27', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(71167, NULL, 'PTHR46385:SF1', NULL, NULL, NULL, NULL, 'PAIRED MESODERM HOMEOBOX PROTEIN 1', NULL, NULL, NULL, 15),
(71168, NULL, 'PTHR34119:SF11', NULL, NULL, NULL, NULL, 'BNAA05G10100D PROTEIN', NULL, NULL, NULL, 15),
(71169, NULL, 'PTHR22814:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71170, NULL, 'PTHR45646:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(71171, NULL, 'PTHR11552:SF210', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00610)-RELATED', NULL, NULL, NULL, 15),
(71172, NULL, 'PTHR48084', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE OXIDOREDUCTASE SUBUNIT KORB-RELATED', NULL, NULL, NULL, 15),
(71173, NULL, 'PTHR48083:SF13', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FAMILY MEMBER 10-RELATED', NULL, NULL, NULL, 15),
(71174, NULL, 'PTHR27005:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71175, NULL, 'PTHR44086:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71176, NULL, 'PTHR23071:SF1', NULL, NULL, NULL, NULL, 'GPI ETHANOLAMINE PHOSPHATE TRANSFERASE 3', NULL, NULL, NULL, 15),
(71177, NULL, 'PTHR11208:SF121', NULL, NULL, NULL, NULL, 'KH DOMAIN-LIKE PROTEIN', NULL, NULL, 26740, 15),
(71178, NULL, 'PTHR24235:SF17', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y /PEPTIDE YY RECEPTOR YB-RELATED', NULL, NULL, NULL, 15),
(71179, NULL, 'PTHR21462:SF3', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN CD200 RECEPTOR 2', NULL, NULL, NULL, 15),
(71180, NULL, 'PTHR11461:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71181, NULL, 'PTHR33116:SF47', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN, ZINC FINGER, CCHC-TYPE-RELATED', NULL, NULL, NULL, 15),
(71182, NULL, 'PTHR43047:SF43', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YVRG', NULL, NULL, NULL, 15),
(71183, NULL, 'PTHR35010', NULL, NULL, NULL, NULL, 'BLL4672 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71184, NULL, 'PTHR10219:SF81', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN (GLTP) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(71185, NULL, 'PTHR12109:SF5', NULL, NULL, NULL, NULL, 'AUTOCRINE MOTILITY FACTOR RECEPTOR B', NULL, NULL, NULL, 15),
(71186, NULL, 'PTHR46859:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE, TRANSMEMBRANE FRAGILE-X-F-ASSOCIATED PROTEIN-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71187, NULL, 'PTHR24103:SF651', NULL, NULL, NULL, NULL, 'ZGC:92594', NULL, NULL, NULL, 15),
(71188, NULL, 'PTHR11732:SF431', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(71189, NULL, 'PTHR34222:SF49', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', NULL, NULL, NULL, 15),
(71190, NULL, 'PTHR48043:SF61', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(71191, NULL, 'PTHR10496:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', NULL, NULL, NULL, 15),
(71192, NULL, 'PTHR31642:SF236', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', NULL, NULL, NULL, 15),
(71193, NULL, 'PTHR15071', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE RECEPTOR FAMILY MEMBER', NULL, NULL, NULL, 15),
(71194, NULL, 'PTHR11969:SF61', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH99', NULL, NULL, NULL, 15),
(71195, NULL, 'PTHR31822', NULL, NULL, NULL, NULL, 'SERINE-RICH SINGLE-PASS MEMBRANE PROTEIN 1', NULL, NULL, 24896, 15),
(71196, NULL, 'PTHR31989:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71197, NULL, 'PTHR42720:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(71198, NULL, 'PTHR24384:SF193', NULL, NULL, NULL, NULL, 'PR/SET DOMAIN 15', NULL, NULL, NULL, 15),
(71199, NULL, 'PTHR24343:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71200, NULL, 'PTHR37553', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71201, NULL, 'PTHR43112:SF32', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(71202, NULL, 'PTHR13280:SF14', NULL, NULL, NULL, NULL, 'SI:CH211-126J24.1', NULL, NULL, NULL, 15),
(71203, NULL, 'PTHR31286:SF66', NULL, NULL, NULL, NULL, 'BNAANNG25970D PROTEIN', NULL, NULL, NULL, 15),
(71204, NULL, 'PTHR45770:SF33', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 7', NULL, NULL, NULL, 15),
(71205, NULL, 'PTHR11782:SF97', NULL, NULL, NULL, NULL, 'APYRASE 1-LIKE', NULL, NULL, NULL, 15),
(71206, NULL, 'PTHR24282:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71207, NULL, 'PTHR45645:SF47', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(71208, NULL, 'PTHR22945:SF21', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)-RELATED', NULL, NULL, NULL, 15),
(71209, NULL, 'PTHR42826:SF1', NULL, NULL, NULL, NULL, 'DICARBOXYLATE TRANSPORTER 2.1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(71210, NULL, 'PTHR31325:SF108', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF594)-RELATED', NULL, NULL, NULL, 15),
(71211, NULL, 'PTHR16821:SF2', NULL, NULL, NULL, NULL, 'FRATAXIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(71212, NULL, 'PTHR31790:SF349', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71213, NULL, 'PTHR42861:SF26', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE 1-RELATED', NULL, NULL, NULL, 15),
(71214, NULL, 'PTHR13778:SF61', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(71215, NULL, 'PTHR21258:SF53', NULL, NULL, NULL, NULL, 'RAS ACTIVATING FACTOR IN DEVELOPMENT OF GERMLINE', NULL, NULL, NULL, 15),
(71216, NULL, 'PTHR10903:SF127', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: TRANSLOCASE OF CHLOROPLAST 159, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(71217, NULL, 'PTHR13285:SF19', NULL, NULL, NULL, NULL, 'PROTEIN-CYSTEINE N-PALMITOYLTRANSFERASE HHAT-LIKE PROTEIN', NULL, NULL, 27454, 15),
(71218, NULL, 'PTHR24365:SF422', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 6', NULL, NULL, 22071, 15),
(71219, NULL, 'PTHR13980:SF21', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SPT16-LIKE', NULL, NULL, NULL, 15),
(71220, NULL, 'PTHR14312:SF1', NULL, NULL, NULL, NULL, 'CREB/ATF BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(71221, NULL, 'PTHR13808:SF34', NULL, NULL, NULL, NULL, 'CREB-BINDING PROTEIN', NULL, NULL, NULL, 15),
(71222, NULL, 'PTHR24126:SF53', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 2D (P19, INHIBITS CDK4)', NULL, NULL, NULL, 15),
(71223, NULL, 'PTHR47924', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71224, NULL, 'PTHR31500:SF57', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 10', NULL, NULL, NULL, 15),
(71225, NULL, 'PTHR23262:SF213', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 9-1-RELATED', NULL, NULL, NULL, 15),
(71226, NULL, 'PTHR48018:SF145', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(71227, NULL, 'PTHR22811', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN', NULL, NULL, 11961, 15),
(71228, NULL, 'PTHR15272', NULL, NULL, NULL, NULL, 'CHROMATIN ASSEMBLY FACTOR 1 SUBUNIT A  CAF-1 SUBUNIT A', NULL, NULL, NULL, 15),
(71229, NULL, 'PTHR16520', NULL, NULL, NULL, NULL, 'KINETOCHORE SCAFFOLD 1', NULL, NULL, 31503, 15),
(71230, NULL, 'PTHR48104:SF32', NULL, NULL, NULL, NULL, 'METACASPASE-1-LIKE', NULL, NULL, 29089, 15),
(71231, NULL, 'PTHR31080:SF186', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15),
(71232, NULL, 'PTHR46142:SF3', NULL, NULL, NULL, NULL, 'F18B13.24 PROTEIN', NULL, NULL, NULL, 15),
(71233, NULL, 'PTHR12834:SF12', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 9 KDA PROTEIN', NULL, NULL, NULL, 15),
(71234, NULL, 'PTHR31065:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71235, NULL, 'PTHR24056:SF455', NULL, NULL, NULL, NULL, 'BNAANNG12030D PROTEIN', NULL, NULL, NULL, 15),
(71236, NULL, 'PTHR48010:SF15', NULL, NULL, NULL, NULL, 'BNAA01G36890D PROTEIN', NULL, NULL, NULL, 15),
(71237, NULL, 'PTHR13466:SF2', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 2', NULL, NULL, NULL, 15),
(71238, NULL, 'PTHR20852:SF57', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE 2 CYTOPLASMIC', NULL, NULL, NULL, 15),
(71239, NULL, 'PTHR48041:SF76', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORTER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71240, NULL, 'PTHR24223:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71241, NULL, 'PTHR22799:SF3', NULL, NULL, NULL, NULL, 'TETRANECTIN', NULL, NULL, NULL, 15),
(71242, NULL, 'PTHR30069:SF39', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR', NULL, NULL, NULL, 15),
(71243, NULL, 'PTHR26453:SF598', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2A2', NULL, NULL, 22225, 15),
(71244, NULL, 'PTHR13123', NULL, NULL, NULL, NULL, 'LD30288P', NULL, NULL, 29645, 15),
(71245, NULL, 'PTHR23502:SF142', NULL, NULL, NULL, NULL, 'ORF', NULL, NULL, NULL, 15),
(71246, NULL, 'PTHR12620:SF8', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RNA AUXILIARY FACTOR 1', NULL, NULL, NULL, 15),
(71247, NULL, 'PTHR34450:SF5', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 229-RELATED', NULL, NULL, NULL, 15),
(71248, NULL, 'PTHR33738:SF1', NULL, NULL, NULL, NULL, 'PLANT/T7H20-70 PROTEIN', NULL, NULL, NULL, 15),
(71249, NULL, 'PTHR33597:SF15', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71250, NULL, 'PTHR10072:SF51', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(71251, NULL, 'PTHR45755:SF2', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER PROTEIN DDB_G0269332-RELATED', NULL, NULL, NULL, 15),
(71252, NULL, 'PTHR31009:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71253, NULL, 'PTHR32093:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71254, NULL, 'PTHR37534:SF30', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(71255, NULL, 'PTHR12169:SF25', NULL, NULL, NULL, NULL, 'AFG1-LIKE ATPASE A', NULL, NULL, NULL, 15),
(71256, NULL, 'PTHR10165:SF84', NULL, NULL, NULL, NULL, 'PHOSPHATIDIC ACID PHOSPHATASE BETA', NULL, NULL, NULL, 15),
(71257, NULL, 'PTHR35804:SF1', NULL, NULL, NULL, NULL, 'LYSINE EXPORTER LYSO', NULL, NULL, NULL, 15),
(71258, NULL, 'PTHR46236:SF22', NULL, NULL, NULL, NULL, 'BNAA01G22060D PROTEIN', NULL, NULL, NULL, 15),
(71259, NULL, 'PTHR31676:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71260, NULL, 'PTHR32439:SF0', NULL, NULL, NULL, NULL, 'FERREDOXIN--NITRITE REDUCTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71261, NULL, 'PTHR19444:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71262, NULL, 'PTHR10334:SF394', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(71263, NULL, 'PTHR45767:SF2', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN O', NULL, NULL, NULL, 15),
(71264, NULL, 'PTHR31050:SF4', NULL, NULL, NULL, NULL, 'DUF1262 FAMILY PROTEIN (DUF1262)', NULL, NULL, NULL, 15),
(71265, NULL, 'PTHR11452:SF82', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(71266, NULL, 'PTHR33744', NULL, NULL, NULL, NULL, 'CARBOHYDRATE DIACID REGULATOR', NULL, NULL, NULL, 15),
(71267, NULL, 'PTHR24302:SF38', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 3A4', NULL, NULL, NULL, 15),
(71268, NULL, 'PTHR13939:SF4', NULL, NULL, NULL, NULL, 'PROTEIN YDEJ', NULL, NULL, NULL, 15),
(71269, NULL, 'PTHR33387:SF3', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL FOLD PROTEIN', NULL, NULL, NULL, 15),
(71270, NULL, 'PTHR44129:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71271, NULL, 'PTHR22937:SF122', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(71272, NULL, 'PTHR21234:SF45', NULL, NULL, NULL, NULL, 'NUCLEOSIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71273, NULL, 'PTHR10615:SF166', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(71274, NULL, 'PTHR22984', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIM', NULL, NULL, NULL, 15),
(71275, NULL, 'PTHR24414:SF60', NULL, NULL, NULL, NULL, 'LOW PROTEIN: COATOMER SUBUNIT ALPHA-1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71276, NULL, 'PTHR12385:SF87', NULL, NULL, NULL, NULL, 'PLASMA-MEMBRANE CHOLINE TRANSPORTER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71277, NULL, 'PTHR32295:SF135', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', NULL, NULL, NULL, 15),
(71278, NULL, 'PTHR11592:SF112', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(71279, NULL, 'PTHR42745:SF2', NULL, NULL, NULL, NULL, 'ARABINOSE 5-PHOSPHATE ISOMERASE GUTQ', NULL, NULL, NULL, 15),
(71280, NULL, 'PTHR31948:SF94', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(71281, NULL, 'PTHR24232:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71282, NULL, 'PTHR24068:SF304', NULL, NULL, NULL, NULL, 'BNACNNG21490D PROTEIN', NULL, NULL, NULL, 15),
(71283, NULL, 'PTHR45864:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE SLINGSHOT HOMOLOG 3', NULL, NULL, NULL, 15),
(71284, NULL, 'PTHR43391:SF58', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE 3-RELATED', NULL, NULL, NULL, 15),
(71285, NULL, 'PTHR10859', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE', NULL, NULL, NULL, 15),
(71286, NULL, 'PTHR23328:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF168', NULL, NULL, NULL, 15),
(71287, NULL, 'PTHR34804', NULL, NULL, NULL, NULL, 'CAMP-REGULATED PHOSPHOPROTEIN 19-RELATED PROTEIN', NULL, NULL, NULL, 15),
(71288, NULL, 'PTHR38446:SF1', NULL, NULL, NULL, NULL, 'BLL0914 PROTEIN', NULL, NULL, NULL, 15),
(71289, NULL, 'PTHR23001:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71290, NULL, 'PTHR31639:SF118', NULL, NULL, NULL, NULL, 'FBD PROTEIN', NULL, NULL, NULL, 15),
(71291, NULL, 'PTHR24166:SF47', NULL, NULL, NULL, NULL, 'M-PHASE PHOSPHOPROTEIN 8', NULL, NULL, NULL, 15),
(71292, NULL, 'PTHR10953:SF29', NULL, NULL, NULL, NULL, 'NEDD8-ACTIVATING ENZYME E1 REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(71293, NULL, 'PTHR26453:SF31', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(71294, NULL, 'PTHR13935:SF104', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH160', NULL, NULL, NULL, 15),
(71295, NULL, 'PTHR31358:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71296, NULL, 'PTHR11675:SF68', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(71297, NULL, 'PTHR11547:SF38', NULL, NULL, NULL, NULL, 'ARGININE KINASE-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71298, NULL, 'PTHR35297', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71299, NULL, 'PTHR47965:SF25', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE 3-RELATED', NULL, NULL, NULL, 15),
(71300, NULL, 'PTHR27002:SF837', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(71301, NULL, 'PTHR13318:SF179', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 15', NULL, NULL, NULL, 15),
(71302, NULL, 'PTHR21558:SF48', NULL, NULL, NULL, NULL, 'HN1-LIKE PROTEIN ISOFORM X1', NULL, NULL, NULL, 15),
(71303, NULL, 'PTHR14487:SF3', NULL, NULL, NULL, NULL, 'ADRENOCORTICAL DYSPLASIA PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(71304, NULL, 'PTHR21668:SF13', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A X-LINKED A-RELATED', NULL, NULL, NULL, 15),
(71305, NULL, 'PTHR17615:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71306, NULL, 'PTHR43288:SF1', NULL, NULL, NULL, NULL, 'GLYCYL-RADICAL ENZYME ACTIVATING ENZYME MJ0021-RELATED', NULL, NULL, 31361, 15),
(71307, NULL, 'PTHR24320:SF233', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE, ISOFORM A', NULL, NULL, NULL, 15),
(71308, NULL, 'PTHR10671:SF95', NULL, NULL, NULL, NULL, 'CLAUDIN-LIKE IN CAENORHABDITIS', NULL, NULL, NULL, 15),
(71309, NULL, 'PTHR42658:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71310, NULL, 'PTHR13140:SF679', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN IC', NULL, NULL, NULL, 15),
(71311, NULL, 'PTHR23155:SF1116', NULL, NULL, NULL, NULL, 'OS08G0170100 PROTEIN', NULL, NULL, NULL, 15),
(71312, NULL, 'PTHR47746:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71313, NULL, 'PTHR33021:SF263', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71314, NULL, 'PTHR24416:SF568', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE KINASE 7 (INACTIVE)', NULL, NULL, NULL, 15),
(71315, NULL, 'PTHR11926:SF1338', NULL, NULL, NULL, NULL, 'BNAA09G35290D PROTEIN', NULL, NULL, NULL, 15),
(71316, NULL, 'PTHR31373:SF13', NULL, NULL, NULL, NULL, 'OS12G0141800 PROTEIN', NULL, NULL, NULL, 15),
(71317, NULL, 'PTHR32212:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71318, NULL, 'PTHR15592:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71319, NULL, 'PTHR45671:SF12', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PHOSPHATE CARRIER PROTEIN', NULL, NULL, NULL, 15),
(71320, NULL, 'PTHR13683:SF648', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(71321, NULL, 'PTHR16517:SF38', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 7', NULL, NULL, NULL, 15),
(71322, NULL, 'PTHR46249:SF34', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE HOMOLOG', NULL, NULL, NULL, 15),
(71323, NULL, 'PTHR11328:SF39', NULL, NULL, NULL, NULL, '2,3-DIHYDROXYPROPANE-1-SULFONATE EXPORTER-RELATED', NULL, NULL, NULL, 15),
(71324, NULL, 'PTHR31807:SF44', NULL, NULL, NULL, NULL, 'AUGMIN SUBUNIT 8', NULL, NULL, NULL, 15),
(71325, NULL, 'PTHR11206:SF417', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(71326, NULL, 'PTHR14209:SF30', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE CPRD49', NULL, NULL, NULL, 15),
(71327, NULL, 'PTHR44998:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--PEPTIDE N-ACETYLGLUCOSAMINYLTRANSFERASE SEC-RELATED', NULL, NULL, NULL, 15),
(71328, NULL, 'PTHR18898', NULL, NULL, NULL, NULL, 'NUCLEOPROTEIN TPR-RELATED', NULL, NULL, NULL, 15),
(71329, NULL, 'PTHR10064:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-2', NULL, NULL, NULL, 15),
(71330, NULL, 'PTHR24281:SF157', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', NULL, NULL, NULL, 15),
(71331, NULL, 'PTHR10426:SF26', NULL, NULL, NULL, NULL, 'ADIPOCYTE PLASMA MEMBRANE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(71332, NULL, 'PTHR37228:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S21 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(71333, NULL, 'PTHR23122:SF33', NULL, NULL, NULL, NULL, 'MAGUK P55 SUBFAMILY MEMBER 3', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71334, NULL, 'PTHR47958:SF112', NULL, NULL, NULL, NULL, 'VASA-AND BELLE-LIKE HELICASE', NULL, NULL, NULL, 15),
(71335, NULL, 'PTHR21495:SF142', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(71336, NULL, 'PTHR10048:SF35', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 3-KINASE CATALYTIC SUBUNIT DELTA ISOFORM', NULL, NULL, NULL, 15),
(71337, NULL, 'PTHR33076:SF102', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(71338, NULL, 'PTHR30304:SF3', NULL, NULL, NULL, NULL, '3-OXO-TETRONATE KINASE', NULL, NULL, NULL, 15),
(71339, NULL, 'PTHR10783:SF4', NULL, NULL, NULL, NULL, 'XENOTROPIC AND POLYTROPIC RETROVIRUS RECEPTOR 1', NULL, NULL, 34398, 15),
(71340, NULL, 'PTHR48017:SF21', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1E', NULL, NULL, NULL, 15),
(71341, NULL, 'PTHR11712:SF336', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE 2', NULL, NULL, NULL, 15),
(71342, NULL, 'PTHR10114:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36-RELATED', NULL, NULL, NULL, 15),
(71343, NULL, 'PTHR10476:SF49', NULL, NULL, NULL, NULL, 'BNAC06G23830D PROTEIN', NULL, NULL, NULL, 15),
(71344, NULL, 'PTHR43646:SF2', NULL, NULL, NULL, NULL, 'SLR0092 PROTEIN', NULL, NULL, NULL, 15),
(71345, NULL, 'PTHR22814:SF339', NULL, NULL, NULL, NULL, 'CHAPERONE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71346, NULL, 'PTHR12429:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NEURL1', NULL, NULL, NULL, 15),
(71347, NULL, 'PTHR43490:SF91', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE', NULL, NULL, NULL, 15),
(71348, NULL, 'PTHR40070', NULL, NULL, NULL, NULL, 'UPF0478 PROTEIN YTXG', NULL, NULL, NULL, 15),
(71349, NULL, 'PTHR18896:SF173', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA 1', NULL, NULL, NULL, 15),
(71350, NULL, 'PTHR24351:SF182', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C EPSILON TYPE', NULL, NULL, NULL, 15),
(71351, NULL, 'PTHR31388:SF153', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(71352, NULL, 'PTHR35982:SF1', NULL, NULL, NULL, NULL, 'AGAP005361-PA', NULL, NULL, NULL, 15),
(71353, NULL, 'PTHR11923:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71354, NULL, 'PTHR24281:SF182', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(71355, NULL, 'PTHR22849:SF145', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 31', NULL, NULL, NULL, 15),
(71356, NULL, 'PTHR31790:SF253', NULL, NULL, NULL, NULL, 'BNAA05G36760D PROTEIN', NULL, NULL, NULL, 15),
(71357, NULL, 'PTHR43452:SF22', NULL, NULL, NULL, NULL, 'DECARBOXYLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71358, NULL, 'PTHR13087:SF3', NULL, NULL, NULL, NULL, 'NKAP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71359, NULL, 'PTHR24326:SF566', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER, HOMEOBOX-ASSOCIATED, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71360, NULL, 'PTHR15379:SF2', NULL, NULL, NULL, NULL, 'CELL GROWTH REGULATOR WITH RING FINGER DOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(71361, NULL, 'PTHR23253:SF65', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING PROTEIN DDB_G0287999', NULL, NULL, NULL, 15),
(71362, NULL, 'PTHR24064:SF555', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71363, NULL, 'PTHR33993:SF5', NULL, NULL, NULL, NULL, 'GLYOXALASE', NULL, NULL, NULL, 15),
(71364, NULL, 'PTHR39469', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(71365, NULL, 'PTHR12542:SF49', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(71366, NULL, 'PTHR43874:SF119', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR1', NULL, NULL, NULL, 15),
(71367, NULL, 'PTHR35545:SF14', NULL, NULL, NULL, NULL, 'OS07G0645701 PROTEIN', NULL, NULL, NULL, 15),
(71368, NULL, 'PTHR10351:SF61', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71369, NULL, 'PTHR46772:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH95', NULL, NULL, NULL, 15),
(71370, NULL, 'PTHR22883:SF371', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 16-RELATED', NULL, NULL, NULL, 15),
(71371, NULL, 'PTHR43999:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAMYB', NULL, NULL, NULL, 15),
(71372, NULL, 'PTHR34541:SF3', NULL, NULL, NULL, NULL, 'OS05G0530300 PROTEIN', NULL, NULL, NULL, 15),
(71373, NULL, 'PTHR11947:SF20', NULL, NULL, NULL, NULL, '[3-METHYL-2-OXOBUTANOATE DEHYDROGENASE [LIPOAMIDE]] KINASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(71374, NULL, 'PTHR45974:SF40', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RPK1-RELATED', NULL, NULL, NULL, 15),
(71375, NULL, 'PTHR24138', NULL, NULL, NULL, NULL, 'INTRACELLLAR PHOSPHOLIPASE A FAMILY', NULL, NULL, NULL, 15),
(71376, NULL, 'PTHR31636:SF275', NULL, NULL, NULL, NULL, 'GRAS FAMILY PROTEIN', NULL, NULL, NULL, 15),
(71377, NULL, 'PTHR31033:SF21', NULL, NULL, NULL, NULL, 'BNAA03G47080D PROTEIN', NULL, NULL, NULL, 15),
(71378, NULL, 'PTHR17630:SF99', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(71379, NULL, 'PTHR34566:SF6', NULL, NULL, NULL, NULL, 'OS09G0530700 PROTEIN', NULL, NULL, NULL, 15),
(71380, NULL, 'PTHR43829:SF25', NULL, NULL, NULL, NULL, 'AQUAPORIN-7-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(71381, NULL, 'PTHR33108:SF3', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(71382, NULL, 'PTHR23311:SF5', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 72 KDA', NULL, NULL, NULL, 15),
(71383, NULL, 'PTHR11232:SF45', NULL, NULL, NULL, NULL, 'PROTEIN NUMB', NULL, NULL, NULL, 15),
(71384, NULL, 'PTHR11804:SF44', NULL, NULL, NULL, NULL, 'NEUROLYSIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(71385, NULL, 'PTHR43029:SF22', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 2 MEMBER 1', NULL, NULL, NULL, 15),
(71386, NULL, 'PTHR45878:SF28', NULL, NULL, NULL, NULL, 'OS09G0282100 PROTEIN', NULL, NULL, NULL, 15),
(71387, NULL, 'PTHR46508:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71388, NULL, 'PTHR23501:SF38', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', NULL, NULL, NULL, 15),
(71389, NULL, 'PTHR35121', NULL, NULL, NULL, NULL, 'HOMEODOMAIN PROTEIN 8, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71390, NULL, 'PTHR24047', NULL, NULL, NULL, NULL, 'FI01909P-RELATED', NULL, NULL, NULL, 15),
(71391, NULL, 'PTHR34208:SF14', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(71392, NULL, 'PTHR46324:SF25', NULL, NULL, NULL, NULL, 'BNAUNNG01680D PROTEIN', NULL, NULL, NULL, 15),
(71393, NULL, 'PTHR34130:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71394, NULL, 'PTHR10291:SF24', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(71395, NULL, 'PTHR48048:SF39', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(71396, NULL, 'PTHR21433:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 120A', NULL, NULL, NULL, 15),
(71397, NULL, 'PTHR31920:SF46', NULL, NULL, NULL, NULL, 'B3 DOMAIN TRANSCRIPTION FACTOR VRN1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71398, NULL, 'PTHR33264:SF3', NULL, NULL, NULL, NULL, 'OS01G0638800 PROTEIN', NULL, NULL, NULL, 15),
(71399, NULL, 'PTHR23273:SF60', NULL, NULL, NULL, NULL, 'BNACNNG56390D PROTEIN', NULL, NULL, NULL, 15),
(71400, NULL, 'PTHR12411:SF101', NULL, NULL, NULL, NULL, 'CATHEPSIN W', NULL, NULL, 35168, 15),
(71401, NULL, 'PTHR11926:SF1038', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(71402, NULL, 'PTHR11931:SF26', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE/BISPHOSPHOGLYCERATE MUTASE', NULL, NULL, NULL, 15),
(71403, NULL, 'PTHR10535:SF19', NULL, NULL, NULL, NULL, 'EUKARYOTIC RPB5 RNA POLYMERASE SUBUNIT FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71404, NULL, 'PTHR23162', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER OF SPERM TAILS 2', NULL, NULL, 27182, 15),
(71405, NULL, 'PTHR11037:SF13', NULL, NULL, NULL, NULL, 'UPSTREAM-BINDING PROTEIN 1', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71406, NULL, 'PTHR34946:SF11', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 16-LIKE', NULL, NULL, NULL, 15),
(71407, NULL, 'PTHR13318:SF136', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71408, NULL, 'PTHR45874', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ABDOMINAL-B', NULL, NULL, 36822, 15),
(71409, NULL, 'PTHR10129:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAFA', NULL, NULL, 25062, 15),
(71410, NULL, 'PTHR45868:SF36', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(71411, NULL, 'PTHR24376:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 62 HOMOLOG', NULL, NULL, NULL, 15),
(71412, NULL, 'PTHR33090:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71413, NULL, 'PTHR46128:SF169', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71414, NULL, 'PTHR14159', NULL, NULL, NULL, NULL, 'ATAXIN-3-RELATED', NULL, NULL, 32303, 15),
(71415, NULL, 'PTHR45934:SF18', NULL, NULL, NULL, NULL, 'MONOOXYGENASE 1', NULL, NULL, NULL, 15),
(71416, NULL, 'PTHR11818:SF7', NULL, NULL, NULL, NULL, 'BETA-CRYSTALLIN A2', NULL, NULL, NULL, 15),
(71417, NULL, 'PTHR13318:SF99', NULL, NULL, NULL, NULL, 'EIN3-BINDING F-BOX PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(71418, NULL, 'PTHR22811:SF133', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA10', NULL, NULL, NULL, 15),
(71419, NULL, 'PTHR45752', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING', NULL, NULL, NULL, 15),
(71420, NULL, 'PTHR15989', NULL, NULL, NULL, NULL, 'VEZATIN', NULL, NULL, 26033, 15),
(71421, NULL, 'PTHR11069:SF30', NULL, NULL, NULL, NULL, 'GLUCOSYLCERAMIDASE 3-RELATED', NULL, NULL, NULL, 15),
(71422, NULL, 'PTHR11256:SF55', NULL, NULL, NULL, NULL, 'BCL2-ASSOCIATED X, APOPTOSIS REGULATOR A-RELATED', NULL, NULL, NULL, 15),
(71423, NULL, 'PTHR43085:SF1', NULL, NULL, NULL, NULL, 'KETOHEXOKINASE', NULL, NULL, NULL, 15),
(71424, NULL, 'PTHR11911:SF129', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE 1B', NULL, NULL, NULL, 15),
(71425, NULL, 'PTHR11214:SF273', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(71426, NULL, 'PTHR48013:SF9', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 5', NULL, NULL, NULL, 15),
(71427, NULL, 'PTHR31221:SF194', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71428, NULL, 'PTHR12866', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-CONJUGATING ENZYME ATG3', NULL, NULL, 277, 15),
(71429, NULL, 'PTHR33569:SF1', NULL, NULL, NULL, NULL, 'UREASE', NULL, NULL, NULL, 15),
(71430, NULL, 'PTHR45711:SF7', NULL, NULL, NULL, NULL, 'H(+)/CL(-) EXCHANGE TRANSPORTER 5', NULL, NULL, NULL, 15),
(71431, NULL, 'PTHR11122:SF13', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(71432, NULL, 'PTHR47627', NULL, NULL, NULL, NULL, 'RUBREDOXIN', NULL, NULL, NULL, 15),
(71433, NULL, 'PTHR33074:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71434, NULL, 'PTHR21060:SF15', NULL, NULL, NULL, NULL, 'PROPIONATE KINASE-RELATED', NULL, NULL, NULL, 15),
(71435, NULL, 'PTHR23105', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L7AE FAMILY MEMBER', NULL, NULL, NULL, 15),
(71436, NULL, 'PTHR31253', NULL, NULL, NULL, NULL, 'BRI3-BINDING PROTEIN', NULL, NULL, 32744, 15),
(71437, NULL, 'PTHR11850:SF135', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 5', NULL, NULL, NULL, 15),
(71438, NULL, 'PTHR33491:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71439, NULL, 'PTHR31805:SF5', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(71440, NULL, 'PTHR24343:SF369', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE CATALYTIC SUBUNIT ALPHA KIN12', NULL, NULL, NULL, 15),
(71441, NULL, 'PTHR13363:SF6', NULL, NULL, NULL, NULL, 'RING FINGER AND SPRY DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71442, NULL, 'PTHR11481:SF92', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(71443, NULL, 'PTHR33659:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71444, NULL, 'PTHR12411:SF270', NULL, NULL, NULL, NULL, 'TUBULOINTERSTITIAL NEPHRITIS ANTIGEN-LIKE', NULL, NULL, NULL, 15),
(71445, NULL, 'PTHR12565:SF334', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH49', NULL, NULL, NULL, 15),
(71446, NULL, 'PTHR21437:SF4', NULL, NULL, NULL, NULL, 'ANKYRIN-REPEAT AND FIBRONECTIN TYPE III DOMAIN CONTAINING 1', NULL, NULL, NULL, 15),
(71447, NULL, 'PTHR45660:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71448, NULL, 'PTHR24228:SF56', NULL, NULL, NULL, NULL, 'MELATONIN-RELATED RECEPTOR', NULL, NULL, 6210, 15),
(71449, NULL, 'PTHR24291:SF130', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(71450, NULL, 'PTHR43791:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71451, NULL, 'PTHR46025:SF3', NULL, NULL, NULL, NULL, 'XYLOSYLTRANSFERASE OXT', NULL, NULL, NULL, 15),
(71452, NULL, 'PTHR45633:SF10', NULL, NULL, NULL, NULL, 'HSP60, MITOCHONDRIAL, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71453, NULL, 'PTHR46834', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH91', NULL, NULL, 37441, 15),
(71454, NULL, 'PTHR32080:SF27', NULL, NULL, NULL, NULL, 'OS11G0470500 PROTEIN', NULL, NULL, NULL, 15),
(71455, NULL, 'PTHR43382:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL GLUTAMATE/PROLINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(71456, NULL, 'PTHR21964:SF16', NULL, NULL, NULL, NULL, 'BREAST CANCER METASTASIS-SUPPRESSOR 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71457, NULL, 'PTHR13370:SF25', NULL, NULL, NULL, NULL, 'DNA ADENINE METHYLTRANSFERASE YHDJ', NULL, NULL, NULL, 15),
(71458, NULL, 'PTHR34959:SF2', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71459, NULL, 'PTHR11271:SF6', NULL, NULL, NULL, NULL, 'GUANINE DEAMINASE', NULL, NULL, 9748, 15),
(71460, NULL, 'PTHR31897:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG04693', NULL, NULL, NULL, 15),
(71461, NULL, 'PTHR12560:SF49', NULL, NULL, NULL, NULL, 'LAG1 LONGEVITY ASSURANCE HOMOLOG 3', NULL, NULL, NULL, 15),
(71462, NULL, 'PTHR11227:SF57', NULL, NULL, NULL, NULL, 'OS05G0169200 PROTEIN', NULL, NULL, NULL, 15),
(71463, NULL, 'PTHR12313:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71464, NULL, 'PTHR33083:SF85', NULL, NULL, NULL, NULL, 'BNAC09G13940D PROTEIN', NULL, NULL, NULL, 15),
(71465, NULL, 'PTHR15046:SF1', NULL, NULL, NULL, NULL, 'BETA-1,4 N-ACETYLGALACTOSAMINYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(71466, NULL, 'PTHR46290', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71467, NULL, 'PTHR12603:SF25', NULL, NULL, NULL, NULL, 'BNAA02G17010D PROTEIN', NULL, NULL, NULL, 15),
(71468, NULL, 'PTHR15628', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 33068, 15),
(71469, NULL, 'PTHR14154:SF73', NULL, NULL, NULL, NULL, 'EARLY LIGHT-INDUCED PROTEIN 11', NULL, NULL, NULL, 15),
(71470, NULL, 'PTHR23210', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR 7 INTERACTING PROTEIN', NULL, NULL, 22879, 15),
(71471, NULL, 'PTHR46043:SF16', NULL, NULL, NULL, NULL, 'BNAC03G16340D PROTEIN', NULL, NULL, NULL, 15),
(71472, NULL, 'PTHR24372:SF68', NULL, NULL, NULL, NULL, 'RELAXIN RECEPTOR 1', NULL, NULL, NULL, 15),
(71473, NULL, 'PTHR11945:SF522', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL6', NULL, NULL, NULL, 15),
(71474, NULL, 'PTHR48002:SF104', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K2', NULL, NULL, NULL, 15),
(71475, NULL, 'PTHR34278', NULL, NULL, NULL, NULL, 'PROTEIN THI031, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71476, NULL, 'PTHR11960:SF51', NULL, NULL, NULL, NULL, 'BNAA09G26760D PROTEIN', NULL, NULL, NULL, 15),
(71477, NULL, 'PTHR31616', NULL, NULL, NULL, NULL, 'TREHALASE', NULL, NULL, NULL, 15),
(71478, NULL, 'PTHR11827:SF53', NULL, NULL, NULL, NULL, 'K+/CL-COTRANSPORTER', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71479, NULL, 'PTHR12634:SF27', NULL, NULL, NULL, NULL, 'BNAC01G24200D PROTEIN', NULL, NULL, NULL, 15),
(71480, NULL, 'PTHR46187:SF2', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE DCD3B-RELATED', NULL, NULL, NULL, 15),
(71481, NULL, 'PTHR22957:SF467', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 12-RELATED', NULL, NULL, NULL, 15),
(71482, NULL, 'PTHR24028:SF41', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-17', NULL, NULL, 24051, 15),
(71483, NULL, 'PTHR37355', NULL, NULL, NULL, NULL, 'PLACENTA-SPECIFIC PROTEIN 9', NULL, NULL, 26046, 15),
(71484, NULL, 'PTHR13832:SF768', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C MEMBER 13, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(71485, NULL, 'PTHR12002:SF89', NULL, NULL, NULL, NULL, 'CLAUDIN-4', NULL, NULL, NULL, 15),
(71486, NULL, 'PTHR46179:SF2', NULL, NULL, NULL, NULL, 'FINGER PUTATIVE TRANSCRIPTION FACTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(71487, NULL, 'PTHR31384:SF117', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71488, NULL, 'PTHR27001:SF24', NULL, NULL, NULL, NULL, 'OS06G0166900 PROTEIN', NULL, NULL, NULL, 15),
(71489, NULL, 'PTHR20835:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG06971', NULL, NULL, NULL, 15),
(71490, NULL, 'PTHR22937:SF111', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(71491, NULL, 'PTHR10807:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71492, NULL, 'PTHR10460:SF31', NULL, NULL, NULL, NULL, 'PROTEIN ABIL2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(71493, NULL, 'PTHR31650:SF64', NULL, NULL, NULL, NULL, 'BNAA10G06730D PROTEIN', NULL, NULL, NULL, 15),
(71494, NULL, 'PTHR12968:SF2', NULL, NULL, NULL, NULL, 'B9 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(71495, NULL, 'PTHR13533:SF26', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 14', NULL, NULL, NULL, 15),
(71496, NULL, 'PTHR23056:SF26', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(71497, NULL, 'PTHR31875:SF33', NULL, NULL, NULL, NULL, 'BNAA05G30650D PROTEIN', NULL, NULL, NULL, 15),
(71498, NULL, 'PTHR45950:SF10', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN REVOLUTA', NULL, NULL, NULL, 15),
(71499, NULL, 'PTHR31325:SF213', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(71500, NULL, 'PTHR31606:SF11', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(71501, NULL, 'PTHR23294:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71502, NULL, 'PTHR24270:SF27', NULL, NULL, NULL, NULL, 'CD320 ANTIGEN', NULL, NULL, NULL, 15),
(71503, NULL, 'PTHR44019:SF16', NULL, NULL, NULL, NULL, 'F-BOX AND WD-40 DOMAIN PROTEIN 17', NULL, NULL, NULL, 15),
(71504, NULL, 'PTHR46443', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 8', NULL, NULL, 36942, 15),
(71505, NULL, 'PTHR31147:SF36', NULL, NULL, NULL, NULL, '10-DEACETYLBACCATIN III-10-O-ACETYL TRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(71506, NULL, 'PTHR15127:SF28', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING ADAPTER PROTEIN F', NULL, NULL, 9018, 15),
(71507, NULL, 'PTHR14566:SF0', NULL, NULL, NULL, NULL, 'CELL CYCLE REGULATOR OF NON-HOMOLOGOUS END JOINING', NULL, NULL, NULL, 15),
(71508, NULL, 'PTHR21013', NULL, NULL, NULL, NULL, 'ATP SYNTHASE MITOCHONDRIAL F1 COMPLEX ASSEMBLY FACTOR 2/ATP12 PROTEIN, MITOCHONDRIAL PRECURSOR', NULL, NULL, 13989, 15),
(71509, NULL, 'PTHR10336:SF179', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(71510, NULL, 'PTHR14136', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(71511, NULL, 'PTHR12422:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM49A', NULL, NULL, NULL, 15),
(71512, NULL, 'PTHR33091:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71513, NULL, 'PTHR31499:SF56', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR23-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(71514, NULL, 'PTHR11864:SF20', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 40 HOMOLOG A', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71515, NULL, 'PTHR44464:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 17', NULL, NULL, NULL, 15),
(71516, NULL, 'PTHR45811:SF27', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(71517, NULL, 'PTHR31929:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71518, NULL, 'PTHR47981:SF11', NULL, NULL, NULL, NULL, 'BNAA01G26470D PROTEIN', NULL, NULL, NULL, 15),
(71519, NULL, 'PTHR21525:SF9', NULL, NULL, NULL, NULL, 'PHAGE-LIKE ELEMENT PBSX PROTEIN XKDO', NULL, NULL, NULL, 15),
(71520, NULL, 'PTHR31973:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71521, NULL, 'PTHR11527:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71522, NULL, 'PTHR31388:SF229', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(71523, NULL, 'PTHR33981:SF14', NULL, NULL, NULL, NULL, 'BNAA03G54810D PROTEIN', NULL, NULL, NULL, 15),
(71524, NULL, 'PTHR43019:SF36', NULL, NULL, NULL, NULL, 'SERINE PROTEASE RV3671C', NULL, NULL, NULL, 15),
(71525, NULL, 'PTHR11801:SF2', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION 3', NULL, NULL, NULL, 15),
(71526, NULL, 'PTHR31139', NULL, NULL, NULL, NULL, 'ECTOPIC P GRANULES PROTEIN 5 HOMOLOG', NULL, NULL, NULL, 15),
(71527, NULL, 'PTHR17630:SF89', NULL, NULL, NULL, NULL, 'ENDO-1,31,4-BETA-D-GLUCANASE-RELATED', NULL, NULL, NULL, 15),
(71528, NULL, 'PTHR46372:SF14', NULL, NULL, NULL, NULL, 'BNAC03G29720D PROTEIN', NULL, NULL, NULL, 15),
(71529, NULL, 'PTHR37078:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71530, NULL, 'PTHR43788', NULL, NULL, NULL, NULL, 'DNA2/NAM7 HELICASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(71531, NULL, 'PTHR10378:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SLK1-RELATED', NULL, NULL, NULL, 15),
(71532, NULL, 'PTHR24281:SF71', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 703A2', NULL, NULL, NULL, 15),
(71533, NULL, 'PTHR47210:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26C-RELATED', NULL, NULL, NULL, 15),
(71534, NULL, 'PTHR10954:SF21', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', NULL, NULL, NULL, 15),
(71535, NULL, 'PTHR24314:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71536, NULL, 'PTHR34189:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(71537, NULL, 'PTHR47982:SF28', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK11-RELATED', NULL, NULL, NULL, 15),
(71538, NULL, 'PTHR12056:SF3', NULL, NULL, NULL, NULL, 'BNAA06G00770D PROTEIN', NULL, NULL, NULL, 15),
(71539, NULL, 'PTHR11627:SF68', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(71540, NULL, 'PTHR11351:SF90', NULL, NULL, NULL, NULL, 'STEAROYL-COA DESATURASE 5', NULL, NULL, NULL, 15),
(71541, NULL, 'PTHR11516:SF63', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(71542, NULL, 'PTHR24256:SF464', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P11', NULL, NULL, NULL, 15),
(71543, NULL, 'PTHR47991:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71544, NULL, 'PTHR24083:SF159', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-1', NULL, NULL, NULL, 15),
(71545, NULL, 'PTHR10540', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT F-RELATED', NULL, NULL, NULL, 15),
(71546, NULL, 'PTHR47965:SF63', NULL, NULL, NULL, NULL, '7S GLOBULIN 2 SMALL SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71547, NULL, 'PTHR37332:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(71548, NULL, 'PTHR23105:SF110', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN, LARGE', NULL, NULL, NULL, 15),
(71549, NULL, 'PTHR45767:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN O1', NULL, NULL, NULL, 15),
(71550, NULL, 'PTHR42748:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71551, NULL, 'PTHR48111:SF36', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(71552, NULL, 'PTHR46631:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71553, NULL, 'PTHR47372:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71554, NULL, 'PTHR11711:SF373', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARC-1', NULL, NULL, NULL, 15),
(71555, NULL, 'PTHR43791:SF24', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER', NULL, NULL, NULL, 15),
(71556, NULL, 'PTHR22437:SF0', NULL, NULL, NULL, NULL, 'FI21431P1', NULL, NULL, NULL, 15),
(71557, NULL, 'PTHR24012:SF835', NULL, NULL, NULL, NULL, 'PLASTID-SPECIFIC 30S RIBOSOMAL PROTEIN 2', NULL, NULL, NULL, 15),
(71558, NULL, 'PTHR10388:SF58', NULL, NULL, NULL, NULL, 'OS05G0498400 PROTEIN', NULL, NULL, NULL, 15),
(71559, NULL, 'PTHR45899:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN AT 15B, ISOFORM C', NULL, NULL, NULL, 15),
(71560, NULL, 'PTHR10677:SF5', NULL, NULL, NULL, NULL, 'UBIQUILIN-2', NULL, NULL, 28806, 15),
(71561, NULL, 'PTHR21502', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN DZIP1', NULL, NULL, NULL, 15),
(71562, NULL, 'PTHR42999:SF1', NULL, NULL, NULL, NULL, 'ANTIBIOTIC RESISTANCE PROTEIN MCBG', NULL, NULL, NULL, 15),
(71563, NULL, 'PTHR42647:SF19', NULL, NULL, NULL, NULL, 'BNAA01G22460D PROTEIN', NULL, NULL, NULL, 15),
(71564, NULL, 'PTHR46318:SF4', NULL, NULL, NULL, NULL, 'NUCLEOLAR TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(71565, NULL, 'PTHR37441:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG16518', NULL, NULL, NULL, 15),
(71566, NULL, 'PTHR35828:SF1', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(71567, NULL, 'PTHR45642:SF52', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(71568, NULL, 'PTHR22792:SF131', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN LARP4B', NULL, NULL, NULL, 15),
(71569, NULL, 'PTHR35832:SF10', NULL, NULL, NULL, NULL, 'OS06G0314501 PROTEIN', NULL, NULL, NULL, 15),
(71570, NULL, 'PTHR47932:SF48', NULL, NULL, NULL, NULL, 'FERTILITY RESTORER-LIKE', NULL, NULL, NULL, 15),
(71571, NULL, 'PTHR23501:SF184', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(71572, NULL, 'PTHR33454:SF13', NULL, NULL, NULL, NULL, 'GSP-1 GRAIN SOFTNESS PROTEIN', NULL, NULL, NULL, 15),
(71573, NULL, 'PTHR31213:SF78', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL7', NULL, NULL, NULL, 15),
(71574, NULL, 'PTHR11709:SF389', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(71575, NULL, 'PTHR45798:SF33', NULL, NULL, NULL, NULL, 'OS06G0666500 PROTEIN', NULL, NULL, NULL, 15),
(71576, NULL, 'PTHR10795:SF544', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.4', NULL, NULL, NULL, 15),
(71577, NULL, 'PTHR39218', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 14 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12110)-RELATED', NULL, NULL, NULL, 15),
(71578, NULL, 'PTHR11566:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71579, NULL, 'PTHR24393:SF69', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE MECOM', NULL, NULL, NULL, 15),
(71580, NULL, 'PTHR32097:SF14', NULL, NULL, NULL, NULL, 'TELLURIUM RESISTANCE PROTEIN TERD', NULL, NULL, NULL, 15),
(71581, NULL, 'PTHR15723:SF0', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 15', NULL, NULL, NULL, 15),
(71582, NULL, 'PTHR10773:SF14', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71583, NULL, 'PTHR46285:SF12', NULL, NULL, NULL, NULL, 'OS08G0462800 PROTEIN', NULL, NULL, NULL, 15),
(71584, NULL, 'PTHR10110:SF161', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15),
(71585, NULL, 'PTHR47040:SF3', NULL, NULL, NULL, NULL, 'BNAA08G28470D PROTEIN', NULL, NULL, NULL, 15),
(71586, NULL, 'PTHR31062:SF180', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(71587, NULL, 'PTHR14002:SF1', NULL, NULL, NULL, NULL, 'ENDOGLIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71588, NULL, 'PTHR12281:SF24', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(71589, NULL, 'PTHR12741:SF80', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 48-RELATED', NULL, NULL, NULL, 15),
(71590, NULL, 'PTHR47490:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BLISTER', NULL, NULL, NULL, 15),
(71591, NULL, 'PTHR24416:SF564', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR CAM-1', NULL, NULL, NULL, 15),
(71592, NULL, 'PTHR35447', NULL, NULL, NULL, NULL, 'BH3-INTERACTING DOMAIN DEATH AGONIST', NULL, NULL, 10157, 15),
(71593, NULL, 'PTHR31213:SF67', NULL, NULL, NULL, NULL, 'MAJOR ALLERGEN PRU AV 1-LIKE', NULL, NULL, NULL, 15),
(71594, NULL, 'PTHR31636:SF13', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(71595, NULL, 'PTHR32258:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71596, NULL, 'PTHR24060:SF134', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(71597, NULL, 'PTHR22601:SF59', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER OPT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(71598, NULL, 'PTHR25466:SF4', NULL, NULL, NULL, NULL, 'T-LYMPHOCYTE ACTIVATION ANTIGEN CD80', NULL, NULL, NULL, 15),
(71599, NULL, 'PTHR46714:SF8', NULL, NULL, NULL, NULL, 'BNAC01G35040D PROTEIN', NULL, NULL, NULL, 15),
(71600, NULL, 'PTHR31604:SF18', NULL, NULL, NULL, NULL, 'PROTEIN EXPRESSION OF TERPENOIDS 1', NULL, NULL, NULL, 15),
(71601, NULL, 'PTHR31942:SF98', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71602, NULL, 'PTHR12280:SF36', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE 1', NULL, NULL, NULL, 15),
(71603, NULL, 'PTHR46816:SF7', NULL, NULL, NULL, NULL, 'BNAA09G39930D PROTEIN', NULL, NULL, NULL, 15),
(71604, NULL, 'PTHR11550:SF31', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', NULL, NULL, NULL, 15),
(71605, NULL, 'PTHR32133:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71606, NULL, 'PTHR21068:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71607, NULL, 'PTHR48212', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71608, NULL, 'PTHR11260:SF569', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U16', NULL, NULL, NULL, 15),
(71609, NULL, 'PTHR12918:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE DIOXYGENASE TYPE 1', NULL, NULL, NULL, 15),
(71610, NULL, 'PTHR31839:SF28', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1I', NULL, NULL, NULL, 15),
(71611, NULL, 'PTHR31375:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71612, NULL, 'PTHR11588:SF75', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(71613, NULL, 'PTHR31375:SF160', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(71614, NULL, 'PTHR30353:SF15', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YABI', NULL, NULL, NULL, 15),
(71615, NULL, 'PTHR27007:SF324', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.9', NULL, NULL, NULL, 15),
(71616, NULL, 'PTHR43963:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71617, NULL, 'PTHR23049:SF9', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 2, VENTRICULAR/CARDIAC MUSCLE ISOFORM', NULL, NULL, NULL, 15),
(71618, NULL, 'PTHR47563:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FMP25, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(71619, NULL, 'PTHR46869', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(71620, NULL, 'PTHR11736:SF74', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 2', NULL, NULL, 24689, 15),
(71621, NULL, 'PTHR35861', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71622, NULL, 'PTHR31744:SF79', NULL, NULL, NULL, NULL, 'OS01G0888300 PROTEIN', NULL, NULL, NULL, 15),
(71623, NULL, 'PTHR47178:SF1', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE DBAB', NULL, NULL, NULL, 15),
(71624, NULL, 'PTHR11538:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71625, NULL, 'PTHR43773:SF3', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MGTE', NULL, NULL, NULL, 15),
(71626, NULL, 'PTHR31205:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71627, NULL, 'PTHR13219:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 94', NULL, NULL, NULL, 15),
(71628, NULL, 'PTHR31940', NULL, NULL, NULL, NULL, 'SMALL KINETOCHORE-ASSOCIATED PROTEIN', NULL, NULL, 33152, 15),
(71629, NULL, 'PTHR43549:SF2', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN YPNP-RELATED', NULL, NULL, NULL, 15),
(71630, NULL, 'PTHR12027:SF110', NULL, NULL, NULL, NULL, 'PROTEIN WNT', NULL, NULL, NULL, 15),
(71631, NULL, 'PTHR45418:SF1', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN 55', NULL, NULL, NULL, 15),
(71632, NULL, 'PTHR27004:SF360', NULL, NULL, NULL, NULL, 'BNACNNG75160D PROTEIN', NULL, NULL, NULL, 15),
(71633, NULL, 'PTHR36432', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71634, NULL, 'PTHR44575:SF1', NULL, NULL, NULL, NULL, 'EMBRYONIC ABUNDANT PROTEIN-LIKE', NULL, NULL, NULL, 15),
(71635, NULL, 'PTHR27006:SF352', NULL, NULL, NULL, NULL, 'BNAA07G07730D PROTEIN', NULL, NULL, NULL, 15),
(71636, NULL, 'PTHR39156:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE M5', NULL, NULL, NULL, 15),
(71637, NULL, 'PTHR46301:SF25', NULL, NULL, NULL, NULL, 'BNAA07G08860D PROTEIN', NULL, NULL, NULL, 15),
(71638, NULL, 'PTHR24028:SF46', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-8', NULL, NULL, 24158, 15),
(71639, NULL, 'PTHR24023:SF996', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE IX, ALPHA 1A', NULL, NULL, NULL, 15),
(71640, NULL, 'PTHR10182:SF11', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 39', NULL, NULL, NULL, 15),
(71641, NULL, 'PTHR47936', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71642, NULL, 'PTHR33625:SF4', NULL, NULL, NULL, NULL, 'OS08G0179900 PROTEIN', NULL, NULL, NULL, 15),
(71643, NULL, 'PTHR36810', NULL, NULL, NULL, NULL, 'BNACNNG47150D PROTEIN', NULL, NULL, NULL, 15),
(71644, NULL, 'PTHR44259', NULL, NULL, NULL, NULL, 'OS07G0183000 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71645, NULL, 'PTHR11062:SF285', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71646, NULL, 'PTHR45676:SF71', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(71647, NULL, 'PTHR45628:SF10', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1C', NULL, NULL, NULL, 15),
(71648, NULL, 'PTHR31865:SF46', NULL, NULL, NULL, NULL, 'BNAC08G44460D PROTEIN', NULL, NULL, NULL, 15),
(71649, NULL, 'PTHR31673:SF23', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(71650, NULL, 'PTHR10681:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71651, NULL, 'PTHR33388:SF12', NULL, NULL, NULL, NULL, 'PROTEIN SPEAR3', NULL, NULL, NULL, 15),
(71652, NULL, 'PTHR33128:SF45', NULL, NULL, NULL, NULL, 'OS05G0103300 PROTEIN', NULL, NULL, NULL, 15),
(71653, NULL, 'PTHR47853:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71654, NULL, 'PTHR22761:SF68', NULL, NULL, NULL, NULL, 'BNAA07G00950D PROTEIN', NULL, NULL, NULL, 15),
(71655, NULL, 'PTHR23335:SF14', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 2', NULL, NULL, NULL, 15),
(71656, NULL, 'PTHR35546:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71657, NULL, 'PTHR45961:SF7', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE 28', NULL, NULL, NULL, 15),
(71658, NULL, 'PTHR11843:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15),
(71659, NULL, 'PTHR30445', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(71660, NULL, 'PTHR36325:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-2 HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71661, NULL, 'PTHR41747:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71662, NULL, 'PTHR43880:SF45', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(71663, NULL, 'PTHR33672:SF6', NULL, NULL, NULL, NULL, 'OS03G0315301 PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71664, NULL, 'PTHR12942:SF2', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR SLU7', NULL, NULL, NULL, 15),
(71665, NULL, 'PTHR31313', NULL, NULL, NULL, NULL, 'TY1 ENHANCER ACTIVATOR', NULL, NULL, NULL, 15),
(71666, NULL, 'PTHR44376:SF11', NULL, NULL, NULL, NULL, 'OS03G0860900 PROTEIN', NULL, NULL, NULL, 15),
(71667, NULL, 'PTHR33021:SF358', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(71668, NULL, 'PTHR46553:SF22', NULL, NULL, NULL, NULL, 'BNAA05G27200D PROTEIN', NULL, NULL, NULL, 15),
(71669, NULL, 'PTHR37977:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG26449', NULL, NULL, NULL, 15),
(71670, NULL, 'PTHR30178:SF3', NULL, NULL, NULL, NULL, 'SUCCINATE-ACETATE/PROTON SYMPORTER SATP', NULL, NULL, NULL, 15),
(71671, NULL, 'PTHR19290:SF96', NULL, NULL, NULL, NULL, 'OLIGODENDROCYTE TRANSCRIPTION FACTOR 3', NULL, NULL, 22372, 15),
(71672, NULL, 'PTHR46525:SF6', NULL, NULL, NULL, NULL, 'ARABIDOPSIS THALIANA GENOMIC DNA, CHROMOSOME 5, P1 CLONE:MOK16', NULL, NULL, NULL, 15),
(71673, NULL, 'PTHR11462', NULL, NULL, NULL, NULL, 'JUN TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(71674, NULL, 'PTHR30151:SF22', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN MJ0413-RELATED', NULL, NULL, NULL, 15),
(71675, NULL, 'PTHR23359:SF206', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', NULL, NULL, NULL, 15),
(71676, NULL, 'PTHR46034:SF4', NULL, NULL, NULL, NULL, 'OS09G0563700 PROTEIN', NULL, NULL, NULL, 15),
(71677, NULL, 'PTHR30128:SF64', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I CHLOROPHYLL A APOPROTEIN A2', NULL, NULL, NULL, 15),
(71678, NULL, 'PTHR45950:SF15', NULL, NULL, NULL, NULL, 'START DOMAIN, HOMEODOMAIN-LIKE, MEKHLA, START-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71679, NULL, 'PTHR31639:SF43', NULL, NULL, NULL, NULL, 'OS06G0688400 PROTEIN', NULL, NULL, NULL, 15),
(71680, NULL, 'PTHR36058:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71681, NULL, 'PTHR35102:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71682, NULL, 'PTHR36363', NULL, NULL, NULL, NULL, 'OS04G0687200 PROTEIN', NULL, NULL, NULL, 15),
(71683, NULL, 'PTHR43507:SF15', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71684, NULL, 'PTHR10641:SF1265', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71685, NULL, 'PTHR10953:SF200', NULL, NULL, NULL, NULL, 'ADENYLYLTRANSFERASE AND SULFURTRANSFERASE MOCS3', NULL, NULL, NULL, 15),
(71686, NULL, 'PTHR26379:SF338', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(71687, NULL, 'PTHR31589:SF63', NULL, NULL, NULL, NULL, 'BNAA05G37050D PROTEIN', NULL, NULL, NULL, 15),
(71688, NULL, 'PTHR35885:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71689, NULL, 'PTHR21394', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 17822, 15),
(71690, NULL, 'PTHR11915:SF232', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN, NON-ERYTHROCYTIC 4', NULL, NULL, NULL, 15),
(71691, NULL, 'PTHR43286:SF3', NULL, NULL, NULL, NULL, 'ENDONUCLEASE III HOMOLOG 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(71692, NULL, 'PTHR45820:SF5', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN CZCD', NULL, NULL, NULL, 15),
(71693, NULL, 'PTHR31568:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71694, NULL, 'PTHR48043:SF100', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(71695, NULL, 'PTHR23180:SF160', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN EFFECTOR PROTEIN 1', NULL, NULL, NULL, 15),
(71696, NULL, 'PTHR31175:SF41', NULL, NULL, NULL, NULL, 'OS09G0546700 PROTEIN', NULL, NULL, NULL, 15),
(71697, NULL, 'PTHR22951:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-BINDING CLATHRIN ASSEMBLY PROTEIN LAP', NULL, NULL, NULL, 15),
(71698, NULL, 'PTHR21495:SF156', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(71699, NULL, 'PTHR13440:SF7', NULL, NULL, NULL, NULL, 'BLOC-1-RELATED COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71700, NULL, 'PTHR31854:SF2', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(71701, NULL, 'PTHR11709:SF306', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71702, NULL, 'PTHR10352:SF15', NULL, NULL, NULL, NULL, 'ELAV-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(71703, NULL, 'PTHR16231:SF15', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(71704, NULL, 'PTHR31651:SF29', NULL, NULL, NULL, NULL, 'BNAC02G45090D PROTEIN', NULL, NULL, NULL, 15),
(71705, NULL, 'PTHR33138:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71706, NULL, 'PTHR26453:SF140', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6Q1', NULL, NULL, NULL, 15),
(71707, NULL, 'PTHR10394:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', NULL, NULL, NULL, 15),
(71708, NULL, 'PTHR34179', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P53-INDUCIBLE PROTEIN 13', NULL, NULL, NULL, 15),
(71709, NULL, 'PTHR12103:SF11', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(71710, NULL, 'PTHR31985:SF165', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TINY-LIKE', NULL, NULL, NULL, 15),
(71711, NULL, 'PTHR23428:SF176', NULL, NULL, NULL, NULL, 'HISTONE H2B.1', NULL, NULL, NULL, 15),
(71712, NULL, 'PTHR45908:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG11685', NULL, NULL, NULL, 15),
(71713, NULL, 'PTHR24221:SF395', NULL, NULL, NULL, NULL, 'SERINE PROTEASE/ABC TRANSPORTER B FAMILY PROTEIN TAGB-RELATED', NULL, NULL, NULL, 15),
(71714, NULL, 'PTHR10782:SF9', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE PIAS4', NULL, NULL, 23790, 15),
(71715, NULL, 'PTHR45898:SF11', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 6 ISOFORM X1', NULL, NULL, NULL, 15),
(71716, NULL, 'PTHR21472:SF10', NULL, NULL, NULL, NULL, 'K123 PROTEIN', NULL, NULL, NULL, 15),
(71717, NULL, 'PTHR23056:SF93', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71718, NULL, 'PTHR10291:SF0', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE COMPLEX SUBUNIT DHDDS', NULL, NULL, NULL, 15),
(71719, NULL, 'PTHR31992:SF224', NULL, NULL, NULL, NULL, 'BNAA10G27100D PROTEIN', NULL, NULL, NULL, 15),
(71720, NULL, 'PTHR31707:SF295', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(71721, NULL, 'PTHR47936:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71722, NULL, 'PTHR19282:SF273', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(71723, NULL, 'PTHR31790:SF399', NULL, NULL, NULL, NULL, 'BNAA05G32970D PROTEIN', NULL, NULL, NULL, 15),
(71724, NULL, 'PTHR10766:SF117', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(71725, NULL, 'PTHR10044:SF171', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XIAP', NULL, NULL, NULL, 15),
(71726, NULL, 'PTHR16515:SF24', NULL, NULL, NULL, NULL, 'PR DOMAIN-CONTAINING 1A, WITH ZNF DOMAIN', NULL, NULL, NULL, 15),
(71727, NULL, 'PTHR22941', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR', NULL, NULL, NULL, 15),
(71728, NULL, 'PTHR43895:SF114', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(71729, NULL, 'PTHR47925:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71730, NULL, 'PTHR37451:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71731, NULL, 'PTHR10766:SF138', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 11', NULL, NULL, NULL, 15),
(71732, NULL, 'PTHR10314:SF214', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN (CYK3), PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03400)-RELATED', NULL, NULL, NULL, 15),
(71733, NULL, 'PTHR14200:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71734, NULL, 'PTHR13866:SF14', NULL, NULL, NULL, NULL, 'BM-40', NULL, NULL, NULL, 15),
(71735, NULL, 'PTHR33455:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71736, NULL, 'PTHR33172:SF45', NULL, NULL, NULL, NULL, 'EMB|CAB83157.1', NULL, NULL, NULL, 15),
(71737, NULL, 'PTHR33178:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(71738, NULL, 'PTHR33074:SF68', NULL, NULL, NULL, NULL, 'OS07G0642050 PROTEIN', NULL, NULL, NULL, 15),
(71739, NULL, 'PTHR33110:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71740, NULL, 'PTHR14155:SF518', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71741, NULL, 'PTHR47905:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 4B', NULL, NULL, NULL, 15),
(71742, NULL, 'PTHR32089:SF65', NULL, NULL, NULL, NULL, 'CHEMOTAXIS SIGNAL TRANSDUCTION SYSTEM METHYL ACCEPTING SENSORY TRANSDUCER', NULL, NULL, NULL, 15),
(71743, NULL, 'PTHR11532:SF80', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE N CATALYTIC CHAIN', NULL, NULL, 25245, 15),
(71744, NULL, 'PTHR34114:SF13', NULL, NULL, NULL, NULL, 'BNAA06G00380D PROTEIN', NULL, NULL, NULL, 15),
(71745, NULL, 'PTHR24248:SF118', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR D2-LIKE', NULL, NULL, NULL, 15),
(71746, NULL, 'PTHR20971:SF0', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM5', NULL, NULL, NULL, 15),
(71747, NULL, 'PTHR45805:SF7', NULL, NULL, NULL, NULL, 'RAR-RELATED ORPHAN RECEPTOR C B', NULL, NULL, NULL, 15),
(71748, NULL, 'PTHR47993:SF10', NULL, NULL, NULL, NULL, 'BNAA01G26460D PROTEIN', NULL, NULL, NULL, 15),
(71749, NULL, 'PTHR44067:SF2', NULL, NULL, NULL, NULL, 'OS08G0113400 PROTEIN', NULL, NULL, NULL, 15),
(71750, NULL, 'PTHR11304:SF34', NULL, NULL, NULL, NULL, 'EPHRIN-B3', NULL, NULL, NULL, 15),
(71751, NULL, 'PTHR24085:SF6', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR GAMMA', NULL, NULL, NULL, 15),
(71752, NULL, 'PTHR16134:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71753, NULL, 'PTHR24408:SF39', NULL, NULL, NULL, NULL, 'PAIRED ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71754, NULL, 'PTHR24044:SF448', NULL, NULL, NULL, NULL, 'PROTEIN JAGGED-1', NULL, NULL, NULL, 15),
(71755, NULL, 'PTHR36071:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71756, NULL, 'PTHR42861:SF74', NULL, NULL, NULL, NULL, 'ATPASE 1, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(71757, NULL, 'PTHR39080:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L28', NULL, NULL, NULL, 15),
(71758, NULL, 'PTHR34460:SF11', NULL, NULL, NULL, NULL, 'BNAA05G30600D PROTEIN', NULL, NULL, NULL, 15),
(71759, NULL, 'PTHR19384:SF108', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', NULL, NULL, NULL, 15),
(71760, NULL, 'PTHR21255:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71761, NULL, 'PTHR12395:SF23', NULL, NULL, NULL, NULL, 'DECAPPING NUCLEASE DOM-3', NULL, NULL, NULL, 15),
(71762, NULL, 'PTHR33402:SF25', NULL, NULL, NULL, NULL, 'BNAC03G58490D PROTEIN', NULL, NULL, 31393, 15),
(71763, NULL, 'PTHR45752:SF103', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 4', NULL, NULL, NULL, 15),
(71764, NULL, 'PTHR48054:SF22', NULL, NULL, NULL, NULL, 'OS10G0467900 PROTEIN', NULL, NULL, NULL, 15),
(71765, NULL, 'PTHR12771:SF63', NULL, NULL, NULL, NULL, 'BNAA05G32830D PROTEIN', NULL, NULL, NULL, 15),
(71766, NULL, 'PTHR12320:SF69', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 24-RELATED', NULL, NULL, NULL, 15),
(71767, NULL, 'PTHR37974:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14951', NULL, NULL, NULL, 15),
(71768, NULL, 'PTHR39959:SF2', NULL, NULL, NULL, NULL, 'RE44287P', NULL, NULL, NULL, 15),
(71769, NULL, 'PTHR47293:SF6', NULL, NULL, NULL, NULL, 'MANNOSE/GLUCOSE-SPECIFIC LECTIN-LIKE', NULL, NULL, NULL, 15),
(71770, NULL, 'PTHR45676:SF39', NULL, NULL, NULL, NULL, 'OS11G0703200 PROTEIN', NULL, NULL, NULL, 15),
(71771, NULL, 'PTHR23050:SF422', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML16-RELATED', NULL, NULL, NULL, 15),
(71772, NULL, 'PTHR33429:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71773, NULL, 'PTHR47364:SF10', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71774, NULL, 'PTHR43037', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT-RELATED', NULL, NULL, NULL, 15),
(71775, NULL, 'PTHR24177:SF187', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(71776, NULL, 'PTHR47956:SF82', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71777, NULL, 'PTHR23428:SF284', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(71778, NULL, 'PTHR10201:SF257', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71779, NULL, 'PTHR27000:SF680', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR KINASE XIAO-RELATED', NULL, NULL, NULL, 15),
(71780, NULL, 'PTHR23105:SF148', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L7AE/L8/NHP2 FAMILY, 50S RIBOSOMAL PROTEIN L30E-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71781, NULL, 'PTHR24055:SF148', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71782, NULL, 'PTHR12555:SF24', NULL, NULL, NULL, NULL, 'FUSION DEGRADATION PROTEIN 1,PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71783, NULL, 'PTHR11474:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71784, NULL, 'PTHR12231:SF241', NULL, NULL, NULL, NULL, 'L1 CELL ADHESION MOLECULE', NULL, NULL, NULL, 15),
(71785, NULL, 'PTHR44914', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 13', NULL, NULL, 37055, 15),
(71786, NULL, 'PTHR38342:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE OR EXPORTED-RELATED', NULL, NULL, NULL, 15),
(71787, NULL, 'PTHR42968:SF21', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT-CONTAINING PROTEIN (AFU_ORTHOLOGUE AFUA_2G12060)', NULL, NULL, NULL, 15),
(71788, NULL, 'PTHR10378:SF37', NULL, NULL, NULL, NULL, 'BNAA03G47480D PROTEIN', NULL, NULL, NULL, 15),
(71789, NULL, 'PTHR31196', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II NUCLEAR LOCALIZATION PROTEIN SLC7A6OS-RELATED', NULL, NULL, 33802, 15),
(71790, NULL, 'PTHR45762:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER, U1-TYPE, ZINC FINGER, C2H2-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71791, NULL, 'PTHR24206:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 28544, 15),
(71792, NULL, 'PTHR22603:SF83', NULL, NULL, NULL, NULL, 'CHOLINE KINASE 1-RELATED', NULL, NULL, NULL, 15),
(71793, NULL, 'PTHR37807', NULL, NULL, NULL, NULL, 'OS07G0160300 PROTEIN', NULL, NULL, NULL, 15),
(71794, NULL, 'PTHR46495', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 21', NULL, NULL, NULL, 15),
(71795, NULL, 'PTHR37377:SF2', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE LARGE CHAIN', NULL, NULL, NULL, 15),
(71796, NULL, 'PTHR23206:SF5', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND KH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(71797, NULL, 'PTHR21593:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CBG05431', NULL, NULL, NULL, 15),
(71798, NULL, 'PTHR45660:SF28', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(71799, NULL, 'PTHR27005:SF57', NULL, NULL, NULL, NULL, 'OS08G0365500 PROTEIN', NULL, NULL, NULL, 15),
(71800, NULL, 'PTHR47622', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH PROTEIN 1', NULL, NULL, 27494, 15),
(71801, NULL, 'PTHR12411:SF591', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RDL3-RELATED', NULL, NULL, NULL, 15),
(71802, NULL, 'PTHR13169:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN 4', NULL, NULL, NULL, 15),
(71803, NULL, 'PTHR23513:SF19', NULL, NULL, NULL, NULL, 'MACROLIDE-EFFLUX PROTEIN', NULL, NULL, NULL, 15),
(71804, NULL, 'PTHR46950:SF2', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER CORA-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(71805, NULL, 'PTHR12478:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CHARYBDE-RELATED', NULL, NULL, NULL, 15),
(71806, NULL, 'PTHR47319:SF9', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1-LIKE', NULL, NULL, NULL, 15),
(71807, NULL, 'PTHR47868', NULL, NULL, NULL, NULL, 'OS05G0457700 PROTEIN', NULL, NULL, NULL, 15),
(71808, NULL, 'PTHR13832:SF775', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1L', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71809, NULL, 'PTHR31251:SF73', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 14', NULL, NULL, NULL, 15),
(71810, NULL, 'PTHR33154:SF15', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR SMTB', NULL, NULL, NULL, 15),
(71811, NULL, 'PTHR11654:SF427', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(71812, NULL, 'PTHR15921:SF7', NULL, NULL, NULL, NULL, 'PROTEIN SCAF8', NULL, NULL, NULL, 15),
(71813, NULL, 'PTHR33543:SF20', NULL, NULL, NULL, NULL, 'BNAC03G35960D PROTEIN', NULL, NULL, NULL, 15),
(71814, NULL, 'PTHR11753:SF48', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', NULL, NULL, NULL, 15),
(71815, NULL, 'PTHR42865:SF9', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71816, NULL, 'PTHR33870:SF4', NULL, NULL, NULL, NULL, 'CARDIOMYOPATHY-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(71817, NULL, 'PTHR36698:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71818, NULL, 'PTHR42791:SF1', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(71819, NULL, 'PTHR33052:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71820, NULL, 'PTHR31889:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71821, NULL, 'PTHR31069:SF16', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE REGULATOR 1', NULL, NULL, NULL, 15),
(71822, NULL, 'PTHR31451:SF57', NULL, NULL, NULL, NULL, 'BETA-1,4-ENDOGLUCANASE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(71823, NULL, 'PTHR18952:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71824, NULL, 'PTHR43864:SF1', NULL, NULL, NULL, NULL, 'HYPOXANTHINE/GUANINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(71825, NULL, 'PTHR11586:SF35', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA SYNTHETASE N-TERM HOMOLOG (METS-LIKE)', NULL, NULL, NULL, 15),
(71826, NULL, 'PTHR43564', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71827, NULL, 'PTHR32382:SF0', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 4', NULL, NULL, NULL, 15),
(71828, NULL, 'PTHR47293:SF45', NULL, NULL, NULL, NULL, 'BNAC03G24440D PROTEIN', NULL, NULL, NULL, 15),
(71829, NULL, 'PTHR10903:SF69', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(71830, NULL, 'PTHR45660:SF49', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE FAMILY MEMBER SUVH9-LIKE', NULL, NULL, NULL, 15),
(71831, NULL, 'PTHR24031', NULL, NULL, NULL, NULL, 'RNA HELICASE', NULL, NULL, NULL, 15),
(71832, NULL, 'PTHR31190:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71833, NULL, 'PTHR46128:SF14', NULL, NULL, NULL, NULL, 'BNAA09G52830D PROTEIN', NULL, NULL, NULL, 15),
(71834, NULL, 'PTHR31503:SF22', NULL, NULL, NULL, NULL, 'VACUOLAR CALCIUM ION TRANSPORTER', NULL, NULL, NULL, 15),
(71835, NULL, 'PTHR45679:SF2', NULL, NULL, NULL, NULL, 'ER DEGRADATION-ENHANCING ALPHA-MANNOSIDASE-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(71836, NULL, 'PTHR15907:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71837, NULL, 'PTHR46782:SF2', NULL, NULL, NULL, NULL, 'OS07G0545900 PROTEIN', NULL, NULL, NULL, 15),
(71838, NULL, 'PTHR43777', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(71839, NULL, 'PTHR31113:SF6', NULL, NULL, NULL, NULL, 'UPF0496 PROTEIN 3', NULL, NULL, NULL, 15),
(71840, NULL, 'PTHR32063:SF33', NULL, NULL, NULL, NULL, 'RND SUPERFAMILY EFFLUX PUMP PERMEASE COMPONENT', NULL, NULL, NULL, 15),
(71841, NULL, 'PTHR15439:SF14', NULL, NULL, NULL, NULL, 'VAD-4', NULL, NULL, NULL, 15),
(71842, NULL, 'PTHR36541', NULL, NULL, NULL, NULL, 'SUPEROXIDE REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(71843, NULL, 'PTHR27007:SF218', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.4', NULL, NULL, NULL, 15),
(71844, NULL, 'PTHR12588:SF10', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE 2', NULL, NULL, NULL, 15),
(71845, NULL, 'PTHR21207:SF1', NULL, NULL, NULL, NULL, 'PACRG-LIKE PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71846, NULL, 'PTHR42913:SF9', NULL, NULL, NULL, NULL, 'SULFIDE DEHYDROGENASE, FLAVOPROTEIN SUBUNIT', NULL, NULL, NULL, 15),
(71847, NULL, 'PTHR43249', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-2-AMINO-2-DEOXY-D-GLUCURONATE OXIDASE', NULL, NULL, NULL, 15),
(71848, NULL, 'PTHR33044:SF150', NULL, NULL, NULL, NULL, 'INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71849, NULL, 'PTHR45637:SF52', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL1-LIKE', NULL, NULL, NULL, 15),
(71850, NULL, 'PTHR11950:SF31', NULL, NULL, NULL, NULL, 'SEGMENTATION PROTEIN RUNT', NULL, NULL, NULL, 15),
(71851, NULL, 'PTHR48054:SF28', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(71852, NULL, 'PTHR47926:SF82', NULL, NULL, NULL, NULL, 'BNAC09G29400D PROTEIN', NULL, NULL, NULL, 15),
(71853, NULL, 'PTHR11017:SF348', NULL, NULL, NULL, NULL, 'BNAC09G12760D PROTEIN', NULL, NULL, NULL, 15),
(71854, NULL, 'PTHR10543:SF116', NULL, NULL, NULL, NULL, 'CAROTENOID CLEAVAGE DIOXYGENASE 4, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(71855, NULL, 'PTHR31263:SF42', NULL, NULL, NULL, NULL, 'OS02G0596200 PROTEIN', NULL, NULL, NULL, 15),
(71856, NULL, 'PTHR23348:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71857, NULL, 'PTHR10110:SF103', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 4', NULL, NULL, 36469, 15),
(71858, NULL, 'PTHR34276:SF1', NULL, NULL, NULL, NULL, 'MINI-RIBONUCLEASE 3', NULL, NULL, NULL, 15),
(71859, NULL, 'PTHR31728:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71860, NULL, 'PTHR36321:SF11', NULL, NULL, NULL, NULL, 'BNAA06G23430D PROTEIN', NULL, NULL, NULL, 15),
(71861, NULL, 'PTHR31190:SF304', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(71862, NULL, 'PTHR32266:SF17', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71863, NULL, 'PTHR23262:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71864, NULL, 'PTHR10314:SF80', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL L-3-CYANOALANINE SYNTHASE/CYSTEINE SYNTHASE C1, MITOCHONDRIAL', NULL, NULL, 26573, 15),
(71865, NULL, 'PTHR33509:SF25', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN LEA5', NULL, NULL, NULL, 15),
(71866, NULL, 'PTHR14221:SF55', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71867, NULL, 'PTHR27001:SF66', NULL, NULL, NULL, NULL, 'OS01G0738300 PROTEIN', NULL, NULL, NULL, 15),
(71868, NULL, 'PTHR15397:SF2', NULL, NULL, NULL, NULL, 'REGULATORY SOLUTE CARRIER PROTEIN FAMILY 1 MEMBER 1', NULL, NULL, NULL, 15),
(71869, NULL, 'PTHR23024:SF443', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE', NULL, NULL, NULL, 15),
(71870, NULL, 'PTHR13110:SF1', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71871, NULL, 'PTHR24264:SF57', NULL, NULL, NULL, NULL, 'TRYPSIN-6-RELATED', NULL, NULL, NULL, 15),
(71872, NULL, 'PTHR45878:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP3', NULL, NULL, NULL, 15),
(71873, NULL, 'PTHR24300:SF340', NULL, NULL, NULL, NULL, 'INACTIVE CYTOCHROME P450 2G1-RELATED', NULL, NULL, NULL, 15),
(71874, NULL, 'PTHR45682:SF14', NULL, NULL, NULL, NULL, 'SI:CH211-121A2.2-RELATED', NULL, NULL, NULL, 15),
(71875, NULL, 'PTHR31080:SF152', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 2', NULL, NULL, NULL, 15),
(71876, NULL, 'PTHR43574:SF41', NULL, NULL, NULL, NULL, 'BNAC04G06350D PROTEIN', NULL, NULL, NULL, 15),
(71877, NULL, 'PTHR33596:SF17', NULL, NULL, NULL, NULL, 'COLD-REGULATED 413 INNER MEMBRANE PROTEIN 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(71878, NULL, 'PTHR45618:SF47', NULL, NULL, NULL, NULL, 'UNCOUPLING PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(71879, NULL, 'PTHR30251:SF3', NULL, NULL, NULL, NULL, 'FIMBRIAL CHAPARONE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71880, NULL, 'PTHR42855', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING SUBUNIT', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71881, NULL, 'PTHR43000:SF2', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-DIPHOSPHATE-SUGAR EPIMERASE', NULL, NULL, NULL, 15),
(71882, NULL, 'PTHR23253:SF9', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4 GAMMA 2', NULL, NULL, NULL, 15),
(71883, NULL, 'PTHR38791:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DBAG-RELATED', NULL, NULL, NULL, 15),
(71884, NULL, 'PTHR45134:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71885, NULL, 'PTHR11122:SF50', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(71886, NULL, 'PTHR46067:SF3', NULL, NULL, NULL, NULL, 'OS03G0665000 PROTEIN', NULL, NULL, NULL, 15),
(71887, NULL, 'PTHR32295:SF165', NULL, NULL, NULL, NULL, 'BNACNNG33700D PROTEIN', NULL, NULL, NULL, 15),
(71888, NULL, 'PTHR12259:SF3', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN GIPC2', NULL, NULL, NULL, 15),
(71889, NULL, 'PTHR11238:SF9', NULL, NULL, NULL, NULL, 'PROMININ, ISOFORM D', NULL, NULL, NULL, 15),
(71890, NULL, 'PTHR11258:SF3', NULL, NULL, NULL, NULL, '2''-5''-OLIGOADENYLATE SYNTHASE 2', NULL, NULL, NULL, 15),
(71891, NULL, 'PTHR45967:SF1', NULL, NULL, NULL, NULL, 'G-BOX-BINDING FACTOR 3', NULL, NULL, NULL, 15),
(71892, NULL, 'PTHR31541:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71893, NULL, 'PTHR43618:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71894, NULL, 'PTHR45974:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71895, NULL, 'PTHR47407:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13817', NULL, NULL, NULL, 15),
(71896, NULL, 'PTHR10288:SF305', NULL, NULL, NULL, NULL, 'BNAA06G33840D PROTEIN', NULL, NULL, NULL, 15),
(71897, NULL, 'PTHR20903:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71898, NULL, 'PTHR24296', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(71899, NULL, 'PTHR31235:SF44', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(71900, NULL, 'PTHR45734:SF6', NULL, NULL, NULL, NULL, 'TENSIN-4', NULL, NULL, NULL, 15),
(71901, NULL, 'PTHR31676:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71902, NULL, 'PTHR15404', NULL, NULL, NULL, NULL, 'PROTEIN AF1Q', NULL, NULL, 27708, 15),
(71903, NULL, 'PTHR24229:SF91', NULL, NULL, NULL, NULL, 'MELANIN-CONCENTRATING HORMONE RECEPTOR 1', NULL, NULL, 522, 15),
(71904, NULL, 'PTHR11857', NULL, NULL, NULL, NULL, 'ODORANT BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71905, NULL, 'PTHR13748:SF65', NULL, NULL, NULL, NULL, '47 KD PROTEIN', NULL, NULL, NULL, 15),
(71906, NULL, 'PTHR11362:SF70', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(71907, NULL, 'PTHR15746:SF14', NULL, NULL, NULL, NULL, 'RAB11 FAMILY-INTERACTING PROTEIN 5', NULL, NULL, NULL, 15),
(71908, NULL, 'PTHR33955:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 52B', NULL, NULL, NULL, 15),
(71909, NULL, 'PTHR12299:SF63', NULL, NULL, NULL, NULL, 'BNAC08G43870D PROTEIN', NULL, NULL, NULL, 15),
(71910, NULL, 'PTHR37679', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 29610, 15),
(71911, NULL, 'PTHR23024:SF501', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 120-RELATED', NULL, NULL, NULL, 15),
(71912, NULL, 'PTHR21353:SF8', NULL, NULL, NULL, NULL, 'CARDIOTROPHIN-2', NULL, NULL, NULL, 15),
(71913, NULL, 'PTHR11759:SF42', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14-1-RELATED', NULL, NULL, NULL, 15),
(71914, NULL, 'PTHR37304', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, 6225, 15),
(71915, NULL, 'PTHR47977:SF17', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(71916, NULL, 'PTHR13140:SF777', NULL, NULL, NULL, NULL, 'MYOSIN-16', NULL, NULL, NULL, 15),
(71917, NULL, 'PTHR47867', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(71918, NULL, 'PTHR45770:SF35', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71919, NULL, 'PTHR45929:SF4', NULL, NULL, NULL, NULL, 'LAS SEVENTEEN-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(71920, NULL, 'PTHR27002:SF819', NULL, NULL, NULL, NULL, 'OS09G0551000 PROTEIN', NULL, NULL, NULL, 15),
(71921, NULL, 'PTHR47932:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71922, NULL, 'PTHR19359:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(71923, NULL, 'PTHR12894:SF28', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(71924, NULL, 'PTHR47069:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71925, NULL, 'PTHR38887', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(71926, NULL, 'PTHR47983:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71927, NULL, 'PTHR18959:SF89', NULL, NULL, NULL, NULL, 'TRANSGELIN', NULL, NULL, NULL, 15),
(71928, NULL, 'PTHR10000:SF23', NULL, NULL, NULL, NULL, '5-AMINO-6-(5-PHOSPHO-D-RIBITYLAMINO)URACIL PHOSPHATASE YITU', NULL, NULL, NULL, 15),
(71929, NULL, 'PTHR10572:SF24', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE', NULL, NULL, NULL, 15),
(71930, NULL, 'PTHR23085:SF7', NULL, NULL, NULL, NULL, 'JUNCTOPHILIN-3', NULL, NULL, NULL, 15),
(71931, NULL, 'PTHR24377:SF838', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 319', NULL, NULL, NULL, 15),
(71932, NULL, 'PTHR28538:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL INNER NUCLEAR MEMBRANE PROTEIN IMA1', NULL, NULL, NULL, 15),
(71933, NULL, 'PTHR26453:SF581', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 979', NULL, NULL, NULL, 15),
(71934, NULL, 'PTHR31233:SF13', NULL, NULL, NULL, NULL, 'BICAUDAL D HOMOLOG 2 (DROSOPHILA)', NULL, NULL, NULL, 15),
(71935, NULL, 'PTHR23421:SF57', NULL, NULL, NULL, NULL, 'BETA GALACTOSIDASE HOMOLOG', NULL, NULL, NULL, 15),
(71936, NULL, 'PTHR23130:SF181', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(71937, NULL, 'PTHR12668:SF39', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14EP', NULL, NULL, NULL, 15),
(71938, NULL, 'PTHR24349:SF439', NULL, NULL, NULL, NULL, 'BNAA09G08020D PROTEIN', NULL, NULL, NULL, 15),
(71939, NULL, 'PTHR48017:SF138', NULL, NULL, NULL, NULL, 'BNAA09G28110D PROTEIN', NULL, NULL, NULL, 15),
(71940, NULL, 'PTHR32282:SF22', NULL, NULL, NULL, NULL, 'BINDING PROTEIN TRANSPEPTIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(71941, NULL, 'PTHR43888:SF40', NULL, NULL, NULL, NULL, 'OS12G0619100 PROTEIN', NULL, NULL, NULL, 15),
(71942, NULL, 'PTHR31636:SF55', NULL, NULL, NULL, NULL, 'OS12G0162700 PROTEIN', NULL, NULL, NULL, 15),
(71943, NULL, 'PTHR32212:SF271', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 13-RELATED', NULL, NULL, NULL, 15),
(71944, NULL, 'PTHR42898:SF48', NULL, NULL, NULL, NULL, 'BNAA04G17120D PROTEIN', NULL, NULL, NULL, 15),
(71945, NULL, 'PTHR10791:SF157', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(71946, NULL, 'PTHR37307', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN WHIA-RELATED', NULL, NULL, 3055, 15),
(71947, NULL, 'PTHR48210:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71948, NULL, 'PTHR21240:SF27', NULL, NULL, NULL, NULL, '2-AMINO-3-CARBOXYMUCONATE-6-SEMIALDEHYDE DECARBOXYLASE', NULL, NULL, NULL, 15),
(71949, NULL, 'PTHR48042:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71950, NULL, 'PTHR36562:SF6', NULL, NULL, NULL, NULL, 'EG:133E12.4 PROTEIN', NULL, NULL, NULL, 15),
(71951, NULL, 'PTHR47838:SF2', NULL, NULL, NULL, NULL, 'BNAA10G08500D PROTEIN', NULL, NULL, NULL, 15),
(71952, NULL, 'PTHR33512:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71953, NULL, 'PTHR10795:SF635', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71954, NULL, 'PTHR43874:SF99', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR16', NULL, NULL, NULL, 15),
(71955, NULL, 'PTHR33304:SF18', NULL, NULL, NULL, NULL, 'OS12G0161900 PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71956, NULL, 'PTHR46579', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71957, NULL, 'PTHR31414:SF7', NULL, NULL, NULL, NULL, 'OS04G0647550 PROTEIN', NULL, NULL, NULL, 15),
(71958, NULL, 'PTHR22595:SF154', NULL, NULL, NULL, NULL, 'BNAA03G56430D PROTEIN', NULL, NULL, NULL, 15),
(71959, NULL, 'PTHR45751:SF27', NULL, NULL, NULL, NULL, 'BNAC07G18250D PROTEIN', NULL, NULL, NULL, 15),
(71960, NULL, 'PTHR10845:SF42', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 5', NULL, NULL, 36289, 15),
(71961, NULL, 'PTHR27005:SF6', NULL, NULL, NULL, NULL, 'OS02G0623932 PROTEIN', NULL, NULL, NULL, 15),
(71962, NULL, 'PTHR23166:SF9', NULL, NULL, NULL, NULL, 'CTTNBP2 N-TERMINAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(71963, NULL, 'PTHR45296', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(71964, NULL, 'PTHR45658:SF32', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(71965, NULL, 'PTHR34482:SF25', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG DOMAIN, RETROVIRAL ASPARTYL PROTEASE-RELATED', NULL, NULL, NULL, 15),
(71966, NULL, 'PTHR10201:SF151', NULL, NULL, NULL, NULL, 'INTERSTITIAL COLLAGENASE', NULL, NULL, NULL, 15),
(71967, NULL, 'PTHR14003:SF12', NULL, NULL, NULL, NULL, 'OS05G0106000 PROTEIN', NULL, NULL, NULL, 15),
(71968, NULL, 'PTHR31235:SF212', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(71969, NULL, 'PTHR46487:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XRCC3', NULL, NULL, NULL, 15),
(71970, NULL, 'PTHR31734:SF106', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(71971, NULL, 'PTHR33370:SF2', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(71972, NULL, 'PTHR45714:SF8', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-17', NULL, NULL, NULL, 15),
(71973, NULL, 'PTHR33228:SF35', NULL, NULL, NULL, NULL, 'OS02G0191800 PROTEIN', NULL, NULL, NULL, 15),
(71974, NULL, 'PTHR12121:SF68', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE NGL2-RELATED', NULL, NULL, NULL, 15),
(71975, NULL, 'PTHR11216:SF147', NULL, NULL, NULL, NULL, 'EPS15-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(71976, NULL, 'PTHR21497:SF37', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(71977, NULL, 'PTHR34709:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71978, NULL, 'PTHR33978', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE', NULL, NULL, NULL, 15),
(71979, NULL, 'PTHR43283', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE-RELATED', NULL, NULL, NULL, 15),
(71980, NULL, 'PTHR24089:SF711', NULL, NULL, NULL, NULL, 'FI05451P', NULL, NULL, NULL, 15),
(71981, NULL, 'PTHR11236:SF44', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE ALPHA SUBUNIT 1, CHLOROPLASTIC ISOFORM X1', NULL, NULL, NULL, 15),
(71982, NULL, 'PTHR11266:SF16', NULL, NULL, NULL, NULL, 'OS03G0583800 PROTEIN', NULL, NULL, NULL, 15),
(71983, NULL, 'PTHR33044:SF176', NULL, NULL, NULL, NULL, 'BNAA06G23230D PROTEIN', NULL, NULL, NULL, 15),
(71984, NULL, 'PTHR14233:SF23', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 PROTEIN (DUF914)', NULL, NULL, NULL, 15),
(71985, NULL, 'PTHR26391:SF15', NULL, NULL, NULL, NULL, 'INACTIVE TYROSINE-PROTEIN KINASE 7', NULL, NULL, NULL, 15),
(71986, NULL, 'PTHR10970:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71987, NULL, 'PTHR23257:SF789', NULL, NULL, NULL, NULL, 'BNAA06G32000D PROTEIN', NULL, NULL, NULL, 15),
(71988, NULL, 'PTHR32246:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71989, NULL, 'PTHR33048', NULL, NULL, NULL, NULL, 'PTH11-LIKE INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G11245)', NULL, NULL, NULL, 15),
(71990, NULL, 'PTHR37512:SF1', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL NAD BIOSYNTHESIS/REGULATOR PROTEIN NADR', NULL, NULL, NULL, 15),
(71991, NULL, 'PTHR12804:SF11', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(71992, NULL, 'PTHR36795:SF2', NULL, NULL, NULL, NULL, 'OS01G0938400 PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(71993, NULL, 'PTHR31218:SF277', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(71994, NULL, 'PTHR10688:SF1', NULL, NULL, NULL, NULL, 'PWWP', NULL, NULL, NULL, 15),
(71995, NULL, 'PTHR28297', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 20292, 15),
(71996, NULL, 'PTHR46502:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71997, NULL, 'PTHR45981', NULL, NULL, NULL, NULL, 'LD02310P', NULL, NULL, NULL, 15),
(71998, NULL, 'PTHR11960:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(71999, NULL, 'PTHR46150:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN SYDE1', NULL, NULL, NULL, 15),
(72000, NULL, 'PTHR27006:SF248', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(72001, NULL, 'PTHR24271:SF56', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 58', NULL, NULL, NULL, 15),
(72002, NULL, 'PTHR12632:SF62', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-RELATED', NULL, NULL, NULL, 15),
(72003, NULL, 'PTHR11161:SF22', NULL, NULL, NULL, NULL, 'RE24423P', NULL, NULL, NULL, 15),
(72004, NULL, 'PTHR11636:SF86', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 5, TRANSCRIPTION FACTOR 1-RELATED', NULL, NULL, 9772, 15),
(72005, NULL, 'PTHR13715:SF79', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR', NULL, NULL, NULL, 15),
(72006, NULL, 'PTHR10693:SF68', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2, NTF2-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(72007, NULL, 'PTHR23012:SF196', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(72008, NULL, 'PTHR32212:SF370', NULL, NULL, NULL, NULL, 'BNAA03G10820D PROTEIN', NULL, NULL, NULL, 15),
(72009, NULL, 'PTHR45665:SF38', NULL, NULL, NULL, NULL, 'BNAA09G44820D PROTEIN', NULL, NULL, NULL, 15),
(72010, NULL, 'PTHR48086:SF5', NULL, NULL, NULL, NULL, 'SYMPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(72011, NULL, 'PTHR11132:SF386', NULL, NULL, NULL, NULL, 'BNAC09G37670D PROTEIN', NULL, NULL, 27247, 15),
(72012, NULL, 'PTHR10677:SF16', NULL, NULL, NULL, NULL, 'UBIQUILIN-1', NULL, NULL, NULL, 15),
(72013, NULL, 'PTHR32073:SF8', NULL, NULL, NULL, NULL, 'DIVERGENT PROTEIN KINASE DOMAIN 2B', NULL, NULL, NULL, 15),
(72014, NULL, 'PTHR10796:SF15', NULL, NULL, NULL, NULL, 'PATCHED DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(72015, NULL, 'PTHR38360:SF1', NULL, NULL, NULL, NULL, 'OS03G0120000 PROTEIN', NULL, NULL, NULL, 15),
(72016, NULL, 'PTHR11895:SF157', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE', NULL, NULL, NULL, 15),
(72017, NULL, 'PTHR45800:SF32', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 6', NULL, NULL, NULL, 15),
(72018, NULL, 'PTHR37863:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 196-RELATED', NULL, NULL, NULL, 15),
(72019, NULL, 'PTHR23155:SF1068', NULL, NULL, NULL, NULL, 'OS07G0273900 PROTEIN', NULL, NULL, NULL, 15),
(72020, NULL, 'PTHR39666', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72021, NULL, 'PTHR22765:SF272', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(72022, NULL, 'PTHR11615:SF311', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72023, NULL, 'PTHR11866:SF10', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E2 RECEPTOR EP3 SUBTYPE', NULL, NULL, 4381, 15),
(72024, NULL, 'PTHR10902:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L35A', NULL, NULL, NULL, 15),
(72025, NULL, 'PTHR19353:SF11', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE 3', NULL, NULL, NULL, 15),
(72026, NULL, 'PTHR47926:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72027, NULL, 'PTHR24035:SF135', NULL, NULL, NULL, NULL, 'MULTIPLE EPIDERMAL GROWTH FACTOR-LIKE DOMAINS PROTEIN 6', NULL, NULL, NULL, 15),
(72028, NULL, 'PTHR31790:SF419', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72029, NULL, 'PTHR31681:SF73', NULL, NULL, NULL, NULL, 'BNAC03G60750D PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72030, NULL, 'PTHR37076:SF3', NULL, NULL, NULL, NULL, 'EF-HAND 1, CALCIUM-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(72031, NULL, 'PTHR24411:SF31', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM MEMBRANE SENSOR NFE2L1', NULL, NULL, 28570, 15),
(72032, NULL, 'PTHR31325:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72033, NULL, 'PTHR10177:SF57', NULL, NULL, NULL, NULL, 'CYCLIN-I2', NULL, NULL, 24622, 15),
(72034, NULL, 'PTHR33933:SF1', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(72035, NULL, 'PTHR43791:SF16', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01840)-RELATED', NULL, NULL, NULL, 15),
(72036, NULL, 'PTHR13803:SF36', NULL, NULL, NULL, NULL, 'SI:DKEY-9K7.3', NULL, NULL, NULL, 15),
(72037, NULL, 'PTHR32468', NULL, NULL, NULL, NULL, 'CATION/H +  ANTIPORTER', NULL, NULL, NULL, 15),
(72038, NULL, 'PTHR22936:SF88', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72039, NULL, 'PTHR31875:SF27', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 7', NULL, NULL, NULL, 15),
(72040, NULL, 'PTHR31506:SF24', NULL, NULL, NULL, NULL, 'PROTEIN BRASSINAZOLE-RESISTANT 1-LIKE', NULL, NULL, NULL, 15),
(72041, NULL, 'PTHR44372:SF1', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-GAMMA 1-RELATED', NULL, NULL, NULL, 15),
(72042, NULL, 'PTHR11593:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17', NULL, NULL, NULL, 15),
(72043, NULL, 'PTHR11559:SF396', NULL, NULL, NULL, NULL, 'NEUROTACTIN', NULL, NULL, NULL, 15),
(72044, NULL, 'PTHR45687:SF68', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-2', NULL, NULL, NULL, 15),
(72045, NULL, 'PTHR43511:SF8', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(72046, NULL, 'PTHR12943:SF37', NULL, NULL, NULL, NULL, 'CONSERVED FUNGAL PROTEIN (AFU_ORTHOLOGUE AFUA_1G15750)', NULL, NULL, NULL, 15),
(72047, NULL, 'PTHR12771:SF27', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND ELMO DOMAIN-CONTAINING PROTEIN D', NULL, NULL, NULL, 15),
(72048, NULL, 'PTHR31839:SF49', NULL, NULL, NULL, NULL, 'BNAC03G71900D PROTEIN', NULL, NULL, NULL, 15),
(72049, NULL, 'PTHR22870', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION', NULL, NULL, NULL, 15),
(72050, NULL, 'PTHR34460', NULL, NULL, NULL, NULL, 'VITELLOGENIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72051, NULL, 'PTHR36542:SF6', NULL, NULL, NULL, NULL, 'GIG2-LIKE PROTEIN DREP', NULL, NULL, NULL, 15),
(72052, NULL, 'PTHR10177:SF474', NULL, NULL, NULL, NULL, 'CYCLIN-D4-1-LIKE', NULL, NULL, NULL, 15),
(72053, NULL, 'PTHR31540', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 131 KDA', NULL, NULL, 24435, 15),
(72054, NULL, 'PTHR10982', NULL, NULL, NULL, NULL, 'MALONYL COA-ACYL CARRIER PROTEIN TRANSACYLASE', NULL, NULL, NULL, 15),
(72055, NULL, 'PTHR27002:SF783', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 31-RELATED', NULL, NULL, NULL, 15),
(72056, NULL, 'PTHR12677:SF49', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(72057, NULL, 'PTHR30237:SF4', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(72058, NULL, 'PTHR30620:SF106', NULL, NULL, NULL, NULL, 'BNAC09G36920D PROTEIN', NULL, NULL, NULL, 15),
(72059, NULL, 'PTHR43249:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-2-AMINO-2-DEOXY-D-GLUCURONATE OXIDASE', NULL, NULL, NULL, 15),
(72060, NULL, 'PTHR10615:SF192', NULL, NULL, NULL, NULL, 'BNACNNG48300D PROTEIN', NULL, NULL, NULL, 15),
(72061, NULL, 'PTHR13935:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72062, NULL, 'PTHR32015:SF10', NULL, NULL, NULL, NULL, 'LIPASE RELATED', NULL, NULL, NULL, 15),
(72063, NULL, 'PTHR32092:SF2', NULL, NULL, NULL, NULL, 'ALPHA-GALACTURONIDASE', NULL, NULL, NULL, 15),
(72064, NULL, 'PTHR11783:SF213', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(72065, NULL, 'PTHR43900:SF66', NULL, NULL, NULL, NULL, 'FLOCCULATION PROTEIN FLO11-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(72066, NULL, 'PTHR46870', NULL, NULL, NULL, NULL, 'PROTEIN THYLAKOID ASSEMBLY 8-LIKE, CHLOROPLASTIC', NULL, NULL, 38527, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72067, NULL, 'PTHR45642:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72068, NULL, 'PTHR33356:SF5', NULL, NULL, NULL, NULL, 'TIP41-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72069, NULL, 'PTHR35535', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSLJ', NULL, NULL, NULL, 15),
(72070, NULL, 'PTHR22966:SF40', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 2', NULL, NULL, NULL, 15),
(72071, NULL, 'PTHR47926:SF174', NULL, NULL, NULL, NULL, 'OS07G0260000 PROTEIN', NULL, NULL, NULL, 15),
(72072, NULL, 'PTHR43403:SF1', NULL, NULL, NULL, NULL, 'NAD-SPECIFIC GLUTAMATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(72073, NULL, 'PTHR32468:SF128', NULL, NULL, NULL, NULL, 'BNAA04G18620D PROTEIN', NULL, NULL, 26326, 15),
(72074, NULL, 'PTHR24366:SF80', NULL, NULL, NULL, NULL, 'LD30178P', NULL, NULL, NULL, 15),
(72075, NULL, 'PTHR32227:SF312', NULL, NULL, NULL, NULL, 'OS09G0272300 PROTEIN', NULL, NULL, NULL, 15),
(72076, NULL, 'PTHR33624:SF14', NULL, NULL, NULL, NULL, 'OS07G0687400 PROTEIN', NULL, NULL, NULL, 15),
(72077, NULL, 'PTHR48042:SF7', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(72078, NULL, 'PTHR30537:SF58', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PERR', NULL, NULL, NULL, 15),
(72079, NULL, 'PTHR24356:SF345', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE IREH1-RELATED', NULL, NULL, NULL, 15),
(72080, NULL, 'PTHR11954', NULL, NULL, NULL, NULL, 'D-DOPACHROME DECARBOXYLASE', NULL, NULL, 3464, 15),
(72081, NULL, 'PTHR43939:SF19', NULL, NULL, NULL, NULL, 'BNAA09G28150D PROTEIN', NULL, NULL, NULL, 15),
(72082, NULL, 'PTHR15111:SF0', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL PREFOLDIN RPB5 INTERACTOR 1', NULL, NULL, NULL, 15),
(72083, NULL, 'PTHR46053:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH9', NULL, NULL, NULL, 15),
(72084, NULL, 'PTHR32235', NULL, NULL, NULL, NULL, 'NON-HOMOLOGOUS END-JOINING FACTOR 1', NULL, NULL, NULL, 15),
(72085, NULL, 'PTHR19325:SF43', NULL, NULL, NULL, NULL, 'SUSHI, VON WILLEBRAND FACTOR TYPE A, EGF AND PENTRAXIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(72086, NULL, 'PTHR10209:SF513', NULL, NULL, NULL, NULL, '2-OXOACID DEPENDENT DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(72087, NULL, 'PTHR33120:SF39', NULL, NULL, NULL, NULL, 'OS12G0193800 PROTEIN', NULL, NULL, NULL, 15),
(72088, NULL, 'PTHR24112:SF59', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 37 HOMOLOG', NULL, NULL, NULL, 15),
(72089, NULL, 'PTHR43834:SF5', NULL, NULL, NULL, NULL, 'BNAANNG40770D PROTEIN', NULL, NULL, NULL, 15),
(72090, NULL, 'PTHR11712:SF340', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE II, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(72091, NULL, 'PTHR45832:SF11', NULL, NULL, NULL, NULL, 'P21 (RAC1) ACTIVATED KINASE 3', NULL, NULL, NULL, 15),
(72092, NULL, 'PTHR13667', NULL, NULL, NULL, NULL, 'HOMOLOC-13', NULL, NULL, 25658, 15),
(72093, NULL, 'PTHR11926:SF774', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 85A1-RELATED', NULL, NULL, NULL, 15),
(72094, NULL, 'PTHR46288:SF30', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH DC1 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(72095, NULL, 'PTHR47568', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37060, 15),
(72096, NULL, 'PTHR10422:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 1', NULL, NULL, NULL, 15),
(72097, NULL, 'PTHR11482:SF56', NULL, NULL, NULL, NULL, 'PROTEIN CBG12014', NULL, NULL, NULL, 15),
(72098, NULL, 'PTHR27004:SF377', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72099, NULL, 'PTHR45687:SF74', NULL, NULL, NULL, NULL, 'OS10G0481100 PROTEIN', NULL, NULL, NULL, 15),
(72100, NULL, 'PTHR11255:SF45', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE EPSILON', NULL, NULL, NULL, 15),
(72101, NULL, 'PTHR47992:SF2', NULL, NULL, NULL, NULL, 'BNAC06G00110D PROTEIN', NULL, NULL, NULL, 15),
(72102, NULL, 'PTHR45719:SF11', NULL, NULL, NULL, NULL, 'OS04G0301700 PROTEIN', NULL, NULL, NULL, 15),
(72103, NULL, 'PTHR31218:SF305', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72104, NULL, 'PTHR24057:SF53', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE GAMMA', NULL, NULL, NULL, 15),
(72105, NULL, 'PTHR33377:SF48', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(72106, NULL, 'PTHR40735:SF3', NULL, NULL, NULL, NULL, 'RNA-EDITING COMPLEX PROTEIN MP42', NULL, NULL, NULL, 15),
(72107, NULL, 'PTHR48011:SF4', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTIONAL COMPLEX SUBUNIT CAF120-RELATED', NULL, NULL, NULL, 15),
(72108, NULL, 'PTHR24349:SF421', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 1', NULL, NULL, NULL, 15),
(72109, NULL, 'PTHR31165:SF59', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 6', NULL, NULL, NULL, 15),
(72110, NULL, 'PTHR23226:SF179', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 713', NULL, NULL, NULL, 15),
(72111, NULL, 'PTHR33348:SF7', NULL, NULL, NULL, NULL, 'DELTA(2)-ISOPENTENYLPYROPHOSPHATE TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(72112, NULL, 'PTHR31442:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LUX', NULL, NULL, NULL, 15),
(72113, NULL, 'PTHR45770', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72114, NULL, 'PTHR34201:SF6', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(72115, NULL, 'PTHR35472:SF3', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER MTCLE05', NULL, NULL, NULL, 15),
(72116, NULL, 'PTHR11453:SF104', NULL, NULL, NULL, NULL, 'BNACNNG08280D PROTEIN', NULL, NULL, NULL, 15),
(72117, NULL, 'PTHR45759', NULL, NULL, NULL, NULL, 'NUCLEOLAR GTP-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(72118, NULL, 'PTHR23319', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(72119, NULL, 'PTHR44229:SF4', NULL, NULL, NULL, NULL, '15-HYDROXYPROSTAGLANDIN DEHYDROGENASE [NAD(+)]', NULL, NULL, NULL, 15),
(72120, NULL, 'PTHR28106', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ATPASE COMPLEX SUBUNIT ATP10', NULL, NULL, 2091, 15),
(72121, NULL, 'PTHR43811:SF2', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 9A', NULL, NULL, NULL, 15),
(72122, NULL, 'PTHR47956:SF46', NULL, NULL, NULL, NULL, 'PREMNASPIRODIENE OXYGENASE-LIKE', NULL, NULL, NULL, 15),
(72123, NULL, 'PTHR46478:SF1', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 3A', NULL, NULL, NULL, 15),
(72124, NULL, 'PTHR10209:SF778', NULL, NULL, NULL, NULL, 'NON-HEME DIOXYGENASE IN MORPHINE SYNTHESIS AMINO-TERMINAL PROTEIN', NULL, NULL, NULL, 15),
(72125, NULL, 'PTHR10366:SF595', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(72126, NULL, 'PTHR43706:SF35', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE B2', NULL, NULL, NULL, 15),
(72127, NULL, 'PTHR33924:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72128, NULL, 'PTHR23263:SF129', NULL, NULL, NULL, NULL, 'LATE CORNIFIED ENVELOPE PROTEIN 1B-RELATED', NULL, NULL, NULL, 15),
(72129, NULL, 'PTHR31992:SF100', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.1', NULL, NULL, NULL, 15),
(72130, NULL, 'PTHR12894:SF30', NULL, NULL, NULL, NULL, 'SI:CH211-266G18.9', NULL, NULL, NULL, 15),
(72131, NULL, 'PTHR12549:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUMONJI (JMJC) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(72132, NULL, 'PTHR21659:SF86', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(72133, NULL, 'PTHR31867:SF198', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(72134, NULL, 'PTHR45744:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72135, NULL, 'PTHR48021:SF21', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 8', NULL, NULL, NULL, 15),
(72136, NULL, 'PTHR43180:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72137, NULL, 'PTHR24349:SF63', NULL, NULL, NULL, NULL, 'MAP KINASE-ACTIVATED PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(72138, NULL, 'PTHR22751', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(72139, NULL, 'PTHR27008:SF278', NULL, NULL, NULL, NULL, 'OS10G0336300 PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72140, NULL, 'PTHR31093', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN GP138-RELATED-RELATED', NULL, NULL, NULL, 15),
(72141, NULL, 'PTHR43522:SF6', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02910)-RELATED', NULL, NULL, NULL, 15),
(72142, NULL, 'PTHR31681:SF34', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING PROTEIN', NULL, NULL, NULL, 15),
(72143, NULL, 'PTHR46850', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 9', NULL, NULL, NULL, 15),
(72144, NULL, 'PTHR13271:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72145, NULL, 'PTHR11143:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L26-1-LIKE', NULL, NULL, NULL, 15),
(72146, NULL, 'PTHR31707:SF307', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(72147, NULL, 'PTHR21228', NULL, NULL, NULL, NULL, 'FAST LEU-RICH DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(72148, NULL, 'PTHR11394:SF55', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 4', NULL, NULL, 26684, 15),
(72149, NULL, 'PTHR11614:SF165', NULL, NULL, NULL, NULL, 'CAFFEOYLSHIKIMATE ESTERASE-LIKE', NULL, NULL, NULL, 15),
(72150, NULL, 'PTHR34674:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(72151, NULL, 'PTHR47851:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72152, NULL, 'PTHR46776:SF10', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR', NULL, NULL, NULL, 15),
(72153, NULL, 'PTHR45775:SF1', NULL, NULL, NULL, NULL, 'RAD, GEM/KIR FAMILY MEMBER 3, ISOFORM E', NULL, NULL, NULL, 15),
(72154, NULL, 'PTHR23055:SF96', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN J-RELATED', NULL, NULL, NULL, 15),
(72155, NULL, 'PTHR33120:SF42', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(72156, NULL, 'PTHR24291', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 4', NULL, NULL, NULL, 15),
(72157, NULL, 'PTHR31358:SF40', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 5 ISOFORM X1', NULL, NULL, NULL, 15),
(72158, NULL, 'PTHR12801:SF121', NULL, NULL, NULL, NULL, 'EXONUCLEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(72159, NULL, 'PTHR15251:SF2', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC BASIC PROTEIN Y 1-RELATED', NULL, NULL, NULL, 15),
(72160, NULL, 'PTHR31195:SF4', NULL, NULL, NULL, NULL, 'KIAA1143', NULL, NULL, NULL, 15),
(72161, NULL, 'PTHR45620:SF23', NULL, NULL, NULL, NULL, 'GLUCAGON-LIKE PEPTIDE 2 RECEPTOR', NULL, NULL, 29349, 15),
(72162, NULL, 'PTHR10519:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72163, NULL, 'PTHR11772:SF43', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING]', NULL, NULL, NULL, 15),
(72164, NULL, 'PTHR46351:SF14', NULL, NULL, NULL, NULL, 'HEVEIN-LIKE PREPROPROTEIN', NULL, NULL, NULL, 15),
(72165, NULL, 'PTHR10694:SF8', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE LID', NULL, NULL, NULL, 15),
(72166, NULL, 'PTHR43490:SF92', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(72167, NULL, 'PTHR42703', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', NULL, NULL, NULL, 15),
(72168, NULL, 'PTHR24221:SF551', NULL, NULL, NULL, NULL, 'BNACNNG20890D PROTEIN', NULL, NULL, NULL, 15),
(72169, NULL, 'PTHR48021:SF53', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE-SENSING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(72170, NULL, 'PTHR34223:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72171, NULL, 'PTHR33021:SF419', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(72172, NULL, 'PTHR23415:SF34', NULL, NULL, NULL, NULL, '60S RIBOSOME SUBUNIT BIOGENESIS PROTEIN NIP7 HOMOLOG', NULL, NULL, NULL, 15),
(72173, NULL, 'PTHR31989:SF350', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72174, NULL, 'PTHR33347:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0091C07.3 PROTEIN', NULL, NULL, NULL, 15),
(72175, NULL, 'PTHR43205:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72176, NULL, 'PTHR12174:SF90', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 3', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72177, NULL, 'PTHR42760:SF80', NULL, NULL, NULL, NULL, 'GLUCOSE 1-DEHYDROGENASE', NULL, NULL, NULL, 15),
(72178, NULL, 'PTHR13068:SF78', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(72179, NULL, 'PTHR46234:SF11', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(72180, NULL, 'PTHR22753:SF23', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 68', NULL, NULL, NULL, 15),
(72181, NULL, 'PTHR47934:SF12', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(72182, NULL, 'PTHR46280:SF2', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY F MEMBER 1', NULL, NULL, NULL, 15),
(72183, NULL, 'PTHR46453', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(72184, NULL, 'PTHR15672:SF28', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED NUCLEIC ACID BINDING R3H PROTEIN', NULL, NULL, NULL, 15),
(72185, NULL, 'PTHR31696:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72186, NULL, 'PTHR31388:SF209', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(72187, NULL, 'PTHR19375:SF444', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(72188, NULL, 'PTHR24056:SF468', NULL, NULL, NULL, NULL, 'BNAC06G07730D PROTEIN', NULL, NULL, NULL, 15),
(72189, NULL, 'PTHR24377:SF685', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 256', NULL, NULL, NULL, 15),
(72190, NULL, 'PTHR11915:SF428', NULL, NULL, NULL, NULL, 'PROTEIN CBG16668', NULL, NULL, NULL, 15),
(72191, NULL, 'PTHR26453:SF658', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(72192, NULL, 'PTHR11559:SF392', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(72193, NULL, 'PTHR11361:SF122', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MSH3', NULL, NULL, NULL, 15),
(72194, NULL, 'PTHR33630:SF12', NULL, NULL, NULL, NULL, 'CUTINASE', NULL, NULL, NULL, 15),
(72195, NULL, 'PTHR13683:SF664', NULL, NULL, NULL, NULL, 'OS05G0203912 PROTEIN', NULL, NULL, NULL, 15),
(72196, NULL, 'PTHR35508:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(72197, NULL, 'PTHR31194:SF59', NULL, NULL, NULL, NULL, 'AP2-EREBP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(72198, NULL, 'PTHR22435', NULL, NULL, NULL, NULL, 'CHROMOSOME 6 OPEN READING FRAME 222', NULL, NULL, 4582, 15),
(72199, NULL, 'PTHR46772:SF4', NULL, NULL, NULL, NULL, 'OS01G0518300 PROTEIN', NULL, NULL, NULL, 15),
(72200, NULL, 'PTHR24106:SF18', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING OLIGOMERIZATION DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(72201, NULL, 'PTHR11477:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN 2', NULL, NULL, NULL, 15),
(72202, NULL, 'PTHR11753:SF10', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT SIGMA-2', NULL, NULL, NULL, 15),
(72203, NULL, 'PTHR45974:SF55', NULL, NULL, NULL, NULL, 'BNAA09G17950D PROTEIN', NULL, NULL, NULL, 15),
(72204, NULL, 'PTHR15904:SF19', NULL, NULL, NULL, NULL, 'PROTEIN FAM13C', NULL, NULL, NULL, 15),
(72205, NULL, 'PTHR34542:SF8', NULL, NULL, NULL, NULL, 'BNAA07G24650D PROTEIN', NULL, NULL, NULL, 15),
(72206, NULL, 'PTHR11875:SF33', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(72207, NULL, 'PTHR14379:SF64', NULL, NULL, NULL, NULL, 'BNAANNG24860D PROTEIN', NULL, NULL, NULL, 15),
(72208, NULL, 'PTHR10328:SF2', NULL, NULL, NULL, NULL, 'MAX-LIKE', NULL, NULL, NULL, 15),
(72209, NULL, 'PTHR21072:SF13', NULL, NULL, NULL, NULL, 'GPI TRANSAMIDASE COMPONENT PIG-S', NULL, NULL, NULL, 15),
(72210, NULL, 'PTHR10547', NULL, NULL, NULL, NULL, 'SEMENOGELIN/SEMINAL VESICLE SECRETORY PROTEIN', NULL, NULL, NULL, 15),
(72211, NULL, 'PTHR13289:SF6', NULL, NULL, NULL, NULL, 'MACOILIN', NULL, NULL, NULL, 15),
(72212, NULL, 'PTHR45647:SF106', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 35-LIKE', NULL, NULL, NULL, 15),
(72213, NULL, 'PTHR24033:SF181', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72214, NULL, 'PTHR18916:SF44', NULL, NULL, NULL, NULL, 'CAP-GLY DOMAIN-CONTAINING LINKER PROTEIN 1', NULL, NULL, NULL, 15),
(72215, NULL, 'PTHR22748:SF10', NULL, NULL, NULL, NULL, 'DNA-(APURINIC OR APYRIMIDINIC SITE) LYASE', NULL, NULL, NULL, 15),
(72216, NULL, 'PTHR10795:SF548', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3.11', NULL, NULL, NULL, 15),
(72217, NULL, 'PTHR47985:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL7-RELATED', NULL, NULL, NULL, 15),
(72218, NULL, 'PTHR10983:SF15', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE YIHG-RELATED', NULL, NULL, NULL, 15),
(72219, NULL, 'PTHR11689', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC FAMILY MEMBER', NULL, NULL, NULL, 15),
(72220, NULL, 'PTHR22834:SF19', NULL, NULL, NULL, NULL, 'DYNAMIN-BINDING PROTEIN', NULL, NULL, 15050, 15),
(72221, NULL, 'PTHR30031:SF16', NULL, NULL, NULL, NULL, 'BNAC02G43920D PROTEIN', NULL, NULL, NULL, 15),
(72222, NULL, 'PTHR31301:SF161', NULL, NULL, NULL, NULL, 'BNAA03G19070D PROTEIN', NULL, NULL, NULL, 15),
(72223, NULL, 'PTHR43704:SF1', NULL, NULL, NULL, NULL, 'BSR5907 PROTEIN', NULL, NULL, NULL, 15),
(72224, NULL, 'PTHR46328:SF13', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(72225, NULL, 'PTHR23155:SF1055', NULL, NULL, NULL, NULL, 'OS05G0414200 PROTEIN', NULL, NULL, NULL, 15),
(72226, NULL, 'PTHR45947:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, GROUP 1 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(72227, NULL, 'PTHR11926:SF889', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 85A3', NULL, NULL, NULL, 15),
(72228, NULL, 'PTHR11232:SF64', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR ADAPTOR PROTEIN 1A-RELATED', NULL, NULL, NULL, 15),
(72229, NULL, 'PTHR47968:SF32', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7J', NULL, NULL, NULL, 15),
(72230, NULL, 'PTHR33317:SF1', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(72231, NULL, 'PTHR10127:SF841', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(72232, NULL, 'PTHR23507:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72233, NULL, 'PTHR11685:SF334', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(72234, NULL, 'PTHR24082:SF42', NULL, NULL, NULL, NULL, 'THYROID HORMONE RECEPTOR ALPHA', NULL, NULL, NULL, 15),
(72235, NULL, 'PTHR27005:SF312', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72236, NULL, 'PTHR48052:SF4', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERL1 ISOFORM X1', NULL, NULL, NULL, 15),
(72237, NULL, 'PTHR48005:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(72238, NULL, 'PTHR23155:SF978', NULL, NULL, NULL, NULL, 'BLIGHT RESISTANCE PROTEIN RGA1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72239, NULL, 'PTHR14179:SF13', NULL, NULL, NULL, NULL, 'SUBMAXILLARY GLAND ANDROGEN-REGULATED PROTEIN 3B', NULL, NULL, NULL, 15),
(72240, NULL, 'PTHR42930', NULL, NULL, NULL, NULL, 'PHOSPHATE-SPECIFIC TRANSPORT SYSTEM ACCESSORY PROTEIN PHOU', NULL, NULL, 22991, 15),
(72241, NULL, 'PTHR14233:SF12', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER F2', NULL, NULL, NULL, 15),
(72242, NULL, 'PTHR47867:SF2', NULL, NULL, NULL, NULL, 'BNAA05G35570D PROTEIN', NULL, NULL, NULL, 15),
(72243, NULL, 'PTHR43874:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72244, NULL, 'PTHR46745:SF1', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 1', NULL, NULL, NULL, 15),
(72245, NULL, 'PTHR31621:SF49', NULL, NULL, NULL, NULL, 'BNAA01G08420D PROTEIN', NULL, NULL, NULL, 15),
(72246, NULL, 'PTHR31471:SF67', NULL, NULL, NULL, NULL, 'REMORIN 4.1', NULL, NULL, NULL, 15),
(72247, NULL, 'PTHR45978:SF11', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(72248, NULL, 'PTHR47990:SF102', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE DAO', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72249, NULL, 'PTHR24223:SF342', NULL, NULL, NULL, NULL, 'PROTEIN CBG08354', NULL, NULL, NULL, 15),
(72250, NULL, 'PTHR12317:SF72', NULL, NULL, NULL, NULL, 'BNAC07G32270D PROTEIN', NULL, NULL, NULL, 15),
(72251, NULL, 'PTHR24376:SF188', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 33A', NULL, NULL, NULL, 15),
(72252, NULL, 'PTHR19890', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR', NULL, NULL, NULL, 15),
(72253, NULL, 'PTHR33601:SF20', NULL, NULL, NULL, NULL, 'PROTEIN LITTLE ZIPPER 3', NULL, NULL, NULL, 15),
(72254, NULL, 'PTHR15549:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72255, NULL, 'PTHR43661', NULL, NULL, NULL, NULL, 'D-XYLONATE DEHYDRATASE', NULL, NULL, NULL, 15),
(72256, NULL, 'PTHR22802:SF392', NULL, NULL, NULL, NULL, 'REGENERATING FAMILY MEMBER 3 GAMMA', NULL, NULL, NULL, 15),
(72257, NULL, 'PTHR19423:SF1', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(72258, NULL, 'PTHR23246:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72259, NULL, 'PTHR11849:SF292', NULL, NULL, NULL, NULL, 'GA-BINDING PROTEIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(72260, NULL, 'PTHR20952:SF4', NULL, NULL, NULL, NULL, 'RETICULOPHAGY REGULATOR 2', NULL, NULL, NULL, 15),
(72261, NULL, 'PTHR31282:SF126', NULL, NULL, NULL, NULL, 'BNAA01G13720D PROTEIN', NULL, NULL, NULL, 15),
(72262, NULL, 'PTHR46058:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BREVIS RADIX (BRX) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(72263, NULL, 'PTHR19430:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72264, NULL, 'PTHR31062:SF205', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(72265, NULL, 'PTHR31155:SF11', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(72266, NULL, 'PTHR13042', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5', NULL, NULL, 29383, 15),
(72267, NULL, 'PTHR43853:SF9', NULL, NULL, NULL, NULL, 'POT1-2P', NULL, NULL, NULL, 15),
(72268, NULL, 'PTHR43620:SF3', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL6-RELATED', NULL, NULL, NULL, 15),
(72269, NULL, 'PTHR11662:SF428', NULL, NULL, NULL, NULL, 'PROTEIN CBG10101', NULL, NULL, NULL, 15),
(72270, NULL, 'PTHR45707:SF25', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72271, NULL, 'PTHR15204:SF3', NULL, NULL, NULL, NULL, 'SCYTHE PROTEIN UBIQUITIN-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(72272, NULL, 'PTHR34049:SF12', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(72273, NULL, 'PTHR11732:SF471', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE [NADP(+)] A-RELATED', NULL, NULL, NULL, 15),
(72274, NULL, 'PTHR37739:SF8', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12D', NULL, NULL, NULL, 15),
(72275, NULL, 'PTHR35441:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72276, NULL, 'PTHR31659:SF4', NULL, NULL, NULL, NULL, 'UPF0503 PROTEIN CHLOROPLASTIC', NULL, NULL, NULL, 15),
(72277, NULL, 'PTHR24020:SF29', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(VI) CHAIN', NULL, NULL, NULL, 15),
(72278, NULL, 'PTHR36679', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE S', NULL, NULL, 27066, 15),
(72279, NULL, 'PTHR36203:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE IIA COMPONENT SGCA-RELATED', NULL, NULL, NULL, 15),
(72280, NULL, 'PTHR21686', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29597, 15),
(72281, NULL, 'PTHR34349:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 32', NULL, NULL, NULL, 15),
(72282, NULL, 'PTHR33254:SF20', NULL, NULL, NULL, NULL, '4-HYDROXY-4-METHYL-2-OXOGLUTARATE ALDOLASE', NULL, NULL, NULL, 15),
(72283, NULL, 'PTHR34780:SF6', NULL, NULL, NULL, NULL, 'BNAANNG06500D PROTEIN', NULL, NULL, NULL, 15),
(72284, NULL, 'PTHR19288:SF74', NULL, NULL, NULL, NULL, 'OS02G0816100 PROTEIN', NULL, NULL, NULL, 15),
(72285, NULL, 'PTHR22941:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72286, NULL, 'PTHR13371', NULL, NULL, NULL, NULL, 'GLYCINE-, GLUTAMATE-, THIENYLCYCLOHEXYLPIPERIDINE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(72287, NULL, 'PTHR13832:SF624', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 4-RELATED', NULL, NULL, NULL, 15),
(72288, NULL, 'PTHR24178:SF17', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(72289, NULL, 'PTHR47945:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY FERULATE HYDROXYLASE', NULL, NULL, NULL, 15),
(72290, NULL, 'PTHR10641:SF1285', NULL, NULL, NULL, NULL, 'BNAA09G06090D PROTEIN', NULL, NULL, NULL, 15),
(72291, NULL, 'PTHR13939:SF0', NULL, NULL, NULL, NULL, 'NICOTINAMIDE-NUCLEOTIDE AMIDOHYDROLASE PNCC', NULL, NULL, NULL, 15),
(72292, NULL, 'PTHR14399:SF5', NULL, NULL, NULL, NULL, 'CELL JUNCTION PROTEIN VAB-9', NULL, NULL, NULL, 15),
(72293, NULL, 'PTHR47640:SF50', NULL, NULL, NULL, NULL, 'BNAANNG22220D PROTEIN', NULL, NULL, NULL, 15),
(72294, NULL, 'PTHR14932', NULL, NULL, NULL, NULL, 'RAS GTPASE-RELATED', NULL, NULL, 31814, 15),
(72295, NULL, 'PTHR21325:SF31', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B1, MEMBRANE-ASSOCIATED', NULL, NULL, NULL, 15),
(72296, NULL, 'PTHR43591:SF31', NULL, NULL, NULL, NULL, 'LAEA-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01930)-RELATED', NULL, NULL, NULL, 15),
(72297, NULL, 'PTHR33389:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72298, NULL, 'PTHR37953', NULL, NULL, NULL, NULL, 'UPF0127 PROTEIN MJ1496', NULL, NULL, 6411, 15),
(72299, NULL, 'PTHR11552:SF220', NULL, NULL, NULL, NULL, 'RE36204P-RELATED', NULL, NULL, NULL, 15),
(72300, NULL, 'PTHR33420', NULL, NULL, NULL, NULL, 'FIMBRIAL SUBUNIT ELFA-RELATED', NULL, NULL, NULL, 15),
(72301, NULL, 'PTHR47435:SF2', NULL, NULL, NULL, NULL, 'EPITHIOSPECIFIER PROTEIN', NULL, NULL, NULL, 15),
(72302, NULL, 'PTHR10177:SF426', NULL, NULL, NULL, NULL, 'CYCLIN B2', NULL, NULL, NULL, 15),
(72303, NULL, 'PTHR26312:SF73', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(72304, NULL, 'PTHR48047:SF4', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 86A1', NULL, NULL, NULL, 15),
(72305, NULL, 'PTHR24180:SF15', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 2C', NULL, NULL, NULL, 15),
(72306, NULL, 'PTHR43895:SF30', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 11', NULL, NULL, NULL, 15),
(72307, NULL, 'PTHR34682:SF14', NULL, NULL, NULL, NULL, 'BNAC03G64680D PROTEIN', NULL, NULL, NULL, 15),
(72308, NULL, 'PTHR23327:SF46', NULL, NULL, NULL, NULL, '43KDA POSTSYNAPTIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(72309, NULL, 'PTHR30536:SF5', NULL, NULL, NULL, NULL, 'ALTRONATE DEHYDRATASE', NULL, NULL, NULL, 15),
(72310, NULL, 'PTHR12411:SF786', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72311, NULL, 'PTHR12411:SF329', NULL, NULL, NULL, NULL, 'PROTEIN CBG17499', NULL, NULL, NULL, 15),
(72312, NULL, 'PTHR11208:SF124', NULL, NULL, NULL, NULL, 'BRANCHPOINT-BRIDGING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(72313, NULL, 'PTHR47926:SF229', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(72314, NULL, 'PTHR31132:SF17', NULL, NULL, NULL, NULL, 'BNAANNG04510D PROTEIN', NULL, NULL, NULL, 15),
(72315, NULL, 'PTHR24177:SF147', NULL, NULL, NULL, NULL, 'OS07G0492966 PROTEIN', NULL, NULL, NULL, 15),
(72316, NULL, 'PTHR45153:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 16', NULL, NULL, NULL, 15),
(72317, NULL, 'PTHR23326:SF6', NULL, NULL, NULL, NULL, 'NOT TRANSCRIPTION COMPLEX SUBUNIT VIP2-RELATED', NULL, NULL, NULL, 15),
(72318, NULL, 'PTHR33193:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72319, NULL, 'PTHR43321:SF6', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(72320, NULL, 'PTHR24068:SF293', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 28-LIKE', NULL, NULL, NULL, 15),
(72321, NULL, 'PTHR35305', NULL, NULL, NULL, NULL, 'FAD-BINDING PROTEIN', NULL, NULL, NULL, 15),
(72322, NULL, 'PTHR45761:SF2', NULL, NULL, NULL, NULL, 'EXTENDED SYNAPTOTAGMIN-2', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72323, NULL, 'PTHR18953:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72324, NULL, 'PTHR45614:SF62', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(72325, NULL, 'PTHR31900:SF13', NULL, NULL, NULL, NULL, 'BNAC08G09700D PROTEIN', NULL, NULL, NULL, 15),
(72326, NULL, 'PTHR12977:SF12', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE KMT5B', NULL, NULL, NULL, 15),
(72327, NULL, 'PTHR10309:SF9', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE 1', NULL, NULL, NULL, 15),
(72328, NULL, 'PTHR31766:SF6', NULL, NULL, NULL, NULL, 'TRAM, LAG1 AND CLN8 (TLC) LIPID-SENSING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(72329, NULL, 'PTHR43655:SF14', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RESPIRATORY CHAIN COMPLEXES ASSEMBLY PROTEIN YTA12', NULL, NULL, NULL, 15),
(72330, NULL, 'PTHR11040:SF164', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 12-RELATED', NULL, NULL, NULL, 15),
(72331, NULL, 'PTHR45621:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72332, NULL, 'PTHR42799:SF23', NULL, NULL, NULL, NULL, 'METHIONINE SULFOXIDE REDUCTASE A', NULL, NULL, NULL, 15),
(72333, NULL, 'PTHR47883:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72334, NULL, 'PTHR43490', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(72335, NULL, 'PTHR43422:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72336, NULL, 'PTHR46173:SF1', NULL, NULL, NULL, NULL, 'CCA TRNA NUCLEOTIDYLTRANSFERASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(72337, NULL, 'PTHR23113:SF249', NULL, NULL, NULL, NULL, 'DIZZY ISOFORM AII', NULL, NULL, NULL, 15),
(72338, NULL, 'PTHR47998:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TRY-LIKE', NULL, NULL, NULL, 15),
(72339, NULL, 'PTHR37351', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 17', NULL, NULL, 21991, 15),
(72340, NULL, 'PTHR34660', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN X', NULL, NULL, NULL, 15),
(72341, NULL, 'PTHR34094', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72342, NULL, 'PTHR31896:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72343, NULL, 'PTHR11601:SF57', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURASE', NULL, NULL, NULL, 15),
(72344, NULL, 'PTHR46330:SF6', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 10B', NULL, NULL, NULL, 15),
(72345, NULL, 'PTHR31901:SF45', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.5', NULL, NULL, NULL, 15),
(72346, NULL, 'PTHR18934:SF113', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE TDRD9', NULL, NULL, NULL, 15),
(72347, NULL, 'PTHR23152:SF12', NULL, NULL, NULL, NULL, 'DEHYDROGENASE E1 COMPONENT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(72348, NULL, 'PTHR32060:SF26', NULL, NULL, NULL, NULL, 'TAIL-SPECIFIC PROTEASE', NULL, NULL, NULL, 15),
(72349, NULL, 'PTHR47754:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(72350, NULL, 'PTHR39473', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72351, NULL, 'PTHR31232:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72352, NULL, 'PTHR23426:SF27', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(72353, NULL, 'PTHR30289:SF8', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(72354, NULL, 'PTHR14063:SF1', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(72355, NULL, 'PTHR47992:SF123', NULL, NULL, NULL, NULL, 'PHOSPHATASE, MG2+/MN2+-DEPENDENT, 1NB (PUTATIVE)-RELATED', NULL, NULL, NULL, 15),
(72356, NULL, 'PTHR16207:SF10', NULL, NULL, NULL, NULL, 'PROTEIN TASOR 2', NULL, NULL, NULL, 15),
(72357, NULL, 'PTHR46468', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 8', NULL, NULL, 38530, 15),
(72358, NULL, 'PTHR45618:SF12', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 1', NULL, NULL, NULL, 15),
(72359, NULL, 'PTHR19303:SF18', NULL, NULL, NULL, NULL, 'TIGGER TRANSPOSABLE ELEMENT-DERIVED PROTEIN 4', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72360, NULL, 'PTHR13825:SF6', NULL, NULL, NULL, NULL, 'SMALL', NULL, NULL, NULL, 15),
(72361, NULL, 'PTHR32286:SF9', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G6D', NULL, NULL, NULL, 15),
(72362, NULL, 'PTHR11931:SF11', NULL, NULL, NULL, NULL, 'BISPHOSPHOGLYCERATE MUTASE', NULL, NULL, NULL, 15),
(72363, NULL, 'PTHR31549:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72364, NULL, 'PTHR42861:SF69', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(72365, NULL, 'PTHR12546', NULL, NULL, NULL, NULL, 'FER-1-LIKE', NULL, NULL, 32991, 15),
(72366, NULL, 'PTHR47620', NULL, NULL, NULL, NULL, 'CHROMOSOME 2 OPEN READING FRAME 66', NULL, NULL, 28090, 15),
(72367, NULL, 'PTHR30620:SF103', NULL, NULL, NULL, NULL, 'BNAA03G01500D PROTEIN', NULL, NULL, NULL, 15),
(72368, NULL, 'PTHR12447:SF22', NULL, NULL, NULL, NULL, 'BNAA08G28070D PROTEIN', NULL, NULL, NULL, 15),
(72369, NULL, 'PTHR33228:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72370, NULL, 'PTHR45793:SF19', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN OTX1 B-RELATED', NULL, NULL, NULL, 15),
(72371, NULL, 'PTHR43636:SF5', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR G, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(72372, NULL, 'PTHR24149', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(72373, NULL, 'PTHR12153:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72374, NULL, 'PTHR46987:SF1', NULL, NULL, NULL, NULL, 'R-SPONDIN 3', NULL, NULL, 36501, 15),
(72375, NULL, 'PTHR43413:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PTR2', NULL, NULL, NULL, 15),
(72376, NULL, 'PTHR12922', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS PROTEIN', NULL, NULL, 1294, 15),
(72377, NULL, 'PTHR30461', NULL, NULL, NULL, NULL, 'DNA-INVERTASE FROM LAMBDOID PROPHAGE', NULL, NULL, NULL, 15),
(72378, NULL, 'PTHR31425:SF15', NULL, NULL, NULL, NULL, 'FT-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(72379, NULL, 'PTHR34965:SF1', NULL, NULL, NULL, NULL, 'OS07G0118300 PROTEIN', NULL, NULL, NULL, 15),
(72380, NULL, 'PTHR12321:SF129', NULL, NULL, NULL, NULL, 'BNAA09G04340D PROTEIN', NULL, NULL, NULL, 15),
(72381, NULL, 'PTHR36411:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72382, NULL, 'PTHR13832:SF778', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-LIKE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(72383, NULL, 'PTHR11486:SF28', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 9', NULL, NULL, 23057, 15),
(72384, NULL, 'PTHR43557:SF9', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR MITOCHONDRIA-ASSOCIATED 5', NULL, NULL, NULL, 15),
(72385, NULL, 'PTHR31945:SF48', NULL, NULL, NULL, NULL, 'OS12G0632600 PROTEIN', NULL, NULL, NULL, 15),
(72386, NULL, 'PTHR47216:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72387, NULL, 'PTHR10666:SF342', NULL, NULL, NULL, NULL, 'UBIQUITIN-60S RIBOSOMAL PROTEIN L40', NULL, NULL, NULL, 15),
(72388, NULL, 'PTHR12385:SF91', NULL, NULL, NULL, NULL, 'PLASMA-MEMBRANE CHOLINE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(72389, NULL, 'PTHR31238:SF142', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 9-3', NULL, NULL, NULL, 15),
(72390, NULL, 'PTHR22762:SF148', NULL, NULL, NULL, NULL, 'ALPHA-XYLOSIDASE 2-RELATED', NULL, NULL, NULL, 15),
(72391, NULL, 'PTHR12631:SF8', NULL, NULL, NULL, NULL, 'ALPHA-L-IDURONIDASE', NULL, NULL, NULL, 15),
(72392, NULL, 'PTHR33784:SF9', NULL, NULL, NULL, NULL, 'MYND FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(72393, NULL, 'PTHR24123:SF110', NULL, NULL, NULL, NULL, 'ANKYRIN 2A, NEURONAL', NULL, NULL, NULL, 15),
(72394, NULL, 'PTHR11409:SF47', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE-RELATED GROWTH FACTOR C', NULL, NULL, NULL, 15),
(72395, NULL, 'PTHR32246:SF120', NULL, NULL, NULL, NULL, 'BNAA06G37790D PROTEIN', NULL, NULL, NULL, 15),
(72396, NULL, 'PTHR42885:SF2', NULL, NULL, NULL, NULL, 'HISTIDINOL-PHOSPHATE AMINOTRANSFERASE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72397, NULL, 'PTHR46632:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINA-LIKE 2', NULL, NULL, NULL, 15),
(72398, NULL, 'PTHR34781:SF1', NULL, NULL, NULL, NULL, 'OS01G0923000 PROTEIN', NULL, NULL, NULL, 15),
(72399, NULL, 'PTHR11707:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72400, NULL, 'PTHR27007:SF247', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', NULL, NULL, NULL, 15),
(72401, NULL, 'PTHR19969:SF20', NULL, NULL, NULL, NULL, 'CRK-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72402, NULL, 'PTHR10768:SF32', NULL, NULL, NULL, NULL, 'BNAA01G28230D PROTEIN', NULL, NULL, NULL, 15),
(72403, NULL, 'PTHR21564', NULL, NULL, NULL, NULL, 'BRAKELESS PROTEIN', NULL, NULL, 34711, 15),
(72404, NULL, 'PTHR30548:SF4', NULL, NULL, NULL, NULL, 'SUBUNIT OF OXYGEN-SENSITIVE 2-HYDROXYISOCAPROYL-COA DEHYDRATASE', NULL, NULL, NULL, 15),
(72405, NULL, 'PTHR31045:SF4', NULL, NULL, NULL, NULL, 'TERPENOID SYNTHASE 17-RELATED', NULL, NULL, NULL, 15),
(72406, NULL, 'PTHR35161:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72407, NULL, 'PTHR43874:SF89', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72408, NULL, 'PTHR23024:SF257', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 12 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(72409, NULL, 'PTHR10013:SF0', NULL, NULL, NULL, NULL, 'GENERAL VESICULAR TRANSPORT FACTOR P115', NULL, NULL, NULL, 15),
(72410, NULL, 'PTHR10165:SF144', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 2', NULL, NULL, NULL, 15),
(72411, NULL, 'PTHR31713:SF55', NULL, NULL, NULL, NULL, 'OS11G0663100 PROTEIN', NULL, NULL, NULL, 15),
(72412, NULL, 'PTHR37610:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72413, NULL, 'PTHR47984:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72414, NULL, 'PTHR24414:SF147', NULL, NULL, NULL, NULL, 'BNACNNG44990D PROTEIN', NULL, NULL, NULL, 15),
(72415, NULL, 'PTHR36747:SF1', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(72416, NULL, 'PTHR46123:SF1', NULL, NULL, NULL, NULL, 'DOUBLE HOMEOBOX PROTEIN A', NULL, NULL, NULL, 15),
(72417, NULL, 'PTHR16299', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN KIZUNA', NULL, NULL, 27529, 15),
(72418, NULL, 'PTHR22941:SF51', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(72419, NULL, 'PTHR15562:SF0', NULL, NULL, NULL, NULL, 'TP53-TARGET GENE 5 PROTEIN', NULL, NULL, NULL, 15),
(72420, NULL, 'PTHR32178', NULL, NULL, NULL, NULL, 'FAM187', NULL, NULL, 29224, 15),
(72421, NULL, 'PTHR10502:SF185', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(72422, NULL, 'PTHR27000:SF439', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 7', NULL, NULL, NULL, 15),
(72423, NULL, 'PTHR11685:SF360', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72424, NULL, 'PTHR46056:SF15', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE FAO1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72425, NULL, 'PTHR20838:SF0', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 86', NULL, NULL, NULL, 15),
(72426, NULL, 'PTHR13271:SF112', NULL, NULL, NULL, NULL, 'N-LYSINE METHYLTRANSFERASE SETD6', NULL, NULL, NULL, 15),
(72427, NULL, 'PTHR24345', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK', NULL, NULL, NULL, 15),
(72428, NULL, 'PTHR43759', NULL, NULL, NULL, NULL, 'TREHALOSE TRANSPORT SYSTEM PERMEASE PROTEIN SUGA', NULL, NULL, NULL, 15),
(72429, NULL, 'PTHR40633:SF2', NULL, NULL, NULL, NULL, 'GPI ANCHORED SERINE-THREONINE RICH PROTEIN (AFU_ORTHOLOGUE AFUA_1G03630)', NULL, NULL, NULL, 15),
(72430, NULL, 'PTHR12021:SF5', NULL, NULL, NULL, NULL, 'THYMOSIN BETA', NULL, NULL, NULL, 15),
(72431, NULL, 'PTHR33083:SF16', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(72432, NULL, 'PTHR32468:SF17', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 4', NULL, NULL, NULL, 15),
(72433, NULL, 'PTHR15452', NULL, NULL, NULL, NULL, 'LEUKOCYTE-SPECIFIC TRANSCRIPT 1 PROTEIN', NULL, NULL, 1440, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72434, NULL, 'PTHR43766', NULL, NULL, NULL, NULL, 'TRYPTOPHAN--TRNA LIGASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(72435, NULL, 'PTHR35038:SF5', NULL, NULL, NULL, NULL, 'OCTAHEME TETRATHIONATE REDUCTASE OTR', NULL, NULL, NULL, 15),
(72436, NULL, 'PTHR33447:SF10', NULL, NULL, NULL, NULL, 'GLUTATHIONE GAMMA-GLUTAMYLCYSTEINYLTRANSFERASE', NULL, NULL, NULL, 15),
(72437, NULL, 'PTHR33202', NULL, NULL, NULL, NULL, 'ZINC UPTAKE REGULATION PROTEIN', NULL, NULL, 680, 15),
(72438, NULL, 'PTHR22891:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72439, NULL, 'PTHR10502:SF211', NULL, NULL, NULL, NULL, 'ANNEXIN D4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(72440, NULL, 'PTHR46045:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(72441, NULL, 'PTHR31342:SF39', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(72442, NULL, 'PTHR24115:SF408', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72443, NULL, 'PTHR22765:SF197', NULL, NULL, NULL, NULL, 'OS12G0115600 PROTEIN', NULL, NULL, NULL, 15),
(72444, NULL, 'PTHR32401:SF24', NULL, NULL, NULL, NULL, 'LECTIN', NULL, NULL, NULL, 15),
(72445, NULL, 'PTHR44279:SF2', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID (11-BETA) DEHYDROGENASE 1-LIKE B-RELATED', NULL, NULL, NULL, 15),
(72446, NULL, 'PTHR43791:SF32', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(72447, NULL, 'PTHR36409', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(72448, NULL, 'PTHR33289:SF2', NULL, NULL, NULL, NULL, 'ANCHORAGE SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(72449, NULL, 'PTHR24637:SF303', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(72450, NULL, 'PTHR31509:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72451, NULL, 'PTHR10072:SF41', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY 1 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(72452, NULL, 'PTHR10794:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72453, NULL, 'PTHR33781:SF11', NULL, NULL, NULL, NULL, 'BNAA02G26640D PROTEIN', NULL, NULL, NULL, 15),
(72454, NULL, 'PTHR33122:SF55', NULL, NULL, NULL, NULL, 'BNAA10G09640D PROTEIN', NULL, NULL, NULL, 15),
(72455, NULL, 'PTHR31001:SF59', NULL, NULL, NULL, NULL, 'COL-21', NULL, NULL, NULL, 15),
(72456, NULL, 'PTHR11062:SF128', NULL, NULL, NULL, NULL, 'EXOSTOSIN-2', NULL, NULL, 24985, 15),
(72457, NULL, 'PTHR13301:SF175', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE H1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72458, NULL, 'PTHR45650:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72459, NULL, 'PTHR35158', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE CN725425', NULL, NULL, NULL, 15),
(72460, NULL, 'PTHR24115:SF826', NULL, NULL, NULL, NULL, 'KINESIN MOTOR DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(72461, NULL, 'PTHR33829:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0044M19.10 PROTEIN', NULL, NULL, NULL, 15),
(72462, NULL, 'PTHR43341:SF27', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE ROCC', NULL, NULL, NULL, 15),
(72463, NULL, 'PTHR11471:SF28', NULL, NULL, NULL, NULL, 'DEATH LIGAND 1B-RELATED', NULL, NULL, NULL, 15),
(72464, NULL, 'PTHR24349:SF315', NULL, NULL, NULL, NULL, 'CALCIUM AND CALCIUM/CALMODULIN-DEPENDENT SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(72465, NULL, 'PTHR36375:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(72466, NULL, 'PTHR33172:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72467, NULL, 'PTHR35175:SF2', NULL, NULL, NULL, NULL, 'FE-S PROTEIN', NULL, NULL, NULL, 15),
(72468, NULL, 'PTHR11537:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72469, NULL, 'PTHR13935:SF119', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX', NULL, NULL, NULL, 15),
(72470, NULL, 'PTHR31818:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72471, NULL, 'PTHR43170', NULL, NULL, NULL, NULL, 'GMP REDUCTASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72472, NULL, 'PTHR10334:SF213', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN 1', NULL, NULL, NULL, 15),
(72473, NULL, 'PTHR11011:SF82', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 8-RELATED', NULL, NULL, NULL, 15),
(72474, NULL, 'PTHR12812:SF7', NULL, NULL, NULL, NULL, 'HEPARAN-SULFATE 6-O-SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(72475, NULL, 'PTHR27002:SF852', NULL, NULL, NULL, NULL, 'OS05G0501400 PROTEIN', NULL, NULL, NULL, 15),
(72476, NULL, 'PTHR23268:SF75', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 13', NULL, NULL, NULL, 15),
(72477, NULL, 'PTHR47074:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72478, NULL, 'PTHR24058:SF53', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-INTERACTING PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(72479, NULL, 'PTHR21558:SF13', NULL, NULL, NULL, NULL, 'MCG129800-RELATED', NULL, NULL, NULL, 15),
(72480, NULL, 'PTHR23235:SF54', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE EGR2', NULL, NULL, NULL, 15),
(72481, NULL, 'PTHR11706:SF96', NULL, NULL, NULL, NULL, 'NRAMP METAL ION TRANSPORTER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(72482, NULL, 'PTHR10291:SF27', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(72483, NULL, 'PTHR22298:SF143', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(72484, NULL, 'PTHR42047:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03560)-RELATED', NULL, NULL, NULL, 15),
(72485, NULL, 'PTHR22980:SF0', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN S', NULL, NULL, NULL, 15),
(72486, NULL, 'PTHR47226:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72487, NULL, 'PTHR27007:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72488, NULL, 'PTHR24115:SF865', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14S', NULL, NULL, NULL, 15),
(72489, NULL, 'PTHR31391:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72490, NULL, 'PTHR45621:SF164', NULL, NULL, NULL, NULL, 'BNAC04G05790D PROTEIN', NULL, NULL, NULL, 15),
(72491, NULL, 'PTHR16517:SF105', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(72492, NULL, 'PTHR24032:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72493, NULL, 'PTHR44750:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(72494, NULL, 'PTHR45768:SF40', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL63', NULL, NULL, NULL, 15),
(72495, NULL, 'PTHR22930:SF210', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(72496, NULL, 'PTHR31131:SF3', NULL, NULL, NULL, NULL, 'CYTOSOLIC ARGININE SENSOR FOR MTORC1 SUBUNIT 1', NULL, NULL, 25071, 15),
(72497, NULL, 'PTHR24281:SF174', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81E8-LIKE', NULL, NULL, NULL, 15),
(72498, NULL, 'PTHR12441:SF11', NULL, NULL, NULL, NULL, 'ATP SYNTHASE-COUPLING FACTOR 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(72499, NULL, 'PTHR43730:SF1', NULL, NULL, NULL, NULL, 'BETA-MANNOSIDASE', NULL, NULL, NULL, 15),
(72500, NULL, 'PTHR40891', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72501, NULL, 'PTHR10572:SF40', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', NULL, NULL, NULL, 15),
(72502, NULL, 'PTHR13878:SF53', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 6', NULL, NULL, NULL, 15),
(72503, NULL, 'PTHR11571:SF243', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE A2', NULL, NULL, NULL, 15),
(72504, NULL, 'PTHR13866:SF26', NULL, NULL, NULL, NULL, 'SPARC', NULL, NULL, NULL, 15),
(72505, NULL, 'PTHR12620:SF11', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF 35 KDA SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(72506, NULL, 'PTHR36327:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(72507, NULL, 'PTHR43572:SF50', NULL, NULL, NULL, NULL, 'CLP, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(72508, NULL, 'PTHR23430:SF296', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72509, NULL, 'PTHR46125', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 28', NULL, NULL, 38481, 15),
(72510, NULL, 'PTHR38218:SF13', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(72511, NULL, 'PTHR11089:SF9', NULL, NULL, NULL, NULL, 'NUCLEOLAR GTP-BINDING PROTEIN 2', NULL, NULL, 14709, 15),
(72512, NULL, 'PTHR13723:SF16', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN TYPE-1 DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(72513, NULL, 'PTHR48018:SF46', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1008', NULL, NULL, NULL, 15),
(72514, NULL, 'PTHR31125:SF10', NULL, NULL, NULL, NULL, 'BNAC06G31130D PROTEIN', NULL, NULL, NULL, 15),
(72515, NULL, 'PTHR12316:SF1', NULL, NULL, NULL, NULL, 'NINJURIN B', NULL, NULL, NULL, 15),
(72516, NULL, 'PTHR32285:SF202', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 35', NULL, NULL, NULL, 15),
(72517, NULL, 'PTHR24320:SF142', NULL, NULL, NULL, NULL, 'GH10714P-RELATED', NULL, NULL, NULL, 15),
(72518, NULL, 'PTHR43874:SF128', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR3', NULL, NULL, NULL, 15),
(72519, NULL, 'PTHR11449:SF23', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30', NULL, NULL, NULL, 15),
(72520, NULL, 'PTHR11339:SF228', NULL, NULL, NULL, NULL, 'OTOGELIN', NULL, NULL, 22293, 15),
(72521, NULL, 'PTHR42893:SF9', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 47, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(72522, NULL, 'PTHR48041:SF3', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(72523, NULL, 'PTHR10795:SF609', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', NULL, NULL, NULL, 15),
(72524, NULL, 'PTHR10113:SF34', NULL, NULL, NULL, NULL, 'EUKARYOTIC RELEASE FACTOR 1-3-RELATED', NULL, NULL, NULL, 15),
(72525, NULL, 'PTHR42336:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72526, NULL, 'PTHR33286:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72527, NULL, 'PTHR12701:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72528, NULL, 'PTHR33895:SF4', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 5', NULL, NULL, NULL, 15),
(72529, NULL, 'PTHR32100:SF56', NULL, NULL, NULL, NULL, 'OMEGA-6 FATTY ACID DESATURASE, ENDOPLASMIC RETICULUM', NULL, NULL, NULL, 15),
(72530, NULL, 'PTHR24637:SF301', NULL, NULL, NULL, NULL, 'PROTEIN CBR-RAM-2', NULL, NULL, NULL, 15),
(72531, NULL, 'PTHR33592:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72532, NULL, 'PTHR14963:SF7', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 19', NULL, NULL, NULL, 15),
(72533, NULL, 'PTHR46293:SF4', NULL, NULL, NULL, NULL, 'OS03G0798200 PROTEIN', NULL, NULL, NULL, 15),
(72534, NULL, 'PTHR12886:SF0', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(72535, NULL, 'PTHR31009:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72536, NULL, 'PTHR46339:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG18270', NULL, NULL, NULL, 15),
(72537, NULL, 'PTHR31633:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72538, NULL, 'PTHR11260:SF552', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72539, NULL, 'PTHR31607:SF16', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(72540, NULL, 'PTHR21181', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72541, NULL, 'PTHR11528:SF106', NULL, NULL, NULL, NULL, 'BNAA05G29880D PROTEIN', NULL, NULL, NULL, 15),
(72542, NULL, 'PTHR31730:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72543, NULL, 'PTHR18968:SF162', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(72544, NULL, 'PTHR30465:SF31', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(72545, NULL, 'PTHR43437', NULL, NULL, NULL, NULL, 'HYDROXYACYL-THIOESTER DEHYDRATASE TYPE 2, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72546, NULL, 'PTHR47990:SF130', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-OXIDASE', NULL, NULL, NULL, 15),
(72547, NULL, 'PTHR31623:SF44', NULL, NULL, NULL, NULL, 'F21J9.8', NULL, NULL, NULL, 15),
(72548, NULL, 'PTHR11206:SF358', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(72549, NULL, 'PTHR31207:SF25', NULL, NULL, NULL, NULL, 'BNACNNG61990D PROTEIN', NULL, NULL, NULL, 15),
(72550, NULL, 'PTHR10491', NULL, NULL, NULL, NULL, 'DTDP-4-DEHYDRORHAMNOSE REDUCTASE', NULL, NULL, 133, 15),
(72551, NULL, 'PTHR24376:SF171', NULL, NULL, NULL, NULL, 'LD39136P', NULL, NULL, NULL, 15),
(72552, NULL, 'PTHR34661:SF8', NULL, NULL, NULL, NULL, 'ALPHA-CRYSTALLIN DOMAIN-CONTAINING PROTEIN 22.3', NULL, NULL, NULL, 15),
(72553, NULL, 'PTHR37186:SF1', NULL, NULL, NULL, NULL, 'OS06G0524500 PROTEIN', NULL, NULL, NULL, 15),
(72554, NULL, 'PTHR43358:SF4', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD-1 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(72555, NULL, 'PTHR45730:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72556, NULL, 'PTHR11739:SF15', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(72557, NULL, 'PTHR42064', NULL, NULL, NULL, NULL, 'YALI0F28677P', NULL, NULL, NULL, 15),
(72558, NULL, 'PTHR36797', NULL, NULL, NULL, NULL, 'OS01G0258600 PROTEIN', NULL, NULL, NULL, 15),
(72559, NULL, 'PTHR43193', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72560, NULL, 'PTHR24270:SF32', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(72561, NULL, 'PTHR19876:SF28', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''', NULL, NULL, NULL, 15),
(72562, NULL, 'PTHR22957:SF533', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 15-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(72563, NULL, 'PTHR35691:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(72564, NULL, 'PTHR47296:SF2', NULL, NULL, NULL, NULL, 'BNAC02G06750D PROTEIN', NULL, NULL, NULL, 15),
(72565, NULL, 'PTHR31105:SF41', NULL, NULL, NULL, NULL, 'DUF3133 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(72566, NULL, 'PTHR45266', NULL, NULL, NULL, NULL, 'OXALOACETATE DECARBOXYLASE ALPHA CHAIN', NULL, NULL, NULL, 15),
(72567, NULL, 'PTHR24393:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72568, NULL, 'PTHR34569:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72569, NULL, 'PTHR42683:SF49', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 8C-RELATED', NULL, NULL, NULL, 15),
(72570, NULL, 'PTHR33784:SF32', NULL, NULL, NULL, NULL, 'BNAANNG23470D PROTEIN', NULL, NULL, NULL, 15),
(72571, NULL, 'PTHR11969:SF18', NULL, NULL, NULL, NULL, 'MAX DIMERIZATION PROTEIN 1', NULL, NULL, 29591, 15),
(72572, NULL, 'PTHR23403:SF12', NULL, NULL, NULL, NULL, 'TREHALASE', NULL, NULL, NULL, 15),
(72573, NULL, 'PTHR24377:SF196', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 789', NULL, NULL, NULL, 15),
(72574, NULL, 'PTHR23430:SF309', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(72575, NULL, 'PTHR43625:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72576, NULL, 'PTHR10258:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72577, NULL, 'PTHR10064:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-2-LIKE', NULL, NULL, NULL, 15),
(72578, NULL, 'PTHR32502:SF5', NULL, NULL, NULL, NULL, 'PTS SYSTEM MANNOSE-SPECIFIC EIID COMPONENT', NULL, NULL, NULL, 15),
(72579, NULL, 'PTHR24240:SF133', NULL, NULL, NULL, NULL, 'OPSIN RH3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72580, NULL, 'PTHR48001:SF19', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(72581, NULL, 'PTHR48001:SF140', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(72582, NULL, 'PTHR31681:SF46', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(72583, NULL, 'PTHR33147:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72584, NULL, 'PTHR45631:SF45', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-KINASE-RELATED', NULL, NULL, NULL, 15),
(72585, NULL, 'PTHR24351:SF199', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, 36270, 15),
(72586, NULL, 'PTHR31678:SF5', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 6-1', NULL, NULL, NULL, 15),
(72587, NULL, 'PTHR13011:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72588, NULL, 'PTHR47627:SF1', NULL, NULL, NULL, NULL, 'RUBREDOXIN', NULL, NULL, NULL, 15),
(72589, NULL, 'PTHR10367:SF12', NULL, NULL, NULL, NULL, 'MRNA CAPPING ENZYME FAMILY PROTEIN', NULL, NULL, NULL, 15),
(72590, NULL, 'PTHR32133:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72591, NULL, 'PTHR30457:SF12', NULL, NULL, NULL, NULL, '5''/3''-NUCLEOTIDASE SURE', NULL, NULL, NULL, 15),
(72592, NULL, 'PTHR43952:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72593, NULL, 'PTHR34364:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(72594, NULL, 'PTHR24356:SF197', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SGK2', NULL, NULL, NULL, 15),
(72595, NULL, 'PTHR11559:SF405', NULL, NULL, NULL, NULL, 'ACETYLCHOLINESTERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72596, NULL, 'PTHR22835:SF624', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(72597, NULL, 'PTHR27000:SF568', NULL, NULL, NULL, NULL, 'OS05G0522600 PROTEIN', NULL, NULL, NULL, 15),
(72598, NULL, 'PTHR38699:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(72599, NULL, 'PTHR33070:SF55', NULL, NULL, NULL, NULL, 'OS06G0725800 PROTEIN', NULL, NULL, NULL, 15),
(72600, NULL, 'PTHR12786:SF1', NULL, NULL, NULL, NULL, 'REPLICATION STRESS RESPONSE REGULATOR SDE2', NULL, NULL, NULL, 15),
(72601, NULL, 'PTHR11278:SF8', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15),
(72602, NULL, 'PTHR48019:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72603, NULL, 'PTHR14224:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 14', NULL, NULL, 23639, 15),
(72604, NULL, 'PTHR31851:SF53', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER HOMOLOG 4', NULL, NULL, NULL, 15),
(72605, NULL, 'PTHR34862:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72606, NULL, 'PTHR36784', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(72607, NULL, 'PTHR11848:SF181', NULL, NULL, NULL, NULL, 'LEFT-RIGHT DETERMINATION FACTOR 1', NULL, NULL, NULL, 15),
(72608, NULL, 'PTHR43677:SF4', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(72609, NULL, 'PTHR11629:SF100', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(72610, NULL, 'PTHR45027:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72611, NULL, 'PTHR19343', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 1-2', NULL, NULL, NULL, 15),
(72612, NULL, 'PTHR30005:SF13', NULL, NULL, NULL, NULL, 'EXOPOLYPHOSPHATASE 2', NULL, NULL, NULL, 15),
(72613, NULL, 'PTHR33166', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72614, NULL, 'PTHR11206:SF326', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 15', NULL, NULL, NULL, 15),
(72615, NULL, 'PTHR31692:SF23', NULL, NULL, NULL, NULL, 'EXPANSIN-B7', NULL, NULL, NULL, 15),
(72616, NULL, 'PTHR34715:SF1', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(72617, NULL, 'PTHR24256:SF205', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 46-RELATED', NULL, NULL, NULL, 15),
(72618, NULL, 'PTHR36509', NULL, NULL, NULL, NULL, 'BLL3101 PROTEIN', NULL, NULL, NULL, 15),
(72619, NULL, 'PTHR23155:SF1093', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPM1', NULL, NULL, NULL, 15),
(72620, NULL, 'PTHR33138:SF45', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE, GALACTURONAN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72621, NULL, 'PTHR33509:SF18', NULL, NULL, NULL, NULL, 'OS08G0451300 PROTEIN', NULL, NULL, NULL, 15),
(72622, NULL, 'PTHR31190:SF290', NULL, NULL, NULL, NULL, 'BNAC03G49530D PROTEIN', NULL, NULL, NULL, 15),
(72623, NULL, 'PTHR43837', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S12 METHYLTHIOTRANSFERASE RIMO', NULL, NULL, 5585, 15),
(72624, NULL, 'PTHR12902:SF29', NULL, NULL, NULL, NULL, 'SCAR-LIKE DOMAIN-CONTAINING PROTEIN WAVE 5', NULL, NULL, NULL, 15),
(72625, NULL, 'PTHR36937', NULL, NULL, NULL, NULL, 'PROTEIN CBG20935-RELATED', NULL, NULL, NULL, 15),
(72626, NULL, 'PTHR32093:SF145', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(72627, NULL, 'PTHR31172:SF3', NULL, NULL, NULL, NULL, 'STOMATAL CLOSURE-RELATED ACTIN-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(72628, NULL, 'PTHR34835:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72629, NULL, 'PTHR11347:SF102', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(72630, NULL, 'PTHR11746:SF191', NULL, NULL, NULL, NULL, '3''-HYDROXY-N-METHYL-(S)-COCLAURINE 4''-O-METHYLTRANSFERASE 2-LIKE', NULL, NULL, NULL, 15),
(72631, NULL, 'PTHR11132:SF442', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER 2', NULL, NULL, NULL, 15),
(72632, NULL, 'PTHR47002:SF2', NULL, NULL, NULL, NULL, 'AQUAPORIN-LIKE', NULL, NULL, NULL, 15),
(72633, NULL, 'PTHR34795:SF2', NULL, NULL, NULL, NULL, 'NEMATODE RESISTANCE HSPRO2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72634, NULL, 'PTHR24300:SF130', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(72635, NULL, 'PTHR31388:SF99', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(72636, NULL, 'PTHR12296:SF3', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN CRAG', NULL, NULL, NULL, 15),
(72637, NULL, 'PTHR11654:SF529', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72638, NULL, 'PTHR36056', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, 34375, 15),
(72639, NULL, 'PTHR11592:SF74', NULL, NULL, NULL, NULL, 'EPIDIDYMAL SECRETORY GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(72640, NULL, 'PTHR31065:SF66', NULL, NULL, NULL, NULL, 'BNAC08G19610D PROTEIN', NULL, NULL, NULL, 15),
(72641, NULL, 'PTHR21319:SF50', NULL, NULL, NULL, NULL, 'RING FINGER AND CHY ZINC FINGER DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(72642, NULL, 'PTHR31042:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72643, NULL, 'PTHR14107:SF18', NULL, NULL, NULL, NULL, 'NUCLEOTIDE BINDING PROTEIN', NULL, NULL, NULL, 15),
(72644, NULL, 'PTHR43859:SF37', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 9-RELATED', NULL, NULL, NULL, 15),
(72645, NULL, 'PTHR28298:SF1', NULL, NULL, NULL, NULL, 'EISOSOME PROTEIN 1', NULL, NULL, NULL, 15),
(72646, NULL, 'PTHR45966:SF17', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(72647, NULL, 'PTHR12486', NULL, NULL, NULL, NULL, 'APRATAXIN-RELATED', NULL, NULL, NULL, 15),
(72648, NULL, 'PTHR31677:SF86', NULL, NULL, NULL, NULL, 'AP2-EREBP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(72649, NULL, 'PTHR43395:SF1', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN CHEA', NULL, NULL, NULL, 15),
(72650, NULL, 'PTHR10996:SF250', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72651, NULL, 'PTHR24100:SF121', NULL, NULL, NULL, NULL, 'SI:CH73-1F23.1-RELATED', NULL, NULL, NULL, 15),
(72652, NULL, 'PTHR36445', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE MPTA', NULL, NULL, 3015, 15),
(72653, NULL, 'PTHR24232:SF53', NULL, NULL, NULL, NULL, 'GONADOTROPIN-RELEASING HORMONE RECEPTOR (GNRHR) RELATED', NULL, NULL, NULL, 15),
(72654, NULL, 'PTHR31138', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(72655, NULL, 'PTHR45719:SF30', NULL, NULL, NULL, NULL, 'BNAC01G19670D PROTEIN', NULL, NULL, NULL, 15),
(72656, NULL, 'PTHR39179:SF1', NULL, NULL, NULL, NULL, 'SPORE COAT PROTEIN I', NULL, NULL, NULL, 15),
(72657, NULL, 'PTHR43706:SF19', NULL, NULL, NULL, NULL, 'EXTERNAL NADH-UBIQUINONE OXIDOREDUCTASE 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72658, NULL, 'PTHR12604:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72659, NULL, 'PTHR13379', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED DUF1308', NULL, NULL, NULL, 15),
(72660, NULL, 'PTHR11863:SF191', NULL, NULL, NULL, NULL, 'BNAANNG24610D PROTEIN', NULL, NULL, NULL, 15),
(72661, NULL, 'PTHR31425:SF18', NULL, NULL, NULL, NULL, 'BNAA09G30540D PROTEIN', NULL, NULL, NULL, 15),
(72662, NULL, 'PTHR31722:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72663, NULL, 'PTHR10768:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', NULL, NULL, NULL, 15),
(72664, NULL, 'PTHR12300:SF131', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN J', NULL, NULL, NULL, 15),
(72665, NULL, 'PTHR14552:SF24', NULL, NULL, NULL, NULL, 'DCTP PYROPHOSPHATASE 1', NULL, NULL, NULL, 15),
(72666, NULL, 'PTHR31086:SF59', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 3-RELATED', NULL, NULL, NULL, 15),
(72667, NULL, 'PTHR43791:SF84', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G09170)-RELATED', NULL, NULL, NULL, 15),
(72668, NULL, 'PTHR48018:SF119', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(72669, NULL, 'PTHR10682:SF36', NULL, NULL, NULL, NULL, 'NUCLEAR POLY(A) POLYMERASE 4', NULL, NULL, NULL, 15),
(72670, NULL, 'PTHR45747:SF12', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(72671, NULL, 'PTHR31319:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72672, NULL, 'PTHR46431:SF16', NULL, NULL, NULL, NULL, 'BNACNNG33450D PROTEIN', NULL, NULL, NULL, 15),
(72673, NULL, 'PTHR19143:SF394', NULL, NULL, NULL, NULL, 'SI:CH211-203K16.3', NULL, NULL, NULL, 15),
(72674, NULL, 'PTHR11005:SF14', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(72675, NULL, 'PTHR31867:SF140', NULL, NULL, NULL, NULL, 'EXPANSIN-A24', NULL, NULL, NULL, 15),
(72676, NULL, 'PTHR12015:SF155', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-C MOTIF) LIGAND 44', NULL, NULL, NULL, 15),
(72677, NULL, 'PTHR10795:SF442', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.6', NULL, NULL, NULL, 15),
(72678, NULL, 'PTHR47538:SF1', NULL, NULL, NULL, NULL, 'PERILIPIN-4', NULL, NULL, NULL, 15),
(72679, NULL, 'PTHR24416:SF548', NULL, NULL, NULL, NULL, 'PROTEIN CBG11187', NULL, NULL, NULL, 15),
(72680, NULL, 'PTHR32285:SF276', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(72681, NULL, 'PTHR33620', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN F', NULL, NULL, NULL, 15),
(72682, NULL, 'PTHR31707:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72683, NULL, 'PTHR32444:SF104', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(72684, NULL, 'PTHR19375:SF367', NULL, NULL, NULL, NULL, 'SHOCK PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(72685, NULL, 'PTHR43025:SF7', NULL, NULL, NULL, NULL, 'MONOGALACTOSYLDIACYLGLYCEROL SYNTHASE 3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(72686, NULL, 'PTHR31917:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72687, NULL, 'PTHR37514:SF1', NULL, NULL, NULL, NULL, 'N-TERMINAL DELTA ENDOTOXIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(72688, NULL, 'PTHR17416', NULL, NULL, NULL, NULL, 'SMALL MUSCULAR PROTEIN', NULL, NULL, 28964, 15),
(72689, NULL, 'PTHR48005:SF34', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE 4-LIKE', NULL, NULL, NULL, 15),
(72690, NULL, 'PTHR33667:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72691, NULL, 'PTHR27003:SF358', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR RECEPTOR 2 (VEGFR2)-RELATED', NULL, NULL, NULL, 15),
(72692, NULL, 'PTHR11662:SF431', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER 4, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(72693, NULL, 'PTHR44826:SF3', NULL, NULL, NULL, NULL, 'PE REPEAT FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_4G13630)', NULL, NULL, NULL, 15),
(72694, NULL, 'PTHR22780:SF4', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT ALPHA', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72695, NULL, 'PTHR24241:SF69', NULL, NULL, NULL, NULL, 'GONADOTROPIN-RELEASING HORMONE II RECEPTOR-RELATED', NULL, NULL, 27318, 15),
(72696, NULL, 'PTHR22943:SF52', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(72697, NULL, 'PTHR24015:SF2001', NULL, NULL, NULL, NULL, 'OS07G0244400 PROTEIN', NULL, NULL, NULL, 15),
(72698, NULL, 'PTHR28553', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE B', NULL, NULL, 8688, 15),
(72699, NULL, 'PTHR24074:SF2', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 11 HOMOLOG', NULL, NULL, NULL, 15),
(72700, NULL, 'PTHR11481:SF59', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(72701, NULL, 'PTHR33132:SF82', NULL, NULL, NULL, NULL, 'BNAANNG27180D PROTEIN', NULL, NULL, NULL, 15),
(72702, NULL, 'PTHR31887', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP B', NULL, NULL, NULL, 15),
(72703, NULL, 'PTHR23086:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72704, NULL, 'PTHR33984:SF12', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(72705, NULL, 'PTHR24015:SF1923', NULL, NULL, NULL, NULL, 'OS03G0624800 PROTEIN', NULL, NULL, NULL, 15),
(72706, NULL, 'PTHR43353:SF3', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(72707, NULL, 'PTHR45927:SF10', NULL, NULL, NULL, NULL, 'LYSM-DOMAIN RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(72708, NULL, 'PTHR45621:SF77', NULL, NULL, NULL, NULL, 'BNACNNG05750D PROTEIN', NULL, NULL, NULL, 15),
(72709, NULL, 'PTHR32009:SF70', NULL, NULL, NULL, NULL, 'BNAA02G36870D PROTEIN', NULL, NULL, NULL, 15),
(72710, NULL, 'PTHR33128:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72711, NULL, 'PTHR23180:SF244', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD2', NULL, NULL, NULL, 15),
(72712, NULL, 'PTHR26450:SF180', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(72713, NULL, 'PTHR21226', NULL, NULL, NULL, NULL, 'ABPA10-RELATED', NULL, NULL, 11384, 15),
(72714, NULL, 'PTHR11527:SF328', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(72715, NULL, 'PTHR24216:SF13', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(72716, NULL, 'PTHR30024:SF28', NULL, NULL, NULL, NULL, 'NITRATE TRANSPORT ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(72717, NULL, 'PTHR23273:SF57', NULL, NULL, NULL, NULL, 'ANIMAL RPA1 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(72718, NULL, 'PTHR43855:SF1', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE SSEA-RELATED', NULL, NULL, NULL, 15),
(72719, NULL, 'PTHR24229:SF11', NULL, NULL, NULL, NULL, 'NOCICEPTIN RECEPTOR', NULL, NULL, NULL, 15),
(72720, NULL, 'PTHR45677:SF12', NULL, NULL, NULL, NULL, 'BLACK, ISOFORM A', NULL, NULL, NULL, 15),
(72721, NULL, 'PTHR42825:SF2', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE 3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(72722, NULL, 'PTHR21576:SF7', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(72723, NULL, 'PTHR47922:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(72724, NULL, 'PTHR36968:SF11', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(72725, NULL, 'PTHR13007:SF19', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR 18', NULL, NULL, NULL, 15),
(72726, NULL, 'PTHR47993:SF173', NULL, NULL, NULL, NULL, 'BNAC04G44860D PROTEIN', NULL, NULL, NULL, 15),
(72727, NULL, 'PTHR11339:SF373', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72728, NULL, 'PTHR19143:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72729, NULL, 'PTHR31621:SF44', NULL, NULL, NULL, NULL, 'PROTEIN DMP5', NULL, NULL, NULL, 15),
(72730, NULL, 'PTHR12588:SF5', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE 2', NULL, NULL, NULL, 15),
(72731, NULL, 'PTHR24281:SF190', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A6', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72732, NULL, 'PTHR10202', NULL, NULL, NULL, NULL, 'PRESENILIN', NULL, NULL, 5146, 15),
(72733, NULL, 'PTHR43895:SF7', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 30', NULL, NULL, NULL, 15),
(72734, NULL, 'PTHR21145:SF5', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', NULL, NULL, NULL, 15),
(72735, NULL, 'PTHR33107:SF47', NULL, NULL, NULL, NULL, 'MIRACULIN-LIKE', NULL, NULL, NULL, 15),
(72736, NULL, 'PTHR32370:SF23', NULL, NULL, NULL, NULL, 'OS08G0130600 PROTEIN', NULL, NULL, NULL, 15),
(72737, NULL, 'PTHR31205:SF64', NULL, NULL, NULL, NULL, 'BNAC07G12760D PROTEIN', NULL, NULL, NULL, 15),
(72738, NULL, 'PTHR10966:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', NULL, NULL, NULL, 15),
(72739, NULL, 'PTHR23018:SF15', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', NULL, NULL, NULL, 15),
(72740, NULL, 'PTHR11224:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72741, NULL, 'PTHR13479:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72742, NULL, 'PTHR37826', NULL, NULL, NULL, NULL, 'FLOTILLIN BAND_7_5 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(72743, NULL, 'PTHR10769:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72744, NULL, 'PTHR43128', NULL, NULL, NULL, NULL, 'L-2-HYDROXYCARBOXYLATE DEHYDROGENASE (NAD(P)(+))', NULL, NULL, NULL, 15),
(72745, NULL, 'PTHR31100:SF74', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(72746, NULL, 'PTHR24015:SF344', NULL, NULL, NULL, NULL, 'OS07G0203900 PROTEIN', NULL, NULL, NULL, 15),
(72747, NULL, 'PTHR12752:SF3', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 5', NULL, NULL, NULL, 15),
(72748, NULL, 'PTHR39418', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(72749, NULL, 'PTHR40326:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG10816', NULL, NULL, NULL, 15),
(72750, NULL, 'PTHR24070:SF208', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RIT1', NULL, NULL, NULL, 15),
(72751, NULL, 'PTHR33512:SF21', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE TMK1-LIKE', NULL, NULL, NULL, 15),
(72752, NULL, 'PTHR11071:SF461', NULL, NULL, NULL, NULL, 'OS02G0761100 PROTEIN', NULL, NULL, NULL, 15),
(72753, NULL, 'PTHR11736:SF60', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 3-RELATED', NULL, NULL, 22307, 15),
(72754, NULL, 'PTHR12396:SF5', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 2', NULL, NULL, NULL, 15),
(72755, NULL, 'PTHR23517:SF13', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', NULL, NULL, NULL, 15),
(72756, NULL, 'PTHR11945:SF677', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', NULL, NULL, NULL, 15),
(72757, NULL, 'PTHR24078:SF559', NULL, NULL, NULL, NULL, 'ZGC:122979', NULL, NULL, NULL, 15),
(72758, NULL, 'PTHR34364:SF14', NULL, NULL, NULL, NULL, 'BNAA09G44110D PROTEIN', NULL, NULL, NULL, 15),
(72759, NULL, 'PTHR11461:SF160', NULL, NULL, NULL, NULL, 'SERINE (OR CYSTEINE) PEPTIDASE INHIBITOR, CLADE A (ALPHA-1 ANTIPROTEINASE, ANTITRYPSIN), MEMBER 16', NULL, NULL, NULL, 15),
(72760, NULL, 'PTHR34660:SF7', NULL, NULL, NULL, NULL, 'DNA LIGASE', NULL, NULL, NULL, 15),
(72761, NULL, 'PTHR11062:SF317', NULL, NULL, NULL, NULL, 'EXOSTOSIN-LIKE 2', NULL, NULL, NULL, 15),
(72762, NULL, 'PTHR42282:SF1', NULL, NULL, NULL, NULL, 'PANTOATE KINASE-RELATED', NULL, NULL, NULL, 15),
(72763, NULL, 'PTHR47122:SF8', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(72764, NULL, 'PTHR23302:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(72765, NULL, 'PTHR22870:SF409', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(72766, NULL, 'PTHR24230:SF86', NULL, NULL, NULL, NULL, 'LEUKOTRIENE B4 RECEPTOR 2A-RELATED', NULL, NULL, NULL, 15),
(72767, NULL, 'PTHR13878:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72768, NULL, 'PTHR13832:SF742', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', NULL, NULL, NULL, 15),
(72769, NULL, 'PTHR37435:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG05945', NULL, NULL, NULL, 15),
(72770, NULL, 'PTHR12052:SF5', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN 4A', NULL, NULL, NULL, 15),
(72771, NULL, 'PTHR47877:SF5', NULL, NULL, NULL, NULL, 'EMBRYONIC PROTEIN DC-8-LIKE', NULL, NULL, NULL, 15),
(72772, NULL, 'PTHR31602:SF64', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 1', NULL, NULL, NULL, 15),
(72773, NULL, 'PTHR15036:SF73', NULL, NULL, NULL, NULL, 'EGF LIKE, FIBRONECTIN TYPE III AND LAMININ G DOMAINS', NULL, NULL, NULL, 15),
(72774, NULL, 'PTHR33420:SF32', NULL, NULL, NULL, NULL, 'TYPE 1 FIMBRIN D-MANNOSE SPECIFIC ADHESIN', NULL, NULL, NULL, 15),
(72775, NULL, 'PTHR11926:SF1350', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(72776, NULL, 'PTHR48063:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72777, NULL, 'PTHR10501:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72778, NULL, 'PTHR30460', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 39838, 15),
(72779, NULL, 'PTHR23147:SF168', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SC35-LIKE', NULL, NULL, NULL, 15),
(72780, NULL, 'PTHR23320:SF66', NULL, NULL, NULL, NULL, 'HIGH AFFINITY IMMUNOGLOBULIN EPSILON RECEPTOR SUBUNIT BETA', NULL, NULL, 26004, 15),
(72781, NULL, 'PTHR14226:SF64', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(72782, NULL, 'PTHR34193:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(72783, NULL, 'PTHR15837', NULL, NULL, NULL, NULL, 'RAN GUANINE NUCLEOTIDE RELEASE FACTOR', NULL, NULL, 776, 15),
(72784, NULL, 'PTHR11730:SF103', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1 MEMBER 3', NULL, NULL, NULL, 15),
(72785, NULL, 'PTHR33871:SF19', NULL, NULL, NULL, NULL, 'BNACNNG04080D PROTEIN', NULL, NULL, NULL, 15),
(72786, NULL, 'PTHR14731:SF1', NULL, NULL, NULL, NULL, 'BAALC BINDER OF MAP3K1 AND KLF4 B', NULL, NULL, NULL, 15),
(72787, NULL, 'PTHR20855:SF104', NULL, NULL, NULL, NULL, 'HEPTAHELICAL TRANSMEMBRANE PROTEIN 4', NULL, NULL, NULL, 15),
(72788, NULL, 'PTHR10961:SF24', NULL, NULL, NULL, NULL, 'HYPOTHETICAL FRUCTOSYL AMINE:OXYGEN OXIDOREDUCTASE (EUROFUNG)', NULL, NULL, NULL, 15),
(72789, NULL, 'PTHR24416:SF540', NULL, NULL, NULL, NULL, 'ANAPLASTIC LYMPHOMA KINASE, ISOFORM A', NULL, NULL, NULL, 15),
(72790, NULL, 'PTHR12553:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72791, NULL, 'PTHR31444:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(72792, NULL, 'PTHR23115:SF258', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(72793, NULL, 'PTHR33121:SF23', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEB', NULL, NULL, NULL, 15),
(72794, NULL, 'PTHR23155:SF1103', NULL, NULL, NULL, NULL, 'OS02G0301800 PROTEIN', NULL, NULL, NULL, 15),
(72795, NULL, 'PTHR12911:SF22', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 22314, 15),
(72796, NULL, 'PTHR10031:SF38', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT 9, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(72797, NULL, 'PTHR42738:SF5', NULL, NULL, NULL, NULL, '3-HYDROXYMETHYL-3-METHYLGLUTARYL-COA LYASE, CYTOPLASMIC', NULL, NULL, 24828, 15),
(72798, NULL, 'PTHR10083:SF356', NULL, NULL, NULL, NULL, 'GEO10309P1-RELATED', NULL, NULL, NULL, 15),
(72799, NULL, 'PTHR12542:SF86', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(72800, NULL, 'PTHR11640:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72801, NULL, 'PTHR34812:SF3', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN J', NULL, NULL, NULL, 15),
(72802, NULL, 'PTHR24096:SF298', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 5', NULL, NULL, NULL, 15),
(72803, NULL, 'PTHR10466:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE 1', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72804, NULL, 'PTHR45996:SF5', NULL, NULL, NULL, NULL, 'CAMP-RESPONSIVE ELEMENT-BINDING PROTEIN 3-LIKE 3 LIKE', NULL, NULL, NULL, 15),
(72805, NULL, 'PTHR45757:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG20625', NULL, NULL, NULL, 15),
(72806, NULL, 'PTHR10676:SF385', NULL, NULL, NULL, NULL, 'DYNEIN, CYTOPLASMIC 1, HEAVY CHAIN 1', NULL, NULL, NULL, 15),
(72807, NULL, 'PTHR31044:SF84', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(72808, NULL, 'PTHR24334:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GBX-2', NULL, NULL, 27719, 15),
(72809, NULL, 'PTHR48063:SF42', NULL, NULL, NULL, NULL, 'BNAA03G46300D PROTEIN', NULL, NULL, NULL, 15),
(72810, NULL, 'PTHR23257:SF810', NULL, NULL, NULL, NULL, 'KINASE AND EXCHANGE FACTOR FOR RAC A', NULL, NULL, NULL, 15),
(72811, NULL, 'PTHR34145:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72812, NULL, 'PTHR23502:SF155', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13830)-RELATED', NULL, NULL, NULL, 15),
(72813, NULL, 'PTHR31790:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72814, NULL, 'PTHR10544:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28-1-LIKE', NULL, NULL, NULL, 15),
(72815, NULL, 'PTHR46279:SF17', NULL, NULL, NULL, NULL, 'BNAA10G06460D PROTEIN', NULL, NULL, NULL, 15),
(72816, NULL, 'PTHR32166:SF92', NULL, NULL, NULL, NULL, 'F16P17.2 PROTEIN', NULL, NULL, NULL, 15),
(72817, NULL, 'PTHR33841:SF5', NULL, NULL, NULL, NULL, 'MODIFICATION METHYLASE HINDII-RELATED', NULL, NULL, NULL, 15),
(72818, NULL, 'PTHR19433:SF126', NULL, NULL, NULL, NULL, 'NOVEL IMMUNE-TYPE RECEPTOR 10A-RELATED', NULL, NULL, NULL, 15),
(72819, NULL, 'PTHR32467:SF116', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(72820, NULL, 'PTHR31175', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE FAMILY PROTEIN', NULL, NULL, 6087, 15),
(72821, NULL, 'PTHR15598:SF12', NULL, NULL, NULL, NULL, 'BNAA05G26060D PROTEIN', NULL, NULL, NULL, 15),
(72822, NULL, 'PTHR31087:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72823, NULL, 'PTHR10759:SF8', NULL, NULL, NULL, NULL, 'OS08G0436800 PROTEIN', NULL, NULL, NULL, 15),
(72824, NULL, 'PTHR45693:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PERIANTHIA-LIKE', NULL, NULL, NULL, 15),
(72825, NULL, 'PTHR45959:SF37', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH25', NULL, NULL, NULL, 15),
(72826, NULL, 'PTHR31989:SF274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72827, NULL, 'PTHR22773:SF106', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE SUBUNIT 2-RELATED', NULL, NULL, NULL, 15),
(72828, NULL, 'PTHR23063:SF8', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(72829, NULL, 'PTHR11849:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPI-C', NULL, NULL, NULL, 15),
(72830, NULL, 'PTHR24349:SF157', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 1', NULL, NULL, NULL, 15),
(72831, NULL, 'PTHR31662:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72832, NULL, 'PTHR28671:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72833, NULL, 'PTHR33572:SF12', NULL, NULL, NULL, NULL, 'VELVET COMPLEX SUBUNIT B', NULL, NULL, NULL, 15),
(72834, NULL, 'PTHR31009:SF78', NULL, NULL, NULL, NULL, 'SALICYLATE CARBOXYMETHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(72835, NULL, 'PTHR11827:SF47', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 7', NULL, NULL, 26785, 15),
(72836, NULL, 'PTHR37909:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(72837, NULL, 'PTHR31956:SF33', NULL, NULL, NULL, NULL, 'OS03G0300100 PROTEIN', NULL, NULL, NULL, 15),
(72838, NULL, 'PTHR12526:SF571', NULL, NULL, NULL, NULL, 'BLR6297 PROTEIN', NULL, NULL, NULL, 15),
(72839, NULL, 'PTHR31561:SF100', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(72840, NULL, 'PTHR46106:SF4', NULL, NULL, NULL, NULL, 'IA-2 PROTEIN TYROSINE PHOSPHATASE, ISOFORM C', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72841, NULL, 'PTHR30612:SF7', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLOCASE SUBUNIT SECA2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(72842, NULL, 'PTHR43605:SF10', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE MEDIUM CHAIN FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(72843, NULL, 'PTHR47990:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72844, NULL, 'PTHR45695:SF8', NULL, NULL, NULL, NULL, 'NEUROMEDIN-B RECEPTOR', NULL, NULL, NULL, 15),
(72845, NULL, 'PTHR12103:SF36', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE, CYTOSOLIC IIB', NULL, NULL, NULL, 15),
(72846, NULL, 'PTHR47991:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72847, NULL, 'PTHR10126:SF20', NULL, NULL, NULL, NULL, 'TATA-BOX-BINDING PROTEIN', NULL, NULL, NULL, 15),
(72848, NULL, 'PTHR32370:SF32', NULL, NULL, NULL, NULL, 'OS12G0613250 PROTEIN', NULL, NULL, NULL, 15),
(72849, NULL, 'PTHR47976:SF59', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK4', NULL, NULL, NULL, 15),
(72850, NULL, 'PTHR32411:SF62', NULL, NULL, NULL, NULL, 'BNACNNG21720D PROTEIN', NULL, NULL, NULL, 15),
(72851, NULL, 'PTHR46084:SF23', NULL, NULL, NULL, NULL, 'OS07G0693000 PROTEIN', NULL, NULL, NULL, 15),
(72852, NULL, 'PTHR15711:SF14', NULL, NULL, NULL, NULL, 'SIGNAL-INDUCED PROLIFERATION-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(72853, NULL, 'PTHR35446:SF3', NULL, NULL, NULL, NULL, 'ALKYL HYDROPEROXIDE REDUCTASE AHPD', NULL, NULL, NULL, 15),
(72854, NULL, 'PTHR31932', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE COMPLEX SUBUNIT 1', NULL, NULL, 35718, 15),
(72855, NULL, 'PTHR22808:SF25', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(34)-C(5))-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(72856, NULL, 'PTHR24416:SF533', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN-TYROSINE KINASE', NULL, NULL, NULL, 15),
(72857, NULL, 'PTHR37702:SF2', NULL, NULL, NULL, NULL, 'OS09G0332100 PROTEIN', NULL, NULL, NULL, 15),
(72858, NULL, 'PTHR33159:SF56', NULL, NULL, NULL, NULL, 'PROTEIN NOI4', NULL, NULL, NULL, 15),
(72859, NULL, 'PTHR11588:SF403', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(72860, NULL, 'PTHR38694:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72861, NULL, 'PTHR43139:SF43', NULL, NULL, NULL, NULL, 'MESODERM-SPECIFIC TRANSCRIPT HOMOLOG PROTEIN', NULL, NULL, NULL, 15),
(72862, NULL, 'PTHR37732', NULL, NULL, NULL, NULL, 'OS08G0104400 PROTEIN', NULL, NULL, 38067, 15),
(72863, NULL, 'PTHR30613', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YBIU-RELATED', NULL, NULL, 11693, 15),
(72864, NULL, 'PTHR46360:SF1', NULL, NULL, NULL, NULL, 'DISKS LARGE HOMOLOG 5', NULL, NULL, NULL, 15),
(72865, NULL, 'PTHR31707:SF335', NULL, NULL, NULL, NULL, 'BNAA08G00300D PROTEIN', NULL, NULL, NULL, 15),
(72866, NULL, 'PTHR45974:SF188', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(72867, NULL, 'PTHR37378:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72868, NULL, 'PTHR48006:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72869, NULL, 'PTHR48040:SF19', NULL, NULL, NULL, NULL, 'OS01G0516900 PROTEIN', NULL, NULL, NULL, 15),
(72870, NULL, 'PTHR21461:SF46', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE GALT-1', NULL, NULL, NULL, 15),
(72871, NULL, 'PTHR12785:SF13', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 2-LIKE', NULL, NULL, NULL, 15),
(72872, NULL, 'PTHR16222:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72873, NULL, 'PTHR39598:SF1', NULL, NULL, NULL, NULL, 'AUSTINOL SYNTHESIS PROTEIN F-RELATED', NULL, NULL, NULL, 15),
(72874, NULL, 'PTHR43811:SF26', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP16-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(72875, NULL, 'PTHR23244:SF441', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72876, NULL, 'PTHR47967:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72877, NULL, 'PTHR23502:SF74', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER', NULL, NULL, NULL, 15),
(72878, NULL, 'PTHR31985:SF173', NULL, NULL, NULL, NULL, 'BNAC06G07710D PROTEIN', NULL, NULL, NULL, 15),
(72879, NULL, 'PTHR23050:SF415', NULL, NULL, NULL, NULL, 'BNAA06G15720D PROTEIN', NULL, NULL, NULL, 15),
(72880, NULL, 'PTHR40891:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72881, NULL, 'PTHR31580:SF37', NULL, NULL, NULL, NULL, 'BNAC08G19200D PROTEIN', NULL, NULL, NULL, 15),
(72882, NULL, 'PTHR48005:SF23', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', NULL, NULL, NULL, 15),
(72883, NULL, 'PTHR14281:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72884, NULL, 'PTHR11017:SF228', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (NBS-LRR CLASS) FAMILY-RELATED', NULL, NULL, NULL, 15),
(72885, NULL, 'PTHR33799:SF5', NULL, NULL, NULL, NULL, 'PTS PERMEASE-RELATED', NULL, NULL, NULL, 15),
(72886, NULL, 'PTHR46128:SF265', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(72887, NULL, 'PTHR24241:SF139', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR Y5', NULL, NULL, NULL, 15),
(72888, NULL, 'PTHR31375:SF171', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(72889, NULL, 'PTHR13691', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L2', NULL, NULL, 10, 15),
(72890, NULL, 'PTHR24100:SF115', NULL, NULL, NULL, NULL, 'BUTYROPHILIN SUBFAMILY 3 MEMBER A2', NULL, NULL, NULL, 15),
(72891, NULL, 'PTHR35993:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72892, NULL, 'PTHR21299', NULL, NULL, NULL, NULL, 'CYTIDYLATE KINASE/PANTOATE-BETA-ALANINE LIGASE', NULL, NULL, NULL, 15),
(72893, NULL, 'PTHR11959:SF14', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE', NULL, NULL, NULL, 15),
(72894, NULL, 'PTHR13202', NULL, NULL, NULL, NULL, 'MICROSOMAL SIGNAL PEPTIDASE 12 KDA SUBUNIT', NULL, NULL, 10333, 15),
(72895, NULL, 'PTHR44167:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ZYG-8', NULL, NULL, NULL, 15),
(72896, NULL, 'PTHR44259:SF50', NULL, NULL, NULL, NULL, 'OSJNBB0115I21.6 PROTEIN', NULL, NULL, NULL, 15),
(72897, NULL, 'PTHR43752:SF2', NULL, NULL, NULL, NULL, 'BNR/ASP-BOX REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(72898, NULL, 'PTHR24089:SF717', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(72899, NULL, 'PTHR23050:SF386', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML19-RELATED', NULL, NULL, NULL, 15),
(72900, NULL, 'PTHR13780:SF99', NULL, NULL, NULL, NULL, 'AMP-ACTIVATED PROTEIN KINASE GAMMA SUBUNIT', NULL, NULL, NULL, 15),
(72901, NULL, 'PTHR47813', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(72902, NULL, 'PTHR43329:SF103', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(72903, NULL, 'PTHR48118:SF1', NULL, NULL, NULL, NULL, 'SPINDLE AND KINETOCHORE-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(72904, NULL, 'PTHR18868:SF37', NULL, NULL, NULL, NULL, 'OS07G0665300 PROTEIN', NULL, NULL, NULL, 15),
(72905, NULL, 'PTHR24062:SF23', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(72906, NULL, 'PTHR11732:SF470', NULL, NULL, NULL, NULL, 'D-GALACTURONATE REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(72907, NULL, 'PTHR47470', NULL, NULL, NULL, NULL, 'CHOLESTEROL OXIDASE', NULL, NULL, NULL, 15),
(72908, NULL, 'PTHR34936', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(72909, NULL, 'PTHR24256:SF151', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 44-RELATED', NULL, NULL, NULL, 15),
(72910, NULL, 'PTHR13498:SF3', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 7', NULL, NULL, NULL, 15),
(72911, NULL, 'PTHR31418:SF19', NULL, NULL, NULL, NULL, 'FATTY ACID/RETINOL BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(72912, NULL, 'PTHR12400:SF81', NULL, NULL, NULL, NULL, 'KINASE', NULL, NULL, NULL, 15),
(72913, NULL, 'PTHR42859:SF2', NULL, NULL, NULL, NULL, 'FERREDOXIN 1', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72914, NULL, 'PTHR23147:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72915, NULL, 'PTHR37369:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 270', NULL, NULL, NULL, 15),
(72916, NULL, 'PTHR43939:SF64', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', NULL, NULL, NULL, 15),
(72917, NULL, 'PTHR32024:SF3', NULL, NULL, NULL, NULL, 'TRK SYSTEM POTASSIUM UPTAKE PROTEIN', NULL, NULL, NULL, 15),
(72918, NULL, 'PTHR33083:SF88', NULL, NULL, NULL, NULL, 'SENESCENCE REGULATOR S40-RELATED', NULL, NULL, NULL, 15),
(72919, NULL, 'PTHR46873:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(72920, NULL, 'PTHR43895:SF26', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE KINASE 1, ALPHA A-RELATED', NULL, NULL, NULL, 15),
(72921, NULL, 'PTHR10005:SF7', NULL, NULL, NULL, NULL, 'SKI FAMILY TRANSCRIPTIONAL COREPRESSOR 2', NULL, NULL, 22000, 15),
(72922, NULL, 'PTHR19307:SF8', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN D53', NULL, NULL, NULL, 15),
(72923, NULL, 'PTHR23054:SF68', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1, LEUCINE-ZIPPER-RELATED', NULL, NULL, NULL, 15),
(72924, NULL, 'PTHR31016:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72925, NULL, 'PTHR11347:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72926, NULL, 'PTHR30386:SF19', NULL, NULL, NULL, NULL, 'MULTIDRUG EXPORT PROTEIN EMRA-RELATED', NULL, NULL, NULL, 15),
(72927, NULL, 'PTHR31080:SF64', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(72928, NULL, 'PTHR31218:SF229', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(72929, NULL, 'PTHR42080:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72930, NULL, 'PTHR11177:SF360', NULL, NULL, NULL, NULL, 'CHITINASE 12-RELATED', NULL, NULL, NULL, 15),
(72931, NULL, 'PTHR10736:SF60', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 9', NULL, NULL, NULL, 15),
(72932, NULL, 'PTHR11736:SF14', NULL, NULL, NULL, NULL, 'MAGE PROTEIN', NULL, NULL, NULL, 15),
(72933, NULL, 'PTHR28207', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT H, MITOCHONDRIAL', NULL, NULL, 21295, 15),
(72934, NULL, 'PTHR32100:SF36', NULL, NULL, NULL, NULL, 'DELTA(12)-FATTY-ACID DESATURASE', NULL, NULL, NULL, 15),
(72935, NULL, 'PTHR45746:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 9', NULL, NULL, NULL, 15),
(72936, NULL, 'PTHR42734:SF15', NULL, NULL, NULL, NULL, 'ZINC UPTAKE SYSTEM ATP-BINDING PROTEIN ZURA', NULL, NULL, NULL, 15),
(72937, NULL, 'PTHR47926:SF37', NULL, NULL, NULL, NULL, 'REPEAT-LIKE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(72938, NULL, 'PTHR12767:SF5', NULL, NULL, NULL, NULL, 'B-CELL CLL/LYMPHOMA 7 PROTEIN FAMILY MEMBER B', NULL, NULL, NULL, 15),
(72939, NULL, 'PTHR45738:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(72940, NULL, 'PTHR48001:SF98', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1F1-RELATED', NULL, NULL, NULL, 15),
(72941, NULL, 'PTHR34591:SF11', NULL, NULL, NULL, NULL, 'OS04G0113000 PROTEIN', NULL, NULL, NULL, 15),
(72942, NULL, 'PTHR23422:SF13', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(72943, NULL, 'PTHR31568:SF83', NULL, NULL, NULL, NULL, 'UV-INDUCED PROTEIN UVI15-RELATED', NULL, NULL, NULL, 15),
(72944, NULL, 'PTHR11214:SF257', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 13-RELATED', NULL, NULL, NULL, 15),
(72945, NULL, 'PTHR31992:SF206', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN PBF', NULL, NULL, NULL, 15),
(72946, NULL, 'PTHR46441:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EPIDIDYMAL PROTEIN 1A', NULL, NULL, NULL, 15),
(72947, NULL, 'PTHR37000:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72948, NULL, 'PTHR12391:SF6', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(72949, NULL, 'PTHR10795:SF597', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 2, PUTATIVE-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72950, NULL, 'PTHR23250', NULL, NULL, NULL, NULL, 'DYSFERLIN-RELATED', NULL, NULL, NULL, 15),
(72951, NULL, 'PTHR48047:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(72952, NULL, 'PTHR10426:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72953, NULL, 'PTHR37742:SF1', NULL, NULL, NULL, NULL, 'OS01G0810200 PROTEIN', NULL, NULL, NULL, 15),
(72954, NULL, 'PTHR23261:SF69', NULL, NULL, NULL, NULL, 'GROUND-LIKE (GRD RELATED)', NULL, NULL, NULL, 15),
(72955, NULL, 'PTHR45742:SF2', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C7', NULL, NULL, 30389, 15),
(72956, NULL, 'PTHR46633:SF8', NULL, NULL, NULL, NULL, 'BNAC01G28490D PROTEIN', NULL, NULL, NULL, 15),
(72957, NULL, 'PTHR46532:SF9', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 12, AXONEMAL', NULL, NULL, NULL, 15),
(72958, NULL, 'PTHR31044:SF72', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72959, NULL, 'PTHR46339:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG15282', NULL, NULL, NULL, 15),
(72960, NULL, 'PTHR35711:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENOYLCYSTEINE DECARBOXYLASE SUBUNIT VHS3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(72961, NULL, 'PTHR14359:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72962, NULL, 'PTHR46029:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72963, NULL, 'PTHR34723:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72964, NULL, 'PTHR24637:SF242', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(72965, NULL, 'PTHR34114:SF3', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 3', NULL, NULL, NULL, 15),
(72966, NULL, 'PTHR31642:SF189', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(72967, NULL, 'PTHR31260:SF39', NULL, NULL, NULL, NULL, 'BNAA09G28770D PROTEIN', NULL, NULL, NULL, 15),
(72968, NULL, 'PTHR47629:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG21408', NULL, NULL, NULL, 15),
(72969, NULL, 'PTHR23336:SF17', NULL, NULL, NULL, NULL, 'MORC FAMILY CW-TYPE ZINC FINGER PROTEIN 3', NULL, NULL, NULL, 15),
(72970, NULL, 'PTHR30561:SF9', NULL, NULL, NULL, NULL, '4-AMINO-4-DEOXY-L-ARABINOSE-PHOSPHOUNDECAPRENOL FLIPPASE SUBUNIT ARNF-RELATED', NULL, NULL, NULL, 15),
(72971, NULL, 'PTHR46267:SF20', NULL, NULL, NULL, NULL, 'BNAA06G11800D PROTEIN', NULL, NULL, NULL, 15),
(72972, NULL, 'PTHR10655:SF66', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(72973, NULL, 'PTHR10903:SF135', NULL, NULL, NULL, NULL, 'AIG1-LIKE PROTEIN, 48352-49494-RELATED', NULL, NULL, NULL, 15),
(72974, NULL, 'PTHR11706:SF33', NULL, NULL, NULL, NULL, 'MANGANESE TRANSPORTER SMF1', NULL, NULL, NULL, 15),
(72975, NULL, 'PTHR32227:SF277', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 11-LIKE', NULL, NULL, NULL, 15),
(72976, NULL, 'PTHR22902:SF36', NULL, NULL, NULL, NULL, 'SI:CH211-193C2.2', NULL, NULL, NULL, 15),
(72977, NULL, 'PTHR16839', NULL, NULL, NULL, NULL, 'GALANIN', NULL, NULL, 7299, 15),
(72978, NULL, 'PTHR45642:SF54', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(72979, NULL, 'PTHR24243:SF7', NULL, NULL, NULL, NULL, 'GROWTH HORMONE SECRETAGOGUE RECEPTOR TYPE 1', NULL, NULL, 31290, 15),
(72980, NULL, 'PTHR31734:SF177', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(72981, NULL, 'PTHR23351:SF6', NULL, NULL, NULL, NULL, 'FOS-RELATED ANTIGEN 1', NULL, NULL, 28876, 15),
(72982, NULL, 'PTHR32332:SF20', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(72983, NULL, 'PTHR22811:SF157', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24BETA3', NULL, NULL, NULL, 15),
(72984, NULL, 'PTHR43158:SF2', NULL, NULL, NULL, NULL, 'SKFA PEPTIDE EXPORT ATP-BINDING PROTEIN SKFE', NULL, NULL, NULL, 15),
(72985, NULL, 'PTHR23070:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72986, NULL, 'PTHR10828:SF67', NULL, NULL, NULL, NULL, 'ARSENATE REDUCTASE 2.1', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(72987, NULL, 'PTHR12755:SF18', NULL, NULL, NULL, NULL, 'OS01G0354700 PROTEIN', NULL, NULL, NULL, 15),
(72988, NULL, 'PTHR40640:SF1', NULL, NULL, NULL, NULL, 'ANCHORED GLYCOPROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04860)-RELATED', NULL, NULL, NULL, 15),
(72989, NULL, 'PTHR30267:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PRKA', NULL, NULL, NULL, 15),
(72990, NULL, 'PTHR11200:SF145', NULL, NULL, NULL, NULL, 'TYPE II INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 15', NULL, NULL, NULL, 15),
(72991, NULL, 'PTHR37028:SF4', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(72992, NULL, 'PTHR12356', NULL, NULL, NULL, NULL, 'NUCLEAR MOVEMENT PROTEIN NUDC', NULL, NULL, 32606, 15),
(72993, NULL, 'PTHR31414:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72994, NULL, 'PTHR24033:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(72995, NULL, 'PTHR31733', NULL, NULL, NULL, NULL, 'RIBONUCLEASE KAPPA', NULL, NULL, 25336, 15),
(72996, NULL, 'PTHR19441', NULL, NULL, NULL, NULL, 'WHEY ACDIC PROTEIN  WAP', NULL, NULL, NULL, 15),
(72997, NULL, 'PTHR24381:SF135', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 69 HOMOLOG B', NULL, NULL, NULL, 15),
(72998, NULL, 'PTHR47950:SF24', NULL, NULL, NULL, NULL, 'FLAVONOID 3'',5''-HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(72999, NULL, 'PTHR24044:SF465', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73000, NULL, 'PTHR34670:SF16', NULL, NULL, NULL, NULL, 'BNAA05G34890D PROTEIN', NULL, NULL, NULL, 15),
(73001, NULL, 'PTHR40572:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BAX', NULL, NULL, NULL, 15),
(73002, NULL, 'PTHR43900:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE RHO', NULL, NULL, NULL, 15),
(73003, NULL, 'PTHR46775:SF7', NULL, NULL, NULL, NULL, 'UBA-LIKE, GBF-INTERACTING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(73004, NULL, 'PTHR10522:SF0', NULL, NULL, NULL, NULL, 'PROGONADOLIBERIN-1', NULL, NULL, NULL, 15),
(73005, NULL, 'PTHR13337:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEIN SHH4-RELATED', NULL, NULL, NULL, 15),
(73006, NULL, 'PTHR45839:SF4', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 5', NULL, NULL, NULL, 15),
(73007, NULL, 'PTHR11871:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', NULL, NULL, NULL, 15),
(73008, NULL, 'PTHR45764:SF57', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 2', NULL, NULL, NULL, 15),
(73009, NULL, 'PTHR24064:SF215', NULL, NULL, NULL, NULL, 'AT15560P-RELATED', NULL, NULL, NULL, 15),
(73010, NULL, 'PTHR10909', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT OXIDOREDUCTASE', NULL, NULL, 11986, 15),
(73011, NULL, 'PTHR11260:SF508', NULL, NULL, NULL, NULL, 'S-TRANSFERASE PARC, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(73012, NULL, 'PTHR12461:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73013, NULL, 'PTHR33085:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73014, NULL, 'PTHR25464', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73015, NULL, 'PTHR10887:SF458', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(73016, NULL, 'PTHR16089:SF24', NULL, NULL, NULL, NULL, 'ELM2 AND SANT DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(73017, NULL, 'PTHR22829:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE-DEPENDENT RAC EXCHANGER 2 PROTEIN', NULL, NULL, NULL, 15),
(73018, NULL, 'PTHR45618', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DICARBOXYLATE CARRIER-RELATED', NULL, NULL, NULL, 15),
(73019, NULL, 'PTHR23220:SF5', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-8', NULL, NULL, NULL, 15),
(73020, NULL, 'PTHR31683:SF153', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(73021, NULL, 'PTHR31308:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(73022, NULL, 'PTHR27008:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73023, NULL, 'PTHR31374:SF307', NULL, NULL, NULL, NULL, 'BNAC03G65060D PROTEIN', NULL, NULL, NULL, 15),
(73024, NULL, 'PTHR48164', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 4', NULL, NULL, NULL, 15),
(73025, NULL, 'PTHR30217:SF12', NULL, NULL, NULL, NULL, 'LMO0960 PROTEIN', NULL, NULL, NULL, 15),
(73026, NULL, 'PTHR12901:SF18', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE / DEHYDRASE AND LIPID TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(73027, NULL, 'PTHR23077:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73028, NULL, 'PTHR43540:SF6', NULL, NULL, NULL, NULL, 'NICOTINAMIDASE 2-RELATED', NULL, NULL, NULL, 15),
(73029, NULL, 'PTHR31209', NULL, NULL, NULL, NULL, 'COFACTOR-INDEPENDENT PHOSPHOGLYCERATE MUTASE', NULL, NULL, 7278, 15),
(73030, NULL, 'PTHR46448:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73031, NULL, 'PTHR11783:SF261', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(73032, NULL, 'PTHR33332:SF13', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73033, NULL, 'PTHR11670:SF55', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE 3 MITOCHONDRIAL', NULL, NULL, NULL, 15),
(73034, NULL, 'PTHR45672', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE C17H9.14C-RELATED', NULL, NULL, NULL, 15),
(73035, NULL, 'PTHR47956:SF96', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B11-RELATED', NULL, NULL, NULL, 15),
(73036, NULL, 'PTHR45642:SF24', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(73037, NULL, 'PTHR12785:SF12', NULL, NULL, NULL, NULL, 'PROLINE-RICH SPLICEOSOME-ASSOCIATED (PSP) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(73038, NULL, 'PTHR20955:SF3', NULL, NULL, NULL, NULL, 'PROTEIN JAGUNAL HOMOLOG 1-A', NULL, NULL, NULL, 15),
(73039, NULL, 'PTHR46757:SF5', NULL, NULL, NULL, NULL, 'OS01G0827200 PROTEIN', NULL, NULL, NULL, 15),
(73040, NULL, 'PTHR48006:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73041, NULL, 'PTHR13415:SF3', NULL, NULL, NULL, NULL, 'BROMODOMAIN ADJACENT TO ZINC FINGER DOMAIN PROTEIN 2B', NULL, NULL, NULL, 15),
(73042, NULL, 'PTHR34126', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 22', NULL, NULL, 29760, 15),
(73043, NULL, 'PTHR31205:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73044, NULL, 'PTHR15486:SF79', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE 2-O-ACYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(73045, NULL, 'PTHR46834:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH10', NULL, NULL, NULL, 15),
(73046, NULL, 'PTHR48065:SF14', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN EIX2', NULL, NULL, NULL, 15),
(73047, NULL, 'PTHR10285:SF51', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE D', NULL, NULL, NULL, 15),
(73048, NULL, 'PTHR47993:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73049, NULL, 'PTHR34724', NULL, NULL, NULL, NULL, 'OS12G0596101 PROTEIN', NULL, NULL, NULL, 15),
(73050, NULL, 'PTHR36038:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73051, NULL, 'PTHR31089:SF47', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 3-LIKE', NULL, NULL, NULL, 15),
(73052, NULL, 'PTHR10740', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR ALPHA', NULL, NULL, 9317, 15),
(73053, NULL, 'PTHR18929:SF224', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', NULL, NULL, NULL, 15),
(73054, NULL, 'PTHR35807:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR REDD', NULL, NULL, NULL, 15),
(73055, NULL, 'PTHR24257:SF22', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE ELASTASE FAMILY MEMBER 3B', NULL, NULL, NULL, 15),
(73056, NULL, 'PTHR23263:SF102', NULL, NULL, NULL, NULL, 'LATE CORNIFIED ENVELOPE PROTEIN 1A-RELATED', NULL, NULL, NULL, 15),
(73057, NULL, 'PTHR43173:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73058, NULL, 'PTHR34956:SF2', NULL, NULL, NULL, NULL, 'OS05G0397300 PROTEIN', NULL, NULL, NULL, 15),
(73059, NULL, 'PTHR46981:SF1', NULL, NULL, NULL, NULL, 'BIS(5''-ADENOSYL)-TRIPHOSPHATASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73060, NULL, 'PTHR15712:SF14', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING X-LINKED PROTEIN 1', NULL, NULL, NULL, 15),
(73061, NULL, 'PTHR46691:SF8', NULL, NULL, NULL, NULL, 'BNAC05G02890D PROTEIN', NULL, NULL, NULL, 15),
(73062, NULL, 'PTHR24056:SF406', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE B1-1', NULL, NULL, NULL, 15),
(73063, NULL, 'PTHR45696:SF1', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1', NULL, NULL, NULL, 15),
(73064, NULL, 'PTHR27006:SF275', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73065, NULL, 'PTHR24070:SF213', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN DI-RAS1', NULL, NULL, NULL, 15),
(73066, NULL, 'PTHR12373', NULL, NULL, NULL, NULL, 'ENHANCER OF RUDIMENTARY ERH', NULL, NULL, 6588, 15),
(73067, NULL, 'PTHR33304:SF37', NULL, NULL, NULL, NULL, 'BNAANNG06740D PROTEIN', NULL, NULL, NULL, 15),
(73068, NULL, 'PTHR19343:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73069, NULL, 'PTHR11711:SF374', NULL, NULL, NULL, NULL, 'BNACNNG18370D PROTEIN', NULL, NULL, NULL, 15),
(73070, NULL, 'PTHR32077:SF19', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN-LIKE', NULL, NULL, NULL, 15),
(73071, NULL, 'PTHR22835:SF555', NULL, NULL, NULL, NULL, 'BNAA02G29130D PROTEIN', NULL, NULL, NULL, 15),
(73072, NULL, 'PTHR31247:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 198B', NULL, NULL, NULL, 15),
(73073, NULL, 'PTHR39198:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED', NULL, NULL, NULL, 15),
(73074, NULL, 'PTHR43701:SF5', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(73075, NULL, 'PTHR30557', NULL, NULL, NULL, NULL, 'THIAMINE BIOSYNTHESIS PROTEIN THIC', NULL, NULL, 4714, 15),
(73076, NULL, 'PTHR24329:SF516', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GOOSECOID', NULL, NULL, NULL, 15),
(73077, NULL, 'PTHR46385:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73078, NULL, 'PTHR31223:SF51', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG4-RELATED', NULL, NULL, NULL, 15),
(73079, NULL, 'PTHR42002', NULL, NULL, NULL, NULL, 'ANAEROBIC C4-DICARBOXYLATE TRANSPORTER DCUC-RELATED', NULL, NULL, 2982, 15),
(73080, NULL, 'PTHR14363:SF34', NULL, NULL, NULL, NULL, 'HEPARANASE-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(73081, NULL, 'PTHR45914:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LATE FLOWERING', NULL, NULL, NULL, 15),
(73082, NULL, 'PTHR34301:SF8', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(73083, NULL, 'PTHR23341:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73084, NULL, 'PTHR46057:SF14', NULL, NULL, NULL, NULL, 'OS02G0687200 PROTEIN', NULL, NULL, NULL, 15),
(73085, NULL, 'PTHR24238:SF29', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 83-RELATED', NULL, NULL, NULL, 15),
(73086, NULL, 'PTHR45738:SF20', NULL, NULL, NULL, NULL, 'BNAANNG13060D PROTEIN', NULL, NULL, NULL, 15),
(73087, NULL, 'PTHR18902:SF24', NULL, NULL, NULL, NULL, 'NUCLEAR MITOTIC APPARATUS PROTEIN 1', NULL, NULL, 24498, 15),
(73088, NULL, 'PTHR33305', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 2 PROTEIN', NULL, NULL, 5658, 15),
(73089, NULL, 'PTHR26452:SF223', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(73090, NULL, 'PTHR23011:SF35', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-BINDING DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 35263, 15),
(73091, NULL, 'PTHR46343', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 36734, 15),
(73092, NULL, 'PTHR23087:SF11', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP NUCLEOSOME-BINDING DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(73093, NULL, 'PTHR31221:SF199', NULL, NULL, NULL, NULL, 'BNACNNG26190D PROTEIN', NULL, NULL, NULL, 15),
(73094, NULL, 'PTHR32116:SF73', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(73095, NULL, 'PTHR34413', NULL, NULL, NULL, NULL, 'PROPHAGE TAIL FIBER ASSEMBLY PROTEIN HOMOLOG TFAE-RELATED-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73096, NULL, 'PTHR33388', NULL, NULL, NULL, NULL, 'OS01G0212500 PROTEIN', NULL, NULL, 31171, 15),
(73097, NULL, 'PTHR32448:SF16', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 17', NULL, NULL, NULL, 15),
(73098, NULL, 'PTHR24257:SF16', NULL, NULL, NULL, NULL, 'NEUTROPHIL ELASTASE', NULL, NULL, NULL, 15),
(73099, NULL, 'PTHR11017:SF353', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RRS1', NULL, NULL, NULL, 15),
(73100, NULL, 'PTHR12265:SF14', NULL, NULL, NULL, NULL, 'PAXU PROTEIN', NULL, NULL, NULL, 15),
(73101, NULL, 'PTHR47109:SF1', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(73102, NULL, 'PTHR43124:SF6', NULL, NULL, NULL, NULL, 'TRANSPORTER ARAJ-RELATED', NULL, NULL, NULL, 15),
(73103, NULL, 'PTHR24220:SF452', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(73104, NULL, 'PTHR26312:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73105, NULL, 'PTHR46053:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH4-LIKE', NULL, NULL, NULL, 15),
(73106, NULL, 'PTHR33179:SF63', NULL, NULL, NULL, NULL, 'BNAA05G36370D PROTEIN', NULL, NULL, NULL, 15),
(73107, NULL, 'PTHR13691:SF56', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L8-1', NULL, NULL, NULL, 15),
(73108, NULL, 'PTHR32552:SF82', NULL, NULL, NULL, NULL, 'FCUA PROTEIN', NULL, NULL, 23142, 15),
(73109, NULL, 'PTHR22984:SF24', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(73110, NULL, 'PTHR10177:SF458', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN-2', NULL, NULL, NULL, 15),
(73111, NULL, 'PTHR12210:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73112, NULL, 'PTHR10574:SF287', NULL, NULL, NULL, NULL, 'MULTIPLE EPIDERMAL GROWTH FACTOR-LIKE DOMAINS PROTEIN 8', NULL, NULL, NULL, 15),
(73113, NULL, 'PTHR24281:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73114, NULL, 'PTHR31857', NULL, NULL, NULL, NULL, 'HSSA/B-LIKE PROTEIN 17-RELATED', NULL, NULL, NULL, 15),
(73115, NULL, 'PTHR13068:SF139', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTEF1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(73116, NULL, 'PTHR10666:SF267', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN ISG15', NULL, NULL, NULL, 15),
(73117, NULL, 'PTHR46236:SF5', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE FAMILY C19-RELATED PROTEIN', NULL, NULL, NULL, 15),
(73118, NULL, 'PTHR10434:SF48', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(73119, NULL, 'PTHR36305', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROPHOSPHATASE A', NULL, NULL, 26359, 15),
(73120, NULL, 'PTHR47592:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73121, NULL, 'PTHR12011:SF452', NULL, NULL, NULL, NULL, 'SI:CH211-241F5.3', NULL, NULL, NULL, 15),
(73122, NULL, 'PTHR22769', NULL, NULL, NULL, NULL, 'MUTT/NUDIX HYDROLASE', NULL, NULL, NULL, 15),
(73123, NULL, 'PTHR30004:SF5', NULL, NULL, NULL, NULL, '4-HYDROXYTHREONINE-4-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(73124, NULL, 'PTHR12321:SF145', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 2', NULL, NULL, NULL, 15),
(73125, NULL, 'PTHR40741:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73126, NULL, 'PTHR23236:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73127, NULL, 'PTHR47988:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73128, NULL, 'PTHR10824:SF17', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 6-RELATED', NULL, NULL, NULL, 15),
(73129, NULL, 'PTHR36030:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73130, NULL, 'PTHR15938:SF0', NULL, NULL, NULL, NULL, 'HOMOLOGOUS-PAIRING PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(73131, NULL, 'PTHR15627:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73132, NULL, 'PTHR47353:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN HCF164, CHLOROPLASTIC', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73133, NULL, 'PTHR36746', NULL, NULL, NULL, NULL, 'BNAC04G51760D PROTEIN', NULL, NULL, NULL, 15),
(73134, NULL, 'PTHR33698', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2)-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73135, NULL, 'PTHR36838:SF1', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(73136, NULL, 'PTHR24103:SF635', NULL, NULL, NULL, NULL, 'BLOODTHIRSTY-RELATED GENE FAMILY, MEMBER 2', NULL, NULL, NULL, 15),
(73137, NULL, 'PTHR11829:SF347', NULL, NULL, NULL, NULL, 'FORKHEAD BOX I1', NULL, NULL, NULL, 15),
(73138, NULL, 'PTHR30098', NULL, NULL, NULL, NULL, 'LEUCYL/PHENYLALANYL-TRNA--PROTEIN TRANSFERASE', NULL, NULL, 2227, 15),
(73139, NULL, 'PTHR10722:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L19-2', NULL, NULL, NULL, 15),
(73140, NULL, 'PTHR23226:SF155', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 621', NULL, NULL, NULL, 15),
(73141, NULL, 'PTHR16059:SF25', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-RELATED ANONYMOUS PROTEIN', NULL, NULL, NULL, 15),
(73142, NULL, 'PTHR23349:SF72', NULL, NULL, NULL, NULL, 'HLH54F', NULL, NULL, NULL, 15),
(73143, NULL, 'PTHR10641:SF920', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR MIXTA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73144, NULL, 'PTHR11945:SF637', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2A', NULL, NULL, NULL, 15),
(73145, NULL, 'PTHR42057:SF2', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G00200)', NULL, NULL, NULL, 15),
(73146, NULL, 'PTHR22835:SF608', NULL, NULL, NULL, NULL, 'OS02G0608801 PROTEIN', NULL, NULL, NULL, 15),
(73147, NULL, 'PTHR19211:SF6', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(73148, NULL, 'PTHR48232', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73149, NULL, 'PTHR26454:SF152', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 212-RELATED', NULL, NULL, NULL, 15),
(73150, NULL, 'PTHR11599:SF114', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-7-B', NULL, NULL, NULL, 15),
(73151, NULL, 'PTHR45758:SF1', NULL, NULL, NULL, NULL, 'MITOFERRIN-2', NULL, NULL, NULL, 15),
(73152, NULL, 'PTHR34759:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 48', NULL, NULL, NULL, 15),
(73153, NULL, 'PTHR10811:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73154, NULL, 'PTHR31529:SF43', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(73155, NULL, 'PTHR24042:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73156, NULL, 'PTHR10546:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-225P5.8', NULL, NULL, NULL, 15),
(73157, NULL, 'PTHR35157:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM209A', NULL, NULL, NULL, 15),
(73158, NULL, 'PTHR42870', NULL, NULL, NULL, NULL, 'ACETYL-COA C-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(73159, NULL, 'PTHR40903:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73160, NULL, 'PTHR11850:SF89', NULL, NULL, NULL, NULL, 'PRE-B-CELL LEUKEMIA TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(73161, NULL, 'PTHR19211:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73162, NULL, 'PTHR46411:SF3', NULL, NULL, NULL, NULL, 'FAMILY ATPASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(73163, NULL, 'PTHR47974:SF13', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD3-1', NULL, NULL, NULL, 15),
(73164, NULL, 'PTHR12025', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR', NULL, NULL, NULL, 15),
(73165, NULL, 'PTHR44329:SF165', NULL, NULL, NULL, NULL, 'BNAA09G10470D PROTEIN', NULL, NULL, NULL, 15),
(73166, NULL, 'PTHR11266:SF18', NULL, NULL, NULL, NULL, 'OS12G0508100 PROTEIN', NULL, NULL, NULL, 15),
(73167, NULL, 'PTHR31342:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(73168, NULL, 'PTHR43420:SF34', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE YPEA', NULL, NULL, NULL, 15),
(73169, NULL, 'PTHR33083:SF19', NULL, NULL, NULL, NULL, 'OS05G0531100 PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73170, NULL, 'PTHR21198:SF7', NULL, NULL, NULL, NULL, 'ASPARTATE-GLUTAMATE RACEMASE FAMILY', NULL, NULL, 5639, 15),
(73171, NULL, 'PTHR11132:SF370', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(73172, NULL, 'PTHR38493:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1 OPEN READING FRAME 167', NULL, NULL, NULL, 15),
(73173, NULL, 'PTHR23179:SF38', NULL, NULL, NULL, NULL, '1700006A11RIK PROTEIN', NULL, NULL, NULL, 15),
(73174, NULL, 'PTHR31323:SF1', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN MSY2', NULL, NULL, NULL, 15),
(73175, NULL, 'PTHR23118:SF36', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE ALPHA CHAIN PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(73176, NULL, 'PTHR11949:SF17', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR LIKE PROTEIN ISOFORM X1', NULL, NULL, NULL, 15),
(73177, NULL, 'PTHR11017:SF225', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(73178, NULL, 'PTHR23048:SF5', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN 6B', NULL, NULL, NULL, 15),
(73179, NULL, 'PTHR13683:SF768', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(73180, NULL, 'PTHR38469', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 18792, 15),
(73181, NULL, 'PTHR47986:SF2', NULL, NULL, NULL, NULL, 'BNAA02G25970D PROTEIN', NULL, NULL, NULL, 15),
(73182, NULL, 'PTHR10155:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE REGULATORY SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(73183, NULL, 'PTHR12174:SF83', NULL, NULL, NULL, NULL, 'BNACNNG08820D PROTEIN', NULL, NULL, NULL, 15),
(73184, NULL, 'PTHR20855:SF40', NULL, NULL, NULL, NULL, 'ADIPONECTIN RECEPTOR PROTEIN 1', NULL, NULL, NULL, 15),
(73185, NULL, 'PTHR38563:SF1', NULL, NULL, NULL, NULL, 'FL(2)D-ASSOCIATED COMPLEX COMPONENT', NULL, NULL, NULL, 15),
(73186, NULL, 'PTHR33388:SF23', NULL, NULL, NULL, NULL, 'BNAA01G08040D PROTEIN', NULL, NULL, NULL, 15),
(73187, NULL, 'PTHR22850:SF82', NULL, NULL, NULL, NULL, 'HISTONE-BINDING PROTEIN RBBP7', NULL, NULL, NULL, 15),
(73188, NULL, 'PTHR23254:SF15', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(73189, NULL, 'PTHR10529:SF349', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT MU-1-RELATED', NULL, NULL, NULL, 15),
(73190, NULL, 'PTHR31238:SF222', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73191, NULL, 'PTHR10648:SF31', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE PP2A REGULATORY SUBUNIT A', NULL, NULL, NULL, 15),
(73192, NULL, 'PTHR32100:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73193, NULL, 'PTHR48022:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73194, NULL, 'PTHR31048:SF176', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73195, NULL, 'PTHR12890', NULL, NULL, NULL, NULL, 'DREV PROTEIN', NULL, NULL, 3458, 15),
(73196, NULL, 'PTHR33541:SF21', NULL, NULL, NULL, NULL, 'BNACNNG28490D PROTEIN', NULL, NULL, NULL, 15),
(73197, NULL, 'PTHR31474:SF4', NULL, NULL, NULL, NULL, 'BNAA10G27800D PROTEIN', NULL, NULL, NULL, 15),
(73198, NULL, 'PTHR12933:SF0', NULL, NULL, NULL, NULL, 'DIGESTIVE ORGAN EXPANSION FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(73199, NULL, 'PTHR32093:SF112', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(73200, NULL, 'PTHR28652:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 59', NULL, NULL, NULL, 15),
(73201, NULL, 'PTHR11452:SF79', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(73202, NULL, 'PTHR10695:SF49', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PHOSPHOPANTETHEINE ADENYLYLTRANSFERASE-DEPHOSPHO-COA KINASE', NULL, NULL, NULL, 15),
(73203, NULL, 'PTHR11863:SF193', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE CER1', NULL, NULL, NULL, 15),
(73204, NULL, 'PTHR45974:SF179', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73205, NULL, 'PTHR47992:SF92', NULL, NULL, NULL, NULL, 'CATALYTIC/PROTEIN PHOSPHATASE TYPE 2C', NULL, NULL, NULL, 15),
(73206, NULL, 'PTHR17224:SF7', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC GROUP IIB INTRON SPLICING FACILITATOR CRS2-A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(73207, NULL, 'PTHR44376:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR LEUNIG', NULL, NULL, NULL, 15),
(73208, NULL, 'PTHR31889:SF76', NULL, NULL, NULL, NULL, 'BNAC05G10370D PROTEIN', NULL, NULL, NULL, 15),
(73209, NULL, 'PTHR44489:SF9', NULL, NULL, NULL, NULL, 'BNAC03G15740D PROTEIN', NULL, NULL, NULL, 15),
(73210, NULL, 'PTHR43802', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE', NULL, NULL, NULL, 15),
(73211, NULL, 'PTHR12203:SF94', NULL, NULL, NULL, NULL, 'DUF821 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(73212, NULL, 'PTHR23502:SF166', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY MULTIDRUG TRANSPORTER MDRA', NULL, NULL, NULL, 15),
(73213, NULL, 'PTHR24410:SF23', NULL, NULL, NULL, NULL, 'HL07962P', NULL, NULL, NULL, 15),
(73214, NULL, 'PTHR46646:SF8', NULL, NULL, NULL, NULL, 'BNAA09G18670D PROTEIN', NULL, NULL, NULL, 15),
(73215, NULL, 'PTHR31325:SF198', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF594)-RELATED', NULL, NULL, NULL, 15),
(73216, NULL, 'PTHR11961:SF33', NULL, NULL, NULL, NULL, 'CYTOCHROME C', NULL, NULL, NULL, 15),
(73217, NULL, 'PTHR33403:SF31', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1-LIKE 1', NULL, NULL, NULL, 15),
(73218, NULL, 'PTHR14098:SF3', NULL, NULL, NULL, NULL, 'B-CELL LINKER PROTEIN', NULL, NULL, NULL, 15),
(73219, NULL, 'PTHR37611', NULL, NULL, NULL, NULL, 'VIRUS-SPECIFIC-SIGNALING-PATHWAY REGULATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(73220, NULL, 'PTHR31374:SF292', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN FAMILY, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(73221, NULL, 'PTHR46800:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(73222, NULL, 'PTHR47287:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73223, NULL, 'PTHR33133:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73224, NULL, 'PTHR39178', NULL, NULL, NULL, NULL, 'HYPOTHETICAL RIBOSOME-ASSOCIATED PROTEIN', NULL, NULL, 3837, 15),
(73225, NULL, 'PTHR24410:SF27', NULL, NULL, NULL, NULL, 'BTB DOMAIN CONTAINING 3', NULL, NULL, NULL, 15),
(73226, NULL, 'PTHR36013', NULL, NULL, NULL, NULL, 'ATP SYNTHASE 24 KDA SUBUNIT, MITOCHONDRIAL-RELATED', NULL, NULL, 25428, 15),
(73227, NULL, 'PTHR47990:SF168', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', NULL, NULL, NULL, 15),
(73228, NULL, 'PTHR46128:SF233', NULL, NULL, NULL, NULL, 'BNAA10G03810D PROTEIN', NULL, NULL, NULL, 15),
(73229, NULL, 'PTHR31506:SF36', NULL, NULL, NULL, NULL, 'OS01G0176900 PROTEIN', NULL, NULL, NULL, 15),
(73230, NULL, 'PTHR30582:SF4', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE YQJB-RELATED', NULL, NULL, NULL, 15),
(73231, NULL, 'PTHR31168:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73232, NULL, 'PTHR48018:SF161', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 983', NULL, NULL, NULL, 15),
(73233, NULL, 'PTHR33065:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73234, NULL, 'PTHR32370:SF77', NULL, NULL, NULL, NULL, 'OSJNBB0034I13.5 PROTEIN', NULL, NULL, NULL, 15),
(73235, NULL, 'PTHR43561', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73236, NULL, 'PTHR11017:SF251', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY-RELATED', NULL, NULL, NULL, 15),
(73237, NULL, 'PTHR47960:SF5', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 6', NULL, NULL, NULL, 15),
(73238, NULL, 'PTHR19944:SF94', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DQ ALPHA 2 CHAIN', NULL, NULL, NULL, 15),
(73239, NULL, 'PTHR48010:SF5', NULL, NULL, NULL, NULL, 'OS05G0170700 PROTEIN', NULL, NULL, NULL, 15),
(73240, NULL, 'PTHR39339:SF1', NULL, NULL, NULL, NULL, 'SLR1444 PROTEIN', NULL, NULL, NULL, 15),
(73241, NULL, 'PTHR11693:SF31', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT GAMMA, MITOCHONDRIAL', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73242, NULL, 'PTHR32444:SF57', NULL, NULL, NULL, NULL, 'EPIDERMIS-SPECIFIC SECRETED GLYCOPROTEIN EP1-LIKE', NULL, NULL, NULL, 15),
(73243, NULL, 'PTHR43859:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73244, NULL, 'PTHR16295:SF17', NULL, NULL, NULL, NULL, 'XIAP-ASSOCIATED FACTOR 1', NULL, NULL, 27416, 15),
(73245, NULL, 'PTHR11732:SF265', NULL, NULL, NULL, NULL, 'PROTEIN CBG06721', NULL, NULL, NULL, 15),
(73246, NULL, 'PTHR46053:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH4', NULL, NULL, NULL, 15),
(73247, NULL, 'PTHR27008:SF281', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(73248, NULL, 'PTHR11820:SF100', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_4G01490)', NULL, NULL, NULL, 15),
(73249, NULL, 'PTHR22777:SF15', NULL, NULL, NULL, NULL, 'UPF0053 INNER MEMBRANE PROTEIN YOAE', NULL, NULL, NULL, 15),
(73250, NULL, 'PTHR10438:SF387', NULL, NULL, NULL, NULL, 'THIOREDOXIN H-TYPE', NULL, NULL, NULL, 15),
(73251, NULL, 'PTHR30388', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDOREDUCTASE MOLYBDENUM COFACTOR ASSEMBLY PROTEIN', NULL, NULL, NULL, 15),
(73252, NULL, 'PTHR18966:SF349', NULL, NULL, NULL, NULL, 'FI04462P-RELATED', NULL, NULL, NULL, 15),
(73253, NULL, 'PTHR24220:SF494', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN YXDL', NULL, NULL, NULL, 15),
(73254, NULL, 'PTHR35895:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73255, NULL, 'PTHR12802:SF67', NULL, NULL, NULL, NULL, 'HISTONE H2A DEUBIQUITINASE MYSM1', NULL, NULL, 30983, 15),
(73256, NULL, 'PTHR15601:SF20', NULL, NULL, NULL, NULL, 'STRESS-ASSOCIATED ENDOPLASMIC RETICULUM PROTEIN 2', NULL, NULL, NULL, 15),
(73257, NULL, 'PTHR43395', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE CHEA', NULL, NULL, NULL, 15),
(73258, NULL, 'PTHR40381:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL TESTIS-SPECIFIC PROTEIN 1', NULL, NULL, NULL, 15),
(73259, NULL, 'PTHR21576:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73260, NULL, 'PTHR23406:SF77', NULL, NULL, NULL, NULL, 'MALIC ENZYME', NULL, NULL, NULL, 15),
(73261, NULL, 'PTHR45751:SF11', NULL, NULL, NULL, NULL, 'COPINE FAMILY PROTEIN 1', NULL, NULL, 26761, 15),
(73262, NULL, 'PTHR31081:SF18', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 1-LIKE', NULL, NULL, NULL, 15),
(73263, NULL, 'PTHR36066:SF13', NULL, NULL, NULL, NULL, 'BNAC02G43020D PROTEIN', NULL, NULL, NULL, 15),
(73264, NULL, 'PTHR43711:SF23', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE', NULL, NULL, NULL, 15),
(73265, NULL, 'PTHR48049:SF59', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(73266, NULL, 'PTHR43745:SF2', NULL, NULL, NULL, NULL, 'NITROREDUCTASE MJ1384-RELATED', NULL, NULL, NULL, 15),
(73267, NULL, 'PTHR31731:SF113', NULL, NULL, NULL, NULL, 'BNAANNG07280D PROTEIN', NULL, NULL, NULL, 15),
(73268, NULL, 'PTHR24058:SF103', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(73269, NULL, 'PTHR32295:SF181', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 8-RELATED', NULL, NULL, NULL, 15),
(73270, NULL, 'PTHR24096:SF384', NULL, NULL, NULL, NULL, 'BNAA09G19900D PROTEIN', NULL, NULL, NULL, 15),
(73271, NULL, 'PTHR43899:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73272, NULL, 'PTHR43725:SF30', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE GEPI48-RELATED', NULL, NULL, NULL, 15),
(73273, NULL, 'PTHR40644:SF1', NULL, NULL, NULL, NULL, 'UPF0653 PROTEIN C607.02C', NULL, NULL, NULL, 15),
(73274, NULL, 'PTHR43900:SF49', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTF1-RELATED', NULL, NULL, NULL, 15),
(73275, NULL, 'PTHR24221:SF550', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER RELATED', NULL, NULL, NULL, 15),
(73276, NULL, 'PTHR31917:SF50', NULL, NULL, NULL, NULL, 'DUF724 DOMAIN-CONTAINING PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(73277, NULL, 'PTHR16035:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FAM90A27P', NULL, NULL, NULL, 15),
(73278, NULL, 'PTHR20950:SF1', NULL, NULL, NULL, NULL, 'GALANIN-LIKE PEPTIDE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73279, NULL, 'PTHR43337:SF2', NULL, NULL, NULL, NULL, 'XANTHINE/URACIL PERMEASE-RELATED', NULL, NULL, NULL, 15),
(73280, NULL, 'PTHR34808:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73281, NULL, 'PTHR24366:SF113', NULL, NULL, NULL, NULL, 'LEUCINE-RICH TENDON-SPECIFIC PROTEIN, ISOFORM C', NULL, NULL, NULL, 15),
(73282, NULL, 'PTHR11675:SF50', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 8-RELATED', NULL, NULL, NULL, 15),
(73283, NULL, 'PTHR31216:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-5', NULL, NULL, NULL, 15),
(73284, NULL, 'PTHR11064:SF141', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-1', NULL, NULL, NULL, 15),
(73285, NULL, 'PTHR45707:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73286, NULL, 'PTHR22779', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 15112, 15),
(73287, NULL, 'PTHR47049:SF2', NULL, NULL, NULL, NULL, 'PIEZO-TYPE MECHANOSENSITIVE ION CHANNEL HOMOLOG', NULL, NULL, NULL, 15),
(73288, NULL, 'PTHR43675', NULL, NULL, NULL, NULL, 'ARSENITE METHYLTRANSFERASE', NULL, NULL, 22076, 15),
(73289, NULL, 'PTHR31282:SF165', NULL, NULL, NULL, NULL, 'WRKY DOMAIN, ZN-CLUSTER DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(73290, NULL, 'PTHR31218:SF221', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(73291, NULL, 'PTHR36576', NULL, NULL, NULL, NULL, 'UPF0654 PROTEIN C11D3.01C-RELATED', NULL, NULL, NULL, 15),
(73292, NULL, 'PTHR22594:SF52', NULL, NULL, NULL, NULL, 'BNAC03G13340D PROTEIN', NULL, NULL, NULL, 15),
(73293, NULL, 'PTHR31871:SF9', NULL, NULL, NULL, NULL, 'HELICASE WITH ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(73294, NULL, 'PTHR18919:SF147', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL ENZYME SUBUNIT BETA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(73295, NULL, 'PTHR42976', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL CHITINASE/LYSOZYME-RELATED', NULL, NULL, NULL, 15),
(73296, NULL, 'PTHR26453:SF69', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10G3', NULL, NULL, NULL, 15),
(73297, NULL, 'PTHR16516:SF7', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 8', NULL, NULL, NULL, 15),
(73298, NULL, 'PTHR46162:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73299, NULL, 'PTHR11592:SF75', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(73300, NULL, 'PTHR43540:SF14', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE-RELATED', NULL, NULL, NULL, 15),
(73301, NULL, 'PTHR45647:SF103', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(73302, NULL, 'PTHR47724', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP26-2, CHLOROPLASTIC', NULL, NULL, 37174, 15),
(73303, NULL, 'PTHR45680:SF17', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(73304, NULL, 'PTHR12320:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(73305, NULL, 'PTHR35035', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73306, NULL, 'PTHR11062:SF125', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS01G0926400-RELATED', NULL, NULL, NULL, 15),
(73307, NULL, 'PTHR42155', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT ZETA', NULL, NULL, 34365, 15),
(73308, NULL, 'PTHR23266:SF312', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION 36-65-RELATED', NULL, NULL, NULL, 15),
(73309, NULL, 'PTHR33337:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73310, NULL, 'PTHR11903:SF27', NULL, NULL, NULL, NULL, 'ALPHA-DIOXYGENASE 1-LIKE', NULL, NULL, NULL, 15),
(73311, NULL, 'PTHR11802:SF258', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(73312, NULL, 'PTHR21041:SF17', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DCST1', NULL, NULL, NULL, 15),
(73313, NULL, 'PTHR33070:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73314, NULL, 'PTHR10489:SF608', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 4', NULL, NULL, 6356, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73315, NULL, 'PTHR45658:SF88', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(73316, NULL, 'PTHR12137:SF2', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 10', NULL, NULL, NULL, 15),
(73317, NULL, 'PTHR33286:SF7', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(73318, NULL, 'PTHR23032:SF13', NULL, NULL, NULL, NULL, 'OSJNBA0038O10.19 PROTEIN', NULL, NULL, NULL, 15),
(73319, NULL, 'PTHR47990:SF42', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE', NULL, NULL, NULL, 15),
(73320, NULL, 'PTHR23430:SF225', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(73321, NULL, 'PTHR23430:SF273', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(73322, NULL, 'PTHR13683:SF843', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1-LIKE', NULL, NULL, NULL, 15),
(73323, NULL, 'PTHR35717', NULL, NULL, NULL, NULL, 'OS05G0156200 PROTEIN', NULL, NULL, NULL, 15),
(73324, NULL, 'PTHR33832:SF19', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR TYPE-2 CEVI57', NULL, NULL, NULL, 15),
(73325, NULL, 'PTHR22298:SF29', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 4', NULL, NULL, NULL, 15),
(73326, NULL, 'PTHR31934:SF6', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(73327, NULL, 'PTHR24095:SF249', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', NULL, NULL, NULL, 15),
(73328, NULL, 'PTHR46316:SF14', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-1-LIKE', NULL, NULL, NULL, 15),
(73329, NULL, 'PTHR33384:SF26', NULL, NULL, NULL, NULL, 'BNAA08G24300D PROTEIN', NULL, NULL, NULL, 15),
(73330, NULL, 'PTHR31282:SF89', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(73331, NULL, 'PTHR42993:SF1', NULL, NULL, NULL, NULL, 'MAOC-LIKE DEHYDRATASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(73332, NULL, 'PTHR12526:SF575', NULL, NULL, NULL, NULL, 'TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(73333, NULL, 'PTHR46681:SF1', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN NDC80 HOMOLOG', NULL, NULL, NULL, 15),
(73334, NULL, 'PTHR32096:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73335, NULL, 'PTHR12300:SF138', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73336, NULL, 'PTHR34781:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73337, NULL, 'PTHR45914:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HEC3-LIKE', NULL, NULL, NULL, 15),
(73338, NULL, 'PTHR32285:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73339, NULL, 'PTHR48018:SF12', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(73340, NULL, 'PTHR33416:SF16', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP1', NULL, NULL, NULL, 15),
(73341, NULL, 'PTHR10795:SF573', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE II-RELATED', NULL, NULL, NULL, 15),
(73342, NULL, 'PTHR47219:SF3', NULL, NULL, NULL, NULL, 'RAB GTPASE-ACTIVATING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(73343, NULL, 'PTHR22996:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73344, NULL, 'PTHR23017:SF43', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(73345, NULL, 'PTHR32455:SF1', NULL, NULL, NULL, NULL, 'SPERM ACROSOME-ASSOCIATED PROTEIN 9', NULL, NULL, NULL, 15),
(73346, NULL, 'PTHR31741:SF55', NULL, NULL, NULL, NULL, 'GDP-FUCOSE O-FUCOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73347, NULL, 'PTHR10686:SF36', NULL, NULL, NULL, NULL, 'AGAP006349-PA', NULL, NULL, NULL, 15),
(73348, NULL, 'PTHR34851:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG17557', NULL, NULL, NULL, 15),
(73349, NULL, 'PTHR43616:SF5', NULL, NULL, NULL, NULL, 'GLYCEROL DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(73350, NULL, 'PTHR32212:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73351, NULL, 'PTHR23235:SF50', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 6', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73352, NULL, 'PTHR11973:SF18', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN MUC18', NULL, NULL, NULL, 15),
(73353, NULL, 'PTHR31896:SF42', NULL, NULL, NULL, NULL, 'ANTHRANILATE N-HYDROXYCINNAMOYL/BENZOYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73354, NULL, 'PTHR31917:SF39', NULL, NULL, NULL, NULL, 'PLANT TUDOR-LIKE RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(73355, NULL, 'PTHR13822:SF19', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT DELTA'', MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(73356, NULL, 'PTHR37378:SF2', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE WOUND-INDUCED PROTEINASE INHIBITOR WIP1', NULL, NULL, NULL, 15),
(73357, NULL, 'PTHR35674', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE CK137956', NULL, NULL, 26627, 15),
(73358, NULL, 'PTHR20986:SF19', NULL, NULL, NULL, NULL, 'FMRFAMIDE-LIKE NEUROPEPTIDES 3', NULL, NULL, NULL, 15),
(73359, NULL, 'PTHR38819', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 20A-RELATED', NULL, NULL, 27065, 15),
(73360, NULL, 'PTHR12097', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B, SUBUNIT 1-RELATED', NULL, NULL, 35826, 15),
(73361, NULL, 'PTHR34630:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73362, NULL, 'PTHR11550:SF0', NULL, NULL, NULL, NULL, 'CTP SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(73363, NULL, 'PTHR46979', NULL, NULL, NULL, NULL, 'SORTING NEXIN-41', NULL, NULL, NULL, 15),
(73364, NULL, 'PTHR32054:SF61', NULL, NULL, NULL, NULL, 'OS12G0182100 PROTEIN', NULL, NULL, NULL, 15),
(73365, NULL, 'PTHR30288:SF0', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(73366, NULL, 'PTHR12304:SF54', NULL, NULL, NULL, NULL, 'URIDINE NUCLEOSIDASE 2-RELATED', NULL, NULL, NULL, 15),
(73367, NULL, 'PTHR47804', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L19', NULL, NULL, NULL, 15),
(73368, NULL, 'PTHR22952:SF432', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(73369, NULL, 'PTHR33870:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73370, NULL, 'PTHR10252:SF107', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-4', NULL, NULL, NULL, 15),
(73371, NULL, 'PTHR45988:SF18', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY', NULL, NULL, NULL, 15),
(73372, NULL, 'PTHR46344:SF11', NULL, NULL, NULL, NULL, 'OSJNBB0089B03.12 PROTEIN', NULL, NULL, NULL, 15),
(73373, NULL, 'PTHR12542:SF84', NULL, NULL, NULL, NULL, 'OS01G0921400 PROTEIN', NULL, NULL, NULL, 15),
(73374, NULL, 'PTHR11616:SF279', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT SEROTONIN TRANSPORTER', NULL, NULL, NULL, 15),
(73375, NULL, 'PTHR13503:SF3', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR B', NULL, NULL, NULL, 15),
(73376, NULL, 'PTHR16716', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7B, MITOCHONDRIAL', NULL, NULL, 8967, 15),
(73377, NULL, 'PTHR46159:SF15', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 4', NULL, NULL, NULL, 15),
(73378, NULL, 'PTHR13723:SF144', NULL, NULL, NULL, NULL, 'ADAMTS-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(73379, NULL, 'PTHR24326:SF553', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-23', NULL, NULL, NULL, 15),
(73380, NULL, 'PTHR38462', NULL, NULL, NULL, NULL, 'EXONUCLEASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73381, NULL, 'PTHR46669:SF2', NULL, NULL, NULL, NULL, 'EG:BACN32G11.3 PROTEIN', NULL, NULL, NULL, 15),
(73382, NULL, 'PTHR33178:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73383, NULL, 'PTHR12864:SF48', NULL, NULL, NULL, NULL, 'SPRY DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(73384, NULL, 'PTHR43289:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK6', NULL, NULL, NULL, 15),
(73385, NULL, 'PTHR47364:SF15', NULL, NULL, NULL, NULL, 'PHYTOCYSTATIN 5-2', NULL, NULL, NULL, 15),
(73386, NULL, 'PTHR31722:SF33', NULL, NULL, NULL, NULL, 'COPPER-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(73387, NULL, 'PTHR12027:SF37', NULL, NULL, NULL, NULL, 'PROTEIN WNT', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73388, NULL, 'PTHR47988:SF28', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73389, NULL, 'PTHR23502:SF151', NULL, NULL, NULL, NULL, 'MFS MULTIDRUG TRANSPORTER', NULL, NULL, NULL, 15),
(73390, NULL, 'PTHR11871:SF39', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', NULL, NULL, NULL, 15),
(73391, NULL, 'PTHR33098:SF49', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', NULL, NULL, NULL, 15),
(73392, NULL, 'PTHR46035:SF4', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 4', NULL, NULL, NULL, 15),
(73393, NULL, 'PTHR24115:SF584', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KLP98A', NULL, NULL, NULL, 15),
(73394, NULL, 'PTHR21139:SF26', NULL, NULL, NULL, NULL, 'BNAA04G12000D PROTEIN', NULL, NULL, NULL, 15),
(73395, NULL, 'PTHR23055:SF70', NULL, NULL, NULL, NULL, 'HIPPOCALCIN-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(73396, NULL, 'PTHR45693:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGAL10', NULL, NULL, NULL, 15),
(73397, NULL, 'PTHR47201:SF1', NULL, NULL, NULL, NULL, 'BNAC09G30780D PROTEIN', NULL, NULL, NULL, 15),
(73398, NULL, 'PTHR20961:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73399, NULL, 'PTHR22989:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG13050', NULL, NULL, NULL, 15),
(73400, NULL, 'PTHR20905:SF31', NULL, NULL, NULL, NULL, 'DOPAMINE N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(73401, NULL, 'PTHR38828:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73402, NULL, 'PTHR35767:SF1', NULL, NULL, NULL, NULL, 'HAPLESS PROTEIN', NULL, NULL, NULL, 15),
(73403, NULL, 'PTHR31321:SF104', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(73404, NULL, 'PTHR23032:SF8', NULL, NULL, NULL, NULL, 'BNAC05G13880D PROTEIN', NULL, NULL, NULL, 15),
(73405, NULL, 'PTHR31087:SF14', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 17', NULL, NULL, NULL, 15),
(73406, NULL, 'PTHR16736:SF5', NULL, NULL, NULL, NULL, 'CORTEXIN DOMAIN-CONTAINING 1', NULL, NULL, NULL, 15),
(73407, NULL, 'PTHR33880:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(73408, NULL, 'PTHR10840:SF3', NULL, NULL, NULL, NULL, 'BNAA07G07610D PROTEIN', NULL, NULL, NULL, 15),
(73409, NULL, 'PTHR31636:SF234', NULL, NULL, NULL, NULL, 'PROTEIN GAI1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(73410, NULL, 'PTHR24286:SF280', NULL, NULL, NULL, NULL, 'BNAA09G02720D PROTEIN', NULL, NULL, NULL, 15),
(73411, NULL, 'PTHR12145:SF37', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,6-ALPHA-MANNOSIDASE', NULL, NULL, NULL, 15),
(73412, NULL, 'PTHR12943', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE-RESPONSIVE ENDOPLASMIC RETICULUM-RESIDENT UNIQUITIN-LIKE DOMAIN HERPUD PROTEIN FAMILY MEMBER', NULL, NULL, 33501, 15),
(73413, NULL, 'PTHR36389:SF1', NULL, NULL, NULL, NULL, 'OS05G0110100 PROTEIN', NULL, NULL, NULL, 15),
(73414, NULL, 'PTHR13416', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 13725, 15),
(73415, NULL, 'PTHR31998:SF17', NULL, NULL, NULL, NULL, 'K(+)-INSENSITIVE PYROPHOSPHATE-ENERGIZED PROTON PUMP', NULL, NULL, NULL, 15),
(73416, NULL, 'PTHR10553:SF23', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', NULL, NULL, NULL, 15),
(73417, NULL, 'PTHR31165:SF9', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 6', NULL, NULL, NULL, 15),
(73418, NULL, 'PTHR42958', NULL, NULL, NULL, NULL, 'HYDROGENASE-2 LARGE CHAIN', NULL, NULL, NULL, 15),
(73419, NULL, 'PTHR14684', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 36752, 15),
(73420, NULL, 'PTHR27008:SF264', NULL, NULL, NULL, NULL, 'OS10G0375000 PROTEIN', NULL, NULL, NULL, 15),
(73421, NULL, 'PTHR23266:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73422, NULL, 'PTHR43344:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE', NULL, NULL, NULL, 15),
(73423, NULL, 'PTHR40434:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73424, NULL, 'PTHR42871', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73425, NULL, 'PTHR33706:SF2', NULL, NULL, NULL, NULL, 'MORN VARIANT REPEAT PROTEIN', NULL, NULL, NULL, 15),
(73426, NULL, 'PTHR43396:SF6', NULL, NULL, NULL, NULL, 'ABL201WP', NULL, NULL, NULL, 15),
(73427, NULL, 'PTHR21230:SF80', NULL, NULL, NULL, NULL, 'BNAANNG15710D PROTEIN', NULL, NULL, NULL, 15),
(73428, NULL, 'PTHR16059:SF16', NULL, NULL, NULL, NULL, 'ANTHRAX TOXIN RECEPTOR-LIKE', NULL, NULL, NULL, 15),
(73429, NULL, 'PTHR33831:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73430, NULL, 'PTHR10218:SF230', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(K) SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(73431, NULL, 'PTHR18964', NULL, NULL, NULL, NULL, 'ROK (REPRESSOR, ORF, KINASE) FAMILY', NULL, NULL, 5890, 15),
(73432, NULL, 'PTHR45622', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE E3A-RELATED', NULL, NULL, NULL, 15),
(73433, NULL, 'PTHR24416:SF131', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR 1', NULL, NULL, NULL, 15),
(73434, NULL, 'PTHR37067:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73435, NULL, 'PTHR12233:SF17', NULL, NULL, NULL, NULL, 'BNACNNG76240D PROTEIN', NULL, NULL, NULL, 15),
(73436, NULL, 'PTHR28011', NULL, NULL, NULL, NULL, 'NON-CLASSICAL EXPORT PROTEIN 1', NULL, NULL, 20009, 15),
(73437, NULL, 'PTHR45724:SF35', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP5-1-RELATED', NULL, NULL, NULL, 15),
(73438, NULL, 'PTHR14432', NULL, NULL, NULL, NULL, 'PROSAPIP2 PROTEIN/5-AZACYTIDINE INDUCED GENE 2', NULL, NULL, NULL, 15),
(73439, NULL, 'PTHR31471:SF11', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(73440, NULL, 'PTHR31155:SF9', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(73441, NULL, 'PTHR31985:SF91', NULL, NULL, NULL, NULL, 'OS05G0420300 PROTEIN', NULL, NULL, NULL, 15),
(73442, NULL, 'PTHR31589:SF52', NULL, NULL, NULL, NULL, 'OS07G0205500 PROTEIN', NULL, NULL, NULL, 15),
(73443, NULL, 'PTHR16228:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CBG20346', NULL, NULL, NULL, 15),
(73444, NULL, 'PTHR23423:SF75', NULL, NULL, NULL, NULL, 'BNAC02G48440D PROTEIN', NULL, NULL, NULL, 15),
(73445, NULL, 'PTHR28018:SF5', NULL, NULL, NULL, NULL, 'HYPOXIA-RESPONSIVE FAMILY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(73446, NULL, 'PTHR14388:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG08374', NULL, NULL, NULL, 15),
(73447, NULL, 'PTHR43404:SF1', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE CHOLINEPHOSPHOTRANSFERASE LICD', NULL, NULL, NULL, 15),
(73448, NULL, 'PTHR11514:SF126', NULL, NULL, NULL, NULL, 'BNAA09G18200D PROTEIN', NULL, NULL, NULL, 15),
(73449, NULL, 'PTHR16201:SF44', NULL, NULL, NULL, NULL, 'SEVEN TRANSMEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(73450, NULL, 'PTHR20961:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73451, NULL, 'PTHR24249:SF78', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 7A-RELATED', NULL, NULL, NULL, 15),
(73452, NULL, 'PTHR14179:SF8', NULL, NULL, NULL, NULL, 'OPIORPHIN PREPROPEPTIDE', NULL, NULL, NULL, 15),
(73453, NULL, 'PTHR45669:SF36', NULL, NULL, NULL, NULL, 'GRX1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(73454, NULL, 'PTHR19317:SF58', NULL, NULL, NULL, NULL, 'OS03G0741600 PROTEIN', NULL, NULL, NULL, 15),
(73455, NULL, 'PTHR18934:SF203', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(73456, NULL, 'PTHR19288:SF69', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(73457, NULL, 'PTHR21650', NULL, NULL, NULL, NULL, 'MEMBRALIN/KINETOCHORE PROTEIN NUF2', NULL, NULL, NULL, 15),
(73458, NULL, 'PTHR23118:SF38', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE ALPHA CHAIN PROTEIN 3', NULL, NULL, NULL, 15),
(73459, NULL, 'PTHR12565:SF343', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBI1', NULL, NULL, NULL, 15),
(73460, NULL, 'PTHR48053:SF71', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(73461, NULL, 'PTHR33640:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73462, NULL, 'PTHR12905:SF27', NULL, NULL, NULL, NULL, 'ESTER HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03130)-RELATED', NULL, NULL, NULL, 15),
(73463, NULL, 'PTHR11739:SF4', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE, PEROXISOMAL', NULL, NULL, NULL, 15),
(73464, NULL, 'PTHR23419:SF2', NULL, NULL, NULL, NULL, 'CUTA DIVALENT CATION TOLERANCE HOMOLOG-LIKE', NULL, NULL, NULL, 15),
(73465, NULL, 'PTHR45808', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 68F', NULL, NULL, NULL, 15),
(73466, NULL, 'PTHR11014:SF108', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1', NULL, NULL, NULL, 15),
(73467, NULL, 'PTHR38687:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DEDD', NULL, NULL, NULL, 15),
(73468, NULL, 'PTHR33608', NULL, NULL, NULL, NULL, 'BLL2464 PROTEIN', NULL, NULL, NULL, 15),
(73469, NULL, 'PTHR13630:SF1', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(73470, NULL, 'PTHR18874', NULL, NULL, NULL, NULL, 'CMF/LEK/CENP CELL DIVISION-RELATED', NULL, NULL, 37095, 15),
(73471, NULL, 'PTHR24073:SF858', NULL, NULL, NULL, NULL, 'DRAB5', NULL, NULL, NULL, 15),
(73472, NULL, 'PTHR31917:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73473, NULL, 'PTHR11157', NULL, NULL, NULL, NULL, 'FATTY ACID ACYL TRANSFERASE-RELATED', NULL, NULL, 5141, 15),
(73474, NULL, 'PTHR47260:SF2', NULL, NULL, NULL, NULL, 'THIOESTERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G08890)', NULL, NULL, NULL, 15),
(73475, NULL, 'PTHR23033:SF7', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(73476, NULL, 'PTHR44375:SF21', NULL, NULL, NULL, NULL, 'BNAA02G04430D PROTEIN', NULL, NULL, NULL, 15),
(73477, NULL, 'PTHR10533', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y/PANCREATIC HORMONE/PEPTIDE YY', NULL, NULL, 2207, 15),
(73478, NULL, 'PTHR31558:SF3', NULL, NULL, NULL, NULL, 'CW14 PROTEIN', NULL, NULL, NULL, 15),
(73479, NULL, 'PTHR12892:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG16685', NULL, NULL, NULL, 15),
(73480, NULL, 'PTHR46371:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73481, NULL, 'PTHR24107:SF2', NULL, NULL, NULL, NULL, 'MAP-HOMOLOGOUS PROTEIN 1', NULL, NULL, NULL, 15),
(73482, NULL, 'PTHR33939:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG22215', NULL, NULL, NULL, 15),
(73483, NULL, 'PTHR34355:SF7', NULL, NULL, NULL, NULL, 'JOSEPHIN PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73484, NULL, 'PTHR45857:SF2', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 1', NULL, NULL, 28343, 15),
(73485, NULL, 'PTHR11226:SF0', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE:GLYCOPROTEIN GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(73486, NULL, 'PTHR14002:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73487, NULL, 'PTHR33127:SF66', NULL, NULL, NULL, NULL, 'OS09G0385000 PROTEIN', NULL, NULL, NULL, 15),
(73488, NULL, 'PTHR36359', NULL, NULL, NULL, NULL, 'PROTEIN RESISTANCE TO PHYTOPHTHORA 1, CHLOROPLASTIC', NULL, NULL, 38445, 15),
(73489, NULL, 'PTHR30133:SF1', NULL, NULL, NULL, NULL, 'HISTIDINE TRANSPORT SYSTEM PERMEASE PROTEIN HISQ', NULL, NULL, 27581, 15),
(73490, NULL, 'PTHR32285:SF253', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(73491, NULL, 'PTHR11011:SF12', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(73492, NULL, 'PTHR32134:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73493, NULL, 'PTHR33870:SF1', NULL, NULL, NULL, NULL, 'OS03G0862000 PROTEIN', NULL, NULL, NULL, 15),
(73494, NULL, 'PTHR14543:SF1', NULL, NULL, NULL, NULL, 'PROTRUDIN', NULL, NULL, NULL, 15),
(73495, NULL, 'PTHR12560:SF43', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 6', NULL, NULL, NULL, 15),
(73496, NULL, 'PTHR31625:SF47', NULL, NULL, NULL, NULL, 'PHENOLIC GLUCOSIDE MALONYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(73497, NULL, 'PTHR30038', NULL, NULL, NULL, NULL, 'ALDEHYDE FERREDOXIN OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(73498, NULL, 'PTHR31341:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73499, NULL, 'PTHR33154:SF18', NULL, NULL, NULL, NULL, 'ARSENICAL RESISTANCE OPERON REPRESSOR', NULL, NULL, NULL, 15),
(73500, NULL, 'PTHR22929', NULL, NULL, NULL, NULL, 'RNA POLYMERASE III TRANSCRIPTION INITIATION FACTOR B', NULL, NULL, NULL, 15),
(73501, NULL, 'PTHR10614:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73502, NULL, 'PTHR10996:SF262', NULL, NULL, NULL, NULL, 'HYDROXYPHENYLPYRUVATE REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(73503, NULL, 'PTHR24376:SF130', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 384', NULL, NULL, NULL, 15),
(73504, NULL, 'PTHR48006:SF21', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID LRR RECEPTOR KINASE-LIKE', NULL, NULL, NULL, 15),
(73505, NULL, 'PTHR12814:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73506, NULL, 'PTHR42734:SF16', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(73507, NULL, 'PTHR12642:SF6', NULL, NULL, NULL, NULL, 'BNAA10G30340D PROTEIN', NULL, NULL, NULL, 15),
(73508, NULL, 'PTHR10177', NULL, NULL, NULL, NULL, 'CYCLINS', NULL, NULL, 35566, 15),
(73509, NULL, 'PTHR42721:SF15', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 5-RELATED', NULL, NULL, NULL, 15),
(73510, NULL, 'PTHR22765:SF274', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', NULL, NULL, NULL, 15),
(73511, NULL, 'PTHR46193:SF13', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE DOMAIN-CONTAINING PROTEIN SGPP', NULL, NULL, NULL, 15),
(73512, NULL, 'PTHR33431:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73513, NULL, 'PTHR32332', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE', NULL, NULL, NULL, 15),
(73514, NULL, 'PTHR47178:SF5', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, FAD-BINDING', NULL, NULL, NULL, 15),
(73515, NULL, 'PTHR18968:SF156', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE LARGE SUBUNIT ILVG', NULL, NULL, NULL, 15),
(73516, NULL, 'PTHR47894', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GADX', NULL, NULL, NULL, 15),
(73517, NULL, 'PTHR12902:SF33', NULL, NULL, NULL, NULL, 'PROTEIN SCAR1', NULL, NULL, NULL, 15),
(73518, NULL, 'PTHR26450:SF3', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52E1', NULL, NULL, NULL, 15),
(73519, NULL, 'PTHR13844:SF44', NULL, NULL, NULL, NULL, 'PROTEIN TRI1-LIKE', NULL, NULL, NULL, 15),
(73520, NULL, 'PTHR31248:SF18', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN A3-LIKE', NULL, NULL, NULL, 15),
(73521, NULL, 'PTHR10281:SF90', NULL, NULL, NULL, NULL, 'STEROID-BINDING PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(73522, NULL, 'PTHR33078:SF26', NULL, NULL, NULL, NULL, 'PROTEIN YCF2', NULL, NULL, NULL, 15),
(73523, NULL, 'PTHR11787:SF18', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', NULL, NULL, NULL, 15),
(73524, NULL, 'PTHR35403', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73525, NULL, 'PTHR28189', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA', NULL, NULL, 32694, 15),
(73526, NULL, 'PTHR31238:SF37', NULL, NULL, NULL, NULL, 'OXALATE DECARBOXYLASE OXDC', NULL, NULL, NULL, 15),
(73527, NULL, 'PTHR12411:SF680', NULL, NULL, NULL, NULL, 'ORYZAIN BETA CHAIN', NULL, NULL, NULL, 15),
(73528, NULL, 'PTHR45339', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE J', NULL, NULL, NULL, 15),
(73529, NULL, 'PTHR14237:SF69', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL AMIDOXIME-REDUCING COMPONENT 1-LIKE', NULL, NULL, NULL, 15),
(73530, NULL, 'PTHR12223:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73531, NULL, 'PTHR31388:SF23', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(73532, NULL, 'PTHR24225:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73533, NULL, 'PTHR47924:SF12', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(73534, NULL, 'PTHR12308:SF37', NULL, NULL, NULL, NULL, 'ANOCTAMIN-9', NULL, NULL, 22838, 15),
(73535, NULL, 'PTHR11011:SF68', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73536, NULL, 'PTHR22945:SF83', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)-RELATED', NULL, NULL, NULL, 15),
(73537, NULL, 'PTHR31509:SF123', NULL, NULL, NULL, NULL, 'PROTEIN BPS1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(73538, NULL, 'PTHR42721:SF31', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 3 C-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(73539, NULL, 'PTHR36562', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX 2', NULL, NULL, NULL, 15),
(73540, NULL, 'PTHR46412:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BIM2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(73541, NULL, 'PTHR31374:SF185', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(73542, NULL, 'PTHR45657:SF30', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH12-LIKE', NULL, NULL, NULL, 15),
(73543, NULL, 'PTHR11767:SF6', NULL, NULL, NULL, NULL, 'ATP-SENSITIVE INWARD RECTIFIER POTASSIUM CHANNEL 1', NULL, NULL, 3197, 15),
(73544, NULL, 'PTHR33470:SF4', NULL, NULL, NULL, NULL, 'OS01G0164075 PROTEIN', NULL, NULL, NULL, 15),
(73545, NULL, 'PTHR12714:SF23', NULL, NULL, NULL, NULL, 'PROTEIN-S-ISOPRENYLCYSTEINE O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(73546, NULL, 'PTHR31089:SF37', NULL, NULL, NULL, NULL, 'DOF DOMAIN, ZINC FINGER FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(73547, NULL, 'PTHR43163:SF6', NULL, NULL, NULL, NULL, 'DIPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN DPPB-RELATED', NULL, NULL, NULL, 15),
(73548, NULL, 'PTHR31201:SF1', NULL, NULL, NULL, NULL, 'OS01G0585100 PROTEIN', NULL, NULL, NULL, 15),
(73549, NULL, 'PTHR31558:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73550, NULL, 'PTHR43503', NULL, NULL, NULL, NULL, 'MCG48959-RELATED', NULL, NULL, NULL, 15),
(73551, NULL, 'PTHR22814:SF138', NULL, NULL, NULL, NULL, 'COPPER-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(73552, NULL, 'PTHR42760:SF76', NULL, NULL, NULL, NULL, 'CHAIN OXIDOREDUCTASE/DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(73553, NULL, 'PTHR11278:SF3', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15),
(73554, NULL, 'PTHR10010:SF47', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 34 MEMBER 2A', NULL, NULL, NULL, 15),
(73555, NULL, 'PTHR11071:SF505', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE 1', NULL, NULL, NULL, 15),
(73556, NULL, 'PTHR11806:SF0', NULL, NULL, NULL, NULL, 'PROTEIN MTO1 HOMOLOG, MITOCHONDRIAL', NULL, NULL, 7306, 15),
(73557, NULL, 'PTHR10799:SF923', NULL, NULL, NULL, NULL, 'HELICASE, LYMPHOID-SPECIFIC', NULL, NULL, NULL, 15),
(73558, NULL, 'PTHR33110:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73559, NULL, 'PTHR36142:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73560, NULL, 'PTHR43808:SF17', NULL, NULL, NULL, NULL, 'DEACETYLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(73561, NULL, 'PTHR31175:SF63', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR67', NULL, NULL, NULL, 15),
(73562, NULL, 'PTHR11017:SF354', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN N, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(73563, NULL, 'PTHR45770:SF32', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 6', NULL, NULL, NULL, 15),
(73564, NULL, 'PTHR16897:SF2', NULL, NULL, NULL, NULL, 'OS10G0105400 PROTEIN', NULL, NULL, NULL, 15),
(73565, NULL, 'PTHR24256:SF517', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73566, NULL, 'PTHR23024:SF525', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(73567, NULL, 'PTHR46086:SF13', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE-RELATED', NULL, NULL, NULL, 15),
(73568, NULL, 'PTHR15039', NULL, NULL, NULL, NULL, 'DOLICHOL PHOSPHATE-MANNOSE BIOSYNTHESIS REGULATORY PROTEIN', NULL, NULL, 14895, 15),
(73569, NULL, 'PTHR24340:SF28', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-2.5', NULL, NULL, 36278, 15),
(73570, NULL, 'PTHR17098:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 1', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73571, NULL, 'PTHR33730:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73572, NULL, 'PTHR36003:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73573, NULL, 'PTHR10992:SF1010', NULL, NULL, NULL, NULL, 'METHYLESTERASE 17-LIKE', NULL, NULL, NULL, 15),
(73574, NULL, 'PTHR12537:SF12', NULL, NULL, NULL, NULL, 'MATERNAL PROTEIN PUMILIO', NULL, NULL, NULL, 15),
(73575, NULL, 'PTHR15379', NULL, NULL, NULL, NULL, 'CELL GROWTH REGULATOR WITH RING FINGER DOMAIN PROTEIN 1', NULL, NULL, 39485, 15),
(73576, NULL, 'PTHR33021:SF308', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(73577, NULL, 'PTHR32212:SF336', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(73578, NULL, 'PTHR43523:SF23', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(73579, NULL, 'PTHR37077:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73580, NULL, 'PTHR32141:SF99', NULL, NULL, NULL, NULL, 'OS12G0557900 PROTEIN', NULL, NULL, NULL, 15),
(73581, NULL, 'PTHR28441:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73582, NULL, 'PTHR31828:SF28', NULL, NULL, NULL, NULL, 'BNAC04G52540D PROTEIN', NULL, NULL, NULL, 15),
(73583, NULL, 'PTHR34554:SF2', NULL, NULL, NULL, NULL, 'RGS1-HXK1-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(73584, NULL, 'PTHR37533:SF2', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK-LENGTH CONTROL PROTEIN', NULL, NULL, NULL, 15),
(73585, NULL, 'PTHR30469:SF16', NULL, NULL, NULL, NULL, 'HAE1 FAMILY EFFLUX PUMP MFP COMPONENT', NULL, NULL, NULL, 15),
(73586, NULL, 'PTHR23160:SF15', NULL, NULL, NULL, NULL, 'BNAC01G20180D PROTEIN', NULL, NULL, NULL, 15),
(73587, NULL, 'PTHR23028:SF53', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(73588, NULL, 'PTHR48109:SF3', NULL, NULL, NULL, NULL, 'SLL0744 PROTEIN', NULL, NULL, NULL, 15),
(73589, NULL, 'PTHR19241:SF313', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 44', NULL, NULL, NULL, 15),
(73590, NULL, 'PTHR24060', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(73591, NULL, 'PTHR22765:SF277', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE RIN3', NULL, NULL, NULL, 15),
(73592, NULL, 'PTHR10791:SF36', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(73593, NULL, 'PTHR47539:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN OTP51, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(73594, NULL, 'PTHR27004:SF59', NULL, NULL, NULL, NULL, 'OS01G0161300 PROTEIN', NULL, NULL, NULL, 15),
(73595, NULL, 'PTHR10747', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR COE FAMILY MEMBER', NULL, NULL, 6043, 15),
(73596, NULL, 'PTHR46255:SF2', NULL, NULL, NULL, NULL, 'SHORT STATURE HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(73597, NULL, 'PTHR15532:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73598, NULL, 'PTHR43148:SF3', NULL, NULL, NULL, NULL, 'D-ERYTHROSE-4-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(73599, NULL, 'PTHR11923:SF69', NULL, NULL, NULL, NULL, 'SENSORY NEURON MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(73600, NULL, 'PTHR44145:SF3', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY A MEMBER 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(73601, NULL, 'PTHR31424', NULL, NULL, NULL, NULL, 'PROTEIN CBG23806', NULL, NULL, NULL, 15),
(73602, NULL, 'PTHR31718:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73603, NULL, 'PTHR13056:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR FUSION PROTEIN CCZ1 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(73604, NULL, 'PTHR24408:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 787', NULL, NULL, NULL, 15),
(73605, NULL, 'PTHR13848:SF83', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(73606, NULL, 'PTHR21343:SF1', NULL, NULL, NULL, NULL, 'COBYRIC ACID SYNTHASE', NULL, NULL, 7368, 15),
(73607, NULL, 'PTHR11893:SF4', NULL, NULL, NULL, NULL, 'INNEXIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73608, NULL, 'PTHR19854:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG01488', NULL, NULL, NULL, 15),
(73609, NULL, 'PTHR10288:SF257', NULL, NULL, NULL, NULL, 'OS09G0498600 PROTEIN', NULL, NULL, NULL, 15),
(73610, NULL, 'PTHR48111:SF50', NULL, NULL, NULL, NULL, 'KDP OPERON TRANSCRIPTIONAL REGULATORY PROTEIN KDPE', NULL, NULL, NULL, 15),
(73611, NULL, 'PTHR45634:SF16', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 14', NULL, NULL, NULL, 15),
(73612, NULL, 'PTHR45867:SF6', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(73613, NULL, 'PTHR13771:SF12', NULL, NULL, NULL, NULL, 'INTERCELLULAR ADHESION MOLECULE 5', NULL, NULL, NULL, 15),
(73614, NULL, 'PTHR10332:SF36', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER', NULL, NULL, NULL, 15),
(73615, NULL, 'PTHR11514:SF113', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(73616, NULL, 'PTHR37157:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13285', NULL, NULL, NULL, 15),
(73617, NULL, 'PTHR48017:SF170', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(73618, NULL, 'PTHR31561:SF156', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(73619, NULL, 'PTHR10613', NULL, NULL, NULL, NULL, 'LEUKOCYTE SURFACE ANTIGEN CD47', NULL, NULL, 2449, 15),
(73620, NULL, 'PTHR42812:SF9', NULL, NULL, NULL, NULL, 'XYLOSIDASE: ARABINOFURANOSIDASE (AFU_ORTHOLOGUE AFUA_2G13190)', NULL, NULL, NULL, 15),
(73621, NULL, 'PTHR33138:SF40', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE CARBOXY-TERMINAL PROTEIN', NULL, NULL, NULL, 15),
(73622, NULL, 'PTHR24074:SF47', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(73623, NULL, 'PTHR46353', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 5', NULL, NULL, 38801, 15),
(73624, NULL, 'PTHR11206:SF330', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(73625, NULL, 'PTHR12628:SF12', NULL, NULL, NULL, NULL, 'METAL-RESPONSE ELEMENT-BINDING TRANSCRIPTION FACTOR 2', NULL, NULL, NULL, 15),
(73626, NULL, 'PTHR15710:SF74', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE', NULL, NULL, NULL, 15),
(73627, NULL, 'PTHR13452', NULL, NULL, NULL, NULL, 'THUMP DOMAIN CONTAINING PROTEIN 1-RELATED', NULL, NULL, 35998, 15),
(73628, NULL, 'PTHR43625:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73629, NULL, 'PTHR48007:SF13', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 4', NULL, NULL, NULL, 15),
(73630, NULL, 'PTHR35832:SF15', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(73631, NULL, 'PTHR24229:SF2', NULL, NULL, NULL, NULL, 'DELTA-TYPE OPIOID RECEPTOR', NULL, NULL, NULL, 15),
(73632, NULL, 'PTHR46446:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILI1', NULL, NULL, NULL, 15),
(73633, NULL, 'PTHR11615:SF254', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1C2', NULL, NULL, NULL, 15),
(73634, NULL, 'PTHR45637:SF70', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(73635, NULL, 'PTHR48102:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPX-LIKE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(73636, NULL, 'PTHR33905:SF1', NULL, NULL, NULL, NULL, 'CST COMPLEX SUBUNIT TEN1', NULL, NULL, NULL, 15),
(73637, NULL, 'PTHR13878:SF91', NULL, NULL, NULL, NULL, 'ALCOHOL OXIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00430)-RELATED', NULL, NULL, NULL, 15),
(73638, NULL, 'PTHR33726:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(73639, NULL, 'PTHR24203:SF42', NULL, NULL, NULL, NULL, 'TGB12K INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(73640, NULL, 'PTHR47746:SF45', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE ZINC-BINDING PROTEIN', NULL, NULL, NULL, 15),
(73641, NULL, 'PTHR11876:SF34', NULL, NULL, NULL, NULL, 'DEMIDEFENSIN-3', NULL, NULL, NULL, 15),
(73642, NULL, 'PTHR38146:SF11', NULL, NULL, NULL, NULL, 'BNAC09G29260D PROTEIN', NULL, NULL, NULL, 15),
(73643, NULL, 'PTHR34789:SF5', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73644, NULL, 'PTHR33067:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73645, NULL, 'PTHR45644:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73646, NULL, 'PTHR19384:SF87', NULL, NULL, NULL, NULL, 'IRON-UPTAKE FACTOR', NULL, NULL, NULL, 15),
(73647, NULL, 'PTHR33136:SF75', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 34', NULL, NULL, NULL, 15),
(73648, NULL, 'PTHR24092:SF147', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(73649, NULL, 'PTHR43888:SF42', NULL, NULL, NULL, NULL, 'DNAJ (HSP40) HOMOLOG, SUBFAMILY A, MEMBER 2', NULL, NULL, NULL, 15),
(73650, NULL, 'PTHR12430', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM20', NULL, NULL, 5009, 15),
(73651, NULL, 'PTHR24404:SF47', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 691', NULL, NULL, NULL, 15),
(73652, NULL, 'PTHR11730:SF30', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER RH TYPE C', NULL, NULL, NULL, 15),
(73653, NULL, 'PTHR28013:SF5', NULL, NULL, NULL, NULL, 'SRD1P', NULL, NULL, NULL, 15),
(73654, NULL, 'PTHR21272', NULL, NULL, NULL, NULL, 'CATABOLIC 3-DEHYDROQUINASE', NULL, NULL, 4299, 15),
(73655, NULL, 'PTHR45663:SF22', NULL, NULL, NULL, NULL, 'THIOREDOXIN X, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(73656, NULL, 'PTHR45934:SF19', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT URATE HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(73657, NULL, 'PTHR11910', NULL, NULL, NULL, NULL, 'ATP SYNTHASE DELTA CHAIN', NULL, NULL, 3947, 15),
(73658, NULL, 'PTHR12542', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX PROTEIN EXO70', NULL, NULL, 2778, 15),
(73659, NULL, 'PTHR32196:SF37', NULL, NULL, NULL, NULL, 'L-ARABINOSE TRANSPORT SYSTEM PERMEASE PROTEIN ARAH', NULL, NULL, NULL, 15),
(73660, NULL, 'PTHR47541', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(73661, NULL, 'PTHR11426:SF233', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(73662, NULL, 'PTHR10529:SF271', NULL, NULL, NULL, NULL, 'ADAPTIN MEDIUM CHAIN HOMOLOG APM2', NULL, NULL, 24618, 15),
(73663, NULL, 'PTHR42849:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLNEURAMINATE LYASE', NULL, NULL, NULL, 15),
(73664, NULL, 'PTHR23192:SF5', NULL, NULL, NULL, NULL, 'GLIOMEDIN', NULL, NULL, 26897, 15),
(73665, NULL, 'PTHR12109', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 141-RELATED', NULL, NULL, NULL, 15),
(73666, NULL, 'PTHR33138:SF50', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.2', NULL, NULL, NULL, 15),
(73667, NULL, 'PTHR24214:SF7', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN 3', NULL, NULL, NULL, 15),
(73668, NULL, 'PTHR24081:SF9', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 0 GROUP B MEMBER 2', NULL, NULL, NULL, 15),
(73669, NULL, 'PTHR11538:SF69', NULL, NULL, NULL, NULL, 'DUF2431 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(73670, NULL, 'PTHR46051', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73671, NULL, 'PTHR11188:SF130', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(73672, NULL, 'PTHR46176:SF1', NULL, NULL, NULL, NULL, 'LD21662P', NULL, NULL, NULL, 15),
(73673, NULL, 'PTHR11960:SF15', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-1-RELATED', NULL, NULL, NULL, 15),
(73674, NULL, 'PTHR31045:SF19', NULL, NULL, NULL, NULL, 'OS03G0299800 PROTEIN', NULL, NULL, NULL, 15),
(73675, NULL, 'PTHR14003:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 42 HOMOLOG', NULL, NULL, NULL, 15),
(73676, NULL, 'PTHR33511:SF20', NULL, NULL, NULL, NULL, 'DUF761 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(73677, NULL, 'PTHR34277:SF15', NULL, NULL, NULL, NULL, 'OS03G0803200 PROTEIN', NULL, NULL, NULL, 15),
(73678, NULL, 'PTHR23201:SF47', NULL, NULL, NULL, NULL, 'OS05G0376800 PROTEIN', NULL, NULL, NULL, 15),
(73679, NULL, 'PTHR42260', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73680, NULL, 'PTHR31650:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73681, NULL, 'PTHR24410:SF5', NULL, NULL, NULL, NULL, 'ECTODERM-NEURAL CORTEX PROTEIN 1', NULL, NULL, 24982, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73682, NULL, 'PTHR37766', NULL, NULL, NULL, NULL, 'OS01G0897100 PROTEIN', NULL, NULL, NULL, 15),
(73683, NULL, 'PTHR34754:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 60', NULL, NULL, NULL, 15),
(73684, NULL, 'PTHR37695:SF1', NULL, NULL, NULL, NULL, 'RECOMBINATION INITIATION DEFECTS 3-RELATED', NULL, NULL, NULL, 15),
(73685, NULL, 'PTHR43543:SF1', NULL, NULL, NULL, NULL, 'MALONIC SEMIALDEHYDE REDUCTASE RUTE-RELATED', NULL, NULL, NULL, 15),
(73686, NULL, 'PTHR31241:SF46', NULL, NULL, NULL, NULL, 'BNAA03G18970D PROTEIN', NULL, NULL, NULL, 15),
(73687, NULL, 'PTHR46915:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73688, NULL, 'PTHR43806:SF50', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3.1-RELATED', NULL, NULL, NULL, 15),
(73689, NULL, 'PTHR24260:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73690, NULL, 'PTHR47956', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B11-RELATED', NULL, NULL, NULL, 15),
(73691, NULL, 'PTHR34411:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73692, NULL, 'PTHR12854:SF18', NULL, NULL, NULL, NULL, 'LSMAD DOMAIN, ATAXIN 2, SM DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(73693, NULL, 'PTHR13832:SF734', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C FAMILY PROTEIN', NULL, NULL, NULL, 15),
(73694, NULL, 'PTHR43389:SF16', NULL, NULL, NULL, NULL, 'OS01G0711000 PROTEIN', NULL, NULL, NULL, 15),
(73695, NULL, 'PTHR11880:SF37', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15-LIKE', NULL, NULL, NULL, 15),
(73696, NULL, 'PTHR33181:SF30', NULL, NULL, NULL, NULL, 'OS07G0204400 PROTEIN', NULL, NULL, NULL, 15),
(73697, NULL, 'PTHR34545:SF12', NULL, NULL, NULL, NULL, 'BNAA06G34870D PROTEIN', NULL, NULL, NULL, 15),
(73698, NULL, 'PTHR23239:SF193', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA5', NULL, NULL, NULL, 15),
(73699, NULL, 'PTHR11961:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME C, SOMATIC', NULL, NULL, NULL, 15),
(73700, NULL, 'PTHR11362:SF125', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(73701, NULL, 'PTHR11739:SF29', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', NULL, NULL, NULL, 15),
(73702, NULL, 'PTHR31321:SF62', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(73703, NULL, 'PTHR23203:SF15', NULL, NULL, NULL, NULL, 'BASIC SALIVARY PROLINE-RICH PROTEIN 4', NULL, NULL, NULL, 15),
(73704, NULL, 'PTHR45622:SF1', NULL, NULL, NULL, NULL, 'SECRETION-REGULATING GUANINE NUCLEOTIDE EXCHANGE FACTOR', NULL, NULL, NULL, 15),
(73705, NULL, 'PTHR11850:SF271', NULL, NULL, NULL, NULL, 'OS02G0226600 PROTEIN', NULL, NULL, NULL, 15),
(73706, NULL, 'PTHR24056:SF453', NULL, NULL, NULL, NULL, 'BNACNNG29900D PROTEIN', NULL, NULL, NULL, 15),
(73707, NULL, 'PTHR47992:SF28', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', NULL, NULL, NULL, 15),
(73708, NULL, 'PTHR33358:SF4', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-RELATED', NULL, NULL, NULL, 15),
(73709, NULL, 'PTHR27008:SF324', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21', NULL, NULL, NULL, 15),
(73710, NULL, 'PTHR14155:SF561', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73711, NULL, 'PTHR12013:SF2', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 14 KDA PROTEIN', NULL, NULL, NULL, 15),
(73712, NULL, 'PTHR33021:SF70', NULL, NULL, NULL, NULL, 'OSJNBA0079A21.6 PROTEIN', NULL, NULL, NULL, 15),
(73713, NULL, 'PTHR11267:SF125', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX21', NULL, NULL, NULL, 15),
(73714, NULL, 'PTHR35973:SF2', NULL, NULL, NULL, NULL, 'MAPK-INTERACTING AND SPINDLE-STABILIZING PROTEIN', NULL, NULL, NULL, 15),
(73715, NULL, 'PTHR11595:SF71', NULL, NULL, NULL, NULL, 'BNAA09G26340D PROTEIN', NULL, NULL, NULL, 15),
(73716, NULL, 'PTHR31490:SF60', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE 3', NULL, NULL, NULL, 15),
(73717, NULL, 'PTHR24067:SF298', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 13', NULL, NULL, NULL, 15),
(73718, NULL, 'PTHR10502:SF26', NULL, NULL, NULL, NULL, 'ANNEXIN A5', NULL, NULL, 6028, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73719, NULL, 'PTHR23316:SF64', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(73720, NULL, 'PTHR31997:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73721, NULL, 'PTHR11866:SF8', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E2 RECEPTOR EP2 SUBTYPE', NULL, NULL, 4197, 15),
(73722, NULL, 'PTHR31741:SF60', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(73723, NULL, 'PTHR31052:SF25', NULL, NULL, NULL, NULL, 'PROTEIN 7, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(73724, NULL, 'PTHR12663:SF34', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(73725, NULL, 'PTHR32176:SF67', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(73726, NULL, 'PTHR10353:SF276', NULL, NULL, NULL, NULL, 'BNAC04G03720D PROTEIN', NULL, NULL, NULL, 15),
(73727, NULL, 'PTHR47785:SF2', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(73728, NULL, 'PTHR10489:SF686', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 5', NULL, NULL, NULL, 15),
(73729, NULL, 'PTHR32002:SF60', NULL, NULL, NULL, NULL, 'PLANT REGULATOR RWP-RK FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(73730, NULL, 'PTHR32382', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN', NULL, NULL, 31912, 15),
(73731, NULL, 'PTHR10031:SF0', NULL, NULL, NULL, NULL, 'ATP SYNTHASE, SUBUNIT C, ISOFORM A', NULL, NULL, NULL, 15),
(73732, NULL, 'PTHR10509', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(73733, NULL, 'PTHR11482:SF4', NULL, NULL, NULL, NULL, 'ANTIZYME INHIBITOR 2', NULL, NULL, 27873, 15),
(73734, NULL, 'PTHR14369', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 6', NULL, NULL, 6783, 15),
(73735, NULL, 'PTHR10634:SF110', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 8-LIKE', NULL, NULL, NULL, 15),
(73736, NULL, 'PTHR14326:SF45', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(73737, NULL, 'PTHR48053:SF51', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(73738, NULL, 'PTHR23324:SF41', NULL, NULL, NULL, NULL, 'SEC14-LIKE PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(73739, NULL, 'PTHR43176:SF4', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(73740, NULL, 'PTHR46140:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73741, NULL, 'PTHR46735', NULL, NULL, NULL, NULL, 'CALPAIN, SMALL SUBUNIT 1 A-RELATED', NULL, NULL, NULL, 15),
(73742, NULL, 'PTHR19143:SF399', NULL, NULL, NULL, NULL, 'TENASCIN', NULL, NULL, NULL, 15),
(73743, NULL, 'PTHR43758:SF2', NULL, NULL, NULL, NULL, '7,8-DIHYDRO-8-OXOGUANINE TRIPHOSPHATASE', NULL, NULL, NULL, 15),
(73744, NULL, 'PTHR21705:SF4', NULL, NULL, NULL, NULL, 'FTS AND HOOK-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(73745, NULL, 'PTHR46374:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07384', NULL, NULL, NULL, 15),
(73746, NULL, 'PTHR19338:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM13', NULL, NULL, NULL, 15),
(73747, NULL, 'PTHR15486:SF45', NULL, NULL, NULL, NULL, 'OS05G0448300 PROTEIN', NULL, NULL, NULL, 15),
(73748, NULL, 'PTHR23315:SF280', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(73749, NULL, 'PTHR32295:SF141', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 19', NULL, NULL, NULL, 15),
(73750, NULL, 'PTHR31790:SF353', NULL, NULL, NULL, NULL, 'BNAC04G42900D PROTEIN', NULL, NULL, NULL, 15),
(73751, NULL, 'PTHR12958:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZFPM1', NULL, NULL, NULL, 15),
(73752, NULL, 'PTHR31232:SF78', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', NULL, NULL, NULL, 15),
(73753, NULL, 'PTHR15708', NULL, NULL, NULL, NULL, 'ACTIN BUNDLING/MISSING IN METASTASIS-RELATED', NULL, NULL, 22182, 15),
(73754, NULL, 'PTHR33110:SF63', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73755, NULL, 'PTHR10454:SF222', NULL, NULL, NULL, NULL, 'CASPASE 1', NULL, NULL, NULL, 15),
(73756, NULL, 'PTHR11532:SF88', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE D FAMILY', NULL, NULL, NULL, 15),
(73757, NULL, 'PTHR13723:SF274', NULL, NULL, NULL, NULL, 'NO LONG NERVE CORD, ISOFORM C', NULL, NULL, NULL, 15),
(73758, NULL, 'PTHR11736:SF9', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN E1', NULL, NULL, NULL, 15),
(73759, NULL, 'PTHR19964:SF14', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LNX', NULL, NULL, NULL, 15),
(73760, NULL, 'PTHR34811:SF1', NULL, NULL, NULL, NULL, 'MATURASE K', NULL, NULL, NULL, 15),
(73761, NULL, 'PTHR46815:SF1', NULL, NULL, NULL, NULL, 'PROTEIN KISH-B', NULL, NULL, NULL, 15),
(73762, NULL, 'PTHR12651:SF1', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 9', NULL, NULL, NULL, 15),
(73763, NULL, 'PTHR31561:SF108', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(73764, NULL, 'PTHR11753:SF2', NULL, NULL, NULL, NULL, 'ADAPTOR PROTEIN COMPLEX AP-3 SMALL CHAIN SIGMA3', NULL, NULL, NULL, 15),
(73765, NULL, 'PTHR43719:SF25', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE K', NULL, NULL, NULL, 15),
(73766, NULL, 'PTHR10460:SF47', NULL, NULL, NULL, NULL, 'ABIL2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(73767, NULL, 'PTHR13108:SF10', NULL, NULL, NULL, NULL, 'CONDENSIN COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(73768, NULL, 'PTHR24559:SF321', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE HOMOLOG', NULL, NULL, NULL, 15),
(73769, NULL, 'PTHR33374:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73770, NULL, 'PTHR32093:SF101', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73771, NULL, 'PTHR43655:SF33', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 10, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(73772, NULL, 'PTHR45098', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(73773, NULL, 'PTHR45614:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73774, NULL, 'PTHR31636:SF18', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE TRANSCRIPTION FACTOR PAT1', NULL, NULL, NULL, 15),
(73775, NULL, 'PTHR19338', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF INNER MITOCHONDRIAL MEMBRANE 13 HOMOLOG', NULL, NULL, 35855, 15),
(73776, NULL, 'PTHR11022:SF41', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-RECOGNITION PROTEIN SC1A-RELATED', NULL, NULL, NULL, 15),
(73777, NULL, 'PTHR33077:SF43', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 11B', NULL, NULL, NULL, 15),
(73778, NULL, 'PTHR43456:SF3', NULL, NULL, NULL, NULL, 'RIESKE [2FE-2S] IRON-SULPHUR DOMAIN', NULL, NULL, NULL, 15),
(73779, NULL, 'PTHR13538:SF4', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 80', NULL, NULL, NULL, 15),
(73780, NULL, 'PTHR32278:SF79', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10-LIKE', NULL, NULL, NULL, 15),
(73781, NULL, 'PTHR35838:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(73782, NULL, 'PTHR35601:SF1', NULL, NULL, NULL, NULL, 'TOXIN RELE', NULL, NULL, NULL, 15),
(73783, NULL, 'PTHR31775:SF23', NULL, NULL, NULL, NULL, 'REMORIN-LIKE', NULL, NULL, NULL, 15),
(73784, NULL, 'PTHR45876:SF8', NULL, NULL, NULL, NULL, 'FI04035P', NULL, NULL, NULL, 15),
(73785, NULL, 'PTHR11452:SF71', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(73786, NULL, 'PTHR11668:SF429', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 9', NULL, NULL, NULL, 15),
(73787, NULL, 'PTHR11835:SF67', NULL, NULL, NULL, NULL, 'ISOCITRATE/ISOPROPYLMALATE DEHYDROGENASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(73788, NULL, 'PTHR33083:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73789, NULL, 'PTHR12538:SF10', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', NULL, NULL, NULL, 15),
(73790, NULL, 'PTHR34463:SF11', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(73791, NULL, 'PTHR45967:SF32', NULL, NULL, NULL, NULL, 'BNAA04G20520D PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73792, NULL, 'PTHR26450:SF168', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51A2-RELATED', NULL, NULL, NULL, 15),
(73793, NULL, 'PTHR11524:SF41', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7-1', NULL, NULL, NULL, 15),
(73794, NULL, 'PTHR23105:SF167', NULL, NULL, NULL, NULL, 'PROTEIN CBG11519', NULL, NULL, NULL, 15),
(73795, NULL, 'PTHR10772:SF50', NULL, NULL, NULL, NULL, 'GROES CHAPERONIN', NULL, NULL, NULL, 15),
(73796, NULL, 'PTHR33204:SF35', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YODB', NULL, NULL, NULL, 15),
(73797, NULL, 'PTHR12809:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 14', NULL, NULL, NULL, 15),
(73798, NULL, 'PTHR16134:SF4', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(73799, NULL, 'PTHR23204:SF2', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 7', NULL, NULL, 33199, 15),
(73800, NULL, 'PTHR34484:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73801, NULL, 'PTHR23202:SF31', NULL, NULL, NULL, NULL, 'WAS/WASL-INTERACTING PROTEIN FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(73802, NULL, 'PTHR31734:SF92', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA23', NULL, NULL, NULL, 15),
(73803, NULL, 'PTHR35529', NULL, NULL, NULL, NULL, 'MANGANESE EFFLUX PUMP MNTP-RELATED', NULL, NULL, 3237, 15),
(73804, NULL, 'PTHR31683:SF105', NULL, NULL, NULL, NULL, 'PECTATE LYASE 2-RELATED', NULL, NULL, NULL, 15),
(73805, NULL, 'PTHR31989:SF354', NULL, NULL, NULL, NULL, 'BNAC08G41360D PROTEIN', NULL, NULL, NULL, 15),
(73806, NULL, 'PTHR46438:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73807, NULL, 'PTHR19321:SF3', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 8', NULL, NULL, NULL, 15),
(73808, NULL, 'PTHR43750:SF2', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', NULL, NULL, NULL, 15),
(73809, NULL, 'PTHR31650:SF51', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(73810, NULL, 'PTHR12968:SF1', NULL, NULL, NULL, NULL, 'B9 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(73811, NULL, 'PTHR12537:SF172', NULL, NULL, NULL, NULL, 'BNAA10G12940D PROTEIN', NULL, NULL, NULL, 15),
(73812, NULL, 'PTHR32044:SF69', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(73813, NULL, 'PTHR21447:SF5', NULL, NULL, NULL, NULL, 'CUB (CUB) LIKE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(73814, NULL, 'PTHR31513:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(73815, NULL, 'PTHR27004:SF393', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73816, NULL, 'PTHR12232:SF3', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING GLUTAMIC ACID-RICH-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(73817, NULL, 'PTHR11950:SF45', NULL, NULL, NULL, NULL, 'RUNT RELATED B', NULL, NULL, NULL, 15),
(73818, NULL, 'PTHR43684:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73819, NULL, 'PTHR12265:SF11', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(73820, NULL, 'PTHR46506:SF8', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(73821, NULL, 'PTHR35828:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73822, NULL, 'PTHR34957:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73823, NULL, 'PTHR43539:SF73', NULL, NULL, NULL, NULL, 'OS01G0273800 PROTEIN', NULL, NULL, NULL, 15),
(73824, NULL, 'PTHR31669:SF174', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 10-RELATED', NULL, NULL, NULL, 15),
(73825, NULL, 'PTHR47979:SF71', NULL, NULL, NULL, NULL, 'BNAA09G27200D PROTEIN', NULL, NULL, NULL, 15),
(73826, NULL, 'PTHR10795:SF672', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.3', NULL, NULL, NULL, 15),
(73827, NULL, 'PTHR13902:SF122', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK1-RELATED', NULL, NULL, NULL, 15),
(73828, NULL, 'PTHR43028:SF3', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE 1-PHOSPHATASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73829, NULL, 'PTHR10969:SF84', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(73830, NULL, 'PTHR12271:SF97', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL EDITOSOME-LIKE COMPLEX ASSOCIATED TUTASE', NULL, NULL, NULL, 15),
(73831, NULL, 'PTHR47925:SF60', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(73832, NULL, 'PTHR11017:SF426', NULL, NULL, NULL, NULL, 'BNAA09G14980D PROTEIN', NULL, NULL, NULL, 15),
(73833, NULL, 'PTHR10277:SF73', NULL, NULL, NULL, NULL, 'BNAA02G33040D PROTEIN', NULL, NULL, NULL, 15),
(73834, NULL, 'PTHR31194:SF89', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR SHINE 3', NULL, NULL, NULL, 15),
(73835, NULL, 'PTHR47926:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73836, NULL, 'PTHR46038:SF22', NULL, NULL, NULL, NULL, 'OS08G0530066 PROTEIN', NULL, NULL, NULL, 15),
(73837, NULL, 'PTHR47990:SF35', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G11160)-RELATED', NULL, NULL, NULL, 15),
(73838, NULL, 'PTHR45431', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 15, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(73839, NULL, 'PTHR11759:SF47', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14', NULL, NULL, NULL, 15),
(73840, NULL, 'PTHR43296:SF2', NULL, NULL, NULL, NULL, 'PEROXISOMAL 2,4-DIENOYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(73841, NULL, 'PTHR36968:SF12', NULL, NULL, NULL, NULL, 'BNAA09G27250D PROTEIN', NULL, NULL, NULL, 15),
(73842, NULL, 'PTHR28088:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR HAA1-RELATED', NULL, NULL, NULL, 15),
(73843, NULL, 'PTHR33165:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73844, NULL, 'PTHR31190:SF221', NULL, NULL, NULL, NULL, 'BNAA05G11530D PROTEIN', NULL, NULL, NULL, 15),
(73845, NULL, 'PTHR10641:SF1289', NULL, NULL, NULL, NULL, 'BNAANNG06640D PROTEIN', NULL, NULL, NULL, 15),
(73846, NULL, 'PTHR33147:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73847, NULL, 'PTHR24068:SF314', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 28', NULL, NULL, NULL, 15),
(73848, NULL, 'PTHR44337:SF13', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 23', NULL, NULL, NULL, 15),
(73849, NULL, 'PTHR23056:SF119', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE MOLECULE', NULL, NULL, NULL, 15),
(73850, NULL, 'PTHR46050:SF19', NULL, NULL, NULL, NULL, '80A08_7', NULL, NULL, NULL, 15),
(73851, NULL, 'PTHR45763:SF52', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(73852, NULL, 'PTHR45795:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73853, NULL, 'PTHR33155:SF39', NULL, NULL, NULL, NULL, 'OS06G0224000 PROTEIN', NULL, NULL, NULL, 15),
(73854, NULL, 'PTHR31696:SF69', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1-LIKE', NULL, NULL, NULL, 15),
(73855, NULL, 'PTHR43848', NULL, NULL, NULL, NULL, 'PUTRESCINE TRANSPORT SYSTEM PERMEASE PROTEIN POTI', NULL, NULL, NULL, 15),
(73856, NULL, 'PTHR39610', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73857, NULL, 'PTHR24350', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE IAL-RELATED', NULL, NULL, 26314, 15),
(73858, NULL, 'PTHR10151:SF63', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE FAMILY MEMBER 7', NULL, NULL, 28715, 15),
(73859, NULL, 'PTHR45621:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73860, NULL, 'PTHR46689:SF2', NULL, NULL, NULL, NULL, 'WW DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G06520)', NULL, NULL, NULL, 15),
(73861, NULL, 'PTHR42683:SF73', NULL, NULL, NULL, NULL, 'ZINC-CONTAINING ALCOHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(73862, NULL, 'PTHR32448:SF87', NULL, NULL, NULL, NULL, 'FAD LINKED OXIDASE, N-TERMINAL, TONB BOX, N-TERMINAL', NULL, NULL, NULL, 15),
(73863, NULL, 'PTHR24056:SF459', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 13', NULL, NULL, NULL, 15),
(73864, NULL, 'PTHR14155:SF566', NULL, NULL, NULL, NULL, 'BNAA02G25370D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73865, NULL, 'PTHR46461', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(73866, NULL, 'PTHR15140:SF6', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE E', NULL, NULL, NULL, 15),
(73867, NULL, 'PTHR10648:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 65 KDA REGULATORY SUBUNIT A ALPHA ISOFORM', NULL, NULL, 26688, 15),
(73868, NULL, 'PTHR12741:SF53', NULL, NULL, NULL, NULL, 'GLUCAN SYNTHASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73869, NULL, 'PTHR31657:SF38', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF057', NULL, NULL, NULL, 15),
(73870, NULL, 'PTHR11937:SF470', NULL, NULL, NULL, NULL, 'ACTIN-2', NULL, NULL, NULL, 15),
(73871, NULL, 'PTHR12994:SF18', NULL, NULL, NULL, NULL, 'SECERNIN-3', NULL, NULL, NULL, 15),
(73872, NULL, 'PTHR23315:SF237', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(73873, NULL, 'PTHR12341:SF63', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE', NULL, NULL, NULL, 15),
(73874, NULL, 'PTHR11431:SF47', NULL, NULL, NULL, NULL, 'FERRITIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(73875, NULL, 'PTHR13434:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CASC3', NULL, NULL, NULL, 15),
(73876, NULL, 'PTHR26452:SF136', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 469-RELATED', NULL, NULL, NULL, 15),
(73877, NULL, 'PTHR12309:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(73878, NULL, 'PTHR44042:SF27', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(73879, NULL, 'PTHR15241:SF340', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73880, NULL, 'PTHR31319:SF75', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(73881, NULL, 'PTHR11709:SF396', NULL, NULL, NULL, NULL, 'LACCASE-RELATED', NULL, NULL, NULL, 15),
(73882, NULL, 'PTHR23245:SF39', NULL, NULL, NULL, NULL, 'BINDING MOTIF, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(73883, NULL, 'PTHR47988:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73884, NULL, 'PTHR46410:SF8', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(73885, NULL, 'PTHR43520:SF24', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE HMA5-RELATED', NULL, NULL, NULL, 15),
(73886, NULL, 'PTHR33358', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN WITH A DOMAIN PROTEIN', NULL, NULL, 23759, 15),
(73887, NULL, 'PTHR33294:SF9', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN PM19L', NULL, NULL, NULL, 15),
(73888, NULL, 'PTHR33085:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73889, NULL, 'PTHR45693:SF28', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGAL4', NULL, NULL, NULL, 15),
(73890, NULL, 'PTHR15316:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73891, NULL, 'PTHR14856:SF10', NULL, NULL, NULL, NULL, 'PQ-LOOP REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(73892, NULL, 'PTHR31042:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73893, NULL, 'PTHR11161:SF59', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE LIKE PROTEIN', NULL, NULL, NULL, 15),
(73894, NULL, 'PTHR10091:SF8', NULL, NULL, NULL, NULL, 'GALACTOSE MUTAROTASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(73895, NULL, 'PTHR14058:SF11', NULL, NULL, NULL, NULL, 'AMYLOID-BETA A4 PRECURSOR PROTEIN-BINDING FAMILY B MEMBER 2', NULL, NULL, NULL, 15),
(73896, NULL, 'PTHR19359:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73897, NULL, 'PTHR33204:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(73898, NULL, 'PTHR10263:SF8', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C''', NULL, NULL, NULL, 15),
(73899, NULL, 'PTHR46938:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73900, NULL, 'PTHR12321:SF132', NULL, NULL, NULL, NULL, 'BNAA03G56120D PROTEIN', NULL, NULL, NULL, 15),
(73901, NULL, 'PTHR11654:SF513', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.1', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73902, NULL, 'PTHR23262:SF201', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-4', NULL, NULL, NULL, 15),
(73903, NULL, 'PTHR24028:SF286', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-11', NULL, NULL, 27892, 15),
(73904, NULL, 'PTHR11384:SF56', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER D FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(73905, NULL, 'PTHR31388:SF237', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(73906, NULL, 'PTHR19241:SF638', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 34-RELATED', NULL, NULL, NULL, 15),
(73907, NULL, 'PTHR11929:SF165', NULL, NULL, NULL, NULL, 'GALACTOSIDE 3(4)-L-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(73908, NULL, 'PTHR22968:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73909, NULL, 'PTHR48048:SF59', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(73910, NULL, 'PTHR21580:SF19', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 3B', NULL, NULL, NULL, 15),
(73911, NULL, 'PTHR10606', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE/FRUCTOSE-2,6-BISPHOSPHATASE', NULL, NULL, 503, 15),
(73912, NULL, 'PTHR43560:SF1', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT B', NULL, NULL, NULL, 15),
(73913, NULL, 'PTHR48017:SF120', NULL, NULL, NULL, NULL, 'AUXIN INFLUX TRANSPORTER', NULL, NULL, NULL, 15),
(73914, NULL, 'PTHR32522', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73915, NULL, 'PTHR32370:SF122', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY2-LIKE', NULL, NULL, NULL, 15),
(73916, NULL, 'PTHR10177:SF465', NULL, NULL, NULL, NULL, 'CYCLIN-D6-1-LIKE', NULL, NULL, NULL, 15),
(73917, NULL, 'PTHR11757:SF12', NULL, NULL, NULL, NULL, 'PROLYL OLIGOPEPTIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(73918, NULL, 'PTHR20961:SF130', NULL, NULL, NULL, NULL, 'BNAC05G35190D PROTEIN', NULL, NULL, NULL, 15),
(73919, NULL, 'PTHR33642:SF5', NULL, NULL, NULL, NULL, 'MATURASE', NULL, NULL, NULL, 15),
(73920, NULL, 'PTHR45844:SF20', NULL, NULL, NULL, NULL, 'BNAA07G24430D PROTEIN', NULL, NULL, NULL, 15),
(73921, NULL, 'PTHR19375:SF363', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 6, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(73922, NULL, 'PTHR12411:SF143', NULL, NULL, NULL, NULL, 'CATHEPSIN Q', NULL, NULL, NULL, 15),
(73923, NULL, 'PTHR34485:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH, LACRIMAL 1', NULL, NULL, NULL, 15),
(73924, NULL, 'PTHR45959:SF10', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(73925, NULL, 'PTHR16277:SF12', NULL, NULL, NULL, NULL, 'SERTA DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(73926, NULL, 'PTHR21551:SF16', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: PROTEIN PAT1 HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(73927, NULL, 'PTHR23523:SF1', NULL, NULL, NULL, NULL, 'CYANATE TRANSPORT PROTEIN CYNX', NULL, NULL, NULL, 15),
(73928, NULL, 'PTHR45647:SF113', NULL, NULL, NULL, NULL, 'BNAA05G18880D PROTEIN', NULL, NULL, NULL, 15),
(73929, NULL, 'PTHR33142:SF32', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR12', NULL, NULL, NULL, 15),
(73930, NULL, 'PTHR43357:SF4', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YDCV', NULL, NULL, NULL, 15),
(73931, NULL, 'PTHR31942:SF67', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(73932, NULL, 'PTHR23012:SF195', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(73933, NULL, 'PTHR37252:SF2', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 5', NULL, NULL, NULL, 15),
(73934, NULL, 'PTHR22937:SF168', NULL, NULL, NULL, NULL, 'BNAC09G17290D PROTEIN', NULL, NULL, NULL, 15),
(73935, NULL, 'PTHR43316:SF3', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE, TYPE II (AFU_ORTHOLOGUE AFUA_2G07750)-RELATED', NULL, NULL, NULL, 15),
(73936, NULL, 'PTHR42902:SF1', NULL, NULL, NULL, NULL, 'MALATE SYNTHASE 1, GLYOXYSOMAL-RELATED', NULL, NULL, NULL, 15),
(73937, NULL, 'PTHR19850:SF37', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-5B', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73938, NULL, 'PTHR48029:SF4', NULL, NULL, NULL, NULL, 'ORGANELLE RRM DOMAIN-CONTAINING PROTEIN 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(73939, NULL, 'PTHR30336:SF4', NULL, NULL, NULL, NULL, 'PROTEIN YDCF', NULL, NULL, NULL, 15),
(73940, NULL, 'PTHR12537:SF60', NULL, NULL, NULL, NULL, 'PUF (PUMILIO/FBF) DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(73941, NULL, 'PTHR11686:SF46', NULL, NULL, NULL, NULL, 'PROTEIN CBG13651', NULL, NULL, NULL, 15),
(73942, NULL, 'PTHR12422:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM49B', NULL, NULL, NULL, 15),
(73943, NULL, 'PTHR24960:SF46', NULL, NULL, NULL, NULL, 'FERREDOXIN-TYPE PROTEIN NAPF', NULL, NULL, 1528, 15),
(73944, NULL, 'PTHR24248:SF152', NULL, NULL, NULL, NULL, 'GH12381P', NULL, NULL, NULL, 15),
(73945, NULL, 'PTHR37769', NULL, NULL, NULL, NULL, 'OS08G0243900 PROTEIN', NULL, NULL, NULL, 15),
(73946, NULL, 'PTHR30353:SF19', NULL, NULL, NULL, NULL, 'BNAA05G19040D PROTEIN', NULL, NULL, NULL, 15),
(73947, NULL, 'PTHR48020:SF13', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(73948, NULL, 'PTHR31623:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73949, NULL, 'PTHR11177:SF180', NULL, NULL, NULL, NULL, 'OS04G0376400 PROTEIN', NULL, NULL, NULL, 15),
(73950, NULL, 'PTHR24414:SF62', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN', NULL, NULL, NULL, 15),
(73951, NULL, 'PTHR31627:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-3', NULL, NULL, NULL, 15),
(73952, NULL, 'PTHR24366:SF15', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY CONTAINING LEUCINE-RICH REPEAT PROTEIN 2', NULL, NULL, NULL, 15),
(73953, NULL, 'PTHR11216:SF128', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(73954, NULL, 'PTHR14627:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 204', NULL, NULL, NULL, 15),
(73955, NULL, 'PTHR12782:SF11', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(73956, NULL, 'PTHR13902:SF115', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK3-RELATED', NULL, NULL, NULL, 15),
(73957, NULL, 'PTHR33513:SF4', NULL, NULL, NULL, NULL, 'OS01G0221400 PROTEIN', NULL, NULL, NULL, 15),
(73958, NULL, 'PTHR27006:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73959, NULL, 'PTHR23113:SF341', NULL, NULL, NULL, NULL, 'PROTEIN SON OF SEVENLESS', NULL, NULL, NULL, 15),
(73960, NULL, 'PTHR23147:SF114', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS41-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(73961, NULL, 'PTHR10366:SF730', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL POLYMYXIN RESISTANCE PROTEIN, ARNA-RELATED', NULL, NULL, NULL, 15),
(73962, NULL, 'PTHR11207:SF21', NULL, NULL, NULL, NULL, 'RIBONUCLEASE III DOMAIN-CONTAINING PROTEIN RNC1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(73963, NULL, 'PTHR32099:SF46', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(73964, NULL, 'PTHR14379:SF13', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(73965, NULL, 'PTHR23202:SF61', NULL, NULL, NULL, NULL, 'YALI0C21186P', NULL, NULL, NULL, 15),
(73966, NULL, 'PTHR12243:SF37', NULL, NULL, NULL, NULL, 'SI:CH211-207I20.3-RELATED', NULL, NULL, NULL, 15),
(73967, NULL, 'PTHR21397:SF5', NULL, NULL, NULL, NULL, 'BNAC04G29940D PROTEIN', NULL, NULL, NULL, 15),
(73968, NULL, 'PTHR45730:SF55', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JAGGED-LIKE', NULL, NULL, NULL, 15),
(73969, NULL, 'PTHR17604:SF4', NULL, NULL, NULL, NULL, 'VESTIGIAL-LIKE 4 LIKE', NULL, NULL, NULL, 15),
(73970, NULL, 'PTHR31384:SF93', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 7', NULL, NULL, NULL, 15),
(73971, NULL, 'PTHR13693:SF92', NULL, NULL, NULL, NULL, 'BNAA06G19060D PROTEIN', NULL, NULL, NULL, 15),
(73972, NULL, 'PTHR10367:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73973, NULL, 'PTHR12650', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S30/UBIQUITIN-LIKE PROTEIN FUBI', NULL, NULL, NULL, 15),
(73974, NULL, 'PTHR24068:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(73975, NULL, 'PTHR31710:SF38', NULL, NULL, NULL, NULL, 'GB|AAF16529.1-RELATED', NULL, NULL, NULL, 15),
(73976, NULL, 'PTHR21327:SF38', NULL, NULL, NULL, NULL, '3,4-DIHYDROXY-2-BUTANONE 4-PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(73977, NULL, 'PTHR32193:SF5', NULL, NULL, NULL, NULL, 'SI:DKEY-27I16.2', NULL, NULL, NULL, 15),
(73978, NULL, 'PTHR11711:SF119', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 4C', NULL, NULL, NULL, 15),
(73979, NULL, 'PTHR13016', NULL, NULL, NULL, NULL, 'AMMECR1 HOMOLOG', NULL, NULL, 16327, 15),
(73980, NULL, 'PTHR36940', NULL, NULL, NULL, NULL, 'PROTEIN CBG20338', NULL, NULL, NULL, 15),
(73981, NULL, 'PTHR21562:SF55', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(73982, NULL, 'PTHR31317:SF4', NULL, NULL, NULL, NULL, 'OS08G0163500 PROTEIN', NULL, NULL, NULL, 15),
(73983, NULL, 'PTHR23204:SF10', NULL, NULL, NULL, NULL, 'F3F19.21 PROTEIN', NULL, NULL, NULL, 15),
(73984, NULL, 'PTHR11920:SF462', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', NULL, NULL, NULL, 15),
(73985, NULL, 'PTHR11958:SF20', NULL, NULL, NULL, NULL, 'NEUTRAL AMINO ACID TRANSPORTER A', NULL, NULL, NULL, 15),
(73986, NULL, 'PTHR30489', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM TRANSMEMBRANE PROTEIN LOLE', NULL, NULL, NULL, 15),
(73987, NULL, 'PTHR10502:SF218', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(73988, NULL, 'PTHR33264:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73989, NULL, 'PTHR46388:SF2', NULL, NULL, NULL, NULL, 'NHL REPEAT-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(73990, NULL, 'PTHR10263:SF52', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', NULL, NULL, NULL, 15),
(73991, NULL, 'PTHR38224:SF1', NULL, NULL, NULL, NULL, 'PHLOEM SPECIFIC PROTEIN', NULL, NULL, NULL, 15),
(73992, NULL, 'PTHR15283:SF2', NULL, NULL, NULL, NULL, 'GREMLIN-2', NULL, NULL, NULL, 15),
(73993, NULL, 'PTHR36173:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC22', NULL, NULL, NULL, 15),
(73994, NULL, 'PTHR23509:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73995, NULL, 'PTHR37259:SF2', NULL, NULL, NULL, NULL, 'OS07G0474300 PROTEIN', NULL, NULL, NULL, 15),
(73996, NULL, 'PTHR48048:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(73997, NULL, 'PTHR36561:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73998, NULL, 'PTHR47488:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(73999, NULL, 'PTHR10671:SF34', NULL, NULL, NULL, NULL, 'PROTEIN NKG7', NULL, NULL, NULL, 15),
(74000, NULL, 'PTHR12653:SF3', NULL, NULL, NULL, NULL, 'BNAC09G28890D PROTEIN', NULL, NULL, NULL, 15),
(74001, NULL, 'PTHR43795:SF42', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 4', NULL, NULL, NULL, 15),
(74002, NULL, 'PTHR33102:SF47', NULL, NULL, NULL, NULL, 'OS09G0306566 PROTEIN', NULL, NULL, NULL, 15),
(74003, NULL, 'PTHR11709:SF369', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(74004, NULL, 'PTHR42643:SF13', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 20A-RELATED', NULL, NULL, NULL, 15),
(74005, NULL, 'PTHR12843:SF5', NULL, NULL, NULL, NULL, 'EEF1A LYSINE METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(74006, NULL, 'PTHR27008:SF452', NULL, NULL, NULL, NULL, 'OS12G0620000 PROTEIN', NULL, NULL, NULL, 15),
(74007, NULL, 'PTHR24296:SF191', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94A2-LIKE', NULL, NULL, NULL, 15),
(74008, NULL, 'PTHR13305:SF0', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(74009, NULL, 'PTHR22589:SF74', NULL, NULL, NULL, NULL, 'CARNITINE O-PALMITOYLTRANSFERASE 1, LIVER ISOFORM', NULL, NULL, NULL, 15),
(74010, NULL, 'PTHR20856:SF7', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB2', NULL, NULL, NULL, 15),
(74011, NULL, 'PTHR44083:SF21', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(74012, NULL, 'PTHR12654:SF24', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74013, NULL, 'PTHR41403', NULL, NULL, NULL, NULL, 'RCG43477-RELATED', NULL, NULL, 33923, 15),
(74014, NULL, 'PTHR10634:SF82', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN', NULL, NULL, NULL, 15),
(74015, NULL, 'PTHR47491:SF4', NULL, NULL, NULL, NULL, 'CAP-GLY DOMAIN LINKER', NULL, NULL, NULL, 15),
(74016, NULL, 'PTHR47422', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(74017, NULL, 'PTHR35555', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74018, NULL, 'PTHR31268:SF29', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(74019, NULL, 'PTHR27004:SF336', NULL, NULL, NULL, NULL, 'BNAA04G18520D PROTEIN', NULL, NULL, NULL, 15),
(74020, NULL, 'PTHR13329', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN S18B', NULL, NULL, 33917, 15),
(74021, NULL, 'PTHR11516:SF51', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA, SOMATIC FORM, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(74022, NULL, 'PTHR18966:SF461', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(74023, NULL, 'PTHR48018:SF35', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(74024, NULL, 'PTHR10615:SF186', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(74025, NULL, 'PTHR31221:SF192', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 58-RELATED', NULL, NULL, NULL, 15),
(74026, NULL, 'PTHR31042:SF77', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74027, NULL, 'PTHR47997', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 55', NULL, NULL, NULL, 15),
(74028, NULL, 'PTHR35496:SF17', NULL, NULL, NULL, NULL, 'BNAA03G06940D PROTEIN', NULL, NULL, NULL, 15),
(74029, NULL, 'PTHR19375:SF435', NULL, NULL, NULL, NULL, 'RIBOSOME-ASSOCIATED COMPLEX SUBUNIT SSZ1', NULL, NULL, NULL, 15),
(74030, NULL, 'PTHR12369', NULL, NULL, NULL, NULL, 'CHONDROITIN SYNTHASE', NULL, NULL, NULL, 15),
(74031, NULL, 'PTHR10353:SF217', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 26', NULL, NULL, NULL, 15),
(74032, NULL, 'PTHR34950:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74033, NULL, 'PTHR32467:SF150', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(74034, NULL, 'PTHR47308', NULL, NULL, NULL, NULL, 'NUCLEAR GTPASE SLIP-GC', NULL, NULL, NULL, 15),
(74035, NULL, 'PTHR31568', NULL, NULL, NULL, NULL, 'RCG49325, ISOFORM CRA_A', NULL, NULL, 37519, 15),
(74036, NULL, 'PTHR43863:SF2', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03140)-RELATED', NULL, NULL, NULL, 15),
(74037, NULL, 'PTHR48043:SF92', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(74038, NULL, 'PTHR31621:SF47', NULL, NULL, NULL, NULL, 'DUF679 DOMAIN MEMBRANE PROTEIN 7', NULL, NULL, NULL, 15),
(74039, NULL, 'PTHR24015:SF1919', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(74040, NULL, 'PTHR22807:SF61', NULL, NULL, NULL, NULL, 'NOL1/NOP2/SUN FAMILY PROTEIN / ANTITERMINATION NUSB DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(74041, NULL, 'PTHR12322:SF17', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR C1', NULL, NULL, NULL, 15),
(74042, NULL, 'PTHR43226:SF1', NULL, NULL, NULL, NULL, 'XAA-PRO DIPEPTIDASE', NULL, NULL, NULL, 15),
(74043, NULL, 'PTHR10809:SF103', NULL, NULL, NULL, NULL, 'OS02G0643000 PROTEIN', NULL, NULL, NULL, 15),
(74044, NULL, 'PTHR31351:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74045, NULL, 'PTHR37161', NULL, NULL, NULL, NULL, 'HDC10475', NULL, NULL, 4453, 15),
(74046, NULL, 'PTHR22991:SF41', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(74047, NULL, 'PTHR11771:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74048, NULL, 'PTHR45616:SF13', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 75', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74049, NULL, 'PTHR45983:SF2', NULL, NULL, NULL, NULL, 'TYROSINE PHOSPHATSE N18, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(74050, NULL, 'PTHR13301:SF191', NULL, NULL, NULL, NULL, 'BNAA05G10500D PROTEIN', NULL, NULL, NULL, 15),
(74051, NULL, 'PTHR11537:SF87', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY C MEMBER 1', NULL, NULL, NULL, 15),
(74052, NULL, 'PTHR43789:SF7', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE AMYA', NULL, NULL, NULL, 15),
(74053, NULL, 'PTHR31677:SF158', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(74054, NULL, 'PTHR11743:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74055, NULL, 'PTHR21719', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(74056, NULL, 'PTHR20648:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74057, NULL, 'PTHR34452:SF7', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(74058, NULL, 'PTHR32227:SF292', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE', NULL, NULL, NULL, 15),
(74059, NULL, 'PTHR11595:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74060, NULL, 'PTHR43574:SF52', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 2', NULL, NULL, NULL, 15),
(74061, NULL, 'PTHR46230:SF6', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(74062, NULL, 'PTHR15898:SF17', NULL, NULL, NULL, NULL, 'BNACNNG21820D PROTEIN', NULL, NULL, NULL, 15),
(74063, NULL, 'PTHR47524:SF1', NULL, NULL, NULL, NULL, '20S RRNA ACCUMULATION PROTEIN 4', NULL, NULL, NULL, 15),
(74064, NULL, 'PTHR46261:SF21', NULL, NULL, NULL, NULL, 'BNACNNG49050D PROTEIN', NULL, NULL, NULL, 15),
(74065, NULL, 'PTHR19384:SF92', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL CYTOCHROME P450/NADPH--P450 REDUCTASE', NULL, NULL, NULL, 15),
(74066, NULL, 'PTHR47074:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74067, NULL, 'PTHR18966:SF171', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, KAINATE 4', NULL, NULL, NULL, 15),
(74068, NULL, 'PTHR12616:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74069, NULL, 'PTHR12253:SF19', NULL, NULL, NULL, NULL, 'GROUP 3 SECRETORY PHOSPHOLIPASE A2', NULL, NULL, NULL, 15),
(74070, NULL, 'PTHR44750:SF5', NULL, NULL, NULL, NULL, 'BNAC06G42280D PROTEIN', NULL, NULL, NULL, 15),
(74071, NULL, 'PTHR19316:SF33', NULL, NULL, NULL, NULL, 'BNAC03G36030D PROTEIN', NULL, NULL, NULL, 15),
(74072, NULL, 'PTHR46595:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74073, NULL, 'PTHR12002:SF197', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, NULL, 15),
(74074, NULL, 'PTHR23317:SF76', NULL, NULL, NULL, NULL, 'LD20667P', NULL, NULL, NULL, 15),
(74075, NULL, 'PTHR27006:SF354', NULL, NULL, NULL, NULL, 'BNAC03G29930D PROTEIN', NULL, NULL, NULL, 15),
(74076, NULL, 'PTHR23197', NULL, NULL, NULL, NULL, 'TARSH-RELATED FIBRONECTIN DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(74077, NULL, 'PTHR23347:SF5', NULL, NULL, NULL, NULL, 'USHER SYNDROME TYPE-1C PROTEIN-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(74078, NULL, 'PTHR11945:SF424', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(74079, NULL, 'PTHR11771:SF155', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(74080, NULL, 'PTHR34450:SF4', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 226-RELATED', NULL, NULL, NULL, 15),
(74081, NULL, 'PTHR24225:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74082, NULL, 'PTHR13292:SF2', NULL, NULL, NULL, NULL, 'BNAA09G07680D PROTEIN', NULL, NULL, NULL, 15),
(74083, NULL, 'PTHR47330:SF1', NULL, NULL, NULL, NULL, 'POLY(U)-BINDING-SPLICING FACTOR PUF60-B-RELATED', NULL, NULL, NULL, 15),
(74084, NULL, 'PTHR43366:SF1', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE SUBUNIT PORC', NULL, NULL, NULL, 15),
(74085, NULL, 'PTHR46326:SF1', NULL, NULL, NULL, NULL, 'OS03G0425900 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74086, NULL, 'PTHR46128:SF61', NULL, NULL, NULL, NULL, 'BNAA06G34300D PROTEIN', NULL, NULL, NULL, 15),
(74087, NULL, 'PTHR24177:SF258', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74088, NULL, 'PTHR47925:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74089, NULL, 'PTHR37230', NULL, NULL, NULL, NULL, 'OS06G0731300 PROTEIN', NULL, NULL, NULL, 15),
(74090, NULL, 'PTHR31989:SF294', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74091, NULL, 'PTHR26453:SF75', NULL, NULL, NULL, NULL, 'MCG1034639', NULL, NULL, NULL, 15),
(74092, NULL, 'PTHR47993:SF6', NULL, NULL, NULL, NULL, 'OS07G0196300 PROTEIN', NULL, NULL, NULL, 15),
(74093, NULL, 'PTHR47993:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74094, NULL, 'PTHR39110:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(74095, NULL, 'PTHR10489:SF935', NULL, NULL, NULL, NULL, 'RELAXIN FAMILY PEPTIDE RECEPTOR 3.3A1-RELATED', NULL, NULL, NULL, 15),
(74096, NULL, 'PTHR34686:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(74097, NULL, 'PTHR35073:SF1', NULL, NULL, NULL, NULL, 'OTOSPIRALIN', NULL, NULL, NULL, 15),
(74098, NULL, 'PTHR10476:SF40', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 2 HOMOLOG 3', NULL, NULL, NULL, 15),
(74099, NULL, 'PTHR47163:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-17M8.2', NULL, NULL, NULL, 15),
(74100, NULL, 'PTHR24230:SF144', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(74101, NULL, 'PTHR34201:SF1', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(74102, NULL, 'PTHR32246:SF129', NULL, NULL, NULL, NULL, 'PROTEIN SRC2-LIKE', NULL, NULL, NULL, 15),
(74103, NULL, 'PTHR33389:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74104, NULL, 'PTHR31947:SF19', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(74105, NULL, 'PTHR47211', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASR3', NULL, NULL, NULL, 15),
(74106, NULL, 'PTHR12766:SF8', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 16', NULL, NULL, NULL, 15),
(74107, NULL, 'PTHR23015:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG17911', NULL, NULL, NULL, 15),
(74108, NULL, 'PTHR47965:SF43', NULL, NULL, NULL, NULL, 'BASIC 7S GLOBULIN-LIKE', NULL, NULL, NULL, 15),
(74109, NULL, 'PTHR45676:SF105', NULL, NULL, NULL, NULL, 'OS01G0830900 PROTEIN', NULL, NULL, NULL, 15),
(74110, NULL, 'PTHR42841:SF6', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE/LIGASE-RELATED', NULL, NULL, NULL, 15),
(74111, NULL, 'PTHR45907:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', NULL, NULL, NULL, 15),
(74112, NULL, 'PTHR33978:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE', NULL, NULL, NULL, 15),
(74113, NULL, 'PTHR13239', NULL, NULL, NULL, NULL, 'PROTEIN REQUIRED FOR HYPHAL ANASTOMOSIS  HAM-2', NULL, NULL, 29766, 15),
(74114, NULL, 'PTHR18821:SF8', NULL, NULL, NULL, NULL, 'PROKINETICIN-2', NULL, NULL, NULL, 15),
(74115, NULL, 'PTHR10891:SF870', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74116, NULL, 'PTHR23177:SF61', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(74117, NULL, 'PTHR37027', NULL, NULL, NULL, NULL, 'KDE4', NULL, NULL, 33318, 15),
(74118, NULL, 'PTHR34657:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74119, NULL, 'PTHR10285:SF158', NULL, NULL, NULL, NULL, 'SD05789P2', NULL, NULL, 25361, 15),
(74120, NULL, 'PTHR16515:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74121, NULL, 'PTHR21630:SF10', NULL, NULL, NULL, NULL, 'VENTRICULAR ZONE-EXPRESSED PH DOMAIN-CONTAINING PROTEIN HOMOLOG 1', NULL, NULL, NULL, 15),
(74122, NULL, 'PTHR24115:SF414', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF18B', NULL, NULL, NULL, 15),
(74123, NULL, 'PTHR15371:SF29', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM23', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74124, NULL, 'PTHR24209:SF34', NULL, NULL, NULL, NULL, 'BNAC03G72630D PROTEIN', NULL, NULL, NULL, 15),
(74125, NULL, 'PTHR16557:SF7', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE FAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(74126, NULL, 'PTHR33147:SF97', NULL, NULL, NULL, NULL, 'OS01G0932700 PROTEIN', NULL, NULL, NULL, 15),
(74127, NULL, 'PTHR33021:SF370', NULL, NULL, NULL, NULL, 'UCLACYANIN-3', NULL, NULL, NULL, 15),
(74128, NULL, 'PTHR24368:SF209', NULL, NULL, NULL, NULL, 'AMPHOTERIN-INDUCED PROTEIN 2', NULL, NULL, 24572, 15),
(74129, NULL, 'PTHR31741:SF90', NULL, NULL, NULL, NULL, 'BNAC08G44010D PROTEIN', NULL, NULL, NULL, 15),
(74130, NULL, 'PTHR32227:SF381', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE, ACIDIC ISOFORM', NULL, NULL, NULL, 15),
(74131, NULL, 'PTHR44329:SF46', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 11', NULL, NULL, NULL, 15),
(74132, NULL, 'PTHR45808:SF11', NULL, NULL, NULL, NULL, 'GANGLIOSIDE-INDUCED DIFFERENTIATION-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(74133, NULL, 'PTHR32410:SF195', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74134, NULL, 'PTHR12790:SF0', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN3-RELATED', NULL, NULL, NULL, 15),
(74135, NULL, 'PTHR26450:SF73', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51S1', NULL, NULL, NULL, 15),
(74136, NULL, 'PTHR21563:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER C3H1 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(74137, NULL, 'PTHR47950:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY MONOOXYGENASE', NULL, NULL, NULL, 15),
(74138, NULL, 'PTHR43544:SF12', NULL, NULL, NULL, NULL, 'ZGC:65997', NULL, NULL, NULL, 15),
(74139, NULL, 'PTHR31495:SF19', NULL, NULL, NULL, NULL, 'ABA-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(74140, NULL, 'PTHR35395', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74141, NULL, 'PTHR47526:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(74142, NULL, 'PTHR10270:SF283', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-19A-RELATED', NULL, NULL, NULL, 15),
(74143, NULL, 'PTHR12606:SF126', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(74144, NULL, 'PTHR18966:SF473', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2.2-RELATED', NULL, NULL, NULL, 15),
(74145, NULL, 'PTHR10114:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', NULL, NULL, NULL, 15),
(74146, NULL, 'PTHR43591:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74147, NULL, 'PTHR43572:SF45', NULL, NULL, NULL, NULL, 'BNACNNG27970D PROTEIN', NULL, NULL, NULL, 15),
(74148, NULL, 'PTHR11449', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L30', NULL, NULL, 33540, 15),
(74149, NULL, 'PTHR11430:SF4', NULL, NULL, NULL, NULL, 'VOMERONASAL SECRETORY PROTEIN 1', NULL, NULL, NULL, 15),
(74150, NULL, 'PTHR47614', NULL, NULL, NULL, NULL, 'GLYCOPHORIN-C', NULL, NULL, 37492, 15),
(74151, NULL, 'PTHR31342:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74152, NULL, 'PTHR24056:SF190', NULL, NULL, NULL, NULL, 'OS06G0693900 PROTEIN', NULL, NULL, NULL, 15),
(74153, NULL, 'PTHR45642:SF72', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(74154, NULL, 'PTHR46934:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74155, NULL, 'PTHR47061', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(74156, NULL, 'PTHR11893:SF29', NULL, NULL, NULL, NULL, 'INNEXIN-12', NULL, NULL, NULL, 15),
(74157, NULL, 'PTHR37982:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74158, NULL, 'PTHR12384', NULL, NULL, NULL, NULL, 'MATERNAL PROTEIN EXUPERANTIA', NULL, NULL, 29526, 15),
(74159, NULL, 'PTHR23086:SF118', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(74160, NULL, 'PTHR31352:SF32', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74161, NULL, 'PTHR39598', NULL, NULL, NULL, NULL, 'AUSTINOL SYNTHESIS PROTEIN F-RELATED', NULL, NULL, NULL, 15),
(74162, NULL, 'PTHR30128:SF62', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I PSAA/PSAB-RELATED', NULL, NULL, NULL, 15),
(74163, NULL, 'PTHR30627:SF19', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN D', NULL, NULL, NULL, 15),
(74164, NULL, 'PTHR15382', NULL, NULL, NULL, NULL, 'CTG4A-RELATED', NULL, NULL, NULL, 15),
(74165, NULL, 'PTHR10219:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74166, NULL, 'PTHR34689', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING PROTEIN', NULL, NULL, NULL, 15),
(74167, NULL, 'PTHR34125:SF2', NULL, NULL, NULL, NULL, 'OS01G0762900 PROTEIN', NULL, NULL, NULL, 15),
(74168, NULL, 'PTHR32212:SF310', NULL, NULL, NULL, NULL, 'BNAA09G20720D PROTEIN', NULL, NULL, NULL, 15),
(74169, NULL, 'PTHR18884:SF55', NULL, NULL, NULL, NULL, 'SEPTIN-6', NULL, NULL, 24616, 15),
(74170, NULL, 'PTHR32133:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74171, NULL, 'PTHR23070:SF92', NULL, NULL, NULL, NULL, 'BCS1 AAA-TYPE ATPASE', NULL, NULL, NULL, 15),
(74172, NULL, 'PTHR24100:SF46', NULL, NULL, NULL, NULL, 'ERYTHROID MEMBRANE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(74173, NULL, 'PTHR42811:SF17', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(74174, NULL, 'PTHR35859:SF1', NULL, NULL, NULL, NULL, 'NONSELECTIVE CATION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(74175, NULL, 'PTHR44591:SF4', NULL, NULL, NULL, NULL, 'CHEMOTAXIS RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(74176, NULL, 'PTHR24253:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74177, NULL, 'PTHR31966:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74178, NULL, 'PTHR11385:SF15', NULL, NULL, NULL, NULL, 'SERUM ALBUMIN', NULL, NULL, NULL, 15),
(74179, NULL, 'PTHR31388:SF125', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(74180, NULL, 'PTHR43112:SF21', NULL, NULL, NULL, NULL, '2FE-2S FERREDOXIN, IRON-SULPHUR BINDING SITE', NULL, NULL, NULL, 15),
(74181, NULL, 'PTHR16134:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74182, NULL, 'PTHR45637:SF67', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIPK', NULL, NULL, NULL, 15),
(74183, NULL, 'PTHR35308:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74184, NULL, 'PTHR23121:SF9', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT GLUCOSE TRANSPORTER 1', NULL, NULL, NULL, 15),
(74185, NULL, 'PTHR11721:SF26', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27A-2', NULL, NULL, NULL, 15),
(74186, NULL, 'PTHR11540:SF62', NULL, NULL, NULL, NULL, 'OS07G0630800 PROTEIN', NULL, NULL, NULL, 15),
(74187, NULL, 'PTHR47405:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(74188, NULL, 'PTHR31238:SF117', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 2-3-RELATED', NULL, NULL, NULL, 15),
(74189, NULL, 'PTHR24006:SF647', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 12', NULL, NULL, NULL, 15),
(74190, NULL, 'PTHR11638:SF146', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 104', NULL, NULL, NULL, 15),
(74191, NULL, 'PTHR11465:SF23', NULL, NULL, NULL, NULL, 'CATALASE ISOZYME B', NULL, NULL, NULL, 15),
(74192, NULL, 'PTHR31205:SF7', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN', NULL, NULL, NULL, 15),
(74193, NULL, 'PTHR21433:SF7', NULL, NULL, NULL, NULL, 'ZGC:103681', NULL, NULL, NULL, 15),
(74194, NULL, 'PTHR47966:SF10', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE SXA1', NULL, NULL, NULL, 15),
(74195, NULL, 'PTHR30168:SF0', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(74196, NULL, 'PTHR10281:SF83', NULL, NULL, NULL, NULL, 'MEMBRANE STEROID-BINDING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(74197, NULL, 'PTHR31264:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74198, NULL, 'PTHR11035:SF16', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE 4', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74199, NULL, 'PTHR11562:SF27', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 4', NULL, NULL, NULL, 15),
(74200, NULL, 'PTHR46163:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG08352', NULL, NULL, NULL, 15),
(74201, NULL, 'PTHR31339:SF63', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', NULL, NULL, NULL, 15),
(74202, NULL, 'PTHR32448:SF124', NULL, NULL, NULL, NULL, 'BNAC08G41860D PROTEIN', NULL, NULL, NULL, 15),
(74203, NULL, 'PTHR46506:SF42', NULL, NULL, NULL, NULL, 'OS11G0524400 PROTEIN', NULL, NULL, NULL, 15),
(74204, NULL, 'PTHR31595:SF49', NULL, NULL, NULL, NULL, 'BNAA08G03190D PROTEIN', NULL, NULL, NULL, 15),
(74205, NULL, 'PTHR14744:SF15', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 60', NULL, NULL, NULL, 15),
(74206, NULL, 'PTHR35828', NULL, NULL, NULL, NULL, 'OS08G0203800 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(74207, NULL, 'PTHR44376:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR LEUNIG-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74208, NULL, 'PTHR28673:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 108', NULL, NULL, NULL, 15),
(74209, NULL, 'PTHR23176:SF0', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN BEM3', NULL, NULL, NULL, 15),
(74210, NULL, 'PTHR15357', NULL, NULL, NULL, NULL, 'OLFACTORY MARKER PROTEIN', NULL, NULL, 7579, 15),
(74211, NULL, 'PTHR15288:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74212, NULL, 'PTHR12538:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', NULL, NULL, NULL, 15),
(74213, NULL, 'PTHR10068:SF14', NULL, NULL, NULL, NULL, 'CELL WALL ADHESIN EAP1', NULL, NULL, NULL, 15),
(74214, NULL, 'PTHR19229:SF235', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 8-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(74215, NULL, 'PTHR33401:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74216, NULL, 'PTHR10993:SF2', NULL, NULL, NULL, NULL, 'OCTANOYLTRANSFERASE LIP2P, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(74217, NULL, 'PTHR18896:SF147', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA 1', NULL, NULL, NULL, 15),
(74218, NULL, 'PTHR46983:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74219, NULL, 'PTHR24637:SF326', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(74220, NULL, 'PTHR42861:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE TYPE 2C MEMBER 1', NULL, NULL, 26683, 15),
(74221, NULL, 'PTHR12197:SF274', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(74222, NULL, 'PTHR13871:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG23918', NULL, NULL, NULL, 15),
(74223, NULL, 'PTHR35149', NULL, NULL, NULL, NULL, 'SLL5132 PROTEIN', NULL, NULL, NULL, 15),
(74224, NULL, 'PTHR47584:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74225, NULL, 'PTHR46235:SF7', NULL, NULL, NULL, NULL, 'OS08G0336500 PROTEIN', NULL, NULL, NULL, 15),
(74226, NULL, 'PTHR48004:SF13', NULL, NULL, NULL, NULL, 'OS01G0694100 PROTEIN', NULL, NULL, NULL, 15),
(74227, NULL, 'PTHR13000', NULL, NULL, NULL, NULL, 'NUCLEOPORIN P54', NULL, NULL, 22877, 15),
(74228, NULL, 'PTHR11036:SF127', NULL, NULL, NULL, NULL, 'SEMAPHORIN-1A', NULL, NULL, NULL, 15),
(74229, NULL, 'PTHR45617:SF91', NULL, NULL, NULL, NULL, '2MIT, ISOFORM B', NULL, NULL, NULL, 15),
(74230, NULL, 'PTHR12411:SF710', NULL, NULL, NULL, NULL, 'THIOL PROTEASE SEN102-LIKE', NULL, NULL, NULL, 15),
(74231, NULL, 'PTHR10404:SF45', NULL, NULL, NULL, NULL, 'OS01G0740500 PROTEIN', NULL, NULL, NULL, 15),
(74232, NULL, 'PTHR46757', NULL, NULL, NULL, NULL, 'SORTING NEXIN-RELATED', NULL, NULL, 37091, 15),
(74233, NULL, 'PTHR45871:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT A', NULL, NULL, NULL, 15),
(74234, NULL, 'PTHR45636:SF21', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-6', NULL, NULL, NULL, 15),
(74235, NULL, 'PTHR42912:SF63', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(74236, NULL, 'PTHR10498:SF6', NULL, NULL, NULL, NULL, 'PARALEMMIN-1', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74237, NULL, 'PTHR11732:SF218', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALDOSE REDUCTASE GRE3', NULL, NULL, NULL, 15),
(74238, NULL, 'PTHR24376:SF161', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 60', NULL, NULL, NULL, 15),
(74239, NULL, 'PTHR21749:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG03867', NULL, NULL, NULL, 15),
(74240, NULL, 'PTHR27007:SF343', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(74241, NULL, 'PTHR33264:SF27', NULL, NULL, NULL, NULL, 'F24J5.7', NULL, NULL, NULL, 15),
(74242, NULL, 'PTHR31354:SF8', NULL, NULL, NULL, NULL, 'INOSITOL-1,4,5-TRISPHOSPHATE 5-PHOSPHATASE', NULL, NULL, NULL, 15),
(74243, NULL, 'PTHR46641:SF3', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(74244, NULL, 'PTHR31142:SF39', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 1', NULL, NULL, NULL, 15),
(74245, NULL, 'PTHR31232:SF80', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY S1-RELATED', NULL, NULL, NULL, 15),
(74246, NULL, 'PTHR11206:SF434', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(74247, NULL, 'PTHR10110:SF126', NULL, NULL, NULL, NULL, 'NA(+)/H(+) EXCHANGER PROTEIN 7', NULL, NULL, NULL, 15),
(74248, NULL, 'PTHR11260:SF656', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9-LIKE', NULL, NULL, NULL, 15),
(74249, NULL, 'PTHR19300:SF57', NULL, NULL, NULL, NULL, 'BETA-1,4-N-ACETYLGALACTOSAMINYLTRANSFERASE BRE-4', NULL, NULL, NULL, 15),
(74250, NULL, 'PTHR43768:SF24', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(74251, NULL, 'PTHR47967:SF86', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74252, NULL, 'PTHR33083:SF68', NULL, NULL, NULL, NULL, 'SENESCENCE REGULATOR S40-RELATED', NULL, NULL, NULL, 15),
(74253, NULL, 'PTHR19959:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74254, NULL, 'PTHR38031:SF1', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN SLR0821-RELATED', NULL, NULL, NULL, 15),
(74255, NULL, 'PTHR46249:SF36', NULL, NULL, NULL, NULL, 'PROTEIN PXR1-LIKE', NULL, NULL, NULL, 15),
(74256, NULL, 'PTHR11132:SF391', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74257, NULL, 'PTHR22298:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74258, NULL, 'PTHR27005:SF375', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74259, NULL, 'PTHR17920:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74260, NULL, 'PTHR27006:SF183', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', NULL, NULL, NULL, 15),
(74261, NULL, 'PTHR35889:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74262, NULL, 'PTHR43690:SF24', NULL, NULL, NULL, NULL, 'BNAC08G45030D PROTEIN', NULL, NULL, NULL, 15),
(74263, NULL, 'PTHR24637:SF295', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(74264, NULL, 'PTHR10741', NULL, NULL, NULL, NULL, 'TRANSLIN AND TRANSLIN ASSOCIATED PROTEIN X', NULL, NULL, 5637, 15),
(74265, NULL, 'PTHR22595:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74266, NULL, 'PTHR47926:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74267, NULL, 'PTHR27004:SF346', NULL, NULL, NULL, NULL, 'BNAA04G18930D PROTEIN', NULL, NULL, NULL, 15),
(74268, NULL, 'PTHR10353:SF279', NULL, NULL, NULL, NULL, 'BNAC04G03790D PROTEIN', NULL, NULL, NULL, 15),
(74269, NULL, 'PTHR40081:SF1', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE', NULL, NULL, NULL, 15),
(74270, NULL, 'PTHR22835:SF533', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74271, NULL, 'PTHR15405', NULL, NULL, NULL, NULL, 'PROLINE-RICH NUCLEAR RECEPTOR COACTIVATOR', NULL, NULL, 27928, 15),
(74272, NULL, 'PTHR12316:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74273, NULL, 'PTHR21258:SF55', NULL, NULL, NULL, NULL, 'FI23523P1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74274, NULL, 'PTHR33149:SF27', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC REACTION CENTRE, L/M, PHOTOSYSTEM ANTENNA PROTEIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(74275, NULL, 'PTHR15427:SF1', NULL, NULL, NULL, NULL, 'EMILIN-1', NULL, NULL, NULL, 15),
(74276, NULL, 'PTHR11848:SF151', NULL, NULL, NULL, NULL, 'EMBRYONIC GROWTH/DIFFERENTIATION FACTOR 1', NULL, NULL, NULL, 15),
(74277, NULL, 'PTHR35286:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(74278, NULL, 'PTHR31683:SF67', NULL, NULL, NULL, NULL, 'PECTIN LYASE F-RELATED', NULL, NULL, NULL, 15),
(74279, NULL, 'PTHR11746:SF195', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(74280, NULL, 'PTHR31083:SF30', NULL, NULL, NULL, NULL, 'BNAANNG21550D PROTEIN', NULL, NULL, NULL, 15),
(74281, NULL, 'PTHR31235:SF156', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(74282, NULL, 'PTHR38010', NULL, NULL, NULL, NULL, 'SLR0848 PROTEIN', NULL, NULL, NULL, 15),
(74283, NULL, 'PTHR46058:SF14', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE', NULL, NULL, NULL, 15),
(74284, NULL, 'PTHR31503:SF69', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', NULL, NULL, NULL, 15),
(74285, NULL, 'PTHR43392', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN / ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74286, NULL, 'PTHR12913:SF3', NULL, NULL, NULL, NULL, 'SI:DKEYP-121D4.3', NULL, NULL, NULL, 15),
(74287, NULL, 'PTHR20835:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG00975', NULL, NULL, NULL, 15),
(74288, NULL, 'PTHR13068:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74289, NULL, 'PTHR21461:SF75', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(74290, NULL, 'PTHR31929:SF122', NULL, NULL, NULL, NULL, 'BNAANNG36540D PROTEIN', NULL, NULL, NULL, 15),
(74291, NULL, 'PTHR23279:SF4', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 2, ISOFORM F-RELATED', NULL, NULL, NULL, 15),
(74292, NULL, 'PTHR26452:SF403', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(74293, NULL, 'PTHR24114:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74294, NULL, 'PTHR46609:SF6', NULL, NULL, NULL, NULL, 'RESTRICTION ENDONUCLEASE, TYPE II-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(74295, NULL, 'PTHR21091:SF172', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN DECARBOXYLASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(74296, NULL, 'PTHR23407:SF7', NULL, NULL, NULL, NULL, 'AGAP008898-PA', NULL, NULL, NULL, 15),
(74297, NULL, 'PTHR23155:SF1110', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(74298, NULL, 'PTHR24247:SF231', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 2A-RELATED', NULL, NULL, NULL, 15),
(74299, NULL, 'PTHR33065:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74300, NULL, 'PTHR46162:SF15', NULL, NULL, NULL, NULL, 'F9D12.8 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(74301, NULL, 'PTHR31250:SF5', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(74302, NULL, 'PTHR38338', NULL, NULL, NULL, NULL, 'AGAP013079-PA', NULL, NULL, NULL, 15),
(74303, NULL, 'PTHR47338:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(74304, NULL, 'PTHR46197', NULL, NULL, NULL, NULL, 'PROTEIN ABHD14B-LIKE', NULL, NULL, NULL, 15),
(74305, NULL, 'PTHR23117:SF8', NULL, NULL, NULL, NULL, 'RIBOSE 1,5-BISPHOSPHATE PHOSPHOKINASE PHNN', NULL, NULL, NULL, 15),
(74306, NULL, 'PTHR33831:SF12', NULL, NULL, NULL, NULL, 'BNAC03G17050D PROTEIN', NULL, NULL, NULL, 15),
(74307, NULL, 'PTHR34934', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT THYMIDYLATE SYNTHASE', NULL, NULL, 1227, 15),
(74308, NULL, 'PTHR32212:SF335', NULL, NULL, NULL, NULL, 'BNACNNG13980D PROTEIN', NULL, NULL, NULL, 15),
(74309, NULL, 'PTHR31496:SF32', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR KAN1-LIKE ISOFORM X2', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74310, NULL, 'PTHR31234:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(74311, NULL, 'PTHR10796:SF95', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(74312, NULL, 'PTHR10878:SF37', NULL, NULL, NULL, NULL, 'DISHEVELLED RELATED', NULL, NULL, NULL, 15),
(74313, NULL, 'PTHR33065:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74314, NULL, 'PTHR33193:SF13', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF3511)-RELATED', NULL, NULL, NULL, 15),
(74315, NULL, 'PTHR11952', NULL, NULL, NULL, NULL, 'UDP- GLUCOSE PYROPHOSPHORYLASE', NULL, NULL, 30793, 15),
(74316, NULL, 'PTHR24376:SF50', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 945', NULL, NULL, NULL, 15),
(74317, NULL, 'PTHR10334:SF472', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74318, NULL, 'PTHR32055', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-1-BINDING PROTEIN 1', NULL, NULL, 18585, 15),
(74319, NULL, 'PTHR31627:SF37', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-4-RELATED', NULL, NULL, NULL, 15),
(74320, NULL, 'PTHR31274:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ECM3', NULL, NULL, NULL, 15),
(74321, NULL, 'PTHR14085:SF4', NULL, NULL, NULL, NULL, 'BNAANNG36350D PROTEIN', NULL, NULL, NULL, 15),
(74322, NULL, 'PTHR43625:SF58', NULL, NULL, NULL, NULL, 'BNAC01G28790D PROTEIN', NULL, NULL, NULL, 15),
(74323, NULL, 'PTHR11394:SF47', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(74324, NULL, 'PTHR33971:SF1', NULL, NULL, NULL, NULL, 'OS06G0232000 PROTEIN', NULL, NULL, NULL, 15),
(74325, NULL, 'PTHR16083:SF27', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN SOC-2 HOMOLOG-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74326, NULL, 'PTHR10257:SF55', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(74327, NULL, 'PTHR42760:SF82', NULL, NULL, NULL, NULL, 'ZGC:113054', NULL, NULL, NULL, 15),
(74328, NULL, 'PTHR24064:SF574', NULL, NULL, NULL, NULL, 'PROTEIN CBG02498', NULL, NULL, NULL, 15),
(74329, NULL, 'PTHR12850:SF5', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S25', NULL, NULL, NULL, 15),
(74330, NULL, 'PTHR47990:SF11', NULL, NULL, NULL, NULL, 'NARINGENIN,2-OXOGLUTARATE 3-DIOXYGENASE', NULL, NULL, NULL, 15),
(74331, NULL, 'PTHR36353:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(74332, NULL, 'PTHR20961:SF102', NULL, NULL, NULL, NULL, 'OS05G0391600 PROTEIN', NULL, NULL, NULL, 15),
(74333, NULL, 'PTHR46145:SF3', NULL, NULL, NULL, NULL, 'HEPARANASE', NULL, NULL, NULL, 15),
(74334, NULL, 'PTHR45623:SF6', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 5', NULL, NULL, 23473, 15),
(74335, NULL, 'PTHR11003:SF172', NULL, NULL, NULL, NULL, 'TWO PORE POTASSIUM CHANNEL PROTEIN SUP-9', NULL, NULL, NULL, 15),
(74336, NULL, 'PTHR11961:SF23', NULL, NULL, NULL, NULL, 'OS04G0693050 PROTEIN', NULL, NULL, NULL, 15),
(74337, NULL, 'PTHR34794:SF4', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 29-LIKE', NULL, NULL, NULL, 15),
(74338, NULL, 'PTHR32285:SF277', NULL, NULL, NULL, NULL, 'BNAA04G17190D PROTEIN', NULL, NULL, NULL, 15),
(74339, NULL, 'PTHR48018:SF111', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(74340, NULL, 'PTHR31620:SF2', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(74341, NULL, 'PTHR45791:SF1', NULL, NULL, NULL, NULL, 'CALCIUM AND INTEGRIN-BINDING 1 (CALMYRIN)', NULL, NULL, NULL, 15),
(74342, NULL, 'PTHR31282:SF108', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 41 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(74343, NULL, 'PTHR20973:SF0', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 1 HOMOLOG', NULL, NULL, NULL, 15),
(74344, NULL, 'PTHR24093:SF469', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(74345, NULL, 'PTHR31235:SF49', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(74346, NULL, 'PTHR27003:SF41', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE THESEUS 1', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74347, NULL, 'PTHR47992:SF127', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', NULL, NULL, NULL, 15),
(74348, NULL, 'PTHR31988:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74349, NULL, 'PTHR47950:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74350, NULL, 'PTHR21346:SF2', NULL, NULL, NULL, NULL, 'FUN14 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(74351, NULL, 'PTHR11817:SF85', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(74352, NULL, 'PTHR10362:SF52', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(74353, NULL, 'PTHR45680:SF27', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(74354, NULL, 'PTHR23315:SF288', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(74355, NULL, 'PTHR46684:SF10', NULL, NULL, NULL, NULL, 'BNAC07G03900D PROTEIN', NULL, NULL, NULL, 15),
(74356, NULL, 'PTHR47143', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL PROTEIN PAINLESS', NULL, NULL, NULL, 15),
(74357, NULL, 'PTHR31604:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74358, NULL, 'PTHR12276:SF102', NULL, NULL, NULL, NULL, 'BNAC04G48710D PROTEIN', NULL, NULL, NULL, 15),
(74359, NULL, 'PTHR48043:SF105', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(74360, NULL, 'PTHR30029', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 3778, 15),
(74361, NULL, 'PTHR11132:SF347', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(74362, NULL, 'PTHR44329:SF188', NULL, NULL, NULL, NULL, 'BNAA09G55660D PROTEIN', NULL, NULL, NULL, 15),
(74363, NULL, 'PTHR48053:SF38', NULL, NULL, NULL, NULL, 'BNAA09G07170D PROTEIN', NULL, NULL, NULL, 15),
(74364, NULL, 'PTHR47891:SF2', NULL, NULL, NULL, NULL, 'TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(74365, NULL, 'PTHR11467:SF111', NULL, NULL, NULL, NULL, 'HMG-Y-RELATED PROTEIN B', NULL, NULL, NULL, 15),
(74366, NULL, 'PTHR31929:SF56', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(74367, NULL, 'PTHR10366:SF288', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN REDUCTASE', NULL, NULL, NULL, 15),
(74368, NULL, 'PTHR24115:SF745', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74369, NULL, 'PTHR15742:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-241', NULL, NULL, NULL, 15),
(74370, NULL, 'PTHR21386:SF0', NULL, NULL, NULL, NULL, 'PROTEIN INSCUTEABLE HOMOLOG', NULL, NULL, NULL, 15),
(74371, NULL, 'PTHR11088:SF58', NULL, NULL, NULL, NULL, 'OS07G0190150 PROTEIN', NULL, NULL, NULL, 15),
(74372, NULL, 'PTHR11728:SF38', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)] 2, CYTOSOLIC-RELATED', NULL, NULL, NULL, 15),
(74373, NULL, 'PTHR35154:SF3', NULL, NULL, NULL, NULL, 'GBP PROTEIN', NULL, NULL, NULL, 15),
(74374, NULL, 'PTHR24298:SF477', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(74375, NULL, 'PTHR41271', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74376, NULL, 'PTHR47989:SF44', NULL, NULL, NULL, NULL, 'OS01G0709500 PROTEIN', NULL, NULL, NULL, 15),
(74377, NULL, 'PTHR10366:SF694', NULL, NULL, NULL, NULL, 'BNAC01G29820D PROTEIN', NULL, NULL, NULL, 15),
(74378, NULL, 'PTHR31299', NULL, NULL, NULL, NULL, 'ESTERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G05850)-RELATED', NULL, NULL, NULL, 15),
(74379, NULL, 'PTHR38098:SF1', NULL, NULL, NULL, NULL, 'LPS-ASSEMBLY LIPOPROTEIN LPTE', NULL, NULL, NULL, 15),
(74380, NULL, 'PTHR31448:SF37', NULL, NULL, NULL, NULL, 'BNAA09G44380D PROTEIN', NULL, NULL, NULL, 15),
(74381, NULL, 'PTHR15601:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74382, NULL, 'PTHR13123:SF8', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 25', NULL, NULL, NULL, 15),
(74383, NULL, 'PTHR24033:SF158', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74384, NULL, 'PTHR46485:SF6', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TESTIS-SPECIFIC PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(74385, NULL, 'PTHR35897:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE AUSD', NULL, NULL, NULL, 15),
(74386, NULL, 'PTHR45648:SF2', NULL, NULL, NULL, NULL, 'OS02G0816200 PROTEIN', NULL, NULL, NULL, 15),
(74387, NULL, 'PTHR31989:SF264', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(74388, NULL, 'PTHR13398:SF6', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(74389, NULL, 'PTHR13144:SF0', NULL, NULL, NULL, NULL, 'PROTEIN TEX261', NULL, NULL, NULL, 15),
(74390, NULL, 'PTHR31100:SF69', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 17-RELATED', NULL, NULL, NULL, 15),
(74391, NULL, 'PTHR22920:SF22', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN 152', NULL, NULL, NULL, 15),
(74392, NULL, 'PTHR33326:SF41', NULL, NULL, NULL, NULL, 'OS11G0648800 PROTEIN', NULL, NULL, NULL, 15),
(74393, NULL, 'PTHR12231:SF228', NULL, NULL, NULL, NULL, 'PROTOGENIN', NULL, NULL, NULL, 15),
(74394, NULL, 'PTHR33993:SF1', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74395, NULL, 'PTHR28002', NULL, NULL, NULL, NULL, 'MIOREX COMPLEX COMPONENT 11', NULL, NULL, 20095, 15),
(74396, NULL, 'PTHR24406:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 692', NULL, NULL, NULL, 15),
(74397, NULL, 'PTHR12317:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG22471', NULL, NULL, NULL, 15),
(74398, NULL, 'PTHR44586:SF8', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(74399, NULL, 'PTHR47832:SF1', NULL, NULL, NULL, NULL, 'DNA PHOTOLYASE', NULL, NULL, NULL, 15),
(74400, NULL, 'PTHR12632:SF43', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-1', NULL, NULL, NULL, 15),
(74401, NULL, 'PTHR31265:SF29', NULL, NULL, NULL, NULL, 'BNAA09G04540D PROTEIN', NULL, NULL, NULL, 15),
(74402, NULL, 'PTHR10353:SF69', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 8', NULL, NULL, NULL, 15),
(74403, NULL, 'PTHR18839', NULL, NULL, NULL, NULL, 'MITOTIC INTERACTOR AND SUBSTRATE OF PLK1 MISP FAMILY MEMBER', NULL, NULL, 38047, 15),
(74404, NULL, 'PTHR31415:SF128', NULL, NULL, NULL, NULL, 'PROTEIN NDR1-LIKE', NULL, NULL, NULL, 15),
(74405, NULL, 'PTHR47544:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74406, NULL, 'PTHR11814:SF67', NULL, NULL, NULL, NULL, 'GH25012P', NULL, NULL, NULL, 15),
(74407, NULL, 'PTHR33868', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(74408, NULL, 'PTHR11877:SF55', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 8', NULL, NULL, NULL, 15),
(74409, NULL, 'PTHR11639:SF60', NULL, NULL, NULL, NULL, 'PROTEIN S100-A11', NULL, NULL, 28006, 15),
(74410, NULL, 'PTHR32133:SF307', NULL, NULL, NULL, NULL, 'OS08G0299600 PROTEIN', NULL, NULL, NULL, 15),
(74411, NULL, 'PTHR11977:SF30', NULL, NULL, NULL, NULL, 'VILLIN-LIKE PROTEIN', NULL, NULL, 17848, 15),
(74412, NULL, 'PTHR44329:SF169', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY KINASE TKL-PL-4 FAMILY-RELATED', NULL, NULL, NULL, 15),
(74413, NULL, 'PTHR10869:SF42', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 1', NULL, NULL, NULL, 15),
(74414, NULL, 'PTHR31558:SF19', NULL, NULL, NULL, NULL, 'PLANT/F14N23-31 PROTEIN', NULL, NULL, NULL, 15),
(74415, NULL, 'PTHR45647:SF62', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 56', NULL, NULL, NULL, 15),
(74416, NULL, 'PTHR11937:SF359', NULL, NULL, NULL, NULL, 'ACTIN', NULL, NULL, NULL, 15),
(74417, NULL, 'PTHR22601:SF0', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 1', NULL, NULL, NULL, 15),
(74418, NULL, 'PTHR47990:SF104', NULL, NULL, NULL, NULL, 'OSJNBA0033G05.6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74419, NULL, 'PTHR34674:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:DIACYLGLYCEROL CHOLINEPHOSPHOTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(74420, NULL, 'PTHR15725:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 32-LIKE', NULL, NULL, NULL, 15),
(74421, NULL, 'PTHR46338:SF14', NULL, NULL, NULL, NULL, 'OS02G0699900 PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74422, NULL, 'PTHR10443:SF41', NULL, NULL, NULL, NULL, 'DIPEPTIDASE', NULL, NULL, NULL, 15),
(74423, NULL, 'PTHR12555:SF22', NULL, NULL, NULL, NULL, 'UBIQUITIN FUSION DEGRADATION UFD1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74424, NULL, 'PTHR30249:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74425, NULL, 'PTHR43553:SF17', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN MJ1572-RELATED', NULL, NULL, NULL, 15),
(74426, NULL, 'PTHR37859:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 3', NULL, NULL, NULL, 15),
(74427, NULL, 'PTHR31254:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC690617', NULL, NULL, NULL, 15),
(74428, NULL, 'PTHR15241:SF317', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 2, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(74429, NULL, 'PTHR31062:SF146', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 31', NULL, NULL, NULL, 15),
(74430, NULL, 'PTHR12386:SF32', NULL, NULL, NULL, NULL, 'ATP SYNTHASE, ROTATIONAL MECHANISM, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(74431, NULL, 'PTHR23235:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP6', NULL, NULL, NULL, 15),
(74432, NULL, 'PTHR34468:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74433, NULL, 'PTHR23147:SF82', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 6', NULL, NULL, 25561, 15),
(74434, NULL, 'PTHR37429:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG00815', NULL, NULL, NULL, 15),
(74435, NULL, 'PTHR31208:SF16', NULL, NULL, NULL, NULL, 'BNAC03G14160D PROTEIN', NULL, NULL, NULL, 15),
(74436, NULL, 'PTHR21586:SF0', NULL, NULL, NULL, NULL, 'PP2C-LIKE DOMAIN-CONTAINING PROTEIN CG9801', NULL, NULL, NULL, 15),
(74437, NULL, 'PTHR31731:SF50', NULL, NULL, NULL, NULL, 'OSJNBA0010H02.24 PROTEIN', NULL, NULL, NULL, 15),
(74438, NULL, 'PTHR26453:SF150', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(74439, NULL, 'PTHR11626', NULL, NULL, NULL, NULL, 'FARNESYL-DIPHOSPHATE FARNESYLTRANSFERASE', NULL, NULL, 36864, 15),
(74440, NULL, 'PTHR14224:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74441, NULL, 'PTHR34371:SF2', NULL, NULL, NULL, NULL, 'DUF688 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74442, NULL, 'PTHR22989:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01918', NULL, NULL, NULL, 15),
(74443, NULL, 'PTHR24384:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 114', NULL, NULL, NULL, 15),
(74444, NULL, 'PTHR21277:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF RNA POLII, SAGA, SUBUNIT', NULL, NULL, NULL, 15),
(74445, NULL, 'PTHR47932:SF45', NULL, NULL, NULL, NULL, 'OS02G0565400 PROTEIN', NULL, NULL, NULL, 15),
(74446, NULL, 'PTHR31395:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-4', NULL, NULL, NULL, 15),
(74447, NULL, 'PTHR33318:SF23', NULL, NULL, NULL, NULL, 'EISOSOME PROTEIN', NULL, NULL, NULL, 15),
(74448, NULL, 'PTHR36520:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74449, NULL, 'PTHR31235:SF21', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(74450, NULL, 'PTHR34936:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(74451, NULL, 'PTHR46704:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74452, NULL, 'PTHR32295:SF11', NULL, NULL, NULL, NULL, 'CALMODULIN BINDING PROTEIN IQD22', NULL, NULL, NULL, 15),
(74453, NULL, 'PTHR47962:SF3', NULL, NULL, NULL, NULL, 'HELICASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(74454, NULL, 'PTHR33177:SF24', NULL, NULL, NULL, NULL, 'FILAMENTOUS HEMAGGLUTININ TRANSPORTER', NULL, NULL, NULL, 15),
(74455, NULL, 'PTHR34463:SF16', NULL, NULL, NULL, NULL, 'BNAA03G58800D PROTEIN', NULL, NULL, NULL, 15),
(74456, NULL, 'PTHR35105', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(74457, NULL, 'PTHR45675:SF75', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB21-LIKE', NULL, NULL, NULL, 15),
(74458, NULL, 'PTHR47956:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74459, NULL, 'PTHR16788:SF4', NULL, NULL, NULL, NULL, 'EPIDIDYMAL SECRETORY PROTEIN E3-ALPHA', NULL, NULL, 28356, 15),
(74460, NULL, 'PTHR31944', NULL, NULL, NULL, NULL, 'HEME-RESPONSIVE ZINC FINGER TRANSCRIPTION FACTOR HAP1', NULL, NULL, NULL, 15),
(74461, NULL, 'PTHR46328:SF5', NULL, NULL, NULL, NULL, 'BNAC01G30190D PROTEIN', NULL, NULL, NULL, 15),
(74462, NULL, 'PTHR42774:SF6', NULL, NULL, NULL, NULL, 'PFKB FAMILY CARBOHYDRATE KINASE', NULL, NULL, NULL, 15),
(74463, NULL, 'PTHR24412:SF401', NULL, NULL, NULL, NULL, 'FI11917P', NULL, NULL, NULL, 15),
(74464, NULL, 'PTHR10068', NULL, NULL, NULL, NULL, 'BONE MARROW PROTEOGLYCAN', NULL, NULL, NULL, 15),
(74465, NULL, 'PTHR24028:SF118', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-3', NULL, NULL, NULL, 15),
(74466, NULL, 'PTHR35543:SF1', NULL, NULL, NULL, NULL, 'PROTEIN C11ORF74', NULL, NULL, NULL, 15),
(74467, NULL, 'PTHR11358:SF26', NULL, NULL, NULL, NULL, 'AGMATINASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(74468, NULL, 'PTHR10064:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74469, NULL, 'PTHR34467:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74470, NULL, 'PTHR46179:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZXDC', NULL, NULL, NULL, 15),
(74471, NULL, 'PTHR31048:SF111', NULL, NULL, NULL, NULL, 'OS12G0569300 PROTEIN', NULL, NULL, NULL, 15),
(74472, NULL, 'PTHR11895:SF166', NULL, NULL, NULL, NULL, 'INDOLEACETAMIDE HYDROLASE', NULL, NULL, NULL, 15),
(74473, NULL, 'PTHR47258:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XERICO-RELATED', NULL, NULL, NULL, 15),
(74474, NULL, 'PTHR12936:SF2', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 10', NULL, NULL, NULL, 15),
(74475, NULL, 'PTHR27008:SF417', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74476, NULL, 'PTHR11461:SF166', NULL, NULL, NULL, NULL, 'SERPIN B8', NULL, NULL, NULL, 15),
(74477, NULL, 'PTHR24300:SF314', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74478, NULL, 'PTHR34056:SF4', NULL, NULL, NULL, NULL, 'OS02G0710700 PROTEIN', NULL, NULL, NULL, 15),
(74479, NULL, 'PTHR35274:SF5', NULL, NULL, NULL, NULL, 'BNAC05G02100D PROTEIN', NULL, NULL, NULL, 15),
(74480, NULL, 'PTHR47675:SF1', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN BINDING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G11210)', NULL, NULL, NULL, 15),
(74481, NULL, 'PTHR47993:SF99', NULL, NULL, NULL, NULL, 'OS07G0269800 PROTEIN', NULL, NULL, NULL, 15),
(74482, NULL, 'PTHR47990:SF4', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 2', NULL, NULL, NULL, 15),
(74483, NULL, 'PTHR34678:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(74484, NULL, 'PTHR46387:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74485, NULL, 'PTHR11709:SF86', NULL, NULL, NULL, NULL, 'LACCASE-18', NULL, NULL, NULL, 15),
(74486, NULL, 'PTHR47990:SF17', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP3-LIKE', NULL, NULL, NULL, 15),
(74487, NULL, 'PTHR28612:SF1', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE SMALL SUBUNIT B', NULL, NULL, NULL, 15),
(74488, NULL, 'PTHR46490:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 1 MEMBER B', NULL, NULL, NULL, 15),
(74489, NULL, 'PTHR24637:SF247', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(74490, NULL, 'PTHR10036:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74491, NULL, 'PTHR45669:SF7', NULL, NULL, NULL, NULL, 'F1N19.7', NULL, NULL, NULL, 15),
(74492, NULL, 'PTHR31929:SF130', NULL, NULL, NULL, NULL, 'BNAA02G03920D PROTEIN', NULL, NULL, NULL, 15),
(74493, NULL, 'PTHR34228:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2-LIKE PROTEIN Y52B11A.8', NULL, NULL, NULL, 15),
(74494, NULL, 'PTHR32410:SF185', NULL, NULL, NULL, NULL, 'BNACNNG42150D PROTEIN', NULL, NULL, NULL, 15),
(74495, NULL, 'PTHR11061:SF47', NULL, NULL, NULL, NULL, '23S RRNA (URACIL(1939)-C(5))-METHYLTRANSFERASE RLMD', NULL, NULL, NULL, 15),
(74496, NULL, 'PTHR24115:SF844', NULL, NULL, NULL, NULL, 'PHRAGMOPLAST-ASSOCIATED KINESIN-RELATED PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74497, NULL, 'PTHR36177:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74498, NULL, 'PTHR32044:SF73', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(74499, NULL, 'PTHR10887:SF440', NULL, NULL, NULL, NULL, 'RNA HELICASE SDE3-RELATED', NULL, NULL, NULL, 15),
(74500, NULL, 'PTHR35784', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 5', NULL, NULL, 11903, 15),
(74501, NULL, 'PTHR24637:SF318', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 91-RELATED', NULL, NULL, NULL, 15),
(74502, NULL, 'PTHR36815:SF1', NULL, NULL, NULL, NULL, 'BNAC03G48760D PROTEIN', NULL, NULL, NULL, 15),
(74503, NULL, 'PTHR47293:SF9', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 36', NULL, NULL, NULL, 15),
(74504, NULL, 'PTHR11165:SF53', NULL, NULL, NULL, NULL, 'SKR-17-RELATED', NULL, NULL, NULL, 15),
(74505, NULL, 'PTHR11759:SF41', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14-LIKE', NULL, NULL, NULL, 15),
(74506, NULL, 'PTHR41252:SF1', NULL, NULL, NULL, NULL, 'BLR2505 PROTEIN', NULL, NULL, NULL, 15),
(74507, NULL, 'PTHR47105', NULL, NULL, NULL, NULL, 'OS02G0173600 PROTEIN', NULL, NULL, NULL, 15),
(74508, NULL, 'PTHR30188', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN-RELATED', NULL, NULL, 22606, 15),
(74509, NULL, 'PTHR21426:SF18', NULL, NULL, NULL, NULL, 'BNAA02G11810D PROTEIN', NULL, NULL, NULL, 15),
(74510, NULL, 'PTHR12801:SF130', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE 4', NULL, NULL, 31409, 15),
(74511, NULL, 'PTHR16223:SF204', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH153', NULL, NULL, NULL, 15),
(74512, NULL, 'PTHR36832:SF2', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(74513, NULL, 'PTHR24414:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74514, NULL, 'PTHR11324:SF20', NULL, NULL, NULL, NULL, 'AGAP011385-PA', NULL, NULL, NULL, 15),
(74515, NULL, 'PTHR31235:SF235', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(74516, NULL, 'PTHR11426:SF101', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(74517, NULL, 'PTHR12369:SF9', NULL, NULL, NULL, NULL, 'N-ACETYL-BETA-GLUCOSAMINYL-GLYCOPROTEIN 4-BETA-N-ACETYLGALACTOSAMINYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(74518, NULL, 'PTHR24073:SF528', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 22 HOMOLOG', NULL, NULL, NULL, 15),
(74519, NULL, 'PTHR28601:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 24', NULL, NULL, NULL, 15),
(74520, NULL, 'PTHR42718:SF35', NULL, NULL, NULL, NULL, 'SUGAR PERMEASE', NULL, NULL, NULL, 15),
(74521, NULL, 'PTHR24073:SF430', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5A', NULL, NULL, NULL, 15),
(74522, NULL, 'PTHR43294:SF10', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE ALPHA CHAIN 1', NULL, NULL, NULL, 15),
(74523, NULL, 'PTHR31356:SF11', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 8, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(74524, NULL, 'PTHR34710:SF20', NULL, NULL, NULL, NULL, 'OS01G0324400 PROTEIN', NULL, NULL, NULL, 15),
(74525, NULL, 'PTHR10522:SF7', NULL, NULL, NULL, NULL, 'GONADOLIBERIN', NULL, NULL, NULL, 15),
(74526, NULL, 'PTHR43386:SF19', NULL, NULL, NULL, NULL, 'NICKEL TRANSPORT SYSTEM PERMEASE PROTEIN NIKC', NULL, NULL, NULL, 15),
(74527, NULL, 'PTHR36507', NULL, NULL, NULL, NULL, 'BLL1555 PROTEIN', NULL, NULL, NULL, 15),
(74528, NULL, 'PTHR48004:SF47', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(74529, NULL, 'PTHR38044:SF1', NULL, NULL, NULL, NULL, 'BOUQUET FORMATION PROTEIN 4', NULL, NULL, NULL, 15),
(74530, NULL, 'PTHR21512:SF5', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 9', NULL, NULL, NULL, 15),
(74531, NULL, 'PTHR11710:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19-1-RELATED', NULL, NULL, NULL, 15),
(74532, NULL, 'PTHR34835:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74533, NULL, 'PTHR46391:SF24', NULL, NULL, NULL, NULL, 'BNAA03G19810D PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74534, NULL, 'PTHR43416:SF5', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE SUCCINYLTRANSFERASE COMPONENT OF 2-OXOGLUTARATE DEHYDROGENASE COMPLEX, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(74535, NULL, 'PTHR19432:SF37', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 45 MEMBER 3', NULL, NULL, NULL, 15),
(74536, NULL, 'PTHR34890:SF13', NULL, NULL, NULL, NULL, 'YCF68 PROTEIN', NULL, NULL, NULL, 15),
(74537, NULL, 'PTHR24278:SF0', NULL, NULL, NULL, NULL, 'VITAMIN K-DEPENDENT PROTEIN C', NULL, NULL, NULL, 15),
(74538, NULL, 'PTHR33052:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74539, NULL, 'PTHR37900:SF8', NULL, NULL, NULL, NULL, 'OS02G0159250 PROTEIN', NULL, NULL, NULL, 15),
(74540, NULL, 'PTHR10881:SF62', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 8C-RELATED', NULL, NULL, NULL, 15),
(74541, NULL, 'PTHR33110:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74542, NULL, 'PTHR47726', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT U, CHLOROPLASTIC', NULL, NULL, 37838, 15),
(74543, NULL, 'PTHR38613:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG03211', NULL, NULL, NULL, 15),
(74544, NULL, 'PTHR45789:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-13', NULL, NULL, 26690, 15),
(74545, NULL, 'PTHR34979', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YGAZ', NULL, NULL, 12990, 15),
(74546, NULL, 'PTHR31284:SF40', NULL, NULL, NULL, NULL, 'BNAA03G17920D PROTEIN', NULL, NULL, NULL, 15),
(74547, NULL, 'PTHR10286:SF2', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(74548, NULL, 'PTHR17630:SF91', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(74549, NULL, 'PTHR24414:SF122', NULL, NULL, NULL, NULL, 'BNAC03G72150D PROTEIN', NULL, NULL, NULL, 15),
(74550, NULL, 'PTHR47174', NULL, NULL, NULL, NULL, 'BRIDGING INTEGRATOR 3', NULL, NULL, NULL, 15),
(74551, NULL, 'PTHR43968:SF9', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, OMEGA CLASS', NULL, NULL, NULL, 15),
(74552, NULL, 'PTHR47856:SF2', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 20-LIKE', NULL, NULL, NULL, 15),
(74553, NULL, 'PTHR24012:SF807', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 8', NULL, NULL, NULL, 15),
(74554, NULL, 'PTHR13140:SF735', NULL, NULL, NULL, NULL, 'MYOSIN-5', NULL, NULL, NULL, 15),
(74555, NULL, 'PTHR33115:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74556, NULL, 'PTHR23257:SF833', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1', NULL, NULL, NULL, 15),
(74557, NULL, 'PTHR33102:SF37', NULL, NULL, NULL, NULL, 'DVL11-RELATED', NULL, NULL, NULL, 15),
(74558, NULL, 'PTHR35332:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74559, NULL, 'PTHR11850:SF298', NULL, NULL, NULL, NULL, 'BNAA09G41850D PROTEIN', NULL, NULL, NULL, 15),
(74560, NULL, 'PTHR12694:SF19', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIA, 1-LIKE', NULL, NULL, NULL, 15),
(74561, NULL, 'PTHR33124:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74562, NULL, 'PTHR31633:SF1', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX NON-CORE SUBUNIT NAF1', NULL, NULL, NULL, 15),
(74563, NULL, 'PTHR31213:SF100', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL4-LIKE', NULL, NULL, NULL, 15),
(74564, NULL, 'PTHR24068:SF121', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATING ENZYME E2 B', NULL, NULL, NULL, 15),
(74565, NULL, 'PTHR35335', NULL, NULL, NULL, NULL, 'UPF0716 PROTEIN FXSA', NULL, NULL, 4516, 15),
(74566, NULL, 'PTHR24243', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(74567, NULL, 'PTHR11850:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74568, NULL, 'PTHR24215:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74569, NULL, 'PTHR45800:SF1', NULL, NULL, NULL, NULL, 'OS08G0489800 PROTEIN', NULL, NULL, NULL, 15),
(74570, NULL, 'PTHR37697:SF2', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR SNZ', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74571, NULL, 'PTHR38489', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74572, NULL, 'PTHR31048:SF153', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74573, NULL, 'PTHR12128:SF19', NULL, NULL, NULL, NULL, '5-DEHYDRO-4-DEOXYGLUCARATE DEHYDRATASE 2-RELATED', NULL, NULL, NULL, 15),
(74574, NULL, 'PTHR35895:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(74575, NULL, 'PTHR47491:SF6', NULL, NULL, NULL, NULL, 'BNAC03G22020D PROTEIN', NULL, NULL, NULL, 15),
(74576, NULL, 'PTHR46539:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74577, NULL, 'PTHR33543:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74578, NULL, 'PTHR24298:SF642', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A26', NULL, NULL, NULL, 15),
(74579, NULL, 'PTHR24068:SF73', NULL, NULL, NULL, NULL, 'OS02G0721200 PROTEIN', NULL, NULL, NULL, 15),
(74580, NULL, 'PTHR11803:SF45', NULL, NULL, NULL, NULL, 'PERCHLORIC ACID SOLUBLE TRANSLATION INHIBITOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74581, NULL, 'PTHR42070', NULL, NULL, NULL, NULL, 'FILAMENT ASSOCIATED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G06630)-RELATED', NULL, NULL, NULL, 15),
(74582, NULL, 'PTHR14379:SF61', NULL, NULL, NULL, NULL, 'BNAA05G34190D PROTEIN', NULL, NULL, NULL, 15),
(74583, NULL, 'PTHR46306:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(74584, NULL, 'PTHR16515:SF26', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(74585, NULL, 'PTHR21145:SF0', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(74586, NULL, 'PTHR45658:SF67', NULL, NULL, NULL, NULL, 'BNAC03G41730D PROTEIN', NULL, NULL, NULL, 15),
(74587, NULL, 'PTHR33180', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP43 REACTION CENTER PROTEIN', NULL, NULL, 3206, 15),
(74588, NULL, 'PTHR11054:SF14', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE 2-RELATED', NULL, NULL, NULL, 15),
(74589, NULL, 'PTHR30041:SF6', NULL, NULL, NULL, NULL, 'GLUTATHIONE-DEPENDENT THIOL REDUCTASE', NULL, NULL, NULL, 15),
(74590, NULL, 'PTHR19308:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74591, NULL, 'PTHR15129:SF1', NULL, NULL, NULL, NULL, 'SRC KINASE-ASSOCIATED PHOSPHOPROTEIN 1', NULL, NULL, NULL, 15),
(74592, NULL, 'PTHR23012:SF175', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(74593, NULL, 'PTHR10229:SF0', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(74594, NULL, 'PTHR33735:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74595, NULL, 'PTHR23277:SF106', NULL, NULL, NULL, NULL, 'SI:CH211-141E20.2-RELATED', NULL, NULL, NULL, 15),
(74596, NULL, 'PTHR11224:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74597, NULL, 'PTHR11063:SF23', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(74598, NULL, 'PTHR10535:SF3', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(74599, NULL, 'PTHR31423:SF3', NULL, NULL, NULL, NULL, 'PROLYL-TRNA SYNTHETASE ASSOCIATED DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(74600, NULL, 'PTHR45769:SF5', NULL, NULL, NULL, NULL, 'ADY43A', NULL, NULL, NULL, 15),
(74601, NULL, 'PTHR31723:SF6', NULL, NULL, NULL, NULL, 'PATHOGEN-RELATED PROTEIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(74602, NULL, 'PTHR13018:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74603, NULL, 'PTHR47991:SF112', NULL, NULL, NULL, NULL, 'OS02G0280700 PROTEIN', NULL, NULL, NULL, 15),
(74604, NULL, 'PTHR33541:SF27', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE A', NULL, NULL, NULL, 15),
(74605, NULL, 'PTHR13683:SF807', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2-LIKE', NULL, NULL, NULL, 15),
(74606, NULL, 'PTHR15615:SF84', NULL, NULL, NULL, NULL, 'OS07G0231500 PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74607, NULL, 'PTHR24343:SF385', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2G', NULL, NULL, NULL, 15),
(74608, NULL, 'PTHR47785:SF7', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(74609, NULL, 'PTHR23110:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CHINMO', NULL, NULL, NULL, 15),
(74610, NULL, 'PTHR22652', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP43', NULL, NULL, NULL, 15),
(74611, NULL, 'PTHR13337:SF6', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] CYTOCHROME B SMALL SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(74612, NULL, 'PTHR12858:SF2', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN BMS1 HOMOLOG', NULL, NULL, NULL, 15),
(74613, NULL, 'PTHR12673:SF256', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(74614, NULL, 'PTHR37016:SF2', NULL, NULL, NULL, NULL, 'NEUTRAL PROTEASE 2 HOMOLOG SNOG_02177', NULL, NULL, NULL, 15),
(74615, NULL, 'PTHR33312:SF8', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 1-RELATED', NULL, NULL, NULL, 15),
(74616, NULL, 'PTHR36039:SF2', NULL, NULL, NULL, NULL, 'RNA LIGASE/CYCLIC NUCLEOTIDE PHOSPHODIESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74617, NULL, 'PTHR46592:SF1', NULL, NULL, NULL, NULL, 'OS01G0736600 PROTEIN', NULL, NULL, NULL, 15),
(74618, NULL, 'PTHR20961:SF83', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', NULL, NULL, NULL, 15),
(74619, NULL, 'PTHR15565:SF2', NULL, NULL, NULL, NULL, 'BNAA09G05660D PROTEIN', NULL, NULL, NULL, 15),
(74620, NULL, 'PTHR24072:SF346', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC7', NULL, NULL, NULL, 15),
(74621, NULL, 'PTHR46662:SF48', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN EIX2', NULL, NULL, NULL, 15),
(74622, NULL, 'PTHR30465:SF78', NULL, NULL, NULL, NULL, 'OPPB IN A BINDING PROTEIN-DEPENDENT TRANSPORT SYSTEM', NULL, NULL, NULL, 15),
(74623, NULL, 'PTHR31376:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74624, NULL, 'PTHR45811:SF32', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(74625, NULL, 'PTHR33880:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74626, NULL, 'PTHR31210:SF53', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF707)-RELATED', NULL, NULL, NULL, 15),
(74627, NULL, 'PTHR13156', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE 13 KD-A SUBUNIT', NULL, NULL, NULL, 15),
(74628, NULL, 'PTHR47477:SF4', NULL, NULL, NULL, NULL, 'TRAF-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(74629, NULL, 'PTHR12356:SF22', NULL, NULL, NULL, NULL, 'PROTEIN BOBBER 2-LIKE', NULL, NULL, NULL, 15),
(74630, NULL, 'PTHR23050:SF254', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN E63-1', NULL, NULL, NULL, 15),
(74631, NULL, 'PTHR24253:SF111', NULL, NULL, NULL, NULL, 'AGAP011791-PA', NULL, NULL, NULL, 15),
(74632, NULL, 'PTHR11439:SF339', NULL, NULL, NULL, NULL, 'GAG-PRE-INTEGRASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(74633, NULL, 'PTHR33179:SF52', NULL, NULL, NULL, NULL, 'BNAC04G24800D PROTEIN', NULL, NULL, NULL, 15),
(74634, NULL, 'PTHR11256:SF50', NULL, NULL, NULL, NULL, 'APOPTOSIS REGULATOR CED-9', NULL, NULL, NULL, 15),
(74635, NULL, 'PTHR47978:SF38', NULL, NULL, NULL, NULL, 'OS01G0848700 PROTEIN', NULL, NULL, NULL, 15),
(74636, NULL, 'PTHR46477:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74637, NULL, 'PTHR15484:SF8', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA34', NULL, NULL, NULL, 15),
(74638, NULL, 'PTHR24028:SF69', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-7', NULL, NULL, 22379, 15),
(74639, NULL, 'PTHR21355:SF15', NULL, NULL, NULL, NULL, 'BNAA06G24220D PROTEIN', NULL, NULL, NULL, 15),
(74640, NULL, 'PTHR45637:SF48', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIPK2', NULL, NULL, NULL, 15),
(74641, NULL, 'PTHR48011', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTIONAL COMPLEX SUBUNIT CAF120-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74642, NULL, 'PTHR10276:SF3', NULL, NULL, NULL, NULL, 'CORE-BINDING FACTOR SUBUNIT BETA', NULL, NULL, NULL, 15),
(74643, NULL, 'PTHR32448:SF68', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 14-RELATED', NULL, NULL, NULL, 15),
(74644, NULL, 'PTHR40472:SF7', NULL, NULL, NULL, NULL, 'PROTEIN RAPUNZEL', NULL, NULL, NULL, 15),
(74645, NULL, 'PTHR39540:SF1', NULL, NULL, NULL, NULL, 'DICTOMALLEIN-1-RELATED', NULL, NULL, NULL, 15),
(74646, NULL, 'PTHR23050:SF435', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(74647, NULL, 'PTHR11929:SF131', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE 10', NULL, NULL, NULL, 15),
(74648, NULL, 'PTHR33228:SF31', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(74649, NULL, 'PTHR11370:SF4', NULL, NULL, NULL, NULL, 'ZGC:110224', NULL, NULL, NULL, 15),
(74650, NULL, 'PTHR35496:SF10', NULL, NULL, NULL, NULL, '2S SULFUR-RICH SEED STORAGE PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(74651, NULL, 'PTHR11850:SF278', NULL, NULL, NULL, NULL, 'BNAA07G03610D PROTEIN', NULL, NULL, NULL, 15),
(74652, NULL, 'PTHR11405:SF38', NULL, NULL, NULL, NULL, 'CARBAMOYL-PHOSPHATE SYNTHASE [AMMONIA], MITOCHONDRIAL', NULL, NULL, NULL, 15),
(74653, NULL, 'PTHR46777:SF5', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 13', NULL, NULL, NULL, 15),
(74654, NULL, 'PTHR34272:SF12', NULL, NULL, NULL, NULL, 'BNACNNG44240D PROTEIN', NULL, NULL, NULL, 15),
(74655, NULL, 'PTHR33083:SF69', NULL, NULL, NULL, NULL, 'BNAC03G62980D PROTEIN', NULL, NULL, NULL, 15),
(74656, NULL, 'PTHR31264', NULL, NULL, NULL, NULL, 'OS07G0554500 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(74657, NULL, 'PTHR28125:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(74658, NULL, 'PTHR32099:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74659, NULL, 'PTHR46033:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM HOMOLOG', NULL, NULL, NULL, 15),
(74660, NULL, 'PTHR31194:SF125', NULL, NULL, NULL, NULL, 'BNAA08G14320D PROTEIN', NULL, NULL, NULL, 15),
(74661, NULL, 'PTHR33265:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74662, NULL, 'PTHR12704:SF4', NULL, NULL, NULL, NULL, 'GOLGI PHOSPHOPROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(74663, NULL, 'PTHR22872', NULL, NULL, NULL, NULL, 'BTK-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(74664, NULL, 'PTHR39576:SF2', NULL, NULL, NULL, NULL, 'ATTACHING AND EFFACING PROTEIN HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(74665, NULL, 'PTHR23202:SF57', NULL, NULL, NULL, NULL, 'OS05G0153066 PROTEIN', NULL, NULL, NULL, 15),
(74666, NULL, 'PTHR35420:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74667, NULL, 'PTHR24023:SF978', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74668, NULL, 'PTHR13878:SF93', NULL, NULL, NULL, NULL, 'D-ARABINONO-1,4-LACTONE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74669, NULL, 'PTHR31734:SF7', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA33', NULL, NULL, NULL, 15),
(74670, NULL, 'PTHR21700:SF37', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(74671, NULL, 'PTHR10649:SF14', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR 2', NULL, NULL, NULL, 15),
(74672, NULL, 'PTHR22904:SF519', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74673, NULL, 'PTHR31843:SF13', NULL, NULL, NULL, NULL, 'ALLENE OXIDE CYCLASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(74674, NULL, 'PTHR14741:SF38', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(74675, NULL, 'PTHR42783:SF2', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE B (NAD(+)), ELECTRON TRANSFER SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(74676, NULL, 'PTHR12345:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74677, NULL, 'PTHR22670', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74678, NULL, 'PTHR47050', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 24', NULL, NULL, 21265, 15),
(74679, NULL, 'PTHR19991:SF2', NULL, NULL, NULL, NULL, 'GH08893P', NULL, NULL, NULL, 15),
(74680, NULL, 'PTHR38218:SF9', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(74681, NULL, 'PTHR31645:SF59', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', NULL, NULL, NULL, 15),
(74682, NULL, 'PTHR38589:SF1', NULL, NULL, NULL, NULL, 'BLR0621 PROTEIN', NULL, NULL, NULL, 15),
(74683, NULL, 'PTHR34585:SF22', NULL, NULL, NULL, NULL, 'BACTERIAL REGULATORY PROTEIN, ME-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74684, NULL, 'PTHR12565:SF346', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BEE 3', NULL, NULL, 23761, 15),
(74685, NULL, 'PTHR13236', NULL, NULL, NULL, NULL, 'DYNEIN 2 LIGHT INTERMEDIATE CHAIN, ISOFORM 2', NULL, NULL, 29546, 15),
(74686, NULL, 'PTHR31639:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74687, NULL, 'PTHR11926:SF1034', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76E1-RELATED', NULL, NULL, NULL, 15),
(74688, NULL, 'PTHR46153:SF7', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(74689, NULL, 'PTHR11258:SF13', NULL, NULL, NULL, NULL, '2''-5''-OLIGOADENYLATE SYNTHASE 1', NULL, NULL, NULL, 15),
(74690, NULL, 'PTHR12565:SF340', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BEE 1', NULL, NULL, NULL, 15),
(74691, NULL, 'PTHR31923:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74692, NULL, 'PTHR10858:SF23', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE II', NULL, NULL, NULL, 15),
(74693, NULL, 'PTHR11200:SF274', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 12-LIKE', NULL, NULL, NULL, 15),
(74694, NULL, 'PTHR31907:SF1', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 423', NULL, NULL, NULL, 15),
(74695, NULL, 'PTHR13303:SF1', NULL, NULL, NULL, NULL, 'BNAA05G17160D PROTEIN', NULL, NULL, NULL, 15),
(74696, NULL, 'PTHR47967:SF21', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(74697, NULL, 'PTHR12443:SF13', NULL, NULL, NULL, NULL, 'TRANSLOCATION PROTEIN SEC62-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(74698, NULL, 'PTHR45879:SF1', NULL, NULL, NULL, NULL, 'CYCLIC AMP-RESPONSIVE ELEMENT-BINDING PROTEIN 1', NULL, NULL, 21630, 15),
(74699, NULL, 'PTHR39196:SF1', NULL, NULL, NULL, NULL, 'PRIMOSOME, DNAD SUBUNIT', NULL, NULL, NULL, 15),
(74700, NULL, 'PTHR24637:SF323', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(74701, NULL, 'PTHR10961:SF7', NULL, NULL, NULL, NULL, 'PEROXISOMAL SARCOSINE OXIDASE', NULL, NULL, NULL, 15),
(74702, NULL, 'PTHR31867:SF193', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(74703, NULL, 'PTHR12606:SF128', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEASE 2', NULL, NULL, NULL, 15),
(74704, NULL, 'PTHR11802:SF294', NULL, NULL, NULL, NULL, 'OS03G0393066 PROTEIN', NULL, NULL, NULL, 15),
(74705, NULL, 'PTHR11926:SF709', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(74706, NULL, 'PTHR45735', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR SUBUNIT 2', NULL, NULL, NULL, 15),
(74707, NULL, 'PTHR48020:SF3', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', NULL, NULL, NULL, 15),
(74708, NULL, 'PTHR11802:SF307', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 47', NULL, NULL, NULL, 15),
(74709, NULL, 'PTHR46040', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN 2', NULL, NULL, NULL, 15),
(74710, NULL, 'PTHR31304:SF47', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 38-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(74711, NULL, 'PTHR10969:SF14', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEINS 1A/1B LIGHT CHAIN 3A', NULL, NULL, NULL, 15),
(74712, NULL, 'PTHR37535:SF2', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G09300)-RELATED', NULL, NULL, NULL, 15),
(74713, NULL, 'PTHR46455:SF6', NULL, NULL, NULL, NULL, 'RE22408P-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74714, NULL, 'PTHR31769:SF76', NULL, NULL, NULL, NULL, 'OS05G0121000 PROTEIN', NULL, NULL, NULL, 15),
(74715, NULL, 'PTHR31213:SF132', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL11-LIKE', NULL, NULL, NULL, 15),
(74716, NULL, 'PTHR24078:SF557', NULL, NULL, NULL, NULL, 'FI02090P', NULL, NULL, NULL, 15),
(74717, NULL, 'PTHR11711:SF385', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR', NULL, NULL, NULL, 15),
(74718, NULL, 'PTHR33646:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74719, NULL, 'PTHR46349', NULL, NULL, NULL, NULL, 'CINGULIN-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(74720, NULL, 'PTHR23065:SF9', NULL, NULL, NULL, NULL, 'PROLINE-SERINE-THREONINE PHOSPHATASE-INTERACTING PROTEIN 2', NULL, NULL, 22886, 15),
(74721, NULL, 'PTHR13190:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74722, NULL, 'PTHR11760:SF19', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S3', NULL, NULL, NULL, 15),
(74723, NULL, 'PTHR11764:SF60', NULL, NULL, NULL, NULL, 'DELTA-AMYRIN SYNTHASE', NULL, NULL, NULL, 15),
(74724, NULL, 'PTHR24253:SF112', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 60.2', NULL, NULL, NULL, 15),
(74725, NULL, 'PTHR33326:SF4', NULL, NULL, NULL, NULL, 'OS06G0133700 PROTEIN', NULL, NULL, NULL, 15),
(74726, NULL, 'PTHR27002:SF798', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74727, NULL, 'PTHR45801:SF65', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(74728, NULL, 'PTHR45730:SF83', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(74729, NULL, 'PTHR43607:SF3', NULL, NULL, NULL, NULL, 'VACUOLAR PROTON PUMP3', NULL, NULL, NULL, 15),
(74730, NULL, 'PTHR24134:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74731, NULL, 'PTHR34107:SF1', NULL, NULL, NULL, NULL, 'SLL0198 PROTEIN', NULL, NULL, NULL, 15),
(74732, NULL, 'PTHR12035:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74733, NULL, 'PTHR11599:SF147', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-5-A-RELATED', NULL, NULL, NULL, 15),
(74734, NULL, 'PTHR46881:SF1', NULL, NULL, NULL, NULL, 'PALMDELPHIN', NULL, NULL, NULL, 15),
(74735, NULL, 'PTHR12555:SF21', NULL, NULL, NULL, NULL, 'UBIQUITIN FUSION DEGRADATION 1 PROTEIN', NULL, NULL, NULL, 15),
(74736, NULL, 'PTHR11537:SF126', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY C MEMBER 4', NULL, NULL, NULL, 15),
(74737, NULL, 'PTHR43200:SF7', NULL, NULL, NULL, NULL, 'OS12G0183200 PROTEIN', NULL, NULL, NULL, 15),
(74738, NULL, 'PTHR34481', NULL, NULL, NULL, NULL, 'TRYPSIN/FACTOR XIIA INHIBITOR-RELATED', NULL, NULL, NULL, 15),
(74739, NULL, 'PTHR46373:SF8', NULL, NULL, NULL, NULL, 'OS12G0231500 PROTEIN', NULL, NULL, NULL, 15),
(74740, NULL, 'PTHR14447:SF0', NULL, NULL, NULL, NULL, 'UROTENSIN-2', NULL, NULL, NULL, 15),
(74741, NULL, 'PTHR33469', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 4', NULL, NULL, 31481, 15),
(74742, NULL, 'PTHR19282:SF452', NULL, NULL, NULL, NULL, 'LD03691P', NULL, NULL, NULL, 15),
(74743, NULL, 'PTHR23252', NULL, NULL, NULL, NULL, 'INTIMAL THICKNESS RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(74744, NULL, 'PTHR11454:SF24', NULL, NULL, NULL, NULL, 'INSULIN-1', NULL, NULL, NULL, 15),
(74745, NULL, 'PTHR43094:SF2', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE, CLASS III (AFU_ORTHOLOGUE AFUA_1G16810)', NULL, NULL, NULL, 15),
(74746, NULL, 'PTHR24305:SF204', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(74747, NULL, 'PTHR14624:SF3', NULL, NULL, NULL, NULL, 'BNAC09G09050D PROTEIN', NULL, NULL, NULL, 15),
(74748, NULL, 'PTHR11467:SF113', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN PF1', NULL, NULL, NULL, 15),
(74749, NULL, 'PTHR24208:SF105', NULL, NULL, NULL, NULL, 'DLIM1', NULL, NULL, NULL, 15),
(74750, NULL, 'PTHR35358:SF10', NULL, NULL, NULL, NULL, 'OS06G0711100 PROTEIN', NULL, NULL, NULL, 15),
(74751, NULL, 'PTHR43601', NULL, NULL, NULL, NULL, 'THIOREDOXIN, MITOCHONDRIAL', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74752, NULL, 'PTHR24320:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74753, NULL, 'PTHR12616:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 41 HOMOLOG', NULL, NULL, NULL, 15),
(74754, NULL, 'PTHR43601:SF3', NULL, NULL, NULL, NULL, 'THIOREDOXIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(74755, NULL, 'PTHR45985:SF1', NULL, NULL, NULL, NULL, 'VERMIFORM, ISOFORM I', NULL, NULL, NULL, 15),
(74756, NULL, 'PTHR24282:SF31', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 734A2', NULL, NULL, NULL, 15),
(74757, NULL, 'PTHR23151:SF9', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(74758, NULL, 'PTHR47679', NULL, NULL, NULL, NULL, 'PROTEIN TORNADO 1', NULL, NULL, NULL, 15),
(74759, NULL, 'PTHR47984:SF11', NULL, NULL, NULL, NULL, 'TELOKIN/MYOSIN LIGHT CHAIN KINASE-RELATED', NULL, NULL, NULL, 15),
(74760, NULL, 'PTHR36938:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG18914', NULL, NULL, NULL, 15),
(74761, NULL, 'PTHR31495:SF20', NULL, NULL, NULL, NULL, 'CALEOSIN-RELATED FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74762, NULL, 'PTHR43775:SF24', NULL, NULL, NULL, NULL, 'NON-REDUCING POLYKETIDE SYNTHASE APTA-RELATED', NULL, NULL, NULL, 15),
(74763, NULL, 'PTHR12542:SF151', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74764, NULL, 'PTHR11042:SF131', NULL, NULL, NULL, NULL, 'SI:CH211-63O20.7', NULL, NULL, NULL, 15),
(74765, NULL, 'PTHR16982:SF2', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6D', NULL, NULL, NULL, 15),
(74766, NULL, 'PTHR31636:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74767, NULL, 'PTHR24064:SF527', NULL, NULL, NULL, NULL, 'BNAA09G16500D PROTEIN', NULL, NULL, NULL, 15),
(74768, NULL, 'PTHR13605:SF7', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 7 HOMOLOG', NULL, NULL, NULL, 15),
(74769, NULL, 'PTHR31654:SF0', NULL, NULL, NULL, NULL, 'SECRETED BETA-GLUCOSIDASE ADG3-RELATED', NULL, NULL, NULL, 15),
(74770, NULL, 'PTHR14217:SF20', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', NULL, NULL, NULL, 15),
(74771, NULL, 'PTHR35013:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG18177', NULL, NULL, NULL, 15),
(74772, NULL, 'PTHR24111', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 34', NULL, NULL, NULL, 15),
(74773, NULL, 'PTHR11945:SF622', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74774, NULL, 'PTHR10920:SF25', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE(32)/GUANOSINE(34)-2''-O)-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(74775, NULL, 'PTHR14614', NULL, NULL, NULL, NULL, 'HEPATOCELLULAR CARCINOMA-ASSOCIATED ANTIGEN', NULL, NULL, 16703, 15),
(74776, NULL, 'PTHR33785:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74777, NULL, 'PTHR16071:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 1 OPEN READING FRAME 112', NULL, NULL, NULL, 15),
(74778, NULL, 'PTHR31344:SF11', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN GAR2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74779, NULL, 'PTHR12320:SF54', NULL, NULL, NULL, NULL, 'SPT23P', NULL, NULL, NULL, 15),
(74780, NULL, 'PTHR33147:SF57', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(74781, NULL, 'PTHR37864', NULL, NULL, NULL, NULL, 'SIMILAR TO AVLV472', NULL, NULL, 23931, 15),
(74782, NULL, 'PTHR43039:SF14', NULL, NULL, NULL, NULL, 'ESTERASE KAI2-RELATED', NULL, NULL, NULL, 15),
(74783, NULL, 'PTHR31707:SF299', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(74784, NULL, 'PTHR31175:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74785, NULL, 'PTHR31580:SF39', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(74786, NULL, 'PTHR22716:SF1', NULL, NULL, NULL, NULL, 'ETS CLASS TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(74787, NULL, 'PTHR31920:SF47', NULL, NULL, NULL, NULL, 'BNAA02G35370D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74788, NULL, 'PTHR48111:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN CUTR', NULL, NULL, NULL, 15),
(74789, NULL, 'PTHR48094:SF15', NULL, NULL, NULL, NULL, 'OS01G0217500 PROTEIN', NULL, NULL, NULL, 15),
(74790, NULL, 'PTHR47849:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74791, NULL, 'PTHR15140:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74792, NULL, 'PTHR46096:SF3', NULL, NULL, NULL, NULL, 'PERFORIN-1', NULL, NULL, NULL, 15),
(74793, NULL, 'PTHR23267:SF413', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 1-44-RELATED', NULL, NULL, NULL, 15),
(74794, NULL, 'PTHR31731:SF71', NULL, NULL, NULL, NULL, 'CORTICAL CELL-DELINEATING PROTEIN', NULL, NULL, NULL, 15),
(74795, NULL, 'PTHR19282:SF198', NULL, NULL, NULL, NULL, 'TETRASPANIN-11', NULL, NULL, NULL, 15),
(74796, NULL, 'PTHR43004:SF2', NULL, NULL, NULL, NULL, 'TRK SYSTEM POTASSIUM UPTAKE PROTEIN TRKA', NULL, NULL, NULL, 15),
(74797, NULL, 'PTHR11339:SF267', NULL, NULL, NULL, NULL, 'MUCIN-5B', NULL, NULL, NULL, 15),
(74798, NULL, 'PTHR24390:SF127', NULL, NULL, NULL, NULL, 'SI:CH73-221F6.4-RELATED', NULL, NULL, NULL, 15),
(74799, NULL, 'PTHR23328:SF0', NULL, NULL, NULL, NULL, 'OS12G0267900 PROTEIN', NULL, NULL, NULL, 15),
(74800, NULL, 'PTHR28264', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A', NULL, NULL, NULL, 15),
(74801, NULL, 'PTHR23294:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(74802, NULL, 'PTHR33102:SF33', NULL, NULL, NULL, NULL, 'OS08G0357700 PROTEIN', NULL, NULL, NULL, 15),
(74803, NULL, 'PTHR23189:SF40', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 15B-RELATED', NULL, NULL, NULL, 15),
(74804, NULL, 'PTHR24328:SF7', NULL, NULL, NULL, NULL, 'BUTTONLESS', NULL, NULL, NULL, 15),
(74805, NULL, 'PTHR36858:SF1', NULL, NULL, NULL, NULL, 'AMELOTIN', NULL, NULL, NULL, 15),
(74806, NULL, 'PTHR31563:SF10', NULL, NULL, NULL, NULL, 'ION CHANNEL POLLUX-RELATED', NULL, NULL, NULL, 15),
(74807, NULL, 'PTHR31839:SF63', NULL, NULL, NULL, NULL, 'BNAA08G30950D PROTEIN', NULL, NULL, NULL, 15),
(74808, NULL, 'PTHR33305:SF38', NULL, NULL, NULL, NULL, 'BNAA07G39030D PROTEIN', NULL, NULL, NULL, 15),
(74809, NULL, 'PTHR10795:SF650', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.5', NULL, NULL, NULL, 15),
(74810, NULL, 'PTHR31992:SF172', NULL, NULL, NULL, NULL, 'BNAC03G58500D PROTEIN', NULL, NULL, NULL, 15),
(74811, NULL, 'PTHR11177:SF348', NULL, NULL, NULL, NULL, 'CLASS V CHITINASE CHIT5A', NULL, NULL, NULL, 15),
(74812, NULL, 'PTHR12791:SF37', NULL, NULL, NULL, NULL, 'BET1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74813, NULL, 'PTHR10593:SF153', NULL, NULL, NULL, NULL, 'BNAA09G24680D PROTEIN', NULL, NULL, NULL, 15),
(74814, NULL, 'PTHR13847:SF249', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(74815, NULL, 'PTHR12979:SF5', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 10', NULL, NULL, NULL, 15),
(74816, NULL, 'PTHR24376:SF159', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 26', NULL, NULL, NULL, 15),
(74817, NULL, 'PTHR34563:SF7', NULL, NULL, NULL, NULL, 'BNAA01G25980D PROTEIN', NULL, NULL, NULL, 15),
(74818, NULL, 'PTHR24173:SF12', NULL, NULL, NULL, NULL, 'PROTEIN FEM-1 HOMOLOG A', NULL, NULL, NULL, 15),
(74819, NULL, 'PTHR21258:SF39', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR SUBSTRATE 3', NULL, NULL, NULL, 15),
(74820, NULL, 'PTHR10556:SF49', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(74821, NULL, 'PTHR10256:SF0', NULL, NULL, NULL, NULL, 'SELENIDE, WATER DIKINASE-RELATED', NULL, NULL, NULL, 15),
(74822, NULL, 'PTHR12639:SF6', NULL, NULL, NULL, NULL, 'VITAMIN K-DEPENDENT GAMMA-CARBOXYLASE', NULL, NULL, NULL, 15),
(74823, NULL, 'PTHR12064:SF26', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER CNNM4', NULL, NULL, NULL, 15),
(74824, NULL, 'PTHR47230:SF1', NULL, NULL, NULL, NULL, 'TIR DOMAIN-CONTAINING ADAPTER MOLECULE 1', NULL, NULL, NULL, 15),
(74825, NULL, 'PTHR24118:SF72', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 16', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74826, NULL, 'PTHR33592:SF9', NULL, NULL, NULL, NULL, 'BNAC04G42470D PROTEIN', NULL, NULL, NULL, 15),
(74827, NULL, 'PTHR33722:SF1', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT DELTA', NULL, NULL, NULL, 15),
(74828, NULL, 'PTHR20837:SF7', NULL, NULL, NULL, NULL, 'COILED-COIL AND C2 DOMAIN-CONTAINING PROTEIN 2A', NULL, NULL, NULL, 15),
(74829, NULL, 'PTHR47687:SF2', NULL, NULL, NULL, NULL, 'G8 DOMAIN-CONTAINING PROTEIN DDB_G0278975', NULL, NULL, NULL, 15),
(74830, NULL, 'PTHR43269:SF3', NULL, NULL, NULL, NULL, 'BNAC03G40960D PROTEIN', NULL, NULL, NULL, 15),
(74831, NULL, 'PTHR31269:SF33', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH2', NULL, NULL, NULL, 15),
(74832, NULL, 'PTHR45528:SF5', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE CSSS', NULL, NULL, NULL, 15),
(74833, NULL, 'PTHR12802:SF39', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX SUBUNIT SWI3D', NULL, NULL, NULL, 15),
(74834, NULL, 'PTHR11886:SF90', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(74835, NULL, 'PTHR15341', NULL, NULL, NULL, NULL, 'SUN-COR STEROID HORMONE RECEPTOR CO-REPRESSOR', NULL, NULL, 10616, 15),
(74836, NULL, 'PTHR12286:SF5', NULL, NULL, NULL, NULL, 'SACCHAROPINE DEHYDROGENASE-LIKE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(74837, NULL, 'PTHR42978:SF5', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(74838, NULL, 'PTHR31140:SF89', NULL, NULL, NULL, NULL, 'BNAA05G15710D PROTEIN', NULL, NULL, NULL, 15),
(74839, NULL, 'PTHR12931:SF18', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE OTUBAIN-LIKE', NULL, NULL, NULL, 15),
(74840, NULL, 'PTHR23428:SF254', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE W-T', NULL, NULL, NULL, 15),
(74841, NULL, 'PTHR12737', NULL, NULL, NULL, NULL, 'DIMETHYLARGININE DIMETHYLAMINOHYDROLASE', NULL, NULL, 29930, 15),
(74842, NULL, 'PTHR22966:SF50', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(74843, NULL, 'PTHR16230', NULL, NULL, NULL, NULL, 'CAPPUCCINO', NULL, NULL, 19363, 15),
(74844, NULL, 'PTHR33128:SF54', NULL, NULL, NULL, NULL, 'OS01G0849500 PROTEIN', NULL, NULL, NULL, 15),
(74845, NULL, 'PTHR46901', NULL, NULL, NULL, NULL, 'GH04942P', NULL, NULL, NULL, 15),
(74846, NULL, 'PTHR38794:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(74847, NULL, 'PTHR10740:SF3', NULL, NULL, NULL, NULL, 'PROBETACELLULIN', NULL, NULL, NULL, 15),
(74848, NULL, 'PTHR11654:SF531', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(74849, NULL, 'PTHR23315:SF111', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(74850, NULL, 'PTHR21470:SF15', NULL, NULL, NULL, NULL, 'BNAC03G73270D PROTEIN', NULL, NULL, NULL, 15),
(74851, NULL, 'PTHR12989:SF12', NULL, NULL, NULL, NULL, 'DOL-P-GLC:GLC(2)MAN(9)GLCNAC(2)-PP-DOL ALPHA-1,2-GLUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(74852, NULL, 'PTHR31676:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74853, NULL, 'PTHR24282:SF221', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74854, NULL, 'PTHR46213:SF9', NULL, NULL, NULL, NULL, 'PROTEIN ROS1-LIKE', NULL, NULL, NULL, 15),
(74855, NULL, 'PTHR36617', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(74856, NULL, 'PTHR11711:SF333', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 1-LIKE 1', NULL, NULL, NULL, 15),
(74857, NULL, 'PTHR10026:SF136', NULL, NULL, NULL, NULL, 'BNAC03G58020D PROTEIN', NULL, NULL, NULL, 15),
(74858, NULL, 'PTHR31190:SF110', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF1', NULL, NULL, NULL, 15),
(74859, NULL, 'PTHR31072:SF178', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP13', NULL, NULL, NULL, 15),
(74860, NULL, 'PTHR31917:SF69', NULL, NULL, NULL, NULL, 'PHD ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(74861, NULL, 'PTHR30071:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B/B6 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(74862, NULL, 'PTHR14347', NULL, NULL, NULL, NULL, 'CLAUDIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 39460, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74863, NULL, 'PTHR45987:SF7', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L12-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(74864, NULL, 'PTHR34223:SF11', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(74865, NULL, 'PTHR40135', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74866, NULL, 'PTHR11566:SF150', NULL, NULL, NULL, NULL, 'GTPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G08580)-RELATED', NULL, NULL, NULL, 15),
(74867, NULL, 'PTHR24015:SF1824', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(74868, NULL, 'PTHR34390:SF1', NULL, NULL, NULL, NULL, 'UPF0442 PROTEIN YJJB', NULL, NULL, NULL, 15),
(74869, NULL, 'PTHR45769:SF8', NULL, NULL, NULL, NULL, 'ADENOSINE KINASE 2', NULL, NULL, NULL, 15),
(74870, NULL, 'PTHR34276:SF2', NULL, NULL, NULL, NULL, 'BNAC05G39580D PROTEIN', NULL, NULL, NULL, 15),
(74871, NULL, 'PTHR11055:SF54', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE', NULL, NULL, NULL, 15),
(74872, NULL, 'PTHR26453:SF650', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(74873, NULL, 'PTHR13301:SF152', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', NULL, NULL, NULL, 15),
(74874, NULL, 'PTHR16434', NULL, NULL, NULL, NULL, 'EWING''S TUMOR-ASSOCIATED ANTIGEN 1 ETAA1', NULL, NULL, 26356, 15),
(74875, NULL, 'PTHR37401', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74876, NULL, 'PTHR48092:SF6', NULL, NULL, NULL, NULL, 'PROGESTERONE RECEPTOR', NULL, NULL, NULL, 15),
(74877, NULL, 'PTHR23244:SF456', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA 1-RELATED', NULL, NULL, NULL, 15),
(74878, NULL, 'PTHR12149:SF10', NULL, NULL, NULL, NULL, 'KETOSAMINE-3-KINASE', NULL, NULL, NULL, 15),
(74879, NULL, 'PTHR31476:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74880, NULL, 'PTHR11822:SF5', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP], CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(74881, NULL, 'PTHR42305', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN RV1733C-RELATED', NULL, NULL, 30583, 15),
(74882, NULL, 'PTHR27007:SF316', NULL, NULL, NULL, NULL, 'LECTIN-DOMAIN CONTAINING RECEPTOR KINASE A4.1', NULL, NULL, NULL, 15),
(74883, NULL, 'PTHR24373:SF337', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 15-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74884, NULL, 'PTHR21145:SF13', NULL, NULL, NULL, NULL, 'MUTASE, CHLOROPLAST, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(74885, NULL, 'PTHR24282:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP13A8-RELATED', NULL, NULL, NULL, 15),
(74886, NULL, 'PTHR12439:SF36', NULL, NULL, NULL, NULL, 'POLY(U)-SPECIFIC ENDORIBONUCLEASE', NULL, NULL, NULL, 15),
(74887, NULL, 'PTHR30003:SF2', NULL, NULL, NULL, NULL, 'L-LACTATE PERMEASE', NULL, NULL, NULL, 15),
(74888, NULL, 'PTHR11205:SF45', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S5-LIKE', NULL, NULL, NULL, 15),
(74889, NULL, 'PTHR47210', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26C-RELATED', NULL, NULL, 37871, 15),
(74890, NULL, 'PTHR14795:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 62', NULL, NULL, NULL, 15),
(74891, NULL, 'PTHR33091:SF77', NULL, NULL, NULL, NULL, 'INHIBITOR OF TRYPSIN AND HAGEMAN FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74892, NULL, 'PTHR33450:SF4', NULL, NULL, NULL, NULL, 'DUF761 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(74893, NULL, 'PTHR23503:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-207K7.1 PROTEIN', NULL, NULL, NULL, 15),
(74894, NULL, 'PTHR12997', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL-1,4,5-TRISPHOSPHATE 5-PHOSPHATASE', NULL, NULL, 34891, 15),
(74895, NULL, 'PTHR19321:SF36', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74896, NULL, 'PTHR31625:SF73', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74897, NULL, 'PTHR43490:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74898, NULL, 'PTHR48021:SF46', NULL, NULL, NULL, NULL, 'FACILITATED TREHALOSE TRANSPORTER TRET1-2 HOMOLOG-LIKE PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74899, NULL, 'PTHR43493', NULL, NULL, NULL, NULL, 'DNA GYRASE/TOPOISOMERASE SUBUNIT A', NULL, NULL, NULL, 15),
(74900, NULL, 'PTHR21569:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74901, NULL, 'PTHR46128:SF240', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(74902, NULL, 'PTHR30563:SF0', NULL, NULL, NULL, NULL, 'DNA RECOMBINATION PROTEIN RMUC', NULL, NULL, NULL, 15),
(74903, NULL, 'PTHR12879:SF3', NULL, NULL, NULL, NULL, 'SPHINGOLIPID DELTA(4)-DESATURASE-RELATED', NULL, NULL, NULL, 15),
(74904, NULL, 'PTHR11260:SF544', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE', NULL, NULL, NULL, 15),
(74905, NULL, 'PTHR11375:SF15', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY MEMBER C', NULL, NULL, NULL, 15),
(74906, NULL, 'PTHR12606:SF108', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 8', NULL, NULL, NULL, 15),
(74907, NULL, 'PTHR24345:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK1', NULL, NULL, NULL, 15),
(74908, NULL, 'PTHR31052:SF23', NULL, NULL, NULL, NULL, 'BNAA02G05280D PROTEIN', NULL, NULL, NULL, 15),
(74909, NULL, 'PTHR43738', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(74910, NULL, 'PTHR21450:SF10', NULL, NULL, NULL, NULL, 'OS09G0368900 PROTEIN', NULL, NULL, NULL, 15),
(74911, NULL, 'PTHR19268:SF4', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 173-RELATED', NULL, NULL, NULL, 15),
(74912, NULL, 'PTHR17149:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN 1B', NULL, NULL, NULL, 15),
(74913, NULL, 'PTHR47939:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED SALT-INDUCIBLE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(74914, NULL, 'PTHR31248:SF11', NULL, NULL, NULL, NULL, 'BNAA10G17080D PROTEIN', NULL, NULL, NULL, 15),
(74915, NULL, 'PTHR11241:SF9', NULL, NULL, NULL, NULL, 'DEOXYURIDINE 5''-TRIPHOSPHATE NUCLEOTIDOHYDROLASE-LIKE', NULL, NULL, NULL, 15),
(74916, NULL, 'PTHR33700:SF20', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE', NULL, NULL, NULL, 15),
(74917, NULL, 'PTHR38522', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE-ASSOCIATED CATION-BINDING PROTEIN 1', NULL, NULL, 12111, 15),
(74918, NULL, 'PTHR44586:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74919, NULL, 'PTHR22836', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', NULL, NULL, 36957, 15),
(74920, NULL, 'PTHR32002:SF63', NULL, NULL, NULL, NULL, 'BNAC08G19370D PROTEIN', NULL, NULL, NULL, 15),
(74921, NULL, 'PTHR13620:SF78', NULL, NULL, NULL, NULL, 'WERNER SYNDROME-LIKE EXONUCLEASE', NULL, NULL, NULL, 15),
(74922, NULL, 'PTHR10485:SF15', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM17-3', NULL, NULL, NULL, 15),
(74923, NULL, 'PTHR11907:SF24', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(74924, NULL, 'PTHR34274:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(74925, NULL, 'PTHR31516:SF9', NULL, NULL, NULL, NULL, 'STABILIZER OF AXONEMAL MICROTUBULES 1', NULL, NULL, NULL, 15),
(74926, NULL, 'PTHR48018:SF72', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8D1', NULL, NULL, NULL, 15),
(74927, NULL, 'PTHR31009:SF120', NULL, NULL, NULL, NULL, 'F9L1.6', NULL, NULL, NULL, 15),
(74928, NULL, 'PTHR11362:SF118', NULL, NULL, NULL, NULL, 'BNAA04G15930D PROTEIN', NULL, NULL, NULL, 15),
(74929, NULL, 'PTHR37953:SF1', NULL, NULL, NULL, NULL, 'UPF0127 PROTEIN MJ1496', NULL, NULL, NULL, 15),
(74930, NULL, 'PTHR31339:SF56', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(74931, NULL, 'PTHR31147:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74932, NULL, 'PTHR48019:SF31', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PROTEIN SEPALLATA 2', NULL, NULL, NULL, 15),
(74933, NULL, 'PTHR11748:SF83', NULL, NULL, NULL, NULL, 'DEHYDROGENASE (CYTOCHROME), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17520)-RELATED', NULL, NULL, NULL, 15),
(74934, NULL, 'PTHR40469', NULL, NULL, NULL, NULL, 'SECRETED GLYCOSYL HYDROLASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74935, NULL, 'PTHR11814:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74936, NULL, 'PTHR19375:SF388', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN COGNATE 2', NULL, NULL, NULL, 15),
(74937, NULL, 'PTHR23304:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74938, NULL, 'PTHR12506', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE RELATED', NULL, NULL, NULL, 15),
(74939, NULL, 'PTHR31388:SF201', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(74940, NULL, 'PTHR43078:SF34', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE 2', NULL, NULL, NULL, 15),
(74941, NULL, 'PTHR31471:SF63', NULL, NULL, NULL, NULL, 'REMORIN-RELATED', NULL, NULL, NULL, 15),
(74942, NULL, 'PTHR13318:SF69', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 15', NULL, NULL, NULL, 15),
(74943, NULL, 'PTHR23113:SF204', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR Q', NULL, NULL, NULL, 15),
(74944, NULL, 'PTHR36454', NULL, NULL, NULL, NULL, 'LMO2823 PROTEIN', NULL, NULL, 7826, 15),
(74945, NULL, 'PTHR26453:SF65', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(74946, NULL, 'PTHR33103:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74947, NULL, 'PTHR46475:SF6', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN AND ANKYRIN REPEAT-CONTAINING PROTEIN NPR1-LIKE', NULL, NULL, NULL, 15),
(74948, NULL, 'PTHR15241:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74949, NULL, 'PTHR45687:SF8', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE AQUAPORIN', NULL, NULL, NULL, 15),
(74950, NULL, 'PTHR15592:SF28', NULL, NULL, NULL, NULL, 'OS01G0867800 PROTEIN', NULL, NULL, NULL, 15),
(74951, NULL, 'PTHR46645', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN 2B-RELATED', NULL, NULL, NULL, 15),
(74952, NULL, 'PTHR11404:SF29', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE', NULL, NULL, NULL, 15),
(74953, NULL, 'PTHR21683:SF3', NULL, NULL, NULL, NULL, 'CILIA AND FLAGELLA ASSOCIATED PROTEIN 100', NULL, NULL, NULL, 15),
(74954, NULL, 'PTHR47556:SF1', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(74955, NULL, 'PTHR13710:SF69', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE Q-LIKE SIM', NULL, NULL, NULL, 15),
(74956, NULL, 'PTHR10676:SF344', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 5, AXONEMAL', NULL, NULL, NULL, 15),
(74957, NULL, 'PTHR19325:SF528', NULL, NULL, NULL, NULL, 'FURROWED, ISOFORM A', NULL, NULL, NULL, 15),
(74958, NULL, 'PTHR24296:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74959, NULL, 'PTHR31676:SF155', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(74960, NULL, 'PTHR47226', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT DOMAIN-CONTAINING PROTEIN 4A', NULL, NULL, 30704, 15),
(74961, NULL, 'PTHR13167:SF39', NULL, NULL, NULL, NULL, 'PIEZO-TYPE MECHANOSENSITIVE ION CHANNEL COMPONENT', NULL, NULL, NULL, 15),
(74962, NULL, 'PTHR34120:SF14', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(74963, NULL, 'PTHR22952:SF438', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(74964, NULL, 'PTHR31194:SF121', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WIN1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(74965, NULL, 'PTHR10706:SF153', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, GALACTOSE OXIDASE/KELCH, BETA-PROPELLER-RELATED', NULL, NULL, NULL, 15),
(74966, NULL, 'PTHR30332:SF4', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS PROTEIN', NULL, NULL, NULL, 15),
(74967, NULL, 'PTHR44259:SF67', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', NULL, NULL, NULL, 15),
(74968, NULL, 'PTHR33109:SF69', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(74969, NULL, 'PTHR10994:SF87', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(74970, NULL, 'PTHR23050:SF431', NULL, NULL, NULL, NULL, 'CALMODULIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(74971, NULL, 'PTHR10686:SF14', NULL, NULL, NULL, NULL, 'FOLATE-LIKE TRANSPORTER 2', NULL, NULL, NULL, 15),
(74972, NULL, 'PTHR10241:SF21', NULL, NULL, NULL, NULL, 'LETHAL(2) GIANT LARVAE PROTEIN HOMOLOG 1', NULL, NULL, NULL, 15),
(74973, NULL, 'PTHR30409', NULL, NULL, NULL, NULL, 'CARBAMATE KINASE', NULL, NULL, 7409, 15),
(74974, NULL, 'PTHR11246:SF27', NULL, NULL, NULL, NULL, 'BNAC03G66550D PROTEIN', NULL, NULL, NULL, 15),
(74975, NULL, 'PTHR47984:SF4', NULL, NULL, NULL, NULL, 'OS10G0497600 PROTEIN', NULL, NULL, NULL, 15),
(74976, NULL, 'PTHR31389:SF4', NULL, NULL, NULL, NULL, 'LD39211P', NULL, NULL, NULL, 15),
(74977, NULL, 'PTHR24177:SF298', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74978, NULL, 'PTHR34861:SF10', NULL, NULL, NULL, NULL, 'SECRETED METAL-DEPENDENT CYCLASE', NULL, NULL, NULL, 15),
(74979, NULL, 'PTHR11733:SF114', NULL, NULL, NULL, NULL, 'NEPRILYSIN', NULL, NULL, 25475, 15),
(74980, NULL, 'PTHR12757', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR INDUCED PROTEIN', NULL, NULL, 12307, 15),
(74981, NULL, 'PTHR26452:SF75', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 481', NULL, NULL, NULL, 15),
(74982, NULL, 'PTHR42812', NULL, NULL, NULL, NULL, 'BETA-XYLOSIDASE', NULL, NULL, NULL, 15),
(74983, NULL, 'PTHR11920:SF300', NULL, NULL, NULL, NULL, 'ATRIAL NATRIURETIC PEPTIDE RECEPTOR 1', NULL, NULL, NULL, 15),
(74984, NULL, 'PTHR18640', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 10 MEMBER 7', NULL, NULL, 16026, 15),
(74985, NULL, 'PTHR46285:SF3', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR I4, SERPIN (DUF716)', NULL, NULL, NULL, 15),
(74986, NULL, 'PTHR32378:SF11', NULL, NULL, NULL, NULL, 'GGL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(74987, NULL, 'PTHR47967:SF78', NULL, NULL, NULL, NULL, 'PROTEIN ASPARTIC PROTEASE IN GUARD CELL 1-LIKE', NULL, NULL, NULL, 15),
(74988, NULL, 'PTHR22930:SF207', NULL, NULL, NULL, NULL, 'SIMILAR TO ENSANGP00000010363', NULL, NULL, NULL, 15),
(74989, NULL, 'PTHR28489', NULL, NULL, NULL, NULL, 'RENTINAL DEGENERATION 3-LIKE', NULL, NULL, 28216, 15),
(74990, NULL, 'PTHR45624:SF31', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ORNITHINE TRANSPORTER 1', NULL, NULL, NULL, 15),
(74991, NULL, 'PTHR37542:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(74992, NULL, 'PTHR48043:SF88', NULL, NULL, NULL, NULL, 'OS07G0201500 PROTEIN', NULL, NULL, NULL, 15),
(74993, NULL, 'PTHR31384:SF101', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(74994, NULL, 'PTHR36326:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SULFUR DEFICIENCY-INDUCED 2', NULL, NULL, NULL, 15),
(74995, NULL, 'PTHR24281:SF126', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', NULL, NULL, NULL, 15),
(74996, NULL, 'PTHR21716', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, 1947, 15),
(74997, NULL, 'PTHR45637:SF51', NULL, NULL, NULL, NULL, 'OS08G0504800 PROTEIN', NULL, NULL, NULL, 15),
(74998, NULL, 'PTHR32134:SF144', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(74999, NULL, 'PTHR45659', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX', NULL, NULL, NULL, 15),
(75000, NULL, 'PTHR45762:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75001, NULL, 'PTHR33528:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75002, NULL, 'PTHR12626:SF4', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH 4A', NULL, NULL, NULL, 15),
(75003, NULL, 'PTHR36075', NULL, NULL, NULL, NULL, 'BNAA10G09820D PROTEIN', NULL, NULL, NULL, 15),
(75004, NULL, 'PTHR48021:SF4', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 4', NULL, NULL, NULL, 15),
(75005, NULL, 'PTHR31376:SF81', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 9-RELATED', NULL, NULL, NULL, 15),
(75006, NULL, 'PTHR11746:SF212', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75007, NULL, 'PTHR11629:SF93', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A2', NULL, NULL, NULL, 15),
(75008, NULL, 'PTHR15241:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75009, NULL, 'PTHR48018:SF88', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(75010, NULL, 'PTHR11802:SF312', NULL, NULL, NULL, NULL, 'OSJNBB0062H02.3 PROTEIN', NULL, NULL, NULL, 15),
(75011, NULL, 'PTHR31796:SF2', NULL, NULL, NULL, NULL, 'SUZ DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(75012, NULL, 'PTHR33344:SF1', NULL, NULL, NULL, NULL, 'OS02G0761600 PROTEIN', NULL, NULL, NULL, 15),
(75013, NULL, 'PTHR33228:SF19', NULL, NULL, NULL, NULL, 'GDU1', NULL, NULL, NULL, 15),
(75014, NULL, 'PTHR34280:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(75015, NULL, 'PTHR23037:SF30', NULL, NULL, NULL, NULL, 'INTERLEUKIN-2 RECEPTOR SUBUNIT BETA', NULL, NULL, NULL, 15),
(75016, NULL, 'PTHR31414:SF15', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN DDB_G0292058', NULL, NULL, NULL, 15),
(75017, NULL, 'PTHR33085:SF70', NULL, NULL, NULL, NULL, 'OS01G0927700 PROTEIN', NULL, NULL, NULL, 15),
(75018, NULL, 'PTHR21136:SF176', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 721', NULL, NULL, NULL, 15),
(75019, NULL, 'PTHR37229', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE', NULL, NULL, NULL, 15),
(75020, NULL, 'PTHR43222:SF8', NULL, NULL, NULL, NULL, 'BNAA03G19740D PROTEIN', NULL, NULL, NULL, 15),
(75021, NULL, 'PTHR44337:SF8', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 8', NULL, NULL, NULL, 15),
(75022, NULL, 'PTHR22937:SF117', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR1-LIKE', NULL, NULL, NULL, 15),
(75023, NULL, 'PTHR27008:SF472', NULL, NULL, NULL, NULL, 'BNAC03G27750D PROTEIN', NULL, NULL, NULL, 15),
(75024, NULL, 'PTHR37224', NULL, NULL, NULL, NULL, 'OS02G0804400 PROTEIN', NULL, NULL, NULL, 15),
(75025, NULL, 'PTHR30146', NULL, NULL, NULL, NULL, 'LACI-RELATED TRANSCRIPTIONAL REPRESSOR', NULL, NULL, NULL, 15),
(75026, NULL, 'PTHR21593:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG06193', NULL, NULL, NULL, 15),
(75027, NULL, 'PTHR43330:SF16', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2', NULL, NULL, NULL, 15),
(75028, NULL, 'PTHR46463:SF47', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHF2A-LIKE', NULL, NULL, NULL, 15),
(75029, NULL, 'PTHR24128:SF46', NULL, NULL, NULL, NULL, 'ALPHA-LATROTOXIN-LHE1A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(75030, NULL, 'PTHR31260:SF41', NULL, NULL, NULL, NULL, 'BNAA04G21710D PROTEIN', NULL, NULL, NULL, 15),
(75031, NULL, 'PTHR45878:SF11', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPARENT TESTA 1-LIKE', NULL, NULL, NULL, 15),
(75032, NULL, 'PTHR12096:SF2', NULL, NULL, NULL, NULL, 'BNAA02G18520D PROTEIN', NULL, NULL, NULL, 15),
(75033, NULL, 'PTHR34388:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT DELTA', NULL, NULL, NULL, 15),
(75034, NULL, 'PTHR43066:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75035, NULL, 'PTHR24198:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75036, NULL, 'PTHR33147:SF28', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(75037, NULL, 'PTHR23036:SF108', NULL, NULL, NULL, NULL, 'GROWTH HORMONE RECEPTOR', NULL, NULL, NULL, 15),
(75038, NULL, 'PTHR18934:SF95', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE DHX15', NULL, NULL, NULL, 15),
(75039, NULL, 'PTHR43861:SF3', NULL, NULL, NULL, NULL, 'SLR1183 PROTEIN', NULL, NULL, NULL, 15),
(75040, NULL, 'PTHR24083:SF4', NULL, NULL, NULL, NULL, 'PHOTORECEPTOR-SPECIFIC NUCLEAR RECEPTOR', NULL, NULL, NULL, 15),
(75041, NULL, 'PTHR11685:SF362', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(75042, NULL, 'PTHR11685:SF109', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF19B', NULL, NULL, NULL, 15),
(75043, NULL, 'PTHR31790:SF356', NULL, NULL, NULL, NULL, 'BNAA04G18770D PROTEIN', NULL, NULL, NULL, 15),
(75044, NULL, 'PTHR43939:SF43', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 4', NULL, NULL, NULL, 15),
(75045, NULL, 'PTHR11675:SF121', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75046, NULL, 'PTHR12716:SF15', NULL, NULL, NULL, NULL, 'INITIATION FACTOR TFIIE, BETA SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75047, NULL, 'PTHR21596:SF53', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 5-RELATED', NULL, NULL, NULL, 15),
(75048, NULL, 'PTHR12876:SF27', NULL, NULL, NULL, NULL, 'RIBONUCLEASE ZC3H12B-RELATED', NULL, NULL, NULL, 15),
(75049, NULL, 'PTHR43677:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(75050, NULL, 'PTHR31835:SF1', NULL, NULL, NULL, NULL, 'URIDINE DIPHOSPHATE GLUCOSE PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(75051, NULL, 'PTHR43377:SF1', NULL, NULL, NULL, NULL, 'BILIVERDIN REDUCTASE A', NULL, NULL, NULL, 15),
(75052, NULL, 'PTHR36941', NULL, NULL, NULL, NULL, 'PROTEIN CBG01621-RELATED', NULL, NULL, NULL, 15),
(75053, NULL, 'PTHR33985:SF22', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 21', NULL, NULL, NULL, 15),
(75054, NULL, 'PTHR12611', NULL, NULL, NULL, NULL, 'PUR-TRANSCRIPTIONAL ACTIVATOR', NULL, NULL, 1254, 15),
(75055, NULL, 'PTHR30365:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME BD-II UBIQUINOL OXIDASE SUBUNIT 1', NULL, NULL, NULL, 15),
(75056, NULL, 'PTHR31945:SF68', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UDT1', NULL, NULL, NULL, 15),
(75057, NULL, 'PTHR12884:SF30', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', NULL, NULL, NULL, 15),
(75058, NULL, 'PTHR11673:SF33', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-4', NULL, NULL, NULL, 15),
(75059, NULL, 'PTHR20836:SF6', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE REDUCTASE-LIKE PROTEIN CRR1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(75060, NULL, 'PTHR31325:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75061, NULL, 'PTHR10980:SF47', NULL, NULL, NULL, NULL, 'BNAC08G41570D PROTEIN', NULL, NULL, NULL, 15),
(75062, NULL, 'PTHR11592:SF96', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE HOMOLOG BSAA-LIKE', NULL, NULL, NULL, 15),
(75063, NULL, 'PTHR47966:SF13', NULL, NULL, NULL, NULL, 'CHYMOSIN', NULL, NULL, NULL, 15),
(75064, NULL, 'PTHR42509', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75065, NULL, 'PTHR45901:SF5', NULL, NULL, NULL, NULL, 'LIPOXYGENASE HOMOLOGY DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(75066, NULL, 'PTHR23147:SF202', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75067, NULL, 'PTHR23159:SF16', NULL, NULL, NULL, NULL, 'CILIARY ROOTLET COILED-COIL PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(75068, NULL, 'PTHR12137:SF33', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 14', NULL, NULL, NULL, 15),
(75069, NULL, 'PTHR10663:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75070, NULL, 'PTHR24006:SF693', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAF-Y-RELATED', NULL, NULL, NULL, 15),
(75071, NULL, 'PTHR47986:SF12', NULL, NULL, NULL, NULL, 'BNACNNG38030D PROTEIN', NULL, NULL, NULL, 15),
(75072, NULL, 'PTHR24115', NULL, NULL, NULL, NULL, 'KINESIN-RELATED', NULL, NULL, 26011, 15),
(75073, NULL, 'PTHR36513:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75074, NULL, 'PTHR46215', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 24-RELATED', NULL, NULL, 3624, 15),
(75075, NULL, 'PTHR19957:SF289', NULL, NULL, NULL, NULL, 'BNAANNG02730D PROTEIN', NULL, NULL, NULL, 15),
(75076, NULL, 'PTHR33210:SF16', NULL, NULL, NULL, NULL, 'OS04G0517000 PROTEIN', NULL, NULL, NULL, 15),
(75077, NULL, 'PTHR12542:SF154', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(75078, NULL, 'PTHR31157:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75079, NULL, 'PTHR24221:SF566', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', NULL, NULL, NULL, 15),
(75080, NULL, 'PTHR15217:SF4', NULL, NULL, NULL, NULL, 'BNAC06G42510D PROTEIN', NULL, NULL, NULL, 15),
(75081, NULL, 'PTHR45714:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75082, NULL, 'PTHR12428:SF49', NULL, NULL, NULL, NULL, 'BNAC04G01260D PROTEIN', NULL, NULL, NULL, 15),
(75083, NULL, 'PTHR42110', NULL, NULL, NULL, NULL, 'L-ASPARAGINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11890)-RELATED', NULL, NULL, 8547, 15),
(75084, NULL, 'PTHR45622:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HERC6-RELATED', NULL, NULL, NULL, 15),
(75085, NULL, 'PTHR33142:SF58', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR1', NULL, NULL, NULL, 15),
(75086, NULL, 'PTHR21230:SF81', NULL, NULL, NULL, NULL, 'BNAA05G08760D PROTEIN', NULL, NULL, NULL, 15),
(75087, NULL, 'PTHR15256:SF6', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN DGCR2/IDD', NULL, NULL, NULL, 15),
(75088, NULL, 'PTHR10795:SF469', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', NULL, NULL, NULL, 15),
(75089, NULL, 'PTHR36120', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75090, NULL, 'PTHR26450:SF175', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52E6', NULL, NULL, NULL, 15),
(75091, NULL, 'PTHR22691', NULL, NULL, NULL, NULL, 'YEAST SPT2-RELATED', NULL, NULL, NULL, 15),
(75092, NULL, 'PTHR24216:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75093, NULL, 'PTHR11461:SF344', NULL, NULL, NULL, NULL, 'SERPIN PEPTIDASE INHIBITOR, CLADE A (ALPHA-1 ANTIPROTEINASE, ANTITRYPSIN), MEMBER 10A-RELATED', NULL, NULL, NULL, 15),
(75094, NULL, 'PTHR11260:SF533', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U5-RELATED', NULL, NULL, NULL, 15),
(75095, NULL, 'PTHR31929:SF53', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(75096, NULL, 'PTHR31096:SF62', NULL, NULL, NULL, NULL, 'FROM 2D-PAGE OF LEAF PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75097, NULL, 'PTHR15360:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75098, NULL, 'PTHR11955:SF62', NULL, NULL, NULL, NULL, 'CELLULAR RETINOIC ACID-BINDING PROTEIN 1', NULL, NULL, 22044, 15),
(75099, NULL, 'PTHR45496:SF23', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75100, NULL, 'PTHR43142:SF5', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(75101, NULL, 'PTHR24248:SF151', NULL, NULL, NULL, NULL, 'TYRAMINE RECEPTOR TYRA-2', NULL, NULL, NULL, 15),
(75102, NULL, 'PTHR24388:SF73', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZFAT', NULL, NULL, NULL, 15),
(75103, NULL, 'PTHR47999:SF12', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(75104, NULL, 'PTHR34200', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(75105, NULL, 'PTHR24416:SF562', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR RECEPTOR 3', NULL, NULL, 10621, 15),
(75106, NULL, 'PTHR11817:SF88', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(75107, NULL, 'PTHR32092:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75108, NULL, 'PTHR47999:SF57', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTIONAL FACTOR MYB76', NULL, NULL, NULL, 15),
(75109, NULL, 'PTHR23024:SF524', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1B-LIKE', NULL, NULL, NULL, 15),
(75110, NULL, 'PTHR23322:SF69', NULL, NULL, NULL, NULL, 'BNAC04G28950D PROTEIN', NULL, NULL, NULL, 15),
(75111, NULL, 'PTHR12773:SF2', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL METHYLTRANSFERASE SUBUNIT TRM112-LIKE PROTEIN', NULL, NULL, NULL, 15),
(75112, NULL, 'PTHR10894:SF32', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 5-1-RELATED', NULL, NULL, NULL, 15),
(75113, NULL, 'PTHR10865:SF5', NULL, NULL, NULL, NULL, 'METASTASIS-ASSOCIATED PROTEIN MTA1', NULL, NULL, NULL, 15),
(75114, NULL, 'PTHR10806:SF23', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', NULL, NULL, NULL, 15),
(75115, NULL, 'PTHR46951:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75116, NULL, 'PTHR11552:SF115', NULL, NULL, NULL, NULL, 'DEHYDROGENASE XPTC-RELATED', NULL, NULL, NULL, 15),
(75117, NULL, 'PTHR46455:SF3', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN CONTAINING, ARTHROPOD-SPECIFIC, MEMBER 9, ISOFORM A-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75118, NULL, 'PTHR31989:SF330', NULL, NULL, NULL, NULL, 'OS05G0515800 PROTEIN', NULL, NULL, NULL, 15),
(75119, NULL, 'PTHR35001:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75120, NULL, 'PTHR22726:SF7', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(75121, NULL, 'PTHR32440:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75122, NULL, 'PTHR31674:SF21', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM8-LIKE', NULL, NULL, NULL, 15),
(75123, NULL, 'PTHR48001:SF145', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(75124, NULL, 'PTHR35472:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75125, NULL, 'PTHR31717:SF65', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 14-LIKE', NULL, NULL, NULL, 15),
(75126, NULL, 'PTHR33085:SF37', NULL, NULL, NULL, NULL, 'OS11G0143700 PROTEIN', NULL, NULL, NULL, 15),
(75127, NULL, 'PTHR11640:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75128, NULL, 'PTHR45744', NULL, NULL, NULL, NULL, 'TYROSINE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(75129, NULL, 'PTHR12381:SF56', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN U', NULL, NULL, NULL, 15),
(75130, NULL, 'PTHR47926:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75131, NULL, 'PTHR33021:SF205', NULL, NULL, NULL, NULL, 'PLASTOCYANIN-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(75132, NULL, 'PTHR47606:SF1', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY G MEMBER 2', NULL, NULL, NULL, 15),
(75133, NULL, 'PTHR27006:SF216', NULL, NULL, NULL, NULL, '2-PHYTYL-1,4-BETA-NAPHTHOQUINONE METHYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(75134, NULL, 'PTHR24341', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ENGRAILED', NULL, NULL, NULL, 15),
(75135, NULL, 'PTHR47901:SF3', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(75136, NULL, 'PTHR13104:SF1', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RNA (SNRNA) ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(75137, NULL, 'PTHR46084:SF11', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(75138, NULL, 'PTHR24365:SF536', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 9', NULL, NULL, NULL, 15),
(75139, NULL, 'PTHR10027:SF37', NULL, NULL, NULL, NULL, 'CHANNEL (CAKC), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75140, NULL, 'PTHR11346:SF88', NULL, NULL, NULL, NULL, 'PROTEIN CBG23172', NULL, NULL, NULL, 15),
(75141, NULL, 'PTHR44329:SF57', NULL, NULL, NULL, NULL, 'INTEGRIN-LINKED PROTEIN KINASE', NULL, NULL, NULL, 15),
(75142, NULL, 'PTHR12015:SF73', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 26', NULL, NULL, NULL, 15),
(75143, NULL, 'PTHR10194:SF137', NULL, NULL, NULL, NULL, 'RAS GTPASE ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(75144, NULL, 'PTHR45624:SF41', NULL, NULL, NULL, NULL, 'BASIC AMINO ACIDS TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(75145, NULL, 'PTHR11544:SF67', NULL, NULL, NULL, NULL, 'C. ELEGANS Y-BOX', NULL, NULL, NULL, 15),
(75146, NULL, 'PTHR12483:SF110', NULL, NULL, NULL, NULL, 'CTR COPPER TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(75147, NULL, 'PTHR27002:SF727', NULL, NULL, NULL, NULL, 'OS07G0628700 PROTEIN', NULL, NULL, NULL, 15),
(75148, NULL, 'PTHR46099', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75149, NULL, 'PTHR10353:SF147', NULL, NULL, NULL, NULL, '4-HYDROXY-7-METHOXY-3-OXO-3,4-DIHYDRO-2H-1,4-BENZOXAZIN-2-YL GLUCOSIDE BETA-D-GLUCOSIDASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(75150, NULL, 'PTHR41335:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75151, NULL, 'PTHR34407:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(75152, NULL, 'PTHR45657:SF33', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(75153, NULL, 'PTHR31945:SF113', NULL, NULL, NULL, NULL, 'BNAC03G13080D PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75154, NULL, 'PTHR48015:SF16', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TAO', NULL, NULL, NULL, 15),
(75155, NULL, 'PTHR11824:SF10', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, BETA SUBUNIT', NULL, NULL, NULL, 15),
(75156, NULL, 'PTHR30576:SF0', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-PHOSPHATE N-ACETYLGALACTOSAMINYL 1-PHOSPHATE TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(75157, NULL, 'PTHR18929:SF189', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 1-5-RELATED', NULL, NULL, NULL, 15),
(75158, NULL, 'PTHR12290:SF36', NULL, NULL, NULL, NULL, 'BNAA03G54690D PROTEIN', NULL, NULL, NULL, 15),
(75159, NULL, 'PTHR10997:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75160, NULL, 'PTHR48071:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-51A6.2-RELATED', NULL, NULL, NULL, 15),
(75161, NULL, 'PTHR24379:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 57', NULL, NULL, NULL, 15),
(75162, NULL, 'PTHR28025', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD1', NULL, NULL, 8020, 15),
(75163, NULL, 'PTHR46991:SF30', NULL, NULL, NULL, NULL, 'BNAA01G31830D PROTEIN', NULL, NULL, NULL, 15),
(75164, NULL, 'PTHR13254:SF0', NULL, NULL, NULL, NULL, 'RAS MODIFICATION PROTEIN ERF4', NULL, NULL, NULL, 15),
(75165, NULL, 'PTHR10578:SF72', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO2', NULL, NULL, NULL, 15),
(75166, NULL, 'PTHR47662:SF2', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL57-LIKE', NULL, NULL, NULL, 15),
(75167, NULL, 'PTHR31358:SF38', NULL, NULL, NULL, NULL, 'OS02G0200800 PROTEIN', NULL, NULL, NULL, 15),
(75168, NULL, 'PTHR11188:SF79', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(75169, NULL, 'PTHR12308:SF21', NULL, NULL, NULL, NULL, 'ANOCTAMIN-6', NULL, NULL, 27472, 15),
(75170, NULL, 'PTHR11822:SF39', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', NULL, NULL, NULL, 15),
(75171, NULL, 'PTHR44874:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 34', NULL, NULL, NULL, 15),
(75172, NULL, 'PTHR22883:SF288', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE SWF1', NULL, NULL, NULL, 15),
(75173, NULL, 'PTHR14614:SF137', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE EFM2', NULL, NULL, NULL, 15),
(75174, NULL, 'PTHR23266:SF99', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY CONSTANT DELTA', NULL, NULL, NULL, 15),
(75175, NULL, 'PTHR12022:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(75176, NULL, 'PTHR13407:SF0', NULL, NULL, NULL, NULL, 'FI05221P', NULL, NULL, NULL, 15),
(75177, NULL, 'PTHR24349:SF394', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(75178, NULL, 'PTHR24356:SF382', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(75179, NULL, 'PTHR12290:SF35', NULL, NULL, NULL, NULL, 'BNAC05G09440D PROTEIN', NULL, NULL, NULL, 15),
(75180, NULL, 'PTHR48002:SF116', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(75181, NULL, 'PTHR10775:SF154', NULL, NULL, NULL, NULL, 'TRANSPOSASE TNP2', NULL, NULL, NULL, 15),
(75182, NULL, 'PTHR24305:SF191', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(75183, NULL, 'PTHR10108:SF1083', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT4-RELATED', NULL, NULL, NULL, 15),
(75184, NULL, 'PTHR44329:SF175', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', NULL, NULL, NULL, 15),
(75185, NULL, 'PTHR31048:SF94', NULL, NULL, NULL, NULL, 'INHIBITOR, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(75186, NULL, 'PTHR48050:SF18', NULL, NULL, NULL, NULL, 'GLUCOSYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04880)-RELATED', NULL, NULL, NULL, 15),
(75187, NULL, 'PTHR10795:SF575', NULL, NULL, NULL, NULL, 'OS02G0269600 PROTEIN', NULL, NULL, NULL, 15),
(75188, NULL, 'PTHR33779:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75189, NULL, 'PTHR21689:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LIN-9 HOMOLOG', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75190, NULL, 'PTHR45651:SF65', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 1-LIKE', NULL, NULL, NULL, 15),
(75191, NULL, 'PTHR48054:SF35', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75192, NULL, 'PTHR24042:SF5', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C-BINDING PROTEIN NELL1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(75193, NULL, 'PTHR36478:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75194, NULL, 'PTHR46475:SF7', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75195, NULL, 'PTHR47993:SF148', NULL, NULL, NULL, NULL, 'BNAA05G36860D PROTEIN', NULL, NULL, NULL, 15),
(75196, NULL, 'PTHR32444:SF92', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', NULL, NULL, NULL, 15),
(75197, NULL, 'PTHR24082:SF489', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1, GROUP D, MEMBER 4A', NULL, NULL, NULL, 15),
(75198, NULL, 'PTHR11461:SF40', NULL, NULL, NULL, NULL, 'SERPIN A9', NULL, NULL, NULL, 15),
(75199, NULL, 'PTHR37433:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG03432', NULL, NULL, NULL, 15),
(75200, NULL, 'PTHR40078', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, 30703, 15),
(75201, NULL, 'PTHR31962', NULL, NULL, NULL, NULL, 'SPHINGOLIPID LONG CHAIN BASE-RESPONSIVE PROTEIN PIL1', NULL, NULL, 21655, 15),
(75202, NULL, 'PTHR44067:SF14', NULL, NULL, NULL, NULL, 'BNAC03G76030D PROTEIN', NULL, NULL, NULL, 15),
(75203, NULL, 'PTHR15838:SF3', NULL, NULL, NULL, NULL, 'F14O23.10 PROTEIN', NULL, NULL, NULL, 15),
(75204, NULL, 'PTHR45093', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR MSS11', NULL, NULL, NULL, 15),
(75205, NULL, 'PTHR33919:SF1', NULL, NULL, NULL, NULL, 'OS09G0127700 PROTEIN', NULL, NULL, NULL, 15),
(75206, NULL, 'PTHR12398:SF25', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE INHIBITOR 2-LIKE', NULL, NULL, NULL, 15),
(75207, NULL, 'PTHR24235:SF12', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE F RECEPTOR', NULL, NULL, NULL, 15),
(75208, NULL, 'PTHR36915:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75209, NULL, 'PTHR23026:SF100', NULL, NULL, NULL, NULL, 'NITROREDUCTASE', NULL, NULL, NULL, 15),
(75210, NULL, 'PTHR23237:SF11', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(75211, NULL, 'PTHR23262:SF134', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-11', NULL, NULL, NULL, 15),
(75212, NULL, 'PTHR20996:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE PHOSPHATASE-REGULATORY SUBUNIT 1', NULL, NULL, NULL, 15),
(75213, NULL, 'PTHR23205:SF0', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3A SUBUNIT 2', NULL, NULL, NULL, 15),
(75214, NULL, 'PTHR37460', NULL, NULL, NULL, NULL, 'ENDONUCLEASE III', NULL, NULL, 5218, 15),
(75215, NULL, 'PTHR11306:SF48', NULL, NULL, NULL, NULL, 'BNAC03G73370D PROTEIN', NULL, NULL, NULL, 15),
(75216, NULL, 'PTHR31989:SF260', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 76', NULL, NULL, NULL, 15),
(75217, NULL, 'PTHR10774:SF196', NULL, NULL, NULL, NULL, 'BNAA08G28270D PROTEIN', NULL, NULL, NULL, 15),
(75218, NULL, 'PTHR31343:SF49', NULL, NULL, NULL, NULL, 'BNAA02G30660D PROTEIN', NULL, NULL, NULL, 15),
(75219, NULL, 'PTHR24296:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75220, NULL, 'PTHR24253:SF101', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE SERINE PROTEASE 5', NULL, NULL, NULL, 15),
(75221, NULL, 'PTHR22937:SF144', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PRAJA-2-LIKE', NULL, NULL, NULL, 15),
(75222, NULL, 'PTHR44329:SF98', NULL, NULL, NULL, NULL, 'KINASE ATMRK1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75223, NULL, 'PTHR13200', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 15818, 15),
(75224, NULL, 'PTHR14198', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 4 L6 FAMILY MEMBER 1-RELATED', NULL, NULL, 13316, 15),
(75225, NULL, 'PTHR13780:SF126', NULL, NULL, NULL, NULL, 'BNAA02G10090D PROTEIN', NULL, NULL, NULL, 15),
(75226, NULL, 'PTHR33107:SF5', NULL, NULL, NULL, NULL, 'KUNITZ TRYPSIN INHIBITOR 2', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75227, NULL, 'PTHR10582:SF19', NULL, NULL, NULL, NULL, 'OSM-9 AND CAPSAICIN RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(75228, NULL, 'PTHR31300:SF3', NULL, NULL, NULL, NULL, 'GB|AAD30234.1', NULL, NULL, NULL, 15),
(75229, NULL, 'PTHR36381:SF6', NULL, NULL, NULL, NULL, 'BNAA02G22670D PROTEIN', NULL, NULL, NULL, 15),
(75230, NULL, 'PTHR35486:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75231, NULL, 'PTHR21596:SF51', NULL, NULL, NULL, NULL, 'OS01G0147700 PROTEIN', NULL, NULL, NULL, 15),
(75232, NULL, 'PTHR31604:SF39', NULL, NULL, NULL, NULL, 'BNAC01G23660D PROTEIN', NULL, NULL, NULL, 15),
(75233, NULL, 'PTHR20881:SF0', NULL, NULL, NULL, NULL, '3-METHYL-2-OXOBUTANOATE HYDROXYMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(75234, NULL, 'PTHR10108:SF1072', NULL, NULL, NULL, NULL, 'PMT16, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75235, NULL, 'PTHR10093:SF21', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY PROTEIN', NULL, NULL, NULL, 15),
(75236, NULL, 'PTHR12378:SF10', NULL, NULL, NULL, NULL, 'IP06716P-RELATED', NULL, NULL, NULL, 15),
(75237, NULL, 'PTHR23073:SF89', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 7A', NULL, NULL, NULL, 15),
(75238, NULL, 'PTHR24351:SF207', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(75239, NULL, 'PTHR32044:SF61', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 9-LIKE ISOFORM X2', NULL, NULL, NULL, 15),
(75240, NULL, 'PTHR13409', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 39S RIBOSOMAL PROTEIN L51', NULL, NULL, 15934, 15),
(75241, NULL, 'PTHR31314:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75242, NULL, 'PTHR15261', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-TYPE LAMININ G DOMAIN AND EAR REPEAT-CONTAINING', NULL, NULL, NULL, 15),
(75243, NULL, 'PTHR11119:SF103', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 6-LIKE', NULL, NULL, NULL, 15),
(75244, NULL, 'PTHR23302:SF65', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(75245, NULL, 'PTHR11260:SF662', NULL, NULL, NULL, NULL, 'S-TRANSFERASE TAU 22, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75246, NULL, 'PTHR12526:SF588', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE A (MTFA)-RELATED', NULL, NULL, NULL, 15),
(75247, NULL, 'PTHR15703', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4931406P16 GENE', NULL, NULL, 37765, 15),
(75248, NULL, 'PTHR12747', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 1', NULL, NULL, 4483, 15),
(75249, NULL, 'PTHR21506', NULL, NULL, NULL, NULL, 'COMPONENT OF OLIGOMERIC GOLGI COMPLEX 6', NULL, NULL, 10168, 15),
(75250, NULL, 'PTHR37431:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG02014', NULL, NULL, NULL, 15),
(75251, NULL, 'PTHR22691:SF13', NULL, NULL, NULL, NULL, 'SPT2 CHROMATIN PROTEIN', NULL, NULL, NULL, 15),
(75252, NULL, 'PTHR10353:SF196', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 43-LIKE', NULL, NULL, NULL, 15),
(75253, NULL, 'PTHR39079', NULL, NULL, NULL, NULL, 'FI08034P-RELATED', NULL, NULL, NULL, 15),
(75254, NULL, 'PTHR22930:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75255, NULL, 'PTHR24050:SF25', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR C AND EGF DOMAINS', NULL, NULL, NULL, 15),
(75256, NULL, 'PTHR45648:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75257, NULL, 'PTHR47721:SF2', NULL, NULL, NULL, NULL, 'OS01G0235100 PROTEIN', NULL, NULL, NULL, 15),
(75258, NULL, 'PTHR44427:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75259, NULL, 'PTHR12890:SF0', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(75260, NULL, 'PTHR12670:SF13', NULL, NULL, NULL, NULL, 'NEUTRAL CERAMIDASE', NULL, NULL, NULL, 15),
(75261, NULL, 'PTHR30605:SF2', NULL, NULL, NULL, NULL, 'UPF0075 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(75262, NULL, 'PTHR37389:SF15', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(75263, NULL, 'PTHR31503:SF66', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75264, NULL, 'PTHR33373:SF22', NULL, NULL, NULL, NULL, 'DUF4050 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(75265, NULL, 'PTHR23249:SF15', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(75266, NULL, 'PTHR12550:SF69', NULL, NULL, NULL, NULL, 'BNAC07G49730D PROTEIN', NULL, NULL, NULL, 15),
(75267, NULL, 'PTHR45752:SF102', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 5', NULL, NULL, NULL, 15),
(75268, NULL, 'PTHR45713:SF2', NULL, NULL, NULL, NULL, 'PENTRAXIN', NULL, NULL, NULL, 15),
(75269, NULL, 'PTHR21139:SF2', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(75270, NULL, 'PTHR39328:SF1', NULL, NULL, NULL, NULL, 'BLL2871 PROTEIN', NULL, NULL, NULL, 15),
(75271, NULL, 'PTHR33527:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75272, NULL, 'PTHR12538:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', NULL, NULL, NULL, 15),
(75273, NULL, 'PTHR12570:SF1', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA2', NULL, NULL, NULL, 15),
(75274, NULL, 'PTHR24409:SF368', NULL, NULL, NULL, NULL, 'DATILOGRAFO, ISOFORM A', NULL, NULL, NULL, 15),
(75275, NULL, 'PTHR12265:SF30', NULL, NULL, NULL, NULL, 'OS06G0730300 PROTEIN', NULL, NULL, NULL, 15),
(75276, NULL, 'PTHR47589:SF5', NULL, NULL, NULL, NULL, 'FATTY-ACID-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(75277, NULL, 'PTHR23024:SF413', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', NULL, NULL, NULL, 15),
(75278, NULL, 'PTHR31631:SF14', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 2B', NULL, NULL, NULL, 15),
(75279, NULL, 'PTHR32444:SF130', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN S13, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75280, NULL, 'PTHR10026:SF127', NULL, NULL, NULL, NULL, 'BNAC02G47480D PROTEIN', NULL, NULL, NULL, 15),
(75281, NULL, 'PTHR35999', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM6 HOMOLOG', NULL, NULL, 1301, 15),
(75282, NULL, 'PTHR10654:SF21', NULL, NULL, NULL, NULL, 'EMBRYONAL FYN-ASSOCIATED SUBSTRATE', NULL, NULL, NULL, 15),
(75283, NULL, 'PTHR31974:SF2', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 3', NULL, NULL, NULL, 15),
(75284, NULL, 'PTHR35294:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75285, NULL, 'PTHR19944:SF99', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DRB1-15 BETA CHAIN', NULL, NULL, NULL, 15),
(75286, NULL, 'PTHR24221:SF165', NULL, NULL, NULL, NULL, 'BILE SALT EXPORT PUMP', NULL, NULL, 27108, 15),
(75287, NULL, 'PTHR45651:SF84', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 16-RELATED', NULL, NULL, NULL, 15),
(75288, NULL, 'PTHR36264:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75289, NULL, 'PTHR14102:SF12', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC034090', NULL, NULL, NULL, 15),
(75290, NULL, 'PTHR45752:SF90', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IQ DOMAIN-CONTAINING PROTEIN 4-LIKE ISOFORM X3', NULL, NULL, NULL, 15),
(75291, NULL, 'PTHR31744:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75292, NULL, 'PTHR24082:SF331', NULL, NULL, NULL, NULL, 'ECDYSONE RECEPTOR', NULL, NULL, NULL, 15),
(75293, NULL, 'PTHR31451:SF51', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 6', NULL, NULL, NULL, 15),
(75294, NULL, 'PTHR31083:SF20', NULL, NULL, NULL, NULL, 'PROTEIN UPSTREAM OF FLC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(75295, NULL, 'PTHR13504', NULL, NULL, NULL, NULL, 'FIDO DOMAIN-CONTAINING PROTEIN DDB_G0283145', NULL, NULL, 30959, 15),
(75296, NULL, 'PTHR28630:SF11', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN AAED1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(75297, NULL, 'PTHR48010:SF24', NULL, NULL, NULL, NULL, 'OS08G0427600 PROTEIN', NULL, NULL, NULL, 15),
(75298, NULL, 'PTHR37233:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(75299, NULL, 'PTHR12415:SF0', NULL, NULL, NULL, NULL, 'TYROSYL-DNA PHOSPHODIESTERASE 1', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75300, NULL, 'PTHR34048:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75301, NULL, 'PTHR44375:SF13', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE FABG-LIKE', NULL, NULL, NULL, 15),
(75302, NULL, 'PTHR48053:SF2', NULL, NULL, NULL, NULL, 'FLAGELLIN-SENSING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(75303, NULL, 'PTHR31163:SF1249', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(75304, NULL, 'PTHR47998:SF13', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR ETC2-RELATED', NULL, NULL, NULL, 15),
(75305, NULL, 'PTHR10410:SF27', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 14 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(75306, NULL, 'PTHR33115:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75307, NULL, 'PTHR23421:SF169', NULL, NULL, NULL, NULL, 'BNACNNG71570D PROTEIN', NULL, NULL, NULL, 15),
(75308, NULL, 'PTHR10159:SF109', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 2', NULL, NULL, NULL, 15),
(75309, NULL, 'PTHR33294:SF11', NULL, NULL, NULL, NULL, 'ABA INDUCED PLASMA MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(75310, NULL, 'PTHR11742:SF83', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(75311, NULL, 'PTHR10546:SF2', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL SUBUNIT BETA-1', NULL, NULL, 37760, 15),
(75312, NULL, 'PTHR15672:SF14', NULL, NULL, NULL, NULL, 'CAMP-REGULATED PHOSPHOPROTEIN 21', NULL, NULL, NULL, 15),
(75313, NULL, 'PTHR11071:SF11', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE C', NULL, NULL, NULL, 15),
(75314, NULL, 'PTHR23139:SF108', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF LARGE SUBUNIT A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(75315, NULL, 'PTHR33647:SF1', NULL, NULL, NULL, NULL, 'OS01G0793800 PROTEIN', NULL, NULL, NULL, 15),
(75316, NULL, 'PTHR43112:SF9', NULL, NULL, NULL, NULL, 'FERREDOXIN C 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(75317, NULL, 'PTHR45617:SF14', NULL, NULL, NULL, NULL, 'TSUKUSHIN', NULL, NULL, NULL, 15),
(75318, NULL, 'PTHR36750', NULL, NULL, NULL, NULL, 'SEC-C MOTIF PROTEIN', NULL, NULL, NULL, 15),
(75319, NULL, 'PTHR33076:SF91', NULL, NULL, NULL, NULL, 'PLANT LIPID TRANSFER PROTEIN/PAR ALLERGEN-RELATED', NULL, NULL, NULL, 15),
(75320, NULL, 'PTHR31376:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75321, NULL, 'PTHR12958:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN USH', NULL, NULL, NULL, 15),
(75322, NULL, 'PTHR43314:SF21', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE, LEAF ISOZYME 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(75323, NULL, 'PTHR13218:SF20', NULL, NULL, NULL, NULL, 'TAF (TBP-ASSOCIATED TRANSCRIPTION FACTOR) FAMILY', NULL, NULL, NULL, 15),
(75324, NULL, 'PTHR34593:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75325, NULL, 'PTHR43220:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 41A', NULL, NULL, NULL, 15),
(75326, NULL, 'PTHR11849:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75327, NULL, 'PTHR45757:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG05546', NULL, NULL, NULL, 15),
(75328, NULL, 'PTHR21569:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S16', NULL, NULL, NULL, 15),
(75329, NULL, 'PTHR12002:SF194', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, NULL, 15),
(75330, NULL, 'PTHR21014:SF4', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4,5-BISPHOSPHATE 4-PHOSPHATASE', NULL, NULL, NULL, 15),
(75331, NULL, 'PTHR24115:SF799', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(75332, NULL, 'PTHR14493:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75333, NULL, 'PTHR45614:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75334, NULL, 'PTHR31972:SF3', NULL, NULL, NULL, NULL, 'OS08G0422401 PROTEIN', NULL, NULL, NULL, 15),
(75335, NULL, 'PTHR33702:SF24', NULL, NULL, NULL, NULL, 'BNAA04G27010D PROTEIN', NULL, NULL, NULL, 15),
(75336, NULL, 'PTHR31050:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75337, NULL, 'PTHR34216:SF8', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE DEACETYLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(75338, NULL, 'PTHR11753:SF14', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT SIGMA-1A', NULL, NULL, NULL, 15),
(75339, NULL, 'PTHR23306:SF20', NULL, NULL, NULL, NULL, 'PROTEIN ELC-LIKE', NULL, NULL, NULL, 15),
(75340, NULL, 'PTHR31407:SF5', NULL, NULL, NULL, NULL, 'PLASTID TRANSCRIPTIONALLY ACTIVE 3', NULL, NULL, NULL, 15),
(75341, NULL, 'PTHR13345:SF9', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 10A-RELATED', NULL, NULL, NULL, 15),
(75342, NULL, 'PTHR33086:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75343, NULL, 'PTHR34191:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75344, NULL, 'PTHR45614:SF69', NULL, NULL, NULL, NULL, 'KERATIN', NULL, NULL, NULL, 15),
(75345, NULL, 'PTHR24559:SF332', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75346, NULL, 'PTHR11481:SF64', NULL, NULL, NULL, NULL, 'LOW AFFINITY IMMUNOGLOBULIN GAMMA FC REGION RECEPTOR III-A-RELATED', NULL, NULL, NULL, 15),
(75347, NULL, 'PTHR46201:SF5', NULL, NULL, NULL, NULL, 'OS11G0234200 PROTEIN', NULL, NULL, NULL, 15),
(75348, NULL, 'PTHR31985:SF145', NULL, NULL, NULL, NULL, 'OS02G0657000 PROTEIN', NULL, NULL, NULL, 15),
(75349, NULL, 'PTHR33044:SF170', NULL, NULL, NULL, NULL, 'LIPID TRANSFER-LIKE PROTEIN VAS', NULL, NULL, NULL, 15),
(75350, NULL, 'PTHR21426:SF2', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO84C', NULL, NULL, NULL, 15),
(75351, NULL, 'PTHR21600:SF60', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(75352, NULL, 'PTHR43364:SF2', NULL, NULL, NULL, NULL, 'ARYL-ALCOHOL DEHYDROGENASE AAD10-RELATED', NULL, NULL, NULL, 15),
(75353, NULL, 'PTHR12132:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD52 HOMOLOG', NULL, NULL, NULL, 15),
(75354, NULL, 'PTHR19229:SF141', NULL, NULL, NULL, NULL, 'OS08G0398350 PROTEIN', NULL, NULL, NULL, 15),
(75355, NULL, 'PTHR48021:SF3', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75356, NULL, 'PTHR47990:SF138', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 8', NULL, NULL, NULL, 15),
(75357, NULL, 'PTHR18929:SF210', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE A4', NULL, NULL, NULL, 15),
(75358, NULL, 'PTHR43855', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE', NULL, NULL, NULL, 15),
(75359, NULL, 'PTHR11127', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L14', NULL, NULL, 30073, 15),
(75360, NULL, 'PTHR23292:SF28', NULL, NULL, NULL, NULL, 'SI:CH211-157C3.4', NULL, NULL, NULL, 15),
(75361, NULL, 'PTHR33091:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75362, NULL, 'PTHR21139:SF30', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(75363, NULL, 'PTHR31080:SF184', NULL, NULL, NULL, NULL, 'BNAC03G27010D PROTEIN', NULL, NULL, NULL, 15),
(75364, NULL, 'PTHR14057:SF9', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 6', NULL, NULL, NULL, 15),
(75365, NULL, 'PTHR48017:SF160', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75366, NULL, 'PTHR45676:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75367, NULL, 'PTHR42892', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-6-PHOSPHATE DEAMINASE-LIKE PROTEIN BT_0258-RELATED', NULL, NULL, NULL, 15),
(75368, NULL, 'PTHR24093:SF484', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(75369, NULL, 'PTHR46899:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75370, NULL, 'PTHR43180:SF77', NULL, NULL, NULL, NULL, 'CHAIN ALCOHOL DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75371, NULL, 'PTHR45644:SF22', NULL, NULL, NULL, NULL, 'TRANSITIONAL ENDOPLASMIC RETICULUM ATPASE HOMOLOG 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(75372, NULL, 'PTHR47932:SF11', NULL, NULL, NULL, NULL, 'OS04G0477200 PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75373, NULL, 'PTHR46003:SF3', NULL, NULL, NULL, NULL, 'HOST CELL FACTOR 1', NULL, NULL, 35797, 15),
(75374, NULL, 'PTHR46163:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG19279', NULL, NULL, NULL, 15),
(75375, NULL, 'PTHR34058:SF12', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 1-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(75376, NULL, 'PTHR43952:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75377, NULL, 'PTHR31300:SF28', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA (GLN) AMIDOTRANSFERASE SUBUNIT A (DUF620)', NULL, NULL, NULL, 15),
(75378, NULL, 'PTHR23315:SF252', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(75379, NULL, 'PTHR21666:SF268', NULL, NULL, NULL, NULL, 'L-ALA--D-GLU ENDOPEPTIDASE', NULL, NULL, NULL, 15),
(75380, NULL, 'PTHR44259:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75381, NULL, 'PTHR24384:SF210', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 502', NULL, NULL, NULL, 15),
(75382, NULL, 'PTHR24115:SF914', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12E', NULL, NULL, NULL, 15),
(75383, NULL, 'PTHR10127:SF846', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(75384, NULL, 'PTHR23002', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(75385, NULL, 'PTHR12181:SF64', NULL, NULL, NULL, NULL, 'BNACNNG70470D PROTEIN', NULL, NULL, NULL, 15),
(75386, NULL, 'PTHR23402:SF16', NULL, NULL, NULL, NULL, 'PYROGLUTAMYL-PEPTIDASE 1', NULL, NULL, 28189, 15),
(75387, NULL, 'PTHR45654:SF41', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ROC5', NULL, NULL, NULL, 15),
(75388, NULL, 'PTHR13037:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CAPPUCCINO', NULL, NULL, NULL, 15),
(75389, NULL, 'PTHR31953:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75390, NULL, 'PTHR37432', NULL, NULL, NULL, NULL, 'PROTEIN CBG21304', NULL, NULL, NULL, 15),
(75391, NULL, 'PTHR12506:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 67-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(75392, NULL, 'PTHR34061:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75393, NULL, 'PTHR21700:SF32', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(75394, NULL, 'PTHR11249:SF6', NULL, NULL, NULL, NULL, 'GLIA MATURATION FACTOR, BETA', NULL, NULL, NULL, 15),
(75395, NULL, 'PTHR11903:SF31', NULL, NULL, NULL, NULL, 'PEROXIDASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75396, NULL, 'PTHR22950:SF340', NULL, NULL, NULL, NULL, 'GLUTAMATE TRANSPORTER POLYPHEMUS-RELATED', NULL, NULL, NULL, 15),
(75397, NULL, 'PTHR31718:SF47', NULL, NULL, NULL, NULL, 'PLAT DOMAIN-CONTAINING PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(75398, NULL, 'PTHR10306:SF8', NULL, NULL, NULL, NULL, 'SYNAPTOPHYSIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(75399, NULL, 'PTHR11362:SF133', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L38, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(75400, NULL, 'PTHR12654:SF27', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', NULL, NULL, NULL, 15),
(75401, NULL, 'PTHR11028:SF2', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT D 2', NULL, NULL, NULL, 15),
(75402, NULL, 'PTHR27005:SF392', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75403, NULL, 'PTHR24421:SF49', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION HISTIDINE-PROTEIN KINASE/PHOSPHATASE UHPB', NULL, NULL, NULL, 15),
(75404, NULL, 'PTHR32487:SF13', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(75405, NULL, 'PTHR12086:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75406, NULL, 'PTHR34355:SF12', NULL, NULL, NULL, NULL, 'BNAA05G29290D PROTEIN', NULL, NULL, NULL, 15),
(75407, NULL, 'PTHR46632:SF25', NULL, NULL, NULL, NULL, 'BNAC06G27520D PROTEIN', NULL, NULL, NULL, 15),
(75408, NULL, 'PTHR20939:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN-20', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75409, NULL, 'PTHR17601:SF3', NULL, NULL, NULL, NULL, 'RAFTLIN', NULL, NULL, NULL, 15),
(75410, NULL, 'PTHR13068:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75411, NULL, 'PTHR17271', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY  PH  DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(75412, NULL, 'PTHR31087:SF112', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 15', NULL, NULL, NULL, 15),
(75413, NULL, 'PTHR40279', NULL, NULL, NULL, NULL, 'PQQC-LIKE PROTEIN', NULL, NULL, 35411, 15),
(75414, NULL, 'PTHR43029:SF17', NULL, NULL, NULL, NULL, 'TRANSPORTER 2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75415, NULL, 'PTHR31218:SF193', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(75416, NULL, 'PTHR47427:SF1', NULL, NULL, NULL, NULL, 'PROTEIN STE12', NULL, NULL, NULL, 15),
(75417, NULL, 'PTHR22945:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-32', NULL, NULL, NULL, 15),
(75418, NULL, 'PTHR23152:SF32', NULL, NULL, NULL, NULL, 'E1 SUBUNIT-LIKE 2-OXOGLUTARATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(75419, NULL, 'PTHR20938', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(75420, NULL, 'PTHR10110:SF179', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 4', NULL, NULL, NULL, 15),
(75421, NULL, 'PTHR31132:SF12', NULL, NULL, NULL, NULL, 'OS07G0623600 PROTEIN', NULL, NULL, NULL, 15),
(75422, NULL, 'PTHR32212:SF270', NULL, NULL, NULL, NULL, 'BNAA10G06910D PROTEIN', NULL, NULL, NULL, 15),
(75423, NULL, 'PTHR42936:SF1', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE', NULL, NULL, NULL, 15),
(75424, NULL, 'PTHR45836:SF18', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 17', NULL, NULL, NULL, 15),
(75425, NULL, 'PTHR10811:SF87', NULL, NULL, NULL, NULL, 'BNAANNG16280D PROTEIN', NULL, NULL, NULL, 15),
(75426, NULL, 'PTHR33994:SF25', NULL, NULL, NULL, NULL, 'OS02G0619166 PROTEIN', NULL, NULL, NULL, 15),
(75427, NULL, 'PTHR31265:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75428, NULL, 'PTHR30363:SF54', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR IOLR', NULL, NULL, NULL, 15),
(75429, NULL, 'PTHR14549:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 223', NULL, NULL, NULL, 15),
(75430, NULL, 'PTHR19446:SF433', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75431, NULL, 'PTHR31852:SF220', NULL, NULL, NULL, NULL, 'PROTEIN YLS9-LIKE', NULL, NULL, NULL, 15),
(75432, NULL, 'PTHR31442:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75433, NULL, 'PTHR24083:SF75', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(75434, NULL, 'PTHR47373:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 2', NULL, NULL, NULL, 15),
(75435, NULL, 'PTHR10677:SF4', NULL, NULL, NULL, NULL, 'UBIQUILIN-3', NULL, NULL, NULL, 15),
(75436, NULL, 'PTHR33232:SF14', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE, SIEVE ELEMENT OCCLUSION-RELATED', NULL, NULL, NULL, 15),
(75437, NULL, 'PTHR23213:SF370', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 18', NULL, NULL, NULL, 15),
(75438, NULL, 'PTHR31375:SF211', NULL, NULL, NULL, NULL, 'BNAA04G29280D PROTEIN', NULL, NULL, NULL, 15),
(75439, NULL, 'PTHR11266:SF101', NULL, NULL, NULL, NULL, 'PXMP2/4 FAMILY PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(75440, NULL, 'PTHR26454:SF14', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(75441, NULL, 'PTHR33021:SF406', NULL, NULL, NULL, NULL, 'BASIC BLUE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(75442, NULL, 'PTHR33148:SF2', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(75443, NULL, 'PTHR31080:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75444, NULL, 'PTHR19944:SF43', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DO BETA CHAIN', NULL, NULL, NULL, 15),
(75445, NULL, 'PTHR31042:SF114', NULL, NULL, NULL, NULL, 'BNAC07G42290D PROTEIN', NULL, NULL, NULL, 15),
(75446, NULL, 'PTHR13025:SF2', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN-CONTAINING PROTEIN D2', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75447, NULL, 'PTHR47172:SF11', NULL, NULL, NULL, NULL, 'BNAC01G44080D PROTEIN', NULL, NULL, NULL, 15),
(75448, NULL, 'PTHR24025:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75449, NULL, 'PTHR24099:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75450, NULL, 'PTHR31734:SF197', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(75451, NULL, 'PTHR26453:SF153', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(75452, NULL, 'PTHR30508:SF6', NULL, NULL, NULL, NULL, 'UPF0051 PROTEIN MJ0034', NULL, NULL, NULL, 15),
(75453, NULL, 'PTHR44375:SF4', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75454, NULL, 'PTHR37523', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE', NULL, NULL, NULL, 15),
(75455, NULL, 'PTHR31594:SF12', NULL, NULL, NULL, NULL, 'ZGC:174931', NULL, NULL, NULL, 15),
(75456, NULL, 'PTHR46851:SF14', NULL, NULL, NULL, NULL, 'ZINC ION BINDING', NULL, NULL, NULL, 15),
(75457, NULL, 'PTHR36385', NULL, NULL, NULL, NULL, 'OS07G0562900 PROTEIN', NULL, NULL, NULL, 15),
(75458, NULL, 'PTHR31415:SF125', NULL, NULL, NULL, NULL, 'PROTEIN NDR1-LIKE', NULL, NULL, NULL, 15),
(75459, NULL, 'PTHR14359', NULL, NULL, NULL, NULL, 'HOMO-OLIGOMERIC FLAVIN CONTAINING CYS DECARBOXYLASE FAMILY', NULL, NULL, NULL, 15),
(75460, NULL, 'PTHR12913:SF1', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING PROTEIN E1', NULL, NULL, NULL, 15),
(75461, NULL, 'PTHR26312:SF190', NULL, NULL, NULL, NULL, 'OS05G0447700 PROTEIN', NULL, NULL, NULL, 15),
(75462, NULL, 'PTHR43700:SF3', NULL, NULL, NULL, NULL, 'BNAC03G41880D PROTEIN', NULL, NULL, NULL, 15),
(75463, NULL, 'PTHR42861:SF18', NULL, NULL, NULL, NULL, 'SARCOPLASMIC/ENDOPLASMIC RETICULUM CALCIUM ATPASE 2', NULL, NULL, NULL, 15),
(75464, NULL, 'PTHR13145:SF3', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(75465, NULL, 'PTHR10671:SF94', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 4', NULL, NULL, NULL, 15),
(75466, NULL, 'PTHR11709:SF364', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(75467, NULL, 'PTHR22762:SF136', NULL, NULL, NULL, NULL, 'HETEROGLYCAN GLUCOSIDASE 1', NULL, NULL, NULL, 15),
(75468, NULL, 'PTHR22957:SF542', NULL, NULL, NULL, NULL, 'BNAA02G09450D PROTEIN', NULL, NULL, NULL, 15),
(75469, NULL, 'PTHR23081:SF22', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(75470, NULL, 'PTHR21450:SF31', NULL, NULL, NULL, NULL, 'OS05G0425000 PROTEIN', NULL, NULL, NULL, 15),
(75471, NULL, 'PTHR10288:SF272', NULL, NULL, NULL, NULL, 'BINDING TO TOMV RNA 1L (LONG FORM)-RELATED', NULL, NULL, NULL, 15),
(75472, NULL, 'PTHR47818', NULL, NULL, NULL, NULL, 'RNI-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(75473, NULL, 'PTHR31875:SF4', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 3', NULL, NULL, NULL, 15),
(75474, NULL, 'PTHR31734:SF205', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(75475, NULL, 'PTHR11046:SF0', NULL, NULL, NULL, NULL, 'OLIGORIBONUCLEASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(75476, NULL, 'PTHR10912:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75477, NULL, 'PTHR31003:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HHO5', NULL, NULL, NULL, 15),
(75478, NULL, 'PTHR13029:SF17', NULL, NULL, NULL, NULL, 'MYELIN REGULATORY FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(75479, NULL, 'PTHR14326:SF46', NULL, NULL, NULL, NULL, 'PROTEIN TPX2', NULL, NULL, NULL, 15),
(75480, NULL, 'PTHR24299:SF39', NULL, NULL, NULL, NULL, 'OS06G0642000 PROTEIN', NULL, NULL, NULL, 15),
(75481, NULL, 'PTHR13593:SF109', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASE, TIM BETA/ALPHA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75482, NULL, 'PTHR31471:SF51', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(75483, NULL, 'PTHR21637', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 10-RELATED', NULL, NULL, 29867, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75484, NULL, 'PTHR32251:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75485, NULL, 'PTHR23260:SF2', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 24-1', NULL, NULL, NULL, 15),
(75486, NULL, 'PTHR31735:SF2', NULL, NULL, NULL, NULL, 'STORE-OPERATED CALCIUM ENTRY REGULATOR STIMATE', NULL, NULL, NULL, 15),
(75487, NULL, 'PTHR43003:SF8', NULL, NULL, NULL, NULL, 'HHH-GPD BASE EXCISION DNA REPAIR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(75488, NULL, 'PTHR46004:SF2', NULL, NULL, NULL, NULL, 'CYCLIC AMP-RESPONSIVE ELEMENT-BINDING PROTEIN 3-LIKE PROTEIN 2', NULL, NULL, 21955, 15),
(75489, NULL, 'PTHR11771:SF33', NULL, NULL, NULL, NULL, 'ARACHIDONATE 15-LIPOXYGENASE', NULL, NULL, NULL, 15),
(75490, NULL, 'PTHR37702:SF10', NULL, NULL, NULL, NULL, 'BNAC07G49330D PROTEIN', NULL, NULL, NULL, 15),
(75491, NULL, 'PTHR46691:SF11', NULL, NULL, NULL, NULL, 'BNAA08G28100D PROTEIN', NULL, NULL, NULL, 15),
(75492, NULL, 'PTHR31602:SF51', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 9', NULL, NULL, NULL, 15),
(75493, NULL, 'PTHR24015:SF260', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(75494, NULL, 'PTHR45651:SF14', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 4', NULL, NULL, NULL, 15),
(75495, NULL, 'PTHR46891:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG04997', NULL, NULL, NULL, 15),
(75496, NULL, 'PTHR43606:SF1', NULL, NULL, NULL, NULL, 'BLR0534 PROTEIN', NULL, NULL, NULL, 15),
(75497, NULL, 'PTHR33826:SF12', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN-SORTING PROTEIN BRO1-LIKE', NULL, NULL, NULL, 15),
(75498, NULL, 'PTHR45618:SF19', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL BROWN FAT UNCOUPLING PROTEIN 1', NULL, NULL, 33532, 15),
(75499, NULL, 'PTHR23247:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 34', NULL, NULL, NULL, 15),
(75500, NULL, 'PTHR48106:SF6', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE SUPERFAMILY, ZINC-TYPE-RELATED', NULL, NULL, NULL, 15),
(75501, NULL, 'PTHR36004:SF1', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(75502, NULL, 'PTHR13152:SF0', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIH SUBUNIT 4', NULL, NULL, NULL, 15),
(75503, NULL, 'PTHR11590:SF70', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(75504, NULL, 'PTHR15653', NULL, NULL, NULL, NULL, 'STRIATIN', NULL, NULL, NULL, 15),
(75505, NULL, 'PTHR11825', NULL, NULL, NULL, NULL, 'SUBGROUP IIII AMINOTRANSFERASE', NULL, NULL, 5967, 15),
(75506, NULL, 'PTHR45432:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75507, NULL, 'PTHR35179:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75508, NULL, 'PTHR43806:SF46', NULL, NULL, NULL, NULL, 'CLAN SB, FAMILY S8, SUBTILISIN-LIKE SERINE PEPTIDASE', NULL, NULL, NULL, 15),
(75509, NULL, 'PTHR47864:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(75510, NULL, 'PTHR28242:SF7', NULL, NULL, NULL, NULL, 'CONTAINING PHOSPHOTRANSFER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75511, NULL, 'PTHR42721:SF2', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 7-RELATED', NULL, NULL, NULL, 15),
(75512, NULL, 'PTHR24361:SF735', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 1', NULL, NULL, NULL, 15),
(75513, NULL, 'PTHR24221:SF545', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(75514, NULL, 'PTHR32493', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(75515, NULL, 'PTHR30363:SF46', NULL, NULL, NULL, NULL, 'DEOR FAMILY REGULATORY PROTEINS', NULL, NULL, NULL, 15),
(75516, NULL, 'PTHR47273:SF14', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 12-LIKE', NULL, NULL, NULL, 15),
(75517, NULL, 'PTHR23406:SF72', NULL, NULL, NULL, NULL, 'MALIC ENZYME', NULL, NULL, NULL, 15),
(75518, NULL, 'PTHR43539:SF52', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(75519, NULL, 'PTHR31286:SF57', NULL, NULL, NULL, NULL, 'BNAC03G65670D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75520, NULL, 'PTHR13935:SF46', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE COMPLEX PROTEIN T8', NULL, NULL, NULL, 15),
(75521, NULL, 'PTHR36498', NULL, NULL, NULL, NULL, 'TATA-BINDING PROTEIN-ASSOCIATED FACTOR 172', NULL, NULL, 38219, 15),
(75522, NULL, 'PTHR10264:SF83', NULL, NULL, NULL, NULL, 'SLL0815 PROTEIN', NULL, NULL, NULL, 15),
(75523, NULL, 'PTHR23350:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TOPORS', NULL, NULL, NULL, 15),
(75524, NULL, 'PTHR45633:SF41', NULL, NULL, NULL, NULL, '60 KDA CHAPERONIN 2', NULL, NULL, NULL, 15),
(75525, NULL, 'PTHR48054:SF5', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21', NULL, NULL, NULL, 15),
(75526, NULL, 'PTHR43836:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN', NULL, NULL, NULL, 15),
(75527, NULL, 'PTHR11210:SF53', NULL, NULL, NULL, NULL, 'RING-BOX 1', NULL, NULL, NULL, 15),
(75528, NULL, 'PTHR22426:SF1', NULL, NULL, NULL, NULL, 'LYSINE-RICH NUCLEOLAR PROTEIN 1', NULL, NULL, NULL, 15),
(75529, NULL, 'PTHR13999:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75530, NULL, 'PTHR13353:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 19', NULL, NULL, NULL, 15),
(75531, NULL, 'PTHR26452:SF799', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(75532, NULL, 'PTHR19375:SF432', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE PROTEIN 70-1-RELATED', NULL, NULL, NULL, 15),
(75533, NULL, 'PTHR22957:SF2', NULL, NULL, NULL, NULL, 'RUN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(75534, NULL, 'PTHR35499', NULL, NULL, NULL, NULL, 'OS05G0128300 PROTEIN', NULL, NULL, NULL, 15),
(75535, NULL, 'PTHR45974:SF144', NULL, NULL, NULL, NULL, 'OS01G0960400 PROTEIN', NULL, NULL, NULL, 15),
(75536, NULL, 'PTHR11675:SF109', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINYLTRANSFERASE 9-RELATED', NULL, NULL, NULL, 15),
(75537, NULL, 'PTHR31415:SF9', NULL, NULL, NULL, NULL, 'OS05G0367900 PROTEIN', NULL, NULL, NULL, 15),
(75538, NULL, 'PTHR37612:SF8', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1.0-LIKE', NULL, NULL, NULL, 15),
(75539, NULL, 'PTHR23501:SF3', NULL, NULL, NULL, NULL, 'SIDEROPHORE IRON TRANSPORTER', NULL, NULL, NULL, 15),
(75540, NULL, 'PTHR23260:SF5', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 3-2', NULL, NULL, NULL, 15),
(75541, NULL, 'PTHR27006:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75542, NULL, 'PTHR15633:SF2', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 11', NULL, NULL, NULL, 15),
(75543, NULL, 'PTHR10836:SF115', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE (EUROFUNG)', NULL, NULL, NULL, 15),
(75544, NULL, 'PTHR11817:SF80', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(75545, NULL, 'PTHR45717:SF45', NULL, NULL, NULL, NULL, 'OS12G0527900 PROTEIN', NULL, NULL, NULL, 15),
(75546, NULL, 'PTHR13878:SF128', NULL, NULL, NULL, NULL, 'FAD/FMN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(75547, NULL, 'PTHR16184', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 6', NULL, NULL, 16416, 15),
(75548, NULL, 'PTHR20981:SF28', NULL, NULL, NULL, NULL, 'BNAA08G26210D PROTEIN', NULL, NULL, NULL, 15),
(75549, NULL, 'PTHR45633:SF35', NULL, NULL, NULL, NULL, 'BNAA03G48200D PROTEIN', NULL, NULL, NULL, 15),
(75550, NULL, 'PTHR11183:SF151', NULL, NULL, NULL, NULL, 'PROTEIN CBG07620', NULL, NULL, NULL, 15),
(75551, NULL, 'PTHR43082:SF3', NULL, NULL, NULL, NULL, 'FERREDOXIN-LIKE PROTEIN YDIT', NULL, NULL, NULL, 15),
(75552, NULL, 'PTHR46652:SF5', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN 97', NULL, NULL, NULL, 15),
(75553, NULL, 'PTHR47992:SF57', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 72-RELATED', NULL, NULL, NULL, 15),
(75554, NULL, 'PTHR47684:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TONSOKU', NULL, NULL, NULL, 15),
(75555, NULL, 'PTHR11732:SF454', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL NADPH-DEPENDENT CODEINONE REDUCTASE 2-LIKE', NULL, NULL, NULL, 15),
(75556, NULL, 'PTHR37870', NULL, NULL, NULL, NULL, 'CHROMOSOME 1 OPEN READING FRAME 54', NULL, NULL, 25350, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75557, NULL, 'PTHR45676:SF132', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3', NULL, NULL, NULL, 15),
(75558, NULL, 'PTHR31696:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75559, NULL, 'PTHR24241:SF168', NULL, NULL, NULL, NULL, 'AGAP001379-PA', NULL, NULL, NULL, 15),
(75560, NULL, 'PTHR12000:SF43', NULL, NULL, NULL, NULL, 'BNACNNG42290D PROTEIN', NULL, NULL, NULL, 15),
(75561, NULL, 'PTHR34315', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75562, NULL, 'PTHR33825:SF14', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(75563, NULL, 'PTHR47079', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(75564, NULL, 'PTHR42052', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75565, NULL, 'PTHR47872:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR SDE5-RELATED', NULL, NULL, NULL, 15),
(75566, NULL, 'PTHR27008:SF435', NULL, NULL, NULL, NULL, 'BNAA05G13290D PROTEIN', NULL, NULL, NULL, 15),
(75567, NULL, 'PTHR12170:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN TRANSFERASE RMND5A', NULL, NULL, NULL, 15),
(75568, NULL, 'PTHR21054', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE-RELATED', NULL, NULL, NULL, 15),
(75569, NULL, 'PTHR31692:SF94', NULL, NULL, NULL, NULL, 'BETA-EXPANSIN 1A', NULL, NULL, NULL, 15),
(75570, NULL, 'PTHR36205', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, 20081, 15),
(75571, NULL, 'PTHR24068:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75572, NULL, 'PTHR47334', NULL, NULL, NULL, NULL, 'SPLICING FACTOR PWI DOMAIN-CONTAINING PROTEIN / RNA RECOGNITION MOTIF (RRM)-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(75573, NULL, 'PTHR16011:SF0', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 57 HOMOLOG', NULL, NULL, NULL, 15),
(75574, NULL, 'PTHR35517', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE SFM1', NULL, NULL, 5521, 15),
(75575, NULL, 'PTHR32176:SF73', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(75576, NULL, 'PTHR26450:SF45', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52E2', NULL, NULL, NULL, 15),
(75577, NULL, 'PTHR14063:SF4', NULL, NULL, NULL, NULL, 'PROTEIN LIN-7 HOMOLOG A', NULL, NULL, NULL, 15),
(75578, NULL, 'PTHR39415', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 27', NULL, NULL, 29944, 15),
(75579, NULL, 'PTHR11227:SF29', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75580, NULL, 'PTHR34672:SF2', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 23', NULL, NULL, NULL, 15),
(75581, NULL, 'PTHR33673:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75582, NULL, 'PTHR11946:SF109', NULL, NULL, NULL, NULL, 'VALINE--TRNA LIGASE, MITOCHONDRIAL 1', NULL, NULL, NULL, 15),
(75583, NULL, 'PTHR22810:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING AND SPERMATID-SPECIFIC PROTEIN 1', NULL, NULL, NULL, 15),
(75584, NULL, 'PTHR27006:SF327', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75585, NULL, 'PTHR31232:SF27', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 8-RELATED', NULL, NULL, NULL, 15),
(75586, NULL, 'PTHR43471:SF8', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN NOSY-RELATED', NULL, NULL, NULL, 15),
(75587, NULL, 'PTHR22826:SF203', NULL, NULL, NULL, NULL, 'AGAP011560-PA', NULL, NULL, NULL, 15),
(75588, NULL, 'PTHR11814:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75589, NULL, 'PTHR31304:SF46', NULL, NULL, NULL, NULL, 'LOB DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(75590, NULL, 'PTHR14873:SF1', NULL, NULL, NULL, NULL, 'OS06G0694100 PROTEIN', NULL, NULL, NULL, 15),
(75591, NULL, 'PTHR47338:SF6', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(75592, NULL, 'PTHR31072:SF85', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP23-LIKE', NULL, NULL, NULL, 15),
(75593, NULL, 'PTHR47416:SF10', NULL, NULL, NULL, NULL, 'BNAC04G56770D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75594, NULL, 'PTHR32089:SF70', NULL, NULL, NULL, NULL, 'ENERGY TAXIS MODULATING METHYL ACCEPTING SENSORY TRANSDUCER', NULL, NULL, NULL, 15),
(75595, NULL, 'PTHR11863:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75596, NULL, 'PTHR46957:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL PHOSPHATASE PTPRQ', NULL, NULL, NULL, 15),
(75597, NULL, 'PTHR40705:SF1', NULL, NULL, NULL, NULL, 'TRNA(ILE2) 2-AGMATINYLCYTIDINE SYNTHETASE TIAS', NULL, NULL, NULL, 15),
(75598, NULL, 'PTHR31681:SF84', NULL, NULL, NULL, NULL, 'BNAC03G58950D PROTEIN', NULL, NULL, NULL, 15),
(75599, NULL, 'PTHR11348:SF3', NULL, NULL, NULL, NULL, 'CELLULAR COMMUNICATION NETWORK FACTOR 6', NULL, NULL, NULL, 15),
(75600, NULL, 'PTHR14233:SF11', NULL, NULL, NULL, NULL, 'CRT HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(75601, NULL, 'PTHR31302:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75602, NULL, 'PTHR31589:SF95', NULL, NULL, NULL, NULL, 'BNAC04G22520D PROTEIN', NULL, NULL, NULL, 15),
(75603, NULL, 'PTHR45707:SF34', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75604, NULL, 'PTHR40132', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75605, NULL, 'PTHR31429:SF64', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', NULL, NULL, NULL, 15),
(75606, NULL, 'PTHR22750:SF20', NULL, NULL, NULL, NULL, 'SPHINGOSINE 1-PHOSPHATE RECEPTOR 5', NULL, NULL, NULL, 15),
(75607, NULL, 'PTHR45728:SF7', NULL, NULL, NULL, NULL, 'BNAC06G01580D PROTEIN', NULL, NULL, NULL, 15),
(75608, NULL, 'PTHR12113', NULL, NULL, NULL, NULL, 'DICKKOPF3-LIKE 3', NULL, NULL, 29509, 15),
(75609, NULL, 'PTHR24055:SF422', NULL, NULL, NULL, NULL, 'SYNTHASE KINASE-3 ALPHA, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75610, NULL, 'PTHR24180:SF26', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 39', NULL, NULL, NULL, 15),
(75611, NULL, 'PTHR45718:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR CUBITUS INTERRUPTUS', NULL, NULL, NULL, 15),
(75612, NULL, 'PTHR24042:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C-BINDING PROTEIN NELL1', NULL, NULL, NULL, 15),
(75613, NULL, 'PTHR48063:SF33', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75614, NULL, 'PTHR45637:SF76', NULL, NULL, NULL, NULL, 'RHO-ASSOCIATED PROTEIN KINASE 1/2-RELATED', NULL, NULL, NULL, 15),
(75615, NULL, 'PTHR12537:SF125', NULL, NULL, NULL, NULL, 'OS05G0109600 PROTEIN', NULL, NULL, NULL, 15),
(75616, NULL, 'PTHR24270:SF24', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR CLASS A DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(75617, NULL, 'PTHR46163:SF12', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(75618, NULL, 'PTHR12136:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75619, NULL, 'PTHR11945:SF521', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 48', NULL, NULL, NULL, 15),
(75620, NULL, 'PTHR43574:SF48', NULL, NULL, NULL, NULL, 'BNAA01G06610D PROTEIN', NULL, NULL, NULL, 15),
(75621, NULL, 'PTHR22937:SF162', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(75622, NULL, 'PTHR24403:SF60', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 407', NULL, NULL, NULL, 15),
(75623, NULL, 'PTHR47746:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75624, NULL, 'PTHR45744:SF30', NULL, NULL, NULL, NULL, 'BNAA03G46060D PROTEIN', NULL, NULL, NULL, 15),
(75625, NULL, 'PTHR37188:SF2', NULL, NULL, NULL, NULL, 'BNAA05G13940D PROTEIN', NULL, NULL, NULL, 15),
(75626, NULL, 'PTHR31865:SF4', NULL, NULL, NULL, NULL, 'OS01G0898800 PROTEIN', NULL, NULL, NULL, 15),
(75627, NULL, 'PTHR45824:SF19', NULL, NULL, NULL, NULL, 'BNAA09G30820D PROTEIN', NULL, NULL, NULL, 15),
(75628, NULL, 'PTHR46153:SF2', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(75629, NULL, 'PTHR33203:SF44', NULL, NULL, NULL, NULL, 'OLEOSIN 5', NULL, NULL, NULL, 15),
(75630, NULL, 'PTHR12649:SF19', NULL, NULL, NULL, NULL, 'OSJNBA0060D06.11 PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75631, NULL, 'PTHR35127:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75632, NULL, 'PTHR44329:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75633, NULL, 'PTHR24020:SF56', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE VI ALPHA 6 CHAIN', NULL, NULL, NULL, 15),
(75634, NULL, 'PTHR11909:SF304', NULL, NULL, NULL, NULL, 'INACTIVE TAU-TUBULIN KINASE TTBK-6-RELATED', NULL, NULL, NULL, 15),
(75635, NULL, 'PTHR24320:SF176', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE TIC 32, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(75636, NULL, 'PTHR46444:SF3', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(75637, NULL, 'PTHR24221:SF468', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', NULL, NULL, NULL, 15),
(75638, NULL, 'PTHR10574:SF262', NULL, NULL, NULL, NULL, 'NETRIN-5-RELATED', NULL, NULL, NULL, 15),
(75639, NULL, 'PTHR46336:SF18', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN POB1', NULL, NULL, NULL, 15),
(75640, NULL, 'PTHR10795:SF663', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75641, NULL, 'PTHR23502:SF68', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01120)-RELATED', NULL, NULL, NULL, 15),
(75642, NULL, 'PTHR18945:SF446', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE-GATED CHLORIDE CHANNEL SUBUNIT ACC-3', NULL, NULL, NULL, 15),
(75643, NULL, 'PTHR32141:SF67', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(75644, NULL, 'PTHR11706:SF94', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAT1-RELATED', NULL, NULL, NULL, 15),
(75645, NULL, 'PTHR46446:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE3', NULL, NULL, NULL, 15),
(75646, NULL, 'PTHR31623:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75647, NULL, 'PTHR48094:SF4', NULL, NULL, NULL, NULL, 'PROTEIN DJ-1 HOMOLOG A', NULL, NULL, NULL, 15),
(75648, NULL, 'PTHR21090:SF27', NULL, NULL, NULL, NULL, 'QUINATE REPRESSOR PROTEIN', NULL, NULL, NULL, 15),
(75649, NULL, 'PTHR45809:SF7', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75650, NULL, 'PTHR43570:SF23', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(75651, NULL, 'PTHR27007:SF202', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VIII.2', NULL, NULL, NULL, 15),
(75652, NULL, 'PTHR10340:SF25', NULL, NULL, NULL, NULL, 'ACID SPHINGOMYELINASE-LIKE PHOSPHODIESTERASE 3B', NULL, NULL, NULL, 15),
(75653, NULL, 'PTHR12210:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75654, NULL, 'PTHR43133:SF10', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGG', NULL, NULL, NULL, 15),
(75655, NULL, 'PTHR32370:SF95', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(75656, NULL, 'PTHR23500:SF430', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 9', NULL, NULL, NULL, 15),
(75657, NULL, 'PTHR33179:SF55', NULL, NULL, NULL, NULL, 'OS09G0370500 PROTEIN', NULL, NULL, NULL, 15),
(75658, NULL, 'PTHR11662:SF407', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75659, NULL, 'PTHR31544:SF9', NULL, NULL, NULL, NULL, 'AIG2-LIKE PROTEIN C', NULL, NULL, NULL, 15),
(75660, NULL, 'PTHR27006:SF396', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(75661, NULL, 'PTHR43447:SF37', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 1', NULL, NULL, NULL, 15),
(75662, NULL, 'PTHR31375:SF213', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', NULL, NULL, NULL, 15),
(75663, NULL, 'PTHR11461:SF51', NULL, NULL, NULL, NULL, 'SERPIN I2', NULL, NULL, NULL, 15),
(75664, NULL, 'PTHR23349:SF104', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 23', NULL, NULL, NULL, 15),
(75665, NULL, 'PTHR45703:SF19', NULL, NULL, NULL, NULL, 'DYNEIN CYTOPLASMIC 2 HEAVY CHAIN 1', NULL, NULL, NULL, 15),
(75666, NULL, 'PTHR43520:SF19', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE PAA2, CHLOROPLASTIC', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75667, NULL, 'PTHR10345:SF0', NULL, NULL, NULL, NULL, 'BONE SIALOPROTEIN 2', NULL, NULL, NULL, 15),
(75668, NULL, 'PTHR47928:SF169', NULL, NULL, NULL, NULL, 'OS03G0169300 PROTEIN', NULL, NULL, NULL, 15),
(75669, NULL, 'PTHR48070:SF6', NULL, NULL, NULL, NULL, 'ESTERASE OVCA2', NULL, NULL, NULL, 15),
(75670, NULL, 'PTHR35201:SF2', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE', NULL, NULL, NULL, 15),
(75671, NULL, 'PTHR24381:SF269', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 398', NULL, NULL, NULL, 15),
(75672, NULL, 'PTHR33167:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(75673, NULL, 'PTHR31218:SF257', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(75674, NULL, 'PTHR46686', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(75675, NULL, 'PTHR43662:SF12', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02100)-RELATED', NULL, NULL, NULL, 15),
(75676, NULL, 'PTHR22814:SF326', NULL, NULL, NULL, NULL, 'BNAA03G01350D PROTEIN', NULL, NULL, NULL, 15),
(75677, NULL, 'PTHR43939:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75678, NULL, 'PTHR11346:SF49', NULL, NULL, NULL, NULL, 'GALAPTIN LEC-7-RELATED', NULL, NULL, NULL, 15),
(75679, NULL, 'PTHR43386:SF2', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN OPPC', NULL, NULL, NULL, 15),
(75680, NULL, 'PTHR45621:SF158', NULL, NULL, NULL, NULL, 'BNAA06G35600D PROTEIN', NULL, NULL, NULL, 15),
(75681, NULL, 'PTHR24298:SF840', NULL, NULL, NULL, NULL, 'P450, FAMILY 81, SUBFAMILY D, POLYPEPTIDE 8, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75682, NULL, 'PTHR32002:SF57', NULL, NULL, NULL, NULL, 'BNAC03G65290D PROTEIN', NULL, NULL, NULL, 15),
(75683, NULL, 'PTHR31787:SF3', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN H', NULL, NULL, NULL, 15),
(75684, NULL, 'PTHR10605:SF62', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE GLUCOSAMINE 3-O-SULFOTRANSFERASE 6', NULL, NULL, NULL, 15),
(75685, NULL, 'PTHR12378:SF6', NULL, NULL, NULL, NULL, 'DEUBIQUITINASE DESI2', NULL, NULL, NULL, 15),
(75686, NULL, 'PTHR22050:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 131', NULL, NULL, NULL, 15),
(75687, NULL, 'PTHR27002:SF18', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(75688, NULL, 'PTHR32370:SF138', NULL, NULL, NULL, NULL, 'BNAUNNG00030D PROTEIN', NULL, NULL, NULL, 15),
(75689, NULL, 'PTHR21245', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN', NULL, NULL, NULL, 15),
(75690, NULL, 'PTHR45800:SF11', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 7', NULL, NULL, NULL, 15),
(75691, NULL, 'PTHR48043:SF75', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(75692, NULL, 'PTHR47933:SF20', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED SALT-INDUCIBLE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(75693, NULL, 'PTHR47020:SF1', NULL, NULL, NULL, NULL, 'HILLARIN', NULL, NULL, NULL, 15),
(75694, NULL, 'PTHR45926:SF27', NULL, NULL, NULL, NULL, 'BROMODOMAIN, NET DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75695, NULL, 'PTHR31113:SF13', NULL, NULL, NULL, NULL, 'BNACNNG26390D PROTEIN', NULL, NULL, NULL, 15),
(75696, NULL, 'PTHR11686:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75697, NULL, 'PTHR31083:SF21', NULL, NULL, NULL, NULL, 'PROTEIN UPSTREAM OF FLC-LIKE', NULL, NULL, NULL, 15),
(75698, NULL, 'PTHR13126:SF0', NULL, NULL, NULL, NULL, 'ATP SYNTHASE MITOCHONDRIAL F1 COMPLEX ASSEMBLY FACTOR 1', NULL, NULL, NULL, 15),
(75699, NULL, 'PTHR31471:SF3', NULL, NULL, NULL, NULL, 'OS11G0616300 PROTEIN', NULL, NULL, NULL, 15),
(75700, NULL, 'PTHR31374:SF238', NULL, NULL, NULL, NULL, 'BNACNNG20020D PROTEIN', NULL, NULL, NULL, 15),
(75701, NULL, 'PTHR45617:SF108', NULL, NULL, NULL, NULL, 'CONNECTIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(75702, NULL, 'PTHR48018:SF80', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(75703, NULL, 'PTHR18860:SF89', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75704, NULL, 'PTHR21580:SF25', NULL, NULL, NULL, NULL, 'PROTEIN STPG3', NULL, NULL, NULL, 15),
(75705, NULL, 'PTHR45792:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75706, NULL, 'PTHR12302:SF12', NULL, NULL, NULL, NULL, 'STAPHYLOCOCCAL-LIKE NUCLEASE CAN2', NULL, NULL, NULL, 15),
(75707, NULL, 'PTHR32018:SF24', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-RELATED', NULL, NULL, NULL, 15),
(75708, NULL, 'PTHR48001:SF82', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(75709, NULL, 'PTHR33021:SF49', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 21', NULL, NULL, NULL, 15),
(75710, NULL, 'PTHR31662:SF42', NULL, NULL, NULL, NULL, 'TYROSINE SPECIFIC PROTEIN PHOSPHATASE-LIKE', NULL, NULL, NULL, 15),
(75711, NULL, 'PTHR45715:SF18', NULL, NULL, NULL, NULL, 'ARCHAEAL/VACUOLAR-TYPE H+-ATPASE SUBUNIT E', NULL, NULL, NULL, 15),
(75712, NULL, 'PTHR24322:SF341', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY 16C MEMBER 6', NULL, NULL, NULL, 15),
(75713, NULL, 'PTHR34300', NULL, NULL, NULL, NULL, 'QUEUOSINE PRECURSOR TRANSPORTER-RELATED', NULL, NULL, 2350, 15),
(75714, NULL, 'PTHR12947:SF17', NULL, NULL, NULL, NULL, 'AMSH-LIKE UBIQUITIN THIOESTERASE 3', NULL, NULL, NULL, 15),
(75715, NULL, 'PTHR36697', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', NULL, NULL, 26276, 15),
(75716, NULL, 'PTHR47925:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75717, NULL, 'PTHR33021:SF255', NULL, NULL, NULL, NULL, 'UCLACYANIN 1', NULL, NULL, NULL, 15),
(75718, NULL, 'PTHR31500:SF97', NULL, NULL, NULL, NULL, 'PPC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75719, NULL, 'PTHR32246', NULL, NULL, NULL, NULL, 'INGRESSION PROTEIN FIC1', NULL, NULL, NULL, 15),
(75720, NULL, 'PTHR24064:SF464', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75721, NULL, 'PTHR30540:SF85', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 9', NULL, NULL, NULL, 15),
(75722, NULL, 'PTHR10196:SF40', NULL, NULL, NULL, NULL, 'FI03690P', NULL, NULL, NULL, 15),
(75723, NULL, 'PTHR21497:SF52', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(75724, NULL, 'PTHR33470:SF29', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(75725, NULL, 'PTHR35610', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE-RELATED', NULL, NULL, NULL, 15),
(75726, NULL, 'PTHR14155:SF510', NULL, NULL, NULL, NULL, 'OS06G0535900 PROTEIN', NULL, NULL, NULL, 15),
(75727, NULL, 'PTHR12203:SF106', NULL, NULL, NULL, NULL, 'DOWNSTREAM TARGET OF AGL15 2', NULL, NULL, NULL, 15),
(75728, NULL, 'PTHR38149', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 18675, 15),
(75729, NULL, 'PTHR37482', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN ASSEMBLY FACTOR BAME', NULL, NULL, 28916, 15),
(75730, NULL, 'PTHR32077:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75731, NULL, 'PTHR24379:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 441', NULL, NULL, NULL, 15),
(75732, NULL, 'PTHR47325', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUVR5', NULL, NULL, NULL, 15),
(75733, NULL, 'PTHR48017:SF119', NULL, NULL, NULL, NULL, 'GABA TRANSPORTER 1', NULL, NULL, NULL, 15),
(75734, NULL, 'PTHR31793:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75735, NULL, 'PTHR48047:SF75', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(75736, NULL, 'PTHR15735', NULL, NULL, NULL, NULL, 'FCH AND DOUBLE SH3 DOMAINS PROTEIN', NULL, NULL, NULL, 15),
(75737, NULL, 'PTHR24282:SF207', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(75738, NULL, 'PTHR33143:SF2', NULL, NULL, NULL, NULL, 'OS06G0603300 PROTEIN', NULL, NULL, NULL, 15),
(75739, NULL, 'PTHR12829', NULL, NULL, NULL, NULL, 'N6-ADENOSINE-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(75740, NULL, 'PTHR33124:SF16', NULL, NULL, NULL, NULL, 'OS02G0178700 PROTEIN', NULL, NULL, NULL, 15),
(75741, NULL, 'PTHR32054:SF60', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 2', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75742, NULL, 'PTHR23097:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75743, NULL, 'PTHR36732', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75744, NULL, 'PTHR43670:SF56', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 2-LIKE', NULL, NULL, NULL, 15),
(75745, NULL, 'PTHR33070:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75746, NULL, 'PTHR47493:SF3', NULL, NULL, NULL, NULL, 'BNAC09G53180D PROTEIN', NULL, NULL, NULL, 15),
(75747, NULL, 'PTHR42897', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE SUBUNIT PORB', NULL, NULL, NULL, 15),
(75748, NULL, 'PTHR11528:SF108', NULL, NULL, NULL, NULL, 'BNAANNG22000D PROTEIN', NULL, NULL, NULL, 15),
(75749, NULL, 'PTHR11848:SF130', NULL, NULL, NULL, NULL, 'INHIBIN BETA C CHAIN', NULL, NULL, NULL, 15),
(75750, NULL, 'PTHR23507:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75751, NULL, 'PTHR34223:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75752, NULL, 'PTHR21495:SF176', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(75753, NULL, 'PTHR31722:SF0', NULL, NULL, NULL, NULL, 'OS06G0675200 PROTEIN', NULL, NULL, NULL, 15),
(75754, NULL, 'PTHR12349:SF3', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC5', NULL, NULL, NULL, 15),
(75755, NULL, 'PTHR47925:SF71', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(75756, NULL, 'PTHR45707:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75757, NULL, 'PTHR46525:SF13', NULL, NULL, NULL, NULL, 'SENESCENCE REGULATOR S40-RELATED', NULL, NULL, NULL, 15),
(75758, NULL, 'PTHR46168', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 4', NULL, NULL, NULL, 15),
(75759, NULL, 'PTHR11236:SF43', NULL, NULL, NULL, NULL, 'SYNTHASE COMPONENT I, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75760, NULL, 'PTHR10791:SF152', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(75761, NULL, 'PTHR26453:SF5', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(75762, NULL, 'PTHR31218:SF201', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(75763, NULL, 'PTHR11547:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75764, NULL, 'PTHR23039:SF6', NULL, NULL, NULL, NULL, 'SIMILAR TO MKIAA1522 PROTEIN', NULL, NULL, NULL, 15),
(75765, NULL, 'PTHR31696:SF62', NULL, NULL, NULL, NULL, 'OS08G0476600 PROTEIN', NULL, NULL, NULL, 15),
(75766, NULL, 'PTHR48043:SF27', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(75767, NULL, 'PTHR34671:SF20', NULL, NULL, NULL, NULL, 'EM-LIKE PROTEIN GEA1', NULL, NULL, NULL, 15),
(75768, NULL, 'PTHR47405:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(75769, NULL, 'PTHR45830:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(75770, NULL, 'PTHR39398', NULL, NULL, NULL, NULL, 'YALI0F14311P', NULL, NULL, NULL, 15),
(75771, NULL, 'PTHR34875:SF5', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM TRANSCRIPTIONAL REPRESSOR', NULL, NULL, NULL, 15),
(75772, NULL, 'PTHR13318:SF142', NULL, NULL, NULL, NULL, 'BNAA10G30250D PROTEIN', NULL, NULL, NULL, 15),
(75773, NULL, 'PTHR36351:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75774, NULL, 'PTHR48053:SF65', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(75775, NULL, 'PTHR36448:SF2', NULL, NULL, NULL, NULL, 'BLR7373 PROTEIN', NULL, NULL, NULL, 15),
(75776, NULL, 'PTHR47981:SF1', NULL, NULL, NULL, NULL, 'RE17845P', NULL, NULL, NULL, 15),
(75777, NULL, 'PTHR11177:SF349', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75778, NULL, 'PTHR43566:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL ATPASE', NULL, NULL, NULL, 15),
(75779, NULL, 'PTHR33782:SF25', NULL, NULL, NULL, NULL, 'BNAA08G31340D PROTEIN', NULL, NULL, NULL, 15),
(75780, NULL, 'PTHR11214:SF135', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75781, NULL, 'PTHR46468:SF4', NULL, NULL, NULL, NULL, 'BNAA10G29630D PROTEIN', NULL, NULL, NULL, 15),
(75782, NULL, 'PTHR10693:SF20', NULL, NULL, NULL, NULL, 'AT27578P', NULL, NULL, NULL, 15),
(75783, NULL, 'PTHR15352', NULL, NULL, NULL, NULL, 'LYMPHOID-RESTRICTED MEMBRANE PROTEIN, JAW1', NULL, NULL, 13081, 15),
(75784, NULL, 'PTHR48004:SF36', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT FAMILY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(75785, NULL, 'PTHR28039:SF12', NULL, NULL, NULL, NULL, 'CHALCONE-FLAVONONE ISOMERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(75786, NULL, 'PTHR24049:SF18', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', NULL, NULL, 35358, 15),
(75787, NULL, 'PTHR24381:SF354', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 135', NULL, NULL, NULL, 15),
(75788, NULL, 'PTHR24112:SF44', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(75789, NULL, 'PTHR48049:SF29', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 78D1-RELATED', NULL, NULL, NULL, 15),
(75790, NULL, 'PTHR44329:SF41', NULL, NULL, NULL, NULL, 'OS12G0163800 PROTEIN', NULL, NULL, NULL, 15),
(75791, NULL, 'PTHR47991:SF122', NULL, NULL, NULL, NULL, 'BNAC09G54110D PROTEIN', NULL, NULL, NULL, 15),
(75792, NULL, 'PTHR39556:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75793, NULL, 'PTHR31118:SF19', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(75794, NULL, 'PTHR11439:SF270', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', NULL, NULL, NULL, 15),
(75795, NULL, 'PTHR24347:SF384', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE II SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(75796, NULL, 'PTHR34546', NULL, NULL, NULL, NULL, 'OS06G0153600 PROTEIN', NULL, NULL, NULL, 15),
(75797, NULL, 'PTHR18896:SF154', NULL, NULL, NULL, NULL, 'OS03G0840800 PROTEIN', NULL, NULL, NULL, 15),
(75798, NULL, 'PTHR11525:SF17', NULL, NULL, NULL, NULL, 'FARNESYL PYROPHOSPHATE SYNTHASE 1-LIKE', NULL, NULL, NULL, 15),
(75799, NULL, 'PTHR10057:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75800, NULL, 'PTHR48139', NULL, NULL, NULL, NULL, 'SI:DKEY-56M19.5', NULL, NULL, NULL, 15),
(75801, NULL, 'PTHR33286', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(75802, NULL, 'PTHR31267:SF3', NULL, NULL, NULL, NULL, 'OS03G0756700 PROTEIN', NULL, NULL, NULL, 15),
(75803, NULL, 'PTHR23259:SF58', NULL, NULL, NULL, NULL, 'PROTEIN CBG06778', NULL, NULL, NULL, 15),
(75804, NULL, 'PTHR19375:SF436', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 5', NULL, NULL, NULL, 15),
(75805, NULL, 'PTHR26453:SF589', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1A1', NULL, NULL, NULL, 15),
(75806, NULL, 'PTHR22870:SF385', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PROTEIN PFF1365C-RELATED', NULL, NULL, NULL, 15),
(75807, NULL, 'PTHR27005:SF271', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL PSEUDOKINASE ZED1-LIKE', NULL, NULL, NULL, 15),
(75808, NULL, 'PTHR23065:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75809, NULL, 'PTHR27007:SF29', NULL, NULL, NULL, NULL, 'OS07G0283050 PROTEIN', NULL, NULL, NULL, 15),
(75810, NULL, 'PTHR45965:SF3', NULL, NULL, NULL, NULL, 'INACTIVE RHOMBOID PROTEIN 1', NULL, NULL, NULL, 15),
(75811, NULL, 'PTHR31669:SF184', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 11', NULL, NULL, NULL, 15),
(75812, NULL, 'PTHR46717', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF180', NULL, NULL, 31720, 15),
(75813, NULL, 'PTHR32175:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75814, NULL, 'PTHR47933', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(75815, NULL, 'PTHR37198:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(75816, NULL, 'PTHR34591:SF14', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75817, NULL, 'PTHR48002:SF82', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(75818, NULL, 'PTHR11229', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L3', NULL, NULL, 15368, 15),
(75819, NULL, 'PTHR43294:SF15', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA-3', NULL, NULL, NULL, 15),
(75820, NULL, 'PTHR11937:SF167', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN 7A', NULL, NULL, 26049, 15),
(75821, NULL, 'PTHR24377:SF36', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 140', NULL, NULL, NULL, 15),
(75822, NULL, 'PTHR43173', NULL, NULL, NULL, NULL, 'ABC1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(75823, NULL, 'PTHR32099:SF57', NULL, NULL, NULL, NULL, 'OS07G0540600 PROTEIN', NULL, NULL, NULL, 15),
(75824, NULL, 'PTHR20955:SF1', NULL, NULL, NULL, NULL, 'PROTEIN JAGUNAL HOMOLOG 1', NULL, NULL, NULL, 15),
(75825, NULL, 'PTHR11945:SF672', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', NULL, NULL, NULL, 15),
(75826, NULL, 'PTHR24320:SF197', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(75827, NULL, 'PTHR12283:SF2', NULL, NULL, NULL, NULL, 'PEPTIDE HYDROLASE', NULL, NULL, NULL, 15),
(75828, NULL, 'PTHR22702', NULL, NULL, NULL, NULL, 'PROTEASE-ASSOCIATED DOMAIN-CONTAINING PROTEIN', NULL, NULL, 38501, 15),
(75829, NULL, 'PTHR24409', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 142', NULL, NULL, NULL, 15),
(75830, NULL, 'PTHR35116:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75831, NULL, 'PTHR31509:SF112', NULL, NULL, NULL, NULL, 'BNAA07G03180D PROTEIN', NULL, NULL, NULL, 15),
(75832, NULL, 'PTHR10660', NULL, NULL, NULL, NULL, 'PROTEASOME REGULATOR PA28', NULL, NULL, 6152, 15),
(75833, NULL, 'PTHR23064:SF32', NULL, NULL, NULL, NULL, 'CALTRACTIN ICL1F', NULL, NULL, NULL, 15),
(75834, NULL, 'PTHR19305:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75835, NULL, 'PTHR22930:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75836, NULL, 'PTHR11685:SF250', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(75837, NULL, 'PTHR39517', NULL, NULL, NULL, NULL, 'SLL0192 PROTEIN', NULL, NULL, 17301, 15),
(75838, NULL, 'PTHR24034:SF87', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED-PROTEIN 13', NULL, NULL, NULL, 15),
(75839, NULL, 'PTHR37610:SF33', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN, GAG-PRE-INTEGRASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75840, NULL, 'PTHR23070:SF88', NULL, NULL, NULL, NULL, 'BNAANNG18700D PROTEIN', NULL, NULL, NULL, 15),
(75841, NULL, 'PTHR11945:SF654', NULL, NULL, NULL, NULL, 'VEGETATIVE CELL WALL PROTEIN GP1-LIKE', NULL, NULL, NULL, 15),
(75842, NULL, 'PTHR27000:SF713', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75843, NULL, 'PTHR10177:SF488', NULL, NULL, NULL, NULL, 'BNAC03G77070D PROTEIN', NULL, NULL, NULL, 15),
(75844, NULL, 'PTHR45667:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(75845, NULL, 'PTHR16064:SF3', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(75846, NULL, 'PTHR32295:SF107', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 31-LIKE', NULL, NULL, NULL, 15),
(75847, NULL, 'PTHR13402:SF20', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16A HOMOLOG', NULL, NULL, NULL, 15),
(75848, NULL, 'PTHR31867:SF142', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(75849, NULL, 'PTHR45648:SF17', NULL, NULL, NULL, NULL, 'GSDL-MOTIF PROTEIN LIPASE', NULL, NULL, NULL, 15),
(75850, NULL, 'PTHR43354:SF5', NULL, NULL, NULL, NULL, 'MEDIUM-CHAIN ACYL-COA LIGASE-RELATED', NULL, NULL, NULL, 15),
(75851, NULL, 'PTHR34196:SF5', NULL, NULL, NULL, NULL, 'BNAA05G08450D PROTEIN', NULL, NULL, NULL, 15),
(75852, NULL, 'PTHR32133:SF268', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75853, NULL, 'PTHR45738:SF5', NULL, NULL, NULL, NULL, 'POLYPHOSPHOINOSITIDE PHOSPHATASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75854, NULL, 'PTHR23138:SF148', NULL, NULL, NULL, NULL, 'BNAC06G05290D PROTEIN', NULL, NULL, NULL, 15),
(75855, NULL, 'PTHR46045:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(75856, NULL, 'PTHR19961', NULL, NULL, NULL, NULL, 'FIMBRIN/PLASTIN', NULL, NULL, 34044, 15),
(75857, NULL, 'PTHR30126:SF4', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(75858, NULL, 'PTHR37226:SF2', NULL, NULL, NULL, NULL, 'TROPONIN T, SKELETAL PROTEIN', NULL, NULL, NULL, 15),
(75859, NULL, 'PTHR31988:SF23', NULL, NULL, NULL, NULL, 'CARBOHYDRATE ESTERASE-RELATED', NULL, NULL, NULL, 15),
(75860, NULL, 'PTHR24403:SF59', NULL, NULL, NULL, NULL, 'POGO TRANSPOSABLE ELEMENT WITH ZNF DOMAIN', NULL, NULL, NULL, 15),
(75861, NULL, 'PTHR11070:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE SRS2', NULL, NULL, NULL, 15),
(75862, NULL, 'PTHR15336:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(75863, NULL, 'PTHR31273:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOKETOLASE-RELATED', NULL, NULL, NULL, 15),
(75864, NULL, 'PTHR32401:SF19', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.4-LIKE', NULL, NULL, NULL, 15),
(75865, NULL, 'PTHR23231:SF19', NULL, NULL, NULL, NULL, 'GERM CELL-LESS PROTEIN-LIKE 1', NULL, NULL, NULL, 15),
(75866, NULL, 'PTHR33272:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG19069', NULL, NULL, NULL, 15),
(75867, NULL, 'PTHR22237:SF2', NULL, NULL, NULL, NULL, 'APC MEMBRANE RECRUITMENT PROTEIN 3', NULL, NULL, NULL, 15),
(75868, NULL, 'PTHR11691:SF68', NULL, NULL, NULL, NULL, 'INTERFERON BETA', NULL, NULL, 9845, 15),
(75869, NULL, 'PTHR26452:SF807', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(75870, NULL, 'PTHR31552:SF27', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(75871, NULL, 'PTHR33312:SF31', NULL, NULL, NULL, NULL, 'BRI1 KINASE INHIBITOR 1-LIKE', NULL, NULL, NULL, 15),
(75872, NULL, 'PTHR31614:SF26', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75873, NULL, 'PTHR42889', NULL, NULL, NULL, NULL, 'BLR3681 PROTEIN', NULL, NULL, NULL, 15),
(75874, NULL, 'PTHR10529:SF363', NULL, NULL, NULL, NULL, 'BNAA02G36830D PROTEIN', NULL, NULL, NULL, 15),
(75875, NULL, 'PTHR15382:SF7', NULL, NULL, NULL, NULL, 'CANOPY B', NULL, NULL, NULL, 15),
(75876, NULL, 'PTHR23259:SF66', NULL, NULL, NULL, NULL, 'PROTEIN CBG20713', NULL, NULL, NULL, 15),
(75877, NULL, 'PTHR21637:SF0', NULL, NULL, NULL, NULL, 'AT10158P', NULL, NULL, NULL, 15),
(75878, NULL, 'PTHR36853', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(75879, NULL, 'PTHR18935', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22817, 15),
(75880, NULL, 'PTHR31636:SF205', NULL, NULL, NULL, NULL, 'OS10G0551200 PROTEIN', NULL, NULL, NULL, 15),
(75881, NULL, 'PTHR45639:SF17', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 14', NULL, NULL, NULL, 15),
(75882, NULL, 'PTHR31639:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75883, NULL, 'PTHR31791:SF57', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(75884, NULL, 'PTHR45640', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP-12.2-RELATED', NULL, NULL, 5372, 15),
(75885, NULL, 'PTHR42965:SF5', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75886, NULL, 'PTHR31683:SF11', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(75887, NULL, 'PTHR44656:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 12', NULL, NULL, NULL, 15),
(75888, NULL, 'PTHR45999:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75889, NULL, 'PTHR31719:SF162', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29-LIKE', NULL, NULL, NULL, 15),
(75890, NULL, 'PTHR33371:SF18', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75891, NULL, 'PTHR46340', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(75892, NULL, 'PTHR46102', NULL, NULL, NULL, NULL, 'AXIN', NULL, NULL, 36928, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75893, NULL, 'PTHR11685:SF146', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(75894, NULL, 'PTHR39164:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CCDC', NULL, NULL, NULL, 15),
(75895, NULL, 'PTHR38429', NULL, NULL, NULL, NULL, 'SEPTATION PROTEIN SPOVG-RELATED', NULL, NULL, 260, 15),
(75896, NULL, 'PTHR11157:SF113', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(75897, NULL, 'PTHR47947:SF11', NULL, NULL, NULL, NULL, 'ISOFLAVONE 2''-HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(75898, NULL, 'PTHR45620:SF7', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE 2 RECEPTOR', NULL, NULL, NULL, 15),
(75899, NULL, 'PTHR32054:SF51', NULL, NULL, NULL, NULL, 'WEB FAMILY-RELATED', NULL, NULL, NULL, 15),
(75900, NULL, 'PTHR13143', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 19', NULL, NULL, 29854, 15),
(75901, NULL, 'PTHR10623:SF10', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN RP/EB FAMILY MEMBER 3', NULL, NULL, 26038, 15),
(75902, NULL, 'PTHR35574:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75903, NULL, 'PTHR24281:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75904, NULL, 'PTHR46675:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75905, NULL, 'PTHR31300:SF41', NULL, NULL, NULL, NULL, 'BNACNNG60070D PROTEIN', NULL, NULL, NULL, 15),
(75906, NULL, 'PTHR31674:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75907, NULL, 'PTHR11614:SF113', NULL, NULL, NULL, NULL, 'BIOSYNTHESIS PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01450)-RELATED', NULL, NULL, NULL, 15),
(75908, NULL, 'PTHR31642:SF226', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(75909, NULL, 'PTHR12632:SF61', NULL, NULL, NULL, NULL, 'BNAA02G16180D PROTEIN', NULL, NULL, NULL, 15),
(75910, NULL, 'PTHR31945:SF109', NULL, NULL, NULL, NULL, 'BNAA02G28220D PROTEIN', NULL, NULL, NULL, 15),
(75911, NULL, 'PTHR42109:SF2', NULL, NULL, NULL, NULL, 'UNPLACED GENOMIC SCAFFOLD UM_SCAF_CONTIG_1.265, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(75912, NULL, 'PTHR10926:SF52', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT', NULL, NULL, NULL, 15),
(75913, NULL, 'PTHR30347:SF8', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE CHANNEL MSCK', NULL, NULL, NULL, 15),
(75914, NULL, 'PTHR11785:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75915, NULL, 'PTHR47992:SF159', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 42-RELATED', NULL, NULL, NULL, 15),
(75916, NULL, 'PTHR10634:SF26', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 5', NULL, NULL, NULL, 15),
(75917, NULL, 'PTHR10742:SF354', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC HISTONE DEMETHYLASE 1 HOMOLOG 3', NULL, NULL, NULL, 15),
(75918, NULL, 'PTHR30217:SF10', NULL, NULL, NULL, NULL, '23S RRNA 5-HYDROXYCYTIDINE C2501 SYNTHASE', NULL, NULL, NULL, 15),
(75919, NULL, 'PTHR18849:SF11', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT PPRA', NULL, NULL, NULL, 15),
(75920, NULL, 'PTHR31867:SF190', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(75921, NULL, 'PTHR11932:SF68', NULL, NULL, NULL, NULL, 'CULLIN-4A', NULL, NULL, NULL, 15),
(75922, NULL, 'PTHR38926:SF2', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 21-RELATED', NULL, NULL, NULL, 15),
(75923, NULL, 'PTHR19849:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A-2-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(75924, NULL, 'PTHR47992:SF33', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 38-RELATED', NULL, NULL, NULL, 15),
(75925, NULL, 'PTHR14304:SF16', NULL, NULL, NULL, NULL, 'CELL CYCLE AND APOPTOSIS REGULATOR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(75926, NULL, 'PTHR16515:SF30', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 936', NULL, NULL, NULL, 15),
(75927, NULL, 'PTHR31989:SF208', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 37', NULL, NULL, NULL, 15),
(75928, NULL, 'PTHR24100:SF116', NULL, NULL, NULL, NULL, 'BUTYROPHILIN-LIKE PROTEIN 10', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75929, NULL, 'PTHR14454:SF5', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED AND REGULATOR OF MAPK PROTEIN 2', NULL, NULL, NULL, 15),
(75930, NULL, 'PTHR46008:SF29', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.1', NULL, NULL, NULL, 15),
(75931, NULL, 'PTHR24055:SF238', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE P38A-RELATED', NULL, NULL, NULL, 15),
(75932, NULL, 'PTHR26452:SF246', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(75933, NULL, 'PTHR11639:SF80', NULL, NULL, NULL, NULL, 'PROTEIN S100-A6', NULL, NULL, NULL, 15),
(75934, NULL, 'PTHR45621:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75935, NULL, 'PTHR31389', NULL, NULL, NULL, NULL, 'LD39211P', NULL, NULL, NULL, 15),
(75936, NULL, 'PTHR43605:SF6', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE ACSM5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(75937, NULL, 'PTHR10678:SF7', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT RPN-6.2-RELATED', NULL, NULL, NULL, 15),
(75938, NULL, 'PTHR23262:SF178', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-10', NULL, NULL, NULL, 15),
(75939, NULL, 'PTHR43689:SF21', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD HYDROLASE', NULL, NULL, NULL, 15),
(75940, NULL, 'PTHR45749:SF9', NULL, NULL, NULL, NULL, 'AC-LIKE TRANSPOSASE', NULL, NULL, NULL, 15),
(75941, NULL, 'PTHR42813:SF6', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE (EUROFUNG)', NULL, NULL, NULL, 15),
(75942, NULL, 'PTHR19446:SF446', NULL, NULL, NULL, NULL, 'OS03G0643433 PROTEIN', NULL, NULL, NULL, 15),
(75943, NULL, 'PTHR45671:SF26', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(75944, NULL, 'PTHR31293:SF12', NULL, NULL, NULL, NULL, 'BNAC03G70930D PROTEIN', NULL, NULL, NULL, 15),
(75945, NULL, 'PTHR31828:SF20', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 7-LIKE', NULL, NULL, NULL, 15),
(75946, NULL, 'PTHR33649', NULL, NULL, NULL, NULL, 'PAR1 PROTEIN', NULL, NULL, 9318, 15),
(75947, NULL, 'PTHR31802:SF14', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT2', NULL, NULL, NULL, 15),
(75948, NULL, 'PTHR24012:SF800', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(75949, NULL, 'PTHR48058:SF5', NULL, NULL, NULL, NULL, 'SERINE-THREONINE PROTEIN KINASE, PLANT-TYPE', NULL, NULL, NULL, 15),
(75950, NULL, 'PTHR33471:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(75951, NULL, 'PTHR10543:SF30', NULL, NULL, NULL, NULL, 'OS06G0162550 PROTEIN', NULL, NULL, NULL, 15),
(75952, NULL, 'PTHR31989:SF320', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 14-RELATED', NULL, NULL, NULL, 15),
(75953, NULL, 'PTHR31989:SF334', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 79-LIKE', NULL, NULL, NULL, 15),
(75954, NULL, 'PTHR24032:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75955, NULL, 'PTHR26450:SF145', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52N1', NULL, NULL, NULL, 15),
(75956, NULL, 'PTHR47456', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75957, NULL, 'PTHR48085:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75958, NULL, 'PTHR11347:SF206', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CAMP-SPECIFIC AND IBMX-INSENSITIVE 3'',5''-CYCLIC PHOSPHODIESTERASE 8', NULL, NULL, NULL, 15),
(75959, NULL, 'PTHR27004:SF296', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75960, NULL, 'PTHR28620:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75961, NULL, 'PTHR24189:SF57', NULL, NULL, NULL, NULL, 'IQ MOTIF AND ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN LOC642574-RELATED', NULL, NULL, NULL, 15),
(75962, NULL, 'PTHR27005:SF42', NULL, NULL, NULL, NULL, 'WAK FAMILY RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(75963, NULL, 'PTHR30419:SF28', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR BSDA', NULL, NULL, NULL, 15),
(75964, NULL, 'PTHR13301:SF220', NULL, NULL, NULL, NULL, 'BNACNNG21670D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(75965, NULL, 'PTHR12680:SF6', NULL, NULL, NULL, NULL, 'HOMEODOMAIN TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(75966, NULL, 'PTHR47746:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75967, NULL, 'PTHR10656:SF35', NULL, NULL, NULL, NULL, 'CYCLIC GMP-AMP SYNTHASE', NULL, NULL, NULL, 15),
(75968, NULL, 'PTHR11732:SF478', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 4 MEMBER C9-LIKE', NULL, NULL, NULL, 15),
(75969, NULL, 'PTHR33280:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L31, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(75970, NULL, 'PTHR30354', NULL, NULL, NULL, NULL, 'GNT FAMILY GLUCONATE TRANSPORTER', NULL, NULL, 6183, 15),
(75971, NULL, 'PTHR39563:SF1', NULL, NULL, NULL, NULL, 'XANTHINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(75972, NULL, 'PTHR22765:SF204', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(75973, NULL, 'PTHR11049', NULL, NULL, NULL, NULL, 'ACYL COENZYME A THIOESTER HYDROLASE', NULL, NULL, 29754, 15),
(75974, NULL, 'PTHR34114:SF8', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75975, NULL, 'PTHR33473', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ADAPTER PROTEIN CLPS1, CHLOROPLASTIC', NULL, NULL, 14897, 15),
(75976, NULL, 'PTHR47364:SF6', NULL, NULL, NULL, NULL, 'PHLOEM FILAMENT PROTEIN PP1', NULL, NULL, NULL, 15),
(75977, NULL, 'PTHR36912:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75978, NULL, 'PTHR33705:SF5', NULL, NULL, NULL, NULL, 'HPR-LIKE PROTEIN CRH', NULL, NULL, NULL, 15),
(75979, NULL, 'PTHR11599:SF136', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE 6', NULL, NULL, NULL, 15),
(75980, NULL, 'PTHR20835:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PPP1R11-RELATED', NULL, NULL, NULL, 15),
(75981, NULL, 'PTHR11440:SF89', NULL, NULL, NULL, NULL, 'YALI0E08206P', NULL, NULL, NULL, 15),
(75982, NULL, 'PTHR42955:SF1', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(75983, NULL, 'PTHR48056:SF38', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM1 ISOFORM X1', NULL, NULL, NULL, 15),
(75984, NULL, 'PTHR24093:SF253', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(75985, NULL, 'PTHR48002:SF53', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C15', NULL, NULL, NULL, 15),
(75986, NULL, 'PTHR32295:SF223', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(75987, NULL, 'PTHR10641:SF1169', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB58', NULL, NULL, NULL, 15),
(75988, NULL, 'PTHR47024:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(75989, NULL, 'PTHR33191:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75990, NULL, 'PTHR33982', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE MEMBRANE PROTEIN 7-RELATED', NULL, NULL, 34207, 15),
(75991, NULL, 'PTHR47152:SF2', NULL, NULL, NULL, NULL, 'SLR2084 PROTEIN', NULL, NULL, NULL, 15),
(75992, NULL, 'PTHR31791:SF47', NULL, NULL, NULL, NULL, 'INACTIVE FRIGIDA-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(75993, NULL, 'PTHR24329:SF303', NULL, NULL, NULL, NULL, 'PAIRED MESODERM HOMEOBOX PROTEIN 2A', NULL, NULL, NULL, 15),
(75994, NULL, 'PTHR43594', NULL, NULL, NULL, NULL, 'QUERCETIN 2,3-DIOXYGENASE', NULL, NULL, NULL, 15),
(75995, NULL, 'PTHR23073:SF117', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 6A HOMOLOG A', NULL, NULL, NULL, 15),
(75996, NULL, 'PTHR36433', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, 95, 15),
(75997, NULL, 'PTHR45969:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(75998, NULL, 'PTHR45676:SF37', NULL, NULL, NULL, NULL, 'OS08G0563500 PROTEIN', NULL, NULL, NULL, 15),
(75999, NULL, 'PTHR31009:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76000, NULL, 'PTHR11802:SF123', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76001, NULL, 'PTHR23500:SF569', NULL, NULL, NULL, NULL, 'BNAC01G32940D PROTEIN', NULL, NULL, NULL, 15),
(76002, NULL, 'PTHR11064:SF122', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-7', NULL, NULL, NULL, 15),
(76003, NULL, 'PTHR32018:SF28', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(76004, NULL, 'PTHR23268:SF13', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 15', NULL, NULL, NULL, 15),
(76005, NULL, 'PTHR14453:SF88', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(76006, NULL, 'PTHR32054:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE DOMAIN-CONTAINING CTD PHOSPHATASE 1', NULL, NULL, NULL, 15),
(76007, NULL, 'PTHR31828:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76008, NULL, 'PTHR31140:SF73', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR FUS3', NULL, NULL, NULL, 15),
(76009, NULL, 'PTHR33843:SF5', NULL, NULL, NULL, NULL, 'ASCORBATE-SPECIFIC PTS SYSTEM EIIC COMPONENT', NULL, NULL, NULL, 15),
(76010, NULL, 'PTHR11599:SF132', NULL, NULL, NULL, NULL, 'PROTEASOME ENDOPEPTIDASE COMPLEX', NULL, NULL, NULL, 15),
(76011, NULL, 'PTHR32378:SF12', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 2', NULL, NULL, NULL, 15),
(76012, NULL, 'PTHR24006:SF799', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(76013, NULL, 'PTHR45628:SF6', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT N-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1B', NULL, NULL, 267, 15),
(76014, NULL, 'PTHR32153:SF45', NULL, NULL, NULL, NULL, 'F-BOX/LRR PROTEIN', NULL, NULL, NULL, 15),
(76015, NULL, 'PTHR14332:SF3', NULL, NULL, NULL, NULL, 'DISRUPTED IN SCHIZOPHRENIA 1 PROTEIN', NULL, NULL, NULL, 15),
(76016, NULL, 'PTHR24336:SF8', NULL, NULL, NULL, NULL, 'LADYBIRD EARLY-RELATED', NULL, NULL, NULL, 15),
(76017, NULL, 'PTHR10378:SF30', NULL, NULL, NULL, NULL, 'COREPRESSOR SEUSS, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(76018, NULL, 'PTHR20859', NULL, NULL, NULL, NULL, 'INTERFERON/INTERLEUKIN RECEPTOR', NULL, NULL, NULL, 15),
(76019, NULL, 'PTHR42706:SF3', NULL, NULL, NULL, NULL, 'FORMYLTETRAHYDROFOLATE DEFORMYLASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(76020, NULL, 'PTHR31945:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76021, NULL, 'PTHR47960:SF18', NULL, NULL, NULL, NULL, 'BNAA02G36470D PROTEIN', NULL, NULL, NULL, 15),
(76022, NULL, 'PTHR23024:SF401', NULL, NULL, NULL, NULL, 'OS09G0460700 PROTEIN', NULL, NULL, NULL, 15),
(76023, NULL, 'PTHR48010:SF48', NULL, NULL, NULL, NULL, 'BNAC09G12300D PROTEIN', NULL, NULL, NULL, 15),
(76024, NULL, 'PTHR47379', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(76025, NULL, 'PTHR48065:SF25', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76026, NULL, 'PTHR43065:SF32', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE/RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(76027, NULL, 'PTHR24068:SF301', NULL, NULL, NULL, NULL, 'ENZYME E2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(76028, NULL, 'PTHR22951:SF12', NULL, NULL, NULL, NULL, 'OS01G0945500 PROTEIN', NULL, NULL, NULL, 15),
(76029, NULL, 'PTHR31734:SF188', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA4', NULL, NULL, NULL, 15),
(76030, NULL, 'PTHR23130', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(76031, NULL, 'PTHR31723:SF4', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76032, NULL, 'PTHR10405:SF16', NULL, NULL, NULL, NULL, '(CLONE BALB10N)-RELATED', NULL, NULL, NULL, 15),
(76033, NULL, 'PTHR32285:SF261', NULL, NULL, NULL, NULL, 'BNAA05G34290D PROTEIN', NULL, NULL, NULL, 15),
(76034, NULL, 'PTHR18945:SF74', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(76035, NULL, 'PTHR11119:SF84', NULL, NULL, NULL, NULL, 'OS03G0823800 PROTEIN', NULL, NULL, NULL, 15),
(76036, NULL, 'PTHR30055:SF174', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY TETR-FAMILY)-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76037, NULL, 'PTHR10357:SF203', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN:MALTOSE-1-PHOSPHATE MALTOSYLTRANSFERASE', NULL, NULL, 26557, 15),
(76038, NULL, 'PTHR26452:SF292', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5G3', NULL, NULL, NULL, 15),
(76039, NULL, 'PTHR31363', NULL, NULL, NULL, NULL, 'TRAF3-INTERACTING PROTEIN 1', NULL, NULL, 19169, 15),
(76040, NULL, 'PTHR24298:SF630', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 705A1-RELATED', NULL, NULL, NULL, 15),
(76041, NULL, 'PTHR12506:SF69', NULL, NULL, NULL, NULL, 'BNAA07G07850D PROTEIN', NULL, NULL, NULL, 15),
(76042, NULL, 'PTHR32021:SF19', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5A2', NULL, NULL, NULL, 15),
(76043, NULL, 'PTHR43840:SF39', NULL, NULL, NULL, NULL, 'BNACNNG57000D PROTEIN', NULL, NULL, NULL, 15),
(76044, NULL, 'PTHR13351:SF5', NULL, NULL, NULL, NULL, 'RENIN RECEPTOR', NULL, NULL, NULL, 15),
(76045, NULL, 'PTHR32077:SF62', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76046, NULL, 'PTHR42861:SF89', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(76047, NULL, 'PTHR45738:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76048, NULL, 'PTHR10629:SF53', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE 1B', NULL, NULL, NULL, 15),
(76049, NULL, 'PTHR28245', NULL, NULL, NULL, NULL, 'ARF3-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(76050, NULL, 'PTHR10239:SF22', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR B2', NULL, NULL, NULL, 15),
(76051, NULL, 'PTHR36321:SF7', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 5-LIKE', NULL, NULL, NULL, 15),
(76052, NULL, 'PTHR34602:SF1', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP E', NULL, NULL, NULL, 15),
(76053, NULL, 'PTHR23155:SF1112', NULL, NULL, NULL, NULL, 'OS08G0261000 PROTEIN', NULL, NULL, NULL, 15),
(76054, NULL, 'PTHR31374:SF143', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR36-LIKE', NULL, NULL, NULL, 15),
(76055, NULL, 'PTHR46855:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76056, NULL, 'PTHR31852:SF195', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(76057, NULL, 'PTHR33130:SF60', NULL, NULL, NULL, NULL, 'OS05G0551600 PROTEIN', NULL, NULL, NULL, 15),
(76058, NULL, 'PTHR10288:SF246', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(76059, NULL, 'PTHR32448:SF121', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76060, NULL, 'PTHR10352:SF27', NULL, NULL, NULL, NULL, 'PROTEIN ELAV', NULL, NULL, NULL, 15),
(76061, NULL, 'PTHR42796:SF3', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE DOMAIN-CONTAINING PROTEIN 2A-RELATED', NULL, NULL, NULL, 15),
(76062, NULL, 'PTHR47437:SF1', NULL, NULL, NULL, NULL, 'JNK-INTERACTING PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(76063, NULL, 'PTHR21248:SF12', NULL, NULL, NULL, NULL, 'CARDIOLIPIN SYNTHASE C', NULL, NULL, NULL, 15),
(76064, NULL, 'PTHR46662:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76065, NULL, 'PTHR11654:SF348', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(76066, NULL, 'PTHR31992:SF157', NULL, NULL, NULL, NULL, 'BNAA07G37300D PROTEIN', NULL, NULL, NULL, 15),
(76067, NULL, 'PTHR11037:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CP2-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(76068, NULL, 'PTHR46215:SF20', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(76069, NULL, 'PTHR33306:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76070, NULL, 'PTHR10064:SF22', NULL, NULL, NULL, NULL, 'OS07G0674200 PROTEIN', NULL, NULL, NULL, 15),
(76071, NULL, 'PTHR21646:SF34', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 45', NULL, NULL, NULL, 15),
(76072, NULL, 'PTHR13214:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 330', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76073, NULL, 'PTHR11505:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76074, NULL, 'PTHR24028:SF124', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-10', NULL, NULL, NULL, 15),
(76075, NULL, 'PTHR38743', NULL, NULL, NULL, NULL, 'SIMILAR TO GLYOXYLASE I FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76076, NULL, 'PTHR10010:SF21', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORT PROTEIN 2A', NULL, NULL, 22884, 15),
(76077, NULL, 'PTHR31429:SF85', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 72-RELATED', NULL, NULL, NULL, 15),
(76078, NULL, 'PTHR12083:SF9', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL POLYNUCLEOTIDE PHOSPHATASE/KINASE', NULL, NULL, NULL, 15),
(76079, NULL, 'PTHR24414:SF126', NULL, NULL, NULL, NULL, 'BNAANNG04010D PROTEIN', NULL, NULL, NULL, 15),
(76080, NULL, 'PTHR46620:SF2', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN SPF31-LIKE', NULL, NULL, NULL, 15),
(76081, NULL, 'PTHR47881:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 4', NULL, NULL, NULL, 15),
(76082, NULL, 'PTHR13037:SF11', NULL, NULL, NULL, NULL, 'FORMIN-1', NULL, NULL, NULL, 15),
(76083, NULL, 'PTHR13471:SF0', NULL, NULL, NULL, NULL, 'PROTEIN NRDE2 HOMOLOG', NULL, NULL, NULL, 15),
(76084, NULL, 'PTHR11706:SF92', NULL, NULL, NULL, NULL, 'BNAC06G40180D PROTEIN', NULL, NULL, NULL, 15),
(76085, NULL, 'PTHR37361', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(76086, NULL, 'PTHR30163:SF8', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76087, NULL, 'PTHR33963:SF2', NULL, NULL, NULL, NULL, 'MKRN2 OPPOSITE STRAND PROTEIN', NULL, NULL, NULL, 15),
(76088, NULL, 'PTHR10177:SF459', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76089, NULL, 'PTHR21092:SF0', NULL, NULL, NULL, NULL, 'NICASTRIN', NULL, NULL, NULL, 15),
(76090, NULL, 'PTHR47042:SF6', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76091, NULL, 'PTHR46814', NULL, NULL, NULL, NULL, 'EGALITARIAN, ISOFORM B', NULL, NULL, NULL, 15),
(76092, NULL, 'PTHR23277:SF112', NULL, NULL, NULL, NULL, 'POLIOVIRUS RECEPTOR ISOFORM X2', NULL, NULL, NULL, 15),
(76093, NULL, 'PTHR13904:SF0', NULL, NULL, NULL, NULL, 'U4/U6 SMALL NUCLEAR RIBONUCLEOPROTEIN PRP31', NULL, NULL, NULL, 15),
(76094, NULL, 'PTHR22845:SF5', NULL, NULL, NULL, NULL, 'APOPTOTIC PROTEASE-ACTIVATING FACTOR 1', NULL, NULL, NULL, 15),
(76095, NULL, 'PTHR28133:SF1', NULL, NULL, NULL, NULL, 'REQUIRED FOR RESPIRATORY GROWTH PROTEIN 7, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(76096, NULL, 'PTHR10795:SF662', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.4', NULL, NULL, NULL, 15),
(76097, NULL, 'PTHR24408:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 451', NULL, NULL, NULL, 15),
(76098, NULL, 'PTHR47978:SF24', NULL, NULL, NULL, NULL, 'PROTEIN TEM1', NULL, NULL, 15616, 15),
(76099, NULL, 'PTHR31734:SF157', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(76100, NULL, 'PTHR48041:SF92', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY G MEMBER 2', NULL, NULL, 27803, 15),
(76101, NULL, 'PTHR14091', NULL, NULL, NULL, NULL, 'PERIODIC TRYPTOPHAN PROTEIN 1', NULL, NULL, 36560, 15),
(76102, NULL, 'PTHR48019:SF1', NULL, NULL, NULL, NULL, 'BNAA09G05410D PROTEIN', NULL, NULL, NULL, 15),
(76103, NULL, 'PTHR38779:SF2', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN I-RELATED', NULL, NULL, NULL, 15),
(76104, NULL, 'PTHR33305:SF30', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 3 PROTEIN', NULL, NULL, NULL, 15),
(76105, NULL, 'PTHR44366', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--PEPTIDE N-ACETYLGLUCOSAMINYLTRANSFERASE 110 KDA SUBUNIT', NULL, NULL, 35705, 15),
(76106, NULL, 'PTHR31529:SF31', NULL, NULL, NULL, NULL, 'LOB DOMAIN PROTEIN-LIKE', NULL, NULL, NULL, 15),
(76107, NULL, 'PTHR11616:SF113', NULL, NULL, NULL, NULL, 'ORPHAN SODIUM- AND CHLORIDE-DEPENDENT NEUROTRANSMITTER TRANSPORTER NTT5', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76108, NULL, 'PTHR23050:SF440', NULL, NULL, NULL, NULL, 'BNAA06G20230D PROTEIN', NULL, NULL, NULL, 15),
(76109, NULL, 'PTHR47989:SF24', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-REGULATED RECEPTOR-LIKE KINASE 1', NULL, NULL, NULL, 15),
(76110, NULL, 'PTHR10867', NULL, NULL, NULL, NULL, 'NNMT/PNMT/TEMT FAMILY MEMBER', NULL, NULL, 3065, 15),
(76111, NULL, 'PTHR12902:SF8', NULL, NULL, NULL, NULL, 'WISKOTT-ALDRICH SYNDROME PROTEIN FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(76112, NULL, 'PTHR36045:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76113, NULL, 'PTHR34189:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(76114, NULL, 'PTHR31989:SF232', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 61-RELATED', NULL, NULL, NULL, 15),
(76115, NULL, 'PTHR30204:SF71', NULL, NULL, NULL, NULL, 'MERR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(76116, NULL, 'PTHR11449:SF22', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L30E-RELATED', NULL, NULL, NULL, 15),
(76117, NULL, 'PTHR14155:SF523', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(76118, NULL, 'PTHR11119:SF100', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 5', NULL, NULL, NULL, 15),
(76119, NULL, 'PTHR24247:SF60', NULL, NULL, NULL, NULL, 'MCG142237', NULL, NULL, NULL, 15),
(76120, NULL, 'PTHR33128:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76121, NULL, 'PTHR12411:SF657', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76122, NULL, 'PTHR31636:SF167', NULL, NULL, NULL, NULL, 'CHITIN-INDUCIBLE GIBBERELLIN-RESPONSIVE PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(76123, NULL, 'PTHR34967', NULL, NULL, NULL, NULL, 'OS02G0257200 PROTEIN', NULL, NULL, NULL, 15),
(76124, NULL, 'PTHR15710:SF24', NULL, NULL, NULL, NULL, 'OS05G0110000 PROTEIN', NULL, NULL, NULL, 15),
(76125, NULL, 'PTHR10245:SF121', NULL, NULL, NULL, NULL, 'BNACNNG22500D PROTEIN', NULL, NULL, NULL, 15),
(76126, NULL, 'PTHR24417', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE LMTK1', NULL, NULL, NULL, 15),
(76127, NULL, 'PTHR31218:SF196', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(76128, NULL, 'PTHR44329:SF128', NULL, NULL, NULL, NULL, 'OS09G0544300 PROTEIN', NULL, NULL, NULL, 15),
(76129, NULL, 'PTHR22726:SF8', NULL, NULL, NULL, NULL, 'METALLOPROTEASE YCAL', NULL, NULL, NULL, 15),
(76130, NULL, 'PTHR45943:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MYCBP2', NULL, NULL, NULL, 15),
(76131, NULL, 'PTHR12241:SF31', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL1-RELATED', NULL, NULL, 26448, 15),
(76132, NULL, 'PTHR36772', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE', NULL, NULL, NULL, 15),
(76133, NULL, 'PTHR46015:SF4', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE S-METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(76134, NULL, 'PTHR14002:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76135, NULL, 'PTHR13710:SF140', NULL, NULL, NULL, NULL, 'DNA HELICASE, ATP-DEPENDENT, RECQ TYPE-RELATED', NULL, NULL, NULL, 15),
(76136, NULL, 'PTHR16220', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN 8-RELATED', NULL, NULL, NULL, 15),
(76137, NULL, 'PTHR35546:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76138, NULL, 'PTHR27002:SF867', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76139, NULL, 'PTHR45633:SF15', NULL, NULL, NULL, NULL, '60 KDA CHAPERONIN ALPHA SUBUNIT', NULL, NULL, NULL, 15),
(76140, NULL, 'PTHR47437:SF2', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 8 INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(76141, NULL, 'PTHR31953:SF49', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 1', NULL, NULL, NULL, 15),
(76142, NULL, 'PTHR15082:SF4', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 3-B', NULL, NULL, NULL, 15),
(76143, NULL, 'PTHR42817:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE GLIT (AFU_ORTHOLOGUE AFUA_6G09740)', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76144, NULL, 'PTHR47966:SF39', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE A1-LIKE', NULL, NULL, NULL, 15),
(76145, NULL, 'PTHR31213:SF69', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL3', NULL, NULL, NULL, 15),
(76146, NULL, 'PTHR45658:SF83', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(76147, NULL, 'PTHR24103:SF631', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 35', NULL, NULL, NULL, 15),
(76148, NULL, 'PTHR12563:SF16', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(76149, NULL, 'PTHR37974', NULL, NULL, NULL, NULL, 'PROTEIN CBG14951', NULL, NULL, NULL, 15),
(76150, NULL, 'PTHR22883:SF369', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(76151, NULL, 'PTHR30055:SF183', NULL, NULL, NULL, NULL, 'NUCLEOID OCCLUSION FACTOR SLMA', NULL, NULL, NULL, 15),
(76152, NULL, 'PTHR11654:SF465', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76153, NULL, 'PTHR45797:SF1', NULL, NULL, NULL, NULL, 'RAD54-LIKE', NULL, NULL, NULL, 15),
(76154, NULL, 'PTHR10811:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76155, NULL, 'PTHR12483:SF101', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 1-LIKE', NULL, NULL, NULL, 15),
(76156, NULL, 'PTHR14537:SF0', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(76157, NULL, 'PTHR10408:SF20', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(76158, NULL, 'PTHR46178:SF8', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(76159, NULL, 'PTHR11022', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN RECOGNITION PROTEIN', NULL, NULL, 8295, 15),
(76160, NULL, 'PTHR10804:SF133', NULL, NULL, NULL, NULL, 'ERBB-3 BINDING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(76161, NULL, 'PTHR31744:SF77', NULL, NULL, NULL, NULL, 'PROTEIN FEZ', NULL, NULL, NULL, 15),
(76162, NULL, 'PTHR22601:SF64', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 6', NULL, NULL, NULL, 15),
(76163, NULL, 'PTHR45719:SF32', NULL, NULL, NULL, NULL, 'BNAC04G31930D PROTEIN', NULL, NULL, NULL, 15),
(76164, NULL, 'PTHR10404:SF50', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE NAALADL1', NULL, NULL, NULL, 15),
(76165, NULL, 'PTHR11566:SF192', NULL, NULL, NULL, NULL, 'DYNAMIN-2A', NULL, NULL, NULL, 15),
(76166, NULL, 'PTHR17614:SF11', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(76167, NULL, 'PTHR15530', NULL, NULL, NULL, NULL, 'SERTA DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 35700, 15),
(76168, NULL, 'PTHR45621:SF175', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76169, NULL, 'PTHR44090:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN VIP3-LIKE', NULL, NULL, NULL, 15),
(76170, NULL, 'PTHR21145:SF14', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', NULL, NULL, NULL, 15),
(76171, NULL, 'PTHR46325:SF10', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC8', NULL, NULL, NULL, 15),
(76172, NULL, 'PTHR43205:SF36', NULL, NULL, NULL, NULL, 'ALLYL ALCOHOL DEHYDROGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(76173, NULL, 'PTHR37252:SF4', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 6-LIKE', NULL, NULL, NULL, 15),
(76174, NULL, 'PTHR33179:SF51', NULL, NULL, NULL, NULL, 'BNAA09G07100D PROTEIN', NULL, NULL, NULL, 15),
(76175, NULL, 'PTHR23049:SF66', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT POLYPEPTIDE 9', NULL, NULL, NULL, 15),
(76176, NULL, 'PTHR32448:SF105', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT OXIDOREDUCTASE FOX1-LIKE', NULL, NULL, NULL, 15),
(76177, NULL, 'PTHR15545:SF8', NULL, NULL, NULL, NULL, 'SLO-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(76178, NULL, 'PTHR14689', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(76179, NULL, 'PTHR33285:SF37', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE PEPTIDE-RELATED', NULL, NULL, NULL, 15),
(76180, NULL, 'PTHR37817:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE EIS', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76181, NULL, 'PTHR22893:SF96', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 10-RELATED', NULL, NULL, NULL, 15),
(76182, NULL, 'PTHR43590', NULL, NULL, NULL, NULL, 'ARSENIC RESISTANCE PROTEIN ARSH (AFU_ORTHOLOGUE AFUA_5G15030)', NULL, NULL, 13862, 15),
(76183, NULL, 'PTHR33540:SF2', NULL, NULL, NULL, NULL, 'TRNA THREONYLCARBAMOYLADENOSINE BIOSYNTHESIS PROTEIN TSAE', NULL, NULL, NULL, 15),
(76184, NULL, 'PTHR42919:SF20', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(76185, NULL, 'PTHR30620:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76186, NULL, 'PTHR23428:SF172', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(76187, NULL, 'PTHR28681:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 196', NULL, NULL, NULL, 15),
(76188, NULL, 'PTHR45614:SF42', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN M', NULL, NULL, NULL, 15),
(76189, NULL, 'PTHR31953:SF89', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE 5-RELATED', NULL, NULL, NULL, 15),
(76190, NULL, 'PTHR46271:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(76191, NULL, 'PTHR10572:SF42', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE 2', NULL, NULL, NULL, 15),
(76192, NULL, 'PTHR47027:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76193, NULL, 'PTHR10252:SF41', NULL, NULL, NULL, NULL, 'HAP5 SUBUNIT OF HAP COMPLEX', NULL, NULL, NULL, 15),
(76194, NULL, 'PTHR30191:SF7', NULL, NULL, NULL, NULL, 'PFL-LIKE ENZYME TDCE', NULL, NULL, NULL, 15),
(76195, NULL, 'PTHR45614:SF54', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(76196, NULL, 'PTHR42687:SF5', NULL, NULL, NULL, NULL, 'L-THREONINE DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(76197, NULL, 'PTHR21091:SF167', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN DECARBOXYLASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(76198, NULL, 'PTHR24123:SF65', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 50', NULL, NULL, NULL, 15),
(76199, NULL, 'PTHR24044:SF308', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(76200, NULL, 'PTHR46084:SF8', NULL, NULL, NULL, NULL, 'BNAC03G72560D PROTEIN', NULL, NULL, NULL, 15),
(76201, NULL, 'PTHR18953:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76202, NULL, 'PTHR34684:SF4', NULL, NULL, NULL, NULL, 'BNAANNG09600D PROTEIN', NULL, NULL, NULL, 15),
(76203, NULL, 'PTHR12801:SF122', NULL, NULL, NULL, NULL, 'OS02G0709000 PROTEIN', NULL, NULL, NULL, 15),
(76204, NULL, 'PTHR11679:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76205, NULL, 'PTHR47926:SF103', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(76206, NULL, 'PTHR11886:SF93', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(76207, NULL, 'PTHR33215:SF12', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSN FOR INSERTION SEQUENCE ELEMENT IS911A-RELATED', NULL, NULL, NULL, 15),
(76208, NULL, 'PTHR23505:SF62', NULL, NULL, NULL, NULL, 'OS09G0371400 PROTEIN', NULL, NULL, NULL, 15),
(76209, NULL, 'PTHR33156:SF35', NULL, NULL, NULL, NULL, 'OS01G0551400 PROTEIN', NULL, NULL, NULL, 15),
(76210, NULL, 'PTHR32018:SF14', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76211, NULL, 'PTHR36938:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG06319', NULL, NULL, NULL, 15),
(76212, NULL, 'PTHR33989:SF8', NULL, NULL, NULL, NULL, 'PERMEASE IIC COMPONENT', NULL, NULL, NULL, 15),
(76213, NULL, 'PTHR11652:SF44', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S23', NULL, NULL, NULL, 15),
(76214, NULL, 'PTHR31241:SF22', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2A-LIKE', NULL, NULL, NULL, 15),
(76215, NULL, 'PTHR10006:SF19', NULL, NULL, NULL, NULL, 'MUCIN-1', NULL, NULL, NULL, 15),
(76216, NULL, 'PTHR32343:SF66', NULL, NULL, NULL, NULL, 'OS09G0314500 PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76217, NULL, 'PTHR12317:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76218, NULL, 'PTHR12174:SF22', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 3', NULL, NULL, NULL, 15),
(76219, NULL, 'PTHR31100:SF71', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(76220, NULL, 'PTHR44378:SF4', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 18, PEROXISOMAL ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(76221, NULL, 'PTHR44167:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE 11', NULL, NULL, NULL, 15),
(76222, NULL, 'PTHR31662:SF1', NULL, NULL, NULL, NULL, 'BNAANNG10740D PROTEIN', NULL, NULL, NULL, 15),
(76223, NULL, 'PTHR15336:SF13', NULL, NULL, NULL, NULL, 'C REDUCTASE COMPLEX 7.8 KDA PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(76224, NULL, 'PTHR31451:SF62', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 2', NULL, NULL, NULL, 15),
(76225, NULL, 'PTHR31429:SF86', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 61-RELATED', NULL, NULL, NULL, 15),
(76226, NULL, 'PTHR22932:SF10', NULL, NULL, NULL, NULL, 'CO-CHAPERONE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(76227, NULL, 'PTHR13296:SF0', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR SPF27', NULL, NULL, NULL, 15),
(76228, NULL, 'PTHR43101:SF1', NULL, NULL, NULL, NULL, 'BETA-FRUCTOSIDASE', NULL, NULL, NULL, 15),
(76229, NULL, 'PTHR35997:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76230, NULL, 'PTHR47979:SF16', NULL, NULL, NULL, NULL, 'RAB GTP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(76231, NULL, 'PTHR33222:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CURVATURE THYLAKOID 1A, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(76232, NULL, 'PTHR11394:SF137', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(76233, NULL, 'PTHR11481:SF5', NULL, NULL, NULL, NULL, 'PLATELET ENDOTHELIAL CELL ADHESION MOLECULE', NULL, NULL, NULL, 15),
(76234, NULL, 'PTHR15439', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-BINDING PROTEIN 6', NULL, NULL, 35316, 15),
(76235, NULL, 'PTHR35978', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN M', NULL, NULL, NULL, 15),
(76236, NULL, 'PTHR33413:SF20', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER TRANSCRIPTION FACTOR K', NULL, NULL, NULL, 15),
(76237, NULL, 'PTHR11654:SF454', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.1', NULL, NULL, NULL, 15),
(76238, NULL, 'PTHR14132:SF15', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR 6-RELATED', NULL, NULL, NULL, 15),
(76239, NULL, 'PTHR36478:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76240, NULL, 'PTHR31080:SF118', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 10', NULL, NULL, NULL, 15),
(76241, NULL, 'PTHR24343:SF417', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 26', NULL, NULL, NULL, 15),
(76242, NULL, 'PTHR26450:SF89', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52B4', NULL, NULL, NULL, 15),
(76243, NULL, 'PTHR30143:SF0', NULL, NULL, NULL, NULL, '2-KETO-4-PENTENOATE HYDRATASE', NULL, NULL, NULL, 15),
(76244, NULL, 'PTHR12634:SF14', NULL, NULL, NULL, NULL, 'SIT4-ASSOCIATING PROTEIN SAP155-RELATED', NULL, NULL, NULL, 15),
(76245, NULL, 'PTHR11477:SF13', NULL, NULL, NULL, NULL, 'DEATH-INDUCER OBLITERATOR 1', NULL, NULL, 29439, 15),
(76246, NULL, 'PTHR11907:SF0', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(76247, NULL, 'PTHR39083', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP-BINDING PROTEIN', NULL, NULL, 15018, 15),
(76248, NULL, 'PTHR11829:SF142', NULL, NULL, NULL, NULL, 'FORKHEAD BOX Q2', NULL, NULL, NULL, 15),
(76249, NULL, 'PTHR19957:SF295', NULL, NULL, NULL, NULL, 'SYNTAXIN VAM3', NULL, NULL, NULL, 15),
(76250, NULL, 'PTHR22904:SF516', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76251, NULL, 'PTHR15415:SF13', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC60-2', NULL, NULL, NULL, 15),
(76252, NULL, 'PTHR47105:SF2', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76253, NULL, 'PTHR47958:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76254, NULL, 'PTHR27008:SF216', NULL, NULL, NULL, NULL, 'OS07G0121200 PROTEIN', NULL, NULL, NULL, 15),
(76255, NULL, 'PTHR47514:SF2', NULL, NULL, NULL, NULL, 'TRANSKETOLASE', NULL, NULL, NULL, 15),
(76256, NULL, 'PTHR33085:SF64', NULL, NULL, NULL, NULL, 'OS09G0555900 PROTEIN', NULL, NULL, NULL, 15),
(76257, NULL, 'PTHR10974', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 3981, 15),
(76258, NULL, 'PTHR33728:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76259, NULL, 'PTHR11909:SF362', NULL, NULL, NULL, NULL, 'PROTEIN CBG17985', NULL, NULL, NULL, 15),
(76260, NULL, 'PTHR12294:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76261, NULL, 'PTHR11214:SF24', NULL, NULL, NULL, NULL, 'ACETYLGALACTOSAMINYL-O-GLYCOSYL-GLYCOPROTEIN BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(76262, NULL, 'PTHR10064:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76263, NULL, 'PTHR33052:SF146', NULL, NULL, NULL, NULL, 'BNAA07G12470D PROTEIN', NULL, NULL, NULL, 15),
(76264, NULL, 'PTHR10334:SF314', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN PRMS', NULL, NULL, NULL, 15),
(76265, NULL, 'PTHR24261:SF13', NULL, NULL, NULL, NULL, 'PLASMINOGEN', NULL, NULL, NULL, 15),
(76266, NULL, 'PTHR10127:SF795', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(76267, NULL, 'PTHR10120:SF24', NULL, NULL, NULL, NULL, 'CAAX PRENYL PROTEASE 1 HOMOLOG', NULL, NULL, NULL, 15),
(76268, NULL, 'PTHR19422:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76269, NULL, 'PTHR17271:SF12', NULL, NULL, NULL, NULL, 'MYOSIN PHOSPHATASE RHO-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(76270, NULL, 'PTHR11783:SF264', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(76271, NULL, 'PTHR31126:SF61', NULL, NULL, NULL, NULL, 'BNAC09G52050D PROTEIN', NULL, NULL, NULL, 15),
(76272, NULL, 'PTHR20338:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR RESPIRATORY FACTOR 1', NULL, NULL, NULL, 15),
(76273, NULL, 'PTHR11346:SF78', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(76274, NULL, 'PTHR11668:SF455', NULL, NULL, NULL, NULL, 'PROTEIN CBG21670', NULL, NULL, NULL, 15),
(76275, NULL, 'PTHR24020:SF13', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-3(VI) CHAIN', NULL, NULL, NULL, 15),
(76276, NULL, 'PTHR32370:SF126', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(76277, NULL, 'PTHR14796', NULL, NULL, NULL, NULL, 'NEURENSIN 1-RELATED', NULL, NULL, 29279, 15),
(76278, NULL, 'PTHR24396:SF22', NULL, NULL, NULL, NULL, 'PROTEIN WIZ', NULL, NULL, NULL, 15),
(76279, NULL, 'PTHR48010:SF1', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(76280, NULL, 'PTHR11926:SF950', NULL, NULL, NULL, NULL, 'CYTOKININ-N-GLUCOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(76281, NULL, 'PTHR45969:SF1', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID-RESPONSIVE RING-H2', NULL, NULL, NULL, 15),
(76282, NULL, 'PTHR12435', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 38150, 15),
(76283, NULL, 'PTHR46116:SF12', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 39-RELATED', NULL, NULL, NULL, 15),
(76284, NULL, 'PTHR23105:SF125', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(76285, NULL, 'PTHR11062:SF248', NULL, NULL, NULL, NULL, 'GALACTOSYLTRANSFERASE KATAMARI 1,PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(76286, NULL, 'PTHR33162:SF6', NULL, NULL, NULL, NULL, 'BNAC07G27450D PROTEIN', NULL, NULL, NULL, 15),
(76287, NULL, 'PTHR47377:SF3', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 4A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(76288, NULL, 'PTHR34189:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE RLCKVII PROTEIN', NULL, NULL, NULL, 15),
(76289, NULL, 'PTHR23137:SF33', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(76290, NULL, 'PTHR33148:SF46', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76291, NULL, 'PTHR11875:SF113', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1,2', NULL, NULL, NULL, 15),
(76292, NULL, 'PTHR11540:SF16', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(76293, NULL, 'PTHR33109:SF67', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(76294, NULL, 'PTHR20933', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 33', NULL, NULL, 34689, 15),
(76295, NULL, 'PTHR27005:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76296, NULL, 'PTHR35334:SF2', NULL, NULL, NULL, NULL, 'SERINE TRANSPORTER', NULL, NULL, NULL, 15),
(76297, NULL, 'PTHR11848:SF29', NULL, NULL, NULL, NULL, 'INHIBIN BETA B CHAIN', NULL, NULL, 6723, 15),
(76298, NULL, 'PTHR35531:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YBCI-RELATED', NULL, NULL, NULL, 15),
(76299, NULL, 'PTHR46072:SF4', NULL, NULL, NULL, NULL, 'AMIDASE C550.07-RELATED', NULL, NULL, NULL, 15),
(76300, NULL, 'PTHR24023:SF855', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE VIII, ALPHA 2', NULL, NULL, NULL, 15),
(76301, NULL, 'PTHR24225:SF0', NULL, NULL, NULL, NULL, 'N-FORMYL PEPTIDE RECEPTOR 2', NULL, NULL, NULL, 15),
(76302, NULL, 'PTHR31992:SF212', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.1-LIKE', NULL, NULL, NULL, 15),
(76303, NULL, 'PTHR47183', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE CYTIDYLYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(76304, NULL, 'PTHR30471:SF6', NULL, NULL, NULL, NULL, 'UPF0758 PROTEIN VC_0510', NULL, NULL, NULL, 15),
(76305, NULL, 'PTHR45660:SF58', NULL, NULL, NULL, NULL, 'SET DOMAIN GROUP 21-RELATED', NULL, NULL, NULL, 15),
(76306, NULL, 'PTHR48236:SF1', NULL, NULL, NULL, NULL, 'COX19-LIKE CHCH FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76307, NULL, 'PTHR37849', NULL, NULL, NULL, NULL, 'YALI0E11605P', NULL, NULL, NULL, 15),
(76308, NULL, 'PTHR10102:SF16', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE 1B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(76309, NULL, 'PTHR40277', NULL, NULL, NULL, NULL, 'BLL5419 PROTEIN', NULL, NULL, NULL, 15),
(76310, NULL, 'PTHR14571:SF9', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SET-26-RELATED', NULL, NULL, NULL, 15),
(76311, NULL, 'PTHR23333:SF37', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(76312, NULL, 'PTHR11249:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76313, NULL, 'PTHR23147:SF154', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS2Z33-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(76314, NULL, 'PTHR21450:SF3', NULL, NULL, NULL, NULL, 'DUF630 FAMILY PROTEIN (DUF630 AND DUF632)', NULL, NULL, NULL, 15),
(76315, NULL, 'PTHR31626:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM171A1', NULL, NULL, NULL, 15),
(76316, NULL, 'PTHR15710:SF94', NULL, NULL, NULL, NULL, 'BNAA06G02870D PROTEIN', NULL, NULL, NULL, 15),
(76317, NULL, 'PTHR31374:SF320', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR36-LIKE', NULL, NULL, NULL, 15),
(76318, NULL, 'PTHR22884:SF500', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(76319, NULL, 'PTHR19957:SF273', NULL, NULL, NULL, NULL, 'OS06G0168500 PROTEIN', NULL, NULL, NULL, 15),
(76320, NULL, 'PTHR23026:SF117', NULL, NULL, NULL, NULL, 'NITROREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(76321, NULL, 'PTHR12127:SF5', NULL, NULL, NULL, NULL, 'MUCOLIPIN-3', NULL, NULL, NULL, 15),
(76322, NULL, 'PTHR32092:SF14', NULL, NULL, NULL, NULL, 'MALTOSE-6''-PHOSPHATE GLUCOSIDASE', NULL, NULL, NULL, 15),
(76323, NULL, 'PTHR33920:SF2', NULL, NULL, NULL, NULL, 'ALPHA-2-PUROTHIONIN', NULL, NULL, NULL, 15),
(76324, NULL, 'PTHR33337:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76325, NULL, 'PTHR31218:SF226', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(76326, NULL, 'PTHR17502:SF2', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 28', NULL, NULL, NULL, 15),
(76327, NULL, 'PTHR33077:SF73', NULL, NULL, NULL, NULL, 'TIFY19', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76328, NULL, 'PTHR32444:SF108', NULL, NULL, NULL, NULL, 'OS01G0224601 PROTEIN', NULL, NULL, NULL, 15),
(76329, NULL, 'PTHR22891:SF26', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE-4', NULL, NULL, NULL, 15),
(76330, NULL, 'PTHR48140:SF1', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(76331, NULL, 'PTHR10788:SF91', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 20-RELATED', NULL, NULL, NULL, 15),
(76332, NULL, 'PTHR34061:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76333, NULL, 'PTHR17550', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TTC3', NULL, NULL, NULL, 15),
(76334, NULL, 'PTHR47928:SF129', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE SMALL DOMAIN', NULL, NULL, NULL, 15),
(76335, NULL, 'PTHR26379:SF313', NULL, NULL, NULL, NULL, 'OS10G0428900 PROTEIN', NULL, NULL, NULL, 15),
(76336, NULL, 'PTHR11353:SF203', NULL, NULL, NULL, NULL, 'BNAC05G32480D PROTEIN', NULL, NULL, NULL, 15),
(76337, NULL, 'PTHR43569:SF2', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE', NULL, NULL, NULL, 15),
(76338, NULL, 'PTHR24136:SF39', NULL, NULL, NULL, NULL, 'BNAC05G43100D PROTEIN', NULL, NULL, NULL, 15),
(76339, NULL, 'PTHR46937', NULL, NULL, NULL, NULL, 'FERREDOXIN-THIOREDOXIN REDUCTASE, VARIABLE CHAIN', NULL, NULL, 39651, 15),
(76340, NULL, 'PTHR31080:SF196', NULL, NULL, NULL, NULL, 'BNAA09G06930D PROTEIN', NULL, NULL, NULL, 15),
(76341, NULL, 'PTHR31144:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76342, NULL, 'PTHR10698', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT H', NULL, NULL, 1776, 15),
(76343, NULL, 'PTHR46368', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76344, NULL, 'PTHR21716:SF53', NULL, NULL, NULL, NULL, 'AI-2 TRANSPORT PROTEIN TQSA', NULL, NULL, NULL, 15),
(76345, NULL, 'PTHR27003:SF349', NULL, NULL, NULL, NULL, 'OS03G0124200 PROTEIN', NULL, NULL, NULL, 15),
(76346, NULL, 'PTHR11802:SF106', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(76347, NULL, 'PTHR35391:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76348, NULL, 'PTHR24393:SF104', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR PRZ1', NULL, NULL, NULL, 15),
(76349, NULL, 'PTHR10036', NULL, NULL, NULL, NULL, 'CD59 GLYCOPROTEIN', NULL, NULL, NULL, 15),
(76350, NULL, 'PTHR11267:SF163', NULL, NULL, NULL, NULL, 'T-BOX PROTEIN 33-RELATED', NULL, NULL, NULL, 15),
(76351, NULL, 'PTHR34630:SF44', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(76352, NULL, 'PTHR27003:SF345', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76353, NULL, 'PTHR45621:SF41', NULL, NULL, NULL, NULL, 'OS01G0588500 PROTEIN', NULL, NULL, NULL, 15),
(76354, NULL, 'PTHR48017:SF149', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1I', NULL, NULL, NULL, 15),
(76355, NULL, 'PTHR31451:SF53', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(76356, NULL, 'PTHR23240:SF24', NULL, NULL, NULL, NULL, 'DNA LIGASE', NULL, NULL, NULL, 15),
(76357, NULL, 'PTHR19433', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR ALPHA CHAIN V REGION-RELATED', NULL, NULL, NULL, 15),
(76358, NULL, 'PTHR33709:SF4', NULL, NULL, NULL, NULL, 'OSJNBA0035M09.9 PROTEIN', NULL, NULL, NULL, 15),
(76359, NULL, 'PTHR31625:SF7', NULL, NULL, NULL, NULL, 'OS02G0485800 PROTEIN', NULL, NULL, NULL, 15),
(76360, NULL, 'PTHR24068:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76361, NULL, 'PTHR23308:SF2', NULL, NULL, NULL, NULL, 'KANADAPTIN', NULL, NULL, NULL, 15),
(76362, NULL, 'PTHR23272:SF142', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN DAYSLEEPER', NULL, NULL, NULL, 15),
(76363, NULL, 'PTHR15590:SF0', NULL, NULL, NULL, NULL, 'CX9C MOTIF-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(76364, NULL, 'PTHR39210', NULL, NULL, NULL, NULL, 'HEPARIN-SULFATE LYASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76365, NULL, 'PTHR24559:SF327', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76366, NULL, 'PTHR20932:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76367, NULL, 'PTHR23076:SF56', NULL, NULL, NULL, NULL, 'INACTIVE ATP-DEPENDENT ZINC METALLOPROTEASE FTSHI 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(76368, NULL, 'PTHR35161:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76369, NULL, 'PTHR27002:SF678', NULL, NULL, NULL, NULL, 'KINASE RECEPTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(76370, NULL, 'PTHR46599:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76371, NULL, 'PTHR31190:SF215', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76372, NULL, 'PTHR23306:SF22', NULL, NULL, NULL, NULL, 'PROTEIN ELC', NULL, NULL, NULL, 15),
(76373, NULL, 'PTHR46150:SF1', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN SYDE2', NULL, NULL, NULL, 15),
(76374, NULL, 'PTHR45932:SF4', NULL, NULL, NULL, NULL, 'PATELLIN-6', NULL, NULL, NULL, 15),
(76375, NULL, 'PTHR31228:SF29', NULL, NULL, NULL, NULL, 'BNAC09G51240D PROTEIN', NULL, NULL, NULL, 15),
(76376, NULL, 'PTHR27003:SF390', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76377, NULL, 'PTHR24559:SF368', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76378, NULL, 'PTHR31388:SF232', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(76379, NULL, 'PTHR10219:SF92', NULL, NULL, NULL, NULL, 'BNAA02G24580D PROTEIN', NULL, NULL, NULL, 15),
(76380, NULL, 'PTHR31236:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76381, NULL, 'PTHR35803', NULL, NULL, NULL, NULL, 'GLUCAN 1,4-ALPHA-GLUCOSIDASE SUSB-RELATED', NULL, NULL, NULL, 15),
(76382, NULL, 'PTHR31209:SF5', NULL, NULL, NULL, NULL, 'BNAA06G39690D PROTEIN', NULL, NULL, NULL, 15),
(76383, NULL, 'PTHR46045:SF15', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(76384, NULL, 'PTHR12388:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM16-LIKE', NULL, NULL, NULL, 15),
(76385, NULL, 'PTHR11558:SF49', NULL, NULL, NULL, NULL, 'BNAA09G54560D PROTEIN', NULL, NULL, NULL, 15),
(76386, NULL, 'PTHR18916:SF32', NULL, NULL, NULL, NULL, 'CAP-GLY DOMAIN-CONTAINING LINKER PROTEIN 4', NULL, NULL, 28758, 15),
(76387, NULL, 'PTHR47966:SF35', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE A2', NULL, NULL, NULL, 15),
(76388, NULL, 'PTHR43859:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76389, NULL, 'PTHR48001:SF39', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(76390, NULL, 'PTHR43625:SF63', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE/POTASSIUM CHANNEL SUBUNIT BETA-RELATED', NULL, NULL, NULL, 15),
(76391, NULL, 'PTHR31080', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', NULL, NULL, NULL, 15),
(76392, NULL, 'PTHR46195:SF11', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(76393, NULL, 'PTHR31365', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(76394, NULL, 'PTHR24329:SF362', NULL, NULL, NULL, NULL, 'INTESTINE-SPECIFIC HOMEOBOX', NULL, NULL, NULL, 15),
(76395, NULL, 'PTHR11486:SF4', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 18', NULL, NULL, 28479, 15),
(76396, NULL, 'PTHR13128:SF12', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN-SORTING-ASSOCIATED PROTEIN 36', NULL, NULL, NULL, 15),
(76397, NULL, 'PTHR46351:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76398, NULL, 'PTHR45621:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76399, NULL, 'PTHR32295:SF100', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 3', NULL, NULL, NULL, 15),
(76400, NULL, 'PTHR18976:SF28', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN A-IV B, TANDEM DUPLICATE 1-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76401, NULL, 'PTHR28629:SF12', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(76402, NULL, 'PTHR23155:SF872', NULL, NULL, NULL, NULL, 'OS02G0456800 PROTEIN', NULL, NULL, NULL, 15),
(76403, NULL, 'PTHR35022:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76404, NULL, 'PTHR48062:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76405, NULL, 'PTHR33252:SF2', NULL, NULL, NULL, NULL, 'THIRD ORF IN TRANSPOSON ISC1160', NULL, NULL, NULL, 15),
(76406, NULL, 'PTHR12700:SF16', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(76407, NULL, 'PTHR33476:SF14', NULL, NULL, NULL, NULL, 'OS02G0795200 PROTEIN', NULL, NULL, NULL, 15),
(76408, NULL, 'PTHR31165:SF80', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE6', NULL, NULL, NULL, 15),
(76409, NULL, 'PTHR22751:SF101', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(76410, NULL, 'PTHR33516', NULL, NULL, NULL, NULL, 'LEXA REPRESSOR', NULL, NULL, NULL, 15),
(76411, NULL, 'PTHR45648:SF127', NULL, NULL, NULL, NULL, 'BNAA08G29190D PROTEIN', NULL, NULL, NULL, 15),
(76412, NULL, 'PTHR10615:SF188', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY', NULL, NULL, NULL, 15),
(76413, NULL, 'PTHR31852:SF178', NULL, NULL, NULL, NULL, 'OS02G0619200 PROTEIN', NULL, NULL, NULL, 15),
(76414, NULL, 'PTHR31577', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PLURIPOTENCY-ASSOCIATED PROTEIN 3-RELATED', NULL, NULL, 26026, 15),
(76415, NULL, 'PTHR21319:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-24L11.2', NULL, NULL, NULL, 15),
(76416, NULL, 'PTHR34311:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG21698', NULL, NULL, NULL, 15),
(76417, NULL, 'PTHR43178:SF10', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX', NULL, NULL, NULL, 15),
(76418, NULL, 'PTHR23024:SF555', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE', NULL, NULL, NULL, 15),
(76419, NULL, 'PTHR46252', NULL, NULL, NULL, NULL, 'BRORIN FAMILY MEMBER', NULL, NULL, 38042, 15),
(76420, NULL, 'PTHR23273:SF80', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', NULL, NULL, NULL, 15),
(76421, NULL, 'PTHR45619:SF26', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-5 CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(76422, NULL, 'PTHR24115:SF900', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(76423, NULL, 'PTHR21442', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 20400, 15),
(76424, NULL, 'PTHR31168:SF1', NULL, NULL, NULL, NULL, 'OS02G0292800 PROTEIN', NULL, NULL, NULL, 15),
(76425, NULL, 'PTHR11477:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A N-TERMINAL AND CENTRAL DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(76426, NULL, 'PTHR11902:SF43', NULL, NULL, NULL, NULL, 'BNAC04G08780D PROTEIN', NULL, NULL, NULL, 15),
(76427, NULL, 'PTHR10252:SF91', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(76428, NULL, 'PTHR19229:SF100', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 5', NULL, NULL, 27550, 15),
(76429, NULL, 'PTHR22847:SF676', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76430, NULL, 'PTHR21363:SF0', NULL, NULL, NULL, NULL, 'PREPHENATE DEHYDROGENASE [NADP(+)]', NULL, NULL, NULL, 15),
(76431, NULL, 'PTHR22749:SF11', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL RIBOFLAVIN KINASE/FMN ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(76432, NULL, 'PTHR11545:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13A-4-LIKE', NULL, NULL, NULL, 15),
(76433, NULL, 'PTHR23507:SF9', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 46 MEMBER 3', NULL, NULL, NULL, 15),
(76434, NULL, 'PTHR31174:SF31', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 3', NULL, NULL, NULL, 15),
(76435, NULL, 'PTHR43464:SF11', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE-DEPENDENT METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(76436, NULL, 'PTHR47056', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 39', NULL, NULL, 37105, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76437, NULL, 'PTHR10778:SF43', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE/UDP-GLUCOSE TRANSPORTER 2', NULL, NULL, NULL, 15),
(76438, NULL, 'PTHR31861:SF17', NULL, NULL, NULL, NULL, 'BNAANNG40230D PROTEIN', NULL, NULL, NULL, 15),
(76439, NULL, 'PTHR15535:SF15', NULL, NULL, NULL, NULL, 'CELL MIGRATION-INDUCING AND HYALURONAN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(76440, NULL, 'PTHR28660', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 73', NULL, NULL, 24829, 15),
(76441, NULL, 'PTHR13864:SF20', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX PROTEIN 1', NULL, NULL, NULL, 15),
(76442, NULL, 'PTHR10288:SF261', NULL, NULL, NULL, NULL, 'PASILLA, ISOFORM R', NULL, NULL, NULL, 15),
(76443, NULL, 'PTHR46038:SF40', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(76444, NULL, 'PTHR45660:SF46', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH6', NULL, NULL, NULL, 15),
(76445, NULL, 'PTHR10366:SF585', NULL, NULL, NULL, NULL, 'OS01G0528800 PROTEIN', NULL, NULL, NULL, 15),
(76446, NULL, 'PTHR45631:SF8', NULL, NULL, NULL, NULL, 'OS12G0567500 PROTEIN', NULL, NULL, NULL, 15),
(76447, NULL, 'PTHR19325:SF534', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT RECEPTOR 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(76448, NULL, 'PTHR11161:SF16', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(76449, NULL, 'PTHR23291:SF96', NULL, NULL, NULL, NULL, 'BNAANNG07130D PROTEIN', NULL, NULL, NULL, 15),
(76450, NULL, 'PTHR31325:SF160', NULL, NULL, NULL, NULL, 'OSJNBB0040D15.7-LIKE PROTEIN', NULL, NULL, NULL, 15),
(76451, NULL, 'PTHR15725:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 17-LIKE', NULL, NULL, NULL, 15),
(76452, NULL, 'PTHR11705:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76453, NULL, 'PTHR21660:SF37', NULL, NULL, NULL, NULL, 'OSJNBA0006B20.3 PROTEIN', NULL, NULL, NULL, 15),
(76454, NULL, 'PTHR22950:SF634', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76455, NULL, 'PTHR10774:SF199', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76456, NULL, 'PTHR12322:SF76', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR A2', NULL, NULL, NULL, 15),
(76457, NULL, 'PTHR33115:SF41', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(76458, NULL, 'PTHR11353:SF200', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ETA', NULL, NULL, NULL, 15),
(76459, NULL, 'PTHR24298:SF541', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 705A20-RELATED', NULL, NULL, NULL, 15),
(76460, NULL, 'PTHR48033:SF3', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN D0', NULL, NULL, NULL, 15),
(76461, NULL, 'PTHR45884:SF2', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE ECO', NULL, NULL, 35647, 15),
(76462, NULL, 'PTHR13817:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76463, NULL, 'PTHR34207:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76464, NULL, 'PTHR28144:SF1', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(76465, NULL, 'PTHR37168', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED EXONUCLEASE CAS4', NULL, NULL, NULL, 15),
(76466, NULL, 'PTHR30352:SF4', NULL, NULL, NULL, NULL, 'PYRUVATE FORMATE-LYASE 2-ACTIVATING ENZYME', NULL, NULL, NULL, 15),
(76467, NULL, 'PTHR35546:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76468, NULL, 'PTHR33127:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76469, NULL, 'PTHR31375:SF174', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(76470, NULL, 'PTHR23050:SF416', NULL, NULL, NULL, NULL, 'CALMODULIN', NULL, NULL, NULL, 15),
(76471, NULL, 'PTHR34572:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 11', NULL, NULL, NULL, 15),
(76472, NULL, 'PTHR11627:SF56', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE 4, CYTOSOLIC', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76473, NULL, 'PTHR31769:SF67', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1218)-RELATED', NULL, NULL, NULL, 15),
(76474, NULL, 'PTHR12080:SF99', NULL, NULL, NULL, NULL, 'CD84', NULL, NULL, NULL, 15),
(76475, NULL, 'PTHR10358:SF31', NULL, NULL, NULL, NULL, 'ALPHA-ENDOSULFINE-RELATED', NULL, NULL, NULL, 15),
(76476, NULL, 'PTHR31604', NULL, NULL, NULL, NULL, 'PROTEIN LATERAL ROOT PRIMORDIUM 1', NULL, NULL, 2245, 15),
(76477, NULL, 'PTHR36114:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76478, NULL, 'PTHR43570:SF26', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(76479, NULL, 'PTHR18034:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76480, NULL, 'PTHR11220:SF64', NULL, NULL, NULL, NULL, 'HEME-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(76481, NULL, 'PTHR22883:SF351', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 6-RELATED', NULL, NULL, NULL, 15),
(76482, NULL, 'PTHR30620:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76483, NULL, 'PTHR11923:SF100', NULL, NULL, NULL, NULL, 'FI07620P-RELATED', NULL, NULL, NULL, 15),
(76484, NULL, 'PTHR14362:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 81', NULL, NULL, NULL, 15),
(76485, NULL, 'PTHR24320:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76486, NULL, 'PTHR11256:SF32', NULL, NULL, NULL, NULL, 'BCL-WAV', NULL, NULL, NULL, 15),
(76487, NULL, 'PTHR31963:SF20', NULL, NULL, NULL, NULL, 'BNAC03G41510D PROTEIN', NULL, NULL, NULL, 15),
(76488, NULL, 'PTHR11732:SF462', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER A1', NULL, NULL, NULL, 15),
(76489, NULL, 'PTHR24170:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 27', NULL, NULL, NULL, 15),
(76490, NULL, 'PTHR47283:SF3', NULL, NULL, NULL, NULL, 'GA REQUIRING 3-RELATED', NULL, NULL, NULL, 15),
(76491, NULL, 'PTHR47372:SF11', NULL, NULL, NULL, NULL, 'DAUER UP-REGULATED-RELATED', NULL, NULL, NULL, 15),
(76492, NULL, 'PTHR12974:SF25', NULL, NULL, NULL, NULL, 'TERMINAL NUCLEOTIDYLTRANSFERASE 5A', NULL, NULL, NULL, 15),
(76493, NULL, 'PTHR11132:SF406', NULL, NULL, NULL, NULL, 'PLASTID PHOSPHATE TRANSLOCATOR', NULL, NULL, NULL, 15),
(76494, NULL, 'PTHR11829:SF370', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN S1', NULL, NULL, NULL, 15),
(76495, NULL, 'PTHR13690:SF78', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(76496, NULL, 'PTHR48004:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76497, NULL, 'PTHR11709:SF91', NULL, NULL, NULL, NULL, 'OS09G0507300 PROTEIN', NULL, NULL, NULL, 15),
(76498, NULL, 'PTHR10209:SF534', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76499, NULL, 'PTHR45974:SF191', NULL, NULL, NULL, NULL, 'OS05G0414700 PROTEIN', NULL, NULL, NULL, 15),
(76500, NULL, 'PTHR31080:SF247', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76501, NULL, 'PTHR38932:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76502, NULL, 'PTHR11363:SF8', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L3', NULL, NULL, NULL, 15),
(76503, NULL, 'PTHR12622:SF7', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DTX1', NULL, NULL, NULL, 15),
(76504, NULL, 'PTHR31729:SF14', NULL, NULL, NULL, NULL, 'BNAA03G53850D PROTEIN', NULL, NULL, NULL, 15),
(76505, NULL, 'PTHR11909:SF148', NULL, NULL, NULL, NULL, 'PROTEIN CBG18064', NULL, NULL, NULL, 15),
(76506, NULL, 'PTHR10286', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE', NULL, NULL, 7493, 15),
(76507, NULL, 'PTHR10742:SF372', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT OXIDOREDUCTASE DBAF', NULL, NULL, NULL, 15),
(76508, NULL, 'PTHR12124:SF70', NULL, NULL, NULL, NULL, 'BNAC09G33550D PROTEIN', NULL, NULL, NULL, 15),
(76509, NULL, 'PTHR26450:SF66', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51I1', NULL, NULL, NULL, 15),
(76510, NULL, 'PTHR22874:SF1', NULL, NULL, NULL, NULL, 'ACTIVATING MOLECULE IN BECN1-REGULATED AUTOPHAGY PROTEIN 1', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76511, NULL, 'PTHR48043:SF22', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(76512, NULL, 'PTHR31003:SF36', NULL, NULL, NULL, NULL, 'BNAA08G24340D PROTEIN', NULL, NULL, NULL, 15),
(76513, NULL, 'PTHR22814:SF284', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(76514, NULL, 'PTHR10906:SF31', NULL, NULL, NULL, NULL, 'F9K20.24 PROTEIN', NULL, NULL, NULL, 15),
(76515, NULL, 'PTHR45658:SF68', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76516, NULL, 'PTHR31901:SF87', NULL, NULL, NULL, NULL, 'BNAC01G19430D PROTEIN', NULL, NULL, NULL, 15),
(76517, NULL, 'PTHR34055:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76518, NULL, 'PTHR10353:SF251', NULL, NULL, NULL, NULL, 'BNAC06G12100D PROTEIN', NULL, NULL, NULL, 15),
(76519, NULL, 'PTHR33095:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76520, NULL, 'PTHR43768:SF22', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE B', NULL, NULL, NULL, 15),
(76521, NULL, 'PTHR46301:SF40', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FAMILY, ATFBX13-LIKE PROTEIN', NULL, NULL, NULL, 15),
(76522, NULL, 'PTHR31642:SF243', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76523, NULL, 'PTHR14140:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76524, NULL, 'PTHR47950:SF19', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76525, NULL, 'PTHR48092:SF19', NULL, NULL, NULL, NULL, 'MINERALOCORTICOID RECEPTOR', NULL, NULL, NULL, 15),
(76526, NULL, 'PTHR31916:SF42', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE B-RELATED', NULL, NULL, NULL, 15),
(76527, NULL, 'PTHR37347', NULL, NULL, NULL, NULL, 'MEGAKARYOCYTE AND PLATELET INHIBITORY RECEPTOR G6B', NULL, NULL, 28776, 15),
(76528, NULL, 'PTHR11216:SF143', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(76529, NULL, 'PTHR11829:SF68', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN C1', NULL, NULL, 36192, 15),
(76530, NULL, 'PTHR38323', NULL, NULL, NULL, NULL, 'PROTEIN HEATR9', NULL, NULL, NULL, 15),
(76531, NULL, 'PTHR40515:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76532, NULL, 'PTHR43711:SF13', NULL, NULL, NULL, NULL, 'DRUG SENSORY PROTEIN A', NULL, NULL, NULL, 15),
(76533, NULL, 'PTHR10795:SF406', NULL, NULL, NULL, NULL, 'OS02G0779000 PROTEIN', NULL, NULL, NULL, 15),
(76534, NULL, 'PTHR33214:SF55', NULL, NULL, NULL, NULL, 'NODULE CYSTEINE-RICH (NCR) SECRETED PEPTIDE', NULL, NULL, NULL, 15),
(76535, NULL, 'PTHR31920:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76536, NULL, 'PTHR24015:SF356', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(76537, NULL, 'PTHR47993:SF154', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76538, NULL, 'PTHR11205:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76539, NULL, 'PTHR32444:SF82', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN S13, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(76540, NULL, 'PTHR31906:SF34', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(76541, NULL, 'PTHR21093:SF3', NULL, NULL, NULL, NULL, 'DIVERGENT PROTEIN KINASE DOMAIN 1B', NULL, NULL, NULL, 15),
(76542, NULL, 'PTHR14845:SF9', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 121', NULL, NULL, NULL, 15),
(76543, NULL, 'PTHR45628:SF9', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1S', NULL, NULL, NULL, 15),
(76544, NULL, 'PTHR10231', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-SUGAR TRANSMEMBRANE TRANSPORTER', NULL, NULL, 7054, 15),
(76545, NULL, 'PTHR13832:SF743', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76546, NULL, 'PTHR12136:SF41', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY (PH) AND LIPID-BINDING START DOMAINS-CONTAINING PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76547, NULL, 'PTHR11426:SF205', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(76548, NULL, 'PTHR48107:SF3', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(76549, NULL, 'PTHR31280:SF23', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 13', NULL, NULL, NULL, 15),
(76550, NULL, 'PTHR47993:SF92', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(76551, NULL, 'PTHR15564:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76552, NULL, 'PTHR48083:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06510)-RELATED', NULL, NULL, NULL, 15),
(76553, NULL, 'PTHR13438', NULL, NULL, NULL, NULL, 'AMINOACYL TRNA SYNTHASE COMPLEX-INTERACTING MULTIFUNCTIONAL PROTEIN', NULL, NULL, 39588, 15),
(76554, NULL, 'PTHR42731', NULL, NULL, NULL, NULL, 'SLL1084 PROTEIN', NULL, NULL, NULL, 15),
(76555, NULL, 'PTHR48002:SF111', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(76556, NULL, 'PTHR11177:SF235', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN IDGF1-RELATED', NULL, NULL, 8214, 15),
(76557, NULL, 'PTHR11712:SF333', NULL, NULL, NULL, NULL, 'BNAA02G24400D PROTEIN', NULL, NULL, NULL, 15),
(76558, NULL, 'PTHR23514:SF3', NULL, NULL, NULL, NULL, 'BYPASS OF STOP CODON PROTEIN 6', NULL, NULL, NULL, 15),
(76559, NULL, 'PTHR18884:SF68', NULL, NULL, NULL, NULL, 'SEPTIN-5', NULL, NULL, 21992, 15),
(76560, NULL, 'PTHR47327:SF17', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(76561, NULL, 'PTHR46067:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76562, NULL, 'PTHR11566:SF185', NULL, NULL, NULL, NULL, 'BNAA08G11490D PROTEIN', NULL, NULL, NULL, 15),
(76563, NULL, 'PTHR48001:SF87', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(76564, NULL, 'PTHR47992:SF116', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 12-RELATED', NULL, NULL, NULL, 15),
(76565, NULL, 'PTHR24177:SF213', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(76566, NULL, 'PTHR12673:SF258', NULL, NULL, NULL, NULL, 'SI:DKEY-91I10.2', NULL, NULL, NULL, 15),
(76567, NULL, 'PTHR12984:SF20', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(76568, NULL, 'PTHR45637:SF8', NULL, NULL, NULL, NULL, 'AGC (CAMP-DEPENDENT, CGMP-DEPENDENT AND PROTEIN KINASE C) KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76569, NULL, 'PTHR31832:SF18', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 21', NULL, NULL, NULL, 15),
(76570, NULL, 'PTHR33088:SF40', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76571, NULL, 'PTHR47375:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK (WITH NO LYSINE)-LIKE PROTEIN', NULL, NULL, NULL, 15),
(76572, NULL, 'PTHR23213:SF358', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(76573, NULL, 'PTHR13798', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF RBM PROTEIN -RELATED', NULL, NULL, NULL, 15),
(76574, NULL, 'PTHR10556:SF27', NULL, NULL, NULL, NULL, 'TRANS-2,3-ENOYL-COA REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(76575, NULL, 'PTHR11654:SF415', NULL, NULL, NULL, NULL, 'OS11G0426100 PROTEIN', NULL, NULL, NULL, 15),
(76576, NULL, 'PTHR48100:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(76577, NULL, 'PTHR45977:SF30', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(76578, NULL, 'PTHR12329:SF35', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(76579, NULL, 'PTHR12305:SF81', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 3-PHOSPHATASE AND DUAL-SPECIFICITY PROTEIN PHOSPHATASE PTEN', NULL, NULL, NULL, 15),
(76580, NULL, 'PTHR32546:SF16', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR CG31760-RELATED', NULL, NULL, NULL, 15),
(76581, NULL, 'PTHR44328', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE L1', NULL, NULL, 37502, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76582, NULL, 'PTHR11730:SF89', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER SLL0108-RELATED', NULL, NULL, NULL, 15),
(76583, NULL, 'PTHR46219:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG11142', NULL, NULL, NULL, 15),
(76584, NULL, 'PTHR27007:SF239', NULL, NULL, NULL, NULL, 'OS02G0156000 PROTEIN', NULL, NULL, NULL, 15),
(76585, NULL, 'PTHR31989:SF132', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 36', NULL, NULL, NULL, 15),
(76586, NULL, 'PTHR12542:SF92', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO70E2', NULL, NULL, NULL, 15),
(76587, NULL, 'PTHR24416:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76588, NULL, 'PTHR47327:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76589, NULL, 'PTHR46913:SF12', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL1', NULL, NULL, NULL, 15),
(76590, NULL, 'PTHR43710:SF6', NULL, NULL, NULL, NULL, 'INDOLEPYRUVATE OXIDOREDUCTASE SUBUNIT IORA', NULL, NULL, NULL, 15),
(76591, NULL, 'PTHR12243:SF46', NULL, NULL, NULL, NULL, 'LD17962P', NULL, NULL, NULL, 15),
(76592, NULL, 'PTHR13322:SF2', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(76593, NULL, 'PTHR11668:SF457', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(76594, NULL, 'PTHR19876:SF29', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(76595, NULL, 'PTHR34354', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT 7-CYANO-7-DEAZAGUANINE REDUCTASE', NULL, NULL, NULL, 15),
(76596, NULL, 'PTHR19288:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76597, NULL, 'PTHR14493:SF103', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 30', NULL, NULL, NULL, 15),
(76598, NULL, 'PTHR23049:SF34', NULL, NULL, NULL, NULL, 'MIP03207P-RELATED', NULL, NULL, NULL, 15),
(76599, NULL, 'PTHR14611:SF2', NULL, NULL, NULL, NULL, 'TECTONIC-2', NULL, NULL, NULL, 15),
(76600, NULL, 'PTHR34222:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76601, NULL, 'PTHR22426:SF4', NULL, NULL, NULL, NULL, 'LYSINE-RICH NUCLEOLAR PROTEIN 1', NULL, NULL, NULL, 15),
(76602, NULL, 'PTHR31517:SF47', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(76603, NULL, 'PTHR16983:SF27', NULL, NULL, NULL, NULL, 'LY-6/NEUROTOXIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(76604, NULL, 'PTHR28069', NULL, NULL, NULL, NULL, 'GH20023P', NULL, NULL, NULL, 15),
(76605, NULL, 'PTHR47942:SF66', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(76606, NULL, 'PTHR46058:SF22', NULL, NULL, NULL, NULL, 'BREVIS RADIX (BRX) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76607, NULL, 'PTHR31104:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76608, NULL, 'PTHR47992:SF50', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 74-RELATED', NULL, NULL, NULL, 15),
(76609, NULL, 'PTHR46756:SF2', NULL, NULL, NULL, NULL, 'CALPONIN', NULL, NULL, 22496, 15),
(76610, NULL, 'PTHR11668:SF460', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(76611, NULL, 'PTHR32266:SF10', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE 2', NULL, NULL, NULL, 15),
(76612, NULL, 'PTHR38758:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(76613, NULL, 'PTHR46140:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR TRANSPORTER CHAPERONE 2-RELATED', NULL, NULL, NULL, 15),
(76614, NULL, 'PTHR33800:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76615, NULL, 'PTHR48041:SF86', NULL, NULL, NULL, NULL, 'TRANSPORTER FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(76616, NULL, 'PTHR23415:SF40', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(76617, NULL, 'PTHR28173:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP8', NULL, NULL, NULL, 15),
(76618, NULL, 'PTHR33156:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76619, NULL, 'PTHR33755:SF6', NULL, NULL, NULL, NULL, 'TOXIN PARE1', NULL, NULL, NULL, 15),
(76620, NULL, 'PTHR33065:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76621, NULL, 'PTHR11860:SF37', NULL, NULL, NULL, NULL, 'TREM-LIKE TRANSCRIPT 1 PROTEIN', NULL, NULL, NULL, 15),
(76622, NULL, 'PTHR33103:SF66', NULL, NULL, NULL, NULL, 'DUF674 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76623, NULL, 'PTHR23262:SF203', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-9', NULL, NULL, NULL, 15),
(76624, NULL, 'PTHR12299:SF53', NULL, NULL, NULL, NULL, 'RGG REPEATS NUCLEAR RNA BINDING PROTEIN A', NULL, NULL, NULL, 15),
(76625, NULL, 'PTHR20855:SF124', NULL, NULL, NULL, NULL, 'BNAA09G41600D PROTEIN', NULL, NULL, NULL, 15),
(76626, NULL, 'PTHR12360', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR, X-BOX BINDING 1  NFX1', NULL, NULL, 36238, 15),
(76627, NULL, 'PTHR37979:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HER-1', NULL, NULL, NULL, 15),
(76628, NULL, 'PTHR19965:SF33', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4C', NULL, NULL, NULL, 15),
(76629, NULL, 'PTHR31311:SF17', NULL, NULL, NULL, NULL, 'GALACTOSYL TRANSFERASE GMA12/MNN10 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76630, NULL, 'PTHR33326:SF40', NULL, NULL, NULL, NULL, 'OS05G0543800 PROTEIN', NULL, NULL, NULL, 15),
(76631, NULL, 'PTHR43085:SF37', NULL, NULL, NULL, NULL, 'INOSINE-GUANOSINE KINASE', NULL, NULL, NULL, 15),
(76632, NULL, 'PTHR10796:SF186', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(76633, NULL, 'PTHR11877:SF29', NULL, NULL, NULL, NULL, 'OS11G0529125 PROTEIN', NULL, NULL, NULL, 15),
(76634, NULL, 'PTHR31470:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76635, NULL, 'PTHR37433:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG01446', NULL, NULL, NULL, 15),
(76636, NULL, 'PTHR12442:SF26', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 34', NULL, NULL, NULL, 15),
(76637, NULL, 'PTHR11206:SF378', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(76638, NULL, 'PTHR31500:SF52', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 4', NULL, NULL, NULL, 15),
(76639, NULL, 'PTHR12822:SF10', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', NULL, NULL, NULL, 15),
(76640, NULL, 'PTHR43323:SF4', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA SYNTHASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(76641, NULL, 'PTHR30625:SF18', NULL, NULL, NULL, NULL, 'TOLQ-RELATED', NULL, NULL, NULL, 15),
(76642, NULL, 'PTHR14132:SF11', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR 3', NULL, NULL, NULL, 15),
(76643, NULL, 'PTHR12964:SF4', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 6-LIKE', NULL, NULL, NULL, 15),
(76644, NULL, 'PTHR21256', NULL, NULL, NULL, NULL, 'HISTIDINOL DEHYDROGENASE  HDH', NULL, NULL, 14351, 15),
(76645, NULL, 'PTHR14614:SF14', NULL, NULL, NULL, NULL, 'PROTEIN N-LYSINE METHYLTRANSFERASE METTL21A', NULL, NULL, NULL, 15),
(76646, NULL, 'PTHR31080:SF211', NULL, NULL, NULL, NULL, '21 KDA PROTEIN', NULL, NULL, NULL, 15),
(76647, NULL, 'PTHR11875:SF72', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(76648, NULL, 'PTHR31631:SF4', NULL, NULL, NULL, NULL, 'OS07G0695400 PROTEIN', NULL, NULL, NULL, 15),
(76649, NULL, 'PTHR45899:SF4', NULL, NULL, NULL, NULL, 'ARF-GAP WITH RHO-GAP DOMAIN, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(76650, NULL, 'PTHR24356:SF369', NULL, NULL, NULL, NULL, 'AGC (CAMP-DEPENDENT, CGMP-DEPENDENT AND PROTEIN KINASE C) KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76651, NULL, 'PTHR11705:SF19', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE O', NULL, NULL, NULL, 15),
(76652, NULL, 'PTHR48019:SF19', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 23', NULL, NULL, NULL, 15),
(76653, NULL, 'PTHR33443:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76654, NULL, 'PTHR36943', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76655, NULL, 'PTHR32432:SF3', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTJ', NULL, NULL, NULL, 15),
(76656, NULL, 'PTHR31785', NULL, NULL, NULL, NULL, 'UPF0524 PROTEIN C3ORF70', NULL, NULL, 24638, 15),
(76657, NULL, 'PTHR32294', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT ALPHA', NULL, NULL, 4345, 15),
(76658, NULL, 'PTHR48010:SF43', NULL, NULL, NULL, NULL, 'OS10G0387400 PROTEIN', NULL, NULL, NULL, 15),
(76659, NULL, 'PTHR13121:SF0', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL GLYCAN ANCHOR BIOSYNTHESIS CLASS U PROTEIN', NULL, NULL, NULL, 15),
(76660, NULL, 'PTHR31052:SF3', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(76661, NULL, 'PTHR47997:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39', NULL, NULL, NULL, 15),
(76662, NULL, 'PTHR13266:SF1', NULL, NULL, NULL, NULL, 'PROTEASOME INHIBITOR PI31 SUBUNIT', NULL, NULL, NULL, 15),
(76663, NULL, 'PTHR11547', NULL, NULL, NULL, NULL, 'ARGININE OR CREATINE KINASE', NULL, NULL, 5194, 15),
(76664, NULL, 'PTHR30055:SF192', NULL, NULL, NULL, NULL, 'POSSIBLE TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY TETR-FAMILY)', NULL, NULL, NULL, 15),
(76665, NULL, 'PTHR45798:SF64', NULL, NULL, NULL, NULL, 'OS01G0822800 PROTEIN', NULL, NULL, NULL, 15),
(76666, NULL, 'PTHR10811:SF98', NULL, NULL, NULL, NULL, 'BNAA10G29930D PROTEIN', NULL, NULL, NULL, 15),
(76667, NULL, 'PTHR43072:SF8', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(76668, NULL, 'PTHR14917:SF2', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 7', NULL, NULL, NULL, 15),
(76669, NULL, 'PTHR32285:SF48', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 19', NULL, NULL, NULL, 15),
(76670, NULL, 'PTHR31374:SF311', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(76671, NULL, 'PTHR12022:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(76672, NULL, 'PTHR10252:SF104', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-4', NULL, NULL, NULL, 15),
(76673, NULL, 'PTHR46057:SF33', NULL, NULL, NULL, NULL, 'OS09G0433800 PROTEIN', NULL, NULL, NULL, 15),
(76674, NULL, 'PTHR46122', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76675, NULL, 'PTHR24028:SF297', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 15A', NULL, NULL, NULL, 15),
(76676, NULL, 'PTHR12778', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 33  ACETYL-COA TRANSPORTER -RELATED', NULL, NULL, 5422, 15),
(76677, NULL, 'PTHR43452:SF20', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 2', NULL, NULL, NULL, 15),
(76678, NULL, 'PTHR14224:SF30', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 7-RELATED', NULL, NULL, NULL, 15),
(76679, NULL, 'PTHR13563:SF5', NULL, NULL, NULL, NULL, 'TRNA METHYLTRANSFERASE 10 HOMOLOG C', NULL, NULL, 23227, 15),
(76680, NULL, 'PTHR46235:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DOWNY MILDEW 2', NULL, NULL, NULL, 15),
(76681, NULL, 'PTHR23176:SF8', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACH', NULL, NULL, NULL, 15),
(76682, NULL, 'PTHR33356:SF27', NULL, NULL, NULL, NULL, 'BNACNNG53800D PROTEIN', NULL, NULL, NULL, 15),
(76683, NULL, 'PTHR47370:SF3', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE HLS1-LIKE-RELATED', NULL, NULL, NULL, 15),
(76684, NULL, 'PTHR13859:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76685, NULL, 'PTHR31639:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76686, NULL, 'PTHR33136:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76687, NULL, 'PTHR43200:SF21', NULL, NULL, NULL, NULL, 'BNAC09G30760D PROTEIN', NULL, NULL, NULL, 15),
(76688, NULL, 'PTHR22847:SF612', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN CONTAINING 11', NULL, NULL, NULL, 15),
(76689, NULL, 'PTHR47990:SF28', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 4', NULL, NULL, NULL, 15),
(76690, NULL, 'PTHR47925:SF31', NULL, NULL, NULL, NULL, 'BNAC03G13650D PROTEIN', NULL, NULL, NULL, 15),
(76691, NULL, 'PTHR31155:SF22', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE 4, CHLOROPLASTIC', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76692, NULL, 'PTHR31210:SF82', NULL, NULL, NULL, NULL, 'BNACNNG10010D PROTEIN', NULL, NULL, NULL, 15),
(76693, NULL, 'PTHR10352:SF9', NULL, NULL, NULL, NULL, 'ELAV-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(76694, NULL, 'PTHR32278:SF75', NULL, NULL, NULL, NULL, 'BNAC02G47790D PROTEIN', NULL, NULL, NULL, 15),
(76695, NULL, 'PTHR34223:SF15', NULL, NULL, NULL, NULL, 'OS04G0207100 PROTEIN', NULL, NULL, NULL, 15),
(76696, NULL, 'PTHR12411:SF715', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE-LIKE', NULL, NULL, NULL, 15),
(76697, NULL, 'PTHR15185', NULL, NULL, NULL, NULL, 'BCL9', NULL, NULL, 18331, 15),
(76698, NULL, 'PTHR43620:SF17', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHORYL DIESTER PHOSPHODIESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76699, NULL, 'PTHR31741:SF88', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(76700, NULL, 'PTHR11452:SF74', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(76701, NULL, 'PTHR43381:SF18', NULL, NULL, NULL, NULL, 'BNAC08G19730D PROTEIN', NULL, NULL, NULL, 15),
(76702, NULL, 'PTHR36910:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76703, NULL, 'PTHR22379:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930407I10 GENE', NULL, NULL, NULL, 15),
(76704, NULL, 'PTHR23024:SF558', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76705, NULL, 'PTHR46315:SF1', NULL, NULL, NULL, NULL, 'SPERMINE SYNTHASE', NULL, NULL, NULL, 15),
(76706, NULL, 'PTHR13593:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76707, NULL, 'PTHR10641:SF1302', NULL, NULL, NULL, NULL, 'BNAC01G20650D PROTEIN', NULL, NULL, NULL, 15),
(76708, NULL, 'PTHR43475:SF3', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G14290)', NULL, NULL, NULL, 15),
(76709, NULL, 'PTHR32093:SF86', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(76710, NULL, 'PTHR24326:SF583', NULL, NULL, NULL, NULL, 'BNAA09G52670D PROTEIN', NULL, NULL, NULL, 15),
(76711, NULL, 'PTHR34697:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL LYSYLTRANSFERASE', NULL, NULL, NULL, 15),
(76712, NULL, 'PTHR43352', NULL, NULL, NULL, NULL, 'ACETYL-COA SYNTHETASE', NULL, NULL, NULL, 15),
(76713, NULL, 'PTHR10880:SF15', NULL, NULL, NULL, NULL, 'MORTALITY FACTOR 4-LIKE 1', NULL, NULL, NULL, 15),
(76714, NULL, 'PTHR41729:SF1', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(76715, NULL, 'PTHR11003:SF59', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 1', NULL, NULL, NULL, 15),
(76716, NULL, 'PTHR13422:SF14', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 60, MEMBER A', NULL, NULL, NULL, 15),
(76717, NULL, 'PTHR30332:SF22', NULL, NULL, NULL, NULL, 'SECRETIN XPSD', NULL, NULL, NULL, 15),
(76718, NULL, 'PTHR33021:SF386', NULL, NULL, NULL, NULL, 'BNAA02G04760D PROTEIN', NULL, NULL, NULL, 15),
(76719, NULL, 'PTHR34296', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN MED', NULL, NULL, NULL, 15),
(76720, NULL, 'PTHR34482:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76721, NULL, 'PTHR34359:SF19', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE508 PROTEIN', NULL, NULL, NULL, 15),
(76722, NULL, 'PTHR36694', NULL, NULL, NULL, NULL, 'PASIFLORA 1, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(76723, NULL, 'PTHR43051:SF2', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE ADENYLYLTRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76724, NULL, 'PTHR10343:SF84', NULL, NULL, NULL, NULL, 'ALICORN, ISOFORM A', NULL, NULL, 24788, 15),
(76725, NULL, 'PTHR19370:SF199', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE [NADH] 2', NULL, NULL, NULL, 15),
(76726, NULL, 'PTHR21512', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 9', NULL, NULL, 14492, 15),
(76727, NULL, 'PTHR34199:SF2', NULL, NULL, NULL, NULL, 'NUMOD3 MOTIF FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(76728, NULL, 'PTHR46061:SF2', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE RECEPTOR', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76729, NULL, 'PTHR12480:SF21', NULL, NULL, NULL, NULL, 'AND JMJC DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G08170)-RELATED', NULL, NULL, NULL, 15),
(76730, NULL, 'PTHR32285:SF197', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(76731, NULL, 'PTHR32289', NULL, NULL, NULL, NULL, 'PROTEIN FAM167A', NULL, NULL, NULL, 15),
(76732, NULL, 'PTHR18952:SF110', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 6', NULL, NULL, 18582, 15),
(76733, NULL, 'PTHR12247:SF131', NULL, NULL, NULL, NULL, 'LD05287P', NULL, NULL, NULL, 15),
(76734, NULL, 'PTHR10292:SF24', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(76735, NULL, 'PTHR38934:SF6', NULL, NULL, NULL, NULL, 'HYPHALLY REGULATED CELL WALL PROTEIN 1', NULL, NULL, NULL, 15),
(76736, NULL, 'PTHR46736:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76737, NULL, 'PTHR11758:SF13', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15A', NULL, NULL, NULL, 15),
(76738, NULL, 'PTHR10353:SF286', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76739, NULL, 'PTHR47975', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76740, NULL, 'PTHR48081:SF12', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13270)-RELATED', NULL, NULL, NULL, 15),
(76741, NULL, 'PTHR22792:SF62', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 6C', NULL, NULL, NULL, 15),
(76742, NULL, 'PTHR11590:SF44', NULL, NULL, NULL, NULL, 'ERYTHROCYTE MEMBRANE PROTEIN BAND 4.2', NULL, NULL, NULL, 15),
(76743, NULL, 'PTHR11668:SF412', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(76744, NULL, 'PTHR43742:SF1', NULL, NULL, NULL, NULL, 'DIMETHYL SULFOXIDE REDUCTASE CHAIN YNFF-RELATED', NULL, NULL, NULL, 15),
(76745, NULL, 'PTHR33133:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76746, NULL, 'PTHR36155:SF1', NULL, NULL, NULL, NULL, 'BLL5354 PROTEIN', NULL, NULL, NULL, 15),
(76747, NULL, 'PTHR30314:SF23', NULL, NULL, NULL, NULL, 'FTSZ1-3 PLASTID DIVISION PROTEIN', NULL, NULL, NULL, 15),
(76748, NULL, 'PTHR48014:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BLUS1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(76749, NULL, 'PTHR46220:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD12', NULL, NULL, NULL, 15),
(76750, NULL, 'PTHR33593:SF16', NULL, NULL, NULL, NULL, 'OS08G0110600 PROTEIN', NULL, NULL, NULL, 15),
(76751, NULL, 'PTHR11690:SF242', NULL, NULL, NULL, NULL, 'DEGENERIN UNC-8', NULL, NULL, NULL, 15),
(76752, NULL, 'PTHR44376:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF FILAMENTOUS GROWTH FLO8', NULL, NULL, NULL, 15),
(76753, NULL, 'PTHR42945:SF7', NULL, NULL, NULL, NULL, 'BNAC05G24080D PROTEIN', NULL, NULL, NULL, 15),
(76754, NULL, 'PTHR10983:SF2', NULL, NULL, NULL, NULL, 'ACYL-COA:LYSOPHOSPHATIDYLGLYCEROL ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(76755, NULL, 'PTHR31171:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76756, NULL, 'PTHR32467:SF171', NULL, NULL, NULL, NULL, 'BNAA06G10760D PROTEIN', NULL, NULL, NULL, 15),
(76757, NULL, 'PTHR31579:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76758, NULL, 'PTHR46446:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILI5', NULL, NULL, NULL, 15),
(76759, NULL, 'PTHR33726:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76760, NULL, 'PTHR47989:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76761, NULL, 'PTHR26379:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76762, NULL, 'PTHR19368:SF7', NULL, NULL, NULL, NULL, 'X-LINKED LYMPHOCYTE REGULATED GENE 4-RELATED', NULL, NULL, NULL, 15),
(76763, NULL, 'PTHR46092:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D11', NULL, NULL, NULL, 15),
(76764, NULL, 'PTHR30429:SF3', NULL, NULL, NULL, NULL, 'LIPOPROTEIN', NULL, NULL, NULL, 15),
(76765, NULL, 'PTHR24073:SF1129', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-5A', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76766, NULL, 'PTHR43818:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 109 PROTEIN', NULL, NULL, NULL, 15),
(76767, NULL, 'PTHR26379:SF187', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(76768, NULL, 'PTHR45889:SF3', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE 4', NULL, NULL, 27631, 15),
(76769, NULL, 'PTHR43662:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76770, NULL, 'PTHR48065:SF24', NULL, NULL, NULL, NULL, 'ERECTA-LIKE KINASE 1-LIKE', NULL, NULL, NULL, 15),
(76771, NULL, 'PTHR12549:SF56', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76772, NULL, 'PTHR35767:SF5', NULL, NULL, NULL, NULL, 'BNAA02G08800D PROTEIN', NULL, NULL, NULL, 15),
(76773, NULL, 'PTHR10174:SF211', NULL, NULL, NULL, NULL, 'ALPHA-TOCOPHEROL TRANSFER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(76774, NULL, 'PTHR32430', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(76775, NULL, 'PTHR46137:SF4', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 8', NULL, NULL, NULL, 15),
(76776, NULL, 'PTHR34411', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 30312, 15),
(76777, NULL, 'PTHR46928:SF1', NULL, NULL, NULL, NULL, 'MESENCHYME-SPECIFIC CELL SURFACE GLYCOPROTEIN', NULL, NULL, NULL, 15),
(76778, NULL, 'PTHR45705:SF7', NULL, NULL, NULL, NULL, 'ACTIVATING PROTEIN FOR ARF, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G09120)-RELATED', NULL, NULL, NULL, 15),
(76779, NULL, 'PTHR21043:SF2', NULL, NULL, NULL, NULL, 'PROTEIN IOJAP, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(76780, NULL, 'PTHR43895:SF95', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(76781, NULL, 'PTHR12329:SF44', NULL, NULL, NULL, NULL, 'MOLECULAR CHAPERONE REGULATOR BAG-1, UBIQUITIN-RELATED DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76782, NULL, 'PTHR34201:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(76783, NULL, 'PTHR21561:SF12', NULL, NULL, NULL, NULL, 'INO80 COMPLEX SUBUNIT B', NULL, NULL, NULL, 15),
(76784, NULL, 'PTHR46336:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76785, NULL, 'PTHR23237:SF10', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(76786, NULL, 'PTHR48048:SF36', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(76787, NULL, 'PTHR31044:SF92', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(76788, NULL, 'PTHR10264:SF124', NULL, NULL, NULL, NULL, 'GH04404P1', NULL, NULL, NULL, 15),
(76789, NULL, 'PTHR46018:SF3', NULL, NULL, NULL, NULL, 'ARYLSULFATASE', NULL, NULL, NULL, 15),
(76790, NULL, 'PTHR12544:SF7', NULL, NULL, NULL, NULL, 'GLUTAMINASE 2-RELATED', NULL, NULL, NULL, 15),
(76791, NULL, 'PTHR32507', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER 1', NULL, NULL, NULL, 15),
(76792, NULL, 'PTHR24241:SF22', NULL, NULL, NULL, NULL, 'GONADOTROPIN-RELEASING HORMONE RECEPTOR', NULL, NULL, NULL, 15),
(76793, NULL, 'PTHR11360:SF14', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 5', NULL, NULL, NULL, 15),
(76794, NULL, 'PTHR35449', NULL, NULL, NULL, NULL, 'PROTEIN SIX6OS1', NULL, NULL, 27264, 15),
(76795, NULL, 'PTHR10210:SF104', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76796, NULL, 'PTHR31010:SF2', NULL, NULL, NULL, NULL, 'RAN-SPECIFIC GTPASE-ACTIVATING PROTEIN 30', NULL, NULL, NULL, 15),
(76797, NULL, 'PTHR23351:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAYAK, ISOFORMS A/B/F', NULL, NULL, NULL, 15),
(76798, NULL, 'PTHR43768:SF23', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE 1-RELATED', NULL, NULL, NULL, 15),
(76799, NULL, 'PTHR19855:SF16', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(76800, NULL, 'PTHR36852:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GVPL 2', NULL, NULL, NULL, 15),
(76801, NULL, 'PTHR43344:SF12', NULL, NULL, NULL, NULL, 'OS12G0502400 PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76802, NULL, 'PTHR24221:SF450', NULL, NULL, NULL, NULL, 'ATRH', NULL, NULL, NULL, 15),
(76803, NULL, 'PTHR11693:SF29', NULL, NULL, NULL, NULL, 'ATP SYNTHASE GAMMA CHAIN, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(76804, NULL, 'PTHR30329:SF16', NULL, NULL, NULL, NULL, 'CHEMOTAXIS MOTB PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76805, NULL, 'PTHR12210:SF127', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(76806, NULL, 'PTHR46212', NULL, NULL, NULL, NULL, 'PEFLIN', NULL, NULL, NULL, 15),
(76807, NULL, 'PTHR10445:SF0', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIF SUBUNIT 2', NULL, NULL, NULL, 15),
(76808, NULL, 'PTHR48049:SF9', NULL, NULL, NULL, NULL, 'BNAC03G71870D PROTEIN', NULL, NULL, NULL, 15),
(76809, NULL, 'PTHR19134:SF431', NULL, NULL, NULL, NULL, 'PROTEIN CBG16631', NULL, NULL, NULL, 15),
(76810, NULL, 'PTHR37435:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76811, NULL, 'PTHR43411:SF5', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE LYASE', NULL, NULL, NULL, 15),
(76812, NULL, 'PTHR16134:SF95', NULL, NULL, NULL, NULL, 'BNAA03G57270D PROTEIN', NULL, NULL, NULL, 15),
(76813, NULL, 'PTHR11723:SF6', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN INHIBITOR ID-4', NULL, NULL, NULL, 15),
(76814, NULL, 'PTHR10131:SF65', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN DG17-RELATED', NULL, NULL, NULL, 15),
(76815, NULL, 'PTHR23202:SF82', NULL, NULL, NULL, NULL, 'AGAP000559-PA', NULL, NULL, NULL, 15),
(76816, NULL, 'PTHR22870:SF400', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76817, NULL, 'PTHR45613:SF286', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76818, NULL, 'PTHR11353:SF195', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76819, NULL, 'PTHR12143:SF27', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G10520)', NULL, NULL, NULL, 15),
(76820, NULL, 'PTHR31852:SF3', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(76821, NULL, 'PTHR46032:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76822, NULL, 'PTHR46117:SF2', NULL, NULL, NULL, NULL, 'UPSTREAM STIMULATORY FACTOR 2', NULL, NULL, NULL, 15),
(76823, NULL, 'PTHR10956:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76824, NULL, 'PTHR32031:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76825, NULL, 'PTHR15036:SF39', NULL, NULL, NULL, NULL, 'INTESTINAL NEUREXIN-LIKE', NULL, NULL, NULL, 15),
(76826, NULL, 'PTHR37209:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN ALGP', NULL, NULL, NULL, 15),
(76827, NULL, 'PTHR36693:SF1', NULL, NULL, NULL, NULL, 'GH02722P', NULL, NULL, NULL, 15),
(76828, NULL, 'PTHR41693:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-243A20.3', NULL, NULL, NULL, 15),
(76829, NULL, 'PTHR10039', NULL, NULL, NULL, NULL, 'AMELOGENIN', NULL, NULL, NULL, 15),
(76830, NULL, 'PTHR34565:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76831, NULL, 'PTHR10795:SF637', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE II-RELATED', NULL, NULL, NULL, 15),
(76832, NULL, 'PTHR12203:SF74', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(76833, NULL, 'PTHR32166:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76834, NULL, 'PTHR47293:SF42', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 1-LIKE', NULL, NULL, NULL, 15),
(76835, NULL, 'PTHR31790:SF404', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76836, NULL, 'PTHR47750:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76837, NULL, 'PTHR45680:SF22', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(76838, NULL, 'PTHR10332:SF63', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 2', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76839, NULL, 'PTHR12080:SF18', NULL, NULL, NULL, NULL, 'SLAM FAMILY MEMBER 9', NULL, NULL, NULL, 15),
(76840, NULL, 'PTHR45633:SF32', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60-LIKE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(76841, NULL, 'PTHR11802:SF331', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(76842, NULL, 'PTHR23064:SF42', NULL, NULL, NULL, NULL, 'CALPAIN SMALL SUBUNIT 1', NULL, NULL, NULL, 15),
(76843, NULL, 'PTHR31338:SF21', NULL, NULL, NULL, NULL, 'LATEX PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(76844, NULL, 'PTHR24221:SF455', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN PGP-3', NULL, NULL, NULL, 15),
(76845, NULL, 'PTHR45828:SF13', NULL, NULL, NULL, NULL, 'REELIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(76846, NULL, 'PTHR31763:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689766', NULL, NULL, NULL, 15),
(76847, NULL, 'PTHR32246:SF135', NULL, NULL, NULL, NULL, 'BNAC05G05100D PROTEIN', NULL, NULL, NULL, 15),
(76848, NULL, 'PTHR10066:SF67', NULL, NULL, NULL, NULL, 'BETA-GLUCURONIDASE-RELATED', NULL, NULL, NULL, 15),
(76849, NULL, 'PTHR12358:SF83', NULL, NULL, NULL, NULL, 'SPHINGOSINE KINASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(76850, NULL, 'PTHR45830:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(76851, NULL, 'PTHR45675:SF73', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(76852, NULL, 'PTHR12265:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG03928', NULL, NULL, NULL, 15),
(76853, NULL, 'PTHR33172:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76854, NULL, 'PTHR31087:SF107', NULL, NULL, NULL, NULL, 'OS01G0931600 PROTEIN', NULL, NULL, NULL, 15),
(76855, NULL, 'PTHR11610:SF105', NULL, NULL, NULL, NULL, 'VITELLOGENIN-2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(76856, NULL, 'PTHR24114:SF30', NULL, NULL, NULL, NULL, 'RICH REPEAT AND NACHT DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(76857, NULL, 'PTHR31681:SF53', NULL, NULL, NULL, NULL, 'BNAC05G03620D PROTEIN', NULL, NULL, NULL, 15),
(76858, NULL, 'PTHR17608:SF4', NULL, NULL, NULL, NULL, 'GENETIC SUPPRESSOR ELEMENT 1', NULL, NULL, NULL, 15),
(76859, NULL, 'PTHR48012:SF13', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE KINASE', NULL, NULL, NULL, 15),
(76860, NULL, 'PTHR22792:SF109', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 6C-LIKE', NULL, NULL, NULL, 15),
(76861, NULL, 'PTHR31060:SF5', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(76862, NULL, 'PTHR11141:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', NULL, NULL, NULL, 15),
(76863, NULL, 'PTHR33167:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(76864, NULL, 'PTHR48064', NULL, NULL, NULL, NULL, 'OS01G0750400 PROTEIN', NULL, NULL, NULL, 15),
(76865, NULL, 'PTHR46547:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GIS', NULL, NULL, NULL, 15),
(76866, NULL, 'PTHR46162:SF39', NULL, NULL, NULL, NULL, 'BNAC05G50540D PROTEIN', NULL, NULL, NULL, 15),
(76867, NULL, 'PTHR22595:SF168', NULL, NULL, NULL, NULL, 'BNAC03G24270D PROTEIN', NULL, NULL, NULL, 15),
(76868, NULL, 'PTHR46221:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBR-FRM-8', NULL, NULL, NULL, 15),
(76869, NULL, 'PTHR42886:SF64', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(76870, NULL, 'PTHR47926:SF171', NULL, NULL, NULL, NULL, 'OS04G0432800 PROTEIN', NULL, NULL, NULL, 15),
(76871, NULL, 'PTHR10334:SF420', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1-15', NULL, NULL, NULL, 15),
(76872, NULL, 'PTHR11909:SF418', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76873, NULL, 'PTHR36879', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 4', NULL, NULL, 29470, 15),
(76874, NULL, 'PTHR43205:SF7', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN REDUCTASE 1', NULL, NULL, NULL, 15),
(76875, NULL, 'PTHR23036:SF171', NULL, NULL, NULL, NULL, 'INTERLEUKIN-12 SUBUNIT BETA', NULL, NULL, NULL, 15),
(76876, NULL, 'PTHR31062:SF172', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76877, NULL, 'PTHR31378', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(76878, NULL, 'PTHR44427:SF16', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC BETA-1-GLYCOPROTEIN 1', NULL, NULL, NULL, 15),
(76879, NULL, 'PTHR31375:SF216', NULL, NULL, NULL, NULL, 'BNAANNG19420D PROTEIN', NULL, NULL, NULL, 15),
(76880, NULL, 'PTHR19134:SF509', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE 2', NULL, NULL, NULL, 15),
(76881, NULL, 'PTHR46093:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(76882, NULL, 'PTHR12725:SF116', NULL, NULL, NULL, NULL, 'BNAA10G27270D PROTEIN', NULL, NULL, NULL, 15),
(76883, NULL, 'PTHR19920:SF2', NULL, NULL, NULL, NULL, 'CYTOSOLIC IRON-SULFUR PROTEIN ASSEMBLY PROTEIN CIAO1 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(76884, NULL, 'PTHR24073:SF1137', NULL, NULL, NULL, NULL, 'BNAANNG05430D PROTEIN', NULL, NULL, NULL, 15),
(76885, NULL, 'PTHR32468:SF97', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', NULL, NULL, NULL, 15),
(76886, NULL, 'PTHR23267:SF309', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-33-RELATED', NULL, NULL, NULL, 15),
(76887, NULL, 'PTHR47172:SF14', NULL, NULL, NULL, NULL, 'BNAC07G33440D PROTEIN', NULL, NULL, NULL, 15),
(76888, NULL, 'PTHR33048:SF124', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(76889, NULL, 'PTHR10881:SF63', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 8A', NULL, NULL, NULL, 15),
(76890, NULL, 'PTHR45649:SF27', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(76891, NULL, 'PTHR11705:SF16', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE A5', NULL, NULL, NULL, 15),
(76892, NULL, 'PTHR15099:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 11, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(76893, NULL, 'PTHR12629:SF68', NULL, NULL, NULL, NULL, 'BNAC05G49550D PROTEIN', NULL, NULL, NULL, 15),
(76894, NULL, 'PTHR15093', NULL, NULL, NULL, NULL, 'PROSTATE APOPTOSIS RESPONSE PROTEIN PAR-4', NULL, NULL, 27734, 15),
(76895, NULL, 'PTHR11005:SF100', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(76896, NULL, 'PTHR35127:SF3', NULL, NULL, NULL, NULL, 'BNAA09G35810D PROTEIN', NULL, NULL, NULL, 15),
(76897, NULL, 'PTHR31769:SF49', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(76898, NULL, 'PTHR14978:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76899, NULL, 'PTHR23003', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF  RRM  DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(76900, NULL, 'PTHR47652:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76901, NULL, 'PTHR24051:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG11546', NULL, NULL, NULL, 15),
(76902, NULL, 'PTHR31929:SF72', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-INDUCED PROTEIN ARG7-LIKE', NULL, NULL, NULL, 15),
(76903, NULL, 'PTHR23273:SF47', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT A', NULL, NULL, NULL, 15),
(76904, NULL, 'PTHR22765:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76905, NULL, 'PTHR33979:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76906, NULL, 'PTHR42647:SF50', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BOI-LIKE', NULL, NULL, NULL, 15),
(76907, NULL, 'PTHR11560:SF12', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L10, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(76908, NULL, 'PTHR45988:SF53', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT9-LIKE', NULL, NULL, NULL, 15),
(76909, NULL, 'PTHR26452:SF131', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 310', NULL, NULL, NULL, 15),
(76910, NULL, 'PTHR22536:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 19A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(76911, NULL, 'PTHR19331:SF439', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CYSTEINE-RICH DOMAIN-CONTAINING GROUP B PROTEIN', NULL, NULL, NULL, 15),
(76912, NULL, 'PTHR24377:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 317', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76913, NULL, 'PTHR43625:SF33', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 2 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(76914, NULL, 'PTHR11592:SF115', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(76915, NULL, 'PTHR33101:SF60', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76916, NULL, 'PTHR24223:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76917, NULL, 'PTHR10126:SF56', NULL, NULL, NULL, NULL, 'TATA-BOX-BINDING PROTEIN', NULL, NULL, NULL, 15),
(76918, NULL, 'PTHR31190:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76919, NULL, 'PTHR13980', NULL, NULL, NULL, NULL, 'CDC68 RELATED', NULL, NULL, 35018, 15),
(76920, NULL, 'PTHR17575:SF0', NULL, NULL, NULL, NULL, 'UROCORTIN-2', NULL, NULL, 9193, 15),
(76921, NULL, 'PTHR45735:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76922, NULL, 'PTHR26450:SF109', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(76923, NULL, 'PTHR31086:SF53', NULL, NULL, NULL, NULL, 'ALUMINUM ACTIVATED MALATE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(76924, NULL, 'PTHR14432:SF6', NULL, NULL, NULL, NULL, '5-AZACYTIDINE-INDUCED PROTEIN 2', NULL, NULL, NULL, 15),
(76925, NULL, 'PTHR35453:SF1', NULL, NULL, NULL, NULL, 'PROSTATE ANDROGEN-REGULATED MUCIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(76926, NULL, 'PTHR13808:SF42', NULL, NULL, NULL, NULL, 'BNAA07G25130D PROTEIN', NULL, NULL, NULL, 15),
(76927, NULL, 'PTHR34959', NULL, NULL, NULL, NULL, 'PROTEIN LAZY 1', NULL, NULL, 33970, 15),
(76928, NULL, 'PTHR30570:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SPHX', NULL, NULL, NULL, 15),
(76929, NULL, 'PTHR46119:SF20', NULL, NULL, NULL, NULL, 'CHLOROPLAST-TARGETED COPPER CHAPERONE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76930, NULL, 'PTHR47966:SF28', NULL, NULL, NULL, NULL, 'OS01G0290000 PROTEIN', NULL, NULL, NULL, 15),
(76931, NULL, 'PTHR11206:SF381', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(76932, NULL, 'PTHR38775', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, 10036, 15),
(76933, NULL, 'PTHR10454:SF34', NULL, NULL, NULL, NULL, 'CASPASE-1', NULL, NULL, NULL, 15),
(76934, NULL, 'PTHR11699:SF182', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 2 MEMBER C4', NULL, NULL, NULL, 15),
(76935, NULL, 'PTHR10504:SF142', NULL, NULL, NULL, NULL, 'UPF0522 PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(76936, NULL, 'PTHR38445:SF9', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR YTRA', NULL, NULL, NULL, 15),
(76937, NULL, 'PTHR21576:SF126', NULL, NULL, NULL, NULL, 'NODULIN-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76938, NULL, 'PTHR22902:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76939, NULL, 'PTHR38527:SF5', NULL, NULL, NULL, NULL, 'BNAC03G71280D PROTEIN', NULL, NULL, NULL, 15),
(76940, NULL, 'PTHR11559:SF240', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(76941, NULL, 'PTHR13976:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76942, NULL, 'PTHR14326:SF42', NULL, NULL, NULL, NULL, 'CELL CYCLE REGULATED MICROTUBULE ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(76943, NULL, 'PTHR20957:SF0', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 48', NULL, NULL, NULL, 15),
(76944, NULL, 'PTHR31297:SF17', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76945, NULL, 'PTHR22945:SF41', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(76946, NULL, 'PTHR48032:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MUSASHI HOMOLOG 1', NULL, NULL, NULL, 15),
(76947, NULL, 'PTHR43160:SF4', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE B', NULL, NULL, NULL, 15),
(76948, NULL, 'PTHR34657:SF12', NULL, NULL, NULL, NULL, 'BNAC05G02230D PROTEIN', NULL, NULL, NULL, 15),
(76949, NULL, 'PTHR16160:SF1', NULL, NULL, NULL, NULL, 'FERMITIN FAMILY HOMOLOG 3', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76950, NULL, 'PTHR23070:SF118', NULL, NULL, NULL, NULL, 'OS05G0588850 PROTEIN', NULL, NULL, NULL, 15),
(76951, NULL, 'PTHR31218:SF297', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(76952, NULL, 'PTHR33103:SF51', NULL, NULL, NULL, NULL, 'OS09G0544700 PROTEIN', NULL, NULL, NULL, 15),
(76953, NULL, 'PTHR22648:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION/ANTITERMINATION PROTEIN NUSA', NULL, NULL, NULL, 15),
(76954, NULL, 'PTHR32191:SF78', NULL, NULL, NULL, NULL, 'BNAA03G48970D PROTEIN', NULL, NULL, NULL, 15),
(76955, NULL, 'PTHR11388:SF76', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', NULL, NULL, NULL, 15),
(76956, NULL, 'PTHR24133:SF36', NULL, NULL, NULL, NULL, 'ANKYRIN-2', NULL, NULL, NULL, 15),
(76957, NULL, 'PTHR34023:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(76958, NULL, 'PTHR32343:SF60', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 10', NULL, NULL, NULL, 15),
(76959, NULL, 'PTHR43621:SF1', NULL, NULL, NULL, NULL, 'ALKYLDIHYDROXYACETONEPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(76960, NULL, 'PTHR11091', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, 2412, 15),
(76961, NULL, 'PTHR32196', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YPHD-RELATED-RELATED', NULL, NULL, NULL, 15),
(76962, NULL, 'PTHR24381:SF57', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 566', NULL, NULL, NULL, 15),
(76963, NULL, 'PTHR10795:SF382', NULL, NULL, NULL, NULL, 'OS06G0624100 PROTEIN', NULL, NULL, NULL, 15),
(76964, NULL, 'PTHR37185', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76965, NULL, 'PTHR33326:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76966, NULL, 'PTHR12892:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG01704', NULL, NULL, NULL, 15),
(76967, NULL, 'PTHR11964:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(76968, NULL, 'PTHR43895:SF47', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(76969, NULL, 'PTHR11165:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76970, NULL, 'PTHR24349:SF127', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 22', NULL, NULL, NULL, 15),
(76971, NULL, 'PTHR13050', NULL, NULL, NULL, NULL, 'USE1-LIKE PROTEIN', NULL, NULL, 18907, 15),
(76972, NULL, 'PTHR43464:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76973, NULL, 'PTHR47958:SF89', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX20-RELATED', NULL, NULL, NULL, 15),
(76974, NULL, 'PTHR37764:SF1', NULL, NULL, NULL, NULL, 'KETOSE/ALDOSE ISOMERASE, PUTATIVE (MOG1/PSBP/DUF1795-LIKE PHOTOSYSTEM II REACTION CENTER PSBP FAMILY PROTEIN)-RELATED', NULL, NULL, NULL, 15),
(76975, NULL, 'PTHR37193', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYL-GLYCOPROTEIN 2-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(76976, NULL, 'PTHR45714:SF25', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX15', NULL, NULL, NULL, 15),
(76977, NULL, 'PTHR47900', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 131A', NULL, NULL, NULL, 15),
(76978, NULL, 'PTHR11781', NULL, NULL, NULL, NULL, 'IODOTHYRONINE DEIODINASE', NULL, NULL, 4382, 15),
(76979, NULL, 'PTHR11629:SF90', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(76980, NULL, 'PTHR43768', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', NULL, NULL, 38632, 15),
(76981, NULL, 'PTHR24055:SF496', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(76982, NULL, 'PTHR34366:SF9', NULL, NULL, NULL, NULL, 'OS03G0304200 PROTEIN', NULL, NULL, NULL, 15),
(76983, NULL, 'PTHR33142:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(76984, NULL, 'PTHR43329:SF88', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', NULL, NULL, NULL, 15),
(76985, NULL, 'PTHR46775:SF2', NULL, NULL, NULL, NULL, 'GBF-INTERACTING PROTEIN 1-LIKE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(76986, NULL, 'PTHR15913', NULL, NULL, NULL, NULL, 'ACID CLUSTER PROTEIN 33', NULL, NULL, 24446, 15),
(76987, NULL, 'PTHR33701:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(76988, NULL, 'PTHR31165:SF51', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 6', NULL, NULL, NULL, 15),
(76989, NULL, 'PTHR31707:SF314', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', NULL, NULL, NULL, 15),
(76990, NULL, 'PTHR37701:SF11', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(76991, NULL, 'PTHR36486:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(76992, NULL, 'PTHR11808:SF35', NULL, NULL, NULL, NULL, 'ENZYME FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G13810)-RELATED', NULL, NULL, NULL, 15),
(76993, NULL, 'PTHR38453:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(76994, NULL, 'PTHR23308:SF36', NULL, NULL, NULL, NULL, 'SMAD NUCLEAR-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(76995, NULL, 'PTHR47122:SF5', NULL, NULL, NULL, NULL, 'TRF-LIKE 8', NULL, NULL, NULL, 15),
(76996, NULL, 'PTHR38422:SF1', NULL, NULL, NULL, NULL, 'SOMETHING ABOUT SILENCING PROTEIN 4', NULL, NULL, NULL, 15),
(76997, NULL, 'PTHR11795:SF451', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(76998, NULL, 'PTHR10353:SF255', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1-RELATED', NULL, NULL, NULL, 15),
(76999, NULL, 'PTHR28615', NULL, NULL, NULL, NULL, 'PAK4-INHIBITOR INKA1-RELATED', NULL, NULL, 35836, 15),
(77000, NULL, 'PTHR10075:SF80', NULL, NULL, NULL, NULL, 'PROTEIN CBR-LAD-2', NULL, NULL, NULL, 15),
(77001, NULL, 'PTHR12281:SF10', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(77002, NULL, 'PTHR34191:SF19', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(77003, NULL, 'PTHR43523:SF20', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(77004, NULL, 'PTHR10956', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L31', NULL, NULL, 2559, 15),
(77005, NULL, 'PTHR22883:SF338', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(77006, NULL, 'PTHR47993:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77007, NULL, 'PTHR11570:SF26', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', NULL, NULL, NULL, 15),
(77008, NULL, 'PTHR22906:SF21', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR PROPERDIN-RELATED', NULL, NULL, NULL, 15),
(77009, NULL, 'PTHR10071:SF322', NULL, NULL, NULL, NULL, 'ERYTHROID-LIKE TRANSCRIPTION FACTOR FAMILY', NULL, NULL, NULL, 15),
(77010, NULL, 'PTHR31899:SF14', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(77011, NULL, 'PTHR24412:SF162', NULL, NULL, NULL, NULL, 'KELCH-LIKE ECH-ASSOCIATED PROTEIN 1', NULL, NULL, 24718, 15),
(77012, NULL, 'PTHR45616:SF49', NULL, NULL, NULL, NULL, 'KRT85 PROTEIN', NULL, NULL, NULL, 15),
(77013, NULL, 'PTHR24403:SF79', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 438', NULL, NULL, NULL, 15),
(77014, NULL, 'PTHR11783:SF233', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(77015, NULL, 'PTHR11042:SF138', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE IKS1-RELATED', NULL, NULL, NULL, 15),
(77016, NULL, 'PTHR46408:SF4', NULL, NULL, NULL, NULL, 'STORAGE PROTEIN ACTIVATOR', NULL, NULL, NULL, 15),
(77017, NULL, 'PTHR15711:SF17', NULL, NULL, NULL, NULL, 'RAP1 GTPASE-ACTIVATING PROTEIN 2', NULL, NULL, NULL, 15),
(77018, NULL, 'PTHR11258:SF16', NULL, NULL, NULL, NULL, '2''-5''-OLIGOADENYLATE SYNTHASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(77019, NULL, 'PTHR23177:SF70', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN WITH PAK-BOX/P21-RHO-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(77020, NULL, 'PTHR24298:SF442', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 93 SUBFAMILY D POLYPEPTIDE 1', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77021, NULL, 'PTHR23262:SF194', NULL, NULL, NULL, NULL, 'MCG54361', NULL, NULL, NULL, 15),
(77022, NULL, 'PTHR11615:SF296', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4B2', NULL, NULL, NULL, 15),
(77023, NULL, 'PTHR34223:SF34', NULL, NULL, NULL, NULL, 'OS08G0197100 PROTEIN', NULL, NULL, NULL, 15),
(77024, NULL, 'PTHR46124:SF2', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE', NULL, NULL, NULL, 15),
(77025, NULL, 'PTHR43493:SF9', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 4 SUBUNIT A', NULL, NULL, 4837, 15),
(77026, NULL, 'PTHR45683:SF5', NULL, NULL, NULL, NULL, 'OS02G0225000 PROTEIN', NULL, NULL, NULL, 15),
(77027, NULL, 'PTHR22952:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77028, NULL, 'PTHR33836:SF14', NULL, NULL, NULL, NULL, 'BNACNNG31850D PROTEIN', NULL, NULL, NULL, 15),
(77029, NULL, 'PTHR31218:SF167', NULL, NULL, NULL, NULL, 'PH-RESPONSE TRANSCRIPTION FACTOR PACC/RIM101 ISOFORM 1', NULL, NULL, NULL, 15),
(77030, NULL, 'PTHR48039:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN 14B', NULL, NULL, NULL, 15),
(77031, NULL, 'PTHR11945:SF451', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL28', NULL, NULL, NULL, 15),
(77032, NULL, 'PTHR47087:SF3', NULL, NULL, NULL, NULL, 'METHIONINE S-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(77033, NULL, 'PTHR11214:SF129', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE GALT1', NULL, NULL, NULL, 15),
(77034, NULL, 'PTHR24009:SF25', NULL, NULL, NULL, NULL, 'BNAANNG32340D PROTEIN', NULL, NULL, NULL, 15),
(77035, NULL, 'PTHR24073:SF897', NULL, NULL, NULL, NULL, 'RAB38C, MEMBER OF RAS ONCOGENE FAMILY-RELATED', NULL, NULL, NULL, 15),
(77036, NULL, 'PTHR46128:SF100', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MRL1, CHLOROPLASTIC ISOFORM X1', NULL, NULL, NULL, 15),
(77037, NULL, 'PTHR47438:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE METABOLISM PROTEIN 8-RELATED', NULL, NULL, NULL, 15),
(77038, NULL, 'PTHR24343:SF397', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(77039, NULL, 'PTHR23043:SF33', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN-CONTAINING PROTEIN 4A-RELATED', NULL, NULL, NULL, 15),
(77040, NULL, 'PTHR13265:SF2', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(77041, NULL, 'PTHR24326:SF341', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX24', NULL, NULL, NULL, 15),
(77042, NULL, 'PTHR32141:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77043, NULL, 'PTHR13026:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA PROCESSING PROTEIN 1 HOMOLOG A', NULL, NULL, NULL, 15),
(77044, NULL, 'PTHR48021', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77045, NULL, 'PTHR45631:SF29', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(77046, NULL, 'PTHR10288:SF244', NULL, NULL, NULL, NULL, 'BNAC06G29780D PROTEIN', NULL, NULL, NULL, 15),
(77047, NULL, 'PTHR10551:SF23', NULL, NULL, NULL, NULL, 'FASCIN', NULL, NULL, 24800, 15),
(77048, NULL, 'PTHR34819:SF3', NULL, NULL, NULL, NULL, 'LARGE CYSTEINE-RICH PERIPLASMIC PROTEIN OMCB', NULL, NULL, NULL, 15),
(77049, NULL, 'PTHR24226:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED ESTROGEN RECEPTOR 1', NULL, NULL, NULL, 15),
(77050, NULL, 'PTHR14058', NULL, NULL, NULL, NULL, 'AMYLOID BETA A4 PRECURSOR PROTEIN-BINDING FAMILY B', NULL, NULL, 36409, 15),
(77051, NULL, 'PTHR12537:SF171', NULL, NULL, NULL, NULL, 'BNAA10G12580D PROTEIN', NULL, NULL, NULL, 15),
(77052, NULL, 'PTHR37515:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77053, NULL, 'PTHR24349:SF296', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 17-LIKE', NULL, NULL, NULL, 15),
(77054, NULL, 'PTHR24033:SF184', NULL, NULL, NULL, NULL, 'PROTEIN CBG20569', NULL, NULL, NULL, 15),
(77055, NULL, 'PTHR24123:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77056, NULL, 'PTHR11670:SF62', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE 1', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77057, NULL, 'PTHR33373:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77058, NULL, 'PTHR11670:SF54', NULL, NULL, NULL, NULL, 'IRON REGULATORY PROTEIN 1A-RELATED', NULL, NULL, NULL, 15),
(77059, NULL, 'PTHR11467:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77060, NULL, 'PTHR12157:SF24', NULL, NULL, NULL, NULL, 'FIFE, ISOFORM D', NULL, NULL, NULL, 15),
(77061, NULL, 'PTHR10209:SF714', NULL, NULL, NULL, NULL, '4-HYDROXYLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(77062, NULL, 'PTHR11003:SF147', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(77063, NULL, 'PTHR48040:SF26', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 34', NULL, NULL, NULL, 15),
(77064, NULL, 'PTHR23023:SF51', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', NULL, NULL, NULL, 15),
(77065, NULL, 'PTHR31133:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77066, NULL, 'PTHR11003:SF307', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(77067, NULL, 'PTHR46991:SF26', NULL, NULL, NULL, NULL, 'BNAA06G35710D PROTEIN', NULL, NULL, NULL, 15),
(77068, NULL, 'PTHR42307:SF2', NULL, NULL, NULL, NULL, 'PUP DEAMIDASE/DEPUPYLASE', NULL, NULL, NULL, 15),
(77069, NULL, 'PTHR43706:SF20', NULL, NULL, NULL, NULL, 'EXTERNAL ALTERNATIVE NAD(P)H-UBIQUINONE OXIDOREDUCTASE B1 MITOCHONDRIAL', NULL, NULL, NULL, 15),
(77070, NULL, 'PTHR11477:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR TFIIS-LIKE', NULL, NULL, NULL, 15),
(77071, NULL, 'PTHR47997:SF48', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(77072, NULL, 'PTHR48053:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77073, NULL, 'PTHR46158:SF4', NULL, NULL, NULL, NULL, 'OS06G0340200 PROTEIN', NULL, NULL, NULL, 15),
(77074, NULL, 'PTHR14955', NULL, NULL, NULL, NULL, 'RETINOIC ACID INDUCED 1/TRANSCRIPTION FACTOR 20', NULL, NULL, NULL, 15),
(77075, NULL, 'PTHR26453:SF285', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(77076, NULL, 'PTHR24286:SF49', NULL, NULL, NULL, NULL, 'INACTIVE LINOLENATE HYDROPEROXIDE LYASE-RELATED', NULL, NULL, NULL, 15),
(77077, NULL, 'PTHR15904:SF17', NULL, NULL, NULL, NULL, 'AGAP005617-PA', NULL, NULL, NULL, 15),
(77078, NULL, 'PTHR41733', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED/TRANSLATION ELONGATION FACTOR EF1B, N-TERMINAL, EUKARYOTE', NULL, NULL, NULL, 15),
(77079, NULL, 'PTHR27006:SF294', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE CES101', NULL, NULL, NULL, 15),
(77080, NULL, 'PTHR36486:SF2', NULL, NULL, NULL, NULL, 'OS01G0977800 PROTEIN', NULL, NULL, NULL, 15),
(77081, NULL, 'PTHR11710:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19-3', NULL, NULL, NULL, 15),
(77082, NULL, 'PTHR31194:SF119', NULL, NULL, NULL, NULL, 'BNAA03G48270D PROTEIN', NULL, NULL, NULL, 15),
(77083, NULL, 'PTHR30363:SF49', NULL, NULL, NULL, NULL, 'L-FUCOSE OPERON ACTIVATOR', NULL, NULL, NULL, 15),
(77084, NULL, 'PTHR19305:SF4', NULL, NULL, NULL, NULL, 'SYNAPTOSOMAL-ASSOCIATED PROTEIN 23', NULL, NULL, NULL, 15),
(77085, NULL, 'PTHR46354:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBP-1B(C38)-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(77086, NULL, 'PTHR22951:SF66', NULL, NULL, NULL, NULL, 'BNAC09G00100D PROTEIN', NULL, NULL, NULL, 15),
(77087, NULL, 'PTHR45651:SF40', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 19-RELATED', NULL, NULL, NULL, 15),
(77088, NULL, 'PTHR16166:SF113', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13C-RELATED', NULL, NULL, NULL, 15),
(77089, NULL, 'PTHR24083:SF47', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 2 GROUP F MEMBER 5', NULL, NULL, NULL, 15),
(77090, NULL, 'PTHR11178:SF47', NULL, NULL, NULL, NULL, 'BNACNNG49720D PROTEIN', NULL, NULL, NULL, 15),
(77091, NULL, 'PTHR11690:SF237', NULL, NULL, NULL, NULL, 'NACH, ISOFORM E-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77092, NULL, 'PTHR15860:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77093, NULL, 'PTHR12394:SF4', NULL, NULL, NULL, NULL, 'FASCICULATION AND ELONGATION PROTEIN ZETA-1', NULL, NULL, 18295, 15),
(77094, NULL, 'PTHR10357', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(77095, NULL, 'PTHR31549:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77096, NULL, 'PTHR30383:SF25', NULL, NULL, NULL, NULL, 'SLR1119 PROTEIN', NULL, NULL, NULL, 15),
(77097, NULL, 'PTHR33295', NULL, NULL, NULL, NULL, 'ATPASE', NULL, NULL, NULL, 15),
(77098, NULL, 'PTHR31775:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77099, NULL, 'PTHR45946', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ROUGH-RELATED', NULL, NULL, 36553, 15),
(77100, NULL, 'PTHR45791:SF7', NULL, NULL, NULL, NULL, 'CALCIUM AND INTEGRIN-BINDING FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(77101, NULL, 'PTHR31189:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77102, NULL, 'PTHR48043:SF95', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(77103, NULL, 'PTHR17616:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COACTIVATOR YAP1', NULL, NULL, NULL, 15),
(77104, NULL, 'PTHR10177:SF363', NULL, NULL, NULL, NULL, 'CYCLIN D3', NULL, NULL, NULL, 15),
(77105, NULL, 'PTHR12537:SF119', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(77106, NULL, 'PTHR22937:SF142', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(77107, NULL, 'PTHR11850:SF317', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN 1-RELATED', NULL, NULL, NULL, 15),
(77108, NULL, 'PTHR43156:SF9', NULL, NULL, NULL, NULL, 'HAMP AND SPOIIE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(77109, NULL, 'PTHR15607:SF14', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(77110, NULL, 'PTHR35758:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(77111, NULL, 'PTHR23131:SF0', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE LACTB2', NULL, NULL, NULL, 15),
(77112, NULL, 'PTHR10981:SF1', NULL, NULL, NULL, NULL, 'BATTENIN', NULL, NULL, NULL, 15),
(77113, NULL, 'PTHR26454:SF161', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(77114, NULL, 'PTHR21346:SF9', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700034I23 GENE', NULL, NULL, NULL, 15),
(77115, NULL, 'PTHR31568:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77116, NULL, 'PTHR23128:SF64', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(77117, NULL, 'PTHR26379:SF309', NULL, NULL, NULL, NULL, 'OS02G0311150 PROTEIN', NULL, NULL, NULL, 15),
(77118, NULL, 'PTHR33681:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77119, NULL, 'PTHR32467:SF143', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR PLT2', NULL, NULL, NULL, 15),
(77120, NULL, 'PTHR32133:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77121, NULL, 'PTHR23036:SF83', NULL, NULL, NULL, NULL, 'INTERLEUKIN-6 RECEPTOR SUBUNIT BETA', NULL, NULL, NULL, 15),
(77122, NULL, 'PTHR30468:SF9', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT TAURINE DIOXYGENASE (AFU_ORTHOLOGUE AFUA_3G01010)', NULL, NULL, NULL, 15),
(77123, NULL, 'PTHR11461:SF20', NULL, NULL, NULL, NULL, 'ALPHA-2-ANTIPLASMIN', NULL, NULL, NULL, 15),
(77124, NULL, 'PTHR19317:SF52', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(77125, NULL, 'PTHR23136:SF7', NULL, NULL, NULL, NULL, 'TAX1-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(77126, NULL, 'PTHR48022:SF15', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00500)-RELATED', NULL, NULL, NULL, 15),
(77127, NULL, 'PTHR22743:SF165', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN CONTAINING-RELATED', NULL, NULL, NULL, 15),
(77128, NULL, 'PTHR24377:SF851', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77129, NULL, 'PTHR46180:SF2', NULL, NULL, NULL, NULL, 'VINCULIN-RELATED', NULL, NULL, NULL, 15),
(77130, NULL, 'PTHR43895:SF117', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(77131, NULL, 'PTHR10218:SF329', NULL, NULL, NULL, NULL, 'G PROTEIN ALPHA Q SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(77132, NULL, 'PTHR45926:SF22', NULL, NULL, NULL, NULL, 'BROMODOMAIN, NET DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(77133, NULL, 'PTHR34662:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77134, NULL, 'PTHR45637:SF46', NULL, NULL, NULL, NULL, 'OS09G0478500 PROTEIN', NULL, NULL, NULL, 15),
(77135, NULL, 'PTHR31471:SF19', NULL, NULL, NULL, NULL, 'OS12G0613600 PROTEIN', NULL, NULL, NULL, 15),
(77136, NULL, 'PTHR33165:SF53', NULL, NULL, NULL, NULL, 'OJ000223_09.12 PROTEIN', NULL, NULL, NULL, 15),
(77137, NULL, 'PTHR21860', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIIC TFIIIC , POLYPEPTIDE 6-RELATED', NULL, NULL, 37764, 15),
(77138, NULL, 'PTHR30404:SF3', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE-RELATED', NULL, NULL, NULL, 15),
(77139, NULL, 'PTHR14429:SF25', NULL, NULL, NULL, NULL, 'FIBROSIN-1-LIKE PROTEIN ISOFORM X15', NULL, NULL, NULL, 15),
(77140, NULL, 'PTHR47958:SF20', NULL, NULL, NULL, NULL, 'BNACNNG20150D PROTEIN', NULL, NULL, NULL, 15),
(77141, NULL, 'PTHR31048:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77142, NULL, 'PTHR31967:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG17364', NULL, NULL, NULL, 15),
(77143, NULL, 'PTHR48033:SF10', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(77144, NULL, 'PTHR19965:SF74', NULL, NULL, NULL, NULL, 'CHROMATIN TARGET OF PRMT1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(77145, NULL, 'PTHR46824:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML49-RELATED', NULL, NULL, NULL, 15),
(77146, NULL, 'PTHR45613:SF110', NULL, NULL, NULL, NULL, 'OS02G0582300 PROTEIN', NULL, NULL, NULL, 15),
(77147, NULL, 'PTHR46648', NULL, NULL, NULL, NULL, 'HIT FAMILY PROTEIN 1', NULL, NULL, 2341, 15),
(77148, NULL, 'PTHR11008:SF35', NULL, NULL, NULL, NULL, 'PROTEIN TAKEOUT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(77149, NULL, 'PTHR16095:SF9', NULL, NULL, NULL, NULL, 'PROLINE AND SERINE-RICH PROTEIN 2', NULL, NULL, NULL, 15),
(77150, NULL, 'PTHR33935:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77151, NULL, 'PTHR26312:SF123', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(77152, NULL, 'PTHR45665:SF20', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN (MIP) FAMILY TRANSPORTER', NULL, NULL, NULL, 15),
(77153, NULL, 'PTHR16105:SF4', NULL, NULL, NULL, NULL, 'RNA-BINDING REGION-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(77154, NULL, 'PTHR24035:SF114', NULL, NULL, NULL, NULL, 'PLATELET ENDOTHELIAL AGGREGATION RECEPTOR 1', NULL, NULL, NULL, 15),
(77155, NULL, 'PTHR32227:SF365', NULL, NULL, NULL, NULL, 'BNAA08G13450D PROTEIN', NULL, NULL, NULL, 15),
(77156, NULL, 'PTHR47991:SF76', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', NULL, NULL, NULL, 15),
(77157, NULL, 'PTHR20992:SF12', NULL, NULL, NULL, NULL, 'IP07646P', NULL, NULL, NULL, 15),
(77158, NULL, 'PTHR11022:SF12', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN RECOGNITION PROTEIN 3', NULL, NULL, NULL, 15),
(77159, NULL, 'PTHR19134:SF511', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77160, NULL, 'PTHR38684:SF1', NULL, NULL, NULL, NULL, 'PROTEIN AMPE', NULL, NULL, NULL, 15),
(77161, NULL, 'PTHR47174:SF3', NULL, NULL, NULL, NULL, 'BRIDGING INTEGRATOR 3', NULL, NULL, NULL, 15),
(77162, NULL, 'PTHR21497:SF26', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR1', NULL, NULL, NULL, 15),
(77163, NULL, 'PTHR13994:SF37', NULL, NULL, NULL, NULL, 'BNAC07G33400D PROTEIN', NULL, NULL, NULL, 15),
(77164, NULL, 'PTHR43712:SF5', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G02640)-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77165, NULL, 'PTHR34396:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77166, NULL, 'PTHR43900:SF65', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(77167, NULL, 'PTHR43655:SF32', NULL, NULL, NULL, NULL, 'AFG3-LIKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(77168, NULL, 'PTHR47989:SF27', NULL, NULL, NULL, NULL, 'BNAA04G14780D PROTEIN', NULL, NULL, NULL, 15),
(77169, NULL, 'PTHR31182:SF15', NULL, NULL, NULL, NULL, 'F26K24.5 PROTEIN', NULL, NULL, NULL, 15),
(77170, NULL, 'PTHR32510:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 98', NULL, NULL, NULL, 15),
(77171, NULL, 'PTHR34380:SF1', NULL, NULL, NULL, NULL, 'BNAA03G12380D PROTEIN', NULL, NULL, NULL, 15),
(77172, NULL, 'PTHR11785:SF302', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(77173, NULL, 'PTHR46324:SF21', NULL, NULL, NULL, NULL, 'BASIC LEUCINE-ZIPPER 58', NULL, NULL, NULL, 15),
(77174, NULL, 'PTHR27002:SF866', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(77175, NULL, 'PTHR40202:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOHYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(77176, NULL, 'PTHR23050:SF309', NULL, NULL, NULL, NULL, 'PROTEIN CBG00175', NULL, NULL, NULL, 15),
(77177, NULL, 'PTHR46736', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77178, NULL, 'PTHR19375:SF417', NULL, NULL, NULL, NULL, 'SHOCK COGNATE 70 KDA PROTEIN 2, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(77179, NULL, 'PTHR32246:SF94', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(77180, NULL, 'PTHR47585:SF2', NULL, NULL, NULL, NULL, 'DUF1446 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G11420)', NULL, NULL, NULL, 15),
(77181, NULL, 'PTHR10634:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77182, NULL, 'PTHR47811:SF1', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE D', NULL, NULL, NULL, 15),
(77183, NULL, 'PTHR24388:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 513', NULL, NULL, NULL, 15),
(77184, NULL, 'PTHR45974:SF115', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(77185, NULL, 'PTHR33413:SF28', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(77186, NULL, 'PTHR46176', NULL, NULL, NULL, NULL, 'LD21662P', NULL, NULL, 23093, 15),
(77187, NULL, 'PTHR10845:SF242', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN-SIGNALING 3A', NULL, NULL, NULL, 15),
(77188, NULL, 'PTHR31218:SF302', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(77189, NULL, 'PTHR48005:SF43', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1 ISOFORM X1', NULL, NULL, NULL, 15),
(77190, NULL, 'PTHR24056:SF246', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 17', NULL, NULL, NULL, 15),
(77191, NULL, 'PTHR10826:SF15', NULL, NULL, NULL, NULL, 'OS01G0143800 PROTEIN', NULL, NULL, NULL, 15),
(77192, NULL, 'PTHR41694', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP K MEMBER POL PROTEIN', NULL, NULL, NULL, 15),
(77193, NULL, 'PTHR31945:SF114', NULL, NULL, NULL, NULL, 'BNAC05G34900D PROTEIN', NULL, NULL, NULL, 15),
(77194, NULL, 'PTHR23354:SF106', NULL, NULL, NULL, NULL, 'TLD DOMAIN-CONTAINING PROTEIN 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(77195, NULL, 'PTHR11945:SF505', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 87', NULL, NULL, NULL, 15),
(77196, NULL, 'PTHR31415:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77197, NULL, 'PTHR11040:SF52', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 7', NULL, NULL, NULL, 15),
(77198, NULL, 'PTHR39959:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77199, NULL, 'PTHR42711:SF14', NULL, NULL, NULL, NULL, 'ABC-TYPE MULTIDRUG TRANSPORT SYSTEM, ATPASE COMPONENT', NULL, NULL, NULL, 15),
(77200, NULL, 'PTHR22950:SF479', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77201, NULL, 'PTHR23131:SF3', NULL, NULL, NULL, NULL, 'ATROCHRYSONE CARBOXYL ACP THIOESTERASE', NULL, NULL, NULL, 15),
(77202, NULL, 'PTHR10725:SF32', NULL, NULL, NULL, NULL, 'DNA TRANSPOSASE THAP9', NULL, NULL, NULL, 15),
(77203, NULL, 'PTHR10015:SF304', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-4B', NULL, NULL, NULL, 15),
(77204, NULL, 'PTHR21481:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CLEC16A', NULL, NULL, NULL, 15),
(77205, NULL, 'PTHR34777:SF13', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 10-LIKE', NULL, NULL, NULL, 15),
(77206, NULL, 'PTHR24306:SF7', NULL, NULL, NULL, NULL, 'AHBB', NULL, NULL, NULL, 15),
(77207, NULL, 'PTHR23277:SF109', NULL, NULL, NULL, NULL, 'POLIOVIRUS RECEPTOR', NULL, NULL, NULL, 15),
(77208, NULL, 'PTHR27007:SF246', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77209, NULL, 'PTHR31741:SF42', NULL, NULL, NULL, NULL, 'ROOT HAIR SPECIFIC 17', NULL, NULL, NULL, 15),
(77210, NULL, 'PTHR45717:SF11', NULL, NULL, NULL, NULL, 'BNAC08G45480D PROTEIN', NULL, NULL, NULL, 15),
(77211, NULL, 'PTHR14947:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77212, NULL, 'PTHR23167:SF62', NULL, NULL, NULL, NULL, 'EPS15 HOMOLOGY DOMAIN CONTAINING PROTEIN-BINDING PROTEIN 1, ISOFORM F', NULL, NULL, NULL, 15),
(77213, NULL, 'PTHR11730:SF67', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(77214, NULL, 'PTHR45972:SF5', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 7B', NULL, NULL, NULL, 15),
(77215, NULL, 'PTHR32487:SF10', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE', NULL, NULL, NULL, 15),
(77216, NULL, 'PTHR12393', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE RELATED', NULL, NULL, 35057, 15),
(77217, NULL, 'PTHR22603:SF26', NULL, NULL, NULL, NULL, 'CHOLINE KINASE B3-RELATED', NULL, NULL, NULL, 15),
(77218, NULL, 'PTHR31118:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77219, NULL, 'PTHR17488', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSITION PROTEIN 2', NULL, NULL, 3842, 15),
(77220, NULL, 'PTHR37036', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 7588, 15),
(77221, NULL, 'PTHR43785:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77222, NULL, 'PTHR23430:SF321', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(77223, NULL, 'PTHR10891:SF828', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML21-RELATED', NULL, NULL, NULL, 15),
(77224, NULL, 'PTHR37845', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 35382, 15),
(77225, NULL, 'PTHR38589', NULL, NULL, NULL, NULL, 'BLR0621 PROTEIN', NULL, NULL, NULL, 15),
(77226, NULL, 'PTHR23130:SF189', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(77227, NULL, 'PTHR31225:SF139', NULL, NULL, NULL, NULL, 'ALPHA-HUMULENE/(-)-(E)-BETA-CARYOPHYLLENE SYNTHASE', NULL, NULL, NULL, 15),
(77228, NULL, 'PTHR10405:SF31', NULL, NULL, NULL, NULL, 'SPIN3 ISOFORM 39', NULL, NULL, NULL, 15),
(77229, NULL, 'PTHR43080:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77230, NULL, 'PTHR10794:SF57', NULL, NULL, NULL, NULL, 'OS05G0432600 PROTEIN', NULL, NULL, NULL, 15),
(77231, NULL, 'PTHR11444', NULL, NULL, NULL, NULL, 'ASPARTATEAMMONIA/ARGININOSUCCINATE/ADENYLOSUCCINATE LYASE', NULL, NULL, 3751, 15),
(77232, NULL, 'PTHR13054:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DGCR6', NULL, NULL, NULL, 15),
(77233, NULL, 'PTHR10799:SF967', NULL, NULL, NULL, NULL, 'CHROMATIN-REMODELING COMPLEX ATPASE CHAIN ISWI', NULL, NULL, NULL, 15),
(77234, NULL, 'PTHR35569:SF1', NULL, NULL, NULL, NULL, 'CYANAMIDE HYDRATASE DDI2-RELATED', NULL, NULL, NULL, 15),
(77235, NULL, 'PTHR13439:SF62', NULL, NULL, NULL, NULL, 'OS01G0768200 PROTEIN', NULL, NULL, NULL, 15),
(77236, NULL, 'PTHR35790:SF4', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PCHR', NULL, NULL, NULL, 15),
(77237, NULL, 'PTHR46261:SF17', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B3-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77238, NULL, 'PTHR35287:SF2', NULL, NULL, NULL, NULL, 'BNAA02G11880D PROTEIN', NULL, NULL, NULL, 15),
(77239, NULL, 'PTHR47512:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(77240, NULL, 'PTHR36714:SF5', NULL, NULL, NULL, NULL, 'BNAA07G09780D PROTEIN', NULL, NULL, NULL, 15),
(77241, NULL, 'PTHR16509:SF7', NULL, NULL, NULL, NULL, 'MANGANESE-DEPENDENT ADP-RIBOSE/CDP-ALCOHOL DIPHOSPHATASE', NULL, NULL, NULL, 15),
(77242, NULL, 'PTHR10367:SF15', NULL, NULL, NULL, NULL, 'F26C17.2 PROTEIN', NULL, NULL, NULL, 15),
(77243, NULL, 'PTHR33155:SF21', NULL, NULL, NULL, NULL, 'OS02G0750800 PROTEIN', NULL, NULL, NULL, 15),
(77244, NULL, 'PTHR10336:SF166', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE ETA-2', NULL, NULL, 24775, 15),
(77245, NULL, 'PTHR24377:SF800', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 701', NULL, NULL, NULL, 15),
(77246, NULL, 'PTHR11702:SF40', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN 10', NULL, NULL, NULL, 15),
(77247, NULL, 'PTHR24057:SF17', NULL, NULL, NULL, NULL, 'OS02G0236200 PROTEIN', NULL, NULL, NULL, 15),
(77248, NULL, 'PTHR31900:SF12', NULL, NULL, NULL, NULL, 'F-BOX/RNI SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(77249, NULL, 'PTHR45730:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77250, NULL, 'PTHR15075:SF6', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYLGLYCOPROTEIN 6-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE B', NULL, NULL, NULL, 15),
(77251, NULL, 'PTHR21402', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(77252, NULL, 'PTHR12965:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 54, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(77253, NULL, 'PTHR43190:SF6', NULL, NULL, NULL, NULL, 'N-ACETYL-D-GLUCOSAMINE KINASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(77254, NULL, 'PTHR43775:SF23', NULL, NULL, NULL, NULL, 'FATTY ACID SYNTHASE 3', NULL, NULL, NULL, 15),
(77255, NULL, 'PTHR12934:SF11', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L15, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(77256, NULL, 'PTHR45648:SF81', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(77257, NULL, 'PTHR33211', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(77258, NULL, 'PTHR46372:SF16', NULL, NULL, NULL, NULL, 'BNAC05G29270D PROTEIN', NULL, NULL, NULL, 15),
(77259, NULL, 'PTHR26450:SF7', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(77260, NULL, 'PTHR31415:SF54', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN 1 CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(77261, NULL, 'PTHR20971:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77262, NULL, 'PTHR45801:SF16', NULL, NULL, NULL, NULL, 'BNAA03G57610D PROTEIN', NULL, NULL, NULL, 15),
(77263, NULL, 'PTHR46581:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(77264, NULL, 'PTHR33085:SF69', NULL, NULL, NULL, NULL, 'OS08G0271800 PROTEIN', NULL, NULL, NULL, 15),
(77265, NULL, 'PTHR36939:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01464', NULL, NULL, NULL, 15),
(77266, NULL, 'PTHR28125', NULL, NULL, NULL, NULL, 'MEIOTIC EXPRESSION UP-REGULATED PROTEIN 26', NULL, NULL, NULL, 15),
(77267, NULL, 'PTHR27007:SF208', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1', NULL, NULL, NULL, 15),
(77268, NULL, 'PTHR31676:SF64', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(77269, NULL, 'PTHR11941:SF75', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 2, PEROXISOMAL', NULL, NULL, NULL, 15),
(77270, NULL, 'PTHR48030', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 4', NULL, NULL, NULL, 15),
(77271, NULL, 'PTHR10878:SF5', NULL, NULL, NULL, NULL, 'SEGMENT POLARITY PROTEIN DISHEVELLED HOMOLOG DVL-1-RELATED', NULL, NULL, 7722, 15),
(77272, NULL, 'PTHR47932:SF53', NULL, NULL, NULL, NULL, 'OS02G0120000 PROTEIN', NULL, NULL, NULL, 15),
(77273, NULL, 'PTHR48021:SF10', NULL, NULL, NULL, NULL, 'OS11G0620400 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77274, NULL, 'PTHR37222', NULL, NULL, NULL, NULL, 'OS02G0718000 PROTEIN', NULL, NULL, NULL, 15),
(77275, NULL, 'PTHR24161:SF49', NULL, NULL, NULL, NULL, 'SOSONDOWAH, ISOFORM G', NULL, NULL, NULL, 15),
(77276, NULL, 'PTHR31589:SF167', NULL, NULL, NULL, NULL, 'BNAC09G33050D PROTEIN', NULL, NULL, NULL, 15),
(77277, NULL, 'PTHR24410:SF31', NULL, NULL, NULL, NULL, 'BTB (POZ) DOMAIN-CONTAINING 17A', NULL, NULL, NULL, 15),
(77278, NULL, 'PTHR24410:SF10', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 25', NULL, NULL, 24984, 15),
(77279, NULL, 'PTHR18934:SF145', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX57-RELATED', NULL, NULL, NULL, 15),
(77280, NULL, 'PTHR24413:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77281, NULL, 'PTHR31269:SF45', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLATE TRANSPORTER/MALIC ACID PROTEIN', NULL, NULL, NULL, 15),
(77282, NULL, 'PTHR15228:SF19', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 24', NULL, NULL, NULL, 15),
(77283, NULL, 'PTHR24068:SF215', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1A', NULL, NULL, NULL, 15),
(77284, NULL, 'PTHR11062:SF322', NULL, NULL, NULL, NULL, 'OS03G0144300 PROTEIN', NULL, NULL, NULL, 15),
(77285, NULL, 'PTHR28671', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 169', NULL, NULL, 24850, 15),
(77286, NULL, 'PTHR16222:SF33', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(77287, NULL, 'PTHR18919:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77288, NULL, 'PTHR31301:SF82', NULL, NULL, NULL, NULL, 'ELONGATED PETIOLULE 1', NULL, NULL, NULL, 15),
(77289, NULL, 'PTHR43719:SF24', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE L', NULL, NULL, NULL, 15),
(77290, NULL, 'PTHR46604:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MID1-COMPLEMENTING ACTIVITY 2', NULL, NULL, NULL, 15),
(77291, NULL, 'PTHR45650:SF63', NULL, NULL, NULL, NULL, 'BNAA07G07790D PROTEIN', NULL, NULL, NULL, 15),
(77292, NULL, 'PTHR48022:SF68', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13080)-RELATED', NULL, NULL, NULL, 15),
(77293, NULL, 'PTHR31213', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77294, NULL, 'PTHR45614:SF178', NULL, NULL, NULL, NULL, 'BNAA03G52540D PROTEIN', NULL, NULL, NULL, 15),
(77295, NULL, 'PTHR47985:SF52', NULL, NULL, NULL, NULL, 'OS02G0833000 PROTEIN', NULL, NULL, NULL, 15),
(77296, NULL, 'PTHR33083:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77297, NULL, 'PTHR35572:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG15747', NULL, NULL, NULL, 15),
(77298, NULL, 'PTHR19422:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77299, NULL, 'PTHR24282:SF145', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP709H1', NULL, NULL, NULL, 15),
(77300, NULL, 'PTHR23050:SF445', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML45-RELATED', NULL, NULL, NULL, 15),
(77301, NULL, 'PTHR46373:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77302, NULL, 'PTHR36956', NULL, NULL, NULL, NULL, 'UTERINE LUMIN EXPRESSED/LOCAILIZED-RELATED', NULL, NULL, NULL, 15),
(77303, NULL, 'PTHR32246:SF100', NULL, NULL, NULL, NULL, 'PROTEIN SRC2', NULL, NULL, NULL, 15),
(77304, NULL, 'PTHR31906:SF15', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(77305, NULL, 'PTHR19443:SF71', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(77306, NULL, 'PTHR33646:SF1', NULL, NULL, NULL, NULL, 'OS01G0884700 PROTEIN', NULL, NULL, NULL, 15),
(77307, NULL, 'PTHR43220:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 41A-A', NULL, NULL, NULL, 15),
(77308, NULL, 'PTHR10048:SF22', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE BETA', NULL, NULL, NULL, 15),
(77309, NULL, 'PTHR13902:SF110', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK6-RELATED', NULL, NULL, NULL, 15),
(77310, NULL, 'PTHR31639:SF175', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77311, NULL, 'PTHR47992:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C FAMILY PROTEIN', NULL, NULL, NULL, 15),
(77312, NULL, 'PTHR35514:SF1', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 15.0 KDA PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(77313, NULL, 'PTHR21574', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 34658, 15),
(77314, NULL, 'PTHR10869:SF86', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(77315, NULL, 'PTHR33076:SF122', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(77316, NULL, 'PTHR31140:SF105', NULL, NULL, NULL, NULL, 'BNAA07G08500D PROTEIN', NULL, NULL, NULL, 15),
(77317, NULL, 'PTHR33021:SF359', NULL, NULL, NULL, NULL, 'BNAC05G01220D PROTEIN', NULL, NULL, NULL, 15),
(77318, NULL, 'PTHR33321', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 10623, 15),
(77319, NULL, 'PTHR33601:SF23', NULL, NULL, NULL, NULL, 'PROTEIN LITTLE ZIPPER 4-LIKE', NULL, NULL, NULL, 15),
(77320, NULL, 'PTHR23024:SF152', NULL, NULL, NULL, NULL, 'OS07G0643700 PROTEIN', NULL, NULL, NULL, 15),
(77321, NULL, 'PTHR11474:SF103', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(77322, NULL, 'PTHR23232:SF92', NULL, NULL, NULL, NULL, 'GENE, 26920-RELATED', NULL, NULL, NULL, 15),
(77323, NULL, 'PTHR45564:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77324, NULL, 'PTHR33121:SF9', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDED-RELATED', NULL, NULL, NULL, 15),
(77325, NULL, 'PTHR37271:SF1', NULL, NULL, NULL, NULL, 'KARYOGAMY PROTEIN KAR9', NULL, NULL, NULL, 15),
(77326, NULL, 'PTHR33163', NULL, NULL, NULL, NULL, 'PROTEIN TIC 214-RELATED', NULL, NULL, 7735, 15),
(77327, NULL, 'PTHR47873:SF1', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(77328, NULL, 'PTHR12978', NULL, NULL, NULL, NULL, 'HISTIDINE TRIAD  HIT  PROTEIN MEMBER', NULL, NULL, 14392, 15),
(77329, NULL, 'PTHR19965:SF68', NULL, NULL, NULL, NULL, 'BNAA10G27040D PROTEIN', NULL, NULL, NULL, 15),
(77330, NULL, 'PTHR11893:SF7', NULL, NULL, NULL, NULL, 'INNEXIN', NULL, NULL, NULL, 15),
(77331, NULL, 'PTHR22897:SF23', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE', NULL, NULL, NULL, 15),
(77332, NULL, 'PTHR45777:SF3', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2A', NULL, NULL, NULL, 15),
(77333, NULL, 'PTHR10811:SF55', NULL, NULL, NULL, NULL, 'FRINGE-RELATED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(77334, NULL, 'PTHR31901:SF86', NULL, NULL, NULL, NULL, 'BNAA07G08630D PROTEIN', NULL, NULL, NULL, 15),
(77335, NULL, 'PTHR45932:SF3', NULL, NULL, NULL, NULL, 'PATELLIN-4-LIKE', NULL, NULL, NULL, 15),
(77336, NULL, 'PTHR48040:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77337, NULL, 'PTHR11654:SF313', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER PTR2', NULL, NULL, NULL, 15),
(77338, NULL, 'PTHR22883:SF285', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(77339, NULL, 'PTHR31368:SF4', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PLURIPOTENCY-ASSOCIATED 5 PROTEIN', NULL, NULL, NULL, 15),
(77340, NULL, 'PTHR34794:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(77341, NULL, 'PTHR33488:SF2', NULL, NULL, NULL, NULL, 'ZGC:162509', NULL, NULL, NULL, 15),
(77342, NULL, 'PTHR11439:SF312', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77343, NULL, 'PTHR33085:SF90', NULL, NULL, NULL, NULL, 'OS04G0426500 PROTEIN', NULL, NULL, NULL, 15),
(77344, NULL, 'PTHR47933:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77345, NULL, 'PTHR35981', NULL, NULL, NULL, NULL, 'ION TRANSPORT PEPTIDE, ISOFORM C', NULL, NULL, 26657, 15),
(77346, NULL, 'PTHR10336:SF182', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(77347, NULL, 'PTHR13371:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG12963', NULL, NULL, NULL, 15),
(77348, NULL, 'PTHR46763', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 8', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77349, NULL, 'PTHR10366:SF387', NULL, NULL, NULL, NULL, '3 BETA-HYDROXYSTEROID DEHYDROGENASE TYPE 7', NULL, NULL, NULL, 15),
(77350, NULL, 'PTHR22943:SF24', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(77351, NULL, 'PTHR36332:SF1', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN', NULL, NULL, NULL, 15),
(77352, NULL, 'PTHR43280', NULL, NULL, NULL, NULL, 'ARAC-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(77353, NULL, 'PTHR35262:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77354, NULL, 'PTHR19282:SF397', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(77355, NULL, 'PTHR10314:SF163', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-SYNTHASE', NULL, NULL, NULL, 15),
(77356, NULL, 'PTHR24247:SF33', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 1E', NULL, NULL, 28250, 15),
(77357, NULL, 'PTHR31621:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77358, NULL, 'PTHR10891', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(77359, NULL, 'PTHR37828:SF1', NULL, NULL, NULL, NULL, 'GSR2449 PROTEIN', NULL, NULL, NULL, 15),
(77360, NULL, 'PTHR47941:SF9', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(77361, NULL, 'PTHR43207:SF1', NULL, NULL, NULL, NULL, 'OS06G0709000 PROTEIN', NULL, NULL, NULL, 15),
(77362, NULL, 'PTHR37214', NULL, NULL, NULL, NULL, 'CYTOMEGALOVIRUS UL139 PROTEIN', NULL, NULL, NULL, 15),
(77363, NULL, 'PTHR22601:SF58', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 4', NULL, NULL, NULL, 15),
(77364, NULL, 'PTHR18952:SF217', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 5-RELATED', NULL, NULL, NULL, 15),
(77365, NULL, 'PTHR34683:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77366, NULL, 'PTHR26453:SF87', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13C8', NULL, NULL, NULL, 15),
(77367, NULL, 'PTHR33122:SF41', NULL, NULL, NULL, NULL, 'PVR3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(77368, NULL, 'PTHR13068:SF161', NULL, NULL, NULL, NULL, 'BNAC09G13860D PROTEIN', NULL, NULL, NULL, 15),
(77369, NULL, 'PTHR34484', NULL, NULL, NULL, NULL, 'OS02G0832600 PROTEIN', NULL, NULL, NULL, 15),
(77370, NULL, 'PTHR33239:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77371, NULL, 'PTHR11550:SF28', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', NULL, NULL, NULL, 15),
(77372, NULL, 'PTHR22900:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG20830', NULL, NULL, NULL, 15),
(77373, NULL, 'PTHR11814:SF246', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.4-RELATED', NULL, NULL, NULL, 15),
(77374, NULL, 'PTHR46213:SF5', NULL, NULL, NULL, NULL, 'OF SILENCING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(77375, NULL, 'PTHR23329:SF15', NULL, NULL, NULL, NULL, 'OS04G0512700 PROTEIN', NULL, NULL, NULL, 15),
(77376, NULL, 'PTHR11208:SF116', NULL, NULL, NULL, NULL, 'BNAC08G13780D PROTEIN', NULL, NULL, NULL, 15),
(77377, NULL, 'PTHR10809:SF124', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 2-1-LIKE', NULL, NULL, NULL, 15),
(77378, NULL, 'PTHR11879:SF6', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, CYTOPLASMIC 2-RELATED', NULL, NULL, NULL, 15),
(77379, NULL, 'PTHR24083:SF39', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR RXR-ALPHA', NULL, NULL, NULL, 15),
(77380, NULL, 'PTHR37553:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77381, NULL, 'PTHR37220:SF1', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 23', NULL, NULL, NULL, 15),
(77382, NULL, 'PTHR46067:SF25', NULL, NULL, NULL, NULL, 'BNAA05G10960D PROTEIN', NULL, NULL, NULL, 15),
(77383, NULL, 'PTHR24221:SF472', NULL, NULL, NULL, NULL, 'OS08G0153200 PROTEIN', NULL, NULL, NULL, 15),
(77384, NULL, 'PTHR35022:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77385, NULL, 'PTHR31769:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77386, NULL, 'PTHR34560:SF2', NULL, NULL, NULL, NULL, 'START-2 DOMAIN PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77387, NULL, 'PTHR16517', NULL, NULL, NULL, NULL, 'TUBBY-RELATED', NULL, NULL, NULL, 15),
(77388, NULL, 'PTHR46828', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-RELATED', NULL, NULL, NULL, 15),
(77389, NULL, 'PTHR27000:SF696', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(77390, NULL, 'PTHR13044:SF2', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-4', NULL, NULL, 28645, 15),
(77391, NULL, 'PTHR33463:SF81', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPS2-LIKE', NULL, NULL, NULL, 15),
(77392, NULL, 'PTHR33590:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM186A', NULL, NULL, 36473, 15),
(77393, NULL, 'PTHR43198:SF6', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL TENA-E PROTEIN-RELATED', NULL, NULL, NULL, 15),
(77394, NULL, 'PTHR33931:SF5', NULL, NULL, NULL, NULL, 'UPF0299 MEMBRANE PROTEIN YOHJ', NULL, NULL, NULL, 15),
(77395, NULL, 'PTHR44229:SF5', NULL, NULL, NULL, NULL, 'ZGC:56585', NULL, NULL, NULL, 15),
(77396, NULL, 'PTHR28213:SF1', NULL, NULL, NULL, NULL, 'IMP-SPECIFIC 5''-NUCLEOTIDASE 1', NULL, NULL, NULL, 15),
(77397, NULL, 'PTHR45645:SF50', NULL, NULL, NULL, NULL, 'CUB DOMAINCONTAINING PROTEIN', NULL, NULL, NULL, 15),
(77398, NULL, 'PTHR15087:SF14', NULL, NULL, NULL, NULL, 'PROTEIN NPAT', NULL, NULL, NULL, 15),
(77399, NULL, 'PTHR45974:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77400, NULL, 'PTHR11360:SF123', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 8', NULL, NULL, 21708, 15),
(77401, NULL, 'PTHR11863:SF178', NULL, NULL, NULL, NULL, 'CER1 PROTEIN', NULL, NULL, NULL, 15),
(77402, NULL, 'PTHR10816:SF14', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE IRF2BPL-RELATED', NULL, NULL, NULL, 15),
(77403, NULL, 'PTHR22718', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(77404, NULL, 'PTHR18849:SF12', NULL, NULL, NULL, NULL, 'BNAUNNG04160D PROTEIN', NULL, NULL, NULL, 15),
(77405, NULL, 'PTHR42919:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77406, NULL, 'PTHR26452:SF802', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(77407, NULL, 'PTHR24399:SF23', NULL, NULL, NULL, NULL, 'FINGER PUTATIVE TRANSCRIPTION FACTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(77408, NULL, 'PTHR32448:SF122', NULL, NULL, NULL, NULL, 'BNAA05G09050D PROTEIN', NULL, NULL, NULL, 15),
(77409, NULL, 'PTHR32227:SF251', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE B', NULL, NULL, NULL, 15),
(77410, NULL, 'PTHR13011', NULL, NULL, NULL, NULL, 'TFIIF-ALPHA', NULL, NULL, 14039, 15),
(77411, NULL, 'PTHR23268:SF47', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 11-1', NULL, NULL, NULL, 15),
(77412, NULL, 'PTHR47698:SF2', NULL, NULL, NULL, NULL, 'FATTY-ACID-BINDING PROTEIN 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(77413, NULL, 'PTHR23086:SF115', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(77414, NULL, 'PTHR30472:SF1', NULL, NULL, NULL, NULL, 'FE(3+) DICITRATE TRANSPORT SYSTEM PERMEASE PROTEIN FECC-RELATED', NULL, NULL, NULL, 15),
(77415, NULL, 'PTHR24412:SF23', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(77416, NULL, 'PTHR24055:SF481', NULL, NULL, NULL, NULL, 'OS02G0492300 PROTEIN', NULL, NULL, NULL, 15),
(77417, NULL, 'PTHR10835:SF5', NULL, NULL, NULL, NULL, 'SQUALENE MONOOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(77418, NULL, 'PTHR47025:SF11', NULL, NULL, NULL, NULL, 'OS06G0101000 PROTEIN', NULL, NULL, NULL, 15),
(77419, NULL, 'PTHR11394:SF27', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 19', NULL, NULL, NULL, 15),
(77420, NULL, 'PTHR30621:SF0', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL GLUTAMINE SYNTHETASE ADENYLYLTRANSFERASE/ADENYLYL-REMOVING ENZYME', NULL, NULL, NULL, 15),
(77421, NULL, 'PTHR10906:SF26', NULL, NULL, NULL, NULL, 'OS09G0512000 PROTEIN', NULL, NULL, NULL, 15),
(77422, NULL, 'PTHR11475:SF125', NULL, NULL, NULL, NULL, 'GH11385P', NULL, NULL, NULL, 15),
(77423, NULL, 'PTHR12391:SF1', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77424, NULL, 'PTHR24103:SF606', NULL, NULL, NULL, NULL, 'PYRIN', NULL, NULL, 25143, 15),
(77425, NULL, 'PTHR33739:SF12', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 33A', NULL, NULL, NULL, 15),
(77426, NULL, 'PTHR45614:SF100', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(77427, NULL, 'PTHR24112:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77428, NULL, 'PTHR23071', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL GLYCAN', NULL, NULL, 29253, 15),
(77429, NULL, 'PTHR31425', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLANTHRANILATE TRANSFERASE ISOFORM 1', NULL, NULL, NULL, 15),
(77430, NULL, 'PTHR45523:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77431, NULL, 'PTHR36933:SF1', NULL, NULL, NULL, NULL, 'SLL0788 PROTEIN', NULL, NULL, NULL, 15),
(77432, NULL, 'PTHR21022:SF27', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', NULL, NULL, NULL, 15),
(77433, NULL, 'PTHR31625:SF67', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(77434, NULL, 'PTHR21534:SF0', NULL, NULL, NULL, NULL, 'PROTEIN KIAA0556', NULL, NULL, NULL, 15),
(77435, NULL, 'PTHR13419:SF1', NULL, NULL, NULL, NULL, 'CXXC-TYPE ZINC FINGER PROTEIN 4', NULL, NULL, NULL, 15),
(77436, NULL, 'PTHR43205:SF19', NULL, NULL, NULL, NULL, 'AGL360WP', NULL, NULL, NULL, 15),
(77437, NULL, 'PTHR43137:SF1', NULL, NULL, NULL, NULL, 'DIHYDROOROTASE', NULL, NULL, NULL, 15),
(77438, NULL, 'PTHR15073:SF5', NULL, NULL, NULL, NULL, 'MAP7 DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(77439, NULL, 'PTHR32448:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77440, NULL, 'PTHR34819', NULL, NULL, NULL, NULL, 'LARGE CYSTEINE-RICH PERIPLASMIC PROTEIN OMCB', NULL, NULL, NULL, 15),
(77441, NULL, 'PTHR10687:SF65', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(77442, NULL, 'PTHR12483:SF113', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(77443, NULL, 'PTHR38626:SF4', NULL, NULL, NULL, NULL, 'SKN-1 DEPENDENT ZYGOTIC TRANSCRIPT', NULL, NULL, NULL, 15),
(77444, NULL, 'PTHR34682:SF1', NULL, NULL, NULL, NULL, 'AT HOOK MOTIF-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(77445, NULL, 'PTHR10744:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77446, NULL, 'PTHR33156:SF31', NULL, NULL, NULL, NULL, 'OS06G0332500 PROTEIN', NULL, NULL, NULL, 15),
(77447, NULL, 'PTHR13802:SF52', NULL, NULL, NULL, NULL, 'TECTORIN ALPHA, GENE 2', NULL, NULL, NULL, 15),
(77448, NULL, 'PTHR13820:SF10', NULL, NULL, NULL, NULL, 'GAMMA-SYNUCLEIN', NULL, NULL, NULL, 15),
(77449, NULL, 'PTHR47932:SF21', NULL, NULL, NULL, NULL, 'OS03G0569800 PROTEIN', NULL, NULL, NULL, 15),
(77450, NULL, 'PTHR47204:SF1', NULL, NULL, NULL, NULL, 'OS02G0168900 PROTEIN', NULL, NULL, NULL, 15),
(77451, NULL, 'PTHR11761:SF3', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L38, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(77452, NULL, 'PTHR31848:SF0', NULL, NULL, NULL, NULL, 'REFILIN-A', NULL, NULL, NULL, 15),
(77453, NULL, 'PTHR26450:SF50', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(77454, NULL, 'PTHR27005:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77455, NULL, 'PTHR34544:SF3', NULL, NULL, NULL, NULL, 'OS01G0594650 PROTEIN', NULL, NULL, NULL, 15),
(77456, NULL, 'PTHR33402:SF28', NULL, NULL, NULL, NULL, 'BNAA05G09870D PROTEIN', NULL, NULL, NULL, 15),
(77457, NULL, 'PTHR12274:SF8', NULL, NULL, NULL, NULL, 'GRANULIN A', NULL, NULL, NULL, 15),
(77458, NULL, 'PTHR11640:SF126', NULL, NULL, NULL, NULL, 'SYNAPTOGENESIS PROTEIN SYG-2', NULL, NULL, NULL, 15),
(77459, NULL, 'PTHR24068:SF230', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 28', NULL, NULL, NULL, 15),
(77460, NULL, 'PTHR34559:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX, SUBUNIT 8', NULL, NULL, NULL, 15),
(77461, NULL, 'PTHR12588:SF13', NULL, NULL, NULL, NULL, 'BNAA09G10050D PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77462, NULL, 'PTHR10168:SF254', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C8', NULL, NULL, NULL, 15),
(77463, NULL, 'PTHR22941:SF28', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(77464, NULL, 'PTHR28258:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR SEGREGATION PROTEIN 7', NULL, NULL, NULL, 15),
(77465, NULL, 'PTHR19321:SF5', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 6', NULL, NULL, NULL, 15),
(77466, NULL, 'PTHR23115:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77467, NULL, 'PTHR19441:SF82', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 15B', NULL, NULL, NULL, 15),
(77468, NULL, 'PTHR22849:SF141', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(77469, NULL, 'PTHR26453:SF566', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 975', NULL, NULL, NULL, 15),
(77470, NULL, 'PTHR24361:SF834', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(77471, NULL, 'PTHR45616:SF52', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CUTICULAR HB3', NULL, NULL, NULL, 15),
(77472, NULL, 'PTHR30417:SF11', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE XLYA', NULL, NULL, NULL, 15),
(77473, NULL, 'PTHR11764:SF19', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(77474, NULL, 'PTHR31639:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77475, NULL, 'PTHR13759', NULL, NULL, NULL, NULL, 'TWINFILIN', NULL, NULL, 27313, 15),
(77476, NULL, 'PTHR24241:SF126', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR Y2', NULL, NULL, NULL, 15),
(77477, NULL, 'PTHR46336:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77478, NULL, 'PTHR46807:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PHYTOCHROME INTERACTING FACTOR-LIKE 15', NULL, NULL, NULL, 15),
(77479, NULL, 'PTHR10529:SF257', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT MU-1', NULL, NULL, NULL, 15),
(77480, NULL, 'PTHR30540:SF115', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(77481, NULL, 'PTHR13723:SF288', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77482, NULL, 'PTHR31465:SF13', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12830)-RELATED', NULL, NULL, NULL, 15),
(77483, NULL, 'PTHR11017:SF441', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N', NULL, NULL, NULL, 15),
(77484, NULL, 'PTHR11851:SF126', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(77485, NULL, 'PTHR11042:SF155', NULL, NULL, NULL, NULL, 'BNAA08G27310D PROTEIN', NULL, NULL, NULL, 15),
(77486, NULL, 'PTHR34807:SF8', NULL, NULL, NULL, NULL, 'BNAA01G06520D PROTEIN', NULL, NULL, NULL, 15),
(77487, NULL, 'PTHR24238:SF47', NULL, NULL, NULL, NULL, 'TACHYKININ-LIKE PEPTIDES RECEPTOR 86C', NULL, NULL, NULL, 15),
(77488, NULL, 'PTHR33824:SF5', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE / DEHYDRASE AND LIPID TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(77489, NULL, 'PTHR15860:SF2', NULL, NULL, NULL, NULL, 'RING FINGER AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(77490, NULL, 'PTHR45764:SF15', NULL, NULL, NULL, NULL, 'OS01G0542700 PROTEIN', NULL, NULL, NULL, 15),
(77491, NULL, 'PTHR13832:SF615', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C HOMOLOG 4', NULL, NULL, NULL, 15),
(77492, NULL, 'PTHR12245:SF7', NULL, NULL, NULL, NULL, 'F-BOX/SPRY DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(77493, NULL, 'PTHR30032:SF8', NULL, NULL, NULL, NULL, 'AMIDASE ENHANCER', NULL, NULL, NULL, 15),
(77494, NULL, 'PTHR27008:SF462', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77495, NULL, 'PTHR43880:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77496, NULL, 'PTHR24353:SF133', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE CATALYTIC SUBUNIT PRKX', NULL, NULL, NULL, 15),
(77497, NULL, 'PTHR10887:SF486', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS 1-LIKE PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77498, NULL, 'PTHR43388:SF1', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HOXX', NULL, NULL, NULL, 15),
(77499, NULL, 'PTHR11973:SF23', NULL, NULL, NULL, NULL, 'SI:CH211-79K12.1', NULL, NULL, NULL, 15),
(77500, NULL, 'PTHR12565:SF370', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(77501, NULL, 'PTHR39161:SF2', NULL, NULL, NULL, NULL, 'ADAPTER PROTEIN MECA 2', NULL, NULL, NULL, 15),
(77502, NULL, 'PTHR30616', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YFIH', NULL, NULL, 2192, 15),
(77503, NULL, 'PTHR43395:SF9', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN CHEA', NULL, NULL, NULL, 15),
(77504, NULL, 'PTHR43307:SF1', NULL, NULL, NULL, NULL, 'DECARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04980)-RELATED', NULL, NULL, NULL, 15),
(77505, NULL, 'PTHR32009:SF90', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(77506, NULL, 'PTHR43798:SF14', NULL, NULL, NULL, NULL, 'SERINE HYDROLASE-LIKE PROTEIN DDB_G0286239', NULL, NULL, NULL, 15),
(77507, NULL, 'PTHR24291:SF16', NULL, NULL, NULL, NULL, 'PHYLLOQUINONE OMEGA-HYDROXYLASE CYP4F11', NULL, NULL, NULL, 15),
(77508, NULL, 'PTHR10971:SF2', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 92', NULL, NULL, NULL, 15),
(77509, NULL, 'PTHR11005:SF131', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(77510, NULL, 'PTHR23323', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(77511, NULL, 'PTHR11514:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77512, NULL, 'PTHR11003:SF66', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(77513, NULL, 'PTHR23073:SF13', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 7', NULL, NULL, 9984, 15),
(77514, NULL, 'PTHR13690:SF136', NULL, NULL, NULL, NULL, 'BNAC03G60240D PROTEIN', NULL, NULL, NULL, 15),
(77515, NULL, 'PTHR33543:SF21', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 2B', NULL, NULL, NULL, 15),
(77516, NULL, 'PTHR45708:SF49', NULL, NULL, NULL, NULL, 'ENDOCHITINASE', NULL, NULL, NULL, 15),
(77517, NULL, 'PTHR21319:SF20', NULL, NULL, NULL, NULL, 'RING FINGER AND CHY ZINC FINGER DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(77518, NULL, 'PTHR43329:SF46', NULL, NULL, NULL, NULL, 'FI21255P1-RELATED', NULL, NULL, NULL, 15),
(77519, NULL, 'PTHR14611', NULL, NULL, NULL, NULL, 'TECTONIC FAMILY MEMBER', NULL, NULL, 30054, 15),
(77520, NULL, 'PTHR35733:SF1', NULL, NULL, NULL, NULL, 'OS02G0307800 PROTEIN', NULL, NULL, NULL, 15),
(77521, NULL, 'PTHR46330:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 10B', NULL, NULL, NULL, 15),
(77522, NULL, 'PTHR43684:SF1', NULL, NULL, NULL, NULL, '3,2-TRANS-ENOYL-COA ISOMERASE-RELATED', NULL, NULL, NULL, 15),
(77523, NULL, 'PTHR23236:SF42', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B', NULL, NULL, 31213, 15),
(77524, NULL, 'PTHR46324:SF27', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 43-LIKE', NULL, NULL, NULL, 15),
(77525, NULL, 'PTHR18834:SF2', NULL, NULL, NULL, NULL, 'STEROID RECEPTOR RNA ACTIVATOR 1', NULL, NULL, NULL, 15),
(77526, NULL, 'PTHR31238:SF141', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 8', NULL, NULL, NULL, 15),
(77527, NULL, 'PTHR48111:SF33', NULL, NULL, NULL, NULL, 'TORCAD OPERON TRANSCRIPTIONAL REGULATORY PROTEIN TORR', NULL, NULL, NULL, 15),
(77528, NULL, 'PTHR10104:SF6', NULL, NULL, NULL, NULL, 'STATHMIN-4', NULL, NULL, 28342, 15),
(77529, NULL, 'PTHR45090:SF10', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(77530, NULL, 'PTHR11278:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15),
(77531, NULL, 'PTHR45649:SF36', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1', NULL, NULL, NULL, 15),
(77532, NULL, 'PTHR45770:SF12', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(77533, NULL, 'PTHR10182:SF27', NULL, NULL, NULL, NULL, 'PROTEIN 39, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77534, NULL, 'PTHR34630:SF25', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPP13-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(77535, NULL, 'PTHR33143:SF53', NULL, NULL, NULL, NULL, 'OS07G0161900 PROTEIN', NULL, NULL, NULL, 15),
(77536, NULL, 'PTHR36686', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX CENTRAL ELEMENT PROTEIN 3', NULL, NULL, 21731, 15),
(77537, NULL, 'PTHR33463:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77538, NULL, 'PTHR10351:SF58', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', NULL, NULL, NULL, 15),
(77539, NULL, 'PTHR32444:SF107', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(77540, NULL, 'PTHR11183:SF144', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE PGSIP8-RELATED', NULL, NULL, NULL, 15),
(77541, NULL, 'PTHR13068:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(77542, NULL, 'PTHR22706', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(77543, NULL, 'PTHR45730:SF74', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN KNUCKLES', NULL, NULL, NULL, 15),
(77544, NULL, 'PTHR45832:SF4', NULL, NULL, NULL, NULL, 'P21 PROTEIN (CDC42/RAC)-ACTIVATED KINASE 7', NULL, NULL, 29354, 15),
(77545, NULL, 'PTHR43874:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77546, NULL, 'PTHR45277:SF2', NULL, NULL, NULL, NULL, 'BNACNNG16640D PROTEIN', NULL, NULL, NULL, 15),
(77547, NULL, 'PTHR10270:SF221', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-12', NULL, NULL, 27897, 15),
(77548, NULL, 'PTHR48061:SF20', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE MSP1-LIKE', NULL, NULL, NULL, 15),
(77549, NULL, 'PTHR45733', NULL, NULL, NULL, NULL, 'FORMIN-J', NULL, NULL, NULL, 15),
(77550, NULL, 'PTHR23115:SF256', NULL, NULL, NULL, NULL, 'OS02G0456500 PROTEIN', NULL, NULL, NULL, 15),
(77551, NULL, 'PTHR31920:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77552, NULL, 'PTHR42760:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77553, NULL, 'PTHR31867:SF162', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(77554, NULL, 'PTHR32448:SF102', NULL, NULL, NULL, NULL, 'CANNABIDIOLIC ACID SYNTHASE-LIKE 1', NULL, NULL, NULL, 15),
(77555, NULL, 'PTHR24381:SF303', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 705D-RELATED', NULL, NULL, NULL, 15),
(77556, NULL, 'PTHR30239:SF4', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE I, SMALL SUBUNIT', NULL, NULL, NULL, 15),
(77557, NULL, 'PTHR10896:SF51', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE S', NULL, NULL, NULL, 15),
(77558, NULL, 'PTHR15175:SF4', NULL, NULL, NULL, NULL, 'NADPH OXIDASE ACTIVATOR 1', NULL, NULL, 33811, 15),
(77559, NULL, 'PTHR42647:SF29', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(77560, NULL, 'PTHR31813:SF17', NULL, NULL, NULL, NULL, 'CHROMOSOME 3 OPEN READING FRAME 56', NULL, NULL, NULL, 15),
(77561, NULL, 'PTHR33172:SF29', NULL, NULL, NULL, NULL, 'OXIDATIVE STRESS 3', NULL, NULL, NULL, 15),
(77562, NULL, 'PTHR31317:SF17', NULL, NULL, NULL, NULL, 'F2J10.8 PROTEIN', NULL, NULL, NULL, 15),
(77563, NULL, 'PTHR34228', NULL, NULL, NULL, NULL, 'PROTEIN CBG09474-RELATED', NULL, NULL, NULL, 15),
(77564, NULL, 'PTHR11008:SF38', NULL, NULL, NULL, NULL, 'RE08075P', NULL, NULL, NULL, 15),
(77565, NULL, 'PTHR31896:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77566, NULL, 'PTHR32133:SF296', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77567, NULL, 'PTHR45855:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPATULA-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(77568, NULL, 'PTHR11086:SF18', NULL, NULL, NULL, NULL, 'DEOXYCYTIDYLATE DEAMINASE', NULL, NULL, NULL, 15),
(77569, NULL, 'PTHR46008:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77570, NULL, 'PTHR37343:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 32', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77571, NULL, 'PTHR48090:SF3', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-PHOSPHATE 4-DEOXY-4-FORMAMIDO-L-ARABINOSE TRANSFERASE', NULL, NULL, NULL, 15),
(77572, NULL, 'PTHR11761:SF37', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L14B/L23E-RELATED', NULL, NULL, NULL, 15),
(77573, NULL, 'PTHR24061:SF404', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 105', NULL, NULL, NULL, 15),
(77574, NULL, 'PTHR42753:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77575, NULL, 'PTHR34121:SF5', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 135 KDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(77576, NULL, 'PTHR33459:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77577, NULL, 'PTHR36206', NULL, NULL, NULL, NULL, 'ASPERCRYPTIN BIOSYNTHESIS CLUSTER-SPECIFIC TRANSCRIPTION REGULATOR ATNN-RELATED', NULL, NULL, NULL, 15),
(77578, NULL, 'PTHR24058:SF17', NULL, NULL, NULL, NULL, 'HOMEODOMAIN INTERACTING PROTEIN KINASE, ISOFORM A', NULL, NULL, NULL, 15),
(77579, NULL, 'PTHR10380:SF192', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 12A-RELATED', NULL, NULL, NULL, 15),
(77580, NULL, 'PTHR24228:SF10', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 15', NULL, NULL, NULL, 15),
(77581, NULL, 'PTHR46015:SF6', NULL, NULL, NULL, NULL, 'OS01G0772900 PROTEIN', NULL, NULL, NULL, 15),
(77582, NULL, 'PTHR34571:SF1', NULL, NULL, NULL, NULL, '(S)-UREIDOGLYCINE AMINOHYDROLASE', NULL, NULL, NULL, 15),
(77583, NULL, 'PTHR43313:SF11', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 16', NULL, NULL, NULL, 15),
(77584, NULL, 'PTHR33184:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77585, NULL, 'PTHR12629:SF67', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 18, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(77586, NULL, 'PTHR24103:SF624', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77587, NULL, 'PTHR37735', NULL, NULL, NULL, NULL, 'OS08G0567000 PROTEIN', NULL, NULL, NULL, 15),
(77588, NULL, 'PTHR10730:SF8', NULL, NULL, NULL, NULL, 'PROCOLLAGEN GALACTOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(77589, NULL, 'PTHR31071:SF47', NULL, NULL, NULL, NULL, 'PARAMYOSIN-LIKE', NULL, NULL, NULL, 15),
(77590, NULL, 'PTHR24103:SF570', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM63', NULL, NULL, NULL, 15),
(77591, NULL, 'PTHR48022', NULL, NULL, NULL, NULL, 'PLASTIDIC GLUCOSE TRANSPORTER 4', NULL, NULL, NULL, 15),
(77592, NULL, 'PTHR33257:SF44', NULL, NULL, NULL, NULL, 'BNAA03G00140D PROTEIN', NULL, NULL, NULL, 15),
(77593, NULL, 'PTHR45636:SF14', NULL, NULL, NULL, NULL, 'EYEGONE, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(77594, NULL, 'PTHR11547:SF53', NULL, NULL, NULL, NULL, 'CREATINE KINASE, FLAGELLAR', NULL, NULL, NULL, 15),
(77595, NULL, 'PTHR32468:SF145', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 28', NULL, NULL, NULL, 15),
(77596, NULL, 'PTHR46532:SF4', NULL, NULL, NULL, NULL, 'MALE FERTILITY FACTOR KL5', NULL, NULL, NULL, 15),
(77597, NULL, 'PTHR22529:SF2', NULL, NULL, NULL, NULL, 'ZGC:194621', NULL, NULL, NULL, 15),
(77598, NULL, 'PTHR24074:SF49', NULL, NULL, NULL, NULL, 'DIPHTHAMIDE BIOSYNTHESIS PROTEIN 4', NULL, NULL, NULL, 15),
(77599, NULL, 'PTHR11453:SF109', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 7-RELATED', NULL, NULL, NULL, 15),
(77600, NULL, 'PTHR21717:SF71', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(77601, NULL, 'PTHR24366:SF44', NULL, NULL, NULL, NULL, 'SLIT GUIDANCE LIGAND 1', NULL, NULL, NULL, 15),
(77602, NULL, 'PTHR45993', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA/LEUKEMIA 11', NULL, NULL, NULL, 15),
(77603, NULL, 'PTHR44688:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN FIXJ', NULL, NULL, NULL, 15),
(77604, NULL, 'PTHR33399:SF8', NULL, NULL, NULL, NULL, 'OS04G0522800 PROTEIN', NULL, NULL, NULL, 15),
(77605, NULL, 'PTHR16154:SF6', NULL, NULL, NULL, NULL, 'SPINOPHILIN, ISOFORM J', NULL, NULL, NULL, 15),
(77606, NULL, 'PTHR11871:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B GAMMA ISOFORM', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77607, NULL, 'PTHR23330:SF6', NULL, NULL, NULL, NULL, 'WASP HOMOLOG-ASSOCIATED PROTEIN WITH ACTIN, MEMBRANES AND MICROTUBULES-RELATED', NULL, NULL, 22614, 15),
(77608, NULL, 'PTHR11783:SF238', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(77609, NULL, 'PTHR27005:SF323', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 16-RELATED', NULL, NULL, NULL, 15),
(77610, NULL, 'PTHR18929', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE', NULL, NULL, NULL, 15),
(77611, NULL, 'PTHR24177:SF288', NULL, NULL, NULL, NULL, 'BNAA08G25820D PROTEIN', NULL, NULL, NULL, 15),
(77612, NULL, 'PTHR47994', NULL, NULL, NULL, NULL, 'F14D16.11-RELATED', NULL, NULL, NULL, 15),
(77613, NULL, 'PTHR47906:SF4', NULL, NULL, NULL, NULL, 'OS05G0182900 PROTEIN', NULL, NULL, NULL, 15),
(77614, NULL, 'PTHR32295:SF189', NULL, NULL, NULL, NULL, 'BNAC05G10620D PROTEIN', NULL, NULL, NULL, 15),
(77615, NULL, 'PTHR48004', NULL, NULL, NULL, NULL, 'OS01G0149700 PROTEIN', NULL, NULL, NULL, 15),
(77616, NULL, 'PTHR33172:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77617, NULL, 'PTHR15422:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77618, NULL, 'PTHR11802:SF314', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(77619, NULL, 'PTHR11654:SF172', NULL, NULL, NULL, NULL, 'OS08G0527700 PROTEIN', NULL, NULL, NULL, 15),
(77620, NULL, 'PTHR31308:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(77621, NULL, 'PTHR38796:SF1', NULL, NULL, NULL, NULL, 'ANCHORED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G09600)-RELATED', NULL, NULL, NULL, 15),
(77622, NULL, 'PTHR48077:SF1', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE', NULL, NULL, NULL, 15),
(77623, NULL, 'PTHR18945:SF23', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT ALPHA-5', NULL, NULL, NULL, 15),
(77624, NULL, 'PTHR43939:SF72', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(77625, NULL, 'PTHR43260', NULL, NULL, NULL, NULL, '3-KETOSTEROID-DELTA-1-DEHYDROGENASE', NULL, NULL, 10343, 15),
(77626, NULL, 'PTHR27003:SF350', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77627, NULL, 'PTHR24062:SF169', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(77628, NULL, 'PTHR11017:SF309', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(77629, NULL, 'PTHR14932:SF1', NULL, NULL, NULL, NULL, 'RAB-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(77630, NULL, 'PTHR46855:SF8', NULL, NULL, NULL, NULL, 'BNAA10G29140D PROTEIN', NULL, NULL, NULL, 15),
(77631, NULL, 'PTHR24379:SF72', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 14', NULL, NULL, NULL, 15),
(77632, NULL, 'PTHR43150:SF7', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED POTASSIUM CHANNEL SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(77633, NULL, 'PTHR31676:SF87', NULL, NULL, NULL, NULL, 'OS07G0120600-LIKE PROTEIN', NULL, NULL, NULL, 15),
(77634, NULL, 'PTHR24214:SF6', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN 4', NULL, NULL, NULL, 15),
(77635, NULL, 'PTHR46316:SF3', NULL, NULL, NULL, NULL, 'AKIN BETA1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(77636, NULL, 'PTHR46162:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77637, NULL, 'PTHR13247:SF13', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION 1 PROTEIN B', NULL, NULL, NULL, 15),
(77638, NULL, 'PTHR21433:SF5', NULL, NULL, NULL, NULL, 'TMPIT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(77639, NULL, 'PTHR37184:SF5', NULL, NULL, NULL, NULL, 'BNAA06G33250D PROTEIN', NULL, NULL, NULL, 15),
(77640, NULL, 'PTHR27008:SF414', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77641, NULL, 'PTHR33101:SF48', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 8-LIKE', NULL, NULL, NULL, 15),
(77642, NULL, 'PTHR33091:SF65', NULL, NULL, NULL, NULL, 'WOUND-INDUCED PROTEINASE INHIBITOR 1', NULL, NULL, NULL, 15),
(77643, NULL, 'PTHR47928:SF59', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77644, NULL, 'PTHR43416:SF4', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYL CARRIER PROTEIN OF ACETYL-COA CARBOXYLASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(77645, NULL, 'PTHR23425:SF15', NULL, NULL, NULL, NULL, 'SPERM PROTEIN ASSOCIATED WITH THE NUCLEUS ON THE X CHROMOSOME N2', NULL, NULL, NULL, 15),
(77646, NULL, 'PTHR10811', NULL, NULL, NULL, NULL, 'FRINGE-RELATED', NULL, NULL, NULL, 15),
(77647, NULL, 'PTHR46326:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT1-RELATED', NULL, NULL, NULL, 15),
(77648, NULL, 'PTHR31589:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77649, NULL, 'PTHR45800:SF34', NULL, NULL, NULL, NULL, 'BNAA08G19690D PROTEIN', NULL, NULL, NULL, 15),
(77650, NULL, 'PTHR31413:SF21', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN AFP1-LIKE', NULL, NULL, NULL, 15),
(77651, NULL, 'PTHR28314:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 29', NULL, NULL, NULL, 15),
(77652, NULL, 'PTHR35163:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(77653, NULL, 'PTHR43096:SF51', NULL, NULL, NULL, NULL, 'BNAA10G12560D PROTEIN', NULL, NULL, NULL, 15),
(77654, NULL, 'PTHR37743', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(77655, NULL, 'PTHR31205:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77656, NULL, 'PTHR35271', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, SUBSTRATE-BINDING LIPOPROTEIN-RELATED', NULL, NULL, 10095, 15),
(77657, NULL, 'PTHR24115:SF545', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIP2', NULL, NULL, NULL, 15),
(77658, NULL, 'PTHR12002:SF193', NULL, NULL, NULL, NULL, 'CLAUDIN-LIKE PROTEIN ZF-A89-RELATED', NULL, NULL, NULL, 15),
(77659, NULL, 'PTHR11808:SF76', NULL, NULL, NULL, NULL, 'METHIONINE GAMMA-LYASE-LIKE', NULL, NULL, NULL, 15),
(77660, NULL, 'PTHR48179', NULL, NULL, NULL, NULL, 'OS08G0232201 PROTEIN', NULL, NULL, NULL, 15),
(77661, NULL, 'PTHR10177:SF60', NULL, NULL, NULL, NULL, 'CYCLIN-G2', NULL, NULL, 21666, 15),
(77662, NULL, 'PTHR45753:SF4', NULL, NULL, NULL, NULL, 'ORNITHINE CARBAMOYLTRANSFERASE SUBUNIT F-RELATED', NULL, NULL, NULL, 15),
(77663, NULL, 'PTHR24012:SF826', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77664, NULL, 'PTHR24418:SF389', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(77665, NULL, 'PTHR45703:SF1', NULL, NULL, NULL, NULL, 'DNAH12 ISOFORM 2', NULL, NULL, NULL, 15),
(77666, NULL, 'PTHR36893', NULL, NULL, NULL, NULL, 'OS01G0275950 PROTEIN', NULL, NULL, NULL, 15),
(77667, NULL, 'PTHR24369:SF190', NULL, NULL, NULL, NULL, 'CONNECTIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(77668, NULL, 'PTHR22718:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(77669, NULL, 'PTHR19338:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77670, NULL, 'PTHR44472:SF1', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 4-RELATED', NULL, NULL, NULL, 15),
(77671, NULL, 'PTHR10015:SF285', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-3', NULL, NULL, NULL, 15),
(77672, NULL, 'PTHR33389:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77673, NULL, 'PTHR11528:SF95', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90-2', NULL, NULL, NULL, 15),
(77674, NULL, 'PTHR45966:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77675, NULL, 'PTHR45621:SF52', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(77676, NULL, 'PTHR11017:SF364', NULL, NULL, NULL, NULL, 'BNAC06G27830D PROTEIN', NULL, NULL, NULL, 15),
(77677, NULL, 'PTHR21447:SF8', NULL, NULL, NULL, NULL, 'DAF-16/FOXO CONTROLLED, GERMLINE TUMOR AFFECTING-RELATED', NULL, NULL, NULL, 15),
(77678, NULL, 'PTHR46799', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN UNC-4 HOMOLOG', NULL, NULL, NULL, 15),
(77679, NULL, 'PTHR36944:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG19295', NULL, NULL, NULL, 15),
(77680, NULL, 'PTHR31656:SF1', NULL, NULL, NULL, NULL, 'OS01G0968400 PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77681, NULL, 'PTHR34560:SF1', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE/LIPID TRANSPORT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(77682, NULL, 'PTHR11502:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', NULL, NULL, NULL, 15),
(77683, NULL, 'PTHR48048:SF19', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(77684, NULL, 'PTHR42262:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77685, NULL, 'PTHR42647:SF22', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 3-RELATED', NULL, NULL, NULL, 15),
(77686, NULL, 'PTHR23215:SF1', NULL, NULL, NULL, NULL, 'BUB3-INTERACTING AND GLEBS MOTIF-CONTAINING PROTEIN ZNF207', NULL, NULL, NULL, 15),
(77687, NULL, 'PTHR11183:SF98', NULL, NULL, NULL, NULL, 'OS02G0624400 PROTEIN', NULL, NULL, NULL, 15),
(77688, NULL, 'PTHR33389:SF22', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF2921)-RELATED', NULL, NULL, NULL, 15),
(77689, NULL, 'PTHR11961:SF36', NULL, NULL, NULL, NULL, 'CYTOCHROME C', NULL, NULL, NULL, 15),
(77690, NULL, 'PTHR43329:SF104', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', NULL, NULL, NULL, 15),
(77691, NULL, 'PTHR11851:SF193', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA-LIKE', NULL, NULL, 33526, 15),
(77692, NULL, 'PTHR11802:SF362', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(77693, NULL, 'PTHR47764:SF7', NULL, NULL, NULL, NULL, 'ULP1 PROTEASE FAMILY, C-TERMINAL CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(77694, NULL, 'PTHR21022:SF20', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE/PREPHENATE DEHYDRATASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(77695, NULL, 'PTHR33322:SF8', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(77696, NULL, 'PTHR32212:SF308', NULL, NULL, NULL, NULL, 'BNAA04G19970D PROTEIN', NULL, NULL, NULL, 15),
(77697, NULL, 'PTHR21646:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77698, NULL, 'PTHR31344:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77699, NULL, 'PTHR14085:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 46', NULL, NULL, NULL, 15),
(77700, NULL, 'PTHR31776:SF12', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE 1', NULL, NULL, NULL, 15),
(77701, NULL, 'PTHR12992:SF29', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE, CONSERVED', NULL, NULL, NULL, 15),
(77702, NULL, 'PTHR11240:SF18', NULL, NULL, NULL, NULL, 'OS07G0630400 PROTEIN', NULL, NULL, NULL, 15),
(77703, NULL, 'PTHR46422:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE BSL3', NULL, NULL, NULL, 15),
(77704, NULL, 'PTHR45675:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB48-RELATED', NULL, NULL, NULL, 15),
(77705, NULL, 'PTHR10809:SF67', NULL, NULL, NULL, NULL, 'PROTEIN CBG20367', NULL, NULL, NULL, 15),
(77706, NULL, 'PTHR24356:SF336', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0288795-RELATED', NULL, NULL, NULL, 15),
(77707, NULL, 'PTHR11054:SF3', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE 3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(77708, NULL, 'PTHR10980:SF48', NULL, NULL, NULL, NULL, 'BNAA09G10480D PROTEIN', NULL, NULL, NULL, 15),
(77709, NULL, 'PTHR23267:SF425', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 4-1', NULL, NULL, NULL, 15),
(77710, NULL, 'PTHR24282:SF124', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(77711, NULL, 'PTHR11206:SF426', NULL, NULL, NULL, NULL, 'BNAC09G36980D PROTEIN', NULL, NULL, NULL, 15),
(77712, NULL, 'PTHR43008:SF6', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MANNITOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(77713, NULL, 'PTHR24348:SF58', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 10-LIKE', NULL, NULL, NULL, 15),
(77714, NULL, 'PTHR11566:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77715, NULL, 'PTHR23302:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 5', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77716, NULL, 'PTHR22945:SF24', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(77717, NULL, 'PTHR33317:SF4', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(77718, NULL, 'PTHR48100:SF18', NULL, NULL, NULL, NULL, 'GLUCOSYL-3-PHOSPHOGLYCERATE PHOSPHATASE', NULL, NULL, NULL, 15),
(77719, NULL, 'PTHR11538:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77720, NULL, 'PTHR22594:SF48', NULL, NULL, NULL, NULL, 'ASPARAGINYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(77721, NULL, 'PTHR22966:SF57', NULL, NULL, NULL, NULL, 'OS05G0592300 PROTEIN', NULL, NULL, NULL, 15),
(77722, NULL, 'PTHR35377:SF5', NULL, NULL, NULL, NULL, 'ANTITOXIN VAPB49-RELATED', NULL, NULL, NULL, 15),
(77723, NULL, 'PTHR45654:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ROC1', NULL, NULL, NULL, 15),
(77724, NULL, 'PTHR12887:SF10', NULL, NULL, NULL, NULL, 'NANOS HOMOLOG 2', NULL, NULL, NULL, 15),
(77725, NULL, 'PTHR24012:SF725', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN 47', NULL, NULL, NULL, 15),
(77726, NULL, 'PTHR37155', NULL, NULL, NULL, NULL, 'MUCIN 26B', NULL, NULL, NULL, 15),
(77727, NULL, 'PTHR46631:SF15', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L18AE FAMILY-RELATED', NULL, NULL, NULL, 15),
(77728, NULL, 'PTHR19359:SF77', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 ISOFORM D', NULL, NULL, NULL, 15),
(77729, NULL, 'PTHR24248:SF136', NULL, NULL, NULL, NULL, 'D(1B) DOPAMINE RECEPTOR', NULL, NULL, NULL, 15),
(77730, NULL, 'PTHR31623:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77731, NULL, 'PTHR32153:SF55', NULL, NULL, NULL, NULL, 'BNAC05G04940D PROTEIN', NULL, NULL, NULL, 15),
(77732, NULL, 'PTHR23529', NULL, NULL, NULL, NULL, 'GH19118P-RELATED', NULL, NULL, NULL, 15),
(77733, NULL, 'PTHR21049:SF2', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 1B', NULL, NULL, NULL, 15),
(77734, NULL, 'PTHR33091:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77735, NULL, 'PTHR36680', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC498675', NULL, NULL, 28463, 15),
(77736, NULL, 'PTHR11069:SF34', NULL, NULL, NULL, NULL, 'GLUCOSYLCERAMIDASE', NULL, NULL, NULL, 15),
(77737, NULL, 'PTHR11814:SF231', NULL, NULL, NULL, NULL, 'RE02508P', NULL, NULL, NULL, 15),
(77738, NULL, 'PTHR47465:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GPBOX-RELATED', NULL, NULL, NULL, 15),
(77739, NULL, 'PTHR38169:SF2', NULL, NULL, NULL, NULL, 'OS12G0178300 PROTEIN', NULL, NULL, NULL, 15),
(77740, NULL, 'PTHR23500:SF572', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 6', NULL, NULL, NULL, 15),
(77741, NULL, 'PTHR11566:SF142', NULL, NULL, NULL, NULL, 'OS08G0425100 PROTEIN', NULL, NULL, NULL, 15),
(77742, NULL, 'PTHR10699:SF11', NULL, NULL, NULL, NULL, 'GEO08194P1-RELATED', NULL, NULL, NULL, 15),
(77743, NULL, 'PTHR21262:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77744, NULL, 'PTHR36891:SF1', NULL, NULL, NULL, NULL, 'OS01G0127400 PROTEIN', NULL, NULL, NULL, 15),
(77745, NULL, 'PTHR16469:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG23268', NULL, NULL, NULL, 15),
(77746, NULL, 'PTHR36004:SF2', NULL, NULL, NULL, NULL, 'BNAC06G23320D PROTEIN', NULL, NULL, NULL, 15),
(77747, NULL, 'PTHR45436:SF8', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SENSOR HISTIDINE KINASE', NULL, NULL, NULL, 15),
(77748, NULL, 'PTHR11206:SF307', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(77749, NULL, 'PTHR11771:SF168', NULL, NULL, NULL, NULL, 'LIPOXYGENASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(77750, NULL, 'PTHR12052:SF4', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN 4B', NULL, NULL, NULL, 15),
(77751, NULL, 'PTHR17598', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA SUBUNIT 3', NULL, NULL, 16422, 15),
(77752, NULL, 'PTHR24051', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(77753, NULL, 'PTHR27008:SF407', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77754, NULL, 'PTHR44191:SF42', NULL, NULL, NULL, NULL, 'BNAANNG06930D PROTEIN', NULL, NULL, NULL, 15),
(77755, NULL, 'PTHR11937:SF430', NULL, NULL, NULL, NULL, 'ACTIN-2', NULL, NULL, NULL, 15),
(77756, NULL, 'PTHR21596:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77757, NULL, 'PTHR32243:SF50', NULL, NULL, NULL, NULL, 'MALTOSE/MALTODEXTRIN TRANSPORT SYSTEM PERMEASE PROTEIN MALG', NULL, NULL, NULL, 15),
(77758, NULL, 'PTHR32448:SF110', NULL, NULL, NULL, NULL, 'BNACNNG69140D PROTEIN', NULL, NULL, NULL, 15),
(77759, NULL, 'PTHR12825', NULL, NULL, NULL, NULL, 'BNIP1-RELATED', NULL, NULL, 2697, 15),
(77760, NULL, 'PTHR36936', NULL, NULL, NULL, NULL, 'PROTEIN CBG25168', NULL, NULL, NULL, 15),
(77761, NULL, 'PTHR21096:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77762, NULL, 'PTHR24115:SF162', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(77763, NULL, 'PTHR31171:SF3', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 6B', NULL, NULL, NULL, 15),
(77764, NULL, 'PTHR47967:SF32', NULL, NULL, NULL, NULL, 'BNAC07G50490D PROTEIN', NULL, NULL, NULL, 15),
(77765, NULL, 'PTHR11060:SF0', NULL, NULL, NULL, NULL, 'PROTEIN MEMO1', NULL, NULL, NULL, 15),
(77766, NULL, 'PTHR42912:SF62', NULL, NULL, NULL, NULL, 'PROTEIN CBG03665', NULL, NULL, NULL, 15),
(77767, NULL, 'PTHR45626:SF24', NULL, NULL, NULL, NULL, 'HELICASE-LIKE TRANSCRIPTION FACTOR CHR28', NULL, NULL, NULL, 15),
(77768, NULL, 'PTHR36726:SF6', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE401 PROTEIN', NULL, NULL, NULL, 15),
(77769, NULL, 'PTHR11227:SF60', NULL, NULL, NULL, NULL, 'BNAA09G40130D PROTEIN', NULL, NULL, NULL, 15),
(77770, NULL, 'PTHR24281:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77771, NULL, 'PTHR46610:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77772, NULL, 'PTHR31945:SF104', NULL, NULL, NULL, NULL, 'BNAA04G29380D PROTEIN', NULL, NULL, NULL, 15),
(77773, NULL, 'PTHR10010:SF35', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORT PROTEIN 2C', NULL, NULL, 27857, 15),
(77774, NULL, 'PTHR34890:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77775, NULL, 'PTHR33470:SF41', NULL, NULL, NULL, NULL, 'BNAA09G27390D PROTEIN', NULL, NULL, NULL, 15),
(77776, NULL, 'PTHR45527', NULL, NULL, NULL, NULL, 'NONRIBOSOMAL PEPTIDE SYNTHETASE', NULL, NULL, NULL, 15),
(77777, NULL, 'PTHR43323:SF17', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', NULL, NULL, NULL, 15),
(77778, NULL, 'PTHR43917:SF4', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE THETA-2-RELATED', NULL, NULL, NULL, 15),
(77779, NULL, 'PTHR31621:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DMP3', NULL, NULL, NULL, 15),
(77780, NULL, 'PTHR46780:SF4', NULL, NULL, NULL, NULL, 'PROTEIN EVA-1 HOMOLOG C', NULL, NULL, NULL, 15),
(77781, NULL, 'PTHR48013:SF18', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(77782, NULL, 'PTHR28042', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE COMPLEX SLX5-SLX8 SUBUNIT SLX5', NULL, NULL, 34931, 15),
(77783, NULL, 'PTHR24228:SF25', NULL, NULL, NULL, NULL, 'B2 BRADYKININ RECEPTOR', NULL, NULL, NULL, 15),
(77784, NULL, 'PTHR22603:SF30', NULL, NULL, NULL, NULL, 'CHOLINE KINASE B', NULL, NULL, NULL, 15),
(77785, NULL, 'PTHR45974:SF162', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(77786, NULL, 'PTHR48063:SF10', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(77787, NULL, 'PTHR13131:SF5', NULL, NULL, NULL, NULL, 'CYSTINOSIN', NULL, NULL, NULL, 15),
(77788, NULL, 'PTHR31707:SF270', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(77789, NULL, 'PTHR47359:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77790, NULL, 'PTHR21717:SF68', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(77791, NULL, 'PTHR16052:SF1', NULL, NULL, NULL, NULL, 'OS06G0614300 PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77792, NULL, 'PTHR15917', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 25948, 15),
(77793, NULL, 'PTHR26451:SF237', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13G1', NULL, NULL, NULL, 15),
(77794, NULL, 'PTHR46563:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77795, NULL, 'PTHR31232:SF97', NULL, NULL, NULL, NULL, 'BNAANNG33170D PROTEIN', NULL, NULL, NULL, 15),
(77796, NULL, 'PTHR42923', NULL, NULL, NULL, NULL, 'PROTOPORPHYRINOGEN OXIDASE', NULL, NULL, NULL, 15),
(77797, NULL, 'PTHR12146:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10-1-LIKE', NULL, NULL, NULL, 15),
(77798, NULL, 'PTHR46602:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF GENE SILENCING 3-LIKE', NULL, NULL, NULL, 15),
(77799, NULL, 'PTHR11109', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE I', NULL, NULL, 3188, 15),
(77800, NULL, 'PTHR43246:SF9', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP37 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(77801, NULL, 'PTHR48043:SF107', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(77802, NULL, 'PTHR43107:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77803, NULL, 'PTHR23267:SF412', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77804, NULL, 'PTHR45735:SF10', NULL, NULL, NULL, NULL, 'BNAC02G20770D PROTEIN', NULL, NULL, NULL, 15),
(77805, NULL, 'PTHR35999:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM6 HOMOLOG', NULL, NULL, NULL, 15),
(77806, NULL, 'PTHR46122:SF20', NULL, NULL, NULL, NULL, 'BNAANNG18510D PROTEIN', NULL, NULL, NULL, 15),
(77807, NULL, 'PTHR16127:SF16', NULL, NULL, NULL, NULL, 'BNAANNG24120D PROTEIN', NULL, NULL, NULL, 15),
(77808, NULL, 'PTHR45288:SF3', NULL, NULL, NULL, NULL, 'BNAANNG34120D PROTEIN', NULL, NULL, NULL, 15),
(77809, NULL, 'PTHR15439:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77810, NULL, 'PTHR42647:SF52', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(77811, NULL, 'PTHR23309:SF33', NULL, NULL, NULL, NULL, 'PEROXISOMAL FATTY ACID BETA-OXIDATION MULTIFUNCTIONAL PROTEIN AIM1-LIKE', NULL, NULL, NULL, 15),
(77812, NULL, 'PTHR46798:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77813, NULL, 'PTHR22953:SF97', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 18', NULL, NULL, NULL, 15),
(77814, NULL, 'PTHR11863:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77815, NULL, 'PTHR12027:SF86', NULL, NULL, NULL, NULL, 'PROTEIN WNT-2', NULL, NULL, NULL, 15),
(77816, NULL, 'PTHR22467:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PBMUCL2', NULL, NULL, 33826, 15),
(77817, NULL, 'PTHR46932:SF11', NULL, NULL, NULL, NULL, 'OS02G0582800 PROTEIN', NULL, NULL, NULL, 15),
(77818, NULL, 'PTHR11205:SF41', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(77819, NULL, 'PTHR15344', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN  BORG', NULL, NULL, NULL, 15),
(77820, NULL, 'PTHR37559:SF1', NULL, NULL, NULL, NULL, 'PAREP6 PART 2, AUTHENTIC FRAMESHIFT', NULL, NULL, NULL, 15),
(77821, NULL, 'PTHR24083:SF43', NULL, NULL, NULL, NULL, 'HEPATIC NUCLEAR FACTOR 4, BETA', NULL, NULL, NULL, 15),
(77822, NULL, 'PTHR13633:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 6 OPEN READING FRAME 203', NULL, NULL, NULL, 15),
(77823, NULL, 'PTHR14146:SF1', NULL, NULL, NULL, NULL, 'BNAC01G38640D PROTEIN', NULL, NULL, NULL, 15),
(77824, NULL, 'PTHR12374:SF41', NULL, NULL, NULL, NULL, 'OS08G0151000 PROTEIN', NULL, NULL, NULL, 15),
(77825, NULL, 'PTHR23501:SF147', NULL, NULL, NULL, NULL, 'COMD', NULL, NULL, NULL, 15),
(77826, NULL, 'PTHR12610:SF30', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(77827, NULL, 'PTHR32212:SF343', NULL, NULL, NULL, NULL, 'BNAC09G20740D PROTEIN', NULL, NULL, NULL, 15),
(77828, NULL, 'PTHR11417:SF20', NULL, NULL, NULL, NULL, 'PROLACTIN-7D1', NULL, NULL, NULL, 15),
(77829, NULL, 'PTHR31024:SF7', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77830, NULL, 'PTHR38699', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, 18402, 15),
(77831, NULL, 'PTHR31424:SF4', NULL, NULL, NULL, NULL, 'ENHANCED RNAI (RNA INTERFERENCE)', NULL, NULL, NULL, 15),
(77832, NULL, 'PTHR13028:SF1', NULL, NULL, NULL, NULL, 'BNAC03G42920D PROTEIN', NULL, NULL, NULL, 15),
(77833, NULL, 'PTHR14340:SF5', NULL, NULL, NULL, NULL, 'TITIN', NULL, NULL, NULL, 15),
(77834, NULL, 'PTHR26452:SF111', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(77835, NULL, 'PTHR45798:SF63', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(77836, NULL, 'PTHR23063:SF37', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(77837, NULL, 'PTHR46377:SF2', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY PHOSPHATASE 19A', NULL, NULL, NULL, 15),
(77838, NULL, 'PTHR32227:SF336', NULL, NULL, NULL, NULL, 'BNAA02G04930D PROTEIN', NULL, NULL, NULL, 15),
(77839, NULL, 'PTHR31169:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77840, NULL, 'PTHR26450:SF83', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52P1-RELATED', NULL, NULL, NULL, 15),
(77841, NULL, 'PTHR31221:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77842, NULL, 'PTHR31659:SF23', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(77843, NULL, 'PTHR24338', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MSX', NULL, NULL, NULL, 15),
(77844, NULL, 'PTHR32411:SF67', NULL, NULL, NULL, NULL, 'BNACNNG07240D PROTEIN', NULL, NULL, NULL, 15),
(77845, NULL, 'PTHR32054:SF33', NULL, NULL, NULL, NULL, 'WEB FAMILY PLANT PROTEIN', NULL, NULL, NULL, 15),
(77846, NULL, 'PTHR14009:SF37', NULL, NULL, NULL, NULL, 'BNAA05G27490D PROTEIN', NULL, NULL, NULL, 15),
(77847, NULL, 'PTHR23311', NULL, NULL, NULL, NULL, 'HEAT SHOCK REGULATED 2', NULL, NULL, NULL, 15),
(77848, NULL, 'PTHR33875:SF2', NULL, NULL, NULL, NULL, 'OS09G0542200 PROTEIN', NULL, NULL, NULL, 15),
(77849, NULL, 'PTHR16052:SF3', NULL, NULL, NULL, NULL, 'CYCLASE-ASSOCIATED PROTEIN CAP/SEPTUM FORMATION INHIBITOR MINC-RELATED', NULL, NULL, NULL, 15),
(77850, NULL, 'PTHR19860:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77851, NULL, 'PTHR19325:SF502', NULL, NULL, NULL, NULL, 'NTL-DEPENDENT GENE 5', NULL, NULL, NULL, 15),
(77852, NULL, 'PTHR30094:SF14', NULL, NULL, NULL, NULL, 'D-ALANYL-GLYCYL ENDOPEPTIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(77853, NULL, 'PTHR31495:SF34', NULL, NULL, NULL, NULL, 'OS03G0222600 PROTEIN', NULL, NULL, NULL, 15),
(77854, NULL, 'PTHR43795:SF71', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(77855, NULL, 'PTHR31636:SF4', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(77856, NULL, 'PTHR33110:SF40', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(77857, NULL, 'PTHR31065', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(77858, NULL, 'PTHR31625:SF74', NULL, NULL, NULL, NULL, 'BNAA02G29920D PROTEIN', NULL, NULL, NULL, 15),
(77859, NULL, 'PTHR33936:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG20757', NULL, NULL, NULL, 15),
(77860, NULL, 'PTHR31728:SF2', NULL, NULL, NULL, NULL, 'BRCA1-A COMPLEX SUBUNIT ABRAXAS 1', NULL, NULL, NULL, 15),
(77861, NULL, 'PTHR48047:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(77862, NULL, 'PTHR21037', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L14, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(77863, NULL, 'PTHR14005:SF5', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT A', NULL, NULL, NULL, 15),
(77864, NULL, 'PTHR45730:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77865, NULL, 'PTHR48041:SF19', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 26', NULL, NULL, NULL, 15),
(77866, NULL, 'PTHR23500:SF473', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 12', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77867, NULL, 'PTHR10496', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', NULL, NULL, 2441, 15),
(77868, NULL, 'PTHR46834:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR EAT1', NULL, NULL, NULL, 15),
(77869, NULL, 'PTHR43327:SF33', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 4', NULL, NULL, NULL, 15),
(77870, NULL, 'PTHR27002:SF857', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(77871, NULL, 'PTHR27001:SF277', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 8', NULL, NULL, NULL, 15),
(77872, NULL, 'PTHR22298:SF146', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(77873, NULL, 'PTHR18860', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN', NULL, NULL, 943, 15),
(77874, NULL, 'PTHR22774:SF15', NULL, NULL, NULL, NULL, 'UHRF1-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(77875, NULL, 'PTHR34502:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77876, NULL, 'PTHR28160:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L15, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(77877, NULL, 'PTHR41542', NULL, NULL, NULL, NULL, 'BLL5807 PROTEIN', NULL, NULL, NULL, 15),
(77878, NULL, 'PTHR37947:SF1', NULL, NULL, NULL, NULL, 'BLL2462 PROTEIN', NULL, NULL, NULL, 15),
(77879, NULL, 'PTHR22907:SF9', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(77880, NULL, 'PTHR34965', NULL, NULL, NULL, NULL, 'OS07G0118300 PROTEIN', NULL, NULL, NULL, 15),
(77881, NULL, 'PTHR31645:SF49', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL2', NULL, NULL, NULL, 15),
(77882, NULL, 'PTHR14096:SF61', NULL, NULL, NULL, NULL, 'SI:CABZ01007802.1', NULL, NULL, NULL, 15),
(77883, NULL, 'PTHR34531', NULL, NULL, NULL, NULL, 'ZGC:153352', NULL, NULL, NULL, 15),
(77884, NULL, 'PTHR19211:SF45', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY F MEMBER 3', NULL, NULL, NULL, 15),
(77885, NULL, 'PTHR12357:SF8', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING FAMILY PROTEIN 2', NULL, NULL, NULL, 15),
(77886, NULL, 'PTHR47926:SF164', NULL, NULL, NULL, NULL, 'BNAA06G24470D PROTEIN', NULL, NULL, NULL, 15),
(77887, NULL, 'PTHR43008:SF3', NULL, NULL, NULL, NULL, 'L-XYLULOSE REDUCTASE', NULL, NULL, NULL, 15),
(77888, NULL, 'PTHR23315:SF257', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(77889, NULL, 'PTHR22192:SF1', NULL, NULL, NULL, NULL, 'SPERIOLIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(77890, NULL, 'PTHR46208:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM70', NULL, NULL, NULL, 15),
(77891, NULL, 'PTHR21649:SF119', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(77892, NULL, 'PTHR23152:SF30', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE, E1 COMPONENT', NULL, NULL, NULL, 15),
(77893, NULL, 'PTHR46002:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBR-PBO-1', NULL, NULL, NULL, 15),
(77894, NULL, 'PTHR31388:SF28', NULL, NULL, NULL, NULL, 'PEROXIDASE 40', NULL, NULL, NULL, 15),
(77895, NULL, 'PTHR12411:SF774', NULL, NULL, NULL, NULL, 'CATHEPSIN K', NULL, NULL, NULL, 15),
(77896, NULL, 'PTHR34671', NULL, NULL, NULL, NULL, 'EM-LIKE PROTEIN GEA1', NULL, NULL, 6517, 15),
(77897, NULL, 'PTHR11746:SF266', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(77898, NULL, 'PTHR13738:SF9', NULL, NULL, NULL, NULL, 'TROPONIN I, SLOW SKELETAL MUSCLE', NULL, NULL, NULL, 15),
(77899, NULL, 'PTHR23023:SF260', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE 1-RELATED', NULL, NULL, NULL, 15),
(77900, NULL, 'PTHR46521:SF12', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(77901, NULL, 'PTHR47925:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77902, NULL, 'PTHR23429:SF14', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE', NULL, NULL, NULL, 15),
(77903, NULL, 'PTHR26451:SF132', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6K6', NULL, NULL, NULL, 15),
(77904, NULL, 'PTHR11157:SF17', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77905, NULL, 'PTHR14359:SF28', NULL, NULL, NULL, NULL, 'BNAA01G27100D PROTEIN', NULL, NULL, NULL, 15),
(77906, NULL, 'PTHR10174:SF200', NULL, NULL, NULL, NULL, 'RETINALDEHYDE-BINDING PROTEIN 1', NULL, NULL, 24976, 15),
(77907, NULL, 'PTHR24032:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77908, NULL, 'PTHR22835:SF609', NULL, NULL, NULL, NULL, 'LIPASE-LIKE', NULL, NULL, NULL, 15),
(77909, NULL, 'PTHR46371:SF6', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION PROTEIN', NULL, NULL, NULL, 15),
(77910, NULL, 'PTHR24364:SF22', NULL, NULL, NULL, NULL, 'TROPHOBLAST GLYCOPROTEIN A-RELATED', NULL, NULL, NULL, 15),
(77911, NULL, 'PTHR32002:SF46', NULL, NULL, NULL, NULL, 'PROTEIN NLP2', NULL, NULL, NULL, 15),
(77912, NULL, 'PTHR27006:SF267', NULL, NULL, NULL, NULL, 'OS06G0585982 PROTEIN', NULL, NULL, NULL, 15),
(77913, NULL, 'PTHR15914', NULL, NULL, NULL, NULL, 'ALPHA-HEMOGLOBIN-STABILIZING PROTEIN', NULL, NULL, 13679, 15),
(77914, NULL, 'PTHR46204:SF20', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(77915, NULL, 'PTHR44042:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DIVARICATA', NULL, NULL, NULL, 15),
(77916, NULL, 'PTHR11785:SF402', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(77917, NULL, 'PTHR33450:SF2', NULL, NULL, NULL, NULL, 'OS02G0505500 PROTEIN', NULL, NULL, NULL, 15),
(77918, NULL, 'PTHR23105:SF129', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(77919, NULL, 'PTHR24281:SF138', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 93A2-LIKE', NULL, NULL, NULL, 15),
(77920, NULL, 'PTHR22093', NULL, NULL, NULL, NULL, 'LEUKOCYTE RECEPTOR CLUSTER  LRC  MEMBER 1', NULL, NULL, 34621, 15),
(77921, NULL, 'PTHR33021:SF292', NULL, NULL, NULL, NULL, 'OS03G0709100 PROTEIN', NULL, NULL, NULL, 15),
(77922, NULL, 'PTHR47488:SF2', NULL, NULL, NULL, NULL, 'OS07G0682000 PROTEIN', NULL, NULL, NULL, 15),
(77923, NULL, 'PTHR24031:SF698', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-1', NULL, NULL, NULL, 15),
(77924, NULL, 'PTHR10641:SF1254', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(77925, NULL, 'PTHR42731:SF5', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(77926, NULL, 'PTHR24300:SF333', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 2, SUBFAMILY V, POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(77927, NULL, 'PTHR46224:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77928, NULL, 'PTHR13256', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 9', NULL, NULL, 30364, 15),
(77929, NULL, 'PTHR45647:SF41', NULL, NULL, NULL, NULL, 'OS02G0218400 PROTEIN', NULL, NULL, NULL, 15),
(77930, NULL, 'PTHR43791', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', NULL, NULL, NULL, 15),
(77931, NULL, 'PTHR33181:SF2', NULL, NULL, NULL, NULL, 'OS03G0806800 PROTEIN', NULL, NULL, NULL, 15),
(77932, NULL, 'PTHR10794:SF79', NULL, NULL, NULL, NULL, 'MONOACYLGLYCEROL LIPASE ABHD2-B', NULL, NULL, NULL, 15),
(77933, NULL, 'PTHR12632:SF67', NULL, NULL, NULL, NULL, 'BNAA06G01280D PROTEIN', NULL, NULL, NULL, 15),
(77934, NULL, 'PTHR45866', NULL, NULL, NULL, NULL, 'DNA GYRASE/TOPOISOMERASE SUBUNIT B', NULL, NULL, NULL, 15),
(77935, NULL, 'PTHR24089:SF712', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL2-RELATED', NULL, NULL, NULL, 15),
(77936, NULL, 'PTHR12415', NULL, NULL, NULL, NULL, 'TYROSYL-DNA PHOSPHODIESTERASE 1', NULL, NULL, 8642, 15),
(77937, NULL, 'PTHR46622:SF1', NULL, NULL, NULL, NULL, 'DNA-DEPENDENT METALLOPROTEASE WSS1', NULL, NULL, NULL, 15),
(77938, NULL, 'PTHR36727', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT L, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(77939, NULL, 'PTHR45837:SF5', NULL, NULL, NULL, NULL, '25.3 KDA VESICLE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(77940, NULL, 'PTHR36312:SF7', NULL, NULL, NULL, NULL, 'THIONIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(77941, NULL, 'PTHR11709:SF324', NULL, NULL, NULL, NULL, 'LACCASE-6', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77942, NULL, 'PTHR13832:SF758', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 30-RELATED', NULL, NULL, NULL, 15),
(77943, NULL, 'PTHR10353:SF38', NULL, NULL, NULL, NULL, 'LACTASE-PHLORIZIN HYDROLASE', NULL, NULL, NULL, 15),
(77944, NULL, 'PTHR31917:SF88', NULL, NULL, NULL, NULL, 'BNAANNG14870D PROTEIN', NULL, NULL, NULL, 15),
(77945, NULL, 'PTHR37167', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-6-NAPHTOATE SYNTHASE', NULL, NULL, 23540, 15),
(77946, NULL, 'PTHR24390:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 667', NULL, NULL, NULL, 15),
(77947, NULL, 'PTHR45614:SF172', NULL, NULL, NULL, NULL, 'V-MYB AVIAN MYELOBLASTOSIS VIRAL ONCOGENE HOMOLOG', NULL, NULL, NULL, 15),
(77948, NULL, 'PTHR37735:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77949, NULL, 'PTHR48090:SF1', NULL, NULL, NULL, NULL, 'PROPHAGE BACTOPRENOL GLUCOSYL TRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(77950, NULL, 'PTHR32419:SF26', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(77951, NULL, 'PTHR47875:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP28, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(77952, NULL, 'PTHR33974:SF9', NULL, NULL, NULL, NULL, 'VASCULAR-RELATED UNKNOWN PROTEIN 3', NULL, NULL, NULL, 15),
(77953, NULL, 'PTHR31875:SF37', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(77954, NULL, 'PTHR10383:SF51', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR 3', NULL, NULL, 22112, 15),
(77955, NULL, 'PTHR33074:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77956, NULL, 'PTHR13026:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77957, NULL, 'PTHR24637:SF354', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(77958, NULL, 'PTHR31006:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG26355', NULL, NULL, NULL, 15),
(77959, NULL, 'PTHR30606:SF10', NULL, NULL, NULL, NULL, 'LIPID A BIOSYNTHESIS LAUROYL ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(77960, NULL, 'PTHR21388:SF6', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 39', NULL, NULL, NULL, 15),
(77961, NULL, 'PTHR24376:SF135', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(77962, NULL, 'PTHR48043:SF6', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(77963, NULL, 'PTHR24119', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(77964, NULL, 'PTHR30349:SF62', NULL, NULL, NULL, NULL, 'TYPE 1 FIMBRIAE REGULATORY PROTEIN FIMB-RELATED', NULL, NULL, NULL, 15),
(77965, NULL, 'PTHR44305:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NRKA', NULL, NULL, NULL, 15),
(77966, NULL, 'PTHR11328:SF29', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT LYSOPHOSPHATIDYLCHOLINE SYMPORTER 1', NULL, NULL, NULL, 15),
(77967, NULL, 'PTHR24407:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77968, NULL, 'PTHR23113:SF201', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR G', NULL, NULL, NULL, 15),
(77969, NULL, 'PTHR12771:SF61', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN C-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(77970, NULL, 'PTHR47973:SF7', NULL, NULL, NULL, NULL, 'BNAC01G42200D PROTEIN', NULL, NULL, NULL, 15),
(77971, NULL, 'PTHR48063:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77972, NULL, 'PTHR16943:SF14', NULL, NULL, NULL, NULL, 'IMMUNORESPONSIVE GENE 1,-LIKE', NULL, NULL, NULL, 15),
(77973, NULL, 'PTHR48100:SF10', NULL, NULL, NULL, NULL, '2-CARBOXY-D-ARABINITOL-1-PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(77974, NULL, 'PTHR46728:SF1', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 4', NULL, NULL, NULL, 15),
(77975, NULL, 'PTHR11706:SF29', NULL, NULL, NULL, NULL, 'IRON TRANSPORTER SMF3', NULL, NULL, NULL, 15),
(77976, NULL, 'PTHR15583:SF13', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR A', NULL, NULL, NULL, 15),
(77977, NULL, 'PTHR45952:SF2', NULL, NULL, NULL, NULL, 'OS04G0679400 PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(77978, NULL, 'PTHR43448', NULL, NULL, NULL, NULL, 'PROTOHEME IX FARNESYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, 5861, 15),
(77979, NULL, 'PTHR48053:SF16', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', NULL, NULL, NULL, 15),
(77980, NULL, 'PTHR43575:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ABCI7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(77981, NULL, 'PTHR31807:SF2', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 8', NULL, NULL, NULL, 15),
(77982, NULL, 'PTHR10404:SF38', NULL, NULL, NULL, NULL, 'N-ACETYLATED-ALPHA-LINKED ACIDIC DIPEPTIDASE 2', NULL, NULL, NULL, 15),
(77983, NULL, 'PTHR12570:SF71', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(77984, NULL, 'PTHR16967:SF1', NULL, NULL, NULL, NULL, 'LEYDIG CELL TUMOR 10 KDA PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(77985, NULL, 'PTHR31190:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(77986, NULL, 'PTHR11743:SF68', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN PORIN-RELATED', NULL, NULL, NULL, 15),
(77987, NULL, 'PTHR48041:SF83', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 6', NULL, NULL, NULL, 15),
(77988, NULL, 'PTHR24023:SF1027', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(VIII) CHAIN', NULL, NULL, NULL, 15),
(77989, NULL, 'PTHR10574:SF279', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT BETA-4', NULL, NULL, NULL, 15),
(77990, NULL, 'PTHR31330', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP C', NULL, NULL, NULL, 15),
(77991, NULL, 'PTHR18945:SF488', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(77992, NULL, 'PTHR47965:SF5', NULL, NULL, NULL, NULL, 'BASIC 7S GLOBULIN-LIKE', NULL, NULL, NULL, 15),
(77993, NULL, 'PTHR43537:SF10', NULL, NULL, NULL, NULL, 'FATTY ACID METABOLISM REGULATOR PROTEIN', NULL, NULL, 8654, 15),
(77994, NULL, 'PTHR20934:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(77995, NULL, 'PTHR24136:SF31', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 13', NULL, NULL, NULL, 15),
(77996, NULL, 'PTHR11935:SF80', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(77997, NULL, 'PTHR46058:SF17', NULL, NULL, NULL, NULL, 'BNAA05G16600D PROTEIN', NULL, NULL, NULL, 15),
(77998, NULL, 'PTHR46483:SF5', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1 PLIP3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(77999, NULL, 'PTHR35164:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78000, NULL, 'PTHR38365:SF1', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78001, NULL, 'PTHR31174:SF35', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS ABUNDANT PROTEIN D-34, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78002, NULL, 'PTHR31251:SF114', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(78003, NULL, 'PTHR46288:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78004, NULL, 'PTHR11206:SF201', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(78005, NULL, 'PTHR37465:SF1', NULL, NULL, NULL, NULL, 'YD REPEAT PROTEIN', NULL, NULL, NULL, 15),
(78006, NULL, 'PTHR11654:SF117', NULL, NULL, NULL, NULL, 'OS07G0190650 PROTEIN', NULL, NULL, NULL, 15),
(78007, NULL, 'PTHR35891:SF2', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBA', NULL, NULL, NULL, 15),
(78008, NULL, 'PTHR46122:SF5', NULL, NULL, NULL, NULL, 'KELCH REPEAT F-BOX PROTEIN', NULL, NULL, NULL, 15),
(78009, NULL, 'PTHR47979:SF25', NULL, NULL, NULL, NULL, 'BNAC01G40910D PROTEIN', NULL, NULL, NULL, 15),
(78010, NULL, 'PTHR21077:SF5', NULL, NULL, NULL, NULL, 'METHYL METHANESULFONATE SENSITIVITY 4', NULL, NULL, NULL, 15),
(78011, NULL, 'PTHR47956:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B10', NULL, NULL, NULL, 15),
(78012, NULL, 'PTHR11802:SF83', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(78013, NULL, 'PTHR12599:SF13', NULL, NULL, NULL, NULL, 'PTERIN-4-ALPHA-CARBINOLAMINE DEHYDRATASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78014, NULL, 'PTHR26379:SF246', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78015, NULL, 'PTHR31867:SF158', NULL, NULL, NULL, NULL, 'EXPANSIN-A16', NULL, NULL, NULL, 15),
(78016, NULL, 'PTHR30128:SF56', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN', NULL, NULL, NULL, 15),
(78017, NULL, 'PTHR33138:SF9', NULL, NULL, NULL, NULL, 'OS01G0137200 PROTEIN', NULL, NULL, NULL, 15),
(78018, NULL, 'PTHR21645:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(78019, NULL, 'PTHR47992:SF69', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 38-RELATED', NULL, NULL, NULL, 15),
(78020, NULL, 'PTHR31066:SF48', NULL, NULL, NULL, NULL, 'OSJNBA0019J05.13 PROTEIN', NULL, NULL, NULL, 15),
(78021, NULL, 'PTHR10266:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME C1-2, HEME PROTEIN, MITOCHONDRIAL ISOFORM X1', NULL, NULL, NULL, 15),
(78022, NULL, 'PTHR42879', NULL, NULL, NULL, NULL, '3-OXOACYL-(ACYL-CARRIER-PROTEIN) REDUCTASE', NULL, NULL, NULL, 15),
(78023, NULL, 'PTHR12939:SF6', NULL, NULL, NULL, NULL, 'DELTA-SARCOGLYCAN', NULL, NULL, 26344, 15),
(78024, NULL, 'PTHR48010:SF22', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(78025, NULL, 'PTHR37245', NULL, NULL, NULL, NULL, 'PAMP-INDUCED SECRETED PEPTIDE 1', NULL, NULL, 29628, 15),
(78026, NULL, 'PTHR45669:SF45', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78027, NULL, 'PTHR11537:SF262', NULL, NULL, NULL, NULL, 'PROTEIN CBR-KVS-1', NULL, NULL, NULL, 15),
(78028, NULL, 'PTHR33021:SF315', NULL, NULL, NULL, NULL, 'OSJNBA0028I23.23 PROTEIN', NULL, NULL, NULL, 15),
(78029, NULL, 'PTHR47990:SF161', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE 3', NULL, NULL, NULL, 15),
(78030, NULL, 'PTHR26454:SF60', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(78031, NULL, 'PTHR32096:SF88', NULL, NULL, NULL, NULL, 'OS09G0334500 PROTEIN', NULL, NULL, NULL, 15),
(78032, NULL, 'PTHR11793:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 4', NULL, NULL, NULL, 15),
(78033, NULL, 'PTHR36696', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78034, NULL, 'PTHR46057:SF32', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.16-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78035, NULL, 'PTHR24015:SF1767', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78036, NULL, 'PTHR22844:SF365', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN DCAF11/LEC14B-RELATED', NULL, NULL, NULL, 15),
(78037, NULL, 'PTHR35097', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(78038, NULL, 'PTHR12839:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78039, NULL, 'PTHR45647:SF63', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 51', NULL, NULL, NULL, 15),
(78040, NULL, 'PTHR48044:SF49', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(78041, NULL, 'PTHR46324:SF12', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(78042, NULL, 'PTHR37968', NULL, NULL, NULL, NULL, 'PROTEIN CBG06678', NULL, NULL, NULL, 15),
(78043, NULL, 'PTHR12338:SF5', NULL, NULL, NULL, NULL, 'AUTOTRANSPORTER YFAL-RELATED', NULL, NULL, NULL, 15),
(78044, NULL, 'PTHR23322:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78045, NULL, 'PTHR10075:SF46', NULL, NULL, NULL, NULL, '2 (ZWEI) IG DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78046, NULL, 'PTHR24417:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE LMTK3', NULL, NULL, NULL, 15),
(78047, NULL, 'PTHR12411:SF598', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78048, NULL, 'PTHR31636:SF159', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 3', NULL, NULL, 25274, 15),
(78049, NULL, 'PTHR23070:SF96', NULL, NULL, NULL, NULL, 'BNAA04G12750D PROTEIN', NULL, NULL, NULL, 15),
(78050, NULL, 'PTHR47956:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(78051, NULL, 'PTHR15124:SF15', NULL, NULL, NULL, NULL, 'MIGRATION AND INVASION ENHANCER 1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78052, NULL, 'PTHR23111:SF78', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 13B', NULL, NULL, NULL, 15),
(78053, NULL, 'PTHR45660:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE FAMILY MEMBER SUVH2-RELATED', NULL, NULL, NULL, 15),
(78054, NULL, 'PTHR27006:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78055, NULL, 'PTHR33193:SF31', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(78056, NULL, 'PTHR23073:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78057, NULL, 'PTHR23068:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78058, NULL, 'PTHR20961:SF88', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', NULL, NULL, NULL, 15),
(78059, NULL, 'PTHR37714:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78060, NULL, 'PTHR11733:SF186', NULL, NULL, NULL, NULL, 'NEPRILYSIN 5, ISOFORM D', NULL, NULL, NULL, 15),
(78061, NULL, 'PTHR47232:SF1', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(78062, NULL, 'PTHR45637:SF25', NULL, NULL, NULL, NULL, 'OS08G0491200 PROTEIN', NULL, NULL, NULL, 15),
(78063, NULL, 'PTHR24037:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-198M17.1', NULL, NULL, NULL, 15),
(78064, NULL, 'PTHR42833:SF7', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78065, NULL, 'PTHR23255:SF55', NULL, NULL, NULL, NULL, 'TGF-BETA RECEPTOR TYPE-2', NULL, NULL, NULL, 15),
(78066, NULL, 'PTHR24361:SF831', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78067, NULL, 'PTHR11157:SF18', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 5', NULL, NULL, 32068, 15),
(78068, NULL, 'PTHR13999:SF8', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(78069, NULL, 'PTHR38123:SF6', NULL, NULL, NULL, NULL, 'CELL WALL SERINE-THREONINE-RICH GALACTOMANNOPROTEIN MP1 (AFU_ORTHOLOGUE AFUA_4G03240)', NULL, NULL, NULL, 15),
(78070, NULL, 'PTHR31083:SF26', NULL, NULL, NULL, NULL, 'OS01G0975000 PROTEIN', NULL, NULL, NULL, 15),
(78071, NULL, 'PTHR11097', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX EXONUCLEASE  RIBOSOMAL RNA PROCESSING PROTEIN', NULL, NULL, NULL, 15),
(78072, NULL, 'PTHR30561:SF2', NULL, NULL, NULL, NULL, 'SPERMIDINE EXPORT PROTEIN MDTJ', NULL, NULL, 10609, 15),
(78073, NULL, 'PTHR22939:SF127', NULL, NULL, NULL, NULL, 'SERINE PROTEASE HTRA2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(78074, NULL, 'PTHR10984:SF64', NULL, NULL, NULL, NULL, 'BNAA05G20360D PROTEIN', NULL, NULL, NULL, 15),
(78075, NULL, 'PTHR43504:SF1', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', NULL, NULL, NULL, 15),
(78076, NULL, 'PTHR47397', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 19L', NULL, NULL, 15656, 15),
(78077, NULL, 'PTHR11061', NULL, NULL, NULL, NULL, 'RNA M5U METHYLTRANSFERASE', NULL, NULL, 7738, 15),
(78078, NULL, 'PTHR31769:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78079, NULL, 'PTHR16223:SF53', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78080, NULL, 'PTHR47926:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78081, NULL, 'PTHR14939:SF5', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 22', NULL, NULL, NULL, 15),
(78082, NULL, 'PTHR46226:SF11', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78083, NULL, 'PTHR46024:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EGGLESS', NULL, NULL, NULL, 15),
(78084, NULL, 'PTHR33108:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78085, NULL, 'PTHR13710:SF134', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE Q-LIKE 3', NULL, NULL, NULL, 15),
(78086, NULL, 'PTHR11467:SF97', NULL, NULL, NULL, NULL, 'HMG-I/Y PROTEIN HMGA', NULL, NULL, NULL, 15),
(78087, NULL, 'PTHR31470:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78088, NULL, 'PTHR46353:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER C2H2-TYPE/INTEGRASE DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78089, NULL, 'PTHR43557:SF4', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(78090, NULL, 'PTHR19876:SF42', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(78091, NULL, 'PTHR31105:SF34', NULL, NULL, NULL, NULL, 'BNAC06G15920D PROTEIN', NULL, NULL, NULL, 15),
(78092, NULL, 'PTHR45752:SF74', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 7', NULL, NULL, NULL, 15),
(78093, NULL, 'PTHR45616:SF3', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 4', NULL, NULL, NULL, 15),
(78094, NULL, 'PTHR33289', NULL, NULL, NULL, NULL, 'ANCHORAGE SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78095, NULL, 'PTHR16295:SF27', NULL, NULL, NULL, NULL, 'OS03G0356652 PROTEIN', NULL, NULL, NULL, 15),
(78096, NULL, 'PTHR22809', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-RELATED', NULL, NULL, 23341, 15),
(78097, NULL, 'PTHR13502:SF7', NULL, NULL, NULL, NULL, 'CDC42 SMALL EFFECTOR PROTEIN 2-B', NULL, NULL, NULL, 15),
(78098, NULL, 'PTHR11709:SF115', NULL, NULL, NULL, NULL, 'OS07G0119400 PROTEIN', NULL, NULL, NULL, 15),
(78099, NULL, 'PTHR45778:SF13', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(78100, NULL, 'PTHR26450:SF393', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(78101, NULL, 'PTHR10177:SF485', NULL, NULL, NULL, NULL, 'CYCD3,3 PROTEIN', NULL, NULL, NULL, 15),
(78102, NULL, 'PTHR36042', NULL, NULL, NULL, NULL, 'OS05G0490900 PROTEIN', NULL, NULL, NULL, 15),
(78103, NULL, 'PTHR23501:SF157', NULL, NULL, NULL, NULL, 'MFS EFFLUX TRANSPORTER INPD-RELATED', NULL, NULL, NULL, 15),
(78104, NULL, 'PTHR32054:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78105, NULL, 'PTHR45651:SF25', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78106, NULL, 'PTHR24286:SF261', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78107, NULL, 'PTHR22930:SF176', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1-RELATED', NULL, NULL, NULL, 15),
(78108, NULL, 'PTHR24637:SF306', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(78109, NULL, 'PTHR46351:SF4', NULL, NULL, NULL, NULL, 'OS11G0592200 PROTEIN', NULL, NULL, NULL, 15),
(78110, NULL, 'PTHR31413:SF20', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN AFP2', NULL, NULL, NULL, 15),
(78111, NULL, 'PTHR10795:SF571', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78112, NULL, 'PTHR45730:SF60', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(78113, NULL, 'PTHR19443:SF28', NULL, NULL, NULL, NULL, 'HEXOKINASE HKDC1-RELATED', NULL, NULL, NULL, 15),
(78114, NULL, 'PTHR11089', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78115, NULL, 'PTHR10585:SF57', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN RETAINING RECEPTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(78116, NULL, 'PTHR11346:SF156', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(78117, NULL, 'PTHR33181:SF19', NULL, NULL, NULL, NULL, 'OSJNBA0041A02.21-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78118, NULL, 'PTHR46116:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78119, NULL, 'PTHR10540:SF14', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT F', NULL, NULL, NULL, 15),
(78120, NULL, 'PTHR19241:SF567', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 42-RELATED', NULL, NULL, NULL, 15),
(78121, NULL, 'PTHR12921:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-FOLD MODIFIER-CONJUGATING ENZYME 1', NULL, NULL, NULL, 15),
(78122, NULL, 'PTHR31419', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 2', NULL, NULL, 29091, 15),
(78123, NULL, 'PTHR12549:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUMONJI (JMJC) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78124, NULL, 'PTHR47555', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYL TRANSFERASE COMPONENT FAMILY PROTEIN / GPI1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(78125, NULL, 'PTHR31232:SF83', NULL, NULL, NULL, NULL, 'BNAA02G34930D PROTEIN', NULL, NULL, NULL, 15),
(78126, NULL, 'PTHR45500:SF1', NULL, NULL, NULL, NULL, 'OS02G0202600 PROTEIN', NULL, NULL, NULL, 15),
(78127, NULL, 'PTHR31235:SF347', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(78128, NULL, 'PTHR26452:SF19', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(78129, NULL, 'PTHR38978:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78130, NULL, 'PTHR10177:SF479', NULL, NULL, NULL, NULL, 'CYCLIN-D4-1-LIKE', NULL, NULL, NULL, 15),
(78131, NULL, 'PTHR24322:SF728', NULL, NULL, NULL, NULL, 'EPIDERMAL RETINOL DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(78132, NULL, 'PTHR23050:SF413', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(78133, NULL, 'PTHR24366:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78134, NULL, 'PTHR34985:SF1', NULL, NULL, NULL, NULL, 'SLR0554 PROTEIN', NULL, NULL, NULL, 15),
(78135, NULL, 'PTHR24052:SF8', NULL, NULL, NULL, NULL, 'NIMROD A, ISOFORM E', NULL, NULL, NULL, 15),
(78136, NULL, 'PTHR24366:SF96', NULL, NULL, NULL, NULL, 'IG(IMMUNOGLOBULIN) AND LRR(LEUCINE RICH REPEAT) DOMAINS', NULL, NULL, NULL, 15),
(78137, NULL, 'PTHR48001:SF14', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(78138, NULL, 'PTHR23176:SF104', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 27', NULL, NULL, 12688, 15),
(78139, NULL, 'PTHR13681', NULL, NULL, NULL, NULL, 'SURVIVAL OF MOTOR NEURON-RELATED-SPLICING FACTOR 30-RELATED', NULL, NULL, NULL, 15),
(78140, NULL, 'PTHR10366:SF714', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(78141, NULL, 'PTHR21495:SF209', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(78142, NULL, 'PTHR33722', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 24282, 15),
(78143, NULL, 'PTHR46685:SF1', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S15, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(78144, NULL, 'PTHR47967:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78145, NULL, 'PTHR27005:SF266', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(78146, NULL, 'PTHR46128:SF33', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78147, NULL, 'PTHR31111:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78148, NULL, 'PTHR13596:SF12', NULL, NULL, NULL, NULL, 'OS11G0425600 PROTEIN', NULL, NULL, NULL, 15),
(78149, NULL, 'PTHR48044:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(78150, NULL, 'PTHR31553:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78151, NULL, 'PTHR23055', NULL, NULL, NULL, NULL, 'CALCIUM BINDING PROTEINS', NULL, NULL, 26896, 15),
(78152, NULL, 'PTHR42722:SF1', NULL, NULL, NULL, NULL, 'LEUCINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(78153, NULL, 'PTHR45687:SF51', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-4-RELATED', NULL, NULL, NULL, 15),
(78154, NULL, 'PTHR13044:SF3', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-5', NULL, NULL, 28504, 15),
(78155, NULL, 'PTHR24221:SF485', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', NULL, NULL, NULL, 15),
(78156, NULL, 'PTHR11527:SF312', NULL, NULL, NULL, NULL, '17.1 KDA CLASS II HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(78157, NULL, 'PTHR37886:SF2', NULL, NULL, NULL, NULL, 'BNAC05G46710D PROTEIN', NULL, NULL, NULL, 15),
(78158, NULL, 'PTHR35367:SF3', NULL, NULL, NULL, NULL, 'SCHIZONT EGRESS ANTIGEN-1', NULL, NULL, NULL, 15),
(78159, NULL, 'PTHR47640:SF47', NULL, NULL, NULL, NULL, 'BNAA03G48370D PROTEIN', NULL, NULL, NULL, 15),
(78160, NULL, 'PTHR10684:SF4', NULL, NULL, NULL, NULL, 'TAIMAN, ISOFORM G', NULL, NULL, NULL, 15),
(78161, NULL, 'PTHR13754', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78162, NULL, 'PTHR24637:SF343', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(78163, NULL, 'PTHR34838', NULL, NULL, NULL, NULL, 'OS08G0142100 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78164, NULL, 'PTHR31867:SF173', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(78165, NULL, 'PTHR12210:SF140', NULL, NULL, NULL, NULL, 'CTD NUCLEAR ENVELOPE PHOSPHATASE 1', NULL, NULL, NULL, 15),
(78166, NULL, 'PTHR24343:SF133', NULL, NULL, NULL, NULL, 'NUAK FAMILY SNF1-LIKE KINASE 2', NULL, NULL, NULL, 15),
(78167, NULL, 'PTHR10302:SF0', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(78168, NULL, 'PTHR23057:SF1', NULL, NULL, NULL, NULL, 'JAZF ZINC FINGER 1A', NULL, NULL, 26598, 15),
(78169, NULL, 'PTHR22907:SF47', NULL, NULL, NULL, NULL, 'CUTICLIN-RELATED', NULL, NULL, NULL, 15),
(78170, NULL, 'PTHR33159:SF37', NULL, NULL, NULL, NULL, 'NITRATE-INDUCED NOI PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(78171, NULL, 'PTHR30502:SF5', NULL, NULL, NULL, NULL, '2-KETO-3-DEOXY-L-RHAMNONATE ALDOLASE', NULL, NULL, NULL, 15),
(78172, NULL, 'PTHR10641:SF1037', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB10', NULL, NULL, NULL, 15),
(78173, NULL, 'PTHR43540:SF3', NULL, NULL, NULL, NULL, 'ENTEROBACTIN SYNTHASE COMPONENT B', NULL, NULL, NULL, 15),
(78174, NULL, 'PTHR43497:SF1', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 12', NULL, NULL, NULL, 15),
(78175, NULL, 'PTHR24123:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78176, NULL, 'PTHR10953:SF216', NULL, NULL, NULL, NULL, 'NEDD8-ACTIVATING ENZYME E1 REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(78177, NULL, 'PTHR43277:SF5', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(78178, NULL, 'PTHR10077', NULL, NULL, NULL, NULL, 'CALPASTATIN', NULL, NULL, 24438, 15),
(78179, NULL, 'PTHR48078:SF1', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE', NULL, NULL, NULL, 15),
(78180, NULL, 'PTHR33098:SF50', NULL, NULL, NULL, NULL, 'PATHOGEN-ASSOCIATED MOLECULAR PATTERNS-INDUCED PROTEIN A70', NULL, NULL, NULL, 15),
(78181, NULL, 'PTHR11348:SF34', NULL, NULL, NULL, NULL, 'EPIDERMAL CELL SURFACE RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(78182, NULL, 'PTHR14074:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78183, NULL, 'PTHR31319:SF74', NULL, NULL, NULL, NULL, 'OS01G0835700 PROTEIN', NULL, NULL, NULL, 15),
(78184, NULL, 'PTHR33127:SF43', NULL, NULL, NULL, NULL, 'OS06G0135220 PROTEIN', NULL, NULL, NULL, 15),
(78185, NULL, 'PTHR22601:SF69', NULL, NULL, NULL, NULL, 'BNAA09G45740D PROTEIN', NULL, NULL, NULL, 15),
(78186, NULL, 'PTHR12506:SF49', NULL, NULL, NULL, NULL, 'ZINC FINGER C-X8-C-X5-C-X3-H TYPE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78187, NULL, 'PTHR24220:SF612', NULL, NULL, NULL, NULL, 'FE(3+) IONS IMPORT ATP-BINDING PROTEIN FBPC', NULL, NULL, NULL, 15),
(78188, NULL, 'PTHR24361:SF749', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BLUS1-LIKE', NULL, NULL, NULL, 15),
(78189, NULL, 'PTHR37435:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG14643', NULL, NULL, NULL, 15),
(78190, NULL, 'PTHR31390:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78191, NULL, 'PTHR33136:SF83', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(78192, NULL, 'PTHR45651:SF53', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 16-RELATED', NULL, NULL, NULL, 15),
(78193, NULL, 'PTHR23087:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78194, NULL, 'PTHR34397:SF17', NULL, NULL, NULL, NULL, 'OS08G0290200 PROTEIN', NULL, NULL, NULL, 15),
(78195, NULL, 'PTHR31235:SF338', NULL, NULL, NULL, NULL, 'PEROXIDASE 71', NULL, NULL, NULL, 15),
(78196, NULL, 'PTHR11223:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(78197, NULL, 'PTHR24349:SF366', NULL, NULL, NULL, NULL, 'BNAA09G47040D PROTEIN', NULL, NULL, NULL, 15),
(78198, NULL, 'PTHR10286:SF71', NULL, NULL, NULL, NULL, 'INORGANIC DIPHOSPHATASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78199, NULL, 'PTHR33413:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78200, NULL, 'PTHR42749:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78201, NULL, 'PTHR10137:SF7', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C', NULL, NULL, NULL, 15),
(78202, NULL, 'PTHR28457', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 189', NULL, NULL, 28200, 15),
(78203, NULL, 'PTHR48217:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78204, NULL, 'PTHR31100:SF55', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 27', NULL, NULL, NULL, 15),
(78205, NULL, 'PTHR32208:SF66', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN ARB_07867-LIKE ISOFORM X2', NULL, NULL, NULL, 15),
(78206, NULL, 'PTHR24282:SF216', NULL, NULL, NULL, NULL, 'SECOLOGANIN SYNTHASE', NULL, NULL, NULL, 15),
(78207, NULL, 'PTHR40635', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78208, NULL, 'PTHR34205', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(78209, NULL, 'PTHR21631', NULL, NULL, NULL, NULL, 'ISOCITRATE LYASE/MALATE SYNTHASE', NULL, NULL, 3547, 15),
(78210, NULL, 'PTHR48043', NULL, NULL, NULL, NULL, 'EG:EG0003.4 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78211, NULL, 'PTHR11206:SF302', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(78212, NULL, 'PTHR11524:SF48', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7', NULL, NULL, NULL, 15),
(78213, NULL, 'PTHR36043:SF1', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-INDEPENDENT PHOSPHOGLYCERATE MUTASE', NULL, NULL, NULL, 15),
(78214, NULL, 'PTHR43490:SF74', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(78215, NULL, 'PTHR45669:SF29', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE', NULL, NULL, NULL, 15),
(78216, NULL, 'PTHR46368:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78217, NULL, 'PTHR47972:SF42', NULL, NULL, NULL, NULL, 'CALPONIN-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78218, NULL, 'PTHR21485:SF3', NULL, NULL, NULL, NULL, 'N-ACYLNEURAMINATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(78219, NULL, 'PTHR10666:SF277', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-C', NULL, NULL, NULL, 15),
(78220, NULL, 'PTHR46781:SF6', NULL, NULL, NULL, NULL, 'ALPHA 1,4-GLYCOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(78221, NULL, 'PTHR10769:SF9', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S28E-RELATED', NULL, NULL, NULL, 15),
(78222, NULL, 'PTHR12290:SF32', NULL, NULL, NULL, NULL, 'CORNICHON-RELATED', NULL, NULL, NULL, 15),
(78223, NULL, 'PTHR44329:SF86', NULL, NULL, NULL, NULL, 'PROTEIN KINASE', NULL, NULL, NULL, 15),
(78224, NULL, 'PTHR31072:SF163', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP FAMILY-RELATED', NULL, NULL, NULL, 15),
(78225, NULL, 'PTHR10605:SF65', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE 3-O SULFOTRANSFERASE-B, ISOFORM A', NULL, NULL, NULL, 15),
(78226, NULL, 'PTHR11733:SF216', NULL, NULL, NULL, NULL, 'NEPRILYSIN-1', NULL, NULL, NULL, 15),
(78227, NULL, 'PTHR24298:SF834', NULL, NULL, NULL, NULL, 'TRYPTOPHAN N-MONOOXYGENASE 1', NULL, NULL, NULL, 15),
(78228, NULL, 'PTHR23295:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 5', NULL, NULL, NULL, 15),
(78229, NULL, 'PTHR26453:SF9', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10A4', NULL, NULL, NULL, 15),
(78230, NULL, 'PTHR31346:SF28', NULL, NULL, NULL, NULL, 'BNACNNG17940D PROTEIN', NULL, NULL, NULL, 15),
(78231, NULL, 'PTHR10256:SF1', NULL, NULL, NULL, NULL, 'SELENIDE, WATER DIKINASE 2', NULL, NULL, NULL, 15),
(78232, NULL, 'PTHR43570:SF5', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(78233, NULL, 'PTHR33312:SF27', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 4-RELATED', NULL, NULL, NULL, 15),
(78234, NULL, 'PTHR32100:SF65', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE DES3', NULL, NULL, NULL, 15),
(78235, NULL, 'PTHR23428:SF220', NULL, NULL, NULL, NULL, 'HISTONE H2B.4', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78236, NULL, 'PTHR34228:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG09474', NULL, NULL, NULL, 15),
(78237, NULL, 'PTHR12262:SF14', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 9-LIKE', NULL, NULL, NULL, 15),
(78238, NULL, 'PTHR11280:SF8', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-6-PHOSPHATE ISOMERASE 1', NULL, NULL, NULL, 15),
(78239, NULL, 'PTHR11011:SF88', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(78240, NULL, 'PTHR24281:SF206', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', NULL, NULL, NULL, 15),
(78241, NULL, 'PTHR35164:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(78242, NULL, 'PTHR47293:SF31', NULL, NULL, NULL, NULL, 'BNAC03G78030D PROTEIN', NULL, NULL, NULL, 15),
(78243, NULL, 'PTHR19965:SF26', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4B', NULL, NULL, NULL, 15),
(78244, NULL, 'PTHR12549:SF58', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUMONJI (JMJC) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(78245, NULL, 'PTHR23202:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78246, NULL, 'PTHR37406:SF1', NULL, NULL, NULL, NULL, 'T4-TYPE LYSOZYME 1-RELATED', NULL, NULL, NULL, 15),
(78247, NULL, 'PTHR31948:SF64', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 6', NULL, NULL, NULL, 15),
(78248, NULL, 'PTHR13367:SF16', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE TRABID', NULL, NULL, NULL, 15),
(78249, NULL, 'PTHR21320', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX11-RELATED', NULL, NULL, NULL, 15),
(78250, NULL, 'PTHR31082', NULL, NULL, NULL, NULL, 'PHEROMONE-REGULATED MEMBRANE PROTEIN 10', NULL, NULL, NULL, 15),
(78251, NULL, 'PTHR27000:SF720', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78252, NULL, 'PTHR31645:SF44', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL2', NULL, NULL, NULL, 15),
(78253, NULL, 'PTHR45821:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78254, NULL, 'PTHR13789:SF215', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01600)-RELATED', NULL, NULL, NULL, 15),
(78255, NULL, 'PTHR15286:SF1', NULL, NULL, NULL, NULL, 'FI07216P-RELATED', NULL, NULL, NULL, 15),
(78256, NULL, 'PTHR10558:SF2', NULL, NULL, NULL, NULL, 'SOMATOSTATIN', NULL, NULL, NULL, 15),
(78257, NULL, 'PTHR11827:SF96', NULL, NULL, NULL, NULL, 'ZGC:153039', NULL, NULL, NULL, 15),
(78258, NULL, 'PTHR43580:SF7', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE GLYR1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78259, NULL, 'PTHR13287:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78260, NULL, 'PTHR45766', NULL, NULL, NULL, NULL, 'DNA ANNEALING HELICASE AND ENDONUCLEASE ZRANB3 FAMILY MEMBER', NULL, NULL, NULL, 15),
(78261, NULL, 'PTHR21310:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78262, NULL, 'PTHR34606:SF10', NULL, NULL, NULL, NULL, 'BON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(78263, NULL, 'PTHR33130:SF57', NULL, NULL, NULL, NULL, 'BNAANNG11350D PROTEIN', NULL, NULL, NULL, 15),
(78264, NULL, 'PTHR19370:SF201', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', NULL, NULL, NULL, 15),
(78265, NULL, 'PTHR24006:SF785', NULL, NULL, NULL, NULL, 'BNAA06G15750D PROTEIN', NULL, NULL, NULL, 15),
(78266, NULL, 'PTHR42758', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(78267, NULL, 'PTHR42681', NULL, NULL, NULL, NULL, 'MALONYL-COA-ACYL CARRIER PROTEIN TRANSACYLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(78268, NULL, 'PTHR15092:SF22', NULL, NULL, NULL, NULL, 'POLY(A)-SPECIFIC RIBONUCLEASE PNLDC1', NULL, NULL, NULL, 15),
(78269, NULL, 'PTHR38784', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 13538, 15),
(78270, NULL, 'PTHR11361:SF125', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN MUTS2', NULL, NULL, NULL, 15),
(78271, NULL, 'PTHR19850:SF27', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(T) SUBUNIT BETA-2', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78272, NULL, 'PTHR35735:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78273, NULL, 'PTHR31376:SF95', NULL, NULL, NULL, NULL, 'BNAC08G11270D PROTEIN', NULL, NULL, NULL, 15),
(78274, NULL, 'PTHR35804', NULL, NULL, NULL, NULL, 'LYSINE EXPORTER LYSO', NULL, NULL, 2758, 15),
(78275, NULL, 'PTHR38149:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78276, NULL, 'PTHR22589:SF14', NULL, NULL, NULL, NULL, 'CHOLINE O-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(78277, NULL, 'PTHR46153:SF16', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(78278, NULL, 'PTHR47069:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78279, NULL, 'PTHR22938', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 598', NULL, NULL, 37418, 15),
(78280, NULL, 'PTHR12716:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIE SUBUNIT BETA', NULL, NULL, NULL, 15),
(78281, NULL, 'PTHR24234:SF5', NULL, NULL, NULL, NULL, 'OVARIAN CANCER G-PROTEIN COUPLED RECEPTOR 1', NULL, NULL, NULL, 15),
(78282, NULL, 'PTHR31234:SF47', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA-14, IMMUNOGLOBULIN-LIKE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78283, NULL, 'PTHR34126:SF1', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 22', NULL, NULL, NULL, 15),
(78284, NULL, 'PTHR22847:SF626', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 38', NULL, NULL, NULL, 15),
(78285, NULL, 'PTHR33563:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78286, NULL, 'PTHR10795:SF425', NULL, NULL, NULL, NULL, 'OS04G0430700 PROTEIN', NULL, NULL, NULL, 15),
(78287, NULL, 'PTHR10177:SF338', NULL, NULL, NULL, NULL, 'CYCLIN-B2-2', NULL, NULL, NULL, 15),
(78288, NULL, 'PTHR31893:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-13P1.4', NULL, NULL, NULL, 15),
(78289, NULL, 'PTHR47879:SF4', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B22', NULL, NULL, NULL, 15),
(78290, NULL, 'PTHR19923', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEINPRL1/PRL2-RELATED', NULL, NULL, 38491, 15),
(78291, NULL, 'PTHR10537', NULL, NULL, NULL, NULL, 'DNA PRIMASE LARGE SUBUNIT', NULL, NULL, 6552, 15),
(78292, NULL, 'PTHR48018:SF159', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(78293, NULL, 'PTHR10641:SF1280', NULL, NULL, NULL, NULL, 'BNAA02G29490D PROTEIN', NULL, NULL, NULL, 15),
(78294, NULL, 'PTHR10078:SF28', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR ANTAGONIST PROTEIN', NULL, NULL, 31396, 15),
(78295, NULL, 'PTHR11364:SF29', NULL, NULL, NULL, NULL, 'THIOSULFATE/3-MERCAPTOPYRUVATE SULFURTRANSFERASE 1, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(78296, NULL, 'PTHR28629:SF4', NULL, NULL, NULL, NULL, 'TRIOKINASE/FMN CYCLASE', NULL, NULL, NULL, 15),
(78297, NULL, 'PTHR47974:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(78298, NULL, 'PTHR11439:SF351', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', NULL, NULL, NULL, 15),
(78299, NULL, 'PTHR31052:SF22', NULL, NULL, NULL, NULL, 'BNAA01G36400D PROTEIN', NULL, NULL, NULL, 15),
(78300, NULL, 'PTHR47273:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78301, NULL, 'PTHR33675:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78302, NULL, 'PTHR43528:SF8', NULL, NULL, NULL, NULL, 'BLR0239 PROTEIN', NULL, NULL, NULL, 15),
(78303, NULL, 'PTHR23262:SF145', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 1-1', NULL, NULL, NULL, 15),
(78304, NULL, 'PTHR43630:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(78305, NULL, 'PTHR45560:SF3', NULL, NULL, NULL, NULL, 'OS04G0163150 PROTEIN', NULL, NULL, NULL, 15),
(78306, NULL, 'PTHR47977:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78307, NULL, 'PTHR10245:SF120', NULL, NULL, NULL, NULL, 'MULTIPROTEIN-BRIDGING FACTOR 1B-LIKE', NULL, NULL, NULL, 15),
(78308, NULL, 'PTHR31639:SF140', NULL, NULL, NULL, NULL, 'BNAC04G06000D PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78309, NULL, 'PTHR35495:SF1', NULL, NULL, NULL, NULL, 'OS06G0679600 PROTEIN', NULL, NULL, NULL, 15),
(78310, NULL, 'PTHR31549:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78311, NULL, 'PTHR33353:SF3', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE II', NULL, NULL, NULL, 15),
(78312, NULL, 'PTHR23172:SF77', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78313, NULL, 'PTHR44281:SF2', NULL, NULL, NULL, NULL, 'SPINDLE ASSEMBLY ABNORMAL PROTEIN 6 HOMOLOG', NULL, NULL, NULL, 15),
(78314, NULL, 'PTHR31358:SF37', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 4', NULL, NULL, NULL, 15),
(78315, NULL, 'PTHR12411:SF781', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78316, NULL, 'PTHR13169:SF10', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN 1', NULL, NULL, NULL, 15),
(78317, NULL, 'PTHR11417:SF33', NULL, NULL, NULL, NULL, 'PROLACTIN 2', NULL, NULL, NULL, 15),
(78318, NULL, 'PTHR22957:SF562', NULL, NULL, NULL, NULL, 'RAB-GTPASE-TBC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78319, NULL, 'PTHR24068:SF149', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 J2-LIKE', NULL, NULL, NULL, 15),
(78320, NULL, 'PTHR45974:SF161', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78321, NULL, 'PTHR11525:SF13', NULL, NULL, NULL, NULL, 'FARNESYL PYROPHOSPHATE SYNTHASE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(78322, NULL, 'PTHR11654:SF385', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.16', NULL, NULL, NULL, 15),
(78323, NULL, 'PTHR31235:SF316', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(78324, NULL, 'PTHR22981:SF44', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(78325, NULL, 'PTHR21143:SF119', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR 58A-RELATED', NULL, NULL, NULL, 15),
(78326, NULL, 'PTHR31284:SF7', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78327, NULL, 'PTHR13890:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78328, NULL, 'PTHR44591:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PILG', NULL, NULL, NULL, 15),
(78329, NULL, 'PTHR13826', NULL, NULL, NULL, NULL, 'INTESTINAL TREFOIL FACTOR-RELATED', NULL, NULL, 13644, 15),
(78330, NULL, 'PTHR11071:SF494', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-RELATED', NULL, NULL, NULL, 15),
(78331, NULL, 'PTHR42898:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78332, NULL, 'PTHR47248:SF8', NULL, NULL, NULL, NULL, 'BPTI/KUNITZ INHIBITOR DOMAIN-CONTAINING PROTEIN C02F12.5', NULL, NULL, NULL, 15),
(78333, NULL, 'PTHR12313:SF66', NULL, NULL, NULL, NULL, 'OSJNBA0074L08.21 PROTEIN', NULL, NULL, NULL, 15),
(78334, NULL, 'PTHR47665:SF1', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78335, NULL, 'PTHR11814:SF244', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 4.1-RELATED', NULL, NULL, NULL, 15),
(78336, NULL, 'PTHR33640', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(78337, NULL, 'PTHR45228:SF1', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE TM_0186', NULL, NULL, NULL, 15),
(78338, NULL, 'PTHR11062:SF77', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY EXOSTOSIN PROTEIN', NULL, NULL, NULL, 15),
(78339, NULL, 'PTHR30419:SF10', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(78340, NULL, 'PTHR47926:SF8', NULL, NULL, NULL, NULL, 'BNAC07G33470D PROTEIN', NULL, NULL, NULL, 15),
(78341, NULL, 'PTHR46137:SF5', NULL, NULL, NULL, NULL, 'LECITHIN RETINOL ACYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(78342, NULL, 'PTHR34814:SF1', NULL, NULL, NULL, NULL, 'NITROSOGUANIDINE RESISTANCE PROTEIN SNG1', NULL, NULL, NULL, 15),
(78343, NULL, 'PTHR16517:SF24', NULL, NULL, NULL, NULL, 'TUBBY-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(78344, NULL, 'PTHR10624:SF8', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78345, NULL, 'PTHR42970:SF1', NULL, NULL, NULL, NULL, 'PECTATE LYASE C-RELATED', NULL, NULL, NULL, 15),
(78346, NULL, 'PTHR13793:SF147', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATX2', NULL, NULL, NULL, 15),
(78347, NULL, 'PTHR23500:SF578', NULL, NULL, NULL, NULL, 'BNAA09G47680D PROTEIN', NULL, NULL, NULL, 15),
(78348, NULL, 'PTHR24637:SF278', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(78349, NULL, 'PTHR31989:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78350, NULL, 'PTHR23166:SF4', NULL, NULL, NULL, NULL, 'FILAMIN A-INTERACTING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(78351, NULL, 'PTHR34676:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', NULL, NULL, NULL, 15),
(78352, NULL, 'PTHR10676:SF386', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN-LIKE PROTEIN PF11_0240', NULL, NULL, NULL, 15),
(78353, NULL, 'PTHR12358:SF40', NULL, NULL, NULL, NULL, 'SPHINGOSINE KINASE 2', NULL, NULL, NULL, 15),
(78354, NULL, 'PTHR31802:SF19', NULL, NULL, NULL, NULL, 'BNAC09G36350D PROTEIN', NULL, NULL, NULL, 15),
(78355, NULL, 'PTHR10906:SF33', NULL, NULL, NULL, NULL, 'BNACNNG56650D PROTEIN', NULL, NULL, NULL, 15),
(78356, NULL, 'PTHR25466', NULL, NULL, NULL, NULL, 'T-LYMPHOCYTE ACTIVATION ANTIGEN', NULL, NULL, NULL, 15),
(78357, NULL, 'PTHR11062:SF224', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78358, NULL, 'PTHR19303:SF23', NULL, NULL, NULL, NULL, 'POGO TRANSPOSABLE ELEMENT WITH KRAB DOMAIN', NULL, NULL, NULL, 15),
(78359, NULL, 'PTHR10909:SF226', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, NULL, 15),
(78360, NULL, 'PTHR24377:SF822', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2210010B09, ISOFORM CRA_A', NULL, NULL, NULL, 15),
(78361, NULL, 'PTHR12537:SF151', NULL, NULL, NULL, NULL, 'PUMILIO 4-RELATED', NULL, NULL, NULL, 15),
(78362, NULL, 'PTHR13533:SF23', NULL, NULL, NULL, NULL, 'OS05G0582100 PROTEIN', NULL, NULL, NULL, 15),
(78363, NULL, 'PTHR10783:SF35', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 1', NULL, NULL, NULL, 15),
(78364, NULL, 'PTHR31580:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78365, NULL, 'PTHR35291:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(78366, NULL, 'PTHR30222:SF12', NULL, NULL, NULL, NULL, 'NORSPERMIDINE SENSOR', NULL, NULL, NULL, 15),
(78367, NULL, 'PTHR13742:SF31', NULL, NULL, NULL, NULL, 'BNACNNG22930D PROTEIN', NULL, NULL, NULL, 15),
(78368, NULL, 'PTHR11843', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, 5572, 15),
(78369, NULL, 'PTHR48109', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE (QUINONE), MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(78370, NULL, 'PTHR11566:SF51', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED GTP-BINDING PROTEIN MX1', NULL, NULL, NULL, 15),
(78371, NULL, 'PTHR24070:SF388', NULL, NULL, NULL, NULL, 'GTPASE KRAS', NULL, NULL, NULL, 15),
(78372, NULL, 'PTHR11909:SF369', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78373, NULL, 'PTHR11886:SF84', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN 1, CYTOPLASMIC', NULL, NULL, NULL, 15),
(78374, NULL, 'PTHR47988:SF5', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(78375, NULL, 'PTHR10288:SF282', NULL, NULL, NULL, NULL, 'IGF-II MRNA-BINDING PROTEIN, ISOFORM L', NULL, NULL, NULL, 15),
(78376, NULL, 'PTHR11644:SF21', NULL, NULL, NULL, NULL, 'CYTIDINE DEAMINASE 2-RELATED', NULL, NULL, NULL, 15),
(78377, NULL, 'PTHR45762:SF1', NULL, NULL, NULL, NULL, 'SPERMATID PERINUCLEAR RNA-BINDING PROTEIN', NULL, NULL, 24071, 15),
(78378, NULL, 'PTHR25952:SF243', NULL, NULL, NULL, NULL, 'SI:CH211-149K12.3', NULL, NULL, NULL, 15),
(78379, NULL, 'PTHR24031:SF684', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78380, NULL, 'PTHR33248:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78381, NULL, 'PTHR32212:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78382, NULL, 'PTHR10663:SF137', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 1', NULL, NULL, NULL, 15),
(78383, NULL, 'PTHR34776:SF1', NULL, NULL, NULL, NULL, 'F17F16.3 PROTEIN', NULL, NULL, NULL, 15),
(78384, NULL, 'PTHR34491:SF25', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(78385, NULL, 'PTHR47488:SF7', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(78386, NULL, 'PTHR22835:SF516', NULL, NULL, NULL, NULL, 'ACETYLAJMALAN ESTERASE-LIKE', NULL, NULL, NULL, 15),
(78387, NULL, 'PTHR33405:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78388, NULL, 'PTHR15535:SF24', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE DOMAIN-CONTAINING PROTEIN 17B', NULL, NULL, NULL, 15),
(78389, NULL, 'PTHR15571:SF2', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 4', NULL, NULL, NULL, 15),
(78390, NULL, 'PTHR43539:SF72', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(78391, NULL, 'PTHR32133:SF325', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(78392, NULL, 'PTHR33731', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78393, NULL, 'PTHR24559:SF322', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE (REVERSE TRANSCRIPTASE), RIBONUCLEASE H-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78394, NULL, 'PTHR30154:SF20', NULL, NULL, NULL, NULL, 'LEUCINE-RESPONSIVE REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(78395, NULL, 'PTHR31207:SF34', NULL, NULL, NULL, NULL, 'BNAA01G30690D PROTEIN', NULL, NULL, NULL, 15),
(78396, NULL, 'PTHR38622', NULL, NULL, NULL, NULL, 'PROTEIN CBG07046', NULL, NULL, NULL, 15),
(78397, NULL, 'PTHR31307:SF45', NULL, NULL, NULL, NULL, 'OS09G0558200 PROTEIN', NULL, NULL, NULL, 15),
(78398, NULL, 'PTHR48065:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78399, NULL, 'PTHR46485:SF5', NULL, NULL, NULL, NULL, 'CENTER DIVIDER, ISOFORM A', NULL, NULL, NULL, 15),
(78400, NULL, 'PTHR10579:SF131', NULL, NULL, NULL, NULL, 'T6D22.13', NULL, NULL, NULL, 15),
(78401, NULL, 'PTHR15012:SF35', NULL, NULL, NULL, NULL, 'PROTEIN SHROOM4', NULL, NULL, 26087, 15),
(78402, NULL, 'PTHR11866:SF14', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN D2 RECEPTOR', NULL, NULL, 425, 15),
(78403, NULL, 'PTHR46655:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATXR3', NULL, NULL, NULL, 15),
(78404, NULL, 'PTHR31517:SF39', NULL, NULL, NULL, NULL, 'PEROXIDASE 35-RELATED', NULL, NULL, NULL, 15),
(78405, NULL, 'PTHR43214:SF18', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE RESPONSE REGULATOR PROTEIN NARP', NULL, NULL, NULL, 15),
(78406, NULL, 'PTHR22917:SF1', NULL, NULL, NULL, NULL, 'PROTEOGLYCAN 4', NULL, NULL, NULL, 15),
(78407, NULL, 'PTHR12482:SF55', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78408, NULL, 'PTHR13326:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78409, NULL, 'PTHR17314', NULL, NULL, NULL, NULL, 'REGULATED ENDOCRINE SPECIFIC PROTEIN 18', NULL, NULL, 22797, 15),
(78410, NULL, 'PTHR31304:SF10', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 42', NULL, NULL, NULL, 15),
(78411, NULL, 'PTHR45784', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 20 MEMBER A-RELATED', NULL, NULL, NULL, 15),
(78412, NULL, 'PTHR34401', NULL, NULL, NULL, NULL, 'PROTEIN CBG12388-RELATED', NULL, NULL, NULL, 15),
(78413, NULL, 'PTHR11614:SF157', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(78414, NULL, 'PTHR45673:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2B CATALYTIC SUBUNIT 1-RELATED', NULL, NULL, NULL, 15),
(78415, NULL, 'PTHR45660:SF31', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(78416, NULL, 'PTHR34267:SF1', NULL, NULL, NULL, NULL, 'OS11G0161033 PROTEIN', NULL, NULL, NULL, 15),
(78417, NULL, 'PTHR12313:SF63', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78418, NULL, 'PTHR31072:SF128', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CYCLOIDEA-LIKE', NULL, NULL, NULL, 15),
(78419, NULL, 'PTHR31746:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 229B', NULL, NULL, NULL, 15),
(78420, NULL, 'PTHR31916:SF15', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE D-RELATED', NULL, NULL, NULL, 15),
(78421, NULL, 'PTHR26451:SF897', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78422, NULL, 'PTHR47992:SF140', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 69-RELATED', NULL, NULL, NULL, 15),
(78423, NULL, 'PTHR46617', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN G1', NULL, NULL, NULL, 15),
(78424, NULL, 'PTHR21139:SF27', NULL, NULL, NULL, NULL, 'OS09G0535000 PROTEIN', NULL, NULL, NULL, 15),
(78425, NULL, 'PTHR35285:SF1', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 4-PHOSPHATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(78426, NULL, 'PTHR11871:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B ALPHA ISOFORM', NULL, NULL, NULL, 15),
(78427, NULL, 'PTHR11097:SF26', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP45A-LIKE', NULL, NULL, NULL, 15),
(78428, NULL, 'PTHR48048:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(78429, NULL, 'PTHR21029:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 9-BINDING PROTEIN', NULL, NULL, 24063, 15),
(78430, NULL, 'PTHR33738:SF18', NULL, NULL, NULL, NULL, 'BNACNNG26020D PROTEIN', NULL, NULL, NULL, 15),
(78431, NULL, 'PTHR31992:SF135', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN', NULL, NULL, NULL, 15),
(78432, NULL, 'PTHR13533:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLNEURAMINATE 9-O-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(78433, NULL, 'PTHR48013:SF12', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 6', NULL, NULL, NULL, 15),
(78434, NULL, 'PTHR24343:SF303', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE CATALYTIC SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(78435, NULL, 'PTHR31235:SF288', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(78436, NULL, 'PTHR27007:SF310', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78437, NULL, 'PTHR21364:SF2', NULL, NULL, NULL, NULL, 'GENERAL ODORANT-BINDING PROTEIN 19A', NULL, NULL, NULL, 15),
(78438, NULL, 'PTHR48092:SF7', NULL, NULL, NULL, NULL, 'STEROID HORMONE RECEPTOR ERR2', NULL, NULL, NULL, 15),
(78439, NULL, 'PTHR21351', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME PROTEIN 5', NULL, NULL, 1282, 15),
(78440, NULL, 'PTHR47372:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78441, NULL, 'PTHR15710:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78442, NULL, 'PTHR10545:SF55', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE NATA1-LIKE-RELATED', NULL, NULL, NULL, 15),
(78443, NULL, 'PTHR31282:SF130', NULL, NULL, NULL, NULL, 'OS03G0798500 PROTEIN', NULL, NULL, NULL, 15),
(78444, NULL, 'PTHR12210:SF139', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN RNA POLYMERASE II POLYPEPTIDE A SMALL PHOSPHATASE 1', NULL, NULL, NULL, 15),
(78445, NULL, 'PTHR23501:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN HSRA-RELATED', NULL, NULL, NULL, 15),
(78446, NULL, 'PTHR31818:SF16', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR SPECIFIC 17', NULL, NULL, NULL, 15),
(78447, NULL, 'PTHR19375:SF101', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 8', NULL, NULL, NULL, 15),
(78448, NULL, 'PTHR10219:SF90', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 8', NULL, NULL, NULL, 15),
(78449, NULL, 'PTHR24305:SF160', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(78450, NULL, 'PTHR34774:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78451, NULL, 'PTHR43163:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSPORT SYSTEM PERMEASE PROTEIN GSIC', NULL, NULL, NULL, 15),
(78452, NULL, 'PTHR31685', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_6G12730)-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78453, NULL, 'PTHR12547:SF124', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 52', NULL, NULL, NULL, 15),
(78454, NULL, 'PTHR43002:SF3', NULL, NULL, NULL, NULL, 'ISOAMYLASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(78455, NULL, 'PTHR35136', NULL, NULL, NULL, NULL, 'CYCLOEUCALENOL CYCLOISOMERASE', NULL, NULL, 21123, 15),
(78456, NULL, 'PTHR22603:SF44', NULL, NULL, NULL, NULL, 'CHKA PROTEIN', NULL, NULL, NULL, 15),
(78457, NULL, 'PTHR47972:SF35', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14Q', NULL, NULL, NULL, 15),
(78458, NULL, 'PTHR45824:SF9', NULL, NULL, NULL, NULL, 'BNAA09G24890D PROTEIN', NULL, NULL, NULL, 15),
(78459, NULL, 'PTHR10589:SF29', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(78460, NULL, 'PTHR32096:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78461, NULL, 'PTHR40064:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78462, NULL, 'PTHR16529:SF6', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(78463, NULL, 'PTHR13140:SF277', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IB', NULL, NULL, NULL, 15),
(78464, NULL, 'PTHR31072:SF88', NULL, NULL, NULL, NULL, 'OS08G0432300 PROTEIN', NULL, NULL, NULL, 15),
(78465, NULL, 'PTHR19924:SF29', NULL, NULL, NULL, NULL, 'AND WD DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78466, NULL, 'PTHR23236:SF22', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN II', NULL, NULL, NULL, 15),
(78467, NULL, 'PTHR33377:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78468, NULL, 'PTHR12210:SF148', NULL, NULL, NULL, NULL, 'C-TERMINAL DOMAIN SMALL PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(78469, NULL, 'PTHR31235:SF312', NULL, NULL, NULL, NULL, 'CATIONIC PEROXIDASE SPC4', NULL, NULL, NULL, 15),
(78470, NULL, 'PTHR48001', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(78471, NULL, 'PTHR31677:SF98', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF091', NULL, NULL, NULL, 15),
(78472, NULL, 'PTHR45908:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG13892', NULL, NULL, NULL, 15),
(78473, NULL, 'PTHR45974:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78474, NULL, 'PTHR32054:SF30', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT-LIKE 3', NULL, NULL, NULL, 15),
(78475, NULL, 'PTHR36834:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78476, NULL, 'PTHR11351:SF76', NULL, NULL, NULL, NULL, 'BNAC05G37420D PROTEIN', NULL, NULL, NULL, 15),
(78477, NULL, 'PTHR36151', NULL, NULL, NULL, NULL, 'BLR2777 PROTEIN', NULL, NULL, NULL, 15),
(78478, NULL, 'PTHR33264:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78479, NULL, 'PTHR43272:SF79', NULL, NULL, NULL, NULL, 'OS06G0158000 PROTEIN', NULL, NULL, NULL, 15),
(78480, NULL, 'PTHR30126:SF77', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(78481, NULL, 'PTHR48041:SF5', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 28', NULL, NULL, NULL, 15),
(78482, NULL, 'PTHR24298:SF399', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78483, NULL, 'PTHR45647:SF66', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 57-RELATED', NULL, NULL, NULL, 15),
(78484, NULL, 'PTHR15135:SF2', NULL, NULL, NULL, NULL, 'SH3 AND CYSTEINE-RICH DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(78485, NULL, 'PTHR15495:SF7', NULL, NULL, NULL, NULL, 'GPI INOSITOL-DEACYLASE', NULL, NULL, NULL, 15),
(78486, NULL, 'PTHR21646:SF20', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 43', NULL, NULL, NULL, 15),
(78487, NULL, 'PTHR46313:SF1', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(78488, NULL, 'PTHR47596:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78489, NULL, 'PTHR10782:SF83', NULL, NULL, NULL, NULL, 'BNAA06G38840D PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78490, NULL, 'PTHR11746:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78491, NULL, 'PTHR42918:SF5', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(78492, NULL, 'PTHR34569:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78493, NULL, 'PTHR32295:SF176', NULL, NULL, NULL, NULL, 'BNAA04G25340D PROTEIN', NULL, NULL, NULL, 15),
(78494, NULL, 'PTHR24390:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78495, NULL, 'PTHR21228:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78496, NULL, 'PTHR33048:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78497, NULL, 'PTHR10366:SF729', NULL, NULL, NULL, NULL, 'VESTITONE REDUCTASE', NULL, NULL, NULL, 15),
(78498, NULL, 'PTHR11685:SF339', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(78499, NULL, 'PTHR48070:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78500, NULL, 'PTHR24055:SF473', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(78501, NULL, 'PTHR11205:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78502, NULL, 'PTHR22414:SF0', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER PROTEIN 2', NULL, NULL, NULL, 15),
(78503, NULL, 'PTHR48024:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78504, NULL, 'PTHR46821', NULL, NULL, NULL, NULL, 'OS07G0586332 PROTEIN', NULL, NULL, 38932, 15),
(78505, NULL, 'PTHR15721:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TALPID3', NULL, NULL, NULL, 15),
(78506, NULL, 'PTHR47637', NULL, NULL, NULL, NULL, 'CHAPERONE SURA', NULL, NULL, NULL, 15),
(78507, NULL, 'PTHR11850:SF314', NULL, NULL, NULL, NULL, 'HOMEOBOX DOMAIN, POX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78508, NULL, 'PTHR14964:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78509, NULL, 'PTHR33624:SF17', NULL, NULL, NULL, NULL, 'VQ MOTIF PROTEIN', NULL, NULL, NULL, 15),
(78510, NULL, 'PTHR42871:SF1', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', NULL, NULL, NULL, 15),
(78511, NULL, 'PTHR13914:SF6', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(78512, NULL, 'PTHR31062:SF129', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(78513, NULL, 'PTHR33091:SF84', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR I-A', NULL, NULL, NULL, 15),
(78514, NULL, 'PTHR19343:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78515, NULL, 'PTHR24347:SF197', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE 1', NULL, NULL, NULL, 15),
(78516, NULL, 'PTHR23001:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78517, NULL, 'PTHR33442:SF1', NULL, NULL, NULL, NULL, 'TRANS-3-HYDROXY-L-PROLINE DEHYDRATASE', NULL, NULL, NULL, 15),
(78518, NULL, 'PTHR31086:SF80', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(78519, NULL, 'PTHR45676:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78520, NULL, 'PTHR11177:SF361', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(78521, NULL, 'PTHR11954:SF15', NULL, NULL, NULL, NULL, 'MIF (MACROPHAGE MIGRATION INHIBITORY FACTOR) RELATED', NULL, NULL, NULL, 15),
(78522, NULL, 'PTHR31374:SF218', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71-LIKE', NULL, NULL, NULL, 15),
(78523, NULL, 'PTHR31374:SF316', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 6B-LIKE', NULL, NULL, NULL, 15),
(78524, NULL, 'PTHR26374', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT5', NULL, NULL, NULL, 15),
(78525, NULL, 'PTHR42693:SF27', NULL, NULL, NULL, NULL, 'ARYLSULFATASE B [PRECURSOR]', NULL, NULL, NULL, 15),
(78526, NULL, 'PTHR11579:SF26', NULL, NULL, NULL, NULL, 'L-ISOASPARTATE METHYLTRANSFERASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78527, NULL, 'PTHR24399:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 32', NULL, NULL, NULL, 15),
(78528, NULL, 'PTHR47972:SF20', NULL, NULL, NULL, NULL, 'DI-GLUCOSE BINDING WITH KINESIN MOTOR DOMAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78529, NULL, 'PTHR33048:SF96', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(78530, NULL, 'PTHR19971:SF6', NULL, NULL, NULL, NULL, 'SIGNAL-REGULATORY PROTEIN GAMMA', NULL, NULL, NULL, 15),
(78531, NULL, 'PTHR34124:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78532, NULL, 'PTHR24257:SF12', NULL, NULL, NULL, NULL, 'ZGC:154142', NULL, NULL, NULL, 15),
(78533, NULL, 'PTHR31421', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 9833, 15),
(78534, NULL, 'PTHR12532:SF0', NULL, NULL, NULL, NULL, 'TRANSLATIONAL ACTIVATOR OF CYTOCHROME C OXIDASE 1', NULL, NULL, NULL, 15),
(78535, NULL, 'PTHR34780:SF7', NULL, NULL, NULL, NULL, 'BNAC02G17680D PROTEIN', NULL, NULL, NULL, 15),
(78536, NULL, 'PTHR41686', NULL, NULL, NULL, NULL, 'MYOMIXER', NULL, NULL, 34942, 15),
(78537, NULL, 'PTHR11705:SF71', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE A2', NULL, NULL, NULL, 15),
(78538, NULL, 'PTHR31985:SF169', NULL, NULL, NULL, NULL, 'FACTOR TINY, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78539, NULL, 'PTHR35491:SF6', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78540, NULL, 'PTHR36808', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ATRX-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78541, NULL, 'PTHR10920:SF23', NULL, NULL, NULL, NULL, 'BNAA08G30800D PROTEIN', NULL, NULL, NULL, 15),
(78542, NULL, 'PTHR48041:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78543, NULL, 'PTHR32552:SF74', NULL, NULL, NULL, NULL, 'FHUE RECEPTOR', NULL, NULL, NULL, 15),
(78544, NULL, 'PTHR47067:SF11', NULL, NULL, NULL, NULL, 'BNAC07G13330D PROTEIN', NULL, NULL, NULL, 15),
(78545, NULL, 'PTHR31089:SF33', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.3', NULL, NULL, NULL, 15),
(78546, NULL, 'PTHR45615:SF15', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN 7-RELATED', NULL, NULL, NULL, 15),
(78547, NULL, 'PTHR31610', NULL, NULL, NULL, NULL, 'SLR0360 PROTEIN', NULL, NULL, NULL, 15),
(78548, NULL, 'PTHR24298:SF692', NULL, NULL, NULL, NULL, 'OS10G0515200 PROTEIN', NULL, NULL, NULL, 15),
(78549, NULL, 'PTHR12111:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78550, NULL, 'PTHR33471:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZN PROTEASES-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78551, NULL, 'PTHR47995:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78552, NULL, 'PTHR10666:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78553, NULL, 'PTHR13878:SF112', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 7', NULL, NULL, NULL, 15),
(78554, NULL, 'PTHR43601:SF24', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 1-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(78555, NULL, 'PTHR11604:SF51', NULL, NULL, NULL, NULL, 'PROFILIN-A', NULL, NULL, NULL, 15),
(78556, NULL, 'PTHR42730', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE SYNTHASE SUBUNIT KORC', NULL, NULL, NULL, 15),
(78557, NULL, 'PTHR24056:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78558, NULL, 'PTHR47933:SF32', NULL, NULL, NULL, NULL, 'OS06G0111300 PROTEIN', NULL, NULL, NULL, 15),
(78559, NULL, 'PTHR45968:SF32', NULL, NULL, NULL, NULL, 'BNACNNG55990D PROTEIN', NULL, NULL, NULL, 15),
(78560, NULL, 'PTHR42866:SF7', NULL, NULL, NULL, NULL, '3-DEOXY-MANNO-OCTULOSONATE CYTIDYLYLTRANSFERASE, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(78561, NULL, 'PTHR24361:SF707', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78562, NULL, 'PTHR43591:SF63', NULL, NULL, NULL, NULL, 'DOMAIN METHYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78563, NULL, 'PTHR33385:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78564, NULL, 'PTHR47454:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 224', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78565, NULL, 'PTHR24208:SF128', NULL, NULL, NULL, NULL, 'LIM3, ISOFORM G', NULL, NULL, NULL, 15),
(78566, NULL, 'PTHR46351:SF3', NULL, NULL, NULL, NULL, 'WOUND-INDUCED PROTEIN WIN2', NULL, NULL, NULL, 15),
(78567, NULL, 'PTHR24023:SF387', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(V) CHAIN', NULL, NULL, NULL, 15),
(78568, NULL, 'PTHR48111:SF39', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN CPXR', NULL, NULL, NULL, 15),
(78569, NULL, 'PTHR10926:SF29', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT 2-RELATED', NULL, NULL, NULL, 15),
(78570, NULL, 'PTHR35822:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 45', NULL, NULL, NULL, 15),
(78571, NULL, 'PTHR48063:SF48', NULL, NULL, NULL, NULL, 'DNA-DAMAGE-REPAIR/TOLERATION PROTEIN DRT100-LIKE', NULL, NULL, NULL, 15),
(78572, NULL, 'PTHR31928:SF7', NULL, NULL, NULL, NULL, 'FACTOR 1-DELTA, PUTATIVE (DUF936)-RELATED', NULL, NULL, NULL, 15),
(78573, NULL, 'PTHR33021:SF275', NULL, NULL, NULL, NULL, 'EARLY NODULIN-55-2', NULL, NULL, NULL, 15),
(78574, NULL, 'PTHR12137:SF62', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(78575, NULL, 'PTHR46232:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78576, NULL, 'PTHR31391:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78577, NULL, 'PTHR39340', NULL, NULL, NULL, NULL, 'SULFOFRUCTOSEPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(78578, NULL, 'PTHR45680:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(78579, NULL, 'PTHR31717:SF94', NULL, NULL, NULL, NULL, 'BNACNNG18630D PROTEIN', NULL, NULL, NULL, 15),
(78580, NULL, 'PTHR45657:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78581, NULL, 'PTHR48001:SF9', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1J2', NULL, NULL, NULL, 15),
(78582, NULL, 'PTHR47989:SF17', NULL, NULL, NULL, NULL, 'BNAC02G46490D PROTEIN', NULL, NULL, NULL, 15),
(78583, NULL, 'PTHR31269:SF43', NULL, NULL, NULL, NULL, 'BNAA03G59850D PROTEIN', NULL, NULL, NULL, 15),
(78584, NULL, 'PTHR12011:SF455', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR E3', NULL, NULL, NULL, 15),
(78585, NULL, 'PTHR21290:SF58', NULL, NULL, NULL, NULL, 'OS05G0287800 PROTEIN', NULL, NULL, NULL, 15),
(78586, NULL, 'PTHR36062:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78587, NULL, 'PTHR35697:SF1', NULL, NULL, NULL, NULL, 'OS08G0108300 PROTEIN', NULL, NULL, NULL, 15),
(78588, NULL, 'PTHR47032:SF2', NULL, NULL, NULL, NULL, 'UDP-D-XYLOSE:L-FUCOSE ALPHA-1,3-D-XYLOSYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(78589, NULL, 'PTHR33021:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78590, NULL, 'PTHR10161:SF14', NULL, NULL, NULL, NULL, 'TARTRATE-RESISTANT ACID PHOSPHATASE TYPE 5', NULL, NULL, NULL, 15),
(78591, NULL, 'PTHR13697:SF53', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(78592, NULL, 'PTHR11920:SF479', NULL, NULL, NULL, NULL, 'ATRIAL NATRIURETIC PEPTIDE RECEPTOR 2', NULL, NULL, NULL, 15),
(78593, NULL, 'PTHR11040:SF179', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 3', NULL, NULL, NULL, 15),
(78594, NULL, 'PTHR10026', NULL, NULL, NULL, NULL, 'CYCLIN', NULL, NULL, 37309, 15),
(78595, NULL, 'PTHR23293', NULL, NULL, NULL, NULL, 'FAD SYNTHETASE-RELATED  FMN ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(78596, NULL, 'PTHR22298:SF115', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(78597, NULL, 'PTHR45364:SF1', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 9', NULL, NULL, NULL, 15),
(78598, NULL, 'PTHR32468:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78599, NULL, 'PTHR43409:SF10', NULL, NULL, NULL, NULL, 'SLR0320 PROTEIN', NULL, NULL, NULL, 15),
(78600, NULL, 'PTHR47961:SF4', NULL, NULL, NULL, NULL, 'ANTIVIRAL HELICASE SLH1', NULL, NULL, NULL, 15),
(78601, NULL, 'PTHR45813:SF2', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR F3', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78602, NULL, 'PTHR47063:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H2 SUBUNIT C', NULL, NULL, NULL, 15),
(78603, NULL, 'PTHR35459', NULL, NULL, NULL, NULL, 'T1N6.14 PROTEIN', NULL, NULL, NULL, 15),
(78604, NULL, 'PTHR31375:SF206', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78605, NULL, 'PTHR11537:SF234', NULL, NULL, NULL, NULL, 'SHAW FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(78606, NULL, 'PTHR24067:SF287', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 I', NULL, NULL, NULL, 15),
(78607, NULL, 'PTHR48001:SF53', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1I1', NULL, NULL, NULL, 15),
(78608, NULL, 'PTHR31780:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78609, NULL, 'PTHR11119:SF111', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 23 MEMBER 2', NULL, NULL, NULL, 15),
(78610, NULL, 'PTHR10210:SF35', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYL PYROPHOSPHATE SYNTHETASE 1-LIKE 1', NULL, NULL, NULL, 15),
(78611, NULL, 'PTHR34799:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78612, NULL, 'PTHR32227:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78613, NULL, 'PTHR21343:SF9', NULL, NULL, NULL, NULL, 'LIPID II ISOGLUTAMINYL SYNTHASE (GLUTAMINE-HYDROLYZING) SUBUNIT GATD', NULL, NULL, NULL, 15),
(78614, NULL, 'PTHR48017:SF101', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 2', NULL, NULL, NULL, 15),
(78615, NULL, 'PTHR14241:SF27', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(78616, NULL, 'PTHR34354:SF1', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT 7-CYANO-7-DEAZAGUANINE REDUCTASE', NULL, NULL, NULL, 15),
(78617, NULL, 'PTHR10182:SF25', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 39', NULL, NULL, NULL, 15),
(78618, NULL, 'PTHR35545:SF17', NULL, NULL, NULL, NULL, 'OS03G0157000 PROTEIN', NULL, NULL, NULL, 15),
(78619, NULL, 'PTHR11560', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L10, MITOCHONDRIAL', NULL, NULL, 4283, 15),
(78620, NULL, 'PTHR11081:SF56', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE 1-B', NULL, NULL, NULL, 15),
(78621, NULL, 'PTHR12482:SF15', NULL, NULL, NULL, NULL, 'OS02G0787100 PROTEIN', NULL, NULL, NULL, 15),
(78622, NULL, 'PTHR12716:SF13', NULL, NULL, NULL, NULL, 'BNAA02G21830D PROTEIN', NULL, NULL, NULL, 15),
(78623, NULL, 'PTHR21569:SF36', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S9, RIBOSOMAL PROTEIN S5 DOMAIN 2-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78624, NULL, 'PTHR12692:SF0', NULL, NULL, NULL, NULL, 'GH11935P', NULL, NULL, NULL, 15),
(78625, NULL, 'PTHR18929:SF231', NULL, NULL, NULL, NULL, 'BNAC03G69330D PROTEIN', NULL, NULL, NULL, 15),
(78626, NULL, 'PTHR10953:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78627, NULL, 'PTHR34722:SF4', NULL, NULL, NULL, NULL, 'HOMOLOG OF ODR-2 (TWO)', NULL, NULL, NULL, 15),
(78628, NULL, 'PTHR47993:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78629, NULL, 'PTHR11349:SF68', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE-RELATED', NULL, NULL, NULL, 15),
(78630, NULL, 'PTHR32246:SF103', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(78631, NULL, 'PTHR43807', NULL, NULL, NULL, NULL, 'FI04487P', NULL, NULL, NULL, 15),
(78632, NULL, 'PTHR48017:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78633, NULL, 'PTHR10219:SF83', NULL, NULL, NULL, NULL, 'BNAANNG34100D PROTEIN', NULL, NULL, NULL, 15),
(78634, NULL, 'PTHR33729:SF13', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(78635, NULL, 'PTHR27002:SF553', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(78636, NULL, 'PTHR46442:SF7', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(78637, NULL, 'PTHR37361:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78638, NULL, 'PTHR11654:SF143', NULL, NULL, NULL, NULL, 'OS06G0706400 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78639, NULL, 'PTHR11088:SF62', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(78640, NULL, 'PTHR24192', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 40', NULL, NULL, 35804, 15),
(78641, NULL, 'PTHR10796:SF181', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(78642, NULL, 'PTHR43649:SF9', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(78643, NULL, 'PTHR43795:SF62', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(78644, NULL, 'PTHR48005:SF35', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERL1', NULL, NULL, NULL, 15),
(78645, NULL, 'PTHR45722:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-2', NULL, NULL, NULL, 15),
(78646, NULL, 'PTHR21662:SF19', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(78647, NULL, 'PTHR14096:SF6', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L5', NULL, NULL, NULL, 15),
(78648, NULL, 'PTHR47976:SF35', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE, PLANT-TYPE PROTEIN', NULL, NULL, NULL, 15),
(78649, NULL, 'PTHR15614:SF2', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 81 HOMOLOG', NULL, NULL, NULL, 15),
(78650, NULL, 'PTHR10366:SF653', NULL, NULL, NULL, NULL, 'OS08G0277200 PROTEIN', NULL, NULL, NULL, 15),
(78651, NULL, 'PTHR31741:SF75', NULL, NULL, NULL, NULL, 'FAD SYNTHETASE WITH THE MOAB/MOG DOMAIN, GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(78652, NULL, 'PTHR31865:SF49', NULL, NULL, NULL, NULL, 'BNAA09G54110D PROTEIN', NULL, NULL, NULL, 15),
(78653, NULL, 'PTHR10201:SF215', NULL, NULL, NULL, NULL, 'STROMELYSIN-1', NULL, NULL, NULL, 15),
(78654, NULL, 'PTHR24231:SF14', NULL, NULL, NULL, NULL, 'SUCCINATE RECEPTOR 1', NULL, NULL, NULL, 15),
(78655, NULL, 'PTHR42938:SF34', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(78656, NULL, 'PTHR10502:SF139', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(78657, NULL, 'PTHR48063:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78658, NULL, 'PTHR11771:SF115', NULL, NULL, NULL, NULL, 'SEED LINOLEATE 9S-LIPOXYGENASE', NULL, NULL, NULL, 15),
(78659, NULL, 'PTHR31500:SF91', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 10', NULL, NULL, NULL, 15),
(78660, NULL, 'PTHR11547:SF60', NULL, NULL, NULL, NULL, 'CKMB PROTEIN', NULL, NULL, NULL, 15),
(78661, NULL, 'PTHR22744:SF9', NULL, NULL, NULL, NULL, 'BTB (BROAD/COMPLEX/TRAMTRACK/BRIC A BRAC) DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78662, NULL, 'PTHR47942:SF11', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78663, NULL, 'PTHR33148:SF59', NULL, NULL, NULL, NULL, 'BNAC02G20520D PROTEIN', NULL, NULL, NULL, 15),
(78664, NULL, 'PTHR45624:SF1', NULL, NULL, NULL, NULL, 'SD08189P', NULL, NULL, NULL, 15),
(78665, NULL, 'PTHR48027:SF13', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2C-LIKE', NULL, NULL, NULL, 15),
(78666, NULL, 'PTHR31662:SF35', NULL, NULL, NULL, NULL, 'OS07G0636100 PROTEIN', NULL, NULL, NULL, 15),
(78667, NULL, 'PTHR31194:SF109', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', NULL, NULL, NULL, 15),
(78668, NULL, 'PTHR31636:SF148', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 14', NULL, NULL, NULL, 15),
(78669, NULL, 'PTHR21551:SF18', NULL, NULL, NULL, NULL, 'PROTEIN PAT1 HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(78670, NULL, 'PTHR45614:SF139', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78671, NULL, 'PTHR19969:SF12', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN NCK2', NULL, NULL, 24388, 15),
(78672, NULL, 'PTHR24249:SF389', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78673, NULL, 'PTHR43888:SF14', NULL, NULL, NULL, NULL, 'DNAJ-RELATED PROTEIN SCJ1', NULL, NULL, NULL, 15),
(78674, NULL, 'PTHR12703', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 33', NULL, NULL, NULL, 15),
(78675, NULL, 'PTHR13989:SF30', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 32 KDA SUBUNIT C', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78676, NULL, 'PTHR12701:SF21', NULL, NULL, NULL, NULL, 'OS02G0321800 PROTEIN', NULL, NULL, NULL, 15),
(78677, NULL, 'PTHR28629:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78678, NULL, 'PTHR10266', NULL, NULL, NULL, NULL, 'CYTOCHROME C1', NULL, NULL, 6792, 15),
(78679, NULL, 'PTHR31705:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 30', NULL, NULL, NULL, 15),
(78680, NULL, 'PTHR21859:SF6', NULL, NULL, NULL, NULL, 'GENE MODEL 904, (NCBI)-RELATED', NULL, NULL, NULL, 15),
(78681, NULL, 'PTHR13018:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78682, NULL, 'PTHR27005:SF256', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78683, NULL, 'PTHR12612:SF34', NULL, NULL, NULL, NULL, 'BNAA07G08920D PROTEIN', NULL, NULL, NULL, 15),
(78684, NULL, 'PTHR11552:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78685, NULL, 'PTHR22835:SF614', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78686, NULL, 'PTHR11267:SF102', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX10', NULL, NULL, NULL, 15),
(78687, NULL, 'PTHR24240:SF55', NULL, NULL, NULL, NULL, 'NOVOPSIN-3', NULL, NULL, NULL, 15),
(78688, NULL, 'PTHR23335:SF9', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 2', NULL, NULL, 37381, 15),
(78689, NULL, 'PTHR20855:SF97', NULL, NULL, NULL, NULL, 'ADIPOR-LIKE RECEPTOR IZH3', NULL, NULL, NULL, 15),
(78690, NULL, 'PTHR24347:SF418', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE DDB_G0284661-RELATED', NULL, NULL, NULL, 15),
(78691, NULL, 'PTHR46662:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PEPR1', NULL, NULL, NULL, 15),
(78692, NULL, 'PTHR32057:SF15', NULL, NULL, NULL, NULL, 'UPF0061 PROTEIN AZO1574-LIKE', NULL, NULL, NULL, 15),
(78693, NULL, 'PTHR24281:SF196', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', NULL, NULL, NULL, 15),
(78694, NULL, 'PTHR23382:SF18', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(78695, NULL, 'PTHR11782:SF88', NULL, NULL, NULL, NULL, 'APYRASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78696, NULL, 'PTHR11008:SF14', NULL, NULL, NULL, NULL, 'CIRCADIAN CLOCK-CONTROLLED PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78697, NULL, 'PTHR33801:SF19', NULL, NULL, NULL, NULL, 'ABSCISIC STRESS-RIPENING PROTEIN 2', NULL, NULL, NULL, 15),
(78698, NULL, 'PTHR38121:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78699, NULL, 'PTHR35564:SF3', NULL, NULL, NULL, NULL, 'TYPE VI SECRETION SYSTEM PROTEIN TSSG', NULL, NULL, NULL, 15),
(78700, NULL, 'PTHR42718:SF13', NULL, NULL, NULL, NULL, 'METHYL VIOLOGEN RESISTANCE PROTEIN SMVA', NULL, NULL, NULL, 15),
(78701, NULL, 'PTHR32021', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5B3', NULL, NULL, 36536, 15),
(78702, NULL, 'PTHR22957:SF543', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78703, NULL, 'PTHR27005:SF351', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE, ERK3/4-RELATED', NULL, NULL, NULL, 15),
(78704, NULL, 'PTHR45778:SF30', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(78705, NULL, 'PTHR30474:SF1', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN GLYCOSYLTRANSFERASE MRDB', NULL, NULL, 11377, 15),
(78706, NULL, 'PTHR24286:SF200', NULL, NULL, NULL, NULL, 'ENT-KAURENOIC ACID OXIDASE 2-LIKE', NULL, NULL, NULL, 15),
(78707, NULL, 'PTHR22751:SF30', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(78708, NULL, 'PTHR10333:SF79', NULL, NULL, NULL, NULL, 'PROTEIN CBG07029', NULL, NULL, NULL, 15),
(78709, NULL, 'PTHR35357:SF2', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 8', NULL, NULL, NULL, 15),
(78710, NULL, 'PTHR23088:SF27', NULL, NULL, NULL, NULL, 'DEAMINATED GLUTATHIONE AMIDASE', NULL, NULL, NULL, 15),
(78711, NULL, 'PTHR43572:SF24', NULL, NULL, NULL, NULL, 'DOUBLE CLP-N MOTIF P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78712, NULL, 'PTHR11614:SF20', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(78713, NULL, 'PTHR13943:SF36', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR RESPONDER PROTEIN 3', NULL, NULL, 35687, 15),
(78714, NULL, 'PTHR24006:SF689', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', NULL, NULL, NULL, 15),
(78715, NULL, 'PTHR23420:SF25', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', NULL, NULL, NULL, 15),
(78716, NULL, 'PTHR31846:SF18', NULL, NULL, NULL, NULL, 'CRM-DOMAIN CONTAINING FACTOR CFM3B, CHLOROPLASTIC', NULL, NULL, 29769, 15),
(78717, NULL, 'PTHR36140', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78718, NULL, 'PTHR36436:SF3', NULL, NULL, NULL, NULL, 'SLL5081 PROTEIN', NULL, NULL, NULL, 15),
(78719, NULL, 'PTHR35828:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78720, NULL, 'PTHR36470', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 3', NULL, NULL, NULL, 15),
(78721, NULL, 'PTHR47630:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG03378', NULL, NULL, NULL, 15),
(78722, NULL, 'PTHR23077:SF161', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 48 HOMOLOG E', NULL, NULL, NULL, 15),
(78723, NULL, 'PTHR10179:SF83', NULL, NULL, NULL, NULL, 'INTERLEUKIN-8', NULL, NULL, NULL, 15),
(78724, NULL, 'PTHR14463', NULL, NULL, NULL, NULL, 'LIPASE MATURATION FACTOR', NULL, NULL, 1688, 15),
(78725, NULL, 'PTHR46668:SF6', NULL, NULL, NULL, NULL, 'BOP1', NULL, NULL, NULL, 15),
(78726, NULL, 'PTHR32295:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78727, NULL, 'PTHR11353', NULL, NULL, NULL, NULL, 'CHAPERONIN', NULL, NULL, 19413, 15),
(78728, NULL, 'PTHR23510:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG11509', NULL, NULL, NULL, 15),
(78729, NULL, 'PTHR43112:SF35', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(78730, NULL, 'PTHR24078:SF522', NULL, NULL, NULL, NULL, 'DNAJ CHAPERONE C-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(78731, NULL, 'PTHR24349:SF298', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 16', NULL, NULL, NULL, 15),
(78732, NULL, 'PTHR48188', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L43', NULL, NULL, NULL, 15),
(78733, NULL, 'PTHR45978:SF2', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(78734, NULL, 'PTHR11766:SF0', NULL, NULL, NULL, NULL, 'TYROSINE--TRNA LIGASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(78735, NULL, 'PTHR10574:SF378', NULL, NULL, NULL, NULL, 'NETRIN-1', NULL, NULL, NULL, 15),
(78736, NULL, 'PTHR20946:SF0', NULL, NULL, NULL, NULL, 'SI:CH211-189K9.2', NULL, NULL, NULL, 15),
(78737, NULL, 'PTHR11009:SF30', NULL, NULL, NULL, NULL, 'DERLIN', NULL, NULL, NULL, 15),
(78738, NULL, 'PTHR45704:SF3', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN FAMILY MEMBER 11A', NULL, NULL, NULL, 15),
(78739, NULL, 'PTHR43272:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78740, NULL, 'PTHR23213:SF376', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78741, NULL, 'PTHR23070:SF169', NULL, NULL, NULL, NULL, 'BNAANNG34050D PROTEIN', NULL, NULL, NULL, 15),
(78742, NULL, 'PTHR33128:SF47', NULL, NULL, NULL, NULL, 'GPI-ANCHORED-LIKE PROTEIN (DUF 3339)', NULL, NULL, NULL, 15),
(78743, NULL, 'PTHR10837:SF4', NULL, NULL, NULL, NULL, 'PROTEIN-ARGININE DEIMINASE TYPE-6', NULL, NULL, NULL, 15),
(78744, NULL, 'PTHR45687:SF52', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-5-RELATED', NULL, NULL, NULL, 15),
(78745, NULL, 'PTHR47882:SF1', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 2', NULL, NULL, NULL, 15),
(78746, NULL, 'PTHR43215:SF12', NULL, NULL, NULL, NULL, 'PROTEIN TIC 100-LIKE', NULL, NULL, NULL, 15),
(78747, NULL, 'PTHR11638:SF169', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPA HOMOLOG CD4B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(78748, NULL, 'PTHR23235:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP4', NULL, NULL, 24925, 15),
(78749, NULL, 'PTHR46731', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 15', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78750, NULL, 'PTHR14778', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN DSN1 HOMOLOG', NULL, NULL, 12184, 15),
(78751, NULL, 'PTHR22847:SF620', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPT8', NULL, NULL, NULL, 15),
(78752, NULL, 'PTHR34699:SF2', NULL, NULL, NULL, NULL, 'INOSINE/XANTHOSINE TRIPHOSPHATASE', NULL, NULL, NULL, 15),
(78753, NULL, 'PTHR11847:SF21', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L15', NULL, NULL, NULL, 15),
(78754, NULL, 'PTHR23130:SF153', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78755, NULL, 'PTHR24377:SF216', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 630', NULL, NULL, NULL, 15),
(78756, NULL, 'PTHR21635', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER TRANSCRIPTION FACTOR LIKE', NULL, NULL, 23953, 15),
(78757, NULL, 'PTHR33377:SF41', NULL, NULL, NULL, NULL, 'OSJNBB0004G23.8-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78758, NULL, 'PTHR45798:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(78759, NULL, 'PTHR31662:SF70', NULL, NULL, NULL, NULL, 'BNACNNG18000D PROTEIN', NULL, NULL, NULL, 15),
(78760, NULL, 'PTHR10209:SF433', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78761, NULL, 'PTHR23500:SF487', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(78762, NULL, 'PTHR10579:SF139', NULL, NULL, NULL, NULL, 'ACTIVATED CHLORINE CHANNEL, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78763, NULL, 'PTHR46023:SF1', NULL, NULL, NULL, NULL, 'OS12G0554500 PROTEIN', NULL, NULL, NULL, 15),
(78764, NULL, 'PTHR23429:SF12', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE 5, CYTOPLASMIC', NULL, NULL, NULL, 15),
(78765, NULL, 'PTHR31344:SF16', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN AN-NUP192 (EUROFUNG)', NULL, NULL, NULL, 15),
(78766, NULL, 'PTHR30605', NULL, NULL, NULL, NULL, 'ANHYDRO-N-ACETYLMURAMIC ACID KINASE', NULL, NULL, 6379, 15),
(78767, NULL, 'PTHR22762:SF147', NULL, NULL, NULL, NULL, 'BNAA02G13970D PROTEIN', NULL, NULL, NULL, 15),
(78768, NULL, 'PTHR46220:SF10', NULL, NULL, NULL, NULL, 'BNAC04G18860D PROTEIN', NULL, NULL, NULL, 15),
(78769, NULL, 'PTHR31683:SF90', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(78770, NULL, 'PTHR45684', NULL, NULL, NULL, NULL, 'RE74312P', NULL, NULL, 2040, 15),
(78771, NULL, 'PTHR19384', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(78772, NULL, 'PTHR48043:SF72', NULL, NULL, NULL, NULL, 'UDP GLUCURONOSYLTRANSFERASE 5 FAMILY, POLYPEPTIDE C2-RELATED', NULL, NULL, NULL, 15),
(78773, NULL, 'PTHR24185:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78774, NULL, 'PTHR45811:SF16', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(78775, NULL, 'PTHR37333', NULL, NULL, NULL, NULL, 'LEUCINE-RICH SINGLE-PASS MEMBRANE PROTEIN 2', NULL, NULL, 27135, 15),
(78776, NULL, 'PTHR46195:SF21', NULL, NULL, NULL, NULL, 'OS02G0510600 PROTEIN', NULL, NULL, NULL, 15),
(78777, NULL, 'PTHR32285:SF180', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 34 ISOFORM X1', NULL, NULL, NULL, 15),
(78778, NULL, 'PTHR48041:SF45', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 28', NULL, NULL, NULL, 15),
(78779, NULL, 'PTHR33543:SF16', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN TYPE 2', NULL, NULL, NULL, 15),
(78780, NULL, 'PTHR42861:SF100', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(78781, NULL, 'PTHR43811:SF15', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PROTEIN 61', NULL, NULL, NULL, 15),
(78782, NULL, 'PTHR14485:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78783, NULL, 'PTHR19969:SF13', NULL, NULL, NULL, NULL, 'GRB2 RELATED ADAPTOR PROTEIN 2', NULL, NULL, NULL, 15),
(78784, NULL, 'PTHR31142:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78785, NULL, 'PTHR21551:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PAT1 HOMOLOG 2', NULL, NULL, NULL, 15),
(78786, NULL, 'PTHR22937:SF151', NULL, NULL, NULL, NULL, 'BNACNNG59990D PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78787, NULL, 'PTHR24229:SF50', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(78788, NULL, 'PTHR22943:SF29', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(78789, NULL, 'PTHR15913:SF0', NULL, NULL, NULL, NULL, 'MASPARDIN', NULL, NULL, NULL, 15),
(78790, NULL, 'PTHR31072:SF126', NULL, NULL, NULL, NULL, 'BNAA09G26360D PROTEIN', NULL, NULL, NULL, 15),
(78791, NULL, 'PTHR46992:SF4', NULL, NULL, NULL, NULL, 'GYF DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(78792, NULL, 'PTHR33476:SF22', NULL, NULL, NULL, NULL, 'PROTEIN POLAR LOCALIZATION DURING ASYMMETRIC DIVISION AND REDISTRIBUTION', NULL, NULL, NULL, 15),
(78793, NULL, 'PTHR28682:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78794, NULL, 'PTHR39336:SF3', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE PHOSPHATE OXIDASE', NULL, NULL, NULL, 15),
(78795, NULL, 'PTHR11627:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78796, NULL, 'PTHR34292:SF3', NULL, NULL, NULL, NULL, 'OUTER SPORE WALL PROTEIN LDS2-RELATED', NULL, NULL, NULL, 15),
(78797, NULL, 'PTHR10151:SF116', NULL, NULL, NULL, NULL, 'BNAA01G07270D PROTEIN', NULL, NULL, NULL, 15),
(78798, NULL, 'PTHR46446:SF22', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78799, NULL, 'PTHR11627:SF67', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(78800, NULL, 'PTHR31221:SF222', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 75-RELATED', NULL, NULL, NULL, 15),
(78801, NULL, 'PTHR21777', NULL, NULL, NULL, NULL, 'RCG55159-LIKE', NULL, NULL, 27441, 15),
(78802, NULL, 'PTHR32134:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78803, NULL, 'PTHR31989:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78804, NULL, 'PTHR11276:SF14', NULL, NULL, NULL, NULL, 'DNA POLYMERASE', NULL, NULL, NULL, 15),
(78805, NULL, 'PTHR23266:SF270', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-58', NULL, NULL, NULL, 15),
(78806, NULL, 'PTHR47278', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE 6', NULL, NULL, NULL, 15),
(78807, NULL, 'PTHR48017:SF16', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 6', NULL, NULL, NULL, 15),
(78808, NULL, 'PTHR48018:SF142', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(78809, NULL, 'PTHR31832:SF69', NULL, NULL, NULL, NULL, 'B-BOX-TYPE ZINC FINGER-RELATED', NULL, NULL, NULL, 15),
(78810, NULL, 'PTHR43559:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE', NULL, NULL, NULL, 15),
(78811, NULL, 'PTHR27002:SF846', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10 ISOFORM X1', NULL, NULL, NULL, 15),
(78812, NULL, 'PTHR31906:SF4', NULL, NULL, NULL, NULL, 'FIBRILLIN-5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(78813, NULL, 'PTHR12532:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN YEBC-RELATED', NULL, NULL, NULL, 15),
(78814, NULL, 'PTHR48021:SF22', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78815, NULL, 'PTHR31388:SF108', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(78816, NULL, 'PTHR13620:SF46', NULL, NULL, NULL, NULL, 'PROTEIN RISC-INTERACTING CLEARING 3''-5'' EXORIBONUCLEASE 1', NULL, NULL, NULL, 15),
(78817, NULL, 'PTHR24343:SF445', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE CMKC (EUROFUNG)', NULL, NULL, NULL, 15),
(78818, NULL, 'PTHR34687:SF4', NULL, NULL, NULL, NULL, 'BNAC09G17400D PROTEIN', NULL, NULL, NULL, 15),
(78819, NULL, 'PTHR31311:SF25', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(78820, NULL, 'PTHR43243:SF30', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 1-LIKE', NULL, NULL, NULL, 15),
(78821, NULL, 'PTHR31357:SF17', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS A (ALPHA)', NULL, NULL, NULL, 15),
(78822, NULL, 'PTHR15453:SF8', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR CANDIDATE 2', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78823, NULL, 'PTHR40696:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78824, NULL, 'PTHR12982', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL GLYCAN, CLASS C', NULL, NULL, 9278, 15),
(78825, NULL, 'PTHR43313:SF38', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(78826, NULL, 'PTHR11857:SF4', NULL, NULL, NULL, NULL, 'GENERAL ODORANT-BINDING PROTEIN 69A', NULL, NULL, NULL, 15),
(78827, NULL, 'PTHR19375:SF437', NULL, NULL, NULL, NULL, 'STROMAL 70 KDA HEAT SHOCK-RELATED PROTEIN, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(78828, NULL, 'PTHR35526:SF6', NULL, NULL, NULL, NULL, 'SLR1861 PROTEIN', NULL, NULL, NULL, 15),
(78829, NULL, 'PTHR42920:SF11', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YTFF', NULL, NULL, NULL, 15),
(78830, NULL, 'PTHR37015:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78831, NULL, 'PTHR34827:SF1', NULL, NULL, NULL, NULL, 'INSULIN GROWTH FACTOR-LIKE FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(78832, NULL, 'PTHR28634', NULL, NULL, NULL, NULL, 'ZINC FINGER B-BOX DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 29560, 15),
(78833, NULL, 'PTHR24281:SF205', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81E8-LIKE', NULL, NULL, NULL, 15),
(78834, NULL, 'PTHR36403:SF1', NULL, NULL, NULL, NULL, 'PROTEIN COFACTOR ASSEMBLY OF COMPLEX C SUBUNIT B CCB2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(78835, NULL, 'PTHR48053:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78836, NULL, 'PTHR47367', NULL, NULL, NULL, NULL, 'AUXIN-REGULATED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(78837, NULL, 'PTHR31374:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78838, NULL, 'PTHR12178:SF2', NULL, NULL, NULL, NULL, 'N-TERMINAL EF-HAND CALCIUM-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(78839, NULL, 'PTHR11604:SF27', NULL, NULL, NULL, NULL, 'PROFILIN-1', NULL, NULL, NULL, 15),
(78840, NULL, 'PTHR22884:SF473', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE NSD3', NULL, NULL, NULL, 15),
(78841, NULL, 'PTHR31333:SF2', NULL, NULL, NULL, NULL, 'DNA SEGMENT, CHR X, BAYLOR 18-RELATED', NULL, NULL, NULL, 15),
(78842, NULL, 'PTHR12725:SF71', NULL, NULL, NULL, NULL, 'OS01G0973000 PROTEIN', NULL, NULL, NULL, 15),
(78843, NULL, 'PTHR19229:SF185', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER FAMILY', NULL, NULL, NULL, 15),
(78844, NULL, 'PTHR11610:SF3', NULL, NULL, NULL, NULL, 'LIPOPROTEIN LIPASE', NULL, NULL, 6554, 15),
(78845, NULL, 'PTHR24186:SF27', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78846, NULL, 'PTHR31636:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78847, NULL, 'PTHR11972:SF137', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN H-RELATED', NULL, NULL, NULL, 15),
(78848, NULL, 'PTHR23500:SF576', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(78849, NULL, 'PTHR43092:SF7', NULL, NULL, NULL, NULL, 'L-CYSTEINE DESULFHYDRASE', NULL, NULL, NULL, 15),
(78850, NULL, 'PTHR11260:SF682', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9', NULL, NULL, NULL, 15),
(78851, NULL, 'PTHR46261:SF14', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(78852, NULL, 'PTHR22957:SF352', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER WHACKED', NULL, NULL, NULL, 15),
(78853, NULL, 'PTHR21454:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78854, NULL, 'PTHR33362:SF5', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLATE TRAP TRANSPORTER LARGE PERMEASE PROTEIN DCTM', NULL, NULL, NULL, 15),
(78855, NULL, 'PTHR10509:SF83', NULL, NULL, NULL, NULL, 'BNAA02G13460D PROTEIN', NULL, NULL, NULL, 15),
(78856, NULL, 'PTHR11984:SF1', NULL, NULL, NULL, NULL, 'GAP JUNCTION EPSILON-1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78857, NULL, 'PTHR10265:SF9', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1B', NULL, NULL, 24826, 15),
(78858, NULL, 'PTHR27006:SF371', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78859, NULL, 'PTHR38121', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78860, NULL, 'PTHR32133:SF298', NULL, NULL, NULL, NULL, 'OS07G0120400 PROTEIN', NULL, NULL, NULL, 15),
(78861, NULL, 'PTHR12752:SF5', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 6', NULL, NULL, NULL, 15),
(78862, NULL, 'PTHR31839:SF5', NULL, NULL, NULL, NULL, 'CBF2', NULL, NULL, NULL, 15),
(78863, NULL, 'PTHR24056:SF396', NULL, NULL, NULL, NULL, 'BNAC06G12590D PROTEIN', NULL, NULL, NULL, 15),
(78864, NULL, 'PTHR21099:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-113E8.11', NULL, NULL, NULL, 15),
(78865, NULL, 'PTHR23024:SF485', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1A', NULL, NULL, NULL, 15),
(78866, NULL, 'PTHR13059:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CAPICUA-RELATED', NULL, NULL, NULL, 15),
(78867, NULL, 'PTHR11071:SF476', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(78868, NULL, 'PTHR12515:SF8', NULL, NULL, NULL, NULL, 'PROTEIN SMAUG HOMOLOG 1', NULL, NULL, NULL, 15),
(78869, NULL, 'PTHR13989:SF10', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 32 KDA SUBUNIT', NULL, NULL, NULL, 15),
(78870, NULL, 'PTHR48002:SF65', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(78871, NULL, 'PTHR20951:SF2', NULL, NULL, NULL, NULL, 'SPRY DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(78872, NULL, 'PTHR12103:SF12', NULL, NULL, NULL, NULL, 'FI20020P1', NULL, NULL, NULL, 15),
(78873, NULL, 'PTHR31964', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(78874, NULL, 'PTHR46037:SF2', NULL, NULL, NULL, NULL, 'GRB2-RELATED ADAPTER PROTEIN', NULL, NULL, NULL, 15),
(78875, NULL, 'PTHR10896:SF32', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS01G0157700-RELATED', NULL, NULL, NULL, 15),
(78876, NULL, 'PTHR31089:SF22', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.5', NULL, NULL, NULL, 15),
(78877, NULL, 'PTHR11480:SF85', NULL, NULL, NULL, NULL, 'OS01G0166700 PROTEIN', NULL, NULL, NULL, 15),
(78878, NULL, 'PTHR31679:SF2', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX30-RELATED', NULL, NULL, NULL, 15),
(78879, NULL, 'PTHR14568:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 6 SUPERFAMILY MEMBER 1', NULL, NULL, NULL, 15),
(78880, NULL, 'PTHR31579:SF43', NULL, NULL, NULL, NULL, 'DUF506 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(78881, NULL, 'PTHR42895:SF1', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER-BINDING PROTEIN', NULL, NULL, NULL, 15),
(78882, NULL, 'PTHR21268:SF2', NULL, NULL, NULL, NULL, 'GH23780P', NULL, NULL, NULL, 15),
(78883, NULL, 'PTHR11615:SF286', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78884, NULL, 'PTHR43698', NULL, NULL, NULL, NULL, 'RIBD C-TERMINAL DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(78885, NULL, 'PTHR24559:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78886, NULL, 'PTHR37182:SF2', NULL, NULL, NULL, NULL, 'F24J8.11 PROTEIN', NULL, NULL, NULL, 15),
(78887, NULL, 'PTHR47009:SF7', NULL, NULL, NULL, NULL, 'HEPATITIS A VIRUS CELLULAR RECEPTOR 1', NULL, NULL, NULL, 15),
(78888, NULL, 'PTHR47699:SF1', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN FAMILY', NULL, NULL, NULL, 15),
(78889, NULL, 'PTHR12027:SF34', NULL, NULL, NULL, NULL, 'PROTEIN WNT', NULL, NULL, NULL, 15),
(78890, NULL, 'PTHR31147:SF54', NULL, NULL, NULL, NULL, 'OS10G0105900 PROTEIN', NULL, NULL, NULL, 15),
(78891, NULL, 'PTHR11926:SF1378', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(78892, NULL, 'PTHR21576:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78893, NULL, 'PTHR31306:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78894, NULL, 'PTHR26453:SF10', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 693-RELATED', NULL, NULL, NULL, 15),
(78895, NULL, 'PTHR23335:SF17', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 2', NULL, NULL, NULL, 15),
(78896, NULL, 'PTHR43853:SF5', NULL, NULL, NULL, NULL, 'THIOLASE (POT1), PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04080)-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78897, NULL, 'PTHR45908:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG13893', NULL, NULL, NULL, 15),
(78898, NULL, 'PTHR43319:SF6', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(78899, NULL, 'PTHR18945:SF457', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(78900, NULL, 'PTHR31235:SF311', NULL, NULL, NULL, NULL, 'PEROXIDASE 24', NULL, NULL, NULL, 15),
(78901, NULL, 'PTHR24056:SF456', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78902, NULL, 'PTHR11012:SF47', NULL, NULL, NULL, NULL, 'GH22833P', NULL, NULL, NULL, 15),
(78903, NULL, 'PTHR12785:SF7', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 6', NULL, NULL, NULL, 15),
(78904, NULL, 'PTHR46521:SF10', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 2-RELATED', NULL, NULL, NULL, 15),
(78905, NULL, 'PTHR31917:SF5', NULL, NULL, NULL, NULL, 'PLANT TUDOR-LIKE RNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78906, NULL, 'PTHR48001:SF117', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(78907, NULL, 'PTHR22589:SF67', NULL, NULL, NULL, NULL, 'PEROXISOMAL CARNITINE O-OCTANOYLTRANSFERASE', NULL, NULL, NULL, 15),
(78908, NULL, 'PTHR44027:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 5', NULL, NULL, NULL, 15),
(78909, NULL, 'PTHR31327:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG06985', NULL, NULL, NULL, 15),
(78910, NULL, 'PTHR31251:SF79', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 6 ISOFORM X2', NULL, NULL, NULL, 15),
(78911, NULL, 'PTHR11254:SF422', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(78912, NULL, 'PTHR31282:SF38', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 55', NULL, NULL, NULL, 15),
(78913, NULL, 'PTHR35451:SF1', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE-LIKE PROTEIN C4ORF48', NULL, NULL, NULL, 15),
(78914, NULL, 'PTHR32102:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78915, NULL, 'PTHR47592:SF5', NULL, NULL, NULL, NULL, 'OS08G0421300 PROTEIN', NULL, NULL, NULL, 15),
(78916, NULL, 'PTHR23336:SF58', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 7', NULL, NULL, NULL, 15),
(78917, NULL, 'PTHR44489:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C3H FAMILY-RELATED', NULL, NULL, NULL, 15),
(78918, NULL, 'PTHR31391:SF111', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78919, NULL, 'PTHR10353:SF178', NULL, NULL, NULL, NULL, 'INACTIVE BETA-GLUCOSIDASE 25-RELATED', NULL, NULL, NULL, 15),
(78920, NULL, 'PTHR12910', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE SUBUNIT B17.2', NULL, NULL, 1129, 15),
(78921, NULL, 'PTHR32133:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78922, NULL, 'PTHR10366', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE', NULL, NULL, NULL, 15),
(78923, NULL, 'PTHR24177:SF255', NULL, NULL, NULL, NULL, 'PGG DOMAIN, GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', NULL, NULL, NULL, 15),
(78924, NULL, 'PTHR33149:SF36', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', NULL, NULL, NULL, 15),
(78925, NULL, 'PTHR22600:SF42', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE', NULL, NULL, NULL, 15),
(78926, NULL, 'PTHR32288', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-IV', NULL, NULL, 27437, 15),
(78927, NULL, 'PTHR47644', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78928, NULL, 'PTHR26453:SF82', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(78929, NULL, 'PTHR31718:SF35', NULL, NULL, NULL, NULL, 'EMBRYO-SPECIFIC PROTEIN', NULL, NULL, NULL, 15),
(78930, NULL, 'PTHR47925:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78931, NULL, 'PTHR10593:SF161', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 5, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(78932, NULL, 'PTHR32096:SF87', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 63-RELATED', NULL, NULL, NULL, 15),
(78933, NULL, 'PTHR11863:SF63', NULL, NULL, NULL, NULL, 'C-5 STEROL DESATURASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78934, NULL, 'PTHR11017:SF325', NULL, NULL, NULL, NULL, 'NB-ARC-RELATED', NULL, NULL, NULL, 15),
(78935, NULL, 'PTHR14005:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT A', NULL, NULL, NULL, 15),
(78936, NULL, 'PTHR23022:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78937, NULL, 'PTHR11960:SF18', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E HOMOLOGOUS PROTEIN, ISOFORM B', NULL, NULL, NULL, 15),
(78938, NULL, 'PTHR31650:SF2', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE', NULL, NULL, NULL, 15),
(78939, NULL, 'PTHR30618:SF5', NULL, NULL, NULL, NULL, 'URIDINE PERMEASE', NULL, NULL, NULL, 15),
(78940, NULL, 'PTHR23359:SF105', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 7', NULL, NULL, 28574, 15),
(78941, NULL, 'PTHR32083:SF34', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 146', NULL, NULL, NULL, 15),
(78942, NULL, 'PTHR42907:SF3', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(78943, NULL, 'PTHR31282:SF159', NULL, NULL, NULL, NULL, 'BNAC09G36400D PROTEIN', NULL, NULL, NULL, 15),
(78944, NULL, 'PTHR14682:SF1', NULL, NULL, NULL, NULL, 'KATNB1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(78945, NULL, 'PTHR33625:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(78946, NULL, 'PTHR32196:SF19', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YTFT', NULL, NULL, NULL, 15),
(78947, NULL, 'PTHR24377:SF827', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 852', NULL, NULL, NULL, 15),
(78948, NULL, 'PTHR11685:SF281', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(78949, NULL, 'PTHR31395:SF18', NULL, NULL, NULL, NULL, 'SHISA FAMILY MEMBER 2A', NULL, NULL, NULL, 15),
(78950, NULL, 'PTHR24133:SF32', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 4', NULL, NULL, NULL, 15),
(78951, NULL, 'PTHR45839:SF23', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', NULL, NULL, NULL, 15),
(78952, NULL, 'PTHR13100', NULL, NULL, NULL, NULL, 'CELL GROWTH-REGULATING NUCLEOLAR PROTEIN LYAR', NULL, NULL, 29531, 15),
(78953, NULL, 'PTHR40078:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(78954, NULL, 'PTHR15090:SF6', NULL, NULL, NULL, NULL, 'SEQUESTOSOME RELATED', NULL, NULL, NULL, 15),
(78955, NULL, 'PTHR11973:SF20', NULL, NULL, NULL, NULL, 'ADVANCED GLYCOSYLATION END PRODUCT-SPECIFIC RECEPTOR', NULL, NULL, NULL, 15),
(78956, NULL, 'PTHR47055:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78957, NULL, 'PTHR47976:SF31', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', NULL, NULL, NULL, 15),
(78958, NULL, 'PTHR11592:SF32', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 3', NULL, NULL, NULL, 15),
(78959, NULL, 'PTHR22747:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78960, NULL, 'PTHR45029:SF7', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(78961, NULL, 'PTHR14365', NULL, NULL, NULL, NULL, 'APOPTOSIS REGULATORY PROTEIN SIVA', NULL, NULL, 11451, 15),
(78962, NULL, 'PTHR10438:SF424', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(78963, NULL, 'PTHR34309', NULL, NULL, NULL, NULL, 'SLR1406 PROTEIN', NULL, NULL, NULL, 15),
(78964, NULL, 'PTHR43108:SF4', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SULFATASE SULF-2', NULL, NULL, NULL, 15),
(78965, NULL, 'PTHR48001:SF128', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(78966, NULL, 'PTHR21349', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L21', NULL, NULL, 25764, 15),
(78967, NULL, 'PTHR31081', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 1-RELATED-RELATED', NULL, NULL, 22299, 15),
(78968, NULL, 'PTHR23085:SF26', NULL, NULL, NULL, NULL, 'JUNCTOPHILIN-2', NULL, NULL, NULL, 15),
(78969, NULL, 'PTHR31674:SF42', NULL, NULL, NULL, NULL, 'BNAC03G67480D PROTEIN', NULL, NULL, NULL, 15),
(78970, NULL, 'PTHR31218:SF333', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(78971, NULL, 'PTHR12146:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78972, NULL, 'PTHR10353:SF29', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 11', NULL, NULL, NULL, 15),
(78973, NULL, 'PTHR11558:SF42', NULL, NULL, NULL, NULL, 'PUTRESCINE N-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(78974, NULL, 'PTHR11636:SF14', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 5, TRANSCRIPTION FACTOR 2', NULL, NULL, 9772, 15),
(78975, NULL, 'PTHR12386:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78976, NULL, 'PTHR31876:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CONTINUOUS VASCULAR RING 1-RELATED', NULL, NULL, NULL, 15),
(78977, NULL, 'PTHR36928', NULL, NULL, NULL, NULL, 'PHOSPHATASE YCDX-RELATED', NULL, NULL, NULL, 15),
(78978, NULL, 'PTHR12011:SF326', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR G5', NULL, NULL, NULL, 15),
(78979, NULL, 'PTHR33065:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(78980, NULL, 'PTHR47990:SF24', NULL, NULL, NULL, NULL, 'OS02G0630300 PROTEIN', NULL, NULL, NULL, 15),
(78981, NULL, 'PTHR23428:SF198', NULL, NULL, NULL, NULL, 'HISTONE H2B.6', NULL, NULL, NULL, 15),
(78982, NULL, 'PTHR10183:SF392', NULL, NULL, NULL, NULL, 'CALPAIN FAMILY', NULL, NULL, NULL, 15),
(78983, NULL, 'PTHR31720:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS Z', NULL, NULL, NULL, 15),
(78984, NULL, 'PTHR48020:SF4', NULL, NULL, NULL, NULL, 'SYMPORT, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11790)-RELATED', NULL, NULL, NULL, 15),
(78985, NULL, 'PTHR10426:SF83', NULL, NULL, NULL, NULL, 'OS01G0698200 PROTEIN', NULL, NULL, NULL, 15),
(78986, NULL, 'PTHR12763:SF48', NULL, NULL, NULL, NULL, 'BNACNNG03120D PROTEIN', NULL, NULL, NULL, 15),
(78987, NULL, 'PTHR11731:SF20', NULL, NULL, NULL, NULL, 'DIPEPTIDYL AMINOPEPTIDASE-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(78988, NULL, 'PTHR23319:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ASTER-C', NULL, NULL, NULL, 15),
(78989, NULL, 'PTHR35079:SF1', NULL, NULL, NULL, NULL, 'LUNG ADENOMA SUSCEPTIBILITY PROTEIN 2', NULL, NULL, NULL, 15),
(78990, NULL, 'PTHR13343:SF28', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(78991, NULL, 'PTHR26453:SF45', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(78992, NULL, 'PTHR11846:SF14', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(78993, NULL, 'PTHR31355:SF23', NULL, NULL, NULL, NULL, 'BNAANNG18180D PROTEIN', NULL, NULL, NULL, 15),
(78994, NULL, 'PTHR48011:SF25', NULL, NULL, NULL, NULL, 'BNAA10G29440D PROTEIN', NULL, NULL, NULL, 15),
(78995, NULL, 'PTHR31321:SF107', NULL, NULL, NULL, NULL, 'PECTINESTERASE 52-RELATED', NULL, NULL, NULL, 15),
(78996, NULL, 'PTHR37838:SF1', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT C', NULL, NULL, NULL, 15),
(78997, NULL, 'PTHR37858', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689589', NULL, NULL, 28310, 15),
(78998, NULL, 'PTHR24377:SF901', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 254-RELATED', NULL, NULL, NULL, 15),
(78999, NULL, 'PTHR22937:SF125', NULL, NULL, NULL, NULL, 'C3HC4-TYPE RING ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(79000, NULL, 'PTHR43876:SF9', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79001, NULL, 'PTHR11771:SF135', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(79002, NULL, 'PTHR45727:SF1', NULL, NULL, NULL, NULL, 'NPC INTRACELLULAR CHOLESTEROL TRANSPORTER 1 HOMOLOG 1', NULL, NULL, NULL, 15),
(79003, NULL, 'PTHR14207:SF7', NULL, NULL, NULL, NULL, 'BNAANNG14740D PROTEIN', NULL, NULL, NULL, 15),
(79004, NULL, 'PTHR24326:SF562', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-40-LIKE', NULL, NULL, NULL, 15),
(79005, NULL, 'PTHR12302:SF2', NULL, NULL, NULL, NULL, 'STAPHYLOCOCCAL NUCLEASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(79006, NULL, 'PTHR47653', NULL, NULL, NULL, NULL, 'PROTEIN BARK BEETLE', NULL, NULL, NULL, 15),
(79007, NULL, 'PTHR15615:SF106', NULL, NULL, NULL, NULL, 'CYCLIN-RELATED 2 FAMILY PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79008, NULL, 'PTHR24115:SF328', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF1B', NULL, NULL, NULL, 15),
(79009, NULL, 'PTHR34277:SF2', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 26', NULL, NULL, NULL, 15),
(79010, NULL, 'PTHR24160:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 53', NULL, NULL, NULL, 15),
(79011, NULL, 'PTHR10827:SF47', NULL, NULL, NULL, NULL, 'RETICULOCALBIN-3', NULL, NULL, NULL, 15),
(79012, NULL, 'PTHR13930:SF1', NULL, NULL, NULL, NULL, 'SAM DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79013, NULL, 'PTHR13902:SF143', NULL, NULL, NULL, NULL, 'GPCR KINASE-RELATED', NULL, NULL, NULL, 15),
(79014, NULL, 'PTHR33975', NULL, NULL, NULL, NULL, 'MYELIN-ASSOCIATED OLIGODENDROCYTE BASIC PROTEIN', NULL, NULL, NULL, 15),
(79015, NULL, 'PTHR43157:SF22', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79016, NULL, 'PTHR20863:SF28', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(79017, NULL, 'PTHR34375:SF4', NULL, NULL, NULL, NULL, 'ALCOHOL ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(79018, NULL, 'PTHR10641:SF1044', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 49', NULL, NULL, NULL, 15),
(79019, NULL, 'PTHR10194', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEINS', NULL, NULL, 35540, 15),
(79020, NULL, 'PTHR33098:SF82', NULL, NULL, NULL, NULL, 'DUF761 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(79021, NULL, 'PTHR46501:SF6', NULL, NULL, NULL, NULL, 'SI:CH73-95L15.5', NULL, NULL, NULL, 15),
(79022, NULL, 'PTHR21698:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79023, NULL, 'PTHR43157:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79024, NULL, 'PTHR45868:SF61', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(79025, NULL, 'PTHR35663:SF1', NULL, NULL, NULL, NULL, 'TESTIS DEVELOPMENT-RELATED PROTEIN', NULL, NULL, NULL, 15),
(79026, NULL, 'PTHR31065:SF59', NULL, NULL, NULL, NULL, 'OS02G0661400 PROTEIN', NULL, NULL, NULL, 15),
(79027, NULL, 'PTHR36002:SF1', NULL, NULL, NULL, NULL, 'PYRD', NULL, NULL, NULL, 15),
(79028, NULL, 'PTHR31250:SF53', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM1', NULL, NULL, NULL, 15),
(79029, NULL, 'PTHR42912:SF34', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(79030, NULL, 'PTHR12911:SF42', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(79031, NULL, 'PTHR47319:SF10', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1-LIKE', NULL, NULL, NULL, 15),
(79032, NULL, 'PTHR31609', NULL, NULL, NULL, NULL, 'YDJC DEACETYLASE FAMILY MEMBER', NULL, NULL, 4933, 15),
(79033, NULL, 'PTHR47979:SF43', NULL, NULL, NULL, NULL, 'RAB42, MEMBER RAS ONCOGENE FAMILY-RELATED', NULL, NULL, NULL, 15),
(79034, NULL, 'PTHR34064:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79035, NULL, 'PTHR46151:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79036, NULL, 'PTHR31250:SF16', NULL, NULL, NULL, NULL, 'OS07G0633400 PROTEIN', NULL, NULL, NULL, 15),
(79037, NULL, 'PTHR47263:SF1', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE ACTIVATION PROTEIN GIT1', NULL, NULL, NULL, 15),
(79038, NULL, 'PTHR16017:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 70', NULL, NULL, NULL, 15),
(79039, NULL, 'PTHR23510:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG20861', NULL, NULL, NULL, 15),
(79040, NULL, 'PTHR46031:SF24', NULL, NULL, NULL, NULL, 'BNAA09G24500D PROTEIN', NULL, NULL, NULL, 15),
(79041, NULL, 'PTHR24414:SF125', NULL, NULL, NULL, NULL, 'BNAA03G49530D PROTEIN', NULL, NULL, NULL, 15),
(79042, NULL, 'PTHR31625:SF66', NULL, NULL, NULL, NULL, 'BNAC02G38050D PROTEIN', NULL, NULL, NULL, 15),
(79043, NULL, 'PTHR39191', NULL, NULL, NULL, NULL, 'GALACTOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, 6883, 15),
(79044, NULL, 'PTHR11937:SF396', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79045, NULL, 'PTHR21576:SF81', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(79046, NULL, 'PTHR36586:SF23', NULL, NULL, NULL, NULL, 'EXTENSIN-2-LIKE', NULL, NULL, NULL, 15),
(79047, NULL, 'PTHR23013:SF20', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(79048, NULL, 'PTHR28450', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP B PROTEIN', NULL, NULL, 31232, 15),
(79049, NULL, 'PTHR21496:SF19', NULL, NULL, NULL, NULL, 'SI:CH211-212D10.2', NULL, NULL, NULL, 15),
(79050, NULL, 'PTHR23421:SF165', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(79051, NULL, 'PTHR31895:SF11', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', NULL, NULL, NULL, 15),
(79052, NULL, 'PTHR12187:SF3', NULL, NULL, NULL, NULL, 'TYPE II INOSITOL 3,4-BISPHOSPHATE 4-PHOSPHATASE', NULL, NULL, NULL, 15),
(79053, NULL, 'PTHR15495', NULL, NULL, NULL, NULL, 'NEGATIVE REGULATOR OF VESICLE FORMATION-RELATED', NULL, NULL, 35863, 15),
(79054, NULL, 'PTHR15390:SF0', NULL, NULL, NULL, NULL, 'NEUROMEDIN-U', NULL, NULL, NULL, 15),
(79055, NULL, 'PTHR12904', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79056, NULL, 'PTHR23028:SF125', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(79057, NULL, 'PTHR13906:SF21', NULL, NULL, NULL, NULL, 'MEMBRANE BOUND O-ACYL TRANSFERASE, MBOAT-RELATED', NULL, NULL, NULL, 15),
(79058, NULL, 'PTHR33052:SF14', NULL, NULL, NULL, NULL, 'OS01G0826800 PROTEIN', NULL, NULL, NULL, 15),
(79059, NULL, 'PTHR10891:SF859', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER MEMBRANE REGION, EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(79060, NULL, 'PTHR10783:SF105', NULL, NULL, NULL, NULL, 'BNAA02G35630D PROTEIN', NULL, NULL, NULL, 15),
(79061, NULL, 'PTHR12694:SF17', NULL, NULL, NULL, NULL, 'BNAA08G28950D PROTEIN', NULL, NULL, NULL, 15),
(79062, NULL, 'PTHR22604:SF115', NULL, NULL, NULL, NULL, 'DIHYDRODIOL DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G07520)-RELATED', NULL, NULL, NULL, 15),
(79063, NULL, 'PTHR48002:SF136', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(79064, NULL, 'PTHR12300:SF119', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN B', NULL, NULL, NULL, 15),
(79065, NULL, 'PTHR14611:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79066, NULL, 'PTHR23024:SF176', NULL, NULL, NULL, NULL, 'ACETYL ESTERASE', NULL, NULL, NULL, 15),
(79067, NULL, 'PTHR31651:SF31', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER', NULL, NULL, NULL, 15),
(79068, NULL, 'PTHR33353:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79069, NULL, 'PTHR10747:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR COE1', NULL, NULL, NULL, 15),
(79070, NULL, 'PTHR12563', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', NULL, NULL, 15714, 15),
(79071, NULL, 'PTHR27002:SF807', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(79072, NULL, 'PTHR33021:SF392', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(79073, NULL, 'PTHR46391:SF19', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79074, NULL, 'PTHR33727', NULL, NULL, NULL, NULL, 'OS07G0446900 PROTEIN', NULL, NULL, NULL, 15),
(79075, NULL, 'PTHR10527:SF65', NULL, NULL, NULL, NULL, 'TRANSPORTIN 1 ISOFORM 1', NULL, NULL, NULL, 15),
(79076, NULL, 'PTHR37446', NULL, NULL, NULL, NULL, 'CLAUDIN-LIKE IN CAENORHABDITIS', NULL, NULL, NULL, 15),
(79077, NULL, 'PTHR32018:SF6', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(79078, NULL, 'PTHR47966:SF15', NULL, NULL, NULL, NULL, 'FUNGAL PROTEINASE A, ASPARTIC PROTEINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(79079, NULL, 'PTHR11365', NULL, NULL, NULL, NULL, '5-OXOPROLINASE RELATED', NULL, NULL, 36546, 15),
(79080, NULL, 'PTHR33621', NULL, NULL, NULL, NULL, 'ASPARTIC/GLUTAMIC ACID-RICH PROTEIN', NULL, NULL, NULL, 15),
(79081, NULL, 'PTHR11691:SF67', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-14', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79082, NULL, 'PTHR43880:SF10', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE 2', NULL, NULL, NULL, 15),
(79083, NULL, 'PTHR10257:SF86', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(79084, NULL, 'PTHR31636:SF3', NULL, NULL, NULL, NULL, 'GRAS FAMILY PROTEIN RAM1', NULL, NULL, NULL, 15),
(79085, NULL, 'PTHR11913:SF62', NULL, NULL, NULL, NULL, 'BNAC08G47280D PROTEIN', NULL, NULL, NULL, 15),
(79086, NULL, 'PTHR19375:SF311', NULL, NULL, NULL, NULL, 'SHOCK COGNATE 70 KDA PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(79087, NULL, 'PTHR14949:SF27', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(79088, NULL, 'PTHR43670:SF83', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN, HSP20 FAMILY', NULL, NULL, NULL, 15),
(79089, NULL, 'PTHR33826:SF4', NULL, NULL, NULL, NULL, 'F20B24.21', NULL, NULL, NULL, 15),
(79090, NULL, 'PTHR11588:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79091, NULL, 'PTHR35374:SF1', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 11A-LIKE', NULL, NULL, NULL, 15),
(79092, NULL, 'PTHR48208', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN I', NULL, NULL, NULL, 15),
(79093, NULL, 'PTHR46039:SF10', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(79094, NULL, 'PTHR10353:SF53', NULL, NULL, NULL, NULL, 'BETA-1,4-GLUCOSIDASE (EUROFUNG)', NULL, NULL, NULL, 15),
(79095, NULL, 'PTHR31541:SF25', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF313)-RELATED', NULL, NULL, NULL, 15),
(79096, NULL, 'PTHR23068:SF13', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE 3-LIKE', NULL, NULL, 28447, 15),
(79097, NULL, 'PTHR47998:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79098, NULL, 'PTHR34480:SF14', NULL, NULL, NULL, NULL, 'OS01G0967800 PROTEIN', NULL, NULL, NULL, 15),
(79099, NULL, 'PTHR46662:SF42', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(79100, NULL, 'PTHR11850:SF303', NULL, NULL, NULL, NULL, 'ELK DOMAIN, KNOX1, KNOX2, HOMEOBOX KN DOMAIN, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79101, NULL, 'PTHR46252:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79102, NULL, 'PTHR19316:SF32', NULL, NULL, NULL, NULL, 'NUCLEOTIDE EXCHANGE FACTOR SIL1', NULL, NULL, NULL, 15),
(79103, NULL, 'PTHR24073:SF1146', NULL, NULL, NULL, NULL, 'GTPASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79104, NULL, 'PTHR45950:SF21', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX10', NULL, NULL, NULL, 15),
(79105, NULL, 'PTHR21016:SF20', NULL, NULL, NULL, NULL, 'TM2 DOMAIN-CONTAINING PROTEIN DDB_G0287015', NULL, NULL, NULL, 15),
(79106, NULL, 'PTHR16677:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-286O17.1', NULL, NULL, NULL, 15),
(79107, NULL, 'PTHR23288:SF38', NULL, NULL, NULL, NULL, 'OCCLUDIN', NULL, NULL, NULL, 15),
(79108, NULL, 'PTHR36691', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 247', NULL, NULL, 29125, 15),
(79109, NULL, 'PTHR15191:SF7', NULL, NULL, NULL, NULL, 'PTTG1-INTERACTING PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(79110, NULL, 'PTHR23113:SF35', NULL, NULL, NULL, NULL, 'RAL GUANINE NUCLEOTIDE DISSOCIATION STIMULATOR', NULL, NULL, 12000, 15),
(79111, NULL, 'PTHR43900:SF60', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F5', NULL, NULL, NULL, 15),
(79112, NULL, 'PTHR37300:SF1', NULL, NULL, NULL, NULL, 'UPF0291 PROTEIN CBO2609/CLC_2481', NULL, NULL, NULL, 15),
(79113, NULL, 'PTHR18945:SF848', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR EXP-1', NULL, NULL, NULL, 15),
(79114, NULL, 'PTHR47373:SF6', NULL, NULL, NULL, NULL, 'PHYTOCYSTATIN 2-RELATED', NULL, NULL, NULL, 15),
(79115, NULL, 'PTHR43876:SF3', NULL, NULL, NULL, NULL, 'TRIHYDROXYTOLUENE OXYGENASE (AFU_ORTHOLOGUE AFUA_8G02470)', NULL, NULL, NULL, 15),
(79116, NULL, 'PTHR31190:SF299', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF098-LIKE', NULL, NULL, NULL, 15),
(79117, NULL, 'PTHR31181:SF73', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED PROTEIN 1.1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79118, NULL, 'PTHR47447:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79119, NULL, 'PTHR23089:SF40', NULL, NULL, NULL, NULL, 'ADENYLYLSULFATASE HINT1', NULL, NULL, NULL, 15),
(79120, NULL, 'PTHR16003', NULL, NULL, NULL, NULL, 'C9ORF40 ISOFORM 1', NULL, NULL, 39377, 15),
(79121, NULL, 'PTHR11769:SF7', NULL, NULL, NULL, NULL, 'HYALURONIDASE-4', NULL, NULL, NULL, 15),
(79122, NULL, 'PTHR45649:SF28', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(79123, NULL, 'PTHR45763:SF11', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79124, NULL, 'PTHR40623:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79125, NULL, 'PTHR47213', NULL, NULL, NULL, NULL, 'OS07G0567300 PROTEIN', NULL, NULL, 37514, 15),
(79126, NULL, 'PTHR47846:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79127, NULL, 'PTHR32026:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79128, NULL, 'PTHR45959:SF33', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79129, NULL, 'PTHR46366:SF1', NULL, NULL, NULL, NULL, 'PRO-APOPTOTIC SERINE PROTEASE NMA111', NULL, NULL, NULL, 15),
(79130, NULL, 'PTHR32468:SF102', NULL, NULL, NULL, NULL, 'OS08G0117800 PROTEIN', NULL, NULL, NULL, 15),
(79131, NULL, 'PTHR10579:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79132, NULL, 'PTHR24015:SF1825', NULL, NULL, NULL, NULL, 'OSJNBB0070J16.5 PROTEIN', NULL, NULL, NULL, 15),
(79133, NULL, 'PTHR31343:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79134, NULL, 'PTHR31376:SF58', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 12-RELATED', NULL, NULL, NULL, 15),
(79135, NULL, 'PTHR23070:SF9', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CHAPERONE BCS1-A-RELATED', NULL, NULL, NULL, 15),
(79136, NULL, 'PTHR31376:SF16', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 9-RELATED', NULL, NULL, NULL, 15),
(79137, NULL, 'PTHR33751:SF1', NULL, NULL, NULL, NULL, 'CBB3-TYPE CYTOCHROME C OXIDASE SUBUNIT FIXP', NULL, NULL, NULL, 15),
(79138, NULL, 'PTHR43706:SF33', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(79139, NULL, 'PTHR12197:SF284', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79140, NULL, 'PTHR31741:SF4', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 28', NULL, NULL, NULL, 15),
(79141, NULL, 'PTHR46506:SF3', NULL, NULL, NULL, NULL, 'PROTEIN GOS9', NULL, NULL, NULL, 15),
(79142, NULL, 'PTHR47924:SF43', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(79143, NULL, 'PTHR46422', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE BSL3', NULL, NULL, NULL, 15),
(79144, NULL, 'PTHR45627:SF22', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', NULL, NULL, NULL, 15),
(79145, NULL, 'PTHR43775:SF7', NULL, NULL, NULL, NULL, 'FATTY ACID SYNTHASE', NULL, NULL, NULL, 15),
(79146, NULL, 'PTHR39330:SF1', NULL, NULL, NULL, NULL, 'ETHANOLAMINE AMMONIA-LYASE LIGHT CHAIN', NULL, NULL, NULL, 15),
(79147, NULL, 'PTHR48002:SF8', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(79148, NULL, 'PTHR10460:SF34', NULL, NULL, NULL, NULL, 'PROTEIN ABIL2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(79149, NULL, 'PTHR30204:SF66', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ZNTR', NULL, NULL, NULL, 15),
(79150, NULL, 'PTHR18947:SF39', NULL, NULL, NULL, NULL, 'PROTEIN HOOK', NULL, NULL, NULL, 15),
(79151, NULL, 'PTHR10794:SF44', NULL, NULL, NULL, NULL, 'MEDIUM-CHAIN FATTY ACID ETHYL ESTER SYNTHASE/ESTERASE 1-RELATED', NULL, NULL, NULL, 15),
(79152, NULL, 'PTHR45621:SF120', NULL, NULL, NULL, NULL, 'PROTEIN KINASE APK1B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(79153, NULL, 'PTHR47858:SF3', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE', NULL, NULL, NULL, 15),
(79154, NULL, 'PTHR48084:SF3', NULL, NULL, NULL, NULL, 'SUBUNIT OF PYRUVATE:FLAVODOXIN OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79155, NULL, 'PTHR34194:SF14', NULL, NULL, NULL, NULL, 'OSJNBA0055H05.9 PROTEIN', NULL, NULL, NULL, 15),
(79156, NULL, 'PTHR12428:SF48', NULL, NULL, NULL, NULL, 'BNAA09G28180D PROTEIN', NULL, NULL, NULL, 15),
(79157, NULL, 'PTHR14791:SF42', NULL, NULL, NULL, NULL, 'F16L1.2 PROTEIN', NULL, NULL, NULL, 15),
(79158, NULL, 'PTHR43575', NULL, NULL, NULL, NULL, 'PROTEIN ABCI7, CHLOROPLASTIC', NULL, NULL, 12330, 15),
(79159, NULL, 'PTHR15094:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79160, NULL, 'PTHR12506:SF65', NULL, NULL, NULL, NULL, 'BNAC03G34690D PROTEIN', NULL, NULL, NULL, 15),
(79161, NULL, 'PTHR35479', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(79162, NULL, 'PTHR24260:SF110', NULL, NULL, NULL, NULL, 'GH19262P', NULL, NULL, NULL, 15),
(79163, NULL, 'PTHR11709:SF413', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(79164, NULL, 'PTHR46993:SF6', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(79165, NULL, 'PTHR24180:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 45', NULL, NULL, NULL, 15),
(79166, NULL, 'PTHR44267:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 43', NULL, NULL, NULL, 15),
(79167, NULL, 'PTHR36549', NULL, NULL, NULL, NULL, 'LYSINE-RICH ARABINOGALACTAN PROTEIN 19', NULL, NULL, 34626, 15),
(79168, NULL, 'PTHR23155:SF1071', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPP13-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(79169, NULL, 'PTHR46976', NULL, NULL, NULL, NULL, 'PROTEIN ARABIDILLO 1', NULL, NULL, 38873, 15),
(79170, NULL, 'PTHR33095:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79171, NULL, 'PTHR44259:SF33', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79172, NULL, 'PTHR18896:SF171', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA', NULL, NULL, NULL, 15),
(79173, NULL, 'PTHR22601:SF82', NULL, NULL, NULL, NULL, 'BNAC03G15000D PROTEIN', NULL, NULL, NULL, 15),
(79174, NULL, 'PTHR26453:SF93', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(79175, NULL, 'PTHR10775:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79176, NULL, 'PTHR10855:SF8', NULL, NULL, NULL, NULL, 'BNAC09G46790D PROTEIN', NULL, NULL, NULL, 15),
(79177, NULL, 'PTHR11206:SF196', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(79178, NULL, 'PTHR45614:SF6', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79179, NULL, 'PTHR11442:SF79', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT ALPHA-3', NULL, NULL, NULL, 15),
(79180, NULL, 'PTHR14319', NULL, NULL, NULL, NULL, 'FIVE-SPAN TRANSMEMBRANE PROTEIN M83', NULL, NULL, 20207, 15),
(79181, NULL, 'PTHR31403:SF44', NULL, NULL, NULL, NULL, 'GALACTOLIPASE DONGLE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(79182, NULL, 'PTHR24064:SF530', NULL, NULL, NULL, NULL, 'GH28654P', NULL, NULL, NULL, 15),
(79183, NULL, 'PTHR45821:SF11', NULL, NULL, NULL, NULL, 'OS02G0650800 PROTEIN', NULL, NULL, NULL, 15),
(79184, NULL, 'PTHR42647:SF47', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 1-LIKE', NULL, NULL, NULL, 15),
(79185, NULL, 'PTHR10656:SF47', NULL, NULL, NULL, NULL, 'PROTEIN MB21D2', NULL, NULL, NULL, 15),
(79186, NULL, 'PTHR11993:SF41', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE SUBUNIT 7', NULL, NULL, NULL, 15),
(79187, NULL, 'PTHR13848:SF66', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(79188, NULL, 'PTHR11496:SF95', NULL, NULL, NULL, NULL, 'PROPANEDIOL UTILIZATION PROPANOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(79189, NULL, 'PTHR27002:SF855', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(79190, NULL, 'PTHR31989:SF283', NULL, NULL, NULL, NULL, 'BNAANNG41940D PROTEIN', NULL, NULL, NULL, 15),
(79191, NULL, 'PTHR47965:SF28', NULL, NULL, NULL, NULL, 'BASIC 7S GLOBULIN', NULL, NULL, NULL, 15),
(79192, NULL, 'PTHR31907:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79193, NULL, 'PTHR36361', NULL, NULL, NULL, NULL, 'PROTEIN APEM9', NULL, NULL, 18842, 15),
(79194, NULL, 'PTHR24073:SF1131', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABJ', NULL, NULL, NULL, 15),
(79195, NULL, 'PTHR11709:SF88', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(79196, NULL, 'PTHR33052:SF159', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(79197, NULL, 'PTHR13817:SF88', NULL, NULL, NULL, NULL, 'CONTACTIN 6', NULL, NULL, NULL, 15),
(79198, NULL, 'PTHR14255:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79199, NULL, 'PTHR11334:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79200, NULL, 'PTHR45934:SF7', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(79201, NULL, 'PTHR31674:SF62', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(79202, NULL, 'PTHR43325', NULL, NULL, NULL, NULL, 'BLR4156 PROTEIN', NULL, NULL, NULL, 15),
(79203, NULL, 'PTHR14374', NULL, NULL, NULL, NULL, 'FOIE GRAS', NULL, NULL, NULL, 15),
(79204, NULL, 'PTHR31190:SF89', NULL, NULL, NULL, NULL, 'OS07G0227600 PROTEIN', NULL, NULL, NULL, 15),
(79205, NULL, 'PTHR44656', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 12', NULL, NULL, NULL, 15),
(79206, NULL, 'PTHR31541:SF47', NULL, NULL, NULL, NULL, 'BNACNNG75730D PROTEIN', NULL, NULL, NULL, 15),
(79207, NULL, 'PTHR22803:SF113', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(79208, NULL, 'PTHR33057:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP12', NULL, NULL, NULL, 15),
(79209, NULL, 'PTHR32044:SF17', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(79210, NULL, 'PTHR12002:SF102', NULL, NULL, NULL, NULL, 'CLAUDIN 34B1-RELATED', NULL, NULL, NULL, 15),
(79211, NULL, 'PTHR33347:SF34', NULL, NULL, NULL, NULL, 'BNAA09G14630D PROTEIN', NULL, NULL, NULL, 15),
(79212, NULL, 'PTHR31282:SF116', NULL, NULL, NULL, NULL, 'WRKY74-SUPERFAMILY OF TFS HAVING WRKY AND ZINC FINGER DOMAINS', NULL, NULL, NULL, 15),
(79213, NULL, 'PTHR37358', NULL, NULL, NULL, NULL, 'MUCIN-20', NULL, NULL, 12, 15),
(79214, NULL, 'PTHR16196:SF0', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR CWC25 HOMOLOG', NULL, NULL, NULL, 15),
(79215, NULL, 'PTHR31948:SF58', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 8', NULL, NULL, NULL, 15),
(79216, NULL, 'PTHR31169:SF8', NULL, NULL, NULL, NULL, 'OS05G0300700 PROTEIN', NULL, NULL, NULL, 15),
(79217, NULL, 'PTHR31876:SF23', NULL, NULL, NULL, NULL, 'PROTEIN LIKE COV 3', NULL, NULL, NULL, 15),
(79218, NULL, 'PTHR33881:SF10', NULL, NULL, NULL, NULL, 'MTN26', NULL, NULL, NULL, 15),
(79219, NULL, 'PTHR24320:SF118', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G14310)', NULL, NULL, NULL, 15),
(79220, NULL, 'PTHR37952', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 7981, 15),
(79221, NULL, 'PTHR31780:SF1', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN NST1', NULL, NULL, NULL, 15),
(79222, NULL, 'PTHR11679:SF30', NULL, NULL, NULL, NULL, 'PROTEIN ROP', NULL, NULL, NULL, 15),
(79223, NULL, 'PTHR35562', NULL, NULL, NULL, NULL, 'DNA ENDONUCLEASE SMRA-RELATED', NULL, NULL, NULL, 15),
(79224, NULL, 'PTHR33122:SF66', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(79225, NULL, 'PTHR31549:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79226, NULL, 'PTHR47956:SF86', NULL, NULL, NULL, NULL, 'PREMNASPIRODIENE OXYGENASE-LIKE', NULL, NULL, NULL, 15),
(79227, NULL, 'PTHR33044:SF12', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN C6', NULL, NULL, NULL, 15),
(79228, NULL, 'PTHR23429:SF10', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(79229, NULL, 'PTHR31867:SF167', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(79230, NULL, 'PTHR12942:SF5', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR SLU7', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79231, NULL, 'PTHR22966:SF38', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 1', NULL, NULL, NULL, 15),
(79232, NULL, 'PTHR11937:SF483', NULL, NULL, NULL, NULL, 'ACTIN-7-RELATED', NULL, NULL, NULL, 15),
(79233, NULL, 'PTHR45974:SF65', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', NULL, NULL, NULL, 15),
(79234, NULL, 'PTHR38429:SF1', NULL, NULL, NULL, NULL, 'SEPTATION PROTEIN SPOVG-RELATED', NULL, NULL, NULL, 15),
(79235, NULL, 'PTHR45686:SF16', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN GCS1', NULL, NULL, NULL, 15),
(79236, NULL, 'PTHR12374:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79237, NULL, 'PTHR31375:SF247', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', NULL, NULL, NULL, 15),
(79238, NULL, 'PTHR12277:SF56', NULL, NULL, NULL, NULL, 'PROTEIN CBG22222', NULL, NULL, NULL, 15),
(79239, NULL, 'PTHR45080:SF8', NULL, NULL, NULL, NULL, 'CONTACTIN 5', NULL, NULL, NULL, 15),
(79240, NULL, 'PTHR31269:SF50', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH4', NULL, NULL, NULL, 15),
(79241, NULL, 'PTHR11538:SF82', NULL, NULL, NULL, NULL, 'OS09G0479400 PROTEIN', NULL, NULL, NULL, 15),
(79242, NULL, 'PTHR40237', NULL, NULL, NULL, NULL, 'LD44813P', NULL, NULL, NULL, 15),
(79243, NULL, 'PTHR47925:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79244, NULL, 'PTHR45763:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79245, NULL, 'PTHR31503:SF49', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', NULL, NULL, NULL, 15),
(79246, NULL, 'PTHR45666:SF39', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(79247, NULL, 'PTHR43895:SF111', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(79248, NULL, 'PTHR31731:SF135', NULL, NULL, NULL, NULL, 'OS02G0662000 PROTEIN', NULL, NULL, NULL, 15),
(79249, NULL, 'PTHR34383:SF1', NULL, NULL, NULL, NULL, 'POLYPHOSPHATE:GDP PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(79250, NULL, 'PTHR36334:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF2358)-RELATED', NULL, NULL, NULL, 15),
(79251, NULL, 'PTHR23505:SF85', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79252, NULL, 'PTHR45613:SF9', NULL, NULL, NULL, NULL, 'OS03G0736200 PROTEIN', NULL, NULL, NULL, 15),
(79253, NULL, 'PTHR13793:SF145', NULL, NULL, NULL, NULL, 'OS02G0768750 PROTEIN', NULL, NULL, NULL, 15),
(79254, NULL, 'PTHR43539:SF56', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(79255, NULL, 'PTHR11938:SF1', NULL, NULL, NULL, NULL, 'FERREDOXIN-DEPENDENT GLUTAMATE SYNTHASE 1, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(79256, NULL, 'PTHR24229:SF51', NULL, NULL, NULL, NULL, 'ALLATOSTATIN C RECEPTOR 1-RELATED', NULL, NULL, NULL, 15),
(79257, NULL, 'PTHR11346:SF102', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(79258, NULL, 'PTHR24103:SF602', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 101', NULL, NULL, NULL, 15),
(79259, NULL, 'PTHR19325:SF518', NULL, NULL, NULL, NULL, 'P-SELECTIN-LIKE', NULL, NULL, NULL, 15),
(79260, NULL, 'PTHR23412:SF15', NULL, NULL, NULL, NULL, 'MESOTHELIN-LIKE PROTEIN', NULL, NULL, 23373, 15),
(79261, NULL, 'PTHR45666:SF20', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 10', NULL, NULL, NULL, 15),
(79262, NULL, 'PTHR10643', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN NDC80', NULL, NULL, 1865, 15),
(79263, NULL, 'PTHR48055:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1', NULL, NULL, NULL, 15),
(79264, NULL, 'PTHR31735', NULL, NULL, NULL, NULL, 'VACUOLAR MEMBRANE PROTEIN YPL162C', NULL, NULL, 21227, 15),
(79265, NULL, 'PTHR24320:SF124', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(79266, NULL, 'PTHR34395:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79267, NULL, 'PTHR43775:SF5', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE (JCVI)-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79268, NULL, 'PTHR10527:SF78', NULL, NULL, NULL, NULL, 'BNAC09G37860D PROTEIN', NULL, NULL, NULL, 15),
(79269, NULL, 'PTHR10472:SF1', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE 2', NULL, NULL, NULL, 15),
(79270, NULL, 'PTHR34203:SF8', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(79271, NULL, 'PTHR32295:SF212', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 12', NULL, NULL, NULL, 15),
(79272, NULL, 'PTHR46001:SF2', NULL, NULL, NULL, NULL, 'TIAM (MAMMALIAN TUMOR INVASION AND METASTASIS FACTOR) HOMOLOG', NULL, NULL, NULL, 15),
(79273, NULL, 'PTHR43767:SF8', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE', NULL, NULL, NULL, 15),
(79274, NULL, 'PTHR47497', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 8', NULL, NULL, NULL, 15),
(79275, NULL, 'PTHR20931:SF5', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 30A1', NULL, NULL, NULL, 15),
(79276, NULL, 'PTHR31568:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79277, NULL, 'PTHR10641:SF1103', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB72', NULL, NULL, NULL, 15),
(79278, NULL, 'PTHR23272:SF135', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 3-LIKE', NULL, NULL, NULL, 15),
(79279, NULL, 'PTHR19328:SF32', NULL, NULL, NULL, NULL, 'HHIP-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(79280, NULL, 'PTHR31225:SF129', NULL, NULL, NULL, NULL, 'BNAC01G41830D PROTEIN', NULL, NULL, NULL, 15),
(79281, NULL, 'PTHR24012:SF466', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(79282, NULL, 'PTHR47977:SF33', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-27B', NULL, NULL, NULL, 15),
(79283, NULL, 'PTHR10795:SF576', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79284, NULL, 'PTHR31190:SF263', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79285, NULL, 'PTHR31669:SF228', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 8', NULL, NULL, NULL, 15),
(79286, NULL, 'PTHR11064:SF143', NULL, NULL, NULL, NULL, 'BNAA06G35340D PROTEIN', NULL, NULL, NULL, 15),
(79287, NULL, 'PTHR31642:SF212', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79288, NULL, 'PTHR16188:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 14A', NULL, NULL, NULL, 15),
(79289, NULL, 'PTHR11388:SF100', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', NULL, NULL, NULL, 15),
(79290, NULL, 'PTHR33451', NULL, NULL, NULL, NULL, 'MALATE-2H(+)/NA(+)-LACTATE ANTIPORTER', NULL, NULL, NULL, 15),
(79291, NULL, 'PTHR43859:SF35', NULL, NULL, NULL, NULL, 'BUTYRATE--COA LIGASE AAE11, PEROXISOMAL-LIKE', NULL, NULL, NULL, 15),
(79292, NULL, 'PTHR33966:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ODR-4 HOMOLOG', NULL, NULL, NULL, 15),
(79293, NULL, 'PTHR31630:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79294, NULL, 'PTHR11176:SF21', NULL, NULL, NULL, NULL, 'OS01G0958500 PROTEIN', NULL, NULL, NULL, 15),
(79295, NULL, 'PTHR10110:SF56', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 5', NULL, NULL, NULL, 15),
(79296, NULL, 'PTHR11439:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79297, NULL, 'PTHR42817', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE GLIT (AFU_ORTHOLOGUE AFUA_6G09740)', NULL, NULL, NULL, 15),
(79298, NULL, 'PTHR33128:SF39', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(79299, NULL, 'PTHR10315:SF104', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(79300, NULL, 'PTHR31321:SF85', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(79301, NULL, 'PTHR10858:SF22', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE II FAMILY PROTEIN', NULL, NULL, NULL, 15),
(79302, NULL, 'PTHR11214:SF110', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(79303, NULL, 'PTHR31808:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79304, NULL, 'PTHR28242:SF30', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 2', NULL, NULL, NULL, 15),
(79305, NULL, 'PTHR45675:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB57', NULL, NULL, NULL, 15),
(79306, NULL, 'PTHR11017:SF267', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(79307, NULL, 'PTHR19441:SF33', NULL, NULL, NULL, NULL, 'ACTIVATED MACROPHAGE/MICROGLIA WAP DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(79308, NULL, 'PTHR35792:SF2', NULL, NULL, NULL, NULL, 'GENERAL STRESS PROTEIN', NULL, NULL, NULL, 15),
(79309, NULL, 'PTHR18861:SF0', NULL, NULL, NULL, NULL, 'BRUCHPILOT, ISOFORM J', NULL, NULL, NULL, 15),
(79310, NULL, 'PTHR47763:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(79311, NULL, 'PTHR10476:SF4', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 2A', NULL, NULL, NULL, 15),
(79312, NULL, 'PTHR47175', NULL, NULL, NULL, NULL, 'LIPASE ATG15-RELATED', NULL, NULL, NULL, 15),
(79313, NULL, 'PTHR24058:SF123', NULL, NULL, NULL, NULL, 'BNAC04G29850D PROTEIN', NULL, NULL, NULL, 15),
(79314, NULL, 'PTHR47208', NULL, NULL, NULL, NULL, 'OS02G0174800 PROTEIN', NULL, NULL, 38749, 15),
(79315, NULL, 'PTHR24369:SF163', NULL, NULL, NULL, NULL, 'MATRIX-REMODELLING-ASSOCIATED 5B', NULL, NULL, NULL, 15),
(79316, NULL, 'PTHR48014:SF9', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE 1-RELATED', NULL, NULL, NULL, 15),
(79317, NULL, 'PTHR34817:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79318, NULL, 'PTHR31953:SF80', NULL, NULL, NULL, NULL, 'BNAA09G10560D PROTEIN', NULL, NULL, NULL, 15),
(79319, NULL, 'PTHR11165:SF103', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 1A', NULL, NULL, NULL, 15),
(79320, NULL, 'PTHR45974:SF150', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 57', NULL, NULL, NULL, 15),
(79321, NULL, 'PTHR11599:SF172', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, NULL, 15),
(79322, NULL, 'PTHR37456:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79323, NULL, 'PTHR12863:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79324, NULL, 'PTHR45934:SF2', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(79325, NULL, 'PTHR15827:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 2-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(79326, NULL, 'PTHR24124:SF11', NULL, NULL, NULL, NULL, 'LP07441P', NULL, NULL, NULL, 15),
(79327, NULL, 'PTHR46451', NULL, NULL, NULL, NULL, 'RAS-RESPONSIVE ELEMENT-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(79328, NULL, 'PTHR11814:SF201', NULL, NULL, NULL, NULL, 'EARLY NODULIN-70', NULL, NULL, NULL, 15),
(79329, NULL, 'PTHR47960:SF15', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 12', NULL, NULL, NULL, 15),
(79330, NULL, 'PTHR24068:SF44', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 D2B-RELATED', NULL, NULL, NULL, 15),
(79331, NULL, 'PTHR31301:SF155', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 36-LIKE', NULL, NULL, NULL, 15),
(79332, NULL, 'PTHR33751', NULL, NULL, NULL, NULL, 'CBB3-TYPE CYTOCHROME C OXIDASE SUBUNIT FIXP', NULL, NULL, NULL, 15),
(79333, NULL, 'PTHR11592:SF49', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 1', NULL, NULL, NULL, 15),
(79334, NULL, 'PTHR31712', NULL, NULL, NULL, NULL, 'DIETARY RESTRICTION OVER EXPRESSED', NULL, NULL, 34405, 15),
(79335, NULL, 'PTHR46521:SF7', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 1-RELATED', NULL, NULL, NULL, 15),
(79336, NULL, 'PTHR31140:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79337, NULL, 'PTHR24240:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79338, NULL, 'PTHR23502:SF35', NULL, NULL, NULL, NULL, 'BICYCLOMYCIN RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(79339, NULL, 'PTHR31681:SF35', NULL, NULL, NULL, NULL, 'POLY(ADP-RIBOSE) POLYMERASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79340, NULL, 'PTHR36741:SF1', NULL, NULL, NULL, NULL, 'OS07G0100500 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79341, NULL, 'PTHR43245', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL POLYMYXIN RESISTANCE PROTEIN ARNA', NULL, NULL, NULL, 15),
(79342, NULL, 'PTHR31846:SF7', NULL, NULL, NULL, NULL, 'CRS1 / YHBY (CRM) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(79343, NULL, 'PTHR13690:SF124', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR POSF21-RELATED', NULL, NULL, NULL, 15),
(79344, NULL, 'PTHR37243', NULL, NULL, NULL, NULL, 'NEGATIVE REGULATOR OF SYSTEMIC ACQUIRED RESISTANCE SNI1', NULL, NULL, 496, 15),
(79345, NULL, 'PTHR40736', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79346, NULL, 'PTHR45964:SF3', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(79347, NULL, 'PTHR14519:SF5', NULL, NULL, NULL, NULL, 'VITAMIN K EPOXIDE REDUCTASE COMPLEX SUBUNIT 1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(79348, NULL, 'PTHR43674:SF4', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN N-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(79349, NULL, 'PTHR13814:SF16', NULL, NULL, NULL, NULL, 'CYSTATIN', NULL, NULL, NULL, 15),
(79350, NULL, 'PTHR19331:SF462', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79351, NULL, 'PTHR30307:SF0', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE:TRNA RIBOSYLTRANSFERASE-ISOMERASE', NULL, NULL, NULL, 15),
(79352, NULL, 'PTHR43711:SF21', NULL, NULL, NULL, NULL, 'HYBRID SENSORY KINASE', NULL, NULL, NULL, 15),
(79353, NULL, 'PTHR47387:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79354, NULL, 'PTHR38743:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO GLYOXYLASE I FAMILY PROTEIN', NULL, NULL, NULL, 15),
(79355, NULL, 'PTHR10153:SF37', NULL, NULL, NULL, NULL, 'SMALL CONDUCTANCE CALCIUM-ACTIVATED POTASSIUM CHANNEL-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(79356, NULL, 'PTHR17097:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 SUBUNIT C1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(79357, NULL, 'PTHR31282:SF125', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 22', NULL, NULL, NULL, 15),
(79358, NULL, 'PTHR45714:SF45', NULL, NULL, NULL, NULL, 'BNAANNG16680D PROTEIN', NULL, NULL, NULL, 15),
(79359, NULL, 'PTHR10928:SF2', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF FUSED HOMOLOG', NULL, NULL, NULL, 15),
(79360, NULL, 'PTHR11772:SF17', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE (EUROFUNG)', NULL, NULL, NULL, 15),
(79361, NULL, 'PTHR20961:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79362, NULL, 'PTHR46038:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79363, NULL, 'PTHR43213:SF4', NULL, NULL, NULL, NULL, '7-METHYL-GTP PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(79364, NULL, 'PTHR46282', NULL, NULL, NULL, NULL, 'LEUCINE-RICH MELANOCYTE DIFFERENTIATION-ASSOCIATED PROTEIN', NULL, NULL, 37224, 15),
(79365, NULL, 'PTHR24412:SF396', NULL, NULL, NULL, NULL, 'INFLUENZA VIRUS NS1A-BINDING PROTEIN', NULL, NULL, NULL, 15),
(79366, NULL, 'PTHR22849:SF147', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(79367, NULL, 'PTHR13931', NULL, NULL, NULL, NULL, 'UBIQUITINATION FACTOR E4', NULL, NULL, 39112, 15),
(79368, NULL, 'PTHR43107:SF20', NULL, NULL, NULL, NULL, 'FATTY ACID TRANSPORTER/ACYL-COA SYNTHETASE (FAT1), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G11360)-RELATED', NULL, NULL, NULL, 15),
(79369, NULL, 'PTHR39112:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79370, NULL, 'PTHR46338:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 8', NULL, NULL, NULL, 15),
(79371, NULL, 'PTHR48019:SF23', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL23', NULL, NULL, NULL, 15),
(79372, NULL, 'PTHR35586', NULL, NULL, NULL, NULL, 'SLL1691 PROTEIN', NULL, NULL, NULL, 15),
(79373, NULL, 'PTHR10031:SF31', NULL, NULL, NULL, NULL, 'ATP SYNTHASE F(0) COMPLEX SUBUNIT C2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(79374, NULL, 'PTHR31282:SF83', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 38-RELATED', NULL, NULL, NULL, 15),
(79375, NULL, 'PTHR22883:SF333', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79376, NULL, 'PTHR11926:SF1147', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 74E1-RELATED', NULL, NULL, NULL, 15),
(79377, NULL, 'PTHR33044:SF144', NULL, NULL, NULL, NULL, 'PROTEIN YLS3-LIKE', NULL, NULL, NULL, 15),
(79378, NULL, 'PTHR31308', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79379, NULL, 'PTHR37191', NULL, NULL, NULL, NULL, 'ZINC FINGER/BTB DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(79380, NULL, 'PTHR31945:SF52', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', NULL, NULL, NULL, 15),
(79381, NULL, 'PTHR13199:SF12', NULL, NULL, NULL, NULL, 'PROTEIN FAM214B', NULL, NULL, NULL, 15),
(79382, NULL, 'PTHR11654:SF59', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.11', NULL, NULL, NULL, 15),
(79383, NULL, 'PTHR43601:SF20', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN YDFQ', NULL, NULL, NULL, 15),
(79384, NULL, 'PTHR32295:SF198', NULL, NULL, NULL, NULL, 'BNAC02G02790D PROTEIN', NULL, NULL, NULL, 15),
(79385, NULL, 'PTHR18863:SF6', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN CONTAINING 170', NULL, NULL, NULL, 15),
(79386, NULL, 'PTHR21659:SF92', NULL, NULL, NULL, NULL, 'SALT AND LOW TEMPERATURE RESPONSE PROTEIN', NULL, NULL, NULL, 15),
(79387, NULL, 'PTHR11654:SF504', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.7', NULL, NULL, NULL, 15),
(79388, NULL, 'PTHR33101:SF33', NULL, NULL, NULL, NULL, 'OS05G0454200 PROTEIN', NULL, NULL, NULL, 15),
(79389, NULL, 'PTHR22999:SF35', NULL, NULL, NULL, NULL, 'PHOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79390, NULL, 'PTHR45663:SF29', NULL, NULL, NULL, NULL, 'BNACNNG16050D PROTEIN', NULL, NULL, NULL, 15),
(79391, NULL, 'PTHR24251:SF21', NULL, NULL, NULL, NULL, 'OVOCHYMASE-1', NULL, NULL, NULL, 15),
(79392, NULL, 'PTHR24064:SF542', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79393, NULL, 'PTHR43789', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 1-RELATED', NULL, NULL, NULL, 15),
(79394, NULL, 'PTHR33775', NULL, NULL, NULL, NULL, 'CARDIAC-ENRICHED FHL2-INTERACTING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79395, NULL, 'PTHR47125:SF2', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(79396, NULL, 'PTHR11690:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79397, NULL, 'PTHR30341', NULL, NULL, NULL, NULL, 'SODIUM ION/PROTON ANTIPORTER NHAA-RELATED', NULL, NULL, 2861, 15),
(79398, NULL, 'PTHR11909:SF409', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 2', NULL, NULL, 28697, 15),
(79399, NULL, 'PTHR10807:SF123', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-3-PHOSPHATASE MYOTUBULARIN-1', NULL, NULL, NULL, 15),
(79400, NULL, 'PTHR31790:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79401, NULL, 'PTHR33377:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79402, NULL, 'PTHR32468:SF81', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 19', NULL, NULL, NULL, 15),
(79403, NULL, 'PTHR16521', NULL, NULL, NULL, NULL, 'TYPE-1 ANGIOTENSIN II RECEPTOR-ASSOCIATED PROTEIN', NULL, NULL, 8444, 15),
(79404, NULL, 'PTHR19424:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79405, NULL, 'PTHR19443:SF18', NULL, NULL, NULL, NULL, 'HEXOKINASE-LIKE 2 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79406, NULL, 'PTHR11629:SF103', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(79407, NULL, 'PTHR33988:SF3', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE TOXIN CHPB-RELATED', NULL, NULL, NULL, 15),
(79408, NULL, 'PTHR45287', NULL, NULL, NULL, NULL, 'OS03G0691500 PROTEIN', NULL, NULL, 29951, 15),
(79409, NULL, 'PTHR13068:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79410, NULL, 'PTHR23189:SF84', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 4', NULL, NULL, NULL, 15),
(79411, NULL, 'PTHR30055:SF159', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YJDC', NULL, NULL, NULL, 15),
(79412, NULL, 'PTHR31223:SF57', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79413, NULL, 'PTHR10795:SF409', NULL, NULL, NULL, NULL, 'OS03G0119300 PROTEIN', NULL, NULL, NULL, 15),
(79414, NULL, 'PTHR31238:SF144', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 2 MEMBER 1', NULL, NULL, NULL, 15),
(79415, NULL, 'PTHR37574:SF1', NULL, NULL, NULL, NULL, 'LIPASE B', NULL, NULL, NULL, 15),
(79416, NULL, 'PTHR35779', NULL, NULL, NULL, NULL, 'PH-RESPONSE REGULATOR PROTEIN PALH/RIM21', NULL, NULL, 11644, 15),
(79417, NULL, 'PTHR11486:SF30', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', NULL, NULL, NULL, 15),
(79418, NULL, 'PTHR11802:SF396', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79419, NULL, 'PTHR15204:SF7', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN DSK2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(79420, NULL, 'PTHR32448:SF82', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 10', NULL, NULL, NULL, 15),
(79421, NULL, 'PTHR46913', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL16', NULL, NULL, 38889, 15),
(79422, NULL, 'PTHR23087:SF25', NULL, NULL, NULL, NULL, 'DRESDEN PROSTATE CARCINOMA PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(79423, NULL, 'PTHR45733:SF8', NULL, NULL, NULL, NULL, 'FORMIN-J', NULL, NULL, NULL, 15),
(79424, NULL, 'PTHR45675:SF69', NULL, NULL, NULL, NULL, 'BNAA10G12770D PROTEIN', NULL, NULL, NULL, 15),
(79425, NULL, 'PTHR28572:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 103', NULL, NULL, NULL, 15),
(79426, NULL, 'PTHR43767:SF1', NULL, NULL, NULL, NULL, 'ACYL--COA LIGASE YDAB-RELATED', NULL, NULL, NULL, 15),
(79427, NULL, 'PTHR47067:SF3', NULL, NULL, NULL, NULL, 'BNAC06G13140D PROTEIN', NULL, NULL, NULL, 15),
(79428, NULL, 'PTHR32011:SF2', NULL, NULL, NULL, NULL, 'OS08G0472400 PROTEIN', NULL, NULL, NULL, 15),
(79429, NULL, 'PTHR16201:SF46', NULL, NULL, NULL, NULL, 'PQ-LOOP PROTEIN/TRANSMEMBRANE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(79430, NULL, 'PTHR33426:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79431, NULL, 'PTHR36191:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79432, NULL, 'PTHR15729:SF11', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 33', NULL, NULL, 18123, 15),
(79433, NULL, 'PTHR30176:SF4', NULL, NULL, NULL, NULL, 'FERREDOXIN-TYPE PROTEIN NAPG', NULL, NULL, NULL, 15),
(79434, NULL, 'PTHR46755:SF3', NULL, NULL, NULL, NULL, 'METHIONINE-R-SULFOXIDE REDUCTASE B1', NULL, NULL, NULL, 15),
(79435, NULL, 'PTHR45930:SF1', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR A2', NULL, NULL, NULL, 15),
(79436, NULL, 'PTHR22883:SF367', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(79437, NULL, 'PTHR31828:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIBETA-LIKE', NULL, NULL, NULL, 15),
(79438, NULL, 'PTHR23102', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 4-RELATED', NULL, NULL, 37908, 15),
(79439, NULL, 'PTHR12236:SF76', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 76BB', NULL, NULL, NULL, 15),
(79440, NULL, 'PTHR31960:SF18', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A14', NULL, NULL, NULL, 15),
(79441, NULL, 'PTHR24241:SF164', NULL, NULL, NULL, NULL, 'PYROGLUTAMYLATED RFAMIDE PEPTIDE RECEPTOR 4', NULL, NULL, NULL, 15),
(79442, NULL, 'PTHR48176', NULL, NULL, NULL, NULL, 'DDRGK DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(79443, NULL, 'PTHR10579:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED CHLORIDE CHANNEL REGULATOR 4', NULL, NULL, NULL, 15),
(79444, NULL, 'PTHR33983:SF1', NULL, NULL, NULL, NULL, 'OS07G0185900 PROTEIN', NULL, NULL, NULL, 15),
(79445, NULL, 'PTHR31235:SF187', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(79446, NULL, 'PTHR33239:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79447, NULL, 'PTHR10502:SF104', NULL, NULL, NULL, NULL, 'ANNEXIN D1', NULL, NULL, NULL, 15),
(79448, NULL, 'PTHR13806:SF43', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79449, NULL, 'PTHR46021', NULL, NULL, NULL, NULL, 'ARF-GAP WITH DUAL PH DOMAIN-CONTAINING PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79450, NULL, 'PTHR21689:SF5', NULL, NULL, NULL, NULL, 'PROTEIN ALWAYS EARLY 1-RELATED', NULL, NULL, 24188, 15),
(79451, NULL, 'PTHR45764:SF11', NULL, NULL, NULL, NULL, 'LIGHT-INDUCIBLE PROTEIN CPRF-2', NULL, NULL, NULL, 15),
(79452, NULL, 'PTHR21646:SF13', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 20', NULL, NULL, NULL, 15),
(79453, NULL, 'PTHR48026:SF13', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEINS A2/B1', NULL, NULL, 4465, 15),
(79454, NULL, 'PTHR43539:SF29', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(79455, NULL, 'PTHR31508:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PITCHFORK', NULL, NULL, NULL, 15),
(79456, NULL, 'PTHR46067:SF2', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, GNAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(79457, NULL, 'PTHR24264:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79458, NULL, 'PTHR46162:SF21', NULL, NULL, NULL, NULL, 'BNAA09G04300D PROTEIN', NULL, NULL, NULL, 15),
(79459, NULL, 'PTHR31210:SF70', NULL, NULL, NULL, NULL, 'BNAA02G13400D PROTEIN', NULL, NULL, NULL, 15),
(79460, NULL, 'PTHR43285:SF3', NULL, NULL, NULL, NULL, 'SLL1634 PROTEIN', NULL, NULL, NULL, 15),
(79461, NULL, 'PTHR12358:SF39', NULL, NULL, NULL, NULL, 'OSJNBB0103I08.5 PROTEIN', NULL, NULL, NULL, 15),
(79462, NULL, 'PTHR31770:SF9', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 19 MEMBER A3, C-C MOTIF CHEMOKINE LIKE', NULL, NULL, NULL, 15),
(79463, NULL, 'PTHR12842:SF4', NULL, NULL, NULL, NULL, 'PROTEIN NOXP20', NULL, NULL, NULL, 15),
(79464, NULL, 'PTHR34289:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF819)-RELATED', NULL, NULL, NULL, 15),
(79465, NULL, 'PTHR33115:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79466, NULL, 'PTHR31111:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79467, NULL, 'PTHR24177:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79468, NULL, 'PTHR24247:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79469, NULL, 'PTHR10658:SF57', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN, BETA,-LIKE', NULL, NULL, NULL, 15),
(79470, NULL, 'PTHR23257:SF861', NULL, NULL, NULL, NULL, 'BNAC07G16600D PROTEIN', NULL, NULL, NULL, 15),
(79471, NULL, 'PTHR21676:SF1', NULL, NULL, NULL, NULL, 'PROTEIN STUM HOMOLOG', NULL, NULL, NULL, 15),
(79472, NULL, 'PTHR31190:SF272', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', NULL, NULL, NULL, 15),
(79473, NULL, 'PTHR43952:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79474, NULL, 'PTHR47926:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79475, NULL, 'PTHR33453:SF14', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(79476, NULL, 'PTHR33448', NULL, NULL, NULL, NULL, 'CHLOROPLAST PROTEIN HCF243-RELATED', NULL, NULL, NULL, 15),
(79477, NULL, 'PTHR35482', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT', NULL, NULL, NULL, 15),
(79478, NULL, 'PTHR13044', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR  ATF  4/5', NULL, NULL, NULL, 15),
(79479, NULL, 'PTHR10366:SF718', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(79480, NULL, 'PTHR45270:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(79481, NULL, 'PTHR13286:SF15', NULL, NULL, NULL, NULL, 'BNAA09G44220D PROTEIN', NULL, NULL, NULL, 15),
(79482, NULL, 'PTHR24377:SF356', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 681', NULL, NULL, NULL, 15),
(79483, NULL, 'PTHR23299:SF45', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1E', NULL, NULL, NULL, 15),
(79484, NULL, 'PTHR11986:SF112', NULL, NULL, NULL, NULL, 'PUTRESCINE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(79485, NULL, 'PTHR15020:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79486, NULL, 'PTHR46055:SF4', NULL, NULL, NULL, NULL, 'CIRCADIAN CLOCK PROTEIN PASD1', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79487, NULL, 'PTHR30183:SF2', NULL, NULL, NULL, NULL, 'IRON UTILIZATION PROTEIN', NULL, NULL, NULL, 15),
(79488, NULL, 'PTHR31585:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79489, NULL, 'PTHR33144:SF16', NULL, NULL, NULL, NULL, 'OS10G0409366 PROTEIN', NULL, NULL, NULL, 15),
(79490, NULL, 'PTHR32227:SF307', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-LIKE', NULL, NULL, NULL, 15),
(79491, NULL, 'PTHR11206:SF173', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(79492, NULL, 'PTHR46079:SF3', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 4A', NULL, NULL, NULL, 15),
(79493, NULL, 'PTHR31008:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79494, NULL, 'PTHR10963:SF27', NULL, NULL, NULL, NULL, 'GLYCOSIDASE CRH1-RELATED', NULL, NULL, NULL, 15),
(79495, NULL, 'PTHR45085:SF3', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(79496, NULL, 'PTHR35755', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79497, NULL, 'PTHR22835:SF502', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79498, NULL, 'PTHR13360', NULL, NULL, NULL, NULL, 'ACTIVATING SIGNAL COINTEGRATOR 1 COMPLEX SUBUNIT 1', NULL, NULL, 10999, 15),
(79499, NULL, 'PTHR11431:SF42', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(79500, NULL, 'PTHR10082:SF36', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-7', NULL, NULL, 9100, 15),
(79501, NULL, 'PTHR19325:SF532', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79502, NULL, 'PTHR21596:SF68', NULL, NULL, NULL, NULL, 'BNAA09G56520D PROTEIN', NULL, NULL, NULL, 15),
(79503, NULL, 'PTHR46740:SF1', NULL, NULL, NULL, NULL, 'DYAD PROTEIN', NULL, NULL, NULL, 15),
(79504, NULL, 'PTHR11581:SF31', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', NULL, NULL, NULL, 15),
(79505, NULL, 'PTHR12236:SF78', NULL, NULL, NULL, NULL, 'PRO-RESILIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(79506, NULL, 'PTHR11785:SF515', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 7 MEMBER 5', NULL, NULL, NULL, 15),
(79507, NULL, 'PTHR31907:SF23', NULL, NULL, NULL, NULL, 'KIROLA-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(79508, NULL, 'PTHR23068:SF25', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE DRM1', NULL, NULL, NULL, 15),
(79509, NULL, 'PTHR37016:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79510, NULL, 'PTHR30506', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(79511, NULL, 'PTHR45624:SF38', NULL, NULL, NULL, NULL, 'BNAA06G40370D PROTEIN', NULL, NULL, NULL, 15),
(79512, NULL, 'PTHR43888:SF7', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN APJ1', NULL, NULL, NULL, 15),
(79513, NULL, 'PTHR24345:SF90', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79514, NULL, 'PTHR18884:SF70', NULL, NULL, NULL, NULL, 'SEPTIN', NULL, NULL, NULL, 15),
(79515, NULL, 'PTHR45776:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E3', NULL, NULL, 19429, 15),
(79516, NULL, 'PTHR11935:SF7', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(79517, NULL, 'PTHR35569:SF6', NULL, NULL, NULL, NULL, 'HYDRATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06270)-RELATED', NULL, NULL, NULL, 15),
(79518, NULL, 'PTHR31072:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79519, NULL, 'PTHR31942:SF90', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(79520, NULL, 'PTHR45876:SF9', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACV', NULL, NULL, NULL, 15),
(79521, NULL, 'PTHR46734:SF5', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR', NULL, NULL, NULL, 15),
(79522, NULL, 'PTHR48002:SF139', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K13', NULL, NULL, NULL, 15),
(79523, NULL, 'PTHR15941', NULL, NULL, NULL, NULL, 'MYOZENIN', NULL, NULL, 8532, 15),
(79524, NULL, 'PTHR46251:SF4', NULL, NULL, NULL, NULL, 'RUN DOMAIN-CONTAINING PROTEIN 3A', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79525, NULL, 'PTHR43400:SF7', NULL, NULL, NULL, NULL, '3-OXOSTEROID 1-DEHYDROGENASE', NULL, NULL, NULL, 15),
(79526, NULL, 'PTHR22930:SF197', NULL, NULL, NULL, NULL, 'HARBINGER TRANSPOSASE-DERIVED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79527, NULL, 'PTHR24072:SF156', NULL, NULL, NULL, NULL, 'RHO-RELATED BTB DOMAIN CONTAINING, ISOFORM B', NULL, NULL, NULL, 15),
(79528, NULL, 'PTHR10315:SF94', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(79529, NULL, 'PTHR46128:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79530, NULL, 'PTHR12276:SF16', NULL, NULL, NULL, NULL, 'EPSIN-3', NULL, NULL, 25740, 15),
(79531, NULL, 'PTHR24068:SF381', NULL, NULL, NULL, NULL, 'BNAA09G30000D PROTEIN', NULL, NULL, NULL, 15),
(79532, NULL, 'PTHR10334:SF389', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', NULL, NULL, NULL, 15),
(79533, NULL, 'PTHR47931:SF2', NULL, NULL, NULL, NULL, 'OS01G0228400 PROTEIN', NULL, NULL, NULL, 15),
(79534, NULL, 'PTHR38736', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79535, NULL, 'PTHR23189:SF91', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15', NULL, NULL, NULL, 15),
(79536, NULL, 'PTHR23036:SF174', NULL, NULL, NULL, NULL, 'INTERLEUKIN 2 RECEPTOR GAMMA COMMON.A-RELATED', NULL, NULL, NULL, 15),
(79537, NULL, 'PTHR48012:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 25', NULL, NULL, NULL, 15),
(79538, NULL, 'PTHR48024:SF33', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING PROTEIN (AFU_ORTHOLOGUE AFUA_8G05260)', NULL, NULL, NULL, 15),
(79539, NULL, 'PTHR46891:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(79540, NULL, 'PTHR24025:SF17', NULL, NULL, NULL, NULL, 'SI:DKEY-30K22.7', NULL, NULL, NULL, 15),
(79541, NULL, 'PTHR38118', NULL, NULL, NULL, NULL, 'ANCHORED CELL WALL PROTEIN 11-RELATED', NULL, NULL, NULL, 15),
(79542, NULL, 'PTHR37494:SF1', NULL, NULL, NULL, NULL, 'HEMAGGLUTININ', NULL, NULL, NULL, 15),
(79543, NULL, 'PTHR32343:SF16', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(79544, NULL, 'PTHR46698:SF4', NULL, NULL, NULL, NULL, 'CROSSVEINLESS 2', NULL, NULL, NULL, 15),
(79545, NULL, 'PTHR43420:SF28', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE N(6'')-ACETYLTRANSFERASE TYPE 1', NULL, NULL, NULL, 15),
(79546, NULL, 'PTHR10091:SF29', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(79547, NULL, 'PTHR24347:SF394', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE 3', NULL, NULL, NULL, 15),
(79548, NULL, 'PTHR11614:SF109', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(79549, NULL, 'PTHR22931', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE DIKINASE-RELATED', NULL, NULL, 10595, 15),
(79550, NULL, 'PTHR46325:SF31', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC7-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(79551, NULL, 'PTHR13234:SF27', NULL, NULL, NULL, NULL, 'GAMMA INTERFERON INDUCIBLE LYSOSOMAL THIOL REDUCTASE', NULL, NULL, NULL, 15),
(79552, NULL, 'PTHR11482:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79553, NULL, 'PTHR38115:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79554, NULL, 'PTHR24092:SF190', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(79555, NULL, 'PTHR22945:SF95', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(79556, NULL, 'PTHR31744:SF92', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 87', NULL, NULL, NULL, 15),
(79557, NULL, 'PTHR14493:SF113', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 24', NULL, NULL, NULL, 15),
(79558, NULL, 'PTHR13826:SF17', NULL, NULL, NULL, NULL, 'TREFOIL FACTOR 2', NULL, NULL, NULL, 15),
(79559, NULL, 'PTHR10122:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5B2', NULL, NULL, NULL, 15),
(79560, NULL, 'PTHR31388:SF141', NULL, NULL, NULL, NULL, 'PEROXIDASE 33-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79561, NULL, 'PTHR11902:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79562, NULL, 'PTHR31018:SF9', NULL, NULL, NULL, NULL, 'CELL WALL PROTEIN PST1, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G10290)-RELATED', NULL, NULL, NULL, 15),
(79563, NULL, 'PTHR10510', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE POLYPEPTIDE 7A', NULL, NULL, 1778, 15),
(79564, NULL, 'PTHR19957:SF34', NULL, NULL, NULL, NULL, 'SYNTAXIN-3', NULL, NULL, 27373, 15),
(79565, NULL, 'PTHR31989:SF348', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79566, NULL, 'PTHR46000:SF5', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(79567, NULL, 'PTHR31794:SF2', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX TRANSPORTER FAMILY PROTEIN (EUROFUNG)', NULL, NULL, NULL, 15),
(79568, NULL, 'PTHR11592:SF98', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(79569, NULL, 'PTHR31648:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79570, NULL, 'PTHR11937:SF37', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(79571, NULL, 'PTHR36720', NULL, NULL, NULL, NULL, 'TAF RNA POLYMERASE I SUBUNIT A', NULL, NULL, NULL, 15),
(79572, NULL, 'PTHR33675:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79573, NULL, 'PTHR12537:SF147', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 12', NULL, NULL, NULL, 15),
(79574, NULL, 'PTHR24372:SF76', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G PROTEIN-COUPLED RECEPTOR 4, ISOFORM C', NULL, NULL, NULL, 15),
(79575, NULL, 'PTHR37449', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79576, NULL, 'PTHR47997:SF9', NULL, NULL, NULL, NULL, 'OS01G0285300 PROTEIN', NULL, NULL, NULL, 15),
(79577, NULL, 'PTHR23406:SF80', NULL, NULL, NULL, NULL, 'GH17657P-RELATED', NULL, NULL, NULL, 15),
(79578, NULL, 'PTHR33149:SF22', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC REACTION CENTRE, L/M-RELATED', NULL, NULL, NULL, 15),
(79579, NULL, 'PTHR22933:SF34', NULL, NULL, NULL, NULL, 'RE15157P', NULL, NULL, NULL, 15),
(79580, NULL, 'PTHR12107:SF12', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-7 SUBUNIT', NULL, NULL, 7975, 15),
(79581, NULL, 'PTHR32278:SF85', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B11-LIKE', NULL, NULL, NULL, 15),
(79582, NULL, 'PTHR23288:SF9', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II ELONGATION FACTOR ELL', NULL, NULL, 26216, 15),
(79583, NULL, 'PTHR14955:SF8', NULL, NULL, NULL, NULL, 'SI:CH211-165G14.1-RELATED', NULL, NULL, NULL, 15),
(79584, NULL, 'PTHR31468:SF8', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(79585, NULL, 'PTHR26451:SF950', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79586, NULL, 'PTHR22743:SF160', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(79587, NULL, 'PTHR11690:SF248', NULL, NULL, NULL, NULL, 'DEGENERIN-LIKE PROTEIN UNC-105', NULL, NULL, NULL, 15),
(79588, NULL, 'PTHR21634:SF9', NULL, NULL, NULL, NULL, 'RE13835P', NULL, NULL, NULL, 15),
(79589, NULL, 'PTHR47758:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS M', NULL, NULL, NULL, 15),
(79590, NULL, 'PTHR45651:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79591, NULL, 'PTHR13832:SF619', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79592, NULL, 'PTHR31589:SF57', NULL, NULL, NULL, NULL, 'BNAA10G05670D PROTEIN', NULL, NULL, NULL, 15),
(79593, NULL, 'PTHR45665:SF30', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79594, NULL, 'PTHR11079:SF179', NULL, NULL, NULL, NULL, 'TRNA(ADENINE(34)) DEAMINASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(79595, NULL, 'PTHR46560:SF3', NULL, NULL, NULL, NULL, 'AGAP006705-PA', NULL, NULL, NULL, 15),
(79596, NULL, 'PTHR45614:SF60', NULL, NULL, NULL, NULL, 'BAS1P', NULL, NULL, NULL, 15),
(79597, NULL, 'PTHR48017:SF78', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 8', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79598, NULL, 'PTHR26374:SF406', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT11-LIKE', NULL, NULL, NULL, 15),
(79599, NULL, 'PTHR31034:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 101', NULL, NULL, NULL, 15),
(79600, NULL, 'PTHR23342:SF4', NULL, NULL, NULL, NULL, 'AMINO-ACID ACETYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(79601, NULL, 'PTHR33929:SF5', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 2-RELATED', NULL, NULL, NULL, 15),
(79602, NULL, 'PTHR21879:SF13', NULL, NULL, NULL, NULL, 'OSIRIS 18', NULL, NULL, NULL, 15),
(79603, NULL, 'PTHR24020', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA', NULL, NULL, NULL, 15),
(79604, NULL, 'PTHR11661:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L11, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(79605, NULL, 'PTHR43163:SF8', NULL, NULL, NULL, NULL, 'D,D-DIPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN DDPB-RELATED', NULL, NULL, NULL, 15),
(79606, NULL, 'PTHR14136:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79607, NULL, 'PTHR23084:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79608, NULL, 'PTHR31789:SF6', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(79609, NULL, 'PTHR31604:SF16', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 3', NULL, NULL, NULL, 15),
(79610, NULL, 'PTHR43539:SF9', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA11-RELATED', NULL, NULL, NULL, 15),
(79611, NULL, 'PTHR43617:SF27', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(79612, NULL, 'PTHR22996', NULL, NULL, NULL, NULL, 'MAHOGUNIN', NULL, NULL, 37392, 15),
(79613, NULL, 'PTHR47991:SF65', NULL, NULL, NULL, NULL, 'HYOSCYAMINE 6-DIOXYGENASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(79614, NULL, 'PTHR15623', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED SERINE-RICH PROTEIN 2-RELATED', NULL, NULL, 13827, 15),
(79615, NULL, 'PTHR11638:SF18', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPB3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(79616, NULL, 'PTHR23115:SF275', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(79617, NULL, 'PTHR45687:SF6', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-7-RELATED', NULL, NULL, NULL, 15),
(79618, NULL, 'PTHR37863', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 196-RELATED', NULL, NULL, NULL, 15),
(79619, NULL, 'PTHR22802:SF391', NULL, NULL, NULL, NULL, 'PROTEIN CBG26386', NULL, NULL, NULL, 15),
(79620, NULL, 'PTHR45624:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG23372', NULL, NULL, NULL, 15),
(79621, NULL, 'PTHR11012:SF8', NULL, NULL, NULL, NULL, 'JUVENILE HORMONE-INDUCIBLE PROTEIN 26', NULL, NULL, NULL, 15),
(79622, NULL, 'PTHR22810', NULL, NULL, NULL, NULL, 'TESTIS DEVELOPMENT PROTEIN NYD-SP26', NULL, NULL, 23486, 15),
(79623, NULL, 'PTHR11920:SF459', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-11', NULL, NULL, NULL, 15),
(79624, NULL, 'PTHR19290:SF149', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR 3', NULL, NULL, NULL, 15),
(79625, NULL, 'PTHR33784:SF17', NULL, NULL, NULL, NULL, 'BNAA05G17640D PROTEIN', NULL, NULL, NULL, 15),
(79626, NULL, 'PTHR43124:SF3', NULL, NULL, NULL, NULL, 'PURINE EFFLUX PUMP PBUE', NULL, NULL, NULL, 15),
(79627, NULL, 'PTHR26453:SF178', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(79628, NULL, 'PTHR45670:SF7', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79629, NULL, 'PTHR13586:SF16', NULL, NULL, NULL, NULL, 'PROTEIN DECAPPING 5-LIKE', NULL, NULL, NULL, 15),
(79630, NULL, 'PTHR23424:SF26', NULL, NULL, NULL, NULL, 'SERUM AMYLOID A PROTEIN', NULL, NULL, NULL, 15),
(79631, NULL, 'PTHR15463:SF2', NULL, NULL, NULL, NULL, 'SYNERGIN GAMMA', NULL, NULL, NULL, 15),
(79632, NULL, 'PTHR18945:SF216', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT ALPHA-3', NULL, NULL, NULL, 15),
(79633, NULL, 'PTHR48008:SF10', NULL, NULL, NULL, NULL, 'OS02G0655800 PROTEIN', NULL, NULL, NULL, 15),
(79634, NULL, 'PTHR33470:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79635, NULL, 'PTHR14899:SF0', NULL, NULL, NULL, NULL, 'G KINASE-ANCHORING PROTEIN 1', NULL, NULL, NULL, 15),
(79636, NULL, 'PTHR14198:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 4 L6 FAMILY MEMBER 18', NULL, NULL, NULL, 15),
(79637, NULL, 'PTHR33388:SF1', NULL, NULL, NULL, NULL, 'OS01G0212500 PROTEIN', NULL, NULL, NULL, 15),
(79638, NULL, 'PTHR24559:SF341', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE HOMOLOG', NULL, NULL, NULL, 15),
(79639, NULL, 'PTHR14614:SF123', NULL, NULL, NULL, NULL, 'OSJNBA0070O11.4 PROTEIN', NULL, NULL, NULL, 15),
(79640, NULL, 'PTHR48007:SF36', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE-LIKE PROTEIN ZAR1', NULL, NULL, NULL, 15),
(79641, NULL, 'PTHR11662:SF134', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORT PROTEIN 4', NULL, NULL, NULL, 15),
(79642, NULL, 'PTHR46187', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE 3', NULL, NULL, 7544, 15),
(79643, NULL, 'PTHR31102:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG17198', NULL, NULL, NULL, 15),
(79644, NULL, 'PTHR11680:SF33', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(79645, NULL, 'PTHR33054', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79646, NULL, 'PTHR11071:SF477', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE B', NULL, NULL, NULL, 15),
(79647, NULL, 'PTHR30486:SF12', NULL, NULL, NULL, NULL, 'TWITCHING MOTILITY PROTEIN', NULL, NULL, NULL, 15),
(79648, NULL, 'PTHR24314:SF20', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79649, NULL, 'PTHR24339:SF58', NULL, NULL, NULL, NULL, 'NOTOCHORD HOMEOBOX', NULL, NULL, NULL, 15),
(79650, NULL, 'PTHR46371:SF17', NULL, NULL, NULL, NULL, 'ION BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, 38400, 15),
(79651, NULL, 'PTHR48047:SF39', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(79652, NULL, 'PTHR12620:SF41', NULL, NULL, NULL, NULL, 'BNAC03G58030D PROTEIN', NULL, NULL, NULL, 15),
(79653, NULL, 'PTHR37761:SF2', NULL, NULL, NULL, NULL, 'OS09G0108400 PROTEIN', NULL, NULL, NULL, 15),
(79654, NULL, 'PTHR10593:SF181', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 2-LIKE', NULL, NULL, NULL, 15),
(79655, NULL, 'PTHR45826:SF7', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79656, NULL, 'PTHR13326:SF19', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79657, NULL, 'PTHR39461', NULL, NULL, NULL, NULL, 'LEA DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_8G04920)', NULL, NULL, NULL, 15),
(79658, NULL, 'PTHR10706:SF150', NULL, NULL, NULL, NULL, 'BNAA09G39300D PROTEIN', NULL, NULL, NULL, 15),
(79659, NULL, 'PTHR46476:SF9', NULL, NULL, NULL, NULL, 'CHITINASE 2-LIKE', NULL, NULL, NULL, 15),
(79660, NULL, 'PTHR45648:SF99', NULL, NULL, NULL, NULL, 'OS02G0740400 PROTEIN', NULL, NULL, NULL, 15),
(79661, NULL, 'PTHR42910:SF1', NULL, NULL, NULL, NULL, 'TRANSPORTER SCO4007-RELATED', NULL, NULL, NULL, 15),
(79662, NULL, 'PTHR18945:SF564', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(79663, NULL, 'PTHR31152:SF6', NULL, NULL, NULL, NULL, 'OS10G0535800 PROTEIN', NULL, NULL, NULL, 15),
(79664, NULL, 'PTHR22923:SF2', NULL, NULL, NULL, NULL, 'CEREBELLIN-3', NULL, NULL, NULL, 15),
(79665, NULL, 'PTHR11205:SF46', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15),
(79666, NULL, 'PTHR32002:SF38', NULL, NULL, NULL, NULL, 'PLANT REGULATOR RWP-RK FAMILY PROTEIN', NULL, NULL, NULL, 15),
(79667, NULL, 'PTHR31660:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79668, NULL, 'PTHR24326:SF530', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX8', NULL, NULL, NULL, 15),
(79669, NULL, 'PTHR31625:SF63', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79670, NULL, 'PTHR31262:SF17', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN', NULL, NULL, NULL, 15),
(79671, NULL, 'PTHR24061:SF526', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79672, NULL, 'PTHR14429:SF24', NULL, NULL, NULL, NULL, 'FIBROSIN-1-RELATED', NULL, NULL, NULL, 15),
(79673, NULL, 'PTHR48002:SF34', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K17', NULL, NULL, NULL, 15),
(79674, NULL, 'PTHR15825:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-FOLD MODIFIER 1', NULL, NULL, NULL, 15),
(79675, NULL, 'PTHR14911:SF19', NULL, NULL, NULL, NULL, 'N2-METHYLGUANOSINE TRNA METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(79676, NULL, 'PTHR46422:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(79677, NULL, 'PTHR11571:SF44', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(79678, NULL, 'PTHR30461:SF2', NULL, NULL, NULL, NULL, 'RESOLVASE HOMOLOG YEFC', NULL, NULL, NULL, 15),
(79679, NULL, 'PTHR12709:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC8', NULL, NULL, NULL, 15),
(79680, NULL, 'PTHR31390:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(79681, NULL, 'PTHR36363:SF1', NULL, NULL, NULL, NULL, 'OS04G0687200 PROTEIN', NULL, NULL, NULL, 15),
(79682, NULL, 'PTHR19876:SF48', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''', NULL, NULL, NULL, 15),
(79683, NULL, 'PTHR31221:SF133', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 3-RELATED', NULL, NULL, NULL, 15),
(79684, NULL, 'PTHR31079:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79685, NULL, 'PTHR23129:SF10', NULL, NULL, NULL, NULL, 'FIT FAMILY PROTEIN YFT2', NULL, NULL, NULL, 15),
(79686, NULL, 'PTHR23113:SF230', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR-LIKE 1', NULL, NULL, NULL, 15),
(79687, NULL, 'PTHR12681:SF12', NULL, NULL, NULL, NULL, 'BNAA09G10160D PROTEIN', NULL, NULL, NULL, 15),
(79688, NULL, 'PTHR22891', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2C', NULL, NULL, NULL, 15),
(79689, NULL, 'PTHR14334', NULL, NULL, NULL, NULL, 'B-CELL ANTIGEN RECEPTOR COMPLEX-ASSOCIATED PROTEIN', NULL, NULL, 33508, 15),
(79690, NULL, 'PTHR13683:SF844', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1', NULL, NULL, NULL, 15),
(79691, NULL, 'PTHR11675:SF23', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINYLTRANSFERASE 4-RELATED', NULL, NULL, NULL, 15),
(79692, NULL, 'PTHR30451:SF9', NULL, NULL, NULL, NULL, 'F1 CAPSULE-ANCHORING PROTEIN', NULL, NULL, NULL, 15),
(79693, NULL, 'PTHR34227:SF6', NULL, NULL, NULL, NULL, 'TAT PROOFREADING CHAPERONE DMSD', NULL, NULL, NULL, 15),
(79694, NULL, 'PTHR31969:SF34', NULL, NULL, NULL, NULL, 'ABA-RESPONSIVE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(79695, NULL, 'PTHR46890:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79696, NULL, 'PTHR46212:SF4', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH 6', NULL, NULL, NULL, 15),
(79697, NULL, 'PTHR11012:SF54', NULL, NULL, NULL, NULL, 'LD10016P', NULL, NULL, NULL, 15),
(79698, NULL, 'PTHR33347:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79699, NULL, 'PTHR32089:SF96', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN PA2652', NULL, NULL, NULL, 15),
(79700, NULL, 'PTHR34449:SF5', NULL, NULL, NULL, NULL, 'RHO-N DOMAIN-CONTAINING PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(79701, NULL, 'PTHR48145:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(79702, NULL, 'PTHR21700:SF16', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN-RELATED', NULL, NULL, NULL, 15),
(79703, NULL, 'PTHR45768:SF51', NULL, NULL, NULL, NULL, 'BNAA07G01830D PROTEIN', NULL, NULL, NULL, 15),
(79704, NULL, 'PTHR15454:SF55', NULL, NULL, NULL, NULL, 'SD03973P', NULL, NULL, NULL, 15),
(79705, NULL, 'PTHR42240', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 3248, 15),
(79706, NULL, 'PTHR22754:SF35', NULL, NULL, NULL, NULL, '10A19I.5', NULL, NULL, NULL, 15),
(79707, NULL, 'PTHR47956:SF42', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D7', NULL, NULL, NULL, 15),
(79708, NULL, 'PTHR11062:SF316', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT12-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79709, NULL, 'PTHR31140:SF80', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(79710, NULL, 'PTHR34782:SF6', NULL, NULL, NULL, NULL, 'BNAA09G27930D PROTEIN', NULL, NULL, NULL, 15),
(79711, NULL, 'PTHR22814:SF292', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 20', NULL, NULL, NULL, 15),
(79712, NULL, 'PTHR11188:SF146', NULL, NULL, NULL, NULL, 'PROTEIN ROD1-RELATED', NULL, NULL, NULL, 15),
(79713, NULL, 'PTHR32153:SF8', NULL, NULL, NULL, NULL, 'OS02G0826000 PROTEIN', NULL, NULL, NULL, 15),
(79714, NULL, 'PTHR43150', NULL, NULL, NULL, NULL, 'HYPERKINETIC, ISOFORM M', NULL, NULL, 7303, 15),
(79715, NULL, 'PTHR33517', NULL, NULL, NULL, NULL, 'PROTEIN FAM170B-RELATED', NULL, NULL, 35645, 15),
(79716, NULL, 'PTHR24256:SF309', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 48', NULL, NULL, NULL, 15),
(79717, NULL, 'PTHR19136:SF81', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR GUANYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(79718, NULL, 'PTHR31346:SF19', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(79719, NULL, 'PTHR31314', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL7-LIKE', NULL, NULL, 36737, 15),
(79720, NULL, 'PTHR23079:SF40', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(79721, NULL, 'PTHR48007:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79722, NULL, 'PTHR44115:SF11', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(79723, NULL, 'PTHR35708:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79724, NULL, 'PTHR27006:SF366', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-1', NULL, NULL, NULL, 15),
(79725, NULL, 'PTHR31503:SF36', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER NCL', NULL, NULL, NULL, 15),
(79726, NULL, 'PTHR24006:SF803', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1-RELATED', NULL, NULL, NULL, 15),
(79727, NULL, 'PTHR12166:SF8', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT SECRETION ACTIVATOR', NULL, NULL, NULL, 15),
(79728, NULL, 'PTHR16266:SF30', NULL, NULL, NULL, NULL, 'PH-INTERACTING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(79729, NULL, 'PTHR13808:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79730, NULL, 'PTHR19211:SF14', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY F MEMBER 1', NULL, NULL, NULL, 15),
(79731, NULL, 'PTHR31595:SF11', NULL, NULL, NULL, NULL, 'ACYL-COA--STEROL O-ACYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(79732, NULL, 'PTHR28087:SF1', NULL, NULL, NULL, NULL, 'ATPASE SYNTHESIS PROTEIN 25, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(79733, NULL, 'PTHR23248:SF25', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(79734, NULL, 'PTHR13246', NULL, NULL, NULL, NULL, 'ENDO BETA N-ACETYLGLUCOSAMINIDASE', NULL, NULL, 27119, 15),
(79735, NULL, 'PTHR10715:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', NULL, NULL, NULL, 15),
(79736, NULL, 'PTHR32254:SF13', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1068)-RELATED', NULL, NULL, NULL, 15),
(79737, NULL, 'PTHR11157:SF28', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(79738, NULL, 'PTHR47965:SF65', NULL, NULL, NULL, NULL, 'ENDOTHIAPEPSIN', NULL, NULL, NULL, 15),
(79739, NULL, 'PTHR31874:SF25', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(79740, NULL, 'PTHR33103:SF56', NULL, NULL, NULL, NULL, 'BNAA05G29220D PROTEIN', NULL, NULL, NULL, 15),
(79741, NULL, 'PTHR43658:SF5', NULL, NULL, NULL, NULL, 'SI:DKEY-238O13.4', NULL, NULL, NULL, 15),
(79742, NULL, 'PTHR46610:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79743, NULL, 'PTHR47906', NULL, NULL, NULL, NULL, 'OSJNBB0050O03.9 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79744, NULL, 'PTHR47979:SF45', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABB1C-LIKE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79745, NULL, 'PTHR47304:SF1', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C8 GAMMA CHAIN', NULL, NULL, NULL, 15),
(79746, NULL, 'PTHR47992:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 63-RELATED', NULL, NULL, NULL, 15),
(79747, NULL, 'PTHR27003:SF346', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA, PROTEIN KINASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79748, NULL, 'PTHR43941:SF3', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 2-2', NULL, NULL, NULL, 15),
(79749, NULL, 'PTHR23226:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS 1', NULL, NULL, NULL, 15),
(79750, NULL, 'PTHR23430:SF304', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(79751, NULL, 'PTHR24421:SF40', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YHCY', NULL, NULL, NULL, 15),
(79752, NULL, 'PTHR34458:SF11', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(79753, NULL, 'PTHR11777:SF8', NULL, NULL, NULL, NULL, 'ALANINE--TRNA LIGASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(79754, NULL, 'PTHR46100:SF4', NULL, NULL, NULL, NULL, 'IMP2''P', NULL, NULL, NULL, 15),
(79755, NULL, 'PTHR44117:SF1', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 88 HOMOLOG', NULL, NULL, NULL, 15),
(79756, NULL, 'PTHR10110:SF169', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15),
(79757, NULL, 'PTHR23070:SF161', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE-RELATED', NULL, NULL, NULL, 15),
(79758, NULL, 'PTHR33908:SF1', NULL, NULL, NULL, NULL, 'BLL5638 PROTEIN', NULL, NULL, NULL, 15),
(79759, NULL, 'PTHR43108:SF9', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-SULFATASE', NULL, NULL, NULL, 15),
(79760, NULL, 'PTHR34048:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79761, NULL, 'PTHR11102:SF153', NULL, NULL, NULL, NULL, 'FUNGAL ZN(2)-CYS(6) BINUCLEAR CLUSTER DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(79762, NULL, 'PTHR11040:SF170', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORT PROTEIN 1', NULL, NULL, NULL, 15),
(79763, NULL, 'PTHR10388:SF60', NULL, NULL, NULL, NULL, 'BNAA03G11670D PROTEIN', NULL, NULL, NULL, 15),
(79764, NULL, 'PTHR31659:SF26', NULL, NULL, NULL, NULL, 'OS02G0689500 PROTEIN', NULL, NULL, NULL, 15),
(79765, NULL, 'PTHR34310:SF5', NULL, NULL, NULL, NULL, 'DUF427 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G02220)', NULL, NULL, NULL, 15),
(79766, NULL, 'PTHR45634:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', NULL, NULL, NULL, 15),
(79767, NULL, 'PTHR31066:SF67', NULL, NULL, NULL, NULL, 'GB|AAD14519.1', NULL, NULL, NULL, 15),
(79768, NULL, 'PTHR20930:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0044K18.2 PROTEIN', NULL, NULL, NULL, 15),
(79769, NULL, 'PTHR44411:SF1', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 6 HOMOLOG', NULL, NULL, NULL, 15),
(79770, NULL, 'PTHR33729:SF5', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(79771, NULL, 'PTHR42908:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79772, NULL, 'PTHR47287:SF9', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(79773, NULL, 'PTHR10168:SF223', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C10', NULL, NULL, NULL, 15),
(79774, NULL, 'PTHR23302:SF18', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(79775, NULL, 'PTHR11461:SF342', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR 28DC', NULL, NULL, NULL, 15),
(79776, NULL, 'PTHR46099:SF4', NULL, NULL, NULL, NULL, 'ENDOTHELIN RECEPTOR B SUBTYPE 2', NULL, NULL, NULL, 15),
(79777, NULL, 'PTHR32241:SF20', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(79778, NULL, 'PTHR32099:SF51', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 38-LIKE', NULL, NULL, NULL, 15),
(79779, NULL, 'PTHR48002:SF3', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(79780, NULL, 'PTHR13343:SF33', NULL, NULL, NULL, NULL, 'BNAC01G32220D PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79781, NULL, 'PTHR33172:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79782, NULL, 'PTHR18896:SF159', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(79783, NULL, 'PTHR48095:SF2', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYLASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(79784, NULL, 'PTHR45614:SF140', NULL, NULL, NULL, NULL, 'BNAA10G27190D PROTEIN', NULL, NULL, NULL, 15),
(79785, NULL, 'PTHR22891:SF142', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 1C', NULL, NULL, NULL, 15),
(79786, NULL, 'PTHR48099:SF7', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL METHYLENETETRAHYDROFOLATE DEHYDROGENASE/CYCLOHYDROLASE 2-RELATED', NULL, NULL, NULL, 15),
(79787, NULL, 'PTHR11950:SF7', NULL, NULL, NULL, NULL, 'RUNT-RELATED TRANSCRIPTION FACTOR 2', NULL, NULL, NULL, 15),
(79788, NULL, 'PTHR48015:SF33', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HIPPO', NULL, NULL, NULL, 15),
(79789, NULL, 'PTHR33148:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79790, NULL, 'PTHR11886:SF62', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(79791, NULL, 'PTHR23065:SF48', NULL, NULL, NULL, NULL, 'FORMIN BINDING PROTEIN 1 LIKE', NULL, NULL, NULL, 15),
(79792, NULL, 'PTHR45876:SF6', NULL, NULL, NULL, NULL, 'SI:CH211-218G4.2', NULL, NULL, NULL, 15),
(79793, NULL, 'PTHR44303:SF2', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 16', NULL, NULL, NULL, 15),
(79794, NULL, 'PTHR23070:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79795, NULL, 'PTHR14379:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(79796, NULL, 'PTHR24559:SF325', NULL, NULL, NULL, NULL, 'CCHC-TYPE INTEGRASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(79797, NULL, 'PTHR47990:SF150', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 1', NULL, NULL, NULL, 15),
(79798, NULL, 'PTHR12297:SF5', NULL, NULL, NULL, NULL, 'HIG1 DOMAIN FAMILY MEMBER 1A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(79799, NULL, 'PTHR27008:SF254', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79800, NULL, 'PTHR31865:SF48', NULL, NULL, NULL, NULL, 'BNAC05G47130D PROTEIN', NULL, NULL, NULL, 15),
(79801, NULL, 'PTHR22948', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(79802, NULL, 'PTHR36616:SF4', NULL, NULL, NULL, NULL, 'BNAC07G32700D PROTEIN', NULL, NULL, NULL, 15),
(79803, NULL, 'PTHR12709:SF8', NULL, NULL, NULL, NULL, 'BNAA10G12180D PROTEIN', NULL, NULL, NULL, 15),
(79804, NULL, 'PTHR31260:SF34', NULL, NULL, NULL, NULL, 'BNAA08G31070D PROTEIN', NULL, NULL, NULL, 15),
(79805, NULL, 'PTHR31642:SF229', NULL, NULL, NULL, NULL, 'OMEGA-HYDROXYPALMITATE O-FERULOYL TRANSFERASE', NULL, NULL, NULL, 15),
(79806, NULL, 'PTHR11599:SF11', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-6', NULL, NULL, NULL, 15),
(79807, NULL, 'PTHR47692', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(79808, NULL, 'PTHR19957:SF249', NULL, NULL, NULL, NULL, 'SYNTAXIN OF PLANTS PROTEIN', NULL, NULL, NULL, 15),
(79809, NULL, 'PTHR10366:SF500', NULL, NULL, NULL, NULL, 'OS09G0491852 PROTEIN', NULL, NULL, NULL, 15),
(79810, NULL, 'PTHR23043:SF8', NULL, NULL, NULL, NULL, 'ENDOTHELIAL PAS DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(79811, NULL, 'PTHR22943:SF35', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(79812, NULL, 'PTHR44329:SF47', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE B-RAF', NULL, NULL, NULL, 15),
(79813, NULL, 'PTHR31829', NULL, NULL, NULL, NULL, 'PYRIDOXAL 5''-PHOSPHATE SYNTHASE SUBUNIT SNZ1-RELATED', NULL, NULL, 4280, 15),
(79814, NULL, 'PTHR28204:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 12', NULL, NULL, NULL, 15),
(79815, NULL, 'PTHR48060:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(79816, NULL, 'PTHR24006:SF664', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79817, NULL, 'PTHR28538', NULL, NULL, NULL, NULL, 'INTEGRAL INNER NUCLEAR MEMBRANE PROTEIN IMA1', NULL, NULL, 38210, 15),
(79818, NULL, 'PTHR45621:SF147', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOPLASMIC KINASE 176', NULL, NULL, NULL, 15),
(79819, NULL, 'PTHR34090', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L52, MITOCHONDRIAL', NULL, NULL, 11647, 15),
(79820, NULL, 'PTHR28041:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L25, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(79821, NULL, 'PTHR11819:SF77', NULL, NULL, NULL, NULL, 'SODIUM/GLUCOSE COTRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(79822, NULL, 'PTHR18896:SF165', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE', NULL, NULL, NULL, 15),
(79823, NULL, 'PTHR22198', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(79824, NULL, 'PTHR33154', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, ARSR FAMILY', NULL, NULL, NULL, 15),
(79825, NULL, 'PTHR15711:SF58', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATING PROTEIN RAP1-GAP', NULL, NULL, NULL, 15),
(79826, NULL, 'PTHR46288:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79827, NULL, 'PTHR12920', NULL, NULL, NULL, NULL, 'RYBP AND YAF2-RELATED', NULL, NULL, 29856, 15),
(79828, NULL, 'PTHR33021:SF321', NULL, NULL, NULL, NULL, 'BNAC09G33320D PROTEIN', NULL, NULL, NULL, 15),
(79829, NULL, 'PTHR22835:SF514', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(79830, NULL, 'PTHR46373:SF20', NULL, NULL, NULL, NULL, 'PROTEIN RKD1-RELATED', NULL, NULL, NULL, 15),
(79831, NULL, 'PTHR47598', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP17-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(79832, NULL, 'PTHR31087:SF86', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 16', NULL, NULL, NULL, 15),
(79833, NULL, 'PTHR11610:SF102', NULL, NULL, NULL, NULL, 'FI22312P1', NULL, NULL, NULL, 15),
(79834, NULL, 'PTHR33509:SF34', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENIS ABUNDANT PROTEIN 41', NULL, NULL, NULL, 15),
(79835, NULL, 'PTHR31602:SF83', NULL, NULL, NULL, NULL, 'BNACNNG50230D PROTEIN', NULL, NULL, NULL, 15),
(79836, NULL, 'PTHR23155:SF1070', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79837, NULL, 'PTHR46351:SF17', NULL, NULL, NULL, NULL, 'OS11G0591800 PROTEIN', NULL, NULL, NULL, 15),
(79838, NULL, 'PTHR12665:SF13', NULL, NULL, NULL, NULL, 'ORM1-LIKE PROTEIN 2', NULL, NULL, 22206, 15),
(79839, NULL, 'PTHR43601:SF16', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(79840, NULL, 'PTHR14795:SF5', NULL, NULL, NULL, NULL, 'CALCINEURIN-RELATED PHOSPHOESTERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(79841, NULL, 'PTHR47958:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79842, NULL, 'PTHR42760:SF97', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01040)-RELATED', NULL, NULL, NULL, 15),
(79843, NULL, 'PTHR14516:SF8', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 1 MEMBER 2', NULL, NULL, NULL, 15),
(79844, NULL, 'PTHR43566', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(79845, NULL, 'PTHR46812', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38476, 15),
(79846, NULL, 'PTHR19422:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79847, NULL, 'PTHR46007:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 12', NULL, NULL, NULL, 15),
(79848, NULL, 'PTHR31639:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79849, NULL, 'PTHR42087:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79850, NULL, 'PTHR24089:SF332', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN SCAMC-2-A', NULL, NULL, NULL, 15),
(79851, NULL, 'PTHR13935:SF108', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH118-LIKE', NULL, NULL, NULL, 15),
(79852, NULL, 'PTHR46283:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH5', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79853, NULL, 'PTHR43301:SF7', NULL, NULL, NULL, NULL, 'ARABINAN ENDO-1,5-ALPHA-L-ARABINOSIDASE C', NULL, NULL, NULL, 15),
(79854, NULL, 'PTHR45751:SF18', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RGLG3', NULL, NULL, NULL, 15),
(79855, NULL, 'PTHR21454:SF12', NULL, NULL, NULL, NULL, 'EXPP1 PROTEIN', NULL, NULL, NULL, 15),
(79856, NULL, 'PTHR48099:SF10', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN FOLD 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(79857, NULL, 'PTHR34778:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79858, NULL, 'PTHR15296:SF1', NULL, NULL, NULL, NULL, 'PDZK1-INTERACTING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(79859, NULL, 'PTHR21060:SF17', NULL, NULL, NULL, NULL, 'PROPIONATE KINASE', NULL, NULL, 14755, 15),
(79860, NULL, 'PTHR31985:SF87', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(79861, NULL, 'PTHR14186:SF15', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 7', NULL, NULL, NULL, 15),
(79862, NULL, 'PTHR34291:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79863, NULL, 'PTHR13301:SF183', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D5', NULL, NULL, NULL, 15),
(79864, NULL, 'PTHR10019:SF12', NULL, NULL, NULL, NULL, 'SWI/SNF CHROMATIN-REMODELING COMPLEX SUBUNIT SNF5', NULL, NULL, NULL, 15),
(79865, NULL, 'PTHR15224:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 5', NULL, NULL, NULL, 15),
(79866, NULL, 'PTHR22100:SF13', NULL, NULL, NULL, NULL, 'WINGS APART-LIKE PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(79867, NULL, 'PTHR13683:SF748', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79868, NULL, 'PTHR20916', NULL, NULL, NULL, NULL, 'CYSTEINE AND GLYCINE-RICH PROTEIN 2 BINDING PROTEIN', NULL, NULL, NULL, 15),
(79869, NULL, 'PTHR15607:SF12', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN 2', NULL, NULL, 15397, 15),
(79870, NULL, 'PTHR31314:SF122', NULL, NULL, NULL, NULL, 'BNAA09G56920D PROTEIN', NULL, NULL, NULL, 15),
(79871, NULL, 'PTHR44757:SF7', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDER', NULL, NULL, NULL, 15),
(79872, NULL, 'PTHR48000:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79873, NULL, 'PTHR24073:SF1001', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB5', NULL, NULL, NULL, 15),
(79874, NULL, 'PTHR11165:SF145', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79875, NULL, 'PTHR14152:SF5', NULL, NULL, NULL, NULL, 'U4/U6.U5 TRI-SNRNP-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(79876, NULL, 'PTHR43364:SF7', NULL, NULL, NULL, NULL, 'DEHYDROGENASE AAD14, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G11250)-RELATED', NULL, NULL, NULL, 15),
(79877, NULL, 'PTHR21312', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR', NULL, NULL, NULL, 15),
(79878, NULL, 'PTHR24248:SF143', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR D4A', NULL, NULL, 1300, 15),
(79879, NULL, 'PTHR38688:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79880, NULL, 'PTHR33127:SF28', NULL, NULL, NULL, NULL, 'CDC68-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79881, NULL, 'PTHR10809:SF42', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 2-1', NULL, NULL, NULL, 15),
(79882, NULL, 'PTHR30404:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE AMIC', NULL, NULL, NULL, 15),
(79883, NULL, 'PTHR24242:SF239', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(79884, NULL, 'PTHR48062:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79885, NULL, 'PTHR31003:SF39', NULL, NULL, NULL, NULL, 'BNAC06G30320D PROTEIN', NULL, NULL, NULL, 15),
(79886, NULL, 'PTHR24015:SF1935', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(79887, NULL, 'PTHR24124:SF8', NULL, NULL, NULL, NULL, 'ZGC:113279', NULL, NULL, NULL, 15),
(79888, NULL, 'PTHR24296:SF193', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79889, NULL, 'PTHR11686:SF61', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLTRANSPEPTIDASE 1-RELATED', NULL, NULL, NULL, 15),
(79890, NULL, 'PTHR45623', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 3-RELATED-RELATED', NULL, NULL, NULL, 15),
(79891, NULL, 'PTHR11339:SF383', NULL, NULL, NULL, NULL, 'HEMOLECTIN, ISOFORM A', NULL, NULL, NULL, 15),
(79892, NULL, 'PTHR11360:SF21', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 6', NULL, NULL, 21555, 15),
(79893, NULL, 'PTHR37540:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR (ACR-2), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79894, NULL, 'PTHR31194:SF104', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF070', NULL, NULL, NULL, 15),
(79895, NULL, 'PTHR33431:SF13', NULL, NULL, NULL, NULL, 'BNACNNG50910D PROTEIN', NULL, NULL, NULL, 15),
(79896, NULL, 'PTHR11468:SF25', NULL, NULL, NULL, NULL, 'MALTODEXTRIN PHOSPHORYLASE', NULL, NULL, NULL, 15),
(79897, NULL, 'PTHR43874:SF59', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(79898, NULL, 'PTHR47298:SF1', NULL, NULL, NULL, NULL, 'OXIDIZED LOW-DENSITY LIPOPROTEIN RECEPTOR 1', NULL, NULL, NULL, 15),
(79899, NULL, 'PTHR26453:SF574', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(79900, NULL, 'PTHR24006:SF653', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 36', NULL, NULL, NULL, 15),
(79901, NULL, 'PTHR19375:SF440', NULL, NULL, NULL, NULL, 'SHOCK PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79902, NULL, 'PTHR12277:SF125', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79903, NULL, 'PTHR23351:SF10', NULL, NULL, NULL, NULL, 'JUN DIMERIZATION PROTEIN 2', NULL, NULL, 22560, 15),
(79904, NULL, 'PTHR33091:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79905, NULL, 'PTHR13987:SF3', NULL, NULL, NULL, NULL, 'PROTEIN BEX4', NULL, NULL, NULL, 15),
(79906, NULL, 'PTHR32166:SF76', NULL, NULL, NULL, NULL, 'HAT DIMERISATION DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(79907, NULL, 'PTHR43475', NULL, NULL, NULL, NULL, 'METHYLTHIORIBOSE-1-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(79908, NULL, 'PTHR31268:SF39', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(79909, NULL, 'PTHR34779:SF8', NULL, NULL, NULL, NULL, 'BNACNNG20750D PROTEIN', NULL, NULL, NULL, 15),
(79910, NULL, 'PTHR47070:SF4', NULL, NULL, NULL, NULL, 'BNAA01G29690D PROTEIN', NULL, NULL, NULL, 15),
(79911, NULL, 'PTHR24416:SF480', NULL, NULL, NULL, NULL, 'PROTEIN CBG05171', NULL, NULL, NULL, 15),
(79912, NULL, 'PTHR32234', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBD', NULL, NULL, NULL, 15),
(79913, NULL, 'PTHR10825:SF29', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP RING FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(79914, NULL, 'PTHR21192', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN E3-3', NULL, NULL, 10745, 15),
(79915, NULL, 'PTHR11208:SF127', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', NULL, NULL, NULL, 15),
(79916, NULL, 'PTHR16092:SF32', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC3-RELATED', NULL, NULL, NULL, 15),
(79917, NULL, 'PTHR27009:SF138', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(79918, NULL, 'PTHR14758:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FAM110C', NULL, NULL, NULL, 15),
(79919, NULL, 'PTHR27007:SF270', NULL, NULL, NULL, NULL, 'OS03G0258000 PROTEIN', NULL, NULL, NULL, 15),
(79920, NULL, 'PTHR24089:SF676', NULL, NULL, NULL, NULL, 'ENVELOPE ADP,ATP CARRIER PROTEIN, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(79921, NULL, 'PTHR31541:SF37', NULL, NULL, NULL, NULL, 'BNAC04G05680D PROTEIN', NULL, NULL, NULL, 15),
(79922, NULL, 'PTHR28645', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 119', NULL, NULL, 27384, 15),
(79923, NULL, 'PTHR14369:SF1', NULL, NULL, NULL, NULL, 'BNAC02G02430D PROTEIN', NULL, NULL, NULL, 15),
(79924, NULL, 'PTHR46329:SF1', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR 2', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79925, NULL, 'PTHR33076:SF129', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2A', NULL, NULL, NULL, 15),
(79926, NULL, 'PTHR22298:SF46', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 15', NULL, NULL, NULL, 15),
(79927, NULL, 'PTHR46512:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(79928, NULL, 'PTHR42861:SF84', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(79929, NULL, 'PTHR36377:SF2', NULL, NULL, NULL, NULL, 'OS11G0107450 PROTEIN', NULL, NULL, NULL, 15),
(79930, NULL, 'PTHR43092:SF9', NULL, NULL, NULL, NULL, 'L-CYSTEINE DESULFHYDRASE, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(79931, NULL, 'PTHR11447:SF16', NULL, NULL, NULL, NULL, 'P53 PROTEIN LONG FORM VARIANT 1', NULL, NULL, NULL, 15),
(79932, NULL, 'PTHR13748:SF46', NULL, NULL, NULL, NULL, 'ZINC-BINDING GTPASE YEIR', NULL, NULL, NULL, 15),
(79933, NULL, 'PTHR48092', NULL, NULL, NULL, NULL, 'KNIRPS-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(79934, NULL, 'PTHR38457:SF1', NULL, NULL, NULL, NULL, 'REGULATOR ABRB-RELATED', NULL, NULL, NULL, 15),
(79935, NULL, 'PTHR24281:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79936, NULL, 'PTHR45669:SF50', NULL, NULL, NULL, NULL, 'BNAC04G47590D PROTEIN', NULL, NULL, NULL, 15),
(79937, NULL, 'PTHR11339:SF261', NULL, NULL, NULL, NULL, 'MUCIN-2', NULL, NULL, 26315, 15),
(79938, NULL, 'PTHR40387:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM240B', NULL, NULL, NULL, 15),
(79939, NULL, 'PTHR43952:SF12', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 6', NULL, NULL, NULL, 15),
(79940, NULL, 'PTHR35710', NULL, NULL, NULL, NULL, 'OBP3-RESPONSIVE PROTEIN 4 (ORG4)', NULL, NULL, NULL, 15),
(79941, NULL, 'PTHR36694:SF6', NULL, NULL, NULL, NULL, 'PASIFLORA 1, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(79942, NULL, 'PTHR31683:SF33', NULL, NULL, NULL, NULL, 'PECTATE LYASE 21-RELATED', NULL, NULL, NULL, 15),
(79943, NULL, 'PTHR45687:SF50', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-2-RELATED', NULL, NULL, NULL, 15),
(79944, NULL, 'PTHR10177:SF487', NULL, NULL, NULL, NULL, 'CYCLIN-A2-3', NULL, NULL, NULL, 15),
(79945, NULL, 'PTHR33083:SF58', NULL, NULL, NULL, NULL, 'BNAC08G41900D PROTEIN', NULL, NULL, NULL, 15),
(79946, NULL, 'PTHR27002:SF454', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79947, NULL, 'PTHR10529:SF359', NULL, NULL, NULL, NULL, 'COMPLEX SUBUNIT MU-1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79948, NULL, 'PTHR11258:SF17', NULL, NULL, NULL, NULL, '2''-5'' OLIGOADENYLATE SYNTHETASE 1E-RELATED', NULL, NULL, NULL, 15),
(79949, NULL, 'PTHR19957:SF333', NULL, NULL, NULL, NULL, 'T-SNARE-RELATED', NULL, NULL, NULL, 15),
(79950, NULL, 'PTHR34861', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79951, NULL, 'PTHR34574:SF7', NULL, NULL, NULL, NULL, 'KDA EF-HAND CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(79952, NULL, 'PTHR43808:SF9', NULL, NULL, NULL, NULL, 'BLL0789 PROTEIN', NULL, NULL, NULL, 15),
(79953, NULL, 'PTHR22595:SF147', NULL, NULL, NULL, NULL, 'ENDOCHITINASE EP3-LIKE', NULL, NULL, NULL, 15),
(79954, NULL, 'PTHR10791:SF177', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(79955, NULL, 'PTHR31384:SF126', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(79956, NULL, 'PTHR11945:SF570', NULL, NULL, NULL, NULL, 'OS02G0164450 PROTEIN', NULL, NULL, NULL, 15),
(79957, NULL, 'PTHR27002:SF452', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 40-RELATED', NULL, NULL, NULL, 15),
(79958, NULL, 'PTHR10747:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR COE2', NULL, NULL, NULL, 15),
(79959, NULL, 'PTHR46344:SF15', NULL, NULL, NULL, NULL, 'BNAC03G70400D PROTEIN', NULL, NULL, NULL, 15),
(79960, NULL, 'PTHR47939:SF1', NULL, NULL, NULL, NULL, 'OS04G0684500 PROTEIN', NULL, NULL, NULL, 15),
(79961, NULL, 'PTHR32309:SF26', NULL, NULL, NULL, NULL, 'CAPSULAR EXOPOLYSACCHARIDE FAMILY', NULL, NULL, NULL, 15),
(79962, NULL, 'PTHR12961', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX COMPONENT 2', NULL, NULL, 14563, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(79963, NULL, 'PTHR31155:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79964, NULL, 'PTHR43874:SF126', NULL, NULL, NULL, NULL, 'BNAANNG26230D PROTEIN', NULL, NULL, NULL, 15),
(79965, NULL, 'PTHR43591:SF72', NULL, NULL, NULL, NULL, 'CYCLOPROPANE-FATTY-ACYL-PHOSPHOLIPID SYNTHASE', NULL, NULL, NULL, 15),
(79966, NULL, 'PTHR33735:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(79967, NULL, 'PTHR22770:SF43', NULL, NULL, NULL, NULL, 'SHARPIN', NULL, NULL, 28227, 15),
(79968, NULL, 'PTHR15117:SF24', NULL, NULL, NULL, NULL, 'AGAP006621-PA', NULL, NULL, NULL, 15),
(79969, NULL, 'PTHR42810:SF4', NULL, NULL, NULL, NULL, 'URIC ACID TRANSPORTER UACT', NULL, NULL, NULL, 15),
(79970, NULL, 'PTHR10662:SF15', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR 2', NULL, NULL, 27189, 15),
(79971, NULL, 'PTHR45801:SF47', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2 TYPE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(79972, NULL, 'PTHR43030', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE SYNTHASE', NULL, NULL, 4906, 15),
(79973, NULL, 'PTHR21470:SF14', NULL, NULL, NULL, NULL, 'RAB6-INTERACTING GOLGIN-RELATED', NULL, NULL, NULL, 15),
(79974, NULL, 'PTHR12741:SF71', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 48-RELATED', NULL, NULL, NULL, 15),
(79975, NULL, 'PTHR45811:SF48', NULL, NULL, NULL, NULL, 'BNAC09G28800D PROTEIN', NULL, NULL, NULL, 15),
(79976, NULL, 'PTHR31625:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79977, NULL, 'PTHR12411:SF406', NULL, NULL, NULL, NULL, 'CATHEPSIN Z', NULL, NULL, NULL, 15),
(79978, NULL, 'PTHR18914:SF24', NULL, NULL, NULL, NULL, 'CATENIN ALPHA-1', NULL, NULL, 23065, 15),
(79979, NULL, 'PTHR21294:SF17', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN SUBUNIT YDIQ-RELATED', NULL, NULL, NULL, 15),
(79980, NULL, 'PTHR33052:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79981, NULL, 'PTHR34125:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79982, NULL, 'PTHR19375:SF364', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79983, NULL, 'PTHR38225', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79984, NULL, 'PTHR33738:SF15', NULL, NULL, NULL, NULL, 'BNAA02G07210D PROTEIN', NULL, NULL, NULL, 15),
(79985, NULL, 'PTHR47928:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79986, NULL, 'PTHR12755:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79987, NULL, 'PTHR19302:SF60', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT', NULL, NULL, NULL, 15),
(79988, NULL, 'PTHR20835:SF5', NULL, NULL, NULL, NULL, 'BNAA05G11590D PROTEIN', NULL, NULL, NULL, 15),
(79989, NULL, 'PTHR23253:SF62', NULL, NULL, NULL, NULL, 'MIF4G DOMAIN-CONTAINING PROTEIN / MA3 DOMAIN-CONTAINING PROTEIN ISOFORM 2', NULL, NULL, NULL, 15),
(79990, NULL, 'PTHR33935:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79991, NULL, 'PTHR31429:SF75', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 40-RELATED', NULL, NULL, NULL, 15),
(79992, NULL, 'PTHR24248:SF116', NULL, NULL, NULL, NULL, 'ADRENOCEPTOR BETA 2, SURFACE A', NULL, NULL, NULL, 15),
(79993, NULL, 'PTHR24559:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(79994, NULL, 'PTHR11863:SF114', NULL, NULL, NULL, NULL, 'STEROL DELTA 5,6-DESATURASE ERG3 (AFU_ORTHOLOGUE AFUA_6G05140)', NULL, NULL, NULL, 15),
(79995, NULL, 'PTHR31836:SF3', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN 8-RELATED', NULL, NULL, NULL, 15),
(79996, NULL, 'PTHR35084', NULL, NULL, NULL, NULL, 'TCF3 FUSION PARTNER', NULL, NULL, 31781, 15),
(79997, NULL, 'PTHR45696:SF6', NULL, NULL, NULL, NULL, 'ACIDIC RIBOSOMAL PROTEIN P2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(79998, NULL, 'PTHR24320:SF214', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(79999, NULL, 'PTHR34145:SF41', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80000, NULL, 'PTHR33565:SF1', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN HOMOLOG 3', NULL, NULL, NULL, 15),
(80001, NULL, 'PTHR31140:SF82', NULL, NULL, NULL, NULL, 'BNAC03G72370D PROTEIN', NULL, NULL, NULL, 15),
(80002, NULL, 'PTHR31928:SF16', NULL, NULL, NULL, NULL, 'OS09G0516700 PROTEIN', NULL, NULL, NULL, 15),
(80003, NULL, 'PTHR24015:SF742', NULL, NULL, NULL, NULL, 'OS05G0112900 PROTEIN', NULL, NULL, NULL, 15),
(80004, NULL, 'PTHR14369:SF0', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 6', NULL, NULL, NULL, 15),
(80005, NULL, 'PTHR31989:SF304', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80006, NULL, 'PTHR31339:SF76', NULL, NULL, NULL, NULL, 'BNAA09G39690D PROTEIN', NULL, NULL, NULL, 15),
(80007, NULL, 'PTHR31375:SF238', NULL, NULL, NULL, NULL, 'BNAC03G35610D PROTEIN', NULL, NULL, NULL, 15),
(80008, NULL, 'PTHR44329:SF200', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', NULL, NULL, NULL, 15),
(80009, NULL, 'PTHR10677:SF25', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(80010, NULL, 'PTHR47997:SF37', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(80011, NULL, 'PTHR45739:SF1', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN FRAS1', NULL, NULL, NULL, 15),
(80012, NULL, 'PTHR31769:SF83', NULL, NULL, NULL, NULL, 'OS07G0545100 PROTEIN', NULL, NULL, NULL, 15),
(80013, NULL, 'PTHR11165:SF141', NULL, NULL, NULL, NULL, 'BNACNNG20980D PROTEIN', NULL, NULL, NULL, 15),
(80014, NULL, 'PTHR11636:SF41', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 4, TRANSCRIPTION FACTOR 2', NULL, NULL, NULL, 15),
(80015, NULL, 'PTHR45931:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RLIM', NULL, NULL, NULL, 15),
(80016, NULL, 'PTHR26453:SF633', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(80017, NULL, 'PTHR33593:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80018, NULL, 'PTHR40083:SF1', NULL, NULL, NULL, NULL, 'UPF0122 PROTEIN CBO2450/CLC_2298', NULL, NULL, NULL, 15),
(80019, NULL, 'PTHR13318:SF77', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(80020, NULL, 'PTHR11461:SF112', NULL, NULL, NULL, NULL, 'SERPIN', NULL, NULL, NULL, 15),
(80021, NULL, 'PTHR43213:SF13', NULL, NULL, NULL, NULL, 'BNAC07G16670D PROTEIN', NULL, NULL, NULL, 15),
(80022, NULL, 'PTHR31092:SF2', NULL, NULL, NULL, NULL, 'SORORIN', NULL, NULL, NULL, 15),
(80023, NULL, 'PTHR33476:SF21', NULL, NULL, NULL, NULL, 'PROTEIN POLAR-LIKE 1', NULL, NULL, NULL, 15),
(80024, NULL, 'PTHR28250', NULL, NULL, NULL, NULL, 'CYTOCHROME B PRE-MRNA-PROCESSING PROTEIN 6', NULL, NULL, 33601, 15),
(80025, NULL, 'PTHR47966:SF49', NULL, NULL, NULL, NULL, 'PEPSIN A-5', NULL, NULL, NULL, 15),
(80026, NULL, 'PTHR27002:SF748', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(80027, NULL, 'PTHR43330:SF17', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(80028, NULL, 'PTHR31009:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80029, NULL, 'PTHR24342:SF17', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE 1', NULL, NULL, 20411, 15),
(80030, NULL, 'PTHR45649:SF23', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(80031, NULL, 'PTHR10997:SF58', NULL, NULL, NULL, NULL, 'IMPORTIN BETA-LIKE SAD2', NULL, NULL, NULL, 15),
(80032, NULL, 'PTHR43811:SF45', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(80033, NULL, 'PTHR43625:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80034, NULL, 'PTHR45721:SF5', NULL, NULL, NULL, NULL, 'PRELAMIN-A/C', NULL, NULL, NULL, 15),
(80035, NULL, 'PTHR39671', NULL, NULL, NULL, NULL, 'COMPLEX PROTEIN NUCLEASE, PUTATIVE KREPB1-RELATED-RELATED', NULL, NULL, NULL, 15),
(80036, NULL, 'PTHR30349:SF72', NULL, NULL, NULL, NULL, 'TYROSINE RECOMBINASE XERC', NULL, NULL, NULL, 15),
(80037, NULL, 'PTHR42881:SF5', NULL, NULL, NULL, NULL, 'PROLYL OLIGOPEPTIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80038, NULL, 'PTHR23068:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80039, NULL, 'PTHR11909:SF80', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE K06H7.1-RELATED', NULL, NULL, NULL, 15),
(80040, NULL, 'PTHR23273:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80041, NULL, 'PTHR27006:SF256', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(80042, NULL, 'PTHR44917:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HIGH CHLOROPHYLL FLUORESCENT 107', NULL, NULL, NULL, 15),
(80043, NULL, 'PTHR10902:SF25', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35A-3-LIKE', NULL, NULL, NULL, 15),
(80044, NULL, 'PTHR33641:SF16', NULL, NULL, NULL, NULL, 'AVR9/CF-9 RAPIDLY ELICITED PROTEIN', NULL, NULL, NULL, 15),
(80045, NULL, 'PTHR26452:SF58', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5W2', NULL, NULL, NULL, 15),
(80046, NULL, 'PTHR31748:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(80047, NULL, 'PTHR37713:SF1', NULL, NULL, NULL, NULL, 'OS05G0176600 PROTEIN', NULL, NULL, NULL, 15),
(80048, NULL, 'PTHR12653:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(80049, NULL, 'PTHR27006:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80050, NULL, 'PTHR33671:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80051, NULL, 'PTHR47035', NULL, NULL, NULL, NULL, 'OS11G0150450 PROTEIN', NULL, NULL, NULL, 15),
(80052, NULL, 'PTHR11028:SF3', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT D 1', NULL, NULL, NULL, 15),
(80053, NULL, 'PTHR46890', NULL, NULL, NULL, NULL, 'NON-LTR RETROLELEMENT REVERSE TRANSCRIPTASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80054, NULL, 'PTHR37193:SF1', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYL-GLYCOPROTEIN 2-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(80055, NULL, 'PTHR31985:SF213', NULL, NULL, NULL, NULL, 'BNAC09G50850D PROTEIN', NULL, NULL, NULL, 15),
(80056, NULL, 'PTHR10291:SF22', NULL, NULL, NULL, NULL, 'DIMETHYLALLYLCISTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(80057, NULL, 'PTHR45878:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP3-LIKE', NULL, NULL, NULL, 15),
(80058, NULL, 'PTHR30069:SF43', NULL, NULL, NULL, NULL, 'OAR PROTEIN', NULL, NULL, NULL, 15),
(80059, NULL, 'PTHR43344', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE', NULL, NULL, NULL, 15),
(80060, NULL, 'PTHR13486', NULL, NULL, NULL, NULL, 'TELOMERE LENGTH AND SILENCING PROTEIN 1 TLS1 FAMILY MEMBER', NULL, NULL, 10125, 15),
(80061, NULL, 'PTHR31225:SF151', NULL, NULL, NULL, NULL, '(+)-GAMMA-CADINENE SYNTHASE', NULL, NULL, NULL, 15),
(80062, NULL, 'PTHR23310:SF100', NULL, NULL, NULL, NULL, 'MEMBRANE ASSOCIATED ACYL-COA BINDING PROTEIN', NULL, NULL, NULL, 15),
(80063, NULL, 'PTHR47985:SF45', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL22-RELATED', NULL, NULL, NULL, 15),
(80064, NULL, 'PTHR24393:SF100', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 597', NULL, NULL, NULL, 15),
(80065, NULL, 'PTHR10430:SF34', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-2F, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(80066, NULL, 'PTHR31568:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80067, NULL, 'PTHR37875', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC685964', NULL, NULL, 35022, 15),
(80068, NULL, 'PTHR34998:SF2', NULL, NULL, NULL, NULL, 'OS04G0357400 PROTEIN', NULL, NULL, NULL, 15),
(80069, NULL, 'PTHR31704', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, 38070, 15),
(80070, NULL, 'PTHR13683:SF292', NULL, NULL, NULL, NULL, 'GASTRICSIN', NULL, NULL, 30699, 15),
(80071, NULL, 'PTHR23198:SF22', NULL, NULL, NULL, NULL, 'BNAC05G07920D PROTEIN', NULL, NULL, NULL, 15),
(80072, NULL, 'PTHR47692:SF2', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(80073, NULL, 'PTHR45864:SF6', NULL, NULL, NULL, NULL, 'SLINGSHOT PROTEIN PHOSPHATASE 2B', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80074, NULL, 'PTHR18860:SF99', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 CHI-RELATED', NULL, NULL, NULL, 15),
(80075, NULL, 'PTHR31001:SF45', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(80076, NULL, 'PTHR19282:SF453', NULL, NULL, NULL, NULL, 'TETRASPANIN-20', NULL, NULL, NULL, 15),
(80077, NULL, 'PTHR47926:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80078, NULL, 'PTHR36488:SF6', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1U4', NULL, NULL, NULL, 15),
(80079, NULL, 'PTHR32071:SF35', NULL, NULL, NULL, NULL, 'ANAEROBIC NITRIC OXIDE REDUCTASE TRANSCRIPTION REGULATOR NORR', NULL, NULL, NULL, 15),
(80080, NULL, 'PTHR22920:SF23', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN 10/36/56/76', NULL, NULL, NULL, 15),
(80081, NULL, 'PTHR22765:SF183', NULL, NULL, NULL, NULL, 'ERAD-ASSOCIATED E3 UBIQUITIN-PROTEIN LIGASE HRD1', NULL, NULL, NULL, 15),
(80082, NULL, 'PTHR45807:SF3', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE JAK3', NULL, NULL, NULL, 15),
(80083, NULL, 'PTHR13318:SF50', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 7', NULL, NULL, NULL, 15),
(80084, NULL, 'PTHR11860:SF94', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 1', NULL, NULL, NULL, 15),
(80085, NULL, 'PTHR33021:SF381', NULL, NULL, NULL, NULL, 'BNAC03G47040D PROTEIN', NULL, NULL, NULL, 15),
(80086, NULL, 'PTHR33133:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80087, NULL, 'PTHR24056:SF419', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE', NULL, NULL, NULL, 15),
(80088, NULL, 'PTHR15506:SF1', NULL, NULL, NULL, NULL, 'MAJOR PRION PROTEIN', NULL, NULL, NULL, 15),
(80089, NULL, 'PTHR24212:SF7', NULL, NULL, NULL, NULL, 'THYROID RECEPTOR-INTERACTING PROTEIN 6', NULL, NULL, NULL, 15),
(80090, NULL, 'PTHR44329:SF155', NULL, NULL, NULL, NULL, 'BNAA07G02330D PROTEIN', NULL, NULL, NULL, 15),
(80091, NULL, 'PTHR13593:SF48', NULL, NULL, NULL, NULL, 'OSJNBA0039K24.18 PROTEIN', NULL, NULL, NULL, 15),
(80092, NULL, 'PTHR21461:SF0', NULL, NULL, NULL, NULL, 'EG:BACR42I17.3 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80093, NULL, 'PTHR12276:SF98', NULL, NULL, NULL, NULL, 'BNAC04G02770D PROTEIN', NULL, NULL, NULL, 15),
(80094, NULL, 'PTHR11736:SF51', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 3 HOMOLOG', NULL, NULL, NULL, 15),
(80095, NULL, 'PTHR23105:SF168', NULL, NULL, NULL, NULL, 'BNAA03G47020D PROTEIN', NULL, NULL, NULL, 15),
(80096, NULL, 'PTHR10543:SF43', NULL, NULL, NULL, NULL, 'ALL-TRANS-RETINYL ESTER 13-CIS ISOMEROHYDROLASE-RELATED', NULL, NULL, NULL, 15),
(80097, NULL, 'PTHR11949:SF26', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 9', NULL, NULL, NULL, 15),
(80098, NULL, 'PTHR31137:SF31', NULL, NULL, NULL, NULL, 'PROTEIN PSIH-RELATED', NULL, NULL, NULL, 15),
(80099, NULL, 'PTHR37964:SF1', NULL, NULL, NULL, NULL, 'SUPPRESSOR', NULL, NULL, NULL, 15),
(80100, NULL, 'PTHR12863:SF15', NULL, NULL, NULL, NULL, 'FATTY ACID 2-HYDROXYLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(80101, NULL, 'PTHR13800:SF2', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 2', NULL, NULL, 28943, 15),
(80102, NULL, 'PTHR32133:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80103, NULL, 'PTHR11073:SF34', NULL, NULL, NULL, NULL, 'CALRETICULIN 3B', NULL, NULL, NULL, 15),
(80104, NULL, 'PTHR11675:SF28', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 9', NULL, NULL, NULL, 15),
(80105, NULL, 'PTHR43795:SF6', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 6', NULL, NULL, NULL, 15),
(80106, NULL, 'PTHR22133', NULL, NULL, NULL, NULL, 'AT01821P-RELATED', NULL, NULL, NULL, 15),
(80107, NULL, 'PTHR31232:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80108, NULL, 'PTHR45675:SF64', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80109, NULL, 'PTHR11034:SF19', NULL, NULL, NULL, NULL, 'GH09802P', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80110, NULL, 'PTHR19932', NULL, NULL, NULL, NULL, 'WD REPEAT AND HMG-BOX DNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(80111, NULL, 'PTHR45621:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80112, NULL, 'PTHR11431:SF107', NULL, NULL, NULL, NULL, 'FERRITIN-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(80113, NULL, 'PTHR48185:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80114, NULL, 'PTHR10641:SF1258', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39', NULL, NULL, NULL, 15),
(80115, NULL, 'PTHR11461:SF122', NULL, NULL, NULL, NULL, 'MCG54087-RELATED', NULL, NULL, NULL, 15),
(80116, NULL, 'PTHR11875:SF109', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 12 ISOFORM X1', NULL, NULL, NULL, 15),
(80117, NULL, 'PTHR47993:SF130', NULL, NULL, NULL, NULL, 'OS02G0474000 PROTEIN', NULL, NULL, NULL, 15),
(80118, NULL, 'PTHR47986:SF6', NULL, NULL, NULL, NULL, 'TRANSFERASE, PROTEIN KINASE RLK-PELLE-LRR-IX FAMILY-RELATED', NULL, NULL, NULL, 15),
(80119, NULL, 'PTHR23262:SF25', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-4-RELATED', NULL, NULL, NULL, 15),
(80120, NULL, 'PTHR43712:SF11', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE (AFU_ORTHOLOGUE AFUA_2G17820)', NULL, NULL, NULL, 15),
(80121, NULL, 'PTHR33734:SF13', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING GPI-ANCHORED PROTEIN 1', NULL, NULL, NULL, 15),
(80122, NULL, 'PTHR31717:SF9', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(80123, NULL, 'PTHR45719:SF14', NULL, NULL, NULL, NULL, 'OS01G0121800 PROTEIN', NULL, NULL, NULL, 15),
(80124, NULL, 'PTHR43594:SF1', NULL, NULL, NULL, NULL, 'QUERCETIN 2,3-DIOXYGENASE PA2418-RELATED', NULL, NULL, NULL, 15),
(80125, NULL, 'PTHR45631:SF57', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE PAM74-RELATED', NULL, NULL, NULL, 15),
(80126, NULL, 'PTHR41399', NULL, NULL, NULL, NULL, 'C12ORF74 ISOFORM 1', NULL, NULL, NULL, 15),
(80127, NULL, 'PTHR43076', NULL, NULL, NULL, NULL, 'FO SYNTHASE (COFH)', NULL, NULL, 33400, 15),
(80128, NULL, 'PTHR46080:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(80129, NULL, 'PTHR45809:SF1', NULL, NULL, NULL, NULL, 'PHOSDUCIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(80130, NULL, 'PTHR43654', NULL, NULL, NULL, NULL, 'GLUTAMATE 5-KINASE', NULL, NULL, NULL, 15),
(80131, NULL, 'PTHR19282:SF39', NULL, NULL, NULL, NULL, 'LEUKOCYTE SURFACE ANTIGEN CD53', NULL, NULL, NULL, 15),
(80132, NULL, 'PTHR24356:SF359', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(80133, NULL, 'PTHR45772:SF4', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(80134, NULL, 'PTHR11616:SF249', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(80135, NULL, 'PTHR19241:SF622', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(80136, NULL, 'PTHR48104:SF24', NULL, NULL, NULL, NULL, 'ICE-LIKE PROTEASE P20 DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(80137, NULL, 'PTHR31354:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80138, NULL, 'PTHR35546:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80139, NULL, 'PTHR19317:SF39', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN F1', NULL, NULL, NULL, 15),
(80140, NULL, 'PTHR24212', NULL, NULL, NULL, NULL, 'ZYXIN/TRIP6', NULL, NULL, NULL, 15),
(80141, NULL, 'PTHR10378:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80142, NULL, 'PTHR44699:SF2', NULL, NULL, NULL, NULL, 'ZGC:165604', NULL, NULL, NULL, 15),
(80143, NULL, 'PTHR33826:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80144, NULL, 'PTHR37746', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(80145, NULL, 'PTHR11593:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17-1 ISOFORM X1', NULL, NULL, NULL, 15),
(80146, NULL, 'PTHR43327:SF44', NULL, NULL, NULL, NULL, 'BNAC03G14740D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80147, NULL, 'PTHR46269', NULL, NULL, NULL, NULL, 'EPIPHYCAN-RELATED', NULL, NULL, 38215, 15),
(80148, NULL, 'PTHR43675:SF7', NULL, NULL, NULL, NULL, 'ZGC:153372', NULL, NULL, NULL, 15),
(80149, NULL, 'PTHR37210', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(80150, NULL, 'PTHR31828:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 6', NULL, NULL, NULL, 15),
(80151, NULL, 'PTHR47596:SF5', NULL, NULL, NULL, NULL, 'DVL FAMILY PROTEIN', NULL, NULL, NULL, 15),
(80152, NULL, 'PTHR31683:SF69', NULL, NULL, NULL, NULL, 'PECTATE LYASE 3-RELATED', NULL, NULL, NULL, 15),
(80153, NULL, 'PTHR23044:SF66', NULL, NULL, NULL, NULL, '3''-5'' EXONUCLEASE KAPD-RELATED', NULL, NULL, NULL, 15),
(80154, NULL, 'PTHR45725:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80155, NULL, 'PTHR10177:SF376', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN CLN1-RELATED', NULL, NULL, NULL, 15),
(80156, NULL, 'PTHR24023:SF980', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-3(IV) CHAIN', NULL, NULL, NULL, 15),
(80157, NULL, 'PTHR32227:SF275', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80158, NULL, 'PTHR13563:SF17', NULL, NULL, NULL, NULL, 'BNAA06G35330D PROTEIN', NULL, NULL, NULL, 15),
(80159, NULL, 'PTHR11511', NULL, NULL, NULL, NULL, 'LARVAL STORAGE PROTEIN/PHENOLOXIDASE', NULL, NULL, 12822, 15),
(80160, NULL, 'PTHR45270', NULL, NULL, NULL, NULL, 'OS03G0832900 PROTEIN', NULL, NULL, NULL, 15),
(80161, NULL, 'PTHR12812:SF6', NULL, NULL, NULL, NULL, 'HEPARAN-SULFATE 6-O-SULFOTRANSFERASE 2', NULL, NULL, NULL, 15),
(80162, NULL, 'PTHR24409:SF348', NULL, NULL, NULL, NULL, 'LD24322P', NULL, NULL, NULL, 15),
(80163, NULL, 'PTHR45824:SF26', NULL, NULL, NULL, NULL, 'BNAC01G40700D PROTEIN', NULL, NULL, NULL, 15),
(80164, NULL, 'PTHR43431:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_5G14000)', NULL, NULL, NULL, 15),
(80165, NULL, 'PTHR33514:SF1', NULL, NULL, NULL, NULL, 'COBALT TRANSPORT PROTEIN CBIQ', NULL, NULL, NULL, 15),
(80166, NULL, 'PTHR31197:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80167, NULL, 'PTHR11802:SF193', NULL, NULL, NULL, NULL, 'PEPTIDASE S10, SERINE CARBOXYPEPTIDASE, ALPHA/BETA HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(80168, NULL, 'PTHR12081:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80169, NULL, 'PTHR47708', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80170, NULL, 'PTHR43161:SF19', NULL, NULL, NULL, NULL, 'SORBITOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(80171, NULL, 'PTHR33203:SF54', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(80172, NULL, 'PTHR12329:SF40', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 4', NULL, NULL, NULL, 15),
(80173, NULL, 'PTHR11537:SF144', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, KQT-LIKE SUBFAMILY, MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(80174, NULL, 'PTHR45638:SF19', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED POTASSIUM CHANNEL', NULL, NULL, NULL, 15),
(80175, NULL, 'PTHR23262:SF175', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-9', NULL, NULL, NULL, 15),
(80176, NULL, 'PTHR19422:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80177, NULL, 'PTHR46128:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80178, NULL, 'PTHR45855:SF32', NULL, NULL, NULL, NULL, 'BNAC05G01110D PROTEIN', NULL, NULL, NULL, 15),
(80179, NULL, 'PTHR24072:SF190', NULL, NULL, NULL, NULL, 'CDC-42 RELATED PROTEIN', NULL, NULL, NULL, 15),
(80180, NULL, 'PTHR30244', NULL, NULL, NULL, NULL, 'TRANSAMINASE', NULL, NULL, 4103, 15),
(80181, NULL, 'PTHR22780:SF13', NULL, NULL, NULL, NULL, 'AP-4 COMPLEX SUBUNIT EPSILON-1', NULL, NULL, NULL, 15),
(80182, NULL, 'PTHR22814:SF337', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 21-LIKE', NULL, NULL, NULL, 15),
(80183, NULL, 'PTHR47993:SF132', NULL, NULL, NULL, NULL, 'BNACNNG09650D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80184, NULL, 'PTHR10773:SF17', NULL, NULL, NULL, NULL, 'RNA POLYMERASE RPB6-RELATED', NULL, NULL, NULL, 15),
(80185, NULL, 'PTHR24399:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 134', NULL, NULL, NULL, 15),
(80186, NULL, 'PTHR48056:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80187, NULL, 'PTHR42647:SF53', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 1-LIKE', NULL, NULL, NULL, 15),
(80188, NULL, 'PTHR11360:SF158', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 9', NULL, NULL, 21879, 15),
(80189, NULL, 'PTHR23302:SF62', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 2-B', NULL, NULL, NULL, 15),
(80190, NULL, 'PTHR11017:SF386', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)-RELATED', NULL, NULL, NULL, 15),
(80191, NULL, 'PTHR46583', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 22', NULL, NULL, 38380, 15),
(80192, NULL, 'PTHR40736:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80193, NULL, 'PTHR31790:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80194, NULL, 'PTHR39597', NULL, NULL, NULL, NULL, 'UBA DOMAIN-CONTAINING PROTEIN RUP1', NULL, NULL, NULL, 15),
(80195, NULL, 'PTHR35243', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80196, NULL, 'PTHR24255:SF25', NULL, NULL, NULL, NULL, 'COMPLEMENT C1R SUBCOMPONENT', NULL, NULL, 30942, 15),
(80197, NULL, 'PTHR12207:SF25', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 2', NULL, NULL, NULL, 15),
(80198, NULL, 'PTHR33589', NULL, NULL, NULL, NULL, 'OS11G0524900 PROTEIN', NULL, NULL, NULL, 15),
(80199, NULL, 'PTHR33593:SF22', NULL, NULL, NULL, NULL, 'BNAA03G59600D PROTEIN', NULL, NULL, NULL, 15),
(80200, NULL, 'PTHR39638', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 11521, 15),
(80201, NULL, 'PTHR15835:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR-INTERACTING PARTNER OF ALK', NULL, NULL, NULL, 15),
(80202, NULL, 'PTHR11761:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80203, NULL, 'PTHR23147:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80204, NULL, 'PTHR12329:SF41', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR', NULL, NULL, NULL, 15),
(80205, NULL, 'PTHR10554', NULL, NULL, NULL, NULL, 'SYNTROPHIN', NULL, NULL, 9232, 15),
(80206, NULL, 'PTHR34471', NULL, NULL, NULL, NULL, 'ARGININE REPRESSOR', NULL, NULL, 5034, 15),
(80207, NULL, 'PTHR47926:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80208, NULL, 'PTHR24281:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80209, NULL, 'PTHR40447:SF1', NULL, NULL, NULL, NULL, 'ANAEROBIC SULFITE REDUCTASE SUBUNIT A', NULL, NULL, NULL, 15),
(80210, NULL, 'PTHR23515:SF13', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 2.3-LIKE', NULL, NULL, NULL, 15),
(80211, NULL, 'PTHR10353:SF179', NULL, NULL, NULL, NULL, 'BETA-D-GLUCOPYRANOSYL ABSCISATE BETA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(80212, NULL, 'PTHR31378:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80213, NULL, 'PTHR15835:SF12', NULL, NULL, NULL, NULL, 'ZINC ION-BINDING PROTEIN', NULL, NULL, NULL, 15),
(80214, NULL, 'PTHR21148:SF27', NULL, NULL, NULL, NULL, 'BNAANNG14790D PROTEIN', NULL, NULL, NULL, 15),
(80215, NULL, 'PTHR48049:SF39', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(80216, NULL, 'PTHR12689:SF4', NULL, NULL, NULL, NULL, 'PROTEIN AAR2 HOMOLOG', NULL, NULL, NULL, 15),
(80217, NULL, 'PTHR24047:SF30', NULL, NULL, NULL, NULL, 'EATER-RELATED', NULL, NULL, NULL, 15),
(80218, NULL, 'PTHR12677:SF47', NULL, NULL, NULL, NULL, 'BNAC08G45730D PROTEIN', NULL, NULL, NULL, 15),
(80219, NULL, 'PTHR46228:SF2', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80220, NULL, 'PTHR42088:SF1', NULL, NULL, NULL, NULL, 'YALI0F10131P', NULL, NULL, NULL, 15),
(80221, NULL, 'PTHR23142:SF2', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR 38B', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80222, NULL, 'PTHR31369:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG23250', NULL, NULL, NULL, 15),
(80223, NULL, 'PTHR37876', NULL, NULL, NULL, NULL, 'PROTEIN GAR2-LIKE', NULL, NULL, 30981, 15),
(80224, NULL, 'PTHR45786:SF17', NULL, NULL, NULL, NULL, 'BNACNNG14250D PROTEIN', NULL, NULL, NULL, 15),
(80225, NULL, 'PTHR47965:SF56', NULL, NULL, NULL, NULL, 'XYLOGLUCAN-SPECIFIC ENDOGLUCANASE INHIBITOR PROTEIN', NULL, NULL, NULL, 15),
(80226, NULL, 'PTHR22849:SF128', NULL, NULL, NULL, NULL, 'OS12G0161100 PROTEIN', NULL, NULL, NULL, 15),
(80227, NULL, 'PTHR24144', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 49', NULL, NULL, NULL, 15),
(80228, NULL, 'PTHR10286:SF68', NULL, NULL, NULL, NULL, 'BNAC07G03580D PROTEIN', NULL, NULL, NULL, 15),
(80229, NULL, 'PTHR31885:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 86A', NULL, NULL, NULL, 15),
(80230, NULL, 'PTHR14819', NULL, NULL, NULL, NULL, 'GTP-BINDING', NULL, NULL, NULL, 15),
(80231, NULL, 'PTHR11003:SF150', NULL, NULL, NULL, NULL, 'PROTEIN CBG08159', NULL, NULL, NULL, 15),
(80232, NULL, 'PTHR31719:SF168', NULL, NULL, NULL, NULL, 'BNAA09G06870D PROTEIN', NULL, NULL, NULL, 15),
(80233, NULL, 'PTHR12544:SF50', NULL, NULL, NULL, NULL, 'GLUTAMINASE', NULL, NULL, NULL, 15),
(80234, NULL, 'PTHR36373', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(80235, NULL, 'PTHR33103:SF49', NULL, NULL, NULL, NULL, 'DUF674 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(80236, NULL, 'PTHR36516:SF3', NULL, NULL, NULL, NULL, 'DOMON DOMAIN-CONTAINING PROTEIN Y73F4A.2', NULL, NULL, NULL, 15),
(80237, NULL, 'PTHR38223:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80238, NULL, 'PTHR31642:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80239, NULL, 'PTHR45708:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80240, NULL, 'PTHR23235:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80241, NULL, 'PTHR16223:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80242, NULL, 'PTHR12224:SF15', NULL, NULL, NULL, NULL, 'BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80243, NULL, 'PTHR10790', NULL, NULL, NULL, NULL, 'TPR-DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(80244, NULL, 'PTHR43482:SF1', NULL, NULL, NULL, NULL, 'PROTEIN AST1-RELATED', NULL, NULL, NULL, 15),
(80245, NULL, 'PTHR35872', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G07110)', NULL, NULL, NULL, 15),
(80246, NULL, 'PTHR24082:SF112', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP D MEMBER 2', NULL, NULL, NULL, 15),
(80247, NULL, 'PTHR12039:SF17', NULL, NULL, NULL, NULL, 'NICOTINAMIDE-NUCLEOTIDE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(80248, NULL, 'PTHR34277:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80249, NULL, 'PTHR19359:SF96', NULL, NULL, NULL, NULL, 'PROTEIN CBG09736', NULL, NULL, NULL, 15),
(80250, NULL, 'PTHR12049:SF5', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE METHYLTRANSFERASE NDUFAF7 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(80251, NULL, 'PTHR18640:SF10', NULL, NULL, NULL, NULL, 'SODIUM/METABOLITE COTRANSPORTER BASS4, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(80252, NULL, 'PTHR45640:SF7', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-1', NULL, NULL, NULL, 15),
(80253, NULL, 'PTHR24179:SF27', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 12C', NULL, NULL, 24792, 15),
(80254, NULL, 'PTHR45644:SF50', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80255, NULL, 'PTHR16484:SF4', NULL, NULL, NULL, NULL, 'PARTITIONING DEFECTIVE 3 HOMOLOG B', NULL, NULL, NULL, 15),
(80256, NULL, 'PTHR22846:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80257, NULL, 'PTHR31595:SF39', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80258, NULL, 'PTHR33156:SF43', NULL, NULL, NULL, NULL, 'BNAANNG28360D PROTEIN', NULL, NULL, NULL, 15),
(80259, NULL, 'PTHR31676:SF128', NULL, NULL, NULL, NULL, 'BNAANNG09680D PROTEIN', NULL, NULL, NULL, 15),
(80260, NULL, 'PTHR24221:SF127', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 25', NULL, NULL, NULL, 15),
(80261, NULL, 'PTHR38442:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80262, NULL, 'PTHR31917:SF105', NULL, NULL, NULL, NULL, 'BNAC03G71680D PROTEIN', NULL, NULL, NULL, 15),
(80263, NULL, 'PTHR24015:SF1713', NULL, NULL, NULL, NULL, 'REPEAT SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80264, NULL, 'PTHR43991:SF33', NULL, NULL, NULL, NULL, 'BNAA05G25990D PROTEIN', NULL, NULL, NULL, 15),
(80265, NULL, 'PTHR33110:SF95', NULL, NULL, NULL, NULL, 'OS06G0148900 PROTEIN', NULL, NULL, NULL, 15),
(80266, NULL, 'PTHR21324:SF11', NULL, NULL, NULL, NULL, 'DNA DAMAGE-REGULATED AUTOPHAGY MODULATOR PROTEIN 1', NULL, NULL, NULL, 15),
(80267, NULL, 'PTHR21422:SF10', NULL, NULL, NULL, NULL, 'RAB3 GTPASE-ACTIVATING PROTEIN CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(80268, NULL, 'PTHR22870:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80269, NULL, 'PTHR13367:SF8', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 7B', NULL, NULL, NULL, 15),
(80270, NULL, 'PTHR12124:SF71', NULL, NULL, NULL, NULL, 'BNAA04G18800D PROTEIN', NULL, NULL, NULL, 15),
(80271, NULL, 'PTHR12871:SF3', NULL, NULL, NULL, NULL, 'SI:CH73-91K6.2', NULL, NULL, NULL, 15),
(80272, NULL, 'PTHR33776:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80273, NULL, 'PTHR32343:SF44', NULL, NULL, NULL, NULL, 'PROTEIN VIP1-LIKE', NULL, NULL, NULL, 15),
(80274, NULL, 'PTHR31729:SF15', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF011-LIKE', NULL, NULL, NULL, 15),
(80275, NULL, 'PTHR42861:SF105', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(80276, NULL, 'PTHR15350:SF5', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(80277, NULL, 'PTHR11699:SF197', NULL, NULL, NULL, NULL, 'N-SUCCINYLGLUTAMATE 5-SEMIALDEHYDE DEHYDROGENASE', NULL, NULL, 17115, 15),
(80278, NULL, 'PTHR31972:SF54', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN (DUF868)', NULL, NULL, NULL, 15),
(80279, NULL, 'PTHR45960:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DAUGHTER OF SEVENLESS', NULL, NULL, NULL, 15),
(80280, NULL, 'PTHR33648:SF26', NULL, NULL, NULL, NULL, 'LYSM DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(80281, NULL, 'PTHR42678:SF30', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80282, NULL, 'PTHR27004', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12 ISOFORM X1', NULL, NULL, 37385, 15),
(80283, NULL, 'PTHR23430:SF293', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(80284, NULL, 'PTHR36378:SF1', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', NULL, NULL, NULL, 15),
(80285, NULL, 'PTHR11785:SF354', NULL, NULL, NULL, NULL, 'B(0,+)-TYPE AMINO ACID TRANSPORTER 1', NULL, NULL, NULL, 15),
(80286, NULL, 'PTHR24221:SF488', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', NULL, NULL, NULL, 15),
(80287, NULL, 'PTHR11614:SF140', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE L2', NULL, NULL, NULL, 15),
(80288, NULL, 'PTHR48000:SF19', NULL, NULL, NULL, NULL, 'OS05G0553400 PROTEIN', NULL, NULL, NULL, 15),
(80289, NULL, 'PTHR24271:SF65', NULL, NULL, NULL, NULL, 'KALLIKREIN-4', NULL, NULL, NULL, 15),
(80290, NULL, 'PTHR43313:SF5', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY 9C MEMBER 7', NULL, NULL, 24993, 15),
(80291, NULL, 'PTHR48018:SF13', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8K5', NULL, NULL, NULL, 15),
(80292, NULL, 'PTHR42956', NULL, NULL, NULL, NULL, 'NITROGENASE IRON-MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN NIFE', NULL, NULL, NULL, 15),
(80293, NULL, 'PTHR22708:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80294, NULL, 'PTHR13439:SF59', NULL, NULL, NULL, NULL, 'PROTEIN CBG19960', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80295, NULL, 'PTHR47965:SF31', NULL, NULL, NULL, NULL, 'BNAA08G27390D PROTEIN', NULL, NULL, NULL, 15),
(80296, NULL, 'PTHR35538', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80297, NULL, 'PTHR32246:SF134', NULL, NULL, NULL, NULL, 'BNAANNG31050D PROTEIN', NULL, NULL, NULL, 15),
(80298, NULL, 'PTHR19370:SF197', NULL, NULL, NULL, NULL, 'B5 REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80299, NULL, 'PTHR45959:SF40', NULL, NULL, NULL, NULL, 'NONASPANIN (TM9SF)-RELATED', NULL, NULL, NULL, 15),
(80300, NULL, 'PTHR11119:SF102', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 6-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(80301, NULL, 'PTHR19376:SF36', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE IV SUBUNIT 1', NULL, NULL, NULL, 15),
(80302, NULL, 'PTHR10108:SF1114', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT22-RELATED', NULL, NULL, NULL, 15),
(80303, NULL, 'PTHR11477:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(80304, NULL, 'PTHR31917:SF59', NULL, NULL, NULL, NULL, 'PLANT TUDOR-LIKE RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(80305, NULL, 'PTHR46502:SF16', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80306, NULL, 'PTHR30574', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YEDE', NULL, NULL, NULL, 15),
(80307, NULL, 'PTHR33048:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80308, NULL, 'PTHR46159:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 3', NULL, NULL, NULL, 15),
(80309, NULL, 'PTHR15905', NULL, NULL, NULL, NULL, 'GOLGI-ASSOCIATED KINASE 1B-RELATED', NULL, NULL, 29387, 15),
(80310, NULL, 'PTHR21522:SF57', NULL, NULL, NULL, NULL, 'AGAP000703-PA', NULL, NULL, NULL, 15),
(80311, NULL, 'PTHR42938:SF13', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE,NAD-BINDING', NULL, NULL, NULL, 15),
(80312, NULL, 'PTHR23267:SF364', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-19', NULL, NULL, NULL, 15),
(80313, NULL, 'PTHR46795:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(80314, NULL, 'PTHR12791:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80315, NULL, 'PTHR27005:SF309', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80316, NULL, 'PTHR24270:SF3', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 8', NULL, NULL, NULL, 15),
(80317, NULL, 'PTHR13580:SF9', NULL, NULL, NULL, NULL, 'AXIN1 UP-REGULATED 1, ISOFORM A', NULL, NULL, NULL, 15),
(80318, NULL, 'PTHR31989:SF4', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 90', NULL, NULL, NULL, 15),
(80319, NULL, 'PTHR14939', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 22', NULL, NULL, NULL, 15),
(80320, NULL, 'PTHR10209:SF788', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 10-RELATED', NULL, NULL, NULL, 15),
(80321, NULL, 'PTHR15344:SF18', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN (RHO GTPASE-BINDING) 4B', NULL, NULL, NULL, 15),
(80322, NULL, 'PTHR42024:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80323, NULL, 'PTHR42940:SF9', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1-RELATED', NULL, NULL, NULL, 15),
(80324, NULL, 'PTHR24282:SF41', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 734A5', NULL, NULL, NULL, 15),
(80325, NULL, 'PTHR15241:SF286', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1', NULL, NULL, NULL, 15),
(80326, NULL, 'PTHR15362:SF4', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--INOSITOL 3-PHOSPHATIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(80327, NULL, 'PTHR24381:SF124', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 10', NULL, NULL, NULL, 15),
(80328, NULL, 'PTHR21377:SF16', NULL, NULL, NULL, NULL, 'PROTEIN FAM210B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(80329, NULL, 'PTHR36766:SF13', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80330, NULL, 'PTHR11360:SF252', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00780)-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80331, NULL, 'PTHR46634:SF5', NULL, NULL, NULL, NULL, 'M REDUCTASE II SUBUNIT GAMMA, PUTATIVE (DUF3741)-RELATED', NULL, NULL, NULL, 15),
(80332, NULL, 'PTHR44170:SF15', NULL, NULL, NULL, NULL, 'NEURONAL CELL ADHESION MOLECULE', NULL, NULL, NULL, 15),
(80333, NULL, 'PTHR33318:SF7', NULL, NULL, NULL, NULL, 'ASPARTYL/GLUTAMYL-TRNA(ASN/GLN) AMIDOTRANSFERASE SUBUNIT', NULL, NULL, NULL, 15),
(80334, NULL, 'PTHR31929:SF68', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(80335, NULL, 'PTHR19846:SF0', NULL, NULL, NULL, NULL, 'U4/U6 SMALL NUCLEAR RIBONUCLEOPROTEIN PRP4', NULL, NULL, NULL, 15),
(80336, NULL, 'PTHR38434', NULL, NULL, NULL, NULL, 'BLL2549 PROTEIN', NULL, NULL, 20082, 15),
(80337, NULL, 'PTHR31899:SF13', NULL, NULL, NULL, NULL, 'BNAA10G28380D PROTEIN', NULL, NULL, NULL, 15),
(80338, NULL, 'PTHR33541:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE A', NULL, NULL, NULL, 15),
(80339, NULL, 'PTHR19957:SF318', NULL, NULL, NULL, NULL, 'BNAA09G27220D PROTEIN', NULL, NULL, NULL, 15),
(80340, NULL, 'PTHR34587:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80341, NULL, 'PTHR43650:SF16', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT BETA 2', NULL, NULL, NULL, 15),
(80342, NULL, 'PTHR31426', NULL, NULL, NULL, NULL, 'GROUP II INTRON SPLICING FACTOR CRS1-LIKE', NULL, NULL, 34065, 15),
(80343, NULL, 'PTHR11960:SF31', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 4E', NULL, NULL, NULL, 15),
(80344, NULL, 'PTHR46279:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(80345, NULL, 'PTHR10800:SF4', NULL, NULL, NULL, NULL, 'PULMONARY SURFACTANT-ASSOCIATED PROTEIN C', NULL, NULL, NULL, 15),
(80346, NULL, 'PTHR21013:SF10', NULL, NULL, NULL, NULL, 'ATP SYNTHASE MITOCHONDRIAL F1 COMPLEX ASSEMBLY FACTOR 2', NULL, NULL, NULL, 15),
(80347, NULL, 'PTHR33905', NULL, NULL, NULL, NULL, 'CST COMPLEX SUBUNIT TEN1', NULL, NULL, 25190, 15),
(80348, NULL, 'PTHR22950:SF22', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 3', NULL, NULL, NULL, 15),
(80349, NULL, 'PTHR44259:SF13', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', NULL, NULL, NULL, 15),
(80350, NULL, 'PTHR30457:SF18', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE SURE-LIKE', NULL, NULL, NULL, 15),
(80351, NULL, 'PTHR23220:SF84', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-L', NULL, NULL, NULL, 15),
(80352, NULL, 'PTHR24035:SF136', NULL, NULL, NULL, NULL, 'MULTIPLE EPIDERMAL GROWTH FACTOR-LIKE DOMAINS PROTEIN 10', NULL, NULL, NULL, 15),
(80353, NULL, 'PTHR19375:SF450', NULL, NULL, NULL, NULL, 'BNAC07G48050D PROTEIN', NULL, NULL, NULL, 15),
(80354, NULL, 'PTHR31388:SF54', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(80355, NULL, 'PTHR33590', NULL, NULL, NULL, NULL, 'GLUTENIN, HIGH MOLECULAR WEIGHT SUBUNIT PW212-RELATED PROTEIN', NULL, NULL, NULL, 15),
(80356, NULL, 'PTHR31951:SF22', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80357, NULL, 'PTHR16771', NULL, NULL, NULL, NULL, '26 PROTEASOME COMPLEX SUBUNIT DSS1', NULL, NULL, 2036, 15),
(80358, NULL, 'PTHR10127:SF780', NULL, NULL, NULL, NULL, 'ASTACIN-LIKE METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(80359, NULL, 'PTHR46705:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG15775', NULL, NULL, NULL, 15),
(80360, NULL, 'PTHR11746:SF273', NULL, NULL, NULL, NULL, 'BNAA03G59140D PROTEIN', NULL, NULL, NULL, 15),
(80361, NULL, 'PTHR10122:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(80362, NULL, 'PTHR45768:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80363, NULL, 'PTHR47631:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(80364, NULL, 'PTHR31636:SF274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80365, NULL, 'PTHR45988:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT10-LIKE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80366, NULL, 'PTHR46581:SF9', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE RRA1-RELATED', NULL, NULL, NULL, 15),
(80367, NULL, 'PTHR35128:SF1', NULL, NULL, NULL, NULL, 'SECRETION-REGULATING GUANINE NUCLEOTIDE EXCHANGE FACTOR', NULL, NULL, NULL, 15),
(80368, NULL, 'PTHR32328:SF0', NULL, NULL, NULL, NULL, 'L-SERYL-TRNA(SEC) SELENIUM TRANSFERASE', NULL, NULL, NULL, 15),
(80369, NULL, 'PTHR48054:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80370, NULL, 'PTHR11716:SF56', NULL, NULL, NULL, NULL, 'GROUP IIE SECRETORY PHOSPHOLIPASE A2', NULL, NULL, NULL, 15),
(80371, NULL, 'PTHR20275:SF9', NULL, NULL, NULL, NULL, 'NAD KINASE 2', NULL, NULL, NULL, 15),
(80372, NULL, 'PTHR21136:SF202', NULL, NULL, NULL, NULL, 'VAMP7 ISOFORM 1', NULL, NULL, NULL, 15),
(80373, NULL, 'PTHR24221:SF112', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 29, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(80374, NULL, 'PTHR24543:SF312', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80375, NULL, 'PTHR10336:SF171', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(80376, NULL, 'PTHR23202:SF68', NULL, NULL, NULL, NULL, 'PROTEIN CBG03256', NULL, NULL, NULL, 15),
(80377, NULL, 'PTHR31503:SF52', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER NCL1', NULL, NULL, NULL, 15),
(80378, NULL, 'PTHR31744:SF74', NULL, NULL, NULL, NULL, 'OS08G0433500 PROTEIN', NULL, NULL, NULL, 15),
(80379, NULL, 'PTHR14583', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN C19ORF57 FAMILY MEMBER', NULL, NULL, 27346, 15),
(80380, NULL, 'PTHR46706:SF7', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)', NULL, NULL, NULL, 15),
(80381, NULL, 'PTHR43828:SF12', NULL, NULL, NULL, NULL, 'L-ASPARAGINASE 2-1-RELATED', NULL, NULL, NULL, 15),
(80382, NULL, 'PTHR31374:SF241', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR36-LIKE', NULL, NULL, NULL, 15),
(80383, NULL, 'PTHR47160:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80384, NULL, 'PTHR31625:SF64', NULL, NULL, NULL, NULL, 'BNAA02G29930D PROTEIN', NULL, NULL, NULL, 15),
(80385, NULL, 'PTHR33167:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80386, NULL, 'PTHR18959:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80387, NULL, 'PTHR16216:SF2', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 5, AXONEMAL', NULL, NULL, NULL, 15),
(80388, NULL, 'PTHR31241:SF5', NULL, NULL, NULL, NULL, 'OS08G0521600 PROTEIN', NULL, NULL, NULL, 15),
(80389, NULL, 'PTHR31827:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80390, NULL, 'PTHR10125:SF13', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR 7', NULL, NULL, 695, 15),
(80391, NULL, 'PTHR47877', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80392, NULL, 'PTHR33187', NULL, NULL, NULL, NULL, 'WU:FI09B08', NULL, NULL, NULL, 15),
(80393, NULL, 'PTHR11607:SF57', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE 2X', NULL, NULL, NULL, 15),
(80394, NULL, 'PTHR27006:SF399', NULL, NULL, NULL, NULL, 'BNAA09G26700D PROTEIN', NULL, NULL, NULL, 15),
(80395, NULL, 'PTHR19338:SF10', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8 B', NULL, NULL, NULL, 15),
(80396, NULL, 'PTHR12127:SF7', NULL, NULL, NULL, NULL, 'SD02261P', NULL, NULL, NULL, 15),
(80397, NULL, 'PTHR13501', NULL, NULL, NULL, NULL, 'CHLOROPLAST 50S RIBOSOMAL PROTEIN L22-RELATED', NULL, NULL, 4819, 15),
(80398, NULL, 'PTHR24034:SF136', NULL, NULL, NULL, NULL, 'VITELLOGENIN RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(80399, NULL, 'PTHR31867:SF165', NULL, NULL, NULL, NULL, 'EXPANSIN-A11', NULL, NULL, NULL, 15),
(80400, NULL, 'PTHR23226:SF192', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 853', NULL, NULL, NULL, 15),
(80401, NULL, 'PTHR45836:SF13', NULL, NULL, NULL, NULL, 'NOTCH 3', NULL, NULL, NULL, 15),
(80402, NULL, 'PTHR10992:SF1014', NULL, NULL, NULL, NULL, 'ESTERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80403, NULL, 'PTHR45953', NULL, NULL, NULL, NULL, 'IDURONATE 2-SULFATASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80404, NULL, 'PTHR11157:SF144', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(80405, NULL, 'PTHR31080:SF248', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR', NULL, NULL, NULL, 15),
(80406, NULL, 'PTHR12746:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL EXPORT PROTEIN NMD3', NULL, NULL, NULL, 15),
(80407, NULL, 'PTHR15326:SF8', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 2', NULL, NULL, 25009, 15),
(80408, NULL, 'PTHR30627:SF6', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE YBXI-RELATED', NULL, NULL, NULL, 15),
(80409, NULL, 'PTHR47965:SF33', NULL, NULL, NULL, NULL, 'BNAC09G38560D PROTEIN', NULL, NULL, NULL, 15),
(80410, NULL, 'PTHR22943:SF250', NULL, NULL, NULL, NULL, 'PROTEIN CBG05658', NULL, NULL, NULL, 15),
(80411, NULL, 'PTHR35101:SF12', NULL, NULL, NULL, NULL, 'OS02G0162600 PROTEIN', NULL, NULL, NULL, 15),
(80412, NULL, 'PTHR21262:SF34', NULL, NULL, NULL, NULL, 'GTP DIPHOSPHOKINASE RSH2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(80413, NULL, 'PTHR21389:SF0', NULL, NULL, NULL, NULL, 'ETOPOSIDE-INDUCED PROTEIN 2.4 HOMOLOG', NULL, NULL, NULL, 15),
(80414, NULL, 'PTHR21643:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR AEX-2', NULL, NULL, NULL, 15),
(80415, NULL, 'PTHR31009:SF107', NULL, NULL, NULL, NULL, 'JASMONATE O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(80416, NULL, 'PTHR13789:SF306', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80417, NULL, 'PTHR46086:SF23', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL ACIDIC LIPASE TAL5', NULL, NULL, NULL, 15),
(80418, NULL, 'PTHR30055:SF151', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(80419, NULL, 'PTHR35908', NULL, NULL, NULL, NULL, 'HYPOTHETICAL FUSION PROTEIN', NULL, NULL, NULL, 15),
(80420, NULL, 'PTHR33790', NULL, NULL, NULL, NULL, 'OS05G0344200 PROTEIN', NULL, NULL, 31324, 15),
(80421, NULL, 'PTHR33644', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 62-RELATED', NULL, NULL, NULL, 15),
(80422, NULL, 'PTHR38104:SF1', NULL, NULL, NULL, NULL, 'ANTI-SIGMA-E FACTOR RSEA', NULL, NULL, NULL, 15),
(80423, NULL, 'PTHR31969:SF38', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(80424, NULL, 'PTHR12757:SF3', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA-INDUCED PROTEIN 8', NULL, NULL, NULL, 15),
(80425, NULL, 'PTHR24339:SF32', NULL, NULL, NULL, NULL, 'VENTRAL ANTERIOR HOMEOBOX 1', NULL, NULL, 34467, 15),
(80426, NULL, 'PTHR31062:SF236', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(80427, NULL, 'PTHR46116:SF29', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 25-RELATED', NULL, NULL, NULL, 15),
(80428, NULL, 'PTHR36756:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(80429, NULL, 'PTHR11945:SF597', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80430, NULL, 'PTHR23226:SF248', NULL, NULL, NULL, NULL, 'MCG56563', NULL, NULL, NULL, 15),
(80431, NULL, 'PTHR46874:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 6', NULL, NULL, NULL, 15),
(80432, NULL, 'PTHR23358:SF3', NULL, NULL, NULL, NULL, 'METHYLCYTOSINE DIOXYGENASE TET2', NULL, NULL, NULL, 15),
(80433, NULL, 'PTHR47119:SF5', NULL, NULL, NULL, NULL, 'BNAC05G24250D PROTEIN', NULL, NULL, NULL, 15),
(80434, NULL, 'PTHR43634:SF12', NULL, NULL, NULL, NULL, 'BNACNNG60870D PROTEIN', NULL, NULL, NULL, 15),
(80435, NULL, 'PTHR47592:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80436, NULL, 'PTHR10796:SF104', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(80437, NULL, 'PTHR22947:SF5', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(80438, NULL, 'PTHR32157:SF5', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN 47B', NULL, NULL, NULL, 15),
(80439, NULL, 'PTHR31415:SF15', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(80440, NULL, 'PTHR12858:SF1', NULL, NULL, NULL, NULL, 'PRE-RRNA-PROCESSING PROTEIN TSR1 HOMOLOG', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80441, NULL, 'PTHR33989', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80442, NULL, 'PTHR31197:SF33', NULL, NULL, NULL, NULL, 'BNAC03G67620D PROTEIN', NULL, NULL, NULL, 15),
(80443, NULL, 'PTHR11984:SF104', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', NULL, NULL, NULL, 15),
(80444, NULL, 'PTHR47760:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR AH9.1-RELATED', NULL, NULL, NULL, 15),
(80445, NULL, 'PTHR34361:SF2', NULL, NULL, NULL, NULL, 'OS08G0157800 PROTEIN', NULL, NULL, NULL, 15),
(80446, NULL, 'PTHR12000:SF31', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME-LIKE', NULL, NULL, NULL, 15),
(80447, NULL, 'PTHR35103:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80448, NULL, 'PTHR48019:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80449, NULL, 'PTHR11533:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80450, NULL, 'PTHR47973:SF6', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(80451, NULL, 'PTHR48047:SF80', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 87A1-LIKE', NULL, NULL, NULL, 15),
(80452, NULL, 'PTHR30146:SF120', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(80453, NULL, 'PTHR33417', NULL, NULL, NULL, NULL, 'G-BOX BINDING PROTEIN', NULL, NULL, NULL, 15),
(80454, NULL, 'PTHR31213:SF90', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE 2-LIKE', NULL, NULL, NULL, 15),
(80455, NULL, 'PTHR47992:SF156', NULL, NULL, NULL, NULL, 'BNAC06G06590D PROTEIN', NULL, NULL, NULL, 15),
(80456, NULL, 'PTHR24347:SF390', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE B KINASE GAMMA CATALYTIC CHAIN, LIVER/TESTIS ISOFORM', NULL, NULL, NULL, 15),
(80457, NULL, 'PTHR33876:SF2', NULL, NULL, NULL, NULL, 'NICKEL-TRANSPORT FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(80458, NULL, 'PTHR11949:SF1', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 3', NULL, NULL, NULL, 15),
(80459, NULL, 'PTHR33470:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80460, NULL, 'PTHR26453:SF175', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(80461, NULL, 'PTHR31677:SF105', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF117', NULL, NULL, NULL, 15),
(80462, NULL, 'PTHR31707:SF262', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 26-RELATED', NULL, NULL, NULL, 15),
(80463, NULL, 'PTHR32285:SF57', NULL, NULL, NULL, NULL, 'PROTEIN ALTERED XYLOGLUCAN 4', NULL, NULL, NULL, 15),
(80464, NULL, 'PTHR11742:SF86', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(80465, NULL, 'PTHR23333:SF32', NULL, NULL, NULL, NULL, 'BNAANNG29860D PROTEIN', NULL, NULL, NULL, 15),
(80466, NULL, 'PTHR46476:SF15', NULL, NULL, NULL, NULL, '1, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(80467, NULL, 'PTHR18860:SF72', NULL, NULL, NULL, NULL, '14-3-3 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80468, NULL, 'PTHR12411:SF595', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80469, NULL, 'PTHR31193', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN C9ORF91', NULL, NULL, 28800, 15),
(80470, NULL, 'PTHR22874:SF10', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(80471, NULL, 'PTHR24271:SF44', NULL, NULL, NULL, NULL, '1700074P13RIK PROTEIN', NULL, NULL, NULL, 15),
(80472, NULL, 'PTHR47928:SF56', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80473, NULL, 'PTHR11616:SF261', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(80474, NULL, 'PTHR18966:SF514', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(80475, NULL, 'PTHR22683:SF41', NULL, NULL, NULL, NULL, 'DNA TRANSLOCASE FTSK', NULL, NULL, NULL, 15),
(80476, NULL, 'PTHR20990:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11C', NULL, NULL, NULL, 15),
(80477, NULL, 'PTHR24373:SF303', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80478, NULL, 'PTHR15963', NULL, NULL, NULL, NULL, 'GENERAL RECEPTOR FOR PHOSPHOINOSITIDES 1-ASSOCIATED SCAFFOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80479, NULL, 'PTHR19876:SF45', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''', NULL, NULL, NULL, 15),
(80480, NULL, 'PTHR32556:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80481, NULL, 'PTHR33573:SF11', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(80482, NULL, 'PTHR47999:SF15', NULL, NULL, NULL, NULL, 'BNAC04G52010D PROTEIN', NULL, NULL, NULL, 15),
(80483, NULL, 'PTHR43558:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80484, NULL, 'PTHR46506:SF47', NULL, NULL, NULL, NULL, 'JACALIN-LIKE LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80485, NULL, 'PTHR45628:SF7', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL TYPE A SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(80486, NULL, 'PTHR33133:SF40', NULL, NULL, NULL, NULL, 'BNAA09G09710D PROTEIN', NULL, NULL, NULL, 15),
(80487, NULL, 'PTHR21340', NULL, NULL, NULL, NULL, 'DIADENOSINE 5,5-P1,P4-TETRAPHOSPHATE PYROPHOSPHOHYDROLASE MUTT', NULL, NULL, NULL, 15),
(80488, NULL, 'PTHR48202', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(80489, NULL, 'PTHR10416', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA SUBUNIT 2', NULL, NULL, 14959, 15),
(80490, NULL, 'PTHR13743:SF132', NULL, NULL, NULL, NULL, 'AGAP003389-PA', NULL, NULL, NULL, 15),
(80491, NULL, 'PTHR12565:SF380', NULL, NULL, NULL, NULL, 'BNAA09G09600D PROTEIN', NULL, NULL, NULL, 15),
(80492, NULL, 'PTHR22849:SF118', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(80493, NULL, 'PTHR31500:SF72', NULL, NULL, NULL, NULL, 'BNAC05G14860D PROTEIN', NULL, NULL, NULL, 15),
(80494, NULL, 'PTHR10985:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HES-2', NULL, NULL, NULL, 15),
(80495, NULL, 'PTHR15907:SF159', NULL, NULL, NULL, NULL, 'BNAA05G36430D PROTEIN', NULL, NULL, NULL, 15),
(80496, NULL, 'PTHR10126:SF48', NULL, NULL, NULL, NULL, 'TATA-BOX-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(80497, NULL, 'PTHR47924:SF6', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(80498, NULL, 'PTHR11783:SF230', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(80499, NULL, 'PTHR11228', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(80500, NULL, 'PTHR43900:SF50', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F10', NULL, NULL, NULL, 15),
(80501, NULL, 'PTHR46407:SF6', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(80502, NULL, 'PTHR20948:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 164', NULL, NULL, NULL, 15),
(80503, NULL, 'PTHR13906:SF11', NULL, NULL, NULL, NULL, 'MEMBRANE BOUND O-ACYL TRANSFERASE, MBOAT', NULL, NULL, NULL, 15),
(80504, NULL, 'PTHR36010:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80505, NULL, 'PTHR48017:SF179', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 1-2', NULL, NULL, NULL, 15),
(80506, NULL, 'PTHR34710:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80507, NULL, 'PTHR30001:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE E/G-LIKE PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(80508, NULL, 'PTHR23201:SF105', NULL, NULL, NULL, NULL, 'BNAUNNG01070D PROTEIN', NULL, NULL, NULL, 15),
(80509, NULL, 'PTHR10896:SF63', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX14-RELATED', NULL, NULL, NULL, 15),
(80510, NULL, 'PTHR33271:SF18', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80511, NULL, 'PTHR10835:SF12', NULL, NULL, NULL, NULL, 'BNAC02G41390D PROTEIN', NULL, NULL, NULL, 15),
(80512, NULL, 'PTHR28663', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 173', NULL, NULL, 36449, 15),
(80513, NULL, 'PTHR47993:SF166', NULL, NULL, NULL, NULL, 'BNAANNG07480D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80514, NULL, 'PTHR21596:SF65', NULL, NULL, NULL, NULL, 'PROTEIN INVOLVED IN DE NOVO 2-RELATED', NULL, NULL, NULL, 15),
(80515, NULL, 'PTHR12764', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN-RELATED', NULL, NULL, 33840, 15),
(80516, NULL, 'PTHR10106:SF41', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE ASCORBATE FERRIREDUCTASE 4-RELATED', NULL, NULL, NULL, 15),
(80517, NULL, 'PTHR48023:SF8', NULL, NULL, NULL, NULL, 'BNACNNG06220D PROTEIN', NULL, NULL, NULL, 15),
(80518, NULL, 'PTHR23189:SF94', NULL, NULL, NULL, NULL, 'BNAA02G33080D PROTEIN', NULL, NULL, NULL, 15),
(80519, NULL, 'PTHR24232:SF1', NULL, NULL, NULL, NULL, 'N-ARACHIDONYL GLYCINE RECEPTOR', NULL, NULL, 24172, 15),
(80520, NULL, 'PTHR46086:SF10', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3-LIKE', NULL, NULL, NULL, 15),
(80521, NULL, 'PTHR45707:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80522, NULL, 'PTHR48053:SF30', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80523, NULL, 'PTHR33059:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80524, NULL, 'PTHR27006:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80525, NULL, 'PTHR32285:SF302', NULL, NULL, NULL, NULL, 'BNAA07G28730D PROTEIN', NULL, NULL, 26871, 15),
(80526, NULL, 'PTHR15481:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN WITH SERINE-RICH DOMAIN 1', NULL, NULL, NULL, 15),
(80527, NULL, 'PTHR10824:SF18', NULL, NULL, NULL, NULL, 'BILE ACID-COA:AMINO ACID N-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(80528, NULL, 'PTHR33681:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80529, NULL, 'PTHR46836:SF10', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYGLUCOSAMINLYTRANSFERASE SUBUNIT P-LIKE PROTEIN', NULL, NULL, NULL, 15),
(80530, NULL, 'PTHR32002:SF61', NULL, NULL, NULL, NULL, 'PROTEIN NLP3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(80531, NULL, 'PTHR47982:SF41', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(80532, NULL, 'PTHR36761:SF2', NULL, NULL, NULL, NULL, 'ORF03 PROTEIN', NULL, NULL, NULL, 15),
(80533, NULL, 'PTHR10306:SF10', NULL, NULL, NULL, NULL, 'SYNAPTOPHYSIN', NULL, NULL, 23369, 15),
(80534, NULL, 'PTHR16517:SF99', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 11', NULL, NULL, NULL, 15),
(80535, NULL, 'PTHR13338:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80536, NULL, 'PTHR36759', NULL, NULL, NULL, NULL, 'DYNEIN BETA CHAIN, CILIARY PROTEIN', NULL, NULL, NULL, 15),
(80537, NULL, 'PTHR16254:SF20', NULL, NULL, NULL, NULL, 'K(+) EFFLUX ANTIPORTER 5', NULL, NULL, NULL, 15),
(80538, NULL, 'PTHR43340:SF5', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLTRANSFERASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(80539, NULL, 'PTHR22745:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-222L21.1', NULL, NULL, NULL, 15),
(80540, NULL, 'PTHR47865', NULL, NULL, NULL, NULL, 'OS05G0580550 PROTEIN', NULL, NULL, NULL, 15),
(80541, NULL, 'PTHR36374:SF1', NULL, NULL, NULL, NULL, 'OS01G0969000 PROTEIN', NULL, NULL, NULL, 15),
(80542, NULL, 'PTHR31769:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80543, NULL, 'PTHR45614:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80544, NULL, 'PTHR48053:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(80545, NULL, 'PTHR43791:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80546, NULL, 'PTHR28159', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX II-SPECIFIC SUBUNIT 65', NULL, NULL, 5202, 15),
(80547, NULL, 'PTHR41299:SF1', NULL, NULL, NULL, NULL, 'THIAMINE PYROPHOSPHOKINASE', NULL, NULL, NULL, 15),
(80548, NULL, 'PTHR13793:SF141', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(80549, NULL, 'PTHR48002:SF106', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C16', NULL, NULL, NULL, 15),
(80550, NULL, 'PTHR31190:SF189', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1A-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80551, NULL, 'PTHR47991:SF125', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE/FE(II)-DEPENDENT DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(80552, NULL, 'PTHR12611:SF0', NULL, NULL, NULL, NULL, 'PURINE-RICH BINDING PROTEIN-ALPHA, ISOFORM B', NULL, NULL, NULL, 15),
(80553, NULL, 'PTHR46804:SF2', NULL, NULL, NULL, NULL, 'ADP RIBOSYLATION FACTOR LIKE GTPASE 14 EFFECTOR PROTEIN LIKE', NULL, NULL, NULL, 15),
(80554, NULL, 'PTHR11165:SF111', NULL, NULL, NULL, NULL, 'SCF UBIQUITIN LIGASE, SKP1 COMPONENT', NULL, NULL, NULL, 15),
(80555, NULL, 'PTHR47990:SF36', NULL, NULL, NULL, NULL, 'OS02G0767300 PROTEIN', NULL, NULL, NULL, 15),
(80556, NULL, 'PTHR11533:SF274', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(80557, NULL, 'PTHR11783:SF183', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(80558, NULL, 'PTHR23056:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80559, NULL, 'PTHR14000:SF7', NULL, NULL, NULL, NULL, 'OS04G0523100 PROTEIN', NULL, NULL, NULL, 15),
(80560, NULL, 'PTHR31301:SF103', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 25-LIKE', NULL, NULL, NULL, 15),
(80561, NULL, 'PTHR24083:SF157', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-40', NULL, NULL, NULL, 15),
(80562, NULL, 'PTHR12262:SF16', NULL, NULL, NULL, NULL, 'BNAANNG26140D PROTEIN', NULL, NULL, NULL, 15),
(80563, NULL, 'PTHR24359:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SBK1', NULL, NULL, NULL, 15),
(80564, NULL, 'PTHR19282:SF450', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(80565, NULL, 'PTHR31871:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80566, NULL, 'PTHR45631:SF81', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80567, NULL, 'PTHR13859:SF24', NULL, NULL, NULL, NULL, 'ARGININE-GLUTAMIC ACID DIPEPTIDE REPEAT PROTEIN', NULL, NULL, NULL, 15),
(80568, NULL, 'PTHR48005:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80569, NULL, 'PTHR45224:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80570, NULL, 'PTHR46274:SF11', NULL, NULL, NULL, NULL, 'OS05G0524200 PROTEIN', NULL, NULL, NULL, 15),
(80571, NULL, 'PTHR15907:SF169', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 6', NULL, NULL, NULL, 15),
(80572, NULL, 'PTHR21599:SF0', NULL, NULL, NULL, NULL, 'GLYCERATE 2-KINASE', NULL, NULL, NULL, 15),
(80573, NULL, 'PTHR28658:SF1', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING 13B', NULL, NULL, NULL, 15),
(80574, NULL, 'PTHR45801:SF69', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SUPERMAN-LIKE', NULL, NULL, NULL, 15),
(80575, NULL, 'PTHR23155:SF1005', NULL, NULL, NULL, NULL, 'OS07G0197300 PROTEIN', NULL, NULL, NULL, 15),
(80576, NULL, 'PTHR35762:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(80577, NULL, 'PTHR30249:SF3', NULL, NULL, NULL, NULL, 'MUREIN HYDROLASE EXPORT REGULATOR', NULL, NULL, NULL, 15),
(80578, NULL, 'PTHR14947:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80579, NULL, 'PTHR14255:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(80580, NULL, 'PTHR33286:SF32', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(80581, NULL, 'PTHR46651:SF3', NULL, NULL, NULL, NULL, 'SMR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80582, NULL, 'PTHR33270', NULL, NULL, NULL, NULL, 'BNAC05G50380D PROTEIN', NULL, NULL, 31072, 15),
(80583, NULL, 'PTHR45988:SF56', NULL, NULL, NULL, NULL, 'BNAA01G26030D PROTEIN', NULL, NULL, NULL, 15),
(80584, NULL, 'PTHR23266:SF293', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-49', NULL, NULL, NULL, 15),
(80585, NULL, 'PTHR27006:SF202', NULL, NULL, NULL, NULL, 'REPEAT TRANSMEMBRANE PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80586, NULL, 'PTHR43620:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80587, NULL, 'PTHR16736:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80588, NULL, 'PTHR31923:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80589, NULL, 'PTHR24178', NULL, NULL, NULL, NULL, 'MOLTING PROTEIN MLT-4', NULL, NULL, NULL, 15),
(80590, NULL, 'PTHR24399:SF37', NULL, NULL, NULL, NULL, 'B-CELL CLL/LYMPHOMA 6 MEMBER B PROTEIN', NULL, NULL, NULL, 15),
(80591, NULL, 'PTHR48052:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80592, NULL, 'PTHR13526:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPT20 HOMOLOG', NULL, NULL, NULL, 15),
(80593, NULL, 'PTHR46136:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80594, NULL, 'PTHR11886:SF39', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(80595, NULL, 'PTHR31150:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80596, NULL, 'PTHR31948:SF60', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 5', NULL, NULL, NULL, 15),
(80597, NULL, 'PTHR43767', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE', NULL, NULL, NULL, 15),
(80598, NULL, 'PTHR26453:SF321', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(80599, NULL, 'PTHR35818', NULL, NULL, NULL, NULL, 'C1ORF189', NULL, NULL, NULL, 15),
(80600, NULL, 'PTHR31304:SF41', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 38-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(80601, NULL, 'PTHR11822:SF36', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', NULL, NULL, NULL, 15),
(80602, NULL, 'PTHR31374:SF165', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR72', NULL, NULL, NULL, 15),
(80603, NULL, 'PTHR14237', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN COFACTOR SULFURASE  MOSC', NULL, NULL, NULL, 15),
(80604, NULL, 'PTHR10414', NULL, NULL, NULL, NULL, 'ETHANOLAMINEPHOSPHOTRANSFERASE', NULL, NULL, 9742, 15),
(80605, NULL, 'PTHR46821:SF5', NULL, NULL, NULL, NULL, 'BNAA03G47360D PROTEIN', NULL, NULL, NULL, 15),
(80606, NULL, 'PTHR32467:SF175', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(80607, NULL, 'PTHR45679:SF6', NULL, NULL, NULL, NULL, 'ER DEGRADATION-ENHANCING ALPHA-MANNOSIDASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(80608, NULL, 'PTHR31282:SF155', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 65-RELATED', NULL, NULL, NULL, 15),
(80609, NULL, 'PTHR35272:SF3', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBC', NULL, NULL, NULL, 15),
(80610, NULL, 'PTHR31731:SF110', NULL, NULL, NULL, NULL, 'BNAC08G10150D PROTEIN', NULL, NULL, NULL, 15),
(80611, NULL, 'PTHR32428', NULL, NULL, NULL, NULL, 'TARGET OF RAPAMYCIN COMPLEX 2 SUBUNIT BIT61-RELATED', NULL, NULL, 7864, 15),
(80612, NULL, 'PTHR24055:SF431', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(80613, NULL, 'PTHR46909:SF3', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L36, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(80614, NULL, 'PTHR12247:SF68', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN SCMH1', NULL, NULL, NULL, 15),
(80615, NULL, 'PTHR10671:SF93', NULL, NULL, NULL, NULL, 'SI:CH211-232M10.6', NULL, NULL, NULL, 15),
(80616, NULL, 'PTHR21720:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG00978', NULL, NULL, NULL, 15),
(80617, NULL, 'PTHR31479:SF5', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(80618, NULL, 'PTHR47959:SF9', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DEAD BOX FAMILY', NULL, NULL, NULL, 15),
(80619, NULL, 'PTHR32044:SF43', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 4-RELATED', NULL, NULL, NULL, 15),
(80620, NULL, 'PTHR38480', NULL, NULL, NULL, NULL, 'SLR0254 PROTEIN', NULL, NULL, NULL, 15),
(80621, NULL, 'PTHR43874:SF142', NULL, NULL, NULL, NULL, 'BNAC04G24580D PROTEIN', NULL, NULL, NULL, 15),
(80622, NULL, 'PTHR11964:SF58', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(80623, NULL, 'PTHR47656:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MIXL1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80624, NULL, 'PTHR22802:SF393', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN MANNOSE-BINDING ISOFORM-LIKE', NULL, NULL, NULL, 15),
(80625, NULL, 'PTHR21665:SF2', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(80626, NULL, 'PTHR33605:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80627, NULL, 'PTHR46829:SF1', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 15', NULL, NULL, NULL, 15),
(80628, NULL, 'PTHR14066:SF10', NULL, NULL, NULL, NULL, 'NATRIURETIC PEPTIDES B', NULL, NULL, NULL, 15),
(80629, NULL, 'PTHR24177:SF227', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80630, NULL, 'PTHR24377:SF624', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 837', NULL, NULL, NULL, 15),
(80631, NULL, 'PTHR43795:SF38', NULL, NULL, NULL, NULL, 'N-ACETYL-LL-DIAMINOPIMELATE AMINOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(80632, NULL, 'PTHR34806:SF1', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 3.2', NULL, NULL, NULL, 15),
(80633, NULL, 'PTHR23086:SF63', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(80634, NULL, 'PTHR33683', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80635, NULL, 'PTHR43245:SF8', NULL, NULL, NULL, NULL, 'CIPA-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01630)-RELATED', NULL, NULL, NULL, 15),
(80636, NULL, 'PTHR12313:SF7', NULL, NULL, NULL, NULL, 'OS03G0678400 PROTEIN', NULL, NULL, NULL, 15),
(80637, NULL, 'PTHR22893:SF109', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 8-RELATED', NULL, NULL, NULL, 15),
(80638, NULL, 'PTHR36959', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 24, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(80639, NULL, 'PTHR31247:SF16', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 198-B', NULL, NULL, NULL, 15),
(80640, NULL, 'PTHR31989:SF368', NULL, NULL, NULL, NULL, 'PROTEIN BEARSKIN2-LIKE', NULL, NULL, 34522, 15),
(80641, NULL, 'PTHR31111:SF25', NULL, NULL, NULL, NULL, 'F-BOX/ASSOCIATED INTERACTION DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(80642, NULL, 'PTHR10934:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18-1-RELATED', NULL, NULL, NULL, 15),
(80643, NULL, 'PTHR32212:SF326', NULL, NULL, NULL, NULL, 'OS07G0105200 PROTEIN', NULL, NULL, NULL, 15),
(80644, NULL, 'PTHR40763:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80645, NULL, 'PTHR43270:SF8', NULL, NULL, NULL, NULL, 'DI- AND TRIPEPTIDASE DUG2-RELATED', NULL, NULL, NULL, 15),
(80646, NULL, 'PTHR19422:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80647, NULL, 'PTHR21148:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80648, NULL, 'PTHR33180:SF16', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP43 REACTION CENTER PROTEIN', NULL, NULL, NULL, 15),
(80649, NULL, 'PTHR10366:SF713', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL 4-REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(80650, NULL, 'PTHR46561:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', NULL, NULL, NULL, 15),
(80651, NULL, 'PTHR10972:SF171', NULL, NULL, NULL, NULL, 'OSBP(OXYSTEROL-BINDING PROTEIN)-RELATED PROTEIN 1C', NULL, NULL, NULL, 15),
(80652, NULL, 'PTHR48162', NULL, NULL, NULL, NULL, 'YALI0A06930P', NULL, NULL, NULL, 15),
(80653, NULL, 'PTHR11106:SF110', NULL, NULL, NULL, NULL, 'APPR-1-P PROCESSING ENZYME FAMILY PROTEIN', NULL, NULL, NULL, 15),
(80654, NULL, 'PTHR34193:SF1', NULL, NULL, NULL, NULL, 'OS11G0199801 PROTEIN', NULL, NULL, NULL, 15),
(80655, NULL, 'PTHR15410:SF2', NULL, NULL, NULL, NULL, 'HIRA-INTERACTING PROTEIN 3', NULL, NULL, NULL, 15),
(80656, NULL, 'PTHR33052:SF83', NULL, NULL, NULL, NULL, 'OS01G0304400 PROTEIN', NULL, NULL, NULL, 15),
(80657, NULL, 'PTHR12962:SF3', NULL, NULL, NULL, NULL, 'CALCIUM-REGULATED HEAT-STABLE PROTEIN 1', NULL, NULL, NULL, 15),
(80658, NULL, 'PTHR23201:SF100', NULL, NULL, NULL, NULL, 'GIBBERELLIN REGULATED PROTEIN-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80659, NULL, 'PTHR42923:SF31', NULL, NULL, NULL, NULL, 'BNACNNG70650D PROTEIN', NULL, NULL, NULL, 15),
(80660, NULL, 'PTHR40691:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80661, NULL, 'PTHR31865:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80662, NULL, 'PTHR23227:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80663, NULL, 'PTHR15989:SF5', NULL, NULL, NULL, NULL, 'VEZATIN', NULL, NULL, NULL, 15),
(80664, NULL, 'PTHR22957:SF516', NULL, NULL, NULL, NULL, 'OS09G0528800 PROTEIN', NULL, NULL, NULL, 15),
(80665, NULL, 'PTHR13362:SF3', NULL, NULL, NULL, NULL, 'BNAA09G17220D PROTEIN', NULL, NULL, NULL, 15),
(80666, NULL, 'PTHR11088:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80667, NULL, 'PTHR34427:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80668, NULL, 'PTHR10794', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(80669, NULL, 'PTHR21646:SF6', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 21', NULL, NULL, NULL, 15),
(80670, NULL, 'PTHR15711:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80671, NULL, 'PTHR21576:SF80', NULL, NULL, NULL, NULL, 'FACILITATOR SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80672, NULL, 'PTHR45757:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG01117', NULL, NULL, NULL, 15),
(80673, NULL, 'PTHR31086:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80674, NULL, 'PTHR23063:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80675, NULL, 'PTHR24015:SF856', NULL, NULL, NULL, NULL, 'OS01G0299150 PROTEIN', NULL, NULL, NULL, 15),
(80676, NULL, 'PTHR10150:SF0', NULL, NULL, NULL, NULL, 'DNA REPAIR ENDONUCLEASE XPF', NULL, NULL, NULL, 15),
(80677, NULL, 'PTHR12319', NULL, NULL, NULL, NULL, 'CYSTATIN-RELATED', NULL, NULL, NULL, 15),
(80678, NULL, 'PTHR10151', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(80679, NULL, 'PTHR11592:SF44', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(80680, NULL, 'PTHR12591:SF5', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATASE', NULL, NULL, NULL, 15),
(80681, NULL, 'PTHR45011:SF1', NULL, NULL, NULL, NULL, 'DAP3-BINDING CELL DEATH ENHANCER 1', NULL, NULL, NULL, 15),
(80682, NULL, 'PTHR31072:SF125', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP15', NULL, NULL, NULL, 15),
(80683, NULL, 'PTHR10918:SF4', NULL, NULL, NULL, NULL, 'HOMER PROTEIN HOMOLOG 3', NULL, NULL, NULL, 15),
(80684, NULL, 'PTHR23115:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80685, NULL, 'PTHR27006:SF418', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 11', NULL, NULL, NULL, 15),
(80686, NULL, 'PTHR12027:SF105', NULL, NULL, NULL, NULL, 'PROTEIN WNT-4A', NULL, NULL, NULL, 15),
(80687, NULL, 'PTHR14456', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE KINASE 1', NULL, NULL, 13601, 15),
(80688, NULL, 'PTHR11913:SF55', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 10-LIKE', NULL, NULL, NULL, 15),
(80689, NULL, 'PTHR31235:SF61', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(80690, NULL, 'PTHR14000:SF30', NULL, NULL, NULL, NULL, 'BNAC05G08300D PROTEIN', NULL, NULL, NULL, 15),
(80691, NULL, 'PTHR36569', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80692, NULL, 'PTHR46170', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN WDR59', NULL, NULL, NULL, 15),
(80693, NULL, 'PTHR45954:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN-SIGNALING MODULATOR 1', NULL, NULL, NULL, 15),
(80694, NULL, 'PTHR31785:SF2', NULL, NULL, NULL, NULL, 'UPF0524 PROTEIN C3ORF70', NULL, NULL, NULL, 15),
(80695, NULL, 'PTHR46151:SF24', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80696, NULL, 'PTHR46412:SF4', NULL, NULL, NULL, NULL, 'BHLH PROTEIN-LIKE', NULL, NULL, NULL, 15),
(80697, NULL, 'PTHR46723', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IQ DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80698, NULL, 'PTHR46519:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80699, NULL, 'PTHR11132:SF409', NULL, NULL, NULL, NULL, 'BNACNNG38240D PROTEIN', NULL, NULL, 29877, 15),
(80700, NULL, 'PTHR11528:SF114', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90-5 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(80701, NULL, 'PTHR13015', NULL, NULL, NULL, NULL, 'PROTEIN AD-016-RELATED', NULL, NULL, 15425, 15),
(80702, NULL, 'PTHR10766:SF134', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(80703, NULL, 'PTHR10210:SF91', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 3', NULL, NULL, NULL, 15),
(80704, NULL, 'PTHR11360:SF84', NULL, NULL, NULL, NULL, 'ZGC:114041', NULL, NULL, NULL, 15),
(80705, NULL, 'PTHR28009', NULL, NULL, NULL, NULL, 'PHEROMONE ALPHA FACTOR RECEPTOR', NULL, NULL, 371, 15),
(80706, NULL, 'PTHR31384:SF8', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 11', NULL, NULL, NULL, 15),
(80707, NULL, 'PTHR24363:SF6', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING KINASE FAMILY, MEMBER 3', NULL, NULL, NULL, 15),
(80708, NULL, 'PTHR11926:SF1390', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(80709, NULL, 'PTHR11803:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80710, NULL, 'PTHR45640:SF6', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(80711, NULL, 'PTHR21403:SF9', NULL, NULL, NULL, NULL, 'BNAA01G21560D PROTEIN', NULL, NULL, NULL, 15),
(80712, NULL, 'PTHR39470', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(80713, NULL, 'PTHR21654:SF92', NULL, NULL, NULL, NULL, 'BNAA03G01020D PROTEIN', NULL, NULL, NULL, 15),
(80714, NULL, 'PTHR23322:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATING ENZYME', NULL, NULL, NULL, 15),
(80715, NULL, 'PTHR44579:SF2', NULL, NULL, NULL, NULL, 'OS01G0730500 PROTEIN', NULL, NULL, NULL, 15),
(80716, NULL, 'PTHR11260:SF589', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U16', NULL, NULL, NULL, 15),
(80717, NULL, 'PTHR11132:SF421', NULL, NULL, NULL, NULL, 'TRIOSE PHOSPHATE/PHOSPHOENOLPYRUVATE TRANSLOCATOR-RELATED', NULL, NULL, NULL, 15),
(80718, NULL, 'PTHR24177:SF131', NULL, NULL, NULL, NULL, 'OS11G0434850 PROTEIN', NULL, NULL, NULL, 15),
(80719, NULL, 'PTHR43675:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80720, NULL, 'PTHR47944:SF1', NULL, NULL, NULL, NULL, 'OS08G0456200 PROTEIN', NULL, NULL, NULL, 15),
(80721, NULL, 'PTHR19134:SF206', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE MU', NULL, NULL, NULL, 15),
(80722, NULL, 'PTHR26379:SF370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80723, NULL, 'PTHR10705:SF2', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT DAD1', NULL, NULL, NULL, 15),
(80724, NULL, 'PTHR31673:SF35', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(80725, NULL, 'PTHR31325:SF214', NULL, NULL, NULL, NULL, 'OS03G0358500 PROTEIN', NULL, NULL, NULL, 15),
(80726, NULL, 'PTHR23220:SF90', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-7', NULL, NULL, NULL, 15),
(80727, NULL, 'PTHR11727:SF13', NULL, NULL, NULL, NULL, 'DIMETHYLADENOSINE TRANSFERASE 2, MITOCHONDRIAL', NULL, NULL, 16490, 15),
(80728, NULL, 'PTHR11200:SF273', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE 5-PHOSPHATASE', NULL, NULL, NULL, 15),
(80729, NULL, 'PTHR45969:SF46', NULL, NULL, NULL, NULL, 'BNAA09G11240D PROTEIN', NULL, NULL, NULL, 15),
(80730, NULL, 'PTHR19359:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80731, NULL, 'PTHR31867:SF88', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(80732, NULL, 'PTHR28039:SF10', NULL, NULL, NULL, NULL, 'CHALCONE--FLAVONONE ISOMERASE 1A', NULL, NULL, NULL, 15),
(80733, NULL, 'PTHR31992:SF152', NULL, NULL, NULL, NULL, 'BNAUNNG03510D PROTEIN', NULL, NULL, NULL, 15),
(80734, NULL, 'PTHR11736:SF11', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN D2', NULL, NULL, 27832, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80735, NULL, 'PTHR31852:SF144', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(80736, NULL, 'PTHR14445:SF41', NULL, NULL, NULL, NULL, 'FI21477P1', NULL, NULL, NULL, 15),
(80737, NULL, 'PTHR31989:SF251', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 90-LIKE', NULL, NULL, NULL, 15),
(80738, NULL, 'PTHR22937:SF65', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF165', NULL, NULL, NULL, 15),
(80739, NULL, 'PTHR47766', NULL, NULL, NULL, NULL, 'PROTEIN EFR3', NULL, NULL, 29835, 15),
(80740, NULL, 'PTHR38037:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80741, NULL, 'PTHR43322:SF3', NULL, NULL, NULL, NULL, '1-D-DEOXYXYLULOSE 5-PHOSPHATE SYNTHASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(80742, NULL, 'PTHR43093:SF1', NULL, NULL, NULL, NULL, '3-CARBOXY-CIS,CIS-MUCONATE CYCLOISOMERASE', NULL, NULL, NULL, 15),
(80743, NULL, 'PTHR23267:SF376', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80744, NULL, 'PTHR47847:SF4', NULL, NULL, NULL, NULL, 'BNACNNG64020D PROTEIN', NULL, NULL, NULL, 15),
(80745, NULL, 'PTHR46705:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09804', NULL, NULL, NULL, 15),
(80746, NULL, 'PTHR24320:SF232', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80747, NULL, 'PTHR11994:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(80748, NULL, 'PTHR42771', NULL, NULL, NULL, NULL, 'IRON(3+)-HYDROXAMATE IMPORT ATP-BINDING PROTEIN FHUC', NULL, NULL, NULL, 15),
(80749, NULL, 'PTHR13690:SF119', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(80750, NULL, 'PTHR23117:SF22', NULL, NULL, NULL, NULL, 'GUANYLATE KINASE 1B', NULL, NULL, NULL, 15),
(80751, NULL, 'PTHR34682:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80752, NULL, 'PTHR10807', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED', NULL, NULL, 26549, 15),
(80753, NULL, 'PTHR42686', NULL, NULL, NULL, NULL, 'GH17980P-RELATED', NULL, NULL, 19717, 15),
(80754, NULL, 'PTHR46992:SF1', NULL, NULL, NULL, NULL, 'GYF DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(80755, NULL, 'PTHR33059:SF87', NULL, NULL, NULL, NULL, 'OS08G0407600 PROTEIN', NULL, NULL, NULL, 15),
(80756, NULL, 'PTHR12448:SF0', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT EPSILON, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(80757, NULL, 'PTHR35544:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL BIOGENESIS FACTOR', NULL, NULL, NULL, 15),
(80758, NULL, 'PTHR36048:SF1', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION FACTOR', NULL, NULL, NULL, 15),
(80759, NULL, 'PTHR46034:SF10', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(80760, NULL, 'PTHR28055:SF1', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 41, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(80761, NULL, 'PTHR42841:SF5', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(80762, NULL, 'PTHR26454:SF1', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(80763, NULL, 'PTHR27008:SF439', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80764, NULL, 'PTHR31681:SF48', NULL, NULL, NULL, NULL, 'BNAC01G19380D PROTEIN', NULL, NULL, NULL, 15),
(80765, NULL, 'PTHR22957:SF507', NULL, NULL, NULL, NULL, 'OS08G0547200 PROTEIN', NULL, NULL, NULL, 15),
(80766, NULL, 'PTHR15715:SF22', NULL, NULL, NULL, NULL, 'SARCOLEMMAL MEMBRANE-ASSOCIATED PROTEIN', NULL, NULL, 22308, 15),
(80767, NULL, 'PTHR18860:SF117', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 IOTA', NULL, NULL, NULL, 15),
(80768, NULL, 'PTHR45636:SF3', NULL, NULL, NULL, NULL, 'PROTEIN GOOSEBERRY-RELATED', NULL, NULL, NULL, 15),
(80769, NULL, 'PTHR11909:SF98', NULL, NULL, NULL, NULL, 'PROTEIN CBG09052', NULL, NULL, NULL, 15),
(80770, NULL, 'PTHR31354:SF10', NULL, NULL, NULL, NULL, 'PLANT/F10M23-360 PROTEIN', NULL, NULL, NULL, 15),
(80771, NULL, 'PTHR11995:SF14', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 7, MITOCHONDRIAL', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80772, NULL, 'PTHR33184:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80773, NULL, 'PTHR12560:SF57', NULL, NULL, NULL, NULL, 'ASSURANCE FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80774, NULL, 'PTHR48032:SF9', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(80775, NULL, 'PTHR15397', NULL, NULL, NULL, NULL, 'SODIUM-GLUCOSE COTRANSPORTER REGULATORY PROTEIN -RELATED', NULL, NULL, 35601, 15),
(80776, NULL, 'PTHR38435:SF2', NULL, NULL, NULL, NULL, 'OUTER SURFACE PROTEIN', NULL, NULL, NULL, 15),
(80777, NULL, 'PTHR11255:SF34', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE THETA', NULL, NULL, NULL, 15),
(80778, NULL, 'PTHR37195:SF2', NULL, NULL, NULL, NULL, 'OS01G0332900 PROTEIN', NULL, NULL, NULL, 15),
(80779, NULL, 'PTHR35302', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 20249, 15),
(80780, NULL, 'PTHR43493:SF1', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 4 SUBUNIT A', NULL, NULL, NULL, 15),
(80781, NULL, 'PTHR10353:SF175', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 18-LIKE', NULL, NULL, NULL, 15),
(80782, NULL, 'PTHR45636:SF6', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-8', NULL, NULL, NULL, 15),
(80783, NULL, 'PTHR45617:SF110', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 22-RELATED', NULL, NULL, NULL, 15),
(80784, NULL, 'PTHR33132:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80785, NULL, 'PTHR23219:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE', NULL, NULL, NULL, 15),
(80786, NULL, 'PTHR12751:SF4', NULL, NULL, NULL, NULL, 'PHOSPHATASE AND ACTIN REGULATOR 4', NULL, NULL, 22456, 15),
(80787, NULL, 'PTHR48220:SF1', NULL, NULL, NULL, NULL, 'AFR324WP', NULL, NULL, NULL, 15),
(80788, NULL, 'PTHR10457:SF21', NULL, NULL, NULL, NULL, 'L-ARABINOKINASE', NULL, NULL, NULL, 15),
(80789, NULL, 'PTHR23280:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80790, NULL, 'PTHR45634:SF3', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 8', NULL, NULL, NULL, 15),
(80791, NULL, 'PTHR24220:SF376', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', NULL, NULL, NULL, 15),
(80792, NULL, 'PTHR11746:SF248', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80793, NULL, 'PTHR16821:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80794, NULL, 'PTHR45730:SF62', NULL, NULL, NULL, NULL, 'BNACNNG19040D PROTEIN', NULL, NULL, NULL, 15),
(80795, NULL, 'PTHR35117:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-M HEAVY PROTEIN', NULL, NULL, NULL, 15),
(80796, NULL, 'PTHR12356:SF18', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(80797, NULL, 'PTHR10632:SF2', NULL, NULL, NULL, NULL, 'SULFIDE:QUINONE OXIDOREDUCTASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(80798, NULL, 'PTHR34109:SF4', NULL, NULL, NULL, NULL, 'LYASE-RELATED', NULL, NULL, NULL, 15),
(80799, NULL, 'PTHR34222:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80800, NULL, 'PTHR14237:SF68', NULL, NULL, NULL, NULL, 'BNACNNG19370D PROTEIN', NULL, NULL, NULL, 15),
(80801, NULL, 'PTHR23324:SF64', NULL, NULL, NULL, NULL, 'SEC14-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(80802, NULL, 'PTHR19876:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80803, NULL, 'PTHR46383', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(80804, NULL, 'PTHR27002:SF724', NULL, NULL, NULL, NULL, 'BNAA09G13750D PROTEIN', NULL, NULL, NULL, 15),
(80805, NULL, 'PTHR45800:SF17', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-AND 4-KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(80806, NULL, 'PTHR12632:SF68', NULL, NULL, NULL, NULL, 'CCAAT-BINDING TRANSCRIPTION FACTOR SUBUNIT B FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(80807, NULL, 'PTHR11017:SF431', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(80808, NULL, 'PTHR12211:SF0', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM RESIDENT PROTEIN 29', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80809, NULL, 'PTHR46159:SF16', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80810, NULL, 'PTHR13844:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80811, NULL, 'PTHR21277:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COACTIVATOR HFI1/TRANSCRIPTIONAL ADAPTER 1-RELATED', NULL, NULL, NULL, 15),
(80812, NULL, 'PTHR28181:SF1', NULL, NULL, NULL, NULL, 'UPF0655 PROTEIN YCR015C', NULL, NULL, NULL, 15),
(80813, NULL, 'PTHR47347:SF2', NULL, NULL, NULL, NULL, 'GOLGIN CANDIDATE 5', NULL, NULL, NULL, 15),
(80814, NULL, 'PTHR10426:SF94', NULL, NULL, NULL, NULL, 'STRICTOSIDINE SYNTHASE', NULL, NULL, NULL, 15),
(80815, NULL, 'PTHR13282', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 9615, 15),
(80816, NULL, 'PTHR31168', NULL, NULL, NULL, NULL, 'OS02G0292800 PROTEIN', NULL, NULL, NULL, 15),
(80817, NULL, 'PTHR42643:SF23', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 68B-RELATED', NULL, NULL, NULL, 15),
(80818, NULL, 'PTHR32444:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80819, NULL, 'PTHR31985:SF211', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF018', NULL, NULL, NULL, 15),
(80820, NULL, 'PTHR12210:SF147', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(80821, NULL, 'PTHR34136:SF2', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-D-MANNOSAMINURONIC ACID TRANSFERASE', NULL, NULL, NULL, 15),
(80822, NULL, 'PTHR34360:SF10', NULL, NULL, NULL, NULL, 'GOLGIN FAMILY A PROTEIN', NULL, NULL, NULL, 15),
(80823, NULL, 'PTHR24408:SF51', NULL, NULL, NULL, NULL, 'TELOMERE ZINC FINGER-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(80824, NULL, 'PTHR48021:SF62', NULL, NULL, NULL, NULL, 'BNAA09G15640D PROTEIN', NULL, NULL, NULL, 15),
(80825, NULL, 'PTHR31207:SF22', NULL, NULL, NULL, NULL, 'PROLAMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(80826, NULL, 'PTHR13234:SF60', NULL, NULL, NULL, NULL, 'BNAC05G04890D PROTEIN', NULL, NULL, NULL, 15),
(80827, NULL, 'PTHR24098:SF0', NULL, NULL, NULL, NULL, 'OUTER SEGMENT 5', NULL, NULL, NULL, 15),
(80828, NULL, 'PTHR13238', NULL, NULL, NULL, NULL, 'PROTEIN C21ORF59', NULL, NULL, 17911, 15),
(80829, NULL, 'PTHR10791:SF174', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(80830, NULL, 'PTHR11778:SF2', NULL, NULL, NULL, NULL, 'SERINE--TRNA SYNTHETASE-LIKE PROTEIN SLIMP', NULL, NULL, NULL, 15),
(80831, NULL, 'PTHR34846:SF5', NULL, NULL, NULL, NULL, '4-CARBOXYMUCONOLACTONE DECARBOXYLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G11590)', NULL, NULL, NULL, 15),
(80832, NULL, 'PTHR43874:SF141', NULL, NULL, NULL, NULL, 'BNACNNG27500D PROTEIN', NULL, NULL, NULL, 15),
(80833, NULL, 'PTHR10627:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80834, NULL, 'PTHR46153:SF22', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(80835, NULL, 'PTHR10388:SF51', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1B', NULL, NULL, NULL, 15),
(80836, NULL, 'PTHR22298:SF116', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 21', NULL, NULL, NULL, 15),
(80837, NULL, 'PTHR33864:SF4', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(80838, NULL, 'PTHR43888:SF35', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN HOMOLOG 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(80839, NULL, 'PTHR24225:SF51', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 1', NULL, NULL, NULL, 15),
(80840, NULL, 'PTHR11926:SF1064', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(80841, NULL, 'PTHR31048:SF93', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(80842, NULL, 'PTHR48044:SF27', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(80843, NULL, 'PTHR10547:SF7', NULL, NULL, NULL, NULL, 'SEMINAL VESICLE SECRETORY PROTEIN 3A-RELATED', NULL, NULL, NULL, 15),
(80844, NULL, 'PTHR24408:SF44', NULL, NULL, NULL, NULL, 'PROTEIN CBG05648', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80845, NULL, 'PTHR14650:SF1', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE AND IRON-DEPENDENT OXYGENASE DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(80846, NULL, 'PTHR31642:SF145', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID-RELATED ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(80847, NULL, 'PTHR11122:SF33', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(80848, NULL, 'PTHR13489', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 17698, 15),
(80849, NULL, 'PTHR45655:SF4', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE SOLUBLE SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(80850, NULL, 'PTHR14089:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80851, NULL, 'PTHR12506:SF50', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 26', NULL, NULL, NULL, 15),
(80852, NULL, 'PTHR20963:SF47', NULL, NULL, NULL, NULL, 'GH13296P', NULL, NULL, NULL, 15),
(80853, NULL, 'PTHR11347:SF198', NULL, NULL, NULL, NULL, 'CAMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE, ISOFORM I', NULL, NULL, NULL, 15),
(80854, NULL, 'PTHR11700:SF9', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S10, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(80855, NULL, 'PTHR11540:SF54', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(80856, NULL, 'PTHR32009:SF60', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(80857, NULL, 'PTHR34876:SF4', NULL, NULL, NULL, NULL, '1,4-BETA-D-GLUCAN CELLOBIOHYDROLASE C-RELATED', NULL, NULL, NULL, 15),
(80858, NULL, 'PTHR10485:SF22', NULL, NULL, NULL, NULL, 'BNAC08G19240D PROTEIN', NULL, NULL, NULL, 15),
(80859, NULL, 'PTHR10315:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80860, NULL, 'PTHR43939:SF7', NULL, NULL, NULL, NULL, 'HOLOCENTRIC CHROMOSOME BINDING PROTEIN', NULL, NULL, NULL, 15),
(80861, NULL, 'PTHR13318:SF176', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN AT-B', NULL, NULL, NULL, 15),
(80862, NULL, 'PTHR23235:SF42', NULL, NULL, NULL, NULL, 'EARLY GROWTH RESPONSE PROTEIN 1', NULL, NULL, NULL, 15),
(80863, NULL, 'PTHR43844', NULL, NULL, NULL, NULL, 'METHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(80864, NULL, 'PTHR12353', NULL, NULL, NULL, NULL, 'DISKS LARGE-ASSOCIATED PROTEIN  DAP   SAP90/PSD-95-ASSOCIATED PROTEIN', NULL, NULL, 1271, 15),
(80865, NULL, 'PTHR47130:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.11', NULL, NULL, NULL, 15),
(80866, NULL, 'PTHR45980:SF17', NULL, NULL, NULL, NULL, 'BNAA07G25360D PROTEIN', NULL, NULL, NULL, 15),
(80867, NULL, 'PTHR38400', NULL, NULL, NULL, NULL, 'OS02G0317800 PROTEIN', NULL, NULL, NULL, 15),
(80868, NULL, 'PTHR45654:SF33', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN PROTODERMAL FACTOR 2', NULL, NULL, NULL, 15),
(80869, NULL, 'PTHR36406:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 30', NULL, NULL, NULL, 15),
(80870, NULL, 'PTHR12483:SF49', NULL, NULL, NULL, NULL, 'PROTEIN CBG20078', NULL, NULL, NULL, 15),
(80871, NULL, 'PTHR43574:SF24', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(80872, NULL, 'PTHR17583:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE 3-KINASE REGULATORY SUBUNIT 4', NULL, NULL, NULL, 15),
(80873, NULL, 'PTHR13568:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 203', NULL, NULL, NULL, 15),
(80874, NULL, 'PTHR31659:SF9', NULL, NULL, NULL, NULL, 'PROTEIN: UPF0503-LIKE PROTEIN, PUTATIVE (DUF740)-RELATED', NULL, NULL, NULL, 15),
(80875, NULL, 'PTHR22617:SF23', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN CHEW', NULL, NULL, NULL, 15),
(80876, NULL, 'PTHR15029', NULL, NULL, NULL, NULL, 'CAMPATH-1 ANTIGEN', NULL, NULL, 24451, 15),
(80877, NULL, 'PTHR31213:SF97', NULL, NULL, NULL, NULL, 'OS08G0374000 PROTEIN', NULL, NULL, NULL, 15),
(80878, NULL, 'PTHR42945', NULL, NULL, NULL, NULL, 'HISTIDINE BIOSYNTHESIS BIFUNCTIONAL PROTEIN', NULL, NULL, NULL, 15),
(80879, NULL, 'PTHR30176:SF3', NULL, NULL, NULL, NULL, 'FERREDOXIN-TYPE PROTEIN NAPH', NULL, NULL, NULL, 15),
(80880, NULL, 'PTHR11913:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80881, NULL, 'PTHR14614:SF132', NULL, NULL, NULL, NULL, 'UPF0665 FAMILY PROTEIN C23C4.06C', NULL, NULL, NULL, 15),
(80882, NULL, 'PTHR23534:SF1', NULL, NULL, NULL, NULL, 'MFS PERMEASE', NULL, NULL, NULL, 15),
(80883, NULL, 'PTHR23195:SF15', NULL, NULL, NULL, NULL, 'YEATS DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 33056, 15),
(80884, NULL, 'PTHR30161:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHESIS PROTEIN FLHA-RELATED', NULL, NULL, NULL, 15),
(80885, NULL, 'PTHR11036:SF135', NULL, NULL, NULL, NULL, 'SEMAPHORIN-4E-RELATED', NULL, NULL, NULL, 15),
(80886, NULL, 'PTHR38400:SF1', NULL, NULL, NULL, NULL, 'OS02G0317800 PROTEIN', NULL, NULL, NULL, 15),
(80887, NULL, 'PTHR21495:SF52', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(80888, NULL, 'PTHR33784:SF24', NULL, NULL, NULL, NULL, 'BNACNNG11770D PROTEIN', NULL, NULL, NULL, 15),
(80889, NULL, 'PTHR22912:SF94', NULL, NULL, NULL, NULL, 'DIHYDROLIPOAMIDE DEHYDROGENASE, POINT MUTATION', NULL, NULL, NULL, 15),
(80890, NULL, 'PTHR45621:SF130', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE KINASE KINASE STE11, CRYPTOCOCCUS-RELATED', NULL, NULL, NULL, 15),
(80891, NULL, 'PTHR16705:SF6', NULL, NULL, NULL, NULL, 'COMPLEXIN-1', NULL, NULL, NULL, 15),
(80892, NULL, 'PTHR15710:SF91', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE', NULL, NULL, NULL, 15),
(80893, NULL, 'PTHR21576', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED NODULIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(80894, NULL, 'PTHR30222:SF17', NULL, NULL, NULL, NULL, 'SPERMIDINE/PUTRESCINE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(80895, NULL, 'PTHR45744:SF9', NULL, NULL, NULL, NULL, 'TYROSINE TRANSAMINASE FAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(80896, NULL, 'PTHR13318:SF119', NULL, NULL, NULL, NULL, 'OS06G0679700 PROTEIN', NULL, NULL, NULL, 15),
(80897, NULL, 'PTHR19375:SF458', NULL, NULL, NULL, NULL, 'SI:CH211-199O1.2', NULL, NULL, NULL, 15),
(80898, NULL, 'PTHR11705:SF69', NULL, NULL, NULL, NULL, 'PROTEIN CBG05158', NULL, NULL, NULL, 15),
(80899, NULL, 'PTHR24028:SF265', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-6', NULL, NULL, NULL, 15),
(80900, NULL, 'PTHR10489:SF611', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 6', NULL, NULL, 1757, 15),
(80901, NULL, 'PTHR31218:SF162', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(80902, NULL, 'PTHR11266:SF8', NULL, NULL, NULL, NULL, 'MPV17-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(80903, NULL, 'PTHR10379:SF14', NULL, NULL, NULL, NULL, 'NERVY, ISOFORM D', NULL, NULL, NULL, 15),
(80904, NULL, 'PTHR38456', NULL, NULL, NULL, NULL, 'CYCLIC DI-AMP RECEPTOR A', NULL, NULL, 9037, 15),
(80905, NULL, 'PTHR47958:SF40', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80906, NULL, 'PTHR26453:SF203', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(80907, NULL, 'PTHR11260:SF583', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U10', NULL, NULL, NULL, 15),
(80908, NULL, 'PTHR33156:SF56', NULL, NULL, NULL, NULL, 'BNAA02G35030D PROTEIN', NULL, NULL, 31613, 15),
(80909, NULL, 'PTHR31358:SF36', NULL, NULL, NULL, NULL, 'TPX2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80910, NULL, 'PTHR43795:SF78', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(80911, NULL, 'PTHR32246:SF72', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(80912, NULL, 'PTHR24177:SF109', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80913, NULL, 'PTHR11003:SF32', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 10', NULL, NULL, NULL, 15),
(80914, NULL, 'PTHR31579:SF63', NULL, NULL, NULL, NULL, 'BNAC08G15290D PROTEIN', NULL, NULL, NULL, 15),
(80915, NULL, 'PTHR31769:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80916, NULL, 'PTHR47977:SF23', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-18', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80917, NULL, 'PTHR48007:SF21', NULL, NULL, NULL, NULL, 'STRUBBELIG FAMILY RECEPTOR PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(80918, NULL, 'PTHR35545:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80919, NULL, 'PTHR46586', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(80920, NULL, 'PTHR22883:SF57', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(80921, NULL, 'PTHR31790:SF323', NULL, NULL, NULL, NULL, 'F-BOX/LRR PROTEIN', NULL, NULL, NULL, 15),
(80922, NULL, 'PTHR11675:SF37', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 18', NULL, NULL, NULL, 15),
(80923, NULL, 'PTHR11728:SF36', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)] 3, CYTOSOLIC-RELATED', NULL, NULL, NULL, 15),
(80924, NULL, 'PTHR20875', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(80925, NULL, 'PTHR43503:SF12', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN PRX1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80926, NULL, 'PTHR47657:SF3', NULL, NULL, NULL, NULL, 'ORSELLINIC ACID/F9775 BIOSYNTHESIS CLUSTER PROTEIN D-RELATED', NULL, NULL, NULL, 15),
(80927, NULL, 'PTHR10317:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80928, NULL, 'PTHR33880', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 34391, 15),
(80929, NULL, 'PTHR34477', NULL, NULL, NULL, NULL, 'UPF0213 PROTEIN YHBQ', NULL, NULL, NULL, 15),
(80930, NULL, 'PTHR36312:SF10', NULL, NULL, NULL, NULL, 'BNACNNG07530D PROTEIN', NULL, NULL, NULL, 15),
(80931, NULL, 'PTHR24416:SF554', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE F09A5.2-RELATED', NULL, NULL, NULL, 15),
(80932, NULL, 'PTHR16046:SF11', NULL, NULL, NULL, NULL, 'PROTEIN FAM178B', NULL, NULL, NULL, 15),
(80933, NULL, 'PTHR19051:SF21', NULL, NULL, NULL, NULL, 'PHAGE TAIL FIBER REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(80934, NULL, 'PTHR11876:SF31', NULL, NULL, NULL, NULL, 'DEFENSIN ALPHA 10-RELATED', NULL, NULL, NULL, 15),
(80935, NULL, 'PTHR45821:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CHROMATIN REMODELING 35', NULL, NULL, NULL, 15),
(80936, NULL, 'PTHR48026:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80937, NULL, 'PTHR34660:SF3', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN X', NULL, NULL, NULL, 15),
(80938, NULL, 'PTHR23084:SF240', NULL, NULL, NULL, NULL, 'AT19426P', NULL, NULL, NULL, 15),
(80939, NULL, 'PTHR11334:SF31', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER B3', NULL, NULL, NULL, 15),
(80940, NULL, 'PTHR46294:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX EVEN-SKIPPED HOMOLOG PROTEIN 2', NULL, NULL, NULL, 15),
(80941, NULL, 'PTHR48053:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80942, NULL, 'PTHR31224', NULL, NULL, NULL, NULL, 'UNC119-BINDING PROTEIN C5ORF30', NULL, NULL, 28671, 15),
(80943, NULL, 'PTHR33447:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80944, NULL, 'PTHR10555:SF171', NULL, NULL, NULL, NULL, 'SORTING NEXIN 1B', NULL, NULL, NULL, 15),
(80945, NULL, 'PTHR33427:SF4', NULL, NULL, NULL, NULL, 'BNAC05G52000D PROTEIN', NULL, NULL, NULL, 15),
(80946, NULL, 'PTHR34397', NULL, NULL, NULL, NULL, 'OS05G0237600 PROTEIN', NULL, NULL, NULL, 15),
(80947, NULL, 'PTHR19422:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80948, NULL, 'PTHR27009:SF174', NULL, NULL, NULL, NULL, 'BNAA08G06440D PROTEIN', NULL, NULL, NULL, 15),
(80949, NULL, 'PTHR32227:SF352', NULL, NULL, NULL, NULL, 'BNAA03G51300D PROTEIN', NULL, NULL, NULL, 15),
(80950, NULL, 'PTHR28585:SF1', NULL, NULL, NULL, NULL, 'TUBEROINFUNDIBULAR PEPTIDE OF 39 RESIDUES', NULL, NULL, NULL, 15),
(80951, NULL, 'PTHR47975:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(80952, NULL, 'PTHR42939:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(80953, NULL, 'PTHR23220:SF79', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-E', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80954, NULL, 'PTHR23531', NULL, NULL, NULL, NULL, 'QUINOLENE RESISTANCE PROTEIN NORA', NULL, NULL, NULL, 15),
(80955, NULL, 'PTHR30636', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 11239, 15),
(80956, NULL, 'PTHR23513:SF9', NULL, NULL, NULL, NULL, 'ENTEROBACTIN EXPORTER ENTS', NULL, NULL, NULL, 15),
(80957, NULL, 'PTHR33157:SF5', NULL, NULL, NULL, NULL, 'AUTONOMOUS TRANSPOSABLE ELEMENT EN-1 MOSAIC PROTEIN', NULL, NULL, NULL, 15),
(80958, NULL, 'PTHR22597:SF21', NULL, NULL, NULL, NULL, 'BNAA02G11340D PROTEIN', NULL, NULL, NULL, 15),
(80959, NULL, 'PTHR47560', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(80960, NULL, 'PTHR10374:SF19', NULL, NULL, NULL, NULL, 'LYASE (GLO1), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G13550)-RELATED', NULL, NULL, NULL, 15),
(80961, NULL, 'PTHR32258:SF10', NULL, NULL, NULL, NULL, 'OS03G0161100 PROTEIN', NULL, NULL, NULL, 15),
(80962, NULL, 'PTHR11851:SF209', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(80963, NULL, 'PTHR11571:SF222', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(80964, NULL, 'PTHR32021:SF39', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(80965, NULL, 'PTHR33969:SF2', NULL, NULL, NULL, NULL, 'SEGREGATION AND CONDENSATION PROTEIN A', NULL, NULL, NULL, 15),
(80966, NULL, 'PTHR23070:SF152', NULL, NULL, NULL, NULL, 'CHAPERONE BCS1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80967, NULL, 'PTHR47991:SF5', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE', NULL, NULL, NULL, 15),
(80968, NULL, 'PTHR24376:SF93', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 473', NULL, NULL, NULL, 15),
(80969, NULL, 'PTHR11945:SF512', NULL, NULL, NULL, NULL, 'BNAC06G24370D PROTEIN', NULL, NULL, NULL, 15),
(80970, NULL, 'PTHR48092:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP H MEMBER 2', NULL, NULL, NULL, 15),
(80971, NULL, 'PTHR23024:SF486', NULL, NULL, NULL, NULL, 'PROTEIN CBG16012', NULL, NULL, NULL, 15),
(80972, NULL, 'PTHR14449', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP F PROTEIN FANCF', NULL, NULL, 19207, 15),
(80973, NULL, 'PTHR48018:SF60', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9Q1', NULL, NULL, NULL, 15),
(80974, NULL, 'PTHR34777:SF1', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(80975, NULL, 'PTHR46128:SF130', NULL, NULL, NULL, NULL, 'BNAC05G08400D PROTEIN', NULL, NULL, NULL, 15),
(80976, NULL, 'PTHR35866', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80977, NULL, 'PTHR33938:SF7', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(80978, NULL, 'PTHR24408:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR (ACE1), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(80979, NULL, 'PTHR11247:SF53', NULL, NULL, NULL, NULL, 'DOLICHYLDIPHOSPHATASE 1-RELATED', NULL, NULL, NULL, 15),
(80980, NULL, 'PTHR44013:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(80981, NULL, 'PTHR10366:SF503', NULL, NULL, NULL, NULL, 'TETRAKETIDE ALPHA-PYRONE REDUCTASE 2', NULL, NULL, NULL, 15),
(80982, NULL, 'PTHR24064:SF556', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-5-RELATED', NULL, NULL, NULL, 15),
(80983, NULL, 'PTHR11654:SF114', NULL, NULL, NULL, NULL, 'OSJNBA0064D20.8 PROTEIN', NULL, NULL, NULL, 15),
(80984, NULL, 'PTHR11615:SF273', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1E1-RELATED', NULL, NULL, NULL, 15),
(80985, NULL, 'PTHR31500:SF83', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 10-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(80986, NULL, 'PTHR33784:SF29', NULL, NULL, NULL, NULL, 'BNAANNG14980D PROTEIN', NULL, NULL, NULL, 15),
(80987, NULL, 'PTHR24174:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 1B', NULL, NULL, 36200, 15),
(80988, NULL, 'PTHR10797', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT', NULL, NULL, 29301, 15),
(80989, NULL, 'PTHR11132:SF311', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE/PHOSPHATE TRANSLOCATOR 2, CHLOROPLASTIC', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(80990, NULL, 'PTHR14191:SF4', NULL, NULL, NULL, NULL, 'NA(+)/H(+) EXCHANGE REGULATORY COFACTOR NHE-RF2', NULL, NULL, 24543, 15),
(80991, NULL, 'PTHR31692:SF117', NULL, NULL, NULL, NULL, 'BNAC04G22130D PROTEIN', NULL, NULL, NULL, 15),
(80992, NULL, 'PTHR35295', NULL, NULL, NULL, NULL, 'DNA LIGASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(80993, NULL, 'PTHR46288:SF34', NULL, NULL, NULL, NULL, 'OS07G0609700 PROTEIN', NULL, NULL, NULL, 15),
(80994, NULL, 'PTHR26453:SF627', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(80995, NULL, 'PTHR17039:SF0', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RIBONUCLEOPROTEIN PROTEIN MPP10', NULL, NULL, NULL, 15),
(80996, NULL, 'PTHR22835:SF584', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(80997, NULL, 'PTHR46255:SF1', NULL, NULL, NULL, NULL, 'SHORT STATURE HOMEOBOX PROTEIN 2', NULL, NULL, NULL, 15),
(80998, NULL, 'PTHR15664:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 230', NULL, NULL, NULL, 15),
(80999, NULL, 'PTHR10766:SF148', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(81000, NULL, 'PTHR13976:SF30', NULL, NULL, NULL, NULL, 'EPITHELIAL SPLICING REGULATORY PROTEIN 2', NULL, NULL, 13826, 15),
(81001, NULL, 'PTHR18860:SF113', NULL, NULL, NULL, NULL, '14-3-3 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81002, NULL, 'PTHR33671:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81003, NULL, 'PTHR15396:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P40', NULL, NULL, NULL, 15),
(81004, NULL, 'PTHR10218:SF200', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-12 SUBUNIT', NULL, NULL, NULL, 15),
(81005, NULL, 'PTHR47356:SF2', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE ASQG-RELATED', NULL, NULL, NULL, 15),
(81006, NULL, 'PTHR16277:SF13', NULL, NULL, NULL, NULL, 'ZGC:113340', NULL, NULL, NULL, 15),
(81007, NULL, 'PTHR23120:SF6', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(81008, NULL, 'PTHR31221:SF123', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR SUSIBA2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(81009, NULL, 'PTHR12861:SF8', NULL, NULL, NULL, NULL, 'BNAA02G28300D PROTEIN', NULL, NULL, NULL, 15),
(81010, NULL, 'PTHR31235:SF182', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(81011, NULL, 'PTHR26454:SF68', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(81012, NULL, 'PTHR13080:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81013, NULL, 'PTHR11636:SF124', NULL, NULL, NULL, NULL, 'POU CLASS 6 HOMEOBOX 1', NULL, NULL, NULL, 15),
(81014, NULL, 'PTHR31072:SF90', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP6', NULL, NULL, NULL, 15),
(81015, NULL, 'PTHR45621:SF170', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(81016, NULL, 'PTHR12629:SF69', NULL, NULL, NULL, NULL, 'BNAA02G28170D PROTEIN', NULL, NULL, NULL, 15),
(81017, NULL, 'PTHR32093:SF123', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(81018, NULL, 'PTHR14154:SF5', NULL, NULL, NULL, NULL, 'EARLY LIGHT-INDUCED PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(81019, NULL, 'PTHR45615:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-7', NULL, NULL, NULL, 15),
(81020, NULL, 'PTHR31210:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81021, NULL, 'PTHR13935:SF92', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX PROTEIN 6', NULL, NULL, NULL, 15),
(81022, NULL, 'PTHR42195:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81023, NULL, 'PTHR27003:SF269', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE ANXUR2', NULL, NULL, NULL, 15),
(81024, NULL, 'PTHR34358', NULL, NULL, NULL, NULL, 'OS03G0411600 PROTEIN', NULL, NULL, 8428, 15),
(81025, NULL, 'PTHR38537', NULL, NULL, NULL, NULL, 'JITTERBUG, ISOFORM N', NULL, NULL, 36906, 15),
(81026, NULL, 'PTHR31079:SF9', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF GAMMA RESPONSE 1', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81027, NULL, 'PTHR23504:SF6', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G08740)-RELATED', NULL, NULL, NULL, 15),
(81028, NULL, 'PTHR44040', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-BINDING PROTEIN 5', NULL, NULL, 35851, 15),
(81029, NULL, 'PTHR10015:SF354', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-7B', NULL, NULL, NULL, 15),
(81030, NULL, 'PTHR12174:SF23', NULL, NULL, NULL, NULL, 'MINOR HISTOCOMPATIBILITY ANTIGEN H13', NULL, NULL, NULL, 15),
(81031, NULL, 'PTHR45618:SF36', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 2', NULL, NULL, NULL, 15),
(81032, NULL, 'PTHR31282:SF14', NULL, NULL, NULL, NULL, 'OS05G0322900 PROTEIN', NULL, NULL, NULL, 15),
(81033, NULL, 'PTHR24023:SF958', NULL, NULL, NULL, NULL, 'ZGC:113232', NULL, NULL, NULL, 15),
(81034, NULL, 'PTHR10871:SF35', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S18', NULL, NULL, NULL, 15),
(81035, NULL, 'PTHR43719:SF58', NULL, NULL, NULL, NULL, 'PHYTOCHROME', NULL, NULL, NULL, 15),
(81036, NULL, 'PTHR31906:SF30', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 12, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(81037, NULL, 'PTHR28599:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 12', NULL, NULL, NULL, 15),
(81038, NULL, 'PTHR22953:SF132', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(81039, NULL, 'PTHR18952:SF18', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 9', NULL, NULL, 18536, 15),
(81040, NULL, 'PTHR45926:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE7', NULL, NULL, NULL, 15),
(81041, NULL, 'PTHR10334:SF486', NULL, NULL, NULL, NULL, 'BNAA03G52740D PROTEIN', NULL, NULL, NULL, 15),
(81042, NULL, 'PTHR32133:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81043, NULL, 'PTHR21351:SF0', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 5 PROTEIN', NULL, NULL, NULL, 15),
(81044, NULL, 'PTHR11440:SF35', NULL, NULL, NULL, NULL, 'BCDNA.GH02384', NULL, NULL, NULL, 15),
(81045, NULL, 'PTHR43670:SF58', NULL, NULL, NULL, NULL, 'BNAA01G31510D PROTEIN', NULL, NULL, NULL, 15),
(81046, NULL, 'PTHR36715:SF3', NULL, NULL, NULL, NULL, 'BNAC06G30030D PROTEIN', NULL, NULL, NULL, 15),
(81047, NULL, 'PTHR43194:SF5', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(81048, NULL, 'PTHR34190', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(81049, NULL, 'PTHR24298:SF526', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81050, NULL, 'PTHR31834:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81051, NULL, 'PTHR24381:SF349', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81052, NULL, 'PTHR11848:SF260', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA SUPERFAMILY SIGNALING LIGAND ISOFORM X1', NULL, NULL, NULL, 15),
(81053, NULL, 'PTHR23189:SF48', NULL, NULL, NULL, NULL, 'MSX2-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(81054, NULL, 'PTHR23177:SF69', NULL, NULL, NULL, NULL, 'CRIB DOMAIN, RHO GTPASE ACTIVATION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81055, NULL, 'PTHR19321:SF6', NULL, NULL, NULL, NULL, 'ZGC:86764', NULL, NULL, NULL, 15),
(81056, NULL, 'PTHR32227:SF366', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 3', NULL, NULL, NULL, 15),
(81057, NULL, 'PTHR45651:SF5', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 1', NULL, NULL, NULL, 15),
(81058, NULL, 'PTHR12897:SF4', NULL, NULL, NULL, NULL, 'REGULATOR OF MON1-CCZ1 COMPLEX', NULL, NULL, NULL, 15),
(81059, NULL, 'PTHR36595:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(81060, NULL, 'PTHR46334:SF2', NULL, NULL, NULL, NULL, 'COSTARS FAMILY PROTEIN', NULL, NULL, NULL, 15),
(81061, NULL, 'PTHR12326:SF3', NULL, NULL, NULL, NULL, 'DIFFERENTIALLY EXPRESSED IN FDCP 8 HOMOLOG', NULL, NULL, NULL, 15),
(81062, NULL, 'PTHR21682:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 149', NULL, NULL, NULL, 15),
(81063, NULL, 'PTHR31727:SF11', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81064, NULL, 'PTHR19282:SF63', NULL, NULL, NULL, NULL, 'TETRASPANIN-5', NULL, NULL, NULL, 15),
(81065, NULL, 'PTHR34696', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE SUBUNIT PURS', NULL, NULL, 3075, 15),
(81066, NULL, 'PTHR34152:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12353', NULL, NULL, NULL, 15),
(81067, NULL, 'PTHR38598', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YJCH', NULL, NULL, NULL, 15),
(81068, NULL, 'PTHR10015:SF367', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-4B', NULL, NULL, NULL, 15),
(81069, NULL, 'PTHR12874:SF22', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN GID2-LIKE', NULL, NULL, NULL, 15),
(81070, NULL, 'PTHR24369:SF160', NULL, NULL, NULL, NULL, 'VASORIN', NULL, NULL, NULL, 15),
(81071, NULL, 'PTHR30146:SF55', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GALS', NULL, NULL, NULL, 15),
(81072, NULL, 'PTHR33472:SF17', NULL, NULL, NULL, NULL, 'BNACNNG45880D PROTEIN', NULL, NULL, NULL, 15),
(81073, NULL, 'PTHR32254:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81074, NULL, 'PTHR21719:SF1', NULL, NULL, NULL, NULL, 'FI06402P-RELATED', NULL, NULL, NULL, 15),
(81075, NULL, 'PTHR46042:SF1', NULL, NULL, NULL, NULL, 'DIPHTHINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(81076, NULL, 'PTHR16161:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL PROTEIN SWT1', NULL, NULL, NULL, 15),
(81077, NULL, 'PTHR24281:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81078, NULL, 'PTHR13186:SF0', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 31', NULL, NULL, NULL, 15),
(81079, NULL, 'PTHR46344:SF12', NULL, NULL, NULL, NULL, 'KELCH REPEAT F-BOX PROTEIN', NULL, NULL, NULL, 15),
(81080, NULL, 'PTHR44755:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81081, NULL, 'PTHR11017:SF274', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)-RELATED', NULL, NULL, NULL, 15),
(81082, NULL, 'PTHR33116:SF49', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE ZINC-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81083, NULL, 'PTHR15992:SF5', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RECOGNITION PROTEIN', NULL, NULL, NULL, 15),
(81084, NULL, 'PTHR23257:SF724', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE DDB_G0280131-RELATED', NULL, NULL, NULL, 15),
(81085, NULL, 'PTHR36313:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81086, NULL, 'PTHR34759', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 48', NULL, NULL, 25390, 15),
(81087, NULL, 'PTHR31207:SF26', NULL, NULL, NULL, NULL, 'BNAA05G27050D PROTEIN', NULL, NULL, NULL, 15),
(81088, NULL, 'PTHR11945:SF441', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL29', NULL, NULL, NULL, 15),
(81089, NULL, 'PTHR14305:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CCNB1IP1', NULL, NULL, NULL, 15),
(81090, NULL, 'PTHR40388', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81091, NULL, 'PTHR23430:SF266', NULL, NULL, NULL, NULL, 'HISTONE H2A.2.1', NULL, NULL, NULL, 15),
(81092, NULL, 'PTHR10252:SF39', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-1-RELATED', NULL, NULL, NULL, 15),
(81093, NULL, 'PTHR32419:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81094, NULL, 'PTHR11571:SF45', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(81095, NULL, 'PTHR24377:SF698', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 677', NULL, NULL, NULL, 15),
(81096, NULL, 'PTHR45885:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 5-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81097, NULL, 'PTHR11945:SF583', NULL, NULL, NULL, NULL, 'BNAC02G01970D PROTEIN', NULL, NULL, NULL, 15),
(81098, NULL, 'PTHR31422:SF32', NULL, NULL, NULL, NULL, 'BNAC05G02900D PROTEIN', NULL, NULL, NULL, 15),
(81099, NULL, 'PTHR44019:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81100, NULL, 'PTHR13690:SF132', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81101, NULL, 'PTHR35506', NULL, NULL, NULL, NULL, 'OS02G0135600 PROTEIN', NULL, NULL, NULL, 15),
(81102, NULL, 'PTHR46128:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED SALT-INDUCIBLE PROTEIN LIKE', NULL, NULL, NULL, 15),
(81103, NULL, 'PTHR48005:SF17', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(81104, NULL, 'PTHR24055:SF447', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(81105, NULL, 'PTHR14304', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE AND APOPTOSIS REGULATOR PROTEIN', NULL, NULL, 27974, 15),
(81106, NULL, 'PTHR21266:SF51', NULL, NULL, NULL, NULL, '3-CHLOROBENZOATE-3,4-DIOXYGENASE', NULL, NULL, NULL, 15),
(81107, NULL, 'PTHR23339:SF27', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 14, ISOFORM A', NULL, NULL, 21745, 15),
(81108, NULL, 'PTHR13447', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S28', NULL, NULL, 15666, 15),
(81109, NULL, 'PTHR46065', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH 2/3 FAMILY MEMBER', NULL, NULL, NULL, 15),
(81110, NULL, 'PTHR45631:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81111, NULL, 'PTHR45708:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81112, NULL, 'PTHR24235:SF24', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR TYPE 1', NULL, NULL, 144, 15),
(81113, NULL, 'PTHR22835:SF527', NULL, NULL, NULL, NULL, 'OS06G0531900 PROTEIN', NULL, NULL, NULL, 15),
(81114, NULL, 'PTHR31790:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81115, NULL, 'PTHR22763:SF170', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE E3 UBIQUITIN-PROTEIN LIGASE 1-LIKE', NULL, NULL, NULL, 15),
(81116, NULL, 'PTHR12356:SF28', NULL, NULL, NULL, NULL, 'PROTEIN BOBBER 2-LIKE', NULL, NULL, NULL, 15),
(81117, NULL, 'PTHR15233:SF2', NULL, NULL, NULL, NULL, 'ATP SYNTHASE MEMBRANE SUBUNIT 6.8PL', NULL, NULL, NULL, 15),
(81118, NULL, 'PTHR23024', NULL, NULL, NULL, NULL, 'ARYLACETAMIDE DEACETYLASE', NULL, NULL, NULL, 15),
(81119, NULL, 'PTHR31361:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81120, NULL, 'PTHR32487:SF18', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE', NULL, NULL, NULL, 15),
(81121, NULL, 'PTHR33834:SF4', NULL, NULL, NULL, NULL, 'SIGNALING PEPTIDE TAXIMIN 2', NULL, NULL, NULL, 15),
(81122, NULL, 'PTHR14564:SF5', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(81123, NULL, 'PTHR45933:SF39', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 1-LIKE', NULL, NULL, NULL, 15),
(81124, NULL, 'PTHR13780:SF129', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSCBSPB1', NULL, NULL, 20431, 15),
(81125, NULL, 'PTHR24324:SF5', NULL, NULL, NULL, NULL, 'HEMATOPOIETICALLY-EXPRESSED HOMEOBOX PROTEIN HHEX', NULL, NULL, NULL, 15),
(81126, NULL, 'PTHR24092:SF178', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(81127, NULL, 'PTHR34983', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN ENDO-BETA-1,4-GALACTANASE A', NULL, NULL, 10856, 15),
(81128, NULL, 'PTHR24055:SF498', NULL, NULL, NULL, NULL, 'OS07G0472400 PROTEIN', NULL, NULL, NULL, 15),
(81129, NULL, 'PTHR46774:SF7', NULL, NULL, NULL, NULL, 'BNACNNG14720D PROTEIN', NULL, NULL, NULL, 15),
(81130, NULL, 'PTHR47528:SF1', NULL, NULL, NULL, NULL, 'PARALEMMIN-3', NULL, NULL, NULL, 15),
(81131, NULL, 'PTHR24281:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81132, NULL, 'PTHR11831:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9', NULL, NULL, NULL, 15),
(81133, NULL, 'PTHR47743:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2010300C02 GENE', NULL, NULL, NULL, 15),
(81134, NULL, 'PTHR44436', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 2', NULL, NULL, 38430, 15),
(81135, NULL, 'PTHR31250:SF42', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM1-LIKE', NULL, NULL, NULL, 15),
(81136, NULL, 'PTHR13555:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81137, NULL, 'PTHR32468:SF77', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', NULL, NULL, NULL, 15),
(81138, NULL, 'PTHR10571', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--DOLICHYL-PHOSPHATE N-ACETYLGLUCOSAMINEPHOSPHOTRANSFERASE', NULL, NULL, 35418, 15),
(81139, NULL, 'PTHR42028', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(81140, NULL, 'PTHR24345:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81141, NULL, 'PTHR47969:SF7', NULL, NULL, NULL, NULL, 'BNAC02G38250D PROTEIN', NULL, NULL, NULL, 15),
(81142, NULL, 'PTHR45633:SF18', NULL, NULL, NULL, NULL, 'CHAPERONIN 60 SUBUNIT ALPHA 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(81143, NULL, 'PTHR27004:SF170', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', NULL, NULL, NULL, 15),
(81144, NULL, 'PTHR12373:SF9', NULL, NULL, NULL, NULL, 'ENHANCER OF RUDIMENTARY HOMOLOG', NULL, NULL, NULL, 15),
(81145, NULL, 'PTHR47863:SF4', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(81146, NULL, 'PTHR37977:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG18402', NULL, NULL, NULL, 15),
(81147, NULL, 'PTHR37612:SF6', NULL, NULL, NULL, NULL, 'FIBROIN HEAVY CHAIN FIB-H LIKE PROTEIN', NULL, NULL, NULL, 15),
(81148, NULL, 'PTHR15224:SF6', NULL, NULL, NULL, NULL, 'FIBER PROTEIN FB14', NULL, NULL, NULL, 15),
(81149, NULL, 'PTHR34007', NULL, NULL, NULL, NULL, 'AEROLYSIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81150, NULL, 'PTHR23023:SF264', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(81151, NULL, 'PTHR35131', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(81152, NULL, 'PTHR47455', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE BETA', NULL, NULL, NULL, 15),
(81153, NULL, 'PTHR22951:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81154, NULL, 'PTHR36888', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81155, NULL, 'PTHR11829:SF350', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN D4-RELATED', NULL, NULL, NULL, 15),
(81156, NULL, 'PTHR10209:SF737', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(81157, NULL, 'PTHR22943:SF246', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(81158, NULL, 'PTHR48042:SF11', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 11', NULL, NULL, NULL, 15),
(81159, NULL, 'PTHR36066:SF15', NULL, NULL, NULL, NULL, 'BNAC03G59530D PROTEIN', NULL, NULL, NULL, 15),
(81160, NULL, 'PTHR35121:SF2', NULL, NULL, NULL, NULL, 'BNAC04G52100D PROTEIN', NULL, NULL, NULL, 15),
(81161, NULL, 'PTHR12356:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81162, NULL, 'PTHR10127:SF794', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-22-RELATED', NULL, NULL, NULL, 15),
(81163, NULL, 'PTHR31356:SF1', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE S, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(81164, NULL, 'PTHR33779:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81165, NULL, 'PTHR45027:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE LIGHT CHAIN 2-RELATED', NULL, NULL, NULL, 15),
(81166, NULL, 'PTHR22891:SF146', NULL, NULL, NULL, NULL, 'BNAC06G43420D PROTEIN', NULL, NULL, NULL, 15),
(81167, NULL, 'PTHR11748:SF116', NULL, NULL, NULL, NULL, 'D-LACTATE DEHYDROGENASE (CYTOCHROME) (AFU_ORTHOLOGUE AFUA_7G02560)', NULL, NULL, NULL, 15),
(81168, NULL, 'PTHR19282:SF184', NULL, NULL, NULL, NULL, 'PHOTORECEPTOR OUTER SEGMENT MEMBRANE GLYCOPROTEIN 2', NULL, NULL, NULL, 15),
(81169, NULL, 'PTHR46534', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81170, NULL, 'PTHR13683:SF836', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(81171, NULL, 'PTHR32018:SF20', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE-LIKE', NULL, NULL, NULL, 15),
(81172, NULL, 'PTHR24180:SF11', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE TANKYRASE-2', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81173, NULL, 'PTHR13466:SF0', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED SEQUENCE 2-LIKE PROTEIN (DUF2404)', NULL, NULL, NULL, 15),
(81174, NULL, 'PTHR11527:SF317', NULL, NULL, NULL, NULL, '17.6 KDA CLASS 1 SMALL HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(81175, NULL, 'PTHR48062:SF30', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81176, NULL, 'PTHR47319:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81177, NULL, 'PTHR11474:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81178, NULL, 'PTHR31748:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(81179, NULL, 'PTHR13172:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81180, NULL, 'PTHR10799:SF975', NULL, NULL, NULL, NULL, 'ISWI CHROMATIN-REMODELING COMPLEX ATPASE CHR17', NULL, NULL, NULL, 15),
(81181, NULL, 'PTHR31376:SF68', NULL, NULL, NULL, NULL, 'PURINE PERMEASE', NULL, NULL, NULL, 15),
(81182, NULL, 'PTHR23267:SF176', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 8-61', NULL, NULL, NULL, 15),
(81183, NULL, 'PTHR24418:SF428', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(81184, NULL, 'PTHR12550:SF70', NULL, NULL, NULL, NULL, 'PROTEIN HUA2-LIKE 1', NULL, NULL, NULL, 15),
(81185, NULL, 'PTHR11746:SF166', NULL, NULL, NULL, NULL, 'TRANS-RESVERATROL DI-O-METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(81186, NULL, 'PTHR31324:SF2', NULL, NULL, NULL, NULL, 'MORF4 FAMILY-ASSOCIATED PROTEIN 1-LIKE 1', NULL, NULL, NULL, 15),
(81187, NULL, 'PTHR33562:SF19', NULL, NULL, NULL, NULL, 'CRIMPLED', NULL, NULL, NULL, 15),
(81188, NULL, 'PTHR31003:SF21', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81189, NULL, 'PTHR12295:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FURRY HOMOLOG-LIKE', NULL, NULL, NULL, 15),
(81190, NULL, 'PTHR10361:SF33', NULL, NULL, NULL, NULL, 'SODIUM/METABOLITE COTRANSPORTER BASS3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(81191, NULL, 'PTHR35461:SF3', NULL, NULL, NULL, NULL, 'BNAANNG14610D PROTEIN', NULL, NULL, NULL, 15),
(81192, NULL, 'PTHR33050:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81193, NULL, 'PTHR34923', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 20', NULL, NULL, 24447, 15),
(81194, NULL, 'PTHR34289:SF5', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN (DUF819)', NULL, NULL, NULL, 15),
(81195, NULL, 'PTHR31250:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81196, NULL, 'PTHR31744:SF21', NULL, NULL, NULL, NULL, 'OS08G0200600 PROTEIN', NULL, NULL, NULL, 15),
(81197, NULL, 'PTHR34156', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(81198, NULL, 'PTHR43640', NULL, NULL, NULL, NULL, 'OS07G0260300 PROTEIN', NULL, NULL, NULL, 15),
(81199, NULL, 'PTHR10762', NULL, NULL, NULL, NULL, 'DIPHTHAMIDE BIOSYNTHESIS PROTEIN', NULL, NULL, 15685, 15),
(81200, NULL, 'PTHR31621:SF27', NULL, NULL, NULL, NULL, 'OS01G0368500 PROTEIN', NULL, NULL, NULL, 15),
(81201, NULL, 'PTHR22850:SF205', NULL, NULL, NULL, NULL, 'DYNEIN REGULATOR LIS1-RELATED', NULL, NULL, NULL, 15),
(81202, NULL, 'PTHR45693:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA2.1', NULL, NULL, NULL, 15),
(81203, NULL, 'PTHR34658:SF7', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN G1', NULL, NULL, NULL, 15),
(81204, NULL, 'PTHR12483:SF106', NULL, NULL, NULL, NULL, 'PROTEIN CBG11156', NULL, NULL, NULL, 15),
(81205, NULL, 'PTHR45651:SF57', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 9-RELATED', NULL, NULL, NULL, 15),
(81206, NULL, 'PTHR31696:SF4', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', NULL, NULL, NULL, 15),
(81207, NULL, 'PTHR24128:SF41', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBOS35-RELATED', NULL, NULL, NULL, 15),
(81208, NULL, 'PTHR10252:SF115', NULL, NULL, NULL, NULL, 'BNACNNG06510D PROTEIN', NULL, NULL, NULL, 15),
(81209, NULL, 'PTHR34000:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81210, NULL, 'PTHR10179:SF47', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 10', NULL, NULL, NULL, 15),
(81211, NULL, 'PTHR10539:SF3', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 13 HOMOLOG A', NULL, NULL, NULL, 15),
(81212, NULL, 'PTHR10623:SF36', NULL, NULL, NULL, NULL, 'BNAA02G33430D PROTEIN', NULL, NULL, NULL, 15),
(81213, NULL, 'PTHR33021:SF44', NULL, NULL, NULL, NULL, 'MAVICYANIN', NULL, NULL, NULL, 15),
(81214, NULL, 'PTHR16166:SF135', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81215, NULL, 'PTHR46100:SF9', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(81216, NULL, 'PTHR31677:SF78', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ESR2', NULL, NULL, NULL, 15),
(81217, NULL, 'PTHR24247:SF207', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR M2', NULL, NULL, NULL, 15),
(81218, NULL, 'PTHR33921:SF14', NULL, NULL, NULL, NULL, 'CALVIN CYCLE PROTEIN CP12-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(81219, NULL, 'PTHR43096:SF45', NULL, NULL, NULL, NULL, 'DNAJ C TERMINAL REGION FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(81220, NULL, 'PTHR45649:SF18', NULL, NULL, NULL, NULL, 'OS01G0945600 PROTEIN', NULL, NULL, NULL, 15),
(81221, NULL, 'PTHR23171', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81222, NULL, 'PTHR31549:SF80', NULL, NULL, NULL, NULL, 'OS12G0480800 PROTEIN', NULL, NULL, NULL, 15),
(81223, NULL, 'PTHR11945:SF621', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PROTEIN SEPALLATA 1', NULL, NULL, NULL, 15),
(81224, NULL, 'PTHR11795:SF447', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(81225, NULL, 'PTHR22950:SF511', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 5-LIKE', NULL, NULL, NULL, 15),
(81226, NULL, 'PTHR14149:SF15', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING-LIKE PROTEIN IQGAP1', NULL, NULL, NULL, 15),
(81227, NULL, 'PTHR33067:SF13', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE', NULL, NULL, NULL, 15),
(81228, NULL, 'PTHR32141:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81229, NULL, 'PTHR47992:SF58', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 34-RELATED', NULL, NULL, NULL, 15),
(81230, NULL, 'PTHR33800:SF1', NULL, NULL, NULL, NULL, 'OS02G0698100 PROTEIN', NULL, NULL, NULL, 15),
(81231, NULL, 'PTHR10826:SF29', NULL, NULL, NULL, NULL, 'OS05G0456000 PROTEIN', NULL, NULL, NULL, 15),
(81232, NULL, 'PTHR43982:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(81233, NULL, 'PTHR33088:SF28', NULL, NULL, NULL, NULL, 'PROTEIN PELPK1-RELATED', NULL, NULL, NULL, 15),
(81234, NULL, 'PTHR45621:SF103', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BIK1', NULL, NULL, NULL, 15),
(81235, NULL, 'PTHR12549:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81236, NULL, 'PTHR21586', NULL, NULL, NULL, NULL, 'TIPA', NULL, NULL, NULL, 15),
(81237, NULL, 'PTHR10288:SF269', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(81238, NULL, 'PTHR23159:SF31', NULL, NULL, NULL, NULL, 'CILIARY ROOTLET COILED-COIL, ROOTLETIN FAMILY MEMBER 2-RELATED', NULL, NULL, NULL, 15),
(81239, NULL, 'PTHR31871:SF15', NULL, NULL, NULL, NULL, 'OS03G0280400 PROTEIN', NULL, NULL, NULL, 15),
(81240, NULL, 'PTHR10791:SF202', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(81241, NULL, 'PTHR13742:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81242, NULL, 'PTHR16399:SF10', NULL, NULL, NULL, NULL, 'PEJVAKIN', NULL, NULL, NULL, 15),
(81243, NULL, 'PTHR38814', NULL, NULL, NULL, NULL, 'ENDONUCLEASE NUCS', NULL, NULL, 4898, 15),
(81244, NULL, 'PTHR21495:SF173', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(81245, NULL, 'PTHR13780:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81246, NULL, 'PTHR35091:SF4', NULL, NULL, NULL, NULL, 'FLAGELLAR PROTEIN FLIL', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81247, NULL, 'PTHR11260:SF275', NULL, NULL, NULL, NULL, 'OS01G0558100 PROTEIN', NULL, NULL, NULL, 15),
(81248, NULL, 'PTHR11206:SF437', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 30-LIKE', NULL, NULL, NULL, 15),
(81249, NULL, 'PTHR13140:SF789', NULL, NULL, NULL, NULL, 'MYOSIN B', NULL, NULL, NULL, 15),
(81250, NULL, 'PTHR45972:SF2', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 42', NULL, NULL, NULL, 15),
(81251, NULL, 'PTHR46128:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81252, NULL, 'PTHR27000:SF698', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PEPR2', NULL, NULL, NULL, 15),
(81253, NULL, 'PTHR11046:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81254, NULL, 'PTHR33285:SF33', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 6-RELATED', NULL, NULL, NULL, 15),
(81255, NULL, 'PTHR10961:SF15', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(81256, NULL, 'PTHR35109:SF4', NULL, NULL, NULL, NULL, 'BNAC06G43900D PROTEIN', NULL, NULL, NULL, 15),
(81257, NULL, 'PTHR18868:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81258, NULL, 'PTHR19376:SF51', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE V SUBUNIT 1', NULL, NULL, NULL, 15),
(81259, NULL, 'PTHR11010:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81260, NULL, 'PTHR46553:SF16', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81261, NULL, 'PTHR15696:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SMG7', NULL, NULL, NULL, 15),
(81262, NULL, 'PTHR45751:SF33', NULL, NULL, NULL, NULL, 'COPINE I-LIKE', NULL, NULL, NULL, 15),
(81263, NULL, 'PTHR24282:SF158', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP72A123', NULL, NULL, NULL, 15),
(81264, NULL, 'PTHR14098:SF1', NULL, NULL, NULL, NULL, 'LYMPHOCYTE CYTOSOLIC PROTEIN 2', NULL, NULL, NULL, 15),
(81265, NULL, 'PTHR12570:SF74', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(81266, NULL, 'PTHR22595:SF119', NULL, NULL, NULL, NULL, 'ENDOCHITINASE EP3-LIKE', NULL, NULL, NULL, 15),
(81267, NULL, 'PTHR12601:SF10', NULL, NULL, NULL, NULL, 'CLUSTERED MITOCHONDRIA (CLUA/CLU1) HOMOLOG B-RELATED', NULL, NULL, NULL, 15),
(81268, NULL, 'PTHR15371:SF22', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 16-1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(81269, NULL, 'PTHR15172', NULL, NULL, NULL, NULL, 'GALACTOCEREBROSIDASE', NULL, NULL, 2150, 15),
(81270, NULL, 'PTHR48065', NULL, NULL, NULL, NULL, 'OS10G0469600 PROTEIN', NULL, NULL, NULL, 15),
(81271, NULL, 'PTHR10357:SF205', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASE FAMILY 13', NULL, NULL, NULL, 15),
(81272, NULL, 'PTHR14030:SF8', NULL, NULL, NULL, NULL, 'MITOTIC CHECKPOINT SERINE/THREONINE-PROTEIN KINASE BUB1', NULL, NULL, NULL, 15),
(81273, NULL, 'PTHR17045:SF7', NULL, NULL, NULL, NULL, 'CBP/P300-INTERACTING TRANSACTIVATOR 2', NULL, NULL, NULL, 15),
(81274, NULL, 'PTHR16295:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(81275, NULL, 'PTHR31250:SF30', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM5-LIKE', NULL, NULL, NULL, 15),
(81276, NULL, 'PTHR14379:SF3', NULL, NULL, NULL, NULL, 'MEIOSIS REGULATOR AND MRNA STABILITY FACTOR 1', NULL, NULL, NULL, 15),
(81277, NULL, 'PTHR24015:SF1981', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN, DYW DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81278, NULL, 'PTHR11579:SF7', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE(D-ASPARTATE) O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(81279, NULL, 'PTHR34121', NULL, NULL, NULL, NULL, 'MYOSIN-11', NULL, NULL, NULL, 15),
(81280, NULL, 'PTHR31221:SF105', NULL, NULL, NULL, NULL, 'OS04G0471700 PROTEIN', NULL, NULL, NULL, 15),
(81281, NULL, 'PTHR14198:SF17', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 4 L6 FAMILY MEMBER 20', NULL, NULL, NULL, 15),
(81282, NULL, 'PTHR12483:SF109', NULL, NULL, NULL, NULL, 'PROTEIN CBG22300', NULL, NULL, NULL, 15),
(81283, NULL, 'PTHR33528:SF21', NULL, NULL, NULL, NULL, 'BNAC01G19730D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81284, NULL, 'PTHR42919', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(81285, NULL, 'PTHR48043:SF9', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(81286, NULL, 'PTHR15592:SF32', NULL, NULL, NULL, NULL, 'SI:CH211-271B14.1', NULL, NULL, NULL, 15),
(81287, NULL, 'PTHR11709:SF347', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(81288, NULL, 'PTHR43128:SF23', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(81289, NULL, 'PTHR33103:SF40', NULL, NULL, NULL, NULL, 'OS01G0153600 PROTEIN', NULL, NULL, NULL, 15),
(81290, NULL, 'PTHR27009:SF140', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(81291, NULL, 'PTHR13503', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR COMPLEX MEMBER B', NULL, NULL, 9587, 15),
(81292, NULL, 'PTHR38357', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(81293, NULL, 'PTHR20916:SF16', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN K10', NULL, NULL, NULL, 15),
(81294, NULL, 'PTHR46008:SF18', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.5', NULL, NULL, NULL, 15),
(81295, NULL, 'PTHR10806', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX CATALYTIC SUBUNIT SEC11', NULL, NULL, 3366, 15),
(81296, NULL, 'PTHR46615', NULL, NULL, NULL, NULL, 'ARYLSULFATASE K', NULL, NULL, NULL, 15),
(81297, NULL, 'PTHR31422:SF23', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 7', NULL, NULL, NULL, 15),
(81298, NULL, 'PTHR10253:SF5', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN EED', NULL, NULL, 32382, 15),
(81299, NULL, 'PTHR22936:SF91', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81300, NULL, 'PTHR43764:SF1', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS', NULL, NULL, NULL, 15),
(81301, NULL, 'PTHR12607', NULL, NULL, NULL, NULL, 'ADENOMATOUS POLYPOSIS COLI PROTEIN FAMILY', NULL, NULL, 25979, 15),
(81302, NULL, 'PTHR10974:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81303, NULL, 'PTHR45662:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81304, NULL, 'PTHR23257:SF868', NULL, NULL, NULL, NULL, 'BNAANNG19500D PROTEIN', NULL, NULL, NULL, 15),
(81305, NULL, 'PTHR48027:SF7', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81306, NULL, 'PTHR46320:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG23963', NULL, NULL, NULL, 15),
(81307, NULL, 'PTHR10445:SF5', NULL, NULL, NULL, NULL, 'OS01G0772200 PROTEIN', NULL, NULL, NULL, 15),
(81308, NULL, 'PTHR24286:SF190', NULL, NULL, NULL, NULL, 'OS07G0518100 PROTEIN', NULL, NULL, NULL, 15),
(81309, NULL, 'PTHR24083:SF156', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-10', NULL, NULL, NULL, 15),
(81310, NULL, 'PTHR23257:SF807', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(81311, NULL, 'PTHR36020:SF2', NULL, NULL, NULL, NULL, 'BNAC04G02800D PROTEIN', NULL, NULL, NULL, 15),
(81312, NULL, 'PTHR33155:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 3', NULL, NULL, NULL, 15),
(81313, NULL, 'PTHR21136:SF195', NULL, NULL, NULL, NULL, 'BNAC04G43540D PROTEIN', NULL, NULL, NULL, 15),
(81314, NULL, 'PTHR19229:SF29', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 12', NULL, NULL, 24969, 15),
(81315, NULL, 'PTHR21493:SF242', NULL, NULL, NULL, NULL, 'GOT1-LIKE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(81316, NULL, 'PTHR39335', NULL, NULL, NULL, NULL, 'BLL4220 PROTEIN', NULL, NULL, NULL, 15),
(81317, NULL, 'PTHR24330:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN BARH-LIKE 1B', NULL, NULL, NULL, 15),
(81318, NULL, 'PTHR12098:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PELLINO HOMOLOG 3', NULL, NULL, NULL, 15),
(81319, NULL, 'PTHR27003:SF330', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(81320, NULL, 'PTHR12112:SF18', NULL, NULL, NULL, NULL, 'CYCLIC-DI-AMP PHOSPHODIESTERASE GDPP', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81321, NULL, 'PTHR13516:SF17', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 18-LIKE', NULL, NULL, NULL, 15),
(81322, NULL, 'PTHR16255:SF1', NULL, NULL, NULL, NULL, 'REQUIRED FOR MEIOTIC NUCLEAR DIVISION PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(81323, NULL, 'PTHR43437:SF7', NULL, NULL, NULL, NULL, 'UPF0336 PROTEIN SCO4636', NULL, NULL, NULL, 15),
(81324, NULL, 'PTHR31969:SF4', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(81325, NULL, 'PTHR47261', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(81326, NULL, 'PTHR14379:SF22', NULL, NULL, NULL, NULL, 'ENDONUCLEASE OR GLYCOSYL HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(81327, NULL, 'PTHR31503:SF63', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER MEMBRANE REGION, EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(81328, NULL, 'PTHR33077:SF92', NULL, NULL, NULL, NULL, 'BNAA05G09200D PROTEIN', NULL, NULL, NULL, 15),
(81329, NULL, 'PTHR46896:SF1', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 6', NULL, NULL, NULL, 15),
(81330, NULL, 'PTHR33790:SF8', NULL, NULL, NULL, NULL, 'PROTEIN EARLY RESPONSIVE TO DEHYDRATION 15-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(81331, NULL, 'PTHR30465:SF93', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN OPPB', NULL, NULL, NULL, 15),
(81332, NULL, 'PTHR19441:SF86', NULL, NULL, NULL, NULL, 'PROTEIN WFDC21-RELATED', NULL, NULL, NULL, 15),
(81333, NULL, 'PTHR33304:SF28', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(81334, NULL, 'PTHR24376:SF71', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 208-RELATED', NULL, NULL, NULL, 15),
(81335, NULL, 'PTHR32009:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81336, NULL, 'PTHR30007', NULL, NULL, NULL, NULL, 'PHP DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(81337, NULL, 'PTHR32370:SF135', NULL, NULL, NULL, NULL, 'BNAA09G07350D PROTEIN', NULL, NULL, NULL, 15),
(81338, NULL, 'PTHR37244:SF1', NULL, NULL, NULL, NULL, 'NADP-SPECIFIC GLUTAMATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(81339, NULL, 'PTHR45793:SF12', NULL, NULL, NULL, NULL, 'TETRA-PEPTIDE REPEAT HOMEOBOX PROTEIN 1', NULL, NULL, NULL, 15),
(81340, NULL, 'PTHR16399:SF20', NULL, NULL, NULL, NULL, 'GASDERMIN-B', NULL, NULL, NULL, 15),
(81341, NULL, 'PTHR38445:SF12', NULL, NULL, NULL, NULL, 'GNTR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(81342, NULL, 'PTHR12411:SF433', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-329', NULL, NULL, NULL, 15),
(81343, NULL, 'PTHR10218:SF338', NULL, NULL, NULL, NULL, 'BNAA03G52790D PROTEIN', NULL, NULL, NULL, 15),
(81344, NULL, 'PTHR31707:SF224', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR PPE8B-LIKE', NULL, NULL, NULL, 15),
(81345, NULL, 'PTHR36321:SF8', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 3', NULL, NULL, NULL, 15),
(81346, NULL, 'PTHR31374:SF154', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(81347, NULL, 'PTHR33065:SF97', NULL, NULL, NULL, NULL, 'OS03G0107500 PROTEIN', NULL, NULL, NULL, 15),
(81348, NULL, 'PTHR45623:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81349, NULL, 'PTHR42748:SF16', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(81350, NULL, 'PTHR31032:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(81351, NULL, 'PTHR33199:SF6', NULL, NULL, NULL, NULL, 'MACPF DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(81352, NULL, 'PTHR23504:SF8', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03730)-RELATED', NULL, NULL, NULL, 15),
(81353, NULL, 'PTHR18934:SF234', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX40-RELATED', NULL, NULL, NULL, 15),
(81354, NULL, 'PTHR13054:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DGCR6', NULL, NULL, NULL, 15),
(81355, NULL, 'PTHR15858:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81356, NULL, 'PTHR33108:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81357, NULL, 'PTHR47991:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81358, NULL, 'PTHR46128:SF81', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(81359, NULL, 'PTHR47932:SF34', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81360, NULL, 'PTHR35085:SF1', NULL, NULL, NULL, NULL, 'KERATINOCYTE DIFFERENTIATION FACTOR 1', NULL, NULL, NULL, 15),
(81361, NULL, 'PTHR31797:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81362, NULL, 'PTHR16795:SF13', NULL, NULL, NULL, NULL, 'ELLIS-VAN CREVELD SYNDROME PROTEIN', NULL, NULL, 28376, 15),
(81363, NULL, 'PTHR11461:SF194', NULL, NULL, NULL, NULL, 'KALLISTATIN-RELATED', NULL, NULL, NULL, 15),
(81364, NULL, 'PTHR15623:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG04227', NULL, NULL, NULL, 15),
(81365, NULL, 'PTHR10807:SF37', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 12', NULL, NULL, 26915, 15),
(81366, NULL, 'PTHR24637:SF348', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(81367, NULL, 'PTHR23128', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(81368, NULL, 'PTHR43788:SF14', NULL, NULL, NULL, NULL, 'DNA HELICASE B', NULL, NULL, NULL, 15),
(81369, NULL, 'PTHR14958:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81370, NULL, 'PTHR23189:SF99', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 1', NULL, NULL, NULL, 15),
(81371, NULL, 'PTHR36449', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(81372, NULL, 'PTHR47993:SF106', NULL, NULL, NULL, NULL, 'BNAA05G20620D PROTEIN', NULL, NULL, NULL, 15),
(81373, NULL, 'PTHR39394:SF1', NULL, NULL, NULL, NULL, 'YALI0E31793P', NULL, NULL, NULL, 15),
(81374, NULL, 'PTHR32227:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81375, NULL, 'PTHR15241:SF318', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(81376, NULL, 'PTHR36480:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81377, NULL, 'PTHR10036:SF11', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 33568, 15),
(81378, NULL, 'PTHR10791:SF159', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET5', NULL, NULL, NULL, 15),
(81379, NULL, 'PTHR33198:SF12', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81380, NULL, 'PTHR33390', NULL, NULL, NULL, NULL, 'STRESS UP-REGULATED NOD 19 PROTEIN', NULL, NULL, 10962, 15),
(81381, NULL, 'PTHR30389', NULL, NULL, NULL, NULL, 'FUMARATE HYDRATASE-RELATED', NULL, NULL, NULL, 15),
(81382, NULL, 'PTHR12658:SF0', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE D', NULL, NULL, NULL, 15),
(81383, NULL, 'PTHR45631:SF101', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IOS1', NULL, NULL, NULL, 15),
(81384, NULL, 'PTHR47480:SF4', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(81385, NULL, 'PTHR31673:SF49', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81386, NULL, 'PTHR43651', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN-BRANCHING ENZYME', NULL, NULL, 29497, 15),
(81387, NULL, 'PTHR43083:SF5', NULL, NULL, NULL, NULL, 'MANNAN POLYMERASE I COMPLEX VAN1 SUBUNIT', NULL, NULL, NULL, 15),
(81388, NULL, 'PTHR10885:SF13', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE I, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(81389, NULL, 'PTHR30093:SF32', NULL, NULL, NULL, NULL, 'PREPILIN PEPTIDASE-DEPENDENT PROTEIN D', NULL, NULL, NULL, 15),
(81390, NULL, 'PTHR13832:SF759', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81391, NULL, 'PTHR24377:SF702', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 552', NULL, NULL, NULL, 15),
(81392, NULL, 'PTHR11474:SF34', NULL, NULL, NULL, NULL, 'N-ACETYL-6-HYDROXYTRYPTOPHAN OXIDASE IVOB-RELATED', NULL, NULL, NULL, 15),
(81393, NULL, 'PTHR13572:SF1', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN ENDO-ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81394, NULL, 'PTHR33155:SF27', NULL, NULL, NULL, NULL, 'FANTASTIC FOUR-LIKE PROTEIN (DUF3049)', NULL, NULL, NULL, 15),
(81395, NULL, 'PTHR10110:SF90', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 3', NULL, NULL, NULL, 15),
(81396, NULL, 'PTHR45883:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM10A4-RELATED', NULL, NULL, NULL, 15),
(81397, NULL, 'PTHR42968:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81398, NULL, 'PTHR31352:SF38', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(81399, NULL, 'PTHR46620', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN SPF31', NULL, NULL, NULL, 15),
(81400, NULL, 'PTHR34971:SF4', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN Z', NULL, NULL, NULL, 15),
(81401, NULL, 'PTHR48041:SF89', NULL, NULL, NULL, NULL, 'FI03229P', NULL, NULL, NULL, 15),
(81402, NULL, 'PTHR36369', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(81403, NULL, 'PTHR32044:SF83', NULL, NULL, NULL, NULL, 'BNAA03G01040D PROTEIN', NULL, NULL, NULL, 15),
(81404, NULL, 'PTHR31284:SF47', NULL, NULL, NULL, NULL, 'VEGETATIVE STORAGE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(81405, NULL, 'PTHR48022:SF2', NULL, NULL, NULL, NULL, 'PLASTIDIC GLUCOSE TRANSPORTER 4', NULL, NULL, NULL, 15),
(81406, NULL, 'PTHR47105:SF1', NULL, NULL, NULL, NULL, 'OS02G0173600 PROTEIN', NULL, NULL, NULL, 15),
(81407, NULL, 'PTHR24073', NULL, NULL, NULL, NULL, 'DRAB5-RELATED', NULL, NULL, NULL, 15),
(81408, NULL, 'PTHR23502:SF144', NULL, NULL, NULL, NULL, 'EFFLUX TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81409, NULL, 'PTHR11639:SF131', NULL, NULL, NULL, NULL, 'PROTEIN S100', NULL, NULL, NULL, 15),
(81410, NULL, 'PTHR31374:SF287', NULL, NULL, NULL, NULL, 'BNAA04G21210D PROTEIN', NULL, NULL, NULL, 15),
(81411, NULL, 'PTHR12924:SF4', NULL, NULL, NULL, NULL, 'BNACNNG54310D PROTEIN', NULL, NULL, NULL, 15),
(81412, NULL, 'PTHR24178:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81413, NULL, 'PTHR47792:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SOK2-RELATED', NULL, NULL, NULL, 15),
(81414, NULL, 'PTHR43391:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81415, NULL, 'PTHR34458:SF14', NULL, NULL, NULL, NULL, 'BNAC01G34880D PROTEIN', NULL, NULL, NULL, 15),
(81416, NULL, 'PTHR44329:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81417, NULL, 'PTHR12262:SF8', NULL, NULL, NULL, NULL, 'CELL DIFFERENTIATION PROTEIN RCD1-LIKE', NULL, NULL, NULL, 15),
(81418, NULL, 'PTHR12176:SF66', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(81419, NULL, 'PTHR22792:SF76', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(81420, NULL, 'PTHR33107:SF50', NULL, NULL, NULL, NULL, 'BNAANNG33640D PROTEIN', NULL, NULL, NULL, 15),
(81421, NULL, 'PTHR11740', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', NULL, NULL, 6657, 15),
(81422, NULL, 'PTHR16196', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN CWF25', NULL, NULL, NULL, 15),
(81423, NULL, 'PTHR12002:SF94', NULL, NULL, NULL, NULL, 'CLAUDIN 34D', NULL, NULL, NULL, 15),
(81424, NULL, 'PTHR31045', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81425, NULL, 'PTHR43005', NULL, NULL, NULL, NULL, 'BLR7065 PROTEIN', NULL, NULL, NULL, 15),
(81426, NULL, 'PTHR45751:SF30', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RGLG5', NULL, NULL, NULL, 15),
(81427, NULL, 'PTHR46168:SF19', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 4-RELATED', NULL, NULL, NULL, 15),
(81428, NULL, 'PTHR13793:SF17', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(81429, NULL, 'PTHR24012:SF733', NULL, NULL, NULL, NULL, 'TIA1 CYTOTOXIC GRANULE ASSOCIATED RNA BINDING PROTEIN LIKE 1', NULL, NULL, NULL, 15),
(81430, NULL, 'PTHR30404:SF4', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE', NULL, NULL, NULL, 15),
(81431, NULL, 'PTHR47928:SF85', NULL, NULL, NULL, NULL, 'OS12G0552300 PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81432, NULL, 'PTHR48104:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81433, NULL, 'PTHR37362', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 38', NULL, NULL, 27205, 15),
(81434, NULL, 'PTHR31561:SF139', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(81435, NULL, 'PTHR16213:SF78', NULL, NULL, NULL, NULL, 'SELENOPROTEIN N', NULL, NULL, NULL, 15),
(81436, NULL, 'PTHR43423:SF11', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 17', NULL, NULL, NULL, 15),
(81437, NULL, 'PTHR31989:SF322', NULL, NULL, NULL, NULL, 'BNAA09G06060D PROTEIN', NULL, NULL, NULL, 15),
(81438, NULL, 'PTHR47967:SF58', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE CDR1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81439, NULL, 'PTHR23338:SF16', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM4', NULL, NULL, NULL, 15),
(81440, NULL, 'PTHR47025:SF19', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE WITH RING/FYVE/PHD-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(81441, NULL, 'PTHR31419:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 6', NULL, NULL, NULL, 15),
(81442, NULL, 'PTHR37349:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 12', NULL, NULL, NULL, 15),
(81443, NULL, 'PTHR11062:SF207', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(81444, NULL, 'PTHR13261:SF2', NULL, NULL, NULL, NULL, 'BRCA2 AND CDKN1A-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(81445, NULL, 'PTHR24230:SF140', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR AH9.4-RELATED', NULL, NULL, NULL, 15),
(81446, NULL, 'PTHR34672:SF13', NULL, NULL, NULL, NULL, 'BNAC03G23540D PROTEIN', NULL, NULL, NULL, 15),
(81447, NULL, 'PTHR30290:SF66', NULL, NULL, NULL, NULL, 'SOLUTE BINDING PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81448, NULL, 'PTHR41983:SF2', NULL, NULL, NULL, NULL, 'SHORT-CHAIN FATTY ACID TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(81449, NULL, 'PTHR21687:SF5', NULL, NULL, NULL, NULL, 'PLASMALEMMA VESICLE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(81450, NULL, 'PTHR10971:SF32', NULL, NULL, NULL, NULL, 'MITOTIC CHECKPOINT PROTEIN BUB3.2', NULL, NULL, NULL, 15),
(81451, NULL, 'PTHR23338:SF55', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D3', NULL, NULL, NULL, 15),
(81452, NULL, 'PTHR24233:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 34-RELATED', NULL, NULL, NULL, 15),
(81453, NULL, 'PTHR43416:SF27', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYL CARRIER PROTEIN OF ACETYL-COA CARBOXYLASE', NULL, NULL, NULL, 15),
(81454, NULL, 'PTHR31561:SF2', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 10', NULL, NULL, NULL, 15),
(81455, NULL, 'PTHR30511:SF4', NULL, NULL, NULL, NULL, 'ALANINE RACEMASE, BIOSYNTHETIC', NULL, NULL, NULL, 15),
(81456, NULL, 'PTHR43574:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81457, NULL, 'PTHR33184:SF49', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81458, NULL, 'PTHR36866:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 4 OPEN READING FRAME 50', NULL, NULL, NULL, 15),
(81459, NULL, 'PTHR11103:SF8', NULL, NULL, NULL, NULL, 'BETAINE--HOMOCYSTEINE S-METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(81460, NULL, 'PTHR24276:SF61', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 53', NULL, NULL, NULL, 15),
(81461, NULL, 'PTHR11346:SF91', NULL, NULL, NULL, NULL, 'GALECTIN-9B-RELATED', NULL, NULL, NULL, 15),
(81462, NULL, 'PTHR31626:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81463, NULL, 'PTHR33159:SF66', NULL, NULL, NULL, NULL, 'BNAC03G47880D PROTEIN', NULL, NULL, NULL, 15),
(81464, NULL, 'PTHR31251:SF120', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 19-RELATED', NULL, NULL, NULL, 15),
(81465, NULL, 'PTHR42805', NULL, NULL, NULL, NULL, 'PTERIN-4-ALPHA-CARBINOLAMINE DEHYDRATASE-RELATED', NULL, NULL, NULL, 15),
(81466, NULL, 'PTHR35077:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO AI661453 PROTEIN', NULL, NULL, NULL, 15),
(81467, NULL, 'PTHR47361:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81468, NULL, 'PTHR31325:SF39', NULL, NULL, NULL, NULL, 'OS07G0270800 PROTEIN', NULL, NULL, NULL, 15),
(81469, NULL, 'PTHR10210:SF46', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE', NULL, NULL, NULL, 15),
(81470, NULL, 'PTHR10336:SF159', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE GAMMA', NULL, NULL, NULL, 15),
(81471, NULL, 'PTHR31642:SF265', NULL, NULL, NULL, NULL, 'BNAA03G00700D PROTEIN', NULL, NULL, NULL, 15),
(81472, NULL, 'PTHR22084', NULL, NULL, NULL, NULL, 'GEX INTERACTING PROTEIN PROTEIN 4', NULL, NULL, NULL, 15),
(81473, NULL, 'PTHR46047:SF2', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 1', NULL, NULL, NULL, 15),
(81474, NULL, 'PTHR11610:SF36', NULL, NULL, NULL, NULL, 'LIPASE MEMBER H-A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81475, NULL, 'PTHR24414:SF153', NULL, NULL, NULL, NULL, 'BNACNNG54800D PROTEIN', NULL, NULL, NULL, 15),
(81476, NULL, 'PTHR14009:SF34', NULL, NULL, NULL, NULL, 'LETM1 AND EF-HAND DOMAIN-CONTAINING PROTEIN ANON-60DA ISOFORM 1', NULL, NULL, NULL, 15),
(81477, NULL, 'PTHR42182:SF1', NULL, NULL, NULL, NULL, 'SLL0359 PROTEIN', NULL, NULL, NULL, 15),
(81478, NULL, 'PTHR11412', NULL, NULL, NULL, NULL, 'MACROGLOBULIN / COMPLEMENT', NULL, NULL, NULL, 15),
(81479, NULL, 'PTHR31084:SF11', NULL, NULL, NULL, NULL, 'ALPHA-FUCOSIDASE (EUROFUNG)', NULL, NULL, NULL, 15),
(81480, NULL, 'PTHR31867:SF17', NULL, NULL, NULL, NULL, 'EXPANSIN-A25', NULL, NULL, NULL, 15),
(81481, NULL, 'PTHR11240:SF58', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(81482, NULL, 'PTHR23501:SF98', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY TRANSPORTER', NULL, NULL, NULL, 15),
(81483, NULL, 'PTHR16124:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR OTHERS FAMILY-RELATED', NULL, NULL, NULL, 15),
(81484, NULL, 'PTHR23517:SF10', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN B', NULL, NULL, NULL, 15),
(81485, NULL, 'PTHR13650:SF0', NULL, NULL, NULL, NULL, 'SPATACSIN', NULL, NULL, NULL, 15),
(81486, NULL, 'PTHR37376:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(81487, NULL, 'PTHR45880:SF2', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 4, MITOCHONDRIAL ISOFORM X1', NULL, NULL, NULL, 15),
(81488, NULL, 'PTHR27009:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81489, NULL, 'PTHR23084:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81490, NULL, 'PTHR45667:SF25', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE MITOCHONDRIAL CARRIER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(81491, NULL, 'PTHR24349:SF295', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 25', NULL, NULL, NULL, 15),
(81492, NULL, 'PTHR34463:SF17', NULL, NULL, NULL, NULL, 'ACANTHOSCURRIN-1-LIKE', NULL, NULL, NULL, 15),
(81493, NULL, 'PTHR47990:SF110', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 1-B-LIKE', NULL, NULL, NULL, 15),
(81494, NULL, 'PTHR42721:SF19', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 7-RELATED', NULL, NULL, NULL, 15),
(81495, NULL, 'PTHR38973:SF1', NULL, NULL, NULL, NULL, 'PLASMID PARTITION PROTEIN B', NULL, NULL, NULL, 15),
(81496, NULL, 'PTHR15245:SF20', NULL, NULL, NULL, NULL, 'SYMPLEKIN', NULL, NULL, 20217, 15),
(81497, NULL, 'PTHR12277:SF48', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE DOMAIN-CONTAINING PROTEIN 17B', NULL, NULL, NULL, 15),
(81498, NULL, 'PTHR43329:SF43', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE B', NULL, NULL, NULL, 15),
(81499, NULL, 'PTHR42757:SF38', NULL, NULL, NULL, NULL, 'MYOTILIN-LIKE', NULL, NULL, NULL, 15),
(81500, NULL, 'PTHR21453', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(81501, NULL, 'PTHR48001:SF36', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7D4', NULL, NULL, NULL, 15),
(81502, NULL, 'PTHR23138:SF91', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(81503, NULL, 'PTHR31916:SF39', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE CINV2', NULL, NULL, NULL, 15),
(81504, NULL, 'PTHR31639:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81505, NULL, 'PTHR10693:SF63', NULL, NULL, NULL, NULL, 'G3BP-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81506, NULL, 'PTHR46517:SF3', NULL, NULL, NULL, NULL, 'FRUCTOSE-2,6-BISPHOSPHATASE TIGAR A-RELATED', NULL, NULL, NULL, 15),
(81507, NULL, 'PTHR47976:SF17', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(81508, NULL, 'PTHR11010:SF90', NULL, NULL, NULL, NULL, 'SERINE PROTEASE EDA2-RELATED', NULL, NULL, NULL, 15),
(81509, NULL, 'PTHR16265:SF1', NULL, NULL, NULL, NULL, 'PTB-CONTAINING, CUBILIN AND LRP1-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(81510, NULL, 'PTHR11599:SF170', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(81511, NULL, 'PTHR24096:SF382', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 2-LIKE', NULL, NULL, NULL, 15),
(81512, NULL, 'PTHR31086:SF82', NULL, NULL, NULL, NULL, 'ALUMINUM ACTIVATED MALATE TRANSPORTER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81513, NULL, 'PTHR12504:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM22 HOMOLOG', NULL, NULL, NULL, 15),
(81514, NULL, 'PTHR46837:SF4', NULL, NULL, NULL, NULL, 'OS05G0534600 PROTEIN', NULL, NULL, NULL, 15),
(81515, NULL, 'PTHR33669:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81516, NULL, 'PTHR48003:SF5', NULL, NULL, NULL, NULL, 'OS07G0626500 PROTEIN', NULL, NULL, NULL, 15),
(81517, NULL, 'PTHR43302:SF3', NULL, NULL, NULL, NULL, 'OS10G0447900 PROTEIN', NULL, NULL, NULL, 15),
(81518, NULL, 'PTHR45938:SF9', NULL, NULL, NULL, NULL, 'ACP24A4-RELATED', NULL, NULL, NULL, 15),
(81519, NULL, 'PTHR47876', NULL, NULL, NULL, NULL, 'OS08G0260000 PROTEIN', NULL, NULL, NULL, 15),
(81520, NULL, 'PTHR10210:SF57', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 1', NULL, NULL, NULL, 15),
(81521, NULL, 'PTHR32341:SF9', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY M PROTEIN', NULL, NULL, NULL, 15),
(81522, NULL, 'PTHR24247:SF88', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE (SEROTONIN) RECEPTOR 7C', NULL, NULL, NULL, 15),
(81523, NULL, 'PTHR10507:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81524, NULL, 'PTHR35688', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(81525, NULL, 'PTHR24221:SF479', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81526, NULL, 'PTHR11588:SF392', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(81527, NULL, 'PTHR44826:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81528, NULL, 'PTHR11909:SF351', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE', NULL, NULL, NULL, 15),
(81529, NULL, 'PTHR21039:SF0', NULL, NULL, NULL, NULL, 'HISTIDINOL-PHOSPHATASE', NULL, NULL, NULL, 15),
(81530, NULL, 'PTHR31235:SF313', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(81531, NULL, 'PTHR45835:SF82', NULL, NULL, NULL, NULL, 'YALI0A06105P', NULL, NULL, NULL, 15),
(81532, NULL, 'PTHR12126:SF10', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 9, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(81533, NULL, 'PTHR12129:SF15', NULL, NULL, NULL, NULL, 'URONYL 2-SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(81534, NULL, 'PTHR31655:SF0', NULL, NULL, NULL, NULL, 'PROTEIN FAM78B', NULL, NULL, 27029, 15),
(81535, NULL, 'PTHR11558:SF46', NULL, NULL, NULL, NULL, 'BNAA07G09790D PROTEIN', NULL, NULL, NULL, 15),
(81536, NULL, 'PTHR30047', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY CHOLINE TRANSPORT PROTEIN-RELATED', NULL, NULL, 3567, 15),
(81537, NULL, 'PTHR31681:SF82', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(81538, NULL, 'PTHR16932:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81539, NULL, 'PTHR16529', NULL, NULL, NULL, NULL, 'CD177 ANTIGEN', NULL, NULL, NULL, 15),
(81540, NULL, 'PTHR12329:SF36', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81541, NULL, 'PTHR15950', NULL, NULL, NULL, NULL, 'TRANSCRIPTION COFACTOR VESTIGIAL-LIKE PROTEIN', NULL, NULL, 12628, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81542, NULL, 'PTHR22953:SF13', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(81543, NULL, 'PTHR24012:SF820', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(81544, NULL, 'PTHR38221:SF1', NULL, NULL, NULL, NULL, 'BNAA04G14260D PROTEIN', NULL, NULL, NULL, 15),
(81545, NULL, 'PTHR24299:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81546, NULL, 'PTHR15601:SF24', NULL, NULL, NULL, NULL, 'BNAC03G57570D PROTEIN', NULL, NULL, NULL, 15),
(81547, NULL, 'PTHR27009:SF64', NULL, NULL, NULL, NULL, 'OS11G0441900 PROTEIN', NULL, NULL, NULL, 15),
(81548, NULL, 'PTHR11649:SF75', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(81549, NULL, 'PTHR24028:SF133', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-8', NULL, NULL, NULL, 15),
(81550, NULL, 'PTHR21371:SF22', NULL, NULL, NULL, NULL, 'OS09G0436500 PROTEIN', NULL, NULL, NULL, 15),
(81551, NULL, 'PTHR11256:SF12', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 1', NULL, NULL, 8589, 15),
(81552, NULL, 'PTHR24257', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE ELASTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(81553, NULL, 'PTHR23511:SF28', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE GLYCOPROTEIN 2BA', NULL, NULL, NULL, 15),
(81554, NULL, 'PTHR13813:SF3', NULL, NULL, NULL, NULL, 'GLYCOPHORIN-A', NULL, NULL, NULL, 15),
(81555, NULL, 'PTHR10639:SF33', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(81556, NULL, 'PTHR23226:SF230', NULL, NULL, NULL, NULL, 'FI01424P-RELATED', NULL, NULL, NULL, 15),
(81557, NULL, 'PTHR23272:SF136', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN DAYSLEEPER-LIKE', NULL, NULL, NULL, 15),
(81558, NULL, 'PTHR10106:SF22', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE ASCORBATE FERRIREDUCTASE 1', NULL, NULL, NULL, 15),
(81559, NULL, 'PTHR34937', NULL, NULL, NULL, NULL, 'OS08G0559800 PROTEIN', NULL, NULL, 34360, 15),
(81560, NULL, 'PTHR24960:SF77', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(81561, NULL, 'PTHR48047:SF117', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 90A2', NULL, NULL, NULL, 15),
(81562, NULL, 'PTHR11712:SF329', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE', NULL, NULL, NULL, 15),
(81563, NULL, 'PTHR47354:SF3', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(81564, NULL, 'PTHR31562:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG06280', NULL, NULL, NULL, 15),
(81565, NULL, 'PTHR23092:SF15', NULL, NULL, NULL, NULL, 'INACTIVE NON-CANONICAL POLY(A) RNA POLYMERASE PROTEIN TRF4-2-RELATED', NULL, NULL, NULL, 15),
(81566, NULL, 'PTHR45650:SF46', NULL, NULL, NULL, NULL, 'LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81567, NULL, 'PTHR13771:SF3', NULL, NULL, NULL, NULL, 'INTERCELLULAR ADHESION MOLECULE 2', NULL, NULL, 18274, 15),
(81568, NULL, 'PTHR33132:SF59', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(81569, NULL, 'PTHR26454:SF54', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(81570, NULL, 'PTHR35293:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81571, NULL, 'PTHR24055:SF355', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(81572, NULL, 'PTHR10802', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM40', NULL, NULL, 35249, 15),
(81573, NULL, 'PTHR13869:SF19', NULL, NULL, NULL, NULL, 'MYELIN PROTEIN ZERO-LIKE PROTEIN 1', NULL, NULL, 27680, 15),
(81574, NULL, 'PTHR48052:SF10', NULL, NULL, NULL, NULL, 'LRR AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(81575, NULL, 'PTHR31642:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81576, NULL, 'PTHR42852:SF10', NULL, NULL, NULL, NULL, 'BACTERIOFERRITIN COMIGRATORY PROTEIN', NULL, NULL, NULL, 15),
(81577, NULL, 'PTHR30540:SF97', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(81578, NULL, 'PTHR45977:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81579, NULL, 'PTHR47967:SF39', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81580, NULL, 'PTHR45914:SF28', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH87', NULL, NULL, NULL, 15),
(81581, NULL, 'PTHR46703:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81582, NULL, 'PTHR24247:SF108', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 5A', NULL, NULL, 7346, 15),
(81583, NULL, 'PTHR23105:SF155', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L30E-RELATED', NULL, NULL, NULL, 15),
(81584, NULL, 'PTHR33491:SF31', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE, GALACTURONAN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81585, NULL, 'PTHR21181:SF15', NULL, NULL, NULL, NULL, 'MEMBRANE MAGNESIUM TRANSPORTER 1', NULL, NULL, NULL, 15),
(81586, NULL, 'PTHR46101:SF5', NULL, NULL, NULL, NULL, 'HISTIDINE DECARBOXYLASE-LIKE', NULL, NULL, NULL, 15),
(81587, NULL, 'PTHR35079', NULL, NULL, NULL, NULL, 'LUNG ADENOMA SUSCEPTIBILITY PROTEIN 2', NULL, NULL, NULL, 15),
(81588, NULL, 'PTHR10358:SF4', NULL, NULL, NULL, NULL, 'CAMP-REGULATED PHOSPHOPROTEIN 19', NULL, NULL, NULL, 15),
(81589, NULL, 'PTHR24092:SF173', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 7-RELATED', NULL, NULL, NULL, 15),
(81590, NULL, 'PTHR10104:SF18', NULL, NULL, NULL, NULL, 'STATHMIN-2', NULL, NULL, 27107, 15),
(81591, NULL, 'PTHR33107:SF31', NULL, NULL, NULL, NULL, 'KUNITZ TYPE TRYPSIN INHIBITOR', NULL, NULL, NULL, 15),
(81592, NULL, 'PTHR33294', NULL, NULL, NULL, NULL, 'AWPM-19-LIKE FAMILY PROTEIN', NULL, NULL, 7535, 15),
(81593, NULL, 'PTHR13743:SF142', NULL, NULL, NULL, NULL, 'WD40 AND FYVE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(81594, NULL, 'PTHR22957:SF551', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 13-LIKE', NULL, NULL, NULL, 15),
(81595, NULL, 'PTHR10698:SF1', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT H 1-RELATED', NULL, NULL, NULL, 15),
(81596, NULL, 'PTHR16134:SF77', NULL, NULL, NULL, NULL, 'BNAA03G50380D PROTEIN', NULL, NULL, NULL, 15),
(81597, NULL, 'PTHR47201', NULL, NULL, NULL, NULL, 'BNAC09G30780D PROTEIN', NULL, NULL, NULL, 15),
(81598, NULL, 'PTHR10696:SF42', NULL, NULL, NULL, NULL, 'OS08G0383800 PROTEIN', NULL, NULL, NULL, 15),
(81599, NULL, 'PTHR28218', NULL, NULL, NULL, NULL, 'VPS4-ASSOCIATED PROTEIN 1', NULL, NULL, 13057, 15),
(81600, NULL, 'PTHR48049', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(81601, NULL, 'PTHR31234:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81602, NULL, 'PTHR48108:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, XRE FAMILY', NULL, NULL, NULL, 15),
(81603, NULL, 'PTHR22951:SF93', NULL, NULL, NULL, NULL, 'BNAA02G08290D PROTEIN', NULL, NULL, NULL, 15),
(81604, NULL, 'PTHR21725:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR4', NULL, NULL, NULL, 15),
(81605, NULL, 'PTHR33128:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81606, NULL, 'PTHR46034', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 39020, 15),
(81607, NULL, 'PTHR11266:SF76', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE 22 KDA FAMILY PROTEIN', NULL, NULL, NULL, 15),
(81608, NULL, 'PTHR38166:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81609, NULL, 'PTHR48049:SF28', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(81610, NULL, 'PTHR26450:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81611, NULL, 'PTHR46287:SF15', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(81612, NULL, 'PTHR36130:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4933430I17 GENE', NULL, NULL, NULL, 15),
(81613, NULL, 'PTHR15241:SF332', NULL, NULL, NULL, NULL, 'MUSASHI RNA BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(81614, NULL, 'PTHR46502:SF11', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(81615, NULL, 'PTHR34940', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 5 KDA PROTEIN, CHLOROPLASTIC', NULL, NULL, 29601, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81616, NULL, 'PTHR39410', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930558K02 GENE', NULL, NULL, 28144, 15),
(81617, NULL, 'PTHR23192:SF68', NULL, NULL, NULL, NULL, 'SI:CH211-194M7.3', NULL, NULL, NULL, 15),
(81618, NULL, 'PTHR12335:SF3', NULL, NULL, NULL, NULL, 'IP11896P', NULL, NULL, NULL, 15),
(81619, NULL, 'PTHR33124:SF38', NULL, NULL, NULL, NULL, 'OS03G0312100 PROTEIN', NULL, NULL, NULL, 15),
(81620, NULL, 'PTHR11533:SF242', NULL, NULL, NULL, NULL, 'GLUTAMYL AMINOPEPTIDASE', NULL, NULL, 34227, 15),
(81621, NULL, 'PTHR35818:SF1', NULL, NULL, NULL, NULL, 'RGD1564171', NULL, NULL, NULL, 15),
(81622, NULL, 'PTHR10139', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR PROTEIN MRE11', NULL, NULL, NULL, 15),
(81623, NULL, 'PTHR15756', NULL, NULL, NULL, NULL, 'LR8/HCA112', NULL, NULL, 14000, 15),
(81624, NULL, 'PTHR33767', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 34679, 15),
(81625, NULL, 'PTHR36748:SF4', NULL, NULL, NULL, NULL, 'MENTAL RETARDATION GTPASE ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(81626, NULL, 'PTHR31833', NULL, NULL, NULL, NULL, 'UPF0690 PROTEIN C1ORF52', NULL, NULL, NULL, 15),
(81627, NULL, 'PTHR33479:SF1', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE BRAN TRYPSIN INHIBITOR', NULL, NULL, NULL, 15),
(81628, NULL, 'PTHR10903:SF142', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(81629, NULL, 'PTHR11690:SF231', NULL, NULL, NULL, NULL, 'PROTEIN CBG11983', NULL, NULL, NULL, 15),
(81630, NULL, 'PTHR12626:SF9', NULL, NULL, NULL, NULL, 'BNAA06G20900D PROTEIN', NULL, NULL, NULL, 15),
(81631, NULL, 'PTHR46554:SF5', NULL, NULL, NULL, NULL, 'OS10G0327400 PROTEIN', NULL, NULL, NULL, 15),
(81632, NULL, 'PTHR46214:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81633, NULL, 'PTHR33048:SF108', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G02860)-RELATED', NULL, NULL, NULL, 15),
(81634, NULL, 'PTHR47979:SF5', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-42', NULL, NULL, NULL, 15),
(81635, NULL, 'PTHR22880:SF143', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(81636, NULL, 'PTHR31636:SF218', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL1-LIKE', NULL, NULL, NULL, 15),
(81637, NULL, 'PTHR19957:SF41', NULL, NULL, NULL, NULL, 'SYNTAXIN-1A', NULL, NULL, NULL, 15),
(81638, NULL, 'PTHR42852', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBE', NULL, NULL, NULL, 15),
(81639, NULL, 'PTHR11426:SF202', NULL, NULL, NULL, NULL, 'BETA CENTROMERIC HISTONE H3', NULL, NULL, NULL, 15),
(81640, NULL, 'PTHR33577:SF18', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(81641, NULL, 'PTHR10188:SF37', NULL, NULL, NULL, NULL, 'SI:CH211-256M1.8', NULL, NULL, NULL, 15),
(81642, NULL, 'PTHR43489:SF6', NULL, NULL, NULL, NULL, 'HYDROXYPYRUVATE ISOMERASE-RELATED', NULL, NULL, NULL, 15),
(81643, NULL, 'PTHR13887:SF43', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(81644, NULL, 'PTHR32502:SF28', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM SUGAR-SPECIFIC EIIC COMPONENT', NULL, NULL, NULL, 15),
(81645, NULL, 'PTHR31719:SF158', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 25', NULL, NULL, NULL, 15),
(81646, NULL, 'PTHR48018:SF68', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR K41', NULL, NULL, NULL, 15),
(81647, NULL, 'PTHR12692:SF1', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR CANDIDATE 3', NULL, NULL, NULL, 15),
(81648, NULL, 'PTHR34538:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81649, NULL, 'PTHR45868:SF64', NULL, NULL, NULL, NULL, 'BNAANNG08630D PROTEIN', NULL, NULL, NULL, 15),
(81650, NULL, 'PTHR33710:SF13', NULL, NULL, NULL, NULL, 'OS01G0714200 PROTEIN', NULL, NULL, NULL, 15),
(81651, NULL, 'PTHR27000:SF97', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN-TYROSINE KINASE CEPR2', NULL, NULL, NULL, 15),
(81652, NULL, 'PTHR31052:SF19', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(81653, NULL, 'PTHR39453:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE PROPANOYLTRANSFERASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81654, NULL, 'PTHR31949:SF15', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN PB15E9.01C-RELATED', NULL, NULL, NULL, 15),
(81655, NULL, 'PTHR37355:SF1', NULL, NULL, NULL, NULL, 'PLACENTA-SPECIFIC PROTEIN 9', NULL, NULL, NULL, 15),
(81656, NULL, 'PTHR31589:SF86', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', NULL, NULL, NULL, 15),
(81657, NULL, 'PTHR44083:SF34', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81658, NULL, 'PTHR24009:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 22-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(81659, NULL, 'PTHR34484:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81660, NULL, 'PTHR23322:SF68', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 9 ISOFORM X1', NULL, NULL, NULL, 15),
(81661, NULL, 'PTHR11461:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81662, NULL, 'PTHR47853:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(81663, NULL, 'PTHR24298:SF549', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 705A12', NULL, NULL, NULL, 15),
(81664, NULL, 'PTHR47835', NULL, NULL, NULL, NULL, 'HFM1, ATP DEPENDENT DNA HELICASE HOMOLOG', NULL, NULL, NULL, 15),
(81665, NULL, 'PTHR46148:SF33', NULL, NULL, NULL, NULL, 'OS05G0296332 PROTEIN', NULL, NULL, NULL, 15),
(81666, NULL, 'PTHR34156:SF5', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81667, NULL, 'PTHR22826:SF104', NULL, NULL, NULL, NULL, 'TRIPLE FUNCTIONAL DOMAIN PROTEIN', NULL, NULL, 24429, 15),
(81668, NULL, 'PTHR12300:SF155', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, 24789, 15),
(81669, NULL, 'PTHR11977:SF121', NULL, NULL, NULL, NULL, 'BNAA02G08200D PROTEIN', NULL, NULL, NULL, 15),
(81670, NULL, 'PTHR46745', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 1', NULL, NULL, NULL, 15),
(81671, NULL, 'PTHR19944:SF59', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DQ ALPHA 1 CHAIN', NULL, NULL, NULL, 15),
(81672, NULL, 'PTHR33571:SF14', NULL, NULL, NULL, NULL, 'SSL8005 PROTEIN', NULL, NULL, NULL, 15),
(81673, NULL, 'PTHR24006:SF824', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 3', NULL, NULL, NULL, 15),
(81674, NULL, 'PTHR44099:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(81675, NULL, 'PTHR48018:SF165', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(81676, NULL, 'PTHR36888:SF2', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81677, NULL, 'PTHR32100:SF62', NULL, NULL, NULL, NULL, 'ACYL-LIPID OMEGA-3 DESATURASE (CYTOCHROME B5), ENDOPLASMIC RETICULUM', NULL, NULL, NULL, 15),
(81678, NULL, 'PTHR31711:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81679, NULL, 'PTHR31072:SF83', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP9', NULL, NULL, NULL, 15),
(81680, NULL, 'PTHR13509:SF13', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', NULL, NULL, NULL, 15),
(81681, NULL, 'PTHR13396', NULL, NULL, NULL, NULL, 'NEDD4 FAMILY INTERACTING PROTEIN 1/2', NULL, NULL, 15391, 15),
(81682, NULL, 'PTHR48107:SF2', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81683, NULL, 'PTHR42821', NULL, NULL, NULL, NULL, 'CATALASE', NULL, NULL, 658, 15),
(81684, NULL, 'PTHR31403:SF57', NULL, NULL, NULL, NULL, 'BNAA01G18100D PROTEIN', NULL, NULL, NULL, 15),
(81685, NULL, 'PTHR31089:SF1', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 2', NULL, NULL, NULL, 15),
(81686, NULL, 'PTHR11604:SF49', NULL, NULL, NULL, NULL, 'PROFILIN-1', NULL, NULL, NULL, 15),
(81687, NULL, 'PTHR31650:SF42', NULL, NULL, NULL, NULL, 'OS01G0770000 PROTEIN', NULL, NULL, NULL, 15),
(81688, NULL, 'PTHR32176:SF36', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(81689, NULL, 'PTHR11615:SF333', NULL, NULL, NULL, NULL, 'TETRATHIONATE REDUCTASE SUBUNIT A', NULL, NULL, NULL, 15),
(81690, NULL, 'PTHR24221:SF521', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81691, NULL, 'PTHR11437:SF10', NULL, NULL, NULL, NULL, 'ANGIOGENIN', NULL, NULL, NULL, 15),
(81692, NULL, 'PTHR10638:SF60', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(81693, NULL, 'PTHR31086:SF75', NULL, NULL, NULL, NULL, 'ALUMINUM ACTIVATED MALATE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(81694, NULL, 'PTHR38477:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL EXPORTED PROTEIN', NULL, NULL, NULL, 15),
(81695, NULL, 'PTHR43670:SF37', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(81696, NULL, 'PTHR26453:SF130', NULL, NULL, NULL, NULL, 'MCG141667', NULL, NULL, NULL, 15),
(81697, NULL, 'PTHR10535:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81698, NULL, 'PTHR48161:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81699, NULL, 'PTHR43521:SF4', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE DEHYDROGENASE 12A1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(81700, NULL, 'PTHR31360:SF0', NULL, NULL, NULL, NULL, 'OIL BODY-ASSOCIATED PROTEIN 1B', NULL, NULL, NULL, 15),
(81701, NULL, 'PTHR28071:SF1', NULL, NULL, NULL, NULL, 'REDOX PROTEIN FMP46, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(81702, NULL, 'PTHR35402:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(81703, NULL, 'PTHR20766:SF0', NULL, NULL, NULL, NULL, 'LARGE NEUTRAL AMINO ACIDS TRANSPORTER SMALL SUBUNIT 3', NULL, NULL, NULL, 15),
(81704, NULL, 'PTHR46469', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 8', NULL, NULL, 35971, 15),
(81705, NULL, 'PTHR11353:SF205', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ZETA-RELATED', NULL, NULL, NULL, 15),
(81706, NULL, 'PTHR23306:SF21', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME/RWD-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81707, NULL, 'PTHR22777:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81708, NULL, 'PTHR15858', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 17764, 15),
(81709, NULL, 'PTHR43261', NULL, NULL, NULL, NULL, 'TRANSLATION ELONGATION FACTOR G-RELATED', NULL, NULL, NULL, 15),
(81710, NULL, 'PTHR23291:SF105', NULL, NULL, NULL, NULL, 'BNAC06G26880D PROTEIN', NULL, NULL, NULL, 15),
(81711, NULL, 'PTHR43725:SF14', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE', NULL, NULL, NULL, 15),
(81712, NULL, 'PTHR42811:SF11', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(81713, NULL, 'PTHR43908:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81714, NULL, 'PTHR33199:SF2', NULL, NULL, NULL, NULL, 'OS02G0475300 PROTEIN', NULL, NULL, NULL, 15),
(81715, NULL, 'PTHR23291:SF16', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 1', NULL, NULL, NULL, 15),
(81716, NULL, 'PTHR48246', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81717, NULL, 'PTHR34653', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 3236, 15),
(81718, NULL, 'PTHR32266:SF18', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE 2', NULL, NULL, NULL, 15),
(81719, NULL, 'PTHR21026:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81720, NULL, 'PTHR24286:SF268', NULL, NULL, NULL, NULL, 'BNAA06G38070D PROTEIN', NULL, NULL, NULL, 15),
(81721, NULL, 'PTHR33143:SF50', NULL, NULL, NULL, NULL, 'PROTEIN MKS1', NULL, NULL, NULL, 15),
(81722, NULL, 'PTHR10909:SF378', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, NULL, 15),
(81723, NULL, 'PTHR34226:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81724, NULL, 'PTHR27005:SF78', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81725, NULL, 'PTHR12300:SF33', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN 1', NULL, NULL, NULL, 15),
(81726, NULL, 'PTHR23500:SF549', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 5-LIKE', NULL, NULL, NULL, 15),
(81727, NULL, 'PTHR47992:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81728, NULL, 'PTHR47661:SF3', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81729, NULL, 'PTHR24282:SF141', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714C3', NULL, NULL, NULL, 15),
(81730, NULL, 'PTHR47993:SF168', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81731, NULL, 'PTHR24381:SF118', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 329', NULL, NULL, NULL, 15),
(81732, NULL, 'PTHR31042:SF19', NULL, NULL, NULL, NULL, 'OS02G0175500 PROTEIN', NULL, NULL, NULL, 15),
(81733, NULL, 'PTHR10683:SF33', NULL, NULL, NULL, NULL, 'TRANSALDOLASE-RELATED', NULL, NULL, NULL, 15),
(81734, NULL, 'PTHR10252:SF105', NULL, NULL, NULL, NULL, 'HISTONE-FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81735, NULL, 'PTHR32382:SF52', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE PROTEIN FLA7', NULL, NULL, NULL, 15),
(81736, NULL, 'PTHR30573', NULL, NULL, NULL, NULL, 'QUINOLINATE SYNTHETASE A', NULL, NULL, 6463, 15),
(81737, NULL, 'PTHR43092:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81738, NULL, 'PTHR11062:SF274', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(81739, NULL, 'PTHR24089:SF693', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(81740, NULL, 'PTHR45669:SF16', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(81741, NULL, 'PTHR12121', NULL, NULL, NULL, NULL, 'CARBON CATABOLITE REPRESSOR PROTEIN 4', NULL, NULL, NULL, 15),
(81742, NULL, 'PTHR10992:SF1028', NULL, NULL, NULL, NULL, 'METHYLESTERASE 9', NULL, NULL, NULL, 15),
(81743, NULL, 'PTHR34550', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S31, CHLOROPLASTIC', NULL, NULL, 37873, 15),
(81744, NULL, 'PTHR11480:SF76', NULL, NULL, NULL, NULL, 'PROSAPOSIN-LIKE', NULL, NULL, NULL, 15),
(81745, NULL, 'PTHR12735:SF43', NULL, NULL, NULL, NULL, 'BNAA09G06960D PROTEIN', NULL, NULL, NULL, 15),
(81746, NULL, 'PTHR13771:SF8', NULL, NULL, NULL, NULL, 'INTERCELLULAR ADHESION MOLECULE 4', NULL, NULL, NULL, 15),
(81747, NULL, 'PTHR24078:SF544', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(81748, NULL, 'PTHR44688', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81749, NULL, 'PTHR34309:SF1', NULL, NULL, NULL, NULL, 'SLR1406 PROTEIN', NULL, NULL, NULL, 15),
(81750, NULL, 'PTHR33044:SF119', NULL, NULL, NULL, NULL, 'OS01G0814100 PROTEIN', NULL, NULL, NULL, 15),
(81751, NULL, 'PTHR31087:SF17', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 14-RELATED', NULL, NULL, NULL, 15),
(81752, NULL, 'PTHR36811:SF3', NULL, NULL, NULL, NULL, 'BNAC03G12770D PROTEIN', NULL, NULL, NULL, 15),
(81753, NULL, 'PTHR33922:SF9', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS ABUNDANT PROTEIN GROUP 8 PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81754, NULL, 'PTHR28611', NULL, NULL, NULL, NULL, 'NORRIN', NULL, NULL, 6750, 15),
(81755, NULL, 'PTHR39650:SF1', NULL, NULL, NULL, NULL, 'CDP-ARCHAEOL SYNTHASE', NULL, NULL, NULL, 15),
(81756, NULL, 'PTHR11394:SF8', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 5', NULL, NULL, NULL, 15),
(81757, NULL, 'PTHR10811:SF97', NULL, NULL, NULL, NULL, 'BNAANNG23960D PROTEIN', NULL, NULL, NULL, 15),
(81758, NULL, 'PTHR23336:SF22', NULL, NULL, NULL, NULL, 'MORC FAMILY CW-TYPE ZINC FINGER PROTEIN 4', NULL, NULL, NULL, 15),
(81759, NULL, 'PTHR11685:SF289', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(81760, NULL, 'PTHR43792:SF13', NULL, NULL, NULL, NULL, 'RIBOSOMAL-PROTEIN-ALANINE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(81761, NULL, 'PTHR30518', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 2029, 15),
(81762, NULL, 'PTHR23502:SF156', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00420)-RELATED', NULL, NULL, NULL, 15),
(81763, NULL, 'PTHR14206', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC ANGIOGENESIS INHIBITOR 1-ASSOCIATED PROTEIN 2', NULL, NULL, 26181, 15),
(81764, NULL, 'PTHR36139:SF4', NULL, NULL, NULL, NULL, 'BNAC08G04470D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81765, NULL, 'PTHR13513:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81766, NULL, 'PTHR13678:SF21', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN-SORTING-ASSOCIATED PROTEIN 37 HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(81767, NULL, 'PTHR43327:SF35', NULL, NULL, NULL, NULL, 'BNAA02G09870D PROTEIN', NULL, NULL, NULL, 15),
(81768, NULL, 'PTHR47849:SF3', NULL, NULL, NULL, NULL, 'LECTIN', NULL, NULL, NULL, 15),
(81769, NULL, 'PTHR48018:SF65', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5D14', NULL, NULL, NULL, 15),
(81770, NULL, 'PTHR46344:SF7', NULL, NULL, NULL, NULL, 'KELCH MOTIF FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(81771, NULL, 'PTHR39162:SF1', NULL, NULL, NULL, NULL, 'GLL3345 PROTEIN', NULL, NULL, NULL, 15),
(81772, NULL, 'PTHR15960:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(81773, NULL, 'PTHR10182:SF19', NULL, NULL, NULL, NULL, 'BNAC07G34260D PROTEIN', NULL, NULL, NULL, 15),
(81774, NULL, 'PTHR23421:SF162', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(81775, NULL, 'PTHR43725:SF19', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE 5', NULL, NULL, NULL, 15),
(81776, NULL, 'PTHR34938', NULL, NULL, NULL, NULL, 'PROTEIN FERTILITY RESTORER RF2, MITOCHONDRIAL', NULL, NULL, 34048, 15),
(81777, NULL, 'PTHR20961:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81778, NULL, 'PTHR35420:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81779, NULL, 'PTHR17085:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 4', NULL, NULL, NULL, 15),
(81780, NULL, 'PTHR44843:SF10', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(81781, NULL, 'PTHR10887:SF475', NULL, NULL, NULL, NULL, 'ZINC FINGER, NFX1-TYPE-CONTAINING 1, GENE 2', NULL, NULL, NULL, 15),
(81782, NULL, 'PTHR13029:SF20', NULL, NULL, NULL, NULL, 'MYELIN GENE REGULATORY FACTOR-LIKE A', NULL, NULL, NULL, 15),
(81783, NULL, 'PTHR31009:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81784, NULL, 'PTHR31752:SF52', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 8-RELATED', NULL, NULL, NULL, 15),
(81785, NULL, 'PTHR20852:SF102', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE CYTOSOLIC ISOZYME 1-2', NULL, NULL, NULL, 15),
(81786, NULL, 'PTHR43969:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE E14', NULL, NULL, NULL, 15),
(81787, NULL, 'PTHR24211:SF20', NULL, NULL, NULL, NULL, 'PROTEIN ESPINAS-RELATED', NULL, NULL, NULL, 15),
(81788, NULL, 'PTHR47937:SF1', NULL, NULL, NULL, NULL, 'PLASTID TRANSCRIPTIONALLY ACTIVE CHROMOSOME 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81789, NULL, 'PTHR33648:SF32', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-BINDING LYSM DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81790, NULL, 'PTHR24223:SF377', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81791, NULL, 'PTHR46450:SF9', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUVR2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81792, NULL, 'PTHR30540:SF88', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 13-RELATED', NULL, NULL, NULL, 15),
(81793, NULL, 'PTHR24055:SF429', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 8', NULL, NULL, NULL, 15),
(81794, NULL, 'PTHR21694:SF18', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 63', NULL, NULL, 26280, 15),
(81795, NULL, 'PTHR34149:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG09996', NULL, NULL, NULL, 15),
(81796, NULL, 'PTHR45972:SF1', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 7A', NULL, NULL, NULL, 15),
(81797, NULL, 'PTHR31798:SF8', NULL, NULL, NULL, NULL, 'BNAA02G17660D PROTEIN', NULL, NULL, NULL, 15),
(81798, NULL, 'PTHR42918:SF14', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(81799, NULL, 'PTHR18966:SF430', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(81800, NULL, 'PTHR13906:SF7', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE 2', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81801, NULL, 'PTHR11556:SF34', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(81802, NULL, 'PTHR11679:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81803, NULL, 'PTHR31645:SF66', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER, OPT SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(81804, NULL, 'PTHR48029:SF2', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 8', NULL, NULL, NULL, 15),
(81805, NULL, 'PTHR37611:SF2', NULL, NULL, NULL, NULL, 'VIRUS-SPECIFIC-SIGNALING-PATHWAY REGULATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81806, NULL, 'PTHR11733:SF208', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', NULL, NULL, NULL, 15),
(81807, NULL, 'PTHR46672:SF3', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN PLANT PROTEIN', NULL, NULL, NULL, 15),
(81808, NULL, 'PTHR46624:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(81809, NULL, 'PTHR10985:SF137', NULL, NULL, NULL, NULL, 'PROTEIN DEADPAN-RELATED', NULL, NULL, NULL, 15),
(81810, NULL, 'PTHR13768:SF33', NULL, NULL, NULL, NULL, 'NSF ATTACHMENT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81811, NULL, 'PTHR10625:SF192', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 6', NULL, NULL, NULL, 15),
(81812, NULL, 'PTHR21017:SF11', NULL, NULL, NULL, NULL, 'PROTEIN NIPSNAP HOMOLOG 1', NULL, NULL, NULL, 15),
(81813, NULL, 'PTHR47043:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81814, NULL, 'PTHR43670:SF53', NULL, NULL, NULL, NULL, 'PROTEIN RESTRICTED TEV MOVEMENT 2-LIKE', NULL, NULL, NULL, 15),
(81815, NULL, 'PTHR35800', NULL, NULL, NULL, NULL, 'PROTEIN JAG', NULL, NULL, 35870, 15),
(81816, NULL, 'PTHR35468:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81817, NULL, 'PTHR46632:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINA-LIKE 4', NULL, NULL, NULL, 15),
(81818, NULL, 'PTHR11926:SF1196', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(81819, NULL, 'PTHR10476:SF12', NULL, NULL, NULL, NULL, 'BREAST ADENOCARCINOMA MARKER-LIKE', NULL, NULL, NULL, 15),
(81820, NULL, 'PTHR43327:SF11', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 4', NULL, NULL, NULL, 15),
(81821, NULL, 'PTHR23359:SF107', NULL, NULL, NULL, NULL, 'GTP:AMP PHOSPHOTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(81822, NULL, 'PTHR13213:SF2', NULL, NULL, NULL, NULL, 'MYB-BINDING PROTEIN 1A', NULL, NULL, NULL, 15),
(81823, NULL, 'PTHR31248:SF10', NULL, NULL, NULL, NULL, 'BNAC03G63110D PROTEIN', NULL, NULL, NULL, 15),
(81824, NULL, 'PTHR11239:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB9', NULL, NULL, NULL, 15),
(81825, NULL, 'PTHR13318:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81826, NULL, 'PTHR21220:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81827, NULL, 'PTHR43272:SF54', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE 6', NULL, NULL, NULL, 15),
(81828, NULL, 'PTHR11258:SF14', NULL, NULL, NULL, NULL, '2'',5''-OLIGOADENYLATE SYNTHETASE-LIKE 6', NULL, NULL, NULL, 15),
(81829, NULL, 'PTHR31552:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(81830, NULL, 'PTHR31860:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81831, NULL, 'PTHR33127:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81832, NULL, 'PTHR34191:SF9', NULL, NULL, NULL, NULL, 'F6D8.10', NULL, NULL, NULL, 15),
(81833, NULL, 'PTHR10780', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER HOMOLOG', NULL, NULL, NULL, 15),
(81834, NULL, 'PTHR12547:SF135', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 39', NULL, NULL, NULL, 15),
(81835, NULL, 'PTHR10856:SF42', NULL, NULL, NULL, NULL, 'CORONIN-B', NULL, NULL, NULL, 15),
(81836, NULL, 'PTHR46451:SF1', NULL, NULL, NULL, NULL, 'RAS-RESPONSIVE ELEMENT-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(81837, NULL, 'PTHR12632:SF58', NULL, NULL, NULL, NULL, 'BNAA01G25500D PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81838, NULL, 'PTHR45981:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH8', NULL, NULL, NULL, 15),
(81839, NULL, 'PTHR38133:SF1', NULL, NULL, NULL, NULL, 'SLR1429 PROTEIN', NULL, NULL, NULL, 15),
(81840, NULL, 'PTHR33994:SF17', NULL, NULL, NULL, NULL, 'OS01G0655000 PROTEIN', NULL, NULL, NULL, 15),
(81841, NULL, 'PTHR21495:SF187', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(81842, NULL, 'PTHR32116:SF90', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(81843, NULL, 'PTHR21257:SF36', NULL, NULL, NULL, NULL, 'DUF1295 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_8G05810)', NULL, NULL, NULL, 15),
(81844, NULL, 'PTHR43871:SF1', NULL, NULL, NULL, NULL, 'SLR2030 PROTEIN', NULL, NULL, NULL, 15),
(81845, NULL, 'PTHR47031:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81846, NULL, 'PTHR12452:SF0', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 17', NULL, NULL, NULL, 15),
(81847, NULL, 'PTHR31645:SF16', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL5-RELATED', NULL, NULL, NULL, 15),
(81848, NULL, 'PTHR24247:SF180', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR M4', NULL, NULL, NULL, 15),
(81849, NULL, 'PTHR47958:SF109', NULL, NULL, NULL, NULL, 'NUCLEOLAR RNA HELICASE 2', NULL, NULL, NULL, 15),
(81850, NULL, 'PTHR24403:SF71', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZFP91', NULL, NULL, NULL, 15),
(81851, NULL, 'PTHR31852:SF190', NULL, NULL, NULL, NULL, 'BNAA01G23570D PROTEIN', NULL, NULL, NULL, 15),
(81852, NULL, 'PTHR10791:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81853, NULL, 'PTHR42799:SF8', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE A2-2', NULL, NULL, NULL, 15),
(81854, NULL, 'PTHR23130:SF150', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(81855, NULL, 'PTHR31580:SF42', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81856, NULL, 'PTHR24055:SF445', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE GLKA-RELATED', NULL, NULL, NULL, 15),
(81857, NULL, 'PTHR33573:SF27', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4A2', NULL, NULL, NULL, 15),
(81858, NULL, 'PTHR10366:SF363', NULL, NULL, NULL, NULL, 'OS06G0651000 PROTEIN', NULL, NULL, NULL, 15),
(81859, NULL, 'PTHR48004:SF25', NULL, NULL, NULL, NULL, 'OS02G0647300 PROTEIN', NULL, NULL, NULL, 15),
(81860, NULL, 'PTHR16932:SF29', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-INDUCIBLE PROTEIN 45-RELATED', NULL, NULL, NULL, 15),
(81861, NULL, 'PTHR12613:SF2', NULL, NULL, NULL, NULL, 'ERO1-LIKE PROTEIN BETA', NULL, NULL, NULL, 15),
(81862, NULL, 'PTHR13390', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, 15689, 15),
(81863, NULL, 'PTHR24377:SF608', NULL, NULL, NULL, NULL, 'REGULATOR OF SEX-LIMITATION CANDIDATE 1-RELATED', NULL, NULL, NULL, 15),
(81864, NULL, 'PTHR21262', NULL, NULL, NULL, NULL, 'GUANOSINE-3'',5''-BIS DIPHOSPHATE  3''-PYROPHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(81865, NULL, 'PTHR11214:SF136', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT4', NULL, NULL, NULL, 15),
(81866, NULL, 'PTHR11566:SF174', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE PROTEIN 1E', NULL, NULL, NULL, 15),
(81867, NULL, 'PTHR24305:SF103', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(81868, NULL, 'PTHR31355:SF25', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81869, NULL, 'PTHR12442:SF30', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 60', NULL, NULL, NULL, 15),
(81870, NULL, 'PTHR43791:SF26', NULL, NULL, NULL, NULL, 'ALLANTOATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G09470)-RELATED', NULL, NULL, NULL, 15),
(81871, NULL, 'PTHR46507', NULL, NULL, NULL, NULL, 'AFADIN- AND ALPHA-ACTININ-BINDING PROTEIN', NULL, NULL, NULL, 15),
(81872, NULL, 'PTHR14465', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN H', NULL, NULL, 33463, 15),
(81873, NULL, 'PTHR28547', NULL, NULL, NULL, NULL, 'PROTEIN MMS22-LIKE', NULL, NULL, 37293, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81874, NULL, 'PTHR38474', NULL, NULL, NULL, NULL, 'SLR0299 PROTEIN', NULL, NULL, 3391, 15),
(81875, NULL, 'PTHR45376', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81876, NULL, 'PTHR11071:SF497', NULL, NULL, NULL, NULL, 'GH06403P', NULL, NULL, NULL, 15),
(81877, NULL, 'PTHR23058:SF0', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX14', NULL, NULL, NULL, 15),
(81878, NULL, 'PTHR48001:SF45', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(81879, NULL, 'PTHR26454:SF59', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(81880, NULL, 'PTHR14508', NULL, NULL, NULL, NULL, 'SNRPN UPSTREAM READING FRAME PROTEIN, SNURF', NULL, NULL, 14252, 15),
(81881, NULL, 'PTHR24251:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GAMMA-CARBOXYGLUTAMIC ACID PROTEIN 1', NULL, NULL, NULL, 15),
(81882, NULL, 'PTHR11618:SF59', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB-1', NULL, NULL, NULL, 15),
(81883, NULL, 'PTHR28544', NULL, NULL, NULL, NULL, 'PROTEIN FAM45A-RELATED', NULL, NULL, 39361, 15),
(81884, NULL, 'PTHR45886:SF13', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(81885, NULL, 'PTHR10891:SF785', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(81886, NULL, 'PTHR43322:SF8', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE 5-PHOSPHATE SYNTHASE 1', NULL, NULL, NULL, 15),
(81887, NULL, 'PTHR11767:SF21', NULL, NULL, NULL, NULL, 'ATP-SENSITIVE INWARD RECTIFIER POTASSIUM CHANNEL 10', NULL, NULL, 3427, 15),
(81888, NULL, 'PTHR43490:SF114', NULL, NULL, NULL, NULL, 'OS02G0640800 PROTEIN', NULL, NULL, NULL, 15),
(81889, NULL, 'PTHR34090:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L52, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(81890, NULL, 'PTHR43536:SF4', NULL, NULL, NULL, NULL, 'BNACNNG06540D PROTEIN', NULL, NULL, 28102, 15),
(81891, NULL, 'PTHR31062:SF41', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(81892, NULL, 'PTHR11848:SF262', NULL, NULL, NULL, NULL, 'LD29161P', NULL, NULL, NULL, 15),
(81893, NULL, 'PTHR34270', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 15-RELATED', NULL, NULL, NULL, 15),
(81894, NULL, 'PTHR45086:SF2', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(81895, NULL, 'PTHR32182:SF23', NULL, NULL, NULL, NULL, 'ATP BINDING PROTEIN', NULL, NULL, NULL, 15),
(81896, NULL, 'PTHR45624:SF40', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(81897, NULL, 'PTHR10822:SF4', NULL, NULL, NULL, NULL, 'GLYPICAN-3', NULL, NULL, 8388, 15),
(81898, NULL, 'PTHR11711:SF139', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 4A', NULL, NULL, NULL, 15),
(81899, NULL, 'PTHR31902:SF11', NULL, NULL, NULL, NULL, 'SUCRASE/FERREDOXIN-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(81900, NULL, 'PTHR46117:SF3', NULL, NULL, NULL, NULL, 'FI24210P1', NULL, NULL, NULL, 15),
(81901, NULL, 'PTHR24081:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81902, NULL, 'PTHR18929:SF218', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 5-2', NULL, NULL, NULL, 15),
(81903, NULL, 'PTHR45680:SF34', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(81904, NULL, 'PTHR45619:SF41', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(81905, NULL, 'PTHR21633:SF5', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN F3', NULL, NULL, NULL, 15),
(81906, NULL, 'PTHR47023', NULL, NULL, NULL, NULL, 'SEX PEPTIDE RECEPTOR', NULL, NULL, NULL, 15),
(81907, NULL, 'PTHR10687:SF74', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(81908, NULL, 'PTHR26453:SF183', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2AG1', NULL, NULL, 26721, 15),
(81909, NULL, 'PTHR47584:SF9', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(81910, NULL, 'PTHR21659:SF74', NULL, NULL, NULL, NULL, 'LOW TEMPERATURE-INDUCED PROTEIN LT101.2-LIKE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81911, NULL, 'PTHR34132:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81912, NULL, 'PTHR46872:SF13', NULL, NULL, NULL, NULL, 'ELM2 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(81913, NULL, 'PTHR18034:SF3', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR CWC22 HOMOLOG', NULL, NULL, NULL, 15),
(81914, NULL, 'PTHR31651:SF23', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(81915, NULL, 'PTHR15830:SF10', NULL, NULL, NULL, NULL, 'TELOMERE LENGTH REGULATION PROTEIN TEL2 HOMOLOG', NULL, NULL, NULL, 15),
(81916, NULL, 'PTHR15601:SF25', NULL, NULL, NULL, NULL, 'BNAANNG21710D PROTEIN', NULL, NULL, NULL, 15),
(81917, NULL, 'PTHR11533:SF273', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(81918, NULL, 'PTHR31891:SF8', NULL, NULL, NULL, NULL, 'FORMAMIDASE-RELATED', NULL, NULL, NULL, 15),
(81919, NULL, 'PTHR33309:SF4', NULL, NULL, NULL, NULL, 'KERATIN, ULTRA HIGH-SULFUR MATRIX PROTEIN-LIKE', NULL, NULL, NULL, 15),
(81920, NULL, 'PTHR31214:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM221A', NULL, NULL, NULL, 15),
(81921, NULL, 'PTHR46149:SF3', NULL, NULL, NULL, NULL, 'MIP08469P', NULL, NULL, NULL, 15),
(81922, NULL, 'PTHR11732:SF484', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT CODEINONE REDUCTASE 1-2-LIKE', NULL, NULL, NULL, 15),
(81923, NULL, 'PTHR12369:SF13', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(81924, NULL, 'PTHR45779:SF5', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(81925, NULL, 'PTHR33142:SF70', NULL, NULL, NULL, NULL, 'BNAC02G03600D PROTEIN', NULL, NULL, NULL, 15),
(81926, NULL, 'PTHR34311:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81927, NULL, 'PTHR11686:SF34', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE 1-RELATED', NULL, NULL, NULL, 15),
(81928, NULL, 'PTHR21244:SF1', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S24, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(81929, NULL, 'PTHR15228:SF7', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 29', NULL, NULL, NULL, 15),
(81930, NULL, 'PTHR44207', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81931, NULL, 'PTHR30472:SF30', NULL, NULL, NULL, NULL, 'IRON-UPTAKE SYSTEM PERMEASE PROTEIN FEUB', NULL, NULL, NULL, 15),
(81932, NULL, 'PTHR43840:SF27', NULL, NULL, NULL, NULL, 'MN-SPECIFIC CATION DIFFUSION FACILITATOR TRANSPORTER MTP8.1', NULL, NULL, NULL, 15),
(81933, NULL, 'PTHR36091:SF1', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 9, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(81934, NULL, 'PTHR46442', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, 3624, 15),
(81935, NULL, 'PTHR45656:SF8', NULL, NULL, NULL, NULL, 'SEIZURE 6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81936, NULL, 'PTHR47491:SF2', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(81937, NULL, 'PTHR18966:SF486', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(81938, NULL, 'PTHR16875:SF0', NULL, NULL, NULL, NULL, 'SELENOPROTEIN K', NULL, NULL, NULL, 15),
(81939, NULL, 'PTHR24343:SF132', NULL, NULL, NULL, NULL, 'SI:CH211-197L9.5', NULL, NULL, NULL, 15),
(81940, NULL, 'PTHR11945:SF588', NULL, NULL, NULL, NULL, 'AGLG1', NULL, NULL, NULL, 15),
(81941, NULL, 'PTHR35802', NULL, NULL, NULL, NULL, 'PROTEASE SYNTHASE AND SPORULATION PROTEIN PAI 2', NULL, NULL, 3684, 15),
(81942, NULL, 'PTHR23189:SF98', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 4', NULL, NULL, NULL, 15),
(81943, NULL, 'PTHR12411:SF679', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81944, NULL, 'PTHR23421:SF148', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(81945, NULL, 'PTHR46328:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5 ISOFORM X1', NULL, NULL, NULL, 15),
(81946, NULL, 'PTHR47623:SF1', NULL, NULL, NULL, NULL, 'OS09G0287300 PROTEIN', NULL, NULL, NULL, 15),
(81947, NULL, 'PTHR45717:SF28', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81948, NULL, 'PTHR32212:SF332', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81949, NULL, 'PTHR35828:SF13', NULL, NULL, NULL, NULL, 'OS01G0152100 PROTEIN', NULL, NULL, NULL, 15),
(81950, NULL, 'PTHR15486:SF70', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 8-RELATED', NULL, NULL, NULL, 15),
(81951, NULL, 'PTHR12322:SF53', NULL, NULL, NULL, NULL, 'DOUBLESEX-MAB RELATED 11E-RELATED', NULL, NULL, NULL, 15),
(81952, NULL, 'PTHR24064:SF543', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-8-RELATED', NULL, NULL, NULL, 15),
(81953, NULL, 'PTHR33122:SF39', NULL, NULL, NULL, NULL, 'BNAC07G32710D PROTEIN', NULL, NULL, NULL, 15),
(81954, NULL, 'PTHR24271:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81955, NULL, 'PTHR45648:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81956, NULL, 'PTHR47364:SF14', NULL, NULL, NULL, NULL, 'CYSTATIN-RELATED', NULL, NULL, NULL, 15),
(81957, NULL, 'PTHR11594:SF1', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', NULL, NULL, NULL, 15),
(81958, NULL, 'PTHR41807:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE 3', NULL, NULL, NULL, 15),
(81959, NULL, 'PTHR31205:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81960, NULL, 'PTHR31970:SF9', NULL, NULL, NULL, NULL, 'MOLYBDATE TRANSPORTER 2', NULL, NULL, NULL, 15),
(81961, NULL, 'PTHR38926:SF51', NULL, NULL, NULL, NULL, 'BNAC09G00890D PROTEIN', NULL, NULL, NULL, 15),
(81962, NULL, 'PTHR11629:SF98', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(81963, NULL, 'PTHR24223:SF400', NULL, NULL, NULL, NULL, 'BNAC05G23280D PROTEIN', NULL, NULL, NULL, 15),
(81964, NULL, 'PTHR14224:SF27', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 14B', NULL, NULL, NULL, 15),
(81965, NULL, 'PTHR37984', NULL, NULL, NULL, NULL, 'PROTEIN CBG26694', NULL, NULL, NULL, 15),
(81966, NULL, 'PTHR10992:SF1036', NULL, NULL, NULL, NULL, 'POLYNEURIDINE-ALDEHYDE ESTERASE', NULL, NULL, NULL, 15),
(81967, NULL, 'PTHR23105:SF108', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(81968, NULL, 'PTHR13296:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG17493', NULL, NULL, NULL, 15),
(81969, NULL, 'PTHR23189:SF51', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, PROLINE- AND GLUTAMINE-RICH', NULL, NULL, NULL, 15),
(81970, NULL, 'PTHR10257:SF81', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(81971, NULL, 'PTHR45763:SF42', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(81972, NULL, 'PTHR11347:SF111', NULL, NULL, NULL, NULL, 'CAMP AND CAMP-INHIBITED CGMP 3'',5''-CYCLIC PHOSPHODIESTERASE 10A', NULL, NULL, NULL, 15),
(81973, NULL, 'PTHR11963:SF42', NULL, NULL, NULL, NULL, 'BNAC06G05520D PROTEIN', NULL, NULL, NULL, 15),
(81974, NULL, 'PTHR16002', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 248-LIKE', NULL, NULL, 31386, 15),
(81975, NULL, 'PTHR45708:SF9', NULL, NULL, NULL, NULL, 'XYLANASE INHIBITOR PROTEIN 1', NULL, NULL, NULL, 15),
(81976, NULL, 'PTHR31247:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 198', NULL, NULL, NULL, 15),
(81977, NULL, 'PTHR47970:SF7', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN CIN8', NULL, NULL, NULL, 15),
(81978, NULL, 'PTHR24414:SF86', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING F-BOX-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81979, NULL, 'PTHR21063', NULL, NULL, NULL, NULL, 'LFA-3', NULL, NULL, NULL, 15),
(81980, NULL, 'PTHR31422:SF21', NULL, NULL, NULL, NULL, 'OS07G0162200 PROTEIN', NULL, NULL, NULL, 15),
(81981, NULL, 'PTHR33121:SF57', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEK-RELATED', NULL, NULL, NULL, 15),
(81982, NULL, 'PTHR46328:SF14', NULL, NULL, NULL, NULL, 'FAR-RED IMPAIRED RESPONSIVE (FAR1) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(81983, NULL, 'PTHR43784:SF3', NULL, NULL, NULL, NULL, 'GDSL FAMILY LIPASE', NULL, NULL, NULL, 15),
(81984, NULL, 'PTHR46736:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(81985, NULL, 'PTHR31267:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81986, NULL, 'PTHR24260:SF112', NULL, NULL, NULL, NULL, 'PROTEIN CBG24340', NULL, NULL, NULL, 15),
(81987, NULL, 'PTHR12170:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81988, NULL, 'PTHR23036:SF160', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE, RECEPTOR TYPE Q', NULL, NULL, NULL, 15),
(81989, NULL, 'PTHR46161', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(81990, NULL, 'PTHR10426:SF111', NULL, NULL, NULL, NULL, 'BNAC03G23270D PROTEIN', NULL, NULL, NULL, 15),
(81991, NULL, 'PTHR47603', NULL, NULL, NULL, NULL, 'PPR CONTAINING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(81992, NULL, 'PTHR47977:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(81993, NULL, 'PTHR12321:SF134', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 4', NULL, NULL, NULL, 15),
(81994, NULL, 'PTHR13158:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG13928', NULL, NULL, NULL, 15),
(81995, NULL, 'PTHR15562', NULL, NULL, NULL, NULL, 'TP53-TARGET GENE 5 PROTEIN', NULL, NULL, 25586, 15),
(81996, NULL, 'PTHR10265:SF44', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1C', NULL, NULL, 24619, 15),
(81997, NULL, 'PTHR43650:SF21', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(81998, NULL, 'PTHR37162', NULL, NULL, NULL, NULL, 'HAT FAMILY DIMERISATION DOMAINCONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(81999, NULL, 'PTHR22770:SF42', NULL, NULL, NULL, NULL, 'FINGER PROTEIN (ZIN), PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03910)-RELATED', NULL, NULL, NULL, 15),
(82000, NULL, 'PTHR46694:SF1', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(82001, NULL, 'PTHR21321:SF4', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP4', NULL, NULL, NULL, 15),
(82002, NULL, 'PTHR26452:SF354', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5A1', NULL, NULL, NULL, 15),
(82003, NULL, 'PTHR31517:SF44', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(82004, NULL, 'PTHR12601:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82005, NULL, 'PTHR45580:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG05392', NULL, NULL, NULL, 15),
(82006, NULL, 'PTHR45624:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARNITINE/ACYLCARNITINE CARRIER PROTEIN', NULL, NULL, NULL, 15),
(82007, NULL, 'PTHR11746:SF179', NULL, NULL, NULL, NULL, 'FLAVONOID 4''-O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(82008, NULL, 'PTHR20884:SF22', NULL, NULL, NULL, NULL, 'BNAA03G48310D PROTEIN', NULL, NULL, NULL, 15),
(82009, NULL, 'PTHR45952:SF8', NULL, NULL, NULL, NULL, 'STEM-SPECIFIC PROTEIN TSJT1', NULL, NULL, NULL, 15),
(82010, NULL, 'PTHR24023:SF588', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(IV) CHAIN', NULL, NULL, NULL, 15),
(82011, NULL, 'PTHR15999:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER CW-TYPE PWWP DOMAIN PROTEIN 2', NULL, NULL, NULL, 15),
(82012, NULL, 'PTHR11606:SF15', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(82013, NULL, 'PTHR24100:SF123', NULL, NULL, NULL, NULL, 'SELECTION AND UPKEEP OF INTRAEPITHELIAL T-CELLS PROTEIN 1', NULL, NULL, NULL, 15),
(82014, NULL, 'PTHR32278:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82015, NULL, 'PTHR16650', NULL, NULL, NULL, NULL, 'C21ORF13-RELATED', NULL, NULL, 26581, 15),
(82016, NULL, 'PTHR45763:SF22', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(82017, NULL, 'PTHR27005:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82018, NULL, 'PTHR32009:SF67', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(82019, NULL, 'PTHR19134:SF211', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE ETA', NULL, NULL, NULL, 15),
(82020, NULL, 'PTHR26453:SF78', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T27-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82021, NULL, 'PTHR31992:SF181', NULL, NULL, NULL, NULL, 'BNAC03G63990D PROTEIN', NULL, NULL, NULL, 15),
(82022, NULL, 'PTHR31750:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82023, NULL, 'PTHR12630:SF1', NULL, NULL, NULL, NULL, 'GLUCOSIDASE 2 SUBUNIT BETA', NULL, NULL, 28609, 15),
(82024, NULL, 'PTHR16830:SF11', NULL, NULL, NULL, NULL, 'PML-RARA-REGULATED ADAPTER MOLECULE 1', NULL, NULL, NULL, 15),
(82025, NULL, 'PTHR10758:SF13', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 3', NULL, NULL, NULL, 15),
(82026, NULL, 'PTHR24379:SF100', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 791', NULL, NULL, NULL, 15),
(82027, NULL, 'PTHR24242:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82028, NULL, 'PTHR11945:SF569', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN EJ2', NULL, NULL, NULL, 15),
(82029, NULL, 'PTHR27005:SF325', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 14', NULL, NULL, NULL, 15),
(82030, NULL, 'PTHR28136:SF1', NULL, NULL, NULL, NULL, 'NUCLEUS EXPORT PROTEIN BRR6', NULL, NULL, NULL, 15),
(82031, NULL, 'PTHR33312:SF26', NULL, NULL, NULL, NULL, 'BRI1 KINASE INHIBITOR 1-RELATED', NULL, NULL, NULL, 15),
(82032, NULL, 'PTHR31790:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82033, NULL, 'PTHR35697:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82034, NULL, 'PTHR13902:SF118', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK6-RELATED', NULL, NULL, NULL, 15),
(82035, NULL, 'PTHR46111:SF2', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(82036, NULL, 'PTHR33648:SF17', NULL, NULL, NULL, NULL, 'BNAA01G35190D PROTEIN', NULL, NULL, NULL, 15),
(82037, NULL, 'PTHR26374:SF373', NULL, NULL, NULL, NULL, 'OS03G0279700 PROTEIN', NULL, NULL, NULL, 15),
(82038, NULL, 'PTHR31731:SF81', NULL, NULL, NULL, NULL, '14 KDA PROLINE-RICH PROTEIN DC2.15-LIKE', NULL, NULL, NULL, 15),
(82039, NULL, 'PTHR31218:SF28', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(82040, NULL, 'PTHR10513:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82041, NULL, 'PTHR15544:SF0', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 33', NULL, NULL, NULL, 15),
(82042, NULL, 'PTHR27009:SF107', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE', NULL, NULL, NULL, 15),
(82043, NULL, 'PTHR43166:SF4', NULL, NULL, NULL, NULL, 'GLUTAMINE TRANSPORT ATP-BINDING PROTEIN GLNQ', NULL, NULL, NULL, 15),
(82044, NULL, 'PTHR48011:SF71', NULL, NULL, NULL, NULL, 'BNAA05G11230D PROTEIN', NULL, NULL, NULL, 15),
(82045, NULL, 'PTHR45763:SF34', NULL, NULL, NULL, NULL, 'BNAA04G15910D PROTEIN', NULL, NULL, NULL, 15),
(82046, NULL, 'PTHR35891:SF1', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBL', NULL, NULL, NULL, 15),
(82047, NULL, 'PTHR11849:SF209', NULL, NULL, NULL, NULL, 'PROTEIN C-ETS-1', NULL, NULL, NULL, 15),
(82048, NULL, 'PTHR35546:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82049, NULL, 'PTHR15591:SF16', NULL, NULL, NULL, NULL, 'GENE 43738-RELATED', NULL, NULL, NULL, 15),
(82050, NULL, 'PTHR10687', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN  SCAMP', NULL, NULL, 7096, 15),
(82051, NULL, 'PTHR42776:SF24', NULL, NULL, NULL, NULL, 'ACYLAMINO-ACID-RELEASING ENZYME-LIKE', NULL, NULL, NULL, 15),
(82052, NULL, 'PTHR23320:SF128', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 8', NULL, NULL, 22591, 15),
(82053, NULL, 'PTHR10106:SF46', NULL, NULL, NULL, NULL, 'BNAA09G45490D PROTEIN', NULL, NULL, NULL, 15),
(82054, NULL, 'PTHR24223:SF334', NULL, NULL, NULL, NULL, 'FI20190P1', NULL, NULL, NULL, 15),
(82055, NULL, 'PTHR14096:SF7', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L6', NULL, NULL, NULL, 15),
(82056, NULL, 'PTHR43795:SF67', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 4', NULL, NULL, NULL, 15),
(82057, NULL, 'PTHR45627:SF13', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 3', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82058, NULL, 'PTHR11237', NULL, NULL, NULL, NULL, 'COENZYME Q10 BIOSYNTHESIS PROTEIN 7', NULL, NULL, 8153, 15),
(82059, NULL, 'PTHR12526:SF572', NULL, NULL, NULL, NULL, 'BLL5144 PROTEIN', NULL, NULL, NULL, 15),
(82060, NULL, 'PTHR47990:SF27', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(82061, NULL, 'PTHR11360:SF144', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(82062, NULL, 'PTHR45883:SF6', NULL, NULL, NULL, NULL, 'HSC70-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(82063, NULL, 'PTHR31734:SF2', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA26', NULL, NULL, NULL, 15),
(82064, NULL, 'PTHR15422:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(82065, NULL, 'PTHR17630:SF96', NULL, NULL, NULL, NULL, 'ENDO-1,3-1,4-BETA-D-GLUCANASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(82066, NULL, 'PTHR19890:SF13', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN-TYROSINE KINASE', NULL, NULL, NULL, 15),
(82067, NULL, 'PTHR24211:SF1', NULL, NULL, NULL, NULL, 'TESTIN', NULL, NULL, 26143, 15),
(82068, NULL, 'PTHR33128:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(82069, NULL, 'PTHR11711:SF148', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 5C-RELATED', NULL, NULL, NULL, 15),
(82070, NULL, 'PTHR45813:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82071, NULL, 'PTHR22952:SF414', NULL, NULL, NULL, NULL, 'BNAA08G14840D PROTEIN', NULL, NULL, NULL, 15),
(82072, NULL, 'PTHR47958:SF2', NULL, NULL, NULL, NULL, 'DEAD BOX RNA HELICASE-PL10B', NULL, NULL, NULL, 15),
(82073, NULL, 'PTHR45642:SF3', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(82074, NULL, 'PTHR24023:SF990', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE V, ALPHA 3A', NULL, NULL, NULL, 15),
(82075, NULL, 'PTHR32278:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82076, NULL, 'PTHR47995:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB33-RELATED', NULL, NULL, NULL, 15),
(82077, NULL, 'PTHR11588:SF334', NULL, NULL, NULL, NULL, 'TUBULIN BETA-8 CHAIN', NULL, NULL, NULL, 15),
(82078, NULL, 'PTHR31947:SF35', NULL, NULL, NULL, NULL, 'BNAA07G08150D PROTEIN', NULL, NULL, NULL, 15),
(82079, NULL, 'PTHR24223:SF346', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY C MEMBER SUR', NULL, NULL, NULL, 15),
(82080, NULL, 'PTHR31917:SF64', NULL, NULL, NULL, NULL, 'OS01G0556800 PROTEIN', NULL, NULL, NULL, 15),
(82081, NULL, 'PTHR31221:SF211', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 71-RELATED', NULL, NULL, NULL, 15),
(82082, NULL, 'PTHR33155:SF40', NULL, NULL, NULL, NULL, 'BNAANNG08790D PROTEIN', NULL, NULL, NULL, 15),
(82083, NULL, 'PTHR12801:SF82', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE 5', NULL, NULL, NULL, 15),
(82084, NULL, 'PTHR33593:SF25', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(82085, NULL, 'PTHR10972:SF177', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(82086, NULL, 'PTHR47932:SF10', NULL, NULL, NULL, NULL, 'OS07G0179000 PROTEIN', NULL, NULL, NULL, 15),
(82087, NULL, 'PTHR12236:SF82', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 50CA-RELATED', NULL, NULL, NULL, 15),
(82088, NULL, 'PTHR10992:SF1019', NULL, NULL, NULL, NULL, 'METHYLESTERASE 13, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(82089, NULL, 'PTHR47980:SF9', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-3A', NULL, NULL, NULL, 15),
(82090, NULL, 'PTHR34552:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER W PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(82091, NULL, 'PTHR39069:SF1', NULL, NULL, NULL, NULL, 'ECDYSONE-INDUCIBLE GENE E1, ISOFORM A', NULL, NULL, NULL, 15),
(82092, NULL, 'PTHR24356:SF370', NULL, NULL, NULL, NULL, 'OS03G0666200 PROTEIN', NULL, NULL, NULL, 15),
(82093, NULL, 'PTHR13683:SF833', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 1 ISOFORM X1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82094, NULL, 'PTHR10505:SF16', NULL, NULL, NULL, NULL, 'CALCITONIN', NULL, NULL, NULL, 15),
(82095, NULL, 'PTHR32467:SF132', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ANT', NULL, NULL, NULL, 15),
(82096, NULL, 'PTHR19965:SF71', NULL, NULL, NULL, NULL, 'POLYMERASE DELTA-INTERACTING PROTEIN 3', NULL, NULL, NULL, 15),
(82097, NULL, 'PTHR10574:SF404', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82098, NULL, 'PTHR24381:SF302', NULL, NULL, NULL, NULL, 'GDNF INDUCIBLE ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(82099, NULL, 'PTHR36113:SF3', NULL, NULL, NULL, NULL, 'SLL5075 PROTEIN', NULL, NULL, NULL, 15),
(82100, NULL, 'PTHR23023:SF250', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE FMO GS-OX-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(82101, NULL, 'PTHR31920:SF45', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR VRN1-LIKE', NULL, NULL, NULL, 15),
(82102, NULL, 'PTHR16223:SF217', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UNE12 ISOFORM X1', NULL, NULL, NULL, 15),
(82103, NULL, 'PTHR12308:SF45', NULL, NULL, NULL, NULL, 'ANOCTAMIN', NULL, NULL, NULL, 15),
(82104, NULL, 'PTHR15315:SF26', NULL, NULL, NULL, NULL, 'RING/U-BOX PROTEIN', NULL, NULL, NULL, 15),
(82105, NULL, 'PTHR31692:SF101', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE B1', NULL, NULL, NULL, 15),
(82106, NULL, 'PTHR12931:SF15', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE OTUBAIN-LIKE', NULL, NULL, NULL, 15),
(82107, NULL, 'PTHR12473:SF8', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAM188A-LIKE', NULL, NULL, NULL, 15),
(82108, NULL, 'PTHR11214:SF236', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(82109, NULL, 'PTHR10357:SF201', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER GLYCOPROTEIN SUBUNIT', NULL, NULL, NULL, 15),
(82110, NULL, 'PTHR24057:SF4', NULL, NULL, NULL, NULL, 'PROTEIN KINASE MCK1', NULL, NULL, NULL, 15),
(82111, NULL, 'PTHR11793', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(82112, NULL, 'PTHR22812:SF85', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 5', NULL, NULL, NULL, 15),
(82113, NULL, 'PTHR34116:SF10', NULL, NULL, NULL, NULL, 'P0041A24.7 PROTEIN', NULL, NULL, NULL, 15),
(82114, NULL, 'PTHR22952:SF442', NULL, NULL, NULL, NULL, 'OS03G0322700 PROTEIN', NULL, NULL, NULL, 15),
(82115, NULL, 'PTHR11926:SF1417', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(82116, NULL, 'PTHR24006:SF821', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(82117, NULL, 'PTHR24299:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82118, NULL, 'PTHR10742:SF43', NULL, NULL, NULL, NULL, 'PEROXISOMAL N(1)-ACETYL-SPERMINE/SPERMIDINE OXIDASE', NULL, NULL, NULL, 15),
(82119, NULL, 'PTHR36760:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82120, NULL, 'PTHR31683:SF122', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(82121, NULL, 'PTHR33545:SF10', NULL, NULL, NULL, NULL, 'UPF0750 MEMBRANE PROTEIN YPJC', NULL, NULL, NULL, 15),
(82122, NULL, 'PTHR24329:SF540', NULL, NULL, NULL, NULL, 'RHOX HOMEOBOX FAMILY MEMBER 2-RELATED', NULL, NULL, NULL, 15),
(82123, NULL, 'PTHR45614:SF106', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(82124, NULL, 'PTHR38092', NULL, NULL, NULL, NULL, 'REGULATOR CUDA, PUTATIVE-RELATED', NULL, NULL, 30882, 15),
(82125, NULL, 'PTHR11439:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82126, NULL, 'PTHR23054:SF73', NULL, NULL, NULL, NULL, 'BNAA05G26220D PROTEIN', NULL, NULL, NULL, 15),
(82127, NULL, 'PTHR14195:SF2', NULL, NULL, NULL, NULL, 'GH10944P', NULL, NULL, NULL, 15),
(82128, NULL, 'PTHR10174:SF219', NULL, NULL, NULL, NULL, 'ALPHA-TOCOPHEROL TRANSFER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(82129, NULL, 'PTHR45089:SF18', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(82130, NULL, 'PTHR31681:SF39', NULL, NULL, NULL, NULL, 'OS06G0683000 PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82131, NULL, 'PTHR43791:SF85', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G00710)-RELATED', NULL, NULL, NULL, 15),
(82132, NULL, 'PTHR11062:SF305', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY PROTEIN 64 PROTEIN C5-LIKE', NULL, NULL, NULL, 15),
(82133, NULL, 'PTHR31439:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82134, NULL, 'PTHR11255:SF43', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE ZETA', NULL, NULL, NULL, 15),
(82135, NULL, 'PTHR46604:SF5', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 13-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(82136, NULL, 'PTHR36911:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82137, NULL, 'PTHR28242:SF53', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(82138, NULL, 'PTHR19241:SF619', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 37', NULL, NULL, NULL, 15),
(82139, NULL, 'PTHR12296:SF24', NULL, NULL, NULL, NULL, 'DENN DOMAIN CONTAINING 5A', NULL, NULL, NULL, 15),
(82140, NULL, 'PTHR45621:SF101', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL13', NULL, NULL, NULL, 15),
(82141, NULL, 'PTHR10634:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82142, NULL, 'PTHR23270', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 11  PRE-RRNA PROCESSING PROTEIN RRP5', NULL, NULL, 38798, 15),
(82143, NULL, 'PTHR11560:SF11', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L10', NULL, NULL, NULL, 15),
(82144, NULL, 'PTHR22950:SF226', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 8-RELATED', NULL, NULL, NULL, 15),
(82145, NULL, 'PTHR13793:SF131', NULL, NULL, NULL, NULL, 'PHD-FINGER DOMAIN CONTAINING PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(82146, NULL, 'PTHR13878:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82147, NULL, 'PTHR22792:SF132', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 1B', NULL, NULL, NULL, 15),
(82148, NULL, 'PTHR38926:SF50', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 23-RELATED', NULL, NULL, NULL, 15),
(82149, NULL, 'PTHR30606:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL MANNOSIDE ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(82150, NULL, 'PTHR21689:SF6', NULL, NULL, NULL, NULL, 'BNAANNG02600D PROTEIN', NULL, NULL, 24188, 15),
(82151, NULL, 'PTHR23024:SF489', NULL, NULL, NULL, NULL, 'BNAA02G33260D PROTEIN', NULL, NULL, NULL, 15),
(82152, NULL, 'PTHR32444:SF84', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(82153, NULL, 'PTHR12281:SF12', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', NULL, NULL, NULL, 15),
(82154, NULL, 'PTHR11909:SF44', NULL, NULL, NULL, NULL, 'PROTEIN CBG12760', NULL, NULL, NULL, 15),
(82155, NULL, 'PTHR31376:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82156, NULL, 'PTHR14715:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM124A', NULL, NULL, NULL, 15),
(82157, NULL, 'PTHR47983:SF19', NULL, NULL, NULL, NULL, 'PTO-INTERACTING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(82158, NULL, 'PTHR12254:SF0', NULL, NULL, NULL, NULL, 'BARBU-RELATED', NULL, NULL, NULL, 15),
(82159, NULL, 'PTHR45753:SF2', NULL, NULL, NULL, NULL, 'ORNITHINE CARBAMOYLTRANSFERASE, CATABOLIC', NULL, NULL, NULL, 15),
(82160, NULL, 'PTHR11394:SF35', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 20', NULL, NULL, NULL, 15),
(82161, NULL, 'PTHR46909:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(82162, NULL, 'PTHR12313:SF71', NULL, NULL, NULL, NULL, 'OS01G0830200 PROTEIN', NULL, NULL, NULL, 15),
(82163, NULL, 'PTHR12471:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82164, NULL, 'PTHR33165:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82165, NULL, 'PTHR46116:SF22', NULL, NULL, NULL, NULL, 'BNAC03G69050D PROTEIN', NULL, NULL, NULL, 15),
(82166, NULL, 'PTHR31397', NULL, NULL, NULL, NULL, 'BLOC-1-RELATED COMPLEX SUBUNIT 7 BORSC7', NULL, NULL, 28254, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82167, NULL, 'PTHR15012', NULL, NULL, NULL, NULL, 'APICAL PROTEIN/SHROOM-RELATED', NULL, NULL, 26237, 15),
(82168, NULL, 'PTHR11566:SF80', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 1C', NULL, NULL, NULL, 15),
(82169, NULL, 'PTHR12663:SF41', NULL, NULL, NULL, NULL, 'BNAA08G12310D PROTEIN', NULL, NULL, NULL, 15),
(82170, NULL, 'PTHR23186:SF5', NULL, NULL, NULL, NULL, 'SINE OCULIS-BINDING PROTEIN HOMOLOG B', NULL, NULL, NULL, 15),
(82171, NULL, 'PTHR35472:SF8', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER MTCLE10', NULL, NULL, NULL, 15),
(82172, NULL, 'PTHR11200:SF280', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 12-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(82173, NULL, 'PTHR18945:SF93', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT GAMMA-1', NULL, NULL, NULL, 15),
(82174, NULL, 'PTHR27001:SF811', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82175, NULL, 'PTHR32278:SF57', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B5-RELATED', NULL, NULL, NULL, 15),
(82176, NULL, 'PTHR10797:SF47', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 11-RELATED', NULL, NULL, NULL, 15),
(82177, NULL, 'PTHR43180:SF71', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(82178, NULL, 'PTHR24006:SF815', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(82179, NULL, 'PTHR11709:SF299', NULL, NULL, NULL, NULL, 'PECTINESTERASE LIKE PROTEIN', NULL, NULL, NULL, 15),
(82180, NULL, 'PTHR33203:SF43', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(82181, NULL, 'PTHR31541:SF54', NULL, NULL, NULL, NULL, 'BNACNNG43820D PROTEIN', NULL, NULL, NULL, 15),
(82182, NULL, 'PTHR45660:SF59', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(82183, NULL, 'PTHR41142', NULL, NULL, NULL, NULL, 'SI:DKEY-16J16.4', NULL, NULL, NULL, 15),
(82184, NULL, 'PTHR31901:SF75', NULL, NULL, NULL, NULL, 'BNAC03G30320D PROTEIN', NULL, NULL, NULL, 15),
(82185, NULL, 'PTHR45696:SF20', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1', NULL, NULL, NULL, 15),
(82186, NULL, 'PTHR24208:SF166', NULL, NULL, NULL, NULL, 'LIM HOMEOBOX TRANSCRIPTION FACTOR 1 ALPHA, ISOFORM B', NULL, NULL, NULL, 15),
(82187, NULL, 'PTHR31719:SF85', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(82188, NULL, 'PTHR10168:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82189, NULL, 'PTHR16223:SF207', NULL, NULL, NULL, NULL, 'BNAC03G24060D PROTEIN', NULL, NULL, NULL, 15),
(82190, NULL, 'PTHR43176', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-RELATED', NULL, NULL, 24808, 15),
(82191, NULL, 'PTHR21245:SF11', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN Q', NULL, NULL, NULL, 15),
(82192, NULL, 'PTHR43160:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82193, NULL, 'PTHR23359:SF164', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 3', NULL, NULL, NULL, 15),
(82194, NULL, 'PTHR12655:SF0', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 9, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(82195, NULL, 'PTHR31081:SF15', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 1-LIKE', NULL, NULL, NULL, 15),
(82196, NULL, 'PTHR22950:SF651', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82197, NULL, 'PTHR37726', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(82198, NULL, 'PTHR12625', NULL, NULL, NULL, NULL, 'LIPOCALIN-1 INTERACTING MEMBRANE RECEPTOR  LIMR', NULL, NULL, 6016, 15),
(82199, NULL, 'PTHR35275:SF1', NULL, NULL, NULL, NULL, 'ZCF37', NULL, NULL, NULL, 15),
(82200, NULL, 'PTHR23110:SF92', NULL, NULL, NULL, NULL, 'SEX DETERMINATION PROTEIN FRUITLESS', NULL, NULL, NULL, 15),
(82201, NULL, 'PTHR43115', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 11', NULL, NULL, NULL, 15),
(82202, NULL, 'PTHR36494:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82203, NULL, 'PTHR43625:SF53', NULL, NULL, NULL, NULL, 'IN2-2 PROTEIN', NULL, NULL, NULL, 15),
(82204, NULL, 'PTHR39175:SF1', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G15060)-RELATED', NULL, NULL, NULL, 15),
(82205, NULL, 'PTHR12789:SF2', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 22', NULL, NULL, NULL, 15),
(82206, NULL, 'PTHR14017:SF9', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 6A', NULL, NULL, NULL, 15),
(82207, NULL, 'PTHR46991:SF22', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP20/ALPHA CRYSTALLIN FAMILY', NULL, NULL, NULL, 15),
(82208, NULL, 'PTHR21398:SF6', NULL, NULL, NULL, NULL, 'AGAP007094-PA', NULL, NULL, NULL, 15),
(82209, NULL, 'PTHR31973:SF110', NULL, NULL, NULL, NULL, 'OS07G0646700 PROTEIN', NULL, NULL, NULL, 15),
(82210, NULL, 'PTHR18945:SF600', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(82211, NULL, 'PTHR21231:SF9', NULL, NULL, NULL, NULL, 'GPN-LOOP GTPASE', NULL, NULL, NULL, 15),
(82212, NULL, 'PTHR37173:SF2', NULL, NULL, NULL, NULL, 'BNAC04G11890D PROTEIN', NULL, NULL, NULL, 15),
(82213, NULL, 'PTHR31415:SF93', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: NDR1/HIN1-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(82214, NULL, 'PTHR24033:SF195', NULL, NULL, NULL, NULL, 'SI:CH211-246M6.5-RELATED', NULL, NULL, NULL, 15),
(82215, NULL, 'PTHR31325:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82216, NULL, 'PTHR37246:SF1', NULL, NULL, NULL, NULL, 'OS07G0658000 PROTEIN', NULL, NULL, NULL, 15),
(82217, NULL, 'PTHR34569:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(82218, NULL, 'PTHR23506:SF26', NULL, NULL, NULL, NULL, 'MFS-TYPE TRANSPORTER SLC18B1', NULL, NULL, NULL, 15),
(82219, NULL, 'PTHR48062:SF22', NULL, NULL, NULL, NULL, 'BNAC02G22730D PROTEIN', NULL, NULL, NULL, 15),
(82220, NULL, 'PTHR47992:SF102', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', NULL, NULL, NULL, 15),
(82221, NULL, 'PTHR43329:SF58', NULL, NULL, NULL, NULL, 'OS05G0273800 PROTEIN', NULL, NULL, NULL, 15),
(82222, NULL, 'PTHR48001:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1P1', NULL, NULL, NULL, 15),
(82223, NULL, 'PTHR19375:SF446', NULL, NULL, NULL, NULL, 'BNAA03G46660D PROTEIN', NULL, NULL, NULL, 15),
(82224, NULL, 'PTHR16131', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 21907, 15),
(82225, NULL, 'PTHR11527:SF305', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(82226, NULL, 'PTHR48049:SF85', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(82227, NULL, 'PTHR43084', NULL, NULL, NULL, NULL, 'PERSULFIDE DIOXYGENASE ETHE1', NULL, NULL, NULL, 15),
(82228, NULL, 'PTHR42898:SF2', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(82229, NULL, 'PTHR12993:SF25', NULL, NULL, NULL, NULL, 'GLL2184 PROTEIN', NULL, NULL, NULL, 15),
(82230, NULL, 'PTHR14952:SF12', NULL, NULL, NULL, NULL, 'ROPPORIN-1B', NULL, NULL, NULL, 15),
(82231, NULL, 'PTHR10513:SF8', NULL, NULL, NULL, NULL, 'DEOXYGUANOSINE KINASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(82232, NULL, 'PTHR34374', NULL, NULL, NULL, NULL, 'LARGE RIBOSOMAL RNA SUBUNIT ACCUMULATION PROTEIN YCED HOMOLOG 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(82233, NULL, 'PTHR31626:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM171B', NULL, NULL, NULL, 15),
(82234, NULL, 'PTHR31731:SF16', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(82235, NULL, 'PTHR44329:SF173', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY46', NULL, NULL, NULL, 15),
(82236, NULL, 'PTHR47595:SF1', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 14', NULL, NULL, NULL, 15),
(82237, NULL, 'PTHR47412', NULL, NULL, NULL, NULL, 'FI01434P-RELATED', NULL, NULL, NULL, 15),
(82238, NULL, 'PTHR47982:SF45', NULL, NULL, NULL, NULL, 'BNACNNG34790D PROTEIN', NULL, NULL, NULL, 15),
(82239, NULL, 'PTHR31080:SF166', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82240, NULL, 'PTHR45654:SF31', NULL, NULL, NULL, NULL, 'OUTER CELL LAYER2', NULL, NULL, NULL, 15),
(82241, NULL, 'PTHR12323', NULL, NULL, NULL, NULL, 'SR-RELATED CTD ASSOCIATED FACTOR 6', NULL, NULL, 30324, 15),
(82242, NULL, 'PTHR12025:SF9', NULL, NULL, NULL, NULL, 'PLACENTA GROWTH FACTOR', NULL, NULL, NULL, 15),
(82243, NULL, 'PTHR36336', NULL, NULL, NULL, NULL, 'OS09G0560400 PROTEIN', NULL, NULL, NULL, 15),
(82244, NULL, 'PTHR46295:SF3', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(82245, NULL, 'PTHR13282:SF13', NULL, NULL, NULL, NULL, 'BNAA09G56160D PROTEIN', NULL, NULL, NULL, 15),
(82246, NULL, 'PTHR10742:SF355', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(82247, NULL, 'PTHR31415:SF4', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(82248, NULL, 'PTHR13061:SF36', NULL, NULL, NULL, NULL, 'BNAA02G33720D PROTEIN', NULL, NULL, NULL, 15),
(82249, NULL, 'PTHR31983:SF19', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 81 PROTEIN', NULL, NULL, NULL, 15),
(82250, NULL, 'PTHR24637:SF264', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(82251, NULL, 'PTHR13615', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE 1', NULL, NULL, NULL, 15),
(82252, NULL, 'PTHR16140', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 28649, 15),
(82253, NULL, 'PTHR43917:SF10', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE THETA 2', NULL, NULL, NULL, 15),
(82254, NULL, 'PTHR45624:SF32', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 (CARNITINE/ACYLCARNITINE TRANSLOCASE), MEMBER 20', NULL, NULL, NULL, 15),
(82255, NULL, 'PTHR33144:SF13', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PTTA/EN/SPM, PLANT-RELATED', NULL, NULL, NULL, 15),
(82256, NULL, 'PTHR10857:SF5', NULL, NULL, NULL, NULL, 'COPINE-6', NULL, NULL, NULL, 15),
(82257, NULL, 'PTHR28583:SF3', NULL, NULL, NULL, NULL, 'ACID CERAMIDASE-RELATED', NULL, NULL, NULL, 15),
(82258, NULL, 'PTHR10026:SF132', NULL, NULL, NULL, NULL, 'BNAA01G22300D PROTEIN', NULL, NULL, NULL, 15),
(82259, NULL, 'PTHR33181:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82260, NULL, 'PTHR24347', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(82261, NULL, 'PTHR13966:SF16', NULL, NULL, NULL, NULL, 'IP10440P-RELATED', NULL, NULL, NULL, 15),
(82262, NULL, 'PTHR33450:SF30', NULL, NULL, NULL, NULL, 'BNAC02G38310D PROTEIN', NULL, NULL, NULL, 15),
(82263, NULL, 'PTHR46286:SF6', NULL, NULL, NULL, NULL, 'OS08G0220600 PROTEIN', NULL, NULL, NULL, 15),
(82264, NULL, 'PTHR31388:SF198', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(82265, NULL, 'PTHR24637:SF273', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(82266, NULL, 'PTHR33590:SF1', NULL, NULL, NULL, NULL, 'GLUTENIN, HIGH MOLECULAR WEIGHT SUBUNIT PW212-RELATED PROTEIN', NULL, NULL, NULL, 15),
(82267, NULL, 'PTHR11850:SF285', NULL, NULL, NULL, NULL, 'BNAA03G52290D PROTEIN', NULL, NULL, NULL, 15),
(82268, NULL, 'PTHR23086:SF114', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 2', NULL, NULL, NULL, 15),
(82269, NULL, 'PTHR48095', NULL, NULL, NULL, NULL, 'PYRUVATE CARBOXYLASE SUBUNIT A', NULL, NULL, NULL, 15),
(82270, NULL, 'PTHR12290', NULL, NULL, NULL, NULL, 'CORNICHON-RELATED', NULL, NULL, NULL, 15),
(82271, NULL, 'PTHR43272:SF5', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE LONG-CHAIN, ISOFORM J', NULL, NULL, NULL, 15),
(82272, NULL, 'PTHR43995:SF6', NULL, NULL, NULL, NULL, 'BNAA08G27940D PROTEIN', NULL, NULL, NULL, 15),
(82273, NULL, 'PTHR10218:SF327', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(F) SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(82274, NULL, 'PTHR31302:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82275, NULL, 'PTHR10826:SF7', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(82276, NULL, 'PTHR42851:SF7', NULL, NULL, NULL, NULL, 'OS07G0694500 PROTEIN', NULL, NULL, NULL, 15),
(82277, NULL, 'PTHR11588:SF378', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82278, NULL, 'PTHR10634:SF117', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 10', NULL, NULL, NULL, 15),
(82279, NULL, 'PTHR46141:SF1', NULL, NULL, NULL, NULL, 'SODIUM LEAK CHANNEL NON-SELECTIVE PROTEIN', NULL, NULL, NULL, 15),
(82280, NULL, 'PTHR24281:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82281, NULL, 'PTHR24376:SF147', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 594-RELATED', NULL, NULL, NULL, 15),
(82282, NULL, 'PTHR11214:SF268', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT6-LIKE', NULL, NULL, NULL, 15),
(82283, NULL, 'PTHR10005:SF25', NULL, NULL, NULL, NULL, 'SNO ONCOGENE, ISOFORM B', NULL, NULL, NULL, 15),
(82284, NULL, 'PTHR31218:SF336', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(82285, NULL, 'PTHR46186:SF13', NULL, NULL, NULL, NULL, 'SI:BUSM1-57F23.1', NULL, NULL, NULL, 15),
(82286, NULL, 'PTHR15907:SF126', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 8-LIKE', NULL, NULL, NULL, 15),
(82287, NULL, 'PTHR34680:SF5', NULL, NULL, NULL, NULL, 'ORPHANS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(82288, NULL, 'PTHR10890:SF29', NULL, NULL, NULL, NULL, 'BNAA05G14150D PROTEIN', NULL, NULL, NULL, 15),
(82289, NULL, 'PTHR20958', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(82290, NULL, 'PTHR15146:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR137B-LIKE', NULL, NULL, NULL, 15),
(82291, NULL, 'PTHR30055:SF195', NULL, NULL, NULL, NULL, 'FATTY ACID METABOLISM REGULATOR PROTEIN', NULL, NULL, NULL, 15),
(82292, NULL, 'PTHR31410:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 246', NULL, NULL, NULL, 15),
(82293, NULL, 'PTHR31293:SF15', NULL, NULL, NULL, NULL, 'BNAANNG22970D PROTEIN', NULL, NULL, NULL, 15),
(82294, NULL, 'PTHR11165:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82295, NULL, 'PTHR22835:SF594', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(82296, NULL, 'PTHR16206:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82297, NULL, 'PTHR21646:SF38', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 51', NULL, NULL, 34581, 15),
(82298, NULL, 'PTHR15725:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 11B', NULL, NULL, NULL, 15),
(82299, NULL, 'PTHR24067:SF304', NULL, NULL, NULL, NULL, 'UBIQUTIN-CONJUGATING ENZYME 4', NULL, NULL, NULL, 15),
(82300, NULL, 'PTHR45655:SF6', NULL, NULL, NULL, NULL, 'HEAD-SPECIFIC GUANYLATE CYCLASE', NULL, NULL, NULL, 15),
(82301, NULL, 'PTHR24322:SF489', NULL, NULL, NULL, NULL, 'ESTRADIOL 17-BETA-DEHYDROGENASE 11', NULL, NULL, NULL, 15),
(82302, NULL, 'PTHR40703:SF1', NULL, NULL, NULL, NULL, 'TRNA (PSEUDOURIDINE(54)-N(1))-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(82303, NULL, 'PTHR11802:SF359', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 26', NULL, NULL, NULL, 15),
(82304, NULL, 'PTHR10574', NULL, NULL, NULL, NULL, 'NETRIN/LAMININ-RELATED', NULL, NULL, NULL, 15),
(82305, NULL, 'PTHR11624:SF99', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA-2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(82306, NULL, 'PTHR24083:SF74', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(82307, NULL, 'PTHR10231:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82308, NULL, 'PTHR35587:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82309, NULL, 'PTHR43464:SF50', NULL, NULL, NULL, NULL, 'SECONDARY METABOLISM REGULATOR LAEA', NULL, NULL, NULL, 15),
(82310, NULL, 'PTHR21223:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM92B', NULL, NULL, NULL, 15),
(82311, NULL, 'PTHR12655', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE', NULL, NULL, NULL, 15),
(82312, NULL, 'PTHR45734:SF7', NULL, NULL, NULL, NULL, 'PVR ADAPTOR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82313, NULL, 'PTHR36693', NULL, NULL, NULL, NULL, 'GH02722P', NULL, NULL, 25174, 15),
(82314, NULL, 'PTHR11361:SF82', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MSH1, MITOCHONDRIAL', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82315, NULL, 'PTHR40275', NULL, NULL, NULL, NULL, 'SSL7038 PROTEIN', NULL, NULL, 13598, 15),
(82316, NULL, 'PTHR11814:SF238', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.1-LIKE', NULL, NULL, 28679, 15),
(82317, NULL, 'PTHR23280:SF34', NULL, NULL, NULL, NULL, 'FERM DOMAIN CONTAINING 7', NULL, NULL, NULL, 15),
(82318, NULL, 'PTHR45646:SF10', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE CLK3', NULL, NULL, NULL, 15),
(82319, NULL, 'PTHR45958:SF6', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 43', NULL, NULL, NULL, 15),
(82320, NULL, 'PTHR34761:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLUS AND NEURAL PROGENITOR PROTEIN', NULL, NULL, NULL, 15),
(82321, NULL, 'PTHR46336:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82322, NULL, 'PTHR45614:SF104', NULL, NULL, NULL, NULL, 'OS07G0222501 PROTEIN', NULL, NULL, NULL, 15),
(82323, NULL, 'PTHR11017:SF350', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)-RELATED', NULL, NULL, NULL, 15),
(82324, NULL, 'PTHR18821:SF2', NULL, NULL, NULL, NULL, 'PROKINETICIN 1', NULL, NULL, NULL, 15),
(82325, NULL, 'PTHR23236:SF51', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 6', NULL, NULL, NULL, 15),
(82326, NULL, 'PTHR33101:SF63', NULL, NULL, NULL, NULL, 'BNAC01G35510D PROTEIN', NULL, NULL, NULL, 15),
(82327, NULL, 'PTHR35498', NULL, NULL, NULL, NULL, 'PROTEIN LOW PSII ACCUMULATION 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(82328, NULL, 'PTHR31282:SF157', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82329, NULL, 'PTHR10015:SF310', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-1B', NULL, NULL, NULL, 15),
(82330, NULL, 'PTHR12306:SF10', NULL, NULL, NULL, NULL, 'CELL DEATH ACTIVATOR CIDE-B', NULL, NULL, NULL, 15),
(82331, NULL, 'PTHR24031:SF676', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX49-RELATED', NULL, NULL, NULL, 15),
(82332, NULL, 'PTHR46056:SF12', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE FAO4B', NULL, NULL, NULL, 15),
(82333, NULL, 'PTHR46128:SF180', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(82334, NULL, 'PTHR24390:SF118', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 281', NULL, NULL, NULL, 15),
(82335, NULL, 'PTHR24414:SF165', NULL, NULL, NULL, NULL, 'BNAA10G09720D PROTEIN', NULL, NULL, NULL, 15),
(82336, NULL, 'PTHR23076:SF100', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(82337, NULL, 'PTHR10663:SF329', NULL, NULL, NULL, NULL, 'PH AND SEC7 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(82338, NULL, 'PTHR43826:SF7', NULL, NULL, NULL, NULL, 'PROTEIN UHPC, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(82339, NULL, 'PTHR24286:SF298', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE', NULL, NULL, NULL, 15),
(82340, NULL, 'PTHR27007:SF304', NULL, NULL, NULL, NULL, 'OS08G0124000 PROTEIN', NULL, NULL, NULL, 15),
(82341, NULL, 'PTHR31982:SF5', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT II-1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(82342, NULL, 'PTHR24096:SF314', NULL, NULL, NULL, NULL, 'BLL7864 PROTEIN', NULL, NULL, NULL, 15),
(82343, NULL, 'PTHR43769:SF1', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(82344, NULL, 'PTHR11829', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN', NULL, NULL, NULL, 15),
(82345, NULL, 'PTHR11493', NULL, NULL, NULL, NULL, 'SULFITE REDUCTASE [NADPH] SUBUNIT BETA-RELATED', NULL, NULL, 40000, 15),
(82346, NULL, 'PTHR24016', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(82347, NULL, 'PTHR33976', NULL, NULL, NULL, NULL, 'OS07G0645000 PROTEIN', NULL, NULL, 39683, 15),
(82348, NULL, 'PTHR23226:SF65', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 215', NULL, NULL, NULL, 15),
(82349, NULL, 'PTHR24103:SF615', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 49B-RELATED', NULL, NULL, NULL, 15),
(82350, NULL, 'PTHR46324:SF3', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 43-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82351, NULL, 'PTHR31042:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82352, NULL, 'PTHR11972:SF58', NULL, NULL, NULL, NULL, 'NADPH OXIDASE 5', NULL, NULL, NULL, 15),
(82353, NULL, 'PTHR43612', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL ENZYME SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(82354, NULL, 'PTHR45657:SF3', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G09260)-RELATED', NULL, NULL, NULL, 15),
(82355, NULL, 'PTHR11145:SF19', NULL, NULL, NULL, NULL, 'SKN-1 DEPENDENT ZYGOTIC TRANSCRIPT', NULL, NULL, NULL, 15),
(82356, NULL, 'PTHR10438:SF418', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(82357, NULL, 'PTHR11017:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82358, NULL, 'PTHR10562:SF77', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82359, NULL, 'PTHR43763:SF6', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE 1', NULL, NULL, NULL, 15),
(82360, NULL, 'PTHR31707:SF147', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 39-RELATED', NULL, NULL, NULL, 15),
(82361, NULL, 'PTHR45618:SF38', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 2-OXOGLUTARATE/MALATE CARRIER PROTEIN', NULL, NULL, NULL, 15),
(82362, NULL, 'PTHR48053:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82363, NULL, 'PTHR11019:SF190', NULL, NULL, NULL, NULL, 'ARAC-FAMILY REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82364, NULL, 'PTHR48052:SF11', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(82365, NULL, 'PTHR27004:SF221', NULL, NULL, NULL, NULL, 'OS01G0160600 PROTEIN', NULL, NULL, NULL, 15),
(82366, NULL, 'PTHR48015:SF23', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(82367, NULL, 'PTHR42823', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT A, CHLOROPLASTIC', NULL, NULL, 36796, 15),
(82368, NULL, 'PTHR24055:SF497', NULL, NULL, NULL, NULL, 'BNAC05G30760D PROTEIN', NULL, NULL, NULL, 15),
(82369, NULL, 'PTHR31213:SF84', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL2-LIKE', NULL, NULL, NULL, 15),
(82370, NULL, 'PTHR19271:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82371, NULL, 'PTHR13020:SF9', NULL, NULL, NULL, NULL, 'TRINUCLEOTIDE REPEAT-CONTAINING GENE 6C PROTEIN', NULL, NULL, 30781, 15),
(82372, NULL, 'PTHR31744:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82373, NULL, 'PTHR13502:SF3', NULL, NULL, NULL, NULL, 'CDC42 SMALL EFFECTOR PROTEIN 1', NULL, NULL, NULL, 15),
(82374, NULL, 'PTHR33524', NULL, NULL, NULL, NULL, 'C5ORF35', NULL, NULL, 31009, 15),
(82375, NULL, 'PTHR46149', NULL, NULL, NULL, NULL, 'MIP08469P', NULL, NULL, NULL, 15),
(82376, NULL, 'PTHR46736:SF19', NULL, NULL, NULL, NULL, 'BNAA07G00610D PROTEIN', NULL, NULL, NULL, 15),
(82377, NULL, 'PTHR14403', NULL, NULL, NULL, NULL, 'RFAMIDE PEPTIDE GONADOTROPIN INHIBITORY HORMONE', NULL, NULL, 23383, 15),
(82378, NULL, 'PTHR24020:SF47', NULL, NULL, NULL, NULL, 'PROTEIN CBG09720', NULL, NULL, NULL, 15),
(82379, NULL, 'PTHR45907:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', NULL, NULL, NULL, 15),
(82380, NULL, 'PTHR43750', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE TUAD', NULL, NULL, NULL, 15),
(82381, NULL, 'PTHR10795:SF569', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3.16', NULL, NULL, NULL, 15),
(82382, NULL, 'PTHR43161:SF12', NULL, NULL, NULL, NULL, 'L-ARABINITOL 4-DEHYDROGENASE', NULL, NULL, NULL, 15),
(82383, NULL, 'PTHR22937', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF165', NULL, NULL, 37752, 15),
(82384, NULL, 'PTHR35889:SF2', NULL, NULL, NULL, NULL, 'CYCLOINULO-OLIGOSACCHARIDE FRUCTANOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(82385, NULL, 'PTHR12419:SF71', NULL, NULL, NULL, NULL, 'OTU-LIKE CYSTEINE PROTEASE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(82386, NULL, 'PTHR46206', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(82387, NULL, 'PTHR12542:SF134', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82388, NULL, 'PTHR17616:SF6', NULL, NULL, NULL, NULL, 'WW DOMAIN-CONTAINING TRANSCRIPTION REGULATOR PROTEIN 1', NULL, NULL, NULL, 15),
(82389, NULL, 'PTHR12956:SF17', NULL, NULL, NULL, NULL, 'OS01G0749100 PROTEIN', NULL, NULL, NULL, 15),
(82390, NULL, 'PTHR23504:SF90', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(82391, NULL, 'PTHR11223:SF12', NULL, NULL, NULL, NULL, 'BNACNNG06240D PROTEIN', NULL, NULL, NULL, 15),
(82392, NULL, 'PTHR43180:SF30', NULL, NULL, NULL, NULL, 'MOMILACTONE A SYNTHASE', NULL, NULL, NULL, 15),
(82393, NULL, 'PTHR12277:SF173', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(82394, NULL, 'PTHR23412:SF18', NULL, NULL, NULL, NULL, 'OTOANCORIN', NULL, NULL, 24220, 15),
(82395, NULL, 'PTHR31469:SF16', NULL, NULL, NULL, NULL, 'BNACNNG45830D PROTEIN', NULL, NULL, NULL, 15),
(82396, NULL, 'PTHR31717:SF82', NULL, NULL, NULL, NULL, 'BNAC04G11140D PROTEIN', NULL, NULL, NULL, 15),
(82397, NULL, 'PTHR31235:SF257', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(82398, NULL, 'PTHR11731:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82399, NULL, 'PTHR36836', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS PROTEIN WCAK', NULL, NULL, NULL, 15),
(82400, NULL, 'PTHR11655:SF39', NULL, NULL, NULL, NULL, 'BNAC02G12270D PROTEIN', NULL, NULL, NULL, 15),
(82401, NULL, 'PTHR10869:SF157', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 10-RELATED', NULL, NULL, NULL, 15),
(82402, NULL, 'PTHR31681:SF29', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(82403, NULL, 'PTHR23077:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82404, NULL, 'PTHR21136:SF172', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 711-RELATED', NULL, NULL, NULL, 15),
(82405, NULL, 'PTHR10853:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PELOTA HOMOLOG', NULL, NULL, NULL, 15),
(82406, NULL, 'PTHR11820:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82407, NULL, 'PTHR10501', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN A/U2 SMALL NUCLEAR RIBONUCLEOPROTEIN B', NULL, NULL, NULL, 15),
(82408, NULL, 'PTHR12167:SF2', NULL, NULL, NULL, NULL, 'C-TYPE NATRIURETIC PEPTIDE', NULL, NULL, NULL, 15),
(82409, NULL, 'PTHR37252:SF3', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 6', NULL, NULL, NULL, 15),
(82410, NULL, 'PTHR47938:SF17', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82411, NULL, 'PTHR30183:SF7', NULL, NULL, NULL, NULL, 'FERRIC TRANSPORT SYSTEM PERMEASE PROTEIN FBPB 1-RELATED', NULL, NULL, NULL, 15),
(82412, NULL, 'PTHR11132:SF318', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE/PHOSPHATE TRANSLOCATOR 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(82413, NULL, 'PTHR31011:SF2', NULL, NULL, NULL, NULL, 'PROTEIN STB2-RELATED', NULL, NULL, NULL, 15),
(82414, NULL, 'PTHR11614:SF143', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(82415, NULL, 'PTHR23090:SF16', NULL, NULL, NULL, NULL, 'GLUTAMINE-DEPENDENT NAD(+) SYNTHETASE', NULL, NULL, NULL, 15),
(82416, NULL, 'PTHR19212', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT  IN FLII  INTERACTING PROTEIN', NULL, NULL, 17997, 15),
(82417, NULL, 'PTHR10992:SF1008', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82418, NULL, 'PTHR23138:SF151', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 3A-RELATED', NULL, NULL, NULL, 15),
(82419, NULL, 'PTHR46905:SF15', NULL, NULL, NULL, NULL, 'BNAA08G02820D PROTEIN', NULL, NULL, NULL, 15),
(82420, NULL, 'PTHR46288:SF5', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(82421, NULL, 'PTHR22941:SF20', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(82422, NULL, 'PTHR44329:SF174', NULL, NULL, NULL, NULL, 'RGS DOMAIN-CONTAINING SERINE/THREONINE-PROTEIN KINASE A-LIKE ISOFORM X1', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82423, NULL, 'PTHR31921', NULL, NULL, NULL, NULL, 'PROTEIN DPCD', NULL, NULL, 27753, 15),
(82424, NULL, 'PTHR10666:SF315', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 14', NULL, NULL, NULL, 15),
(82425, NULL, 'PTHR32175', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(82426, NULL, 'PTHR43968:SF6', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE OMEGA 1-RELATED', NULL, NULL, NULL, 15),
(82427, NULL, 'PTHR22748:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82428, NULL, 'PTHR45621:SF71', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL2-RELATED', NULL, NULL, NULL, 15),
(82429, NULL, 'PTHR33159:SF54', NULL, NULL, NULL, NULL, 'RIN4, PATHOGENIC TYPE III EFFECTOR AVIRULENCE FACTOR AVR CLEAVAGE SITE-RELATED', NULL, NULL, NULL, 15),
(82430, NULL, 'PTHR26454:SF17', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C70', NULL, NULL, NULL, 15),
(82431, NULL, 'PTHR24381:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 554', NULL, NULL, NULL, 15),
(82432, NULL, 'PTHR43556:SF2', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR RF3', NULL, NULL, NULL, 15),
(82433, NULL, 'PTHR31790:SF398', NULL, NULL, NULL, NULL, 'BNACNNG77820D PROTEIN', NULL, NULL, NULL, 15),
(82434, NULL, 'PTHR33087:SF28', NULL, NULL, NULL, NULL, 'OS07G0115760 PROTEIN', NULL, NULL, NULL, 15),
(82435, NULL, 'PTHR14057:SF44', NULL, NULL, NULL, NULL, 'ONE CUT DOMAIN FAMILY MEMBER', NULL, NULL, NULL, 15),
(82436, NULL, 'PTHR33227:SF15', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(82437, NULL, 'PTHR45647:SF59', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 34-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(82438, NULL, 'PTHR27001:SF868', NULL, NULL, NULL, NULL, 'STRUBBELIG-RECEPTOR FAMILY 6 PROTEIN', NULL, NULL, NULL, 15),
(82439, NULL, 'PTHR48047:SF90', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(82440, NULL, 'PTHR33983:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82441, NULL, 'PTHR33697:SF2', NULL, NULL, NULL, NULL, 'T17B22.17 PROTEIN', NULL, NULL, NULL, 15),
(82442, NULL, 'PTHR36480', NULL, NULL, NULL, NULL, 'OS06G0118900 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82443, NULL, 'PTHR23073:SF102', NULL, NULL, NULL, NULL, 'BNAA02G04630D PROTEIN', NULL, NULL, 18323, 15),
(82444, NULL, 'PTHR13768', NULL, NULL, NULL, NULL, 'SOLUBLE NSF ATTACHMENT PROTEIN  SNAP', NULL, NULL, 6604, 15),
(82445, NULL, 'PTHR11260:SF553', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(82446, NULL, 'PTHR10290:SF3', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 1', NULL, NULL, NULL, 15),
(82447, NULL, 'PTHR31775:SF41', NULL, NULL, NULL, NULL, 'REMORIN-RELATED', NULL, NULL, NULL, 15),
(82448, NULL, 'PTHR13211', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(82449, NULL, 'PTHR33836:SF10', NULL, NULL, NULL, NULL, 'BNAA03G12660D PROTEIN', NULL, NULL, NULL, 15),
(82450, NULL, 'PTHR11711:SF338', NULL, NULL, NULL, NULL, 'OS06G0114200 PROTEIN', NULL, NULL, NULL, 15),
(82451, NULL, 'PTHR31669:SF157', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(82452, NULL, 'PTHR43230:SF1', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(82453, NULL, 'PTHR33640:SF16', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(82454, NULL, 'PTHR31150:SF35', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(82455, NULL, 'PTHR31321:SF11', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTER HYDROLASE YBHC-RELATED', NULL, NULL, NULL, 15),
(82456, NULL, 'PTHR46039:SF5', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE 3-RELATED', NULL, NULL, NULL, 15),
(82457, NULL, 'PTHR13586', NULL, NULL, NULL, NULL, 'SCD6 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82458, NULL, 'PTHR46071:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND BTB/POZ DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(82459, NULL, 'PTHR33207:SF4', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82460, NULL, 'PTHR15137:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 2', NULL, NULL, NULL, 15),
(82461, NULL, 'PTHR38104', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82462, NULL, 'PTHR32278:SF86', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(82463, NULL, 'PTHR24296:SF109', NULL, NULL, NULL, NULL, 'OS01G0804400 PROTEIN', NULL, NULL, NULL, 15),
(82464, NULL, 'PTHR47926:SF294', NULL, NULL, NULL, NULL, 'BNAC06G29850D PROTEIN', NULL, NULL, NULL, 15),
(82465, NULL, 'PTHR31683:SF16', NULL, NULL, NULL, NULL, 'PECTIN LYASE A', NULL, NULL, NULL, 15),
(82466, NULL, 'PTHR45806', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN HOMOLOG YKT6', NULL, NULL, NULL, 15),
(82467, NULL, 'PTHR48041:SF17', NULL, NULL, NULL, NULL, 'WHITE-BROWN COMPLEX HOMOLOG PROTEIN 30-RELATED', NULL, NULL, NULL, 15),
(82468, NULL, 'PTHR31602:SF46', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 6', NULL, NULL, NULL, 15),
(82469, NULL, 'PTHR16134:SF82', NULL, NULL, NULL, NULL, 'DNA-BINDING SCF UBIQUITIN LIGASE SUBUNIT', NULL, NULL, NULL, 15),
(82470, NULL, 'PTHR40617', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE ASQC', NULL, NULL, NULL, 15),
(82471, NULL, 'PTHR46450', NULL, NULL, NULL, NULL, 'INACTIVE HISTONE-LYSINE N-METHYLTRANSFERASE SUVR1-RELATED', NULL, NULL, NULL, 15),
(82472, NULL, 'PTHR32487:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82473, NULL, 'PTHR22870:SF302', NULL, NULL, NULL, NULL, 'MJK13.9 PROTEIN', NULL, NULL, NULL, 15),
(82474, NULL, 'PTHR30348:SF13', NULL, NULL, NULL, NULL, 'UPF0759 PROTEIN YUNF', NULL, NULL, NULL, 15),
(82475, NULL, 'PTHR11926:SF913', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82476, NULL, 'PTHR42920:SF21', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', NULL, NULL, NULL, 15),
(82477, NULL, 'PTHR24373:SF328', NULL, NULL, NULL, NULL, 'FI03225P-RELATED', NULL, NULL, NULL, 15),
(82478, NULL, 'PTHR11467:SF100', NULL, NULL, NULL, NULL, 'LINKER HISTONE H1 AND H5 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(82479, NULL, 'PTHR13976:SF71', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(82480, NULL, 'PTHR16223:SF225', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH80', NULL, NULL, NULL, 15),
(82481, NULL, 'PTHR33286:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82482, NULL, 'PTHR21562:SF10', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE NOTUM2', NULL, NULL, NULL, 15),
(82483, NULL, 'PTHR11071:SF445', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(82484, NULL, 'PTHR24381:SF167', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 709', NULL, NULL, NULL, 15),
(82485, NULL, 'PTHR24128:SF42', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(82486, NULL, 'PTHR21337:SF27', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', NULL, NULL, NULL, 15),
(82487, NULL, 'PTHR24343:SF76', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE/THREONINE-PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(82488, NULL, 'PTHR31081:SF5', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 1-RELATED', NULL, NULL, NULL, 15),
(82489, NULL, 'PTHR23124:SF143', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN-RELATED', NULL, NULL, NULL, 15),
(82490, NULL, 'PTHR13019:SF7', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23', NULL, NULL, NULL, 15),
(82491, NULL, 'PTHR47495:SF1', NULL, NULL, NULL, NULL, 'BLL3820 PROTEIN', NULL, NULL, NULL, 15),
(82492, NULL, 'PTHR33910:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLOCASE SUBUNIT SECE', NULL, NULL, NULL, 15),
(82493, NULL, 'PTHR10827:SF76', NULL, NULL, NULL, NULL, 'CALUMENIN', NULL, NULL, 28407, 15),
(82494, NULL, 'PTHR30473:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PHOH', NULL, NULL, NULL, 15),
(82495, NULL, 'PTHR48056:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82496, NULL, 'PTHR47291:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE UPSTREAM PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82497, NULL, 'PTHR43380', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT ALPHA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(82498, NULL, 'PTHR48083:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG09298', NULL, NULL, NULL, 15),
(82499, NULL, 'PTHR24559:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82500, NULL, 'PTHR47924:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82501, NULL, 'PTHR23338:SF49', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', NULL, NULL, NULL, 15),
(82502, NULL, 'PTHR10996:SF230', NULL, NULL, NULL, NULL, 'GLYOXYLATE REDUCTASE/HYDROXYPYRUVATE REDUCTASE B', NULL, NULL, NULL, 15),
(82503, NULL, 'PTHR43330:SF8', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 1D, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(82504, NULL, 'PTHR43321:SF27', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(82505, NULL, 'PTHR47976:SF29', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82506, NULL, 'PTHR31674:SF45', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS04G0347400-RELATED', NULL, NULL, NULL, 15),
(82507, NULL, 'PTHR11926:SF1395', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(82508, NULL, 'PTHR12774:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82509, NULL, 'PTHR21593:SF28', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(82510, NULL, 'PTHR10811:SF5', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(82511, NULL, 'PTHR12448:SF5', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT EPSILON, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(82512, NULL, 'PTHR27004:SF329', NULL, NULL, NULL, NULL, 'BNACNNG24010D PROTEIN', NULL, NULL, NULL, 15),
(82513, NULL, 'PTHR24299:SF28', NULL, NULL, NULL, NULL, 'OS04G0539300 PROTEIN', NULL, NULL, NULL, 15),
(82514, NULL, 'PTHR46041:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE SUBUNIT 2', NULL, NULL, NULL, 15),
(82515, NULL, 'PTHR43552:SF1', NULL, NULL, NULL, NULL, 'DIAMINOBUTYRATE--2-OXOGLUTARATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(82516, NULL, 'PTHR31636:SF194', NULL, NULL, NULL, NULL, 'PROTEIN SHORT-ROOT-LIKE', NULL, NULL, NULL, 15),
(82517, NULL, 'PTHR45859:SF4', NULL, NULL, NULL, NULL, 'BNAA01G32370D PROTEIN', NULL, NULL, NULL, 15),
(82518, NULL, 'PTHR21447', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(82519, NULL, 'PTHR36586:SF29', NULL, NULL, NULL, NULL, 'BNAC06G15300D PROTEIN', NULL, NULL, NULL, 15),
(82520, NULL, 'PTHR35121:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER, SWIM-TYPE-RELATED', NULL, NULL, NULL, 15),
(82521, NULL, 'PTHR24064:SF516', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 6', NULL, NULL, NULL, 15),
(82522, NULL, 'PTHR33236:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82523, NULL, 'PTHR11638:SF161', NULL, NULL, NULL, NULL, 'CLPA/B, CONSERVED SITE 2', NULL, NULL, NULL, 15),
(82524, NULL, 'PTHR47916:SF1', NULL, NULL, NULL, NULL, '3-HYDROXY-5-PHOSPHONOOXYPENTANE-2,4-DIONE THIOLASE', NULL, NULL, NULL, 15),
(82525, NULL, 'PTHR11880:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15', NULL, NULL, NULL, 15),
(82526, NULL, 'PTHR27002:SF864', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8 ISOFORM X1', NULL, NULL, NULL, 15),
(82527, NULL, 'PTHR31293:SF16', NULL, NULL, NULL, NULL, 'BNAA06G25610D PROTEIN', NULL, NULL, NULL, 15),
(82528, NULL, 'PTHR40758:SF1', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(82529, NULL, 'PTHR11260:SF16', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, N-TERMINAL DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(82530, NULL, 'PTHR21222:SF1', NULL, NULL, NULL, NULL, 'MIT DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(82531, NULL, 'PTHR21662:SF3', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(82532, NULL, 'PTHR12302:SF19', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82533, NULL, 'PTHR10177:SF257', NULL, NULL, NULL, NULL, 'CYCLIN N-TERMINAL DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(82534, NULL, 'PTHR42825:SF31', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE ATNJ-RELATED', NULL, NULL, NULL, 15),
(82535, NULL, 'PTHR31807:SF27', NULL, NULL, NULL, NULL, 'QWRF MOTIF-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(82536, NULL, 'PTHR31932:SF2', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(82537, NULL, 'PTHR40841', NULL, NULL, NULL, NULL, 'SIDEROPHORE TRIACETYLFUSARININE C ESTERASE', NULL, NULL, NULL, 15),
(82538, NULL, 'PTHR23124:SF140', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING PROTEIN 158-RELATED', NULL, NULL, NULL, 15),
(82539, NULL, 'PTHR24241:SF169', NULL, NULL, NULL, NULL, 'QRFP-LIKE PEPTIDE RECEPTOR', NULL, NULL, NULL, 15),
(82540, NULL, 'PTHR14217:SF7', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE 2', NULL, NULL, NULL, 15),
(82541, NULL, 'PTHR22811:SF130', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA3-LIKE', NULL, NULL, NULL, 15),
(82542, NULL, 'PTHR11048:SF38', NULL, NULL, NULL, NULL, 'PRENYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13980)-RELATED', NULL, NULL, NULL, 15),
(82543, NULL, 'PTHR24073:SF1051', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5D-LIKE', NULL, NULL, NULL, 15),
(82544, NULL, 'PTHR11063:SF13', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE 2', NULL, NULL, NULL, 15),
(82545, NULL, 'PTHR22977', NULL, NULL, NULL, NULL, 'COX ASSEMBLY MITOCHONDRIAL PROTEIN', NULL, NULL, 17671, 15),
(82546, NULL, 'PTHR45676:SF129', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL54-LIKE', NULL, NULL, NULL, 15),
(82547, NULL, 'PTHR34361:SF9', NULL, NULL, NULL, NULL, 'BNAA08G06710D PROTEIN', NULL, NULL, NULL, 15),
(82548, NULL, 'PTHR34593:SF9', NULL, NULL, NULL, NULL, 'MATING RESPONSE PROTEIN POI2', NULL, NULL, NULL, 15),
(82549, NULL, 'PTHR20766:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82550, NULL, 'PTHR24257:SF0', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE ELASTASE FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(82551, NULL, 'PTHR16320:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82552, NULL, 'PTHR22891:SF157', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 4', NULL, NULL, NULL, 15),
(82553, NULL, 'PTHR23202:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82554, NULL, 'PTHR44533:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX60-LIKE-RELATED', NULL, NULL, NULL, 15),
(82555, NULL, 'PTHR10902:SF22', NULL, NULL, NULL, NULL, 'BNAA02G16870D PROTEIN', NULL, NULL, NULL, 15),
(82556, NULL, 'PTHR43240:SF7', NULL, NULL, NULL, NULL, 'ESTERASE VNG_1336C-RELATED', NULL, NULL, NULL, 15),
(82557, NULL, 'PTHR11654:SF335', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 1.3', NULL, NULL, NULL, 15),
(82558, NULL, 'PTHR43572:SF60', NULL, NULL, NULL, NULL, 'PROTEIN CLPV1', NULL, NULL, NULL, 15),
(82559, NULL, 'PTHR11567:SF191', NULL, NULL, NULL, NULL, 'INTESTINAL ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(82560, NULL, 'PTHR31232:SF67', NULL, NULL, NULL, NULL, 'BNAA01G27430D PROTEIN', NULL, NULL, NULL, 15),
(82561, NULL, 'PTHR18945:SF846', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT BETA-LIKE 2', NULL, NULL, NULL, 15),
(82562, NULL, 'PTHR31042:SF104', NULL, NULL, NULL, NULL, 'BNAC07G15830D PROTEIN', NULL, NULL, NULL, 15),
(82563, NULL, 'PTHR43952:SF34', NULL, NULL, NULL, NULL, 'OS01G0663051 PROTEIN', NULL, NULL, NULL, 15),
(82564, NULL, 'PTHR23201:SF67', NULL, NULL, NULL, NULL, 'SNAKIN-2-LIKE', NULL, NULL, NULL, 15),
(82565, NULL, 'PTHR24223:SF410', NULL, NULL, NULL, NULL, 'BNAA01G25250D PROTEIN', NULL, NULL, NULL, 15),
(82566, NULL, 'PTHR19944:SF84', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DR BETA 3 CHAIN', NULL, NULL, NULL, 15),
(82567, NULL, 'PTHR42111:SF1', NULL, NULL, NULL, NULL, 'YALI0D23727P', NULL, NULL, NULL, 15),
(82568, NULL, 'PTHR12850:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S25', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82569, NULL, 'PTHR48131', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82570, NULL, 'PTHR27009:SF196', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(82571, NULL, 'PTHR43789:SF3', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', NULL, NULL, NULL, 15),
(82572, NULL, 'PTHR31704:SF43', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(82573, NULL, 'PTHR33159:SF69', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(82574, NULL, 'PTHR31388:SF193', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(82575, NULL, 'PTHR47958:SF49', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-III', NULL, NULL, NULL, 15),
(82576, NULL, 'PTHR36746:SF3', NULL, NULL, NULL, NULL, 'BNAC04G51760D PROTEIN', NULL, NULL, NULL, 15),
(82577, NULL, 'PTHR10840:SF1', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 5', NULL, NULL, NULL, 15),
(82578, NULL, 'PTHR24113:SF5', NULL, NULL, NULL, NULL, 'RAN GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, NULL, 15),
(82579, NULL, 'PTHR22776:SF3', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(82580, NULL, 'PTHR36116:SF1', NULL, NULL, NULL, NULL, 'UPF0060 MEMBRANE PROTEIN YNFA', NULL, NULL, NULL, 15),
(82581, NULL, 'PTHR10628:SF6', NULL, NULL, NULL, NULL, 'SIALIDASE-2', NULL, NULL, 23357, 15),
(82582, NULL, 'PTHR27005:SF391', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82583, NULL, 'PTHR46020:SF21', NULL, NULL, NULL, NULL, 'BNAC02G03010D PROTEIN', NULL, NULL, NULL, 15),
(82584, NULL, 'PTHR25462:SF274', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INTERMEDIARY FACTOR 1-BETA', NULL, NULL, 29631, 15),
(82585, NULL, 'PTHR13163', NULL, NULL, NULL, NULL, 'SPINAL CORD EXPRESSION PROTEIN 4', NULL, NULL, 29732, 15),
(82586, NULL, 'PTHR48056:SF20', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(82587, NULL, 'PTHR23113:SF334', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR D', NULL, NULL, NULL, 15),
(82588, NULL, 'PTHR19970:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L39 LIKE', NULL, NULL, NULL, 15),
(82589, NULL, 'PTHR10394:SF26', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', NULL, NULL, NULL, 15),
(82590, NULL, 'PTHR46391:SF9', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 34', NULL, NULL, NULL, 15),
(82591, NULL, 'PTHR45620:SF1', NULL, NULL, NULL, NULL, 'PDF RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(82592, NULL, 'PTHR14239:SF6', NULL, NULL, NULL, NULL, 'METALLOREDUCTASE STEAP2', NULL, NULL, NULL, 15),
(82593, NULL, 'PTHR47854:SF1', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 2 (SURF2)', NULL, NULL, NULL, 15),
(82594, NULL, 'PTHR11764:SF49', NULL, NULL, NULL, NULL, 'ARABIDIOL SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(82595, NULL, 'PTHR11627:SF53', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(82596, NULL, 'PTHR11533:SF283', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(82597, NULL, 'PTHR34072:SF10', NULL, NULL, NULL, NULL, 'OS11G0272675 PROTEIN', NULL, NULL, NULL, 15),
(82598, NULL, 'PTHR45701', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN FAMILY MEMBER', NULL, NULL, 15601, 15),
(82599, NULL, 'PTHR12663:SF35', NULL, NULL, NULL, NULL, 'BNAA06G10610D PROTEIN', NULL, NULL, NULL, 15),
(82600, NULL, 'PTHR33870:SF16', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN', NULL, NULL, NULL, 15),
(82601, NULL, 'PTHR12629:SF41', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 18, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(82602, NULL, 'PTHR10688:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82603, NULL, 'PTHR31985:SF172', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF014', NULL, NULL, NULL, 15),
(82604, NULL, 'PTHR43317:SF4', NULL, NULL, NULL, NULL, 'POLYAMINE AMINOPROPYLTRANSFERASE', NULL, NULL, NULL, 15),
(82605, NULL, 'PTHR46496:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82606, NULL, 'PTHR35565', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, 7625, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82607, NULL, 'PTHR13935:SF136', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(82608, NULL, 'PTHR37610:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82609, NULL, 'PTHR12680:SF2', NULL, NULL, NULL, NULL, 'HOMEODOMAIN TRANSCRIPTION FACTOR 2-RELATED', NULL, NULL, NULL, 15),
(82610, NULL, 'PTHR31988:SF17', NULL, NULL, NULL, NULL, 'CARBOHYDRATE ESTERASE-RELATED', NULL, NULL, NULL, 15),
(82611, NULL, 'PTHR11831:SF23', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9', NULL, NULL, NULL, 15),
(82612, NULL, 'PTHR46691:SF5', NULL, NULL, NULL, NULL, 'HMG (HIGH MOBILITY GROUP) BOX PROTEIN', NULL, NULL, NULL, 15),
(82613, NULL, 'PTHR33203:SF23', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(82614, NULL, 'PTHR10293:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82615, NULL, 'PTHR11394:SF68', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 16', NULL, NULL, NULL, 15),
(82616, NULL, 'PTHR46398:SF8', NULL, NULL, NULL, NULL, 'OS03G0712000 PROTEIN', NULL, NULL, NULL, 15),
(82617, NULL, 'PTHR44203:SF8', NULL, NULL, NULL, NULL, 'ETHYLENE-OVERPRODUCTION PROTEIN 1', NULL, NULL, NULL, 15),
(82618, NULL, 'PTHR15348:SF20', NULL, NULL, NULL, NULL, 'BNAC07G15070D PROTEIN', NULL, NULL, NULL, 15),
(82619, NULL, 'PTHR21461:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG11356', NULL, NULL, NULL, 15),
(82620, NULL, 'PTHR23248:SF29', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE 2', NULL, NULL, NULL, 15),
(82621, NULL, 'PTHR24349:SF419', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 24', NULL, NULL, NULL, 15),
(82622, NULL, 'PTHR11106:SF103', NULL, NULL, NULL, NULL, 'OS04G0561200 PROTEIN', NULL, NULL, NULL, 15),
(82623, NULL, 'PTHR31625:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82624, NULL, 'PTHR11158:SF24', NULL, NULL, NULL, NULL, 'PRELI DOMAIN-CONTAINING 1B', NULL, NULL, NULL, 15),
(82625, NULL, 'PTHR34049', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP27', NULL, NULL, 38029, 15),
(82626, NULL, 'PTHR47640:SF5', NULL, NULL, NULL, NULL, 'TIA-1/TIAL RNA BINDING PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(82627, NULL, 'PTHR31472', NULL, NULL, NULL, NULL, 'OS05G0244600 PROTEIN', NULL, NULL, NULL, 15),
(82628, NULL, 'PTHR31471:SF60', NULL, NULL, NULL, NULL, 'TERMINASE SMALL SUBUNIT, REMORIN-RELATED', NULL, NULL, NULL, 15),
(82629, NULL, 'PTHR31221:SF237', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 33-RELATED', NULL, NULL, NULL, 15),
(82630, NULL, 'PTHR36319:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GIGANTEA', NULL, NULL, NULL, 15),
(82631, NULL, 'PTHR46431:SF9', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82632, NULL, 'PTHR24136:SF34', NULL, NULL, NULL, NULL, 'TANKYRASE-LIKE', NULL, NULL, NULL, 15),
(82633, NULL, 'PTHR47995:SF12', NULL, NULL, NULL, NULL, 'BNAC03G26620D PROTEIN', NULL, NULL, NULL, 15),
(82634, NULL, 'PTHR32108', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT ALPHA', NULL, NULL, 13093, 15),
(82635, NULL, 'PTHR22420:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM81A', NULL, NULL, 24386, 15),
(82636, NULL, 'PTHR21668:SF4', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A, X-CHROMOSOMAL', NULL, NULL, NULL, 15),
(82637, NULL, 'PTHR47395', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B MEMBER 1', NULL, NULL, 15565, 15),
(82638, NULL, 'PTHR45911:SF2', NULL, NULL, NULL, NULL, 'MULTIPLE C2 AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(82639, NULL, 'PTHR43790:SF9', NULL, NULL, NULL, NULL, 'RIBOSE IMPORT ATP-BINDING PROTEIN RBSA 2', NULL, NULL, NULL, 15),
(82640, NULL, 'PTHR10110:SF62', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 7', NULL, NULL, NULL, 15),
(82641, NULL, 'PTHR15241:SF292', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(82642, NULL, 'PTHR33191:SF31', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(82643, NULL, 'PTHR37877', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL COILED-COIL DOMAIN PROTEIN 1', NULL, NULL, 27224, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82644, NULL, 'PTHR34860', NULL, NULL, NULL, NULL, 'REPRESSOR-LIKE PROTEIN SSO7C3', NULL, NULL, NULL, 15),
(82645, NULL, 'PTHR15123:SF5', NULL, NULL, NULL, NULL, 'SECRETED AND TRANSMEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(82646, NULL, 'PTHR48017:SF77', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 7', NULL, NULL, NULL, 15),
(82647, NULL, 'PTHR48229:SF1', NULL, NULL, NULL, NULL, 'CAIB/BAIF FAMILY ENZYME (AFU_ORTHOLOGUE AFUA_1G06250)', NULL, NULL, NULL, 15),
(82648, NULL, 'PTHR36264:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82649, NULL, 'PTHR10634:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82650, NULL, 'PTHR10593:SF127', NULL, NULL, NULL, NULL, 'FINGER PROTEIN PCP1-LIKE', NULL, NULL, NULL, 15),
(82651, NULL, 'PTHR31985:SF224', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(82652, NULL, 'PTHR15315:SF81', NULL, NULL, NULL, NULL, 'OS10G0500000 PROTEIN', NULL, NULL, NULL, 15),
(82653, NULL, 'PTHR46872:SF11', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE, MYB-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82654, NULL, 'PTHR10127:SF798', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-1', NULL, NULL, NULL, 15),
(82655, NULL, 'PTHR11822:SF31', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', NULL, NULL, NULL, 15),
(82656, NULL, 'PTHR11380:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 13', NULL, NULL, NULL, 15),
(82657, NULL, 'PTHR12745:SF6', NULL, NULL, NULL, NULL, 'PROTEIN ST7 HOMOLOG', NULL, NULL, NULL, 15),
(82658, NULL, 'PTHR22089', NULL, NULL, NULL, NULL, 'MIRROR-IMAGE POLYDACTYLY GENE 1 PROTEIN', NULL, NULL, 26580, 15),
(82659, NULL, 'PTHR11449:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30', NULL, NULL, 759, 15),
(82660, NULL, 'PTHR11183:SF149', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE PGSIP8', NULL, NULL, NULL, 15),
(82661, NULL, 'PTHR48014:SF23', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MPS1-RELATED', NULL, NULL, NULL, 15),
(82662, NULL, 'PTHR12703:SF3', NULL, NULL, NULL, NULL, 'ABR032WP', NULL, NULL, NULL, 15),
(82663, NULL, 'PTHR31589:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82664, NULL, 'PTHR11227:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82665, NULL, 'PTHR13980:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82666, NULL, 'PTHR27005:SF368', NULL, NULL, NULL, NULL, 'WAK80-OSWAK RECEPTOR-LIKE PROTEIN KINASE', NULL, NULL, NULL, 15),
(82667, NULL, 'PTHR11746:SF249', NULL, NULL, NULL, NULL, 'BNAA06G14930D PROTEIN', NULL, NULL, NULL, 15),
(82668, NULL, 'PTHR23267:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82669, NULL, 'PTHR11062:SF73', NULL, NULL, NULL, NULL, 'EXOSTOSIN-LIKE 3', NULL, NULL, NULL, 15),
(82670, NULL, 'PTHR31988:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82671, NULL, 'PTHR11955:SF82', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN HOMOLOG 5', NULL, NULL, NULL, 15),
(82672, NULL, 'PTHR24023:SF1007', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXIV) CHAIN', NULL, NULL, NULL, 15),
(82673, NULL, 'PTHR18063', NULL, NULL, NULL, NULL, 'NF-E2 INDUCIBLE PROTEIN', NULL, NULL, 10918, 15),
(82674, NULL, 'PTHR42921', NULL, NULL, NULL, NULL, 'ACETOACETYL-COA SYNTHETASE', NULL, NULL, NULL, 15),
(82675, NULL, 'PTHR24329:SF337', NULL, NULL, NULL, NULL, 'DHARMA', NULL, NULL, NULL, 15),
(82676, NULL, 'PTHR10938:SF6', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-3', NULL, NULL, NULL, 15),
(82677, NULL, 'PTHR43240:SF10', NULL, NULL, NULL, NULL, 'BLL4964 PROTEIN', NULL, NULL, NULL, 15),
(82678, NULL, 'PTHR46091', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82679, NULL, 'PTHR31238:SF38', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 8-3', NULL, NULL, NULL, 15),
(82680, NULL, 'PTHR34054:SF10', NULL, NULL, NULL, NULL, 'BNAC04G56680D PROTEIN', NULL, NULL, NULL, 15),
(82681, NULL, 'PTHR11200:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82682, NULL, 'PTHR33133:SF48', NULL, NULL, NULL, NULL, 'BNAA09G05670D PROTEIN', NULL, NULL, NULL, 15),
(82683, NULL, 'PTHR32044:SF51', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 9-RELATED', NULL, NULL, NULL, 15),
(82684, NULL, 'PTHR34875', NULL, NULL, NULL, NULL, 'UPF0237 PROTEIN MJ1558', NULL, NULL, NULL, 15),
(82685, NULL, 'PTHR12271:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG00955', NULL, NULL, NULL, 15),
(82686, NULL, 'PTHR12356:SF27', NULL, NULL, NULL, NULL, 'RE67940P', NULL, NULL, NULL, 15),
(82687, NULL, 'PTHR13367:SF9', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 7A', NULL, NULL, 36360, 15),
(82688, NULL, 'PTHR30249:SF0', NULL, NULL, NULL, NULL, 'PLASTIDAL GLYCOLATE/GLYCERATE TRANSLOCATOR 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(82689, NULL, 'PTHR33272', NULL, NULL, NULL, NULL, 'PROTEIN CBG22877-RELATED', NULL, NULL, 24244, 15),
(82690, NULL, 'PTHR47290:SF5', NULL, NULL, NULL, NULL, 'OS12G0479100 PROTEIN', NULL, NULL, NULL, 15),
(82691, NULL, 'PTHR42771:SF3', NULL, NULL, NULL, NULL, 'PETROBACTIN IMPORT ATP-BINDING PROTEIN YCLP', NULL, NULL, NULL, 15),
(82692, NULL, 'PTHR10783:SF119', NULL, NULL, NULL, NULL, 'BNAC02G34860D PROTEIN', NULL, NULL, NULL, 15),
(82693, NULL, 'PTHR24064:SF85', NULL, NULL, NULL, NULL, 'PROTEIN CBG13266', NULL, NULL, NULL, 15),
(82694, NULL, 'PTHR48243', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82695, NULL, 'PTHR45463:SF5', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(82696, NULL, 'PTHR45653:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82697, NULL, 'PTHR27005:SF37', NULL, NULL, NULL, NULL, 'OS04G0367600 PROTEIN', NULL, NULL, NULL, 15),
(82698, NULL, 'PTHR11802:SF316', NULL, NULL, NULL, NULL, 'BNAC09G41250D PROTEIN', NULL, NULL, NULL, 15),
(82699, NULL, 'PTHR13018:SF101', NULL, NULL, NULL, NULL, 'ERD (EARLY-RESPONSIVE TO DEHYDRATION STRESS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(82700, NULL, 'PTHR11685:SF295', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(82701, NULL, 'PTHR10048:SF108', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE CATALYTIC SUBUNIT TYPE 3', NULL, NULL, NULL, 15),
(82702, NULL, 'PTHR40552:SF6', NULL, NULL, NULL, NULL, 'AT05186P-RELATED', NULL, NULL, NULL, 15),
(82703, NULL, 'PTHR24031:SF739', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A', NULL, NULL, NULL, 15),
(82704, NULL, 'PTHR22891:SF153', NULL, NULL, NULL, NULL, 'PROTEIN CBG03703', NULL, NULL, NULL, 15),
(82705, NULL, 'PTHR35498:SF5', NULL, NULL, NULL, NULL, 'RUBREDOXIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(82706, NULL, 'PTHR24414:SF127', NULL, NULL, NULL, NULL, 'BNAC03G15240D PROTEIN', NULL, NULL, NULL, 15),
(82707, NULL, 'PTHR13683:SF632', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2', NULL, NULL, NULL, 15),
(82708, NULL, 'PTHR31142:SF38', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(82709, NULL, 'PTHR33984', NULL, NULL, NULL, NULL, 'OS02G0717600 PROTEIN', NULL, NULL, NULL, 15),
(82710, NULL, 'PTHR16134:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82711, NULL, 'PTHR10797:SF35', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 9-RELATED', NULL, NULL, NULL, 15),
(82712, NULL, 'PTHR32410:SF178', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(82713, NULL, 'PTHR43214:SF20', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE GLNK', NULL, NULL, NULL, 15),
(82714, NULL, 'PTHR31901:SF41', NULL, NULL, NULL, NULL, 'JASMONIC ACID-AMIDO SYNTHETASE JAR1-LIKE', NULL, NULL, NULL, 15),
(82715, NULL, 'PTHR33490:SF3', NULL, NULL, NULL, NULL, 'SLL1049 PROTEIN', NULL, NULL, NULL, 15),
(82716, NULL, 'PTHR11208:SF128', NULL, NULL, NULL, NULL, 'K-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82717, NULL, 'PTHR23500:SF573', NULL, NULL, NULL, NULL, 'BNAA01G26430D PROTEIN', NULL, NULL, NULL, 15),
(82718, NULL, 'PTHR12311', NULL, NULL, NULL, NULL, 'ACTIVATOR OF BASAL TRANSCRIPTION 1', NULL, NULL, 35557, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82719, NULL, 'PTHR37888:SF6', NULL, NULL, NULL, NULL, 'DNA-BINDING BROMODOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(82720, NULL, 'PTHR43022', NULL, NULL, NULL, NULL, 'PROTEIN SMF', NULL, NULL, 6282, 15),
(82721, NULL, 'PTHR42693:SF5', NULL, NULL, NULL, NULL, 'ARYLSULFATASE E', NULL, NULL, NULL, 15),
(82722, NULL, 'PTHR33142:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82723, NULL, 'PTHR11085:SF5', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE', NULL, NULL, NULL, 15),
(82724, NULL, 'PTHR13774:SF26', NULL, NULL, NULL, NULL, 'PHENAZINE BIOSYNTHESIS PHZC/PHZF PROTEIN', NULL, NULL, NULL, 15),
(82725, NULL, 'PTHR47221:SF1', NULL, NULL, NULL, NULL, 'FIBRINOGEN ALPHA CHAIN', NULL, NULL, NULL, 15),
(82726, NULL, 'PTHR24215:SF30', NULL, NULL, NULL, NULL, 'CYSTEINE RICH PROTEIN 3', NULL, NULL, NULL, 15),
(82727, NULL, 'PTHR31744:SF122', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 46-RELATED', NULL, NULL, NULL, 15),
(82728, NULL, 'PTHR48018:SF108', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(82729, NULL, 'PTHR13107:SF4', NULL, NULL, NULL, NULL, 'N6-ADENOSINE-METHYLTRANSFERASE SUBUNIT METTL14', NULL, NULL, NULL, 15),
(82730, NULL, 'PTHR31150:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82731, NULL, 'PTHR37035:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82732, NULL, 'PTHR47991:SF21', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE', NULL, NULL, NULL, 15),
(82733, NULL, 'PTHR32191:SF44', NULL, NULL, NULL, NULL, 'OS08G0260600 PROTEIN', NULL, NULL, NULL, 15),
(82734, NULL, 'PTHR45687:SF66', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-1', NULL, NULL, NULL, 15),
(82735, NULL, 'PTHR10639:SF27', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(82736, NULL, 'PTHR26453:SF11', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(82737, NULL, 'PTHR46186', NULL, NULL, NULL, NULL, 'CYSTATIN', NULL, NULL, NULL, 15),
(82738, NULL, 'PTHR45852:SF2', NULL, NULL, NULL, NULL, 'BNAA01G19540D PROTEIN', NULL, NULL, NULL, 15),
(82739, NULL, 'PTHR33286:SF37', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(82740, NULL, 'PTHR45820:SF2', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 63C, ISOFORM F', NULL, NULL, NULL, 15),
(82741, NULL, 'PTHR46288:SF28', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(82742, NULL, 'PTHR10209:SF742', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 4-RELATED', NULL, NULL, NULL, 15),
(82743, NULL, 'PTHR24086:SF15', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FTZ-F1', NULL, NULL, NULL, 15),
(82744, NULL, 'PTHR24384:SF218', NULL, NULL, NULL, NULL, 'GENE, 19965-RELATED', NULL, NULL, NULL, 15),
(82745, NULL, 'PTHR43582:SF4', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORT SYSTEM ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(82746, NULL, 'PTHR30075:SF2', NULL, NULL, NULL, NULL, 'GLYCINE--TRNA LIGASE, CHLOROPLASTIC/MITOCHONDRIAL 2', NULL, NULL, NULL, 15),
(82747, NULL, 'PTHR35711:SF3', NULL, NULL, NULL, NULL, 'PROSTATIC SPERMINE-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(82748, NULL, 'PTHR23304:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82749, NULL, 'PTHR11037:SF14', NULL, NULL, NULL, NULL, 'PROTEIN GRAINYHEAD', NULL, NULL, NULL, 15),
(82750, NULL, 'PTHR22298:SF132', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(82751, NULL, 'PTHR34362:SF6', NULL, NULL, NULL, NULL, 'OS07G0593400 PROTEIN', NULL, NULL, NULL, 15),
(82752, NULL, 'PTHR31636:SF142', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(82753, NULL, 'PTHR11117', NULL, NULL, NULL, NULL, 'SUCCINYL-COA LIGASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(82754, NULL, 'PTHR33136:SF42', NULL, NULL, NULL, NULL, 'RALF', NULL, NULL, NULL, 15),
(82755, NULL, 'PTHR31415:SF85', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82756, NULL, 'PTHR30222:SF18', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL POLYHYDROXYBUTYRATE SYNTHASE / ABC TRANSPORTER PERIPLASMIC BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82757, NULL, 'PTHR36181:SF1', NULL, NULL, NULL, NULL, 'INTRON-ENCODED DNA ENDONUCLEASE AI5 BETA', NULL, NULL, NULL, 15),
(82758, NULL, 'PTHR10241:SF19', NULL, NULL, NULL, NULL, 'SYNTAXIN-BINDING PROTEIN 5-LIKE', NULL, NULL, NULL, 15),
(82759, NULL, 'PTHR33411:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82760, NULL, 'PTHR39490:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82761, NULL, 'PTHR24096:SF372', NULL, NULL, NULL, NULL, 'BNAC08G19290D PROTEIN', NULL, NULL, NULL, 15),
(82762, NULL, 'PTHR31683:SF142', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(82763, NULL, 'PTHR15004', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 3269, 15),
(82764, NULL, 'PTHR10037:SF62', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN 60E', NULL, NULL, NULL, 15),
(82765, NULL, 'PTHR10114:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', NULL, NULL, NULL, 15),
(82766, NULL, 'PTHR43563:SF12', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOAMINE OXIDASE A-RELATED', NULL, NULL, NULL, 15),
(82767, NULL, 'PTHR23261:SF65', NULL, NULL, NULL, NULL, 'POLYGLUTAMINE-REPEAT PROTEIN PQN-41', NULL, NULL, NULL, 15),
(82768, NULL, 'PTHR24291:SF143', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4D1-RELATED', NULL, NULL, NULL, 15),
(82769, NULL, 'PTHR24041:SF22', NULL, NULL, NULL, NULL, 'MUCIN-3A-RELATED', NULL, NULL, NULL, 15),
(82770, NULL, 'PTHR39957', NULL, NULL, NULL, NULL, 'AT09846P1-RELATED', NULL, NULL, NULL, 15),
(82771, NULL, 'PTHR46124:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(82772, NULL, 'PTHR32212:SF292', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(82773, NULL, 'PTHR33128:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82774, NULL, 'PTHR11588:SF64', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1C CHAIN', NULL, NULL, NULL, 15),
(82775, NULL, 'PTHR34371:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82776, NULL, 'PTHR31543:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(82777, NULL, 'PTHR15141:SF7', NULL, NULL, NULL, NULL, 'ELONGIN-A2', NULL, NULL, NULL, 15),
(82778, NULL, 'PTHR33385', NULL, NULL, NULL, NULL, 'PROTEIN XRI1', NULL, NULL, 29980, 15),
(82779, NULL, 'PTHR34653:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK-BASAL BODY COMPLEX PROTEIN FLIE', NULL, NULL, NULL, 15),
(82780, NULL, 'PTHR12159:SF9', NULL, NULL, NULL, NULL, 'G/T MISMATCH-SPECIFIC THYMINE DNA GLYCOSYLASE', NULL, NULL, NULL, 15),
(82781, NULL, 'PTHR38502', NULL, NULL, NULL, NULL, 'OVEREXPRESSED IN COLON CARCINOMA 1 PROTEIN', NULL, NULL, 25111, 15),
(82782, NULL, 'PTHR46194', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE PTRHD1-RELATED', NULL, NULL, 39865, 15),
(82783, NULL, 'PTHR31213:SF128', NULL, NULL, NULL, NULL, 'BNAA03G17720D PROTEIN', NULL, NULL, NULL, 15),
(82784, NULL, 'PTHR12482:SF52', NULL, NULL, NULL, NULL, 'SERINE ESTERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82785, NULL, 'PTHR33674:SF5', NULL, NULL, NULL, NULL, 'METHIONINE-S-OXIDE REDUCTASE', NULL, NULL, NULL, 15),
(82786, NULL, 'PTHR45758', NULL, NULL, NULL, NULL, 'MITOFERRIN-1-RELATED', NULL, NULL, NULL, 15),
(82787, NULL, 'PTHR12178:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82788, NULL, 'PTHR47382:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82789, NULL, 'PTHR46297', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH-TYPE WITH G PATCH DOMAIN-CONTAINING PROTEIN', NULL, NULL, 38045, 15),
(82790, NULL, 'PTHR46151:SF9', NULL, NULL, NULL, NULL, 'OS08G0550400 PROTEIN', NULL, NULL, NULL, 15),
(82791, NULL, 'PTHR45804:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82792, NULL, 'PTHR31907:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82793, NULL, 'PTHR33493:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82794, NULL, 'PTHR10177:SF408', NULL, NULL, NULL, NULL, 'CYCLIN-B2-4', NULL, NULL, NULL, 15),
(82795, NULL, 'PTHR14089:SF15', NULL, NULL, NULL, NULL, 'BNAANNG33400D PROTEIN', NULL, NULL, NULL, 15),
(82796, NULL, 'PTHR26453:SF265', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(82797, NULL, 'PTHR31547', NULL, NULL, NULL, NULL, 'MULTIVESICULAR BODY SUBUNIT 12B', NULL, NULL, 29847, 15),
(82798, NULL, 'PTHR22945:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(82799, NULL, 'PTHR18966:SF424', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(82800, NULL, 'PTHR37709:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(82801, NULL, 'PTHR10031:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82802, NULL, 'PTHR24305:SF87', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE ALND-RELATED', NULL, NULL, NULL, 15),
(82803, NULL, 'PTHR12396:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82804, NULL, 'PTHR10443', NULL, NULL, NULL, NULL, 'MICROSOMAL DIPEPTIDASE', NULL, NULL, 8848, 15),
(82805, NULL, 'PTHR46246', NULL, NULL, NULL, NULL, 'GUANOSINE-3'',5''-BIS(DIPHOSPHATE) 3''-PYROPHOSPHOHYDROLASE MESH1', NULL, NULL, NULL, 15),
(82806, NULL, 'PTHR35486:SF7', NULL, NULL, NULL, NULL, 'BNAA04G25790D PROTEIN', NULL, NULL, NULL, 15),
(82807, NULL, 'PTHR33155:SF29', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 1-LIKE', NULL, NULL, NULL, 15),
(82808, NULL, 'PTHR12019', NULL, NULL, NULL, NULL, 'LAMINA-ASSOCIATED POLYPEPTIDE  THYMOPOIETIN', NULL, NULL, NULL, 15),
(82809, NULL, 'PTHR47067:SF12', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 7 ISOFORM X1', NULL, NULL, NULL, 15),
(82810, NULL, 'PTHR42893', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 44, CHLOROPLASTIC-RELATED', NULL, NULL, 37742, 15),
(82811, NULL, 'PTHR46910:SF18', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(82812, NULL, 'PTHR34710:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82813, NULL, 'PTHR45719:SF3', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14A', NULL, NULL, NULL, 15),
(82814, NULL, 'PTHR10489:SF921', NULL, NULL, NULL, NULL, 'C-X-C CHEMOKINE RECEPTOR TYPE 3-2', NULL, NULL, NULL, 15),
(82815, NULL, 'PTHR27002:SF742', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 21', NULL, NULL, NULL, 15),
(82816, NULL, 'PTHR11451:SF54', NULL, NULL, NULL, NULL, 'THREONYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(82817, NULL, 'PTHR40035:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN I', NULL, NULL, NULL, 15),
(82818, NULL, 'PTHR25952:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82819, NULL, 'PTHR31549:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82820, NULL, 'PTHR48025:SF3', NULL, NULL, NULL, NULL, '31 KDA RIBONUCLEOPROTEIN, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(82821, NULL, 'PTHR11654:SF503', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.3', NULL, NULL, NULL, 15),
(82822, NULL, 'PTHR42952:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE SUBUNIT, CONJECTURAL', NULL, NULL, NULL, 15),
(82823, NULL, 'PTHR11206:SF370', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(82824, NULL, 'PTHR11202:SF4', NULL, NULL, NULL, NULL, 'ENA/VASP-LIKE PROTEIN', NULL, NULL, 12794, 15),
(82825, NULL, 'PTHR15759:SF5', NULL, NULL, NULL, NULL, 'PANNEXIN-1', NULL, NULL, NULL, 15),
(82826, NULL, 'PTHR21447:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG10519', NULL, NULL, NULL, 15),
(82827, NULL, 'PTHR11475:SF75', NULL, NULL, NULL, NULL, 'PEROXIDASIN HOMOLOG', NULL, NULL, 31029, 15),
(82828, NULL, 'PTHR45677:SF8', NULL, NULL, NULL, NULL, 'LP10922P', NULL, NULL, NULL, 15),
(82829, NULL, 'PTHR31190:SF220', NULL, NULL, NULL, NULL, 'BNAA06G35500D PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82830, NULL, 'PTHR32196:SF32', NULL, NULL, NULL, NULL, 'XYLOSE TRANSPORT SYSTEM PERMEASE PROTEIN XYLH', NULL, NULL, NULL, 15),
(82831, NULL, 'PTHR45758:SF16', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN U', NULL, NULL, NULL, 15),
(82832, NULL, 'PTHR30543:SF19', NULL, NULL, NULL, NULL, 'NADPH:QUINONE OXIDOREDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(82833, NULL, 'PTHR46393:SF4', NULL, NULL, NULL, NULL, 'SI:CH1073-280E3.1', NULL, NULL, NULL, 15),
(82834, NULL, 'PTHR31853', NULL, NULL, NULL, NULL, 'PSORIASIS SUSCEPTIBILITY 1 CANDIDATE GENE 2 PROTEIN', NULL, NULL, 28923, 15),
(82835, NULL, 'PTHR33349:SF20', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(82836, NULL, 'PTHR46279:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(82837, NULL, 'PTHR24416:SF106', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR 1 RECEPTOR', NULL, NULL, NULL, 15),
(82838, NULL, 'PTHR46238:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82839, NULL, 'PTHR46602:SF6', NULL, NULL, NULL, NULL, 'XS DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82840, NULL, 'PTHR36983:SF2', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 13', NULL, NULL, NULL, 15),
(82841, NULL, 'PTHR11639:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82842, NULL, 'PTHR15380:SF1', NULL, NULL, NULL, NULL, 'CLN5-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(82843, NULL, 'PTHR27004:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82844, NULL, 'PTHR21685:SF1', NULL, NULL, NULL, NULL, 'TAPERIN', NULL, NULL, 29844, 15),
(82845, NULL, 'PTHR10024:SF124', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN VB', NULL, NULL, NULL, 15),
(82846, NULL, 'PTHR43120:SF12', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', NULL, NULL, NULL, 15),
(82847, NULL, 'PTHR36061', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82848, NULL, 'PTHR31190:SF118', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(82849, NULL, 'PTHR19370:SF198', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE', NULL, NULL, NULL, 15),
(82850, NULL, 'PTHR32212:SF262', NULL, NULL, NULL, NULL, 'FBD, F-BOX AND LEUCINE RICH REPEAT DOMAINS CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(82851, NULL, 'PTHR34059:SF7', NULL, NULL, NULL, NULL, 'MICAL C-TERMINAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(82852, NULL, 'PTHR13104:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 6', NULL, NULL, NULL, 15),
(82853, NULL, 'PTHR43460:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(82854, NULL, 'PTHR30540:SF80', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 2-RELATED', NULL, NULL, NULL, 15),
(82855, NULL, 'PTHR10026:SF7', NULL, NULL, NULL, NULL, 'CYCLIN-C', NULL, NULL, 27109, 15),
(82856, NULL, 'PTHR14375', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 26171, 15),
(82857, NULL, 'PTHR33484:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82858, NULL, 'PTHR15459:SF3', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1', NULL, NULL, NULL, 15),
(82859, NULL, 'PTHR48105:SF23', NULL, NULL, NULL, NULL, 'SLR0600 PROTEIN', NULL, NULL, NULL, 15),
(82860, NULL, 'PTHR43677:SF8', NULL, NULL, NULL, NULL, 'ARP PROTEIN (REF)', NULL, NULL, NULL, 15),
(82861, NULL, 'PTHR12027:SF88', NULL, NULL, NULL, NULL, 'PROTEIN WNT-3A', NULL, NULL, NULL, 15),
(82862, NULL, 'PTHR10598', NULL, NULL, NULL, NULL, 'SET1/ASH2 HISTONE METHYLTRANSFERASE COMPLEX SUBUNIT ASH2', NULL, NULL, 29761, 15),
(82863, NULL, 'PTHR47073:SF8', NULL, NULL, NULL, NULL, 'BNAA09G04530D PROTEIN', NULL, NULL, NULL, 15),
(82864, NULL, 'PTHR47960:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82865, NULL, 'PTHR31315:SF9', NULL, NULL, NULL, NULL, 'OS06G0652550 PROTEIN', NULL, NULL, NULL, 15),
(82866, NULL, 'PTHR25466:SF2', NULL, NULL, NULL, NULL, 'T-LYMPHOCYTE ACTIVATION ANTIGEN CD86', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82867, NULL, 'PTHR24068:SF265', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1D', NULL, NULL, NULL, 15),
(82868, NULL, 'PTHR10778:SF45', NULL, NULL, NULL, NULL, 'UAA TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(82869, NULL, 'PTHR47963', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 47, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(82870, NULL, 'PTHR44137:SF27', NULL, NULL, NULL, NULL, 'BNAC04G29790D PROTEIN', NULL, NULL, NULL, 15),
(82871, NULL, 'PTHR12371:SF10', NULL, NULL, NULL, NULL, 'TRANSLOCATING CHAIN-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(82872, NULL, 'PTHR22826:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82873, NULL, 'PTHR34282:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82874, NULL, 'PTHR19367:SF4', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 16', NULL, NULL, NULL, 15),
(82875, NULL, 'PTHR30588', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT SYSTEM 2 CARRIER PROTEIN', NULL, NULL, 3156, 15),
(82876, NULL, 'PTHR23152:SF26', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(82877, NULL, 'PTHR12428:SF51', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX18, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(82878, NULL, 'PTHR10108:SF1104', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT14-RELATED', NULL, NULL, NULL, 15),
(82879, NULL, 'PTHR11661:SF28', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12-3', NULL, NULL, NULL, 15),
(82880, NULL, 'PTHR24409:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82881, NULL, 'PTHR23413:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32', NULL, NULL, NULL, 15),
(82882, NULL, 'PTHR45618:SF9', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DICARBOXYLATE/TRICARBOXYLATE TRANSPORTER DTC', NULL, NULL, NULL, 15),
(82883, NULL, 'PTHR24298:SF827', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 705, SUBFAMILY A, POLYPEPTIDE 8-RELATED', NULL, NULL, NULL, 15),
(82884, NULL, 'PTHR35832:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82885, NULL, 'PTHR24230:SF55', NULL, NULL, NULL, NULL, 'GALANIN RECEPTOR 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(82886, NULL, 'PTHR14899', NULL, NULL, NULL, NULL, 'G KINASE ANCHORING PROTEIN 1', NULL, NULL, 26370, 15),
(82887, NULL, 'PTHR33108:SF56', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(82888, NULL, 'PTHR23241:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82889, NULL, 'PTHR33090:SF54', NULL, NULL, NULL, NULL, 'OS02G0160900 PROTEIN', NULL, NULL, NULL, 15),
(82890, NULL, 'PTHR12052', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEN 4A, 4B', NULL, NULL, 1583, 15),
(82891, NULL, 'PTHR31100:SF61', NULL, NULL, NULL, NULL, 'DUF296 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(82892, NULL, 'PTHR31992:SF168', NULL, NULL, NULL, NULL, 'BNAA03G17300D PROTEIN', NULL, NULL, NULL, 15),
(82893, NULL, 'PTHR34846:SF6', NULL, NULL, NULL, NULL, 'ALKYL HYDROPEROXIDE REDUCTASE AHPD', NULL, NULL, NULL, 15),
(82894, NULL, 'PTHR10835:SF13', NULL, NULL, NULL, NULL, 'SQUALENE MONOOXYGENASE', NULL, NULL, NULL, 15),
(82895, NULL, 'PTHR45431:SF7', NULL, NULL, NULL, NULL, 'BNAA09G08130D PROTEIN', NULL, NULL, NULL, 15),
(82896, NULL, 'PTHR13683:SF830', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82897, NULL, 'PTHR22765:SF232', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(82898, NULL, 'PTHR23504:SF15', NULL, NULL, NULL, NULL, 'PROTEIN ZINC INDUCED FACILITATOR-LIKE 1', NULL, NULL, NULL, 15),
(82899, NULL, 'PTHR23233', NULL, NULL, NULL, NULL, 'SAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(82900, NULL, 'PTHR47382:SF5', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 50-RELATED', NULL, NULL, NULL, 15),
(82901, NULL, 'PTHR47199:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II STABILITY/ASSEMBLY FACTOR HCF136, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(82902, NULL, 'PTHR27005:SF290', NULL, NULL, NULL, NULL, 'OS02G0811200 PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82903, NULL, 'PTHR43267', NULL, NULL, NULL, NULL, 'TRNA THREONYLCARBAMOYLADENOSINE DEHYDRATASE', NULL, NULL, 39818, 15),
(82904, NULL, 'PTHR11690:SF243', NULL, NULL, NULL, NULL, 'PICKPOCKET 12-RELATED', NULL, NULL, NULL, 15),
(82905, NULL, 'PTHR45669:SF18', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(82906, NULL, 'PTHR45798:SF44', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL74', NULL, NULL, NULL, 15),
(82907, NULL, 'PTHR23515', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 2.3', NULL, NULL, 37345, 15),
(82908, NULL, 'PTHR21566:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG11549', NULL, NULL, NULL, 15),
(82909, NULL, 'PTHR24206:SF72', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN PLIM2A', NULL, NULL, NULL, 15),
(82910, NULL, 'PTHR23147:SF195', NULL, NULL, NULL, NULL, 'BNAA04G14520D PROTEIN', NULL, NULL, NULL, 15),
(82911, NULL, 'PTHR13683:SF818', NULL, NULL, NULL, NULL, 'BNAC02G00140D PROTEIN', NULL, NULL, NULL, 15),
(82912, NULL, 'PTHR48019:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82913, NULL, 'PTHR13032', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM21', NULL, NULL, 13141, 15),
(82914, NULL, 'PTHR47925:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82915, NULL, 'PTHR31213:SF130', NULL, NULL, NULL, NULL, 'BNAA02G10420D PROTEIN', NULL, NULL, NULL, 15),
(82916, NULL, 'PTHR11736:SF143', NULL, NULL, NULL, NULL, 'MAGEB3-RELATED', NULL, NULL, NULL, 15),
(82917, NULL, 'PTHR19845:SF13', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(82918, NULL, 'PTHR45890:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ABKC-RELATED', NULL, NULL, NULL, 15),
(82919, NULL, 'PTHR24399:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 572', NULL, NULL, NULL, 15),
(82920, NULL, 'PTHR12506:SF60', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 34', NULL, NULL, NULL, 15),
(82921, NULL, 'PTHR14221:SF39', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(82922, NULL, 'PTHR24414:SF110', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(82923, NULL, 'PTHR13748:SF64', NULL, NULL, NULL, NULL, 'COBALAMIN (VITAMIN B12) BIOSYNTHESIS COBW-LIKE,C-TERMINAL', NULL, NULL, NULL, 15),
(82924, NULL, 'PTHR22731:SF3', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP1', NULL, NULL, NULL, 15),
(82925, NULL, 'PTHR11742:SF77', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(82926, NULL, 'PTHR11711:SF29', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 14', NULL, NULL, NULL, 15),
(82927, NULL, 'PTHR11157:SF120', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 1', NULL, NULL, NULL, 15),
(82928, NULL, 'PTHR11732:SF211', NULL, NULL, NULL, NULL, '3-OXO-5-BETA-STEROID 4-DEHYDROGENASE', NULL, NULL, NULL, 15),
(82929, NULL, 'PTHR45969:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHA2A', NULL, NULL, NULL, 15),
(82930, NULL, 'PTHR10026:SF120', NULL, NULL, NULL, NULL, 'CYCLIN-T1-4', NULL, NULL, NULL, 15),
(82931, NULL, 'PTHR33159:SF59', NULL, NULL, NULL, NULL, 'RIN4, PATHOGENIC TYPE III EFFECTOR AVIRULENCE FACTOR AVR CLEAVAGE SITE-RELATED', NULL, NULL, NULL, 15),
(82932, NULL, 'PTHR34945:SF2', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(82933, NULL, 'PTHR16290', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SMIF  DECAPPING ENZYME DCP1', NULL, NULL, 8561, 15),
(82934, NULL, 'PTHR12411:SF592', NULL, NULL, NULL, NULL, 'CYSTEINE ENDOPEPTIDASE', NULL, NULL, NULL, 15),
(82935, NULL, 'PTHR12233:SF5', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 26B', NULL, NULL, NULL, 15),
(82936, NULL, 'PTHR23073:SF99', NULL, NULL, NULL, NULL, 'BNAC03G34300D PROTEIN', NULL, NULL, NULL, 15),
(82937, NULL, 'PTHR15363:SF3', NULL, NULL, NULL, NULL, 'POU DOMAIN CLASS 2-ASSOCIATING FACTOR 1', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82938, NULL, 'PTHR30576:SF23', NULL, NULL, NULL, NULL, 'GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(82939, NULL, 'PTHR21058:SF2', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE', NULL, NULL, NULL, 15),
(82940, NULL, 'PTHR26453:SF625', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10A2', NULL, NULL, NULL, 15),
(82941, NULL, 'PTHR45744:SF25', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE TAT2-RELATED', NULL, NULL, NULL, 15),
(82942, NULL, 'PTHR24270:SF21', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR', NULL, NULL, NULL, 15),
(82943, NULL, 'PTHR10693:SF48', NULL, NULL, NULL, NULL, 'OS02G0497700 PROTEIN', NULL, NULL, NULL, 15),
(82944, NULL, 'PTHR34669', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD DOMAIN-CONTAINING PROTEIN MRL7L, CHLOROPLASTIC', NULL, NULL, 36887, 15),
(82945, NULL, 'PTHR12411:SF792', NULL, NULL, NULL, NULL, 'BNAA01G26140D PROTEIN', NULL, NULL, NULL, 15),
(82946, NULL, 'PTHR23086:SF98', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 1', NULL, NULL, NULL, 15),
(82947, NULL, 'PTHR34147:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82948, NULL, 'PTHR27004:SF333', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(82949, NULL, 'PTHR14555:SF6', NULL, NULL, NULL, NULL, 'MYELIN-ASSOCIATED OLIGODENDROCYTE BASIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82950, NULL, 'PTHR32205:SF4', NULL, NULL, NULL, NULL, 'ARCHAEMETZINCIN-1', NULL, NULL, NULL, 15),
(82951, NULL, 'PTHR10688', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(82952, NULL, 'PTHR11062:SF204', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT15-RELATED', NULL, NULL, NULL, 15),
(82953, NULL, 'PTHR17537', NULL, NULL, NULL, NULL, 'TRANSDUCER OF ERBB2  TOB', NULL, NULL, 18051, 15),
(82954, NULL, 'PTHR48016:SF23', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE NPK1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(82955, NULL, 'PTHR10285:SF164', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT KINASE YFH7', NULL, NULL, NULL, 15),
(82956, NULL, 'PTHR24229:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82957, NULL, 'PTHR47926:SF108', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(82958, NULL, 'PTHR46224:SF27', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(82959, NULL, 'PTHR24377:SF625', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 347-RELATED', NULL, NULL, NULL, 15),
(82960, NULL, 'PTHR13586:SF0', NULL, NULL, NULL, NULL, 'TRAILER HITCH, ISOFORM H', NULL, NULL, NULL, 15),
(82961, NULL, 'PTHR11533', NULL, NULL, NULL, NULL, 'PROTEASE M1 ZINC METALLOPROTEASE', NULL, NULL, NULL, 15),
(82962, NULL, 'PTHR31663:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(82963, NULL, 'PTHR31798:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82964, NULL, 'PTHR11142:SF10', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(82965, NULL, 'PTHR34978', NULL, NULL, NULL, NULL, 'POSSIBLE SENSOR-TRANSDUCER PROTEIN BLAR', NULL, NULL, NULL, 15),
(82966, NULL, 'PTHR23069:SF8', NULL, NULL, NULL, NULL, 'BNAC08G44480D PROTEIN', NULL, NULL, NULL, 15),
(82967, NULL, 'PTHR46081:SF6', NULL, NULL, NULL, NULL, 'METHIONINE-R-SULFOXIDE REDUCTASE B2, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(82968, NULL, 'PTHR11468:SF30', NULL, NULL, NULL, NULL, 'ALPHA-1,4 GLUCAN PHOSPHORYLASE', NULL, NULL, NULL, 15),
(82969, NULL, 'PTHR34950:SF5', NULL, NULL, NULL, NULL, 'BNAA04G12630D PROTEIN', NULL, NULL, NULL, 15),
(82970, NULL, 'PTHR37067', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82971, NULL, 'PTHR10502:SF196', NULL, NULL, NULL, NULL, 'ANNEXIN D4', NULL, NULL, NULL, 15),
(82972, NULL, 'PTHR37821:SF1', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER YUIF-RELATED', NULL, NULL, NULL, 15),
(82973, NULL, 'PTHR45748:SF18', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60/TCP-1 FAMILY-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(82974, NULL, 'PTHR45619:SF35', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(82975, NULL, 'PTHR26453:SF254', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2B2', NULL, NULL, NULL, 15),
(82976, NULL, 'PTHR11071:SF506', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(82977, NULL, 'PTHR33177:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82978, NULL, 'PTHR15241:SF304', NULL, NULL, NULL, NULL, 'OS02G0268750 PROTEIN', NULL, NULL, NULL, 15),
(82979, NULL, 'PTHR10641:SF1264', NULL, NULL, NULL, NULL, 'BNAC01G41180D PROTEIN', NULL, NULL, NULL, 15),
(82980, NULL, 'PTHR11447:SF21', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P73', NULL, NULL, 22191, 15),
(82981, NULL, 'PTHR11145:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG02803', NULL, NULL, NULL, 15),
(82982, NULL, 'PTHR47447:SF8', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82983, NULL, 'PTHR12411:SF732', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG12', NULL, NULL, NULL, 15),
(82984, NULL, 'PTHR12022:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(82985, NULL, 'PTHR40375:SF1', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 22', NULL, NULL, NULL, 15),
(82986, NULL, 'PTHR24115:SF586', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(82987, NULL, 'PTHR43272:SF63', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 9 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(82988, NULL, 'PTHR45952:SF13', NULL, NULL, NULL, NULL, 'STEM-SPECIFIC PROTEIN TSJT1-LIKE', NULL, NULL, NULL, 15),
(82989, NULL, 'PTHR24034:SF95', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(82990, NULL, 'PTHR23084:SF243', NULL, NULL, NULL, NULL, 'MORN MOTIF PROTEIN-RELATED', NULL, NULL, NULL, 15),
(82991, NULL, 'PTHR10962:SF7', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN 2A', NULL, NULL, NULL, 15),
(82992, NULL, 'PTHR24414:SF134', NULL, NULL, NULL, NULL, 'BNAANNG29940D PROTEIN', NULL, NULL, NULL, 15),
(82993, NULL, 'PTHR42786', NULL, NULL, NULL, NULL, 'TRNA/RRNA METHYLTRANSFERASE', NULL, NULL, 5505, 15),
(82994, NULL, 'PTHR11963:SF25', NULL, NULL, NULL, NULL, 'AT03383P-RELATED', NULL, NULL, NULL, 15),
(82995, NULL, 'PTHR34763:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM104A', NULL, NULL, NULL, 15),
(82996, NULL, 'PTHR31734:SF152', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(82997, NULL, 'PTHR14379:SF52', NULL, NULL, NULL, NULL, 'BNAA09G38400D PROTEIN', NULL, NULL, NULL, 15),
(82998, NULL, 'PTHR39219', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(82999, NULL, 'PTHR24096:SF188', NULL, NULL, NULL, NULL, 'DIDEMETHYLASTERRIQUINONE D SYNTHETASE TDIA', NULL, NULL, NULL, 15),
(83000, NULL, 'PTHR10231:SF36', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE TRANSPORTER', NULL, NULL, NULL, 15),
(83001, NULL, 'PTHR12242:SF36', NULL, NULL, NULL, NULL, 'PROTEIN ROLLING STONE-LIKE', NULL, NULL, NULL, 15),
(83002, NULL, 'PTHR12506:SF52', NULL, NULL, NULL, NULL, 'BNAA02G35100D PROTEIN', NULL, NULL, NULL, 15),
(83003, NULL, 'PTHR33741', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN DDB_G0269096-RELATED', NULL, NULL, NULL, 15),
(83004, NULL, 'PTHR24350:SF5', NULL, NULL, NULL, NULL, 'AURORA KINASE A', NULL, NULL, NULL, 15),
(83005, NULL, 'PTHR31490:SF67', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-LIKE', NULL, NULL, NULL, 15),
(83006, NULL, 'PTHR32227:SF371', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE', NULL, NULL, NULL, 15),
(83007, NULL, 'PTHR22893:SF55', NULL, NULL, NULL, NULL, 'NAD(P)H:FLAVIN OXIDOREDUCTASE SYE4', NULL, NULL, NULL, 15),
(83008, NULL, 'PTHR35470', NULL, NULL, NULL, NULL, 'CADMIUM TOLERANT 3', NULL, NULL, NULL, 15),
(83009, NULL, 'PTHR11945:SF643', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL29', NULL, NULL, NULL, 15),
(83010, NULL, 'PTHR26450:SF365', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83011, NULL, 'PTHR47967:SF72', NULL, NULL, NULL, NULL, 'BNAA02G27600D PROTEIN', NULL, NULL, NULL, 15),
(83012, NULL, 'PTHR21499:SF59', NULL, NULL, NULL, NULL, 'ASPARTOKINASE', NULL, NULL, NULL, 15),
(83013, NULL, 'PTHR18929:SF221', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', NULL, NULL, NULL, 15),
(83014, NULL, 'PTHR13230', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIIC, POLYPEPTIDE 5', NULL, NULL, 35471, 15),
(83015, NULL, 'PTHR24322:SF733', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(83016, NULL, 'PTHR12411:SF801', NULL, NULL, NULL, NULL, 'BNAA05G09950D PROTEIN', NULL, NULL, NULL, 15),
(83017, NULL, 'PTHR19317:SF72', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(83018, NULL, 'PTHR11984:SF30', NULL, NULL, NULL, NULL, 'GAP JUNCTION BETA-4 PROTEIN', NULL, NULL, 6327, 15),
(83019, NULL, 'PTHR48044:SF41', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(83020, NULL, 'PTHR45808:SF6', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, NULL, 15),
(83021, NULL, 'PTHR31596:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83022, NULL, 'PTHR31490:SF58', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE 2', NULL, NULL, NULL, 15),
(83023, NULL, 'PTHR31707:SF205', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 22-RELATED', NULL, NULL, NULL, 15),
(83024, NULL, 'PTHR48053:SF55', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRI1-LIKE 2', NULL, NULL, NULL, 15),
(83025, NULL, 'PTHR24020:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83026, NULL, 'PTHR47293:SF19', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 25', NULL, NULL, NULL, 15),
(83027, NULL, 'PTHR11767:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83028, NULL, 'PTHR30603:SF13', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGC', NULL, NULL, NULL, 15),
(83029, NULL, 'PTHR31867:SF201', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(83030, NULL, 'PTHR33048:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83031, NULL, 'PTHR12560:SF37', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 3A-RELATED', NULL, NULL, NULL, 15),
(83032, NULL, 'PTHR22601', NULL, NULL, NULL, NULL, 'ISP4 LIKE PROTEIN', NULL, NULL, 2588, 15),
(83033, NULL, 'PTHR10454:SF206', NULL, NULL, NULL, NULL, 'CASPASE-6', NULL, NULL, 33713, 15),
(83034, NULL, 'PTHR38426:SF1', NULL, NULL, NULL, NULL, 'MAINTENANCE OF TELOMERE CAPPING PROTEIN 4', NULL, NULL, NULL, 15),
(83035, NULL, 'PTHR46278:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(83036, NULL, 'PTHR31568:SF67', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN WIH1', NULL, NULL, NULL, 15),
(83037, NULL, 'PTHR31321:SF92', NULL, NULL, NULL, NULL, 'BNAA09G15000D PROTEIN', NULL, NULL, NULL, 15),
(83038, NULL, 'PTHR11079:SF183', NULL, NULL, NULL, NULL, 'CYTIDINE/DEOXYCYTIDYLATE DEAMINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83039, NULL, 'PTHR31265:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83040, NULL, 'PTHR46652', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83041, NULL, 'PTHR37244', NULL, NULL, NULL, NULL, 'NADP-SPECIFIC GLUTAMATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(83042, NULL, 'PTHR27009:SF229', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(83043, NULL, 'PTHR14709:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 12', NULL, NULL, NULL, 15),
(83044, NULL, 'PTHR35145:SF3', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83045, NULL, 'PTHR31234:SF43', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(83046, NULL, 'PTHR35863', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-5B C(1)-METHYLTRANSFERASE', NULL, NULL, 3661, 15),
(83047, NULL, 'PTHR10562:SF102', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83048, NULL, 'PTHR10257:SF75', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(83049, NULL, 'PTHR23155:SF1117', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(83050, NULL, 'PTHR47004', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 24', NULL, NULL, NULL, 15),
(83051, NULL, 'PTHR24071:SF3', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN', NULL, NULL, NULL, 15),
(83052, NULL, 'PTHR23023:SF81', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING] 6-RELATED', NULL, NULL, NULL, 15),
(83053, NULL, 'PTHR26453:SF147', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(83054, NULL, 'PTHR31992:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83055, NULL, 'PTHR31790:SF420', NULL, NULL, NULL, NULL, 'BNAA07G05010D PROTEIN', NULL, NULL, NULL, 15),
(83056, NULL, 'PTHR11849:SF296', NULL, NULL, NULL, NULL, 'ETS CLASS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(83057, NULL, 'PTHR33044:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83058, NULL, 'PTHR31769:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83059, NULL, 'PTHR36006:SF5', NULL, NULL, NULL, NULL, 'OS02G0138100 PROTEIN', NULL, NULL, NULL, 15),
(83060, NULL, 'PTHR24286:SF245', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 85A2', NULL, NULL, NULL, 15),
(83061, NULL, 'PTHR23121:SF17', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT GLUCOSE TRANSPORTER 1A-RELATED', NULL, NULL, NULL, 15),
(83062, NULL, 'PTHR13439:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 56', NULL, NULL, NULL, 15),
(83063, NULL, 'PTHR10381:SF62', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', NULL, NULL, NULL, 15),
(83064, NULL, 'PTHR45979:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83065, NULL, 'PTHR47295:SF6', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(83066, NULL, 'PTHR48056:SF15', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', NULL, NULL, NULL, 15),
(83067, NULL, 'PTHR12864:SF56', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 9', NULL, NULL, NULL, 15),
(83068, NULL, 'PTHR37431', NULL, NULL, NULL, NULL, 'PROTEIN CBG06927', NULL, NULL, NULL, 15),
(83069, NULL, 'PTHR46084', NULL, NULL, NULL, NULL, 'PROTEIN MALE DISCOVERER 2', NULL, NULL, NULL, 15),
(83070, NULL, 'PTHR45707:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83071, NULL, 'PTHR23359:SF111', NULL, NULL, NULL, NULL, 'PROTEIN CBG04516', NULL, NULL, NULL, 15),
(83072, NULL, 'PTHR12585:SF64', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION 1 PROTEIN 1', NULL, NULL, NULL, 15),
(83073, NULL, 'PTHR21237:SF37', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(83074, NULL, 'PTHR24064:SF518', NULL, NULL, NULL, NULL, 'MULTISPECIFIC ORGANIC ANION TRANSPORTER', NULL, NULL, NULL, 15),
(83075, NULL, 'PTHR26453:SF21', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2W6-RELATED', NULL, NULL, NULL, 15),
(83076, NULL, 'PTHR33127:SF35', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(83077, NULL, 'PTHR12277:SF154', NULL, NULL, NULL, NULL, 'OS08G0487900 PROTEIN', NULL, NULL, NULL, 15),
(83078, NULL, 'PTHR24286:SF24', NULL, NULL, NULL, NULL, 'LANOSTEROL 14-ALPHA DEMETHYLASE', NULL, NULL, NULL, 15),
(83079, NULL, 'PTHR34772', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN HFQ', NULL, NULL, 532, 15),
(83080, NULL, 'PTHR47913:SF1', NULL, NULL, NULL, NULL, 'OS01G0167750 PROTEIN', NULL, NULL, NULL, 15),
(83081, NULL, 'PTHR37294:SF1', NULL, NULL, NULL, NULL, '3''-5'' EXORIBONUCLEASE YHAM', NULL, NULL, NULL, 15),
(83082, NULL, 'PTHR31282:SF107', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 38-RELATED', NULL, NULL, NULL, 15),
(83083, NULL, 'PTHR31138:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83084, NULL, 'PTHR33204:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, MARR FAMILY', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83085, NULL, 'PTHR39535:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83086, NULL, 'PTHR46265:SF11', NULL, NULL, NULL, NULL, 'BNAC02G44250D PROTEIN', NULL, NULL, NULL, 15),
(83087, NULL, 'PTHR36344:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83088, NULL, 'PTHR19878:SF8', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED 16, ISOFORM F', NULL, NULL, NULL, 15),
(83089, NULL, 'PTHR22883:SF358', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(83090, NULL, 'PTHR43859:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83091, NULL, 'PTHR37415:SF1', NULL, NULL, NULL, NULL, 'CELL FUSION PROTEIN AFF-1', NULL, NULL, NULL, 15),
(83092, NULL, 'PTHR11802:SF356', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(83093, NULL, 'PTHR33101:SF35', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 4', NULL, NULL, NULL, 15),
(83094, NULL, 'PTHR11706:SF88', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP5', NULL, NULL, NULL, 15),
(83095, NULL, 'PTHR10876:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZPR1-RELATED', NULL, NULL, NULL, 15),
(83096, NULL, 'PTHR45855:SF41', NULL, NULL, NULL, NULL, 'BNAC01G40470D PROTEIN', NULL, NULL, NULL, 15),
(83097, NULL, 'PTHR22166:SF32', NULL, NULL, NULL, NULL, 'LUNAPARK DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83098, NULL, 'PTHR47877:SF4', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN ECP63', NULL, NULL, NULL, 15),
(83099, NULL, 'PTHR43435:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MPA43', NULL, NULL, NULL, 15),
(83100, NULL, 'PTHR31561:SF7', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(83101, NULL, 'PTHR22792:SF115', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 7', NULL, NULL, NULL, 15),
(83102, NULL, 'PTHR11374:SF52', NULL, NULL, NULL, NULL, 'DEHYDROGENASE UGD1, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G00920)-RELATED', NULL, NULL, NULL, 15),
(83103, NULL, 'PTHR31541:SF55', NULL, NULL, NULL, NULL, 'BNAC04G54200D PROTEIN', NULL, NULL, NULL, 15),
(83104, NULL, 'PTHR39583:SF3', NULL, NULL, NULL, NULL, 'PREPILIN PEPTIDASE-DEPENDENT PROTEIN B', NULL, NULL, NULL, 15),
(83105, NULL, 'PTHR23291:SF84', NULL, NULL, NULL, NULL, 'INHIBITOR OF APOPTOSIS-PROMOTING BAX1 PROTEIN', NULL, NULL, NULL, 15),
(83106, NULL, 'PTHR26453:SF293', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 13 SUBFAMILY G MEMBER 1', NULL, NULL, NULL, 15),
(83107, NULL, 'PTHR33548:SF15', NULL, NULL, NULL, NULL, 'OS10G0452700 PROTEIN', NULL, NULL, NULL, 15),
(83108, NULL, 'PTHR45803:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-10', NULL, NULL, NULL, 15),
(83109, NULL, 'PTHR31642:SF252', NULL, NULL, NULL, NULL, 'BNACNNG03180D PROTEIN', NULL, NULL, NULL, 15),
(83110, NULL, 'PTHR21679:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG05111', NULL, NULL, NULL, 15),
(83111, NULL, 'PTHR10426:SF95', NULL, NULL, NULL, NULL, 'OS06G0623700 PROTEIN', NULL, NULL, NULL, 15),
(83112, NULL, 'PTHR46327:SF15', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(83113, NULL, 'PTHR22912:SF211', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(83114, NULL, 'PTHR34570:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(83115, NULL, 'PTHR30618:SF0', NULL, NULL, NULL, NULL, 'PURINE-URACIL PERMEASE NCS1', NULL, NULL, NULL, 15),
(83116, NULL, 'PTHR21281:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(83117, NULL, 'PTHR45688:SF11', NULL, NULL, NULL, NULL, 'ALANINE--GLYOXYLATE AMINOTRANSFERASE 2 HOMOLOG 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(83118, NULL, 'PTHR39465', NULL, NULL, NULL, NULL, 'DNA LIGASE D, 3''-PHOSPHOESTERASE DOMAIN', NULL, NULL, NULL, 15),
(83119, NULL, 'PTHR45967:SF24', NULL, NULL, NULL, NULL, 'OS05G0569300 PROTEIN', NULL, NULL, NULL, 15),
(83120, NULL, 'PTHR13251:SF4', NULL, NULL, NULL, NULL, 'CLUB-RELATED', NULL, NULL, NULL, 15),
(83121, NULL, 'PTHR24637:SF235', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 2', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83122, NULL, 'PTHR31140:SF94', NULL, NULL, NULL, NULL, 'BNAA09G03240D PROTEIN', NULL, NULL, NULL, 15),
(83123, NULL, 'PTHR21454', NULL, NULL, NULL, NULL, 'DPH3 HOMOLOG-RELATED', NULL, NULL, 39315, 15),
(83124, NULL, 'PTHR35041:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 1', NULL, NULL, NULL, 15),
(83125, NULL, 'PTHR12002:SF110', NULL, NULL, NULL, NULL, 'CLAUDIN-2', NULL, NULL, NULL, 15),
(83126, NULL, 'PTHR35205', NULL, NULL, NULL, NULL, 'NB-ARC AND TPR DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(83127, NULL, 'PTHR33882:SF11', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(83128, NULL, 'PTHR33109:SF54', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(83129, NULL, 'PTHR10742:SF393', NULL, NULL, NULL, NULL, 'SPERMINE OXIDASE', NULL, NULL, NULL, 15),
(83130, NULL, 'PTHR31625:SF44', NULL, NULL, NULL, NULL, 'PHENOLIC GLUCOSIDE MALONYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(83131, NULL, 'PTHR30105:SF2', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83132, NULL, 'PTHR21496:SF18', NULL, NULL, NULL, NULL, 'RIESKE (FE-S) DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(83133, NULL, 'PTHR33385:SF16', NULL, NULL, NULL, NULL, 'PROTEIN XRI1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(83134, NULL, 'PTHR31147:SF51', NULL, NULL, NULL, NULL, 'PF02458-FAMILY ACYL TRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(83135, NULL, 'PTHR45675:SF3', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(83136, NULL, 'PTHR23073:SF98', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 6B HOMOLOG', NULL, NULL, NULL, 15),
(83137, NULL, 'PTHR15836:SF4', NULL, NULL, NULL, NULL, 'PERIPHILIN-1', NULL, NULL, NULL, 15),
(83138, NULL, 'PTHR11548:SF10', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DIHYDROFOLATE REDUCTASE-THYMIDYLATE SYNTHASE', NULL, NULL, NULL, 15),
(83139, NULL, 'PTHR14155:SF502', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(83140, NULL, 'PTHR11070:SF55', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE-RELATED', NULL, NULL, NULL, 15),
(83141, NULL, 'PTHR22801:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83142, NULL, 'PTHR47975:SF39', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPM1', NULL, NULL, NULL, 15),
(83143, NULL, 'PTHR33124:SF62', NULL, NULL, NULL, NULL, 'BNAA08G13180D PROTEIN', NULL, NULL, NULL, 15),
(83144, NULL, 'PTHR31580:SF19', NULL, NULL, NULL, NULL, 'FILAMENT-PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83145, NULL, 'PTHR23123:SF10', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 2B', NULL, NULL, NULL, 15),
(83146, NULL, 'PTHR23064:SF43', NULL, NULL, NULL, NULL, 'CALCIUM BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(83147, NULL, 'PTHR11709:SF382', NULL, NULL, NULL, NULL, 'MULTI-COPPER OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83148, NULL, 'PTHR45619:SF27', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-3 CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(83149, NULL, 'PTHR48013', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 5-RELATED', NULL, NULL, NULL, 15),
(83150, NULL, 'PTHR12801:SF137', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE PQE-1-RELATED', NULL, NULL, NULL, 15),
(83151, NULL, 'PTHR45644:SF35', NULL, NULL, NULL, NULL, 'P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(83152, NULL, 'PTHR10536:SF1', NULL, NULL, NULL, NULL, 'DNA PRIMASE', NULL, NULL, NULL, 15),
(83153, NULL, 'PTHR13199:SF13', NULL, NULL, NULL, NULL, 'PROTEIN FAM214A', NULL, NULL, NULL, 15),
(83154, NULL, 'PTHR47928:SF123', NULL, NULL, NULL, NULL, 'OS06G0597500 PROTEIN', NULL, NULL, NULL, 15),
(83155, NULL, 'PTHR11306:SF34', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL/PHOSPHATIDYLINOSITOL TRANSFER PROTEIN DDB_G0282179 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(83156, NULL, 'PTHR31042:SF14', NULL, NULL, NULL, NULL, 'OS07G0158800 PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83157, NULL, 'PTHR30013:SF6', NULL, NULL, NULL, NULL, 'HYDROGENASE-1 SMALL CHAIN', NULL, NULL, NULL, 15),
(83158, NULL, 'PTHR24377:SF140', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 354C', NULL, NULL, NULL, 15),
(83159, NULL, 'PTHR16441:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG07325', NULL, NULL, NULL, 15),
(83160, NULL, 'PTHR33257:SF6', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING 4B-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83161, NULL, 'PTHR46159:SF12', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 2', NULL, NULL, NULL, 15),
(83162, NULL, 'PTHR31929:SF52', NULL, NULL, NULL, NULL, 'BNAC04G29280D PROTEIN', NULL, NULL, NULL, 15),
(83163, NULL, 'PTHR43708:SF5', NULL, NULL, NULL, NULL, 'CONSERVED EXPRESSED OXIDOREDUCTASE (EUROFUNG)', NULL, NULL, NULL, 15),
(83164, NULL, 'PTHR35526:SF5', NULL, NULL, NULL, NULL, 'SERINE-PROTEIN KINASE RSBW', NULL, NULL, NULL, 15),
(83165, NULL, 'PTHR48056', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(83166, NULL, 'PTHR48017:SF52', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83167, NULL, 'PTHR31651:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 7', NULL, NULL, NULL, 15),
(83168, NULL, 'PTHR11814:SF224', NULL, NULL, NULL, NULL, 'BNAC07G32580D PROTEIN', NULL, NULL, 28679, 15),
(83169, NULL, 'PTHR35903', NULL, NULL, NULL, NULL, 'FLAGELLIN B1', NULL, NULL, 4969, 15),
(83170, NULL, 'PTHR31279:SF7', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 3', NULL, NULL, NULL, 15),
(83171, NULL, 'PTHR24321', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(83172, NULL, 'PTHR11002:SF58', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(83173, NULL, 'PTHR32227:SF232', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE BG1-RELATED', NULL, NULL, NULL, 15),
(83174, NULL, 'PTHR14728', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 10748, 15),
(83175, NULL, 'PTHR33701:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83176, NULL, 'PTHR10783:SF96', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 2', NULL, NULL, NULL, 15),
(83177, NULL, 'PTHR10562:SF94', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', NULL, NULL, NULL, 15),
(83178, NULL, 'PTHR42940:SF5', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(83179, NULL, 'PTHR48019:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83180, NULL, 'PTHR34147', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83181, NULL, 'PTHR11604:SF48', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(83182, NULL, 'PTHR28008:SF1', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10980)-RELATED', NULL, NULL, NULL, 15),
(83183, NULL, 'PTHR22552:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG04410', NULL, NULL, NULL, 15),
(83184, NULL, 'PTHR35810:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83185, NULL, 'PTHR47126:SF3', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE-LIKE 7', NULL, NULL, NULL, 15),
(83186, NULL, 'PTHR42748:SF8', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G01860)', NULL, NULL, NULL, 15),
(83187, NULL, 'PTHR45613:SF82', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83188, NULL, 'PTHR10994:SF156', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83189, NULL, 'PTHR47924:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83190, NULL, 'PTHR42697:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 8', NULL, NULL, NULL, 15),
(83191, NULL, 'PTHR31165:SF99', NULL, NULL, NULL, NULL, 'BNAA04G28750D PROTEIN', NULL, NULL, NULL, 15),
(83192, NULL, 'PTHR42844', NULL, NULL, NULL, NULL, 'DIHYDRONEOPTERIN ALDOLASE 1-RELATED', NULL, NULL, 10092, 15),
(83193, NULL, 'PTHR20515:SF12', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 3-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83194, NULL, 'PTHR21052', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS ASSOCIATED 11-RELATED', NULL, NULL, 24736, 15),
(83195, NULL, 'PTHR24366:SF73', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT NEURONAL 3A', NULL, NULL, NULL, 15),
(83196, NULL, 'PTHR30094', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL GLUTATHIONYLSPERMIDINE SYNTHETASE/AMIDASE-RELATED', NULL, NULL, NULL, 15),
(83197, NULL, 'PTHR13078:SF62', NULL, NULL, NULL, NULL, 'BLL5333 PROTEIN', NULL, NULL, NULL, 15),
(83198, NULL, 'PTHR24416:SF549', NULL, NULL, NULL, NULL, 'PROTEIN CBG00445', NULL, NULL, NULL, 15),
(83199, NULL, 'PTHR43071', NULL, NULL, NULL, NULL, '2-AMINO-4-HYDROXY-6-HYDROXYMETHYLDIHYDROPTERIDINE PYROPHOSPHOKINASE', NULL, NULL, NULL, 15),
(83200, NULL, 'PTHR24193', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(83201, NULL, 'PTHR37249:SF3', NULL, NULL, NULL, NULL, 'BNAANNG14020D PROTEIN', NULL, NULL, NULL, 15),
(83202, NULL, 'PTHR12628:SF10', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN PCL', NULL, NULL, NULL, 15),
(83203, NULL, 'PTHR47929:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83204, NULL, 'PTHR14768:SF3', NULL, NULL, NULL, NULL, 'SYNAPSE DIFFERENTIATION-INDUCING GENE PROTEIN 1', NULL, NULL, NULL, 15),
(83205, NULL, 'PTHR32285:SF204', NULL, NULL, NULL, NULL, 'OS05G0426300 PROTEIN', NULL, NULL, NULL, 15),
(83206, NULL, 'PTHR13884:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83207, NULL, 'PTHR24377:SF730', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 548', NULL, NULL, NULL, 15),
(83208, NULL, 'PTHR46168:SF21', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 2-RELATED', NULL, NULL, NULL, 15),
(83209, NULL, 'PTHR19134:SF510', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE RECEPTOR TYPE O', NULL, NULL, NULL, 15),
(83210, NULL, 'PTHR46991:SF16', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP20/ALPHA CRYSTALLIN FAMILY', NULL, NULL, NULL, 15),
(83211, NULL, 'PTHR13878:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83212, NULL, 'PTHR23236:SF77', NULL, NULL, NULL, NULL, 'BNAA08G02930D PROTEIN', NULL, NULL, NULL, 15),
(83213, NULL, 'PTHR24302:SF20', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 3A5', NULL, NULL, NULL, 15),
(83214, NULL, 'PTHR11566:SF200', NULL, NULL, NULL, NULL, 'BNAC06G10080D PROTEIN', NULL, NULL, NULL, 15),
(83215, NULL, 'PTHR27009:SF100', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', NULL, NULL, NULL, 15),
(83216, NULL, 'PTHR11937:SF154', NULL, NULL, NULL, NULL, 'ACTIN-17-RELATED', NULL, NULL, NULL, 15),
(83217, NULL, 'PTHR33148:SF58', NULL, NULL, NULL, NULL, 'PLASTID MOVEMENT IMPAIRED PROTEIN', NULL, NULL, NULL, 15),
(83218, NULL, 'PTHR47269:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP21-3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(83219, NULL, 'PTHR43601:SF5', NULL, NULL, NULL, NULL, 'EG:132E8.3 PROTEIN', NULL, NULL, NULL, 15),
(83220, NULL, 'PTHR11304:SF4', NULL, NULL, NULL, NULL, 'EPHRIN-A2', NULL, NULL, NULL, 15),
(83221, NULL, 'PTHR14304:SF11', NULL, NULL, NULL, NULL, 'CCAR1 HOMOLOG', NULL, NULL, NULL, 15),
(83222, NULL, 'PTHR15732', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 25212, 15),
(83223, NULL, 'PTHR11932:SF158', NULL, NULL, NULL, NULL, 'BNAC03G30850D PROTEIN', NULL, NULL, NULL, 15),
(83224, NULL, 'PTHR13339:SF0', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 8', NULL, NULL, NULL, 15),
(83225, NULL, 'PTHR16442', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 17', NULL, NULL, 30665, 15),
(83226, NULL, 'PTHR11952:SF6', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLHEXOSAMINE PYROPHOSPHORYLASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(83227, NULL, 'PTHR36775', NULL, NULL, NULL, NULL, 'LYR MOTIF PROTEIN', NULL, NULL, NULL, 15),
(83228, NULL, 'PTHR31311:SF27', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 2-LIKE', NULL, NULL, NULL, 15),
(83229, NULL, 'PTHR22957:SF567', NULL, NULL, NULL, NULL, 'GROWTH HORMONE-REGULATED TBC PROTEIN 1B', NULL, NULL, NULL, 15),
(83230, NULL, 'PTHR24416:SF509', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83231, NULL, 'PTHR24349:SF64', NULL, NULL, NULL, NULL, 'MAP KINASE-ACTIVATED PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(83232, NULL, 'PTHR33165:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83233, NULL, 'PTHR30175', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(83234, NULL, 'PTHR10434:SF47', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(83235, NULL, 'PTHR45613:SF207', NULL, NULL, NULL, NULL, 'OS10G0495100 PROTEIN', NULL, NULL, NULL, 15),
(83236, NULL, 'PTHR18914:SF30', NULL, NULL, NULL, NULL, 'VINCULIN/ALPHA-CATENIN FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(83237, NULL, 'PTHR31550', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83238, NULL, 'PTHR11950:SF39', NULL, NULL, NULL, NULL, 'RUNT-RELATED TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(83239, NULL, 'PTHR12460:SF23', NULL, NULL, NULL, NULL, 'OS01G0925000 PROTEIN', NULL, NULL, NULL, 15),
(83240, NULL, 'PTHR34230:SF2', NULL, NULL, NULL, NULL, 'ASSEMBLY ABNORMAL PROTEIN 6, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(83241, NULL, 'PTHR43572:SF51', NULL, NULL, NULL, NULL, 'BNACNNG70640D PROTEIN', NULL, NULL, NULL, 15),
(83242, NULL, 'PTHR37935', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83243, NULL, 'PTHR43416:SF30', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE SUCCINYLTRANSFERASE COMPONENT OF 2-OXOGLUTARATE DEHYDROGENASE COMPLEX 2, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(83244, NULL, 'PTHR10015:SF317', NULL, NULL, NULL, NULL, 'SHOCK TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(83245, NULL, 'PTHR12675:SF4', NULL, NULL, NULL, NULL, 'MUSCLEBLIND-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(83246, NULL, 'PTHR45757:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG12162', NULL, NULL, NULL, 15),
(83247, NULL, 'PTHR32227', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE BG1-RELATED-RELATED', NULL, NULL, 38464, 15),
(83248, NULL, 'PTHR12357:SF67', NULL, NULL, NULL, NULL, 'HIGH-GLUCOSE-REGULATED PROTEIN 8-LIKE', NULL, NULL, NULL, 15),
(83249, NULL, 'PTHR48017:SF90', NULL, NULL, NULL, NULL, 'BNAA04G11440D PROTEIN', NULL, NULL, NULL, 15),
(83250, NULL, 'PTHR11804:SF77', NULL, NULL, NULL, NULL, 'OLIGOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(83251, NULL, 'PTHR24044:SF470', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 4', NULL, NULL, NULL, 15),
(83252, NULL, 'PTHR37724:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83253, NULL, 'PTHR31669:SF226', NULL, NULL, NULL, NULL, 'OS07G0141500 PROTEIN', NULL, NULL, NULL, 15),
(83254, NULL, 'PTHR11132:SF433', NULL, NULL, NULL, NULL, 'GDP-MANNOSE TRANSPORTER GONST3-LIKE', NULL, NULL, NULL, 15),
(83255, NULL, 'PTHR11860:SF82', NULL, NULL, NULL, NULL, 'POLYMERIC IMMUNOGLOBULIN RECEPTOR', NULL, NULL, NULL, 15),
(83256, NULL, 'PTHR42210:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE II LARGE SUBUNIT', NULL, NULL, NULL, 15),
(83257, NULL, 'PTHR15678:SF13', NULL, NULL, NULL, NULL, 'BNAC08G46670D PROTEIN', NULL, NULL, NULL, 15),
(83258, NULL, 'PTHR43245:SF30', NULL, NULL, NULL, NULL, 'UDP-D-APIOSE/UDP-D-XYLOSE SYNTHASE 1', NULL, NULL, NULL, 15),
(83259, NULL, 'PTHR45255', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 24', NULL, NULL, 37988, 15),
(83260, NULL, 'PTHR31395:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-5', NULL, NULL, NULL, 15),
(83261, NULL, 'PTHR31852:SF221', NULL, NULL, NULL, NULL, 'BNAA02G05270D PROTEIN', NULL, NULL, NULL, 15),
(83262, NULL, 'PTHR44378:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83263, NULL, 'PTHR11915:SF422', NULL, NULL, NULL, NULL, 'SPECTRIN ALPHA, NON-ERYTHROCYTIC 1', NULL, NULL, NULL, 15),
(83264, NULL, 'PTHR46734:SF3', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR 1', NULL, NULL, NULL, 15),
(83265, NULL, 'PTHR31361:SF15', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(83266, NULL, 'PTHR21431', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 6', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83267, NULL, 'PTHR35723:SF1', NULL, NULL, NULL, NULL, 'POLYPHOSPHATIDYLINOSITOL PHOSPHATASE', NULL, NULL, NULL, 15),
(83268, NULL, 'PTHR13468:SF7', NULL, NULL, NULL, NULL, 'OS03G0412900 PROTEIN', NULL, NULL, NULL, 15),
(83269, NULL, 'PTHR23349:SF68', NULL, NULL, NULL, NULL, 'FI14601P', NULL, NULL, NULL, 15),
(83270, NULL, 'PTHR10209:SF757', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(83271, NULL, 'PTHR12062:SF4', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE A', NULL, NULL, NULL, 15),
(83272, NULL, 'PTHR37293:SF6', NULL, NULL, NULL, NULL, 'DNA REPLICATION PROTEIN DNAD', NULL, NULL, NULL, 15),
(83273, NULL, 'PTHR22988:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG04771', NULL, NULL, NULL, 15),
(83274, NULL, 'PTHR24412:SF452', NULL, NULL, NULL, NULL, 'SPERMATOCYTE PROTEIN SPE-26', NULL, NULL, NULL, 15),
(83275, NULL, 'PTHR12461', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE FACTOR 1 ALPHA INHIBITOR-RELATED', NULL, NULL, NULL, 15),
(83276, NULL, 'PTHR11655:SF35', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L6-RELATED', NULL, NULL, NULL, 15),
(83277, NULL, 'PTHR22847:SF624', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM BINDING DOMAIN 8', NULL, NULL, NULL, 15),
(83278, NULL, 'PTHR24264:SF15', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2210010C04 GENE', NULL, NULL, NULL, 15),
(83279, NULL, 'PTHR40626:SF18', NULL, NULL, NULL, NULL, 'NICOTINATE CATABOLISM CLUSTER-SPECIFIC TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(83280, NULL, 'PTHR14534', NULL, NULL, NULL, NULL, 'VACUOLAR IMPORT AND DEGRADATION PROTEIN 24', NULL, NULL, NULL, 15),
(83281, NULL, 'PTHR11232:SF33', NULL, NULL, NULL, NULL, 'PROTEIN NUMB HOMOLOG', NULL, NULL, NULL, 15),
(83282, NULL, 'PTHR23406:SF66', NULL, NULL, NULL, NULL, 'MALIC ENZYME', NULL, NULL, NULL, 15),
(83283, NULL, 'PTHR31752:SF43', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', NULL, NULL, NULL, 15),
(83284, NULL, 'PTHR24377:SF187', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 480', NULL, NULL, NULL, 15),
(83285, NULL, 'PTHR24377:SF197', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 320', NULL, NULL, NULL, 15),
(83286, NULL, 'PTHR47895', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH DOMAIN-CONTAINING PROTEIN RAR1', NULL, NULL, 36782, 15),
(83287, NULL, 'PTHR31752:SF57', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', NULL, NULL, NULL, 15),
(83288, NULL, 'PTHR34670', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(83289, NULL, 'PTHR42898:SF27', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE 2', NULL, NULL, NULL, 15),
(83290, NULL, 'PTHR13878:SF47', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G12070)', NULL, NULL, NULL, 15),
(83291, NULL, 'PTHR12127:SF4', NULL, NULL, NULL, NULL, 'MUCOLIPIN-2', NULL, NULL, NULL, 15),
(83292, NULL, 'PTHR48050:SF12', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 1-3-RELATED', NULL, NULL, NULL, 15),
(83293, NULL, 'PTHR28083:SF2', NULL, NULL, NULL, NULL, 'QDE-2-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(83294, NULL, 'PTHR34154:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83295, NULL, 'PTHR11210:SF50', NULL, NULL, NULL, NULL, 'BNAA03G56030D PROTEIN', NULL, NULL, NULL, 15),
(83296, NULL, 'PTHR45654:SF63', NULL, NULL, NULL, NULL, 'BNAA05G32490D PROTEIN', NULL, NULL, NULL, 15),
(83297, NULL, 'PTHR33784:SF34', NULL, NULL, NULL, NULL, 'BNAC02G24560D PROTEIN', NULL, NULL, NULL, 15),
(83298, NULL, 'PTHR47928:SF145', NULL, NULL, NULL, NULL, 'PPR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(83299, NULL, 'PTHR12601:SF41', NULL, NULL, NULL, NULL, 'SI:CH211-166A6.5', NULL, NULL, NULL, 15),
(83300, NULL, 'PTHR38450:SF2', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN AEB', NULL, NULL, NULL, 15),
(83301, NULL, 'PTHR46870:SF1', NULL, NULL, NULL, NULL, 'BNAC09G13590D PROTEIN', NULL, NULL, NULL, 15),
(83302, NULL, 'PTHR39181:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE YWQE', NULL, NULL, NULL, 15),
(83303, NULL, 'PTHR10978:SF3', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE CYTOCHROME B560 SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83304, NULL, 'PTHR36356', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(83305, NULL, 'PTHR31442:SF19', NULL, NULL, NULL, NULL, 'OS01G0844900 PROTEIN', NULL, NULL, NULL, 15),
(83306, NULL, 'PTHR31080:SF76', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.21-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83307, NULL, 'PTHR10529:SF341', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT MU-2', NULL, NULL, NULL, 15),
(83308, NULL, 'PTHR31190:SF252', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ABR1', NULL, NULL, NULL, 15),
(83309, NULL, 'PTHR46301:SF35', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX', NULL, NULL, NULL, 15),
(83310, NULL, 'PTHR24282:SF196', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714C2', NULL, NULL, NULL, 15),
(83311, NULL, 'PTHR47942:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83312, NULL, 'PTHR15642', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 3, MITOCHONDRIAL', NULL, NULL, 33194, 15),
(83313, NULL, 'PTHR10547:SF4', NULL, NULL, NULL, NULL, 'SEMENOGELIN-1', NULL, NULL, NULL, 15),
(83314, NULL, 'PTHR31140:SF103', NULL, NULL, NULL, NULL, 'BNAA05G27480D PROTEIN', NULL, NULL, NULL, 15),
(83315, NULL, 'PTHR13859', NULL, NULL, NULL, NULL, 'ATROPHIN-RELATED', NULL, NULL, NULL, 15),
(83316, NULL, 'PTHR45660:SF18', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH7-RELATED', NULL, NULL, NULL, 15),
(83317, NULL, 'PTHR11773:SF8', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM P PROTEIN', NULL, NULL, NULL, 15),
(83318, NULL, 'PTHR24243:SF218', NULL, NULL, NULL, NULL, 'ETHR, ISOFORM A', NULL, NULL, NULL, 15),
(83319, NULL, 'PTHR16514:SF4', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR CLASS A DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(83320, NULL, 'PTHR23076:SF120', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(83321, NULL, 'PTHR32212:SF367', NULL, NULL, NULL, NULL, 'BNAC08G40610D PROTEIN', NULL, NULL, NULL, 15),
(83322, NULL, 'PTHR22298:SF36', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 25', NULL, NULL, NULL, 15),
(83323, NULL, 'PTHR11711', NULL, NULL, NULL, NULL, 'ADP RIBOSYLATION FACTOR-RELATED', NULL, NULL, 9205, 15),
(83324, NULL, 'PTHR46248:SF11', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83325, NULL, 'PTHR12396', NULL, NULL, NULL, NULL, 'METHYL-CPG BINDING PROTEIN, MBD', NULL, NULL, NULL, 15),
(83326, NULL, 'PTHR15192:SF15', NULL, NULL, NULL, NULL, 'OXIDATIVE STRESS-INDUCED GROWTH INHIBITOR 1', NULL, NULL, 25980, 15),
(83327, NULL, 'PTHR47605:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ELONGATION REGULATOR MINIYO', NULL, NULL, NULL, 15),
(83328, NULL, 'PTHR31265:SF28', NULL, NULL, NULL, NULL, 'EMB|CAB87702.1', NULL, NULL, NULL, 15),
(83329, NULL, 'PTHR46157:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE-REGULATED POTASSIUM-EFFLUX SYSTEM PROTEIN KEFC', NULL, NULL, 10331, 15),
(83330, NULL, 'PTHR12081:SF88', NULL, NULL, NULL, NULL, 'E2F-DP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(83331, NULL, 'PTHR31388:SF139', NULL, NULL, NULL, NULL, 'PEROXIDASE 53', NULL, NULL, NULL, 15),
(83332, NULL, 'PTHR11353:SF204', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT DELTA', NULL, NULL, NULL, 15),
(83333, NULL, 'PTHR11246:SF3', NULL, NULL, NULL, NULL, 'CROOKED NECK-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(83334, NULL, 'PTHR47711', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 16, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(83335, NULL, 'PTHR45809:SF3', NULL, NULL, NULL, NULL, 'VIRAL IAP-ASSOCIATED FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(83336, NULL, 'PTHR14154:SF91', NULL, NULL, NULL, NULL, 'BNAA06G35590D PROTEIN', NULL, NULL, NULL, 15),
(83337, NULL, 'PTHR33332:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83338, NULL, 'PTHR47745', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 2', NULL, NULL, 36891, 15),
(83339, NULL, 'PTHR45282', NULL, NULL, NULL, NULL, 'OS03G0858400 PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83340, NULL, 'PTHR23340:SF0', NULL, NULL, NULL, NULL, 'SURP AND G PATCH DOMAIN-CONTAINING 1', NULL, NULL, NULL, 15),
(83341, NULL, 'PTHR13568:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 185A', NULL, NULL, NULL, 15),
(83342, NULL, 'PTHR14155:SF522', NULL, NULL, NULL, NULL, 'OS06G0537600 PROTEIN', NULL, NULL, NULL, 15),
(83343, NULL, 'PTHR13609:SF28', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN CONTAINING 1', NULL, NULL, NULL, 15),
(83344, NULL, 'PTHR19861:SF5', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(83345, NULL, 'PTHR22811:SF188', NULL, NULL, NULL, NULL, 'BNAA02G29660D PROTEIN', NULL, NULL, NULL, 15),
(83346, NULL, 'PTHR13052:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR RELATED TO KAPPA-B-BINDING PROTEIN', NULL, NULL, NULL, 15),
(83347, NULL, 'PTHR47337:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(83348, NULL, 'PTHR11260:SF630', NULL, NULL, NULL, NULL, 'BNAA07G09610D PROTEIN', NULL, NULL, NULL, 15),
(83349, NULL, 'PTHR31589:SF50', NULL, NULL, NULL, NULL, 'EMBRYO-SAC BASAL-ENDOSPERM-LAYER EMBRYO-SURROUNDING-REGION2', NULL, NULL, NULL, 15),
(83350, NULL, 'PTHR48094:SF14', NULL, NULL, NULL, NULL, 'INTRACELLULAR PROTEASE/AMIDASE-RELATED', NULL, NULL, NULL, 15),
(83351, NULL, 'PTHR22950:SF645', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83352, NULL, 'PTHR46567:SF2', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II TRANSCRIPTION MEDIATORS PROTEIN', NULL, NULL, NULL, 15),
(83353, NULL, 'PTHR10362:SF41', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE 2', NULL, NULL, NULL, 15),
(83354, NULL, 'PTHR13809:SF1', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-11', NULL, NULL, NULL, 15),
(83355, NULL, 'PTHR31319:SF63', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GHD7', NULL, NULL, NULL, 15),
(83356, NULL, 'PTHR15486:SF81', NULL, NULL, NULL, NULL, 'HAD-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83357, NULL, 'PTHR46609:SF3', NULL, NULL, NULL, NULL, 'EXONUCLEASE, PHAGE-TYPE/RECB, C-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(83358, NULL, 'PTHR31731:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83359, NULL, 'PTHR10177:SF428', NULL, NULL, NULL, NULL, 'CYCLIN-D3-2', NULL, NULL, NULL, 15),
(83360, NULL, 'PTHR24408:SF30', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 148', NULL, NULL, NULL, 15),
(83361, NULL, 'PTHR13718:SF94', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(83362, NULL, 'PTHR24006:SF796', NULL, NULL, NULL, NULL, 'UBL CARBOXYL-TERMINAL HYDROLASE 18-RELATED', NULL, NULL, NULL, 15),
(83363, NULL, 'PTHR13140:SF762', NULL, NULL, NULL, NULL, 'MYOSIN-13', NULL, NULL, NULL, 15),
(83364, NULL, 'PTHR10458:SF17', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE', NULL, NULL, NULL, 15),
(83365, NULL, 'PTHR31225:SF160', NULL, NULL, NULL, NULL, 'TRICYCLENE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(83366, NULL, 'PTHR21426:SF15', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO84A', NULL, NULL, NULL, 15),
(83367, NULL, 'PTHR45687:SF57', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83368, NULL, 'PTHR21654:SF83', NULL, NULL, NULL, NULL, 'BNAANNG11490D PROTEIN', NULL, NULL, NULL, 15),
(83369, NULL, 'PTHR47975:SF21', NULL, NULL, NULL, NULL, 'LECTIN PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(83370, NULL, 'PTHR47592:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83371, NULL, 'PTHR11905:SF26', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPEPTIDASE DOMAIN 3', NULL, NULL, NULL, 15),
(83372, NULL, 'PTHR36813', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(83373, NULL, 'PTHR47960:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83374, NULL, 'PTHR37245:SF5', NULL, NULL, NULL, NULL, 'BNAA08G13710D PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83375, NULL, 'PTHR31901:SF88', NULL, NULL, NULL, NULL, 'BNACNNG28110D PROTEIN', NULL, NULL, NULL, 15),
(83376, NULL, 'PTHR15107:SF3', NULL, NULL, NULL, NULL, 'RBBP8 N-TERMINAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83377, NULL, 'PTHR46142:SF16', NULL, NULL, NULL, NULL, 'BNAA06G10060D PROTEIN', NULL, NULL, NULL, 15),
(83378, NULL, 'PTHR27002:SF712', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83379, NULL, 'PTHR10666:SF376', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83380, NULL, 'PTHR34960:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83381, NULL, 'PTHR23232:SF87', NULL, NULL, NULL, NULL, 'GENE, 28044-RELATED', NULL, NULL, NULL, 15),
(83382, NULL, 'PTHR31989:SF150', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 57', NULL, NULL, NULL, 15),
(83383, NULL, 'PTHR38568:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83384, NULL, 'PTHR23500:SF38', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(83385, NULL, 'PTHR33107:SF53', NULL, NULL, NULL, NULL, 'BNAC09G12270D PROTEIN', NULL, NULL, NULL, 15),
(83386, NULL, 'PTHR15858:SF4', NULL, NULL, NULL, NULL, 'YOS1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83387, NULL, 'PTHR27006:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83388, NULL, 'PTHR10913:SF16', NULL, NULL, NULL, NULL, 'FOLLISTATIN-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(83389, NULL, 'PTHR12302:SF20', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', NULL, NULL, NULL, 15),
(83390, NULL, 'PTHR21068', NULL, NULL, NULL, NULL, 'SPARTIN', NULL, NULL, 38106, 15),
(83391, NULL, 'PTHR38655', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 4930524B15', NULL, NULL, 27254, 15),
(83392, NULL, 'PTHR33077:SF60', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 4B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(83393, NULL, 'PTHR12010:SF13', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S29', NULL, NULL, NULL, 15),
(83394, NULL, 'PTHR20978:SF0', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 5', NULL, NULL, NULL, 15),
(83395, NULL, 'PTHR34368:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(83396, NULL, 'PTHR40642:SF1', NULL, NULL, NULL, NULL, 'YALI0F31295P', NULL, NULL, NULL, 15),
(83397, NULL, 'PTHR44329:SF23', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 7-LIKE-RELATED', NULL, NULL, NULL, 15),
(83398, NULL, 'PTHR46044:SF6', NULL, NULL, NULL, NULL, 'OS02G0635000 PROTEIN', NULL, NULL, NULL, 15),
(83399, NULL, 'PTHR12320:SF60', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 26-RELATED', NULL, NULL, NULL, 15),
(83400, NULL, 'PTHR28019', NULL, NULL, NULL, NULL, 'CELL MEMBRANE PROTEIN YLR413W-RELATED', NULL, NULL, NULL, 15),
(83401, NULL, 'PTHR11260:SF659', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE GST 23-LIKE', NULL, NULL, NULL, 15),
(83402, NULL, 'PTHR21668', NULL, NULL, NULL, NULL, 'EIF-1A', NULL, NULL, 725, 15),
(83403, NULL, 'PTHR22422:SF5', NULL, NULL, NULL, NULL, 'SINGLE-PASS MEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(83404, NULL, 'PTHR11604:SF37', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(83405, NULL, 'PTHR11430:SF70', NULL, NULL, NULL, NULL, 'UTEROCALIN', NULL, NULL, NULL, 15),
(83406, NULL, 'PTHR10113', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1', NULL, NULL, 5953, 15),
(83407, NULL, 'PTHR26453:SF303', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2Y1', NULL, NULL, NULL, 15),
(83408, NULL, 'PTHR48018:SF156', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR K4H17-RELATED', NULL, NULL, NULL, 15),
(83409, NULL, 'PTHR35316:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83410, NULL, 'PTHR40695', NULL, NULL, NULL, NULL, '4-PHOSPHOPANTOATE--BETA-ALANINE LIGASE', NULL, NULL, 5596, 15),
(83411, NULL, 'PTHR13690:SF111', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(83412, NULL, 'PTHR35006', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G14830)', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83413, NULL, 'PTHR33736:SF21', NULL, NULL, NULL, NULL, 'BNAA04G15790D PROTEIN', NULL, NULL, NULL, 15),
(83414, NULL, 'PTHR10887:SF470', NULL, NULL, NULL, NULL, 'NFX1-TYPE ZINC FINGER-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(83415, NULL, 'PTHR34491:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83416, NULL, 'PTHR32370:SF147', NULL, NULL, NULL, NULL, 'BNAC05G01630D PROTEIN', NULL, NULL, NULL, 15),
(83417, NULL, 'PTHR34612:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83418, NULL, 'PTHR46168:SF8', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 1', NULL, NULL, NULL, 15),
(83419, NULL, 'PTHR43706:SF17', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE (EUROFUNG)', NULL, NULL, NULL, 15),
(83420, NULL, 'PTHR48052:SF25', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXC2', NULL, NULL, NULL, 15),
(83421, NULL, 'PTHR32080:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83422, NULL, 'PTHR47927', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(83423, NULL, 'PTHR11431:SF97', NULL, NULL, NULL, NULL, 'FERRITIN HEAVY POLYPEPTIDE-LIKE 17-RELATED', NULL, NULL, NULL, 15),
(83424, NULL, 'PTHR34806:SF7', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(83425, NULL, 'PTHR31371:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83426, NULL, 'PTHR13826:SF18', NULL, NULL, NULL, NULL, 'TREFOIL FACTOR 1', NULL, NULL, NULL, 15),
(83427, NULL, 'PTHR45901:SF6', NULL, NULL, NULL, NULL, 'LIPOXYGENASE HOMOLOGY DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(83428, NULL, 'PTHR38764', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN PHOSPHODIESTERASE', NULL, NULL, 3654, 15),
(83429, NULL, 'PTHR23338:SF50', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', NULL, NULL, NULL, 15),
(83430, NULL, 'PTHR15599:SF3', NULL, NULL, NULL, NULL, 'RADIAL SPIKE PROTEIN 8', NULL, NULL, NULL, 15),
(83431, NULL, 'PTHR11782:SF3', NULL, NULL, NULL, NULL, 'APYRASE 7-RELATED', NULL, NULL, NULL, 15),
(83432, NULL, 'PTHR45125:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83433, NULL, 'PTHR47975:SF34', NULL, NULL, NULL, NULL, 'OS07G0553633 PROTEIN', NULL, NULL, NULL, 15),
(83434, NULL, 'PTHR11010:SF11', NULL, NULL, NULL, NULL, 'PEPTIDASE S28 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(83435, NULL, 'PTHR11783:SF267', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(83436, NULL, 'PTHR15629:SF35', NULL, NULL, NULL, NULL, 'LAS17 BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(83437, NULL, 'PTHR47119:SF1', NULL, NULL, NULL, NULL, 'PLANT VIRAL-RESPONSE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(83438, NULL, 'PTHR46206:SF4', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(83439, NULL, 'PTHR45647:SF31', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(83440, NULL, 'PTHR33640:SF21', NULL, NULL, NULL, NULL, 'BNAA06G40750D PROTEIN', NULL, NULL, NULL, 15),
(83441, NULL, 'PTHR13020:SF25', NULL, NULL, NULL, NULL, 'PROTEIN GAWKY', NULL, NULL, 30590, 15),
(83442, NULL, 'PTHR13542:SF1', NULL, NULL, NULL, NULL, 'BNAANNG16350D PROTEIN', NULL, NULL, NULL, 15),
(83443, NULL, 'PTHR47925:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83444, NULL, 'PTHR34450:SF6', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 230-RELATED', NULL, NULL, NULL, 15),
(83445, NULL, 'PTHR24062:SF152', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(83446, NULL, 'PTHR33110:SF29', NULL, NULL, NULL, NULL, 'OS01G0660700 PROTEIN', NULL, NULL, NULL, 15),
(83447, NULL, 'PTHR32212:SF258', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(83448, NULL, 'PTHR35006:SF3', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G06020)', NULL, NULL, NULL, 15),
(83449, NULL, 'PTHR39427', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 3592, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83450, NULL, 'PTHR31561:SF125', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(83451, NULL, 'PTHR24228:SF21', NULL, NULL, NULL, NULL, 'APELIN RECEPTOR 2', NULL, NULL, NULL, 15),
(83452, NULL, 'PTHR10256:SF2', NULL, NULL, NULL, NULL, 'SELENIDE, WATER DIKINASE 1', NULL, NULL, NULL, 15),
(83453, NULL, 'PTHR46300:SF7', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(83454, NULL, 'PTHR31769:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83455, NULL, 'PTHR10639:SF12', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN 1', NULL, NULL, NULL, 15),
(83456, NULL, 'PTHR32401:SF21', NULL, NULL, NULL, NULL, 'LECTIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83457, NULL, 'PTHR24326:SF596', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83458, NULL, 'PTHR11960:SF46', NULL, NULL, NULL, NULL, 'BNAC01G40840D PROTEIN', NULL, NULL, NULL, 15),
(83459, NULL, 'PTHR21192:SF4', NULL, NULL, NULL, NULL, 'BNAC04G03830D PROTEIN', NULL, NULL, NULL, 15),
(83460, NULL, 'PTHR23024:SF372', NULL, NULL, NULL, NULL, 'STERYL ACETYL HYDROLASE 1', NULL, NULL, NULL, 15),
(83461, NULL, 'PTHR31080:SF18', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 1', NULL, NULL, NULL, 15),
(83462, NULL, 'PTHR33120:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83463, NULL, 'PTHR30578:SF1', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT B', NULL, NULL, NULL, 15),
(83464, NULL, 'PTHR11214:SF269', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(83465, NULL, 'PTHR28245:SF1', NULL, NULL, NULL, NULL, 'ARF3-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(83466, NULL, 'PTHR11730:SF29', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 3-RELATED', NULL, NULL, NULL, 15),
(83467, NULL, 'PTHR30573:SF0', NULL, NULL, NULL, NULL, 'QUINOLINATE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(83468, NULL, 'PTHR24064:SF538', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER (AFU_ORTHOLOGUE AFUA_4G09210)', NULL, NULL, NULL, 15),
(83469, NULL, 'PTHR10177:SF392', NULL, NULL, NULL, NULL, 'CYCLIN-D1-1', NULL, NULL, NULL, 15),
(83470, NULL, 'PTHR31390:SF0', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF3527)-RELATED', NULL, NULL, NULL, 15),
(83471, NULL, 'PTHR46785', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 3B', NULL, NULL, NULL, 15),
(83472, NULL, 'PTHR12011:SF449', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR E1', NULL, NULL, NULL, 15),
(83473, NULL, 'PTHR24356:SF138', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE LATS1', NULL, NULL, 29050, 15),
(83474, NULL, 'PTHR11492:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR 1 B-TYPE', NULL, NULL, NULL, 15),
(83475, NULL, 'PTHR15526', NULL, NULL, NULL, NULL, 'MUSKELIN', NULL, NULL, NULL, 15),
(83476, NULL, 'PTHR31917:SF90', NULL, NULL, NULL, NULL, 'DUF724 DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(83477, NULL, 'PTHR31781:SF1', NULL, NULL, NULL, NULL, 'PROTEIN UNC-80 HOMOLOG', NULL, NULL, NULL, 15),
(83478, NULL, 'PTHR10676:SF382', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(83479, NULL, 'PTHR36759:SF2', NULL, NULL, NULL, NULL, 'BNAA05G36610D PROTEIN', NULL, NULL, NULL, 15),
(83480, NULL, 'PTHR11439:SF352', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83481, NULL, 'PTHR37733', NULL, NULL, NULL, NULL, 'SMAD/FHA DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(83482, NULL, 'PTHR31890:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(83483, NULL, 'PTHR10502:SF221', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(83484, NULL, 'PTHR12274', NULL, NULL, NULL, NULL, 'GRANULIN', NULL, NULL, 30432, 15),
(83485, NULL, 'PTHR43289:SF20', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ISR1', NULL, NULL, NULL, 15),
(83486, NULL, 'PTHR21450:SF41', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SUBUNIT BETA, PUTATIVE (DUF630 AND DUF632)-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83487, NULL, 'PTHR45625:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE B-RELATED', NULL, NULL, NULL, 15),
(83488, NULL, 'PTHR37347:SF1', NULL, NULL, NULL, NULL, 'MEGAKARYOCYTE AND PLATELET INHIBITORY RECEPTOR G6B', NULL, NULL, NULL, 15),
(83489, NULL, 'PTHR47972:SF22', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14A-RELATED', NULL, NULL, 22597, 15),
(83490, NULL, 'PTHR23320:SF59', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 4E-RELATED', NULL, NULL, NULL, 15),
(83491, NULL, 'PTHR11783:SF246', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 16', NULL, NULL, NULL, 15),
(83492, NULL, 'PTHR36966:SF1', NULL, NULL, NULL, NULL, 'REP-ASSOCIATED TYROSINE TRANSPOSASE', NULL, NULL, NULL, 15),
(83493, NULL, 'PTHR10003:SF88', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE FOR SUPEROXIDE DISMUTASE', NULL, NULL, NULL, 15),
(83494, NULL, 'PTHR11945:SF626', NULL, NULL, NULL, NULL, 'BNAA04G16540D PROTEIN', NULL, NULL, NULL, 15),
(83495, NULL, 'PTHR27009:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83496, NULL, 'PTHR10383:SF53', NULL, NULL, NULL, NULL, 'SERINC-DOMAIN CONTAINING SERINE AND SPHINGOLIPID BIOSYNTHESIS PROTEIN', NULL, NULL, NULL, 15),
(83497, NULL, 'PTHR11654:SF552', NULL, NULL, NULL, NULL, 'OSJNBA0076N16.20 PROTEIN', NULL, NULL, NULL, 15),
(83498, NULL, 'PTHR46446:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE6-LIKE', NULL, NULL, NULL, 15),
(83499, NULL, 'PTHR45625:SF8', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(83500, NULL, 'PTHR45893:SF1', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP RING FINGER PROTEIN 5', NULL, NULL, NULL, 15),
(83501, NULL, 'PTHR31945:SF99', NULL, NULL, NULL, NULL, 'BNAA08G12670D PROTEIN', NULL, NULL, NULL, 15),
(83502, NULL, 'PTHR22844:SF364', NULL, NULL, NULL, NULL, 'APOPTOTIC PROTEASE-ACTIVATING FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(83503, NULL, 'PTHR30160:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83504, NULL, 'PTHR19265', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC NUCLEAR STRUCTURAL PROTEIN 1', NULL, NULL, 24085, 15),
(83505, NULL, 'PTHR31080:SF183', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', NULL, NULL, NULL, 15),
(83506, NULL, 'PTHR11024:SF16', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC13 HOMOLOG B-LIKE', NULL, NULL, NULL, 15),
(83507, NULL, 'PTHR11360:SF268', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', NULL, NULL, NULL, 15),
(83508, NULL, 'PTHR11905:SF130', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 15', NULL, NULL, 33909, 15),
(83509, NULL, 'PTHR35568', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR DAUR', NULL, NULL, 33262, 15),
(83510, NULL, 'PTHR23226:SF160', NULL, NULL, NULL, NULL, 'SI:CH211-154O6.2', NULL, NULL, NULL, 15),
(83511, NULL, 'PTHR43134:SF8', NULL, NULL, NULL, NULL, 'BNAA04G26420D PROTEIN', NULL, NULL, NULL, 15),
(83512, NULL, 'PTHR11880:SF48', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S19-RELATED', NULL, NULL, NULL, 15),
(83513, NULL, 'PTHR37693', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL LYSYLTRANSFERASE', NULL, NULL, NULL, 15),
(83514, NULL, 'PTHR24349:SF192', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 11', NULL, NULL, NULL, 15),
(83515, NULL, 'PTHR33601:SF26', NULL, NULL, NULL, NULL, 'BNACNNG65040D PROTEIN', NULL, NULL, NULL, 15),
(83516, NULL, 'PTHR36002', NULL, NULL, NULL, NULL, 'PYRD', NULL, NULL, NULL, 15),
(83517, NULL, 'PTHR14009:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83518, NULL, 'PTHR48126:SF1', NULL, NULL, NULL, NULL, 'RE24507P', NULL, NULL, NULL, 15),
(83519, NULL, 'PTHR31683:SF104', NULL, NULL, NULL, NULL, 'PECTATE LYASE 22-RELATED', NULL, NULL, NULL, 15),
(83520, NULL, 'PTHR24126:SF54', NULL, NULL, NULL, NULL, 'ANKYRIN', NULL, NULL, NULL, 15),
(83521, NULL, 'PTHR12210:SF156', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM50', NULL, NULL, NULL, 15),
(83522, NULL, 'PTHR10980:SF52', NULL, NULL, NULL, NULL, 'BNAC09G13520D PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83523, NULL, 'PTHR10751:SF104', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(83524, NULL, 'PTHR31896:SF58', NULL, NULL, NULL, NULL, 'FAMILY REGULATORY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14730)-RELATED', NULL, NULL, NULL, 15),
(83525, NULL, 'PTHR23360:SF37', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(83526, NULL, 'PTHR43261:SF5', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR G 1', NULL, NULL, NULL, 15),
(83527, NULL, 'PTHR46566:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE ISOZYME 2', NULL, NULL, NULL, 15),
(83528, NULL, 'PTHR45974:SF41', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 44', NULL, NULL, NULL, 15),
(83529, NULL, 'PTHR24083:SF68', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(83530, NULL, 'PTHR19134:SF460', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE N2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83531, NULL, 'PTHR19836:SF26', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S14 TYPE Z', NULL, NULL, NULL, 15),
(83532, NULL, 'PTHR43852', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(83533, NULL, 'PTHR11552:SF119', NULL, NULL, NULL, NULL, 'CHOLINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(83534, NULL, 'PTHR24103:SF575', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 64C', NULL, NULL, NULL, 15),
(83535, NULL, 'PTHR45712:SF4', NULL, NULL, NULL, NULL, 'FIBROMODULIN', NULL, NULL, 27717, 15),
(83536, NULL, 'PTHR34559:SF2', NULL, NULL, NULL, NULL, 'BNAA03G55270D PROTEIN', NULL, NULL, NULL, 15),
(83537, NULL, 'PTHR11848:SF178', NULL, NULL, NULL, NULL, 'INHIBIN BETA CHAIN', NULL, NULL, NULL, 15),
(83538, NULL, 'PTHR31048:SF145', NULL, NULL, NULL, NULL, 'BNAC06G07910D PROTEIN', NULL, NULL, NULL, 15),
(83539, NULL, 'PTHR20961:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83540, NULL, 'PTHR47697', NULL, NULL, NULL, NULL, 'OS03G0340700 PROTEIN', NULL, NULL, NULL, 15),
(83541, NULL, 'PTHR48052:SF35', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE', NULL, NULL, NULL, 15),
(83542, NULL, 'PTHR16134:SF10', NULL, NULL, NULL, NULL, 'OS02G0317300 PROTEIN', NULL, NULL, NULL, 15),
(83543, NULL, 'PTHR19818:SF133', NULL, NULL, NULL, NULL, 'ZIC FAMILY MEMBER 6', NULL, NULL, NULL, 15),
(83544, NULL, 'PTHR46336:SF15', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN POB1', NULL, NULL, NULL, 15),
(83545, NULL, 'PTHR31150:SF6', NULL, NULL, NULL, NULL, 'CHROMATIN REGULATOR PHD FAMILY-RELATED', NULL, NULL, NULL, 15),
(83546, NULL, 'PTHR35630', NULL, NULL, NULL, NULL, 'LEGUMINOSIN GROUP486 SECRETED PEPTIDE', NULL, NULL, NULL, 15),
(83547, NULL, 'PTHR28453', NULL, NULL, NULL, NULL, 'PROTEIN SNORC', NULL, NULL, 26093, 15),
(83548, NULL, 'PTHR22925:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY PROTEIN 43', NULL, NULL, NULL, 15),
(83549, NULL, 'PTHR31414:SF25', NULL, NULL, NULL, NULL, 'BNAC06G40440D PROTEIN', NULL, NULL, NULL, 15),
(83550, NULL, 'PTHR45801:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83551, NULL, 'PTHR43791:SF87', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G02730)-RELATED', NULL, NULL, NULL, 15),
(83552, NULL, 'PTHR47967:SF24', NULL, NULL, NULL, NULL, 'BNAA04G16330D PROTEIN', NULL, NULL, NULL, 15),
(83553, NULL, 'PTHR44376:SF12', NULL, NULL, NULL, NULL, 'LEUNIG-RELATED1', NULL, NULL, NULL, 15),
(83554, NULL, 'PTHR38494:SF1', NULL, NULL, NULL, NULL, 'STEROID RECEPTOR-ASSOCIATED AND REGULATED PROTEIN', NULL, NULL, NULL, 15),
(83555, NULL, 'PTHR13493:SF3', NULL, NULL, NULL, NULL, 'RRNA N6-ADENOSINE-METHYLTRANSFERASE ZCCHC4', NULL, NULL, NULL, 15),
(83556, NULL, 'PTHR26450:SF351', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(83557, NULL, 'PTHR47965:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83558, NULL, 'PTHR45679:SF7', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(83559, NULL, 'PTHR43899:SF25', NULL, NULL, NULL, NULL, 'ENOYL-(ACYL CARRIER) REDUCTASE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83560, NULL, 'PTHR44259:SF18', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(83561, NULL, 'PTHR46137:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83562, NULL, 'PTHR35330', NULL, NULL, NULL, NULL, 'SIROHEME BIOSYNTHESIS PROTEIN MET8', NULL, NULL, 24897, 15),
(83563, NULL, 'PTHR21107', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX19', NULL, NULL, NULL, 15),
(83564, NULL, 'PTHR31187:SF9', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN', NULL, NULL, NULL, 15),
(83565, NULL, 'PTHR47948:SF1', NULL, NULL, NULL, NULL, 'CINNAMATE-4-HYDROXYLASE', NULL, NULL, NULL, 15),
(83566, NULL, 'PTHR11969:SF72', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH94-LIKE', NULL, NULL, NULL, 15),
(83567, NULL, 'PTHR23266:SF70', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA-LIKE POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(83568, NULL, 'PTHR11786:SF6', NULL, NULL, NULL, NULL, 'ARYLAMINE N-ACETYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(83569, NULL, 'PTHR31614:SF32', NULL, NULL, NULL, NULL, 'BNAC03G62750D PROTEIN', NULL, NULL, NULL, 15),
(83570, NULL, 'PTHR45649:SF47', NULL, NULL, NULL, NULL, 'BNAA06G34530D PROTEIN', NULL, NULL, NULL, 15),
(83571, NULL, 'PTHR22765:SF312', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE E3 UBIQUITIN-PROTEIN LIGASE 1', NULL, NULL, NULL, 15),
(83572, NULL, 'PTHR45650:SF24', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 7-LIKE', NULL, NULL, NULL, 15),
(83573, NULL, 'PTHR36788:SF7', NULL, NULL, NULL, NULL, 'BNAA07G36730D PROTEIN', NULL, NULL, NULL, 15),
(83574, NULL, 'PTHR24351:SF217', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATPK2/ATPK19', NULL, NULL, NULL, 15),
(83575, NULL, 'PTHR16484', NULL, NULL, NULL, NULL, 'PARTITIONING DEFECTIVE 3 RELATED', NULL, NULL, NULL, 15),
(83576, NULL, 'PTHR34944', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM7', NULL, NULL, NULL, 15),
(83577, NULL, 'PTHR24229:SF84', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(83578, NULL, 'PTHR23024:SF182', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14960)-RELATED', NULL, NULL, NULL, 15),
(83579, NULL, 'PTHR45686:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE ACTIVATING PROTEIN 3, ISOFORM H', NULL, NULL, NULL, 15),
(83580, NULL, 'PTHR32120:SF10', NULL, NULL, NULL, NULL, 'SMALL RIBOSOMAL SUBUNIT BIOGENESIS GTPASE RSGA', NULL, NULL, NULL, 15),
(83581, NULL, 'PTHR11132:SF244', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER 5', NULL, NULL, NULL, 15),
(83582, NULL, 'PTHR24282', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY MEMBER', NULL, NULL, NULL, 15),
(83583, NULL, 'PTHR24282:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY-RELATED', NULL, NULL, NULL, 15),
(83584, NULL, 'PTHR47253:SF5', NULL, NULL, NULL, NULL, 'ISOCHORISMATE SYNTHASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(83585, NULL, 'PTHR23050:SF130', NULL, NULL, NULL, NULL, 'CALMODULIN RELATED GENES', NULL, NULL, NULL, 15),
(83586, NULL, 'PTHR24349:SF416', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PEPKR2-LIKE', NULL, NULL, NULL, 15),
(83587, NULL, 'PTHR48105:SF4', NULL, NULL, NULL, NULL, 'BNAA06G39230D PROTEIN', NULL, NULL, NULL, 15),
(83588, NULL, 'PTHR24078:SF534', NULL, NULL, NULL, NULL, 'POTYVIRAL CAPSID PROTEIN INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(83589, NULL, 'PTHR47977:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83590, NULL, 'PTHR45951:SF7', NULL, NULL, NULL, NULL, 'STEROL-SENSING DOMAIN', NULL, NULL, NULL, 15),
(83591, NULL, 'PTHR48062:SF32', NULL, NULL, NULL, NULL, 'OS04G0648400 PROTEIN', NULL, NULL, NULL, 15),
(83592, NULL, 'PTHR47565:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX19-LIKE', NULL, NULL, NULL, 15),
(83593, NULL, 'PTHR13067:SF2', NULL, NULL, NULL, NULL, 'CASPASE-ACTIVATED DNASE', NULL, NULL, NULL, 15),
(83594, NULL, 'PTHR45763:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83595, NULL, 'PTHR24403:SF66', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 513', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83596, NULL, 'PTHR33347:SF20', NULL, NULL, NULL, NULL, 'BNAC09G47780D PROTEIN', NULL, NULL, NULL, 15),
(83597, NULL, 'PTHR10694:SF17', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 5A', NULL, NULL, NULL, 15),
(83598, NULL, 'PTHR47972:SF25', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIFC1 ISOFORM X1', NULL, NULL, NULL, 15),
(83599, NULL, 'PTHR47976:SF68', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(83600, NULL, 'PTHR19134:SF449', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE 1', NULL, NULL, NULL, 15),
(83601, NULL, 'PTHR11926:SF1398', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(83602, NULL, 'PTHR22765:SF334', NULL, NULL, NULL, NULL, 'RECEPTOR HOMOLOGY REGION, TRANSMEMBRANE DOMAIN- AND RING DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(83603, NULL, 'PTHR23406:SF20', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(83604, NULL, 'PTHR45631:SF103', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(83605, NULL, 'PTHR11260:SF600', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U8-LIKE', NULL, NULL, NULL, 15),
(83606, NULL, 'PTHR35358:SF11', NULL, NULL, NULL, NULL, 'BNACNNG61640D PROTEIN', NULL, NULL, NULL, 15),
(83607, NULL, 'PTHR12001:SF74', NULL, NULL, NULL, NULL, 'SOLANESYL-DIPHOSPHATE SYNTHASE 1, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(83608, NULL, 'PTHR11771:SF170', NULL, NULL, NULL, NULL, 'LIPOXYGENASE-2', NULL, NULL, NULL, 15),
(83609, NULL, 'PTHR33144', NULL, NULL, NULL, NULL, 'OS10G0409366 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83610, NULL, 'PTHR15352:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MRVI1', NULL, NULL, NULL, 15),
(83611, NULL, 'PTHR43281:SF5', NULL, NULL, NULL, NULL, 'HETERODIMERIC GERANYLGERANYL PYROPHOSPHATE SYNTHASE SMALL SUBUNIT, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(83612, NULL, 'PTHR11475:SF63', NULL, NULL, NULL, NULL, 'EOSINOPHIL PEROXIDASE', NULL, NULL, 25344, 15),
(83613, NULL, 'PTHR46128:SF201', NULL, NULL, NULL, NULL, 'BNAA07G01370D PROTEIN', NULL, NULL, NULL, 15),
(83614, NULL, 'PTHR43007:SF1', NULL, NULL, NULL, NULL, '2-PHOSPHO-L-LACTATE TRANSFERASE', NULL, NULL, NULL, 15),
(83615, NULL, 'PTHR44170:SF13', NULL, NULL, NULL, NULL, 'PROTOGENIN A-RELATED', NULL, NULL, NULL, 15),
(83616, NULL, 'PTHR38116', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(83617, NULL, 'PTHR45615:SF11', NULL, NULL, NULL, NULL, 'MYOSIN-6', NULL, NULL, NULL, 15),
(83618, NULL, 'PTHR36748:SF6', NULL, NULL, NULL, NULL, 'FAMILY TRANSCRIPTIONAL REGULATOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(83619, NULL, 'PTHR10336:SF89', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(83620, NULL, 'PTHR19316:SF29', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(83621, NULL, 'PTHR23349:SF50', NULL, NULL, NULL, NULL, 'PROTEIN TWIST', NULL, NULL, 12857, 15),
(83622, NULL, 'PTHR11017:SF305', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS CLASS)-RELATED', NULL, NULL, NULL, 15),
(83623, NULL, 'PTHR12161:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83624, NULL, 'PTHR45842:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(83625, NULL, 'PTHR14969:SF47', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROPHOSPHATASE B', NULL, NULL, NULL, 15),
(83626, NULL, 'PTHR33142:SF34', NULL, NULL, NULL, NULL, 'BNAA09G02080D PROTEIN', NULL, NULL, NULL, 15),
(83627, NULL, 'PTHR32295:SF110', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', NULL, NULL, NULL, 15),
(83628, NULL, 'PTHR45988:SF52', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(83629, NULL, 'PTHR10044:SF167', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(83630, NULL, 'PTHR45778:SF5', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83631, NULL, 'PTHR11528:SF79', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP 90-BETA-RELATED', NULL, NULL, NULL, 15),
(83632, NULL, 'PTHR14211:SF7', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NOP53', NULL, NULL, NULL, 15),
(83633, NULL, 'PTHR43710:SF2', NULL, NULL, NULL, NULL, '2-HYDROXYACYL-COA LYASE 1', NULL, NULL, NULL, 15),
(83634, NULL, 'PTHR45615:SF29', NULL, NULL, NULL, NULL, 'MYOSIN-7B', NULL, NULL, NULL, 15),
(83635, NULL, 'PTHR22957:SF255', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 22A', NULL, NULL, NULL, 15),
(83636, NULL, 'PTHR10476:SF52', NULL, NULL, NULL, NULL, 'BNAA02G06080D PROTEIN', NULL, NULL, NULL, 15),
(83637, NULL, 'PTHR31175:SF67', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR64', NULL, NULL, NULL, 15),
(83638, NULL, 'PTHR31048:SF87', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(83639, NULL, 'PTHR11533:SF280', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(83640, NULL, 'PTHR31683:SF136', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(83641, NULL, 'PTHR43694', NULL, NULL, NULL, NULL, 'RIBONUCLEASE J', NULL, NULL, NULL, 15),
(83642, NULL, 'PTHR48051:SF7', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 58', NULL, NULL, NULL, 15),
(83643, NULL, 'PTHR10593:SF178', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN NUTCRACKER', NULL, NULL, NULL, 15),
(83644, NULL, 'PTHR11863:SF153', NULL, NULL, NULL, NULL, 'CHOLESTEROL 25-HYDROXYLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83645, NULL, 'PTHR31425:SF12', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(83646, NULL, 'PTHR31929:SF79', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR21-LIKE', NULL, NULL, NULL, 15),
(83647, NULL, 'PTHR14224:SF2', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 17', NULL, NULL, NULL, 15),
(83648, NULL, 'PTHR46477:SF12', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(83649, NULL, 'PTHR16223:SF226', NULL, NULL, NULL, NULL, 'ELKS/RAB6-INTERACTING/CAST FAMILY PROTEIN', NULL, NULL, NULL, 15),
(83650, NULL, 'PTHR47985:SF50', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', NULL, NULL, NULL, 15),
(83651, NULL, 'PTHR47920', NULL, NULL, NULL, NULL, 'PROTEIN CBG13378-RELATED', NULL, NULL, NULL, 15),
(83652, NULL, 'PTHR43437:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83653, NULL, 'PTHR21604', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 27977, 15),
(83654, NULL, 'PTHR22847:SF664', NULL, NULL, NULL, NULL, 'BETA-TRANSDUCIN REPEAT CONTAINING E3 UBIQUITIN PROTEIN LIGASE', NULL, NULL, NULL, 15),
(83655, NULL, 'PTHR43523:SF4', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE LARGE SUBUNIT 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(83656, NULL, 'PTHR47986:SF13', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE TMK1-LIKE', NULL, NULL, NULL, 15),
(83657, NULL, 'PTHR23511:SF14', NULL, NULL, NULL, NULL, 'METABOLITE TRANSPORT PROTEIN YAAU-RELATED', NULL, NULL, NULL, 15),
(83658, NULL, 'PTHR28635', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE INNER EAR EXPRESSED PROTEIN', NULL, NULL, 27893, 15),
(83659, NULL, 'PTHR47677', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 6', NULL, NULL, NULL, 15),
(83660, NULL, 'PTHR11739:SF3', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', NULL, NULL, NULL, 15),
(83661, NULL, 'PTHR11494:SF7', NULL, NULL, NULL, NULL, 'T-CELL-SPECIFIC SURFACE GLYCOPROTEIN CD28', NULL, NULL, NULL, 15),
(83662, NULL, 'PTHR10015:SF274', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR PROTEIN 1', NULL, NULL, NULL, 15),
(83663, NULL, 'PTHR45283', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT T, CHLOROPLASTIC', NULL, NULL, 38592, 15),
(83664, NULL, 'PTHR32063:SF14', NULL, NULL, NULL, NULL, 'BLL4319 PROTEIN', NULL, NULL, NULL, 15),
(83665, NULL, 'PTHR10543', NULL, NULL, NULL, NULL, 'BETA-CAROTENE DIOXYGENASE', NULL, NULL, 4836, 15),
(83666, NULL, 'PTHR45988:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT10', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83667, NULL, 'PTHR31220:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM126B', NULL, NULL, NULL, 15),
(83668, NULL, 'PTHR31158:SF1', NULL, NULL, NULL, NULL, 'DUAL OXIDASE 2', NULL, NULL, NULL, 15),
(83669, NULL, 'PTHR32295:SF166', NULL, NULL, NULL, NULL, 'BNAC03G35860D PROTEIN', NULL, NULL, NULL, 15),
(83670, NULL, 'PTHR34657:SF7', NULL, NULL, NULL, NULL, 'OS10G0472501 PROTEIN', NULL, NULL, NULL, 15),
(83671, NULL, 'PTHR37697', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR SNZ', NULL, NULL, NULL, 15),
(83672, NULL, 'PTHR11802:SF235', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 33', NULL, NULL, NULL, 15),
(83673, NULL, 'PTHR13343:SF17', NULL, NULL, NULL, NULL, 'CELLULAR REPRESSOR OF E1A-STIMULATED GENES, ISOFORM A', NULL, NULL, NULL, 15),
(83674, NULL, 'PTHR22914:SF14', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 2, ISOFORM D', NULL, NULL, NULL, 15),
(83675, NULL, 'PTHR11158:SF22', NULL, NULL, NULL, NULL, 'PRELI DOMAIN CONTAINING PROTEIN 3B', NULL, NULL, NULL, 15),
(83676, NULL, 'PTHR21219', NULL, NULL, NULL, NULL, 'FI19613P1', NULL, NULL, NULL, 15),
(83677, NULL, 'PTHR43853:SF6', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(83678, NULL, 'PTHR34145:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83679, NULL, 'PTHR45676:SF119', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(83680, NULL, 'PTHR15498:SF73', NULL, NULL, NULL, NULL, 'HEPATITIS A VIRUS CELLULAR RECEPTOR 2', NULL, NULL, NULL, 15),
(83681, NULL, 'PTHR12300:SF34', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN', NULL, NULL, NULL, 15),
(83682, NULL, 'PTHR34052:SF4', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 30', NULL, NULL, NULL, 15),
(83683, NULL, 'PTHR13878:SF129', NULL, NULL, NULL, NULL, 'CYTOKININ OXIDASE/DEHYDROGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83684, NULL, 'PTHR31602:SF82', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 10', NULL, NULL, NULL, 15),
(83685, NULL, 'PTHR44115:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG22606', NULL, NULL, NULL, 15),
(83686, NULL, 'PTHR24068:SF148', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2', NULL, NULL, NULL, 15),
(83687, NULL, 'PTHR43450:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83688, NULL, 'PTHR23510:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83689, NULL, 'PTHR31929:SF35', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(83690, NULL, 'PTHR36392:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(83691, NULL, 'PTHR35451', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE-LIKE PROTEIN C4ORF48', NULL, NULL, 21843, 15),
(83692, NULL, 'PTHR45614:SF108', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB3R-5-LIKE', NULL, NULL, NULL, 15),
(83693, NULL, 'PTHR41313', NULL, NULL, NULL, NULL, 'ADENINE-SPECIFIC METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(83694, NULL, 'PTHR37534:SF28', NULL, NULL, NULL, NULL, 'ZCF22P', NULL, NULL, NULL, 15),
(83695, NULL, 'PTHR11618:SF65', NULL, NULL, NULL, NULL, 'INITIATION FACTOR IIB, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(83696, NULL, 'PTHR44981:SF2', NULL, NULL, NULL, NULL, 'PERICENTRIN-LIKE PROTEIN, ISOFORM F', NULL, NULL, NULL, 15),
(83697, NULL, 'PTHR15275:SF1', NULL, NULL, NULL, NULL, 'MASTERMIND-LIKE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(83698, NULL, 'PTHR45770:SF17', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(83699, NULL, 'PTHR31080:SF161', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15),
(83700, NULL, 'PTHR26374:SF397', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(83701, NULL, 'PTHR11348:SF20', NULL, NULL, NULL, NULL, 'SI:CH211-106H11.3', NULL, NULL, NULL, 15),
(83702, NULL, 'PTHR10408:SF8', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(83703, NULL, 'PTHR27007:SF268', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VIII.2-LIKE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83704, NULL, 'PTHR30540:SF108', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 3', NULL, NULL, NULL, 15),
(83705, NULL, 'PTHR22952:SF443', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83706, NULL, 'PTHR32444:SF103', NULL, NULL, NULL, NULL, 'PAN DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(83707, NULL, 'PTHR30592', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE', NULL, NULL, 3230, 15),
(83708, NULL, 'PTHR35967:SF1', NULL, NULL, NULL, NULL, 'UPF0450 PROTEIN C17ORF58', NULL, NULL, NULL, 15),
(83709, NULL, 'PTHR31790:SF415', NULL, NULL, NULL, NULL, 'F-BOX AND ASSOCIATED INTERACTION DOMAINS-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83710, NULL, 'PTHR48080', NULL, NULL, NULL, NULL, 'D-GALACTONATE DEHYDRATASE-RELATED', NULL, NULL, 9963, 15),
(83711, NULL, 'PTHR31352:SF34', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 5', NULL, NULL, NULL, 15),
(83712, NULL, 'PTHR23081:SF19', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II C-TERMINAL DOMAIN PHOSPHATASE-LIKE 4', NULL, NULL, NULL, 15),
(83713, NULL, 'PTHR22957:SF333', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 25', NULL, NULL, NULL, 15),
(83714, NULL, 'PTHR48163:SF1', NULL, NULL, NULL, NULL, 'BNAC02G25670D PROTEIN', NULL, NULL, NULL, 15),
(83715, NULL, 'PTHR19143:SF338', NULL, NULL, NULL, NULL, 'FIBRINOGEN GAMMA CHAIN', NULL, NULL, 29864, 15),
(83716, NULL, 'PTHR46402:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83717, NULL, 'PTHR35499:SF4', NULL, NULL, NULL, NULL, 'ALC-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(83718, NULL, 'PTHR15288:SF3', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 2A', NULL, NULL, NULL, 15),
(83719, NULL, 'PTHR20961:SF30', NULL, NULL, NULL, NULL, 'ALPHA-1,3-ARABINOSYLTRANSFERASE XAT2', NULL, NULL, NULL, 15),
(83720, NULL, 'PTHR15594:SF1', NULL, NULL, NULL, NULL, 'PODOCALYXIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(83721, NULL, 'PTHR31953:SF13', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 7', NULL, NULL, NULL, 15),
(83722, NULL, 'PTHR46267:SF8', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING FACTOR 1', NULL, NULL, NULL, 15),
(83723, NULL, 'PTHR27005:SF394', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83724, NULL, 'PTHR14952:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83725, NULL, 'PTHR31791:SF49', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN FRIGIDA', NULL, NULL, NULL, 15),
(83726, NULL, 'PTHR18860:SF127', NULL, NULL, NULL, NULL, '14-3-3 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83727, NULL, 'PTHR22601:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83728, NULL, 'PTHR21645:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(83729, NULL, 'PTHR33090', NULL, NULL, NULL, NULL, 'DUF3774 DOMAIN PROTEIN-RELATED', NULL, NULL, 21319, 15),
(83730, NULL, 'PTHR24055:SF222', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 8', NULL, NULL, NULL, 15),
(83731, NULL, 'PTHR23054:SF23', NULL, NULL, NULL, NULL, 'OS09G0493400 PROTEIN', NULL, NULL, NULL, 15),
(83732, NULL, 'PTHR11616:SF138', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT GABA TRANSPORTER 1', NULL, NULL, NULL, 15),
(83733, NULL, 'PTHR22912:SF132', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(83734, NULL, 'PTHR43546:SF8', NULL, NULL, NULL, NULL, 'HYDROLASE, METALLO-BETA-LACTAMASE SUPERFAMILY', NULL, NULL, NULL, 15),
(83735, NULL, 'PTHR11654:SF139', NULL, NULL, NULL, NULL, 'OS04G0597501 PROTEIN', NULL, NULL, NULL, 15),
(83736, NULL, 'PTHR36724:SF1', NULL, NULL, NULL, NULL, 'COMPLEX 1 LYR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83737, NULL, 'PTHR13976:SF76', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(83738, NULL, 'PTHR23418:SF5', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(83739, NULL, 'PTHR12377:SF10', NULL, NULL, NULL, NULL, 'BNAA07G24680D PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83740, NULL, 'PTHR20937', NULL, NULL, NULL, NULL, 'IP14615P', NULL, NULL, 29584, 15),
(83741, NULL, 'PTHR30160:SF15', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE HI_0523-RELATED', NULL, NULL, NULL, 15),
(83742, NULL, 'PTHR42673:SF18', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(83743, NULL, 'PTHR22883:SF274', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 20-RELATED', NULL, NULL, NULL, 15),
(83744, NULL, 'PTHR31889:SF66', NULL, NULL, NULL, NULL, '2-ALPHA-L-FUCOSYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(83745, NULL, 'PTHR34986', NULL, NULL, NULL, NULL, 'EVOLVED BETA-GALACTOSIDASE SUBUNIT BETA', NULL, NULL, 5755, 15),
(83746, NULL, 'PTHR20852:SF96', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE-RELATED', NULL, NULL, NULL, 15),
(83747, NULL, 'PTHR45801:SF55', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR TAC1', NULL, NULL, NULL, 15),
(83748, NULL, 'PTHR30032', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE-RELATED', NULL, NULL, NULL, 15),
(83749, NULL, 'PTHR14207:SF6', NULL, NULL, NULL, NULL, '3-BETA-HYDROXYSTEROID-DELTA(8)DELTA(7)-ISOMERASE-RELATED', NULL, NULL, NULL, 15),
(83750, NULL, 'PTHR43952:SF56', NULL, NULL, NULL, NULL, 'BNAA02G35960D PROTEIN', NULL, NULL, NULL, 15),
(83751, NULL, 'PTHR48034:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, X-LINKED-LIKE 2', NULL, NULL, NULL, 15),
(83752, NULL, 'PTHR31906', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 29428, 15),
(83753, NULL, 'PTHR48017:SF106', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83754, NULL, 'PTHR47977:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83755, NULL, 'PTHR36794:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(83756, NULL, 'PTHR37222:SF1', NULL, NULL, NULL, NULL, 'OS02G0718000 PROTEIN', NULL, NULL, NULL, 15),
(83757, NULL, 'PTHR47926:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83758, NULL, 'PTHR37001:SF10', NULL, NULL, NULL, NULL, 'TOC75, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(83759, NULL, 'PTHR47010:SF2', NULL, NULL, NULL, NULL, 'CYSTATIN-13', NULL, NULL, NULL, 15),
(83760, NULL, 'PTHR43157:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83761, NULL, 'PTHR31988:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83762, NULL, 'PTHR10383:SF46', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR/TMS MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83763, NULL, 'PTHR13743', NULL, NULL, NULL, NULL, 'BEIGE/BEACH-RELATED', NULL, NULL, NULL, 15),
(83764, NULL, 'PTHR33294:SF15', NULL, NULL, NULL, NULL, 'BNAC03G59210D PROTEIN', NULL, NULL, NULL, 15),
(83765, NULL, 'PTHR13774:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83766, NULL, 'PTHR35787:SF1', NULL, NULL, NULL, NULL, 'GLYCEROL UPTAKE OPERON ANTITERMINATOR REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(83767, NULL, 'PTHR46026:SF2', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 6', NULL, NULL, NULL, 15),
(83768, NULL, 'PTHR31568:SF57', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN B-RELATED', NULL, NULL, NULL, 15),
(83769, NULL, 'PTHR47953:SF7', NULL, NULL, NULL, NULL, 'PREMNASPIRODIENE OXYGENASE-LIKE', NULL, NULL, NULL, 15),
(83770, NULL, 'PTHR32044:SF75', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(83771, NULL, 'PTHR14217:SF26', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', NULL, NULL, NULL, 15),
(83772, NULL, 'PTHR11977:SF113', NULL, NULL, NULL, NULL, 'VILLIN-3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(83773, NULL, 'PTHR12570:SF68', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(83774, NULL, 'PTHR34993', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83775, NULL, 'PTHR43544:SF15', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE (ATSC), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00180)-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83776, NULL, 'PTHR22574:SF12', NULL, NULL, NULL, NULL, 'PROTEIN FAM71E2', NULL, NULL, NULL, 15),
(83777, NULL, 'PTHR38652', NULL, NULL, NULL, NULL, 'INTERLEUKIN-31', NULL, NULL, 26433, 15),
(83778, NULL, 'PTHR23502:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83779, NULL, 'PTHR24253:SF77', NULL, NULL, NULL, NULL, 'HEPSIN', NULL, NULL, NULL, 15),
(83780, NULL, 'PTHR11606:SF13', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(83781, NULL, 'PTHR30161', NULL, NULL, NULL, NULL, 'FLAGELLAR EXPORT PROTEIN, MEMBRANE FLHA SUBUNIT-RELATED', NULL, NULL, 3025, 15),
(83782, NULL, 'PTHR34678', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN 5, CHLOROPLASTIC', NULL, NULL, 29778, 15),
(83783, NULL, 'PTHR45868:SF67', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(83784, NULL, 'PTHR44137:SF32', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(83785, NULL, 'PTHR31692:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83786, NULL, 'PTHR33702:SF23', NULL, NULL, NULL, NULL, 'BNAC06G43190D PROTEIN', NULL, NULL, NULL, 15),
(83787, NULL, 'PTHR42724', NULL, NULL, NULL, NULL, 'TETRAACYLDISACCHARIDE 4''-KINASE', NULL, NULL, 2368, 15),
(83788, NULL, 'PTHR31889:SF52', NULL, NULL, NULL, NULL, '2-ALPHA-L-FUCOSYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(83789, NULL, 'PTHR45702', NULL, NULL, NULL, NULL, 'ADAM10/ADAM17 METALLOPEPTIDASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(83790, NULL, 'PTHR11161:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CBG26399', NULL, NULL, NULL, 15),
(83791, NULL, 'PTHR14154:SF74', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 22 KDA PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(83792, NULL, 'PTHR11851:SF211', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PROCESSING PEPTIDASE', NULL, NULL, NULL, 15),
(83793, NULL, 'PTHR31707:SF257', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(83794, NULL, 'PTHR13180:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 50A', NULL, NULL, NULL, 15),
(83795, NULL, 'PTHR32429:SF27', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE/OXYGENASE ACTIVASE 1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(83796, NULL, 'PTHR10082:SF15', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-2', NULL, NULL, 9036, 15),
(83797, NULL, 'PTHR33748', NULL, NULL, NULL, NULL, 'PROTEIN CBG04600', NULL, NULL, NULL, 15),
(83798, NULL, 'PTHR11106:SF96', NULL, NULL, NULL, NULL, 'MACRO DOMAIN-CONTAINING PROTEIN VPA0103-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(83799, NULL, 'PTHR43092:SF11', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(83800, NULL, 'PTHR48049:SF65', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN 3-O-GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(83801, NULL, 'PTHR46662:SF12', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(83802, NULL, 'PTHR31066', NULL, NULL, NULL, NULL, 'OS05G0427100 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83803, NULL, 'PTHR14402:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR-TRANSPORTING PROTEIN 4', NULL, NULL, 27171, 15),
(83804, NULL, 'PTHR23226:SF284', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83805, NULL, 'PTHR47257:SF1', NULL, NULL, NULL, NULL, 'PH-RESPONSE TRANSCRIPTION FACTOR PACC/RIM101', NULL, NULL, NULL, 15),
(83806, NULL, 'PTHR22881:SF11', NULL, NULL, NULL, NULL, 'LD22651P', NULL, NULL, NULL, 15),
(83807, NULL, 'PTHR46036:SF13', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(83808, NULL, 'PTHR42945:SF4', NULL, NULL, NULL, NULL, 'HISTIDINE BIOSYNTHESIS BIFUNCTIONAL PROTEIN HISIE', NULL, NULL, NULL, 15),
(83809, NULL, 'PTHR48230:SF1', NULL, NULL, NULL, NULL, 'BLR2429 PROTEIN', NULL, NULL, NULL, 15),
(83810, NULL, 'PTHR11849:SF291', NULL, NULL, NULL, NULL, 'ETS CLASS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(83811, NULL, 'PTHR10984:SF55', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM VESICLE TRANSPORTER', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83812, NULL, 'PTHR21633:SF14', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN F1', NULL, NULL, NULL, 15),
(83813, NULL, 'PTHR11451', NULL, NULL, NULL, NULL, 'THREONINE-TRNA LIGASE', NULL, NULL, 6104, 15),
(83814, NULL, 'PTHR23512', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(83815, NULL, 'PTHR11722:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', NULL, NULL, NULL, 15),
(83816, NULL, 'PTHR47619', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE YYCJ-RELATED', NULL, NULL, NULL, 15),
(83817, NULL, 'PTHR31415:SF66', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOPROTEIN', NULL, NULL, NULL, 15),
(83818, NULL, 'PTHR11913:SF75', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 10-LIKE', NULL, NULL, NULL, 15),
(83819, NULL, 'PTHR22763:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83820, NULL, 'PTHR21499:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83821, NULL, 'PTHR21136:SF201', NULL, NULL, NULL, NULL, 'BNAC08G43980D PROTEIN', NULL, NULL, NULL, 15),
(83822, NULL, 'PTHR31376:SF75', NULL, NULL, NULL, NULL, 'BNAC03G58420D PROTEIN', NULL, NULL, NULL, 15),
(83823, NULL, 'PTHR15301:SF3', NULL, NULL, NULL, NULL, 'PROTEIN NSG1-RELATED', NULL, NULL, NULL, 15),
(83824, NULL, 'PTHR11538:SF65', NULL, NULL, NULL, NULL, 'ATP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83825, NULL, 'PTHR14955:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 20', NULL, NULL, NULL, 15),
(83826, NULL, 'PTHR33165:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83827, NULL, 'PTHR34290', NULL, NULL, NULL, NULL, 'SI:CH73-390P7.2', NULL, NULL, 37267, 15),
(83828, NULL, 'PTHR33881:SF13', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(83829, NULL, 'PTHR37218', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', NULL, NULL, NULL, 15),
(83830, NULL, 'PTHR36205:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(83831, NULL, 'PTHR47641:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83832, NULL, 'PTHR33985:SF15', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 19', NULL, NULL, NULL, 15),
(83833, NULL, 'PTHR18945:SF824', NULL, NULL, NULL, NULL, 'NICOTINIC ACETYLCHOLINE RECEPTOR BETA 3 (DBETA3) SUBUNIT', NULL, NULL, NULL, 15),
(83834, NULL, 'PTHR46136:SF10', NULL, NULL, NULL, NULL, 'OS02G0601800 PROTEIN', NULL, NULL, NULL, 15),
(83835, NULL, 'PTHR24089:SF691', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER ADNT1', NULL, NULL, NULL, 15),
(83836, NULL, 'PTHR20992', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 11500, 15),
(83837, NULL, 'PTHR40472:SF9', NULL, NULL, NULL, NULL, 'RAPUNZEL 4', NULL, NULL, NULL, 15),
(83838, NULL, 'PTHR46151:SF27', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(83839, NULL, 'PTHR44375:SF10', NULL, NULL, NULL, NULL, '2-(R)-HYDROXYPROPYL-COM DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(83840, NULL, 'PTHR18966:SF481', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(83841, NULL, 'PTHR43243:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83842, NULL, 'PTHR30540:SF14', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 1', NULL, NULL, NULL, 15),
(83843, NULL, 'PTHR44115', NULL, NULL, NULL, NULL, 'PROTEIN CBG09704', NULL, NULL, NULL, 15),
(83844, NULL, 'PTHR47945:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 84A1-RELATED', NULL, NULL, NULL, 15),
(83845, NULL, 'PTHR34714', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83846, NULL, 'PTHR22936:SF85', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83847, NULL, 'PTHR31213:SF135', NULL, NULL, NULL, NULL, 'BNAANNG13200D PROTEIN', NULL, NULL, NULL, 15),
(83848, NULL, 'PTHR12634:SF30', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY SUBUNIT 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83849, NULL, 'PTHR45686:SF14', NULL, NULL, NULL, NULL, 'ACTIVATING PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(83850, NULL, 'PTHR10408:SF6', NULL, NULL, NULL, NULL, 'STEROL O-ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(83851, NULL, 'PTHR11141:SF10', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23B', NULL, NULL, NULL, 15),
(83852, NULL, 'PTHR11866', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR FAMILY 1 MEMBER', NULL, NULL, 7760, 15),
(83853, NULL, 'PTHR47170:SF4', NULL, NULL, NULL, NULL, 'BNAA04G17370D PROTEIN', NULL, NULL, NULL, 15),
(83854, NULL, 'PTHR44858:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83855, NULL, 'PTHR32093:SF147', NULL, NULL, NULL, NULL, 'BNAC03G77110D PROTEIN', NULL, NULL, NULL, 15),
(83856, NULL, 'PTHR11618', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB-RELATED', NULL, NULL, 6562, 15),
(83857, NULL, 'PTHR24086:SF45', NULL, NULL, NULL, NULL, 'NR5A2 PROTEIN', NULL, NULL, NULL, 15),
(83858, NULL, 'PTHR24006', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(83859, NULL, 'PTHR23091:SF4', NULL, NULL, NULL, NULL, 'N(ALPHA)-ACETYLTRANSFERASE 10, NATA CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(83860, NULL, 'PTHR43081:SF11', NULL, NULL, NULL, NULL, 'BLR2264 PROTEIN', NULL, NULL, NULL, 15),
(83861, NULL, 'PTHR23220:SF89', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-3', NULL, NULL, NULL, 15),
(83862, NULL, 'PTHR24379:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 696', NULL, NULL, NULL, 15),
(83863, NULL, 'PTHR33541:SF8', NULL, NULL, NULL, NULL, 'OS02G0776600 PROTEIN', NULL, NULL, NULL, 15),
(83864, NULL, 'PTHR13690', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR POSF21-RELATED', NULL, NULL, NULL, 15),
(83865, NULL, 'PTHR31207:SF36', NULL, NULL, NULL, NULL, 'BNACNNG22880D PROTEIN', NULL, NULL, NULL, 15),
(83866, NULL, 'PTHR11527:SF285', NULL, NULL, NULL, NULL, '16.9 KDA CLASS I HEAT SHOCK PROTEIN 1', NULL, NULL, NULL, 15),
(83867, NULL, 'PTHR48018:SF114', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(83868, NULL, 'PTHR43180:SF68', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(83869, NULL, 'PTHR24369:SF169', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE NEURONAL 2', NULL, NULL, NULL, 15),
(83870, NULL, 'PTHR48017:SF58', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(83871, NULL, 'PTHR46506:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83872, NULL, 'PTHR11426', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, 1917, 15),
(83873, NULL, 'PTHR47995:SF6', NULL, NULL, NULL, NULL, 'BNACNNG51960D PROTEIN', NULL, NULL, NULL, 15),
(83874, NULL, 'PTHR42100', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 178 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04320)-RELATED', NULL, NULL, 7208, 15),
(83875, NULL, 'PTHR46929:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83876, NULL, 'PTHR12461:SF43', NULL, NULL, NULL, NULL, 'HSPB1-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(83877, NULL, 'PTHR12308:SF73', NULL, NULL, NULL, NULL, 'ANOCTAMIN', NULL, NULL, NULL, 15),
(83878, NULL, 'PTHR34630:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83879, NULL, 'PTHR31223:SF74', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15),
(83880, NULL, 'PTHR31367:SF2', NULL, NULL, NULL, NULL, 'CYTOSOLIC 5''-NUCLEOTIDASE 1A', NULL, NULL, NULL, 15),
(83881, NULL, 'PTHR22904:SF513', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83882, NULL, 'PTHR48008:SF13', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(83883, NULL, 'PTHR23318:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 3A', NULL, NULL, NULL, 15),
(83884, NULL, 'PTHR33021:SF395', NULL, NULL, NULL, NULL, 'STELLACYANIN-LIKE', NULL, NULL, NULL, 15),
(83885, NULL, 'PTHR13061:SF35', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE 3, MITOCHONDRIAL', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83886, NULL, 'PTHR31174:SF15', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN D-34-LIKE', NULL, NULL, NULL, 15),
(83887, NULL, 'PTHR24012:SF815', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83888, NULL, 'PTHR46521:SF8', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 3A-RELATED', NULL, NULL, NULL, 15),
(83889, NULL, 'PTHR35149:SF3', NULL, NULL, NULL, NULL, 'LMO0309 PROTEIN', NULL, NULL, NULL, 15),
(83890, NULL, 'PTHR24083:SF104', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HNF-4 HOMOLOG', NULL, NULL, NULL, 15),
(83891, NULL, 'PTHR11711:SF391', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR', NULL, NULL, NULL, 15),
(83892, NULL, 'PTHR46318', NULL, NULL, NULL, NULL, 'UPSTREAM BINDING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(83893, NULL, 'PTHR35998:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83894, NULL, 'PTHR31851:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83895, NULL, 'PTHR31422:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83896, NULL, 'PTHR24377:SF781', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83897, NULL, 'PTHR40626:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN YPR022C', NULL, NULL, NULL, 15),
(83898, NULL, 'PTHR10774:SF191', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(83899, NULL, 'PTHR32494:SF15', NULL, NULL, NULL, NULL, 'BLR6249 PROTEIN', NULL, NULL, NULL, 15),
(83900, NULL, 'PTHR10743:SF11', NULL, NULL, NULL, NULL, 'PROTEIN RER1C', NULL, NULL, NULL, 15),
(83901, NULL, 'PTHR12442:SF7', NULL, NULL, NULL, NULL, 'DYNEIN INTERMEDIATE CHAIN 2, AXONEMAL', NULL, NULL, NULL, 15),
(83902, NULL, 'PTHR30546:SF35', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN WRBA', NULL, NULL, NULL, 15),
(83903, NULL, 'PTHR46063:SF1', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(83904, NULL, 'PTHR33257:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83905, NULL, 'PTHR13318:SF101', NULL, NULL, NULL, NULL, 'F-BOX/LRR PROTEIN', NULL, NULL, NULL, 15),
(83906, NULL, 'PTHR32401:SF9', NULL, NULL, NULL, NULL, 'OS08G0334300 PROTEIN', NULL, NULL, NULL, 15),
(83907, NULL, 'PTHR47512:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83908, NULL, 'PTHR46043:SF9', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(83909, NULL, 'PTHR31832:SF60', NULL, NULL, NULL, NULL, 'BNAC01G00140D PROTEIN', NULL, NULL, NULL, 15),
(83910, NULL, 'PTHR47970', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF11', NULL, NULL, NULL, 15),
(83911, NULL, 'PTHR10766:SF140', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(83912, NULL, 'PTHR24020:SF69', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE VI ALPHA 5 CHAIN', NULL, NULL, NULL, 15),
(83913, NULL, 'PTHR38107:SF3', NULL, NULL, NULL, NULL, 'LYSOZYME', NULL, NULL, NULL, 15),
(83914, NULL, 'PTHR32219:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN YLMH-RELATED', NULL, NULL, NULL, 15),
(83915, NULL, 'PTHR24256:SF451', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P12', NULL, NULL, NULL, 15),
(83916, NULL, 'PTHR15362:SF31', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--INOSITOL 3-PHOSPHATIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(83917, NULL, 'PTHR31375:SF108', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 28', NULL, NULL, NULL, 15),
(83918, NULL, 'PTHR13832:SF770', NULL, NULL, NULL, NULL, 'BNAA05G29000D PROTEIN', NULL, NULL, NULL, 15),
(83919, NULL, 'PTHR23036:SF86', NULL, NULL, NULL, NULL, 'PROLACTIN RECEPTOR', NULL, NULL, 36380, 15),
(83920, NULL, 'PTHR24072:SF145', NULL, NULL, NULL, NULL, 'RAS HOMOLOG FAMILY MEMBER UB', NULL, NULL, NULL, 15),
(83921, NULL, 'PTHR43853', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE, PEROXISOMAL', NULL, NULL, NULL, 15),
(83922, NULL, 'PTHR11848:SF34', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA-3 PROPROTEIN', NULL, NULL, NULL, 15),
(83923, NULL, 'PTHR42853:SF2', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A CARBOXYLASE CARBOXYL TRANSFERASE SUBUNIT ALPHA, CHLOROPLASTIC', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83924, NULL, 'PTHR21723:SF0', NULL, NULL, NULL, NULL, 'RIC3 ACETYLCHOLINE RECEPTOR CHAPERONE, ISOFORM C', NULL, NULL, NULL, 15),
(83925, NULL, 'PTHR11829:SF362', NULL, NULL, NULL, NULL, 'FORKHEAD TRANSCRIPTION FACTOR FAMILY', NULL, NULL, NULL, 15),
(83926, NULL, 'PTHR12743:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE HEME LYASE', NULL, NULL, NULL, 15),
(83927, NULL, 'PTHR12161:SF14', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', NULL, NULL, NULL, 15),
(83928, NULL, 'PTHR11390:SF26', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 1', NULL, NULL, NULL, 15),
(83929, NULL, 'PTHR22938:SF11', NULL, NULL, NULL, NULL, 'OS01G0251200 PROTEIN', NULL, NULL, NULL, 15),
(83930, NULL, 'PTHR47759', NULL, NULL, NULL, NULL, 'OS04G0509100 PROTEIN', NULL, NULL, NULL, 15),
(83931, NULL, 'PTHR10219:SF82', NULL, NULL, NULL, NULL, 'OS04G0438600 PROTEIN', NULL, NULL, NULL, 15),
(83932, NULL, 'PTHR11260:SF614', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(83933, NULL, 'PTHR11693:SF23', NULL, NULL, NULL, NULL, 'ATP SYNTHASE GAMMA CHAIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(83934, NULL, 'PTHR31238:SF192', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83935, NULL, 'PTHR48042:SF6', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 15-LIKE', NULL, NULL, NULL, 15),
(83936, NULL, 'PTHR23505:SF67', NULL, NULL, NULL, NULL, 'PROTEIN SPINSTER HOMOLOG 3', NULL, NULL, NULL, 15),
(83937, NULL, 'PTHR31047:SF0', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 157 PROTEIN', NULL, NULL, NULL, 15),
(83938, NULL, 'PTHR47926:SF215', NULL, NULL, NULL, NULL, 'BNAC05G29820D PROTEIN', NULL, NULL, NULL, 15),
(83939, NULL, 'PTHR45932:SF21', NULL, NULL, NULL, NULL, 'PATELLIN-2', NULL, NULL, NULL, 15),
(83940, NULL, 'PTHR21725:SF4', NULL, NULL, NULL, NULL, 'BNAA05G33630D PROTEIN', NULL, NULL, NULL, 15),
(83941, NULL, 'PTHR10114:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', NULL, NULL, NULL, 15),
(83942, NULL, 'PTHR19321:SF14', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 6', NULL, NULL, NULL, 15),
(83943, NULL, 'PTHR43544:SF2', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83944, NULL, 'PTHR45911:SF1', NULL, NULL, NULL, NULL, 'MULTIPLE C2 AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(83945, NULL, 'PTHR47274', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN CONTAINING PROTEIN, EXPRESSED-RELATED', NULL, NULL, 38443, 15),
(83946, NULL, 'PTHR31676', NULL, NULL, NULL, NULL, 'T31J12.3 PROTEIN-RELATED', NULL, NULL, 10266, 15),
(83947, NULL, 'PTHR12610:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83948, NULL, 'PTHR11437:SF56', NULL, NULL, NULL, NULL, 'ANGIOGENIN-RELATED', NULL, NULL, NULL, 15),
(83949, NULL, 'PTHR18359:SF2', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 18 HOMOLOG', NULL, NULL, NULL, 15),
(83950, NULL, 'PTHR19051:SF5', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 27-1', NULL, NULL, NULL, 15),
(83951, NULL, 'PTHR26453:SF8', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(83952, NULL, 'PTHR46344:SF9', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN', NULL, NULL, NULL, 15),
(83953, NULL, 'PTHR36330', NULL, NULL, NULL, NULL, 'LIPASE/LIPOOXYGENASE, PLAT/LH2 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(83954, NULL, 'PTHR26453:SF208', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(83955, NULL, 'PTHR15499:SF3', NULL, NULL, NULL, NULL, 'HMG BOX-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(83956, NULL, 'PTHR33304:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83957, NULL, 'PTHR33285:SF38', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE-RELATED', NULL, NULL, NULL, 15),
(83958, NULL, 'PTHR36347', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(83959, NULL, 'PTHR47928:SF155', NULL, NULL, NULL, NULL, 'OS05G0439300 PROTEIN', NULL, NULL, NULL, 15),
(83960, NULL, 'PTHR47237', NULL, NULL, NULL, NULL, 'SLL0310 PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83961, NULL, 'PTHR22588:SF4', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-5(VI) CHAIN', NULL, NULL, NULL, 15),
(83962, NULL, 'PTHR48040:SF12', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 32', NULL, NULL, NULL, 15),
(83963, NULL, 'PTHR46139', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE', NULL, NULL, 7544, 15),
(83964, NULL, 'PTHR31948:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83965, NULL, 'PTHR24177:SF62', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS TRANSMEMBRANE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(83966, NULL, 'PTHR11062:SF293', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX10-RELATED', NULL, NULL, NULL, 15),
(83967, NULL, 'PTHR31817:SF1', NULL, NULL, NULL, NULL, 'KIAA0895 LIKE', NULL, NULL, NULL, 15),
(83968, NULL, 'PTHR12907:SF4', NULL, NULL, NULL, NULL, 'EGL NINE HOMOLOG 1', NULL, NULL, NULL, 15),
(83969, NULL, 'PTHR27004:SF323', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN FLOR 1', NULL, NULL, NULL, 15),
(83970, NULL, 'PTHR24381:SF328', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 235', NULL, NULL, NULL, 15),
(83971, NULL, 'PTHR11689:SF68', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(83972, NULL, 'PTHR42718:SF29', NULL, NULL, NULL, NULL, 'LINCOMYCIN RESISTANCE PROTEIN LMRB', NULL, NULL, NULL, 15),
(83973, NULL, 'PTHR31717:SF93', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 32-LIKE', NULL, NULL, NULL, 15),
(83974, NULL, 'PTHR13235', NULL, NULL, NULL, NULL, 'SINGLE-STRAND SELECTIVE MONOFUNCTIONAL URACIL DNA GLYCOSYLASE', NULL, NULL, 30196, 15),
(83975, NULL, 'PTHR33048:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83976, NULL, 'PTHR21254:SF1', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(83977, NULL, 'PTHR31241:SF51', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2C', NULL, NULL, NULL, 15),
(83978, NULL, 'PTHR11426:SF236', NULL, NULL, NULL, NULL, 'HISTONE H3.3', NULL, NULL, NULL, 15),
(83979, NULL, 'PTHR11945:SF625', NULL, NULL, NULL, NULL, 'BNACNNG38710D PROTEIN', NULL, NULL, NULL, 15),
(83980, NULL, 'PTHR10219:SF20', NULL, NULL, NULL, NULL, 'CERAMIDE-1-PHOSPHATE TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(83981, NULL, 'PTHR31992:SF226', NULL, NULL, NULL, NULL, 'BNAA08G15120D PROTEIN', NULL, NULL, NULL, 15),
(83982, NULL, 'PTHR42748:SF20', NULL, NULL, NULL, NULL, 'NMRA FAMILY PROTEIN', NULL, NULL, NULL, 15),
(83983, NULL, 'PTHR22953:SF137', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(83984, NULL, 'PTHR11229:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83985, NULL, 'PTHR10689', NULL, NULL, NULL, NULL, 'MICROSOMAL GLUTATHIONE S-TRANSFERASE 1', NULL, NULL, 32916, 15),
(83986, NULL, 'PTHR24073:SF1105', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-1C-RELATED', NULL, NULL, NULL, 15),
(83987, NULL, 'PTHR35910:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83988, NULL, 'PTHR24161:SF94', NULL, NULL, NULL, NULL, 'USHER SYNDROME 1GA (AUTOSOMAL RECESSIVE)-RELATED', NULL, NULL, NULL, 15),
(83989, NULL, 'PTHR43657:SF2', NULL, NULL, NULL, NULL, 'TRYPTOPHAN RNA-BINDING ATTENUATOR PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(83990, NULL, 'PTHR30087:SF0', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(83991, NULL, 'PTHR47443', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(83992, NULL, 'PTHR38546', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', NULL, NULL, 39256, 15),
(83993, NULL, 'PTHR45763:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83994, NULL, 'PTHR11802:SF238', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(83995, NULL, 'PTHR16092:SF14', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 1-RELATED', NULL, NULL, NULL, 15),
(83996, NULL, 'PTHR45631:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(83997, NULL, 'PTHR44376:SF23', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(83998, NULL, 'PTHR11394:SF72', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR CLASS A-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(83999, NULL, 'PTHR10867:SF32', NULL, NULL, NULL, NULL, 'ZGC:64002', NULL, NULL, NULL, 15),
(84000, NULL, 'PTHR31907:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84001, NULL, 'PTHR31087:SF102', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 11-LIKE', NULL, NULL, NULL, 15),
(84002, NULL, 'PTHR12859:SF6', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84003, NULL, 'PTHR23155:SF1006', NULL, NULL, NULL, NULL, 'OS07G0273700 PROTEIN', NULL, NULL, NULL, 15),
(84004, NULL, 'PTHR31639:SF163', NULL, NULL, NULL, NULL, 'OS11G0539600 PROTEIN', NULL, NULL, NULL, 15),
(84005, NULL, 'PTHR45929', NULL, NULL, NULL, NULL, 'JAK PATHWAY SIGNAL TRANSDUCTION ADAPTOR MOLECULE', NULL, NULL, NULL, 15),
(84006, NULL, 'PTHR31496:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR KAN1', NULL, NULL, NULL, 15),
(84007, NULL, 'PTHR12802:SF97', NULL, NULL, NULL, NULL, 'OS01G0156000 PROTEIN', NULL, NULL, NULL, 15),
(84008, NULL, 'PTHR10366:SF639', NULL, NULL, NULL, NULL, '3BETA-HYDROXYSTEROID-DEHYDROGENASE/DECARBOXYLASE ISOFORM 3', NULL, NULL, NULL, 15),
(84009, NULL, 'PTHR40056:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(84010, NULL, 'PTHR47926:SF226', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN ELI1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(84011, NULL, 'PTHR45801:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR RABBIT EARS-RELATED', NULL, NULL, NULL, 15),
(84012, NULL, 'PTHR31374:SF334', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32-LIKE', NULL, NULL, NULL, 15),
(84013, NULL, 'PTHR22929:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TFIIIB COMPONENT B'''' HOMOLOG', NULL, NULL, NULL, 15),
(84014, NULL, 'PTHR33827:SF8', NULL, NULL, NULL, NULL, 'PROTEIN SAWADEE HOMEODOMAIN HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(84015, NULL, 'PTHR46864', NULL, NULL, NULL, NULL, 'LAFORIN', NULL, NULL, 38119, 15),
(84016, NULL, 'PTHR24377:SF850', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 235', NULL, NULL, NULL, 15),
(84017, NULL, 'PTHR13140:SF759', NULL, NULL, NULL, NULL, 'MYOSIN-6-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(84018, NULL, 'PTHR31197:SF25', NULL, NULL, NULL, NULL, 'BNAA02G19910D PROTEIN', NULL, NULL, NULL, 15),
(84019, NULL, 'PTHR33346:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84020, NULL, 'PTHR23325:SF1', NULL, NULL, NULL, NULL, 'SERUM RESPONSE FACTOR-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(84021, NULL, 'PTHR47626:SF5', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(84022, NULL, 'PTHR21252:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 46', NULL, NULL, NULL, 15),
(84023, NULL, 'PTHR14385:SF0', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 16', NULL, NULL, NULL, 15),
(84024, NULL, 'PTHR47828', NULL, NULL, NULL, NULL, 'ARCHAEAL HISTONE A', NULL, NULL, NULL, 15),
(84025, NULL, 'PTHR34685', NULL, NULL, NULL, NULL, 'RED CHLOROPHYLL CATABOLITE REDUCTASE, CHLOROPLASTIC', NULL, NULL, 8337, 15),
(84026, NULL, 'PTHR33735:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84027, NULL, 'PTHR48048:SF14', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(84028, NULL, 'PTHR22953:SF7', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 22', NULL, NULL, NULL, 15),
(84029, NULL, 'PTHR11006:SF53', NULL, NULL, NULL, NULL, 'ARGININE METHYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(84030, NULL, 'PTHR31852:SF183', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84031, NULL, 'PTHR33090:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84032, NULL, 'PTHR33514', NULL, NULL, NULL, NULL, 'PROTEIN ABCI12, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(84033, NULL, 'PTHR24356:SF337', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84034, NULL, 'PTHR36716:SF2', NULL, NULL, NULL, NULL, 'F3H9.20 PROTEIN', NULL, NULL, NULL, 15),
(84035, NULL, 'PTHR12338:SF9', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN A1 PROTEASE AUTOTRANSPORTER', NULL, NULL, NULL, 15),
(84036, NULL, 'PTHR46281:SF12', NULL, NULL, NULL, NULL, 'BNAA07G10470D PROTEIN', NULL, NULL, NULL, 15),
(84037, NULL, 'PTHR31867:SF94', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(84038, NULL, 'PTHR23138', NULL, NULL, NULL, NULL, 'RAN BINDING PROTEIN', NULL, NULL, 39619, 15),
(84039, NULL, 'PTHR13246:SF1', NULL, NULL, NULL, NULL, 'CYTOSOLIC ENDO-BETA-N-ACETYLGLUCOSAMINIDASE', NULL, NULL, NULL, 15),
(84040, NULL, 'PTHR10110:SF94', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 6', NULL, NULL, NULL, 15),
(84041, NULL, 'PTHR31620:SF22', NULL, NULL, NULL, NULL, 'OS01G0957200 PROTEIN', NULL, NULL, NULL, 15),
(84042, NULL, 'PTHR42920:SF20', NULL, NULL, NULL, NULL, 'BLR3407 PROTEIN', NULL, NULL, NULL, 15),
(84043, NULL, 'PTHR13301:SF224', NULL, NULL, NULL, NULL, 'BNACNNG25530D PROTEIN', NULL, NULL, NULL, 15),
(84044, NULL, 'PTHR14017:SF14', NULL, NULL, NULL, NULL, 'JUMONJI (TRANSCRIPTION FACTOR) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(84045, NULL, 'PTHR24253:SF88', NULL, NULL, NULL, NULL, 'NOTOPLEURAL, ISOFORM A', NULL, NULL, NULL, 15),
(84046, NULL, 'PTHR11706:SF40', NULL, NULL, NULL, NULL, 'NATURAL RESISTANCE-ASSOCIATED MACROPHAGE PROTEIN 2', NULL, NULL, NULL, 15),
(84047, NULL, 'PTHR27001:SF865', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(84048, NULL, 'PTHR32429:SF9', NULL, NULL, NULL, NULL, 'POST-ILLUMINATION CHLOROPHYLL FLUORESCENCE INCREASE', NULL, NULL, NULL, 15),
(84049, NULL, 'PTHR11629:SF72', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A1', NULL, NULL, NULL, 15),
(84050, NULL, 'PTHR11985', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, 5772, 15),
(84051, NULL, 'PTHR20902:SF1', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(84052, NULL, 'PTHR12659', NULL, NULL, NULL, NULL, 'RHO-TYPE GTPASE ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(84053, NULL, 'PTHR11081:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84054, NULL, 'PTHR22802', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(84055, NULL, 'PTHR31511', NULL, NULL, NULL, NULL, 'PROTEIN CBG23764', NULL, NULL, NULL, 15),
(84056, NULL, 'PTHR46128:SF196', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84057, NULL, 'PTHR24298:SF744', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84058, NULL, 'PTHR45926:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(84059, NULL, 'PTHR10625:SF196', NULL, NULL, NULL, NULL, 'CHROMOSOME 12, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(84060, NULL, 'PTHR11473:SF15', NULL, NULL, NULL, NULL, 'TYROSINE 3-MONOOXYGENASE', NULL, NULL, NULL, 15),
(84061, NULL, 'PTHR31669:SF175', NULL, NULL, NULL, NULL, 'OS04G0354200 PROTEIN', NULL, NULL, NULL, 15),
(84062, NULL, 'PTHR40438:SF1', NULL, NULL, NULL, NULL, 'PYRUVOYL-DEPENDENT ARGININE DECARBOXYLASE', NULL, NULL, NULL, 15),
(84063, NULL, 'PTHR43859:SF12', NULL, NULL, NULL, NULL, 'OS09G0555800 PROTEIN', NULL, NULL, NULL, 15),
(84064, NULL, 'PTHR35243:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84065, NULL, 'PTHR24071:SF2', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN, TESTIS-SPECIFIC ISOFORM', NULL, NULL, NULL, 15),
(84066, NULL, 'PTHR16134:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84067, NULL, 'PTHR45647:SF95', NULL, NULL, NULL, NULL, 'BNAC09G53040D PROTEIN', NULL, NULL, NULL, 15),
(84068, NULL, 'PTHR11871:SF42', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', NULL, NULL, NULL, 15),
(84069, NULL, 'PTHR47947:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84070, NULL, 'PTHR10671:SF8', NULL, NULL, NULL, NULL, 'EPITHELIAL MEMBRANE PROTEIN 3', NULL, NULL, 6202, 15),
(84071, NULL, 'PTHR23267:SF378', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-21', NULL, NULL, NULL, 15),
(84072, NULL, 'PTHR33231:SF1', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(84073, NULL, 'PTHR10926:SF60', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT 3', NULL, NULL, NULL, 15),
(84074, NULL, 'PTHR47990:SF87', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', NULL, NULL, NULL, 15),
(84075, NULL, 'PTHR37783', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G04315)-RELATED', NULL, NULL, NULL, 15),
(84076, NULL, 'PTHR32278:SF41', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(84077, NULL, 'PTHR15601:SF23', NULL, NULL, NULL, NULL, 'OS11G0637501 PROTEIN', NULL, NULL, NULL, 15),
(84078, NULL, 'PTHR22595:SF166', NULL, NULL, NULL, NULL, 'ENDOCHITINASE', NULL, NULL, NULL, 15),
(84079, NULL, 'PTHR10168:SF233', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S9', NULL, NULL, NULL, 15),
(84080, NULL, 'PTHR13338', NULL, NULL, NULL, NULL, 'UPF0240 PROTEIN', NULL, NULL, 1823, 15),
(84081, NULL, 'PTHR21677', NULL, NULL, NULL, NULL, 'CRAMPED PROTEIN', NULL, NULL, NULL, 15),
(84082, NULL, 'PTHR46074:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PROTEIN 2', NULL, NULL, NULL, 15),
(84083, NULL, 'PTHR21093:SF4', NULL, NULL, NULL, NULL, 'DIVERGENT PROTEIN KINASE DOMAIN 1A', NULL, NULL, NULL, 15),
(84084, NULL, 'PTHR15467:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGERS AND HOMEOBOXES PROTEIN 2', NULL, NULL, NULL, 15),
(84085, NULL, 'PTHR34403:SF10', NULL, NULL, NULL, NULL, 'BNAA01G35380D PROTEIN', NULL, NULL, NULL, 15),
(84086, NULL, 'PTHR10543:SF124', NULL, NULL, NULL, NULL, 'CAROTENOID CLEAVAGE DIOXYGENASE 1-3', NULL, NULL, NULL, 15),
(84087, NULL, 'PTHR13935:SF98', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH126-LIKE', NULL, NULL, NULL, 15),
(84088, NULL, 'PTHR24416:SF297', NULL, NULL, NULL, NULL, 'DISCOIDIN DOMAIN RECEPTOR FAMILY, MEMBER 2,-LIKE', NULL, NULL, NULL, 15),
(84089, NULL, 'PTHR36397', NULL, NULL, NULL, NULL, 'OSJNBA0081L15.1 PROTEIN', NULL, NULL, NULL, 15),
(84090, NULL, 'PTHR23239:SF110', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA8', NULL, NULL, NULL, 15),
(84091, NULL, 'PTHR45984', NULL, NULL, NULL, NULL, 'RNA (RNA) POLYMERASE II ASSOCIATED PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(84092, NULL, 'PTHR24012:SF680', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(84093, NULL, 'PTHR12629:SF44', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(84094, NULL, 'PTHR12280:SF25', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(84095, NULL, 'PTHR31276:SF15', NULL, NULL, NULL, NULL, 'BNAC05G50330D PROTEIN', NULL, NULL, NULL, 15),
(84096, NULL, 'PTHR21522:SF29', NULL, NULL, NULL, NULL, 'OTOPETRIN-LIKE', NULL, NULL, NULL, 15),
(84097, NULL, 'PTHR12400:SF78', NULL, NULL, NULL, NULL, 'KINASE', NULL, NULL, NULL, 15),
(84098, NULL, 'PTHR14514:SF3', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 68 KDA-RELATED', NULL, NULL, 23322, 15),
(84099, NULL, 'PTHR37236:SF2', NULL, NULL, NULL, NULL, 'BNAC03G30470D PROTEIN', NULL, NULL, NULL, 15),
(84100, NULL, 'PTHR11782:SF32', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 1', NULL, NULL, NULL, 15),
(84101, NULL, 'PTHR12197:SF273', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03000)-RELATED', NULL, NULL, NULL, 15),
(84102, NULL, 'PTHR13798:SF3', NULL, NULL, NULL, NULL, 'RNP (RRM RNA BINDING DOMAIN) CONTAINING', NULL, NULL, NULL, 15),
(84103, NULL, 'PTHR10783:SF61', NULL, NULL, NULL, NULL, 'LD30826P', NULL, NULL, NULL, 15),
(84104, NULL, 'PTHR46324:SF9', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 43-LIKE', NULL, NULL, NULL, 15),
(84105, NULL, 'PTHR34709:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84106, NULL, 'PTHR13964:SF41', NULL, NULL, NULL, NULL, 'ZGC:77151', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84107, NULL, 'PTHR42951:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84108, NULL, 'PTHR46601', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84109, NULL, 'PTHR11802:SF204', NULL, NULL, NULL, NULL, 'OS11G0460800 PROTEIN', NULL, NULL, NULL, 15),
(84110, NULL, 'PTHR24359:SF26', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MENG-PO', NULL, NULL, NULL, 15),
(84111, NULL, 'PTHR12001:SF76', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHETASE IDSA2 (GGPPSASE) (GGPP SYNTHETASE) (GERANYLGERANYL DIPHOSPHATE SYNTHASE)-RELATED', NULL, NULL, NULL, 15),
(84112, NULL, 'PTHR36941:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG01626', NULL, NULL, NULL, 15),
(84113, NULL, 'PTHR38422', NULL, NULL, NULL, NULL, 'SOMETHING ABOUT SILENCING PROTEIN 4', NULL, NULL, 33169, 15),
(84114, NULL, 'PTHR11886:SF96', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(84115, NULL, 'PTHR11426:SF217', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE 5-RELATED', NULL, NULL, NULL, 15),
(84116, NULL, 'PTHR13037:SF20', NULL, NULL, NULL, NULL, 'SI:CH1073-209E23.1', NULL, NULL, NULL, 15),
(84117, NULL, 'PTHR45720:SF6', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN 2', NULL, NULL, NULL, 15),
(84118, NULL, 'PTHR10288:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84119, NULL, 'PTHR31439:SF5', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(84120, NULL, 'PTHR34464:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84121, NULL, 'PTHR24055:SF442', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(84122, NULL, 'PTHR43398:SF1', NULL, NULL, NULL, NULL, 'DOLICHOL-PHOSPHATE MANNOSYLTRANSFERASE SUBUNIT 1', NULL, NULL, NULL, 15),
(84123, NULL, 'PTHR33374:SF31', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 22-LIKE', NULL, NULL, NULL, 15),
(84124, NULL, 'PTHR13947:SF6', NULL, NULL, NULL, NULL, 'MCG128680, ISOFORM CRA_A-RELATED', NULL, NULL, NULL, 15),
(84125, NULL, 'PTHR24219:SF7', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN AJUBA', NULL, NULL, NULL, 15),
(84126, NULL, 'PTHR10177:SF451', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN CYCLIN', NULL, NULL, NULL, 15),
(84127, NULL, 'PTHR36120:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84128, NULL, 'PTHR33083:SF63', NULL, NULL, NULL, NULL, 'BNAA03G48340D PROTEIN', NULL, NULL, NULL, 15),
(84129, NULL, 'PTHR32444:SF72', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(84130, NULL, 'PTHR43462', NULL, NULL, NULL, NULL, 'ALANYL-TRNA EDITING PROTEIN', NULL, NULL, NULL, 15),
(84131, NULL, 'PTHR10579:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84132, NULL, 'PTHR31992:SF93', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.5-LIKE', NULL, NULL, NULL, 15),
(84133, NULL, 'PTHR12411:SF777', NULL, NULL, NULL, NULL, 'THIOL PROTEASE ALEURAIN', NULL, NULL, NULL, 15),
(84134, NULL, 'PTHR23355', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', NULL, NULL, NULL, 15),
(84135, NULL, 'PTHR27001:SF768', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(84136, NULL, 'PTHR31263:SF46', NULL, NULL, NULL, NULL, 'HYDROLYZING O-GLYCOSYL COMPOUNDS HYDROLASE', NULL, NULL, NULL, 15),
(84137, NULL, 'PTHR45858:SF1', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(84138, NULL, 'PTHR45856:SF7', NULL, NULL, NULL, NULL, 'OS03G0348800 PROTEIN', NULL, NULL, NULL, 15),
(84139, NULL, 'PTHR36101', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN 8', NULL, NULL, 12594, 15),
(84140, NULL, 'PTHR33443:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84141, NULL, 'PTHR19918:SF4', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 20 HOMOLOG B', NULL, NULL, NULL, 15),
(84142, NULL, 'PTHR33990:SF4', NULL, NULL, NULL, NULL, '3-DEMETHYLUBIQUINONE-9 3-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(84143, NULL, 'PTHR21557:SF2', NULL, NULL, NULL, NULL, 'CORDON-BLEU PROTEIN-LIKE 1', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84144, NULL, 'PTHR22950:SF661', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(84145, NULL, 'PTHR36110:SF2', NULL, NULL, NULL, NULL, 'RING-CLEAVING DIOXYGENASE MHQE-RELATED', NULL, NULL, NULL, 15),
(84146, NULL, 'PTHR35324:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(84147, NULL, 'PTHR12313:SF61', NULL, NULL, NULL, NULL, 'OS05G0470700 PROTEIN', NULL, NULL, NULL, 15),
(84148, NULL, 'PTHR30627:SF2', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN D,D-TRANSPEPTIDASE MRDA', NULL, NULL, NULL, 15),
(84149, NULL, 'PTHR23054:SF53', NULL, NULL, NULL, NULL, 'OS06G0704100 PROTEIN', NULL, NULL, NULL, 15),
(84150, NULL, 'PTHR21649:SF80', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(84151, NULL, 'PTHR47967:SF46', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-1-LIKE', NULL, NULL, NULL, 15),
(84152, NULL, 'PTHR11040:SF146', NULL, NULL, NULL, NULL, 'ZINC/IRON PERMEASE', NULL, NULL, NULL, 15),
(84153, NULL, 'PTHR34474:SF2', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION PROTEIN TRAP', NULL, NULL, NULL, 15),
(84154, NULL, 'PTHR19878', NULL, NULL, NULL, NULL, 'AUTOPHAGY PROTEIN 16-LIKE', NULL, NULL, 39167, 15),
(84155, NULL, 'PTHR12281:SF2', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(84156, NULL, 'PTHR27000:SF595', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84157, NULL, 'PTHR24298:SF841', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81D11', NULL, NULL, NULL, 15),
(84158, NULL, 'PTHR24083:SF171', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-136', NULL, NULL, NULL, 15),
(84159, NULL, 'PTHR34591:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84160, NULL, 'PTHR46234:SF3', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(84161, NULL, 'PTHR33882:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84162, NULL, 'PTHR45967:SF31', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN EMBP-1', NULL, NULL, NULL, 15),
(84163, NULL, 'PTHR24096:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84164, NULL, 'PTHR11482', NULL, NULL, NULL, NULL, 'ARGININE/DIAMINOPIMELATE/ORNITHINE DECARBOXYLASE', NULL, NULL, 7280, 15),
(84165, NULL, 'PTHR37613:SF4', NULL, NULL, NULL, NULL, 'DUF4378 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(84166, NULL, 'PTHR35290:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CASPARIAN STRIP INTEGRITY FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(84167, NULL, 'PTHR31585:SF45', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(84168, NULL, 'PTHR33431:SF11', NULL, NULL, NULL, NULL, 'ENABLED-LIKE PROTEIN (DUF1635)', NULL, NULL, NULL, 15),
(84169, NULL, 'PTHR11847', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L15', NULL, NULL, 6759, 15),
(84170, NULL, 'PTHR19331:SF467', NULL, NULL, NULL, NULL, 'EGG PEPTIDE SPERACT RECEPTOR', NULL, NULL, NULL, 15),
(84171, NULL, 'PTHR21530:SF10', NULL, NULL, NULL, NULL, 'BNAA10G03300D PROTEIN', NULL, NULL, NULL, 15),
(84172, NULL, 'PTHR33347:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84173, NULL, 'PTHR36783', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 17.9 KDA PROTEIN, CHLOROPLASTIC', NULL, NULL, 29130, 15),
(84174, NULL, 'PTHR43539:SF28', NULL, NULL, NULL, NULL, 'SLR0801 PROTEIN', NULL, NULL, NULL, 15),
(84175, NULL, 'PTHR33514:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84176, NULL, 'PTHR11465:SF25', NULL, NULL, NULL, NULL, 'PEROXISOMAL CATALASE 1', NULL, NULL, NULL, 15),
(84177, NULL, 'PTHR24286:SF311', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(84178, NULL, 'PTHR33091:SF95', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, NULL, 15),
(84179, NULL, 'PTHR46128:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84180, NULL, 'PTHR30543:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84181, NULL, 'PTHR11835:SF64', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] REGULATORY SUBUNIT 1, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(84182, NULL, 'PTHR31933:SF9', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(84183, NULL, 'PTHR32246:SF22', NULL, NULL, NULL, NULL, 'PROTEIN SRC2 HOMOLOG', NULL, NULL, NULL, 15),
(84184, NULL, 'PTHR31086', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 10', NULL, NULL, NULL, 15),
(84185, NULL, 'PTHR34929', NULL, NULL, NULL, NULL, 'ZGC:153157', NULL, NULL, NULL, 15),
(84186, NULL, 'PTHR22883:SF364', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(84187, NULL, 'PTHR24414:SF113', NULL, NULL, NULL, NULL, 'BNAA03G53580D PROTEIN', NULL, NULL, NULL, 15),
(84188, NULL, 'PTHR44156:SF3', NULL, NULL, NULL, NULL, 'SERINE-THREONINE KINASE RECEPTOR-ASSOCIATED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(84189, NULL, 'PTHR23430:SF326', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(84190, NULL, 'PTHR43452:SF1', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(84191, NULL, 'PTHR24177:SF241', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY ANKYRIN REPEAT SUBUNIT B-LIKE', NULL, NULL, NULL, 15),
(84192, NULL, 'PTHR45715:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84193, NULL, 'PTHR34996:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84194, NULL, 'PTHR31269:SF27', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH4-LIKE', NULL, NULL, NULL, 15),
(84195, NULL, 'PTHR23547:SF1', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', NULL, NULL, NULL, 15),
(84196, NULL, 'PTHR11153:SF16', NULL, NULL, NULL, NULL, 'SIDOREFLEXIN', NULL, NULL, NULL, 15),
(84197, NULL, 'PTHR16071', NULL, NULL, NULL, NULL, 'CHROMOSOME 1 OPEN READING FRAME 112', NULL, NULL, 24272, 15),
(84198, NULL, 'PTHR31238:SF8', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 3 MEMBER 2', NULL, NULL, NULL, 15),
(84199, NULL, 'PTHR11783:SF202', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(84200, NULL, 'PTHR31747:SF19', NULL, NULL, NULL, NULL, 'LSD1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(84201, NULL, 'PTHR48049:SF14', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(84202, NULL, 'PTHR21257:SF48', NULL, NULL, NULL, NULL, 'STEROL REDUCTASE (EUROFUNG)', NULL, NULL, NULL, 15),
(84203, NULL, 'PTHR21567:SF78', NULL, NULL, NULL, NULL, 'BNAA07G00070D PROTEIN', NULL, NULL, NULL, 15),
(84204, NULL, 'PTHR24361:SF678', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 1', NULL, NULL, NULL, 15),
(84205, NULL, 'PTHR15407:SF38', NULL, NULL, NULL, NULL, 'PROTEIN CBG15246', NULL, NULL, NULL, 15),
(84206, NULL, 'PTHR15350', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 7/DENDRITIC CELL PROTEIN GA17', NULL, NULL, 39540, 15),
(84207, NULL, 'PTHR12128:SF35', NULL, NULL, NULL, NULL, 'BLL4423 PROTEIN', NULL, NULL, NULL, 15),
(84208, NULL, 'PTHR43939:SF1', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 4', NULL, NULL, NULL, 15),
(84209, NULL, 'PTHR30073', NULL, NULL, NULL, NULL, 'ASPARTATE--AMMONIA LIGASE', NULL, NULL, 2210, 15),
(84210, NULL, 'PTHR24384:SF81', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 732', NULL, NULL, NULL, 15),
(84211, NULL, 'PTHR10460:SF2', NULL, NULL, NULL, NULL, 'ABL INTERACTOR 1', NULL, NULL, 27005, 15),
(84212, NULL, 'PTHR32479:SF19', NULL, NULL, NULL, NULL, 'ANAEROBIC GLYCEROL-3-PHOSPHATE DEHYDROGENASE SUBUNIT C', NULL, NULL, NULL, 15),
(84213, NULL, 'PTHR45631:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84214, NULL, 'PTHR47124', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP8', NULL, NULL, 37056, 15),
(84215, NULL, 'PTHR11006:SF111', NULL, NULL, NULL, NULL, 'BNAC03G41340D PROTEIN', NULL, NULL, NULL, 15),
(84216, NULL, 'PTHR48035', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1', NULL, NULL, NULL, 15),
(84217, NULL, 'PTHR46629:SF22', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84218, NULL, 'PTHR13843', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN', NULL, NULL, 21891, 15),
(84219, NULL, 'PTHR11043:SF22', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-2-LIKE', NULL, NULL, NULL, 15),
(84220, NULL, 'PTHR11926:SF1299', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 84A3-RELATED', NULL, NULL, NULL, 15),
(84221, NULL, 'PTHR31286:SF65', NULL, NULL, NULL, NULL, 'BNAA09G15220D PROTEIN', NULL, NULL, NULL, 15),
(84222, NULL, 'PTHR10634:SF120', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 3', NULL, NULL, NULL, 15),
(84223, NULL, 'PTHR45800:SF23', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-AND 4-KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84224, NULL, 'PTHR31079:SF38', NULL, NULL, NULL, NULL, 'BNAA07G08370D PROTEIN', NULL, NULL, NULL, 15),
(84225, NULL, 'PTHR23257:SF717', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE', NULL, NULL, NULL, 15),
(84226, NULL, 'PTHR47958:SF74', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(84227, NULL, 'PTHR47921:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84228, NULL, 'PTHR46768', NULL, NULL, NULL, NULL, 'TWO PORE CALCIUM CHANNEL PROTEIN 2', NULL, NULL, 27797, 15),
(84229, NULL, 'PTHR45642:SF49', NULL, NULL, NULL, NULL, 'ANTHER-SPECIFIC PROLINE-RICH PROTEIN APG', NULL, NULL, NULL, 15),
(84230, NULL, 'PTHR33470:SF40', NULL, NULL, NULL, NULL, 'POLLEN OLE E I FAMILY ALLERGEN', NULL, NULL, NULL, 15),
(84231, NULL, 'PTHR24249:SF382', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 52', NULL, NULL, NULL, 15),
(84232, NULL, 'PTHR47030:SF2', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84233, NULL, 'PTHR33402', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 11-LIKE', NULL, NULL, 29081, 15),
(84234, NULL, 'PTHR11711:SF323', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 5', NULL, NULL, NULL, 15),
(84235, NULL, 'PTHR12725:SF117', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE', NULL, NULL, NULL, 15),
(84236, NULL, 'PTHR34543:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ABA DEFICIENT 4, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(84237, NULL, 'PTHR46128:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84238, NULL, 'PTHR36350:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(84239, NULL, 'PTHR23166:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG17702', NULL, NULL, NULL, 15),
(84240, NULL, 'PTHR22765:SF290', NULL, NULL, NULL, NULL, 'BNAC03G54060D PROTEIN', NULL, NULL, NULL, 15),
(84241, NULL, 'PTHR37534:SF2', NULL, NULL, NULL, NULL, 'ADHESION AND HYPHAL REGULATOR 1', NULL, NULL, NULL, 15),
(84242, NULL, 'PTHR11260:SF620', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(84243, NULL, 'PTHR14119:SF12', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE FAMILY PROTEIN 2A-RELATED', NULL, NULL, NULL, 15),
(84244, NULL, 'PTHR10033:SF14', NULL, NULL, NULL, NULL, 'CALSEQUESTRIN-1', NULL, NULL, NULL, 15),
(84245, NULL, 'PTHR32096:SF97', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 22-LIKE', NULL, NULL, NULL, 15),
(84246, NULL, 'PTHR12993:SF20', NULL, NULL, NULL, NULL, 'N-ACETYL-ALPHA-D-GLUCOSAMINYL L-MALATE DEACETYLASE 2-RELATED', NULL, NULL, NULL, 15),
(84247, NULL, 'PTHR42105:SF1', NULL, NULL, NULL, NULL, 'DIM2-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(84248, NULL, 'PTHR47982:SF54', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(84249, NULL, 'PTHR35846', NULL, NULL, NULL, NULL, 'PROTEIN CBG05131', NULL, NULL, NULL, 15),
(84250, NULL, 'PTHR11362:SF114', NULL, NULL, NULL, NULL, 'BNAC06G27090D PROTEIN', NULL, NULL, NULL, 15),
(84251, NULL, 'PTHR22957:SF448', NULL, NULL, NULL, NULL, 'OS01G0908100 PROTEIN', NULL, NULL, NULL, 15),
(84252, NULL, 'PTHR47158', NULL, NULL, NULL, NULL, 'OS08G0239000 PROTEIN', NULL, NULL, NULL, 15),
(84253, NULL, 'PTHR23177:SF62', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATION PROTEIN-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84254, NULL, 'PTHR24416:SF341', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR TIE-1', NULL, NULL, NULL, 15),
(84255, NULL, 'PTHR33044:SF93', NULL, NULL, NULL, NULL, 'OS11G0583100 PROTEIN', NULL, NULL, NULL, 15),
(84256, NULL, 'PTHR31388:SF190', NULL, NULL, NULL, NULL, 'OS06G0522100 PROTEIN', NULL, NULL, NULL, 15),
(84257, NULL, 'PTHR24212:SF8', NULL, NULL, NULL, NULL, 'LIM DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(84258, NULL, 'PTHR45614:SF169', NULL, NULL, NULL, NULL, 'BNAA10G16980D PROTEIN', NULL, NULL, NULL, 15),
(84259, NULL, 'PTHR35284:SF5', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 24, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(84260, NULL, 'PTHR24281:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84261, NULL, 'PTHR23353:SF4', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY, MEMBER 24, GENE 2', NULL, NULL, NULL, 15),
(84262, NULL, 'PTHR34927:SF1', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN K', NULL, NULL, NULL, 15),
(84263, NULL, 'PTHR31580:SF11', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(84264, NULL, 'PTHR33702', NULL, NULL, NULL, NULL, 'BNAA09G40010D PROTEIN', NULL, NULL, NULL, 15),
(84265, NULL, 'PTHR45682:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 3', NULL, NULL, NULL, 15),
(84266, NULL, 'PTHR24012:SF409', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(84267, NULL, 'PTHR36427', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(84268, NULL, 'PTHR11905:SF34', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 29', NULL, NULL, NULL, 15),
(84269, NULL, 'PTHR43952:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB/SANT FAMILY-RELATED', NULL, NULL, NULL, 15),
(84270, NULL, 'PTHR24286:SF273', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84271, NULL, 'PTHR46272:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84272, NULL, 'PTHR44259:SF72', NULL, NULL, NULL, NULL, 'BNAA01G13160D PROTEIN', NULL, NULL, NULL, 15),
(84273, NULL, 'PTHR47501:SF1', NULL, NULL, NULL, NULL, 'ZGC:161969', NULL, NULL, NULL, 15),
(84274, NULL, 'PTHR24237:SF37', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR II (THROMBIN) RECEPTOR-LIKE 2', NULL, NULL, NULL, 15),
(84275, NULL, 'PTHR10845:SF245', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN-SIGNALING 16', NULL, NULL, NULL, 15),
(84276, NULL, 'PTHR21366:SF26', NULL, NULL, NULL, NULL, 'BLL6427 PROTEIN', NULL, NULL, NULL, 15),
(84277, NULL, 'PTHR12902:SF9', NULL, NULL, NULL, NULL, 'SI:CH73-362M14.4-RELATED', NULL, NULL, NULL, 15),
(84278, NULL, 'PTHR19321:SF24', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 9', NULL, NULL, NULL, 15),
(84279, NULL, 'PTHR32133:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84280, NULL, 'PTHR34128', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN CCME HOMOLOG, MITOCHONDRIAL', NULL, NULL, 4990, 15),
(84281, NULL, 'PTHR45967:SF25', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN, G-BOX BINDING PROTEIN, MULTIFUNCTIONAL MOSAIC REGION-RELATED', NULL, NULL, NULL, 15),
(84282, NULL, 'PTHR47975:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84283, NULL, 'PTHR31973:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84284, NULL, 'PTHR30386:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE FUSION PROTEIN (MFP) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84285, NULL, 'PTHR11132:SF283', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(84286, NULL, 'PTHR32176:SF70', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(84287, NULL, 'PTHR48054:SF26', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN 1', NULL, NULL, NULL, 15),
(84288, NULL, 'PTHR46686:SF6', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: D-INOSITOL 3-PHOSPHATE GLYCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84289, NULL, 'PTHR31282:SF99', NULL, NULL, NULL, NULL, 'OS05G0321900 PROTEIN', NULL, NULL, NULL, 15),
(84290, NULL, 'PTHR47535:SF2', NULL, NULL, NULL, NULL, 'NESPRIN-3', NULL, NULL, 23274, 15),
(84291, NULL, 'PTHR12242:SF1', NULL, NULL, NULL, NULL, 'IP08657P-RELATED', NULL, NULL, 29572, 15),
(84292, NULL, 'PTHR31155:SF29', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 7 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(84293, NULL, 'PTHR31917:SF98', NULL, NULL, NULL, NULL, 'BNAC08G50050D PROTEIN', NULL, NULL, NULL, 15),
(84294, NULL, 'PTHR23043:SF22', NULL, NULL, NULL, NULL, 'SINGLE-MINDED HOMOLOG 1', NULL, NULL, NULL, 15),
(84295, NULL, 'PTHR24089:SF631', NULL, NULL, NULL, NULL, 'OS08G0520000 PROTEIN', NULL, NULL, NULL, 15),
(84296, NULL, 'PTHR45979:SF10', NULL, NULL, NULL, NULL, 'BNAA09G35770D PROTEIN', NULL, NULL, NULL, 15),
(84297, NULL, 'PTHR21624:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84298, NULL, 'PTHR31727:SF16', NULL, NULL, NULL, NULL, 'OLEOYL-ACYL CARRIER PROTEIN THIOESTERASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(84299, NULL, 'PTHR10366:SF624', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(84300, NULL, 'PTHR12300:SF157', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN C', NULL, NULL, NULL, 15),
(84301, NULL, 'PTHR11304:SF41', NULL, NULL, NULL, NULL, 'EPH(F)RIN', NULL, NULL, NULL, 15),
(84302, NULL, 'PTHR10969:SF73', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(84303, NULL, 'PTHR10772:SF13', NULL, NULL, NULL, NULL, '10 KDA CHAPERONIN 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(84304, NULL, 'PTHR11481:SF101', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(84305, NULL, 'PTHR31989:SF142', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(84306, NULL, 'PTHR31133:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(84307, NULL, 'PTHR32467:SF144', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN', NULL, NULL, NULL, 15),
(84308, NULL, 'PTHR24416:SF563', NULL, NULL, NULL, NULL, 'EPH RECEPTOR B3A', NULL, NULL, NULL, 15),
(84309, NULL, 'PTHR31232:SF48', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 12', NULL, NULL, NULL, 15),
(84310, NULL, 'PTHR47957:SF1', NULL, NULL, NULL, NULL, 'NUCLEIC ACID BINDING', NULL, NULL, NULL, 15),
(84311, NULL, 'PTHR10920:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84312, NULL, 'PTHR47980:SF42', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-13', NULL, NULL, NULL, 15),
(84313, NULL, 'PTHR31722:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84314, NULL, 'PTHR31506:SF15', NULL, NULL, NULL, NULL, 'BES1/BZR1 HOMOLOG PROTEIN 1', NULL, NULL, NULL, 15),
(84315, NULL, 'PTHR43299:SF1', NULL, NULL, NULL, NULL, 'UPF0718 PROTEIN YRAQ', NULL, NULL, NULL, 15),
(84316, NULL, 'PTHR31429:SF88', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84317, NULL, 'PTHR38926:SF21', NULL, NULL, NULL, NULL, 'F-BOX/LRR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84318, NULL, 'PTHR11062:SF268', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(84319, NULL, 'PTHR17378:SF1', NULL, NULL, NULL, NULL, 'SECRETIN', NULL, NULL, NULL, 15),
(84320, NULL, 'PTHR24228:SF11', NULL, NULL, NULL, NULL, 'TYPE-1 ANGIOTENSIN II RECEPTOR', NULL, NULL, NULL, 15),
(84321, NULL, 'PTHR11205:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S5', NULL, NULL, NULL, 15),
(84322, NULL, 'PTHR47966:SF32', NULL, NULL, NULL, NULL, 'FUNGAL PROTEINASE A, ASPARTIC PROTEINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(84323, NULL, 'PTHR12161:SF70', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN IST1-RELATED', NULL, NULL, NULL, 15),
(84324, NULL, 'PTHR30572', NULL, NULL, NULL, NULL, 'MEMBRANE COMPONENT OF TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(84325, NULL, 'PTHR12277:SF130', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84326, NULL, 'PTHR27009:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84327, NULL, 'PTHR11668:SF463', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(84328, NULL, 'PTHR37479:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSL', NULL, NULL, NULL, 15),
(84329, NULL, 'PTHR23050:SF391', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84330, NULL, 'PTHR24073:SF343', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-6B', NULL, NULL, NULL, 15),
(84331, NULL, 'PTHR11240:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84332, NULL, 'PTHR10887:SF492', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84333, NULL, 'PTHR42771:SF12', NULL, NULL, NULL, NULL, 'FE(3+) DICITRATE TRANSPORT ATP-BINDING PROTEIN FECE-RELATED', NULL, NULL, NULL, 15),
(84334, NULL, 'PTHR16095:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 143', NULL, NULL, NULL, 15),
(84335, NULL, 'PTHR46719:SF8', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84336, NULL, 'PTHR43163:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(84337, NULL, 'PTHR31227', NULL, NULL, NULL, NULL, 'PROTEIN CBG15697', NULL, NULL, NULL, 15),
(84338, NULL, 'PTHR33358:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84339, NULL, 'PTHR33207:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84340, NULL, 'PTHR10417:SF4', NULL, NULL, NULL, NULL, 'GMEB (GLUCOCORTICOID MODULATORY ELEMENT BINDING PROTEIN) TRANSCRIPTIONAL REGULATOR HOMOLOG', NULL, NULL, NULL, 15),
(84341, NULL, 'PTHR46332:SF4', NULL, NULL, NULL, NULL, 'ASPARTATE BETA-HYDROXYLASE DOMAIN-CONTAINING 1', NULL, NULL, NULL, 15),
(84342, NULL, 'PTHR42198', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, 29414, 15),
(84343, NULL, 'PTHR43655:SF22', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 10, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(84344, NULL, 'PTHR15651:SF7', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(84345, NULL, 'PTHR34054:SF7', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(84346, NULL, 'PTHR12750:SF18', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(84347, NULL, 'PTHR42801:SF4', NULL, NULL, NULL, NULL, 'THIOREDOXIN-DEPENDENT PEROXIDE REDUCTASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(84348, NULL, 'PTHR15337:SF10', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(84349, NULL, 'PTHR27003:SF378', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(84350, NULL, 'PTHR10527:SF16', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 6', NULL, NULL, NULL, 15),
(84351, NULL, 'PTHR10984:SF62', NULL, NULL, NULL, NULL, 'ER-DERIVED VESICLES PROTEIN ERV41', NULL, NULL, NULL, 15),
(84352, NULL, 'PTHR31374:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84353, NULL, 'PTHR22765:SF284', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84354, NULL, 'PTHR11964:SF38', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(84355, NULL, 'PTHR11566', NULL, NULL, NULL, NULL, 'DYNAMIN', NULL, NULL, 17139, 15),
(84356, NULL, 'PTHR10799:SF964', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY A CONTAINING DEAD/H BOX 1', NULL, NULL, NULL, 15),
(84357, NULL, 'PTHR10159:SF521', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND PHOSPHATASE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(84358, NULL, 'PTHR21553', NULL, NULL, NULL, NULL, 'ALMS1-RELATED', NULL, NULL, NULL, 15),
(84359, NULL, 'PTHR35703:SF7', NULL, NULL, NULL, NULL, 'BNAC06G17920D PROTEIN', NULL, NULL, NULL, 15),
(84360, NULL, 'PTHR22814:SF319', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 31', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84361, NULL, 'PTHR12296:SF27', NULL, NULL, NULL, NULL, 'DENN (AEX-3) DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G11200)', NULL, NULL, NULL, 15),
(84362, NULL, 'PTHR24399:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 17', NULL, NULL, NULL, 15),
(84363, NULL, 'PTHR10663:SF355', NULL, NULL, NULL, NULL, 'ARF GUANINE-NUCLEOTIDE EXCHANGE FACTOR GNOM-LIKE', NULL, NULL, NULL, 15),
(84364, NULL, 'PTHR12346:SF31', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX PROTEIN SIN3-LIKE 5', NULL, NULL, NULL, 15),
(84365, NULL, 'PTHR30133:SF4', NULL, NULL, NULL, NULL, 'AMINO ACID ABC TRANSPORTER, PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(84366, NULL, 'PTHR23322:SF79', NULL, NULL, NULL, NULL, 'BNAC04G28940D PROTEIN', NULL, NULL, NULL, 15),
(84367, NULL, 'PTHR10634:SF107', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 8-LIKE', NULL, NULL, NULL, 15),
(84368, NULL, 'PTHR10071', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GATA FAMILY MEMBER', NULL, NULL, 35874, 15),
(84369, NULL, 'PTHR12956:SF64', NULL, NULL, NULL, NULL, 'BNAC06G06090D PROTEIN', NULL, NULL, NULL, 15),
(84370, NULL, 'PTHR21325:SF48', NULL, NULL, NULL, NULL, 'SI:CH211-214P16.3', NULL, NULL, NULL, 15),
(84371, NULL, 'PTHR10971:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84372, NULL, 'PTHR11255:SF82', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 6', NULL, NULL, NULL, 15),
(84373, NULL, 'PTHR19282:SF464', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(84374, NULL, 'PTHR43766:SF3', NULL, NULL, NULL, NULL, 'BNAA04G15180D PROTEIN', NULL, NULL, NULL, 15),
(84375, NULL, 'PTHR47993:SF17', NULL, NULL, NULL, NULL, 'BNAUNNG04600D PROTEIN', NULL, NULL, NULL, 15),
(84376, NULL, 'PTHR48047:SF46', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84377, NULL, 'PTHR33143:SF51', NULL, NULL, NULL, NULL, 'PROTEIN MKS1-LIKE', NULL, NULL, NULL, 15),
(84378, NULL, 'PTHR31325:SF196', NULL, NULL, NULL, NULL, 'OS01G0143600 PROTEIN', NULL, NULL, NULL, 15),
(84379, NULL, 'PTHR27002:SF205', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84380, NULL, 'PTHR11586:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84381, NULL, 'PTHR11654:SF555', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84382, NULL, 'PTHR14155:SF549', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84383, NULL, 'PTHR33044:SF182', NULL, NULL, NULL, NULL, 'BNACNNG36210D PROTEIN', NULL, NULL, NULL, 15),
(84384, NULL, 'PTHR31263:SF44', NULL, NULL, NULL, NULL, 'CELLULASE (GLYCOSYL HYDROLASE FAMILY 5) PROTEIN', NULL, NULL, NULL, 15),
(84385, NULL, 'PTHR36873:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL GENE SUPPORTED BY BC079057', NULL, NULL, NULL, 15),
(84386, NULL, 'PTHR13683:SF667', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84387, NULL, 'PTHR14030:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBR-SAN-1', NULL, NULL, NULL, 15),
(84388, NULL, 'PTHR33473:SF14', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ADAPTOR PROTEIN CLPS', NULL, NULL, NULL, 15),
(84389, NULL, 'PTHR23105:SF161', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A', NULL, NULL, NULL, 15),
(84390, NULL, 'PTHR46277:SF18', NULL, NULL, NULL, NULL, 'BNAA09G45440D PROTEIN', NULL, NULL, NULL, 15),
(84391, NULL, 'PTHR24015:SF1801', NULL, NULL, NULL, NULL, 'OS01G0737900 PROTEIN', NULL, NULL, NULL, 15),
(84392, NULL, 'PTHR10994:SF162', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(84393, NULL, 'PTHR21483:SF18', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(84394, NULL, 'PTHR12970:SF2', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 2', NULL, NULL, NULL, 15),
(84395, NULL, 'PTHR10615:SF183', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT5', NULL, NULL, 30214, 15),
(84396, NULL, 'PTHR11473:SF18', NULL, NULL, NULL, NULL, 'TYROSINE 3-MONOOXYGENASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84397, NULL, 'PTHR22883:SF381', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(84398, NULL, 'PTHR31736:SF9', NULL, NULL, NULL, NULL, 'ENDO-XYLOGALACTURONAN HYDROLASE A-RELATED', NULL, NULL, NULL, 15),
(84399, NULL, 'PTHR46250:SF7', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84400, NULL, 'PTHR10161:SF45', NULL, NULL, NULL, NULL, 'TARTRATE-RESISTANT ACID PHOSPHATASE TYPE 5', NULL, NULL, NULL, 15),
(84401, NULL, 'PTHR10953:SF169', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME 1 Y', NULL, NULL, NULL, 15),
(84402, NULL, 'PTHR21717:SF76', NULL, NULL, NULL, NULL, 'BNAA08G29010D PROTEIN', NULL, NULL, NULL, 15),
(84403, NULL, 'PTHR45662:SF11', NULL, NULL, NULL, NULL, 'OS11G0309000 PROTEIN', NULL, NULL, NULL, 15),
(84404, NULL, 'PTHR24067:SF245', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84405, NULL, 'PTHR45662:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITIDE PHOSPHATASE SAC1', NULL, NULL, NULL, 15),
(84406, NULL, 'PTHR10501:SF66', NULL, NULL, NULL, NULL, 'BNAA07G37330D PROTEIN', NULL, NULL, NULL, 15),
(84407, NULL, 'PTHR12621:SF7', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH DOMAIN (CHORD)-CONTAINING 1A-RELATED', NULL, NULL, NULL, 15),
(84408, NULL, 'PTHR46033:SF38', NULL, NULL, NULL, NULL, 'OS12G0256800 PROTEIN', NULL, NULL, NULL, 15),
(84409, NULL, 'PTHR31116:SF32', NULL, NULL, NULL, NULL, 'BNAC01G38620D PROTEIN', NULL, NULL, NULL, 15),
(84410, NULL, 'PTHR46315:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84411, NULL, 'PTHR33727:SF11', NULL, NULL, NULL, NULL, 'OS03G0780200 PROTEIN', NULL, NULL, NULL, 15),
(84412, NULL, 'PTHR48019:SF95', NULL, NULL, NULL, NULL, 'MADS2', NULL, NULL, NULL, 15),
(84413, NULL, 'PTHR10288:SF137', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(84414, NULL, 'PTHR42898:SF22', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE 2', NULL, NULL, NULL, 15),
(84415, NULL, 'PTHR47990:SF167', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84416, NULL, 'PTHR46474:SF1', NULL, NULL, NULL, NULL, 'TWO PORE CALCIUM CHANNEL PROTEIN 1', NULL, NULL, NULL, 15),
(84417, NULL, 'PTHR32472:SF11', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS CLASS)', NULL, NULL, NULL, 15),
(84418, NULL, 'PTHR10797:SF6', NULL, NULL, NULL, NULL, 'CAF1 FAMILY RIBONUCLEASE CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(84419, NULL, 'PTHR11213:SF6', NULL, NULL, NULL, NULL, 'SOMATOLIBERIN', NULL, NULL, NULL, 15),
(84420, NULL, 'PTHR24229:SF1', NULL, NULL, NULL, NULL, 'KAPPA-TYPE OPIOID RECEPTOR', NULL, NULL, NULL, 15),
(84421, NULL, 'PTHR31385:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84422, NULL, 'PTHR23409:SF19', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE SUBUNIT M2 B', NULL, NULL, NULL, 15),
(84423, NULL, 'PTHR31343:SF54', NULL, NULL, NULL, NULL, 'BNAC05G01960D PROTEIN', NULL, NULL, NULL, 15),
(84424, NULL, 'PTHR28584:SF1', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 228 MEMBER A', NULL, NULL, NULL, 15),
(84425, NULL, 'PTHR24015:SF550', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(84426, NULL, 'PTHR32031:SF47', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84427, NULL, 'PTHR31062:SF222', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(84428, NULL, 'PTHR22942:SF45', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG A', NULL, NULL, NULL, 15),
(84429, NULL, 'PTHR33994:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84430, NULL, 'PTHR39365:SF2', NULL, NULL, NULL, NULL, 'MX REGION OF TRA-2 RELATED-RELATED', NULL, NULL, NULL, 15),
(84431, NULL, 'PTHR10887:SF464', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84432, NULL, 'PTHR48041:SF37', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 19', NULL, NULL, NULL, 15),
(84433, NULL, 'PTHR22835:SF260', NULL, NULL, NULL, NULL, 'OS05G0209600 PROTEIN', NULL, NULL, NULL, 15),
(84434, NULL, 'PTHR43647:SF1', NULL, NULL, NULL, NULL, '3-KETO-STEROID REDUCTASE', NULL, NULL, NULL, 15),
(84435, NULL, 'PTHR32444:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84436, NULL, 'PTHR24073:SF1138', NULL, NULL, NULL, NULL, 'SMALL MONOMERIC GTPASE-RELATED', NULL, NULL, NULL, 15),
(84437, NULL, 'PTHR21109:SF9', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S21, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(84438, NULL, 'PTHR12479:SF10', NULL, NULL, NULL, NULL, 'LYSOSOMAL-ASSOCIATED TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(84439, NULL, 'PTHR24223:SF420', NULL, NULL, NULL, NULL, 'NHPM BACTERIOCIN SYSTEM ABC TRANSPORTER, PEPTIDASE/ATP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84440, NULL, 'PTHR14224:SF88', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 12', NULL, NULL, NULL, 15),
(84441, NULL, 'PTHR37372', NULL, NULL, NULL, NULL, 'OS06G0316800 PROTEIN', NULL, NULL, NULL, 15),
(84442, NULL, 'PTHR31639:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84443, NULL, 'PTHR48043:SF80', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-56-RELATED', NULL, NULL, NULL, 15),
(84444, NULL, 'PTHR32258:SF9', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1A', NULL, NULL, NULL, 15),
(84445, NULL, 'PTHR31696:SF64', NULL, NULL, NULL, NULL, 'OS03G0733266 PROTEIN', NULL, NULL, NULL, 15),
(84446, NULL, 'PTHR32009:SF75', NULL, NULL, NULL, NULL, 'BNAC08G49870D PROTEIN', NULL, NULL, NULL, 15),
(84447, NULL, 'PTHR37303', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 35569, 15),
(84448, NULL, 'PTHR47993:SF35', NULL, NULL, NULL, NULL, 'BNACNNG59720D PROTEIN', NULL, NULL, NULL, 15),
(84449, NULL, 'PTHR48242', NULL, NULL, NULL, NULL, 'BNAA02G09820D PROTEIN', NULL, NULL, NULL, 15),
(84450, NULL, 'PTHR12713:SF29', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G', NULL, NULL, NULL, 15),
(84451, NULL, 'PTHR11523:SF46', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(84452, NULL, 'PTHR47993:SF162', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(84453, NULL, 'PTHR24249:SF79', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 9', NULL, NULL, NULL, 15),
(84454, NULL, 'PTHR31561:SF72', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(84455, NULL, 'PTHR45085:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84456, NULL, 'PTHR13723:SF290', NULL, NULL, NULL, NULL, 'PROTEIN CBG24242', NULL, NULL, NULL, 15),
(84457, NULL, 'PTHR47992:SF155', NULL, NULL, NULL, NULL, 'BNAC05G25430D PROTEIN', NULL, NULL, NULL, 15),
(84458, NULL, 'PTHR12958:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZFPM2', NULL, NULL, NULL, 15),
(84459, NULL, 'PTHR47372:SF7', NULL, NULL, NULL, NULL, 'EMBRYONIC PROTEIN DC-8-LIKE', NULL, NULL, NULL, 15),
(84460, NULL, 'PTHR46151:SF7', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(84461, NULL, 'PTHR43528:SF1', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE PERMEASE', NULL, NULL, NULL, 15),
(84462, NULL, 'PTHR33697:SF4', NULL, NULL, NULL, NULL, 'BNAA06G02090D PROTEIN', NULL, NULL, NULL, 15),
(84463, NULL, 'PTHR47677:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 6', NULL, NULL, NULL, 15),
(84464, NULL, 'PTHR26312:SF182', NULL, NULL, NULL, NULL, 'BNAC01G10480D PROTEIN', NULL, NULL, NULL, 15),
(84465, NULL, 'PTHR11005:SF45', NULL, NULL, NULL, NULL, 'LIPASE MEMBER K', NULL, NULL, NULL, 15),
(84466, NULL, 'PTHR21101:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84467, NULL, 'PTHR47987:SF20', NULL, NULL, NULL, NULL, 'OS04G0654600 PROTEIN', NULL, NULL, NULL, 15),
(84468, NULL, 'PTHR38596:SF1', NULL, NULL, NULL, NULL, 'UPF0114 PROTEIN YQHA', NULL, NULL, NULL, 15),
(84469, NULL, 'PTHR31973:SF153', NULL, NULL, NULL, NULL, 'FAMILY TRANSPOSASE, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84470, NULL, 'PTHR33912:SF6', NULL, NULL, NULL, NULL, 'BNAC03G74490D PROTEIN', NULL, NULL, NULL, 15),
(84471, NULL, 'PTHR32268:SF11', NULL, NULL, NULL, NULL, 'HOMOSERINE O-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(84472, NULL, 'PTHR45646:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AFC1', NULL, NULL, NULL, 15),
(84473, NULL, 'PTHR33143:SF34', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(84474, NULL, 'PTHR11604:SF43', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(84475, NULL, 'PTHR31964:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84476, NULL, 'PTHR22883:SF23', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(84477, NULL, 'PTHR14255:SF42', NULL, NULL, NULL, NULL, 'BNAA09G13620D PROTEIN', NULL, NULL, NULL, 15),
(84478, NULL, 'PTHR47956:SF24', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 71, SUBFAMILY B, POLYPEPTIDE 19-RELATED', NULL, NULL, NULL, 15),
(84479, NULL, 'PTHR48081:SF10', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11560)-RELATED', NULL, NULL, NULL, 15),
(84480, NULL, 'PTHR33349:SF7', NULL, NULL, NULL, NULL, 'PLANT CALMODULIN-BINDING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(84481, NULL, 'PTHR12894:SF37', NULL, NULL, NULL, NULL, 'VACUOLAR SORTING PROTEIN 39', NULL, NULL, NULL, 15),
(84482, NULL, 'PTHR43073:SF2', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINE DEHYDROGENASE [NADP(+)]', NULL, NULL, NULL, 15),
(84483, NULL, 'PTHR31072:SF141', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP FAMILY-RELATED', NULL, NULL, NULL, 15),
(84484, NULL, 'PTHR48017:SF33', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84485, NULL, 'PTHR27005:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84486, NULL, 'PTHR47038', NULL, NULL, NULL, NULL, 'BAG-ASSOCIATED GRAM PROTEIN 1', NULL, NULL, 38545, 15),
(84487, NULL, 'PTHR46709:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG04784', NULL, NULL, NULL, 15),
(84488, NULL, 'PTHR43169:SF3', NULL, NULL, NULL, NULL, 'ATPASE, PP-LOOP SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(84489, NULL, 'PTHR31407:SF39', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 2-2-RELATED', NULL, NULL, NULL, 15),
(84490, NULL, 'PTHR34524:SF5', NULL, NULL, NULL, NULL, 'CALCYPHOSIN-LIKE PROTEIN', NULL, NULL, 26010, 15),
(84491, NULL, 'PTHR10266:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C1, HEME PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(84492, NULL, 'PTHR42938:SF25', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84493, NULL, 'PTHR46364:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84494, NULL, 'PTHR11032', NULL, NULL, NULL, NULL, 'SL CYTOKINE', NULL, NULL, 3589, 15),
(84495, NULL, 'PTHR45666:SF2', NULL, NULL, NULL, NULL, 'OS10G0422500 PROTEIN', NULL, NULL, NULL, 15),
(84496, NULL, 'PTHR47993:SF100', NULL, NULL, NULL, NULL, 'BNAC03G62850D PROTEIN', NULL, NULL, NULL, 15),
(84497, NULL, 'PTHR39063', NULL, NULL, NULL, NULL, 'ORAL-FACIAL-DIGITAL SYNDROME 1 PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(84498, NULL, 'PTHR42893:SF30', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 46, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(84499, NULL, 'PTHR39867:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84500, NULL, 'PTHR34565', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(84501, NULL, 'PTHR45691', NULL, NULL, NULL, NULL, 'PROTEIN DIAPHANOUS', NULL, NULL, NULL, 15),
(84502, NULL, 'PTHR11005:SF128', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(84503, NULL, 'PTHR10253:SF11', NULL, NULL, NULL, NULL, 'BNAA05G20150D PROTEIN', NULL, NULL, NULL, 15),
(84504, NULL, 'PTHR47926:SF273', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN CHLOROPLASTIC', NULL, NULL, NULL, 15),
(84505, NULL, 'PTHR33271:SF26', NULL, NULL, NULL, NULL, 'BNAA01G33610D PROTEIN', NULL, NULL, NULL, 15),
(84506, NULL, 'PTHR33222:SF28', NULL, NULL, NULL, NULL, 'BNAA09G00150D PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84507, NULL, 'PTHR46116:SF18', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME', NULL, NULL, NULL, 15),
(84508, NULL, 'PTHR47209', NULL, NULL, NULL, NULL, 'OS06G0639500 PROTEIN', NULL, NULL, NULL, 15),
(84509, NULL, 'PTHR23266:SF259', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 2-5', NULL, NULL, NULL, 15),
(84510, NULL, 'PTHR45714:SF40', NULL, NULL, NULL, NULL, 'BNAC04G50010D PROTEIN', NULL, NULL, NULL, 15),
(84511, NULL, 'PTHR21530:SF7', NULL, NULL, NULL, NULL, 'TRAB FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84512, NULL, 'PTHR23050:SF409', NULL, NULL, NULL, NULL, 'CALMODULIN-1', NULL, NULL, NULL, 15),
(84513, NULL, 'PTHR11717:SF29', NULL, NULL, NULL, NULL, 'GEO10716P1-RELATED', NULL, NULL, NULL, 15),
(84514, NULL, 'PTHR31989:SF318', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 96', NULL, NULL, NULL, 15),
(84515, NULL, 'PTHR47999:SF4', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', NULL, NULL, NULL, 15),
(84516, NULL, 'PTHR31929:SF101', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN X10A', NULL, NULL, NULL, 15),
(84517, NULL, 'PTHR24286:SF317', NULL, NULL, NULL, NULL, 'DAMMARENEDIOL 12-HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(84518, NULL, 'PTHR11952:SF9', NULL, NULL, NULL, NULL, 'UDP-SUGAR PYROPHOSPHORYLASE', NULL, NULL, NULL, 15),
(84519, NULL, 'PTHR12966:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 13', NULL, NULL, NULL, 15),
(84520, NULL, 'PTHR24404:SF67', NULL, NULL, NULL, NULL, 'KLUMPFUSS RELATED', NULL, NULL, NULL, 15),
(84521, NULL, 'PTHR38926:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84522, NULL, 'PTHR32191:SF70', NULL, NULL, NULL, NULL, 'BNAA02G36810D PROTEIN', NULL, NULL, NULL, 15),
(84523, NULL, 'PTHR31374:SF12', NULL, NULL, NULL, NULL, 'OSJNBA0084K01.9 PROTEIN', NULL, NULL, NULL, 15),
(84524, NULL, 'PTHR14315:SF19', NULL, NULL, NULL, NULL, 'MID1-INTERACTING PROTEIN 1-B-RELATED', NULL, NULL, NULL, 15),
(84525, NULL, 'PTHR24064:SF531', NULL, NULL, NULL, NULL, 'TRANSPORTER B0361.11-RELATED', NULL, NULL, NULL, 15),
(84526, NULL, 'PTHR47208:SF5', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 12', NULL, NULL, NULL, 15),
(84527, NULL, 'PTHR13270:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84528, NULL, 'PTHR24383:SF20', NULL, NULL, NULL, NULL, 'AGAP000141-PA', NULL, NULL, NULL, 15),
(84529, NULL, 'PTHR11803:SF49', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE L-PSP FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84530, NULL, 'PTHR31341:SF13', NULL, NULL, NULL, NULL, 'E SET DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(84531, NULL, 'PTHR11941:SF143', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 2 PEROXISOMAL', NULL, NULL, NULL, 15),
(84532, NULL, 'PTHR11394:SF34', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 129', NULL, NULL, NULL, 15),
(84533, NULL, 'PTHR42253:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PREDICTED MULTIPASS TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(84534, NULL, 'PTHR24104:SF10', NULL, NULL, NULL, NULL, 'NHL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(84535, NULL, 'PTHR40621:SF3', NULL, NULL, NULL, NULL, 'BZIP-TYPE TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(84536, NULL, 'PTHR23418:SF4', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE 4', NULL, NULL, NULL, 15),
(84537, NULL, 'PTHR19248:SF23', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER E FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(84538, NULL, 'PTHR12411:SF799', NULL, NULL, NULL, NULL, 'BNAA04G12170D PROTEIN', NULL, NULL, NULL, 15),
(84539, NULL, 'PTHR34782:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84540, NULL, 'PTHR22298:SF54', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 9', NULL, NULL, NULL, 15),
(84541, NULL, 'PTHR31790:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84542, NULL, 'PTHR11673:SF44', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-2', NULL, NULL, NULL, 15),
(84543, NULL, 'PTHR45694:SF21', NULL, NULL, NULL, NULL, 'GRX1P', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84544, NULL, 'PTHR24221:SF420', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE MULTIDRUG TRANSPORT PROTEIN ATRC', NULL, NULL, NULL, 15),
(84545, NULL, 'PTHR43441:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL-PROTEIN-SERINE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(84546, NULL, 'PTHR24286:SF221', NULL, NULL, NULL, NULL, 'TAXADIENE 5-ALPHA HYDROXYLASE', NULL, NULL, NULL, 15),
(84547, NULL, 'PTHR43445:SF5', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMATE--L-ALANYL-GAMMA-D-GLUTAMYL-MESO-2,6-DIAMINOHEPTANDIOATE LIGASE', NULL, NULL, NULL, 15),
(84548, NULL, 'PTHR11909:SF318', NULL, NULL, NULL, NULL, 'PROTEIN CBG13180', NULL, NULL, NULL, 15),
(84549, NULL, 'PTHR12346:SF23', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX SIN3-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84550, NULL, 'PTHR42984:SF3', NULL, NULL, NULL, NULL, 'SIR2 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84551, NULL, 'PTHR11048:SF39', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOATE POLYPRENYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(84552, NULL, 'PTHR19290:SF151', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX TRANSCRIPTION FACTOR AMOS-RELATED', NULL, NULL, NULL, 15),
(84553, NULL, 'PTHR39953', NULL, NULL, NULL, NULL, 'RE54151P', NULL, NULL, NULL, 15),
(84554, NULL, 'PTHR12277:SF55', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE DOMAIN-CONTAINING PROTEIN 17C', NULL, NULL, NULL, 15),
(84555, NULL, 'PTHR21143:SF16', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(84556, NULL, 'PTHR33110:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84557, NULL, 'PTHR33529:SF6', NULL, NULL, NULL, NULL, 'SLR0882 PROTEIN', NULL, NULL, NULL, 15),
(84558, NULL, 'PTHR46015', NULL, NULL, NULL, NULL, 'ZGC:172121', NULL, NULL, NULL, 15),
(84559, NULL, 'PTHR47969:SF13', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(84560, NULL, 'PTHR30620:SF87', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84561, NULL, 'PTHR24056:SF439', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84562, NULL, 'PTHR11319:SF35', NULL, NULL, NULL, NULL, 'REPEAT OUTER MEMBRANE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(84563, NULL, 'PTHR10992:SF938', NULL, NULL, NULL, NULL, 'OS05G0370700 PROTEIN', NULL, NULL, NULL, 15),
(84564, NULL, 'PTHR42898:SF25', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(84565, NULL, 'PTHR22595:SF146', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 19, LYSOZYME-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84566, NULL, 'PTHR24282:SF140', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(84567, NULL, 'PTHR33384:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84568, NULL, 'PTHR46171:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF38', NULL, NULL, NULL, 15),
(84569, NULL, 'PTHR39399:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ZPS1', NULL, NULL, NULL, 15),
(84570, NULL, 'PTHR11206:SF375', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(84571, NULL, 'PTHR38136', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN', NULL, NULL, 34980, 15),
(84572, NULL, 'PTHR11741', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TS', NULL, NULL, 4046, 15),
(84573, NULL, 'PTHR42801:SF14', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN DOT5', NULL, NULL, NULL, 15),
(84574, NULL, 'PTHR30414', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22183, 15),
(84575, NULL, 'PTHR15871:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY O MEMBER 1', NULL, NULL, 27097, 15),
(84576, NULL, 'PTHR10502:SF215', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(84577, NULL, 'PTHR47978:SF31', NULL, NULL, NULL, NULL, 'BNAC03G42260D PROTEIN', NULL, NULL, NULL, 15),
(84578, NULL, 'PTHR11247:SF65', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE EPSILON 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(84579, NULL, 'PTHR42857', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE-RELATED', NULL, NULL, NULL, 15),
(84580, NULL, 'PTHR31072:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP16-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84581, NULL, 'PTHR13214', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 330', NULL, NULL, 14816, 15),
(84582, NULL, 'PTHR11937:SF441', NULL, NULL, NULL, NULL, 'ACTIN-LIKE', NULL, NULL, NULL, 15),
(84583, NULL, 'PTHR24388:SF50', NULL, NULL, NULL, NULL, 'GROWTH FACTOR-INDEPENDENT 1A TRANSCRIPTION REPRESSOR B-RELATED', NULL, NULL, NULL, 15),
(84584, NULL, 'PTHR35724', NULL, NULL, NULL, NULL, 'PROTEIN CHLORORESPIRATORY REDUCTION 6, CHLOROPLASTIC', NULL, NULL, 14398, 15),
(84585, NULL, 'PTHR31639:SF103', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, FBD DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84586, NULL, 'PTHR19316:SF30', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(84587, NULL, 'PTHR26452:SF282', NULL, NULL, NULL, NULL, 'MCG1028220-RELATED', NULL, NULL, NULL, 15),
(84588, NULL, 'PTHR23424', NULL, NULL, NULL, NULL, 'SERUM AMYLOID A', NULL, NULL, NULL, 15),
(84589, NULL, 'PTHR15109:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM193A', NULL, NULL, 25841, 15),
(84590, NULL, 'PTHR47984:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84591, NULL, 'PTHR11567:SF197', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE DDB_G0284753-RELATED', NULL, NULL, NULL, 15),
(84592, NULL, 'PTHR24178:SF18', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(84593, NULL, 'PTHR28511', NULL, NULL, NULL, NULL, 'ENDONUCLEASE V', NULL, NULL, 1973, 15),
(84594, NULL, 'PTHR11945:SF616', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84595, NULL, 'PTHR12411:SF766', NULL, NULL, NULL, NULL, 'GRANULIN, CYSTEINE PEPTIDASE, HISTIDINE ACTIVE SITE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84596, NULL, 'PTHR47938:SF15', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(84597, NULL, 'PTHR11122:SF47', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(84598, NULL, 'PTHR43895:SF118', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 18', NULL, NULL, NULL, 15),
(84599, NULL, 'PTHR33109:SF56', NULL, NULL, NULL, NULL, 'PROTEIN EPIDERMAL PATTERNING FACTOR 2', NULL, NULL, NULL, 15),
(84600, NULL, 'PTHR22814:SF84', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 24', NULL, NULL, NULL, 15),
(84601, NULL, 'PTHR24055:SF500', NULL, NULL, NULL, NULL, 'ACTIVATED PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(84602, NULL, 'PTHR46776:SF12', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(84603, NULL, 'PTHR30405', NULL, NULL, NULL, NULL, 'TRANSPOSASE', NULL, NULL, NULL, 15),
(84604, NULL, 'PTHR12443:SF11', NULL, NULL, NULL, NULL, 'BNAC03G41830D PROTEIN', NULL, NULL, NULL, 15),
(84605, NULL, 'PTHR36857', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 25', NULL, NULL, 21762, 15),
(84606, NULL, 'PTHR46917:SF1', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(84607, NULL, 'PTHR39477:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(84608, NULL, 'PTHR47415:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM47A', NULL, NULL, NULL, 15),
(84609, NULL, 'PTHR31972:SF2', NULL, NULL, NULL, NULL, 'DUF868 FAMILY PROTEIN (DUF868)', NULL, NULL, NULL, 15),
(84610, NULL, 'PTHR36513', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84611, NULL, 'PTHR11219:SF7', NULL, NULL, NULL, NULL, 'TENEURIN-1', NULL, NULL, NULL, 15),
(84612, NULL, 'PTHR11260:SF641', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTU6', NULL, NULL, NULL, 15),
(84613, NULL, 'PTHR10760:SF14', NULL, NULL, NULL, NULL, 'TORSIN-1B', NULL, NULL, 22452, 15),
(84614, NULL, 'PTHR47926:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84615, NULL, 'PTHR31563:SF1', NULL, NULL, NULL, NULL, 'ION CHANNEL CASTOR-RELATED', NULL, NULL, NULL, 15),
(84616, NULL, 'PTHR31595:SF41', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 10-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84617, NULL, 'PTHR45125:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84618, NULL, 'PTHR33527:SF40', NULL, NULL, NULL, NULL, 'BNAC09G43470D PROTEIN', NULL, NULL, NULL, 15),
(84619, NULL, 'PTHR33148:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84620, NULL, 'PTHR33107:SF14', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE INHIBITOR WSCP', NULL, NULL, NULL, 15),
(84621, NULL, 'PTHR31852:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84622, NULL, 'PTHR11711:SF388', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 2-LIKE', NULL, NULL, NULL, 15),
(84623, NULL, 'PTHR48004:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84624, NULL, 'PTHR13794', NULL, NULL, NULL, NULL, 'ENOLASE SUPERFAMILY, MANDELATE RACEMASE', NULL, NULL, NULL, 15),
(84625, NULL, 'PTHR32161:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84626, NULL, 'PTHR10694:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUMONJI (JMJ) FAMILY PROTEIN / ZINC FINGER (C5HC2 TYPE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84627, NULL, 'PTHR11685:SF317', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(84628, NULL, 'PTHR23024:SF434', NULL, NULL, NULL, NULL, 'ACETYL ESTERASE', NULL, NULL, NULL, 15),
(84629, NULL, 'PTHR48059:SF14', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITOR-LIKE', NULL, NULL, NULL, 15),
(84630, NULL, 'PTHR47286:SF4', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 7', NULL, NULL, NULL, 15),
(84631, NULL, 'PTHR10933:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84632, NULL, 'PTHR19860:SF16', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 12', NULL, NULL, NULL, 15),
(84633, NULL, 'PTHR31579:SF61', NULL, NULL, NULL, NULL, 'BNAA01G32350D PROTEIN', NULL, NULL, NULL, 15),
(84634, NULL, 'PTHR12864:SF21', NULL, NULL, NULL, NULL, 'VACUOLAR IMPORT AND DEGRADATION PROTEIN 30', NULL, NULL, NULL, 15),
(84635, NULL, 'PTHR23232:SF77', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700020N01', NULL, NULL, NULL, 15),
(84636, NULL, 'PTHR12302:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84637, NULL, 'PTHR47516:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(84638, NULL, 'PTHR15735:SF17', NULL, NULL, NULL, NULL, 'CDC42-INTERACTING PROTEIN 4', NULL, NULL, 26635, 15),
(84639, NULL, 'PTHR46128:SF6', NULL, NULL, NULL, NULL, 'OS08G0499800 PROTEIN', NULL, NULL, NULL, 15),
(84640, NULL, 'PTHR12916:SF4', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(84641, NULL, 'PTHR23306:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84642, NULL, 'PTHR13902:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84643, NULL, 'PTHR24384:SF179', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 479', NULL, NULL, NULL, 15),
(84644, NULL, 'PTHR45914', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HEC3-RELATED', NULL, NULL, 37368, 15),
(84645, NULL, 'PTHR34357', NULL, NULL, NULL, NULL, 'F7A19.14 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84646, NULL, 'PTHR38784:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84647, NULL, 'PTHR12837:SF9', NULL, NULL, NULL, NULL, 'POLY (ADP-RIBOSE) GLYCOHYDROLASE, LIKE', NULL, NULL, NULL, 15),
(84648, NULL, 'PTHR18884:SF62', NULL, NULL, NULL, NULL, 'NEURONAL-SPECIFIC SEPTIN-3', NULL, NULL, NULL, 15),
(84649, NULL, 'PTHR45636:SF10', NULL, NULL, NULL, NULL, 'PAIRED BOX 4', NULL, NULL, NULL, 15),
(84650, NULL, 'PTHR46709:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG23488', NULL, NULL, NULL, 15),
(84651, NULL, 'PTHR13213', NULL, NULL, NULL, NULL, 'MYB-BINDING PROTEIN 1A FAMILY MEMBER', NULL, NULL, 6747, 15),
(84652, NULL, 'PTHR13487:SF3', NULL, NULL, NULL, NULL, 'REVERSION-INDUCING CYSTEINE-RICH PROTEIN WITH KAZAL MOTIFS', NULL, NULL, NULL, 15),
(84653, NULL, 'PTHR11863:SF158', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE GL1-2', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84654, NULL, 'PTHR43671:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84655, NULL, 'PTHR31676:SF30', NULL, NULL, NULL, NULL, 'OS05G0421100 PROTEIN', NULL, NULL, NULL, 15),
(84656, NULL, 'PTHR30136:SF24', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR ALLR', NULL, NULL, NULL, 15),
(84657, NULL, 'PTHR14299:SF0', NULL, NULL, NULL, NULL, 'PHORBOL-12-MYRISTATE-13-ACETATE-INDUCED PROTEIN 1', NULL, NULL, NULL, 15),
(84658, NULL, 'PTHR19375:SF463', NULL, NULL, NULL, NULL, 'HSP70-LIKE PROTEIN', NULL, NULL, NULL, 15),
(84659, NULL, 'PTHR22791', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(84660, NULL, 'PTHR21433:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 120 HOMOLOG', NULL, NULL, NULL, 15),
(84661, NULL, 'PTHR26452:SF740', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(84662, NULL, 'PTHR13301:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84663, NULL, 'PTHR10270:SF305', NULL, NULL, NULL, NULL, 'SOX21A, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(84664, NULL, 'PTHR31639:SF173', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(84665, NULL, 'PTHR31241:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84666, NULL, 'PTHR31527:SF0', NULL, NULL, NULL, NULL, 'RE64534P', NULL, NULL, NULL, 15),
(84667, NULL, 'PTHR31451:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84668, NULL, 'PTHR15077', NULL, NULL, NULL, NULL, 'FAS-ASSOCIATING DEATH DOMAIN-CONTAINING PROTEIN FADD', NULL, NULL, 21591, 15),
(84669, NULL, 'PTHR15742:SF3', NULL, NULL, NULL, NULL, 'MICROTUBULE CROSS-LINKING FACTOR 1', NULL, NULL, NULL, 15),
(84670, NULL, 'PTHR23421:SF122', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE A-RELATED', NULL, NULL, NULL, 15),
(84671, NULL, 'PTHR46604:SF10', NULL, NULL, NULL, NULL, 'PROTEIN MID1-COMPLEMENTING ACTIVITY 1-LIKE', NULL, NULL, NULL, 15),
(84672, NULL, 'PTHR27003:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84673, NULL, 'PTHR46292', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 102A', NULL, NULL, NULL, 15),
(84674, NULL, 'PTHR13832:SF710', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 2-RELATED', NULL, NULL, NULL, 15),
(84675, NULL, 'PTHR47926:SF220', NULL, NULL, NULL, NULL, 'BNAC04G44120D PROTEIN', NULL, NULL, NULL, 15),
(84676, NULL, 'PTHR47507:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84677, NULL, 'PTHR16083:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 20', NULL, NULL, 29576, 15),
(84678, NULL, 'PTHR31561:SF136', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(84679, NULL, 'PTHR23147:SF167', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RSZ21', NULL, NULL, NULL, 15),
(84680, NULL, 'PTHR28026:SF10', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE (DUF962)-RELATED', NULL, NULL, NULL, 15),
(84681, NULL, 'PTHR45013', NULL, NULL, NULL, NULL, 'NACHT DOMAIN- AND WD REPEAT-CONTAINING PROTEIN 1', NULL, NULL, 39130, 15),
(84682, NULL, 'PTHR43721:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84683, NULL, 'PTHR21479:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG04466', NULL, NULL, NULL, 15),
(84684, NULL, 'PTHR31376:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84685, NULL, 'PTHR37421:SF1', NULL, NULL, NULL, NULL, 'UPF0260 PROTEIN YCGN', NULL, NULL, NULL, 15),
(84686, NULL, 'PTHR23511', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE GLYCOPROTEIN 2', NULL, NULL, NULL, 15),
(84687, NULL, 'PTHR43374', NULL, NULL, NULL, NULL, 'FLAVIN PRENYLTRANSFERASE', NULL, NULL, 1919, 15),
(84688, NULL, 'PTHR15710:SF118', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RDUF2', NULL, NULL, NULL, 15),
(84689, NULL, 'PTHR13024:SF1', NULL, NULL, NULL, NULL, 'MICROSOMAL TRIGLYCERIDE TRANSFER PROTEIN LARGE SUBUNIT', NULL, NULL, NULL, 15),
(84690, NULL, 'PTHR24068:SF336', NULL, NULL, NULL, NULL, 'BNAA08G02120D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84691, NULL, 'PTHR12701:SF45', NULL, NULL, NULL, NULL, 'BNAA08G03240D PROTEIN', NULL, NULL, NULL, 15),
(84692, NULL, 'PTHR43792:SF12', NULL, NULL, NULL, NULL, 'FAMILY ACETYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03650)-RELATED', NULL, NULL, NULL, 15),
(84693, NULL, 'PTHR30469:SF18', NULL, NULL, NULL, NULL, 'HLYD FAMILY SECRETION PROTEIN', NULL, NULL, NULL, 15),
(84694, NULL, 'PTHR47982:SF23', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK7', NULL, NULL, NULL, 15),
(84695, NULL, 'PTHR34062:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 21 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G04750)-RELATED', NULL, NULL, NULL, 15),
(84696, NULL, 'PTHR24177:SF335', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', NULL, NULL, NULL, 15),
(84697, NULL, 'PTHR11850:SF225', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 3 ISOFORM X1', NULL, NULL, NULL, 15),
(84698, NULL, 'PTHR11804', NULL, NULL, NULL, NULL, 'PROTEASE M3 THIMET OLIGOPEPTIDASE-RELATED', NULL, NULL, 36688, 15),
(84699, NULL, 'PTHR46167', NULL, NULL, NULL, NULL, 'N-LYSINE METHYLTRANSFERASE KMT5A', NULL, NULL, NULL, 15),
(84700, NULL, 'PTHR31945:SF124', NULL, NULL, NULL, NULL, 'BNAA08G24520D PROTEIN', NULL, NULL, NULL, 15),
(84701, NULL, 'PTHR37378:SF8', NULL, NULL, NULL, NULL, 'WALI3 PROTEIN', NULL, NULL, NULL, 15),
(84702, NULL, 'PTHR44042:SF32', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84703, NULL, 'PTHR47629:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(84704, NULL, 'PTHR43895:SF91', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 6', NULL, NULL, NULL, 15),
(84705, NULL, 'PTHR47864:SF6', NULL, NULL, NULL, NULL, 'BNAANNG24680D PROTEIN', NULL, NULL, NULL, 15),
(84706, NULL, 'PTHR23502:SF169', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(84707, NULL, 'PTHR47991:SF31', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', NULL, NULL, NULL, 15),
(84708, NULL, 'PTHR10015:SF279', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-2A', NULL, NULL, NULL, 15),
(84709, NULL, 'PTHR44170:SF14', NULL, NULL, NULL, NULL, 'NEOGENIN', NULL, NULL, 32750, 15),
(84710, NULL, 'PTHR45629', NULL, NULL, NULL, NULL, 'SNF2/RAD54 FAMILY MEMBER', NULL, NULL, NULL, 15),
(84711, NULL, 'PTHR21393:SF0', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S27, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(84712, NULL, 'PTHR24282:SF210', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(84713, NULL, 'PTHR40637:SF1', NULL, NULL, NULL, NULL, 'ESSS SUBUNIT OF NADH:UBIQUINONE OXIDOREDUCTASE (COMPLEX I) PROTEIN', NULL, NULL, NULL, 15),
(84714, NULL, 'PTHR11040:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84715, NULL, 'PTHR20959:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT AND GOLGI ORGANIZATION PROTEIN 6 HOMOLOG', NULL, NULL, NULL, 15),
(84716, NULL, 'PTHR33573', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4A4', NULL, NULL, NULL, 15),
(84717, NULL, 'PTHR33103:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84718, NULL, 'PTHR45950', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-14', NULL, NULL, 39232, 15),
(84719, NULL, 'PTHR38100:SF1', NULL, NULL, NULL, NULL, 'HIGH FREQUENCY LYSOGENIZATION PROTEIN HFLD', NULL, NULL, NULL, 15),
(84720, NULL, 'PTHR36392', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(84721, NULL, 'PTHR16466', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING FACTOR 2-INTERACTING PROTEIN 1', NULL, NULL, 36300, 15),
(84722, NULL, 'PTHR11132:SF312', NULL, NULL, NULL, NULL, 'TRIOSE PHOSPHATE/PHOSPHATE TRANSLOCATOR, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(84723, NULL, 'PTHR24221:SF502', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN 3', NULL, NULL, NULL, 15),
(84724, NULL, 'PTHR42893:SF23', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(84725, NULL, 'PTHR11926:SF302', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84726, NULL, 'PTHR24161:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84727, NULL, 'PTHR24057:SF59', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE ZETA', NULL, NULL, NULL, 15),
(84728, NULL, 'PTHR47965:SF45', NULL, NULL, NULL, NULL, 'OS06G0305400 PROTEIN', NULL, NULL, NULL, 15),
(84729, NULL, 'PTHR46508:SF8', NULL, NULL, NULL, NULL, 'DDT DOMAIN-CONTAINING PROTEIN PTM', NULL, NULL, NULL, 15),
(84730, NULL, 'PTHR39610:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84731, NULL, 'PTHR24012', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(84732, NULL, 'PTHR24068:SF355', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1D', NULL, NULL, NULL, 15),
(84733, NULL, 'PTHR11165:SF128', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 21', NULL, NULL, NULL, 15),
(84734, NULL, 'PTHR23514:SF15', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05090)-RELATED', NULL, NULL, NULL, 15),
(84735, NULL, 'PTHR10192:SF23', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN MOLYBDENUMTRANSFERASE', NULL, NULL, NULL, 15),
(84736, NULL, 'PTHR10625:SF197', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, NULL, 15),
(84737, NULL, 'PTHR35687:SF7', NULL, NULL, NULL, NULL, 'BNAA09G20290D PROTEIN', NULL, NULL, NULL, 15),
(84738, NULL, 'PTHR27006:SF413', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84739, NULL, 'PTHR35708:SF3', NULL, NULL, NULL, NULL, 'GB|AAD25831.1', NULL, NULL, NULL, 15),
(84740, NULL, 'PTHR33647:SF10', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(84741, NULL, 'PTHR24118:SF39', NULL, NULL, NULL, NULL, 'MCG52616', NULL, NULL, NULL, 15),
(84742, NULL, 'PTHR14360:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(84743, NULL, 'PTHR47542:SF2', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(84744, NULL, 'PTHR12002:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84745, NULL, 'PTHR45630:SF3', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(84746, NULL, 'PTHR24305:SF185', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(84747, NULL, 'PTHR43235', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE PB2B2.05-RELATED', NULL, NULL, 38766, 15),
(84748, NULL, 'PTHR31227:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG15697', NULL, NULL, NULL, 15),
(84749, NULL, 'PTHR11208:SF120', NULL, NULL, NULL, NULL, 'PROTEIN QUAKING', NULL, NULL, NULL, 15),
(84750, NULL, 'PTHR46693:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 15', NULL, NULL, NULL, 15),
(84751, NULL, 'PTHR43296:SF7', NULL, NULL, NULL, NULL, 'BNAA05G26380D PROTEIN', NULL, NULL, NULL, 15),
(84752, NULL, 'PTHR12064:SF77', NULL, NULL, NULL, NULL, 'DOMAIN PLANT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(84753, NULL, 'PTHR40617:SF1', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE ASQC', NULL, NULL, NULL, 15),
(84754, NULL, 'PTHR11224:SF44', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 16', NULL, NULL, NULL, 15),
(84755, NULL, 'PTHR11639:SF72', NULL, NULL, NULL, NULL, 'PROTEIN S100-Z', NULL, NULL, 28036, 15),
(84756, NULL, 'PTHR19315:SF9', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(84757, NULL, 'PTHR23502:SF70', NULL, NULL, NULL, NULL, 'BCR/CFLA FAMILY EFFLUX TRANSPORTER', NULL, NULL, NULL, 15),
(84758, NULL, 'PTHR11260:SF678', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U21', NULL, NULL, NULL, 15),
(84759, NULL, 'PTHR48019:SF13', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 23-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(84760, NULL, 'PTHR44137:SF43', NULL, NULL, NULL, NULL, 'BNAA04G20530D PROTEIN', NULL, NULL, NULL, 15),
(84761, NULL, 'PTHR35797:SF1', NULL, NULL, NULL, NULL, 'PROTEASE-RELATED', NULL, NULL, NULL, 15),
(84762, NULL, 'PTHR34610', NULL, NULL, NULL, NULL, 'SSL7007 PROTEIN', NULL, NULL, 5615, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84763, NULL, 'PTHR10286:SF66', NULL, NULL, NULL, NULL, 'BNAC02G00750D PROTEIN', NULL, NULL, NULL, 15),
(84764, NULL, 'PTHR46463:SF46', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHB1A-RELATED', NULL, NULL, NULL, 15),
(84765, NULL, 'PTHR45868:SF35', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84766, NULL, 'PTHR24073:SF643', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(84767, NULL, 'PTHR47750:SF5', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84768, NULL, 'PTHR10169', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE/GYRASE', NULL, NULL, NULL, 15),
(84769, NULL, 'PTHR15025:SF8', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-1 SUBUNIT', NULL, NULL, NULL, 15),
(84770, NULL, 'PTHR43895:SF78', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(84771, NULL, 'PTHR35519:SF1', NULL, NULL, NULL, NULL, 'YALI0C06193P', NULL, NULL, NULL, 15),
(84772, NULL, 'PTHR31721:SF1', NULL, NULL, NULL, NULL, 'OS07G0656700 PROTEIN', NULL, NULL, NULL, 15),
(84773, NULL, 'PTHR23147:SF18', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 7', NULL, NULL, NULL, 15),
(84774, NULL, 'PTHR31923:SF4', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(84775, NULL, 'PTHR10994:SF93', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(84776, NULL, 'PTHR11109:SF7', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE 1', NULL, NULL, NULL, 15),
(84777, NULL, 'PTHR23246:SF19', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(84778, NULL, 'PTHR36982:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84779, NULL, 'PTHR31985:SF201', NULL, NULL, NULL, NULL, 'INTEGRASE-TYPE DNA-BINDING SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84780, NULL, 'PTHR33107:SF57', NULL, NULL, NULL, NULL, 'BNAANNG20070D PROTEIN', NULL, NULL, NULL, 15),
(84781, NULL, 'PTHR31989:SF271', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84782, NULL, 'PTHR31086:SF55', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 13', NULL, NULL, NULL, 15),
(84783, NULL, 'PTHR40393:SF2', NULL, NULL, NULL, NULL, 'ALPHA-AMINOADIPATE/GLUTAMATE CARRIER PROTEIN LYSW', NULL, NULL, NULL, 15),
(84784, NULL, 'PTHR26451:SF876', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(84785, NULL, 'PTHR43335:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(84786, NULL, 'PTHR26453:SF185', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 703', NULL, NULL, NULL, 15),
(84787, NULL, 'PTHR43447:SF38', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE ISOZYME 2A', NULL, NULL, NULL, 15),
(84788, NULL, 'PTHR31286:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84789, NULL, 'PTHR24296:SF111', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84790, NULL, 'PTHR10177:SF240', NULL, NULL, NULL, NULL, 'CYCLIN-D6-1', NULL, NULL, NULL, 15),
(84791, NULL, 'PTHR30426', NULL, NULL, NULL, NULL, '4-HYDROXY-3-METHYLBUT-2-ENYL DIPHOSPHATE REDUCTASE', NULL, NULL, 5866, 15),
(84792, NULL, 'PTHR10871:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84793, NULL, 'PTHR15907:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84794, NULL, 'PTHR13301:SF53', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN B1-RELATED', NULL, NULL, NULL, 15),
(84795, NULL, 'PTHR24412:SF418', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 27942, 15),
(84796, NULL, 'PTHR47597:SF1', NULL, NULL, NULL, NULL, 'IS A MEMBER OF THE PF|00364 BIOTIN-REQUIRING ENZYMES FAMILY-RELATED', NULL, NULL, NULL, 15),
(84797, NULL, 'PTHR45620:SF14', NULL, NULL, NULL, NULL, 'GROWTH HORMONE-RELEASING HORMONE RECEPTOR', NULL, NULL, 3037, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84798, NULL, 'PTHR17920:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(84799, NULL, 'PTHR33143:SF33', NULL, NULL, NULL, NULL, 'VQ MOTIF PROTEIN', NULL, NULL, NULL, 15),
(84800, NULL, 'PTHR33669:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84801, NULL, 'PTHR11803:SF46', NULL, NULL, NULL, NULL, 'INDUCIBLE PLASTID-LIPID ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(84802, NULL, 'PTHR38095:SF3', NULL, NULL, NULL, NULL, 'ANAEROBIC DIMETHYL SULFOXIDE REDUCTASE, SUBUNIT C-RELATED', NULL, NULL, NULL, 15),
(84803, NULL, 'PTHR43859:SF2', NULL, NULL, NULL, NULL, 'BUTYRATE--COA LIGASE AAE11, PEROXISOMAL', NULL, NULL, NULL, 15),
(84804, NULL, 'PTHR11926:SF1193', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(84805, NULL, 'PTHR46128:SF89', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84806, NULL, 'PTHR43498', NULL, NULL, NULL, NULL, 'FERREDOXIN:COB-COM HETERODISULFIDE REDUCTASE SUBUNIT A', NULL, NULL, 29116, 15),
(84807, NULL, 'PTHR31786', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA CORE COMPLEX-ASSOCIATED PROTEIN 24', NULL, NULL, 24112, 15),
(84808, NULL, 'PTHR43696:SF9', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 157', NULL, NULL, NULL, 15),
(84809, NULL, 'PTHR31499:SF11', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL8', NULL, NULL, NULL, 15),
(84810, NULL, 'PTHR13183:SF0', NULL, NULL, NULL, NULL, 'AXONEMAL DYNEIN LIGHT INTERMEDIATE POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(84811, NULL, 'PTHR14289:SF16', NULL, NULL, NULL, NULL, 'POLYMERASE DELTA-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(84812, NULL, 'PTHR11977:SF91', NULL, NULL, NULL, NULL, 'VILLIN-3', NULL, NULL, NULL, 15),
(84813, NULL, 'PTHR27004:SF345', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 11-RELATED', NULL, NULL, NULL, 15),
(84814, NULL, 'PTHR35400:SF1', NULL, NULL, NULL, NULL, 'SLR1083 PROTEIN', NULL, NULL, NULL, 15),
(84815, NULL, 'PTHR23247', NULL, NULL, NULL, NULL, 'NY-REN-41 ANTIGEN  L15 -RELATED', NULL, NULL, 39597, 15),
(84816, NULL, 'PTHR33879:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84817, NULL, 'PTHR23055:SF172', NULL, NULL, NULL, NULL, 'NEURONAL CALCIUM SENSOR FAMILY', NULL, NULL, NULL, 15),
(84818, NULL, 'PTHR28106:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ATPASE COMPLEX SUBUNIT ATP10', NULL, NULL, NULL, 15),
(84819, NULL, 'PTHR34405', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDORIBONUCLEASE CAS2', NULL, NULL, 10943, 15),
(84820, NULL, 'PTHR46332:SF2', NULL, NULL, NULL, NULL, 'ASPARTATE BETA-HYDROXYLASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(84821, NULL, 'PTHR11066:SF59', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE, RMLC-LIKE JELLY ROLL FOLD, HOTDOG DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84822, NULL, 'PTHR12295', NULL, NULL, NULL, NULL, 'FURRY-RELATED', NULL, NULL, 34567, 15),
(84823, NULL, 'PTHR48106:SF1', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE SUPERFAMILY, ZINC-TYPE-RELATED', NULL, NULL, NULL, 15),
(84824, NULL, 'PTHR10963:SF65', NULL, NULL, NULL, NULL, 'GLYCOSIDASE', NULL, NULL, NULL, 15),
(84825, NULL, 'PTHR19241:SF498', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PROTEIN', NULL, NULL, NULL, 15),
(84826, NULL, 'PTHR23147:SF196', NULL, NULL, NULL, NULL, 'OS07G0623300 PROTEIN', NULL, NULL, NULL, 15),
(84827, NULL, 'PTHR12375:SF47', NULL, NULL, NULL, NULL, 'ARGININE-ASPARTATE-RICH RNA BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(84828, NULL, 'PTHR35544:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 9 C8ORF59 HOMOLOG', NULL, NULL, NULL, 15),
(84829, NULL, 'PTHR27006:SF415', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84830, NULL, 'PTHR12084:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN', NULL, NULL, NULL, 15),
(84831, NULL, 'PTHR22907:SF32', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(84832, NULL, 'PTHR31225:SF87', NULL, NULL, NULL, NULL, 'ALPHA-HUMULENE/(-)-(E)-BETA-CARYOPHYLLENE SYNTHASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84833, NULL, 'PTHR13808:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER, TAZ-TYPE-RELATED', NULL, NULL, NULL, 15),
(84834, NULL, 'PTHR13844:SF7', NULL, NULL, NULL, NULL, 'BRAHMA-ASSOCIATED PROTEIN OF 60 KDA', NULL, NULL, NULL, 15),
(84835, NULL, 'PTHR24221:SF497', NULL, NULL, NULL, NULL, 'OS05G0548500 PROTEIN', NULL, NULL, NULL, 15),
(84836, NULL, 'PTHR31009:SF108', NULL, NULL, NULL, NULL, 'BNAC05G15220D PROTEIN', NULL, NULL, NULL, 15),
(84837, NULL, 'PTHR21199', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 31138, 15),
(84838, NULL, 'PTHR32401:SF17', NULL, NULL, NULL, NULL, 'LEGUME LECTIN BETA DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(84839, NULL, 'PTHR31190:SF100', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B-LIKE', NULL, NULL, NULL, 15),
(84840, NULL, 'PTHR30237:SF5', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE YOCD-RELATED', NULL, NULL, NULL, 15),
(84841, NULL, 'PTHR24203:SF34', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 3', NULL, NULL, NULL, 15),
(84842, NULL, 'PTHR32176:SF59', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(84843, NULL, 'PTHR34045:SF14', NULL, NULL, NULL, NULL, 'OS07G0614400 PROTEIN', NULL, NULL, NULL, 15),
(84844, NULL, 'PTHR47860', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP17-1, CHLOROPLASTIC', NULL, NULL, 39773, 15),
(84845, NULL, 'PTHR13218:SF17', NULL, NULL, NULL, NULL, 'HCG1807616', NULL, NULL, NULL, 15),
(84846, NULL, 'PTHR47784:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(84847, NULL, 'PTHR35687', NULL, NULL, NULL, NULL, 'OS07G0516700 PROTEIN', NULL, NULL, NULL, 15),
(84848, NULL, 'PTHR12172:SF2', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT PROTEIN RAD17', NULL, NULL, NULL, 15),
(84849, NULL, 'PTHR47130:SF3', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA PROTEIN', NULL, NULL, NULL, 15),
(84850, NULL, 'PTHR10715:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', NULL, NULL, NULL, 15),
(84851, NULL, 'PTHR10026:SF129', NULL, NULL, NULL, NULL, 'CYCLIN-T1-3', NULL, NULL, NULL, 15),
(84852, NULL, 'PTHR11496:SF84', NULL, NULL, NULL, NULL, '3-DEOXY-ALPHA-D-MANNO-OCTULOSONATE 8-OXIDASE', NULL, NULL, NULL, 15),
(84853, NULL, 'PTHR11736:SF81', NULL, NULL, NULL, NULL, 'LOC787822 PROTEIN', NULL, NULL, NULL, 15),
(84854, NULL, 'PTHR34215:SF1', NULL, NULL, NULL, NULL, 'BLL0784 PROTEIN', NULL, NULL, NULL, 15),
(84855, NULL, 'PTHR45714:SF52', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT9-LIKE', NULL, NULL, NULL, 15),
(84856, NULL, 'PTHR23180', NULL, NULL, NULL, NULL, 'CENTAURIN/ARF', NULL, NULL, 39718, 15),
(84857, NULL, 'PTHR44167', NULL, NULL, NULL, NULL, 'OVARIAN-SPECIFIC SERINE/THREONINE-PROTEIN KINASE LOK-RELATED', NULL, NULL, NULL, 15),
(84858, NULL, 'PTHR11715:SF33', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', NULL, NULL, NULL, 15),
(84859, NULL, 'PTHR33542', NULL, NULL, NULL, NULL, 'SIROHYDROCHLORIN FERROCHELATASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(84860, NULL, 'PTHR31447:SF0', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84861, NULL, 'PTHR10621:SF39', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(84862, NULL, 'PTHR27006', NULL, NULL, NULL, NULL, 'PROMASTIGOTE SURFACE ANTIGEN PROTEIN PSA', NULL, NULL, NULL, 15),
(84863, NULL, 'PTHR11003:SF97', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(84864, NULL, 'PTHR31314:SF107', NULL, NULL, NULL, NULL, 'BNAA07G00280D PROTEIN', NULL, NULL, NULL, 15),
(84865, NULL, 'PTHR31279:SF3', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 2', NULL, NULL, NULL, 15),
(84866, NULL, 'PTHR31909', NULL, NULL, NULL, NULL, 'CHROMOSOME 20 ORF85 FAMILY MEMBER', NULL, NULL, NULL, 15),
(84867, NULL, 'PTHR38786:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR FLIJ PROTEIN', NULL, NULL, NULL, 15),
(84868, NULL, 'PTHR21580:SF51', NULL, NULL, NULL, NULL, 'PROTEIN STPG3', NULL, NULL, NULL, 15),
(84869, NULL, 'PTHR43243:SF71', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORTER YCAM', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84870, NULL, 'PTHR11566:SF191', NULL, NULL, NULL, NULL, 'BNAA09G48230D PROTEIN', NULL, NULL, NULL, 15),
(84871, NULL, 'PTHR37822:SF2', NULL, NULL, NULL, NULL, 'SPORE PHOTOPRODUCT LYASE', NULL, NULL, NULL, 15),
(84872, NULL, 'PTHR13856:SF28', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 1', NULL, NULL, 26368, 15),
(84873, NULL, 'PTHR10219:SF93', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN DOMAIN-CONTAINING 2', NULL, NULL, NULL, 15),
(84874, NULL, 'PTHR39073', NULL, NULL, NULL, NULL, 'AGAP006153-PA', NULL, NULL, NULL, 15),
(84875, NULL, 'PTHR21393', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S27', NULL, NULL, 20192, 15),
(84876, NULL, 'PTHR31384:SF109', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 24', NULL, NULL, NULL, 15),
(84877, NULL, 'PTHR20875:SF2', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(84878, NULL, 'PTHR31908:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CROWDED NUCLEI 4', NULL, NULL, NULL, 15),
(84879, NULL, 'PTHR31167:SF3', NULL, NULL, NULL, NULL, 'SPINDLE AND CENTRIOLE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(84880, NULL, 'PTHR19229:SF211', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(84881, NULL, 'PTHR45770:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(84882, NULL, 'PTHR18945:SF197', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT RHO-2', NULL, NULL, NULL, 15),
(84883, NULL, 'PTHR22765:SF106', NULL, NULL, NULL, NULL, 'OS02G0248200 PROTEIN', NULL, NULL, NULL, 15),
(84884, NULL, 'PTHR31138:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84885, NULL, 'PTHR24096:SF217', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 1-RELATED', NULL, NULL, NULL, 15),
(84886, NULL, 'PTHR31086:SF78', NULL, NULL, NULL, NULL, 'BNAA08G26970D PROTEIN', NULL, NULL, NULL, 15),
(84887, NULL, 'PTHR31235:SF83', NULL, NULL, NULL, NULL, 'PEROXIDASE 1-RELATED', NULL, NULL, NULL, 15),
(84888, NULL, 'PTHR27003:SF307', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(84889, NULL, 'PTHR36887:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84890, NULL, 'PTHR12601:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84891, NULL, 'PTHR30160:SF7', NULL, NULL, NULL, NULL, 'ADP-HEPTOSE--LPS HEPTOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(84892, NULL, 'PTHR31429:SF84', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY62', NULL, NULL, NULL, 15),
(84893, NULL, 'PTHR11738:SF174', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY B MEMBER 4', NULL, NULL, NULL, 15),
(84894, NULL, 'PTHR31500:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84895, NULL, 'PTHR33048:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84896, NULL, 'PTHR33377:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84897, NULL, 'PTHR47975:SF6', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE PLANT', NULL, NULL, NULL, 15),
(84898, NULL, 'PTHR23201:SF92', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 12', NULL, NULL, NULL, 15),
(84899, NULL, 'PTHR10693:SF22', NULL, NULL, NULL, NULL, 'OS04G0510500 PROTEIN', NULL, NULL, NULL, 15),
(84900, NULL, 'PTHR31642:SF221', NULL, NULL, NULL, NULL, 'ACYL-TRANSFERASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(84901, NULL, 'PTHR33563:SF1', NULL, NULL, NULL, NULL, '3-DEHYDROQUINATE SYNTHASE', NULL, NULL, NULL, 15),
(84902, NULL, 'PTHR31741:SF81', NULL, NULL, NULL, NULL, 'BNAA04G21750D PROTEIN', NULL, NULL, NULL, 15),
(84903, NULL, 'PTHR11654:SF365', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(84904, NULL, 'PTHR31279:SF40', NULL, NULL, NULL, NULL, 'OS06G0220200 PROTEIN', NULL, NULL, NULL, 15),
(84905, NULL, 'PTHR15011:SF1', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN N', NULL, NULL, NULL, 15),
(84906, NULL, 'PTHR15036:SF45', NULL, NULL, NULL, NULL, 'AXOTACTIN, ISOFORM C', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84907, NULL, 'PTHR33077:SF100', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(84908, NULL, 'PTHR13068:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84909, NULL, 'PTHR30204:SF28', NULL, NULL, NULL, NULL, 'MULTIDRUG-EFFLUX TRANSPORTER 2 REGULATOR', NULL, NULL, NULL, 15),
(84910, NULL, 'PTHR23510:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84911, NULL, 'PTHR11239:SF17', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', NULL, NULL, NULL, 15),
(84912, NULL, 'PTHR47993:SF80', NULL, NULL, NULL, NULL, 'OS04G0385000 PROTEIN', NULL, NULL, NULL, 15),
(84913, NULL, 'PTHR45933:SF25', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 8', NULL, NULL, NULL, 15),
(84914, NULL, 'PTHR12546:SF58', NULL, NULL, NULL, NULL, 'MISFIRE, ISOFORM F', NULL, NULL, NULL, 15),
(84915, NULL, 'PTHR24242:SF248', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9A2', NULL, NULL, NULL, 15),
(84916, NULL, 'PTHR46632:SF26', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINA-LIKE 10', NULL, NULL, NULL, 15),
(84917, NULL, 'PTHR31238:SF225', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(84918, NULL, 'PTHR45637:SF45', NULL, NULL, NULL, NULL, 'OS09G0258500 PROTEIN', NULL, NULL, NULL, 15),
(84919, NULL, 'PTHR36384:SF1', NULL, NULL, NULL, NULL, 'SAWADEE PROTEIN', NULL, NULL, NULL, 15),
(84920, NULL, 'PTHR39573:SF1', NULL, NULL, NULL, NULL, 'STRESS RESPONSE KINASE A', NULL, NULL, NULL, 15),
(84921, NULL, 'PTHR31263:SF59', NULL, NULL, NULL, NULL, 'BNAC08G40570D PROTEIN', NULL, NULL, NULL, 15),
(84922, NULL, 'PTHR24414:SF83', NULL, NULL, NULL, NULL, 'BNAA06G11770D PROTEIN', NULL, NULL, NULL, 15),
(84923, NULL, 'PTHR32175:SF5', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(84924, NULL, 'PTHR14155:SF534', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL38', NULL, NULL, NULL, 15),
(84925, NULL, 'PTHR23105:SF142', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(84926, NULL, 'PTHR24044:SF420', NULL, NULL, NULL, NULL, 'DELTA AND NOTCH-LIKE EPIDERMAL GROWTH FACTOR-RELATED RECEPTOR ISOFORM X1', NULL, NULL, NULL, 15),
(84927, NULL, 'PTHR18860:SF83', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 OMEGA', NULL, NULL, NULL, 15),
(84928, NULL, 'PTHR36289', NULL, NULL, NULL, NULL, 'CHROMOSOME 12 OPEN READING FRAME 60', NULL, NULL, NULL, 15),
(84929, NULL, 'PTHR39085', NULL, NULL, NULL, NULL, 'SLL0924 PROTEIN', NULL, NULL, 20326, 15),
(84930, NULL, 'PTHR11188:SF17', NULL, NULL, NULL, NULL, 'FI21816P1', NULL, NULL, NULL, 15),
(84931, NULL, 'PTHR33459:SF10', NULL, NULL, NULL, NULL, 'PARAMECIUM SURFACE ANTIGEN REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(84932, NULL, 'PTHR10891:SF909', NULL, NULL, NULL, NULL, 'BNAC04G01850D PROTEIN', NULL, NULL, NULL, 15),
(84933, NULL, 'PTHR20208', NULL, NULL, NULL, NULL, 'STRUCTURE-SPECIFIC ENDONUCLEASE SUBUNIT SLX1', NULL, NULL, NULL, 15),
(84934, NULL, 'PTHR34777:SF7', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(84935, NULL, 'PTHR11458', NULL, NULL, NULL, NULL, 'DELTA-AMINOLEVULINIC ACID DEHYDRATASE', NULL, NULL, 3056, 15),
(84936, NULL, 'PTHR33098:SF2', NULL, NULL, NULL, NULL, 'OS08G0402500 PROTEIN', NULL, NULL, NULL, 15),
(84937, NULL, 'PTHR21508:SF5', NULL, NULL, NULL, NULL, 'MITOGUARDIN', NULL, NULL, NULL, 15),
(84938, NULL, 'PTHR12064:SF79', NULL, NULL, NULL, NULL, 'AND COBALT EFFLUX PROTEIN CORC, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(84939, NULL, 'PTHR47739', NULL, NULL, NULL, NULL, 'TRNA1(VAL) (ADENINE(37)-N6)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(84940, NULL, 'PTHR43028:SF1', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(84941, NULL, 'PTHR10953:SF195', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME 1', NULL, NULL, NULL, 15),
(84942, NULL, 'PTHR16119:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11622', NULL, NULL, NULL, 15),
(84943, NULL, 'PTHR47924:SF44', NULL, NULL, NULL, NULL, 'BNAC05G13700D PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84944, NULL, 'PTHR10971:SF31', NULL, NULL, NULL, NULL, 'MITOTIC CHECKPOINT PROTEIN BUB3', NULL, NULL, NULL, 15),
(84945, NULL, 'PTHR22666:SF3', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(84946, NULL, 'PTHR36705:SF5', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE302 PROTEIN', NULL, NULL, NULL, 15),
(84947, NULL, 'PTHR23084:SF247', NULL, NULL, NULL, NULL, 'JUNCTOPHILIN-3-LIKE', NULL, NULL, NULL, 15),
(84948, NULL, 'PTHR31989:SF236', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 60-LIKE', NULL, NULL, NULL, 15),
(84949, NULL, 'PTHR46457', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG 4', NULL, NULL, NULL, 15),
(84950, NULL, 'PTHR11679:SF78', NULL, NULL, NULL, NULL, 'SEC1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84951, NULL, 'PTHR45764:SF33', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 53-LIKE', NULL, NULL, NULL, 15),
(84952, NULL, 'PTHR13683:SF812', NULL, NULL, NULL, NULL, 'BNAA02G05980D PROTEIN', NULL, NULL, NULL, 15),
(84953, NULL, 'PTHR23502:SF64', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11760)-RELATED', NULL, NULL, NULL, 15),
(84954, NULL, 'PTHR14237:SF14', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE (PLP)-DEPENDENT TRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(84955, NULL, 'PTHR21403:SF4', NULL, NULL, NULL, NULL, 'ATP PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(84956, NULL, 'PTHR31479:SF27', NULL, NULL, NULL, NULL, 'OS01G0719900 PROTEIN', NULL, NULL, NULL, 15),
(84957, NULL, 'PTHR46471', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE', NULL, NULL, NULL, 15),
(84958, NULL, 'PTHR46273:SF5', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', NULL, NULL, NULL, 15),
(84959, NULL, 'PTHR47372:SF19', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(84960, NULL, 'PTHR47836:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG18928', NULL, NULL, NULL, 15),
(84961, NULL, 'PTHR46034:SF30', NULL, NULL, NULL, NULL, 'BNAC07G48970D PROTEIN', NULL, NULL, NULL, 15),
(84962, NULL, 'PTHR12378:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84963, NULL, 'PTHR47979:SF42', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABB1C-LIKE', NULL, NULL, NULL, 15),
(84964, NULL, 'PTHR46225:SF18', NULL, NULL, NULL, NULL, 'BNAA09G56630D PROTEIN', NULL, NULL, NULL, 15),
(84965, NULL, 'PTHR24050:SF19', NULL, NULL, NULL, NULL, 'NEPHRONECTIN', NULL, NULL, NULL, 15),
(84966, NULL, 'PTHR45633:SF42', NULL, NULL, NULL, NULL, 'BNAA05G25830D PROTEIN', NULL, NULL, NULL, 15),
(84967, NULL, 'PTHR24298:SF378', NULL, NULL, NULL, NULL, 'P450 FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(84968, NULL, 'PTHR33454', NULL, NULL, NULL, NULL, 'PROLAMIN PPROL 14P', NULL, NULL, 4437, 15),
(84969, NULL, 'PTHR24034:SF107', NULL, NULL, NULL, NULL, 'FIBULIN-5', NULL, NULL, NULL, 15),
(84970, NULL, 'PTHR43939:SF50', NULL, NULL, NULL, NULL, 'NUCLEOPORIN', NULL, NULL, NULL, 15),
(84971, NULL, 'PTHR37180:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84972, NULL, 'PTHR42682:SF3', NULL, NULL, NULL, NULL, 'HYDROGENASE-4 COMPONENT B', NULL, NULL, NULL, 15),
(84973, NULL, 'PTHR24100:SF111', NULL, NULL, NULL, NULL, 'ZGC:153911', NULL, NULL, NULL, 15),
(84974, NULL, 'PTHR31595:SF56', NULL, NULL, NULL, NULL, 'ACYL-COA--STEROL O-ACYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(84975, NULL, 'PTHR24346:SF56', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MARK2', NULL, NULL, NULL, 15),
(84976, NULL, 'PTHR24089:SF92', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN A', NULL, NULL, NULL, 15),
(84977, NULL, 'PTHR45631:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84978, NULL, 'PTHR13318:SF151', NULL, NULL, NULL, NULL, 'SI:DKEY-192L18.9', NULL, NULL, NULL, 15),
(84979, NULL, 'PTHR31388:SF24', NULL, NULL, NULL, NULL, 'PEROXIDASE 52', NULL, NULL, NULL, 15),
(84980, NULL, 'PTHR17604:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION COFACTOR VESTIGIAL-LIKE PROTEIN 4', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(84981, NULL, 'PTHR23086:SF95', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(84982, NULL, 'PTHR11955:SF97', NULL, NULL, NULL, NULL, 'RETINOID-BINDING PROTEIN 7', NULL, NULL, NULL, 15),
(84983, NULL, 'PTHR12547:SF133', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 52', NULL, NULL, NULL, 15),
(84984, NULL, 'PTHR46718', NULL, NULL, NULL, NULL, 'ASPARTATE-SEMIALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(84985, NULL, 'PTHR12013:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84986, NULL, 'PTHR45783:SF3', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(84987, NULL, 'PTHR38522:SF1', NULL, NULL, NULL, NULL, 'SALT STRESS ROOT PROTEIN RS1', NULL, NULL, NULL, 15),
(84988, NULL, 'PTHR12475:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84989, NULL, 'PTHR47926:SF156', NULL, NULL, NULL, NULL, 'BNAC06G13000D PROTEIN', NULL, NULL, NULL, 15),
(84990, NULL, 'PTHR10015:SF320', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(84991, NULL, 'PTHR31266', NULL, NULL, NULL, NULL, 'TRAF-INTERACTING PROTEIN WITH FHA DOMAIN-CONTAINING PROTEIN A FAMILY MEMBER', NULL, NULL, 33790, 15),
(84992, NULL, 'PTHR45974:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84993, NULL, 'PTHR31704:SF34', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(84994, NULL, 'PTHR10663', NULL, NULL, NULL, NULL, 'GUANYL-NUCLEOTIDE EXCHANGE FACTOR', NULL, NULL, NULL, 15),
(84995, NULL, 'PTHR33107:SF60', NULL, NULL, NULL, NULL, 'BNAANNG20090D PROTEIN', NULL, NULL, NULL, 15),
(84996, NULL, 'PTHR22989:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04637', NULL, NULL, NULL, 15),
(84997, NULL, 'PTHR24384:SF221', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(84998, NULL, 'PTHR47411:SF3', NULL, NULL, NULL, NULL, 'B3GNT1, BETA-1,3-N-ACETYLGUCOSAMINYLTRANSFERASE 1, HOMOLOG', NULL, NULL, NULL, 15),
(84999, NULL, 'PTHR30203', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE CATION EFFLUX PROTEIN', NULL, NULL, NULL, 15),
(85000, NULL, 'PTHR43390:SF11', NULL, NULL, NULL, NULL, 'THYLAKOIDAL PROCESSING PEPTIDASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(85001, NULL, 'PTHR34801', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(85002, NULL, 'PTHR15036:SF71', NULL, NULL, NULL, NULL, 'NEUREXIN 2B', NULL, NULL, NULL, 15),
(85003, NULL, 'PTHR35792:SF1', NULL, NULL, NULL, NULL, 'SLL0268 PROTEIN', NULL, NULL, NULL, 15),
(85004, NULL, 'PTHR46408:SF9', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 10', NULL, NULL, NULL, 15),
(85005, NULL, 'PTHR33528:SF15', NULL, NULL, NULL, NULL, 'OS08G0156000 PROTEIN', NULL, NULL, NULL, 15),
(85006, NULL, 'PTHR11822:SF40', NULL, NULL, NULL, NULL, 'ARID DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85007, NULL, 'PTHR15919:SF13', NULL, NULL, NULL, NULL, 'DAPPER HOMOLOG 2', NULL, NULL, 17547, 15),
(85008, NULL, 'PTHR44419:SF9', NULL, NULL, NULL, NULL, 'PROTOCHLOROPHYLLIDE REDUCTASE A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(85009, NULL, 'PTHR39540', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85010, NULL, 'PTHR45801:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SUPERMAN-LIKE', NULL, NULL, NULL, 15),
(85011, NULL, 'PTHR32133:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85012, NULL, 'PTHR37911:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0067K08.20 PROTEIN', NULL, NULL, NULL, 15),
(85013, NULL, 'PTHR43821', NULL, NULL, NULL, NULL, 'NAD(P)H NITROREDUCTASE YDJA-RELATED', NULL, NULL, NULL, 15),
(85014, NULL, 'PTHR10334:SF469', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1B', NULL, NULL, NULL, 15),
(85015, NULL, 'PTHR33870', NULL, NULL, NULL, NULL, 'CARDIOMYOPATHY-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(85016, NULL, 'PTHR45752:SF50', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND DEATH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(85017, NULL, 'PTHR22808:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85018, NULL, 'PTHR48041:SF6', NULL, NULL, NULL, NULL, 'PROTEIN WHITE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85019, NULL, 'PTHR46710:SF1', NULL, NULL, NULL, NULL, 'ARM REPEAT PROTEIN INTERACTING WITH ABF2', NULL, NULL, NULL, 15),
(85020, NULL, 'PTHR10627:SF64', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING PROTEIN YLL032C', NULL, NULL, NULL, 15),
(85021, NULL, 'PTHR46202:SF1', NULL, NULL, NULL, NULL, 'DNA EXCISION REPAIR PROTEIN ERCC-8', NULL, NULL, NULL, 15),
(85022, NULL, 'PTHR31078:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 300', NULL, NULL, NULL, 15),
(85023, NULL, 'PTHR14255:SF33', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN TAUE-RELATED', NULL, NULL, NULL, 15),
(85024, NULL, 'PTHR16399:SF18', NULL, NULL, NULL, NULL, 'GASDERMIN-A', NULL, NULL, NULL, 15),
(85025, NULL, 'PTHR13683:SF847', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85026, NULL, 'PTHR31234:SF32', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(85027, NULL, 'PTHR35243:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85028, NULL, 'PTHR11709:SF109', NULL, NULL, NULL, NULL, 'LACCASE-7', NULL, NULL, NULL, 15),
(85029, NULL, 'PTHR10139:SF1', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR PROTEIN MRE11', NULL, NULL, NULL, 15),
(85030, NULL, 'PTHR43347:SF4', NULL, NULL, NULL, NULL, 'ACETYL-COA SYNETHETASE-RELATED', NULL, NULL, NULL, 15),
(85031, NULL, 'PTHR36036:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85032, NULL, 'PTHR48019:SF44', NULL, NULL, NULL, NULL, 'BNAA09G02740D PROTEIN', NULL, NULL, NULL, 15),
(85033, NULL, 'PTHR42152:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GDF5OS, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(85034, NULL, 'PTHR33672:SF16', NULL, NULL, NULL, NULL, 'OS01G0798750 PROTEIN', NULL, NULL, NULL, 15),
(85035, NULL, 'PTHR35694:SF1', NULL, NULL, NULL, NULL, 'DENEDDYLASE', NULL, NULL, NULL, 15),
(85036, NULL, 'PTHR10917:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I, II', NULL, NULL, NULL, 15),
(85037, NULL, 'PTHR45614:SF163', NULL, NULL, NULL, NULL, 'BNAA09G44780D PROTEIN', NULL, NULL, NULL, 15),
(85038, NULL, 'PTHR11375:SF18', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(85039, NULL, 'PTHR23130:SF144', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(85040, NULL, 'PTHR11787:SF10', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', NULL, NULL, NULL, 15),
(85041, NULL, 'PTHR31549:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85042, NULL, 'PTHR21724:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CBG03731', NULL, NULL, NULL, 15),
(85043, NULL, 'PTHR45969:SF35', NULL, NULL, NULL, NULL, 'RING-H2 ZINC FINGER PROTEIN RHA4A-LIKE', NULL, NULL, NULL, 15),
(85044, NULL, 'PTHR31561:SF153', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(85045, NULL, 'PTHR15683:SF5', NULL, NULL, NULL, NULL, 'SAFB-LIKE TRANSCRIPTION MODULATOR', NULL, NULL, 18681, 15),
(85046, NULL, 'PTHR46084:SF9', NULL, NULL, NULL, NULL, 'OF SODIUM-POTASSIUM ATPASE ALPHA SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(85047, NULL, 'PTHR18896:SF151', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(85048, NULL, 'PTHR16201:SF45', NULL, NULL, NULL, NULL, 'PQ-LOOP REPEAT FAMILY PROTEIN / TRANSMEMBRANE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85049, NULL, 'PTHR11533:SF171', NULL, NULL, NULL, NULL, 'PROTEIN TMA108', NULL, NULL, 34040, 15),
(85050, NULL, 'PTHR11771:SF132', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(85051, NULL, 'PTHR10579', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED CHLORIDE CHANNEL REGULATOR', NULL, NULL, NULL, 15),
(85052, NULL, 'PTHR31656:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85053, NULL, 'PTHR24349:SF402', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85054, NULL, 'PTHR45935:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85055, NULL, 'PTHR10903:SF139', NULL, NULL, NULL, NULL, 'SI:DKEY-110G7.8', NULL, NULL, NULL, 15),
(85056, NULL, 'PTHR33883', NULL, NULL, NULL, NULL, 'WPP DOMAIN-ASSOCIATED PROTEIN', NULL, NULL, 32576, 15),
(85057, NULL, 'PTHR33673', NULL, NULL, NULL, NULL, 'SUPPRESSOR SRP40-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85058, NULL, 'PTHR48016:SF18', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE SSK2-RELATED', NULL, NULL, NULL, 15),
(85059, NULL, 'PTHR31744:SF62', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 77', NULL, NULL, NULL, 15),
(85060, NULL, 'PTHR23426:SF59', NULL, NULL, NULL, NULL, 'PUTIDAREDOXIN-LIKE', NULL, NULL, NULL, 15),
(85061, NULL, 'PTHR14199:SF18', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA BREAKPOINT FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(85062, NULL, 'PTHR38495', NULL, NULL, NULL, NULL, 'MCG11474', NULL, NULL, NULL, 15),
(85063, NULL, 'PTHR45496:SF5', NULL, NULL, NULL, NULL, 'AT HOOK-CONTAINING MAR BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(85064, NULL, 'PTHR31589:SF61', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(85065, NULL, 'PTHR11523:SF49', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(85066, NULL, 'PTHR34982', NULL, NULL, NULL, NULL, 'YOP PROTEINS TRANSLOCATION PROTEIN L', NULL, NULL, NULL, 15),
(85067, NULL, 'PTHR23135', NULL, NULL, NULL, NULL, 'MUR LIGASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(85068, NULL, 'PTHR44156:SF9', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN CONTAINING 11', NULL, NULL, NULL, 15),
(85069, NULL, 'PTHR33147:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85070, NULL, 'PTHR45704', NULL, NULL, NULL, NULL, 'RAS-LIKE FAMILY MEMBER 11', NULL, NULL, NULL, 15),
(85071, NULL, 'PTHR11588:SF325', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2 CHAIN', NULL, NULL, NULL, 15),
(85072, NULL, 'PTHR47189', NULL, NULL, NULL, NULL, 'MHC CLASS II TRANSACTIVATOR', NULL, NULL, NULL, 15),
(85073, NULL, 'PTHR22957:SF254', NULL, NULL, NULL, NULL, 'EVI5-LIKE PROTEIN', NULL, NULL, 27396, 15),
(85074, NULL, 'PTHR23113:SF158', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR N', NULL, NULL, NULL, 15),
(85075, NULL, 'PTHR24349:SF407', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85076, NULL, 'PTHR24126:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85077, NULL, 'PTHR31639:SF99', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(85078, NULL, 'PTHR10909:SF384', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, NULL, 15),
(85079, NULL, 'PTHR46126:SF2', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 5', NULL, NULL, NULL, 15),
(85080, NULL, 'PTHR48008:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85081, NULL, 'PTHR31623:SF66', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(85082, NULL, 'PTHR13902:SF141', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK2-RELATED', NULL, NULL, NULL, 15),
(85083, NULL, 'PTHR24029:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION-REPAIR-COUPLING FACTOR', NULL, NULL, NULL, 15),
(85084, NULL, 'PTHR23226:SF247', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 24', NULL, NULL, NULL, 15),
(85085, NULL, 'PTHR31639:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85086, NULL, 'PTHR10492:SF74', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(85087, NULL, 'PTHR23334:SF20', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85088, NULL, 'PTHR11599:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85089, NULL, 'PTHR21308:SF2', NULL, NULL, NULL, NULL, 'ZGC:174917', NULL, NULL, NULL, 15),
(85090, NULL, 'PTHR13169:SF12', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85091, NULL, 'PTHR10285:SF178', NULL, NULL, NULL, NULL, 'BNAC06G40610D PROTEIN', NULL, NULL, NULL, 15),
(85092, NULL, 'PTHR20963:SF18', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE PHO11-RELATED', NULL, NULL, NULL, 15),
(85093, NULL, 'PTHR47006', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 4', NULL, NULL, 38195, 15),
(85094, NULL, 'PTHR10807:SF52', NULL, NULL, NULL, NULL, 'ZGC:154055', NULL, NULL, NULL, 15),
(85095, NULL, 'PTHR47307', NULL, NULL, NULL, NULL, 'GLUTATHIONE-REGULATED POTASSIUM-EFFLUX SYSTEM ANCILLARY PROTEIN KEFG', NULL, NULL, NULL, 15),
(85096, NULL, 'PTHR11654:SF466', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(85097, NULL, 'PTHR31442:SF24', NULL, NULL, NULL, NULL, 'BNAA03G55120D PROTEIN', NULL, NULL, NULL, 15),
(85098, NULL, 'PTHR11909:SF323', NULL, NULL, NULL, NULL, 'OS01G0570500 PROTEIN', NULL, NULL, NULL, 15),
(85099, NULL, 'PTHR35006:SF1', NULL, NULL, NULL, NULL, 'BLL2941 PROTEIN', NULL, NULL, NULL, 15),
(85100, NULL, 'PTHR13318:SF7', NULL, NULL, NULL, NULL, 'PROTEIN AMN1 HOMOLOG', NULL, NULL, NULL, 15),
(85101, NULL, 'PTHR10285:SF134', NULL, NULL, NULL, NULL, 'MUSCLE-SPECIFIC BETA 1 INTEGRIN-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(85102, NULL, 'PTHR45934', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, 38820, 15),
(85103, NULL, 'PTHR32251:SF26', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE,C-TERMINAL', NULL, NULL, NULL, 15),
(85104, NULL, 'PTHR18896:SF134', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(85105, NULL, 'PTHR47925:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85106, NULL, 'PTHR47177:SF6', NULL, NULL, NULL, NULL, 'BNAA05G31570D PROTEIN', NULL, NULL, NULL, 15),
(85107, NULL, 'PTHR10747:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR COE4', NULL, NULL, NULL, 15),
(85108, NULL, 'PTHR24377:SF778', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 260', NULL, NULL, NULL, 15),
(85109, NULL, 'PTHR11615:SF284', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2B1', NULL, NULL, NULL, 15),
(85110, NULL, 'PTHR21230:SF62', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT THROUGH INTERACTION WITH T-SNARES HOMOLOG 1A', NULL, NULL, NULL, 15),
(85111, NULL, 'PTHR13238:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85112, NULL, 'PTHR23516:SF17', NULL, NULL, NULL, NULL, 'MOLYBDATE-ANION TRANSPORTER-LIKE', NULL, NULL, NULL, 15),
(85113, NULL, 'PTHR22937:SF109', NULL, NULL, NULL, NULL, 'BNAA10G28200D PROTEIN', NULL, NULL, NULL, 15),
(85114, NULL, 'PTHR48050:SF17', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(85115, NULL, 'PTHR46288:SF18', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85116, NULL, 'PTHR46116:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85117, NULL, 'PTHR27009:SF13', NULL, NULL, NULL, NULL, 'OS01G0138400 PROTEIN', NULL, NULL, NULL, 15),
(85118, NULL, 'PTHR11073:SF32', NULL, NULL, NULL, NULL, 'BNAC05G11030D PROTEIN', NULL, NULL, NULL, 15),
(85119, NULL, 'PTHR42885:SF5', NULL, NULL, NULL, NULL, 'HISTIDINOL-PHOSPHATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(85120, NULL, 'PTHR23232:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85121, NULL, 'PTHR33057:SF90', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP7', NULL, NULL, NULL, 15),
(85122, NULL, 'PTHR15573', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 160-RELATED', NULL, NULL, 38879, 15),
(85123, NULL, 'PTHR43072:SF38', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(85124, NULL, 'PTHR11476:SF7', NULL, NULL, NULL, NULL, 'HISTIDYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(85125, NULL, 'PTHR33099', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85126, NULL, 'PTHR31238:SF208', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85127, NULL, 'PTHR39662:SF2', NULL, NULL, NULL, NULL, 'LIPID-A-DISACCHARIDE SYNTHASE RELATED GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85128, NULL, 'PTHR36712', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(85129, NULL, 'PTHR31589:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85130, NULL, 'PTHR13992', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR CO-REPRESSOR RELATED  NCOR', NULL, NULL, NULL, 15),
(85131, NULL, 'PTHR34357:SF4', NULL, NULL, NULL, NULL, 'GCK DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85132, NULL, 'PTHR11362:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85133, NULL, 'PTHR33525:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOHYDROLASE-RELATED', NULL, NULL, NULL, 15),
(85134, NULL, 'PTHR43976:SF3', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85135, NULL, 'PTHR11782:SF108', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-DIPHOSPHATASE MIG-23', NULL, NULL, NULL, 15),
(85136, NULL, 'PTHR31719:SF88', NULL, NULL, NULL, NULL, 'OS07G0272700 PROTEIN', NULL, NULL, NULL, 15),
(85137, NULL, 'PTHR10694:SF84', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 5D', NULL, NULL, NULL, 15),
(85138, NULL, 'PTHR33184:SF58', NULL, NULL, NULL, NULL, 'BNAA02G24090D PROTEIN', NULL, NULL, NULL, 15),
(85139, NULL, 'PTHR47903', NULL, NULL, NULL, NULL, 'OS07G0636400 PROTEIN', NULL, NULL, NULL, 15),
(85140, NULL, 'PTHR33801:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85141, NULL, 'PTHR46738', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(85142, NULL, 'PTHR11960:SF52', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85143, NULL, 'PTHR11814:SF188', NULL, NULL, NULL, NULL, 'SULFATE PERMEASE FAMILY PROTEIN 3', NULL, NULL, NULL, 15),
(85144, NULL, 'PTHR42760:SF100', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(85145, NULL, 'PTHR48050:SF4', NULL, NULL, NULL, NULL, 'BNAA05G30520D PROTEIN', NULL, NULL, NULL, 15),
(85146, NULL, 'PTHR43391:SF44', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE', NULL, NULL, NULL, 15),
(85147, NULL, 'PTHR16821', NULL, NULL, NULL, NULL, 'FRATAXIN', NULL, NULL, 6172, 15),
(85148, NULL, 'PTHR21139:SF24', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(85149, NULL, 'PTHR34360:SF4', NULL, NULL, NULL, NULL, 'OS09G0497700 PROTEIN', NULL, NULL, NULL, 15),
(85150, NULL, 'PTHR31692:SF89', NULL, NULL, NULL, NULL, 'EXPANSIN-B4-RELATED', NULL, NULL, NULL, 15),
(85151, NULL, 'PTHR21415', NULL, NULL, NULL, NULL, 'U7 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM11', NULL, NULL, 34161, 15),
(85152, NULL, 'PTHR23414:SF6', NULL, NULL, NULL, NULL, 'ADM5', NULL, NULL, NULL, 15),
(85153, NULL, 'PTHR10559:SF20', NULL, NULL, NULL, NULL, 'SIMILAR TO TRANSCOBALAMIN-1 (TRANSCOBALAMIN I) (TCI) (TC I)-RELATED', NULL, NULL, NULL, 15),
(85154, NULL, 'PTHR43752:SF5', NULL, NULL, NULL, NULL, 'BNR/ASP-BOX REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85155, NULL, 'PTHR33285:SF20', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 1', NULL, NULL, NULL, 15),
(85156, NULL, 'PTHR19302', NULL, NULL, NULL, NULL, 'GAMMA TUBULIN COMPLEX PROTEIN', NULL, NULL, 6932, 15),
(85157, NULL, 'PTHR11388', NULL, NULL, NULL, NULL, 'ORGANIC ANION TRANSPORTER', NULL, NULL, 2969, 15),
(85158, NULL, 'PTHR24072:SF330', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN RHO1', NULL, NULL, NULL, 15),
(85159, NULL, 'PTHR10778:SF16', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR TRANSPORTER FAMILY', NULL, NULL, NULL, 15),
(85160, NULL, 'PTHR31807:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85161, NULL, 'PTHR23421:SF157', NULL, NULL, NULL, NULL, 'D-GALACTOSIDE/L-RHAMNOSE BINDING SUEL LECTIN PROTEIN', NULL, NULL, NULL, 15),
(85162, NULL, 'PTHR33470:SF36', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(85163, NULL, 'PTHR11654:SF326', NULL, NULL, NULL, NULL, 'NITRATE TRANSPORTER 1', NULL, NULL, NULL, 15),
(85164, NULL, 'PTHR22907:SF15', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85165, NULL, 'PTHR48019:SF26', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(85166, NULL, 'PTHR33832', NULL, NULL, NULL, NULL, 'SERINE-TYPE ENDOPEPTIDASE INHIBITOR', NULL, NULL, NULL, 15),
(85167, NULL, 'PTHR44329:SF162', NULL, NULL, NULL, NULL, 'CTR1-LIKE KINASE KINASE KINASE-LIKE', NULL, NULL, NULL, 15),
(85168, NULL, 'PTHR26312:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85169, NULL, 'PTHR43008:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(85170, NULL, 'PTHR11157:SF5', NULL, NULL, NULL, NULL, 'FATTY ACID ELONGATION PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(85171, NULL, 'PTHR10183:SF374', NULL, NULL, NULL, NULL, 'CALPAIN-8', NULL, NULL, 26303, 15),
(85172, NULL, 'PTHR26453:SF169', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2W1', NULL, NULL, NULL, 15),
(85173, NULL, 'PTHR12303', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 13068, 15),
(85174, NULL, 'PTHR46862:SF3', NULL, NULL, NULL, NULL, 'OS07G0661900 PROTEIN', NULL, NULL, NULL, 15),
(85175, NULL, 'PTHR37485:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSB', NULL, NULL, NULL, 15),
(85176, NULL, 'PTHR13068:SF152', NULL, NULL, NULL, NULL, 'MITOCHODRIAL TRANSCRIPTION TERMINATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(85177, NULL, 'PTHR10528:SF6', NULL, NULL, NULL, NULL, 'AF4/FMR2 FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(85178, NULL, 'PTHR37975:SF3', NULL, NULL, NULL, NULL, 'FLYWCH ZINC FINGER TRANSCRIPTION FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(85179, NULL, 'PTHR45783', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(85180, NULL, 'PTHR24235:SF16', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR TYPE 6-RELATED', NULL, NULL, 423, 15),
(85181, NULL, 'PTHR44656:SF2', NULL, NULL, NULL, NULL, 'FLJ13639', NULL, NULL, NULL, 15),
(85182, NULL, 'PTHR31479:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85183, NULL, 'PTHR34663:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85184, NULL, 'PTHR45647:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85185, NULL, 'PTHR48024:SF24', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85186, NULL, 'PTHR42791:SF5', NULL, NULL, NULL, NULL, 'HYPOTHETICAL ACETYLTRANSFERASE (EUROFUNG)', NULL, NULL, NULL, 15),
(85187, NULL, 'PTHR24205:SF15', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS 5', NULL, NULL, NULL, 15),
(85188, NULL, 'PTHR21388:SF4', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 10-RELATED', NULL, NULL, NULL, 15),
(85189, NULL, 'PTHR43768:SF29', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE H-RELATED', NULL, NULL, NULL, 15),
(85190, NULL, 'PTHR18868:SF33', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(85191, NULL, 'PTHR37449:SF1', NULL, NULL, NULL, NULL, 'OS02G0159950 PROTEIN', NULL, NULL, NULL, 15),
(85192, NULL, 'PTHR23100:SF0', NULL, NULL, NULL, NULL, 'ARGININE BIOSYNTHESIS BIFUNCTIONAL PROTEIN ARGJ, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(85193, NULL, 'PTHR45645:SF26', NULL, NULL, NULL, NULL, 'TOLLOID-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(85194, NULL, 'PTHR15427:SF24', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 7', NULL, NULL, NULL, 15),
(85195, NULL, 'PTHR13360:SF2', NULL, NULL, NULL, NULL, 'BNAA01G28130D PROTEIN', NULL, NULL, NULL, 15),
(85196, NULL, 'PTHR45738:SF15', NULL, NULL, NULL, NULL, 'BNAANNG13070D PROTEIN', NULL, NULL, NULL, 15),
(85197, NULL, 'PTHR12411:SF738', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE 3', NULL, NULL, NULL, 15),
(85198, NULL, 'PTHR47640:SF15', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP47B', NULL, NULL, NULL, 15),
(85199, NULL, 'PTHR15718:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85200, NULL, 'PTHR12673:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85201, NULL, 'PTHR31190:SF200', NULL, NULL, NULL, NULL, 'AP2/EREBP TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85202, NULL, 'PTHR33672:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85203, NULL, 'PTHR23501:SF174', NULL, NULL, NULL, NULL, 'MULTIDRUG EXPORT PROTEIN EMRB-RELATED', NULL, NULL, NULL, 15),
(85204, NULL, 'PTHR48058:SF8', NULL, NULL, NULL, NULL, 'OSJNBB0089K24.8 PROTEIN', NULL, NULL, NULL, 15),
(85205, NULL, 'PTHR46008:SF2', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.4', NULL, NULL, NULL, 15),
(85206, NULL, 'PTHR28333:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR FRAGILE X MENTAL RETARDATION-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(85207, NULL, 'PTHR45671:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG03753', NULL, NULL, NULL, 15),
(85208, NULL, 'PTHR13145', NULL, NULL, NULL, NULL, 'SSM4 PROTEIN', NULL, NULL, NULL, 15),
(85209, NULL, 'PTHR34211:SF8', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85210, NULL, 'PTHR45648:SF87', NULL, NULL, NULL, NULL, 'BNAC06G10400D PROTEIN', NULL, NULL, NULL, 15),
(85211, NULL, 'PTHR45626:SF25', NULL, NULL, NULL, NULL, 'SNF2-RELATED DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(85212, NULL, 'PTHR46128:SF102', NULL, NULL, NULL, NULL, 'BNAC09G50790D PROTEIN', NULL, NULL, NULL, 15),
(85213, NULL, 'PTHR11437:SF53', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 4', NULL, NULL, NULL, 15),
(85214, NULL, 'PTHR11012:SF30', NULL, NULL, NULL, NULL, 'PROTEIN KINASE-LIKE DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(85215, NULL, 'PTHR32212:SF247', NULL, NULL, NULL, NULL, 'BNAA03G47970D PROTEIN', NULL, NULL, NULL, 15),
(85216, NULL, 'PTHR23244:SF447', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(85217, NULL, 'PTHR24064:SF235', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10690)-RELATED', NULL, NULL, NULL, 15),
(85218, NULL, 'PTHR11260:SF673', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U13-LIKE', NULL, NULL, NULL, 15),
(85219, NULL, 'PTHR47322:SF11', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15),
(85220, NULL, 'PTHR11127:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L14-1', NULL, NULL, NULL, 15),
(85221, NULL, 'PTHR34294:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR LSRR', NULL, NULL, NULL, 15),
(85222, NULL, 'PTHR23407:SF1', NULL, NULL, NULL, NULL, '5-FORMYLTETRAHYDROFOLATE CYCLO-LIGASE', NULL, NULL, 3941, 15),
(85223, NULL, 'PTHR31696:SF67', NULL, NULL, NULL, NULL, 'OS05G0280000 PROTEIN', NULL, NULL, NULL, 15),
(85224, NULL, 'PTHR31442:SF23', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', NULL, NULL, NULL, 15),
(85225, NULL, 'PTHR44575:SF2', NULL, NULL, NULL, NULL, 'OS01G0589200 PROTEIN', NULL, NULL, NULL, 15),
(85226, NULL, 'PTHR10134:SF36', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(85227, NULL, 'PTHR11638:SF164', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 78, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(85228, NULL, 'PTHR13848:SF78', NULL, NULL, NULL, NULL, 'BNAA02G09980D PROTEIN', NULL, NULL, NULL, 15),
(85229, NULL, 'PTHR23063', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(85230, NULL, 'PTHR14209:SF28', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE CPRD49-LIKE', NULL, NULL, NULL, 15),
(85231, NULL, 'PTHR46035:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85232, NULL, 'PTHR12300:SF144', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85233, NULL, 'PTHR45814:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD1', NULL, NULL, NULL, 15),
(85234, NULL, 'PTHR47748', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85235, NULL, 'PTHR45927:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85236, NULL, 'PTHR43336:SF4', NULL, NULL, NULL, NULL, 'OXYGEN SENSOR HISTIDINE KINASE RESPONSE REGULATOR DEVS/DOSS', NULL, NULL, NULL, 15),
(85237, NULL, 'PTHR16056:SF12', NULL, NULL, NULL, NULL, 'REGULATOR OF MICROTUBULE DYNAMICS', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85238, NULL, 'PTHR33955', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 52', NULL, NULL, 34152, 15),
(85239, NULL, 'PTHR44013:SF12', NULL, NULL, NULL, NULL, 'ZINC-TYPE ALCOHOL DEHYDROGENASE-LIKE PROTEIN C16A3.02C-RELATED', NULL, NULL, NULL, 15),
(85240, NULL, 'PTHR22943:SF86', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(85241, NULL, 'PTHR44191:SF23', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(85242, NULL, 'PTHR38445:SF7', NULL, NULL, NULL, NULL, 'GNTR FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(85243, NULL, 'PTHR11017:SF352', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(85244, NULL, 'PTHR22953:SF105', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 21', NULL, NULL, NULL, 15),
(85245, NULL, 'PTHR48228:SF1', NULL, NULL, NULL, NULL, 'SUCCINYL-COA--D-CITRAMALATE COA-TRANSFERASE', NULL, NULL, NULL, 15),
(85246, NULL, 'PTHR34491:SF8', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN ZIP1', NULL, NULL, NULL, 15),
(85247, NULL, 'PTHR23130:SF182', NULL, NULL, NULL, NULL, 'BNAC01G39790D PROTEIN', NULL, NULL, NULL, 15),
(85248, NULL, 'PTHR31808:SF8', NULL, NULL, NULL, NULL, 'GB|AAF02142.1', NULL, NULL, NULL, 15),
(85249, NULL, 'PTHR23346:SF7', NULL, NULL, NULL, NULL, 'EIF-2-ALPHA KINASE ACTIVATOR GCN1', NULL, NULL, 34244, 15),
(85250, NULL, 'PTHR31079:SF34', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 75-RELATED', NULL, NULL, NULL, 15),
(85251, NULL, 'PTHR47535:SF1', NULL, NULL, NULL, NULL, 'MUSCLE-SPECIFIC PROTEIN 300 KDA, ISOFORM G', NULL, NULL, NULL, 15),
(85252, NULL, 'PTHR36014:SF1', NULL, NULL, NULL, NULL, 'OS03G0176600 PROTEIN', NULL, NULL, NULL, 15),
(85253, NULL, 'PTHR35547:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85254, NULL, 'PTHR43948', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85255, NULL, 'PTHR46015:SF9', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE METHYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(85256, NULL, 'PTHR11431:SF4', NULL, NULL, NULL, NULL, 'BACTERIAL NON-HEME FERRITIN', NULL, NULL, NULL, 15),
(85257, NULL, 'PTHR33564:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85258, NULL, 'PTHR35293:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(85259, NULL, 'PTHR27007:SF332', NULL, NULL, NULL, NULL, 'BNACNNG23030D PROTEIN', NULL, NULL, NULL, 15),
(85260, NULL, 'PTHR43118', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONAN LYASE (EUROFUNG)', NULL, NULL, 6212, 15),
(85261, NULL, 'PTHR45644:SF20', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85262, NULL, 'PTHR21107:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX19', NULL, NULL, NULL, 15),
(85263, NULL, 'PTHR10957:SF1', NULL, NULL, NULL, NULL, 'FI02061P', NULL, NULL, NULL, 15),
(85264, NULL, 'PTHR11683:SF4', NULL, NULL, NULL, NULL, 'NEURONAL MEMBRANE GLYCOPROTEIN M6-A', NULL, NULL, NULL, 15),
(85265, NULL, 'PTHR45751:SF29', NULL, NULL, NULL, NULL, 'RING-FINGER PROTEIN', NULL, NULL, NULL, 15),
(85266, NULL, 'PTHR13018:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85267, NULL, 'PTHR43199:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE PROENZYME', NULL, NULL, NULL, 15),
(85268, NULL, 'PTHR11202:SF11', NULL, NULL, NULL, NULL, 'SPROUTY-RELATED, EVH1 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(85269, NULL, 'PTHR21713:SF23', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85270, NULL, 'PTHR31096:SF61', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR4-LIKE', NULL, NULL, NULL, 15),
(85271, NULL, 'PTHR48097:SF6', NULL, NULL, NULL, NULL, 'LOW-SPECIFICITY L-THREONINE ALDOLASE 1-RELATED', NULL, NULL, NULL, 15),
(85272, NULL, 'PTHR24068:SF335', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 36', NULL, NULL, NULL, 15),
(85273, NULL, 'PTHR37227', NULL, NULL, NULL, NULL, 'OS01G0219000 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85274, NULL, 'PTHR31716', NULL, NULL, NULL, NULL, 'PROTEIN FMC1 HOMOLOG', NULL, NULL, 35243, 15),
(85275, NULL, 'PTHR45890:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ABKC-RELATED', NULL, NULL, NULL, 15),
(85276, NULL, 'PTHR10516:SF341', NULL, NULL, NULL, NULL, '12 KDA FK506-BINDING PROTEIN', NULL, NULL, NULL, 15),
(85277, NULL, 'PTHR31790:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85278, NULL, 'PTHR11157:SF143', NULL, NULL, NULL, NULL, 'BNAC03G34740D PROTEIN', NULL, NULL, NULL, 15),
(85279, NULL, 'PTHR33193:SF37', NULL, NULL, NULL, NULL, 'DUF3511 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(85280, NULL, 'PTHR12942', NULL, NULL, NULL, NULL, 'STEP II SPLICING FACTOR SLU7', NULL, NULL, 34063, 15),
(85281, NULL, 'PTHR24112:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85282, NULL, 'PTHR21420', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE 1', NULL, NULL, 32790, 15),
(85283, NULL, 'PTHR34394:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 2310022B05', NULL, NULL, NULL, 15),
(85284, NULL, 'PTHR45785:SF9', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR H-RELATED PROTEIN 5', NULL, NULL, NULL, 15),
(85285, NULL, 'PTHR24068:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85286, NULL, 'PTHR45496:SF10', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(85287, NULL, 'PTHR33304:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(85288, NULL, 'PTHR31004:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 79A-RELATED', NULL, NULL, NULL, 15),
(85289, NULL, 'PTHR11119:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85290, NULL, 'PTHR10353:SF244', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 34', NULL, NULL, NULL, 15),
(85291, NULL, 'PTHR33146:SF10', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 4', NULL, NULL, NULL, 15),
(85292, NULL, 'PTHR21409:SF1', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC CELL SIGNAL TRANSDUCER', NULL, NULL, NULL, 15),
(85293, NULL, 'PTHR24040:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 31926, 15),
(85294, NULL, 'PTHR43552', NULL, NULL, NULL, NULL, 'DIAMINOBUTYRATE--2-OXOGLUTARATE AMINOTRANSFERASE', NULL, NULL, 2774, 15),
(85295, NULL, 'PTHR47123:SF11', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', NULL, NULL, NULL, 15),
(85296, NULL, 'PTHR48100:SF20', NULL, NULL, NULL, NULL, 'BNAC02G02760D PROTEIN', NULL, NULL, NULL, 15),
(85297, NULL, 'PTHR35632:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85298, NULL, 'PTHR33264:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85299, NULL, 'PTHR31839:SF38', NULL, NULL, NULL, NULL, 'HVCBF10A', NULL, NULL, NULL, 15),
(85300, NULL, 'PTHR36792:SF11', NULL, NULL, NULL, NULL, 'SEL1 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(85301, NULL, 'PTHR34120:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85302, NULL, 'PTHR17630', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE', NULL, NULL, NULL, 15),
(85303, NULL, 'PTHR10438:SF426', NULL, NULL, NULL, NULL, 'THIOREDOXIN-3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(85304, NULL, 'PTHR13068:SF186', NULL, NULL, NULL, NULL, 'BNAA05G31650D PROTEIN', NULL, NULL, NULL, 15),
(85305, NULL, 'PTHR48010:SF45', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', NULL, NULL, NULL, 15),
(85306, NULL, 'PTHR24403:SF87', NULL, NULL, NULL, NULL, 'PEPTIDASE C78, UBIQUITIN MODIFIER-SPECIFIC PEPTIDASE 1/ 2-RELATED', NULL, NULL, NULL, 15),
(85307, NULL, 'PTHR37988', NULL, NULL, NULL, NULL, 'UPF0592 MEMBRANE PROTEIN C7D4.03C', NULL, NULL, NULL, 15),
(85308, NULL, 'PTHR22955:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85309, NULL, 'PTHR38095:SF1', NULL, NULL, NULL, NULL, 'ANAEROBIC DIMETHYL SULFOXIDE REDUCTASE CHAIN YNFH', NULL, NULL, NULL, 15),
(85310, NULL, 'PTHR35131:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85311, NULL, 'PTHR31327:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG22423', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85312, NULL, 'PTHR15357:SF0', NULL, NULL, NULL, NULL, 'OLFACTORY MARKER PROTEIN', NULL, NULL, NULL, 15),
(85313, NULL, 'PTHR10896:SF24', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS04G0650300-RELATED', NULL, NULL, NULL, 15),
(85314, NULL, 'PTHR31459:SF21', NULL, NULL, NULL, NULL, 'DESICCATION PROTECTANT PROTEIN LEA14 HOMOLOG', NULL, NULL, NULL, 15),
(85315, NULL, 'PTHR21646:SF16', NULL, NULL, NULL, NULL, 'U4/U6.U5 TRI-SNRNP-ASSOCIATED PROTEIN 2', NULL, NULL, 31708, 15),
(85316, NULL, 'PTHR24361:SF762', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 4', NULL, NULL, NULL, 15),
(85317, NULL, 'PTHR31867:SF100', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(85318, NULL, 'PTHR31517:SF50', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(85319, NULL, 'PTHR44533', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(85320, NULL, 'PTHR11871:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', NULL, NULL, NULL, 15),
(85321, NULL, 'PTHR10869:SF123', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 6-RELATED', NULL, NULL, NULL, 15),
(85322, NULL, 'PTHR35166:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85323, NULL, 'PTHR46166:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(85324, NULL, 'PTHR24276', NULL, NULL, NULL, NULL, 'POLYSERASE-RELATED', NULL, NULL, NULL, 15),
(85325, NULL, 'PTHR33577:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85326, NULL, 'PTHR19368:SF3', NULL, NULL, NULL, NULL, 'X-LINKED LYMPHOCYTE-REGULATED PROTEIN 3A-RELATED', NULL, NULL, NULL, 15),
(85327, NULL, 'PTHR37989:SF34', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(85328, NULL, 'PTHR31201', NULL, NULL, NULL, NULL, 'OS01G0585100 PROTEIN', NULL, NULL, 17628, 15),
(85329, NULL, 'PTHR24243:SF211', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(85330, NULL, 'PTHR37479', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSL', NULL, NULL, 11185, 15),
(85331, NULL, 'PTHR45840:SF4', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(85332, NULL, 'PTHR32183:SF12', NULL, NULL, NULL, NULL, 'OS03G0843800 PROTEIN', NULL, NULL, NULL, 15),
(85333, NULL, 'PTHR48018:SF63', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(85334, NULL, 'PTHR26379:SF391', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(85335, NULL, 'PTHR26453:SF44', NULL, NULL, NULL, NULL, 'MCG141924-RELATED', NULL, NULL, NULL, 15),
(85336, NULL, 'PTHR36714', NULL, NULL, NULL, NULL, 'T23E23.1', NULL, NULL, NULL, 15),
(85337, NULL, 'PTHR36323:SF1', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85338, NULL, 'PTHR12378:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(85339, NULL, 'PTHR21450:SF2', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF630 AND DUF632)-RELATED', NULL, NULL, NULL, 15),
(85340, NULL, 'PTHR45138', NULL, NULL, NULL, NULL, 'REGULATORY COMPONENTS OF SENSORY TRANSDUCTION SYSTEM', NULL, NULL, NULL, 15),
(85341, NULL, 'PTHR31488', NULL, NULL, NULL, NULL, 'DPY-19-LIKE 1, LIKE (H. SAPIENS)', NULL, NULL, 18898, 15),
(85342, NULL, 'PTHR24377:SF907', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 333', NULL, NULL, NULL, 15),
(85343, NULL, 'PTHR30237:SF2', NULL, NULL, NULL, NULL, 'MUREIN TETRAPEPTIDE CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(85344, NULL, 'PTHR43193:SF2', NULL, NULL, NULL, NULL, 'POLYFERREDOXIN PROTEIN FWDF', NULL, NULL, NULL, 15),
(85345, NULL, 'PTHR48153', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85346, NULL, 'PTHR43742:SF2', NULL, NULL, NULL, NULL, 'ASSIMILATORY NITRATE REDUCTASE CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(85347, NULL, 'PTHR15201:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26', NULL, NULL, NULL, 15),
(85348, NULL, 'PTHR24300:SF89', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 516B1-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85349, NULL, 'PTHR12025:SF5', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR A', NULL, NULL, NULL, 15),
(85350, NULL, 'PTHR10605:SF36', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL HEPARAN SULFATE N-DEACETYLASE/N-SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(85351, NULL, 'PTHR11893:SF19', NULL, NULL, NULL, NULL, 'INNEXIN', NULL, NULL, NULL, 15),
(85352, NULL, 'PTHR23118:SF32', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE', NULL, NULL, NULL, 15),
(85353, NULL, 'PTHR23382:SF1', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE 1B-RELATED', NULL, NULL, NULL, 15),
(85354, NULL, 'PTHR24349:SF433', NULL, NULL, NULL, NULL, 'NITROGEN NETWORK KINASE 1', NULL, NULL, NULL, 15),
(85355, NULL, 'PTHR24343:SF137', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HRK1', NULL, NULL, NULL, 15),
(85356, NULL, 'PTHR46162:SF13', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85357, NULL, 'PTHR19211:SF67', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING PROTEIN EXPZ', NULL, NULL, NULL, 15),
(85358, NULL, 'PTHR31490:SF1', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE 1', NULL, NULL, NULL, 15),
(85359, NULL, 'PTHR30193:SF18', NULL, NULL, NULL, NULL, 'MEMBRANE BOUND SUGAR TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(85360, NULL, 'PTHR24033:SF165', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85361, NULL, 'PTHR45669:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85362, NULL, 'PTHR11352:SF9', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN', NULL, NULL, NULL, 15),
(85363, NULL, 'PTHR19331:SF440', NULL, NULL, NULL, NULL, 'MACROPHAGE SCAVENGER RECEPTOR TYPES I AND II', NULL, NULL, 7435, 15),
(85364, NULL, 'PTHR15344:SF7', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN 1', NULL, NULL, NULL, 15),
(85365, NULL, 'PTHR33107:SF19', NULL, NULL, NULL, NULL, 'MIRACULIN-LIKE', NULL, NULL, NULL, 15),
(85366, NULL, 'PTHR11360:SF224', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER (MCT), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17360)-RELATED', NULL, NULL, NULL, 15),
(85367, NULL, 'PTHR24166:SF45', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE XBAT35, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(85368, NULL, 'PTHR24305:SF168', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(85369, NULL, 'PTHR24376:SF70', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 668', NULL, NULL, NULL, 15),
(85370, NULL, 'PTHR19847:SF23', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD-LIKE REPEAT-PROTEIN', NULL, NULL, NULL, 15),
(85371, NULL, 'PTHR10900:SF109', NULL, NULL, NULL, NULL, 'RE16941P', NULL, NULL, NULL, 15),
(85372, NULL, 'PTHR14155:SF555', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85373, NULL, 'PTHR24286:SF297', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE-LIKE', NULL, NULL, NULL, 15),
(85374, NULL, 'PTHR16110', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 19', NULL, NULL, 39483, 15),
(85375, NULL, 'PTHR34675', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 33164, 15),
(85376, NULL, 'PTHR31683:SF161', NULL, NULL, NULL, NULL, 'PECTATE LYASE 19-RELATED', NULL, NULL, NULL, 15),
(85377, NULL, 'PTHR21465:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 469', NULL, NULL, NULL, 15),
(85378, NULL, 'PTHR33101:SF57', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85379, NULL, 'PTHR11711:SF30', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 2', NULL, NULL, NULL, 15),
(85380, NULL, 'PTHR31920:SF51', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR VRN1-LIKE', NULL, NULL, NULL, 15),
(85381, NULL, 'PTHR23249:SF16', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(85382, NULL, 'PTHR33834:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85383, NULL, 'PTHR31431', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP188 HOMOLOG', NULL, NULL, 38565, 15),
(85384, NULL, 'PTHR11814:SF222', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 2.1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85385, NULL, 'PTHR24390:SF44', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 671', NULL, NULL, NULL, 15),
(85386, NULL, 'PTHR44067:SF7', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(85387, NULL, 'PTHR30540:SF6', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 2', NULL, NULL, NULL, 15),
(85388, NULL, 'PTHR11062:SF326', NULL, NULL, NULL, NULL, 'BNAANNG31440D PROTEIN', NULL, NULL, NULL, 15),
(85389, NULL, 'PTHR24161:SF16', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC13', NULL, NULL, 26393, 15),
(85390, NULL, 'PTHR33781:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85391, NULL, 'PTHR31707:SF184', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(85392, NULL, 'PTHR45752:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85393, NULL, 'PTHR46086:SF25', NULL, NULL, NULL, NULL, 'LIPASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(85394, NULL, 'PTHR21879:SF25', NULL, NULL, NULL, NULL, 'OSIRIS 24', NULL, NULL, NULL, 15),
(85395, NULL, 'PTHR31403:SF47', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IBETA2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(85396, NULL, 'PTHR48063:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85397, NULL, 'PTHR22945:SF26', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-45-RELATED', NULL, NULL, NULL, 15),
(85398, NULL, 'PTHR33107:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85399, NULL, 'PTHR35291', NULL, NULL, NULL, NULL, 'PROTEIN SHROOM-LIKE', NULL, NULL, NULL, 15),
(85400, NULL, 'PTHR10165:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85401, NULL, 'PTHR27005:SF284', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 3', NULL, NULL, NULL, 15),
(85402, NULL, 'PTHR45023:SF4', NULL, NULL, NULL, NULL, 'OS07G0575233 PROTEIN', NULL, NULL, NULL, 15),
(85403, NULL, 'PTHR38102:SF2', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN CPXP', NULL, NULL, NULL, 15),
(85404, NULL, 'PTHR19303:SF36', NULL, NULL, NULL, NULL, 'TIGGER TRANSPOSABLE ELEMENT-DERIVED PROTEIN 3', NULL, NULL, NULL, 15),
(85405, NULL, 'PTHR42801:SF5', NULL, NULL, NULL, NULL, 'GROUP 1 TRUNCATED HEMOGLOBIN GLBN', NULL, NULL, NULL, 15),
(85406, NULL, 'PTHR13377:SF5', NULL, NULL, NULL, NULL, 'OS04G0103300 PROTEIN', NULL, NULL, NULL, 15),
(85407, NULL, 'PTHR11662:SF282', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER 5-RELATED', NULL, NULL, NULL, 15),
(85408, NULL, 'PTHR13906:SF16', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE 7', NULL, NULL, NULL, 15),
(85409, NULL, 'PTHR33021:SF404', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(85410, NULL, 'PTHR34732:SF4', NULL, NULL, NULL, NULL, 'ROD COMPONENT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(85411, NULL, 'PTHR34471:SF1', NULL, NULL, NULL, NULL, 'ARGININE REPRESSOR', NULL, NULL, NULL, 15),
(85412, NULL, 'PTHR46419:SF5', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD5-RELATED', NULL, NULL, NULL, 15),
(85413, NULL, 'PTHR37299', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(85414, NULL, 'PTHR31731:SF56', NULL, NULL, NULL, NULL, 'OSJNBA0010H02.23 PROTEIN', NULL, NULL, NULL, 15),
(85415, NULL, 'PTHR24326:SF573', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT7-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(85416, NULL, 'PTHR10492:SF57', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(85417, NULL, 'PTHR45651:SF11', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 20, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(85418, NULL, 'PTHR33573:SF28', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(85419, NULL, 'PTHR32018:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85420, NULL, 'PTHR24221:SF537', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(85421, NULL, 'PTHR24409:SF367', NULL, NULL, NULL, NULL, 'B CELL CLL/LYMPHOMA 6', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85422, NULL, 'PTHR36049', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(85423, NULL, 'PTHR11203:SF50', NULL, NULL, NULL, NULL, 'MRNA 3-END PROCESSING FACTOR-RELATED', NULL, NULL, NULL, 15),
(85424, NULL, 'PTHR37433:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG25136', NULL, NULL, NULL, 15),
(85425, NULL, 'PTHR20905:SF5', NULL, NULL, NULL, NULL, 'ARYLALKYLAMINE N-ACYLTRANSFERASE-LIKE 2, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(85426, NULL, 'PTHR33692:SF1', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION FACTOR RIMM', NULL, NULL, NULL, 15),
(85427, NULL, 'PTHR48213:SF1', NULL, NULL, NULL, NULL, 'VID27-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85428, NULL, 'PTHR47995:SF19', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85429, NULL, 'PTHR22802:SF249', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 6 MEMBER A', NULL, NULL, NULL, 15),
(85430, NULL, 'PTHR19211:SF96', NULL, NULL, NULL, NULL, 'ATPASE COMPONENT OF ABC TRANSPORTER WITH DUPLICATED ATPASE DOMAIN-RELATED', NULL, NULL, NULL, 15),
(85431, NULL, 'PTHR34542', NULL, NULL, NULL, NULL, 'OS08G0359900 PROTEIN', NULL, NULL, NULL, 15),
(85432, NULL, 'PTHR10133:SF53', NULL, NULL, NULL, NULL, 'DNA POLYMERASE I A, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(85433, NULL, 'PTHR42908:SF27', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 2', NULL, NULL, NULL, 15),
(85434, NULL, 'PTHR34153:SF8', NULL, NULL, NULL, NULL, 'SI:DKEY-65L23.2', NULL, NULL, NULL, 15),
(85435, NULL, 'PTHR13422', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 25511, 15),
(85436, NULL, 'PTHR11945:SF511', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 55', NULL, NULL, NULL, 15),
(85437, NULL, 'PTHR11999:SF59', NULL, NULL, NULL, NULL, 'AROMATIC-L-AMINO-ACID DECARBOXYLASE-RELATED', NULL, NULL, NULL, 15),
(85438, NULL, 'PTHR31152:SF10', NULL, NULL, NULL, NULL, 'ENHANCER OF AG-4 PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(85439, NULL, 'PTHR31374:SF281', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(85440, NULL, 'PTHR31989:SF290', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 43-LIKE', NULL, NULL, NULL, 15),
(85441, NULL, 'PTHR11693:SF36', NULL, NULL, NULL, NULL, 'ATP SYNTHASE GAMMA CHAIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(85442, NULL, 'PTHR21639:SF5', NULL, NULL, NULL, NULL, 'DBF4-TYPE ZINC FINGER-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(85443, NULL, 'PTHR31286:SF58', NULL, NULL, NULL, NULL, 'NUCLEIC ACID BINDING / ZINC ION BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85444, NULL, 'PTHR48018:SF155', NULL, NULL, NULL, NULL, 'MCG141914-RELATED', NULL, NULL, NULL, 15),
(85445, NULL, 'PTHR12876:SF38', NULL, NULL, NULL, NULL, 'MIRP K CHANNEL ACCESSORY SUBUNIT', NULL, NULL, NULL, 15),
(85446, NULL, 'PTHR33199:SF4', NULL, NULL, NULL, NULL, 'OS02G0736300 PROTEIN', NULL, NULL, NULL, 15),
(85447, NULL, 'PTHR45646:SF3', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(85448, NULL, 'PTHR14234:SF22', NULL, NULL, NULL, NULL, 'SI:CH73-287M6.1', NULL, NULL, NULL, 15),
(85449, NULL, 'PTHR34125:SF6', NULL, NULL, NULL, NULL, 'BNAC08G10690D PROTEIN', NULL, NULL, NULL, 15),
(85450, NULL, 'PTHR11240:SF62', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 1-LIKE', NULL, NULL, NULL, 15),
(85451, NULL, 'PTHR24177:SF287', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85452, NULL, 'PTHR27002:SF515', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 35-RELATED', NULL, NULL, NULL, 15),
(85453, NULL, 'PTHR31448:SF31', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(85454, NULL, 'PTHR10209:SF524', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG', NULL, NULL, NULL, 15),
(85455, NULL, 'PTHR10209:SF697', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85456, NULL, 'PTHR47993:SF140', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(85457, NULL, 'PTHR13315', NULL, NULL, NULL, NULL, 'METALLO PHOSPHOESTERASE RELATED', NULL, NULL, 36078, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85458, NULL, 'PTHR43391:SF9', NULL, NULL, NULL, NULL, 'ZGC:109982', NULL, NULL, NULL, 15),
(85459, NULL, 'PTHR12346:SF37', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE INTERACTING DOMAIN, SIN3-RELATED', NULL, NULL, NULL, 15),
(85460, NULL, 'PTHR32134:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85461, NULL, 'PTHR45772:SF1', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85462, NULL, 'PTHR21538:SF26', NULL, NULL, NULL, NULL, 'SI:DKEY-30C15.10', NULL, NULL, NULL, 15),
(85463, NULL, 'PTHR30558:SF14', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBD', NULL, NULL, NULL, 15),
(85464, NULL, 'PTHR16277', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE ASSOCIATED PROTEIN 4/SERTA DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(85465, NULL, 'PTHR44252:SF1', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE [NADPH] 2', NULL, NULL, NULL, 15),
(85466, NULL, 'PTHR16795', NULL, NULL, NULL, NULL, 'LIMBIN/ELLIS-VAN CREVELD PROTEIN', NULL, NULL, 24382, 15),
(85467, NULL, 'PTHR12864:SF54', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(85468, NULL, 'PTHR27008:SF221', NULL, NULL, NULL, NULL, 'OS11G0569300 PROTEIN', NULL, NULL, NULL, 15),
(85469, NULL, 'PTHR31205:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85470, NULL, 'PTHR10285:SF184', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE TTM1', NULL, NULL, NULL, 15),
(85471, NULL, 'PTHR10156', NULL, NULL, NULL, NULL, '2'',3''-CYCLIC-NUCLEOTIDE 3''-PHOSPHODIESTERASE', NULL, NULL, 8607, 15),
(85472, NULL, 'PTHR26452:SF16', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1141', NULL, NULL, NULL, 15),
(85473, NULL, 'PTHR34048:SF3', NULL, NULL, NULL, NULL, 'LOW-DENSITY RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85474, NULL, 'PTHR10799:SF972', NULL, NULL, NULL, NULL, 'CHROMATIN COMPLEX SUBUNIT A101', NULL, NULL, NULL, 15),
(85475, NULL, 'PTHR19367:SF21', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 8-2', NULL, NULL, NULL, 15),
(85476, NULL, 'PTHR43007', NULL, NULL, NULL, NULL, '2-PHOSPHO-L-LACTATE TRANSFERASE', NULL, NULL, 10713, 15),
(85477, NULL, 'PTHR24092:SF98', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IB', NULL, NULL, NULL, 15),
(85478, NULL, 'PTHR24064:SF232', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-7-RELATED', NULL, NULL, NULL, 15),
(85479, NULL, 'PTHR12203:SF56', NULL, NULL, NULL, NULL, 'PROTEIN O-GLUCOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(85480, NULL, 'PTHR13723:SF41', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 8', NULL, NULL, NULL, 15),
(85481, NULL, 'PTHR11661', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12', NULL, NULL, 360, 15),
(85482, NULL, 'PTHR18884:SF125', NULL, NULL, NULL, NULL, 'SEPTIN-1', NULL, NULL, NULL, 15),
(85483, NULL, 'PTHR13789:SF262', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00590)-RELATED', NULL, NULL, NULL, 15),
(85484, NULL, 'PTHR11937:SF194', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN 9', NULL, NULL, 27907, 15),
(85485, NULL, 'PTHR11627:SF58', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(85486, NULL, 'PTHR11183:SF114', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE PGSIP7-RELATED', NULL, NULL, NULL, 15),
(85487, NULL, 'PTHR14911:SF1', NULL, NULL, NULL, NULL, 'THUMP DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(85488, NULL, 'PTHR14754:SF34', NULL, NULL, NULL, NULL, 'ESAT-6 SECRETION ACCESSORY FACTOR ESAA', NULL, NULL, NULL, 15),
(85489, NULL, 'PTHR45635:SF27', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(85490, NULL, 'PTHR31189:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85491, NULL, 'PTHR19849:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(85492, NULL, 'PTHR21716:SF15', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YRRI-RELATED', NULL, NULL, NULL, 15),
(85493, NULL, 'PTHR31719:SF153', NULL, NULL, NULL, NULL, 'NAC DOMAIN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85494, NULL, 'PTHR11417:SF67', NULL, NULL, NULL, NULL, 'CHORIONIC SOMATOMAMMOTROPIN HORMONE 1-RELATED', NULL, NULL, NULL, 15),
(85495, NULL, 'PTHR46043:SF10', NULL, NULL, NULL, NULL, 'PROTEIN ARABIDILLO 1-LIKE', NULL, NULL, NULL, 15),
(85496, NULL, 'PTHR46325:SF23', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85497, NULL, 'PTHR11260:SF631', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U7-LIKE', NULL, NULL, NULL, 15),
(85498, NULL, 'PTHR24416:SF136', NULL, NULL, NULL, NULL, 'BDNF/NT-3 GROWTH FACTORS RECEPTOR', NULL, NULL, NULL, 15),
(85499, NULL, 'PTHR31650:SF29', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85500, NULL, 'PTHR48049:SF79', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(85501, NULL, 'PTHR46249:SF38', NULL, NULL, NULL, NULL, 'BNAC05G51620D PROTEIN', NULL, NULL, NULL, 15),
(85502, NULL, 'PTHR33787:SF4', NULL, NULL, NULL, NULL, 'YCF20-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85503, NULL, 'PTHR46623:SF9', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE-RELATED', NULL, NULL, NULL, 15),
(85504, NULL, 'PTHR11259', NULL, NULL, NULL, NULL, 'RAS-RELATED GTP BINDING RAG/GTR YEAST', NULL, NULL, 3490, 15),
(85505, NULL, 'PTHR13301:SF153', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 5 [UDP-FORMING]', NULL, NULL, NULL, 15),
(85506, NULL, 'PTHR43173:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85507, NULL, 'PTHR34277:SF17', NULL, NULL, NULL, NULL, 'BNAA02G29310D PROTEIN', NULL, NULL, NULL, 15),
(85508, NULL, 'PTHR30086:SF0', NULL, NULL, NULL, NULL, 'ARGININE EXPORTER PROTEIN ARGO', NULL, NULL, NULL, 15),
(85509, NULL, 'PTHR30053:SF15', NULL, NULL, NULL, NULL, 'BNACNNG40680D PROTEIN', NULL, NULL, NULL, 15),
(85510, NULL, 'PTHR30466:SF15', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(85511, NULL, 'PTHR11802:SF249', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85512, NULL, 'PTHR10009:SF11', NULL, NULL, NULL, NULL, 'RH54244P', NULL, NULL, NULL, 15),
(85513, NULL, 'PTHR12612:SF24', NULL, NULL, NULL, NULL, 'MRNA TRANSPORT REGULATOR MTR2', NULL, NULL, NULL, 15),
(85514, NULL, 'PTHR19303:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85515, NULL, 'PTHR35546:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85516, NULL, 'PTHR13833:SF57', NULL, NULL, NULL, NULL, 'NHL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(85517, NULL, 'PTHR45614:SF167', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85518, NULL, 'PTHR21824:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG16527', NULL, NULL, NULL, 15),
(85519, NULL, 'PTHR12224:SF12', NULL, NULL, NULL, NULL, 'BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85520, NULL, 'PTHR34078:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85521, NULL, 'PTHR10168:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85522, NULL, 'PTHR32020:SF4', NULL, NULL, NULL, NULL, 'LIN-8 DOMAIN CONTAINING-RELATED', NULL, NULL, NULL, 15),
(85523, NULL, 'PTHR10953:SF217', NULL, NULL, NULL, NULL, 'NEDD8-ACTIVATING ENZYME E1 REGULATORY SUBUNIT AXR1', NULL, NULL, NULL, 15),
(85524, NULL, 'PTHR45722:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-LIKE', NULL, NULL, NULL, 15),
(85525, NULL, 'PTHR11527:SF292', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(85526, NULL, 'PTHR43952:SF39', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 5', NULL, NULL, NULL, 15),
(85527, NULL, 'PTHR12989', NULL, NULL, NULL, NULL, 'ALPHA-1,2-GLUCOSYLTRANSFERASE ALG10', NULL, NULL, 17032, 15),
(85528, NULL, 'PTHR46899:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 27', NULL, NULL, NULL, 15),
(85529, NULL, 'PTHR43639:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_5G02870)', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85530, NULL, 'PTHR18934:SF197', NULL, NULL, NULL, NULL, 'DEPENDENT RNA HELICASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G07950)-RELATED', NULL, NULL, NULL, 15),
(85531, NULL, 'PTHR22237', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 16400, 15),
(85532, NULL, 'PTHR11654:SF480', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.5-LIKE', NULL, NULL, NULL, 15),
(85533, NULL, 'PTHR11615:SF100', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2B2', NULL, NULL, NULL, 15),
(85534, NULL, 'PTHR33281', NULL, NULL, NULL, NULL, 'UPF0187 PROTEIN YNEE', NULL, NULL, 38852, 15),
(85535, NULL, 'PTHR30469:SF13', NULL, NULL, NULL, NULL, 'HAE1 FAMILY EFFLUX PUMP MFP COMPONENT', NULL, NULL, NULL, 15),
(85536, NULL, 'PTHR47356:SF3', NULL, NULL, NULL, NULL, 'FRUITING BODY MATURATION-1', NULL, NULL, NULL, 15),
(85537, NULL, 'PTHR27005:SF254', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(85538, NULL, 'PTHR48034:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85539, NULL, 'PTHR32077:SF39', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN', NULL, NULL, NULL, 15),
(85540, NULL, 'PTHR12653:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85541, NULL, 'PTHR24381:SF327', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 436-RELATED', NULL, NULL, NULL, 15),
(85542, NULL, 'PTHR37419', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TOXIN HIPA', NULL, NULL, NULL, 15),
(85543, NULL, 'PTHR24083:SF80', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(85544, NULL, 'PTHR43719:SF26', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION PROTEIN DOKA', NULL, NULL, NULL, 15),
(85545, NULL, 'PTHR32099:SF48', NULL, NULL, NULL, NULL, 'OS10G0329900 PROTEIN', NULL, NULL, NULL, 15),
(85546, NULL, 'PTHR15578', NULL, NULL, NULL, NULL, 'CHROMOSOME 8 C22ORF31 HOMOLOG', NULL, NULL, 26012, 15),
(85547, NULL, 'PTHR24343:SF442', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(85548, NULL, 'PTHR10353:SF85', NULL, NULL, NULL, NULL, 'ARYL-PHOSPHO-BETA-D-GLUCOSIDASE BGLA', NULL, NULL, NULL, 15),
(85549, NULL, 'PTHR14672:SF0', NULL, NULL, NULL, NULL, 'MUCIN-16', NULL, NULL, NULL, 15),
(85550, NULL, 'PTHR23266:SF317', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-69-2', NULL, NULL, NULL, 15),
(85551, NULL, 'PTHR23428', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, 5912, 15),
(85552, NULL, 'PTHR10994:SF167', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85553, NULL, 'PTHR48018:SF85', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5M10', NULL, NULL, NULL, 15),
(85554, NULL, 'PTHR27007:SF168', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', NULL, NULL, NULL, 15),
(85555, NULL, 'PTHR33463:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85556, NULL, 'PTHR10026:SF64', NULL, NULL, NULL, NULL, 'CYCLIN-L1', NULL, NULL, 9410, 15),
(85557, NULL, 'PTHR31415:SF12', NULL, NULL, NULL, NULL, 'OJ991214_12.17 PROTEIN', NULL, NULL, NULL, 15),
(85558, NULL, 'PTHR45942:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPATASE 3 REGULATORY SUBUNIT B ALPHA ISOFORM TYPE 1', NULL, NULL, NULL, 15),
(85559, NULL, 'PTHR12439:SF32', NULL, NULL, NULL, NULL, 'POLY(U)-SPECIFIC ENDORIBONUCLEASE-B', NULL, NULL, NULL, 15),
(85560, NULL, 'PTHR31960:SF17', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A12-LIKE', NULL, NULL, NULL, 15),
(85561, NULL, 'PTHR13593:SF85', NULL, NULL, NULL, NULL, 'MAP3K PROTEIN KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85562, NULL, 'PTHR31707:SF229', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 40-RELATED', NULL, NULL, NULL, 15),
(85563, NULL, 'PTHR22870:SF382', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85564, NULL, 'PTHR47138', NULL, NULL, NULL, NULL, 'PERILIPIN-1', NULL, NULL, 36610, 15),
(85565, NULL, 'PTHR35286:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85566, NULL, 'PTHR48056:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85567, NULL, 'PTHR33136:SF77', NULL, NULL, NULL, NULL, 'OS01G0357900 PROTEIN', NULL, NULL, NULL, 15),
(85568, NULL, 'PTHR34223:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85569, NULL, 'PTHR31062:SF126', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(85570, NULL, 'PTHR24068:SF307', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME/RWD-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85571, NULL, 'PTHR19370:SF108', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE 2', NULL, NULL, NULL, 15),
(85572, NULL, 'PTHR13048:SF4', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(85573, NULL, 'PTHR23421:SF130', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 11', NULL, NULL, NULL, 15),
(85574, NULL, 'PTHR23423:SF28', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 184B', NULL, NULL, NULL, 15),
(85575, NULL, 'PTHR24404:SF26', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 613', NULL, NULL, NULL, 15),
(85576, NULL, 'PTHR48122:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN H', NULL, NULL, NULL, 15),
(85577, NULL, 'PTHR24057:SF62', NULL, NULL, NULL, NULL, 'BNAC03G34380D PROTEIN', NULL, NULL, NULL, 15),
(85578, NULL, 'PTHR12802:SF65', NULL, NULL, NULL, NULL, 'CHROMATIN STRUCTURE-REMODELING COMPLEX PROTEIN RSC8', NULL, NULL, NULL, 15),
(85579, NULL, 'PTHR31054:SF6', NULL, NULL, NULL, NULL, 'ZYGOTE ARREST PROTEIN 1', NULL, NULL, NULL, 15),
(85580, NULL, 'PTHR42938:SF27', NULL, NULL, NULL, NULL, 'BNACNNG08710D PROTEIN', NULL, NULL, NULL, 15),
(85581, NULL, 'PTHR33074:SF60', NULL, NULL, NULL, NULL, 'OS08G0539500 PROTEIN', NULL, NULL, NULL, 15),
(85582, NULL, 'PTHR19961:SF75', NULL, NULL, NULL, NULL, 'DYSTROPHIN-RELATED', NULL, NULL, NULL, 15),
(85583, NULL, 'PTHR33170:SF35', NULL, NULL, NULL, NULL, 'OS05G0241700 PROTEIN', NULL, NULL, NULL, 15),
(85584, NULL, 'PTHR13902:SF120', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK8-RELATED', NULL, NULL, NULL, 15),
(85585, NULL, 'PTHR42726:SF1', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE FAMILY MEMBER 6', NULL, NULL, NULL, 15),
(85586, NULL, 'PTHR23421:SF140', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(85587, NULL, 'PTHR22951:SF82', NULL, NULL, NULL, NULL, 'BNAA06G09690D PROTEIN', NULL, NULL, NULL, 15),
(85588, NULL, 'PTHR46450:SF11', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUVR4', NULL, NULL, NULL, 15),
(85589, NULL, 'PTHR36129', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER SUBUNIT BETA-RELATED', NULL, NULL, NULL, 15),
(85590, NULL, 'PTHR23152:SF29', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(85591, NULL, 'PTHR48054:SF23', NULL, NULL, NULL, NULL, 'PIRIFORMOSPORA INDICA-INSENSITIVE PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(85592, NULL, 'PTHR33548:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85593, NULL, 'PTHR11157:SF62', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(85594, NULL, 'PTHR46116:SF33', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', NULL, NULL, NULL, 15),
(85595, NULL, 'PTHR14379:SF28', NULL, NULL, NULL, NULL, 'BNAA01G25090D PROTEIN', NULL, NULL, NULL, 15),
(85596, NULL, 'PTHR23500:SF109', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 7', NULL, NULL, NULL, 15),
(85597, NULL, 'PTHR46190', NULL, NULL, NULL, NULL, 'SI:CH211-201H21.5-RELATED', NULL, NULL, NULL, 15),
(85598, NULL, 'PTHR40047:SF1', NULL, NULL, NULL, NULL, 'UPF0703 PROTEIN YCGQ', NULL, NULL, NULL, 15),
(85599, NULL, 'PTHR31750:SF4', NULL, NULL, NULL, NULL, 'PROTEIN STAY-GREEN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(85600, NULL, 'PTHR24346:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRSK2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85601, NULL, 'PTHR31319:SF65', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 4-LIKE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85602, NULL, 'PTHR23415:SF36', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT 1', NULL, NULL, NULL, 15),
(85603, NULL, 'PTHR48101:SF4', NULL, NULL, NULL, NULL, 'METHYLMALONYL-COA MUTASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(85604, NULL, 'PTHR10424:SF60', NULL, NULL, NULL, NULL, 'HERV-H_2Q24.1 PROVIRUS ANCESTRAL ENV POLYPROTEIN-RELATED', NULL, NULL, NULL, 15),
(85605, NULL, 'PTHR45743:SF4', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KOR2', NULL, NULL, NULL, 15),
(85606, NULL, 'PTHR28672', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 13', NULL, NULL, 8919, 15),
(85607, NULL, 'PTHR33801:SF8', NULL, NULL, NULL, NULL, 'OS01G0963600 PROTEIN', NULL, NULL, NULL, 15),
(85608, NULL, 'PTHR39420:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85609, NULL, 'PTHR43423:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 17', NULL, NULL, NULL, 15),
(85610, NULL, 'PTHR42892:SF1', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-6-PHOSPHATE DEAMINASE-LIKE PROTEIN BT_0258-RELATED', NULL, NULL, NULL, 15),
(85611, NULL, 'PTHR11654:SF109', NULL, NULL, NULL, NULL, 'OS04G0491350 PROTEIN', NULL, NULL, NULL, 15),
(85612, NULL, 'PTHR10209:SF722', NULL, NULL, NULL, NULL, 'BNAA10G27780D PROTEIN', NULL, NULL, NULL, 15),
(85613, NULL, 'PTHR15486:SF68', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(85614, NULL, 'PTHR47110:SF1', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC EXPRESSED PROTEIN 55', NULL, NULL, NULL, 15),
(85615, NULL, 'PTHR13387:SF9', NULL, NULL, NULL, NULL, 'PROTEIN HGH1 HOMOLOG', NULL, NULL, NULL, 15),
(85616, NULL, 'PTHR48079:SF6', NULL, NULL, NULL, NULL, 'PROTEIN YEEZ', NULL, NULL, NULL, 15),
(85617, NULL, 'PTHR23239:SF162', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 26', NULL, NULL, NULL, 15),
(85618, NULL, 'PTHR45750:SF1', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT2A', NULL, NULL, NULL, 15),
(85619, NULL, 'PTHR24023:SF1010', NULL, NULL, NULL, NULL, 'PROTEIN CBR-DPY-9', NULL, NULL, NULL, 15),
(85620, NULL, 'PTHR48107:SF17', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(85621, NULL, 'PTHR12080', NULL, NULL, NULL, NULL, 'SIGNALING LYMPHOCYTIC ACTIVATION MOLECULE', NULL, NULL, NULL, 15),
(85622, NULL, 'PTHR11733:SF214', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY-RELATED', NULL, NULL, NULL, 15),
(85623, NULL, 'PTHR48166:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85624, NULL, 'PTHR16078', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 87', NULL, NULL, 29905, 15),
(85625, NULL, 'PTHR19211:SF52', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY F MEMBER 2', NULL, NULL, NULL, 15),
(85626, NULL, 'PTHR13690:SF121', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR POSF21-RELATED', NULL, NULL, NULL, 15),
(85627, NULL, 'PTHR22950:SF535', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(85628, NULL, 'PTHR43874:SF131', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(85629, NULL, 'PTHR10292:SF6', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN 2', NULL, NULL, NULL, 15),
(85630, NULL, 'PTHR10337:SF5', NULL, NULL, NULL, NULL, 'SHC-TRANSFORMING PROTEIN 2', NULL, NULL, 29136, 15),
(85631, NULL, 'PTHR10693:SF58', NULL, NULL, NULL, NULL, 'OS02G0131700 PROTEIN', NULL, NULL, NULL, 15),
(85632, NULL, 'PTHR24093:SF461', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(85633, NULL, 'PTHR22761:SF56', NULL, NULL, NULL, NULL, 'OS11G0123500 PROTEIN', NULL, NULL, NULL, 15),
(85634, NULL, 'PTHR31500:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85635, NULL, 'PTHR33377:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85636, NULL, 'PTHR24134:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 8', NULL, NULL, NULL, 15),
(85637, NULL, 'PTHR45704:SF11', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN FAMILY MEMBER 11A-LIKE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85638, NULL, 'PTHR48048:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(85639, NULL, 'PTHR32009:SF73', NULL, NULL, NULL, NULL, 'BNAA01G17730D PROTEIN', NULL, NULL, NULL, 15),
(85640, NULL, 'PTHR16318', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE SUBUNIT PEN-2', NULL, NULL, 15742, 15),
(85641, NULL, 'PTHR45495', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN JJJ1 HOMOLOG', NULL, NULL, 38814, 15),
(85642, NULL, 'PTHR32343:SF61', NULL, NULL, NULL, NULL, 'RNA BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85643, NULL, 'PTHR45651:SF45', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 2', NULL, NULL, NULL, 15),
(85644, NULL, 'PTHR31319:SF45', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN HD1-LIKE', NULL, NULL, NULL, 15),
(85645, NULL, 'PTHR21436:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 142', NULL, NULL, NULL, 15),
(85646, NULL, 'PTHR11626:SF6', NULL, NULL, NULL, NULL, 'BNAA03G52950D PROTEIN', NULL, NULL, NULL, 15),
(85647, NULL, 'PTHR43840:SF42', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 9-LIKE', NULL, NULL, NULL, 15),
(85648, NULL, 'PTHR34049:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85649, NULL, 'PTHR45750:SF3', NULL, NULL, NULL, NULL, 'GH11602P', NULL, NULL, NULL, 15),
(85650, NULL, 'PTHR31963:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85651, NULL, 'PTHR45640:SF10', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(85652, NULL, 'PTHR23257:SF874', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85653, NULL, 'PTHR11388:SF75', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 74D', NULL, NULL, NULL, 15),
(85654, NULL, 'PTHR31422', NULL, NULL, NULL, NULL, 'BNAANNG28530D PROTEIN', NULL, NULL, NULL, 15),
(85655, NULL, 'PTHR24314:SF15', NULL, NULL, NULL, NULL, 'CHLOROPHYLL(IDE) B REDUCTASE NOL, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(85656, NULL, 'PTHR22765:SF57', NULL, NULL, NULL, NULL, 'OS07G0680000 PROTEIN', NULL, NULL, NULL, 15),
(85657, NULL, 'PTHR32370:SF146', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY5', NULL, NULL, NULL, 15),
(85658, NULL, 'PTHR33411:SF9', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PTTA/EN/SPM, PLANT-RELATED', NULL, NULL, NULL, 15),
(85659, NULL, 'PTHR45496:SF13', NULL, NULL, NULL, NULL, 'PROTEIN ADMETOS', NULL, NULL, NULL, 15),
(85660, NULL, 'PTHR31731:SF133', NULL, NULL, NULL, NULL, 'BNAA03G54590D PROTEIN', NULL, NULL, NULL, 15),
(85661, NULL, 'PTHR15907:SF34', NULL, NULL, NULL, NULL, 'PLAC8 ONZIN-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(85662, NULL, 'PTHR43608:SF1', NULL, NULL, NULL, NULL, 'CYPIN (GUANINE AMINOHYDROLASE) HOMOLOG', NULL, NULL, NULL, 15),
(85663, NULL, 'PTHR24243:SF10', NULL, NULL, NULL, NULL, 'NEUROTENSIN RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(85664, NULL, 'PTHR13381:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85665, NULL, 'PTHR34480', NULL, NULL, NULL, NULL, 'OS01G0967800 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85666, NULL, 'PTHR33601:SF33', NULL, NULL, NULL, NULL, 'BNAA04G05260D PROTEIN', NULL, NULL, NULL, 15),
(85667, NULL, 'PTHR23095:SF43', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN-LIKE PROTEIN 8C', NULL, NULL, NULL, 15),
(85668, NULL, 'PTHR47925:SF28', NULL, NULL, NULL, NULL, 'BNAA09G15330D PROTEIN', NULL, NULL, NULL, 15),
(85669, NULL, 'PTHR45735:SF3', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR SUBUNIT 2 TAU VARIANT', NULL, NULL, NULL, 15),
(85670, NULL, 'PTHR33726:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85671, NULL, 'PTHR48106:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85672, NULL, 'PTHR45863', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK5', NULL, NULL, 38646, 15),
(85673, NULL, 'PTHR45713:SF6', NULL, NULL, NULL, NULL, 'SI:CABZ01040626.2-RELATED', NULL, NULL, NULL, 15),
(85674, NULL, 'PTHR45680:SF12', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85675, NULL, 'PTHR16027:SF3', NULL, NULL, NULL, NULL, 'RAS-ASSOCIATING AND DILUTE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(85676, NULL, 'PTHR21812', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 27114, 15),
(85677, NULL, 'PTHR11132:SF323', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE/PHOSPHATE TRANSLOCATOR-RELATED', NULL, NULL, NULL, 15),
(85678, NULL, 'PTHR12804:SF8', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 3A', NULL, NULL, NULL, 15),
(85679, NULL, 'PTHR13016:SF1', NULL, NULL, NULL, NULL, 'AMMECR1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85680, NULL, 'PTHR35112', NULL, NULL, NULL, NULL, 'OS08G0360500 PROTEIN', NULL, NULL, NULL, 15),
(85681, NULL, 'PTHR32080:SF50', NULL, NULL, NULL, NULL, 'ANTIFUNGAL PROTEIN GINKBILOBIN-2-LIKE', NULL, NULL, NULL, 15),
(85682, NULL, 'PTHR19229', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER SUBFAMILY A  ABCA', NULL, NULL, 22146, 15),
(85683, NULL, 'PTHR33981:SF17', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(85684, NULL, 'PTHR35708', NULL, NULL, NULL, NULL, 'GB|AAD25831.1', NULL, NULL, NULL, 15),
(85685, NULL, 'PTHR48028', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN RZ1A', NULL, NULL, NULL, 15),
(85686, NULL, 'PTHR31581', NULL, NULL, NULL, NULL, 'KICSTOR COMPLEX PROTEIN C12ORF66', NULL, NULL, 14954, 15),
(85687, NULL, 'PTHR31480:SF21', NULL, NULL, NULL, NULL, 'PHYTOENE SYNTHASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(85688, NULL, 'PTHR31415:SF52', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(85689, NULL, 'PTHR43039:SF18', NULL, NULL, NULL, NULL, 'BNAC04G02960D PROTEIN', NULL, NULL, NULL, 15),
(85690, NULL, 'PTHR10288:SF166', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING PROTEIN 4', NULL, NULL, 35147, 15),
(85691, NULL, 'PTHR30003:SF9', NULL, NULL, NULL, NULL, 'GLYCOLATE PERMEASE GLCA', NULL, NULL, NULL, 15),
(85692, NULL, 'PTHR35663', NULL, NULL, NULL, NULL, 'TESTIS DEVELOPMENT-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85693, NULL, 'PTHR20961', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, 217, 15),
(85694, NULL, 'PTHR37512', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL NAD BIOSYNTHESIS/REGULATOR PROTEIN NADR', NULL, NULL, NULL, 15),
(85695, NULL, 'PTHR14594:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 70 KDA', NULL, NULL, NULL, 15),
(85696, NULL, 'PTHR47715:SF1', NULL, NULL, NULL, NULL, 'TRYPTOPHAN/TYROSINE PERMEASE', NULL, NULL, NULL, 15),
(85697, NULL, 'PTHR45959:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18-LIKE', NULL, NULL, NULL, 15),
(85698, NULL, 'PTHR10891:SF862', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML19-RELATED', NULL, NULL, NULL, 15),
(85699, NULL, 'PTHR11851:SF194', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA-2, CHLOROPLASTIC/MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(85700, NULL, 'PTHR46936:SF4', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85701, NULL, 'PTHR47210:SF3', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26C ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(85702, NULL, 'PTHR33437', NULL, NULL, NULL, NULL, 'OS06G0361200 PROTEIN', NULL, NULL, NULL, 15),
(85703, NULL, 'PTHR14552', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85704, NULL, 'PTHR11959:SF10', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85705, NULL, 'PTHR12911', NULL, NULL, NULL, NULL, 'SAD1/UNC-84-LIKE PROTEIN-RELATED', NULL, NULL, 39184, 15),
(85706, NULL, 'PTHR28052', NULL, NULL, NULL, NULL, 'UPF0545 PROTEIN C22ORF39', NULL, NULL, 18811, 15),
(85707, NULL, 'PTHR33128:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85708, NULL, 'PTHR14471:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH10-RELATED', NULL, NULL, NULL, 15),
(85709, NULL, 'PTHR46776:SF19', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85710, NULL, 'PTHR34120:SF13', NULL, NULL, NULL, NULL, 'OS02G0533700 PROTEIN', NULL, NULL, NULL, 15),
(85711, NULL, 'PTHR10906:SF9', NULL, NULL, NULL, NULL, 'PREPROTEIN TRANSLOCASE SUBUNIT SCY1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(85712, NULL, 'PTHR37808', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN-LIKE PROTEIN YDZR-RELATED', NULL, NULL, 20182, 15),
(85713, NULL, 'PTHR12346:SF24', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX PROTEIN SIN3-LIKE 6', NULL, NULL, NULL, 15),
(85714, NULL, 'PTHR37616:SF3', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 17-LIKE', NULL, NULL, NULL, 15),
(85715, NULL, 'PTHR10772:SF42', NULL, NULL, NULL, NULL, 'BNAA03G56040D PROTEIN', NULL, NULL, NULL, 15),
(85716, NULL, 'PTHR48025:SF10', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN CP29B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(85717, NULL, 'PTHR22776:SF77', NULL, NULL, NULL, NULL, 'DIETARY RESTRICTION RESPONSE (WT BUT NOT EAT-2 LIFESPAN INCREASED)', NULL, NULL, NULL, 15),
(85718, NULL, 'PTHR33076:SF71', NULL, NULL, NULL, NULL, 'PLANT LIPID TRANSFER PROTEIN/PAR ALLERGEN-RELATED', NULL, NULL, NULL, 15),
(85719, NULL, 'PTHR42938:SF28', NULL, NULL, NULL, NULL, 'BNACNNG08110D PROTEIN', NULL, NULL, NULL, 15),
(85720, NULL, 'PTHR24381:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 248', NULL, NULL, NULL, 15),
(85721, NULL, 'PTHR13847:SF261', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85722, NULL, 'PTHR30537:SF71', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(85723, NULL, 'PTHR23359:SF193', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 9', NULL, NULL, NULL, 15),
(85724, NULL, 'PTHR10516:SF26', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP5', NULL, NULL, 27056, 15),
(85725, NULL, 'PTHR31476:SF13', NULL, NULL, NULL, NULL, 'PROTEIN WHAT''S THIS FACTOR 9, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(85726, NULL, 'PTHR24015:SF1917', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85727, NULL, 'PTHR38816:SF1', NULL, NULL, NULL, NULL, 'EXOSOME SUBUNIT, DUF54 FAMILY-RELATED', NULL, NULL, NULL, 15),
(85728, NULL, 'PTHR33070:SF70', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF241)-RELATED', NULL, NULL, NULL, 15),
(85729, NULL, 'PTHR35116:SF8', NULL, NULL, NULL, NULL, 'HELICASE PROTEIN MOM1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(85730, NULL, 'PTHR46513:SF15', NULL, NULL, NULL, NULL, 'NIDOGEN 2', NULL, NULL, NULL, 15),
(85731, NULL, 'PTHR47338:SF9', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(85732, NULL, 'PTHR31681:SF65', NULL, NULL, NULL, NULL, 'BNAC09G29500D PROTEIN', NULL, NULL, NULL, 15),
(85733, NULL, 'PTHR43719:SF47', NULL, NULL, NULL, NULL, 'PHYTOCHROME', NULL, NULL, NULL, 15),
(85734, NULL, 'PTHR34491:SF16', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', NULL, NULL, NULL, 15),
(85735, NULL, 'PTHR24055:SF110', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 14', NULL, NULL, NULL, 15),
(85736, NULL, 'PTHR33285:SF22', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 6-RELATED', NULL, NULL, NULL, 15),
(85737, NULL, 'PTHR14950:SF60', NULL, NULL, NULL, NULL, 'OS09G0416500 PROTEIN', NULL, NULL, NULL, 15),
(85738, NULL, 'PTHR23015:SF12', NULL, NULL, NULL, NULL, 'F-BOX A PROTEIN', NULL, NULL, NULL, 15),
(85739, NULL, 'PTHR48222:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85740, NULL, 'PTHR12741:SF29', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 5', NULL, NULL, NULL, 15),
(85741, NULL, 'PTHR11206:SF347', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(85742, NULL, 'PTHR18914:SF9', NULL, NULL, NULL, NULL, 'CATENIN ALPHA', NULL, NULL, NULL, 15),
(85743, NULL, 'PTHR28152:SF1', NULL, NULL, NULL, NULL, 'HYDROXYACYL-THIOESTER DEHYDRATASE TYPE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(85744, NULL, 'PTHR33103:SF52', NULL, NULL, NULL, NULL, 'OS01G0153950 PROTEIN', NULL, NULL, NULL, 15),
(85745, NULL, 'PTHR37002:SF10', NULL, NULL, NULL, NULL, 'AGAP007005-PA', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85746, NULL, 'PTHR18860:SF106', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN ZETA', NULL, NULL, NULL, 15),
(85747, NULL, 'PTHR31636:SF260', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', NULL, NULL, NULL, 15),
(85748, NULL, 'PTHR12406:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG15159', NULL, NULL, NULL, 15),
(85749, NULL, 'PTHR36689', NULL, NULL, NULL, NULL, 'COLORECTAL CANCER-ASSOCIATED PROTEIN 2', NULL, NULL, 36868, 15),
(85750, NULL, 'PTHR11972:SF89', NULL, NULL, NULL, NULL, 'FERRIC/CUPRIC REDUCTASE TRANSMEMBRANE COMPONENT 7', NULL, NULL, 26070, 15),
(85751, NULL, 'PTHR46154:SF3', NULL, NULL, NULL, NULL, 'DUR32P', NULL, NULL, NULL, 15),
(85752, NULL, 'PTHR34222:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85753, NULL, 'PTHR23188:SF12', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-ASSOCIATED FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(85754, NULL, 'PTHR31945:SF125', NULL, NULL, NULL, NULL, 'BNAA09G35700D PROTEIN', NULL, NULL, NULL, 15),
(85755, NULL, 'PTHR30031:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE [ATP]', NULL, NULL, NULL, 15),
(85756, NULL, 'PTHR10869:SF175', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE SUBUNIT ALPHA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85757, NULL, 'PTHR48005:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85758, NULL, 'PTHR11203:SF51', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR', NULL, NULL, NULL, 15),
(85759, NULL, 'PTHR11533:SF277', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(85760, NULL, 'PTHR31895:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG14306', NULL, NULL, NULL, 15),
(85761, NULL, 'PTHR48055:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85762, NULL, 'PTHR22765:SF289', NULL, NULL, NULL, NULL, 'OS12G0620100 PROTEIN', NULL, NULL, NULL, 15),
(85763, NULL, 'PTHR11800:SF2', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB3', NULL, NULL, NULL, 15),
(85764, NULL, 'PTHR30469:SF34', NULL, NULL, NULL, NULL, 'MACROLIDE EXPORT PROTEIN MACA', NULL, NULL, 22488, 15),
(85765, NULL, 'PTHR45742:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85766, NULL, 'PTHR24399:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85767, NULL, 'PTHR31998:SF36', NULL, NULL, NULL, NULL, 'UBIQUITIN CARRIER PROTEIN 7', NULL, NULL, NULL, 15),
(85768, NULL, 'PTHR10969:SF78', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(85769, NULL, 'PTHR10695:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85770, NULL, 'PTHR11972:SF67', NULL, NULL, NULL, NULL, 'DUAL OXIDASE 2', NULL, NULL, 36223, 15),
(85771, NULL, 'PTHR31072:SF135', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP20-LIKE', NULL, NULL, NULL, 15),
(85772, NULL, 'PTHR24235:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85773, NULL, 'PTHR23024:SF505', NULL, NULL, NULL, NULL, 'CARBOXYESTERASE 5-RELATED', NULL, NULL, NULL, 15),
(85774, NULL, 'PTHR24006:SF834', NULL, NULL, NULL, NULL, 'BNAA09G41280D PROTEIN', NULL, NULL, NULL, 15),
(85775, NULL, 'PTHR43908:SF2', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 18', NULL, NULL, NULL, 15),
(85776, NULL, 'PTHR47988:SF8', NULL, NULL, NULL, NULL, 'BNAA04G14070D PROTEIN', NULL, NULL, NULL, 15),
(85777, NULL, 'PTHR35287:SF1', NULL, NULL, NULL, NULL, 'SI:ZFOS-911D5.4', NULL, NULL, NULL, 15),
(85778, NULL, 'PTHR11003:SF156', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(85779, NULL, 'PTHR13683:SF266', NULL, NULL, NULL, NULL, 'PEPSIN B', NULL, NULL, NULL, 15),
(85780, NULL, 'PTHR18444', NULL, NULL, NULL, NULL, 'UPF0538 FAMILY MEMBER', NULL, NULL, 19377, 15),
(85781, NULL, 'PTHR12849:SF1', NULL, NULL, NULL, NULL, 'BNAA08G12360D PROTEIN', NULL, NULL, NULL, 15),
(85782, NULL, 'PTHR24351:SF202', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(85783, NULL, 'PTHR33091:SF92', NULL, NULL, NULL, NULL, 'OS02G0124300 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85784, NULL, 'PTHR31791:SF34', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85785, NULL, 'PTHR43574', NULL, NULL, NULL, NULL, 'EPIMERASE-RELATED', NULL, NULL, NULL, 15),
(85786, NULL, 'PTHR10885:SF0', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA ISOMERASE 1', NULL, NULL, NULL, 15),
(85787, NULL, 'PTHR31194:SF102', NULL, NULL, NULL, NULL, 'OS02G0797100 PROTEIN', NULL, NULL, NULL, 15),
(85788, NULL, 'PTHR11690:SF222', NULL, NULL, NULL, NULL, 'ACID-SENSING ION CHANNEL 5', NULL, NULL, NULL, 15),
(85789, NULL, 'PTHR11062:SF95', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85790, NULL, 'PTHR10366:SF390', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85791, NULL, 'PTHR24418:SF23', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE SRMS', NULL, NULL, NULL, 15),
(85792, NULL, 'PTHR35548:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(85793, NULL, 'PTHR17453:SF0', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 19 KDA PROTEIN', NULL, NULL, NULL, 15),
(85794, NULL, 'PTHR12247:SF85', NULL, NULL, NULL, NULL, 'SEX COMB ON MIDLEG-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(85795, NULL, 'PTHR23327:SF4', NULL, NULL, NULL, NULL, 'LON PEPTIDASE N-TERMINAL DOMAIN AND RING FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(85796, NULL, 'PTHR10791:SF163', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(85797, NULL, 'PTHR45811:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85798, NULL, 'PTHR47431:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(85799, NULL, 'PTHR10288:SF271', NULL, NULL, NULL, NULL, 'BNAC09G50550D PROTEIN', NULL, NULL, NULL, 15),
(85800, NULL, 'PTHR45927:SF6', NULL, NULL, NULL, NULL, 'PROTEIN LYK5', NULL, NULL, NULL, 15),
(85801, NULL, 'PTHR16222:SF17', NULL, NULL, NULL, NULL, 'SELENOPROTEIN J', NULL, NULL, NULL, 15),
(85802, NULL, 'PTHR24390:SF81', NULL, NULL, NULL, NULL, 'FI23536P1', NULL, NULL, NULL, 15),
(85803, NULL, 'PTHR24067:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85804, NULL, 'PTHR10693:SF71', NULL, NULL, NULL, NULL, 'BNAA06G36440D PROTEIN', NULL, NULL, NULL, 15),
(85805, NULL, 'PTHR35385:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-75A21.2', NULL, NULL, NULL, 15),
(85806, NULL, 'PTHR13622:SF11', NULL, NULL, NULL, NULL, 'THIAMIN PYROPHOSPHOKINASE', NULL, NULL, NULL, 15),
(85807, NULL, 'PTHR32285:SF313', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85808, NULL, 'PTHR23084:SF246', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(85809, NULL, 'PTHR43205:SF30', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT ALKENAL DOUBLE BOND REDUCTASE P2-RELATED', NULL, NULL, NULL, 15),
(85810, NULL, 'PTHR11926:SF1294', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(85811, NULL, 'PTHR30137', NULL, NULL, NULL, NULL, 'LUCIFERASE-LIKE MONOOXYGENASE', NULL, NULL, NULL, 15),
(85812, NULL, 'PTHR31669:SF231', NULL, NULL, NULL, NULL, 'OS04G0421700 PROTEIN', NULL, NULL, NULL, 15),
(85813, NULL, 'PTHR40861:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85814, NULL, 'PTHR22907:SF40', NULL, NULL, NULL, NULL, 'DUMPY: SHORTER THAN WILD-TYPE', NULL, NULL, NULL, 15),
(85815, NULL, 'PTHR46084:SF4', NULL, NULL, NULL, NULL, 'BNAA09G55080D PROTEIN', NULL, NULL, NULL, 15),
(85816, NULL, 'PTHR10641:SF1133', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(85817, NULL, 'PTHR11071:SF489', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP63 ISOFORM X1', NULL, NULL, NULL, 15),
(85818, NULL, 'PTHR11945:SF587', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN 16', NULL, NULL, NULL, 15),
(85819, NULL, 'PTHR19443:SF54', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(85820, NULL, 'PTHR46128:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85821, NULL, 'PTHR11157:SF150', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(85822, NULL, 'PTHR22750:SF47', NULL, NULL, NULL, NULL, 'CANNABINOID RECEPTOR 1', NULL, NULL, 6789, 15),
(85823, NULL, 'PTHR13390:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG16920', NULL, NULL, NULL, 15),
(85824, NULL, 'PTHR36586:SF19', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85825, NULL, 'PTHR11691:SF28', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-8', NULL, NULL, NULL, 15),
(85826, NULL, 'PTHR31238:SF124', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85827, NULL, 'PTHR11709:SF255', NULL, NULL, NULL, NULL, 'BNAA06G00300D PROTEIN', NULL, NULL, NULL, 15),
(85828, NULL, 'PTHR31060:SF31', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(85829, NULL, 'PTHR43736:SF2', NULL, NULL, NULL, NULL, 'MUTT/NUDIX FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85830, NULL, 'PTHR23023:SF269', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(85831, NULL, 'PTHR34453:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85832, NULL, 'PTHR36377', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN', NULL, NULL, NULL, 15),
(85833, NULL, 'PTHR33088:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85834, NULL, 'PTHR31500:SF92', NULL, NULL, NULL, NULL, 'BNAA09G39090D PROTEIN', NULL, NULL, NULL, 15),
(85835, NULL, 'PTHR24222:SF62', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 13-LIKE', NULL, NULL, NULL, 15),
(85836, NULL, 'PTHR24027:SF431', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85837, NULL, 'PTHR21576:SF108', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(85838, NULL, 'PTHR23202:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85839, NULL, 'PTHR31897:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85840, NULL, 'PTHR33492:SF12', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85841, NULL, 'PTHR47990:SF20', NULL, NULL, NULL, NULL, 'OS03G0122300 PROTEIN', NULL, NULL, NULL, 15),
(85842, NULL, 'PTHR40288:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG16535', NULL, NULL, NULL, 15),
(85843, NULL, 'PTHR23226:SF293', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 664-LIKE', NULL, NULL, NULL, 15),
(85844, NULL, 'PTHR47983:SF7', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(85845, NULL, 'PTHR28525:SF5', NULL, NULL, NULL, NULL, 'BNAC01G39580D PROTEIN', NULL, NULL, NULL, 15),
(85846, NULL, 'PTHR48002:SF39', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(85847, NULL, 'PTHR10925:SF8', NULL, NULL, NULL, NULL, 'RNA CYTIDINE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(85848, NULL, 'PTHR43139:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85849, NULL, 'PTHR35178:SF1', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR HOMOLOG', NULL, NULL, NULL, 15),
(85850, NULL, 'PTHR11040:SF44', NULL, NULL, NULL, NULL, 'PROTEIN ZNTC', NULL, NULL, NULL, 15),
(85851, NULL, 'PTHR47958:SF54', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 3, CHLOROPLASTIC ISOFORM X1', NULL, NULL, NULL, 15),
(85852, NULL, 'PTHR44427:SF15', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC GLYCOPROTEIN 29', NULL, NULL, NULL, 15),
(85853, NULL, 'PTHR43732:SF1', NULL, NULL, NULL, NULL, 'RIBOSE 5-PHOSPHATE ISOMERASE-RELATED', NULL, NULL, NULL, 15),
(85854, NULL, 'PTHR10869', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE ALPHA SUBUNIT', NULL, NULL, 37704, 15),
(85855, NULL, 'PTHR11034:SF54', NULL, NULL, NULL, NULL, 'PROTEIN NDL2', NULL, NULL, NULL, 15),
(85856, NULL, 'PTHR47992:SF81', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 6 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(85857, NULL, 'PTHR11040:SF177', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 9', NULL, NULL, NULL, 15),
(85858, NULL, 'PTHR23033:SF2', NULL, NULL, NULL, NULL, 'C1GALT1-SPECIFIC CHAPERONE 1', NULL, NULL, 22339, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85859, NULL, 'PTHR26453:SF164', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(85860, NULL, 'PTHR10288:SF265', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(85861, NULL, 'PTHR31675:SF28', NULL, NULL, NULL, NULL, 'AXIAL REGULATOR YABBY 5-LIKE', NULL, NULL, NULL, 15),
(85862, NULL, 'PTHR11878', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER', NULL, NULL, NULL, 15),
(85863, NULL, 'PTHR10131:SF94', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 6', NULL, NULL, NULL, 15),
(85864, NULL, 'PTHR22923:SF69', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(85865, NULL, 'PTHR19375:SF372', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN, HSP70, HSC70', NULL, NULL, NULL, 15),
(85866, NULL, 'PTHR14938', NULL, NULL, NULL, NULL, 'HCLS1-ASSOCIATED PROTEIN X-1', NULL, NULL, 15809, 15),
(85867, NULL, 'PTHR15722:SF7', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 140 HOMOLOG', NULL, NULL, NULL, 15),
(85868, NULL, 'PTHR45833:SF4', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE', NULL, NULL, NULL, 15),
(85869, NULL, 'PTHR27007:SF34', NULL, NULL, NULL, NULL, 'LECTIN-DOMAIN RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85870, NULL, 'PTHR47926:SF46', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(85871, NULL, 'PTHR11705:SF51', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE SURO-1-RELATED', NULL, NULL, NULL, 15),
(85872, NULL, 'PTHR40836:SF4', NULL, NULL, NULL, NULL, 'RB1-INDUCIBLE COILED-COIL PROTEIN', NULL, NULL, NULL, 15),
(85873, NULL, 'PTHR33198:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85874, NULL, 'PTHR33021:SF213', NULL, NULL, NULL, NULL, 'OS12G0454600 PROTEIN', NULL, NULL, NULL, 15),
(85875, NULL, 'PTHR10137', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C', NULL, NULL, 1539, 15),
(85876, NULL, 'PTHR36057:SF1', NULL, NULL, NULL, NULL, 'LIPOPROTEIN LIPID ATTACHMENT SITE-LIKE PROTEIN, PUTATIVE (DUF1223)-RELATED', NULL, NULL, NULL, 15),
(85877, NULL, 'PTHR31140:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85878, NULL, 'PTHR10992:SF1059', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85879, NULL, 'PTHR12385:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85880, NULL, 'PTHR30007:SF0', NULL, NULL, NULL, NULL, 'TRANSPOSASE', NULL, NULL, NULL, 15),
(85881, NULL, 'PTHR31964:SF132', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85882, NULL, 'PTHR42912:SF65', NULL, NULL, NULL, NULL, 'DEMETHYLMENAQUINONE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(85883, NULL, 'PTHR47798:SF2', NULL, NULL, NULL, NULL, 'OS04G0555800 PROTEIN', NULL, NULL, NULL, 15),
(85884, NULL, 'PTHR12735:SF42', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(85885, NULL, 'PTHR42029:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85886, NULL, 'PTHR33526:SF29', NULL, NULL, NULL, NULL, 'BNACNNG24890D PROTEIN', NULL, NULL, NULL, 15),
(85887, NULL, 'PTHR11480:SF83', NULL, NULL, NULL, NULL, 'SAPOSIN B DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(85888, NULL, 'PTHR37376:SF6', NULL, NULL, NULL, NULL, 'BNACNNG30510D PROTEIN', NULL, NULL, NULL, 15),
(85889, NULL, 'PTHR32444:SF64', NULL, NULL, NULL, NULL, 'SECRETED GLYCOPROTEIN EP1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(85890, NULL, 'PTHR10566:SF114', NULL, NULL, NULL, NULL, 'PROTEIN KINASE UBIB-RELATED', NULL, NULL, NULL, 15),
(85891, NULL, 'PTHR33562:SF1', NULL, NULL, NULL, NULL, 'FI02817P', NULL, NULL, NULL, 15),
(85892, NULL, 'PTHR30269', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN YFCA', NULL, NULL, NULL, 15),
(85893, NULL, 'PTHR12019:SF12', NULL, NULL, NULL, NULL, 'LEM DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(85894, NULL, 'PTHR13293', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 8033, 15),
(85895, NULL, 'PTHR11802:SF345', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85896, NULL, 'PTHR33492:SF4', NULL, NULL, NULL, NULL, 'OS02G0174300 PROTEIN', NULL, NULL, NULL, 15),
(85897, NULL, 'PTHR45658:SF51', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 8', NULL, NULL, NULL, 15),
(85898, NULL, 'PTHR11988:SF44', NULL, NULL, NULL, NULL, 'CELL DEATH SPECIFICATION PROTEIN 2', NULL, NULL, NULL, 15),
(85899, NULL, 'PTHR12570:SF2', NULL, NULL, NULL, NULL, 'SPICHTHYIN, ISOFORM B', NULL, NULL, NULL, 15),
(85900, NULL, 'PTHR24174:SF14', NULL, NULL, NULL, NULL, 'SI:DKEYP-9D4.3', NULL, NULL, NULL, 15),
(85901, NULL, 'PTHR13342:SF4', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR5', NULL, NULL, NULL, 15),
(85902, NULL, 'PTHR46432:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 42', NULL, NULL, NULL, 15),
(85903, NULL, 'PTHR23064:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85904, NULL, 'PTHR31235:SF206', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(85905, NULL, 'PTHR45844:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85906, NULL, 'PTHR14987:SF1', NULL, NULL, NULL, NULL, 'LBH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(85907, NULL, 'PTHR10373', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 7 FAMILY MEMBER', NULL, NULL, 15732, 15),
(85908, NULL, 'PTHR24413:SF226', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN-CONTAINING PROTEIN 41', NULL, NULL, NULL, 15),
(85909, NULL, 'PTHR46694:SF3', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(85910, NULL, 'PTHR11693:SF35', NULL, NULL, NULL, NULL, 'BNAANNG39740D PROTEIN', NULL, NULL, NULL, 15),
(85911, NULL, 'PTHR31506:SF37', NULL, NULL, NULL, NULL, 'BNAA09G44210D PROTEIN', NULL, NULL, NULL, 15),
(85912, NULL, 'PTHR11860:SF93', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 6', NULL, NULL, NULL, 15),
(85913, NULL, 'PTHR47924:SF5', NULL, NULL, NULL, NULL, 'BNAC01G35250D PROTEIN', NULL, NULL, NULL, 15),
(85914, NULL, 'PTHR35493:SF1', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN', NULL, NULL, NULL, 15),
(85915, NULL, 'PTHR21499:SF54', NULL, NULL, NULL, NULL, 'ASPARTOKINASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(85916, NULL, 'PTHR11783:SF207', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(85917, NULL, 'PTHR31646:SF3', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSYLTRANSFERASE MNN5', NULL, NULL, NULL, 15),
(85918, NULL, 'PTHR22981', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRATE DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(85919, NULL, 'PTHR12542:SF140', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(85920, NULL, 'PTHR31376:SF82', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(85921, NULL, 'PTHR27005:SF322', NULL, NULL, NULL, NULL, 'BNACNNG45070D PROTEIN', NULL, NULL, NULL, 15),
(85922, NULL, 'PTHR34677:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85923, NULL, 'PTHR46561:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', NULL, NULL, NULL, 15),
(85924, NULL, 'PTHR24350:SF4', NULL, NULL, NULL, NULL, 'AURORA KINASE B', NULL, NULL, 22129, 15),
(85925, NULL, 'PTHR19957:SF113', NULL, NULL, NULL, NULL, 'SYNTAXIN-2-RELATED', NULL, NULL, NULL, 15),
(85926, NULL, 'PTHR31645', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER YGL114W-RELATED', NULL, NULL, 38180, 15),
(85927, NULL, 'PTHR43329:SF109', NULL, NULL, NULL, NULL, 'BNAA10G06420D PROTEIN', NULL, NULL, NULL, 15),
(85928, NULL, 'PTHR30575:SF4', NULL, NULL, NULL, NULL, 'PEPTIDASE M20 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(85929, NULL, 'PTHR10553:SF5', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM7', NULL, NULL, NULL, 15),
(85930, NULL, 'PTHR24006:SF808', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 12-LIKE', NULL, NULL, NULL, 15),
(85931, NULL, 'PTHR31384:SF115', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 6', NULL, NULL, NULL, 15),
(85932, NULL, 'PTHR48052:SF29', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85933, NULL, 'PTHR46158:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85934, NULL, 'PTHR34787:SF3', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT VI-2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(85935, NULL, 'PTHR32097:SF17', NULL, NULL, NULL, NULL, 'CAMP-BINDING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(85936, NULL, 'PTHR24223:SF269', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(85937, NULL, 'PTHR16223:SF129', NULL, NULL, NULL, NULL, 'OS02G0671300 PROTEIN', NULL, NULL, NULL, 15),
(85938, NULL, 'PTHR11877:SF69', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 8', NULL, NULL, NULL, 15),
(85939, NULL, 'PTHR43190', NULL, NULL, NULL, NULL, 'N-ACETYL-D-GLUCOSAMINE KINASE', NULL, NULL, NULL, 15),
(85940, NULL, 'PTHR37330', NULL, NULL, NULL, NULL, 'CONSERVED TRANSMEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85941, NULL, 'PTHR47992:SF120', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 6-RELATED', NULL, NULL, NULL, 15),
(85942, NULL, 'PTHR46098', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(38)-C(5))-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(85943, NULL, 'PTHR43272:SF76', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 7, PEROXISOMAL', NULL, NULL, NULL, 15),
(85944, NULL, 'PTHR33671:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85945, NULL, 'PTHR42798:SF2', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM ATP-BINDING PROTEIN LOLD', NULL, NULL, NULL, 15),
(85946, NULL, 'PTHR46261:SF13', NULL, NULL, NULL, NULL, 'HMG TYPE NUCLEOSOME/CHROMATIN ASSEMBLY FACTOR', NULL, NULL, NULL, 15),
(85947, NULL, 'PTHR31639:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85948, NULL, 'PTHR24068:SF199', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 18-RELATED', NULL, NULL, NULL, 15),
(85949, NULL, 'PTHR10114:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36-1-RELATED', NULL, NULL, NULL, 15),
(85950, NULL, 'PTHR45676:SF131', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(85951, NULL, 'PTHR42912:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85952, NULL, 'PTHR45660:SF53', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH5', NULL, NULL, NULL, 15),
(85953, NULL, 'PTHR10405:SF18', NULL, NULL, NULL, NULL, 'SPINDLIN-3', NULL, NULL, 23233, 15),
(85954, NULL, 'PTHR11802:SF340', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(85955, NULL, 'PTHR27001:SF876', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85956, NULL, 'PTHR21032', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29691, 15),
(85957, NULL, 'PTHR14382', NULL, NULL, NULL, NULL, 'MDM2-BINDING PROTEIN', NULL, NULL, 35064, 15),
(85958, NULL, 'PTHR26379:SF390', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85959, NULL, 'PTHR11203:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85960, NULL, 'PTHR12894:SF38', NULL, NULL, NULL, NULL, 'BNAC03G76730D PROTEIN', NULL, NULL, NULL, 15),
(85961, NULL, 'PTHR45530:SF3', NULL, NULL, NULL, NULL, 'SENSORY TRANSDUCTION HISTIDINE KINASE', NULL, NULL, NULL, 15),
(85962, NULL, 'PTHR11514:SF109', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC2', NULL, NULL, NULL, 15),
(85963, NULL, 'PTHR23428:SF125', NULL, NULL, NULL, NULL, 'HISTONE H2B 3-RELATED', NULL, NULL, NULL, 15),
(85964, NULL, 'PTHR19305:SF14', NULL, NULL, NULL, NULL, 'SYNAPTOSOMAL-ASSOCIATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85965, NULL, 'PTHR31790:SF320', NULL, NULL, NULL, NULL, 'BNAA04G18710D PROTEIN', NULL, NULL, NULL, 15),
(85966, NULL, 'PTHR41390:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(85967, NULL, 'PTHR11514:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85968, NULL, 'PTHR45842:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85969, NULL, 'PTHR33021:SF206', NULL, NULL, NULL, NULL, 'MAVICYANIN-LIKE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(85970, NULL, 'PTHR11695:SF645', NULL, NULL, NULL, NULL, 'RETICULON-4-INTERACTING PROTEIN 1, MITOCHONDRIAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(85971, NULL, 'PTHR23522', NULL, NULL, NULL, NULL, 'BLL5896 PROTEIN', NULL, NULL, NULL, 15),
(85972, NULL, 'PTHR45872', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 2, ISOFORM D', NULL, NULL, NULL, 15),
(85973, NULL, 'PTHR26453:SF594', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(85974, NULL, 'PTHR11260:SF584', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U22', NULL, NULL, NULL, 15),
(85975, NULL, 'PTHR14469:SF1', NULL, NULL, NULL, NULL, 'PC-ESTERASE DOMAIN-CONTAINING PROTEIN 1B', NULL, NULL, NULL, 15),
(85976, NULL, 'PTHR39169', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 13091, 15),
(85977, NULL, 'PTHR10015:SF345', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-1E-LIKE', NULL, NULL, NULL, 15),
(85978, NULL, 'PTHR30096:SF18', NULL, NULL, NULL, NULL, 'EXTRADIOL RING-CLEAVAGE DIOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(85979, NULL, 'PTHR42908:SF24', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION ELONGATION FACTOR 2, GENE 2', NULL, NULL, NULL, 15),
(85980, NULL, 'PTHR12748:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85981, NULL, 'PTHR11260:SF499', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, N-TERMINAL DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(85982, NULL, 'PTHR13068:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85983, NULL, 'PTHR33148:SF41', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(85984, NULL, 'PTHR36358', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 4, MITOCHONDRIAL', NULL, NULL, 38270, 15),
(85985, NULL, 'PTHR47999:SF13', NULL, NULL, NULL, NULL, 'R2R3-MYB TRANSCRIPTIONAL FACTOR 4', NULL, NULL, NULL, 15),
(85986, NULL, 'PTHR46128:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85987, NULL, 'PTHR13018', NULL, NULL, NULL, NULL, 'PROBABLE MEMBRANE PROTEIN DUF221-RELATED', NULL, NULL, 39355, 15),
(85988, NULL, 'PTHR46514:SF7', NULL, NULL, NULL, NULL, 'BRIDGING INTEGRATOR 1B', NULL, NULL, NULL, 15),
(85989, NULL, 'PTHR47607', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUBFAMILY MEMBER 3', NULL, NULL, 17751, 15),
(85990, NULL, 'PTHR22042:SF2', NULL, NULL, NULL, NULL, '182 KDA TANKYRASE-1-BINDING PROTEIN', NULL, NULL, NULL, 15),
(85991, NULL, 'PTHR45828:SF11', NULL, NULL, NULL, NULL, 'FERRIC-CHELATE REDUCTASE 1 HOMOLOG-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(85992, NULL, 'PTHR34192', NULL, NULL, NULL, NULL, 'PLASTOCYANIN MAJOR ISOFORM, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(85993, NULL, 'PTHR31803:SF26', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE', NULL, NULL, NULL, 15),
(85994, NULL, 'PTHR33349:SF13', NULL, NULL, NULL, NULL, 'OS04G0284900 PROTEIN', NULL, NULL, NULL, 15),
(85995, NULL, 'PTHR12011:SF347', NULL, NULL, NULL, NULL, 'LATROPHILIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(85996, NULL, 'PTHR31494:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(85997, NULL, 'PTHR47956:SF80', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B10', NULL, NULL, NULL, 15),
(85998, NULL, 'PTHR19957:SF298', NULL, NULL, NULL, NULL, 'SYNTAXIN-6-RELATED', NULL, NULL, NULL, 15),
(85999, NULL, 'PTHR15454:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG18939', NULL, NULL, NULL, 15),
(86000, NULL, 'PTHR24377:SF882', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS 7', NULL, NULL, NULL, 15),
(86001, NULL, 'PTHR20963:SF14', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86002, NULL, 'PTHR10627:SF74', NULL, NULL, NULL, NULL, 'BNAA06G19090D PROTEIN', NULL, NULL, NULL, 15),
(86003, NULL, 'PTHR44329:SF194', NULL, NULL, NULL, NULL, 'BNAA05G16950D PROTEIN', NULL, NULL, NULL, 15),
(86004, NULL, 'PTHR33431:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86005, NULL, 'PTHR43085:SF35', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE KINASE-LIKE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86006, NULL, 'PTHR10412:SF17', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE 2', NULL, NULL, NULL, 15),
(86007, NULL, 'PTHR21700:SF43', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(86008, NULL, 'PTHR11727:SF15', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(86009, NULL, 'PTHR21636:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DOK-7', NULL, NULL, NULL, 15),
(86010, NULL, 'PTHR18966:SF374', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(86011, NULL, 'PTHR35587:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(86012, NULL, 'PTHR23024:SF106', NULL, NULL, NULL, NULL, 'ARYLACETAMIDE DEACETYLASE-LIKE 4', NULL, NULL, NULL, 15),
(86013, NULL, 'PTHR33402:SF31', NULL, NULL, NULL, NULL, 'VQ MOTIF PROTEIN', NULL, NULL, NULL, 15),
(86014, NULL, 'PTHR13814:SF6', NULL, NULL, NULL, NULL, 'ALPHA-2-HS-GLYCOPROTEIN', NULL, NULL, NULL, 15),
(86015, NULL, 'PTHR47998:SF20', NULL, NULL, NULL, NULL, 'TRICHOME DIFFERENTIATION PROTEIN GL1', NULL, NULL, NULL, 15),
(86016, NULL, 'PTHR24343:SF470', NULL, NULL, NULL, NULL, 'SUGAR-FREE FROSTING, ISOFORM A', NULL, NULL, NULL, 15),
(86017, NULL, 'PTHR10063:SF2', NULL, NULL, NULL, NULL, 'RAL GTPASE-ACTIVATING PROTEIN SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(86018, NULL, 'PTHR31314:SF114', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR-LIKE', NULL, NULL, NULL, 15),
(86019, NULL, 'PTHR15976:SF16', NULL, NULL, NULL, NULL, 'AGAP008671-PA', NULL, NULL, NULL, 15),
(86020, NULL, 'PTHR10027:SF28', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED POTASSIUM CHANNEL SUBUNIT ALPHA-1', NULL, NULL, 24111, 15),
(86021, NULL, 'PTHR30055:SF158', NULL, NULL, NULL, NULL, 'POSSIBLE TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY TETR-FAMILY)', NULL, NULL, NULL, 15),
(86022, NULL, 'PTHR24416:SF370', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NERVE GROWTH FACTOR RECEPTOR', NULL, NULL, NULL, 15),
(86023, NULL, 'PTHR24349:SF174', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 21-RELATED', NULL, NULL, NULL, 15),
(86024, NULL, 'PTHR34684:SF3', NULL, NULL, NULL, NULL, 'BNAA05G18590D PROTEIN', NULL, NULL, NULL, 15),
(86025, NULL, 'PTHR10880', NULL, NULL, NULL, NULL, 'MORTALITY FACTOR 4-LIKE PROTEIN', NULL, NULL, 13307, 15),
(86026, NULL, 'PTHR22667', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(86027, NULL, 'PTHR11158:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86028, NULL, 'PTHR46128:SF235', NULL, NULL, NULL, NULL, 'REPEAT (PPR) SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86029, NULL, 'PTHR48025:SF4', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(86030, NULL, 'PTHR24381:SF113', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 384', NULL, NULL, NULL, 15),
(86031, NULL, 'PTHR31916:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86032, NULL, 'PTHR34950:SF1', NULL, NULL, NULL, NULL, 'OS04G0457400 PROTEIN', NULL, NULL, NULL, 15),
(86033, NULL, 'PTHR46629', NULL, NULL, NULL, NULL, 'OS01G0917900 PROTEIN', NULL, NULL, NULL, 15),
(86034, NULL, 'PTHR24171', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 39-RELATED', NULL, NULL, NULL, 15),
(86035, NULL, 'PTHR48021:SF24', NULL, NULL, NULL, NULL, 'FACILITATED TREHALOSE TRANSPORTER TRET1-2 HOMOLOG-LIKE PROTEIN', NULL, NULL, NULL, 15),
(86036, NULL, 'PTHR31189:SF33', NULL, NULL, NULL, NULL, 'BNAC03G61870D PROTEIN', NULL, NULL, NULL, 15),
(86037, NULL, 'PTHR15427:SF5', NULL, NULL, NULL, NULL, 'EMILIN-2', NULL, NULL, NULL, 15),
(86038, NULL, 'PTHR48002:SF79', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4A15', NULL, NULL, NULL, 15),
(86039, NULL, 'PTHR22941:SF148', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(86040, NULL, 'PTHR45637:SF6', NULL, NULL, NULL, NULL, 'PROTEIN KINASE PINOID', NULL, NULL, NULL, 15),
(86041, NULL, 'PTHR12224:SF14', NULL, NULL, NULL, NULL, 'OSJNBA0044K18.7 PROTEIN', NULL, NULL, NULL, 15),
(86042, NULL, 'PTHR39186', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 16560, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86043, NULL, 'PTHR24637:SF270', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(86044, NULL, 'PTHR43642', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86045, NULL, 'PTHR46587:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(86046, NULL, 'PTHR24031:SF348', NULL, NULL, NULL, NULL, 'LARGE HELICASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(86047, NULL, 'PTHR12945:SF0', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(58)-N(1))-METHYLTRANSFERASE NON-CATALYTIC SUBUNIT TRM6', NULL, NULL, NULL, 15),
(86048, NULL, 'PTHR12549:SF49', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ25-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(86049, NULL, 'PTHR24221:SF423', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', NULL, NULL, NULL, 15),
(86050, NULL, 'PTHR22760', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, 2924, 15),
(86051, NULL, 'PTHR47338:SF17', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(86052, NULL, 'PTHR45813:SF4', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR F5', NULL, NULL, NULL, 15),
(86053, NULL, 'PTHR10145:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT6', NULL, NULL, NULL, 15),
(86054, NULL, 'PTHR30472:SF37', NULL, NULL, NULL, NULL, 'IRON(3+)-HYDROXAMATE IMPORT SYSTEM PERMEASE PROTEIN FHUB', NULL, NULL, NULL, 15),
(86055, NULL, 'PTHR16510', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PHOSPHOGLYCOPROTEIN WITH ASARM MOTIF', NULL, NULL, 13676, 15),
(86056, NULL, 'PTHR17630:SF98', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(86057, NULL, 'PTHR21311:SF0', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 8', NULL, NULL, NULL, 15),
(86058, NULL, 'PTHR30624:SF4', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TLDD', NULL, NULL, NULL, 15),
(86059, NULL, 'PTHR15705:SF1', NULL, NULL, NULL, NULL, 'MCG7194, ISOFORM CRA_A', NULL, NULL, NULL, 15),
(86060, NULL, 'PTHR34574', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(86061, NULL, 'PTHR33649:SF18', NULL, NULL, NULL, NULL, 'BNAC04G26600D PROTEIN', NULL, NULL, NULL, 15),
(86062, NULL, 'PTHR33132:SF78', NULL, NULL, NULL, NULL, 'BNAA10G10120D PROTEIN', NULL, NULL, NULL, 15),
(86063, NULL, 'PTHR46179:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 653', NULL, NULL, NULL, 15),
(86064, NULL, 'PTHR45757:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG23780', NULL, NULL, NULL, 15),
(86065, NULL, 'PTHR11949:SF20', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 4B', NULL, NULL, NULL, 15),
(86066, NULL, 'PTHR11913:SF58', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 10-LIKE', NULL, NULL, NULL, 15),
(86067, NULL, 'PTHR46183:SF3', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P (PB1) DOMAIN-CONTAINING PROTEIN / TETRATRICOPEPTIDE REPEAT (TPR)-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(86068, NULL, 'PTHR21502:SF9', NULL, NULL, NULL, NULL, 'RAB-INTERACTING LYSOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(86069, NULL, 'PTHR11615:SF261', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(86070, NULL, 'PTHR31636:SF245', NULL, NULL, NULL, NULL, 'BNAA02G12260D PROTEIN', NULL, NULL, 23936, 15),
(86071, NULL, 'PTHR24343:SF101', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 23', NULL, NULL, NULL, 15),
(86072, NULL, 'PTHR31907:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86073, NULL, 'PTHR47909', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(86074, NULL, 'PTHR11540:SF60', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE, GLYOXYSOMAL', NULL, NULL, NULL, 15),
(86075, NULL, 'PTHR16223:SF224', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH113-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(86076, NULL, 'PTHR31479:SF19', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3-LIKE', NULL, NULL, NULL, 15),
(86077, NULL, 'PTHR47928:SF120', NULL, NULL, NULL, NULL, 'OS05G0107000 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86078, NULL, 'PTHR31354:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86079, NULL, 'PTHR11073:SF11', NULL, NULL, NULL, NULL, 'CALNEXIN', NULL, NULL, NULL, 15),
(86080, NULL, 'PTHR24221:SF520', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER OF THE MITOCHONDRION 1-RELATED', NULL, NULL, NULL, 15),
(86081, NULL, 'PTHR31917:SF76', NULL, NULL, NULL, NULL, 'BNAA05G30960D PROTEIN', NULL, NULL, NULL, 15),
(86082, NULL, 'PTHR11764', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, 20660, 15),
(86083, NULL, 'PTHR11405:SF51', NULL, NULL, NULL, NULL, 'CARBAMOYL-PHOSPHATE SYNTHASE ARGININE-SPECIFIC LARGE CHAIN', NULL, NULL, NULL, 15),
(86084, NULL, 'PTHR31876', NULL, NULL, NULL, NULL, 'COV-LIKE PROTEIN 1', NULL, NULL, 4696, 15),
(86085, NULL, 'PTHR10926:SF17', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN 50A', NULL, NULL, 27739, 15),
(86086, NULL, 'PTHR24031:SF636', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-2-RELATED', NULL, NULL, NULL, 15),
(86087, NULL, 'PTHR48201:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86088, NULL, 'PTHR19853:SF1', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 31', NULL, NULL, NULL, 15),
(86089, NULL, 'PTHR31375:SF191', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE/GLYCOSIDE HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(86090, NULL, 'PTHR10502:SF120', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(86091, NULL, 'PTHR12210:SF157', NULL, NULL, NULL, NULL, 'BNAA07G07660D PROTEIN', NULL, NULL, NULL, 15),
(86092, NULL, 'PTHR40081', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE', NULL, NULL, 38509, 15),
(86093, NULL, 'PTHR32411:SF50', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 26-RELATED', NULL, NULL, NULL, 15),
(86094, NULL, 'PTHR43303:SF1', NULL, NULL, NULL, NULL, 'NADH:FLAVIN OXIDOREDUCTASE/NADH OXIDASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(86095, NULL, 'PTHR33696:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86096, NULL, 'PTHR24115:SF926', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF22', NULL, NULL, NULL, 15),
(86097, NULL, 'PTHR11413:SF117', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(86098, NULL, 'PTHR24255:SF29', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT 1, S SUBCOMPONENT', NULL, NULL, NULL, 15),
(86099, NULL, 'PTHR31482', NULL, NULL, NULL, NULL, 'ESTS AU081301(E20138)', NULL, NULL, NULL, 15),
(86100, NULL, 'PTHR43805:SF1', NULL, NULL, NULL, NULL, 'BLL4185 PROTEIN', NULL, NULL, NULL, 15),
(86101, NULL, 'PTHR31679', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX30-RELATED', NULL, NULL, NULL, 15),
(86102, NULL, 'PTHR38622:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG07046', NULL, NULL, NULL, 15),
(86103, NULL, 'PTHR21659:SF82', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE PROTEOLIPID 3', NULL, NULL, NULL, 15),
(86104, NULL, 'PTHR12000:SF29', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME DELTA-ISOZYME', NULL, NULL, NULL, 15),
(86105, NULL, 'PTHR23219:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG04541', NULL, NULL, NULL, 15),
(86106, NULL, 'PTHR30270:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86107, NULL, 'PTHR11773:SF1', NULL, NULL, NULL, NULL, 'GLYCINE DEHYDROGENASE (DECARBOXYLATING), MITOCHONDRIAL', NULL, NULL, NULL, 15),
(86108, NULL, 'PTHR33091:SF3', NULL, NULL, NULL, NULL, 'OS02G0123900 PROTEIN', NULL, NULL, NULL, 15),
(86109, NULL, 'PTHR10582:SF22', NULL, NULL, NULL, NULL, 'OSM-9 AND CAPSAICIN RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(86110, NULL, 'PTHR31560:SF0', NULL, NULL, NULL, NULL, 'UPF0652 PROTEIN C16A11.03C-RELATED', NULL, NULL, NULL, 15),
(86111, NULL, 'PTHR39741:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86112, NULL, 'PTHR23155:SF917', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPP13-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(86113, NULL, 'PTHR30634:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86114, NULL, 'PTHR24349:SF422', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 11', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86115, NULL, 'PTHR10593:SF189', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JACKDAW-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(86116, NULL, 'PTHR47800:SF4', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(86117, NULL, 'PTHR33132:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86118, NULL, 'PTHR46404', NULL, NULL, NULL, NULL, 'DNA POLYMERASE IOTA', NULL, NULL, NULL, 15),
(86119, NULL, 'PTHR46880', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86120, NULL, 'PTHR24072:SF312', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE 3', NULL, NULL, NULL, 15),
(86121, NULL, 'PTHR25952:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86122, NULL, 'PTHR33156:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86123, NULL, 'PTHR23315:SF285', NULL, NULL, NULL, NULL, 'BNAA02G07540D PROTEIN', NULL, NULL, NULL, 15),
(86124, NULL, 'PTHR27006:SF376', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8 ISOFORM X1', NULL, NULL, NULL, 15),
(86125, NULL, 'PTHR10791:SF180', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(86126, NULL, 'PTHR43822:SF17', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE LARGE SUBUNIT', NULL, NULL, NULL, 15),
(86127, NULL, 'PTHR33181:SF35', NULL, NULL, NULL, NULL, 'BNAA01G24710D PROTEIN', NULL, NULL, NULL, 15),
(86128, NULL, 'PTHR23155:SF967', NULL, NULL, NULL, NULL, 'OS02G0118900 PROTEIN', NULL, NULL, NULL, 15),
(86129, NULL, 'PTHR33893:SF1', NULL, NULL, NULL, NULL, 'INSULIN RELATED-RELATED', NULL, NULL, NULL, 15),
(86130, NULL, 'PTHR31790:SF370', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(86131, NULL, 'PTHR10783:SF78', NULL, NULL, NULL, NULL, 'SPX AND EXS DOMAIN-CONTAINING PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(86132, NULL, 'PTHR47664', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86133, NULL, 'PTHR47992:SF152', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 28-RELATED', NULL, NULL, NULL, 15),
(86134, NULL, 'PTHR33142:SF48', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR15', NULL, NULL, NULL, 15),
(86135, NULL, 'PTHR24390:SF167', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 358', NULL, NULL, NULL, 15),
(86136, NULL, 'PTHR24062:SF3', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(86137, NULL, 'PTHR33428:SF2', NULL, NULL, NULL, NULL, 'CHLOROPHYLLASE-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(86138, NULL, 'PTHR21063:SF4', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY C (CFTR/MRP), MEMBER 6B, TANDEM DUPLICATE 2-RELATED', NULL, NULL, NULL, 15),
(86139, NULL, 'PTHR42198:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(86140, NULL, 'PTHR24379:SF78', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 627', NULL, NULL, NULL, 15),
(86141, NULL, 'PTHR47966:SF47', NULL, NULL, NULL, NULL, 'ENDOPEPTIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01220)-RELATED', NULL, NULL, NULL, 15),
(86142, NULL, 'PTHR17204:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86143, NULL, 'PTHR33107:SF58', NULL, NULL, NULL, NULL, 'MIRACULIN', NULL, NULL, NULL, 15),
(86144, NULL, 'PTHR38787', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86145, NULL, 'PTHR33336:SF13', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(86146, NULL, 'PTHR16223:SF137', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(86147, NULL, 'PTHR47655:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(86148, NULL, 'PTHR31673:SF41', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(86149, NULL, 'PTHR38218:SF7', NULL, NULL, NULL, NULL, 'FINGER C-X8-C-X5-C-X3-H TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86150, NULL, 'PTHR23155:SF1121', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPP13-LIKE PROTEIN 4', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86151, NULL, 'PTHR31165:SF65', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 4-LIKE', NULL, NULL, NULL, 15),
(86152, NULL, 'PTHR10788:SF83', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 3-RELATED', NULL, NULL, NULL, 15),
(86153, NULL, 'PTHR43380:SF12', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT ALPHA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(86154, NULL, 'PTHR15427:SF23', NULL, NULL, NULL, NULL, 'EMI DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(86155, NULL, 'PTHR31414:SF19', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(86156, NULL, 'PTHR23135:SF18', NULL, NULL, NULL, NULL, 'CYANOPHYCIN SYNTHETASE', NULL, NULL, NULL, 15),
(86157, NULL, 'PTHR48067:SF1', NULL, NULL, NULL, NULL, 'GPI-ANCHOR TRANSAMIDASE', NULL, NULL, NULL, 15),
(86158, NULL, 'PTHR47693', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR RISBZ3-RELATED', NULL, NULL, 37515, 15),
(86159, NULL, 'PTHR31697', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 5', NULL, NULL, 33961, 15),
(86160, NULL, 'PTHR31595:SF9', NULL, NULL, NULL, NULL, 'OS01G0651500 PROTEIN', NULL, NULL, NULL, 15),
(86161, NULL, 'PTHR45666:SF29', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE PHOSPHATASE (SYNAPTOGENIN-LIKE) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(86162, NULL, 'PTHR19370:SF121', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE 3', NULL, NULL, NULL, 15),
(86163, NULL, 'PTHR24260:SF106', NULL, NULL, NULL, NULL, 'TRYPSIN-LIKE PROTEASE', NULL, NULL, NULL, 15),
(86164, NULL, 'PTHR37035:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86165, NULL, 'PTHR12702:SF3', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 6B', NULL, NULL, NULL, 15),
(86166, NULL, 'PTHR45687:SF60', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE INTRINSIC PROTEIN', NULL, NULL, NULL, 15),
(86167, NULL, 'PTHR48026:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86168, NULL, 'PTHR45866:SF9', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2', NULL, NULL, NULL, 15),
(86169, NULL, 'PTHR24055:SF423', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86170, NULL, 'PTHR47725:SF4', NULL, NULL, NULL, NULL, 'BNAC03G12680D PROTEIN', NULL, NULL, NULL, 15),
(86171, NULL, 'PTHR30204:SF55', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR MTA', NULL, NULL, NULL, 15),
(86172, NULL, 'PTHR11442', NULL, NULL, NULL, NULL, 'HEMOGLOBIN FAMILY MEMBER', NULL, NULL, NULL, 15),
(86173, NULL, 'PTHR46650', NULL, NULL, NULL, NULL, 'PEROXISOMAL ADENINE NUCLEOTIDE TRANSPORTER 1', NULL, NULL, 37417, 15),
(86174, NULL, 'PTHR33509:SF23', NULL, NULL, NULL, NULL, 'PROTEIN SENESCENCE-ASSOCIATED GENE 21, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(86175, NULL, 'PTHR10309:SF0', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(86176, NULL, 'PTHR47284:SF1', NULL, NULL, NULL, NULL, 'OS06G0203600 PROTEIN', NULL, NULL, NULL, 15),
(86177, NULL, 'PTHR43689:SF35', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE BODYGUARD 5-RELATED', NULL, NULL, NULL, 15),
(86178, NULL, 'PTHR10357:SF178', NULL, NULL, NULL, NULL, 'OLIGO-1,6-GLUCOSIDASE 3-RELATED', NULL, NULL, NULL, 15),
(86179, NULL, 'PTHR17630:SF55', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G01900)', NULL, NULL, NULL, 15),
(86180, NULL, 'PTHR27003:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86181, NULL, 'PTHR31948:SF61', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 4', NULL, NULL, NULL, 15),
(86182, NULL, 'PTHR11502:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', NULL, NULL, NULL, 15),
(86183, NULL, 'PTHR47980:SF28', NULL, NULL, NULL, NULL, 'BNACNNG73200D PROTEIN', NULL, NULL, NULL, 15),
(86184, NULL, 'PTHR27006:SF272', NULL, NULL, NULL, NULL, 'BNAC03G64190D PROTEIN', NULL, NULL, NULL, 15),
(86185, NULL, 'PTHR31190:SF244', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSE FACTOR C3', NULL, NULL, NULL, 15),
(86186, NULL, 'PTHR10476:SF39', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 24 HOMOLOG 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86187, NULL, 'PTHR13690:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR VIP1-LIKE', NULL, NULL, NULL, 15),
(86188, NULL, 'PTHR31549:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86189, NULL, 'PTHR28584:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM228A', NULL, NULL, NULL, 15),
(86190, NULL, 'PTHR43333', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86191, NULL, 'PTHR18966:SF397', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, NMDA 3A', NULL, NULL, NULL, 15),
(86192, NULL, 'PTHR24115:SF838', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(86193, NULL, 'PTHR15840:SF10', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT TPRKB', NULL, NULL, NULL, 15),
(86194, NULL, 'PTHR47958:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86195, NULL, 'PTHR31149:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(86196, NULL, 'PTHR46330:SF9', NULL, NULL, NULL, NULL, 'SI:DKEY-260G12.1-RELATED', NULL, NULL, NULL, 15),
(86197, NULL, 'PTHR22957:SF564', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 5 HOMOLOG B', NULL, NULL, NULL, 15),
(86198, NULL, 'PTHR31096:SF46', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR5', NULL, NULL, NULL, 15),
(86199, NULL, 'PTHR31967:SF19', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)', NULL, NULL, NULL, 15),
(86200, NULL, 'PTHR43139:SF18', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(86201, NULL, 'PTHR10799:SF76', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR BRG1', NULL, NULL, 24721, 15),
(86202, NULL, 'PTHR11210:SF43', NULL, NULL, NULL, NULL, 'RING-BOX PROTEIN 1A-RELATED', NULL, NULL, NULL, 15),
(86203, NULL, 'PTHR37391:SF6', NULL, NULL, NULL, NULL, 'BNAC01G32860D PROTEIN', NULL, NULL, NULL, 15),
(86204, NULL, 'PTHR10252:SF93', NULL, NULL, NULL, NULL, 'HISTONE-LIKE TRANSCRIPTION FACTOR AND ARCHAEAL HISTONE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(86205, NULL, 'PTHR11242:SF0', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR INTERACTING PROTEIN (AIP) RELATED', NULL, NULL, NULL, 15),
(86206, NULL, 'PTHR24082:SF313', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1, GROUP H, MEMBER 5', NULL, NULL, NULL, 15),
(86207, NULL, 'PTHR21721:SF26', NULL, NULL, NULL, NULL, 'GH06474P', NULL, NULL, NULL, 15),
(86208, NULL, 'PTHR12892:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG15066', NULL, NULL, NULL, 15),
(86209, NULL, 'PTHR11588:SF273', NULL, NULL, NULL, NULL, 'TUBULIN BETA-3 CHAIN', NULL, NULL, NULL, 15),
(86210, NULL, 'PTHR31806:SF8', NULL, NULL, NULL, NULL, 'VITAMIN B6 TRANSPORTER TPN1', NULL, NULL, 22466, 15),
(86211, NULL, 'PTHR16222:SF18', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86212, NULL, 'PTHR23267:SF415', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86213, NULL, 'PTHR15363', NULL, NULL, NULL, NULL, 'POU DOMAIN CLASS 2-ASSOCIATING FACTOR 1', NULL, NULL, NULL, 15),
(86214, NULL, 'PTHR24028:SF12', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-1', NULL, NULL, 27653, 15),
(86215, NULL, 'PTHR45811:SF50', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(86216, NULL, 'PTHR23012:SF198', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(86217, NULL, 'PTHR46905:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL76-RELATED', NULL, NULL, NULL, 15),
(86218, NULL, 'PTHR23294:SF28', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING 11', NULL, NULL, NULL, 15),
(86219, NULL, 'PTHR31734:SF139', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(86220, NULL, 'PTHR47883', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86221, NULL, 'PTHR13005:SF4', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH HYDROPHOBIC PROTEIN', NULL, NULL, NULL, 15),
(86222, NULL, 'PTHR10514:SF36', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME', NULL, NULL, NULL, 15),
(86223, NULL, 'PTHR43327:SF39', NULL, NULL, NULL, NULL, 'BNAA02G35710D PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86224, NULL, 'PTHR27003:SF297', NULL, NULL, NULL, NULL, 'BNAA06G34020D PROTEIN', NULL, NULL, NULL, 15),
(86225, NULL, 'PTHR22984:SF28', NULL, NULL, NULL, NULL, 'RUNT-RELATED TRANSCRIPTION FACTOR 1, TRANSLOCATED TO, 1 (CYCLIN D-RELATED)-RELATED', NULL, NULL, NULL, 15),
(86226, NULL, 'PTHR10666:SF369', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(86227, NULL, 'PTHR31235:SF201', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(86228, NULL, 'PTHR11339:SF264', NULL, NULL, NULL, NULL, 'MUCIN-6', NULL, NULL, 27151, 15),
(86229, NULL, 'PTHR23262:SF176', NULL, NULL, NULL, NULL, 'HCG2042993-RELATED', NULL, NULL, NULL, 15),
(86230, NULL, 'PTHR35605', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86231, NULL, 'PTHR20859:SF50', NULL, NULL, NULL, NULL, 'INTERLEUKIN-10 RECEPTOR SUBUNIT BETA', NULL, NULL, NULL, 15),
(86232, NULL, 'PTHR22814:SF323', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 21-LIKE', NULL, NULL, NULL, 15),
(86233, NULL, 'PTHR27005:SF317', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86234, NULL, 'PTHR47980:SF12', NULL, NULL, NULL, NULL, 'SMALL MONOMERIC GTPASE-RELATED', NULL, NULL, NULL, 15),
(86235, NULL, 'PTHR46708', NULL, NULL, NULL, NULL, 'TENASCIN', NULL, NULL, NULL, 15),
(86236, NULL, 'PTHR42753:SF9', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L39, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(86237, NULL, 'PTHR34050:SF3', NULL, NULL, NULL, NULL, 'DNA REPAIR RAD52-LIKE PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(86238, NULL, 'PTHR23089:SF39', NULL, NULL, NULL, NULL, 'BLR5135 PROTEIN', NULL, NULL, NULL, 15),
(86239, NULL, 'PTHR31983:SF17', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 81 PROTEIN', NULL, NULL, NULL, 15),
(86240, NULL, 'PTHR19134:SF465', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE 2', NULL, NULL, NULL, 15),
(86241, NULL, 'PTHR19919:SF11', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN LWD1-LIKE', NULL, NULL, NULL, 15),
(86242, NULL, 'PTHR14199:SF29', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA BREAKPOINT FAMILY MEMBER 4-RELATED', NULL, NULL, NULL, 15),
(86243, NULL, 'PTHR36797:SF3', NULL, NULL, NULL, NULL, 'OS01G0258600 PROTEIN', NULL, NULL, NULL, 15),
(86244, NULL, 'PTHR23050:SF419', NULL, NULL, NULL, NULL, 'SQUIDULIN', NULL, NULL, NULL, 15),
(86245, NULL, 'PTHR10489:SF637', NULL, NULL, NULL, NULL, 'CX3C CHEMOKINE RECEPTOR 1', NULL, NULL, NULL, 15),
(86246, NULL, 'PTHR34572:SF9', NULL, NULL, NULL, NULL, 'BNAA03G11500D PROTEIN', NULL, NULL, NULL, 15),
(86247, NULL, 'PTHR10003:SF71', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN]', NULL, NULL, NULL, 15),
(86248, NULL, 'PTHR31790:SF386', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86249, NULL, 'PTHR14166:SF8', NULL, NULL, NULL, NULL, 'SLIT-ROBO RHO GTPASE-ACTIVATING PROTEIN 3', NULL, NULL, NULL, 15),
(86250, NULL, 'PTHR47950:SF7', NULL, NULL, NULL, NULL, 'OS12G0196700 PROTEIN', NULL, NULL, NULL, 15),
(86251, NULL, 'PTHR12771:SF47', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 26604, 15),
(86252, NULL, 'PTHR10795:SF542', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.5', NULL, NULL, NULL, 15),
(86253, NULL, 'PTHR31065:SF77', NULL, NULL, NULL, NULL, 'BNACNNG65920D PROTEIN', NULL, NULL, NULL, 15),
(86254, NULL, 'PTHR31044:SF25', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(86255, NULL, 'PTHR10068:SF16', NULL, NULL, NULL, NULL, 'BONE MARROW PROTEOGLYCAN', NULL, NULL, NULL, 15),
(86256, NULL, 'PTHR24221:SF436', NULL, NULL, NULL, NULL, 'LMO0107 PROTEIN', NULL, NULL, NULL, 15),
(86257, NULL, 'PTHR47993:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86258, NULL, 'PTHR12654:SF21', NULL, NULL, NULL, NULL, 'OS07G0444000 PROTEIN', NULL, NULL, NULL, 15),
(86259, NULL, 'PTHR46368:SF5', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(86260, NULL, 'PTHR23054:SF55', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORTER', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86261, NULL, 'PTHR44137', NULL, NULL, NULL, NULL, 'BNAC03G44070D PROTEIN', NULL, NULL, NULL, 15),
(86262, NULL, 'PTHR21355:SF0', NULL, NULL, NULL, NULL, 'LMBR1 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(86263, NULL, 'PTHR44042:SF34', NULL, NULL, NULL, NULL, 'BNAC03G21050D PROTEIN', NULL, NULL, NULL, 15),
(86264, NULL, 'PTHR33830:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86265, NULL, 'PTHR24286:SF40', NULL, NULL, NULL, NULL, 'OS05G0416400 PROTEIN', NULL, NULL, NULL, 15),
(86266, NULL, 'PTHR36347:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(86267, NULL, 'PTHR47146', NULL, NULL, NULL, NULL, 'OTORAPLIN', NULL, NULL, 37062, 15),
(86268, NULL, 'PTHR43677:SF1', NULL, NULL, NULL, NULL, 'ACRYLYL-COA REDUCTASE ACUI-RELATED', NULL, NULL, 8740, 15),
(86269, NULL, 'PTHR11926:SF1423', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C1', NULL, NULL, NULL, 15),
(86270, NULL, 'PTHR31314:SF104', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR KAN1-LIKE', NULL, NULL, NULL, 15),
(86271, NULL, 'PTHR22870:SF327', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86272, NULL, 'PTHR22941:SF298', NULL, NULL, NULL, NULL, 'PROTEIN CBG22803', NULL, NULL, NULL, 15),
(86273, NULL, 'PTHR44054:SF2', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE MEMBRANE PROTEIN VAT-1 HOMOLOG-LIKE', NULL, NULL, NULL, 15),
(86274, NULL, 'PTHR12632:SF53', NULL, NULL, NULL, NULL, 'CCAAT-BINDING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(86275, NULL, 'PTHR34005', NULL, NULL, NULL, NULL, 'PROTEIN CBG15054-RELATED', NULL, NULL, NULL, 15),
(86276, NULL, 'PTHR12482:SF41', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(86277, NULL, 'PTHR10083:SF352', NULL, NULL, NULL, NULL, 'TISSUE FACTOR PATHWAY INHIBITOR 2', NULL, NULL, 26472, 15),
(86278, NULL, 'PTHR33710:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86279, NULL, 'PTHR47074:SF33', NULL, NULL, NULL, NULL, 'GB|AAF30348.1-RELATED', NULL, NULL, NULL, 15),
(86280, NULL, 'PTHR47928:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(86281, NULL, 'PTHR31580:SF6', NULL, NULL, NULL, NULL, 'OS02G0614600 PROTEIN', NULL, NULL, NULL, 15),
(86282, NULL, 'PTHR27007:SF282', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.3-RELATED', NULL, NULL, NULL, 15),
(86283, NULL, 'PTHR43952:SF40', NULL, NULL, NULL, NULL, 'OS05G0579600 PROTEIN', NULL, NULL, NULL, 15),
(86284, NULL, 'PTHR11040:SF55', NULL, NULL, NULL, NULL, 'MEMBRANE ZINC ION TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G00470)-RELATED', NULL, NULL, NULL, 15),
(86285, NULL, 'PTHR11088:SF69', NULL, NULL, NULL, NULL, 'BNAC03G40850D PROTEIN', NULL, NULL, NULL, 15),
(86286, NULL, 'PTHR46319:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(86287, NULL, 'PTHR31186', NULL, NULL, NULL, NULL, 'MODULATOR OF SMOOTHENED PROTEIN', NULL, NULL, 35278, 15),
(86288, NULL, 'PTHR35770:SF1', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN AUXILIARY FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(86289, NULL, 'PTHR11309:SF87', NULL, NULL, NULL, NULL, 'SECRETED FRIZZLED-RELATED PROTEIN 1', NULL, NULL, 26376, 15),
(86290, NULL, 'PTHR11801', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION', NULL, NULL, 1176, 15),
(86291, NULL, 'PTHR32227:SF361', NULL, NULL, NULL, NULL, 'BNAC04G24480D PROTEIN', NULL, NULL, NULL, 15),
(86292, NULL, 'PTHR24296:SF150', NULL, NULL, NULL, NULL, 'OS01G0858350 PROTEIN', NULL, NULL, NULL, 15),
(86293, NULL, 'PTHR12386:SF36', NULL, NULL, NULL, NULL, 'COPIA-LIKE RETROELEMENT POL POLYPROTEIN', NULL, NULL, NULL, 15),
(86294, NULL, 'PTHR24356:SF386', NULL, NULL, NULL, NULL, '3-PHOSPHOINOSITIDE-DEPENDENT PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(86295, NULL, 'PTHR31614:SF28', NULL, NULL, NULL, NULL, 'OS07G0590500 PROTEIN', NULL, NULL, NULL, 15),
(86296, NULL, 'PTHR11256:SF47', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 10', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86297, NULL, 'PTHR46118', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86298, NULL, 'PTHR24384:SF88', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 138-RELATED', NULL, NULL, NULL, 15),
(86299, NULL, 'PTHR46565:SF13', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN PROTEIN 2', NULL, NULL, NULL, 15),
(86300, NULL, 'PTHR45631:SF105', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86301, NULL, 'PTHR21706:SF15', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 65', NULL, NULL, NULL, 15),
(86302, NULL, 'PTHR42968:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86303, NULL, 'PTHR11122:SF36', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(86304, NULL, 'PTHR10804:SF11', NULL, NULL, NULL, NULL, 'PROLIFERATION-ASSOCIATED PROTEIN 2G4', NULL, NULL, NULL, 15),
(86305, NULL, 'PTHR24238:SF46', NULL, NULL, NULL, NULL, 'TYRAMINE/OCTOPAMINE RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(86306, NULL, 'PTHR43214', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(86307, NULL, 'PTHR11767:SF102', NULL, NULL, NULL, NULL, 'INWARDLY RECTIFYING POTASSIUM CHANNEL 2, ISOFORM D', NULL, NULL, NULL, 15),
(86308, NULL, 'PTHR31472:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86309, NULL, 'PTHR44329:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86310, NULL, 'PTHR10593:SF164', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 5, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(86311, NULL, 'PTHR48001:SF84', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1L4', NULL, NULL, NULL, 15),
(86312, NULL, 'PTHR11927:SF4', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(86313, NULL, 'PTHR34560', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE/LIPID TRANSPORT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(86314, NULL, 'PTHR31238:SF197', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(86315, NULL, 'PTHR43241', NULL, NULL, NULL, NULL, 'FLAVIN REDUCTASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(86316, NULL, 'PTHR48001:SF7', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(86317, NULL, 'PTHR11206:SF180', NULL, NULL, NULL, NULL, 'OS10G0344600 PROTEIN', NULL, NULL, NULL, 15),
(86318, NULL, 'PTHR14155:SF565', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL29-LIKE', NULL, NULL, NULL, 15),
(86319, NULL, 'PTHR24343:SF391', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SKS1-RELATED', NULL, NULL, NULL, 15),
(86320, NULL, 'PTHR10972:SF166', NULL, NULL, NULL, NULL, 'OSBP(OXYSTEROL-BINDING PROTEIN)-RELATED PROTEIN 4C', NULL, NULL, NULL, 15),
(86321, NULL, 'PTHR42709:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YOHD', NULL, NULL, NULL, 15),
(86322, NULL, 'PTHR14234:SF20', NULL, NULL, NULL, NULL, 'PERIPHERAL-TYPE BENZODIAZEPINE RECEPTOR-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(86323, NULL, 'PTHR15922:SF2', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA-AMPLIFIED SEQUENCE', NULL, NULL, NULL, 15),
(86324, NULL, 'PTHR43341:SF7', NULL, NULL, NULL, NULL, 'LEU/VAL/ILE AMINO-ACID PERMEASE-RELATED', NULL, NULL, NULL, 15),
(86325, NULL, 'PTHR45229:SF1', NULL, NULL, NULL, NULL, 'INDUCIBLE ORNITHINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(86326, NULL, 'PTHR48047:SF6', NULL, NULL, NULL, NULL, 'OS06G0282400 PROTEIN', NULL, NULL, NULL, 15),
(86327, NULL, 'PTHR46038:SF37', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(86328, NULL, 'PTHR33353:SF17', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,4-GLUCANASE D', NULL, NULL, NULL, 15),
(86329, NULL, 'PTHR46128:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86330, NULL, 'PTHR23043:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SINGLE-MINDED', NULL, NULL, NULL, 15),
(86331, NULL, 'PTHR43019:SF41', NULL, NULL, NULL, NULL, 'PERIPLASMIC SERINE ENDOPROTEASE DEGP-LIKE', NULL, NULL, NULL, 15),
(86332, NULL, 'PTHR45290', NULL, NULL, NULL, NULL, 'OS03G0300300 PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86333, NULL, 'PTHR11081:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86334, NULL, 'PTHR48002:SF156', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(86335, NULL, 'PTHR45654:SF59', NULL, NULL, NULL, NULL, 'HOMEOBOX LEUCINE ZIPPER PROTEIN ROC2', NULL, NULL, NULL, 15),
(86336, NULL, 'PTHR10476:SF19', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 1B-2', NULL, NULL, NULL, 15),
(86337, NULL, 'PTHR34557:SF1', NULL, NULL, NULL, NULL, 'PHYTOCHROMOBILIN:FERREDOXIN OXIDOREDUCTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(86338, NULL, 'PTHR12127:SF20', NULL, NULL, NULL, NULL, 'MUCOLIPIN 1.2', NULL, NULL, NULL, 15),
(86339, NULL, 'PTHR30252:SF4', NULL, NULL, NULL, NULL, 'CARBON STARVATION-RELATED', NULL, NULL, NULL, 15),
(86340, NULL, 'PTHR23359:SF68', NULL, NULL, NULL, NULL, 'GTP:AMP PHOSPHOTRANSFERASE AK3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(86341, NULL, 'PTHR14356:SF3', NULL, NULL, NULL, NULL, 'INTERLEUKIN-15', NULL, NULL, NULL, 15),
(86342, NULL, 'PTHR11909:SF78', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE VRK1', NULL, NULL, NULL, 15),
(86343, NULL, 'PTHR45622:SF24', NULL, NULL, NULL, NULL, 'RCC1 DOMAIN-CONTAINING PROTEIN DDB_G0295713', NULL, NULL, NULL, 15),
(86344, NULL, 'PTHR27001:SF510', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 6', NULL, NULL, NULL, 15),
(86345, NULL, 'PTHR24012:SF804', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN BRN1-LIKE', NULL, NULL, NULL, 15),
(86346, NULL, 'PTHR31447:SF16', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, 2OG-FE(II) OXYGENASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(86347, NULL, 'PTHR15478:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86348, NULL, 'PTHR13239:SF4', NULL, NULL, NULL, NULL, 'AT25231P', NULL, NULL, NULL, 15),
(86349, NULL, 'PTHR10502:SF179', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(86350, NULL, 'PTHR11615:SF300', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(86351, NULL, 'PTHR46129:SF4', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-16', NULL, NULL, 23693, 15),
(86352, NULL, 'PTHR33165:SF50', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(86353, NULL, 'PTHR18763', NULL, NULL, NULL, NULL, 'WD-REPEAT PROTEIN 18', NULL, NULL, 39419, 15),
(86354, NULL, 'PTHR31707:SF285', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(86355, NULL, 'PTHR33222:SF26', NULL, NULL, NULL, NULL, 'OS08G0430600 PROTEIN', NULL, NULL, NULL, 15),
(86356, NULL, 'PTHR42799:SF25', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE A1', NULL, NULL, NULL, 15),
(86357, NULL, 'PTHR47159', NULL, NULL, NULL, NULL, 'PROTEIN CBG07705-RELATED', NULL, NULL, NULL, 15),
(86358, NULL, 'PTHR14063:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86359, NULL, 'PTHR10683:SF36', NULL, NULL, NULL, NULL, 'TRANSALDOLASE', NULL, NULL, NULL, 15),
(86360, NULL, 'PTHR24026:SF106', NULL, NULL, NULL, NULL, 'CADHERIN 74A, ISOFORM A', NULL, NULL, NULL, 15),
(86361, NULL, 'PTHR11037:SF11', NULL, NULL, NULL, NULL, 'ALPHA-GLOBIN TRANSCRIPTION FACTOR CP2', NULL, NULL, NULL, 15),
(86362, NULL, 'PTHR40055:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR YGIV-RELATED', NULL, NULL, NULL, 15),
(86363, NULL, 'PTHR36344:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86364, NULL, 'PTHR23389:SF6', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C SUBUNIT 1', NULL, NULL, NULL, 15),
(86365, NULL, 'PTHR11188:SF62', NULL, NULL, NULL, NULL, 'ARRESTIN-RELATED TRAFFICKING ADAPTER 5', NULL, NULL, NULL, 15),
(86366, NULL, 'PTHR42712:SF2', NULL, NULL, NULL, NULL, 'NITRIC OXIDE REDUCTASE SUBUNIT B', NULL, NULL, NULL, 15),
(86367, NULL, 'PTHR14003:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR YY2', NULL, NULL, NULL, 15),
(86368, NULL, 'PTHR10672:SF25', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 14 PROTEIN', NULL, NULL, NULL, 15),
(86369, NULL, 'PTHR10766:SF145', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86370, NULL, 'PTHR47969:SF6', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-4C', NULL, NULL, NULL, 15),
(86371, NULL, 'PTHR11926:SF1133', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE IRIDOID GLUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(86372, NULL, 'PTHR32241:SF17', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(86373, NULL, 'PTHR21529:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86374, NULL, 'PTHR21419:SF23', NULL, NULL, NULL, NULL, 'PROTEIN DEFECTIVE IN EXINE FORMATION 1', NULL, NULL, NULL, 15),
(86375, NULL, 'PTHR31758', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN YLR108C', NULL, NULL, NULL, 15),
(86376, NULL, 'PTHR45707:SF31', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(86377, NULL, 'PTHR21066:SF9', NULL, NULL, NULL, NULL, 'ODORANT-BINDING PROTEIN 59A', NULL, NULL, NULL, 15),
(86378, NULL, 'PTHR34755:SF1', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 4', NULL, NULL, NULL, 15),
(86379, NULL, 'PTHR23003:SF3', NULL, NULL, NULL, NULL, 'FI21236P1', NULL, NULL, NULL, 15),
(86380, NULL, 'PTHR11673:SF34', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-1', NULL, NULL, NULL, 15),
(86381, NULL, 'PTHR11851:SF190', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(86382, NULL, 'PTHR33044:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86383, NULL, 'PTHR22957:SF594', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86384, NULL, 'PTHR46050', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING THIOREDOXIN', NULL, NULL, 37037, 15),
(86385, NULL, 'PTHR11119:SF94', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 10-RELATED', NULL, NULL, NULL, 15),
(86386, NULL, 'PTHR31500:SF64', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 12-RELATED', NULL, NULL, NULL, 15),
(86387, NULL, 'PTHR22891:SF134', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 4B-LIKE', NULL, NULL, NULL, 15),
(86388, NULL, 'PTHR12902:SF27', NULL, NULL, NULL, NULL, 'PROTEIN SCAR3', NULL, NULL, NULL, 15),
(86389, NULL, 'PTHR10996:SF235', NULL, NULL, NULL, NULL, 'D-GLYCERATE DEHYDROGENASE/HYDROXYPYRUVATE REDUCTASE', NULL, NULL, NULL, 15),
(86390, NULL, 'PTHR35774', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN M', NULL, NULL, 2131, 15),
(86391, NULL, 'PTHR10159:SF516', NULL, NULL, NULL, NULL, 'SI:CH211-195B15.8', NULL, NULL, NULL, 15),
(86392, NULL, 'PTHR24350:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86393, NULL, 'PTHR35705', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING TAIL-ANCHORED PROTEIN 1', NULL, NULL, 36337, 15),
(86394, NULL, 'PTHR45643', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE', NULL, NULL, NULL, 15),
(86395, NULL, 'PTHR48018:SF147', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5M3', NULL, NULL, NULL, 15),
(86396, NULL, 'PTHR12265:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86397, NULL, 'PTHR45717:SF3', NULL, NULL, NULL, NULL, 'OSJNBB0038F03.9 PROTEIN', NULL, NULL, NULL, 15),
(86398, NULL, 'PTHR24095:SF110', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE 2-LIKE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(86399, NULL, 'PTHR23113:SF99', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 5', NULL, NULL, NULL, 15),
(86400, NULL, 'PTHR24082:SF482', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR', NULL, NULL, NULL, 15),
(86401, NULL, 'PTHR12458', NULL, NULL, NULL, NULL, 'ORF PROTEIN', NULL, NULL, 14761, 15),
(86402, NULL, 'PTHR47993:SF93', NULL, NULL, NULL, NULL, 'OSJNBB0026E15.3 PROTEIN', NULL, NULL, NULL, 15),
(86403, NULL, 'PTHR11615:SF236', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4C1', NULL, NULL, NULL, 15),
(86404, NULL, 'PTHR20961:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(86405, NULL, 'PTHR31741:SF20', NULL, NULL, NULL, NULL, 'OS05G0451900 PROTEIN', NULL, NULL, NULL, 15),
(86406, NULL, 'PTHR43903:SF21', NULL, NULL, NULL, NULL, 'NEUROLIGIN 3, ISOFORM B', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86407, NULL, 'PTHR48046:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(86408, NULL, 'PTHR45717:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86409, NULL, 'PTHR45968:SF12', NULL, NULL, NULL, NULL, 'BNAC09G28180D PROTEIN', NULL, NULL, NULL, 15),
(86410, NULL, 'PTHR46247:SF4', NULL, NULL, NULL, NULL, 'CRS2-ASSOCIATED FACTOR 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(86411, NULL, 'PTHR31989:SF212', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 86-LIKE', NULL, NULL, NULL, 15),
(86412, NULL, 'PTHR10202:SF13', NULL, NULL, NULL, NULL, 'PRESENILIN HOMOLOG', NULL, NULL, NULL, 15),
(86413, NULL, 'PTHR22989:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG11400', NULL, NULL, NULL, 15),
(86414, NULL, 'PTHR38924:SF2', NULL, NULL, NULL, NULL, 'ASPARAGINE AND ASPARTATE RICH PROTEIN 1', NULL, NULL, NULL, 15),
(86415, NULL, 'PTHR44535', NULL, NULL, NULL, NULL, 'PROTEIN CBG16200', NULL, NULL, NULL, 15),
(86416, NULL, 'PTHR10662:SF22', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(86417, NULL, 'PTHR32071:SF58', NULL, NULL, NULL, NULL, 'PTS-DEPENDENT DIHYDROXYACETONE KINASE OPERON REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(86418, NULL, 'PTHR34253:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86419, NULL, 'PTHR14224:SF76', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 19', NULL, NULL, NULL, 15),
(86420, NULL, 'PTHR13318:SF154', NULL, NULL, NULL, NULL, 'F-BOX SKP2A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(86421, NULL, 'PTHR47546:SF4', NULL, NULL, NULL, NULL, 'BNAC02G46590D PROTEIN', NULL, NULL, NULL, 15),
(86422, NULL, 'PTHR47133:SF1', NULL, NULL, NULL, NULL, 'TALIN ROD DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(86423, NULL, 'PTHR24177:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86424, NULL, 'PTHR21136:SF205', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(86425, NULL, 'PTHR11515:SF11', NULL, NULL, NULL, NULL, 'LUTROPIN SUBUNIT BETA', NULL, NULL, NULL, 15),
(86426, NULL, 'PTHR31391:SF83', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86427, NULL, 'PTHR31814:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOMEVALONATE KINASE', NULL, NULL, NULL, 15),
(86428, NULL, 'PTHR10856', NULL, NULL, NULL, NULL, 'CORONIN', NULL, NULL, 8157, 15),
(86429, NULL, 'PTHR13301:SF207', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE, NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(86430, NULL, 'PTHR48004:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86431, NULL, 'PTHR23021:SF24', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(86432, NULL, 'PTHR31282:SF133', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86433, NULL, 'PTHR12482:SF11', NULL, NULL, NULL, NULL, 'HYDROLASE-LIKE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(86434, NULL, 'PTHR12307:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3A', NULL, NULL, NULL, 15),
(86435, NULL, 'PTHR10891:SF856', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(86436, NULL, 'PTHR11764:SF20', NULL, NULL, NULL, NULL, 'LANOSTEROL SYNTHASE', NULL, NULL, NULL, 15),
(86437, NULL, 'PTHR12011:SF277', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR G4', NULL, NULL, NULL, 15),
(86438, NULL, 'PTHR34805', NULL, NULL, NULL, NULL, 'PROTEIN MODIFIER OF SNC1 1', NULL, NULL, 34632, 15),
(86439, NULL, 'PTHR31845:SF21', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN LEU3', NULL, NULL, NULL, 15),
(86440, NULL, 'PTHR31314:SF125', NULL, NULL, NULL, NULL, 'PROTEIN PHR1-LIKE 1', NULL, NULL, NULL, 15),
(86441, NULL, 'PTHR24343:SF331', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CHK1', NULL, NULL, NULL, 15),
(86442, NULL, 'PTHR15727', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 214', NULL, NULL, NULL, 15),
(86443, NULL, 'PTHR19346', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 24091, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86444, NULL, 'PTHR31881:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86445, NULL, 'PTHR47990:SF119', NULL, NULL, NULL, NULL, 'BNAC09G14250D PROTEIN', NULL, NULL, NULL, 15),
(86446, NULL, 'PTHR33800:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86447, NULL, 'PTHR23271', NULL, NULL, NULL, NULL, 'HEPATOCELLULAR CARCINOMA-ASSOCIATED ANTIGEN 66', NULL, NULL, 8106, 15),
(86448, NULL, 'PTHR22696', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF26', NULL, NULL, NULL, 15),
(86449, NULL, 'PTHR10612:SF14', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN DA, DUPLICATE 1', NULL, NULL, NULL, 15),
(86450, NULL, 'PTHR34855', NULL, NULL, NULL, NULL, 'TRICHOHYALIN', NULL, NULL, 31659, 15),
(86451, NULL, 'PTHR23234:SF3', NULL, NULL, NULL, NULL, 'RIKEN CDNA 3300002I08-RELATED', NULL, NULL, NULL, 15),
(86452, NULL, 'PTHR37450:SF1', NULL, NULL, NULL, NULL, 'CIPC PROTEIN', NULL, NULL, NULL, 15),
(86453, NULL, 'PTHR31549:SF212', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(86454, NULL, 'PTHR13691:SF51', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(86455, NULL, 'PTHR33091:SF94', NULL, NULL, NULL, NULL, 'INHIBITOR OF TRYPSIN AND HAGEMAN FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(86456, NULL, 'PTHR27007:SF158', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', NULL, NULL, NULL, 15),
(86457, NULL, 'PTHR31388:SF159', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(86458, NULL, 'PTHR24067:SF299', NULL, NULL, NULL, NULL, 'ENZYME E2 G, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86459, NULL, 'PTHR23282:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86460, NULL, 'PTHR31717:SF98', NULL, NULL, NULL, NULL, 'BNAC05G03370D PROTEIN', NULL, NULL, NULL, 15),
(86461, NULL, 'PTHR13902:SF46', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK1', NULL, NULL, NULL, 15),
(86462, NULL, 'PTHR36234', NULL, NULL, NULL, NULL, 'LYSYL ENDOPEPTIDASE', NULL, NULL, NULL, 15),
(86463, NULL, 'PTHR22953:SF126', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(86464, NULL, 'PTHR22989:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG12883', NULL, NULL, NULL, 15),
(86465, NULL, 'PTHR12888', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY PROTEIN 12  PEROXIN-12', NULL, NULL, 17755, 15),
(86466, NULL, 'PTHR13690:SF116', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(86467, NULL, 'PTHR34223:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86468, NULL, 'PTHR21234:SF42', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(86469, NULL, 'PTHR23257:SF784', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0280461-RELATED', NULL, NULL, NULL, 15),
(86470, NULL, 'PTHR22951:SF95', NULL, NULL, NULL, NULL, 'BNAA08G28150D PROTEIN', NULL, NULL, NULL, 15),
(86471, NULL, 'PTHR26453:SF310', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(86472, NULL, 'PTHR11431:SF37', NULL, NULL, NULL, NULL, 'FERRITIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(86473, NULL, 'PTHR32153:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86474, NULL, 'PTHR11699:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86475, NULL, 'PTHR11206:SF364', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(86476, NULL, 'PTHR48040:SF14', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3', NULL, NULL, NULL, 15),
(86477, NULL, 'PTHR31304:SF40', NULL, NULL, NULL, NULL, 'BNAA03G54090D PROTEIN', NULL, NULL, NULL, 15),
(86478, NULL, 'PTHR36487:SF3', NULL, NULL, NULL, NULL, 'OS09G0296500 PROTEIN', NULL, NULL, NULL, 15),
(86479, NULL, 'PTHR46872:SF12', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(86480, NULL, 'PTHR42647:SF44', NULL, NULL, NULL, NULL, 'BNAANNG07190D PROTEIN', NULL, NULL, NULL, 15),
(86481, NULL, 'PTHR44140:SF3', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 3', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86482, NULL, 'PTHR14296:SF3', NULL, NULL, NULL, NULL, 'REMODELING AND SPACING FACTOR 1', NULL, NULL, NULL, 15),
(86483, NULL, 'PTHR10290:SF15', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE I', NULL, NULL, NULL, 15),
(86484, NULL, 'PTHR45950:SF7', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-14', NULL, NULL, NULL, 15),
(86485, NULL, 'PTHR23257:SF870', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86486, NULL, 'PTHR47237:SF2', NULL, NULL, NULL, NULL, 'BLL4206 PROTEIN', NULL, NULL, NULL, 15),
(86487, NULL, 'PTHR34536:SF4', NULL, NULL, NULL, NULL, 'BNAC09G43500D PROTEIN', NULL, NULL, NULL, 15),
(86488, NULL, 'PTHR11909:SF402', NULL, NULL, NULL, NULL, 'BNAA03G58940D PROTEIN', NULL, NULL, NULL, 15),
(86489, NULL, 'PTHR31734:SF95', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA3', NULL, NULL, NULL, 15),
(86490, NULL, 'PTHR37611:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86491, NULL, 'PTHR47979:SF27', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RIC2', NULL, NULL, NULL, 15),
(86492, NULL, 'PTHR11945:SF615', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, MADS-BOX-RELATED', NULL, NULL, NULL, 15),
(86493, NULL, 'PTHR31997:SF1', NULL, NULL, NULL, NULL, 'AGAP003710-PA', NULL, NULL, NULL, 15),
(86494, NULL, 'PTHR31881:SF9', NULL, NULL, NULL, NULL, 'OS08G0521000 PROTEIN', NULL, NULL, NULL, 15),
(86495, NULL, 'PTHR26452:SF257', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(86496, NULL, 'PTHR22811:SF153', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA3', NULL, NULL, NULL, 15),
(86497, NULL, 'PTHR33128:SF55', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF 3339)-RELATED', NULL, NULL, NULL, 15),
(86498, NULL, 'PTHR39234', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 210', NULL, NULL, 27201, 15),
(86499, NULL, 'PTHR15190', NULL, NULL, NULL, NULL, 'BONE MARROW STROMAL ANTIGEN 2', NULL, NULL, 29037, 15),
(86500, NULL, 'PTHR48108:SF8', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(86501, NULL, 'PTHR23279:SF41', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 4-RELATED', NULL, NULL, NULL, 15),
(86502, NULL, 'PTHR21593:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG18497', NULL, NULL, NULL, 15),
(86503, NULL, 'PTHR15116:SF16', NULL, NULL, NULL, NULL, 'DEFECTIVE PROVENTRICULUS, ISOFORM A', NULL, NULL, NULL, 15),
(86504, NULL, 'PTHR30433:SF3', NULL, NULL, NULL, NULL, 'MOTILITY PROTEIN A', NULL, NULL, NULL, 15),
(86505, NULL, 'PTHR12294:SF25', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND PROTEIN', NULL, NULL, NULL, 15),
(86506, NULL, 'PTHR48004:SF45', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(86507, NULL, 'PTHR24055:SF443', NULL, NULL, NULL, NULL, 'SI:CH211-220I18.4', NULL, NULL, NULL, 15),
(86508, NULL, 'PTHR11005:SF99', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE 2', NULL, NULL, NULL, 15),
(86509, NULL, 'PTHR11616:SF269', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(86510, NULL, 'PTHR31276:SF17', NULL, NULL, NULL, NULL, 'BNAANNG04830D PROTEIN', NULL, NULL, NULL, 15),
(86511, NULL, 'PTHR37613', NULL, NULL, NULL, NULL, 'DUF4378 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(86512, NULL, 'PTHR10543:SF119', NULL, NULL, NULL, NULL, 'BNAC01G36910D PROTEIN', NULL, NULL, NULL, 15),
(86513, NULL, 'PTHR33228:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86514, NULL, 'PTHR15492', NULL, NULL, NULL, NULL, 'CYCLIN D1-BINDING PROTEIN 1', NULL, NULL, 28582, 15),
(86515, NULL, 'PTHR42966:SF1', NULL, NULL, NULL, NULL, 'SIALIC ACID SYNTHASE', NULL, NULL, NULL, 15),
(86516, NULL, 'PTHR38627', NULL, NULL, NULL, NULL, 'GA BINDING AND ACTIVATING AND SPK (SPK) DOMAIN CONTAINING-RELATED', NULL, NULL, NULL, 15),
(86517, NULL, 'PTHR23111:SF83', NULL, NULL, NULL, NULL, 'ZINC FINGER, RANBP2-TYPE-RELATED', NULL, NULL, NULL, 15),
(86518, NULL, 'PTHR21727:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86519, NULL, 'PTHR33524:SF1', NULL, NULL, NULL, NULL, 'C5ORF35', NULL, NULL, NULL, 15),
(86520, NULL, 'PTHR11586', NULL, NULL, NULL, NULL, 'TRNA-AMINOACYLATION COFACTOR ARC1 FAMILY MEMBER', NULL, NULL, NULL, 15),
(86521, NULL, 'PTHR10786:SF0', NULL, NULL, NULL, NULL, 'CHOLECYSTOKININ', NULL, NULL, NULL, 15),
(86522, NULL, 'PTHR10738:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(86523, NULL, 'PTHR10585:SF82', NULL, NULL, NULL, NULL, 'BNAA09G43350D PROTEIN', NULL, NULL, NULL, 15),
(86524, NULL, 'PTHR13815:SF8', NULL, NULL, NULL, NULL, 'GOLGIN CANDIDATE 2-LIKE', NULL, NULL, NULL, 15),
(86525, NULL, 'PTHR31947:SF36', NULL, NULL, NULL, NULL, 'OS06G0602600 PROTEIN', NULL, NULL, NULL, 15),
(86526, NULL, 'PTHR18861:SF1', NULL, NULL, NULL, NULL, 'ELKS/RAB6-INTERACTING/CAST FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(86527, NULL, 'PTHR19143:SF263', NULL, NULL, NULL, NULL, 'FIBRINOGEN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(86528, NULL, 'PTHR30294:SF38', NULL, NULL, NULL, NULL, 'LINEARMYCIN RESISTANCE PERMEASE PROTEIN LNRN', NULL, NULL, NULL, 15),
(86529, NULL, 'PTHR31867:SF187', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(86530, NULL, 'PTHR24224:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(86531, NULL, 'PTHR21588', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN CONTAINING 6', NULL, NULL, NULL, 15),
(86532, NULL, 'PTHR36025', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE (DUF3598)', NULL, NULL, NULL, 15),
(86533, NULL, 'PTHR21382', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE SUBUNIT', NULL, NULL, 35761, 15),
(86534, NULL, 'PTHR36886:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FRIGIDA-ESSENTIAL 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(86535, NULL, 'PTHR47273:SF10', NULL, NULL, NULL, NULL, 'BNAA06G35370D PROTEIN', NULL, NULL, NULL, 15),
(86536, NULL, 'PTHR31645:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86537, NULL, 'PTHR46825:SF7', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE-CARBOXYPEPTIDASE/ENDOPEPTIDASE AMPH', NULL, NULL, NULL, 15),
(86538, NULL, 'PTHR10907:SF47', NULL, NULL, NULL, NULL, 'REGUCALCIN', NULL, NULL, NULL, 15),
(86539, NULL, 'PTHR31388:SF206', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(86540, NULL, 'PTHR24121', NULL, NULL, NULL, NULL, 'NO MECHANORECEPTOR POTENTIAL C, ISOFORM D-RELATED', NULL, NULL, NULL, 15),
(86541, NULL, 'PTHR24281:SF108', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE', NULL, NULL, NULL, 15),
(86542, NULL, 'PTHR36843', NULL, NULL, NULL, NULL, 'HEME-DEPENDENT PEROXIDASE YWFI-RELATED', NULL, NULL, 9070, 15),
(86543, NULL, 'PTHR13678', NULL, NULL, NULL, NULL, 'WILLIAMS-BEUREN SYNDROME CRITICAL REGION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(86544, NULL, 'PTHR23077:SF163', NULL, NULL, NULL, NULL, 'OS10G0442600 PROTEIN', NULL, NULL, NULL, 15),
(86545, NULL, 'PTHR14430:SF2', NULL, NULL, NULL, NULL, 'RAB-3A-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(86546, NULL, 'PTHR22596:SF4', NULL, NULL, NULL, NULL, 'TRYPSIN-LIKE PROTEASE', NULL, NULL, NULL, 15),
(86547, NULL, 'PTHR45849:SF2', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SSRP1-B', NULL, NULL, NULL, 15),
(86548, NULL, 'PTHR12537:SF154', NULL, NULL, NULL, NULL, 'OS01G0971900 PROTEIN', NULL, NULL, NULL, 15),
(86549, NULL, 'PTHR24031:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX55', NULL, NULL, NULL, 15),
(86550, NULL, 'PTHR45756:SF1', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(86551, NULL, 'PTHR31213:SF111', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR 4', NULL, NULL, NULL, 15),
(86552, NULL, 'PTHR11122', NULL, NULL, NULL, NULL, 'APOSPORY-ASSOCIATED PROTEIN C-RELATED', NULL, NULL, NULL, 15),
(86553, NULL, 'PTHR12745:SF12', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TUMORIGENICITY 7 PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(86554, NULL, 'PTHR14233', NULL, NULL, NULL, NULL, 'DUF914-RELATED', NULL, NULL, NULL, 15),
(86555, NULL, 'PTHR12320:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE PTC7 HOMOLOG', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86556, NULL, 'PTHR33265:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86557, NULL, 'PTHR46534:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86558, NULL, 'PTHR22298:SF137', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(86559, NULL, 'PTHR31218:SF22', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2B', NULL, NULL, NULL, 15),
(86560, NULL, 'PTHR45730:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86561, NULL, 'PTHR44575:SF9', NULL, NULL, NULL, NULL, 'BNAANNG18260D PROTEIN', NULL, NULL, NULL, 15),
(86562, NULL, 'PTHR32289:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM167B', NULL, NULL, NULL, 15),
(86563, NULL, 'PTHR12386:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86564, NULL, 'PTHR11849:SF289', NULL, NULL, NULL, NULL, 'ETS-LIKE PROTEIN POINTED', NULL, NULL, NULL, 15),
(86565, NULL, 'PTHR20856:SF5', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA2', NULL, NULL, NULL, 15),
(86566, NULL, 'PTHR33065:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86567, NULL, 'PTHR32465', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 2 PROTEIN', NULL, NULL, 19549, 15),
(86568, NULL, 'PTHR48004:SF28', NULL, NULL, NULL, NULL, 'INACTIVE LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BIR2', NULL, NULL, NULL, 15),
(86569, NULL, 'PTHR37162:SF3', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86570, NULL, 'PTHR12620:SF40', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF SMALL SUBUNIT B', NULL, NULL, NULL, 15),
(86571, NULL, 'PTHR35864:SF1', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE MJ0611-RELATED', NULL, NULL, NULL, 15),
(86572, NULL, 'PTHR13723:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86573, NULL, 'PTHR11361:SF21', NULL, NULL, NULL, NULL, 'MUTS PROTEIN HOMOLOG 4', NULL, NULL, NULL, 15),
(86574, NULL, 'PTHR23389', NULL, NULL, NULL, NULL, 'CHROMOSOME TRANSMISSION FIDELITY FACTOR 18', NULL, NULL, NULL, 15),
(86575, NULL, 'PTHR11309:SF11', NULL, NULL, NULL, NULL, 'SIZZLED', NULL, NULL, NULL, 15),
(86576, NULL, 'PTHR31929:SF67', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(86577, NULL, 'PTHR10484:SF182', NULL, NULL, NULL, NULL, 'HISTONE H4', NULL, NULL, NULL, 15),
(86578, NULL, 'PTHR11458:SF0', NULL, NULL, NULL, NULL, 'DELTA-AMINOLEVULINIC ACID DEHYDRATASE', NULL, NULL, NULL, 15),
(86579, NULL, 'PTHR30289:SF12', NULL, NULL, NULL, NULL, 'UPF0098 PROTEIN YBHB', NULL, NULL, NULL, 15),
(86580, NULL, 'PTHR11715:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86581, NULL, 'PTHR16083:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND CALPONIN HOMOLOGY DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(86582, NULL, 'PTHR24286:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86583, NULL, 'PTHR12411:SF798', NULL, NULL, NULL, NULL, 'OS09G0497500 PROTEIN', NULL, NULL, NULL, 15),
(86584, NULL, 'PTHR12243:SF34', NULL, NULL, NULL, NULL, 'MADF DOMAIN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(86585, NULL, 'PTHR48061:SF23', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(86586, NULL, 'PTHR32448:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86587, NULL, 'PTHR23522:SF9', NULL, NULL, NULL, NULL, 'XANTHOSINE PERMEASE', NULL, NULL, NULL, 15),
(86588, NULL, 'PTHR31190:SF269', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', NULL, NULL, NULL, 15),
(86589, NULL, 'PTHR23252:SF24', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 145', NULL, NULL, NULL, 15),
(86590, NULL, 'PTHR12202', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 30647, 15),
(86591, NULL, 'PTHR24073:SF952', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(86592, NULL, 'PTHR11426:SF229', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86593, NULL, 'PTHR24015:SF908', NULL, NULL, NULL, NULL, 'OS10G0540100 PROTEIN', NULL, NULL, NULL, 15),
(86594, NULL, 'PTHR34303:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86595, NULL, 'PTHR10292:SF23', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN 1-RELATED', NULL, NULL, NULL, 15),
(86596, NULL, 'PTHR45826:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86597, NULL, 'PTHR31044:SF79', NULL, NULL, NULL, NULL, 'BETA-1,3 GLUCANASE', NULL, NULL, NULL, 15),
(86598, NULL, 'PTHR42694:SF1', NULL, NULL, NULL, NULL, 'BLL7601 PROTEIN', NULL, NULL, NULL, 15),
(86599, NULL, 'PTHR43791:SF86', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86600, NULL, 'PTHR13817:SF138', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE B-RELATED', NULL, NULL, NULL, 15),
(86601, NULL, 'PTHR35394:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86602, NULL, 'PTHR33281:SF17', NULL, NULL, NULL, NULL, 'BNAA09G39100D PROTEIN', NULL, NULL, NULL, 15),
(86603, NULL, 'PTHR13140:SF761', NULL, NULL, NULL, NULL, 'MYOSIN-7', NULL, NULL, NULL, 15),
(86604, NULL, 'PTHR19256:SF50', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR GAMMA VARIABLE 2-RELATED', NULL, NULL, NULL, 15),
(86605, NULL, 'PTHR12385:SF14', NULL, NULL, NULL, NULL, 'CTL-LIKE PROTEIN DDB_G0288717', NULL, NULL, NULL, 15),
(86606, NULL, 'PTHR15141:SF49', NULL, NULL, NULL, NULL, 'ELONGIN A,-LIKE', NULL, NULL, NULL, 15),
(86607, NULL, 'PTHR45768:SF20', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3-LIKE', NULL, NULL, NULL, 15),
(86608, NULL, 'PTHR31681:SF61', NULL, NULL, NULL, NULL, 'BNAA09G17810D PROTEIN', NULL, NULL, NULL, 15),
(86609, NULL, 'PTHR47424:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ASQA', NULL, NULL, NULL, 15),
(86610, NULL, 'PTHR45637:SF49', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL2-LIKE', NULL, NULL, NULL, 15),
(86611, NULL, 'PTHR42280', NULL, NULL, NULL, NULL, 'CITG FAMILY PROTEIN', NULL, NULL, NULL, 15),
(86612, NULL, 'PTHR31719:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86613, NULL, 'PTHR24377:SF811', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 93', NULL, NULL, NULL, 15),
(86614, NULL, 'PTHR26453:SF220', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 699', NULL, NULL, NULL, 15),
(86615, NULL, 'PTHR45768:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86616, NULL, 'PTHR47886:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-11', NULL, NULL, NULL, 15),
(86617, NULL, 'PTHR11863:SF126', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(86618, NULL, 'PTHR43643:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(86619, NULL, 'PTHR23500:SF556', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN MST6', NULL, NULL, NULL, 15),
(86620, NULL, 'PTHR12439:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86621, NULL, 'PTHR34132:SF7', NULL, NULL, NULL, NULL, 'BNAC09G39690D PROTEIN', NULL, NULL, NULL, 15),
(86622, NULL, 'PTHR43314:SF15', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE, ROOT ISOZYME 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(86623, NULL, 'PTHR33630:SF1', NULL, NULL, NULL, NULL, 'AXE2', NULL, NULL, NULL, 15),
(86624, NULL, 'PTHR12386:SF35', NULL, NULL, NULL, NULL, 'ATPASE, F0 COMPLEX, SUBUNIT G-RELATED', NULL, NULL, NULL, 15),
(86625, NULL, 'PTHR36479:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86626, NULL, 'PTHR23511:SF26', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE GLYCOPROTEIN 2B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(86627, NULL, 'PTHR43900:SF53', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 6', NULL, NULL, NULL, 15),
(86628, NULL, 'PTHR23070:SF141', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86629, NULL, 'PTHR11475:SF67', NULL, NULL, NULL, NULL, 'LACTOPEROXIDASE', NULL, NULL, 26863, 15),
(86630, NULL, 'PTHR31642:SF172', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86631, NULL, 'PTHR43725:SF3', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE (EUROFUNG)', NULL, NULL, NULL, 15),
(86632, NULL, 'PTHR45376:SF5', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(86633, NULL, 'PTHR11850:SF57', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN 9', NULL, NULL, NULL, 15),
(86634, NULL, 'PTHR44500', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 12', NULL, NULL, 27545, 15),
(86635, NULL, 'PTHR31589:SF169', NULL, NULL, NULL, NULL, 'NEP-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(86636, NULL, 'PTHR11829:SF361', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN D2', NULL, NULL, NULL, 15),
(86637, NULL, 'PTHR33107:SF64', NULL, NULL, NULL, NULL, 'BNAA02G35870D PROTEIN', NULL, NULL, NULL, 15),
(86638, NULL, 'PTHR10314:SF202', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(86639, NULL, 'PTHR31246:SF13', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-4', NULL, NULL, NULL, 15),
(86640, NULL, 'PTHR37610:SF50', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', NULL, NULL, NULL, 15),
(86641, NULL, 'PTHR23023:SF270', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(86642, NULL, 'PTHR11709:SF400', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(86643, NULL, 'PTHR13140:SF801', NULL, NULL, NULL, NULL, 'MYOSIN-1-RELATED', NULL, NULL, NULL, 15),
(86644, NULL, 'PTHR12526:SF594', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE BIOSYNTHESIS PROTEIN CAP5I, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86645, NULL, 'PTHR30537:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, LYSR FAMILY-RELATED', NULL, NULL, NULL, 15),
(86646, NULL, 'PTHR37237', NULL, NULL, NULL, NULL, 'OS02G0567000 PROTEIN', NULL, NULL, NULL, 15),
(86647, NULL, 'PTHR43620:SF28', NULL, NULL, NULL, NULL, 'BNAA02G07820D PROTEIN', NULL, NULL, NULL, 15),
(86648, NULL, 'PTHR31769:SF82', NULL, NULL, NULL, NULL, 'BNAC03G77320D PROTEIN', NULL, NULL, NULL, 15),
(86649, NULL, 'PTHR35161', NULL, NULL, NULL, NULL, 'OS02G0303100 PROTEIN', NULL, NULL, NULL, 15),
(86650, NULL, 'PTHR11394:SF73', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 41', NULL, NULL, NULL, 15),
(86651, NULL, 'PTHR24072:SF272', NULL, NULL, NULL, NULL, 'RHO-RELATED PROTEIN RACG', NULL, NULL, NULL, 15),
(86652, NULL, 'PTHR23349:SF3', NULL, NULL, NULL, NULL, 'HEART- AND NEURAL CREST DERIVATIVES-EXPRESSED PROTEIN 1', NULL, NULL, NULL, 15),
(86653, NULL, 'PTHR11409:SF44', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE 2B', NULL, NULL, NULL, 15),
(86654, NULL, 'PTHR35973:SF1', NULL, NULL, NULL, NULL, 'MAPK-INTERACTING AND SPINDLE-STABILIZING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(86655, NULL, 'PTHR22550:SF16', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN', NULL, NULL, NULL, 15),
(86656, NULL, 'PTHR31895:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG03177', NULL, NULL, NULL, 15),
(86657, NULL, 'PTHR12276', NULL, NULL, NULL, NULL, 'EPSIN/ENT-RELATED', NULL, NULL, NULL, 15),
(86658, NULL, 'PTHR23349:SF73', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 24', NULL, NULL, NULL, 15),
(86659, NULL, 'PTHR32440:SF26', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE, METALLO-DEPENDENT PHOSPHATASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(86660, NULL, 'PTHR13110:SF9', NULL, NULL, NULL, NULL, 'SM-LIKE PROTEIN LSM3A', NULL, NULL, NULL, 15),
(86661, NULL, 'PTHR10063', NULL, NULL, NULL, NULL, 'TUBERIN', NULL, NULL, 26449, 15),
(86662, NULL, 'PTHR23160:SF14', NULL, NULL, NULL, NULL, 'WEB FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(86663, NULL, 'PTHR22761:SF17', NULL, NULL, NULL, NULL, 'OS01G0102950 PROTEIN', NULL, NULL, NULL, 15),
(86664, NULL, 'PTHR33130:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86665, NULL, 'PTHR23510:SF62', NULL, NULL, NULL, NULL, 'BNAA09G53000D PROTEIN', NULL, NULL, NULL, 15),
(86666, NULL, 'PTHR34630:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86667, NULL, 'PTHR11360', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86668, NULL, 'PTHR32096:SF18', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 14-RELATED', NULL, NULL, NULL, 15),
(86669, NULL, 'PTHR11653:SF4', NULL, NULL, NULL, NULL, 'ONCOMODULIN-2-RELATED', NULL, NULL, NULL, 15),
(86670, NULL, 'PTHR24381:SF295', NULL, NULL, NULL, NULL, 'AA987161 PROTEIN', NULL, NULL, NULL, 15),
(86671, NULL, 'PTHR10031:SF30', NULL, NULL, NULL, NULL, 'ATP SYNTHASE F(0) COMPLEX SUBUNIT C3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(86672, NULL, 'PTHR24126:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT, PH AND SEC7 DOMAIN CONTAINING PROTEIN SECG-RELATED', NULL, NULL, NULL, 15),
(86673, NULL, 'PTHR11804:SF45', NULL, NULL, NULL, NULL, 'SIMILAR TO OLIGOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(86674, NULL, 'PTHR42695:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86675, NULL, 'PTHR35493:SF2', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR SUBSTRATE 15 HOMOLOG', NULL, NULL, NULL, 15),
(86676, NULL, 'PTHR33144:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86677, NULL, 'PTHR15837:SF4', NULL, NULL, NULL, NULL, 'BNAA07G24140D PROTEIN', NULL, NULL, NULL, 15),
(86678, NULL, 'PTHR46265:SF14', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 7-LIKE', NULL, NULL, NULL, 15),
(86679, NULL, 'PTHR26379:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86680, NULL, 'PTHR42663:SF13', NULL, NULL, NULL, NULL, 'BNAUNNG04980D PROTEIN', NULL, NULL, NULL, 15),
(86681, NULL, 'PTHR24286:SF226', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(86682, NULL, 'PTHR32089:SF33', NULL, NULL, NULL, NULL, 'TOXIN COREGULATED PILUS BIOSYNTHESIS PROTEIN I', NULL, NULL, NULL, 15),
(86683, NULL, 'PTHR31683:SF131', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(86684, NULL, 'PTHR22967:SF65', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AKL1', NULL, NULL, NULL, 15),
(86685, NULL, 'PTHR35114:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME OXIDASE COMPLEX ASSEMBLY PROTEIN', NULL, NULL, NULL, 15),
(86686, NULL, 'PTHR45714:SF36', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT4-LIKE', NULL, NULL, NULL, 15),
(86687, NULL, 'PTHR33065:SF151', NULL, NULL, NULL, NULL, 'OS11G0130700 PROTEIN', NULL, NULL, NULL, 15),
(86688, NULL, 'PTHR16983', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86689, NULL, 'PTHR39206:SF1', NULL, NULL, NULL, NULL, 'SLL8004 PROTEIN', NULL, NULL, NULL, 15),
(86690, NULL, 'PTHR45642:SF108', NULL, NULL, NULL, NULL, 'BNAC05G04820D PROTEIN', NULL, NULL, NULL, 15),
(86691, NULL, 'PTHR31048:SF137', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE/TRYPSIN INHIBITOR', NULL, NULL, NULL, 15),
(86692, NULL, 'PTHR12911:SF45', NULL, NULL, NULL, NULL, 'OS09G0471450 PROTEIN', NULL, NULL, NULL, 15),
(86693, NULL, 'PTHR33699:SF2', NULL, NULL, NULL, NULL, 'PATHOGENIC TYPE III EFFECTOR AVIRULENCE FACTOR AVR AVRRPT-CLEAVAGE: CLEAVAGE SITE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(86694, NULL, 'PTHR45839:SF26', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', NULL, NULL, NULL, 15),
(86695, NULL, 'PTHR24068:SF308', NULL, NULL, NULL, NULL, 'OSJNBA0043A12.6 PROTEIN', NULL, NULL, NULL, 15),
(86696, NULL, 'PTHR31235:SF280', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(86697, NULL, 'PTHR44873', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 30, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(86698, NULL, 'PTHR46413', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 6', NULL, NULL, 36990, 15),
(86699, NULL, 'PTHR24365:SF527', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 11', NULL, NULL, NULL, 15),
(86700, NULL, 'PTHR31889', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 2-RELATED', NULL, NULL, 1566, 15),
(86701, NULL, 'PTHR35282:SF10', NULL, NULL, NULL, NULL, 'BNAANNG37630D PROTEIN', NULL, NULL, NULL, 15),
(86702, NULL, 'PTHR32191:SF79', NULL, NULL, NULL, NULL, 'TETRASPANIN-11', NULL, NULL, NULL, 15),
(86703, NULL, 'PTHR11062:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86704, NULL, 'PTHR13333:SF7', NULL, NULL, NULL, NULL, 'SI:DKEY-82O10.4', NULL, NULL, NULL, 15),
(86705, NULL, 'PTHR45645:SF44', NULL, NULL, NULL, NULL, 'NEUROPILIN', NULL, NULL, NULL, 15),
(86706, NULL, 'PTHR47160:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG17457', NULL, NULL, NULL, 15),
(86707, NULL, 'PTHR10677', NULL, NULL, NULL, NULL, 'UBIQUILIN', NULL, NULL, NULL, 15),
(86708, NULL, 'PTHR46236:SF18', NULL, NULL, NULL, NULL, 'BNAC04G48300D PROTEIN', NULL, NULL, NULL, 15),
(86709, NULL, 'PTHR10332:SF78', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 5', NULL, NULL, NULL, 15),
(86710, NULL, 'PTHR24305:SF158', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE ASQL-RELATED', NULL, NULL, NULL, 15),
(86711, NULL, 'PTHR20883:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86712, NULL, 'PTHR33091:SF12', NULL, NULL, NULL, NULL, 'OS02G0124200 PROTEIN', NULL, NULL, NULL, 15),
(86713, NULL, 'PTHR33128:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86714, NULL, 'PTHR48100:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATASE SPAC513.02-RELATED', NULL, NULL, NULL, 15),
(86715, NULL, 'PTHR31989', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 82-RELATED', NULL, NULL, NULL, 15),
(86716, NULL, 'PTHR32419:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86717, NULL, 'PTHR12210', NULL, NULL, NULL, NULL, 'NUCLEAR LIM INTERACTOR-INTERACTING FACTOR-RELATED', NULL, NULL, NULL, 15),
(86718, NULL, 'PTHR12035:SF111', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 7', NULL, NULL, NULL, 15),
(86719, NULL, 'PTHR37394:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PARTING DANCERS', NULL, NULL, NULL, 15),
(86720, NULL, 'PTHR11987:SF36', NULL, NULL, NULL, NULL, 'SIA-ALPHA-2,3-GAL-BETA-1,4-GLCNAC-R:ALPHA 2,8-SIALYLTRANSFERASE', NULL, NULL, NULL, 15),
(86721, NULL, 'PTHR13137', NULL, NULL, NULL, NULL, 'DC11  ACN9 HOMOLOG', NULL, NULL, 7959, 15),
(86722, NULL, 'PTHR36310:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR16', NULL, NULL, NULL, 15),
(86723, NULL, 'PTHR11132:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86724, NULL, 'PTHR46806:SF1', NULL, NULL, NULL, NULL, 'DISCOIDIN, CUB AND LCCL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(86725, NULL, 'PTHR13780:SF138', NULL, NULL, NULL, NULL, 'BNAA06G16460D PROTEIN', NULL, NULL, NULL, 15),
(86726, NULL, 'PTHR47274:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86727, NULL, 'PTHR32198:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86728, NULL, 'PTHR12935', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 2909, 15),
(86729, NULL, 'PTHR33159:SF58', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(86730, NULL, 'PTHR33527:SF33', NULL, NULL, NULL, NULL, 'BNAA07G02990D PROTEIN', NULL, NULL, NULL, 15),
(86731, NULL, 'PTHR21660:SF32', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 13-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(86732, NULL, 'PTHR47049', NULL, NULL, NULL, NULL, 'PIEZO-TYPE MECHANOSENSITIVE ION CHANNEL HOMOLOG', NULL, NULL, NULL, 15),
(86733, NULL, 'PTHR43528:SF3', NULL, NULL, NULL, NULL, 'CITRATE-PROTON SYMPORTER', NULL, NULL, NULL, 15),
(86734, NULL, 'PTHR31066:SF61', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(86735, NULL, 'PTHR15336:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(86736, NULL, 'PTHR24089:SF706', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(86737, NULL, 'PTHR32141:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86738, NULL, 'PTHR19845:SF15', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1 HOMOLOG', NULL, NULL, NULL, 15),
(86739, NULL, 'PTHR34790', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CORE COMPLEX PROTEINS PSBY, CHLOROPLASTIC', NULL, NULL, 35946, 15),
(86740, NULL, 'PTHR47040:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0068L06.9 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86741, NULL, 'PTHR10797:SF54', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 6-RELATED', NULL, NULL, NULL, 15),
(86742, NULL, 'PTHR42839', NULL, NULL, NULL, NULL, 'ISOCHORISMATE SYNTHASE ENTC', NULL, NULL, NULL, 15),
(86743, NULL, 'PTHR47208:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86744, NULL, 'PTHR47009:SF5', NULL, NULL, NULL, NULL, 'DPPA1', NULL, NULL, NULL, 15),
(86745, NULL, 'PTHR24031:SF597', NULL, NULL, NULL, NULL, 'RNA HELICASE', NULL, NULL, NULL, 15),
(86746, NULL, 'PTHR35358', NULL, NULL, NULL, NULL, 'OS06G0711100 PROTEIN', NULL, NULL, NULL, 15),
(86747, NULL, 'PTHR10438:SF385', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(86748, NULL, 'PTHR11361:SF34', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MSH6', NULL, NULL, NULL, 15),
(86749, NULL, 'PTHR33365', NULL, NULL, NULL, NULL, 'YALI0B05434P', NULL, NULL, 19590, 15),
(86750, NULL, 'PTHR31339:SF55', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 28 PROTEIN/POLYGALACTURONASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(86751, NULL, 'PTHR33974:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86752, NULL, 'PTHR31589:SF119', NULL, NULL, NULL, NULL, 'BNACNNG55760D PROTEIN', NULL, NULL, NULL, 15),
(86753, NULL, 'PTHR24324:SF6', NULL, NULL, NULL, NULL, 'RFEB', NULL, NULL, NULL, 15),
(86754, NULL, 'PTHR13098', NULL, NULL, NULL, NULL, 'WOLFRAMIN', NULL, NULL, 27728, 15),
(86755, NULL, 'PTHR10845:SF32', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 13', NULL, NULL, 15816, 15),
(86756, NULL, 'PTHR33777', NULL, NULL, NULL, NULL, 'UPF0045 PROTEIN ECM15', NULL, NULL, NULL, 15),
(86757, NULL, 'PTHR37842', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86758, NULL, 'PTHR33914:SF10', NULL, NULL, NULL, NULL, 'SERINE-RICH ADHESIN FOR PLATELETS-LIKE', NULL, NULL, NULL, 15),
(86759, NULL, 'PTHR47693:SF1', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR RISBZ3', NULL, NULL, NULL, 15),
(86760, NULL, 'PTHR16771:SF15', NULL, NULL, NULL, NULL, 'PROTEIN DELETION OF SUV3 SUPPRESSOR 1(I)-LIKE', NULL, NULL, NULL, 15),
(86761, NULL, 'PTHR34397:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86762, NULL, 'PTHR43060:SF3', NULL, NULL, NULL, NULL, '2-HYDROXY-3-OXOPROPIONATE REDUCTASE', NULL, NULL, NULL, 15),
(86763, NULL, 'PTHR45096:SF2', NULL, NULL, NULL, NULL, 'BNAA05G27690D PROTEIN', NULL, NULL, NULL, 15),
(86764, NULL, 'PTHR48016', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE SSK2-RELATED-RELATED', NULL, NULL, NULL, 15),
(86765, NULL, 'PTHR13149:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN-SORTING-ASSOCIATED PROTEIN 25', NULL, NULL, NULL, 15),
(86766, NULL, 'PTHR24281:SF132', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(86767, NULL, 'PTHR43029:SF34', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 2', NULL, NULL, NULL, 15),
(86768, NULL, 'PTHR27006:SF211', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(86769, NULL, 'PTHR21713:SF31', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(86770, NULL, 'PTHR37426', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE J', NULL, NULL, 4618, 15),
(86771, NULL, 'PTHR31042:SF124', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14-RELATED', NULL, NULL, NULL, 15),
(86772, NULL, 'PTHR48015:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CLA4-RELATED', NULL, NULL, NULL, 15),
(86773, NULL, 'PTHR11254:SF426', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86774, NULL, 'PTHR13780:SF134', NULL, NULL, NULL, NULL, 'CBS / OCTICOSAPEPTIDE/PHOX/BEMP1 (PB1) DOMAINS-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(86775, NULL, 'PTHR43952:SF74', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 2', NULL, NULL, NULL, 15),
(86776, NULL, 'PTHR33044:SF173', NULL, NULL, NULL, NULL, 'OS07G0174400 PROTEIN', NULL, NULL, NULL, 15),
(86777, NULL, 'PTHR47778:SF4', NULL, NULL, NULL, NULL, 'BNAC05G37400D PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86778, NULL, 'PTHR33248:SF10', NULL, NULL, NULL, NULL, 'GRF ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(86779, NULL, 'PTHR31942:SF62', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(86780, NULL, 'PTHR45974:SF90', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', NULL, NULL, NULL, 15),
(86781, NULL, 'PTHR10778', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER B', NULL, NULL, 12418, 15),
(86782, NULL, 'PTHR48041:SF82', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY G (WHITE), MEMBER 2A', NULL, NULL, NULL, 15),
(86783, NULL, 'PTHR24326:SF544', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-13-LIKE', NULL, NULL, NULL, 15),
(86784, NULL, 'PTHR33199:SF1', NULL, NULL, NULL, NULL, 'OS01G0958700 PROTEIN', NULL, NULL, NULL, 15),
(86785, NULL, 'PTHR32285:SF248', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86786, NULL, 'PTHR31072:SF119', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP17', NULL, NULL, NULL, 15),
(86787, NULL, 'PTHR11746:SF108', NULL, NULL, NULL, NULL, 'OSJNBB0026E15.9 PROTEIN', NULL, NULL, NULL, 15),
(86788, NULL, 'PTHR46256:SF3', NULL, NULL, NULL, NULL, 'AGAP011099-PA', NULL, NULL, NULL, 15),
(86789, NULL, 'PTHR10621:SF47', NULL, NULL, NULL, NULL, 'BNAC09G41730D PROTEIN', NULL, NULL, NULL, 15),
(86790, NULL, 'PTHR45093:SF3', NULL, NULL, NULL, NULL, 'OS01G0177100 PROTEIN', NULL, NULL, NULL, 15),
(86791, NULL, 'PTHR47978:SF37', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA6A', NULL, NULL, NULL, 15),
(86792, NULL, 'PTHR33149:SF33', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', NULL, NULL, NULL, 15),
(86793, NULL, 'PTHR35545:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86794, NULL, 'PTHR48081:SF6', NULL, NULL, NULL, NULL, 'XYLANASE', NULL, NULL, NULL, 15),
(86795, NULL, 'PTHR45666:SF25', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(86796, NULL, 'PTHR18868:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86797, NULL, 'PTHR46863:SF1', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(86798, NULL, 'PTHR11145:SF23', NULL, NULL, NULL, NULL, 'PROTEIN BINDING PROTEIN', NULL, NULL, NULL, 15),
(86799, NULL, 'PTHR10055:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86800, NULL, 'PTHR10083:SF355', NULL, NULL, NULL, NULL, 'WU:FB59D01', NULL, NULL, NULL, 15),
(86801, NULL, 'PTHR34222:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86802, NULL, 'PTHR45714:SF15', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT14', NULL, NULL, NULL, 15),
(86803, NULL, 'PTHR12210:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86804, NULL, 'PTHR24092:SF170', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(86805, NULL, 'PTHR10562:SF60', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 5', NULL, NULL, NULL, 15),
(86806, NULL, 'PTHR42083', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86807, NULL, 'PTHR31100:SF82', NULL, NULL, NULL, NULL, 'BNACNNG77890D PROTEIN', NULL, NULL, NULL, 15),
(86808, NULL, 'PTHR34597', NULL, NULL, NULL, NULL, 'SLR1661 PROTEIN', NULL, NULL, NULL, 15),
(86809, NULL, 'PTHR33110:SF51', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON TNT 1-94', NULL, NULL, NULL, 15),
(86810, NULL, 'PTHR11206:SF400', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(86811, NULL, 'PTHR31140:SF86', NULL, NULL, NULL, NULL, 'B3 DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(86812, NULL, 'PTHR11232', NULL, NULL, NULL, NULL, 'PHOSPHOTYROSINE INTERACTION DOMAIN-CONTAINING FAMILY MEMBER', NULL, NULL, NULL, 15),
(86813, NULL, 'PTHR14903', NULL, NULL, NULL, NULL, 'SCLEROSTIN-RELATED', NULL, NULL, 14078, 15),
(86814, NULL, 'PTHR35177:SF1', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYPC', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86815, NULL, 'PTHR24006:SF733', NULL, NULL, NULL, NULL, 'DEUBIQUITINATING APOPTOTIC INHIBITOR, ISOFORM A', NULL, NULL, NULL, 15),
(86816, NULL, 'PTHR24373:SF340', NULL, NULL, NULL, NULL, 'AGAP007454-PA', NULL, NULL, NULL, 15),
(86817, NULL, 'PTHR30154:SF0', NULL, NULL, NULL, NULL, 'LEUCINE-RESPONSIVE REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(86818, NULL, 'PTHR11738:SF170', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY A MEMBER 3', NULL, NULL, NULL, 15),
(86819, NULL, 'PTHR31339:SF46', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', NULL, NULL, NULL, 15),
(86820, NULL, 'PTHR15124:SF17', NULL, NULL, NULL, NULL, 'SELENOPROTEIN V', NULL, NULL, NULL, 15),
(86821, NULL, 'PTHR30337:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE', NULL, NULL, NULL, 15),
(86822, NULL, 'PTHR34990:SF2', NULL, NULL, NULL, NULL, 'BLL8164 PROTEIN', NULL, NULL, NULL, 15),
(86823, NULL, 'PTHR31549:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86824, NULL, 'PTHR24349:SF109', NULL, NULL, NULL, NULL, 'MAP KINASE-ACTIVATED PROTEIN KINASE MAK-1', NULL, NULL, NULL, 15),
(86825, NULL, 'PTHR13651:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ABITRAM', NULL, NULL, NULL, 15),
(86826, NULL, 'PTHR36898', NULL, NULL, NULL, NULL, 'OSJNBB0026I12.6 PROTEIN', NULL, NULL, NULL, 15),
(86827, NULL, 'PTHR47304', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C8 GAMMA CHAIN', NULL, NULL, 37921, 15),
(86828, NULL, 'PTHR48002:SF45', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(86829, NULL, 'PTHR31388:SF45', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(86830, NULL, 'PTHR33127:SF54', NULL, NULL, NULL, NULL, 'BNAANNG12000D PROTEIN', NULL, NULL, NULL, 15),
(86831, NULL, 'PTHR22595:SF111', NULL, NULL, NULL, NULL, 'CHITINASE 10', NULL, NULL, NULL, 15),
(86832, NULL, 'PTHR21859:SF44', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 31C1-RELATED', NULL, NULL, NULL, 15),
(86833, NULL, 'PTHR46380:SF1', NULL, NULL, NULL, NULL, 'CYCLIN-D-BINDING MYB-LIKE TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(86834, NULL, 'PTHR31088', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEIN VIPP1, CHLOROPLASTIC', NULL, NULL, 195, 15),
(86835, NULL, 'PTHR35083:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86836, NULL, 'PTHR33052:SF96', NULL, NULL, NULL, NULL, 'OS05G0385400 PROTEIN', NULL, NULL, NULL, 15),
(86837, NULL, 'PTHR31908:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CROWDED NUCLEI 1-LIKE', NULL, NULL, NULL, 15),
(86838, NULL, 'PTHR32133:SF299', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86839, NULL, 'PTHR21569:SF38', NULL, NULL, NULL, NULL, 'BNAC01G40200D PROTEIN', NULL, NULL, NULL, 15),
(86840, NULL, 'PTHR15231', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT H', NULL, NULL, 37118, 15),
(86841, NULL, 'PTHR47967:SF44', NULL, NULL, NULL, NULL, 'OS05G0557100 PROTEIN', NULL, NULL, NULL, 15),
(86842, NULL, 'PTHR42925:SF2', NULL, NULL, NULL, NULL, 'NA+ DRIVEN MULTIDRUG EFFLUX PUMP', NULL, NULL, NULL, 15),
(86843, NULL, 'PTHR21495:SF212', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(86844, NULL, 'PTHR12309:SF26', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 GAMMA SUBUNIT', NULL, NULL, NULL, 15),
(86845, NULL, 'PTHR21567:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86846, NULL, 'PTHR11081:SF35', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RESOLVASE YEN1', NULL, NULL, NULL, 15),
(86847, NULL, 'PTHR11926:SF906', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C3-RELATED', NULL, NULL, NULL, 15),
(86848, NULL, 'PTHR11599:SF12', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-1', NULL, NULL, 8576, 15),
(86849, NULL, 'PTHR48065:SF2', NULL, NULL, NULL, NULL, 'OS11G0213300 PROTEIN', NULL, NULL, NULL, 15),
(86850, NULL, 'PTHR10582:SF17', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY V MEMBER 1', NULL, NULL, 23023, 15),
(86851, NULL, 'PTHR10168:SF284', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S5-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86852, NULL, 'PTHR31589:SF124', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', NULL, NULL, NULL, 15),
(86853, NULL, 'PTHR18860:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86854, NULL, 'PTHR32194:SF0', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE SUBUNIT HSLV', NULL, NULL, NULL, 15),
(86855, NULL, 'PTHR10015:SF386', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-2E', NULL, NULL, NULL, 15),
(86856, NULL, 'PTHR33913:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86857, NULL, 'PTHR10209:SF750', NULL, NULL, NULL, NULL, 'UPF0676 PROTEIN C1494.01', NULL, NULL, NULL, 15),
(86858, NULL, 'PTHR24055:SF211', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 16', NULL, NULL, NULL, 15),
(86859, NULL, 'PTHR10015:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86860, NULL, 'PTHR31707:SF272', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 24-RELATED', NULL, NULL, NULL, 15),
(86861, NULL, 'PTHR10694:SF117', NULL, NULL, NULL, NULL, 'JUMONJI, AT RICH INTERACTIVE DOMAIN 2', NULL, NULL, NULL, 15),
(86862, NULL, 'PTHR43190:SF1', NULL, NULL, NULL, NULL, 'ACTIN-LIKE ATPASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(86863, NULL, 'PTHR31549:SF219', NULL, NULL, NULL, NULL, 'BNAANNG07320D PROTEIN', NULL, NULL, NULL, 15),
(86864, NULL, 'PTHR32361', NULL, NULL, NULL, NULL, 'FERRIC/CUPRIC REDUCTASE TRANSMEMBRANE COMPONENT', NULL, NULL, NULL, 15),
(86865, NULL, 'PTHR21319:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SRFP1', NULL, NULL, NULL, 15),
(86866, NULL, 'PTHR36797:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86867, NULL, 'PTHR24343:SF440', NULL, NULL, NULL, NULL, 'SUCROSE NONFERMENTING 1(SNF1)-RELATED KINASE', NULL, NULL, NULL, 15),
(86868, NULL, 'PTHR36040:SF3', NULL, NULL, NULL, NULL, 'OS04G0188500 PROTEIN', NULL, NULL, NULL, 15),
(86869, NULL, 'PTHR46225:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86870, NULL, 'PTHR31499:SF24', NULL, NULL, NULL, NULL, 'OS05G0488600 PROTEIN', NULL, NULL, NULL, 15),
(86871, NULL, 'PTHR11595:SF77', NULL, NULL, NULL, NULL, 'TRANSLATION ELONGATION FACTOR EF1B/RIBOSOMAL PROTEIN S6-RELATED', NULL, NULL, NULL, 15),
(86872, NULL, 'PTHR33087:SF29', NULL, NULL, NULL, NULL, 'OS10G0159400 PROTEIN', NULL, NULL, NULL, 15),
(86873, NULL, 'PTHR37326', NULL, NULL, NULL, NULL, 'BLL3975 PROTEIN', NULL, NULL, NULL, 15),
(86874, NULL, 'PTHR48063:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86875, NULL, 'PTHR31374:SF272', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(86876, NULL, 'PTHR47929:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86877, NULL, 'PTHR11946:SF62', NULL, NULL, NULL, NULL, 'RE41093P', NULL, NULL, NULL, 15),
(86878, NULL, 'PTHR45763:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86879, NULL, 'PTHR24349:SF248', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 5', NULL, NULL, NULL, 15),
(86880, NULL, 'PTHR16517:SF128', NULL, NULL, NULL, NULL, 'BNAC08G46700D PROTEIN', NULL, NULL, NULL, 15),
(86881, NULL, 'PTHR47779:SF2', NULL, NULL, NULL, NULL, 'SHOCK TREHALOSE SYNTHASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14780)-RELATED', NULL, NULL, NULL, 15),
(86882, NULL, 'PTHR24390:SF38', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 366', NULL, NULL, NULL, 15),
(86883, NULL, 'PTHR43493:SF6', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 4 SUBUNIT A', NULL, NULL, NULL, 15),
(86884, NULL, 'PTHR45736:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER MYM-TYPE PROTEIN 5', NULL, NULL, NULL, 15),
(86885, NULL, 'PTHR36938:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG26935', NULL, NULL, NULL, 15),
(86886, NULL, 'PTHR34376:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86887, NULL, 'PTHR31790:SF314', NULL, NULL, NULL, NULL, 'BNAA04G15660D PROTEIN', NULL, NULL, NULL, 15),
(86888, NULL, 'PTHR43107:SF13', NULL, NULL, NULL, NULL, 'VERY LONG-CHAIN ACYL-COA SYNTHETASE', NULL, NULL, 27375, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86889, NULL, 'PTHR12558:SF13', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 27 HOMOLOG', NULL, NULL, NULL, 15),
(86890, NULL, 'PTHR11945:SF446', NULL, NULL, NULL, NULL, 'BOX PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86891, NULL, 'PTHR15157:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86892, NULL, 'PTHR23113:SF167', NULL, NULL, NULL, NULL, 'RAS-SPECIFIC GUANINE NUCLEOTIDE-RELEASING FACTOR RALGPS1', NULL, NULL, NULL, 15),
(86893, NULL, 'PTHR12271:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86894, NULL, 'PTHR13318:SF23', NULL, NULL, NULL, NULL, 'SI:CH211-214J8.12', NULL, NULL, NULL, 15),
(86895, NULL, 'PTHR43675:SF20', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86896, NULL, 'PTHR12504:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM22 HOMOLOG', NULL, NULL, NULL, 15),
(86897, NULL, 'PTHR11036:SF10', NULL, NULL, NULL, NULL, 'SEMAPHORIN-6B', NULL, NULL, NULL, 15),
(86898, NULL, 'PTHR33232:SF15', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION B-LIKE', NULL, NULL, NULL, 15),
(86899, NULL, 'PTHR13360:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86900, NULL, 'PTHR11437:SF25', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 8', NULL, NULL, NULL, 15),
(86901, NULL, 'PTHR37232', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(86902, NULL, 'PTHR10408:SF9', NULL, NULL, NULL, NULL, 'STEROL O-ACYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(86903, NULL, 'PTHR12899:SF14', NULL, NULL, NULL, NULL, 'F14B2.25/F14B2.25', NULL, NULL, NULL, 15),
(86904, NULL, 'PTHR44259:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86905, NULL, 'PTHR23428:SF211', NULL, NULL, NULL, NULL, 'HISTONE H2B.2', NULL, NULL, NULL, 15),
(86906, NULL, 'PTHR11955:SF69', NULL, NULL, NULL, NULL, 'GASTROTROPIN', NULL, NULL, NULL, 15),
(86907, NULL, 'PTHR31741:SF3', NULL, NULL, NULL, NULL, 'OS02G0726500 PROTEIN', NULL, NULL, NULL, 15),
(86908, NULL, 'PTHR24068:SF354', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 19', NULL, NULL, NULL, 15),
(86909, NULL, 'PTHR45676:SF125', NULL, NULL, NULL, NULL, 'BNACNNG62750D PROTEIN', NULL, NULL, NULL, 15),
(86910, NULL, 'PTHR13718:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86911, NULL, 'PTHR42685:SF18', NULL, NULL, NULL, NULL, 'DIGERANYLGERANYLGLYCEROPHOSPHOLIPID REDUCTASE', NULL, NULL, NULL, 15),
(86912, NULL, 'PTHR45678:SF5', NULL, NULL, NULL, NULL, 'AT03939P-RELATED', NULL, NULL, NULL, 15),
(86913, NULL, 'PTHR48061:SF21', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(86914, NULL, 'PTHR43180:SF37', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(86915, NULL, 'PTHR38934:SF13', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(86916, NULL, 'PTHR19134:SF487', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE PTP1', NULL, NULL, NULL, 15),
(86917, NULL, 'PTHR11017:SF377', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86918, NULL, 'PTHR31308:SF5', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G08820)-RELATED', NULL, NULL, NULL, 15),
(86919, NULL, 'PTHR31218:SF347', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(86920, NULL, 'PTHR14237:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86921, NULL, 'PTHR15498:SF72', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 7', NULL, NULL, NULL, 15),
(86922, NULL, 'PTHR31713:SF73', NULL, NULL, NULL, NULL, 'BNAA01G06120D PROTEIN', NULL, NULL, NULL, 15),
(86923, NULL, 'PTHR47991:SF87', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 1-LIKE', NULL, NULL, NULL, 15),
(86924, NULL, 'PTHR36762', NULL, NULL, NULL, NULL, 'LIGHT-REGULATED PROTEIN 1, CHLOROPLASTIC', NULL, NULL, 14058, 15),
(86925, NULL, 'PTHR12620:SF2', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN AUXILIARY FACTOR 35 KDA SUBUNIT-RELATED PROTEIN 1', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86926, NULL, 'PTHR31637', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-INDEPENDENT PHOSPHOGLYCERATE MUTASE', NULL, NULL, 1013, 15),
(86927, NULL, 'PTHR10334:SF464', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(86928, NULL, 'PTHR35404', NULL, NULL, NULL, NULL, 'TRANSPOSASE OF TN10', NULL, NULL, NULL, 15),
(86929, NULL, 'PTHR32089:SF39', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN HLYB', NULL, NULL, NULL, 15),
(86930, NULL, 'PTHR24347:SF363', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE IG', NULL, NULL, NULL, 15),
(86931, NULL, 'PTHR31301:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86932, NULL, 'PTHR31221:SF124', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 24-RELATED', NULL, NULL, NULL, 15),
(86933, NULL, 'PTHR35779:SF1', NULL, NULL, NULL, NULL, 'PH-RESPONSE REGULATOR PROTEIN PALH/RIM21', NULL, NULL, NULL, 15),
(86934, NULL, 'PTHR12223:SF8', NULL, NULL, NULL, NULL, 'LECTIN, MANNOSE-BINDING, 1', NULL, NULL, NULL, 15),
(86935, NULL, 'PTHR35102', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(86936, NULL, 'PTHR32093:SF91', NULL, NULL, NULL, NULL, 'BNAA09G53810D PROTEIN', NULL, NULL, NULL, 15),
(86937, NULL, 'PTHR11817:SF34', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(86938, NULL, 'PTHR13516:SF12', NULL, NULL, NULL, NULL, 'OS09G0542000 PROTEIN', NULL, NULL, NULL, 15),
(86939, NULL, 'PTHR26452:SF28', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(86940, NULL, 'PTHR11668:SF441', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 2', NULL, NULL, NULL, 15),
(86941, NULL, 'PTHR23354:SF76', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN-LIKE', NULL, NULL, NULL, 15),
(86942, NULL, 'PTHR39179:SF2', NULL, NULL, NULL, NULL, 'ENDOSPORE COAT-ASSOCIATED PROTEIN YUTH', NULL, NULL, NULL, 15),
(86943, NULL, 'PTHR31790:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86944, NULL, 'PTHR15999:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER CW-TYPE PWWP DOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(86945, NULL, 'PTHR24223:SF406', NULL, NULL, NULL, NULL, 'SULFONYLUREA RECEPTOR, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(86946, NULL, 'PTHR48018:SF81', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8K1', NULL, NULL, NULL, 15),
(86947, NULL, 'PTHR11802:SF227', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(86948, NULL, 'PTHR10634:SF114', NULL, NULL, NULL, NULL, 'BNAC04G29220D PROTEIN', NULL, NULL, NULL, 15),
(86949, NULL, 'PTHR23237', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN FAMILY A MEMBER 1  SNORNP PROTEIN GAR1', NULL, NULL, NULL, 15),
(86950, NULL, 'PTHR19845:SF21', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1 HOMOLOG', NULL, NULL, NULL, 15),
(86951, NULL, 'PTHR12346:SF32', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE INTERACTING DOMAIN, SIN3-RELATED', NULL, NULL, NULL, 15),
(86952, NULL, 'PTHR10706:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86953, NULL, 'PTHR12096:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86954, NULL, 'PTHR13068:SF102', NULL, NULL, NULL, NULL, 'OS11G0246100 PROTEIN', NULL, NULL, NULL, 15),
(86955, NULL, 'PTHR10666:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86956, NULL, 'PTHR43875:SF4', NULL, NULL, NULL, NULL, 'ARABINOSE ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(86957, NULL, 'PTHR13890:SF38', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-7-RELATED', NULL, NULL, NULL, 15),
(86958, NULL, 'PTHR11647:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86959, NULL, 'PTHR22891:SF148', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 2C, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86960, NULL, 'PTHR23236:SF61', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(86961, NULL, 'PTHR23336:SF7', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 7 ISOFORM X1', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86962, NULL, 'PTHR31147:SF30', NULL, NULL, NULL, NULL, '10-DEACETYLBACCATIN III 10-O-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(86963, NULL, 'PTHR47081:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING X-LINKED PROTEIN 4', NULL, NULL, NULL, 15),
(86964, NULL, 'PTHR10073:SF47', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MLH3-RELATED', NULL, NULL, 25197, 15),
(86965, NULL, 'PTHR47993:SF107', NULL, NULL, NULL, NULL, 'BNAC03G73940D PROTEIN', NULL, NULL, NULL, 15),
(86966, NULL, 'PTHR10730:SF51', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 25 FAMILY MEMBER', NULL, NULL, NULL, 15),
(86967, NULL, 'PTHR33318:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86968, NULL, 'PTHR18952:SF200', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE XV C-RELATED', NULL, NULL, NULL, 15),
(86969, NULL, 'PTHR24068:SF331', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME UBC9', NULL, NULL, NULL, 15),
(86970, NULL, 'PTHR47976:SF9', NULL, NULL, NULL, NULL, 'OS01G0113650 PROTEIN', NULL, NULL, NULL, 15),
(86971, NULL, 'PTHR11771', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, 4264, 15),
(86972, NULL, 'PTHR10514:SF25', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME', NULL, NULL, NULL, 15),
(86973, NULL, 'PTHR31642:SF248', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(86974, NULL, 'PTHR10677:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CBG21708', NULL, NULL, NULL, 15),
(86975, NULL, 'PTHR37897', NULL, NULL, NULL, NULL, 'DNAK FAMILY PROTEIN', NULL, NULL, NULL, 15),
(86976, NULL, 'PTHR47992:SF143', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 51-RELATED', NULL, NULL, NULL, 15),
(86977, NULL, 'PTHR43453:SF1', NULL, NULL, NULL, NULL, 'RRNA METHYLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(86978, NULL, 'PTHR11956:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86979, NULL, 'PTHR12694:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 1', NULL, NULL, NULL, 15),
(86980, NULL, 'PTHR23119:SF48', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(86981, NULL, 'PTHR31306:SF2', NULL, NULL, NULL, NULL, 'ALPHA-1,2-GALACTOSYLTRANSFERASE GMH3-RELATED', NULL, NULL, NULL, 15),
(86982, NULL, 'PTHR11839:SF12', NULL, NULL, NULL, NULL, 'ADP COMPOUNDS HYDROLASE NUDE', NULL, NULL, NULL, 15),
(86983, NULL, 'PTHR31623:SF74', NULL, NULL, NULL, NULL, 'SALUTARIDINOL 7-O-ACETYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(86984, NULL, 'PTHR45616:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(86985, NULL, 'PTHR24339:SF26', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN EMX1', NULL, NULL, NULL, 15),
(86986, NULL, 'PTHR33447:SF9', NULL, NULL, NULL, NULL, 'GLUTATHIONE GAMMA-GLUTAMYLCYSTEINYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(86987, NULL, 'PTHR38111:SF6', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01940)-RELATED', NULL, NULL, NULL, 15),
(86988, NULL, 'PTHR46692:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86989, NULL, 'PTHR11005:SF3', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(86990, NULL, 'PTHR13287', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22916, 15),
(86991, NULL, 'PTHR18460:SF3', NULL, NULL, NULL, NULL, 'TELO2-INTERACTING PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(86992, NULL, 'PTHR36340', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE SUBUNIT CRR3, CHLOROPLASTIC-RELATED', NULL, NULL, 35211, 15),
(86993, NULL, 'PTHR11909:SF196', NULL, NULL, NULL, NULL, 'PROTEIN CBG18341', NULL, NULL, NULL, 15),
(86994, NULL, 'PTHR11751:SF308', NULL, NULL, NULL, NULL, 'ALANINE AMINOTRANSFERASE 1', NULL, NULL, NULL, 15),
(86995, NULL, 'PTHR45666:SF19', NULL, NULL, NULL, NULL, 'OS06G0222900 PROTEIN', NULL, NULL, NULL, 15),
(86996, NULL, 'PTHR33599:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(86997, NULL, 'PTHR12537:SF167', NULL, NULL, NULL, NULL, 'BNAA05G18830D PROTEIN', NULL, NULL, NULL, 15),
(86998, NULL, 'PTHR11003:SF270', NULL, NULL, NULL, NULL, 'TWO PORE POTASSIUM CHANNEL A', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(86999, NULL, 'PTHR31269:SF11', NULL, NULL, NULL, NULL, 'GUARD CELL S-TYPE ANION CHANNEL SLAC1', NULL, NULL, NULL, 15),
(87000, NULL, 'PTHR33214:SF49', NULL, NULL, NULL, NULL, 'NONSPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(87001, NULL, 'PTHR31080:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87002, NULL, 'PTHR28672:SF1', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 13', NULL, NULL, NULL, 15),
(87003, NULL, 'PTHR21666:SF275', NULL, NULL, NULL, NULL, 'SLR0878 PROTEIN', NULL, NULL, NULL, 15),
(87004, NULL, 'PTHR19317:SF55', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87005, NULL, 'PTHR31066:SF27', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(87006, NULL, 'PTHR33227:SF32', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(87007, NULL, 'PTHR10672:SF6', NULL, NULL, NULL, NULL, 'BETA-ADDUCIN', NULL, NULL, 26511, 15),
(87008, NULL, 'PTHR34031', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 162 KDA', NULL, NULL, 35415, 15),
(87009, NULL, 'PTHR37784:SF1', NULL, NULL, NULL, NULL, 'GLYCOLYTIC GENES TRANSCRIPTIONAL ACTIVATOR GCR1', NULL, NULL, NULL, 15),
(87010, NULL, 'PTHR22599:SF63', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR 1B', NULL, NULL, NULL, 15),
(87011, NULL, 'PTHR19229:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87012, NULL, 'PTHR28570:SF14', NULL, NULL, NULL, NULL, 'ASPARTYL AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(87013, NULL, 'PTHR47999:SF8', NULL, NULL, NULL, NULL, 'BNAA07G10350D PROTEIN', NULL, NULL, NULL, 15),
(87014, NULL, 'PTHR43327:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87015, NULL, 'PTHR19353:SF71', NULL, NULL, NULL, NULL, 'DELTA(8)-FATTY-ACID DESATURASE-LIKE', NULL, NULL, NULL, 15),
(87016, NULL, 'PTHR26453:SF204', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2M3', NULL, NULL, NULL, 15),
(87017, NULL, 'PTHR31549:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87018, NULL, 'PTHR47579', NULL, NULL, NULL, NULL, 'COMPLEX 1 LYR PROTEIN', NULL, NULL, NULL, 15),
(87019, NULL, 'PTHR45671:SF24', NULL, NULL, NULL, NULL, 'PHOSPHATE CARRIER PROTEIN', NULL, NULL, NULL, 15),
(87020, NULL, 'PTHR33649:SF8', NULL, NULL, NULL, NULL, 'PAR1 PROTEIN', NULL, NULL, NULL, 15),
(87021, NULL, 'PTHR31662:SF78', NULL, NULL, NULL, NULL, 'OS09G0100800 PROTEIN', NULL, NULL, NULL, 15),
(87022, NULL, 'PTHR31218:SF235', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(87023, NULL, 'PTHR24020:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87024, NULL, 'PTHR11247:SF54', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE EPSILON 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(87025, NULL, 'PTHR34364', NULL, NULL, NULL, NULL, 'WAS/WASL-INTERACTING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87026, NULL, 'PTHR10891:SF849', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87027, NULL, 'PTHR11071:SF420', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP20-3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(87028, NULL, 'PTHR40380', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87029, NULL, 'PTHR12136:SF101', NULL, NULL, NULL, NULL, 'ENHANCED DISEASE RESISTANCE-LIKE PROTEIN (DUF1336)', NULL, NULL, NULL, 15),
(87030, NULL, 'PTHR24055:SF499', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87031, NULL, 'PTHR46629:SF13', NULL, NULL, NULL, NULL, 'OS01G0917900 PROTEIN', NULL, NULL, NULL, 15),
(87032, NULL, 'PTHR47990:SF43', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-OXIDASE 1-RELATED', NULL, NULL, NULL, 15),
(87033, NULL, 'PTHR46365:SF1', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN ATOX1', NULL, NULL, NULL, 15),
(87034, NULL, 'PTHR31727', NULL, NULL, NULL, NULL, 'OLEOYL-ACYL CARRIER PROTEIN THIOESTERASE 1, CHLOROPLASTIC', NULL, NULL, 38147, 15),
(87035, NULL, 'PTHR45657:SF44', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH12-LIKE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87036, NULL, 'PTHR48094:SF12', NULL, NULL, NULL, NULL, 'PROTEIN/NUCLEIC ACID DEGLYCASE DJ-1', NULL, NULL, NULL, 15),
(87037, NULL, 'PTHR43522:SF13', NULL, NULL, NULL, NULL, 'TRANSKETOLASE 2', NULL, NULL, NULL, 15),
(87038, NULL, 'PTHR33673:SF3', NULL, NULL, NULL, NULL, 'SUPPRESSOR SRP40-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87039, NULL, 'PTHR11003:SF152', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS PROTEIN 12', NULL, NULL, NULL, 15),
(87040, NULL, 'PTHR48024:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RIBONUCLEOPROTEIN A1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(87041, NULL, 'PTHR46485', NULL, NULL, NULL, NULL, 'LIM DOMAIN KINASE 1', NULL, NULL, NULL, 15),
(87042, NULL, 'PTHR33710:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87043, NULL, 'PTHR32332:SF31', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G07940)-RELATED', NULL, NULL, NULL, 15),
(87044, NULL, 'PTHR24343:SF436', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HAL4/SAT4', NULL, NULL, NULL, 15),
(87045, NULL, 'PTHR12653:SF1', NULL, NULL, NULL, NULL, 'BNAA02G10640D PROTEIN', NULL, NULL, NULL, 15),
(87046, NULL, 'PTHR19961:SF67', NULL, NULL, NULL, NULL, 'DYSTROPHIN-RELATED', NULL, NULL, NULL, 15),
(87047, NULL, 'PTHR30168', NULL, NULL, NULL, NULL, 'PUTATIVE MEMBRANE PROTEIN YPFJ', NULL, NULL, 5851, 15),
(87048, NULL, 'PTHR47026', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87049, NULL, 'PTHR19432:SF83', NULL, NULL, NULL, NULL, 'BNAC08G42460D PROTEIN', NULL, NULL, NULL, 15),
(87050, NULL, 'PTHR31221:SF257', NULL, NULL, NULL, NULL, 'BNAA02G36910D PROTEIN', NULL, NULL, NULL, 15),
(87051, NULL, 'PTHR46149:SF4', NULL, NULL, NULL, NULL, 'DEXAMETHASONE-INDUCED RAS-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(87052, NULL, 'PTHR11802:SF339', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(87053, NULL, 'PTHR45950:SF16', NULL, NULL, NULL, NULL, 'ARID DNA-BINDING DOMAIN, ZINC FINGER, CCHC-TYPE, MEKHLA-RELATED', NULL, NULL, NULL, 15),
(87054, NULL, 'PTHR31672:SF2', NULL, NULL, NULL, NULL, 'BNACNNG10540D PROTEIN', NULL, NULL, NULL, 15),
(87055, NULL, 'PTHR24390:SF166', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 660', NULL, NULL, NULL, 15),
(87056, NULL, 'PTHR10438:SF416', NULL, NULL, NULL, NULL, 'THIOREDOXIN H7', NULL, NULL, NULL, 15),
(87057, NULL, 'PTHR34558:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87058, NULL, 'PTHR24055:SF194', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MAK', NULL, NULL, NULL, 15),
(87059, NULL, 'PTHR45837:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87060, NULL, 'PTHR35454:SF2', NULL, NULL, NULL, NULL, 'AGAP005206-PA', NULL, NULL, NULL, 15),
(87061, NULL, 'PTHR16231:SF0', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(87062, NULL, 'PTHR31639:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87063, NULL, 'PTHR23081:SF2', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II C-TERMINAL DOMAIN PHOSPHATASE-LIKE 3', NULL, NULL, NULL, 15),
(87064, NULL, 'PTHR46506:SF45', NULL, NULL, NULL, NULL, 'HORCOLIN', NULL, NULL, NULL, 15),
(87065, NULL, 'PTHR45982:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(87066, NULL, 'PTHR33095:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87067, NULL, 'PTHR12290:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 4', NULL, NULL, NULL, 15),
(87068, NULL, 'PTHR43557:SF5', NULL, NULL, NULL, NULL, 'MONODEHYDROASCORBATE REDUCTASE 1, PEROXISOMAL', NULL, NULL, NULL, 15),
(87069, NULL, 'PTHR48043:SF50', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(87070, NULL, 'PTHR10540:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87071, NULL, 'PTHR33086:SF72', NULL, NULL, NULL, NULL, 'DUF1618 DOMAIN CONTAINING FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87072, NULL, 'PTHR13847:SF222', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT OXIDOREDUCTASE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87073, NULL, 'PTHR40069:SF1', NULL, NULL, NULL, NULL, 'YWBE PROTEIN', NULL, NULL, NULL, 15),
(87074, NULL, 'PTHR21266:SF29', NULL, NULL, NULL, NULL, 'PROTEIN TIC 55, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(87075, NULL, 'PTHR48041:SF44', NULL, NULL, NULL, NULL, 'BNAA06G33490D PROTEIN', NULL, NULL, NULL, 15),
(87076, NULL, 'PTHR32096:SF105', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 22-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(87077, NULL, 'PTHR11132:SF431', NULL, NULL, NULL, NULL, 'BNAA02G09420D PROTEIN', NULL, NULL, NULL, 15),
(87078, NULL, 'PTHR46586:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87079, NULL, 'PTHR30502:SF10', NULL, NULL, NULL, NULL, 'CARBOXYLASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(87080, NULL, 'PTHR10694:SF44', NULL, NULL, NULL, NULL, 'PROTEIN JUMONJI', NULL, NULL, NULL, 15),
(87081, NULL, 'PTHR47746:SF18', NULL, NULL, NULL, NULL, 'OS02G0118800 PROTEIN', NULL, NULL, NULL, 15),
(87082, NULL, 'PTHR11926:SF1327', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(87083, NULL, 'PTHR23122:SF39', NULL, NULL, NULL, NULL, 'MAGUK P55 SUBFAMILY MEMBER 7', NULL, NULL, NULL, 15),
(87084, NULL, 'PTHR38106', NULL, NULL, NULL, NULL, 'RNA CHAPERONE PROQ', NULL, NULL, 17336, 15),
(87085, NULL, 'PTHR23121:SF26', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING 4B4', NULL, NULL, NULL, 15),
(87086, NULL, 'PTHR10109', NULL, NULL, NULL, NULL, 'MATRIX GLA PROTEIN', NULL, NULL, 26186, 15),
(87087, NULL, 'PTHR43583:SF2', NULL, NULL, NULL, NULL, 'BIOTIN AND THIAMIN SYNTHESIS ASSOCIATED DOMAIN CONTAINING PROTEIN', NULL, NULL, 16080, 15),
(87088, NULL, 'PTHR31448:SF44', NULL, NULL, NULL, NULL, 'ZEIN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87089, NULL, 'PTHR46128:SF230', NULL, NULL, NULL, NULL, 'BNAC06G40430D PROTEIN', NULL, NULL, NULL, 15),
(87090, NULL, 'PTHR11571:SF157', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE A1', NULL, NULL, NULL, 15),
(87091, NULL, 'PTHR10151:SF118', NULL, NULL, NULL, NULL, 'BNAA01G07240D PROTEIN', NULL, NULL, NULL, 15),
(87092, NULL, 'PTHR31269:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87093, NULL, 'PTHR13164:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87094, NULL, 'PTHR10367:SF18', NULL, NULL, NULL, NULL, 'RNA/RNP COMPLEX-1-INTERACTING PHOSPHATASE', NULL, NULL, NULL, 15),
(87095, NULL, 'PTHR15315:SF22', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL47-LIKE', NULL, NULL, NULL, 15),
(87096, NULL, 'PTHR11972:SF86', NULL, NULL, NULL, NULL, 'METALLOREDUCTASE AIM14-RELATED', NULL, NULL, NULL, 15),
(87097, NULL, 'PTHR46372', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 3', NULL, NULL, 37963, 15),
(87098, NULL, 'PTHR33548:SF14', NULL, NULL, NULL, NULL, 'GLYCINE RICH PROTEIN4', NULL, NULL, NULL, 15),
(87099, NULL, 'PTHR10156:SF0', NULL, NULL, NULL, NULL, '2'',3''-CYCLIC-NUCLEOTIDE 3''-PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(87100, NULL, 'PTHR11011:SF27', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE CG8306-RELATED', NULL, NULL, NULL, 15),
(87101, NULL, 'PTHR46196:SF14', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87102, NULL, 'PTHR39668', NULL, NULL, NULL, NULL, 'HYPOTHETICAL TRANSMEMBRANE PROTEIN L6586.03-RELATED', NULL, NULL, NULL, 15),
(87103, NULL, 'PTHR10593:SF182', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 11', NULL, NULL, NULL, 15),
(87104, NULL, 'PTHR31279:SF8', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 2', NULL, NULL, NULL, 15),
(87105, NULL, 'PTHR36471:SF1', NULL, NULL, NULL, NULL, 'SMALL MEMBRANE A-KINASE ANCHOR PROTEIN', NULL, NULL, NULL, 15),
(87106, NULL, 'PTHR11208:SF125', NULL, NULL, NULL, NULL, 'PROTEIN QUAKING', NULL, NULL, 23346, 15),
(87107, NULL, 'PTHR46120:SF2', NULL, NULL, NULL, NULL, 'BETAINE--HOMOCYSTEINE S-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(87108, NULL, 'PTHR30543:SF14', NULL, NULL, NULL, NULL, 'NADPH:QUINONE OXIDOREDUCTASE 2-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87109, NULL, 'PTHR31933:SF4', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 8', NULL, NULL, NULL, 15),
(87110, NULL, 'PTHR45868:SF30', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87111, NULL, 'PTHR33066:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87112, NULL, 'PTHR16247:SF0', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9430015G10 GENE', NULL, NULL, NULL, 15),
(87113, NULL, 'PTHR11547:SF20', NULL, NULL, NULL, NULL, 'ARGININE KINASE', NULL, NULL, NULL, 15),
(87114, NULL, 'PTHR27003:SF340', NULL, NULL, NULL, NULL, 'BNAC04G31220D PROTEIN', NULL, NULL, NULL, 15),
(87115, NULL, 'PTHR10696:SF43', NULL, NULL, NULL, NULL, 'TAUD/TFDA-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87116, NULL, 'PTHR48018:SF66', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8H3', NULL, NULL, NULL, 15),
(87117, NULL, 'PTHR46162:SF14', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(87118, NULL, 'PTHR19957:SF334', NULL, NULL, NULL, NULL, 'SYNTAXIN-1B', NULL, NULL, 23720, 15),
(87119, NULL, 'PTHR23023:SF258', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(87120, NULL, 'PTHR24015:SF1997', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87121, NULL, 'PTHR10742:SF389', NULL, NULL, NULL, NULL, 'PROTEIN FLOWERING LOCUS D-LIKE', NULL, NULL, NULL, 15),
(87122, NULL, 'PTHR15907:SF178', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 11', NULL, NULL, NULL, 15),
(87123, NULL, 'PTHR45702:SF6', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 17', NULL, NULL, NULL, 15),
(87124, NULL, 'PTHR21461:SF24', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(87125, NULL, 'PTHR21136:SF178', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87126, NULL, 'PTHR23070:SF10', NULL, NULL, NULL, NULL, 'AAA ATPASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(87127, NULL, 'PTHR14359:SF19', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN', NULL, NULL, NULL, 15),
(87128, NULL, 'PTHR24406:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 11', NULL, NULL, NULL, 15),
(87129, NULL, 'PTHR12963:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR/ ZINC ION BINDING PROTEIN', NULL, NULL, NULL, 15),
(87130, NULL, 'PTHR13793:SF27', NULL, NULL, NULL, NULL, 'PROTEIN JADE-3', NULL, NULL, NULL, 15),
(87131, NULL, 'PTHR24241:SF117', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE RECEPTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(87132, NULL, 'PTHR10544', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28', NULL, NULL, 2630, 15),
(87133, NULL, 'PTHR44329:SF199', NULL, NULL, NULL, NULL, 'OS06G0232100 PROTEIN', NULL, NULL, NULL, 15),
(87134, NULL, 'PTHR37299:SF2', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(87135, NULL, 'PTHR10353:SF186', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 42', NULL, NULL, NULL, 15),
(87136, NULL, 'PTHR47926:SF203', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87137, NULL, 'PTHR23147:SF197', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF', NULL, NULL, NULL, 15),
(87138, NULL, 'PTHR14464:SF4', NULL, NULL, NULL, NULL, 'EXONUCLEASE V', NULL, NULL, NULL, 15),
(87139, NULL, 'PTHR27006:SF437', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-7', NULL, NULL, NULL, 15),
(87140, NULL, 'PTHR48018:SF153', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8H1', NULL, NULL, NULL, 15),
(87141, NULL, 'PTHR45701:SF11', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87142, NULL, 'PTHR46324:SF23', NULL, NULL, NULL, NULL, 'BNAA09G05450D PROTEIN', NULL, NULL, NULL, 15),
(87143, NULL, 'PTHR31376:SF50', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 9-RELATED', NULL, NULL, NULL, 15),
(87144, NULL, 'PTHR45934:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87145, NULL, 'PTHR33103:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87146, NULL, 'PTHR47956:SF73', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B22', NULL, NULL, NULL, 15),
(87147, NULL, 'PTHR18952:SF246', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 4-RELATED', NULL, NULL, NULL, 15),
(87148, NULL, 'PTHR30136:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(87149, NULL, 'PTHR46462:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD5', NULL, NULL, NULL, 15),
(87150, NULL, 'PTHR47982:SF27', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK8', NULL, NULL, NULL, 15),
(87151, NULL, 'PTHR24221:SF440', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 6', NULL, NULL, NULL, 15),
(87152, NULL, 'PTHR31241:SF32', NULL, NULL, NULL, NULL, 'AP2/EREBP PROTEIN', NULL, NULL, NULL, 15),
(87153, NULL, 'PTHR32361:SF25', NULL, NULL, NULL, NULL, 'FERRIC/CUPRIC REDUCTASE TRANSMEMBRANE COMPONENT 1', NULL, NULL, NULL, 15),
(87154, NULL, 'PTHR43490:SF67', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', NULL, NULL, NULL, 15),
(87155, NULL, 'PTHR15417:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 1A', NULL, NULL, NULL, 15),
(87156, NULL, 'PTHR39068:SF2', NULL, NULL, NULL, NULL, 'MIP24391P', NULL, NULL, NULL, 15),
(87157, NULL, 'PTHR11588:SF366', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-3 CHAIN', NULL, NULL, NULL, 15),
(87158, NULL, 'PTHR47447:SF7', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(87159, NULL, 'PTHR31677:SF110', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(87160, NULL, 'PTHR10827:SF51', NULL, NULL, NULL, NULL, '45 KDA CALCIUM-BINDING PROTEIN', NULL, NULL, 28225, 15),
(87161, NULL, 'PTHR10621:SF33', NULL, NULL, NULL, NULL, 'OS09G0481650 PROTEIN', NULL, NULL, NULL, 15),
(87162, NULL, 'PTHR35750:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID HYDROPEROXIDE GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(87163, NULL, 'PTHR43438:SF1', NULL, NULL, NULL, NULL, 'UPF0145 PROTEIN SCO3412', NULL, NULL, NULL, 15),
(87164, NULL, 'PTHR45966:SF16', NULL, NULL, NULL, NULL, 'BNAC06G10380D PROTEIN', NULL, NULL, NULL, 15),
(87165, NULL, 'PTHR13509:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', NULL, NULL, NULL, 15),
(87166, NULL, 'PTHR31156:SF15', NULL, NULL, NULL, NULL, 'SPEEDY PROTEIN E2-RELATED', NULL, NULL, NULL, 15),
(87167, NULL, 'PTHR22850:SF210', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: WD-40 REPEAT-CONTAINING PROTEIN MSI4-LIKE', NULL, NULL, NULL, 15),
(87168, NULL, 'PTHR15454:SF50', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IQ DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(87169, NULL, 'PTHR31871:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87170, NULL, 'PTHR10286:SF63', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(87171, NULL, 'PTHR46393:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87172, NULL, 'PTHR35449:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SIX6OS1', NULL, NULL, NULL, 15),
(87173, NULL, 'PTHR47924:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87174, NULL, 'PTHR43638', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, ALDO/KETO REDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87175, NULL, 'PTHR46324:SF7', NULL, NULL, NULL, NULL, 'BASIC LEUCINE-ZIPPER 70-RELATED', NULL, NULL, NULL, 15),
(87176, NULL, 'PTHR44042:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87177, NULL, 'PTHR10795:SF726', NULL, NULL, NULL, NULL, 'BNAA09G07410D PROTEIN', NULL, NULL, NULL, 15),
(87178, NULL, 'PTHR46522:SF2', NULL, NULL, NULL, NULL, 'INACTIVE CYTIDINE MONOPHOSPHATE-N-ACETYLNEURAMINIC ACID HYDROXYLASE', NULL, NULL, NULL, 15),
(87179, NULL, 'PTHR31072', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP4-RELATED', NULL, NULL, 5747, 15),
(87180, NULL, 'PTHR36475', NULL, NULL, NULL, NULL, 'LEUCINE-RICH SINGLE-PASS MEMBRANE PROTEIN 1', NULL, NULL, 26047, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87181, NULL, 'PTHR11533:SF272', NULL, NULL, NULL, NULL, 'MATRIX NON-PEPTIDASE HOMOLOG 1', NULL, NULL, NULL, 15),
(87182, NULL, 'PTHR31260:SF60', NULL, NULL, NULL, NULL, 'BNAANNG11310D PROTEIN', NULL, NULL, NULL, 15),
(87183, NULL, 'PTHR23104:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87184, NULL, 'PTHR33867', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION FACTOR RIMP', NULL, NULL, 6265, 15),
(87185, NULL, 'PTHR15907:SF114', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(87186, NULL, 'PTHR11538:SF86', NULL, NULL, NULL, NULL, 'BNAA02G35460D PROTEIN', NULL, NULL, NULL, 15),
(87187, NULL, 'PTHR31560:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87188, NULL, 'PTHR10812:SF16', NULL, NULL, NULL, NULL, 'AP-2 TRANSCRIPTION FACTOR FAMILY', NULL, NULL, NULL, 15),
(87189, NULL, 'PTHR34671:SF12', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN D-19', NULL, NULL, NULL, 15),
(87190, NULL, 'PTHR12737:SF17', NULL, NULL, NULL, NULL, 'N(G),N(G)-DIMETHYLARGININE DIMETHYLAMINOHYDROLASE 1', NULL, NULL, 29674, 15),
(87191, NULL, 'PTHR45855:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87192, NULL, 'PTHR48094:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87193, NULL, 'PTHR11802:SF308', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 42-RELATED', NULL, NULL, NULL, 15),
(87194, NULL, 'PTHR10108:SF1142', NULL, NULL, NULL, NULL, 'BNAA04G26390D PROTEIN', NULL, NULL, NULL, 15),
(87195, NULL, 'PTHR38692:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SMG', NULL, NULL, NULL, 15),
(87196, NULL, 'PTHR33095:SF23', NULL, NULL, NULL, NULL, 'DUF1645 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87197, NULL, 'PTHR10353:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87198, NULL, 'PTHR43900:SF24', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87199, NULL, 'PTHR31503:SF41', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', NULL, NULL, NULL, 15),
(87200, NULL, 'PTHR13826:SF14', NULL, NULL, NULL, NULL, 'TREFOIL FACTOR 2', NULL, NULL, NULL, 15),
(87201, NULL, 'PTHR24281:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87202, NULL, 'PTHR10871:SF29', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S18', NULL, NULL, NULL, 15),
(87203, NULL, 'PTHR19432:SF35', NULL, NULL, NULL, NULL, 'LP09277P', NULL, NULL, NULL, 15),
(87204, NULL, 'PTHR31871:SF8', NULL, NULL, NULL, NULL, 'OS01G0837600 PROTEIN', NULL, NULL, NULL, 15),
(87205, NULL, 'PTHR12203:SF62', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE-MODIFYING PROTEIN', NULL, NULL, NULL, 15),
(87206, NULL, 'PTHR48018:SF52', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(87207, NULL, 'PTHR47988:SF36', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE 1', NULL, NULL, NULL, 15),
(87208, NULL, 'PTHR11311:SF9', NULL, NULL, NULL, NULL, 'SPONDIN 2B, EXTRACELLULAR MATRIX PROTEIN', NULL, NULL, NULL, 15),
(87209, NULL, 'PTHR15241:SF308', NULL, NULL, NULL, NULL, 'FLOWERING TIME CONTROL PROTEIN FCA ISOFORM X1', NULL, NULL, NULL, 15),
(87210, NULL, 'PTHR11157:SF147', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 6', NULL, NULL, NULL, 15),
(87211, NULL, 'PTHR38762:SF1', NULL, NULL, NULL, NULL, 'CRYPTIC OUTER MEMBRANE PORIN BGLH-RELATED', NULL, NULL, NULL, 15),
(87212, NULL, 'PTHR13271:SF111', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(87213, NULL, 'PTHR33304:SF39', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87214, NULL, 'PTHR11723', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN INHIBITOR', NULL, NULL, 24253, 15),
(87215, NULL, 'PTHR23202:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87216, NULL, 'PTHR47993:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87217, NULL, 'PTHR31650:SF26', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE (WSD1-LIKE) FAMILY PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87218, NULL, 'PTHR31963', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR K', NULL, NULL, 20388, 15),
(87219, NULL, 'PTHR24186:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 16A', NULL, NULL, NULL, 15),
(87220, NULL, 'PTHR11875:SF12', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(87221, NULL, 'PTHR24356:SF170', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C ZETA TYPE', NULL, NULL, NULL, 15),
(87222, NULL, 'PTHR27001:SF631', NULL, NULL, NULL, NULL, 'PROTEIN KINASE PROTEIN WITH ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE DOMAIN', NULL, NULL, NULL, 15),
(87223, NULL, 'PTHR24281:SF69', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(87224, NULL, 'PTHR32387:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87225, NULL, 'PTHR34761', NULL, NULL, NULL, NULL, 'NUCLEOLUS AND NEURAL PROGENITOR PROTEIN', NULL, NULL, NULL, 15),
(87226, NULL, 'PTHR45819', NULL, NULL, NULL, NULL, 'CENTAURIN-GAMMA-1A', NULL, NULL, NULL, 15),
(87227, NULL, 'PTHR13593:SF24', NULL, NULL, NULL, NULL, 'PI-PLC X DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(87228, NULL, 'PTHR38452', NULL, NULL, NULL, NULL, 'UPF0756 MEMBRANE PROTEIN YEAL', NULL, NULL, 5903, 15),
(87229, NULL, 'PTHR38035', NULL, NULL, NULL, NULL, 'UPF0070 PROTEIN YFGM', NULL, NULL, 26115, 15),
(87230, NULL, 'PTHR32145:SF30', NULL, NULL, NULL, NULL, 'FLAVODOXIN/NITRIC OXIDE SYNTHASE', NULL, NULL, NULL, 15),
(87231, NULL, 'PTHR33835:SF2', NULL, NULL, NULL, NULL, 'LYSINE-TRNA LIGASE', NULL, NULL, NULL, 15),
(87232, NULL, 'PTHR15111', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II SUBUNIT 5-MEDIATING PROTEIN  NNX3', NULL, NULL, NULL, 15),
(87233, NULL, 'PTHR31358', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 4', NULL, NULL, 39087, 15),
(87234, NULL, 'PTHR46128:SF136', NULL, NULL, NULL, NULL, 'BNAA09G09230D PROTEIN', NULL, NULL, NULL, 15),
(87235, NULL, 'PTHR23320:SF117', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 6E', NULL, NULL, 22651, 15),
(87236, NULL, 'PTHR43874:SF145', NULL, NULL, NULL, NULL, 'BNAA09G04840D PROTEIN', NULL, NULL, NULL, 15),
(87237, NULL, 'PTHR23214', NULL, NULL, NULL, NULL, 'NEUROFILAMENT TRIPLET H PROTEIN', NULL, NULL, 33222, 15),
(87238, NULL, 'PTHR35671:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TOPAZ1', NULL, NULL, NULL, 15),
(87239, NULL, 'PTHR24391:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER E-BOX-BINDING HOMEOBOX 2', NULL, NULL, NULL, 15),
(87240, NULL, 'PTHR31623:SF38', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', NULL, NULL, NULL, 15),
(87241, NULL, 'PTHR45331:SF1', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDOREDUCTASE IRON-SULFUR-BINDING SUBUNIT PAOA', NULL, NULL, NULL, 15),
(87242, NULL, 'PTHR37440:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG17854', NULL, NULL, NULL, 15),
(87243, NULL, 'PTHR10157', NULL, NULL, NULL, NULL, 'DOPAMINE BETA HYDROXYLASE RELATED', NULL, NULL, 3216, 15),
(87244, NULL, 'PTHR27009:SF84', NULL, NULL, NULL, NULL, 'STRESS-INDUCED RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(87245, NULL, 'PTHR43874:SF74', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR11', NULL, NULL, NULL, 15),
(87246, NULL, 'PTHR46073:SF6', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE', NULL, NULL, NULL, 15),
(87247, NULL, 'PTHR15481:SF3', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF-CONTAINING PROTEIN RRM', NULL, NULL, NULL, 15),
(87248, NULL, 'PTHR10151:SF106', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE C27A7.3', NULL, NULL, 28692, 15),
(87249, NULL, 'PTHR33726:SF19', NULL, NULL, NULL, NULL, 'OS03G0313800 PROTEIN', NULL, NULL, NULL, 15),
(87250, NULL, 'PTHR22192', NULL, NULL, NULL, NULL, 'SPERIOLIN', NULL, NULL, 22279, 15),
(87251, NULL, 'PTHR43179:SF8', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYL-DIPHOSPHO-DECAPRENOL L-RHAMNOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(87252, NULL, 'PTHR33063:SF9', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87253, NULL, 'PTHR47424:SF6', NULL, NULL, NULL, NULL, 'PROLINE UTILIZATION TRANS-ACTIVATOR', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87254, NULL, 'PTHR12570:SF79', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(87255, NULL, 'PTHR24281:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87256, NULL, 'PTHR21000:SF13', NULL, NULL, NULL, NULL, 'HYPOTHETICAL DIHYDROXYACID DEHYDRATASE (EUROFUNG)', NULL, NULL, NULL, 15),
(87257, NULL, 'PTHR10666:SF258', NULL, NULL, NULL, NULL, 'UBIQUITIN-40S RIBOSOMAL PROTEIN S27A', NULL, NULL, NULL, 15),
(87258, NULL, 'PTHR11627:SF70', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(87259, NULL, 'PTHR43637', NULL, NULL, NULL, NULL, 'UPF0273 PROTEIN TM_0370', NULL, NULL, NULL, 15),
(87260, NULL, 'PTHR47863', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87261, NULL, 'PTHR30537:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(87262, NULL, 'PTHR43190:SF7', NULL, NULL, NULL, NULL, 'OS07G0147700 PROTEIN', NULL, NULL, NULL, 15),
(87263, NULL, 'PTHR13890:SF41', NULL, NULL, NULL, NULL, 'MG2+ TRANSPORTER PROTEIN, CORA-LIKE/ZINC TRANSPORT PROTEIN ZNTB-RELATED', NULL, NULL, NULL, 15),
(87264, NULL, 'PTHR10057:SF17', NULL, NULL, NULL, NULL, 'TSPO/MBR-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87265, NULL, 'PTHR31388:SF223', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(87266, NULL, 'PTHR47979:SF36', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5A', NULL, NULL, NULL, 15),
(87267, NULL, 'PTHR38781:SF1', NULL, NULL, NULL, NULL, 'ANTITOXIN DINJ-RELATED', NULL, NULL, NULL, 15),
(87268, NULL, 'PTHR31325:SF148', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(87269, NULL, 'PTHR13936:SF15', NULL, NULL, NULL, NULL, 'PROFILIN-2', NULL, NULL, 26318, 15),
(87270, NULL, 'PTHR43479:SF11', NULL, NULL, NULL, NULL, 'ACREF/ENVCD OPERON REPRESSOR-RELATED', NULL, NULL, NULL, 15),
(87271, NULL, 'PTHR31676:SF86', NULL, NULL, NULL, NULL, 'BNAA02G36500D PROTEIN', NULL, NULL, NULL, 15),
(87272, NULL, 'PTHR31132:SF2', NULL, NULL, NULL, NULL, 'HEMATOLOGICAL/NEUROLOGICAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87273, NULL, 'PTHR13878:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87274, NULL, 'PTHR13400:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 28B', NULL, NULL, NULL, 15),
(87275, NULL, 'PTHR24377:SF693', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 287', NULL, NULL, NULL, 15),
(87276, NULL, 'PTHR12000:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87277, NULL, 'PTHR11431:SF87', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(87278, NULL, 'PTHR31415:SF68', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(87279, NULL, 'PTHR34591:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87280, NULL, 'PTHR33473:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ADAPTER PROTEIN CLPS', NULL, NULL, NULL, 15),
(87281, NULL, 'PTHR10621:SF32', NULL, NULL, NULL, NULL, 'UBIQUITIN RECEPTOR RAD23A-RELATED', NULL, NULL, NULL, 15),
(87282, NULL, 'PTHR26453:SF198', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2K2', NULL, NULL, NULL, 15),
(87283, NULL, 'PTHR33165:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87284, NULL, 'PTHR45651:SF75', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, VOLTAGE-DEPENDENT, EAG-RELATED', NULL, NULL, NULL, 15),
(87285, NULL, 'PTHR33147:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87286, NULL, 'PTHR10366:SF483', NULL, NULL, NULL, NULL, 'CINNAMOYL COA REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87287, NULL, 'PTHR32161:SF16', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(87288, NULL, 'PTHR24418:SF431', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE SRC42A', NULL, NULL, NULL, 15),
(87289, NULL, 'PTHR11727:SF14', NULL, NULL, NULL, NULL, 'BLL8166 PROTEIN', NULL, NULL, NULL, 15),
(87290, NULL, 'PTHR23421:SF63', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 12', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87291, NULL, 'PTHR19422:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87292, NULL, 'PTHR33448:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87293, NULL, 'PTHR19878:SF17', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87294, NULL, 'PTHR14112:SF19', NULL, NULL, NULL, NULL, 'PROTEIN SSX3', NULL, NULL, NULL, 15),
(87295, NULL, 'PTHR10476:SF47', NULL, NULL, NULL, NULL, 'ESCRT-RELATED PROTEIN CHMP1-RELATED', NULL, NULL, NULL, 15),
(87296, NULL, 'PTHR15941:SF14', NULL, NULL, NULL, NULL, 'MYOZENIN 1B', NULL, NULL, NULL, 15),
(87297, NULL, 'PTHR47967:SF35', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87298, NULL, 'PTHR11188:SF57', NULL, NULL, NULL, NULL, 'PROTEIN TTM-2', NULL, NULL, NULL, 15),
(87299, NULL, 'PTHR48042:SF17', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN PDR/CDR-RELATED', NULL, NULL, NULL, 15),
(87300, NULL, 'PTHR19818:SF145', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN EXPRESSION ACTIVATOR', NULL, NULL, NULL, 15),
(87301, NULL, 'PTHR31661:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO CDNA SEQUENCE BC052040', NULL, NULL, NULL, 15),
(87302, NULL, 'PTHR16195:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(87303, NULL, 'PTHR48019:SF102', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR ANR1', NULL, NULL, NULL, 15),
(87304, NULL, 'PTHR44329:SF68', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87305, NULL, 'PTHR23147:SF102', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RSZ21A', NULL, NULL, NULL, 15),
(87306, NULL, 'PTHR31636:SF257', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 30', NULL, NULL, NULL, 15),
(87307, NULL, 'PTHR36490', NULL, NULL, NULL, NULL, 'STRESS ENHANCED PROTEIN 2, CHLOROPLASTIC', NULL, NULL, 39064, 15),
(87308, NULL, 'PTHR24248:SF24', NULL, NULL, NULL, NULL, 'ALPHA-2A ADRENERGIC RECEPTOR', NULL, NULL, NULL, 15),
(87309, NULL, 'PTHR47364:SF12', NULL, NULL, NULL, NULL, 'BNAC09G20280D PROTEIN', NULL, NULL, NULL, 15),
(87310, NULL, 'PTHR14445:SF36', NULL, NULL, NULL, NULL, 'GIGYF FAMILY PROTEIN CG11148', NULL, NULL, NULL, 15),
(87311, NULL, 'PTHR10806:SF12', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX CATALYTIC SUBUNIT SEC11C', NULL, NULL, 33944, 15),
(87312, NULL, 'PTHR33709:SF27', NULL, NULL, NULL, NULL, 'CYSTEINE-TYPE ENDOPEPTIDASE/ UBIQUITIN THIOLESTERASE', NULL, NULL, NULL, 15),
(87313, NULL, 'PTHR23153:SF38', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(87314, NULL, 'PTHR31238:SF118', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87315, NULL, 'PTHR37173', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87316, NULL, 'PTHR11377:SF17', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(87317, NULL, 'PTHR33142:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87318, NULL, 'PTHR16231:SF5', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(87319, NULL, 'PTHR33512:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(87320, NULL, 'PTHR47949:SF2', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(87321, NULL, 'PTHR11771:SF136', NULL, NULL, NULL, NULL, 'LIPOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(87322, NULL, 'PTHR23172:SF50', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(87323, NULL, 'PTHR21143:SF120', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR', NULL, NULL, NULL, 15),
(87324, NULL, 'PTHR11103', NULL, NULL, NULL, NULL, 'SLR1189 PROTEIN', NULL, NULL, NULL, 15),
(87325, NULL, 'PTHR22765:SF34', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF13', NULL, NULL, NULL, 15),
(87326, NULL, 'PTHR11847:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L15', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87327, NULL, 'PTHR43084:SF8', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87328, NULL, 'PTHR48053:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87329, NULL, 'PTHR22780:SF30', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(87330, NULL, 'PTHR13516:SF15', NULL, NULL, NULL, NULL, 'DNA/RNA-BINDING PROTEIN ALBA-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87331, NULL, 'PTHR34968:SF2', NULL, NULL, NULL, NULL, 'BNAA09G02750D PROTEIN', NULL, NULL, NULL, 15),
(87332, NULL, 'PTHR35308:SF11', NULL, NULL, NULL, NULL, 'OS05G0457000 PROTEIN', NULL, NULL, NULL, 15),
(87333, NULL, 'PTHR13768:SF37', NULL, NULL, NULL, NULL, 'ALPHA-SOLUBLE NSF ATTACHMENT PROTEIN', NULL, NULL, NULL, 15),
(87334, NULL, 'PTHR23357:SF1', NULL, NULL, NULL, NULL, 'RENALASE', NULL, NULL, NULL, 15),
(87335, NULL, 'PTHR45669:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87336, NULL, 'PTHR46772:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH95-LIKE', NULL, NULL, NULL, 15),
(87337, NULL, 'PTHR11814:SF207', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 1.2', NULL, NULL, 24314, 15),
(87338, NULL, 'PTHR45764:SF19', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 53-LIKE', NULL, NULL, NULL, 15),
(87339, NULL, 'PTHR36464', NULL, NULL, NULL, NULL, 'PROTEIN BEAN1', NULL, NULL, 36175, 15),
(87340, NULL, 'PTHR43791:SF74', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17530)-RELATED', NULL, NULL, NULL, 15),
(87341, NULL, 'PTHR31080:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87342, NULL, 'PTHR24347:SF380', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE DDB_G0271550-RELATED', NULL, NULL, NULL, 15),
(87343, NULL, 'PTHR11010:SF75', NULL, NULL, NULL, NULL, 'OS10G0511600 PROTEIN', NULL, NULL, NULL, 15),
(87344, NULL, 'PTHR45925:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 217', NULL, NULL, NULL, 15),
(87345, NULL, 'PTHR11969:SF70', NULL, NULL, NULL, NULL, 'BNAA09G18120D PROTEIN', NULL, NULL, NULL, 15),
(87346, NULL, 'PTHR31639:SF186', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 13-LIKE', NULL, NULL, NULL, 15),
(87347, NULL, 'PTHR26453:SF215', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10AD1', NULL, NULL, NULL, 15),
(87348, NULL, 'PTHR13609:SF22', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87349, NULL, 'PTHR10763:SF29', NULL, NULL, NULL, NULL, 'ORC1-TYPE DNA REPLICATION PROTEIN 2', NULL, NULL, NULL, 15),
(87350, NULL, 'PTHR20855:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87351, NULL, 'PTHR21564:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 608', NULL, NULL, NULL, 15),
(87352, NULL, 'PTHR11685:SF278', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(87353, NULL, 'PTHR30212', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(87354, NULL, 'PTHR16146:SF38', NULL, NULL, NULL, NULL, 'INTELECTIN-1', NULL, NULL, NULL, 15),
(87355, NULL, 'PTHR32467:SF4', NULL, NULL, NULL, NULL, 'OS02G0499000 PROTEIN', NULL, NULL, NULL, 15),
(87356, NULL, 'PTHR20854:SF45', NULL, NULL, NULL, NULL, 'INOSITOL MONOPHOSPHATASE 3', NULL, NULL, NULL, 15),
(87357, NULL, 'PTHR42646', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE XNI', NULL, NULL, 33317, 15),
(87358, NULL, 'PTHR31479:SF18', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87359, NULL, 'PTHR21561:SF16', NULL, NULL, NULL, NULL, 'PAPA-1-LIKE FAMILY PROTEIN / ZINC FINGER (HIT TYPE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87360, NULL, 'PTHR24180:SF30', NULL, NULL, NULL, NULL, 'BNAC01G30990D PROTEIN', NULL, NULL, NULL, 15),
(87361, NULL, 'PTHR33476:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87362, NULL, 'PTHR35182:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG20471', NULL, NULL, NULL, 15),
(87363, NULL, 'PTHR24056:SF417', NULL, NULL, NULL, NULL, 'CONTROL PROTEIN 2 HOMOLOG 6, PUTATIVE-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87364, NULL, 'PTHR24404:SF35', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 639', NULL, NULL, NULL, 15),
(87365, NULL, 'PTHR43574:SF11', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87366, NULL, 'PTHR33596:SF20', NULL, NULL, NULL, NULL, 'COLD-REGULATED 413 PLASMA MEMBRANE PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(87367, NULL, 'PTHR33088:SF43', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(87368, NULL, 'PTHR45642:SF91', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87369, NULL, 'PTHR31985:SF207', NULL, NULL, NULL, NULL, 'AP2-EREBP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(87370, NULL, 'PTHR11827:SF68', NULL, NULL, NULL, NULL, 'CATION-CHLORIDE COTRANSPORTER 2', NULL, NULL, NULL, 15),
(87371, NULL, 'PTHR13183', NULL, NULL, NULL, NULL, 'AXONEMAL INNER ARM DYNEIN LIGHT CHAIN 28', NULL, NULL, 15966, 15),
(87372, NULL, 'PTHR14226:SF30', NULL, NULL, NULL, NULL, 'OS03G0810900 PROTEIN', NULL, NULL, NULL, 15),
(87373, NULL, 'PTHR13283:SF13', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(87374, NULL, 'PTHR23172:SF81', NULL, NULL, NULL, NULL, 'AUXILIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(87375, NULL, 'PTHR47785:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14530)-RELATED', NULL, NULL, NULL, 15),
(87376, NULL, 'PTHR32208:SF76', NULL, NULL, NULL, NULL, 'BNAC08G46840D PROTEIN', NULL, NULL, NULL, 15),
(87377, NULL, 'PTHR45648:SF84', NULL, NULL, NULL, NULL, 'BNAA09G41930D PROTEIN', NULL, NULL, NULL, 15),
(87378, NULL, 'PTHR21456:SF4', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 102 MEMBER BA', NULL, NULL, NULL, 15),
(87379, NULL, 'PTHR31769', NULL, NULL, NULL, NULL, 'OS07G0462200 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87380, NULL, 'PTHR31992:SF191', NULL, NULL, NULL, NULL, 'DOF DOMAIN ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(87381, NULL, 'PTHR46649', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87382, NULL, 'PTHR46077:SF1', NULL, NULL, NULL, NULL, 'TOPOISOMERASE I-BINDING, ARGININE/SERINE-RICH A-RELATED', NULL, NULL, NULL, 15),
(87383, NULL, 'PTHR11985:SF30', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(87384, NULL, 'PTHR23429:SF11', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(87385, NULL, 'PTHR34139:SF1', NULL, NULL, NULL, NULL, 'UPF0331 PROTEIN MJ0127', NULL, NULL, NULL, 15),
(87386, NULL, 'PTHR11959:SF1', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE', NULL, NULL, NULL, 15),
(87387, NULL, 'PTHR24068:SF318', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME/RWD-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87388, NULL, 'PTHR23070:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87389, NULL, 'PTHR11761:SF33', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23-LIKE', NULL, NULL, NULL, 15),
(87390, NULL, 'PTHR31259:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87391, NULL, 'PTHR42101', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(87392, NULL, 'PTHR10218:SF222', NULL, NULL, NULL, NULL, 'EXTRA-LARGE GUANINE NUCLEOTIDE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(87393, NULL, 'PTHR43820:SF4', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN LIVF', NULL, NULL, NULL, 15),
(87394, NULL, 'PTHR45968:SF19', NULL, NULL, NULL, NULL, 'GLUCOSE-METHANOL-CHOLINE (GMC) OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87395, NULL, 'PTHR31259', NULL, NULL, NULL, NULL, 'ENDOSOME-ASSOCIATED TRAFFICKING REGULATOR 1', NULL, NULL, 27718, 15),
(87396, NULL, 'PTHR45689:SF8', NULL, NULL, NULL, NULL, 'HYPERPOLARIZATION-ACTIVATED CYCLIC NUCLEOTIDE-GATED POTASSIUM CHANNEL 5', NULL, NULL, NULL, 15),
(87397, NULL, 'PTHR43939:SF63', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87398, NULL, 'PTHR11588:SF321', NULL, NULL, NULL, NULL, 'TUBULIN BETA-6 CHAIN', NULL, NULL, NULL, 15),
(87399, NULL, 'PTHR34298', NULL, NULL, NULL, NULL, 'SEGREGATION AND CONDENSATION PROTEIN B', NULL, NULL, 11460, 15),
(87400, NULL, 'PTHR32241:SF23', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(87401, NULL, 'PTHR11527:SF332', NULL, NULL, NULL, NULL, '17.5 KDA CLASS I HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(87402, NULL, 'PTHR12493', NULL, NULL, NULL, NULL, 'CUE DOMAIN CONTAINING 2', NULL, NULL, 36160, 15),
(87403, NULL, 'PTHR13130:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 27', NULL, NULL, NULL, 15),
(87404, NULL, 'PTHR24095:SF126', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(87405, NULL, 'PTHR11214:SF296', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(87406, NULL, 'PTHR11759:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87407, NULL, 'PTHR31549:SF137', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(87408, NULL, 'PTHR45654:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87409, NULL, 'PTHR33018', NULL, NULL, NULL, NULL, 'OS10G0338966 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87410, NULL, 'PTHR24298:SF81', NULL, NULL, NULL, NULL, 'ORYZALEXIN E SYNTHASE', NULL, NULL, NULL, 15),
(87411, NULL, 'PTHR31966:SF17', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN PHOS34-LIKE', NULL, NULL, NULL, 15),
(87412, NULL, 'PTHR10159:SF504', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE VHP-1', NULL, NULL, NULL, 15),
(87413, NULL, 'PTHR33077:SF84', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10A-LIKE', NULL, NULL, NULL, 15),
(87414, NULL, 'PTHR32499:SF10', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 18', NULL, NULL, NULL, 15),
(87415, NULL, 'PTHR23018:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', NULL, NULL, NULL, 15),
(87416, NULL, 'PTHR11903', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN G/H SYNTHASE', NULL, NULL, NULL, 15),
(87417, NULL, 'PTHR43114:SF6', NULL, NULL, NULL, NULL, 'ADENOSINE/ADENINE DEAMINASE-RELATED', NULL, NULL, NULL, 15),
(87418, NULL, 'PTHR24012:SF782', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87419, NULL, 'PTHR46311:SF4', NULL, NULL, NULL, NULL, 'CALNEURON 2', NULL, NULL, NULL, 15),
(87420, NULL, 'PTHR30520', NULL, NULL, NULL, NULL, 'FORMATE TRANSPORTER-RELATED', NULL, NULL, 944, 15),
(87421, NULL, 'PTHR42715', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(87422, NULL, 'PTHR10782:SF77', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF VARIEGATION 2-10, ISOFORM I', NULL, NULL, NULL, 15),
(87423, NULL, 'PTHR44215:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 75', NULL, NULL, NULL, 15),
(87424, NULL, 'PTHR46151:SF17', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(87425, NULL, 'PTHR24034:SF111', NULL, NULL, NULL, NULL, 'FI18763P1-RELATED', NULL, NULL, NULL, 15),
(87426, NULL, 'PTHR33083:SF94', NULL, NULL, NULL, NULL, 'BNAC03G59240D PROTEIN', NULL, NULL, NULL, 15),
(87427, NULL, 'PTHR24303:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 513D1-RELATED', NULL, NULL, NULL, 15),
(87428, NULL, 'PTHR47928:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87429, NULL, 'PTHR33941:SF11', NULL, NULL, NULL, NULL, 'PROPANEDIOL UTILIZATION PROTEIN PDUA', NULL, NULL, NULL, 15),
(87430, NULL, 'PTHR19376:SF57', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', NULL, NULL, NULL, 15),
(87431, NULL, 'PTHR33738:SF16', NULL, NULL, NULL, NULL, 'CELL WALL RBR3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87432, NULL, 'PTHR24241:SF20', NULL, NULL, NULL, NULL, 'VASOPRESSIN V2 RECEPTOR', NULL, NULL, NULL, 15),
(87433, NULL, 'PTHR43601:SF19', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(87434, NULL, 'PTHR22883:SF375', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 7-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87435, NULL, 'PTHR47999:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB32', NULL, NULL, NULL, 15),
(87436, NULL, 'PTHR45974:SF129', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87437, NULL, 'PTHR15298:SF16', NULL, NULL, NULL, NULL, 'GLYCINE N-ACYLTRANSFERASE-LIKE PROTEIN 1B-RELATED', NULL, NULL, NULL, 15),
(87438, NULL, 'PTHR24345:SF42', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK3', NULL, NULL, 20308, 15),
(87439, NULL, 'PTHR33384:SF31', NULL, NULL, NULL, NULL, 'BNAC08G40360D PROTEIN', NULL, NULL, NULL, 15),
(87440, NULL, 'PTHR47979:SF21', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1F-LIKE', NULL, NULL, NULL, 15),
(87441, NULL, 'PTHR42888', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L36, CHLOROPLASTIC', NULL, NULL, 6626, 15),
(87442, NULL, 'PTHR34553:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87443, NULL, 'PTHR15710:SF63', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87444, NULL, 'PTHR46352:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SENSITIVE TO PROTON RHIZOTOXICITY 1', NULL, NULL, NULL, 15),
(87445, NULL, 'PTHR36792:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(87446, NULL, 'PTHR46128:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87447, NULL, 'PTHR11575:SF43', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN PHOSPHATASE FAMILY (AFU_ORTHOLOGUE AFUA_3G04160)', NULL, NULL, 10438, 15),
(87448, NULL, 'PTHR43016:SF14', NULL, NULL, NULL, NULL, 'METALLOENZYME, LUXS/M16 PEPTIDASE-LIKE', NULL, NULL, NULL, 15),
(87449, NULL, 'PTHR31429:SF76', NULL, NULL, NULL, NULL, 'WRKY FAMILY TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(87450, NULL, 'PTHR24115:SF546', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF14', NULL, NULL, NULL, 15),
(87451, NULL, 'PTHR23150:SF26', NULL, NULL, NULL, NULL, 'HERCYNINE OXYGENASE', NULL, NULL, NULL, 15),
(87452, NULL, 'PTHR47176:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0020J04.13 PROTEIN', NULL, NULL, NULL, 15),
(87453, NULL, 'PTHR45663:SF28', NULL, NULL, NULL, NULL, 'BNAC03G69070D PROTEIN', NULL, NULL, NULL, 15),
(87454, NULL, 'PTHR32444', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87455, NULL, 'PTHR48021:SF45', NULL, NULL, NULL, NULL, 'OS03G0363500 PROTEIN', NULL, NULL, NULL, 15),
(87456, NULL, 'PTHR24020:SF34', NULL, NULL, NULL, NULL, 'FIBRONECTIN', NULL, NULL, NULL, 15),
(87457, NULL, 'PTHR38166', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87458, NULL, 'PTHR43112:SF11', NULL, NULL, NULL, NULL, 'FERREDOXIN-6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(87459, NULL, 'PTHR31126:SF42', NULL, NULL, NULL, NULL, 'OS06G0208700 PROTEIN', NULL, NULL, NULL, 15),
(87460, NULL, 'PTHR32175:SF24', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(87461, NULL, 'PTHR15241:SF328', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(87462, NULL, 'PTHR10168:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87463, NULL, 'PTHR23410:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L5', NULL, NULL, NULL, 15),
(87464, NULL, 'PTHR45732:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8A', NULL, NULL, NULL, 15),
(87465, NULL, 'PTHR46020:SF18', NULL, NULL, NULL, NULL, 'BNAA09G16180D PROTEIN', NULL, NULL, NULL, 15),
(87466, NULL, 'PTHR46335:SF1', NULL, NULL, NULL, NULL, 'CUBILIN', NULL, NULL, NULL, 15),
(87467, NULL, 'PTHR34802:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87468, NULL, 'PTHR16181:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FAM83G', NULL, NULL, NULL, 15),
(87469, NULL, 'PTHR11439:SF349', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87470, NULL, 'PTHR31062:SF197', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(87471, NULL, 'PTHR14096:SF34', NULL, NULL, NULL, NULL, 'SI:RP71-1G18.13', NULL, NULL, NULL, 15),
(87472, NULL, 'PTHR38894:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87473, NULL, 'PTHR10878', NULL, NULL, NULL, NULL, 'SEGMENT POLARITY PROTEIN DISHEVELLED', NULL, NULL, 8231, 15),
(87474, NULL, 'PTHR23316:SF78', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(87475, NULL, 'PTHR31343:SF43', NULL, NULL, NULL, NULL, 'BNAC06G23730D PROTEIN', NULL, NULL, NULL, 15),
(87476, NULL, 'PTHR24327:SF72', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NANOG-RELATED', NULL, NULL, NULL, 15),
(87477, NULL, 'PTHR24347:SF379', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(87478, NULL, 'PTHR31707:SF220', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 35-RELATED', NULL, NULL, NULL, 15),
(87479, NULL, 'PTHR46405:SF7', NULL, NULL, NULL, NULL, 'MND1-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(87480, NULL, 'PTHR34339', NULL, NULL, NULL, NULL, 'STIMULATOR OF INTERFERON GENES PROTEIN', NULL, NULL, 29420, 15),
(87481, NULL, 'PTHR31321:SF33', NULL, NULL, NULL, NULL, 'PECTINESTERASE 8-RELATED', NULL, NULL, NULL, 15),
(87482, NULL, 'PTHR31674:SF23', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM13', NULL, NULL, NULL, 15),
(87483, NULL, 'PTHR36726:SF3', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE401 PROTEIN', NULL, NULL, NULL, 15),
(87484, NULL, 'PTHR33573:SF22', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87485, NULL, 'PTHR31561:SF94', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(87486, NULL, 'PTHR48007:SF19', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 1', NULL, NULL, NULL, 15),
(87487, NULL, 'PTHR30437:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR GREB', NULL, NULL, NULL, 15),
(87488, NULL, 'PTHR13140:SF353', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IH', NULL, NULL, NULL, 15),
(87489, NULL, 'PTHR21213:SF22', NULL, NULL, NULL, NULL, 'PROTEIN METHYLENE BLUE SENSITIVITY 2', NULL, NULL, NULL, 15),
(87490, NULL, 'PTHR22835:SF506', NULL, NULL, NULL, NULL, 'OS01G0223200 PROTEIN', NULL, NULL, NULL, 15),
(87491, NULL, 'PTHR15036', NULL, NULL, NULL, NULL, 'PIKACHURIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87492, NULL, 'PTHR36955', NULL, NULL, NULL, NULL, 'SECRETED NEMATODE CLADE V PROTEIN GENE FAMILY', NULL, NULL, NULL, 15),
(87493, NULL, 'PTHR46693', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 15', NULL, NULL, 37050, 15),
(87494, NULL, 'PTHR48007', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXC1', NULL, NULL, NULL, 15),
(87495, NULL, 'PTHR10641:SF1122', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(87496, NULL, 'PTHR19367:SF5', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 9D-4-RELATED', NULL, NULL, NULL, 15),
(87497, NULL, 'PTHR10890:SF24', NULL, NULL, NULL, NULL, 'OS10G0463100 PROTEIN', NULL, NULL, NULL, 15),
(87498, NULL, 'PTHR44329:SF201', NULL, NULL, NULL, NULL, 'BNAA05G33820D PROTEIN', NULL, NULL, NULL, 15),
(87499, NULL, 'PTHR34481:SF5', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE/TRYPSIN INHIBITOR CM3', NULL, NULL, NULL, 15),
(87500, NULL, 'PTHR10288:SF303', NULL, NULL, NULL, NULL, 'BNAA09G45750D PROTEIN', NULL, NULL, NULL, 15),
(87501, NULL, 'PTHR45619:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(87502, NULL, 'PTHR26312:SF116', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(87503, NULL, 'PTHR24343:SF325', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK5', NULL, NULL, NULL, 15),
(87504, NULL, 'PTHR30620:SF33', NULL, NULL, NULL, NULL, 'BETA-D-GLUCAN EXOHYDROLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87505, NULL, 'PTHR12265:SF9', NULL, NULL, NULL, NULL, 'DUF829 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(87506, NULL, 'PTHR14207:SF4', NULL, NULL, NULL, NULL, 'EMOPAMIL-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(87507, NULL, 'PTHR19229:SF236', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 12', NULL, NULL, NULL, 15),
(87508, NULL, 'PTHR13947', NULL, NULL, NULL, NULL, 'GNAT FAMILY N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87509, NULL, 'PTHR39441:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87510, NULL, 'PTHR15717', NULL, NULL, NULL, NULL, 'PROTEIN KIAA0494', NULL, NULL, 37065, 15),
(87511, NULL, 'PTHR15859', NULL, NULL, NULL, NULL, 'SETA BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(87512, NULL, 'PTHR11732:SF458', NULL, NULL, NULL, NULL, 'BNAC03G74940D PROTEIN', NULL, NULL, NULL, 15),
(87513, NULL, 'PTHR46193', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE PHOSPHATASE', NULL, NULL, NULL, 15),
(87514, NULL, 'PTHR27000:SF191', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(87515, NULL, 'PTHR33975:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87516, NULL, 'PTHR13693:SF83', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE, LONG CHAIN BASE SUBUNIT 2B', NULL, NULL, NULL, 15),
(87517, NULL, 'PTHR24369:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87518, NULL, 'PTHR11375:SF0', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY MEMBER A', NULL, NULL, NULL, 15),
(87519, NULL, 'PTHR11461:SF314', NULL, NULL, NULL, NULL, 'SERPIN-ZXA-LIKE', NULL, NULL, NULL, 15),
(87520, NULL, 'PTHR13832:SF783', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE, MG2+/MN2+-DEPENDENT, 1J', NULL, NULL, NULL, 15),
(87521, NULL, 'PTHR10797:SF49', NULL, NULL, NULL, NULL, 'OS06G0503900 PROTEIN', NULL, NULL, NULL, 15),
(87522, NULL, 'PTHR48011:SF79', NULL, NULL, NULL, NULL, 'KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87523, NULL, 'PTHR10566:SF45', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(87524, NULL, 'PTHR48013:SF3', NULL, NULL, NULL, NULL, 'SAPK/ERK KINASE', NULL, NULL, NULL, 15),
(87525, NULL, 'PTHR15184:SF58', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(87526, NULL, 'PTHR23024:SF496', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87527, NULL, 'PTHR27003:SF367', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87528, NULL, 'PTHR12080:SF56', NULL, NULL, NULL, NULL, 'NATURAL KILLER CELL RECEPTOR 2B4', NULL, NULL, 16267, 15),
(87529, NULL, 'PTHR46915:SF12', NULL, NULL, NULL, NULL, 'BNAANNG03310D PROTEIN', NULL, NULL, NULL, 15),
(87530, NULL, 'PTHR34826:SF2', NULL, NULL, NULL, NULL, 'UPF0590 PROTEIN C409.17C', NULL, NULL, NULL, 15),
(87531, NULL, 'PTHR23116:SF29', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(87532, NULL, 'PTHR46344:SF4', NULL, NULL, NULL, NULL, 'KELCH REPEAT CONTAINING F-BOX PROTEIN FAMILY-LIKE', NULL, NULL, NULL, 15),
(87533, NULL, 'PTHR10174:SF223', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN PINTA', NULL, NULL, NULL, 15),
(87534, NULL, 'PTHR36777', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(87535, NULL, 'PTHR11736:SF83', NULL, NULL, NULL, NULL, 'TROPHININ', NULL, NULL, NULL, 15),
(87536, NULL, 'PTHR35614:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87537, NULL, 'PTHR41533:SF1', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE HI_1667-RELATED', NULL, NULL, NULL, 15),
(87538, NULL, 'PTHR35807:SF3', NULL, NULL, NULL, NULL, 'BLL5740 PROTEIN', NULL, NULL, NULL, 15),
(87539, NULL, 'PTHR33132:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87540, NULL, 'PTHR12552:SF1', NULL, NULL, NULL, NULL, 'GTPASE REGULATOR ASSOCIATED WITH FAK, ISOFORM G', NULL, NULL, NULL, 15),
(87541, NULL, 'PTHR36223:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87542, NULL, 'PTHR34461:SF4', NULL, NULL, NULL, NULL, 'OS01G0101800 PROTEIN', NULL, NULL, NULL, 15),
(87543, NULL, 'PTHR23359:SF85', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE', NULL, NULL, NULL, 15),
(87544, NULL, 'PTHR11960:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87545, NULL, 'PTHR44419:SF11', NULL, NULL, NULL, NULL, 'NADPH-PROTOCHLOROPHYLLIDE OXIDOREDUCTASE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87546, NULL, 'PTHR47977:SF2', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABD2A-LIKE', NULL, NULL, NULL, 15),
(87547, NULL, 'PTHR31692:SF88', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN B1', NULL, NULL, NULL, 15),
(87548, NULL, 'PTHR24068:SF153', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 W', NULL, NULL, NULL, 15),
(87549, NULL, 'PTHR45746:SF8', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN-SIGNALING 9A', NULL, NULL, NULL, 15),
(87550, NULL, 'PTHR31168:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87551, NULL, 'PTHR11471:SF24', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 15', NULL, NULL, 5450, 15),
(87552, NULL, 'PTHR18966:SF379', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(87553, NULL, 'PTHR31213:SF156', NULL, NULL, NULL, NULL, 'PYR1-LIKE 3', NULL, NULL, NULL, 15),
(87554, NULL, 'PTHR16566', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-II', NULL, NULL, 5391, 15),
(87555, NULL, 'PTHR13878:SF67', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE 5', NULL, NULL, NULL, 15),
(87556, NULL, 'PTHR45621:SF190', NULL, NULL, NULL, NULL, 'OS07G0495150 PROTEIN', NULL, NULL, NULL, 15),
(87557, NULL, 'PTHR19879:SF5', NULL, NULL, NULL, NULL, 'LD16387P', NULL, NULL, NULL, 15),
(87558, NULL, 'PTHR11328:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87559, NULL, 'PTHR31681:SF41', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF295)-RELATED', NULL, NULL, NULL, 15),
(87560, NULL, 'PTHR31472:SF23', NULL, NULL, NULL, NULL, 'F11M21.26 PROTEIN', NULL, NULL, NULL, 15),
(87561, NULL, 'PTHR45859', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT BETA', NULL, NULL, NULL, 15),
(87562, NULL, 'PTHR47972:SF34', NULL, NULL, NULL, NULL, 'P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87563, NULL, 'PTHR21472', NULL, NULL, NULL, NULL, 'ENDONUCLEASE DOMAIN-CONTAINING 1 PROTEIN ENDOD1', NULL, NULL, 29358, 15),
(87564, NULL, 'PTHR31134', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 128', NULL, NULL, 34050, 15),
(87565, NULL, 'PTHR24078:SF539', NULL, NULL, NULL, NULL, 'OS05G0427900 PROTEIN', NULL, NULL, NULL, 15),
(87566, NULL, 'PTHR23262:SF209', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-12-RELATED', NULL, NULL, NULL, 15),
(87567, NULL, 'PTHR10671:SF82', NULL, NULL, NULL, NULL, 'FI18012P1', NULL, NULL, NULL, 15),
(87568, NULL, 'PTHR33320:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87569, NULL, 'PTHR31750:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87570, NULL, 'PTHR15598', NULL, NULL, NULL, NULL, 'ENHANCER OF MRNA-DECAPPING PROTEIN 4', NULL, NULL, 39407, 15),
(87571, NULL, 'PTHR31668:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN DAL81', NULL, NULL, NULL, 15),
(87572, NULL, 'PTHR24347:SF411', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87573, NULL, 'PTHR27008:SF470', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87574, NULL, 'PTHR12542:SF117', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87575, NULL, 'PTHR38564:SF2', NULL, NULL, NULL, NULL, 'SI:CH73-250A16.5', NULL, NULL, NULL, 15),
(87576, NULL, 'PTHR10653:SF5', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(87577, NULL, 'PTHR21446:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87578, NULL, 'PTHR31907:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87579, NULL, 'PTHR11476', NULL, NULL, NULL, NULL, 'HISTIDYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(87580, NULL, 'PTHR30146:SF115', NULL, NULL, NULL, NULL, 'CATABOLITE CONTROL PROTEIN A', NULL, NULL, NULL, 15),
(87581, NULL, 'PTHR14195', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(87582, NULL, 'PTHR20889:SF5', NULL, NULL, NULL, NULL, 'OS02G0226200 PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87583, NULL, 'PTHR31741:SF66', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 20', NULL, NULL, NULL, 15),
(87584, NULL, 'PTHR22596', NULL, NULL, NULL, NULL, 'TRYPSIN-LIKE PROTEASE PROTEIN 6', NULL, NULL, NULL, 15),
(87585, NULL, 'PTHR45630:SF8', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(87586, NULL, 'PTHR45811:SF45', NULL, NULL, NULL, NULL, 'BNAA09G05140D PROTEIN', NULL, NULL, NULL, 15),
(87587, NULL, 'PTHR48112:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87588, NULL, 'PTHR46133:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH115', NULL, NULL, NULL, 15),
(87589, NULL, 'PTHR10896:SF59', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX9-RELATED', NULL, NULL, NULL, 15),
(87590, NULL, 'PTHR46261:SF3', NULL, NULL, NULL, NULL, 'HMG PROTEIN', NULL, NULL, NULL, 15),
(87591, NULL, 'PTHR43669:SF6', NULL, NULL, NULL, NULL, 'DECAPRENYLPHOSPHORYL-2-KETO-BETA-D-ERYTHRO-PENTOSE REDUCTASE', NULL, NULL, NULL, 15),
(87592, NULL, 'PTHR10033', NULL, NULL, NULL, NULL, 'CALSEQUESTRIN', NULL, NULL, 6810, 15),
(87593, NULL, 'PTHR11207:SF1', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 1', NULL, NULL, 26817, 15),
(87594, NULL, 'PTHR23500', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER', NULL, NULL, 38005, 15),
(87595, NULL, 'PTHR11594:SF11', NULL, NULL, NULL, NULL, 'LRRGT00162', NULL, NULL, NULL, 15),
(87596, NULL, 'PTHR33070:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87597, NULL, 'PTHR22811:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87598, NULL, 'PTHR23138:SF143', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 1 HOMOLOG A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(87599, NULL, 'PTHR31241:SF41', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2D', NULL, NULL, NULL, 15),
(87600, NULL, 'PTHR14017:SF5', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 6B', NULL, NULL, 22893, 15),
(87601, NULL, 'PTHR22847:SF679', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87602, NULL, 'PTHR45924:SF3', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 2', NULL, NULL, NULL, 15),
(87603, NULL, 'PTHR13142', NULL, NULL, NULL, NULL, 'INNER CENTROMERE PROTEIN', NULL, NULL, 30276, 15),
(87604, NULL, 'PTHR47855', NULL, NULL, NULL, NULL, 'OS01G0525701 PROTEIN', NULL, NULL, NULL, 15),
(87605, NULL, 'PTHR10366:SF451', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87606, NULL, 'PTHR30188:SF14', NULL, NULL, NULL, NULL, 'BNAA06G38530D PROTEIN', NULL, NULL, NULL, 15),
(87607, NULL, 'PTHR45614:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87608, NULL, 'PTHR11614:SF160', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87609, NULL, 'PTHR46600:SF1', NULL, NULL, NULL, NULL, 'AGAP007257-PA', NULL, NULL, NULL, 15),
(87610, NULL, 'PTHR19282:SF444', NULL, NULL, NULL, NULL, 'TETRASPANIN TSPE-RELATED', NULL, NULL, NULL, 15),
(87611, NULL, 'PTHR35134:SF2', NULL, NULL, NULL, NULL, 'NUCLEOTIDASE YQFW-RELATED', NULL, NULL, NULL, 15),
(87612, NULL, 'PTHR28635:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE INNER EAR EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(87613, NULL, 'PTHR18945:SF385', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT BETA-4', NULL, NULL, NULL, 15),
(87614, NULL, 'PTHR47956:SF50', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DIHYDROCAMALEXATE SYNTHASE/CAMALEXIN SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(87615, NULL, 'PTHR26450:SF16', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(87616, NULL, 'PTHR23352', NULL, NULL, NULL, NULL, 'NEURAL PROLIFERATION DIFFERENTIATION AND CONTROL PROTEIN-1  NPDC-1 PROTEIN', NULL, NULL, 11346, 15),
(87617, NULL, 'PTHR10829:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87618, NULL, 'PTHR34291:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87619, NULL, 'PTHR19375:SF397', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 9, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(87620, NULL, 'PTHR12271:SF95', NULL, NULL, NULL, NULL, 'POLY(U) POLYMERASE', NULL, NULL, NULL, 15),
(87621, NULL, 'PTHR10462', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', NULL, NULL, 10485, 15),
(87622, NULL, 'PTHR35368:SF1', NULL, NULL, NULL, NULL, 'HYDROPEROXIDE REDUCTASE', NULL, NULL, NULL, 15),
(87623, NULL, 'PTHR30330:SF7', NULL, NULL, NULL, NULL, 'SODIUM/PROTON-DEPENDENT ALANINE CARRIER PROTEIN YRBD-RELATED', NULL, NULL, NULL, 15),
(87624, NULL, 'PTHR15315:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87625, NULL, 'PTHR24230:SF64', NULL, NULL, NULL, NULL, 'KISS1 RECEPTOR A', NULL, NULL, NULL, 15),
(87626, NULL, 'PTHR45932:SF19', NULL, NULL, NULL, NULL, 'PATELLIN-4-LIKE', NULL, NULL, NULL, 15),
(87627, NULL, 'PTHR31374:SF288', NULL, NULL, NULL, NULL, 'BNAC03G27910D PROTEIN', NULL, NULL, NULL, 15),
(87628, NULL, 'PTHR42951:SF14', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE MJ0296-RELATED', NULL, NULL, NULL, 15),
(87629, NULL, 'PTHR30632:SF6', NULL, NULL, NULL, NULL, 'MOLYBDENUM-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(87630, NULL, 'PTHR26451:SF405', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 530-RELATED', NULL, NULL, NULL, 15),
(87631, NULL, 'PTHR47933:SF34', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87632, NULL, 'PTHR33142:SF55', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR14', NULL, NULL, NULL, 15),
(87633, NULL, 'PTHR35684', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87634, NULL, 'PTHR21340:SF5', NULL, NULL, NULL, NULL, 'MUTT-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87635, NULL, 'PTHR38542', NULL, NULL, NULL, NULL, 'OS04G0450500 PROTEIN', NULL, NULL, NULL, 15),
(87636, NULL, 'PTHR24231:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87637, NULL, 'PTHR46236:SF11', NULL, NULL, NULL, NULL, 'TRAF-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87638, NULL, 'PTHR13780:SF128', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX5', NULL, NULL, NULL, 15),
(87639, NULL, 'PTHR46243:SF1', NULL, NULL, NULL, NULL, 'BIS(5''-ADENOSYL)-TRIPHOSPHATASE', NULL, NULL, NULL, 15),
(87640, NULL, 'PTHR10026:SF124', NULL, NULL, NULL, NULL, 'CYCLIN-T1-3', NULL, NULL, NULL, 15),
(87641, NULL, 'PTHR34134:SF2', NULL, NULL, NULL, NULL, 'SLR0240 PROTEIN', NULL, NULL, NULL, 15),
(87642, NULL, 'PTHR12805:SF2', NULL, NULL, NULL, NULL, 'BNAA05G13760D PROTEIN', NULL, NULL, NULL, 15),
(87643, NULL, 'PTHR31182:SF17', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 PROTEIN AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(87644, NULL, 'PTHR43139:SF13', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87645, NULL, 'PTHR42895', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87646, NULL, 'PTHR22767:SF2', NULL, NULL, NULL, NULL, 'N(ALPHA)-ACETYLTRANSFERASE 15/16, ISOFORM A', NULL, NULL, NULL, 15),
(87647, NULL, 'PTHR21503:SF32', NULL, NULL, NULL, NULL, 'PROTEIN CBG10639', NULL, NULL, NULL, 15),
(87648, NULL, 'PTHR15186:SF5', NULL, NULL, NULL, NULL, 'RE48077P', NULL, NULL, NULL, 15),
(87649, NULL, 'PTHR31834:SF1', NULL, NULL, NULL, NULL, 'INITIATION-SPECIFIC ALPHA-1,6-MANNOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(87650, NULL, 'PTHR11817:SF99', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(87651, NULL, 'PTHR47322:SF7', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15),
(87652, NULL, 'PTHR23058:SF13', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX14-LIKE', NULL, NULL, NULL, 15),
(87653, NULL, 'PTHR19981:SF33', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN C', NULL, NULL, NULL, 15),
(87654, NULL, 'PTHR13556', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER 3-RELATED', NULL, NULL, 15789, 15),
(87655, NULL, 'PTHR47074:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87656, NULL, 'PTHR27006:SF389', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87657, NULL, 'PTHR31618:SF26', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(87658, NULL, 'PTHR45786:SF45', NULL, NULL, NULL, NULL, 'BNAA03G53790D PROTEIN', NULL, NULL, NULL, 15),
(87659, NULL, 'PTHR13490:SF0', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S35, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(87660, NULL, 'PTHR47990:SF132', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP1-RELATED', NULL, NULL, NULL, 15),
(87661, NULL, 'PTHR32387:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87662, NULL, 'PTHR24393:SF85', NULL, NULL, NULL, NULL, 'FI01120P', NULL, NULL, NULL, 15),
(87663, NULL, 'PTHR31325:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87664, NULL, 'PTHR23113:SF180', NULL, NULL, NULL, NULL, 'RAS-SPECIFIC GUANINE NUCLEOTIDE-RELEASING FACTOR RALGPS2', NULL, NULL, 24454, 15),
(87665, NULL, 'PTHR11903:SF6', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN G/H SYNTHASE 1', NULL, NULL, 26906, 15),
(87666, NULL, 'PTHR46288:SF13', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87667, NULL, 'PTHR10533:SF16', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y', NULL, NULL, NULL, 15),
(87668, NULL, 'PTHR35742:SF1', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 16.5 KDA PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(87669, NULL, 'PTHR31458', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE 1 BETA-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(87670, NULL, 'PTHR22943:SF97', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(87671, NULL, 'PTHR43056:SF5', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87672, NULL, 'PTHR11732:SF134', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER C4', NULL, NULL, NULL, 15),
(87673, NULL, 'PTHR16489:SF12', NULL, NULL, NULL, NULL, 'GH11727P', NULL, NULL, NULL, 15),
(87674, NULL, 'PTHR45972', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87675, NULL, 'PTHR48047:SF84', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(87676, NULL, 'PTHR12015:SF151', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 3-LIKE 1', NULL, NULL, NULL, 15),
(87677, NULL, 'PTHR43880:SF44', NULL, NULL, NULL, NULL, 'OS03G0189600 PROTEIN', NULL, NULL, NULL, 15),
(87678, NULL, 'PTHR24012:SF455', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 7', NULL, NULL, NULL, 15),
(87679, NULL, 'PTHR47992:SF52', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 49-RELATED', NULL, NULL, NULL, 15),
(87680, NULL, 'PTHR37723', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED ELONGATED HYPOCOTYL 1', NULL, NULL, 35163, 15),
(87681, NULL, 'PTHR22980', NULL, NULL, NULL, NULL, 'CORTISTATIN', NULL, NULL, NULL, 15),
(87682, NULL, 'PTHR11414:SF17', NULL, NULL, NULL, NULL, 'MCG130173-RELATED', NULL, NULL, NULL, 15),
(87683, NULL, 'PTHR31907:SF12', NULL, NULL, NULL, NULL, 'BNAC07G13220D PROTEIN', NULL, NULL, NULL, 15),
(87684, NULL, 'PTHR22957:SF584', NULL, NULL, NULL, NULL, 'TBC DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(87685, NULL, 'PTHR47961:SF2', NULL, NULL, NULL, NULL, 'DEAD/DEAH BOX HELICASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(87686, NULL, 'PTHR11017:SF382', NULL, NULL, NULL, NULL, 'BNAA02G23800D PROTEIN', NULL, NULL, NULL, 15),
(87687, NULL, 'PTHR14058:SF10', NULL, NULL, NULL, NULL, 'AMYLOID-BETA A4 PRECURSOR PROTEIN-BINDING FAMILY B MEMBER 3', NULL, NULL, NULL, 15),
(87688, NULL, 'PTHR43157:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87689, NULL, 'PTHR31769:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87690, NULL, 'PTHR24349:SF432', NULL, NULL, NULL, NULL, 'BNAC07G32550D PROTEIN', NULL, NULL, NULL, 15),
(87691, NULL, 'PTHR42076:SF1', NULL, NULL, NULL, NULL, 'CYANOVIRIN-N HOMOLOG', NULL, NULL, NULL, 15),
(87692, NULL, 'PTHR33065:SF64', NULL, NULL, NULL, NULL, 'OS12G0619700 PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87693, NULL, 'PTHR26454:SF6', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(87694, NULL, 'PTHR43215', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87695, NULL, 'PTHR32410:SF188', NULL, NULL, NULL, NULL, 'BNAC01G29790D PROTEIN', NULL, NULL, NULL, 15),
(87696, NULL, 'PTHR15171:SF2', NULL, NULL, NULL, NULL, 'EMERIN', NULL, NULL, NULL, 15),
(87697, NULL, 'PTHR31181:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87698, NULL, 'PTHR47464:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 17572, 15),
(87699, NULL, 'PTHR22883:SF323', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 19-RELATED', NULL, NULL, NULL, 15),
(87700, NULL, 'PTHR16206:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87701, NULL, 'PTHR11088:SF56', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE 7, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(87702, NULL, 'PTHR22597:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87703, NULL, 'PTHR37784:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MSN1', NULL, NULL, NULL, 15),
(87704, NULL, 'PTHR47432:SF1', NULL, NULL, NULL, NULL, 'CELL WALL ASSEMBLY REGULATOR SMI1', NULL, NULL, NULL, 15),
(87705, NULL, 'PTHR31623:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87706, NULL, 'PTHR11654:SF432', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.2-LIKE', NULL, NULL, NULL, 15),
(87707, NULL, 'PTHR22883:SF347', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(87708, NULL, 'PTHR10044:SF163', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(87709, NULL, 'PTHR22594:SF16', NULL, NULL, NULL, NULL, 'ASPARAGINE--TRNA LIGASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(87710, NULL, 'PTHR38160:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 13', NULL, NULL, NULL, 15),
(87711, NULL, 'PTHR42893:SF34', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(87712, NULL, 'PTHR10871:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87713, NULL, 'PTHR34261:SF1', NULL, NULL, NULL, NULL, 'APC REGULATOR OF WNT-SIGNALING PATHWAY-RELATED', NULL, NULL, NULL, 15),
(87714, NULL, 'PTHR31515:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87715, NULL, 'PTHR48049:SF87', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71B7-RELATED', NULL, NULL, NULL, 15),
(87716, NULL, 'PTHR45624:SF39', NULL, NULL, NULL, NULL, 'SUBSTRATE CARRIER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87717, NULL, 'PTHR46410:SF10', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(87718, NULL, 'PTHR43811:SF12', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 9B', NULL, NULL, NULL, 15),
(87719, NULL, 'PTHR22792:SF61', NULL, NULL, NULL, NULL, 'LA RIBONUCLEOPROTEIN DOMAIN FAMILY, MEMBER 6B', NULL, NULL, NULL, 15),
(87720, NULL, 'PTHR47094:SF10', NULL, NULL, NULL, NULL, 'BNAA02G30370D PROTEIN', NULL, NULL, NULL, 15),
(87721, NULL, 'PTHR47513:SF1', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER', NULL, NULL, NULL, 15),
(87722, NULL, 'PTHR31564', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 16', NULL, NULL, 27144, 15),
(87723, NULL, 'PTHR31081:SF13', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 4', NULL, NULL, NULL, 15),
(87724, NULL, 'PTHR31358:SF15', NULL, NULL, NULL, NULL, 'OS06G0606800 PROTEIN', NULL, NULL, NULL, 15),
(87725, NULL, 'PTHR13018:SF93', NULL, NULL, NULL, NULL, 'PROTEIN OSCA1', NULL, NULL, NULL, 15),
(87726, NULL, 'PTHR10997:SF27', NULL, NULL, NULL, NULL, 'IMPORTIN-7', NULL, NULL, NULL, 15),
(87727, NULL, 'PTHR47978:SF36', NULL, NULL, NULL, NULL, 'SEPTUM-PROMOTING GTP-BINDING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(87728, NULL, 'PTHR24219', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN JUB', NULL, NULL, NULL, 15),
(87729, NULL, 'PTHR33287:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87730, NULL, 'PTHR12984', NULL, NULL, NULL, NULL, 'SCY1-RELATED S/T PROTEIN KINASE-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87731, NULL, 'PTHR12271:SF111', NULL, NULL, NULL, NULL, 'TERMINAL URIDYLYLTRANSFERASE TAILOR', NULL, NULL, NULL, 15),
(87732, NULL, 'PTHR31625:SF58', NULL, NULL, NULL, NULL, '5-AROMATIC ACYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(87733, NULL, 'PTHR48027:SF4', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 87F-RELATED', NULL, NULL, NULL, 15),
(87734, NULL, 'PTHR46078:SF3', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J3', NULL, NULL, NULL, 15),
(87735, NULL, 'PTHR34569:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87736, NULL, 'PTHR22931:SF9', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(87737, NULL, 'PTHR32468:SF107', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', NULL, NULL, NULL, 15),
(87738, NULL, 'PTHR18957:SF0', NULL, NULL, NULL, NULL, 'CENTLEIN', NULL, NULL, NULL, 15),
(87739, NULL, 'PTHR24412:SF459', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(87740, NULL, 'PTHR23345', NULL, NULL, NULL, NULL, 'VITELLOGENIN-RELATED', NULL, NULL, NULL, 15),
(87741, NULL, 'PTHR47997:SF18', NULL, NULL, NULL, NULL, 'OS07G0497500 PROTEIN', NULL, NULL, NULL, 15),
(87742, NULL, 'PTHR10656:SF30', NULL, NULL, NULL, NULL, 'PROTEIN MAB-21-LIKE 3', NULL, NULL, 29092, 15),
(87743, NULL, 'PTHR27006:SF379', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87744, NULL, 'PTHR11207:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87745, NULL, 'PTHR10615:SF173', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87746, NULL, 'PTHR21348:SF2', NULL, NULL, NULL, NULL, 'SULFIREDOXIN-1', NULL, NULL, NULL, 15),
(87747, NULL, 'PTHR33649:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87748, NULL, 'PTHR26379:SF332', NULL, NULL, NULL, NULL, 'OS08G0128900 PROTEIN', NULL, NULL, NULL, 15),
(87749, NULL, 'PTHR42240:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87750, NULL, 'PTHR45637:SF68', NULL, NULL, NULL, NULL, 'BNAC03G12530D PROTEIN', NULL, NULL, NULL, 15),
(87751, NULL, 'PTHR31901:SF78', NULL, NULL, NULL, NULL, 'BNAA07G01920D PROTEIN', NULL, NULL, NULL, 15),
(87752, NULL, 'PTHR31190:SF277', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87753, NULL, 'PTHR22811:SF161', NULL, NULL, NULL, NULL, 'BNAC02G34920D PROTEIN', NULL, NULL, NULL, 15),
(87754, NULL, 'PTHR44156:SF10', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 7', NULL, NULL, NULL, 15),
(87755, NULL, 'PTHR23064:SF41', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 6', NULL, NULL, NULL, 15),
(87756, NULL, 'PTHR13683:SF824', NULL, NULL, NULL, NULL, 'BNAANNG03840D PROTEIN', NULL, NULL, NULL, 15),
(87757, NULL, 'PTHR24012:SF695', NULL, NULL, NULL, NULL, 'OS12G0577100 PROTEIN', NULL, NULL, NULL, 15),
(87758, NULL, 'PTHR11588:SF370', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(87759, NULL, 'PTHR45648:SF68', NULL, NULL, NULL, NULL, 'LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(87760, NULL, 'PTHR47926:SF185', NULL, NULL, NULL, NULL, 'OS06G0472300 PROTEIN', NULL, NULL, NULL, 15),
(87761, NULL, 'PTHR11685:SF99', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF144A', NULL, NULL, NULL, 15),
(87762, NULL, 'PTHR13832:SF627', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE [ACETYL-TRANSFERRING]]-PHOSPHATASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(87763, NULL, 'PTHR37610:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87764, NULL, 'PTHR23266:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87765, NULL, 'PTHR48053:SF11', NULL, NULL, NULL, NULL, 'PROTEIN BRASSINOSTEROID INSENSITIVE 1', NULL, NULL, NULL, 15),
(87766, NULL, 'PTHR11532:SF84', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE M', NULL, NULL, NULL, 15),
(87767, NULL, 'PTHR43497:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87768, NULL, 'PTHR39429:SF3', NULL, NULL, NULL, NULL, 'LIGHT-INDEPENDENT PROTOCHLOROPHYLLIDE REDUCTASE SUBUNIT N', NULL, NULL, NULL, 15),
(87769, NULL, 'PTHR35360:SF2', NULL, NULL, NULL, NULL, 'OS01G0324125 PROTEIN', NULL, NULL, NULL, 15),
(87770, NULL, 'PTHR24393:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 628', NULL, NULL, NULL, 15),
(87771, NULL, 'PTHR14614:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87772, NULL, 'PTHR28242:SF41', NULL, NULL, NULL, NULL, 'HISTIDINE CONTAINING PHOSPHOTRANSFER PROTEIN', NULL, NULL, NULL, 15),
(87773, NULL, 'PTHR22957:SF555', NULL, NULL, NULL, NULL, 'BNAC04G48970D PROTEIN', NULL, NULL, NULL, 15),
(87774, NULL, 'PTHR24055:SF452', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(87775, NULL, 'PTHR34861:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87776, NULL, 'PTHR24355:SF18', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE', NULL, NULL, NULL, 15),
(87777, NULL, 'PTHR38389', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(87778, NULL, 'PTHR32246:SF87', NULL, NULL, NULL, NULL, 'PROTEIN SRC2-LIKE', NULL, NULL, NULL, 15),
(87779, NULL, 'PTHR45687:SF49', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-7-LIKE', NULL, NULL, NULL, 15),
(87780, NULL, 'PTHR24637:SF357', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(87781, NULL, 'PTHR45942:SF4', NULL, NULL, NULL, NULL, 'CALCINEURIN SUBUNIT B TYPE 2', NULL, NULL, NULL, 15),
(87782, NULL, 'PTHR10639:SF30', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(87783, NULL, 'PTHR34040:SF2', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLIQ', NULL, NULL, NULL, 15),
(87784, NULL, 'PTHR22870:SF402', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION 1/BETA-LACTAMASE-INHIBITOR PROTEIN II-RELATED', NULL, NULL, NULL, 15),
(87785, NULL, 'PTHR39649', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L40E', NULL, NULL, 16650, 15),
(87786, NULL, 'PTHR43591:SF64', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(87787, NULL, 'PTHR31744:SF112', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 3-LIKE', NULL, NULL, NULL, 15),
(87788, NULL, 'PTHR11003:SF264', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, SUBFAMILY K, MEMBER 12-LIKE-RELATED', NULL, NULL, NULL, 15),
(87789, NULL, 'PTHR14375:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 4931414P19', NULL, NULL, NULL, 15),
(87790, NULL, 'PTHR10795:SF564', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.1', NULL, NULL, NULL, 15),
(87791, NULL, 'PTHR12040:SF18', NULL, NULL, NULL, NULL, 'HISTONE CHAPERONE ASF1B-RELATED', NULL, NULL, NULL, 15),
(87792, NULL, 'PTHR22997:SF6', NULL, NULL, NULL, NULL, 'PIH1 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(87793, NULL, 'PTHR13115:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 19', NULL, NULL, NULL, 15),
(87794, NULL, 'PTHR11654:SF297', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.3', NULL, NULL, NULL, 15),
(87795, NULL, 'PTHR11528:SF96', NULL, NULL, NULL, NULL, 'ENDOPLASMIN', NULL, NULL, NULL, 15),
(87796, NULL, 'PTHR15947', NULL, NULL, NULL, NULL, 'SGRF', NULL, NULL, 11025, 15),
(87797, NULL, 'PTHR31918:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 181', NULL, NULL, NULL, 15),
(87798, NULL, 'PTHR46553:SF3', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87799, NULL, 'PTHR31683:SF125', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(87800, NULL, 'PTHR24281:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87801, NULL, 'PTHR11771:SF153', NULL, NULL, NULL, NULL, 'LIPOXYGENASE 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(87802, NULL, 'PTHR47935:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MRL1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(87803, NULL, 'PTHR11802:SF190', NULL, NULL, NULL, NULL, 'PHEROMONE-PROCESSING CARBOXYPEPTIDASE KEX1', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87804, NULL, 'PTHR47422:SF1', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(87805, NULL, 'PTHR37346', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 19', NULL, NULL, 24163, 15),
(87806, NULL, 'PTHR15852:SF57', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87807, NULL, 'PTHR31048:SF131', NULL, NULL, NULL, NULL, 'OS04G0576600 PROTEIN', NULL, NULL, NULL, 15),
(87808, NULL, 'PTHR13832:SF767', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 47-RELATED', NULL, NULL, NULL, 15),
(87809, NULL, 'PTHR31762:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', NULL, NULL, NULL, 15),
(87810, NULL, 'PTHR13325', NULL, NULL, NULL, NULL, 'PROTEASE M50 MEMBRANE-BOUND TRANSCRIPTION FACTOR SITE 2 PROTEASE', NULL, NULL, 1333, 15),
(87811, NULL, 'PTHR28384', NULL, NULL, NULL, NULL, 'PROGRESSIVE ANKYLOSIS PROTEIN HOMOLOG', NULL, NULL, 14886, 15),
(87812, NULL, 'PTHR46011:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-86', NULL, NULL, NULL, 15),
(87813, NULL, 'PTHR33788:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87814, NULL, 'PTHR33870:SF7', NULL, NULL, NULL, NULL, 'OS12G0127650 PROTEIN', NULL, NULL, NULL, 15),
(87815, NULL, 'PTHR21500:SF2', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE A', NULL, NULL, NULL, 15),
(87816, NULL, 'PTHR48019:SF55', NULL, NULL, NULL, NULL, 'MIKC-TYPE MADS-BOX TRANSCRIPTION FACTOR WM31B', NULL, NULL, NULL, 15),
(87817, NULL, 'PTHR31694:SF12', NULL, NULL, NULL, NULL, 'PROTEIN PCC13-62, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(87818, NULL, 'PTHR10578:SF129', NULL, NULL, NULL, NULL, 'ALPHA-HYDROXY ACID DEHYDROGENASE, FMN-DEPENDENT, ALDOLASE-TYPE TIM BARREL-RELATED', NULL, NULL, NULL, 15),
(87819, NULL, 'PTHR48020:SF20', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 4-LIKE', NULL, NULL, NULL, 15),
(87820, NULL, 'PTHR23428:SF222', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(87821, NULL, 'PTHR12419:SF59', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN DDB_G0284757-LIKE', NULL, NULL, NULL, 15),
(87822, NULL, 'PTHR24637:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87823, NULL, 'PTHR11680:SF47', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(87824, NULL, 'PTHR32153:SF52', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87825, NULL, 'PTHR26379:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87826, NULL, 'PTHR13271:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87827, NULL, 'PTHR10797:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87828, NULL, 'PTHR24559:SF360', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87829, NULL, 'PTHR23320:SF90', NULL, NULL, NULL, NULL, 'ZGC:113425', NULL, NULL, NULL, 15),
(87830, NULL, 'PTHR20961:SF68', NULL, NULL, NULL, NULL, 'OS07G0657400 PROTEIN', NULL, NULL, NULL, 15),
(87831, NULL, 'PTHR48112:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87832, NULL, 'PTHR47934:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87833, NULL, 'PTHR48040:SF1', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3', NULL, NULL, NULL, 15),
(87834, NULL, 'PTHR24221:SF530', NULL, NULL, NULL, NULL, 'BNAA08G27160D PROTEIN', NULL, NULL, NULL, 15),
(87835, NULL, 'PTHR30472:SF21', NULL, NULL, NULL, NULL, 'HEME-IRON TRANSPORT SYSTEM PERMEASE PROTEIN ISDF-RELATED', NULL, NULL, NULL, 15),
(87836, NULL, 'PTHR10992:SF1055', NULL, NULL, NULL, NULL, 'BNAA02G29950D PROTEIN', NULL, NULL, NULL, 15),
(87837, NULL, 'PTHR33055', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS1111A', NULL, NULL, NULL, 15),
(87838, NULL, 'PTHR11010:SF94', NULL, NULL, NULL, NULL, 'PEPTIDASE S28-RELATED', NULL, NULL, NULL, 15),
(87839, NULL, 'PTHR44102:SF14', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87840, NULL, 'PTHR33021', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN', NULL, NULL, 29162, 15),
(87841, NULL, 'PTHR36436:SF6', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(87842, NULL, 'PTHR12738:SF0', NULL, NULL, NULL, NULL, 'NEUROENDOCRINE PROTEIN 7B2', NULL, NULL, NULL, 15),
(87843, NULL, 'PTHR28358:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 127', NULL, NULL, NULL, 15),
(87844, NULL, 'PTHR27007:SF323', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(87845, NULL, 'PTHR47926:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87846, NULL, 'PTHR21535:SF51', NULL, NULL, NULL, NULL, 'MANGANESE RESISTANCE PROTEIN MNR2', NULL, NULL, NULL, 15),
(87847, NULL, 'PTHR31374:SF293', NULL, NULL, NULL, NULL, 'BNAC05G15800D PROTEIN', NULL, NULL, NULL, 15),
(87848, NULL, 'PTHR47651:SF1', NULL, NULL, NULL, NULL, 'HST3P', NULL, NULL, NULL, 15),
(87849, NULL, 'PTHR47025:SF5', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE WITH RING/FYVE/PHD-TYPE ZINC FINGER DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(87850, NULL, 'PTHR26453:SF232', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2A5', NULL, NULL, NULL, 15),
(87851, NULL, 'PTHR13789:SF313', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14510)-RELATED', NULL, NULL, NULL, 15),
(87852, NULL, 'PTHR32099:SF31', NULL, NULL, NULL, NULL, 'SALT STRESS RESPONSE/ANTIFUNGAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(87853, NULL, 'PTHR31412:SF0', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE EGY1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(87854, NULL, 'PTHR11220', NULL, NULL, NULL, NULL, 'HEME-BINDING PROTEIN-RELATED', NULL, NULL, 4652, 15),
(87855, NULL, 'PTHR47740', NULL, NULL, NULL, NULL, 'LCK-INTERACTING TRANSMEMBRANE ADAPTER 1, LIME1', NULL, NULL, 21976, 15),
(87856, NULL, 'PTHR31190:SF291', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B-LIKE', NULL, NULL, NULL, 15),
(87857, NULL, 'PTHR11527:SF279', NULL, NULL, NULL, NULL, '17.4 KDA CLASS I HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(87858, NULL, 'PTHR14869:SF0', NULL, NULL, NULL, NULL, 'MYC TARGET PROTEIN 1', NULL, NULL, NULL, 15),
(87859, NULL, 'PTHR34651', NULL, NULL, NULL, NULL, 'SIMILAR TO ENSANGP00000021391', NULL, NULL, 22268, 15),
(87860, NULL, 'PTHR45701:SF10', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN', NULL, NULL, NULL, 15),
(87861, NULL, 'PTHR46031:SF20', NULL, NULL, NULL, NULL, 'BNAC04G15870D PROTEIN', NULL, NULL, NULL, 15),
(87862, NULL, 'PTHR43644', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT', NULL, NULL, NULL, 15),
(87863, NULL, 'PTHR45719:SF31', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(87864, NULL, 'PTHR24223:SF222', NULL, NULL, NULL, NULL, 'OS01G0902100 PROTEIN', NULL, NULL, NULL, 15),
(87865, NULL, 'PTHR21496:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87866, NULL, 'PTHR31113:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87867, NULL, 'PTHR18945:SF59', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT EPSILON', NULL, NULL, NULL, 15),
(87868, NULL, 'PTHR31356:SF34', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 29 KDA PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(87869, NULL, 'PTHR33644:SF2', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87870, NULL, 'PTHR18966:SF492', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(87871, NULL, 'PTHR46489:SF3', NULL, NULL, NULL, NULL, 'STEROIDOGENIC ACUTE REGULATORY PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(87872, NULL, 'PTHR32063:SF19', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN CUSA', NULL, NULL, NULL, 15),
(87873, NULL, 'PTHR11247:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87874, NULL, 'PTHR24256:SF449', NULL, NULL, NULL, NULL, 'IP20273P-RELATED', NULL, NULL, NULL, 15),
(87875, NULL, 'PTHR13463', NULL, NULL, NULL, NULL, 'PROTEIN C10', NULL, NULL, 27999, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87876, NULL, 'PTHR15736', NULL, NULL, NULL, NULL, 'PROTEIN FAM131B-RELATED', NULL, NULL, 27867, 15),
(87877, NULL, 'PTHR23358:SF2', NULL, NULL, NULL, NULL, 'METHYLCYTOSINE DIOXYGENASE TET1', NULL, NULL, NULL, 15),
(87878, NULL, 'PTHR31780:SF9', NULL, NULL, NULL, NULL, 'PHD-FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87879, NULL, 'PTHR46764:SF4', NULL, NULL, NULL, NULL, 'BNAC08G45940D PROTEIN', NULL, NULL, NULL, 15),
(87880, NULL, 'PTHR19957:SF234', NULL, NULL, NULL, NULL, 'SYNTAXIN-121-LIKE', NULL, NULL, NULL, 15),
(87881, NULL, 'PTHR31677:SF131', NULL, NULL, NULL, NULL, 'BNAA01G28970D PROTEIN', NULL, NULL, NULL, 15),
(87882, NULL, 'PTHR45744:SF20', NULL, NULL, NULL, NULL, 'TYROSINE TRANSAMINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87883, NULL, 'PTHR45768:SF27', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87884, NULL, 'PTHR30086:SF12', NULL, NULL, NULL, NULL, 'CYSTEINE/O-ACETYLSERINE EFFLUX PROTEIN', NULL, NULL, NULL, 15),
(87885, NULL, 'PTHR24416:SF407', NULL, NULL, NULL, NULL, 'PROTEIN CBG16624', NULL, NULL, NULL, 15),
(87886, NULL, 'PTHR48044:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(87887, NULL, 'PTHR21495:SF206', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(87888, NULL, 'PTHR22602', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 36661, 15),
(87889, NULL, 'PTHR10774:SF192', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(87890, NULL, 'PTHR11804:SF80', NULL, NULL, NULL, NULL, 'BNAA07G24910D PROTEIN', NULL, NULL, NULL, 15),
(87891, NULL, 'PTHR22624:SF35', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE ATG4A', NULL, NULL, 34082, 15),
(87892, NULL, 'PTHR36586:SF12', NULL, NULL, NULL, NULL, 'LIVER STAGE ANTIGEN 3', NULL, NULL, NULL, 15),
(87893, NULL, 'PTHR31241:SF63', NULL, NULL, NULL, NULL, 'BNAA01G31290D PROTEIN', NULL, NULL, NULL, 15),
(87894, NULL, 'PTHR12697', NULL, NULL, NULL, NULL, 'PBS LYASE HEAT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87895, NULL, 'PTHR24356:SF381', NULL, NULL, NULL, NULL, 'BNACNNG54240D PROTEIN', NULL, NULL, NULL, 15),
(87896, NULL, 'PTHR45924:SF4', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 3', NULL, NULL, NULL, 15),
(87897, NULL, 'PTHR46229', NULL, NULL, NULL, NULL, 'BOLA TRANSCRIPTION REGULATOR', NULL, NULL, NULL, 15),
(87898, NULL, 'PTHR16119:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG03472', NULL, NULL, NULL, 15),
(87899, NULL, 'PTHR46128:SF46', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(87900, NULL, 'PTHR35492:SF1', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(87901, NULL, 'PTHR11814:SF7', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER SULP-1A', NULL, NULL, NULL, 15),
(87902, NULL, 'PTHR14149:SF10', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING-LIKE PROTEIN IQGAP3', NULL, NULL, NULL, 15),
(87903, NULL, 'PTHR10658:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87904, NULL, 'PTHR10972:SF85', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 7', NULL, NULL, NULL, 15),
(87905, NULL, 'PTHR32141:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87906, NULL, 'PTHR31269:SF41', NULL, NULL, NULL, NULL, 'SLAC1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87907, NULL, 'PTHR23139:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87908, NULL, 'PTHR46146:SF2', NULL, NULL, NULL, NULL, 'OS11G0222000 PROTEIN', NULL, NULL, NULL, 15),
(87909, NULL, 'PTHR15462:SF19', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(87910, NULL, 'PTHR47384', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CCNB1IP1 HOMOLOG', NULL, NULL, NULL, 15),
(87911, NULL, 'PTHR48018:SF56', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8G1', NULL, NULL, NULL, 15),
(87912, NULL, 'PTHR46196:SF15', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN, TRANSCRIPTION FACTOR MYC/MYB N-TERMINAL-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87913, NULL, 'PTHR12608:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PAM71, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(87914, NULL, 'PTHR16520:SF3', NULL, NULL, NULL, NULL, 'KINETOCHORE SCAFFOLD 1', NULL, NULL, NULL, 15),
(87915, NULL, 'PTHR32141:SF111', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(87916, NULL, 'PTHR24202', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87917, NULL, 'PTHR48002:SF108', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4D9', NULL, NULL, NULL, 15),
(87918, NULL, 'PTHR10795:SF632', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87919, NULL, 'PTHR10732', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17', NULL, NULL, 1341, 15),
(87920, NULL, 'PTHR21581:SF6', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 12', NULL, NULL, NULL, 15),
(87921, NULL, 'PTHR24326:SF572', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX16-LIKE', NULL, NULL, NULL, 15),
(87922, NULL, 'PTHR31561:SF142', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(87923, NULL, 'PTHR31460:SF3', NULL, NULL, NULL, NULL, 'NHL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(87924, NULL, 'PTHR11822:SF28', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP] CYTOPLASMIC', NULL, NULL, NULL, 15),
(87925, NULL, 'PTHR11960:SF8', NULL, NULL, NULL, NULL, 'AT15894P-RELATED', NULL, NULL, NULL, 15),
(87926, NULL, 'PTHR43895:SF107', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 16', NULL, NULL, NULL, 15),
(87927, NULL, 'PTHR12449:SF23', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 4-LIKE A', NULL, NULL, NULL, 15),
(87928, NULL, 'PTHR37242:SF1', NULL, NULL, NULL, NULL, 'OS09G0569450 PROTEIN', NULL, NULL, NULL, 15),
(87929, NULL, 'PTHR20939:SF11', NULL, NULL, NULL, NULL, 'LD12265P', NULL, NULL, NULL, 15),
(87930, NULL, 'PTHR33204:SF32', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, HXLR FAMILY', NULL, NULL, NULL, 15),
(87931, NULL, 'PTHR12271:SF50', NULL, NULL, NULL, NULL, 'RNA EDITING 3'' TERMINAL URIDYLYL TRANSFERASE 2', NULL, NULL, NULL, 15),
(87932, NULL, 'PTHR36970:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(87933, NULL, 'PTHR31221:SF171', NULL, NULL, NULL, NULL, 'OS05G0537100 PROTEIN', NULL, NULL, NULL, 15),
(87934, NULL, 'PTHR40398', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCITOL/SORBITOL-SPECIFIC EIIA COMPONENT', NULL, NULL, 3956, 15),
(87935, NULL, 'PTHR15301', NULL, NULL, NULL, NULL, 'INSULIN-INDUCED GENE 1', NULL, NULL, 25687, 15),
(87936, NULL, 'PTHR34484:SF2', NULL, NULL, NULL, NULL, 'OS02G0832600 PROTEIN', NULL, NULL, NULL, 15),
(87937, NULL, 'PTHR21342', NULL, NULL, NULL, NULL, 'PHOSPHOPANTETHEINE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(87938, NULL, 'PTHR32158:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87939, NULL, 'PTHR31338:SF30', NULL, NULL, NULL, NULL, 'BNAC01G38750D PROTEIN', NULL, NULL, NULL, 15),
(87940, NULL, 'PTHR24388:SF54', NULL, NULL, NULL, NULL, 'HERMAPHRODITE, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(87941, NULL, 'PTHR10838:SF30', NULL, NULL, NULL, NULL, 'SYNAPTOGYRIN-2', NULL, NULL, NULL, 15),
(87942, NULL, 'PTHR11908:SF148', NULL, NULL, NULL, NULL, 'BNAUNNG02510D PROTEIN', NULL, NULL, NULL, 15),
(87943, NULL, 'PTHR10799:SF988', NULL, NULL, NULL, NULL, 'BNAC09G39190D PROTEIN', NULL, NULL, NULL, 15),
(87944, NULL, 'PTHR26379:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87945, NULL, 'PTHR43464:SF19', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS O-METHYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(87946, NULL, 'PTHR24349:SF403', NULL, NULL, NULL, NULL, 'BNAC04G42320D PROTEIN', NULL, NULL, NULL, 15),
(87947, NULL, 'PTHR19446', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASES', NULL, NULL, NULL, 15),
(87948, NULL, 'PTHR31621:SF0', NULL, NULL, NULL, NULL, 'PROTEIN DMP6', NULL, NULL, NULL, 15),
(87949, NULL, 'PTHR32212:SF269', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(87950, NULL, 'PTHR19134:SF508', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87951, NULL, 'PTHR30244:SF3', NULL, NULL, NULL, NULL, 'UDP-4-AMINO-4-DEOXY-L-ARABINOSE--OXOGLUTARATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(87952, NULL, 'PTHR31213:SF125', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL4-LIKE', NULL, NULL, NULL, 15),
(87953, NULL, 'PTHR22906:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87954, NULL, 'PTHR11783:SF105', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 14-RELATED', NULL, NULL, NULL, 15),
(87955, NULL, 'PTHR24305:SF166', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 313A1-RELATED', NULL, NULL, NULL, 15),
(87956, NULL, 'PTHR23068:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87957, NULL, 'PTHR11505', NULL, NULL, NULL, NULL, 'L1 TRANSPOSABLE ELEMENT-RELATED', NULL, NULL, 3744, 15),
(87958, NULL, 'PTHR46354:SF14', NULL, NULL, NULL, NULL, 'PROTEIN DELAY OF GERMINATION 1', NULL, NULL, NULL, 15),
(87959, NULL, 'PTHR34306:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87960, NULL, 'PTHR32074', NULL, NULL, NULL, NULL, 'RNA DEMETHYLASE ALKBH5', NULL, NULL, 26752, 15),
(87961, NULL, 'PTHR21649:SF100', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(87962, NULL, 'PTHR11875:SF129', NULL, NULL, NULL, NULL, 'BNAA09G52940D PROTEIN', NULL, NULL, NULL, 15),
(87963, NULL, 'PTHR23501:SF12', NULL, NULL, NULL, NULL, 'TRANSPORTER/NRPS-LIKE ENZYME, PUTATIVE (JCVI)-RELATED', NULL, NULL, NULL, 15),
(87964, NULL, 'PTHR37480', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE [NADH]', NULL, NULL, 10192, 15),
(87965, NULL, 'PTHR19317:SF49', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(87966, NULL, 'PTHR32267:SF2', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA TRANSLOCATION-ALTERED GENE PROTEIN', NULL, NULL, NULL, 15),
(87967, NULL, 'PTHR12433:SF18', NULL, NULL, NULL, NULL, 'BNACNNG04590D PROTEIN', NULL, NULL, NULL, 15),
(87968, NULL, 'PTHR45952:SF18', NULL, NULL, NULL, NULL, 'BNAC06G05990D PROTEIN', NULL, NULL, NULL, 15),
(87969, NULL, 'PTHR33577:SF9', NULL, NULL, NULL, NULL, 'STERIGMATOCYSTIN BIOSYNTHESIS PEROXIDASE STCC-RELATED', NULL, NULL, NULL, 15),
(87970, NULL, 'PTHR24329:SF359', NULL, NULL, NULL, NULL, 'ALX HOMEOBOX PROTEIN 1', NULL, NULL, 34815, 15),
(87971, NULL, 'PTHR45944:SF2', NULL, NULL, NULL, NULL, 'SCHNURRI, ISOFORM F', NULL, NULL, NULL, 15),
(87972, NULL, 'PTHR31140:SF107', NULL, NULL, NULL, NULL, 'BNAA06G32660D PROTEIN', NULL, NULL, NULL, 15),
(87973, NULL, 'PTHR33377:SF11', NULL, NULL, NULL, NULL, 'OS04G0105900 PROTEIN', NULL, NULL, NULL, 15),
(87974, NULL, 'PTHR24286:SF315', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY ABA 8''-HYDROXYLASE', NULL, NULL, NULL, 15),
(87975, NULL, 'PTHR47971:SF6', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(87976, NULL, 'PTHR13954:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE/ENDORIBONUCLEASE IRE2', NULL, NULL, 33607, 15),
(87977, NULL, 'PTHR31206:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FAM177A1', NULL, NULL, NULL, 15),
(87978, NULL, 'PTHR12626:SF3', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 4', NULL, NULL, NULL, 15),
(87979, NULL, 'PTHR42061:SF2', NULL, NULL, NULL, NULL, 'ENDO-CHITOSANASE', NULL, NULL, NULL, 15),
(87980, NULL, 'PTHR36519:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG10907', NULL, NULL, NULL, 15),
(87981, NULL, 'PTHR46029:SF2', NULL, NULL, NULL, NULL, 'C-TERMINAL-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(87982, NULL, 'PTHR24055:SF440', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87983, NULL, 'PTHR22835:SF601', NULL, NULL, NULL, NULL, 'BNACNNG24650D PROTEIN', NULL, NULL, NULL, 15),
(87984, NULL, 'PTHR33207:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(87985, NULL, 'PTHR33164:SF54', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(87986, NULL, 'PTHR45640:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG23899', NULL, NULL, NULL, 15),
(87987, NULL, 'PTHR34313', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP K MEMBER 113 ENV POLYPROTEIN-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(87988, NULL, 'PTHR21724:SF104', NULL, NULL, NULL, NULL, 'PROTEIN CBG10417', NULL, NULL, NULL, 15),
(87989, NULL, 'PTHR46713:SF11', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(87990, NULL, 'PTHR34492:SF5', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(87991, NULL, 'PTHR43341:SF8', NULL, NULL, NULL, NULL, 'PROLINE-SPECIFIC PERMEASE PROY', NULL, NULL, NULL, 15),
(87992, NULL, 'PTHR45708:SF50', NULL, NULL, NULL, NULL, 'OS01G0303100 PROTEIN', NULL, NULL, NULL, 15),
(87993, NULL, 'PTHR19443', NULL, NULL, NULL, NULL, 'HEXOKINASE', NULL, NULL, 142, 15),
(87994, NULL, 'PTHR22953:SF109', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(87995, NULL, 'PTHR23500:SF371', NULL, NULL, NULL, NULL, 'OS07G0206600 PROTEIN', NULL, NULL, NULL, 15),
(87996, NULL, 'PTHR25462:SF277', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 33,-LIKE', NULL, NULL, NULL, 15),
(87997, NULL, 'PTHR10105', NULL, NULL, NULL, NULL, 'SELENOPROTEIN P', NULL, NULL, 32474, 15),
(87998, NULL, 'PTHR22989:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG09619', NULL, NULL, NULL, 15),
(87999, NULL, 'PTHR43329:SF14', NULL, NULL, NULL, NULL, 'OS01G0255100 PROTEIN', NULL, NULL, NULL, 15),
(88000, NULL, 'PTHR15860:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(88001, NULL, 'PTHR31190:SF212', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88002, NULL, 'PTHR21495:SF89', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(88003, NULL, 'PTHR11785:SF516', NULL, NULL, NULL, NULL, 'LD25378P', NULL, NULL, NULL, 15),
(88004, NULL, 'PTHR11709:SF319', NULL, NULL, NULL, NULL, 'LACCASE-16', NULL, NULL, NULL, 15),
(88005, NULL, 'PTHR12080:SF79', NULL, NULL, NULL, NULL, 'SI:CABZ01074946.1-RELATED', NULL, NULL, NULL, 15),
(88006, NULL, 'PTHR12100:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88007, NULL, 'PTHR10574:SF400', NULL, NULL, NULL, NULL, 'LAMININ RELATED. SEE ALSO LMB', NULL, NULL, NULL, 15),
(88008, NULL, 'PTHR33735:SF2', NULL, NULL, NULL, NULL, 'OS09G0468900 PROTEIN', NULL, NULL, NULL, 15),
(88009, NULL, 'PTHR19961:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88010, NULL, 'PTHR33320:SF12', NULL, NULL, NULL, NULL, 'BNACNNG72440D PROTEIN', NULL, NULL, NULL, 15),
(88011, NULL, 'PTHR21469', NULL, NULL, NULL, NULL, 'EXOPHILIN-5', NULL, NULL, 29402, 15),
(88012, NULL, 'PTHR22891:SF41', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(88013, NULL, 'PTHR43495:SF1', NULL, NULL, NULL, NULL, 'L-ASPARAGINE PERMEASE', NULL, NULL, NULL, 15),
(88014, NULL, 'PTHR12271:SF122', NULL, NULL, NULL, NULL, 'PROTEIN HESO1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(88015, NULL, 'PTHR47409', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN PROPHET OF PIT-1', NULL, NULL, 39657, 15),
(88016, NULL, 'PTHR24637:SF346', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN DPY-2', NULL, NULL, NULL, 15),
(88017, NULL, 'PTHR43680:SF3', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE MOLYBDENUM COFACTOR ASSEMBLY CHAPERONE NARJ', NULL, NULL, NULL, 15),
(88018, NULL, 'PTHR27009:SF167', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(88019, NULL, 'PTHR10985:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HES-3', NULL, NULL, NULL, 15),
(88020, NULL, 'PTHR21737:SF18', NULL, NULL, NULL, NULL, 'OSJNBA0065O17.10 PROTEIN', NULL, NULL, NULL, 15),
(88021, NULL, 'PTHR11728:SF8', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)]-RELATED', NULL, NULL, NULL, 15),
(88022, NULL, 'PTHR10426:SF85', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 1', NULL, NULL, NULL, 15),
(88023, NULL, 'PTHR31071', NULL, NULL, NULL, NULL, 'GB|AAF24581.1', NULL, NULL, 36930, 15),
(88024, NULL, 'PTHR40044', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, 9638, 15),
(88025, NULL, 'PTHR11208:SF101', NULL, NULL, NULL, NULL, 'OS01G0886300 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88026, NULL, 'PTHR37951:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88027, NULL, 'PTHR23417:SF24', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(7)-)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(88028, NULL, 'PTHR47842:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88029, NULL, 'PTHR12537:SF161', NULL, NULL, NULL, NULL, 'BNAA02G08590D PROTEIN', NULL, NULL, NULL, 15),
(88030, NULL, 'PTHR35099:SF10', NULL, NULL, NULL, NULL, 'BNAA06G10500D PROTEIN', NULL, NULL, NULL, 15),
(88031, NULL, 'PTHR12663:SF21', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PROTEIN PDS5 HOMOLOG B-B-LIKE', NULL, NULL, NULL, 15),
(88032, NULL, 'PTHR23147:SF80', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 4B', NULL, NULL, NULL, 15),
(88033, NULL, 'PTHR47399', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 121B', NULL, NULL, 23078, 15),
(88034, NULL, 'PTHR22907:SF26', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(88035, NULL, 'PTHR13388', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 27623, 15),
(88036, NULL, 'PTHR12411:SF724', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88037, NULL, 'PTHR10828:SF50', NULL, NULL, NULL, NULL, 'REDUCTASE (ARC2), PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13400)-RELATED', NULL, NULL, NULL, 15),
(88038, NULL, 'PTHR43146', NULL, NULL, NULL, NULL, 'CANCER-RELATED NUCLEOSIDE-TRIPHOSPHATASE', NULL, NULL, 2827, 15),
(88039, NULL, 'PTHR11334:SF33', NULL, NULL, NULL, NULL, 'MAS-RELATED GPR, MEMBER A2A-RELATED', NULL, NULL, 28815, 15),
(88040, NULL, 'PTHR36369:SF3', NULL, NULL, NULL, NULL, 'OS06G0196200 PROTEIN', NULL, NULL, NULL, 15),
(88041, NULL, 'PTHR34757:SF1', NULL, NULL, NULL, NULL, 'JUNCTIONAL PROTEIN ASSOCIATED WITH CORONARY ARTERY DISEASE', NULL, NULL, NULL, 15),
(88042, NULL, 'PTHR11306:SF45', NULL, NULL, NULL, NULL, 'BNAA05G27310D PROTEIN', NULL, NULL, NULL, 15),
(88043, NULL, 'PTHR22774', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22238, 15),
(88044, NULL, 'PTHR33177:SF23', NULL, NULL, NULL, NULL, 'BNAA04G05350D PROTEIN', NULL, NULL, NULL, 15),
(88045, NULL, 'PTHR47928:SF54', NULL, NULL, NULL, NULL, 'OS09G0411600 PROTEIN', NULL, NULL, NULL, 15),
(88046, NULL, 'PTHR40368:SF1', NULL, NULL, NULL, NULL, 'YALI0F14399P', NULL, NULL, NULL, 15),
(88047, NULL, 'PTHR37435:SF3', NULL, NULL, NULL, NULL, 'DUMPY: SHORTER THAN WILD-TYPE', NULL, NULL, NULL, 15),
(88048, NULL, 'PTHR21459:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08968', NULL, NULL, NULL, 15),
(88049, NULL, 'PTHR35488:SF3', NULL, NULL, NULL, NULL, 'BNAA01G32570D PROTEIN', NULL, NULL, NULL, 15),
(88050, NULL, 'PTHR33429:SF23', NULL, NULL, NULL, NULL, 'OS02G0709350 PROTEIN', NULL, NULL, NULL, 15),
(88051, NULL, 'PTHR10155:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE REGULATORY SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(88052, NULL, 'PTHR47983:SF24', NULL, NULL, NULL, NULL, 'F11A17.22 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88053, NULL, 'PTHR11709:SF343', NULL, NULL, NULL, NULL, 'LACCASE-15', NULL, NULL, NULL, 15),
(88054, NULL, 'PTHR47226:SF1', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT DOMAIN-CONTAINING PROTEIN 4B', NULL, NULL, NULL, 15),
(88055, NULL, 'PTHR22603:SF88', NULL, NULL, NULL, NULL, 'OS01G0717000 PROTEIN', NULL, NULL, NULL, 15),
(88056, NULL, 'PTHR24298:SF419', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B26', NULL, NULL, NULL, 15),
(88057, NULL, 'PTHR46128:SF245', NULL, NULL, NULL, NULL, 'REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(88058, NULL, 'PTHR12424:SF6', NULL, NULL, NULL, NULL, 'PROTEIN TWEETY HOMOLOG 2', NULL, NULL, NULL, 15),
(88059, NULL, 'PTHR43078:SF30', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE 6-LIKE', NULL, NULL, NULL, 15),
(88060, NULL, 'PTHR12092:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88061, NULL, 'PTHR12151:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SCO1 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(88062, NULL, 'PTHR45932:SF14', NULL, NULL, NULL, NULL, 'PATELLIN-5', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88063, NULL, 'PTHR33101:SF50', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 1-LIKE', NULL, NULL, NULL, 15),
(88064, NULL, 'PTHR45800:SF18', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 7-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(88065, NULL, 'PTHR18921:SF2', NULL, NULL, NULL, NULL, 'THYROID RECEPTOR-INTERACTING PROTEIN 11', NULL, NULL, NULL, 15),
(88066, NULL, 'PTHR44936:SF4', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN RSTB', NULL, NULL, NULL, 15),
(88067, NULL, 'PTHR31325:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88068, NULL, 'PTHR31972:SF49', NULL, NULL, NULL, NULL, 'PLANT/T24G3-80 PROTEIN', NULL, NULL, NULL, 15),
(88069, NULL, 'PTHR21328:SF23', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP6', NULL, NULL, NULL, 15),
(88070, NULL, 'PTHR43707:SF1', NULL, NULL, NULL, NULL, 'HISTIDINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(88071, NULL, 'PTHR22907:SF54', NULL, NULL, NULL, NULL, 'GH04558P', NULL, NULL, NULL, 15),
(88072, NULL, 'PTHR35161:SF1', NULL, NULL, NULL, NULL, 'OS02G0113400 PROTEIN', NULL, NULL, NULL, 15),
(88073, NULL, 'PTHR43574:SF55', NULL, NULL, NULL, NULL, 'BNAC07G27420D PROTEIN', NULL, NULL, NULL, 15),
(88074, NULL, 'PTHR24377:SF815', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 300', NULL, NULL, NULL, 15),
(88075, NULL, 'PTHR21586:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-RELATED PROTEIN', NULL, NULL, NULL, 15),
(88076, NULL, 'PTHR22654', NULL, NULL, NULL, NULL, 'G PROTEIN PATHWAY SUPPRESSOR 2', NULL, NULL, 27185, 15),
(88077, NULL, 'PTHR33923:SF8', NULL, NULL, NULL, NULL, 'PLANT CALMODULIN-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88078, NULL, 'PTHR34052:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88079, NULL, 'PTHR23092:SF31', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN DDB_G0271118', NULL, NULL, NULL, 15),
(88080, NULL, 'PTHR31378:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88081, NULL, 'PTHR39450:SF1', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN OXIDOREDUCTASE, 4FE-4S CLUSTER-BINDING SUBUNIT', NULL, NULL, NULL, 15),
(88082, NULL, 'PTHR31218:SF319', NULL, NULL, NULL, NULL, 'EAMA DOMAIN, JMJC DOMAIN, WAT1-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88083, NULL, 'PTHR21210:SF0', NULL, NULL, NULL, NULL, 'TRNA (URACIL-O(2)-)-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(88084, NULL, 'PTHR24247:SF230', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 473-RELATED', NULL, NULL, NULL, 15),
(88085, NULL, 'PTHR43139:SF44', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(88086, NULL, 'PTHR45927:SF9', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN / PEPTIDOGLYCAN-BINDING LYSM DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(88087, NULL, 'PTHR31511:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG24201', NULL, NULL, NULL, 15),
(88088, NULL, 'PTHR23024:SF359', NULL, NULL, NULL, NULL, 'L-ORNITHINE N(5)-MONOOXYGENASE', NULL, NULL, NULL, 15),
(88089, NULL, 'PTHR23323:SF26', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 18 HOMOLOG', NULL, NULL, NULL, 15),
(88090, NULL, 'PTHR46157:SF10', NULL, NULL, NULL, NULL, 'K+ EFFLUX ANTIPORTER 1-RELATED', NULL, NULL, NULL, 15),
(88091, NULL, 'PTHR34983:SF2', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN ENDO-BETA-1,4-GALACTANASE', NULL, NULL, NULL, 15),
(88092, NULL, 'PTHR11451:SF51', NULL, NULL, NULL, NULL, 'THREONYL-TRNA SYNTHETASE-LIKE 2', NULL, NULL, NULL, 15),
(88093, NULL, 'PTHR10877:SF136', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY DISEASE PROTEIN 1-LIKE 3', NULL, NULL, NULL, 15),
(88094, NULL, 'PTHR43416:SF28', NULL, NULL, NULL, NULL, 'BNAA10G09340D PROTEIN', NULL, NULL, NULL, 15),
(88095, NULL, 'PTHR45714:SF10', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX18', NULL, NULL, NULL, 15),
(88096, NULL, 'PTHR46776:SF26', NULL, NULL, NULL, NULL, 'BNAC08G22010D PROTEIN', NULL, NULL, NULL, 15),
(88097, NULL, 'PTHR31592', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 192', NULL, NULL, 26327, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88098, NULL, 'PTHR46558:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR', NULL, NULL, NULL, 15),
(88099, NULL, 'PTHR21596:SF67', NULL, NULL, NULL, NULL, 'BNAA02G19420D PROTEIN', NULL, NULL, NULL, 15),
(88100, NULL, 'PTHR36294', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 139', NULL, NULL, 34549, 15),
(88101, NULL, 'PTHR33872:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88102, NULL, 'PTHR24060:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88103, NULL, 'PTHR43019:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88104, NULL, 'PTHR10242:SF7', NULL, NULL, NULL, NULL, 'BNAC06G12980D PROTEIN', NULL, NULL, NULL, 15),
(88105, NULL, 'PTHR23065:SF6', NULL, NULL, NULL, NULL, 'F-BAR DOMAIN ONLY PROTEIN 1', NULL, NULL, 24367, 15),
(88106, NULL, 'PTHR30294:SF44', NULL, NULL, NULL, NULL, 'MULTIDRUG ABC TRANSPORTER PERMEASE YBHR-RELATED', NULL, NULL, NULL, 15),
(88107, NULL, 'PTHR15451', NULL, NULL, NULL, NULL, 'ERGOSTEROL BIOSYNTHETIC PROTEIN 28-RELATED', NULL, NULL, 6207, 15),
(88108, NULL, 'PTHR46458:SF4', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', NULL, NULL, NULL, 15),
(88109, NULL, 'PTHR46600:SF5', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(88110, NULL, 'PTHR23111:SF80', NULL, NULL, NULL, NULL, 'BNAA03G57490D PROTEIN', NULL, NULL, NULL, 15),
(88111, NULL, 'PTHR11388:SF151', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', NULL, NULL, NULL, 15),
(88112, NULL, 'PTHR11062:SF256', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE ARAD1-RELATED', NULL, NULL, NULL, 15),
(88113, NULL, 'PTHR43636', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR G, MITOCHONDRIAL', NULL, NULL, 38050, 15),
(88114, NULL, 'PTHR45940:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88115, NULL, 'PTHR22846:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88116, NULL, 'PTHR10459:SF107', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(88117, NULL, 'PTHR10641:SF1283', NULL, NULL, NULL, NULL, 'BNACNNG29120D PROTEIN', NULL, NULL, NULL, 15),
(88118, NULL, 'PTHR38791:SF12', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(88119, NULL, 'PTHR36859:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HIDE1', NULL, NULL, NULL, 15),
(88120, NULL, 'PTHR33709:SF9', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE FAMILY C19 PROTEIN', NULL, NULL, NULL, 15),
(88121, NULL, 'PTHR24221:SF243', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', NULL, NULL, NULL, 15),
(88122, NULL, 'PTHR11690:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88123, NULL, 'PTHR24055:SF504', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE HOG1', NULL, NULL, NULL, 15),
(88124, NULL, 'PTHR11012:SF13', NULL, NULL, NULL, NULL, 'FI06026P-RELATED', NULL, NULL, NULL, 15),
(88125, NULL, 'PTHR45748:SF3', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1B', NULL, NULL, NULL, 15),
(88126, NULL, 'PTHR22142', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 13156, 15),
(88127, NULL, 'PTHR14379:SF50', NULL, NULL, NULL, NULL, 'BNAC03G21440D PROTEIN', NULL, NULL, NULL, 15),
(88128, NULL, 'PTHR35530', NULL, NULL, NULL, NULL, 'TAUTOMERASE-RELATED', NULL, NULL, NULL, 15),
(88129, NULL, 'PTHR11537:SF4', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY KQT MEMBER 4', NULL, NULL, 9875, 15),
(88130, NULL, 'PTHR31072:SF173', NULL, NULL, NULL, NULL, 'OS05G0513100 PROTEIN', NULL, NULL, NULL, 15),
(88131, NULL, 'PTHR33177', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(88132, NULL, 'PTHR12356:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88133, NULL, 'PTHR12258:SF11', NULL, NULL, NULL, NULL, 'SI:DKEY-51E6.1', NULL, NULL, NULL, 15),
(88134, NULL, 'PTHR13140:SF805', NULL, NULL, NULL, NULL, 'MYOSIN-1-LIKE', NULL, NULL, NULL, 15),
(88135, NULL, 'PTHR31429:SF54', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 9-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88136, NULL, 'PTHR15036:SF43', NULL, NULL, NULL, NULL, 'CONTACTIN-ASSOCIATED PROTEIN 1', NULL, NULL, 24212, 15),
(88137, NULL, 'PTHR21689:SF9', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88138, NULL, 'PTHR24020:SF15', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XIV) CHAIN', NULL, NULL, NULL, 15),
(88139, NULL, 'PTHR34145:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88140, NULL, 'PTHR43184:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG17619', NULL, NULL, NULL, 15),
(88141, NULL, 'PTHR24177:SF320', NULL, NULL, NULL, NULL, 'PROTEIN ACCELERATED CELL DEATH 6-LIKE', NULL, NULL, NULL, 15),
(88142, NULL, 'PTHR16675:SF146', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD1E, MEMBRANE-ASSOCIATED', NULL, NULL, NULL, 15),
(88143, NULL, 'PTHR24414:SF23', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP6', NULL, NULL, NULL, 15),
(88144, NULL, 'PTHR31374:SF167', NULL, NULL, NULL, NULL, 'OS10G0510500 PROTEIN', NULL, NULL, NULL, 15),
(88145, NULL, 'PTHR43829:SF8', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', NULL, NULL, NULL, 15),
(88146, NULL, 'PTHR11964:SF55', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(88147, NULL, 'PTHR21522:SF43', NULL, NULL, NULL, NULL, 'OTOPETRIN-LIKE', NULL, NULL, NULL, 15),
(88148, NULL, 'PTHR27007:SF233', NULL, NULL, NULL, NULL, 'LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VI.4', NULL, NULL, NULL, 15),
(88149, NULL, 'PTHR19300:SF34', NULL, NULL, NULL, NULL, 'SI:DKEY-199F5.8', NULL, NULL, NULL, 15),
(88150, NULL, 'PTHR46158:SF16', NULL, NULL, NULL, NULL, 'BNAC03G34660D PROTEIN', NULL, NULL, NULL, 15),
(88151, NULL, 'PTHR33215:SF10', NULL, NULL, NULL, NULL, 'TRANSPOSASE-RELATED', NULL, NULL, NULL, 15),
(88152, NULL, 'PTHR45642:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88153, NULL, 'PTHR31871:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88154, NULL, 'PTHR47928:SF153', NULL, NULL, NULL, NULL, 'OS11G0661000 PROTEIN', NULL, NULL, NULL, 15),
(88155, NULL, 'PTHR39104', NULL, NULL, NULL, NULL, 'AMINO ACID-LIGASE', NULL, NULL, NULL, 15),
(88156, NULL, 'PTHR42739:SF1', NULL, NULL, NULL, NULL, 'MALATE SYNTHASE G', NULL, NULL, NULL, 15),
(88157, NULL, 'PTHR10543:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88158, NULL, 'PTHR31579:SF34', NULL, NULL, NULL, NULL, 'T14N5.3 PROTEIN', NULL, NULL, NULL, 15),
(88159, NULL, 'PTHR31707:SF321', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(88160, NULL, 'PTHR32285:SF178', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(88161, NULL, 'PTHR32263:SF28', NULL, NULL, NULL, NULL, 'BNAC08G21790D PROTEIN', NULL, NULL, NULL, 15),
(88162, NULL, 'PTHR10635:SF3', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(88163, NULL, 'PTHR10000:SF50', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN YHAX', NULL, NULL, NULL, 15),
(88164, NULL, 'PTHR31642:SF5', NULL, NULL, NULL, NULL, 'HSR201-LIKE', NULL, NULL, NULL, 15),
(88165, NULL, 'PTHR45974:SF184', NULL, NULL, NULL, NULL, 'OS01G0852100 PROTEIN', NULL, NULL, NULL, 15),
(88166, NULL, 'PTHR31867:SF111', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(88167, NULL, 'PTHR23428:SF213', NULL, NULL, NULL, NULL, 'HISTONE H2B.6-RELATED', NULL, NULL, NULL, 15),
(88168, NULL, 'PTHR10845:SF43', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 2', NULL, NULL, 31140, 15),
(88169, NULL, 'PTHR10201:SF264', NULL, NULL, NULL, NULL, 'MATRIX METALLOPEPTIDASE 15A-RELATED', NULL, NULL, NULL, 15),
(88170, NULL, 'PTHR11699:SF211', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 16 MEMBER A1', NULL, NULL, 8034, 15),
(88171, NULL, 'PTHR45088', NULL, NULL, NULL, NULL, 'OSJNBA0022H21.17 PROTEIN', NULL, NULL, NULL, 15),
(88172, NULL, 'PTHR33238:SF10', NULL, NULL, NULL, NULL, 'IRON-DEPENDENT REPRESSOR IDER', NULL, NULL, NULL, 15),
(88173, NULL, 'PTHR12290:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 4-LIKE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88174, NULL, 'PTHR47924:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88175, NULL, 'PTHR12439:SF9', NULL, NULL, NULL, NULL, 'POLY(U)-SPECIFIC ENDORIBONUCLEASE', NULL, NULL, NULL, 15),
(88176, NULL, 'PTHR31363:SF0', NULL, NULL, NULL, NULL, 'TRAF3-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(88177, NULL, 'PTHR45669:SF22', NULL, NULL, NULL, NULL, 'OS02G0102000 PROTEIN', NULL, NULL, NULL, 15),
(88178, NULL, 'PTHR11384:SF13', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN RELATED', NULL, NULL, NULL, 15),
(88179, NULL, 'PTHR11559:SF386', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(88180, NULL, 'PTHR12081:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F2', NULL, NULL, NULL, 15),
(88181, NULL, 'PTHR30204:SF75', NULL, NULL, NULL, NULL, 'MERCURIC RESISTANCE OPERON REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(88182, NULL, 'PTHR43830:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88183, NULL, 'PTHR34701:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MRAZ', NULL, NULL, NULL, 15),
(88184, NULL, 'PTHR38825', NULL, NULL, NULL, NULL, 'LYSINE EXPORTER PROTEIN (LYSE/YGGA)', NULL, NULL, NULL, 15),
(88185, NULL, 'PTHR48134:SF1', NULL, NULL, NULL, NULL, 'TITIN-LIKE', NULL, NULL, NULL, 15),
(88186, NULL, 'PTHR31042:SF99', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(88187, NULL, 'PTHR21087:SF20', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE 1, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(88188, NULL, 'PTHR47985:SF9', NULL, NULL, NULL, NULL, 'BNAA02G28430D PROTEIN', NULL, NULL, NULL, 15),
(88189, NULL, 'PTHR11712:SF306', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE 1', NULL, NULL, NULL, 15),
(88190, NULL, 'PTHR36321:SF16', NULL, NULL, NULL, NULL, 'BNAC02G00870D PROTEIN', NULL, NULL, NULL, 15),
(88191, NULL, 'PTHR47993:SF91', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN LINE-1', NULL, NULL, NULL, 15),
(88192, NULL, 'PTHR40114', NULL, NULL, NULL, NULL, 'SLR0698 PROTEIN', NULL, NULL, 11935, 15),
(88193, NULL, 'PTHR34456', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 13152, 15),
(88194, NULL, 'PTHR11937:SF155', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(88195, NULL, 'PTHR10627:SF70', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SAM DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(88196, NULL, 'PTHR14966', NULL, NULL, NULL, NULL, 'Z-DNA-BINDING PROTEIN 1', NULL, NULL, 39752, 15),
(88197, NULL, 'PTHR27009:SF178', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(88198, NULL, 'PTHR37516:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88199, NULL, 'PTHR47956:SF77', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(88200, NULL, 'PTHR31736:SF14', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE X-1-RELATED', NULL, NULL, NULL, 15),
(88201, NULL, 'PTHR31852:SF214', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA-14-RELATED', NULL, NULL, NULL, 15),
(88202, NULL, 'PTHR11232:SF44', NULL, NULL, NULL, NULL, 'C-JUN-AMINO-TERMINAL KINASE-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(88203, NULL, 'PTHR15302:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF103', NULL, NULL, NULL, 15),
(88204, NULL, 'PTHR18860:SF121', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(88205, NULL, 'PTHR23155:SF959', NULL, NULL, NULL, NULL, 'OS06G0158300 PROTEIN', NULL, NULL, NULL, 15),
(88206, NULL, 'PTHR31479:SF6', NULL, NULL, NULL, NULL, 'OS07G0586800 PROTEIN', NULL, NULL, NULL, 15),
(88207, NULL, 'PTHR36984:SF3', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED PROTEIN CAS6', NULL, NULL, NULL, 15),
(88208, NULL, 'PTHR24299:SF31', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(88209, NULL, 'PTHR47928:SF40', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88210, NULL, 'PTHR33086:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88211, NULL, 'PTHR11863:SF166', NULL, NULL, NULL, NULL, 'CHOLESTEROL 25-HYDROXYLASE', NULL, NULL, NULL, 15),
(88212, NULL, 'PTHR12741:SF70', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 2', NULL, NULL, 23307, 15),
(88213, NULL, 'PTHR40267:SF1', NULL, NULL, NULL, NULL, 'BLR3294 PROTEIN', NULL, NULL, NULL, 15),
(88214, NULL, 'PTHR38109', NULL, NULL, NULL, NULL, 'PROTEIN YCGL', NULL, NULL, 25124, 15),
(88215, NULL, 'PTHR24240:SF148', NULL, NULL, NULL, NULL, 'NOVOPSIN-9', NULL, NULL, NULL, 15),
(88216, NULL, 'PTHR23079:SF18', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE 6', NULL, NULL, NULL, 15),
(88217, NULL, 'PTHR36571:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YGIW', NULL, NULL, NULL, 15),
(88218, NULL, 'PTHR46032:SF6', NULL, NULL, NULL, NULL, 'CMP-N-ACETYLNEURAMINATE-BETA-GALACTOSAMIDE-ALPHA-2,3-SIALYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(88219, NULL, 'PTHR21733:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG12171', NULL, NULL, NULL, 15),
(88220, NULL, 'PTHR11276:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE IV', NULL, NULL, NULL, 15),
(88221, NULL, 'PTHR47956:SF48', NULL, NULL, NULL, NULL, 'OS02G0187000 PROTEIN', NULL, NULL, NULL, 15),
(88222, NULL, 'PTHR45654:SF11', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG4-RELATED', NULL, NULL, NULL, 15),
(88223, NULL, 'PTHR45622:SF41', NULL, NULL, NULL, NULL, 'LIGASE (HUL4), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G04640)-RELATED', NULL, NULL, NULL, 15),
(88224, NULL, 'PTHR35263', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 49', NULL, NULL, 32638, 15),
(88225, NULL, 'PTHR31718:SF23', NULL, NULL, NULL, NULL, 'EMBRYO-SPECIFIC PROTEIN 3, (ATS3)', NULL, NULL, NULL, 15),
(88226, NULL, 'PTHR20916:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88227, NULL, 'PTHR23024:SF518', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88228, NULL, 'PTHR24072:SF345', NULL, NULL, NULL, NULL, 'RAC-LIKE 6-RELATED', NULL, NULL, NULL, 15),
(88229, NULL, 'PTHR32176:SF74', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(88230, NULL, 'PTHR46328:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88231, NULL, 'PTHR46128:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88232, NULL, 'PTHR12802:SF132', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 3', NULL, NULL, NULL, 15),
(88233, NULL, 'PTHR28631', NULL, NULL, NULL, NULL, 'UPF0692 PROTEIN C19ORF54', NULL, NULL, 33616, 15),
(88234, NULL, 'PTHR21495:SF201', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(88235, NULL, 'PTHR32467:SF101', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR AIL7', NULL, NULL, NULL, 15),
(88236, NULL, 'PTHR31707:SF274', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(88237, NULL, 'PTHR23226:SF93', NULL, NULL, NULL, NULL, 'NEUROTROPHIN RECEPTOR-INTERACTING FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(88238, NULL, 'PTHR46813:SF1', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 15', NULL, NULL, NULL, 15),
(88239, NULL, 'PTHR46441:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EPIDIDYMAL FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(88240, NULL, 'PTHR31232:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88241, NULL, 'PTHR23500:SF44', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 5', NULL, NULL, NULL, 15),
(88242, NULL, 'PTHR47218', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 7 MEMBER A', NULL, NULL, 38266, 15),
(88243, NULL, 'PTHR11474:SF82', NULL, NULL, NULL, NULL, 'AUREUSIDIN SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(88244, NULL, 'PTHR31901:SF49', NULL, NULL, NULL, NULL, 'BNAC06G02210D PROTEIN', NULL, NULL, NULL, 15),
(88245, NULL, 'PTHR24257:SF23', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE ELASTASE FAMILY MEMBER 2B', NULL, NULL, NULL, 15),
(88246, NULL, 'PTHR11014:SF99', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 3', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88247, NULL, 'PTHR31048:SF165', NULL, NULL, NULL, NULL, 'BNAA10G27340D PROTEIN', NULL, NULL, NULL, 15),
(88248, NULL, 'PTHR45376:SF6', NULL, NULL, NULL, NULL, 'BNAC04G48090D PROTEIN', NULL, NULL, NULL, 15),
(88249, NULL, 'PTHR22884:SF455', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(88250, NULL, 'PTHR19372:SF14', NULL, NULL, NULL, NULL, 'OS12G0442800 PROTEIN', NULL, NULL, NULL, 15),
(88251, NULL, 'PTHR46705:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG05625', NULL, NULL, NULL, 15),
(88252, NULL, 'PTHR48056:SF41', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HAIKU2', NULL, NULL, NULL, 15),
(88253, NULL, 'PTHR10015:SF161', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-4C', NULL, NULL, NULL, 15),
(88254, NULL, 'PTHR22974:SF23', NULL, NULL, NULL, NULL, 'TOUSLED-LIKE KINASE, ISOFORM G', NULL, NULL, NULL, 15),
(88255, NULL, 'PTHR31734:SF132', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA21', NULL, NULL, NULL, 15),
(88256, NULL, 'PTHR24006:SF766', NULL, NULL, NULL, NULL, 'OS04G0452400 PROTEIN', NULL, NULL, NULL, 15),
(88257, NULL, 'PTHR31945:SF66', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(88258, NULL, 'PTHR34078:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88259, NULL, 'PTHR31503:SF48', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 2', NULL, NULL, NULL, 15),
(88260, NULL, 'PTHR45965:SF2', NULL, NULL, NULL, NULL, 'INACTIVE RHOMBOID PROTEIN 2', NULL, NULL, NULL, 15),
(88261, NULL, 'PTHR24064:SF462', NULL, NULL, NULL, NULL, 'SI:DKEY-190L8.2', NULL, NULL, NULL, 15),
(88262, NULL, 'PTHR26379:SF373', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88263, NULL, 'PTHR23324', NULL, NULL, NULL, NULL, 'SEC14 RELATED PROTEIN', NULL, NULL, NULL, 15),
(88264, NULL, 'PTHR26452:SF39', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(88265, NULL, 'PTHR24061:SF513', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 53-RELATED', NULL, NULL, NULL, 15),
(88266, NULL, 'PTHR19375:SF377', NULL, NULL, NULL, NULL, 'LUMINAL-BINDING PROTEIN', NULL, NULL, NULL, 15),
(88267, NULL, 'PTHR43358:SF10', NULL, NULL, NULL, NULL, 'OS02G0197900 PROTEIN', NULL, NULL, NULL, 15),
(88268, NULL, 'PTHR33228:SF59', NULL, NULL, NULL, NULL, 'BNAA03G51690D PROTEIN', NULL, NULL, NULL, 15),
(88269, NULL, 'PTHR27009:SF221', NULL, NULL, NULL, NULL, 'WAKL2', NULL, NULL, NULL, 15),
(88270, NULL, 'PTHR47662:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(88271, NULL, 'PTHR48019:SF42', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 23', NULL, NULL, NULL, 15),
(88272, NULL, 'PTHR15304:SF2', NULL, NULL, NULL, NULL, 'MYOD FAMILY INHIBITOR DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(88273, NULL, 'PTHR43991:SF12', NULL, NULL, NULL, NULL, 'OS03G0386000 PROTEIN', NULL, NULL, NULL, 15),
(88274, NULL, 'PTHR45224:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88275, NULL, 'PTHR11802:SF328', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(88276, NULL, 'PTHR43255:SF5', NULL, NULL, NULL, NULL, 'QMOC', NULL, NULL, NULL, 15),
(88277, NULL, 'PTHR10015:SF362', NULL, NULL, NULL, NULL, 'BNACNNG56320D PROTEIN', NULL, NULL, NULL, 15),
(88278, NULL, 'PTHR27007:SF275', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.1-RELATED', NULL, NULL, NULL, 15),
(88279, NULL, 'PTHR46583:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 22', NULL, NULL, NULL, 15),
(88280, NULL, 'PTHR13769:SF1', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN B-100', NULL, NULL, NULL, 15),
(88281, NULL, 'PTHR30007:SF2', NULL, NULL, NULL, NULL, 'TRANSPOSASE IS4 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(88282, NULL, 'PTHR30336:SF6', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88283, NULL, 'PTHR42811:SF12', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE 1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88284, NULL, 'PTHR22588:SF5', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-6(VI) CHAIN', NULL, NULL, NULL, 15),
(88285, NULL, 'PTHR13832:SF747', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE [ACETYL-TRANSFERRING]]-PHOSPHATASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(88286, NULL, 'PTHR14790:SF16', NULL, NULL, NULL, NULL, 'RMI1 (RMI1) HOMOLOG', NULL, NULL, NULL, 15),
(88287, NULL, 'PTHR11700:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S20-1-RELATED', NULL, NULL, NULL, 15),
(88288, NULL, 'PTHR33880:SF16', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', NULL, NULL, NULL, 15),
(88289, NULL, 'PTHR37157', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88290, NULL, 'PTHR11515:SF5', NULL, NULL, NULL, NULL, 'THYROTROPIN SUBUNIT BETA', NULL, NULL, NULL, 15),
(88291, NULL, 'PTHR33619:SF3', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE EXPORT PROTEIN GFCE-RELATED', NULL, NULL, NULL, 15),
(88292, NULL, 'PTHR24148:SF66', NULL, NULL, NULL, NULL, 'ANKYRIN AND HET DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(88293, NULL, 'PTHR10934:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18', NULL, NULL, NULL, 15),
(88294, NULL, 'PTHR44042:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88295, NULL, 'PTHR45663:SF16', NULL, NULL, NULL, NULL, 'THIOREDOXIN M4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(88296, NULL, 'PTHR37711:SF2', NULL, NULL, NULL, NULL, 'BNAA02G13350D PROTEIN', NULL, NULL, NULL, 15),
(88297, NULL, 'PTHR11527:SF310', NULL, NULL, NULL, NULL, 'SMALL HEAT SHOCK PROTEIN HSPI, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(88298, NULL, 'PTHR24025', NULL, NULL, NULL, NULL, 'DESMOGLEIN FAMILY MEMBER', NULL, NULL, NULL, 15),
(88299, NULL, 'PTHR30055:SF182', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR BETI', NULL, NULL, NULL, 15),
(88300, NULL, 'PTHR31893', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 151 HOMOLOG', NULL, NULL, 25237, 15),
(88301, NULL, 'PTHR33453', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 3217, 15),
(88302, NULL, 'PTHR11595', NULL, NULL, NULL, NULL, 'EF-HAND AND COILED-COIL DOMAIN-CONTAINING FAMILY MEMBER', NULL, NULL, NULL, 15),
(88303, NULL, 'PTHR45798:SF8', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL61-RELATED', NULL, NULL, NULL, 15),
(88304, NULL, 'PTHR18860:SF119', NULL, NULL, NULL, NULL, 'BNAA08G20850D PROTEIN', NULL, NULL, NULL, 15),
(88305, NULL, 'PTHR31942:SF96', NULL, NULL, NULL, NULL, 'OS05G0183300 PROTEIN', NULL, NULL, NULL, 15),
(88306, NULL, 'PTHR34591:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88307, NULL, 'PTHR24179:SF29', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY INHIBITOR SUBUNIT 16B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(88308, NULL, 'PTHR11730:SF93', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(88309, NULL, 'PTHR19422:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88310, NULL, 'PTHR19282:SF234', NULL, NULL, NULL, NULL, 'ROD OUTER SEGMENT MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(88311, NULL, 'PTHR14154:SF82', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', NULL, NULL, NULL, 15),
(88312, NULL, 'PTHR24070:SF268', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN M-RAS', NULL, NULL, NULL, 15),
(88313, NULL, 'PTHR33177:SF3', NULL, NULL, NULL, NULL, 'OJ991214_12.5 PROTEIN', NULL, NULL, NULL, 15),
(88314, NULL, 'PTHR10363', NULL, NULL, NULL, NULL, 'BLEOMYCIN HYDROLASE', NULL, NULL, 2945, 15),
(88315, NULL, 'PTHR43281', NULL, NULL, NULL, NULL, 'FARNESYL DIPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(88316, NULL, 'PTHR47967:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88317, NULL, 'PTHR13593:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88318, NULL, 'PTHR34270:SF9', NULL, NULL, NULL, NULL, 'BNACNNG75830D PROTEIN', NULL, NULL, NULL, 15),
(88319, NULL, 'PTHR10792:SF38', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L24E-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88320, NULL, 'PTHR33620:SF1', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN F', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88321, NULL, 'PTHR22747:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88322, NULL, 'PTHR11964:SF59', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE 4', NULL, NULL, NULL, 15),
(88323, NULL, 'PTHR42771:SF2', NULL, NULL, NULL, NULL, 'IRON(3+)-HYDROXAMATE IMPORT ATP-BINDING PROTEIN FHUC', NULL, NULL, NULL, 15),
(88324, NULL, 'PTHR33057:SF165', NULL, NULL, NULL, NULL, 'OVATE PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(88325, NULL, 'PTHR31570', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 1', NULL, NULL, 26336, 15),
(88326, NULL, 'PTHR32077:SF9', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 7', NULL, NULL, NULL, 15),
(88327, NULL, 'PTHR10694:SF112', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(88328, NULL, 'PTHR31005:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG18975', NULL, NULL, NULL, 15),
(88329, NULL, 'PTHR48166:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(88330, NULL, 'PTHR24281:SF158', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 93A2-LIKE', NULL, NULL, NULL, 15),
(88331, NULL, 'PTHR36139:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 5, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(88332, NULL, 'PTHR11480:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88333, NULL, 'PTHR43090:SF2', NULL, NULL, NULL, NULL, '1-(5-PHOSPHORIBOSYL)-5-[(5-PHOSPHORIBOSYLAMINO)METHYLIDENEAMINO] IMIDAZOLE-4-CARBOXAMIDE ISOMERASE', NULL, NULL, NULL, 15),
(88334, NULL, 'PTHR11627:SF9', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE 2', NULL, NULL, NULL, 15),
(88335, NULL, 'PTHR11699:SF288', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 2 MEMBER B4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(88336, NULL, 'PTHR13812:SF23', NULL, NULL, NULL, NULL, 'PRNX PROTEIN', NULL, NULL, NULL, 15),
(88337, NULL, 'PTHR11431:SF93', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(88338, NULL, 'PTHR31627:SF31', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(88339, NULL, 'PTHR10641:SF1020', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39-LIKE', NULL, NULL, NULL, 15),
(88340, NULL, 'PTHR42718:SF1', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE PROTEIN YOR378W', NULL, NULL, NULL, 15),
(88341, NULL, 'PTHR43900:SF2', NULL, NULL, NULL, NULL, 'OS01G0372400 PROTEIN', NULL, NULL, NULL, 15),
(88342, NULL, 'PTHR23082', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIIC  TFIIIC , POLYPEPTIDE 3-RELATED', NULL, NULL, 36446, 15),
(88343, NULL, 'PTHR33384:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88344, NULL, 'PTHR31953:SF63', NULL, NULL, NULL, NULL, 'VACUOLAR INVERTASE', NULL, NULL, NULL, 15),
(88345, NULL, 'PTHR33148:SF49', NULL, NULL, NULL, NULL, 'BNAC06G00460D PROTEIN', NULL, NULL, NULL, 15),
(88346, NULL, 'PTHR34481:SF13', NULL, NULL, NULL, NULL, 'TRYPSIN/FACTOR XIIA INHIBITOR', NULL, NULL, NULL, 15),
(88347, NULL, 'PTHR45882:SF1', NULL, NULL, NULL, NULL, 'PITUITARY HOMEOBOX 1', NULL, NULL, NULL, 15),
(88348, NULL, 'PTHR34223:SF22', NULL, NULL, NULL, NULL, 'OS11G0208300 PROTEIN', NULL, NULL, NULL, 15),
(88349, NULL, 'PTHR21319:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88350, NULL, 'PTHR39944:SF1', NULL, NULL, NULL, NULL, 'CALDESMON-RELATED PROTEIN', NULL, NULL, NULL, 15),
(88351, NULL, 'PTHR12013:SF4', NULL, NULL, NULL, NULL, 'BNAA04G25280D PROTEIN', NULL, NULL, NULL, 15),
(88352, NULL, 'PTHR45675:SF68', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', NULL, NULL, NULL, 15),
(88353, NULL, 'PTHR20648:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG15576', NULL, NULL, NULL, 15),
(88354, NULL, 'PTHR43029:SF7', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(88355, NULL, 'PTHR24221:SF491', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88356, NULL, 'PTHR16151:SF2', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(88357, NULL, 'PTHR11514:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH14', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88358, NULL, 'PTHR24201:SF5', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 66', NULL, NULL, NULL, 15),
(88359, NULL, 'PTHR12052:SF7', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN YLS8 ISOFORM X1', NULL, NULL, NULL, 15),
(88360, NULL, 'PTHR40631', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE AXHA-2-RELATED', NULL, NULL, 6079, 15),
(88361, NULL, 'PTHR23335:SF0', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR, ISOFORM F', NULL, NULL, NULL, 15),
(88362, NULL, 'PTHR47511:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(88363, NULL, 'PTHR21545:SF14', NULL, NULL, NULL, NULL, 'LIGAND-DEPENDENT COREPRESSOR', NULL, NULL, NULL, 15),
(88364, NULL, 'PTHR43806:SF38', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.4', NULL, NULL, NULL, 15),
(88365, NULL, 'PTHR33304:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88366, NULL, 'PTHR23423:SF34', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G07250)-RELATED', NULL, NULL, NULL, 15),
(88367, NULL, 'PTHR32315:SF3', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(88368, NULL, 'PTHR47419:SF2', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', NULL, NULL, NULL, 15),
(88369, NULL, 'PTHR23055:SF82', NULL, NULL, NULL, NULL, 'KV CHANNEL-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(88370, NULL, 'PTHR47364:SF5', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 4', NULL, NULL, NULL, 15),
(88371, NULL, 'PTHR31044:SF89', NULL, NULL, NULL, NULL, 'BNAC05G10160D PROTEIN', NULL, NULL, NULL, 15),
(88372, NULL, 'PTHR11540:SF59', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(88373, NULL, 'PTHR46130', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38130, 15),
(88374, NULL, 'PTHR43201:SF9', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE FAMILY MEMBER 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(88375, NULL, 'PTHR15341:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR NUCLEIC ACID-BINDING PROTEIN C1D', NULL, NULL, NULL, 15),
(88376, NULL, 'PTHR16650:SF9', NULL, NULL, NULL, NULL, 'LEBERCILIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(88377, NULL, 'PTHR30456:SF0', NULL, NULL, NULL, NULL, 'PYRIDOXINE 5''-PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(88378, NULL, 'PTHR12845:SF5', NULL, NULL, NULL, NULL, 'EPHEXIN, ISOFORM D', NULL, NULL, NULL, 15),
(88379, NULL, 'PTHR31415:SF120', NULL, NULL, NULL, NULL, 'NDR1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(88380, NULL, 'PTHR20852:SF44', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(88381, NULL, 'PTHR45527:SF4', NULL, NULL, NULL, NULL, 'CDA PEPTIDE SYNTHETASE III', NULL, NULL, NULL, 15),
(88382, NULL, 'PTHR11685:SF331', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(88383, NULL, 'PTHR31391:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88384, NULL, 'PTHR45824:SF17', NULL, NULL, NULL, NULL, 'DIVERGENT CRAL/TRIO DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(88385, NULL, 'PTHR47709', NULL, NULL, NULL, NULL, 'SHORT TRANSMEMBRANE MITOCHONDRIAL PROTEIN 1', NULL, NULL, 27946, 15),
(88386, NULL, 'PTHR24220:SF668', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(88387, NULL, 'PTHR11685:SF284', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(88388, NULL, 'PTHR42991:SF1', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(88389, NULL, 'PTHR13351', NULL, NULL, NULL, NULL, 'RENIN RECEPTOR', NULL, NULL, 12757, 15),
(88390, NULL, 'PTHR11787:SF21', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', NULL, NULL, NULL, 15),
(88391, NULL, 'PTHR45707:SF19', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(88392, NULL, 'PTHR18916:SF80', NULL, NULL, NULL, NULL, 'SI:CH211-175F12.2', NULL, NULL, NULL, 15),
(88393, NULL, 'PTHR23070:SF87', NULL, NULL, NULL, NULL, 'ATPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14760)-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88394, NULL, 'PTHR24038:SF0', NULL, NULL, NULL, NULL, 'STABILIN-2', NULL, NULL, NULL, 15),
(88395, NULL, 'PTHR31717:SF75', NULL, NULL, NULL, NULL, 'BNAC04G43770D PROTEIN', NULL, NULL, NULL, 15),
(88396, NULL, 'PTHR46841:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-31E10.1', NULL, NULL, NULL, 15),
(88397, NULL, 'PTHR23076:SF92', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 8, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(88398, NULL, 'PTHR44742:SF7', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(88399, NULL, 'PTHR43099:SF6', NULL, NULL, NULL, NULL, 'UPF0053 PROTEIN RV1842C', NULL, NULL, NULL, 15),
(88400, NULL, 'PTHR15893:SF11', NULL, NULL, NULL, NULL, 'OSJNBA0041M06.7 PROTEIN', NULL, NULL, NULL, 15),
(88401, NULL, 'PTHR12375:SF45', NULL, NULL, NULL, NULL, 'PROTEIN CBG06988', NULL, NULL, NULL, 15),
(88402, NULL, 'PTHR14919', NULL, NULL, NULL, NULL, 'KPL2-RELATED', NULL, NULL, NULL, 15),
(88403, NULL, 'PTHR31400:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GUCD1', NULL, NULL, NULL, 15),
(88404, NULL, 'PTHR10265:SF46', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1', NULL, NULL, NULL, 15),
(88405, NULL, 'PTHR46328:SF22', NULL, NULL, NULL, NULL, 'OS12G0287500 PROTEIN', NULL, NULL, NULL, 15),
(88406, NULL, 'PTHR33228:SF42', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 6-LIKE', NULL, NULL, NULL, 15),
(88407, NULL, 'PTHR21089:SF11', NULL, NULL, NULL, NULL, 'OS01G0375500 PROTEIN', NULL, NULL, NULL, 15),
(88408, NULL, 'PTHR31650:SF23', NULL, NULL, NULL, NULL, 'GH11223P', NULL, NULL, NULL, 15),
(88409, NULL, 'PTHR46502:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88410, NULL, 'PTHR33095:SF80', NULL, NULL, NULL, NULL, 'BNAC09G50940D PROTEIN', NULL, NULL, NULL, 15),
(88411, NULL, 'PTHR42938:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88412, NULL, 'PTHR46651:SF2', NULL, NULL, NULL, NULL, 'ATAXIN-2 C-TERMINAL REGION FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(88413, NULL, 'PTHR23423:SF18', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 184 HOMOLOG DDB_G0279555-RELATED', NULL, NULL, NULL, 15),
(88414, NULL, 'PTHR12974:SF46', NULL, NULL, NULL, NULL, 'TERMINAL NUCLEOTIDYLTRANSFERASE 5B', NULL, NULL, NULL, 15),
(88415, NULL, 'PTHR31843:SF14', NULL, NULL, NULL, NULL, 'BNAC09G52570D PROTEIN', NULL, NULL, NULL, 15),
(88416, NULL, 'PTHR48043:SF37', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 83A1-LIKE', NULL, NULL, NULL, 15),
(88417, NULL, 'PTHR33248:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER, GRF-TYPE-RELATED', NULL, NULL, NULL, 15),
(88418, NULL, 'PTHR11635:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88419, NULL, 'PTHR23412:SF19', NULL, NULL, NULL, NULL, 'STEREOCILIN 1', NULL, NULL, NULL, 15),
(88420, NULL, 'PTHR46217', NULL, NULL, NULL, NULL, 'PROTEIN CBG27765', NULL, NULL, NULL, 15),
(88421, NULL, 'PTHR31301:SF137', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(88422, NULL, 'PTHR23073:SF82', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(88423, NULL, 'PTHR11675:SF110', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINYLTRANSFERASE 7', NULL, NULL, NULL, 15),
(88424, NULL, 'PTHR11615:SF313', NULL, NULL, NULL, NULL, 'FE-HYDROGENASE, SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(88425, NULL, 'PTHR21700', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 5597, 15),
(88426, NULL, 'PTHR33353:SF32', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14490)-RELATED', NULL, NULL, NULL, 15),
(88427, NULL, 'PTHR11945:SF357', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 13', NULL, NULL, NULL, 15),
(88428, NULL, 'PTHR10772:SF44', NULL, NULL, NULL, NULL, '20 KDA CHAPERONIN, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(88429, NULL, 'PTHR35441', NULL, NULL, NULL, NULL, 'CIRCADIAN-ASSOCIATED TRANSCRIPTIONAL REPRESSOR', NULL, NULL, 27121, 15),
(88430, NULL, 'PTHR24416:SF46', NULL, NULL, NULL, NULL, 'MAST/STEM CELL GROWTH FACTOR RECEPTOR KIT', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88431, NULL, 'PTHR13286:SF10', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP30 SIN3-BINDING PROTEIN', NULL, NULL, NULL, 15),
(88432, NULL, 'PTHR39176', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88433, NULL, 'PTHR23050:SF442', NULL, NULL, NULL, NULL, 'CALMODULIN RELATED GENES', NULL, NULL, NULL, 15),
(88434, NULL, 'PTHR24015:SF1934', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(88435, NULL, 'PTHR31406:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09424', NULL, NULL, NULL, 15),
(88436, NULL, 'PTHR45648:SF105', NULL, NULL, NULL, NULL, 'BNAA02G35910D PROTEIN', NULL, NULL, NULL, 15),
(88437, NULL, 'PTHR31673:SF46', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(88438, NULL, 'PTHR46005:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 5', NULL, NULL, NULL, 15),
(88439, NULL, 'PTHR11200', NULL, NULL, NULL, NULL, 'INOSITOL 5-PHOSPHATASE', NULL, NULL, NULL, 15),
(88440, NULL, 'PTHR14580', NULL, NULL, NULL, NULL, 'MULTIPLE MYELOMA TUMOR-ASSOCIATED PROTEIN 2 FAMILY MEMBER', NULL, NULL, 35357, 15),
(88441, NULL, 'PTHR33077:SF87', NULL, NULL, NULL, NULL, 'TIFY DOMAIN, CO/COL/TOC1, CONSERVED SITE-RELATED', NULL, NULL, NULL, 15),
(88442, NULL, 'PTHR33732:SF7', NULL, NULL, NULL, NULL, 'RUBBER ELONGATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(88443, NULL, 'PTHR32246:SF64', NULL, NULL, NULL, NULL, 'C2 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(88444, NULL, 'PTHR31509:SF0', NULL, NULL, NULL, NULL, 'OS04G0688000 PROTEIN', NULL, NULL, NULL, 15),
(88445, NULL, 'PTHR47038:SF1', NULL, NULL, NULL, NULL, 'BAG-ASSOCIATED GRAM PROTEIN 1', NULL, NULL, NULL, 15),
(88446, NULL, 'PTHR14387:SF7', NULL, NULL, NULL, NULL, 'THYROID ADENOMA-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(88447, NULL, 'PTHR38926:SF26', NULL, NULL, NULL, NULL, 'BNAA08G29020D PROTEIN', NULL, NULL, NULL, 15),
(88448, NULL, 'PTHR24056:SF353', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT SERINE/THREONINE-PROTEIN KINASE DDB_G0272797/DDB_G0274007-RELATED', NULL, NULL, NULL, 15),
(88449, NULL, 'PTHR10218:SF243', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-7 SUBUNIT', NULL, NULL, NULL, 15),
(88450, NULL, 'PTHR44516:SF9', NULL, NULL, NULL, NULL, '2-METHYL-6-PHYTYLBENZOQUINONE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(88451, NULL, 'PTHR13844', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY D', NULL, NULL, NULL, 15),
(88452, NULL, 'PTHR24177:SF285', NULL, NULL, NULL, NULL, 'OS09G0294901 PROTEIN', NULL, NULL, NULL, 15),
(88453, NULL, 'PTHR11088:SF65', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE 4-RELATED', NULL, NULL, NULL, 15),
(88454, NULL, 'PTHR45651:SF7', NULL, NULL, NULL, NULL, 'OS09G0558300 PROTEIN', NULL, NULL, NULL, 15),
(88455, NULL, 'PTHR11109:SF6', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE 2', NULL, NULL, NULL, 15),
(88456, NULL, 'PTHR48025:SF7', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(88457, NULL, 'PTHR32212:SF359', NULL, NULL, NULL, NULL, 'BNAA03G10850D PROTEIN', NULL, NULL, NULL, 15),
(88458, NULL, 'PTHR11926:SF1322', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(88459, NULL, 'PTHR12549:SF36', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ25-LIKE', NULL, NULL, NULL, 15),
(88460, NULL, 'PTHR37334:SF1', NULL, NULL, NULL, NULL, 'RGD1561796', NULL, NULL, NULL, 15),
(88461, NULL, 'PTHR23235:SF41', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 4', NULL, NULL, NULL, 15),
(88462, NULL, 'PTHR36151:SF3', NULL, NULL, NULL, NULL, 'BLR2777 PROTEIN', NULL, NULL, NULL, 15),
(88463, NULL, 'PTHR10502:SF191', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(88464, NULL, 'PTHR36844', NULL, NULL, NULL, NULL, 'PROTEASE PRSW', NULL, NULL, 28673, 15),
(88465, NULL, 'PTHR11654:SF373', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.4-LIKE', NULL, NULL, NULL, 15),
(88466, NULL, 'PTHR31748:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88467, NULL, 'PTHR48083:SF22', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G10880)', NULL, NULL, NULL, 15),
(88468, NULL, 'PTHR35450:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88469, NULL, 'PTHR32278:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88470, NULL, 'PTHR10811:SF96', NULL, NULL, NULL, NULL, 'BNAA05G27650D PROTEIN', NULL, NULL, NULL, 15),
(88471, NULL, 'PTHR10285:SF131', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE 2', NULL, NULL, 28792, 15),
(88472, NULL, 'PTHR21229:SF20', NULL, NULL, NULL, NULL, 'OS07G0614600 PROTEIN', NULL, NULL, NULL, 15),
(88473, NULL, 'PTHR10071:SF106', NULL, NULL, NULL, NULL, 'TRANS-ACTING T-CELL-SPECIFIC TRANSCRIPTION FACTOR GATA-3', NULL, NULL, 25924, 15),
(88474, NULL, 'PTHR12542:SF123', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(88475, NULL, 'PTHR31225:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88476, NULL, 'PTHR23420:SF22', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', NULL, NULL, NULL, 15),
(88477, NULL, 'PTHR24119:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88478, NULL, 'PTHR19868', NULL, NULL, NULL, NULL, 'RECEPTOR FOR ACTIVATED PROTEIN KINASE C  RACK1', NULL, NULL, 37159, 15),
(88479, NULL, 'PTHR31104:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88480, NULL, 'PTHR31391:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88481, NULL, 'PTHR15081:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR AUTOANTIGENIC SPERM PROTEIN', NULL, NULL, NULL, 15),
(88482, NULL, 'PTHR24304:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88483, NULL, 'PTHR22844:SF339', NULL, NULL, NULL, NULL, 'F13F21.11 PROTEIN', NULL, NULL, NULL, 15),
(88484, NULL, 'PTHR10582:SF4', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY V MEMBER 4', NULL, NULL, 7727, 15),
(88485, NULL, 'PTHR11654:SF505', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(88486, NULL, 'PTHR45939', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PMP34-RELATED', NULL, NULL, NULL, 15),
(88487, NULL, 'PTHR30121:SF6', NULL, NULL, NULL, NULL, 'SLR6007 PROTEIN', NULL, NULL, NULL, 15),
(88488, NULL, 'PTHR31087', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 2805, 15),
(88489, NULL, 'PTHR31094:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2310061I04 GENE', NULL, NULL, NULL, 15),
(88490, NULL, 'PTHR15283:SF3', NULL, NULL, NULL, NULL, 'GREMLIN-1', NULL, NULL, NULL, 15),
(88491, NULL, 'PTHR39957:SF1', NULL, NULL, NULL, NULL, 'AT09846P1-RELATED', NULL, NULL, NULL, 15),
(88492, NULL, 'PTHR38364', NULL, NULL, NULL, NULL, 'OSJNBA0022H21.9 PROTEIN', NULL, NULL, NULL, 15),
(88493, NULL, 'PTHR46287:SF5', NULL, NULL, NULL, NULL, 'OS02G0596700 PROTEIN', NULL, NULL, NULL, 15),
(88494, NULL, 'PTHR10484:SF171', NULL, NULL, NULL, NULL, 'HISTONE H4', NULL, NULL, NULL, 15),
(88495, NULL, 'PTHR47553', NULL, NULL, NULL, NULL, 'MYOSIN-11', NULL, NULL, NULL, 15),
(88496, NULL, 'PTHR39408', NULL, NULL, NULL, NULL, 'MUCIN-21', NULL, NULL, 29926, 15),
(88497, NULL, 'PTHR11879:SF37', NULL, NULL, NULL, NULL, 'AROMATIC-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(88498, NULL, 'PTHR46136', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE8', NULL, NULL, NULL, 15),
(88499, NULL, 'PTHR31374:SF240', NULL, NULL, NULL, NULL, 'BNAC06G01240D PROTEIN', NULL, NULL, NULL, 15),
(88500, NULL, 'PTHR47287:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(88501, NULL, 'PTHR19134:SF476', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE LAR', NULL, NULL, NULL, 15),
(88502, NULL, 'PTHR44240', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN (PROKARYOTIC HEAT SHOCK PROTEIN)-RELATED', NULL, NULL, NULL, 15),
(88503, NULL, 'PTHR33021:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88504, NULL, 'PTHR31793:SF32', NULL, NULL, NULL, NULL, 'ACYL-ACYL CARRIER PROTEIN THIOESTERASE ATL3 CHLOROPLASTIC', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88505, NULL, 'PTHR13500:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR PRE-RIBOSOMAL-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(88506, NULL, 'PTHR15119:SF0', NULL, NULL, NULL, NULL, 'SECRETOGRANIN-2', NULL, NULL, NULL, 15),
(88507, NULL, 'PTHR45933:SF38', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88508, NULL, 'PTHR10857:SF102', NULL, NULL, NULL, NULL, 'COPINE DOMAIN PROTEIN, ATYPICAL', NULL, NULL, NULL, 15),
(88509, NULL, 'PTHR30523:SF5', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE 1', NULL, NULL, NULL, 15),
(88510, NULL, 'PTHR32116:SF62', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(88511, NULL, 'PTHR39523', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88512, NULL, 'PTHR11960:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88513, NULL, 'PTHR11575:SF32', NULL, NULL, NULL, NULL, 'APYRASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(88514, NULL, 'PTHR10996:SF261', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT 2-HYDROXYACID DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(88515, NULL, 'PTHR47102:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BNI1', NULL, NULL, NULL, 15),
(88516, NULL, 'PTHR23122:SF74', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PALMITOYLATED 4A (MAGUK P55 SUBFAMILY MEMBER 4)', NULL, NULL, NULL, 15),
(88517, NULL, 'PTHR11544:SF61', NULL, NULL, NULL, NULL, 'Y-BOX-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(88518, NULL, 'PTHR45974:SF119', NULL, NULL, NULL, NULL, 'BNAA02G29300D PROTEIN', NULL, NULL, NULL, 15),
(88519, NULL, 'PTHR18945:SF443', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(88520, NULL, 'PTHR33098:SF62', NULL, NULL, NULL, NULL, 'OS01G0710100 PROTEIN', NULL, NULL, NULL, 15),
(88521, NULL, 'PTHR31232:SF33', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', NULL, NULL, NULL, 15),
(88522, NULL, 'PTHR12649:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88523, NULL, 'PTHR37327', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(88524, NULL, 'PTHR11818:SF28', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN A', NULL, NULL, NULL, 15),
(88525, NULL, 'PTHR31721:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88526, NULL, 'PTHR24083:SF85', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(88527, NULL, 'PTHR16223:SF239', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH68-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(88528, NULL, 'PTHR37862', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA CORE COMPLEX-ASSOCIATED PROTEIN 20', NULL, NULL, NULL, 15),
(88529, NULL, 'PTHR22624', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE ATG4', NULL, NULL, 10162, 15),
(88530, NULL, 'PTHR30031', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE  ATP', NULL, NULL, 5043, 15),
(88531, NULL, 'PTHR31375:SF194', NULL, NULL, NULL, NULL, 'BNAC08G49850D PROTEIN', NULL, NULL, NULL, 15),
(88532, NULL, 'PTHR24418:SF269', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE STYK1', NULL, NULL, NULL, 15),
(88533, NULL, 'PTHR12802:SF103', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 6', NULL, NULL, NULL, 15),
(88534, NULL, 'PTHR47688', NULL, NULL, NULL, NULL, 'NLR FAMILY CARD DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 36236, 15),
(88535, NULL, 'PTHR23024:SF165', NULL, NULL, NULL, NULL, 'OS09G0461500 PROTEIN', NULL, NULL, NULL, 15),
(88536, NULL, 'PTHR10270:SF295', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX', NULL, NULL, NULL, 15),
(88537, NULL, 'PTHR31865:SF5', NULL, NULL, NULL, NULL, 'OS05G0140300 PROTEIN', NULL, NULL, NULL, 15),
(88538, NULL, 'PTHR46136:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE11-RELATED', NULL, NULL, NULL, 15),
(88539, NULL, 'PTHR24351:SF180', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(88540, NULL, 'PTHR47991:SF96', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(88541, NULL, 'PTHR23050:SF430', NULL, NULL, NULL, NULL, 'MYOSIN-ID LIGHT CHAIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88542, NULL, 'PTHR47003:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88543, NULL, 'PTHR34154:SF3', NULL, NULL, NULL, NULL, 'ALKALI-SENSITIVE LINKAGE PROTEIN 1', NULL, NULL, NULL, 15),
(88544, NULL, 'PTHR47494', NULL, NULL, NULL, NULL, 'NKG2-D TYPE II INTEGRAL MEMBRANE PROTEIN', NULL, NULL, 39520, 15),
(88545, NULL, 'PTHR24243:SF107', NULL, NULL, NULL, NULL, 'NEUROPEPTIDES CAPA RECEPTOR', NULL, NULL, NULL, 15),
(88546, NULL, 'PTHR11521:SF6', NULL, NULL, NULL, NULL, 'TROPONIN T, SLOW SKELETAL MUSCLE', NULL, NULL, NULL, 15),
(88547, NULL, 'PTHR31857:SF2', NULL, NULL, NULL, NULL, 'HSSA/B-LIKE PROTEIN 17-RELATED', NULL, NULL, NULL, 15),
(88548, NULL, 'PTHR15208', NULL, NULL, NULL, NULL, 'RECEPTOR-BINDING CANCER ANTIGEN EXPRESSED ON SISO CELLS  CANCER ASSOCIATED SURFACE ANTIGEN RCAS1   ESTROGEN RECEPTOR-BINDING FRAGMENT- ASSOCIATED GENE 9 PROTEIN', NULL, NULL, 19196, 15),
(88549, NULL, 'PTHR44845', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88550, NULL, 'PTHR46692:SF1', NULL, NULL, NULL, NULL, 'INOSINE-URIDINE PREFERRING NUCLEOSIDE HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(88551, NULL, 'PTHR12604:SF2', NULL, NULL, NULL, NULL, 'X-RAY REPAIR CROSS-COMPLEMENTING PROTEIN 6', NULL, NULL, 10404, 15),
(88552, NULL, 'PTHR21184:SF6', NULL, NULL, NULL, NULL, 'MENORIN (DENDRITIC BRANCHING PROTEIN)', NULL, NULL, NULL, 15),
(88553, NULL, 'PTHR24296:SF141', NULL, NULL, NULL, NULL, 'SPHINGOLIPID TRANSPORTER SPINSTER-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(88554, NULL, 'PTHR46477:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88555, NULL, 'PTHR34883:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88556, NULL, 'PTHR14781:SF0', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 56', NULL, NULL, NULL, 15),
(88557, NULL, 'PTHR30346:SF16', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CYNR', NULL, NULL, NULL, 15),
(88558, NULL, 'PTHR35727:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88559, NULL, 'PTHR12629:SF49', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(88560, NULL, 'PTHR46405:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RF298-RELATED', NULL, NULL, NULL, 15),
(88561, NULL, 'PTHR32285:SF39', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(88562, NULL, 'PTHR31923:SF31', NULL, NULL, NULL, NULL, 'BSD DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(88563, NULL, 'PTHR20852:SF92', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE CYTOSOLIC ISOZYME 1-3', NULL, NULL, NULL, 15),
(88564, NULL, 'PTHR33101:SF14', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 7', NULL, NULL, NULL, 15),
(88565, NULL, 'PTHR31283:SF18', NULL, NULL, NULL, NULL, 'BNAA10G06410D PROTEIN', NULL, NULL, NULL, 15),
(88566, NULL, 'PTHR12304:SF4', NULL, NULL, NULL, NULL, 'URIDINE NUCLEOSIDASE 2-RELATED', NULL, NULL, NULL, 15),
(88567, NULL, 'PTHR11206:SF153', NULL, NULL, NULL, NULL, 'ETHIONINE RESISTANCE-CONFERRING PROTEIN 1', NULL, NULL, NULL, 15),
(88568, NULL, 'PTHR15082', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE B12 SUBUNIT', NULL, NULL, 9957, 15),
(88569, NULL, 'PTHR10340:SF28', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE A', NULL, NULL, NULL, 15),
(88570, NULL, 'PTHR47985:SF59', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL25-RELATED', NULL, NULL, NULL, 15),
(88571, NULL, 'PTHR35574:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBR-HPO-30', NULL, NULL, NULL, 15),
(88572, NULL, 'PTHR38082:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88573, NULL, 'PTHR14156:SF0', NULL, NULL, NULL, NULL, 'PROMOTILIN', NULL, NULL, NULL, 15),
(88574, NULL, 'PTHR11767:SF20', NULL, NULL, NULL, NULL, 'ATP-SENSITIVE INWARD RECTIFIER POTASSIUM CHANNEL 15', NULL, NULL, 3497, 15),
(88575, NULL, 'PTHR11673:SF12', NULL, NULL, NULL, NULL, 'WORONIN BODY MAJOR PROTEIN', NULL, NULL, NULL, 15),
(88576, NULL, 'PTHR46616:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE, RING-TYPE ZINC-FINGER, LISH DIMERIZATION MOTIF PROTEIN-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88577, NULL, 'PTHR33375:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME-PARTITIONING PROTEIN PARB-RELATED', NULL, NULL, NULL, 15),
(88578, NULL, 'PTHR27003:SF283', NULL, NULL, NULL, NULL, 'LESCPTH2', NULL, NULL, NULL, 15),
(88579, NULL, 'PTHR48111:SF55', NULL, NULL, NULL, NULL, 'AEROBIC RESPIRATION CONTROL PROTEIN ARCA', NULL, NULL, NULL, 15),
(88580, NULL, 'PTHR31692:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88581, NULL, 'PTHR35545:SF16', NULL, NULL, NULL, NULL, 'OS07G0554800 PROTEIN', NULL, NULL, NULL, 15),
(88582, NULL, 'PTHR24261:SF12', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88583, NULL, 'PTHR24083:SF100', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR RXR-GAMMA', NULL, NULL, NULL, 15),
(88584, NULL, 'PTHR48010:SF58', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(88585, NULL, 'PTHR15462:SF8', NULL, NULL, NULL, NULL, 'SERINE PROTEASE', NULL, NULL, NULL, 15),
(88586, NULL, 'PTHR47960:SF7', NULL, NULL, NULL, NULL, 'DEAD (ASP-GLU-ALA-ASP) BOX HELICASE 61', NULL, NULL, NULL, 15),
(88587, NULL, 'PTHR27002:SF722', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', NULL, NULL, NULL, 15),
(88588, NULL, 'PTHR47947:SF19', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82C3-RELATED', NULL, NULL, NULL, 15),
(88589, NULL, 'PTHR31375:SF180', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', NULL, NULL, NULL, 15),
(88590, NULL, 'PTHR33573:SF16', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(88591, NULL, 'PTHR32246:SF126', NULL, NULL, NULL, NULL, 'BNAC04G04480D PROTEIN', NULL, NULL, NULL, 15),
(88592, NULL, 'PTHR33714:SF5', NULL, NULL, NULL, NULL, 'COUNTING FACTOR-ASSOCIATED PROTEIN C', NULL, NULL, NULL, 15),
(88593, NULL, 'PTHR10796:SF36', NULL, NULL, NULL, NULL, 'PATCHED DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(88594, NULL, 'PTHR48011:SF42', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', NULL, NULL, NULL, 15),
(88595, NULL, 'PTHR31901:SF39', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6-LIKE', NULL, NULL, NULL, 15),
(88596, NULL, 'PTHR21245:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88597, NULL, 'PTHR12183:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88598, NULL, 'PTHR10887:SF477', NULL, NULL, NULL, NULL, 'DNA REPLICATION ATP-DEPENDENT HELICASE/NUCLEASE DNA2-LIKE', NULL, NULL, NULL, 15),
(88599, NULL, 'PTHR43243:SF63', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(88600, NULL, 'PTHR31246:SF30', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-2', NULL, NULL, NULL, 15),
(88601, NULL, 'PTHR15497', NULL, NULL, NULL, NULL, '3-HYDROXYANTHRANILATE 3,4-DIOXYGENASE', NULL, NULL, 8996, 15),
(88602, NULL, 'PTHR12241:SF39', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL9-RELATED', NULL, NULL, 26182, 15),
(88603, NULL, 'PTHR45621:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88604, NULL, 'PTHR31639:SF227', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(88605, NULL, 'PTHR23110:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GAGA', NULL, NULL, NULL, 15),
(88606, NULL, 'PTHR47972:SF4', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14L', NULL, NULL, NULL, 15),
(88607, NULL, 'PTHR11250:SF2', NULL, NULL, NULL, NULL, 'TACHYKININ-4', NULL, NULL, NULL, 15),
(88608, NULL, 'PTHR34967:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88609, NULL, 'PTHR35099:SF13', NULL, NULL, NULL, NULL, 'BNAA03G51890D PROTEIN', NULL, NULL, NULL, 15),
(88610, NULL, 'PTHR23222:SF1', NULL, NULL, NULL, NULL, 'PROHIBITIN-2', NULL, NULL, NULL, 15),
(88611, NULL, 'PTHR12262:SF15', NULL, NULL, NULL, NULL, 'BNAC04G12270D PROTEIN', NULL, NULL, NULL, 15),
(88612, NULL, 'PTHR46215:SF1', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 16', NULL, NULL, NULL, 15),
(88613, NULL, 'PTHR45675:SF57', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB48', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88614, NULL, 'PTHR16983:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88615, NULL, 'PTHR44329:SF192', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(88616, NULL, 'PTHR46443:SF15', NULL, NULL, NULL, NULL, 'ZF-FLZ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88617, NULL, 'PTHR45665:SF33', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP1-1', NULL, NULL, NULL, 15),
(88618, NULL, 'PTHR23171:SF4', NULL, NULL, NULL, NULL, 'TUFTELIN', NULL, NULL, 22658, 15),
(88619, NULL, 'PTHR12916', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE POLYPEPTIDE VIC-2', NULL, NULL, NULL, 15),
(88620, NULL, 'PTHR23017:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(88621, NULL, 'PTHR31008:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88622, NULL, 'PTHR31676:SF24', NULL, NULL, NULL, NULL, 'DUF538 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(88623, NULL, 'PTHR48018:SF57', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(88624, NULL, 'PTHR33887:SF1', NULL, NULL, NULL, NULL, 'GENE 867-RELATED', NULL, NULL, NULL, 15),
(88625, NULL, 'PTHR35789', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN B3', NULL, NULL, 14422, 15),
(88626, NULL, 'PTHR23155:SF1051', NULL, NULL, NULL, NULL, 'OS01G0308300 PROTEIN', NULL, NULL, NULL, 15),
(88627, NULL, 'PTHR46747', NULL, NULL, NULL, NULL, 'ALPHA-PROTEIN KINASE 1', NULL, NULL, 38091, 15),
(88628, NULL, 'PTHR45974:SF174', NULL, NULL, NULL, NULL, 'BNAA02G10040D PROTEIN', NULL, NULL, NULL, 15),
(88629, NULL, 'PTHR16277:SF11', NULL, NULL, NULL, NULL, 'SI:DKEY-177P2.6', NULL, NULL, NULL, 15),
(88630, NULL, 'PTHR33076:SF143', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 15-RELATED', NULL, NULL, NULL, 15),
(88631, NULL, 'PTHR27009:SF161', NULL, NULL, NULL, NULL, 'BNAC08G11370D PROTEIN', NULL, NULL, NULL, 15),
(88632, NULL, 'PTHR10263:SF57', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C4', NULL, NULL, NULL, 15),
(88633, NULL, 'PTHR18945:SF498', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT GAMMA-2', NULL, NULL, NULL, 15),
(88634, NULL, 'PTHR13878:SF90', NULL, NULL, NULL, NULL, 'OS08G0114300 PROTEIN', NULL, NULL, NULL, 15),
(88635, NULL, 'PTHR11566:SF167', NULL, NULL, NULL, NULL, 'DYNAMIN-2A-LIKE', NULL, NULL, NULL, 15),
(88636, NULL, 'PTHR31989:SF369', NULL, NULL, NULL, NULL, 'BNAC05G01020D PROTEIN', NULL, NULL, NULL, 15),
(88637, NULL, 'PTHR33454:SF5', NULL, NULL, NULL, NULL, 'PUROINDOLINE-A', NULL, NULL, NULL, 15),
(88638, NULL, 'PTHR34648:SF8', NULL, NULL, NULL, NULL, 'CLOCK-INTERACTING PACEMAKER A', NULL, NULL, NULL, 15),
(88639, NULL, 'PTHR10856:SF20', NULL, NULL, NULL, NULL, 'CORONIN-7', NULL, NULL, 26213, 15),
(88640, NULL, 'PTHR31410:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88641, NULL, 'PTHR33625:SF3', NULL, NULL, NULL, NULL, 'OSJNBB0034G17.10 PROTEIN', NULL, NULL, NULL, 15),
(88642, NULL, 'PTHR10796:SF96', NULL, NULL, NULL, NULL, 'PATCHED-RELATED PROTEIN 9', NULL, NULL, NULL, 15),
(88643, NULL, 'PTHR44328:SF14', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE L3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(88644, NULL, 'PTHR30024:SF21', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(88645, NULL, 'PTHR43004:SF7', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15520)-RELATED', NULL, NULL, NULL, 15),
(88646, NULL, 'PTHR43822:SF11', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE LARGE SUBUNIT-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(88647, NULL, 'PTHR30620:SF98', NULL, NULL, NULL, NULL, 'BETA-D-GLUCAN EXOHYDROLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(88648, NULL, 'PTHR33781:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHYTOCHROME KINASE SUBSTRATE 4', NULL, NULL, 30000, 15),
(88649, NULL, 'PTHR48019:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88650, NULL, 'PTHR24071:SF31', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN-3', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88651, NULL, 'PTHR10117:SF54', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL-GAMMA PROTEIN', NULL, NULL, NULL, 15),
(88652, NULL, 'PTHR47981:SF5', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB7-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(88653, NULL, 'PTHR22754:SF39', NULL, NULL, NULL, NULL, 'OS04G0473900 PROTEIN', NULL, NULL, NULL, 15),
(88654, NULL, 'PTHR43981:SF1', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(88655, NULL, 'PTHR21290:SF4', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN SYNTHASE-RELATED 2', NULL, NULL, NULL, 15),
(88656, NULL, 'PTHR42847:SF2', NULL, NULL, NULL, NULL, 'METHANESULFONATE MONOOXYGENASE', NULL, NULL, NULL, 15),
(88657, NULL, 'PTHR19359:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 TYPE B', NULL, NULL, NULL, 15),
(88658, NULL, 'PTHR11926:SF1337', NULL, NULL, NULL, NULL, 'OS07G0240600 PROTEIN', NULL, NULL, NULL, 15),
(88659, NULL, 'PTHR31415:SF101', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(88660, NULL, 'PTHR31625:SF48', NULL, NULL, NULL, NULL, 'PHENOLIC GLUCOSIDE MALONYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(88661, NULL, 'PTHR10502:SF121', NULL, NULL, NULL, NULL, 'ANNEXIN FAMILY', NULL, NULL, NULL, 15),
(88662, NULL, 'PTHR46458:SF2', NULL, NULL, NULL, NULL, 'X GLOBIN', NULL, NULL, NULL, 15),
(88663, NULL, 'PTHR23360:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG02598', NULL, NULL, NULL, 15),
(88664, NULL, 'PTHR27008:SF434', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88665, NULL, 'PTHR48017:SF133', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 8', NULL, NULL, NULL, 15),
(88666, NULL, 'PTHR43349:SF55', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 3-RELATED', NULL, NULL, NULL, 15),
(88667, NULL, 'PTHR24349:SF343', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(88668, NULL, 'PTHR31235:SF302', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(88669, NULL, 'PTHR11945:SF406', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL14-RELATED', NULL, NULL, NULL, 15),
(88670, NULL, 'PTHR11176', NULL, NULL, NULL, NULL, 'BOULE-RELATED', NULL, NULL, 33752, 15),
(88671, NULL, 'PTHR12080:SF91', NULL, NULL, NULL, NULL, 'CD58 MOLECULE', NULL, NULL, 11629, 15),
(88672, NULL, 'PTHR19134:SF292', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE', NULL, NULL, NULL, 15),
(88673, NULL, 'PTHR42718:SF14', NULL, NULL, NULL, NULL, 'AMINOTRIAZOLE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(88674, NULL, 'PTHR23147:SF103', NULL, NULL, NULL, NULL, 'TAR DNA-BINDING PROTEIN 43', NULL, NULL, NULL, 15),
(88675, NULL, 'PTHR31062:SF155', NULL, NULL, NULL, NULL, 'OS02G0280200 PROTEIN', NULL, NULL, NULL, 15),
(88676, NULL, 'PTHR16255:SF16', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN (DUF155)', NULL, NULL, NULL, 15),
(88677, NULL, 'PTHR46891:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(88678, NULL, 'PTHR47967:SF15', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2-LIKE', NULL, NULL, NULL, 15),
(88679, NULL, 'PTHR10108:SF1077', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT27-RELATED', NULL, NULL, NULL, 15),
(88680, NULL, 'PTHR32071:SF81', NULL, NULL, NULL, NULL, 'PROPIONATE CATABOLISM OPERON REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(88681, NULL, 'PTHR31003:SF33', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(88682, NULL, 'PTHR24141', NULL, NULL, NULL, NULL, '2-5A-DEPENDENT RIBONUCLEASE', NULL, NULL, NULL, 15),
(88683, NULL, 'PTHR31204:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88684, NULL, 'PTHR31213:SF124', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL10', NULL, NULL, NULL, 15),
(88685, NULL, 'PTHR43571', NULL, NULL, NULL, NULL, 'NADP-SPECIFIC GLUTAMATE DEHYDROGENASE 1-RELATED', NULL, NULL, NULL, 15),
(88686, NULL, 'PTHR32134:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88687, NULL, 'PTHR31674:SF65', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM5-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88688, NULL, 'PTHR34188:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88689, NULL, 'PTHR35546:SF55', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88690, NULL, 'PTHR48078:SF4', NULL, NULL, NULL, NULL, 'DEHYDRATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G07810)-RELATED', NULL, NULL, NULL, 15),
(88691, NULL, 'PTHR23176:SF119', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATOR RGA', NULL, NULL, NULL, 15),
(88692, NULL, 'PTHR14633', NULL, NULL, NULL, NULL, 'LITTLE ELONGATION COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(88693, NULL, 'PTHR10795:SF658', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.2', NULL, NULL, NULL, 15),
(88694, NULL, 'PTHR47319:SF13', NULL, NULL, NULL, NULL, 'OS06G0683400 PROTEIN', NULL, NULL, NULL, 15),
(88695, NULL, 'PTHR37308', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, 8, 15),
(88696, NULL, 'PTHR10606:SF65', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE/FRUCTOSE-2, 6-BISPHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(88697, NULL, 'PTHR10687:SF20', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(88698, NULL, 'PTHR46558:SF3', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(88699, NULL, 'PTHR43744:SF13', NULL, NULL, NULL, NULL, 'SN-GLYCEROL-3-PHOSPHATE TRANSPORT INTEGRAL MEMBRANE PROTEIN ABC TRANSPORTER UGPE-RELATED', NULL, NULL, NULL, 15),
(88700, NULL, 'PTHR11848:SF243', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88701, NULL, 'PTHR47897:SF1', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 124', NULL, NULL, NULL, 15),
(88702, NULL, 'PTHR11183:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88703, NULL, 'PTHR10782:SF81', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88704, NULL, 'PTHR47754', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X-RELATED', NULL, NULL, NULL, 15),
(88705, NULL, 'PTHR46844:SF1', NULL, NULL, NULL, NULL, 'SLR5058 PROTEIN', NULL, NULL, NULL, 15),
(88706, NULL, 'PTHR48041:SF22', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 9', NULL, NULL, NULL, 15),
(88707, NULL, 'PTHR22883:SF306', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 18', NULL, NULL, NULL, 15),
(88708, NULL, 'PTHR45715:SF8', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E', NULL, NULL, NULL, 15),
(88709, NULL, 'PTHR31648', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 33932, 15),
(88710, NULL, 'PTHR37754:SF3', NULL, NULL, NULL, NULL, 'BNAA03G53950D PROTEIN', NULL, NULL, NULL, 15),
(88711, NULL, 'PTHR12788:SF4', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE SULFOTRANSFERASE 1', NULL, NULL, NULL, 15),
(88712, NULL, 'PTHR10891:SF902', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88713, NULL, 'PTHR43818:SF11', NULL, NULL, NULL, NULL, 'BCDNA.GH03377', NULL, NULL, NULL, 15),
(88714, NULL, 'PTHR32021:SF40', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(88715, NULL, 'PTHR24246', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR AND ADENOSINE RECEPTOR', NULL, NULL, NULL, 15),
(88716, NULL, 'PTHR12276:SF45', NULL, NULL, NULL, NULL, 'FI19443P1', NULL, NULL, NULL, 15),
(88717, NULL, 'PTHR24128:SF19', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(88718, NULL, 'PTHR14107:SF21', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88719, NULL, 'PTHR24414:SF178', NULL, NULL, NULL, NULL, 'BNAC09G33740D PROTEIN', NULL, NULL, NULL, 15),
(88720, NULL, 'PTHR31682:SF29', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN-PROTEIN SYNTHASE [UDP-FORMING]-LIKE', NULL, NULL, NULL, 15),
(88721, NULL, 'PTHR32133:SF250', NULL, NULL, NULL, NULL, 'OS08G0299700 PROTEIN', NULL, NULL, NULL, 15),
(88722, NULL, 'PTHR26453:SF118', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1145', NULL, NULL, NULL, 15),
(88723, NULL, 'PTHR31232:SF72', NULL, NULL, NULL, NULL, 'BNAA03G00980D PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88724, NULL, 'PTHR31374:SF58', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(88725, NULL, 'PTHR31131:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88726, NULL, 'PTHR43705', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE', NULL, NULL, NULL, 15),
(88727, NULL, 'PTHR10758:SF12', NULL, NULL, NULL, NULL, '21D7', NULL, NULL, NULL, 15),
(88728, NULL, 'PTHR10288:SF293', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 31-LIKE', NULL, NULL, NULL, 15),
(88729, NULL, 'PTHR27006:SF432', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88730, NULL, 'PTHR12565:SF384', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88731, NULL, 'PTHR11893:SF36', NULL, NULL, NULL, NULL, 'INNEXIN', NULL, NULL, NULL, 15),
(88732, NULL, 'PTHR45676:SF88', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL33', NULL, NULL, NULL, 15),
(88733, NULL, 'PTHR24559:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88734, NULL, 'PTHR12774:SF2', NULL, NULL, NULL, NULL, 'PEROXISOMAL BIOGENESIS FACTOR 19', NULL, NULL, NULL, 15),
(88735, NULL, 'PTHR11267:SF82', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX2', NULL, NULL, NULL, 15),
(88736, NULL, 'PTHR46870:SF2', NULL, NULL, NULL, NULL, 'PROTEIN THYLAKOID ASSEMBLY 8-LIKE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(88737, NULL, 'PTHR18952:SF244', NULL, NULL, NULL, NULL, 'ANHYDRASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(88738, NULL, 'PTHR45908:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG06065', NULL, NULL, NULL, 15),
(88739, NULL, 'PTHR24031:SF732', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-9', NULL, NULL, NULL, 15),
(88740, NULL, 'PTHR31009:SF96', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASES SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(88741, NULL, 'PTHR43105:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(88742, NULL, 'PTHR43205:SF48', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(88743, NULL, 'PTHR45724:SF15', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP5-1-RELATED', NULL, NULL, NULL, 15),
(88744, NULL, 'PTHR23077:SF145', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 48 HOMOLOG D', NULL, NULL, NULL, 15),
(88745, NULL, 'PTHR21759', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(88746, NULL, 'PTHR43319:SF3', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(88747, NULL, 'PTHR47929:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88748, NULL, 'PTHR31967', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)-RELATED', NULL, NULL, NULL, 15),
(88749, NULL, 'PTHR31707:SF167', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(88750, NULL, 'PTHR36867:SF1', NULL, NULL, NULL, NULL, 'MCG131172, ISOFORM CRA_A', NULL, NULL, NULL, 15),
(88751, NULL, 'PTHR24418:SF61', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE ITK/TSK', NULL, NULL, NULL, 15),
(88752, NULL, 'PTHR24024:SF38', NULL, NULL, NULL, NULL, 'MANNOSE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(88753, NULL, 'PTHR11662:SF333', NULL, NULL, NULL, NULL, 'D-GALACTONATE TRANSPORTER', NULL, NULL, NULL, 15),
(88754, NULL, 'PTHR34524:SF3', NULL, NULL, NULL, NULL, 'CALCYPHOSIN-2', NULL, NULL, NULL, 15),
(88755, NULL, 'PTHR19304:SF8', NULL, NULL, NULL, NULL, 'CYCLIC AMP-RESPONSIVE ELEMENT-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(88756, NULL, 'PTHR31790:SF283', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(88757, NULL, 'PTHR28336:SF1', NULL, NULL, NULL, NULL, 'BA1-643', NULL, NULL, NULL, 15),
(88758, NULL, 'PTHR47521:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(88759, NULL, 'PTHR13952:SF8', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(88760, NULL, 'PTHR12269:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E TRANSPORTER', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88761, NULL, 'PTHR23285:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MEX3A', NULL, NULL, NULL, 15),
(88762, NULL, 'PTHR46038:SF24', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(88763, NULL, 'PTHR43150:SF6', NULL, NULL, NULL, NULL, 'VIC POTASSIUM ION CHANNEL, BETA SUBUNIT (EUROFUNG)', NULL, NULL, NULL, 15),
(88764, NULL, 'PTHR22966:SF1', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 2', NULL, NULL, NULL, 15),
(88765, NULL, 'PTHR13832:SF680', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 44-RELATED', NULL, NULL, NULL, 15),
(88766, NULL, 'PTHR12828:SF8', NULL, NULL, NULL, NULL, 'BNAA07G25120D PROTEIN', NULL, NULL, NULL, 15),
(88767, NULL, 'PTHR24253:SF123', NULL, NULL, NULL, NULL, 'PROTEASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(88768, NULL, 'PTHR11846:SF0', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE', NULL, NULL, NULL, 15),
(88769, NULL, 'PTHR24025:SF14', NULL, NULL, NULL, NULL, 'SI:CH73-74H11.1', NULL, NULL, NULL, 15),
(88770, NULL, 'PTHR34370:SF2', NULL, NULL, NULL, NULL, 'GAG-POL POLYPROTEIN/RETROTRANSPOSON', NULL, NULL, NULL, 15),
(88771, NULL, 'PTHR13166:SF7', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(88772, NULL, 'PTHR10024:SF252', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-12', NULL, NULL, 27625, 15),
(88773, NULL, 'PTHR11616:SF182', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(88774, NULL, 'PTHR47975:SF2', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(88775, NULL, 'PTHR24177:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88776, NULL, 'PTHR11606:SF26', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(88777, NULL, 'PTHR46000:SF8', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(88778, NULL, 'PTHR33572', NULL, NULL, NULL, NULL, 'SPORE DEVELOPMENT REGULATOR VOSA', NULL, NULL, 19836, 15),
(88779, NULL, 'PTHR21421:SF34', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR FOR SUGAR TASTE 61A-RELATED', NULL, NULL, NULL, 15),
(88780, NULL, 'PTHR23064:SF35', NULL, NULL, NULL, NULL, 'CALMODULIN', NULL, NULL, NULL, 15),
(88781, NULL, 'PTHR12608:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 165', NULL, NULL, NULL, 15),
(88782, NULL, 'PTHR14131:SF5', NULL, NULL, NULL, NULL, 'ANOSMIN-1', NULL, NULL, NULL, 15),
(88783, NULL, 'PTHR14296', NULL, NULL, NULL, NULL, 'REMODELING AND SPACING FACTOR 1', NULL, NULL, 26952, 15),
(88784, NULL, 'PTHR31260:SF30', NULL, NULL, NULL, NULL, 'BNAC01G39410D PROTEIN', NULL, NULL, NULL, 15),
(88785, NULL, 'PTHR47926:SF238', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(88786, NULL, 'PTHR46481:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(88787, NULL, 'PTHR11214:SF85', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 12-RELATED', NULL, NULL, NULL, 15),
(88788, NULL, 'PTHR47274:SF5', NULL, NULL, NULL, NULL, 'BNAA03G19040D PROTEIN', NULL, NULL, NULL, 15),
(88789, NULL, 'PTHR47495', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(88790, NULL, 'PTHR12680:SF8', NULL, NULL, NULL, NULL, 'HOMEODOMAIN TRANSCRIPTION FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(88791, NULL, 'PTHR23202:SF52', NULL, NULL, NULL, NULL, 'VIRUS INDUCED REPORTER OFF', NULL, NULL, NULL, 15),
(88792, NULL, 'PTHR31182:SF19', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88793, NULL, 'PTHR34838:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88794, NULL, 'PTHR22768', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 10045, 15),
(88795, NULL, 'PTHR18966:SF508', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(88796, NULL, 'PTHR36035:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE SCO2', NULL, NULL, NULL, 15),
(88797, NULL, 'PTHR48042:SF1', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88798, NULL, 'PTHR43671:SF59', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(88799, NULL, 'PTHR31623:SF18', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(88800, NULL, 'PTHR39166', NULL, NULL, NULL, NULL, 'BLL1166 PROTEIN', NULL, NULL, 13938, 15),
(88801, NULL, 'PTHR31912:SF32', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2 TYPE DOMAINCONTAINING PROTEIN', NULL, NULL, NULL, 15),
(88802, NULL, 'PTHR36299', NULL, NULL, NULL, NULL, 'AGAP008005-PA', NULL, NULL, NULL, 15),
(88803, NULL, 'PTHR10332:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88804, NULL, 'PTHR10824:SF3', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 5', NULL, NULL, NULL, 15),
(88805, NULL, 'PTHR48021:SF2', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(88806, NULL, 'PTHR11139:SF72', NULL, NULL, NULL, NULL, 'SERINE-PROTEIN KINASE ATM', NULL, NULL, 8483, 15),
(88807, NULL, 'PTHR13140:SF788', NULL, NULL, NULL, NULL, 'MYOSIN VIB', NULL, NULL, NULL, 15),
(88808, NULL, 'PTHR40277:SF1', NULL, NULL, NULL, NULL, 'BLL5419 PROTEIN', NULL, NULL, NULL, 15),
(88809, NULL, 'PTHR35094:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(88810, NULL, 'PTHR11076:SF35', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN HOMOLOG YOBH', NULL, NULL, NULL, 15),
(88811, NULL, 'PTHR33130:SF39', NULL, NULL, NULL, NULL, 'BNAC05G34980D PROTEIN', NULL, NULL, NULL, 15),
(88812, NULL, 'PTHR22930:SF169', NULL, NULL, NULL, NULL, 'DDE FAMILY ENDONUCLEASE', NULL, NULL, NULL, 15),
(88813, NULL, 'PTHR31321:SF58', NULL, NULL, NULL, NULL, 'METHYLESTERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(88814, NULL, 'PTHR32410:SF167', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(88815, NULL, 'PTHR12319:SF2', NULL, NULL, NULL, NULL, 'CYSTATIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88816, NULL, 'PTHR24377:SF681', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 304', NULL, NULL, NULL, 15),
(88817, NULL, 'PTHR48094:SF11', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE-LIKE CLASS 1 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(88818, NULL, 'PTHR23327:SF5', NULL, NULL, NULL, NULL, 'LON PEPTIDASE N-TERMINAL DOMAIN AND RING FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(88819, NULL, 'PTHR38003', NULL, NULL, NULL, NULL, 'THYMIC STROMAL LYMPHOPOIETIN', NULL, NULL, 21650, 15),
(88820, NULL, 'PTHR43240:SF13', NULL, NULL, NULL, NULL, '14-DIHYDROXY-2-NAPHTHOYL-COA THIOESTERASE 1', NULL, NULL, NULL, 15),
(88821, NULL, 'PTHR31132:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88822, NULL, 'PTHR10927:SF3', NULL, NULL, NULL, NULL, 'BNAANNG06530D PROTEIN', NULL, NULL, NULL, 15),
(88823, NULL, 'PTHR38650:SF1', NULL, NULL, NULL, NULL, 'KITA-KYUSHU LUNG CANCER ANTIGEN 1', NULL, NULL, NULL, 15),
(88824, NULL, 'PTHR33109:SF71', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(88825, NULL, 'PTHR36028:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88826, NULL, 'PTHR45669:SF44', NULL, NULL, NULL, NULL, 'BNAC04G04890D PROTEIN', NULL, NULL, NULL, 15),
(88827, NULL, 'PTHR43920:SF8', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL EXL-1', NULL, NULL, NULL, 15),
(88828, NULL, 'PTHR18952:SF202', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE IV C', NULL, NULL, NULL, 15),
(88829, NULL, 'PTHR31339:SF70', NULL, NULL, NULL, NULL, 'PHAGE-RELATED PROTEIN YOBO-RELATED', NULL, NULL, NULL, 15),
(88830, NULL, 'PTHR11685', NULL, NULL, NULL, NULL, 'RBR FAMILY  RING FINGER AND IBR DOMAIN-CONTAINING', NULL, NULL, 24832, 15),
(88831, NULL, 'PTHR24067:SF308', NULL, NULL, NULL, NULL, 'BNAC05G49100D PROTEIN', NULL, NULL, NULL, 15),
(88832, NULL, 'PTHR47926:SF274', NULL, NULL, NULL, NULL, 'BNAC03G44960D PROTEIN', NULL, NULL, NULL, 15),
(88833, NULL, 'PTHR47801:SF1', NULL, NULL, NULL, NULL, 'OS05G0145600 PROTEIN', NULL, NULL, NULL, 15),
(88834, NULL, 'PTHR12296:SF25', NULL, NULL, NULL, NULL, 'DENN DOMAIN CONTAINING 5B', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88835, NULL, 'PTHR24390:SF148', NULL, NULL, NULL, NULL, 'CTCF', NULL, NULL, NULL, 15),
(88836, NULL, 'PTHR47986:SF4', NULL, NULL, NULL, NULL, 'BNAC06G01600D PROTEIN', NULL, NULL, NULL, 15),
(88837, NULL, 'PTHR38633:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG09706', NULL, NULL, NULL, 15),
(88838, NULL, 'PTHR31659:SF0', NULL, NULL, NULL, NULL, 'EMB|CAB61945.1', NULL, NULL, NULL, 15),
(88839, NULL, 'PTHR47956:SF19', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A28-RELATED', NULL, NULL, NULL, 15),
(88840, NULL, 'PTHR31890:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88841, NULL, 'PTHR30435:SF18', NULL, NULL, NULL, NULL, 'FLAGELLAR BASAL-BODY ROD PROTEIN FLGF', NULL, NULL, NULL, 15),
(88842, NULL, 'PTHR10725:SF62', NULL, NULL, NULL, NULL, 'THAP DOMAINCONTAINING PROTEIN', NULL, NULL, NULL, 15),
(88843, NULL, 'PTHR43969', NULL, NULL, NULL, NULL, 'GLUTATHIONE S TRANSFERASE D10, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(88844, NULL, 'PTHR31609:SF1', NULL, NULL, NULL, NULL, 'CARBOHYDRATE DEACETYLASE', NULL, NULL, NULL, 15),
(88845, NULL, 'PTHR31062:SF132', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(88846, NULL, 'PTHR28638:SF4', NULL, NULL, NULL, NULL, 'PRE-B-CELL LEUKEMIA HOMEOBOX-INTERACTING PROTEIN 1A', NULL, NULL, NULL, 15),
(88847, NULL, 'PTHR24241:SF166', NULL, NULL, NULL, NULL, 'AKH/CORAZONIN-RELATED PEPTIDE', NULL, NULL, NULL, 15),
(88848, NULL, 'PTHR33132:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88849, NULL, 'PTHR36191:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88850, NULL, 'PTHR34666:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88851, NULL, 'PTHR33077:SF94', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10A', NULL, NULL, NULL, 15),
(88852, NULL, 'PTHR32343:SF46', NULL, NULL, NULL, NULL, 'BINDING PARTNER OF ACD11 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(88853, NULL, 'PTHR33136:SF43', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 24', NULL, NULL, NULL, 15),
(88854, NULL, 'PTHR11624:SF101', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA', NULL, NULL, NULL, 15),
(88855, NULL, 'PTHR22998:SF1', NULL, NULL, NULL, NULL, 'STERILE ALPHA AND TIR MOTIF-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(88856, NULL, 'PTHR11786:SF2', NULL, NULL, NULL, NULL, 'ARYLAMINE N-ACETYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(88857, NULL, 'PTHR11654:SF331', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 7.1', NULL, NULL, NULL, 15),
(88858, NULL, 'PTHR36370:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88859, NULL, 'PTHR36872', NULL, NULL, NULL, NULL, 'GENE 5901-RELATED', NULL, NULL, 22288, 15),
(88860, NULL, 'PTHR22702:SF3', NULL, NULL, NULL, NULL, 'PROTEASE-ASSOCIATED DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(88861, NULL, 'PTHR46057:SF28', NULL, NULL, NULL, NULL, 'PROTEIN MARD1-LIKE', NULL, NULL, NULL, 15),
(88862, NULL, 'PTHR46415:SF3', NULL, NULL, NULL, NULL, 'DCC-INTERACTING PROTEIN 13-ALPHA', NULL, NULL, NULL, 15),
(88863, NULL, 'PTHR27007:SF166', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.3-RELATED', NULL, NULL, NULL, 15),
(88864, NULL, 'PTHR13754:SF13', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G07630)', NULL, NULL, NULL, 15),
(88865, NULL, 'PTHR35173:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88866, NULL, 'PTHR31790:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88867, NULL, 'PTHR35512', NULL, NULL, NULL, NULL, 'OS11G0550900 PROTEIN', NULL, NULL, NULL, 15),
(88868, NULL, 'PTHR11461:SF199', NULL, NULL, NULL, NULL, 'SERPIN B11', NULL, NULL, NULL, 15),
(88869, NULL, 'PTHR42095', NULL, NULL, NULL, NULL, 'YALI0C12166P', NULL, NULL, NULL, 15),
(88870, NULL, 'PTHR32285:SF303', NULL, NULL, NULL, NULL, 'PMR5 N-TERMINAL DOMAIN, PC-ESTERASE, PROTEIN TRICHOME BIREFRINGENCE-LIKE 34-RELATED', NULL, NULL, NULL, 15),
(88871, NULL, 'PTHR24055:SF227', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 2', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88872, NULL, 'PTHR11615:SF147', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4A3', NULL, NULL, NULL, 15),
(88873, NULL, 'PTHR10788:SF97', NULL, NULL, NULL, NULL, 'BCDNA.GH08860', NULL, NULL, NULL, 15),
(88874, NULL, 'PTHR14581:SF4', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 15', NULL, NULL, NULL, 15),
(88875, NULL, 'PTHR31125:SF11', NULL, NULL, NULL, NULL, 'BNAA07G38800D PROTEIN', NULL, NULL, NULL, 15),
(88876, NULL, 'PTHR15362', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL SYNTHASE', NULL, NULL, NULL, 15),
(88877, NULL, 'PTHR34568', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88878, NULL, 'PTHR32289:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM167A', NULL, NULL, NULL, 15),
(88879, NULL, 'PTHR15283:SF4', NULL, NULL, NULL, NULL, 'GREMLIN 1', NULL, NULL, NULL, 15),
(88880, NULL, 'PTHR31533:SF30', NULL, NULL, NULL, NULL, 'BNAA03G48050D PROTEIN', NULL, NULL, NULL, 15),
(88881, NULL, 'PTHR14194:SF86', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(88882, NULL, 'PTHR19305:SF32', NULL, NULL, NULL, NULL, 'TARGET SNARE COILED-COIL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88883, NULL, 'PTHR14859', NULL, NULL, NULL, NULL, 'CALCOFLUOR WHITE HYPERSENSITIVE PROTEIN PRECURSOR', NULL, NULL, NULL, 15),
(88884, NULL, 'PTHR11712:SF322', NULL, NULL, NULL, NULL, 'POLYKETIDE BETA-KETOACYL SYNTHASE 2-RELATED', NULL, NULL, NULL, 15),
(88885, NULL, 'PTHR45748:SF9', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1C-RELATED', NULL, NULL, NULL, 15),
(88886, NULL, 'PTHR10044:SF139', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED INHIBITOR OF APOPTOSIS 2', NULL, NULL, NULL, 15),
(88887, NULL, 'PTHR27005:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88888, NULL, 'PTHR11627:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88889, NULL, 'PTHR44170:SF12', NULL, NULL, NULL, NULL, 'NEUROFASCIN', NULL, NULL, NULL, 15),
(88890, NULL, 'PTHR15218', NULL, NULL, NULL, NULL, 'MD-1, MD-2 - RELATED', NULL, NULL, 35334, 15),
(88891, NULL, 'PTHR10556:SF51', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ENOYL-COA REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(88892, NULL, 'PTHR11101:SF54', NULL, NULL, NULL, NULL, 'LOW-AFFINITY INORGANIC PHOSPHATE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(88893, NULL, 'PTHR11575:SF25', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE', NULL, NULL, NULL, 15),
(88894, NULL, 'PTHR13989:SF33', NULL, NULL, NULL, NULL, 'CST COMPLEX SUBUNIT STN1', NULL, NULL, NULL, 15),
(88895, NULL, 'PTHR47928:SF13', NULL, NULL, NULL, NULL, 'OS09G0573000 PROTEIN', NULL, NULL, NULL, 15),
(88896, NULL, 'PTHR21700:SF54', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(88897, NULL, 'PTHR12226', NULL, NULL, NULL, NULL, 'MANNOSE-P-DOLICHOL UTILIZATION DEFECT 1  LEC35 -RELATED', NULL, NULL, 15395, 15),
(88898, NULL, 'PTHR31353:SF11', NULL, NULL, NULL, NULL, 'PROTEIN FAM98B', NULL, NULL, NULL, 15),
(88899, NULL, 'PTHR24012:SF822', NULL, NULL, NULL, NULL, 'LD27920P', NULL, NULL, NULL, 15),
(88900, NULL, 'PTHR23167:SF67', NULL, NULL, NULL, NULL, 'CORTEXILLIN-2', NULL, NULL, NULL, 15),
(88901, NULL, 'PTHR31769:SF2', NULL, NULL, NULL, NULL, 'OS05G0433100 PROTEIN', NULL, NULL, NULL, 15),
(88902, NULL, 'PTHR24056:SF334', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 1', NULL, NULL, NULL, 15),
(88903, NULL, 'PTHR11348:SF33', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH, ANGIOGENIC INDUCER 61 LIKE 1-RELATED', NULL, NULL, NULL, 15),
(88904, NULL, 'PTHR31639:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88905, NULL, 'PTHR19282:SF376', NULL, NULL, NULL, NULL, 'AT12771P-RELATED', NULL, NULL, NULL, 15),
(88906, NULL, 'PTHR33065:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88907, NULL, 'PTHR33098:SF69', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', NULL, NULL, NULL, 15),
(88908, NULL, 'PTHR45630:SF13', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(88909, NULL, 'PTHR15896:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 24360, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88910, NULL, 'PTHR45614:SF117', NULL, NULL, NULL, NULL, 'BNAANNG14700D PROTEIN', NULL, NULL, NULL, 15),
(88911, NULL, 'PTHR46647:SF1', NULL, NULL, NULL, NULL, 'RAB9 EFFECTOR PROTEIN WITH KELCH MOTIFS', NULL, NULL, NULL, 15),
(88912, NULL, 'PTHR45675:SF49', NULL, NULL, NULL, NULL, 'OS12G0564100 PROTEIN', NULL, NULL, NULL, 15),
(88913, NULL, 'PTHR31642:SF186', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID-RELATED ACYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(88914, NULL, 'PTHR11006:SF100', NULL, NULL, NULL, NULL, 'HISTONE-ARGININE METHYLTRANSFERASE 1.3-RELATED', NULL, NULL, NULL, 15),
(88915, NULL, 'PTHR20959', NULL, NULL, NULL, NULL, 'TRANSPORT AND GOLGI ORGANIZATION PROTEIN 6 FAMILY MEMBER', NULL, NULL, 36327, 15),
(88916, NULL, 'PTHR41517:SF1', NULL, NULL, NULL, NULL, '1,2-DIOXYGENASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88917, NULL, 'PTHR11017:SF253', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(88918, NULL, 'PTHR45923:SF14', NULL, NULL, NULL, NULL, 'RHD3/SEY1, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(88919, NULL, 'PTHR31867:SF176', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(88920, NULL, 'PTHR14950:SF66', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(88921, NULL, 'PTHR23352:SF2', NULL, NULL, NULL, NULL, 'NEURAL PROLIFERATION DIFFERENTIATION AND CONTROL PROTEIN 1', NULL, NULL, NULL, 15),
(88922, NULL, 'PTHR42893:SF40', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(88923, NULL, 'PTHR47967:SF83', NULL, NULL, NULL, NULL, 'OS05G0375700 PROTEIN', NULL, NULL, NULL, 15),
(88924, NULL, 'PTHR35983:SF1', NULL, NULL, NULL, NULL, 'UPF0166 PROTEIN TM_0021', NULL, NULL, NULL, 15),
(88925, NULL, 'PTHR48019:SF15', NULL, NULL, NULL, NULL, 'BNAC02G42240D PROTEIN', NULL, NULL, NULL, 15),
(88926, NULL, 'PTHR31942', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 1', NULL, NULL, 4768, 15),
(88927, NULL, 'PTHR45770:SF40', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(88928, NULL, 'PTHR45586:SF1', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING PROTEIN PA4667', NULL, NULL, NULL, 15),
(88929, NULL, 'PTHR47956:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(88930, NULL, 'PTHR45619:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-LIKE PPG1', NULL, NULL, NULL, 15),
(88931, NULL, 'PTHR11935:SF94', NULL, NULL, NULL, NULL, 'TENZING NORGAY, ISOFORM C', NULL, NULL, NULL, 15),
(88932, NULL, 'PTHR33420:SF10', NULL, NULL, NULL, NULL, 'FIMBRIAE MAJOR SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(88933, NULL, 'PTHR33541:SF20', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE B', NULL, NULL, NULL, 15),
(88934, NULL, 'PTHR31642:SF11', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE', NULL, NULL, NULL, 15),
(88935, NULL, 'PTHR47074:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88936, NULL, 'PTHR48112:SF7', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN B4', NULL, NULL, NULL, 15),
(88937, NULL, 'PTHR23007:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CBL', NULL, NULL, NULL, 15),
(88938, NULL, 'PTHR47949:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP736A12-LIKE', NULL, NULL, NULL, 15),
(88939, NULL, 'PTHR17615:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAM189A1', NULL, NULL, NULL, 15),
(88940, NULL, 'PTHR47256:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(88941, NULL, 'PTHR40682:SF1', NULL, NULL, NULL, NULL, 'F5/8 TYPE C DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(88942, NULL, 'PTHR11573:SF25', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE', NULL, NULL, NULL, 15),
(88943, NULL, 'PTHR31651:SF32', NULL, NULL, NULL, NULL, 'BNAA09G09160D PROTEIN', NULL, NULL, NULL, 15),
(88944, NULL, 'PTHR27004:SF372', NULL, NULL, NULL, NULL, 'BNAC02G20700D PROTEIN', NULL, NULL, NULL, 15),
(88945, NULL, 'PTHR31969:SF51', NULL, NULL, NULL, NULL, 'BNAA09G05360D PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88946, NULL, 'PTHR24136:SF15', NULL, NULL, NULL, NULL, 'SOWAH (DROSOPHILA) HOMOLOG', NULL, NULL, NULL, 15),
(88947, NULL, 'PTHR13096', NULL, NULL, NULL, NULL, 'MINA53  MYC INDUCED NUCLEAR ANTIGEN', NULL, NULL, 32874, 15),
(88948, NULL, 'PTHR33782:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88949, NULL, 'PTHR31225:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88950, NULL, 'PTHR31044:SF99', NULL, NULL, NULL, NULL, 'X8 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(88951, NULL, 'PTHR43008:SF9', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(88952, NULL, 'PTHR45838:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(88953, NULL, 'PTHR24229:SF99', NULL, NULL, NULL, NULL, 'ALLATOSTATIN A RECEPTOR 1, ISOFORM B', NULL, NULL, NULL, 15),
(88954, NULL, 'PTHR32523:SF7', NULL, NULL, NULL, NULL, 'FARNESOL KINASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(88955, NULL, 'PTHR10721:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM44', NULL, NULL, NULL, 15),
(88956, NULL, 'PTHR11005:SF117', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(88957, NULL, 'PTHR11176:SF27', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(88958, NULL, 'PTHR20908:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-5I3.5', NULL, NULL, NULL, 15),
(88959, NULL, 'PTHR33070:SF97', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(88960, NULL, 'PTHR21094', NULL, NULL, NULL, NULL, 'GOS-28 SNARE- RELATED', NULL, NULL, 16569, 15),
(88961, NULL, 'PTHR11360:SF111', NULL, NULL, NULL, NULL, 'LD30953P', NULL, NULL, NULL, 15),
(88962, NULL, 'PTHR24068:SF169', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1', NULL, NULL, NULL, 15),
(88963, NULL, 'PTHR42721:SF8', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 1', NULL, NULL, NULL, 15),
(88964, NULL, 'PTHR46522:SF1', NULL, NULL, NULL, NULL, 'CYTIDINE MONOPHOSPHATE-N-ACETYLNEURAMINIC ACID HYDROXYLASE', NULL, NULL, NULL, 15),
(88965, NULL, 'PTHR24092:SF176', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(88966, NULL, 'PTHR31602:SF70', NULL, NULL, NULL, NULL, 'BNAA03G46480D PROTEIN', NULL, NULL, NULL, 15),
(88967, NULL, 'PTHR45626:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88968, NULL, 'PTHR47293:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88969, NULL, 'PTHR31054:SF5', NULL, NULL, NULL, NULL, 'ZAR1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(88970, NULL, 'PTHR11552:SF154', NULL, NULL, NULL, NULL, 'FI04917P', NULL, NULL, NULL, 15),
(88971, NULL, 'PTHR10628:SF22', NULL, NULL, NULL, NULL, 'SIALIDASE-4', NULL, NULL, 23385, 15),
(88972, NULL, 'PTHR12473:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88973, NULL, 'PTHR24006:SF690', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 17', NULL, NULL, NULL, 15),
(88974, NULL, 'PTHR45654:SF58', NULL, NULL, NULL, NULL, 'BNAA07G37850D PROTEIN', NULL, NULL, NULL, 15),
(88975, NULL, 'PTHR14155:SF559', NULL, NULL, NULL, NULL, 'BNAC04G02690D PROTEIN', NULL, NULL, NULL, 15),
(88976, NULL, 'PTHR35037:SF3', NULL, NULL, NULL, NULL, 'C-TERMINAL REGION OF AIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(88977, NULL, 'PTHR23267:SF360', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88978, NULL, 'PTHR33091:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88979, NULL, 'PTHR43039:SF8', NULL, NULL, NULL, NULL, 'OS05G0179900 PROTEIN', NULL, NULL, NULL, 15),
(88980, NULL, 'PTHR13098:SF3', NULL, NULL, NULL, NULL, 'WOLFRAMIN', NULL, NULL, NULL, 15),
(88981, NULL, 'PTHR45800:SF12', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-AND 4-KINASE', NULL, NULL, NULL, 15),
(88982, NULL, 'PTHR43874:SF129', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR22', NULL, NULL, NULL, 15),
(88983, NULL, 'PTHR10252:SF109', NULL, NULL, NULL, NULL, 'BNAA05G26680D PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(88984, NULL, 'PTHR36875:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88985, NULL, 'PTHR10627:SF31', NULL, NULL, NULL, NULL, 'DODECA-SATELLITE-BINDING PROTEIN 1, ISOFORM A', NULL, NULL, NULL, 15),
(88986, NULL, 'PTHR39220:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN PVRIG', NULL, NULL, NULL, 15),
(88987, NULL, 'PTHR48047:SF40', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(88988, NULL, 'PTHR33365:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(88989, NULL, 'PTHR10942:SF6', NULL, NULL, NULL, NULL, 'LEISHMANOLYSIN-LIKE PEPTIDASE 2', NULL, NULL, NULL, 15),
(88990, NULL, 'PTHR31068:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 32', NULL, NULL, NULL, 15),
(88991, NULL, 'PTHR11863:SF107', NULL, NULL, NULL, NULL, 'STEROL DESATURASE FAMILY', NULL, NULL, NULL, 15),
(88992, NULL, 'PTHR11266:SF46', NULL, NULL, NULL, NULL, 'OS08G0566900 PROTEIN', NULL, NULL, NULL, 15),
(88993, NULL, 'PTHR45770:SF29', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(88994, NULL, 'PTHR14179', NULL, NULL, NULL, NULL, 'SMR1-RELATED', NULL, NULL, 23812, 15),
(88995, NULL, 'PTHR47992:SF21', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C FAMILY PROTEIN', NULL, NULL, NULL, 15),
(88996, NULL, 'PTHR33021:SF407', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(88997, NULL, 'PTHR48104:SF23', NULL, NULL, NULL, NULL, 'METACASPASE (EUROFUNG)', NULL, NULL, NULL, 15),
(88998, NULL, 'PTHR23024:SF379', NULL, NULL, NULL, NULL, 'OS07G0606800 PROTEIN', NULL, NULL, NULL, 15),
(88999, NULL, 'PTHR13148:SF0', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', NULL, NULL, NULL, 15),
(89000, NULL, 'PTHR18919:SF146', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE CYTOSOLIC 2-RELATED', NULL, NULL, NULL, 15),
(89001, NULL, 'PTHR24384:SF30', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 664', NULL, NULL, NULL, 15),
(89002, NULL, 'PTHR48041:SF72', NULL, NULL, NULL, NULL, 'BNAA05G36020D PROTEIN', NULL, NULL, NULL, 15),
(89003, NULL, 'PTHR13600:SF21', NULL, NULL, NULL, NULL, 'LEUCINE CARBOXYL METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(89004, NULL, 'PTHR44542:SF13', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN', NULL, NULL, NULL, 15),
(89005, NULL, 'PTHR28133', NULL, NULL, NULL, NULL, 'REQUIRED FOR RESPIRATORY GROWTH PROTEIN 7, MITOCHONDRIAL', NULL, NULL, 20365, 15),
(89006, NULL, 'PTHR31933:SF10', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 15', NULL, NULL, NULL, 15),
(89007, NULL, 'PTHR46832:SF1', NULL, NULL, NULL, NULL, '5''-METHYLTHIOADENOSINE/S-ADENOSYLHOMOCYSTEINE NUCLEOSIDASE', NULL, NULL, NULL, 15),
(89008, NULL, 'PTHR11516:SF58', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(89009, NULL, 'PTHR31717:SF48', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 4-LIKE', NULL, NULL, NULL, 15),
(89010, NULL, 'PTHR31221:SF212', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 113', NULL, NULL, NULL, 15),
(89011, NULL, 'PTHR33400:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 45-RELATED', NULL, NULL, NULL, 15),
(89012, NULL, 'PTHR23239:SF106', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 39', NULL, NULL, NULL, 15),
(89013, NULL, 'PTHR31374:SF183', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(89014, NULL, 'PTHR45974:SF95', NULL, NULL, NULL, NULL, 'OS02G0153100 PROTEIN', NULL, NULL, NULL, 15),
(89015, NULL, 'PTHR31867:SF179', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(89016, NULL, 'PTHR33137:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89017, NULL, 'PTHR23077:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89018, NULL, 'PTHR34849', NULL, NULL, NULL, NULL, 'SSL5025 PROTEIN', NULL, NULL, NULL, 15),
(89019, NULL, 'PTHR36788:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89020, NULL, 'PTHR43314:SF18', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE, LEAF ISOZYME 2, CHLOROPLASTIC', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89021, NULL, 'PTHR13555:SF52', NULL, NULL, NULL, NULL, 'PROTEIN CBG21933', NULL, NULL, NULL, 15),
(89022, NULL, 'PTHR32158', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89023, NULL, 'PTHR31645:SF48', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL17-RELATED', NULL, NULL, NULL, 15),
(89024, NULL, 'PTHR34226:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89025, NULL, 'PTHR31165:SF82', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE9', NULL, NULL, NULL, 15),
(89026, NULL, 'PTHR17408:SF11', NULL, NULL, NULL, NULL, 'STEM-LOOP-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(89027, NULL, 'PTHR22957:SF568', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATOR PROTEIN OF RAB-LIKE SMALL GTPASES-LIKE PROTEIN', NULL, NULL, NULL, 15),
(89028, NULL, 'PTHR45758:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN E', NULL, NULL, NULL, 15),
(89029, NULL, 'PTHR33127:SF45', NULL, NULL, NULL, NULL, 'OS05G0143700 PROTEIN', NULL, NULL, NULL, 15),
(89030, NULL, 'PTHR38365:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89031, NULL, 'PTHR19378:SF0', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(89032, NULL, 'PTHR46084:SF26', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(89033, NULL, 'PTHR47932:SF32', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(89034, NULL, 'PTHR31692:SF57', NULL, NULL, NULL, NULL, 'EXPANSIN-B2-RELATED', NULL, NULL, NULL, 15),
(89035, NULL, 'PTHR48013:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89036, NULL, 'PTHR46490', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 12 MEMBER A-RELATED', NULL, NULL, NULL, 15),
(89037, NULL, 'PTHR38792:SF2', NULL, NULL, NULL, NULL, 'BNR/ASP-BOX REPEAT DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_7G06430)', NULL, NULL, NULL, 15),
(89038, NULL, 'PTHR33132:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89039, NULL, 'PTHR31636:SF238', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89040, NULL, 'PTHR12133:SF1', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(58)-N(1))-METHYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(89041, NULL, 'PTHR34452:SF11', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(89042, NULL, 'PTHR46433:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89043, NULL, 'PTHR10336:SF106', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE BETA-4', NULL, NULL, NULL, 15),
(89044, NULL, 'PTHR45801:SF59', NULL, NULL, NULL, NULL, 'ZINC FINGER C2H2-TYPE/INTEGRASE DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89045, NULL, 'PTHR24028:SF72', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A8', NULL, NULL, NULL, 15),
(89046, NULL, 'PTHR11848:SF226', NULL, NULL, NULL, NULL, 'LEFT-RIGHT DETERMINATION FACTOR', NULL, NULL, NULL, 15),
(89047, NULL, 'PTHR15415:SF7', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC60', NULL, NULL, NULL, 15),
(89048, NULL, 'PTHR32410:SF161', NULL, NULL, NULL, NULL, 'ZINC FINGER, PHD-TYPE, C1-LIKE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(89049, NULL, 'PTHR12716:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIE SUBUNIT BETA', NULL, NULL, NULL, 15),
(89050, NULL, 'PTHR13390:SF0', NULL, NULL, NULL, NULL, 'LIPID DROPLET-ASSOCIATED HYDROLASE', NULL, NULL, NULL, 15),
(89051, NULL, 'PTHR24034:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89052, NULL, 'PTHR11240:SF40', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2,-LIKE', NULL, NULL, NULL, 15),
(89053, NULL, 'PTHR14964', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR BINDING FACTOR 2', NULL, NULL, 36048, 15),
(89054, NULL, 'PTHR23172:SF71', NULL, NULL, NULL, NULL, 'OS01G0634300 PROTEIN', NULL, NULL, NULL, 15),
(89055, NULL, 'PTHR43557:SF16', NULL, NULL, NULL, NULL, 'FAD/NAD-LINKED REDUCTASE, DIMERIZATION DOMAIN, FAD/NAD(P)-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89056, NULL, 'PTHR31826:SF3', NULL, NULL, NULL, NULL, 'NICALIN', NULL, NULL, NULL, 15),
(89057, NULL, 'PTHR10390', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX', NULL, NULL, NULL, 15),
(89058, NULL, 'PTHR31044:SF98', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(89059, NULL, 'PTHR11606:SF33', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(89060, NULL, 'PTHR34763:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89061, NULL, 'PTHR13878:SF137', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 1-LIKE', NULL, NULL, NULL, 15),
(89062, NULL, 'PTHR33065:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89063, NULL, 'PTHR31549:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89064, NULL, 'PTHR42904:SF1', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE-LINKED MOIETY X MOTIF 17', NULL, NULL, NULL, 15),
(89065, NULL, 'PTHR14110:SF22', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT HP30-1', NULL, NULL, NULL, 15),
(89066, NULL, 'PTHR14083:SF11', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE HRF1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(89067, NULL, 'PTHR45855:SF46', NULL, NULL, NULL, NULL, 'BNAC07G16290D PROTEIN', NULL, NULL, NULL, 15),
(89068, NULL, 'PTHR12400:SF82', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE MULTIKINASE', NULL, NULL, NULL, 15),
(89069, NULL, 'PTHR11746:SF270', NULL, NULL, NULL, NULL, 'HERBICIDE SAFENER BINDING PROTEIN', NULL, NULL, NULL, 15),
(89070, NULL, 'PTHR15337:SF1', NULL, NULL, NULL, NULL, 'ANTERIOR GRADIENT PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(89071, NULL, 'PTHR16134:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89072, NULL, 'PTHR23277:SF108', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 21', NULL, NULL, NULL, 15),
(89073, NULL, 'PTHR38746:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89074, NULL, 'PTHR43464', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(89075, NULL, 'PTHR11727:SF17', NULL, NULL, NULL, NULL, 'DIMETHYLADENOSINE TRANSFERASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(89076, NULL, 'PTHR12547:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89077, NULL, 'PTHR47973:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 43-RELATED', NULL, NULL, NULL, 15),
(89078, NULL, 'PTHR36404:SF1', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 2737', NULL, NULL, NULL, 15),
(89079, NULL, 'PTHR22811:SF172', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE P24-TRAFFICKING PROTEIN 5', NULL, NULL, NULL, 15),
(89080, NULL, 'PTHR33207:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89081, NULL, 'PTHR11680:SF42', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(89082, NULL, 'PTHR32546:SF27', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 158B', NULL, NULL, NULL, 15),
(89083, NULL, 'PTHR45856:SF6', NULL, NULL, NULL, NULL, 'OS07G0668700 PROTEIN', NULL, NULL, NULL, 15),
(89084, NULL, 'PTHR33389:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89085, NULL, 'PTHR11926:SF1415', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(89086, NULL, 'PTHR33349:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89087, NULL, 'PTHR26379:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89088, NULL, 'PTHR31639:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89089, NULL, 'PTHR11817:SF94', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(89090, NULL, 'PTHR27008:SF178', NULL, NULL, NULL, NULL, 'OS04G0227200 PROTEIN', NULL, NULL, NULL, 15),
(89091, NULL, 'PTHR47926:SF244', NULL, NULL, NULL, NULL, 'BNAA06G33620D PROTEIN', NULL, NULL, NULL, 15),
(89092, NULL, 'PTHR11771:SF164', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89093, NULL, 'PTHR31080:SF80', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 1-LIKE', NULL, NULL, NULL, 15),
(89094, NULL, 'PTHR13683:SF692', NULL, NULL, NULL, NULL, 'OS04G0334700 PROTEIN', NULL, NULL, NULL, 15),
(89095, NULL, 'PTHR31374:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89096, NULL, 'PTHR11132:SF412', NULL, NULL, NULL, NULL, 'BNAA01G05480D PROTEIN', NULL, NULL, NULL, 15),
(89097, NULL, 'PTHR34663:SF9', NULL, NULL, NULL, NULL, 'OS06G0637400 PROTEIN', NULL, NULL, NULL, 15),
(89098, NULL, 'PTHR31087:SF65', NULL, NULL, NULL, NULL, 'OS01G0931700 PROTEIN', NULL, NULL, NULL, 15),
(89099, NULL, 'PTHR21431:SF0', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 6', NULL, NULL, NULL, 15),
(89100, NULL, 'PTHR47293:SF39', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DWY1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(89101, NULL, 'PTHR43735:SF17', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 2-LIKE', NULL, NULL, NULL, 15),
(89102, NULL, 'PTHR31945:SF103', NULL, NULL, NULL, NULL, 'BNACNNG51260D PROTEIN', NULL, NULL, NULL, 15),
(89103, NULL, 'PTHR24286:SF240', NULL, NULL, NULL, NULL, 'ALLENE OXIDE SYNTHASE 2', NULL, NULL, NULL, 15),
(89104, NULL, 'PTHR31279:SF44', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 2', NULL, NULL, NULL, 15),
(89105, NULL, 'PTHR24381:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 684', NULL, NULL, NULL, 15),
(89106, NULL, 'PTHR12635', NULL, NULL, NULL, NULL, 'RHO-GTPASE-ACTIVATING PROTEIN 6 FAMILY MEMBER', NULL, NULL, 29887, 15),
(89107, NULL, 'PTHR31218:SF258', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(89108, NULL, 'PTHR45657:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH13', NULL, NULL, NULL, 15),
(89109, NULL, 'PTHR42908:SF26', NULL, NULL, NULL, NULL, 'OS01G0742200 PROTEIN', NULL, NULL, NULL, 15),
(89110, NULL, 'PTHR14402:SF18', NULL, NULL, NULL, NULL, 'RECEPTOR-TRANSPORTING PROTEIN 2', NULL, NULL, NULL, 15),
(89111, NULL, 'PTHR10578:SF132', NULL, NULL, NULL, NULL, 'BNAC03G62120D PROTEIN', NULL, NULL, NULL, 15),
(89112, NULL, 'PTHR16514', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 39593, 15),
(89113, NULL, 'PTHR31656:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89114, NULL, 'PTHR19317:SF13', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(89115, NULL, 'PTHR13690:SF137', NULL, NULL, NULL, NULL, 'BNAA04G12040D PROTEIN', NULL, NULL, NULL, 15),
(89116, NULL, 'PTHR10263:SF61', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', NULL, NULL, NULL, 15),
(89117, NULL, 'PTHR45621:SF76', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL4-RELATED', NULL, NULL, NULL, 15),
(89118, NULL, 'PTHR14112:SF28', NULL, NULL, NULL, NULL, 'GENE, 21876-RELATED', NULL, NULL, NULL, 15),
(89119, NULL, 'PTHR35928:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(89120, NULL, 'PTHR43655:SF26', NULL, NULL, NULL, NULL, 'METALLOPEPTIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89121, NULL, 'PTHR11999:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89122, NULL, 'PTHR48017:SF158', NULL, NULL, NULL, NULL, 'BNAA06G22970D PROTEIN', NULL, NULL, NULL, 15),
(89123, NULL, 'PTHR43675:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89124, NULL, 'PTHR48022:SF66', NULL, NULL, NULL, NULL, 'MFS HEXOSE TRANSPORTER', NULL, NULL, NULL, 15),
(89125, NULL, 'PTHR23416:SF76', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(89126, NULL, 'PTHR24115:SF932', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(89127, NULL, 'PTHR47270:SF7', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89128, NULL, 'PTHR23073:SF76', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 10B', NULL, NULL, 18198, 15),
(89129, NULL, 'PTHR34468', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED FUTSCH-LIKE PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89130, NULL, 'PTHR23267:SF193', NULL, NULL, NULL, NULL, 'IG LAMBDA-1 CHAIN V REGION-RELATED', NULL, NULL, NULL, 15),
(89131, NULL, 'PTHR35310:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89132, NULL, 'PTHR23045:SF11', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 37A-RELATED', NULL, NULL, NULL, 15),
(89133, NULL, 'PTHR35564', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 10441, 15),
(89134, NULL, 'PTHR10177:SF452', NULL, NULL, NULL, NULL, 'MITOTIC CYCLIN', NULL, NULL, NULL, 15),
(89135, NULL, 'PTHR30591:SF1', NULL, NULL, NULL, NULL, 'RECBCD ENZYME SUBUNIT RECC', NULL, NULL, NULL, 15),
(89136, NULL, 'PTHR10877:SF150', NULL, NULL, NULL, NULL, 'LOCATION OF VULVA DEFECTIVE 1', NULL, NULL, NULL, 15),
(89137, NULL, 'PTHR30546:SF39', NULL, NULL, NULL, NULL, 'BNAA10G08330D PROTEIN', NULL, NULL, NULL, 15),
(89138, NULL, 'PTHR11461:SF336', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89139, NULL, 'PTHR31238:SF158', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 8', NULL, NULL, NULL, 15),
(89140, NULL, 'PTHR32227:SF138', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE BG3-RELATED', NULL, NULL, NULL, 15),
(89141, NULL, 'PTHR31718:SF0', NULL, NULL, NULL, NULL, 'PLAT DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(89142, NULL, 'PTHR24223:SF196', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 5', NULL, NULL, 27786, 15),
(89143, NULL, 'PTHR42760:SF48', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(89144, NULL, 'PTHR34482:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89145, NULL, 'PTHR10121:SF0', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT DELTA', NULL, NULL, NULL, 15),
(89146, NULL, 'PTHR34106:SF4', NULL, NULL, NULL, NULL, 'BLL5143 PROTEIN', NULL, NULL, NULL, 15),
(89147, NULL, 'PTHR13516:SF13', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(89148, NULL, 'PTHR43184:SF12', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY TRANSPORTER 16, ISOFORM B', NULL, NULL, NULL, 15),
(89149, NULL, 'PTHR31234:SF26', NULL, NULL, NULL, NULL, 'OS07G0524400 PROTEIN', NULL, NULL, NULL, 15),
(89150, NULL, 'PTHR47934:SF1', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89151, NULL, 'PTHR47864:SF10', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(89152, NULL, 'PTHR42683:SF38', NULL, NULL, NULL, NULL, 'ALDEHYDE REDUCTASE AHR', NULL, NULL, NULL, 15),
(89153, NULL, 'PTHR30472:SF27', NULL, NULL, NULL, NULL, 'PETROBACTIN IMPORT SYSTEM PERMEASE PROTEIN YCLN', NULL, NULL, NULL, 15),
(89154, NULL, 'PTHR10828', NULL, NULL, NULL, NULL, 'M-PHASE INDUCER PHOSPHATASE  DUAL SPECIFICITY PHOSPHATASE CDC25', NULL, NULL, NULL, 15),
(89155, NULL, 'PTHR20765:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 43 MEMBER 2', NULL, NULL, NULL, 15),
(89156, NULL, 'PTHR43708', NULL, NULL, NULL, NULL, 'CONSERVED EXPRESSED OXIDOREDUCTASE (EUROFUNG)', NULL, NULL, NULL, 15),
(89157, NULL, 'PTHR46605', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR', NULL, NULL, NULL, 15),
(89158, NULL, 'PTHR47835:SF1', NULL, NULL, NULL, NULL, 'HFM1, ATP DEPENDENT DNA HELICASE HOMOLOG', NULL, NULL, NULL, 15),
(89159, NULL, 'PTHR11130:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE SYNTHETASE', NULL, NULL, NULL, 15),
(89160, NULL, 'PTHR26453:SF139', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(89161, NULL, 'PTHR33304:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89162, NULL, 'PTHR43281:SF18', NULL, NULL, NULL, NULL, 'HETERODIMERIC GERANYLGERANYL PYROPHOSPHATE SYNTHASE LARGE SUBUNIT 2', NULL, NULL, NULL, 15),
(89163, NULL, 'PTHR26453:SF91', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2M4', NULL, NULL, NULL, 15),
(89164, NULL, 'PTHR10688:SF11', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89165, NULL, 'PTHR12931:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89166, NULL, 'PTHR24256:SF329', NULL, NULL, NULL, NULL, 'MAST CELL PROTEASE-11', NULL, NULL, NULL, 15),
(89167, NULL, 'PTHR33133:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89168, NULL, 'PTHR23077:SF155', NULL, NULL, NULL, NULL, 'AAA ATPASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(89169, NULL, 'PTHR11712:SF335', NULL, NULL, NULL, NULL, 'BNAA07G31890D PROTEIN', NULL, NULL, NULL, 15),
(89170, NULL, 'PTHR31345', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN Q', NULL, NULL, 22848, 15),
(89171, NULL, 'PTHR36705', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 20', NULL, NULL, NULL, 15),
(89172, NULL, 'PTHR31087:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89173, NULL, 'PTHR47926:SF241', NULL, NULL, NULL, NULL, 'OS03G0283500 PROTEIN', NULL, NULL, NULL, 15),
(89174, NULL, 'PTHR36492', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89175, NULL, 'PTHR19370:SF143', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE-ASSOCIATED COENZYME Q6 REDUCTASE PGA3', NULL, NULL, NULL, 15),
(89176, NULL, 'PTHR10373:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 7-LIKE 1', NULL, NULL, 26783, 15),
(89177, NULL, 'PTHR11706:SF100', NULL, NULL, NULL, NULL, 'BNAC08G04640D PROTEIN', NULL, NULL, NULL, 15),
(89178, NULL, 'PTHR23294:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG01362', NULL, NULL, NULL, 15),
(89179, NULL, 'PTHR24020:SF53', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE XII, ALPHA 1B', NULL, NULL, NULL, 15),
(89180, NULL, 'PTHR31116', NULL, NULL, NULL, NULL, 'OS04G0501200 PROTEIN', NULL, NULL, NULL, 15),
(89181, NULL, 'PTHR30419:SF2', NULL, NULL, NULL, NULL, 'NITROGEN ASSIMILATION TRANSCRIPTIONAL ACTIVATOR-RELATED', NULL, NULL, NULL, 15),
(89182, NULL, 'PTHR32448:SF12', NULL, NULL, NULL, NULL, 'RETICULINE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(89183, NULL, 'PTHR24015:SF1892', NULL, NULL, NULL, NULL, 'OS04G0118700 PROTEIN', NULL, NULL, NULL, 15),
(89184, NULL, 'PTHR46662:SF24', NULL, NULL, NULL, NULL, 'OS11G0570000 PROTEIN', NULL, NULL, NULL, 15),
(89185, NULL, 'PTHR33048:SF125', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(89186, NULL, 'PTHR11787:SF4', NULL, NULL, NULL, NULL, 'RAB PROTEINS GERANYLGERANYLTRANSFERASE COMPONENT A', NULL, NULL, NULL, 15),
(89187, NULL, 'PTHR43278', NULL, NULL, NULL, NULL, 'NAD(P)H-DEPENDENT FMN-CONTAINING OXIDOREDUCTASE YWQN-RELATED', NULL, NULL, NULL, 15),
(89188, NULL, 'PTHR46046:SF5', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(89189, NULL, 'PTHR34969:SF1', NULL, NULL, NULL, NULL, 'OS01G0621700 PROTEIN', NULL, NULL, NULL, 15),
(89190, NULL, 'PTHR22907:SF33', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(89191, NULL, 'PTHR44191:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89192, NULL, 'PTHR42038', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 34148, 15),
(89193, NULL, 'PTHR48002:SF145', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(89194, NULL, 'PTHR12791:SF49', NULL, NULL, NULL, NULL, 'BET1-LIKE SNARE 1-1 ISOFORM X1', NULL, NULL, NULL, 15),
(89195, NULL, 'PTHR33405:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FLX-LIKE 2', NULL, NULL, NULL, 15),
(89196, NULL, 'PTHR10984:SF68', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 5-3', NULL, NULL, NULL, 15),
(89197, NULL, 'PTHR48118', NULL, NULL, NULL, NULL, 'SPINDLE AND KINETOCHORE-ASSOCIATED PROTEIN 3', NULL, NULL, 33468, 15),
(89198, NULL, 'PTHR33179:SF33', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 25-LIKE', NULL, NULL, NULL, 15),
(89199, NULL, 'PTHR31621:SF55', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89200, NULL, 'PTHR33078:SF39', NULL, NULL, NULL, NULL, 'BNAA06G19300D PROTEIN', NULL, NULL, NULL, 15),
(89201, NULL, 'PTHR11051:SF8', NULL, NULL, NULL, NULL, 'PROTEIN-GLUCOSYLGALACTOSYLHYDROXYLYSINE GLUCOSIDASE', NULL, NULL, NULL, 15),
(89202, NULL, 'PTHR31898:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89203, NULL, 'PTHR13344:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 8', NULL, NULL, NULL, 15),
(89204, NULL, 'PTHR31105', NULL, NULL, NULL, NULL, 'EXTRA-LARGE G-PROTEIN-LIKE', NULL, NULL, 34342, 15),
(89205, NULL, 'PTHR33710:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89206, NULL, 'PTHR36152:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89207, NULL, 'PTHR43662:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89208, NULL, 'PTHR11183:SF106', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 4', NULL, NULL, 26177, 15),
(89209, NULL, 'PTHR12588:SF12', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE 1', NULL, NULL, NULL, 15),
(89210, NULL, 'PTHR12834:SF13', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 9 KDA PROTEIN', NULL, NULL, NULL, 15),
(89211, NULL, 'PTHR31363:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89212, NULL, 'PTHR10168:SF262', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE, PLANT II, THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89213, NULL, 'PTHR43874:SF94', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR5', NULL, NULL, NULL, 15),
(89214, NULL, 'PTHR21311', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX COMPONENT 8', NULL, NULL, 6505, 15),
(89215, NULL, 'PTHR32285:SF266', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 25', NULL, NULL, NULL, 15),
(89216, NULL, 'PTHR30469:SF35', NULL, NULL, NULL, NULL, 'EFFLUX PROTEIN', NULL, NULL, NULL, 15),
(89217, NULL, 'PTHR37534:SF25', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(89218, NULL, 'PTHR36410', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(89219, NULL, 'PTHR15076', NULL, NULL, NULL, NULL, 'CD99/MIC2 PROTEIN RELATED', NULL, NULL, 20537, 15),
(89220, NULL, 'PTHR11011:SF97', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(89221, NULL, 'PTHR23147:SF44', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 1', NULL, NULL, NULL, 15),
(89222, NULL, 'PTHR37872', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 1700029I15', NULL, NULL, 24956, 15),
(89223, NULL, 'PTHR21659:SF66', NULL, NULL, NULL, NULL, 'HYDROPHOBIC PROTEIN LTI6B', NULL, NULL, NULL, 15),
(89224, NULL, 'PTHR31426:SF2', NULL, NULL, NULL, NULL, 'GROUP II INTRON SPLICING FACTOR CRS1-LIKE', NULL, NULL, NULL, 15),
(89225, NULL, 'PTHR20971', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED PROTEIN', NULL, NULL, 31847, 15),
(89226, NULL, 'PTHR32556:SF18', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(89227, NULL, 'PTHR47993:SF78', NULL, NULL, NULL, NULL, 'BNAA01G27910D PROTEIN', NULL, NULL, NULL, 15),
(89228, NULL, 'PTHR10778:SF33', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE/UDP-GLUCOSE TRANSPORTER 2-LIKE', NULL, NULL, NULL, 15),
(89229, NULL, 'PTHR24086:SF25', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FTZ-F1 BETA', NULL, NULL, NULL, 15),
(89230, NULL, 'PTHR14303:SF12', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA SUBUNIT 4', NULL, NULL, NULL, 15),
(89231, NULL, 'PTHR31907:SF33', NULL, NULL, NULL, NULL, 'KIROLA-LIKE', NULL, NULL, NULL, 15),
(89232, NULL, 'PTHR22427:SF9', NULL, NULL, NULL, NULL, 'SI:CH73-389B16.2', NULL, NULL, NULL, 15),
(89233, NULL, 'PTHR31157:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89234, NULL, 'PTHR13271:SF90', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE EFM1', NULL, NULL, NULL, 15),
(89235, NULL, 'PTHR34223:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89236, NULL, 'PTHR22656', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(89237, NULL, 'PTHR19241:SF554', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE MULTIDRUG TRANSPORTER', NULL, NULL, NULL, 15),
(89238, NULL, 'PTHR11905:SF158', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89239, NULL, 'PTHR21358:SF4', NULL, NULL, NULL, NULL, 'PROTEIN MAELSTROM HOMOLOG', NULL, NULL, NULL, 15),
(89240, NULL, 'PTHR42805:SF1', NULL, NULL, NULL, NULL, 'PTERIN-4-ALPHA-CARBINOLAMINE DEHYDRATASE-RELATED', NULL, NULL, NULL, 15),
(89241, NULL, 'PTHR34659:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89242, NULL, 'PTHR38926:SF5', NULL, NULL, NULL, NULL, 'OS12G0609900 PROTEIN', NULL, NULL, NULL, 15),
(89243, NULL, 'PTHR21535:SF94', NULL, NULL, NULL, NULL, 'CORA FAMILY METAL ION TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(89244, NULL, 'PTHR11467:SF86', NULL, NULL, NULL, NULL, 'HISTONE H1.2', NULL, NULL, NULL, 15),
(89245, NULL, 'PTHR13140:SF736', NULL, NULL, NULL, NULL, 'MYOSIN FAMILY PROTEIN WITH DIL DOMAIN', NULL, NULL, NULL, 15),
(89246, NULL, 'PTHR13683:SF749', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(89247, NULL, 'PTHR15362:SF30', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE SYNTHASE', NULL, NULL, NULL, 15),
(89248, NULL, 'PTHR46913:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89249, NULL, 'PTHR15736:SF10', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 131 MEMBER BA', NULL, NULL, NULL, 15),
(89250, NULL, 'PTHR11727:SF29', NULL, NULL, NULL, NULL, 'RRNA ADENINE N(6)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(89251, NULL, 'PTHR11351:SF82', NULL, NULL, NULL, NULL, 'BNAC05G04360D PROTEIN', NULL, NULL, NULL, 15),
(89252, NULL, 'PTHR13793:SF92', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATX3', NULL, NULL, NULL, 15),
(89253, NULL, 'PTHR19876:SF33', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(89254, NULL, 'PTHR27000:SF575', NULL, NULL, NULL, NULL, 'TYROSINE-SULFATED GLYCOPEPTIDE RECEPTOR 1', NULL, NULL, NULL, 15),
(89255, NULL, 'PTHR32347:SF27', NULL, NULL, NULL, NULL, 'SLL1481 PROTEIN', NULL, NULL, NULL, 15),
(89256, NULL, 'PTHR46178:SF9', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(89257, NULL, 'PTHR46485:SF3', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TESTIS-SPECIFIC PROTEIN KINASE 1', NULL, NULL, 12561, 15),
(89258, NULL, 'PTHR33095:SF51', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(89259, NULL, 'PTHR11709:SF90', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE HOMOLOG', NULL, NULL, NULL, 15),
(89260, NULL, 'PTHR47293:SF33', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 24', NULL, NULL, NULL, 15),
(89261, NULL, 'PTHR15241:SF280', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 3, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(89262, NULL, 'PTHR22597:SF12', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN VERNALIZATION 2', NULL, NULL, NULL, 15),
(89263, NULL, 'PTHR19965:SF66', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(89264, NULL, 'PTHR24320:SF164', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89265, NULL, 'PTHR46008:SF9', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.1', NULL, NULL, NULL, 15),
(89266, NULL, 'PTHR42954:SF2', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORT PROTEIN A', NULL, NULL, NULL, 15),
(89267, NULL, 'PTHR11811:SF48', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING', NULL, NULL, NULL, 15),
(89268, NULL, 'PTHR11588:SF376', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2 CHAIN', NULL, NULL, NULL, 15),
(89269, NULL, 'PTHR12424:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TWEETY HOMOLOG 1', NULL, NULL, NULL, 15),
(89270, NULL, 'PTHR46272:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89271, NULL, 'PTHR23280:SF28', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE', NULL, NULL, NULL, 15),
(89272, NULL, 'PTHR14066:SF2', NULL, NULL, NULL, NULL, 'NATRIURETIC PEPTIDES A', NULL, NULL, NULL, 15),
(89273, NULL, 'PTHR23226:SF175', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 174', NULL, NULL, 22320, 15),
(89274, NULL, 'PTHR33477:SF4', NULL, NULL, NULL, NULL, 'P-LOOP NTPASE DOMAIN-CONTAINING PROTEIN LPA1 HOMOLOG', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89275, NULL, 'PTHR31444:SF40', NULL, NULL, NULL, NULL, 'PROTEIN IRREGULAR XYLEM 15', NULL, NULL, NULL, 15),
(89276, NULL, 'PTHR45805:SF9', NULL, NULL, NULL, NULL, 'RAR-RELATED ORPHAN RECEPTOR C A', NULL, NULL, NULL, 15),
(89277, NULL, 'PTHR48000:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89278, NULL, 'PTHR34427:SF5', NULL, NULL, NULL, NULL, 'DUF4283 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(89279, NULL, 'PTHR31282:SF70', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 7-RELATED', NULL, NULL, NULL, 15),
(89280, NULL, 'PTHR42733:SF9', NULL, NULL, NULL, NULL, 'DJ-1 PROTEIN HOMOLOG E', NULL, NULL, NULL, 15),
(89281, NULL, 'PTHR14021:SF15', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER CO-CHAPERONE PROTEIN HSCB', NULL, NULL, NULL, 15),
(89282, NULL, 'PTHR24064:SF559', NULL, NULL, NULL, NULL, 'BNAA03G18250D PROTEIN', NULL, NULL, NULL, 15),
(89283, NULL, 'PTHR21472:SF21', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN SIMILAR TO VERTEBRATE ENDONUCLEASE DOMAIN CONTAINING 1 (ENDOD1)', NULL, NULL, NULL, 15),
(89284, NULL, 'PTHR10784:SF7', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 6', NULL, NULL, NULL, 15),
(89285, NULL, 'PTHR13286:SF14', NULL, NULL, NULL, NULL, 'BNAC05G14990D PROTEIN', NULL, NULL, NULL, 15),
(89286, NULL, 'PTHR34453:SF7', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 22-RELATED', NULL, NULL, NULL, 15),
(89287, NULL, 'PTHR31387', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 19', NULL, NULL, 26041, 15),
(89288, NULL, 'PTHR33730:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89289, NULL, 'PTHR10773:SF12', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC2', NULL, NULL, NULL, 15),
(89290, NULL, 'PTHR37245:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89291, NULL, 'PTHR47316', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN H1', NULL, NULL, NULL, 15),
(89292, NULL, 'PTHR46444:SF10', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(89293, NULL, 'PTHR41521', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89294, NULL, 'PTHR31707:SF294', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 7-RELATED', NULL, NULL, NULL, 15),
(89295, NULL, 'PTHR43313:SF4', NULL, NULL, NULL, NULL, '17-BETA-HYDROXYSTEROID DEHYDROGENASE TYPE 6', NULL, NULL, NULL, 15),
(89296, NULL, 'PTHR34121:SF6', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 18-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(89297, NULL, 'PTHR13946:SF38', NULL, NULL, NULL, NULL, 'BNAC04G54470D PROTEIN', NULL, NULL, NULL, 15),
(89298, NULL, 'PTHR15486:SF51', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(89299, NULL, 'PTHR10971:SF16', NULL, NULL, NULL, NULL, 'OS01G0635400 PROTEIN', NULL, NULL, NULL, 15),
(89300, NULL, 'PTHR31352:SF41', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', NULL, NULL, NULL, 15),
(89301, NULL, 'PTHR47926:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89302, NULL, 'PTHR10696', NULL, NULL, NULL, NULL, 'GAMMA-BUTYROBETAINE HYDROXYLASE-RELATED', NULL, NULL, NULL, 15),
(89303, NULL, 'PTHR43699:SF1', NULL, NULL, NULL, NULL, '3-DEHYDROQUINATE DEHYDRATASE', NULL, NULL, NULL, 15),
(89304, NULL, 'PTHR23023:SF262', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', NULL, NULL, NULL, 15),
(89305, NULL, 'PTHR33107:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89306, NULL, 'PTHR23501:SF59', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03320)-RELATED', NULL, NULL, NULL, 15),
(89307, NULL, 'PTHR45702:SF2', NULL, NULL, NULL, NULL, 'KUZBANIAN, ISOFORM A', NULL, NULL, NULL, 15),
(89308, NULL, 'PTHR46236:SF14', NULL, NULL, NULL, NULL, 'BNAA03G19830D PROTEIN', NULL, NULL, NULL, 15),
(89309, NULL, 'PTHR18884:SF64', NULL, NULL, NULL, NULL, 'SEPTIN-2', NULL, NULL, NULL, 15),
(89310, NULL, 'PTHR45778:SF3', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89311, NULL, 'PTHR10505:SF14', NULL, NULL, NULL, NULL, 'CALCITONIN', NULL, NULL, NULL, 15),
(89312, NULL, 'PTHR11686:SF62', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLTRANSPEPTIDASE (EUROFUNG)', NULL, NULL, NULL, 15),
(89313, NULL, 'PTHR31388:SF134', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(89314, NULL, 'PTHR13162:SF14', NULL, NULL, NULL, NULL, 'BNAC04G42940D PROTEIN', NULL, NULL, NULL, 15),
(89315, NULL, 'PTHR24416:SF132', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE TRANSMEMBRANE RECEPTOR ROR2', NULL, NULL, NULL, 15),
(89316, NULL, 'PTHR10077:SF0', NULL, NULL, NULL, NULL, 'CALPASTATIN', NULL, NULL, NULL, 15),
(89317, NULL, 'PTHR12877', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR', NULL, NULL, 29888, 15),
(89318, NULL, 'PTHR46855:SF14', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 26', NULL, NULL, NULL, 15),
(89319, NULL, 'PTHR11959:SF7', NULL, NULL, NULL, NULL, 'PHYTOENE DESATURATION 1', NULL, NULL, NULL, 15),
(89320, NULL, 'PTHR42949', NULL, NULL, NULL, NULL, 'ANAEROBIC GLYCEROL-3-PHOSPHATE DEHYDROGENASE SUBUNIT B', NULL, NULL, NULL, 15),
(89321, NULL, 'PTHR10985:SF76', NULL, NULL, NULL, NULL, 'CLASS E BASIC HELIX-LOOP-HELIX PROTEIN 41', NULL, NULL, NULL, 15),
(89322, NULL, 'PTHR31651:SF21', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(89323, NULL, 'PTHR11802:SF329', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 17', NULL, NULL, NULL, 15),
(89324, NULL, 'PTHR11960:SF29', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E FAMILY MEMBER 1C', NULL, NULL, NULL, 15),
(89325, NULL, 'PTHR33343:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN BL35M', NULL, NULL, NULL, 15),
(89326, NULL, 'PTHR31673:SF39', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(89327, NULL, 'PTHR24033:SF188', NULL, NULL, NULL, NULL, 'NOTCH HOMOLOG 2 N-TERMINAL-LIKE PROTEIN B', NULL, NULL, NULL, 15),
(89328, NULL, 'PTHR45631:SF107', NULL, NULL, NULL, NULL, 'BNAANNG03040D PROTEIN', NULL, NULL, NULL, 15),
(89329, NULL, 'PTHR23430:SF310', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(89330, NULL, 'PTHR45966:SF22', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(89331, NULL, 'PTHR11802:SF317', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 31', NULL, NULL, NULL, 15),
(89332, NULL, 'PTHR24121:SF5', NULL, NULL, NULL, NULL, '2,3/UNC44, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89333, NULL, 'PTHR11886:SF94', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(89334, NULL, 'PTHR11937:SF449', NULL, NULL, NULL, NULL, 'BNAA04G29020D PROTEIN', NULL, NULL, NULL, 15),
(89335, NULL, 'PTHR33156:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89336, NULL, 'PTHR10210:SF34', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 4', NULL, NULL, NULL, 15),
(89337, NULL, 'PTHR42911:SF2', NULL, NULL, NULL, NULL, 'SPFH DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89338, NULL, 'PTHR46506:SF28', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(89339, NULL, 'PTHR43327:SF27', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(89340, NULL, 'PTHR31071:SF50', NULL, NULL, NULL, NULL, 'BNAC09G11920D PROTEIN', NULL, NULL, NULL, 15),
(89341, NULL, 'PTHR31930:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS R', NULL, NULL, NULL, 15),
(89342, NULL, 'PTHR26312:SF160', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(89343, NULL, 'PTHR10502:SF28', NULL, NULL, NULL, NULL, 'ANNEXIN A4', NULL, NULL, 5123, 15),
(89344, NULL, 'PTHR46057:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89345, NULL, 'PTHR11954:SF42', NULL, NULL, NULL, NULL, 'TAUTOMERASE/MIF SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(89346, NULL, 'PTHR43853:SF15', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE 5, PEROXISOMAL', NULL, NULL, NULL, 15),
(89347, NULL, 'PTHR47135', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89348, NULL, 'PTHR23056:SF91', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(89349, NULL, 'PTHR11122:SF31', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(89350, NULL, 'PTHR27001:SF626', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK9', NULL, NULL, NULL, 15),
(89351, NULL, 'PTHR33222:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CURVATURE THYLAKOID 1A CHLOROPLASTIC', NULL, NULL, NULL, 15),
(89352, NULL, 'PTHR10891:SF840', NULL, NULL, NULL, NULL, 'SORCIN', NULL, NULL, NULL, 15),
(89353, NULL, 'PTHR43197', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, 4857, 15),
(89354, NULL, 'PTHR31875:SF28', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(89355, NULL, 'PTHR37292:SF2', NULL, NULL, NULL, NULL, 'VNG6097C', NULL, NULL, NULL, 15),
(89356, NULL, 'PTHR36138', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89357, NULL, 'PTHR10351:SF59', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', NULL, NULL, NULL, 15),
(89358, NULL, 'PTHR42865:SF1', NULL, NULL, NULL, NULL, 'AEROBIC C4-DICARBOXYLATE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(89359, NULL, 'PTHR36312:SF1', NULL, NULL, NULL, NULL, 'THIONIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(89360, NULL, 'PTHR12052:SF6', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN YLS8', NULL, NULL, NULL, 15),
(89361, NULL, 'PTHR45778:SF19', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(89362, NULL, 'PTHR43986', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-GAMMA', NULL, NULL, NULL, 15),
(89363, NULL, 'PTHR13301:SF173', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN E1', NULL, NULL, NULL, 15),
(89364, NULL, 'PTHR45966:SF4', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 5', NULL, NULL, NULL, 15),
(89365, NULL, 'PTHR33169', NULL, NULL, NULL, NULL, 'PADR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(89366, NULL, 'PTHR23257:SF792', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN TYROSINE KINASE', NULL, NULL, NULL, 15),
(89367, NULL, 'PTHR23267:SF11', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN IOTA CHAIN', NULL, NULL, NULL, 15),
(89368, NULL, 'PTHR48111:SF54', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(89369, NULL, 'PTHR47966:SF5', NULL, NULL, NULL, NULL, 'HEME RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(89370, NULL, 'PTHR21136:SF206', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 724', NULL, NULL, NULL, 15),
(89371, NULL, 'PTHR35682', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 252', NULL, NULL, 4520, 15),
(89372, NULL, 'PTHR45931:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89373, NULL, 'PTHR10802:SF7', NULL, NULL, NULL, NULL, 'BNAC05G32550D PROTEIN', NULL, NULL, NULL, 15),
(89374, NULL, 'PTHR36929:SF4', NULL, NULL, NULL, NULL, 'BLL3153 PROTEIN', NULL, NULL, NULL, 15),
(89375, NULL, 'PTHR46236:SF29', NULL, NULL, NULL, NULL, 'BNAC04G52790D PROTEIN', NULL, NULL, NULL, 15),
(89376, NULL, 'PTHR38445:SF6', NULL, NULL, NULL, NULL, 'GNTR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(89377, NULL, 'PTHR15532:SF3', NULL, NULL, NULL, NULL, 'DERMATAN-SULFATE EPIMERASE', NULL, NULL, NULL, 15),
(89378, NULL, 'PTHR10803:SF3', NULL, NULL, NULL, NULL, 'ATPASE ASNA1', NULL, NULL, NULL, 15),
(89379, NULL, 'PTHR48020', NULL, NULL, NULL, NULL, 'PROTON MYO-INOSITOL COTRANSPORTER', NULL, NULL, NULL, 15),
(89380, NULL, 'PTHR31225:SF121', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 8', NULL, NULL, NULL, 15),
(89381, NULL, 'PTHR31855', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE C9ORF72', NULL, NULL, 22589, 15),
(89382, NULL, 'PTHR31014', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 8272, 15),
(89383, NULL, 'PTHR13718:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89384, NULL, 'PTHR31212', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB HOMOLOG 3', NULL, NULL, 24760, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89385, NULL, 'PTHR18953:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89386, NULL, 'PTHR24015:SF1955', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89387, NULL, 'PTHR46137:SF8', NULL, NULL, NULL, NULL, 'GB|AAF32477.1', NULL, NULL, NULL, 15),
(89388, NULL, 'PTHR13633', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 33635, 15),
(89389, NULL, 'PTHR47784:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(89390, NULL, 'PTHR31506:SF32', NULL, NULL, NULL, NULL, 'BES1/BZR1 HOMOLOG PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(89391, NULL, 'PTHR47118:SF1', NULL, NULL, NULL, NULL, 'CYTOTOXIC AND REGULATORY T-CELL MOLECULE', NULL, NULL, NULL, 15),
(89392, NULL, 'PTHR46798', NULL, NULL, NULL, NULL, 'OS09G0511500 PROTEIN', NULL, NULL, 37878, 15),
(89393, NULL, 'PTHR12697:SF5', NULL, NULL, NULL, NULL, 'DEOXYHYPUSINE HYDROXYLASE', NULL, NULL, NULL, 15),
(89394, NULL, 'PTHR12381:SF67', NULL, NULL, NULL, NULL, 'TWENTY ONE U-RNA (21U-RNA) BIOGENESIS FOULED UP', NULL, NULL, NULL, 15),
(89395, NULL, 'PTHR12891', NULL, NULL, NULL, NULL, 'DNA REPAIR/TRANSCRIPTION PROTEIN MET18/MMS19', NULL, NULL, 29921, 15),
(89396, NULL, 'PTHR42748:SF6', NULL, NULL, NULL, NULL, 'BLL0599 PROTEIN', NULL, NULL, NULL, 15),
(89397, NULL, 'PTHR33430:SF9', NULL, NULL, NULL, NULL, 'BNAC03G75110D PROTEIN', NULL, NULL, NULL, 15),
(89398, NULL, 'PTHR22883:SF370', NULL, NULL, NULL, NULL, 'ZDHHC-TYPE PALMITOYLTRANSFERASE 7-RELATED', NULL, NULL, NULL, 15),
(89399, NULL, 'PTHR45743:SF11', NULL, NULL, NULL, NULL, 'CHANNEL AKT1 PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89400, NULL, 'PTHR40392:SF1', NULL, NULL, NULL, NULL, '2-PHOSPHO-L-LACTATE GUANYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(89401, NULL, 'PTHR34306:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89402, NULL, 'PTHR43177:SF7', NULL, NULL, NULL, NULL, 'ANAEROBIC DIMETHYL SULFOXIDE REDUCTASE, SUBUNIT B-RELATED', NULL, NULL, NULL, 15),
(89403, NULL, 'PTHR30069:SF40', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR NMB0964-RELATED', NULL, NULL, NULL, 15),
(89404, NULL, 'PTHR16294:SF5', NULL, NULL, NULL, NULL, 'DYSBINDIN', NULL, NULL, NULL, 15),
(89405, NULL, 'PTHR23128:SF134', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(89406, NULL, 'PTHR24230:SF75', NULL, NULL, NULL, NULL, 'ALLATOSTATIN A RECEPTOR 2, ISOFORM A', NULL, NULL, NULL, 15),
(89407, NULL, 'PTHR12280:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89408, NULL, 'PTHR24221:SF157', NULL, NULL, NULL, NULL, 'HLYB FAMILY', NULL, NULL, NULL, 15),
(89409, NULL, 'PTHR21661:SF69', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 1', NULL, NULL, NULL, 15),
(89410, NULL, 'PTHR31194:SF128', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WIN1', NULL, NULL, NULL, 15),
(89411, NULL, 'PTHR31221:SF83', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 75-RELATED', NULL, NULL, NULL, 15),
(89412, NULL, 'PTHR45931:SF1', NULL, NULL, NULL, NULL, 'RNF12 PROTEIN', NULL, NULL, NULL, 15),
(89413, NULL, 'PTHR31265:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89414, NULL, 'PTHR24055:SF373', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89415, NULL, 'PTHR28263:SF1', NULL, NULL, NULL, NULL, 'GOLGI TO ER TRAFFIC PROTEIN 2', NULL, NULL, NULL, 15),
(89416, NULL, 'PTHR24246:SF27', NULL, NULL, NULL, NULL, 'ADENOSINE RECEPTOR HOMOLOG', NULL, NULL, NULL, 15),
(89417, NULL, 'PTHR38420', NULL, NULL, NULL, NULL, 'AP-4-A PHOSPHORYLASE II', NULL, NULL, 9840, 15),
(89418, NULL, 'PTHR16228:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG01705', NULL, NULL, NULL, 15),
(89419, NULL, 'PTHR44845:SF1', NULL, NULL, NULL, NULL, 'L-2-AMINOADIPATE REDUCTASE', NULL, NULL, NULL, 15),
(89420, NULL, 'PTHR27000:SF14', NULL, NULL, NULL, NULL, 'F12K21.25', NULL, NULL, NULL, 15),
(89421, NULL, 'PTHR22952:SF427', NULL, NULL, NULL, NULL, 'CAMP RESPONSE ELEMENT BINDING (CREB) PROTEIN, BASIC-LEUCINE ZIPPER DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89422, NULL, 'PTHR18860:SF126', NULL, NULL, NULL, NULL, 'BNAC02G00320D PROTEIN', NULL, NULL, NULL, 15),
(89423, NULL, 'PTHR14217:SF29', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', NULL, NULL, NULL, 15),
(89424, NULL, 'PTHR46038:SF13', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(89425, NULL, 'PTHR31190:SF292', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ABR1', NULL, NULL, NULL, 15),
(89426, NULL, 'PTHR11199:SF3', NULL, NULL, NULL, NULL, 'COHESIN SUBUNIT SA-2', NULL, NULL, NULL, 15),
(89427, NULL, 'PTHR23098:SF16', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(89428, NULL, 'PTHR45907:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', NULL, NULL, NULL, 15),
(89429, NULL, 'PTHR31832:SF36', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 18', NULL, NULL, NULL, 15),
(89430, NULL, 'PTHR18966:SF470', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(89431, NULL, 'PTHR35250', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 4', NULL, NULL, 21717, 15),
(89432, NULL, 'PTHR46274:SF9', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE DSP8-RELATED', NULL, NULL, NULL, 15),
(89433, NULL, 'PTHR26379:SF260', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(89434, NULL, 'PTHR23430:SF313', NULL, NULL, NULL, NULL, 'HISTONE H2A.2-RELATED', NULL, NULL, NULL, 15),
(89435, NULL, 'PTHR31972:SF38', NULL, NULL, NULL, NULL, 'OS12G0149000 PROTEIN', NULL, NULL, NULL, 15),
(89436, NULL, 'PTHR43874:SF159', NULL, NULL, NULL, NULL, 'BNAC02G01700D PROTEIN', NULL, NULL, NULL, 15),
(89437, NULL, 'PTHR34257:SF2', NULL, NULL, NULL, NULL, 'ADAPTER PROTEIN CIKS', NULL, NULL, NULL, 15),
(89438, NULL, 'PTHR33734', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING GPI-ANCHORED PROTEIN 2', NULL, NULL, NULL, 15),
(89439, NULL, 'PTHR31251:SF86', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SBP FAMILY-RELATED', NULL, NULL, NULL, 15),
(89440, NULL, 'PTHR33829:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89441, NULL, 'PTHR32467:SF180', NULL, NULL, NULL, NULL, 'OS05G0536250 PROTEIN', NULL, NULL, NULL, 15),
(89442, NULL, 'PTHR31109:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89443, NULL, 'PTHR45714:SF42', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT22-LIKE', NULL, NULL, NULL, 15),
(89444, NULL, 'PTHR47993:SF44', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(89445, NULL, 'PTHR34046:SF18', NULL, NULL, NULL, NULL, 'RAPIDLY ELICITED PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89446, NULL, 'PTHR31071:SF6', NULL, NULL, NULL, NULL, 'GB|AAF24581.1', NULL, NULL, NULL, 15),
(89447, NULL, 'PTHR27009:SF236', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK3', NULL, NULL, NULL, 15),
(89448, NULL, 'PTHR19871:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89449, NULL, 'PTHR31338:SF32', NULL, NULL, NULL, NULL, 'BNAC03G62100D PROTEIN', NULL, NULL, NULL, 15),
(89450, NULL, 'PTHR35087:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN FLJ40298', NULL, NULL, NULL, 15),
(89451, NULL, 'PTHR10704:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89452, NULL, 'PTHR46586:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(89453, NULL, 'PTHR23044:SF63', NULL, NULL, NULL, NULL, 'ERI1 EXORIBONUCLEASE 2', NULL, NULL, NULL, 15),
(89454, NULL, 'PTHR48041:SF85', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 17-RELATED', NULL, NULL, NULL, 15),
(89455, NULL, 'PTHR24062:SF158', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(89456, NULL, 'PTHR35789:SF1', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN B3', NULL, NULL, NULL, 15),
(89457, NULL, 'PTHR33165:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89458, NULL, 'PTHR33057:SF164', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP13-LIKE', NULL, NULL, NULL, 15),
(89459, NULL, 'PTHR24023:SF966', NULL, NULL, NULL, NULL, 'ZMP:0000000760', NULL, NULL, NULL, 15),
(89460, NULL, 'PTHR12665:SF20', NULL, NULL, NULL, NULL, 'ORMDL FAMILY-RELATED', NULL, NULL, NULL, 15),
(89461, NULL, 'PTHR33936:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG17840', NULL, NULL, NULL, 15),
(89462, NULL, 'PTHR31235:SF325', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(89463, NULL, 'PTHR22750:SF22', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 1', NULL, NULL, NULL, 15),
(89464, NULL, 'PTHR47991:SF37', NULL, NULL, NULL, NULL, 'OS01G0351800 PROTEIN', NULL, NULL, NULL, 15),
(89465, NULL, 'PTHR31086:SF62', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER', NULL, NULL, NULL, 15),
(89466, NULL, 'PTHR31207:SF23', NULL, NULL, NULL, NULL, 'DOWNREGULATED IN DIF1 18-RELATED', NULL, NULL, NULL, 15),
(89467, NULL, 'PTHR22765:SF206', NULL, NULL, NULL, NULL, 'OS03G0206900 PROTEIN', NULL, NULL, NULL, 15),
(89468, NULL, 'PTHR31639:SF193', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 13-LIKE', NULL, NULL, NULL, 15),
(89469, NULL, 'PTHR10845:SF187', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 16', NULL, NULL, NULL, 15),
(89470, NULL, 'PTHR23308:SF28', NULL, NULL, NULL, NULL, 'NUCLEAR INHIBITOR OF PROTEIN PHOSPHATASE 1', NULL, NULL, NULL, 15),
(89471, NULL, 'PTHR47270:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89472, NULL, 'PTHR37161:SF3', NULL, NULL, NULL, NULL, 'HDC10475', NULL, NULL, NULL, 15),
(89473, NULL, 'PTHR24281:SF54', NULL, NULL, NULL, NULL, '3,9-DIHYDROXYPTEROCARPAN 6A-MONOOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(89474, NULL, 'PTHR19443:SF70', NULL, NULL, NULL, NULL, 'HEXOKINASE-4', NULL, NULL, NULL, 15),
(89475, NULL, 'PTHR23235:SF65', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 11', NULL, NULL, NULL, 15),
(89476, NULL, 'PTHR11349:SF97', NULL, NULL, NULL, NULL, 'PROTEIN CBG08487', NULL, NULL, NULL, 15),
(89477, NULL, 'PTHR45827:SF2', NULL, NULL, NULL, NULL, 'SORTING NEXIN-9', NULL, NULL, 29289, 15),
(89478, NULL, 'PTHR22753:SF36', NULL, NULL, NULL, NULL, 'ESTERASE/LIPASE/THIOESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(89479, NULL, 'PTHR31150:SF29', NULL, NULL, NULL, NULL, 'RING FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(89480, NULL, 'PTHR11732:SF479', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 4 MEMBER C9-LIKE', NULL, NULL, NULL, 15),
(89481, NULL, 'PTHR31561:SF137', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(89482, NULL, 'PTHR12388:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM16-LIKE', NULL, NULL, NULL, 15),
(89483, NULL, 'PTHR34775:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(89484, NULL, 'PTHR46485:SF1', NULL, NULL, NULL, NULL, 'LIM DOMAIN KINASE 2', NULL, NULL, NULL, 15),
(89485, NULL, 'PTHR43148:SF5', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE GAPB, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(89486, NULL, 'PTHR47448:SF2', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 1', NULL, NULL, NULL, 15),
(89487, NULL, 'PTHR19430:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BEX3', NULL, NULL, NULL, 15),
(89488, NULL, 'PTHR10201:SF258', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE', NULL, NULL, NULL, 15),
(89489, NULL, 'PTHR31260:SF54', NULL, NULL, NULL, NULL, 'BNAC03G13230D PROTEIN', NULL, NULL, NULL, 15),
(89490, NULL, 'PTHR46869:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT4-LIKE', NULL, NULL, NULL, 15),
(89491, NULL, 'PTHR23036:SF17', NULL, NULL, NULL, NULL, 'INTERLEUKIN-5 RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(89492, NULL, 'PTHR44013:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89493, NULL, 'PTHR10801:SF2', NULL, NULL, NULL, NULL, 'DELTA(24)-STEROL REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(89494, NULL, 'PTHR13169:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN 3', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89495, NULL, 'PTHR31948:SF82', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(89496, NULL, 'PTHR10593:SF128', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JACKDAW', NULL, NULL, 31907, 15),
(89497, NULL, 'PTHR46646', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 1', NULL, NULL, 39397, 15),
(89498, NULL, 'PTHR11709:SF406', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(89499, NULL, 'PTHR33649:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89500, NULL, 'PTHR48041:SF27', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 8', NULL, NULL, NULL, 15),
(89501, NULL, 'PTHR24242:SF206', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5', NULL, NULL, NULL, 15),
(89502, NULL, 'PTHR14209:SF31', NULL, NULL, NULL, NULL, 'ACETATE-HYDROLYZING ESTERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89503, NULL, 'PTHR22730:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89504, NULL, 'PTHR31451:SF52', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE', NULL, NULL, NULL, 15),
(89505, NULL, 'PTHR11654:SF558', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89506, NULL, 'PTHR11929:SF213', NULL, NULL, NULL, NULL, 'BNAA06G03030D PROTEIN', NULL, NULL, NULL, 15),
(89507, NULL, 'PTHR30069:SF35', NULL, NULL, NULL, NULL, 'FERRIC SIDEROPHORE RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(89508, NULL, 'PTHR19359:SF113', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE HEME/STEROID BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89509, NULL, 'PTHR18968:SF164', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G13620)-RELATED', NULL, NULL, NULL, 15),
(89510, NULL, 'PTHR46519:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89511, NULL, 'PTHR24637:SF340', NULL, NULL, NULL, NULL, 'PROTEIN CBG05614', NULL, NULL, NULL, 15),
(89512, NULL, 'PTHR43830:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PSP1', NULL, NULL, NULL, 15),
(89513, NULL, 'PTHR37187:SF12', NULL, NULL, NULL, NULL, 'BNAC03G59220D PROTEIN', NULL, NULL, NULL, 15),
(89514, NULL, 'PTHR27003:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89515, NULL, 'PTHR32523:SF13', NULL, NULL, NULL, NULL, 'BNAA03G56250D PROTEIN', NULL, NULL, NULL, 15),
(89516, NULL, 'PTHR48137', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89517, NULL, 'PTHR46033:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89518, NULL, 'PTHR11117:SF3', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP/GDP-FORMING] SUBUNIT ALPHA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(89519, NULL, 'PTHR24291:SF149', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4B1-RELATED', NULL, NULL, NULL, 15),
(89520, NULL, 'PTHR33377:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89521, NULL, 'PTHR11255:SF88', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 4', NULL, NULL, NULL, 15),
(89522, NULL, 'PTHR47989:SF1', NULL, NULL, NULL, NULL, 'BNAA05G14800D PROTEIN', NULL, NULL, NULL, 15),
(89523, NULL, 'PTHR34397:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89524, NULL, 'PTHR10165:SF176', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 3-RELATED', NULL, NULL, NULL, 15),
(89525, NULL, 'PTHR48042:SF23', NULL, NULL, NULL, NULL, 'CASSETTE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89526, NULL, 'PTHR32309', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(89527, NULL, 'PTHR14885:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 43', NULL, NULL, 30253, 15),
(89528, NULL, 'PTHR18966:SF498', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(89529, NULL, 'PTHR33776:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89530, NULL, 'PTHR47928:SF79', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(89531, NULL, 'PTHR46357', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ATRX', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89532, NULL, 'PTHR22743:SF161', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(89533, NULL, 'PTHR48041:SF48', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 7', NULL, NULL, NULL, 15),
(89534, NULL, 'PTHR47761:SF3', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(89535, NULL, 'PTHR33993:SF10', NULL, NULL, NULL, NULL, 'BLL4537 PROTEIN', NULL, NULL, NULL, 15),
(89536, NULL, 'PTHR43697:SF1', NULL, NULL, NULL, NULL, 'SERINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(89537, NULL, 'PTHR45968:SF28', NULL, NULL, NULL, NULL, 'GLUCOSE-METHANOL-CHOLINE (GMC) OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(89538, NULL, 'PTHR24209', NULL, NULL, NULL, NULL, 'PROTEIN DA1-RELATED 2', NULL, NULL, 38993, 15),
(89539, NULL, 'PTHR31374:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89540, NULL, 'PTHR27002:SF544', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(89541, NULL, 'PTHR11764:SF68', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(89542, NULL, 'PTHR47958:SF56', NULL, NULL, NULL, NULL, 'DEAD (ASP-GLU-ALA-ASP) BOX POLYPEPTIDE 23', NULL, NULL, NULL, 15),
(89543, NULL, 'PTHR22550:SF9', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN AF', NULL, NULL, NULL, 15),
(89544, NULL, 'PTHR11675:SF8', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 14', NULL, NULL, NULL, 15),
(89545, NULL, 'PTHR18916:SF6', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 1', NULL, NULL, NULL, 15),
(89546, NULL, 'PTHR11785:SF514', NULL, NULL, NULL, NULL, 'B(0,+)-TYPE AMINO ACID TRANSPORTER 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(89547, NULL, 'PTHR13246:SF4', NULL, NULL, NULL, NULL, 'BETA N-ACETYLGLUCOSAMINIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89548, NULL, 'PTHR10676:SF263', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 11, AXONEMAL', NULL, NULL, NULL, 15),
(89549, NULL, 'PTHR11654:SF291', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 15 MEMBER 2', NULL, NULL, NULL, 15),
(89550, NULL, 'PTHR34971:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN Z', NULL, NULL, NULL, 15),
(89551, NULL, 'PTHR14186:SF25', NULL, NULL, NULL, NULL, 'KAZAL-TYPE SERINE PEPTIDASE INHIBITOR DOMAIN 3', NULL, NULL, NULL, 15),
(89552, NULL, 'PTHR10113:SF36', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1-3', NULL, NULL, NULL, 15),
(89553, NULL, 'PTHR31251:SF110', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 14', NULL, NULL, NULL, 15),
(89554, NULL, 'PTHR22835:SF607', NULL, NULL, NULL, NULL, 'BNAA05G31970D PROTEIN', NULL, NULL, NULL, 15),
(89555, NULL, 'PTHR13806:SF32', NULL, NULL, NULL, NULL, 'FLOTILLIN 1', NULL, NULL, NULL, 15),
(89556, NULL, 'PTHR11742:SF84', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(89557, NULL, 'PTHR10593:SF113', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(89558, NULL, 'PTHR16943:SF11', NULL, NULL, NULL, NULL, 'CIS-ACONITATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(89559, NULL, 'PTHR13513:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR7-RELATED', NULL, NULL, NULL, 15),
(89560, NULL, 'PTHR11999:SF153', NULL, NULL, NULL, NULL, 'TYROSINE DECARBOXYLASE 1', NULL, NULL, NULL, 15),
(89561, NULL, 'PTHR33086:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89562, NULL, 'PTHR11711:SF396', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89563, NULL, 'PTHR11566:SF170', NULL, NULL, NULL, NULL, 'DYNAMIN 3A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(89564, NULL, 'PTHR14431:SF1', NULL, NULL, NULL, NULL, 'HCLS1-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(89565, NULL, 'PTHR42696:SF2', NULL, NULL, NULL, NULL, 'ASPARTATE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(89566, NULL, 'PTHR37562:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89567, NULL, 'PTHR23200:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG14679', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89568, NULL, 'PTHR16023:SF0', NULL, NULL, NULL, NULL, 'PROTEIN VAC14 HOMOLOG', NULL, NULL, NULL, 15),
(89569, NULL, 'PTHR48062:SF14', NULL, NULL, NULL, NULL, 'BNAC05G14300D PROTEIN', NULL, NULL, NULL, 15),
(89570, NULL, 'PTHR23503:SF35', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 9', NULL, NULL, NULL, 15),
(89571, NULL, 'PTHR31790:SF294', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(89572, NULL, 'PTHR11533:SF106', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(89573, NULL, 'PTHR32285:SF262', NULL, NULL, NULL, NULL, 'BNAA02G29190D PROTEIN', NULL, NULL, 23326, 15),
(89574, NULL, 'PTHR10217:SF435', NULL, NULL, NULL, NULL, 'EAG-LIKE K[+] CHANNEL, ISOFORM A', NULL, NULL, NULL, 15),
(89575, NULL, 'PTHR43329:SF82', NULL, NULL, NULL, NULL, 'ATSEH-RELATED', NULL, NULL, NULL, 15),
(89576, NULL, 'PTHR11736:SF37', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN D4', NULL, NULL, 22202, 15),
(89577, NULL, 'PTHR24012:SF791', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89578, NULL, 'PTHR11475:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89579, NULL, 'PTHR27005:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89580, NULL, 'PTHR47364:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 5', NULL, NULL, NULL, 15),
(89581, NULL, 'PTHR46622:SF3', NULL, NULL, NULL, NULL, 'ZINC ION BINDING PROTEIN', NULL, NULL, NULL, 15),
(89582, NULL, 'PTHR33076:SF108', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(89583, NULL, 'PTHR43692', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYLALANINE--D-GLUTAMATE LIGASE', NULL, NULL, NULL, 15),
(89584, NULL, 'PTHR45754:SF7', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE', NULL, NULL, NULL, 15),
(89585, NULL, 'PTHR11907:SF22', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(89586, NULL, 'PTHR47950:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A8', NULL, NULL, NULL, 15),
(89587, NULL, 'PTHR11071:SF437', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(89588, NULL, 'PTHR36350:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89589, NULL, 'PTHR10624:SF6', NULL, NULL, NULL, NULL, 'UROKINASE PLASMINOGEN ACTIVATOR SURFACE RECEPTOR', NULL, NULL, 35597, 15),
(89590, NULL, 'PTHR24298:SF817', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89591, NULL, 'PTHR34851:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG05235', NULL, NULL, NULL, 15),
(89592, NULL, 'PTHR13229:SF15', NULL, NULL, NULL, NULL, 'PROTEIN KISH', NULL, NULL, NULL, 15),
(89593, NULL, 'PTHR30383:SF23', NULL, NULL, NULL, NULL, 'LIPOLYTIC ENZYME, G-D-S-L FAMILY', NULL, NULL, NULL, 15),
(89594, NULL, 'PTHR13848:SF15', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE 5', NULL, NULL, NULL, 15),
(89595, NULL, 'PTHR33469:SF19', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 3-LIKE', NULL, NULL, NULL, 15),
(89596, NULL, 'PTHR37773', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37523, 15),
(89597, NULL, 'PTHR10666:SF288', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 10', NULL, NULL, NULL, 15),
(89598, NULL, 'PTHR14273:SF0', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(89599, NULL, 'PTHR38130', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89600, NULL, 'PTHR23091:SF283', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(89601, NULL, 'PTHR24281:SF151', NULL, NULL, NULL, NULL, 'CYTOCHROME 98A3', NULL, NULL, NULL, 15),
(89602, NULL, 'PTHR12259', NULL, NULL, NULL, NULL, 'RGS-GAIP INTERACTING PROTEIN GIPC', NULL, NULL, 18281, 15),
(89603, NULL, 'PTHR47646', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN MAGIX', NULL, NULL, 26445, 15),
(89604, NULL, 'PTHR32227:SF339', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17-RELATED', NULL, NULL, NULL, 15),
(89605, NULL, 'PTHR40388:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89606, NULL, 'PTHR31297:SF13', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89607, NULL, 'PTHR13428:SF14', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(89608, NULL, 'PTHR27001:SF237', NULL, NULL, NULL, NULL, 'OS03G0724300 PROTEIN', NULL, NULL, NULL, 15),
(89609, NULL, 'PTHR31062:SF158', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(89610, NULL, 'PTHR31474:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(89611, NULL, 'PTHR22891:SF6', NULL, NULL, NULL, NULL, 'ARGONAUTE PROTEIN WAGO-1-RELATED', NULL, NULL, NULL, 15),
(89612, NULL, 'PTHR28658:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG13077', NULL, NULL, NULL, 15),
(89613, NULL, 'PTHR30598:SF3', NULL, NULL, NULL, NULL, 'RESPIRATORY NITRATE REDUCTASE 1 GAMMA CHAIN', NULL, NULL, NULL, 15),
(89614, NULL, 'PTHR31589:SF156', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PEPTIDASE', NULL, NULL, NULL, 15),
(89615, NULL, 'PTHR17045:SF5', NULL, NULL, NULL, NULL, 'CBP/P300-INTERACTING TRANSACTIVATOR 4', NULL, NULL, NULL, 15),
(89616, NULL, 'PTHR23257:SF850', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', NULL, NULL, NULL, 15),
(89617, NULL, 'PTHR31733:SF10', NULL, NULL, NULL, NULL, 'RIBONUCLEASE KAPPA-B', NULL, NULL, NULL, 15),
(89618, NULL, 'PTHR37256:SF3', NULL, NULL, NULL, NULL, 'FORMIN-F-LIKE', NULL, NULL, NULL, 15),
(89619, NULL, 'PTHR31676:SF143', NULL, NULL, NULL, NULL, 'BNAA10G27660D PROTEIN', NULL, NULL, NULL, 15),
(89620, NULL, 'PTHR35282:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89621, NULL, 'PTHR31086:SF66', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 2-LIKE', NULL, NULL, NULL, 15),
(89622, NULL, 'PTHR10556:SF48', NULL, NULL, NULL, NULL, 'STEROID 5-ALPHA-REDUCTASE DET2-LIKE', NULL, NULL, NULL, 15),
(89623, NULL, 'PTHR24346:SF53', NULL, NULL, NULL, NULL, 'GEMINIVIRUS REP INTERACTING KINASE 1 ISOFORM 1', NULL, NULL, NULL, 15),
(89624, NULL, 'PTHR20961:SF97', NULL, NULL, NULL, NULL, 'ALPHA-1,3-ARABINOSYLTRANSFERASE XAT3', NULL, NULL, NULL, 15),
(89625, NULL, 'PTHR39082', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE C-BETA-2-RELATED', NULL, NULL, NULL, 15),
(89626, NULL, 'PTHR10902:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89627, NULL, 'PTHR23084:SF234', NULL, NULL, NULL, NULL, 'JUNCTOPHILIN-3-LIKE', NULL, NULL, NULL, 15),
(89628, NULL, 'PTHR46224:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89629, NULL, 'PTHR21645:SF22', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(89630, NULL, 'PTHR10871', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S13/40S RIBOSOMAL PROTEIN S18', NULL, NULL, NULL, 15),
(89631, NULL, 'PTHR24073:SF353', NULL, NULL, NULL, NULL, 'LD47384P', NULL, NULL, NULL, 15),
(89632, NULL, 'PTHR24006:SF746', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 21', NULL, NULL, NULL, 15),
(89633, NULL, 'PTHR47727', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 9 MEMBER A', NULL, NULL, 37379, 15),
(89634, NULL, 'PTHR15486:SF82', NULL, NULL, NULL, NULL, 'BNACNNG43470D PROTEIN', NULL, NULL, NULL, 15),
(89635, NULL, 'PTHR10168:SF230', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C1', NULL, NULL, NULL, 15),
(89636, NULL, 'PTHR36927:SF3', NULL, NULL, NULL, NULL, 'BLR4337 PROTEIN', NULL, NULL, NULL, 15),
(89637, NULL, 'PTHR10896:SF65', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE I', NULL, NULL, NULL, 15),
(89638, NULL, 'PTHR34343', NULL, NULL, NULL, NULL, 'SEROLOGICALLY DEFINED COLON CANCER ANTIGEN 8', NULL, NULL, 28979, 15),
(89639, NULL, 'PTHR47356', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE ASQG-RELATED', NULL, NULL, NULL, 15),
(89640, NULL, 'PTHR45648:SF63', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(89641, NULL, 'PTHR36752:SF3', NULL, NULL, NULL, NULL, 'WOUND-INDUCED BASIC PROTEIN-LIKE', NULL, NULL, NULL, 15),
(89642, NULL, 'PTHR31340:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GENOME MAINTENANCE EXONUCLEASE 1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89643, NULL, 'PTHR43797:SF2', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE/CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(89644, NULL, 'PTHR10666:SF352', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-B', NULL, NULL, NULL, 15),
(89645, NULL, 'PTHR23036:SF6', NULL, NULL, NULL, NULL, 'INTERLEUKIN-27 RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(89646, NULL, 'PTHR43607', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE CATALYTIC SUBUNIT A', NULL, NULL, 16950, 15),
(89647, NULL, 'PTHR33103:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89648, NULL, 'PTHR46804:SF4', NULL, NULL, NULL, NULL, 'ARL14 EFFECTOR PROTEIN-LIKE', NULL, NULL, NULL, 15),
(89649, NULL, 'PTHR16821:SF6', NULL, NULL, NULL, NULL, 'FRATAXIN', NULL, NULL, NULL, 15),
(89650, NULL, 'PTHR31175:SF50', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR62-RELATED', NULL, NULL, NULL, 15),
(89651, NULL, 'PTHR46767', NULL, NULL, NULL, NULL, 'LIM DOMAIN ONLY PROTEIN 7', NULL, NULL, 22474, 15),
(89652, NULL, 'PTHR35923', NULL, NULL, NULL, NULL, 'MAJOR EXTRACELLULAR ENDOGLUCANASE', NULL, NULL, NULL, 15),
(89653, NULL, 'PTHR48014:SF21', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(89654, NULL, 'PTHR11690:SF128', NULL, NULL, NULL, NULL, 'ACID-SENSING ION CHANNEL 2', NULL, NULL, NULL, 15),
(89655, NULL, 'PTHR11071:SF485', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(89656, NULL, 'PTHR13135:SF0', NULL, NULL, NULL, NULL, 'PHOSPHORYLATED ADAPTER RNA EXPORT PROTEIN', NULL, NULL, NULL, 15),
(89657, NULL, 'PTHR22952:SF448', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 2 ISOFORM X1', NULL, NULL, NULL, 15),
(89658, NULL, 'PTHR27004:SF326', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 18-RELATED', NULL, NULL, NULL, 15),
(89659, NULL, 'PTHR11594:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89660, NULL, 'PTHR13703', NULL, NULL, NULL, NULL, 'SMAD', NULL, NULL, 12569, 15),
(89661, NULL, 'PTHR10024:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89662, NULL, 'PTHR47114:SF2', NULL, NULL, NULL, NULL, 'OLIGODENDROCYTE-MYELIN GLYCOPROTEIN', NULL, NULL, NULL, 15),
(89663, NULL, 'PTHR47928:SF148', NULL, NULL, NULL, NULL, 'OS11G0673000 PROTEIN', NULL, NULL, NULL, 15),
(89664, NULL, 'PTHR47121', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL PROTEIN TL20.3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(89665, NULL, 'PTHR24343:SF463', NULL, NULL, NULL, NULL, 'SUCROSE NON-FERMENTING-LIKE KINASE 2 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(89666, NULL, 'PTHR43098', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89667, NULL, 'PTHR31388:SF52', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(89668, NULL, 'PTHR22883:SF346', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 12-RELATED', NULL, NULL, NULL, 15),
(89669, NULL, 'PTHR11654:SF99', NULL, NULL, NULL, NULL, 'DIPEPTIDE AND TRIPEPTIDE PERMEASE A', NULL, NULL, NULL, 15),
(89670, NULL, 'PTHR46909:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L36, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(89671, NULL, 'PTHR11081:SF8', NULL, NULL, NULL, NULL, 'EXONUCLEASE 1', NULL, NULL, 22111, 15),
(89672, NULL, 'PTHR48059:SF4', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITOR 1', NULL, NULL, NULL, 15),
(89673, NULL, 'PTHR24404:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 382', NULL, NULL, NULL, 15),
(89674, NULL, 'PTHR37326:SF1', NULL, NULL, NULL, NULL, 'BLL3975 PROTEIN', NULL, NULL, NULL, 15),
(89675, NULL, 'PTHR24248:SF164', NULL, NULL, NULL, NULL, 'ZGC:162592', NULL, NULL, NULL, 15),
(89676, NULL, 'PTHR34660:SF16', NULL, NULL, NULL, NULL, 'BNAA01G32390D PROTEIN', NULL, NULL, NULL, 15),
(89677, NULL, 'PTHR46632:SF18', NULL, NULL, NULL, NULL, 'OS01G0122200 PROTEIN', NULL, NULL, NULL, 15),
(89678, NULL, 'PTHR46562:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE ULK4-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89679, NULL, 'PTHR12289:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89680, NULL, 'PTHR18966:SF412', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3.6', NULL, NULL, NULL, 15),
(89681, NULL, 'PTHR35348', NULL, NULL, NULL, NULL, 'TESTIS, PROSTATE AND PLACENTA-EXPRESSED PROTEIN', NULL, NULL, 31882, 15),
(89682, NULL, 'PTHR23111:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89683, NULL, 'PTHR37389:SF20', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN', NULL, NULL, NULL, 15),
(89684, NULL, 'PTHR14379:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89685, NULL, 'PTHR12283:SF5', NULL, NULL, NULL, NULL, 'GLUTAMINYL-PEPTIDE CYCLOTRANSFERASE', NULL, NULL, NULL, 15),
(89686, NULL, 'PTHR37213', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE', NULL, NULL, NULL, 15),
(89687, NULL, 'PTHR19339:SF0', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 41', NULL, NULL, NULL, 15),
(89688, NULL, 'PTHR31589:SF103', NULL, NULL, NULL, NULL, 'OS06G0144400 PROTEIN', NULL, NULL, NULL, 15),
(89689, NULL, 'PTHR23085:SF16', NULL, NULL, NULL, NULL, 'GH28348P', NULL, NULL, NULL, 15),
(89690, NULL, 'PTHR46305:SF3', NULL, NULL, NULL, NULL, 'MODULATOR OF DRUG ACTIVITY B', NULL, NULL, NULL, 15),
(89691, NULL, 'PTHR31948:SF126', NULL, NULL, NULL, NULL, 'ZF-HD HOMEOBOX PROTEIN, CYS/HIS-RICH DIMERIZATION DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89692, NULL, 'PTHR34194:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89693, NULL, 'PTHR31509:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89694, NULL, 'PTHR44042:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1R1', NULL, NULL, NULL, 15),
(89695, NULL, 'PTHR45658:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89696, NULL, 'PTHR37003:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89697, NULL, 'PTHR43311', NULL, NULL, NULL, NULL, 'GLUTAMATE--TRNA LIGASE', NULL, NULL, NULL, 15),
(89698, NULL, 'PTHR46491:SF3', NULL, NULL, NULL, NULL, 'CDGSH IRON-SULFUR DOMAIN-CONTAINING PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(89699, NULL, 'PTHR16518:SF6', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 162-RELATED', NULL, NULL, 15022, 15),
(89700, NULL, 'PTHR22767', NULL, NULL, NULL, NULL, 'N-TERMINAL ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(89701, NULL, 'PTHR16146:SF42', NULL, NULL, NULL, NULL, 'INTELECTIN-1A-RELATED', NULL, NULL, NULL, 15),
(89702, NULL, 'PTHR10745:SF0', NULL, NULL, NULL, NULL, 'GLYCINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(89703, NULL, 'PTHR23267:SF437', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 2-8', NULL, NULL, NULL, 15),
(89704, NULL, 'PTHR47680', NULL, NULL, NULL, NULL, 'SHEWANELLA-LIKE PROTEIN PHOSPHATASE 2', NULL, NULL, NULL, 15),
(89705, NULL, 'PTHR22952:SF428', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89706, NULL, 'PTHR24201:SF4', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 2A', NULL, NULL, NULL, 15),
(89707, NULL, 'PTHR31189:SF60', NULL, NULL, NULL, NULL, 'BNAA08G15380D PROTEIN', NULL, NULL, NULL, 15),
(89708, NULL, 'PTHR11594:SF12', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', NULL, NULL, NULL, 15),
(89709, NULL, 'PTHR27005:SF204', NULL, NULL, NULL, NULL, 'CALCIUM BINDING EGF DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(89710, NULL, 'PTHR43134:SF1', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(89711, NULL, 'PTHR43874:SF148', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR AND TRANSCRIPTION FACTOR RR-A-TYPE FAMILY-RELATED', NULL, NULL, NULL, 15),
(89712, NULL, 'PTHR13359', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L40, MITOCHONDRIAL', NULL, NULL, 31818, 15),
(89713, NULL, 'PTHR35105:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89714, NULL, 'PTHR12233:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 26A', NULL, NULL, NULL, 15),
(89715, NULL, 'PTHR24072:SF286', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN 7', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89716, NULL, 'PTHR23250:SF1', NULL, NULL, NULL, NULL, 'TECTONIN BETA-PROPELLER REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(89717, NULL, 'PTHR45851:SF2', NULL, NULL, NULL, NULL, 'N-MYC PROTO-ONCOGENE PROTEIN', NULL, NULL, NULL, 15),
(89718, NULL, 'PTHR31683:SF134', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(89719, NULL, 'PTHR24299:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 1B1', NULL, NULL, 24890, 15),
(89720, NULL, 'PTHR12663:SF0', NULL, NULL, NULL, NULL, 'PRECOCIOUS DISSOCIATION OF SISTERS 5, ISOFORM A', NULL, NULL, NULL, 15),
(89721, NULL, 'PTHR43795:SF56', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-RELATED PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(89722, NULL, 'PTHR31852:SF209', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE 25', NULL, NULL, NULL, 15),
(89723, NULL, 'PTHR11505:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89724, NULL, 'PTHR31482:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89725, NULL, 'PTHR46408:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89726, NULL, 'PTHR47592:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89727, NULL, 'PTHR22967:SF91', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0280111-RELATED', NULL, NULL, NULL, 15),
(89728, NULL, 'PTHR31881:SF6', NULL, NULL, NULL, NULL, 'OS09G0494600 PROTEIN', NULL, NULL, NULL, 15),
(89729, NULL, 'PTHR32153:SF14', NULL, NULL, NULL, NULL, 'OS02G0536300 PROTEIN', NULL, NULL, NULL, 15),
(89730, NULL, 'PTHR11550:SF34', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', NULL, NULL, NULL, 15),
(89731, NULL, 'PTHR15715:SF21', NULL, NULL, NULL, NULL, 'TRAF3-INTERACTING JNK-ACTIVATING MODULATOR', NULL, NULL, NULL, 15),
(89732, NULL, 'PTHR13693:SF60', NULL, NULL, NULL, NULL, '2-AMINO-3-KETOBUTYRATE COENZYME A LIGASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(89733, NULL, 'PTHR14308:SF0', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(89734, NULL, 'PTHR47983:SF8', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE, FES/FPS TYPE-RELATED', NULL, NULL, NULL, 15),
(89735, NULL, 'PTHR22835:SF275', NULL, NULL, NULL, NULL, 'OS01G0329900 PROTEIN', NULL, NULL, NULL, 15),
(89736, NULL, 'PTHR11227:SF44', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN PHOSPHOINOSITIDE-INTERACTING PROTEIN 4', NULL, NULL, 25800, 15),
(89737, NULL, 'PTHR48085:SF4', NULL, NULL, NULL, NULL, 'CADMIUM/ZINC-TRANSPORTING ATPASE HMA4-RELATED', NULL, NULL, NULL, 15),
(89738, NULL, 'PTHR11662:SF430', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER 4', NULL, NULL, NULL, 15),
(89739, NULL, 'PTHR24034:SF114', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH WITH EGF-LIKE DOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(89740, NULL, 'PTHR24185:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89741, NULL, 'PTHR33779:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89742, NULL, 'PTHR11988', NULL, NULL, NULL, NULL, 'THYROTROPH EMBRYONIC FACTOR RELATED', NULL, NULL, 34283, 15),
(89743, NULL, 'PTHR30408:SF12', NULL, NULL, NULL, NULL, 'TYPE-1 RESTRICTION ENZYME HINDVIIP SPECIFICITY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89744, NULL, 'PTHR31250:SF51', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM2-LIKE', NULL, NULL, NULL, 15),
(89745, NULL, 'PTHR31614:SF2', NULL, NULL, NULL, NULL, 'F28N24.16 PROTEIN', NULL, NULL, NULL, 15),
(89746, NULL, 'PTHR45946:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C1A', NULL, NULL, NULL, 15),
(89747, NULL, 'PTHR46770', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ORTHOPEDIA', NULL, NULL, NULL, 15),
(89748, NULL, 'PTHR33801:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89749, NULL, 'PTHR37170', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-RELATED', NULL, NULL, NULL, 15),
(89750, NULL, 'PTHR35496:SF9', NULL, NULL, NULL, NULL, 'BNAA01G17200D PROTEIN', NULL, NULL, NULL, 15),
(89751, NULL, 'PTHR31210:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89752, NULL, 'PTHR48078:SF2', NULL, NULL, NULL, NULL, 'CATABOLIC L-SERINE/THREONINE DEHYDRATASE', NULL, NULL, NULL, 15),
(89753, NULL, 'PTHR33994:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89754, NULL, 'PTHR10791:SF122', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET13-RELATED', NULL, NULL, NULL, 15),
(89755, NULL, 'PTHR11453:SF47', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN', NULL, NULL, NULL, 15),
(89756, NULL, 'PTHR46735:SF1', NULL, NULL, NULL, NULL, 'CALPAIN SMALL SUBUNIT 1', NULL, NULL, 26040, 15),
(89757, NULL, 'PTHR31072:SF107', NULL, NULL, NULL, NULL, 'OS01G0763200 PROTEIN', NULL, NULL, NULL, 15),
(89758, NULL, 'PTHR24349:SF320', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(89759, NULL, 'PTHR47980:SF16', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-40B', NULL, NULL, NULL, 15),
(89760, NULL, 'PTHR10454:SF151', NULL, NULL, NULL, NULL, 'CASPASE-2', NULL, NULL, 35520, 15),
(89761, NULL, 'PTHR11102:SF147', NULL, NULL, NULL, NULL, 'SEL1L ADAPTOR SUBUNIT OF ERAD E3 UBIQUITIN LIGASE', NULL, NULL, NULL, 15),
(89762, NULL, 'PTHR19818:SF143', NULL, NULL, NULL, NULL, 'LD47926P-RELATED', NULL, NULL, NULL, 15),
(89763, NULL, 'PTHR42115', NULL, NULL, NULL, NULL, 'BETA-SYNTHASE (BETA-THIONASE), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G08420)-RELATED', NULL, NULL, NULL, 15),
(89764, NULL, 'PTHR23124:SF135', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(89765, NULL, 'PTHR33648:SF30', NULL, NULL, NULL, NULL, 'BNAA09G05880D PROTEIN', NULL, NULL, NULL, 15),
(89766, NULL, 'PTHR31118:SF10', NULL, NULL, NULL, NULL, 'CYCLASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(89767, NULL, 'PTHR35304', NULL, NULL, NULL, NULL, 'OS05G0120300 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89768, NULL, 'PTHR47975:SF18', NULL, NULL, NULL, NULL, 'OS10G0410750 PROTEIN', NULL, NULL, NULL, 15),
(89769, NULL, 'PTHR10209:SF729', NULL, NULL, NULL, NULL, 'BNAA05G26300D PROTEIN', NULL, NULL, NULL, 15),
(89770, NULL, 'PTHR24040:SF7', NULL, NULL, NULL, NULL, 'FIBRILLIN 3', NULL, NULL, NULL, 15),
(89771, NULL, 'PTHR11945:SF595', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89772, NULL, 'PTHR12788:SF6', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE SULFOTRANSFERASE 2', NULL, NULL, NULL, 15),
(89773, NULL, 'PTHR32204', NULL, NULL, NULL, NULL, 'ATPASE RAVA', NULL, NULL, NULL, 15),
(89774, NULL, 'PTHR24418:SF372', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE SHARK', NULL, NULL, NULL, 15),
(89775, NULL, 'PTHR23244:SF436', NULL, NULL, NULL, NULL, 'CONSERVED KELCH REPEAT PROTEIN TEAB (EUROFUNG)', NULL, NULL, NULL, 15),
(89776, NULL, 'PTHR11783:SF265', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(89777, NULL, 'PTHR21654:SF73', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-2', NULL, NULL, NULL, 15),
(89778, NULL, 'PTHR34683:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89779, NULL, 'PTHR30540:SF81', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(89780, NULL, 'PTHR24247:SF222', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE (SEROTONIN) RECEPTOR 2B, ISOFORM E', NULL, NULL, NULL, 15),
(89781, NULL, 'PTHR23115:SF36', NULL, NULL, NULL, NULL, 'G1 TO S PHASE TRANSITION 1', NULL, NULL, NULL, 15),
(89782, NULL, 'PTHR21529', NULL, NULL, NULL, NULL, 'MAMMARY TURMOR VIRUS RECEPTOR HOMOLOG 1, 2  MTVR1, 2', NULL, NULL, 34419, 15),
(89783, NULL, 'PTHR19375:SF422', NULL, NULL, NULL, NULL, 'DNAK PROTEIN', NULL, NULL, NULL, 15),
(89784, NULL, 'PTHR10366:SF698', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1-LIKE', NULL, NULL, NULL, 15),
(89785, NULL, 'PTHR23147:SF174', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(89786, NULL, 'PTHR47364:SF9', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 5-LIKE', NULL, NULL, NULL, 15),
(89787, NULL, 'PTHR31876:SF7', NULL, NULL, NULL, NULL, 'OS02G0269000 PROTEIN', NULL, NULL, NULL, 15),
(89788, NULL, 'PTHR30290:SF65', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SOLUTE-BINDING PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89789, NULL, 'PTHR43297:SF11', NULL, NULL, NULL, NULL, 'ATPASE COMPONENT OF ABC-TYPE TRANSPORT SYSTEM-RELATED', NULL, NULL, NULL, 15),
(89790, NULL, 'PTHR12767:SF9', NULL, NULL, NULL, NULL, 'BCL7-LIKE', NULL, NULL, NULL, 15),
(89791, NULL, 'PTHR30289', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YBCL-RELATED', NULL, NULL, 11104, 15),
(89792, NULL, 'PTHR10177:SF423', NULL, NULL, NULL, NULL, 'CYCLIN-D1-1', NULL, NULL, NULL, 15),
(89793, NULL, 'PTHR11239:SF14', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA12', NULL, NULL, NULL, 15),
(89794, NULL, 'PTHR31573', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB HOMOLOG 2', NULL, NULL, 23909, 15),
(89795, NULL, 'PTHR32295:SF184', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', NULL, NULL, NULL, 15),
(89796, NULL, 'PTHR46003:SF1', NULL, NULL, NULL, NULL, 'HOST CELL FACTOR', NULL, NULL, NULL, 15),
(89797, NULL, 'PTHR12864:SF47', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 1', NULL, NULL, NULL, 15),
(89798, NULL, 'PTHR34459', NULL, NULL, NULL, NULL, 'OS01G0264500 PROTEIN', NULL, NULL, NULL, 15),
(89799, NULL, 'PTHR31190:SF308', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89800, NULL, 'PTHR31384:SF130', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(89801, NULL, 'PTHR45626:SF26', NULL, NULL, NULL, NULL, 'FAMILY HELICASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G09120)-RELATED', NULL, NULL, NULL, 15),
(89802, NULL, 'PTHR33102:SF51', NULL, NULL, NULL, NULL, 'ROTUNDIFOLIA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(89803, NULL, 'PTHR31263:SF19', NULL, NULL, NULL, NULL, 'OSJNBB0011N17.5 PROTEIN', NULL, NULL, NULL, 15),
(89804, NULL, 'PTHR33159:SF5', NULL, NULL, NULL, NULL, 'OS02G0189400 PROTEIN', NULL, NULL, NULL, 15),
(89805, NULL, 'PTHR47480:SF2', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(89806, NULL, 'PTHR17630:SF56', NULL, NULL, NULL, NULL, 'ENDO-1,3,1,4-BETA-D-GLUCANASE', NULL, NULL, NULL, 15),
(89807, NULL, 'PTHR31192:SF3', NULL, NULL, NULL, NULL, 'SPERM-SPECIFIC FAMILY, CLASS Q', NULL, NULL, NULL, 15),
(89808, NULL, 'PTHR16095:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89809, NULL, 'PTHR33347:SF35', NULL, NULL, NULL, NULL, 'BNAA02G14060D PROTEIN', NULL, NULL, NULL, 15),
(89810, NULL, 'PTHR24347:SF393', NULL, NULL, NULL, NULL, 'MYOSIN, LIGHT CHAIN KINASE 5', NULL, NULL, NULL, 15),
(89811, NULL, 'PTHR15664:SF6', NULL, NULL, NULL, NULL, 'OS02G0176400 PROTEIN', NULL, NULL, NULL, 15),
(89812, NULL, 'PTHR23315:SF253', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(89813, NULL, 'PTHR32488:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89814, NULL, 'PTHR47944:SF7', NULL, NULL, NULL, NULL, 'OS09G0263933 PROTEIN', NULL, NULL, NULL, 15),
(89815, NULL, 'PTHR12365:SF7', NULL, NULL, NULL, NULL, 'PROTEIN SPROUTY', NULL, NULL, NULL, 15),
(89816, NULL, 'PTHR35740:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89817, NULL, 'PTHR11771:SF140', NULL, NULL, NULL, NULL, 'ARACHIDONATE 15-LIPOXYGENASE, TYPE B', NULL, NULL, NULL, 15),
(89818, NULL, 'PTHR11709:SF378', NULL, NULL, NULL, NULL, 'BNAA01G29830D PROTEIN', NULL, NULL, NULL, 15),
(89819, NULL, 'PTHR10209:SF670', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89820, NULL, 'PTHR48063:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89821, NULL, 'PTHR33156:SF42', NULL, NULL, NULL, NULL, 'CASPASE-6 PROTEIN', NULL, NULL, NULL, 15),
(89822, NULL, 'PTHR12469:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE ASSEMBLY FACTOR 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(89823, NULL, 'PTHR31548:SF1', NULL, NULL, NULL, NULL, 'LD47387P', NULL, NULL, NULL, 15),
(89824, NULL, 'PTHR35727:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89825, NULL, 'PTHR31268:SF27', NULL, NULL, NULL, NULL, 'OS07G0209100 PROTEIN', NULL, NULL, NULL, 15),
(89826, NULL, 'PTHR42898:SF32', NULL, NULL, NULL, NULL, 'BNAA04G17080D PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89827, NULL, 'PTHR48005:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89828, NULL, 'PTHR32145', NULL, NULL, NULL, NULL, 'DIFLAVIN FLAVOPROTEIN A 2-RELATED', NULL, NULL, NULL, 15),
(89829, NULL, 'PTHR34681:SF1', NULL, NULL, NULL, NULL, 'OS07G0671100 PROTEIN', NULL, NULL, NULL, 15),
(89830, NULL, 'PTHR46125:SF24', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 18', NULL, NULL, NULL, 15),
(89831, NULL, 'PTHR10775:SF155', NULL, NULL, NULL, NULL, 'ULP1 PROTEASE FAMILY, CARBOXY-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(89832, NULL, 'PTHR33922:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(89833, NULL, 'PTHR32246:SF132', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(89834, NULL, 'PTHR11214:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89835, NULL, 'PTHR45973:SF20', NULL, NULL, NULL, NULL, 'AGAP002013-PA', NULL, NULL, NULL, 15),
(89836, NULL, 'PTHR13439:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89837, NULL, 'PTHR22945:SF25', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(89838, NULL, 'PTHR22951:SF13', NULL, NULL, NULL, NULL, 'ASSEMBLY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(89839, NULL, 'PTHR47984:SF14', NULL, NULL, NULL, NULL, 'OS01G0323000 PROTEIN', NULL, NULL, NULL, 15),
(89840, NULL, 'PTHR24326:SF538', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT7', NULL, NULL, NULL, 15),
(89841, NULL, 'PTHR33638:SF3', NULL, NULL, NULL, NULL, 'OS05G0250500 PROTEIN', NULL, NULL, NULL, 15),
(89842, NULL, 'PTHR23236:SF55', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4BB', NULL, NULL, NULL, 15),
(89843, NULL, 'PTHR47966:SF22', NULL, NULL, NULL, NULL, 'PEPSIN A-3-RELATED', NULL, NULL, NULL, 15),
(89844, NULL, 'PTHR12174:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89845, NULL, 'PTHR33915:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89846, NULL, 'PTHR31945:SF72', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(89847, NULL, 'PTHR11161:SF8', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(89848, NULL, 'PTHR11040:SF159', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORT PROTEIN 1', NULL, NULL, NULL, 15),
(89849, NULL, 'PTHR35813:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YBAN', NULL, NULL, NULL, 15),
(89850, NULL, 'PTHR11255:SF81', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 7-LIKE', NULL, NULL, NULL, 15),
(89851, NULL, 'PTHR27009:SF171', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(89852, NULL, 'PTHR46051:SF5', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 1B', NULL, NULL, NULL, 15),
(89853, NULL, 'PTHR34480:SF11', NULL, NULL, NULL, NULL, 'OS05G0173500 PROTEIN', NULL, NULL, NULL, 15),
(89854, NULL, 'PTHR31235:SF322', NULL, NULL, NULL, NULL, 'PEROXIDASE 62', NULL, NULL, NULL, 15),
(89855, NULL, 'PTHR46904', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN T', NULL, NULL, 29444, 15),
(89856, NULL, 'PTHR47179:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIS3', NULL, NULL, NULL, 15),
(89857, NULL, 'PTHR24361:SF342', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 2', NULL, NULL, NULL, 15),
(89858, NULL, 'PTHR32278:SF12', NULL, NULL, NULL, NULL, 'OS08G0150700 PROTEIN', NULL, NULL, NULL, 15),
(89859, NULL, 'PTHR18929:SF233', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', NULL, NULL, NULL, 15),
(89860, NULL, 'PTHR44042:SF49', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89861, NULL, 'PTHR16675:SF263', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89862, NULL, 'PTHR42339:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89863, NULL, 'PTHR33326:SF31', NULL, NULL, NULL, NULL, 'OS05G0477500 PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89864, NULL, 'PTHR36063:SF3', NULL, NULL, NULL, NULL, 'BNAA06G36170D PROTEIN', NULL, NULL, NULL, 15),
(89865, NULL, 'PTHR20878', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT CONTAINING PROTEIN 25', NULL, NULL, 35482, 15),
(89866, NULL, 'PTHR11709:SF393', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(89867, NULL, 'PTHR48024:SF28', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 38', NULL, NULL, NULL, 15),
(89868, NULL, 'PTHR10166:SF6', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL SUBUNIT ALPHA-2/DELTA-1', NULL, NULL, NULL, 15),
(89869, NULL, 'PTHR18884:SF117', NULL, NULL, NULL, NULL, 'SEPTIN 7A-RELATED', NULL, NULL, NULL, 15),
(89870, NULL, 'PTHR24095:SF146', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', NULL, NULL, NULL, 15),
(89871, NULL, 'PTHR33110:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89872, NULL, 'PTHR10093:SF8', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY ENZYME ISCU, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(89873, NULL, 'PTHR33177:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(89874, NULL, 'PTHR23500:SF506', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 6-RELATED', NULL, NULL, NULL, 15),
(89875, NULL, 'PTHR33415:SF12', NULL, NULL, NULL, NULL, 'PROTEIN EMBRYO DEFECTIVE 514', NULL, NULL, NULL, 15),
(89876, NULL, 'PTHR11240:SF22', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2', NULL, NULL, NULL, 15),
(89877, NULL, 'PTHR46227:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR-INTERACTING PROTEIN 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(89878, NULL, 'PTHR35487:SF1', NULL, NULL, NULL, NULL, 'F3E22.11 PROTEIN', NULL, NULL, NULL, 15),
(89879, NULL, 'PTHR45748:SF1', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE/ ZINC ION BINDING FAMILY-RELATED', NULL, NULL, NULL, 15),
(89880, NULL, 'PTHR10309:SF6', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(89881, NULL, 'PTHR38050:SF2', NULL, NULL, NULL, NULL, 'ACID ESTERASE (FAEA), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89882, NULL, 'PTHR13017:SF0', NULL, NULL, NULL, NULL, 'METHENYLTETRAHYDROFOLATE SYNTHASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(89883, NULL, 'PTHR31832:SF53', NULL, NULL, NULL, NULL, 'BNAC02G23750D PROTEIN', NULL, NULL, NULL, 15),
(89884, NULL, 'PTHR13301:SF219', NULL, NULL, NULL, NULL, 'BNAC09G40960D PROTEIN', NULL, NULL, NULL, 15),
(89885, NULL, 'PTHR24296:SF204', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 94, SUBFAMILY B, POLYPEPTIDE 2', NULL, NULL, NULL, 15),
(89886, NULL, 'PTHR12126:SF8', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(89887, NULL, 'PTHR31780', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN NST1-RELATED', NULL, NULL, NULL, 15),
(89888, NULL, 'PTHR33078:SF69', NULL, NULL, NULL, NULL, 'BNAA06G19310D PROTEIN', NULL, NULL, NULL, 15),
(89889, NULL, 'PTHR32227:SF267', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(89890, NULL, 'PTHR44329:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89891, NULL, 'PTHR24296:SF195', NULL, NULL, NULL, NULL, 'BNAA06G31970D PROTEIN', NULL, NULL, NULL, 15),
(89892, NULL, 'PTHR31728:SF5', NULL, NULL, NULL, NULL, 'OS07G0540200 PROTEIN', NULL, NULL, NULL, 15),
(89893, NULL, 'PTHR22846:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89894, NULL, 'PTHR13844:SF45', NULL, NULL, NULL, NULL, 'OS09G0133000 PROTEIN', NULL, NULL, NULL, 15),
(89895, NULL, 'PTHR32285:SF275', NULL, NULL, NULL, NULL, 'TRICHOME BIREFRINGENCE-LIKE 7', NULL, NULL, NULL, 15),
(89896, NULL, 'PTHR31003:SF26', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(89897, NULL, 'PTHR34132', NULL, NULL, NULL, NULL, 'EMB|CAB87627.1-RELATED', NULL, NULL, NULL, 15),
(89898, NULL, 'PTHR13218:SF18', NULL, NULL, NULL, NULL, 'HCG1809904-RELATED', NULL, NULL, NULL, 15),
(89899, NULL, 'PTHR10953:SF223', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 1-LIKE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89900, NULL, 'PTHR43467:SF1', NULL, NULL, NULL, NULL, 'PRECORRIN-6A SYNTHASE [DEACETYLATING]', NULL, NULL, NULL, 15),
(89901, NULL, 'PTHR37248', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR', NULL, NULL, NULL, 15),
(89902, NULL, 'PTHR11592:SF119', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 3, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(89903, NULL, 'PTHR11216:SF138', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(89904, NULL, 'PTHR31579:SF49', NULL, NULL, NULL, NULL, 'DUF506 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(89905, NULL, 'PTHR45665:SF45', NULL, NULL, NULL, NULL, 'BNAA02G28130D PROTEIN', NULL, NULL, NULL, 15),
(89906, NULL, 'PTHR46195:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89907, NULL, 'PTHR31105:SF3', NULL, NULL, NULL, NULL, 'EXTRA-LARGE G-PROTEIN-LIKE', NULL, NULL, NULL, 15),
(89908, NULL, 'PTHR12010:SF17', NULL, NULL, NULL, NULL, 'BNAA03G50690D PROTEIN', NULL, NULL, NULL, 15),
(89909, NULL, 'PTHR11932:SF153', NULL, NULL, NULL, NULL, 'CULLIN-4A', NULL, NULL, NULL, 15),
(89910, NULL, 'PTHR47926:SF165', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(89911, NULL, 'PTHR31238:SF198', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(89912, NULL, 'PTHR10740:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89913, NULL, 'PTHR43670:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89914, NULL, 'PTHR10655:SF17', NULL, NULL, NULL, NULL, 'ACYL PROTEIN THIOESTERASE FAMILY', NULL, NULL, NULL, 15),
(89915, NULL, 'PTHR14950:SF49', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3-LIKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(89916, NULL, 'PTHR11618:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89917, NULL, 'PTHR32444:SF43', NULL, NULL, NULL, NULL, 'OS04G0226600 PROTEIN', NULL, NULL, NULL, 15),
(89918, NULL, 'PTHR15721', NULL, NULL, NULL, NULL, 'KIAA0586 PROTEIN', NULL, NULL, 24093, 15),
(89919, NULL, 'PTHR33622:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89920, NULL, 'PTHR30543:SF22', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89921, NULL, 'PTHR24027:SF106', NULL, NULL, NULL, NULL, 'CADHERIN-18', NULL, NULL, NULL, 15),
(89922, NULL, 'PTHR13693:SF82', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89923, NULL, 'PTHR31045:SF33', NULL, NULL, NULL, NULL, 'TERPENOID SYNTHASE 16-RELATED', NULL, NULL, NULL, 15),
(89924, NULL, 'PTHR11035:SF24', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE', NULL, NULL, NULL, 15),
(89925, NULL, 'PTHR45666:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89926, NULL, 'PTHR15375:SF22', NULL, NULL, NULL, NULL, 'PROTEIN DBF4 HOMOLOG A', NULL, NULL, NULL, 15),
(89927, NULL, 'PTHR31843', NULL, NULL, NULL, NULL, 'ALLENE OXIDE CYCLASE 4, CHLOROPLASTIC', NULL, NULL, 8462, 15),
(89928, NULL, 'PTHR35717:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89929, NULL, 'PTHR31033:SF20', NULL, NULL, NULL, NULL, 'BNAA01G14380D PROTEIN', NULL, NULL, NULL, 15),
(89930, NULL, 'PTHR19143:SF256', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-RELATED PROTEIN 4', NULL, NULL, 28564, 15),
(89931, NULL, 'PTHR33595:SF11', NULL, NULL, NULL, NULL, 'EMB|CAB62340.1', NULL, NULL, NULL, 15),
(89932, NULL, 'PTHR15897:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND MYND DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(89933, NULL, 'PTHR45631:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89934, NULL, 'PTHR11991', NULL, NULL, NULL, NULL, 'TRANSLATIONALLY CONTROLLED TUMOR PROTEIN-RELATED', NULL, NULL, 13597, 15),
(89935, NULL, 'PTHR12555', NULL, NULL, NULL, NULL, 'UBIQUITIN FUSION DEGRADATON PROTEIN 1', NULL, NULL, 7418, 15),
(89936, NULL, 'PTHR40130', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(89937, NULL, 'PTHR42961:SF2', NULL, NULL, NULL, NULL, 'IRON-SULFUR PROTEIN NUBPL', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89938, NULL, 'PTHR43327:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89939, NULL, 'PTHR31852:SF212', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(89940, NULL, 'PTHR36027', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC PROTEIN ASY3', NULL, NULL, 36045, 15),
(89941, NULL, 'PTHR14715:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89942, NULL, 'PTHR10869:SF188', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE SUBUNIT ALPHA-3', NULL, NULL, NULL, 15),
(89943, NULL, 'PTHR23054:SF62', NULL, NULL, NULL, NULL, 'BNAC08G05180D PROTEIN', NULL, NULL, NULL, 15),
(89944, NULL, 'PTHR34988', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89945, NULL, 'PTHR13382:SF17', NULL, NULL, NULL, NULL, 'BNAA02G27750D PROTEIN', NULL, NULL, NULL, 15),
(89946, NULL, 'PTHR28677:SF5', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 4A-LIKE', NULL, NULL, NULL, 15),
(89947, NULL, 'PTHR45694:SF22', NULL, NULL, NULL, NULL, 'BNAA08G30760D PROTEIN', NULL, NULL, NULL, 15),
(89948, NULL, 'PTHR11709:SF345', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(89949, NULL, 'PTHR24346:SF49', NULL, NULL, NULL, NULL, 'NIM1 SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(89950, NULL, 'PTHR33643', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN D', NULL, NULL, 2621, 15),
(89951, NULL, 'PTHR13140:SF812', NULL, NULL, NULL, NULL, 'BNAA05G15910D PROTEIN', NULL, NULL, NULL, 15),
(89952, NULL, 'PTHR42683:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89953, NULL, 'PTHR42751:SF5', NULL, NULL, NULL, NULL, 'POTASSIUM-EFFLUX SYSTEM PROTEIN KEFB, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89954, NULL, 'PTHR47993:SF69', NULL, NULL, NULL, NULL, 'BNAC05G32270D PROTEIN', NULL, NULL, NULL, 15),
(89955, NULL, 'PTHR46654:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECTD3', NULL, NULL, NULL, 15),
(89956, NULL, 'PTHR15057:SF0', NULL, NULL, NULL, NULL, 'STATHERIN', NULL, NULL, NULL, 15),
(89957, NULL, 'PTHR36488:SF1', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1U2', NULL, NULL, NULL, 15),
(89958, NULL, 'PTHR45648:SF104', NULL, NULL, NULL, NULL, 'OS02G0291600 PROTEIN', NULL, NULL, NULL, 15),
(89959, NULL, 'PTHR10543:SF58', NULL, NULL, NULL, NULL, 'CAROTENOID CLEAVAGE DIOXYGENASE 4, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(89960, NULL, 'PTHR32246:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89961, NULL, 'PTHR27001:SF879', NULL, NULL, NULL, NULL, 'OS03G0839900 PROTEIN', NULL, NULL, NULL, 15),
(89962, NULL, 'PTHR12411:SF752', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG39-LIKE', NULL, NULL, NULL, 15),
(89963, NULL, 'PTHR34222:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89964, NULL, 'PTHR24061:SF525', NULL, NULL, NULL, NULL, 'MCG118760-RELATED', NULL, NULL, NULL, 15),
(89965, NULL, 'PTHR21456:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM102B', NULL, NULL, NULL, 15),
(89966, NULL, 'PTHR45676:SF41', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL66', NULL, NULL, NULL, 15),
(89967, NULL, 'PTHR24384:SF134', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 100', NULL, NULL, NULL, 15),
(89968, NULL, 'PTHR46188', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(89969, NULL, 'PTHR13906:SF18', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(89970, NULL, 'PTHR10766:SF143', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 4', NULL, NULL, NULL, 15),
(89971, NULL, 'PTHR44750:SF6', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE T1-LIKE', NULL, NULL, NULL, 15),
(89972, NULL, 'PTHR31137:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89973, NULL, 'PTHR24056:SF378', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 11', NULL, NULL, NULL, 15),
(89974, NULL, 'PTHR48026:SF14', NULL, NULL, NULL, NULL, 'HOMOLOGOUS TO DROSOPHILA SQD (SQUID) PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(89975, NULL, 'PTHR38040', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS ACCESSORY FACTOR UBIK', NULL, NULL, 2250, 15),
(89976, NULL, 'PTHR31874:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 6', NULL, NULL, NULL, 15),
(89977, NULL, 'PTHR43413:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NIRG', NULL, NULL, NULL, 15),
(89978, NULL, 'PTHR16458:SF2', NULL, NULL, NULL, NULL, 'GLYCINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(89979, NULL, 'PTHR24416:SF279', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR TYRO3', NULL, NULL, NULL, 15),
(89980, NULL, 'PTHR38600:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(89981, NULL, 'PTHR11304:SF33', NULL, NULL, NULL, NULL, 'EPHRIN-A5', NULL, NULL, NULL, 15),
(89982, NULL, 'PTHR33122:SF40', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(89983, NULL, 'PTHR10587:SF131', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89984, NULL, 'PTHR13773:SF22', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(89985, NULL, 'PTHR11829:SF204', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN L1', NULL, NULL, NULL, 15),
(89986, NULL, 'PTHR31304:SF36', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(89987, NULL, 'PTHR27002:SF815', NULL, NULL, NULL, NULL, 'OS04G0634400 PROTEIN', NULL, NULL, NULL, 15),
(89988, NULL, 'PTHR44846:SF11', NULL, NULL, NULL, NULL, 'GNTR FAMILY REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(89989, NULL, 'PTHR32448:SF64', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 2', NULL, NULL, NULL, 15),
(89990, NULL, 'PTHR11165:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89991, NULL, 'PTHR31044:SF46', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE 29', NULL, NULL, NULL, 15),
(89992, NULL, 'PTHR33743:SF13', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(89993, NULL, 'PTHR45631:SF27', NULL, NULL, NULL, NULL, 'OS05G0525400 PROTEIN', NULL, NULL, NULL, 15),
(89994, NULL, 'PTHR36891', NULL, NULL, NULL, NULL, 'OS01G0127400 PROTEIN', NULL, NULL, 19872, 15),
(89995, NULL, 'PTHR34375:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(89996, NULL, 'PTHR11461:SF56', NULL, NULL, NULL, NULL, 'SERPIN B7', NULL, NULL, NULL, 15),
(89997, NULL, 'PTHR32303:SF2', NULL, NULL, NULL, NULL, 'QUINOPROTEIN ALCOHOL DEHYDROGENASE (CYTOCHROME C)', NULL, NULL, NULL, 15),
(89998, NULL, 'PTHR31446:SF29', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE/VANADIUM-DEPENDENT HALOPEROXIDASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(89999, NULL, 'PTHR39535:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90000, NULL, 'PTHR12378:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90001, NULL, 'PTHR11559:SF226', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(90002, NULL, 'PTHR38498:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 191B-RELATED', NULL, NULL, NULL, 15),
(90003, NULL, 'PTHR48047:SF68', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(90004, NULL, 'PTHR11740:SF24', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', NULL, NULL, NULL, 15),
(90005, NULL, 'PTHR22255', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(90006, NULL, 'PTHR36060', NULL, NULL, NULL, NULL, 'OS02G0272400 PROTEIN', NULL, NULL, NULL, 15),
(90007, NULL, 'PTHR31896:SF49', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90008, NULL, 'PTHR27005:SF352', NULL, NULL, NULL, NULL, 'OS08G0501000 PROTEIN', NULL, NULL, NULL, 15),
(90009, NULL, 'PTHR35465:SF1', NULL, NULL, NULL, NULL, 'CAVEOLIN-1 PROTEIN', NULL, NULL, NULL, 15),
(90010, NULL, 'PTHR47925:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90011, NULL, 'PTHR11036:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90012, NULL, 'PTHR23529:SF2', NULL, NULL, NULL, NULL, 'GH19118P-RELATED', NULL, NULL, NULL, 15),
(90013, NULL, 'PTHR11802:SF315', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(90014, NULL, 'PTHR48193', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE ZMPB-RELATED', NULL, NULL, NULL, 15),
(90015, NULL, 'PTHR47991:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90016, NULL, 'PTHR33653', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC2', NULL, NULL, NULL, 15),
(90017, NULL, 'PTHR10663:SF334', NULL, NULL, NULL, NULL, 'PH AND SEC7 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(90018, NULL, 'PTHR11588:SF116', NULL, NULL, NULL, NULL, 'TUBULIN BETA-1 CHAIN-RELATED', NULL, NULL, NULL, 15),
(90019, NULL, 'PTHR47326', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT TC3 TRANSPOSASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90020, NULL, 'PTHR45674:SF7', NULL, NULL, NULL, NULL, 'DNA LIGASE', NULL, NULL, NULL, 15),
(90021, NULL, 'PTHR13844:SF69', NULL, NULL, NULL, NULL, 'OS03G0761000 PROTEIN', NULL, NULL, NULL, 15),
(90022, NULL, 'PTHR31140:SF112', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE DNA BINDING FACTOR 3-RELATED', NULL, NULL, NULL, 15),
(90023, NULL, 'PTHR13273:SF16', NULL, NULL, NULL, NULL, 'ANAMORSIN', NULL, NULL, NULL, 15),
(90024, NULL, 'PTHR21545:SF10', NULL, NULL, NULL, NULL, 'LIGAND-DEPENDENT NUCLEAR RECEPTOR COREPRESSOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90025, NULL, 'PTHR23428:SF265', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(90026, NULL, 'PTHR36394:SF2', NULL, NULL, NULL, NULL, 'BNAC09G36810D PROTEIN', NULL, NULL, NULL, 15),
(90027, NULL, 'PTHR48041:SF39', NULL, NULL, NULL, NULL, 'BNAC04G29980D PROTEIN', NULL, NULL, NULL, 15),
(90028, NULL, 'PTHR36102:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(90029, NULL, 'PTHR24247:SF127', NULL, NULL, NULL, NULL, 'TYRAMINE RECEPTOR', NULL, NULL, NULL, 15),
(90030, NULL, 'PTHR15876:SF11', NULL, NULL, NULL, NULL, 'BNAA09G03620D PROTEIN', NULL, NULL, NULL, 15),
(90031, NULL, 'PTHR23502:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90032, NULL, 'PTHR30146:SF127', NULL, NULL, NULL, NULL, 'LMO2128 PROTEIN', NULL, NULL, NULL, 15),
(90033, NULL, 'PTHR11706:SF77', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP5', NULL, NULL, NULL, 15),
(90034, NULL, 'PTHR31636:SF258', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(90035, NULL, 'PTHR24103:SF649', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 51G, PSEUDOGENE', NULL, NULL, NULL, 15),
(90036, NULL, 'PTHR16019:SF6', NULL, NULL, NULL, NULL, 'SYNAPSE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(90037, NULL, 'PTHR46353:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 6-LIKE', NULL, NULL, NULL, 15),
(90038, NULL, 'PTHR11616:SF126', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(90039, NULL, 'PTHR11056', NULL, NULL, NULL, NULL, 'HOMOGENTISATE 1,2-DIOXYGENASE', NULL, NULL, 3549, 15),
(90040, NULL, 'PTHR21243', NULL, NULL, NULL, NULL, 'PROTEIN SCAI', NULL, NULL, NULL, 15),
(90041, NULL, 'PTHR10517:SF14', NULL, NULL, NULL, NULL, 'ZGC:165502', NULL, NULL, NULL, 15),
(90042, NULL, 'PTHR31044:SF28', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE', NULL, NULL, NULL, 15),
(90043, NULL, 'PTHR14269:SF11', NULL, NULL, NULL, NULL, 'CARDIOLIPIN SYNTHASE (CMP-FORMING)', NULL, NULL, NULL, 15),
(90044, NULL, 'PTHR24075:SF5', NULL, NULL, NULL, NULL, 'U5 SMALL NUCLEAR RIBONUCLEOPROTEIN 200 KDA HELICASE', NULL, NULL, NULL, 15),
(90045, NULL, 'PTHR45224:SF4', NULL, NULL, NULL, NULL, 'OS01G0527900 PROTEIN', NULL, NULL, NULL, 15),
(90046, NULL, 'PTHR11654:SF64', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.3', NULL, NULL, NULL, 15),
(90047, NULL, 'PTHR11654:SF183', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 15 MEMBER 1A', NULL, NULL, NULL, 15),
(90048, NULL, 'PTHR46996:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90049, NULL, 'PTHR48081', NULL, NULL, NULL, NULL, 'AB HYDROLASE SUPERFAMILY PROTEIN C4A8.06C', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90050, NULL, 'PTHR43690:SF17', NULL, NULL, NULL, NULL, 'STROMAL PROCESSING PEPTIDASE, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(90051, NULL, 'PTHR23406:SF29', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(90052, NULL, 'PTHR43335', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(90053, NULL, 'PTHR16476:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM216B', NULL, NULL, NULL, 15),
(90054, NULL, 'PTHR33371:SF19', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90055, NULL, 'PTHR31865:SF44', NULL, NULL, NULL, NULL, 'BNAC03G72390D PROTEIN', NULL, NULL, NULL, 15),
(90056, NULL, 'PTHR22891:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90057, NULL, 'PTHR31992:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90058, NULL, 'PTHR24418:SF247', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE TXK', NULL, NULL, NULL, 15),
(90059, NULL, 'PTHR47925:SF49', NULL, NULL, NULL, NULL, 'BNAC05G39560D PROTEIN', NULL, NULL, NULL, 15),
(90060, NULL, 'PTHR15284:SF6', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC799271-RELATED', NULL, NULL, NULL, 15),
(90061, NULL, 'PTHR31235:SF224', NULL, NULL, NULL, NULL, 'PEROXIDASE 42', NULL, NULL, NULL, 15),
(90062, NULL, 'PTHR11931:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE 2-RELATED', NULL, NULL, NULL, 15),
(90063, NULL, 'PTHR31549:SF176', NULL, NULL, NULL, NULL, 'UPF0481 PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90064, NULL, 'PTHR35401', NULL, NULL, NULL, NULL, 'COPG FAMILY HELIX-TURN-HELIX PROTEIN-RELATED-RELATED', NULL, NULL, 11912, 15),
(90065, NULL, 'PTHR45956:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RUFY3', NULL, NULL, NULL, 15),
(90066, NULL, 'PTHR11850:SF315', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 7', NULL, NULL, NULL, 15),
(90067, NULL, 'PTHR43159:SF8', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE [NADH], CHLOROPLASTIC', NULL, NULL, NULL, 15),
(90068, NULL, 'PTHR46552:SF1', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 2', NULL, NULL, NULL, 15),
(90069, NULL, 'PTHR48059:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90070, NULL, 'PTHR10744:SF34', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11-LIKE', NULL, NULL, NULL, 15),
(90071, NULL, 'PTHR45650:SF31', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(90072, NULL, 'PTHR43900:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90073, NULL, 'PTHR35144:SF2', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC TRANSCRIPTION FACTOR NDT80', NULL, NULL, NULL, 15),
(90074, NULL, 'PTHR45614:SF166', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-RELATED', NULL, NULL, NULL, 15),
(90075, NULL, 'PTHR47178', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, FAD-BINDING', NULL, NULL, NULL, 15),
(90076, NULL, 'PTHR22625:SF65', NULL, NULL, NULL, NULL, 'PLEXIN A, ISOFORM A', NULL, NULL, NULL, 15),
(90077, NULL, 'PTHR17985:SF8', NULL, NULL, NULL, NULL, 'TRANSPORT AND GOLGI ORGANIZATION PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(90078, NULL, 'PTHR31251:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90079, NULL, 'PTHR10332:SF81', NULL, NULL, NULL, NULL, 'BNAANNG16100D PROTEIN', NULL, NULL, NULL, 15),
(90080, NULL, 'PTHR45693:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90081, NULL, 'PTHR45855:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF4', NULL, NULL, NULL, 15),
(90082, NULL, 'PTHR24349:SF249', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 2', NULL, NULL, NULL, 15),
(90083, NULL, 'PTHR11937:SF362', NULL, NULL, NULL, NULL, 'ACTIN, CYTOPLASMIC 1-RELATED', NULL, NULL, NULL, 15),
(90084, NULL, 'PTHR15079:SF3', NULL, NULL, NULL, NULL, 'MYELOID DIFFERENTIATION PRIMARY RESPONSE PROTEIN MYD88', NULL, NULL, NULL, 15),
(90085, NULL, 'PTHR13557', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22127, 15),
(90086, NULL, 'PTHR23079:SF29', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90087, NULL, 'PTHR43212:SF3', NULL, NULL, NULL, NULL, 'QUERCETIN 2,3-DIOXYGENASE', NULL, NULL, NULL, 15),
(90088, NULL, 'PTHR43895:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90089, NULL, 'PTHR24281:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90090, NULL, 'PTHR24067:SF283', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1-LIKE', NULL, NULL, NULL, 15),
(90091, NULL, 'PTHR35261:SF2', NULL, NULL, NULL, NULL, 'OOKINETE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90092, NULL, 'PTHR37338', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 32', NULL, NULL, 25863, 15),
(90093, NULL, 'PTHR31213:SF103', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL9', NULL, NULL, NULL, 15),
(90094, NULL, 'PTHR33021:SF31', NULL, NULL, NULL, NULL, 'OS02G0720100 PROTEIN', NULL, NULL, NULL, 15),
(90095, NULL, 'PTHR35091:SF2', NULL, NULL, NULL, NULL, 'FLAGELLAR PROTEIN FLIL', NULL, NULL, NULL, 15),
(90096, NULL, 'PTHR33674:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90097, NULL, 'PTHR23090:SF9', NULL, NULL, NULL, NULL, 'GLUTAMINE-DEPENDENT NAD(+) SYNTHETASE', NULL, NULL, NULL, 15),
(90098, NULL, 'PTHR46136:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90099, NULL, 'PTHR40836:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90100, NULL, 'PTHR24006:SF827', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', NULL, NULL, NULL, 15),
(90101, NULL, 'PTHR31388:SF210', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(90102, NULL, 'PTHR48043:SF109', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-50-RELATED', NULL, NULL, NULL, 15),
(90103, NULL, 'PTHR45669:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90104, NULL, 'PTHR12542:SF44', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(90105, NULL, 'PTHR11645:SF51', NULL, NULL, NULL, NULL, 'COME OPERON PROTEIN 4', NULL, NULL, NULL, 15),
(90106, NULL, 'PTHR14690:SF6', NULL, NULL, NULL, NULL, 'IQ AND AAA DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(90107, NULL, 'PTHR46261:SF16', NULL, NULL, NULL, NULL, 'HMG1/2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90108, NULL, 'PTHR24369', NULL, NULL, NULL, NULL, 'ANTIGEN BSP, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90109, NULL, 'PTHR47929:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90110, NULL, 'PTHR31901:SF58', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.1-RELATED', NULL, NULL, NULL, 15),
(90111, NULL, 'PTHR22175:SF1', NULL, NULL, NULL, NULL, 'SMALL ACIDIC PROTEIN', NULL, NULL, NULL, 15),
(90112, NULL, 'PTHR33566:SF10', NULL, NULL, NULL, NULL, 'PROTEIN DEFECTIVE IN MERISTEM SILENCING 3-LIKE', NULL, NULL, NULL, 15),
(90113, NULL, 'PTHR11132:SF448', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(90114, NULL, 'PTHR10682:SF31', NULL, NULL, NULL, NULL, 'NUCLEAR POLY(A) POLYMERASE 2', NULL, NULL, NULL, 15),
(90115, NULL, 'PTHR26452:SF204', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(90116, NULL, 'PTHR13286:SF5', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP30L', NULL, NULL, NULL, 15),
(90117, NULL, 'PTHR43180:SF49', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(90118, NULL, 'PTHR32468:SF125', NULL, NULL, NULL, NULL, 'BNAC06G14930D PROTEIN', NULL, NULL, NULL, 15),
(90119, NULL, 'PTHR10514', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME', NULL, NULL, 3079, 15),
(90120, NULL, 'PTHR31901:SF14', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.7-RELATED', NULL, NULL, NULL, 15),
(90121, NULL, 'PTHR13029', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(90122, NULL, 'PTHR47387', NULL, NULL, NULL, NULL, 'NECTIN-2', NULL, NULL, NULL, 15),
(90123, NULL, 'PTHR20931:SF6', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 30B', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90124, NULL, 'PTHR10994:SF65', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B12', NULL, NULL, NULL, 15),
(90125, NULL, 'PTHR33747', NULL, NULL, NULL, NULL, 'UPF0225 PROTEIN SCO1677', NULL, NULL, NULL, 15),
(90126, NULL, 'PTHR47424:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(90127, NULL, 'PTHR31883:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FRG2-RELATED', NULL, NULL, NULL, 15),
(90128, NULL, 'PTHR23345:SF8', NULL, NULL, NULL, NULL, 'VITELLOGENIN-3-RELATED', NULL, NULL, NULL, 15),
(90129, NULL, 'PTHR46371:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90130, NULL, 'PTHR22763:SF164', NULL, NULL, NULL, NULL, 'ZMP:0000000662', NULL, NULL, NULL, 15),
(90131, NULL, 'PTHR22967', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(90132, NULL, 'PTHR48019:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90133, NULL, 'PTHR31430:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG24882', NULL, NULL, NULL, 15),
(90134, NULL, 'PTHR34107:SF2', NULL, NULL, NULL, NULL, 'SLL0888 PROTEIN', NULL, NULL, NULL, 15),
(90135, NULL, 'PTHR48001:SF20', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(90136, NULL, 'PTHR11690:SF253', NULL, NULL, NULL, NULL, 'PICKPOCKET 22, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(90137, NULL, 'PTHR22574:SF11', NULL, NULL, NULL, NULL, 'PROTEIN FAM71C', NULL, NULL, NULL, 15),
(90138, NULL, 'PTHR11309:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90139, NULL, 'PTHR45642:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90140, NULL, 'PTHR48014:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FRAY1', NULL, NULL, NULL, 15),
(90141, NULL, 'PTHR11945:SF602', NULL, NULL, NULL, NULL, 'BNAA09G52420D PROTEIN', NULL, NULL, NULL, 15),
(90142, NULL, 'PTHR11134:SF4', NULL, NULL, NULL, NULL, 'AP-4 COMPLEX SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(90143, NULL, 'PTHR24093:SF369', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(90144, NULL, 'PTHR45778:SF6', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE 24-RELATED', NULL, NULL, NULL, 15),
(90145, NULL, 'PTHR43246', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP38, CHLOROPLASTIC', NULL, NULL, 38647, 15),
(90146, NULL, 'PTHR36141:SF4', NULL, NULL, NULL, NULL, 'OS08G0148500 PROTEIN', NULL, NULL, NULL, 15),
(90147, NULL, 'PTHR12537:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90148, NULL, 'PTHR24637:SF355', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(90149, NULL, 'PTHR31133', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN', NULL, NULL, 33559, 15),
(90150, NULL, 'PTHR34609:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90151, NULL, 'PTHR36843:SF1', NULL, NULL, NULL, NULL, 'HEME-DEPENDENT PEROXIDASE YWFI-RELATED', NULL, NULL, NULL, 15),
(90152, NULL, 'PTHR23092:SF47', NULL, NULL, NULL, NULL, 'POLYMERASE SIGMA, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90153, NULL, 'PTHR11761:SF21', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN HLL, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(90154, NULL, 'PTHR24035:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90155, NULL, 'PTHR31490:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90156, NULL, 'PTHR24229', NULL, NULL, NULL, NULL, 'NEUROPEPTIDES RECEPTOR', NULL, NULL, NULL, 15),
(90157, NULL, 'PTHR43176:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90158, NULL, 'PTHR31080:SF12', NULL, NULL, NULL, NULL, 'BNAANNG18590D PROTEIN', NULL, NULL, NULL, 15),
(90159, NULL, 'PTHR27005:SF56', NULL, NULL, NULL, NULL, 'OS01G0136400 PROTEIN', NULL, NULL, NULL, 15),
(90160, NULL, 'PTHR45736:SF10', NULL, NULL, NULL, NULL, 'SI:CH211-266O15.1', NULL, NULL, NULL, 15),
(90161, NULL, 'PTHR11227:SF49', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18A', NULL, NULL, NULL, 15),
(90162, NULL, 'PTHR34788:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90163, NULL, 'PTHR12697:SF34', NULL, NULL, NULL, NULL, 'DEOXYHYPUSINE HYDROXYLASE', NULL, NULL, NULL, 15),
(90164, NULL, 'PTHR31241:SF49', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2G', NULL, NULL, NULL, 15),
(90165, NULL, 'PTHR47924:SF41', NULL, NULL, NULL, NULL, 'BNAC07G48870D PROTEIN', NULL, NULL, NULL, 15),
(90166, NULL, 'PTHR12411:SF416', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE 4-RELATED', NULL, NULL, NULL, 15),
(90167, NULL, 'PTHR47950:SF22', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 76C1-RELATED', NULL, NULL, NULL, 15),
(90168, NULL, 'PTHR10336:SF183', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(90169, NULL, 'PTHR31985:SF156', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90170, NULL, 'PTHR45693:SF45', NULL, NULL, NULL, NULL, 'BNAC02G43620D PROTEIN', NULL, NULL, NULL, 15),
(90171, NULL, 'PTHR11774', NULL, NULL, NULL, NULL, 'GERANYLGERANYL TRANSFERASE TYPE BETA SUBUNIT', NULL, NULL, 39282, 15),
(90172, NULL, 'PTHR18919:SF159', NULL, NULL, NULL, NULL, 'ACETOACETYL-COA THIOLASE 2-RELATED', NULL, NULL, NULL, 15),
(90173, NULL, 'PTHR11945:SF336', NULL, NULL, NULL, NULL, 'SERUM FACTOR RESPONSE D', NULL, NULL, NULL, 15),
(90174, NULL, 'PTHR33103:SF70', NULL, NULL, NULL, NULL, 'DUF674 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(90175, NULL, 'PTHR31297:SF9', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE 2', NULL, NULL, NULL, 15),
(90176, NULL, 'PTHR45621:SF135', NULL, NULL, NULL, NULL, 'BNAA10G27210D PROTEIN', NULL, NULL, NULL, 15),
(90177, NULL, 'PTHR42053', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90178, NULL, 'PTHR23177:SF66', NULL, NULL, NULL, NULL, 'BNAC01G24270D PROTEIN', NULL, NULL, NULL, 15),
(90179, NULL, 'PTHR21495:SF180', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(90180, NULL, 'PTHR45743:SF32', NULL, NULL, NULL, NULL, 'BNAC03G62660D PROTEIN', NULL, NULL, NULL, 15),
(90181, NULL, 'PTHR13817:SF85', NULL, NULL, NULL, NULL, 'DCC NETRIN 1 RECEPTOR', NULL, NULL, NULL, 15),
(90182, NULL, 'PTHR22844:SF324', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(90183, NULL, 'PTHR22844:SF360', NULL, NULL, NULL, NULL, 'PROTEIN JINGUBANG-LIKE', NULL, NULL, NULL, 15),
(90184, NULL, 'PTHR31885:SF7', NULL, NULL, NULL, NULL, 'LYSOPLASMALOGENASE', NULL, NULL, NULL, 15),
(90185, NULL, 'PTHR12357', NULL, NULL, NULL, NULL, 'YTH  YT521-B HOMOLOGY  DOMAIN-CONTAINING', NULL, NULL, 37297, 15),
(90186, NULL, 'PTHR22912:SF200', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', NULL, NULL, NULL, 15),
(90187, NULL, 'PTHR24223:SF387', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 7', NULL, NULL, NULL, 15),
(90188, NULL, 'PTHR13084:SF7', NULL, NULL, NULL, NULL, 'ZGC:100920', NULL, NULL, NULL, 15),
(90189, NULL, 'PTHR46665:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH92', NULL, NULL, NULL, 15),
(90190, NULL, 'PTHR23317:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90191, NULL, 'PTHR31016:SF12', NULL, NULL, NULL, NULL, 'HEAT-INDUCIBLE TRANSCRIPTION REPRESSOR-RELATED', NULL, NULL, NULL, 15),
(90192, NULL, 'PTHR26312:SF183', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(90193, NULL, 'PTHR11913:SF76', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 3', NULL, NULL, NULL, 15),
(90194, NULL, 'PTHR46905:SF8', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL77', NULL, NULL, NULL, 15),
(90195, NULL, 'PTHR33864:SF2', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90196, NULL, 'PTHR31657:SF27', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF060', NULL, NULL, NULL, 15),
(90197, NULL, 'PTHR23502:SF159', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14230)-RELATED', NULL, NULL, NULL, 15),
(90198, NULL, 'PTHR11972:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90199, NULL, 'PTHR46195:SF12', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 4', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90200, NULL, 'PTHR15143', NULL, NULL, NULL, NULL, 'TELETHONIN', NULL, NULL, 18239, 15),
(90201, NULL, 'PTHR10366:SF724', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90202, NULL, 'PTHR33362', NULL, NULL, NULL, NULL, 'SIALIC ACID TRAP TRANSPORTER PERMEASE PROTEIN SIAT-RELATED', NULL, NULL, 3334, 15),
(90203, NULL, 'PTHR31531', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE E3D FAMILY MEMBER', NULL, NULL, 18656, 15),
(90204, NULL, 'PTHR33222:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CURVATURE THYLAKOID 1B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(90205, NULL, 'PTHR23506:SF30', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICULAR AMINE TRANSPORTER', NULL, NULL, NULL, 15),
(90206, NULL, 'PTHR30352:SF5', NULL, NULL, NULL, NULL, 'PYRUVATE FORMATE-LYASE 1-ACTIVATING ENZYME', NULL, NULL, NULL, 15),
(90207, NULL, 'PTHR31743:SF1', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 4-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(90208, NULL, 'PTHR11525:SF14', NULL, NULL, NULL, NULL, 'OS04G0657100 PROTEIN', NULL, NULL, NULL, 15),
(90209, NULL, 'PTHR12947:SF18', NULL, NULL, NULL, NULL, 'AMSH-LIKE UBIQUITIN THIOESTERASE 3', NULL, NULL, NULL, 15),
(90210, NULL, 'PTHR34956:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90211, NULL, 'PTHR33405:SF20', NULL, NULL, NULL, NULL, 'PROTEIN FLX-LIKE 3', NULL, NULL, NULL, 15),
(90212, NULL, 'PTHR12243:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90213, NULL, 'PTHR43899:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90214, NULL, 'PTHR16484:SF17', NULL, NULL, NULL, NULL, 'BAZOOKA, ISOFORM B', NULL, NULL, NULL, 15),
(90215, NULL, 'PTHR22601:SF51', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 4', NULL, NULL, NULL, 15),
(90216, NULL, 'PTHR13278:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 830', NULL, NULL, NULL, 15),
(90217, NULL, 'PTHR45752:SF58', NULL, NULL, NULL, NULL, 'PH DOMAIN LEUCINE-RICH REPEAT-CONTAINING PROTEIN PHOSPHATASE 1', NULL, NULL, NULL, 15),
(90218, NULL, 'PTHR24281:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(90219, NULL, 'PTHR48226:SF1', NULL, NULL, NULL, NULL, 'OS06G0326200 PROTEIN', NULL, NULL, NULL, 15),
(90220, NULL, 'PTHR48018:SF64', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(90221, NULL, 'PTHR34139:SF4', NULL, NULL, NULL, NULL, 'SLL1411 PROTEIN', NULL, NULL, NULL, 15),
(90222, NULL, 'PTHR33448:SF14', NULL, NULL, NULL, NULL, 'ARABIDOPSIS THALIANA GENOMIC DNA, CHROMOSOME 5, P1 CLONE:MOK16', NULL, NULL, NULL, 15),
(90223, NULL, 'PTHR22753:SF35', NULL, NULL, NULL, NULL, 'BNAA02G28380D PROTEIN', NULL, NULL, NULL, 15),
(90224, NULL, 'PTHR47130:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90225, NULL, 'PTHR34732:SF1', NULL, NULL, NULL, NULL, '69 KDA PARAFLAGELLAR ROD PROTEIN', NULL, NULL, NULL, 15),
(90226, NULL, 'PTHR34444:SF1', NULL, NULL, NULL, NULL, 'LOC361192', NULL, NULL, NULL, 15),
(90227, NULL, 'PTHR33021:SF351', NULL, NULL, NULL, NULL, 'BNAA03G49200D PROTEIN', NULL, NULL, NULL, 15),
(90228, NULL, 'PTHR33420:SF28', NULL, NULL, NULL, NULL, 'FIMBRIAE-RELATED', NULL, NULL, NULL, 15),
(90229, NULL, 'PTHR10288:SF171', NULL, NULL, NULL, NULL, 'TWENTY ONE U-RNA (21U-RNA) BIOGENESIS FOULED UP', NULL, NULL, NULL, 15),
(90230, NULL, 'PTHR33070', NULL, NULL, NULL, NULL, 'OS06G0725500 PROTEIN', NULL, NULL, NULL, 15),
(90231, NULL, 'PTHR24034:SF109', NULL, NULL, NULL, NULL, 'NIDOGEN 1', NULL, NULL, NULL, 15),
(90232, NULL, 'PTHR12483', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 31  COPPER TRANSPORTERS', NULL, NULL, 7085, 15),
(90233, NULL, 'PTHR31175:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90234, NULL, 'PTHR46138:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DR1', NULL, NULL, NULL, 15),
(90235, NULL, 'PTHR13844:SF19', NULL, NULL, NULL, NULL, 'OS04G0665500 PROTEIN', NULL, NULL, NULL, 15),
(90236, NULL, 'PTHR10145:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT6', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90237, NULL, 'PTHR33653:SF2', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC2', NULL, NULL, NULL, 15),
(90238, NULL, 'PTHR24349:SF410', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE KINASE 1', NULL, NULL, NULL, 15),
(90239, NULL, 'PTHR26451:SF921', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(90240, NULL, 'PTHR43757:SF5', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM COMPONENT T', NULL, NULL, NULL, 15),
(90241, NULL, 'PTHR43215:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90242, NULL, 'PTHR12155:SF21', NULL, NULL, NULL, NULL, 'SCHLAFEN FAMILY MEMBER 13', NULL, NULL, 25741, 15),
(90243, NULL, 'PTHR32410:SF193', NULL, NULL, NULL, NULL, 'BNAA05G36940D PROTEIN', NULL, NULL, NULL, 15),
(90244, NULL, 'PTHR33373:SF23', NULL, NULL, NULL, NULL, 'DUF4050 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(90245, NULL, 'PTHR45296:SF1', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(90246, NULL, 'PTHR31490:SF46', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90247, NULL, 'PTHR22803:SF65', NULL, NULL, NULL, NULL, 'CD302 ANTIGEN-RELATED', NULL, NULL, NULL, 15),
(90248, NULL, 'PTHR47990:SF62', NULL, NULL, NULL, NULL, 'LEUCOANTHOCYANIDIN DIOXYGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90249, NULL, 'PTHR24025:SF25', NULL, NULL, NULL, NULL, 'FAT ATYPICAL CADHERIN 1', NULL, NULL, NULL, 15),
(90250, NULL, 'PTHR11461:SF161', NULL, NULL, NULL, NULL, 'SERPIN B13', NULL, NULL, NULL, 15),
(90251, NULL, 'PTHR45828', NULL, NULL, NULL, NULL, 'CYTOCHROME B561/FERRIC REDUCTASE TRANSMEMBRANE', NULL, NULL, NULL, 15),
(90252, NULL, 'PTHR36043:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90253, NULL, 'PTHR10672:SF5', NULL, NULL, NULL, NULL, 'GAMMA-ADDUCIN', NULL, NULL, 26648, 15),
(90254, NULL, 'PTHR12828:SF3', NULL, NULL, NULL, NULL, 'PROTEASOME MATURATION PROTEIN', NULL, NULL, NULL, 15),
(90255, NULL, 'PTHR38612:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06620', NULL, NULL, NULL, 15),
(90256, NULL, 'PTHR13200:SF0', NULL, NULL, NULL, NULL, 'EEF1A LYSINE METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(90257, NULL, 'PTHR31989:SF280', NULL, NULL, NULL, NULL, 'BNAA02G05600D PROTEIN', NULL, NULL, NULL, 15),
(90258, NULL, 'PTHR45648:SF82', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90259, NULL, 'PTHR13780:SF140', NULL, NULL, NULL, NULL, 'BNAC02G42530D PROTEIN', NULL, NULL, NULL, 15),
(90260, NULL, 'PTHR33270:SF39', NULL, NULL, NULL, NULL, 'BNAC06G31940D PROTEIN', NULL, NULL, NULL, 15),
(90261, NULL, 'PTHR34198:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90262, NULL, 'PTHR23267:SF215', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-V REGION MOPC 149-RELATED', NULL, NULL, NULL, 15),
(90263, NULL, 'PTHR24393:SF79', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 485', NULL, NULL, NULL, 15),
(90264, NULL, 'PTHR11820:SF103', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE', NULL, NULL, NULL, 15),
(90265, NULL, 'PTHR47933:SF1', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(90266, NULL, 'PTHR24160', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 53', NULL, NULL, 38705, 15),
(90267, NULL, 'PTHR33232:SF10', NULL, NULL, NULL, NULL, 'SIEVE ELEMENT OCCLUSION-RELATED', NULL, NULL, NULL, 15),
(90268, NULL, 'PTHR12888:SF3', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 12', NULL, NULL, NULL, 15),
(90269, NULL, 'PTHR24213:SF18', NULL, NULL, NULL, NULL, 'ACTIN-BINDING LIM PROTEIN 1', NULL, NULL, 27398, 15),
(90270, NULL, 'PTHR24089:SF666', NULL, NULL, NULL, NULL, 'OS01G0143100 PROTEIN', NULL, NULL, NULL, 15),
(90271, NULL, 'PTHR48049:SF12', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(90272, NULL, 'PTHR31245:SF20', NULL, NULL, NULL, NULL, 'F18B13.13 PROTEIN', NULL, NULL, NULL, 15),
(90273, NULL, 'PTHR43900:SF74', NULL, NULL, NULL, NULL, 'BNAC03G30870D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90274, NULL, 'PTHR35399:SF2', NULL, NULL, NULL, NULL, 'SLR8030 PROTEIN', NULL, NULL, NULL, 15),
(90275, NULL, 'PTHR47840:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(90276, NULL, 'PTHR42898:SF50', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(90277, NULL, 'PTHR20893', NULL, NULL, NULL, NULL, 'LD08641P', NULL, NULL, NULL, 15),
(90278, NULL, 'PTHR14091:SF0', NULL, NULL, NULL, NULL, 'PERIODIC TRYPTOPHAN PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(90279, NULL, 'PTHR19384:SF56', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE, INDUCIBLE', NULL, NULL, NULL, 15),
(90280, NULL, 'PTHR45940:SF20', NULL, NULL, NULL, NULL, 'BNAA10G12360D PROTEIN', NULL, NULL, NULL, 15),
(90281, NULL, 'PTHR28199', NULL, NULL, NULL, NULL, 'PROCESSING OF GAS1 AND ALP PROTEIN 2', NULL, NULL, 13790, 15),
(90282, NULL, 'PTHR43791:SF22', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11320)-RELATED', NULL, NULL, NULL, 15),
(90283, NULL, 'PTHR10361:SF59', NULL, NULL, NULL, NULL, 'BILE ACID:SODIUM SYMPORTER', NULL, NULL, NULL, 15),
(90284, NULL, 'PTHR46935:SF2', NULL, NULL, NULL, NULL, 'OS05G0315100 PROTEIN', NULL, NULL, NULL, 15),
(90285, NULL, 'PTHR23123:SF14', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE PHF2', NULL, NULL, NULL, 15),
(90286, NULL, 'PTHR31507:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CBG24542', NULL, NULL, NULL, 15),
(90287, NULL, 'PTHR32467:SF158', NULL, NULL, NULL, NULL, 'BNAANNG40110D PROTEIN', NULL, NULL, NULL, 15),
(90288, NULL, 'PTHR36940:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01577', NULL, NULL, NULL, 15),
(90289, NULL, 'PTHR31087:SF116', NULL, NULL, NULL, NULL, 'BNAC06G15790D PROTEIN', NULL, NULL, NULL, 15),
(90290, NULL, 'PTHR38088:SF2', NULL, NULL, NULL, NULL, 'UCP029143 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(90291, NULL, 'PTHR42679:SF4', NULL, NULL, NULL, NULL, 'S-METHYL-5''-THIOADENOSINE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(90292, NULL, 'PTHR47928:SF26', NULL, NULL, NULL, NULL, 'OS11G0109600 PROTEIN', NULL, NULL, NULL, 15),
(90293, NULL, 'PTHR33470:SF43', NULL, NULL, NULL, NULL, 'OS05G0531400 PROTEIN', NULL, NULL, NULL, 15),
(90294, NULL, 'PTHR48033:SF9', NULL, NULL, NULL, NULL, 'TAR DNA-BINDING PROTEIN 43', NULL, NULL, NULL, 15),
(90295, NULL, 'PTHR24418:SF293', NULL, NULL, NULL, NULL, 'SRC-LIKE-ADAPTER', NULL, NULL, 9694, 15),
(90296, NULL, 'PTHR11661:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12-3-LIKE', NULL, NULL, NULL, 15),
(90297, NULL, 'PTHR11178:SF45', NULL, NULL, NULL, NULL, 'ZGC:110319', NULL, NULL, NULL, 15),
(90298, NULL, 'PTHR33044:SF3', NULL, NULL, NULL, NULL, 'OS03G0794000 PROTEIN', NULL, NULL, NULL, 15),
(90299, NULL, 'PTHR21660:SF44', NULL, NULL, NULL, NULL, 'BNAA08G27810D PROTEIN', NULL, NULL, NULL, 15),
(90300, NULL, 'PTHR34655:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90301, NULL, 'PTHR23289:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX15 HOMOLOG', NULL, NULL, NULL, 15),
(90302, NULL, 'PTHR12613:SF7', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM OXIDOREDUCTIN-2', NULL, NULL, NULL, 15),
(90303, NULL, 'PTHR24115:SF943', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', NULL, NULL, NULL, 15),
(90304, NULL, 'PTHR13414', NULL, NULL, NULL, NULL, 'HUEL-CATION TRANSPORTER', NULL, NULL, 29599, 15),
(90305, NULL, 'PTHR11165:SF146', NULL, NULL, NULL, NULL, 'SCF UBIQUITIN LIGASE, SKP1 COMPONENT', NULL, NULL, NULL, 15),
(90306, NULL, 'PTHR38894', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90307, NULL, 'PTHR13986:SF4', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM PROTEIN SC65', NULL, NULL, 31823, 15),
(90308, NULL, 'PTHR24073:SF366', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-5C', NULL, NULL, NULL, 15),
(90309, NULL, 'PTHR12884:SF31', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', NULL, NULL, NULL, 15),
(90310, NULL, 'PTHR43880:SF40', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 2', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90311, NULL, 'PTHR47975:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90312, NULL, 'PTHR27008:SF432', NULL, NULL, NULL, NULL, 'BNAA05G20630D PROTEIN', NULL, NULL, NULL, 15),
(90313, NULL, 'PTHR16207:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG26458', NULL, NULL, NULL, 15),
(90314, NULL, 'PTHR21621:SF2', NULL, NULL, NULL, NULL, 'COENZYME GAMMA-F420-2:ALPHA-L-GLUTAMATE LIGASE', NULL, NULL, NULL, 15),
(90315, NULL, 'PTHR46640', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06510)-RELATED', NULL, NULL, NULL, 15),
(90316, NULL, 'PTHR46891:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(90317, NULL, 'PTHR11685:SF363', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(90318, NULL, 'PTHR34281:SF13', NULL, NULL, NULL, NULL, 'FLOWERING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90319, NULL, 'PTHR31642:SF119', NULL, NULL, NULL, NULL, 'TRICHOTHECENE 3-O-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(90320, NULL, 'PTHR11227:SF50', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(90321, NULL, 'PTHR13557:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 86', NULL, NULL, NULL, 15),
(90322, NULL, 'PTHR34402', NULL, NULL, NULL, NULL, 'PROTEIN CBG02762', NULL, NULL, NULL, 15),
(90323, NULL, 'PTHR11961:SF41', NULL, NULL, NULL, NULL, 'BNAA07G10260D PROTEIN', NULL, NULL, NULL, 15),
(90324, NULL, 'PTHR23302', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-RELATED', NULL, NULL, 33590, 15),
(90325, NULL, 'PTHR31549:SF172', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(90326, NULL, 'PTHR43763:SF9', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE P ISOFORM X4-RELATED', NULL, NULL, NULL, 15),
(90327, NULL, 'PTHR30576', NULL, NULL, NULL, NULL, 'COLANIC BIOSYNTHESIS UDP-GLUCOSE LIPID CARRIER TRANSFERASE', NULL, NULL, NULL, 15),
(90328, NULL, 'PTHR12935:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90329, NULL, 'PTHR45616:SF26', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 8', NULL, NULL, NULL, 15),
(90330, NULL, 'PTHR21622:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INTERMEMBRANE SPACE IMPORT AND ASSEMBLY PROTEIN 40', NULL, NULL, NULL, 15),
(90331, NULL, 'PTHR42878:SF13', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE, HAMP AND PAS DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(90332, NULL, 'PTHR42986:SF1', NULL, NULL, NULL, NULL, 'BENZALDEHYDE DEHYDROGENASE YFMT', NULL, NULL, NULL, 15),
(90333, NULL, 'PTHR31190:SF268', NULL, NULL, NULL, NULL, 'BNAA10G27750D PROTEIN', NULL, NULL, NULL, 15),
(90334, NULL, 'PTHR48022:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90335, NULL, 'PTHR31293:SF17', NULL, NULL, NULL, NULL, 'BNAC06G14330D PROTEIN', NULL, NULL, NULL, 15),
(90336, NULL, 'PTHR22722:SF4', NULL, NULL, NULL, NULL, 'RE53262P', NULL, NULL, NULL, 15),
(90337, NULL, 'PTHR45808:SF12', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACZ', NULL, NULL, NULL, 15),
(90338, NULL, 'PTHR40552', NULL, NULL, NULL, NULL, 'AT05186P-RELATED', NULL, NULL, NULL, 15),
(90339, NULL, 'PTHR12483:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90340, NULL, 'PTHR24055:SF485', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(90341, NULL, 'PTHR26452:SF284', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 183', NULL, NULL, NULL, 15),
(90342, NULL, 'PTHR14154:SF76', NULL, NULL, NULL, NULL, 'BNAA05G16860D PROTEIN', NULL, NULL, NULL, 15),
(90343, NULL, 'PTHR34132:SF2', NULL, NULL, NULL, NULL, 'EMB|CAB87627.1-RELATED', NULL, NULL, NULL, 15),
(90344, NULL, 'PTHR34999', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90345, NULL, 'PTHR46533:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(90346, NULL, 'PTHR11337', NULL, NULL, NULL, NULL, 'MUCIN/PORIMIN', NULL, NULL, 4047, 15),
(90347, NULL, 'PTHR46125:SF5', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 28', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90348, NULL, 'PTHR31983:SF18', NULL, NULL, NULL, NULL, 'ENDO-1,3(4)-BETA-GLUCANASE-RELATED', NULL, NULL, NULL, 15),
(90349, NULL, 'PTHR31790:SF163', NULL, NULL, NULL, NULL, 'OS09G0517800 PROTEIN', NULL, NULL, NULL, 15),
(90350, NULL, 'PTHR45633', NULL, NULL, NULL, NULL, '60 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(90351, NULL, 'PTHR11871:SF40', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', NULL, NULL, NULL, 15),
(90352, NULL, 'PTHR12841', NULL, NULL, NULL, NULL, 'PROTEIN UNC-50 HOMOLOG', NULL, NULL, 3350, 15),
(90353, NULL, 'PTHR34474:SF1', NULL, NULL, NULL, NULL, 'HEME-DEGRADING MONOOXYGENASE HMOA', NULL, NULL, NULL, 15),
(90354, NULL, 'PTHR31719:SF122', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 32', NULL, NULL, NULL, 15),
(90355, NULL, 'PTHR46236:SF17', NULL, NULL, NULL, NULL, 'TRAF-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(90356, NULL, 'PTHR10010:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90357, NULL, 'PTHR27009:SF108', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.1', NULL, NULL, NULL, 15),
(90358, NULL, 'PTHR33090:SF55', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(90359, NULL, 'PTHR11361', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MUTS FAMILY MEMBER', NULL, NULL, 39275, 15),
(90360, NULL, 'PTHR43435:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90361, NULL, 'PTHR11711:SF382', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR B1B', NULL, NULL, NULL, 15),
(90362, NULL, 'PTHR33128:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90363, NULL, 'PTHR47452:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90364, NULL, 'PTHR11857:SF42', NULL, NULL, NULL, NULL, 'GENERAL ODORANT-BINDING PROTEIN 19D-RELATED', NULL, NULL, NULL, 15),
(90365, NULL, 'PTHR24023:SF58', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(II) CHAIN', NULL, NULL, NULL, 15),
(90366, NULL, 'PTHR12629:SF64', NULL, NULL, NULL, NULL, 'BNAC05G09230D PROTEIN', NULL, NULL, NULL, 15),
(90367, NULL, 'PTHR46993:SF4', NULL, NULL, NULL, NULL, 'MYB-LIKE HTH TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(90368, NULL, 'PTHR46431:SF14', NULL, NULL, NULL, NULL, 'BNAC08G41160D PROTEIN', NULL, NULL, NULL, 15),
(90369, NULL, 'PTHR12911:SF44', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, 22267, 15),
(90370, NULL, 'PTHR14882', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 74A', NULL, NULL, 33563, 15),
(90371, NULL, 'PTHR43544:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG13128', NULL, NULL, NULL, 15),
(90372, NULL, 'PTHR11043:SF20', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-2-LIKE', NULL, NULL, NULL, 15),
(90373, NULL, 'PTHR38052:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(90374, NULL, 'PTHR31096:SF68', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90375, NULL, 'PTHR33442:SF5', NULL, NULL, NULL, NULL, 'TRANS-3-HYDROXY-L-PROLINE DEHYDRATASE-RELATED', NULL, NULL, NULL, 15),
(90376, NULL, 'PTHR12080:SF82', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 21', NULL, NULL, NULL, 15),
(90377, NULL, 'PTHR31752:SF55', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', NULL, NULL, NULL, 15),
(90378, NULL, 'PTHR47074:SF30', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(90379, NULL, 'PTHR24377:SF232', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 26', NULL, NULL, NULL, 15),
(90380, NULL, 'PTHR45633:SF36', NULL, NULL, NULL, NULL, 'RUBISCO LARGE SUBUNIT-BINDING PROTEIN SUBUNIT ALPHA PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90381, NULL, 'PTHR47990:SF75', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 2-LIKE', NULL, NULL, NULL, 15),
(90382, NULL, 'PTHR31250:SF44', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90383, NULL, 'PTHR33779:SF12', NULL, NULL, NULL, NULL, 'OS02G0568600 PROTEIN', NULL, NULL, NULL, 15),
(90384, NULL, 'PTHR23240:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ARTEMIS', NULL, NULL, NULL, 15),
(90385, NULL, 'PTHR46858', NULL, NULL, NULL, NULL, 'OS05G0521000 PROTEIN', NULL, NULL, 37844, 15),
(90386, NULL, 'PTHR46936:SF1', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE XEG113', NULL, NULL, NULL, 15),
(90387, NULL, 'PTHR33048:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90388, NULL, 'PTHR33091:SF88', NULL, NULL, NULL, NULL, 'S.GRISEUS PROTEASE INHIBITOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90389, NULL, 'PTHR45960:SF1', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(90390, NULL, 'PTHR33416:SF14', NULL, NULL, NULL, NULL, 'OS06G0658500 PROTEIN', NULL, NULL, NULL, 15),
(90391, NULL, 'PTHR47977:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90392, NULL, 'PTHR11017:SF320', NULL, NULL, NULL, NULL, 'BNAANNG27760D PROTEIN', NULL, NULL, NULL, 15),
(90393, NULL, 'PTHR12109:SF3', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 141', NULL, NULL, NULL, 15),
(90394, NULL, 'PTHR35135:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(90395, NULL, 'PTHR27006:SF361', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(90396, NULL, 'PTHR16441:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 93', NULL, NULL, NULL, 15),
(90397, NULL, 'PTHR24637:SF332', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(90398, NULL, 'PTHR28652:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 59-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90399, NULL, 'PTHR32134:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90400, NULL, 'PTHR35365:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90401, NULL, 'PTHR41260:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ECSC', NULL, NULL, NULL, 15),
(90402, NULL, 'PTHR23324:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90403, NULL, 'PTHR45926:SF23', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90404, NULL, 'PTHR23101:SF107', NULL, NULL, NULL, NULL, 'RAB GUANINE NUCLEOTIDE EXCHANGE FACTOR (GEF) 1-RELATED', NULL, NULL, NULL, 15),
(90405, NULL, 'PTHR33469:SF23', NULL, NULL, NULL, NULL, 'BNAA03G18840D PROTEIN', NULL, NULL, NULL, 15),
(90406, NULL, 'PTHR30535', NULL, NULL, NULL, NULL, 'VITAMIN B12-BINDING PROTEIN', NULL, NULL, NULL, 15),
(90407, NULL, 'PTHR37476', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 171', NULL, NULL, NULL, 15),
(90408, NULL, 'PTHR31707:SF219', NULL, NULL, NULL, NULL, 'PECTINESTERASE 1-RELATED', NULL, NULL, NULL, 15),
(90409, NULL, 'PTHR34707:SF1', NULL, NULL, NULL, NULL, 'VIMENTIN-TYPE INTERMEDIATE FILAMENT-ASSOCIATED COILED-COIL PROTEIN', NULL, NULL, 34542, 15),
(90410, NULL, 'PTHR23511:SF2', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE GLYCOPROTEIN 2B', NULL, NULL, NULL, 15),
(90411, NULL, 'PTHR14190:SF11', NULL, NULL, NULL, NULL, 'OS10G0488300 PROTEIN', NULL, NULL, NULL, 15),
(90412, NULL, 'PTHR32089:SF107', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90413, NULL, 'PTHR43243:SF3', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 7, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(90414, NULL, 'PTHR24057', NULL, NULL, NULL, NULL, 'GLYCOGEN SYNTHASE KINASE-3 ALPHA', NULL, NULL, NULL, 15),
(90415, NULL, 'PTHR11048:SF42', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(90416, NULL, 'PTHR23389:SF21', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(90417, NULL, 'PTHR12263:SF9', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E2', NULL, NULL, NULL, 15),
(90418, NULL, 'PTHR32133:SF297', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90419, NULL, 'PTHR24249:SF404', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 7E', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90420, NULL, 'PTHR22595:SF96', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(90421, NULL, 'PTHR45224:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90422, NULL, 'PTHR14187:SF46', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 12A', NULL, NULL, 27010, 15),
(90423, NULL, 'PTHR37311:SF1', NULL, NULL, NULL, NULL, '2-PHOSPHOSULFOLACTATE PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(90424, NULL, 'PTHR19300:SF48', NULL, NULL, NULL, NULL, 'BETA4GALNACTB', NULL, NULL, NULL, 15),
(90425, NULL, 'PTHR33115:SF33', NULL, NULL, NULL, NULL, 'OS03G0145400 PROTEIN', NULL, NULL, NULL, 15),
(90426, NULL, 'PTHR47290:SF2', NULL, NULL, NULL, NULL, 'OS01G0928400 PROTEIN', NULL, NULL, NULL, 15),
(90427, NULL, 'PTHR15002', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 594, 15),
(90428, NULL, 'PTHR47918', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN FIS', NULL, NULL, NULL, 15),
(90429, NULL, 'PTHR45639:SF8', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 4', NULL, NULL, NULL, 15),
(90430, NULL, 'PTHR31676:SF82', NULL, NULL, NULL, NULL, 'BNAC05G43680D PROTEIN', NULL, NULL, NULL, 15),
(90431, NULL, 'PTHR22941:SF32', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(90432, NULL, 'PTHR36124:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90433, NULL, 'PTHR14647:SF80', NULL, NULL, NULL, NULL, 'GALACTOSE-3-O-SULFOTRANSFERASE 3', NULL, NULL, NULL, 15),
(90434, NULL, 'PTHR13683:SF605', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90435, NULL, 'PTHR13878:SF145', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE 6-RELATED', NULL, NULL, NULL, 15),
(90436, NULL, 'PTHR43480:SF1', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN]--UDP-N-ACETYLGLUCOSAMINE O-ACYLTRANSFERASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(90437, NULL, 'PTHR48056:SF32', NULL, NULL, NULL, NULL, 'OS08G0446301 PROTEIN', NULL, NULL, NULL, 15),
(90438, NULL, 'PTHR21700:SF116', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-LIKE PROTEIN 16', NULL, NULL, NULL, 15),
(90439, NULL, 'PTHR43452:SF5', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 3', NULL, NULL, NULL, 15),
(90440, NULL, 'PTHR35243:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90441, NULL, 'PTHR46128:SF261', NULL, NULL, NULL, NULL, 'BNAA06G25080D PROTEIN', NULL, NULL, NULL, 15),
(90442, NULL, 'PTHR31734:SF146', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA28', NULL, NULL, NULL, 15),
(90443, NULL, 'PTHR12002:SF13', NULL, NULL, NULL, NULL, 'CLAUDIN-10', NULL, NULL, 7265, 15),
(90444, NULL, 'PTHR46174', NULL, NULL, NULL, NULL, 'CXXC-TYPE ZINC FINGER PROTEIN 1', NULL, NULL, 32541, 15),
(90445, NULL, 'PTHR46450:SF8', NULL, NULL, NULL, NULL, 'OS02G0621100 PROTEIN', NULL, NULL, NULL, 15),
(90446, NULL, 'PTHR34352', NULL, NULL, NULL, NULL, 'PROTEIN YHFA', NULL, NULL, NULL, 15),
(90447, NULL, 'PTHR31080:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90448, NULL, 'PTHR11709:SF358', NULL, NULL, NULL, NULL, 'IRON TRANSPORT MULTICOPPER OXIDASE FET3-RELATED', NULL, NULL, NULL, 15),
(90449, NULL, 'PTHR31451:SF46', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 8', NULL, NULL, NULL, 15),
(90450, NULL, 'PTHR42886:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG08091', NULL, NULL, NULL, 15),
(90451, NULL, 'PTHR47988:SF7', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(90452, NULL, 'PTHR22896:SF1', NULL, NULL, NULL, NULL, 'CDK5 AND ABL1 ENZYME SUBSTRATE 1', NULL, NULL, NULL, 15),
(90453, NULL, 'PTHR46128:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90454, NULL, 'PTHR23268:SF98', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 4-3', NULL, NULL, NULL, 15),
(90455, NULL, 'PTHR42647:SF45', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BOI-RELATED', NULL, NULL, NULL, 15),
(90456, NULL, 'PTHR12542:SF112', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90457, NULL, 'PTHR16216:SF9', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD', NULL, NULL, NULL, 15),
(90458, NULL, 'PTHR10666:SF165', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 1-40S RIBOSOMAL PROTEIN S27A', NULL, NULL, NULL, 15),
(90459, NULL, 'PTHR23525', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90460, NULL, 'PTHR47137:SF1', NULL, NULL, NULL, NULL, 'ERMIN', NULL, NULL, NULL, 15),
(90461, NULL, 'PTHR31374:SF198', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71', NULL, NULL, NULL, 15),
(90462, NULL, 'PTHR24023:SF1004', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XVII) CHAIN', NULL, NULL, NULL, 15),
(90463, NULL, 'PTHR33385:SF21', NULL, NULL, NULL, NULL, 'BNAA06G09450D PROTEIN', NULL, NULL, NULL, 15),
(90464, NULL, 'PTHR43096:SF54', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 1', NULL, NULL, NULL, 15),
(90465, NULL, 'PTHR22937:SF143', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(90466, NULL, 'PTHR48185', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90467, NULL, 'PTHR15020:SF37', NULL, NULL, NULL, NULL, 'AVERUFIN OXIDASE A HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(90468, NULL, 'PTHR11008', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(90469, NULL, 'PTHR13284:SF4', NULL, NULL, NULL, NULL, 'GH01354P', NULL, NULL, NULL, 15),
(90470, NULL, 'PTHR45855:SF45', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF1-LIKE', NULL, NULL, NULL, 15),
(90471, NULL, 'PTHR11588:SF381', NULL, NULL, NULL, NULL, 'TUBULIN GAMMA CHAIN', NULL, NULL, NULL, 15),
(90472, NULL, 'PTHR33772:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930579F01 GENE', NULL, NULL, NULL, 15),
(90473, NULL, 'PTHR36565', NULL, NULL, NULL, NULL, 'UPF0332 PROTEIN TM_1000', NULL, NULL, NULL, 15),
(90474, NULL, 'PTHR33187:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90475, NULL, 'PTHR31949:SF19', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN', NULL, NULL, NULL, 15),
(90476, NULL, 'PTHR11913:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90477, NULL, 'PTHR12271:SF60', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-RELATED', NULL, NULL, NULL, 15),
(90478, NULL, 'PTHR33052:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90479, NULL, 'PTHR43532:SF1', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE THYMIDYLYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(90480, NULL, 'PTHR24012:SF810', NULL, NULL, NULL, NULL, 'MEI2 C-TERMINAL RRM ONLY LIKE 1', NULL, NULL, NULL, 15),
(90481, NULL, 'PTHR42794:SF2', NULL, NULL, NULL, NULL, 'IRON(III) TRANSPORT SYSTEM, ATP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90482, NULL, 'PTHR13994:SF26', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 7', NULL, NULL, NULL, 15),
(90483, NULL, 'PTHR24064:SF219', NULL, NULL, NULL, NULL, 'PATTERNED EXPRESSION SITE', NULL, NULL, NULL, 15),
(90484, NULL, 'PTHR10383:SF52', NULL, NULL, NULL, NULL, 'BNAANNG35710D PROTEIN', NULL, NULL, NULL, 15),
(90485, NULL, 'PTHR10926', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN 50', NULL, NULL, 2279, 15),
(90486, NULL, 'PTHR13878:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90487, NULL, 'PTHR11802:SF377', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 17', NULL, NULL, NULL, 15),
(90488, NULL, 'PTHR43280:SF9', NULL, NULL, NULL, NULL, 'EXOENZYME S SYNTHESIS REGULATORY PROTEIN EXSA', NULL, NULL, NULL, 15),
(90489, NULL, 'PTHR10517:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90490, NULL, 'PTHR39387', NULL, NULL, NULL, NULL, 'SHAVENOID, ISOFORM B', NULL, NULL, NULL, 15),
(90491, NULL, 'PTHR43641', NULL, NULL, NULL, NULL, 'FORMATE ACETYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(90492, NULL, 'PTHR22883:SF361', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(90493, NULL, 'PTHR11824:SF8', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT BETA-3', NULL, NULL, NULL, 15),
(90494, NULL, 'PTHR45889:SF1', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE 2', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90495, NULL, 'PTHR16219:SF2', NULL, NULL, NULL, NULL, 'BNAA06G02620D PROTEIN', NULL, NULL, NULL, 15),
(90496, NULL, 'PTHR45959:SF39', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90497, NULL, 'PTHR22957:SF554', NULL, NULL, NULL, NULL, 'EVI5-LIKE PROTEIN ISOFORM X1', NULL, NULL, NULL, 15),
(90498, NULL, 'PTHR46336:SF3', NULL, NULL, NULL, NULL, 'OS02G0260700 PROTEIN', NULL, NULL, NULL, 15),
(90499, NULL, 'PTHR10407', NULL, NULL, NULL, NULL, 'HUNTINGTIN INTERACTING PROTEIN 1', NULL, NULL, 24899, 15),
(90500, NULL, 'PTHR33147:SF52', NULL, NULL, NULL, NULL, 'DEFENSIN', NULL, NULL, NULL, 15),
(90501, NULL, 'PTHR33880:SF4', NULL, NULL, NULL, NULL, 'OS07G0189700 PROTEIN', NULL, NULL, NULL, 15),
(90502, NULL, 'PTHR12114:SF4', NULL, NULL, NULL, NULL, 'GH23568P', NULL, NULL, NULL, 15),
(90503, NULL, 'PTHR33883:SF5', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90504, NULL, 'PTHR24247:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90505, NULL, 'PTHR38400:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90506, NULL, 'PTHR10121', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT DELTA', NULL, NULL, 26300, 15),
(90507, NULL, 'PTHR19288:SF80', NULL, NULL, NULL, NULL, 'PROTEIN CBG19872', NULL, NULL, NULL, 15),
(90508, NULL, 'PTHR11909:SF416', NULL, NULL, NULL, NULL, 'BNAA02G22150D PROTEIN', NULL, NULL, NULL, 15),
(90509, NULL, 'PTHR31509:SF13', NULL, NULL, NULL, NULL, 'PROTEIN BPS1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(90510, NULL, 'PTHR30419:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR TDCA', NULL, NULL, NULL, 15),
(90511, NULL, 'PTHR24100:SF0', NULL, NULL, NULL, NULL, 'V-SET DOMAIN-CONTAINING T-CELL ACTIVATION INHIBITOR 1', NULL, NULL, NULL, 15),
(90512, NULL, 'PTHR14166:SF17', NULL, NULL, NULL, NULL, 'SLIT-ROBO GAP HOMOLOG', NULL, NULL, NULL, 15),
(90513, NULL, 'PTHR21694:SF36', NULL, NULL, NULL, NULL, 'OUTER DYNEIN ARM DOCKING COMPLEX-RELATED', NULL, NULL, NULL, 15),
(90514, NULL, 'PTHR34064:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90515, NULL, 'PTHR24123:SF70', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY ANKYRIN REPEAT SUBUNIT C', NULL, NULL, NULL, 15),
(90516, NULL, 'PTHR22897:SF24', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE', NULL, NULL, NULL, 15),
(90517, NULL, 'PTHR10338', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN FAMILY MEMBER', NULL, NULL, NULL, 15),
(90518, NULL, 'PTHR37756:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(90519, NULL, 'PTHR24073:SF1083', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90520, NULL, 'PTHR11214:SF248', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(90521, NULL, 'PTHR10291:SF39', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE 7-RELATED', NULL, NULL, NULL, 15),
(90522, NULL, 'PTHR32246:SF70', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(90523, NULL, 'PTHR27004:SF330', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90524, NULL, 'PTHR12058:SF1', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 2B', NULL, NULL, NULL, 15),
(90525, NULL, 'PTHR34220:SF7', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YPDA', NULL, NULL, NULL, 15),
(90526, NULL, 'PTHR22776:SF12', NULL, NULL, NULL, NULL, 'MYELIN AND LYMPHOCYTE PROTEIN', NULL, NULL, NULL, 15),
(90527, NULL, 'PTHR38105', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED-RELATED', NULL, NULL, 14982, 15),
(90528, NULL, 'PTHR11199:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90529, NULL, 'PTHR31029:SF12', NULL, NULL, NULL, NULL, 'IRK-INTERACTING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(90530, NULL, 'PTHR47999:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB3', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90531, NULL, 'PTHR42884:SF1', NULL, NULL, NULL, NULL, 'FURIN', NULL, NULL, NULL, 15),
(90532, NULL, 'PTHR31379:SF1', NULL, NULL, NULL, NULL, 'F-BOX C PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90533, NULL, 'PTHR33112', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90534, NULL, 'PTHR48241', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90535, NULL, 'PTHR45624:SF29', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARNITINE/ACYLCARNITINE CARRIER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90536, NULL, 'PTHR27006:SF332', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90537, NULL, 'PTHR31945:SF71', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(90538, NULL, 'PTHR42989', NULL, NULL, NULL, NULL, 'HYDROGENASE-4 COMPONENT I', NULL, NULL, NULL, 15),
(90539, NULL, 'PTHR36728', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT O, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(90540, NULL, 'PTHR28593:SF2', NULL, NULL, NULL, NULL, 'METEORIN', NULL, NULL, 34142, 15),
(90541, NULL, 'PTHR31009:SF91', NULL, NULL, NULL, NULL, 'JASMONATE O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(90542, NULL, 'PTHR46634:SF3', NULL, NULL, NULL, NULL, 'M REDUCTASE II SUBUNIT GAMMA, PUTATIVE (DUF3741)-RELATED', NULL, NULL, NULL, 15),
(90543, NULL, 'PTHR10108:SF1069', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT17-RELATED', NULL, NULL, NULL, 15),
(90544, NULL, 'PTHR43139:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90545, NULL, 'PTHR13780:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90546, NULL, 'PTHR31529', NULL, NULL, NULL, NULL, 'LOB DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(90547, NULL, 'PTHR19211:SF116', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90548, NULL, 'PTHR48103', NULL, NULL, NULL, NULL, 'MIDASIN-RELATED', NULL, NULL, NULL, 15),
(90549, NULL, 'PTHR11766', NULL, NULL, NULL, NULL, 'TYROSYL-TRNA SYNTHETASE', NULL, NULL, 9990, 15),
(90550, NULL, 'PTHR31636:SF51', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 32', NULL, NULL, NULL, 15),
(90551, NULL, 'PTHR32331', NULL, NULL, NULL, NULL, 'UPF0313 PROTEIN YGIQ', NULL, NULL, 14911, 15),
(90552, NULL, 'PTHR10015:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90553, NULL, 'PTHR22950:SF613', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(90554, NULL, 'PTHR12431:SF19', NULL, NULL, NULL, NULL, 'SORTING NEXIN-27', NULL, NULL, NULL, 15),
(90555, NULL, 'PTHR10971:SF17', NULL, NULL, NULL, NULL, 'MITOTIC CHECKPOINT PROTEIN BUB3.3', NULL, NULL, NULL, 15),
(90556, NULL, 'PTHR10891:SF790', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML35-RELATED', NULL, NULL, NULL, 15),
(90557, NULL, 'PTHR13076:SF8', NULL, NULL, NULL, NULL, 'COILED-COIL AND C2 DOMAIN-CONTAINING PROTEIN 1A', NULL, NULL, NULL, 15),
(90558, NULL, 'PTHR24203:SF57', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', NULL, NULL, NULL, 15),
(90559, NULL, 'PTHR31744:SF157', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90560, NULL, 'PTHR45940:SF3', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 7', NULL, NULL, NULL, 15),
(90561, NULL, 'PTHR35546:SF17', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE-LIKE', NULL, NULL, NULL, 15),
(90562, NULL, 'PTHR24015:SF1710', NULL, NULL, NULL, NULL, 'OS01G0764950 PROTEIN', NULL, NULL, NULL, 15),
(90563, NULL, 'PTHR11926:SF893', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(90564, NULL, 'PTHR22835:SF572', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(90565, NULL, 'PTHR47928:SF63', NULL, NULL, NULL, NULL, 'OS08G0434000 PROTEIN', NULL, NULL, NULL, 15),
(90566, NULL, 'PTHR26450:SF79', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(90567, NULL, 'PTHR12155:SF42', NULL, NULL, NULL, NULL, 'SCHLAFEN FAMILY MEMBER 12', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90568, NULL, 'PTHR27005:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90569, NULL, 'PTHR12411:SF681', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RD21C-RELATED', NULL, NULL, NULL, 15),
(90570, NULL, 'PTHR34662:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90571, NULL, 'PTHR31307:SF8', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE TRANSCRIPTION FACTOR MYB/SANT-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(90572, NULL, 'PTHR33882:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90573, NULL, 'PTHR21581:SF11', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE DACA', NULL, NULL, NULL, 15),
(90574, NULL, 'PTHR12263', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE SUBUNIT H', NULL, NULL, 7519, 15),
(90575, NULL, 'PTHR45640:SF4', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(90576, NULL, 'PTHR46241', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 4 ARMC4', NULL, NULL, NULL, 15),
(90577, NULL, 'PTHR27004:SF220', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(90578, NULL, 'PTHR48011:SF26', NULL, NULL, NULL, NULL, 'BNAA02G09290D PROTEIN', NULL, NULL, NULL, 15),
(90579, NULL, 'PTHR27002:SF566', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(90580, NULL, 'PTHR37331', NULL, NULL, NULL, NULL, 'YALI0F11671P', NULL, NULL, NULL, 15),
(90581, NULL, 'PTHR11567:SF194', NULL, NULL, NULL, NULL, 'INTESTINAL ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(90582, NULL, 'PTHR31496:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAN2-RELATED', NULL, NULL, NULL, 15),
(90583, NULL, 'PTHR31717:SF90', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 9-LIKE', NULL, NULL, NULL, 15),
(90584, NULL, 'PTHR47985:SF56', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', NULL, NULL, NULL, 15),
(90585, NULL, 'PTHR23428:SF290', NULL, NULL, NULL, NULL, 'HISTONE H2B.3', NULL, NULL, NULL, 15),
(90586, NULL, 'PTHR11909:SF319', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE RELATED', NULL, NULL, NULL, 15),
(90587, NULL, 'PTHR31989:SF127', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 35', NULL, NULL, NULL, 15),
(90588, NULL, 'PTHR43327:SF23', NULL, NULL, NULL, NULL, 'BAND 7 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90589, NULL, 'PTHR12591:SF3', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATASE', NULL, NULL, NULL, 15),
(90590, NULL, 'PTHR10795:SF720', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90591, NULL, 'PTHR11802:SF351', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 18', NULL, NULL, NULL, 15),
(90592, NULL, 'PTHR24279:SF116', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 11, SUBFAMILY B, POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(90593, NULL, 'PTHR45800:SF14', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 1', NULL, NULL, NULL, 15),
(90594, NULL, 'PTHR15822:SF15', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(90595, NULL, 'PTHR30546:SF47', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN WRBA, FLAVOPROTEIN-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90596, NULL, 'PTHR32093:SF149', NULL, NULL, NULL, NULL, 'OS05G0180300 PROTEIN', NULL, NULL, NULL, 15),
(90597, NULL, 'PTHR30081:SF11', NULL, NULL, NULL, NULL, 'PROTEIN-EXPORT MEMBRANE PROTEIN SECF', NULL, NULL, NULL, 15),
(90598, NULL, 'PTHR14326:SF30', NULL, NULL, NULL, NULL, 'BNAC01G14300D PROTEIN', NULL, NULL, NULL, 15),
(90599, NULL, 'PTHR33285:SF46', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE PROTEIN', NULL, NULL, NULL, 15),
(90600, NULL, 'PTHR23266:SF223', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-7', NULL, NULL, NULL, 15),
(90601, NULL, 'PTHR46379', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(90602, NULL, 'PTHR31642:SF184', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', NULL, NULL, NULL, 15),
(90603, NULL, 'PTHR31080:SF200', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90604, NULL, 'PTHR23113:SF327', NULL, NULL, NULL, NULL, 'EXCHANGE PROTEIN DIRECTLY ACTIVATED BY CAMP, ISOFORM E', NULL, NULL, NULL, 15),
(90605, NULL, 'PTHR36026', NULL, NULL, NULL, NULL, 'OS05G0542100 PROTEIN', NULL, NULL, NULL, 15),
(90606, NULL, 'PTHR35089', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN SKP', NULL, NULL, 2529, 15),
(90607, NULL, 'PTHR33132', NULL, NULL, NULL, NULL, 'OSJNBB0118P14.9 PROTEIN', NULL, NULL, NULL, 15),
(90608, NULL, 'PTHR46504:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90609, NULL, 'PTHR37265:SF7', NULL, NULL, NULL, NULL, 'BNAA10G10950D PROTEIN', NULL, NULL, NULL, 15),
(90610, NULL, 'PTHR17357', NULL, NULL, NULL, NULL, 'GM2 GANGLIOSIDE ACTIVATOR PROTEIN', NULL, NULL, 25455, 15),
(90611, NULL, 'PTHR15191:SF6', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700015F17 GENE', NULL, NULL, NULL, 15),
(90612, NULL, 'PTHR13476:SF0', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN MEAF6', NULL, NULL, NULL, 15),
(90613, NULL, 'PTHR13943:SF2', NULL, NULL, NULL, NULL, 'CA(2+)-INDEPENDENT N-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(90614, NULL, 'PTHR33929:SF11', NULL, NULL, NULL, NULL, 'BNACNNG37070D PROTEIN', NULL, NULL, NULL, 15),
(90615, NULL, 'PTHR18874:SF10', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN F', NULL, NULL, NULL, 15),
(90616, NULL, 'PTHR48006:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(90617, NULL, 'PTHR11360:SF251', NULL, NULL, NULL, NULL, 'KARMOISIN, ISOFORM B', NULL, NULL, NULL, 15),
(90618, NULL, 'PTHR42898:SF53', NULL, NULL, NULL, NULL, 'BNAA05G29590D PROTEIN', NULL, NULL, NULL, 15),
(90619, NULL, 'PTHR11081:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90620, NULL, 'PTHR38450', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN AC-RELATED', NULL, NULL, 1994, 15),
(90621, NULL, 'PTHR11893:SF25', NULL, NULL, NULL, NULL, 'INNEXIN', NULL, NULL, NULL, 15),
(90622, NULL, 'PTHR45898:SF4', NULL, NULL, NULL, NULL, 'TARGET OF MYB PROTEIN 1', NULL, NULL, NULL, 15),
(90623, NULL, 'PTHR47009:SF3', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC053393', NULL, NULL, NULL, 15),
(90624, NULL, 'PTHR31080:SF189', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 4-LIKE', NULL, NULL, NULL, 15),
(90625, NULL, 'PTHR31992:SF179', NULL, NULL, NULL, NULL, 'BNAC08G21910D PROTEIN', NULL, NULL, NULL, 15),
(90626, NULL, 'PTHR31218:SF230', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(90627, NULL, 'PTHR37410:SF1', NULL, NULL, NULL, NULL, 'ADHESIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90628, NULL, 'PTHR12570:SF57', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(90629, NULL, 'PTHR31657', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF061', NULL, NULL, NULL, 15),
(90630, NULL, 'PTHR12303:SF6', NULL, NULL, NULL, NULL, 'CARNOSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(90631, NULL, 'PTHR33232:SF18', NULL, NULL, NULL, NULL, 'SIEVE ELEMENT OCCLUSION-RELATED', NULL, NULL, NULL, 15),
(90632, NULL, 'PTHR11571:SF137', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 5', NULL, NULL, NULL, 15),
(90633, NULL, 'PTHR12027:SF89', NULL, NULL, NULL, NULL, 'PROTEIN WNT-10A', NULL, NULL, NULL, 15),
(90634, NULL, 'PTHR32071:SF98', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL ACTIVATOR HYFR-RELATED', NULL, NULL, NULL, 15),
(90635, NULL, 'PTHR15344:SF15', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN 5', NULL, NULL, NULL, 15),
(90636, NULL, 'PTHR24253:SF110', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 60.1-RELATED', NULL, NULL, NULL, 15),
(90637, NULL, 'PTHR22702:SF1', NULL, NULL, NULL, NULL, 'PROTEASE-ASSOCIATED DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(90638, NULL, 'PTHR46407:SF3', NULL, NULL, NULL, NULL, 'OS02G0208700 PROTEIN', NULL, NULL, NULL, 15),
(90639, NULL, 'PTHR45908:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG07778', NULL, NULL, NULL, 15),
(90640, NULL, 'PTHR10805:SF0', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT EPSILON', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90641, NULL, 'PTHR10751:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90642, NULL, 'PTHR37038', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(90643, NULL, 'PTHR22803:SF137', NULL, NULL, NULL, NULL, 'REGENERATING ISLET-DERIVED PROTEIN 3-GAMMA', NULL, NULL, NULL, 15),
(90644, NULL, 'PTHR18896:SF135', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(90645, NULL, 'PTHR47992:SF47', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 41-RELATED', NULL, NULL, NULL, 15),
(90646, NULL, 'PTHR23308:SF53', NULL, NULL, NULL, NULL, 'F16B3.3 PROTEIN', NULL, NULL, NULL, 15),
(90647, NULL, 'PTHR32382:SF56', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 10', NULL, NULL, NULL, 15),
(90648, NULL, 'PTHR42643:SF21', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, DELTA-1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90649, NULL, 'PTHR24377:SF112', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 250', NULL, NULL, NULL, 15),
(90650, NULL, 'PTHR11675:SF49', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(90651, NULL, 'PTHR31205:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90652, NULL, 'PTHR43310:SF3', NULL, NULL, NULL, NULL, 'SULPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(90653, NULL, 'PTHR36729:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(90654, NULL, 'PTHR45930', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 124-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90655, NULL, 'PTHR43598', NULL, NULL, NULL, NULL, 'TUNGSTEN-CONTAINING FORMYLMETHANOFURAN DEHYDROGENASE 2 SUBUNIT B', NULL, NULL, NULL, 15),
(90656, NULL, 'PTHR31718:SF25', NULL, NULL, NULL, NULL, 'LIPOXYGENASE HOMOLOGY DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(90657, NULL, 'PTHR23208:SF11', NULL, NULL, NULL, NULL, 'COUNTING FACTOR 45-1-RELATED', NULL, NULL, NULL, 15),
(90658, NULL, 'PTHR43019:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90659, NULL, 'PTHR40708', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700113H08 GENE', NULL, NULL, 25362, 15),
(90660, NULL, 'PTHR10064:SF11', NULL, NULL, NULL, NULL, 'RIBOSOMAL L22E FAMILY PROTEIN', NULL, NULL, NULL, 15),
(90661, NULL, 'PTHR30435:SF15', NULL, NULL, NULL, NULL, 'BASAL-BODY ROD MODIFICATION PROTEIN FLGD', NULL, NULL, NULL, 15),
(90662, NULL, 'PTHR13369', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(90663, NULL, 'PTHR48041:SF24', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 21', NULL, NULL, NULL, 15),
(90664, NULL, 'PTHR31865', NULL, NULL, NULL, NULL, 'OSJNBA0071G03.3 PROTEIN', NULL, NULL, NULL, 15),
(90665, NULL, 'PTHR31375:SF224', NULL, NULL, NULL, NULL, 'F5I14.10', NULL, NULL, NULL, 15),
(90666, NULL, 'PTHR10168:SF211', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C11', NULL, NULL, NULL, 15),
(90667, NULL, 'PTHR16517:SF50', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 7', NULL, NULL, NULL, 15),
(90668, NULL, 'PTHR47039', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE 5-PHOSPHATASE E', NULL, NULL, NULL, 15),
(90669, NULL, 'PTHR35358:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90670, NULL, 'PTHR33605:SF11', NULL, NULL, NULL, NULL, 'EARLY NODULIN-93', NULL, NULL, NULL, 15),
(90671, NULL, 'PTHR19944:SF86', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN SIMILAR TO MHC CLASS II ALPHA CHAIN-RELATED', NULL, NULL, NULL, 15),
(90672, NULL, 'PTHR21654:SF86', NULL, NULL, NULL, NULL, 'OJ000223_09.13 PROTEIN', NULL, NULL, NULL, 15),
(90673, NULL, 'PTHR35894', NULL, NULL, NULL, NULL, 'GENERAL SECRETION PATHWAY PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(90674, NULL, 'PTHR16631:SF16', NULL, NULL, NULL, NULL, 'GPI-ANCHORED CELL WALL BETA-1,3-ENDOGLUCANASE EGLC', NULL, NULL, NULL, 15),
(90675, NULL, 'PTHR28234', NULL, NULL, NULL, NULL, 'NUCLEAR CONTROL OF ATPASE PROTEIN 2', NULL, NULL, 8445, 15),
(90676, NULL, 'PTHR11803:SF44', NULL, NULL, NULL, NULL, 'RUTC FAMILY PROTEIN YJGH', NULL, NULL, NULL, 15),
(90677, NULL, 'PTHR31087:SF93', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 2', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90678, NULL, 'PTHR42801:SF15', NULL, NULL, NULL, NULL, 'SOLUBLE SECRETED ANTIGEN MPT53', NULL, NULL, NULL, 15),
(90679, NULL, 'PTHR10545:SF42', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', NULL, NULL, 27292, 15),
(90680, NULL, 'PTHR45775:SF7', NULL, NULL, NULL, NULL, 'RAD, GEM/KIR FAMILY MEMBER 1, ISOFORM B', NULL, NULL, NULL, 15),
(90681, NULL, 'PTHR47959:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DEAD BOX FAMILY', NULL, NULL, NULL, 15),
(90682, NULL, 'PTHR27008:SF423', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90683, NULL, 'PTHR31681:SF54', NULL, NULL, NULL, NULL, 'BNACNNG42460D PROTEIN', NULL, NULL, NULL, 15),
(90684, NULL, 'PTHR43087:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT SYSTEM KINASE-RELATED', NULL, NULL, NULL, 15),
(90685, NULL, 'PTHR47499:SF1', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 7', NULL, NULL, NULL, 15),
(90686, NULL, 'PTHR43255:SF1', NULL, NULL, NULL, NULL, 'IRON-SULFUR-BINDING OXIDOREDUCTASE FADF-RELATED', NULL, NULL, NULL, 15),
(90687, NULL, 'PTHR10722', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L19', NULL, NULL, 35878, 15),
(90688, NULL, 'PTHR45734:SF1', NULL, NULL, NULL, NULL, 'TENSIN-2', NULL, NULL, NULL, 15),
(90689, NULL, 'PTHR23254:SF16', NULL, NULL, NULL, NULL, 'CBP80/20-DEPENDENT TRANSLATION INITIATION FACTOR', NULL, NULL, NULL, 15),
(90690, NULL, 'PTHR32212:SF318', NULL, NULL, NULL, NULL, 'BNAA09G46080D PROTEIN', NULL, NULL, NULL, 15),
(90691, NULL, 'PTHR48014:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90692, NULL, 'PTHR31321:SF94', NULL, NULL, NULL, NULL, 'BNAA04G12290D PROTEIN', NULL, NULL, NULL, 15),
(90693, NULL, 'PTHR22898:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG15832', NULL, NULL, NULL, 15),
(90694, NULL, 'PTHR45508', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 9, CHLOROPLASTIC', NULL, NULL, 38778, 15),
(90695, NULL, 'PTHR31669:SF232', NULL, NULL, NULL, NULL, 'OS02G0262500 PROTEIN', NULL, NULL, NULL, 15),
(90696, NULL, 'PTHR12358:SF47', NULL, NULL, NULL, NULL, 'SPHINGOSINE KINASE 1', NULL, NULL, NULL, 15),
(90697, NULL, 'PTHR43085:SF6', NULL, NULL, NULL, NULL, 'FRUCTOKINASE-5-RELATED', NULL, NULL, NULL, 15),
(90698, NULL, 'PTHR21576:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90699, NULL, 'PTHR18820', NULL, NULL, NULL, NULL, 'LEG1', NULL, NULL, 12248, 15),
(90700, NULL, 'PTHR40599:SF1', NULL, NULL, NULL, NULL, '[CITRATE [PRO-3S]-LYASE] LIGASE', NULL, NULL, NULL, 15),
(90701, NULL, 'PTHR31355:SF26', NULL, NULL, NULL, NULL, 'CLATHRIN/COATOMER ADAPTOR, ADAPTIN-LIKE, ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90702, NULL, 'PTHR11206:SF103', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 50', NULL, NULL, NULL, 15),
(90703, NULL, 'PTHR23277:SF11', NULL, NULL, NULL, NULL, 'NECTIN-4', NULL, NULL, 32575, 15),
(90704, NULL, 'PTHR31517:SF11', NULL, NULL, NULL, NULL, 'PEROXIDASE 31', NULL, NULL, NULL, 15),
(90705, NULL, 'PTHR37736:SF2', NULL, NULL, NULL, NULL, 'BNAC03G29820D PROTEIN', NULL, NULL, NULL, 15),
(90706, NULL, 'PTHR47958:SF33', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX25', NULL, NULL, NULL, 15),
(90707, NULL, 'PTHR45670:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL4', NULL, NULL, NULL, 15),
(90708, NULL, 'PTHR46736:SF27', NULL, NULL, NULL, NULL, 'ACID BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90709, NULL, 'PTHR18870:SF10', NULL, NULL, NULL, NULL, 'ZGC:85722', NULL, NULL, NULL, 15),
(90710, NULL, 'PTHR23272:SF114', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN DAYSLEEPER-LIKE', NULL, NULL, NULL, 15),
(90711, NULL, 'PTHR21649:SF114', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN CP24 10A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(90712, NULL, 'PTHR10048:SF99', NULL, NULL, NULL, NULL, 'SI:RP71-17I16.5', NULL, NULL, NULL, 15),
(90713, NULL, 'PTHR23208:SF17', NULL, NULL, NULL, NULL, 'LYSOZYME-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(90714, NULL, 'PTHR11863:SF157', NULL, NULL, NULL, NULL, 'PROTEIN CER1-LIKE 1-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90715, NULL, 'PTHR31325:SF6', NULL, NULL, NULL, NULL, 'OS02G0543500 PROTEIN', NULL, NULL, NULL, 15),
(90716, NULL, 'PTHR33203:SF4', NULL, NULL, NULL, NULL, 'F27J15.22', NULL, NULL, NULL, 15),
(90717, NULL, 'PTHR24173:SF44', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 13', NULL, NULL, NULL, 15),
(90718, NULL, 'PTHR24416:SF481', NULL, NULL, NULL, NULL, 'TIE-LIKE RECEPTOR TYROSINE KINASE', NULL, NULL, NULL, 15),
(90719, NULL, 'PTHR22936:SF69', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90720, NULL, 'PTHR14471:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH7', NULL, NULL, NULL, 15),
(90721, NULL, 'PTHR13363:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF123', NULL, NULL, NULL, 15),
(90722, NULL, 'PTHR26374:SF399', NULL, NULL, NULL, NULL, 'OS11G0702300 PROTEIN', NULL, NULL, NULL, 15),
(90723, NULL, 'PTHR42895:SF2', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER BINDING PROTEIN', NULL, NULL, NULL, 15),
(90724, NULL, 'PTHR31746:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 229A', NULL, NULL, NULL, 15),
(90725, NULL, 'PTHR11746:SF263', NULL, NULL, NULL, NULL, 'DES-METHYL DIF-1 METHYLTRANSFERASE A-RELATED', NULL, NULL, NULL, 15),
(90726, NULL, 'PTHR33332:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90727, NULL, 'PTHR45647:SF50', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 57', NULL, NULL, NULL, 15),
(90728, NULL, 'PTHR46756:SF1', NULL, NULL, NULL, NULL, 'CALPONIN-1', NULL, NULL, NULL, 15),
(90729, NULL, 'PTHR11022:SF66', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE', NULL, NULL, NULL, 15),
(90730, NULL, 'PTHR22850:SF214', NULL, NULL, NULL, NULL, 'HISTONE-BINDING PROTEIN MSI1', NULL, NULL, NULL, 15),
(90731, NULL, 'PTHR13847:SF194', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(90732, NULL, 'PTHR11364:SF6', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE', NULL, NULL, NULL, 15),
(90733, NULL, 'PTHR22792:SF141', NULL, NULL, NULL, NULL, 'BNAA08G14850D PROTEIN', NULL, NULL, NULL, 15),
(90734, NULL, 'PTHR33057:SF27', NULL, NULL, NULL, NULL, 'OS07G0679200 PROTEIN', NULL, NULL, NULL, 15),
(90735, NULL, 'PTHR31997:SF0', NULL, NULL, NULL, NULL, 'PROTEIN FAM149B1', NULL, NULL, NULL, 15),
(90736, NULL, 'PTHR10108:SF1106', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT26-RELATED', NULL, NULL, NULL, 15),
(90737, NULL, 'PTHR16768:SF3', NULL, NULL, NULL, NULL, 'ACTIN-ASSOCIATED PROTEIN FAM107A', NULL, NULL, NULL, 15),
(90738, NULL, 'PTHR13186', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 31', NULL, NULL, 14287, 15),
(90739, NULL, 'PTHR14388:SF6', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(90740, NULL, 'PTHR33493:SF18', NULL, NULL, NULL, NULL, 'OS06G0324400 PROTEIN', NULL, NULL, NULL, 15),
(90741, NULL, 'PTHR31929:SF77', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90742, NULL, 'PTHR46537:SF2', NULL, NULL, NULL, NULL, 'OS01G0796700 PROTEIN', NULL, NULL, NULL, 15),
(90743, NULL, 'PTHR31953:SF68', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 4', NULL, NULL, NULL, 15),
(90744, NULL, 'PTHR10641:SF1121', NULL, NULL, NULL, NULL, 'OS07G0629000 PROTEIN', NULL, NULL, NULL, 15),
(90745, NULL, 'PTHR47501:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90746, NULL, 'PTHR11259:SF6', NULL, NULL, NULL, NULL, 'RAS-RELATED GTP-BINDING PROTEIN C', NULL, NULL, NULL, 15),
(90747, NULL, 'PTHR47969:SF3', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-4B', NULL, NULL, NULL, 15),
(90748, NULL, 'PTHR45903:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH WD REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(90749, NULL, 'PTHR33095:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90750, NULL, 'PTHR38658:SF1', NULL, NULL, NULL, NULL, 'OXPP CYCLE PROTEIN OPCA-RELATED', NULL, NULL, NULL, 15),
(90751, NULL, 'PTHR48001:SF129', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90752, NULL, 'PTHR21502:SF6', NULL, NULL, NULL, NULL, 'RILP-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(90753, NULL, 'PTHR23318:SF21', NULL, NULL, NULL, NULL, 'BNAA02G30850D PROTEIN', NULL, NULL, NULL, 15),
(90754, NULL, 'PTHR26374:SF380', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90755, NULL, 'PTHR31325:SF22', NULL, NULL, NULL, NULL, 'OS07G0180300 PROTEIN', NULL, NULL, NULL, 15),
(90756, NULL, 'PTHR38477', NULL, NULL, NULL, NULL, 'HYPOTHETICAL EXPORTED PROTEIN', NULL, NULL, 18511, 15),
(90757, NULL, 'PTHR23504:SF17', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(90758, NULL, 'PTHR43572:SF26', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: PROTEIN SMAX1-LIKE', NULL, NULL, NULL, 15),
(90759, NULL, 'PTHR23089:SF47', NULL, NULL, NULL, NULL, 'BNAC06G15970D PROTEIN', NULL, NULL, NULL, 15),
(90760, NULL, 'PTHR45632:SF14', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 33', NULL, NULL, 26506, 15),
(90761, NULL, 'PTHR24233:SF8', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 87', NULL, NULL, NULL, 15),
(90762, NULL, 'PTHR46234:SF9', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(90763, NULL, 'PTHR21221', NULL, NULL, NULL, NULL, 'UREIDOGLYCOLATE HYDROLASE', NULL, NULL, 6726, 15),
(90764, NULL, 'PTHR11247', NULL, NULL, NULL, NULL, 'PALMITOYL-PROTEIN THIOESTERASE/DOLICHYLDIPHOSPHATASE 1', NULL, NULL, NULL, 15),
(90765, NULL, 'PTHR14396', NULL, NULL, NULL, NULL, 'CLASPIN', NULL, NULL, 11066, 15),
(90766, NULL, 'PTHR48001:SF48', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(90767, NULL, 'PTHR31985:SF187', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', NULL, NULL, NULL, 15),
(90768, NULL, 'PTHR10587:SF105', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE 1-RELATED', NULL, NULL, NULL, 15),
(90769, NULL, 'PTHR47126:SF6', NULL, NULL, NULL, NULL, 'APR-LIKE 5-RELATED', NULL, NULL, NULL, 15),
(90770, NULL, 'PTHR11606:SF31', NULL, NULL, NULL, NULL, 'GLUTAMATE/LEUCINE/PHENYLALANINE/VALINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(90771, NULL, 'PTHR45952:SF9', NULL, NULL, NULL, NULL, 'STEM-SPECIFIC PROTEIN TSJT1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(90772, NULL, 'PTHR28630:SF26', NULL, NULL, NULL, NULL, 'OS03G0729300 PROTEIN', NULL, NULL, NULL, 15),
(90773, NULL, 'PTHR11080:SF31', NULL, NULL, NULL, NULL, 'PYRAZINAMIDASE AND NICOTINAMIDASE', NULL, NULL, NULL, 15),
(90774, NULL, 'PTHR24381:SF345', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 846', NULL, NULL, NULL, 15),
(90775, NULL, 'PTHR32176:SF76', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(90776, NULL, 'PTHR31221:SF229', NULL, NULL, NULL, NULL, 'BNAA05G12160D PROTEIN', NULL, NULL, NULL, 15),
(90777, NULL, 'PTHR24343:SF434', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(90778, NULL, 'PTHR10593:SF10', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 16', NULL, NULL, NULL, 15),
(90779, NULL, 'PTHR24255:SF26', NULL, NULL, NULL, NULL, 'COMPLEMENT C1R SUBCOMPONENT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90780, NULL, 'PTHR15467:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGERS AND HOMEOBOXES PROTEIN 1', NULL, NULL, NULL, 15),
(90781, NULL, 'PTHR11834', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ENHANCER FACTOR  TEF  RELATED', NULL, NULL, NULL, 15),
(90782, NULL, 'PTHR23421:SF124', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 8', NULL, NULL, NULL, 15),
(90783, NULL, 'PTHR15633:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90784, NULL, 'PTHR23021:SF33', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(90785, NULL, 'PTHR24366:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90786, NULL, 'PTHR32285:SF300', NULL, NULL, NULL, NULL, 'PMR5 N-TERMINAL DOMAIN, PC-ESTERASE, TRICHOME BIREFRINGENCE/TRICHOME BIREFRINGENCE-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(90787, NULL, 'PTHR23279:SF21', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 11, ISOFORM B-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90788, NULL, 'PTHR24365:SF540', NULL, NULL, NULL, NULL, 'YALI0F06028P', NULL, NULL, NULL, 15),
(90789, NULL, 'PTHR31325:SF26', NULL, NULL, NULL, NULL, 'OS11G0618800 PROTEIN', NULL, NULL, NULL, 15),
(90790, NULL, 'PTHR19331:SF22', NULL, NULL, NULL, NULL, 'DELETED IN MALIGNANT BRAIN TUMORS 1 PROTEIN', NULL, NULL, NULL, 15),
(90791, NULL, 'PTHR32063:SF13', NULL, NULL, NULL, NULL, 'MULTIDRUG EFFLUX PUMP SUBUNIT ACRB-RELATED', NULL, NULL, NULL, 15),
(90792, NULL, 'PTHR45616:SF27', NULL, NULL, NULL, NULL, 'KERATIN 83-RELATED', NULL, NULL, NULL, 15),
(90793, NULL, 'PTHR23263:SF130', NULL, NULL, NULL, NULL, 'LATE CORNIFIED ENVELOPE PROTEIN 1F', NULL, NULL, NULL, 15),
(90794, NULL, 'PTHR12231:SF245', NULL, NULL, NULL, NULL, 'AGAP002802-PA', NULL, NULL, NULL, 15),
(90795, NULL, 'PTHR11473:SF24', NULL, NULL, NULL, NULL, 'PHENYLALANINE-4-HYDROXYLASE', NULL, NULL, NULL, 15),
(90796, NULL, 'PTHR48012:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0292350-RELATED', NULL, NULL, NULL, 15),
(90797, NULL, 'PTHR46995:SF6', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(90798, NULL, 'PTHR30302:SF8', NULL, NULL, NULL, NULL, 'HYDROGENASE 2 MATURATION PROTEASE', NULL, NULL, NULL, 15),
(90799, NULL, 'PTHR22980:SF5', NULL, NULL, NULL, NULL, 'CEN-T', NULL, NULL, NULL, 15),
(90800, NULL, 'PTHR10270:SF11', NULL, NULL, NULL, NULL, 'SRY (SEX DETERMINING REGION Y)-BOX 32', NULL, NULL, NULL, 15),
(90801, NULL, 'PTHR38684', NULL, NULL, NULL, NULL, 'PROTEIN AMPE', NULL, NULL, NULL, 15),
(90802, NULL, 'PTHR45679:SF3', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE I MNS5', NULL, NULL, NULL, 15),
(90803, NULL, 'PTHR33669', NULL, NULL, NULL, NULL, 'PROTEIN NEGATIVE REGULATOR OF RESISTANCE', NULL, NULL, 28663, 15),
(90804, NULL, 'PTHR32295:SF213', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14', NULL, NULL, NULL, 15),
(90805, NULL, 'PTHR44375:SF20', NULL, NULL, NULL, NULL, 'BNAA09G34910D PROTEIN', NULL, NULL, NULL, 15),
(90806, NULL, 'PTHR24340:SF82', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN VND', NULL, NULL, NULL, 15),
(90807, NULL, 'PTHR24255:SF13', NULL, NULL, NULL, NULL, 'MANNAN-BINDING LECTIN SERINE PROTEASE 1', NULL, NULL, NULL, 15),
(90808, NULL, 'PTHR38463:SF1', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN YSNF', NULL, NULL, NULL, 15),
(90809, NULL, 'PTHR45900:SF6', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RECA HOMOLOG 3, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(90810, NULL, 'PTHR31490:SF66', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 10 PROTEIN / CARBOHYDRATE-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(90811, NULL, 'PTHR11206:SF334', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(90812, NULL, 'PTHR24056:SF435', NULL, NULL, NULL, NULL, 'DIVISION CONTROL PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90813, NULL, 'PTHR31744:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90814, NULL, 'PTHR12138:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90815, NULL, 'PTHR45614:SF111', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN A-LIKE', NULL, NULL, NULL, 15),
(90816, NULL, 'PTHR31752:SF51', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER-RELATED', NULL, NULL, NULL, 15),
(90817, NULL, 'PTHR20902', NULL, NULL, NULL, NULL, '41-2 PROTEIN ANTIGEN-RELATED', NULL, NULL, 20899, 15),
(90818, NULL, 'PTHR33191:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90819, NULL, 'PTHR33433:SF29', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(90820, NULL, 'PTHR11220:SF25', NULL, NULL, NULL, NULL, 'F3F9.4', NULL, NULL, NULL, 15),
(90821, NULL, 'PTHR33244:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90822, NULL, 'PTHR27008:SF449', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(90823, NULL, 'PTHR23309:SF35', NULL, NULL, NULL, NULL, 'OS05G0362100 PROTEIN', NULL, NULL, NULL, 15),
(90824, NULL, 'PTHR18884:SF83', NULL, NULL, NULL, NULL, 'SI:CH211-282J17.12-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90825, NULL, 'PTHR23023:SF256', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(90826, NULL, 'PTHR32444:SF137', NULL, NULL, NULL, NULL, 'EPIDERMIS-SPECIFIC SECRETED GLYCOPROTEIN EP1-LIKE', NULL, NULL, NULL, 15),
(90827, NULL, 'PTHR27002:SF622', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 5', NULL, NULL, NULL, 15),
(90828, NULL, 'PTHR15114:SF1', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 14 KDA SUBUNIT', NULL, NULL, NULL, 15),
(90829, NULL, 'PTHR10338:SF108', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN H6', NULL, NULL, NULL, 15),
(90830, NULL, 'PTHR46398:SF4', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(90831, NULL, 'PTHR11690:SF227', NULL, NULL, NULL, NULL, 'DEGENERIN LIKE', NULL, NULL, NULL, 15),
(90832, NULL, 'PTHR31739:SF38', NULL, NULL, NULL, NULL, 'BNACNNG04040D PROTEIN', NULL, NULL, NULL, 15),
(90833, NULL, 'PTHR19143:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90834, NULL, 'PTHR47979:SF48', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(90835, NULL, 'PTHR12301:SF9', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(90836, NULL, 'PTHR47449', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD4', NULL, NULL, 39364, 15),
(90837, NULL, 'PTHR43570:SF25', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 3 MEMBER I1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(90838, NULL, 'PTHR43744:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE BOUND SUGAR TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(90839, NULL, 'PTHR33349:SF2', NULL, NULL, NULL, NULL, 'EMB|CAB62594.1', NULL, NULL, NULL, 15),
(90840, NULL, 'PTHR33098:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90841, NULL, 'PTHR37557:SF4', NULL, NULL, NULL, NULL, '115 KDA PROTEIN IN TYPE-1 RETROTRANSPOSABLE ELEMENT R1DM-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90842, NULL, 'PTHR13193:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ASTERIX', NULL, NULL, NULL, 15),
(90843, NULL, 'PTHR13931:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATION FACTOR E4 A', NULL, NULL, NULL, 15),
(90844, NULL, 'PTHR13856', NULL, NULL, NULL, NULL, 'VHS DOMAIN CONTAINING PROTEIN FAMILY', NULL, NULL, NULL, 15),
(90845, NULL, 'PTHR36026:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90846, NULL, 'PTHR23138:SF135', NULL, NULL, NULL, NULL, 'RAN-SPECIFIC GTPASE-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(90847, NULL, 'PTHR23182:SF5', NULL, NULL, NULL, NULL, 'ACTIVE BREAKPOINT CLUSTER REGION-RELATED PROTEIN', NULL, NULL, NULL, 15),
(90848, NULL, 'PTHR12778:SF10', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(90849, NULL, 'PTHR10845:SF192', NULL, NULL, NULL, NULL, 'DOUBLE HIT, ISOFORM B', NULL, NULL, NULL, 15),
(90850, NULL, 'PTHR24225:SF27', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 32-RELATED', NULL, NULL, NULL, 15),
(90851, NULL, 'PTHR32176:SF28', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(90852, NULL, 'PTHR31468', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE GAS1', NULL, NULL, 109, 15),
(90853, NULL, 'PTHR35073', NULL, NULL, NULL, NULL, 'OTOSPIRALIN', NULL, NULL, 23221, 15),
(90854, NULL, 'PTHR24068:SF344', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1A-LIKE', NULL, NULL, NULL, 15),
(90855, NULL, 'PTHR31490:SF14', NULL, NULL, NULL, NULL, 'OS01G0134900 PROTEIN', NULL, NULL, NULL, 15),
(90856, NULL, 'PTHR38826:SF5', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC13', NULL, NULL, NULL, 15),
(90857, NULL, 'PTHR24381:SF309', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 529', NULL, NULL, NULL, 15),
(90858, NULL, 'PTHR46608:SF1', NULL, NULL, NULL, NULL, 'T-CELL IMMUNOGLOBULIN AND MUCIN DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(90859, NULL, 'PTHR31009:SF127', NULL, NULL, NULL, NULL, 'CARBOXYL METHYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90860, NULL, 'PTHR15739:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ZNF365', NULL, NULL, NULL, 15),
(90861, NULL, 'PTHR40626:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN RST2', NULL, NULL, NULL, 15),
(90862, NULL, 'PTHR33223', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90863, NULL, 'PTHR28087', NULL, NULL, NULL, NULL, 'ATPASE SYNTHESIS PROTEIN 25, MITOCHONDRIAL', NULL, NULL, 32792, 15),
(90864, NULL, 'PTHR45672:SF11', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE C17H9.14C', NULL, NULL, NULL, 15),
(90865, NULL, 'PTHR33348', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP5', NULL, NULL, 31521, 15),
(90866, NULL, 'PTHR45614:SF128', NULL, NULL, NULL, NULL, 'BNAANNG13080D PROTEIN', NULL, NULL, NULL, 15),
(90867, NULL, 'PTHR26450:SF58', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52W1', NULL, NULL, NULL, 15),
(90868, NULL, 'PTHR24224:SF6', NULL, NULL, NULL, NULL, 'CARDIOACCELERATORY PEPTIDE RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(90869, NULL, 'PTHR10233:SF18', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B DELTA SUBUNIT', NULL, NULL, NULL, 15),
(90870, NULL, 'PTHR45811:SF46', NULL, NULL, NULL, NULL, 'BNAA06G39500D PROTEIN', NULL, NULL, NULL, 15),
(90871, NULL, 'PTHR10811:SF7', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE LUNATIC FRINGE', NULL, NULL, NULL, 15),
(90872, NULL, 'PTHR47152', NULL, NULL, NULL, NULL, 'SLR2084 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90873, NULL, 'PTHR10334:SF461', NULL, NULL, NULL, NULL, 'PEPTIDASE INHIBITOR 16', NULL, NULL, NULL, 15),
(90874, NULL, 'PTHR14759:SF31', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 6B', NULL, NULL, NULL, 15),
(90875, NULL, 'PTHR10656:SF70', NULL, NULL, NULL, NULL, 'PROTEIN MAB-21-LIKE', NULL, NULL, NULL, 15),
(90876, NULL, 'PTHR44279:SF3', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID 11-BETA-DEHYDROGENASE 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90877, NULL, 'PTHR33479:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90878, NULL, 'PTHR31215:SF17', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FAMILY-LIKE', NULL, NULL, NULL, 15),
(90879, NULL, 'PTHR13115:SF19', NULL, NULL, NULL, NULL, 'BNAC07G32070D PROTEIN', NULL, NULL, NULL, 15),
(90880, NULL, 'PTHR45624:SF9', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G06390)-RELATED', NULL, NULL, NULL, 15),
(90881, NULL, 'PTHR10828:SF42', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE RELATED', NULL, NULL, NULL, 15),
(90882, NULL, 'PTHR11214:SF304', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(90883, NULL, 'PTHR12214:SF3', NULL, NULL, NULL, NULL, 'GC-RICH SEQUENCE DNA-BINDING FACTOR 2', NULL, NULL, NULL, 15),
(90884, NULL, 'PTHR23056:SF83', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(90885, NULL, 'PTHR34568:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90886, NULL, 'PTHR24118:SF90', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 14', NULL, NULL, NULL, 15),
(90887, NULL, 'PTHR10378:SF32', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR SEUSS ISOFORM X1', NULL, NULL, NULL, 15),
(90888, NULL, 'PTHR19211', NULL, NULL, NULL, NULL, 'ATP-BINDING TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(90889, NULL, 'PTHR24023:SF1009', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XVIII) CHAIN', NULL, NULL, NULL, 15),
(90890, NULL, 'PTHR35974:SF1', NULL, NULL, NULL, NULL, 'NONCOMPACT MYELIN-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(90891, NULL, 'PTHR47894:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR VQSM', NULL, NULL, NULL, 15),
(90892, NULL, 'PTHR38736:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90893, NULL, 'PTHR11176:SF4', NULL, NULL, NULL, NULL, 'DELETED IN AZOOSPERMIA-LIKE', NULL, NULL, 18849, 15),
(90894, NULL, 'PTHR11644:SF2', NULL, NULL, NULL, NULL, 'CYTIDINE DEAMINASE', NULL, NULL, NULL, 15),
(90895, NULL, 'PTHR30537:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(90896, NULL, 'PTHR31865:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90897, NULL, 'PTHR16223:SF235', NULL, NULL, NULL, NULL, 'OS01G0230200 PROTEIN', NULL, NULL, NULL, 15),
(90898, NULL, 'PTHR38006:SF1', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC KINETOCHORE PROTEIN', NULL, NULL, NULL, 15),
(90899, NULL, 'PTHR21017:SF17', NULL, NULL, NULL, NULL, 'PROTEIN NIPSNAP', NULL, NULL, NULL, 15),
(90900, NULL, 'PTHR13071:SF4', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S22, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(90901, NULL, 'PTHR10378:SF7', NULL, NULL, NULL, NULL, 'LIM DOMAIN-BINDING PROTEIN 1', NULL, NULL, 27218, 15),
(90902, NULL, 'PTHR44329:SF177', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CTR1', NULL, NULL, NULL, 15),
(90903, NULL, 'PTHR33599:SF14', NULL, NULL, NULL, NULL, 'PROTEIN IDA-LIKE 4', NULL, NULL, NULL, 15),
(90904, NULL, 'PTHR45633:SF21', NULL, NULL, NULL, NULL, '60 KDA CHAPERONIN BETA SUBUNIT', NULL, NULL, NULL, 15),
(90905, NULL, 'PTHR11668:SF461', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(90906, NULL, 'PTHR21462:SF2', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN CD200 RECEPTOR 1', NULL, NULL, NULL, 15),
(90907, NULL, 'PTHR31636:SF129', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 14', NULL, NULL, NULL, 15),
(90908, NULL, 'PTHR23226:SF234', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 716', NULL, NULL, NULL, 15),
(90909, NULL, 'PTHR48018:SF143', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(90910, NULL, 'PTHR24242:SF246', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(90911, NULL, 'PTHR46547:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GIS2', NULL, NULL, NULL, 15),
(90912, NULL, 'PTHR30592:SF3', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN FDHD', NULL, NULL, NULL, 15),
(90913, NULL, 'PTHR34414:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90914, NULL, 'PTHR46300:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90915, NULL, 'PTHR48041:SF25', NULL, NULL, NULL, NULL, 'BNAA06G00960D PROTEIN', NULL, NULL, NULL, 15),
(90916, NULL, 'PTHR12107:SF27', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, VOLTAGE-DEPENDENT, GAMMA SUBUNIT 8B', NULL, NULL, NULL, 15),
(90917, NULL, 'PTHR10131:SF110', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR FAMILY PROTEIN DDB_G0277243', NULL, NULL, NULL, 15),
(90918, NULL, 'PTHR24031:SF718', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-8-LIKE', NULL, NULL, NULL, 15),
(90919, NULL, 'PTHR47942:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90920, NULL, 'PTHR10226', NULL, NULL, NULL, NULL, 'A KINASE ANCHOR PROTEIN', NULL, NULL, 7766, 15),
(90921, NULL, 'PTHR19818:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZIC 2', NULL, NULL, NULL, 15),
(90922, NULL, 'PTHR43157:SF33', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01250)-RELATED', NULL, NULL, NULL, 15),
(90923, NULL, 'PTHR10901:SF3', NULL, NULL, NULL, NULL, 'LEIOMODIN-3', NULL, NULL, 23948, 15),
(90924, NULL, 'PTHR30455', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR NRDR', NULL, NULL, 3273, 15),
(90925, NULL, 'PTHR31929:SF104', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR21', NULL, NULL, NULL, 15),
(90926, NULL, 'PTHR45915:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM33', NULL, NULL, NULL, 15),
(90927, NULL, 'PTHR46315:SF2', NULL, NULL, NULL, NULL, 'SPERMINE SYNTHASE', NULL, NULL, NULL, 15),
(90928, NULL, 'PTHR32289:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM167A', NULL, NULL, NULL, 15),
(90929, NULL, 'PTHR13271:SF106', NULL, NULL, NULL, NULL, 'RUBISCO LS METHYLTRANSFERASE, SUBSTRATE-BINDING DOMAIN', NULL, NULL, NULL, 15),
(90930, NULL, 'PTHR42799:SF21', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE A4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(90931, NULL, 'PTHR48020:SF9', NULL, NULL, NULL, NULL, 'HXT5P', NULL, NULL, NULL, 15),
(90932, NULL, 'PTHR31549:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90933, NULL, 'PTHR14187:SF79', NULL, NULL, NULL, NULL, 'HSP70 FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G15200)', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90934, NULL, 'PTHR23267:SF423', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-16-RELATED', NULL, NULL, NULL, 15),
(90935, NULL, 'PTHR37878', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689039', NULL, NULL, 28550, 15),
(90936, NULL, 'PTHR12713', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE SUBUNIT G', NULL, NULL, 7076, 15),
(90937, NULL, 'PTHR31704:SF37', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(90938, NULL, 'PTHR48112:SF2', NULL, NULL, NULL, NULL, 'NON-HISTONE CHROMOSOMAL PROTEIN 6', NULL, NULL, NULL, 15),
(90939, NULL, 'PTHR43874:SF81', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR9', NULL, NULL, NULL, 15),
(90940, NULL, 'PTHR47452:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90941, NULL, 'PTHR12334', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 2', NULL, NULL, 29721, 15),
(90942, NULL, 'PTHR36037', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE (REVERSE TRANSCRIPTASE)-RELATED FAMILY PROTEIN', NULL, NULL, NULL, 15),
(90943, NULL, 'PTHR31796:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90944, NULL, 'PTHR14155:SF512', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL19-RELATED', NULL, NULL, NULL, 15),
(90945, NULL, 'PTHR30614:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE/ASPARTATE IMPORT PERMEASE PROTEIN GLTK', NULL, NULL, 24699, 15),
(90946, NULL, 'PTHR13847:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90947, NULL, 'PTHR19918:SF35', NULL, NULL, NULL, NULL, 'FIZZY/CELL DIVISION CYCLE 20-RELATED 1B', NULL, NULL, NULL, 15),
(90948, NULL, 'PTHR43591:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90949, NULL, 'PTHR24111:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90950, NULL, 'PTHR48063:SF18', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(90951, NULL, 'PTHR33021:SF285', NULL, NULL, NULL, NULL, 'BNAA02G22370D PROTEIN', NULL, NULL, NULL, 15),
(90952, NULL, 'PTHR11977:SF116', NULL, NULL, NULL, NULL, 'BNAC06G12200D PROTEIN', NULL, NULL, NULL, 15),
(90953, NULL, 'PTHR24305:SF172', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(90954, NULL, 'PTHR22599:SF25', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 2A', NULL, NULL, NULL, 15),
(90955, NULL, 'PTHR11468', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE', NULL, NULL, 5478, 15),
(90956, NULL, 'PTHR36497:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG17883', NULL, NULL, NULL, 15),
(90957, NULL, 'PTHR36054:SF3', NULL, NULL, NULL, NULL, 'BNAA01G35180D PROTEIN', NULL, NULL, NULL, 15),
(90958, NULL, 'PTHR27005:SF222', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(90959, NULL, 'PTHR36719', NULL, NULL, NULL, NULL, 'OS01G0676200 PROTEIN', NULL, NULL, NULL, 15),
(90960, NULL, 'PTHR31692:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90961, NULL, 'PTHR11136:SF6', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE', NULL, NULL, NULL, 15),
(90962, NULL, 'PTHR35180:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG21798', NULL, NULL, NULL, 15),
(90963, NULL, 'PTHR45651:SF69', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 17', NULL, NULL, NULL, 15),
(90964, NULL, 'PTHR24012:SF832', NULL, NULL, NULL, NULL, 'BNAA09G01310D PROTEIN', NULL, NULL, NULL, 15),
(90965, NULL, 'PTHR34791', NULL, NULL, NULL, NULL, 'OS02G0272100 PROTEIN', NULL, NULL, NULL, 15),
(90966, NULL, 'PTHR33601:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90967, NULL, 'PTHR31636:SF191', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(90968, NULL, 'PTHR13034:SF2', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 4', NULL, NULL, NULL, 15),
(90969, NULL, 'PTHR44414', NULL, NULL, NULL, NULL, 'PROTEIN NEDD1', NULL, NULL, NULL, 15),
(90970, NULL, 'PTHR14030:SF21', NULL, NULL, NULL, NULL, 'BNAC06G43250D PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(90971, NULL, 'PTHR22234:SF0', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(90972, NULL, 'PTHR10127:SF852', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-12', NULL, NULL, NULL, 15),
(90973, NULL, 'PTHR14569:SF0', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 FAMILY MEMBER G6E', NULL, NULL, NULL, 15),
(90974, NULL, 'PTHR31276:SF16', NULL, NULL, NULL, NULL, 'BNAA03G17460D PROTEIN', NULL, NULL, NULL, 15),
(90975, NULL, 'PTHR47723:SF4', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(90976, NULL, 'PTHR33325:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90977, NULL, 'PTHR34857:SF2', NULL, NULL, NULL, NULL, 'SLL0384 PROTEIN', NULL, NULL, NULL, 15),
(90978, NULL, 'PTHR21569:SF1', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S9, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(90979, NULL, 'PTHR45763:SF14', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(90980, NULL, 'PTHR21964:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN DEP1', NULL, NULL, NULL, 15),
(90981, NULL, 'PTHR32295:SF45', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 19', NULL, NULL, NULL, 15),
(90982, NULL, 'PTHR15615:SF15', NULL, NULL, NULL, NULL, 'CYCLIN-U2-1', NULL, NULL, NULL, 15),
(90983, NULL, 'PTHR23155:SF1113', NULL, NULL, NULL, NULL, 'OS01G0808000 PROTEIN', NULL, NULL, NULL, 15),
(90984, NULL, 'PTHR46049:SF6', NULL, NULL, NULL, NULL, 'MYOSIN X,-LIKE 3', NULL, NULL, NULL, 15),
(90985, NULL, 'PTHR30618:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(90986, NULL, 'PTHR10663:SF363', NULL, NULL, NULL, NULL, 'CYTOHESIN 2', NULL, NULL, NULL, 15),
(90987, NULL, 'PTHR15305:SF0', NULL, NULL, NULL, NULL, 'MELANOMA ANTIGEN RECOGNIZED BY T-CELLS 1', NULL, NULL, NULL, 15),
(90988, NULL, 'PTHR24216:SF23', NULL, NULL, NULL, NULL, 'LEUPAXIN', NULL, NULL, NULL, 15),
(90989, NULL, 'PTHR24072:SF144', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOV', NULL, NULL, NULL, 15),
(90990, NULL, 'PTHR26453:SF94', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(90991, NULL, 'PTHR45658:SF7', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(90992, NULL, 'PTHR31048:SF140', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 5', NULL, NULL, NULL, 15),
(90993, NULL, 'PTHR23500:SF92', NULL, NULL, NULL, NULL, 'OS04G0452600 PROTEIN', NULL, NULL, NULL, 15),
(90994, NULL, 'PTHR31447:SF9', NULL, NULL, NULL, NULL, 'OS06G0138200 PROTEIN', NULL, NULL, NULL, 15),
(90995, NULL, 'PTHR11629:SF91', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(90996, NULL, 'PTHR23226:SF9', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED PROTEIN 1', NULL, NULL, NULL, 15),
(90997, NULL, 'PTHR23508:SF2', NULL, NULL, NULL, NULL, 'METABOLITE TRANSPORT PROTEIN YJHB-RELATED', NULL, NULL, NULL, 15),
(90998, NULL, 'PTHR31611:SF0', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NICKEL TRANSPORT PROTEIN NIC1', NULL, NULL, NULL, 15),
(90999, NULL, 'PTHR47965:SF21', NULL, NULL, NULL, NULL, 'OS06G0304600 PROTEIN', NULL, NULL, NULL, 15),
(91000, NULL, 'PTHR11764:SF45', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(91001, NULL, 'PTHR13771:SF14', NULL, NULL, NULL, NULL, 'VASCULAR CELL ADHESION PROTEIN 1', NULL, NULL, 7172, 15),
(91002, NULL, 'PTHR12266:SF21', NULL, NULL, NULL, NULL, 'CATION/CALCIUM EXCHANGER 3', NULL, NULL, NULL, 15),
(91003, NULL, 'PTHR10891:SF794', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML23-RELATED', NULL, NULL, NULL, 15),
(91004, NULL, 'PTHR46444:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91005, NULL, 'PTHR32295:SF187', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(91006, NULL, 'PTHR12027:SF92', NULL, NULL, NULL, NULL, 'PROTEIN WNT-8A', NULL, NULL, 10902, 15),
(91007, NULL, 'PTHR43711:SF17', NULL, NULL, NULL, NULL, 'TWO COMPONENT SENSOR KINASE-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91008, NULL, 'PTHR31707:SF330', NULL, NULL, NULL, NULL, 'BNAANNG28400D PROTEIN', NULL, NULL, NULL, 15),
(91009, NULL, 'PTHR45637:SF43', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AGC1-7', NULL, NULL, NULL, 15),
(91010, NULL, 'PTHR11685:SF315', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(91011, NULL, 'PTHR38332', NULL, NULL, NULL, NULL, 'PROTEIN CBG11604', NULL, NULL, NULL, 15),
(91012, NULL, 'PTHR24340:SF93', NULL, NULL, NULL, NULL, 'NK2 HOMEOBOX 1', NULL, NULL, NULL, 15),
(91013, NULL, 'PTHR45914:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH87', NULL, NULL, NULL, 15),
(91014, NULL, 'PTHR43341:SF34', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(91015, NULL, 'PTHR23201:SF84', NULL, NULL, NULL, NULL, 'PEAMACLEIN', NULL, NULL, NULL, 15),
(91016, NULL, 'PTHR43465', NULL, NULL, NULL, NULL, 'DUF1680 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G08910)', NULL, NULL, NULL, 15),
(91017, NULL, 'PTHR33326:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91018, NULL, 'PTHR11388:SF142', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 5A1', NULL, NULL, NULL, 15),
(91019, NULL, 'PTHR24096:SF361', NULL, NULL, NULL, NULL, 'ACID-COA LIGASE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91020, NULL, 'PTHR46924:SF1', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR-LIKE PROTEIN L', NULL, NULL, NULL, 15),
(91021, NULL, 'PTHR45693:SF38', NULL, NULL, NULL, NULL, 'BZIP FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(91022, NULL, 'PTHR40382:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930523C07 GENE', NULL, NULL, NULL, 15),
(91023, NULL, 'PTHR21649:SF2', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(91024, NULL, 'PTHR27003:SF311', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING RECEPTOR-LIKE CYTOPLASMIC KINASE 2', NULL, NULL, NULL, 15),
(91025, NULL, 'PTHR33130:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91026, NULL, 'PTHR22443:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91027, NULL, 'PTHR10380:SF220', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 49AA', NULL, NULL, NULL, 15),
(91028, NULL, 'PTHR11753:SF12', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT SIGMA-1', NULL, NULL, NULL, 15),
(91029, NULL, 'PTHR45908:SF1', NULL, NULL, NULL, NULL, 'LIPASE ZK262.3', NULL, NULL, NULL, 15),
(91030, NULL, 'PTHR46273', NULL, NULL, NULL, NULL, 'MYOSUPPRESSIN RECEPTOR 1, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(91031, NULL, 'PTHR28622', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 7', NULL, NULL, 35201, 15),
(91032, NULL, 'PTHR24240:SF163', NULL, NULL, NULL, NULL, 'NMUR (NEUROMEDIN U RECEPTOR) HOMOLOG', NULL, NULL, NULL, 15),
(91033, NULL, 'PTHR12313', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF5-RELATED', NULL, NULL, 38242, 15),
(91034, NULL, 'PTHR11353:SF23', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT BETA', NULL, NULL, 11672, 15),
(91035, NULL, 'PTHR48043:SF43', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(91036, NULL, 'PTHR45754:SF4', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE 1', NULL, NULL, NULL, 15),
(91037, NULL, 'PTHR27005:SF164', NULL, NULL, NULL, NULL, 'OS05G0550800 PROTEIN', NULL, NULL, NULL, 15),
(91038, NULL, 'PTHR34490:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91039, NULL, 'PTHR12665:SF12', NULL, NULL, NULL, NULL, 'ORM1-LIKE PROTEIN 1', NULL, NULL, 29142, 15),
(91040, NULL, 'PTHR10934:SF17', NULL, NULL, NULL, NULL, 'BNAC09G14160D PROTEIN', NULL, NULL, NULL, 15),
(91041, NULL, 'PTHR24038:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91042, NULL, 'PTHR21662:SF20', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(91043, NULL, 'PTHR24246:SF2', NULL, NULL, NULL, NULL, 'ADENOSINE RECEPTOR A3', NULL, NULL, NULL, 15),
(91044, NULL, 'PTHR11599:SF42', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-7', NULL, NULL, 30163, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91045, NULL, 'PTHR26452:SF212', NULL, NULL, NULL, NULL, 'MCG53866-RELATED', NULL, NULL, NULL, 15),
(91046, NULL, 'PTHR36798:SF2', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(91047, NULL, 'PTHR33088:SF34', NULL, NULL, NULL, NULL, 'OS07G0142600 PROTEIN', NULL, NULL, NULL, 15),
(91048, NULL, 'PTHR12207:SF30', NULL, NULL, NULL, NULL, 'ZGC:91849', NULL, NULL, NULL, 15),
(91049, NULL, 'PTHR24115:SF915', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91050, NULL, 'PTHR33882:SF5', NULL, NULL, NULL, NULL, 'BNAA06G23800D PROTEIN', NULL, NULL, NULL, 15),
(91051, NULL, 'PTHR24024:SF14', NULL, NULL, NULL, NULL, 'COLLECTIN-11', NULL, NULL, NULL, 15),
(91052, NULL, 'PTHR38846', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91053, NULL, 'PTHR48007:SF27', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 4', NULL, NULL, NULL, 15),
(91054, NULL, 'PTHR12035:SF115', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 11', NULL, NULL, NULL, 15),
(91055, NULL, 'PTHR34059:SF9', NULL, NULL, NULL, NULL, 'BNAC08G10760D PROTEIN', NULL, NULL, NULL, 15),
(91056, NULL, 'PTHR22765:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91057, NULL, 'PTHR11835:SF62', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] REGULATORY SUBUNIT 1, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(91058, NULL, 'PTHR10366:SF665', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN REDUCTASE', NULL, NULL, NULL, 15),
(91059, NULL, 'PTHR33077:SF70', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 5A', NULL, NULL, NULL, 15),
(91060, NULL, 'PTHR11587:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91061, NULL, 'PTHR31953:SF79', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 32 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91062, NULL, 'PTHR43791:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91063, NULL, 'PTHR12161:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91064, NULL, 'PTHR47477:SF15', NULL, NULL, NULL, NULL, 'BNAA05G18060D PROTEIN', NULL, NULL, NULL, 15),
(91065, NULL, 'PTHR31790:SF337', NULL, NULL, NULL, NULL, 'BNAC03G58360D PROTEIN', NULL, NULL, NULL, 15),
(91066, NULL, 'PTHR43139:SF53', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(91067, NULL, 'PTHR10969:SF48', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8', NULL, NULL, NULL, 15),
(91068, NULL, 'PTHR23262:SF27', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 31-1-RELATED', NULL, NULL, NULL, 15),
(91069, NULL, 'PTHR30546:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91070, NULL, 'PTHR45621:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RIPK', NULL, NULL, NULL, 15),
(91071, NULL, 'PTHR23070:SF171', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE-LIKE', NULL, NULL, NULL, 15),
(91072, NULL, 'PTHR11564:SF36', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN', NULL, NULL, NULL, 15),
(91073, NULL, 'PTHR45719:SF33', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14-RELATED', NULL, NULL, NULL, 15),
(91074, NULL, 'PTHR12280:SF34', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE 1', NULL, NULL, NULL, 15),
(91075, NULL, 'PTHR48112:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(91076, NULL, 'PTHR21194:SF1', NULL, NULL, NULL, NULL, 'CARDIAC PHOSPHOLAMBAN', NULL, NULL, NULL, 15),
(91077, NULL, 'PTHR30600', NULL, NULL, NULL, NULL, 'CYTOCHROME C PEROXIDASE-RELATED', NULL, NULL, NULL, 15),
(91078, NULL, 'PTHR11183:SF147', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 7', NULL, NULL, NULL, 15),
(91079, NULL, 'PTHR15177', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 143', NULL, NULL, 6234, 15),
(91080, NULL, 'PTHR38755', NULL, NULL, NULL, NULL, '5,10-METHYLENETETRAHYDROFOLATE REDUCTASE', NULL, NULL, NULL, 15),
(91081, NULL, 'PTHR46554:SF8', NULL, NULL, NULL, NULL, 'BNAC02G02460D PROTEIN', NULL, NULL, NULL, 15),
(91082, NULL, 'PTHR14388:SF3', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC SH2 DOMAIN-CONTAINING PROTEIN', NULL, NULL, 9397, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91083, NULL, 'PTHR22730:SF4', NULL, NULL, NULL, NULL, 'PROMININ 2', NULL, NULL, NULL, 15),
(91084, NULL, 'PTHR23024:SF520', NULL, NULL, NULL, NULL, 'AB HYDROLASE SUPERFAMILY PROTEIN B1A11.02-RELATED', NULL, NULL, NULL, 15),
(91085, NULL, 'PTHR11614:SF177', NULL, NULL, NULL, NULL, 'SERINE AMINOPEPTIDASE, S33, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91086, NULL, 'PTHR15961', NULL, NULL, NULL, NULL, 'PROTEIN EURL HOMOLOG', NULL, NULL, 11702, 15),
(91087, NULL, 'PTHR23226:SF130', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS 3', NULL, NULL, NULL, 15),
(91088, NULL, 'PTHR26453:SF238', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 148', NULL, NULL, NULL, 15),
(91089, NULL, 'PTHR22835:SF626', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(91090, NULL, 'PTHR27007:SF152', NULL, NULL, NULL, NULL, 'OSJNBA0027H06.9 PROTEIN', NULL, NULL, NULL, 15),
(91091, NULL, 'PTHR12419:SF3', NULL, NULL, NULL, NULL, 'OS04G0402300 PROTEIN', NULL, NULL, NULL, 15),
(91092, NULL, 'PTHR23338:SF53', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', NULL, NULL, NULL, 15),
(91093, NULL, 'PTHR47928:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91094, NULL, 'PTHR12560:SF21', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE HYL-2', NULL, NULL, NULL, 15),
(91095, NULL, 'PTHR21261:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91096, NULL, 'PTHR11699:SF68', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTE', NULL, NULL, NULL, 15),
(91097, NULL, 'PTHR12388', NULL, NULL, NULL, NULL, 'MITOCHONDRIA ASSOCIATED GRANULOCYTE MACROPHAGE CSF SIGNALING MOLECULE', NULL, NULL, 6404, 15),
(91098, NULL, 'PTHR11654:SF497', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91099, NULL, 'PTHR47929:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91100, NULL, 'PTHR23315:SF246', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 41', NULL, NULL, NULL, 15),
(91101, NULL, 'PTHR38568:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91102, NULL, 'PTHR22765:SF238', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(91103, NULL, 'PTHR33737:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91104, NULL, 'PTHR24326:SF559', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-16', NULL, NULL, NULL, 15),
(91105, NULL, 'PTHR10024:SF45', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-6', NULL, NULL, 24310, 15),
(91106, NULL, 'PTHR47993:SF39', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(91107, NULL, 'PTHR45914:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91108, NULL, 'PTHR31045:SF34', NULL, NULL, NULL, NULL, 'TERPENOID SYNTHASE 15-RELATED', NULL, NULL, NULL, 15),
(91109, NULL, 'PTHR48011:SF17', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', NULL, NULL, NULL, 15),
(91110, NULL, 'PTHR10751:SF56', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(91111, NULL, 'PTHR31288:SF23', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(91112, NULL, 'PTHR10285:SF163', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE C-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(91113, NULL, 'PTHR47570', NULL, NULL, NULL, NULL, 'ZINC ION BINDING PROTEIN', NULL, NULL, NULL, 15),
(91114, NULL, 'PTHR45658:SF62', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(91115, NULL, 'PTHR10943:SF17', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2 HOMOLOG', NULL, NULL, NULL, 15),
(91116, NULL, 'PTHR43574:SF3', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 1', NULL, NULL, NULL, 15),
(91117, NULL, 'PTHR45621:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91118, NULL, 'PTHR16155:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91119, NULL, 'PTHR36726:SF8', NULL, NULL, NULL, NULL, 'BNAA07G24210D PROTEIN', NULL, NULL, NULL, 15),
(91120, NULL, 'PTHR19143:SF24', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(91121, NULL, 'PTHR48005:SF18', NULL, NULL, NULL, NULL, 'OS11G0448000 PROTEIN', NULL, NULL, NULL, 15),
(91122, NULL, 'PTHR13738', NULL, NULL, NULL, NULL, 'TROPONIN I', NULL, NULL, NULL, 15),
(91123, NULL, 'PTHR33348:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91124, NULL, 'PTHR31920:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91125, NULL, 'PTHR24298:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91126, NULL, 'PTHR12741:SF76', NULL, NULL, NULL, NULL, 'OS01G0754200 PROTEIN', NULL, NULL, NULL, 15),
(91127, NULL, 'PTHR24399:SF38', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(91128, NULL, 'PTHR12732:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91129, NULL, 'PTHR30546:SF1', NULL, NULL, NULL, NULL, 'FLAVODOXIN', NULL, NULL, NULL, 15),
(91130, NULL, 'PTHR35572:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG06690', NULL, NULL, NULL, 15),
(91131, NULL, 'PTHR23001:SF25', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 BETA SUBUNIT', NULL, NULL, NULL, 15),
(91132, NULL, 'PTHR42683:SF58', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G13270)-RELATED', NULL, NULL, NULL, 15),
(91133, NULL, 'PTHR22597', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN', NULL, NULL, NULL, 15),
(91134, NULL, 'PTHR24281:SF98', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', NULL, NULL, NULL, 15),
(91135, NULL, 'PTHR15921:SF12', NULL, NULL, NULL, NULL, 'POLYADENYLATION AND CLEAVAGE FACTOR HOMOLOG 4', NULL, NULL, NULL, 15),
(91136, NULL, 'PTHR10942:SF11', NULL, NULL, NULL, NULL, 'GP63', NULL, NULL, NULL, 15),
(91137, NULL, 'PTHR24055:SF491', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 9', NULL, NULL, NULL, 15),
(91138, NULL, 'PTHR42928:SF6', NULL, NULL, NULL, NULL, 'TRICARBOXYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(91139, NULL, 'PTHR46634:SF10', NULL, NULL, NULL, NULL, 'OS04G0506900 PROTEIN', NULL, NULL, NULL, 15),
(91140, NULL, 'PTHR11610:SF13', NULL, NULL, NULL, NULL, 'ENDOTHELIAL LIPASE', NULL, NULL, NULL, 15),
(91141, NULL, 'PTHR11599:SF153', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, NULL, 15),
(91142, NULL, 'PTHR16223:SF178', NULL, NULL, NULL, NULL, 'BNAC05G01660D PROTEIN', NULL, NULL, NULL, 15),
(91143, NULL, 'PTHR11040:SF144', NULL, NULL, NULL, NULL, 'ZRT (ZRT), IRT-(IRT-) LIKE PROTEIN TRANSPORTER', NULL, NULL, NULL, 15),
(91144, NULL, 'PTHR47990:SF145', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(91145, NULL, 'PTHR47074:SF16', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(91146, NULL, 'PTHR13068:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91147, NULL, 'PTHR22902:SF40', NULL, NULL, NULL, NULL, 'BNAANNG36460D PROTEIN', NULL, NULL, NULL, 15),
(91148, NULL, 'PTHR45828:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG21575', NULL, NULL, NULL, 15),
(91149, NULL, 'PTHR26312:SF135', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(91150, NULL, 'PTHR24015:SF1920', NULL, NULL, NULL, NULL, 'REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91151, NULL, 'PTHR16076', NULL, NULL, NULL, NULL, 'CYTOSKELETON ASSOCIATED PROTEIN 2-RELATED', NULL, NULL, 24398, 15),
(91152, NULL, 'PTHR13318:SF165', NULL, NULL, NULL, NULL, 'FI07223P', NULL, NULL, NULL, 15),
(91153, NULL, 'PTHR10083:SF358', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MLT-11', NULL, NULL, NULL, 15),
(91154, NULL, 'PTHR31080:SF236', NULL, NULL, NULL, NULL, 'BNACNNG22160D PROTEIN', NULL, NULL, NULL, 15),
(91155, NULL, 'PTHR47991:SF51', NULL, NULL, NULL, NULL, 'CODEINE O-DEMETHYLASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91156, NULL, 'PTHR26453:SF635', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13C7-RELATED', NULL, NULL, NULL, 15),
(91157, NULL, 'PTHR22715:SF0', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA REGULATOR 1', NULL, NULL, NULL, 15),
(91158, NULL, 'PTHR32285:SF154', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(91159, NULL, 'PTHR31949:SF14', NULL, NULL, NULL, NULL, 'ENDOCHITINASE A-LIKE', NULL, NULL, NULL, 15),
(91160, NULL, 'PTHR35508:SF1', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT', NULL, NULL, NULL, 15),
(91161, NULL, 'PTHR31300:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91162, NULL, 'PTHR43757:SF6', NULL, NULL, NULL, NULL, 'AMINOMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(91163, NULL, 'PTHR45959:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH19', NULL, NULL, NULL, 15),
(91164, NULL, 'PTHR21450:SF23', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE, PUTATIVE (DUF632)-RELATED', NULL, NULL, NULL, 15),
(91165, NULL, 'PTHR11589:SF8', NULL, NULL, NULL, NULL, 'NEUROTROPHIN-4', NULL, NULL, 19305, 15),
(91166, NULL, 'PTHR24028:SF32', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 1 ALPHA 4-RELATED', NULL, NULL, NULL, 15),
(91167, NULL, 'PTHR11749:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91168, NULL, 'PTHR11274:SF17', NULL, NULL, NULL, NULL, 'DNA REPAIR HELICASE XPB1-LIKE', NULL, NULL, NULL, 15),
(91169, NULL, 'PTHR23074:SF143', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A-LIKE 2 ISOFORM X1', NULL, NULL, NULL, 15),
(91170, NULL, 'PTHR45638:SF6', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL ALPHA-3', NULL, NULL, NULL, 15),
(91171, NULL, 'PTHR24418:SF398', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(91172, NULL, 'PTHR31683:SF106', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(91173, NULL, 'PTHR24366:SF85', NULL, NULL, NULL, NULL, 'SLIT AND NTRK LIKE FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(91174, NULL, 'PTHR10340:SF24', NULL, NULL, NULL, NULL, 'ACID SPHINGOMYELINASE-LIKE PHOSPHODIESTERASE 3A', NULL, NULL, NULL, 15),
(91175, NULL, 'PTHR46020:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91176, NULL, 'PTHR43867', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE CATALYTIC SUBUNIT A [UDP-FORMING]', NULL, NULL, NULL, 15),
(91177, NULL, 'PTHR37301', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91178, NULL, 'PTHR13509:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', NULL, NULL, NULL, 15),
(91179, NULL, 'PTHR46405:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RF4-RELATED', NULL, NULL, NULL, 15),
(91180, NULL, 'PTHR42924:SF13', NULL, NULL, NULL, NULL, 'OS02G0752600 PROTEIN', NULL, NULL, NULL, 15),
(91181, NULL, 'PTHR12553:SF65', NULL, NULL, NULL, NULL, 'TRNASE Z TRZ4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(91182, NULL, 'PTHR10962', NULL, NULL, NULL, NULL, 'INTEGRAL TRANSMEMBRANE PROTEIN 2', NULL, NULL, 32745, 15),
(91183, NULL, 'PTHR47827:SF1', NULL, NULL, NULL, NULL, 'MLLT1, SUPER ELONGATION COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(91184, NULL, 'PTHR43341:SF1', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(91185, NULL, 'PTHR11347:SF130', NULL, NULL, NULL, NULL, 'DUAL 3'',5''-CYCLIC-AMP AND -GMP PHOSPHODIESTERASE 11A', NULL, NULL, NULL, 15),
(91186, NULL, 'PTHR42881:SF9', NULL, NULL, NULL, NULL, 'BNACNNG64630D PROTEIN', NULL, NULL, NULL, 15),
(91187, NULL, 'PTHR42893:SF32', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(91188, NULL, 'PTHR11241:SF11', NULL, NULL, NULL, NULL, 'DEOXYURIDINE 5''-TRIPHOSPHATE NUCLEOTIDOHYDROLASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(91189, NULL, 'PTHR27009:SF226', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91190, NULL, 'PTHR34469:SF4', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN H', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91191, NULL, 'PTHR13298:SF11', NULL, NULL, NULL, NULL, 'RAPAMYCIN-INSENSITIVE COMPANION OF MTOR', NULL, NULL, NULL, 15),
(91192, NULL, 'PTHR32227:SF380', NULL, NULL, NULL, NULL, 'BNAC04G24490D PROTEIN', NULL, NULL, NULL, 15),
(91193, NULL, 'PTHR37874', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1500011B03 GENE-RELATED', NULL, NULL, NULL, 15),
(91194, NULL, 'PTHR36816', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN YMF19', NULL, NULL, 38327, 15),
(91195, NULL, 'PTHR47487:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91196, NULL, 'PTHR33872:SF13', NULL, NULL, NULL, NULL, 'BNAC03G47950D PROTEIN', NULL, NULL, NULL, 15),
(91197, NULL, 'PTHR31279:SF48', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE', NULL, NULL, NULL, 15),
(91198, NULL, 'PTHR33108:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91199, NULL, 'PTHR21245:SF17', NULL, NULL, NULL, NULL, 'NUCLEOLIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(91200, NULL, 'PTHR10048:SF28', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 3-KINASE C2 DOMAIN-CONTAINING SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(91201, NULL, 'PTHR48021:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91202, NULL, 'PTHR11243:SF15', NULL, NULL, NULL, NULL, 'RAS-ASSOCIATED AND PLECKSTRIN HOMOLOGY DOMAINS-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(91203, NULL, 'PTHR35495:SF8', NULL, NULL, NULL, NULL, 'BNAA08G14240D PROTEIN', NULL, NULL, NULL, 15),
(91204, NULL, 'PTHR37176:SF1', NULL, NULL, NULL, NULL, 'F10K1.23', NULL, NULL, NULL, 15),
(91205, NULL, 'PTHR23050:SF426', NULL, NULL, NULL, NULL, 'BNAA09G47210D PROTEIN', NULL, NULL, NULL, 15),
(91206, NULL, 'PTHR11787:SF8', NULL, NULL, NULL, NULL, 'RAB GDP DISSOCIATION INHIBITOR', NULL, NULL, NULL, 15),
(91207, NULL, 'PTHR46373:SF5', NULL, NULL, NULL, NULL, 'RWP-RK DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(91208, NULL, 'PTHR33285:SF47', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 2-LIKE', NULL, NULL, NULL, 15),
(91209, NULL, 'PTHR11690:SF263', NULL, NULL, NULL, NULL, 'PICKPOCKET 6', NULL, NULL, NULL, 15),
(91210, NULL, 'PTHR42180:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91211, NULL, 'PTHR44378:SF1', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 18, PEROXISOMAL-RELATED', NULL, NULL, NULL, 15),
(91212, NULL, 'PTHR11588:SF61', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(91213, NULL, 'PTHR33044:SF165', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(91214, NULL, 'PTHR42647:SF12', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 2-RELATED', NULL, NULL, NULL, 15),
(91215, NULL, 'PTHR11071:SF480', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(91216, NULL, 'PTHR47958:SF30', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX59-RELATED', NULL, NULL, NULL, 15),
(91217, NULL, 'PTHR32278:SF11', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(91218, NULL, 'PTHR33641:SF15', NULL, NULL, NULL, NULL, 'OS06G0133500 PROTEIN', NULL, NULL, NULL, 15),
(91219, NULL, 'PTHR31949:SF27', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN PB15E9.01C-RELATED', NULL, NULL, NULL, 15),
(91220, NULL, 'PTHR46301:SF20', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91221, NULL, 'PTHR13301:SF31', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 8 [UDP-FORMING]', NULL, NULL, NULL, 15),
(91222, NULL, 'PTHR27003:SF272', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(91223, NULL, 'PTHR45775:SF5', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN REM 2', NULL, NULL, NULL, 15),
(91224, NULL, 'PTHR24103:SF559', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM4', NULL, NULL, NULL, 15),
(91225, NULL, 'PTHR16002:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 248-LIKE', NULL, NULL, NULL, 15),
(91226, NULL, 'PTHR22811:SF155', NULL, NULL, NULL, NULL, 'BNAC01G39730D PROTEIN', NULL, NULL, NULL, 15),
(91227, NULL, 'PTHR10638:SF3', NULL, NULL, NULL, NULL, 'AMILORIDE-SENSITIVE AMINE OXIDASE [COPPER-CONTAINING]', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91228, NULL, 'PTHR24177:SF37', NULL, NULL, NULL, NULL, 'CASKIN-2', NULL, NULL, NULL, 15),
(91229, NULL, 'PTHR11969:SF56', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH71', NULL, NULL, NULL, 15),
(91230, NULL, 'PTHR11347:SF139', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(91231, NULL, 'PTHR11227:SF56', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91232, NULL, 'PTHR33108:SF14', NULL, NULL, NULL, NULL, 'OS01G0745000 PROTEIN', NULL, NULL, NULL, 15),
(91233, NULL, 'PTHR22611:SF9', NULL, NULL, NULL, NULL, 'PROTEIN NAKED CUTICLE', NULL, NULL, NULL, 15),
(91234, NULL, 'PTHR39444:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91235, NULL, 'PTHR33577:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91236, NULL, 'PTHR46895:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG11342', NULL, NULL, NULL, 15),
(91237, NULL, 'PTHR21404:SF3', NULL, NULL, NULL, NULL, 'SMALL RNA 2''-O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(91238, NULL, 'PTHR10915:SF7', NULL, NULL, NULL, NULL, 'SYNDECAN-3', NULL, NULL, 26924, 15),
(91239, NULL, 'PTHR35273:SF2', NULL, NULL, NULL, NULL, 'ALPHA-1,4 POLYGALACTOSAMINIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07890)-RELATED', NULL, NULL, NULL, 15),
(91240, NULL, 'PTHR43874:SF160', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(91241, NULL, 'PTHR43806', NULL, NULL, NULL, NULL, 'PEPTIDASE S8', NULL, NULL, NULL, 15),
(91242, NULL, 'PTHR12436:SF17', NULL, NULL, NULL, NULL, 'SAC3 FAMILY PROTEIN B', NULL, NULL, NULL, 15),
(91243, NULL, 'PTHR22752:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 176', NULL, NULL, NULL, 15),
(91244, NULL, 'PTHR45647:SF96', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(91245, NULL, 'PTHR44464', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 17', NULL, NULL, NULL, 15),
(91246, NULL, 'PTHR31072:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP9-LIKE', NULL, NULL, NULL, 15),
(91247, NULL, 'PTHR33057:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91248, NULL, 'PTHR23201:SF85', NULL, NULL, NULL, NULL, 'PROTEIN 3, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91249, NULL, 'PTHR21567:SF28', NULL, NULL, NULL, NULL, 'CLIP-ASSOCIATING PROTEIN 1', NULL, NULL, 22437, 15),
(91250, NULL, 'PTHR31719:SF161', NULL, NULL, NULL, NULL, 'BNAA03G48570D PROTEIN', NULL, NULL, NULL, 15),
(91251, NULL, 'PTHR11079:SF169', NULL, NULL, NULL, NULL, 'CYTOSINE DEAMINASE', NULL, NULL, NULL, 15),
(91252, NULL, 'PTHR10108:SF899', NULL, NULL, NULL, NULL, 'PECTIN METHYLTRANSFERASE QUA2-RELATED', NULL, NULL, NULL, 15),
(91253, NULL, 'PTHR34208:SF12', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(91254, NULL, 'PTHR32246:SF137', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(91255, NULL, 'PTHR31585:SF44', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 6-RELATED', NULL, NULL, NULL, 15),
(91256, NULL, 'PTHR43250', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 35389, 15),
(91257, NULL, 'PTHR14944', NULL, NULL, NULL, NULL, 'RPA-RELATED PROTEIN RADX', NULL, NULL, 34921, 15),
(91258, NULL, 'PTHR34466:SF3', NULL, NULL, NULL, NULL, 'OS11G0129800 PROTEIN', NULL, NULL, NULL, 15),
(91259, NULL, 'PTHR18966:SF36', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, KAINATE 1', NULL, NULL, NULL, 15),
(91260, NULL, 'PTHR28469', NULL, NULL, NULL, NULL, 'ECTODYSPLASIN-A RECEPTOR-ASSOCIATED ADAPTER PROTEIN', NULL, NULL, 35525, 15),
(91261, NULL, 'PTHR23513:SF18', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91262, NULL, 'PTHR10155:SF21', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 4', NULL, NULL, 27456, 15),
(91263, NULL, 'PTHR10438:SF425', NULL, NULL, NULL, NULL, 'THIOREDOXIN H1', NULL, NULL, NULL, 15),
(91264, NULL, 'PTHR33928:SF7', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT3', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91265, NULL, 'PTHR42905:SF12', NULL, NULL, NULL, NULL, 'PHOSPHONOMUTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G03820)-RELATED', NULL, NULL, NULL, 15),
(91266, NULL, 'PTHR40033', NULL, NULL, NULL, NULL, 'NA(+)-MALATE SYMPORTER', NULL, NULL, 3177, 15),
(91267, NULL, 'PTHR47978:SF16', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA3', NULL, NULL, NULL, 15),
(91268, NULL, 'PTHR45714:SF11', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT3', NULL, NULL, NULL, 15),
(91269, NULL, 'PTHR32382:SF35', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 2', NULL, NULL, NULL, 15),
(91270, NULL, 'PTHR12300:SF22', NULL, NULL, NULL, NULL, 'LP05237P-RELATED', NULL, NULL, NULL, 15),
(91271, NULL, 'PTHR42850:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2', NULL, NULL, NULL, 15),
(91272, NULL, 'PTHR31071:SF45', NULL, NULL, NULL, NULL, 'BRANCHLESS TRICHOME-LIKE PROTEIN', NULL, NULL, NULL, 15),
(91273, NULL, 'PTHR39159:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE FAU-1-RELATED', NULL, NULL, NULL, 15),
(91274, NULL, 'PTHR21453:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG27317', NULL, NULL, NULL, 15),
(91275, NULL, 'PTHR22847:SF713', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91276, NULL, 'PTHR42771:SF11', NULL, NULL, NULL, NULL, 'FERRICHROME TRANSPORT ATP-BINDING PROTEIN FHUC', NULL, NULL, NULL, 15),
(91277, NULL, 'PTHR35832', NULL, NULL, NULL, NULL, 'OS12G0248400 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91278, NULL, 'PTHR14499:SF28', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD16', NULL, NULL, NULL, 15),
(91279, NULL, 'PTHR45810', NULL, NULL, NULL, NULL, 'HISTONE H3.2', NULL, NULL, NULL, 15),
(91280, NULL, 'PTHR30546:SF48', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE)-RELATED', NULL, NULL, NULL, 15),
(91281, NULL, 'PTHR10457:SF27', NULL, NULL, NULL, NULL, 'L-ARABINOKINASE', NULL, NULL, NULL, 15),
(91282, NULL, 'PTHR11394:SF42', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 113', NULL, NULL, NULL, 15),
(91283, NULL, 'PTHR46748', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91284, NULL, 'PTHR43045:SF4', NULL, NULL, NULL, NULL, 'TRANSPORTER YDFJ-RELATED', NULL, NULL, NULL, 15),
(91285, NULL, 'PTHR31636:SF212', NULL, NULL, NULL, NULL, 'OS11G0160550 PROTEIN', NULL, NULL, NULL, 15),
(91286, NULL, 'PTHR31769:SF86', NULL, NULL, NULL, NULL, 'BNAA03G48600D PROTEIN', NULL, NULL, NULL, 15),
(91287, NULL, 'PTHR31374:SF181', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32-LIKE', NULL, NULL, NULL, 15),
(91288, NULL, 'PTHR38019', NULL, NULL, NULL, NULL, 'KDA ANTIGEN P200, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91289, NULL, 'PTHR10584', NULL, NULL, NULL, NULL, 'SUGAR KINASE', NULL, NULL, NULL, 15),
(91290, NULL, 'PTHR46478', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 3A', NULL, NULL, NULL, 15),
(91291, NULL, 'PTHR10372:SF3', NULL, NULL, NULL, NULL, 'PLAKOPHILIN-1', NULL, NULL, 22135, 15),
(91292, NULL, 'PTHR23317', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS  DOCK', NULL, NULL, 23296, 15),
(91293, NULL, 'PTHR10972:SF163', NULL, NULL, NULL, NULL, 'OSBP(OXYSTEROL-BINDING PROTEIN)-RELATED PROTEIN 1C', NULL, NULL, NULL, 15),
(91294, NULL, 'PTHR15901', NULL, NULL, NULL, NULL, 'TESTICULAR HAPLOID EXPRESSED GENE PROTEIN', NULL, NULL, 39953, 15),
(91295, NULL, 'PTHR45660:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91296, NULL, 'PTHR24093:SF473', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(91297, NULL, 'PTHR34154:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91298, NULL, 'PTHR31086:SF49', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 12-LIKE', NULL, NULL, NULL, 15),
(91299, NULL, 'PTHR31403:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IBETA2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(91300, NULL, 'PTHR31589:SF135', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE (DUF239)-RELATED', NULL, NULL, NULL, 15),
(91301, NULL, 'PTHR11733:SF133', NULL, NULL, NULL, NULL, 'PHOSPHATE-REGULATING NEUTRAL ENDOPEPTIDASE PHEX', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91302, NULL, 'PTHR47459:SF1', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN-RELATED', NULL, NULL, NULL, 15),
(91303, NULL, 'PTHR47926:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91304, NULL, 'PTHR43723', NULL, NULL, NULL, NULL, 'COBALT TRANSPORT PROTEIN CBIQ', NULL, NULL, NULL, 15),
(91305, NULL, 'PTHR11064:SF131', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-3', NULL, NULL, NULL, 15),
(91306, NULL, 'PTHR13356:SF6', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR A', NULL, NULL, NULL, 15),
(91307, NULL, 'PTHR31212:SF4', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB HOMOLOG 3', NULL, NULL, NULL, 15),
(91308, NULL, 'PTHR33527:SF6', NULL, NULL, NULL, NULL, 'OSJNBA0069D17.5 PROTEIN', NULL, NULL, NULL, 15),
(91309, NULL, 'PTHR10694:SF21', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 4D', NULL, NULL, NULL, 15),
(91310, NULL, 'PTHR12538:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26-1-RELATED', NULL, NULL, NULL, 15),
(91311, NULL, 'PTHR45676:SF67', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL53-RELATED', NULL, NULL, NULL, 15),
(91312, NULL, 'PTHR48001:SF2', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(91313, NULL, 'PTHR21341:SF2', NULL, NULL, NULL, NULL, 'PROTAMINE-2', NULL, NULL, NULL, 15),
(91314, NULL, 'PTHR43176:SF2', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(91315, NULL, 'PTHR46604:SF1', NULL, NULL, NULL, NULL, 'OS11G0665800 PROTEIN', NULL, NULL, NULL, 15),
(91316, NULL, 'PTHR34065:SF2', NULL, NULL, NULL, NULL, 'OS10G0520900 PROTEIN', NULL, NULL, NULL, 15),
(91317, NULL, 'PTHR32166:SF96', NULL, NULL, NULL, NULL, 'BNAC05G09450D PROTEIN', NULL, NULL, NULL, 15),
(91318, NULL, 'PTHR45791:SF8', NULL, NULL, NULL, NULL, 'CALCINEURIN SUBUNIT B TYPE 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(91319, NULL, 'PTHR10909:SF379', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE 3.2, PEROXISOMAL-RELATED', NULL, NULL, NULL, 15),
(91320, NULL, 'PTHR45786:SF44', NULL, NULL, NULL, NULL, 'BNAC05G34810D PROTEIN', NULL, NULL, NULL, 15),
(91321, NULL, 'PTHR10383:SF23', NULL, NULL, NULL, NULL, 'SERINC-DOMAIN CONTAINING SERINE AND SPHINGOLIPID BIOSYNTHESIS PROTEIN', NULL, NULL, NULL, 15),
(91322, NULL, 'PTHR36790', NULL, NULL, NULL, NULL, 'MYELIN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(91323, NULL, 'PTHR46153:SF21', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 2, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(91324, NULL, 'PTHR28621:SF1', NULL, NULL, NULL, NULL, 'SELENOPROTEIN S', NULL, NULL, NULL, 15),
(91325, NULL, 'PTHR14155:SF578', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL31', NULL, NULL, NULL, 15),
(91326, NULL, 'PTHR26374:SF395', NULL, NULL, NULL, NULL, 'BNAA03G17210D PROTEIN', NULL, NULL, NULL, 15),
(91327, NULL, 'PTHR43520:SF20', NULL, NULL, NULL, NULL, 'HEAVY METAL P-TYPE ATPASE', NULL, NULL, NULL, 15),
(91328, NULL, 'PTHR31992:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91329, NULL, 'PTHR18870:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FAM184B', NULL, NULL, 25625, 15),
(91330, NULL, 'PTHR19970:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91331, NULL, 'PTHR48017:SF115', NULL, NULL, NULL, NULL, 'PROLINE TRANSPORTER 2', NULL, NULL, NULL, 15),
(91332, NULL, 'PTHR33318:SF19', NULL, NULL, NULL, NULL, 'PROTEIN JASON-LIKE', NULL, NULL, NULL, 15),
(91333, NULL, 'PTHR11606:SF25', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(91334, NULL, 'PTHR47609', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC25', NULL, NULL, 36867, 15),
(91335, NULL, 'PTHR30486:SF6', NULL, NULL, NULL, NULL, 'TWITCHING MOBILITY PROTEIN', NULL, NULL, NULL, 15),
(91336, NULL, 'PTHR34491:SF26', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(91337, NULL, 'PTHR31490:SF8', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 10 PROTEIN', NULL, NULL, NULL, 15),
(91338, NULL, 'PTHR11913:SF91', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 7', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91339, NULL, 'PTHR31676:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91340, NULL, 'PTHR28657', NULL, NULL, NULL, NULL, 'INDOLEAMINE 2,3-DIOXYGENASE', NULL, NULL, 3389, 15),
(91341, NULL, 'PTHR15315:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91342, NULL, 'PTHR13609:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91343, NULL, 'PTHR24062:SF51', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2-RELATED', NULL, NULL, NULL, 15),
(91344, NULL, 'PTHR24012:SF825', NULL, NULL, NULL, NULL, 'TIA-1/TIAL RNA BINDING PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(91345, NULL, 'PTHR33129:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91346, NULL, 'PTHR32467:SF90', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR AIL1', NULL, NULL, NULL, 15),
(91347, NULL, 'PTHR33076:SF92', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(91348, NULL, 'PTHR39084:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91349, NULL, 'PTHR23273:SF81', NULL, NULL, NULL, NULL, 'ANIMAL RPA1 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(91350, NULL, 'PTHR10556:SF31', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ENOYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(91351, NULL, 'PTHR14379:SF30', NULL, NULL, NULL, NULL, 'BNAA01G26400D PROTEIN', NULL, NULL, NULL, 15),
(91352, NULL, 'PTHR13237:SF9', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER FACTOR-LIKE', NULL, NULL, NULL, 15),
(91353, NULL, 'PTHR28079', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN5', NULL, NULL, 29053, 15),
(91354, NULL, 'PTHR10969:SF52', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 1 LIGHT CHAIN 3 GAMMA,-LIKE', NULL, NULL, NULL, 15),
(91355, NULL, 'PTHR11206:SF344', NULL, NULL, NULL, NULL, 'OS06G0495100 PROTEIN', NULL, NULL, NULL, 15),
(91356, NULL, 'PTHR24062:SF153', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(91357, NULL, 'PTHR21713:SF3', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA, MUSCLE-SPECIFIC FORM', NULL, NULL, NULL, 15),
(91358, NULL, 'PTHR31218:SF154', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(91359, NULL, 'PTHR10015:SF328', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR C-2A', NULL, NULL, NULL, 15),
(91360, NULL, 'PTHR43537:SF24', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LGOR-RELATED', NULL, NULL, NULL, 15),
(91361, NULL, 'PTHR13182:SF20', NULL, NULL, NULL, NULL, 'CYTOPLASMIC 60S SUBUNIT BIOGENESIS FACTOR REI1 HOMOLOG 2', NULL, NULL, NULL, 15),
(91362, NULL, 'PTHR16230:SF3', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOMAL ORGANELLES COMPLEX-1, SUBUNIT 4, CAPPUCCINO', NULL, NULL, NULL, 15),
(91363, NULL, 'PTHR45696:SF23', NULL, NULL, NULL, NULL, 'BNAA09G51520D PROTEIN', NULL, NULL, NULL, 15),
(91364, NULL, 'PTHR11216:SF150', NULL, NULL, NULL, NULL, 'RETICULUM GLYCOPROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91365, NULL, 'PTHR45676:SF83', NULL, NULL, NULL, NULL, 'OS02G0692000 PROTEIN', NULL, NULL, NULL, 15),
(91366, NULL, 'PTHR11493:SF61', NULL, NULL, NULL, NULL, 'BNAA01G31570D PROTEIN', NULL, NULL, NULL, 15),
(91367, NULL, 'PTHR14221:SF57', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(91368, NULL, 'PTHR12289:SF70', NULL, NULL, NULL, NULL, 'PROTEIN CBG02473', NULL, NULL, NULL, 15),
(91369, NULL, 'PTHR47979:SF20', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(91370, NULL, 'PTHR45614:SF118', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB3R-1', NULL, NULL, NULL, 15),
(91371, NULL, 'PTHR46389:SF1', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 8', NULL, NULL, NULL, 15),
(91372, NULL, 'PTHR11743:SF12', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL PROTEIN 2', NULL, NULL, 26254, 15),
(91373, NULL, 'PTHR24366:SF92', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT NEURONAL 2', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91374, NULL, 'PTHR12004', NULL, NULL, NULL, NULL, 'RELAXIN', NULL, NULL, NULL, 15),
(91375, NULL, 'PTHR31790:SF106', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91376, NULL, 'PTHR33130:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91377, NULL, 'PTHR23122:SF42', NULL, NULL, NULL, NULL, 'MENAGE A TROIS, ISOFORM A', NULL, NULL, NULL, 15),
(91378, NULL, 'PTHR12120:SF9', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER EDAR', NULL, NULL, NULL, 15),
(91379, NULL, 'PTHR11474:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91380, NULL, 'PTHR13778:SF56', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(91381, NULL, 'PTHR46183:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91382, NULL, 'PTHR35515:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT N, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(91383, NULL, 'PTHR23262:SF125', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-11', NULL, NULL, NULL, 15),
(91384, NULL, 'PTHR37182', NULL, NULL, NULL, NULL, 'F24J8.11 PROTEIN', NULL, NULL, NULL, 15),
(91385, NULL, 'PTHR33199:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91386, NULL, 'PTHR24223:SF372', NULL, NULL, NULL, NULL, 'ALPHA-FACTOR-TRANSPORTING ATPASE', NULL, NULL, 27508, 15),
(91387, NULL, 'PTHR24092:SF57', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IF-RELATED', NULL, NULL, 23919, 15),
(91388, NULL, 'PTHR31371:SF9', NULL, NULL, NULL, NULL, 'OS05G0457600 PROTEIN', NULL, NULL, NULL, 15),
(91389, NULL, 'PTHR12128:SF60', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(91390, NULL, 'PTHR18945:SF825', NULL, NULL, NULL, NULL, 'NICOTINIC ACETYLCHOLINE RECEPTOR ALPHA5, ISOFORM B', NULL, NULL, NULL, 15),
(91391, NULL, 'PTHR39668:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91392, NULL, 'PTHR32044:SF68', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(91393, NULL, 'PTHR45638:SF3', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED OLFACTORY CHANNEL', NULL, NULL, NULL, 15),
(91394, NULL, 'PTHR30204:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91395, NULL, 'PTHR13952:SF15', NULL, NULL, NULL, NULL, 'BNAC02G41530D PROTEIN', NULL, NULL, NULL, 15),
(91396, NULL, 'PTHR34700:SF4', NULL, NULL, NULL, NULL, 'POTASSIUM BINDING PROTEIN KBP', NULL, NULL, NULL, 15),
(91397, NULL, 'PTHR31897:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04462', NULL, NULL, NULL, 15),
(91398, NULL, 'PTHR41403:SF3', NULL, NULL, NULL, NULL, 'RCG43477-RELATED', NULL, NULL, NULL, 15),
(91399, NULL, 'PTHR24422:SF22', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN', NULL, NULL, NULL, 15),
(91400, NULL, 'PTHR24320:SF221', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(91401, NULL, 'PTHR31713:SF58', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 D', NULL, NULL, NULL, 15),
(91402, NULL, 'PTHR33432:SF25', NULL, NULL, NULL, NULL, 'EMSY DOMAIN-CONTAINING PROTEIN, AGENET DOMAIN, PLANT TYPE-RELATED', NULL, NULL, NULL, 15),
(91403, NULL, 'PTHR42940:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91404, NULL, 'PTHR28520:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(91405, NULL, 'PTHR31499:SF63', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR APL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(91406, NULL, 'PTHR24128:SF52', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT31-RELATED', NULL, NULL, NULL, 15),
(91407, NULL, 'PTHR12080:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91408, NULL, 'PTHR31221:SF261', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 44-LIKE', NULL, NULL, NULL, 15),
(91409, NULL, 'PTHR31065:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91410, NULL, 'PTHR33735:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91411, NULL, 'PTHR33085:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91412, NULL, 'PTHR23501:SF109', NULL, NULL, NULL, NULL, 'DRUG EFFLUX PUMP, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G02400)-RELATED', NULL, NULL, NULL, 15),
(91413, NULL, 'PTHR45763:SF19', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(91414, NULL, 'PTHR47989:SF23', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE NCRK ISOFORM X1', NULL, NULL, NULL, 15),
(91415, NULL, 'PTHR11571:SF235', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE P 1-RELATED', NULL, NULL, NULL, 15),
(91416, NULL, 'PTHR23519:SF1', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 22', NULL, NULL, NULL, 15),
(91417, NULL, 'PTHR10353:SF239', NULL, NULL, NULL, NULL, 'BNAC02G40130D PROTEIN', NULL, NULL, NULL, 15),
(91418, NULL, 'PTHR45786:SF42', NULL, NULL, NULL, NULL, 'BNAUNNG03700D PROTEIN', NULL, NULL, NULL, 15),
(91419, NULL, 'PTHR23295', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 5-RELATED', NULL, NULL, NULL, 15),
(91420, NULL, 'PTHR13683:SF805', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(91421, NULL, 'PTHR37019:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(91422, NULL, 'PTHR11594:SF2', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27-LIKE', NULL, NULL, NULL, 15),
(91423, NULL, 'PTHR10044:SF166', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(91424, NULL, 'PTHR14699', NULL, NULL, NULL, NULL, 'STI2 PROTEIN-RELATED', NULL, NULL, 32482, 15),
(91425, NULL, 'PTHR46371', NULL, NULL, NULL, NULL, 'OS04G0464100 PROTEIN', NULL, NULL, 38662, 15),
(91426, NULL, 'PTHR31344:SF13', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 PROTEIN AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(91427, NULL, 'PTHR13318:SF41', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 4', NULL, NULL, NULL, 15),
(91428, NULL, 'PTHR33469:SF20', NULL, NULL, NULL, NULL, 'ELF4-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(91429, NULL, 'PTHR42898:SF74', NULL, NULL, NULL, NULL, 'OS03G0268900 PROTEIN', NULL, NULL, NULL, 15),
(91430, NULL, 'PTHR32063:SF30', NULL, NULL, NULL, NULL, 'ACRB/ACRD/ACRF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(91431, NULL, 'PTHR32176:SF48', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(91432, NULL, 'PTHR15924', NULL, NULL, NULL, NULL, 'CLE', NULL, NULL, 20205, 15),
(91433, NULL, 'PTHR32183:SF17', NULL, NULL, NULL, NULL, 'BNAC04G49360D PROTEIN', NULL, NULL, NULL, 15),
(91434, NULL, 'PTHR12806:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING PROTEIN SNF8', NULL, NULL, NULL, 15),
(91435, NULL, 'PTHR44169', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT 1-ACYLDIHYDROXYACETONE PHOSPHATE REDUCTASE', NULL, NULL, NULL, 15),
(91436, NULL, 'PTHR40462:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(91437, NULL, 'PTHR31681:SF64', NULL, NULL, NULL, NULL, 'BNAA02G09710D PROTEIN', NULL, NULL, NULL, 15),
(91438, NULL, 'PTHR47989:SF40', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ALE2', NULL, NULL, NULL, 15),
(91439, NULL, 'PTHR11311:SF8', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN TYPE-1 DOMAIN-CONTAINING PROTEIN 7A', NULL, NULL, NULL, 15),
(91440, NULL, 'PTHR45988:SF44', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZINC FINGER CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(91441, NULL, 'PTHR45642:SF82', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91442, NULL, 'PTHR23273:SF66', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', NULL, NULL, NULL, 15),
(91443, NULL, 'PTHR47998:SF44', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(91444, NULL, 'PTHR43625:SF54', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 1-RELATED', NULL, NULL, NULL, 15),
(91445, NULL, 'PTHR12656:SF13', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN LFR-LIKE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91446, NULL, 'PTHR21639', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 34510, 15),
(91447, NULL, 'PTHR33257:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91448, NULL, 'PTHR45952:SF10', NULL, NULL, NULL, NULL, 'ALUMINUM INDUCED PROTEIN WITH YGL AND LRDR MOTIF PROTEIN', NULL, NULL, NULL, 15),
(91449, NULL, 'PTHR31069:SF21', NULL, NULL, NULL, NULL, 'CHROMATIN STRUCTURE-REMODELING COMPLEX PROTEIN RSC3-RELATED', NULL, NULL, NULL, 15),
(91450, NULL, 'PTHR34351:SF1', NULL, NULL, NULL, NULL, 'SLR1927 PROTEIN', NULL, NULL, NULL, 15),
(91451, NULL, 'PTHR28630:SF1', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-LIKE 2C', NULL, NULL, NULL, 15),
(91452, NULL, 'PTHR33115:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91453, NULL, 'PTHR10182:SF32', NULL, NULL, NULL, NULL, 'MO25-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(91454, NULL, 'PTHR17224:SF5', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE CHLOROPLASTIC', NULL, NULL, NULL, 15),
(91455, NULL, 'PTHR16487:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 2', NULL, NULL, NULL, 15),
(91456, NULL, 'PTHR48217:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91457, NULL, 'PTHR43384:SF3', NULL, NULL, NULL, NULL, 'CODH NICKEL-INSERTION ACCESSORY PROTEIN', NULL, NULL, NULL, 15),
(91458, NULL, 'PTHR31947:SF28', NULL, NULL, NULL, NULL, 'DNA/RNA-BINDING PROTEIN ALBA-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91459, NULL, 'PTHR11786:SF15', NULL, NULL, NULL, NULL, 'ARYLAMINE N-ACETYLTRANSFERASE 4-RELATED', NULL, NULL, NULL, 15),
(91460, NULL, 'PTHR35746', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(91461, NULL, 'PTHR12771:SF16', NULL, NULL, NULL, NULL, 'ENGULFMENT AND CELL MOTILITY PROTEIN 3', NULL, NULL, 27962, 15),
(91462, NULL, 'PTHR47971:SF14', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(91463, NULL, 'PTHR12349', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND LEM DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(91464, NULL, 'PTHR31681:SF77', NULL, NULL, NULL, NULL, 'BNAA02G09770D PROTEIN', NULL, NULL, NULL, 15),
(91465, NULL, 'PTHR27007:SF296', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91466, NULL, 'PTHR48048:SF12', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(91467, NULL, 'PTHR48043:SF51', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(91468, NULL, 'PTHR30128:SF55', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A2', NULL, NULL, NULL, 15),
(91469, NULL, 'PTHR35531', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YBCI-RELATED', NULL, NULL, NULL, 15),
(91470, NULL, 'PTHR33070:SF42', NULL, NULL, NULL, NULL, 'OS08G0551250 PROTEIN', NULL, NULL, NULL, 15),
(91471, NULL, 'PTHR36432:SF1', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN T', NULL, NULL, NULL, 15),
(91472, NULL, 'PTHR11051:SF12', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91473, NULL, 'PTHR11119:SF107', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(91474, NULL, 'PTHR47098:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MAK32', NULL, NULL, NULL, 15),
(91475, NULL, 'PTHR11885:SF21', NULL, NULL, NULL, NULL, 'BNAA04G26120D PROTEIN', NULL, NULL, NULL, 15),
(91476, NULL, 'PTHR47076:SF1', NULL, NULL, NULL, NULL, 'NHL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(91477, NULL, 'PTHR28026:SF9', NULL, NULL, NULL, NULL, 'DUF962 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_8G05310)', NULL, NULL, NULL, 15),
(91478, NULL, 'PTHR42693:SF11', NULL, NULL, NULL, NULL, 'ARYLSULFATASE A', NULL, NULL, NULL, 15),
(91479, NULL, 'PTHR47925:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91480, NULL, 'PTHR12385:SF88', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN CTL1', NULL, NULL, NULL, 15),
(91481, NULL, 'PTHR37387', NULL, NULL, NULL, NULL, 'PROTEIN SAMBA', NULL, NULL, 35929, 15),
(91482, NULL, 'PTHR12311:SF7', NULL, NULL, NULL, NULL, 'ACTIVATOR OF BASAL TRANSCRIPTION 1', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91483, NULL, 'PTHR33293:SF1', NULL, NULL, NULL, NULL, 'INSERTION ELEMENT IS1 1 PROTEIN INSB-RELATED', NULL, NULL, NULL, 15),
(91484, NULL, 'PTHR27006:SF409', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(91485, NULL, 'PTHR23176:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91486, NULL, 'PTHR31945:SF63', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH90', NULL, NULL, NULL, 15),
(91487, NULL, 'PTHR28242:SF5', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 1', NULL, NULL, NULL, 15),
(91488, NULL, 'PTHR37315', NULL, NULL, NULL, NULL, 'UPF0311 PROTEIN BLR7842', NULL, NULL, 14728, 15),
(91489, NULL, 'PTHR15021:SF0', NULL, NULL, NULL, NULL, 'DISCO-RELATED, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(91490, NULL, 'PTHR15952:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91491, NULL, 'PTHR13286:SF16', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP30/SAP30-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91492, NULL, 'PTHR34057:SF10', NULL, NULL, NULL, NULL, 'BNAA08G15670D PROTEIN', NULL, NULL, NULL, 15),
(91493, NULL, 'PTHR33359', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN SYNTHASE SULFUR CARRIER SUBUNIT', NULL, NULL, 38886, 15),
(91494, NULL, 'PTHR27002:SF352', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-13', NULL, NULL, NULL, 15),
(91495, NULL, 'PTHR11127:SF12', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L14, TRANSLATION PROTEIN SH3-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91496, NULL, 'PTHR10812:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-2-DELTA', NULL, NULL, NULL, 15),
(91497, NULL, 'PTHR13595', NULL, NULL, NULL, NULL, 'ARL6IP4 PROTEIN', NULL, NULL, NULL, 15),
(91498, NULL, 'PTHR33878:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91499, NULL, 'PTHR32278:SF73', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, PHLOEM PROTEIN 2-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91500, NULL, 'PTHR32370:SF87', NULL, NULL, NULL, NULL, 'BNAA09G51050D PROTEIN', NULL, NULL, NULL, 15),
(91501, NULL, 'PTHR30011:SF41', NULL, NULL, NULL, NULL, 'XENOBIOTIC COMPOUND MONOOXYGENASE, DSZA FAMILY (AFU_ORTHOLOGUE AFUA_3G15040)', NULL, NULL, NULL, 15),
(91502, NULL, 'PTHR24034:SF90', NULL, NULL, NULL, NULL, 'NIDOGEN (BASEMENT MEMBRANE PROTEIN)', NULL, NULL, NULL, 15),
(91503, NULL, 'PTHR11062:SF319', NULL, NULL, NULL, NULL, 'BNAA04G16810D PROTEIN', NULL, NULL, NULL, 15),
(91504, NULL, 'PTHR31882:SF3', NULL, NULL, NULL, NULL, 'TNFAIP3-INTERACTING PROTEIN 1', NULL, NULL, 30361, 15),
(91505, NULL, 'PTHR11635:SF159', NULL, NULL, NULL, NULL, 'CAMP/CGMP-DEPENDENT 3'',5''-CAMP/CGMP PHOSPHODIESTERASE B', NULL, NULL, NULL, 15),
(91506, NULL, 'PTHR35828:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91507, NULL, 'PTHR32227:SF368', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91508, NULL, 'PTHR11758:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15A-2', NULL, NULL, NULL, 15),
(91509, NULL, 'PTHR24408:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 316-RELATED', NULL, NULL, NULL, 15),
(91510, NULL, 'PTHR47517:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(91511, NULL, 'PTHR24104', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NHLRC1-RELATED', NULL, NULL, NULL, 15),
(91512, NULL, 'PTHR13224:SF6', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 16', NULL, NULL, NULL, 15),
(91513, NULL, 'PTHR24234:SF8', NULL, NULL, NULL, NULL, 'ZGC:171579', NULL, NULL, NULL, 15),
(91514, NULL, 'PTHR14726', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 25267, 15),
(91515, NULL, 'PTHR43705:SF1', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE GLOB', NULL, NULL, NULL, 15),
(91516, NULL, 'PTHR33130:SF59', NULL, NULL, NULL, NULL, 'BNAC01G21000D PROTEIN', NULL, NULL, NULL, 15),
(91517, NULL, 'PTHR31642:SF142', NULL, NULL, NULL, NULL, 'ALCOHOL ACYLTRANSFERASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91518, NULL, 'PTHR35408:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(91519, NULL, 'PTHR31388:SF218', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(91520, NULL, 'PTHR10671:SF92', NULL, NULL, NULL, NULL, 'GSG1-LIKE 2A', NULL, NULL, NULL, 15),
(91521, NULL, 'PTHR24281:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91522, NULL, 'PTHR45850:SF5', NULL, NULL, NULL, NULL, 'SORTING NEXIN-5', NULL, NULL, 24228, 15),
(91523, NULL, 'PTHR15153:SF0', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 9', NULL, NULL, NULL, 15),
(91524, NULL, 'PTHR48047:SF120', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(91525, NULL, 'PTHR31616:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91526, NULL, 'PTHR48018:SF126', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(91527, NULL, 'PTHR24103:SF648', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM11', NULL, NULL, NULL, 15),
(91528, NULL, 'PTHR14315', NULL, NULL, NULL, NULL, 'SPOT14 FAMILY MEMBER', NULL, NULL, 13178, 15),
(91529, NULL, 'PTHR33879:SF14', NULL, NULL, NULL, NULL, 'SHOCK 22 KDA PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91530, NULL, 'PTHR42958:SF1', NULL, NULL, NULL, NULL, 'HYDROGENASE-2 LARGE CHAIN', NULL, NULL, NULL, 15),
(91531, NULL, 'PTHR24637:SF279', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(91532, NULL, 'PTHR45620:SF21', NULL, NULL, NULL, NULL, 'CALCITONIN GENE-RELATED PEPTIDE TYPE 1 RECEPTOR', NULL, NULL, NULL, 15),
(91533, NULL, 'PTHR10122:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5B-2 MITOCHONDRIAL', NULL, NULL, NULL, 15),
(91534, NULL, 'PTHR47442:SF1', NULL, NULL, NULL, NULL, 'MYND-TYPE ZINC FINGER PROTEIN MUB1', NULL, NULL, NULL, 15),
(91535, NULL, 'PTHR11255:SF86', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 3', NULL, NULL, NULL, 15),
(91536, NULL, 'PTHR33124:SF82', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91537, NULL, 'PTHR35630:SF1', NULL, NULL, NULL, NULL, 'LEGUMINOSIN GROUP486 SECRETED PEPTIDE', NULL, NULL, NULL, 15),
(91538, NULL, 'PTHR35318:SF2', NULL, NULL, NULL, NULL, 'BNAA10G08410D PROTEIN', NULL, NULL, NULL, 15),
(91539, NULL, 'PTHR32018:SF23', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(91540, NULL, 'PTHR22045', NULL, NULL, NULL, NULL, 'PROLINE AND SERINE-RICH PROTEIN 3', NULL, NULL, 33856, 15),
(91541, NULL, 'PTHR19375:SF398', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 3', NULL, NULL, NULL, 15),
(91542, NULL, 'PTHR23504:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91543, NULL, 'PTHR16684:SF12', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN C', NULL, NULL, NULL, 15),
(91544, NULL, 'PTHR24214:SF1', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN 2', NULL, NULL, NULL, 15),
(91545, NULL, 'PTHR10795:SF583', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91546, NULL, 'PTHR46247:SF1', NULL, NULL, NULL, NULL, 'CRS2-ASSOCIATED FACTOR 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(91547, NULL, 'PTHR30477:SF18', NULL, NULL, NULL, NULL, 'METAL TRANSPORT SYSTEM MEMBRANE PROTEIN CT_417-RELATED', NULL, NULL, NULL, 15),
(91548, NULL, 'PTHR31117', NULL, NULL, NULL, NULL, 'PROTEIN KREG-1', NULL, NULL, 31797, 15),
(91549, NULL, 'PTHR30483:SF38', NULL, NULL, NULL, NULL, 'BLR7848 PROTEIN', NULL, NULL, NULL, 15),
(91550, NULL, 'PTHR31221:SF246', NULL, NULL, NULL, NULL, 'BNACNNG68630D PROTEIN', NULL, NULL, NULL, 15),
(91551, NULL, 'PTHR11514:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MTB1', NULL, NULL, NULL, 15),
(91552, NULL, 'PTHR14074:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91553, NULL, 'PTHR34389', NULL, NULL, NULL, NULL, 'L-RHAMNOSE MUTAROTASE', NULL, NULL, NULL, 15),
(91554, NULL, 'PTHR31807:SF32', NULL, NULL, NULL, NULL, 'QWRF MOTIF-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91555, NULL, 'PTHR47995:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB5', NULL, NULL, NULL, 15),
(91556, NULL, 'PTHR28244:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN11', NULL, NULL, NULL, 15),
(91557, NULL, 'PTHR34569', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(91558, NULL, 'PTHR13544:SF5', NULL, NULL, NULL, NULL, 'OS01G0832200 PROTEIN', NULL, NULL, NULL, 15),
(91559, NULL, 'PTHR32254:SF5', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(91560, NULL, 'PTHR23328', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(91561, NULL, 'PTHR31342:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(91562, NULL, 'PTHR32153:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91563, NULL, 'PTHR36932:SF1', NULL, NULL, NULL, NULL, 'CAPSULAR POLYSACCHARIDE BIOSYNTHESIS PROTEIN', NULL, NULL, NULL, 15),
(91564, NULL, 'PTHR23050:SF434', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(91565, NULL, 'PTHR47999:SF18', NULL, NULL, NULL, NULL, 'BNACNNG52970D PROTEIN', NULL, NULL, NULL, 15),
(91566, NULL, 'PTHR45725:SF1', NULL, NULL, NULL, NULL, 'DISHEVELED-ASSOCIATED ACTIVATOR OF MORPHOGENESIS 1', NULL, NULL, NULL, 15),
(91567, NULL, 'PTHR23515:SF25', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 2.1-RELATED', NULL, NULL, NULL, 15),
(91568, NULL, 'PTHR45626:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91569, NULL, 'PTHR11141:SF18', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', NULL, NULL, NULL, 15),
(91570, NULL, 'PTHR45986', NULL, NULL, NULL, NULL, 'ZINC FINGER MATRIN-TYPE PROTEIN 2', NULL, NULL, 34160, 15),
(91571, NULL, 'PTHR11017:SF346', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(91572, NULL, 'PTHR23055:SF111', NULL, NULL, NULL, NULL, 'NEURONAL CALCIUM SENSOR FAMILY', NULL, NULL, NULL, 15),
(91573, NULL, 'PTHR14619:SF3', NULL, NULL, NULL, NULL, 'FI20196P1', NULL, NULL, NULL, 15),
(91574, NULL, 'PTHR15273:SF4', NULL, NULL, NULL, NULL, 'CERBERUS', NULL, NULL, NULL, 15),
(91575, NULL, 'PTHR24123:SF92', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 23', NULL, NULL, NULL, 15),
(91576, NULL, 'PTHR34386:SF1', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN NRDH', NULL, NULL, NULL, 15),
(91577, NULL, 'PTHR11206:SF387', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(91578, NULL, 'PTHR31375:SF112', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE ADPG1', NULL, NULL, NULL, 15),
(91579, NULL, 'PTHR45699:SF14', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', NULL, NULL, NULL, 15),
(91580, NULL, 'PTHR47530', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE BIG BROTHER-RELATED', NULL, NULL, 36758, 15),
(91581, NULL, 'PTHR31963:SF14', NULL, NULL, NULL, NULL, 'EXTRACELLULAR LIGAND-GATED ION CHANNEL PROTEIN (DUF3537)', NULL, NULL, NULL, 15),
(91582, NULL, 'PTHR48008:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91583, NULL, 'PTHR21403:SF8', NULL, NULL, NULL, NULL, 'ATP PHOSPHORIBOSYLTRANSFERASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(91584, NULL, 'PTHR31238:SF190', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(91585, NULL, 'PTHR18860:SF17', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN EPSILON', NULL, NULL, NULL, 15),
(91586, NULL, 'PTHR14693:SF0', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700018B08', NULL, NULL, NULL, 15),
(91587, NULL, 'PTHR39945:SF1', NULL, NULL, NULL, NULL, 'FI14129P', NULL, NULL, NULL, 15),
(91588, NULL, 'PTHR45960:SF3', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(91589, NULL, 'PTHR14614:SF97', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE EEF2KMT', NULL, NULL, NULL, 15),
(91590, NULL, 'PTHR24298:SF852', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91591, NULL, 'PTHR11746:SF265', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91592, NULL, 'PTHR13844:SF16', NULL, NULL, NULL, NULL, 'SWI/SNF NUCLEOSOME REMODELING COMPLEX COMPONENT', NULL, NULL, NULL, 15),
(91593, NULL, 'PTHR34119:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91594, NULL, 'PTHR22814:SF298', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 27-LIKE', NULL, NULL, NULL, 15),
(91595, NULL, 'PTHR38339', NULL, NULL, NULL, NULL, 'TRANSGLUTAMINASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(91596, NULL, 'PTHR10742:SF351', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC HISTONE DEMETHYLASE 1-RELATED', NULL, NULL, NULL, 15),
(91597, NULL, 'PTHR42920', NULL, NULL, NULL, NULL, 'OS03G0707200 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91598, NULL, 'PTHR46214:SF23', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91599, NULL, 'PTHR15454:SF23', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 49', NULL, NULL, NULL, 15),
(91600, NULL, 'PTHR24056:SF166', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE FAMILY', NULL, NULL, NULL, 15),
(91601, NULL, 'PTHR10052:SF45', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', NULL, NULL, NULL, 15),
(91602, NULL, 'PTHR11241:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91603, NULL, 'PTHR48080:SF3', NULL, NULL, NULL, NULL, 'ENOLASE SUPERFAMILY MEMBER DDB_G0284701', NULL, NULL, NULL, 15),
(91604, NULL, 'PTHR30046:SF0', NULL, NULL, NULL, NULL, 'FLAGELLAR M-RING PROTEIN', NULL, NULL, 3616, 15),
(91605, NULL, 'PTHR30540:SF112', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 27', NULL, NULL, NULL, 15),
(91606, NULL, 'PTHR14224:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91607, NULL, 'PTHR10285:SF142', NULL, NULL, NULL, NULL, 'URIDINE KINASE-LIKE PROTEIN 2, CHLOROPLASTIC', NULL, NULL, 28638, 15),
(91608, NULL, 'PTHR12706:SF8', NULL, NULL, NULL, NULL, 'PROTEIN STRAWBERRY NOTCH HOMOLOG 1', NULL, NULL, NULL, 15),
(91609, NULL, 'PTHR31790:SF296', NULL, NULL, NULL, NULL, 'BNAA01G21730D PROTEIN', NULL, NULL, NULL, 15),
(91610, NULL, 'PTHR39226', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700013G24 GENE', NULL, NULL, NULL, 15),
(91611, NULL, 'PTHR31696:SF77', NULL, NULL, NULL, NULL, 'OS08G0171800 PROTEIN', NULL, NULL, NULL, 15),
(91612, NULL, 'PTHR11709:SF27', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE HOMOLOG', NULL, NULL, NULL, 15),
(91613, NULL, 'PTHR34049:SF10', NULL, NULL, NULL, NULL, 'BNAA01G22590D PROTEIN', NULL, NULL, NULL, 15),
(91614, NULL, 'PTHR23105:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91615, NULL, 'PTHR47075:SF7', NULL, NULL, NULL, NULL, 'BNAC01G42730D PROTEIN', NULL, NULL, NULL, 15),
(91616, NULL, 'PTHR11783:SF169', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 1', NULL, NULL, NULL, 15),
(91617, NULL, 'PTHR23137:SF36', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN SFT2C', NULL, NULL, NULL, 15),
(91618, NULL, 'PTHR22035:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91619, NULL, 'PTHR43323:SF14', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA SYNTHASE A', NULL, NULL, NULL, 15),
(91620, NULL, 'PTHR22943:SF81', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(91621, NULL, 'PTHR45690:SF17', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 4F', NULL, NULL, NULL, 15),
(91622, NULL, 'PTHR31682:SF19', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN-PROTEIN SYNTHASE [UDP-FORMING]-LIKE PROTEIN', NULL, NULL, NULL, 15),
(91623, NULL, 'PTHR15588:SF9', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM8', NULL, NULL, NULL, 15),
(91624, NULL, 'PTHR43336:SF3', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(91625, NULL, 'PTHR46602:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF GENE SILENCING 3', NULL, NULL, NULL, 15),
(91626, NULL, 'PTHR10751:SF62', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 6', NULL, NULL, NULL, 15),
(91627, NULL, 'PTHR14336:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91628, NULL, 'PTHR31705:SF5', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 30', NULL, NULL, NULL, 15),
(91629, NULL, 'PTHR33057:SF117', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP14', NULL, NULL, NULL, 15),
(91630, NULL, 'PTHR46649:SF6', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(91631, NULL, 'PTHR36707:SF2', NULL, NULL, NULL, NULL, 'BNAC04G42350D PROTEIN', NULL, NULL, NULL, 15),
(91632, NULL, 'PTHR48043:SF24', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 3A2', NULL, NULL, NULL, 15),
(91633, NULL, 'PTHR24075:SF13', NULL, NULL, NULL, NULL, 'U5 SMALL NUCLEAR RIBONUCLEOPROTEIN 200 KDA HELICASE', NULL, NULL, NULL, 15),
(91634, NULL, 'PTHR23502:SF4', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07120)-RELATED', NULL, NULL, NULL, 15),
(91635, NULL, 'PTHR35466', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 1', NULL, NULL, NULL, 15),
(91636, NULL, 'PTHR11802:SF360', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 36-RELATED', NULL, NULL, NULL, 15),
(91637, NULL, 'PTHR11595:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91638, NULL, 'PTHR47958:SF42', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE GLH-1-RELATED', NULL, NULL, NULL, 15),
(91639, NULL, 'PTHR45626:SF35', NULL, NULL, NULL, NULL, 'BNAC03G41330D PROTEIN', NULL, NULL, NULL, 15),
(91640, NULL, 'PTHR47546:SF2', NULL, NULL, NULL, NULL, 'BNAC05G12060D PROTEIN', NULL, NULL, NULL, 15),
(91641, NULL, 'PTHR33091:SF38', NULL, NULL, NULL, NULL, 'OS12G0437800 PROTEIN', NULL, NULL, NULL, 15),
(91642, NULL, 'PTHR13018:SF111', NULL, NULL, NULL, NULL, 'CALCIUM PERMEABLE STRESS-GATED CATION CHANNEL 1', NULL, NULL, NULL, 15),
(91643, NULL, 'PTHR23056:SF92', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(91644, NULL, 'PTHR45801:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER C2H2-TYPE/INTEGRASE DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91645, NULL, 'PTHR35832:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91646, NULL, 'PTHR11700:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91647, NULL, 'PTHR47938:SF3', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91648, NULL, 'PTHR11566:SF32', NULL, NULL, NULL, NULL, 'DYNAMIN-1', NULL, NULL, 26253, 15),
(91649, NULL, 'PTHR32044:SF16', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 7-RELATED', NULL, NULL, NULL, 15),
(91650, NULL, 'PTHR24349:SF349', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 18', NULL, NULL, NULL, 15),
(91651, NULL, 'PTHR47976:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE, PLANT-TYPE PROTEIN', NULL, NULL, NULL, 15),
(91652, NULL, 'PTHR32227:SF308', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-LIKE', NULL, NULL, NULL, 15),
(91653, NULL, 'PTHR37335:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700003F12 GENE', NULL, NULL, NULL, 15),
(91654, NULL, 'PTHR10587:SF129', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE DEACETYLASE', NULL, NULL, NULL, 15),
(91655, NULL, 'PTHR11926:SF1359', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(91656, NULL, 'PTHR10459:SF43', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(91657, NULL, 'PTHR33923:SF3', NULL, NULL, NULL, NULL, 'CALMODULIN BINDING PROTEIN PICBP', NULL, NULL, NULL, 15),
(91658, NULL, 'PTHR13832:SF671', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 66-RELATED', NULL, NULL, NULL, 15),
(91659, NULL, 'PTHR32153', NULL, NULL, NULL, NULL, 'OJ000223_09.16 PROTEIN', NULL, NULL, 39126, 15),
(91660, NULL, 'PTHR12663:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91661, NULL, 'PTHR46267:SF16', NULL, NULL, NULL, NULL, 'BNAA06G37640D PROTEIN', NULL, NULL, NULL, 15),
(91662, NULL, 'PTHR31072:SF120', NULL, NULL, NULL, NULL, 'OSJNBA0038O10.11 PROTEIN', NULL, NULL, NULL, 15),
(91663, NULL, 'PTHR31042:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91664, NULL, 'PTHR46502:SF14', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(91665, NULL, 'PTHR34851:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG22009', NULL, NULL, NULL, 15),
(91666, NULL, 'PTHR43900:SF62', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F4', NULL, NULL, NULL, 15),
(91667, NULL, 'PTHR11860:SF83', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 1', NULL, NULL, NULL, 15),
(91668, NULL, 'PTHR33086', NULL, NULL, NULL, NULL, 'OS05G0468200 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91669, NULL, 'PTHR43168:SF5', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L33 2', NULL, NULL, NULL, 15),
(91670, NULL, 'PTHR47486:SF1', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(91671, NULL, 'PTHR20854:SF4', NULL, NULL, NULL, NULL, 'GH15479P-RELATED', NULL, NULL, NULL, 15),
(91672, NULL, 'PTHR33142:SF72', NULL, NULL, NULL, NULL, 'BNAANNG27480D PROTEIN', NULL, NULL, NULL, 15),
(91673, NULL, 'PTHR45904:SF2', NULL, NULL, NULL, NULL, 'TRNA (URACIL-5-)-METHYLTRANSFERASE HOMOLOG A', NULL, NULL, NULL, 15),
(91674, NULL, 'PTHR32370:SF85', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN SETH6', NULL, NULL, NULL, 15),
(91675, NULL, 'PTHR38092:SF1', NULL, NULL, NULL, NULL, 'REGULATOR CUDA, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91676, NULL, 'PTHR45789:SF2', NULL, NULL, NULL, NULL, 'FI18025P1', NULL, NULL, NULL, 15),
(91677, NULL, 'PTHR20961:SF124', NULL, NULL, NULL, NULL, 'HGA1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(91678, NULL, 'PTHR32002:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91679, NULL, 'PTHR48054:SF33', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE', NULL, NULL, NULL, 15),
(91680, NULL, 'PTHR33517:SF4', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 46', NULL, NULL, NULL, 15),
(91681, NULL, 'PTHR48001:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91682, NULL, 'PTHR43601:SF25', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 1-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(91683, NULL, 'PTHR37324:SF4', NULL, NULL, NULL, NULL, 'PERMEASE IIC COMPONENT-RELATED', NULL, NULL, NULL, 15),
(91684, NULL, 'PTHR43684:SF2', NULL, NULL, NULL, NULL, 'CHROMODOMAIN Y-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(91685, NULL, 'PTHR11814:SF218', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 4.1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(91686, NULL, 'PTHR45048', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91687, NULL, 'PTHR31147:SF1', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 4', NULL, NULL, NULL, 15),
(91688, NULL, 'PTHR22835:SF534', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91689, NULL, 'PTHR46128:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91690, NULL, 'PTHR32141:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91691, NULL, 'PTHR23050:SF244', NULL, NULL, NULL, NULL, 'TROPONIN C, ISOFORM 2-RELATED', NULL, NULL, NULL, 15),
(91692, NULL, 'PTHR21422:SF12', NULL, NULL, NULL, NULL, 'RAB3 GTPASE-ACTIVATING PROTEIN CATALYTIC SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(91693, NULL, 'PTHR12792:SF1', NULL, NULL, NULL, NULL, 'BNAC04G05300D PROTEIN', NULL, NULL, NULL, 15),
(91694, NULL, 'PTHR33227:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91695, NULL, 'PTHR39308:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91696, NULL, 'PTHR37251:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91697, NULL, 'PTHR47933:SF12', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(91698, NULL, 'PTHR45744:SF10', NULL, NULL, NULL, NULL, 'CYSTINE LYASE CORI3-RELATED', NULL, NULL, NULL, 15),
(91699, NULL, 'PTHR21600:SF72', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE A, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91700, NULL, 'PTHR31723:SF10', NULL, NULL, NULL, NULL, 'PATHOGEN-RELATED PROTEIN-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91701, NULL, 'PTHR43939:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91702, NULL, 'PTHR19443:SF24', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(91703, NULL, 'PTHR37690:SF1', NULL, NULL, NULL, NULL, 'CHORISMATE DEHYDRATASE', NULL, NULL, NULL, 15),
(91704, NULL, 'PTHR46128:SF133', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(91705, NULL, 'PTHR22928:SF3', NULL, NULL, NULL, NULL, 'TELOMERE-ASSOCIATED PROTEIN RIF1', NULL, NULL, NULL, 15),
(91706, NULL, 'PTHR33453:SF15', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(91707, NULL, 'PTHR10996:SF236', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91708, NULL, 'PTHR47680:SF3', NULL, NULL, NULL, NULL, 'METALLO-DEPENDENT PHOSPHATASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91709, NULL, 'PTHR33065:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91710, NULL, 'PTHR33936:SF2', NULL, NULL, NULL, NULL, 'MODIFIER OF CELL DEATH', NULL, NULL, NULL, 15),
(91711, NULL, 'PTHR13068:SF135', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF8, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(91712, NULL, 'PTHR11062:SF298', NULL, NULL, NULL, NULL, 'BNAA02G13120D PROTEIN', NULL, NULL, NULL, 15),
(91713, NULL, 'PTHR46407:SF8', NULL, NULL, NULL, NULL, 'OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91714, NULL, 'PTHR47811', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE D', NULL, NULL, NULL, 15),
(91715, NULL, 'PTHR37725', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91716, NULL, 'PTHR26452:SF191', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 495-RELATED', NULL, NULL, NULL, 15),
(91717, NULL, 'PTHR46264:SF5', NULL, NULL, NULL, NULL, 'OS02G0722001 PROTEIN', NULL, NULL, NULL, 15),
(91718, NULL, 'PTHR15549:SF6', NULL, NULL, NULL, NULL, 'CELL WALL INTEGRITY AND STRESS RESPONSE COMPONENT 2-RELATED', NULL, NULL, NULL, 15),
(91719, NULL, 'PTHR31557', NULL, NULL, NULL, NULL, '5C820-RELATED-RELATED', NULL, NULL, NULL, 15),
(91720, NULL, 'PTHR31813:SF6', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 23C', NULL, NULL, NULL, 15),
(91721, NULL, 'PTHR15635:SF10', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 9B', NULL, NULL, NULL, 15),
(91722, NULL, 'PTHR12411:SF711', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91723, NULL, 'PTHR39653:SF2', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 22-1', NULL, NULL, NULL, 15),
(91724, NULL, 'PTHR48104:SF34', NULL, NULL, NULL, NULL, 'OS01G0799900 PROTEIN', NULL, NULL, NULL, 15),
(91725, NULL, 'PTHR42987:SF2', NULL, NULL, NULL, NULL, 'PROTEASE SLR0021-RELATED', NULL, NULL, NULL, 15),
(91726, NULL, 'PTHR48044:SF53', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(91727, NULL, 'PTHR13681:SF24', NULL, NULL, NULL, NULL, 'RE01471P', NULL, NULL, NULL, 15),
(91728, NULL, 'PTHR31917:SF86', NULL, NULL, NULL, NULL, 'FINGER TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91729, NULL, 'PTHR24296:SF105', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 96, SUBFAMILY A, POLYPEPTIDE 3', NULL, NULL, NULL, 15),
(91730, NULL, 'PTHR43427:SF3', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-F', NULL, NULL, NULL, 15),
(91731, NULL, 'PTHR31232:SF22', NULL, NULL, NULL, NULL, 'BNAA08G19890D PROTEIN', NULL, NULL, NULL, 15),
(91732, NULL, 'PTHR23201:SF99', NULL, NULL, NULL, NULL, 'OS07G0592000 PROTEIN', NULL, NULL, NULL, 15),
(91733, NULL, 'PTHR43391:SF1', NULL, NULL, NULL, NULL, 'ZMP:0000001048', NULL, NULL, NULL, 15),
(91734, NULL, 'PTHR47982:SF44', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK13-RELATED', NULL, NULL, NULL, 15),
(91735, NULL, 'PTHR31288:SF22', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 9', NULL, NULL, NULL, 15),
(91736, NULL, 'PTHR10942', NULL, NULL, NULL, NULL, 'LEISHMANOLYSIN-LIKE PEPTIDASE', NULL, NULL, 5093, 15),
(91737, NULL, 'PTHR30546:SF37', NULL, NULL, NULL, NULL, 'NAD(P)H:QUINONE OXIDOREDUCTASE, TYPE IV PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91738, NULL, 'PTHR46635:SF2', NULL, NULL, NULL, NULL, 'OS10G0546200 PROTEIN', NULL, NULL, NULL, 15),
(91739, NULL, 'PTHR15228:SF18', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 45', NULL, NULL, NULL, 15),
(91740, NULL, 'PTHR11188:SF83', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(91741, NULL, 'PTHR12080:SF49', NULL, NULL, NULL, NULL, 'SIGNALING LYMPHOCYTIC ACTIVATION MOLECULE', NULL, NULL, NULL, 15),
(91742, NULL, 'PTHR31677:SF111', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91743, NULL, 'PTHR27000:SF737', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RPK2', NULL, NULL, NULL, 15),
(91744, NULL, 'PTHR18945:SF834', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(91745, NULL, 'PTHR11360:SF136', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 22-2', NULL, NULL, NULL, 15),
(91746, NULL, 'PTHR34491:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91747, NULL, 'PTHR30600:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME C PEROXIDASE', NULL, NULL, NULL, 15),
(91748, NULL, 'PTHR13952:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91749, NULL, 'PTHR10093:SF16', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY ENZYME ISCU, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(91750, NULL, 'PTHR33491:SF19', NULL, NULL, NULL, NULL, 'OS10G0162840 PROTEIN', NULL, NULL, NULL, 15),
(91751, NULL, 'PTHR47337', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(91752, NULL, 'PTHR23267:SF335', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 7-43', NULL, NULL, NULL, 15),
(91753, NULL, 'PTHR31623:SF67', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(91754, NULL, 'PTHR31867:SF113', NULL, NULL, NULL, NULL, 'EXPANSIN-A32', NULL, NULL, NULL, 15),
(91755, NULL, 'PTHR42736', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE', NULL, NULL, NULL, 15),
(91756, NULL, 'PTHR46301:SF17', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', NULL, NULL, NULL, 15),
(91757, NULL, 'PTHR26379:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91758, NULL, 'PTHR11863:SF189', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 1-LIKE', NULL, NULL, NULL, 15),
(91759, NULL, 'PTHR31751:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-108C17.2-RELATED', NULL, NULL, NULL, 15),
(91760, NULL, 'PTHR23055:SF20', NULL, NULL, NULL, NULL, 'RECOVERIN', NULL, NULL, NULL, 15),
(91761, NULL, 'PTHR33374:SF32', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 16', NULL, NULL, NULL, 15),
(91762, NULL, 'PTHR36802:SF1', NULL, NULL, NULL, NULL, 'OS02G0815400 PROTEIN', NULL, NULL, NULL, 15),
(91763, NULL, 'PTHR28082', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(91764, NULL, 'PTHR33115:SF55', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(91765, NULL, 'PTHR36781', NULL, NULL, NULL, NULL, 'OS05G0114600 PROTEIN', NULL, NULL, NULL, 15),
(91766, NULL, 'PTHR10641:SF1301', NULL, NULL, NULL, NULL, 'BNAA05G32240D PROTEIN', NULL, NULL, NULL, 15),
(91767, NULL, 'PTHR32254:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91768, NULL, 'PTHR31549:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91769, NULL, 'PTHR10641:SF1235', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(91770, NULL, 'PTHR26450:SF51', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(91771, NULL, 'PTHR24103:SF47', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM38', NULL, NULL, NULL, 15),
(91772, NULL, 'PTHR38409', NULL, NULL, NULL, NULL, 'MDM10-COMPLEMENTING PROTEIN 1', NULL, NULL, 30160, 15),
(91773, NULL, 'PTHR10314:SF121', NULL, NULL, NULL, NULL, 'OS05G0549700 PROTEIN', NULL, NULL, NULL, 15),
(91774, NULL, 'PTHR46281:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B-LIKE-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91775, NULL, 'PTHR47630', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED-RELATED', NULL, NULL, NULL, 15),
(91776, NULL, 'PTHR11071:SF501', NULL, NULL, NULL, NULL, '40 KDA PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(91777, NULL, 'PTHR37532', NULL, NULL, NULL, NULL, 'PROTEIN ISCX', NULL, NULL, 10200, 15),
(91778, NULL, 'PTHR11668:SF452', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 7', NULL, NULL, NULL, 15),
(91779, NULL, 'PTHR31175:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91780, NULL, 'PTHR24247:SF236', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 6', NULL, NULL, NULL, 15),
(91781, NULL, 'PTHR11537:SF90', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY G MEMBER 2', NULL, NULL, NULL, 15),
(91782, NULL, 'PTHR24329:SF405', NULL, NULL, NULL, NULL, 'RETINAL HOMEOBOX PROTEIN RX', NULL, NULL, 24706, 15),
(91783, NULL, 'PTHR37077:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91784, NULL, 'PTHR24367:SF268', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT LGI FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(91785, NULL, 'PTHR45786:SF49', NULL, NULL, NULL, NULL, 'BNAC09G43330D PROTEIN', NULL, NULL, NULL, 15),
(91786, NULL, 'PTHR46236:SF19', NULL, NULL, NULL, NULL, 'BNAA01G22290D PROTEIN', NULL, NULL, NULL, 15),
(91787, NULL, 'PTHR31704:SF42', NULL, NULL, NULL, NULL, 'BNAA01G30910D PROTEIN', NULL, NULL, NULL, 15),
(91788, NULL, 'PTHR45694:SF16', NULL, NULL, NULL, NULL, 'BNAA01G08160D PROTEIN', NULL, NULL, NULL, 15),
(91789, NULL, 'PTHR32142:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91790, NULL, 'PTHR33403:SF34', NULL, NULL, NULL, NULL, 'SPR1', NULL, NULL, NULL, 15),
(91791, NULL, 'PTHR10390:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91792, NULL, 'PTHR31140:SF98', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(91793, NULL, 'PTHR48052:SF36', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91794, NULL, 'PTHR23406:SF78', NULL, NULL, NULL, NULL, 'MALIC ENZYME', NULL, NULL, NULL, 15),
(91795, NULL, 'PTHR46477:SF18', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91796, NULL, 'PTHR22847:SF617', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91797, NULL, 'PTHR13144', NULL, NULL, NULL, NULL, 'TEX261 PROTEIN', NULL, NULL, 7071, 15),
(91798, NULL, 'PTHR27003:SF39', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(91799, NULL, 'PTHR24247:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91800, NULL, 'PTHR11746:SF169', NULL, NULL, NULL, NULL, 'CAFFEIC ACID O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(91801, NULL, 'PTHR24393:SF49', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GFI-1B', NULL, NULL, NULL, 15),
(91802, NULL, 'PTHR31923:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91803, NULL, 'PTHR11064:SF129', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-2', NULL, NULL, NULL, 15),
(91804, NULL, 'PTHR24134:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91805, NULL, 'PTHR47292:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR (TFIIS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(91806, NULL, 'PTHR43243:SF76', NULL, NULL, NULL, NULL, 'BNAC03G64380D PROTEIN', NULL, NULL, NULL, 15),
(91807, NULL, 'PTHR21058:SF0', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE', NULL, NULL, NULL, 15),
(91808, NULL, 'PTHR11394:SF127', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 43', NULL, NULL, NULL, 15),
(91809, NULL, 'PTHR11481:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91810, NULL, 'PTHR11614:SF155', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(91811, NULL, 'PTHR31636:SF230', NULL, NULL, NULL, NULL, 'BNAC07G03310D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91812, NULL, 'PTHR34998:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91813, NULL, 'PTHR30295:SF1', NULL, NULL, NULL, NULL, 'DNA PROTECTION DURING STARVATION PROTEIN', NULL, NULL, NULL, 15),
(91814, NULL, 'PTHR47293:SF44', NULL, NULL, NULL, NULL, 'BNAA01G28070D PROTEIN', NULL, NULL, NULL, 15),
(91815, NULL, 'PTHR47926:SF138', NULL, NULL, NULL, NULL, 'OS03G0852700 PROTEIN', NULL, NULL, NULL, 15),
(91816, NULL, 'PTHR21139:SF6', NULL, NULL, NULL, NULL, 'OS01G0841600 PROTEIN', NULL, NULL, NULL, 15),
(91817, NULL, 'PTHR33207:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91818, NULL, 'PTHR32295:SF171', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 25', NULL, NULL, NULL, 15),
(91819, NULL, 'PTHR12231:SF247', NULL, NULL, NULL, NULL, 'DPR-INTERACTING PROTEIN DELTA, ISOFORM D', NULL, NULL, NULL, 15),
(91820, NULL, 'PTHR31438', NULL, NULL, NULL, NULL, 'LYSINE N-ACYLTRANSFERASE C17G9.06C-RELATED', NULL, NULL, NULL, 15),
(91821, NULL, 'PTHR47875', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP28, CHLOROPLASTIC', NULL, NULL, 37304, 15),
(91822, NULL, 'PTHR13356:SF3', NULL, NULL, NULL, NULL, 'SOSS COMPLEX SUBUNIT B1', NULL, NULL, NULL, 15),
(91823, NULL, 'PTHR31639:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91824, NULL, 'PTHR12486:SF4', NULL, NULL, NULL, NULL, 'APRATAXIN', NULL, NULL, 23404, 15),
(91825, NULL, 'PTHR45764:SF59', NULL, NULL, NULL, NULL, 'BNAANNG05020D PROTEIN', NULL, NULL, NULL, 15),
(91826, NULL, 'PTHR24320:SF235', NULL, NULL, NULL, NULL, 'BNAA03G48800D PROTEIN', NULL, NULL, NULL, 15),
(91827, NULL, 'PTHR12300:SF114', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(91828, NULL, 'PTHR10792:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24-1-RELATED', NULL, NULL, NULL, 15),
(91829, NULL, 'PTHR34837:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91830, NULL, 'PTHR23024:SF465', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE', NULL, NULL, NULL, 15),
(91831, NULL, 'PTHR12677:SF54', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(91832, NULL, 'PTHR32467:SF96', NULL, NULL, NULL, NULL, 'OS03G0313100 PROTEIN', NULL, NULL, NULL, 15),
(91833, NULL, 'PTHR22990', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN', NULL, NULL, NULL, 15),
(91834, NULL, 'PTHR12665:SF7', NULL, NULL, NULL, NULL, 'ORM1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(91835, NULL, 'PTHR43155:SF6', NULL, NULL, NULL, NULL, 'SIGNALING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91836, NULL, 'PTHR23050:SF395', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(91837, NULL, 'PTHR10641:SF1021', NULL, NULL, NULL, NULL, 'PROTEIN ODORANT1-LIKE', NULL, NULL, NULL, 15),
(91838, NULL, 'PTHR33912:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91839, NULL, 'PTHR37972:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11222', NULL, NULL, NULL, 15),
(91840, NULL, 'PTHR24230:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91841, NULL, 'PTHR36982:SF3', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 22', NULL, NULL, NULL, 15),
(91842, NULL, 'PTHR31944:SF129', NULL, NULL, NULL, NULL, 'ASPYRIDONES CLUSTER REGULATOR APDR-RELATED', NULL, NULL, NULL, 15),
(91843, NULL, 'PTHR32009', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(91844, NULL, 'PTHR36375:SF1', NULL, NULL, NULL, NULL, 'OS05G0459300 PROTEIN', NULL, NULL, NULL, 15),
(91845, NULL, 'PTHR36786:SF1', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE', NULL, NULL, NULL, 15),
(91846, NULL, 'PTHR46957', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR', NULL, NULL, NULL, 15),
(91847, NULL, 'PTHR10270:SF161', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-15-RELATED', NULL, NULL, NULL, 15),
(91848, NULL, 'PTHR27002:SF532', NULL, NULL, NULL, NULL, 'OS07G0537500 PROTEIN', NULL, NULL, NULL, 15),
(91849, NULL, 'PTHR42806:SF1', NULL, NULL, NULL, NULL, 'GLYCINE DEHYDROGENASE (DECARBOXYLATING) SUBUNIT 1-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91850, NULL, 'PTHR44579:SF6', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(91851, NULL, 'PTHR36372:SF3', NULL, NULL, NULL, NULL, 'BNACNNG62890D PROTEIN', NULL, NULL, NULL, 15),
(91852, NULL, 'PTHR35732:SF1', NULL, NULL, NULL, NULL, 'OS10G0545100 PROTEIN', NULL, NULL, NULL, 15),
(91853, NULL, 'PTHR27007:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91854, NULL, 'PTHR31680:SF15', NULL, NULL, NULL, NULL, 'PROTEIN LONGIFOLIA 2', NULL, NULL, NULL, 15),
(91855, NULL, 'PTHR11538:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91856, NULL, 'PTHR31503:SF42', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', NULL, NULL, NULL, 15),
(91857, NULL, 'PTHR31727:SF17', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', NULL, NULL, NULL, 15),
(91858, NULL, 'PTHR23064:SF62', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(91859, NULL, 'PTHR27003:SF336', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(91860, NULL, 'PTHR47976:SF15', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', NULL, NULL, NULL, 15),
(91861, NULL, 'PTHR23333', NULL, NULL, NULL, NULL, 'UBX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(91862, NULL, 'PTHR32133:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91863, NULL, 'PTHR31664:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG16840', NULL, NULL, NULL, 15),
(91864, NULL, 'PTHR42852:SF12', NULL, NULL, NULL, NULL, 'THIOL-DISULFIDE OXIDOREDUCTASE YKUV', NULL, NULL, NULL, 15),
(91865, NULL, 'PTHR24366:SF102', NULL, NULL, NULL, NULL, 'HATTIFATTENER, ISOFORM C-RELATED', NULL, NULL, NULL, 15),
(91866, NULL, 'PTHR30031:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE 2', NULL, NULL, NULL, 15),
(91867, NULL, 'PTHR46629:SF6', NULL, NULL, NULL, NULL, 'LON PEPTIDASE N-TERMINAL DOMAIN AND RING FINGER PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(91868, NULL, 'PTHR16294:SF7', NULL, NULL, NULL, NULL, 'DYSBINDIN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(91869, NULL, 'PTHR31509:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91870, NULL, 'PTHR11206:SF109', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 34', NULL, NULL, NULL, 15),
(91871, NULL, 'PTHR36811', NULL, NULL, NULL, NULL, 'OS08G0444440 PROTEIN', NULL, NULL, NULL, 15),
(91872, NULL, 'PTHR33985:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91873, NULL, 'PTHR22952:SF417', NULL, NULL, NULL, NULL, 'OS09G0456200 PROTEIN', NULL, NULL, NULL, 15),
(91874, NULL, 'PTHR18953:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91875, NULL, 'PTHR31490:SF71', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-LIKE', NULL, NULL, NULL, 15),
(91876, NULL, 'PTHR46793:SF1', NULL, NULL, NULL, NULL, '1700018F24RIK PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91877, NULL, 'PTHR22952:SF408', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91878, NULL, 'PTHR33076:SF82', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 5', NULL, NULL, NULL, 15),
(91879, NULL, 'PTHR23267:SF381', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-II REGION VKAPPA167', NULL, NULL, NULL, 15),
(91880, NULL, 'PTHR31626', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 21086, 15),
(91881, NULL, 'PTHR34360:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91882, NULL, 'PTHR20961:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91883, NULL, 'PTHR31339:SF44', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', NULL, NULL, NULL, 15),
(91884, NULL, 'PTHR18901', NULL, NULL, NULL, NULL, '2-DEOXYGLUCOSE-6-PHOSPHATE PHOSPHATASE 2', NULL, NULL, NULL, 15),
(91885, NULL, 'PTHR10795:SF708', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9', NULL, NULL, NULL, 15),
(91886, NULL, 'PTHR31301:SF158', NULL, NULL, NULL, NULL, 'BNAA02G28980D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91887, NULL, 'PTHR11654:SF517', NULL, NULL, NULL, NULL, 'BNACNNG61860D PROTEIN', NULL, NULL, NULL, 15),
(91888, NULL, 'PTHR44329:SF161', NULL, NULL, NULL, NULL, 'OS01G0747400 PROTEIN', NULL, NULL, NULL, 15),
(91889, NULL, 'PTHR24356:SF333', NULL, NULL, NULL, NULL, 'RAC SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(91890, NULL, 'PTHR24361:SF833', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE', NULL, NULL, NULL, 15),
(91891, NULL, 'PTHR34222:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91892, NULL, 'PTHR43735:SF19', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(91893, NULL, 'PTHR43808:SF20', NULL, NULL, NULL, NULL, 'ACETYLORNITHINE DEACETYLASE, HYPOTHETICAL (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(91894, NULL, 'PTHR47917', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91895, NULL, 'PTHR11473', NULL, NULL, NULL, NULL, 'AROMATIC AMINO ACID HYDROXYLASE', NULL, NULL, 129, 15),
(91896, NULL, 'PTHR35465', NULL, NULL, NULL, NULL, 'CAVEOLIN-1 PROTEIN', NULL, NULL, NULL, 15),
(91897, NULL, 'PTHR22847:SF651', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(91898, NULL, 'PTHR45676:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91899, NULL, 'PTHR10795:SF613', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE PROTEASE', NULL, NULL, NULL, 15),
(91900, NULL, 'PTHR30005', NULL, NULL, NULL, NULL, 'EXOPOLYPHOSPHATASE', NULL, NULL, NULL, 15),
(91901, NULL, 'PTHR36367', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(91902, NULL, 'PTHR24343:SF464', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK7', NULL, NULL, NULL, 15),
(91903, NULL, 'PTHR11730:SF60', NULL, NULL, NULL, NULL, 'RH50, ISOFORM B', NULL, NULL, NULL, 15),
(91904, NULL, 'PTHR43939:SF15', NULL, NULL, NULL, NULL, 'SPINDLE APPARATUS PROTEIN LIN-5', NULL, NULL, NULL, 15),
(91905, NULL, 'PTHR23050:SF388', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(91906, NULL, 'PTHR13112', NULL, NULL, NULL, NULL, 'UPF3 REGULATOR OF NONSENSE TRANSCRIPTS-LIKE PROTEIN', NULL, NULL, 33755, 15),
(91907, NULL, 'PTHR42760:SF102', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE 4', NULL, NULL, NULL, 15),
(91908, NULL, 'PTHR12632', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR NF-Y ALPHA-RELATED', NULL, NULL, 2430, 15),
(91909, NULL, 'PTHR23103', NULL, NULL, NULL, NULL, 'ALZHEIMER''S DISEASE BETA-AMYLOID RELATED', NULL, NULL, 7469, 15),
(91910, NULL, 'PTHR11040:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91911, NULL, 'PTHR22923:SF5', NULL, NULL, NULL, NULL, 'CEREBELLIN-1', NULL, NULL, NULL, 15),
(91912, NULL, 'PTHR23041', NULL, NULL, NULL, NULL, 'RING FINGER DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(91913, NULL, 'PTHR27007:SF140', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VII.2-RELATED', NULL, NULL, NULL, 15),
(91914, NULL, 'PTHR13271:SF118', NULL, NULL, NULL, NULL, 'RIBULOSE-1,5 BISPHOSPHATE CARBOXYLASE/OXYGENASE LARGE SUBUNIT N-METHYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(91915, NULL, 'PTHR48015:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MAX-2', NULL, NULL, NULL, 15),
(91916, NULL, 'PTHR46615:SF1', NULL, NULL, NULL, NULL, 'ARYLSULFATASE K', NULL, NULL, NULL, 15),
(91917, NULL, 'PTHR22574:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM71B', NULL, NULL, NULL, 15),
(91918, NULL, 'PTHR35573:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG22129', NULL, NULL, NULL, 15),
(91919, NULL, 'PTHR45868:SF65', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(91920, NULL, 'PTHR34460:SF10', NULL, NULL, NULL, NULL, 'BNAC03G34960D PROTEIN', NULL, NULL, NULL, 15),
(91921, NULL, 'PTHR44170:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBR-OIG-2', NULL, NULL, NULL, 15),
(91922, NULL, 'PTHR48111:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN BASR', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91923, NULL, 'PTHR21654:SF87', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-3B', NULL, NULL, 24231, 15),
(91924, NULL, 'PTHR36054:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SICKLE', NULL, NULL, NULL, 15),
(91925, NULL, 'PTHR13087:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91926, NULL, 'PTHR23024:SF212', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 9-RELATED', NULL, NULL, NULL, 15),
(91927, NULL, 'PTHR22996:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91928, NULL, 'PTHR22870:SF391', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(91929, NULL, 'PTHR46665:SF12', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX PROTEIN-LIKE', NULL, NULL, NULL, 15),
(91930, NULL, 'PTHR42937:SF1', NULL, NULL, NULL, NULL, 'DIAMINOPROPIONATE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(91931, NULL, 'PTHR48001:SF167', NULL, NULL, NULL, NULL, 'MCG63804-RELATED', NULL, NULL, NULL, 15),
(91932, NULL, 'PTHR42904:SF6', NULL, NULL, NULL, NULL, 'PEROXISOMAL NADH PYROPHOSPHATASE NUDT12', NULL, NULL, NULL, 15),
(91933, NULL, 'PTHR23113:SF312', NULL, NULL, NULL, NULL, 'RAL GUANINE NUCLEOTIDE DISSOCIATION STIMULATOR-LIKE, ISOFORM E', NULL, NULL, NULL, 15),
(91934, NULL, 'PTHR10353:SF197', NULL, NULL, NULL, NULL, 'INACTIVE BETA-GLUCOSIDASE 33-RELATED', NULL, NULL, NULL, 15),
(91935, NULL, 'PTHR24298:SF760', NULL, NULL, NULL, NULL, '3-HYDROXYINDOLIN-2-ONE MONOOXYGENASE', NULL, NULL, NULL, 15),
(91936, NULL, 'PTHR48054:SF15', NULL, NULL, NULL, NULL, 'PIRIFORMOSPORA INDICA-INSENSITIVE PROTEIN 2', NULL, NULL, NULL, 15),
(91937, NULL, 'PTHR22946:SF4', NULL, NULL, NULL, NULL, 'ESTERASE FRSA', NULL, NULL, NULL, 15),
(91938, NULL, 'PTHR21398', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(91939, NULL, 'PTHR40891:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91940, NULL, 'PTHR12300:SF133', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN 6', NULL, NULL, NULL, 15),
(91941, NULL, 'PTHR34693:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91942, NULL, 'PTHR48001:SF99', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(91943, NULL, 'PTHR10807:SF69', NULL, NULL, NULL, NULL, 'MYOTUBULARIN', NULL, NULL, 26061, 15),
(91944, NULL, 'PTHR12203:SF104', NULL, NULL, NULL, NULL, 'PROTEIN CAP1, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G05595)-RELATED', NULL, NULL, NULL, 15),
(91945, NULL, 'PTHR32463:SF0', NULL, NULL, NULL, NULL, 'L-FUCOSE KINASE', NULL, NULL, NULL, 15),
(91946, NULL, 'PTHR47737:SF1', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE/PROLINE BETAINE TRANSPORT SYSTEM PERMEASE PROTEIN PROW', NULL, NULL, NULL, 15),
(91947, NULL, 'PTHR13140:SF751', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(91948, NULL, 'PTHR23430:SF318', NULL, NULL, NULL, NULL, 'HISTONE H2A.2-RELATED', NULL, NULL, NULL, 15),
(91949, NULL, 'PTHR12207:SF3', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN F2 RECEPTOR NEGATIVE REGULATOR', NULL, NULL, NULL, 15),
(91950, NULL, 'PTHR32322:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91951, NULL, 'PTHR10641:SF1248', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB41', NULL, NULL, NULL, 15),
(91952, NULL, 'PTHR32468:SF149', NULL, NULL, NULL, NULL, 'BNAC03G16730D PROTEIN', NULL, NULL, NULL, 15),
(91953, NULL, 'PTHR24092:SF171', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(91954, NULL, 'PTHR10635:SF0', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA', NULL, NULL, NULL, 15),
(91955, NULL, 'PTHR34369:SF8', NULL, NULL, NULL, NULL, 'BNAANNG27100D PROTEIN', NULL, NULL, NULL, 15),
(91956, NULL, 'PTHR33473:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ADAPTER PROTEIN CLPS1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(91957, NULL, 'PTHR11178:SF49', NULL, NULL, NULL, NULL, 'PROTEIN 5, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91958, NULL, 'PTHR11732:SF423', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 4 MEMBER C10', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91959, NULL, 'PTHR18952:SF81', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 13', NULL, NULL, NULL, 15),
(91960, NULL, 'PTHR16469:SF29', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED AND SH3 DOMAIN-CONTAINING PROTEIN B', NULL, NULL, NULL, 15),
(91961, NULL, 'PTHR33168:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91962, NULL, 'PTHR43081:SF1', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', NULL, NULL, NULL, 15),
(91963, NULL, 'PTHR11709:SF376', NULL, NULL, NULL, NULL, 'SKU5 SIMILAR 13', NULL, NULL, NULL, 15),
(91964, NULL, 'PTHR45752:SF23', NULL, NULL, NULL, NULL, 'VOLUME-REGULATED ANION CHANNEL SUBUNIT LRRC8A', NULL, NULL, NULL, 15),
(91965, NULL, 'PTHR34964:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(91966, NULL, 'PTHR20852', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', NULL, NULL, NULL, 15),
(91967, NULL, 'PTHR24015:SF1653', NULL, NULL, NULL, NULL, 'OS06G0694300 PROTEIN', NULL, NULL, NULL, 15),
(91968, NULL, 'PTHR38619', NULL, NULL, NULL, NULL, 'PROTEIN CBG04644', NULL, NULL, NULL, 15),
(91969, NULL, 'PTHR15416:SF6', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE INHIBITOR BETA', NULL, NULL, NULL, 15),
(91970, NULL, 'PTHR31301:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91971, NULL, 'PTHR22826:SF201', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR MCF2L2-RELATED', NULL, NULL, NULL, 15),
(91972, NULL, 'PTHR46371:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91973, NULL, 'PTHR10353:SF269', NULL, NULL, NULL, NULL, 'MYROSINASE 6-RELATED', NULL, NULL, NULL, 15),
(91974, NULL, 'PTHR34947:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(91975, NULL, 'PTHR11119:SF33', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 23 MEMBER 2', NULL, NULL, 29496, 15),
(91976, NULL, 'PTHR10288:SF304', NULL, NULL, NULL, NULL, 'NOVA KH (KH) HOMOLOGY DOMAIN HOMOLOG', NULL, NULL, NULL, 15),
(91977, NULL, 'PTHR44259:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91978, NULL, 'PTHR40034', NULL, NULL, NULL, NULL, 'BSL5891 PROTEIN', NULL, NULL, 19753, 15),
(91979, NULL, 'PTHR23315:SF79', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(91980, NULL, 'PTHR22589:SF54', NULL, NULL, NULL, NULL, 'CARNITINE PALMITOYL TRANSFERASE', NULL, NULL, NULL, 15),
(91981, NULL, 'PTHR31696:SF58', NULL, NULL, NULL, NULL, 'OS02G0709600 PROTEIN', NULL, NULL, NULL, 15),
(91982, NULL, 'PTHR46998:SF7', NULL, NULL, NULL, NULL, 'BNAC09G40100D PROTEIN', NULL, NULL, NULL, 15),
(91983, NULL, 'PTHR10353:SF10', NULL, NULL, NULL, NULL, 'KLOTHO', NULL, NULL, 25761, 15),
(91984, NULL, 'PTHR23410:SF30', NULL, NULL, NULL, NULL, 'PROTEIN L5, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(91985, NULL, 'PTHR12636:SF12', NULL, NULL, NULL, NULL, 'EMG1/NEP1 METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(91986, NULL, 'PTHR43446:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91987, NULL, 'PTHR47997:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB32', NULL, NULL, NULL, 15),
(91988, NULL, 'PTHR47985:SF5', NULL, NULL, NULL, NULL, 'RECEPTOR SERINE/THREONINE KINASE', NULL, NULL, NULL, 15),
(91989, NULL, 'PTHR34112', NULL, NULL, NULL, NULL, 'C-JUN-AMINO-TERMINAL KINASE-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(91990, NULL, 'PTHR11736:SF139', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B6', NULL, NULL, NULL, 15),
(91991, NULL, 'PTHR37534:SF14', NULL, NULL, NULL, NULL, 'LYSINE BIOSYNTHESIS REGULATORY PROTEIN LYS14', NULL, NULL, NULL, 15),
(91992, NULL, 'PTHR31189:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91993, NULL, 'PTHR19957:SF330', NULL, NULL, NULL, NULL, 'BNAA06G35880D PROTEIN', NULL, NULL, NULL, 15),
(91994, NULL, 'PTHR11668:SF469', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(91995, NULL, 'PTHR45731', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(91996, NULL, 'PTHR10046:SF24', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG 2, PEROXISOMAL', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(91997, NULL, 'PTHR46410:SF13', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(91998, NULL, 'PTHR45890:SF11', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(91999, NULL, 'PTHR42886:SF38', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(92000, NULL, 'PTHR35401:SF2', NULL, NULL, NULL, NULL, 'ABC-TYPE TRANSPORT SYSTEM-RELATED', NULL, NULL, NULL, 15),
(92001, NULL, 'PTHR10766:SF146', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(92002, NULL, 'PTHR21245:SF15', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 46-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92003, NULL, 'PTHR21576:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92004, NULL, 'PTHR31468:SF12', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE GAS3-RELATED', NULL, NULL, NULL, 15),
(92005, NULL, 'PTHR10653:SF18', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(92006, NULL, 'PTHR46155', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(92007, NULL, 'PTHR45898:SF12', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(92008, NULL, 'PTHR11211:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MOHAWK', NULL, NULL, NULL, 15),
(92009, NULL, 'PTHR11472:SF59', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE DING', NULL, NULL, NULL, 15),
(92010, NULL, 'PTHR28644', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 15', NULL, NULL, 25087, 15),
(92011, NULL, 'PTHR31413:SF31', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN AFP3', NULL, NULL, NULL, 15),
(92012, NULL, 'PTHR45974:SF164', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(92013, NULL, 'PTHR31661', NULL, NULL, NULL, NULL, 'SIMILAR TO CDNA SEQUENCE BC052040', NULL, NULL, 26063, 15),
(92014, NULL, 'PTHR14389:SF14', NULL, NULL, NULL, NULL, 'PROTEIN FAM111A', NULL, NULL, NULL, 15),
(92015, NULL, 'PTHR31580:SF28', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN', NULL, NULL, NULL, 15),
(92016, NULL, 'PTHR10903:SF64', NULL, NULL, NULL, NULL, 'AIG1 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(92017, NULL, 'PTHR40027', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DIVIC', NULL, NULL, 29421, 15),
(92018, NULL, 'PTHR14154:SF14', NULL, NULL, NULL, NULL, 'OS02G0125700 PROTEIN', NULL, NULL, NULL, 15),
(92019, NULL, 'PTHR10390:SF13', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX1', NULL, NULL, 27660, 15),
(92020, NULL, 'PTHR14107:SF16', NULL, NULL, NULL, NULL, 'AT02583P', NULL, NULL, NULL, 15),
(92021, NULL, 'PTHR15592:SF29', NULL, NULL, NULL, NULL, 'POLYPYRIMIDINE TRACT-BINDING PROTEIN HOMOLOG 2', NULL, NULL, NULL, 15),
(92022, NULL, 'PTHR37489', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 20021, 15),
(92023, NULL, 'PTHR32278:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92024, NULL, 'PTHR31659:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92025, NULL, 'PTHR43292:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FADE29', NULL, NULL, NULL, 15),
(92026, NULL, 'PTHR15025:SF1', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-1 SUBUNIT', NULL, NULL, NULL, 15),
(92027, NULL, 'PTHR23155:SF1011', NULL, NULL, NULL, NULL, 'OS11G0258500 PROTEIN', NULL, NULL, NULL, 15),
(92028, NULL, 'PTHR12847:SF9', NULL, NULL, NULL, NULL, 'ADAPTIN EAR-BINDING COAT-ASSOCIATED PROTEIN 1 NECAP-1', NULL, NULL, NULL, 15),
(92029, NULL, 'PTHR44337:SF17', NULL, NULL, NULL, NULL, 'SI:CH211-264F5.6', NULL, NULL, NULL, 15),
(92030, NULL, 'PTHR31902:SF10', NULL, NULL, NULL, NULL, 'ACTIN PATCHES DISTAL PROTEIN 1', NULL, NULL, 22556, 15),
(92031, NULL, 'PTHR13275:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 72 HOMOLOG', NULL, NULL, NULL, 15),
(92032, NULL, 'PTHR34053', NULL, NULL, NULL, NULL, 'PROTEIN ULTRAPETALA 1', NULL, NULL, 21080, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92033, NULL, 'PTHR27009:SF148', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-5', NULL, NULL, NULL, 15),
(92034, NULL, 'PTHR33976:SF8', NULL, NULL, NULL, NULL, 'OS07G0645000 PROTEIN', NULL, NULL, NULL, 15),
(92035, NULL, 'PTHR24282:SF139', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714A1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(92036, NULL, 'PTHR31210:SF72', NULL, NULL, NULL, NULL, 'OS02G0297600 PROTEIN', NULL, NULL, NULL, 15),
(92037, NULL, 'PTHR31009:SF98', NULL, NULL, NULL, NULL, 'SAM DEPENDENT CARBOXYL METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(92038, NULL, 'PTHR23420:SF23', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', NULL, NULL, NULL, 15),
(92039, NULL, 'PTHR31790:SF354', NULL, NULL, NULL, NULL, 'BNAA06G15900D PROTEIN', NULL, NULL, NULL, 15),
(92040, NULL, 'PTHR11040:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92041, NULL, 'PTHR46034:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92042, NULL, 'PTHR26451:SF71', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(92043, NULL, 'PTHR12925', NULL, NULL, NULL, NULL, 'HIKESHI FAMILY MEMBER', NULL, NULL, 12724, 15),
(92044, NULL, 'PTHR21388:SF12', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 37', NULL, NULL, NULL, 15),
(92045, NULL, 'PTHR10218:SF188', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-7 SUBUNIT', NULL, NULL, NULL, 15),
(92046, NULL, 'PTHR27006:SF217', NULL, NULL, NULL, NULL, 'OS06G0676600 PROTEIN', NULL, NULL, NULL, 15),
(92047, NULL, 'PTHR12826:SF16', NULL, NULL, NULL, NULL, 'BNAA05G13630D PROTEIN', NULL, NULL, NULL, 15),
(92048, NULL, 'PTHR44845:SF4', NULL, NULL, NULL, NULL, 'NONRIBOSOMAL PEPTIDE SYNTHASE INPA-RELATED', NULL, NULL, NULL, 15),
(92049, NULL, 'PTHR19229:SF228', NULL, NULL, NULL, NULL, 'OS08G0398300 PROTEIN', NULL, NULL, NULL, 15),
(92050, NULL, 'PTHR31020', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 174', NULL, NULL, 22857, 15),
(92051, NULL, 'PTHR10856:SF0', NULL, NULL, NULL, NULL, 'CORONIN', NULL, NULL, NULL, 15),
(92052, NULL, 'PTHR11213:SF1', NULL, NULL, NULL, NULL, 'PITUITARY ADENYLATE CYCLASE-ACTIVATING POLYPEPTIDE', NULL, NULL, 35547, 15),
(92053, NULL, 'PTHR11521:SF12', NULL, NULL, NULL, NULL, 'TROPONIN T', NULL, NULL, NULL, 15),
(92054, NULL, 'PTHR38596', NULL, NULL, NULL, NULL, 'UPF0114 PROTEIN YQHA', NULL, NULL, 20191, 15),
(92055, NULL, 'PTHR26451:SF325', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10K2', NULL, NULL, NULL, 15),
(92056, NULL, 'PTHR31374:SF290', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(92057, NULL, 'PTHR45024', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(92058, NULL, 'PTHR12091:SF0', NULL, NULL, NULL, NULL, 'PRO-MCH', NULL, NULL, NULL, 15),
(92059, NULL, 'PTHR10353:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92060, NULL, 'PTHR22988:SF34', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MRCK BETA', NULL, NULL, 36179, 15),
(92061, NULL, 'PTHR16770', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 22751, 15),
(92062, NULL, 'PTHR45796:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN P2', NULL, NULL, NULL, 15),
(92063, NULL, 'PTHR10579:SF112', NULL, NULL, NULL, NULL, 'OS04G0198300 PROTEIN', NULL, NULL, NULL, 15),
(92064, NULL, 'PTHR10064:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22', NULL, NULL, NULL, 15),
(92065, NULL, 'PTHR46978:SF7', NULL, NULL, NULL, NULL, 'PROTEIN AIR1-LIKE', NULL, NULL, NULL, 15),
(92066, NULL, 'PTHR43874:SF151', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92067, NULL, 'PTHR38782', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 1861, 15),
(92068, NULL, 'PTHR47926:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92069, NULL, 'PTHR46178', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(92070, NULL, 'PTHR38341', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATE ALDOLASE/PHOSPHATASE', NULL, NULL, 4653, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92071, NULL, 'PTHR11259:SF2', NULL, NULL, NULL, NULL, 'GH16429P', NULL, NULL, NULL, 15),
(92072, NULL, 'PTHR11027', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN A-II', NULL, NULL, 3762, 15),
(92073, NULL, 'PTHR11814:SF214', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.1', NULL, NULL, 28679, 15),
(92074, NULL, 'PTHR48019:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92075, NULL, 'PTHR10835:SF19', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE, FAD/NAD(P)-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92076, NULL, 'PTHR46803:SF4', NULL, NULL, NULL, NULL, 'CARBOXYL TERMINUS OF HSC70-INTERACTING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92077, NULL, 'PTHR19957:SF299', NULL, NULL, NULL, NULL, 'SYNTAXIN-43', NULL, NULL, NULL, 15),
(92078, NULL, 'PTHR11380:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 13', NULL, NULL, NULL, 15),
(92079, NULL, 'PTHR11442:SF83', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT ALPHA-D', NULL, NULL, NULL, 15),
(92080, NULL, 'PTHR47135:SF1', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(92081, NULL, 'PTHR47252', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(92082, NULL, 'PTHR45907:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', NULL, NULL, NULL, 15),
(92083, NULL, 'PTHR33493:SF8', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 18', NULL, NULL, NULL, 15),
(92084, NULL, 'PTHR24282:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92085, NULL, 'PTHR24229:SF82', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(92086, NULL, 'PTHR11776:SF11', NULL, NULL, NULL, NULL, 'OS04G0504000 PROTEIN', NULL, NULL, NULL, 15),
(92087, NULL, 'PTHR11260:SF474', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(92088, NULL, 'PTHR33746', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN', NULL, NULL, NULL, 15),
(92089, NULL, 'PTHR31618:SF7', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(92090, NULL, 'PTHR11753:SF18', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT SIGMA-3', NULL, NULL, NULL, 15),
(92091, NULL, 'PTHR11348:SF17', NULL, NULL, NULL, NULL, 'CCN', NULL, NULL, NULL, 15),
(92092, NULL, 'PTHR31589:SF60', NULL, NULL, NULL, NULL, 'BNAC02G48530D PROTEIN', NULL, NULL, NULL, 15),
(92093, NULL, 'PTHR43314', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 11835, 15),
(92094, NULL, 'PTHR34844', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92095, NULL, 'PTHR10962:SF4', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN 2B', NULL, NULL, NULL, 15),
(92096, NULL, 'PTHR44067:SF12', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(92097, NULL, 'PTHR47989:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92098, NULL, 'PTHR40040', NULL, NULL, NULL, NULL, 'SMALL HYDROPHOBIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92099, NULL, 'PTHR48001:SF101', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(92100, NULL, 'PTHR47975:SF37', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(92101, NULL, 'PTHR13627', NULL, NULL, NULL, NULL, 'FUKUTIN RELATED PROTEIN', NULL, NULL, NULL, 15),
(92102, NULL, 'PTHR48004:SF20', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92103, NULL, 'PTHR11514:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC3', NULL, NULL, NULL, 15),
(92104, NULL, 'PTHR11638:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92105, NULL, 'PTHR43574:SF7', NULL, NULL, NULL, NULL, 'OS08G0526100 PROTEIN', NULL, NULL, NULL, 15),
(92106, NULL, 'PTHR13148:SF8', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', NULL, NULL, NULL, 15),
(92107, NULL, 'PTHR27009:SF212', NULL, NULL, NULL, NULL, 'RECEPTOR SERINE/THREONINE KINASE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92108, NULL, 'PTHR27009:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92109, NULL, 'PTHR11206:SF80', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 27', NULL, NULL, NULL, 15),
(92110, NULL, 'PTHR37151', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 61', NULL, NULL, 24774, 15),
(92111, NULL, 'PTHR31052:SF17', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(92112, NULL, 'PTHR11129:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FARNESYLTRANSFERASE/GERANYLGERANYLTRANSFERASE TYPE-1 SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(92113, NULL, 'PTHR42861:SF20', NULL, NULL, NULL, NULL, 'ATPASE 10, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(92114, NULL, 'PTHR11909:SF391', NULL, NULL, NULL, NULL, 'CASEIN KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(92115, NULL, 'PTHR34482', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(92116, NULL, 'PTHR26453:SF156', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2D2', NULL, NULL, NULL, 15),
(92117, NULL, 'PTHR42721:SF20', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 3', NULL, NULL, NULL, 15),
(92118, NULL, 'PTHR34778:SF4', NULL, NULL, NULL, NULL, 'BNAA07G31790D PROTEIN', NULL, NULL, NULL, 15),
(92119, NULL, 'PTHR12002:SF177', NULL, NULL, NULL, NULL, 'CLAUDIN-RELATED', NULL, NULL, NULL, 15),
(92120, NULL, 'PTHR33527:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92121, NULL, 'PTHR24056:SF414', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 9', NULL, NULL, NULL, 15),
(92122, NULL, 'PTHR33203:SF55', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(92123, NULL, 'PTHR11550', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', NULL, NULL, 7246, 15),
(92124, NULL, 'PTHR23299:SF3', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1G', NULL, NULL, NULL, 15),
(92125, NULL, 'PTHR13690:SF143', NULL, NULL, NULL, NULL, 'BNAA08G04710D PROTEIN', NULL, NULL, NULL, 15),
(92126, NULL, 'PTHR11008:SF34', NULL, NULL, NULL, NULL, 'AGAP003573-PA', NULL, NULL, NULL, 15),
(92127, NULL, 'PTHR22765:SF179', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING RECEPTOR 2', NULL, NULL, NULL, 15),
(92128, NULL, 'PTHR24343:SF299', NULL, NULL, NULL, NULL, 'FI24002P1', NULL, NULL, NULL, 15),
(92129, NULL, 'PTHR47980:SF11', NULL, NULL, NULL, NULL, 'BNAANNG08190D PROTEIN', NULL, NULL, NULL, 15),
(92130, NULL, 'PTHR14511:SF16', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR FAMILY C GROUP 5 MEMBER D', NULL, NULL, NULL, 15),
(92131, NULL, 'PTHR31669:SF227', NULL, NULL, NULL, NULL, 'FAR1-DOMAIN FAMILY SEQUENCE', NULL, NULL, NULL, 15),
(92132, NULL, 'PTHR24356:SF135', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0293276-RELATED', NULL, NULL, NULL, 15),
(92133, NULL, 'PTHR42929:SF6', NULL, NULL, NULL, NULL, 'IRON(III)-TRANSPORT SYSTEM PERMEASE PROTEIN SFUB', NULL, NULL, NULL, 15),
(92134, NULL, 'PTHR22947:SF3', NULL, NULL, NULL, NULL, 'SPERM SPECIFIC FAMILY, CLASS P-RELATED', NULL, NULL, NULL, 15),
(92135, NULL, 'PTHR48001:SF123', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7G3', NULL, NULL, NULL, 15),
(92136, NULL, 'PTHR10044:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92137, NULL, 'PTHR30502:SF7', NULL, NULL, NULL, NULL, 'ALDOLASE LIKE', NULL, NULL, NULL, 15),
(92138, NULL, 'PTHR22802:SF240', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 17, MEMBER A', NULL, NULL, NULL, 15),
(92139, NULL, 'PTHR45624:SF43', NULL, NULL, NULL, NULL, 'BNAA09G18190D PROTEIN', NULL, NULL, NULL, 15),
(92140, NULL, 'PTHR10270:SF304', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-14-RELATED', NULL, NULL, NULL, 15),
(92141, NULL, 'PTHR24056:SF92', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 8', NULL, NULL, NULL, 15),
(92142, NULL, 'PTHR10796:SF111', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(92143, NULL, 'PTHR46438', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(92144, NULL, 'PTHR46691:SF12', NULL, NULL, NULL, NULL, 'BNAA05G25960D PROTEIN', NULL, NULL, NULL, 15),
(92145, NULL, 'PTHR45914:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LAX PANICLE 1', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92146, NULL, 'PTHR24251:SF12', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GAMMA-CARBOXYGLUTAMIC ACID PROTEIN 3', NULL, NULL, NULL, 15),
(92147, NULL, 'PTHR11654:SF556', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.3', NULL, NULL, NULL, 15),
(92148, NULL, 'PTHR48000', NULL, NULL, NULL, NULL, 'OS09G0431300 PROTEIN', NULL, NULL, NULL, 15),
(92149, NULL, 'PTHR31707:SF204', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(92150, NULL, 'PTHR23423:SF24', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER ALPHA-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(92151, NULL, 'PTHR34340:SF1', NULL, NULL, NULL, NULL, 'MELANOREGULIN', NULL, NULL, NULL, 15),
(92152, NULL, 'PTHR31215', NULL, NULL, NULL, NULL, 'OS05G0510400 PROTEIN-RELATED', NULL, NULL, 39288, 15),
(92153, NULL, 'PTHR46287:SF4', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(92154, NULL, 'PTHR15417', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE INHIBITOR AND DOPAMINE- AND CAMP-REGULATED NEURONAL PHOSPHOPROTEIN', NULL, NULL, 12091, 15),
(92155, NULL, 'PTHR31235:SF50', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(92156, NULL, 'PTHR45855:SF50', NULL, NULL, NULL, NULL, 'BNAANNG20430D PROTEIN', NULL, NULL, NULL, 15),
(92157, NULL, 'PTHR24115:SF744', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF3B', NULL, NULL, NULL, 15),
(92158, NULL, 'PTHR46714:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HY5-LIKE', NULL, NULL, NULL, 15),
(92159, NULL, 'PTHR10075:SF79', NULL, NULL, NULL, NULL, 'DOWN SYNDROME CELL ADHESION MOLECULE 3, ISOFORM E-RELATED', NULL, NULL, NULL, 15),
(92160, NULL, 'PTHR43855:SF2', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(92161, NULL, 'PTHR11373:SF34', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(92162, NULL, 'PTHR15503:SF22', NULL, NULL, NULL, NULL, 'GAG PROTEASE POLYPROTEIN', NULL, NULL, NULL, 15),
(92163, NULL, 'PTHR37221', NULL, NULL, NULL, NULL, 'OS02G0582400 PROTEIN', NULL, NULL, NULL, 15),
(92164, NULL, 'PTHR11412:SF111', NULL, NULL, NULL, NULL, 'PROTEIN C3P1-RELATED', NULL, NULL, NULL, 15),
(92165, NULL, 'PTHR35786:SF1', NULL, NULL, NULL, NULL, 'REDOX-SENSING TRANSCRIPTIONAL REPRESSOR REX', NULL, NULL, NULL, 15),
(92166, NULL, 'PTHR45942:SF3', NULL, NULL, NULL, NULL, 'CALCINEURIN SUBUNIT B TYPE 1', NULL, NULL, NULL, 15),
(92167, NULL, 'PTHR46910:SF15', NULL, NULL, NULL, NULL, 'PRNA PROTEIN', NULL, NULL, NULL, 15),
(92168, NULL, 'PTHR43708:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92169, NULL, 'PTHR43630:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(92170, NULL, 'PTHR11431:SF23', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(92171, NULL, 'PTHR33091:SF37', NULL, NULL, NULL, NULL, 'SUBTILISIN-CHYMOTRYPSIN INHIBITOR CI-1B', NULL, NULL, NULL, 15),
(92172, NULL, 'PTHR23024:SF526', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE', NULL, NULL, NULL, 15),
(92173, NULL, 'PTHR43322:SF9', NULL, NULL, NULL, NULL, 'BNAA01G35430D PROTEIN', NULL, NULL, NULL, 15),
(92174, NULL, 'PTHR45779:SF10', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP15-2', NULL, NULL, NULL, 15),
(92175, NULL, 'PTHR13305:SF1', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX, SUBUNIT NOP10-RELATED', NULL, NULL, NULL, 15),
(92176, NULL, 'PTHR12845:SF4', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 26', NULL, NULL, NULL, 15),
(92177, NULL, 'PTHR11260:SF617', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92178, NULL, 'PTHR24247:SF97', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(92179, NULL, 'PTHR47999:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92180, NULL, 'PTHR35899:SF1', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(92181, NULL, 'PTHR33868:SF11', NULL, NULL, NULL, NULL, 'BNAC05G00690D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92182, NULL, 'PTHR22804:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92183, NULL, 'PTHR10751:SF100', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(92184, NULL, 'PTHR23502:SF33', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01930)-RELATED', NULL, NULL, NULL, 15),
(92185, NULL, 'PTHR46123:SF4', NULL, NULL, NULL, NULL, 'MIX-TYPE HOMEOBOX GENE 1-RELATED', NULL, NULL, NULL, 15),
(92186, NULL, 'PTHR34660:SF15', NULL, NULL, NULL, NULL, 'BNAC03G35160D PROTEIN', NULL, NULL, NULL, 15),
(92187, NULL, 'PTHR24300:SF81', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(92188, NULL, 'PTHR46354:SF20', NULL, NULL, NULL, NULL, 'BNACNNG37860D PROTEIN', NULL, NULL, NULL, 15),
(92189, NULL, 'PTHR31235:SF348', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(92190, NULL, 'PTHR48058:SF7', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 2 ISOFORM X1', NULL, NULL, NULL, 15),
(92191, NULL, 'PTHR34822:SF1', NULL, NULL, NULL, NULL, 'GRPB DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G01530)', NULL, NULL, NULL, 15),
(92192, NULL, 'PTHR24404:SF49', NULL, NULL, NULL, NULL, 'RH47711P', NULL, NULL, NULL, 15),
(92193, NULL, 'PTHR31985:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92194, NULL, 'PTHR43243:SF19', NULL, NULL, NULL, NULL, 'ZGC:175280', NULL, NULL, NULL, 15),
(92195, NULL, 'PTHR11430:SF12', NULL, NULL, NULL, NULL, 'EPIDIDYMAL-SPECIFIC LIPOCALIN-12', NULL, NULL, NULL, 15),
(92196, NULL, 'PTHR31901:SF5', NULL, NULL, NULL, NULL, 'GH3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(92197, NULL, 'PTHR15692', NULL, NULL, NULL, NULL, 'MASTERMIND-LIKE', NULL, NULL, NULL, 15),
(92198, NULL, 'PTHR31225:SF134', NULL, NULL, NULL, NULL, '(-)-GERMACRENE D SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(92199, NULL, 'PTHR10942:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92200, NULL, 'PTHR23201:SF77', NULL, NULL, NULL, NULL, 'PROTEIN GAST1', NULL, NULL, NULL, 15),
(92201, NULL, 'PTHR31769:SF7', NULL, NULL, NULL, NULL, 'OS07G0462200 PROTEIN', NULL, NULL, NULL, 15),
(92202, NULL, 'PTHR42741', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92203, NULL, 'PTHR24064:SF34', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 20', NULL, NULL, NULL, 15),
(92204, NULL, 'PTHR19861:SF3', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(92205, NULL, 'PTHR31264:SF3', NULL, NULL, NULL, NULL, 'OS07G0554500 PROTEIN', NULL, NULL, NULL, 15),
(92206, NULL, 'PTHR13036', NULL, NULL, NULL, NULL, 'BETA1,4 MANNOSYLTRANSFERASE', NULL, NULL, 24867, 15),
(92207, NULL, 'PTHR33916:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92208, NULL, 'PTHR34118:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CONSERVED ONLY IN THE GREEN LINEAGE 160, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(92209, NULL, 'PTHR33836:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92210, NULL, 'PTHR43054:SF1', NULL, NULL, NULL, NULL, 'SCYLLO-INOSITOL 2-DEHYDROGENASE (NADP(+)) IOLU', NULL, NULL, NULL, 15),
(92211, NULL, 'PTHR24366:SF70', NULL, NULL, NULL, NULL, 'RETICULON 4 RECEPTOR-LIKE 2B', NULL, NULL, NULL, 15),
(92212, NULL, 'PTHR12992:SF24', NULL, NULL, NULL, NULL, 'PEROXISOMAL COENZYME A DIPHOSPHATASE NUDT7', NULL, NULL, NULL, 15),
(92213, NULL, 'PTHR10366:SF721', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92214, NULL, 'PTHR37211', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(92215, NULL, 'PTHR31642:SF115', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 26-LIKE', NULL, NULL, NULL, 15),
(92216, NULL, 'PTHR24366:SF61', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 52', NULL, NULL, NULL, 15),
(92217, NULL, 'PTHR24356:SF140', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED SERINE/THREONINE-PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(92218, NULL, 'PTHR11905:SF19', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 19', NULL, NULL, 31452, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92219, NULL, 'PTHR23211', NULL, NULL, NULL, NULL, 'TRANS-GOLGI NETWORK INTEGRAL MEMBRANE PROTEIN TGN38', NULL, NULL, NULL, 15),
(92220, NULL, 'PTHR11804:SF48', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92221, NULL, 'PTHR34267:SF14', NULL, NULL, NULL, NULL, 'OS06G0114500 PROTEIN', NULL, NULL, NULL, 15),
(92222, NULL, 'PTHR11240:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92223, NULL, 'PTHR14898:SF0', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB-LIKE PROTEIN', NULL, NULL, NULL, 15),
(92224, NULL, 'PTHR10281:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92225, NULL, 'PTHR10332:SF75', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(92226, NULL, 'PTHR23316:SF65', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(92227, NULL, 'PTHR31677:SF66', NULL, NULL, NULL, NULL, 'OS06G0691100 PROTEIN', NULL, NULL, NULL, 15),
(92228, NULL, 'PTHR12048:SF0', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN ZETA', NULL, NULL, NULL, 15),
(92229, NULL, 'PTHR24078:SF536', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 13-LIKE', NULL, NULL, NULL, 15),
(92230, NULL, 'PTHR12446:SF46', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 7', NULL, NULL, NULL, 15),
(92231, NULL, 'PTHR11773', NULL, NULL, NULL, NULL, 'GLYCINE DEHYDROGENASE, DECARBOXYLATING', NULL, NULL, 19879, 15),
(92232, NULL, 'PTHR15710:SF137', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', NULL, NULL, NULL, 15),
(92233, NULL, 'PTHR27003:SF392', NULL, NULL, NULL, NULL, 'JACALIN-LIKE LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92234, NULL, 'PTHR33528:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92235, NULL, 'PTHR24404:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 564', NULL, NULL, NULL, 15),
(92236, NULL, 'PTHR11593:SF31', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L22/L17-RELATED', NULL, NULL, NULL, 15),
(92237, NULL, 'PTHR19278:SF40', NULL, NULL, NULL, NULL, 'URIDINE 5''-MONOPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(92238, NULL, 'PTHR14095:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92239, NULL, 'PTHR11267:SF188', NULL, NULL, NULL, NULL, 'T-BOX 16', NULL, NULL, NULL, 15),
(92240, NULL, 'PTHR11005:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92241, NULL, 'PTHR46547:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 8-LIKE', NULL, NULL, NULL, 15),
(92242, NULL, 'PTHR33148:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92243, NULL, 'PTHR47967:SF38', NULL, NULL, NULL, NULL, 'OS09G0452400 PROTEIN', NULL, NULL, NULL, 15),
(92244, NULL, 'PTHR33070:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92245, NULL, 'PTHR24543:SF290', NULL, NULL, NULL, NULL, 'NEUROPILIN', NULL, NULL, NULL, 15),
(92246, NULL, 'PTHR45798:SF56', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL23-LIKE', NULL, NULL, NULL, 15),
(92247, NULL, 'PTHR26450:SF74', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52N4', NULL, NULL, NULL, 15),
(92248, NULL, 'PTHR10682:SF22', NULL, NULL, NULL, NULL, 'NUCLEAR POLY(A) POLYMERASE 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(92249, NULL, 'PTHR24056:SF0', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 7', NULL, NULL, 33633, 15),
(92250, NULL, 'PTHR45708:SF35', NULL, NULL, NULL, NULL, 'OS01G0687400 PROTEIN', NULL, NULL, NULL, 15),
(92251, NULL, 'PTHR16717:SF7', NULL, NULL, NULL, NULL, 'SI:DKEY-85N7.8', NULL, NULL, NULL, 15),
(92252, NULL, 'PTHR13780:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92253, NULL, 'PTHR11213:SF5', NULL, NULL, NULL, NULL, 'VIP PEPTIDES', NULL, NULL, 8196, 15),
(92254, NULL, 'PTHR31865:SF21', NULL, NULL, NULL, NULL, 'DUF1685 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(92255, NULL, 'PTHR11880:SF42', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S19, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(92256, NULL, 'PTHR46134', NULL, NULL, NULL, NULL, 'DRONGO, ISOFORM F', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92257, NULL, 'PTHR47084:SF1', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE SMALL SUBUNIT A', NULL, NULL, NULL, 15),
(92258, NULL, 'PTHR10795:SF717', NULL, NULL, NULL, NULL, 'BNACNNG38020D PROTEIN', NULL, NULL, NULL, 15),
(92259, NULL, 'PTHR10553:SF24', NULL, NULL, NULL, NULL, 'SM-LIKE PROTEIN LSM7', NULL, NULL, NULL, 15),
(92260, NULL, 'PTHR10652:SF21', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(92261, NULL, 'PTHR11787:SF22', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', NULL, NULL, NULL, 15),
(92262, NULL, 'PTHR48009:SF10', NULL, NULL, NULL, NULL, 'OS11G0644100 PROTEIN', NULL, NULL, NULL, 15),
(92263, NULL, 'PTHR24326:SF547', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX4', NULL, NULL, NULL, 15),
(92264, NULL, 'PTHR43237:SF4', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME', NULL, NULL, NULL, 15),
(92265, NULL, 'PTHR32015:SF5', NULL, NULL, NULL, NULL, 'LIPASE RELATED', NULL, NULL, NULL, 15),
(92266, NULL, 'PTHR10791:SF5', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET', NULL, NULL, 16533, 15),
(92267, NULL, 'PTHR23153', NULL, NULL, NULL, NULL, 'UBX-RELATED', NULL, NULL, NULL, 15),
(92268, NULL, 'PTHR33065:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92269, NULL, 'PTHR42898:SF31', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(92270, NULL, 'PTHR24637:SF236', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 39', NULL, NULL, NULL, 15),
(92271, NULL, 'PTHR47071:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92272, NULL, 'PTHR20884:SF15', NULL, NULL, NULL, NULL, 'GDP-L-GALACTOSE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(92273, NULL, 'PTHR10314:SF203', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(92274, NULL, 'PTHR47993:SF36', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(92275, NULL, 'PTHR31342:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(92276, NULL, 'PTHR30137:SF8', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(92277, NULL, 'PTHR22593:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 18', NULL, NULL, NULL, 15),
(92278, NULL, 'PTHR23176:SF105', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATOR (BEM3), PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06400)-RELATED', NULL, NULL, NULL, 15),
(92279, NULL, 'PTHR33108:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92280, NULL, 'PTHR21459', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(92281, NULL, 'PTHR11711:SF357', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 1', NULL, NULL, NULL, 15),
(92282, NULL, 'PTHR31906:SF27', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(92283, NULL, 'PTHR11680:SF7', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE 7', NULL, NULL, NULL, 15),
(92284, NULL, 'PTHR31147:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92285, NULL, 'PTHR47966:SF37', NULL, NULL, NULL, NULL, 'CATHEPSINE-A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(92286, NULL, 'PTHR47960:SF6', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 39-LIKE', NULL, NULL, NULL, 15),
(92287, NULL, 'PTHR42893:SF35', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(92288, NULL, 'PTHR31874:SF40', NULL, NULL, NULL, NULL, 'OS02G0731700 PROTEIN', NULL, NULL, NULL, 15),
(92289, NULL, 'PTHR43874:SF112', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(92290, NULL, 'PTHR11972:SF127', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN A-LIKE', NULL, NULL, NULL, 15),
(92291, NULL, 'PTHR27001:SF614', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(92292, NULL, 'PTHR32215:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92293, NULL, 'PTHR14386:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM204A', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92294, NULL, 'PTHR24238:SF55', NULL, NULL, NULL, NULL, 'TACHYKININ RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(92295, NULL, 'PTHR24296:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92296, NULL, 'PTHR32021:SF1', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5A1', NULL, NULL, NULL, 15),
(92297, NULL, 'PTHR46181:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCINE TRANSPORTER B', NULL, NULL, NULL, 15),
(92298, NULL, 'PTHR15478', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN, PQ-RICH PROTEIN', NULL, NULL, 37724, 15),
(92299, NULL, 'PTHR12659:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 7', NULL, NULL, 24711, 15),
(92300, NULL, 'PTHR41519:SF1', NULL, NULL, NULL, NULL, 'SLR1087 PROTEIN', NULL, NULL, NULL, 15),
(92301, NULL, 'PTHR10201:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92302, NULL, 'PTHR47852:SF2', NULL, NULL, NULL, NULL, 'OS06G0298400 PROTEIN', NULL, NULL, NULL, 15),
(92303, NULL, 'PTHR33167:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92304, NULL, 'PTHR43689:SF39', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', NULL, NULL, NULL, 15),
(92305, NULL, 'PTHR23024:SF553', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92306, NULL, 'PTHR45657:SF49', NULL, NULL, NULL, NULL, 'BNAA03G11060D PROTEIN', NULL, NULL, NULL, 15),
(92307, NULL, 'PTHR45764:SF40', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 11', NULL, NULL, NULL, 15),
(92308, NULL, 'PTHR46087:SF10', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(92309, NULL, 'PTHR32387:SF14', NULL, NULL, NULL, NULL, 'BNAANNG19870D PROTEIN', NULL, NULL, NULL, 15),
(92310, NULL, 'PTHR45615:SF24', NULL, NULL, NULL, NULL, 'MYOSIN-10', NULL, NULL, NULL, 15),
(92311, NULL, 'PTHR15629:SF30', NULL, NULL, NULL, NULL, 'LAS17 BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(92312, NULL, 'PTHR11404:SF38', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE', NULL, NULL, NULL, 15),
(92313, NULL, 'PTHR33281:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92314, NULL, 'PTHR11055:SF57', NULL, NULL, NULL, NULL, 'BNAC01G22950D PROTEIN', NULL, NULL, NULL, 15),
(92315, NULL, 'PTHR13634:SF0', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN BRX1 HOMOLOG', NULL, NULL, NULL, 15),
(92316, NULL, 'PTHR45646:SF16', NULL, NULL, NULL, NULL, 'KINASE AFC1', NULL, NULL, NULL, 15),
(92317, NULL, 'PTHR32141:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92318, NULL, 'PTHR10334:SF471', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', NULL, NULL, NULL, 15),
(92319, NULL, 'PTHR47933:SF26', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(92320, NULL, 'PTHR38445:SF10', NULL, NULL, NULL, NULL, 'GNTR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(92321, NULL, 'PTHR15241:SF296', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92322, NULL, 'PTHR10593:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92323, NULL, 'PTHR35351', NULL, NULL, NULL, NULL, 'GERMINAL CENTER-ASSOCIATED SIGNALING AND MOTILITY-LIKE PROTEIN', NULL, NULL, 27350, 15),
(92324, NULL, 'PTHR48002:SF99', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(92325, NULL, 'PTHR33086:SF54', NULL, NULL, NULL, NULL, 'OS03G0790200 PROTEIN', NULL, NULL, NULL, 15),
(92326, NULL, 'PTHR31834:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE HOC1-RELATED', NULL, NULL, NULL, 15),
(92327, NULL, 'PTHR21310:SF42', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(92328, NULL, 'PTHR13848:SF72', NULL, NULL, NULL, NULL, 'BNAA02G29560D PROTEIN', NULL, NULL, NULL, 15),
(92329, NULL, 'PTHR44042:SF44', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92330, NULL, 'PTHR13948', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(92331, NULL, 'PTHR10730', NULL, NULL, NULL, NULL, 'PROCOLLAGEN-LYSINE,2-OXOGLUTARATE 5-DIOXYGENASE/GLYCOSYLTRANSFERASE 25 FAMILY MEMBER', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92332, NULL, 'PTHR34120', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(92333, NULL, 'PTHR48021:SF69', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 16', NULL, NULL, NULL, 15),
(92334, NULL, 'PTHR35354', NULL, NULL, NULL, NULL, 'RGD1561648', NULL, NULL, 25308, 15),
(92335, NULL, 'PTHR14190:SF7', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 52 HOMOLOG', NULL, NULL, NULL, 15),
(92336, NULL, 'PTHR10824:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG04103', NULL, NULL, NULL, 15),
(92337, NULL, 'PTHR23315:SF261', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(92338, NULL, 'PTHR31683:SF154', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(92339, NULL, 'PTHR32444:SF85', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(92340, NULL, 'PTHR13233:SF0', NULL, NULL, NULL, NULL, 'MICROSPHERULE PROTEIN 1', NULL, NULL, NULL, 15),
(92341, NULL, 'PTHR46980:SF1', NULL, NULL, NULL, NULL, 'TRICALBIN-3', NULL, NULL, NULL, 15),
(92342, NULL, 'PTHR13793:SF144', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(92343, NULL, 'PTHR45712:SF13', NULL, NULL, NULL, NULL, 'KERATOCAN', NULL, NULL, NULL, 15),
(92344, NULL, 'PTHR43004:SF14', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE APDD', NULL, NULL, NULL, 15),
(92345, NULL, 'PTHR23266:SF330', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 2-70-RELATED', NULL, NULL, NULL, 15),
(92346, NULL, 'PTHR11654:SF78', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.3-LIKE', NULL, NULL, NULL, 15),
(92347, NULL, 'PTHR35010:SF4', NULL, NULL, NULL, NULL, 'BLL5781 PROTEIN', NULL, NULL, NULL, 15),
(92348, NULL, 'PTHR23266:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92349, NULL, 'PTHR31189:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92350, NULL, 'PTHR31973:SF144', NULL, NULL, NULL, NULL, 'BNAANNG04630D PROTEIN', NULL, NULL, NULL, 15),
(92351, NULL, 'PTHR45768:SF44', NULL, NULL, NULL, NULL, 'BNAC04G51840D PROTEIN', NULL, NULL, NULL, 15),
(92352, NULL, 'PTHR46932:SF8', NULL, NULL, NULL, NULL, 'TNFR/NGFR CYSTEINE-RICH REGION-RELATED', NULL, NULL, NULL, 15),
(92353, NULL, 'PTHR31993:SF4', NULL, NULL, NULL, NULL, 'UBA-LIKE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(92354, NULL, 'PTHR45808:SF10', NULL, NULL, NULL, NULL, 'SI:CH1073-272J17.3-RELATED', NULL, NULL, NULL, 15),
(92355, NULL, 'PTHR12122:SF8', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE 6H, CGMP-SPECIFIC, CONE, GAMMA, PARALOG A', NULL, NULL, NULL, 15),
(92356, NULL, 'PTHR48052:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92357, NULL, 'PTHR28038:SF1', NULL, NULL, NULL, NULL, 'ADL329WP', NULL, NULL, NULL, 15),
(92358, NULL, 'PTHR34970:SF3', NULL, NULL, NULL, NULL, 'OS05G0535700 PROTEIN', NULL, NULL, NULL, 15),
(92359, NULL, 'PTHR31595:SF54', NULL, NULL, NULL, NULL, 'OS07G0540000 PROTEIN', NULL, NULL, NULL, 15),
(92360, NULL, 'PTHR37781', NULL, NULL, NULL, NULL, 'TFIIH COMPLEX SUBUNIT', NULL, NULL, 2878, 15),
(92361, NULL, 'PTHR35488', NULL, NULL, NULL, NULL, 'OS05G0358900 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92362, NULL, 'PTHR31669:SF200', NULL, NULL, NULL, NULL, 'OS03G0655600 PROTEIN', NULL, NULL, NULL, 15),
(92363, NULL, 'PTHR24300:SF86', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(92364, NULL, 'PTHR10926:SF61', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT', NULL, NULL, NULL, 15),
(92365, NULL, 'PTHR11005:SF135', NULL, NULL, NULL, NULL, 'AB-HYDROLASE LIPASE DOMAIN, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92366, NULL, 'PTHR47058:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92367, NULL, 'PTHR24006:SF668', NULL, NULL, NULL, NULL, 'OS08G0478500 PROTEIN', NULL, NULL, NULL, 15),
(92368, NULL, 'PTHR31062:SF239', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(92369, NULL, 'PTHR45708:SF31', NULL, NULL, NULL, NULL, 'III ACIDIC ENDOCHITINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92370, NULL, 'PTHR13848:SF67', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(92371, NULL, 'PTHR13439:SF47', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 56 HOMOLOG C', NULL, NULL, NULL, 15),
(92372, NULL, 'PTHR11937:SF460', NULL, NULL, NULL, NULL, 'BNAC05G09010D PROTEIN', NULL, NULL, NULL, 15),
(92373, NULL, 'PTHR24177:SF325', NULL, NULL, NULL, NULL, 'OS07G0193200 PROTEIN', NULL, NULL, NULL, 15),
(92374, NULL, 'PTHR48018:SF47', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(92375, NULL, 'PTHR30457:SF20', NULL, NULL, NULL, NULL, 'BNAC01G31420D PROTEIN', NULL, NULL, NULL, 15),
(92376, NULL, 'PTHR24414:SF97', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92377, NULL, 'PTHR47896:SF1', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-9', NULL, NULL, NULL, 15),
(92378, NULL, 'PTHR10906:SF30', NULL, NULL, NULL, NULL, 'BNACNNG56640D PROTEIN', NULL, NULL, NULL, 15),
(92379, NULL, 'PTHR13847:SF272', NULL, NULL, NULL, NULL, 'FAD DEPENDENT OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(92380, NULL, 'PTHR14096:SF27', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L2', NULL, NULL, NULL, 15),
(92381, NULL, 'PTHR32208:SF70', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN ARB_07867-LIKE', NULL, NULL, NULL, 15),
(92382, NULL, 'PTHR33699:SF1', NULL, NULL, NULL, NULL, 'OS12G0417300 PROTEIN', NULL, NULL, NULL, 15),
(92383, NULL, 'PTHR12756:SF41', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE 2', NULL, NULL, NULL, 15),
(92384, NULL, 'PTHR12560:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92385, NULL, 'PTHR45504:SF3', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(92386, NULL, 'PTHR13723:SF39', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 15', NULL, NULL, NULL, 15),
(92387, NULL, 'PTHR16529:SF8', NULL, NULL, NULL, NULL, 'CD177 ANTIGEN', NULL, NULL, NULL, 15),
(92388, NULL, 'PTHR24070:SF422', NULL, NULL, NULL, NULL, 'RASD FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(92389, NULL, 'PTHR22880:SF236', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92390, NULL, 'PTHR26453:SF23', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(92391, NULL, 'PTHR32266:SF14', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE 1', NULL, NULL, NULL, 15),
(92392, NULL, 'PTHR11945:SF638', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN DEFICIENS', NULL, NULL, NULL, 15),
(92393, NULL, 'PTHR32001:SF1', NULL, NULL, NULL, NULL, 'KERATINOCYTE-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(92394, NULL, 'PTHR45637:SF39', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL2', NULL, NULL, NULL, 15),
(92395, NULL, 'PTHR43551', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE IRON-SULFUR SUBUNIT', NULL, NULL, NULL, 15),
(92396, NULL, 'PTHR22966:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92397, NULL, 'PTHR11639:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92398, NULL, 'PTHR31325:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92399, NULL, 'PTHR21660:SF49', NULL, NULL, NULL, NULL, 'ESTERASE F42H10.6-RELATED', NULL, NULL, NULL, 15),
(92400, NULL, 'PTHR24381:SF357', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 425', NULL, NULL, NULL, 15),
(92401, NULL, 'PTHR45746:SF6', NULL, NULL, NULL, NULL, 'LP21163P', NULL, NULL, 4237, 15),
(92402, NULL, 'PTHR10593:SF188', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ENHYDROUS', NULL, NULL, NULL, 15),
(92403, NULL, 'PTHR38495:SF1', NULL, NULL, NULL, NULL, 'MCG11474', NULL, NULL, NULL, 15),
(92404, NULL, 'PTHR22779:SF6', NULL, NULL, NULL, NULL, 'SD17342P', NULL, NULL, NULL, 15),
(92405, NULL, 'PTHR35734:SF1', NULL, NULL, NULL, NULL, 'OS01G0805200 PROTEIN', NULL, NULL, NULL, 15),
(92406, NULL, 'PTHR31636:SF268', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS, SCARECROW-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(92407, NULL, 'PTHR33127:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92408, NULL, 'PTHR46418:SF1', NULL, NULL, NULL, NULL, 'SRBC-64-RELATED', NULL, NULL, NULL, 15),
(92409, NULL, 'PTHR10551:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92410, NULL, 'PTHR33021:SF301', NULL, NULL, NULL, NULL, 'OS02G0758800 PROTEIN', NULL, NULL, NULL, 15),
(92411, NULL, 'PTHR21277:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92412, NULL, 'PTHR11685:SF368', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(92413, NULL, 'PTHR35248:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92414, NULL, 'PTHR21225:SF12', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE, PHE-SENSITIVE', NULL, NULL, NULL, 15),
(92415, NULL, 'PTHR11005:SF16', NULL, NULL, NULL, NULL, 'LIPASE MEMBER N', NULL, NULL, NULL, 15),
(92416, NULL, 'PTHR31828:SF36', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 3', NULL, NULL, NULL, 15),
(92417, NULL, 'PTHR23430:SF297', NULL, NULL, NULL, NULL, 'HISTONE H2A VARIANT 2-RELATED', NULL, NULL, NULL, 15),
(92418, NULL, 'PTHR45951:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DISPATCHED HOMOLOG 2', NULL, NULL, NULL, 15),
(92419, NULL, 'PTHR25465:SF5', NULL, NULL, NULL, NULL, 'BLOODTHIRSTY-RELATED GENE FAMILY, MEMBER 30-RELATED', NULL, NULL, NULL, 15),
(92420, NULL, 'PTHR14493:SF98', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 30-LIKE', NULL, NULL, NULL, 15),
(92421, NULL, 'PTHR11654:SF530', NULL, NULL, NULL, NULL, 'OS05G0430900 PROTEIN', NULL, NULL, NULL, 15),
(92422, NULL, 'PTHR12315:SF1', NULL, NULL, NULL, NULL, 'RNA 5''-MONOPHOSPHATE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(92423, NULL, 'PTHR46029:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92424, NULL, 'PTHR32054:SF69', NULL, NULL, NULL, NULL, 'BNAC03G14000D PROTEIN', NULL, NULL, NULL, 15),
(92425, NULL, 'PTHR13817:SF132', NULL, NULL, NULL, NULL, 'SEC14 DOMAIN AND SPECTRIN REPEAT-CONTAINING PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(92426, NULL, 'PTHR46996:SF4', NULL, NULL, NULL, NULL, 'BNAC09G54710D PROTEIN', NULL, NULL, NULL, 15),
(92427, NULL, 'PTHR45699:SF11', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', NULL, NULL, NULL, 15),
(92428, NULL, 'PTHR31495:SF24', NULL, NULL, NULL, NULL, 'PEROXYGENASE 5-RELATED', NULL, NULL, NULL, 15),
(92429, NULL, 'PTHR12565:SF365', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH137-LIKE', NULL, NULL, NULL, 15),
(92430, NULL, 'PTHR10091:SF3', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(92431, NULL, 'PTHR34952:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92432, NULL, 'PTHR10891:SF868', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92433, NULL, 'PTHR38150', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92434, NULL, 'PTHR26450:SF141', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(92435, NULL, 'PTHR23075:SF5', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 3A', NULL, NULL, NULL, 15),
(92436, NULL, 'PTHR12725:SF82', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(92437, NULL, 'PTHR31669:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92438, NULL, 'PTHR16675:SF186', NULL, NULL, NULL, NULL, 'HLA CLASS I HISTOCOMPATIBILITY ANTIGEN, B-73 ALPHA CHAIN', NULL, NULL, NULL, 15),
(92439, NULL, 'PTHR34042:SF2', NULL, NULL, NULL, NULL, 'OS07G0679100 PROTEIN', NULL, NULL, NULL, 15),
(92440, NULL, 'PTHR11482:SF58', NULL, NULL, NULL, NULL, 'DIAMINOPIMELATE DECARBOXYLASE 2 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(92441, NULL, 'PTHR31642:SF38', NULL, NULL, NULL, NULL, 'TRYPTAMINE BENZOYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(92442, NULL, 'PTHR11950:SF44', NULL, NULL, NULL, NULL, 'RUNT RELATED A, ISOFORM D', NULL, NULL, NULL, 15),
(92443, NULL, 'PTHR24075:SF0', NULL, NULL, NULL, NULL, 'TRANSLOCATION PROTEIN SEC63 HOMOLOG', NULL, NULL, 27141, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92444, NULL, 'PTHR42896', NULL, NULL, NULL, NULL, 'XYLULOSE-1,5-BISPHOSPHATE (XUBP) PHOSPHATASE', NULL, NULL, 39061, 15),
(92445, NULL, 'PTHR22950:SF577', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92446, NULL, 'PTHR31269:SF51', NULL, NULL, NULL, NULL, 'BNAC01G20530D PROTEIN', NULL, NULL, NULL, 15),
(92447, NULL, 'PTHR27005:SF349', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92448, NULL, 'PTHR24161:SF17', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE HIP14', NULL, NULL, NULL, 15),
(92449, NULL, 'PTHR31205:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92450, NULL, 'PTHR40266', NULL, NULL, NULL, NULL, 'TOXIN HIGB-1', NULL, NULL, 1340, 15),
(92451, NULL, 'PTHR13803:SF6', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC24D', NULL, NULL, NULL, 15),
(92452, NULL, 'PTHR47410:SF2', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 7', NULL, NULL, 28655, 15),
(92453, NULL, 'PTHR47928:SF127', NULL, NULL, NULL, NULL, 'OS12G0128200 PROTEIN', NULL, NULL, NULL, 15),
(92454, NULL, 'PTHR45679:SF5', NULL, NULL, NULL, NULL, 'ER DEGRADATION-ENHANCING ALPHA-MANNOSIDASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(92455, NULL, 'PTHR24377:SF771', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 284', NULL, NULL, NULL, 15),
(92456, NULL, 'PTHR12439:SF35', NULL, NULL, NULL, NULL, 'POLY(U)-SPECIFIC ENDORIBONUCLEASE HOMOLOG', NULL, NULL, NULL, 15),
(92457, NULL, 'PTHR43689:SF33', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD HYDROLASE', NULL, NULL, NULL, 15),
(92458, NULL, 'PTHR12203:SF105', NULL, NULL, NULL, NULL, 'OS08G0101800 PROTEIN', NULL, NULL, NULL, 15),
(92459, NULL, 'PTHR46204:SF10', NULL, NULL, NULL, NULL, 'LYSM DOMAIN RECEPTOR-LIKE KINASE 3', NULL, NULL, NULL, 15),
(92460, NULL, 'PTHR13140:SF757', NULL, NULL, NULL, NULL, 'MYOSIN-8', NULL, NULL, NULL, 15),
(92461, NULL, 'PTHR43281:SF22', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(92462, NULL, 'PTHR31741:SF83', NULL, NULL, NULL, NULL, 'BNAC05G37630D PROTEIN', NULL, NULL, NULL, 15),
(92463, NULL, 'PTHR24414:SF115', NULL, NULL, NULL, NULL, 'BNACNNG62190D PROTEIN', NULL, NULL, NULL, 15),
(92464, NULL, 'PTHR21454:SF24', NULL, NULL, NULL, NULL, 'DPH3 HOMOLOG', NULL, NULL, NULL, 15),
(92465, NULL, 'PTHR48108:SF4', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN DDB_G0289609', NULL, NULL, NULL, 15),
(92466, NULL, 'PTHR45614:SF101', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1', NULL, NULL, NULL, 15),
(92467, NULL, 'PTHR31325:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92468, NULL, 'PTHR36771', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(92469, NULL, 'PTHR46128:SF35', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92470, NULL, 'PTHR47926:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92471, NULL, 'PTHR45806:SF6', NULL, NULL, NULL, NULL, 'BNAA02G07810D PROTEIN', NULL, NULL, NULL, 15),
(92472, NULL, 'PTHR24103:SF620', NULL, NULL, NULL, NULL, 'SI:DKEY-219E21.2', NULL, NULL, NULL, 15),
(92473, NULL, 'PTHR10805:SF5', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT EPSILON', NULL, NULL, NULL, 15),
(92474, NULL, 'PTHR30466', NULL, NULL, NULL, NULL, 'FLAVIN REDUCTASE', NULL, NULL, NULL, 15),
(92475, NULL, 'PTHR24024:SF19', NULL, NULL, NULL, NULL, 'COLLECTIN-46-LIKE', NULL, NULL, NULL, 15),
(92476, NULL, 'PTHR34269:SF13', NULL, NULL, NULL, NULL, 'B3 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(92477, NULL, 'PTHR31669:SF51', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 6-LIKE', NULL, NULL, NULL, 15),
(92478, NULL, 'PTHR31929:SF90', NULL, NULL, NULL, NULL, 'BNAA10G16780D PROTEIN', NULL, NULL, NULL, 15),
(92479, NULL, 'PTHR19370:SF74', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE 1', NULL, NULL, NULL, 15),
(92480, NULL, 'PTHR24064:SF424', NULL, NULL, NULL, NULL, 'FI05810P', NULL, NULL, NULL, 15),
(92481, NULL, 'PTHR12652:SF50', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11A', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92482, NULL, 'PTHR31659', NULL, NULL, NULL, NULL, 'PROTEIN: UPF0503-LIKE PROTEIN, PUTATIVE (DUF740)-RELATED', NULL, NULL, 5395, 15),
(92483, NULL, 'PTHR31561:SF5', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(92484, NULL, 'PTHR45662:SF14', NULL, NULL, NULL, NULL, 'BNAC01G23400D PROTEIN', NULL, NULL, NULL, 15),
(92485, NULL, 'PTHR38011:SF3', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G06820)', NULL, NULL, NULL, 15),
(92486, NULL, 'PTHR32499:SF11', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 16', NULL, NULL, NULL, 15),
(92487, NULL, 'PTHR15286:SF11', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, 31692, 15),
(92488, NULL, 'PTHR47416:SF9', NULL, NULL, NULL, NULL, 'BNAA01G31420D PROTEIN', NULL, NULL, NULL, 15),
(92489, NULL, 'PTHR18934:SF83', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE DHX16', NULL, NULL, NULL, 15),
(92490, NULL, 'PTHR47926:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92491, NULL, 'PTHR12570:SF77', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(92492, NULL, 'PTHR36769:SF2', NULL, NULL, NULL, NULL, 'BNAC07G32650D PROTEIN', NULL, NULL, NULL, 15),
(92493, NULL, 'PTHR38147:SF1', NULL, NULL, NULL, NULL, 'IMP BIOSYNTHESIS ENZYME PURP DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(92494, NULL, 'PTHR31469:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92495, NULL, 'PTHR31190:SF181', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF109-LIKE', NULL, NULL, NULL, 15),
(92496, NULL, 'PTHR31636:SF139', NULL, NULL, NULL, NULL, 'OSJNBA0010H02.25 PROTEIN', NULL, NULL, NULL, 15),
(92497, NULL, 'PTHR47988:SF27', NULL, NULL, NULL, NULL, 'INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92498, NULL, 'PTHR11929:SF132', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(92499, NULL, 'PTHR21573:SF0', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(92500, NULL, 'PTHR28520:SF12', NULL, NULL, NULL, NULL, 'BNAA07G39080D PROTEIN', NULL, NULL, NULL, 15),
(92501, NULL, 'PTHR23257:SF706', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE SERINE/THREONINE-PROTEIN KINASE MOS', NULL, NULL, NULL, 15),
(92502, NULL, 'PTHR31496:SF31', NULL, NULL, NULL, NULL, 'BNAC09G32160D PROTEIN', NULL, NULL, NULL, 15),
(92503, NULL, 'PTHR31008', NULL, NULL, NULL, NULL, 'COP1-INTERACTING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92504, NULL, 'PTHR43874:SF156', NULL, NULL, NULL, NULL, 'POPULUS TRICHOCARPA PSEUDO-RESPONSE REGULATOR 5A MRNA', NULL, NULL, NULL, 15),
(92505, NULL, 'PTHR16592:SF8', NULL, NULL, NULL, NULL, 'ASTROTACTIN-1', NULL, NULL, NULL, 15),
(92506, NULL, 'PTHR33110:SF94', NULL, NULL, NULL, NULL, 'OS10G0161700 PROTEIN', NULL, NULL, NULL, 15),
(92507, NULL, 'PTHR31899:SF16', NULL, NULL, NULL, NULL, 'BETA-CAROTENE 3-HYDROXYLASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(92508, NULL, 'PTHR35828:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92509, NULL, 'PTHR10876:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZPR1', NULL, NULL, NULL, 15),
(92510, NULL, 'PTHR10334:SF408', NULL, NULL, NULL, NULL, 'BNAA02G35230D PROTEIN', NULL, NULL, NULL, 15),
(92511, NULL, 'PTHR47977:SF3', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN YPTM2', NULL, NULL, NULL, 15),
(92512, NULL, 'PTHR33576:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92513, NULL, 'PTHR22930:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92514, NULL, 'PTHR48012:SF21', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIC1', NULL, NULL, NULL, 15),
(92515, NULL, 'PTHR33021:SF338', NULL, NULL, NULL, NULL, 'PEELING CUPREDOXIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92516, NULL, 'PTHR20978', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 5', NULL, NULL, 13640, 15),
(92517, NULL, 'PTHR22891:SF111', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN 2', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92518, NULL, 'PTHR11926:SF1226', NULL, NULL, NULL, NULL, 'FLAVONOL 3-O-GLUCOSYLTRANSFERASE UGT76E12-RELATED', NULL, NULL, NULL, 15),
(92519, NULL, 'PTHR11017:SF333', NULL, NULL, NULL, NULL, 'BNAA03G56180D PROTEIN', NULL, NULL, NULL, 15),
(92520, NULL, 'PTHR21198:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE RACEMASE', NULL, NULL, 5643, 15),
(92521, NULL, 'PTHR47926:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92522, NULL, 'PTHR37784', NULL, NULL, NULL, NULL, 'PROTEIN MSN1', NULL, NULL, NULL, 15),
(92523, NULL, 'PTHR31087:SF120', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 10-LIKE', NULL, NULL, NULL, 15),
(92524, NULL, 'PTHR22948:SF7', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 15', NULL, NULL, NULL, 15),
(92525, NULL, 'PTHR37714', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92526, NULL, 'PTHR23326:SF22', NULL, NULL, NULL, NULL, 'BNAA03G06980D PROTEIN', NULL, NULL, NULL, 15),
(92527, NULL, 'PTHR10746:SF15', NULL, NULL, NULL, NULL, 'OS12G0488600 PROTEIN', NULL, NULL, NULL, 15),
(92528, NULL, 'PTHR36073', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92529, NULL, 'PTHR22943:SF84', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(92530, NULL, 'PTHR24058:SF51', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TYROSINE-PHOSPHORYLATION-REGULATED KINASE 2', NULL, NULL, NULL, 15),
(92531, NULL, 'PTHR28520:SF10', NULL, NULL, NULL, NULL, 'MITOTIC-SPINDLE ORGANIZING PROTEIN 1A-LIKE', NULL, NULL, NULL, 15),
(92532, NULL, 'PTHR46348', NULL, NULL, NULL, NULL, 'DELETED IN LUNG AND ESOPHAGEAL CANCER PROTEIN 1', NULL, NULL, 31455, 15),
(92533, NULL, 'PTHR31216:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-1-RELATED', NULL, NULL, NULL, 15),
(92534, NULL, 'PTHR33870:SF18', NULL, NULL, NULL, NULL, 'BNAA10G29160D PROTEIN', NULL, NULL, NULL, 15),
(92535, NULL, 'PTHR19970:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92536, NULL, 'PTHR43574:SF8', NULL, NULL, NULL, NULL, 'HIGH CHLOROPHYLL FLUORESCENCE PHENOTYPE 173', NULL, NULL, NULL, 15),
(92537, NULL, 'PTHR31931', NULL, NULL, NULL, NULL, 'PROTEIN CHURCHILL', NULL, NULL, 9336, 15),
(92538, NULL, 'PTHR28251:SF1', NULL, NULL, NULL, NULL, 'V-TYPE ATPASE ASSEMBLY FACTOR PKR1', NULL, NULL, NULL, 15),
(92539, NULL, 'PTHR45703:SF17', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(92540, NULL, 'PTHR31791:SF10', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(92541, NULL, 'PTHR11627:SF65', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(92542, NULL, 'PTHR22870:SF360', NULL, NULL, NULL, NULL, 'ULTRAVIOLET-B RECEPTOR UVR8', NULL, NULL, NULL, 15),
(92543, NULL, 'PTHR31948:SF75', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 11-LIKE', NULL, NULL, NULL, 15),
(92544, NULL, 'PTHR31871:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92545, NULL, 'PTHR21308:SF1', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE, PEROXISOMAL', NULL, NULL, NULL, 15),
(92546, NULL, 'PTHR13271:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92547, NULL, 'PTHR47534', NULL, NULL, NULL, NULL, 'YALI0E05731P', NULL, NULL, NULL, 15),
(92548, NULL, 'PTHR24292:SF95', NULL, NULL, NULL, NULL, 'CYP6A16, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(92549, NULL, 'PTHR24027:SF89', NULL, NULL, NULL, NULL, 'CADHERIN-5', NULL, NULL, 23219, 15),
(92550, NULL, 'PTHR10271', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS', NULL, NULL, NULL, 15),
(92551, NULL, 'PTHR11437:SF54', NULL, NULL, NULL, NULL, 'ANGIOGENIN-2', NULL, NULL, NULL, 15),
(92552, NULL, 'PTHR36081:SF1', NULL, NULL, NULL, NULL, 'CELL WALL INTEGRITY/STRESS RESPONSE COMPONENT', NULL, NULL, NULL, 15),
(92553, NULL, 'PTHR24054:SF47', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA-3', NULL, NULL, NULL, 15),
(92554, NULL, 'PTHR31242', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE SMALL SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92555, NULL, 'PTHR19325:SF504', NULL, NULL, NULL, NULL, 'REGULATOR OF COMPLEMENT ACTIVATION GROUP 2 GENE 1-RELATED', NULL, NULL, NULL, 15),
(92556, NULL, 'PTHR43228:SF12', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR 24', NULL, NULL, NULL, 15),
(92557, NULL, 'PTHR31374:SF194', NULL, NULL, NULL, NULL, 'OS01G0768333 PROTEIN', NULL, NULL, NULL, 15),
(92558, NULL, 'PTHR32448:SF114', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92559, NULL, 'PTHR31872:SF6', NULL, NULL, NULL, NULL, 'ZGC:153018', NULL, NULL, NULL, 15),
(92560, NULL, 'PTHR10871:SF37', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S18-LIKE', NULL, NULL, NULL, 15),
(92561, NULL, 'PTHR46963', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA E130308A19', NULL, NULL, 37639, 15),
(92562, NULL, 'PTHR24074:SF29', NULL, NULL, NULL, NULL, 'LD30543P', NULL, NULL, NULL, 15),
(92563, NULL, 'PTHR11945:SF614', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL6 ISOFORM X1', NULL, NULL, NULL, 15),
(92564, NULL, 'PTHR31444:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92565, NULL, 'PTHR22596:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG00840', NULL, NULL, NULL, 15),
(92566, NULL, 'PTHR31062:SF234', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(92567, NULL, 'PTHR11024:SF9', NULL, NULL, NULL, NULL, 'OS03G0831800 PROTEIN', NULL, NULL, NULL, 15),
(92568, NULL, 'PTHR33526:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92569, NULL, 'PTHR33219:SF10', NULL, NULL, NULL, NULL, 'YLMG HOMOLOG PROTEIN 1-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(92570, NULL, 'PTHR22988:SF58', NULL, NULL, NULL, NULL, 'PARAMYOSIN, LONG FORM', NULL, NULL, NULL, 15),
(92571, NULL, 'PTHR11590:SF36', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE E', NULL, NULL, NULL, 15),
(92572, NULL, 'PTHR48047:SF38', NULL, NULL, NULL, NULL, 'SCOPOLETIN GLUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(92573, NULL, 'PTHR15856:SF26', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 20-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(92574, NULL, 'PTHR45725', NULL, NULL, NULL, NULL, 'FORMIN HOMOLOGY 2 FAMILY MEMBER', NULL, NULL, NULL, 15),
(92575, NULL, 'PTHR31071:SF41', NULL, NULL, NULL, NULL, 'OS02G0506100 PROTEIN', NULL, NULL, NULL, 15),
(92576, NULL, 'PTHR33021:SF347', NULL, NULL, NULL, NULL, 'BNAC01G15380D PROTEIN', NULL, NULL, NULL, 15),
(92577, NULL, 'PTHR31165:SF95', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 3', NULL, NULL, NULL, 15),
(92578, NULL, 'PTHR23349:SF70', NULL, NULL, NULL, NULL, 'TWIST-RELATED PROTEIN 2', NULL, NULL, 12857, 15),
(92579, NULL, 'PTHR45651:SF22', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CHANNEL 9', NULL, NULL, NULL, 15),
(92580, NULL, 'PTHR23272:SF137', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN DAYSLEEPER-LIKE', NULL, NULL, NULL, 15),
(92581, NULL, 'PTHR13789:SF238', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G01680)-RELATED', NULL, NULL, NULL, 15),
(92582, NULL, 'PTHR12638:SF0', NULL, NULL, NULL, NULL, 'PROTEIN MAGO NASHI HOMOLOG', NULL, NULL, NULL, 15),
(92583, NULL, 'PTHR31221:SF259', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 51-RELATED', NULL, NULL, NULL, 15),
(92584, NULL, 'PTHR24055:SF421', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92585, NULL, 'PTHR47240:SF3', NULL, NULL, NULL, NULL, 'CHROMO DOMAIN PROTEIN LHP1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(92586, NULL, 'PTHR47980:SF43', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-40A-LIKE', NULL, NULL, NULL, 15),
(92587, NULL, 'PTHR23317:SF74', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 8', NULL, NULL, NULL, 15),
(92588, NULL, 'PTHR31642:SF149', NULL, NULL, NULL, NULL, 'METHANOL O-ANTHRANILOYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(92589, NULL, 'PTHR26452:SF143', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1002-RELATED', NULL, NULL, NULL, 15),
(92590, NULL, 'PTHR11984:SF65', NULL, NULL, NULL, NULL, 'GAP JUNCTION BETA-3 PROTEIN', NULL, NULL, 6725, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92591, NULL, 'PTHR12157:SF21', NULL, NULL, NULL, NULL, 'RAB3 INTERACTING MOLECULE, ISOFORM F', NULL, NULL, NULL, 15),
(92592, NULL, 'PTHR45868:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92593, NULL, 'PTHR45868:SF44', NULL, NULL, NULL, NULL, 'HEAVY-METAL-ASSOCIATED DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(92594, NULL, 'PTHR45742:SF4', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C6', NULL, NULL, NULL, 15),
(92595, NULL, 'PTHR31945:SF86', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', NULL, NULL, NULL, 15),
(92596, NULL, 'PTHR31314:SF62', NULL, NULL, NULL, NULL, 'MYB-LIKE HTH TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(92597, NULL, 'PTHR40112', NULL, NULL, NULL, NULL, 'H2HPP ISOMERASE', NULL, NULL, NULL, 15),
(92598, NULL, 'PTHR45181:SF8', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DNAJ WITH TETRATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(92599, NULL, 'PTHR21477:SF33', NULL, NULL, NULL, NULL, 'BNAANNG04040D PROTEIN', NULL, NULL, NULL, 15),
(92600, NULL, 'PTHR37378:SF5', NULL, NULL, NULL, NULL, 'WALI5 PROTEIN', NULL, NULL, NULL, 15),
(92601, NULL, 'PTHR33873:SF9', NULL, NULL, NULL, NULL, 'BNAC03G58740D PROTEIN', NULL, NULL, NULL, 15),
(92602, NULL, 'PTHR15040', NULL, NULL, NULL, NULL, 'DERMATOPONTIN-RELATED', NULL, NULL, 24325, 15),
(92603, NULL, 'PTHR37188', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT-RELATED', NULL, NULL, 35466, 15),
(92604, NULL, 'PTHR24177:SF334', NULL, NULL, NULL, NULL, 'PGG DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92605, NULL, 'PTHR19367:SF11', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 8-6', NULL, NULL, NULL, 15),
(92606, NULL, 'PTHR11394:SF128', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2-RELATED', NULL, NULL, NULL, 15),
(92607, NULL, 'PTHR13007:SF22', NULL, NULL, NULL, NULL, 'BNAA09G50970D PROTEIN', NULL, NULL, NULL, 15),
(92608, NULL, 'PTHR23430:SF125', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(92609, NULL, 'PTHR31949:SF13', NULL, NULL, NULL, NULL, 'MUCIN-5AC-LIKE PROTEIN', NULL, NULL, NULL, 15),
(92610, NULL, 'PTHR10639:SF21', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN 3', NULL, NULL, NULL, 15),
(92611, NULL, 'PTHR47115:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 183', NULL, NULL, NULL, 15),
(92612, NULL, 'PTHR13318:SF47', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 20', NULL, NULL, NULL, 15),
(92613, NULL, 'PTHR31062:SF178', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(92614, NULL, 'PTHR14198:SF22', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 4 L6 FAMILY MEMBER 19', NULL, NULL, NULL, 15),
(92615, NULL, 'PTHR48047:SF123', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(92616, NULL, 'PTHR43536:SF5', NULL, NULL, NULL, NULL, 'ENDO-BETA-MANNOSIDASE-LIKE MANNOSYLGLYCOPROTEIN', NULL, NULL, 28102, 15),
(92617, NULL, 'PTHR24364:SF23', NULL, NULL, NULL, NULL, 'LP06937P', NULL, NULL, NULL, 15),
(92618, NULL, 'PTHR23278', NULL, NULL, NULL, NULL, 'SIDESTEP PROTEIN', NULL, NULL, NULL, 15),
(92619, NULL, 'PTHR31717:SF100', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 29', NULL, NULL, NULL, 15),
(92620, NULL, 'PTHR24249:SF390', NULL, NULL, NULL, NULL, 'TRACE AMINE ASSOCIATED RECEPTOR 69-RELATED', NULL, NULL, NULL, 15),
(92621, NULL, 'PTHR33219', NULL, NULL, NULL, NULL, 'YLMG HOMOLOG PROTEIN 2, CHLOROPLASTIC', NULL, NULL, 5175, 15),
(92622, NULL, 'PTHR31213:SF159', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL5', NULL, NULL, NULL, 15),
(92623, NULL, 'PTHR32332:SF27', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G09850)-RELATED', NULL, NULL, NULL, 15),
(92624, NULL, 'PTHR45288:SF4', NULL, NULL, NULL, NULL, 'BNACNNG10640D PROTEIN', NULL, NULL, NULL, 15),
(92625, NULL, 'PTHR19241:SF298', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(92626, NULL, 'PTHR42647:SF39', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BOI-LIKE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92627, NULL, 'PTHR27002:SF862', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8 ISOFORM X1', NULL, NULL, NULL, 15),
(92628, NULL, 'PTHR45638:SF11', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL SUBUNIT A', NULL, NULL, NULL, 15),
(92629, NULL, 'PTHR33560:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM227B', NULL, NULL, NULL, 15),
(92630, NULL, 'PTHR24244:SF2', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE S RECEPTOR', NULL, NULL, 26880, 15),
(92631, NULL, 'PTHR45752:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92632, NULL, 'PTHR35247:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 43', NULL, NULL, NULL, 15),
(92633, NULL, 'PTHR44029', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 21', NULL, NULL, NULL, 15),
(92634, NULL, 'PTHR20899', NULL, NULL, NULL, NULL, 'PIERCE HOMOLOG', NULL, NULL, 24161, 15),
(92635, NULL, 'PTHR31190:SF193', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(92636, NULL, 'PTHR47991:SF101', NULL, NULL, NULL, NULL, 'OS10G0559500 PROTEIN', NULL, NULL, NULL, 15),
(92637, NULL, 'PTHR24161:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92638, NULL, 'PTHR30074:SF2', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE, CYTOCHROME B556(FDO) SUBUNIT', NULL, NULL, NULL, 15),
(92639, NULL, 'PTHR11964:SF12', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE ISOFORM TYPE-2', NULL, NULL, NULL, 15),
(92640, NULL, 'PTHR45658:SF69', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(92641, NULL, 'PTHR23359:SF148', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 9', NULL, NULL, NULL, 15),
(92642, NULL, 'PTHR43695', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17250)-RELATED', NULL, NULL, 32850, 15),
(92643, NULL, 'PTHR10972:SF170', NULL, NULL, NULL, NULL, 'OSBP(OXYSTEROL-BINDING PROTEIN)-RELATED PROTEIN 4C', NULL, NULL, NULL, 15),
(92644, NULL, 'PTHR24057:SF0', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SHAGGY-RELATED', NULL, NULL, NULL, 15),
(92645, NULL, 'PTHR45626:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92646, NULL, 'PTHR33674:SF3', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 12', NULL, NULL, NULL, 15),
(92647, NULL, 'PTHR14499:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92648, NULL, 'PTHR24418:SF289', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(92649, NULL, 'PTHR24223:SF271', NULL, NULL, NULL, NULL, 'FI20146P1-RELATED', NULL, NULL, 27778, 15),
(92650, NULL, 'PTHR48017:SF151', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 1', NULL, NULL, NULL, 15),
(92651, NULL, 'PTHR24027:SF419', NULL, NULL, NULL, NULL, 'CADHERIN-17', NULL, NULL, NULL, 15),
(92652, NULL, 'PTHR47869', NULL, NULL, NULL, NULL, 'OS03G0410700 PROTEIN', NULL, NULL, NULL, 15),
(92653, NULL, 'PTHR30514', NULL, NULL, NULL, NULL, 'GLUCOKINASE', NULL, NULL, NULL, 15),
(92654, NULL, 'PTHR22662', NULL, NULL, NULL, NULL, 'TIRAP', NULL, NULL, 16234, 15),
(92655, NULL, 'PTHR45757:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG01182', NULL, NULL, NULL, 15),
(92656, NULL, 'PTHR23113:SF197', NULL, NULL, NULL, NULL, 'RAS-GEF DOMAIN-CONTAINING FAMILY MEMBER 1B', NULL, NULL, NULL, 15),
(92657, NULL, 'PTHR30070', NULL, NULL, NULL, NULL, 'HEME EXPORTER PROTEIN B', NULL, NULL, 7115, 15),
(92658, NULL, 'PTHR44305', NULL, NULL, NULL, NULL, 'SI:DKEY-192D15.2-RELATED', NULL, NULL, NULL, 15),
(92659, NULL, 'PTHR13585', NULL, NULL, NULL, NULL, 'CHASCON, ISOFORM D-RELATED', NULL, NULL, NULL, 15),
(92660, NULL, 'PTHR45839:SF21', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', NULL, NULL, NULL, 15),
(92661, NULL, 'PTHR46364:SF9', NULL, NULL, NULL, NULL, 'CHROMATIN REMODELING PROTEIN EBS-LIKE', NULL, NULL, NULL, 15),
(92662, NULL, 'PTHR23345:SF15', NULL, NULL, NULL, NULL, 'VITELLOGENIN-1', NULL, NULL, NULL, 15),
(92663, NULL, 'PTHR45974:SF124', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92664, NULL, 'PTHR10554:SF8', NULL, NULL, NULL, NULL, 'BETA-2-SYNTROPHIN', NULL, NULL, 25591, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92665, NULL, 'PTHR31677:SF164', NULL, NULL, NULL, NULL, 'BNAA07G36710D PROTEIN', NULL, NULL, NULL, 15),
(92666, NULL, 'PTHR15924:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92667, NULL, 'PTHR31618', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 5', NULL, NULL, 20648, 15),
(92668, NULL, 'PTHR31673:SF33', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(92669, NULL, 'PTHR23413:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32-RELATED', NULL, NULL, NULL, 15),
(92670, NULL, 'PTHR31949:SF24', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92671, NULL, 'PTHR24291:SF159', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP4F13', NULL, NULL, NULL, 15),
(92672, NULL, 'PTHR10606:SF40', NULL, NULL, NULL, NULL, '6-BIPHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92673, NULL, 'PTHR44269:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92674, NULL, 'PTHR22761:SF70', NULL, NULL, NULL, NULL, 'OS06G0608500 PROTEIN', NULL, NULL, NULL, 15),
(92675, NULL, 'PTHR47582:SF1', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(92676, NULL, 'PTHR32018:SF26', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(92677, NULL, 'PTHR22957:SF566', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(92678, NULL, 'PTHR14379:SF6', NULL, NULL, NULL, NULL, 'EMB|CAB71880.1', NULL, NULL, NULL, 15),
(92679, NULL, 'PTHR10562:SF79', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 3-RELATED', NULL, NULL, NULL, 15),
(92680, NULL, 'PTHR35976:SF1', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN J', NULL, NULL, NULL, 15),
(92681, NULL, 'PTHR11863:SF104', NULL, NULL, NULL, NULL, 'CHOLESTEROL 25-HYDROXYLASE-LIKE PROTEIN 1, MEMBER 1', NULL, NULL, NULL, 15),
(92682, NULL, 'PTHR46265:SF15', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 7-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(92683, NULL, 'PTHR23304:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92684, NULL, 'PTHR30177:SF31', NULL, NULL, NULL, NULL, 'CHOLINE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(92685, NULL, 'PTHR18804', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92686, NULL, 'PTHR23266:SF114', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION AMPC1-RELATED', NULL, NULL, NULL, 15),
(92687, NULL, 'PTHR24342:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 17B', NULL, NULL, NULL, 15),
(92688, NULL, 'PTHR43275:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G04150)-RELATED', NULL, NULL, NULL, 15),
(92689, NULL, 'PTHR13683:SF840', NULL, NULL, NULL, NULL, 'BNAANNG12680D PROTEIN', NULL, NULL, NULL, 15),
(92690, NULL, 'PTHR21660:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92691, NULL, 'PTHR33349:SF16', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACZ-LIKE', NULL, NULL, NULL, 15),
(92692, NULL, 'PTHR30121:SF8', NULL, NULL, NULL, NULL, 'CAG PATHOGENICITY ISLAND PROTEIN 23', NULL, NULL, NULL, 15),
(92693, NULL, 'PTHR47860:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP17-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(92694, NULL, 'PTHR10732:SF17', NULL, NULL, NULL, NULL, 'BNAA02G29450D PROTEIN', NULL, NULL, NULL, 15),
(92695, NULL, 'PTHR45646:SF6', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE CLK2', NULL, NULL, NULL, 15),
(92696, NULL, 'PTHR30544:SF5', NULL, NULL, NULL, NULL, 'RADICAL SAM SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(92697, NULL, 'PTHR23198:SF6', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP100/NSP100-RELATED', NULL, NULL, 35373, 15),
(92698, NULL, 'PTHR11252:SF12', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE NUCLEOTIDYLTRANSFERASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(92699, NULL, 'PTHR23500:SF357', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 13', NULL, NULL, NULL, 15),
(92700, NULL, 'PTHR45888', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92701, NULL, 'PTHR27009:SF155', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(92702, NULL, 'PTHR22765:SF268', NULL, NULL, NULL, NULL, 'BNAA01G33040D PROTEIN', NULL, NULL, NULL, 15),
(92703, NULL, 'PTHR21712:SF35', NULL, NULL, NULL, NULL, 'FHA DOMAIN-CONTAINING PROTEIN FHA2', NULL, NULL, NULL, 15),
(92704, NULL, 'PTHR31065:SF65', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(92705, NULL, 'PTHR31722', NULL, NULL, NULL, NULL, 'OS06G0675200 PROTEIN', NULL, NULL, NULL, 15),
(92706, NULL, 'PTHR12308:SF77', NULL, NULL, NULL, NULL, 'MEMBRANE STRESS RESPONSE PROTEIN (IST2), PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03330)-RELATED', NULL, NULL, NULL, 15),
(92707, NULL, 'PTHR22748:SF8', NULL, NULL, NULL, NULL, 'DNA-(APURINIC OR APYRIMIDINIC SITE) LYASE', NULL, NULL, NULL, 15),
(92708, NULL, 'PTHR11158:SF31', NULL, NULL, NULL, NULL, 'PRELI DOMAIN-CONTAINING PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(92709, NULL, 'PTHR13847:SF257', NULL, NULL, NULL, NULL, 'FI22513P1', NULL, NULL, NULL, 15),
(92710, NULL, 'PTHR24068:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92711, NULL, 'PTHR47032', NULL, NULL, NULL, NULL, 'UDP-D-XYLOSE:L-FUCOSE ALPHA-1,3-D-XYLOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(92712, NULL, 'PTHR48060:SF6', NULL, NULL, NULL, NULL, 'BNAA01G30460D PROTEIN', NULL, NULL, NULL, 15),
(92713, NULL, 'PTHR31704:SF36', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(92714, NULL, 'PTHR33076:SF95', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(92715, NULL, 'PTHR12947:SF7', NULL, NULL, NULL, NULL, 'AMSH-LIKE PROTEASE', NULL, NULL, NULL, 15),
(92716, NULL, 'PTHR31048:SF149', NULL, NULL, NULL, NULL, 'OS07G0417600 PROTEIN', NULL, NULL, NULL, 15),
(92717, NULL, 'PTHR35090', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT I', NULL, NULL, NULL, 15),
(92718, NULL, 'PTHR31942:SF91', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(92719, NULL, 'PTHR36312:SF8', NULL, NULL, NULL, NULL, 'BNAA05G19200D PROTEIN', NULL, NULL, NULL, 15),
(92720, NULL, 'PTHR11811:SF55', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(92721, NULL, 'PTHR19241:SF639', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(92722, NULL, 'PTHR46338:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 8-LIKE', NULL, NULL, NULL, 15),
(92723, NULL, 'PTHR23070:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92724, NULL, 'PTHR11909:SF77', NULL, NULL, NULL, NULL, 'PROTEIN CBG18079', NULL, NULL, NULL, 15),
(92725, NULL, 'PTHR31645:SF64', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER, OPT SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(92726, NULL, 'PTHR22753:SF24', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 68', NULL, NULL, NULL, 15),
(92727, NULL, 'PTHR22792:SF139', NULL, NULL, NULL, NULL, 'BNAC09G09540D PROTEIN', NULL, NULL, NULL, 15),
(92728, NULL, 'PTHR43859:SF1', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (JCVI)-RELATED', NULL, NULL, NULL, 15),
(92729, NULL, 'PTHR13935:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92730, NULL, 'PTHR24070:SF391', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92731, NULL, 'PTHR31304:SF44', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 42', NULL, NULL, NULL, 15),
(92732, NULL, 'PTHR48022:SF45', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01180)-RELATED', NULL, NULL, NULL, 15),
(92733, NULL, 'PTHR31208:SF4', NULL, NULL, NULL, NULL, 'OS07G0585000 PROTEIN', NULL, NULL, NULL, 15),
(92734, NULL, 'PTHR14190:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92735, NULL, 'PTHR48180:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92736, NULL, 'PTHR16186:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92737, NULL, 'PTHR11863:SF144', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 2-1', NULL, NULL, NULL, 15),
(92738, NULL, 'PTHR12370:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(92739, NULL, 'PTHR47990:SF58', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP1 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(92740, NULL, 'PTHR30269:SF32', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92741, NULL, 'PTHR31465', NULL, NULL, NULL, NULL, 'PROTEIN RTA1-RELATED', NULL, NULL, 1556, 15),
(92742, NULL, 'PTHR30213', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 19163, 15),
(92743, NULL, 'PTHR21522:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92744, NULL, 'PTHR19331:SF449', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CYSTEINE-RICH DOMAIN-CONTAINING PROTEIN SCART1', NULL, NULL, NULL, 15),
(92745, NULL, 'PTHR23400:SF0', NULL, NULL, NULL, NULL, 'DENTIN MATRIX ACIDIC PHOSPHOPROTEIN 1', NULL, NULL, NULL, 15),
(92746, NULL, 'PTHR12806', NULL, NULL, NULL, NULL, 'EAP30 SUBUNIT OF ELL COMPLEX', NULL, NULL, 20781, 15),
(92747, NULL, 'PTHR31422:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92748, NULL, 'PTHR31775:SF15', NULL, NULL, NULL, NULL, 'OS02G0824500 PROTEIN', NULL, NULL, NULL, 15),
(92749, NULL, 'PTHR32241:SF14', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(92750, NULL, 'PTHR10314:SF208', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(92751, NULL, 'PTHR47190', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92752, NULL, 'PTHR23240:SF29', NULL, NULL, NULL, NULL, 'DNA LIGASE-LIKE', NULL, NULL, NULL, 15),
(92753, NULL, 'PTHR23088:SF50', NULL, NULL, NULL, NULL, 'HYDROLASE YHCX', NULL, NULL, NULL, 15),
(92754, NULL, 'PTHR36804:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.11 PROTEIN', NULL, NULL, NULL, 15),
(92755, NULL, 'PTHR11697:SF219', NULL, NULL, NULL, NULL, 'OS02G0301400 PROTEIN', NULL, NULL, NULL, 15),
(92756, NULL, 'PTHR30388:SF6', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE SUBUNIT A-RELATED', NULL, NULL, NULL, 15),
(92757, NULL, 'PTHR11599:SF173', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, NULL, 15),
(92758, NULL, 'PTHR23024:SF366', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', NULL, NULL, NULL, 15),
(92759, NULL, 'PTHR46020:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92760, NULL, 'PTHR21035', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S26, MITOCHONDRIAL', NULL, NULL, 23971, 15),
(92761, NULL, 'PTHR23147:SF70', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RSZ21', NULL, NULL, NULL, 15),
(92762, NULL, 'PTHR11062:SF283', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE KATAMARI1 HOMOLOG', NULL, NULL, NULL, 15),
(92763, NULL, 'PTHR48047:SF43', NULL, NULL, NULL, NULL, 'OS09G0379400 PROTEIN', NULL, NULL, NULL, 15),
(92764, NULL, 'PTHR26451:SF107', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10J4', NULL, NULL, NULL, 15),
(92765, NULL, 'PTHR19860:SF22', NULL, NULL, NULL, NULL, 'TELOMERASE PROTEIN-1-RELATED', NULL, NULL, NULL, 15),
(92766, NULL, 'PTHR31549:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92767, NULL, 'PTHR31009:SF125', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASES SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92768, NULL, 'PTHR12300:SF29', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN 2', NULL, NULL, NULL, 15),
(92769, NULL, 'PTHR10334:SF484', NULL, NULL, NULL, NULL, 'BNAC03G66420D PROTEIN', NULL, NULL, NULL, 15),
(92770, NULL, 'PTHR31339:SF4', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(92771, NULL, 'PTHR48010:SF51', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(92772, NULL, 'PTHR23095:SF4', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN-LIKE PROTEIN 5', NULL, NULL, 24423, 15),
(92773, NULL, 'PTHR33142:SF59', NULL, NULL, NULL, NULL, 'SELF-PRUNING INTERACTING PROTEIN 1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92774, NULL, 'PTHR10264:SF123', NULL, NULL, NULL, NULL, 'BAND 7 PROTEIN CG42540', NULL, NULL, NULL, 15),
(92775, NULL, 'PTHR10857:SF3', NULL, NULL, NULL, NULL, 'COPINE-2', NULL, NULL, NULL, 15),
(92776, NULL, 'PTHR11153:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92777, NULL, 'PTHR11746:SF262', NULL, NULL, NULL, NULL, 'BNAA08G29990D PROTEIN', NULL, NULL, NULL, 15),
(92778, NULL, 'PTHR45836:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(92779, NULL, 'PTHR31692:SF55', NULL, NULL, NULL, NULL, 'BETA-EXPANSIN 1A', NULL, NULL, NULL, 15),
(92780, NULL, 'PTHR45842:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(92781, NULL, 'PTHR11106:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92782, NULL, 'PTHR24177:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92783, NULL, 'PTHR15528:SF12', NULL, NULL, NULL, NULL, 'PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR GAMMA COACTIVATOR 1-BETA', NULL, NULL, 1329, 15),
(92784, NULL, 'PTHR13768:SF29', NULL, NULL, NULL, NULL, 'ALPHA-SOLUBLE NSF ATTACHMENT PROTEIN', NULL, NULL, NULL, 15),
(92785, NULL, 'PTHR31413:SF9', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN OS03G0419100', NULL, NULL, NULL, 15),
(92786, NULL, 'PTHR18896:SF113', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D1', NULL, NULL, NULL, 15),
(92787, NULL, 'PTHR36960:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-32E6.3', NULL, NULL, NULL, 15),
(92788, NULL, 'PTHR31384:SF110', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(92789, NULL, 'PTHR10064:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92790, NULL, 'PTHR47421', NULL, NULL, NULL, NULL, 'GS HOMEOBOX 2', NULL, NULL, 37249, 15),
(92791, NULL, 'PTHR12221:SF6', NULL, NULL, NULL, NULL, 'PESCADILLO HOMOLOG', NULL, NULL, NULL, 15),
(92792, NULL, 'PTHR30128:SF58', NULL, NULL, NULL, NULL, 'SORTASE SYSTEM OMPA FAMILY PROTEIN PDSO', NULL, NULL, NULL, 15),
(92793, NULL, 'PTHR11205:SF47', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15),
(92794, NULL, 'PTHR46122:SF9', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT PROTEIN', NULL, NULL, NULL, 15),
(92795, NULL, 'PTHR33972:SF16', NULL, NULL, NULL, NULL, 'REPETITIVE MATRIX PROTEIN 2, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(92796, NULL, 'PTHR43128:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92797, NULL, 'PTHR47898', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR 4', NULL, NULL, 38597, 15),
(92798, NULL, 'PTHR43895:SF52', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 29', NULL, NULL, NULL, 15),
(92799, NULL, 'PTHR10795:SF601', NULL, NULL, NULL, NULL, 'CUCUMISIN-RELATED', NULL, NULL, NULL, 15),
(92800, NULL, 'PTHR23500:SF431', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 14-LIKE', NULL, NULL, NULL, 15),
(92801, NULL, 'PTHR11668:SF466', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(92802, NULL, 'PTHR46113', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92803, NULL, 'PTHR23320:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92804, NULL, 'PTHR43788:SF3', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(92805, NULL, 'PTHR14759:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92806, NULL, 'PTHR47932:SF43', NULL, NULL, NULL, NULL, 'OS04G0475800 PROTEIN', NULL, NULL, NULL, 15),
(92807, NULL, 'PTHR31902:SF17', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 32-LIKE', NULL, NULL, NULL, 15),
(92808, NULL, 'PTHR31852:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92809, NULL, 'PTHR32467', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(92810, NULL, 'PTHR24225:SF49', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE RECEPTOR 1', NULL, NULL, 110, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92811, NULL, 'PTHR33326:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92812, NULL, 'PTHR35516', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 1558, 15),
(92813, NULL, 'PTHR31479:SF3', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(92814, NULL, 'PTHR31790:SF328', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(92815, NULL, 'PTHR24282:SF219', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP749A22-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(92816, NULL, 'PTHR43250:SF2', NULL, NULL, NULL, NULL, 'EXODEOXYRIBONUCLEASE III', NULL, NULL, NULL, 15),
(92817, NULL, 'PTHR13947:SF46', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(92818, NULL, 'PTHR47956:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92819, NULL, 'PTHR45707:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92820, NULL, 'PTHR43091:SF4', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE 3-RELATED', NULL, NULL, NULL, 15),
(92821, NULL, 'PTHR24366:SF122', NULL, NULL, NULL, NULL, 'KEKKON-2', NULL, NULL, NULL, 15),
(92822, NULL, 'PTHR35296:SF4', NULL, NULL, NULL, NULL, 'BNAANNG15650D PROTEIN', NULL, NULL, NULL, 15),
(92823, NULL, 'PTHR32166:SF93', NULL, NULL, NULL, NULL, 'BNAC08G41290D PROTEIN', NULL, NULL, NULL, 15),
(92824, NULL, 'PTHR32268', NULL, NULL, NULL, NULL, 'HOMOSERINE O-ACETYLTRANSFERASE', NULL, NULL, 554, 15),
(92825, NULL, 'PTHR31683:SF119', NULL, NULL, NULL, NULL, 'PECTATE LYASE 15-RELATED', NULL, NULL, NULL, 15),
(92826, NULL, 'PTHR42985:SF21', NULL, NULL, NULL, NULL, 'FI02923P-RELATED', NULL, NULL, NULL, 15),
(92827, NULL, 'PTHR48217:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92828, NULL, 'PTHR43952:SF42', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 1', NULL, NULL, NULL, 15),
(92829, NULL, 'PTHR47570:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER, MYND-TYPE-RELATED', NULL, NULL, NULL, 15),
(92830, NULL, 'PTHR31464', NULL, NULL, NULL, NULL, 'PROTEIN CBG01266', NULL, NULL, 1442, 15),
(92831, NULL, 'PTHR33527:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92832, NULL, 'PTHR13153:SF5', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN NPRL3', NULL, NULL, NULL, 15),
(92833, NULL, 'PTHR46429:SF2', NULL, NULL, NULL, NULL, 'TRNA/RRNA METHYLTRANSFERASE-RELATED', NULL, NULL, 15578, 15),
(92834, NULL, 'PTHR24240:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92835, NULL, 'PTHR31752:SF59', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 1', NULL, NULL, NULL, 15),
(92836, NULL, 'PTHR43775:SF29', NULL, NULL, NULL, NULL, 'ASPERFURANONE POLYKETIDE SYNTHASE AFOG-RELATED', NULL, NULL, NULL, 15),
(92837, NULL, 'PTHR33355:SF12', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE CARBOXY-TERMINAL PROTEIN', NULL, NULL, NULL, 15),
(92838, NULL, 'PTHR46073:SF7', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE', NULL, NULL, NULL, 15),
(92839, NULL, 'PTHR22849:SF112', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 26', NULL, NULL, NULL, 15),
(92840, NULL, 'PTHR11802:SF278', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92841, NULL, 'PTHR14742:SF0', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P21', NULL, NULL, NULL, 15),
(92842, NULL, 'PTHR21226:SF8', NULL, NULL, NULL, NULL, 'ABPA10-RELATED', NULL, NULL, NULL, 15),
(92843, NULL, 'PTHR47976:SF16', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92844, NULL, 'PTHR14402:SF19', NULL, NULL, NULL, NULL, 'RECEPTOR-TRANSPORTING PROTEIN 1', NULL, NULL, 27215, 15),
(92845, NULL, 'PTHR48112:SF17', NULL, NULL, NULL, NULL, 'ARS-BINDING FACTOR 2, MITOCHONDRIAL-RELATED', NULL, NULL, 36186, 15),
(92846, NULL, 'PTHR33078:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92847, NULL, 'PTHR13683:SF677', NULL, NULL, NULL, NULL, 'PROTEIN ASPARTIC PROTEASE IN GUARD CELL 1-LIKE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92848, NULL, 'PTHR36541:SF1', NULL, NULL, NULL, NULL, 'SUPEROXIDE REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(92849, NULL, 'PTHR43768:SF30', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(92850, NULL, 'PTHR12661:SF11', NULL, NULL, NULL, NULL, 'BNAANNG34990D PROTEIN', NULL, NULL, NULL, 15),
(92851, NULL, 'PTHR36704:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92852, NULL, 'PTHR31707:SF28', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(92853, NULL, 'PTHR34112:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92854, NULL, 'PTHR10288:SF288', NULL, NULL, NULL, NULL, 'BNAA05G26890D PROTEIN', NULL, NULL, NULL, 15),
(92855, NULL, 'PTHR32440:SF2', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE 28-RELATED', NULL, NULL, NULL, 15),
(92856, NULL, 'PTHR13778:SF59', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(92857, NULL, 'PTHR24390:SF73', NULL, NULL, NULL, NULL, 'SI:CH211-284E13.5', NULL, NULL, NULL, 15),
(92858, NULL, 'PTHR45695:SF12', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE CCHAMIDE-1 RECEPTOR', NULL, NULL, NULL, 15),
(92859, NULL, 'PTHR34222:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92860, NULL, 'PTHR23155:SF1100', NULL, NULL, NULL, NULL, 'OS08G0332600 PROTEIN', NULL, NULL, NULL, 15),
(92861, NULL, 'PTHR45614:SF141', NULL, NULL, NULL, NULL, 'BNAC07G50190D PROTEIN', NULL, NULL, NULL, 15),
(92862, NULL, 'PTHR22907:SF13', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(92863, NULL, 'PTHR39297:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92864, NULL, 'PTHR34449', NULL, NULL, NULL, NULL, 'RHO TERMINATION FACTOR', NULL, NULL, NULL, 15),
(92865, NULL, 'PTHR31942:SF104', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(92866, NULL, 'PTHR24099:SF12', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MID2-RELATED', NULL, NULL, 35114, 15),
(92867, NULL, 'PTHR10985:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HES-1', NULL, NULL, NULL, 15),
(92868, NULL, 'PTHR48157:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92869, NULL, 'PTHR19957:SF243', NULL, NULL, NULL, NULL, 'SYNTAXIN', NULL, NULL, NULL, 15),
(92870, NULL, 'PTHR21535:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92871, NULL, 'PTHR21223', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 1790, 15),
(92872, NULL, 'PTHR31961', NULL, NULL, NULL, NULL, 'SENSITIVE TO HIGH EXPRESSION PROTEIN 9, MITOCHONDRIAL', NULL, NULL, 14415, 15),
(92873, NULL, 'PTHR24256:SF498', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P79', NULL, NULL, NULL, 15),
(92874, NULL, 'PTHR10257:SF87', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(92875, NULL, 'PTHR37216:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(92876, NULL, 'PTHR34464:SF3', NULL, NULL, NULL, NULL, 'OS09G0376300 PROTEIN', NULL, NULL, NULL, 15),
(92877, NULL, 'PTHR31803:SF24', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE', NULL, NULL, NULL, 15),
(92878, NULL, 'PTHR35997:SF9', NULL, NULL, NULL, NULL, 'BNAA02G29290D PROTEIN', NULL, NULL, NULL, 15),
(92879, NULL, 'PTHR10252:SF113', NULL, NULL, NULL, NULL, 'DR1-ASSOCIATED PROTEIN 1 (NEGATIVE COFACTOR 2 ALPHA)', NULL, NULL, NULL, 15),
(92880, NULL, 'PTHR24031:SF738', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 25', NULL, NULL, NULL, 15),
(92881, NULL, 'PTHR13408:SF1', NULL, NULL, NULL, NULL, 'ZGC:171971', NULL, NULL, NULL, 15),
(92882, NULL, 'PTHR24393:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 784', NULL, NULL, NULL, 15),
(92883, NULL, 'PTHR17224:SF4', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(92884, NULL, 'PTHR46802', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE BAZ1B', NULL, NULL, NULL, 15),
(92885, NULL, 'PTHR10476:SF48', NULL, NULL, NULL, NULL, 'BNAA08G30490D PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92886, NULL, 'PTHR21212', NULL, NULL, NULL, NULL, 'BERNARDINELLI-SEIP CONGENITAL LIPODYSTROPHY 2 HOMOLOG  BSCL2 PROTEIN', NULL, NULL, 1629, 15),
(92887, NULL, 'PTHR43122:SF1', NULL, NULL, NULL, NULL, 'FERREDOXIN SUBUNIT OF PYRUVATE:FLAVODOXIN OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(92888, NULL, 'PTHR31235:SF218', NULL, NULL, NULL, NULL, 'PEROXIDASE 26-RELATED', NULL, NULL, NULL, 15),
(92889, NULL, 'PTHR21162:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92890, NULL, 'PTHR11909:SF105', NULL, NULL, NULL, NULL, 'PROTEIN CBG14903', NULL, NULL, NULL, 15),
(92891, NULL, 'PTHR28061:SF1', NULL, NULL, NULL, NULL, 'INO EIGHTY SUBUNIT 4', NULL, NULL, NULL, 15),
(92892, NULL, 'PTHR11441:SF8', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE B', NULL, NULL, NULL, 15),
(92893, NULL, 'PTHR33543:SF28', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 4A-RELATED', NULL, NULL, NULL, 15),
(92894, NULL, 'PTHR43050:SF1', NULL, NULL, NULL, NULL, 'SERINE RACEMASE', NULL, NULL, NULL, 15),
(92895, NULL, 'PTHR37259', NULL, NULL, NULL, NULL, 'OS07G0474300 PROTEIN', NULL, NULL, NULL, 15),
(92896, NULL, 'PTHR12990', NULL, NULL, NULL, NULL, 'ARMET-LIKE PROTEIN', NULL, NULL, 37521, 15),
(92897, NULL, 'PTHR36140:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92898, NULL, 'PTHR47967:SF64', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-1-LIKE', NULL, NULL, NULL, 15),
(92899, NULL, 'PTHR47999:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92900, NULL, 'PTHR31973:SF129', NULL, NULL, NULL, NULL, 'OS01G0334000 PROTEIN', NULL, NULL, NULL, 15),
(92901, NULL, 'PTHR45974:SF29', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(92902, NULL, 'PTHR31311:SF24', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 6-LIKE', NULL, NULL, NULL, 15),
(92903, NULL, 'PTHR35711:SF9', NULL, NULL, NULL, NULL, 'BNAC03G45130D PROTEIN', NULL, NULL, NULL, 15),
(92904, NULL, 'PTHR30046:SF3', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS LIPOPROTEIN SSAJ', NULL, NULL, NULL, 15),
(92905, NULL, 'PTHR31398', NULL, NULL, NULL, NULL, 'MEIOTIC NUCLEAR DIVISION PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(92906, NULL, 'PTHR10836:SF113', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(92907, NULL, 'PTHR45690:SF5', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(92908, NULL, 'PTHR42678:SF19', NULL, NULL, NULL, NULL, 'C869.01-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92909, NULL, 'PTHR43389', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT B', NULL, NULL, 17381, 15),
(92910, NULL, 'PTHR43986:SF4', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-GAMMA', NULL, NULL, NULL, 15),
(92911, NULL, 'PTHR11592:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE-RELATED', NULL, NULL, NULL, 15),
(92912, NULL, 'PTHR11629:SF71', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(92913, NULL, 'PTHR45813:SF6', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR F2', NULL, NULL, NULL, 15),
(92914, NULL, 'PTHR48111:SF30', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(92915, NULL, 'PTHR46221:SF4', NULL, NULL, NULL, NULL, 'FERM AND PDZ DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(92916, NULL, 'PTHR26379:SF291', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(92917, NULL, 'PTHR36834:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92918, NULL, 'PTHR28637:SF10', NULL, NULL, NULL, NULL, 'CDT1-LIKE PROTEIN B', NULL, NULL, NULL, 15),
(92919, NULL, 'PTHR45726:SF1', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE B', NULL, NULL, 9735, 15),
(92920, NULL, 'PTHR11202:SF34', NULL, NULL, NULL, NULL, 'SPROUTY-RELATED, EVH1 DOMAIN-CONTAINING 2A', NULL, NULL, NULL, 15),
(92921, NULL, 'PTHR25462:SF280', NULL, NULL, NULL, NULL, 'NHL (RING FINGER B-BOX COILED COIL) DOMAIN CONTAINING', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92922, NULL, 'PTHR33159:SF57', NULL, NULL, NULL, NULL, 'BNAA03G57910D PROTEIN', NULL, NULL, NULL, 15),
(92923, NULL, 'PTHR31374:SF245', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR36', NULL, NULL, NULL, 15),
(92924, NULL, 'PTHR46328:SF9', NULL, NULL, NULL, NULL, 'FAR-RED IMPAIRED RESPONSIVE (FAR1) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(92925, NULL, 'PTHR40380:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92926, NULL, 'PTHR11764:SF17', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(92927, NULL, 'PTHR43300:SF1', NULL, NULL, NULL, NULL, 'UDP-2-ACETAMIDO-3-AMINO-2,3-DIDEOXY-D-GLUCURONATE N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(92928, NULL, 'PTHR31579:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92929, NULL, 'PTHR31852:SF170', NULL, NULL, NULL, NULL, 'HARPIN INDUCED PROTEIN 4', NULL, NULL, NULL, 15),
(92930, NULL, 'PTHR36023:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92931, NULL, 'PTHR15909', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L35, MITOCHONDRIAL', NULL, NULL, 15821, 15),
(92932, NULL, 'PTHR35799:SF1', NULL, NULL, NULL, NULL, 'S-RIBOSYLHOMOCYSTEINE LYASE', NULL, NULL, NULL, 15),
(92933, NULL, 'PTHR14379', NULL, NULL, NULL, NULL, 'LIMKAIN B  LKAP', NULL, NULL, 20960, 15),
(92934, NULL, 'PTHR32370:SF133', NULL, NULL, NULL, NULL, 'SKP1/BTB/POZ DOMAIN, NPH3 DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92935, NULL, 'PTHR13220:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92936, NULL, 'PTHR33570:SF2', NULL, NULL, NULL, NULL, '4-CARBOXYMUCONOLACTONE DECARBOXYLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(92937, NULL, 'PTHR34482:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92938, NULL, 'PTHR11206:SF174', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(92939, NULL, 'PTHR12300:SF111', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(92940, NULL, 'PTHR21119', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 32560, 15),
(92941, NULL, 'PTHR21519:SF1', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(92942, NULL, 'PTHR15361', NULL, NULL, NULL, NULL, 'RAD51/NUKS-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(92943, NULL, 'PTHR10352:SF20', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92944, NULL, 'PTHR13817:SF49', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN H-RELATED', NULL, NULL, NULL, 15),
(92945, NULL, 'PTHR48049:SF83', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(92946, NULL, 'PTHR33416:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92947, NULL, 'PTHR22893:SF114', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(92948, NULL, 'PTHR47926:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92949, NULL, 'PTHR24067:SF242', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME', NULL, NULL, NULL, 15),
(92950, NULL, 'PTHR11062:SF272', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(92951, NULL, 'PTHR43570:SF32', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(92952, NULL, 'PTHR42825:SF9', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(92953, NULL, 'PTHR45666:SF9', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE PHOSPHATASE (SYNAPTOGENIN-LIKE) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(92954, NULL, 'PTHR13027:SF7', NULL, NULL, NULL, NULL, 'FI21343P1', NULL, NULL, NULL, 15),
(92955, NULL, 'PTHR31391:SF51', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS12G0591400', NULL, NULL, NULL, 15),
(92956, NULL, 'PTHR45768:SF31', NULL, NULL, NULL, NULL, 'OS03G0398600 PROTEIN', NULL, NULL, NULL, 15),
(92957, NULL, 'PTHR31734:SF158', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(92958, NULL, 'PTHR47991:SF6', NULL, NULL, NULL, NULL, 'OS10G0558200 PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92959, NULL, 'PTHR35122', NULL, NULL, NULL, NULL, 'OSJNBA0093F12.14 PROTEIN', NULL, NULL, 35722, 15),
(92960, NULL, 'PTHR13832:SF780', NULL, NULL, NULL, NULL, 'TGF-BETA-ACTIVATED KINASE 1 AND MAP3K7-BINDING PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(92961, NULL, 'PTHR22704', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29698, 15),
(92962, NULL, 'PTHR24418:SF44', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE FYN', NULL, NULL, NULL, 15),
(92963, NULL, 'PTHR10687:SF54', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(92964, NULL, 'PTHR47368:SF1', NULL, NULL, NULL, NULL, 'NUMB LIKE, ENDOCYTIC ADAPTOR PROTEIN', NULL, NULL, NULL, 15),
(92965, NULL, 'PTHR34223', NULL, NULL, NULL, NULL, 'OS11G0201299 PROTEIN', NULL, NULL, NULL, 15),
(92966, NULL, 'PTHR10133:SF41', NULL, NULL, NULL, NULL, 'DNA POLYMERASE NU', NULL, NULL, NULL, 15),
(92967, NULL, 'PTHR21700:SF41', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(92968, NULL, 'PTHR15876:SF12', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN ADIPOCYTE-ASSOCIATED 1-RELATED', NULL, NULL, NULL, 15),
(92969, NULL, 'PTHR10559:SF19', NULL, NULL, NULL, NULL, 'TRANSCOBALAMIN II', NULL, NULL, NULL, 15),
(92970, NULL, 'PTHR33887:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-191O15.6', NULL, NULL, NULL, 15),
(92971, NULL, 'PTHR12903:SF9', NULL, NULL, NULL, NULL, 'BNAA10G08390D PROTEIN', NULL, NULL, NULL, 15),
(92972, NULL, 'PTHR30136:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(92973, NULL, 'PTHR37936:SF3', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSC FOR INSERTION ELEMENT IS2A-RELATED', NULL, NULL, NULL, 15),
(92974, NULL, 'PTHR12281:SF27', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', NULL, NULL, NULL, 15),
(92975, NULL, 'PTHR21597:SF0', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(92976, NULL, 'PTHR24366:SF129', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 24', NULL, NULL, NULL, 15),
(92977, NULL, 'PTHR13367:SF28', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE ZRANB1', NULL, NULL, NULL, 15),
(92978, NULL, 'PTHR24238:SF44', NULL, NULL, NULL, NULL, 'GONADOTROPIN-RELEASING HORMONE RECEPTOR (GNRHR) RELATED', NULL, NULL, NULL, 15),
(92979, NULL, 'PTHR31338:SF27', NULL, NULL, NULL, NULL, 'BNAA06G34860D PROTEIN', NULL, NULL, NULL, 15),
(92980, NULL, 'PTHR11876:SF19', NULL, NULL, NULL, NULL, 'NEUTROPHIL DEFENSIN 1-RELATED', NULL, NULL, NULL, 15),
(92981, NULL, 'PTHR27006:SF439', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(92982, NULL, 'PTHR33048:SF114', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN (PTH11), PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05120)-RELATED', NULL, NULL, NULL, 15),
(92983, NULL, 'PTHR31248:SF13', NULL, NULL, NULL, NULL, 'PROTEIN A3, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92984, NULL, 'PTHR47594:SF4', NULL, NULL, NULL, NULL, 'THYLAKOID ASSEMBLY8', NULL, NULL, NULL, 15),
(92985, NULL, 'PTHR11360:SF92', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 16 MEMBER 7', NULL, NULL, NULL, 15),
(92986, NULL, 'PTHR31235:SF345', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(92987, NULL, 'PTHR23070:SF130', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92988, NULL, 'PTHR11654:SF338', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.14-RELATED', NULL, NULL, NULL, 15),
(92989, NULL, 'PTHR35546:SF25', NULL, NULL, NULL, NULL, 'OS08G0529300 PROTEIN', NULL, NULL, NULL, 15),
(92990, NULL, 'PTHR31989:SF302', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 72', NULL, NULL, NULL, 15),
(92991, NULL, 'PTHR35796', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(92992, NULL, 'PTHR11361:SF136', NULL, NULL, NULL, NULL, 'REPAIR PROTEIN MSH3, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(92993, NULL, 'PTHR43414:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE PERMEASE', NULL, NULL, NULL, 15),
(92994, NULL, 'PTHR12411:SF727', NULL, NULL, NULL, NULL, 'ERVATAMIN-B', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(92995, NULL, 'PTHR24248:SF54', NULL, NULL, NULL, NULL, 'BETA-1 ADRENERGIC RECEPTOR', NULL, NULL, NULL, 15),
(92996, NULL, 'PTHR45824:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(92997, NULL, 'PTHR11709:SF407', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15A', NULL, NULL, NULL, 15),
(92998, NULL, 'PTHR22654:SF2', NULL, NULL, NULL, NULL, 'G PROTEIN PATHWAY SUPPRESSOR 2', NULL, NULL, NULL, 15),
(92999, NULL, 'PTHR23299:SF39', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN', NULL, NULL, NULL, 15),
(93000, NULL, 'PTHR31154:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG17977', NULL, NULL, NULL, 15),
(93001, NULL, 'PTHR44305:SF7', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 3', NULL, NULL, NULL, 15),
(93002, NULL, 'PTHR24028:SF105', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A5', NULL, NULL, NULL, 15),
(93003, NULL, 'PTHR31731:SF1', NULL, NULL, NULL, NULL, '36.4 KDA PROLINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(93004, NULL, 'PTHR23155:SF988', NULL, NULL, NULL, NULL, 'OS02G0262800 PROTEIN', NULL, NULL, NULL, 15),
(93005, NULL, 'PTHR33670:SF16', NULL, NULL, NULL, NULL, 'BNAA09G00520D PROTEIN', NULL, NULL, NULL, 15),
(93006, NULL, 'PTHR24637:SF271', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(93007, NULL, 'PTHR22952:SF421', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(93008, NULL, 'PTHR46293:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93009, NULL, 'PTHR23425:SF5', NULL, NULL, NULL, NULL, 'SPERM PROTEIN ASSOCIATED WITH THE NUCLEUS ON THE X CHROMOSOME N3', NULL, NULL, NULL, 15),
(93010, NULL, 'PTHR14297:SF4', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(93011, NULL, 'PTHR43593', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93012, NULL, 'PTHR12242:SF33', NULL, NULL, NULL, NULL, 'BNAA08G05390D PROTEIN', NULL, NULL, NULL, 15),
(93013, NULL, 'PTHR44329:SF152', NULL, NULL, NULL, NULL, 'TKL FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(93014, NULL, 'PTHR11002:SF64', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(93015, NULL, 'PTHR31080:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93016, NULL, 'PTHR11009:SF5', NULL, NULL, NULL, NULL, 'DERLIN-2', NULL, NULL, NULL, 15),
(93017, NULL, 'PTHR33240:SF5', NULL, NULL, NULL, NULL, 'OS08G0508500 PROTEIN', NULL, NULL, NULL, 15),
(93018, NULL, 'PTHR11839:SF21', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 27, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(93019, NULL, 'PTHR10120', NULL, NULL, NULL, NULL, 'CAAX PRENYL PROTEASE 1', NULL, NULL, 26089, 15),
(93020, NULL, 'PTHR32212:SF287', NULL, NULL, NULL, NULL, 'PROTEIN WITH RNI-LIKE/FBD-LIKE DOMAIN', NULL, NULL, NULL, 15),
(93021, NULL, 'PTHR23301:SF61', NULL, NULL, NULL, NULL, 'EG:56G7.1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(93022, NULL, 'PTHR43296:SF8', NULL, NULL, NULL, NULL, 'PEROXISOMAL 2,4-DIENOYL-COA REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(93023, NULL, 'PTHR13844:SF73', NULL, NULL, NULL, NULL, 'PROTEIN TRI1-LIKE', NULL, NULL, NULL, 15),
(93024, NULL, 'PTHR33077:SF113', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 9', NULL, NULL, NULL, 15),
(93025, NULL, 'PTHR30346:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF OXIDATIVE STRESS OXYR', NULL, NULL, NULL, 15),
(93026, NULL, 'PTHR15735:SF4', NULL, NULL, NULL, NULL, 'F-BAR AND DOUBLE SH3 DOMAINS PROTEIN 1', NULL, NULL, 32244, 15),
(93027, NULL, 'PTHR24177:SF260', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', NULL, NULL, NULL, 15),
(93028, NULL, 'PTHR13718:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93029, NULL, 'PTHR45688:SF6', NULL, NULL, NULL, NULL, '5-PHOSPHOHYDROXY-L-LYSINE PHOSPHO-LYASE', NULL, NULL, NULL, 15),
(93030, NULL, 'PTHR39741:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93031, NULL, 'PTHR47120:SF1', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(93032, NULL, 'PTHR22936:SF75', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 8', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93033, NULL, 'PTHR23349:SF58', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 23', NULL, NULL, NULL, 15),
(93034, NULL, 'PTHR30003', NULL, NULL, NULL, NULL, 'L-LACTATE PERMEASE', NULL, NULL, 3298, 15),
(93035, NULL, 'PTHR15837:SF0', NULL, NULL, NULL, NULL, 'RAN GUANINE NUCLEOTIDE RELEASE FACTOR', NULL, NULL, NULL, 15),
(93036, NULL, 'PTHR14319:SF9', NULL, NULL, NULL, NULL, 'PROTEIN MYOMAKER-RELATED', NULL, NULL, NULL, 15),
(93037, NULL, 'PTHR10736:SF59', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 17', NULL, NULL, NULL, 15),
(93038, NULL, 'PTHR10334:SF442', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93039, NULL, 'PTHR46350', NULL, NULL, NULL, NULL, 'RAS LIKE FAMILY 10 MEMBER B-RELATED', NULL, NULL, NULL, 15),
(93040, NULL, 'PTHR16423:SF9', NULL, NULL, NULL, NULL, 'TREM-LIKE TRANSCRIPT 4 PROTEIN', NULL, NULL, NULL, 15),
(93041, NULL, 'PTHR33052:SF72', NULL, NULL, NULL, NULL, 'BNAA06G14850D PROTEIN', NULL, NULL, NULL, 15),
(93042, NULL, 'PTHR47798', NULL, NULL, NULL, NULL, 'OS04G0555800 PROTEIN', NULL, NULL, NULL, 15),
(93043, NULL, 'PTHR11467:SF109', NULL, NULL, NULL, NULL, 'BNAC09G47260D PROTEIN', NULL, NULL, NULL, 15),
(93044, NULL, 'PTHR31003', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', NULL, NULL, 39388, 15),
(93045, NULL, 'PTHR21331:SF2', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED ATM ACTIVATOR 1', NULL, NULL, NULL, 15),
(93046, NULL, 'PTHR13342:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93047, NULL, 'PTHR34491:SF24', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 15', NULL, NULL, NULL, 15),
(93048, NULL, 'PTHR45988:SF46', NULL, NULL, NULL, NULL, 'BNAA05G20490D PROTEIN', NULL, NULL, NULL, 15),
(93049, NULL, 'PTHR33044:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93050, NULL, 'PTHR43391:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93051, NULL, 'PTHR15574:SF61', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 8-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(93052, NULL, 'PTHR21577:SF4', NULL, NULL, NULL, NULL, 'SHUGOSHIN-1-RELATED', NULL, NULL, NULL, 15),
(93053, NULL, 'PTHR10426:SF98', NULL, NULL, NULL, NULL, 'STRICTOSIDINE SYNTHASE TRANSCRIPTION FACTOR WD40-LIKE FAMILY-RELATED', NULL, NULL, NULL, 15),
(93054, NULL, 'PTHR23113:SF333', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR A', NULL, NULL, NULL, 15),
(93055, NULL, 'PTHR48061:SF15', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING, PLANT-TYPE, LEUCINE-RICH REPEAT DOMAIN, L-RELATED', NULL, NULL, NULL, 15),
(93056, NULL, 'PTHR33103:SF74', NULL, NULL, NULL, NULL, 'BNAC03G26670D PROTEIN', NULL, NULL, NULL, 15),
(93057, NULL, 'PTHR19430:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BEX2', NULL, NULL, NULL, 15),
(93058, NULL, 'PTHR21515:SF4', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(93059, NULL, 'PTHR24229:SF20', NULL, NULL, NULL, NULL, 'SOMATOSTATIN RECEPTOR TYPE 5', NULL, NULL, NULL, 15),
(93060, NULL, 'PTHR43670:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93061, NULL, 'PTHR44329:SF11', NULL, NULL, NULL, NULL, 'OS09G0443600 PROTEIN', NULL, NULL, NULL, 15),
(93062, NULL, 'PTHR11886:SF37', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(93063, NULL, 'PTHR14353:SF12', NULL, NULL, NULL, NULL, 'MARCKS-RELATED PROTEIN 1-A', NULL, NULL, NULL, 15),
(93064, NULL, 'PTHR45636:SF17', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-3', NULL, NULL, NULL, 15),
(93065, NULL, 'PTHR23326:SF1', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(93066, NULL, 'PTHR11802:SF368', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(93067, NULL, 'PTHR31008:SF25', NULL, NULL, NULL, NULL, 'BNAC03G69090D PROTEIN', NULL, NULL, NULL, 15),
(93068, NULL, 'PTHR13832:SF764', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 29', NULL, NULL, NULL, 15),
(93069, NULL, 'PTHR48170:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93070, NULL, 'PTHR23169', NULL, NULL, NULL, NULL, 'ENVOPLAKIN', NULL, NULL, 37312, 15),
(93071, NULL, 'PTHR11913:SF95', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 5-LIKE', NULL, NULL, NULL, 15),
(93072, NULL, 'PTHR33469:SF5', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 4', NULL, NULL, NULL, 15),
(93073, NULL, 'PTHR21576:SF84', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(93074, NULL, 'PTHR31283:SF6', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN 2', NULL, NULL, NULL, 15),
(93075, NULL, 'PTHR24291:SF63', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4X1', NULL, NULL, NULL, 15),
(93076, NULL, 'PTHR13199', NULL, NULL, NULL, NULL, 'GH03947P', NULL, NULL, NULL, 15),
(93077, NULL, 'PTHR46789', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN R1', NULL, NULL, NULL, 15),
(93078, NULL, 'PTHR12701:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93079, NULL, 'PTHR24282:SF103', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 (CYP72C)-LIKE', NULL, NULL, NULL, 15),
(93080, NULL, 'PTHR24027:SF415', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93081, NULL, 'PTHR21402:SF10', NULL, NULL, NULL, NULL, 'U11/U12 SMALL NUCLEAR RIBONUCLEOPROTEIN 48 KDA PROTEIN', NULL, NULL, 22578, 15),
(93082, NULL, 'PTHR14165:SF12', NULL, NULL, NULL, NULL, 'VAULT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93083, NULL, 'PTHR47378:SF1', NULL, NULL, NULL, NULL, 'DIVINYL CHLOROPHYLLIDE A 8-VINYL-REDUCTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(93084, NULL, 'PTHR31867:SF116', NULL, NULL, NULL, NULL, 'EXPANSIN-A1', NULL, NULL, NULL, 15),
(93085, NULL, 'PTHR22957:SF534', NULL, NULL, NULL, NULL, 'GH16847P', NULL, NULL, NULL, 15),
(93086, NULL, 'PTHR11850:SF296', NULL, NULL, NULL, NULL, 'BNAA03G54930D PROTEIN', NULL, NULL, NULL, 15),
(93087, NULL, 'PTHR13720:SF33', NULL, NULL, NULL, NULL, 'WD40 REPEAT', NULL, NULL, NULL, 15),
(93088, NULL, 'PTHR31728:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93089, NULL, 'PTHR33940:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13625', NULL, NULL, NULL, 15),
(93090, NULL, 'PTHR47925:SF92', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(93091, NULL, 'PTHR45652:SF15', NULL, NULL, NULL, NULL, 'VIMENTIN-RELATED 1', NULL, NULL, NULL, 15),
(93092, NULL, 'PTHR31642:SF206', NULL, NULL, NULL, NULL, 'OS01G0261600 PROTEIN', NULL, NULL, NULL, 15),
(93093, NULL, 'PTHR13301:SF215', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D2', NULL, NULL, NULL, 15),
(93094, NULL, 'PTHR10063:SF11', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN CG5521-RELATED', NULL, NULL, NULL, 15),
(93095, NULL, 'PTHR33787:SF5', NULL, NULL, NULL, NULL, 'YCF20-LIKE PROTEIN', NULL, NULL, NULL, 15),
(93096, NULL, 'PTHR33880:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93097, NULL, 'PTHR30572:SF12', NULL, NULL, NULL, NULL, 'ABC-TYPE MACROLIDE FAMILY EXPORT SYSTEM PERMEASE COMPONENT 1', NULL, NULL, NULL, 15),
(93098, NULL, 'PTHR23024:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93099, NULL, 'PTHR46504:SF1', NULL, NULL, NULL, NULL, 'TRNASE Z TRZ2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(93100, NULL, 'PTHR14388:SF5', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 4A', NULL, NULL, NULL, 15),
(93101, NULL, 'PTHR32448:SF34', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 19-RELATED', NULL, NULL, NULL, 15),
(93102, NULL, 'PTHR33641:SF18', NULL, NULL, NULL, NULL, 'OSJNBA0020P07.9 PROTEIN', NULL, NULL, NULL, 15),
(93103, NULL, 'PTHR10407:SF19', NULL, NULL, NULL, NULL, 'TALIN-1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(93104, NULL, 'PTHR24203:SF48', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 2B', NULL, NULL, NULL, 15),
(93105, NULL, 'PTHR13723:SF147', NULL, NULL, NULL, NULL, 'ADAMTS-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(93106, NULL, 'PTHR24083:SF41', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 4-ALPHA', NULL, NULL, 35646, 15),
(93107, NULL, 'PTHR21495:SF185', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93108, NULL, 'PTHR47971:SF9', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-13B', NULL, NULL, NULL, 15),
(93109, NULL, 'PTHR12872', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGLUCOSAMINIDASE', NULL, NULL, 1454, 15),
(93110, NULL, 'PTHR13068:SF184', NULL, NULL, NULL, NULL, 'BNAA01G22960D PROTEIN', NULL, NULL, NULL, 15),
(93111, NULL, 'PTHR11465:SF46', NULL, NULL, NULL, NULL, 'CATALASE', NULL, NULL, NULL, 15),
(93112, NULL, 'PTHR21720:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG15325', NULL, NULL, NULL, 15),
(93113, NULL, 'PTHR48085', NULL, NULL, NULL, NULL, 'CADMIUM/ZINC-TRANSPORTING ATPASE HMA2-RELATED', NULL, NULL, NULL, 15),
(93114, NULL, 'PTHR18929:SF227', NULL, NULL, NULL, NULL, 'PDI-LIKE 1-4-RELATED', NULL, NULL, NULL, 15),
(93115, NULL, 'PTHR33800:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93116, NULL, 'PTHR24326:SF580', NULL, NULL, NULL, NULL, 'BNAA09G42630D PROTEIN', NULL, NULL, NULL, 15),
(93117, NULL, 'PTHR22835:SF166', NULL, NULL, NULL, NULL, 'OS10G0393700 PROTEIN', NULL, NULL, NULL, 15),
(93118, NULL, 'PTHR13084:SF2', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1-INTERACTING PROTEIN 3', NULL, NULL, NULL, 15),
(93119, NULL, 'PTHR42643:SF22', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 41A-RELATED', NULL, NULL, NULL, 15),
(93120, NULL, 'PTHR23044:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93121, NULL, 'PTHR22419:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 172', NULL, NULL, NULL, 15),
(93122, NULL, 'PTHR16140:SF2', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4 HOMOLOG A', NULL, NULL, NULL, 15),
(93123, NULL, 'PTHR13624:SF6', NULL, NULL, NULL, NULL, 'RE42071P', NULL, NULL, NULL, 15),
(93124, NULL, 'PTHR31045:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93125, NULL, 'PTHR24072:SF300', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC2', NULL, NULL, NULL, 15),
(93126, NULL, 'PTHR11219:SF71', NULL, NULL, NULL, NULL, 'TENEURIN-A', NULL, NULL, NULL, 15),
(93127, NULL, 'PTHR33526:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93128, NULL, 'PTHR47991:SF92', NULL, NULL, NULL, NULL, 'OS09G0353400 PROTEIN', NULL, NULL, NULL, 15),
(93129, NULL, 'PTHR30346:SF25', NULL, NULL, NULL, NULL, 'SMALL NEUTRAL PROTEASE REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(93130, NULL, 'PTHR45728:SF6', NULL, NULL, NULL, NULL, 'RUDIMENT SINGLE HYBRID MOTIF', NULL, NULL, NULL, 15),
(93131, NULL, 'PTHR24056:SF476', NULL, NULL, NULL, NULL, 'BNAC05G48590D PROTEIN', NULL, NULL, NULL, 15),
(93132, NULL, 'PTHR11040:SF32', NULL, NULL, NULL, NULL, 'ZINC-REGULATED TRANSPORTER 1', NULL, NULL, NULL, 15),
(93133, NULL, 'PTHR45661', NULL, NULL, NULL, NULL, 'SURFACE ANTIGEN', NULL, NULL, NULL, 15),
(93134, NULL, 'PTHR23502:SF52', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17730)-RELATED', NULL, NULL, NULL, 15),
(93135, NULL, 'PTHR48001:SF91', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(93136, NULL, 'PTHR23315:SF256', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(93137, NULL, 'PTHR45708:SF29', NULL, NULL, NULL, NULL, 'OSJNBA0020I02.6 PROTEIN', NULL, NULL, NULL, 15),
(93138, NULL, 'PTHR31066:SF55', NULL, NULL, NULL, NULL, 'BNAA06G22540D PROTEIN', NULL, NULL, NULL, 15),
(93139, NULL, 'PTHR33670:SF15', NULL, NULL, NULL, NULL, 'OS02G0797600 PROTEIN', NULL, NULL, NULL, 15),
(93140, NULL, 'PTHR47035:SF3', NULL, NULL, NULL, NULL, 'OS11G0150450 PROTEIN', NULL, NULL, NULL, 15),
(93141, NULL, 'PTHR33327', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93142, NULL, 'PTHR34971', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN Z', NULL, NULL, 2872, 15),
(93143, NULL, 'PTHR45968:SF30', NULL, NULL, NULL, NULL, 'BNAA02G11130D PROTEIN', NULL, NULL, NULL, 15),
(93144, NULL, 'PTHR11786:SF0', NULL, NULL, NULL, NULL, 'ARYLAMINE N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(93145, NULL, 'PTHR33048:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93146, NULL, 'PTHR31238:SF203', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(93147, NULL, 'PTHR46128:SF192', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(93148, NULL, 'PTHR23086:SF109', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 11-RELATED', NULL, NULL, NULL, 15),
(93149, NULL, 'PTHR33076:SF132', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 3', NULL, NULL, NULL, 15),
(93150, NULL, 'PTHR11410', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT A', NULL, NULL, 38829, 15),
(93151, NULL, 'PTHR10639:SF24', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN 3', NULL, NULL, NULL, 15),
(93152, NULL, 'PTHR43070', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 10154, 15),
(93153, NULL, 'PTHR40616', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93154, NULL, 'PTHR47816', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE C', NULL, NULL, NULL, 15),
(93155, NULL, 'PTHR23318', NULL, NULL, NULL, NULL, 'ATP SYNTHASE GAMMA-RELATED', NULL, NULL, NULL, 15),
(93156, NULL, 'PTHR31989:SF249', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 53-LIKE', NULL, NULL, NULL, 15),
(93157, NULL, 'PTHR12411:SF767', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93158, NULL, 'PTHR28529:SF2', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN SWI5 HOMOLOG', NULL, NULL, NULL, 15),
(93159, NULL, 'PTHR32020', NULL, NULL, NULL, NULL, 'LIN-8 DOMAIN CONTAINING-RELATED', NULL, NULL, 1234, 15),
(93160, NULL, 'PTHR43167:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G01830)-RELATED', NULL, NULL, NULL, 15),
(93161, NULL, 'PTHR45621:SF114', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(93162, NULL, 'PTHR47327:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG11308', NULL, NULL, NULL, 15),
(93163, NULL, 'PTHR28122', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SUBSTRATE RECEPTOR MMS22', NULL, NULL, 16366, 15),
(93164, NULL, 'PTHR19845:SF22', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1 HOMOLOG', NULL, NULL, NULL, 15),
(93165, NULL, 'PTHR31657:SF19', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF053', NULL, NULL, NULL, 15),
(93166, NULL, 'PTHR43553:SF11', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING/PERMEASE PROTEIN YOJI', NULL, NULL, 6624, 15),
(93167, NULL, 'PTHR33769', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 26 ISOFORM X3', NULL, NULL, 38377, 15),
(93168, NULL, 'PTHR24271:SF13', NULL, NULL, NULL, NULL, 'CATHEPSIN G', NULL, NULL, NULL, 15),
(93169, NULL, 'PTHR10037:SF221', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 9 SUBUNIT ALPHA', NULL, NULL, 24426, 15),
(93170, NULL, 'PTHR31901:SF85', NULL, NULL, NULL, NULL, 'GH3 FAMILY-RELATED', NULL, NULL, NULL, 15),
(93171, NULL, 'PTHR11132:SF410', NULL, NULL, NULL, NULL, 'BNAC06G07890D PROTEIN', NULL, NULL, NULL, 15),
(93172, NULL, 'PTHR24020:SF63', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XII) CHAIN', NULL, NULL, NULL, 15),
(93173, NULL, 'PTHR10795:SF516', NULL, NULL, NULL, NULL, 'SERINE PROTEASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(93174, NULL, 'PTHR32285:SF171', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 12', NULL, NULL, NULL, 15),
(93175, NULL, 'PTHR22957:SF575', NULL, NULL, NULL, NULL, 'BNAC06G13780D PROTEIN', NULL, NULL, NULL, 15),
(93176, NULL, 'PTHR28232', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RXT2', NULL, NULL, 29008, 15),
(93177, NULL, 'PTHR45696:SF26', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1', NULL, NULL, NULL, 15),
(93178, NULL, 'PTHR11139:SF1', NULL, NULL, NULL, NULL, 'TRANSFORMATION/TRANSCRIPTION DOMAIN-ASSOCIATED PROTEIN', NULL, NULL, 34321, 15),
(93179, NULL, 'PTHR47925:SF99', NULL, NULL, NULL, NULL, 'BNAC05G04200D PROTEIN', NULL, NULL, NULL, 15),
(93180, NULL, 'PTHR17583', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE 3-KINASE REGULATORY SUBUNIT 4', NULL, NULL, 39918, 15),
(93181, NULL, 'PTHR13832:SF559', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 2-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93182, NULL, 'PTHR48227', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 1-LIKE', NULL, NULL, NULL, 15),
(93183, NULL, 'PTHR34274:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93184, NULL, 'PTHR15375', NULL, NULL, NULL, NULL, 'ACTIVATOR OF S-PHASE KINASE-RELATED', NULL, NULL, NULL, 15),
(93185, NULL, 'PTHR34287:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93186, NULL, 'PTHR19375:SF380', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM CHAPERONE BIP', NULL, NULL, NULL, 15),
(93187, NULL, 'PTHR10859:SF108', NULL, NULL, NULL, NULL, 'BNAA03G18660D PROTEIN', NULL, NULL, NULL, 15),
(93188, NULL, 'PTHR45614:SF173', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB3R-2', NULL, NULL, NULL, 15),
(93189, NULL, 'PTHR45671', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 (MITOCHONDRIAL CARRIER PHOSPHATE CARRIER), MEMBER 3, LIKE-RELATED-RELATED', NULL, NULL, 36754, 15),
(93190, NULL, 'PTHR12542:SF7', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 7', NULL, NULL, NULL, 15),
(93191, NULL, 'PTHR27002:SF504', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(93192, NULL, 'PTHR21679:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG21529', NULL, NULL, NULL, 15),
(93193, NULL, 'PTHR43768:SF38', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(93194, NULL, 'PTHR47027:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93195, NULL, 'PTHR23316:SF69', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-3', NULL, NULL, NULL, 15),
(93196, NULL, 'PTHR36721:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', NULL, NULL, NULL, 15),
(93197, NULL, 'PTHR19443:SF29', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(93198, NULL, 'PTHR11017:SF232', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY-RELATED', NULL, NULL, NULL, 15),
(93199, NULL, 'PTHR43447', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', NULL, NULL, NULL, 15),
(93200, NULL, 'PTHR24388:SF48', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR SCRATCH 2-RELATED', NULL, NULL, NULL, 15),
(93201, NULL, 'PTHR16267:SF11', NULL, NULL, NULL, NULL, 'STUMPS, ISOFORM E', NULL, NULL, NULL, 15),
(93202, NULL, 'PTHR36522', NULL, NULL, NULL, NULL, 'AT HOOK-CONTAINING PROTEIN ATTF-4', NULL, NULL, 33160, 15),
(93203, NULL, 'PTHR22725', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN HOMOLOG 1-RELATED-RELATED', NULL, NULL, 34212, 15),
(93204, NULL, 'PTHR31913:SF7', NULL, NULL, NULL, NULL, 'DEM PROTEIN', NULL, NULL, NULL, 15),
(93205, NULL, 'PTHR24040:SF6', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC 6', NULL, NULL, NULL, 15),
(93206, NULL, 'PTHR24051:SF5', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(93207, NULL, 'PTHR48017:SF60', NULL, NULL, NULL, NULL, 'GABA TRANSPORTER 2 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(93208, NULL, 'PTHR43019:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93209, NULL, 'PTHR35764', NULL, NULL, NULL, NULL, 'PROTEIN SHORTAGE IN CHIASMATA 1', NULL, NULL, 33205, 15),
(93210, NULL, 'PTHR24340:SF92', NULL, NULL, NULL, NULL, 'HOMEODOMAIN PROTEIN NKX2.7', NULL, NULL, NULL, 15),
(93211, NULL, 'PTHR43976:SF20', NULL, NULL, NULL, NULL, 'AGROPINE SYNTHESIS REDUCTASE', NULL, NULL, NULL, 15),
(93212, NULL, 'PTHR45863:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK5', NULL, NULL, NULL, 15),
(93213, NULL, 'PTHR20842:SF1', NULL, NULL, NULL, NULL, 'PEPTIDASE E', NULL, NULL, NULL, 15),
(93214, NULL, 'PTHR31674:SF44', NULL, NULL, NULL, NULL, 'BNAC04G36230D PROTEIN', NULL, NULL, NULL, 15),
(93215, NULL, 'PTHR45636:SF11', NULL, NULL, NULL, NULL, 'N-TERMINAL PAX (PAI DOMAIN ONLY) PROTEIN', NULL, NULL, NULL, 15),
(93216, NULL, 'PTHR48147', NULL, NULL, NULL, NULL, 'PROTEIN CBG23787', NULL, NULL, NULL, 15),
(93217, NULL, 'PTHR21551:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93218, NULL, 'PTHR23001:SF34', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF2/IF5-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93219, NULL, 'PTHR33116:SF50', NULL, NULL, NULL, NULL, 'PROTEIN HEAT-STRESS-ASSOCIATED 32', NULL, NULL, NULL, 15),
(93220, NULL, 'PTHR42912:SF64', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(93221, NULL, 'PTHR46842:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 266', NULL, NULL, NULL, 15),
(93222, NULL, 'PTHR10768:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93223, NULL, 'PTHR43620:SF9', NULL, NULL, NULL, NULL, 'OS01G0763600 PROTEIN', NULL, NULL, NULL, 15),
(93224, NULL, 'PTHR45708:SF40', NULL, NULL, NULL, NULL, 'BASIC ENDOCHITINASE', NULL, NULL, NULL, 15),
(93225, NULL, 'PTHR46116:SF23', NULL, NULL, NULL, NULL, 'BNAA05G14770D PROTEIN', NULL, NULL, NULL, 15),
(93226, NULL, 'PTHR10641:SF1299', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39-LIKE', NULL, NULL, NULL, 15),
(93227, NULL, 'PTHR46774:SF3', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN EAF1 A-RELATED', NULL, NULL, NULL, 15),
(93228, NULL, 'PTHR11267:SF165', NULL, NULL, NULL, NULL, 'T-BOX PROTEIN 35-RELATED', NULL, NULL, NULL, 15),
(93229, NULL, 'PTHR15561:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC9', NULL, NULL, NULL, 15),
(93230, NULL, 'PTHR45913', NULL, NULL, NULL, NULL, 'EPM2A-INTERACTING PROTEIN 1', NULL, NULL, 26509, 15),
(93231, NULL, 'PTHR31367:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93232, NULL, 'PTHR10046:SF56', NULL, NULL, NULL, NULL, 'LON PROTEASE', NULL, NULL, NULL, 15),
(93233, NULL, 'PTHR10209:SF479', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(93234, NULL, 'PTHR31642:SF127', NULL, NULL, NULL, NULL, 'OS05G0141300 PROTEIN', NULL, NULL, NULL, 15),
(93235, NULL, 'PTHR48064:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 51', NULL, NULL, NULL, 15),
(93236, NULL, 'PTHR32133:SF331', NULL, NULL, NULL, NULL, 'OS05G0320100 PROTEIN', NULL, NULL, NULL, 15),
(93237, NULL, 'PTHR47074:SF20', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H PROTEIN', NULL, NULL, NULL, 15),
(93238, NULL, 'PTHR31676:SF77', NULL, NULL, NULL, NULL, 'BNAA03G00250D PROTEIN', NULL, NULL, NULL, 15),
(93239, NULL, 'PTHR46780:SF5', NULL, NULL, NULL, NULL, 'SI:CH73-335M24.2', NULL, NULL, NULL, 15),
(93240, NULL, 'PTHR45744:SF33', NULL, NULL, NULL, NULL, 'BNAA09G41170D PROTEIN', NULL, NULL, NULL, 15),
(93241, NULL, 'PTHR15975:SF3', NULL, NULL, NULL, NULL, 'BNAC09G39370D PROTEIN', NULL, NULL, NULL, 15),
(93242, NULL, 'PTHR15416:SF3', NULL, NULL, NULL, NULL, 'AGAP001779-PB', NULL, NULL, NULL, 15),
(93243, NULL, 'PTHR43619:SF2', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE YKTD-RELATED', NULL, NULL, NULL, 15),
(93244, NULL, 'PTHR15288:SF25', NULL, NULL, NULL, NULL, 'DENN DOMAIN, DDENN DOMAIN, UDENN DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(93245, NULL, 'PTHR24092:SF166', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 12-RELATED', NULL, NULL, NULL, 15),
(93246, NULL, 'PTHR31248:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93247, NULL, 'PTHR34203', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE, FKBM FAMILY PROTEIN', NULL, NULL, NULL, 15),
(93248, NULL, 'PTHR33240:SF7', NULL, NULL, NULL, NULL, 'GAG-PRO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(93249, NULL, 'PTHR46568', NULL, NULL, NULL, NULL, 'ALKYLDIHYDROXYACETONEPHOSPHATE SYNTHASE, PEROXISOMAL', NULL, NULL, 25557, 15),
(93250, NULL, 'PTHR37200:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(93251, NULL, 'PTHR24062:SF9', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(93252, NULL, 'PTHR48002:SF91', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(93253, NULL, 'PTHR45657:SF40', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(93254, NULL, 'PTHR14084:SF2', NULL, NULL, NULL, NULL, 'KYNURENINASE 2', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93255, NULL, 'PTHR13864', NULL, NULL, NULL, NULL, 'T-CELL ACUTE LYMPHOCYTIC LEUKEMIA/STEM CELL LEUKEMIA-RELATED', NULL, NULL, 34579, 15),
(93256, NULL, 'PTHR21666', NULL, NULL, NULL, NULL, 'PEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(93257, NULL, 'PTHR37973:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11275', NULL, NULL, NULL, 15),
(93258, NULL, 'PTHR31929:SF89', NULL, NULL, NULL, NULL, 'BNAA02G26410D PROTEIN', NULL, NULL, NULL, 15),
(93259, NULL, 'PTHR11254:SF421', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL5-LIKE', NULL, NULL, NULL, 15),
(93260, NULL, 'PTHR13271:SF108', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93261, NULL, 'PTHR10091:SF0', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(93262, NULL, 'PTHR24096:SF373', NULL, NULL, NULL, NULL, '4-COUMARATE:COA LIGASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(93263, NULL, 'PTHR13950', NULL, NULL, NULL, NULL, 'RABCONNECTIN-RELATED', NULL, NULL, NULL, 15),
(93264, NULL, 'PTHR11430:SF79', NULL, NULL, NULL, NULL, 'EPIDIDYMAL-SPECIFIC LIPOCALIN-10', NULL, NULL, NULL, 15),
(93265, NULL, 'PTHR42940:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE FAMILY OXIDOREDUCTASE, PUTATIVE (JCVI)-RELATED', NULL, NULL, NULL, 15),
(93266, NULL, 'PTHR13832:SF541', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93267, NULL, 'PTHR13480', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HAKAI-RELATED', NULL, NULL, 30788, 15),
(93268, NULL, 'PTHR44188:SF2', NULL, NULL, NULL, NULL, 'GANGLIOSIDE-INDUCED DIFFERENTIATION-ASSOCIATED PROTEIN 1-LIKE 1', NULL, NULL, 35449, 15),
(93269, NULL, 'PTHR33248:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93270, NULL, 'PTHR33873', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR VOZ1', NULL, NULL, 33358, 15),
(93271, NULL, 'PTHR28677:SF4', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 4A-RELATED', NULL, NULL, NULL, 15),
(93272, NULL, 'PTHR11394:SF37', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 110', NULL, NULL, NULL, 15),
(93273, NULL, 'PTHR24373:SF31', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING NOGO RECEPTOR-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(93274, NULL, 'PTHR43513:SF3', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE B (NAD(+)), ELECTRON TRANSFER SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(93275, NULL, 'PTHR46724:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(93276, NULL, 'PTHR34064:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93277, NULL, 'PTHR28615:SF2', NULL, NULL, NULL, NULL, 'PAK4-INHIBITOR INKA2', NULL, NULL, NULL, 15),
(93278, NULL, 'PTHR27006:SF393', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(93279, NULL, 'PTHR16655:SF2', NULL, NULL, NULL, NULL, 'COCAINE-AND AMPHETAMINE-REGULATED TRANSCRIPT PROTEIN-LIKE', NULL, NULL, NULL, 15),
(93280, NULL, 'PTHR24372:SF71', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G-PROTEIN COUPLED RECEPTOR 5', NULL, NULL, NULL, 15),
(93281, NULL, 'PTHR22298:SF144', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(93282, NULL, 'PTHR46235:SF2', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(93283, NULL, 'PTHR18966:SF493', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(93284, NULL, 'PTHR11232:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93285, NULL, 'PTHR47987:SF5', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-REGULATED RECEPTOR-LIKE KINASE 2', NULL, NULL, NULL, 15),
(93286, NULL, 'PTHR14149:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93287, NULL, 'PTHR31541:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93288, NULL, 'PTHR31989:SF315', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29-LIKE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93289, NULL, 'PTHR45638:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG22517', NULL, NULL, NULL, 15),
(93290, NULL, 'PTHR15117:SF9', NULL, NULL, NULL, NULL, 'ATAXIN-7-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(93291, NULL, 'PTHR12411:SF719', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93292, NULL, 'PTHR45287:SF4', NULL, NULL, NULL, NULL, 'OS03G0691500 PROTEIN', NULL, NULL, NULL, 15),
(93293, NULL, 'PTHR12496:SF0', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(93294, NULL, 'PTHR11071:SF380', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE D-RELATED', NULL, NULL, NULL, 15),
(93295, NULL, 'PTHR31719:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93296, NULL, 'PTHR23500:SF525', NULL, NULL, NULL, NULL, 'HEXOSE CARRIER PROTEIN HEX6-LIKE', NULL, NULL, NULL, 15),
(93297, NULL, 'PTHR45822:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-231M23.4', NULL, NULL, NULL, 15),
(93298, NULL, 'PTHR31218:SF334', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(93299, NULL, 'PTHR46598:SF4', NULL, NULL, NULL, NULL, 'BNAA02G14210D PROTEIN', NULL, NULL, NULL, 15),
(93300, NULL, 'PTHR31803:SF20', NULL, NULL, NULL, NULL, 'ALTERNATIVE OXIDASE 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(93301, NULL, 'PTHR43620:SF4', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD5', NULL, NULL, NULL, 15),
(93302, NULL, 'PTHR45796:SF4', NULL, NULL, NULL, NULL, 'FORKHEAD BOX P, ISOFORM C', NULL, NULL, NULL, 15),
(93303, NULL, 'PTHR46463:SF10', NULL, NULL, NULL, NULL, 'OS11G0629300 PROTEIN', NULL, NULL, NULL, 15),
(93304, NULL, 'PTHR32166:SF88', NULL, NULL, NULL, NULL, 'HAT TRANSPOSON SUPERFAMILY', NULL, NULL, NULL, 15),
(93305, NULL, 'PTHR22595:SF122', NULL, NULL, NULL, NULL, 'BASIC ENDOCHITINASE-LIKE', NULL, NULL, NULL, 15),
(93306, NULL, 'PTHR27006:SF322', NULL, NULL, NULL, NULL, 'OSJNBA0058K23.11 PROTEIN', NULL, NULL, NULL, 15),
(93307, NULL, 'PTHR45983:SF4', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 18', NULL, NULL, NULL, 15),
(93308, NULL, 'PTHR18953:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93309, NULL, 'PTHR23155:SF1095', NULL, NULL, NULL, NULL, 'OS05G0250700 PROTEIN', NULL, NULL, NULL, 15),
(93310, NULL, 'PTHR24324', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HHEX', NULL, NULL, NULL, 15),
(93311, NULL, 'PTHR12260:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93312, NULL, 'PTHR24172', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93313, NULL, 'PTHR18945:SF861', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93314, NULL, 'PTHR31260:SF56', NULL, NULL, NULL, NULL, 'BNAA08G14180D PROTEIN', NULL, NULL, NULL, 15),
(93315, NULL, 'PTHR24381:SF60', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 35', NULL, NULL, NULL, 15),
(93316, NULL, 'PTHR24023:SF897', NULL, NULL, NULL, NULL, 'MACROPHAGE RECEPTOR MARCO', NULL, NULL, NULL, 15),
(93317, NULL, 'PTHR31727:SF14', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', NULL, NULL, NULL, 15),
(93318, NULL, 'PTHR22812:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93319, NULL, 'PTHR37371', NULL, NULL, NULL, NULL, 'OS08G0180400 PROTEIN', NULL, NULL, NULL, 15),
(93320, NULL, 'PTHR48001:SF5', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(93321, NULL, 'PTHR23039:SF5', NULL, NULL, NULL, NULL, 'NANCE-HORAN SYNDROME PROTEIN', NULL, NULL, NULL, 15),
(93322, NULL, 'PTHR11005:SF137', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(93323, NULL, 'PTHR21738:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA PROCESSING PROTEIN 36 HOMOLOG', NULL, NULL, NULL, 15),
(93324, NULL, 'PTHR21580:SF28', NULL, NULL, NULL, NULL, 'AT18965P', NULL, NULL, NULL, 15),
(93325, NULL, 'PTHR10169:SF38', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2', NULL, NULL, NULL, 15),
(93326, NULL, 'PTHR31190:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93327, NULL, 'PTHR12299', NULL, NULL, NULL, NULL, 'HYALURONIC ACID-BINDING PROTEIN 4', NULL, NULL, 33793, 15),
(93328, NULL, 'PTHR20854:SF41', NULL, NULL, NULL, NULL, 'INOSITOL-1-MONOPHOSPHATASE', NULL, NULL, NULL, 15),
(93329, NULL, 'PTHR35712:SF1', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(93330, NULL, 'PTHR12868:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 9', NULL, NULL, NULL, 15),
(93331, NULL, 'PTHR14303:SF2', NULL, NULL, NULL, NULL, 'OS08G0163300 PROTEIN', NULL, NULL, NULL, 15),
(93332, NULL, 'PTHR48004:SF26', NULL, NULL, NULL, NULL, 'BNAC06G07650D PROTEIN', NULL, NULL, NULL, 15),
(93333, NULL, 'PTHR13296:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG17492', NULL, NULL, NULL, 15),
(93334, NULL, 'PTHR22835:SF622', NULL, NULL, NULL, NULL, 'GDSL LIPASE/ACYLHYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00510)-RELATED', NULL, NULL, NULL, 15),
(93335, NULL, 'PTHR10648:SF24', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 65 KDA REGULATORY SUBUNIT A BETA ISOFORM', NULL, NULL, NULL, 15),
(93336, NULL, 'PTHR22811:SF68', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24-LIKE', NULL, NULL, NULL, 15),
(93337, NULL, 'PTHR24023:SF1011', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXIV) CHAIN', NULL, NULL, NULL, 15),
(93338, NULL, 'PTHR45664:SF11', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B3', NULL, NULL, NULL, 15),
(93339, NULL, 'PTHR31851:SF42', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(93340, NULL, 'PTHR23299:SF12', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-4', NULL, NULL, NULL, 15),
(93341, NULL, 'PTHR32227:SF257', NULL, NULL, NULL, NULL, 'HYDROLASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93342, NULL, 'PTHR24320:SF33', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE BLI-4, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(93343, NULL, 'PTHR45647:SF64', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 33', NULL, NULL, NULL, 15),
(93344, NULL, 'PTHR23122:SF14', NULL, NULL, NULL, NULL, 'MAGUK P55 SUBFAMILY MEMBER 5', NULL, NULL, 26392, 15),
(93345, NULL, 'PTHR42948', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(93346, NULL, 'PTHR27003:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93347, NULL, 'PTHR31221:SF156', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', NULL, NULL, NULL, 15),
(93348, NULL, 'PTHR35827:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 32417, 15),
(93349, NULL, 'PTHR24075:SF9', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93350, NULL, 'PTHR42898:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93351, NULL, 'PTHR10629:SF11', NULL, NULL, NULL, NULL, 'C-5 CYTOSINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(93352, NULL, 'PTHR47847', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 17', NULL, NULL, 39491, 15),
(93353, NULL, 'PTHR41695:SF1', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN BRANCHING ENZYME RV3031-RELATED', NULL, NULL, NULL, 15),
(93354, NULL, 'PTHR34812', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN J', NULL, NULL, 2828, 15),
(93355, NULL, 'PTHR24023:SF878', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE XXVIII, ALPHA 1B-RELATED', NULL, NULL, NULL, 15),
(93356, NULL, 'PTHR37707:SF1', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST 9', NULL, NULL, NULL, 15),
(93357, NULL, 'PTHR42820:SF9', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(93358, NULL, 'PTHR31839:SF65', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1G', NULL, NULL, NULL, 15),
(93359, NULL, 'PTHR43742:SF6', NULL, NULL, NULL, NULL, 'TRIMETHYLAMINE-N-OXIDE REDUCTASE 2', NULL, NULL, NULL, 15),
(93360, NULL, 'PTHR23065:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93361, NULL, 'PTHR22751:SF166', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(93362, NULL, 'PTHR33676', NULL, NULL, NULL, NULL, 'COLD REGULATED PROTEIN 27', NULL, NULL, 36790, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93363, NULL, 'PTHR33928:SF2', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT3', NULL, NULL, NULL, 15),
(93364, NULL, 'PTHR23202:SF27', NULL, NULL, NULL, NULL, 'MULTI SEX COMBS, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(93365, NULL, 'PTHR46398:SF13', NULL, NULL, NULL, NULL, 'MONO-/DI-ACYLGLYCEROL LIPASE, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(93366, NULL, 'PTHR36161:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06375', NULL, NULL, NULL, 15),
(93367, NULL, 'PTHR33095:SF16', NULL, NULL, NULL, NULL, 'OS01G0253500 PROTEIN', NULL, NULL, NULL, 15),
(93368, NULL, 'PTHR22912:SF199', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(93369, NULL, 'PTHR11945:SF380', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 96', NULL, NULL, NULL, 15),
(93370, NULL, 'PTHR33919', NULL, NULL, NULL, NULL, 'OS09G0127700 PROTEIN', NULL, NULL, NULL, 15),
(93371, NULL, 'PTHR31717:SF86', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(93372, NULL, 'PTHR30518:SF2', NULL, NULL, NULL, NULL, 'ENDOLYTIC MUREIN TRANSGLYCOSYLASE', NULL, NULL, NULL, 15),
(93373, NULL, 'PTHR18875:SF8', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, 24491, 15),
(93374, NULL, 'PTHR24083:SF103', NULL, NULL, NULL, NULL, 'PROTEIN ULTRASPIRACLE', NULL, NULL, NULL, 15),
(93375, NULL, 'PTHR36067:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(93376, NULL, 'PTHR42919:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08989', NULL, NULL, NULL, 15),
(93377, NULL, 'PTHR31818:SF2', NULL, NULL, NULL, NULL, 'ROOT HAIR SPECIFIC 17', NULL, NULL, NULL, 15),
(93378, NULL, 'PTHR11353:SF208', NULL, NULL, NULL, NULL, 'BNAC03G41350D PROTEIN', NULL, NULL, NULL, 15),
(93379, NULL, 'PTHR14569', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 FAMILY MEMBER G6E', NULL, NULL, 33574, 15),
(93380, NULL, 'PTHR36466:SF1', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 15', NULL, NULL, NULL, 15),
(93381, NULL, 'PTHR31618:SF27', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(93382, NULL, 'PTHR33348:SF20', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP4', NULL, NULL, NULL, 15),
(93383, NULL, 'PTHR22600:SF38', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(93384, NULL, 'PTHR46214:SF25', NULL, NULL, NULL, NULL, 'BNAC04G54100D PROTEIN', NULL, NULL, NULL, 15),
(93385, NULL, 'PTHR10151:SF107', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(93386, NULL, 'PTHR30521:SF4', NULL, NULL, NULL, NULL, 'DEFERROCHELATASE/PEROXIDASE EFEB', NULL, NULL, NULL, 15),
(93387, NULL, 'PTHR36162:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93388, NULL, 'PTHR33324', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(93389, NULL, 'PTHR24373:SF264', NULL, NULL, NULL, NULL, 'NYCTALOPIN', NULL, NULL, NULL, 15),
(93390, NULL, 'PTHR10390:SF12', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX6', NULL, NULL, 26791, 15),
(93391, NULL, 'PTHR45751:SF28', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RGLG2', NULL, NULL, NULL, 15),
(93392, NULL, 'PTHR13120:SF1', NULL, NULL, NULL, NULL, 'PHF5-LIKE PROTEIN', NULL, NULL, NULL, 15),
(93393, NULL, 'PTHR23355:SF9', NULL, NULL, NULL, NULL, 'DIS3-LIKE EXONUCLEASE 2', NULL, NULL, NULL, 15),
(93394, NULL, 'PTHR43682', NULL, NULL, NULL, NULL, 'LACTATE UTILIZATION PROTEIN C', NULL, NULL, NULL, 15),
(93395, NULL, 'PTHR23353:SF20', NULL, NULL, NULL, NULL, 'AGAP003983-PA', NULL, NULL, NULL, 15),
(93396, NULL, 'PTHR22725:SF4', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN HOMOLOG 4', NULL, NULL, NULL, 15),
(93397, NULL, 'PTHR38002:SF1', NULL, NULL, NULL, NULL, 'C4ORF36 ISOFORM 11', NULL, NULL, NULL, 15),
(93398, NULL, 'PTHR38794:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93399, NULL, 'PTHR24377:SF863', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 583', NULL, NULL, NULL, 15),
(93400, NULL, 'PTHR19944:SF65', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DM BETA CHAIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93401, NULL, 'PTHR43267:SF1', NULL, NULL, NULL, NULL, 'TRNA THREONYLCARBAMOYLADENOSINE DEHYDRATASE', NULL, NULL, NULL, 15),
(93402, NULL, 'PTHR10055:SF13', NULL, NULL, NULL, NULL, 'BNAC01G39860D PROTEIN', NULL, NULL, NULL, 15),
(93403, NULL, 'PTHR46506', NULL, NULL, NULL, NULL, 'OS05G0143600 PROTEIN', NULL, NULL, NULL, 15),
(93404, NULL, 'PTHR31161:SF24', NULL, NULL, NULL, NULL, 'BNAA07G02160D PROTEIN', NULL, NULL, NULL, 15),
(93405, NULL, 'PTHR30523:SF37', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE', NULL, NULL, NULL, 15),
(93406, NULL, 'PTHR31318:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93407, NULL, 'PTHR10887:SF463', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', NULL, NULL, NULL, 15),
(93408, NULL, 'PTHR10978:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93409, NULL, 'PTHR31509:SF96', NULL, NULL, NULL, NULL, 'OS01G0875000 PROTEIN', NULL, NULL, NULL, 15),
(93410, NULL, 'PTHR12788', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE SULFOTRANSFERASE 2', NULL, NULL, 26541, 15),
(93411, NULL, 'PTHR23503:SF27', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 2', NULL, NULL, NULL, 15),
(93412, NULL, 'PTHR24256:SF513', NULL, NULL, NULL, NULL, 'AGAP004639-PA', NULL, NULL, NULL, 15),
(93413, NULL, 'PTHR21290:SF57', NULL, NULL, NULL, NULL, 'OSJNBA0035I04.2 PROTEIN', NULL, NULL, NULL, 15),
(93414, NULL, 'PTHR16675:SF187', NULL, NULL, NULL, NULL, 'HLA CLASS I HISTOCOMPATIBILITY ANTIGEN, ALPHA CHAIN F', NULL, NULL, NULL, 15),
(93415, NULL, 'PTHR43245:SF34', NULL, NULL, NULL, NULL, 'UDP-D-APIOSE/UDP-D-XYLOSE SYNTHASE 2-LIKE', NULL, NULL, NULL, 15),
(93416, NULL, 'PTHR23504:SF88', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY ANTIPORTER', NULL, NULL, NULL, 15),
(93417, NULL, 'PTHR23201:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93418, NULL, 'PTHR35775', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 242, 15),
(93419, NULL, 'PTHR37225:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0011F23.3 PROTEIN', NULL, NULL, NULL, 15),
(93420, NULL, 'PTHR47256:SF8', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(93421, NULL, 'PTHR35352:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 150', NULL, NULL, NULL, 15),
(93422, NULL, 'PTHR46942:SF1', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 15', NULL, NULL, NULL, 15),
(93423, NULL, 'PTHR23019:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR PORE MEMBRANE GLYCOPROTEIN 210', NULL, NULL, NULL, 15),
(93424, NULL, 'PTHR36863', NULL, NULL, NULL, NULL, 'SHIELDIN COMPLEX SUBUNIT 1', NULL, NULL, 22993, 15),
(93425, NULL, 'PTHR20515:SF1', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 130A-RELATED', NULL, NULL, NULL, 15),
(93426, NULL, 'PTHR22903:SF8', NULL, NULL, NULL, NULL, 'MAX-1A', NULL, NULL, NULL, 15),
(93427, NULL, 'PTHR31018:SF8', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(93428, NULL, 'PTHR13479:SF46', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S18A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(93429, NULL, 'PTHR31210:SF78', NULL, NULL, NULL, NULL, 'BNAA04G16360D PROTEIN', NULL, NULL, NULL, 15),
(93430, NULL, 'PTHR13477', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 39S RIBOSOMAL PROTEIN L49', NULL, NULL, 1477, 15),
(93431, NULL, 'PTHR45825:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93432, NULL, 'PTHR43180:SF44', NULL, NULL, NULL, NULL, 'SEX DETERMINATION PROTEIN TASSELSEED-2', NULL, NULL, NULL, 15),
(93433, NULL, 'PTHR11347:SF184', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(93434, NULL, 'PTHR23236:SF16', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 2', NULL, NULL, 19997, 15),
(93435, NULL, 'PTHR23409:SF20', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE SUBUNIT M2', NULL, NULL, NULL, 15),
(93436, NULL, 'PTHR24329:SF340', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ARISTALESS-LIKE 3', NULL, NULL, 33979, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93437, NULL, 'PTHR12587', NULL, NULL, NULL, NULL, 'LAR INTERACTING PROTEIN  LIP -RELATED PROTEIN', NULL, NULL, 22544, 15),
(93438, NULL, 'PTHR11216:SF142', NULL, NULL, NULL, NULL, 'BNAC07G15190D PROTEIN', NULL, NULL, NULL, 15),
(93439, NULL, 'PTHR24055:SF0', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(93440, NULL, 'PTHR43645:SF4', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(93441, NULL, 'PTHR12411:SF58', NULL, NULL, NULL, NULL, 'CATHEPSIN M-RELATED', NULL, NULL, NULL, 15),
(93442, NULL, 'PTHR18860:SF97', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN B', NULL, NULL, NULL, 15),
(93443, NULL, 'PTHR35084:SF1', NULL, NULL, NULL, NULL, 'TCF3 FUSION PARTNER', NULL, NULL, NULL, 15),
(93444, NULL, 'PTHR10075:SF51', NULL, NULL, NULL, NULL, 'DOWN SYNDROME CELL ADHESION MOLECULE', NULL, NULL, 30039, 15),
(93445, NULL, 'PTHR34792:SF1', NULL, NULL, NULL, NULL, 'OS02G0121500 PROTEIN', NULL, NULL, NULL, 15),
(93446, NULL, 'PTHR35346', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, 29023, 15),
(93447, NULL, 'PTHR43391:SF11', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G04850)', NULL, NULL, NULL, 15),
(93448, NULL, 'PTHR47424:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(93449, NULL, 'PTHR36896:SF2', NULL, NULL, NULL, NULL, 'OS01G0729500 PROTEIN', NULL, NULL, NULL, 15),
(93450, NULL, 'PTHR31992:SF178', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.7', NULL, NULL, NULL, 15),
(93451, NULL, 'PTHR23155:SF1087', NULL, NULL, NULL, NULL, 'OS11G0462900 PROTEIN', NULL, NULL, NULL, 15),
(93452, NULL, 'PTHR23201:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93453, NULL, 'PTHR21633', NULL, NULL, NULL, NULL, 'IQ MOTIF CONTAINING F', NULL, NULL, 29676, 15),
(93454, NULL, 'PTHR21645:SF17', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN C33H5.2-RELATED', NULL, NULL, NULL, 15),
(93455, NULL, 'PTHR47991:SF81', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 1', NULL, NULL, NULL, 15),
(93456, NULL, 'PTHR13355:SF11', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(93457, NULL, 'PTHR38682:SF1', NULL, NULL, NULL, NULL, 'V-TYPE ATP SYNTHASE SUBUNIT C', NULL, NULL, NULL, 15),
(93458, NULL, 'PTHR10924:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG07580', NULL, NULL, NULL, 15),
(93459, NULL, 'PTHR33829:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93460, NULL, 'PTHR30272:SF14', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-[ACYL-CARRIER-PROTEIN] DEHYDRATASE FABZ-LIKE', NULL, NULL, NULL, 15),
(93461, NULL, 'PTHR33877:SF2', NULL, NULL, NULL, NULL, 'SLL1193 PROTEIN', NULL, NULL, NULL, 15),
(93462, NULL, 'PTHR38011:SF2', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(93463, NULL, 'PTHR10209:SF782', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93464, NULL, 'PTHR45544:SF1', NULL, NULL, NULL, NULL, 'THIOSULFATE:GLUTATHIONE SULFURTRANSFERASE', NULL, NULL, NULL, 15),
(93465, NULL, 'PTHR12161:SF67', NULL, NULL, NULL, NULL, 'BNAC03G44120D PROTEIN', NULL, NULL, NULL, 15),
(93466, NULL, 'PTHR31346:SF16', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(93467, NULL, 'PTHR15286:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93468, NULL, 'PTHR48046:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(93469, NULL, 'PTHR42760:SF37', NULL, NULL, NULL, NULL, 'CLAVALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(93470, NULL, 'PTHR12313:SF80', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA1H1-LIKE', NULL, NULL, NULL, 15),
(93471, NULL, 'PTHR30106:SF1', NULL, NULL, NULL, NULL, 'UPF0324 MEMBRANE PROTEIN FN0533', NULL, NULL, NULL, 15),
(93472, NULL, 'PTHR10288:SF179', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN K', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93473, NULL, 'PTHR31744:SF127', NULL, NULL, NULL, NULL, 'BNAC03G23960D PROTEIN', NULL, NULL, NULL, 15),
(93474, NULL, 'PTHR43176:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93475, NULL, 'PTHR24067:SF286', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 3', NULL, NULL, NULL, 15),
(93476, NULL, 'PTHR47338:SF7', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(93477, NULL, 'PTHR14165:SF3', NULL, NULL, NULL, NULL, 'MAJOR VAULT PROTEIN', NULL, NULL, NULL, 15),
(93478, NULL, 'PTHR28657:SF4', NULL, NULL, NULL, NULL, 'INDOLEAMINE 2,3-DIOXYGENASE 2', NULL, NULL, NULL, 15),
(93479, NULL, 'PTHR12224:SF10', NULL, NULL, NULL, NULL, 'BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(93480, NULL, 'PTHR11452:SF73', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(93481, NULL, 'PTHR11926:SF1093', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 74E2-LIKE', NULL, NULL, NULL, 15),
(93482, NULL, 'PTHR23023:SF251', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(93483, NULL, 'PTHR33353:SF6', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE IV', NULL, NULL, NULL, 15),
(93484, NULL, 'PTHR21600:SF73', NULL, NULL, NULL, NULL, 'PSEUDOURIDYLATE SYNTHASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93485, NULL, 'PTHR48001:SF157', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(93486, NULL, 'PTHR32161:SF19', NULL, NULL, NULL, NULL, 'DPP6 AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(93487, NULL, 'PTHR46885:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ANKUB1', NULL, NULL, NULL, 15),
(93488, NULL, 'PTHR43270:SF4', NULL, NULL, NULL, NULL, 'RE11562P', NULL, NULL, NULL, 15),
(93489, NULL, 'PTHR10891:SF893', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(93490, NULL, 'PTHR11017:SF250', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(93491, NULL, 'PTHR23316:SF6', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-4', NULL, NULL, NULL, 15),
(93492, NULL, 'PTHR19944:SF44', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DO ALPHA CHAIN', NULL, NULL, NULL, 15),
(93493, NULL, 'PTHR24320:SF194', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', NULL, NULL, NULL, 15),
(93494, NULL, 'PTHR13225:SF3', NULL, NULL, NULL, NULL, 'UPF0489 PROTEIN C5ORF22', NULL, NULL, NULL, 15),
(93495, NULL, 'PTHR33271:SF16', NULL, NULL, NULL, NULL, 'OS04G0509400 PROTEIN', NULL, NULL, NULL, 15),
(93496, NULL, 'PTHR18896:SF132', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D BETA 1', NULL, NULL, NULL, 15),
(93497, NULL, 'PTHR23070:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93498, NULL, 'PTHR46793', NULL, NULL, NULL, NULL, '1700018F24RIK PROTEIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(93499, NULL, 'PTHR31232:SF53', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 29-RELATED', NULL, NULL, NULL, 15),
(93500, NULL, 'PTHR23177:SF33', NULL, NULL, NULL, NULL, 'OS01G0967200 PROTEIN', NULL, NULL, NULL, 15),
(93501, NULL, 'PTHR10502:SF175', NULL, NULL, NULL, NULL, 'ANNEXIN A13', NULL, NULL, NULL, 15),
(93502, NULL, 'PTHR46149:SF5', NULL, NULL, NULL, NULL, 'RAS, DEXAMETHASONE-INDUCED 1', NULL, NULL, NULL, 15),
(93503, NULL, 'PTHR10593:SF162', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 1', NULL, NULL, NULL, 15),
(93504, NULL, 'PTHR33052:SF4', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(93505, NULL, 'PTHR24356:SF136', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED SERINE/THREONINE-PROTEIN KINASE 2', NULL, NULL, 26591, 15),
(93506, NULL, 'PTHR31509:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93507, NULL, 'PTHR12419', NULL, NULL, NULL, NULL, 'OTU DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(93508, NULL, 'PTHR22763:SF169', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SYNOVIOLIN', NULL, NULL, 22315, 15),
(93509, NULL, 'PTHR10887:SF487', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 23011, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93510, NULL, 'PTHR31908:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CROWDED NUCLEI 2', NULL, NULL, NULL, 15),
(93511, NULL, 'PTHR24343:SF335', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN DEPENDENT PROTEIN KINASE KINASE 2', NULL, NULL, NULL, 15),
(93512, NULL, 'PTHR23277:SF12', NULL, NULL, NULL, NULL, 'NECTIN-3', NULL, NULL, 32650, 15),
(93513, NULL, 'PTHR13693:SF81', NULL, NULL, NULL, NULL, 'LONG CHAIN BASE BIOSYNTHESIS PROTEIN 2A', NULL, NULL, NULL, 15),
(93514, NULL, 'PTHR22633:SF2', NULL, NULL, NULL, NULL, 'NEURONAL TYROSINE-PHOSPHORYLATED PHOSPHOINOSITIDE-3-KINASE ADAPTER 1', NULL, NULL, 22073, 15),
(93515, NULL, 'PTHR24960:SF76', NULL, NULL, NULL, NULL, 'THYLAKOID-ASSOCIATED PROTEIN SLL1697', NULL, NULL, NULL, 15),
(93516, NULL, 'PTHR10024:SF218', NULL, NULL, NULL, NULL, 'FI18813P1-RELATED', NULL, NULL, NULL, 15),
(93517, NULL, 'PTHR24296:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93518, NULL, 'PTHR37238', NULL, NULL, NULL, NULL, 'OS05G0532500 PROTEIN', NULL, NULL, NULL, 15),
(93519, NULL, 'PTHR11571:SF107', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE A3', NULL, NULL, NULL, 15),
(93520, NULL, 'PTHR14154:SF79', NULL, NULL, NULL, NULL, 'LHC-RELATED PROTEIN', NULL, NULL, NULL, 15),
(93521, NULL, 'PTHR31172:SF4', NULL, NULL, NULL, NULL, 'STOMATAL CLOSURE-RELATED ACTIN-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(93522, NULL, 'PTHR11206:SF362', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(93523, NULL, 'PTHR31223:SF69', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15),
(93524, NULL, 'PTHR42663:SF10', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE/OXIDOREDUCTASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(93525, NULL, 'PTHR10836:SF58', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE 1, CYTOSOLIC', NULL, NULL, NULL, 15),
(93526, NULL, 'PTHR30548:SF5', NULL, NULL, NULL, NULL, 'SUBUNIT OF OXYGEN-SENSITIVE 2-HYDROXYISOCAPROYL-COA DEHYDRATASE', NULL, NULL, NULL, 15),
(93527, NULL, 'PTHR14379:SF47', NULL, NULL, NULL, NULL, 'BNAC01G42930D PROTEIN', NULL, NULL, NULL, 15),
(93528, NULL, 'PTHR36455:SF1', NULL, NULL, NULL, NULL, 'BLR8292 PROTEIN', NULL, NULL, NULL, 15),
(93529, NULL, 'PTHR31471:SF75', NULL, NULL, NULL, NULL, 'REMORIN-RELATED', NULL, NULL, NULL, 15),
(93530, NULL, 'PTHR12357:SF104', NULL, NULL, NULL, NULL, 'BNAC04G24940D PROTEIN', NULL, NULL, NULL, 15),
(93531, NULL, 'PTHR22960:SF24', NULL, NULL, NULL, NULL, 'CYCLIC PYRANOPTERIN MONOPHOSPHATE SYNTHASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(93532, NULL, 'PTHR24377:SF712', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 472', NULL, NULL, NULL, 15),
(93533, NULL, 'PTHR48034:SF5', NULL, NULL, NULL, NULL, 'COLD-INDUCIBLE RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(93534, NULL, 'PTHR41771:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(93535, NULL, 'PTHR13723:SF37', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 5', NULL, NULL, NULL, 15),
(93536, NULL, 'PTHR33669:SF14', NULL, NULL, NULL, NULL, 'PROTEIN NIM1-INTERACTING 3-LIKE', NULL, NULL, NULL, 15),
(93537, NULL, 'PTHR11143:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93538, NULL, 'PTHR48024:SF27', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(93539, NULL, 'PTHR10880:SF39', NULL, NULL, NULL, NULL, 'PROTEIN MRG1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(93540, NULL, 'PTHR26450:SF59', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(93541, NULL, 'PTHR33744:SF11', NULL, NULL, NULL, NULL, 'REGULATOR-RELATED', NULL, NULL, NULL, 15),
(93542, NULL, 'PTHR12329:SF2', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 5', NULL, NULL, NULL, 15),
(93543, NULL, 'PTHR36335', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(93544, NULL, 'PTHR31845:SF27', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93545, NULL, 'PTHR47981:SF19', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-7B', NULL, NULL, NULL, 15),
(93546, NULL, 'PTHR36025:SF1', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE (DUF3598)', NULL, NULL, NULL, 15),
(93547, NULL, 'PTHR24099:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93548, NULL, 'PTHR48018:SF171', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(93549, NULL, 'PTHR46764', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BAH1', NULL, NULL, 35478, 15),
(93550, NULL, 'PTHR33727:SF5', NULL, NULL, NULL, NULL, 'OS07G0446900 PROTEIN', NULL, NULL, NULL, 15),
(93551, NULL, 'PTHR23164:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93552, NULL, 'PTHR31509:SF122', NULL, NULL, NULL, NULL, 'BNAA09G00040D PROTEIN', NULL, NULL, NULL, 15),
(93553, NULL, 'PTHR31009:SF51', NULL, NULL, NULL, NULL, 'SALICYLATE CARBOXYMETHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(93554, NULL, 'PTHR12460:SF0', NULL, NULL, NULL, NULL, 'POL II C-TERMINAL INTERACTION DOMAIN SUPPRESSOR', NULL, NULL, NULL, 15),
(93555, NULL, 'PTHR24240:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93556, NULL, 'PTHR13250:SF1', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 10', NULL, NULL, NULL, 15),
(93557, NULL, 'PTHR47624', NULL, NULL, NULL, NULL, 'OS01G0204900 PROTEIN', NULL, NULL, NULL, 15),
(93558, NULL, 'PTHR36140:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93559, NULL, 'PTHR33142:SF50', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR10', NULL, NULL, NULL, 15),
(93560, NULL, 'PTHR23089:SF46', NULL, NULL, NULL, NULL, 'ADENYLYLSULFATASE HINT1', NULL, NULL, NULL, 15),
(93561, NULL, 'PTHR24177:SF248', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93562, NULL, 'PTHR23073:SF113', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 8', NULL, NULL, NULL, 15),
(93563, NULL, 'PTHR47884', NULL, NULL, NULL, NULL, 'PROSTATE AND TESTIS EXPRESSED PROTEIN 2', NULL, NULL, 27219, 15),
(93564, NULL, 'PTHR46610:SF15', NULL, NULL, NULL, NULL, 'OS05G0181300 PROTEIN', NULL, NULL, NULL, 15),
(93565, NULL, 'PTHR11783:SF245', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(93566, NULL, 'PTHR33074:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93567, NULL, 'PTHR33191:SF44', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93568, NULL, 'PTHR16926', NULL, NULL, NULL, NULL, 'INTERLEUKIN 9', NULL, NULL, 20399, 15),
(93569, NULL, 'PTHR36321:SF14', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(93570, NULL, 'PTHR31495:SF31', NULL, NULL, NULL, NULL, 'BNAC02G20100D PROTEIN', NULL, NULL, NULL, 15),
(93571, NULL, 'PTHR42837:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE METALLOPROTEASE ARASP, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(93572, NULL, 'PTHR10615:SF120', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN DPF3', NULL, NULL, 34794, 15),
(93573, NULL, 'PTHR36127:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93574, NULL, 'PTHR33021:SF327', NULL, NULL, NULL, NULL, 'BNAA07G36670D PROTEIN', NULL, NULL, NULL, 15),
(93575, NULL, 'PTHR30602:SF12', NULL, NULL, NULL, NULL, 'AMINO-ACID ACETYLTRANSFERASE NAGS1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(93576, NULL, 'PTHR24379:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 563', NULL, NULL, NULL, 15),
(93577, NULL, 'PTHR35546:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93578, NULL, 'PTHR24349:SF287', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 16', NULL, NULL, NULL, 15),
(93579, NULL, 'PTHR45967:SF18', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER (BZIP) TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(93580, NULL, 'PTHR11208:SF115', NULL, NULL, NULL, NULL, 'STAR PROTEIN, HOMODIMERIZATION REGION-RELATED', NULL, NULL, NULL, 15),
(93581, NULL, 'PTHR45642:SF97', NULL, NULL, NULL, NULL, 'BNAC04G13080D PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93582, NULL, 'PTHR27002:SF563', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(93583, NULL, 'PTHR39670', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93584, NULL, 'PTHR11349:SF91', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(93585, NULL, 'PTHR31480:SF22', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 15-CIS-PHYTOENE SYNTHASE, CHROMOPLASTIC-RELATED', NULL, NULL, NULL, 15),
(93586, NULL, 'PTHR47993:SF158', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(93587, NULL, 'PTHR31190:SF267', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(93588, NULL, 'PTHR14047:SF30', NULL, NULL, NULL, NULL, 'G ANTIGEN 1-RELATED', NULL, NULL, NULL, 15),
(93589, NULL, 'PTHR11439:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93590, NULL, 'PTHR24023:SF539', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(V) CHAIN', NULL, NULL, NULL, 15),
(93591, NULL, 'PTHR32054:SF4', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE', NULL, NULL, NULL, 15),
(93592, NULL, 'PTHR31791:SF58', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(93593, NULL, 'PTHR13999:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93594, NULL, 'PTHR20886:SF8', NULL, NULL, NULL, NULL, 'VANG-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(93595, NULL, 'PTHR26453:SF662', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(93596, NULL, 'PTHR40590:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(93597, NULL, 'PTHR48048:SF17', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(93598, NULL, 'PTHR21497:SF38', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(93599, NULL, 'PTHR13281:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 70, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(93600, NULL, 'PTHR42869', NULL, NULL, NULL, NULL, 'SLL0572 PROTEIN', NULL, NULL, NULL, 15),
(93601, NULL, 'PTHR47863:SF2', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN WITH RING/FYVE/PHD-TYPE ZINC FINGER DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(93602, NULL, 'PTHR23119:SF28', NULL, NULL, NULL, NULL, 'DISKS LARGE HOMOLOG 3', NULL, NULL, NULL, 15),
(93603, NULL, 'PTHR31218:SF15', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(93604, NULL, 'PTHR33248:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93605, NULL, 'PTHR10334:SF275', NULL, NULL, NULL, NULL, 'GLIOMA PATHOGENESIS-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(93606, NULL, 'PTHR23063:SF13', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDYLCHOLINE ACYLTRANSFERASE 2B', NULL, NULL, NULL, 15),
(93607, NULL, 'PTHR31218:SF207', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(93608, NULL, 'PTHR34674:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:DIACYLGLYCEROL CHOLINEPHOSPHOTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(93609, NULL, 'PTHR33070:SF46', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(93610, NULL, 'PTHR46832:SF2', NULL, NULL, NULL, NULL, 'FUTALOSINE HYDROLASE', NULL, NULL, NULL, 15),
(93611, NULL, 'PTHR13935:SF102', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH55', NULL, NULL, NULL, 15),
(93612, NULL, 'PTHR16082:SF2', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT MU-1', NULL, NULL, NULL, 15),
(93613, NULL, 'PTHR11909:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG23007', NULL, NULL, NULL, 15),
(93614, NULL, 'PTHR12231:SF157', NULL, NULL, NULL, NULL, 'DPR-INTERACTING PROTEIN EPSILON-RELATED', NULL, NULL, NULL, 15),
(93615, NULL, 'PTHR45863:SF39', NULL, NULL, NULL, NULL, 'BNAA09G08960D PROTEIN', NULL, NULL, NULL, 15),
(93616, NULL, 'PTHR27004:SF391', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 20', NULL, NULL, NULL, 15),
(93617, NULL, 'PTHR10663:SF360', NULL, NULL, NULL, NULL, 'SEC7 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(93618, NULL, 'PTHR30373:SF7', NULL, NULL, NULL, NULL, 'UPF0603 PROTEIN YGCG', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93619, NULL, 'PTHR42898:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93620, NULL, 'PTHR11477:SF39', NULL, NULL, NULL, NULL, 'BNAA05G34790D PROTEIN', NULL, NULL, NULL, 15),
(93621, NULL, 'PTHR11849:SF201', NULL, NULL, NULL, NULL, 'ETS DNA-BINDING PROTEIN POKKURI', NULL, NULL, 34670, 15),
(93622, NULL, 'PTHR21495:SF145', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 22-RELATED', NULL, NULL, NULL, 15),
(93623, NULL, 'PTHR10992:SF872', NULL, NULL, NULL, NULL, 'METHYLESTERASE 11, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(93624, NULL, 'PTHR31621:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93625, NULL, 'PTHR32212:SF323', NULL, NULL, NULL, NULL, 'BNAANNG21920D PROTEIN', NULL, NULL, NULL, 15),
(93626, NULL, 'PTHR45621:SF85', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(93627, NULL, 'PTHR12416', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(93628, NULL, 'PTHR47368:SF3', NULL, NULL, NULL, NULL, 'NUMB, ENDOCYTIC ADAPTOR PROTEIN', NULL, NULL, NULL, 15),
(93629, NULL, 'PTHR31453', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 236', NULL, NULL, 19505, 15),
(93630, NULL, 'PTHR15544', NULL, NULL, NULL, NULL, 'OSMOSIS RESPONSIVE FACTOR', NULL, NULL, NULL, 15),
(93631, NULL, 'PTHR44259:SF26', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(93632, NULL, 'PTHR12107:SF6', NULL, NULL, NULL, NULL, 'STARGAZIN (MAMMALIAN CALCIUM CHANNEL) HOMOLOG', NULL, NULL, NULL, 15),
(93633, NULL, 'PTHR10015:SF359', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-1', NULL, NULL, NULL, 15),
(93634, NULL, 'PTHR45651', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 15-RELATED-RELATED', NULL, NULL, NULL, 15),
(93635, NULL, 'PTHR13806:SF31', NULL, NULL, NULL, NULL, 'FLOTILLIN-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(93636, NULL, 'PTHR11618:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IIIB 50 KDA SUBUNIT', NULL, NULL, NULL, 15),
(93637, NULL, 'PTHR10827:SF17', NULL, NULL, NULL, NULL, 'RETICULOCALBIN-1', NULL, NULL, NULL, 15),
(93638, NULL, 'PTHR11334', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR', NULL, NULL, 28767, 15),
(93639, NULL, 'PTHR48056:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93640, NULL, 'PTHR31282:SF87', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 27-RELATED', NULL, NULL, NULL, 15),
(93641, NULL, 'PTHR19211:SF95', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER F FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(93642, NULL, 'PTHR43691:SF2', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PHOSPHORYLASE DEOD-TYPE', NULL, NULL, 5784, 15),
(93643, NULL, 'PTHR15744:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93644, NULL, 'PTHR47989:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', NULL, NULL, NULL, 15),
(93645, NULL, 'PTHR22605:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF213', NULL, NULL, NULL, 15),
(93646, NULL, 'PTHR24045', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93647, NULL, 'PTHR11102:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93648, NULL, 'PTHR36863:SF1', NULL, NULL, NULL, NULL, 'SHIELDIN COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(93649, NULL, 'PTHR12080:SF93', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(93650, NULL, 'PTHR45023', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93651, NULL, 'PTHR11606:SF35', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(93652, NULL, 'PTHR31198:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 84', NULL, NULL, NULL, 15),
(93653, NULL, 'PTHR33564:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93654, NULL, 'PTHR31181:SF54', NULL, NULL, NULL, NULL, 'CYSTEINE RICH PEPTIDE-RELATED', NULL, NULL, NULL, 15),
(93655, NULL, 'PTHR31246:SF26', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-2-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93656, NULL, 'PTHR31232:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93657, NULL, 'PTHR47997:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB46', NULL, NULL, NULL, 15),
(93658, NULL, 'PTHR12358:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93659, NULL, 'PTHR10131:SF76', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 3', NULL, NULL, 26586, 15),
(93660, NULL, 'PTHR15157:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93661, NULL, 'PTHR46163:SF13', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(93662, NULL, 'PTHR47701', NULL, NULL, NULL, NULL, 'PROTEIN MODIFIER OF SNC1 11', NULL, NULL, 37135, 15),
(93663, NULL, 'PTHR36081', NULL, NULL, NULL, NULL, 'CELL WALL INTEGRITY/STRESS RESPONSE COMPONENT', NULL, NULL, NULL, 15),
(93664, NULL, 'PTHR27009:SF97', NULL, NULL, NULL, NULL, 'OS01G0138300 PROTEIN', NULL, NULL, NULL, 15),
(93665, NULL, 'PTHR40661', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93666, NULL, 'PTHR46044', NULL, NULL, NULL, NULL, 'NITRILASE', NULL, NULL, 36800, 15),
(93667, NULL, 'PTHR41733:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED/TRANSLATION ELONGATION FACTOR EF1B, N-TERMINAL, EUKARYOTE', NULL, NULL, NULL, 15),
(93668, NULL, 'PTHR43903:SF16', NULL, NULL, NULL, NULL, 'GH07829P', NULL, NULL, NULL, 15),
(93669, NULL, 'PTHR31062:SF58', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(93670, NULL, 'PTHR43134:SF3', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHESIS PROTEIN FLHF', NULL, NULL, 17047, 15),
(93671, NULL, 'PTHR12634:SF31', NULL, NULL, NULL, NULL, 'BNAC01G24190D PROTEIN', NULL, NULL, NULL, 15),
(93672, NULL, 'PTHR32468:SF82', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE', NULL, NULL, NULL, 15),
(93673, NULL, 'PTHR31218:SF339', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(93674, NULL, 'PTHR10795:SF638', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.4', NULL, NULL, NULL, 15),
(93675, NULL, 'PTHR31479:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93676, NULL, 'PTHR10638:SF63', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(93677, NULL, 'PTHR16223:SF200', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UNE12-RELATED', NULL, NULL, NULL, 15),
(93678, NULL, 'PTHR23515:SF20', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER 2.6', NULL, NULL, NULL, 15),
(93679, NULL, 'PTHR10380:SF109', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 49AH', NULL, NULL, NULL, 15),
(93680, NULL, 'PTHR33601:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93681, NULL, 'PTHR22891:SF66', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE-2', NULL, NULL, NULL, 15),
(93682, NULL, 'PTHR24070:SF407', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93683, NULL, 'PTHR22945:SF22', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(93684, NULL, 'PTHR10496:SF12', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', NULL, NULL, NULL, 15),
(93685, NULL, 'PTHR13140:SF730', NULL, NULL, NULL, NULL, 'MYOSIN XVI', NULL, NULL, NULL, 15),
(93686, NULL, 'PTHR12411:SF765', NULL, NULL, NULL, NULL, 'BNAA08G02620D PROTEIN', NULL, NULL, NULL, 15),
(93687, NULL, 'PTHR34271:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR HISTONE METHYLTRANSFERASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(93688, NULL, 'PTHR45644:SF19', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 1-B-LIKE', NULL, NULL, NULL, 15),
(93689, NULL, 'PTHR14381:SF1', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(93690, NULL, 'PTHR37173:SF1', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(93691, NULL, 'PTHR32212:SF248', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX', NULL, NULL, NULL, 15),
(93692, NULL, 'PTHR24343:SF432', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE YPL150W-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93693, NULL, 'PTHR20899:SF1', NULL, NULL, NULL, NULL, 'GEO10781P1', NULL, NULL, NULL, 15),
(93694, NULL, 'PTHR19836:SF28', NULL, NULL, NULL, NULL, 'BNAA04G20220D PROTEIN', NULL, NULL, NULL, 15),
(93695, NULL, 'PTHR24061:SF508', NULL, NULL, NULL, NULL, 'VOMERONASAL 2 RECEPTOR, X1', NULL, NULL, NULL, 15),
(93696, NULL, 'PTHR20952:SF0', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE 6 INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(93697, NULL, 'PTHR11183:SF118', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 1', NULL, NULL, NULL, 15),
(93698, NULL, 'PTHR12956:SF68', NULL, NULL, NULL, NULL, 'BNAA02G24370D PROTEIN', NULL, NULL, NULL, 15),
(93699, NULL, 'PTHR10369:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93700, NULL, 'PTHR23348:SF16', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(93701, NULL, 'PTHR48053:SF26', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(93702, NULL, 'PTHR45613:SF441', NULL, NULL, NULL, NULL, 'OS02G0226900 PROTEIN', NULL, NULL, NULL, 15),
(93703, NULL, 'PTHR11771:SF127', NULL, NULL, NULL, NULL, 'LIPOXYGENASE 7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(93704, NULL, 'PTHR10108:SF1084', NULL, NULL, NULL, NULL, 'PMT16, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93705, NULL, 'PTHR11559:SF174', NULL, NULL, NULL, NULL, 'PYRETHROID HYDROLASE CES2A', NULL, NULL, NULL, 15),
(93706, NULL, 'PTHR47965:SF49', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(93707, NULL, 'PTHR31374:SF52', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN-RELATED-LIKE PROTEIN', NULL, NULL, NULL, 15),
(93708, NULL, 'PTHR46277:SF13', NULL, NULL, NULL, NULL, 'SEMIALDEHYDE DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93709, NULL, 'PTHR34777:SF3', NULL, NULL, NULL, NULL, 'OS06G0530600 PROTEIN', NULL, NULL, NULL, 15),
(93710, NULL, 'PTHR43208:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(93711, NULL, 'PTHR47979:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93712, NULL, 'PTHR46348:SF1', NULL, NULL, NULL, NULL, 'DELETED IN LUNG AND ESOPHAGEAL CANCER PROTEIN 1', NULL, NULL, NULL, 15),
(93713, NULL, 'PTHR46007:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 12', NULL, NULL, NULL, 15),
(93714, NULL, 'PTHR46144:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER MATRIN-TYPE PROTEIN 4', NULL, NULL, NULL, 15),
(93715, NULL, 'PTHR33077:SF46', NULL, NULL, NULL, NULL, 'JASMONATE ZIM-DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(93716, NULL, 'PTHR13345', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 10', NULL, NULL, NULL, 15),
(93717, NULL, 'PTHR46667:SF7', NULL, NULL, NULL, NULL, 'BNAC09G21060D PROTEIN', NULL, NULL, NULL, 15),
(93718, NULL, 'PTHR10265:SF45', NULL, NULL, NULL, NULL, 'DACAPO', NULL, NULL, NULL, 15),
(93719, NULL, 'PTHR46183', NULL, NULL, NULL, NULL, 'PROTEIN CLMP1', NULL, NULL, 39353, 15),
(93720, NULL, 'PTHR48013:SF4', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE MEK-1', NULL, NULL, NULL, 15),
(93721, NULL, 'PTHR32089:SF94', NULL, NULL, NULL, NULL, 'CHEMOTAXIS SIGNAL TRANSDUCTION SYSTEM METHYL ACCEPTING SENSORY TRANSDUCER WITH PAS SENSORY DOMAIN', NULL, NULL, NULL, 15),
(93722, NULL, 'PTHR44006:SF1', NULL, NULL, NULL, NULL, 'U5 SMALL NUCLEAR RIBONUCLEOPROTEIN 40 KDA PROTEIN', NULL, NULL, NULL, 15),
(93723, NULL, 'PTHR10177:SF198', NULL, NULL, NULL, NULL, 'CYCLIN B', NULL, NULL, NULL, 15),
(93724, NULL, 'PTHR24298:SF603', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A26', NULL, NULL, NULL, 15),
(93725, NULL, 'PTHR24349:SF357', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 4', NULL, NULL, NULL, 15),
(93726, NULL, 'PTHR16296:SF3', NULL, NULL, NULL, NULL, 'COMPLEX I ASSEMBLY FACTOR TMEM126B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(93727, NULL, 'PTHR43018:SF1', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', NULL, NULL, NULL, 15),
(93728, NULL, 'PTHR11489:SF26', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA-1', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93729, NULL, 'PTHR31677', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(93730, NULL, 'PTHR37481', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE EXPORT SYSTEM PROTEIN LPTC', NULL, NULL, NULL, 15),
(93731, NULL, 'PTHR33179:SF64', NULL, NULL, NULL, NULL, 'OS11G0131100 PROTEIN', NULL, NULL, NULL, 15),
(93732, NULL, 'PTHR23024:SF533', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93733, NULL, 'PTHR23170:SF2', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 83 KDA', NULL, NULL, 24722, 15),
(93734, NULL, 'PTHR11604:SF2', NULL, NULL, NULL, NULL, 'PROFILIN-4', NULL, NULL, NULL, 15),
(93735, NULL, 'PTHR23086:SF127', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(93736, NULL, 'PTHR13041:SF3', NULL, NULL, NULL, NULL, 'PROTEIN JTB', NULL, NULL, NULL, 15),
(93737, NULL, 'PTHR31447:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93738, NULL, 'PTHR24296:SF146', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', NULL, NULL, NULL, 15),
(93739, NULL, 'PTHR31042:SF87', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(93740, NULL, 'PTHR42733:SF4', NULL, NULL, NULL, NULL, 'PROTEINASE', NULL, NULL, NULL, 15),
(93741, NULL, 'PTHR37849:SF1', NULL, NULL, NULL, NULL, 'YALI0E11605P', NULL, NULL, NULL, 15),
(93742, NULL, 'PTHR27005:SF363', NULL, NULL, NULL, NULL, 'OS10G0141300 PROTEIN', NULL, NULL, NULL, 15),
(93743, NULL, 'PTHR31350:SF23', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE', NULL, NULL, NULL, 15),
(93744, NULL, 'PTHR10965', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L38', NULL, NULL, 2526, 15),
(93745, NULL, 'PTHR23255:SF71', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN SERINE/THREONINE KINASE', NULL, NULL, NULL, 15),
(93746, NULL, 'PTHR24286:SF256', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(93747, NULL, 'PTHR15193', NULL, NULL, NULL, NULL, 'CD83 ANTIGEN', NULL, NULL, NULL, 15),
(93748, NULL, 'PTHR45964:SF2', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(93749, NULL, 'PTHR46495:SF2', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 18', NULL, NULL, NULL, 15),
(93750, NULL, 'PTHR48011:SF8', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE', NULL, NULL, NULL, 15),
(93751, NULL, 'PTHR46758', NULL, NULL, NULL, NULL, 'MYND DOMAIN-CONTAINING', NULL, NULL, 37466, 15),
(93752, NULL, 'PTHR11941:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93753, NULL, 'PTHR46652:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(93754, NULL, 'PTHR48004:SF23', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(93755, NULL, 'PTHR10921:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR DISTRIBUTION PROTEIN NUDE-LIKE 1', NULL, NULL, 30031, 15),
(93756, NULL, 'PTHR43829:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93757, NULL, 'PTHR11092:SF0', NULL, NULL, NULL, NULL, 'EPIMERASE FAMILY PROTEIN SDR39U1', NULL, NULL, NULL, 15),
(93758, NULL, 'PTHR48049:SF15', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(93759, NULL, 'PTHR47032:SF1', NULL, NULL, NULL, NULL, 'UDP-D-XYLOSE:L-FUCOSE ALPHA-1,3-D-XYLOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(93760, NULL, 'PTHR11877:SF53', NULL, NULL, NULL, NULL, 'TYPE III POLYKETIDE SYNTHASE C', NULL, NULL, NULL, 15),
(93761, NULL, 'PTHR33426:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93762, NULL, 'PTHR45757:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG03300', NULL, NULL, NULL, 15),
(93763, NULL, 'PTHR33159', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', NULL, NULL, 29054, 15),
(93764, NULL, 'PTHR23213:SF365', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(93765, NULL, 'PTHR31169:SF26', NULL, NULL, NULL, NULL, 'BNAC06G12650D PROTEIN', NULL, NULL, NULL, 15),
(93766, NULL, 'PTHR45875:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93767, NULL, 'PTHR33646:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93768, NULL, 'PTHR16501:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION FACTOR', NULL, NULL, NULL, 15),
(93769, NULL, 'PTHR11538:SF89', NULL, NULL, NULL, NULL, 'BNAA01G35280D PROTEIN', NULL, NULL, NULL, 15),
(93770, NULL, 'PTHR11449:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93771, NULL, 'PTHR33543:SF27', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 4B', NULL, NULL, NULL, 15),
(93772, NULL, 'PTHR11774:SF13', NULL, NULL, NULL, NULL, 'GERANYLGERANYL TRANSFERASE TYPE-2 SUBUNIT BETA', NULL, NULL, NULL, 15),
(93773, NULL, 'PTHR24240:SF58', NULL, NULL, NULL, NULL, 'OPSIN RH5', NULL, NULL, NULL, 15),
(93774, NULL, 'PTHR11374:SF53', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(93775, NULL, 'PTHR23257:SF851', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93776, NULL, 'PTHR11926:SF1347', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93777, NULL, 'PTHR11958:SF46', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT EXCITATORY AMINO ACID TRANSPORTER GLT-3-RELATED', NULL, NULL, NULL, 15),
(93778, NULL, 'PTHR43081', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE, TERMINAL-DIFFERENTIATION SPECIFIC-RELATED', NULL, NULL, NULL, 15),
(93779, NULL, 'PTHR11236:SF18', NULL, NULL, NULL, NULL, 'AMINODEOXYCHORISMATE SYNTHASE', NULL, NULL, NULL, 15),
(93780, NULL, 'PTHR33133:SF32', NULL, NULL, NULL, NULL, 'CYTOSOLIC FE-S CLUSTER ASSEMBLY FACTOR NBP35', NULL, NULL, NULL, 15),
(93781, NULL, 'PTHR13140:SF745', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-VI', NULL, NULL, NULL, 15),
(93782, NULL, 'PTHR23138:SF150', NULL, NULL, NULL, NULL, 'BNAC05G04930D PROTEIN', NULL, NULL, NULL, 15),
(93783, NULL, 'PTHR43289:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93784, NULL, 'PTHR23201:SF102', NULL, NULL, NULL, NULL, 'BNAC02G23510D PROTEIN', NULL, NULL, NULL, 15),
(93785, NULL, 'PTHR31104:SF19', NULL, NULL, NULL, NULL, 'AMIDASE A, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93786, NULL, 'PTHR47956:SF70', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B21', NULL, NULL, NULL, 15),
(93787, NULL, 'PTHR31673:SF36', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(93788, NULL, 'PTHR10528', NULL, NULL, NULL, NULL, 'AF4/FMR2 FAMILY MEMBER', NULL, NULL, 2445, 15),
(93789, NULL, 'PTHR46048', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLIC ACID RECEPTOR 2', NULL, NULL, NULL, 15),
(93790, NULL, 'PTHR43326:SF1', NULL, NULL, NULL, NULL, 'METHIONINE--TRNA LIGASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(93791, NULL, 'PTHR47969:SF5', NULL, NULL, NULL, NULL, 'KINESIN MOTOR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(93792, NULL, 'PTHR11615:SF298', NULL, NULL, NULL, NULL, 'FE-HYDROGENASE-1', NULL, NULL, NULL, 15),
(93793, NULL, 'PTHR12629:SF63', NULL, NULL, NULL, NULL, 'OS03G0810300 PROTEIN', NULL, NULL, NULL, 15),
(93794, NULL, 'PTHR46996:SF8', NULL, NULL, NULL, NULL, 'BNAA05G34040D PROTEIN', NULL, NULL, NULL, 15),
(93795, NULL, 'PTHR33102:SF34', NULL, NULL, NULL, NULL, 'OS01G0178850 PROTEIN', NULL, NULL, NULL, 15),
(93796, NULL, 'PTHR19143:SF370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93797, NULL, 'PTHR18034:SF9', NULL, NULL, NULL, NULL, 'BNAC02G25940D PROTEIN', NULL, NULL, NULL, 15),
(93798, NULL, 'PTHR22100:SF14', NULL, NULL, NULL, NULL, 'BNAC08G42210D PROTEIN', NULL, NULL, NULL, 15),
(93799, NULL, 'PTHR33155', NULL, NULL, NULL, NULL, 'FANTASTIC FOUR-LIKE PROTEIN (DUF3049)', NULL, NULL, 18063, 15),
(93800, NULL, 'PTHR10344', NULL, NULL, NULL, NULL, 'THYMIDYLATE KINASE', NULL, NULL, NULL, 15),
(93801, NULL, 'PTHR36878', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 30', NULL, NULL, 24807, 15),
(93802, NULL, 'PTHR36481:SF1', NULL, NULL, NULL, NULL, 'OS09G0535400 PROTEIN', NULL, NULL, NULL, 15),
(93803, NULL, 'PTHR10766:SF55', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(93804, NULL, 'PTHR47990:SF166', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93805, NULL, 'PTHR45710:SF17', NULL, NULL, NULL, NULL, 'SI:CH211-170D8.8', NULL, NULL, NULL, 15),
(93806, NULL, 'PTHR11567:SF190', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 5-RELATED', NULL, NULL, NULL, 15),
(93807, NULL, 'PTHR11475:SF126', NULL, NULL, NULL, NULL, 'PROTEIN CBG17660', NULL, NULL, NULL, 15),
(93808, NULL, 'PTHR36318:SF3', NULL, NULL, NULL, NULL, 'OS06G0581300 PROTEIN', NULL, NULL, NULL, 15),
(93809, NULL, 'PTHR21646:SF28', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 15', NULL, NULL, NULL, 15),
(93810, NULL, 'PTHR42718:SF24', NULL, NULL, NULL, NULL, 'LMO1617 PROTEIN', NULL, NULL, NULL, 15),
(93811, NULL, 'PTHR23171:SF5', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT GRINL1A-RELATED', NULL, NULL, NULL, 15),
(93812, NULL, 'PTHR46121:SF3', NULL, NULL, NULL, NULL, 'STEROIDOGENIC ACUTE REGULATORY-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(93813, NULL, 'PTHR47305:SF1', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(93814, NULL, 'PTHR47417', NULL, NULL, NULL, NULL, 'SMR DOMAIN-CONTAINING PROTEIN YPL199C', NULL, NULL, NULL, 15),
(93815, NULL, 'PTHR10909:SF382', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, NULL, 15),
(93816, NULL, 'PTHR31871:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93817, NULL, 'PTHR33356:SF15', NULL, NULL, NULL, NULL, 'BNAC04G05510D PROTEIN', NULL, NULL, NULL, 15),
(93818, NULL, 'PTHR15710:SF59', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SDIR1-LIKE', NULL, NULL, NULL, 15),
(93819, NULL, 'PTHR13501:SF8', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L22, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(93820, NULL, 'PTHR24214:SF54', NULL, NULL, NULL, NULL, 'AGAP005807-PA', NULL, NULL, NULL, 15),
(93821, NULL, 'PTHR12875:SF0', NULL, NULL, NULL, NULL, 'GOLGI TO ER TRAFFIC PROTEIN 4 HOMOLOG', NULL, NULL, NULL, 15),
(93822, NULL, 'PTHR23502:SF132', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER 2-RELATED', NULL, NULL, NULL, 15),
(93823, NULL, 'PTHR46539:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93824, NULL, 'PTHR10201:SF267', NULL, NULL, NULL, NULL, 'MACROPHAGE METALLOELASTASE', NULL, NULL, NULL, 15),
(93825, NULL, 'PTHR46477:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(93826, NULL, 'PTHR20889:SF18', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(93827, NULL, 'PTHR32285:SF156', NULL, NULL, NULL, NULL, 'OS06G0234800 PROTEIN', NULL, NULL, NULL, 15),
(93828, NULL, 'PTHR31851:SF57', NULL, NULL, NULL, NULL, 'BNAA03G48860D PROTEIN', NULL, NULL, NULL, 15),
(93829, NULL, 'PTHR11937:SF413', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93830, NULL, 'PTHR10822:SF24', NULL, NULL, NULL, NULL, 'GLYPICAN-2', NULL, NULL, 27465, 15),
(93831, NULL, 'PTHR31829:SF4', NULL, NULL, NULL, NULL, 'PYRIDOXAL 5''-PHOSPHATE SYNTHASE SUBUNIT PDX1.1', NULL, NULL, NULL, 15),
(93832, NULL, 'PTHR22883:SF238', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(93833, NULL, 'PTHR46387:SF22', NULL, NULL, NULL, NULL, 'RNASE H DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(93834, NULL, 'PTHR13715:SF75', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 2', NULL, NULL, NULL, 15),
(93835, NULL, 'PTHR31190:SF146', NULL, NULL, NULL, NULL, 'OS02G0654700 PROTEIN', NULL, NULL, NULL, 15),
(93836, NULL, 'PTHR43222:SF2', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 23, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(93837, NULL, 'PTHR31089:SF21', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 5', NULL, NULL, NULL, 15),
(93838, NULL, 'PTHR46268:SF10', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN SAOUHSC_01819-RELATED', NULL, NULL, NULL, 15),
(93839, NULL, 'PTHR24333:SF5', NULL, NULL, NULL, NULL, 'HOMEO BOX HB9 LIKE A-RELATED', NULL, NULL, NULL, 15),
(93840, NULL, 'PTHR31675:SF40', NULL, NULL, NULL, NULL, 'YABBY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(93841, NULL, 'PTHR31388:SF185', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93842, NULL, 'PTHR24055:SF432', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(93843, NULL, 'PTHR37820:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DIVIB', NULL, NULL, NULL, 15),
(93844, NULL, 'PTHR46699:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STN7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(93845, NULL, 'PTHR12629:SF66', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 13, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(93846, NULL, 'PTHR16757', NULL, NULL, NULL, NULL, 'DENDRIN', NULL, NULL, 24025, 15),
(93847, NULL, 'PTHR23343:SF4', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA SPERM-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(93848, NULL, 'PTHR24376:SF104', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 52', NULL, NULL, NULL, 15),
(93849, NULL, 'PTHR37189:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93850, NULL, 'PTHR31080:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93851, NULL, 'PTHR28003:SF1', NULL, NULL, NULL, NULL, 'NUCLEOPORIN POM34', NULL, NULL, NULL, 15),
(93852, NULL, 'PTHR31004', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 79', NULL, NULL, NULL, 15),
(93853, NULL, 'PTHR38075:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93854, NULL, 'PTHR45884:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE ESCO1', NULL, NULL, 26128, 15),
(93855, NULL, 'PTHR23226:SF191', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 780B', NULL, NULL, NULL, 15),
(93856, NULL, 'PTHR14614:SF135', NULL, NULL, NULL, NULL, 'BNAA03G56760D PROTEIN', NULL, NULL, NULL, 15),
(93857, NULL, 'PTHR11860:SF54', NULL, NULL, NULL, NULL, 'TRIGGERING RECEPTOR EXPRESSED ON MYELOID CELLS 2', NULL, NULL, NULL, 15),
(93858, NULL, 'PTHR16489:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 15A', NULL, NULL, NULL, 15),
(93859, NULL, 'PTHR27002:SF420', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10 ISOFORM X1', NULL, NULL, NULL, 15),
(93860, NULL, 'PTHR13318:SF96', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN EEED8.10-RELATED', NULL, NULL, NULL, 15),
(93861, NULL, 'PTHR12630:SF20', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C SUBSTRATE 80K-H', NULL, NULL, NULL, 15),
(93862, NULL, 'PTHR31444:SF34', NULL, NULL, NULL, NULL, 'GLUCURONOXYLAN 4-O-METHYLTRANSFERASE-LIKE PROTEIN (DUF579)', NULL, NULL, NULL, 15),
(93863, NULL, 'PTHR23430:SF209', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(93864, NULL, 'PTHR45184', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN ERDJ3A', NULL, NULL, NULL, 15),
(93865, NULL, 'PTHR10900:SF112', NULL, NULL, NULL, NULL, 'PERIOSTIN, OSTEOBLAST-SPECIFIC FACTOR A', NULL, NULL, NULL, 15),
(93866, NULL, 'PTHR12587:SF18', NULL, NULL, NULL, NULL, 'LIPRIN-BETA-2', NULL, NULL, 24030, 15),
(93867, NULL, 'PTHR14089:SF10', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN NAB6', NULL, NULL, NULL, 15),
(93868, NULL, 'PTHR24247:SF131', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(93869, NULL, 'PTHR43490:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93870, NULL, 'PTHR32060', NULL, NULL, NULL, NULL, 'TAIL-SPECIFIC PROTEASE', NULL, NULL, NULL, 15),
(93871, NULL, 'PTHR30037:SF4', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE I', NULL, NULL, NULL, 15),
(93872, NULL, 'PTHR10972:SF103', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(93873, NULL, 'PTHR15503:SF2', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(93874, NULL, 'PTHR35301:SF1', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 41-RELATED', NULL, NULL, NULL, 15),
(93875, NULL, 'PTHR14958', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL TETRAMERISATION DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(93876, NULL, 'PTHR13140:SF795', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93877, NULL, 'PTHR42972:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93878, NULL, 'PTHR31451:SF45', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 2', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93879, NULL, 'PTHR47985:SF24', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(93880, NULL, 'PTHR19317:SF64', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(93881, NULL, 'PTHR12888:SF0', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY PROTEIN 12', NULL, NULL, NULL, 15),
(93882, NULL, 'PTHR24281:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93883, NULL, 'PTHR45842:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT, IMMUNOGLOBULIN-LIKE DOMAIN AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(93884, NULL, 'PTHR36805', NULL, NULL, NULL, NULL, 'AGENET DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(93885, NULL, 'PTHR24291:SF5', NULL, NULL, NULL, NULL, '1,25-DIHYDROXYVITAMIN D(3) 24-HYDROXYLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(93886, NULL, 'PTHR10845:SF246', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN-SIGNALING 5B', NULL, NULL, NULL, 15),
(93887, NULL, 'PTHR24115:SF853', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(93888, NULL, 'PTHR26451:SF860', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(93889, NULL, 'PTHR31889:SF64', NULL, NULL, NULL, NULL, '2-ALPHA-L-FUCOSYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93890, NULL, 'PTHR23310:SF105', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(93891, NULL, 'PTHR20934:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(93892, NULL, 'PTHR42775:SF2', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', NULL, NULL, NULL, 15),
(93893, NULL, 'PTHR12080:SF47', NULL, NULL, NULL, NULL, 'CD48 ANTIGEN', NULL, NULL, 31121, 15),
(93894, NULL, 'PTHR24068:SF310', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 28-LIKE', NULL, NULL, NULL, 15),
(93895, NULL, 'PTHR23013:SF32', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(93896, NULL, 'PTHR23072', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL GLYCAN-RELATED', NULL, NULL, 33841, 15),
(93897, NULL, 'PTHR46368:SF7', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(93898, NULL, 'PTHR33238', NULL, NULL, NULL, NULL, 'IRON (METAL) DEPENDENT REPRESSOR, DTXR FAMILY', NULL, NULL, NULL, 15),
(93899, NULL, 'PTHR11594:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', NULL, NULL, NULL, 15),
(93900, NULL, 'PTHR11346:SF98', NULL, NULL, NULL, NULL, 'GALECTIN-RELATED PROTEIN', NULL, NULL, 28253, 15),
(93901, NULL, 'PTHR31218:SF179', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(93902, NULL, 'PTHR24291:SF152', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4A12A-RELATED', NULL, NULL, NULL, 15),
(93903, NULL, 'PTHR12329:SF10', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 4', NULL, NULL, NULL, 15),
(93904, NULL, 'PTHR14791:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93905, NULL, 'PTHR33076:SF105', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(93906, NULL, 'PTHR31313:SF74', NULL, NULL, NULL, NULL, 'NITROGEN ASSIMILATION TRANSCRIPTION FACTOR NIRA', NULL, NULL, NULL, 15),
(93907, NULL, 'PTHR15628:SF1', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(93908, NULL, 'PTHR13586:SF18', NULL, NULL, NULL, NULL, 'DECAPPING 5-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(93909, NULL, 'PTHR34145', NULL, NULL, NULL, NULL, 'OS02G0105600 PROTEIN', NULL, NULL, NULL, 15),
(93910, NULL, 'PTHR31225:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93911, NULL, 'PTHR22780:SF28', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA-LIKE 2', NULL, NULL, NULL, 15),
(93912, NULL, 'PTHR43337:SF16', NULL, NULL, NULL, NULL, 'AZA-GUANINE RESISTANT1-RELATED', NULL, NULL, NULL, 15),
(93913, NULL, 'PTHR35632:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93914, NULL, 'PTHR11783:SF262', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93915, NULL, 'PTHR31734:SF110', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(93916, NULL, 'PTHR37562', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93917, NULL, 'PTHR24349:SF380', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93918, NULL, 'PTHR15863', NULL, NULL, NULL, NULL, 'MRN COMPLEX-INTERACTING PROTEIN', NULL, NULL, 22151, 15),
(93919, NULL, 'PTHR10252:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93920, NULL, 'PTHR47928:SF4', NULL, NULL, NULL, NULL, 'OSJNBA0060P14.4 PROTEIN', NULL, NULL, NULL, 15),
(93921, NULL, 'PTHR24305:SF152', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(93922, NULL, 'PTHR47972:SF24', NULL, NULL, NULL, NULL, 'P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(93923, NULL, 'PTHR23500:SF465', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(93924, NULL, 'PTHR31992:SF167', NULL, NULL, NULL, NULL, 'BNAA08G29080D PROTEIN', NULL, NULL, NULL, 15),
(93925, NULL, 'PTHR12599:SF8', NULL, NULL, NULL, NULL, 'PTERIN-4-ALPHA-CARBINOLAMINE DEHYDRATASE, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(93926, NULL, 'PTHR11736:SF61', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN F1', NULL, NULL, NULL, 15),
(93927, NULL, 'PTHR34491:SF31', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', NULL, NULL, NULL, 15),
(93928, NULL, 'PTHR32208:SF65', NULL, NULL, NULL, NULL, 'GLYOXAL OXIDASE AMINO-TERMINAL PROTEIN', NULL, NULL, NULL, 15),
(93929, NULL, 'PTHR47851:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93930, NULL, 'PTHR37433:SF4', NULL, NULL, NULL, NULL, 'LU (LY6 UROKINASE PLASMINOGEN) DOMAIN RECEPTOR-RELATED PROTEIN', NULL, NULL, NULL, 15),
(93931, NULL, 'PTHR12081:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93932, NULL, 'PTHR45811:SF65', NULL, NULL, NULL, NULL, 'BNAA05G31400D PROTEIN', NULL, NULL, NULL, 15),
(93933, NULL, 'PTHR45663:SF31', NULL, NULL, NULL, NULL, 'THIOREDOXIN 2', NULL, NULL, NULL, 15),
(93934, NULL, 'PTHR43377:SF8', NULL, NULL, NULL, NULL, 'BLR3664 PROTEIN', NULL, NULL, NULL, 15),
(93935, NULL, 'PTHR45724:SF44', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(93936, NULL, 'PTHR46786', NULL, NULL, NULL, NULL, 'ZINC FINGER MATRIN-TYPE PROTEIN 3', NULL, NULL, NULL, 15),
(93937, NULL, 'PTHR14154:SF83', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN U', NULL, NULL, NULL, 15),
(93938, NULL, 'PTHR45926:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE1-LIKE ISOFORM X1', NULL, NULL, 18893, 15),
(93939, NULL, 'PTHR46151:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93940, NULL, 'PTHR22835:SF226', NULL, NULL, NULL, NULL, 'OS07G0586100 PROTEIN', NULL, NULL, NULL, 15),
(93941, NULL, 'PTHR11088:SF59', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE', NULL, NULL, NULL, 15),
(93942, NULL, 'PTHR21646:SF51', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 22', NULL, NULL, NULL, 15),
(93943, NULL, 'PTHR30068', NULL, NULL, NULL, NULL, 'URONATE ISOMERASE', NULL, NULL, NULL, 15),
(93944, NULL, 'PTHR21646:SF72', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(93945, NULL, 'PTHR15606', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 8/LIPOPOLYSACCHARIDE SPECIFIC RESPONSE-7-RELATED', NULL, NULL, 36504, 15),
(93946, NULL, 'PTHR32093:SF140', NULL, NULL, NULL, NULL, 'BNAA05G16890D PROTEIN', NULL, NULL, NULL, 15),
(93947, NULL, 'PTHR31517:SF59', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(93948, NULL, 'PTHR46224:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93949, NULL, 'PTHR22811:SF156', NULL, NULL, NULL, NULL, 'VESICLE MEMBRANE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(93950, NULL, 'PTHR31279:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93951, NULL, 'PTHR43384:SF12', NULL, NULL, NULL, NULL, 'CELLULOSE BIOSYNTHESIS PROTEIN BCSQ-RELATED', NULL, NULL, NULL, 15),
(93952, NULL, 'PTHR43490:SF94', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(93953, NULL, 'PTHR11080:SF2', NULL, NULL, NULL, NULL, 'LD05707P', NULL, NULL, NULL, 15),
(93954, NULL, 'PTHR45933:SF20', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATING PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(93955, NULL, 'PTHR34702:SF1', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT F1', NULL, NULL, NULL, 15),
(93956, NULL, 'PTHR27005:SF168', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2', NULL, NULL, NULL, 15),
(93957, NULL, 'PTHR45793:SF5', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN OCELLILESS', NULL, NULL, NULL, 15),
(93958, NULL, 'PTHR13683:SF685', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(93959, NULL, 'PTHR46128:SF156', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(93960, NULL, 'PTHR45658:SF64', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(93961, NULL, 'PTHR43738:SF1', NULL, NULL, NULL, NULL, 'HEMIN TRANSPORT SYSTEM PERMEASE PROTEIN HRTB-RELATED', NULL, NULL, NULL, 15),
(93962, NULL, 'PTHR10070:SF2', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN J CHAIN', NULL, NULL, NULL, 15),
(93963, NULL, 'PTHR13986', NULL, NULL, NULL, NULL, 'PROTEIN LYSINE HYDROXYLATION COMPLEX COMPONENT', NULL, NULL, NULL, 15),
(93964, NULL, 'PTHR10430', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN', NULL, NULL, 32362, 15),
(93965, NULL, 'PTHR23025:SF1', NULL, NULL, NULL, NULL, 'LIPASE, HORMONE-SENSITIVE B', NULL, NULL, NULL, 15),
(93966, NULL, 'PTHR12335', NULL, NULL, NULL, NULL, 'TIPE PROTEIN  TEMPERATURE-INDUCED PARALYTIC E', NULL, NULL, 23247, 15),
(93967, NULL, 'PTHR33402:SF19', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(93968, NULL, 'PTHR45645:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93969, NULL, 'PTHR32057', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE SELO, MITOCHONDRIAL', NULL, NULL, 3259, 15),
(93970, NULL, 'PTHR23172:SF80', NULL, NULL, NULL, NULL, 'BNACNNG69510D PROTEIN', NULL, NULL, NULL, 15),
(93971, NULL, 'PTHR15296', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEIN MAP17', NULL, NULL, 27099, 15),
(93972, NULL, 'PTHR28051:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MTL1-RELATED', NULL, NULL, NULL, 15),
(93973, NULL, 'PTHR48106:SF13', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(93974, NULL, 'PTHR10412:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG10878', NULL, NULL, NULL, 15),
(93975, NULL, 'PTHR11468:SF26', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE, LIVER FORM', NULL, NULL, NULL, 15),
(93976, NULL, 'PTHR24377:SF688', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN INTERACTING WITH RIBONUCLEOPROTEIN K', NULL, NULL, NULL, 15),
(93977, NULL, 'PTHR24056:SF382', NULL, NULL, NULL, NULL, 'F21B7.34', NULL, NULL, NULL, 15),
(93978, NULL, 'PTHR11088:SF68', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE 5, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(93979, NULL, 'PTHR21569:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93980, NULL, 'PTHR23160:SF19', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(93981, NULL, 'PTHR26450:SF110', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(93982, NULL, 'PTHR10489:SF938', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(93983, NULL, 'PTHR19211:SF107', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER F FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(93984, NULL, 'PTHR30561:SF1', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER EMRE', NULL, NULL, NULL, 15),
(93985, NULL, 'PTHR23226:SF187', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 322', NULL, NULL, NULL, 15),
(93986, NULL, 'PTHR46604', NULL, NULL, NULL, NULL, 'PROTEIN MID1-COMPLEMENTING ACTIVITY 1', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(93987, NULL, 'PTHR24073:SF653', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-43', NULL, NULL, NULL, 15),
(93988, NULL, 'PTHR24390:SF89', NULL, NULL, NULL, NULL, 'PLEIOMORPHIC ADENOMA GENE-LIKE 1', NULL, NULL, NULL, 15),
(93989, NULL, 'PTHR10664:SF22', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS BC (CLASS B-LIKE)', NULL, NULL, NULL, 15),
(93990, NULL, 'PTHR12611:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN PUR-ALPHA', NULL, NULL, 22484, 15),
(93991, NULL, 'PTHR22115:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 50', NULL, NULL, NULL, 15),
(93992, NULL, 'PTHR33782:SF5', NULL, NULL, NULL, NULL, 'OS01G0121600 PROTEIN', NULL, NULL, NULL, 15),
(93993, NULL, 'PTHR37716', NULL, NULL, NULL, NULL, 'OS07G0568900 PROTEIN', NULL, NULL, NULL, 15),
(93994, NULL, 'PTHR46695:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 44', NULL, NULL, NULL, 15),
(93995, NULL, 'PTHR33304:SF17', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(93996, NULL, 'PTHR38439:SF2', NULL, NULL, NULL, NULL, 'AZURIN', NULL, NULL, NULL, 15),
(93997, NULL, 'PTHR12941:SF14', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 8/9 HOMOLOG', NULL, NULL, NULL, 15),
(93998, NULL, 'PTHR22754', NULL, NULL, NULL, NULL, 'DISCO-INTERACTING PROTEIN 2  DIP2 -RELATED', NULL, NULL, NULL, 15),
(93999, NULL, 'PTHR33433:SF14', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1', NULL, NULL, NULL, 15),
(94000, NULL, 'PTHR10644', NULL, NULL, NULL, NULL, 'DNA REPAIR/RNA PROCESSING CPSF FAMILY', NULL, NULL, NULL, 15),
(94001, NULL, 'PTHR10339:SF25', NULL, NULL, NULL, NULL, 'NAD(P)(+)--ARGININE ADP-RIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(94002, NULL, 'PTHR33272:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04677', NULL, NULL, NULL, 15),
(94003, NULL, 'PTHR13675', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(94004, NULL, 'PTHR31137:SF8', NULL, NULL, NULL, NULL, 'PROTEIN PSIB-RELATED', NULL, NULL, NULL, 15),
(94005, NULL, 'PTHR47111', NULL, NULL, NULL, NULL, 'BCDNA.LD29892', NULL, NULL, NULL, 15),
(94006, NULL, 'PTHR12203:SF61', NULL, NULL, NULL, NULL, 'CAPSULE PROTEIN', NULL, NULL, NULL, 15),
(94007, NULL, 'PTHR26451:SF109', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(94008, NULL, 'PTHR15422:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94009, NULL, 'PTHR46643', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GOOSECOID-RELATED', NULL, NULL, NULL, 15),
(94010, NULL, 'PTHR46565:SF11', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(94011, NULL, 'PTHR34116:SF9', NULL, NULL, NULL, NULL, 'OS08G0346600 PROTEIN', NULL, NULL, NULL, 15),
(94012, NULL, 'PTHR33596:SF1', NULL, NULL, NULL, NULL, 'COLD-REGULATED 413 PLASMA MEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(94013, NULL, 'PTHR22762:SF145', NULL, NULL, NULL, NULL, 'ACID ALPHA GLUCOSIDASE RELATE', NULL, NULL, NULL, 15),
(94014, NULL, 'PTHR11587:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94015, NULL, 'PTHR42784:SF1', NULL, NULL, NULL, NULL, 'PYRANOSE 2-OXIDASE', NULL, NULL, NULL, 15),
(94016, NULL, 'PTHR43670:SF26', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(94017, NULL, 'PTHR48005:SF26', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE TMK2', NULL, NULL, NULL, 15),
(94018, NULL, 'PTHR31238:SF223', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(94019, NULL, 'PTHR10285:SF146', NULL, NULL, NULL, NULL, 'NICOTINAMIDE RIBOSIDE KINASE 1', NULL, NULL, NULL, 15),
(94020, NULL, 'PTHR31120', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TIKI', NULL, NULL, 33588, 15),
(94021, NULL, 'PTHR46043:SF7', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(94022, NULL, 'PTHR18945:SF425', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', NULL, NULL, NULL, 15),
(94023, NULL, 'PTHR31404:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GENOME MAINTENANCE PROTEIN MGM101', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94024, NULL, 'PTHR34998:SF9', NULL, NULL, NULL, NULL, 'OSJNBA0072D21.16 PROTEIN', NULL, NULL, NULL, 15),
(94025, NULL, 'PTHR22950:SF192', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 7-RELATED', NULL, NULL, NULL, 15),
(94026, NULL, 'PTHR10774', NULL, NULL, NULL, NULL, 'EXTENDED SYNAPTOTAGMIN-RELATED', NULL, NULL, 36865, 15),
(94027, NULL, 'PTHR28629:SF3', NULL, NULL, NULL, NULL, 'DIHYDROXYACETONE KINASE 1', NULL, NULL, NULL, 15),
(94028, NULL, 'PTHR24213', NULL, NULL, NULL, NULL, 'ACTIN-BINDING LIM PROTEIN', NULL, NULL, NULL, 15),
(94029, NULL, 'PTHR48019:SF41', NULL, NULL, NULL, NULL, 'BNAC04G24260D PROTEIN', NULL, NULL, NULL, 15),
(94030, NULL, 'PTHR47975:SF1', NULL, NULL, NULL, NULL, 'OS11G0212300 PROTEIN', NULL, NULL, NULL, 15),
(94031, NULL, 'PTHR47992:SF77', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 63-RELATED', NULL, NULL, NULL, 15),
(94032, NULL, 'PTHR47970:SF12', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF11', NULL, NULL, NULL, 15),
(94033, NULL, 'PTHR48043:SF76', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(94034, NULL, 'PTHR11705:SF59', NULL, NULL, NULL, NULL, 'PROTEIN CBG20482', NULL, NULL, NULL, 15),
(94035, NULL, 'PTHR33257:SF41', NULL, NULL, NULL, NULL, 'OS07G0230600 PROTEIN', NULL, NULL, NULL, 15),
(94036, NULL, 'PTHR43900:SF67', NULL, NULL, NULL, NULL, 'BNAA09G00850D PROTEIN', NULL, NULL, NULL, 15),
(94037, NULL, 'PTHR24393:SF15', NULL, NULL, NULL, NULL, 'PROTEIN HUNCHBACK', NULL, NULL, NULL, 15),
(94038, NULL, 'PTHR47925:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94039, NULL, 'PTHR14218:SF19', NULL, NULL, NULL, NULL, 'SERINE PROTEASE AORO, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G10250)-RELATED', NULL, NULL, NULL, 15),
(94040, NULL, 'PTHR33132:SF79', NULL, NULL, NULL, NULL, 'BNAA05G14930D PROTEIN', NULL, NULL, NULL, 15),
(94041, NULL, 'PTHR46361:SF1', NULL, NULL, NULL, NULL, 'F26K24.21 PROTEIN', NULL, NULL, NULL, 15),
(94042, NULL, 'PTHR23167:SF46', NULL, NULL, NULL, NULL, 'CALPONIN HOMOLOGY DOMAIN-CONTAINING PROTEIN DDB_G0272472', NULL, NULL, NULL, 15),
(94043, NULL, 'PTHR46250:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94044, NULL, 'PTHR31251:SF128', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 17', NULL, NULL, NULL, 15),
(94045, NULL, 'PTHR11863:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94046, NULL, 'PTHR11480:SF3', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(94047, NULL, 'PTHR10795:SF377', NULL, NULL, NULL, NULL, 'OS09G0530800 PROTEIN', NULL, NULL, NULL, 15),
(94048, NULL, 'PTHR24355:SF17', NULL, NULL, NULL, NULL, 'BETA-ADRENERGIC RECEPTOR KINASE 2', NULL, NULL, NULL, 15),
(94049, NULL, 'PTHR45089:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94050, NULL, 'PTHR32285:SF219', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 24', NULL, NULL, NULL, 15),
(94051, NULL, 'PTHR33547', NULL, NULL, NULL, NULL, 'ZGC:174862', NULL, NULL, NULL, 15),
(94052, NULL, 'PTHR11471:SF54', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(94053, NULL, 'PTHR37079:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATM', NULL, NULL, NULL, 15),
(94054, NULL, 'PTHR16955', NULL, NULL, NULL, NULL, 'METASTASIS-SUPPRESSOR KISS-1', NULL, NULL, 19490, 15),
(94055, NULL, 'PTHR13538', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 6', NULL, NULL, 29538, 15),
(94056, NULL, 'PTHR26379:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94057, NULL, 'PTHR12953:SF3', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(94058, NULL, 'PTHR22801:SF58', NULL, NULL, NULL, NULL, '27 KDA PRIMARY MESENCHYME-SPECIFIC SPICULE PROTEIN', NULL, NULL, NULL, 15),
(94059, NULL, 'PTHR12101:SF17', NULL, NULL, NULL, NULL, 'BLOOD VESSEL EPICARDIAL SUBSTANCE', NULL, NULL, NULL, 15),
(94060, NULL, 'PTHR33177:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94061, NULL, 'PTHR43752:SF3', NULL, NULL, NULL, NULL, 'BNR/ASP-BOX REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(94062, NULL, 'PTHR12984:SF16', NULL, NULL, NULL, NULL, 'BLACK MATCH, ISOFORM F', NULL, NULL, NULL, 15),
(94063, NULL, 'PTHR21500:SF0', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE A', NULL, NULL, NULL, 15),
(94064, NULL, 'PTHR24242:SF126', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9A1-RELATED', NULL, NULL, NULL, 15),
(94065, NULL, 'PTHR31851:SF39', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(94066, NULL, 'PTHR33095:SF71', NULL, NULL, NULL, NULL, 'BNAC05G50840D PROTEIN', NULL, NULL, NULL, 15),
(94067, NULL, 'PTHR45134:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94068, NULL, 'PTHR31475:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94069, NULL, 'PTHR14226:SF65', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(94070, NULL, 'PTHR21021:SF17', NULL, NULL, NULL, NULL, 'TIP41-LIKE PROTEIN ISOFORM X1', NULL, NULL, NULL, 15),
(94071, NULL, 'PTHR43481:SF4', NULL, NULL, NULL, NULL, '2-DEOXYGLUCOSE-6-PHOSPHATE PHOSPHATASE 1-RELATED', NULL, NULL, NULL, 15),
(94072, NULL, 'PTHR33065:SF141', NULL, NULL, NULL, NULL, 'OSJNBA0006M15.13 PROTEIN', NULL, NULL, NULL, 15),
(94073, NULL, 'PTHR43661:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCONATE DEHYDRATASE', NULL, NULL, 5331, 15),
(94074, NULL, 'PTHR10972:SF162', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 3B', NULL, NULL, NULL, 15),
(94075, NULL, 'PTHR45805:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR ROR-BETA', NULL, NULL, NULL, 15),
(94076, NULL, 'PTHR11227:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94077, NULL, 'PTHR22883:SF322', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(94078, NULL, 'PTHR27007:SF252', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.5-RELATED', NULL, NULL, NULL, 15),
(94079, NULL, 'PTHR45528:SF1', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE CPXA', NULL, NULL, NULL, 15),
(94080, NULL, 'PTHR20978:SF2', NULL, NULL, NULL, NULL, 'SPLICING FACTOR SUBUNIT', NULL, NULL, NULL, 15),
(94081, NULL, 'PTHR45648:SF110', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(94082, NULL, 'PTHR45918:SF1', NULL, NULL, NULL, NULL, 'ALPHA-1,3/1,6-MANNOSYLTRANSFERASE ALG2', NULL, NULL, NULL, 15),
(94083, NULL, 'PTHR45676:SF91', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(94084, NULL, 'PTHR31985:SF115', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(94085, NULL, 'PTHR12763:SF49', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM14-2', NULL, NULL, NULL, 15),
(94086, NULL, 'PTHR12080:SF87', NULL, NULL, NULL, NULL, 'T-LYMPHOCYTE SURFACE ANTIGEN LY-9 ISOFORM X9', NULL, NULL, NULL, 15),
(94087, NULL, 'PTHR35037:SF7', NULL, NULL, NULL, NULL, 'AUTOTRANSPORTER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(94088, NULL, 'PTHR12726:SF3', NULL, NULL, NULL, NULL, 'BNAA09G43940D PROTEIN', NULL, NULL, NULL, 15),
(94089, NULL, 'PTHR32522:SF5', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YXDM', NULL, NULL, NULL, 15),
(94090, NULL, 'PTHR13664:SF0', NULL, NULL, NULL, NULL, 'BECLIN 1-ASSOCIATED AUTOPHAGY-RELATED KEY REGULATOR', NULL, NULL, NULL, 15),
(94091, NULL, 'PTHR11097:SF8', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP42', NULL, NULL, NULL, 15),
(94092, NULL, 'PTHR20932:SF36', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-BINDING LYSM DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(94093, NULL, 'PTHR33962:SF1', NULL, NULL, NULL, NULL, 'RECQ-MEDIATED GENOME INSTABILITY PROTEIN 2', NULL, NULL, NULL, 15),
(94094, NULL, 'PTHR45673:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94095, NULL, 'PTHR13551:SF1', NULL, NULL, NULL, NULL, 'BRAIN PROTEIN I3', NULL, NULL, NULL, 15),
(94096, NULL, 'PTHR24281:SF24', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D6', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94097, NULL, 'PTHR24296:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94098, NULL, 'PTHR31314:SF118', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL7-LIKE', NULL, NULL, NULL, 15),
(94099, NULL, 'PTHR31065:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(94100, NULL, 'PTHR45948:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 22-A', NULL, NULL, NULL, 15),
(94101, NULL, 'PTHR10381:SF26', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT-LIKE-RELATED', NULL, NULL, NULL, 15),
(94102, NULL, 'PTHR24388:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94103, NULL, 'PTHR23042:SF107', NULL, NULL, NULL, NULL, 'FI10506P-RELATED', NULL, NULL, NULL, 15),
(94104, NULL, 'PTHR24056:SF128', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 17', NULL, NULL, NULL, 15),
(94105, NULL, 'PTHR45981:SF2', NULL, NULL, NULL, NULL, 'MARCH (MEMBRANE-ASSOCIATED RING FINGER (C3HC4)) HOMOLOG', NULL, NULL, NULL, 15),
(94106, NULL, 'PTHR30572:SF7', NULL, NULL, NULL, NULL, 'MACROLIDE EXPORT ATP-BINDING/PERMEASE PROTEIN MACB', NULL, NULL, NULL, 15),
(94107, NULL, 'PTHR31606:SF2', NULL, NULL, NULL, NULL, 'POSTACROSOMAL SHEATH WW DOMAIN-BINDING PROTEIN', NULL, NULL, 32000, 15),
(94108, NULL, 'PTHR43042:SF3', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE K', NULL, NULL, NULL, 15),
(94109, NULL, 'PTHR14110', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM22', NULL, NULL, 35978, 15),
(94110, NULL, 'PTHR31374:SF234', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71', NULL, NULL, NULL, 15),
(94111, NULL, 'PTHR34463', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(94112, NULL, 'PTHR23267:SF419', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-V REGION MOPC 21-RELATED', NULL, NULL, NULL, 15),
(94113, NULL, 'PTHR28058', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN MRP51, MITOCHONDRIAL', NULL, NULL, 20933, 15),
(94114, NULL, 'PTHR46008:SF16', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.3', NULL, NULL, NULL, 15),
(94115, NULL, 'PTHR24347:SF19', NULL, NULL, NULL, NULL, 'CAM KINASE-LIKE VESICLE-ASSOCIATED, LIKE', NULL, NULL, NULL, 15),
(94116, NULL, 'PTHR14218:SF14', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE 1', NULL, NULL, NULL, 15),
(94117, NULL, 'PTHR15467:SF9', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN 8', NULL, NULL, NULL, 15),
(94118, NULL, 'PTHR37687', NULL, NULL, NULL, NULL, 'AGAP006772-PA', NULL, NULL, 34604, 15),
(94119, NULL, 'PTHR21136:SF203', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN, LONGIN-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(94120, NULL, 'PTHR24326:SF522', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-52', NULL, NULL, NULL, 15),
(94121, NULL, 'PTHR10628:SF23', NULL, NULL, NULL, NULL, 'SIALIDASE-3', NULL, NULL, 23095, 15),
(94122, NULL, 'PTHR22882', NULL, NULL, NULL, NULL, 'SYNPHILIN-1', NULL, NULL, 29813, 15),
(94123, NULL, 'PTHR24056:SF460', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(94124, NULL, 'PTHR43270:SF3', NULL, NULL, NULL, NULL, 'PEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(94125, NULL, 'PTHR31009:SF52', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASES SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(94126, NULL, 'PTHR43507:SF16', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT M', NULL, NULL, NULL, 15),
(94127, NULL, 'PTHR43617:SF19', NULL, NULL, NULL, NULL, 'GCN5-RELATED N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(94128, NULL, 'PTHR42861:SF90', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(94129, NULL, 'PTHR11022:SF58', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN RECOGNITION PROTEIN 1', NULL, NULL, NULL, 15),
(94130, NULL, 'PTHR14690', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(94131, NULL, 'PTHR24125:SF5', NULL, NULL, NULL, NULL, 'C2 DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94132, NULL, 'PTHR22842:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94133, NULL, 'PTHR45811:SF38', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(94134, NULL, 'PTHR36503:SF3', NULL, NULL, NULL, NULL, 'BLR0126 PROTEIN', NULL, NULL, NULL, 15),
(94135, NULL, 'PTHR40056', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, 14436, 15),
(94136, NULL, 'PTHR24136:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94137, NULL, 'PTHR33087:SF30', NULL, NULL, NULL, NULL, 'OS01G0697325 PROTEIN', NULL, NULL, NULL, 15),
(94138, NULL, 'PTHR42978', NULL, NULL, NULL, NULL, 'QUORUM-QUENCHING LACTONASE YTNP-RELATED-RELATED', NULL, NULL, NULL, 15),
(94139, NULL, 'PTHR30204:SF0', NULL, NULL, NULL, NULL, 'REDOX-SENSITIVE TRANSCRIPTIONAL ACTIVATOR SOXR', NULL, NULL, 4207, 15),
(94140, NULL, 'PTHR43585', NULL, NULL, NULL, NULL, 'FUMIPYRROLE BIOSYNTHESIS PROTEIN C', NULL, NULL, NULL, 15),
(94141, NULL, 'PTHR37409:SF5', NULL, NULL, NULL, NULL, 'RIKEN CDNA D130052B06 GENE', NULL, NULL, NULL, 15),
(94142, NULL, 'PTHR11644:SF26', NULL, NULL, NULL, NULL, 'CYTIDINE DEAMINASE', NULL, NULL, NULL, 15),
(94143, NULL, 'PTHR45613:SF125', NULL, NULL, NULL, NULL, 'DEFECTIVE KERNEL35', NULL, NULL, NULL, 15),
(94144, NULL, 'PTHR23272:SF147', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 1-LIKE', NULL, NULL, NULL, 15),
(94145, NULL, 'PTHR33681:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94146, NULL, 'PTHR47069', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94147, NULL, 'PTHR13697:SF52', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 1', NULL, NULL, NULL, 15),
(94148, NULL, 'PTHR33377', NULL, NULL, NULL, NULL, 'OS10G0134700 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(94149, NULL, 'PTHR46709', NULL, NULL, NULL, NULL, 'PROTEIN CBG23488-RELATED', NULL, NULL, NULL, 15),
(94150, NULL, 'PTHR37724', NULL, NULL, NULL, NULL, 'OS02G0564300 PROTEIN', NULL, NULL, NULL, 15),
(94151, NULL, 'PTHR24418:SF374', NULL, NULL, NULL, NULL, 'TRK (VERTEBRATE NEUROTROPHIN RECEPTOR TYROSINE KINASE) HOMOLOG', NULL, NULL, NULL, 15),
(94152, NULL, 'PTHR10795:SF679', NULL, NULL, NULL, NULL, 'BNAA02G21970D PROTEIN', NULL, NULL, NULL, 15),
(94153, NULL, 'PTHR11010:SF36', NULL, NULL, NULL, NULL, 'SERINE PROTEASE K12H4.7-RELATED', NULL, NULL, NULL, 15),
(94154, NULL, 'PTHR21179', NULL, NULL, NULL, NULL, 'SERINE-TYPE ENDOPEPTIDASE INHIBITOR', NULL, NULL, 32628, 15),
(94155, NULL, 'PTHR31189:SF55', NULL, NULL, NULL, NULL, 'GLUTELIN TYPE-B 1-RELATED', NULL, NULL, NULL, 15),
(94156, NULL, 'PTHR45851:SF5', NULL, NULL, NULL, NULL, 'PROTEIN L-MYC-RELATED', NULL, NULL, NULL, 15),
(94157, NULL, 'PTHR47128', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37662, 15),
(94158, NULL, 'PTHR39166:SF1', NULL, NULL, NULL, NULL, 'BLL1166 PROTEIN', NULL, NULL, NULL, 15),
(94159, NULL, 'PTHR13683:SF761', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(94160, NULL, 'PTHR36005:SF1', NULL, NULL, NULL, NULL, 'DNA LIGASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(94161, NULL, 'PTHR41807', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE 3', NULL, NULL, 34948, 15),
(94162, NULL, 'PTHR10485:SF14', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM17-2', NULL, NULL, NULL, 15),
(94163, NULL, 'PTHR43699', NULL, NULL, NULL, NULL, '3-DEHYDROQUINATE DEHYDRATASE', NULL, NULL, NULL, 15),
(94164, NULL, 'PTHR11599:SF167', NULL, NULL, NULL, NULL, 'PROTEASOME ENDOPEPTIDASE COMPLEX', NULL, NULL, 18825, 15),
(94165, NULL, 'PTHR31719:SF106', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29', NULL, NULL, NULL, 15),
(94166, NULL, 'PTHR33398', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S20', NULL, NULL, 1600, 15),
(94167, NULL, 'PTHR35324:SF8', NULL, NULL, NULL, NULL, 'MRNA, CLONE: LRG11', NULL, NULL, NULL, 15),
(94168, NULL, 'PTHR43658:SF11', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-COA DEHYDROGENASE TYPE-2', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94169, NULL, 'PTHR11176:SF36', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIF) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(94170, NULL, 'PTHR45959:SF44', NULL, NULL, NULL, NULL, 'BNAA04G13220D PROTEIN', NULL, NULL, NULL, 15),
(94171, NULL, 'PTHR10871:SF8', NULL, NULL, NULL, NULL, 'OS12G0424300 PROTEIN', NULL, NULL, NULL, 15),
(94172, NULL, 'PTHR47982:SF18', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK7', NULL, NULL, NULL, 15),
(94173, NULL, 'PTHR31228:SF33', NULL, NULL, NULL, NULL, 'BNAA05G31020D PROTEIN', NULL, NULL, NULL, 15),
(94174, NULL, 'PTHR31826:SF6', NULL, NULL, NULL, NULL, 'NICALIN-1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(94175, NULL, 'PTHR15289', NULL, NULL, NULL, NULL, 'TASTIN', NULL, NULL, 27792, 15),
(94176, NULL, 'PTHR28080:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL BIOGENESIS FACTOR 3', NULL, NULL, NULL, 15),
(94177, NULL, 'PTHR34798:SF4', NULL, NULL, NULL, NULL, 'BNAA05G17250D PROTEIN', NULL, NULL, NULL, 15),
(94178, NULL, 'PTHR21724:SF96', NULL, NULL, NULL, NULL, 'PROTEIN CBG20825', NULL, NULL, NULL, 15),
(94179, NULL, 'PTHR10426:SF68', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(94180, NULL, 'PTHR31636:SF136', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(94181, NULL, 'PTHR32285:SF181', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 26', NULL, NULL, 24980, 15),
(94182, NULL, 'PTHR13105', NULL, NULL, NULL, NULL, 'MYELOID LEUKEMIA FACTOR', NULL, NULL, 15538, 15),
(94183, NULL, 'PTHR31681:SF86', NULL, NULL, NULL, NULL, 'BNACNNG17980D PROTEIN', NULL, NULL, NULL, 15),
(94184, NULL, 'PTHR33696:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94185, NULL, 'PTHR24073:SF1069', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5B', NULL, NULL, NULL, 15),
(94186, NULL, 'PTHR10739:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG16955', NULL, NULL, NULL, 15),
(94187, NULL, 'PTHR22750:SF10', NULL, NULL, NULL, NULL, 'CANNABINOID RECEPTOR 2', NULL, NULL, 5799, 15),
(94188, NULL, 'PTHR31147:SF2', NULL, NULL, NULL, NULL, 'OS01G0615300 PROTEIN', NULL, NULL, NULL, 15),
(94189, NULL, 'PTHR24278:SF34', NULL, NULL, NULL, NULL, 'ZGC:163025', NULL, NULL, NULL, 15),
(94190, NULL, 'PTHR30128:SF42', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN A', NULL, NULL, NULL, 15),
(94191, NULL, 'PTHR22811:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94192, NULL, 'PTHR30060:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN (DUF2040)-RELATED', NULL, NULL, NULL, 15),
(94193, NULL, 'PTHR39244:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94194, NULL, 'PTHR11088:SF60', NULL, NULL, NULL, NULL, 'TRNA DIMETHYLALLYLTRANSFERASE 9', NULL, NULL, NULL, 15),
(94195, NULL, 'PTHR31471:SF76', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL REGION REMORIN', NULL, NULL, NULL, 15),
(94196, NULL, 'PTHR16201:SF41', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 44', NULL, NULL, NULL, 15),
(94197, NULL, 'PTHR27003:SF53', NULL, NULL, NULL, NULL, 'OS06G0334300 PROTEIN', NULL, NULL, NULL, 15),
(94198, NULL, 'PTHR11527:SF266', NULL, NULL, NULL, NULL, '18.1 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(94199, NULL, 'PTHR33143:SF47', NULL, NULL, NULL, NULL, 'BNAA09G55470D PROTEIN', NULL, NULL, NULL, 15),
(94200, NULL, 'PTHR33472:SF18', NULL, NULL, NULL, NULL, 'OS09G0327500 PROTEIN', NULL, NULL, NULL, 15),
(94201, NULL, 'PTHR43539:SF58', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(94202, NULL, 'PTHR31561:SF134', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(94203, NULL, 'PTHR32468:SF73', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 5-RELATED', NULL, NULL, NULL, 15),
(94204, NULL, 'PTHR11618:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94205, NULL, 'PTHR31639:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94206, NULL, 'PTHR11537:SF264', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, SUBFAMILY F, MEMBER 1', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94207, NULL, 'PTHR43783:SF2', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 1-CARBOXYVINYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(94208, NULL, 'PTHR44916:SF5', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(94209, NULL, 'PTHR11599:SF10', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-3', NULL, NULL, 36388, 15),
(94210, NULL, 'PTHR30128:SF32', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-ASSOCIATED LIPOPROTEIN', NULL, NULL, NULL, 15),
(94211, NULL, 'PTHR20383:SF9', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II SUBUNIT A C-TERMINAL DOMAIN PHOSPHATASE SSU72', NULL, NULL, NULL, 15),
(94212, NULL, 'PTHR11260:SF665', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE PARC-RELATED', NULL, NULL, NULL, 15),
(94213, NULL, 'PTHR33110:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94214, NULL, 'PTHR11332:SF8', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 1D MEMBER 4', NULL, NULL, NULL, 15),
(94215, NULL, 'PTHR15740:SF1', NULL, NULL, NULL, NULL, 'ACTIVITY-DEPENDENT NEUROPROTECTOR HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(94216, NULL, 'PTHR43857', NULL, NULL, NULL, NULL, 'BLR7761 PROTEIN', NULL, NULL, NULL, 15),
(94217, NULL, 'PTHR34782:SF5', NULL, NULL, NULL, NULL, 'OS02G0507400 PROTEIN', NULL, NULL, NULL, 15),
(94218, NULL, 'PTHR10802:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94219, NULL, 'PTHR39638:SF1', NULL, NULL, NULL, NULL, 'YCF35', NULL, NULL, NULL, 15),
(94220, NULL, 'PTHR31495:SF23', NULL, NULL, NULL, NULL, 'PEROXYGENASE 3-RELATED', NULL, NULL, NULL, 15),
(94221, NULL, 'PTHR42650:SF1', NULL, NULL, NULL, NULL, 'TAIL-ANCHORED PROTEIN INSERTION RECEPTOR WRB', NULL, NULL, NULL, 15),
(94222, NULL, 'PTHR31232:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94223, NULL, 'PTHR44936', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN CREC', NULL, NULL, NULL, 15),
(94224, NULL, 'PTHR37733:SF1', NULL, NULL, NULL, NULL, 'SMAD/FHA DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(94225, NULL, 'PTHR45714:SF24', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', NULL, NULL, NULL, 15),
(94226, NULL, 'PTHR23430:SF314', NULL, NULL, NULL, NULL, 'HISTONE H2A.4-RELATED', NULL, NULL, NULL, 15),
(94227, NULL, 'PTHR33711:SF1', NULL, NULL, NULL, NULL, 'PROTOCATECHUATE 3,4-DIOXYGENASE BETA CHAIN', NULL, NULL, NULL, 15),
(94228, NULL, 'PTHR10315:SF120', NULL, NULL, NULL, NULL, 'BNAA08G13990D PROTEIN', NULL, NULL, NULL, 15),
(94229, NULL, 'PTHR47992:SF74', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C FAMILY PROTEIN', NULL, NULL, NULL, 15),
(94230, NULL, 'PTHR47212:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94231, NULL, 'PTHR44042:SF6', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(94232, NULL, 'PTHR47784:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(94233, NULL, 'PTHR23267:SF429', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-6', NULL, NULL, NULL, 15),
(94234, NULL, 'PTHR34794:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94235, NULL, 'PTHR15410', NULL, NULL, NULL, NULL, 'HIRA-INTERACTING PROTEIN 3', NULL, NULL, 33879, 15),
(94236, NULL, 'PTHR37610:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', NULL, NULL, NULL, 15),
(94237, NULL, 'PTHR23266:SF238', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 4-34-RELATED', NULL, NULL, NULL, 15),
(94238, NULL, 'PTHR20765:SF1', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 43 MEMBER 3', NULL, NULL, NULL, 15),
(94239, NULL, 'PTHR24418:SF401', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(94240, NULL, 'PTHR38432:SF1', NULL, NULL, NULL, NULL, 'TELA-LIKE PROTEIN SAOUHSC_01408', NULL, NULL, NULL, 15),
(94241, NULL, 'PTHR11985:SF28', NULL, NULL, NULL, NULL, 'ANAEROBIC GLYCEROL-3-PHOSPHATE DEHYDROGENASE SUBUNIT A', NULL, NULL, NULL, 15),
(94242, NULL, 'PTHR31662:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94243, NULL, 'PTHR10067:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE DECARBOXYLASE PROENZYME, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(94244, NULL, 'PTHR31681:SF70', NULL, NULL, NULL, NULL, 'BNAANNG20320D PROTEIN', NULL, NULL, NULL, 15),
(94245, NULL, 'PTHR10209:SF775', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(94246, NULL, 'PTHR34500:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(94247, NULL, 'PTHR12247:SF136', NULL, NULL, NULL, NULL, 'SAM-MOTIF UBIQUITOUSLY EXPRESSED PUNCTATEDLY LOCALIZED PROTEIN, ISOFORM A', NULL, NULL, NULL, 15),
(94248, NULL, 'PTHR43570', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, 13570, 15),
(94249, NULL, 'PTHR19143:SF254', NULL, NULL, NULL, NULL, 'TENASCIN-R', NULL, NULL, 35644, 15),
(94250, NULL, 'PTHR10989:SF11', NULL, NULL, NULL, NULL, 'ANDROGEN-INDUCED GENE 1 PROTEIN', NULL, NULL, NULL, 15),
(94251, NULL, 'PTHR35102:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(94252, NULL, 'PTHR24298:SF683', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(94253, NULL, 'PTHR11607', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE', NULL, NULL, NULL, 15),
(94254, NULL, 'PTHR12301:SF4', NULL, NULL, NULL, NULL, 'SAM DOMAIN-CONTAINING PROTEIN SAMSN-1', NULL, NULL, NULL, 15),
(94255, NULL, 'PTHR12132:SF2', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD59', NULL, NULL, 15099, 15),
(94256, NULL, 'PTHR37409:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94257, NULL, 'PTHR47382:SF1', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 52-LIKE', NULL, NULL, NULL, 15),
(94258, NULL, 'PTHR36264', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94259, NULL, 'PTHR33401:SF10', NULL, NULL, NULL, NULL, 'BNACNNG69740D PROTEIN', NULL, NULL, NULL, 15),
(94260, NULL, 'PTHR22811:SF165', NULL, NULL, NULL, NULL, 'BNACNNG39600D PROTEIN', NULL, NULL, NULL, 15),
(94261, NULL, 'PTHR11165:SF153', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(94262, NULL, 'PTHR23077:SF160', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 48 HOMOLOG D', NULL, NULL, NULL, 15),
(94263, NULL, 'PTHR11850:SF231', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ATH1', NULL, NULL, NULL, 15),
(94264, NULL, 'PTHR46285:SF14', NULL, NULL, NULL, NULL, 'BNAC03G70350D PROTEIN', NULL, NULL, NULL, 15),
(94265, NULL, 'PTHR13586:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LSM14 HOMOLOG A', NULL, NULL, NULL, 15),
(94266, NULL, 'PTHR23077:SF166', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 48 HOMOLOG', NULL, NULL, NULL, 15),
(94267, NULL, 'PTHR30480', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE-RELATED', NULL, NULL, NULL, 15),
(94268, NULL, 'PTHR28038', NULL, NULL, NULL, NULL, 'ADL329WP', NULL, NULL, NULL, 15),
(94269, NULL, 'PTHR31698:SF8', NULL, NULL, NULL, NULL, 'LYSOZYME G', NULL, NULL, NULL, 15),
(94270, NULL, 'PTHR31972:SF66', NULL, NULL, NULL, NULL, 'BNACNNG20030D PROTEIN', NULL, NULL, NULL, 15),
(94271, NULL, 'PTHR40080:SF1', NULL, NULL, NULL, NULL, 'LMO1763 PROTEIN', NULL, NULL, NULL, 15),
(94272, NULL, 'PTHR10788:SF105', NULL, NULL, NULL, NULL, 'BNAA01G22200D PROTEIN', NULL, NULL, NULL, 15),
(94273, NULL, 'PTHR30086:SF19', NULL, NULL, NULL, NULL, 'THREONINE EFFLUX PROTEIN', NULL, NULL, NULL, 15),
(94274, NULL, 'PTHR15690', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 6', NULL, NULL, 24337, 15),
(94275, NULL, 'PTHR33179:SF10', NULL, NULL, NULL, NULL, 'OS02G0753700 PROTEIN', NULL, NULL, NULL, 15),
(94276, NULL, 'PTHR10381:SF57', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', NULL, NULL, NULL, 15),
(94277, NULL, 'PTHR47928:SF42', NULL, NULL, NULL, NULL, 'OS03G0314400 PROTEIN', NULL, NULL, NULL, 15),
(94278, NULL, 'PTHR13890:SF2', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-4-RELATED', NULL, NULL, NULL, 15),
(94279, NULL, 'PTHR47999:SF72', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB6-LIKE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94280, NULL, 'PTHR38926:SF41', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP19-LIKE', NULL, NULL, NULL, 15),
(94281, NULL, 'PTHR31003:SF41', NULL, NULL, NULL, NULL, 'BNAC09G21560D PROTEIN', NULL, NULL, NULL, 15),
(94282, NULL, 'PTHR31374:SF195', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(94283, NULL, 'PTHR11764:SF48', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(94284, NULL, 'PTHR35121:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94285, NULL, 'PTHR11945:SF676', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94286, NULL, 'PTHR46101:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94287, NULL, 'PTHR10036:SF18', NULL, NULL, NULL, NULL, 'SI:CH73-28H20.1', NULL, NULL, NULL, 15),
(94288, NULL, 'PTHR13697', NULL, NULL, NULL, NULL, 'PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(94289, NULL, 'PTHR10983:SF9', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE GAMMA', NULL, NULL, NULL, 15),
(94290, NULL, 'PTHR11475:SF108', NULL, NULL, NULL, NULL, 'MYELOPEROXIDASE', NULL, NULL, 22953, 15),
(94291, NULL, 'PTHR24177:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94292, NULL, 'PTHR24039:SF33', NULL, NULL, NULL, NULL, 'EGF-CONTAINING FIBULIN-LIKE EXTRACELLULAR MATRIX PROTEIN 1', NULL, NULL, NULL, 15),
(94293, NULL, 'PTHR33622:SF14', NULL, NULL, NULL, NULL, 'BNAA07G24460D PROTEIN', NULL, NULL, NULL, 15),
(94294, NULL, 'PTHR44372:SF8', NULL, NULL, NULL, NULL, 'BNAC08G13770D PROTEIN', NULL, NULL, NULL, 15),
(94295, NULL, 'PTHR10885:SF12', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE I-LIKE', NULL, NULL, NULL, 15),
(94296, NULL, 'PTHR10795:SF706', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.3', NULL, NULL, NULL, 15),
(94297, NULL, 'PTHR35893:SF3', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(94298, NULL, 'PTHR23423:SF21', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER ALPHA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(94299, NULL, 'PTHR46925:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR TKR-1-RELATED', NULL, NULL, NULL, 15),
(94300, NULL, 'PTHR13215:SF6', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II TRANSCRIPTIONAL COACTIVATOR KELP', NULL, NULL, NULL, 15),
(94301, NULL, 'PTHR36432:SF4', NULL, NULL, NULL, NULL, 'TRANSITION STATE REGULATOR ABH-RELATED', NULL, NULL, NULL, 15),
(94302, NULL, 'PTHR10015:SF312', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-4D', NULL, NULL, NULL, 15),
(94303, NULL, 'PTHR33115:SF22', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(94304, NULL, 'PTHR14096:SF35', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L 10A-RELATED', NULL, NULL, NULL, 15),
(94305, NULL, 'PTHR46039:SF2', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE 1', NULL, NULL, NULL, 15),
(94306, NULL, 'PTHR46400', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, 32183, 15),
(94307, NULL, 'PTHR10285:SF97', NULL, NULL, NULL, NULL, 'URIDINE KINASE-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(94308, NULL, 'PTHR43300:SF8', NULL, NULL, NULL, NULL, 'TRANSFERASE HEXAPEPTIDE REPEAT CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(94309, NULL, 'PTHR24296:SF113', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 96 SUBFAMILY A POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(94310, NULL, 'PTHR45708:SF4', NULL, NULL, NULL, NULL, 'XYLANASE INHIBITOR PROTEIN 1', NULL, NULL, NULL, 15),
(94311, NULL, 'PTHR10334:SF382', NULL, NULL, NULL, NULL, 'ANTARES, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(94312, NULL, 'PTHR10865:SF22', NULL, NULL, NULL, NULL, 'MESODERM INDUCTION EARLY RESPONSE PROTEIN 3', NULL, NULL, 27103, 15),
(94313, NULL, 'PTHR31154:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11920', NULL, NULL, NULL, 15),
(94314, NULL, 'PTHR35504:SF1', NULL, NULL, NULL, NULL, 'PROTEIN EMBRYONIC FLOWER 1', NULL, NULL, NULL, 15),
(94315, NULL, 'PTHR46816:SF9', NULL, NULL, NULL, NULL, 'BNAANNG23890D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94316, NULL, 'PTHR43712:SF9', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE ASQN', NULL, NULL, NULL, 15),
(94317, NULL, 'PTHR40468:SF1', NULL, NULL, NULL, NULL, 'YALI0A15257P', NULL, NULL, NULL, 15),
(94318, NULL, 'PTHR33641:SF20', NULL, NULL, NULL, NULL, 'BNAA05G17920D PROTEIN', NULL, NULL, NULL, 15),
(94319, NULL, 'PTHR46477:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94320, NULL, 'PTHR30546:SF34', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN-LIKE PROTEIN YCP4', NULL, NULL, NULL, 15),
(94321, NULL, 'PTHR10848', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN SPO11', NULL, NULL, 4952, 15),
(94322, NULL, 'PTHR15486:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94323, NULL, 'PTHR11132:SF293', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER E4', NULL, NULL, NULL, 15),
(94324, NULL, 'PTHR47390', NULL, NULL, NULL, NULL, 'PODOPLANIN', NULL, NULL, NULL, 15),
(94325, NULL, 'PTHR47999:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94326, NULL, 'PTHR26453:SF50', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2A12', NULL, NULL, NULL, 15),
(94327, NULL, 'PTHR43560', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT B', NULL, NULL, NULL, 15),
(94328, NULL, 'PTHR46499:SF1', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(94329, NULL, 'PTHR11439:SF300', NULL, NULL, NULL, NULL, 'BNAC03G13530D PROTEIN', NULL, NULL, NULL, 15),
(94330, NULL, 'PTHR14003', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR PROTEIN YY', NULL, NULL, NULL, 15),
(94331, NULL, 'PTHR15635:SF11', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(94332, NULL, 'PTHR33405', NULL, NULL, NULL, NULL, 'PROTEIN FLX-LIKE 2', NULL, NULL, 31747, 15),
(94333, NULL, 'PTHR18945:SF854', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(94334, NULL, 'PTHR43795:SF89', NULL, NULL, NULL, NULL, 'BNAA03G47880D PROTEIN', NULL, NULL, NULL, 15),
(94335, NULL, 'PTHR32085:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CSF1', NULL, NULL, NULL, 15),
(94336, NULL, 'PTHR42305:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN RV1733C-RELATED', NULL, NULL, NULL, 15),
(94337, NULL, 'PTHR18966:SF490', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(94338, NULL, 'PTHR23301:SF76', NULL, NULL, NULL, NULL, 'GH09355P-RELATED', NULL, NULL, NULL, 15),
(94339, NULL, 'PTHR43254', NULL, NULL, NULL, NULL, 'C-TERMINAL BINDING PROTEIN AN-RELATED', NULL, NULL, 37687, 15),
(94340, NULL, 'PTHR23255:SF66', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RECEPTOR R3', NULL, NULL, NULL, 15),
(94341, NULL, 'PTHR46318:SF2', NULL, NULL, NULL, NULL, 'UPSTREAM-BINDING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(94342, NULL, 'PTHR33384:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94343, NULL, 'PTHR11746:SF241', NULL, NULL, NULL, NULL, 'ACETYLSEROTONIN O-METHYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(94344, NULL, 'PTHR14194:SF101', NULL, NULL, NULL, NULL, 'BNAA10G27260D PROTEIN', NULL, NULL, NULL, 15),
(94345, NULL, 'PTHR16537:SF1', NULL, NULL, NULL, NULL, 'SJOEGREN SYNDROME/SCLERODERMA AUTOANTIGEN 1', NULL, NULL, NULL, 15),
(94346, NULL, 'PTHR43767:SF9', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE', NULL, NULL, NULL, 15),
(94347, NULL, 'PTHR30329:SF2', NULL, NULL, NULL, NULL, 'MOTILITY PROTEIN B', NULL, NULL, NULL, 15),
(94348, NULL, 'PTHR47614:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94349, NULL, 'PTHR31205:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94350, NULL, 'PTHR40613', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 25928, 15),
(94351, NULL, 'PTHR28453:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SNORC', NULL, NULL, NULL, 15),
(94352, NULL, 'PTHR10574:SF405', NULL, NULL, NULL, NULL, 'WING BLISTER, ISOFORM B', NULL, NULL, NULL, 15),
(94353, NULL, 'PTHR45767:SF4', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN O3', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94354, NULL, 'PTHR35767:SF6', NULL, NULL, NULL, NULL, 'BNAA03G11030D PROTEIN', NULL, NULL, NULL, 15),
(94355, NULL, 'PTHR14845:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 166', NULL, NULL, NULL, 15),
(94356, NULL, 'PTHR47982:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94357, NULL, 'PTHR40381', NULL, NULL, NULL, NULL, 'PEROXISOMAL TESTIS-SPECIFIC PROTEIN 1', NULL, NULL, 21735, 15),
(94358, NULL, 'PTHR13890:SF7', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-D-RELATED', NULL, NULL, NULL, 15),
(94359, NULL, 'PTHR21275:SF1', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(94360, NULL, 'PTHR10983:SF62', NULL, NULL, NULL, NULL, 'BNACNNG66630D PROTEIN', NULL, NULL, NULL, 15),
(94361, NULL, 'PTHR18945:SF802', NULL, NULL, NULL, NULL, 'RH55021P', NULL, NULL, NULL, 15),
(94362, NULL, 'PTHR35615:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94363, NULL, 'PTHR27008:SF474', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94364, NULL, 'PTHR10179:SF79', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 2', NULL, NULL, NULL, 15),
(94365, NULL, 'PTHR23155:SF991', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(94366, NULL, 'PTHR43283:SF10', NULL, NULL, NULL, NULL, 'BLR0815 PROTEIN', NULL, NULL, NULL, 15),
(94367, NULL, 'PTHR31896:SF45', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED PSEUDOMONAS SUSCEPTIBILTY 1', NULL, NULL, NULL, 15),
(94368, NULL, 'PTHR45657:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94369, NULL, 'PTHR36306', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE-RELATED-RELATED', NULL, NULL, NULL, 15),
(94370, NULL, 'PTHR11945:SF607', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', NULL, NULL, NULL, 15),
(94371, NULL, 'PTHR15225:SF4', NULL, NULL, NULL, NULL, 'N-MYC-INTERACTOR', NULL, NULL, 33622, 15),
(94372, NULL, 'PTHR42683:SF1', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 5', NULL, NULL, NULL, 15),
(94373, NULL, 'PTHR10366:SF317', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY 42E MEMBER 1', NULL, NULL, NULL, 15),
(94374, NULL, 'PTHR45832', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94375, NULL, 'PTHR23090:SF7', NULL, NULL, NULL, NULL, 'NH(3)-DEPENDENT NAD(+) SYNTHETASE', NULL, NULL, NULL, 15),
(94376, NULL, 'PTHR47926:SF61', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(94377, NULL, 'PTHR35304:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94378, NULL, 'PTHR31956:SF2', NULL, NULL, NULL, NULL, 'NON-SPECIFIC PHOSPHOLIPASE C6', NULL, NULL, NULL, 15),
(94379, NULL, 'PTHR46398:SF7', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(94380, NULL, 'PTHR15835:SF6', NULL, NULL, NULL, NULL, 'F20D23.9 PROTEIN', NULL, NULL, NULL, 15),
(94381, NULL, 'PTHR37868:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 190', NULL, NULL, NULL, 15),
(94382, NULL, 'PTHR24384:SF178', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 679-RELATED', NULL, NULL, NULL, 15),
(94383, NULL, 'PTHR11435:SF1', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 6', NULL, NULL, NULL, 15),
(94384, NULL, 'PTHR47462:SF1', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 5', NULL, NULL, NULL, 15),
(94385, NULL, 'PTHR14583:SF0', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC304654', NULL, NULL, NULL, 15),
(94386, NULL, 'PTHR24070:SF206', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN RASB', NULL, NULL, NULL, 15),
(94387, NULL, 'PTHR23045:SF9', NULL, NULL, NULL, NULL, 'GENE 884-RELATED', NULL, NULL, NULL, 15),
(94388, NULL, 'PTHR43085:SF7', NULL, NULL, NULL, NULL, 'FRUCTOKINASE-7-RELATED', NULL, NULL, NULL, 15),
(94389, NULL, 'PTHR11937:SF484', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94390, NULL, 'PTHR30231:SF31', NULL, NULL, NULL, NULL, 'PROTEIN NEN2', NULL, NULL, NULL, 15),
(94391, NULL, 'PTHR16022', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 60', NULL, NULL, 39876, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94392, NULL, 'PTHR43719:SF51', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE 4', NULL, NULL, NULL, 15),
(94393, NULL, 'PTHR33149:SF34', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC REACTION CENTRE, L/M-RELATED', NULL, NULL, NULL, 15),
(94394, NULL, 'PTHR31506:SF22', NULL, NULL, NULL, NULL, 'PROTEIN BRASSINAZOLE-RESISTANT 1', NULL, NULL, NULL, 15),
(94395, NULL, 'PTHR48075:SF5', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-COA DEHYDROGENASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(94396, NULL, 'PTHR15275', NULL, NULL, NULL, NULL, 'CG1 PROTEIN/F18', NULL, NULL, 27704, 15),
(94397, NULL, 'PTHR13318:SF153', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(94398, NULL, 'PTHR45639:SF20', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(94399, NULL, 'PTHR31677:SF91', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF091', NULL, NULL, NULL, 15),
(94400, NULL, 'PTHR24241:SF83', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 150-RELATED', NULL, NULL, NULL, 15),
(94401, NULL, 'PTHR32010:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94402, NULL, 'PTHR10454:SF131', NULL, NULL, NULL, NULL, 'CASPASE-14', NULL, NULL, 31565, 15),
(94403, NULL, 'PTHR23423:SF19', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 184E', NULL, NULL, NULL, 15),
(94404, NULL, 'PTHR10969:SF85', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(94405, NULL, 'PTHR14758:SF6', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 110 MEMBER C', NULL, NULL, NULL, 15),
(94406, NULL, 'PTHR48000:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94407, NULL, 'PTHR11984:SF33', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-1 PROTEIN', NULL, NULL, 328, 15),
(94408, NULL, 'PTHR11589:SF4', NULL, NULL, NULL, NULL, 'NEUROTROPHIN-3', NULL, NULL, 9714, 15),
(94409, NULL, 'PTHR31453:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 236', NULL, NULL, NULL, 15),
(94410, NULL, 'PTHR13285:SF20', NULL, NULL, NULL, NULL, 'PROTEIN-CYSTEINE N-PALMITOYLTRANSFERASE HHAT', NULL, NULL, 27074, 15),
(94411, NULL, 'PTHR30616:SF2', NULL, NULL, NULL, NULL, 'LACCASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(94412, NULL, 'PTHR31802:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94413, NULL, 'PTHR23036:SF163', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR-LIKE FACTOR 2', NULL, NULL, NULL, 15),
(94414, NULL, 'PTHR34994:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM25A-RELATED', NULL, NULL, NULL, 15),
(94415, NULL, 'PTHR48055:SF2', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(94416, NULL, 'PTHR32278:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94417, NULL, 'PTHR19303:SF46', NULL, NULL, NULL, NULL, 'DISTAL ANTENNA', NULL, NULL, NULL, 15),
(94418, NULL, 'PTHR31062:SF164', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 24', NULL, NULL, NULL, 15),
(94419, NULL, 'PTHR26452:SF91', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(94420, NULL, 'PTHR27008:SF426', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94421, NULL, 'PTHR28489:SF3', NULL, NULL, NULL, NULL, 'PROTEIN RD3-LIKE', NULL, NULL, NULL, 15),
(94422, NULL, 'PTHR10791:SF189', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(94423, NULL, 'PTHR12298:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94424, NULL, 'PTHR47072', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94425, NULL, 'PTHR36028:SF6', NULL, NULL, NULL, NULL, 'ATP SYNTHASE E CHAIN', NULL, NULL, NULL, 15),
(94426, NULL, 'PTHR47942:SF17', NULL, NULL, NULL, NULL, 'OS05G0481800 PROTEIN', NULL, NULL, NULL, 15),
(94427, NULL, 'PTHR24020:SF51', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING 1', NULL, NULL, 24726, 15),
(94428, NULL, 'PTHR36037:SF1', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE (REVERSE TRANSCRIPTASE)-RELATED FAMILY PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94429, NULL, 'PTHR28583:SF1', NULL, NULL, NULL, NULL, 'ACID CERAMIDASE', NULL, NULL, NULL, 15),
(94430, NULL, 'PTHR42799:SF16', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE A2', NULL, NULL, NULL, 15),
(94431, NULL, 'PTHR31832:SF66', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 19', NULL, NULL, NULL, 15),
(94432, NULL, 'PTHR16453:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94433, NULL, 'PTHR31677:SF129', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 12', NULL, NULL, NULL, 15),
(94434, NULL, 'PTHR34131:SF3', NULL, NULL, NULL, NULL, '(RAP ANNOTATION RELEASE2) GALACTOSE-BINDING LIKE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(94435, NULL, 'PTHR35358:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94436, NULL, 'PTHR34223:SF51', NULL, NULL, NULL, NULL, 'OS11G0201299 PROTEIN', NULL, NULL, NULL, 15),
(94437, NULL, 'PTHR22849:SF149', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(94438, NULL, 'PTHR32153:SF54', NULL, NULL, NULL, NULL, 'BNACNNG17150D PROTEIN', NULL, NULL, NULL, 15),
(94439, NULL, 'PTHR19288:SF79', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE', NULL, NULL, NULL, 15),
(94440, NULL, 'PTHR37841', NULL, NULL, NULL, NULL, 'GLR2918 PROTEIN', NULL, NULL, NULL, 15),
(94441, NULL, 'PTHR13620:SF59', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(94442, NULL, 'PTHR33414:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 1', NULL, NULL, 34043, 15),
(94443, NULL, 'PTHR31808:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0093F12.3 PROTEIN', NULL, NULL, NULL, 15),
(94444, NULL, 'PTHR33619', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE EXPORT PROTEIN GFCE-RELATED', NULL, NULL, NULL, 15),
(94445, NULL, 'PTHR37202:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94446, NULL, 'PTHR11668:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG11338', NULL, NULL, NULL, 15),
(94447, NULL, 'PTHR28188:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM5', NULL, NULL, NULL, 15),
(94448, NULL, 'PTHR11875:SF125', NULL, NULL, NULL, NULL, 'BNAA09G44140D PROTEIN', NULL, NULL, NULL, 15),
(94449, NULL, 'PTHR10992:SF1009', NULL, NULL, NULL, NULL, 'METHYLESTERASE 2-RELATED', NULL, NULL, NULL, 15),
(94450, NULL, 'PTHR19876:SF1', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(94451, NULL, 'PTHR21450:SF38', NULL, NULL, NULL, NULL, 'OS04G0562800 PROTEIN', NULL, NULL, NULL, 15),
(94452, NULL, 'PTHR30146:SF67', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ASCG', NULL, NULL, NULL, 15),
(94453, NULL, 'PTHR16087', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 206', NULL, NULL, 28297, 15),
(94454, NULL, 'PTHR36849', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(94455, NULL, 'PTHR41291:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94456, NULL, 'PTHR12416:SF2', NULL, NULL, NULL, NULL, 'RRNA-PROCESSING PROTEIN FCF1 HOMOLOG', NULL, NULL, NULL, 15),
(94457, NULL, 'PTHR47924:SF29', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(94458, NULL, 'PTHR10996:SF259', NULL, NULL, NULL, NULL, 'BNAA09G47060D PROTEIN', NULL, NULL, NULL, 15),
(94459, NULL, 'PTHR46116', NULL, NULL, NULL, NULL, '(E3-INDEPENDENT) E2 UBIQUITIN-CONJUGATING ENZYME', NULL, NULL, NULL, 15),
(94460, NULL, 'PTHR46128:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94461, NULL, 'PTHR31675:SF25', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC TRANSCRIPTION FACTOR YABBY FAMILY PROTEIN', NULL, NULL, NULL, 15),
(94462, NULL, 'PTHR27006:SF386', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(94463, NULL, 'PTHR11937:SF276', NULL, NULL, NULL, NULL, 'ACTIN 3', NULL, NULL, NULL, 15),
(94464, NULL, 'PTHR36484:SF2', NULL, NULL, NULL, NULL, 'OS01G0558700 PROTEIN', NULL, NULL, NULL, 15),
(94465, NULL, 'PTHR23299:SF38', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1B', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94466, NULL, 'PTHR30266:SF2', NULL, NULL, NULL, NULL, 'LARGE-CONDUCTANCE MECHANOSENSITIVE CHANNEL', NULL, NULL, NULL, 15),
(94467, NULL, 'PTHR13742:SF20', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-LIKE PROTEIN 1', NULL, NULL, 24392, 15),
(94468, NULL, 'PTHR28242:SF55', NULL, NULL, NULL, NULL, 'BNAA09G02590D PROTEIN', NULL, NULL, NULL, 15),
(94469, NULL, 'PTHR14826:SF12', NULL, NULL, NULL, NULL, 'ANGIOMOTIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(94470, NULL, 'PTHR37433:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG16245', NULL, NULL, NULL, 15),
(94471, NULL, 'PTHR46038', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, 39343, 15),
(94472, NULL, 'PTHR33167:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94473, NULL, 'PTHR10108:SF37', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT6-RELATED', NULL, NULL, NULL, 15),
(94474, NULL, 'PTHR31213:SF99', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL9', NULL, NULL, NULL, 15),
(94475, NULL, 'PTHR11219:SF70', NULL, NULL, NULL, NULL, 'PROTEIN CBG11506', NULL, NULL, NULL, 15),
(94476, NULL, 'PTHR13586:SF19', NULL, NULL, NULL, NULL, 'LSM DOMAIN, FDF DOMAIN, FFD BOX, DFDF DOMAIN, TFG BOX-RELATED', NULL, NULL, NULL, 15),
(94477, NULL, 'PTHR23315:SF281', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(94478, NULL, 'PTHR43464:SF49', NULL, NULL, NULL, NULL, 'TELLURITE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(94479, NULL, 'PTHR31678', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 6-3', NULL, NULL, 33671, 15),
(94480, NULL, 'PTHR11711:SF360', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(94481, NULL, 'PTHR23268:SF73', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 28', NULL, NULL, NULL, 15),
(94482, NULL, 'PTHR24376:SF172', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 814', NULL, NULL, NULL, 15),
(94483, NULL, 'PTHR22811:SF142', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24', NULL, NULL, NULL, 15),
(94484, NULL, 'PTHR17920:SF7', NULL, NULL, NULL, NULL, 'OS10G0512100 PROTEIN', NULL, NULL, NULL, 15),
(94485, NULL, 'PTHR33221:SF2', NULL, NULL, NULL, NULL, 'RRF2 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(94486, NULL, 'PTHR46220:SF15', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT ARF-TYPE GTPASE ACTIVATING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(94487, NULL, 'PTHR31865:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94488, NULL, 'PTHR33395:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94489, NULL, 'PTHR31072:SF134', NULL, NULL, NULL, NULL, 'TCP FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(94490, NULL, 'PTHR16004', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 31-RELATED', NULL, NULL, 23350, 15),
(94491, NULL, 'PTHR14315:SF16', NULL, NULL, NULL, NULL, 'MID1-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(94492, NULL, 'PTHR48080:SF6', NULL, NULL, NULL, NULL, 'STARVATION-SENSING PROTEIN RSPA', NULL, NULL, 9688, 15),
(94493, NULL, 'PTHR31692:SF78', NULL, NULL, NULL, NULL, 'BETA-EXPANSIN 1A', NULL, NULL, NULL, 15),
(94494, NULL, 'PTHR42877:SF5', NULL, NULL, NULL, NULL, 'IFK2P', NULL, NULL, NULL, 15),
(94495, NULL, 'PTHR13871:SF34', NULL, NULL, NULL, NULL, 'PROTEIN CBG03662', NULL, NULL, NULL, 15),
(94496, NULL, 'PTHR31655:SF4', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 78 MEMBER BA', NULL, NULL, NULL, 15),
(94497, NULL, 'PTHR38834:SF3', NULL, NULL, NULL, NULL, 'PERIPLASMIC SUBSTRATE BINDING PROTEIN FAMILY 3', NULL, NULL, NULL, 15),
(94498, NULL, 'PTHR10566:SF115', NULL, NULL, NULL, NULL, 'PROTEIN ACTIVITY OF BC1 COMPLEX KINASE 8, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(94499, NULL, 'PTHR46968', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF138', NULL, NULL, NULL, 15),
(94500, NULL, 'PTHR28564:SF1', NULL, NULL, NULL, NULL, 'STANNIN', NULL, NULL, NULL, 15),
(94501, NULL, 'PTHR14255:SF28', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN TAUE-RELATED', NULL, NULL, NULL, 15),
(94502, NULL, 'PTHR31731:SF127', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94503, NULL, 'PTHR10108:SF1093', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT3-RELATED', NULL, NULL, NULL, 15),
(94504, NULL, 'PTHR21011:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94505, NULL, 'PTHR19431:SF6', NULL, NULL, NULL, NULL, 'BNAC03G35890D PROTEIN', NULL, NULL, NULL, 15),
(94506, NULL, 'PTHR10380:SF153', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 47EA', NULL, NULL, NULL, 15),
(94507, NULL, 'PTHR30333', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE PROTEIN', NULL, NULL, NULL, 15),
(94508, NULL, 'PTHR24027:SF78', NULL, NULL, NULL, NULL, 'CADHERIN-LIKE PROTEIN 26', NULL, NULL, NULL, 15),
(94509, NULL, 'PTHR23226:SF157', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(94510, NULL, 'PTHR31681:SF43', NULL, NULL, NULL, NULL, 'BNACNNG47050D PROTEIN', NULL, NULL, NULL, 15),
(94511, NULL, 'PTHR11205:SF48', NULL, NULL, NULL, NULL, 'BNAA03G17150D PROTEIN', NULL, NULL, NULL, 15),
(94512, NULL, 'PTHR48056:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94513, NULL, 'PTHR48244:SF2', NULL, NULL, NULL, NULL, 'ZEIN-ALPHA A20', NULL, NULL, NULL, 15),
(94514, NULL, 'PTHR15186:SF3', NULL, NULL, NULL, NULL, 'BCL2/ADENOVIRUS E1B 19 KDA PROTEIN-INTERACTING PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(94515, NULL, 'PTHR33974:SF17', NULL, NULL, NULL, NULL, 'BNAA05G20370D PROTEIN', NULL, NULL, NULL, 15),
(94516, NULL, 'PTHR38686:SF1', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN N-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(94517, NULL, 'PTHR35970', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL AND CLATHRIN LINKER 1', NULL, NULL, 36306, 15),
(94518, NULL, 'PTHR46286:SF11', NULL, NULL, NULL, NULL, 'BNACNNG18840D PROTEIN', NULL, NULL, NULL, 15),
(94519, NULL, 'PTHR45932:SF23', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN, GOLD DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(94520, NULL, 'PTHR45764:SF17', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(94521, NULL, 'PTHR31929:SF50', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN X10A-LIKE', NULL, NULL, NULL, 15),
(94522, NULL, 'PTHR12081:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F4', NULL, NULL, 24333, 15),
(94523, NULL, 'PTHR22811:SF50', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24BETA2', NULL, NULL, NULL, 15),
(94524, NULL, 'PTHR38011:SF7', NULL, NULL, NULL, NULL, '2,5-DIAMINO-6-RIBOSYLAMINO-4(3H)-PYRIMIDINONE 5''-PHOSPHATE REDUCTASE', NULL, NULL, NULL, 15),
(94525, NULL, 'PTHR33254:SF16', NULL, NULL, NULL, NULL, 'BLR3842 PROTEIN', NULL, NULL, NULL, 15),
(94526, NULL, 'PTHR46336:SF22', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN POB1 ISOFORM X1', NULL, NULL, NULL, 15),
(94527, NULL, 'PTHR31589:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94528, NULL, 'PTHR31374:SF180', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(94529, NULL, 'PTHR11486:SF20', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 7', NULL, NULL, 22458, 15),
(94530, NULL, 'PTHR33087:SF33', NULL, NULL, NULL, NULL, 'OS10G0535500 PROTEIN', NULL, NULL, NULL, 15),
(94531, NULL, 'PTHR44083:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94532, NULL, 'PTHR11353:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94533, NULL, 'PTHR31213:SF82', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL11-RELATED', NULL, NULL, NULL, 15),
(94534, NULL, 'PTHR10335:SF0', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 36A-RELATED', NULL, NULL, NULL, 15),
(94535, NULL, 'PTHR45675:SF80', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(94536, NULL, 'PTHR27007:SF317', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.4-LIKE', NULL, NULL, NULL, 15),
(94537, NULL, 'PTHR23232:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94538, NULL, 'PTHR12546:SF37', NULL, NULL, NULL, NULL, 'FER-1-LIKE PROTEIN 6', NULL, NULL, 28523, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94539, NULL, 'PTHR47707', NULL, NULL, NULL, NULL, '8-OXO-DGTP DIPHOSPHATASE', NULL, NULL, NULL, 15),
(94540, NULL, 'PTHR11048:SF40', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOATE POLYPRENYLTRANSFERASE, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(94541, NULL, 'PTHR38393:SF1', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA (GLN) AMIDOTRANSFERASE SUBUNIT C', NULL, NULL, NULL, 15),
(94542, NULL, 'PTHR46506:SF48', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(94543, NULL, 'PTHR10170', NULL, NULL, NULL, NULL, 'HUNTINGTON DISEASE PROTEIN', NULL, NULL, 27392, 15),
(94544, NULL, 'PTHR27003:SF385', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING RECEPTOR-LIKE CYTOPLASMIC KINASE 3-RELATED', NULL, NULL, NULL, 15),
(94545, NULL, 'PTHR24381:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 77', NULL, NULL, NULL, 15),
(94546, NULL, 'PTHR11011:SF94', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(94547, NULL, 'PTHR31639:SF162', NULL, NULL, NULL, NULL, 'OS11G0130500 PROTEIN', NULL, NULL, NULL, 15),
(94548, NULL, 'PTHR44329:SF55', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE A-RAF', NULL, NULL, NULL, 15),
(94549, NULL, 'PTHR46950:SF8', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER CORA FAMILY PROTEIN', NULL, NULL, NULL, 15),
(94550, NULL, 'PTHR31161:SF2', NULL, NULL, NULL, NULL, 'MYOSIN-4 PROTEIN (DUF641)-RELATED', NULL, NULL, NULL, 15),
(94551, NULL, 'PTHR15622:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94552, NULL, 'PTHR30298', NULL, NULL, NULL, NULL, 'H REPEAT-ASSOCIATED PREDICTED TRANSPOSASE', NULL, NULL, NULL, 15),
(94553, NULL, 'PTHR23142:SF1', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR 38A', NULL, NULL, NULL, 15),
(94554, NULL, 'PTHR47590', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP25', NULL, NULL, NULL, 15),
(94555, NULL, 'PTHR26452:SF135', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5H15', NULL, NULL, NULL, 15),
(94556, NULL, 'PTHR22950:SF662', NULL, NULL, NULL, NULL, 'BNAA09G52260D PROTEIN', NULL, NULL, NULL, 15),
(94557, NULL, 'PTHR32266:SF21', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE', NULL, NULL, NULL, 15),
(94558, NULL, 'PTHR14224:SF93', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 20', NULL, NULL, NULL, 15),
(94559, NULL, 'PTHR31286:SF71', NULL, NULL, NULL, NULL, 'ZINC ION BINDING / NUCLEIC ACID BINDING PROTEIN', NULL, NULL, NULL, 15),
(94560, NULL, 'PTHR27007', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94561, NULL, 'PTHR31677:SF109', NULL, NULL, NULL, NULL, 'BNAA07G08450D PROTEIN', NULL, NULL, NULL, 15),
(94562, NULL, 'PTHR13857:SF24', NULL, NULL, NULL, NULL, 'DNA DC-DU-EDITING ENZYME APOBEC-3D', NULL, NULL, NULL, 15),
(94563, NULL, 'PTHR22975:SF31', NULL, NULL, NULL, NULL, 'BNAA03G00630D PROTEIN', NULL, NULL, NULL, 15),
(94564, NULL, 'PTHR31100:SF15', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 24-RELATED', NULL, NULL, NULL, 15),
(94565, NULL, 'PTHR10656:SF69', NULL, NULL, NULL, NULL, 'MAB-21 DOMAIN CONTAINING 2', NULL, NULL, NULL, 15),
(94566, NULL, 'PTHR24296:SF218', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(94567, NULL, 'PTHR11157:SF125', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 6', NULL, NULL, 32499, 15),
(94568, NULL, 'PTHR13678:SF9', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 37B', NULL, NULL, NULL, 15),
(94569, NULL, 'PTHR10587:SF109', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE', NULL, NULL, NULL, 15),
(94570, NULL, 'PTHR47926:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94571, NULL, 'PTHR27006:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94572, NULL, 'PTHR13301:SF27', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', NULL, NULL, NULL, 15),
(94573, NULL, 'PTHR31734:SF126', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA17', NULL, NULL, NULL, 15),
(94574, NULL, 'PTHR21724:SF99', NULL, NULL, NULL, NULL, 'PROTEIN CBG20818', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94575, NULL, 'PTHR47420', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASHR2', NULL, NULL, 37485, 15),
(94576, NULL, 'PTHR24417:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE LMTK1', NULL, NULL, NULL, 15),
(94577, NULL, 'PTHR45633:SF37', NULL, NULL, NULL, NULL, 'BNAC06G41650D PROTEIN', NULL, NULL, NULL, 15),
(94578, NULL, 'PTHR27002:SF729', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(94579, NULL, 'PTHR12652', NULL, NULL, NULL, NULL, 'PEROXISOMAL BIOGENESIS FACTOR 11', NULL, NULL, NULL, 15),
(94580, NULL, 'PTHR31321:SF76', NULL, NULL, NULL, NULL, 'PECTINESTERASE 10-RELATED', NULL, NULL, NULL, 15),
(94581, NULL, 'PTHR24023:SF1017', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94582, NULL, 'PTHR42067:SF1', NULL, NULL, NULL, NULL, 'YALI0C15378P', NULL, NULL, NULL, 15),
(94583, NULL, 'PTHR18896:SF61', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(94584, NULL, 'PTHR10408', NULL, NULL, NULL, NULL, 'STEROL O-ACYLTRANSFERASE', NULL, NULL, 12713, 15),
(94585, NULL, 'PTHR31621:SF37', NULL, NULL, NULL, NULL, 'DUF679 DOMAIN MEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(94586, NULL, 'PTHR43141:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME BD-I UBIQUINOL OXIDASE SUBUNIT 2', NULL, NULL, NULL, 15),
(94587, NULL, 'PTHR12011:SF216', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR D1', NULL, NULL, NULL, 15),
(94588, NULL, 'PTHR46809:SF5', NULL, NULL, NULL, NULL, 'OS08G0440500 PROTEIN', NULL, NULL, NULL, 15),
(94589, NULL, 'PTHR45649', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1', NULL, NULL, NULL, 15),
(94590, NULL, 'PTHR46227', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR-INTERACTING PROTEIN GRIP', NULL, NULL, 38088, 15),
(94591, NULL, 'PTHR43580:SF2', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE GLYR1-RELATED', NULL, NULL, NULL, 15),
(94592, NULL, 'PTHR47685', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORT PROTEIN CORA', NULL, NULL, NULL, 15),
(94593, NULL, 'PTHR10766:SF123', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(94594, NULL, 'PTHR33133:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94595, NULL, 'PTHR37409', NULL, NULL, NULL, NULL, 'RIKEN CDNA D130052B06 GENE', NULL, NULL, NULL, 15),
(94596, NULL, 'PTHR48033:SF5', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(94597, NULL, 'PTHR31352:SF49', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', NULL, NULL, NULL, 15),
(94598, NULL, 'PTHR19143:SF243', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN 2', NULL, NULL, NULL, 15),
(94599, NULL, 'PTHR31260:SF36', NULL, NULL, NULL, NULL, 'BNAA07G09740D PROTEIN', NULL, NULL, NULL, 15),
(94600, NULL, 'PTHR11955:SF144', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN 5-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(94601, NULL, 'PTHR38530:SF1', NULL, NULL, NULL, NULL, 'OS06G0468300 PROTEIN', NULL, NULL, NULL, 15),
(94602, NULL, 'PTHR42760:SF88', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE 1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(94603, NULL, 'PTHR10686:SF35', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 19 MEMBER 3A', NULL, NULL, NULL, 15),
(94604, NULL, 'PTHR10540:SF24', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 6A', NULL, NULL, NULL, 15),
(94605, NULL, 'PTHR10829', NULL, NULL, NULL, NULL, 'CORTACTIN AND DREBRIN', NULL, NULL, NULL, 15),
(94606, NULL, 'PTHR11926:SF1418', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(94607, NULL, 'PTHR47828:SF1', NULL, NULL, NULL, NULL, 'ARCHAEAL HISTONE A', NULL, NULL, NULL, 15),
(94608, NULL, 'PTHR10177:SF214', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN-B3', NULL, NULL, 9220, 15),
(94609, NULL, 'PTHR12892:SF17', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 2-LIKE', NULL, NULL, NULL, 15),
(94610, NULL, 'PTHR24247:SF172', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 10-RELATED', NULL, NULL, NULL, 15),
(94611, NULL, 'PTHR22893:SF113', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 13-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94612, NULL, 'PTHR10996:SF114', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE A', NULL, NULL, NULL, 15),
(94613, NULL, 'PTHR31225:SF72', NULL, NULL, NULL, NULL, 'OS03G0348200 PROTEIN', NULL, NULL, NULL, 15),
(94614, NULL, 'PTHR12225', NULL, NULL, NULL, NULL, 'ADHESION REGULATING MOLECULE 1  110 KDA CELL MEMBRANE GLYCOPROTEIN', NULL, NULL, 3328, 15),
(94615, NULL, 'PTHR11588:SF361', NULL, NULL, NULL, NULL, 'TUBULIN BETA-1 CHAIN', NULL, NULL, NULL, 15),
(94616, NULL, 'PTHR31748', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(94617, NULL, 'PTHR11654:SF456', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(94618, NULL, 'PTHR23237:SF9', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(94619, NULL, 'PTHR31362:SF12', NULL, NULL, NULL, NULL, 'BNAC04G02130D PROTEIN', NULL, NULL, NULL, 15),
(94620, NULL, 'PTHR43879:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(94621, NULL, 'PTHR32100:SF44', NULL, NULL, NULL, NULL, 'DELTA(12) FATTY ACID DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(94622, NULL, 'PTHR46459:SF1', NULL, NULL, NULL, NULL, 'E1A-BINDING PROTEIN P400-RELATED', NULL, NULL, NULL, 15),
(94623, NULL, 'PTHR12635:SF6', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 6', NULL, NULL, 22470, 15),
(94624, NULL, 'PTHR46517:SF2', NULL, NULL, NULL, NULL, 'FRUCTOSE-2,6-BISPHOSPHATASE TIGAR B', NULL, NULL, NULL, 15),
(94625, NULL, 'PTHR31992:SF202', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(94626, NULL, 'PTHR11407:SF25', NULL, NULL, NULL, NULL, 'SPERM ACROSOME MEMBRANE-ASSOCIATED PROTEIN 3', NULL, NULL, 28110, 15),
(94627, NULL, 'PTHR48105:SF22', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE', NULL, NULL, NULL, 15),
(94628, NULL, 'PTHR34890', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 16966, 15),
(94629, NULL, 'PTHR12226:SF2', NULL, NULL, NULL, NULL, 'MANNOSE-P-DOLICHOL UTILIZATION DEFECT 1 PROTEIN', NULL, NULL, NULL, 15),
(94630, NULL, 'PTHR23064', NULL, NULL, NULL, NULL, 'TROPONIN', NULL, NULL, NULL, 15),
(94631, NULL, 'PTHR39474', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(94632, NULL, 'PTHR10031:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94633, NULL, 'PTHR46128:SF229', NULL, NULL, NULL, NULL, 'DROUGHT-INDUCIBLE PROTEIN 1OS', NULL, NULL, NULL, 15),
(94634, NULL, 'PTHR48017:SF166', NULL, NULL, NULL, NULL, 'BNAA06G38000D PROTEIN', NULL, NULL, NULL, 15),
(94635, NULL, 'PTHR10108:SF887', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT23-RELATED', NULL, NULL, NULL, 15),
(94636, NULL, 'PTHR47991:SF79', NULL, NULL, NULL, NULL, 'HYOSCYAMINE 6-DIOXYGENASE', NULL, NULL, NULL, 15),
(94637, NULL, 'PTHR13994:SF41', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 8-LIKE', NULL, NULL, NULL, 15),
(94638, NULL, 'PTHR24369:SF161', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 53', NULL, NULL, NULL, 15),
(94639, NULL, 'PTHR10340:SF34', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(94640, NULL, 'PTHR23430:SF274', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(94641, NULL, 'PTHR16081:SF0', NULL, NULL, NULL, NULL, 'VERTNIN', NULL, NULL, NULL, 15),
(94642, NULL, 'PTHR24061:SF502', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94643, NULL, 'PTHR15856:SF27', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 20', NULL, NULL, 34007, 15),
(94644, NULL, 'PTHR23244:SF450', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94645, NULL, 'PTHR10168:SF296', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C13', NULL, NULL, NULL, 15),
(94646, NULL, 'PTHR28128:SF1', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP15', NULL, NULL, NULL, 15),
(94647, NULL, 'PTHR36204:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLMANNOSAMINE-6-PHOSPHATE 2-EPIMERASE-RELATED', NULL, NULL, NULL, 15),
(94648, NULL, 'PTHR27005:SF177', NULL, NULL, NULL, NULL, 'WAK FAMILY RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94649, NULL, 'PTHR11010:SF102', NULL, NULL, NULL, NULL, 'TWIN-ARGININE TRANSLOCATION PATHWAY, SIGNAL SEQUENCE', NULL, NULL, NULL, 15),
(94650, NULL, 'PTHR12771:SF18', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 26714, 15),
(94651, NULL, 'PTHR24006:SF820', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 17-LIKE', NULL, NULL, NULL, 15),
(94652, NULL, 'PTHR48112:SF13', NULL, NULL, NULL, NULL, 'NON-HISTONE PROTEIN 10', NULL, NULL, 28139, 15),
(94653, NULL, 'PTHR13886:SF7', NULL, NULL, NULL, NULL, 'SI:DKEY-17M8.1', NULL, NULL, NULL, 15),
(94654, NULL, 'PTHR34671:SF17', NULL, NULL, NULL, NULL, 'PROTEIN SLE3', NULL, NULL, NULL, 15),
(94655, NULL, 'PTHR31769:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94656, NULL, 'PTHR31080:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94657, NULL, 'PTHR12413:SF1', NULL, NULL, NULL, NULL, 'DOLICHYL PYROPHOSPHATE MAN9GLCNAC2 ALPHA-1,3-GLUCOSYLTRANSFERASE', NULL, NULL, 35675, 15),
(94658, NULL, 'PTHR46483:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1 PLIP2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(94659, NULL, 'PTHR11206:SF380', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 16', NULL, NULL, NULL, 15),
(94660, NULL, 'PTHR27005:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94661, NULL, 'PTHR32410:SF169', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(94662, NULL, 'PTHR30574:SF1', NULL, NULL, NULL, NULL, 'UPF0394 INNER MEMBRANE PROTEIN YEDE', NULL, NULL, NULL, 15),
(94663, NULL, 'PTHR46051:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94664, NULL, 'PTHR46475:SF12', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR4', NULL, NULL, NULL, 15),
(94665, NULL, 'PTHR48061:SF26', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(94666, NULL, 'PTHR36322:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(94667, NULL, 'PTHR31983:SF0', NULL, NULL, NULL, NULL, 'ENDO-1,3(4)-BETA-GLUCANASE 1', NULL, NULL, NULL, 15),
(94668, NULL, 'PTHR48011:SF15', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(94669, NULL, 'PTHR47993:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94670, NULL, 'PTHR30620:SF95', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE C', NULL, NULL, NULL, 15),
(94671, NULL, 'PTHR14076', NULL, NULL, NULL, NULL, 'RECEPTOR ACTIVITY MODIFYING PROTEIN  RAMP', NULL, NULL, 5857, 15),
(94672, NULL, 'PTHR46632:SF17', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(94673, NULL, 'PTHR11547:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94674, NULL, 'PTHR15317', NULL, NULL, NULL, NULL, 'T-CELL SURFACE PROTEIN TACTILE', NULL, NULL, 39161, 15),
(94675, NULL, 'PTHR35884:SF1', NULL, NULL, NULL, NULL, 'SMALL AGGREGATE FORMATION PROTEIN', NULL, NULL, NULL, 15),
(94676, NULL, 'PTHR10257:SF67', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(94677, NULL, 'PTHR15874', NULL, NULL, NULL, NULL, 'NUCLEOLAR AND SPINDLE-ASSOCIATED PROTEIN 1', NULL, NULL, 25499, 15),
(94678, NULL, 'PTHR20855:SF107', NULL, NULL, NULL, NULL, 'MONOCYTE TO MACROPHAGE DIFFERENTIATION FACTOR 2', NULL, NULL, NULL, 15),
(94679, NULL, 'PTHR11062:SF289', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(94680, NULL, 'PTHR10799:SF970', NULL, NULL, NULL, NULL, 'ISWI CHROMATIN-REMODELING COMPLEX ATPASE CHR11-LIKE', NULL, NULL, NULL, 15),
(94681, NULL, 'PTHR24051:SF10', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE, RECEPTOR TYPE U-RELATED', NULL, NULL, NULL, 15),
(94682, NULL, 'PTHR32054:SF65', NULL, NULL, NULL, NULL, 'BNAANNG08990D PROTEIN', NULL, NULL, NULL, 15),
(94683, NULL, 'PTHR47512:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94684, NULL, 'PTHR22950:SF301', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94685, NULL, 'PTHR24041:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94686, NULL, 'PTHR32468:SF63', NULL, NULL, NULL, NULL, 'OS01G0817400 PROTEIN', NULL, NULL, NULL, 15),
(94687, NULL, 'PTHR31314:SF73', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(94688, NULL, 'PTHR21562:SF84', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(94689, NULL, 'PTHR13809:SF19', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-8', NULL, NULL, NULL, 15),
(94690, NULL, 'PTHR11629:SF22', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 116 KDA SUBUNIT A ISOFORM 2', NULL, NULL, NULL, 15),
(94691, NULL, 'PTHR31113:SF32', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(94692, NULL, 'PTHR43447:SF26', NULL, NULL, NULL, NULL, 'OS01G0856900 PROTEIN', NULL, NULL, NULL, 15),
(94693, NULL, 'PTHR19957:SF80', NULL, NULL, NULL, NULL, 'SYNTAXIN-121', NULL, NULL, NULL, 15),
(94694, NULL, 'PTHR11599:SF178', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, NULL, 15),
(94695, NULL, 'PTHR33333:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94696, NULL, 'PTHR33823:SF4', NULL, NULL, NULL, NULL, 'GENERAL STRESS PROTEIN 16O', NULL, NULL, NULL, 15),
(94697, NULL, 'PTHR13045', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE', NULL, NULL, NULL, 15),
(94698, NULL, 'PTHR11062:SF50', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE ARAD1-RELATED', NULL, NULL, NULL, 15),
(94699, NULL, 'PTHR15481:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94700, NULL, 'PTHR15481:SF5', NULL, NULL, NULL, NULL, 'SQUAMOUS CELL CARCINOMA ANTIGEN RECOGNIZED BY T-CELLS 3', NULL, NULL, NULL, 15),
(94701, NULL, 'PTHR16223:SF229', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH113-LIKE', NULL, NULL, NULL, 15),
(94702, NULL, 'PTHR26450:SF30', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 572', NULL, NULL, NULL, 15),
(94703, NULL, 'PTHR11654:SF494', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94704, NULL, 'PTHR34202:SF1', NULL, NULL, NULL, NULL, 'UPF0548 PROTEIN', NULL, NULL, NULL, 15),
(94705, NULL, 'PTHR43447:SF11', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', NULL, NULL, NULL, 15),
(94706, NULL, 'PTHR37701:SF1', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(94707, NULL, 'PTHR12231', NULL, NULL, NULL, NULL, 'CTX-RELATED TYPE I TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(94708, NULL, 'PTHR36797:SF5', NULL, NULL, NULL, NULL, 'BNAA09G09070D PROTEIN', NULL, NULL, NULL, 15),
(94709, NULL, 'PTHR34834:SF3', NULL, NULL, NULL, NULL, 'GENE, 39566-RELATED', NULL, NULL, NULL, 15),
(94710, NULL, 'PTHR45432:SF2', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 11, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(94711, NULL, 'PTHR31920:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94712, NULL, 'PTHR22835:SF610', NULL, NULL, NULL, NULL, 'LIPASE-LIKE', NULL, NULL, NULL, 15),
(94713, NULL, 'PTHR46788', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(94714, NULL, 'PTHR23201:SF66', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED FAMILY PROTEIN', NULL, NULL, NULL, 15),
(94715, NULL, 'PTHR15298:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94716, NULL, 'PTHR33416:SF27', NULL, NULL, NULL, NULL, 'NUCLEOPORIN-RELATED', NULL, NULL, NULL, 15),
(94717, NULL, 'PTHR46482:SF11', NULL, NULL, NULL, NULL, 'BNAC02G26090D PROTEIN', NULL, NULL, NULL, 15),
(94718, NULL, 'PTHR45614:SF157', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB44', NULL, NULL, NULL, 15),
(94719, NULL, 'PTHR45614:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94720, NULL, 'PTHR22802:SF395', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN 37DA-RELATED', NULL, NULL, NULL, 15),
(94721, NULL, 'PTHR10332:SF72', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94722, NULL, 'PTHR43157:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94723, NULL, 'PTHR24061:SF517', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 1 MEMBER 2', NULL, NULL, NULL, 15),
(94724, NULL, 'PTHR11132:SF351', NULL, NULL, NULL, NULL, 'XYLULOSE 5-PHOSPHATE/PHOSPHATE TRANSLOCATOR, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(94725, NULL, 'PTHR38442', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(94726, NULL, 'PTHR10742:SF398', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(94727, NULL, 'PTHR11260:SF657', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE GST 23-LIKE', NULL, NULL, NULL, 15),
(94728, NULL, 'PTHR11920:SF489', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-3', NULL, NULL, NULL, 15),
(94729, NULL, 'PTHR46681:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94730, NULL, 'PTHR23075:SF8', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(94731, NULL, 'PTHR11958:SF33', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT EXCITATORY AMINO ACID TRANSPORTER GLT-6-RELATED', NULL, NULL, NULL, 15),
(94732, NULL, 'PTHR10209:SF719', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(94733, NULL, 'PTHR45715', NULL, NULL, NULL, NULL, 'ATPASE H+-TRANSPORTING V1 SUBUNIT E1A-RELATED', NULL, NULL, 5285, 15),
(94734, NULL, 'PTHR23155:SF909', NULL, NULL, NULL, NULL, 'OS11G0676100 PROTEIN', NULL, NULL, NULL, 15),
(94735, NULL, 'PTHR13018:SF99', NULL, NULL, NULL, NULL, 'TO DEHYDRATION PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(94736, NULL, 'PTHR21236:SF5', NULL, NULL, NULL, NULL, 'PROTEIN YIPF7', NULL, NULL, NULL, 15),
(94737, NULL, 'PTHR24366:SF134', NULL, NULL, NULL, NULL, 'CHONDROADHERIN LIKE', NULL, NULL, NULL, 15),
(94738, NULL, 'PTHR31104:SF9', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA- GLUCOSAMINYL)ASPARAGINE AMIDASE A-LIKE', NULL, NULL, NULL, 15),
(94739, NULL, 'PTHR23155:SF1045', NULL, NULL, NULL, NULL, 'OS12G0205933 PROTEIN', NULL, NULL, NULL, 15),
(94740, NULL, 'PTHR12652:SF22', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11A', NULL, NULL, NULL, 15),
(94741, NULL, 'PTHR19433:SF127', NULL, NULL, NULL, NULL, 'NOVEL IMMUNE-TYPE RECEPTOR 12-RELATED', NULL, NULL, NULL, 15),
(94742, NULL, 'PTHR12374:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYBS2', NULL, NULL, NULL, 15),
(94743, NULL, 'PTHR10783:SF46', NULL, NULL, NULL, NULL, 'PROTEIN ERD1 HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(94744, NULL, 'PTHR31262:SF14', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(94745, NULL, 'PTHR11827:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94746, NULL, 'PTHR31149:SF10', NULL, NULL, NULL, NULL, 'OS05G0100900 PROTEIN', NULL, NULL, NULL, 15),
(94747, NULL, 'PTHR31579:SF40', NULL, NULL, NULL, NULL, 'BNAA01G19160D PROTEIN', NULL, NULL, NULL, 15),
(94748, NULL, 'PTHR12709:SF3', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE V SUBUNIT 7', NULL, NULL, NULL, 15),
(94749, NULL, 'PTHR23257:SF745', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KINY-RELATED', NULL, NULL, NULL, 15),
(94750, NULL, 'PTHR33110:SF56', NULL, NULL, NULL, NULL, 'OS09G0565350 PROTEIN', NULL, NULL, NULL, 15),
(94751, NULL, 'PTHR15505:SF4', NULL, NULL, NULL, NULL, 'RIIA DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(94752, NULL, 'PTHR11551', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR BINDING PROTEIN', NULL, NULL, NULL, 15),
(94753, NULL, 'PTHR48018:SF89', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(94754, NULL, 'PTHR20932:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94755, NULL, 'PTHR10706:SF139', NULL, NULL, NULL, NULL, 'OS07G0535100 PROTEIN', NULL, NULL, NULL, 15),
(94756, NULL, 'PTHR11654:SF188', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 3.1', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94757, NULL, 'PTHR45850:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94758, NULL, 'PTHR31736:SF18', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(94759, NULL, 'PTHR24286:SF303', NULL, NULL, NULL, NULL, 'BNAA04G13480D PROTEIN', NULL, NULL, NULL, 15),
(94760, NULL, 'PTHR31260:SF58', NULL, NULL, NULL, NULL, 'BNAC07G12930D PROTEIN', NULL, NULL, NULL, 15),
(94761, NULL, 'PTHR33622', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94762, NULL, 'PTHR30537:SF32', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR DSDC', NULL, NULL, NULL, 15),
(94763, NULL, 'PTHR43123', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94764, NULL, 'PTHR24418:SF390', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(94765, NULL, 'PTHR37216', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(94766, NULL, 'PTHR14596:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94767, NULL, 'PTHR10627:SF66', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(94768, NULL, 'PTHR11627:SF48', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(94769, NULL, 'PTHR33562:SF13', NULL, NULL, NULL, NULL, 'GEO08095P1', NULL, NULL, NULL, 15),
(94770, NULL, 'PTHR11877:SF24', NULL, NULL, NULL, NULL, 'OS07G0526400 PROTEIN', NULL, NULL, NULL, 15),
(94771, NULL, 'PTHR23501:SF55', NULL, NULL, NULL, NULL, 'SIDEROPHORE IRON TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03440)-RELATED', NULL, NULL, NULL, 15),
(94772, NULL, 'PTHR48002:SF89', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4D11', NULL, NULL, NULL, 15),
(94773, NULL, 'PTHR23281:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94774, NULL, 'PTHR12939:SF4', NULL, NULL, NULL, NULL, 'GAMMA-SARCOGLYCAN', NULL, NULL, 26304, 15),
(94775, NULL, 'PTHR22747:SF28', NULL, NULL, NULL, NULL, 'NUCLEOPHOSMIN', NULL, NULL, NULL, 15),
(94776, NULL, 'PTHR10110:SF127', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15),
(94777, NULL, 'PTHR34950', NULL, NULL, NULL, NULL, 'OS04G0457400 PROTEIN', NULL, NULL, NULL, 15),
(94778, NULL, 'PTHR14942:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94779, NULL, 'PTHR45961:SF6', NULL, NULL, NULL, NULL, 'IP21249P', NULL, NULL, NULL, 15),
(94780, NULL, 'PTHR33385:SF18', NULL, NULL, NULL, NULL, 'XRI1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(94781, NULL, 'PTHR48052:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94782, NULL, 'PTHR36983', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 13', NULL, NULL, 39121, 15),
(94783, NULL, 'PTHR47403:SF1', NULL, NULL, NULL, NULL, 'LOC100145250 PROTEIN', NULL, NULL, NULL, 15),
(94784, NULL, 'PTHR31621:SF7', NULL, NULL, NULL, NULL, 'OS07G0407900 PROTEIN', NULL, NULL, NULL, 15),
(94785, NULL, 'PTHR10835', NULL, NULL, NULL, NULL, 'SQUALENE MONOOXYGENASE', NULL, NULL, 29999, 15),
(94786, NULL, 'PTHR23291:SF92', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(94787, NULL, 'PTHR23360:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(94788, NULL, 'PTHR42041:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94789, NULL, 'PTHR27008:SF450', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(94790, NULL, 'PTHR24320:SF222', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE TIC 32, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(94791, NULL, 'PTHR11134:SF9', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT BETA', NULL, NULL, NULL, 15),
(94792, NULL, 'PTHR10743:SF17', NULL, NULL, NULL, NULL, 'PROTEIN RER1A', NULL, NULL, NULL, 15),
(94793, NULL, 'PTHR47972:SF32', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14K', NULL, NULL, NULL, 15),
(94794, NULL, 'PTHR16065', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN CONTAINING 198', NULL, NULL, 22264, 15),
(94795, NULL, 'PTHR43107:SF7', NULL, NULL, NULL, NULL, 'LONG-CHAIN FATTY ACID TRANSPORT PROTEIN 1', NULL, NULL, 24763, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94796, NULL, 'PTHR45665:SF42', NULL, NULL, NULL, NULL, 'BNAA01G28120D PROTEIN', NULL, NULL, NULL, 15),
(94797, NULL, 'PTHR11360:SF277', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 22', NULL, NULL, NULL, 15),
(94798, NULL, 'PTHR31228:SF28', NULL, NULL, NULL, NULL, 'BNACNNG63820D PROTEIN', NULL, NULL, NULL, 15),
(94799, NULL, 'PTHR11661:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L12', NULL, NULL, NULL, 15),
(94800, NULL, 'PTHR33110:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94801, NULL, 'PTHR27007:SF309', NULL, NULL, NULL, NULL, 'BNAC09G35940D PROTEIN', NULL, NULL, NULL, 15),
(94802, NULL, 'PTHR21726:SF59', NULL, NULL, NULL, NULL, 'DUF4378 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(94803, NULL, 'PTHR47926:SF284', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(94804, NULL, 'PTHR23267:SF432', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 2-11', NULL, NULL, NULL, 15),
(94805, NULL, 'PTHR47549:SF1', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP38', NULL, NULL, NULL, 15),
(94806, NULL, 'PTHR22808:SF23', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(94807, NULL, 'PTHR33743:SF21', NULL, NULL, NULL, NULL, 'BNAC02G43300D PROTEIN', NULL, NULL, NULL, 15),
(94808, NULL, 'PTHR48047:SF11', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73C3-RELATED', NULL, NULL, NULL, 15),
(94809, NULL, 'PTHR35096', NULL, NULL, NULL, NULL, 'BNAA08G28570D PROTEIN', NULL, NULL, NULL, 15),
(94810, NULL, 'PTHR31471:SF52', NULL, NULL, NULL, NULL, 'F12A21.28', NULL, NULL, NULL, 15),
(94811, NULL, 'PTHR19957:SF124', NULL, NULL, NULL, NULL, 'HL02043P', NULL, NULL, NULL, 15),
(94812, NULL, 'PTHR10693:SF59', NULL, NULL, NULL, NULL, 'G3BP-LIKE PROTEIN ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(94813, NULL, 'PTHR10841:SF26', NULL, NULL, NULL, NULL, 'SYNAPSIN IIA', NULL, NULL, NULL, 15),
(94814, NULL, 'PTHR15092:SF37', NULL, NULL, NULL, NULL, 'TARGET OF EGR1 PROTEIN 1', NULL, NULL, NULL, 15),
(94815, NULL, 'PTHR43133:SF27', NULL, NULL, NULL, NULL, 'SLL0687 PROTEIN', NULL, NULL, NULL, 15),
(94816, NULL, 'PTHR17609:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94817, NULL, 'PTHR46086:SF20', NULL, NULL, NULL, NULL, 'BNAC09G17280D PROTEIN', NULL, NULL, NULL, 15),
(94818, NULL, 'PTHR33638:SF4', NULL, NULL, NULL, NULL, 'BNAC04G36410D PROTEIN', NULL, NULL, NULL, 15),
(94819, NULL, 'PTHR27002:SF509', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 16-RELATED', NULL, NULL, NULL, 15),
(94820, NULL, 'PTHR23267:SF424', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94821, NULL, 'PTHR23050:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94822, NULL, 'PTHR35190:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94823, NULL, 'PTHR47960:SF8', NULL, NULL, NULL, NULL, 'DEAD (ASP-GLU-ALA-ASP) BOX HELICASE 6', NULL, NULL, NULL, 15),
(94824, NULL, 'PTHR24128:SF49', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(94825, NULL, 'PTHR10877:SF145', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY DISEASE PROTEIN 1-LIKE 1', NULL, NULL, NULL, 15),
(94826, NULL, 'PTHR14167:SF89', NULL, NULL, NULL, NULL, 'ENDOPHILIN-A', NULL, NULL, NULL, 15),
(94827, NULL, 'PTHR31388:SF137', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(94828, NULL, 'PTHR10366:SF241', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY 42E MEMBER 2-RELATED', NULL, NULL, NULL, 15),
(94829, NULL, 'PTHR33356', NULL, NULL, NULL, NULL, 'TIP41-LIKE PROTEIN', NULL, NULL, NULL, 15),
(94830, NULL, 'PTHR31639:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94831, NULL, 'PTHR45721:SF11', NULL, NULL, NULL, NULL, 'LAMIN DM0-RELATED', NULL, NULL, NULL, 15),
(94832, NULL, 'PTHR12548:SF22', NULL, NULL, NULL, NULL, 'BNACNNG78250D PROTEIN', NULL, NULL, NULL, 15),
(94833, NULL, 'PTHR30185', NULL, NULL, NULL, NULL, 'CRYPTIC BETA-GLUCOSIDE BGL OPERON ANTITERMINATOR', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94834, NULL, 'PTHR11088:SF72', NULL, NULL, NULL, NULL, 'BNAC09G38810D PROTEIN', NULL, NULL, NULL, 15),
(94835, NULL, 'PTHR15750', NULL, NULL, NULL, NULL, 'VASOHIBIN-1-LIKE ISOFORM X2', NULL, NULL, 22532, 15),
(94836, NULL, 'PTHR11132:SF443', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(94837, NULL, 'PTHR21525', NULL, NULL, NULL, NULL, 'MOTILE SPERM PROTEIN', NULL, NULL, NULL, 15),
(94838, NULL, 'PTHR16223:SF261', NULL, NULL, NULL, NULL, 'OS08G0506700 PROTEIN', NULL, NULL, NULL, 15),
(94839, NULL, 'PTHR10217:SF635', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 6', NULL, NULL, NULL, 15),
(94840, NULL, 'PTHR10266:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME C1-2, HEME PROTEIN, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(94841, NULL, 'PTHR14469:SF4', NULL, NULL, NULL, NULL, 'SIMILAR TO CHROMOSOME 20 OPEN READING FRAME 81', NULL, NULL, NULL, 15),
(94842, NULL, 'PTHR44177:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 8', NULL, NULL, NULL, 15),
(94843, NULL, 'PTHR48053:SF32', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(94844, NULL, 'PTHR19446:SF434', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94845, NULL, 'PTHR15361:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR UBIQUITOUS CASEIN AND CYCLIN-DEPENDENT KINASE SUBSTRATE 1', NULL, NULL, 24107, 15),
(94846, NULL, 'PTHR32448:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94847, NULL, 'PTHR15905:SF1', NULL, NULL, NULL, NULL, 'GOLGI-ASSOCIATED KINASE 1B', NULL, NULL, NULL, 15),
(94848, NULL, 'PTHR11426:SF235', NULL, NULL, NULL, NULL, 'BNAA10G30060D PROTEIN', NULL, NULL, NULL, 15),
(94849, NULL, 'PTHR36696:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94850, NULL, 'PTHR14095:SF17', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B''''EPSILON-RELATED', NULL, NULL, NULL, 15),
(94851, NULL, 'PTHR13620:SF42', NULL, NULL, NULL, NULL, 'EXONUCLEASE MUT-7 HOMOLOG', NULL, NULL, NULL, 15),
(94852, NULL, 'PTHR31415:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94853, NULL, 'PTHR46929:SF18', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(94854, NULL, 'PTHR42941:SF1', NULL, NULL, NULL, NULL, 'SLL1037 PROTEIN', NULL, NULL, NULL, 15),
(94855, NULL, 'PTHR33044:SF196', NULL, NULL, NULL, NULL, 'BNAC04G26440D PROTEIN', NULL, NULL, NULL, 15),
(94856, NULL, 'PTHR31734:SF186', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(94857, NULL, 'PTHR31307:SF43', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASIL2-LIKE', NULL, NULL, NULL, 15),
(94858, NULL, 'PTHR24231:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94859, NULL, 'PTHR22780:SF40', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(94860, NULL, 'PTHR24206', NULL, NULL, NULL, NULL, 'OS06G0237300 PROTEIN', NULL, NULL, 38834, 15),
(94861, NULL, 'PTHR43337:SF13', NULL, NULL, NULL, NULL, 'ADENINE/GUANINE PERMEASE AZG2', NULL, NULL, 24508, 15),
(94862, NULL, 'PTHR11011:SF77', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(94863, NULL, 'PTHR15592:SF20', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN L', NULL, NULL, NULL, 15),
(94864, NULL, 'PTHR31903:SF21', NULL, NULL, NULL, NULL, 'BNAANNG30210D PROTEIN', NULL, NULL, NULL, 15),
(94865, NULL, 'PTHR15486:SF54', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 7', NULL, NULL, NULL, 15),
(94866, NULL, 'PTHR10417:SF3', NULL, NULL, NULL, NULL, 'GLUCOCORTICOID MODULATORY ELEMENT-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(94867, NULL, 'PTHR21497', NULL, NULL, NULL, NULL, 'UBIQUITIN LIGASE E3 ALPHA-RELATED', NULL, NULL, 35081, 15),
(94868, NULL, 'PTHR33306:SF22', NULL, NULL, NULL, NULL, 'PERIPHERAL-TYPE BENZODIAZEPINE RECEPTOR-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(94869, NULL, 'PTHR12227:SF0', NULL, NULL, NULL, NULL, 'GLYCERATE KINASE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94870, NULL, 'PTHR31669:SF224', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94871, NULL, 'PTHR44916:SF4', NULL, NULL, NULL, NULL, 'BNAC05G40850D PROTEIN', NULL, NULL, NULL, 15),
(94872, NULL, 'PTHR24100:SF124', NULL, NULL, NULL, NULL, 'SI:DKEY-169I5.4-RELATED', NULL, NULL, NULL, 15),
(94873, NULL, 'PTHR31694:SF15', NULL, NULL, NULL, NULL, 'DESICCATION-RELATED PROTEIN PCC13-62-LIKE', NULL, NULL, NULL, 15),
(94874, NULL, 'PTHR43523:SF2', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(94875, NULL, 'PTHR12802:SF117', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 2', NULL, NULL, NULL, 15),
(94876, NULL, 'PTHR43010', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN SLR1230', NULL, NULL, NULL, 15),
(94877, NULL, 'PTHR18860:SF14', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN SIGMA', NULL, NULL, NULL, 15),
(94878, NULL, 'PTHR27003:SF286', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(94879, NULL, 'PTHR31096:SF53', NULL, NULL, NULL, NULL, 'ACT-DOMAIN REPEAT PROTEIN 8', NULL, NULL, NULL, 15),
(94880, NULL, 'PTHR42840:SF7', NULL, NULL, NULL, NULL, 'BINDING ROSSMANN FOLD OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G10190)-RELATED', NULL, NULL, NULL, 15),
(94881, NULL, 'PTHR24366:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94882, NULL, 'PTHR32080:SF47', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 42', NULL, NULL, NULL, 15),
(94883, NULL, 'PTHR10075:SF45', NULL, NULL, NULL, NULL, 'CONTACTIN-6', NULL, NULL, 31757, 15),
(94884, NULL, 'PTHR31071:SF51', NULL, NULL, NULL, NULL, 'F11F12.2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(94885, NULL, 'PTHR10353:SF282', NULL, NULL, NULL, NULL, 'BNAC04G11830D PROTEIN', NULL, NULL, NULL, 15),
(94886, NULL, 'PTHR33373:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94887, NULL, 'PTHR31342:SF44', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(94888, NULL, 'PTHR12696:SF2', NULL, NULL, NULL, NULL, 'CULLIN-ASSOCIATED NEDD8-DISSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(94889, NULL, 'PTHR23128:SF137', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(94890, NULL, 'PTHR22762:SF104', NULL, NULL, NULL, NULL, 'SI:CH73-12O23.1', NULL, NULL, NULL, 15),
(94891, NULL, 'PTHR47966:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94892, NULL, 'PTHR31343:SF8', NULL, NULL, NULL, NULL, 'OS07G0246600 PROTEIN', NULL, NULL, NULL, 15),
(94893, NULL, 'PTHR12861', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN, BETA SUBUNIT PRECURSOR  TRAP-BETA   SIGNAL SEQUENCE RECEPTOR BETA SUBUNIT', NULL, NULL, NULL, 15),
(94894, NULL, 'PTHR31813:SF16', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 23A', NULL, NULL, NULL, 15),
(94895, NULL, 'PTHR31465:SF29', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17890)-RELATED', NULL, NULL, NULL, 15),
(94896, NULL, 'PTHR45642:SF75', NULL, NULL, NULL, NULL, 'OS09G0540400 PROTEIN', NULL, NULL, NULL, 15),
(94897, NULL, 'PTHR31992:SF180', NULL, NULL, NULL, NULL, 'ZINC FINGER, DOF-TYPE-RELATED', NULL, NULL, NULL, 15),
(94898, NULL, 'PTHR14074:SF14', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED HELICASE C DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(94899, NULL, 'PTHR23024:SF516', NULL, NULL, NULL, NULL, 'ISOPRENYLCYSTEINE ALPHA-CARBONYL METHYLESTERASE ICMEL1-RELATED', NULL, NULL, NULL, 15),
(94900, NULL, 'PTHR46013:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94901, NULL, 'PTHR31009:SF115', NULL, NULL, NULL, NULL, 'BNAC07G15660D PROTEIN', NULL, NULL, NULL, 15),
(94902, NULL, 'PTHR24258:SF129', NULL, NULL, NULL, NULL, 'SD22430P', NULL, NULL, NULL, 15),
(94903, NULL, 'PTHR47975:SF32', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(94904, NULL, 'PTHR23324:SF42', NULL, NULL, NULL, NULL, 'SEC14-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(94905, NULL, 'PTHR46033:SF29', NULL, NULL, NULL, NULL, 'OS06G0232700 PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94906, NULL, 'PTHR12626:SF0', NULL, NULL, NULL, NULL, 'LD21074P', NULL, NULL, NULL, 15),
(94907, NULL, 'PTHR22799', NULL, NULL, NULL, NULL, 'TETRANECTIN-RELATED', NULL, NULL, NULL, 15),
(94908, NULL, 'PTHR19370:SF101', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', NULL, NULL, NULL, 15),
(94909, NULL, 'PTHR13817:SF135', NULL, NULL, NULL, NULL, 'TITIN', NULL, NULL, NULL, 15),
(94910, NULL, 'PTHR42861', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(94911, NULL, 'PTHR31218:SF281', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(94912, NULL, 'PTHR10766:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 1', NULL, NULL, NULL, 15),
(94913, NULL, 'PTHR33840:SF1', NULL, NULL, NULL, NULL, 'BLL1337 PROTEIN', NULL, NULL, NULL, 15),
(94914, NULL, 'PTHR46523', NULL, NULL, NULL, NULL, 'DCTP PYROPHOSPHATASE 1', NULL, NULL, NULL, 15),
(94915, NULL, 'PTHR23360:SF15', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(94916, NULL, 'PTHR33745:SF3', NULL, NULL, NULL, NULL, 'RSBT CO-ANTAGONIST PROTEIN RSBRC', NULL, NULL, NULL, 15),
(94917, NULL, 'PTHR47068', NULL, NULL, NULL, NULL, 'OS02G0659100 PROTEIN', NULL, NULL, NULL, 15),
(94918, NULL, 'PTHR46110', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HMX', NULL, NULL, NULL, 15),
(94919, NULL, 'PTHR26450:SF138', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(94920, NULL, 'PTHR12929:SF6', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 52, RIBOFLAVIN TRANSPORTER, MEMBER 3-B', NULL, NULL, NULL, 15),
(94921, NULL, 'PTHR24260:SF28', NULL, NULL, NULL, NULL, 'RH69521P', NULL, NULL, NULL, 15),
(94922, NULL, 'PTHR45714:SF54', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER, HOMEOBOX-ASSOCIATED, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(94923, NULL, 'PTHR33306:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(94924, NULL, 'PTHR35540:SF1', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 1', NULL, NULL, NULL, 15),
(94925, NULL, 'PTHR47993:SF142', NULL, NULL, NULL, NULL, 'BNACNNG73460D PROTEIN', NULL, NULL, NULL, 15),
(94926, NULL, 'PTHR10231:SF91', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 3', NULL, NULL, NULL, 15),
(94927, NULL, 'PTHR19343:SF14', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 13-1', NULL, NULL, NULL, 15),
(94928, NULL, 'PTHR26453:SF614', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(94929, NULL, 'PTHR13140:SF802', NULL, NULL, NULL, NULL, 'MYOSIN IB', NULL, NULL, NULL, 15),
(94930, NULL, 'PTHR31080:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94931, NULL, 'PTHR36773:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(94932, NULL, 'PTHR35800:SF1', NULL, NULL, NULL, NULL, 'PROTEIN JAG', NULL, NULL, NULL, 15),
(94933, NULL, 'PTHR45717:SF40', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(94934, NULL, 'PTHR39322:SF1', NULL, NULL, NULL, NULL, 'ACYL-HOMOSERINE-LACTONE SYNTHASE', NULL, NULL, NULL, 15),
(94935, NULL, 'PTHR11890:SF10', NULL, NULL, NULL, NULL, 'X-LINKED INTERLEUKIN-1 RECEPTOR ACCESSORY PROTEIN-LIKE 2', NULL, NULL, NULL, 15),
(94936, NULL, 'PTHR33286:SF39', NULL, NULL, NULL, NULL, 'BNAA08G12850D PROTEIN', NULL, NULL, NULL, 15),
(94937, NULL, 'PTHR33155:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94938, NULL, 'PTHR33146:SF24', NULL, NULL, NULL, NULL, 'BNAA09G47700D PROTEIN', NULL, NULL, NULL, 15),
(94939, NULL, 'PTHR22930:SF135', NULL, NULL, NULL, NULL, 'OS01G0838900 PROTEIN', NULL, NULL, NULL, 15),
(94940, NULL, 'PTHR35255', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 71', NULL, NULL, 26843, 15),
(94941, NULL, 'PTHR46006', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR AT 64C, ISOFORM A', NULL, NULL, NULL, 15),
(94942, NULL, 'PTHR11733:SF206', NULL, NULL, NULL, NULL, 'IP12942P', NULL, NULL, NULL, 15),
(94943, NULL, 'PTHR23087:SF13', NULL, NULL, NULL, NULL, 'NON-HISTONE CHROMOSOMAL PROTEIN HMG-17', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94944, NULL, 'PTHR45935:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94945, NULL, 'PTHR31713:SF48', NULL, NULL, NULL, NULL, 'PROTEIN SAR DEFICIENT 1-LIKE', NULL, NULL, NULL, 15),
(94946, NULL, 'PTHR12396:SF40', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(94947, NULL, 'PTHR23308:SF56', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(94948, NULL, 'PTHR34189', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(94949, NULL, 'PTHR31228:SF26', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(94950, NULL, 'PTHR24028:SF279', NULL, NULL, NULL, NULL, 'CADHERIN-23', NULL, NULL, NULL, 15),
(94951, NULL, 'PTHR33102:SF59', NULL, NULL, NULL, NULL, 'ROTUNDIFOLIA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(94952, NULL, 'PTHR24388:SF79', NULL, NULL, NULL, NULL, 'IP14660P-RELATED', NULL, NULL, NULL, 15),
(94953, NULL, 'PTHR45643:SF1', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE', NULL, NULL, NULL, 15),
(94954, NULL, 'PTHR30163', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND LYTIC MUREIN TRANSGLYCOSYLASE B', NULL, NULL, 36562, 15),
(94955, NULL, 'PTHR10909:SF250', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, NULL, 15),
(94956, NULL, 'PTHR23227:SF74', NULL, NULL, NULL, NULL, 'CRANIOFACIAL DEVELOPMENT PROTEIN 2', NULL, NULL, NULL, 15),
(94957, NULL, 'PTHR10556:SF37', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(94958, NULL, 'PTHR22950:SF649', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(94959, NULL, 'PTHR38773:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SPRT', NULL, NULL, NULL, 15),
(94960, NULL, 'PTHR16656:SF5', NULL, NULL, NULL, NULL, 'ALPHA-S2-CASEIN-LIKE B', NULL, NULL, NULL, 15),
(94961, NULL, 'PTHR10528:SF17', NULL, NULL, NULL, NULL, 'AF4/FMR2 FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(94962, NULL, 'PTHR48053:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94963, NULL, 'PTHR31636:SF16', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 28', NULL, NULL, 24010, 15),
(94964, NULL, 'PTHR12547:SF136', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 12-LIKE', NULL, NULL, NULL, 15),
(94965, NULL, 'PTHR10795:SF710', NULL, NULL, NULL, NULL, 'SUBTILISIN3', NULL, NULL, NULL, 15),
(94966, NULL, 'PTHR24281:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94967, NULL, 'PTHR31159:SF1', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(94968, NULL, 'PTHR12906:SF0', NULL, NULL, NULL, NULL, 'RAB5-INTERACTING FACTOR', NULL, NULL, NULL, 15),
(94969, NULL, 'PTHR31996:SF3', NULL, NULL, NULL, NULL, 'BNAC07G15180D PROTEIN', NULL, NULL, NULL, 15),
(94970, NULL, 'PTHR10183:SF394', NULL, NULL, NULL, NULL, 'CALPAIN-C', NULL, NULL, NULL, 15),
(94971, NULL, 'PTHR46333:SF3', NULL, NULL, NULL, NULL, 'KYPHOSCOLIOSIS PEPTIDASE', NULL, NULL, NULL, 15),
(94972, NULL, 'PTHR27005:SF288', NULL, NULL, NULL, NULL, 'OS04G0371200 PROTEIN', NULL, NULL, NULL, 15),
(94973, NULL, 'PTHR30451:SF10', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE USHER PROTEIN YFCU-RELATED', NULL, NULL, NULL, 15),
(94974, NULL, 'PTHR46866', NULL, NULL, NULL, NULL, 'GH12955P', NULL, NULL, NULL, 15),
(94975, NULL, 'PTHR37017', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94976, NULL, 'PTHR47991:SF116', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(94977, NULL, 'PTHR34996', NULL, NULL, NULL, NULL, 'OS06G0327400 PROTEIN', NULL, NULL, NULL, 15),
(94978, NULL, 'PTHR11610:SF164', NULL, NULL, NULL, NULL, 'GH15759P-RELATED', NULL, NULL, NULL, 15),
(94979, NULL, 'PTHR32499:SF9', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 15', NULL, NULL, NULL, 15),
(94980, NULL, 'PTHR45763:SF47', NULL, NULL, NULL, NULL, 'BNAA02G05670D PROTEIN', NULL, NULL, NULL, 15),
(94981, NULL, 'PTHR31008:SF7', NULL, NULL, NULL, NULL, 'COP1-INTERACTING PROTEIN 7 (CIP7)-LIKE PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(94982, NULL, 'PTHR19375:SF382', NULL, NULL, NULL, NULL, 'HEAT SHOCK-RELATED 70 KDA PROTEIN 2', NULL, NULL, NULL, 15),
(94983, NULL, 'PTHR15527:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM6 HOMOLOG', NULL, NULL, NULL, 15),
(94984, NULL, 'PTHR43666:SF1', NULL, NULL, NULL, NULL, 'TLDD PROTEIN', NULL, NULL, NULL, 15),
(94985, NULL, 'PTHR42038:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94986, NULL, 'PTHR45665:SF37', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP2-2-RELATED', NULL, NULL, NULL, 15),
(94987, NULL, 'PTHR31442:SF21', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(94988, NULL, 'PTHR31391:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94989, NULL, 'PTHR47991:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(94990, NULL, 'PTHR47956:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A21-RELATED', NULL, NULL, NULL, 15),
(94991, NULL, 'PTHR43441:SF7', NULL, NULL, NULL, NULL, 'RIBOSOMAL N-ACETYLTRANSFERASE YDAF-RELATED', NULL, NULL, NULL, 15),
(94992, NULL, 'PTHR47993:SF48', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 37-RELATED', NULL, NULL, NULL, 15),
(94993, NULL, 'PTHR36305:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROPHOSPHATASE A', NULL, NULL, NULL, 15),
(94994, NULL, 'PTHR23271:SF3', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 6 HOMOLOG', NULL, NULL, NULL, 15),
(94995, NULL, 'PTHR12629:SF58', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 12, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(94996, NULL, 'PTHR47255:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CYTOKININ-RESPONSIVE GATA TRANSCRIPTION FACTOR 1-LIKE', NULL, NULL, NULL, 15),
(94997, NULL, 'PTHR48002:SF148', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(94998, NULL, 'PTHR10404:SF72', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE TRE2-RELATED', NULL, NULL, NULL, 15),
(94999, NULL, 'PTHR47323:SF4', NULL, NULL, NULL, NULL, 'FLP-2 RECEPTOR', NULL, NULL, NULL, 15),
(95000, NULL, 'PTHR31651:SF19', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 3-RELATED', NULL, NULL, NULL, 15),
(95001, NULL, 'PTHR15176', NULL, NULL, NULL, NULL, 'NEPHROCYSTIN', NULL, NULL, NULL, 15),
(95002, NULL, 'PTHR11328:SF48', NULL, NULL, NULL, NULL, 'BNAC04G49540D PROTEIN', NULL, NULL, NULL, 15),
(95003, NULL, 'PTHR30622:SF3', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-DIPHOSPHATASE', NULL, NULL, NULL, 15),
(95004, NULL, 'PTHR11384:SF55', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER, SUBFAMILY D, MEMBER 9, SMABCD9', NULL, NULL, NULL, 15),
(95005, NULL, 'PTHR43634:SF2', NULL, NULL, NULL, NULL, 'LOW CONDUCTANCE MECHANOSENSITIVE CHANNEL YNAI', NULL, NULL, NULL, 15),
(95006, NULL, 'PTHR14511:SF7', NULL, NULL, NULL, NULL, 'RETINOIC ACID-INDUCED PROTEIN 3', NULL, NULL, NULL, 15),
(95007, NULL, 'PTHR41260', NULL, NULL, NULL, NULL, 'PROTEIN ECSC', NULL, NULL, 25424, 15),
(95008, NULL, 'PTHR10218:SF336', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-3 SUBUNIT', NULL, NULL, NULL, 15),
(95009, NULL, 'PTHR31549:SF188', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED', NULL, NULL, NULL, 15),
(95010, NULL, 'PTHR31589:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95011, NULL, 'PTHR24409:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95012, NULL, 'PTHR10108:SF1102', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT28-RELATED', NULL, NULL, NULL, 15),
(95013, NULL, 'PTHR11210:SF49', NULL, NULL, NULL, NULL, 'BNAC09G37280D PROTEIN', NULL, NULL, NULL, 15),
(95014, NULL, 'PTHR10996:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95015, NULL, 'PTHR45675:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95016, NULL, 'PTHR23113:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95017, NULL, 'PTHR26379:SF238', NULL, NULL, NULL, NULL, 'OS08G0523100 PROTEIN', NULL, NULL, NULL, 15),
(95018, NULL, 'PTHR33207:SF68', NULL, NULL, NULL, NULL, 'CYCLOARTENOL SYNTHASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95019, NULL, 'PTHR24409:SF336', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 280A', NULL, NULL, NULL, 15),
(95020, NULL, 'PTHR13593:SF95', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(95021, NULL, 'PTHR32208:SF79', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH, BETA-PROPELLER, GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', NULL, NULL, NULL, 15),
(95022, NULL, 'PTHR14843:SF2', NULL, NULL, NULL, NULL, 'DEUBIQUITINATING PROTEIN VCIP135', NULL, NULL, NULL, 15),
(95023, NULL, 'PTHR33505:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PREY, MITOCHONDRIAL ISOFORM 2', NULL, NULL, NULL, 15),
(95024, NULL, 'PTHR28017:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD3', NULL, NULL, NULL, 15),
(95025, NULL, 'PTHR31183:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 53', NULL, NULL, 35468, 15),
(95026, NULL, 'PTHR24166:SF43', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TNNI3K', NULL, NULL, NULL, 15),
(95027, NULL, 'PTHR14217:SF21', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', NULL, NULL, NULL, 15),
(95028, NULL, 'PTHR12420:SF31', NULL, NULL, NULL, NULL, 'RAB6A, MEMBER RAS ONCOGENE FAMILY-RELATED', NULL, NULL, NULL, 15),
(95029, NULL, 'PTHR47123:SF2', NULL, NULL, NULL, NULL, 'LOW PROTEIN: F-BOX/KELCH-REPEAT PROTEIN', NULL, NULL, NULL, 15),
(95030, NULL, 'PTHR11907:SF25', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(95031, NULL, 'PTHR12674:SF2', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 5', NULL, NULL, NULL, 15),
(95032, NULL, 'PTHR23130:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95033, NULL, 'PTHR21228:SF4', NULL, NULL, NULL, NULL, 'FAS-ACTIVATED SERINE/THREONINE KINASE', NULL, NULL, 11754, 15),
(95034, NULL, 'PTHR30330:SF1', NULL, NULL, NULL, NULL, 'AMINO-ACID CARRIER PROTEIN ALST', NULL, NULL, NULL, 15),
(95035, NULL, 'PTHR12613:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95036, NULL, 'PTHR31314:SF99', NULL, NULL, NULL, NULL, 'MYB-LIKE HTH TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95037, NULL, 'PTHR32468:SF106', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE', NULL, NULL, NULL, 15),
(95038, NULL, 'PTHR42985:SF4', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED PERMEASE-RELATED', NULL, NULL, NULL, 15),
(95039, NULL, 'PTHR31101', NULL, NULL, NULL, NULL, 'UPF0547 PROTEIN C16ORF87', NULL, NULL, 34300, 15),
(95040, NULL, 'PTHR13923:SF32', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN, ANCESTRAL COATOMER ELEMENT 1, SEC16/SEC31-RELATED', NULL, NULL, NULL, 15),
(95041, NULL, 'PTHR19317:SF67', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN G1', NULL, NULL, NULL, 15),
(95042, NULL, 'PTHR37823', NULL, NULL, NULL, NULL, 'CYTOCHROME C-553-LIKE', NULL, NULL, NULL, 15),
(95043, NULL, 'PTHR15977', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 35551, 15),
(95044, NULL, 'PTHR38765', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 3770, 15),
(95045, NULL, 'PTHR16771:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95046, NULL, 'PTHR11911:SF74', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(95047, NULL, 'PTHR21212:SF7', NULL, NULL, NULL, NULL, 'SEIPIN-3', NULL, NULL, NULL, 15),
(95048, NULL, 'PTHR15036:SF70', NULL, NULL, NULL, NULL, 'CONTACTIN-ASSOCIATED PROTEIN LIKE 5-1-RELATED', NULL, NULL, 24224, 15),
(95049, NULL, 'PTHR10492:SF72', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(95050, NULL, 'PTHR31080:SF157', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(95051, NULL, 'PTHR10352:SF59', NULL, NULL, NULL, NULL, 'NUCLEOLIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(95052, NULL, 'PTHR22802:SF261', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 10 MEMBER A-RELATED', NULL, NULL, NULL, 15),
(95053, NULL, 'PTHR24392', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95054, NULL, 'PTHR22765:SF322', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZNRF4', NULL, NULL, NULL, 15),
(95055, NULL, 'PTHR31045:SF32', NULL, NULL, NULL, NULL, 'TERPENOID SYNTHASE 28-RELATED', NULL, NULL, NULL, 15),
(95056, NULL, 'PTHR13999', NULL, NULL, NULL, NULL, 'INTERFERON INDUCIBLE TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(95057, NULL, 'PTHR11620:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95058, NULL, 'PTHR47226:SF3', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT DOMAIN-CONTAINING PROTEIN 4A', NULL, NULL, NULL, 15),
(95059, NULL, 'PTHR32444:SF91', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN, BULB-TYPE LECTIN DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95060, NULL, 'PTHR24253:SF52', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11C', NULL, NULL, NULL, 15),
(95061, NULL, 'PTHR31218:SF233', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(95062, NULL, 'PTHR23036:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95063, NULL, 'PTHR18884:SF69', NULL, NULL, NULL, NULL, 'LD28935P-RELATED', NULL, NULL, NULL, 15),
(95064, NULL, 'PTHR45831', NULL, NULL, NULL, NULL, 'LD24721P', NULL, NULL, NULL, 15),
(95065, NULL, 'PTHR35022:SF6', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE PROTEIN EXT1', NULL, NULL, NULL, 15),
(95066, NULL, 'PTHR33570:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95067, NULL, 'PTHR34397:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95068, NULL, 'PTHR23023:SF208', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(95069, NULL, 'PTHR45959:SF8', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(95070, NULL, 'PTHR33560', NULL, NULL, NULL, NULL, 'PROTEIN FAM227B', NULL, NULL, 24840, 15),
(95071, NULL, 'PTHR14398:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 26', NULL, NULL, 9473, 15),
(95072, NULL, 'PTHR46419:SF8', NULL, NULL, NULL, NULL, 'BNAC03G14640D PROTEIN', NULL, NULL, NULL, 15),
(95073, NULL, 'PTHR31087:SF118', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 2B FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(95074, NULL, 'PTHR24209:SF28', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)-RELATED', NULL, NULL, NULL, 15),
(95075, NULL, 'PTHR12411:SF791', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95076, NULL, 'PTHR12320:SF71', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(95077, NULL, 'PTHR11064:SF134', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-2-RELATED', NULL, NULL, NULL, 15),
(95078, NULL, 'PTHR34458:SF17', NULL, NULL, NULL, NULL, 'BNAA08G19300D PROTEIN', NULL, NULL, NULL, 15),
(95079, NULL, 'PTHR10529:SF234', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT MU-2', NULL, NULL, NULL, 15),
(95080, NULL, 'PTHR31969:SF52', NULL, NULL, NULL, NULL, 'BNAA02G32910D PROTEIN', NULL, NULL, NULL, 15),
(95081, NULL, 'PTHR24070:SF251', NULL, NULL, NULL, NULL, 'RAS GTPASE-RELATED', NULL, NULL, NULL, 15),
(95082, NULL, 'PTHR48049:SF54', NULL, NULL, NULL, NULL, 'SOYASAPOGENOL B GLUCURONIDE GALACTOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(95083, NULL, 'PTHR34446:SF5', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 10-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(95084, NULL, 'PTHR32444:SF6', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN PROTEIN WITH APPLE-LIKE CARBOHYDRATE-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(95085, NULL, 'PTHR19282:SF381', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(95086, NULL, 'PTHR48002:SF117', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(95087, NULL, 'PTHR42912:SF67', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TPCH', NULL, NULL, NULL, 15),
(95088, NULL, 'PTHR26452:SF388', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 14K1', NULL, NULL, NULL, 15),
(95089, NULL, 'PTHR14754:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 2', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95090, NULL, 'PTHR22996:SF22', NULL, NULL, NULL, NULL, 'SI:DKEY-49C17.3', NULL, NULL, NULL, 15),
(95091, NULL, 'PTHR46316', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-1', NULL, NULL, 37947, 15),
(95092, NULL, 'PTHR45706:SF3', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 21', NULL, NULL, NULL, 15),
(95093, NULL, 'PTHR23021:SF81', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(95094, NULL, 'PTHR12837:SF8', NULL, NULL, NULL, NULL, 'POLY (ADP-RIBOSE) GLYCOHYDROLASE A-RELATED', NULL, NULL, NULL, 15),
(95095, NULL, 'PTHR21700:SF38', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(95096, NULL, 'PTHR14221:SF11', NULL, NULL, NULL, NULL, 'OSJNBA0064G10.23 PROTEIN', NULL, NULL, NULL, 15),
(95097, NULL, 'PTHR30126:SF81', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ILVY', NULL, NULL, NULL, 15),
(95098, NULL, 'PTHR12223:SF31', NULL, NULL, NULL, NULL, 'PROTEIN ERGIC-53-LIKE', NULL, NULL, NULL, 15),
(95099, NULL, 'PTHR18820:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 9 C6ORF58 HOMOLOG', NULL, NULL, NULL, 15),
(95100, NULL, 'PTHR24104:SF24', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(95101, NULL, 'PTHR16223:SF153', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH68-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(95102, NULL, 'PTHR45886:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(95103, NULL, 'PTHR46972', NULL, NULL, NULL, NULL, 'MONOOXYGENASE ASQM-RELATED', NULL, NULL, NULL, 15),
(95104, NULL, 'PTHR41299', NULL, NULL, NULL, NULL, 'THIAMINE PYROPHOSPHOKINASE', NULL, NULL, NULL, 15),
(95105, NULL, 'PTHR15172:SF1', NULL, NULL, NULL, NULL, 'GALACTOCEREBROSIDASE', NULL, NULL, NULL, 15),
(95106, NULL, 'PTHR12683:SF14', NULL, NULL, NULL, NULL, 'BNAA03G51060D PROTEIN', NULL, NULL, NULL, 15),
(95107, NULL, 'PTHR19960:SF26', NULL, NULL, NULL, NULL, 'TEKTIN 4', NULL, NULL, NULL, 15),
(95108, NULL, 'PTHR28657:SF2', NULL, NULL, NULL, NULL, 'INDOLEAMINE 2,3-DIOXYGENASE 1', NULL, NULL, NULL, 15),
(95109, NULL, 'PTHR24349:SF332', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE', NULL, NULL, NULL, 15),
(95110, NULL, 'PTHR45647:SF99', NULL, NULL, NULL, NULL, 'OS02G0665800 PROTEIN', NULL, NULL, NULL, 15),
(95111, NULL, 'PTHR31675:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 6', NULL, NULL, NULL, 15),
(95112, NULL, 'PTHR12321:SF120', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 4-LIKE', NULL, NULL, NULL, 15),
(95113, NULL, 'PTHR33657:SF6', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN', NULL, NULL, NULL, 15),
(95114, NULL, 'PTHR11439:SF356', NULL, NULL, NULL, NULL, 'RLK (RECEPTOR-LIKE PROTEIN KINASE) 8, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95115, NULL, 'PTHR43085:SF36', NULL, NULL, NULL, NULL, 'FRUCTOKINASE-4-RELATED', NULL, NULL, NULL, 15),
(95116, NULL, 'PTHR44888:SF1', NULL, NULL, NULL, NULL, 'HEPACAM FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(95117, NULL, 'PTHR45668:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7', NULL, NULL, NULL, 15),
(95118, NULL, 'PTHR10003:SF66', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN]', NULL, NULL, NULL, 15),
(95119, NULL, 'PTHR10177:SF345', NULL, NULL, NULL, NULL, 'CYCLIN-A3-2', NULL, NULL, NULL, 15),
(95120, NULL, 'PTHR45721:SF7', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFB-2', NULL, NULL, NULL, 15),
(95121, NULL, 'PTHR45868:SF12', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 36', NULL, NULL, NULL, 15),
(95122, NULL, 'PTHR12411:SF803', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95123, NULL, 'PTHR23360:SF32', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(95124, NULL, 'PTHR46109:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95125, NULL, 'PTHR31203:SF1', NULL, NULL, NULL, NULL, 'BETA-KERATIN-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95126, NULL, 'PTHR45769:SF10', NULL, NULL, NULL, NULL, 'BNACNNG02900D PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95127, NULL, 'PTHR12300:SF57', NULL, NULL, NULL, NULL, 'PROTEIN A, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(95128, NULL, 'PTHR34213', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(95129, NULL, 'PTHR31375:SF111', NULL, NULL, NULL, NULL, 'OS01G0329300 PROTEIN', NULL, NULL, NULL, 15),
(95130, NULL, 'PTHR10585:SF33', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR 3', NULL, NULL, NULL, 15),
(95131, NULL, 'PTHR11043:SF27', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-2', NULL, NULL, NULL, 15),
(95132, NULL, 'PTHR23504:SF108', NULL, NULL, NULL, NULL, 'HIPPOCAMPUS ABUNDANT TRANSCRIPT-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(95133, NULL, 'PTHR35046:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95134, NULL, 'PTHR11042:SF146', NULL, NULL, NULL, NULL, 'PROTEIN KINASE DDB_G0291133-RELATED', NULL, NULL, NULL, 15),
(95135, NULL, 'PTHR19957:SF227', NULL, NULL, NULL, NULL, 'OS11G0168100 PROTEIN', NULL, NULL, NULL, 15),
(95136, NULL, 'PTHR11802:SF46', NULL, NULL, NULL, NULL, 'OS11G0431700 PROTEIN', NULL, NULL, NULL, 15),
(95137, NULL, 'PTHR46907', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-7-RELATED', NULL, NULL, NULL, 15),
(95138, NULL, 'PTHR31062:SF211', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(95139, NULL, 'PTHR13844:SF72', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING PROTEIN 1 ISOFORM X1', NULL, NULL, NULL, 15),
(95140, NULL, 'PTHR11655:SF38', NULL, NULL, NULL, NULL, 'BNAA10G03220D PROTEIN', NULL, NULL, NULL, 15),
(95141, NULL, 'PTHR42904:SF8', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE DOMAIN-LIKE', NULL, NULL, NULL, 15),
(95142, NULL, 'PTHR24012:SF760', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(95143, NULL, 'PTHR10336', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE-SPECIFIC PHOSPHOLIPASE C FAMILY PROTEIN', NULL, NULL, 1074, 15),
(95144, NULL, 'PTHR31469', NULL, NULL, NULL, NULL, 'OS07G0633600 PROTEIN', NULL, NULL, NULL, 15),
(95145, NULL, 'PTHR24006:SF714', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 46', NULL, NULL, NULL, 15),
(95146, NULL, 'PTHR12704:SF2', NULL, NULL, NULL, NULL, 'GOLGI PHOSPHOPROTEIN 3 HOMOLOG SAURON', NULL, NULL, NULL, 15),
(95147, NULL, 'PTHR15696:SF0', NULL, NULL, NULL, NULL, 'TELOMERASE-BINDING PROTEIN EST1A', NULL, NULL, NULL, 15),
(95148, NULL, 'PTHR42907:SF4', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(95149, NULL, 'PTHR24064:SF571', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95150, NULL, 'PTHR47944:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME P-450 19', NULL, NULL, NULL, 15),
(95151, NULL, 'PTHR47924:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95152, NULL, 'PTHR15491:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ON ECDYSONE PUFFS', NULL, NULL, NULL, 15),
(95153, NULL, 'PTHR32343:SF6', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 11', NULL, NULL, 30646, 15),
(95154, NULL, 'PTHR24637:SF288', NULL, NULL, NULL, NULL, 'SQUAT', NULL, NULL, NULL, 15),
(95155, NULL, 'PTHR15241:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95156, NULL, 'PTHR35104:SF6', NULL, NULL, NULL, NULL, 'OS03G0807000 PROTEIN', NULL, NULL, NULL, 15),
(95157, NULL, 'PTHR23005', NULL, NULL, NULL, NULL, 'RETINITIS PIGMENTOSA 1 PROTEIN', NULL, NULL, 33363, 15),
(95158, NULL, 'PTHR43513:SF1', NULL, NULL, NULL, NULL, 'ANAEROBIC SULFITE REDUCTASE SUBUNIT B', NULL, NULL, NULL, 15),
(95159, NULL, 'PTHR48147:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG23787', NULL, NULL, NULL, 15),
(95160, NULL, 'PTHR46153', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, 37794, 15),
(95161, NULL, 'PTHR23220:SF122', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-PS1', NULL, NULL, NULL, 15),
(95162, NULL, 'PTHR36154:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL ACTIVATOR ALPA', NULL, NULL, NULL, 15),
(95163, NULL, 'PTHR45958:SF2', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95164, NULL, 'PTHR10766:SF106', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(95165, NULL, 'PTHR45665:SF6', NULL, NULL, NULL, NULL, 'AQP8A PROTEIN', NULL, NULL, NULL, 15),
(95166, NULL, 'PTHR22937:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95167, NULL, 'PTHR43791:SF46', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G06290)-RELATED', NULL, NULL, NULL, 15),
(95168, NULL, 'PTHR10110:SF158', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15),
(95169, NULL, 'PTHR45974:SF23', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(95170, NULL, 'PTHR12751:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATASE AND ACTIN REGULATOR 1', NULL, NULL, 22174, 15),
(95171, NULL, 'PTHR37180:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95172, NULL, 'PTHR43302:SF12', NULL, NULL, NULL, NULL, 'TRANSPORTER ARSB-RELATED', NULL, NULL, NULL, 15),
(95173, NULL, 'PTHR37696', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE-RELATED', NULL, NULL, NULL, 15),
(95174, NULL, 'PTHR47993:SF131', NULL, NULL, NULL, NULL, 'BNAC03G41780D PROTEIN', NULL, NULL, NULL, 15),
(95175, NULL, 'PTHR47361:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95176, NULL, 'PTHR42790:SF5', NULL, NULL, NULL, NULL, 'AROMATIC AMINO ACID AMINOTRANSFERASE DDB_G0272014', NULL, NULL, NULL, 15),
(95177, NULL, 'PTHR31257:SF2', NULL, NULL, NULL, NULL, 'RICIN B-LIKE LECTIN EULS3', NULL, NULL, NULL, 15),
(95178, NULL, 'PTHR31729:SF6', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF011', NULL, NULL, NULL, 15),
(95179, NULL, 'PTHR30417', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE AMID', NULL, NULL, NULL, 15),
(95180, NULL, 'PTHR48017:SF180', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 1-LIKE', NULL, NULL, NULL, 15),
(95181, NULL, 'PTHR11777:SF32', NULL, NULL, NULL, NULL, 'ALANINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(95182, NULL, 'PTHR10442:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', NULL, NULL, NULL, 15),
(95183, NULL, 'PTHR10816:SF10', NULL, NULL, NULL, NULL, 'MYELIN TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(95184, NULL, 'PTHR10352:SF32', NULL, NULL, NULL, NULL, 'AGAP003172-PA', NULL, NULL, NULL, 15),
(95185, NULL, 'PTHR31713:SF63', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN60-RELATED', NULL, NULL, NULL, 15),
(95186, NULL, 'PTHR43574:SF49', NULL, NULL, NULL, NULL, 'BNAC03G74010D PROTEIN', NULL, NULL, NULL, 15),
(95187, NULL, 'PTHR33869:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95188, NULL, 'PTHR47993:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95189, NULL, 'PTHR11851:SF210', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA-LIKE', NULL, NULL, NULL, 15),
(95190, NULL, 'PTHR22237:SF1', NULL, NULL, NULL, NULL, 'APC MEMBRANE RECRUITMENT PROTEIN 2', NULL, NULL, NULL, 15),
(95191, NULL, 'PTHR31790:SF315', NULL, NULL, NULL, NULL, 'OS07G0268000 PROTEIN', NULL, NULL, NULL, 15),
(95192, NULL, 'PTHR31369:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG03069', NULL, NULL, NULL, 15),
(95193, NULL, 'PTHR32141:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95194, NULL, 'PTHR13720:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95195, NULL, 'PTHR37879:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH TAIL PROTEIN 1', NULL, NULL, NULL, 15),
(95196, NULL, 'PTHR15315:SF74', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NRDP1', NULL, NULL, NULL, 15),
(95197, NULL, 'PTHR12157:SF18', NULL, NULL, NULL, NULL, 'REGULATING SYNAPTIC MEMBRANE EXOCYTOSIS PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(95198, NULL, 'PTHR37260', NULL, NULL, NULL, NULL, 'PHOSPHORELAY PROTEIN', NULL, NULL, NULL, 15),
(95199, NULL, 'PTHR11751:SF471', NULL, NULL, NULL, NULL, 'ALANINE AMINOTRANSFERASE 2', NULL, NULL, NULL, 15),
(95200, NULL, 'PTHR12011:SF61', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L2', NULL, NULL, 22272, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95201, NULL, 'PTHR35528', NULL, NULL, NULL, NULL, 'BLL1675 PROTEIN', NULL, NULL, NULL, 15),
(95202, NULL, 'PTHR10168:SF251', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C9-LIKE', NULL, NULL, NULL, 15),
(95203, NULL, 'PTHR14060:SF8', NULL, NULL, NULL, NULL, 'PROTEIN P13 MTCP-1', NULL, NULL, NULL, 15),
(95204, NULL, 'PTHR10825:SF76', NULL, NULL, NULL, NULL, 'POLYCOMB COMPLEX PROTEIN BMI-1-A-RELATED', NULL, NULL, NULL, 15),
(95205, NULL, 'PTHR46148:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95206, NULL, 'PTHR45998:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 16', NULL, NULL, NULL, 15),
(95207, NULL, 'PTHR31087:SF92', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 12', NULL, NULL, NULL, 15),
(95208, NULL, 'PTHR23070:SF150', NULL, NULL, NULL, NULL, 'BNAANNG15990D PROTEIN', NULL, NULL, NULL, 15),
(95209, NULL, 'PTHR12365', NULL, NULL, NULL, NULL, 'SPROUTY', NULL, NULL, NULL, 15),
(95210, NULL, 'PTHR11351:SF3', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE (MEMBRANE)-RELATED', NULL, NULL, NULL, 15),
(95211, NULL, 'PTHR31235:SF300', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(95212, NULL, 'PTHR33371:SF16', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95213, NULL, 'PTHR23418:SF13', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE 1', NULL, NULL, NULL, 15),
(95214, NULL, 'PTHR11108:SF6', NULL, NULL, NULL, NULL, 'FERROCHELATASE', NULL, NULL, NULL, 15),
(95215, NULL, 'PTHR31302:SF20', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(95216, NULL, 'PTHR12483:SF43', NULL, NULL, NULL, NULL, 'PROTEIN CBG20077', NULL, NULL, NULL, 15),
(95217, NULL, 'PTHR34951:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(95218, NULL, 'PTHR20952', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION-LIKE FACTOR 6-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(95219, NULL, 'PTHR15629', NULL, NULL, NULL, NULL, 'SH3YL1 PROTEIN', NULL, NULL, NULL, 15),
(95220, NULL, 'PTHR23294:SF59', NULL, NULL, NULL, NULL, 'UNC93-LIKE PROTEIN C922.05C', NULL, NULL, NULL, 15),
(95221, NULL, 'PTHR12183', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UBIQUITIN LIGASE ACTIVATOR OF NFKB 1', NULL, NULL, NULL, 15),
(95222, NULL, 'PTHR38225:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95223, NULL, 'PTHR11071', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(95224, NULL, 'PTHR47925:SF7', NULL, NULL, NULL, NULL, 'OS01G0382800 PROTEIN', NULL, NULL, NULL, 15),
(95225, NULL, 'PTHR31707:SF311', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(95226, NULL, 'PTHR45773:SF5', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(95227, NULL, 'PTHR15934', NULL, NULL, NULL, NULL, 'RNA 2'',3''-CYCLIC PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(95228, NULL, 'PTHR32166', NULL, NULL, NULL, NULL, 'OSJNBA0013A04.12 PROTEIN', NULL, NULL, NULL, 15),
(95229, NULL, 'PTHR46729', NULL, NULL, NULL, NULL, 'LEUKOCYTE RECEPTOR CLUSTER MEMBER 9', NULL, NULL, 38182, 15),
(95230, NULL, 'PTHR23335:SF35', NULL, NULL, NULL, NULL, 'OS01G0923600 PROTEIN', NULL, NULL, NULL, 15),
(95231, NULL, 'PTHR19143:SF25', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(95232, NULL, 'PTHR31375:SF138', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', NULL, NULL, NULL, 15),
(95233, NULL, 'PTHR22166:SF14', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM JUNCTION FORMATION PROTEIN LUNAPARK-B', NULL, NULL, NULL, 15),
(95234, NULL, 'PTHR34274:SF10', NULL, NULL, NULL, NULL, 'BNAA01G28830D PROTEIN', NULL, NULL, NULL, 15),
(95235, NULL, 'PTHR31775:SF30', NULL, NULL, NULL, NULL, 'REMORIN', NULL, NULL, NULL, 15),
(95236, NULL, 'PTHR33076:SF136', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 13-LIKE', NULL, NULL, NULL, 15),
(95237, NULL, 'PTHR12302:SF16', NULL, NULL, NULL, NULL, 'BNAA01G18800D PROTEIN', NULL, NULL, NULL, 15),
(95238, NULL, 'PTHR34202:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR1', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95239, NULL, 'PTHR17206:SF0', NULL, NULL, NULL, NULL, 'PROLACTIN-RELEASING PEPTIDE', NULL, NULL, NULL, 15),
(95240, NULL, 'PTHR11839:SF24', NULL, NULL, NULL, NULL, 'ADP-SUGAR PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(95241, NULL, 'PTHR11829:SF189', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN C2', NULL, NULL, NULL, 15),
(95242, NULL, 'PTHR10827:SF78', NULL, NULL, NULL, NULL, 'LD34388P', NULL, NULL, NULL, 15),
(95243, NULL, 'PTHR47638:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95244, NULL, 'PTHR23257:SF780', NULL, NULL, NULL, NULL, 'AT08303P', NULL, NULL, NULL, 15),
(95245, NULL, 'PTHR33426:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95246, NULL, 'PTHR24419:SF33', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PELLE', NULL, NULL, NULL, 15),
(95247, NULL, 'PTHR31852:SF130', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(95248, NULL, 'PTHR36078', NULL, NULL, NULL, NULL, 'BNACNNG21220D PROTEIN', NULL, NULL, NULL, 15),
(95249, NULL, 'PTHR24281:SF163', NULL, NULL, NULL, NULL, 'PHENYLALANINE N-MONOOXYGENASE', NULL, NULL, NULL, 15),
(95250, NULL, 'PTHR21736:SF41', NULL, NULL, NULL, NULL, 'OBERON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(95251, NULL, 'PTHR13384:SF16', NULL, NULL, NULL, NULL, 'GROWTH REGULATION PROTEIN', NULL, NULL, NULL, 15),
(95252, NULL, 'PTHR31325:SF172', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95253, NULL, 'PTHR45644:SF39', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A-LIKE 2', NULL, NULL, NULL, 15),
(95254, NULL, 'PTHR34630:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95255, NULL, 'PTHR35632:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95256, NULL, 'PTHR13690:SF114', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RF2A-LIKE', NULL, NULL, NULL, 15),
(95257, NULL, 'PTHR17920:SF16', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE/COILED-COIL PROTEIN (DUF726)', NULL, NULL, NULL, 15),
(95258, NULL, 'PTHR18966:SF506', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(95259, NULL, 'PTHR15315:SF36', NULL, NULL, NULL, NULL, 'OS10G0445400 PROTEIN', NULL, NULL, NULL, 15),
(95260, NULL, 'PTHR24115:SF564', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95261, NULL, 'PTHR43120:SF1', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(95262, NULL, 'PTHR40265', NULL, NULL, NULL, NULL, 'BLL2707 PROTEIN', NULL, NULL, NULL, 15),
(95263, NULL, 'PTHR15486:SF60', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(95264, NULL, 'PTHR31190:SF274', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95265, NULL, 'PTHR24096:SF271', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE-RELATED', NULL, NULL, NULL, 15),
(95266, NULL, 'PTHR11871:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B ALPHA ISOFORM', NULL, NULL, NULL, 15),
(95267, NULL, 'PTHR10052:SF40', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', NULL, NULL, NULL, 15),
(95268, NULL, 'PTHR33987:SF1', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(95269, NULL, 'PTHR12321:SF105', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 7', NULL, NULL, NULL, 15),
(95270, NULL, 'PTHR11654:SF307', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.9', NULL, NULL, NULL, 15),
(95271, NULL, 'PTHR45648:SF43', NULL, NULL, NULL, NULL, 'BNAA02G04090D PROTEIN', NULL, NULL, NULL, 15),
(95272, NULL, 'PTHR27009:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95273, NULL, 'PTHR14146:SF0', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 4', NULL, NULL, NULL, 15),
(95274, NULL, 'PTHR13578:SF19', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN ASXL1-RELATED', NULL, NULL, 22840, 15),
(95275, NULL, 'PTHR33511:SF17', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95276, NULL, 'PTHR12977:SF13', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE KMT5B', NULL, NULL, NULL, 15),
(95277, NULL, 'PTHR12589:SF8', NULL, NULL, NULL, NULL, '6-CARBOXY-5,6,7,8-TETRAHYDROPTERIN SYNTHASE', NULL, NULL, NULL, 15),
(95278, NULL, 'PTHR47993:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95279, NULL, 'PTHR10379:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBFA2T2', NULL, NULL, NULL, 15),
(95280, NULL, 'PTHR46809:SF3', NULL, NULL, NULL, NULL, 'STROMAL CELL-DERIVED FACTOR 2', NULL, NULL, NULL, 15),
(95281, NULL, 'PTHR13768:SF35', NULL, NULL, NULL, NULL, 'BNAC04G55510D PROTEIN', NULL, NULL, NULL, 15),
(95282, NULL, 'PTHR10896:SF50', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE P', NULL, NULL, NULL, 15),
(95283, NULL, 'PTHR15710:SF55', NULL, NULL, NULL, NULL, 'C3HC4-TYPE RING ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(95284, NULL, 'PTHR27001:SF231', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(95285, NULL, 'PTHR28590:SF1', NULL, NULL, NULL, NULL, 'SPEXIN', NULL, NULL, NULL, 15),
(95286, NULL, 'PTHR11240:SF45', NULL, NULL, NULL, NULL, 'RIBONUCLEASE S-2', NULL, NULL, NULL, 15),
(95287, NULL, 'PTHR31662:SF51', NULL, NULL, NULL, NULL, 'GLABROUS1 ENHANCER-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(95288, NULL, 'PTHR45570', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(95289, NULL, 'PTHR12228:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 7-LIKE', NULL, NULL, NULL, 15),
(95290, NULL, 'PTHR46741:SF4', NULL, NULL, NULL, NULL, 'FINGER FYVE DOMAIN PROTEIN, PUTATIVE (DUF1666)-RELATED', NULL, NULL, NULL, 15),
(95291, NULL, 'PTHR11532:SF45', NULL, NULL, NULL, NULL, 'INACTIVE CARBOXYPEPTIDASE-LIKE PROTEIN X2', NULL, NULL, NULL, 15),
(95292, NULL, 'PTHR33604:SF5', NULL, NULL, NULL, NULL, 'BNACNNG32270D PROTEIN', NULL, NULL, NULL, 15),
(95293, NULL, 'PTHR22952:SF390', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(95294, NULL, 'PTHR31008:SF23', NULL, NULL, NULL, NULL, 'BNAA02G22140D PROTEIN', NULL, NULL, NULL, 15),
(95295, NULL, 'PTHR24353:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95296, NULL, 'PTHR42776:SF18', NULL, NULL, NULL, NULL, 'ACYLAMINO-ACID-RELEASING ENZYME 2', NULL, NULL, NULL, 15),
(95297, NULL, 'PTHR39599:SF2', NULL, NULL, NULL, NULL, 'ANCHORED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G09650)-RELATED', NULL, NULL, NULL, 15),
(95298, NULL, 'PTHR11062:SF323', NULL, NULL, NULL, NULL, 'EXOSTOSIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95299, NULL, 'PTHR12264:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 12B', NULL, NULL, NULL, 15),
(95300, NULL, 'PTHR24093:SF474', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 1', NULL, NULL, NULL, 15),
(95301, NULL, 'PTHR45647:SF40', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 34', NULL, NULL, NULL, 15),
(95302, NULL, 'PTHR12155:SF43', NULL, NULL, NULL, NULL, 'SCHLAFEN FAMILY MEMBER 11', NULL, NULL, NULL, 15),
(95303, NULL, 'PTHR23235:SF108', NULL, NULL, NULL, NULL, 'CABUT, ISOFORM A', NULL, NULL, NULL, 15),
(95304, NULL, 'PTHR48048:SF60', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(95305, NULL, 'PTHR12243:SF47', NULL, NULL, NULL, NULL, 'COREPRESSOR OF PANGOLIN, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(95306, NULL, 'PTHR35851:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSQ', NULL, NULL, NULL, 15),
(95307, NULL, 'PTHR11638:SF155', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPA HOMOLOG CD4B, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(95308, NULL, 'PTHR13043:SF2', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC5', NULL, NULL, NULL, 15),
(95309, NULL, 'PTHR21483', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-ASSOCIATED PROTEIN 1', NULL, NULL, 29276, 15),
(95310, NULL, 'PTHR11639:SF65', NULL, NULL, NULL, NULL, 'PROTEIN S100-A5', NULL, NULL, 26745, 15),
(95311, NULL, 'PTHR13703:SF59', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 5', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95312, NULL, 'PTHR46780:SF12', NULL, NULL, NULL, NULL, 'EVA-1 HOMOLOG BB (C. ELEGANS)', NULL, NULL, NULL, 15),
(95313, NULL, 'PTHR21230:SF82', NULL, NULL, NULL, NULL, 'BNACNNG50640D PROTEIN', NULL, NULL, NULL, 15),
(95314, NULL, 'PTHR12357:SF86', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CONSERVED C-TERMINAL REGION 10', NULL, NULL, NULL, 15),
(95315, NULL, 'PTHR22765:SF141', NULL, NULL, NULL, NULL, 'OS06G0540050 PROTEIN', NULL, NULL, NULL, 15),
(95316, NULL, 'PTHR33938:SF8', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(95317, NULL, 'PTHR23315:SF255', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(95318, NULL, 'PTHR28063', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II NUCLEAR LOCALIZATION PROTEIN IWR1', NULL, NULL, 32903, 15),
(95319, NULL, 'PTHR48009:SF12', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERECTA', NULL, NULL, NULL, 15),
(95320, NULL, 'PTHR48109:SF4', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE (QUINONE), MITOCHONDRIAL', NULL, NULL, NULL, 15),
(95321, NULL, 'PTHR24289:SF9', NULL, NULL, NULL, NULL, 'BNAC05G26680D PROTEIN', NULL, NULL, NULL, 15),
(95322, NULL, 'PTHR33021:SF310', NULL, NULL, NULL, NULL, 'OS07G0165900 PROTEIN', NULL, NULL, NULL, 15),
(95323, NULL, 'PTHR31602:SF75', NULL, NULL, NULL, NULL, 'WRC DOMAIN, GLUTAMINE-LEUCINE-GLUTAMINE, QLQ, GROWTH-REGULATING FACTOR-RELATED', NULL, NULL, NULL, 15),
(95324, NULL, 'PTHR32295:SF179', NULL, NULL, NULL, NULL, 'OS06G0341800 PROTEIN', NULL, NULL, NULL, 15),
(95325, NULL, 'PTHR46226:SF9', NULL, NULL, NULL, NULL, 'BNAC09G20380D PROTEIN', NULL, NULL, NULL, 15),
(95326, NULL, 'PTHR36304:SF2', NULL, NULL, NULL, NULL, 'DOMAIN GTPASE-ACTIVATING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95327, NULL, 'PTHR11994:SF32', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11-2', NULL, NULL, NULL, 15),
(95328, NULL, 'PTHR31960:SF13', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(95329, NULL, 'PTHR23317:SF65', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 6', NULL, NULL, NULL, 15),
(95330, NULL, 'PTHR22891:SF149', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 6', NULL, NULL, NULL, 15),
(95331, NULL, 'PTHR36156', NULL, NULL, NULL, NULL, 'SLR2101 PROTEIN', NULL, NULL, NULL, 15),
(95332, NULL, 'PTHR45967:SF21', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 68-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(95333, NULL, 'PTHR30246:SF1', NULL, NULL, NULL, NULL, '2-DEHYDRO-3-DEOXY-6-PHOSPHOGALACTONATE ALDOLASE-RELATED', NULL, NULL, NULL, 15),
(95334, NULL, 'PTHR45743:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95335, NULL, 'PTHR31284', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(95336, NULL, 'PTHR10806:SF29', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', NULL, NULL, NULL, 15),
(95337, NULL, 'PTHR22891:SF124', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 11', NULL, NULL, NULL, 15),
(95338, NULL, 'PTHR38033', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95339, NULL, 'PTHR12751:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATASE AND ACTIN REGULATOR 2', NULL, NULL, 24577, 15),
(95340, NULL, 'PTHR21844:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH AKT1 SUBSTRATE 1', NULL, NULL, NULL, 15),
(95341, NULL, 'PTHR37477:SF1', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-5A HYDROLASE', NULL, NULL, NULL, 15),
(95342, NULL, 'PTHR19328:SF62', NULL, NULL, NULL, NULL, 'HIPL1 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(95343, NULL, 'PTHR31205:SF59', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING-RELATED', NULL, NULL, NULL, 15),
(95344, NULL, 'PTHR33167', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95345, NULL, 'PTHR30540:SF98', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 6', NULL, NULL, NULL, 15),
(95346, NULL, 'PTHR33265:SF23', NULL, NULL, NULL, NULL, 'OS02G0523100 PROTEIN', NULL, NULL, NULL, 15),
(95347, NULL, 'PTHR46084:SF2', NULL, NULL, NULL, NULL, 'OS03G0294800 PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95348, NULL, 'PTHR43880:SF53', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(95349, NULL, 'PTHR43734:SF3', NULL, NULL, NULL, NULL, '4,4''-DIAPOPHYTOENE DESATURASE (4,4''-DIAPONEUROSPORENE-FORMING)', NULL, NULL, NULL, 15),
(95350, NULL, 'PTHR24123:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95351, NULL, 'PTHR11618:SF26', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC TFIIB-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(95352, NULL, 'PTHR11825:SF39', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(95353, NULL, 'PTHR16008', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 4', NULL, NULL, 36490, 15),
(95354, NULL, 'PTHR31989:SF229', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 20', NULL, NULL, NULL, 15),
(95355, NULL, 'PTHR18460', NULL, NULL, NULL, NULL, 'TEL2 INTERACTING PROTEIN 1 TTI1 FAMILY MEMBER', NULL, NULL, NULL, 15),
(95356, NULL, 'PTHR11362:SF30', NULL, NULL, NULL, NULL, 'OS01G0748800 PROTEIN', NULL, NULL, NULL, 15),
(95357, NULL, 'PTHR30249:SF11', NULL, NULL, NULL, NULL, 'ANTIHOLIN-LIKE PROTEIN LRGB', NULL, NULL, NULL, 15),
(95358, NULL, 'PTHR12411:SF794', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG39', NULL, NULL, NULL, 15),
(95359, NULL, 'PTHR24235:SF2', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(95360, NULL, 'PTHR10574:SF296', NULL, NULL, NULL, NULL, 'SI:DKEY-202E22.2', NULL, NULL, NULL, 15),
(95361, NULL, 'PTHR13469', NULL, NULL, NULL, NULL, 'HEXAMETHYLENE BISACETAMIDE INDUCIBLE 1', NULL, NULL, 23153, 15),
(95362, NULL, 'PTHR22683:SF1', NULL, NULL, NULL, NULL, 'ESAT-6 SECRETION MACHINERY PROTEIN ESSC', NULL, NULL, NULL, 15),
(95363, NULL, 'PTHR33070:SF101', NULL, NULL, NULL, NULL, 'BNAANNG08220D PROTEIN', NULL, NULL, NULL, 15),
(95364, NULL, 'PTHR13667:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING AND PLANAR CELL POLARITY EFFECTOR PROTEIN FRITZ HOMOLOG', NULL, NULL, NULL, 15),
(95365, NULL, 'PTHR32153:SF58', NULL, NULL, NULL, NULL, 'BNAC05G35090D PROTEIN', NULL, NULL, NULL, 15),
(95366, NULL, 'PTHR13523:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN-CONTAINING PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(95367, NULL, 'PTHR48012:SF24', NULL, NULL, NULL, NULL, 'FI20177P1', NULL, NULL, NULL, 15),
(95368, NULL, 'PTHR22835:SF613', NULL, NULL, NULL, NULL, 'BNAC05G21950D PROTEIN', NULL, NULL, NULL, 15),
(95369, NULL, 'PTHR11467:SF61', NULL, NULL, NULL, NULL, 'HISTONE H1.X', NULL, NULL, NULL, 15),
(95370, NULL, 'PTHR31662:SF57', NULL, NULL, NULL, NULL, 'OS06G0666700 PROTEIN', NULL, NULL, NULL, 15),
(95371, NULL, 'PTHR45974:SF145', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95372, NULL, 'PTHR32153:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95373, NULL, 'PTHR15284:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR INTERLEUKIN-3-REGULATED PROTEIN', NULL, NULL, 21927, 15),
(95374, NULL, 'PTHR24222:SF52', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 20-RELATED', NULL, NULL, NULL, 15),
(95375, NULL, 'PTHR14917', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 7', NULL, NULL, 28219, 15),
(95376, NULL, 'PTHR43182:SF1', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-6B C(15)-METHYLTRANSFERASE (DECARBOXYLATING)', NULL, NULL, NULL, 15),
(95377, NULL, 'PTHR15907:SF175', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 12', NULL, NULL, NULL, 15),
(95378, NULL, 'PTHR48053:SF37', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(95379, NULL, 'PTHR31682:SF24', NULL, NULL, NULL, NULL, 'UDP-ARABINOPYRANOSE MUTASE 2', NULL, NULL, NULL, 15),
(95380, NULL, 'PTHR10502:SF222', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(95381, NULL, 'PTHR30408', NULL, NULL, NULL, NULL, 'TYPE-1 RESTRICTION ENZYME ECOKI SPECIFICITY PROTEIN', NULL, NULL, NULL, 15),
(95382, NULL, 'PTHR45914:SF41', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HEC1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95383, NULL, 'PTHR31215:SF7', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(95384, NULL, 'PTHR24298:SF727', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B34-RELATED', NULL, NULL, NULL, 15),
(95385, NULL, 'PTHR11388:SF95', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 6A1', NULL, NULL, NULL, 15),
(95386, NULL, 'PTHR48018:SF175', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8H2', NULL, NULL, NULL, 15),
(95387, NULL, 'PTHR11926:SF1379', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(95388, NULL, 'PTHR33021:SF409', NULL, NULL, NULL, NULL, 'STELLACYANIN-LIKE', NULL, NULL, NULL, 15),
(95389, NULL, 'PTHR13778:SF46', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 6-RELATED', NULL, NULL, NULL, 15),
(95390, NULL, 'PTHR11538:SF63', NULL, NULL, NULL, NULL, 'NUCLEIC ACID BINDING, RELATED', NULL, NULL, NULL, 15),
(95391, NULL, 'PTHR43550:SF3', NULL, NULL, NULL, NULL, '3-KETODIHYDROSPHINGOSINE REDUCTASE', NULL, NULL, NULL, 15),
(95392, NULL, 'PTHR36838', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(95393, NULL, 'PTHR43128:SF26', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(95394, NULL, 'PTHR11010', NULL, NULL, NULL, NULL, 'PROTEASE S28 PRO-X CARBOXYPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(95395, NULL, 'PTHR24073:SF941', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-20', NULL, NULL, NULL, 15),
(95396, NULL, 'PTHR34213:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(95397, NULL, 'PTHR11161:SF28', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(95398, NULL, 'PTHR30133:SF2', NULL, NULL, NULL, NULL, 'ARGININE ABC TRANSPORTER PERMEASE PROTEIN ARTQ', NULL, NULL, NULL, 15),
(95399, NULL, 'PTHR31021:SF1', NULL, NULL, NULL, NULL, 'POLYPOSIS COLI DOWNREGULATED 1-LIKE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95400, NULL, 'PTHR11926:SF1333', NULL, NULL, NULL, NULL, 'BNAA10G12540D PROTEIN', NULL, NULL, NULL, 15),
(95401, NULL, 'PTHR37364', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 182', NULL, NULL, 27090, 15),
(95402, NULL, 'PTHR35136:SF2', NULL, NULL, NULL, NULL, 'BNAA09G41120D PROTEIN', NULL, NULL, NULL, 15),
(95403, NULL, 'PTHR38390', NULL, NULL, NULL, NULL, 'OS01G0103900 PROTEIN', NULL, NULL, NULL, 15),
(95404, NULL, 'PTHR23316:SF0', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(95405, NULL, 'PTHR33450:SF12', NULL, NULL, NULL, NULL, 'EMB|CAB67623.1', NULL, NULL, NULL, 15),
(95406, NULL, 'PTHR12537:SF128', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(95407, NULL, 'PTHR11071:SF488', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(95408, NULL, 'PTHR47978:SF28', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RGP2', NULL, NULL, NULL, 15),
(95409, NULL, 'PTHR31280:SF4', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TS (DUF810)', NULL, NULL, NULL, 15),
(95410, NULL, 'PTHR24103:SF630', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF187', NULL, NULL, NULL, 15),
(95411, NULL, 'PTHR22989:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG00582', NULL, NULL, NULL, 15),
(95412, NULL, 'PTHR37467', NULL, NULL, NULL, NULL, 'EXPORTED CALCIUM-BINDING GLYCOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(95413, NULL, 'PTHR43597:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURATION PROTEIN SUFE', NULL, NULL, NULL, 15),
(95414, NULL, 'PTHR15711:SF32', NULL, NULL, NULL, NULL, 'RAP GTPASE ACTIVATING PROTEIN 1, ISOFORM H', NULL, NULL, NULL, 15),
(95415, NULL, 'PTHR12506:SF63', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 67', NULL, NULL, NULL, 15),
(95416, NULL, 'PTHR46032:SF2', NULL, NULL, NULL, NULL, 'ALPHA-2,3-SIALYLTRANSFERASE ST3GAL I ISOFORM X1', NULL, NULL, NULL, 15),
(95417, NULL, 'PTHR31636:SF153', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(95418, NULL, 'PTHR12338:SF10', NULL, NULL, NULL, NULL, 'ADHESION AND PENETRATION PROTEIN AUTOTRANSPORTER', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95419, NULL, 'PTHR33699:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95420, NULL, 'PTHR16154:SF24', NULL, NULL, NULL, NULL, 'NEURABIN-2', NULL, NULL, 27131, 15),
(95421, NULL, 'PTHR48104:SF13', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95422, NULL, 'PTHR27007:SF192', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VI.2', NULL, NULL, NULL, 15),
(95423, NULL, 'PTHR45959:SF27', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(95424, NULL, 'PTHR48043:SF59', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(95425, NULL, 'PTHR24061:SF435', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 1 MEMBER 3', NULL, NULL, NULL, 15),
(95426, NULL, 'PTHR31194:SF113', NULL, NULL, NULL, NULL, 'BNAA07G24590D PROTEIN', NULL, NULL, NULL, 15),
(95427, NULL, 'PTHR10218:SF247', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-6 SUBUNIT', NULL, NULL, NULL, 15),
(95428, NULL, 'PTHR34062:SF2', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE 20.9 KDA SUBUNIT-LIKE', NULL, NULL, NULL, 15),
(95429, NULL, 'PTHR32258:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95430, NULL, 'PTHR24070:SF264', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHEB', NULL, NULL, 36263, 15),
(95431, NULL, 'PTHR10845:SF258', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN SIMILAR TO VERTEBRATE REGULATOR OF G-PROTEIN SIGNALLING FAMILY', NULL, NULL, NULL, 15),
(95432, NULL, 'PTHR22899', NULL, NULL, NULL, NULL, 'CYCLIN-RELATED F-BOX FAMILY', NULL, NULL, NULL, 15),
(95433, NULL, 'PTHR21060:SF3', NULL, NULL, NULL, NULL, 'BUTYRATE KINASE 2-RELATED', NULL, NULL, 11336, 15),
(95434, NULL, 'PTHR43133:SF32', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR', NULL, NULL, NULL, 15),
(95435, NULL, 'PTHR44329:SF153', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 20', NULL, NULL, NULL, 15),
(95436, NULL, 'PTHR33122:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95437, NULL, 'PTHR46913:SF6', NULL, NULL, NULL, NULL, 'OS03G0149700 PROTEIN', NULL, NULL, NULL, 15),
(95438, NULL, 'PTHR13847:SF267', NULL, NULL, NULL, NULL, 'D-AMINO ACID DEHYDROGENASE', NULL, NULL, NULL, 15),
(95439, NULL, 'PTHR36743', NULL, NULL, NULL, NULL, 'OS04G0495300 PROTEIN', NULL, NULL, NULL, 15),
(95440, NULL, 'PTHR15898', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(95441, NULL, 'PTHR23113:SF322', NULL, NULL, NULL, NULL, 'RAS PROTEIN-SPECIFIC GUANINE NUCLEOTIDE-RELEASING FACTOR 2A', NULL, NULL, NULL, 15),
(95442, NULL, 'PTHR23421:SF123', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(95443, NULL, 'PTHR21678:SF0', NULL, NULL, NULL, NULL, 'OS01G0965600 PROTEIN', NULL, NULL, NULL, 15),
(95444, NULL, 'PTHR22957:SF588', NULL, NULL, NULL, NULL, 'BNAC01G39600D PROTEIN', NULL, NULL, NULL, 15),
(95445, NULL, 'PTHR24404:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 649', NULL, NULL, NULL, 15),
(95446, NULL, 'PTHR47594:SF3', NULL, NULL, NULL, NULL, 'PROTEIN THYLAKOID ASSEMBLY 8, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(95447, NULL, 'PTHR24637:SF259', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(95448, NULL, 'PTHR35144:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR VIB-1', NULL, NULL, NULL, 15),
(95449, NULL, 'PTHR12111:SF8', NULL, NULL, NULL, NULL, 'BNACNNG76620D PROTEIN', NULL, NULL, NULL, 15),
(95450, NULL, 'PTHR31152:SF16', NULL, NULL, NULL, NULL, 'BNACNNG42060D PROTEIN', NULL, NULL, NULL, 15),
(95451, NULL, 'PTHR24366:SF37', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT, IG-LIKE AND TRANSMEMBRANE DOMAINS 1', NULL, NULL, NULL, 15),
(95452, NULL, 'PTHR22765:SF293', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3F', NULL, NULL, NULL, 15),
(95453, NULL, 'PTHR12773:SF0', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL METHYLTRANSFERASE SUBUNIT TRM112-LIKE PROTEIN', NULL, NULL, NULL, 15),
(95454, NULL, 'PTHR10715:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95455, NULL, 'PTHR21453:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG00773', NULL, NULL, NULL, 15),
(95456, NULL, 'PTHR22726', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE OMA1', NULL, NULL, NULL, 15),
(95457, NULL, 'PTHR23055:SF89', NULL, NULL, NULL, NULL, 'KV CHANNEL-INTERACTING PROTEIN 1 B', NULL, NULL, NULL, 15),
(95458, NULL, 'PTHR33087:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95459, NULL, 'PTHR31100:SF52', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(95460, NULL, 'PTHR11588:SF89', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(95461, NULL, 'PTHR45649:SF29', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(95462, NULL, 'PTHR24116:SF0', NULL, NULL, NULL, NULL, 'KINASE D-INTERACTING SUBSTRATE OF 220 KDA', NULL, NULL, NULL, 15),
(95463, NULL, 'PTHR43592:SF24', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(95464, NULL, 'PTHR46992:SF3', NULL, NULL, NULL, NULL, 'BNAC03G57590D PROTEIN', NULL, NULL, NULL, 15),
(95465, NULL, 'PTHR24348:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95466, NULL, 'PTHR10641:SF1271', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 308-LIKE', NULL, NULL, NULL, 15),
(95467, NULL, 'PTHR11802:SF219', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(95468, NULL, 'PTHR10743:SF13', NULL, NULL, NULL, NULL, 'PROTEIN RER1B', NULL, NULL, NULL, 15),
(95469, NULL, 'PTHR33573:SF14', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(95470, NULL, 'PTHR11588:SF351', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2 CHAIN', NULL, NULL, NULL, 15),
(95471, NULL, 'PTHR46355:SF1', NULL, NULL, NULL, NULL, 'UPF0428 PROTEIN CXORF56', NULL, NULL, NULL, 15),
(95472, NULL, 'PTHR23062:SF6', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(95473, NULL, 'PTHR13466:SF17', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN CONSERVED REGION (DUF2404)-RELATED', NULL, NULL, NULL, 15),
(95474, NULL, 'PTHR45978:SF4', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(95475, NULL, 'PTHR31920:SF48', NULL, NULL, NULL, NULL, 'BNAC02G48650D PROTEIN', NULL, NULL, NULL, 15),
(95476, NULL, 'PTHR48042:SF24', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 3-LIKE', NULL, NULL, NULL, 15),
(95477, NULL, 'PTHR11742:SF89', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(95478, NULL, 'PTHR45733:SF18', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(95479, NULL, 'PTHR19375:SF429', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95480, NULL, 'PTHR14499:SF125', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(95481, NULL, 'PTHR31807:SF41', NULL, NULL, NULL, NULL, 'BNAA08G29650D PROTEIN', NULL, NULL, NULL, 15),
(95482, NULL, 'PTHR24281:SF62', NULL, NULL, NULL, NULL, 'CYTOCHROME 82A3', NULL, NULL, NULL, 15),
(95483, NULL, 'PTHR43821:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H NITROREDUCTASE YDJA-RELATED', NULL, NULL, NULL, 15),
(95484, NULL, 'PTHR45504:SF2', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN-LIKE', NULL, NULL, NULL, 15),
(95485, NULL, 'PTHR31260:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95486, NULL, 'PTHR47981:SF23', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABG3A', NULL, NULL, NULL, 15),
(95487, NULL, 'PTHR33595:SF13', NULL, NULL, NULL, NULL, 'BNAC03G75280D PROTEIN', NULL, NULL, NULL, 15),
(95488, NULL, 'PTHR31973:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95489, NULL, 'PTHR31731:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95490, NULL, 'PTHR32208', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95491, NULL, 'PTHR12542:SF95', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(95492, NULL, 'PTHR47259:SF2', NULL, NULL, NULL, NULL, 'URACIL-REGULATED PROTEIN 1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95493, NULL, 'PTHR43895:SF75', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 16', NULL, NULL, NULL, 15),
(95494, NULL, 'PTHR47196', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, 38300, 15),
(95495, NULL, 'PTHR46004:SF1', NULL, NULL, NULL, NULL, 'CYCLIC AMP-RESPONSIVE ELEMENT-BINDING PROTEIN 3-LIKE PROTEIN 1', NULL, NULL, 27525, 15),
(95496, NULL, 'PTHR21630', NULL, NULL, NULL, NULL, 'VEPH-A/MELTED', NULL, NULL, 29533, 15),
(95497, NULL, 'PTHR31509:SF8', NULL, NULL, NULL, NULL, 'OS02G0552200 PROTEIN', NULL, NULL, NULL, 15),
(95498, NULL, 'PTHR42760:SF98', NULL, NULL, NULL, NULL, 'BLR6358 PROTEIN', NULL, NULL, NULL, 15),
(95499, NULL, 'PTHR24301:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY CYP711A MEMBER', NULL, NULL, NULL, 15),
(95500, NULL, 'PTHR10394:SF21', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', NULL, NULL, NULL, 15),
(95501, NULL, 'PTHR31260:SF63', NULL, NULL, NULL, NULL, 'BNAC06G02610D PROTEIN', NULL, NULL, NULL, 15),
(95502, NULL, 'PTHR11353:SF58', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ZETA-2', NULL, NULL, NULL, 15),
(95503, NULL, 'PTHR47464:SF2', NULL, NULL, NULL, NULL, 'MACOILIN', NULL, NULL, NULL, 15),
(95504, NULL, 'PTHR27005:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95505, NULL, 'PTHR24072:SF316', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC5', NULL, NULL, NULL, 15),
(95506, NULL, 'PTHR14241:SF24', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95507, NULL, 'PTHR20967', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(95508, NULL, 'PTHR31992:SF221', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.2-LIKE', NULL, NULL, NULL, 15),
(95509, NULL, 'PTHR32438:SF5', NULL, NULL, NULL, NULL, '4-ALPHA-GLUCANOTRANSFERASE DPE1, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(95510, NULL, 'PTHR30182:SF1', NULL, NULL, NULL, NULL, 'L-SERINE DEHYDRATASE 1', NULL, NULL, NULL, 15),
(95511, NULL, 'PTHR11608', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN PYRR', NULL, NULL, NULL, 15),
(95512, NULL, 'PTHR46775:SF1', NULL, NULL, NULL, NULL, 'FLOCCULATION PROTEIN (DUF1296)', NULL, NULL, NULL, 15),
(95513, NULL, 'PTHR45910:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95514, NULL, 'PTHR43881:SF1', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLTRANSPEPTIDASE (AFU_ORTHOLOGUE AFUA_4G13580)', NULL, NULL, NULL, 15),
(95515, NULL, 'PTHR33168:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95516, NULL, 'PTHR45707:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95517, NULL, 'PTHR11537:SF88', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY G MEMBER 1', NULL, NULL, NULL, 15),
(95518, NULL, 'PTHR32285:SF184', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 19', NULL, NULL, NULL, 15),
(95519, NULL, 'PTHR43874:SF33', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR8', NULL, NULL, NULL, 15),
(95520, NULL, 'PTHR47985:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95521, NULL, 'PTHR32099:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95522, NULL, 'PTHR47122:SF4', NULL, NULL, NULL, NULL, 'TRF-LIKE 3', NULL, NULL, NULL, 15),
(95523, NULL, 'PTHR14905:SF11', NULL, NULL, NULL, NULL, 'TINC (EUROFUNG)', NULL, NULL, NULL, 15),
(95524, NULL, 'PTHR46564:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE', NULL, NULL, NULL, 15),
(95525, NULL, 'PTHR33083:SF20', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(95526, NULL, 'PTHR10046:SF46', NULL, NULL, NULL, NULL, 'ENDOPEPTIDASE LA', NULL, NULL, NULL, 15),
(95527, NULL, 'PTHR35124:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(95528, NULL, 'PTHR45621:SF58', NULL, NULL, NULL, NULL, 'OS06G0714900 PROTEIN', NULL, NULL, NULL, 15),
(95529, NULL, 'PTHR43791:SF15', NULL, NULL, NULL, NULL, 'TRANSPORTER SEO1-RELATED', NULL, NULL, NULL, 15),
(95530, NULL, 'PTHR37422:SF7', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95531, NULL, 'PTHR27008:SF350', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95532, NULL, 'PTHR37384:SF1', NULL, NULL, NULL, NULL, 'OS01G0835600 PROTEIN', NULL, NULL, NULL, 15),
(95533, NULL, 'PTHR13180', NULL, NULL, NULL, NULL, 'SMALL MEMBRANE PROTEIN-RELATED', NULL, NULL, 3422, 15),
(95534, NULL, 'PTHR15492:SF1', NULL, NULL, NULL, NULL, 'CYCLIN-D1-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(95535, NULL, 'PTHR24161:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95536, NULL, 'PTHR10352:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', NULL, NULL, NULL, 15),
(95537, NULL, 'PTHR43601:SF18', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 1-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(95538, NULL, 'PTHR16154:SF26', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 9A-LIKE A-RELATED', NULL, NULL, NULL, 15),
(95539, NULL, 'PTHR48105:SF16', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE 1-RELATED', NULL, NULL, NULL, 15),
(95540, NULL, 'PTHR22691:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 61', NULL, NULL, NULL, 15),
(95541, NULL, 'PTHR45788:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE/FUMARATE MITOCHONDRIAL TRANSPORTER', NULL, NULL, NULL, 15),
(95542, NULL, 'PTHR33286:SF42', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95543, NULL, 'PTHR47994:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB35-LIKE', NULL, NULL, NULL, 15),
(95544, NULL, 'PTHR10179:SF78', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-X-C MOTIF) LIGAND 19', NULL, NULL, NULL, 15),
(95545, NULL, 'PTHR46400:SF6', NULL, NULL, NULL, NULL, 'OS09G0525400 PROTEIN', NULL, NULL, NULL, 15),
(95546, NULL, 'PTHR43840:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG01706', NULL, NULL, NULL, 15),
(95547, NULL, 'PTHR12411:SF684', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(95548, NULL, 'PTHR27000:SF559', NULL, NULL, NULL, NULL, 'CLV1 RECEPTOR KINASE-LIKE', NULL, NULL, NULL, 15),
(95549, NULL, 'PTHR10788:SF94', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 5', NULL, NULL, NULL, 15),
(95550, NULL, 'PTHR11537:SF133', NULL, NULL, NULL, NULL, 'PROTEIN CBR-EXP-2', NULL, NULL, NULL, 15),
(95551, NULL, 'PTHR43200:SF11', NULL, NULL, NULL, NULL, 'SAL2 PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(95552, NULL, 'PTHR31630:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95553, NULL, 'PTHR33420:SF27', NULL, NULL, NULL, NULL, 'PROTEIN FIMG', NULL, NULL, NULL, 15),
(95554, NULL, 'PTHR30204:SF58', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YFMP', NULL, NULL, NULL, 15),
(95555, NULL, 'PTHR15396', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P40', NULL, NULL, 17526, 15),
(95556, NULL, 'PTHR31989:SF309', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(95557, NULL, 'PTHR43195:SF3', NULL, NULL, NULL, NULL, 'TRANSKETOLASE', NULL, NULL, NULL, 15),
(95558, NULL, 'PTHR33781:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PHYTOCHROME KINASE SUBSTRATE 3', NULL, NULL, 29908, 15),
(95559, NULL, 'PTHR35725', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 26', NULL, NULL, 31798, 15),
(95560, NULL, 'PTHR39967:SF1', NULL, NULL, NULL, NULL, 'VNG6430C', NULL, NULL, NULL, 15),
(95561, NULL, 'PTHR10009:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95562, NULL, 'PTHR45990:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN REV1', NULL, NULL, NULL, 15),
(95563, NULL, 'PTHR30525:SF7', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE 5-PHOSPHATE REDUCTOISOMERASE-RELATED', NULL, NULL, NULL, 15),
(95564, NULL, 'PTHR10763:SF26', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 6 HOMOLOG', NULL, NULL, NULL, 15),
(95565, NULL, 'PTHR15880:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 22 OPEN READING FRAME 42', NULL, NULL, NULL, 15),
(95566, NULL, 'PTHR10366:SF703', NULL, NULL, NULL, NULL, '3BETA-HYDROXYSTEROID-DEHYDROGENASE/DECARBOXYLASE ISOFORM 2', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95567, NULL, 'PTHR43336', NULL, NULL, NULL, NULL, 'OXYGEN SENSOR HISTIDINE KINASE RESPONSE REGULATOR DEVS/DOSS', NULL, NULL, NULL, 15),
(95568, NULL, 'PTHR38932', NULL, NULL, NULL, NULL, 'BNAC03G64660D PROTEIN', NULL, NULL, NULL, 15),
(95569, NULL, 'PTHR24637:SF296', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(95570, NULL, 'PTHR46043:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95571, NULL, 'PTHR37013:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95572, NULL, 'PTHR42881:SF2', NULL, NULL, NULL, NULL, 'PROLYL ENDOPEPTIDASE', NULL, NULL, NULL, 15),
(95573, NULL, 'PTHR10335:SF4', NULL, NULL, NULL, NULL, 'RRNA 2''-O-METHYLTRANSFERASE FIBRILLARIN', NULL, NULL, NULL, 15),
(95574, NULL, 'PTHR31650:SF47', NULL, NULL, NULL, NULL, 'OS01G0681000 PROTEIN', NULL, NULL, NULL, 15),
(95575, NULL, 'PTHR37746:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(95576, NULL, 'PTHR14154:SF80', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', NULL, NULL, NULL, 15),
(95577, NULL, 'PTHR23502:SF50', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00430)-RELATED', NULL, NULL, NULL, 15),
(95578, NULL, 'PTHR31602:SF76', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 1', NULL, NULL, NULL, 15),
(95579, NULL, 'PTHR11716:SF8', NULL, NULL, NULL, NULL, 'GROUP IIF SECRETORY PHOSPHOLIPASE A2', NULL, NULL, NULL, 15),
(95580, NULL, 'PTHR46354:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA6-LIKE', NULL, NULL, NULL, 15),
(95581, NULL, 'PTHR11346:SF114', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(95582, NULL, 'PTHR11552:SF208', NULL, NULL, NULL, NULL, 'GLUCOSE DEHYDROGENASE [FAD, QUINONE]-LIKE PROTEIN', NULL, NULL, NULL, 15),
(95583, NULL, 'PTHR31374:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95584, NULL, 'PTHR31268:SF32', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(95585, NULL, 'PTHR23020:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG09499', NULL, NULL, NULL, 15),
(95586, NULL, 'PTHR10579:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95587, NULL, 'PTHR43895:SF123', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(95588, NULL, 'PTHR10887:SF481', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95589, NULL, 'PTHR24056:SF437', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95590, NULL, 'PTHR46128:SF146', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95591, NULL, 'PTHR22595:SF141', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 19, CATALYTIC, LYSOZYME-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95592, NULL, 'PTHR22991', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(95593, NULL, 'PTHR23509:SF34', NULL, NULL, NULL, NULL, 'BNAA08G07860D PROTEIN', NULL, NULL, NULL, 15),
(95594, NULL, 'PTHR21115:SF0', NULL, NULL, NULL, NULL, 'GH06117P-RELATED', NULL, NULL, NULL, 15),
(95595, NULL, 'PTHR23526:SF1', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY MFS_1', NULL, NULL, NULL, 15),
(95596, NULL, 'PTHR24399:SF36', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(95597, NULL, 'PTHR23389:SF19', NULL, NULL, NULL, NULL, 'TELOMERE LENGTH REGULATION PROTEIN ELG1', NULL, NULL, NULL, 15),
(95598, NULL, 'PTHR21562', NULL, NULL, NULL, NULL, 'NOTUM-RELATED', NULL, NULL, 2510, 15),
(95599, NULL, 'PTHR11477:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR TFIIS', NULL, NULL, NULL, 15),
(95600, NULL, 'PTHR10887:SF490', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(95601, NULL, 'PTHR31052', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(95602, NULL, 'PTHR34411:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95603, NULL, 'PTHR48065:SF19', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95604, NULL, 'PTHR14155:SF527', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95605, NULL, 'PTHR11875:SF135', NULL, NULL, NULL, NULL, 'LRRGT00073-RELATED', NULL, NULL, NULL, 15),
(95606, NULL, 'PTHR31881:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95607, NULL, 'PTHR21621:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLASPARTYLGLUTAMATE SYNTHASE A', NULL, NULL, NULL, 15),
(95608, NULL, 'PTHR31867:SF83', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(95609, NULL, 'PTHR11782:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95610, NULL, 'PTHR21227:SF0', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN2', NULL, NULL, NULL, 15),
(95611, NULL, 'PTHR12411:SF547', NULL, NULL, NULL, NULL, 'CATHEPSIN B-LIKE CYSTEINE PROTEINASE 3', NULL, NULL, NULL, 15),
(95612, NULL, 'PTHR24343:SF105', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95613, NULL, 'PTHR24056:SF375', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 7', NULL, NULL, 33633, 15),
(95614, NULL, 'PTHR10315:SF132', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95615, NULL, 'PTHR12138:SF66', NULL, NULL, NULL, NULL, 'LMO7 DOWNSTREAM NEIGHBOR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95616, NULL, 'PTHR33048:SF109', NULL, NULL, NULL, NULL, 'FAMILY DECARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00920)-RELATED', NULL, NULL, NULL, 15),
(95617, NULL, 'PTHR47990:SF85', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-OXIDASE 2', NULL, NULL, NULL, 15),
(95618, NULL, 'PTHR32430:SF1', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(95619, NULL, 'PTHR41404:SF1', NULL, NULL, NULL, NULL, 'SHIELDIN COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(95620, NULL, 'PTHR33372:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CHAPERONE-LIKE PROTEIN OF POR1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(95621, NULL, 'PTHR45618:SF11', NULL, NULL, NULL, NULL, 'KIDNEY MITOCHONDRIAL CARRIER PROTEIN 1', NULL, NULL, NULL, 15),
(95622, NULL, 'PTHR12612:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95623, NULL, 'PTHR22953:SF124', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(95624, NULL, 'PTHR31272:SF8', NULL, NULL, NULL, NULL, 'BLL1027 PROTEIN', NULL, NULL, NULL, 15),
(95625, NULL, 'PTHR33147:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95626, NULL, 'PTHR47384:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CCNB1IP1 HOMOLOG', NULL, NULL, NULL, 15),
(95627, NULL, 'PTHR31301:SF132', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 27-LIKE', NULL, NULL, NULL, 15),
(95628, NULL, 'PTHR11206:SF255', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(95629, NULL, 'PTHR18945:SF382', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(95630, NULL, 'PTHR46761:SF3', NULL, NULL, NULL, NULL, 'F2O10.4 PROTEIN', NULL, NULL, NULL, 15),
(95631, NULL, 'PTHR10655:SF57', NULL, NULL, NULL, NULL, 'INACTIVE CARBOXYLESTERASE OS04G0669700-RELATED', NULL, NULL, NULL, 15),
(95632, NULL, 'PTHR11195', NULL, NULL, NULL, NULL, 'DESTABILASE-RELATED', NULL, NULL, 14260, 15),
(95633, NULL, 'PTHR11814:SF215', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLIC ACID TRANSPORTER DAUA', NULL, NULL, NULL, 15),
(95634, NULL, 'PTHR31642:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95635, NULL, 'PTHR45648:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95636, NULL, 'PTHR30450:SF5', NULL, NULL, NULL, NULL, 'HISTIDINE TRANSPORT SYSTEM PERMEASE PROTEIN HISM', NULL, NULL, NULL, 15),
(95637, NULL, 'PTHR31373:SF17', NULL, NULL, NULL, NULL, 'OS06G0652100 PROTEIN', NULL, NULL, NULL, 15),
(95638, NULL, 'PTHR11229:SF15', NULL, NULL, NULL, NULL, 'BNAA01G27990D PROTEIN', NULL, NULL, NULL, 15),
(95639, NULL, 'PTHR43324:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95640, NULL, 'PTHR31657:SF57', NULL, NULL, NULL, NULL, 'BNAA02G34570D PROTEIN', NULL, NULL, NULL, 15),
(95641, NULL, 'PTHR36488:SF10', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(95642, NULL, 'PTHR31235:SF184', NULL, NULL, NULL, NULL, 'PEROXIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(95643, NULL, 'PTHR45701:SF18', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN-A', NULL, NULL, NULL, 15),
(95644, NULL, 'PTHR13946:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95645, NULL, 'PTHR43240:SF5', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-2-NAPHTHOYL-COA THIOESTERASE 1', NULL, NULL, NULL, 15),
(95646, NULL, 'PTHR28434:SF1', NULL, NULL, NULL, NULL, 'PROTEIN C3ORF33', NULL, NULL, NULL, 15),
(95647, NULL, 'PTHR23084:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95648, NULL, 'PTHR32285:SF285', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(95649, NULL, 'PTHR42898:SF65', NULL, NULL, NULL, NULL, 'BNAA05G12660D PROTEIN', NULL, NULL, NULL, 15),
(95650, NULL, 'PTHR43899:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95651, NULL, 'PTHR12127:SF6', NULL, NULL, NULL, NULL, 'MUCOLIPIN-1', NULL, NULL, NULL, 15),
(95652, NULL, 'PTHR24298:SF636', NULL, NULL, NULL, NULL, 'OS07G0451300 PROTEIN', NULL, NULL, NULL, 15),
(95653, NULL, 'PTHR22595:SF144', NULL, NULL, NULL, NULL, 'ENDOCHITINASE 1', NULL, NULL, NULL, 15),
(95654, NULL, 'PTHR23288:SF12', NULL, NULL, NULL, NULL, 'SI:CH211-13K12.2', NULL, NULL, NULL, 15),
(95655, NULL, 'PTHR10972:SF46', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 11', NULL, NULL, NULL, 15),
(95656, NULL, 'PTHR23262:SF216', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 1-3', NULL, NULL, NULL, 15),
(95657, NULL, 'PTHR10913:SF75', NULL, NULL, NULL, NULL, 'OVOINHIBITOR', NULL, NULL, NULL, 15),
(95658, NULL, 'PTHR12411:SF615', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95659, NULL, 'PTHR23346', NULL, NULL, NULL, NULL, 'TRANSLATIONAL ACTIVATOR GCN1-RELATED', NULL, NULL, NULL, 15),
(95660, NULL, 'PTHR47625', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95661, NULL, 'PTHR42972', NULL, NULL, NULL, NULL, 'TOL-PAL SYSTEM PROTEIN TOLB', NULL, NULL, NULL, 15),
(95662, NULL, 'PTHR10887:SF5', NULL, NULL, NULL, NULL, 'RNA HELICASE AQUARIUS', NULL, NULL, 23457, 15),
(95663, NULL, 'PTHR43317', NULL, NULL, NULL, NULL, 'THERMOSPERMINE SYNTHASE ACAULIS5', NULL, NULL, NULL, 15),
(95664, NULL, 'PTHR21490:SF0', NULL, NULL, NULL, NULL, 'ENKURIN', NULL, NULL, 23539, 15),
(95665, NULL, 'PTHR10896:SF64', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASES', NULL, NULL, NULL, 15),
(95666, NULL, 'PTHR16091', NULL, NULL, NULL, NULL, 'TTC17 PROTEIN', NULL, NULL, NULL, 15),
(95667, NULL, 'PTHR10589:SF24', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE ISOZYME L3', NULL, NULL, NULL, 15),
(95668, NULL, 'PTHR47507', NULL, NULL, NULL, NULL, 'BARRIER TO AUTOINTEGRATION FACTOR 2', NULL, NULL, NULL, 15),
(95669, NULL, 'PTHR34631', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95670, NULL, 'PTHR11206:SF415', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(95671, NULL, 'PTHR11902:SF12', NULL, NULL, NULL, NULL, 'ALPHA-ENOLASE', NULL, NULL, NULL, 15),
(95672, NULL, 'PTHR48041:SF63', NULL, NULL, NULL, NULL, 'EARLY GENE AT 23, ISOFORM C', NULL, NULL, NULL, 15),
(95673, NULL, 'PTHR11624:SF104', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA', NULL, NULL, NULL, 15),
(95674, NULL, 'PTHR46734:SF1', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR 1', NULL, NULL, NULL, 15),
(95675, NULL, 'PTHR47518:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG06691', NULL, NULL, NULL, 15),
(95676, NULL, 'PTHR33076:SF100', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(95677, NULL, 'PTHR31645:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95678, NULL, 'PTHR31860:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95679, NULL, 'PTHR11691:SF60', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-2', NULL, NULL, NULL, 15),
(95680, NULL, 'PTHR42647:SF43', NULL, NULL, NULL, NULL, 'BNAA08G04120D PROTEIN', NULL, NULL, NULL, 15),
(95681, NULL, 'PTHR10891:SF910', NULL, NULL, NULL, NULL, 'BNAANNG10070D PROTEIN', NULL, NULL, NULL, 15),
(95682, NULL, 'PTHR46502:SF7', NULL, NULL, NULL, NULL, 'ELICITOR-RESPONSIVE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(95683, NULL, 'PTHR31080:SF1', NULL, NULL, NULL, NULL, 'OS05G0360900 PROTEIN', NULL, NULL, NULL, 15),
(95684, NULL, 'PTHR22847:SF702', NULL, NULL, NULL, NULL, '3E324', NULL, NULL, NULL, 15),
(95685, NULL, 'PTHR47993:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95686, NULL, 'PTHR32077:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95687, NULL, 'PTHR31297:SF1', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE I/II-RELATED', NULL, NULL, NULL, 15),
(95688, NULL, 'PTHR11850:SF126', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MEIS1', NULL, NULL, NULL, 15),
(95689, NULL, 'PTHR37972:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG25533', NULL, NULL, NULL, 15),
(95690, NULL, 'PTHR47641:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95691, NULL, 'PTHR12305:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95692, NULL, 'PTHR45649:SF4', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(95693, NULL, 'PTHR31589:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95694, NULL, 'PTHR31260:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95695, NULL, 'PTHR32208:SF67', NULL, NULL, NULL, NULL, 'OS05G0559000 PROTEIN', NULL, NULL, NULL, 15),
(95696, NULL, 'PTHR11206:SF416', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 29-RELATED', NULL, NULL, NULL, 15),
(95697, NULL, 'PTHR14167:SF63', NULL, NULL, NULL, NULL, 'ENDOPHILIN-A2', NULL, NULL, 26729, 15),
(95698, NULL, 'PTHR10768:SF29', NULL, NULL, NULL, NULL, 'BNAA02G19870D PROTEIN', NULL, NULL, NULL, 15),
(95699, NULL, 'PTHR12112:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95700, NULL, 'PTHR27002:SF661', NULL, NULL, NULL, NULL, 'OS04G0632100 PROTEIN', NULL, NULL, NULL, 15),
(95701, NULL, 'PTHR45849:SF1', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SSRP1', NULL, NULL, NULL, 15),
(95702, NULL, 'PTHR31902', NULL, NULL, NULL, NULL, 'ACTIN PATCHES DISTAL PROTEIN 1', NULL, NULL, 12833, 15),
(95703, NULL, 'PTHR31474:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0027O01.6 PROTEIN', NULL, NULL, NULL, 15),
(95704, NULL, 'PTHR14594', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 70 KDA', NULL, NULL, 30640, 15),
(95705, NULL, 'PTHR48033:SF8', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN SQUID', NULL, NULL, NULL, 15),
(95706, NULL, 'PTHR43019:SF23', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(95707, NULL, 'PTHR35974', NULL, NULL, NULL, NULL, 'NONCOMPACT MYELIN-ASSOCIATED PROTEIN', NULL, NULL, 31176, 15),
(95708, NULL, 'PTHR42769', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE', NULL, NULL, NULL, 15),
(95709, NULL, 'PTHR46642:SF4', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE, SUBGROUP, CATALYTIC DOMAIN', NULL, NULL, NULL, 15),
(95710, NULL, 'PTHR11255:SF84', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(95711, NULL, 'PTHR15598:SF10', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: ENHANCER OF MRNA-DECAPPING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(95712, NULL, 'PTHR11363:SF12', NULL, NULL, NULL, NULL, 'BNAC05G46670D PROTEIN', NULL, NULL, NULL, 15),
(95713, NULL, 'PTHR13621:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN PRCC', NULL, NULL, NULL, 15),
(95714, NULL, 'PTHR37450', NULL, NULL, NULL, NULL, 'CIPC PROTEIN', NULL, NULL, 21362, 15),
(95715, NULL, 'PTHR34467:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95716, NULL, 'PTHR21580:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95717, NULL, 'PTHR18945:SF809', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID (GABA) A RECEPTOR, ZETA', NULL, NULL, NULL, 15),
(95718, NULL, 'PTHR12962:SF1', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING PROTEIN CG9705', NULL, NULL, NULL, 15),
(95719, NULL, 'PTHR12629:SF6', NULL, NULL, NULL, NULL, 'DIPHOSPHOINOSITOL POLYPHOSPHATE PHOSPHOHYDROLASE 2-RELATED', NULL, NULL, NULL, 15),
(95720, NULL, 'PTHR24068:SF351', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 35', NULL, NULL, NULL, 15),
(95721, NULL, 'PTHR41693', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95722, NULL, 'PTHR15836', NULL, NULL, NULL, NULL, 'PERIPHILIN 1', NULL, NULL, 24923, 15),
(95723, NULL, 'PTHR43349:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95724, NULL, 'PTHR35485:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95725, NULL, 'PTHR24414:SF139', NULL, NULL, NULL, NULL, 'BNAC04G03370D PROTEIN', NULL, NULL, NULL, 15),
(95726, NULL, 'PTHR45657:SF47', NULL, NULL, NULL, NULL, 'BNAA04G12230D PROTEIN', NULL, NULL, NULL, 15),
(95727, NULL, 'PTHR45855:SF43', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(95728, NULL, 'PTHR47999:SF21', NULL, NULL, NULL, NULL, 'TUBER-SPECIFIC AND SUCROSE-RESPONSIVE ELEMENT BINDING FACTOR', NULL, NULL, NULL, 15),
(95729, NULL, 'PTHR10704:SF44', NULL, NULL, NULL, NULL, 'LD35051P', NULL, NULL, NULL, 15),
(95730, NULL, 'PTHR47999:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95731, NULL, 'PTHR46169:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG18126', NULL, NULL, NULL, 15),
(95732, NULL, 'PTHR11782:SF110', NULL, NULL, NULL, NULL, 'BNAA10G16550D PROTEIN', NULL, NULL, NULL, 15),
(95733, NULL, 'PTHR47659:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(95734, NULL, 'PTHR23086:SF122', NULL, NULL, NULL, NULL, '5-KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95735, NULL, 'PTHR11690:SF269', NULL, NULL, NULL, NULL, 'DEGENERIN-LIKE PROTEIN ASIC-2', NULL, NULL, NULL, 15),
(95736, NULL, 'PTHR14093:SF21', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(95737, NULL, 'PTHR47686:SF1', NULL, NULL, NULL, NULL, 'SGS DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(95738, NULL, 'PTHR10122:SF12', NULL, NULL, NULL, NULL, 'ZGC:86599', NULL, NULL, NULL, 15),
(95739, NULL, 'PTHR24230:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95740, NULL, 'PTHR47676:SF2', NULL, NULL, NULL, NULL, 'BNAANNG17340D PROTEIN', NULL, NULL, NULL, 15),
(95741, NULL, 'PTHR45651:SF1', NULL, NULL, NULL, NULL, 'OS06G0207700 PROTEIN', NULL, NULL, NULL, 15),
(95742, NULL, 'PTHR30540:SF103', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 25', NULL, NULL, NULL, 15),
(95743, NULL, 'PTHR34569:SF15', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE ARKADIA-A, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95744, NULL, 'PTHR46128:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95745, NULL, 'PTHR43820:SF8', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(95746, NULL, 'PTHR48011:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95747, NULL, 'PTHR31787:SF1', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN B-RELATED', NULL, NULL, NULL, 15),
(95748, NULL, 'PTHR21726:SF69', NULL, NULL, NULL, NULL, 'BNAA09G04050D PROTEIN', NULL, NULL, NULL, 15),
(95749, NULL, 'PTHR10151:SF110', NULL, NULL, NULL, NULL, 'ALKALINE-PHOSPHATASE-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(95750, NULL, 'PTHR21622:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG19950', NULL, NULL, NULL, 15),
(95751, NULL, 'PTHR33593:SF3', NULL, NULL, NULL, NULL, 'BNAA09G06020D PROTEIN', NULL, NULL, NULL, 15),
(95752, NULL, 'PTHR16134:SF109', NULL, NULL, NULL, NULL, 'BNAA09G01370D PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95753, NULL, 'PTHR47230', NULL, NULL, NULL, NULL, 'TIR DOMAIN-CONTAINING ADAPTER MOLECULE 1', NULL, NULL, 16291, 15),
(95754, NULL, 'PTHR48021:SF6', NULL, NULL, NULL, NULL, 'BNAC08G09100D PROTEIN', NULL, NULL, NULL, 15),
(95755, NULL, 'PTHR21700:SF21', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(95756, NULL, 'PTHR45899', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN AT 15B, ISOFORM C', NULL, NULL, NULL, 15),
(95757, NULL, 'PTHR47125:SF6', NULL, NULL, NULL, NULL, 'OS05G0428400 PROTEIN', NULL, NULL, NULL, 15),
(95758, NULL, 'PTHR39147', NULL, NULL, NULL, NULL, 'PROTEIN SPT21', NULL, NULL, 39111, 15),
(95759, NULL, 'PTHR10782:SF69', NULL, NULL, NULL, NULL, 'E4 SUMO-PROTEIN LIGASE PIAL2-LIKE', NULL, NULL, NULL, 15),
(95760, NULL, 'PTHR10983:SF63', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 4-RELATED', NULL, NULL, NULL, 15),
(95761, NULL, 'PTHR45621:SF182', NULL, NULL, NULL, NULL, 'KINASE APK1B, CHLOROPLAST, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95762, NULL, 'PTHR10315:SF116', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(95763, NULL, 'PTHR24188:SF39', NULL, NULL, NULL, NULL, 'IQ MOTIF AND ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN LOC642574 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(95764, NULL, 'PTHR32080:SF56', NULL, NULL, NULL, NULL, 'OS06G0253600 PROTEIN', NULL, NULL, NULL, 15),
(95765, NULL, 'PTHR23266:SF282', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-8', NULL, NULL, NULL, 15),
(95766, NULL, 'PTHR12439:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95767, NULL, 'PTHR16284:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CDV3 HOMOLOG', NULL, NULL, NULL, 15),
(95768, NULL, 'PTHR12197:SF285', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASHR1', NULL, NULL, NULL, 15),
(95769, NULL, 'PTHR11615:SF287', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(95770, NULL, 'PTHR43775:SF34', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 16-RELATED', NULL, NULL, NULL, 15),
(95771, NULL, 'PTHR13283:SF12', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN FRMD8P1-RELATED', NULL, NULL, NULL, 15),
(95772, NULL, 'PTHR43489:SF1', NULL, NULL, NULL, NULL, 'L-RIBULOSE-5-PHOSPHATE 3-EPIMERASE SGBU-RELATED', NULL, NULL, NULL, 15),
(95773, NULL, 'PTHR45958:SF7', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(95774, NULL, 'PTHR24055:SF495', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G02590)-RELATED', NULL, NULL, NULL, 15),
(95775, NULL, 'PTHR31642:SF224', NULL, NULL, NULL, NULL, 'N-BENZOYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95776, NULL, 'PTHR43176:SF20', NULL, NULL, NULL, NULL, 'BNAA02G34880D PROTEIN', NULL, NULL, NULL, 15),
(95777, NULL, 'PTHR22932:SF3', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E SYNTHASE 3', NULL, NULL, NULL, 15),
(95778, NULL, 'PTHR13864:SF19', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX PROTEIN 2', NULL, NULL, NULL, 15),
(95779, NULL, 'PTHR32093:SF136', NULL, NULL, NULL, NULL, 'BNAC08G02750D PROTEIN', NULL, NULL, NULL, 15),
(95780, NULL, 'PTHR10663:SF366', NULL, NULL, NULL, NULL, 'SEC7 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95781, NULL, 'PTHR42937', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95782, NULL, 'PTHR24343:SF221', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(95783, NULL, 'PTHR28184', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL HOMOLOGOUS RECOMBINATION PROTEIN 1', NULL, NULL, 13576, 15),
(95784, NULL, 'PTHR24092:SF174', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE DNF3-RELATED', NULL, NULL, NULL, 15),
(95785, NULL, 'PTHR36746:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95786, NULL, 'PTHR23266:SF271', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 7-81 (NON-FUNCTIONAL)', NULL, NULL, NULL, 15),
(95787, NULL, 'PTHR11709:SF417', NULL, NULL, NULL, NULL, 'LACCASE-17', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95788, NULL, 'PTHR35665', NULL, NULL, NULL, NULL, 'PROTEIN LKAAEAR1', NULL, NULL, 27800, 15),
(95789, NULL, 'PTHR34371:SF11', NULL, NULL, NULL, NULL, 'RESPONSE FACTOR, PUTATIVE (DUF688)-RELATED', NULL, NULL, NULL, 15),
(95790, NULL, 'PTHR11537:SF182', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY D MEMBER 3', NULL, NULL, NULL, 15),
(95791, NULL, 'PTHR11104:SF0', NULL, NULL, NULL, NULL, 'SPBC2 PROPHAGE-DERIVED AMINOGLYCOSIDE N(3'')-ACETYLTRANSFERASE-LIKE PROTEIN YOKD', NULL, NULL, NULL, 15),
(95792, NULL, 'PTHR43641:SF3', NULL, NULL, NULL, NULL, 'FORMATE ACETYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(95793, NULL, 'PTHR43346', NULL, NULL, NULL, NULL, 'LIGAND BINDING DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14370)-RELATED', NULL, NULL, NULL, 15),
(95794, NULL, 'PTHR11214:SF294', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(95795, NULL, 'PTHR32448', NULL, NULL, NULL, NULL, 'OS08G0158400 PROTEIN', NULL, NULL, NULL, 15),
(95796, NULL, 'PTHR31767:SF0', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-LIKE SUBUNIT', NULL, NULL, NULL, 15),
(95797, NULL, 'PTHR13064:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 9', NULL, NULL, NULL, 15),
(95798, NULL, 'PTHR12542:SF103', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO70B2', NULL, NULL, NULL, 15),
(95799, NULL, 'PTHR11814:SF54', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.5-RELATED', NULL, NULL, 23259, 15),
(95800, NULL, 'PTHR12953:SF2', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(95801, NULL, 'PTHR11062:SF275', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95802, NULL, 'PTHR42967', NULL, NULL, NULL, NULL, 'METAL DEPENDENT HYDROLASE', NULL, NULL, NULL, 15),
(95803, NULL, 'PTHR10953:SF6', NULL, NULL, NULL, NULL, 'NEDD8-ACTIVATING ENZYME E1 CATALYTIC SUBUNIT', NULL, NULL, 24364, 15),
(95804, NULL, 'PTHR33373:SF25', NULL, NULL, NULL, NULL, 'BNAA09G56760D PROTEIN', NULL, NULL, NULL, 15),
(95805, NULL, 'PTHR11929:SF199', NULL, NULL, NULL, NULL, '4-GALACTOSYL-N-ACETYLGLUCOSAMINIDE 3-ALPHA-L-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(95806, NULL, 'PTHR34569:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95807, NULL, 'PTHR18945:SF821', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', NULL, NULL, NULL, 15),
(95808, NULL, 'PTHR10801:SF10', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G14300)', NULL, NULL, NULL, 15),
(95809, NULL, 'PTHR33169:SF14', NULL, NULL, NULL, NULL, 'PADR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(95810, NULL, 'PTHR31805:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95811, NULL, 'PTHR11615:SF297', NULL, NULL, NULL, NULL, 'PERIPLASMIC [FE-FE] HYDROGENASE LARGE SUBUNIT HYDA', NULL, NULL, NULL, 15),
(95812, NULL, 'PTHR12756:SF43', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95813, NULL, 'PTHR38887:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(95814, NULL, 'PTHR24393:SF105', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE AW146154-RELATED', NULL, NULL, NULL, 15),
(95815, NULL, 'PTHR10797:SF56', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(95816, NULL, 'PTHR24034', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(95817, NULL, 'PTHR13869:SF20', NULL, NULL, NULL, NULL, 'MYELIN PROTEIN ZERO-LIKE PROTEIN 3', NULL, NULL, 27569, 15),
(95818, NULL, 'PTHR45657:SF38', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH8-LIKE', NULL, NULL, NULL, 15),
(95819, NULL, 'PTHR48011:SF52', NULL, NULL, NULL, NULL, 'BNAA09G17240D PROTEIN', NULL, NULL, NULL, 15),
(95820, NULL, 'PTHR14428:SF5', NULL, NULL, NULL, NULL, 'NUCLEOLAR COMPLEX PROTEIN 3 HOMOLOG', NULL, NULL, NULL, 15),
(95821, NULL, 'PTHR22941:SF188', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(95822, NULL, 'PTHR10489:SF594', NULL, NULL, NULL, NULL, 'C-X-C CHEMOKINE RECEPTOR TYPE 4', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95823, NULL, 'PTHR18945:SF753', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(95824, NULL, 'PTHR11439:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95825, NULL, 'PTHR10536', NULL, NULL, NULL, NULL, 'DNA PRIMASE SMALL SUBUNIT', NULL, NULL, 9376, 15),
(95826, NULL, 'PTHR19139:SF161', NULL, NULL, NULL, NULL, 'AQUAPORIN-1', NULL, NULL, NULL, 15),
(95827, NULL, 'PTHR33044:SF140', NULL, NULL, NULL, NULL, 'XYLOGEN-LIKE PROTEIN 11', NULL, NULL, NULL, 15),
(95828, NULL, 'PTHR19232:SF1', NULL, NULL, NULL, NULL, 'CEREBELLAR DEGENERATION-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(95829, NULL, 'PTHR24023:SF1014', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE I, ALPHA 1B', NULL, NULL, NULL, 15),
(95830, NULL, 'PTHR32083:SF41', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE (AFU_ORTHOLOGUE AFUA_2G05810)-RELATED', NULL, NULL, NULL, 15),
(95831, NULL, 'PTHR47319:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1-LIKE', NULL, NULL, NULL, 15),
(95832, NULL, 'PTHR45586:SF11', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE ASSEMBLY PROTEIN B', NULL, NULL, NULL, 15),
(95833, NULL, 'PTHR31008:SF2', NULL, NULL, NULL, NULL, 'COP1-INTERACTING PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(95834, NULL, 'PTHR10373:SF32', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 7-LIKE 2', NULL, NULL, NULL, 15),
(95835, NULL, 'PTHR32410:SF154', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95836, NULL, 'PTHR20966:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 17', NULL, NULL, NULL, 15),
(95837, NULL, 'PTHR24393:SF82', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 775', NULL, NULL, NULL, 15),
(95838, NULL, 'PTHR10362:SF50', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(95839, NULL, 'PTHR34996:SF3', NULL, NULL, NULL, NULL, 'OS06G0327400 PROTEIN', NULL, NULL, NULL, 15),
(95840, NULL, 'PTHR46356:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 2-OXODICARBOXYLATE CARRIER', NULL, NULL, NULL, 15),
(95841, NULL, 'PTHR35695:SF2', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(95842, NULL, 'PTHR24015:SF1063', NULL, NULL, NULL, NULL, 'OS12G0156900 PROTEIN', NULL, NULL, NULL, 15),
(95843, NULL, 'PTHR11254:SF396', NULL, NULL, NULL, NULL, 'NEDD4-LIKE E3 UBIQUITIN-PROTEIN LIGASE WWP2', NULL, NULL, NULL, 15),
(95844, NULL, 'PTHR34575:SF5', NULL, NULL, NULL, NULL, 'OS02G0773500 PROTEIN', NULL, NULL, NULL, 15),
(95845, NULL, 'PTHR31087:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95846, NULL, 'PTHR12533:SF10', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR OF ACTIVATED T-CELLS 5', NULL, NULL, 18333, 15),
(95847, NULL, 'PTHR46057:SF40', NULL, NULL, NULL, NULL, 'OS04G0586200 PROTEIN', NULL, NULL, NULL, 15),
(95848, NULL, 'PTHR45651:SF66', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CHANNEL 15-RELATED', NULL, NULL, NULL, 15),
(95849, NULL, 'PTHR16516', NULL, NULL, NULL, NULL, 'AGAP007109-PA', NULL, NULL, NULL, 15),
(95850, NULL, 'PTHR47821', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(95851, NULL, 'PTHR11486:SF18', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 14', NULL, NULL, 28494, 15),
(95852, NULL, 'PTHR10927:SF2', NULL, NULL, NULL, NULL, 'RESTRICTION OF TELOMERE CAPPING PROTEIN 3', NULL, NULL, NULL, 15),
(95853, NULL, 'PTHR35408', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(95854, NULL, 'PTHR47506:SF9', NULL, NULL, NULL, NULL, 'TETR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(95855, NULL, 'PTHR31197:SF12', NULL, NULL, NULL, NULL, 'FINGER/BTB DOMAIN PROTEIN, PUTATIVE (DUF1644)-RELATED', NULL, NULL, NULL, 15),
(95856, NULL, 'PTHR15075:SF5', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYLGLYCOPROTEIN 6-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE A', NULL, NULL, NULL, 15),
(95857, NULL, 'PTHR33232:SF16', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION A', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95858, NULL, 'PTHR44542:SF16', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 17', NULL, NULL, NULL, 15),
(95859, NULL, 'PTHR43830:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95860, NULL, 'PTHR19305', NULL, NULL, NULL, NULL, 'SYNAPTOSOMAL ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(95861, NULL, 'PTHR11697:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR-LIKE ZINC FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95862, NULL, 'PTHR24361:SF785', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 1', NULL, NULL, NULL, 15),
(95863, NULL, 'PTHR21409', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC CELL SIGNAL TRANSDUCER', NULL, NULL, 14867, 15),
(95864, NULL, 'PTHR18950:SF0', NULL, NULL, NULL, NULL, 'PROGESTERONE-INDUCED-BLOCKING FACTOR 1', NULL, NULL, NULL, 15),
(95865, NULL, 'PTHR47235:SF1', NULL, NULL, NULL, NULL, 'BLR6548 PROTEIN', NULL, NULL, NULL, 15),
(95866, NULL, 'PTHR32176:SF51', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(95867, NULL, 'PTHR12411:SF713', NULL, NULL, NULL, NULL, 'BNAC07G33540D PROTEIN', NULL, NULL, NULL, 15),
(95868, NULL, 'PTHR14493:SF109', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 54', NULL, NULL, NULL, 15),
(95869, NULL, 'PTHR47167:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TAO1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(95870, NULL, 'PTHR13068:SF46', NULL, NULL, NULL, NULL, 'OS03G0360600 PROTEIN', NULL, NULL, NULL, 15),
(95871, NULL, 'PTHR30509:SF12', NULL, NULL, NULL, NULL, 'BLR3852 PROTEIN', NULL, NULL, NULL, 15),
(95872, NULL, 'PTHR12210:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95873, NULL, 'PTHR10845:SF34', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 1', NULL, NULL, 24223, 15),
(95874, NULL, 'PTHR11615:SF334', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(95875, NULL, 'PTHR33305:SF44', NULL, NULL, NULL, NULL, 'PROTEIN ETHYLENE INSENSITIVE 3', NULL, NULL, NULL, 15),
(95876, NULL, 'PTHR24376:SF73', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 48', NULL, NULL, NULL, 15),
(95877, NULL, 'PTHR34490:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG12054', NULL, NULL, NULL, 15),
(95878, NULL, 'PTHR21284', NULL, NULL, NULL, NULL, 'EG:80H7.2 PROTEIN', NULL, NULL, NULL, 15),
(95879, NULL, 'PTHR31790:SF284', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(95880, NULL, 'PTHR10693:SF61', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2-RELATED', NULL, NULL, NULL, 15),
(95881, NULL, 'PTHR31245:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95882, NULL, 'PTHR31327:SF5', NULL, NULL, NULL, NULL, 'MULTIPLE PDZ DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(95883, NULL, 'PTHR44314:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 70', NULL, NULL, NULL, 15),
(95884, NULL, 'PTHR15459:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95885, NULL, 'PTHR14942:SF17', NULL, NULL, NULL, NULL, 'BNAA03G51940D PROTEIN', NULL, NULL, NULL, 15),
(95886, NULL, 'PTHR36148:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95887, NULL, 'PTHR11547:SF19', NULL, NULL, NULL, NULL, 'CREATINE KINASE S-TYPE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(95888, NULL, 'PTHR11991:SF0', NULL, NULL, NULL, NULL, 'TRANSLATIONALLY-CONTROLLED TUMOR PROTEIN', NULL, NULL, NULL, 15),
(95889, NULL, 'PTHR38694', NULL, NULL, NULL, NULL, 'CONSERVED EXPRESSED PROTEIN', NULL, NULL, 19704, 15),
(95890, NULL, 'PTHR18860:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95891, NULL, 'PTHR10418:SF8', NULL, NULL, NULL, NULL, 'SECURIN-2', NULL, NULL, NULL, 15),
(95892, NULL, 'PTHR46058:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 1', NULL, NULL, NULL, 15),
(95893, NULL, 'PTHR47457', NULL, NULL, NULL, NULL, 'OS05G0345500 PROTEIN', NULL, NULL, NULL, 15),
(95894, NULL, 'PTHR31365:SF15', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95895, NULL, 'PTHR22870:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95896, NULL, 'PTHR16223:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95897, NULL, 'PTHR11746:SF115', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE 10', NULL, NULL, NULL, 15),
(95898, NULL, 'PTHR15577:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 318', NULL, NULL, NULL, 15),
(95899, NULL, 'PTHR31080:SF109', NULL, NULL, NULL, NULL, 'PECTIN METHYLESTERASE INHIBITOR 1', NULL, NULL, NULL, 15),
(95900, NULL, 'PTHR31907:SF53', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 165-RELATED', NULL, NULL, NULL, 15),
(95901, NULL, 'PTHR45665:SF12', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', NULL, NULL, NULL, 15),
(95902, NULL, 'PTHR33128:SF51', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95903, NULL, 'PTHR22588:SF3', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE VI, ALPHA 4A', NULL, NULL, NULL, 15),
(95904, NULL, 'PTHR31534:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95905, NULL, 'PTHR31302', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN WITH METALLOPHOSPHOESTERASE DOMAIN-RELATED', NULL, NULL, NULL, 15),
(95906, NULL, 'PTHR24073:SF509', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-21', NULL, NULL, NULL, 15),
(95907, NULL, 'PTHR15505:SF3', NULL, NULL, NULL, NULL, 'CILIOGENESIS-ASSOCIATED TTC17-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(95908, NULL, 'PTHR11042:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95909, NULL, 'PTHR24178:SF9', NULL, NULL, NULL, NULL, 'MOLTING PROTEIN MLT-4', NULL, NULL, NULL, 15),
(95910, NULL, 'PTHR21479', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(95911, NULL, 'PTHR45764:SF34', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 53', NULL, NULL, NULL, 15),
(95912, NULL, 'PTHR36471', NULL, NULL, NULL, NULL, 'SMALL MEMBRANE A-KINASE ANCHOR PROTEIN', NULL, NULL, 25169, 15),
(95913, NULL, 'PTHR12504', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM22', NULL, NULL, 3735, 15),
(95914, NULL, 'PTHR24057:SF57', NULL, NULL, NULL, NULL, 'BNAC07G50210D PROTEIN', NULL, NULL, NULL, 15),
(95915, NULL, 'PTHR45621:SF13', NULL, NULL, NULL, NULL, 'OS10G0395000 PROTEIN', NULL, NULL, NULL, 15),
(95916, NULL, 'PTHR24377:SF734', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 82 HOMOLOG', NULL, NULL, NULL, 15),
(95917, NULL, 'PTHR31205:SF23', NULL, NULL, NULL, NULL, 'CROSS-LINKING PROTEIN, PUTATIVE (DUF569)-RELATED', NULL, NULL, NULL, 15),
(95918, NULL, 'PTHR11132:SF247', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID/UDP-N-ACETYLGALACTOSAMINE TRANSPORTER', NULL, NULL, NULL, 15),
(95919, NULL, 'PTHR17604:SF7', NULL, NULL, NULL, NULL, 'VESTIGIAL-LIKE FAMILY MEMBER 4A', NULL, NULL, NULL, 15),
(95920, NULL, 'PTHR11465:SF45', NULL, NULL, NULL, NULL, 'CATALASE ISOZYME A', NULL, NULL, NULL, 15),
(95921, NULL, 'PTHR46872:SF14', NULL, NULL, NULL, NULL, 'BNAC03G56560D PROTEIN', NULL, NULL, NULL, 15),
(95922, NULL, 'PTHR43920:SF2', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 1', NULL, NULL, 28818, 15),
(95923, NULL, 'PTHR37254:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95924, NULL, 'PTHR43963:SF3', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE [NADPH] 3', NULL, NULL, NULL, 15),
(95925, NULL, 'PTHR33124:SF51', NULL, NULL, NULL, NULL, 'OS08G0469600 PROTEIN', NULL, NULL, NULL, 15),
(95926, NULL, 'PTHR31065:SF48', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(95927, NULL, 'PTHR22930:SF157', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1-RELATED', NULL, NULL, NULL, 15),
(95928, NULL, 'PTHR12295:SF30', NULL, NULL, NULL, NULL, 'PROTEIN FURRY', NULL, NULL, NULL, 15),
(95929, NULL, 'PTHR31190:SF280', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-3', NULL, NULL, NULL, 15),
(95930, NULL, 'PTHR12092:SF16', NULL, NULL, NULL, NULL, 'GROWTH PROTEIN (BOI2), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G03360)-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95931, NULL, 'PTHR10110:SF175', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15),
(95932, NULL, 'PTHR10024:SF206', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN BETA, ISOFORM D', NULL, NULL, NULL, 15),
(95933, NULL, 'PTHR34807:SF10', NULL, NULL, NULL, NULL, 'BNAA03G50370D PROTEIN', NULL, NULL, NULL, 15),
(95934, NULL, 'PTHR12514:SF4', NULL, NULL, NULL, NULL, 'BNAA06G32420D PROTEIN', NULL, NULL, NULL, 15),
(95935, NULL, 'PTHR21708', NULL, NULL, NULL, NULL, 'PROBABLE 2-DEHYDROPANTOATE 2-REDUCTASE', NULL, NULL, NULL, 15),
(95936, NULL, 'PTHR33348:SF23', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP8', NULL, NULL, NULL, 15),
(95937, NULL, 'PTHR10681:SF159', NULL, NULL, NULL, NULL, 'TRYPAREDOXIN PEROXIDASE', NULL, NULL, NULL, 15),
(95938, NULL, 'PTHR44542:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95939, NULL, 'PTHR22906:SF37', NULL, NULL, NULL, NULL, 'PROPERDIN', NULL, NULL, NULL, 15),
(95940, NULL, 'PTHR12411:SF632', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95941, NULL, 'PTHR10302:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95942, NULL, 'PTHR24345:SF43', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE PLK5', NULL, NULL, NULL, 15),
(95943, NULL, 'PTHR36519:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG16629', NULL, NULL, NULL, 15),
(95944, NULL, 'PTHR47930:SF2', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_8G04250)', NULL, NULL, NULL, 15),
(95945, NULL, 'PTHR38973:SF2', NULL, NULL, NULL, NULL, 'PLASMID PARTITIONING CONTROL PROTEIN', NULL, NULL, NULL, 15),
(95946, NULL, 'PTHR16433', NULL, NULL, NULL, NULL, 'DOLICHOL-PHOSPHATE MANNOSYLTRANSFERASE SUBUNIT 3', NULL, NULL, 17659, 15),
(95947, NULL, 'PTHR31645:SF7', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL2', NULL, NULL, NULL, 15),
(95948, NULL, 'PTHR11442:SF48', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(95949, NULL, 'PTHR45933:SF37', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95950, NULL, 'PTHR12236:SF84', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 31A-RELATED', NULL, NULL, NULL, 15),
(95951, NULL, 'PTHR15404:SF2', NULL, NULL, NULL, NULL, 'PROTEIN AF1Q', NULL, NULL, NULL, 15),
(95952, NULL, 'PTHR11132:SF419', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSPORTER 2-LIKE', NULL, NULL, NULL, 15),
(95953, NULL, 'PTHR31993:SF5', NULL, NULL, NULL, NULL, 'UBA-LIKE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(95954, NULL, 'PTHR37574', NULL, NULL, NULL, NULL, 'LIPASE B', NULL, NULL, NULL, 15),
(95955, NULL, 'PTHR45973:SF12', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(95956, NULL, 'PTHR13318:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95957, NULL, 'PTHR48002:SF109', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K15', NULL, NULL, NULL, 15),
(95958, NULL, 'PTHR28242:SF49', NULL, NULL, NULL, NULL, 'PSEUDO HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 2', NULL, NULL, NULL, 15),
(95959, NULL, 'PTHR11260:SF680', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, C-TERMINAL, THIOREDOXIN-LIKE FOLD', NULL, NULL, NULL, 15),
(95960, NULL, 'PTHR31707:SF235', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(95961, NULL, 'PTHR30634:SF8', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR TYPE A', NULL, NULL, NULL, 15),
(95962, NULL, 'PTHR11195:SF17', NULL, NULL, NULL, NULL, 'INVERTEBRATE LYSOZYME', NULL, NULL, NULL, 15),
(95963, NULL, 'PTHR31072:SF174', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP14-LIKE', NULL, NULL, NULL, 15),
(95964, NULL, 'PTHR24373:SF38', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING NOGO RECEPTOR-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(95965, NULL, 'PTHR35830', NULL, NULL, NULL, NULL, 'OS05G0299200 PROTEIN', NULL, NULL, NULL, 15),
(95966, NULL, 'PTHR31415:SF3', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(95967, NULL, 'PTHR31889:SF70', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(95968, NULL, 'PTHR23130:SF190', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(95969, NULL, 'PTHR10117:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95970, NULL, 'PTHR10790:SF51', NULL, NULL, NULL, NULL, 'TPR-DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(95971, NULL, 'PTHR23073:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95972, NULL, 'PTHR32176:SF79', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(95973, NULL, 'PTHR10797:SF55', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 2-RELATED', NULL, NULL, NULL, 15),
(95974, NULL, 'PTHR45701:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95975, NULL, 'PTHR13780:SF46', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX6', NULL, NULL, NULL, 15),
(95976, NULL, 'PTHR43433:SF3', NULL, NULL, NULL, NULL, 'NON-HEME CHLOROPEROXIDASE', NULL, NULL, NULL, 15),
(95977, NULL, 'PTHR31989:SF329', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 45-LIKE', NULL, NULL, NULL, 15),
(95978, NULL, 'PTHR24068:SF67', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 L3', NULL, NULL, NULL, 15),
(95979, NULL, 'PTHR45658:SF41', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(95980, NULL, 'PTHR48018:SF112', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(95981, NULL, 'PTHR31086:SF4', NULL, NULL, NULL, NULL, 'ALUMINUM ACTIVATED MALATE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(95982, NULL, 'PTHR35118:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(95983, NULL, 'PTHR15911:SF6', NULL, NULL, NULL, NULL, 'WW DOMAIN-CONTAINING ADAPTER PROTEIN WITH COILED-COIL', NULL, NULL, NULL, 15),
(95984, NULL, 'PTHR24057:SF8', NULL, NULL, NULL, NULL, 'GLYCOGEN SYNTHASE KINASE-3 BETA', NULL, NULL, 31333, 15),
(95985, NULL, 'PTHR45618:SF21', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN UCPB', NULL, NULL, NULL, 15),
(95986, NULL, 'PTHR12791:SF51', NULL, NULL, NULL, NULL, 'TARGET SNARE COILED-COIL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95987, NULL, 'PTHR23024:SF522', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95988, NULL, 'PTHR12552:SF4', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 26', NULL, NULL, 26743, 15),
(95989, NULL, 'PTHR12552:SF5', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 10', NULL, NULL, 16694, 15),
(95990, NULL, 'PTHR43539:SF53', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(95991, NULL, 'PTHR13683:SF724', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(95992, NULL, 'PTHR31790:SF280', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(95993, NULL, 'PTHR31621:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(95994, NULL, 'PTHR37188:SF3', NULL, NULL, NULL, NULL, 'BNAA07G07820D PROTEIN', NULL, NULL, NULL, 15),
(95995, NULL, 'PTHR11783:SF79', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(95996, NULL, 'PTHR47424:SF9', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(95997, NULL, 'PTHR21717:SF81', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE, UBIQUITIN-RELATED DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(95998, NULL, 'PTHR45644:SF46', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(95999, NULL, 'PTHR31218:SF314', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(96000, NULL, 'PTHR24115:SF840', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-UA', NULL, NULL, 30728, 15),
(96001, NULL, 'PTHR22761:SF61', NULL, NULL, NULL, NULL, 'SNF7 FAMILY-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96002, NULL, 'PTHR43991:SF34', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96003, NULL, 'PTHR33923:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96004, NULL, 'PTHR45730:SF84', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(96005, NULL, 'PTHR22943:SF249', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(96006, NULL, 'PTHR23500:SF552', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96007, NULL, 'PTHR24414:SF73', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP11', NULL, NULL, NULL, 15),
(96008, NULL, 'PTHR11802:SF271', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 19', NULL, NULL, NULL, 15),
(96009, NULL, 'PTHR43639', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_5G02870)', NULL, NULL, NULL, 15),
(96010, NULL, 'PTHR36738', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(96011, NULL, 'PTHR10270:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-4', NULL, NULL, NULL, 15),
(96012, NULL, 'PTHR46307:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EHMT2', NULL, NULL, 34505, 15),
(96013, NULL, 'PTHR10257:SF56', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(96014, NULL, 'PTHR46934:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96015, NULL, 'PTHR31992:SF222', NULL, NULL, NULL, NULL, 'DOF DOMAIN ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(96016, NULL, 'PTHR23505:SF72', NULL, NULL, NULL, NULL, 'OS09G0371000 PROTEIN', NULL, NULL, NULL, 15),
(96017, NULL, 'PTHR24241:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96018, NULL, 'PTHR21109', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S21', NULL, NULL, 4479, 15),
(96019, NULL, 'PTHR19432:SF43', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUT5', NULL, NULL, NULL, 15),
(96020, NULL, 'PTHR31692:SF103', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE A3-RELATED', NULL, NULL, NULL, 15),
(96021, NULL, 'PTHR13914:SF22', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(96022, NULL, 'PTHR44040:SF1', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(96023, NULL, 'PTHR36807:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE', NULL, NULL, NULL, 15),
(96024, NULL, 'PTHR23428:SF72', NULL, NULL, NULL, NULL, 'HISTONE H2B.3', NULL, NULL, NULL, 15),
(96025, NULL, 'PTHR12677:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96026, NULL, 'PTHR16230:SF5', NULL, NULL, NULL, NULL, 'BREAST CARCINOMA-AMPLIFIED SEQUENCE 4', NULL, NULL, NULL, 15),
(96027, NULL, 'PTHR48007:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE-LIKE PROTEIN ZAR1', NULL, NULL, NULL, 15),
(96028, NULL, 'PTHR45648:SF106', NULL, NULL, NULL, NULL, 'ANTHER-SPECIFIC PROLINE-RICH PROTEIN APG', NULL, NULL, NULL, 15),
(96029, NULL, 'PTHR45933:SF4', NULL, NULL, NULL, NULL, 'CHITINASE III-LIKE PROTEIN', NULL, NULL, NULL, 15),
(96030, NULL, 'PTHR43577:SF1', NULL, NULL, NULL, NULL, 'CARBOXYPHOSPHONOENOLPYRUVATE PHOSPHONOMUTASE-LIKE PROTEIN (AFU_ORTHOLOGUE AFUA_5G07230)', NULL, NULL, NULL, 15),
(96031, NULL, 'PTHR47928:SF75', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(96032, NULL, 'PTHR14208:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KRASAVIETZ', NULL, NULL, NULL, 15),
(96033, NULL, 'PTHR13349', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 18401, 15),
(96034, NULL, 'PTHR33107:SF34', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE INHIBITOR 8-LIKE', NULL, NULL, NULL, 15),
(96035, NULL, 'PTHR31852:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96036, NULL, 'PTHR33085:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96037, NULL, 'PTHR31604:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96038, NULL, 'PTHR26454:SF2', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 49', NULL, NULL, NULL, 15),
(96039, NULL, 'PTHR14003:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR YY2-RELATED', NULL, NULL, NULL, 15),
(96040, NULL, 'PTHR24379:SF85', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 275', NULL, NULL, NULL, 15),
(96041, NULL, 'PTHR24408', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(96042, NULL, 'PTHR11830:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', NULL, NULL, NULL, 15),
(96043, NULL, 'PTHR23335:SF29', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 2', NULL, NULL, NULL, 15),
(96044, NULL, 'PTHR24418:SF39', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE LCK', NULL, NULL, NULL, 15),
(96045, NULL, 'PTHR10114:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', NULL, NULL, NULL, 15),
(96046, NULL, 'PTHR10766:SF137', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 2', NULL, NULL, NULL, 15),
(96047, NULL, 'PTHR31917:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96048, NULL, 'PTHR24296:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96049, NULL, 'PTHR32099:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96050, NULL, 'PTHR47523:SF1', NULL, NULL, NULL, NULL, 'F21O3.11 PROTEIN', NULL, NULL, NULL, 15),
(96051, NULL, 'PTHR36183:SF2', NULL, NULL, NULL, NULL, 'BETA-GLUCURONIDASE', NULL, NULL, NULL, 15),
(96052, NULL, 'PTHR34777:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96053, NULL, 'PTHR23124:SF74', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(96054, NULL, 'PTHR31791:SF61', NULL, NULL, NULL, NULL, 'BNAA09G03630D PROTEIN', NULL, NULL, NULL, 15),
(96055, NULL, 'PTHR47295:SF10', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN ISOFORM X2', NULL, NULL, NULL, 15),
(96056, NULL, 'PTHR24291:SF112', NULL, NULL, NULL, NULL, 'DOCOSAHEXAENOIC ACID OMEGA-HYDROXYLASE CYP4F3', NULL, NULL, NULL, 15),
(96057, NULL, 'PTHR47993:SF95', NULL, NULL, NULL, NULL, 'BNAUNNG01370D PROTEIN', NULL, NULL, NULL, 15),
(96058, NULL, 'PTHR15093:SF1', NULL, NULL, NULL, NULL, 'PRKC APOPTOSIS WT1 REGULATOR PROTEIN', NULL, NULL, NULL, 15),
(96059, NULL, 'PTHR48010:SF52', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(96060, NULL, 'PTHR27009:SF224', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(96061, NULL, 'PTHR31241:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96062, NULL, 'PTHR46251:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96063, NULL, 'PTHR33470:SF30', NULL, NULL, NULL, NULL, 'PISTIL-SPECIFIC EXTENSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(96064, NULL, 'PTHR24281:SF195', NULL, NULL, NULL, NULL, 'CYTOCHROME 82A3', NULL, NULL, NULL, 15),
(96065, NULL, 'PTHR11802:SF343', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(96066, NULL, 'PTHR46352:SF12', NULL, NULL, NULL, NULL, 'BNAANNG02260D PROTEIN', NULL, NULL, NULL, 15),
(96067, NULL, 'PTHR24637:SF285', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN ROL-6', NULL, NULL, NULL, 15),
(96068, NULL, 'PTHR12962:SF6', NULL, NULL, NULL, NULL, 'CALCIUM-REGULATED HEAT STABLE PROTEIN 1', NULL, NULL, NULL, 15),
(96069, NULL, 'PTHR48002:SF12', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(96070, NULL, 'PTHR36687:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96071, NULL, 'PTHR33121:SF61', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEH', NULL, NULL, NULL, 15),
(96072, NULL, 'PTHR34890:SF7', NULL, NULL, NULL, NULL, 'BNAUNNG00850D PROTEIN', NULL, NULL, NULL, 15),
(96073, NULL, 'PTHR35122:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96074, NULL, 'PTHR12538:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', NULL, NULL, NULL, 15),
(96075, NULL, 'PTHR46776:SF1', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 5', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96076, NULL, 'PTHR31415:SF75', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(96077, NULL, 'PTHR14593:SF7', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96078, NULL, 'PTHR12098', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PELLINO-RELATED', NULL, NULL, 3685, 15),
(96079, NULL, 'PTHR11695:SF647', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96080, NULL, 'PTHR31992:SF231', NULL, NULL, NULL, NULL, 'BNAA03G58580D PROTEIN', NULL, NULL, NULL, 15),
(96081, NULL, 'PTHR32370:SF98', NULL, NULL, NULL, NULL, 'ROOT PHOTOTROPISM PROTEIN-RELATED', NULL, NULL, 22336, 15),
(96082, NULL, 'PTHR31642:SF148', NULL, NULL, NULL, NULL, 'OS03G0659550 PROTEIN', NULL, NULL, NULL, 15),
(96083, NULL, 'PTHR31232:SF112', NULL, NULL, NULL, NULL, 'BNAC09G40880D PROTEIN', NULL, NULL, NULL, 15),
(96084, NULL, 'PTHR23320:SF8', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 7', NULL, NULL, 28112, 15),
(96085, NULL, 'PTHR18896:SF130', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D BETA 1-LIKE', NULL, NULL, NULL, 15),
(96086, NULL, 'PTHR19961:SF27', NULL, NULL, NULL, NULL, 'PLASTIN-1', NULL, NULL, 27303, 15),
(96087, NULL, 'PTHR12585:SF61', NULL, NULL, NULL, NULL, 'REC8 MEIOTIC RECOMBINATION PROTEIN B', NULL, NULL, NULL, 15),
(96088, NULL, 'PTHR31376:SF8', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 3-LIKE ISOFORM X3', NULL, NULL, NULL, 15),
(96089, NULL, 'PTHR35718', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(96090, NULL, 'PTHR36394:SF1', NULL, NULL, NULL, NULL, 'OS01G0277700 PROTEIN', NULL, NULL, NULL, 15),
(96091, NULL, 'PTHR31384:SF138', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(96092, NULL, 'PTHR33228:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96093, NULL, 'PTHR10223:SF11', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 4 HOMOLOG ISOFORM X1', NULL, NULL, NULL, 15),
(96094, NULL, 'PTHR14338:SF1', NULL, NULL, NULL, NULL, 'ACTIN FILAMENT-ASSOCIATED PROTEIN 1-LIKE 1', NULL, NULL, 22891, 15),
(96095, NULL, 'PTHR31744:SF82', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUNGBRUNNEN 1-LIKE', NULL, NULL, NULL, 15),
(96096, NULL, 'PTHR12011:SF60', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L3', NULL, NULL, 17650, 15),
(96097, NULL, 'PTHR10454:SF155', NULL, NULL, NULL, NULL, 'CASPASE-15', NULL, NULL, NULL, 15),
(96098, NULL, 'PTHR33271:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96099, NULL, 'PTHR23500:SF580', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96100, NULL, 'PTHR11527:SF293', NULL, NULL, NULL, NULL, 'CYTOSOLIC CLASS I SMALL HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(96101, NULL, 'PTHR13976:SF69', NULL, NULL, NULL, NULL, 'FI22004P1', NULL, NULL, NULL, 15),
(96102, NULL, 'PTHR45662:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96103, NULL, 'PTHR47955', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(96104, NULL, 'PTHR47579:SF3', NULL, NULL, NULL, NULL, 'COMPLEX 1 LYR PROTEIN', NULL, NULL, NULL, 15),
(96105, NULL, 'PTHR13382:SF15', NULL, NULL, NULL, NULL, 'BNAA06G34760D PROTEIN', NULL, NULL, NULL, 15),
(96106, NULL, 'PTHR37293:SF2', NULL, NULL, NULL, NULL, 'PHI ETA ORF 22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(96107, NULL, 'PTHR31992:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96108, NULL, 'PTHR33938:SF2', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(96109, NULL, 'PTHR23179:SF26', NULL, NULL, NULL, NULL, 'T-CELL ACTIVATION RHO GTPASE-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(96110, NULL, 'PTHR21662', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(96111, NULL, 'PTHR37707', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST 9', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96112, NULL, 'PTHR47936:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(96113, NULL, 'PTHR42788:SF12', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96114, NULL, 'PTHR24055:SF378', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(96115, NULL, 'PTHR32227:SF313', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(96116, NULL, 'PTHR21349:SF2', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L21, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(96117, NULL, 'PTHR45701:SF14', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN RELATED-RELATED', NULL, NULL, NULL, 15),
(96118, NULL, 'PTHR45427', NULL, NULL, NULL, NULL, 'MUCIN-15', NULL, NULL, 27068, 15),
(96119, NULL, 'PTHR10106:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME B561', NULL, NULL, 25379, 15),
(96120, NULL, 'PTHR33021:SF189', NULL, NULL, NULL, NULL, 'STELLACYANIN', NULL, NULL, NULL, 15),
(96121, NULL, 'PTHR32448:SF131', NULL, NULL, NULL, NULL, 'RETICULINE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(96122, NULL, 'PTHR28595', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L54, MITOCHONDRIAL', NULL, NULL, 9654, 15),
(96123, NULL, 'PTHR12961:SF0', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(96124, NULL, 'PTHR10465:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GTPASE MARF-RELATED', NULL, NULL, NULL, 15),
(96125, NULL, 'PTHR31213:SF150', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN', NULL, NULL, NULL, 15),
(96126, NULL, 'PTHR11746:SF155', NULL, NULL, NULL, NULL, 'TRANS-RESVERATROL DI-O-METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(96127, NULL, 'PTHR35340', NULL, NULL, NULL, NULL, 'PQQ ENZYME REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96128, NULL, 'PTHR10695:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96129, NULL, 'PTHR21580:SF48', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 3-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(96130, NULL, 'PTHR24214:SF0', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN 7', NULL, NULL, NULL, 15),
(96131, NULL, 'PTHR30004', NULL, NULL, NULL, NULL, '4-HYDROXYTHREONINE-4-PHOSPHATE DEHYDROGENASE', NULL, NULL, 11062, 15),
(96132, NULL, 'PTHR12411:SF754', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE-RELATED', NULL, NULL, NULL, 15),
(96133, NULL, 'PTHR23142:SF3', NULL, NULL, NULL, NULL, 'PRP38 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(96134, NULL, 'PTHR48102:SF4', NULL, NULL, NULL, NULL, 'CLP PROTEASE REGULATORY SUBUNIT CLPX2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(96135, NULL, 'PTHR34589:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 2700081O15', NULL, NULL, NULL, 15),
(96136, NULL, 'PTHR43205:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96137, NULL, 'PTHR21261:SF6', NULL, NULL, NULL, NULL, 'BEAT-IIB, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(96138, NULL, 'PTHR24376:SF78', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 629', NULL, NULL, NULL, 15),
(96139, NULL, 'PTHR46214:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING-CH-TYPE', NULL, NULL, NULL, 15),
(96140, NULL, 'PTHR48083:SF4', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(96141, NULL, 'PTHR33143:SF48', NULL, NULL, NULL, NULL, 'BNAA07G37320D PROTEIN', NULL, NULL, NULL, 15),
(96142, NULL, 'PTHR12570:SF17', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA1', NULL, NULL, NULL, 15),
(96143, NULL, 'PTHR11627', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, 6596, 15),
(96144, NULL, 'PTHR47977:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96145, NULL, 'PTHR34493:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG24986', NULL, NULL, NULL, 15),
(96146, NULL, 'PTHR11592:SF51', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(96147, NULL, 'PTHR31762', NULL, NULL, NULL, NULL, 'FAS-BINDING FACTOR-LIKE PROTEIN', NULL, NULL, 33549, 15),
(96148, NULL, 'PTHR47993:SF72', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE ISOFORM X1', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96149, NULL, 'PTHR11132:SF399', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE/PHOSPHATE TRANSLOCATOR 2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(96150, NULL, 'PTHR32153:SF42', NULL, NULL, NULL, NULL, 'BNACNNG23630D PROTEIN', NULL, NULL, NULL, 15),
(96151, NULL, 'PTHR10380:SF160', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 100A', NULL, NULL, NULL, 15),
(96152, NULL, 'PTHR11972:SF77', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10820)-RELATED', NULL, NULL, NULL, 15),
(96153, NULL, 'PTHR11371:SF11', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE', NULL, NULL, NULL, 15),
(96154, NULL, 'PTHR31969:SF36', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(96155, NULL, 'PTHR47992:SF118', NULL, NULL, NULL, NULL, 'BNAA03G52270D PROTEIN', NULL, NULL, NULL, 15),
(96156, NULL, 'PTHR46097', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE INTERACTING ARFGAP', NULL, NULL, NULL, 15),
(96157, NULL, 'PTHR10404:SF67', NULL, NULL, NULL, NULL, 'OS01G0740650 PROTEIN', NULL, NULL, NULL, 15),
(96158, NULL, 'PTHR11610:SF12', NULL, NULL, NULL, NULL, 'LIPASE MEMBER H', NULL, NULL, NULL, 15),
(96159, NULL, 'PTHR45654:SF66', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN MERISTEM L1', NULL, NULL, NULL, 15),
(96160, NULL, 'PTHR39741:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96161, NULL, 'PTHR47965:SF29', NULL, NULL, NULL, NULL, 'NUCLEOID DNA-BINDING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(96162, NULL, 'PTHR19282:SF430', NULL, NULL, NULL, NULL, 'TETRASPANIN TSPB-RELATED', NULL, NULL, NULL, 15),
(96163, NULL, 'PTHR45648:SF97', NULL, NULL, NULL, NULL, 'BNAC06G06760D PROTEIN', NULL, NULL, NULL, 15),
(96164, NULL, 'PTHR11977:SF98', NULL, NULL, NULL, NULL, 'VILLIN-2', NULL, NULL, 27944, 15),
(96165, NULL, 'PTHR13715:SF87', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR', NULL, NULL, NULL, 15),
(96166, NULL, 'PTHR35329:SF1', NULL, NULL, NULL, NULL, 'CONTROL PROTEIN CHS7-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G07110)-RELATED', NULL, NULL, NULL, 15),
(96167, NULL, 'PTHR13516:SF20', NULL, NULL, NULL, NULL, 'BNACNNG26750D PROTEIN', NULL, NULL, NULL, 15),
(96168, NULL, 'PTHR37103', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(96169, NULL, 'PTHR21649:SF117', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 13, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(96170, NULL, 'PTHR13522:SF3', NULL, NULL, NULL, NULL, 'U6 SNRNA PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(96171, NULL, 'PTHR11709:SF334', NULL, NULL, NULL, NULL, 'BNAC02G16540D PROTEIN', NULL, NULL, NULL, 15),
(96172, NULL, 'PTHR11709:SF365', NULL, NULL, NULL, NULL, 'CUPREDOXIN-RELATED', NULL, NULL, NULL, 15),
(96173, NULL, 'PTHR46310:SF4', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PROTEIN 64, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(96174, NULL, 'PTHR24223:SF409', NULL, NULL, NULL, NULL, 'BNAA01G30260D PROTEIN', NULL, NULL, NULL, 15),
(96175, NULL, 'PTHR11723:SF16', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN INHIBITOR ID-3', NULL, NULL, NULL, 15),
(96176, NULL, 'PTHR11122:SF39', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(96177, NULL, 'PTHR12203:SF90', NULL, NULL, NULL, NULL, 'O-GLUCOSYLTRANSFERASE RUMI HOMOLOG', NULL, NULL, NULL, 15),
(96178, NULL, 'PTHR31645:SF62', NULL, NULL, NULL, NULL, 'GB|AAD49762.1-RELATED', NULL, NULL, NULL, 15),
(96179, NULL, 'PTHR46736:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96180, NULL, 'PTHR12461:SF90', NULL, NULL, NULL, NULL, 'JUMONJI-LIKE PROTEIN', NULL, NULL, NULL, 15),
(96181, NULL, 'PTHR13958', NULL, NULL, NULL, NULL, 'CENTROSOME-ASSOCIATED PROTEIN 350', NULL, NULL, 29346, 15),
(96182, NULL, 'PTHR31318:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(96183, NULL, 'PTHR44167:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE-43', NULL, NULL, NULL, 15),
(96184, NULL, 'PTHR31602:SF60', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 5', NULL, NULL, NULL, 15),
(96185, NULL, 'PTHR12634:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY SUBUNIT 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96186, NULL, 'PTHR43795:SF46', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE ACS12-RELATED', NULL, NULL, NULL, 15),
(96187, NULL, 'PTHR31095:SF3', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9930021J03 GENE', NULL, NULL, NULL, 15),
(96188, NULL, 'PTHR10032:SF220', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR OVO-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(96189, NULL, 'PTHR23267:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96190, NULL, 'PTHR34560:SF6', NULL, NULL, NULL, NULL, 'BNAA05G27350D PROTEIN', NULL, NULL, NULL, 15),
(96191, NULL, 'PTHR10366:SF699', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL-4-REDUCTASE', NULL, NULL, NULL, 15),
(96192, NULL, 'PTHR12611:SF3', NULL, NULL, NULL, NULL, 'PURINE-RICH ELEMENT-BINDING PROTEIN GAMMA', NULL, NULL, 26521, 15),
(96193, NULL, 'PTHR22980:SF4', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN S-RELATED', NULL, NULL, 31834, 15),
(96194, NULL, 'PTHR21527:SF10', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP35', NULL, NULL, NULL, 15),
(96195, NULL, 'PTHR47208:SF7', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 13', NULL, NULL, NULL, 15),
(96196, NULL, 'PTHR48100:SF29', NULL, NULL, NULL, NULL, 'OS11G0138600 PROTEIN', NULL, NULL, NULL, 15),
(96197, NULL, 'PTHR42683:SF48', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 6-RELATED', NULL, NULL, NULL, 15),
(96198, NULL, 'PTHR11461:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96199, NULL, 'PTHR24377:SF898', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 792', NULL, NULL, NULL, 15),
(96200, NULL, 'PTHR46369:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CELLULOSE SYNTHASE INTERACTIVE 2', NULL, NULL, NULL, 15),
(96201, NULL, 'PTHR22607:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 2-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(96202, NULL, 'PTHR43462:SF1', NULL, NULL, NULL, NULL, 'ALANYL-TRNA EDITING PROTEIN AARSD1', NULL, NULL, NULL, 15),
(96203, NULL, 'PTHR23155:SF968', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(96204, NULL, 'PTHR24006:SF671', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 34', NULL, NULL, NULL, 15),
(96205, NULL, 'PTHR35291:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SHROOM-LIKE', NULL, NULL, NULL, 15),
(96206, NULL, 'PTHR24249:SF271', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 6', NULL, NULL, NULL, 15),
(96207, NULL, 'PTHR31790:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96208, NULL, 'PTHR46767:SF1', NULL, NULL, NULL, NULL, 'LIM DOMAIN ONLY PROTEIN 7', NULL, NULL, NULL, 15),
(96209, NULL, 'PTHR47992:SF141', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 75-RELATED', NULL, NULL, NULL, 15),
(96210, NULL, 'PTHR12147:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96211, NULL, 'PTHR22730:SF6', NULL, NULL, NULL, NULL, 'PROMININ-2', NULL, NULL, NULL, 15),
(96212, NULL, 'PTHR12963:SF0', NULL, NULL, NULL, NULL, 'ACTIVATING SIGNAL COINTEGRATOR 1', NULL, NULL, NULL, 15),
(96213, NULL, 'PTHR43215:SF4', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD 1 HOMOLOG', NULL, NULL, NULL, 15),
(96214, NULL, 'PTHR33021:SF367', NULL, NULL, NULL, NULL, 'BNAC03G14800D PROTEIN', NULL, NULL, NULL, 15),
(96215, NULL, 'PTHR24230:SF143', NULL, NULL, NULL, NULL, 'LEUKOTRIENE B4 RECEPTOR', NULL, NULL, NULL, 15),
(96216, NULL, 'PTHR10859:SF109', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(96217, NULL, 'PTHR31099:SF22', NULL, NULL, NULL, NULL, 'BNAC02G30160D PROTEIN', NULL, NULL, NULL, 15),
(96218, NULL, 'PTHR31250:SF1', NULL, NULL, NULL, NULL, 'OS01G0570800 PROTEIN', NULL, NULL, NULL, 15),
(96219, NULL, 'PTHR31100:SF2', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 18', NULL, NULL, NULL, 15),
(96220, NULL, 'PTHR31079:SF39', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 99', NULL, NULL, NULL, 15),
(96221, NULL, 'PTHR24418:SF407', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE CSK', NULL, NULL, NULL, 15),
(96222, NULL, 'PTHR31374:SF178', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR15-LIKE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96223, NULL, 'PTHR45930:SF4', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 124-LIKE PROTEIN', NULL, NULL, NULL, 15),
(96224, NULL, 'PTHR10496:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', NULL, NULL, NULL, 15),
(96225, NULL, 'PTHR19241:SF634', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 37', NULL, NULL, NULL, 15),
(96226, NULL, 'PTHR11709:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96227, NULL, 'PTHR24403:SF86', NULL, NULL, NULL, NULL, 'SUPPRESSOR', NULL, NULL, NULL, 15),
(96228, NULL, 'PTHR46224:SF5', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN E4_8-LIKE', NULL, NULL, NULL, 15),
(96229, NULL, 'PTHR10811:SF68', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', NULL, NULL, NULL, 15),
(96230, NULL, 'PTHR23359:SF162', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE', NULL, NULL, NULL, 15),
(96231, NULL, 'PTHR10965:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L38', NULL, NULL, NULL, 15),
(96232, NULL, 'PTHR11909:SF410', NULL, NULL, NULL, NULL, 'CK1 FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(96233, NULL, 'PTHR24373:SF273', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEATS AND IMMUNOGLOBULIN-LIKE DOMAINS PROTEIN 1', NULL, NULL, NULL, 15),
(96234, NULL, 'PTHR10245:SF117', NULL, NULL, NULL, NULL, 'MULTIPROTEIN-BRIDGING FACTOR 1B', NULL, NULL, NULL, 15),
(96235, NULL, 'PTHR38407', NULL, NULL, NULL, NULL, 'PROTEIN IVY1', NULL, NULL, 29114, 15),
(96236, NULL, 'PTHR13803:SF37', NULL, NULL, NULL, NULL, 'SEC23/SEC24 PROTEIN TRANSPORT FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96237, NULL, 'PTHR21277:SF32', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF RNA POLII SAGA SUBUNIT', NULL, NULL, NULL, 15),
(96238, NULL, 'PTHR47561', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96239, NULL, 'PTHR11733:SF212', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', NULL, NULL, NULL, 15),
(96240, NULL, 'PTHR31549:SF69', NULL, NULL, NULL, NULL, 'OS12G0513700 PROTEIN', NULL, NULL, NULL, 15),
(96241, NULL, 'PTHR13743:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96242, NULL, 'PTHR24203:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96243, NULL, 'PTHR13398:SF3', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 14', NULL, NULL, NULL, 15),
(96244, NULL, 'PTHR33191:SF61', NULL, NULL, NULL, NULL, 'KIWELLIN-LIKE', NULL, NULL, NULL, 15),
(96245, NULL, 'PTHR38074', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96246, NULL, 'PTHR11246:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96247, NULL, 'PTHR22916:SF30', NULL, NULL, NULL, NULL, 'RANDOM SLUG CDNA19 PROTEIN', NULL, NULL, NULL, 15),
(96248, NULL, 'PTHR33052:SF68', NULL, NULL, NULL, NULL, 'OS03G0356526 PROTEIN', NULL, NULL, NULL, 15),
(96249, NULL, 'PTHR31500:SF78', NULL, NULL, NULL, NULL, 'PPC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96250, NULL, 'PTHR10502:SF194', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(96251, NULL, 'PTHR33172:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96252, NULL, 'PTHR35317:SF8', NULL, NULL, NULL, NULL, 'POLYPROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(96253, NULL, 'PTHR10108:SF1110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96254, NULL, 'PTHR42861:SF96', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(96255, NULL, 'PTHR42655', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE', NULL, NULL, NULL, 15),
(96256, NULL, 'PTHR12538:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', NULL, NULL, NULL, 15),
(96257, NULL, 'PTHR11537:SF172', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY C MEMBER 2', NULL, NULL, NULL, 15),
(96258, NULL, 'PTHR12436:SF33', NULL, NULL, NULL, NULL, 'OS05G0462600 PROTEIN', NULL, NULL, NULL, 15),
(96259, NULL, 'PTHR43372:SF3', NULL, NULL, NULL, NULL, 'AT07710P', NULL, NULL, NULL, 15),
(96260, NULL, 'PTHR39479', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96261, NULL, 'PTHR31731:SF62', NULL, NULL, NULL, NULL, 'OS04G0612500 PROTEIN', NULL, NULL, NULL, 15),
(96262, NULL, 'PTHR31929:SF96', NULL, NULL, NULL, NULL, 'BNAA10G16800D PROTEIN', NULL, NULL, NULL, 15),
(96263, NULL, 'PTHR10632', NULL, NULL, NULL, NULL, 'SULFIDE:QUINONE OXIDOREDUCTASE', NULL, NULL, 12488, 15),
(96264, NULL, 'PTHR46856:SF3', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN EREX', NULL, NULL, NULL, 15),
(96265, NULL, 'PTHR23070:SF122', NULL, NULL, NULL, NULL, 'OS07G0517600 PROTEIN', NULL, NULL, NULL, 15),
(96266, NULL, 'PTHR13832:SF565', NULL, NULL, NULL, NULL, 'AT28366P-RELATED', NULL, NULL, NULL, 15),
(96267, NULL, 'PTHR43425', NULL, NULL, NULL, NULL, 'OXYGEN-INSENSITIVE NADPH NITROREDUCTASE', NULL, NULL, 15801, 15),
(96268, NULL, 'PTHR11594:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27-RELATED', NULL, NULL, NULL, 15),
(96269, NULL, 'PTHR10641:SF1059', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB28', NULL, NULL, NULL, 15),
(96270, NULL, 'PTHR24092:SF148', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(96271, NULL, 'PTHR24100:SF55', NULL, NULL, NULL, NULL, 'ICOS LIGAND', NULL, NULL, NULL, 15),
(96272, NULL, 'PTHR37384', NULL, NULL, NULL, NULL, 'OS01G0835600 PROTEIN', NULL, NULL, NULL, 15),
(96273, NULL, 'PTHR11249', NULL, NULL, NULL, NULL, 'GLIAL FACTOR NATURATION FACTOR', NULL, NULL, 11244, 15),
(96274, NULL, 'PTHR10423', NULL, NULL, NULL, NULL, 'INSULIN-LIKE 3', NULL, NULL, 37646, 15),
(96275, NULL, 'PTHR34357:SF8', NULL, NULL, NULL, NULL, 'BNAA06G11060D PROTEIN', NULL, NULL, NULL, 15),
(96276, NULL, 'PTHR43625:SF66', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN PCNT115-LIKE', NULL, NULL, NULL, 15),
(96277, NULL, 'PTHR24384:SF110', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 730-RELATED', NULL, NULL, NULL, 15),
(96278, NULL, 'PTHR47897', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 124', NULL, NULL, NULL, 15),
(96279, NULL, 'PTHR44742', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38520, 15),
(96280, NULL, 'PTHR31562:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG24330', NULL, NULL, NULL, 15),
(96281, NULL, 'PTHR11802:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96282, NULL, 'PTHR14950:SF36', NULL, NULL, NULL, NULL, 'DICER-2, ISOFORM A', NULL, NULL, NULL, 15),
(96283, NULL, 'PTHR45673:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(96284, NULL, 'PTHR46214:SF27', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(96285, NULL, 'PTHR24347:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96286, NULL, 'PTHR11709:SF373', NULL, NULL, NULL, NULL, 'SKU5-SIMILAR 6-RELATED', NULL, NULL, NULL, 15),
(96287, NULL, 'PTHR11712:SF337', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE I, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(96288, NULL, 'PTHR25462:SF209', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM56', NULL, NULL, NULL, 15),
(96289, NULL, 'PTHR31871:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(96290, NULL, 'PTHR13532', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29667, 15),
(96291, NULL, 'PTHR13798:SF4', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 7', NULL, NULL, NULL, 15),
(96292, NULL, 'PTHR32481:SF5', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(96293, NULL, 'PTHR34149:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG00994', NULL, NULL, NULL, 15),
(96294, NULL, 'PTHR24161:SF96', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(96295, NULL, 'PTHR22991:SF42', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(96296, NULL, 'PTHR48017', NULL, NULL, NULL, NULL, 'OS05G0424000 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96297, NULL, 'PTHR13848:SF84', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(96298, NULL, 'PTHR13055:SF11', NULL, NULL, NULL, NULL, 'PLEXIN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 27440, 15),
(96299, NULL, 'PTHR22951:SF4', NULL, NULL, NULL, NULL, 'CLATHRIN COAT ASSEMBLY PROTEIN AP180', NULL, NULL, 28727, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96300, NULL, 'PTHR13355:SF16', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(96301, NULL, 'PTHR45639:SF14', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 17', NULL, NULL, NULL, 15),
(96302, NULL, 'PTHR33155:SF7', NULL, NULL, NULL, NULL, 'OS11G0643600 PROTEIN', NULL, NULL, NULL, 15),
(96303, NULL, 'PTHR43321:SF14', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(96304, NULL, 'PTHR11680:SF45', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(96305, NULL, 'PTHR14882:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 92B', NULL, NULL, NULL, 15),
(96306, NULL, 'PTHR24365:SF525', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 5', NULL, NULL, 23143, 15),
(96307, NULL, 'PTHR44042:SF41', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96308, NULL, 'PTHR23149:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96309, NULL, 'PTHR21445', NULL, NULL, NULL, NULL, 'ENDONUCLEASE IV  ENDODEOXYRIBONUCLEASE IV', NULL, NULL, 3433, 15),
(96310, NULL, 'PTHR33052:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96311, NULL, 'PTHR36549:SF3', NULL, NULL, NULL, NULL, 'LYSINE-RICH ARABINOGALACTAN PROTEIN 19', NULL, NULL, NULL, 15),
(96312, NULL, 'PTHR23048:SF32', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 8', NULL, NULL, NULL, 15),
(96313, NULL, 'PTHR10795:SF723', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96314, NULL, 'PTHR34285:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96315, NULL, 'PTHR42307:SF3', NULL, NULL, NULL, NULL, 'PUP--PROTEIN LIGASE', NULL, NULL, NULL, 15),
(96316, NULL, 'PTHR35128:SF5', NULL, NULL, NULL, NULL, 'OS02G0230200 PROTEIN', NULL, NULL, NULL, 15),
(96317, NULL, 'PTHR31500:SF20', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(96318, NULL, 'PTHR46854:SF1', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE-LIKE 4-RELATED', NULL, NULL, NULL, 15),
(96319, NULL, 'PTHR26312:SF152', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(96320, NULL, 'PTHR24376:SF182', NULL, NULL, NULL, NULL, 'SI:CH73-347E22.4-RELATED', NULL, NULL, NULL, 15),
(96321, NULL, 'PTHR48047:SF45', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(96322, NULL, 'PTHR11639:SF79', NULL, NULL, NULL, NULL, 'PROTEIN S100-A9', NULL, NULL, NULL, 15),
(96323, NULL, 'PTHR24253:SF94', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE SERINE PROTEASE 13A-RELATED', NULL, NULL, NULL, 15),
(96324, NULL, 'PTHR42081', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96325, NULL, 'PTHR30296', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YKGE', NULL, NULL, NULL, 15),
(96326, NULL, 'PTHR23028:SF118', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(96327, NULL, 'PTHR11267:SF169', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR T-A', NULL, NULL, NULL, 15),
(96328, NULL, 'PTHR33413:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96329, NULL, 'PTHR33091:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96330, NULL, 'PTHR45821:SF9', NULL, NULL, NULL, NULL, 'CHROMATIN REMODELING 34', NULL, NULL, NULL, 15),
(96331, NULL, 'PTHR23359:SF196', NULL, NULL, NULL, NULL, 'BNAA06G22680D PROTEIN', NULL, NULL, NULL, 15),
(96332, NULL, 'PTHR33284:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L25/GLN-TRNA SYNTHETASE, ANTI-CODON-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(96333, NULL, 'PTHR23315:SF292', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(96334, NULL, 'PTHR43667:SF1', NULL, NULL, NULL, NULL, 'CYCLOPROPANE-FATTY-ACYL-PHOSPHOLIPID SYNTHASE', NULL, NULL, NULL, 15),
(96335, NULL, 'PTHR33124:SF83', NULL, NULL, NULL, NULL, 'OS09G0376400 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96336, NULL, 'PTHR31388:SF174', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(96337, NULL, 'PTHR15735:SF12', NULL, NULL, NULL, NULL, 'CDC42-INTERACTING PROTEIN 4, ISOFORM B', NULL, NULL, NULL, 15),
(96338, NULL, 'PTHR37528:SF1', NULL, NULL, NULL, NULL, 'UPF0149 PROTEIN YGFB', NULL, NULL, NULL, 15),
(96339, NULL, 'PTHR47890:SF1', NULL, NULL, NULL, NULL, 'LD24308P', NULL, NULL, NULL, 15),
(96340, NULL, 'PTHR31998:SF40', NULL, NULL, NULL, NULL, 'INORGANIC DIPHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(96341, NULL, 'PTHR45798:SF54', NULL, NULL, NULL, NULL, 'BNAA08G14970D PROTEIN', NULL, NULL, NULL, 15),
(96342, NULL, 'PTHR23268:SF46', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA, VARIABLE 21', NULL, NULL, NULL, 15),
(96343, NULL, 'PTHR23500:SF526', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER', NULL, NULL, NULL, 15),
(96344, NULL, 'PTHR31471:SF7', NULL, NULL, NULL, NULL, 'REMORIN 4.2', NULL, NULL, NULL, 15),
(96345, NULL, 'PTHR19957:SF296', NULL, NULL, NULL, NULL, 'BNAA06G25340D PROTEIN', NULL, NULL, NULL, 15),
(96346, NULL, 'PTHR23427', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN', NULL, NULL, 38746, 15),
(96347, NULL, 'PTHR13301:SF33', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 1 [UDP-FORMING]-RELATED', NULL, NULL, NULL, 15),
(96348, NULL, 'PTHR47992:SF37', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 67-RELATED', NULL, NULL, NULL, 15),
(96349, NULL, 'PTHR10571:SF0', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--DOLICHYL-PHOSPHATE N-ACETYLGLUCOSAMINEPHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(96350, NULL, 'PTHR44516:SF4', NULL, NULL, NULL, NULL, '2-METHYL-6-PHYTYL-1,4-HYDROQUINONE METHYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(96351, NULL, 'PTHR11453:SF49', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER ABTS-2', NULL, NULL, NULL, 15),
(96352, NULL, 'PTHR21646:SF9', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 19', NULL, NULL, NULL, 15),
(96353, NULL, 'PTHR31595:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96354, NULL, 'PTHR10314:SF5', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(96355, NULL, 'PTHR48058:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96356, NULL, 'PTHR33946:SF4', NULL, NULL, NULL, NULL, 'CELLULOSE BINDING ELICITOR LECTIN', NULL, NULL, NULL, 15),
(96357, NULL, 'PTHR24061:SF520', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 101-RELATED', NULL, NULL, NULL, 15),
(96358, NULL, 'PTHR24349:SF393', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 17', NULL, NULL, NULL, 15),
(96359, NULL, 'PTHR31072:SF137', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP14-LIKE', NULL, NULL, NULL, 15),
(96360, NULL, 'PTHR31901:SF36', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6', NULL, NULL, NULL, 15),
(96361, NULL, 'PTHR24068:SF128', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 H', NULL, NULL, NULL, 15),
(96362, NULL, 'PTHR43234:SF2', NULL, NULL, NULL, NULL, 'SLL1680 PROTEIN', NULL, NULL, NULL, 15),
(96363, NULL, 'PTHR12710:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN LOCALIZATION PROTEIN 4 HOMOLOG', NULL, NULL, NULL, 15),
(96364, NULL, 'PTHR45890:SF5', NULL, NULL, NULL, NULL, 'PROTEIN KINASE-LIKE', NULL, NULL, NULL, 15),
(96365, NULL, 'PTHR45945:SF3', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING LOCO', NULL, NULL, NULL, 15),
(96366, NULL, 'PTHR30055:SF173', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ACRR', NULL, NULL, NULL, 15),
(96367, NULL, 'PTHR12750:SF9', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(96368, NULL, 'PTHR45695:SF11', NULL, NULL, NULL, NULL, 'SI:CH211-119O8.4', NULL, NULL, NULL, 15),
(96369, NULL, 'PTHR19384:SF66', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE, ENDOTHELIAL', NULL, NULL, NULL, 15),
(96370, NULL, 'PTHR30429:SF0', NULL, NULL, NULL, NULL, 'METHIONINE-BINDING LIPOPROTEIN METQ', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96371, NULL, 'PTHR27008:SF475', NULL, NULL, NULL, NULL, 'OS04G0122200 PROTEIN', NULL, NULL, NULL, 15),
(96372, NULL, 'PTHR23501:SF39', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G05010)-RELATED', NULL, NULL, NULL, 15),
(96373, NULL, 'PTHR23401:SF1', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 5 ACTIVATOR', NULL, NULL, NULL, 15),
(96374, NULL, 'PTHR19441:SF16', NULL, NULL, NULL, NULL, 'PROTEIN WFDC9', NULL, NULL, 25429, 15),
(96375, NULL, 'PTHR31384:SF141', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 23-RELATED', NULL, NULL, NULL, 15),
(96376, NULL, 'PTHR10293:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96377, NULL, 'PTHR47287:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(96378, NULL, 'PTHR16770:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96379, NULL, 'PTHR26453:SF179', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10G6', NULL, NULL, NULL, 15),
(96380, NULL, 'PTHR10672:SF3', NULL, NULL, NULL, NULL, 'PROTEIN HU-LI TAI SHAO', NULL, NULL, NULL, 15),
(96381, NULL, 'PTHR46128:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96382, NULL, 'PTHR24281:SF199', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A7-LIKE', NULL, NULL, NULL, 15),
(96383, NULL, 'PTHR45645:SF51', NULL, NULL, NULL, NULL, 'CUB DOMAINCONTAINING PROTEIN', NULL, NULL, NULL, 15),
(96384, NULL, 'PTHR47853', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(96385, NULL, 'PTHR46033:SF43', NULL, NULL, NULL, NULL, 'OS11G0534500 PROTEIN', NULL, NULL, NULL, 15),
(96386, NULL, 'PTHR13620:SF55', NULL, NULL, NULL, NULL, 'OS01G0737600 PROTEIN', NULL, NULL, NULL, 15),
(96387, NULL, 'PTHR24083:SF45', NULL, NULL, NULL, NULL, 'COUP TRANSCRIPTION FACTOR 2', NULL, NULL, NULL, 15),
(96388, NULL, 'PTHR46757:SF2', NULL, NULL, NULL, NULL, 'SORTING NEXIN-RELATED', NULL, NULL, NULL, 15),
(96389, NULL, 'PTHR45823:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96390, NULL, 'PTHR33076:SF96', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(96391, NULL, 'PTHR34145:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96392, NULL, 'PTHR21245:SF6', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 47', NULL, NULL, 30514, 15),
(96393, NULL, 'PTHR24399:SF33', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 49', NULL, NULL, NULL, 15),
(96394, NULL, 'PTHR23024:SF426', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 120-RELATED', NULL, NULL, NULL, 15),
(96395, NULL, 'PTHR33044:SF35', NULL, NULL, NULL, NULL, 'OS07G0585200 PROTEIN', NULL, NULL, NULL, 15),
(96396, NULL, 'PTHR21337:SF25', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', NULL, NULL, NULL, 15),
(96397, NULL, 'PTHR42894', NULL, NULL, NULL, NULL, 'N-(5''-PHOSPHORIBOSYL)ANTHRANILATE ISOMERASE', NULL, NULL, 38683, 15),
(96398, NULL, 'PTHR43874:SF136', NULL, NULL, NULL, NULL, 'MYB DOMAIN, PLANT-RELATED', NULL, NULL, NULL, 15),
(96399, NULL, 'PTHR31639:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96400, NULL, 'PTHR11610:SF108', NULL, NULL, NULL, NULL, 'INACTIVE PANCREATIC LIPASE-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(96401, NULL, 'PTHR47013', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, ARGININE/SERINE-RICH 19', NULL, NULL, 37720, 15),
(96402, NULL, 'PTHR10660:SF4', NULL, NULL, NULL, NULL, 'PROTEASOME ACTIVATOR COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(96403, NULL, 'PTHR43874:SF124', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-RELATED', NULL, NULL, NULL, 15),
(96404, NULL, 'PTHR23139:SF116', NULL, NULL, NULL, NULL, 'BNAA01G36380D PROTEIN', NULL, NULL, NULL, 15),
(96405, NULL, 'PTHR10520', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL PURINE BIOSYNTHETIC PROTEIN ADENOSINE-3-RELATED', NULL, NULL, 3797, 15),
(96406, NULL, 'PTHR31048:SF171', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(96407, NULL, 'PTHR19343:SF20', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR ALPHA CHAIN V REGION 2B4', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96408, NULL, 'PTHR10742:SF400', NULL, NULL, NULL, NULL, 'L-AMINO ACID OXIDASE LAOA (AFU_ORTHOLOGUE AFUA_7G06810)', NULL, NULL, NULL, 15),
(96409, NULL, 'PTHR26379:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96410, NULL, 'PTHR44329:SF163', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96411, NULL, 'PTHR24173:SF61', NULL, NULL, NULL, NULL, 'ANKYRIN 2', NULL, NULL, NULL, 15),
(96412, NULL, 'PTHR13533:SF29', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 16', NULL, NULL, NULL, 15),
(96413, NULL, 'PTHR33709:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96414, NULL, 'PTHR33265', NULL, NULL, NULL, NULL, 'AVR9/CF-9 RAPIDLY ELICITED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96415, NULL, 'PTHR20961:SF100', NULL, NULL, NULL, NULL, 'OS02G0331200 PROTEIN', NULL, NULL, NULL, 15),
(96416, NULL, 'PTHR13381', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II HOLOENZYME COMPONENT SRB7', NULL, NULL, 18183, 15),
(96417, NULL, 'PTHR22938:SF9', NULL, NULL, NULL, NULL, 'ZINC ION BINDING/NUCLEIC ACID BINDING PROTEIN', NULL, NULL, NULL, 15),
(96418, NULL, 'PTHR24120:SF4', NULL, NULL, NULL, NULL, 'GH07239P', NULL, NULL, NULL, 15),
(96419, NULL, 'PTHR34657', NULL, NULL, NULL, NULL, 'EMBRYO SAC DEVELOPMENT ARREST 6', NULL, NULL, NULL, 15),
(96420, NULL, 'PTHR31948:SF57', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 3', NULL, NULL, NULL, 15),
(96421, NULL, 'PTHR14969:SF45', NULL, NULL, NULL, NULL, 'SPHINGOSINE-1-PHOSPHATE PHOSPHATASE 1', NULL, NULL, NULL, 15),
(96422, NULL, 'PTHR46610:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96423, NULL, 'PTHR31218:SF286', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(96424, NULL, 'PTHR43219:SF2', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDONUCLEASE CAS1', NULL, NULL, NULL, 15),
(96425, NULL, 'PTHR12649:SF24', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE 2-RELATED', NULL, NULL, NULL, 15),
(96426, NULL, 'PTHR24637:SF231', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(96427, NULL, 'PTHR23132:SF0', NULL, NULL, NULL, NULL, 'D-ALANINE-D-ALANINE LIGASE FAMILY', NULL, NULL, NULL, 15),
(96428, NULL, 'PTHR24291:SF47', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4A14-RELATED', NULL, NULL, NULL, 15),
(96429, NULL, 'PTHR11017:SF219', NULL, NULL, NULL, NULL, 'ARCHAEAL ATPASE', NULL, NULL, NULL, 15),
(96430, NULL, 'PTHR24286:SF224', NULL, NULL, NULL, NULL, 'ALLENE OXIDE SYNTHASE 3', NULL, NULL, NULL, 15),
(96431, NULL, 'PTHR43169', NULL, NULL, NULL, NULL, 'EXSB FAMILY PROTEIN', NULL, NULL, NULL, 15),
(96432, NULL, 'PTHR34127:SF3', NULL, NULL, NULL, NULL, 'INITIATION FACTOR 4F SUBUNIT (DUF1350)', NULL, NULL, NULL, 15),
(96433, NULL, 'PTHR31325:SF195', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96434, NULL, 'PTHR47926:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96435, NULL, 'PTHR34838:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96436, NULL, 'PTHR11746:SF261', NULL, NULL, NULL, NULL, 'TRANS-RESVERATROL DI-O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(96437, NULL, 'PTHR31972:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96438, NULL, 'PTHR11106:SF108', NULL, NULL, NULL, NULL, 'LRP16, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(96439, NULL, 'PTHR24250:SF53', NULL, NULL, NULL, NULL, 'CHYMOTRYPSINOGEN B2', NULL, NULL, NULL, 15),
(96440, NULL, 'PTHR31549:SF25', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED', NULL, NULL, NULL, 15),
(96441, NULL, 'PTHR12741:SF72', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 5-LIKE', NULL, NULL, NULL, 15),
(96442, NULL, 'PTHR45968:SF16', NULL, NULL, NULL, NULL, 'BNAANNG35680D PROTEIN', NULL, NULL, NULL, 15),
(96443, NULL, 'PTHR28057', NULL, NULL, NULL, NULL, 'PROTEIN IFH1-RELATED', NULL, NULL, 20374, 15),
(96444, NULL, 'PTHR24136:SF42', NULL, NULL, NULL, NULL, 'OS05G0124800 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96445, NULL, 'PTHR23340', NULL, NULL, NULL, NULL, 'ARGININE/SERINE RICH SPLICING FACTOR SF4/14', NULL, NULL, 34169, 15),
(96446, NULL, 'PTHR31009:SF100', NULL, NULL, NULL, NULL, 'CAFFEINE SYNTHASE 4-RELATED', NULL, NULL, NULL, 15),
(96447, NULL, 'PTHR47965:SF12', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE YAPSIN-7', NULL, NULL, NULL, 15),
(96448, NULL, 'PTHR32153:SF2', NULL, NULL, NULL, NULL, 'OJ000223_09.16 PROTEIN', NULL, NULL, NULL, 15),
(96449, NULL, 'PTHR11017:SF388', NULL, NULL, NULL, NULL, 'BNAA09G44940D PROTEIN', NULL, NULL, NULL, 15),
(96450, NULL, 'PTHR24243:SF109', NULL, NULL, NULL, NULL, 'NEUROMEDIN-U RECEPTOR 1', NULL, NULL, NULL, 15),
(96451, NULL, 'PTHR10994:SF140', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(96452, NULL, 'PTHR11431:SF48', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(96453, NULL, 'PTHR21240:SF26', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(96454, NULL, 'PTHR28242:SF50', NULL, NULL, NULL, NULL, 'HISTIDINE PHOSPHOTRANSFER PROTEIN', NULL, NULL, NULL, 15),
(96455, NULL, 'PTHR45762:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER RNA-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(96456, NULL, 'PTHR11005:SF12', NULL, NULL, NULL, NULL, 'LIPASE MEMBER M', NULL, NULL, NULL, 15),
(96457, NULL, 'PTHR24253:SF67', NULL, NULL, NULL, NULL, 'TISP43 ISOFORM 5', NULL, NULL, NULL, 15),
(96458, NULL, 'PTHR46067:SF21', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(96459, NULL, 'PTHR11923:SF88', NULL, NULL, NULL, NULL, 'DEBRIS BUSTER, ISOFORM D', NULL, NULL, NULL, 15),
(96460, NULL, 'PTHR31444:SF32', NULL, NULL, NULL, NULL, 'GLUCURONOXYLAN 4-O-METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(96461, NULL, 'PTHR24028:SF284', NULL, NULL, NULL, NULL, 'NEURAL-CADHERIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(96462, NULL, 'PTHR36153:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96463, NULL, 'PTHR10188:SF6', NULL, NULL, NULL, NULL, 'N(4)-(BETA-N-ACETYLGLUCOSAMINYL)-L-ASPARAGINASE', NULL, NULL, NULL, 15),
(96464, NULL, 'PTHR11208:SF104', NULL, NULL, NULL, NULL, 'STAR PROTEIN, HOMODIMERIZATION REGION-RELATED', NULL, NULL, NULL, 15),
(96465, NULL, 'PTHR44067', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96466, NULL, 'PTHR24221:SF298', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING/PERMEASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96467, NULL, 'PTHR23501:SF107', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04730)-RELATED', NULL, NULL, NULL, 15),
(96468, NULL, 'PTHR35020:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96469, NULL, 'PTHR27000:SF726', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', NULL, NULL, NULL, 15),
(96470, NULL, 'PTHR31169:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96471, NULL, 'PTHR45942:SF2', NULL, NULL, NULL, NULL, 'CALCINEURIN SUBUNIT B TYPE 2', NULL, NULL, NULL, 15),
(96472, NULL, 'PTHR11232:SF66', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(96473, NULL, 'PTHR43557:SF15', NULL, NULL, NULL, NULL, 'BNAC03G35780D PROTEIN', NULL, NULL, NULL, 15),
(96474, NULL, 'PTHR13391', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION REGULATOR MISATO', NULL, NULL, NULL, 15),
(96475, NULL, 'PTHR23017:SF44', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(96476, NULL, 'PTHR37848:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(96477, NULL, 'PTHR31374:SF176', NULL, NULL, NULL, NULL, 'BNAA03G53040D PROTEIN', NULL, NULL, NULL, 15),
(96478, NULL, 'PTHR34929:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN INAFM1-RELATED', NULL, NULL, NULL, 15),
(96479, NULL, 'PTHR11722:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', NULL, NULL, NULL, 15),
(96480, NULL, 'PTHR45873:SF3', NULL, NULL, NULL, NULL, 'DNA-REPAIR PROTEIN, UMUC-LIKE, N-TERMINAL', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96481, NULL, 'PTHR14614:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 21E PSEUDOGENE-RELATED', NULL, NULL, NULL, 15),
(96482, NULL, 'PTHR33563', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 4517, 15),
(96483, NULL, 'PTHR31175:SF80', NULL, NULL, NULL, NULL, 'BNAC03G59180D PROTEIN', NULL, NULL, NULL, 15),
(96484, NULL, 'PTHR31985:SF221', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(96485, NULL, 'PTHR43272:SF7', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', NULL, NULL, NULL, 15),
(96486, NULL, 'PTHR33318:SF16', NULL, NULL, NULL, NULL, 'FK506-BINDING NUCLEAR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(96487, NULL, 'PTHR37389:SF10', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN-LIKE', NULL, NULL, NULL, 15),
(96488, NULL, 'PTHR24281:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96489, NULL, 'PTHR12270:SF51', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(96490, NULL, 'PTHR16089:SF42', NULL, NULL, NULL, NULL, 'PROTEIN CBG23860', NULL, NULL, NULL, 15),
(96491, NULL, 'PTHR12847:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96492, NULL, 'PTHR24373:SF288', NULL, NULL, NULL, NULL, 'PROTEIN ELFN1', NULL, NULL, NULL, 15),
(96493, NULL, 'PTHR11706:SF91', NULL, NULL, NULL, NULL, 'NATURAL RESISTANCE ASSOCIATED MACROPHAGE PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(96494, NULL, 'PTHR11232:SF41', NULL, NULL, NULL, NULL, 'C-JUN-AMINO-TERMINAL KINASE-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(96495, NULL, 'PTHR43382:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96496, NULL, 'PTHR10015:SF347', NULL, NULL, NULL, NULL, 'BNAUNNG05160D PROTEIN', NULL, NULL, NULL, 15),
(96497, NULL, 'PTHR47373:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 10', NULL, NULL, NULL, 15),
(96498, NULL, 'PTHR27006:SF423', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96499, NULL, 'PTHR10217', NULL, NULL, NULL, NULL, 'VOLTAGE AND LIGAND GATED POTASSIUM CHANNEL', NULL, NULL, NULL, 15),
(96500, NULL, 'PTHR23527', NULL, NULL, NULL, NULL, 'BLL3282 PROTEIN', NULL, NULL, NULL, 15),
(96501, NULL, 'PTHR31673:SF43', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(96502, NULL, 'PTHR46219:SF7', NULL, NULL, NULL, NULL, 'PHARYNGEAL GLAND TOXIN-RELATED', NULL, NULL, NULL, 15),
(96503, NULL, 'PTHR23257:SF873', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96504, NULL, 'PTHR47863:SF9', NULL, NULL, NULL, NULL, 'F10B6.17', NULL, NULL, NULL, 15),
(96505, NULL, 'PTHR46085:SF14', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD14-RELATED', NULL, NULL, NULL, 15),
(96506, NULL, 'PTHR48208:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN I', NULL, NULL, NULL, 15),
(96507, NULL, 'PTHR30472:SF65', NULL, NULL, NULL, NULL, 'SIDEROPHORE TRANSPORT SYSTEM PERMEASE PROTEIN YFIZ-RELATED', NULL, NULL, NULL, 15),
(96508, NULL, 'PTHR11973', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN MUC18-RELATED', NULL, NULL, NULL, 15),
(96509, NULL, 'PTHR11706:SF90', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP4', NULL, NULL, NULL, 15),
(96510, NULL, 'PTHR22791:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG22136', NULL, NULL, NULL, 15),
(96511, NULL, 'PTHR13140:SF561', NULL, NULL, NULL, NULL, 'MIP31562P1', NULL, NULL, NULL, 15),
(96512, NULL, 'PTHR43618:SF4', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_5G12480)', NULL, NULL, NULL, 15),
(96513, NULL, 'PTHR39550:SF1', NULL, NULL, NULL, NULL, 'SLL0658 PROTEIN', NULL, NULL, NULL, 15),
(96514, NULL, 'PTHR11527:SF322', NULL, NULL, NULL, NULL, '16.9 KDA CLASS I HEAT SHOCK PROTEIN 1', NULL, NULL, NULL, 15),
(96515, NULL, 'PTHR47274:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96516, NULL, 'PTHR46359', NULL, NULL, NULL, NULL, 'GEO07743P1', NULL, NULL, NULL, 15),
(96517, NULL, 'PTHR48007:SF2', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96518, NULL, 'PTHR37852', NULL, NULL, NULL, NULL, 'YALI0B21208P', NULL, NULL, NULL, 15),
(96519, NULL, 'PTHR23240:SF31', NULL, NULL, NULL, NULL, 'DNA REPAIR METALLO-BETA-LACTAMASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(96520, NULL, 'PTHR31482:SF10', NULL, NULL, NULL, NULL, 'F-BOX-LIKE PROTEIN', NULL, NULL, NULL, 15),
(96521, NULL, 'PTHR47262:SF2', NULL, NULL, NULL, NULL, 'BNAA09G20240D PROTEIN', NULL, NULL, NULL, 15),
(96522, NULL, 'PTHR12912:SF9', NULL, NULL, NULL, NULL, 'BARRIER-TO-AUTOINTEGRATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(96523, NULL, 'PTHR24393:SF101', NULL, NULL, NULL, NULL, 'FEZ FAMILY ZINC FINGER PROTEIN ERM-RELATED', NULL, NULL, NULL, 15),
(96524, NULL, 'PTHR27004:SF302', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96525, NULL, 'PTHR34222:SF53', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', NULL, NULL, NULL, 15),
(96526, NULL, 'PTHR43490:SF112', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(96527, NULL, 'PTHR46128:SF147', NULL, NULL, NULL, NULL, 'BNAA10G11320D PROTEIN', NULL, NULL, NULL, 15),
(96528, NULL, 'PTHR45974:SF141', NULL, NULL, NULL, NULL, 'OS07G0134600 PROTEIN', NULL, NULL, NULL, 15),
(96529, NULL, 'PTHR24055:SF437', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(96530, NULL, 'PTHR33164:SF57', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(96531, NULL, 'PTHR46515', NULL, NULL, NULL, NULL, 'TATA ELEMENT MODULATORY FACTOR TMF1', NULL, NULL, NULL, 15),
(96532, NULL, 'PTHR31549:SF29', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(96533, NULL, 'PTHR13887:SF14', NULL, NULL, NULL, NULL, 'DISULFIDE BOND FORMATION PROTEIN D', NULL, NULL, NULL, 15),
(96534, NULL, 'PTHR33605:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96535, NULL, 'PTHR26450:SF121', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(96536, NULL, 'PTHR35090:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT I', NULL, NULL, NULL, 15),
(96537, NULL, 'PTHR35035:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96538, NULL, 'PTHR26454:SF43', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(96539, NULL, 'PTHR23266:SF304', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-18', NULL, NULL, NULL, 15),
(96540, NULL, 'PTHR16134:SF107', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', NULL, NULL, NULL, 15),
(96541, NULL, 'PTHR31161:SF22', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1-BINDING PROTEIN', NULL, NULL, NULL, 15),
(96542, NULL, 'PTHR24253:SF62', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 6', NULL, NULL, NULL, 15),
(96543, NULL, 'PTHR39937:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN 8', NULL, NULL, NULL, 15),
(96544, NULL, 'PTHR15319:SF1', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT C', NULL, NULL, NULL, 15),
(96545, NULL, 'PTHR15129', NULL, NULL, NULL, NULL, 'SRC-ASSOCIATED ADAPTOR PROTEIN', NULL, NULL, 30429, 15),
(96546, NULL, 'PTHR24404:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 740', NULL, NULL, NULL, 15),
(96547, NULL, 'PTHR24248:SF168', NULL, NULL, NULL, NULL, 'IP13425P-RELATED', NULL, NULL, NULL, 15),
(96548, NULL, 'PTHR23266:SF321', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-74', NULL, NULL, NULL, 15),
(96549, NULL, 'PTHR36167:SF2', NULL, NULL, NULL, NULL, 'C2H2 FINGER DOMAIN TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(96550, NULL, 'PTHR12801:SF133', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE 4-LIKE', NULL, NULL, NULL, 15),
(96551, NULL, 'PTHR35728:SF1', NULL, NULL, NULL, NULL, 'MICROTUBULE-BINDING PROTEIN TANGLED-RELATED', NULL, NULL, NULL, 15),
(96552, NULL, 'PTHR45804:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A13', NULL, NULL, NULL, 15),
(96553, NULL, 'PTHR37559', NULL, NULL, NULL, NULL, 'PAREP6 PART 2, AUTHENTIC FRAMESHIFT', NULL, NULL, NULL, 15),
(96554, NULL, 'PTHR10168:SF219', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C9', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96555, NULL, 'PTHR36649:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96556, NULL, 'PTHR31916:SF48', NULL, NULL, NULL, NULL, 'BNAA08G06300D PROTEIN', NULL, NULL, NULL, 15),
(96557, NULL, 'PTHR46273:SF4', NULL, NULL, NULL, NULL, 'MYOSUPPRESSIN RECEPTOR 1, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(96558, NULL, 'PTHR11206:SF319', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(96559, NULL, 'PTHR22883:SF362', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(96560, NULL, 'PTHR45647:SF34', NULL, NULL, NULL, NULL, 'U-BOX KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(96561, NULL, 'PTHR46235:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96562, NULL, 'PTHR14963:SF6', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 18', NULL, NULL, NULL, 15),
(96563, NULL, 'PTHR31232:SF36', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', NULL, NULL, NULL, 15),
(96564, NULL, 'PTHR13634:SF3', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN BRX1 HOMOLOG 2', NULL, NULL, NULL, 15),
(96565, NULL, 'PTHR11915:SF432', NULL, NULL, NULL, NULL, 'ALPHA-ACTININ-3', NULL, NULL, NULL, 15),
(96566, NULL, 'PTHR21576:SF97', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(96567, NULL, 'PTHR10155:SF26', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING AT 16D, ISOFORM B', NULL, NULL, NULL, 15),
(96568, NULL, 'PTHR24106:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96569, NULL, 'PTHR10641:SF1250', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', NULL, NULL, NULL, 15),
(96570, NULL, 'PTHR28623', NULL, NULL, NULL, NULL, 'PROTEIN FAM118B', NULL, NULL, 29148, 15),
(96571, NULL, 'PTHR10352:SF11', NULL, NULL, NULL, NULL, 'NUCLEOLYSIN TIAR', NULL, NULL, NULL, 15),
(96572, NULL, 'PTHR24303:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 303A1-RELATED', NULL, NULL, NULL, 15),
(96573, NULL, 'PTHR40064', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96574, NULL, 'PTHR46006:SF5', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR AT 64C, ISOFORM A', NULL, NULL, NULL, 15),
(96575, NULL, 'PTHR31042:SF60', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING ENZYME', NULL, NULL, NULL, 15),
(96576, NULL, 'PTHR24394:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 281A', NULL, NULL, NULL, 15),
(96577, NULL, 'PTHR48017:SF142', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 7 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(96578, NULL, 'PTHR20996:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96579, NULL, 'PTHR33470:SF23', NULL, NULL, NULL, NULL, 'POLLEN OLE E I FAMILY ALLERGEN', NULL, NULL, NULL, 15),
(96580, NULL, 'PTHR10997:SF53', NULL, NULL, NULL, NULL, 'IMPORTIN BETA-LIKE SAD2 HOMOLOG', NULL, NULL, NULL, 15),
(96581, NULL, 'PTHR13778:SF39', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(96582, NULL, 'PTHR32227:SF342', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96583, NULL, 'PTHR12317:SF36', NULL, NULL, NULL, NULL, '2-ACYLGLYCEROL O-ACYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(96584, NULL, 'PTHR45793:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96585, NULL, 'PTHR31713:SF43', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 G', NULL, NULL, NULL, 15),
(96586, NULL, 'PTHR23213:SF276', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(96587, NULL, 'PTHR42711:SF5', NULL, NULL, NULL, NULL, 'DOXORUBICIN RESISTANCE ATP-BINDING PROTEIN DRRA', NULL, NULL, NULL, 15),
(96588, NULL, 'PTHR11394', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(96589, NULL, 'PTHR45844:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', NULL, NULL, NULL, 15),
(96590, NULL, 'PTHR45729:SF3', NULL, NULL, NULL, NULL, 'RABPHILIN-3A', NULL, NULL, 24166, 15),
(96591, NULL, 'PTHR23155:SF888', NULL, NULL, NULL, NULL, 'OS01G0335700 PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96592, NULL, 'PTHR47984:SF31', NULL, NULL, NULL, NULL, 'OS03G0227900 PROTEIN', NULL, NULL, NULL, 15),
(96593, NULL, 'PTHR18966:SF523', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(96594, NULL, 'PTHR35325', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 4934, 15),
(96595, NULL, 'PTHR13318:SF92', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 8-RELATED', NULL, NULL, NULL, 15),
(96596, NULL, 'PTHR46780:SF11', NULL, NULL, NULL, NULL, 'MIP32738P1', NULL, NULL, NULL, 15),
(96597, NULL, 'PTHR10302', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN', NULL, NULL, 11269, 15),
(96598, NULL, 'PTHR10644:SF20', NULL, NULL, NULL, NULL, 'DNA DAMAGE-BINDING PROTEIN 1B', NULL, NULL, NULL, 15),
(96599, NULL, 'PTHR46943:SF1', NULL, NULL, NULL, NULL, 'PENTRAXIN-RELATED PROTEIN PTX3', NULL, NULL, NULL, 15),
(96600, NULL, 'PTHR46117:SF1', NULL, NULL, NULL, NULL, 'UPSTREAM STIMULATORY FACTOR 1', NULL, NULL, NULL, 15),
(96601, NULL, 'PTHR33052:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96602, NULL, 'PTHR30620:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96603, NULL, 'PTHR12210:SF134', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(96604, NULL, 'PTHR23300:SF11', NULL, NULL, NULL, NULL, 'SELENIUM-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(96605, NULL, 'PTHR33646:SF15', NULL, NULL, NULL, NULL, 'BNAA05G37180D PROTEIN', NULL, NULL, NULL, 15),
(96606, NULL, 'PTHR33649:SF14', NULL, NULL, NULL, NULL, 'PAR1-RELATED', NULL, NULL, NULL, 15),
(96607, NULL, 'PTHR18881:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96608, NULL, 'PTHR24221:SF552', NULL, NULL, NULL, NULL, 'BNAA09G02390D PROTEIN', NULL, NULL, NULL, 15),
(96609, NULL, 'PTHR48041:SF38', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, G1, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(96610, NULL, 'PTHR14493', NULL, NULL, NULL, NULL, 'UNKEMPT FAMILY MEMBER', NULL, NULL, 39973, 15),
(96611, NULL, 'PTHR10881', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER-RELATED', NULL, NULL, 22988, 15),
(96612, NULL, 'PTHR32010:SF21', NULL, NULL, NULL, NULL, 'DUF789 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(96613, NULL, 'PTHR16023', NULL, NULL, NULL, NULL, 'TAX1 BINDING PROTEIN-RELATED', NULL, NULL, 22809, 15),
(96614, NULL, 'PTHR12385:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PNS1', NULL, NULL, NULL, 15),
(96615, NULL, 'PTHR47980:SF15', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-3C', NULL, NULL, NULL, 15),
(96616, NULL, 'PTHR30009:SF4', NULL, NULL, NULL, NULL, 'PTS SYSTEM N-ACETYLGLUCOSAMINE-SPECIFIC EIICBA COMPONENT', NULL, NULL, NULL, 15),
(96617, NULL, 'PTHR43189:SF2', NULL, NULL, NULL, NULL, 'GLUCOSE 1-DEHYDROGENASE', NULL, NULL, NULL, 15),
(96618, NULL, 'PTHR24271:SF53', NULL, NULL, NULL, NULL, 'GRANZYME B', NULL, NULL, NULL, 15),
(96619, NULL, 'PTHR31407:SF7', NULL, NULL, NULL, NULL, 'PSBP DOMAIN-CONTAINING PROTEIN 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(96620, NULL, 'PTHR35989', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 32', NULL, NULL, 34290, 15),
(96621, NULL, 'PTHR45687:SF70', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-7-LIKE', NULL, NULL, NULL, 15),
(96622, NULL, 'PTHR43489:SF7', NULL, NULL, NULL, NULL, 'FRUCTOSELYSINE 3-EPIMERASE-RELATED', NULL, NULL, NULL, 15),
(96623, NULL, 'PTHR11941:SF152', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE/ISOMERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G03410)', NULL, NULL, NULL, 15),
(96624, NULL, 'PTHR11434', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE SUBUNIT ND4L', NULL, NULL, 1071, 15),
(96625, NULL, 'PTHR35979:SF1', NULL, NULL, NULL, NULL, 'SINGLE-PASS MEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(96626, NULL, 'PTHR47172:SF16', NULL, NULL, NULL, NULL, 'BNAA01G17700D PROTEIN', NULL, NULL, NULL, 15),
(96627, NULL, 'PTHR32191:SF2', NULL, NULL, NULL, NULL, 'TETRASPANIN-8', NULL, NULL, NULL, 15),
(96628, NULL, 'PTHR31048:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96629, NULL, 'PTHR26453:SF194', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10P1', NULL, NULL, NULL, 15),
(96630, NULL, 'PTHR22572:SF153', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLYLTRANSFERASE 1 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(96631, NULL, 'PTHR33232', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION B-LIKE', NULL, NULL, 29216, 15),
(96632, NULL, 'PTHR14379:SF33', NULL, NULL, NULL, NULL, 'BNAA09G39750D PROTEIN', NULL, NULL, NULL, 15),
(96633, NULL, 'PTHR26452:SF808', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(96634, NULL, 'PTHR38978', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 17521, 15),
(96635, NULL, 'PTHR45650:SF32', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(96636, NULL, 'PTHR26450:SF394', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(96637, NULL, 'PTHR11945:SF416', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 67', NULL, NULL, NULL, 15),
(96638, NULL, 'PTHR32295:SF134', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 10', NULL, NULL, NULL, 15),
(96639, NULL, 'PTHR37751:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96640, NULL, 'PTHR19375:SF144', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM CHAPERONE BIP', NULL, NULL, NULL, 15),
(96641, NULL, 'PTHR11746:SF94', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE ZRP4', NULL, NULL, NULL, 15),
(96642, NULL, 'PTHR45852:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RIO2', NULL, NULL, NULL, 15),
(96643, NULL, 'PTHR33059:SF4', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 5', NULL, NULL, NULL, 15),
(96644, NULL, 'PTHR34069', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE 3', NULL, NULL, NULL, 15),
(96645, NULL, 'PTHR31376:SF56', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-SUGAR TRANSPORTER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96646, NULL, 'PTHR31779:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(96647, NULL, 'PTHR31867:SF191', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(96648, NULL, 'PTHR48041:SF80', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 24', NULL, NULL, NULL, 15),
(96649, NULL, 'PTHR10644:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96650, NULL, 'PTHR32246:SF99', NULL, NULL, NULL, NULL, 'OS05G0149100 PROTEIN', NULL, NULL, NULL, 15),
(96651, NULL, 'PTHR43581:SF2', NULL, NULL, NULL, NULL, 'ATP/GTP PHOSPHATASE', NULL, NULL, NULL, 15),
(96652, NULL, 'PTHR20914:SF16', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1810065E05 GENE', NULL, NULL, NULL, 15),
(96653, NULL, 'PTHR36692:SF1', NULL, NULL, NULL, NULL, 'GH08457P', NULL, NULL, NULL, 15),
(96654, NULL, 'PTHR12239', NULL, NULL, NULL, NULL, 'PROTEIN CBG20215-RELATED', NULL, NULL, NULL, 15),
(96655, NULL, 'PTHR21661', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 1-RELATED', NULL, NULL, NULL, 15),
(96656, NULL, 'PTHR15710:SF134', NULL, NULL, NULL, NULL, 'BNAC01G28030D PROTEIN', NULL, NULL, NULL, 15),
(96657, NULL, 'PTHR46494', NULL, NULL, NULL, NULL, 'CORA FAMILY METAL ION TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(96658, NULL, 'PTHR31947:SF23', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(96659, NULL, 'PTHR10682:SF33', NULL, NULL, NULL, NULL, 'NUCLEAR POLY(A) POLYMERASE 3', NULL, NULL, NULL, 15),
(96660, NULL, 'PTHR43450:SF8', NULL, NULL, NULL, NULL, 'ASPARTATE--TRNA LIGASE 1, CYTOPLASMIC', NULL, NULL, NULL, 15),
(96661, NULL, 'PTHR10015:SF375', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX DNA-BINDING DOMAIN, HEAT SHOCK TRANSCRIPTION FACTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(96662, NULL, 'PTHR32258:SF0', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1B', NULL, NULL, NULL, 15),
(96663, NULL, 'PTHR10177:SF478', NULL, NULL, NULL, NULL, 'CYCLIN-A3-1-LIKE', NULL, NULL, NULL, 15),
(96664, NULL, 'PTHR43308:SF3', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(96665, NULL, 'PTHR45663:SF25', NULL, NULL, NULL, NULL, 'THIOREDOXIN Y2, CHLOROPLASTIC', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96666, NULL, 'PTHR31566:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C BIOGENESIS PROTEIN CCS1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(96667, NULL, 'PTHR23187:SF2', NULL, NULL, NULL, NULL, 'SKI/DACH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(96668, NULL, 'PTHR42262:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96669, NULL, 'PTHR10778:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96670, NULL, 'PTHR48149:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37A-2', NULL, NULL, NULL, 15),
(96671, NULL, 'PTHR13356', NULL, NULL, NULL, NULL, 'OB FOLD NUCLEIC ACID BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96672, NULL, 'PTHR33417:SF18', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE REDUCTASE COMPLEX 1 MLRQ SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(96673, NULL, 'PTHR46189:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT AND FYVE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(96674, NULL, 'PTHR36132', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 221', NULL, NULL, NULL, 15),
(96675, NULL, 'PTHR37814', NULL, NULL, NULL, NULL, 'CONSERVED MEMBRANE PROTEIN', NULL, NULL, 34318, 15),
(96676, NULL, 'PTHR43626:SF4', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE NSI', NULL, NULL, NULL, 15),
(96677, NULL, 'PTHR13544:SF11', NULL, NULL, NULL, NULL, 'BNAANNG17380D PROTEIN', NULL, NULL, NULL, 15),
(96678, NULL, 'PTHR46151:SF1', NULL, NULL, NULL, NULL, 'OS09G0542600 PROTEIN', NULL, NULL, NULL, 15),
(96679, NULL, 'PTHR31213:SF120', NULL, NULL, NULL, NULL, 'BNAC08G11070D PROTEIN', NULL, NULL, NULL, 15),
(96680, NULL, 'PTHR13140:SF796', NULL, NULL, NULL, NULL, 'MYOSIN 1-RELATED', NULL, NULL, NULL, 15),
(96681, NULL, 'PTHR21528:SF0', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE COMPLEX SUBUNIT NUS1', NULL, NULL, NULL, 15),
(96682, NULL, 'PTHR15710:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96683, NULL, 'PTHR33124:SF84', NULL, NULL, NULL, NULL, 'BNACNNG60650D PROTEIN', NULL, NULL, NULL, 15),
(96684, NULL, 'PTHR21646:SF46', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 32', NULL, NULL, NULL, 15),
(96685, NULL, 'PTHR48048:SF43', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(96686, NULL, 'PTHR11492', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR I', NULL, NULL, 6740, 15),
(96687, NULL, 'PTHR43859:SF44', NULL, NULL, NULL, NULL, 'DEPENDENT LIGASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(96688, NULL, 'PTHR10589:SF30', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(96689, NULL, 'PTHR33074:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96690, NULL, 'PTHR10881:SF44', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 6A-RELATED', NULL, NULL, NULL, 15),
(96691, NULL, 'PTHR45974:SF170', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(96692, NULL, 'PTHR46706:SF3', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)-RELATED', NULL, NULL, NULL, 15),
(96693, NULL, 'PTHR45125:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96694, NULL, 'PTHR13174:SF3', NULL, NULL, NULL, NULL, 'D-GLUCURONYL C5-EPIMERASE', NULL, NULL, NULL, 15),
(96695, NULL, 'PTHR33207:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96696, NULL, 'PTHR43355:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96697, NULL, 'PTHR22883:SF345', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(96698, NULL, 'PTHR42885:SF1', NULL, NULL, NULL, NULL, 'THREONINE-PHOSPHATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(96699, NULL, 'PTHR36053:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96700, NULL, 'PTHR24173:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96701, NULL, 'PTHR46576', NULL, NULL, NULL, NULL, 'BROMO ADJACENT HOMOLOGY DOMAIN-CONTAINING 1 PROTEIN', NULL, NULL, NULL, 15),
(96702, NULL, 'PTHR39400:SF1', NULL, NULL, NULL, NULL, 'YALI0E29227P', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96703, NULL, 'PTHR12474:SF3', NULL, NULL, NULL, NULL, 'SESTRIN-1', NULL, NULL, NULL, 15),
(96704, NULL, 'PTHR23201:SF53', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 14', NULL, NULL, NULL, 15),
(96705, NULL, 'PTHR11581', NULL, NULL, NULL, NULL, '30S/40S RIBOSOMAL PROTEIN S4', NULL, NULL, 4903, 15),
(96706, NULL, 'PTHR27002:SF548', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE CES101 ISOFORM X1', NULL, NULL, NULL, 15),
(96707, NULL, 'PTHR10641:SF1277', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96708, NULL, 'PTHR24028:SF246', NULL, NULL, NULL, NULL, 'CADHERIN-RELATED FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(96709, NULL, 'PTHR45650:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96710, NULL, 'PTHR30540:SF19', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 15-RELATED', NULL, NULL, NULL, 15),
(96711, NULL, 'PTHR11339:SF379', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96712, NULL, 'PTHR14380:SF3', NULL, NULL, NULL, NULL, 'OOCYTE-SECRETED PROTEIN 3-RELATED', NULL, NULL, 34288, 15),
(96713, NULL, 'PTHR10966:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', NULL, NULL, NULL, 15),
(96714, NULL, 'PTHR47967:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96715, NULL, 'PTHR19143:SF398', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96716, NULL, 'PTHR24215:SF35', NULL, NULL, NULL, NULL, 'MUSCLE LIM PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(96717, NULL, 'PTHR13453:SF7', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(96718, NULL, 'PTHR48002:SF60', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(96719, NULL, 'PTHR12606:SF95', NULL, NULL, NULL, NULL, 'OS03G0344300 PROTEIN', NULL, NULL, NULL, 15),
(96720, NULL, 'PTHR13683:SF529', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE', NULL, NULL, NULL, 15),
(96721, NULL, 'PTHR18945:SF75', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT BETA-3', NULL, NULL, NULL, 15),
(96722, NULL, 'PTHR24409:SF335', NULL, NULL, NULL, NULL, 'AGAP013275-PA', NULL, NULL, NULL, 15),
(96723, NULL, 'PTHR31756:SF3', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE REGULATORY PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(96724, NULL, 'PTHR14155:SF568', NULL, NULL, NULL, NULL, 'OS02G0759400 PROTEIN', NULL, NULL, NULL, 15),
(96725, NULL, 'PTHR45614:SF114', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB56', NULL, NULL, NULL, 15),
(96726, NULL, 'PTHR43779:SF3', NULL, NULL, NULL, NULL, 'DIOXYGENASE RV0097-RELATED', NULL, NULL, NULL, 15),
(96727, NULL, 'PTHR32212:SF338', NULL, NULL, NULL, NULL, 'BNAC02G12290D PROTEIN', NULL, NULL, NULL, 15),
(96728, NULL, 'PTHR44186', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 28521, 15),
(96729, NULL, 'PTHR12894:SF39', NULL, NULL, NULL, NULL, 'CITRON HOMOLOGY (CNH) DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96730, NULL, 'PTHR11165:SF150', NULL, NULL, NULL, NULL, 'SKP1 RELATED (UBIQUITIN LIGASE COMPLEX COMPONENT)', NULL, NULL, NULL, 15),
(96731, NULL, 'PTHR27007:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96732, NULL, 'PTHR47705', NULL, NULL, NULL, NULL, 'AGAP000321-PA', NULL, NULL, NULL, 15),
(96733, NULL, 'PTHR11206:SF427', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 5-RELATED', NULL, NULL, NULL, 15),
(96734, NULL, 'PTHR24219:SF6', NULL, NULL, NULL, NULL, 'WILMS TUMOR PROTEIN 1-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(96735, NULL, 'PTHR27002:SF644', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN, S-LOCUS GLYCOPROTEIN DOMAIN, BULB-TYPE LECTIN DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96736, NULL, 'PTHR34874', NULL, NULL, NULL, NULL, 'PROTEIN YCHN', NULL, NULL, NULL, 15),
(96737, NULL, 'PTHR24300:SF140', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2C40-RELATED', NULL, NULL, NULL, 15),
(96738, NULL, 'PTHR33110:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96739, NULL, 'PTHR12448', NULL, NULL, NULL, NULL, 'ATP SYNTHASE EPSILON CHAIN, MITOCHONDRIAL', NULL, NULL, 2499, 15),
(96740, NULL, 'PTHR19375:SF391', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN', NULL, NULL, NULL, 15),
(96741, NULL, 'PTHR46553:SF19', NULL, NULL, NULL, NULL, 'BNAA04G29570D PROTEIN', NULL, NULL, NULL, 15),
(96742, NULL, 'PTHR33148:SF4', NULL, NULL, NULL, NULL, 'OS02G0667300 PROTEIN', NULL, NULL, NULL, 15),
(96743, NULL, 'PTHR45348:SF5', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01420)-RELATED', NULL, NULL, NULL, 15),
(96744, NULL, 'PTHR47944:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A9', NULL, NULL, NULL, 15),
(96745, NULL, 'PTHR24012:SF702', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF, SINGLE-STRANDED-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(96746, NULL, 'PTHR43550:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96747, NULL, 'PTHR47926:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96748, NULL, 'PTHR28658', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 180', NULL, NULL, 29731, 15),
(96749, NULL, 'PTHR24023:SF949', NULL, NULL, NULL, NULL, 'PROCOLLAGEN, TYPE IX, ALPHA 2', NULL, NULL, NULL, 15),
(96750, NULL, 'PTHR12357:SF58', NULL, NULL, NULL, NULL, 'OS01G0679900 PROTEIN', NULL, NULL, NULL, 15),
(96751, NULL, 'PTHR48045:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(96752, NULL, 'PTHR11258:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96753, NULL, 'PTHR13341:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SEELE', NULL, NULL, NULL, 15),
(96754, NULL, 'PTHR47339:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 24', NULL, NULL, NULL, 15),
(96755, NULL, 'PTHR19368:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAM9C', NULL, NULL, NULL, 15),
(96756, NULL, 'PTHR24543:SF315', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96757, NULL, 'PTHR36892:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96758, NULL, 'PTHR10209:SF734', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96759, NULL, 'PTHR47329', NULL, NULL, NULL, NULL, 'OS05G0129900 PROTEIN', NULL, NULL, NULL, 15),
(96760, NULL, 'PTHR24282:SF27', NULL, NULL, NULL, NULL, 'CYTOKININ HYDROXYLASE', NULL, NULL, NULL, 15),
(96761, NULL, 'PTHR23139:SF120', NULL, NULL, NULL, NULL, 'BNACNNG28730D PROTEIN', NULL, NULL, NULL, 15),
(96762, NULL, 'PTHR13832:SF321', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1G', NULL, NULL, NULL, 15),
(96763, NULL, 'PTHR46401:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE WBBK-RELATED', NULL, NULL, NULL, 15),
(96764, NULL, 'PTHR42765:SF1', NULL, NULL, NULL, NULL, 'ISOLEUCINE--TRNA LIGASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(96765, NULL, 'PTHR47089', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(96766, NULL, 'PTHR12606:SF103', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE ESD4', NULL, NULL, NULL, 15),
(96767, NULL, 'PTHR21510', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96768, NULL, 'PTHR12052:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96769, NULL, 'PTHR34676:SF10', NULL, NULL, NULL, NULL, 'GAG-POL-RELATED RETROTRANSPOSON FAMILY PROTEIN', NULL, NULL, NULL, 15),
(96770, NULL, 'PTHR48009', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(96771, NULL, 'PTHR34297:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(96772, NULL, 'PTHR48001:SF115', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1S1-RELATED', NULL, NULL, NULL, 15),
(96773, NULL, 'PTHR24349:SF346', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 8', NULL, NULL, NULL, 15),
(96774, NULL, 'PTHR33090:SF57', NULL, NULL, NULL, NULL, '2-NONAPRENYL-3-METHYL-6-METHOXY-1,4-BENZOQUINOL HYDROXYLASE', NULL, NULL, NULL, 15),
(96775, NULL, 'PTHR13683:SF710', NULL, NULL, NULL, NULL, 'OS03G0281400 PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96776, NULL, 'PTHR31945', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SCREAM2-RELATED', NULL, NULL, NULL, 15),
(96777, NULL, 'PTHR42718:SF25', NULL, NULL, NULL, NULL, 'RESISTANCE TRANSPORTER, EMRB/QACA SUBFAMILY, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(96778, NULL, 'PTHR10509:SF66', NULL, NULL, NULL, NULL, 'TRICIN SYNTHASE 1', NULL, NULL, NULL, 15),
(96779, NULL, 'PTHR35606:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96780, NULL, 'PTHR24068:SF297', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 22-LIKE', NULL, NULL, NULL, 15),
(96781, NULL, 'PTHR43329:SF89', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', NULL, NULL, NULL, 15),
(96782, NULL, 'PTHR31503:SF67', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', NULL, NULL, NULL, 15),
(96783, NULL, 'PTHR45969:SF12', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHA1A-RELATED', NULL, NULL, NULL, 15),
(96784, NULL, 'PTHR46880:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96785, NULL, 'PTHR22761:SF72', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 32 HOMOLOG 2-LIKE', NULL, NULL, NULL, 15),
(96786, NULL, 'PTHR24055:SF356', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 7', NULL, NULL, NULL, 15),
(96787, NULL, 'PTHR44191:SF39', NULL, NULL, NULL, NULL, 'BNAC09G33360D PROTEIN', NULL, NULL, NULL, 15),
(96788, NULL, 'PTHR34654:SF1', NULL, NULL, NULL, NULL, 'UPF0109 PROTEIN SCO5592', NULL, NULL, NULL, 15),
(96789, NULL, 'PTHR37534:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96790, NULL, 'PTHR32063:SF11', NULL, NULL, NULL, NULL, 'EFFLUX PUMP MEMBRANE TRANSPORTER', NULL, NULL, NULL, 15),
(96791, NULL, 'PTHR23149:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96792, NULL, 'PTHR11850:SF286', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 10', NULL, NULL, NULL, 15),
(96793, NULL, 'PTHR35316:SF1', NULL, NULL, NULL, NULL, '28S RIBOSOMAL S34 PROTEIN', NULL, NULL, NULL, 15),
(96794, NULL, 'PTHR15032:SF4', NULL, NULL, NULL, NULL, 'N-ACYL-PHOSPHATIDYLETHANOLAMINE-HYDROLYZING PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(96795, NULL, 'PTHR10579:SF129', NULL, NULL, NULL, NULL, 'OS01G0640200 PROTEIN', NULL, NULL, NULL, 15),
(96796, NULL, 'PTHR48223:SF1', NULL, NULL, NULL, NULL, 'DEFECTIVE 2759, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(96797, NULL, 'PTHR45676:SF65', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL41', NULL, NULL, NULL, 15),
(96798, NULL, 'PTHR33402:SF34', NULL, NULL, NULL, NULL, 'VQ-RELATED', NULL, NULL, NULL, 15),
(96799, NULL, 'PTHR31751:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96800, NULL, 'PTHR12129:SF13', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE 2-O-SULFOTRANSFERASE 1B', NULL, NULL, NULL, 15),
(96801, NULL, 'PTHR11062:SF297', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(96802, NULL, 'PTHR15852:SF56', NULL, NULL, NULL, NULL, 'PROTEIN PHOTOSYSTEM I ASSEMBLY 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(96803, NULL, 'PTHR47739:SF1', NULL, NULL, NULL, NULL, 'TRNA1(VAL) (ADENINE(37)-N6)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(96804, NULL, 'PTHR16266:SF4', NULL, NULL, NULL, NULL, 'PH-INTERACTING PROTEIN', NULL, NULL, 29401, 15),
(96805, NULL, 'PTHR32448:SF132', NULL, NULL, NULL, NULL, 'BNAANNG10010D PROTEIN', NULL, NULL, NULL, 15),
(96806, NULL, 'PTHR48021:SF40', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6', NULL, NULL, NULL, 15),
(96807, NULL, 'PTHR11106:SF98', NULL, NULL, NULL, NULL, 'OS01G0948300 PROTEIN', NULL, NULL, NULL, 15),
(96808, NULL, 'PTHR33059:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96809, NULL, 'PTHR46605:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96810, NULL, 'PTHR34709:SF26', NULL, NULL, NULL, NULL, 'OS12G0606701 PROTEIN', NULL, NULL, NULL, 15),
(96811, NULL, 'PTHR14218:SF34', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE SED4', NULL, NULL, NULL, 15),
(96812, NULL, 'PTHR46081:SF3', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE B6-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96813, NULL, 'PTHR32444:SF62', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', NULL, NULL, NULL, 15),
(96814, NULL, 'PTHR13723:SF157', NULL, NULL, NULL, NULL, 'ADAMTS-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(96815, NULL, 'PTHR31235:SF328', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(96816, NULL, 'PTHR19957:SF251', NULL, NULL, NULL, NULL, 'SYNTAXIN-RELATED PROTEIN KNOLLE', NULL, NULL, NULL, 15),
(96817, NULL, 'PTHR11387:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B2', NULL, NULL, NULL, 15),
(96818, NULL, 'PTHR24340:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96819, NULL, 'PTHR45940:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96820, NULL, 'PTHR45618:SF29', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 5-LIKE', NULL, NULL, NULL, 15),
(96821, NULL, 'PTHR24031:SF54', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX10-RELATED', NULL, NULL, NULL, 15),
(96822, NULL, 'PTHR31422:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(96823, NULL, 'PTHR34211:SF7', NULL, NULL, NULL, NULL, 'BNAC09G23760D PROTEIN', NULL, NULL, NULL, 15),
(96824, NULL, 'PTHR31529:SF51', NULL, NULL, NULL, NULL, 'BNAANNG32930D PROTEIN', NULL, NULL, NULL, 15),
(96825, NULL, 'PTHR42702', NULL, NULL, NULL, NULL, 'NUCLEOTIDE PYROPHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(96826, NULL, 'PTHR43362:SF7', NULL, NULL, NULL, NULL, 'D-MANNONATE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(96827, NULL, 'PTHR23113:SF335', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR W', NULL, NULL, NULL, 15),
(96828, NULL, 'PTHR22237:SF0', NULL, NULL, NULL, NULL, 'APC MEMBRANE RECRUITMENT PROTEIN 1', NULL, NULL, NULL, 15),
(96829, NULL, 'PTHR11203:SF52', NULL, NULL, NULL, NULL, 'MRNA 3-END PROCESSING FACTOR', NULL, NULL, NULL, 15),
(96830, NULL, 'PTHR11017:SF252', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(96831, NULL, 'PTHR37354:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME ALIGNMENT-MAINTAINING PHOSPHOPROTEIN 1', NULL, NULL, NULL, 15),
(96832, NULL, 'PTHR33109:SF14', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(96833, NULL, 'PTHR40845:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96834, NULL, 'PTHR45676:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96835, NULL, 'PTHR28642:SF1', NULL, NULL, NULL, NULL, 'MEIOSIS 1 ARREST PROTEIN', NULL, NULL, NULL, 15),
(96836, NULL, 'PTHR23024:SF154', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1L2', NULL, NULL, NULL, 15),
(96837, NULL, 'PTHR36141:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96838, NULL, 'PTHR19957:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96839, NULL, 'PTHR44068:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(96840, NULL, 'PTHR23024:SF483', NULL, NULL, NULL, NULL, 'BNACNNG29630D PROTEIN', NULL, NULL, NULL, 15),
(96841, NULL, 'PTHR46268', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN NHAX', NULL, NULL, NULL, 15),
(96842, NULL, 'PTHR12619:SF28', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RFX6', NULL, NULL, NULL, 15),
(96843, NULL, 'PTHR31234:SF40', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN FAMILY', NULL, NULL, NULL, 15),
(96844, NULL, 'PTHR12035:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96845, NULL, 'PTHR12892:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG26903', NULL, NULL, NULL, 15),
(96846, NULL, 'PTHR31998:SF46', NULL, NULL, NULL, NULL, 'H+-PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(96847, NULL, 'PTHR43952:SF17', NULL, NULL, NULL, NULL, 'OS03G0252900 PROTEIN', NULL, NULL, NULL, 15),
(96848, NULL, 'PTHR47933:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96849, NULL, 'PTHR31642:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96850, NULL, 'PTHR31352:SF8', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 8', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96851, NULL, 'PTHR33545', NULL, NULL, NULL, NULL, 'UPF0750 MEMBRANE PROTEIN YITT-RELATED', NULL, NULL, NULL, 15),
(96852, NULL, 'PTHR18945:SF211', NULL, NULL, NULL, NULL, 'GLYCINE RECEPTOR SUBUNIT ALPHA-4', NULL, NULL, NULL, 15),
(96853, NULL, 'PTHR11514:SF130', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC2', NULL, NULL, NULL, 15),
(96854, NULL, 'PTHR16134:SF32', NULL, NULL, NULL, NULL, 'S-PHASE KINASE-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(96855, NULL, 'PTHR24064:SF506', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96856, NULL, 'PTHR45626:SF11', NULL, NULL, NULL, NULL, 'FAMILY HELICASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G06590)-RELATED', NULL, NULL, NULL, 15),
(96857, NULL, 'PTHR23299:SF46', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN 1H-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(96858, NULL, 'PTHR32021:SF41', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5B2', NULL, NULL, NULL, 15),
(96859, NULL, 'PTHR12112:SF44', NULL, NULL, NULL, NULL, 'EG:152A3.5 PROTEIN (FBGN0003116,PN PROTEIN)', NULL, NULL, NULL, 15),
(96860, NULL, 'PTHR13199:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96861, NULL, 'PTHR45965', NULL, NULL, NULL, NULL, 'INACTIVE RHOMBOID PROTEIN', NULL, NULL, NULL, 15),
(96862, NULL, 'PTHR47968:SF8', NULL, NULL, NULL, NULL, 'BNAA06G37250D PROTEIN', NULL, NULL, NULL, 15),
(96863, NULL, 'PTHR48238', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96864, NULL, 'PTHR23411:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96865, NULL, 'PTHR31264:SF7', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(96866, NULL, 'PTHR19446:SF411', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96867, NULL, 'PTHR24413:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96868, NULL, 'PTHR48017:SF186', NULL, NULL, NULL, NULL, 'OS01G0878400 PROTEIN', NULL, NULL, NULL, 15),
(96869, NULL, 'PTHR33748:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07404', NULL, NULL, NULL, 15),
(96870, NULL, 'PTHR31775:SF21', NULL, NULL, NULL, NULL, 'REMORIN-LIKE', NULL, NULL, NULL, 15),
(96871, NULL, 'PTHR12668:SF41', NULL, NULL, NULL, NULL, 'PROTEIN FATTY ACID EXPORT 5-LIKE', NULL, NULL, NULL, 15),
(96872, NULL, 'PTHR43416:SF7', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX', NULL, NULL, NULL, 15),
(96873, NULL, 'PTHR13778:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 8 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(96874, NULL, 'PTHR45816:SF1', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR TYPE 3', NULL, NULL, NULL, 15),
(96875, NULL, 'PTHR21700:SF15', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(96876, NULL, 'PTHR11920:SF474', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GYC76C', NULL, NULL, NULL, 15),
(96877, NULL, 'PTHR13420', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 2282, 15),
(96878, NULL, 'PTHR14965:SF1', NULL, NULL, NULL, NULL, 'APOPTOSIS FACILITATOR BCL-2-LIKE PROTEIN 14', NULL, NULL, 35636, 15),
(96879, NULL, 'PTHR24381:SF115', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 41-RELATED', NULL, NULL, NULL, 15),
(96880, NULL, 'PTHR47988:SF11', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE 1', NULL, NULL, NULL, 15),
(96881, NULL, 'PTHR15143:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96882, NULL, 'PTHR45873:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE ETA', NULL, NULL, NULL, 15),
(96883, NULL, 'PTHR32285:SF259', NULL, NULL, NULL, NULL, 'BNAANNG09300D PROTEIN', NULL, NULL, NULL, 15),
(96884, NULL, 'PTHR35631:SF3', NULL, NULL, NULL, NULL, 'OS08G0114150 PROTEIN', NULL, NULL, NULL, 15),
(96885, NULL, 'PTHR45878:SF33', NULL, NULL, NULL, NULL, 'OS05G0444200 PROTEIN', NULL, NULL, NULL, 15),
(96886, NULL, 'PTHR18860:SF21', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(96887, NULL, 'PTHR23048:SF15', NULL, NULL, NULL, NULL, 'CALMODULIN RELATED GENES', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96888, NULL, 'PTHR11439:SF363', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', NULL, NULL, NULL, 15),
(96889, NULL, 'PTHR24637:SF248', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(96890, NULL, 'PTHR12391:SF7', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(96891, NULL, 'PTHR10527:SF1', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(96892, NULL, 'PTHR23349:SF57', NULL, NULL, NULL, NULL, 'FACTOR IN THE GERMLINE ALPHA', NULL, NULL, NULL, 15),
(96893, NULL, 'PTHR20951', NULL, NULL, NULL, NULL, 'C13ORF1 PROTEIN-RELATED', NULL, NULL, 33831, 15),
(96894, NULL, 'PTHR48049:SF11', NULL, NULL, NULL, NULL, 'OS09G0119600 PROTEIN', NULL, NULL, NULL, 15),
(96895, NULL, 'PTHR31533:SF25', NULL, NULL, NULL, NULL, 'BNAA01G24970D PROTEIN', NULL, NULL, NULL, 15),
(96896, NULL, 'PTHR11709:SF398', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(96897, NULL, 'PTHR27009:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96898, NULL, 'PTHR46254:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96899, NULL, 'PTHR10108:SF1137', NULL, NULL, NULL, NULL, 'OS12G0178250 PROTEIN', NULL, NULL, NULL, 15),
(96900, NULL, 'PTHR32468:SF143', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE', NULL, NULL, NULL, 15),
(96901, NULL, 'PTHR13780:SF36', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT GAMMA-1', NULL, NULL, NULL, 15),
(96902, NULL, 'PTHR33463:SF102', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN RFL1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(96903, NULL, 'PTHR30447:SF0', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE 1 CLASS 2-RELATED', NULL, NULL, NULL, 15),
(96904, NULL, 'PTHR30154', NULL, NULL, NULL, NULL, 'LEUCINE-RESPONSIVE REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(96905, NULL, 'PTHR19422:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96906, NULL, 'PTHR45560:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96907, NULL, 'PTHR23167:SF65', NULL, NULL, NULL, NULL, 'EH DOMAIN-BINDING PROTEIN 1-LIKE 1A', NULL, NULL, NULL, 15),
(96908, NULL, 'PTHR21223:SF2', NULL, NULL, NULL, NULL, 'GH04442P', NULL, NULL, NULL, 15),
(96909, NULL, 'PTHR10209:SF434', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 11-RELATED', NULL, NULL, NULL, 15),
(96910, NULL, 'PTHR31500:SF71', NULL, NULL, NULL, NULL, 'BNAANNG26620D PROTEIN', NULL, NULL, NULL, 15),
(96911, NULL, 'PTHR40638:SF1', NULL, NULL, NULL, NULL, 'UPF0591 MEMBRANE PROTEIN C15E1.02C', NULL, NULL, NULL, 15),
(96912, NULL, 'PTHR20916:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96913, NULL, 'PTHR46443:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96914, NULL, 'PTHR31969:SF45', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96915, NULL, 'PTHR45665:SF27', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP5-1-RELATED', NULL, NULL, NULL, 15),
(96916, NULL, 'PTHR31190:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96917, NULL, 'PTHR10514:SF40', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME', NULL, NULL, NULL, 15),
(96918, NULL, 'PTHR33227:SF28', NULL, NULL, NULL, NULL, 'F12F1.21 PROTEIN', NULL, NULL, NULL, 15),
(96919, NULL, 'PTHR20437:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96920, NULL, 'PTHR22891:SF15', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN ERGO-1', NULL, NULL, NULL, 15),
(96921, NULL, 'PTHR12136:SF64', NULL, NULL, NULL, NULL, 'OS02G0102800 PROTEIN', NULL, NULL, NULL, 15),
(96922, NULL, 'PTHR46633:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC/MYB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96923, NULL, 'PTHR19375:SF355', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN (HSP70/DNAK)-RELATED', NULL, NULL, NULL, 15),
(96924, NULL, 'PTHR12125:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 50', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96925, NULL, 'PTHR48056:SF40', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE TYROSINE-PROTEIN KINASE PXC3', NULL, NULL, NULL, 15),
(96926, NULL, 'PTHR34706', NULL, NULL, NULL, NULL, 'SLR1338 PROTEIN', NULL, NULL, NULL, 15),
(96927, NULL, 'PTHR33272:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG04676', NULL, NULL, NULL, 15),
(96928, NULL, 'PTHR10766:SF129', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(96929, NULL, 'PTHR46008:SF33', NULL, NULL, NULL, NULL, 'BNACNNG38660D PROTEIN', NULL, NULL, NULL, 15),
(96930, NULL, 'PTHR22811:SF75', NULL, NULL, NULL, NULL, 'TIR DOMAIN-CONTAINING ADAPTER MOLECULE 2', NULL, NULL, NULL, 15),
(96931, NULL, 'PTHR43788:SF10', NULL, NULL, NULL, NULL, 'HELICASE WITH ZINC FINGER 2, TRANSCRIPTIONAL COACTIVATOR-RELATED', NULL, NULL, NULL, 15),
(96932, NULL, 'PTHR24027:SF80', NULL, NULL, NULL, NULL, 'CADHERIN-13', NULL, NULL, 33388, 15),
(96933, NULL, 'PTHR27009:SF258', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(96934, NULL, 'PTHR48049:SF51', NULL, NULL, NULL, NULL, 'FLAVONOL 3-O-GLUCOSYLTRANSFERASE UGT71C4', NULL, NULL, NULL, 15),
(96935, NULL, 'PTHR23302:SF40', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE, ISOFORM C', NULL, NULL, NULL, 15),
(96936, NULL, 'PTHR34591:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96937, NULL, 'PTHR43650:SF22', NULL, NULL, NULL, NULL, 'PHOSPHOFRUCTOKINASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96938, NULL, 'PTHR11034:SF51', NULL, NULL, NULL, NULL, 'PROTEIN NDL2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(96939, NULL, 'PTHR31989:SF100', NULL, NULL, NULL, NULL, 'OS02G0745250 PROTEIN', NULL, NULL, NULL, 15),
(96940, NULL, 'PTHR24286:SF197', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(96941, NULL, 'PTHR45707:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96942, NULL, 'PTHR31213:SF134', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL4-LIKE', NULL, NULL, NULL, 15),
(96943, NULL, 'PTHR43750:SF3', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE TUAD', NULL, NULL, NULL, 15),
(96944, NULL, 'PTHR36890', NULL, NULL, NULL, NULL, 'PROTEIN CYCLOPS', NULL, NULL, 29686, 15),
(96945, NULL, 'PTHR23024:SF358', NULL, NULL, NULL, NULL, 'OS09G0460300 PROTEIN', NULL, NULL, NULL, 15),
(96946, NULL, 'PTHR34281:SF7', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 3-LIKE', NULL, NULL, NULL, 15),
(96947, NULL, 'PTHR12630:SF23', NULL, NULL, NULL, NULL, 'BNACNNG14010D PROTEIN', NULL, NULL, NULL, 15),
(96948, NULL, 'PTHR43360', NULL, NULL, NULL, NULL, 'CARBON DIOXIDE CONCENTRATING MECHANISM PROTEIN CCMM', NULL, NULL, NULL, 15),
(96949, NULL, 'PTHR36483:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96950, NULL, 'PTHR11515:SF14', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONE BETA-5', NULL, NULL, NULL, 15),
(96951, NULL, 'PTHR43553', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORTER', NULL, NULL, NULL, 15),
(96952, NULL, 'PTHR42693:SF18', NULL, NULL, NULL, NULL, 'SULFATASE ASLA-RELATED', NULL, NULL, NULL, 15),
(96953, NULL, 'PTHR24377:SF336', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 74', NULL, NULL, NULL, 15),
(96954, NULL, 'PTHR48042:SF21', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 11-LIKE', NULL, NULL, NULL, 15),
(96955, NULL, 'PTHR12264:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96956, NULL, 'PTHR31268:SF26', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(96957, NULL, 'PTHR10309', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE', NULL, NULL, 19850, 15),
(96958, NULL, 'PTHR33142:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96959, NULL, 'PTHR31218:SF250', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(96960, NULL, 'PTHR31137:SF28', NULL, NULL, NULL, NULL, 'PROTEIN PSII', NULL, NULL, NULL, 15),
(96961, NULL, 'PTHR43388', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HOXX', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96962, NULL, 'PTHR48207:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE--HYDROXYMETHYLGLUTARATE COA-TRANSFERASE', NULL, NULL, NULL, 15),
(96963, NULL, 'PTHR24068:SF70', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 E1', NULL, NULL, NULL, 15),
(96964, NULL, 'PTHR31092', NULL, NULL, NULL, NULL, 'SORORIN', NULL, NULL, 15947, 15),
(96965, NULL, 'PTHR10288:SF148', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING PROTEIN HEN4-LIKE', NULL, NULL, NULL, 15),
(96966, NULL, 'PTHR11559:SF353', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(96967, NULL, 'PTHR22945:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG05163', NULL, NULL, NULL, 15),
(96968, NULL, 'PTHR11654:SF21', NULL, NULL, NULL, NULL, 'OS12G0231000 PROTEIN', NULL, NULL, NULL, 15),
(96969, NULL, 'PTHR31896', NULL, NULL, NULL, NULL, 'FAMILY REGULATORY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14730)-RELATED', NULL, NULL, NULL, 15),
(96970, NULL, 'PTHR11501:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96971, NULL, 'PTHR10682:SF40', NULL, NULL, NULL, NULL, 'NUCLEAR POLY(A) POLYMERASE 4', NULL, NULL, NULL, 15),
(96972, NULL, 'PTHR13230:SF5', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 5', NULL, NULL, NULL, 15),
(96973, NULL, 'PTHR23333:SF26', NULL, NULL, NULL, NULL, 'PHOSPHATASE-LIKE PROTEIN MTC923', NULL, NULL, NULL, 15),
(96974, NULL, 'PTHR10516:SF410', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(96975, NULL, 'PTHR47757:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(96976, NULL, 'PTHR12419:SF61', NULL, NULL, NULL, NULL, 'AUXIN-REGULATED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(96977, NULL, 'PTHR42160', NULL, NULL, NULL, NULL, 'URACIL-DNA GLYCOSYLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(96978, NULL, 'PTHR23056:SF96', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(96979, NULL, 'PTHR33137:SF30', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15A-LIKE', NULL, NULL, NULL, 15),
(96980, NULL, 'PTHR27007:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96981, NULL, 'PTHR11802:SF391', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(96982, NULL, 'PTHR47248:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG06772', NULL, NULL, NULL, 15),
(96983, NULL, 'PTHR14950:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96984, NULL, 'PTHR37805', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96985, NULL, 'PTHR24296:SF95', NULL, NULL, NULL, NULL, 'P450 FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(96986, NULL, 'PTHR10438:SF439', NULL, NULL, NULL, NULL, 'THIOREDOXIN O2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(96987, NULL, 'PTHR23501:SF170', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN 3', NULL, NULL, NULL, 15),
(96988, NULL, 'PTHR10285:SF69', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE', NULL, NULL, NULL, 15),
(96989, NULL, 'PTHR35325:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(96990, NULL, 'PTHR19331:SF329', NULL, NULL, NULL, NULL, 'SOLUBLE SCAVENGER RECEPTOR CYSTEINE-RICH DOMAIN-CONTAINING PROTEIN SSC5D', NULL, NULL, NULL, 15),
(96991, NULL, 'PTHR24281:SF130', NULL, NULL, NULL, NULL, 'CYTOCHROME 77A2', NULL, NULL, NULL, 15),
(96992, NULL, 'PTHR23076:SF37', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(96993, NULL, 'PTHR45687:SF69', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-5-RELATED', NULL, NULL, NULL, 15),
(96994, NULL, 'PTHR31680:SF13', NULL, NULL, NULL, NULL, 'DUF3741-ASSOCIATED SEQUENCE MOTIF PROTEIN-RELATED', NULL, NULL, NULL, 15),
(96995, NULL, 'PTHR44943:SF8', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING PROTEIN MJ0798', NULL, NULL, NULL, 15),
(96996, NULL, 'PTHR19271:SF10', NULL, NULL, NULL, NULL, 'MENAQUINOL-CYTOCHROME C REDUCTASE CYTOCHROME B/C SUBUNIT', NULL, NULL, NULL, 15),
(96997, NULL, 'PTHR31793:SF33', NULL, NULL, NULL, NULL, 'GLL1961 PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(96998, NULL, 'PTHR22603:SF36', NULL, NULL, NULL, NULL, 'CHOLINE KINASE ALPHA', NULL, NULL, NULL, 15),
(96999, NULL, 'PTHR39650', NULL, NULL, NULL, NULL, 'CDP-ARCHAEOL SYNTHASE', NULL, NULL, 22325, 15),
(97000, NULL, 'PTHR23336:SF63', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 7-LIKE', NULL, NULL, NULL, 15),
(97001, NULL, 'PTHR33130:SF50', NULL, NULL, NULL, NULL, 'BNAA07G36930D PROTEIN', NULL, NULL, NULL, 15),
(97002, NULL, 'PTHR22903', NULL, NULL, NULL, NULL, 'PLEKHH PROTEIN', NULL, NULL, NULL, 15),
(97003, NULL, 'PTHR10694:SF50', NULL, NULL, NULL, NULL, 'JMJC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(97004, NULL, 'PTHR45763:SF8', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(97005, NULL, 'PTHR23220:SF22', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-1', NULL, NULL, NULL, 15),
(97006, NULL, 'PTHR43281:SF20', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE 10, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(97007, NULL, 'PTHR45660:SF4', NULL, NULL, NULL, NULL, 'OS01G0811300 PROTEIN', NULL, NULL, NULL, 15),
(97008, NULL, 'PTHR33356:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97009, NULL, 'PTHR30009:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE IIC COMPONENT GLVC', NULL, NULL, NULL, 15),
(97010, NULL, 'PTHR24276:SF78', NULL, NULL, NULL, NULL, 'AT20289P-RELATED', NULL, NULL, NULL, 15),
(97011, NULL, 'PTHR10412', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE GLUCOSIDASE', NULL, NULL, 325, 15),
(97012, NULL, 'PTHR24023:SF918', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(IX) CHAIN', NULL, NULL, NULL, 15),
(97013, NULL, 'PTHR32009:SF53', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(97014, NULL, 'PTHR11746:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97015, NULL, 'PTHR30146:SF125', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR CYTR', NULL, NULL, NULL, 15),
(97016, NULL, 'PTHR31179:SF6', NULL, NULL, NULL, NULL, 'RAB GTPASE-BINDING EFFECTOR PROTEIN 2', NULL, NULL, 29040, 15),
(97017, NULL, 'PTHR21737:SF1', NULL, NULL, NULL, NULL, 'MARVEL DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(97018, NULL, 'PTHR46153:SF20', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(97019, NULL, 'PTHR31867:SF120', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(97020, NULL, 'PTHR33320:SF4', NULL, NULL, NULL, NULL, 'OS08G0230600 PROTEIN', NULL, NULL, NULL, 15),
(97021, NULL, 'PTHR35905:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(97022, NULL, 'PTHR23121:SF11', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING 4B5', NULL, NULL, NULL, 15),
(97023, NULL, 'PTHR43605:SF5', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE ACSM1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(97024, NULL, 'PTHR47140:SF1', NULL, NULL, NULL, NULL, 'MAP3K7 C-TERMINAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97025, NULL, 'PTHR18860:SF116', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN D ISOFORM X1', NULL, NULL, NULL, 15),
(97026, NULL, 'PTHR34468:SF2', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED FUTSCH-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97027, NULL, 'PTHR34921:SF1', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN REC114', NULL, NULL, NULL, 15),
(97028, NULL, 'PTHR18939:SF4', NULL, NULL, NULL, NULL, 'RIBOSOME-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(97029, NULL, 'PTHR23171:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 68', NULL, NULL, 22126, 15),
(97030, NULL, 'PTHR11247:SF1', NULL, NULL, NULL, NULL, 'DOLICHYLDIPHOSPHATASE 1', NULL, NULL, 29445, 15),
(97031, NULL, 'PTHR10366:SF701', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97032, NULL, 'PTHR34563', NULL, NULL, NULL, NULL, 'BNACNNG33880D PROTEIN', NULL, NULL, NULL, 15),
(97033, NULL, 'PTHR37412:SF2', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(97034, NULL, 'PTHR24235:SF19', NULL, NULL, NULL, NULL, 'PROLACTIN RELEASING PEPTIDE RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97035, NULL, 'PTHR13887:SF44', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(97036, NULL, 'PTHR11453:SF82', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 1', NULL, NULL, NULL, 15),
(97037, NULL, 'PTHR33184:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97038, NULL, 'PTHR24416:SF557', NULL, NULL, NULL, NULL, 'AGAP012828-PA', NULL, NULL, NULL, 15),
(97039, NULL, 'PTHR15999', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 38090, 15),
(97040, NULL, 'PTHR11122:SF34', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(97041, NULL, 'PTHR26451:SF365', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(97042, NULL, 'PTHR16064:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97043, NULL, 'PTHR31448:SF32', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(97044, NULL, 'PTHR24031:SF301', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX18', NULL, NULL, NULL, 15),
(97045, NULL, 'PTHR11675:SF116', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINYLTRANSFERASE 8-RELATED', NULL, NULL, NULL, 15),
(97046, NULL, 'PTHR24204:SF8', NULL, NULL, NULL, NULL, 'TAILUP, ISOFORM A', NULL, NULL, NULL, 15),
(97047, NULL, 'PTHR33463:SF73', NULL, NULL, NULL, NULL, 'AND NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(97048, NULL, 'PTHR47293:SF20', NULL, NULL, NULL, NULL, 'PYK10-BINDING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(97049, NULL, 'PTHR12702:SF1', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC15B', NULL, NULL, NULL, 15),
(97050, NULL, 'PTHR10503:SF24', NULL, NULL, NULL, NULL, 'CHROMO DOMAIN-CONTAINING PROTEIN CEC-4', NULL, NULL, NULL, 15),
(97051, NULL, 'PTHR46584', NULL, NULL, NULL, NULL, 'HMG DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 39329, 15),
(97052, NULL, 'PTHR48034:SF20', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN, X-LINKED-LIKE-1', NULL, NULL, NULL, 15),
(97053, NULL, 'PTHR33047:SF30', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(97054, NULL, 'PTHR45618:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97055, NULL, 'PTHR48104:SF20', NULL, NULL, NULL, NULL, 'METACASPASE-6', NULL, NULL, NULL, 15),
(97056, NULL, 'PTHR12316:SF17', NULL, NULL, NULL, NULL, 'NINJURIN C, ISOFORM D', NULL, NULL, NULL, 15),
(97057, NULL, 'PTHR19422:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97058, NULL, 'PTHR45648:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97059, NULL, 'PTHR21190', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(97060, NULL, 'PTHR11950:SF40', NULL, NULL, NULL, NULL, 'RUNT-RELATED TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(97061, NULL, 'PTHR11437:SF4', NULL, NULL, NULL, NULL, 'RIBONUCLEASE K6', NULL, NULL, NULL, 15),
(97062, NULL, 'PTHR11475:SF38', NULL, NULL, NULL, NULL, 'PEROXIDASIN-LIKE PROTEIN', NULL, NULL, 22928, 15),
(97063, NULL, 'PTHR45613:SF332', NULL, NULL, NULL, NULL, 'OS02G0110400 PROTEIN', NULL, NULL, NULL, 15),
(97064, NULL, 'PTHR35015:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBR-OSM-7', NULL, NULL, NULL, 15),
(97065, NULL, 'PTHR45862', NULL, NULL, NULL, NULL, 'PROTEIN SGT1 HOMOLOG', NULL, NULL, 38700, 15),
(97066, NULL, 'PTHR14002:SF22', NULL, NULL, NULL, NULL, 'UROMODULIN-LIKE 1', NULL, NULL, NULL, 15),
(97067, NULL, 'PTHR22762:SF131', NULL, NULL, NULL, NULL, 'LYSOSOMAL ALPHA-GLUCOSIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97068, NULL, 'PTHR31276:SF12', NULL, NULL, NULL, NULL, 'BNAANNG33630D PROTEIN', NULL, NULL, NULL, 15),
(97069, NULL, 'PTHR14155', NULL, NULL, NULL, NULL, 'RING FINGER DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(97070, NULL, 'PTHR48044:SF43', NULL, NULL, NULL, NULL, 'CYANIDIN-3-O-GLUCOSIDE 2-O-GLUCURONOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(97071, NULL, 'PTHR45648:SF108', NULL, NULL, NULL, NULL, 'BNAA05G33110D PROTEIN', NULL, NULL, NULL, 15),
(97072, NULL, 'PTHR47935', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MRL1, CHLOROPLASTIC', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97073, NULL, 'PTHR43715:SF7', NULL, NULL, NULL, NULL, 'BNAC02G45130D PROTEIN', NULL, NULL, NULL, 15),
(97074, NULL, 'PTHR31541:SF45', NULL, NULL, NULL, NULL, 'BNAA10G03950D PROTEIN', NULL, NULL, NULL, 15),
(97075, NULL, 'PTHR11241:SF12', NULL, NULL, NULL, NULL, 'DEOXYURIDINE 5''-TRIPHOSPHATE NUCLEOTIDOHYDROLASE', NULL, NULL, NULL, 15),
(97076, NULL, 'PTHR15431:SF9', NULL, NULL, NULL, NULL, 'FGFR1 ONCOGENE PARTNER', NULL, NULL, NULL, 15),
(97077, NULL, 'PTHR47913', NULL, NULL, NULL, NULL, 'OS01G0167750 PROTEIN', NULL, NULL, 39244, 15),
(97078, NULL, 'PTHR30354:SF8', NULL, NULL, NULL, NULL, 'LOW-AFFINITY GLUCONATE TRANSPORTER', NULL, NULL, NULL, 15),
(97079, NULL, 'PTHR19961:SF58', NULL, NULL, NULL, NULL, 'ZGC:100997', NULL, NULL, NULL, 15),
(97080, NULL, 'PTHR11269:SF16', NULL, NULL, NULL, NULL, 'PERIOD CIRCADIAN PROTEIN', NULL, NULL, NULL, 15),
(97081, NULL, 'PTHR18860:SF125', NULL, NULL, NULL, NULL, '14-3-3 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97082, NULL, 'PTHR10529:SF353', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT MU-1-RELATED', NULL, NULL, NULL, 15),
(97083, NULL, 'PTHR23050', NULL, NULL, NULL, NULL, 'CALCIUM BINDING PROTEIN', NULL, NULL, NULL, 15),
(97084, NULL, 'PTHR32387', NULL, NULL, NULL, NULL, 'WU:FJ29H11', NULL, NULL, NULL, 15),
(97085, NULL, 'PTHR22591', NULL, NULL, NULL, NULL, 'XIN', NULL, NULL, 27985, 15),
(97086, NULL, 'PTHR31011', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29031, 15),
(97087, NULL, 'PTHR24015:SF1900', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(97088, NULL, 'PTHR48048:SF29', NULL, NULL, NULL, NULL, 'OS01G0865400 PROTEIN', NULL, NULL, NULL, 15),
(97089, NULL, 'PTHR12242:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97090, NULL, 'PTHR24064:SF535', NULL, NULL, NULL, NULL, 'BNAA06G36760D PROTEIN', NULL, NULL, NULL, 15),
(97091, NULL, 'PTHR31656:SF50', NULL, NULL, NULL, NULL, 'BNAA10G13310D PROTEIN', NULL, NULL, NULL, 15),
(97092, NULL, 'PTHR31174:SF17', NULL, NULL, NULL, NULL, 'OS03G0747400 PROTEIN', NULL, NULL, NULL, 15),
(97093, NULL, 'PTHR24377:SF425', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 483', NULL, NULL, NULL, 15),
(97094, NULL, 'PTHR12040', NULL, NULL, NULL, NULL, 'ANTI-SILENCING PROTEIN 1', NULL, NULL, 3859, 15),
(97095, NULL, 'PTHR10634:SF118', NULL, NULL, NULL, NULL, 'ZINC FINGER AN1 DOMAIN STRESS-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(97096, NULL, 'PTHR32525:SF0', NULL, NULL, NULL, NULL, 'MODIFIER OF APL-1 ACTIVITY-RELATED', NULL, NULL, NULL, 15),
(97097, NULL, 'PTHR12155:SF29', NULL, NULL, NULL, NULL, 'SCHLAFEN-LIKE PROTEIN 1', NULL, NULL, 25619, 15),
(97098, NULL, 'PTHR23510:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG23285', NULL, NULL, NULL, 15),
(97099, NULL, 'PTHR43400:SF1', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE', NULL, NULL, NULL, 15),
(97100, NULL, 'PTHR31729:SF9', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-1', NULL, NULL, NULL, 15),
(97101, NULL, 'PTHR33133:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97102, NULL, 'PTHR21654:SF94', NULL, NULL, NULL, NULL, 'BNAA02G17830D PROTEIN', NULL, NULL, NULL, 15),
(97103, NULL, 'PTHR11590:SF42', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR XIII A CHAIN', NULL, NULL, 19520, 15),
(97104, NULL, 'PTHR46728', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 4', NULL, NULL, NULL, 15),
(97105, NULL, 'PTHR35167:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97106, NULL, 'PTHR11588:SF317', NULL, NULL, NULL, NULL, 'TUBULIN EPSILON CHAIN', NULL, NULL, 785, 15),
(97107, NULL, 'PTHR33095:SF59', NULL, NULL, NULL, NULL, 'STRESS RESPONSE NST1-LIKE PROTEIN (DUF1645)', NULL, NULL, NULL, 15),
(97108, NULL, 'PTHR10795:SF581', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.8', NULL, NULL, NULL, 15),
(97109, NULL, 'PTHR23416:SF54', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, CYSE/LACA/LPXA/NODL FAMILY (AFU_ORTHOLOGUE AFUA_2G08430)', NULL, NULL, NULL, 15),
(97110, NULL, 'PTHR42979', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDROGENASE', NULL, NULL, 7139, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97111, NULL, 'PTHR10644:SF6', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR (CPSF) A SUBUNIT PROTEIN', NULL, NULL, NULL, 15),
(97112, NULL, 'PTHR34952:SF2', NULL, NULL, NULL, NULL, 'OS05G0113500 PROTEIN', NULL, NULL, NULL, 15),
(97113, NULL, 'PTHR13533:SF38', NULL, NULL, NULL, NULL, 'BNAA02G34010D PROTEIN', NULL, NULL, NULL, 15),
(97114, NULL, 'PTHR22814:SF317', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 28-LIKE', NULL, NULL, NULL, 15),
(97115, NULL, 'PTHR47829:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12880)-RELATED', NULL, NULL, NULL, 15),
(97116, NULL, 'PTHR43205:SF35', NULL, NULL, NULL, NULL, 'ZINC-BINDING DEHYDROGENASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(97117, NULL, 'PTHR34040', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLIQ', NULL, NULL, 5342, 15),
(97118, NULL, 'PTHR12388:SF2', NULL, NULL, NULL, NULL, 'MAGMAS-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97119, NULL, 'PTHR21584', NULL, NULL, NULL, NULL, 'DIFFERENTIAL DISPLAY AND ACTIVATED BY P53  DDA3 /G2 S PHASE EXPRESSED 1', NULL, NULL, 27316, 15),
(97120, NULL, 'PTHR47984:SF24', NULL, NULL, NULL, NULL, 'OS10G0533150 PROTEIN', NULL, NULL, NULL, 15),
(97121, NULL, 'PTHR36910:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 6755, 15),
(97122, NULL, 'PTHR46890:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97123, NULL, 'PTHR30582:SF2', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE YCIB-RELATED', NULL, NULL, NULL, 15),
(97124, NULL, 'PTHR32021:SF43', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97125, NULL, 'PTHR48017:SF56', NULL, NULL, NULL, NULL, 'VACUOLAR AMINO ACID TRANSPORTER 1-LIKE', NULL, NULL, NULL, 15),
(97126, NULL, 'PTHR45969:SF32', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(97127, NULL, 'PTHR37313:SF1', NULL, NULL, NULL, NULL, 'UPF0749 PROTEIN RV1823', NULL, NULL, NULL, 15),
(97128, NULL, 'PTHR31561:SF107', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 3', NULL, NULL, NULL, 15),
(97129, NULL, 'PTHR33178', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37353, 15),
(97130, NULL, 'PTHR31384:SF96', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 1', NULL, NULL, NULL, 15),
(97131, NULL, 'PTHR31389:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG06623', NULL, NULL, NULL, 15),
(97132, NULL, 'PTHR12838:SF1', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 11', NULL, NULL, NULL, 15),
(97133, NULL, 'PTHR13156:SF1', NULL, NULL, NULL, NULL, 'BNAC04G49950D PROTEIN', NULL, NULL, NULL, 15),
(97134, NULL, 'PTHR22951:SF11', NULL, NULL, NULL, NULL, 'SI:CH211-200P22.4', NULL, NULL, NULL, 15),
(97135, NULL, 'PTHR39661', NULL, NULL, NULL, NULL, 'UPF0310 PROTEIN MJECL36', NULL, NULL, NULL, 15),
(97136, NULL, 'PTHR11958:SF100', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(97137, NULL, 'PTHR46665:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH041-RELATED', NULL, NULL, NULL, 15),
(97138, NULL, 'PTHR39479:SF2', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97139, NULL, 'PTHR47854', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 2 (SURF2)', NULL, NULL, NULL, 15),
(97140, NULL, 'PTHR15551', NULL, NULL, NULL, NULL, 'LIM DOMAIN ONLY 7', NULL, NULL, NULL, 15),
(97141, NULL, 'PTHR12371:SF11', NULL, NULL, NULL, NULL, 'TRANSLOCATING CHAIN-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(97142, NULL, 'PTHR11537:SF260', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, SHAB-RELATED SUBFAMILY, MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(97143, NULL, 'PTHR19444:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 36586, 15),
(97144, NULL, 'PTHR33508:SF2', NULL, NULL, NULL, NULL, 'UPF0056 INNER MEMBRANE PROTEIN MARC', NULL, NULL, NULL, 15),
(97145, NULL, 'PTHR10146:SF14', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE HOMEOSTASIS PROTEIN', NULL, NULL, NULL, 15),
(97146, NULL, 'PTHR23338:SF36', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D3', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97147, NULL, 'PTHR12345:SF21', NULL, NULL, NULL, NULL, 'AMYLOID BETA (A4) PRECURSOR PROTEIN-BINDING, FAMILY A, MEMBER 1B', NULL, NULL, NULL, 15),
(97148, NULL, 'PTHR31429:SF89', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY76-LIKE', NULL, NULL, NULL, 15),
(97149, NULL, 'PTHR38644', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(97150, NULL, 'PTHR10009:SF6', NULL, NULL, NULL, NULL, 'FI16876P1', NULL, NULL, NULL, 15),
(97151, NULL, 'PTHR11203:SF37', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 11', NULL, NULL, NULL, 15),
(97152, NULL, 'PTHR13323:SF5', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR RECEIVER', NULL, NULL, NULL, 15),
(97153, NULL, 'PTHR11453', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN', NULL, NULL, 387, 15),
(97154, NULL, 'PTHR10639', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', NULL, NULL, 3479, 15),
(97155, NULL, 'PTHR46463:SF41', NULL, NULL, NULL, NULL, 'BNAA02G25660D PROTEIN', NULL, NULL, NULL, 15),
(97156, NULL, 'PTHR22802:SF245', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER G', NULL, NULL, NULL, 15),
(97157, NULL, 'PTHR11850:SF301', NULL, NULL, NULL, NULL, 'AHPA-RELATED', NULL, NULL, NULL, 15),
(97158, NULL, 'PTHR24346:SF60', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(97159, NULL, 'PTHR10527:SF74', NULL, NULL, NULL, NULL, 'BNAA09G08910D PROTEIN', NULL, NULL, NULL, 15),
(97160, NULL, 'PTHR44858:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 6', NULL, NULL, NULL, 15),
(97161, NULL, 'PTHR21523:SF5', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', NULL, NULL, NULL, 15),
(97162, NULL, 'PTHR48044:SF25', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(97163, NULL, 'PTHR11575:SF41', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01160)-RELATED', NULL, NULL, NULL, 15),
(97164, NULL, 'PTHR31645:SF71', NULL, NULL, NULL, NULL, 'BNACNNG45400D PROTEIN', NULL, NULL, NULL, 15),
(97165, NULL, 'PTHR24320:SF209', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 12-LIKE', NULL, NULL, NULL, 15),
(97166, NULL, 'PTHR31909:SF3', NULL, NULL, NULL, NULL, 'RCG40914', NULL, NULL, NULL, 15),
(97167, NULL, 'PTHR10809:SF121', NULL, NULL, NULL, NULL, 'BNAC04G22100D PROTEIN', NULL, NULL, NULL, 15),
(97168, NULL, 'PTHR45615:SF12', NULL, NULL, NULL, NULL, 'MYOSIN-4', NULL, NULL, NULL, 15),
(97169, NULL, 'PTHR23084:SF236', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD 10 HOMOLOG B-LIKE', NULL, NULL, NULL, 15),
(97170, NULL, 'PTHR13935:SF126', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE HOMOLOG 1A', NULL, NULL, NULL, 15),
(97171, NULL, 'PTHR28092', NULL, NULL, NULL, NULL, 'FACTOR-INDUCED GENE 1 PROTEIN', NULL, NULL, 32199, 15),
(97172, NULL, 'PTHR31150:SF33', NULL, NULL, NULL, NULL, 'BNAC01G00230D PROTEIN', NULL, NULL, NULL, 15),
(97173, NULL, 'PTHR12170:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN TRANSFERASE MAEA', NULL, NULL, 22434, 15),
(97174, NULL, 'PTHR10225:SF2', NULL, NULL, NULL, NULL, 'LYMPHATIC VESSEL ENDOTHELIAL HYALURONIC ACID RECEPTOR 1', NULL, NULL, NULL, 15),
(97175, NULL, 'PTHR31037:SF1', NULL, NULL, NULL, NULL, 'RELT-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(97176, NULL, 'PTHR10972:SF15', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(97177, NULL, 'PTHR31232:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97178, NULL, 'PTHR34217', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT CARBOXYPEPTIDASE', NULL, NULL, 51, 15),
(97179, NULL, 'PTHR24020:SF35', NULL, NULL, NULL, NULL, 'MATRILIN-2', NULL, NULL, 22316, 15),
(97180, NULL, 'PTHR44259:SF31', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN (DUF295)', NULL, NULL, NULL, 15),
(97181, NULL, 'PTHR11902', NULL, NULL, NULL, NULL, 'ENOLASE', NULL, NULL, 3112, 15),
(97182, NULL, 'PTHR47274:SF15', NULL, NULL, NULL, NULL, 'BNAA05G13360D PROTEIN', NULL, NULL, NULL, 15),
(97183, NULL, 'PTHR11516:SF27', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA, TESTIS-SPECIFIC FORM, MITOCHONDRIAL', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97184, NULL, 'PTHR24128:SF66', NULL, NULL, NULL, NULL, 'BNAC08G42740D PROTEIN', NULL, NULL, NULL, 15),
(97185, NULL, 'PTHR24177:SF315', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97186, NULL, 'PTHR33941', NULL, NULL, NULL, NULL, 'PROPANEDIOL UTILIZATION PROTEIN PDUA', NULL, NULL, NULL, 15),
(97187, NULL, 'PTHR13028:SF2', NULL, NULL, NULL, NULL, 'BNAA01G24550D PROTEIN', NULL, NULL, NULL, 15),
(97188, NULL, 'PTHR43540:SF2', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE HYDROLASE', NULL, NULL, NULL, 15),
(97189, NULL, 'PTHR45697:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(97190, NULL, 'PTHR36155', NULL, NULL, NULL, NULL, 'BLL5354 PROTEIN', NULL, NULL, 106, 15),
(97191, NULL, 'PTHR10578:SF75', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_4G07050)', NULL, NULL, NULL, 15),
(97192, NULL, 'PTHR10795:SF712', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3.6 ISOFORM X2', NULL, NULL, NULL, 15),
(97193, NULL, 'PTHR34491:SF27', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(97194, NULL, 'PTHR10501:SF46', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN A', NULL, NULL, NULL, 15),
(97195, NULL, 'PTHR23430:SF257', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(97196, NULL, 'PTHR33206', NULL, NULL, NULL, NULL, 'PROTEIN CBG10425', NULL, NULL, NULL, 15),
(97197, NULL, 'PTHR31356:SF36', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 3', NULL, NULL, NULL, 15),
(97198, NULL, 'PTHR31072:SF166', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP4', NULL, NULL, NULL, 15),
(97199, NULL, 'PTHR46013:SF2', NULL, NULL, NULL, NULL, 'VASCULAR CELL ADHESION MOLECULE 1', NULL, NULL, NULL, 15),
(97200, NULL, 'PTHR10073:SF44', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MLH2', NULL, NULL, NULL, 15),
(97201, NULL, 'PTHR12450:SF24', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 20 MEMBER C,-LIKE', NULL, NULL, NULL, 15),
(97202, NULL, 'PTHR43364:SF12', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT OXIDOREDUCTASE DOMAIN', NULL, NULL, NULL, 15),
(97203, NULL, 'PTHR31310:SF7', NULL, NULL, NULL, NULL, 'PA-PHOSPHATASE RELATED-FAMILY PROTEIN DDB_G0268928', NULL, NULL, NULL, 15),
(97204, NULL, 'PTHR24103:SF605', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97205, NULL, 'PTHR10257:SF62', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(97206, NULL, 'PTHR35577', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH, ACIDIC INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97207, NULL, 'PTHR38926:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97208, NULL, 'PTHR48018:SF148', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(97209, NULL, 'PTHR23146:SF3', NULL, NULL, NULL, NULL, 'BNAANNG06810D PROTEIN', NULL, NULL, NULL, 15),
(97210, NULL, 'PTHR22765:SF326', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97211, NULL, 'PTHR12863:SF11', NULL, NULL, NULL, NULL, 'DIHYDROCERAMIDE FATTY ACYL 2-HYDROXYLASE FAH2-LIKE', NULL, NULL, NULL, 15),
(97212, NULL, 'PTHR13301:SF181', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', NULL, NULL, NULL, 15),
(97213, NULL, 'PTHR35360', NULL, NULL, NULL, NULL, 'OS01G0324125 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97214, NULL, 'PTHR46662:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97215, NULL, 'PTHR24095:SF247', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', NULL, NULL, NULL, 15),
(97216, NULL, 'PTHR10177:SF231', NULL, NULL, NULL, NULL, 'CYCLIN-F3-2-RELATED', NULL, NULL, NULL, 15),
(97217, NULL, 'PTHR24377:SF662', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 792', NULL, NULL, NULL, 15),
(97218, NULL, 'PTHR24225:SF15', NULL, NULL, NULL, NULL, 'FMET-LEU-PHE RECEPTOR', NULL, NULL, 27343, 15),
(97219, NULL, 'PTHR30383:SF2', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97220, NULL, 'PTHR46506:SF43', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(97221, NULL, 'PTHR11606:SF7', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(97222, NULL, 'PTHR47944:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 84A1', NULL, NULL, NULL, 15),
(97223, NULL, 'PTHR46467', NULL, NULL, NULL, NULL, 'TETHER CONTAINING UBX DOMAIN FOR GLUT4', NULL, NULL, NULL, 15),
(97224, NULL, 'PTHR10566:SF120', NULL, NULL, NULL, NULL, 'PROTEIN ACTIVITY OF BC1 COMPLEX KINASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(97225, NULL, 'PTHR39117:SF3', NULL, NULL, NULL, NULL, 'BNAC06G14140D PROTEIN', NULL, NULL, NULL, 15),
(97226, NULL, 'PTHR44137:SF10', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97227, NULL, 'PTHR36321:SF3', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(97228, NULL, 'PTHR11599:SF176', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(97229, NULL, 'PTHR13533:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97230, NULL, 'PTHR11905:SF148', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 30', NULL, NULL, NULL, 15),
(97231, NULL, 'PTHR34376:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97232, NULL, 'PTHR15162:SF7', NULL, NULL, NULL, NULL, 'SUCCINYLGLUTAMATE DESUCCINYLASE', NULL, NULL, NULL, 15),
(97233, NULL, 'PTHR10334:SF453', NULL, NULL, NULL, NULL, 'VENOM ALLERGEN 5-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97234, NULL, 'PTHR22650:SF7', NULL, NULL, NULL, NULL, 'PLATELET GLYCOPROTEIN IB BETA CHAIN', NULL, NULL, NULL, 15),
(97235, NULL, 'PTHR19302:SF27', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT 4', NULL, NULL, NULL, 15),
(97236, NULL, 'PTHR22967:SF92', NULL, NULL, NULL, NULL, 'LD17053P', NULL, NULL, NULL, 15),
(97237, NULL, 'PTHR16517:SF84', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 9', NULL, NULL, NULL, 15),
(97238, NULL, 'PTHR11706:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97239, NULL, 'PTHR24253:SF65', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11F', NULL, NULL, NULL, 15),
(97240, NULL, 'PTHR27009:SF230', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(97241, NULL, 'PTHR34125:SF8', NULL, NULL, NULL, NULL, 'BNAC07G33630D PROTEIN', NULL, NULL, NULL, 15),
(97242, NULL, 'PTHR45974:SF108', NULL, NULL, NULL, NULL, 'OS05G0481100 PROTEIN', NULL, NULL, NULL, 15),
(97243, NULL, 'PTHR47339', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 24', NULL, NULL, NULL, 15),
(97244, NULL, 'PTHR36493:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97245, NULL, 'PTHR31264:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97246, NULL, 'PTHR34592', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(97247, NULL, 'PTHR37517:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97248, NULL, 'PTHR44086:SF10', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE RDL2, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(97249, NULL, 'PTHR12936:SF3', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 10', NULL, NULL, NULL, 15),
(97250, NULL, 'PTHR14614:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97251, NULL, 'PTHR32093:SF148', NULL, NULL, NULL, NULL, 'OSJNBA0014K14.21 PROTEIN', NULL, NULL, NULL, 15),
(97252, NULL, 'PTHR31001:SF57', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(97253, NULL, 'PTHR11079:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97254, NULL, 'PTHR46289:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97255, NULL, 'PTHR45668:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE WITH EF-HANDS 2', NULL, NULL, NULL, 15),
(97256, NULL, 'PTHR37014:SF10', NULL, NULL, NULL, NULL, 'RICH PROTEIN MS8, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05650)-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97257, NULL, 'PTHR11748', NULL, NULL, NULL, NULL, 'D-LACTATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(97258, NULL, 'PTHR10315:SF101', NULL, NULL, NULL, NULL, 'OS01G0122000 PROTEIN', NULL, NULL, NULL, 15),
(97259, NULL, 'PTHR45651:SF68', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(97260, NULL, 'PTHR23172:SF62', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(97261, NULL, 'PTHR10894:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 56', NULL, NULL, NULL, 15),
(97262, NULL, 'PTHR13425:SF3', NULL, NULL, NULL, NULL, 'HEADCASE PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(97263, NULL, 'PTHR23101:SF62', NULL, NULL, NULL, NULL, 'RAS AND RAB INTERACTOR 1', NULL, NULL, NULL, 15),
(97264, NULL, 'PTHR11926:SF1331', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(97265, NULL, 'PTHR31669:SF161', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED ELONGATED HYPOCOTYL 3', NULL, NULL, NULL, 15),
(97266, NULL, 'PTHR10792:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97267, NULL, 'PTHR39228:SF1', NULL, NULL, NULL, NULL, 'LORICRIN', NULL, NULL, NULL, 15),
(97268, NULL, 'PTHR45647', NULL, NULL, NULL, NULL, 'OS02G0152300 PROTEIN', NULL, NULL, NULL, 15),
(97269, NULL, 'PTHR24072:SF336', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(97270, NULL, 'PTHR23262:SF199', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 2-2-RELATED', NULL, NULL, NULL, 15),
(97271, NULL, 'PTHR11426:SF118', NULL, NULL, NULL, NULL, 'HISTONE H3.3 TYPE 2-RELATED', NULL, NULL, NULL, 15),
(97272, NULL, 'PTHR23123:SF15', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 7A', NULL, NULL, NULL, 15),
(97273, NULL, 'PTHR36080:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97274, NULL, 'PTHR11132:SF384', NULL, NULL, NULL, NULL, 'BNAA09G40930D PROTEIN', NULL, NULL, NULL, 15),
(97275, NULL, 'PTHR35845', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED SERINE-RICH PROTEIN 1', NULL, NULL, 21668, 15),
(97276, NULL, 'PTHR36884:SF1', NULL, NULL, NULL, NULL, 'FIP1[V]-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97277, NULL, 'PTHR45000:SF6', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN FAMILY-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97278, NULL, 'PTHR47789', NULL, NULL, NULL, NULL, 'LAS SEVENTEEN-BINDING PROTEIN 5', NULL, NULL, 36948, 15),
(97279, NULL, 'PTHR23507:SF38', NULL, NULL, NULL, NULL, 'FI18259P1-RELATED', NULL, NULL, NULL, 15),
(97280, NULL, 'PTHR43719:SF49', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE 3', NULL, NULL, NULL, 15),
(97281, NULL, 'PTHR27005:SF162', NULL, NULL, NULL, NULL, 'OS11G0691500 PROTEIN', NULL, NULL, NULL, 15),
(97282, NULL, 'PTHR12956:SF59', NULL, NULL, NULL, NULL, 'TRNA (MET) CYTIDINE ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(97283, NULL, 'PTHR23335:SF31', NULL, NULL, NULL, NULL, 'BNAA04G12770D PROTEIN', NULL, NULL, NULL, 15),
(97284, NULL, 'PTHR21562:SF89', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(97285, NULL, 'PTHR38002', NULL, NULL, NULL, NULL, 'C4ORF36 ISOFORM 11', NULL, NULL, 22626, 15),
(97286, NULL, 'PTHR43107:SF10', NULL, NULL, NULL, NULL, 'LONG-CHAIN FATTY ACID TRANSPORT PROTEIN 6', NULL, NULL, 24313, 15),
(97287, NULL, 'PTHR18884:SF52', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 11', NULL, NULL, NULL, 15),
(97288, NULL, 'PTHR31355:SF7', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN TORTIFOLIA1', NULL, NULL, NULL, 15),
(97289, NULL, 'PTHR13844:SF53', NULL, NULL, NULL, NULL, 'SWIB COMPLEX BAF60B DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(97290, NULL, 'PTHR11514:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH3', NULL, NULL, NULL, 15),
(97291, NULL, 'PTHR12941:SF15', NULL, NULL, NULL, NULL, 'BNAA03G11160D PROTEIN', NULL, NULL, NULL, 15),
(97292, NULL, 'PTHR24349:SF368', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(97293, NULL, 'PTHR33393', NULL, NULL, NULL, NULL, 'POLYGLUTAMINE SYNTHESIS ACCESSORY PROTEIN RV0574C-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97294, NULL, 'PTHR28624', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 51', NULL, NULL, 35366, 15),
(97295, NULL, 'PTHR11139:SF114', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SMG1-RELATED', NULL, NULL, NULL, 15),
(97296, NULL, 'PTHR46527', NULL, NULL, NULL, NULL, 'NUCLEOPORIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(97297, NULL, 'PTHR31008:SF13', NULL, NULL, NULL, NULL, 'COP1-INTERACTING PROTEIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97298, NULL, 'PTHR22710:SF2', NULL, NULL, NULL, NULL, 'X-RAY RADIATION RESISTANCE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(97299, NULL, 'PTHR12315:SF2', NULL, NULL, NULL, NULL, 'BNAA03G13260D PROTEIN', NULL, NULL, NULL, 15),
(97300, NULL, 'PTHR23024:SF491', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN', NULL, NULL, NULL, 15),
(97301, NULL, 'PTHR10015:SF148', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR PROTEIN 3', NULL, NULL, 24963, 15),
(97302, NULL, 'PTHR22936:SF72', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97303, NULL, 'PTHR33070:SF15', NULL, NULL, NULL, NULL, 'OS08G0552400 PROTEIN', NULL, NULL, NULL, 15),
(97304, NULL, 'PTHR45616:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97305, NULL, 'PTHR45757:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG02699', NULL, NULL, NULL, 15),
(97306, NULL, 'PTHR11141:SF26', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23A', NULL, NULL, NULL, 15),
(97307, NULL, 'PTHR10902:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97308, NULL, 'PTHR24028:SF123', NULL, NULL, NULL, NULL, 'CADHERIN-RELATED FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(97309, NULL, 'PTHR46454:SF14', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(97310, NULL, 'PTHR34142:SF6', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,4-GLUCANASE B', NULL, NULL, NULL, 15),
(97311, NULL, 'PTHR10543:SF103', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(97312, NULL, 'PTHR31790:SF321', NULL, NULL, NULL, NULL, 'BNAA07G02830D PROTEIN', NULL, NULL, NULL, 15),
(97313, NULL, 'PTHR24250:SF59', NULL, NULL, NULL, NULL, 'CHYMOTRYPSINOGEN B1-RELATED', NULL, NULL, NULL, 15),
(97314, NULL, 'PTHR11722:SF9', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', NULL, NULL, NULL, 15),
(97315, NULL, 'PTHR46758:SF7', NULL, NULL, NULL, NULL, 'HCP FAMILY PROTEIN WITH MYND-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(97316, NULL, 'PTHR33052:SF3', NULL, NULL, NULL, NULL, 'OS01G0758500 PROTEIN', NULL, NULL, NULL, 15),
(97317, NULL, 'PTHR31369:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG02315', NULL, NULL, NULL, 15),
(97318, NULL, 'PTHR24376:SF74', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 845', NULL, NULL, NULL, 15),
(97319, NULL, 'PTHR46632:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97320, NULL, 'PTHR34453:SF6', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 23-RELATED', NULL, NULL, NULL, 15),
(97321, NULL, 'PTHR46827:SF1', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DDB_G0288861-RELATED', NULL, NULL, NULL, 15),
(97322, NULL, 'PTHR43000:SF31', NULL, NULL, NULL, NULL, 'BNAA03G52320D PROTEIN', NULL, NULL, NULL, 15),
(97323, NULL, 'PTHR35394:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97324, NULL, 'PTHR33384:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97325, NULL, 'PTHR35480', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97326, NULL, 'PTHR43908:SF11', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 49-LIKE', NULL, NULL, NULL, 15),
(97327, NULL, 'PTHR11461:SF317', NULL, NULL, NULL, NULL, 'SERPIN-Z1C', NULL, NULL, NULL, 15),
(97328, NULL, 'PTHR46180:SF1', NULL, NULL, NULL, NULL, 'VINCULIN', NULL, NULL, NULL, 15),
(97329, NULL, 'PTHR31960:SF23', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A13-LIKE', NULL, NULL, NULL, 15),
(97330, NULL, 'PTHR17045:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97331, NULL, 'PTHR11014:SF62', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 6', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97332, NULL, 'PTHR22751:SF42', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(97333, NULL, 'PTHR18860:SF95', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 PSI', NULL, NULL, NULL, 15),
(97334, NULL, 'PTHR31238:SF170', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97335, NULL, 'PTHR10625:SF186', NULL, NULL, NULL, NULL, 'OS11G0201400 PROTEIN', NULL, NULL, NULL, 15),
(97336, NULL, 'PTHR46813', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 18', NULL, NULL, 38976, 15),
(97337, NULL, 'PTHR10286:SF0', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE 2', NULL, NULL, NULL, 15),
(97338, NULL, 'PTHR33303', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97339, NULL, 'PTHR15036:SF47', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA-4', NULL, NULL, NULL, 15),
(97340, NULL, 'PTHR12534:SF0', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(97341, NULL, 'PTHR16140:SF16', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', NULL, NULL, NULL, 15),
(97342, NULL, 'PTHR33178:SF11', NULL, NULL, NULL, NULL, 'BNAANNG40030D PROTEIN', NULL, NULL, NULL, 15),
(97343, NULL, 'PTHR47802:SF1', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(97344, NULL, 'PTHR22850:SF199', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL MODULATOR WTM1-RELATED', NULL, NULL, NULL, 15),
(97345, NULL, 'PTHR35546:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97346, NULL, 'PTHR23500:SF453', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 3-RELATED', NULL, NULL, NULL, 15),
(97347, NULL, 'PTHR12829:SF5', NULL, NULL, NULL, NULL, 'MT-A70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(97348, NULL, 'PTHR11596:SF85', NULL, NULL, NULL, NULL, 'AT01495P-RELATED', NULL, NULL, NULL, 15),
(97349, NULL, 'PTHR11017:SF331', NULL, NULL, NULL, NULL, 'BNAC03G61990D PROTEIN', NULL, NULL, NULL, 15),
(97350, NULL, 'PTHR47101:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(97351, NULL, 'PTHR48221', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97352, NULL, 'PTHR31558:SF22', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2-LIKE', NULL, NULL, NULL, 15),
(97353, NULL, 'PTHR47773:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97354, NULL, 'PTHR19432:SF84', NULL, NULL, NULL, NULL, 'BNAA09G30430D PROTEIN', NULL, NULL, NULL, 15),
(97355, NULL, 'PTHR12000:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97356, NULL, 'PTHR20899:SF9', NULL, NULL, NULL, NULL, 'UPF0691 PROTEIN C9ORF116 HOMOLOG', NULL, NULL, NULL, 15),
(97357, NULL, 'PTHR13533:SF28', NULL, NULL, NULL, NULL, 'PROTEIN REDUCED WALL ACETYLATION 3', NULL, NULL, NULL, 15),
(97358, NULL, 'PTHR11849:SF196', NULL, NULL, NULL, NULL, 'ETS TRANSLOCATION VARIANT 1', NULL, NULL, 26551, 15),
(97359, NULL, 'PTHR23315:SF286', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(97360, NULL, 'PTHR15601:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG01575', NULL, NULL, NULL, 15),
(97361, NULL, 'PTHR31009:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97362, NULL, 'PTHR47071:SF7', NULL, NULL, NULL, NULL, 'BNAA03G54870D PROTEIN', NULL, NULL, NULL, 15),
(97363, NULL, 'PTHR46482:SF3', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(97364, NULL, 'PTHR33120', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97365, NULL, 'PTHR46463:SF31', NULL, NULL, NULL, NULL, 'OS01G0926200 PROTEIN', NULL, NULL, NULL, 15),
(97366, NULL, 'PTHR43581:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ENDONUCLEASE, OLD FAMILY-RELATED', NULL, NULL, NULL, 15),
(97367, NULL, 'PTHR33647:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97368, NULL, 'PTHR11547:SF23', NULL, NULL, NULL, NULL, 'CREATINE KINASE B-TYPE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97369, NULL, 'PTHR47965:SF50', NULL, NULL, NULL, NULL, 'BNAANNG08670D PROTEIN', NULL, NULL, NULL, 15),
(97370, NULL, 'PTHR36493:SF5', NULL, NULL, NULL, NULL, 'NEUROBLAST DIFFERENTIATION-ASSOCIATED PROTEIN AHNAK-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97371, NULL, 'PTHR12850', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S25', NULL, NULL, 751, 15),
(97372, NULL, 'PTHR34797', NULL, NULL, NULL, NULL, 'ATG8-INTERACTING PROTEIN 2', NULL, NULL, 34038, 15),
(97373, NULL, 'PTHR33589:SF4', NULL, NULL, NULL, NULL, 'ZYMOGEN GRANULE MEMBRANE PROTEIN 16', NULL, NULL, 33511, 15),
(97374, NULL, 'PTHR24177:SF111', NULL, NULL, NULL, NULL, 'OS09G0322500 PROTEIN', NULL, NULL, NULL, 15),
(97375, NULL, 'PTHR31549:SF152', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(97376, NULL, 'PTHR44137:SF24', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(97377, NULL, 'PTHR46877:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97378, NULL, 'PTHR37562:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97379, NULL, 'PTHR23018', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA-RELATED', NULL, NULL, 2364, 15),
(97380, NULL, 'PTHR10572:SF41', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE 1', NULL, NULL, NULL, 15),
(97381, NULL, 'PTHR30250:SF20', NULL, NULL, NULL, NULL, 'POLYSACCHARIDES EXPORT PROTEIN', NULL, NULL, NULL, 15),
(97382, NULL, 'PTHR11771:SF116', NULL, NULL, NULL, NULL, 'OS12G0559934 PROTEIN', NULL, NULL, NULL, 15),
(97383, NULL, 'PTHR46086:SF3', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(97384, NULL, 'PTHR46445', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II DEGRADATION FACTOR-LIKE PROTEIN (DUF1296)', NULL, NULL, NULL, 15),
(97385, NULL, 'PTHR46950:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97386, NULL, 'PTHR43425:SF2', NULL, NULL, NULL, NULL, 'OXYGEN-INSENSITIVE NADPH NITROREDUCTASE', NULL, NULL, NULL, 15),
(97387, NULL, 'PTHR33239:SF1', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(97388, NULL, 'PTHR11216:SF149', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(97389, NULL, 'PTHR42898:SF5', NULL, NULL, NULL, NULL, 'OS01G0930900 PROTEIN', NULL, NULL, NULL, 15),
(97390, NULL, 'PTHR12143:SF25', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G10790)-RELATED', NULL, NULL, NULL, 15),
(97391, NULL, 'PTHR24064:SF453', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 4', NULL, NULL, NULL, 15),
(97392, NULL, 'PTHR13593:SF33', NULL, NULL, NULL, NULL, 'PI-PLC X DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(97393, NULL, 'PTHR45657:SF16', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH8', NULL, NULL, NULL, 15),
(97394, NULL, 'PTHR26451:SF885', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(97395, NULL, 'PTHR11465:SF58', NULL, NULL, NULL, NULL, 'CATALASE CAT1', NULL, NULL, NULL, 15),
(97396, NULL, 'PTHR11945:SF573', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN APETALA 3', NULL, NULL, NULL, 15),
(97397, NULL, 'PTHR11048', NULL, NULL, NULL, NULL, 'PRENYLTRANSFERASES', NULL, NULL, 29174, 15),
(97398, NULL, 'PTHR35727:SF5', NULL, NULL, NULL, NULL, 'BNAA05G33520D PROTEIN', NULL, NULL, NULL, 15),
(97399, NULL, 'PTHR11036:SF12', NULL, NULL, NULL, NULL, 'SEMAPHORIN-6A', NULL, NULL, NULL, 15),
(97400, NULL, 'PTHR45676:SF116', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL54-LIKE', NULL, NULL, NULL, 15),
(97401, NULL, 'PTHR18929:SF101', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', NULL, NULL, NULL, 15),
(97402, NULL, 'PTHR13104:SF0', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 6', NULL, NULL, NULL, 15),
(97403, NULL, 'PTHR23267:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97404, NULL, 'PTHR11086:SF14', NULL, NULL, NULL, NULL, 'CYTIDINE AND DCMP DEAMINASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97405, NULL, 'PTHR45762:SF5', NULL, NULL, NULL, NULL, 'ZINC-FINGER PROTEIN AT 72D, ISOFORM B', NULL, NULL, NULL, 15),
(97406, NULL, 'PTHR22891:SF103', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 18', NULL, NULL, NULL, 15),
(97407, NULL, 'PTHR32099', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN', NULL, NULL, NULL, 15),
(97408, NULL, 'PTHR12217', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2D', NULL, NULL, 29093, 15),
(97409, NULL, 'PTHR45746', NULL, NULL, NULL, NULL, 'LP21163P', NULL, NULL, NULL, 15),
(97410, NULL, 'PTHR31692:SF87', NULL, NULL, NULL, NULL, 'EXPANSIN-B4', NULL, NULL, NULL, 15),
(97411, NULL, 'PTHR43349:SF53', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE', NULL, NULL, NULL, 15),
(97412, NULL, 'PTHR47991:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97413, NULL, 'PTHR23327:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF YEAST FORM ADHERENCE 3', NULL, NULL, NULL, 15),
(97414, NULL, 'PTHR47299:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM166A', NULL, NULL, NULL, 15),
(97415, NULL, 'PTHR23502:SF139', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G13160)-RELATED', NULL, NULL, NULL, 15),
(97416, NULL, 'PTHR47351', NULL, NULL, NULL, NULL, 'CHITIN BIOSYNTHESIS PROTEIN CHS5', NULL, NULL, NULL, 15),
(97417, NULL, 'PTHR37884:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97418, NULL, 'PTHR11632', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE 2 FLAVOPROTEIN SUBUNIT', NULL, NULL, 27979, 15),
(97419, NULL, 'PTHR48020:SF23', NULL, NULL, NULL, NULL, 'GENERAL SUBSTRATE TRANSPORTER', NULL, NULL, NULL, 15),
(97420, NULL, 'PTHR23054:SF26', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(97421, NULL, 'PTHR31374:SF327', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97422, NULL, 'PTHR45675:SF67', NULL, NULL, NULL, NULL, 'BNAC05G48910D PROTEIN', NULL, NULL, NULL, 15),
(97423, NULL, 'PTHR26453:SF18', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T2-RELATED', NULL, NULL, NULL, 15),
(97424, NULL, 'PTHR46895:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG26883', NULL, NULL, NULL, 15),
(97425, NULL, 'PTHR16134:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97426, NULL, 'PTHR10177:SF63', NULL, NULL, NULL, NULL, 'CYCLIN-J-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97427, NULL, 'PTHR21502:SF7', NULL, NULL, NULL, NULL, 'RAB-INTERACTING LYSOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(97428, NULL, 'PTHR32198:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ESCAPE PROTEIN 2', NULL, NULL, NULL, 15),
(97429, NULL, 'PTHR24177:SF45', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS TRANSMEMBRANE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(97430, NULL, 'PTHR23196', NULL, NULL, NULL, NULL, 'PAX TRANSCRIPTION ACTIVATION DOMAIN INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(97431, NULL, 'PTHR34222:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97432, NULL, 'PTHR47983:SF32', NULL, NULL, NULL, NULL, 'OS04G0490500 PROTEIN', NULL, NULL, NULL, 15),
(97433, NULL, 'PTHR24419:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97434, NULL, 'PTHR22669:SF1', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97435, NULL, 'PTHR31288:SF25', NULL, NULL, NULL, NULL, 'OS05G0459600 PROTEIN', NULL, NULL, NULL, 15),
(97436, NULL, 'PTHR32295:SF172', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 5-RELATED', NULL, NULL, NULL, 15),
(97437, NULL, 'PTHR42973:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97438, NULL, 'PTHR31636:SF244', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', NULL, NULL, NULL, 15),
(97439, NULL, 'PTHR24281:SF89', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(97440, NULL, 'PTHR27004:SF112', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(97441, NULL, 'PTHR34228:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG00662', NULL, NULL, NULL, 15),
(97442, NULL, 'PTHR39960:SF1', NULL, NULL, NULL, NULL, 'LD34147P', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97443, NULL, 'PTHR43161:SF9', NULL, NULL, NULL, NULL, 'SORBITOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(97444, NULL, 'PTHR13966', NULL, NULL, NULL, NULL, 'ENDONUCLEASE RELATED', NULL, NULL, 35393, 15),
(97445, NULL, 'PTHR45634:SF22', NULL, NULL, NULL, NULL, 'BNAC02G41970D PROTEIN', NULL, NULL, NULL, 15),
(97446, NULL, 'PTHR47812:SF2', NULL, NULL, NULL, NULL, 'SMR (SMALL MUTS RELATED) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(97447, NULL, 'PTHR25465:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF135', NULL, NULL, NULL, 15),
(97448, NULL, 'PTHR34681:SF2', NULL, NULL, NULL, NULL, 'UVEAL AUTOANTIGEN WITH COILED-COIL/ANKYRIN', NULL, NULL, NULL, 15),
(97449, NULL, 'PTHR11972:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97450, NULL, 'PTHR31357:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-11', NULL, NULL, NULL, 15),
(97451, NULL, 'PTHR22937:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97452, NULL, 'PTHR43671:SF50', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE NEK7-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97453, NULL, 'PTHR31268:SF38', NULL, NULL, NULL, NULL, 'BNAC09G37510D PROTEIN', NULL, NULL, NULL, 15),
(97454, NULL, 'PTHR14167:SF77', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(97455, NULL, 'PTHR22593:SF8', NULL, NULL, NULL, NULL, 'FHA DOMAIN-CONTAINING PROTEIN PS1', NULL, NULL, NULL, 15),
(97456, NULL, 'PTHR34366:SF8', NULL, NULL, NULL, NULL, 'BNAANNG20590D PROTEIN', NULL, NULL, NULL, 15),
(97457, NULL, 'PTHR47921:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04898', NULL, NULL, NULL, 15),
(97458, NULL, 'PTHR10117:SF76', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 5', NULL, NULL, 601, 15),
(97459, NULL, 'PTHR26453:SF40', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(97460, NULL, 'PTHR14235:SF0', NULL, NULL, NULL, NULL, 'OSTEOCALCIN', NULL, NULL, NULL, 15),
(97461, NULL, 'PTHR31220:SF4', NULL, NULL, NULL, NULL, 'HYCCIN', NULL, NULL, NULL, 15),
(97462, NULL, 'PTHR12967', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 33715, 15),
(97463, NULL, 'PTHR31080:SF197', NULL, NULL, NULL, NULL, 'BNAC02G33020D PROTEIN', NULL, NULL, NULL, 15),
(97464, NULL, 'PTHR36468', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 19, MITOCHONDRIAL', NULL, NULL, 24351, 15),
(97465, NULL, 'PTHR13080:SF16', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT F, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(97466, NULL, 'PTHR19960:SF24', NULL, NULL, NULL, NULL, 'TEKTIN-3', NULL, NULL, NULL, 15),
(97467, NULL, 'PTHR42683:SF7', NULL, NULL, NULL, NULL, 'DEATH RESISTOR ADH DOMAIN CONTAINING TARGET, ISOFORM C', NULL, NULL, NULL, 15),
(97468, NULL, 'PTHR35727', NULL, NULL, NULL, NULL, 'BNAA05G33520D PROTEIN', NULL, NULL, NULL, 15),
(97469, NULL, 'PTHR22945:SF89', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)-RELATED', NULL, NULL, NULL, 15),
(97470, NULL, 'PTHR11017:SF414', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE', NULL, NULL, NULL, 15),
(97471, NULL, 'PTHR47814:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE ARFB', NULL, NULL, NULL, 15),
(97472, NULL, 'PTHR23507:SF3', NULL, NULL, NULL, NULL, 'THYMIC STROMAL COTRANSPORTER HOMOLOG', NULL, NULL, NULL, 15),
(97473, NULL, 'PTHR23131:SF1', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00280)-RELATED', NULL, NULL, NULL, 15),
(97474, NULL, 'PTHR33295:SF8', NULL, NULL, NULL, NULL, 'ATPASE, AAA SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(97475, NULL, 'PTHR31301:SF68', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 32-RELATED', NULL, NULL, NULL, 15),
(97476, NULL, 'PTHR21705:SF12', NULL, NULL, NULL, NULL, 'AGAP003125-PA', NULL, NULL, NULL, 15),
(97477, NULL, 'PTHR12482:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97478, NULL, 'PTHR33830', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 184-RELATED', NULL, NULL, 11949, 15),
(97479, NULL, 'PTHR43874:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97480, NULL, 'PTHR19353:SF22', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE 2-LIKE PROTEIN FADS2P1-RELATED', NULL, NULL, NULL, 15),
(97481, NULL, 'PTHR10996:SF165', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE 1-RELATED', NULL, NULL, NULL, 15),
(97482, NULL, 'PTHR31062:SF217', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(97483, NULL, 'PTHR24006:SF807', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', NULL, NULL, NULL, 15),
(97484, NULL, 'PTHR43420:SF10', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(97485, NULL, 'PTHR23360:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(97486, NULL, 'PTHR45676:SF103', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(97487, NULL, 'PTHR11360:SF177', NULL, NULL, NULL, NULL, 'RIBOFLAVIN TRANSPORTER MCH5-RELATED', NULL, NULL, NULL, 15),
(97488, NULL, 'PTHR48043:SF70', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(97489, NULL, 'PTHR10544:SF19', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28-1-LIKE', NULL, NULL, NULL, 15),
(97490, NULL, 'PTHR43045:SF1', NULL, NULL, NULL, NULL, 'SHIKIMATE TRANSPORTER', NULL, NULL, NULL, 15),
(97491, NULL, 'PTHR11909:SF388', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(97492, NULL, 'PTHR35523', NULL, NULL, NULL, NULL, 'CELL WALL PROTEIN SED1', NULL, NULL, 34576, 15),
(97493, NULL, 'PTHR10064:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-LIKE 1', NULL, NULL, 24875, 15),
(97494, NULL, 'PTHR16021:SF14', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(97495, NULL, 'PTHR12732:SF0', NULL, NULL, NULL, NULL, 'PCI DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(97496, NULL, 'PTHR31741:SF15', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 38', NULL, NULL, NULL, 15),
(97497, NULL, 'PTHR14224:SF40', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 75B', NULL, NULL, NULL, 15),
(97498, NULL, 'PTHR47976:SF21', NULL, NULL, NULL, NULL, 'OS12G0130800 PROTEIN', NULL, NULL, NULL, 15),
(97499, NULL, 'PTHR12608:SF5', NULL, NULL, NULL, NULL, 'GDT1-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(97500, NULL, 'PTHR19411:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BUD31 HOMOLOG 3', NULL, NULL, NULL, 15),
(97501, NULL, 'PTHR44329:SF24', NULL, NULL, NULL, NULL, 'OS01G0674100 PROTEIN', NULL, NULL, NULL, 15),
(97502, NULL, 'PTHR36452', NULL, NULL, NULL, NULL, 'CHROMOSOME 12, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, 12847, 15),
(97503, NULL, 'PTHR31676:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97504, NULL, 'PTHR10442:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', NULL, NULL, NULL, 15),
(97505, NULL, 'PTHR11260:SF687', NULL, NULL, NULL, NULL, 'BNAA09G45070D PROTEIN', NULL, NULL, NULL, 15),
(97506, NULL, 'PTHR48069:SF2', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE', NULL, NULL, NULL, 15),
(97507, NULL, 'PTHR36736:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97508, NULL, 'PTHR31707:SF176', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(97509, NULL, 'PTHR11760:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97510, NULL, 'PTHR31283:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97511, NULL, 'PTHR12101:SF18', NULL, NULL, NULL, NULL, 'POPEYE DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(97512, NULL, 'PTHR11351:SF27', NULL, NULL, NULL, NULL, 'DELTA(9)-FATTY-ACID DESATURASE FAT-5', NULL, NULL, NULL, 15),
(97513, NULL, 'PTHR38763', NULL, NULL, NULL, NULL, 'MAJOR OUTER MEMBRANE PROLIPOPROTEIN LPP', NULL, NULL, 20615, 15),
(97514, NULL, 'PTHR10687:SF61', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 5', NULL, NULL, NULL, 15),
(97515, NULL, 'PTHR24349:SF365', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 26-LIKE', NULL, NULL, NULL, 15),
(97516, NULL, 'PTHR45752:SF11', NULL, NULL, NULL, NULL, 'VOLUME-REGULATED ANION CHANNEL SUBUNIT LRRC8D', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97517, NULL, 'PTHR42721:SF13', NULL, NULL, NULL, NULL, 'EXO-1,4-BETA-XYLOSIDASE XLND', NULL, NULL, NULL, 15),
(97518, NULL, 'PTHR11629:SF68', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 116 KDA SUBUNIT A ISOFORM 1', NULL, NULL, NULL, 15),
(97519, NULL, 'PTHR33265:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97520, NULL, 'PTHR21495:SF210', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(97521, NULL, 'PTHR34599', NULL, NULL, NULL, NULL, 'PEROXIDASE-RELATED', NULL, NULL, NULL, 15),
(97522, NULL, 'PTHR31384:SF14', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 5', NULL, NULL, NULL, 15),
(97523, NULL, 'PTHR34807:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97524, NULL, 'PTHR43884:SF11', NULL, NULL, NULL, NULL, 'VERY LONG-CHAIN SPECIFIC ACYL-COA DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(97525, NULL, 'PTHR12542:SF132', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(97526, NULL, 'PTHR19134:SF285', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 9', NULL, NULL, NULL, 15),
(97527, NULL, 'PTHR22807:SF62', NULL, NULL, NULL, NULL, 'RNA (C5-CYTOSINE) METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(97528, NULL, 'PTHR45692', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97529, NULL, 'PTHR32116:SF71', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(97530, NULL, 'PTHR11034:SF45', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC PROTEIN SF21', NULL, NULL, NULL, 15),
(97531, NULL, 'PTHR37853:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(97532, NULL, 'PTHR10165:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97533, NULL, 'PTHR10621:SF28', NULL, NULL, NULL, NULL, 'RAD23 HOMOLOG A, NUCLEOTIDE EXCISION REPAIR PROTEIN B', NULL, NULL, NULL, 15),
(97534, NULL, 'PTHR11566:SF143', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(97535, NULL, 'PTHR37848', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(97536, NULL, 'PTHR43791:SF40', NULL, NULL, NULL, NULL, 'THIAMINE PATHWAY TRANSPORTER THI73', NULL, NULL, NULL, 15),
(97537, NULL, 'PTHR11431:SF54', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(97538, NULL, 'PTHR45646:SF17', NULL, NULL, NULL, NULL, 'BNAA07G37640D PROTEIN', NULL, NULL, NULL, 15),
(97539, NULL, 'PTHR11679:SF80', NULL, NULL, NULL, NULL, 'BNAA09G47180D PROTEIN', NULL, NULL, NULL, 15),
(97540, NULL, 'PTHR47944:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P-450 20', NULL, NULL, NULL, 15),
(97541, NULL, 'PTHR33066', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97542, NULL, 'PTHR28093', NULL, NULL, NULL, NULL, 'MORPHOGENESIS-RELATED PROTEIN MSB1', NULL, NULL, 33712, 15),
(97543, NULL, 'PTHR34552:SF4', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER W PROTEIN CHLOROPLASTIC', NULL, NULL, NULL, 15),
(97544, NULL, 'PTHR31325:SF176', NULL, NULL, NULL, NULL, 'OS07G0115700 PROTEIN', NULL, NULL, NULL, 15),
(97545, NULL, 'PTHR13282:SF7', NULL, NULL, NULL, NULL, 'OS04G0566000 PROTEIN', NULL, NULL, NULL, 15),
(97546, NULL, 'PTHR10840', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 5', NULL, NULL, 5039, 15),
(97547, NULL, 'PTHR36308:SF2', NULL, NULL, NULL, NULL, 'BNAC05G03120D PROTEIN', NULL, NULL, NULL, 15),
(97548, NULL, 'PTHR42861:SF77', NULL, NULL, NULL, NULL, 'SODIUM ION P-TYPE ATPASE (EUROFUNG)', NULL, NULL, NULL, 15),
(97549, NULL, 'PTHR44137:SF35', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97550, NULL, 'PTHR31623:SF85', NULL, NULL, NULL, NULL, 'N-BENZOYLTRANSFERASE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(97551, NULL, 'PTHR19229:SF226', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 7', NULL, NULL, NULL, 15),
(97552, NULL, 'PTHR11941:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97553, NULL, 'PTHR31992:SF182', NULL, NULL, NULL, NULL, 'BNAA04G27160D PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97554, NULL, 'PTHR12354:SF17', NULL, NULL, NULL, NULL, 'INTERFERON-RELATED DEVELOPMENTAL REGULATOR 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(97555, NULL, 'PTHR10271:SF14', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 14-RELATED', NULL, NULL, NULL, 15),
(97556, NULL, 'PTHR26452:SF423', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 510', NULL, NULL, NULL, 15),
(97557, NULL, 'PTHR31707:SF156', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 12-RELATED', NULL, NULL, NULL, 15),
(97558, NULL, 'PTHR15970:SF8', NULL, NULL, NULL, NULL, 'ELL-ASSOCIATED FACTOR 1', NULL, NULL, NULL, 15),
(97559, NULL, 'PTHR21101:SF11', NULL, NULL, NULL, NULL, 'RESISTIN', NULL, NULL, NULL, 15),
(97560, NULL, 'PTHR16515:SF18', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE PRDM7-RELATED', NULL, NULL, NULL, 15),
(97561, NULL, 'PTHR47463', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP16', NULL, NULL, NULL, 15),
(97562, NULL, 'PTHR14155:SF552', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(97563, NULL, 'PTHR12098:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PELLINO HOMOLOG 1', NULL, NULL, NULL, 15),
(97564, NULL, 'PTHR11726:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97565, NULL, 'PTHR47984:SF27', NULL, NULL, NULL, NULL, 'OS05G0436100 PROTEIN', NULL, NULL, NULL, 15),
(97566, NULL, 'PTHR31235:SF264', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(97567, NULL, 'PTHR26374:SF400', NULL, NULL, NULL, NULL, 'BNAA03G00910D PROTEIN', NULL, NULL, NULL, 15),
(97568, NULL, 'PTHR10799', NULL, NULL, NULL, NULL, 'SNF2/RAD54 HELICASE FAMILY', NULL, NULL, NULL, 15),
(97569, NULL, 'PTHR11817:SF4', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(97570, NULL, 'PTHR35493', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN', NULL, NULL, NULL, 15),
(97571, NULL, 'PTHR46438:SF8', NULL, NULL, NULL, NULL, 'PHEOPHYTINASE, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(97572, NULL, 'PTHR45640:SF28', NULL, NULL, NULL, NULL, 'BODY WALL MUSCLE PROTEIN HR-29-LIKE', NULL, NULL, NULL, 15),
(97573, NULL, 'PTHR37265:SF5', NULL, NULL, NULL, NULL, 'BNACNNG68970D PROTEIN', NULL, NULL, NULL, 15),
(97574, NULL, 'PTHR45676:SF32', NULL, NULL, NULL, NULL, 'OS02G0249200 PROTEIN', NULL, NULL, NULL, 15),
(97575, NULL, 'PTHR11060:SF3', NULL, NULL, NULL, NULL, 'BNAA09G41020D PROTEIN', NULL, NULL, NULL, 15),
(97576, NULL, 'PTHR46277:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97577, NULL, 'PTHR11360:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97578, NULL, 'PTHR15678:SF11', NULL, NULL, NULL, NULL, 'FMP27, GFWDK DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97579, NULL, 'PTHR45836:SF20', NULL, NULL, NULL, NULL, 'CHONDROADHERIN', NULL, NULL, NULL, 15),
(97580, NULL, 'PTHR47764:SF5', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 2A-RELATED', NULL, NULL, NULL, 15),
(97581, NULL, 'PTHR12585:SF19', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND-BREAK REPAIR PROTEIN RAD21-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(97582, NULL, 'PTHR11783:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97583, NULL, 'PTHR47763:SF1', NULL, NULL, NULL, NULL, 'ALPHA-PROTEIN KINASE VWKA', NULL, NULL, NULL, 15),
(97584, NULL, 'PTHR43180:SF58', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE 2A-LIKE', NULL, NULL, NULL, 15),
(97585, NULL, 'PTHR35377:SF2', NULL, NULL, NULL, NULL, 'SSL1004 PROTEIN', NULL, NULL, NULL, 15),
(97586, NULL, 'PTHR33791:SF13', NULL, NULL, NULL, NULL, 'CHAPERONIN-LIKE RBCX-RELATED', NULL, NULL, NULL, 15),
(97587, NULL, 'PTHR38653', NULL, NULL, NULL, NULL, 'GENE 572-RELATED', NULL, NULL, 25168, 15),
(97588, NULL, 'PTHR11616', NULL, NULL, NULL, NULL, 'SODIUM/CHLORIDE DEPENDENT TRANSPORTER', NULL, NULL, 3945, 15),
(97589, NULL, 'PTHR43952:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97590, NULL, 'PTHR23086:SF121', NULL, NULL, NULL, NULL, 'BNAC04G24720D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97591, NULL, 'PTHR31194:SF147', NULL, NULL, NULL, NULL, 'BNAA03G48910D PROTEIN', NULL, NULL, NULL, 15),
(97592, NULL, 'PTHR31929:SF106', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(97593, NULL, 'PTHR43176:SF14', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(97594, NULL, 'PTHR24356:SF358', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SCH9', NULL, NULL, NULL, 15),
(97595, NULL, 'PTHR22950:SF652', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER PROTEIN', NULL, NULL, NULL, 15),
(97596, NULL, 'PTHR43765', NULL, NULL, NULL, NULL, '2-DEHYDROPANTOATE 2-REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(97597, NULL, 'PTHR10438:SF437', NULL, NULL, NULL, NULL, 'THIOREDOXIN H-TYPE 2', NULL, NULL, NULL, 15),
(97598, NULL, 'PTHR43539:SF11', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA8-RELATED', NULL, NULL, NULL, 15),
(97599, NULL, 'PTHR33272:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG04649', NULL, NULL, NULL, 15),
(97600, NULL, 'PTHR31741:SF67', NULL, NULL, NULL, NULL, 'AUXIN-INDEPENDENT GROWTH PROMOTER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97601, NULL, 'PTHR13935:SF116', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE COMPLEX PROTEIN T3-RELATED', NULL, NULL, NULL, 15),
(97602, NULL, 'PTHR33146:SF15', NULL, NULL, NULL, NULL, 'NUCLEASE S1', NULL, NULL, NULL, 15),
(97603, NULL, 'PTHR37415:SF2', NULL, NULL, NULL, NULL, 'EFF-1A', NULL, NULL, NULL, 15),
(97604, NULL, 'PTHR13593:SF51', NULL, NULL, NULL, NULL, 'F21F23.12 PROTEIN', NULL, NULL, NULL, 15),
(97605, NULL, 'PTHR47993:SF27', NULL, NULL, NULL, NULL, 'BNAC05G51900D PROTEIN', NULL, NULL, NULL, 15),
(97606, NULL, 'PTHR11931:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE 2', NULL, NULL, NULL, 15),
(97607, NULL, 'PTHR33115:SF46', NULL, NULL, NULL, NULL, 'OS05G0141200 PROTEIN', NULL, NULL, NULL, 15),
(97608, NULL, 'PTHR46736:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97609, NULL, 'PTHR24247:SF189', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR 4', NULL, NULL, NULL, 15),
(97610, NULL, 'PTHR24253:SF0', NULL, NULL, NULL, NULL, 'PROSTASIN', NULL, NULL, NULL, 15),
(97611, NULL, 'PTHR26450:SF87', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51F2', NULL, NULL, NULL, 15),
(97612, NULL, 'PTHR27006:SF273', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FEI 2', NULL, NULL, NULL, 15),
(97613, NULL, 'PTHR14021', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER CO-CHAPERONE PROTEIN HSCB', NULL, NULL, 2964, 15),
(97614, NULL, 'PTHR24064:SF511', NULL, NULL, NULL, NULL, 'CATION/CARNITINE TRANSPORTER 2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(97615, NULL, 'PTHR34949:SF3', NULL, NULL, NULL, NULL, 'SYNTAXIN/T-SNARE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(97616, NULL, 'PTHR32011', NULL, NULL, NULL, NULL, 'OS08G0472400 PROTEIN', NULL, NULL, NULL, 15),
(97617, NULL, 'PTHR31408:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689986', NULL, NULL, NULL, 15),
(97618, NULL, 'PTHR11945:SF632', NULL, NULL, NULL, NULL, 'BOX PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(97619, NULL, 'PTHR24123:SF85', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 55', NULL, NULL, NULL, 15),
(97620, NULL, 'PTHR44240:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97621, NULL, 'PTHR11014:SF162', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 3 ISOFORM X1', NULL, NULL, NULL, 15),
(97622, NULL, 'PTHR46733:SF9', NULL, NULL, NULL, NULL, 'OS09G0345500 PROTEIN', NULL, NULL, NULL, 15),
(97623, NULL, 'PTHR30176', NULL, NULL, NULL, NULL, 'FERREDOXIN-TYPE PROTEIN NAPH', NULL, NULL, NULL, 15),
(97624, NULL, 'PTHR31388:SF180', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(97625, NULL, 'PTHR21576:SF133', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', NULL, NULL, NULL, 15),
(97626, NULL, 'PTHR31943:SF1', NULL, NULL, NULL, NULL, 'INTERFERON LAMBDA-2-RELATED', NULL, NULL, NULL, 15),
(97627, NULL, 'PTHR31357:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS A (ALPHA)-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97628, NULL, 'PTHR12100:SF0', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 5', NULL, NULL, 33348, 15),
(97629, NULL, 'PTHR47431:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(97630, NULL, 'PTHR14327:SF1', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(97631, NULL, 'PTHR46719:SF11', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL70-LIKE', NULL, NULL, NULL, 15),
(97632, NULL, 'PTHR23516:SF2', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(97633, NULL, 'PTHR48100:SF35', NULL, NULL, NULL, NULL, 'BNAC07G31810D PROTEIN', NULL, NULL, NULL, 15),
(97634, NULL, 'PTHR24082', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR', NULL, NULL, NULL, 15),
(97635, NULL, 'PTHR31124', NULL, NULL, NULL, NULL, 'APICAL MERISTEM FORMATION PROTEIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(97636, NULL, 'PTHR12984:SF15', NULL, NULL, NULL, NULL, 'PROTEIN-ASSOCIATING WITH THE CARBOXYL-TERMINAL DOMAIN OF EZRIN', NULL, NULL, NULL, 15),
(97637, NULL, 'PTHR12029:SF11', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TARBP1-RELATED', NULL, NULL, NULL, 15),
(97638, NULL, 'PTHR23226:SF299', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(97639, NULL, 'PTHR24184:SF11', NULL, NULL, NULL, NULL, 'SI:CH211-189E2.2', NULL, NULL, NULL, 15),
(97640, NULL, 'PTHR15486:SF25', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE RAM2', NULL, NULL, NULL, 15),
(97641, NULL, 'PTHR43245:SF36', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G00230)', NULL, NULL, NULL, 15),
(97642, NULL, 'PTHR14942', NULL, NULL, NULL, NULL, 'U11/U12 SMALL NUCLEAR RIBONUCLEOPROTEIN 25 KDA PROTEIN', NULL, NULL, 30281, 15),
(97643, NULL, 'PTHR44969:SF1', NULL, NULL, NULL, NULL, 'CELL SURFACE A33 ANTIGEN', NULL, NULL, NULL, 15),
(97644, NULL, 'PTHR47843:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97645, NULL, 'PTHR40039', NULL, NULL, NULL, NULL, 'PROTEIN DLTD', NULL, NULL, 6483, 15),
(97646, NULL, 'PTHR21661:SF39', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G08960)-RELATED', NULL, NULL, NULL, 15),
(97647, NULL, 'PTHR33172:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97648, NULL, 'PTHR15241:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97649, NULL, 'PTHR43447:SF34', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', NULL, NULL, NULL, 15),
(97650, NULL, 'PTHR43895:SF53', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(97651, NULL, 'PTHR14566', NULL, NULL, NULL, NULL, 'CELL CYCLE REGULATOR OF NON-HOMOLOGOUS END JOINING', NULL, NULL, 28768, 15),
(97652, NULL, 'PTHR31791:SF37', NULL, NULL, NULL, NULL, 'POLYMERASE RPB1 CARBOXY-TERMINAL REPEAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(97653, NULL, 'PTHR22776:SF39', NULL, NULL, NULL, NULL, 'PROTEIN SINGLES BAR', NULL, NULL, NULL, 15),
(97654, NULL, 'PTHR45757:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG11241', NULL, NULL, NULL, 15),
(97655, NULL, 'PTHR39228', NULL, NULL, NULL, NULL, 'LORICRIN', NULL, NULL, 22311, 15),
(97656, NULL, 'PTHR18884:SF67', NULL, NULL, NULL, NULL, 'SEPTIN-2', NULL, NULL, NULL, 15),
(97657, NULL, 'PTHR45664:SF12', NULL, NULL, NULL, NULL, 'PANCREAS/DUODENUM HOMEOBOX PROTEIN 1', NULL, NULL, NULL, 15),
(97658, NULL, 'PTHR42647:SF49', NULL, NULL, NULL, NULL, 'BNAC01G38170D PROTEIN', NULL, NULL, NULL, 15),
(97659, NULL, 'PTHR47962:SF4', NULL, NULL, NULL, NULL, 'HELICASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(97660, NULL, 'PTHR31221:SF220', NULL, NULL, NULL, NULL, 'OS01G0714800 PROTEIN', NULL, NULL, NULL, 15),
(97661, NULL, 'PTHR10476:SF1', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 3', NULL, NULL, NULL, 15),
(97662, NULL, 'PTHR23273:SF38', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', NULL, NULL, NULL, 15),
(97663, NULL, 'PTHR22849:SF66', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97664, NULL, 'PTHR21000:SF5', NULL, NULL, NULL, NULL, 'DIHYDROXY-ACID DEHYDRATASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(97665, NULL, 'PTHR43656', NULL, NULL, NULL, NULL, 'BINDING OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G08260)-RELATED', NULL, NULL, NULL, 15),
(97666, NULL, 'PTHR27007:SF300', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97667, NULL, 'PTHR13743:SF144', NULL, NULL, NULL, NULL, 'BEIGE/BEACH/WD DOMAIN CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97668, NULL, 'PTHR13015:SF0', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(97669, NULL, 'PTHR12928:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97670, NULL, 'PTHR11468:SF11', NULL, NULL, NULL, NULL, 'ALPHA-1,4 GLUCAN PHOSPHORYLASE', NULL, NULL, NULL, 15),
(97671, NULL, 'PTHR10291:SF33', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(97672, NULL, 'PTHR31235:SF183', NULL, NULL, NULL, NULL, 'PEROXIDASE 28', NULL, NULL, NULL, 15),
(97673, NULL, 'PTHR36289:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 12 OPEN READING FRAME 60', NULL, NULL, NULL, 15),
(97674, NULL, 'PTHR20905:SF29', NULL, NULL, NULL, NULL, 'AT07410P', NULL, NULL, NULL, 15),
(97675, NULL, 'PTHR47925:SF29', NULL, NULL, NULL, NULL, 'OS01G0913400 PROTEIN', NULL, NULL, NULL, 15),
(97676, NULL, 'PTHR23161:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CIP2A', NULL, NULL, NULL, 15),
(97677, NULL, 'PTHR22849:SF116', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 25', NULL, NULL, NULL, 15),
(97678, NULL, 'PTHR47660', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED-RELATED', NULL, NULL, NULL, 15),
(97679, NULL, 'PTHR46929:SF13', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(97680, NULL, 'PTHR19309:SF0', NULL, NULL, NULL, NULL, 'GASTRIN', NULL, NULL, NULL, 15),
(97681, NULL, 'PTHR43447:SF23', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 2B', NULL, NULL, NULL, 15),
(97682, NULL, 'PTHR23257:SF746', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0278665-RELATED', NULL, NULL, NULL, 15),
(97683, NULL, 'PTHR43226:SF4', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE 3', NULL, NULL, NULL, 15),
(97684, NULL, 'PTHR31388:SF238', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(97685, NULL, 'PTHR24056:SF481', NULL, NULL, NULL, NULL, 'OS02G0559300 PROTEIN', NULL, NULL, NULL, 15),
(97686, NULL, 'PTHR46214:SF19', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH8-LIKE', NULL, NULL, NULL, 15),
(97687, NULL, 'PTHR35714:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97688, NULL, 'PTHR45616:SF17', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CUTICULAR HB4', NULL, NULL, NULL, 15),
(97689, NULL, 'PTHR47151', NULL, NULL, NULL, NULL, 'LEU/ILE/VAL-BINDING ABC TRANSPORTER SUBUNIT', NULL, NULL, NULL, 15),
(97690, NULL, 'PTHR22691:SF8', NULL, NULL, NULL, NULL, 'PROTEIN SPT2 HOMOLOG', NULL, NULL, NULL, 15),
(97691, NULL, 'PTHR24409:SF363', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 16', NULL, NULL, NULL, 15),
(97692, NULL, 'PTHR35277:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(97693, NULL, 'PTHR13094:SF3', NULL, NULL, NULL, NULL, 'BNAA01G26750D PROTEIN', NULL, NULL, NULL, 15),
(97694, NULL, 'PTHR12740:SF4', NULL, NULL, NULL, NULL, 'JNK1/MAPK8-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(97695, NULL, 'PTHR45476:SF5', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(97696, NULL, 'PTHR33507:SF6', NULL, NULL, NULL, NULL, 'NODULATION PROTEIN NFED', NULL, NULL, NULL, 15),
(97697, NULL, 'PTHR11232:SF35', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR ADAPTER PROTEIN 1', NULL, NULL, NULL, 15),
(97698, NULL, 'PTHR11592:SF121', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(97699, NULL, 'PTHR46700:SF1', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(97700, NULL, 'PTHR33108:SF68', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN (DUF1677)', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97701, NULL, 'PTHR42853:SF4', NULL, NULL, NULL, NULL, 'BNAA03G17570D PROTEIN', NULL, NULL, NULL, 15),
(97702, NULL, 'PTHR24411:SF56', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR, ERYTHROID 2-LIKE 3', NULL, NULL, NULL, 15),
(97703, NULL, 'PTHR23252:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97704, NULL, 'PTHR47480:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97705, NULL, 'PTHR26450:SF115', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(97706, NULL, 'PTHR11923:SF48', NULL, NULL, NULL, NULL, 'LYSOSOME MEMBRANE PROTEIN 2-A', NULL, NULL, NULL, 15),
(97707, NULL, 'PTHR31269:SF22', NULL, NULL, NULL, NULL, 'OS11G0274300 PROTEIN', NULL, NULL, NULL, 15),
(97708, NULL, 'PTHR33541', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE A-RELATED', NULL, NULL, 29299, 15),
(97709, NULL, 'PTHR45675:SF76', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97710, NULL, 'PTHR30618:SF15', NULL, NULL, NULL, NULL, 'NICOTINAMIDE RIBOSIDE TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(97711, NULL, 'PTHR24418:SF429', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(97712, NULL, 'PTHR11001', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION PROCESS PROTEIN 1', NULL, NULL, 19974, 15),
(97713, NULL, 'PTHR46458:SF7', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', NULL, NULL, NULL, 15),
(97714, NULL, 'PTHR48053:SF48', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE BRI1-LIKE 3', NULL, NULL, NULL, 15),
(97715, NULL, 'PTHR11850:SF270', NULL, NULL, NULL, NULL, 'ASSOCIATED WITH HOX FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(97716, NULL, 'PTHR42796', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE DOMAIN-CONTAINING PROTEIN 2A-RELATED', NULL, NULL, NULL, 15),
(97717, NULL, 'PTHR27008:SF433', NULL, NULL, NULL, NULL, 'OS09G0423200 PROTEIN', NULL, NULL, NULL, 15),
(97718, NULL, 'PTHR31713:SF68', NULL, NULL, NULL, NULL, 'BNAA02G35270D PROTEIN', NULL, NULL, NULL, 15),
(97719, NULL, 'PTHR11017:SF391', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(97720, NULL, 'PTHR46132:SF8', NULL, NULL, NULL, NULL, 'DIGALACTOSYLDIACYLGLYCEROL SYNTHASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(97721, NULL, 'PTHR10933:SF12', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(97722, NULL, 'PTHR12304:SF47', NULL, NULL, NULL, NULL, 'URIDINE NUCLEOSIDASE', NULL, NULL, NULL, 15),
(97723, NULL, 'PTHR31356:SF41', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 3, PEROXISOMAL-LIKE', NULL, NULL, NULL, 15),
(97724, NULL, 'PTHR12411:SF726', NULL, NULL, NULL, NULL, 'BNAA08G04080D PROTEIN', NULL, NULL, NULL, 15),
(97725, NULL, 'PTHR31089:SF36', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 3-LIKE', NULL, NULL, NULL, 15),
(97726, NULL, 'PTHR24381:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97727, NULL, 'PTHR48056:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97728, NULL, 'PTHR33597:SF18', NULL, NULL, NULL, NULL, 'BNAA09G14940D PROTEIN', NULL, NULL, NULL, 15),
(97729, NULL, 'PTHR35515', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT N, CHLOROPLASTIC', NULL, NULL, 21095, 15),
(97730, NULL, 'PTHR22811:SF144', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA6', NULL, NULL, NULL, 15),
(97731, NULL, 'PTHR24356:SF362', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WARTS', NULL, NULL, NULL, 15),
(97732, NULL, 'PTHR10543:SF123', NULL, NULL, NULL, NULL, '9-CIS-EPOXYCAROTENOID DIOXYGENASE NCED5, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(97733, NULL, 'PTHR23077:SF144', NULL, NULL, NULL, NULL, 'PROTEASOME-ASSOCIATED ATPASE', NULL, NULL, NULL, 15),
(97734, NULL, 'PTHR10258:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED POTASSIUM CHANNEL SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(97735, NULL, 'PTHR43591:SF70', NULL, NULL, NULL, NULL, 'DOMAIN METHYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15860)-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97736, NULL, 'PTHR45706:SF2', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 20', NULL, NULL, NULL, 15),
(97737, NULL, 'PTHR24064:SF563', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 24', NULL, NULL, NULL, 15),
(97738, NULL, 'PTHR27008:SF466', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', NULL, NULL, NULL, 15),
(97739, NULL, 'PTHR47372:SF3', NULL, NULL, NULL, NULL, 'COLD-RESPONSIVE LEA/RAB-RELATED COR PROTEIN', NULL, NULL, NULL, 15),
(97740, NULL, 'PTHR45719:SF7', NULL, NULL, NULL, NULL, 'OS01G0201100 PROTEIN', NULL, NULL, NULL, 15),
(97741, NULL, 'PTHR22835:SF562', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97742, NULL, 'PTHR46157:SF8', NULL, NULL, NULL, NULL, 'GLUTATHIONE-REGULATED POTASSIUM-EFFLUX SYSTEM PROTEIN', NULL, NULL, NULL, 15),
(97743, NULL, 'PTHR37336', NULL, NULL, NULL, NULL, 'SIMILAR TO 9930012K11RIK PROTEIN', NULL, NULL, NULL, 15),
(97744, NULL, 'PTHR12411:SF633', NULL, NULL, NULL, NULL, 'INSECT RESISTANCE2', NULL, NULL, NULL, 15),
(97745, NULL, 'PTHR24351:SF200', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, 35182, 15),
(97746, NULL, 'PTHR12042:SF17', NULL, NULL, NULL, NULL, 'LACTOSYLCERAMIDE 4-ALPHA-GALACTOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(97747, NULL, 'PTHR47985:SF41', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL5-RELATED', NULL, NULL, NULL, 15),
(97748, NULL, 'PTHR45977:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97749, NULL, 'PTHR15696:SF18', NULL, NULL, NULL, NULL, 'SMG-7', NULL, NULL, NULL, 15),
(97750, NULL, 'PTHR19359:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97751, NULL, 'PTHR16121:SF2', NULL, NULL, NULL, NULL, 'CAP-SPECIFIC MRNA (NUCLEOSIDE-2''-O-)-METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(97752, NULL, 'PTHR48001:SF68', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(97753, NULL, 'PTHR45617:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97754, NULL, 'PTHR11240:SF38', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2-LIKE', NULL, NULL, NULL, 15),
(97755, NULL, 'PTHR20515:SF2', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 4A', NULL, NULL, NULL, 15),
(97756, NULL, 'PTHR32044:SF54', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 11-RELATED', NULL, NULL, NULL, 15),
(97757, NULL, 'PTHR15976', NULL, NULL, NULL, NULL, 'CONSTITUTIVE COACTIVATOR OF PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR GAMMA', NULL, NULL, 27666, 15),
(97758, NULL, 'PTHR33237:SF31', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(97759, NULL, 'PTHR46525:SF12', NULL, NULL, NULL, NULL, 'BNAA03G00800D PROTEIN', NULL, NULL, NULL, 15),
(97760, NULL, 'PTHR45909', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(97761, NULL, 'PTHR42827:SF1', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97762, NULL, 'PTHR33044:SF160', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(97763, NULL, 'PTHR46277:SF3', NULL, NULL, NULL, NULL, 'OS03G0850700 PROTEIN', NULL, NULL, NULL, 15),
(97764, NULL, 'PTHR24412:SF454', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 17', NULL, NULL, 22922, 15),
(97765, NULL, 'PTHR11811:SF25', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING', NULL, NULL, NULL, 15),
(97766, NULL, 'PTHR10984:SF65', NULL, NULL, NULL, NULL, 'BNAC06G04170D PROTEIN', NULL, NULL, NULL, 15),
(97767, NULL, 'PTHR10496:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', NULL, NULL, NULL, 15),
(97768, NULL, 'PTHR12620:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH-TYPE, RNA BINDING MOTIF AND SERINE/ARGININE RICH 2', NULL, NULL, NULL, 15),
(97769, NULL, 'PTHR32263:SF24', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE RCD1-LIKE', NULL, NULL, NULL, 15),
(97770, NULL, 'PTHR19143:SF225', NULL, NULL, NULL, NULL, 'MICROFIBRIL-ASSOCIATED GLYCOPROTEIN 4', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97771, NULL, 'PTHR11849:SF133', NULL, NULL, NULL, NULL, 'LIN-1', NULL, NULL, NULL, 15),
(97772, NULL, 'PTHR10677:SF40', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PARKIN', NULL, NULL, NULL, 15),
(97773, NULL, 'PTHR43859:SF48', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 2-RELATED', NULL, NULL, NULL, 15),
(97774, NULL, 'PTHR11902:SF46', NULL, NULL, NULL, NULL, 'ENOLASE', NULL, NULL, NULL, 15),
(97775, NULL, 'PTHR28004:SF8', NULL, NULL, NULL, NULL, 'D-SERINE DEAMINASE', NULL, NULL, NULL, 15),
(97776, NULL, 'PTHR22807:SF30', NULL, NULL, NULL, NULL, '28S RRNA (CYTOSINE(4447)-C(5))-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(97777, NULL, 'PTHR11604:SF38', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(97778, NULL, 'PTHR23020:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CBG24040', NULL, NULL, NULL, 15),
(97779, NULL, 'PTHR10795:SF615', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', NULL, NULL, NULL, 15),
(97780, NULL, 'PTHR35709:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PROTON GRADIENT REGULATION 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(97781, NULL, 'PTHR23151:SF75', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE COMPONENT 5 OF PYRUVATE DEHYDROGENASE COMPLEX, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(97782, NULL, 'PTHR31824:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG03903', NULL, NULL, NULL, 15),
(97783, NULL, 'PTHR19136:SF52', NULL, NULL, NULL, NULL, '2,3,4,5-TETRAHYDROPYRIDINE-2,6-DICARBOXYLATE N-SUCCINYLTRANSFERASE', NULL, NULL, NULL, 15),
(97784, NULL, 'PTHR42693:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97785, NULL, 'PTHR43477:SF1', NULL, NULL, NULL, NULL, 'DIHYDROANTICAPSIN 7-DEHYDROGENASE', NULL, NULL, NULL, 15),
(97786, NULL, 'PTHR23017', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(97787, NULL, 'PTHR33876:SF3', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NICKEL-TRANSPORT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(97788, NULL, 'PTHR40094', NULL, NULL, NULL, NULL, 'ALPHA-2-MACROGLOBULIN HOMOLOG', NULL, NULL, NULL, 15),
(97789, NULL, 'PTHR14882:SF7', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 74A-RELATED', NULL, NULL, 35888, 15),
(97790, NULL, 'PTHR11040:SF182', NULL, NULL, NULL, NULL, 'ZINC/IRON PERMEASE-RELATED', NULL, NULL, NULL, 15),
(97791, NULL, 'PTHR35013:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG09906', NULL, NULL, NULL, 15),
(97792, NULL, 'PTHR34116:SF2', NULL, NULL, NULL, NULL, 'PLASMINOGEN ACTIVATOR INHIBITOR', NULL, NULL, NULL, 15),
(97793, NULL, 'PTHR14379:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97794, NULL, 'PTHR47984:SF29', NULL, NULL, NULL, NULL, 'BNACNNG08720D PROTEIN', NULL, NULL, NULL, 15),
(97795, NULL, 'PTHR37838', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT C', NULL, NULL, 4071, 15),
(97796, NULL, 'PTHR46678:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97797, NULL, 'PTHR46400:SF9', NULL, NULL, NULL, NULL, 'E3 LIGASE', NULL, NULL, NULL, 15),
(97798, NULL, 'PTHR48018:SF18', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(97799, NULL, 'PTHR47958:SF92', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 14', NULL, NULL, NULL, 15),
(97800, NULL, 'PTHR31734:SF181', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(97801, NULL, 'PTHR34011', NULL, NULL, NULL, NULL, 'PHYCOBILISOME 32.1 KDA LINKER POLYPEPTIDE, PHYCOCYANIN-ASSOCIATED, ROD 2-RELATED', NULL, NULL, NULL, 15),
(97802, NULL, 'PTHR13738:SF18', NULL, NULL, NULL, NULL, 'TROPONIN I 2', NULL, NULL, NULL, 15),
(97803, NULL, 'PTHR30154:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ASNC FAMILY', NULL, NULL, NULL, 15),
(97804, NULL, 'PTHR11818:SF32', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN C', NULL, NULL, NULL, 15),
(97805, NULL, 'PTHR31126:SF1', NULL, NULL, NULL, NULL, 'PTP/DSP-LIKE', NULL, NULL, NULL, 15),
(97806, NULL, 'PTHR32031:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97807, NULL, 'PTHR32322', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORTER', NULL, NULL, NULL, 15),
(97808, NULL, 'PTHR31925', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 251', NULL, NULL, 24606, 15),
(97809, NULL, 'PTHR23089:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97810, NULL, 'PTHR36479:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97811, NULL, 'PTHR24064:SF460', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 15', NULL, NULL, NULL, 15),
(97812, NULL, 'PTHR31346:SF27', NULL, NULL, NULL, NULL, 'BNAC04G11080D PROTEIN', NULL, NULL, NULL, 15),
(97813, NULL, 'PTHR47241:SF3', NULL, NULL, NULL, NULL, 'ZBED6 C-TERMINAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97814, NULL, 'PTHR13999:SF13', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(97815, NULL, 'PTHR22844:SF331', NULL, NULL, NULL, NULL, 'SIMILARITY TO GTP-BINDING REGULATORY PROTEIN AND WD-REPEAT PROTEIN', NULL, NULL, NULL, 15),
(97816, NULL, 'PTHR10859:SF110', NULL, NULL, NULL, NULL, '4,4''-DIAPONEUROSPORENOATE GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(97817, NULL, 'PTHR11945:SF659', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97818, NULL, 'PTHR13455:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR P66-BETA', NULL, NULL, NULL, 15),
(97819, NULL, 'PTHR10606:SF14', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE/FRUCTOSE-2,6-BISPHOSPHATASE 4', NULL, NULL, NULL, 15),
(97820, NULL, 'PTHR34068', NULL, NULL, NULL, NULL, 'UPF0145 PROTEIN YBJQ', NULL, NULL, 4258, 15),
(97821, NULL, 'PTHR26374:SF384', NULL, NULL, NULL, NULL, 'BNAA10G12780D PROTEIN', NULL, NULL, NULL, 15),
(97822, NULL, 'PTHR36344:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97823, NULL, 'PTHR45786:SF20', NULL, NULL, NULL, NULL, 'OS08G0300100 PROTEIN', NULL, NULL, NULL, 15),
(97824, NULL, 'PTHR13190:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97825, NULL, 'PTHR31818:SF3', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 29', NULL, NULL, NULL, 15),
(97826, NULL, 'PTHR47976:SF49', NULL, NULL, NULL, NULL, 'S-RECEPTOR KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97827, NULL, 'PTHR45642:SF17', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(97828, NULL, 'PTHR24027:SF273', NULL, NULL, NULL, NULL, 'CADHERIN-8', NULL, NULL, NULL, 15),
(97829, NULL, 'PTHR23361:SF19', NULL, NULL, NULL, NULL, 'IPT/TIG DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(97830, NULL, 'PTHR18640:SF5', NULL, NULL, NULL, NULL, 'SODIUM/BILE ACID COTRANSPORTER 7', NULL, NULL, NULL, 15),
(97831, NULL, 'PTHR42776:SF23', NULL, NULL, NULL, NULL, 'ENZYME-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(97832, NULL, 'PTHR36326:SF19', NULL, NULL, NULL, NULL, 'OS03G0165900 PROTEIN', NULL, NULL, NULL, 15),
(97833, NULL, 'PTHR13140:SF763', NULL, NULL, NULL, NULL, 'MYOSIN-4', NULL, NULL, NULL, 15),
(97834, NULL, 'PTHR43557:SF13', NULL, NULL, NULL, NULL, 'MONODEHYDROASCORBATE REDUCTASE 2-RELATED', NULL, NULL, NULL, 15),
(97835, NULL, 'PTHR24023:SF974', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(VIII) CHAIN', NULL, NULL, NULL, 15),
(97836, NULL, 'PTHR24247:SF210', NULL, NULL, NULL, NULL, 'HISTAMINE H2 RECEPTOR', NULL, NULL, NULL, 15),
(97837, NULL, 'PTHR32161:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97838, NULL, 'PTHR30523:SF31', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE-LIKE', NULL, NULL, NULL, 15),
(97839, NULL, 'PTHR23506:SF29', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10530)-RELATED', NULL, NULL, NULL, 15),
(97840, NULL, 'PTHR24366:SF132', NULL, NULL, NULL, NULL, 'GH22922P', NULL, NULL, NULL, 15),
(97841, NULL, 'PTHR31779', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17430)-RELATED', NULL, NULL, NULL, 15),
(97842, NULL, 'PTHR10183:SF412', NULL, NULL, NULL, NULL, 'CALPAIN-B-LIKE PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97843, NULL, 'PTHR32208:SF62', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(97844, NULL, 'PTHR48054:SF19', NULL, NULL, NULL, NULL, 'OS08G0203300 PROTEIN', NULL, NULL, NULL, 15),
(97845, NULL, 'PTHR28174:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L36, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(97846, NULL, 'PTHR31415:SF127', NULL, NULL, NULL, NULL, 'PROTEIN YLS9-LIKE', NULL, NULL, NULL, 15),
(97847, NULL, 'PTHR10334:SF422', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(97848, NULL, 'PTHR11801:SF49', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION B', NULL, NULL, NULL, 15),
(97849, NULL, 'PTHR24068:SF320', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 C-RELATED', NULL, NULL, NULL, 15),
(97850, NULL, 'PTHR45724:SF8', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP1-4', NULL, NULL, NULL, 15),
(97851, NULL, 'PTHR21021', NULL, NULL, NULL, NULL, 'GAF/PUTATIVE CYTOSKELETAL PROTEIN', NULL, NULL, NULL, 15),
(97852, NULL, 'PTHR43874:SF154', NULL, NULL, NULL, NULL, 'BNAC04G47580D PROTEIN', NULL, NULL, NULL, 15),
(97853, NULL, 'PTHR13773:SF13', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(97854, NULL, 'PTHR12565:SF376', NULL, NULL, NULL, NULL, 'BNAC02G22470D PROTEIN', NULL, NULL, NULL, 15),
(97855, NULL, 'PTHR31730:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97856, NULL, 'PTHR24247:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97857, NULL, 'PTHR42748:SF23', NULL, NULL, NULL, NULL, 'FAMILY TRANSCRIPTIONAL REGULATOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06920)-RELATED', NULL, NULL, NULL, 15),
(97858, NULL, 'PTHR31221:SF101', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 32-RELATED', NULL, NULL, NULL, 15),
(97859, NULL, 'PTHR22957:SF544', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(97860, NULL, 'PTHR46349:SF4', NULL, NULL, NULL, NULL, 'CINGULIN', NULL, NULL, NULL, 15),
(97861, NULL, 'PTHR10666:SF260', NULL, NULL, NULL, NULL, 'UBIQUITIN A-52 RESIDUE RIBOSOMAL PROTEIN FUSION PRODUCT 1-RELATED', NULL, NULL, NULL, 15),
(97862, NULL, 'PTHR31376:SF39', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 9-RELATED', NULL, NULL, NULL, 15),
(97863, NULL, 'PTHR32258:SF36', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: PROTEIN NETWORKED 1D', NULL, NULL, NULL, 15),
(97864, NULL, 'PTHR45693:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA2-RELATED', NULL, NULL, NULL, 15),
(97865, NULL, 'PTHR11252:SF0', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE NUCLEOTIDYLTRANSFERASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(97866, NULL, 'PTHR12290:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(97867, NULL, 'PTHR24376:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 40', NULL, NULL, NULL, 15),
(97868, NULL, 'PTHR43918:SF5', NULL, NULL, NULL, NULL, 'CHOLINESTERASE', NULL, NULL, NULL, 15),
(97869, NULL, 'PTHR31561:SF154', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(97870, NULL, 'PTHR10547:SF6', NULL, NULL, NULL, NULL, 'SEMENOGELIN-2', NULL, NULL, NULL, 15),
(97871, NULL, 'PTHR21447:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG07418', NULL, NULL, NULL, 15),
(97872, NULL, 'PTHR24028:SF97', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-15', NULL, NULL, 27537, 15),
(97873, NULL, 'PTHR31325:SF202', NULL, NULL, NULL, NULL, 'OSJNBA0089E12.13-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97874, NULL, 'PTHR45458', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR', NULL, NULL, NULL, 15),
(97875, NULL, 'PTHR13878:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97876, NULL, 'PTHR45648:SF67', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(97877, NULL, 'PTHR30115:SF18', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN P-II', NULL, NULL, NULL, 15),
(97878, NULL, 'PTHR33780:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97879, NULL, 'PTHR22714:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97880, NULL, 'PTHR47657:SF10', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(97881, NULL, 'PTHR46322:SF4', NULL, NULL, NULL, NULL, 'BNAC06G01820D PROTEIN', NULL, NULL, NULL, 15),
(97882, NULL, 'PTHR32387:SF16', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN, REVERSE TRANSCRIPTASE, RNA-DEPENDENT DNA POLYMERASE-RELATED', NULL, NULL, NULL, 15),
(97883, NULL, 'PTHR14340:SF4', NULL, NULL, NULL, NULL, 'MICROFIBRIL-ASSOCIATED GLYCOPROTEIN 3', NULL, NULL, NULL, 15),
(97884, NULL, 'PTHR35743:SF2', NULL, NULL, NULL, NULL, 'BNAC02G46750D PROTEIN', NULL, NULL, NULL, 15),
(97885, NULL, 'PTHR13068:SF122', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR-RELATED / MTERF-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97886, NULL, 'PTHR46128:SF114', NULL, NULL, NULL, NULL, 'BNACNNG32430D PROTEIN', NULL, NULL, NULL, 15),
(97887, NULL, 'PTHR31677:SF162', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 4', NULL, NULL, NULL, 15),
(97888, NULL, 'PTHR31318', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97889, NULL, 'PTHR35098', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 29920, 15),
(97890, NULL, 'PTHR35129:SF1', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 1', NULL, NULL, NULL, 15),
(97891, NULL, 'PTHR20898:SF0', NULL, NULL, NULL, NULL, 'FI12029P-RELATED', NULL, NULL, NULL, 15),
(97892, NULL, 'PTHR45719:SF10', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(97893, NULL, 'PTHR10587:SF78', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-N-ACETYLMURAMIC ACID DEACETYLASE PDAA', NULL, NULL, 10534, 15),
(97894, NULL, 'PTHR26374:SF386', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(97895, NULL, 'PTHR30387:SF2', NULL, NULL, NULL, NULL, 'MANNONATE DEHYDRATASE', NULL, NULL, NULL, 15),
(97896, NULL, 'PTHR24281:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97897, NULL, 'PTHR33101:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97898, NULL, 'PTHR39456', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 16266, 15),
(97899, NULL, 'PTHR14218:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97900, NULL, 'PTHR31175:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97901, NULL, 'PTHR11043:SF1', NULL, NULL, NULL, NULL, 'TSET COMPLEX MEMBER TSTD', NULL, NULL, NULL, 15),
(97902, NULL, 'PTHR32295:SF149', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', NULL, NULL, NULL, 15),
(97903, NULL, 'PTHR31683:SF151', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(97904, NULL, 'PTHR15454:SF43', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(97905, NULL, 'PTHR11848:SF159', NULL, NULL, NULL, NULL, 'NODAL HOMOLOG', NULL, NULL, NULL, 15),
(97906, NULL, 'PTHR47978:SF19', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA2C', NULL, NULL, NULL, 15),
(97907, NULL, 'PTHR31314:SF126', NULL, NULL, NULL, NULL, 'MYB-LIKE HTH TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97908, NULL, 'PTHR23030:SF34', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH 6-INTERACTING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(97909, NULL, 'PTHR14155:SF571', NULL, NULL, NULL, NULL, 'BNACNNG73870D PROTEIN', NULL, NULL, NULL, 15),
(97910, NULL, 'PTHR10177:SF477', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97911, NULL, 'PTHR47990:SF148', NULL, NULL, NULL, NULL, 'PLANT GIBBERELLIN 2-OXIDASE', NULL, NULL, NULL, 15),
(97912, NULL, 'PTHR31179:SF7', NULL, NULL, NULL, NULL, 'RABAPTIN (RAB EFFECTOR)', NULL, NULL, NULL, 15),
(97913, NULL, 'PTHR10315:SF81', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(97914, NULL, 'PTHR12459:SF15', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_2G12300)', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97915, NULL, 'PTHR45757:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG07685', NULL, NULL, NULL, 15),
(97916, NULL, 'PTHR31973:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97917, NULL, 'PTHR37006', NULL, NULL, NULL, NULL, 'RETROVIRAL-LIKE ASPARTIC PROTEASE 1', NULL, NULL, 36304, 15),
(97918, NULL, 'PTHR45946:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B1', NULL, NULL, NULL, 15),
(97919, NULL, 'PTHR46626:SF4', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97920, NULL, 'PTHR31235:SF281', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(97921, NULL, 'PTHR12411:SF650', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97922, NULL, 'PTHR35291:SF7', NULL, NULL, NULL, NULL, 'BNAC07G31940D PROTEIN', NULL, NULL, NULL, 15),
(97923, NULL, 'PTHR10807:SF109', NULL, NULL, NULL, NULL, 'SET DOMAIN BINDING FACTOR, ISOFORM A', NULL, NULL, NULL, 15),
(97924, NULL, 'PTHR11206:SF308', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(97925, NULL, 'PTHR46708:SF2', NULL, NULL, NULL, NULL, 'TENASCIN C', NULL, NULL, NULL, 15),
(97926, NULL, 'PTHR14881', NULL, NULL, NULL, NULL, 'LISH DOMAIN-CONTAINING PROTEIN ARMC9', NULL, NULL, 32070, 15),
(97927, NULL, 'PTHR36170:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 89 KDA', NULL, NULL, NULL, 15),
(97928, NULL, 'PTHR24373:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97929, NULL, 'PTHR34310:SF9', NULL, NULL, NULL, NULL, 'BLR5716 PROTEIN', NULL, NULL, NULL, 15),
(97930, NULL, 'PTHR31509:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97931, NULL, 'PTHR24388:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 507', NULL, NULL, NULL, 15),
(97932, NULL, 'PTHR12642:SF0', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NSA2 HOMOLOG', NULL, NULL, NULL, 15),
(97933, NULL, 'PTHR45744:SF17', NULL, NULL, NULL, NULL, 'TRANSAMINASE', NULL, NULL, NULL, 15),
(97934, NULL, 'PTHR31169:SF4', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE-ASSOCIATED 7-LIKE PROTEIN', NULL, NULL, 31773, 15),
(97935, NULL, 'PTHR10155:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE REGULATORY SUBUNIT BETA', NULL, NULL, NULL, 15),
(97936, NULL, 'PTHR11022:SF44', NULL, NULL, NULL, NULL, 'MIP09469P', NULL, NULL, NULL, 15),
(97937, NULL, 'PTHR31790:SF234', NULL, NULL, NULL, NULL, 'BNAC05G37170D PROTEIN', NULL, NULL, NULL, 15),
(97938, NULL, 'PTHR14614:SF116', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE SMALL DOMAIN', NULL, NULL, NULL, 15),
(97939, NULL, 'PTHR24204:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97940, NULL, 'PTHR13832:SF785', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(97941, NULL, 'PTHR30182:SF14', NULL, NULL, NULL, NULL, 'L-SERINE DEHYDRATASE 2', NULL, NULL, NULL, 15),
(97942, NULL, 'PTHR11654:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97943, NULL, 'PTHR12904:SF23', NULL, NULL, NULL, NULL, 'PROTEIN ZER-1 HOMOLOG', NULL, NULL, 34396, 15),
(97944, NULL, 'PTHR31391:SF118', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(97945, NULL, 'PTHR11267:SF129', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX20', NULL, NULL, NULL, 15),
(97946, NULL, 'PTHR15907:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97947, NULL, 'PTHR12210:SF13', NULL, NULL, NULL, NULL, 'CTD SMALL PHOSPHATASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(97948, NULL, 'PTHR37478', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 5548, 15),
(97949, NULL, 'PTHR23406:SF34', NULL, NULL, NULL, NULL, 'MALIC ENZYME-RELATED', NULL, NULL, NULL, 15),
(97950, NULL, 'PTHR10196:SF67', NULL, NULL, NULL, NULL, 'SEDOHEPTULOKINASE', NULL, NULL, NULL, 15),
(97951, NULL, 'PTHR23268:SF31', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 30', NULL, NULL, NULL, 15),
(97952, NULL, 'PTHR43654:SF1', NULL, NULL, NULL, NULL, 'ISOPENTENYL PHOSPHATE KINASE', NULL, NULL, 14181, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97953, NULL, 'PTHR38128:SF2', NULL, NULL, NULL, NULL, 'GAMETOCYTOGENESIS-IMPLICATED PROTEIN', NULL, NULL, NULL, 15),
(97954, NULL, 'PTHR24056:SF395', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE G-1', NULL, NULL, NULL, 15),
(97955, NULL, 'PTHR31111:SF26', NULL, NULL, NULL, NULL, 'BNAA09G12510D PROTEIN', NULL, NULL, NULL, 15),
(97956, NULL, 'PTHR47158:SF5', NULL, NULL, NULL, NULL, 'BNAC07G31090D PROTEIN', NULL, NULL, NULL, 15),
(97957, NULL, 'PTHR47926:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97958, NULL, 'PTHR11913:SF23', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 9', NULL, NULL, NULL, 15),
(97959, NULL, 'PTHR42750', NULL, NULL, NULL, NULL, 'SHORT-CHAIN ALCOHOL DEHYDROGENASE FAMILY', NULL, NULL, NULL, 15),
(97960, NULL, 'PTHR31213:SF75', NULL, NULL, NULL, NULL, 'OS03G0297600 PROTEIN', NULL, NULL, NULL, 15),
(97961, NULL, 'PTHR23213:SF347', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 14', NULL, NULL, NULL, 15),
(97962, NULL, 'PTHR23262:SF7', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 2-1', NULL, NULL, NULL, 15),
(97963, NULL, 'PTHR15725:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH-TYPE-CONTAINING 11A', NULL, NULL, NULL, 15),
(97964, NULL, 'PTHR33021:SF209', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(97965, NULL, 'PTHR28541:SF1', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 15', NULL, NULL, NULL, 15),
(97966, NULL, 'PTHR15036:SF65', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA 2', NULL, NULL, NULL, 15),
(97967, NULL, 'PTHR12974:SF47', NULL, NULL, NULL, NULL, 'TERMINAL NUCLEOTIDYLTRANSFERASE 5AB', NULL, NULL, NULL, 15),
(97968, NULL, 'PTHR13620:SF90', NULL, NULL, NULL, NULL, 'BNAC01G38350D PROTEIN', NULL, NULL, NULL, 15),
(97969, NULL, 'PTHR24012:SF710', NULL, NULL, NULL, NULL, 'TERMINAL EAR1-LIKE 1', NULL, NULL, NULL, 15),
(97970, NULL, 'PTHR26453:SF316', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T4', NULL, NULL, NULL, 15),
(97971, NULL, 'PTHR31717:SF61', NULL, NULL, NULL, NULL, 'B-BOX TYPE ZINC FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(97972, NULL, 'PTHR31717:SF79', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 9', NULL, NULL, NULL, 15),
(97973, NULL, 'PTHR46847:SF1', NULL, NULL, NULL, NULL, 'D-ALLOSE-BINDING PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(97974, NULL, 'PTHR31750:SF22', NULL, NULL, NULL, NULL, 'BNAA01G22870D PROTEIN', NULL, NULL, NULL, 15),
(97975, NULL, 'PTHR47993:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97976, NULL, 'PTHR24096:SF306', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', NULL, NULL, NULL, 15),
(97977, NULL, 'PTHR12378:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97978, NULL, 'PTHR33751:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME BC1 COMPLEX CYTOCHROME C SUBUNIT', NULL, NULL, NULL, 15),
(97979, NULL, 'PTHR46119:SF8', NULL, NULL, NULL, NULL, 'OS08G0405700 PROTEIN', NULL, NULL, NULL, 15),
(97980, NULL, 'PTHR22923:SF62', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 4', NULL, NULL, NULL, 15),
(97981, NULL, 'PTHR48019:SF43', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL8-LIKE PROTEIN', NULL, NULL, NULL, 15),
(97982, NULL, 'PTHR48001:SF8', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(97983, NULL, 'PTHR35146:SF1', NULL, NULL, NULL, NULL, 'UPF0178 PROTEIN YAII', NULL, NULL, NULL, 15),
(97984, NULL, 'PTHR11781:SF19', NULL, NULL, NULL, NULL, 'THYROXINE 5''-DEIODINASE', NULL, NULL, NULL, 15),
(97985, NULL, 'PTHR12411:SF736', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97986, NULL, 'PTHR10694:SF90', NULL, NULL, NULL, NULL, 'LYSINE DEMETHYLASE 4F', NULL, NULL, NULL, 15),
(97987, NULL, 'PTHR33345:SF5', NULL, NULL, NULL, NULL, 'SPINDLE ASSEMBLY ABNORMAL PROTEIN', NULL, NULL, NULL, 15),
(97988, NULL, 'PTHR30191:SF8', NULL, NULL, NULL, NULL, 'PYRUVATE FORMATE-LYASE', NULL, NULL, NULL, 15),
(97989, NULL, 'PTHR31744:SF110', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUNGBRUNNEN 1-LIKE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(97990, NULL, 'PTHR48022:SF28', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02890)-RELATED', NULL, NULL, NULL, 15),
(97991, NULL, 'PTHR11699:SF286', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 2 MEMBER B4, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(97992, NULL, 'PTHR45453', NULL, NULL, NULL, NULL, 'PHOSPHATE REGULON SENSOR PROTEIN PHOR', NULL, NULL, NULL, 15),
(97993, NULL, 'PTHR47322:SF12', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15),
(97994, NULL, 'PTHR33389:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(97995, NULL, 'PTHR35093:SF3', NULL, NULL, NULL, NULL, 'LONG-CHAIN FATTY ACID TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(97996, NULL, 'PTHR10515', NULL, NULL, NULL, NULL, 'THYMIDINE PHOSPHORYLASE', NULL, NULL, 3844, 15),
(97997, NULL, 'PTHR11636:SF126', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 3, TRANSCRIPTION FACTOR 3-B', NULL, NULL, NULL, 15),
(97998, NULL, 'PTHR14181:SF1', NULL, NULL, NULL, NULL, 'ATYPICAL CHEMOKINE RECEPTOR 1', NULL, NULL, NULL, 15),
(97999, NULL, 'PTHR10642:SF10', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H1', NULL, NULL, NULL, 15),
(98000, NULL, 'PTHR43213:SF5', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DTTP/UTP PYROPHOSPHATASE/METHYLTRANSFERASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98001, NULL, 'PTHR10772:SF26', NULL, NULL, NULL, NULL, 'OS02G0781400 PROTEIN', NULL, NULL, NULL, 15),
(98002, NULL, 'PTHR45676:SF46', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL60', NULL, NULL, NULL, 15),
(98003, NULL, 'PTHR43537:SF21', NULL, NULL, NULL, NULL, 'GALACTONATE OPERON TRANSCRIPTIONAL REPRESSOR', NULL, NULL, NULL, 15),
(98004, NULL, 'PTHR46958', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR CD22', NULL, NULL, NULL, 15),
(98005, NULL, 'PTHR24281:SF21', NULL, NULL, NULL, NULL, '(S)-N-METHYLCOCLAURINE 3''-HYDROXYLASE ISOZYME 1', NULL, NULL, NULL, 15),
(98006, NULL, 'PTHR24103:SF644', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 135', NULL, NULL, NULL, 15),
(98007, NULL, 'PTHR31500:SF50', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 10-LIKE', NULL, NULL, NULL, 15),
(98008, NULL, 'PTHR31989:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98009, NULL, 'PTHR19241:SF569', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(98010, NULL, 'PTHR47034:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER TRANSCRIPTION FACTOR TRPS1', NULL, NULL, NULL, 15),
(98011, NULL, 'PTHR22789:SF15', NULL, NULL, NULL, NULL, 'L-RIBULOSE-5-PHOSPHATE 4-EPIMERASE ARAD', NULL, NULL, NULL, 15),
(98012, NULL, 'PTHR11353:SF24', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(98013, NULL, 'PTHR12634:SF20', NULL, NULL, NULL, NULL, 'SIT4 PHOSPHATASE-ASSOCIATED FAMILY PROTEIN', NULL, NULL, NULL, 15),
(98014, NULL, 'PTHR23136:SF8', NULL, NULL, NULL, NULL, 'ST6 N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(98015, NULL, 'PTHR47938:SF22', NULL, NULL, NULL, NULL, 'RESPIRATORY COMPLEX I CHAPERONE (CIA84), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G06020)-RELATED', NULL, NULL, NULL, 15),
(98016, NULL, 'PTHR31985:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98017, NULL, 'PTHR12532:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98018, NULL, 'PTHR43670:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98019, NULL, 'PTHR19446:SF440', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98020, NULL, 'PTHR31636:SF279', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 31', NULL, NULL, NULL, 15),
(98021, NULL, 'PTHR46011:SF13', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(98022, NULL, 'PTHR30634', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE LOLAB LIPOPROTEIN INSERTION APPARATUS', NULL, NULL, NULL, 15),
(98023, NULL, 'PTHR13286:SF13', NULL, NULL, NULL, NULL, 'BNAA06G13420D PROTEIN', NULL, NULL, NULL, 15),
(98024, NULL, 'PTHR10253', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98025, NULL, 'PTHR24092:SF89', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(98026, NULL, 'PTHR38050:SF1', NULL, NULL, NULL, NULL, 'FERULOYL ESTERASE C', NULL, NULL, 16723, 15),
(98027, NULL, 'PTHR24056:SF421', NULL, NULL, NULL, NULL, 'TRANSPOSON PROTEIN', NULL, NULL, NULL, 15),
(98028, NULL, 'PTHR43070:SF3', NULL, NULL, NULL, NULL, 'HOMOSERINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(98029, NULL, 'PTHR23268:SF86', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 6-5-RELATED', NULL, NULL, NULL, 15),
(98030, NULL, 'PTHR12300:SF95', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98031, NULL, 'PTHR32133:SF257', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98032, NULL, 'PTHR34775:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98033, NULL, 'PTHR13259', NULL, NULL, NULL, NULL, 'BLADDER CANCER 10 KD PROTEIN HOMOLOG', NULL, NULL, 1654, 15),
(98034, NULL, 'PTHR10593:SF171', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98035, NULL, 'PTHR34539:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98036, NULL, 'PTHR31190:SF275', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98037, NULL, 'PTHR24186:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98038, NULL, 'PTHR43353:SF6', NULL, NULL, NULL, NULL, 'CYTOPLASMIC ALDEHYDE DEHYDROGENASE (EUROFUNG)', NULL, NULL, NULL, 15),
(98039, NULL, 'PTHR12542:SF98', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(98040, NULL, 'PTHR11205:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98041, NULL, 'PTHR31099:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98042, NULL, 'PTHR15258:SF1', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(98043, NULL, 'PTHR24067:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 G1', NULL, NULL, NULL, 15),
(98044, NULL, 'PTHR31384:SF113', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(98045, NULL, 'PTHR12892:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG12134', NULL, NULL, NULL, 15),
(98046, NULL, 'PTHR31513:SF1', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-B RECEPTOR', NULL, NULL, NULL, 15),
(98047, NULL, 'PTHR31613', NULL, NULL, NULL, NULL, 'AUGURIN', NULL, NULL, 26419, 15),
(98048, NULL, 'PTHR46233', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE GLOC', NULL, NULL, NULL, 15),
(98049, NULL, 'PTHR45747:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EZH1', NULL, NULL, 24991, 15),
(98050, NULL, 'PTHR10015:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98051, NULL, 'PTHR31540:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 131 KDA', NULL, NULL, NULL, 15),
(98052, NULL, 'PTHR21451:SF0', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-79 SPECIFIC', NULL, NULL, NULL, 15),
(98053, NULL, 'PTHR11627:SF8', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(98054, NULL, 'PTHR31321:SF102', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(98055, NULL, 'PTHR47129', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE 2', NULL, NULL, NULL, 15),
(98056, NULL, 'PTHR23095:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98057, NULL, 'PTHR30540:SF104', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(98058, NULL, 'PTHR31084:SF15', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 2-LIKE', NULL, NULL, NULL, 15),
(98059, NULL, 'PTHR24014:SF11', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(98060, NULL, 'PTHR18896:SF166', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(98061, NULL, 'PTHR24064:SF303', NULL, NULL, NULL, NULL, 'PROTEIN CBG02977', NULL, NULL, NULL, 15),
(98062, NULL, 'PTHR23502:SF43', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER MDFA', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98063, NULL, 'PTHR22958:SF33', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHOCHOLINE PHOSPHODIESTERASE GPCPD1 HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(98064, NULL, 'PTHR47428:SF1', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN MIG1-RELATED', NULL, NULL, NULL, 15),
(98065, NULL, 'PTHR27008:SF456', NULL, NULL, NULL, NULL, 'OS10G0337400 PROTEIN', NULL, NULL, NULL, 15),
(98066, NULL, 'PTHR32116:SF85', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(98067, NULL, 'PTHR47165', NULL, NULL, NULL, NULL, 'OS03G0429900 PROTEIN', NULL, NULL, NULL, 15),
(98068, NULL, 'PTHR11516:SF61', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(98069, NULL, 'PTHR24282:SF171', NULL, NULL, NULL, NULL, 'OS01G0628900 PROTEIN', NULL, NULL, NULL, 15),
(98070, NULL, 'PTHR39335:SF1', NULL, NULL, NULL, NULL, 'BLL4220 PROTEIN', NULL, NULL, NULL, 15),
(98071, NULL, 'PTHR23232:SF70', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 85', NULL, NULL, NULL, 15),
(98072, NULL, 'PTHR13866:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98073, NULL, 'PTHR15556:SF4', NULL, NULL, NULL, NULL, 'EP300-INTERACTING INHIBITOR OF DIFFERENTIATION 2B', NULL, NULL, 34029, 15),
(98074, NULL, 'PTHR46794', NULL, NULL, NULL, NULL, 'AMELOGENIN, Y ISOFORM', NULL, NULL, 1681, 15),
(98075, NULL, 'PTHR37534:SF8', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(98076, NULL, 'PTHR45521:SF2', NULL, NULL, NULL, NULL, 'TSET COMPLEX MEMBER TSTF', NULL, NULL, NULL, 15),
(98077, NULL, 'PTHR33122:SF37', NULL, NULL, NULL, NULL, 'OS04G0415800 PROTEIN', NULL, NULL, NULL, 15),
(98078, NULL, 'PTHR24365:SF521', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 4', NULL, NULL, NULL, 15),
(98079, NULL, 'PTHR23135:SF7', NULL, NULL, NULL, NULL, 'LIPID II ISOGLUTAMINYL SYNTHASE (GLUTAMINE-HYDROLYZING) SUBUNIT MURT', NULL, NULL, NULL, 15),
(98080, NULL, 'PTHR31846:SF10', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC GROUP IIA INTRON SPLICING FACILITATOR CRS1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(98081, NULL, 'PTHR47926:SF246', NULL, NULL, NULL, NULL, 'OS02G0818800 PROTEIN', NULL, NULL, NULL, 15),
(98082, NULL, 'PTHR21501:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM-161', NULL, NULL, NULL, 15),
(98083, NULL, 'PTHR34264', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(98084, NULL, 'PTHR10694:SF98', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ16-RELATED', NULL, NULL, NULL, 15),
(98085, NULL, 'PTHR21342:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOPANTETHEINE ADENYLYLTRANSFERASE', NULL, NULL, 4331, 15),
(98086, NULL, 'PTHR11481:SF100', NULL, NULL, NULL, NULL, 'PLATELET/ENDOTHELIAL CELL ADHESION MOLECULE 1', NULL, NULL, NULL, 15),
(98087, NULL, 'PTHR33228:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98088, NULL, 'PTHR43092:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98089, NULL, 'PTHR41964:SF1', NULL, NULL, NULL, NULL, 'GLOBAL NITROGEN REGULATOR NRPR', NULL, NULL, NULL, 15),
(98090, NULL, 'PTHR45624:SF15', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN YMC2, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(98091, NULL, 'PTHR12321:SF136', NULL, NULL, NULL, NULL, 'BNAC02G40200D PROTEIN', NULL, NULL, NULL, 15),
(98092, NULL, 'PTHR15710:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98093, NULL, 'PTHR35121:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98094, NULL, 'PTHR31692:SF62', NULL, NULL, NULL, NULL, '1A, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(98095, NULL, 'PTHR10209:SF713', NULL, NULL, NULL, NULL, 'FERULOYL COA ORTHO-HYDROXYLASE 2', NULL, NULL, NULL, 15),
(98096, NULL, 'PTHR31235:SF308', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(98097, NULL, 'PTHR46227:SF3', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR-INTERACTING PROTEIN 1', NULL, NULL, 26140, 15),
(98098, NULL, 'PTHR42985:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98099, NULL, 'PTHR19328', NULL, NULL, NULL, NULL, 'HEDGEHOG-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(98100, NULL, 'PTHR33077:SF107', NULL, NULL, NULL, NULL, 'BNAA08G29440D PROTEIN', NULL, NULL, NULL, 15),
(98101, NULL, 'PTHR43758:SF4', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRIPHOSPHATASE NUDI', NULL, NULL, NULL, 15),
(98102, NULL, 'PTHR10331:SF23', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN J', NULL, NULL, 35402, 15),
(98103, NULL, 'PTHR11006:SF105', NULL, NULL, NULL, NULL, 'BNAA07G04710D PROTEIN', NULL, NULL, NULL, 15),
(98104, NULL, 'PTHR31415:SF107', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98105, NULL, 'PTHR24056:SF486', NULL, NULL, NULL, NULL, 'OS12G0427000 PROTEIN', NULL, NULL, NULL, 15),
(98106, NULL, 'PTHR24299:SF29', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(98107, NULL, 'PTHR11200:SF117', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE 5-PHOSPHATASE K', NULL, NULL, NULL, 15),
(98108, NULL, 'PTHR43625:SF22', NULL, NULL, NULL, NULL, 'OS07G0143000 PROTEIN', NULL, NULL, NULL, 15),
(98109, NULL, 'PTHR33870:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98110, NULL, 'PTHR42985:SF25', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED MONOCARBOXYLATE TRANSPORTER 1', NULL, NULL, NULL, 15),
(98111, NULL, 'PTHR42879:SF2', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE FABG', NULL, NULL, NULL, 15),
(98112, NULL, 'PTHR13832:SF777', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', NULL, NULL, NULL, 15),
(98113, NULL, 'PTHR11850:SF246', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 2', NULL, NULL, NULL, 15),
(98114, NULL, 'PTHR24115:SF479', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIFC2', NULL, NULL, NULL, 15),
(98115, NULL, 'PTHR37975:SF4', NULL, NULL, NULL, NULL, 'FLYWCH ZINC FINGER TRANSCRIPTION FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(98116, NULL, 'PTHR31989:SF131', NULL, NULL, NULL, NULL, 'OSJNBA0022H21.10 PROTEIN', NULL, NULL, NULL, 15),
(98117, NULL, 'PTHR38701', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(98118, NULL, 'PTHR24174:SF1', NULL, NULL, NULL, NULL, 'IP14385P', NULL, NULL, NULL, 15),
(98119, NULL, 'PTHR11475:SF85', NULL, NULL, NULL, NULL, 'SHK DOMAIN AND PEROXIDASE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(98120, NULL, 'PTHR23139:SF106', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF LARGE SUBUNIT A', NULL, NULL, NULL, 15),
(98121, NULL, 'PTHR10783:SF109', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 3-LIKE', NULL, NULL, NULL, 15),
(98122, NULL, 'PTHR10835:SF7', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE', NULL, NULL, NULL, 15),
(98123, NULL, 'PTHR10797:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98124, NULL, 'PTHR11733:SF200', NULL, NULL, NULL, NULL, 'FI07649P-RELATED', NULL, NULL, NULL, 15),
(98125, NULL, 'PTHR15371:SF17', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM17 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(98126, NULL, 'PTHR15371:SF28', NULL, NULL, NULL, NULL, 'BNAC01G21960D PROTEIN', NULL, NULL, NULL, 15),
(98127, NULL, 'PTHR33155:SF43', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 1', NULL, NULL, NULL, 15),
(98128, NULL, 'PTHR46328:SF16', NULL, NULL, NULL, NULL, 'OS07G0283300 PROTEIN', NULL, NULL, NULL, 15),
(98129, NULL, 'PTHR45711:SF10', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(98130, NULL, 'PTHR19375:SF457', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 71 KDA PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98131, NULL, 'PTHR13718', NULL, NULL, NULL, NULL, 'RIBOSOMAL S SUBUNIT', NULL, NULL, 4862, 15),
(98132, NULL, 'PTHR10334', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN-RELATED', NULL, NULL, 261, 15),
(98133, NULL, 'PTHR34364:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98134, NULL, 'PTHR45826', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER PUT1', NULL, NULL, 38997, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98135, NULL, 'PTHR46715:SF1', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 3-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(98136, NULL, 'PTHR11537:SF91', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY G MEMBER 3', NULL, NULL, NULL, 15),
(98137, NULL, 'PTHR47375:SF1', NULL, NULL, NULL, NULL, 'GB|AAF34833.1', NULL, NULL, NULL, 15),
(98138, NULL, 'PTHR22804:SF52', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 2', NULL, NULL, NULL, 15),
(98139, NULL, 'PTHR11474:SF84', NULL, NULL, NULL, NULL, 'TYROSINASE', NULL, NULL, NULL, 15),
(98140, NULL, 'PTHR24205:SF7', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS PROTEIN 5', NULL, NULL, NULL, 15),
(98141, NULL, 'PTHR10687:SF71', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(98142, NULL, 'PTHR23246:SF13', NULL, NULL, NULL, NULL, 'GH12359P-RELATED', NULL, NULL, NULL, 15),
(98143, NULL, 'PTHR24060:SF29', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 1', NULL, NULL, NULL, 15),
(98144, NULL, 'PTHR10963:SF22', NULL, NULL, NULL, NULL, 'GLYCOSIDASE CRH2-RELATED', NULL, NULL, NULL, 15),
(98145, NULL, 'PTHR10807:SF40', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 1', NULL, NULL, 22473, 15),
(98146, NULL, 'PTHR35119:SF7', NULL, NULL, NULL, NULL, 'OSJNBB0022F23.8-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98147, NULL, 'PTHR24373:SF348', NULL, NULL, NULL, NULL, 'AGAP003880-PA', NULL, NULL, NULL, 15),
(98148, NULL, 'PTHR11761:SF34', NULL, NULL, NULL, NULL, '60S RIBOSOMAL L23-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98149, NULL, 'PTHR31769:SF60', NULL, NULL, NULL, NULL, 'PROTEIN FB34, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(98150, NULL, 'PTHR21022:SF33', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', NULL, NULL, NULL, 15),
(98151, NULL, 'PTHR31069:SF12', NULL, NULL, NULL, NULL, 'ASPERLIN BIOSYNTHESIS CLUSTER PROTEIN G', NULL, NULL, NULL, 15),
(98152, NULL, 'PTHR15535', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(98153, NULL, 'PTHR46100:SF7', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(98154, NULL, 'PTHR46446:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE5', NULL, NULL, NULL, 15),
(98155, NULL, 'PTHR10127:SF827', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-7', NULL, NULL, 26707, 15),
(98156, NULL, 'PTHR44083:SF20', NULL, NULL, NULL, NULL, 'PROTEIN TPR3-LIKE', NULL, NULL, NULL, 15),
(98157, NULL, 'PTHR33663:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 177', NULL, NULL, NULL, 15),
(98158, NULL, 'PTHR45752:SF91', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (NBS-LRR CLASS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(98159, NULL, 'PTHR47987:SF7', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(98160, NULL, 'PTHR14296:SF9', NULL, NULL, NULL, NULL, 'DDT DOMAIN SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(98161, NULL, 'PTHR11040:SF169', NULL, NULL, NULL, NULL, 'FI24038P1', NULL, NULL, NULL, 15),
(98162, NULL, 'PTHR31852:SF194', NULL, NULL, NULL, NULL, 'BNAA02G28020D PROTEIN', NULL, NULL, NULL, 15),
(98163, NULL, 'PTHR48017:SF144', NULL, NULL, NULL, NULL, 'BNAC04G01690D PROTEIN', NULL, NULL, NULL, 15),
(98164, NULL, 'PTHR33443', NULL, NULL, NULL, NULL, 'ZGC:112980', NULL, NULL, NULL, 15),
(98165, NULL, 'PTHR48154', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98166, NULL, 'PTHR47371:SF1', NULL, NULL, NULL, NULL, 'LIPOTEICHOIC ACID SYNTHASE-LIKE YQGS', NULL, NULL, NULL, 15),
(98167, NULL, 'PTHR34344:SF1', NULL, NULL, NULL, NULL, 'UPF0184 PROTEIN C9ORF16', NULL, NULL, NULL, 15),
(98168, NULL, 'PTHR43211', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE', NULL, NULL, NULL, 15),
(98169, NULL, 'PTHR13544:SF6', NULL, NULL, NULL, NULL, 'SELENOPROTEIN T2', NULL, NULL, NULL, 15),
(98170, NULL, 'PTHR31238:SF148', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 9-1', NULL, NULL, NULL, 15),
(98171, NULL, 'PTHR23222:SF4', NULL, NULL, NULL, NULL, 'PROHIBITIN COMPLEX PROTEIN 2, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98172, NULL, 'PTHR45650:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98173, NULL, 'PTHR11875:SF136', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 75', NULL, NULL, NULL, 15),
(98174, NULL, 'PTHR10336:SF6', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE EPSILON-1', NULL, NULL, 24841, 15),
(98175, NULL, 'PTHR31586:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98176, NULL, 'PTHR30185:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MANR', NULL, NULL, NULL, 15),
(98177, NULL, 'PTHR33709:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE FAMILY C19-RELATED PROTEIN', NULL, NULL, NULL, 15),
(98178, NULL, 'PTHR11021:SF0', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN F', NULL, NULL, NULL, 15),
(98179, NULL, 'PTHR44743', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(98180, NULL, 'PTHR23267:SF141', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 38-2/DELTA VARIABLE 8', NULL, NULL, NULL, 15),
(98181, NULL, 'PTHR44137:SF37', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98182, NULL, 'PTHR33796', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 2997, 15),
(98183, NULL, 'PTHR13301:SF159', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 6 [UDP-FORMING]', NULL, NULL, NULL, 15),
(98184, NULL, 'PTHR31469:SF8', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN', NULL, NULL, NULL, 15),
(98185, NULL, 'PTHR24031:SF728', NULL, NULL, NULL, NULL, 'BNAC02G41920D PROTEIN', NULL, NULL, NULL, 15),
(98186, NULL, 'PTHR48018:SF10', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(98187, NULL, 'PTHR21646:SF49', NULL, NULL, NULL, NULL, 'UBIQUITIN C-TERMINAL HYDROLASE 22', NULL, NULL, NULL, 15),
(98188, NULL, 'PTHR45768:SF10', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL13-RELATED', NULL, NULL, NULL, 15),
(98189, NULL, 'PTHR43048:SF3', NULL, NULL, NULL, NULL, 'METHYLMALONYL-COA EPIMERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(98190, NULL, 'PTHR10516:SF441', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(98191, NULL, 'PTHR31992:SF216', NULL, NULL, NULL, NULL, 'BNAA01G25190D PROTEIN', NULL, NULL, NULL, 15),
(98192, NULL, 'PTHR11604:SF24', NULL, NULL, NULL, NULL, 'PROFILIN-1-RELATED', NULL, NULL, NULL, 15),
(98193, NULL, 'PTHR43347', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE', NULL, NULL, NULL, 15),
(98194, NULL, 'PTHR19375:SF423', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70 FAMILY-RELATED', NULL, NULL, NULL, 15),
(98195, NULL, 'PTHR34946:SF7', NULL, NULL, NULL, NULL, 'OS02G0507100 PROTEIN', NULL, NULL, NULL, 15),
(98196, NULL, 'PTHR34543:SF9', NULL, NULL, NULL, NULL, 'PROTEIN ABA DEFICIENT 4, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(98197, NULL, 'PTHR27009:SF255', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-5', NULL, NULL, NULL, 15),
(98198, NULL, 'PTHR13068:SF158', NULL, NULL, NULL, NULL, 'BNAA03G59750D PROTEIN', NULL, NULL, NULL, 15),
(98199, NULL, 'PTHR35501:SF7', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN C4', NULL, NULL, NULL, 15),
(98200, NULL, 'PTHR33321:SF3', NULL, NULL, NULL, NULL, 'OS05G0582000 PROTEIN', NULL, NULL, NULL, 15),
(98201, NULL, 'PTHR30450:SF1', NULL, NULL, NULL, NULL, 'D-METHIONINE TRANSPORT SYSTEM PERMEASE PROTEIN METI-RELATED', NULL, NULL, NULL, 15),
(98202, NULL, 'PTHR16001:SF4', NULL, NULL, NULL, NULL, 'ECTO-NOX DISULFIDE-THIOL EXCHANGER 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98203, NULL, 'PTHR37749', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(98204, NULL, 'PTHR11254:SF427', NULL, NULL, NULL, NULL, 'BNAC03G29640D PROTEIN', NULL, NULL, NULL, 15),
(98205, NULL, 'PTHR45771:SF9', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C4', NULL, NULL, NULL, 15),
(98206, NULL, 'PTHR24559:SF335', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON 17.6-LIKE PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98207, NULL, 'PTHR32370:SF25', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(98208, NULL, 'PTHR36442', NULL, NULL, NULL, NULL, 'CYCLIC-DI-AMP PHOSPHODIESTERASE PGPH', NULL, NULL, NULL, 15),
(98209, NULL, 'PTHR33286:SF34', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(98210, NULL, 'PTHR33530:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98211, NULL, 'PTHR27005:SF304', NULL, NULL, NULL, NULL, 'F16F4.7 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98212, NULL, 'PTHR33306:SF21', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(98213, NULL, 'PTHR47991:SF119', NULL, NULL, NULL, NULL, 'PROTEIN SRG1', NULL, NULL, NULL, 15),
(98214, NULL, 'PTHR33472:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0094O15.16 PROTEIN', NULL, NULL, NULL, 15),
(98215, NULL, 'PTHR10783:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98216, NULL, 'PTHR10010:SF46', NULL, NULL, NULL, NULL, 'SODIUM/PHOSPHATE COTRANSPORTER-RELATED', NULL, NULL, 23977, 15),
(98217, NULL, 'PTHR31867:SF196', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(98218, NULL, 'PTHR15944:SF0', NULL, NULL, NULL, NULL, 'FARNESYLCYSTEINE LYASE', NULL, NULL, NULL, 15),
(98219, NULL, 'PTHR11902:SF41', NULL, NULL, NULL, NULL, 'ENOLASE', NULL, NULL, NULL, 15),
(98220, NULL, 'PTHR23082:SF0', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 3', NULL, NULL, NULL, 15),
(98221, NULL, 'PTHR33048:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98222, NULL, 'PTHR45651:SF12', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 15-RELATED', NULL, NULL, NULL, 15),
(98223, NULL, 'PTHR40855', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98224, NULL, 'PTHR11089:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98225, NULL, 'PTHR33146:SF23', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 5', NULL, NULL, NULL, 15),
(98226, NULL, 'PTHR43108:SF8', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SULFATASE SULF-1 HOMOLOG', NULL, NULL, NULL, 15),
(98227, NULL, 'PTHR31046:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 121', NULL, NULL, NULL, 15),
(98228, NULL, 'PTHR46780:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98229, NULL, 'PTHR22298:SF155', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(98230, NULL, 'PTHR32227:SF302', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-13-BETA-GLUCOSIDASE 7', NULL, NULL, NULL, 15),
(98231, NULL, 'PTHR30413:SF8', NULL, NULL, NULL, NULL, 'TRANSPORT PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(98232, NULL, 'PTHR15583:SF18', NULL, NULL, NULL, NULL, 'INTERLEUKIN CYTOKINE RECEPTOR-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(98233, NULL, 'PTHR23235:SF74', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 17', NULL, NULL, NULL, 15),
(98234, NULL, 'PTHR33449:SF5', NULL, NULL, NULL, NULL, 'BNAA08G12980D PROTEIN', NULL, NULL, NULL, 15),
(98235, NULL, 'PTHR23219', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE C15H7.3-RELATED', NULL, NULL, NULL, 15),
(98236, NULL, 'PTHR43686:SF2', NULL, NULL, NULL, NULL, 'TRNA-CYTIDINE(32) 2-SULFURTRANSFERASE', NULL, NULL, NULL, 15),
(98237, NULL, 'PTHR48045', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 72B1', NULL, NULL, NULL, 15),
(98238, NULL, 'PTHR13743:SF112', NULL, NULL, NULL, NULL, 'NEUROBEACHIN', NULL, NULL, NULL, 15),
(98239, NULL, 'PTHR23122:SF72', NULL, NULL, NULL, NULL, 'DISKS LARGE 1 TUMOR SUPPRESSOR PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98240, NULL, 'PTHR31087:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98241, NULL, 'PTHR11176:SF34', NULL, NULL, NULL, NULL, 'BNAC05G16170D PROTEIN', NULL, NULL, NULL, 15),
(98242, NULL, 'PTHR44156:SF2', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 1A', NULL, NULL, NULL, 15),
(98243, NULL, 'PTHR21531', NULL, NULL, NULL, NULL, 'LOW-TEMPERATURE VIABILITY PROTEIN LTV1-RELATED', NULL, NULL, 4890, 15),
(98244, NULL, 'PTHR31235:SF295', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98245, NULL, 'PTHR24248:SF0', NULL, NULL, NULL, NULL, 'ALPHA-2DA ADRENERGIC RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(98246, NULL, 'PTHR45747:SF4', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE E(Z)', NULL, NULL, NULL, 15),
(98247, NULL, 'PTHR43810:SF2', NULL, NULL, NULL, NULL, 'N(G),N(G)-DIMETHYLARGININE DIMETHYLAMINOHYDROLASE', NULL, NULL, NULL, 15),
(98248, NULL, 'PTHR10177:SF414', NULL, NULL, NULL, NULL, 'CYCLIN D2.1 PROTEIN', NULL, NULL, NULL, 15),
(98249, NULL, 'PTHR12411:SF140', NULL, NULL, NULL, NULL, 'CATHEPSIN 8', NULL, NULL, NULL, 15),
(98250, NULL, 'PTHR36766:SF9', NULL, NULL, NULL, NULL, 'BNAANNG11750D PROTEIN', NULL, NULL, NULL, 15),
(98251, NULL, 'PTHR31190:SF218', NULL, NULL, NULL, NULL, 'BNAANNG13660D PROTEIN', NULL, NULL, NULL, 15),
(98252, NULL, 'PTHR14493:SF116', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 20', NULL, NULL, NULL, 15),
(98253, NULL, 'PTHR21421:SF29', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR 5A FOR TREHALOSE-RELATED', NULL, NULL, NULL, 15),
(98254, NULL, 'PTHR43201:SF16', NULL, NULL, NULL, NULL, 'NONRIBOSOMAL PEPTIDE SYNTHETASE EASA', NULL, NULL, NULL, 15),
(98255, NULL, 'PTHR45719:SF9', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(98256, NULL, 'PTHR11818:SF12', NULL, NULL, NULL, NULL, 'BETA-CRYSTALLIN B1', NULL, NULL, 33076, 15),
(98257, NULL, 'PTHR43813:SF4', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID COA LIGASE (AMP-FORMING)', NULL, NULL, NULL, 15),
(98258, NULL, 'PTHR10796:SF87', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(98259, NULL, 'PTHR31460:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98260, NULL, 'PTHR32468:SF84', NULL, NULL, NULL, NULL, 'OS05G0382200 PROTEIN', NULL, NULL, NULL, 15),
(98261, NULL, 'PTHR12940:SF0', NULL, NULL, NULL, NULL, 'SPLICING FACTOR ESS-2 HOMOLOG', NULL, NULL, NULL, 15),
(98262, NULL, 'PTHR31960:SF30', NULL, NULL, NULL, NULL, 'OS04G0571300 PROTEIN', NULL, NULL, NULL, 15),
(98263, NULL, 'PTHR13773:SF20', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(98264, NULL, 'PTHR19241:SF253', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(98265, NULL, 'PTHR11040:SF186', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(98266, NULL, 'PTHR34602:SF2', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP E', NULL, NULL, NULL, 15),
(98267, NULL, 'PTHR11444:SF1', NULL, NULL, NULL, NULL, 'FUMARATE HYDRATASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(98268, NULL, 'PTHR24173:SF66', NULL, NULL, NULL, NULL, 'PROTEIN FEM-1 HOMOLOG CG6966', NULL, NULL, NULL, 15),
(98269, NULL, 'PTHR13167:SF43', NULL, NULL, NULL, NULL, 'PIEZO NON-SPECIFIC CATION CHANNEL, R-RAS-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98270, NULL, 'PTHR45818:SF2', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE VAV', NULL, NULL, 24068, 15),
(98271, NULL, 'PTHR43243:SF59', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(98272, NULL, 'PTHR11964:SF11', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE ISOFORM TYPE-1', NULL, NULL, NULL, 15),
(98273, NULL, 'PTHR10795:SF676', NULL, NULL, NULL, NULL, 'OS07G0578300 PROTEIN', NULL, NULL, NULL, 15),
(98274, NULL, 'PTHR34303', NULL, NULL, NULL, NULL, 'OS01G0890400 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98275, NULL, 'PTHR43709:SF2', NULL, NULL, NULL, NULL, 'DUF453 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G00360)', NULL, NULL, NULL, 15),
(98276, NULL, 'PTHR46987', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98277, NULL, 'PTHR33377:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98278, NULL, 'PTHR47958:SF15', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 56-LIKE', NULL, NULL, NULL, 15),
(98279, NULL, 'PTHR10845:SF247', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN-SIGNALING 13', NULL, NULL, NULL, 15),
(98280, NULL, 'PTHR46359:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 11', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98281, NULL, 'PTHR32002:SF39', NULL, NULL, NULL, NULL, 'PROTEIN NLP1', NULL, NULL, NULL, 15),
(98282, NULL, 'PTHR45751:SF2', NULL, NULL, NULL, NULL, 'COPINE FAMILY PROTEIN 2', NULL, NULL, NULL, 15),
(98283, NULL, 'PTHR33077:SF91', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 6B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(98284, NULL, 'PTHR46825:SF4', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN PBPX-RELATED', NULL, NULL, NULL, 15),
(98285, NULL, 'PTHR43284', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE (GLUTAMINE-HYDROLYZING)', NULL, NULL, NULL, 15),
(98286, NULL, 'PTHR36539:SF1', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTN', NULL, NULL, NULL, 15),
(98287, NULL, 'PTHR45645:SF41', NULL, NULL, NULL, NULL, 'CUBILIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98288, NULL, 'PTHR11877:SF81', NULL, NULL, NULL, NULL, 'BNAA02G30320D PROTEIN', NULL, NULL, NULL, 15),
(98289, NULL, 'PTHR11439:SF304', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: PLEIOTROPIC DRUG RESISTANCE PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(98290, NULL, 'PTHR28163', NULL, NULL, NULL, NULL, 'PROTEIN PET117 HOMOLOG, MITOCHONDRIAL', NULL, NULL, 24990, 15),
(98291, NULL, 'PTHR47000:SF7', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(98292, NULL, 'PTHR43795:SF1', NULL, NULL, NULL, NULL, 'INACTIVE 1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE-LIKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(98293, NULL, 'PTHR45046', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 36515, 15),
(98294, NULL, 'PTHR11165:SF114', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 13', NULL, NULL, NULL, 15),
(98295, NULL, 'PTHR19325:SF527', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98296, NULL, 'PTHR15263:SF1', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(98297, NULL, 'PTHR24026:SF51', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-LIKE WING POLARITY PROTEIN STAN', NULL, NULL, NULL, 15),
(98298, NULL, 'PTHR43775:SF2', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 6', NULL, NULL, NULL, 15),
(98299, NULL, 'PTHR12283', NULL, NULL, NULL, NULL, 'GLUTAMINYL-PEPTIDE CYCLOTRANSFERASE', NULL, NULL, 31419, 15),
(98300, NULL, 'PTHR19241:SF620', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN/PERMEASE PDR18-RELATED', NULL, NULL, NULL, 15),
(98301, NULL, 'PTHR33830:SF14', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 159', NULL, NULL, NULL, 15),
(98302, NULL, 'PTHR31731:SF28', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN DC2.15', NULL, NULL, NULL, 15),
(98303, NULL, 'PTHR32009:SF62', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(98304, NULL, 'PTHR24390:SF157', NULL, NULL, NULL, NULL, 'GH18834P-RELATED', NULL, NULL, NULL, 15),
(98305, NULL, 'PTHR46234:SF16', NULL, NULL, NULL, NULL, 'ACYL THIOESTERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98306, NULL, 'PTHR14145:SF3', NULL, NULL, NULL, NULL, 'OS02G0600100 PROTEIN', NULL, NULL, NULL, 15),
(98307, NULL, 'PTHR43056', NULL, NULL, NULL, NULL, 'PEPTIDASE S9 PROLYL OLIGOPEPTIDASE', NULL, NULL, NULL, 15),
(98308, NULL, 'PTHR43791:SF50', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00840)-RELATED', NULL, NULL, NULL, 15),
(98309, NULL, 'PTHR11733:SF130', NULL, NULL, NULL, NULL, 'ENDOTHELIN-CONVERTING ENZYME 1', NULL, NULL, 23366, 15),
(98310, NULL, 'PTHR10438:SF434', NULL, NULL, NULL, NULL, 'THIOREDOXIN H9', NULL, NULL, NULL, 15),
(98311, NULL, 'PTHR47967:SF69', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NANA, CHLOROPLAST', NULL, NULL, NULL, 15),
(98312, NULL, 'PTHR12391:SF4', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(98313, NULL, 'PTHR11349', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(98314, NULL, 'PTHR18966:SF373', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, N-METHYL D-ASPARTATE 2A, B', NULL, NULL, NULL, 15),
(98315, NULL, 'PTHR43149:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG19637', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98316, NULL, 'PTHR43895:SF82', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(98317, NULL, 'PTHR12216:SF3', NULL, NULL, NULL, NULL, 'UROCANATE HYDRATASE', NULL, NULL, NULL, 15),
(98318, NULL, 'PTHR12322:SF57', NULL, NULL, NULL, NULL, 'DM (DOUBLESEX/MAB-3) DOMAIN FAMILY', NULL, NULL, NULL, 15),
(98319, NULL, 'PTHR46738:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(98320, NULL, 'PTHR15241:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98321, NULL, 'PTHR33384:SF25', NULL, NULL, NULL, NULL, 'OS06G0661766 PROTEIN', NULL, NULL, NULL, 15),
(98322, NULL, 'PTHR11640:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98323, NULL, 'PTHR31374:SF161', NULL, NULL, NULL, NULL, 'OS02G0445100 PROTEIN', NULL, NULL, NULL, 15),
(98324, NULL, 'PTHR45803', NULL, NULL, NULL, NULL, 'SOX100B', NULL, NULL, NULL, 15),
(98325, NULL, 'PTHR12913', NULL, NULL, NULL, NULL, 'UNR PROTEIN  N-RAS UPSTREAM GENE PROTEIN', NULL, NULL, NULL, 15),
(98326, NULL, 'PTHR12210:SF64', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(98327, NULL, 'PTHR31072:SF171', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, TCP-RELATED', NULL, NULL, NULL, 15),
(98328, NULL, 'PTHR24064:SF510', NULL, NULL, NULL, NULL, 'HIGH AFFINITY INORGANIC PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(98329, NULL, 'PTHR31989:SF158', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(98330, NULL, 'PTHR20987', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(98331, NULL, 'PTHR47992:SF39', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 38-RELATED', NULL, NULL, NULL, 15),
(98332, NULL, 'PTHR10416:SF0', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA SUBUNIT 2', NULL, NULL, NULL, 15),
(98333, NULL, 'PTHR47999:SF54', NULL, NULL, NULL, NULL, 'OS03G0244875 PROTEIN', NULL, NULL, NULL, 15),
(98334, NULL, 'PTHR47274:SF16', NULL, NULL, NULL, NULL, 'BNAA09G51950D PROTEIN', NULL, NULL, NULL, 15),
(98335, NULL, 'PTHR32278:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98336, NULL, 'PTHR38701:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(98337, NULL, 'PTHR31218:SF275', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(98338, NULL, 'PTHR48043:SF39', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(98339, NULL, 'PTHR24177:SF327', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(98340, NULL, 'PTHR24221:SF540', NULL, NULL, NULL, NULL, 'NHPM BACTERIOCIN SYSTEM ABC TRANSPORTER, PEPTIDASE/ATP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98341, NULL, 'PTHR33911:SF1', NULL, NULL, NULL, NULL, 'RRNA-PROCESSING PROTEIN EFG1', NULL, NULL, NULL, 15),
(98342, NULL, 'PTHR43047:SF46', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE/RESPONSE REGULATOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12550)-RELATED', NULL, NULL, NULL, 15),
(98343, NULL, 'PTHR11260:SF624', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U26', NULL, NULL, NULL, 15),
(98344, NULL, 'PTHR31071:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98345, NULL, 'PTHR12791:SF52', NULL, NULL, NULL, NULL, 'TARGET SNARE COILED-COIL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(98346, NULL, 'PTHR44420:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE DHAR2-RELATED', NULL, NULL, NULL, 15),
(98347, NULL, 'PTHR31374:SF162', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(98348, NULL, 'PTHR11723:SF18', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN INHIBITOR ID-2B-RELATED', NULL, NULL, NULL, 15),
(98349, NULL, 'PTHR10196:SF56', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE', NULL, NULL, NULL, 15),
(98350, NULL, 'PTHR24234:SF10', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 4', NULL, NULL, NULL, 15),
(98351, NULL, 'PTHR15641:SF1', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 5', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98352, NULL, 'PTHR23299:SF22', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1F', NULL, NULL, NULL, 15),
(98353, NULL, 'PTHR10501:SF41', NULL, NULL, NULL, NULL, 'PROTEIN COUCH POTATO', NULL, NULL, NULL, 15),
(98354, NULL, 'PTHR37316:SF2', NULL, NULL, NULL, NULL, 'TEICHOIC ACID RIBITOL-PHOSPHATE POLYMERASE TARK', NULL, NULL, NULL, 15),
(98355, NULL, 'PTHR13430:SF11', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 13A-LIKE', NULL, NULL, NULL, 15),
(98356, NULL, 'PTHR43457:SF1', NULL, NULL, NULL, NULL, 'NITROGENASE MOLYBDENUM-IRON PROTEIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(98357, NULL, 'PTHR26374:SF376', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98358, NULL, 'PTHR14224:SF22', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE C87499-RELATED', NULL, NULL, NULL, 15),
(98359, NULL, 'PTHR12542:SF157', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(98360, NULL, 'PTHR45274', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(98361, NULL, 'PTHR37685:SF1', NULL, NULL, NULL, NULL, 'GEO11136P1-RELATED', NULL, NULL, NULL, 15),
(98362, NULL, 'PTHR46122:SF12', NULL, NULL, NULL, NULL, 'BNAA09G29390D PROTEIN', NULL, NULL, NULL, 15),
(98363, NULL, 'PTHR42985', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED MONOCARBOXYLATE TRANSPORTER', NULL, NULL, NULL, 15),
(98364, NULL, 'PTHR35108:SF1', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(98365, NULL, 'PTHR48001:SF60', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(98366, NULL, 'PTHR43382:SF9', NULL, NULL, NULL, NULL, 'BNAC06G18330D PROTEIN', NULL, NULL, NULL, 15),
(98367, NULL, 'PTHR12612:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98368, NULL, 'PTHR31260:SF57', NULL, NULL, NULL, NULL, 'BNAA08G00220D PROTEIN', NULL, NULL, NULL, 15),
(98369, NULL, 'PTHR39077:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98370, NULL, 'PTHR11818:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98371, NULL, 'PTHR10196:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98372, NULL, 'PTHR36115', NULL, NULL, NULL, NULL, 'PROLINE-RICH ANTIGEN HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(98373, NULL, 'PTHR45636:SF20', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-5', NULL, NULL, NULL, 15),
(98374, NULL, 'PTHR13683:SF835', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2', NULL, NULL, NULL, 15),
(98375, NULL, 'PTHR23180:SF399', NULL, NULL, NULL, NULL, 'CENTAURIN BETA 1A', NULL, NULL, NULL, 15),
(98376, NULL, 'PTHR30136:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR ICLR', NULL, NULL, NULL, 15),
(98377, NULL, 'PTHR10535:SF17', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES II AND IV SUBUNIT 5A-LIKE', NULL, NULL, NULL, 15),
(98378, NULL, 'PTHR46562', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE ULK4-LIKE PROTEIN-RELATED', NULL, NULL, 36626, 15),
(98379, NULL, 'PTHR31375:SF130', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE-LIKE', NULL, NULL, NULL, 15),
(98380, NULL, 'PTHR23244:SF453', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98381, NULL, 'PTHR10593:SF148', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN MAGPIE', NULL, NULL, NULL, 15),
(98382, NULL, 'PTHR37389:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98383, NULL, 'PTHR33374:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98384, NULL, 'PTHR43029:SF15', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(98385, NULL, 'PTHR11615:SF262', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98386, NULL, 'PTHR23055:SF169', NULL, NULL, NULL, NULL, 'NEUROCALCIN HOMOLOG-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98387, NULL, 'PTHR12357:SF87', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING PROTEIN ECT1', NULL, NULL, NULL, 15),
(98388, NULL, 'PTHR12902:SF34', NULL, NULL, NULL, NULL, 'WASP FAMILY MEMBER 3A', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98389, NULL, 'PTHR46328:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 12-LIKE', NULL, NULL, NULL, 15),
(98390, NULL, 'PTHR10108:SF1049', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT20-RELATED', NULL, NULL, NULL, 15),
(98391, NULL, 'PTHR22953:SF98', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(98392, NULL, 'PTHR12197:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98393, NULL, 'PTHR31805:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR DEF1-LIKE', NULL, NULL, NULL, 15),
(98394, NULL, 'PTHR21698', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(98395, NULL, 'PTHR31948:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98396, NULL, 'PTHR13943:SF37', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-METABOLIZING ENZYME A-C1', NULL, NULL, NULL, 15),
(98397, NULL, 'PTHR30346:SF9', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(98398, NULL, 'PTHR48032:SF13', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(98399, NULL, 'PTHR14112', NULL, NULL, NULL, NULL, 'SYNOVIAL SARCOMA, X MEMBER', NULL, NULL, 27662, 15),
(98400, NULL, 'PTHR31444:SF41', NULL, NULL, NULL, NULL, 'OS02G0158500 PROTEIN', NULL, NULL, NULL, 15),
(98401, NULL, 'PTHR11239:SF18', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', NULL, NULL, NULL, 15),
(98402, NULL, 'PTHR11710:SF19', NULL, NULL, NULL, NULL, 'BNAC07G31040D PROTEIN', NULL, NULL, NULL, 15),
(98403, NULL, 'PTHR35272:SF4', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBG', NULL, NULL, NULL, 15),
(98404, NULL, 'PTHR24248:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98405, NULL, 'PTHR11668:SF423', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PPQ', NULL, NULL, NULL, 15),
(98406, NULL, 'PTHR21522:SF32', NULL, NULL, NULL, NULL, 'PROTON CHANNEL OTOPLC', NULL, NULL, NULL, 15),
(98407, NULL, 'PTHR18929:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98408, NULL, 'PTHR10795:SF692', NULL, NULL, NULL, NULL, 'BNACNNG41810D PROTEIN', NULL, NULL, NULL, 15),
(98409, NULL, 'PTHR35546:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98410, NULL, 'PTHR46183:SF13', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98411, NULL, 'PTHR19134:SF284', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE C', NULL, NULL, NULL, 15),
(98412, NULL, 'PTHR10269:SF3', NULL, NULL, NULL, NULL, 'GDNF FAMILY RECEPTOR ALPHA-1', NULL, NULL, NULL, 15),
(98413, NULL, 'PTHR26450:SF164', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51B2', NULL, NULL, NULL, 15),
(98414, NULL, 'PTHR31218:SF52', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(98415, NULL, 'PTHR33209:SF1', NULL, NULL, NULL, NULL, 'SERINE PROTEASE SPPA, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(98416, NULL, 'PTHR11879:SF44', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(98417, NULL, 'PTHR31740', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN L', NULL, NULL, 22104, 15),
(98418, NULL, 'PTHR24410:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98419, NULL, 'PTHR24056:SF449', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE C-2', NULL, NULL, NULL, 15),
(98420, NULL, 'PTHR47334:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98421, NULL, 'PTHR13780:SF132', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-SYNTHASE (CBS) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98422, NULL, 'PTHR23415:SF32', NULL, NULL, NULL, NULL, '60S RIBOSOME SUBUNIT BIOGENESIS PROTEIN NIP7 HOMOLOG', NULL, NULL, NULL, 15),
(98423, NULL, 'PTHR17204', NULL, NULL, NULL, NULL, 'PRE-MRNA PROCESSING PROTEIN PRP39-RELATED', NULL, NULL, NULL, 15),
(98424, NULL, 'PTHR31241:SF53', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2D', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98425, NULL, 'PTHR10836:SF110', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(98426, NULL, 'PTHR18964:SF167', NULL, NULL, NULL, NULL, 'D-ALLOSE KINASE-RELATED', NULL, NULL, NULL, 15),
(98427, NULL, 'PTHR22745:SF11', NULL, NULL, NULL, NULL, 'PTMA ISOFORM 9', NULL, NULL, NULL, 15),
(98428, NULL, 'PTHR37705:SF5', NULL, NULL, NULL, NULL, 'BNAC05G26170D PROTEIN', NULL, NULL, NULL, 15),
(98429, NULL, 'PTHR11616:SF265', NULL, NULL, NULL, NULL, 'FI17140P1-RELATED', NULL, NULL, NULL, 15),
(98430, NULL, 'PTHR37615:SF1', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP159-LIKE', NULL, NULL, NULL, 15),
(98431, NULL, 'PTHR18966:SF509', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(98432, NULL, 'PTHR11685:SF346', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(98433, NULL, 'PTHR22298:SF104', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 16-RELATED', NULL, NULL, NULL, 15),
(98434, NULL, 'PTHR33070:SF49', NULL, NULL, NULL, NULL, 'OS06G0725500 PROTEIN', NULL, NULL, NULL, 15),
(98435, NULL, 'PTHR15317:SF1', NULL, NULL, NULL, NULL, 'T-CELL SURFACE PROTEIN TACTILE', NULL, NULL, NULL, 15),
(98436, NULL, 'PTHR31650:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98437, NULL, 'PTHR46581', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE RRA3', NULL, NULL, 36531, 15),
(98438, NULL, 'PTHR11054:SF22', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(98439, NULL, 'PTHR33159:SF35', NULL, NULL, NULL, NULL, 'OS06G0286375 PROTEIN', NULL, NULL, NULL, 15),
(98440, NULL, 'PTHR32246:SF88', NULL, NULL, NULL, NULL, 'PROTEIN SRC2 HOMOLOG', NULL, NULL, NULL, 15),
(98441, NULL, 'PTHR31205:SF57', NULL, NULL, NULL, NULL, 'BNACNNG24090D PROTEIN', NULL, NULL, NULL, 15),
(98442, NULL, 'PTHR10992:SF1054', NULL, NULL, NULL, NULL, 'METHYLKETONE SYNTHASE IE', NULL, NULL, NULL, 15),
(98443, NULL, 'PTHR11101:SF91', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(98444, NULL, 'PTHR21562:SF47', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(98445, NULL, 'PTHR48002:SF6', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(98446, NULL, 'PTHR33305:SF41', NULL, NULL, NULL, NULL, 'BNAA05G20140D PROTEIN', NULL, NULL, NULL, 15),
(98447, NULL, 'PTHR48017:SF155', NULL, NULL, NULL, NULL, 'BNAA03G56630D PROTEIN', NULL, NULL, NULL, 15),
(98448, NULL, 'PTHR10980:SF45', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 1-LIKE', NULL, NULL, NULL, 15),
(98449, NULL, 'PTHR46629:SF9', NULL, NULL, NULL, NULL, 'OS09G0505000 PROTEIN', NULL, NULL, NULL, 15),
(98450, NULL, 'PTHR31442:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98451, NULL, 'PTHR24062:SF30', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(98452, NULL, 'PTHR10783:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98453, NULL, 'PTHR45728:SF5', NULL, NULL, NULL, NULL, 'ACETYL-COA CARBOXYLASE 1', NULL, NULL, NULL, 15),
(98454, NULL, 'PTHR35095:SF3', NULL, NULL, NULL, NULL, 'F15K9.6', NULL, NULL, NULL, 15),
(98455, NULL, 'PTHR24390:SF135', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 740A-RELATED', NULL, NULL, NULL, 15),
(98456, NULL, 'PTHR26451:SF404', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(98457, NULL, 'PTHR31079:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98458, NULL, 'PTHR45348', NULL, NULL, NULL, NULL, 'HYPOTHETICAL OXIDOREDUCTASE (EUROFUNG)', NULL, NULL, NULL, 15),
(98459, NULL, 'PTHR33044:SF187', NULL, NULL, NULL, NULL, 'BNAA09G44650D PROTEIN', NULL, NULL, NULL, 15),
(98460, NULL, 'PTHR11176:SF14', NULL, NULL, NULL, NULL, 'PROTEIN BOULE', NULL, NULL, NULL, 15),
(98461, NULL, 'PTHR23056:SF95', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(98462, NULL, 'PTHR31479', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(98463, NULL, 'PTHR33021:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98464, NULL, 'PTHR36805:SF1', NULL, NULL, NULL, NULL, 'AGENET DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(98465, NULL, 'PTHR48168', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98466, NULL, 'PTHR34671:SF5', NULL, NULL, NULL, NULL, 'EM PROTEIN CS41', NULL, NULL, NULL, 15),
(98467, NULL, 'PTHR10231:SF85', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 3', NULL, NULL, NULL, 15),
(98468, NULL, 'PTHR48002:SF114', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(98469, NULL, 'PTHR13683:SF691', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(98470, NULL, 'PTHR31062:SF161', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(98471, NULL, 'PTHR46274:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL PHOSPHATASE', NULL, NULL, NULL, 15),
(98472, NULL, 'PTHR11849:SF77', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ETV7', NULL, NULL, NULL, 15),
(98473, NULL, 'PTHR31775:SF35', NULL, NULL, NULL, NULL, 'REMORIN-LIKE', NULL, NULL, NULL, 15),
(98474, NULL, 'PTHR31906:SF6', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 10, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(98475, NULL, 'PTHR47993:SF4', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(98476, NULL, 'PTHR10502:SF197', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(98477, NULL, 'PTHR47866', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(98478, NULL, 'PTHR47190:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98479, NULL, 'PTHR38439', NULL, NULL, NULL, NULL, 'AURACYANIN-B', NULL, NULL, NULL, 15),
(98480, NULL, 'PTHR43795:SF75', NULL, NULL, NULL, NULL, 'BNAA09G31180D PROTEIN', NULL, NULL, NULL, 15),
(98481, NULL, 'PTHR12191:SF17', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP5', NULL, NULL, NULL, 15),
(98482, NULL, 'PTHR31043', NULL, NULL, NULL, NULL, 'NEPHROCYSTIN-4', NULL, NULL, 24762, 15),
(98483, NULL, 'PTHR33169:SF26', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(98484, NULL, 'PTHR24300:SF337', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2C55', NULL, NULL, NULL, 15),
(98485, NULL, 'PTHR33095:SF52', NULL, NULL, NULL, NULL, 'DUF1645 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(98486, NULL, 'PTHR31561:SF152', NULL, NULL, NULL, NULL, 'OS03G0162800 PROTEIN', NULL, NULL, NULL, 15),
(98487, NULL, 'PTHR37716:SF1', NULL, NULL, NULL, NULL, 'OS07G0568900 PROTEIN', NULL, NULL, NULL, 15),
(98488, NULL, 'PTHR47409:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN PROPHET OF PIT-1', NULL, NULL, NULL, 15),
(98489, NULL, 'PTHR45725:SF12', NULL, NULL, NULL, NULL, 'DELPHILIN', NULL, NULL, NULL, 15),
(98490, NULL, 'PTHR45676:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98491, NULL, 'PTHR48053:SF27', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN EIX1', NULL, NULL, NULL, 15),
(98492, NULL, 'PTHR31319:SF66', NULL, NULL, NULL, NULL, 'OS05G0466100 PROTEIN', NULL, NULL, NULL, 15),
(98493, NULL, 'PTHR12161:SF5', NULL, NULL, NULL, NULL, 'IST1 HOMOLOG', NULL, NULL, NULL, 15),
(98494, NULL, 'PTHR43158:SF5', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(98495, NULL, 'PTHR42643:SF14', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 68A, ISOFORM A', NULL, NULL, NULL, 15),
(98496, NULL, 'PTHR22950:SF642', NULL, NULL, NULL, NULL, 'BNAANNG07880D PROTEIN', NULL, NULL, NULL, 15),
(98497, NULL, 'PTHR33727:SF8', NULL, NULL, NULL, NULL, 'BNACNNG02930D PROTEIN', NULL, NULL, NULL, 15),
(98498, NULL, 'PTHR10615:SF102', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT7', NULL, NULL, NULL, 15),
(98499, NULL, 'PTHR10715:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', NULL, NULL, NULL, 15),
(98500, NULL, 'PTHR35596:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98501, NULL, 'PTHR12268', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE KCMF1', NULL, NULL, NULL, 15),
(98502, NULL, 'PTHR31415:SF136', NULL, NULL, NULL, NULL, 'BNAA03G55330D PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98503, NULL, 'PTHR22937:SF136', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL44-RELATED', NULL, NULL, NULL, 15),
(98504, NULL, 'PTHR24379:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 443', NULL, NULL, NULL, 15),
(98505, NULL, 'PTHR43675:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2700097O09', NULL, NULL, NULL, 15),
(98506, NULL, 'PTHR13962:SF22', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98507, NULL, 'PTHR33137:SF28', NULL, NULL, NULL, NULL, 'BNAA06G10420D PROTEIN', NULL, NULL, NULL, 15),
(98508, NULL, 'PTHR35069', NULL, NULL, NULL, NULL, 'PROTEIN C9ORF135', NULL, NULL, 24380, 15),
(98509, NULL, 'PTHR47975:SF17', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(98510, NULL, 'PTHR33132:SF48', NULL, NULL, NULL, NULL, 'BNACNNG68960D PROTEIN', NULL, NULL, NULL, 15),
(98511, NULL, 'PTHR27005:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98512, NULL, 'PTHR42813:SF7', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE (ZN-DEPENDENT)-RELATED', NULL, NULL, NULL, 15),
(98513, NULL, 'PTHR19305:SF30', NULL, NULL, NULL, NULL, 'TARGET SNARE COILED-COIL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98514, NULL, 'PTHR11017:SF435', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(98515, NULL, 'PTHR45743:SF33', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SKOR-LIKE', NULL, NULL, NULL, 15),
(98516, NULL, 'PTHR31113:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98517, NULL, 'PTHR11851:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98518, NULL, 'PTHR21066', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(98519, NULL, 'PTHR28037:SF1', NULL, NULL, NULL, NULL, 'ALCOHOL O-ACETYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(98520, NULL, 'PTHR23406:SF75', NULL, NULL, NULL, NULL, 'MALIC ENZYME', NULL, NULL, NULL, 15),
(98521, NULL, 'PTHR46991:SF6', NULL, NULL, NULL, NULL, '57 KDA HEAT SHOCK PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98522, NULL, 'PTHR35174:SF1', NULL, NULL, NULL, NULL, 'BLL0086 PROTEIN', NULL, NULL, NULL, 15),
(98523, NULL, 'PTHR42973:SF33', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G00730)', NULL, NULL, NULL, 15),
(98524, NULL, 'PTHR24269:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98525, NULL, 'PTHR45774:SF4', NULL, NULL, NULL, NULL, 'LUTE, ISOFORM D', NULL, NULL, NULL, 15),
(98526, NULL, 'PTHR23291:SF81', NULL, NULL, NULL, NULL, 'X-BOX PROMOTER ELEMENT REGULATED', NULL, NULL, NULL, 15),
(98527, NULL, 'PTHR45950:SF9', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-9', NULL, NULL, NULL, 15),
(98528, NULL, 'PTHR34219', NULL, NULL, NULL, NULL, 'IRON-REGULATED INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, 2973, 15),
(98529, NULL, 'PTHR22894:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98530, NULL, 'PTHR11036:SF25', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3C', NULL, NULL, NULL, 15),
(98531, NULL, 'PTHR19375:SF426', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70', NULL, NULL, NULL, 15),
(98532, NULL, 'PTHR37553:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98533, NULL, 'PTHR44013:SF3', NULL, NULL, NULL, NULL, 'OS09G0503100 PROTEIN', NULL, NULL, NULL, 15),
(98534, NULL, 'PTHR15536:SF1', NULL, NULL, NULL, NULL, 'TACHYKININ-3', NULL, NULL, NULL, 15),
(98535, NULL, 'PTHR31792:SF6', NULL, NULL, NULL, NULL, 'VACUOLAR ATPASE ASSEMBLY INTEGRAL MEMBRANE PROTEIN VMA21 HOMOLOG', NULL, NULL, NULL, 15),
(98536, NULL, 'PTHR19143:SF332', NULL, NULL, NULL, NULL, 'FIBRINOGEN BETA CHAIN', NULL, NULL, 29613, 15),
(98537, NULL, 'PTHR33880:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98538, NULL, 'PTHR31235:SF342', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(98539, NULL, 'PTHR41248', NULL, NULL, NULL, NULL, 'NORD PROTEIN', NULL, NULL, NULL, 15),
(98540, NULL, 'PTHR10454:SF209', NULL, NULL, NULL, NULL, 'CASPASE-18/A', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98541, NULL, 'PTHR33077:SF17', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 5B', NULL, NULL, NULL, 15),
(98542, NULL, 'PTHR36306:SF4', NULL, NULL, NULL, NULL, '4-ALPHA-GLUCANOTRANSFERASE', NULL, NULL, NULL, 15),
(98543, NULL, 'PTHR39199', NULL, NULL, NULL, NULL, 'BLR5128 PROTEIN', NULL, NULL, NULL, 15),
(98544, NULL, 'PTHR10231:SF43', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSLOCATOR', NULL, NULL, NULL, 15),
(98545, NULL, 'PTHR12300:SF104', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN', NULL, NULL, NULL, 15),
(98546, NULL, 'PTHR31899', NULL, NULL, NULL, NULL, 'BETA-CAROTENE 3-HYDROXYLASE 1, CHLOROPLASTIC', NULL, NULL, 39402, 15),
(98547, NULL, 'PTHR45629:SF11', NULL, NULL, NULL, NULL, 'OS04G0692700 PROTEIN', NULL, NULL, NULL, 15),
(98548, NULL, 'PTHR40067', NULL, NULL, NULL, NULL, 'UPF0297 PROTEIN YRZL', NULL, NULL, 14789, 15),
(98549, NULL, 'PTHR47264:SF2', NULL, NULL, NULL, NULL, 'PLANT SYNAPTOTAGMIN', NULL, NULL, NULL, 15),
(98550, NULL, 'PTHR22939:SF128', NULL, NULL, NULL, NULL, 'SERINE PROTEASE HTRA1A', NULL, NULL, NULL, 15),
(98551, NULL, 'PTHR33446:SF9', NULL, NULL, NULL, NULL, 'TONB, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(98552, NULL, 'PTHR45762:SF4', NULL, NULL, NULL, NULL, 'INTERLEUKIN ENHANCER-BINDING FACTOR 3', NULL, NULL, 35205, 15),
(98553, NULL, 'PTHR13318:SF156', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G-PROTEIN COUPLED RECEPTOR 4-LIKE', NULL, NULL, NULL, 15),
(98554, NULL, 'PTHR34807:SF12', NULL, NULL, NULL, NULL, 'BNAA10G11770D PROTEIN', NULL, NULL, NULL, 15),
(98555, NULL, 'PTHR34680:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98556, NULL, 'PTHR46239', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG 3 RAD51C', NULL, NULL, NULL, 15),
(98557, NULL, 'PTHR13593:SF120', NULL, NULL, NULL, NULL, 'PI-PLC X-BOX DOMAIN-CONTAINING PROTEIN DDB_G0293730-LIKE', NULL, NULL, NULL, 15),
(98558, NULL, 'PTHR23155:SF1001', NULL, NULL, NULL, NULL, 'OS07G0599100 PROTEIN', NULL, NULL, NULL, 15),
(98559, NULL, 'PTHR10639:SF19', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN 2', NULL, NULL, NULL, 15),
(98560, NULL, 'PTHR31722:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98561, NULL, 'PTHR24264:SF61', NULL, NULL, NULL, NULL, 'ZGC:171509-RELATED', NULL, NULL, NULL, 15),
(98562, NULL, 'PTHR23360:SF34', NULL, NULL, NULL, NULL, 'PROTEIN CBG21061', NULL, NULL, NULL, 15),
(98563, NULL, 'PTHR22891:SF17', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE-1', NULL, NULL, NULL, 15),
(98564, NULL, 'PTHR18976:SF2', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN E', NULL, NULL, NULL, 15),
(98565, NULL, 'PTHR23070:SF168', NULL, NULL, NULL, NULL, 'BNAA10G17020D PROTEIN', NULL, NULL, NULL, 15),
(98566, NULL, 'PTHR36322', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(98567, NULL, 'PTHR36714:SF6', NULL, NULL, NULL, NULL, 'BNAA09G54570D PROTEIN', NULL, NULL, NULL, 15),
(98568, NULL, 'PTHR33453:SF12', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(98569, NULL, 'PTHR40640', NULL, NULL, NULL, NULL, 'ANCHORED GLYCOPROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04860)-RELATED', NULL, NULL, NULL, 15),
(98570, NULL, 'PTHR31929:SF108', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR20', NULL, NULL, NULL, 15),
(98571, NULL, 'PTHR46384', NULL, NULL, NULL, NULL, 'MOTILE SPERM DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(98572, NULL, 'PTHR23064:SF56', NULL, NULL, NULL, NULL, 'BNAA01G23330D PROTEIN', NULL, NULL, NULL, 15),
(98573, NULL, 'PTHR47990:SF128', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(98574, NULL, 'PTHR47990:SF16', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP3-RELATED', NULL, NULL, NULL, 15),
(98575, NULL, 'PTHR37739:SF9', NULL, NULL, NULL, NULL, 'PHRAGMOPLAST ORIENTING KINESIN-1-LIKE', NULL, NULL, NULL, 15),
(98576, NULL, 'PTHR11926:SF925', NULL, NULL, NULL, NULL, 'CYTOKININ 7-BETA-GLUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(98577, NULL, 'PTHR12268:SF18', NULL, NULL, NULL, NULL, 'DYSTROTELIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98578, NULL, 'PTHR11003:SF271', NULL, NULL, NULL, NULL, 'OUTWARD RECTIFYING POTASSIUM CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(98579, NULL, 'PTHR48112:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98580, NULL, 'PTHR47461', NULL, NULL, NULL, NULL, 'PHYTOLONGIN PHYL1.2', NULL, NULL, 37516, 15),
(98581, NULL, 'PTHR11662:SF331', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', NULL, NULL, NULL, 15),
(98582, NULL, 'PTHR12317', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(98583, NULL, 'PTHR23343:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98584, NULL, 'PTHR46123:SF3', NULL, NULL, NULL, NULL, 'DOUBLE HOMEOBOX PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(98585, NULL, 'PTHR30055:SF146', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(98586, NULL, 'PTHR31707:SF305', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(98587, NULL, 'PTHR24413', NULL, NULL, NULL, NULL, 'SPECKLE-TYPE POZ PROTEIN', NULL, NULL, NULL, 15),
(98588, NULL, 'PTHR13650', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 23749, 15),
(98589, NULL, 'PTHR43031:SF6', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE GLPE', NULL, NULL, NULL, 15),
(98590, NULL, 'PTHR11771:SF133', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(98591, NULL, 'PTHR34566:SF2', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN', NULL, NULL, NULL, 15),
(98592, NULL, 'PTHR12011:SF450', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR E3 ISOFORM 1', NULL, NULL, NULL, 15),
(98593, NULL, 'PTHR11453:SF52', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN 4', NULL, NULL, NULL, 15),
(98594, NULL, 'PTHR31158:SF3', NULL, NULL, NULL, NULL, 'DUAL OXIDASE MATURATION FACTOR 1', NULL, NULL, NULL, 15),
(98595, NULL, 'PTHR31140:SF58', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RAV1', NULL, NULL, NULL, 15),
(98596, NULL, 'PTHR10631:SF9', NULL, NULL, NULL, NULL, 'TRNA (GUANINE(26)-N(2))-DIMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(98597, NULL, 'PTHR10775:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98598, NULL, 'PTHR39452:SF1', NULL, NULL, NULL, NULL, 'CHEY-P PHOSPHATASE CHEX', NULL, NULL, NULL, 15),
(98599, NULL, 'PTHR31374:SF283', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98600, NULL, 'PTHR21700:SF44', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(98601, NULL, 'PTHR45623:SF3', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 8', NULL, NULL, NULL, 15),
(98602, NULL, 'PTHR48062:SF10', NULL, NULL, NULL, NULL, 'BNAA02G16790D PROTEIN', NULL, NULL, NULL, 15),
(98603, NULL, 'PTHR33110:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98604, NULL, 'PTHR45894:SF7', NULL, NULL, NULL, NULL, 'BNAA05G15240D PROTEIN', NULL, NULL, NULL, 15),
(98605, NULL, 'PTHR38045:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(98606, NULL, 'PTHR24399:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 32 ISOFORM A', NULL, NULL, NULL, 15),
(98607, NULL, 'PTHR45645:SF30', NULL, NULL, NULL, NULL, 'NETO (NEUROPILIN AND TOLLOID-LIKE) HOMOLOG', NULL, NULL, NULL, 15),
(98608, NULL, 'PTHR24298:SF662', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE SYNTHASE', NULL, NULL, NULL, 15),
(98609, NULL, 'PTHR10695', NULL, NULL, NULL, NULL, 'DEPHOSPHO-COA KINASE-RELATED', NULL, NULL, NULL, 15),
(98610, NULL, 'PTHR23024:SF549', NULL, NULL, NULL, NULL, 'RECEPTOR GID1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(98611, NULL, 'PTHR47515', NULL, NULL, NULL, NULL, 'LOW CALCIUM RESPONSE LOCUS PROTEIN T', NULL, NULL, NULL, 15),
(98612, NULL, 'PTHR18945:SF218', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT ALPHA-2', NULL, NULL, 421, 15),
(98613, NULL, 'PTHR43806:SF45', NULL, NULL, NULL, NULL, 'ALKALINE PROTEASE 1', NULL, NULL, NULL, 15),
(98614, NULL, 'PTHR48215', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98615, NULL, 'PTHR31923:SF5', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(98616, NULL, 'PTHR21560', NULL, NULL, NULL, NULL, 'VERY KIND PROTEIN', NULL, NULL, 26664, 15),
(98617, NULL, 'PTHR10648:SF27', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 65 KDA REGULATORY SUBUNIT A BETA ISOFORM', NULL, NULL, NULL, 15),
(98618, NULL, 'PTHR11346:SF160', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(98619, NULL, 'PTHR12924:SF0', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(98620, NULL, 'PTHR45821:SF6', NULL, NULL, NULL, NULL, 'SNF2 DOMAIN-CONTAINING PROTEIN CLASSY 3', NULL, NULL, NULL, 15),
(98621, NULL, 'PTHR31985:SF217', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF027-LIKE', NULL, NULL, NULL, 15),
(98622, NULL, 'PTHR40590', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98623, NULL, 'PTHR11437:SF14', NULL, NULL, NULL, NULL, 'INACTIVE RIBONUCLEASE-LIKE PROTEIN 9', NULL, NULL, 24607, 15),
(98624, NULL, 'PTHR11937:SF153', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN T1', NULL, NULL, 24856, 15),
(98625, NULL, 'PTHR48061:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98626, NULL, 'PTHR36707:SF3', NULL, NULL, NULL, NULL, 'BNAA05G11300D PROTEIN', NULL, NULL, NULL, 15),
(98627, NULL, 'PTHR22808', NULL, NULL, NULL, NULL, 'NCL1 YEAST -RELATED NOL1/NOP2/FMU SUN  DOMAIN-CONTAINING', NULL, NULL, 14830, 15),
(98628, NULL, 'PTHR43139:SF36', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(98629, NULL, 'PTHR33136:SF47', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR', NULL, NULL, NULL, 15),
(98630, NULL, 'PTHR32432:SF13', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTA', NULL, NULL, NULL, 15),
(98631, NULL, 'PTHR22811:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98632, NULL, 'PTHR31989:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98633, NULL, 'PTHR21465', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 469', NULL, NULL, 35633, 15),
(98634, NULL, 'PTHR11668:SF377', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1-ALPHA CATALYTIC SUBUNIT', NULL, NULL, 34739, 15),
(98635, NULL, 'PTHR21142:SF2', NULL, NULL, NULL, NULL, 'BETA-SARCOGLYCAN', NULL, NULL, NULL, 15),
(98636, NULL, 'PTHR16019:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98637, NULL, 'PTHR10165:SF145', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE-RELATED 2A', NULL, NULL, NULL, 15),
(98638, NULL, 'PTHR48047:SF23', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(98639, NULL, 'PTHR36391:SF1', NULL, NULL, NULL, NULL, 'FURRY', NULL, NULL, NULL, 15),
(98640, NULL, 'PTHR11461:SF292', NULL, NULL, NULL, NULL, 'SERPIN 100A', NULL, NULL, NULL, 15),
(98641, NULL, 'PTHR24197:SF38', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 54', NULL, NULL, NULL, 15),
(98642, NULL, 'PTHR33065:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98643, NULL, 'PTHR24073:SF1126', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1C', NULL, NULL, NULL, 15),
(98644, NULL, 'PTHR11346:SF103', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(98645, NULL, 'PTHR11945:SF162', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 34', NULL, NULL, NULL, 15),
(98646, NULL, 'PTHR31509:SF51', NULL, NULL, NULL, NULL, 'OS08G0551366 PROTEIN', NULL, NULL, NULL, 15),
(98647, NULL, 'PTHR13832:SF771', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 27-RELATED', NULL, NULL, NULL, 15),
(98648, NULL, 'PTHR11660', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 MEMBER', NULL, NULL, 12109, 15),
(98649, NULL, 'PTHR32241:SF3', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(98650, NULL, 'PTHR45617:SF5', NULL, NULL, NULL, NULL, 'COMMON DPR-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(98651, NULL, 'PTHR11157:SF12', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 4', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98652, NULL, 'PTHR47706:SF5', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE', NULL, NULL, NULL, 15),
(98653, NULL, 'PTHR45699:SF12', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L10P-RELATED', NULL, NULL, NULL, 15),
(98654, NULL, 'PTHR24026:SF76', NULL, NULL, NULL, NULL, 'PROTOCADHERIN FAT 4', NULL, NULL, NULL, 15),
(98655, NULL, 'PTHR31776:SF17', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98656, NULL, 'PTHR19446:SF439', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98657, NULL, 'PTHR30293:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN NHAR', NULL, NULL, NULL, 15),
(98658, NULL, 'PTHR18966:SF453', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(98659, NULL, 'PTHR47323:SF5', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(98660, NULL, 'PTHR46803', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CHIP', NULL, NULL, 38978, 15),
(98661, NULL, 'PTHR48011:SF51', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(98662, NULL, 'PTHR19960:SF11', NULL, NULL, NULL, NULL, 'TEKTIN 3', NULL, NULL, NULL, 15),
(98663, NULL, 'PTHR43437:SF3', NULL, NULL, NULL, NULL, 'HYDROXYACYL-THIOESTER DEHYDRATASE TYPE 2, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(98664, NULL, 'PTHR31388:SF117', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(98665, NULL, 'PTHR11453:SF12', NULL, NULL, NULL, NULL, 'BAND 3 ANION TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(98666, NULL, 'PTHR23155:SF963', NULL, NULL, NULL, NULL, 'OS06G0287000 PROTEIN', NULL, NULL, NULL, 15),
(98667, NULL, 'PTHR10336:SF36', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(98668, NULL, 'PTHR11380:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION PROTEIN SPT3 HOMOLOG', NULL, NULL, NULL, 15),
(98669, NULL, 'PTHR40466:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(98670, NULL, 'PTHR24133:SF16', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(98671, NULL, 'PTHR47988:SF37', NULL, NULL, NULL, NULL, 'LRR RECEPTOR KINASE SERK2', NULL, NULL, NULL, 15),
(98672, NULL, 'PTHR27006:SF304', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', NULL, NULL, NULL, 15),
(98673, NULL, 'PTHR47050:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 24', NULL, NULL, NULL, 15),
(98674, NULL, 'PTHR43816:SF1', NULL, NULL, NULL, NULL, 'NICOTINAMIDE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(98675, NULL, 'PTHR11732:SF164', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(98676, NULL, 'PTHR14649', NULL, NULL, NULL, NULL, 'ZINC FINGER C2HC DOMAIN-CONTAINING PROTEIN 1C', NULL, NULL, 26493, 15),
(98677, NULL, 'PTHR33179:SF50', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 25-LIKE', NULL, NULL, NULL, 15),
(98678, NULL, 'PTHR38543:SF1', NULL, NULL, NULL, NULL, 'OS04G0465800 PROTEIN', NULL, NULL, NULL, 15),
(98679, NULL, 'PTHR12035:SF53', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 12', NULL, NULL, NULL, 15),
(98680, NULL, 'PTHR16073:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98681, NULL, 'PTHR10202:SF24', NULL, NULL, NULL, NULL, 'PRESENILIN-2', NULL, NULL, NULL, 15),
(98682, NULL, 'PTHR21015', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--N-ACETYLMURAMYL-(PENTAPEPTIDE) PYROPHOSPHORYL-UNDECAPRENOL N-ACETYLGLUCOSAMINE TRANSFERASE 1', NULL, NULL, NULL, 15),
(98683, NULL, 'PTHR33057:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP13', NULL, NULL, NULL, 15),
(98684, NULL, 'PTHR32077:SF60', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN', NULL, NULL, NULL, 15),
(98685, NULL, 'PTHR31221:SF252', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', NULL, NULL, NULL, 15),
(98686, NULL, 'PTHR12601:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98687, NULL, 'PTHR23291:SF101', NULL, NULL, NULL, NULL, 'BAX INHIBITOR 1-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98688, NULL, 'PTHR33453:SF26', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(98689, NULL, 'PTHR35461:SF4', NULL, NULL, NULL, NULL, 'LOW PROTEIN: ATP-DEPENDENT RNA HELICASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98690, NULL, 'PTHR10972:SF184', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN HOMOLOG 4-RELATED', NULL, NULL, NULL, 15),
(98691, NULL, 'PTHR33179:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98692, NULL, 'PTHR31789:SF10', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(98693, NULL, 'PTHR10825:SF31', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP RING FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(98694, NULL, 'PTHR13473:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L48, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(98695, NULL, 'PTHR45658:SF27', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 12', NULL, NULL, NULL, 15),
(98696, NULL, 'PTHR48002:SF94', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4F15', NULL, NULL, NULL, 15),
(98697, NULL, 'PTHR23145', NULL, NULL, NULL, NULL, 'NUCLEOSOMAL BINDING PROTEIN 1', NULL, NULL, 29726, 15),
(98698, NULL, 'PTHR24028:SF90', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-5', NULL, NULL, 27574, 15),
(98699, NULL, 'PTHR10763:SF23', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 1', NULL, NULL, 20628, 15),
(98700, NULL, 'PTHR34605', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98701, NULL, 'PTHR46135:SF3', NULL, NULL, NULL, NULL, 'NME/NM23 FAMILY MEMBER 8', NULL, NULL, NULL, 15),
(98702, NULL, 'PTHR30620:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98703, NULL, 'PTHR23049:SF39', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 2, ATRIAL ISOFORM', NULL, NULL, NULL, 15),
(98704, NULL, 'PTHR46844:SF3', NULL, NULL, NULL, NULL, 'AGAP013057-PA', NULL, NULL, NULL, 15),
(98705, NULL, 'PTHR26379:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98706, NULL, 'PTHR18945:SF832', NULL, NULL, NULL, NULL, 'CHRNA7-FAM7A FUSION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98707, NULL, 'PTHR46835:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98708, NULL, 'PTHR45693:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGAL7', NULL, NULL, NULL, 15),
(98709, NULL, 'PTHR31662:SF49', NULL, NULL, NULL, NULL, 'GLABROUS1 ENHANCER-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98710, NULL, 'PTHR24006:SF708', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 11-RELATED', NULL, NULL, NULL, 15),
(98711, NULL, 'PTHR23111:SF84', NULL, NULL, NULL, NULL, 'ZINC FINGER, RANBP2-TYPE-RELATED', NULL, NULL, NULL, 15),
(98712, NULL, 'PTHR47976:SF25', NULL, NULL, NULL, NULL, 'LECTIN PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(98713, NULL, 'PTHR30371', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATC', NULL, NULL, 5384, 15),
(98714, NULL, 'PTHR43539:SF78', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(98715, NULL, 'PTHR31051:SF1', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 3', NULL, NULL, NULL, 15),
(98716, NULL, 'PTHR13778:SF53', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(98717, NULL, 'PTHR19269:SF46', NULL, NULL, NULL, NULL, 'TROPOMYOSIN BETA CHAIN', NULL, NULL, NULL, 15),
(98718, NULL, 'PTHR13325:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND TRANSCRIPTION FACTOR SITE-2 PROTEASE', NULL, NULL, NULL, 15),
(98719, NULL, 'PTHR11895:SF73', NULL, NULL, NULL, NULL, 'AMIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(98720, NULL, 'PTHR48002:SF74', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(98721, NULL, 'PTHR38683', NULL, NULL, NULL, NULL, 'CHORISMATE PYRUVATE-LYASE', NULL, NULL, 4410, 15),
(98722, NULL, 'PTHR47779:SF1', NULL, NULL, NULL, NULL, 'SYNTHASE (CCG-9), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12100)-RELATED', NULL, NULL, NULL, 15),
(98723, NULL, 'PTHR35501:SF8', NULL, NULL, NULL, NULL, 'PROTEIN 108', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98724, NULL, 'PTHR23275:SF31', NULL, NULL, NULL, NULL, 'VSP AS8', NULL, NULL, NULL, 15),
(98725, NULL, 'PTHR48019:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98726, NULL, 'PTHR12821:SF0', NULL, NULL, NULL, NULL, 'BYSTIN', NULL, NULL, NULL, 15),
(98727, NULL, 'PTHR31989:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98728, NULL, 'PTHR23226:SF298', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 491', NULL, NULL, NULL, 15),
(98729, NULL, 'PTHR21180', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(98730, NULL, 'PTHR34142:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98731, NULL, 'PTHR43394:SF4', NULL, NULL, NULL, NULL, 'TOXIN SECRETION ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(98732, NULL, 'PTHR34576', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 6-RELATED', NULL, NULL, 37432, 15),
(98733, NULL, 'PTHR31279:SF60', NULL, NULL, NULL, NULL, 'BNAANNG05850D PROTEIN', NULL, NULL, NULL, 15),
(98734, NULL, 'PTHR24293:SF2', NULL, NULL, NULL, NULL, 'CHOLESTEROL 24-HYDROXYLASE', NULL, NULL, NULL, 15),
(98735, NULL, 'PTHR33156:SF39', NULL, NULL, NULL, NULL, 'OS02G0230000 PROTEIN', NULL, NULL, NULL, 15),
(98736, NULL, 'PTHR45890:SF9', NULL, NULL, NULL, NULL, 'PROTEIN KINASE-LIKE DOMAIN', NULL, NULL, NULL, 15),
(98737, NULL, 'PTHR16128', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(98738, NULL, 'PTHR33091:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98739, NULL, 'PTHR10887:SF483', NULL, NULL, NULL, NULL, 'OS11G0649000 PROTEIN', NULL, NULL, NULL, 15),
(98740, NULL, 'PTHR24388:SF82', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 648-RELATED', NULL, NULL, NULL, 15),
(98741, NULL, 'PTHR24015:SF505', NULL, NULL, NULL, NULL, 'OS01G0819800 PROTEIN', NULL, NULL, NULL, 15),
(98742, NULL, 'PTHR31324:SF3', NULL, NULL, NULL, NULL, 'MORF4 FAMILY-ASSOCIATED PROTEIN 1-LIKE PROTEIN UPP-RELATED', NULL, NULL, NULL, 15),
(98743, NULL, 'PTHR31992:SF111', NULL, NULL, NULL, NULL, 'OS05G0440000 PROTEIN', NULL, NULL, NULL, 15),
(98744, NULL, 'PTHR45861:SF2', NULL, NULL, NULL, NULL, 'DNA POLYMERASE', NULL, NULL, NULL, 15),
(98745, NULL, 'PTHR46922:SF4', NULL, NULL, NULL, NULL, 'DHHA1 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(98746, NULL, 'PTHR13968:SF17', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN C-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(98747, NULL, 'PTHR46610:SF19', NULL, NULL, NULL, NULL, 'OS06G0147400 PROTEIN', NULL, NULL, NULL, 15),
(98748, NULL, 'PTHR36558:SF1', NULL, NULL, NULL, NULL, 'GLR1098 PROTEIN', NULL, NULL, NULL, 15),
(98749, NULL, 'PTHR23360:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(98750, NULL, 'PTHR31006:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG12666', NULL, NULL, NULL, 15),
(98751, NULL, 'PTHR11685:SF332', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(98752, NULL, 'PTHR39412', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 46', NULL, NULL, 35292, 15),
(98753, NULL, 'PTHR31734:SF175', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(98754, NULL, 'PTHR24356:SF388', NULL, NULL, NULL, NULL, 'ROOT HAIR ELONGATION, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(98755, NULL, 'PTHR31744:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98756, NULL, 'PTHR12735:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98757, NULL, 'PTHR32002:SF52', NULL, NULL, NULL, NULL, 'PROTEIN NLP2', NULL, NULL, NULL, 15),
(98758, NULL, 'PTHR43542', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(98759, NULL, 'PTHR45640:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CBG09876', NULL, NULL, NULL, 15),
(98760, NULL, 'PTHR48073', NULL, NULL, NULL, NULL, 'O-SUCCINYLBENZOATE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(98761, NULL, 'PTHR43272:SF13', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE 3', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98762, NULL, 'PTHR12136', NULL, NULL, NULL, NULL, 'ENHANCED DISEASE RESISTANCE-RELATED', NULL, NULL, 39266, 15),
(98763, NULL, 'PTHR31190:SF261', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ABR1', NULL, NULL, NULL, 15),
(98764, NULL, 'PTHR31388:SF104', NULL, NULL, NULL, NULL, 'PEROXIDASE 14-RELATED', NULL, NULL, NULL, 15),
(98765, NULL, 'PTHR13140:SF273', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-VA', NULL, NULL, NULL, 15),
(98766, NULL, 'PTHR10218:SF199', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PROTEIN DG1120', NULL, NULL, NULL, 15),
(98767, NULL, 'PTHR18901:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98768, NULL, 'PTHR22883:SF258', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(98769, NULL, 'PTHR31062:SF157', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 19-RELATED', NULL, NULL, NULL, 15),
(98770, NULL, 'PTHR10763', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(98771, NULL, 'PTHR24286:SF228', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 61', NULL, NULL, NULL, 15),
(98772, NULL, 'PTHR24243:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98773, NULL, 'PTHR23101:SF25', NULL, NULL, NULL, NULL, 'RAB5 GDP/GTP EXCHANGE FACTOR', NULL, NULL, NULL, 15),
(98774, NULL, 'PTHR47926:SF182', NULL, NULL, NULL, NULL, 'BNAANNG19240D PROTEIN', NULL, NULL, NULL, 15),
(98775, NULL, 'PTHR33138:SF30', NULL, NULL, NULL, NULL, 'OS01G0113900 PROTEIN', NULL, NULL, NULL, 15),
(98776, NULL, 'PTHR11413:SF103', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 6', NULL, NULL, NULL, 15),
(98777, NULL, 'PTHR31985:SF163', NULL, NULL, NULL, NULL, 'BNAANNG29870D PROTEIN', NULL, NULL, NULL, 15),
(98778, NULL, 'PTHR11909:SF145', NULL, NULL, NULL, NULL, 'PROTEIN CBG12477', NULL, NULL, NULL, 15),
(98779, NULL, 'PTHR11977:SF29', NULL, NULL, NULL, NULL, 'GELSOLIN-RELATED', NULL, NULL, 27082, 15),
(98780, NULL, 'PTHR23236:SF80', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(98781, NULL, 'PTHR11615:SF253', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1E1', NULL, NULL, NULL, 15),
(98782, NULL, 'PTHR13947:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98783, NULL, 'PTHR18976:SF29', NULL, NULL, NULL, NULL, 'ZGC:162608', NULL, NULL, NULL, 15),
(98784, NULL, 'PTHR46508:SF10', NULL, NULL, NULL, NULL, 'DNA-BINDING AND ZINC-FINGER PROTEIN', NULL, NULL, NULL, 15),
(98785, NULL, 'PTHR33098:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98786, NULL, 'PTHR37610:SF13', NULL, NULL, NULL, NULL, 'CATALYTIC REGION, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(98787, NULL, 'PTHR12064:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98788, NULL, 'PTHR44757:SF2', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCP', NULL, NULL, NULL, 15),
(98789, NULL, 'PTHR45644:SF11', NULL, NULL, NULL, NULL, 'AAA ATPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G12920)-RELATED', NULL, NULL, NULL, 15),
(98790, NULL, 'PTHR22952:SF379', NULL, NULL, NULL, NULL, 'OS01G0813100 PROTEIN', NULL, NULL, NULL, 15),
(98791, NULL, 'PTHR13140:SF768', NULL, NULL, NULL, NULL, 'MYOSIN-6', NULL, NULL, NULL, 15),
(98792, NULL, 'PTHR45128:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TYPE 11', NULL, NULL, NULL, 15),
(98793, NULL, 'PTHR45768:SF42', NULL, NULL, NULL, NULL, 'BNAA08G20270D PROTEIN', NULL, NULL, NULL, 15),
(98794, NULL, 'PTHR46816:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98795, NULL, 'PTHR31080:SF91', NULL, NULL, NULL, NULL, 'PECTIN METHYLESTERASE INHIBITOR 1', NULL, NULL, NULL, 15),
(98796, NULL, 'PTHR23503:SF54', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2 MEMBER 11,-LIKE', NULL, NULL, NULL, 15),
(98797, NULL, 'PTHR34541:SF2', NULL, NULL, NULL, NULL, 'OS01G0729900 PROTEIN', NULL, NULL, NULL, 15),
(98798, NULL, 'PTHR30614:SF43', NULL, NULL, NULL, NULL, 'L-CYSTINE TRANSPORT SYSTEM PERMEASE PROTEIN TCYM', NULL, NULL, NULL, 15),
(98799, NULL, 'PTHR47966:SF34', NULL, NULL, NULL, NULL, 'CYPROSIN-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98800, NULL, 'PTHR46058:SF4', NULL, NULL, NULL, NULL, 'OS04G0475250 PROTEIN', NULL, NULL, NULL, 15),
(98801, NULL, 'PTHR31342:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98802, NULL, 'PTHR31639:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98803, NULL, 'PTHR28492', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC691921', NULL, NULL, 27847, 15),
(98804, NULL, 'PTHR13462:SF10', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(98805, NULL, 'PTHR24055:SF370', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(98806, NULL, 'PTHR24366:SF125', NULL, NULL, NULL, NULL, 'LRRN4 C-TERMINAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98807, NULL, 'PTHR31218:SF261', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(98808, NULL, 'PTHR33681:SF4', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(98809, NULL, 'PTHR22958:SF25', NULL, NULL, NULL, NULL, 'OS08G0535700 PROTEIN', NULL, NULL, NULL, 15),
(98810, NULL, 'PTHR47999:SF9', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(98811, NULL, 'PTHR11815:SF14', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT BETA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(98812, NULL, 'PTHR43060:SF14', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98813, NULL, 'PTHR37729', NULL, NULL, NULL, NULL, 'NEUROFILAMENT PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98814, NULL, 'PTHR19229:SF98', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 3', NULL, NULL, NULL, 15),
(98815, NULL, 'PTHR23503:SF32', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 5', NULL, NULL, NULL, 15),
(98816, NULL, 'PTHR19411:SF0', NULL, NULL, NULL, NULL, 'PROTEIN BUD31 HOMOLOG', NULL, NULL, NULL, 15),
(98817, NULL, 'PTHR43895:SF112', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(98818, NULL, 'PTHR11639:SF138', NULL, NULL, NULL, NULL, 'UPF0607 PROTEIN ENSP00000381418-RELATED', NULL, NULL, NULL, 15),
(98819, NULL, 'PTHR13798:SF12', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98820, NULL, 'PTHR43389:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR PROTON PUMP SUBUNIT B', NULL, NULL, NULL, 15),
(98821, NULL, 'PTHR12358:SF86', NULL, NULL, NULL, NULL, 'ACYLGLYCEROL KINASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(98822, NULL, 'PTHR31676:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98823, NULL, 'PTHR30432:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL DUAL REGULATOR MODE', NULL, NULL, NULL, 15),
(98824, NULL, 'PTHR31907:SF64', NULL, NULL, NULL, NULL, 'BNAA09G30090D PROTEIN', NULL, NULL, NULL, 15),
(98825, NULL, 'PTHR47780:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SET DOMAIN GROUP 41', NULL, NULL, NULL, 15),
(98826, NULL, 'PTHR46289:SF3', NULL, NULL, NULL, NULL, '52 KDA REPRESSOR OF THE INHIBITOR OF THE PROTEIN KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98827, NULL, 'PTHR33603:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(98828, NULL, 'PTHR42790:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, GNTR FAMILY', NULL, NULL, NULL, 15),
(98829, NULL, 'PTHR13903:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98830, NULL, 'PTHR48104:SF8', NULL, NULL, NULL, NULL, 'METACASPASE-5', NULL, NULL, NULL, 15),
(98831, NULL, 'PTHR17204:SF24', NULL, NULL, NULL, NULL, 'SI:CH211-114C17.1', NULL, NULL, NULL, 15),
(98832, NULL, 'PTHR33710:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98833, NULL, 'PTHR21562:SF81', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(98834, NULL, 'PTHR10677:SF44', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN DSK2A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(98835, NULL, 'PTHR24072:SF344', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC7', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98836, NULL, 'PTHR47921:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12163', NULL, NULL, NULL, 15),
(98837, NULL, 'PTHR10279:SF11', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE ANTIZYME 2', NULL, NULL, 27932, 15),
(98838, NULL, 'PTHR31413:SF25', NULL, NULL, NULL, NULL, 'BNAA03G59090D PROTEIN', NULL, NULL, NULL, 15),
(98839, NULL, 'PTHR47928:SF25', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(98840, NULL, 'PTHR46328:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5-LIKE', NULL, NULL, NULL, 15),
(98841, NULL, 'PTHR45730:SF75', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(98842, NULL, 'PTHR11949:SF2', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 7', NULL, NULL, NULL, 15),
(98843, NULL, 'PTHR23226:SF263', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 543', NULL, NULL, NULL, 15),
(98844, NULL, 'PTHR43185', NULL, NULL, NULL, NULL, 'FERROUS IRON TRANSPORT PROTEIN B', NULL, NULL, NULL, 15),
(98845, NULL, 'PTHR23315:SF282', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 13', NULL, NULL, NULL, 15),
(98846, NULL, 'PTHR12129', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE 2-O-SULFOTRANSFERASE', NULL, NULL, 1130, 15),
(98847, NULL, 'PTHR43735:SF8', NULL, NULL, NULL, NULL, 'OS11G0158200 PROTEIN', NULL, NULL, NULL, 15),
(98848, NULL, 'PTHR10142:SF0', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN COMPLEMENTING XP-A CELLS', NULL, NULL, NULL, 15),
(98849, NULL, 'PTHR11552:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98850, NULL, 'PTHR23266:SF325', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-64', NULL, NULL, NULL, 15),
(98851, NULL, 'PTHR22773:SF86', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT N', NULL, NULL, NULL, 15),
(98852, NULL, 'PTHR35161:SF15', NULL, NULL, NULL, NULL, 'OS12G0624500 PROTEIN', NULL, NULL, NULL, 15),
(98853, NULL, 'PTHR14553:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO CHROMOSOME 1 OPEN READING FRAME 50', NULL, NULL, NULL, 15),
(98854, NULL, 'PTHR12081:SF83', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2FB', NULL, NULL, NULL, 15),
(98855, NULL, 'PTHR13140:SF785', NULL, NULL, NULL, NULL, 'BNAC03G41300D PROTEIN', NULL, NULL, NULL, 15),
(98856, NULL, 'PTHR33065:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98857, NULL, 'PTHR46300:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2C30', NULL, NULL, NULL, 15),
(98858, NULL, 'PTHR14154:SF88', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', NULL, NULL, NULL, 15),
(98859, NULL, 'PTHR47990:SF52', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 4', NULL, NULL, NULL, 15),
(98860, NULL, 'PTHR24351:SF197', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(98861, NULL, 'PTHR15535:SF26', NULL, NULL, NULL, NULL, 'CELL SURFACE HYALURONIDASE', NULL, NULL, NULL, 15),
(98862, NULL, 'PTHR10459:SF66', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP3', NULL, NULL, 27982, 15),
(98863, NULL, 'PTHR43166:SF5', NULL, NULL, NULL, NULL, 'METHIONINE IMPORT ATP-BINDING PROTEIN METN', NULL, NULL, 23483, 15),
(98864, NULL, 'PTHR31731:SF117', NULL, NULL, NULL, NULL, '14 KDA PROLINE-RICH PROTEIN DC2.15', NULL, NULL, NULL, 15),
(98865, NULL, 'PTHR43798:SF23', NULL, NULL, NULL, NULL, 'NON-HEME BROMOPEROXIDASE BPOC-RELATED', NULL, NULL, NULL, 15),
(98866, NULL, 'PTHR45695:SF9', NULL, NULL, NULL, NULL, 'LEUCOKININ RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(98867, NULL, 'PTHR37539:SF1', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98868, NULL, 'PTHR23285', NULL, NULL, NULL, NULL, 'RING FINGER AND KH DOMAIN CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(98869, NULL, 'PTHR33085:SF59', NULL, NULL, NULL, NULL, 'OS12G0113100 PROTEIN', NULL, NULL, NULL, 15),
(98870, NULL, 'PTHR10992:SF1037', NULL, NULL, NULL, NULL, 'BNAA04G13730D PROTEIN', NULL, NULL, NULL, 15),
(98871, NULL, 'PTHR46128:SF213', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98872, NULL, 'PTHR12801:SF145', NULL, NULL, NULL, NULL, 'SMALL RNA DEGRADING NUCLEASE 1-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98873, NULL, 'PTHR11654:SF544', NULL, NULL, NULL, NULL, 'BNAA07G24560D PROTEIN', NULL, NULL, NULL, 15),
(98874, NULL, 'PTHR24416:SF490', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE TRANSMEMBRANE RECEPTOR ROR', NULL, NULL, NULL, 15),
(98875, NULL, 'PTHR46375:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-253P14.2', NULL, NULL, NULL, 15),
(98876, NULL, 'PTHR16223:SF122', NULL, NULL, NULL, NULL, 'OS01G0626900 PROTEIN', NULL, NULL, NULL, 15),
(98877, NULL, 'PTHR35673', NULL, NULL, NULL, NULL, 'UPF0500 PROTEIN C1ORF216', NULL, NULL, 22342, 15),
(98878, NULL, 'PTHR33085:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98879, NULL, 'PTHR26452:SF409', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(98880, NULL, 'PTHR11365:SF2', NULL, NULL, NULL, NULL, '5-OXOPROLINASE', NULL, NULL, NULL, 15),
(98881, NULL, 'PTHR13094:SF2', NULL, NULL, NULL, NULL, 'BNAANNG27390D PROTEIN', NULL, NULL, NULL, 15),
(98882, NULL, 'PTHR14611:SF1', NULL, NULL, NULL, NULL, 'TECTONIC-1', NULL, NULL, NULL, 15),
(98883, NULL, 'PTHR47985:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL26-RELATED', NULL, NULL, NULL, 15),
(98884, NULL, 'PTHR22797:SF37', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 3', NULL, NULL, NULL, 15),
(98885, NULL, 'PTHR31240', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST 18', NULL, NULL, NULL, 15),
(98886, NULL, 'PTHR44548:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98887, NULL, 'PTHR10099:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE', NULL, NULL, NULL, 15),
(98888, NULL, 'PTHR24027:SF413', NULL, NULL, NULL, NULL, 'CADHERIN RELATED FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(98889, NULL, 'PTHR30146:SF122', NULL, NULL, NULL, NULL, 'OPERON REPRESSOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(98890, NULL, 'PTHR11062:SF264', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(98891, NULL, 'PTHR47958:SF22', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 7', NULL, NULL, NULL, 15),
(98892, NULL, 'PTHR35604:SF2', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSH FOR INSERTION SEQUENCE ELEMENT IS5A-RELATED', NULL, NULL, NULL, 15),
(98893, NULL, 'PTHR43612:SF7', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL ENZYME SUBUNIT ALPHA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(98894, NULL, 'PTHR11842:SF13', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE ASSEMBLY CHECKPOINT PROTEIN MAD2A', NULL, NULL, NULL, 15),
(98895, NULL, 'PTHR31251:SF136', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(98896, NULL, 'PTHR35017', NULL, NULL, NULL, NULL, 'PROTEIN CBG16223-RELATED', NULL, NULL, NULL, 15),
(98897, NULL, 'PTHR31472:SF27', NULL, NULL, NULL, NULL, 'BNAA09G48050D PROTEIN', NULL, NULL, NULL, 15),
(98898, NULL, 'PTHR47100:SF4', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(98899, NULL, 'PTHR12360:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR NF-X1', NULL, NULL, NULL, 15),
(98900, NULL, 'PTHR11690:SF244', NULL, NULL, NULL, NULL, 'DEGENERIN LIKE', NULL, NULL, NULL, 15),
(98901, NULL, 'PTHR11604:SF10', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(98902, NULL, 'PTHR11654:SF337', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.3', NULL, NULL, NULL, 15),
(98903, NULL, 'PTHR42828:SF3', NULL, NULL, NULL, NULL, 'DHBP SYNTHASE RIBB-LIKE ALPHA/BETA DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(98904, NULL, 'PTHR45616:SF12', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CUTICULAR HB2', NULL, NULL, NULL, 15),
(98905, NULL, 'PTHR43286:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE III-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(98906, NULL, 'PTHR24261:SF8', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR', NULL, NULL, NULL, 15),
(98907, NULL, 'PTHR47926:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98908, NULL, 'PTHR45660:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98909, NULL, 'PTHR33044:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98910, NULL, 'PTHR43318:SF1', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE BIOSYNTHESIS PROTEIN EPSC-RELATED', NULL, NULL, NULL, 15),
(98911, NULL, 'PTHR13533:SF37', NULL, NULL, NULL, NULL, 'BNAA05G30820D PROTEIN', NULL, NULL, NULL, 15),
(98912, NULL, 'PTHR24359:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SBK1', NULL, NULL, NULL, 15),
(98913, NULL, 'PTHR21453:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG22438', NULL, NULL, NULL, 15),
(98914, NULL, 'PTHR43329:SF92', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', NULL, NULL, NULL, 15),
(98915, NULL, 'PTHR36918', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 2274, 15),
(98916, NULL, 'PTHR31318:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98917, NULL, 'PTHR24303:SF27', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 307B1', NULL, NULL, NULL, 15),
(98918, NULL, 'PTHR13140:SF797', NULL, NULL, NULL, NULL, 'MYOSIN-10', NULL, NULL, NULL, 15),
(98919, NULL, 'PTHR31744:SF116', NULL, NULL, NULL, NULL, 'BNAA08G13670D PROTEIN', NULL, NULL, NULL, 15),
(98920, NULL, 'PTHR46807:SF4', NULL, NULL, NULL, NULL, 'BNAA06G37850D PROTEIN', NULL, NULL, NULL, 15),
(98921, NULL, 'PTHR21051', NULL, NULL, NULL, NULL, 'CAMP-RESPONSIVE ELEMENT-BINDING PROTEIN-LIKE 2', NULL, NULL, 29762, 15),
(98922, NULL, 'PTHR35329:SF2', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE EXPORT CHAPERONE', NULL, NULL, NULL, 15),
(98923, NULL, 'PTHR47290:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98924, NULL, 'PTHR46803:SF3', NULL, NULL, NULL, NULL, 'OS08G0113300 PROTEIN', NULL, NULL, NULL, 15),
(98925, NULL, 'PTHR34929:SF1', NULL, NULL, NULL, NULL, 'ZGC:153157', NULL, NULL, NULL, 15),
(98926, NULL, 'PTHR11949:SF22', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 2', NULL, NULL, 27180, 15),
(98927, NULL, 'PTHR23306:SF24', NULL, NULL, NULL, NULL, 'BNAC02G23950D PROTEIN', NULL, NULL, NULL, 15),
(98928, NULL, 'PTHR48001:SF26', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(98929, NULL, 'PTHR11206:SF412', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(98930, NULL, 'PTHR11937:SF480', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 3B', NULL, NULL, NULL, 15),
(98931, NULL, 'PTHR18860:SF101', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 NU-RELATED', NULL, NULL, NULL, 15),
(98932, NULL, 'PTHR11206:SF365', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(98933, NULL, 'PTHR18945:SF53', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 3B', NULL, NULL, NULL, 15),
(98934, NULL, 'PTHR11403:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 3', NULL, NULL, NULL, 15),
(98935, NULL, 'PTHR24343:SF459', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(98936, NULL, 'PTHR31385:SF11', NULL, NULL, NULL, NULL, 'BNAA08G20430D PROTEIN', NULL, NULL, NULL, 15),
(98937, NULL, 'PTHR47990:SF73', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 1', NULL, NULL, NULL, 15),
(98938, NULL, 'PTHR12801:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98939, NULL, 'PTHR46336:SF24', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(98940, NULL, 'PTHR10891:SF846', NULL, NULL, NULL, NULL, 'BNAC04G29490D PROTEIN', NULL, NULL, NULL, 15),
(98941, NULL, 'PTHR27009:SF19', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE', NULL, NULL, NULL, 15),
(98942, NULL, 'PTHR10802:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM40-1', NULL, NULL, NULL, 15),
(98943, NULL, 'PTHR11652:SF52', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S12-B', NULL, NULL, NULL, 15),
(98944, NULL, 'PTHR23402:SF22', NULL, NULL, NULL, NULL, 'PEPTIDASE C15 PYROGLUTAMYL PEPTIDASE I-LIKE', NULL, NULL, NULL, 15),
(98945, NULL, 'PTHR43228:SF7', NULL, NULL, NULL, NULL, 'TWO COMPONENT SIGNAL TRANSDUCTION SYSTEM RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(98946, NULL, 'PTHR32054:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98947, NULL, 'PTHR47974:SF10', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR SERINE/THREONINE-PROTEIN KINASE SD3-1', NULL, NULL, NULL, 15),
(98948, NULL, 'PTHR12266:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SODIUM/CALCIUM EXCHANGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98949, NULL, 'PTHR24103:SF596', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 54', NULL, NULL, 35306, 15),
(98950, NULL, 'PTHR11743:SF69', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN PORIN-RELATED', NULL, NULL, NULL, 15),
(98951, NULL, 'PTHR36369:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(98952, NULL, 'PTHR24072:SF334', NULL, NULL, NULL, NULL, 'BNAC02G47270D PROTEIN', NULL, NULL, NULL, 15),
(98953, NULL, 'PTHR34663:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98954, NULL, 'PTHR47340:SF1', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(98955, NULL, 'PTHR31636:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98956, NULL, 'PTHR43420:SF38', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(98957, NULL, 'PTHR31472:SF30', NULL, NULL, NULL, NULL, 'OS06G0103400 PROTEIN', NULL, NULL, NULL, 15),
(98958, NULL, 'PTHR13000:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98959, NULL, 'PTHR46119:SF11', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(98960, NULL, 'PTHR31516:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG07669', NULL, NULL, NULL, 15),
(98961, NULL, 'PTHR27002:SF711', NULL, NULL, NULL, NULL, 'OS10G0327000 PROTEIN', NULL, NULL, NULL, 15),
(98962, NULL, 'PTHR45864:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE SLINGSHOT HOMOLOG 2', NULL, NULL, NULL, 15),
(98963, NULL, 'PTHR22876', NULL, NULL, NULL, NULL, 'ZGC:101016', NULL, NULL, 15967, 15),
(98964, NULL, 'PTHR46264', NULL, NULL, NULL, NULL, 'TYROSINE-TRNA LIGASE', NULL, NULL, NULL, 15),
(98965, NULL, 'PTHR26374:SF412', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98966, NULL, 'PTHR23310:SF111', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(98967, NULL, 'PTHR11746:SF203', NULL, NULL, NULL, NULL, 'FLAVONE O-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(98968, NULL, 'PTHR31662:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98969, NULL, 'PTHR46974', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GTP/GDP CARRIER PROTEIN 1', NULL, NULL, NULL, 15),
(98970, NULL, 'PTHR11904:SF9', NULL, NULL, NULL, NULL, 'FI08065P', NULL, NULL, NULL, 15),
(98971, NULL, 'PTHR33088:SF53', NULL, NULL, NULL, NULL, 'BNAC02G00830D PROTEIN', NULL, NULL, NULL, 15),
(98972, NULL, 'PTHR31954:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 157', NULL, NULL, NULL, 15),
(98973, NULL, 'PTHR31429:SF92', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(98974, NULL, 'PTHR21340:SF0', NULL, NULL, NULL, NULL, 'BIS(5''-NUCLEOSYL)-TETRAPHOSPHATASE [ASYMMETRICAL]', NULL, NULL, NULL, 15),
(98975, NULL, 'PTHR48043:SF87', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 2B7', NULL, NULL, NULL, 15),
(98976, NULL, 'PTHR23257:SF881', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', NULL, NULL, NULL, 15),
(98977, NULL, 'PTHR10334:SF425', NULL, NULL, NULL, NULL, 'BASIC FORM OF PATHOGENESIS-RELATED PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(98978, NULL, 'PTHR31928:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98979, NULL, 'PTHR21576:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98980, NULL, 'PTHR39450', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN OXIDOREDUCTASE, 4FE-4S CLUSTER-BINDING SUBUNIT', NULL, NULL, 14648, 15),
(98981, NULL, 'PTHR44083:SF38', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WD40-LIKE FAMILY-RELATED', NULL, NULL, NULL, 15),
(98982, NULL, 'PTHR23266:SF311', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 4-28-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(98983, NULL, 'PTHR10795:SF686', NULL, NULL, NULL, NULL, 'BNAA02G07410D PROTEIN', NULL, NULL, NULL, 15),
(98984, NULL, 'PTHR27007:SF322', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', NULL, NULL, NULL, 15),
(98985, NULL, 'PTHR13068:SF133', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(98986, NULL, 'PTHR37530:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN SLP', NULL, NULL, NULL, 15),
(98987, NULL, 'PTHR24298:SF848', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP736A12-LIKE', NULL, NULL, NULL, 15),
(98988, NULL, 'PTHR24026:SF99', NULL, NULL, NULL, NULL, 'PROTEIN CBG22514', NULL, NULL, NULL, 15),
(98989, NULL, 'PTHR31645:SF46', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(98990, NULL, 'PTHR21780:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 209', NULL, NULL, NULL, 15),
(98991, NULL, 'PTHR27008:SF463', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98992, NULL, 'PTHR33088:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98993, NULL, 'PTHR10642:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98994, NULL, 'PTHR14248:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98995, NULL, 'PTHR22978:SF27', NULL, NULL, NULL, NULL, 'B CELL TRANSLOCATION GENE 1, ANTI-PROLIFERATIVE, PSEUDOGENE 2', NULL, NULL, NULL, 15),
(98996, NULL, 'PTHR12442:SF37', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 1 INTERMEDIATE CHAIN 2', NULL, NULL, NULL, 15),
(98997, NULL, 'PTHR10666:SF323', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(98998, NULL, 'PTHR45654:SF20', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ANTHOCYANINLESS 2-LIKE', NULL, NULL, NULL, 15),
(98999, NULL, 'PTHR48065:SF31', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99000, NULL, 'PTHR45619:SF50', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(99001, NULL, 'PTHR10201:SF213', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE', NULL, NULL, NULL, 15),
(99002, NULL, 'PTHR47343:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR SPT7', NULL, NULL, NULL, 15),
(99003, NULL, 'PTHR35463:SF12', NULL, NULL, NULL, NULL, 'BNAANNG13040D PROTEIN', NULL, NULL, NULL, 15),
(99004, NULL, 'PTHR20837:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CC2D2B', NULL, NULL, NULL, 15),
(99005, NULL, 'PTHR23050:SF450', NULL, NULL, NULL, NULL, 'BNAA06G03170D PROTEIN', NULL, NULL, NULL, 15),
(99006, NULL, 'PTHR27007:SF210', NULL, NULL, NULL, NULL, 'OS07G0129900 PROTEIN', NULL, NULL, NULL, 15),
(99007, NULL, 'PTHR10887:SF365', NULL, NULL, NULL, NULL, 'HELICASE WITH ZINC FINGER DOMAIN-RELATED', NULL, NULL, NULL, 15),
(99008, NULL, 'PTHR46179:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZFP91', NULL, NULL, NULL, 15),
(99009, NULL, 'PTHR27007:SF31', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(99010, NULL, 'PTHR48022:SF29', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14500)-RELATED', NULL, NULL, NULL, 15),
(99011, NULL, 'PTHR47958:SF31', NULL, NULL, NULL, NULL, 'DEAD-BOX HELICASE DBP80', NULL, NULL, NULL, 15),
(99012, NULL, 'PTHR24082:SF473', NULL, NULL, NULL, NULL, 'STEROID HORMONE RECEPTOR FAMILY MEMBER CNR14', NULL, NULL, NULL, 15),
(99013, NULL, 'PTHR46508:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE WITH RING/FYVE/PHD-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(99014, NULL, 'PTHR12021:SF3', NULL, NULL, NULL, NULL, 'THYMOSIN BETA', NULL, NULL, NULL, 15),
(99015, NULL, 'PTHR48047:SF85', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(99016, NULL, 'PTHR31282:SF10', NULL, NULL, NULL, NULL, 'OS01G0821600 PROTEIN', NULL, NULL, NULL, 15),
(99017, NULL, 'PTHR27007:SF303', NULL, NULL, NULL, NULL, 'LECTIN-LIKE RECEPTOR KINASE 7', NULL, NULL, NULL, 15),
(99018, NULL, 'PTHR31388', NULL, NULL, NULL, NULL, 'PEROXIDASE 72-RELATED', NULL, NULL, 4545, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99019, NULL, 'PTHR11309:SF31', NULL, NULL, NULL, NULL, 'FRIZZLED-7', NULL, NULL, 22005, 15),
(99020, NULL, 'PTHR35746:SF2', NULL, NULL, NULL, NULL, 'OS08G0525700 PROTEIN', NULL, NULL, NULL, 15),
(99021, NULL, 'PTHR16523:SF8', NULL, NULL, NULL, NULL, 'PEST PROTEOLYTIC SIGNAL-CONTAINING NUCLEAR PROTEIN', NULL, NULL, NULL, 15),
(99022, NULL, 'PTHR10177:SF435', NULL, NULL, NULL, NULL, 'BNAC05G49810D PROTEIN', NULL, NULL, NULL, 15),
(99023, NULL, 'PTHR30456', NULL, NULL, NULL, NULL, 'PYRIDOXINE 5''-PHOSPHATE SYNTHASE', NULL, NULL, 754, 15),
(99024, NULL, 'PTHR48005:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE TYROSINE-PROTEIN KINASE PXC3 ISOFORM X1', NULL, NULL, NULL, 15),
(99025, NULL, 'PTHR42707:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE AIDB-RELATED', NULL, NULL, NULL, 15),
(99026, NULL, 'PTHR43791:SF1', NULL, NULL, NULL, NULL, 'ALLANTOATE PERMEASE', NULL, NULL, NULL, 15),
(99027, NULL, 'PTHR23273:SF74', NULL, NULL, NULL, NULL, 'BNAC01G35430D PROTEIN', NULL, NULL, NULL, 15),
(99028, NULL, 'PTHR11214:SF29', NULL, NULL, NULL, NULL, 'UDP-GLCNAC:BETAGAL BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE LOC100288842-RELATED', NULL, NULL, NULL, 15),
(99029, NULL, 'PTHR11739:SF27', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE 1, PEROXISOMAL-RELATED', NULL, NULL, NULL, 15),
(99030, NULL, 'PTHR12271:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG11386', NULL, NULL, NULL, 15),
(99031, NULL, 'PTHR31920:SF32', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM22', NULL, NULL, NULL, 15),
(99032, NULL, 'PTHR43013', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', NULL, NULL, NULL, 15),
(99033, NULL, 'PTHR11926:SF1176', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 74G1-LIKE', NULL, NULL, NULL, 15),
(99034, NULL, 'PTHR38849', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99035, NULL, 'PTHR31913:SF5', NULL, NULL, NULL, NULL, 'BNAC05G47620D PROTEIN', NULL, NULL, NULL, 15),
(99036, NULL, 'PTHR36527:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99037, NULL, 'PTHR23236:SF57', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(99038, NULL, 'PTHR47926:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99039, NULL, 'PTHR47364:SF11', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 5-LIKE', NULL, NULL, NULL, 15),
(99040, NULL, 'PTHR14154:SF81', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER 1', NULL, NULL, NULL, 15),
(99041, NULL, 'PTHR42732', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(99042, NULL, 'PTHR24379:SF75', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL ZINC FINGER 1', NULL, NULL, NULL, 15),
(99043, NULL, 'PTHR10048:SF29', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 3-KINASE C2 DOMAIN-CONTAINING SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(99044, NULL, 'PTHR43003:SF3', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE 2', NULL, NULL, NULL, 15),
(99045, NULL, 'PTHR40699', NULL, NULL, NULL, NULL, 'UPF0179 PROTEIN MJ1627', NULL, NULL, 6045, 15),
(99046, NULL, 'PTHR23020:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBR-DHS-27', NULL, NULL, NULL, 15),
(99047, NULL, 'PTHR32285:SF187', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 10', NULL, NULL, NULL, 15),
(99048, NULL, 'PTHR20855:SF95', NULL, NULL, NULL, NULL, 'ADIPOR-LIKE RECEPTOR IZH1', NULL, NULL, NULL, 15),
(99049, NULL, 'PTHR11474:SF87', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(99050, NULL, 'PTHR45685:SF1', NULL, NULL, NULL, NULL, 'HELICASE SRCAP', NULL, NULL, NULL, 15),
(99051, NULL, 'PTHR12358:SF37', NULL, NULL, NULL, NULL, 'OS08G0152700 PROTEIN', NULL, NULL, NULL, 15),
(99052, NULL, 'PTHR34390:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YJJP', NULL, NULL, NULL, 15),
(99053, NULL, 'PTHR33086:SF49', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(99054, NULL, 'PTHR46381:SF2', NULL, NULL, NULL, NULL, 'MKPA PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99055, NULL, 'PTHR42934:SF3', NULL, NULL, NULL, NULL, 'D-LACTATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(99056, NULL, 'PTHR30327:SF1', NULL, NULL, NULL, NULL, 'UPF0301 PROTEIN YQGE', NULL, NULL, NULL, 15),
(99057, NULL, 'PTHR31949:SF18', NULL, NULL, NULL, NULL, 'BNAA04G21840D PROTEIN', NULL, NULL, NULL, 15),
(99058, NULL, 'PTHR31356:SF35', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 2, CYTOSOLIC', NULL, NULL, NULL, 15),
(99059, NULL, 'PTHR10336:SF164', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C 3', NULL, NULL, NULL, 15),
(99060, NULL, 'PTHR36459:SF1', NULL, NULL, NULL, NULL, 'ORF', NULL, NULL, NULL, 15),
(99061, NULL, 'PTHR30595', NULL, NULL, NULL, NULL, 'GLPR-RELATED TRANSCRIPTIONAL REPRESSOR', NULL, NULL, NULL, 15),
(99062, NULL, 'PTHR33065:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99063, NULL, 'PTHR10127:SF816', NULL, NULL, NULL, NULL, 'ASTACIN-LIKE METALLOENDOPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(99064, NULL, 'PTHR43391:SF46', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE-LIKE 5', NULL, NULL, NULL, 15),
(99065, NULL, 'PTHR24002:SF3', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 18', NULL, NULL, NULL, 15),
(99066, NULL, 'PTHR24237:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99067, NULL, 'PTHR11654:SF553', NULL, NULL, NULL, NULL, 'BNAA02G24280D PROTEIN', NULL, NULL, NULL, 15),
(99068, NULL, 'PTHR42909:SF3', NULL, NULL, NULL, NULL, 'BNAA06G02750D PROTEIN', NULL, NULL, NULL, 15),
(99069, NULL, 'PTHR45676:SF26', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', NULL, NULL, NULL, 15),
(99070, NULL, 'PTHR31790:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99071, NULL, 'PTHR43297:SF4', NULL, NULL, NULL, NULL, 'PUTRESCINE EXPORT SYSTEM ATP-BINDING PROTEIN SAPD', NULL, NULL, NULL, 15),
(99072, NULL, 'PTHR46275', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR-REGULATED TYROSINE KINASE SUBSTRATE', NULL, NULL, NULL, 15),
(99073, NULL, 'PTHR23235:SF63', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 1', NULL, NULL, 22681, 15),
(99074, NULL, 'PTHR47505:SF1', NULL, NULL, NULL, NULL, 'DNA UTILIZATION PROTEIN YHGH', NULL, NULL, NULL, 15),
(99075, NULL, 'PTHR24006:SF687', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 10', NULL, NULL, NULL, 15),
(99076, NULL, 'PTHR34665:SF3', NULL, NULL, NULL, NULL, 'BNACNNG18970D PROTEIN', NULL, NULL, NULL, 15),
(99077, NULL, 'PTHR24326:SF585', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', NULL, NULL, NULL, 15),
(99078, NULL, 'PTHR24393:SF97', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(99079, NULL, 'PTHR15902:SF6', NULL, NULL, NULL, NULL, 'NEURITIN 1-LIKE B', NULL, NULL, NULL, 15),
(99080, NULL, 'PTHR45651:SF32', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 2-LIKE', NULL, NULL, NULL, 15),
(99081, NULL, 'PTHR33566:SF9', NULL, NULL, NULL, NULL, 'DEFECTIVE IN MERISTEM SILENCING PROTEIN', NULL, NULL, NULL, 15),
(99082, NULL, 'PTHR10026:SF135', NULL, NULL, NULL, NULL, 'BNAA09G28170D PROTEIN', NULL, NULL, NULL, 15),
(99083, NULL, 'PTHR10797:SF52', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 3-RELATED', NULL, NULL, NULL, 15),
(99084, NULL, 'PTHR10263:SF55', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C''''1-RELATED', NULL, NULL, NULL, 15),
(99085, NULL, 'PTHR35632:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99086, NULL, 'PTHR12081:SF70', NULL, NULL, NULL, NULL, 'E2F-LIKE (MAMMALIAN TRANSCRIPTION FACTOR)', NULL, NULL, NULL, 15),
(99087, NULL, 'PTHR45615:SF40', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN, NON-MUSCLE', NULL, NULL, NULL, 15),
(99088, NULL, 'PTHR40633:SF1', NULL, NULL, NULL, NULL, 'MATRIX PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05410)-RELATED', NULL, NULL, NULL, 15),
(99089, NULL, 'PTHR31707:SF319', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(99090, NULL, 'PTHR11101:SF57', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99091, NULL, 'PTHR24286:SF300', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE-LIKE', NULL, NULL, NULL, 15),
(99092, NULL, 'PTHR12628:SF14', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HAZ1', NULL, NULL, NULL, 15),
(99093, NULL, 'PTHR14869', NULL, NULL, NULL, NULL, 'MYC TARGET PROTEIN 1', NULL, NULL, 21563, 15),
(99094, NULL, 'PTHR43072', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(99095, NULL, 'PTHR37089:SF4', NULL, NULL, NULL, NULL, 'PROTEIN U', NULL, NULL, NULL, 15),
(99096, NULL, 'PTHR33146:SF22', NULL, NULL, NULL, NULL, 'OS04G0652700 PROTEIN', NULL, NULL, NULL, 15),
(99097, NULL, 'PTHR24044:SF471', NULL, NULL, NULL, NULL, 'NOTCH 1', NULL, NULL, NULL, 15),
(99098, NULL, 'PTHR31744:SF67', NULL, NULL, NULL, NULL, 'ANAC079/ANAC080/ATNAC4 PROTEIN', NULL, NULL, NULL, 15),
(99099, NULL, 'PTHR43464:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99100, NULL, 'PTHR19433:SF83', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 36/DELTA VARIABLE 7', NULL, NULL, NULL, 15),
(99101, NULL, 'PTHR43585:SF2', NULL, NULL, NULL, NULL, 'FUMIPYRROLE BIOSYNTHESIS PROTEIN C', NULL, NULL, NULL, 15),
(99102, NULL, 'PTHR12995:SF4', NULL, NULL, NULL, NULL, 'FI21814P1', NULL, NULL, NULL, 15),
(99103, NULL, 'PTHR21230:SF25', NULL, NULL, NULL, NULL, 'GOLGI SNAP RECEPTOR COMPLEX MEMBER 2', NULL, NULL, NULL, 15),
(99104, NULL, 'PTHR16234:SF5', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN FLJ20508', NULL, NULL, NULL, 15),
(99105, NULL, 'PTHR33207:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99106, NULL, 'PTHR13115:SF12', NULL, NULL, NULL, NULL, 'OS10G0511800 PROTEIN', NULL, NULL, NULL, 15),
(99107, NULL, 'PTHR18945:SF815', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', NULL, NULL, NULL, 15),
(99108, NULL, 'PTHR26454:SF21', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(99109, NULL, 'PTHR23272:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99110, NULL, 'PTHR30489:SF0', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM TRANSMEMBRANE PROTEIN LOLE', NULL, NULL, NULL, 15),
(99111, NULL, 'PTHR30363:SF51', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR GLCR', NULL, NULL, NULL, 15),
(99112, NULL, 'PTHR31549:SF106', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED', NULL, NULL, NULL, 15),
(99113, NULL, 'PTHR46454:SF15', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 1', NULL, NULL, NULL, 15),
(99114, NULL, 'PTHR13439:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CLN8', NULL, NULL, NULL, 15),
(99115, NULL, 'PTHR22937:SF163', NULL, NULL, NULL, NULL, 'OS04G0185500 PROTEIN', NULL, NULL, NULL, 15),
(99116, NULL, 'PTHR12506:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(99117, NULL, 'PTHR31817', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 8827, 15),
(99118, NULL, 'PTHR23299:SF4', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1H', NULL, NULL, NULL, 15),
(99119, NULL, 'PTHR10680:SF33', NULL, NULL, NULL, NULL, 'PEPTIDYL-ALPHA-HYDROXYGLYCINE ALPHA-AMIDATING LYASE PGAL-1-RELATED', NULL, NULL, NULL, 15),
(99120, NULL, 'PTHR13191:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA-PROCESSING PROTEIN 7 HOMOLOG A-RELATED', NULL, NULL, NULL, 15),
(99121, NULL, 'PTHR34591:SF23', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(99122, NULL, 'PTHR31084:SF0', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 2', NULL, NULL, NULL, 15),
(99123, NULL, 'PTHR10908:SF4', NULL, NULL, NULL, NULL, 'ARYLALKYLAMINE N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(99124, NULL, 'PTHR11571:SF164', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE ALPHA-1-RELATED', NULL, NULL, NULL, 15),
(99125, NULL, 'PTHR43068', NULL, NULL, NULL, NULL, 'SLR1854 PROTEIN', NULL, NULL, NULL, 15),
(99126, NULL, 'PTHR24250:SF52', NULL, NULL, NULL, NULL, 'CHYMOTRYPSINOGEN B', NULL, NULL, NULL, 15),
(99127, NULL, 'PTHR33078:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99128, NULL, 'PTHR35320:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99129, NULL, 'PTHR11802:SF38', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(99130, NULL, 'PTHR11738:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99131, NULL, 'PTHR47999:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB114-LIKE', NULL, NULL, NULL, 15),
(99132, NULL, 'PTHR24414:SF82', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(99133, NULL, 'PTHR33429:SF26', NULL, NULL, NULL, NULL, 'BNAA08G20450D PROTEIN', NULL, NULL, NULL, 15),
(99134, NULL, 'PTHR34156:SF9', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99135, NULL, 'PTHR12187:SF11', NULL, NULL, NULL, NULL, 'AGAP000124-PA', NULL, NULL, NULL, 15),
(99136, NULL, 'PTHR12726:SF0', NULL, NULL, NULL, NULL, 'CERAMIDE GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(99137, NULL, 'PTHR30595:SF6', NULL, NULL, NULL, NULL, 'BLR5173 PROTEIN', NULL, NULL, NULL, 15),
(99138, NULL, 'PTHR18861:SF3', NULL, NULL, NULL, NULL, 'ERC PROTEIN 2', NULL, NULL, 23917, 15),
(99139, NULL, 'PTHR27006:SF251', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(99140, NULL, 'PTHR24056:SF466', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99141, NULL, 'PTHR10489:SF925', NULL, NULL, NULL, NULL, 'RELAXIN FAMILY PEPTIDE RECEPTOR 3', NULL, NULL, NULL, 15),
(99142, NULL, 'PTHR18901:SF41', NULL, NULL, NULL, NULL, '(DL)-GLYCEROL-3-PHOSPHATASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(99143, NULL, 'PTHR11616:SF166', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(99144, NULL, 'PTHR45974:SF139', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN, SERINE/THREONINE-PROTEIN KINASE, ULK1/ULK2-RELATED', NULL, NULL, NULL, 15),
(99145, NULL, 'PTHR30606:SF7', NULL, NULL, NULL, NULL, 'LIPID A BIOSYNTHESIS PALMITOLEOYLTRANSFERASE', NULL, NULL, NULL, 15),
(99146, NULL, 'PTHR33530:SF13', NULL, NULL, NULL, NULL, 'OS01G0147100 PROTEIN', NULL, NULL, NULL, 15),
(99147, NULL, 'PTHR33929:SF12', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 5-RELATED', NULL, NULL, NULL, 15),
(99148, NULL, 'PTHR31048:SF161', NULL, NULL, NULL, NULL, 'THAUMATIN-RELATED', NULL, NULL, NULL, 15),
(99149, NULL, 'PTHR11388:SF82', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 1B1', NULL, NULL, NULL, 15),
(99150, NULL, 'PTHR48132', NULL, NULL, NULL, NULL, 'ZGC:171772', NULL, NULL, NULL, 15),
(99151, NULL, 'PTHR24249:SF384', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 21-RELATED', NULL, NULL, NULL, 15),
(99152, NULL, 'PTHR24349:SF423', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99153, NULL, 'PTHR37314', NULL, NULL, NULL, NULL, 'SLR0142 PROTEIN', NULL, NULL, NULL, 15),
(99154, NULL, 'PTHR33384:SF7', NULL, NULL, NULL, NULL, 'OS01G0930200 PROTEIN', NULL, NULL, NULL, 15),
(99155, NULL, 'PTHR37471:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(99156, NULL, 'PTHR24384:SF215', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 52', NULL, NULL, NULL, 15),
(99157, NULL, 'PTHR11017:SF347', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE', NULL, NULL, NULL, 15),
(99158, NULL, 'PTHR10237:SF1', NULL, NULL, NULL, NULL, 'DEFORMED EPIDERMAL AUTOREGULATORY FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(99159, NULL, 'PTHR46285:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99160, NULL, 'PTHR33074:SF78', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(99161, NULL, 'PTHR47795', NULL, NULL, NULL, NULL, 'UBIQUITIN AND WLM DOMAIN-CONTAINING METALLOPROTEASE SPCC1442.07C', NULL, NULL, NULL, 15),
(99162, NULL, 'PTHR19241:SF645', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(99163, NULL, 'PTHR45687:SF59', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-3', NULL, NULL, NULL, 15),
(99164, NULL, 'PTHR31707:SF215', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99165, NULL, 'PTHR10614', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR SUBSTRATE', NULL, NULL, 35359, 15),
(99166, NULL, 'PTHR46128:SF101', NULL, NULL, NULL, NULL, 'BNAA06G24430D PROTEIN', NULL, NULL, NULL, 15),
(99167, NULL, 'PTHR45992:SF6', NULL, NULL, NULL, NULL, 'KINASE PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99168, NULL, 'PTHR46266:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GLABRA 3', NULL, NULL, NULL, 15),
(99169, NULL, 'PTHR19241:SF561', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 31', NULL, NULL, NULL, 15),
(99170, NULL, 'PTHR16517:SF112', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(99171, NULL, 'PTHR31232:SF64', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY S1-RELATED', NULL, NULL, NULL, 15),
(99172, NULL, 'PTHR31731:SF124', NULL, NULL, NULL, NULL, 'BNAC06G06500D PROTEIN', NULL, NULL, NULL, 15),
(99173, NULL, 'PTHR36107', NULL, NULL, NULL, NULL, 'SMALL, ACID-SOLUBLE SPORE PROTEIN A', NULL, NULL, NULL, 15),
(99174, NULL, 'PTHR46463:SF49', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHF1A-LIKE', NULL, NULL, NULL, 15),
(99175, NULL, 'PTHR46984', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 71', NULL, NULL, NULL, 15),
(99176, NULL, 'PTHR12411:SF797', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE RD21A', NULL, NULL, NULL, 15),
(99177, NULL, 'PTHR34224:SF8', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 1', NULL, NULL, NULL, 15),
(99178, NULL, 'PTHR32370:SF113', NULL, NULL, NULL, NULL, 'OS12G0583500 PROTEIN', NULL, NULL, NULL, 15),
(99179, NULL, 'PTHR21415:SF1', NULL, NULL, NULL, NULL, 'U7 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM11', NULL, NULL, NULL, 15),
(99180, NULL, 'PTHR45669:SF38', NULL, NULL, NULL, NULL, 'BNAANNG33180D PROTEIN', NULL, NULL, NULL, 15),
(99181, NULL, 'PTHR23273:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99182, NULL, 'PTHR12081:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F2-RELATED', NULL, NULL, NULL, 15),
(99183, NULL, 'PTHR33353:SF18', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE II', NULL, NULL, NULL, 15),
(99184, NULL, 'PTHR11216:SF135', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(99185, NULL, 'PTHR24213:SF6', NULL, NULL, NULL, NULL, 'ACTIN-BINDING LIM PROTEIN 2', NULL, NULL, 27259, 15),
(99186, NULL, 'PTHR31213:SF76', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR', NULL, NULL, NULL, 15),
(99187, NULL, 'PTHR24372:SF1', NULL, NULL, NULL, NULL, 'LUTROPIN-CHORIOGONADOTROPIC HORMONE RECEPTOR', NULL, NULL, NULL, 15),
(99188, NULL, 'PTHR11673:SF29', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', NULL, NULL, NULL, 15),
(99189, NULL, 'PTHR11709:SF226', NULL, NULL, NULL, NULL, 'CERULOPLASMIN', NULL, NULL, NULL, 15),
(99190, NULL, 'PTHR45808:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 68F', NULL, NULL, NULL, 15),
(99191, NULL, 'PTHR47515:SF1', NULL, NULL, NULL, NULL, 'TRUNCATED IS1477 TRANSPOSASE', NULL, NULL, NULL, 15),
(99192, NULL, 'PTHR11017:SF421', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS CLASS)', NULL, NULL, NULL, 15),
(99193, NULL, 'PTHR42714:SF2', NULL, NULL, NULL, NULL, 'TRNA MODIFICATION GTPASE GTPBP3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(99194, NULL, 'PTHR42912:SF14', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 7B', NULL, NULL, NULL, 15),
(99195, NULL, 'PTHR43365:SF1', NULL, NULL, NULL, NULL, 'BLR7806 PROTEIN', NULL, NULL, NULL, 15),
(99196, NULL, 'PTHR10380', NULL, NULL, NULL, NULL, 'CUTICLE PROTEIN', NULL, NULL, NULL, 15),
(99197, NULL, 'PTHR24009:SF27', NULL, NULL, NULL, NULL, 'RNA-BINDING ZINC FINGER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99198, NULL, 'PTHR18896:SF59', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA 2', NULL, NULL, NULL, 15),
(99199, NULL, 'PTHR11668:SF199', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(99200, NULL, 'PTHR11571:SF234', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE S1', NULL, NULL, NULL, 15),
(99201, NULL, 'PTHR27006:SF40', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99202, NULL, 'PTHR11109:SF12', NULL, NULL, NULL, NULL, 'BNAA02G30310D PROTEIN', NULL, NULL, NULL, 15),
(99203, NULL, 'PTHR48111:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN BTSR', NULL, NULL, NULL, 15),
(99204, NULL, 'PTHR33103:SF53', NULL, NULL, NULL, NULL, 'DUF674 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(99205, NULL, 'PTHR35580:SF1', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN (S-LAYER PROTEIN)-LIKE PROTEIN', NULL, NULL, NULL, 15),
(99206, NULL, 'PTHR23113:SF24', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR 3', NULL, NULL, NULL, 15),
(99207, NULL, 'PTHR19282:SF432', NULL, NULL, NULL, NULL, 'TETRASPANIN-19-LIKE', NULL, NULL, NULL, 15),
(99208, NULL, 'PTHR36469', NULL, NULL, NULL, NULL, 'DISTAL MEMBRANE-ARM ASSEMBLY COMPLEX PROTEIN 1', NULL, NULL, NULL, 15),
(99209, NULL, 'PTHR46816:SF8', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN, N-TERMINAL ACETYLTRANSFERASE A, AUXILIARY SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(99210, NULL, 'PTHR47736:SF1', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A MEMBER 3', NULL, NULL, NULL, 15),
(99211, NULL, 'PTHR11440:SF53', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(1) LCAT3', NULL, NULL, NULL, 15),
(99212, NULL, 'PTHR20852:SF100', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', NULL, NULL, NULL, 15),
(99213, NULL, 'PTHR24068:SF327', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 22-LIKE', NULL, NULL, NULL, 15),
(99214, NULL, 'PTHR31181:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99215, NULL, 'PTHR45689:SF7', NULL, NULL, NULL, NULL, 'POTASSIUM/SODIUM HYPERPOLARIZATION-ACTIVATED CYCLIC NUCLEOTIDE-GATED CHANNEL 3', NULL, NULL, NULL, 15),
(99216, NULL, 'PTHR47550', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE PPS1', NULL, NULL, NULL, 15),
(99217, NULL, 'PTHR31896:SF56', NULL, NULL, NULL, NULL, 'BNAC06G15240D PROTEIN', NULL, NULL, NULL, 15),
(99218, NULL, 'PTHR24321:SF11', NULL, NULL, NULL, NULL, 'SHORT-CHAIN TYPE DEHYDROGENASE/REDUCTASE BLR2146-RELATED', NULL, NULL, NULL, 15),
(99219, NULL, 'PTHR16736', NULL, NULL, NULL, NULL, 'CORTEXIN-1-RELATED', NULL, NULL, 12452, 15),
(99220, NULL, 'PTHR42713:SF2', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE', NULL, NULL, NULL, 15),
(99221, NULL, 'PTHR19970:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99222, NULL, 'PTHR24068:SF326', NULL, NULL, NULL, NULL, 'BNAA05G29530D PROTEIN', NULL, NULL, NULL, 15),
(99223, NULL, 'PTHR22941:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(99224, NULL, 'PTHR33021:SF287', NULL, NULL, NULL, NULL, 'ION BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99225, NULL, 'PTHR13813:SF4', NULL, NULL, NULL, NULL, 'GLYCOPHORIN-E', NULL, NULL, NULL, 15),
(99226, NULL, 'PTHR43528:SF7', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99227, NULL, 'PTHR11055:SF40', NULL, NULL, NULL, NULL, 'ATP SULFURYLASE 1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(99228, NULL, 'PTHR42770:SF12', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(99229, NULL, 'PTHR10316:SF27', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED GUANYLATE KINASE, WW AND PDZ DOMAIN-CONTAINING PROTEIN 2-RELATED', NULL, NULL, 26633, 15),
(99230, NULL, 'PTHR48001:SF146', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(99231, NULL, 'PTHR13780:SF104', NULL, NULL, NULL, NULL, 'CBS/OCTICOSAPEPTIDE/PHOX/BEMP1 (PB1) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(99232, NULL, 'PTHR10407:SF14', NULL, NULL, NULL, NULL, 'HUNTINGTIN-INTERACTING PROTEIN 1', NULL, NULL, 24298, 15),
(99233, NULL, 'PTHR45830:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(99234, NULL, 'PTHR10316:SF12', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED GUANYLATE KINASE, WW AND PDZ DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 26617, 15),
(99235, NULL, 'PTHR10795:SF648', NULL, NULL, NULL, NULL, 'SBT4B PROTEIN', NULL, NULL, NULL, 15),
(99236, NULL, 'PTHR45654:SF16', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG7', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99237, NULL, 'PTHR12548:SF23', NULL, NULL, NULL, NULL, 'BNAA03G00880D PROTEIN', NULL, NULL, NULL, 15),
(99238, NULL, 'PTHR10026:SF113', NULL, NULL, NULL, NULL, 'BUR2P', NULL, NULL, NULL, 15),
(99239, NULL, 'PTHR13068:SF151', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF9, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(99240, NULL, 'PTHR43176:SF3', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(99241, NULL, 'PTHR48099:SF3', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE DEHYDROGENASE [NAD(+)]', NULL, NULL, NULL, 15),
(99242, NULL, 'PTHR11709:SF388', NULL, NULL, NULL, NULL, 'BNAANNG08180D PROTEIN', NULL, NULL, NULL, 15),
(99243, NULL, 'PTHR12700:SF20', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(99244, NULL, 'PTHR33210:SF4', NULL, NULL, NULL, NULL, 'OS06G0553200 PROTEIN', NULL, NULL, NULL, 15),
(99245, NULL, 'PTHR10314:SF220', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(99246, NULL, 'PTHR31669:SF14', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 9', NULL, NULL, NULL, 15),
(99247, NULL, 'PTHR11945:SF152', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL12', NULL, NULL, NULL, 15),
(99248, NULL, 'PTHR33095:SF87', NULL, NULL, NULL, NULL, 'BNAA09G39980D PROTEIN', NULL, NULL, NULL, 15),
(99249, NULL, 'PTHR34384:SF5', NULL, NULL, NULL, NULL, 'L-2,3-DIAMINOPROPANOATE--CITRATE LIGASE', NULL, NULL, NULL, 15),
(99250, NULL, 'PTHR15959:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99251, NULL, 'PTHR22854', NULL, NULL, NULL, NULL, 'TRYPTOPHAN BIOSYNTHESIS PROTEIN', NULL, NULL, 36682, 15),
(99252, NULL, 'PTHR23504:SF34', NULL, NULL, NULL, NULL, 'HIPPOCAMPUS ABUNDANT TRANSCRIPT 1A', NULL, NULL, NULL, 15),
(99253, NULL, 'PTHR10903:SF122', NULL, NULL, NULL, NULL, 'IMMUNE-ASSOCIATED NUCLEOTIDE-BINDING PROTEIN 11-RELATED', NULL, NULL, NULL, 15),
(99254, NULL, 'PTHR14647:SF55', NULL, NULL, NULL, NULL, 'GALACTOSE-3-O-SULFOTRANSFERASE 2', NULL, NULL, NULL, 15),
(99255, NULL, 'PTHR48007:SF25', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(99256, NULL, 'PTHR24305:SF199', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-DIT2', NULL, NULL, NULL, 15),
(99257, NULL, 'PTHR11945:SF606', NULL, NULL, NULL, NULL, 'TRUNCATED TRANSCRIPTION FACTOR CAULIFLOWER A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(99258, NULL, 'PTHR35740:SF1', NULL, NULL, NULL, NULL, 'OS12G0111700 PROTEIN', NULL, NULL, NULL, 15),
(99259, NULL, 'PTHR11102:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99260, NULL, 'PTHR11876:SF6', NULL, NULL, NULL, NULL, 'DEFENSIN-5', NULL, NULL, NULL, 15),
(99261, NULL, 'PTHR15852:SF61', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ-LIKE', NULL, NULL, NULL, 15),
(99262, NULL, 'PTHR46285:SF10', NULL, NULL, NULL, NULL, 'T1.3 PROTEIN', NULL, NULL, NULL, 15),
(99263, NULL, 'PTHR33083:SF83', NULL, NULL, NULL, NULL, 'BNAA07G36440D PROTEIN', NULL, NULL, NULL, 15),
(99264, NULL, 'PTHR23500:SF546', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 6-RELATED', NULL, NULL, NULL, 15),
(99265, NULL, 'PTHR22999:SF18', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(99266, NULL, 'PTHR15825:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN-FOLD MODIFIER 1', NULL, NULL, NULL, 15),
(99267, NULL, 'PTHR43415:SF1', NULL, NULL, NULL, NULL, 'GNAT-FAMILY ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(99268, NULL, 'PTHR10593:SF192', NULL, NULL, NULL, NULL, 'BNAA06G38780D PROTEIN', NULL, NULL, NULL, 15),
(99269, NULL, 'PTHR45764:SF22', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(99270, NULL, 'PTHR35346:SF1', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(99271, NULL, 'PTHR24054:SF43', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0286481-RELATED', NULL, NULL, NULL, 15),
(99272, NULL, 'PTHR31161:SF20', NULL, NULL, NULL, NULL, 'BNAC06G41500D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99273, NULL, 'PTHR22957:SF547', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 16', NULL, NULL, NULL, 15),
(99274, NULL, 'PTHR46073', NULL, NULL, NULL, NULL, 'CHITINASE', NULL, NULL, NULL, 15),
(99275, NULL, 'PTHR46561:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', NULL, NULL, NULL, 15),
(99276, NULL, 'PTHR12697:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99277, NULL, 'PTHR33541:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99278, NULL, 'PTHR24068:SF302', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 16-RELATED', NULL, NULL, NULL, 15),
(99279, NULL, 'PTHR31429:SF59', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 47-RELATED', NULL, NULL, NULL, 15),
(99280, NULL, 'PTHR34395:SF3', NULL, NULL, NULL, NULL, 'OS11G0427500 PROTEIN', NULL, NULL, NULL, 15),
(99281, NULL, 'PTHR45647:SF76', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99282, NULL, 'PTHR24115:SF923', NULL, NULL, NULL, NULL, 'KINESIN FAMILY MEMBER 26AA', NULL, NULL, NULL, 15),
(99283, NULL, 'PTHR47621', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH-TYPE ANTIVIRAL PROTEIN 1-LIKE', NULL, NULL, 27031, 15),
(99284, NULL, 'PTHR46085:SF12', NULL, NULL, NULL, NULL, 'BNAA08G29820D PROTEIN', NULL, NULL, NULL, 15),
(99285, NULL, 'PTHR11481:SF94', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE B', NULL, NULL, NULL, 15),
(99286, NULL, 'PTHR10972:SF167', NULL, NULL, NULL, NULL, 'OSBP(OXYSTEROL-BINDING PROTEIN)-RELATED PROTEIN 4C', NULL, NULL, NULL, 15),
(99287, NULL, 'PTHR13016:SF2', NULL, NULL, NULL, NULL, 'AMME SYNDROME CANDIDATE GENE 1 PROTEIN', NULL, NULL, NULL, 15),
(99288, NULL, 'PTHR33772:SF1', NULL, NULL, NULL, NULL, 'THYMUS, BRAIN AND TESTES-ASSOCIATED', NULL, NULL, NULL, 15),
(99289, NULL, 'PTHR33305:SF33', NULL, NULL, NULL, NULL, 'EIN3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(99290, NULL, 'PTHR47116:SF6', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(99291, NULL, 'PTHR10438:SF392', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CXXS1', NULL, NULL, NULL, 15),
(99292, NULL, 'PTHR31852:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99293, NULL, 'PTHR45798:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99294, NULL, 'PTHR23239:SF348', NULL, NULL, NULL, NULL, 'KERATIN 41', NULL, NULL, NULL, 15),
(99295, NULL, 'PTHR32285:SF257', NULL, NULL, NULL, NULL, 'PMR5 N-TERMINAL DOMAIN, PC-ESTERASE-RELATED', NULL, NULL, NULL, 15),
(99296, NULL, 'PTHR44535:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG16200', NULL, NULL, NULL, 15),
(99297, NULL, 'PTHR48000:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB36-LIKE', NULL, NULL, NULL, 15),
(99298, NULL, 'PTHR47990:SF112', NULL, NULL, NULL, NULL, 'SYNTHASE/FLAVANONE 3-HYDROXYLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99299, NULL, 'PTHR33109:SF49', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(99300, NULL, 'PTHR23500:SF420', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99301, NULL, 'PTHR11654:SF537', NULL, NULL, NULL, NULL, 'BNAA06G16980D PROTEIN', NULL, NULL, NULL, 15),
(99302, NULL, 'PTHR11431', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, 6259, 15),
(99303, NULL, 'PTHR46083:SF1', NULL, NULL, NULL, NULL, 'STARCH SYNTHASE, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(99304, NULL, 'PTHR24282:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 715, SUBFAMILY A, POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(99305, NULL, 'PTHR10545:SF51', NULL, NULL, NULL, NULL, 'DIAMINE ACETYLTRANSFERASE 2', NULL, NULL, 27338, 15),
(99306, NULL, 'PTHR12277:SF69', NULL, NULL, NULL, NULL, 'PROTEIN ABHD12B', NULL, NULL, NULL, 15),
(99307, NULL, 'PTHR45637:SF69', NULL, NULL, NULL, NULL, 'OS02G0725000 PROTEIN', NULL, NULL, NULL, 15),
(99308, NULL, 'PTHR22595:SF165', NULL, NULL, NULL, NULL, 'BNAC05G03990D PROTEIN', NULL, NULL, NULL, 15),
(99309, NULL, 'PTHR46153:SF19', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99310, NULL, 'PTHR34034:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM180A', NULL, NULL, NULL, 15),
(99311, NULL, 'PTHR26450:SF353', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52L2-RELATED', NULL, NULL, NULL, 15),
(99312, NULL, 'PTHR46128:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99313, NULL, 'PTHR23023:SF273', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(99314, NULL, 'PTHR46565:SF9', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(99315, NULL, 'PTHR47966', NULL, NULL, NULL, NULL, 'BETA-SITE APP-CLEAVING ENZYME, ISOFORM A-RELATED', NULL, NULL, 6100, 15),
(99316, NULL, 'PTHR24379:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 442', NULL, NULL, NULL, 15),
(99317, NULL, 'PTHR45798:SF26', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL80', NULL, NULL, NULL, 15),
(99318, NULL, 'PTHR33769:SF2', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 26 ISOFORM X3', NULL, NULL, NULL, 15),
(99319, NULL, 'PTHR13718:SF103', NULL, NULL, NULL, NULL, 'BNAC04G47870D PROTEIN', NULL, NULL, NULL, 15),
(99320, NULL, 'PTHR13202:SF0', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 1', NULL, NULL, 33794, 15),
(99321, NULL, 'PTHR22957:SF524', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99322, NULL, 'PTHR24381:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 749', NULL, NULL, NULL, 15),
(99323, NULL, 'PTHR31669:SF202', NULL, NULL, NULL, NULL, 'OS02G0202800 PROTEIN', NULL, NULL, NULL, 15),
(99324, NULL, 'PTHR12277:SF61', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDYLSERINE LIPASE ABHD12', NULL, NULL, 28809, 15),
(99325, NULL, 'PTHR35726:SF7', NULL, NULL, NULL, NULL, 'BNAC04G51040D PROTEIN', NULL, NULL, NULL, 15),
(99326, NULL, 'PTHR31210:SF41', NULL, NULL, NULL, NULL, 'STORAGE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(99327, NULL, 'PTHR12091:SF1', NULL, NULL, NULL, NULL, 'PRO-MCH-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(99328, NULL, 'PTHR35579', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMS ENDORIBONUCLEASE CSM3', NULL, NULL, NULL, 15),
(99329, NULL, 'PTHR10269:SF2', NULL, NULL, NULL, NULL, 'GDNF FAMILY RECEPTOR ALPHA-4', NULL, NULL, NULL, 15),
(99330, NULL, 'PTHR23023:SF259', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(99331, NULL, 'PTHR13044:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 28645, 15),
(99332, NULL, 'PTHR35278', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99333, NULL, 'PTHR12619:SF2', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RFX7', NULL, NULL, NULL, 15),
(99334, NULL, 'PTHR23360:SF66', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(99335, NULL, 'PTHR32370:SF127', NULL, NULL, NULL, NULL, 'NPH3 DOMAIN, BTB/POZ DOMAIN-CONTAINING PROTEIN NPY2-RELATED', NULL, NULL, NULL, 15),
(99336, NULL, 'PTHR45811:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99337, NULL, 'PTHR31989:SF46', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 53', NULL, NULL, NULL, 15),
(99338, NULL, 'PTHR45887:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99339, NULL, 'PTHR10788:SF86', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 7-RELATED', NULL, NULL, NULL, 15),
(99340, NULL, 'PTHR44259:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99341, NULL, 'PTHR31595:SF34', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(99342, NULL, 'PTHR31576:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99343, NULL, 'PTHR42945:SF6', NULL, NULL, NULL, NULL, 'HISTIDINE BIOSYNTHESIS PROTEIN HISIE', NULL, NULL, NULL, 15),
(99344, NULL, 'PTHR11246:SF23', NULL, NULL, NULL, NULL, 'BNAA05G12780D PROTEIN', NULL, NULL, NULL, 15),
(99345, NULL, 'PTHR45827:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN', NULL, NULL, NULL, 15),
(99346, NULL, 'PTHR48019:SF97', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL8 HOMOLOG', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99347, NULL, 'PTHR46128:SF94', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99348, NULL, 'PTHR18916:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99349, NULL, 'PTHR48022:SF52', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99350, NULL, 'PTHR47956:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99351, NULL, 'PTHR48001:SF106', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1L6', NULL, NULL, NULL, 15),
(99352, NULL, 'PTHR10578:SF120', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO4-LIKE', NULL, NULL, NULL, 15),
(99353, NULL, 'PTHR22094:SF0', NULL, NULL, NULL, NULL, 'MUCIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(99354, NULL, 'PTHR35440', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 36', NULL, NULL, NULL, 15),
(99355, NULL, 'PTHR46143', NULL, NULL, NULL, NULL, 'CALPAIN-7', NULL, NULL, NULL, 15),
(99356, NULL, 'PTHR33044:SF168', NULL, NULL, NULL, NULL, 'BNAC03G58190D PROTEIN', NULL, NULL, NULL, 15),
(99357, NULL, 'PTHR30151:SF7', NULL, NULL, NULL, NULL, 'NITRATE IMPORT PERMEASE PROTEIN NRTB', NULL, NULL, NULL, 15),
(99358, NULL, 'PTHR45752:SF101', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 4', NULL, NULL, NULL, 15),
(99359, NULL, 'PTHR33258', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSL FOR INSERTION SEQUENCE ELEMENT IS186A-RELATED', NULL, NULL, NULL, 15),
(99360, NULL, 'PTHR24073:SF1096', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-1B', NULL, NULL, NULL, 15),
(99361, NULL, 'PTHR10504:SF133', NULL, NULL, NULL, NULL, 'PROTEIN CBG16343', NULL, NULL, NULL, 15),
(99362, NULL, 'PTHR31198', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 84', NULL, NULL, 22196, 15),
(99363, NULL, 'PTHR25462:SF266', NULL, NULL, NULL, NULL, 'BONUS, ISOFORM C-RELATED', NULL, NULL, NULL, 15),
(99364, NULL, 'PTHR47985:SF15', NULL, NULL, NULL, NULL, 'BNAA09G01810D PROTEIN', NULL, NULL, NULL, 15),
(99365, NULL, 'PTHR43884:SF27', NULL, NULL, NULL, NULL, '2-METHYLACYL-COA DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(99366, NULL, 'PTHR24068:SF295', NULL, NULL, NULL, NULL, 'BNAC05G32470D PROTEIN', NULL, NULL, NULL, 15),
(99367, NULL, 'PTHR13633:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99368, NULL, 'PTHR28213', NULL, NULL, NULL, NULL, 'IMP-SPECIFIC 5''-NUCLEOTIDASE 1', NULL, NULL, 9286, 15),
(99369, NULL, 'PTHR31677:SF155', NULL, NULL, NULL, NULL, 'AP2/EREBP TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99370, NULL, 'PTHR21325:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG08129', NULL, NULL, NULL, 15),
(99371, NULL, 'PTHR18952:SF134', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 15', NULL, NULL, 18905, 15),
(99372, NULL, 'PTHR34676:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, TUBBY C-TERMINAL-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99373, NULL, 'PTHR23315:SF116', NULL, NULL, NULL, NULL, 'OS07G0532750 PROTEIN', NULL, NULL, NULL, 15),
(99374, NULL, 'PTHR46689:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99375, NULL, 'PTHR11227:SF27', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN PHOSPHOINOSITIDE-INTERACTING PROTEIN 2', NULL, NULL, 25914, 15),
(99376, NULL, 'PTHR24322:SF638', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(99377, NULL, 'PTHR21066:SF18', NULL, NULL, NULL, NULL, 'GENERAL ODORANT-BINDING PROTEIN 70', NULL, NULL, NULL, 15),
(99378, NULL, 'PTHR22774:SF11', NULL, NULL, NULL, NULL, 'AMINO-TERMINAL REGION OF CHOREIN', NULL, NULL, NULL, 15),
(99379, NULL, 'PTHR46905:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(99380, NULL, 'PTHR47984:SF26', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(99381, NULL, 'PTHR31770', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE PROTEIN TAFA FAMILY MEMBER', NULL, NULL, NULL, 15),
(99382, NULL, 'PTHR11255:SF98', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 5', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99383, NULL, 'PTHR31476:SF5', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(99384, NULL, 'PTHR19957:SF319', NULL, NULL, NULL, NULL, 'SYNTAXIN-131-RELATED', NULL, NULL, NULL, 15),
(99385, NULL, 'PTHR31729:SF11', NULL, NULL, NULL, NULL, 'RELATED TO AP2 1-RELATED', NULL, NULL, NULL, 15),
(99386, NULL, 'PTHR23132:SF23', NULL, NULL, NULL, NULL, 'D-ALANINE--D-ALANINE LIGASE B', NULL, NULL, NULL, 15),
(99387, NULL, 'PTHR45902', NULL, NULL, NULL, NULL, 'LATROPHILIN RECEPTOR-LIKE PROTEIN A', NULL, NULL, NULL, 15),
(99388, NULL, 'PTHR30482:SF18', NULL, NULL, NULL, NULL, 'BRANCHED AMINO ACID TRANSPORT SYSTEM PERMEASE-RELATED', NULL, NULL, NULL, 15),
(99389, NULL, 'PTHR12141:SF4', NULL, NULL, NULL, NULL, 'ARFAPTIN-1', NULL, NULL, 22563, 15),
(99390, NULL, 'PTHR31235:SF163', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(99391, NULL, 'PTHR34659:SF8', NULL, NULL, NULL, NULL, 'BNAA05G11610D PROTEIN', NULL, NULL, NULL, 15),
(99392, NULL, 'PTHR11736:SF23', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B18', NULL, NULL, NULL, 15),
(99393, NULL, 'PTHR19375:SF451', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(99394, NULL, 'PTHR31713:SF71', NULL, NULL, NULL, NULL, 'BNAC02G40040D PROTEIN', NULL, NULL, NULL, 15),
(99395, NULL, 'PTHR47566', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99396, NULL, 'PTHR10953', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1', NULL, NULL, 39818, 15),
(99397, NULL, 'PTHR12441', NULL, NULL, NULL, NULL, 'ATP SYNTHASE COUPLING FACTOR 6, MITOCHONDRIAL', NULL, NULL, 7971, 15),
(99398, NULL, 'PTHR11890:SF44', NULL, NULL, NULL, NULL, 'X-LINKED INTERLEUKIN-1 RECEPTOR ACCESSORY PROTEIN-LIKE 2', NULL, NULL, NULL, 15),
(99399, NULL, 'PTHR43329:SF108', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(99400, NULL, 'PTHR32285:SF283', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99401, NULL, 'PTHR14084:SF0', NULL, NULL, NULL, NULL, 'KYNURENINASE', NULL, NULL, NULL, 15),
(99402, NULL, 'PTHR24133:SF37', NULL, NULL, NULL, NULL, 'ASB10 ISOFORM 2', NULL, NULL, NULL, 15),
(99403, NULL, 'PTHR33193:SF43', NULL, NULL, NULL, NULL, 'OS06G0564000 PROTEIN', NULL, NULL, NULL, 15),
(99404, NULL, 'PTHR31094:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99405, NULL, 'PTHR11254:SF299', NULL, NULL, NULL, NULL, 'NEDD4-LIKE E3 UBIQUITIN-PROTEIN LIGASE WWP1', NULL, NULL, NULL, 15),
(99406, NULL, 'PTHR34466', NULL, NULL, NULL, NULL, 'OS11G0129800 PROTEIN', NULL, NULL, NULL, 15),
(99407, NULL, 'PTHR37416', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99408, NULL, 'PTHR14413:SF16', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L17, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(99409, NULL, 'PTHR19282:SF24', NULL, NULL, NULL, NULL, 'UROPLAKIN-1B', NULL, NULL, 8962, 15),
(99410, NULL, 'PTHR23050:SF420', NULL, NULL, NULL, NULL, 'EF HAND-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(99411, NULL, 'PTHR43872', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02570)-RELATED', NULL, NULL, NULL, 15),
(99412, NULL, 'PTHR26374:SF382', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT5-LIKE', NULL, NULL, NULL, 15),
(99413, NULL, 'PTHR24255', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT 1, S SUBCOMPONENT-RELATED', NULL, NULL, NULL, 15),
(99414, NULL, 'PTHR12027:SF70', NULL, NULL, NULL, NULL, 'PROTEIN WNT-16', NULL, NULL, NULL, 15),
(99415, NULL, 'PTHR10984:SF53', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 5-LIKE PROTEIN (DUF1692)', NULL, NULL, NULL, 15),
(99416, NULL, 'PTHR15715', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 170 KDA', NULL, NULL, NULL, 15),
(99417, NULL, 'PTHR13954:SF17', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE/ENDORIBONUCLEASE IRE1', NULL, NULL, NULL, 15),
(99418, NULL, 'PTHR24366:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99419, NULL, 'PTHR11064:SF124', NULL, NULL, NULL, NULL, 'HISTONE-FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99420, NULL, 'PTHR30071', NULL, NULL, NULL, NULL, 'HEME EXPORTER PROTEIN C', NULL, NULL, 39097, 15),
(99421, NULL, 'PTHR33021:SF415', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(99422, NULL, 'PTHR31080:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99423, NULL, 'PTHR12771:SF50', NULL, NULL, NULL, NULL, 'CELL DEATH ABNORMALITY PROTEIN 12', NULL, NULL, NULL, 15),
(99424, NULL, 'PTHR22751:SF284', NULL, NULL, NULL, NULL, 'PROTEIN CBG11279', NULL, NULL, NULL, 15),
(99425, NULL, 'PTHR10663:SF372', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 8', NULL, NULL, NULL, 15),
(99426, NULL, 'PTHR31140:SF114', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR NGA1-RELATED', NULL, NULL, NULL, 15),
(99427, NULL, 'PTHR28637:SF11', NULL, NULL, NULL, NULL, 'CDT1-LIKE PROTEIN A CHLOROPLASTIC', NULL, NULL, NULL, 15),
(99428, NULL, 'PTHR48027:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99429, NULL, 'PTHR45637:SF22', NULL, NULL, NULL, NULL, 'FLIPPASE KINASE 1-RELATED', NULL, NULL, NULL, 15),
(99430, NULL, 'PTHR46707', NULL, NULL, NULL, NULL, 'PROTEIN CBG07468', NULL, NULL, NULL, 15),
(99431, NULL, 'PTHR11362:SF121', NULL, NULL, NULL, NULL, 'BNACNNG10680D PROTEIN', NULL, NULL, NULL, 15),
(99432, NULL, 'PTHR24349:SF305', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 8', NULL, NULL, NULL, 15),
(99433, NULL, 'PTHR24009:SF32', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(99434, NULL, 'PTHR21859:SF46', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED 31 SUBFAMILY D, MEMBER 1A-RELATED', NULL, NULL, NULL, 15),
(99435, NULL, 'PTHR16134:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99436, NULL, 'PTHR31907:SF17', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 28', NULL, NULL, NULL, 15),
(99437, NULL, 'PTHR11255:SF53', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(99438, NULL, 'PTHR36478:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99439, NULL, 'PTHR47992:SF158', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 9-RELATED', NULL, NULL, NULL, 15),
(99440, NULL, 'PTHR46128:SF127', NULL, NULL, NULL, NULL, 'BNAA03G51740D PROTEIN', NULL, NULL, NULL, 15),
(99441, NULL, 'PTHR36705:SF7', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE206 PROTEIN', NULL, NULL, NULL, 15),
(99442, NULL, 'PTHR25462:SF281', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 59-RELATED', NULL, NULL, NULL, 15),
(99443, NULL, 'PTHR24299:SF34', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(99444, NULL, 'PTHR45969:SF36', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL39-LIKE', NULL, NULL, NULL, 15),
(99445, NULL, 'PTHR24637:SF317', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN DPY-13', NULL, NULL, NULL, 15),
(99446, NULL, 'PTHR10582:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99447, NULL, 'PTHR11785:SF353', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, PARTIAL (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(99448, NULL, 'PTHR10582:SF6', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY V MEMBER 3', NULL, NULL, 23458, 15),
(99449, NULL, 'PTHR23213:SF359', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(99450, NULL, 'PTHR11654:SF542', NULL, NULL, NULL, NULL, 'BNAC02G42280D PROTEIN', NULL, NULL, NULL, 15),
(99451, NULL, 'PTHR43939:SF22', NULL, NULL, NULL, NULL, 'BASAL BODY COMPONENT', NULL, NULL, NULL, 15),
(99452, NULL, 'PTHR35285', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 4-PHOSPHATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(99453, NULL, 'PTHR24060:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99454, NULL, 'PTHR24031:SF359', NULL, NULL, NULL, NULL, 'INITIATION FACTOR 4A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(99455, NULL, 'PTHR45769:SF1', NULL, NULL, NULL, NULL, 'ADENOSINE KINASE 2', NULL, NULL, NULL, 15),
(99456, NULL, 'PTHR12461:SF89', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G06210)-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99457, NULL, 'PTHR35546:SF50', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(99458, NULL, 'PTHR30345:SF5', NULL, NULL, NULL, NULL, 'GALACTOSE-6-PHOSPHATE ISOMERASE SUBUNIT LACA', NULL, NULL, NULL, 15),
(99459, NULL, 'PTHR48047:SF103', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(99460, NULL, 'PTHR45180:SF1', NULL, NULL, NULL, NULL, 'OS01G0307686 PROTEIN', NULL, NULL, NULL, 15),
(99461, NULL, 'PTHR43313:SF39', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE', NULL, NULL, NULL, 15),
(99462, NULL, 'PTHR45658:SF58', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(99463, NULL, 'PTHR32096:SF79', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99464, NULL, 'PTHR31303', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 29878, 15),
(99465, NULL, 'PTHR27005:SF197', NULL, NULL, NULL, NULL, 'OS04G0366000 PROTEIN', NULL, NULL, NULL, 15),
(99466, NULL, 'PTHR13254:SF1', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 7', NULL, NULL, NULL, 15),
(99467, NULL, 'PTHR33099:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99468, NULL, 'PTHR46287:SF11', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(99469, NULL, 'PTHR45908:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG25822', NULL, NULL, NULL, 15),
(99470, NULL, 'PTHR12357:SF98', NULL, NULL, NULL, NULL, 'BNAC01G42630D PROTEIN', NULL, NULL, NULL, 15),
(99471, NULL, 'PTHR10257:SF90', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(99472, NULL, 'PTHR24055:SF503', NULL, NULL, NULL, NULL, 'SERINE KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(99473, NULL, 'PTHR45005:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(99474, NULL, 'PTHR22950:SF217', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', NULL, NULL, NULL, 15),
(99475, NULL, 'PTHR20982:SF10', NULL, NULL, NULL, NULL, 'RIBOSOME-RECYCLING FACTOR, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(99476, NULL, 'PTHR24409:SF360', NULL, NULL, NULL, NULL, 'FI01031P', NULL, NULL, NULL, 15),
(99477, NULL, 'PTHR30028:SF1', NULL, NULL, NULL, NULL, 'ALUMINUM SENSITIVE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(99478, NULL, 'PTHR33044:SF116', NULL, NULL, NULL, NULL, 'OS12G0112401 PROTEIN', NULL, NULL, NULL, 15),
(99479, NULL, 'PTHR43214:SF33', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(99480, NULL, 'PTHR24298:SF619', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B36-RELATED', NULL, NULL, NULL, 15),
(99481, NULL, 'PTHR33127:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99482, NULL, 'PTHR14155:SF560', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL41', NULL, NULL, NULL, 15),
(99483, NULL, 'PTHR47967:SF61', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(99484, NULL, 'PTHR47990:SF88', NULL, NULL, NULL, NULL, 'BNAA03G57230D PROTEIN', NULL, NULL, NULL, 15),
(99485, NULL, 'PTHR10562:SF62', NULL, NULL, NULL, NULL, 'OS01G0852300 PROTEIN', NULL, NULL, NULL, 15),
(99486, NULL, 'PTHR34043:SF7', NULL, NULL, NULL, NULL, 'BNAA08G20530D PROTEIN', NULL, NULL, NULL, 15),
(99487, NULL, 'PTHR43209', NULL, NULL, NULL, NULL, 'TRNA SULFURTRANSFERASE', NULL, NULL, NULL, 15),
(99488, NULL, 'PTHR43298', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN NORM-RELATED', NULL, NULL, NULL, 15),
(99489, NULL, 'PTHR33127:SF50', NULL, NULL, NULL, NULL, 'OS01G0885800 PROTEIN', NULL, NULL, NULL, 15),
(99490, NULL, 'PTHR11771:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99491, NULL, 'PTHR22055:SF9', NULL, NULL, NULL, NULL, 'BNAC09G52010D PROTEIN', NULL, NULL, NULL, 15),
(99492, NULL, 'PTHR15096', NULL, NULL, NULL, NULL, 'PROLACTIN-INDUCIBLE PROTEIN/SEMINAL VESICLE ANTIGEN', NULL, NULL, 4213, 15),
(99493, NULL, 'PTHR43900:SF72', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F13', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99494, NULL, 'PTHR24072:SF277', NULL, NULL, NULL, NULL, 'RHO-RELATED PROTEIN RACJ', NULL, NULL, NULL, 15),
(99495, NULL, 'PTHR10856:SF24', NULL, NULL, NULL, NULL, 'CORONIN-1B', NULL, NULL, 24628, 15),
(99496, NULL, 'PTHR10603', NULL, NULL, NULL, NULL, 'FRAGILE X MENTAL RETARDATION SYNDROME-RELATED PROTEIN', NULL, NULL, 33492, 15),
(99497, NULL, 'PTHR11260:SF587', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99498, NULL, 'PTHR27008:SF376', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99499, NULL, 'PTHR13596:SF8', NULL, NULL, NULL, NULL, 'BNAC08G08770D PROTEIN', NULL, NULL, NULL, 15),
(99500, NULL, 'PTHR12718', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN CWF15', NULL, NULL, 5987, 15),
(99501, NULL, 'PTHR47205:SF1', NULL, NULL, NULL, NULL, 'OS07G0599000 PROTEIN', NULL, NULL, NULL, 15),
(99502, NULL, 'PTHR22571:SF48', NULL, NULL, NULL, NULL, 'FILAGGRIN', NULL, NULL, NULL, 15),
(99503, NULL, 'PTHR10127:SF853', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(99504, NULL, 'PTHR48171:SF2', NULL, NULL, NULL, NULL, 'PROCESSING PROTEIN PRP39, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99505, NULL, 'PTHR45978:SF8', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(99506, NULL, 'PTHR15096:SF5', NULL, NULL, NULL, NULL, 'PROLACTIN-INDUCIBLE PROTEIN', NULL, NULL, NULL, 15),
(99507, NULL, 'PTHR24414:SF88', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(99508, NULL, 'PTHR22595:SF163', NULL, NULL, NULL, NULL, 'BNAA05G08640D PROTEIN', NULL, NULL, NULL, 15),
(99509, NULL, 'PTHR21268', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(99510, NULL, 'PTHR43309', NULL, NULL, NULL, NULL, '5-OXOPROLINASE SUBUNIT C', NULL, NULL, NULL, 15),
(99511, NULL, 'PTHR31731:SF126', NULL, NULL, NULL, NULL, 'HYDROPHOBIC SEED PROTEIN', NULL, NULL, NULL, 15),
(99512, NULL, 'PTHR30106:SF2', NULL, NULL, NULL, NULL, 'UPF0324 INNER MEMBRANE PROTEIN YEIH', NULL, NULL, NULL, 15),
(99513, NULL, 'PTHR19288:SF77', NULL, NULL, NULL, NULL, 'PYRIDOXAL (PYRIDOXINE, VITAMIN B6) PHOSPHATASE', NULL, NULL, NULL, 15),
(99514, NULL, 'PTHR31009:SF86', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(99515, NULL, 'PTHR11138:SF0', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA FORMYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(99516, NULL, 'PTHR31232:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99517, NULL, 'PTHR33431:SF9', NULL, NULL, NULL, NULL, 'ENABLED-LIKE PROTEIN (DUF1635)', NULL, NULL, NULL, 15),
(99518, NULL, 'PTHR16295:SF26', NULL, NULL, NULL, NULL, 'TRAF-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(99519, NULL, 'PTHR21229:SF52', NULL, NULL, NULL, NULL, 'ZGC:162698', NULL, NULL, NULL, 15),
(99520, NULL, 'PTHR34949:SF9', NULL, NULL, NULL, NULL, 'BNACNNG57150D PROTEIN', NULL, NULL, NULL, 15),
(99521, NULL, 'PTHR47172:SF6', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 15-LIKE', NULL, NULL, NULL, 15),
(99522, NULL, 'PTHR31741:SF48', NULL, NULL, NULL, NULL, 'PEPTIDE-O-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(99523, NULL, 'PTHR46301:SF34', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(99524, NULL, 'PTHR33432:SF26', NULL, NULL, NULL, NULL, 'BNAC06G15990D PROTEIN', NULL, NULL, NULL, 15),
(99525, NULL, 'PTHR43107:SF21', NULL, NULL, NULL, NULL, 'FATTY ACID (LONG CHAIN) TRANSPORT PROTEIN, ISOFORM F-RELATED', NULL, NULL, NULL, 15),
(99526, NULL, 'PTHR23423:SF76', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER ALPHA-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(99527, NULL, 'PTHR28547:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MMS22-LIKE', NULL, NULL, NULL, 15),
(99528, NULL, 'PTHR21470:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99529, NULL, 'PTHR24356:SF366', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(99530, NULL, 'PTHR43416:SF24', NULL, NULL, NULL, NULL, 'SUCCINYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99531, NULL, 'PTHR36572:SF2', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE PROTEIN I', NULL, NULL, NULL, 15),
(99532, NULL, 'PTHR10503', NULL, NULL, NULL, NULL, 'HP1 LIKE (HETEROCHROMATIN PROTEIN)-RELATED', NULL, NULL, 31044, 15),
(99533, NULL, 'PTHR24377:SF189', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 7', NULL, NULL, NULL, 15),
(99534, NULL, 'PTHR16125:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99535, NULL, 'PTHR33286:SF21', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99536, NULL, 'PTHR11802:SF380', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(99537, NULL, 'PTHR20859:SF48', NULL, NULL, NULL, NULL, 'INTERLEUKIN-20 RECEPTOR SUBUNIT BETA', NULL, NULL, NULL, 15),
(99538, NULL, 'PTHR45934:SF16', NULL, NULL, NULL, NULL, 'MONOOXYGENASE 1', NULL, NULL, NULL, 15),
(99539, NULL, 'PTHR23266:SF269', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-11-RELATED', NULL, NULL, NULL, 15),
(99540, NULL, 'PTHR31311:SF23', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(99541, NULL, 'PTHR11079:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99542, NULL, 'PTHR11566:SF84', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 3A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(99543, NULL, 'PTHR13301:SF40', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D4', NULL, NULL, NULL, 15),
(99544, NULL, 'PTHR34538:SF10', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99545, NULL, 'PTHR46236:SF13', NULL, NULL, NULL, NULL, 'BNAA09G13170D PROTEIN', NULL, NULL, NULL, 15),
(99546, NULL, 'PTHR33512:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99547, NULL, 'PTHR46293:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP2', NULL, NULL, NULL, 15),
(99548, NULL, 'PTHR11638:SF168', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPC1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(99549, NULL, 'PTHR26452:SF318', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9K2', NULL, NULL, NULL, 15),
(99550, NULL, 'PTHR47990:SF18', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 1-LIKE', NULL, NULL, NULL, 15),
(99551, NULL, 'PTHR11799:SF12', NULL, NULL, NULL, NULL, 'SERUM PARAOXONASE/ARYLESTERASE 2', NULL, NULL, NULL, 15),
(99552, NULL, 'PTHR10457:SF6', NULL, NULL, NULL, NULL, 'GALACTOKINASE', NULL, NULL, 3749, 15),
(99553, NULL, 'PTHR12210:SF49', NULL, NULL, NULL, NULL, 'CALCIUM RELEASE-ACTIVATED CALCIUM CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(99554, NULL, 'PTHR33673:SF4', NULL, NULL, NULL, NULL, 'OS01G0193400 PROTEIN', NULL, NULL, NULL, 15),
(99555, NULL, 'PTHR12919:SF35', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S16-LIKE', NULL, NULL, NULL, 15),
(99556, NULL, 'PTHR10337:SF12', NULL, NULL, NULL, NULL, 'SHC-TRANSFORMING PROTEIN 4', NULL, NULL, 29257, 15),
(99557, NULL, 'PTHR42938:SF6', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(99558, NULL, 'PTHR33463:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99559, NULL, 'PTHR33177:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99560, NULL, 'PTHR31238:SF209', NULL, NULL, NULL, NULL, 'OXALATE OXIDASE GF-2.8', NULL, NULL, NULL, 15),
(99561, NULL, 'PTHR46559:SF3', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 11', NULL, NULL, NULL, 15),
(99562, NULL, 'PTHR45929:SF2', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCING ADAPTER MOLECULE 1', NULL, NULL, NULL, 15),
(99563, NULL, 'PTHR31734:SF104', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(99564, NULL, 'PTHR24253:SF35', NULL, NULL, NULL, NULL, 'THREONINE PROTEASE PRSS50-RELATED', NULL, NULL, NULL, 15),
(99565, NULL, 'PTHR45619:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(99566, NULL, 'PTHR11746:SF211', NULL, NULL, NULL, NULL, 'ORCINOL O-METHYLTRANSFERASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99567, NULL, 'PTHR21419:SF29', NULL, NULL, NULL, NULL, 'LD24894P', NULL, NULL, NULL, 15),
(99568, NULL, 'PTHR48006:SF1', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(99569, NULL, 'PTHR33374', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 20', NULL, NULL, 8176, 15),
(99570, NULL, 'PTHR48043:SF73', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(99571, NULL, 'PTHR31225:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99572, NULL, 'PTHR24055:SF424', NULL, NULL, NULL, NULL, 'OS09G0552300 PROTEIN', NULL, NULL, NULL, 15),
(99573, NULL, 'PTHR46136:SF15', NULL, NULL, NULL, NULL, 'BNAA09G01940D PROTEIN', NULL, NULL, NULL, 15),
(99574, NULL, 'PTHR33882:SF18', NULL, NULL, NULL, NULL, 'BNAC02G43360D PROTEIN', NULL, NULL, NULL, 15),
(99575, NULL, 'PTHR35324:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99576, NULL, 'PTHR45752:SF121', NULL, NULL, NULL, NULL, 'SI:CH211-106H11.1', NULL, NULL, NULL, 15),
(99577, NULL, 'PTHR37180:SF5', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP13', NULL, NULL, NULL, 15),
(99578, NULL, 'PTHR30126:SF5', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CITR', NULL, NULL, NULL, 15),
(99579, NULL, 'PTHR13301:SF162', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 2 [UDP-FORMING]-RELATED', NULL, NULL, NULL, 15),
(99580, NULL, 'PTHR15012:SF37', NULL, NULL, NULL, NULL, 'PROTEIN SHROOM1', NULL, NULL, NULL, 15),
(99581, NULL, 'PTHR24349:SF376', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(99582, NULL, 'PTHR11818:SF101', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN B', NULL, NULL, NULL, 15),
(99583, NULL, 'PTHR38146:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99584, NULL, 'PTHR23273:SF41', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', NULL, NULL, NULL, 15),
(99585, NULL, 'PTHR18945:SF449', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(99586, NULL, 'PTHR10501:SF60', NULL, NULL, NULL, NULL, 'RNP (RRM RNA BINDING DOMAIN) CONTAINING', NULL, NULL, NULL, 15),
(99587, NULL, 'PTHR11073:SF14', NULL, NULL, NULL, NULL, 'CALRETICULIN 4', NULL, NULL, NULL, 15),
(99588, NULL, 'PTHR35021:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99589, NULL, 'PTHR35292:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99590, NULL, 'PTHR21538:SF19', NULL, NULL, NULL, NULL, 'RHOTEKIN', NULL, NULL, 24236, 15),
(99591, NULL, 'PTHR31923:SF25', NULL, NULL, NULL, NULL, 'BNACNNG24920D PROTEIN', NULL, NULL, NULL, 15),
(99592, NULL, 'PTHR12659:SF7', NULL, NULL, NULL, NULL, 'CROSSVEINLESS C, ISOFORM C', NULL, NULL, NULL, 15),
(99593, NULL, 'PTHR46327:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99594, NULL, 'PTHR24393:SF92', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 358', NULL, NULL, NULL, 15),
(99595, NULL, 'PTHR10891:SF642', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(99596, NULL, 'PTHR21028', NULL, NULL, NULL, NULL, 'SI:CH211-156B7.4', NULL, NULL, 7018, 15),
(99597, NULL, 'PTHR23359:SF199', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', NULL, NULL, NULL, 15),
(99598, NULL, 'PTHR47978:SF30', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-33A', NULL, NULL, NULL, 15),
(99599, NULL, 'PTHR13806:SF34', NULL, NULL, NULL, NULL, 'FLOTILLIN-LIKE PROTEIN 6 ISOFORM X1', NULL, NULL, NULL, 15),
(99600, NULL, 'PTHR32063:SF21', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTB', NULL, NULL, NULL, 15),
(99601, NULL, 'PTHR36007:SF3', NULL, NULL, NULL, NULL, 'BNAA06G34080D PROTEIN', NULL, NULL, NULL, 15),
(99602, NULL, 'PTHR10867:SF31', NULL, NULL, NULL, NULL, 'NICOTINAMIDE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(99603, NULL, 'PTHR47372:SF6', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(99604, NULL, 'PTHR31945:SF84', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH27', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99605, NULL, 'PTHR27006:SF344', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(99606, NULL, 'PTHR33388:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99607, NULL, 'PTHR22870:SF410', NULL, NULL, NULL, NULL, 'BNAC01G28130D PROTEIN', NULL, NULL, NULL, 15),
(99608, NULL, 'PTHR11994:SF34', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L5 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99609, NULL, 'PTHR24291:SF157', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4V2', NULL, NULL, NULL, 15),
(99610, NULL, 'PTHR22422:SF6', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 188', NULL, NULL, NULL, 15),
(99611, NULL, 'PTHR10127:SF814', NULL, NULL, NULL, NULL, 'MEPRIN A SUBUNIT BETA', NULL, NULL, 10821, 15),
(99612, NULL, 'PTHR36222:SF1', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR RV3364C', NULL, NULL, NULL, 15),
(99613, NULL, 'PTHR24006:SF788', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PEPTIDASE 9, Y CHROMOSOME', NULL, NULL, NULL, 15),
(99614, NULL, 'PTHR33673:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99615, NULL, 'PTHR27006:SF370', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(99616, NULL, 'PTHR45621:SF155', NULL, NULL, NULL, NULL, 'PROTEIN KINASE APK1A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(99617, NULL, 'PTHR11306:SF56', NULL, NULL, NULL, NULL, 'NPC INTRACELLULAR CHOLESTEROL TRANSPORTER 2 HOMOLOG A', NULL, NULL, NULL, 15),
(99618, NULL, 'PTHR15344:SF4', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN 2', NULL, NULL, NULL, 15),
(99619, NULL, 'PTHR10201:SF125', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-20', NULL, NULL, 24040, 15),
(99620, NULL, 'PTHR43442:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01024', NULL, NULL, NULL, 15),
(99621, NULL, 'PTHR43400:SF3', NULL, NULL, NULL, NULL, 'ANAEROBIC GLYCEROL-3-PHOSPHATE DEHYDROGENASE SUBUNIT B', NULL, NULL, NULL, 15),
(99622, NULL, 'PTHR30106', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YEIH-RELATED', NULL, NULL, 20662, 15),
(99623, NULL, 'PTHR34737', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99624, NULL, 'PTHR24232:SF56', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 55', NULL, NULL, 24215, 15),
(99625, NULL, 'PTHR16266:SF31', NULL, NULL, NULL, NULL, 'WD40 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(99626, NULL, 'PTHR30204:SF65', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR TNRA', NULL, NULL, NULL, 15),
(99627, NULL, 'PTHR23362:SF0', NULL, NULL, NULL, NULL, 'OOCYTE AND GERM-LINE RELATED-RELATED', NULL, NULL, NULL, 15),
(99628, NULL, 'PTHR22950:SF259', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(99629, NULL, 'PTHR14217', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', NULL, NULL, 13160, 15),
(99630, NULL, 'PTHR31529:SF32', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 31', NULL, NULL, NULL, 15),
(99631, NULL, 'PTHR45642:SF69', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL1', NULL, NULL, NULL, 15),
(99632, NULL, 'PTHR42683', NULL, NULL, NULL, NULL, 'ALDEHYDE REDUCTASE', NULL, NULL, NULL, 15),
(99633, NULL, 'PTHR28570:SF2', NULL, NULL, NULL, NULL, 'M18 FAMILY AMINOPEPTIDASE 1-RELATED', NULL, NULL, NULL, 15),
(99634, NULL, 'PTHR33147:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99635, NULL, 'PTHR46859:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE FRAGILE-X-F-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(99636, NULL, 'PTHR23310:SF99', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A BINDING PROTEIN', NULL, NULL, NULL, 15),
(99637, NULL, 'PTHR43067:SF4', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(99638, NULL, 'PTHR10693:SF60', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN WITH RNA BINDING (RRM-RBD-RNP MOTIFS) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(99639, NULL, 'PTHR21040:SF4', NULL, NULL, NULL, NULL, 'HEXOSAMINIDASE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99640, NULL, 'PTHR13389:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99641, NULL, 'PTHR47992:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99642, NULL, 'PTHR24416:SF47', NULL, NULL, NULL, NULL, 'MACROPHAGE COLONY-STIMULATING FACTOR 1 RECEPTOR', NULL, NULL, NULL, 15),
(99643, NULL, 'PTHR11923:SF12', NULL, NULL, NULL, NULL, 'PLATELET GLYCOPROTEIN 4', NULL, NULL, 31866, 15),
(99644, NULL, 'PTHR24391:SF26', NULL, NULL, NULL, NULL, 'HISTONE H4 TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(99645, NULL, 'PTHR46267:SF13', NULL, NULL, NULL, NULL, 'BNAC08G21440D PROTEIN', NULL, NULL, NULL, 15),
(99646, NULL, 'PTHR23236:SF45', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(99647, NULL, 'PTHR22600:SF12', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99648, NULL, 'PTHR47980:SF31', NULL, NULL, NULL, NULL, 'OS05G0461300 PROTEIN', NULL, NULL, NULL, 15),
(99649, NULL, 'PTHR10064:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99650, NULL, 'PTHR31713:SF61', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(99651, NULL, 'PTHR11920:SF436', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-15-RELATED', NULL, NULL, NULL, 15),
(99652, NULL, 'PTHR12620:SF7', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN AUXILIARY FACTOR 35 KDA SUBUNIT-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(99653, NULL, 'PTHR24206:SF56', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN E', NULL, NULL, NULL, 15),
(99654, NULL, 'PTHR43180:SF61', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(99655, NULL, 'PTHR15131:SF3', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(99656, NULL, 'PTHR10336:SF80', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE DELTA-1', NULL, NULL, 28385, 15),
(99657, NULL, 'PTHR14131:SF7', NULL, NULL, NULL, NULL, 'ANOSMIN 1B', NULL, NULL, NULL, 15),
(99658, NULL, 'PTHR11926:SF862', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(99659, NULL, 'PTHR10394', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', NULL, NULL, 2307, 15),
(99660, NULL, 'PTHR11527:SF183', NULL, NULL, NULL, NULL, '17.8 KDA HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(99661, NULL, 'PTHR10315:SF102', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(99662, NULL, 'PTHR11364:SF25', NULL, NULL, NULL, NULL, '3-MERCAPTOPYRUVATE SULFURTRANSFERASE', NULL, NULL, NULL, 15),
(99663, NULL, 'PTHR45614:SF105', NULL, NULL, NULL, NULL, 'BNAA02G29060D PROTEIN', NULL, NULL, NULL, 15),
(99664, NULL, 'PTHR23167:SF51', NULL, NULL, NULL, NULL, '[F-ACTIN]-MONOOXYGENASE MICAL3', NULL, NULL, 28544, 15),
(99665, NULL, 'PTHR22950:SF553', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99666, NULL, 'PTHR24028:SF0', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-10', NULL, NULL, 27954, 15),
(99667, NULL, 'PTHR12411:SF735', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG39-LIKE', NULL, NULL, NULL, 15),
(99668, NULL, 'PTHR47607:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 3', NULL, NULL, NULL, 15),
(99669, NULL, 'PTHR45665:SF36', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99670, NULL, 'PTHR13593:SF32', NULL, NULL, NULL, NULL, 'PI-PLC X DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(99671, NULL, 'PTHR11777', NULL, NULL, NULL, NULL, 'ALANYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(99672, NULL, 'PTHR10805', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT EPSILON', NULL, NULL, 3715, 15),
(99673, NULL, 'PTHR18896:SF133', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ZETA 2', NULL, NULL, NULL, 15),
(99674, NULL, 'PTHR48104:SF1', NULL, NULL, NULL, NULL, 'BNAA02G34110D PROTEIN', NULL, NULL, 29089, 15),
(99675, NULL, 'PTHR11390:SF21', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 3-ALPHA', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99676, NULL, 'PTHR48001:SF152', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(99677, NULL, 'PTHR12822:SF11', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', NULL, NULL, NULL, 15),
(99678, NULL, 'PTHR35455', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, 28119, 15),
(99679, NULL, 'PTHR31683:SF98', NULL, NULL, NULL, NULL, 'PECTATE LYASE 19-RELATED', NULL, NULL, NULL, 15),
(99680, NULL, 'PTHR33149:SF24', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN', NULL, NULL, NULL, 15),
(99681, NULL, 'PTHR19432:SF70', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUC7-RELATED', NULL, NULL, NULL, 15),
(99682, NULL, 'PTHR33085:SF88', NULL, NULL, NULL, NULL, 'OS02G0138600 PROTEIN', NULL, NULL, NULL, 15),
(99683, NULL, 'PTHR12700:SF19', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(99684, NULL, 'PTHR11709:SF266', NULL, NULL, NULL, NULL, 'LACCASE-4', NULL, NULL, NULL, 15),
(99685, NULL, 'PTHR43325:SF2', NULL, NULL, NULL, NULL, 'N-FORMYL-4-AMINO-5-AMINOMETHYL-2-METHYLPYRIMIDINE DEFORMYLASE', NULL, NULL, NULL, 15),
(99686, NULL, 'PTHR24366:SF35', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND TRANSMEMBRANE DOMAINS 1', NULL, NULL, NULL, 15),
(99687, NULL, 'PTHR23037:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99688, NULL, 'PTHR40515', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99689, NULL, 'PTHR27007:SF241', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.2-RELATED', NULL, NULL, NULL, 15),
(99690, NULL, 'PTHR13194:SF23', NULL, NULL, NULL, NULL, 'COMPLEX I INTERMEDIATE-ASSOCIATED PROTEIN 30, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(99691, NULL, 'PTHR42938:SF31', NULL, NULL, NULL, NULL, 'BNAA07G31940D PROTEIN', NULL, NULL, NULL, 15),
(99692, NULL, 'PTHR31614:SF20', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99693, NULL, 'PTHR12086:SF12', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN-CONTAINING FAMILY MEMBER B', NULL, NULL, NULL, 15),
(99694, NULL, 'PTHR48024:SF12', NULL, NULL, NULL, NULL, 'GEO11133P1', NULL, NULL, NULL, 15),
(99695, NULL, 'PTHR33085:SF13', NULL, NULL, NULL, NULL, 'OS10G0374300 PROTEIN', NULL, NULL, NULL, 15),
(99696, NULL, 'PTHR37526', NULL, NULL, NULL, NULL, 'PROTEIN TUSB', NULL, NULL, 6093, 15),
(99697, NULL, 'PTHR34660:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(99698, NULL, 'PTHR37987', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(99699, NULL, 'PTHR45654:SF37', NULL, NULL, NULL, NULL, 'HOMEODOMAIN LEUCINE ZIPPER FAMILY IV PROTEIN', NULL, NULL, NULL, 15),
(99700, NULL, 'PTHR24089:SF709', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99701, NULL, 'PTHR12112:SF43', NULL, NULL, NULL, NULL, 'ATCAY KINESIN LIGHT CHAIN-INTERACTING CAYTAXIN B', NULL, NULL, NULL, 15),
(99702, NULL, 'PTHR43776:SF6', NULL, NULL, NULL, NULL, 'DIPEPTIDE TRANSPORT ATP-BINDING PROTEIN DPPF', NULL, NULL, NULL, 15),
(99703, NULL, 'PTHR32212:SF306', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(99704, NULL, 'PTHR45657:SF26', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH12-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(99705, NULL, 'PTHR48184:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99706, NULL, 'PTHR34666:SF2', NULL, NULL, NULL, NULL, 'OS02G0554800 PROTEIN', NULL, NULL, NULL, 15),
(99707, NULL, 'PTHR31042:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99708, NULL, 'PTHR43899:SF35', NULL, NULL, NULL, NULL, 'OS06G0300000 PROTEIN', NULL, NULL, NULL, 15),
(99709, NULL, 'PTHR23138:SF154', NULL, NULL, NULL, NULL, 'BNAA02G21600D PROTEIN', NULL, NULL, NULL, 15),
(99710, NULL, 'PTHR13402:SF6', NULL, NULL, NULL, NULL, 'SECRETORY 16, ISOFORM I', NULL, NULL, NULL, 15),
(99711, NULL, 'PTHR34180', NULL, NULL, NULL, NULL, 'PEPTIDASE C45', NULL, NULL, NULL, 15),
(99712, NULL, 'PTHR10366:SF592', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99713, NULL, 'PTHR48083:SF9', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE YDIO-RELATED', NULL, NULL, NULL, 15),
(99714, NULL, 'PTHR26379:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99715, NULL, 'PTHR34670:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99716, NULL, 'PTHR11889', NULL, NULL, NULL, NULL, 'HEDGEHOG', NULL, NULL, NULL, 15),
(99717, NULL, 'PTHR31750:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99718, NULL, 'PTHR10628', NULL, NULL, NULL, NULL, 'SIALIDASE', NULL, NULL, 26473, 15),
(99719, NULL, 'PTHR36607:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99720, NULL, 'PTHR46178:SF3', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(99721, NULL, 'PTHR44755:SF1', NULL, NULL, NULL, NULL, 'ATRIAL NATRIURETIC PEPTIDE RECEPTOR 3', NULL, NULL, NULL, 15),
(99722, NULL, 'PTHR45684:SF25', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1', NULL, NULL, NULL, 15),
(99723, NULL, 'PTHR37535:SF4', NULL, NULL, NULL, NULL, 'FLUG DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(99724, NULL, 'PTHR46575', NULL, NULL, NULL, NULL, 'AMYLOID PROTEIN-BINDING PROTEIN 2', NULL, NULL, 38191, 15),
(99725, NULL, 'PTHR45694', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN 2', NULL, NULL, NULL, 15),
(99726, NULL, 'PTHR46912:SF2', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 6', NULL, NULL, NULL, 15),
(99727, NULL, 'PTHR11711:SF101', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99728, NULL, 'PTHR46450:SF17', NULL, NULL, NULL, NULL, 'BNAA05G33030D PROTEIN', NULL, NULL, NULL, 15),
(99729, NULL, 'PTHR21087:SF10', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(99730, NULL, 'PTHR24286:SF305', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 708A2-RELATED', NULL, NULL, NULL, 15),
(99731, NULL, 'PTHR45772', NULL, NULL, NULL, NULL, 'CONSERVED COMPONENT OF ABC TRANSPORTER FOR NATURAL AMINO ACIDS-RELATED', NULL, NULL, NULL, 15),
(99732, NULL, 'PTHR24062:SF92', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(99733, NULL, 'PTHR24343:SF444', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KSP1', NULL, NULL, NULL, 15),
(99734, NULL, 'PTHR32297', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL MODIFIER 1', NULL, NULL, 30102, 15),
(99735, NULL, 'PTHR10206', NULL, NULL, NULL, NULL, 'CATHELICIDIN', NULL, NULL, 2062, 15),
(99736, NULL, 'PTHR28628:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 88B', NULL, NULL, NULL, 15),
(99737, NULL, 'PTHR35404:SF8', NULL, NULL, NULL, NULL, 'TRANSPOSASE OF TN10', NULL, NULL, NULL, 15),
(99738, NULL, 'PTHR21590:SF4', NULL, NULL, NULL, NULL, 'UPF0606 PROTEIN KIAA1549', NULL, NULL, NULL, 15),
(99739, NULL, 'PTHR43034:SF2', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT C', NULL, NULL, NULL, 15),
(99740, NULL, 'PTHR11941:SF146', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 2, PEROXISOMAL-LIKE', NULL, NULL, NULL, 15),
(99741, NULL, 'PTHR10209:SF758', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(99742, NULL, 'PTHR35179:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99743, NULL, 'PTHR23288:SF15', NULL, NULL, NULL, NULL, 'OCCLUDIN/ELL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 26009, 15),
(99744, NULL, 'PTHR33912:SF8', NULL, NULL, NULL, NULL, 'BNAA09G50560D PROTEIN', NULL, NULL, NULL, 15),
(99745, NULL, 'PTHR33928:SF4', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT3-LIKE', NULL, NULL, NULL, 15),
(99746, NULL, 'PTHR11593:SF34', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L22/L17-RELATED', NULL, NULL, NULL, 15),
(99747, NULL, 'PTHR43077:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT PERMEASE YVFS-RELATED', NULL, NULL, NULL, 15),
(99748, NULL, 'PTHR13120:SF0', NULL, NULL, NULL, NULL, 'PHD FINGER-LIKE DOMAIN-CONTAINING PROTEIN 5A', NULL, NULL, NULL, 15),
(99749, NULL, 'PTHR10366:SF612', NULL, NULL, NULL, NULL, 'OS06G0623600 PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99750, NULL, 'PTHR37249:SF6', NULL, NULL, NULL, NULL, 'OS03G0206201 PROTEIN', NULL, NULL, NULL, 15),
(99751, NULL, 'PTHR48244:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FLOURY 2', NULL, NULL, NULL, 15),
(99752, NULL, 'PTHR21777:SF0', NULL, NULL, NULL, NULL, 'RCG55159-LIKE', NULL, NULL, NULL, 15),
(99753, NULL, 'PTHR47310:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FLUORESCENT IN BLUE LIGHT, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(99754, NULL, 'PTHR30465:SF43', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(99755, NULL, 'PTHR11761:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99756, NULL, 'PTHR48047:SF3', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99757, NULL, 'PTHR43719:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99758, NULL, 'PTHR33528:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99759, NULL, 'PTHR43275', NULL, NULL, NULL, NULL, 'D-MALATE DEHYDROGENASE [DECARBOXYLATING]', NULL, NULL, NULL, 15),
(99760, NULL, 'PTHR12461:SF36', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN A', NULL, NULL, NULL, 15),
(99761, NULL, 'PTHR24349:SF445', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 32-LIKE', NULL, NULL, NULL, 15),
(99762, NULL, 'PTHR28094:SF1', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 113 PROTEIN', NULL, NULL, NULL, 15),
(99763, NULL, 'PTHR44259:SF64', NULL, NULL, NULL, NULL, 'OS06G0707300 PROTEIN', NULL, NULL, NULL, 15),
(99764, NULL, 'PTHR47533:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG21858', NULL, NULL, NULL, 15),
(99765, NULL, 'PTHR45676:SF89', NULL, NULL, NULL, NULL, 'OS01G0213400 PROTEIN', NULL, NULL, NULL, 15),
(99766, NULL, 'PTHR31675:SF26', NULL, NULL, NULL, NULL, 'AXIAL REGULATOR YABBY 1', NULL, NULL, NULL, 15),
(99767, NULL, 'PTHR34120:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99768, NULL, 'PTHR11955:SF67', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN 10-A, LIVER BASIC-RELATED', NULL, NULL, NULL, 15),
(99769, NULL, 'PTHR33052:SF7', NULL, NULL, NULL, NULL, 'OS03G0298100 PROTEIN', NULL, NULL, NULL, 15),
(99770, NULL, 'PTHR31901:SF84', NULL, NULL, NULL, NULL, 'BNAA03G52620D PROTEIN', NULL, NULL, NULL, 15),
(99771, NULL, 'PTHR12876:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG05767', NULL, NULL, NULL, 15),
(99772, NULL, 'PTHR10194:SF129', NULL, NULL, NULL, NULL, 'NEUROFIBROMIN-A', NULL, NULL, NULL, 15),
(99773, NULL, 'PTHR31595:SF35', NULL, NULL, NULL, NULL, 'OSJNBA0009K15.16 PROTEIN', NULL, NULL, NULL, 15),
(99774, NULL, 'PTHR35325:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN K', NULL, NULL, NULL, 15),
(99775, NULL, 'PTHR33103:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99776, NULL, 'PTHR35193:SF5', NULL, NULL, NULL, NULL, 'MUCIN 13A, CELL SURFACE-ASSOCIATED-RELATED', NULL, NULL, NULL, 15),
(99777, NULL, 'PTHR21530:SF12', NULL, NULL, NULL, NULL, 'BNAA05G10800D PROTEIN', NULL, NULL, NULL, 15),
(99778, NULL, 'PTHR24281:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99779, NULL, 'PTHR27005:SF311', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL PSEUDOKINASE ZED1-LIKE', NULL, NULL, NULL, 15),
(99780, NULL, 'PTHR24414:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99781, NULL, 'PTHR12295:SF31', NULL, NULL, NULL, NULL, 'PROTEIN FURRY HOMOLOG-LIKE', NULL, NULL, NULL, 15),
(99782, NULL, 'PTHR10795:SF455', NULL, NULL, NULL, NULL, 'OS02G0665300 PROTEIN', NULL, NULL, NULL, 15),
(99783, NULL, 'PTHR46128:SF179', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(99784, NULL, 'PTHR12205', NULL, NULL, NULL, NULL, 'CENTROMERE/KINETOCHORE PROTEIN ZW10', NULL, NULL, NULL, 15),
(99785, NULL, 'PTHR11014:SF151', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 7', NULL, NULL, NULL, 15),
(99786, NULL, 'PTHR22715', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA REGULATED GENE 1', NULL, NULL, 34171, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99787, NULL, 'PTHR46353:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 5', NULL, NULL, NULL, 15),
(99788, NULL, 'PTHR11559:SF179', NULL, NULL, NULL, NULL, 'LIVER CARBOXYLESTERASE 1-RELATED', NULL, NULL, NULL, 15),
(99789, NULL, 'PTHR21504', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 34417, 15),
(99790, NULL, 'PTHR24068:SF378', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-17 KDA', NULL, NULL, NULL, 15),
(99791, NULL, 'PTHR43888:SF9', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY A MEMBER 4', NULL, NULL, NULL, 15),
(99792, NULL, 'PTHR46325:SF6', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC3', NULL, NULL, NULL, 15),
(99793, NULL, 'PTHR21347:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG10971', NULL, NULL, NULL, 15),
(99794, NULL, 'PTHR32099:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99795, NULL, 'PTHR17901:SF21', NULL, NULL, NULL, NULL, 'MAGNESIUM-DEPENDENT PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(99796, NULL, 'PTHR33203:SF52', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(99797, NULL, 'PTHR46869:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99798, NULL, 'PTHR35551:SF1', NULL, NULL, NULL, NULL, 'ACCLIMATION OF PHOTOSYNTHESIS TO ENVIRONMENT', NULL, NULL, NULL, 15),
(99799, NULL, 'PTHR45764:SF7', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(99800, NULL, 'PTHR10615:SF164', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(99801, NULL, 'PTHR45811', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(99802, NULL, 'PTHR48017:SF112', NULL, NULL, NULL, NULL, 'OS10G0415100 PROTEIN', NULL, NULL, NULL, 15),
(99803, NULL, 'PTHR24096:SF337', NULL, NULL, NULL, NULL, 'SIDEROPHORE BIOSYSNTHESIS PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99804, NULL, 'PTHR11824:SF15', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, VOLTAGE-DEPENDENT, BETA 4B SUBUNIT', NULL, NULL, NULL, 15),
(99805, NULL, 'PTHR10794:SF39', NULL, NULL, NULL, NULL, 'PROTEIN ABHD15', NULL, NULL, NULL, 15),
(99806, NULL, 'PTHR23266:SF307', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-23-RELATED', NULL, NULL, NULL, 15),
(99807, NULL, 'PTHR31681:SF42', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF295)-RELATED', NULL, NULL, NULL, 15),
(99808, NULL, 'PTHR46945:SF2', NULL, NULL, NULL, NULL, 'CYSTATIN-9-LIKE PROTEIN CST9LP1-RELATED', NULL, NULL, 28777, 15),
(99809, NULL, 'PTHR26374:SF396', NULL, NULL, NULL, NULL, 'BNAC09G50520D PROTEIN', NULL, NULL, NULL, 15),
(99810, NULL, 'PTHR48049:SF22', NULL, NULL, NULL, NULL, 'HYDROQUINONE GLUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(99811, NULL, 'PTHR24286:SF159', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 724, SUBFAMILY A, POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(99812, NULL, 'PTHR43107', NULL, NULL, NULL, NULL, 'LONG-CHAIN FATTY ACID TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(99813, NULL, 'PTHR14513:SF5', NULL, NULL, NULL, NULL, 'PROTECTION OF TELOMERES PROTEIN 1A-RELATED', NULL, NULL, NULL, 15),
(99814, NULL, 'PTHR48042:SF13', NULL, NULL, NULL, NULL, 'OS07G0288700 PROTEIN', NULL, NULL, NULL, 15),
(99815, NULL, 'PTHR10844:SF19', NULL, NULL, NULL, NULL, 'CAVEOLIN-2', NULL, NULL, NULL, 15),
(99816, NULL, 'PTHR24214:SF5', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN 1', NULL, NULL, 27022, 15),
(99817, NULL, 'PTHR42988:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(99818, NULL, 'PTHR42985:SF27', NULL, NULL, NULL, NULL, 'GH10366P', NULL, NULL, NULL, 15),
(99819, NULL, 'PTHR38113', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99820, NULL, 'PTHR31213:SF73', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL1', NULL, NULL, NULL, 15),
(99821, NULL, 'PTHR11783:SF192', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(99822, NULL, 'PTHR11654:SF486', NULL, NULL, NULL, NULL, 'BNAC09G43150D PROTEIN', NULL, NULL, NULL, 15),
(99823, NULL, 'PTHR46324:SF14', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 43-LIKE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99824, NULL, 'PTHR31568:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99825, NULL, 'PTHR21646:SF18', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 5', NULL, NULL, NULL, 15),
(99826, NULL, 'PTHR48017:SF157', NULL, NULL, NULL, NULL, 'AND HISTIDINE SPECIFIC TRANSPORTER, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(99827, NULL, 'PTHR11493:SF47', NULL, NULL, NULL, NULL, 'SULFITE REDUCTASE [NADPH] SUBUNIT BETA', NULL, NULL, NULL, 15),
(99828, NULL, 'PTHR15012:SF8', NULL, NULL, NULL, NULL, 'PROTEIN SHROOM2', NULL, NULL, 26339, 15),
(99829, NULL, 'PTHR48210', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99830, NULL, 'PTHR31683:SF165', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(99831, NULL, 'PTHR11461:SF331', NULL, NULL, NULL, NULL, 'ANGIOTENSINOGEN', NULL, NULL, 1342, 15),
(99832, NULL, 'PTHR11570:SF22', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME 4', NULL, NULL, NULL, 15),
(99833, NULL, 'PTHR25465:SF14', NULL, NULL, NULL, NULL, 'BLOODTHIRSTY-RELATED GENE FAMILY, MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(99834, NULL, 'PTHR35444', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700001C19 GENE', NULL, NULL, NULL, 15),
(99835, NULL, 'PTHR31900', NULL, NULL, NULL, NULL, 'F-BOX/RNI SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99836, NULL, 'PTHR11636', NULL, NULL, NULL, NULL, 'POU DOMAIN', NULL, NULL, NULL, 15),
(99837, NULL, 'PTHR46679:SF3', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN', NULL, NULL, NULL, 15),
(99838, NULL, 'PTHR22814:SF293', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 22', NULL, NULL, NULL, 15),
(99839, NULL, 'PTHR47932', NULL, NULL, NULL, NULL, 'ATPASE EXPRESSION PROTEIN 3', NULL, NULL, NULL, 15),
(99840, NULL, 'PTHR34703', NULL, NULL, NULL, NULL, 'ANTIPORTER SUBUNIT MNHG2-RELATED', NULL, NULL, 7413, 15),
(99841, NULL, 'PTHR11261:SF6', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(99842, NULL, 'PTHR11306', NULL, NULL, NULL, NULL, 'NIEMANN PICK TYPE C2 PROTEIN NPC2-RELATED', NULL, NULL, 35749, 15),
(99843, NULL, 'PTHR24282:SF213', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99844, NULL, 'PTHR43462:SF2', NULL, NULL, NULL, NULL, 'THREONYL AND ALANYL TRNA SYNTHETASE SECOND ADDITIONAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(99845, NULL, 'PTHR11106:SF111', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(99846, NULL, 'PTHR11017:SF397', NULL, NULL, NULL, NULL, 'BNAA04G18550D PROTEIN', NULL, NULL, NULL, 15),
(99847, NULL, 'PTHR24291:SF142', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 97B3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(99848, NULL, 'PTHR45847:SF2', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE HOMOLOG', NULL, NULL, NULL, 15),
(99849, NULL, 'PTHR31368:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99850, NULL, 'PTHR23216', NULL, NULL, NULL, NULL, 'NUCLEOLAR AND COILED-BODY PHOSPHOPROTEIN 1', NULL, NULL, NULL, 15),
(99851, NULL, 'PTHR11515:SF13', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONE BETA 5, ISOFORM A', NULL, NULL, NULL, 15),
(99852, NULL, 'PTHR11417:SF37', NULL, NULL, NULL, NULL, 'PROLACTIN-3B1', NULL, NULL, NULL, 15),
(99853, NULL, 'PTHR31953', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV1-RELATED', NULL, NULL, NULL, 15),
(99854, NULL, 'PTHR10539:SF5', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 13 HOMOLOG B', NULL, NULL, NULL, 15),
(99855, NULL, 'PTHR20963:SF8', NULL, NULL, NULL, NULL, 'MULTIPLE INOSITOL POLYPHOSPHATE PHOSPHATASE 1', NULL, NULL, NULL, 15),
(99856, NULL, 'PTHR11571:SF132', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(99857, NULL, 'PTHR45651:SF91', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(99858, NULL, 'PTHR43550:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE 2, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02600)-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99859, NULL, 'PTHR48092:SF21', NULL, NULL, NULL, NULL, 'ESTROGEN-RELATED RECEPTOR DELTA', NULL, NULL, NULL, 15),
(99860, NULL, 'PTHR19211:SF117', NULL, NULL, NULL, NULL, 'NON-TRANSPORTER ABC PROTEIN', NULL, NULL, NULL, 15),
(99861, NULL, 'PTHR31362:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99862, NULL, 'PTHR13116', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 13477, 15),
(99863, NULL, 'PTHR23267:SF343', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-III REGION 50S10.1-RELATED', NULL, NULL, NULL, 15),
(99864, NULL, 'PTHR26379:SF379', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99865, NULL, 'PTHR45637', NULL, NULL, NULL, NULL, 'FLIPPASE KINASE 1-RELATED', NULL, NULL, NULL, 15),
(99866, NULL, 'PTHR28272:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP3', NULL, NULL, NULL, 15),
(99867, NULL, 'PTHR23262:SF67', NULL, NULL, NULL, NULL, 'HCG2042992-RELATED', NULL, NULL, NULL, 15),
(99868, NULL, 'PTHR47772:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 200', NULL, NULL, NULL, 15),
(99869, NULL, 'PTHR11556:SF38', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE 1A', NULL, NULL, NULL, 15),
(99870, NULL, 'PTHR24414:SF74', NULL, NULL, NULL, NULL, 'BNAA06G37270D PROTEIN', NULL, NULL, NULL, 15),
(99871, NULL, 'PTHR33132:SF62', NULL, NULL, NULL, NULL, 'OS09G0428750 PROTEIN', NULL, NULL, NULL, 15),
(99872, NULL, 'PTHR24104:SF14', NULL, NULL, NULL, NULL, 'NHL REPEAT-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(99873, NULL, 'PTHR48051:SF16', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 2', NULL, NULL, NULL, 15),
(99874, NULL, 'PTHR23248:SF37', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE 3', NULL, NULL, NULL, 15),
(99875, NULL, 'PTHR31933:SF12', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(99876, NULL, 'PTHR21495:SF140', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(99877, NULL, 'PTHR21142', NULL, NULL, NULL, NULL, 'SARCOGLYCANS', NULL, NULL, 26230, 15),
(99878, NULL, 'PTHR45800:SF24', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 4', NULL, NULL, NULL, 15),
(99879, NULL, 'PTHR10795:SF661', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99880, NULL, 'PTHR15386:SF0', NULL, NULL, NULL, NULL, 'FIBRINOGEN SILENCER-BINDING PROTEIN', NULL, NULL, NULL, 15),
(99881, NULL, 'PTHR21715:SF0', NULL, NULL, NULL, NULL, 'RH04127P', NULL, NULL, NULL, 15),
(99882, NULL, 'PTHR24061:SF457', NULL, NULL, NULL, NULL, 'EC1-V2R PHEROMONE RECEPTOR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99883, NULL, 'PTHR30177:SF30', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE UPTAKE SYSTEM PERMEASE PROTEIN YEHY', NULL, NULL, NULL, 15),
(99884, NULL, 'PTHR47293:SF57', NULL, NULL, NULL, NULL, 'BNAC04G49240D PROTEIN', NULL, NULL, NULL, 15),
(99885, NULL, 'PTHR24178:SF19', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN AND ANKYRIN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(99886, NULL, 'PTHR11521:SF4', NULL, NULL, NULL, NULL, 'TROPONIN T, FAST SKELETAL MUSCLE', NULL, NULL, 22124, 15),
(99887, NULL, 'PTHR31707:SF131', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(99888, NULL, 'PTHR47942:SF6', NULL, NULL, NULL, NULL, 'OS02G0679200 PROTEIN', NULL, NULL, NULL, 15),
(99889, NULL, 'PTHR19957:SF3', NULL, NULL, NULL, NULL, 'SYNTAXIN-5', NULL, NULL, NULL, 15),
(99890, NULL, 'PTHR11243:SF4', NULL, NULL, NULL, NULL, 'GROWTH FACTOR RECEPTOR-BOUND PROTEIN 10', NULL, NULL, 30374, 15),
(99891, NULL, 'PTHR22534:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99892, NULL, 'PTHR10342:SF255', NULL, NULL, NULL, NULL, 'ARYLSULFATASE B', NULL, NULL, NULL, 15),
(99893, NULL, 'PTHR11434:SF16', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT 4L, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(99894, NULL, 'PTHR43791:SF63', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CYSTEINE TRANSPORTER', NULL, NULL, NULL, 15),
(99895, NULL, 'PTHR19384:SF84', NULL, NULL, NULL, NULL, 'METHIONINE SYNTHASE REDUCTASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99896, NULL, 'PTHR47632:SF5', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(99897, NULL, 'PTHR32295:SF209', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99898, NULL, 'PTHR31147:SF58', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(99899, NULL, 'PTHR10815:SF12', NULL, NULL, NULL, NULL, 'METHYLATED-DNA--PROTEIN-CYSTEINE METHYLTRANSFERASE, INDUCIBLE', NULL, NULL, NULL, 15),
(99900, NULL, 'PTHR11783:SF225', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(99901, NULL, 'PTHR45229:SF3', NULL, NULL, NULL, NULL, 'CONSTITUTIVE ORNITHINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(99902, NULL, 'PTHR31831:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689065', NULL, NULL, NULL, 15),
(99903, NULL, 'PTHR24349:SF345', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 11-LIKE', NULL, NULL, NULL, 15),
(99904, NULL, 'PTHR13291:SF3', NULL, NULL, NULL, NULL, 'BNAA04G28510D PROTEIN', NULL, NULL, NULL, 15),
(99905, NULL, 'PTHR47365', NULL, NULL, NULL, NULL, 'PLANT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99906, NULL, 'PTHR10057:SF6', NULL, NULL, NULL, NULL, 'TSPO/MBR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(99907, NULL, 'PTHR31685:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YTP1', NULL, NULL, NULL, 15),
(99908, NULL, 'PTHR45760:SF5', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 40', NULL, NULL, NULL, 15),
(99909, NULL, 'PTHR22625:SF59', NULL, NULL, NULL, NULL, 'PLEXIN B1A', NULL, NULL, NULL, 15),
(99910, NULL, 'PTHR31595:SF46', NULL, NULL, NULL, NULL, 'ACYL-COA--STEROL O-ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(99911, NULL, 'PTHR24028:SF70', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-C3', NULL, NULL, 25091, 15),
(99912, NULL, 'PTHR34223:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99913, NULL, 'PTHR10924:SF6', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 49 MEMBER A3', NULL, NULL, NULL, 15),
(99914, NULL, 'PTHR11139:SF110', NULL, NULL, NULL, NULL, 'TRANSCRIPTION-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(99915, NULL, 'PTHR36059:SF2', NULL, NULL, NULL, NULL, 'OS02G0175800 PROTEIN', NULL, NULL, NULL, 15),
(99916, NULL, 'PTHR21535:SF95', NULL, NULL, NULL, NULL, 'MGT2 MAGNESIUM TRANSPORTER', NULL, NULL, NULL, 15),
(99917, NULL, 'PTHR31621:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99918, NULL, 'PTHR43003:SF4', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE', NULL, NULL, NULL, 15),
(99919, NULL, 'PTHR10969:SF70', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8E', NULL, NULL, NULL, 15),
(99920, NULL, 'PTHR11926:SF1373', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99921, NULL, 'PTHR43127:SF1', NULL, NULL, NULL, NULL, 'DEVELOPMENTALLY-REGULATED GTP-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(99922, NULL, 'PTHR20883:SF14', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(99923, NULL, 'PTHR28042:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE COMPLEX SLX5-SLX8 SUBUNIT SLX5', NULL, NULL, NULL, 15),
(99924, NULL, 'PTHR11616:SF245', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT NORADRENALINE TRANSPORTER', NULL, NULL, NULL, 15),
(99925, NULL, 'PTHR34348:SF1', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 2', NULL, NULL, NULL, 15),
(99926, NULL, 'PTHR23316:SF7', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-3', NULL, NULL, NULL, 15),
(99927, NULL, 'PTHR45364', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 9-RELATED', NULL, NULL, 17168, 15),
(99928, NULL, 'PTHR27002:SF389', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 36', NULL, NULL, NULL, 15),
(99929, NULL, 'PTHR11654:SF82', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.8', NULL, NULL, NULL, 15),
(99930, NULL, 'PTHR44191:SF32', NULL, NULL, NULL, NULL, 'BNAC07G31380D PROTEIN', NULL, NULL, NULL, 15),
(99931, NULL, 'PTHR10772:SF31', NULL, NULL, NULL, NULL, 'GROES-LIKE', NULL, NULL, NULL, 15),
(99932, NULL, 'PTHR24279:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 11B2, MITOCHONDRIAL', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99933, NULL, 'PTHR43874:SF143', NULL, NULL, NULL, NULL, 'BNAA02G30670D PROTEIN', NULL, NULL, NULL, 15),
(99934, NULL, 'PTHR43401:SF2', NULL, NULL, NULL, NULL, 'L-THREONINE 3-DEHYDROGENASE', NULL, NULL, NULL, 15),
(99935, NULL, 'PTHR13943:SF76', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC794087', NULL, NULL, NULL, 15),
(99936, NULL, 'PTHR32285:SF268', NULL, NULL, NULL, NULL, 'TRICHOME BIREFRINGENCE-LIKE 20', NULL, NULL, NULL, 15),
(99937, NULL, 'PTHR30466:SF11', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT MONOOXYGENASE, REDUCTASE SUBUNIT HSAB', NULL, NULL, NULL, 15),
(99938, NULL, 'PTHR35176:SF2', NULL, NULL, NULL, NULL, 'F420H(2)-DEPENDENT REDUCTASE RV1155', NULL, NULL, NULL, 15),
(99939, NULL, 'PTHR11711:SF344', NULL, NULL, NULL, NULL, 'ARF6/ARFB-FAMILY SMALL GTPASE', NULL, NULL, NULL, 15),
(99940, NULL, 'PTHR45627:SF6', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 2', NULL, NULL, NULL, 15),
(99941, NULL, 'PTHR22780:SF29', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(99942, NULL, 'PTHR24039:SF26', NULL, NULL, NULL, NULL, 'FIBRILLIN-2', NULL, NULL, 7912, 15),
(99943, NULL, 'PTHR43180:SF63', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03520)-RELATED', NULL, NULL, NULL, 15),
(99944, NULL, 'PTHR23226:SF286', NULL, NULL, NULL, NULL, 'LD08906P-RELATED', NULL, NULL, NULL, 15),
(99945, NULL, 'PTHR46494:SF1', NULL, NULL, NULL, NULL, 'CORA FAMILY METAL ION TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(99946, NULL, 'PTHR22958:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99947, NULL, 'PTHR32343:SF63', NULL, NULL, NULL, NULL, 'ATAXIN-2, NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99948, NULL, 'PTHR46327:SF4', NULL, NULL, NULL, NULL, 'OS02G0542400 PROTEIN', NULL, NULL, NULL, 15),
(99949, NULL, 'PTHR14741:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99950, NULL, 'PTHR11893:SF18', NULL, NULL, NULL, NULL, 'INNEXIN UNC-7', NULL, NULL, NULL, 15),
(99951, NULL, 'PTHR33700:SF21', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(99952, NULL, 'PTHR31639:SF191', NULL, NULL, NULL, NULL, 'FBD DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(99953, NULL, 'PTHR12587:SF20', NULL, NULL, NULL, NULL, 'LIPRIN-ALPHA, ISOFORM E', NULL, NULL, 24132, 15),
(99954, NULL, 'PTHR11680:SF48', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(99955, NULL, 'PTHR11362:SF79', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN8', NULL, NULL, NULL, 15),
(99956, NULL, 'PTHR10907:SF65', NULL, NULL, NULL, NULL, 'REGUCALCIN', NULL, NULL, NULL, 15),
(99957, NULL, 'PTHR31506:SF16', NULL, NULL, NULL, NULL, 'PROTEIN BRASSINAZOLE-RESISTANT 1', NULL, NULL, NULL, 15),
(99958, NULL, 'PTHR48063:SF35', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: RECEPTOR-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(99959, NULL, 'PTHR35701:SF1', NULL, NULL, NULL, NULL, 'OS11G0148400 PROTEIN', NULL, NULL, NULL, 15),
(99960, NULL, 'PTHR46405', NULL, NULL, NULL, NULL, 'OS05G0141500 PROTEIN', NULL, NULL, NULL, 15),
(99961, NULL, 'PTHR31083:SF6', NULL, NULL, NULL, NULL, 'UPSTREAM OF FLC PROTEIN (DUF966)', NULL, NULL, NULL, 15),
(99962, NULL, 'PTHR21523:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99963, NULL, 'PTHR42718:SF15', NULL, NULL, NULL, NULL, 'METHYLENOMYCIN A RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(99964, NULL, 'PTHR45707:SF26', NULL, NULL, NULL, NULL, 'PROTEIN QUIRKY-LIKE', NULL, NULL, NULL, 15),
(99965, NULL, 'PTHR13593:SF121', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(99966, NULL, 'PTHR11960:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99967, NULL, 'PTHR24233', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR-RELATED G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(99968, NULL, 'PTHR34550:SF3', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S31, MITOCHONDRIAL', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(99969, NULL, 'PTHR31065:SF36', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(99970, NULL, 'PTHR13405:SF11', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP133', NULL, NULL, NULL, 15),
(99971, NULL, 'PTHR44548:SF4', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99972, NULL, 'PTHR34078:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99973, NULL, 'PTHR12547:SF143', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 39-LIKE', NULL, NULL, NULL, 15),
(99974, NULL, 'PTHR21371:SF20', NULL, NULL, NULL, NULL, 'KETOL-ACID REDUCTOISOMERASE', NULL, NULL, NULL, 15),
(99975, NULL, 'PTHR31589:SF153', NULL, NULL, NULL, NULL, 'BNAC07G15710D PROTEIN', NULL, NULL, NULL, 15),
(99976, NULL, 'PTHR31731:SF97', NULL, NULL, NULL, NULL, '14 KDA PROLINE-RICH PROTEIN DC2.15', NULL, NULL, NULL, 15),
(99977, NULL, 'PTHR31194:SF74', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF3-RELATED', NULL, NULL, NULL, 15),
(99978, NULL, 'PTHR45613:SF179', NULL, NULL, NULL, NULL, 'OS01G0505500 PROTEIN', NULL, NULL, NULL, 15),
(99979, NULL, 'PTHR11096', NULL, NULL, NULL, NULL, 'RNA 3'' TERMINAL PHOSPHATE CYCLASE', NULL, NULL, 1336, 15),
(99980, NULL, 'PTHR21141:SF97', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2-2', NULL, NULL, NULL, 15),
(99981, NULL, 'PTHR33078:SF57', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN H', NULL, NULL, NULL, 15),
(99982, NULL, 'PTHR34203:SF10', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE FKBM', NULL, NULL, NULL, 15),
(99983, NULL, 'PTHR11417:SF35', NULL, NULL, NULL, NULL, 'PROLACTIN-2B1', NULL, NULL, NULL, 15),
(99984, NULL, 'PTHR11793:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2-ALPHA', NULL, NULL, NULL, 15),
(99985, NULL, 'PTHR24241:SF59', NULL, NULL, NULL, NULL, 'ADIPOKINETIC HORMONE RECEPTOR, ISOFORM C', NULL, NULL, NULL, 15),
(99986, NULL, 'PTHR31731:SF115', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(99987, NULL, 'PTHR16134:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99988, NULL, 'PTHR33254:SF21', NULL, NULL, NULL, NULL, 'BNAA10G10490D PROTEIN', NULL, NULL, NULL, 15),
(99989, NULL, 'PTHR47746:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99990, NULL, 'PTHR33101:SF58', NULL, NULL, NULL, NULL, 'BNAANNG34400D PROTEIN', NULL, NULL, NULL, 15),
(99991, NULL, 'PTHR24343:SF465', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(99992, NULL, 'PTHR37212:SF2', NULL, NULL, NULL, NULL, 'ACTIN PROTEIN 2/3 COMPLEX SUBUNIT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(99993, NULL, 'PTHR42902:SF2', NULL, NULL, NULL, NULL, 'MALATE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(99994, NULL, 'PTHR11260:SF514', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(99995, NULL, 'PTHR35294:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(99996, NULL, 'PTHR23007', NULL, NULL, NULL, NULL, 'CBL', NULL, NULL, 9514, 15),
(99997, NULL, 'PTHR24390:SF83', NULL, NULL, NULL, NULL, 'ZBTB17 ISOFORM 1', NULL, NULL, NULL, 15),
(99998, NULL, 'PTHR18861:SF4', NULL, NULL, NULL, NULL, 'SPINDLE-DEFECTIVE PROTEIN 5', NULL, NULL, NULL, 15),
(99999, NULL, 'PTHR13994', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE RELATED', NULL, NULL, 3374, 15),
(100000, NULL, 'PTHR11468:SF31', NULL, NULL, NULL, NULL, 'ALPHA-1,4 GLUCAN PHOSPHORYLASE', NULL, NULL, NULL, 15),
(100001, NULL, 'PTHR34056:SF8', NULL, NULL, NULL, NULL, 'BNACNNG17710D PROTEIN', NULL, NULL, NULL, 15),
(100002, NULL, 'PTHR24286:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100003, NULL, 'PTHR16631:SF14', NULL, NULL, NULL, NULL, 'FAMILY 17 GLUCOSIDASE SCW10-RELATED', NULL, NULL, NULL, 15),
(100004, NULL, 'PTHR48047:SF79', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(100005, NULL, 'PTHR31087:SF8', NULL, NULL, NULL, NULL, 'OS05G0510100 PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100006, NULL, 'PTHR13683:SF274', NULL, NULL, NULL, NULL, 'PROTEIN ASPARTIC PROTEASE IN GUARD CELL 1', NULL, NULL, NULL, 15),
(100007, NULL, 'PTHR13168:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100008, NULL, 'PTHR31623:SF39', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', NULL, NULL, NULL, 15),
(100009, NULL, 'PTHR22902:SF11', NULL, NULL, NULL, NULL, 'ZGC:153733', NULL, NULL, NULL, 15),
(100010, NULL, 'PTHR21258:SF47', NULL, NULL, NULL, NULL, 'DOWNSTREAM OF KINASE', NULL, NULL, NULL, 15),
(100011, NULL, 'PTHR10177:SF468', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN CYCLIN', NULL, NULL, NULL, 15),
(100012, NULL, 'PTHR24092:SF175', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 9-RELATED', NULL, NULL, NULL, 15),
(100013, NULL, 'PTHR11746:SF242', NULL, NULL, NULL, NULL, 'BNAA10G07250D PROTEIN', NULL, NULL, NULL, 15),
(100014, NULL, 'PTHR19869:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 31', NULL, NULL, NULL, 15),
(100015, NULL, 'PTHR46324:SF15', NULL, NULL, NULL, NULL, 'BNAC09G42010D PROTEIN', NULL, NULL, NULL, 15),
(100016, NULL, 'PTHR13464:SF0', NULL, NULL, NULL, NULL, 'SAP30-BINDING PROTEIN', NULL, NULL, NULL, 15),
(100017, NULL, 'PTHR23239:SF155', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA2', NULL, NULL, NULL, 15),
(100018, NULL, 'PTHR47293:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100019, NULL, 'PTHR45674', NULL, NULL, NULL, NULL, 'DNA LIGASE 1/3 FAMILY MEMBER', NULL, NULL, NULL, 15),
(100020, NULL, 'PTHR38687:SF2', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSN', NULL, NULL, NULL, 15),
(100021, NULL, 'PTHR46911', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100022, NULL, 'PTHR11926:SF1362', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(100023, NULL, 'PTHR33649:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100024, NULL, 'PTHR31692:SF109', NULL, NULL, NULL, NULL, 'EXPANSIN-B4', NULL, NULL, NULL, 15),
(100025, NULL, 'PTHR44436:SF1', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(100026, NULL, 'PTHR23070:SF116', NULL, NULL, NULL, NULL, 'OS03G0802600 PROTEIN', NULL, NULL, NULL, 15),
(100027, NULL, 'PTHR23272:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 1-LIKE', NULL, NULL, NULL, 15),
(100028, NULL, 'PTHR38733', NULL, NULL, NULL, NULL, 'PROTEIN MCRC', NULL, NULL, 20360, 15),
(100029, NULL, 'PTHR24161:SF52', NULL, NULL, NULL, NULL, 'M-PHASE PHOSPHOPROTEIN 8', NULL, NULL, NULL, 15),
(100030, NULL, 'PTHR46128:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100031, NULL, 'PTHR11627:SF42', NULL, NULL, NULL, NULL, 'FI19327P1-RELATED', NULL, NULL, NULL, 15),
(100032, NULL, 'PTHR14493:SF108', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 35', NULL, NULL, NULL, 15),
(100033, NULL, 'PTHR24072:SF338', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC1', NULL, NULL, NULL, 15),
(100034, NULL, 'PTHR31621:SF56', NULL, NULL, NULL, NULL, 'OS01G0378600 PROTEIN', NULL, NULL, NULL, 15),
(100035, NULL, 'PTHR27006:SF317', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100036, NULL, 'PTHR11746:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100037, NULL, 'PTHR10867:SF33', NULL, NULL, NULL, NULL, 'INDOLETHYLAMINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(100038, NULL, 'PTHR33052:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100039, NULL, 'PTHR11712:SF332', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE II, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(100040, NULL, 'PTHR14614:SF43', NULL, NULL, NULL, NULL, 'OS09G0514300 PROTEIN', NULL, NULL, NULL, 15),
(100041, NULL, 'PTHR31901:SF57', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.17-LIKE ISOFORM X3', NULL, NULL, NULL, 15),
(100042, NULL, 'PTHR13914', NULL, NULL, NULL, NULL, 'PROLINE OXIDASE', NULL, NULL, 18073, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100043, NULL, 'PTHR45974:SF4', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FEI 1', NULL, NULL, 27812, 15),
(100044, NULL, 'PTHR46646:SF4', NULL, NULL, NULL, NULL, 'OS10G0578000 PROTEIN', NULL, NULL, NULL, 15),
(100045, NULL, 'PTHR48020:SF28', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(100046, NULL, 'PTHR47993:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 15-RELATED', NULL, NULL, NULL, 15),
(100047, NULL, 'PTHR16222:SF24', NULL, NULL, NULL, NULL, 'ADP-RIBOSE GLYCOHYDROLASE ARH3', NULL, NULL, NULL, 15),
(100048, NULL, 'PTHR31100:SF77', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(100049, NULL, 'PTHR48007:SF39', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(100050, NULL, 'PTHR31639:SF216', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(100051, NULL, 'PTHR33978:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100052, NULL, 'PTHR32411:SF57', NULL, NULL, NULL, NULL, 'BNAC04G11300D PROTEIN', NULL, NULL, NULL, 15),
(100053, NULL, 'PTHR24373:SF269', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 24', NULL, NULL, NULL, 15),
(100054, NULL, 'PTHR33386:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100055, NULL, 'PTHR30193', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(100056, NULL, 'PTHR34404:SF3', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, FMDB FAMILY', NULL, NULL, NULL, 15),
(100057, NULL, 'PTHR11566:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100058, NULL, 'PTHR21561:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100059, NULL, 'PTHR30003:SF0', NULL, NULL, NULL, NULL, 'L-LACTATE PERMEASE', NULL, NULL, NULL, 15),
(100060, NULL, 'PTHR21588:SF18', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN CONTAINING 3', NULL, NULL, NULL, 15),
(100061, NULL, 'PTHR16130:SF2', NULL, NULL, NULL, NULL, 'LYSOSOMAL COBALAMIN TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(100062, NULL, 'PTHR15710:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PRAJA-2', NULL, NULL, 25333, 15),
(100063, NULL, 'PTHR10701:SF13', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(100064, NULL, 'PTHR23267:SF399', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100065, NULL, 'PTHR24240:SF138', NULL, NULL, NULL, NULL, 'NOVOPSIN-2', NULL, NULL, NULL, 15),
(100066, NULL, 'PTHR11062:SF247', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(100067, NULL, 'PTHR21576:SF105', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', NULL, NULL, NULL, 15),
(100068, NULL, 'PTHR28682:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100069, NULL, 'PTHR14009:SF33', NULL, NULL, NULL, NULL, 'LETM1-LIKE', NULL, NULL, NULL, 15),
(100070, NULL, 'PTHR43798:SF5', NULL, NULL, NULL, NULL, 'MONOACYLGLYCEROL LIPASE ABHD6', NULL, NULL, NULL, 15),
(100071, NULL, 'PTHR41151', NULL, NULL, NULL, NULL, 'PARTNER OF BURSICON', NULL, NULL, 6917, 15),
(100072, NULL, 'PTHR46776:SF27', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 2', NULL, NULL, NULL, 15),
(100073, NULL, 'PTHR11570:SF15', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME 3', NULL, NULL, NULL, 15),
(100074, NULL, 'PTHR11627:SF71', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(100075, NULL, 'PTHR35277:SF14', NULL, NULL, NULL, NULL, 'BNAC06G24070D PROTEIN', NULL, NULL, NULL, 15),
(100076, NULL, 'PTHR31469:SF4', NULL, NULL, NULL, NULL, 'OS07G0633600 PROTEIN', NULL, NULL, NULL, 15),
(100077, NULL, 'PTHR47926:SF58', NULL, NULL, NULL, NULL, 'OS07G0191500 PROTEIN', NULL, NULL, NULL, 15),
(100078, NULL, 'PTHR36953', NULL, NULL, NULL, NULL, 'PROTEIN CBG07386-RELATED', NULL, NULL, 30436, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100079, NULL, 'PTHR46525:SF2', NULL, NULL, NULL, NULL, 'EMB|CAB72159.1', NULL, NULL, NULL, 15),
(100080, NULL, 'PTHR31949:SF6', NULL, NULL, NULL, NULL, 'OS08G0543000 PROTEIN', NULL, NULL, NULL, 15),
(100081, NULL, 'PTHR11132:SF385', NULL, NULL, NULL, NULL, 'OS03G0286300 PROTEIN', NULL, NULL, NULL, 15),
(100082, NULL, 'PTHR11071:SF466', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE A-LIKE 4C-RELATED', NULL, NULL, NULL, 15),
(100083, NULL, 'PTHR23050:SF378', NULL, NULL, NULL, NULL, 'CALMODULIN', NULL, NULL, NULL, 15),
(100084, NULL, 'PTHR11945:SF550', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL13', NULL, NULL, NULL, 15),
(100085, NULL, 'PTHR47147:SF1', NULL, NULL, NULL, NULL, 'SYNCOILIN', NULL, NULL, NULL, 15),
(100086, NULL, 'PTHR47990:SF98', NULL, NULL, NULL, NULL, 'BNAC09G00430D PROTEIN', NULL, NULL, NULL, 15),
(100087, NULL, 'PTHR47855:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100088, NULL, 'PTHR31769:SF19', NULL, NULL, NULL, NULL, 'OS05G0435300 PROTEIN', NULL, NULL, NULL, 15),
(100089, NULL, 'PTHR10196', NULL, NULL, NULL, NULL, 'SUGAR KINASE', NULL, NULL, NULL, 15),
(100090, NULL, 'PTHR47787:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(100091, NULL, 'PTHR13193', NULL, NULL, NULL, NULL, 'CGI-140', NULL, NULL, 6475, 15),
(100092, NULL, 'PTHR31942:SF85', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100093, NULL, 'PTHR31805:SF16', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN (DUF1421)', NULL, NULL, NULL, 15),
(100094, NULL, 'PTHR32166:SF33', NULL, NULL, NULL, NULL, 'HAT DIMERIZATION DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(100095, NULL, 'PTHR37610:SF39', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', NULL, NULL, NULL, 15),
(100096, NULL, 'PTHR40940:SF2', NULL, NULL, NULL, NULL, 'BATD', NULL, NULL, NULL, 15),
(100097, NULL, 'PTHR24372:SF70', NULL, NULL, NULL, NULL, 'RELAXIN FAMILY PEPTIDE RECEPTOR 2,-LIKE', NULL, NULL, NULL, 15),
(100098, NULL, 'PTHR47967:SF47', NULL, NULL, NULL, NULL, 'CHLOROPLAST NUCLEOID DNA-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(100099, NULL, 'PTHR11010:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG14660', NULL, NULL, NULL, 15),
(100100, NULL, 'PTHR23272:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100101, NULL, 'PTHR34836:SF1', NULL, NULL, NULL, NULL, 'OS06G0188250 PROTEIN', NULL, NULL, NULL, 15),
(100102, NULL, 'PTHR43830:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100103, NULL, 'PTHR46131', NULL, NULL, NULL, NULL, 'SD08549P', NULL, NULL, NULL, 15),
(100104, NULL, 'PTHR23255:SF96', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN SERINE/THREONINE KINASE', NULL, NULL, NULL, 15),
(100105, NULL, 'PTHR33593', NULL, NULL, NULL, NULL, 'DUF1442 FAMILY PROTEIN', NULL, NULL, 14661, 15),
(100106, NULL, 'PTHR15615:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100107, NULL, 'PTHR24174', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(100108, NULL, 'PTHR11685:SF208', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(100109, NULL, 'PTHR31839:SF44', NULL, NULL, NULL, NULL, 'CBF12C', NULL, NULL, NULL, 15),
(100110, NULL, 'PTHR19851:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100111, NULL, 'PTHR32261:SF5', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN 4', NULL, NULL, 28451, 15),
(100112, NULL, 'PTHR12620:SF39', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF SMALL SUBUNIT A', NULL, NULL, NULL, 15),
(100113, NULL, 'PTHR10338:SF106', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN H1', NULL, NULL, NULL, 15),
(100114, NULL, 'PTHR12969', NULL, NULL, NULL, NULL, 'NGD5/OSM-6/IFT52', NULL, NULL, 34030, 15),
(100115, NULL, 'PTHR33207:SF55', NULL, NULL, NULL, NULL, 'OS09G0323200 PROTEIN', NULL, NULL, NULL, 15),
(100116, NULL, 'PTHR31948:SF52', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 9', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100117, NULL, 'PTHR48133:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100118, NULL, 'PTHR48054:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100119, NULL, 'PTHR36143', NULL, NULL, NULL, NULL, 'OS08G0177500 PROTEIN', NULL, NULL, NULL, 15),
(100120, NULL, 'PTHR10891:SF842', NULL, NULL, NULL, NULL, 'SARCOPLASMIC CALCIUM-BINDING PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100121, NULL, 'PTHR15530:SF0', NULL, NULL, NULL, NULL, 'SERTA DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(100122, NULL, 'PTHR47091:SF1', NULL, NULL, NULL, NULL, 'ALPHA-PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(100123, NULL, 'PTHR13520:SF0', NULL, NULL, NULL, NULL, 'RAD50-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(100124, NULL, 'PTHR31207:SF33', NULL, NULL, NULL, NULL, 'BNACNNG22850D PROTEIN', NULL, NULL, NULL, 15),
(100125, NULL, 'PTHR38613', NULL, NULL, NULL, NULL, 'PROTEIN CBG03211-RELATED', NULL, NULL, NULL, 15),
(100126, NULL, 'PTHR36961:SF1', NULL, NULL, NULL, NULL, 'LEUKEMIA-ASSOCIATED PROTEIN 7', NULL, NULL, NULL, 15),
(100127, NULL, 'PTHR11132:SF379', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100128, NULL, 'PTHR35754:SF2', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B', NULL, NULL, NULL, 15),
(100129, NULL, 'PTHR34802:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100130, NULL, 'PTHR13199:SF21', NULL, NULL, NULL, NULL, 'BNAA02G28390D PROTEIN', NULL, NULL, NULL, 15),
(100131, NULL, 'PTHR46645:SF1', NULL, NULL, NULL, NULL, 'SI:ZFOS-943E10.1', NULL, NULL, NULL, 15),
(100132, NULL, 'PTHR12215:SF10', NULL, NULL, NULL, NULL, 'L-AMINOADIPATE-SEMIALDEHYDE DEHYDROGENASE-PHOSPHOPANTETHEINYL TRANSFERASE', NULL, NULL, NULL, 15),
(100133, NULL, 'PTHR47992:SF145', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', NULL, NULL, NULL, 15),
(100134, NULL, 'PTHR43166:SF7', NULL, NULL, NULL, NULL, 'GLUTAMATE/ASPARTATE IMPORT ATP-BINDING PROTEIN GLTL', NULL, NULL, NULL, 15),
(100135, NULL, 'PTHR24377:SF180', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 23', NULL, NULL, NULL, 15),
(100136, NULL, 'PTHR15497:SF3', NULL, NULL, NULL, NULL, '3-HYDROXYANTHRANILATE 3,4-DIOXYGENASE 2', NULL, NULL, NULL, 15),
(100137, NULL, 'PTHR11206:SF353', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 9-LIKE', NULL, NULL, NULL, 15),
(100138, NULL, 'PTHR23353', NULL, NULL, NULL, NULL, 'RAB-GAP/TBC-RELATED', NULL, NULL, NULL, 15),
(100139, NULL, 'PTHR36901', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(100140, NULL, 'PTHR28592', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 1', NULL, NULL, 19958, 15),
(100141, NULL, 'PTHR14950:SF62', NULL, NULL, NULL, NULL, 'DICER-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(100142, NULL, 'PTHR19879:SF1', NULL, NULL, NULL, NULL, 'CANNONBALL-RELATED', NULL, NULL, NULL, 15),
(100143, NULL, 'PTHR46168:SF7', NULL, NULL, NULL, NULL, 'ARMADILLO/BETA-CATENIN-LIKE REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(100144, NULL, 'PTHR22951:SF22', NULL, NULL, NULL, NULL, 'ENTH/ANTH/VHS SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(100145, NULL, 'PTHR19331:SF461', NULL, NULL, NULL, NULL, 'DMBT1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100146, NULL, 'PTHR23024:SF532', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE', NULL, NULL, NULL, 15),
(100147, NULL, 'PTHR43620:SF6', NULL, NULL, NULL, NULL, 'OS08G0503200 PROTEIN', NULL, NULL, NULL, 15),
(100148, NULL, 'PTHR33044:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100149, NULL, 'PTHR44329:SF79', NULL, NULL, NULL, NULL, 'OS04G0686650 PROTEIN', NULL, NULL, NULL, 15),
(100150, NULL, 'PTHR11360:SF234', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G05170)-RELATED', NULL, NULL, NULL, 15),
(100151, NULL, 'PTHR31561:SF89', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100152, NULL, 'PTHR34050', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 29846, 15),
(100153, NULL, 'PTHR43272:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100154, NULL, 'PTHR48182', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100155, NULL, 'PTHR23349:SF59', NULL, NULL, NULL, NULL, 'PANCREAS TRANSCRIPTION FACTOR 1 SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(100156, NULL, 'PTHR10102', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE, MITOCHONDRIAL', NULL, NULL, 5456, 15),
(100157, NULL, 'PTHR43155:SF2', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PA4108', NULL, NULL, NULL, 15),
(100158, NULL, 'PTHR10574:SF36', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(100159, NULL, 'PTHR46626:SF1', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B21', NULL, NULL, NULL, 15),
(100160, NULL, 'PTHR33095:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100161, NULL, 'PTHR46438:SF2', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(100162, NULL, 'PTHR42905:SF13', NULL, NULL, NULL, NULL, 'CARBOXYVINYL-CARBOXYPHOSPHONATE PHOSPHORYLMUTASE (AFU_ORTHOLOGUE AFUA_2G00120)', NULL, NULL, NULL, 15),
(100163, NULL, 'PTHR43895:SF87', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(100164, NULL, 'PTHR34667', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE', NULL, NULL, 10618, 15),
(100165, NULL, 'PTHR23353:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100166, NULL, 'PTHR31232:SF58', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY S1-RELATED', NULL, NULL, NULL, 15),
(100167, NULL, 'PTHR11132:SF373', NULL, NULL, NULL, NULL, 'BNAC05G04440D PROTEIN', NULL, NULL, NULL, 15),
(100168, NULL, 'PTHR19965:SF79', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4A', NULL, NULL, NULL, 15),
(100169, NULL, 'PTHR11005:SF127', NULL, NULL, NULL, NULL, 'LIPASE-RELATED', NULL, NULL, NULL, 15),
(100170, NULL, 'PTHR19862:SF14', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 48', NULL, NULL, NULL, 15),
(100171, NULL, 'PTHR33164:SF5', NULL, NULL, NULL, NULL, 'MULTIPLE ANTIBIOTIC RESISTANCE PROTEIN MARR', NULL, NULL, NULL, 15),
(100172, NULL, 'PTHR11434:SF0', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 4L', NULL, NULL, NULL, 15),
(100173, NULL, 'PTHR47991:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100174, NULL, 'PTHR45966:SF18', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(100175, NULL, 'PTHR36332', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN', NULL, NULL, NULL, 15),
(100176, NULL, 'PTHR43200:SF17', NULL, NULL, NULL, NULL, 'PAP-SPECIFIC PHOSPHATASE HAL2-LIKE', NULL, NULL, NULL, 15),
(100177, NULL, 'PTHR32295', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 5-RELATED', NULL, NULL, NULL, 15),
(100178, NULL, 'PTHR31495:SF21', NULL, NULL, NULL, NULL, 'CALEOSIN', NULL, NULL, NULL, 15),
(100179, NULL, 'PTHR44489:SF7', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 86', NULL, NULL, NULL, 15),
(100180, NULL, 'PTHR48018:SF33', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5D13', NULL, NULL, NULL, 15),
(100181, NULL, 'PTHR43685:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CGED', NULL, NULL, NULL, 15),
(100182, NULL, 'PTHR15868', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 6430571L13 GENE, SIMILAR TO G20 PROTEIN', NULL, NULL, 37277, 15),
(100183, NULL, 'PTHR46463:SF6', NULL, NULL, NULL, NULL, 'OS03G0788800 PROTEIN', NULL, NULL, NULL, 15),
(100184, NULL, 'PTHR11452:SF25', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGALACTOSAMINIDASE', NULL, NULL, NULL, 15),
(100185, NULL, 'PTHR46132:SF2', NULL, NULL, NULL, NULL, 'DIGALACTOSYLDIACYLGLYCEROL SYNTHASE 1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(100186, NULL, 'PTHR23119:SF5', NULL, NULL, NULL, NULL, 'DISKS LARGE HOMOLOG 1', NULL, NULL, NULL, 15),
(100187, NULL, 'PTHR43023:SF6', NULL, NULL, NULL, NULL, 'INTERMEMBRANE PHOSPHOLIPID TRANSPORT SYSTEM ATP-BINDING PROTEIN MLAF', NULL, NULL, 27553, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100188, NULL, 'PTHR10769', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S28', NULL, NULL, 4978, 15),
(100189, NULL, 'PTHR16399:SF15', NULL, NULL, NULL, NULL, 'GASDERMIN-D', NULL, NULL, NULL, 15),
(100190, NULL, 'PTHR47602:SF2', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP22', NULL, NULL, NULL, 15),
(100191, NULL, 'PTHR45682:SF10', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 13 ISOFORM B', NULL, NULL, NULL, 15),
(100192, NULL, 'PTHR24099:SF18', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM36', NULL, NULL, 22286, 15),
(100193, NULL, 'PTHR24064:SF463', NULL, NULL, NULL, NULL, 'PROTEIN CBG15279', NULL, NULL, NULL, 15),
(100194, NULL, 'PTHR37708', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100195, NULL, 'PTHR48063:SF16', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', NULL, NULL, NULL, 15),
(100196, NULL, 'PTHR19308:SF9', NULL, NULL, NULL, NULL, 'OS07G0185200 PROTEIN', NULL, NULL, NULL, 15),
(100197, NULL, 'PTHR42799:SF3', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE A5', NULL, NULL, NULL, 15),
(100198, NULL, 'PTHR45841:SF2', NULL, NULL, NULL, NULL, 'MRNA TURNOVER PROTEIN 4 HOMOLOG', NULL, NULL, NULL, 15),
(100199, NULL, 'PTHR31839:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100200, NULL, 'PTHR31084:SF14', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(100201, NULL, 'PTHR24253:SF26', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR XII', NULL, NULL, NULL, 15),
(100202, NULL, 'PTHR45614:SF147', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 110', NULL, NULL, NULL, 15),
(100203, NULL, 'PTHR10178', NULL, NULL, NULL, NULL, 'GAG/POL/ENV POLYPROTEIN', NULL, NULL, NULL, 15),
(100204, NULL, 'PTHR31374:SF9', NULL, NULL, NULL, NULL, 'ARABIDOPSIS THALIANA GENOMIC DNA, CHROMOSOME 5, P1 CLONE:MOK16', NULL, NULL, NULL, 15),
(100205, NULL, 'PTHR47214:SF4', NULL, NULL, NULL, NULL, 'BNAA03G17330D PROTEIN', NULL, NULL, NULL, 15),
(100206, NULL, 'PTHR23239:SF180', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 17', NULL, NULL, NULL, 15),
(100207, NULL, 'PTHR10728:SF58', NULL, NULL, NULL, NULL, 'SI:CH73-55I23.1-RELATED', NULL, NULL, NULL, 15),
(100208, NULL, 'PTHR24055:SF138', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 1-LIKE', NULL, NULL, NULL, 15),
(100209, NULL, 'PTHR10891:SF843', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER MEMBRANE REGION, EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(100210, NULL, 'PTHR22603:SF35', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOLAMINE KINASE', NULL, NULL, 25825, 15),
(100211, NULL, 'PTHR11213', NULL, NULL, NULL, NULL, 'GLUCAGON-FAMILY NEUROPEPTIDE', NULL, NULL, 8040, 15),
(100212, NULL, 'PTHR10634:SF73', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 8-LIKE', NULL, NULL, NULL, 15),
(100213, NULL, 'PTHR45719:SF4', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(100214, NULL, 'PTHR43019:SF45', NULL, NULL, NULL, NULL, 'OS12G0616600 PROTEIN', NULL, NULL, NULL, 15),
(100215, NULL, 'PTHR11176:SF28', NULL, NULL, NULL, NULL, 'BNAC04G00660D PROTEIN', NULL, NULL, NULL, 15),
(100216, NULL, 'PTHR33624:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100217, NULL, 'PTHR47069:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100218, NULL, 'PTHR48017:SF156', NULL, NULL, NULL, NULL, 'BNAC04G05480D PROTEIN', NULL, NULL, NULL, 15),
(100219, NULL, 'PTHR34180:SF1', NULL, NULL, NULL, NULL, 'MUTANT TAN', NULL, NULL, NULL, 15),
(100220, NULL, 'PTHR18952:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100221, NULL, 'PTHR11588:SF298', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(100222, NULL, 'PTHR28290', NULL, NULL, NULL, NULL, 'ENHANCER OF TRANSLATION TERMINATION 1', NULL, NULL, 28608, 15),
(100223, NULL, 'PTHR47069:SF1', NULL, NULL, NULL, NULL, 'OS02G0181400 PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100224, NULL, 'PTHR36292', NULL, NULL, NULL, NULL, 'UPF0575 PROTEIN C19ORF67', NULL, NULL, 19930, 15),
(100225, NULL, 'PTHR24298:SF835', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(100226, NULL, 'PTHR45730:SF70', NULL, NULL, NULL, NULL, 'OS08G0555700 PROTEIN', NULL, NULL, NULL, 15),
(100227, NULL, 'PTHR43072:SF40', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(100228, NULL, 'PTHR13120:SF5', NULL, NULL, NULL, NULL, 'BNAC03G71910D PROTEIN', NULL, NULL, NULL, 15),
(100229, NULL, 'PTHR18945:SF444', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(100230, NULL, 'PTHR30519:SF22', NULL, NULL, NULL, NULL, '5-METHYLTETRAHYDROPTEROYLTRIGLUTAMATE--HOMOCYSTEINE METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(100231, NULL, 'PTHR35454', NULL, NULL, NULL, NULL, 'AGAP005206-PA', NULL, NULL, NULL, 15),
(100232, NULL, 'PTHR36744', NULL, NULL, NULL, NULL, 'CYTOCHROME OXIDASE ASSEMBLY PROTEIN', NULL, NULL, NULL, 15),
(100233, NULL, 'PTHR19338:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100234, NULL, 'PTHR19957:SF136', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN (ZGC:77855)-RELATED', NULL, NULL, NULL, 15),
(100235, NULL, 'PTHR45581:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG10435', NULL, NULL, NULL, 15),
(100236, NULL, 'PTHR46056:SF13', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', NULL, NULL, NULL, 15),
(100237, NULL, 'PTHR33021:SF357', NULL, NULL, NULL, NULL, 'COPPER BINDING PROTEIN 8', NULL, NULL, NULL, 15),
(100238, NULL, 'PTHR15506:SF0', NULL, NULL, NULL, NULL, 'PRION-LIKE PROTEIN DOPPEL', NULL, NULL, NULL, 15),
(100239, NULL, 'PTHR11088:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100240, NULL, 'PTHR38045', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(100241, NULL, 'PTHR26454:SF18', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C76', NULL, NULL, NULL, 15),
(100242, NULL, 'PTHR19288:SF44', NULL, NULL, NULL, NULL, 'PHOSPHOLYSINE PHOSPHOHISTIDINE INORGANIC PYROPHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(100243, NULL, 'PTHR31636:SF43', NULL, NULL, NULL, NULL, 'OS06G0105350 PROTEIN', NULL, NULL, NULL, 15),
(100244, NULL, 'PTHR22906:SF34', NULL, NULL, NULL, NULL, 'PROTEIN CBG17547', NULL, NULL, NULL, 15),
(100245, NULL, 'PTHR31165:SF2', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE2', NULL, NULL, NULL, 15),
(100246, NULL, 'PTHR47488:SF12', NULL, NULL, NULL, NULL, 'PROTEIN PYRICULARIA ORYZAE RESISTANCE 21', NULL, NULL, NULL, 15),
(100247, NULL, 'PTHR22910:SF6', NULL, NULL, NULL, NULL, 'PROTEIN MGARP', NULL, NULL, NULL, 15),
(100248, NULL, 'PTHR31674:SF70', NULL, NULL, NULL, NULL, 'BNAA05G27890D PROTEIN', NULL, NULL, NULL, 15),
(100249, NULL, 'PTHR48018:SF86', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(100250, NULL, 'PTHR21327', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE II-RELATED', NULL, NULL, NULL, 15),
(100251, NULL, 'PTHR33878:SF4', NULL, NULL, NULL, NULL, 'OS02G0533800 PROTEIN', NULL, NULL, NULL, 15),
(100252, NULL, 'PTHR45508:SF1', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 9, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(100253, NULL, 'PTHR11760:SF21', NULL, NULL, NULL, NULL, 'GOLGI TO ER TRAFFIC PROTEIN 1', NULL, NULL, NULL, 15),
(100254, NULL, 'PTHR42893:SF29', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(100255, NULL, 'PTHR31731:SF106', NULL, NULL, NULL, NULL, 'BNAC01G31700D PROTEIN', NULL, NULL, NULL, 15),
(100256, NULL, 'PTHR16024:SF4', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', NULL, NULL, NULL, 15),
(100257, NULL, 'PTHR33971:SF4', NULL, NULL, NULL, NULL, 'OS07G0682700 PROTEIN', NULL, NULL, NULL, 15),
(100258, NULL, 'PTHR10117:SF56', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 1', NULL, NULL, 562, 15),
(100259, NULL, 'PTHR31790:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100260, NULL, 'PTHR35126:SF1', NULL, NULL, NULL, NULL, 'SLR0598 PROTEIN', NULL, NULL, NULL, 15),
(100261, NULL, 'PTHR31339:SF79', NULL, NULL, NULL, NULL, 'SMALL RNA 2''-O-METHYLTRANSFERASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100262, NULL, 'PTHR39377', NULL, NULL, NULL, NULL, 'PROTEIN CBG18423-RELATED', NULL, NULL, NULL, 15),
(100263, NULL, 'PTHR23050:SF439', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN', NULL, NULL, NULL, 15),
(100264, NULL, 'PTHR32256:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100265, NULL, 'PTHR46123:SF5', NULL, NULL, NULL, NULL, 'DOUBLE HOMEOBOX B', NULL, NULL, NULL, 15),
(100266, NULL, 'PTHR11961:SF25', NULL, NULL, NULL, NULL, 'CYTOCHROME C', NULL, NULL, NULL, 15),
(100267, NULL, 'PTHR35510:SF2', NULL, NULL, NULL, NULL, 'OS08G0520600 PROTEIN', NULL, NULL, NULL, 15),
(100268, NULL, 'PTHR22797', NULL, NULL, NULL, NULL, 'CARD6/NUCLEOLAR PROTEIN 3', NULL, NULL, NULL, 15),
(100269, NULL, 'PTHR46440:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D12', NULL, NULL, NULL, 15),
(100270, NULL, 'PTHR11732:SF399', NULL, NULL, NULL, NULL, 'GLYCEROL 2-DEHYDROGENASE (NADP(+))-RELATED', NULL, NULL, NULL, 15),
(100271, NULL, 'PTHR31707:SF221', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100272, NULL, 'PTHR11292', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD8 BETA CHAIN', NULL, NULL, 36947, 15),
(100273, NULL, 'PTHR23050:SF427', NULL, NULL, NULL, NULL, 'CALMODULIN-1', NULL, NULL, NULL, 15),
(100274, NULL, 'PTHR10869:SF152', NULL, NULL, NULL, NULL, 'PROLINE HYDROXYLASE', NULL, NULL, NULL, 15),
(100275, NULL, 'PTHR48047:SF121', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73C4', NULL, NULL, NULL, 15),
(100276, NULL, 'PTHR31953:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100277, NULL, 'PTHR36324:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100278, NULL, 'PTHR15001', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 123-RELATED', NULL, NULL, NULL, 15),
(100279, NULL, 'PTHR13275', NULL, NULL, NULL, NULL, 'YL-1 PROTEIN  TRANSCRIPTION FACTOR-LIKE 1', NULL, NULL, 7862, 15),
(100280, NULL, 'PTHR12247:SF129', NULL, NULL, NULL, NULL, 'RE68603P', NULL, NULL, NULL, 15),
(100281, NULL, 'PTHR48000:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100282, NULL, 'PTHR31769:SF80', NULL, NULL, NULL, NULL, 'BNAC09G40750D PROTEIN', NULL, NULL, NULL, 15),
(100283, NULL, 'PTHR34722:SF2', NULL, NULL, NULL, NULL, 'HOMOLOG OF ODR-2 (TWO)', NULL, NULL, NULL, 15),
(100284, NULL, 'PTHR10801', NULL, NULL, NULL, NULL, '24-DEHYDROCHOLESTEROL REDUCTASE', NULL, NULL, 29643, 15),
(100285, NULL, 'PTHR45760:SF8', NULL, NULL, NULL, NULL, 'BNACNNG35730D PROTEIN', NULL, NULL, NULL, 15),
(100286, NULL, 'PTHR28525:SF4', NULL, NULL, NULL, NULL, 'REACTIVE OXYGEN SPECIES MODULATOR 1', NULL, NULL, NULL, 15),
(100287, NULL, 'PTHR34005:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG13609', NULL, NULL, NULL, 15),
(100288, NULL, 'PTHR32448:SF108', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100289, NULL, 'PTHR31901:SF79', NULL, NULL, NULL, NULL, 'GH3 FAMILY-RELATED', NULL, NULL, NULL, 15),
(100290, NULL, 'PTHR12537:SF137', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 26-RELATED', NULL, NULL, NULL, 15),
(100291, NULL, 'PTHR22747:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100292, NULL, 'PTHR26453:SF12', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(100293, NULL, 'PTHR10794:SF84', NULL, NULL, NULL, NULL, 'ESTERASE/LIPASE/THIOESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(100294, NULL, 'PTHR12883', NULL, NULL, NULL, NULL, 'ADIPOCYTE-SPECIFIC PROTEIN 4-RELATED', NULL, NULL, 13299, 15),
(100295, NULL, 'PTHR16483:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100296, NULL, 'PTHR23429:SF4', NULL, NULL, NULL, NULL, 'INACTIVE GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(100297, NULL, 'PTHR14150', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 14', NULL, NULL, 2248, 15),
(100298, NULL, 'PTHR31949:SF5', NULL, NULL, NULL, NULL, 'OS05G0480600 PROTEIN', NULL, NULL, NULL, 15),
(100299, NULL, 'PTHR10682:SF19', NULL, NULL, NULL, NULL, 'POLY(A) POLYMERASE BETA', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100300, NULL, 'PTHR11142:SF9', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(100301, NULL, 'PTHR23002:SF53', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 13', NULL, NULL, NULL, 15),
(100302, NULL, 'PTHR22426:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100303, NULL, 'PTHR34978:SF4', NULL, NULL, NULL, NULL, 'SLR0241 PROTEIN', NULL, NULL, NULL, 15),
(100304, NULL, 'PTHR10315:SF117', NULL, NULL, NULL, NULL, 'IP10571P', NULL, NULL, NULL, 15),
(100305, NULL, 'PTHR31213:SF62', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE 2-LIKE', NULL, NULL, NULL, 15),
(100306, NULL, 'PTHR31517:SF73', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(100307, NULL, 'PTHR11079:SF161', NULL, NULL, NULL, NULL, 'GUANINE DEAMINASE', NULL, NULL, NULL, 15),
(100308, NULL, 'PTHR48035:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100309, NULL, 'PTHR46828:SF3', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE', NULL, NULL, NULL, 15),
(100310, NULL, 'PTHR18966:SF396', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100311, NULL, 'PTHR13396:SF4', NULL, NULL, NULL, NULL, 'NEDD4 FAMILY-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(100312, NULL, 'PTHR23502:SF36', NULL, NULL, NULL, NULL, 'VITAMIN B6 TRANSPORTER BSU1', NULL, NULL, NULL, 15),
(100313, NULL, 'PTHR15670', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN 11A', NULL, NULL, 38389, 15),
(100314, NULL, 'PTHR10872:SF1', NULL, NULL, NULL, NULL, 'SH2B ADAPTER PROTEIN 3', NULL, NULL, 26144, 15),
(100315, NULL, 'PTHR22870:SF394', NULL, NULL, NULL, NULL, 'RETINITIS PIGMENTOSA GTPASE REGULATOR A-RELATED', NULL, NULL, NULL, 15),
(100316, NULL, 'PTHR45333:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100317, NULL, 'PTHR43078:SF24', NULL, NULL, NULL, NULL, 'OS05G0363200 PROTEIN', NULL, NULL, NULL, 15),
(100318, NULL, 'PTHR12565:SF394', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH137', NULL, NULL, NULL, 15),
(100319, NULL, 'PTHR24356', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(100320, NULL, 'PTHR10390:SF59', NULL, NULL, NULL, NULL, 'SIX HOMEOBOX 9', NULL, NULL, NULL, 15),
(100321, NULL, 'PTHR45744:SF14', NULL, NULL, NULL, NULL, 'TYROSINE AMINOTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(100322, NULL, 'PTHR33142:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100323, NULL, 'PTHR13610:SF11', NULL, NULL, NULL, NULL, 'FAM173 FAMILY', NULL, NULL, NULL, 15),
(100324, NULL, 'PTHR11915:SF425', NULL, NULL, NULL, NULL, 'ALPHA-ACTININ-4', NULL, NULL, NULL, 15),
(100325, NULL, 'PTHR24404:SF74', NULL, NULL, NULL, NULL, 'ENHANCER OF HAND MUTATION HND-1-RELATED', NULL, NULL, NULL, 15),
(100326, NULL, 'PTHR11905:SF38', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 33', NULL, NULL, NULL, 15),
(100327, NULL, 'PTHR10666:SF355', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-LIKE', NULL, NULL, NULL, 15),
(100328, NULL, 'PTHR21700:SF17', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100329, NULL, 'PTHR43846:SF1', NULL, NULL, NULL, NULL, 'UPF0176 PROTEIN YCEA', NULL, NULL, NULL, 15),
(100330, NULL, 'PTHR21695:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 414', NULL, NULL, NULL, 15),
(100331, NULL, 'PTHR33420:SF11', NULL, NULL, NULL, NULL, 'FIMBRIAL-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100332, NULL, 'PTHR24134:SF11', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 4 INHIBITOR C-RELATED', NULL, NULL, NULL, 15),
(100333, NULL, 'PTHR45730:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100334, NULL, 'PTHR24355:SF11', NULL, NULL, NULL, NULL, 'RHODOPSIN KINASE', NULL, NULL, 24910, 15),
(100335, NULL, 'PTHR33338:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100336, NULL, 'PTHR14093:SF19', NULL, NULL, NULL, NULL, 'THYROGLOBULIN', NULL, NULL, NULL, 15),
(100337, NULL, 'PTHR31614:SF27', NULL, NULL, NULL, NULL, 'BNAC09G52000D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100338, NULL, 'PTHR24012:SF830', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100339, NULL, 'PTHR45786:SF40', NULL, NULL, NULL, NULL, 'BNACNNG58630D PROTEIN', NULL, NULL, NULL, 15),
(100340, NULL, 'PTHR23316:SF28', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(100341, NULL, 'PTHR42740:SF2', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC1', NULL, NULL, NULL, 15),
(100342, NULL, 'PTHR15907:SF185', NULL, NULL, NULL, NULL, 'PLAC8 MOTIF-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100343, NULL, 'PTHR33021:SF342', NULL, NULL, NULL, NULL, 'MAVICYANIN-LIKE', NULL, NULL, NULL, 15),
(100344, NULL, 'PTHR37714:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100345, NULL, 'PTHR48002:SF46', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(100346, NULL, 'PTHR12411:SF725', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE XCP1-LIKE', NULL, NULL, NULL, 15),
(100347, NULL, 'PTHR11782:SF93', NULL, NULL, NULL, NULL, 'APYRASE 1', NULL, NULL, NULL, 15),
(100348, NULL, 'PTHR46059:SF3', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDE ALPHA-2,6-SIALYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(100349, NULL, 'PTHR43880:SF23', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1A', NULL, NULL, NULL, 15),
(100350, NULL, 'PTHR11315:SF17', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL HYDROLASE', NULL, NULL, NULL, 15),
(100351, NULL, 'PTHR47616:SF1', NULL, NULL, NULL, NULL, 'CHOLESTERYL ESTER TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(100352, NULL, 'PTHR47950:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(100353, NULL, 'PTHR48042:SF9', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORTER FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(100354, NULL, 'PTHR11806:SF2', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE--TRNA-(URACIL-5-)-METHYLTRANSFERASE TRMFO', NULL, NULL, 7257, 15),
(100355, NULL, 'PTHR45744:SF2', NULL, NULL, NULL, NULL, 'TYROSINE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(100356, NULL, 'PTHR12374:SF21', NULL, NULL, NULL, NULL, 'SWIRM DOMAIN-CONTAINING PROTEIN FUN19-RELATED', NULL, NULL, NULL, 15),
(100357, NULL, 'PTHR13295', NULL, NULL, NULL, NULL, 'GLUTAMATE CYSTEINE LIGASE REGULATORY SUBUNIT', NULL, NULL, 27448, 15),
(100358, NULL, 'PTHR11905:SF237', NULL, NULL, NULL, NULL, 'MIND-MELD, ISOFORM J', NULL, NULL, NULL, 15),
(100359, NULL, 'PTHR24326:SF122', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-7', NULL, NULL, NULL, 15),
(100360, NULL, 'PTHR48078:SF15', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE', NULL, NULL, NULL, 15),
(100361, NULL, 'PTHR31157:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100362, NULL, 'PTHR10652:SF2', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN 2', NULL, NULL, 22366, 15),
(100363, NULL, 'PTHR46054:SF2', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN STAUFEN HOMOLOG 1', NULL, NULL, NULL, 15),
(100364, NULL, 'PTHR16294', NULL, NULL, NULL, NULL, 'DYSTROBREVIN BINDING PROTEIN 1  DYSBINDIN', NULL, NULL, 10675, 15),
(100365, NULL, 'PTHR46220:SF12', NULL, NULL, NULL, NULL, 'C2 DOMAIN, ARF GTPASE ACTIVATING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100366, NULL, 'PTHR22751:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(100367, NULL, 'PTHR47938:SF6', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(100368, NULL, 'PTHR15493:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 43', NULL, NULL, NULL, 15),
(100369, NULL, 'PTHR38592', NULL, NULL, NULL, NULL, 'BLL4819 PROTEIN', NULL, NULL, 12198, 15),
(100370, NULL, 'PTHR47925:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100371, NULL, 'PTHR13410:SF9', NULL, NULL, NULL, NULL, 'PROTEIN PBDC1', NULL, NULL, NULL, 15),
(100372, NULL, 'PTHR46151', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN-LIKE 2', NULL, NULL, 37412, 15),
(100373, NULL, 'PTHR32080:SF43', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100374, NULL, 'PTHR34211:SF4', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(100375, NULL, 'PTHR45863:SF20', NULL, NULL, NULL, NULL, 'KINASE WITH TETRATRICOPEPTIDE REPEAT DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(100376, NULL, 'PTHR10252', NULL, NULL, NULL, NULL, 'HISTONE-LIKE TRANSCRIPTION FACTOR CCAAT-RELATED', NULL, NULL, NULL, 15),
(100377, NULL, 'PTHR31282:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100378, NULL, 'PTHR10615:SF194', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100379, NULL, 'PTHR22767:SF5', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 16, NATA AUXILIARY SUBUNIT', NULL, NULL, NULL, 15),
(100380, NULL, 'PTHR45722:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-LIKE', NULL, NULL, NULL, 15),
(100381, NULL, 'PTHR46442:SF5', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(100382, NULL, 'PTHR11886:SF48', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(100383, NULL, 'PTHR43689:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100384, NULL, 'PTHR19981', NULL, NULL, NULL, NULL, 'TALIN', NULL, NULL, NULL, 15),
(100385, NULL, 'PTHR23116:SF36', NULL, NULL, NULL, NULL, 'HARMONIN', NULL, NULL, 27126, 15),
(100386, NULL, 'PTHR48047:SF14', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(100387, NULL, 'PTHR15282:SF10', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY E MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(100388, NULL, 'PTHR35897', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE AUSD', NULL, NULL, NULL, 15),
(100389, NULL, 'PTHR21724:SF101', NULL, NULL, NULL, NULL, 'PROTEIN CBG01620', NULL, NULL, NULL, 15),
(100390, NULL, 'PTHR16223:SF56', NULL, NULL, NULL, NULL, 'OS01G0105700 PROTEIN', NULL, NULL, NULL, 15),
(100391, NULL, 'PTHR31591:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00330)-RELATED', NULL, NULL, NULL, 15),
(100392, NULL, 'PTHR35533:SF13', NULL, NULL, NULL, NULL, 'CONSERVED REPEAT DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(100393, NULL, 'PTHR11403', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT III', NULL, NULL, 21316, 15),
(100394, NULL, 'PTHR10271:SF4', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 2', NULL, NULL, 8433, 15),
(100395, NULL, 'PTHR24414:SF120', NULL, NULL, NULL, NULL, 'BNAA04G15770D PROTEIN', NULL, NULL, NULL, 15),
(100396, NULL, 'PTHR21716:SF9', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YTVI-RELATED', NULL, NULL, NULL, 15),
(100397, NULL, 'PTHR15545', NULL, NULL, NULL, NULL, 'PDZ DOMAIN CONTAINING RING FINGER PROTEIN 3, 4', NULL, NULL, NULL, 15),
(100398, NULL, 'PTHR32001:SF2', NULL, NULL, NULL, NULL, 'BNAA06G15370D PROTEIN', NULL, NULL, NULL, 15),
(100399, NULL, 'PTHR35311:SF8', NULL, NULL, NULL, NULL, 'INTERACTING FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(100400, NULL, 'PTHR11081:SF51', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE 1', NULL, NULL, NULL, 15),
(100401, NULL, 'PTHR47746:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100402, NULL, 'PTHR10026:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100403, NULL, 'PTHR45809:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100404, NULL, 'PTHR34701', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MRAZ', NULL, NULL, 5032, 15),
(100405, NULL, 'PTHR38710:SF1', NULL, NULL, NULL, NULL, 'WITH PUTATIVE URIDYL PYROPHOSPHORYLASE-RELATED', NULL, NULL, NULL, 15),
(100406, NULL, 'PTHR39948:SF1', NULL, NULL, NULL, NULL, 'GEO11419P1', NULL, NULL, NULL, 15),
(100407, NULL, 'PTHR31741:SF2', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 13', NULL, NULL, NULL, 15),
(100408, NULL, 'PTHR36813:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(100409, NULL, 'PTHR24072:SF294', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC9', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100410, NULL, 'PTHR34539:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100411, NULL, 'PTHR11668:SF421', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(100412, NULL, 'PTHR13293:SF8', NULL, NULL, NULL, NULL, 'AKIRIN-2', NULL, NULL, NULL, 15),
(100413, NULL, 'PTHR31675:SF37', NULL, NULL, NULL, NULL, 'FAS PROTEIN', NULL, NULL, NULL, 15),
(100414, NULL, 'PTHR14320:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 181', NULL, NULL, NULL, 15),
(100415, NULL, 'PTHR20859:SF54', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA/BETA RECEPTOR 1', NULL, NULL, NULL, 15),
(100416, NULL, 'PTHR45730:SF76', NULL, NULL, NULL, NULL, 'BNAC02G44440D PROTEIN', NULL, NULL, NULL, 15),
(100417, NULL, 'PTHR48100:SF17', NULL, NULL, NULL, NULL, 'PHOSPHOMUTASE-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(100418, NULL, 'PTHR46905:SF13', NULL, NULL, NULL, NULL, 'BNAANNG19840D PROTEIN', NULL, NULL, NULL, 15),
(100419, NULL, 'PTHR12763:SF47', NULL, NULL, NULL, NULL, 'OS01G0157800 PROTEIN', NULL, NULL, NULL, 15),
(100420, NULL, 'PTHR46371:SF14', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 16', NULL, NULL, NULL, 15),
(100421, NULL, 'PTHR12913:SF2', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING E1, RNA-BINDING', NULL, NULL, NULL, 15),
(100422, NULL, 'PTHR10826:SF24', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(100423, NULL, 'PTHR47927:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(100424, NULL, 'PTHR11783:SF73', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 1C2', NULL, NULL, NULL, 15),
(100425, NULL, 'PTHR24062:SF170', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(100426, NULL, 'PTHR27006:SF309', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100427, NULL, 'PTHR11360:SF27', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 4', NULL, NULL, 25041, 15),
(100428, NULL, 'PTHR31415:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100429, NULL, 'PTHR36531:SF6', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED EXONUCLEASE CAS4', NULL, NULL, NULL, 15),
(100430, NULL, 'PTHR31235:SF286', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(100431, NULL, 'PTHR11863:SF164', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 1-3', NULL, NULL, NULL, 15),
(100432, NULL, 'PTHR46187:SF3', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE 3', NULL, NULL, NULL, 15),
(100433, NULL, 'PTHR11054:SF10', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', NULL, NULL, NULL, 15),
(100434, NULL, 'PTHR11977:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100435, NULL, 'PTHR47737', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE/PROLINE BETAINE TRANSPORT SYSTEM PERMEASE PROTEIN PROW', NULL, NULL, NULL, 15),
(100436, NULL, 'PTHR24637:SF237', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 1', NULL, NULL, NULL, 15),
(100437, NULL, 'PTHR47989:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100438, NULL, 'PTHR24393:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 729', NULL, NULL, NULL, 15),
(100439, NULL, 'PTHR10984:SF72', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM VESICLE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(100440, NULL, 'PTHR14132:SF3', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(100441, NULL, 'PTHR23356:SF16', NULL, NULL, NULL, NULL, 'PROTEIN DPY-30 HOMOLOG', NULL, NULL, NULL, 15),
(100442, NULL, 'PTHR19316:SF31', NULL, NULL, NULL, NULL, 'FES1B', NULL, NULL, NULL, 15),
(100443, NULL, 'PTHR31595:SF1', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(100444, NULL, 'PTHR46128:SF199', NULL, NULL, NULL, NULL, 'BNAA09G55100D PROTEIN', NULL, NULL, NULL, 15),
(100445, NULL, 'PTHR32021:SF29', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100446, NULL, 'PTHR15382:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CANOPY HOMOLOG 4', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100447, NULL, 'PTHR46859:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE FRAGILE-X-F-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(100448, NULL, 'PTHR11732:SF388', NULL, NULL, NULL, NULL, 'OS10G0113723 PROTEIN', NULL, NULL, NULL, 15),
(100449, NULL, 'PTHR10663:SF364', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100450, NULL, 'PTHR14000:SF17', NULL, NULL, NULL, NULL, 'OS01G0581900 PROTEIN', NULL, NULL, NULL, 15),
(100451, NULL, 'PTHR11214:SF212', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT2', NULL, NULL, NULL, 15),
(100452, NULL, 'PTHR33831:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100453, NULL, 'PTHR33493:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100454, NULL, 'PTHR27006:SF300', NULL, NULL, NULL, NULL, 'COLD-RESPONSIVE PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(100455, NULL, 'PTHR46061:SF1', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE RECEPTOR 3', NULL, NULL, NULL, 15),
(100456, NULL, 'PTHR21087:SF21', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE 2', NULL, NULL, NULL, 15),
(100457, NULL, 'PTHR31362:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE STELLO2-RELATED', NULL, NULL, NULL, 15),
(100458, NULL, 'PTHR39410:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930558K02 GENE', NULL, NULL, NULL, 15),
(100459, NULL, 'PTHR31874:SF26', NULL, NULL, NULL, NULL, 'OS06G0264200 PROTEIN', NULL, NULL, NULL, 15),
(100460, NULL, 'PTHR47985:SF27', NULL, NULL, NULL, NULL, 'BNAC08G43510D PROTEIN', NULL, NULL, NULL, 15),
(100461, NULL, 'PTHR30368:SF2', NULL, NULL, NULL, NULL, 'SULFATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(100462, NULL, 'PTHR13690:SF117', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100463, NULL, 'PTHR25464:SF2', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100464, NULL, 'PTHR27007:SF308', NULL, NULL, NULL, NULL, 'BNAA07G02650D PROTEIN', NULL, NULL, NULL, 15),
(100465, NULL, 'PTHR23024:SF224', NULL, NULL, NULL, NULL, 'OS01G0155000 PROTEIN', NULL, NULL, NULL, 15),
(100466, NULL, 'PTHR13282:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FAM32A-LIKE', NULL, NULL, NULL, 15),
(100467, NULL, 'PTHR31388:SF2', NULL, NULL, NULL, NULL, 'PEROXIDASE 17', NULL, NULL, NULL, 15),
(100468, NULL, 'PTHR23024:SF396', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100469, NULL, 'PTHR11945:SF410', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL65', NULL, NULL, NULL, 15),
(100470, NULL, 'PTHR33626', NULL, NULL, NULL, NULL, 'ZGC:158463', NULL, NULL, NULL, 15),
(100471, NULL, 'PTHR24067:SF312', NULL, NULL, NULL, NULL, 'OS01G0839700 PROTEIN', NULL, NULL, NULL, 15),
(100472, NULL, 'PTHR31719:SF182', NULL, NULL, NULL, NULL, 'XYLEM NAC DOMAIN 1-RELATED', NULL, NULL, NULL, 15),
(100473, NULL, 'PTHR32481:SF12', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE SGCX-RELATED', NULL, NULL, NULL, 15),
(100474, NULL, 'PTHR33386:SF1', NULL, NULL, NULL, NULL, 'F12A21.18-RELATED', NULL, NULL, NULL, 15),
(100475, NULL, 'PTHR47820:SF6', NULL, NULL, NULL, NULL, 'BNAA05G08970D PROTEIN', NULL, NULL, NULL, 15),
(100476, NULL, 'PTHR10641:SF1270', NULL, NULL, NULL, NULL, 'BNACNNG43220D PROTEIN', NULL, NULL, NULL, 15),
(100477, NULL, 'PTHR35718:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(100478, NULL, 'PTHR24221:SF522', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100479, NULL, 'PTHR36474', NULL, NULL, NULL, NULL, 'PROTEIN LIAT1', NULL, NULL, 34799, 15),
(100480, NULL, 'PTHR11802:SF262', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(100481, NULL, 'PTHR43345:SF5', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE SMALL SUBUNIT', NULL, NULL, NULL, 15),
(100482, NULL, 'PTHR34195:SF4', NULL, NULL, NULL, NULL, 'BNAC03G70700D PROTEIN', NULL, NULL, NULL, 15),
(100483, NULL, 'PTHR23428:SF251', NULL, NULL, NULL, NULL, 'HISTONE H2B.9', NULL, NULL, NULL, 15),
(100484, NULL, 'PTHR23522:SF10', NULL, NULL, NULL, NULL, '3-PHENYLPROPIONIC ACID TRANSPORTER-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100485, NULL, 'PTHR32005', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 178B-RELATED', NULL, NULL, 29044, 15),
(100486, NULL, 'PTHR19855:SF28', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 4', NULL, NULL, NULL, 15),
(100487, NULL, 'PTHR12346:SF25', NULL, NULL, NULL, NULL, 'OS05G0588700 PROTEIN', NULL, NULL, NULL, 15),
(100488, NULL, 'PTHR24356:SF1', NULL, NULL, NULL, NULL, 'DROP OUT, ISOFORM A', NULL, NULL, NULL, 15),
(100489, NULL, 'PTHR31683:SF160', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(100490, NULL, 'PTHR45798:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100491, NULL, 'PTHR31009:SF113', NULL, NULL, NULL, NULL, 'BNAC02G45360D PROTEIN', NULL, NULL, NULL, 15),
(100492, NULL, 'PTHR31662:SF32', NULL, NULL, NULL, NULL, 'OS09G0101300 PROTEIN', NULL, NULL, NULL, 15),
(100493, NULL, 'PTHR46225:SF9', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(100494, NULL, 'PTHR28221', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN6', NULL, NULL, 15851, 15),
(100495, NULL, 'PTHR23155:SF1096', NULL, NULL, NULL, NULL, 'OS03G0379801 PROTEIN', NULL, NULL, NULL, 15),
(100496, NULL, 'PTHR11926:SF1380', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100497, NULL, 'PTHR11346:SF120', NULL, NULL, NULL, NULL, 'GALACTOSIDE-BINDING SOLUBLE LECTIN 13', NULL, NULL, 26805, 15),
(100498, NULL, 'PTHR31142:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100499, NULL, 'PTHR45806:SF1', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN HOMOLOG YKT6', NULL, NULL, NULL, 15),
(100500, NULL, 'PTHR31194:SF1', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERN2', NULL, NULL, NULL, 15),
(100501, NULL, 'PTHR24055:SF474', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(100502, NULL, 'PTHR14581', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 23700, 15),
(100503, NULL, 'PTHR10173:SF54', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE MSRB', NULL, NULL, NULL, 15),
(100504, NULL, 'PTHR37524', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE M', NULL, NULL, NULL, 15),
(100505, NULL, 'PTHR34671:SF15', NULL, NULL, NULL, NULL, 'BNAA03G18930D PROTEIN', NULL, NULL, NULL, 15),
(100506, NULL, 'PTHR11699:SF232', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE 9 FAMILY, MEMBER A1A, TANDEM DUPLICATE 2-RELATED', NULL, NULL, NULL, 15),
(100507, NULL, 'PTHR13479:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100508, NULL, 'PTHR43134', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(100509, NULL, 'PTHR48054:SF4', NULL, NULL, NULL, NULL, 'OS05G0530701 PROTEIN', NULL, NULL, NULL, 15),
(100510, NULL, 'PTHR42721:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100511, NULL, 'PTHR33403:SF27', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1-LIKE 2', NULL, NULL, NULL, 15),
(100512, NULL, 'PTHR15961:SF3', NULL, NULL, NULL, NULL, 'PROTEIN EURL HOMOLOG', NULL, NULL, NULL, 15),
(100513, NULL, 'PTHR45868:SF22', NULL, NULL, NULL, NULL, 'METAL ION-BINDING PROTEIN', NULL, NULL, NULL, 15),
(100514, NULL, 'PTHR33127:SF62', NULL, NULL, NULL, NULL, 'BNAA09G35900D PROTEIN', NULL, NULL, NULL, 15),
(100515, NULL, 'PTHR47536', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 5 MEMBER A', NULL, NULL, NULL, 15),
(100516, NULL, 'PTHR43858:SF1', NULL, NULL, NULL, NULL, 'NON-TRANSPORTER ABC PROTEIN', NULL, NULL, NULL, 15),
(100517, NULL, 'PTHR11945:SF415', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PROTEIN SEPALLATA 2', NULL, NULL, NULL, 15),
(100518, NULL, 'PTHR31639:SF47', NULL, NULL, NULL, NULL, 'OS09G0506700 PROTEIN', NULL, NULL, NULL, 15),
(100519, NULL, 'PTHR23500:SF543', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(100520, NULL, 'PTHR37218:SF3', NULL, NULL, NULL, NULL, 'BNAC04G04270D PROTEIN', NULL, NULL, NULL, 15),
(100521, NULL, 'PTHR20856:SF20', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100522, NULL, 'PTHR10663:SF374', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 3', NULL, NULL, NULL, 15),
(100523, NULL, 'PTHR11260:SF522', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100524, NULL, 'PTHR10131:SF138', NULL, NULL, NULL, NULL, 'TNF RECEPTOR ASSOCIATED FACTOR (TRAF) HOMOLOG', NULL, NULL, NULL, 15),
(100525, NULL, 'PTHR45801:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 10', NULL, NULL, NULL, 15),
(100526, NULL, 'PTHR11581:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', NULL, NULL, NULL, 15),
(100527, NULL, 'PTHR47989:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100528, NULL, 'PTHR16650:SF10', NULL, NULL, NULL, NULL, 'LEBERCILIN', NULL, NULL, 27049, 15),
(100529, NULL, 'PTHR46279:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(100530, NULL, 'PTHR46809', NULL, NULL, NULL, NULL, 'STROMAL CELL-DERIVED FACTOR 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100531, NULL, 'PTHR21274:SF0', NULL, NULL, NULL, NULL, 'MECKEL-GRUBER SYNDROME (MKS) HOMOLOG', NULL, NULL, NULL, 15),
(100532, NULL, 'PTHR41146:SF1', NULL, NULL, NULL, NULL, 'DIURETIC HORMONE CLASS 2', NULL, NULL, NULL, 15),
(100533, NULL, 'PTHR35726:SF3', NULL, NULL, NULL, NULL, 'MYELIN TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100534, NULL, 'PTHR11260:SF564', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U12', NULL, NULL, NULL, 15),
(100535, NULL, 'PTHR46739:SF10', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100536, NULL, 'PTHR31636:SF160', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(100537, NULL, 'PTHR31713:SF70', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 B', NULL, NULL, NULL, 15),
(100538, NULL, 'PTHR46611:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(100539, NULL, 'PTHR22753:SF33', NULL, NULL, NULL, NULL, 'BNACNNG62400D PROTEIN', NULL, NULL, NULL, 15),
(100540, NULL, 'PTHR10194:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100541, NULL, 'PTHR43605:SF14', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE ACSM2A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(100542, NULL, 'PTHR11785:SF398', NULL, NULL, NULL, NULL, 'Y+L AMINO ACID TRANSPORTER 2', NULL, NULL, NULL, 15),
(100543, NULL, 'PTHR31683:SF74', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(100544, NULL, 'PTHR16515:SF22', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE PRDM6-RELATED', NULL, NULL, NULL, 15),
(100545, NULL, 'PTHR24110', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 78 KDA', NULL, NULL, NULL, 15),
(100546, NULL, 'PTHR43084:SF10', NULL, NULL, NULL, NULL, 'BNAC03G69760D PROTEIN', NULL, NULL, NULL, 15),
(100547, NULL, 'PTHR24349:SF442', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 34-RELATED', NULL, NULL, NULL, 15),
(100548, NULL, 'PTHR10366:SF611', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100549, NULL, 'PTHR23055:SF101', NULL, NULL, NULL, NULL, 'VISININ-LIKE PROTEIN 1', NULL, NULL, 25849, 15),
(100550, NULL, 'PTHR16083:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LRSAM1', NULL, NULL, NULL, 15),
(100551, NULL, 'PTHR45811:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100552, NULL, 'PTHR12378:SF18', NULL, NULL, NULL, NULL, 'DESI-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100553, NULL, 'PTHR11764:SF62', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(100554, NULL, 'PTHR11260:SF694', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(100555, NULL, 'PTHR11783:SF220', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(100556, NULL, 'PTHR42877:SF12', NULL, NULL, NULL, NULL, 'MONOOXYGENASE', NULL, NULL, NULL, 15),
(100557, NULL, 'PTHR13022', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT 11', NULL, NULL, 14952, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100558, NULL, 'PTHR42940:SF6', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04590)-RELATED', NULL, NULL, NULL, 15),
(100559, NULL, 'PTHR42920:SF7', NULL, NULL, NULL, NULL, 'OS06G0269200 PROTEIN', NULL, NULL, NULL, 15),
(100560, NULL, 'PTHR46128:SF212', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(100561, NULL, 'PTHR22601:SF11', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 4', NULL, NULL, NULL, 15),
(100562, NULL, 'PTHR11620:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100563, NULL, 'PTHR12653', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE 13 KD-B SUBUNIT', NULL, NULL, 3980, 15),
(100564, NULL, 'PTHR42244', NULL, NULL, NULL, NULL, 'ANTITOXIN VAPB3-RELATED', NULL, NULL, 30625, 15),
(100565, NULL, 'PTHR12977:SF4', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUV4-20', NULL, NULL, NULL, 15),
(100566, NULL, 'PTHR36595', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(100567, NULL, 'PTHR42684:SF14', NULL, NULL, NULL, NULL, 'BNAA05G17400D PROTEIN', NULL, NULL, NULL, 15),
(100568, NULL, 'PTHR19370:SF100', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE', NULL, NULL, NULL, 15),
(100569, NULL, 'PTHR43427:SF7', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(100570, NULL, 'PTHR24381:SF356', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 952', NULL, NULL, NULL, 15),
(100571, NULL, 'PTHR33076:SF1', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(100572, NULL, 'PTHR31457', NULL, NULL, NULL, NULL, 'METHYLMALONIC ACIDURIA AND HOMOCYSTINURIA TYPE C PROTEIN', NULL, NULL, 24417, 15),
(100573, NULL, 'PTHR43391:SF54', NULL, NULL, NULL, NULL, 'OS12G0464400 PROTEIN', NULL, NULL, NULL, 15),
(100574, NULL, 'PTHR47576:SF2', NULL, NULL, NULL, NULL, 'BRCT DOMAIN DNA REPAIR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100575, NULL, 'PTHR43128:SF22', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(100576, NULL, 'PTHR10566:SF124', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(100577, NULL, 'PTHR31391:SF82', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS08G0325100-RELATED', NULL, NULL, NULL, 15),
(100578, NULL, 'PTHR10795:SF515', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100579, NULL, 'PTHR13994:SF29', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 2', NULL, NULL, NULL, 15),
(100580, NULL, 'PTHR45649:SF13', NULL, NULL, NULL, NULL, 'THIAMINE TRANSPORTER THI9', NULL, NULL, NULL, 15),
(100581, NULL, 'PTHR12565:SF406', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH79', NULL, NULL, NULL, 15),
(100582, NULL, 'PTHR10342:SF269', NULL, NULL, NULL, NULL, 'RE14504P', NULL, NULL, NULL, 15),
(100583, NULL, 'PTHR13021:SF8', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ISY1 HOMOLOG', NULL, NULL, NULL, 15),
(100584, NULL, 'PTHR14000:SF24', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100585, NULL, 'PTHR31294:SF8', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 21-1', NULL, NULL, NULL, 15),
(100586, NULL, 'PTHR46945', NULL, NULL, NULL, NULL, 'CYSTATIN-9-LIKE', NULL, NULL, 37326, 15),
(100587, NULL, 'PTHR11525:SF3', NULL, NULL, NULL, NULL, 'OS01G0695300 PROTEIN', NULL, NULL, NULL, 15),
(100588, NULL, 'PTHR11960:SF44', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-2-RELATED', NULL, NULL, NULL, 15),
(100589, NULL, 'PTHR12316:SF24', NULL, NULL, NULL, NULL, 'NINJURIN-2', NULL, NULL, NULL, 15),
(100590, NULL, 'PTHR46339:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG17232', NULL, NULL, NULL, 15),
(100591, NULL, 'PTHR42721:SF34', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 3 C-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100592, NULL, 'PTHR43711:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100593, NULL, 'PTHR12320:SF65', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100594, NULL, 'PTHR10110:SF162', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 2-LIKE', NULL, NULL, NULL, 15),
(100595, NULL, 'PTHR37989', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 4-RELATED', NULL, NULL, 20995, 15),
(100596, NULL, 'PTHR32343:SF30', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 12', NULL, NULL, NULL, 15),
(100597, NULL, 'PTHR18966:SF457', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3.4', NULL, NULL, NULL, 15),
(100598, NULL, 'PTHR23130:SF173', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(100599, NULL, 'PTHR24281:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100600, NULL, 'PTHR11802:SF374', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(100601, NULL, 'PTHR23257:SF730', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE MLK-1', NULL, NULL, NULL, 15),
(100602, NULL, 'PTHR27009:SF113', NULL, NULL, NULL, NULL, 'PR5-LIKE RECEPTOR KINASE', NULL, NULL, NULL, 15),
(100603, NULL, 'PTHR22977:SF8', NULL, NULL, NULL, NULL, 'COX ASSEMBLY MITOCHONDRIAL PROTEIN', NULL, NULL, NULL, 15),
(100604, NULL, 'PTHR23213:SF340', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100605, NULL, 'PTHR37390', NULL, NULL, NULL, NULL, 'OS02G0592500 PROTEIN', NULL, NULL, NULL, 15),
(100606, NULL, 'PTHR13006:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 395', NULL, NULL, NULL, 15),
(100607, NULL, 'PTHR12991', NULL, NULL, NULL, NULL, 'NITROGEN PERMEASE REGULATOR 2/TUMOR SUPPRESSOR CANDIDATE 4', NULL, NULL, 14690, 15),
(100608, NULL, 'PTHR43009:SF8', NULL, NULL, NULL, NULL, 'UBIA PRENYLTRANSFERASE FAMILY-RELATED', NULL, NULL, NULL, 15),
(100609, NULL, 'PTHR45624:SF45', NULL, NULL, NULL, NULL, 'YMC2P', NULL, NULL, NULL, 15),
(100610, NULL, 'PTHR43080:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR, CONTAINING CBS DOMAINS-RELATED', NULL, NULL, NULL, 15),
(100611, NULL, 'PTHR36490:SF1', NULL, NULL, NULL, NULL, 'STRESS ENHANCED PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(100612, NULL, 'PTHR12773:SF5', NULL, NULL, NULL, NULL, 'BNAA09G30730D PROTEIN', NULL, NULL, NULL, 15),
(100613, NULL, 'PTHR21567', NULL, NULL, NULL, NULL, 'CLASP', NULL, NULL, NULL, 15),
(100614, NULL, 'PTHR43099', NULL, NULL, NULL, NULL, 'UPF0053 PROTEIN YRKA', NULL, NULL, NULL, 15),
(100615, NULL, 'PTHR45624:SF34', NULL, NULL, NULL, NULL, 'CARNITINE/ACYLCARNITINE CARRIER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100616, NULL, 'PTHR11616:SF284', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(100617, NULL, 'PTHR10366:SF719', NULL, NULL, NULL, NULL, 'BNAC05G12180D PROTEIN', NULL, NULL, NULL, 15),
(100618, NULL, 'PTHR32370:SF139', NULL, NULL, NULL, NULL, 'SKP1/BTB/POZ DOMAIN, NPH3 DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100619, NULL, 'PTHR22951:SF85', NULL, NULL, NULL, NULL, 'OS06G0699800 PROTEIN', NULL, NULL, NULL, 15),
(100620, NULL, 'PTHR12243:SF36', NULL, NULL, NULL, NULL, 'SI:CH211-15D5.12-RELATED', NULL, NULL, NULL, 15),
(100621, NULL, 'PTHR24023:SF886', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXVIII) CHAIN', NULL, NULL, NULL, 15),
(100622, NULL, 'PTHR35024:SF5', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100623, NULL, 'PTHR11439:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100624, NULL, 'PTHR10168:SF242', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S1-LIKE', NULL, NULL, NULL, 15),
(100625, NULL, 'PTHR19441:SF38', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 10A', NULL, NULL, 25459, 15),
(100626, NULL, 'PTHR36070:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0019G23.7 PROTEIN', NULL, NULL, NULL, 15),
(100627, NULL, 'PTHR43539:SF70', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(100628, NULL, 'PTHR42931:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14520)-RELATED', NULL, NULL, NULL, 15),
(100629, NULL, 'PTHR46997:SF2', NULL, NULL, NULL, NULL, 'TYROSINE-SPECIFIC TRANSPORT PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100630, NULL, 'PTHR45646:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE CLK4', NULL, NULL, NULL, 15),
(100631, NULL, 'PTHR42938:SF30', NULL, NULL, NULL, NULL, 'ERYTHRONATE-4-PHOSPHATE DEHYDROGENASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100632, NULL, 'PTHR21266:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100633, NULL, 'PTHR11615:SF330', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 3', NULL, NULL, NULL, 15),
(100634, NULL, 'PTHR46869:SF8', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(100635, NULL, 'PTHR31459:SF18', NULL, NULL, NULL, NULL, 'BNAC04G00870D PROTEIN', NULL, NULL, NULL, 15),
(100636, NULL, 'PTHR24028:SF285', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 1A', NULL, NULL, NULL, 15),
(100637, NULL, 'PTHR48019:SF12', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL65 ISOFORM X1', NULL, NULL, NULL, 15),
(100638, NULL, 'PTHR31235:SF303', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(100639, NULL, 'PTHR33136:SF32', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 33', NULL, NULL, NULL, 15),
(100640, NULL, 'PTHR12732:SF6', NULL, NULL, NULL, NULL, 'PCI DOMAIN-CONTAINING PROTEIN C1105.07C', NULL, NULL, NULL, 15),
(100641, NULL, 'PTHR22923:SF97', NULL, NULL, NULL, NULL, 'C1Q AND TNF-RELATED 4', NULL, NULL, NULL, 15),
(100642, NULL, 'PTHR10996:SF119', NULL, NULL, NULL, NULL, 'FI03731P-RELATED', NULL, NULL, NULL, 15),
(100643, NULL, 'PTHR10634:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100644, NULL, 'PTHR12854:SF8', NULL, NULL, NULL, NULL, 'ATAXIN-2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100645, NULL, 'PTHR12873', NULL, NULL, NULL, NULL, 'T7-LIKE MITOCHONDRIAL DNA HELICASE', NULL, NULL, 25496, 15),
(100646, NULL, 'PTHR23130:SF186', NULL, NULL, NULL, NULL, 'DOMON DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(100647, NULL, 'PTHR26453:SF165', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(100648, NULL, 'PTHR11675:SF58', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(100649, NULL, 'PTHR31973', NULL, NULL, NULL, NULL, 'POLYPROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(100650, NULL, 'PTHR19970:SF24', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39-2', NULL, NULL, NULL, 15),
(100651, NULL, 'PTHR13345:SF4', NULL, NULL, NULL, NULL, 'PROTEIN UXT', NULL, NULL, NULL, 15),
(100652, NULL, 'PTHR37445:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG24663', NULL, NULL, NULL, 15),
(100653, NULL, 'PTHR47966:SF21', NULL, NULL, NULL, NULL, 'NAPSIN-A', NULL, NULL, NULL, 15),
(100654, NULL, 'PTHR33088:SF58', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(100655, NULL, 'PTHR12317:SF73', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(100656, NULL, 'PTHR37727:SF1', NULL, NULL, NULL, NULL, 'ECOTROPIC VIRAL INTEGRATION SITE PROTEIN', NULL, NULL, NULL, 15),
(100657, NULL, 'PTHR33109:SF51', NULL, NULL, NULL, NULL, 'OS12G0617700 PROTEIN', NULL, NULL, NULL, 15),
(100658, NULL, 'PTHR45707:SF28', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(100659, NULL, 'PTHR34824:SF1', NULL, NULL, NULL, NULL, 'HEAT-INDUCIBLE TRANSCRIPTION REPRESSOR HRCA', NULL, NULL, NULL, 15),
(100660, NULL, 'PTHR22765:SF278', NULL, NULL, NULL, NULL, 'OS06G0257700 PROTEIN', NULL, NULL, NULL, 15),
(100661, NULL, 'PTHR31321:SF74', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(100662, NULL, 'PTHR34054:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(100663, NULL, 'PTHR24247:SF182', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR M1', NULL, NULL, NULL, 15),
(100664, NULL, 'PTHR15437', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR, MITOCHONDRIAL', NULL, NULL, 4855, 15),
(100665, NULL, 'PTHR12582:SF47', NULL, NULL, NULL, NULL, 'NETRIN RECEPTOR UNC-5', NULL, NULL, NULL, 15),
(100666, NULL, 'PTHR31080:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100667, NULL, 'PTHR30509:SF27', NULL, NULL, NULL, NULL, 'UPF0421 PROTEIN YGAE', NULL, NULL, NULL, 15),
(100668, NULL, 'PTHR36514:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13589', NULL, NULL, NULL, 15),
(100669, NULL, 'PTHR21597', NULL, NULL, NULL, NULL, 'THO2 PROTEIN', NULL, NULL, 29756, 15),
(100670, NULL, 'PTHR19446:SF448', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100671, NULL, 'PTHR15439:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE PQT3-LIKE', NULL, NULL, NULL, 15),
(100672, NULL, 'PTHR10366:SF733', NULL, NULL, NULL, NULL, 'BNAC06G40190D PROTEIN', NULL, NULL, NULL, 15),
(100673, NULL, 'PTHR24381:SF266', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 322', NULL, NULL, NULL, 15),
(100674, NULL, 'PTHR33147:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100675, NULL, 'PTHR36354:SF2', NULL, NULL, NULL, NULL, 'IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT', NULL, NULL, NULL, 15),
(100676, NULL, 'PTHR10693:SF21', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN-BINDING PROTEIN 1', NULL, NULL, 5873, 15),
(100677, NULL, 'PTHR24078:SF218', NULL, NULL, NULL, NULL, 'OS08G0374400 PROTEIN', NULL, NULL, NULL, 15),
(100678, NULL, 'PTHR42695:SF9', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL PEPTIDASE 5', NULL, NULL, NULL, 15),
(100679, NULL, 'PTHR31346:SF25', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 8, CHLOROPLASTIC/MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(100680, NULL, 'PTHR22912:SF213', NULL, NULL, NULL, NULL, 'LEGHEMOGLOBIN REDUCTASE', NULL, NULL, NULL, 15),
(100681, NULL, 'PTHR42920:SF15', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100682, NULL, 'PTHR26452:SF819', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(100683, NULL, 'PTHR22957:SF355', NULL, NULL, NULL, NULL, 'TBC (TRE-2/BUB2/CDC16) DOMAIN FAMILY', NULL, NULL, NULL, 15),
(100684, NULL, 'PTHR12755', NULL, NULL, NULL, NULL, 'CLEAVAGE/POLYADENYLATION FACTOR IA SUBUNIT CLP1P', NULL, NULL, 38269, 15),
(100685, NULL, 'PTHR26452:SF707', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(100686, NULL, 'PTHR31727:SF20', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', NULL, NULL, NULL, 15),
(100687, NULL, 'PTHR48143:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100688, NULL, 'PTHR47240:SF2', NULL, NULL, NULL, NULL, 'CHROMO DOMAIN-CONTAINING PROTEIN LHP1', NULL, NULL, NULL, 15),
(100689, NULL, 'PTHR24056:SF454', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100690, NULL, 'PTHR46128:SF142', NULL, NULL, NULL, NULL, 'BNAA03G17090D PROTEIN', NULL, NULL, NULL, 15),
(100691, NULL, 'PTHR23226:SF236', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 354C', NULL, NULL, NULL, 15),
(100692, NULL, 'PTHR23335', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR  CAMTA', NULL, NULL, NULL, 15),
(100693, NULL, 'PTHR47338:SF18', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(100694, NULL, 'PTHR31165:SF73', NULL, NULL, NULL, NULL, 'BNAANNG11520D PROTEIN', NULL, NULL, NULL, 15),
(100695, NULL, 'PTHR22894:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF170', NULL, NULL, 35221, 15),
(100696, NULL, 'PTHR24377:SF627', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 84', NULL, NULL, NULL, 15),
(100697, NULL, 'PTHR13112:SF8', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS UPF3-LIKE', NULL, NULL, NULL, 15),
(100698, NULL, 'PTHR46839:SF1', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING 6', NULL, NULL, NULL, 15),
(100699, NULL, 'PTHR10336:SF157', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(100700, NULL, 'PTHR33090:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100701, NULL, 'PTHR43511:SF6', NULL, NULL, NULL, NULL, 'UTP-GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(100702, NULL, 'PTHR23050:SF436', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 12', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100703, NULL, 'PTHR47372:SF9', NULL, NULL, NULL, NULL, 'COLD ACCLIMATION PROTEIN WCOR615', NULL, NULL, NULL, 15),
(100704, NULL, 'PTHR24240:SF126', NULL, NULL, NULL, NULL, 'NOVOPSIN-10', NULL, NULL, NULL, 15),
(100705, NULL, 'PTHR43321:SF28', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(100706, NULL, 'PTHR11564:SF33', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN', NULL, NULL, NULL, 15),
(100707, NULL, 'PTHR13697:SF5', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE, PLATELET TYPE', NULL, NULL, NULL, 15),
(100708, NULL, 'PTHR45671:SF25', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PHOSPHATE CARRIER PROTEIN 3, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(100709, NULL, 'PTHR48003:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100710, NULL, 'PTHR23304:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100711, NULL, 'PTHR28674', NULL, NULL, NULL, NULL, 'SIMILAR TO DNA SEGMENT, CHR 10, WAYNE STATE UNIVERSITY 102,-EXPRESSED', NULL, NULL, 24081, 15),
(100712, NULL, 'PTHR24327:SF26', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DLX-6', NULL, NULL, NULL, 15),
(100713, NULL, 'PTHR42859', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(100714, NULL, 'PTHR26379:SF335', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(100715, NULL, 'PTHR46751:SF3', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 6B', NULL, NULL, NULL, 15),
(100716, NULL, 'PTHR10972:SF47', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 10', NULL, NULL, NULL, 15),
(100717, NULL, 'PTHR30115:SF13', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN P-II', NULL, NULL, NULL, 15),
(100718, NULL, 'PTHR33499:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100719, NULL, 'PTHR23220:SF19', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-D', NULL, NULL, NULL, 15),
(100720, NULL, 'PTHR10501:SF20', NULL, NULL, NULL, NULL, 'PROTEIN MATERNALLY EXPRESSED GENE 5', NULL, NULL, NULL, 15),
(100721, NULL, 'PTHR13768:SF8', NULL, NULL, NULL, NULL, 'ALPHA-SOLUBLE NSF ATTACHMENT PROTEIN', NULL, NULL, NULL, 15),
(100722, NULL, 'PTHR33142:SF56', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR5', NULL, NULL, NULL, 15),
(100723, NULL, 'PTHR13817:SF22', NULL, NULL, NULL, NULL, 'MYOMESIN-2', NULL, NULL, NULL, 15),
(100724, NULL, 'PTHR12506:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C3H FAMILY-RELATED', NULL, NULL, NULL, 15),
(100725, NULL, 'PTHR31998:SF45', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGIZED VACUOLAR MEMBRANE PROTON PUMP', NULL, NULL, NULL, 15),
(100726, NULL, 'PTHR10797:SF57', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 3-RELATED', NULL, NULL, NULL, 15),
(100727, NULL, 'PTHR46197:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ABHD14A', NULL, NULL, NULL, 15),
(100728, NULL, 'PTHR47926:SF256', NULL, NULL, NULL, NULL, 'BNAA06G20590D PROTEIN', NULL, NULL, NULL, 15),
(100729, NULL, 'PTHR11759:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100730, NULL, 'PTHR47630:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-61', NULL, NULL, NULL, 15),
(100731, NULL, 'PTHR27007:SF348', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100732, NULL, 'PTHR32295:SF168', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', NULL, NULL, NULL, 15),
(100733, NULL, 'PTHR11062:SF74', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT15-RELATED', NULL, NULL, NULL, 15),
(100734, NULL, 'PTHR33728:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100735, NULL, 'PTHR11353:SF202', NULL, NULL, NULL, NULL, 'BNAC05G47590D PROTEIN', NULL, NULL, NULL, 15),
(100736, NULL, 'PTHR10574:SF292', NULL, NULL, NULL, NULL, 'NETRIN-3', NULL, NULL, NULL, 15),
(100737, NULL, 'PTHR48014:SF4', NULL, NULL, NULL, NULL, 'BNAC02G19800D PROTEIN', NULL, NULL, NULL, 15),
(100738, NULL, 'PTHR23065:SF8', NULL, NULL, NULL, NULL, 'F-BAR DOMAIN ONLY PROTEIN 2', NULL, NULL, 24197, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100739, NULL, 'PTHR47946:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A6', NULL, NULL, NULL, 15),
(100740, NULL, 'PTHR45620:SF34', NULL, NULL, NULL, NULL, 'CALCITONIN RECEPTOR-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(100741, NULL, 'PTHR36713', NULL, NULL, NULL, NULL, 'OS09G0344700 PROTEIN', NULL, NULL, NULL, 15),
(100742, NULL, 'PTHR10791:SF164', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(100743, NULL, 'PTHR21274', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 18534, 15),
(100744, NULL, 'PTHR35358:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100745, NULL, 'PTHR19432:SF63', NULL, NULL, NULL, NULL, 'SUCROSE/H+ SYMPORTER, PLANT, MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100746, NULL, 'PTHR47965:SF17', NULL, NULL, NULL, NULL, 'OS01G0936900 PROTEIN', NULL, NULL, NULL, 15),
(100747, NULL, 'PTHR45616:SF33', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 1', NULL, NULL, NULL, 15),
(100748, NULL, 'PTHR16133:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100749, NULL, 'PTHR23226:SF128', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 30', NULL, NULL, NULL, 15),
(100750, NULL, 'PTHR43620:SF7', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD5', NULL, NULL, NULL, 15),
(100751, NULL, 'PTHR43180:SF72', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(100752, NULL, 'PTHR23257:SF862', NULL, NULL, NULL, NULL, 'BNAA09G11580D PROTEIN', NULL, NULL, NULL, 15),
(100753, NULL, 'PTHR47980:SF44', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABE1A', NULL, NULL, NULL, 15),
(100754, NULL, 'PTHR10751:SF32', NULL, NULL, NULL, NULL, 'ATLASTIN-3', NULL, NULL, NULL, 15),
(100755, NULL, 'PTHR15336:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6-LIKE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(100756, NULL, 'PTHR45927:SF11', NULL, NULL, NULL, NULL, 'LYSM DOMAIN RECEPTOR-LIKE KINASE 4', NULL, NULL, NULL, 15),
(100757, NULL, 'PTHR48100:SF23', NULL, NULL, NULL, NULL, 'METAL-INDEPENDENT PHOSPHOSERINE PHOSPHATASE', NULL, NULL, NULL, 15),
(100758, NULL, 'PTHR14095:SF7', NULL, NULL, NULL, NULL, 'OS02G0191700 PROTEIN', NULL, NULL, NULL, 15),
(100759, NULL, 'PTHR33640:SF11', NULL, NULL, NULL, NULL, 'NUCLEOLAR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100760, NULL, 'PTHR25462:SF241', NULL, NULL, NULL, NULL, 'PROTEIN PML', NULL, NULL, NULL, 15),
(100761, NULL, 'PTHR31669:SF167', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 6', NULL, NULL, NULL, 15),
(100762, NULL, 'PTHR24221:SF5', NULL, NULL, NULL, NULL, 'HALF TRANSPORTER (PGP RELATED)', NULL, NULL, NULL, 15),
(100763, NULL, 'PTHR31087:SF115', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 15', NULL, NULL, NULL, 15),
(100764, NULL, 'PTHR40386:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 26', NULL, NULL, NULL, 15),
(100765, NULL, 'PTHR47248:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG06766', NULL, NULL, NULL, 15),
(100766, NULL, 'PTHR10177:SF454', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN CYCLIN', NULL, NULL, NULL, 15),
(100767, NULL, 'PTHR13696:SF52', NULL, NULL, NULL, NULL, 'PARA FAMILY PROTEIN CT_582', NULL, NULL, NULL, 15),
(100768, NULL, 'PTHR33474:SF18', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(100769, NULL, 'PTHR43176:SF30', NULL, NULL, NULL, NULL, 'BNAA05G12620D PROTEIN', NULL, NULL, NULL, 15),
(100770, NULL, 'PTHR47942:SF18', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(100771, NULL, 'PTHR43447:SF7', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', NULL, NULL, NULL, 15),
(100772, NULL, 'PTHR31709', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(100773, NULL, 'PTHR31662:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100774, NULL, 'PTHR27007:SF147', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100775, NULL, 'PTHR12632:SF69', NULL, NULL, NULL, NULL, 'BNAC05G19190D PROTEIN', NULL, NULL, NULL, 15),
(100776, NULL, 'PTHR31549:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100777, NULL, 'PTHR11984:SF46', NULL, NULL, NULL, NULL, 'GAP JUNCTION BETA-2 PROTEIN', NULL, NULL, NULL, 15),
(100778, NULL, 'PTHR45762:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-197H24.6', NULL, NULL, NULL, 15),
(100779, NULL, 'PTHR42718:SF11', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER', NULL, NULL, NULL, 15),
(100780, NULL, 'PTHR46692:SF4', NULL, NULL, NULL, NULL, 'INOSINE-URIDINE PREFERRING NUCLEOSIDE HYDROLASE', NULL, NULL, NULL, 15),
(100781, NULL, 'PTHR35727:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100782, NULL, 'PTHR31065:SF67', NULL, NULL, NULL, NULL, 'BNAA09G18140D PROTEIN', NULL, NULL, NULL, 15),
(100783, NULL, 'PTHR14435', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 106', NULL, NULL, 39222, 15),
(100784, NULL, 'PTHR19282:SF361', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(100785, NULL, 'PTHR47480:SF6', NULL, NULL, NULL, NULL, 'RLPA-LIKE PROTEIN, DOUBLE-PSI BETA-BARREL-RELATED', NULL, NULL, NULL, 15),
(100786, NULL, 'PTHR31949:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100787, NULL, 'PTHR13318', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(100788, NULL, 'PTHR47794:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 27', NULL, NULL, NULL, 15),
(100789, NULL, 'PTHR48040:SF6', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 6', NULL, NULL, NULL, 15),
(100790, NULL, 'PTHR26454:SF77', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(100791, NULL, 'PTHR11662:SF29', NULL, NULL, NULL, NULL, 'VESICULAR GLUTAMATE TRANSPORTER 1', NULL, NULL, NULL, 15),
(100792, NULL, 'PTHR30537:SF72', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(100793, NULL, 'PTHR31370:SF4', NULL, NULL, NULL, NULL, 'BNAC04G31530D PROTEIN', NULL, NULL, NULL, 15),
(100794, NULL, 'PTHR32256:SF8', NULL, NULL, NULL, NULL, 'P-SELECTIN', NULL, NULL, NULL, 15),
(100795, NULL, 'PTHR12174:SF68', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 2B', NULL, NULL, NULL, 15),
(100796, NULL, 'PTHR31225:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100797, NULL, 'PTHR46851:SF13', NULL, NULL, NULL, NULL, 'GYF DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100798, NULL, 'PTHR33937', NULL, NULL, NULL, NULL, 'IRON-MOLYBDENUM PROTEIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(100799, NULL, 'PTHR13110', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM3', NULL, NULL, 29866, 15),
(100800, NULL, 'PTHR31111:SF32', NULL, NULL, NULL, NULL, 'BNAA01G32850D PROTEIN', NULL, NULL, NULL, 15),
(100801, NULL, 'PTHR31375:SF145', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE CLONE GBGE184', NULL, NULL, NULL, 15),
(100802, NULL, 'PTHR24033:SF151', NULL, NULL, NULL, NULL, 'TENASCIN-X', NULL, NULL, NULL, 15),
(100803, NULL, 'PTHR46848:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 3', NULL, NULL, NULL, 15),
(100804, NULL, 'PTHR39365', NULL, NULL, NULL, NULL, 'MX REGION OF TRA-2 RELATED-RELATED', NULL, NULL, 23656, 15),
(100805, NULL, 'PTHR10174:SF166', NULL, NULL, NULL, NULL, 'LD40136P', NULL, NULL, NULL, 15),
(100806, NULL, 'PTHR45734:SF5', NULL, NULL, NULL, NULL, 'TENSIN-3', NULL, NULL, NULL, 15),
(100807, NULL, 'PTHR39075', NULL, NULL, NULL, NULL, 'FI19908P1', NULL, NULL, NULL, 15),
(100808, NULL, 'PTHR14889', NULL, NULL, NULL, NULL, 'RCG36411', NULL, NULL, 27973, 15),
(100809, NULL, 'PTHR22883:SF311', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(100810, NULL, 'PTHR45638:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100811, NULL, 'PTHR11063:SF21', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(100812, NULL, 'PTHR24083:SF147', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100813, NULL, 'PTHR32091', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B', NULL, NULL, 9831, 15),
(100814, NULL, 'PTHR36688', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100815, NULL, 'PTHR24223:SF356', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER ABC1-RELATED', NULL, NULL, NULL, 15),
(100816, NULL, 'PTHR19971:SF23', NULL, NULL, NULL, NULL, 'GENE 9733-RELATED', NULL, NULL, NULL, 15),
(100817, NULL, 'PTHR12859:SF5', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN A3', NULL, NULL, NULL, 15),
(100818, NULL, 'PTHR23322', NULL, NULL, NULL, NULL, 'FAS-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(100819, NULL, 'PTHR35631', NULL, NULL, NULL, NULL, 'OS08G0114150 PROTEIN', NULL, NULL, NULL, 15),
(100820, NULL, 'PTHR34469', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN H', NULL, NULL, 5262, 15),
(100821, NULL, 'PTHR14537', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, 36070, 15),
(100822, NULL, 'PTHR34799', NULL, NULL, NULL, NULL, 'OS07G0656300 PROTEIN', NULL, NULL, NULL, 15),
(100823, NULL, 'PTHR13906:SF4', NULL, NULL, NULL, NULL, 'OYSGEDART, ISOFORM A', NULL, NULL, NULL, 15),
(100824, NULL, 'PTHR22809:SF9', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(100825, NULL, 'PTHR24247:SF14', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 5B', NULL, NULL, NULL, 15),
(100826, NULL, 'PTHR11680:SF11', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(100827, NULL, 'PTHR45089:SF37', NULL, NULL, NULL, NULL, 'BNAC05G46690D PROTEIN', NULL, NULL, NULL, 15),
(100828, NULL, 'PTHR31989:SF149', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 14', NULL, NULL, NULL, 15),
(100829, NULL, 'PTHR11654:SF383', NULL, NULL, NULL, NULL, 'OS11G0284300 PROTEIN', NULL, NULL, NULL, 15),
(100830, NULL, 'PTHR28039', NULL, NULL, NULL, NULL, 'CHALCONE--FLAVONONE ISOMERASE 1-RELATED', NULL, NULL, 37937, 15),
(100831, NULL, 'PTHR31395:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-2 HOMOLOG', NULL, NULL, NULL, 15),
(100832, NULL, 'PTHR12669', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-BINDING PROTEIN', NULL, NULL, NULL, 15),
(100833, NULL, 'PTHR34463:SF15', NULL, NULL, NULL, NULL, 'BNAA08G28000D PROTEIN', NULL, NULL, NULL, 15),
(100834, NULL, 'PTHR12189', NULL, NULL, NULL, NULL, 'MRNA  GUANINE-7- METHYLTRANSFERASE', NULL, NULL, 30692, 15),
(100835, NULL, 'PTHR36885:SF3', NULL, NULL, NULL, NULL, 'OS12G0485150 PROTEIN', NULL, NULL, NULL, 15),
(100836, NULL, 'PTHR18966:SF458', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3.5', NULL, NULL, NULL, 15),
(100837, NULL, 'PTHR24390:SF150', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 7B', NULL, NULL, NULL, 15),
(100838, NULL, 'PTHR21567:SF77', NULL, NULL, NULL, NULL, 'CLIP-ASSOCIATING PROTEIN', NULL, NULL, NULL, 15),
(100839, NULL, 'PTHR31681:SF69', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(100840, NULL, 'PTHR23105:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100841, NULL, 'PTHR11388:SF83', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', NULL, NULL, NULL, 15),
(100842, NULL, 'PTHR47956:SF52', NULL, NULL, NULL, NULL, 'OS01G0227700 PROTEIN', NULL, NULL, NULL, 15),
(100843, NULL, 'PTHR11679:SF77', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 33B', NULL, NULL, 26530, 15),
(100844, NULL, 'PTHR24270:SF17', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 10', NULL, NULL, NULL, 15),
(100845, NULL, 'PTHR48025:SF2', NULL, NULL, NULL, NULL, 'OS08G0557100 PROTEIN', NULL, NULL, NULL, 15),
(100846, NULL, 'PTHR35735:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100847, NULL, 'PTHR11709:SF213', NULL, NULL, NULL, NULL, 'OS06G0678800 PROTEIN', NULL, NULL, NULL, 15),
(100848, NULL, 'PTHR11946:SF111', NULL, NULL, NULL, NULL, 'VALYL AMINO-ACYL TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(100849, NULL, 'PTHR11977:SF110', NULL, NULL, NULL, NULL, 'BNAC07G50870D PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100850, NULL, 'PTHR11071:SF412', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(100851, NULL, 'PTHR12566:SF2', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATION ELEMENT-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(100852, NULL, 'PTHR24027:SF79', NULL, NULL, NULL, NULL, 'CADHERIN-2', NULL, NULL, 23299, 15),
(100853, NULL, 'PTHR34614', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100854, NULL, 'PTHR32467:SF157', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(100855, NULL, 'PTHR35359', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100856, NULL, 'PTHR23185', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22195, 15),
(100857, NULL, 'PTHR31325:SF121', NULL, NULL, NULL, NULL, 'OSJNBB0045P24.5-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100858, NULL, 'PTHR21422:SF13', NULL, NULL, NULL, NULL, 'BNAANNG16370D PROTEIN', NULL, NULL, NULL, 15),
(100859, NULL, 'PTHR47993:SF182', NULL, NULL, NULL, NULL, 'F-BOX/WD-40 REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(100860, NULL, 'PTHR47956:SF32', NULL, NULL, NULL, NULL, 'CYP71D47V1', NULL, NULL, NULL, 15),
(100861, NULL, 'PTHR12266:SF23', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER MEMBRANE REGION-RELATED', NULL, NULL, NULL, 15),
(100862, NULL, 'PTHR31642:SF163', NULL, NULL, NULL, NULL, 'OMEGA-HYDROXYPALMITATE O-FERULOYL TRANSFERASE', NULL, NULL, NULL, 15),
(100863, NULL, 'PTHR47967:SF5', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-1-LIKE', NULL, NULL, NULL, 15),
(100864, NULL, 'PTHR47629:SF10', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(100865, NULL, 'PTHR47925:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100866, NULL, 'PTHR34951:SF1', NULL, NULL, NULL, NULL, 'B6F COMPLEX SUBUNIT, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(100867, NULL, 'PTHR24177:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100868, NULL, 'PTHR45907:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', NULL, NULL, NULL, 15),
(100869, NULL, 'PTHR11394:SF80', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 123', NULL, NULL, NULL, 15),
(100870, NULL, 'PTHR46183:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PHOX1', NULL, NULL, NULL, 15),
(100871, NULL, 'PTHR10641:SF1291', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100872, NULL, 'PTHR30231:SF7', NULL, NULL, NULL, NULL, 'BLR4117 PROTEIN', NULL, NULL, NULL, 15),
(100873, NULL, 'PTHR16223:SF205', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(100874, NULL, 'PTHR33987', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(100875, NULL, 'PTHR24349:SF350', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 33-RELATED', NULL, NULL, NULL, 15),
(100876, NULL, 'PTHR31230', NULL, NULL, NULL, NULL, 'MYELOID-DERIVED GROWTH FACTOR MYDGF', NULL, NULL, 21324, 15),
(100877, NULL, 'PTHR42078', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100878, NULL, 'PTHR13437:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100879, NULL, 'PTHR10288:SF298', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(100880, NULL, 'PTHR38425', NULL, NULL, NULL, NULL, 'LONG CHRONOLOGICAL LIFESPAN PROTEIN 2', NULL, NULL, 17582, 15),
(100881, NULL, 'PTHR11654:SF485', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(100882, NULL, 'PTHR22835:SF237', NULL, NULL, NULL, NULL, 'OS06G0156700 PROTEIN', NULL, NULL, NULL, 15),
(100883, NULL, 'PTHR23065:SF18', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C AND CASEIN KINASE SUBSTRATE IN NEURONS PROTEIN 3', NULL, NULL, 24329, 15),
(100884, NULL, 'PTHR27008:SF480', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', NULL, NULL, NULL, 15),
(100885, NULL, 'PTHR31282:SF112', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100886, NULL, 'PTHR39945', NULL, NULL, NULL, NULL, 'FI14129P', NULL, NULL, NULL, 15),
(100887, NULL, 'PTHR45642:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100888, NULL, 'PTHR10992:SF1052', NULL, NULL, NULL, NULL, 'METHYL ESTERASE 10', NULL, NULL, NULL, 15),
(100889, NULL, 'PTHR35604', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSH FOR INSERTION SEQUENCE ELEMENT IS5A-RELATED', NULL, NULL, NULL, 15),
(100890, NULL, 'PTHR36417:SF2', NULL, NULL, NULL, NULL, 'SELENOPROTEIN DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G05220)', NULL, NULL, NULL, 15),
(100891, NULL, 'PTHR33326:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100892, NULL, 'PTHR47958:SF85', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 37', NULL, NULL, NULL, 15),
(100893, NULL, 'PTHR11506:SF28', NULL, NULL, NULL, NULL, 'FI04419P', NULL, NULL, NULL, 15),
(100894, NULL, 'PTHR23315:SF254', NULL, NULL, NULL, NULL, 'KINESIN-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(100895, NULL, 'PTHR31374:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100896, NULL, 'PTHR13778:SF35', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(100897, NULL, 'PTHR31580:SF31', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN', NULL, NULL, NULL, 15),
(100898, NULL, 'PTHR47925:SF34', NULL, NULL, NULL, NULL, 'BNAA01G12470D PROTEIN', NULL, NULL, NULL, 15),
(100899, NULL, 'PTHR36495:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100900, NULL, 'PTHR46353:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GIS3', NULL, NULL, NULL, 15),
(100901, NULL, 'PTHR11913:SF86', NULL, NULL, NULL, NULL, 'COFILIN/ACTIN-DEPOLYMERIZING FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100902, NULL, 'PTHR11480:SF33', NULL, NULL, NULL, NULL, 'PULMONARY SURFACTANT-ASSOCIATED PROTEIN B', NULL, NULL, NULL, 15),
(100903, NULL, 'PTHR33491:SF13', NULL, NULL, NULL, NULL, 'OS10G0116701 PROTEIN', NULL, NULL, NULL, 15),
(100904, NULL, 'PTHR31807:SF47', NULL, NULL, NULL, NULL, 'QWRF FAMILY-RELATED', NULL, NULL, NULL, 15),
(100905, NULL, 'PTHR23147:SF156', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SC35', NULL, NULL, NULL, 15),
(100906, NULL, 'PTHR12668:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100907, NULL, 'PTHR24377:SF883', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 121', NULL, NULL, NULL, 15),
(100908, NULL, 'PTHR42811:SF5', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(100909, NULL, 'PTHR12552:SF2', NULL, NULL, NULL, NULL, 'OLIGOPHRENIN-1', NULL, NULL, NULL, 15),
(100910, NULL, 'PTHR14571:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100911, NULL, 'PTHR11055:SF52', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE', NULL, NULL, NULL, 15),
(100912, NULL, 'PTHR34952:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100913, NULL, 'PTHR31384:SF118', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(100914, NULL, 'PTHR12271', NULL, NULL, NULL, NULL, 'POLY A  POLYMERASE CID  PAP -RELATED', NULL, NULL, NULL, 15),
(100915, NULL, 'PTHR11615:SF317', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100916, NULL, 'PTHR22814:SF311', NULL, NULL, NULL, NULL, 'OS04G0502000 PROTEIN', NULL, NULL, NULL, 15),
(100917, NULL, 'PTHR43272:SF33', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE 5', NULL, NULL, NULL, 15),
(100918, NULL, 'PTHR24320:SF154', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_2G04560)', NULL, NULL, NULL, 15),
(100919, NULL, 'PTHR11711:SF379', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 6', NULL, NULL, NULL, 15),
(100920, NULL, 'PTHR10366:SF676', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100921, NULL, 'PTHR31421:SF9', NULL, NULL, NULL, NULL, 'PROTEIN BASIC PENTACYSTEINE2-LIKE', NULL, NULL, NULL, 15),
(100922, NULL, 'PTHR24298:SF751', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 712, SUBFAMILY A, POLYPEPTIDE 2', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100923, NULL, 'PTHR34291:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100924, NULL, 'PTHR11384:SF28', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY D MEMBER 4', NULL, NULL, NULL, 15),
(100925, NULL, 'PTHR45125:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100926, NULL, 'PTHR48000:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX3-LIKE', NULL, NULL, NULL, 15),
(100927, NULL, 'PTHR43447:SF22', NULL, NULL, NULL, NULL, 'OS05G0446900 PROTEIN', NULL, NULL, NULL, 15),
(100928, NULL, 'PTHR24179:SF20', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 12A', NULL, NULL, NULL, 15),
(100929, NULL, 'PTHR47703', NULL, NULL, NULL, NULL, 'D-AMINOACID AMINOTRANSFERASE-LIKE PLP-DEPENDENT ENZYMES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(100930, NULL, 'PTHR46234:SF7', NULL, NULL, NULL, NULL, 'OS04G0174900 PROTEIN', NULL, NULL, NULL, 15),
(100931, NULL, 'PTHR42796:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100932, NULL, 'PTHR32227:SF297', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-LIKE', NULL, NULL, NULL, 15),
(100933, NULL, 'PTHR44191:SF45', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1R1-LIKE', NULL, NULL, NULL, 15),
(100934, NULL, 'PTHR46434:SF1', NULL, NULL, NULL, NULL, 'GENETIC INTERACTOR OF PROHIBITINS 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(100935, NULL, 'PTHR31719:SF180', NULL, NULL, NULL, NULL, 'BNAC05G47490D PROTEIN', NULL, NULL, NULL, 15),
(100936, NULL, 'PTHR46316:SF13', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-3', NULL, NULL, NULL, 15),
(100937, NULL, 'PTHR24055:SF253', NULL, NULL, NULL, NULL, 'PROTEIN CBG00447', NULL, NULL, NULL, 15),
(100938, NULL, 'PTHR46623:SF8', NULL, NULL, NULL, NULL, 'BNAC04G12290D PROTEIN', NULL, NULL, NULL, 15),
(100939, NULL, 'PTHR10615:SF172', NULL, NULL, NULL, NULL, 'OS04G0425100 PROTEIN', NULL, NULL, NULL, 15),
(100940, NULL, 'PTHR48017:SF136', NULL, NULL, NULL, NULL, 'OS05G0586500 PROTEIN', NULL, NULL, NULL, 15),
(100941, NULL, 'PTHR46213:SF7', NULL, NULL, NULL, NULL, 'PROTEIN ROS1-LIKE', NULL, NULL, NULL, 15),
(100942, NULL, 'PTHR10288:SF99', NULL, NULL, NULL, NULL, 'FAR UPSTREAM ELEMENT-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(100943, NULL, 'PTHR11938:SF136', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE 1 [NADH] CHLOROPLASTIC', NULL, NULL, NULL, 15),
(100944, NULL, 'PTHR21562:SF67', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(100945, NULL, 'PTHR24064:SF579', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-5-RELATED', NULL, NULL, NULL, 15),
(100946, NULL, 'PTHR13116:SF7', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(100947, NULL, 'PTHR35918:SF1', NULL, NULL, NULL, NULL, 'OS06G0674800 PROTEIN', NULL, NULL, NULL, 15),
(100948, NULL, 'PTHR34940:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 5 KDA PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(100949, NULL, 'PTHR10825:SF21', NULL, NULL, NULL, NULL, 'POLYCOMB COMPLEX PROTEIN BMI-1', NULL, NULL, NULL, 15),
(100950, NULL, 'PTHR31731:SF96', NULL, NULL, NULL, NULL, 'CELL WALL-PLASMA MEMBRANE LINKER PROTEIN', NULL, NULL, NULL, 15),
(100951, NULL, 'PTHR10231:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100952, NULL, 'PTHR31548:SF6', NULL, NULL, NULL, NULL, 'AGAP002756-PA', NULL, NULL, NULL, 15),
(100953, NULL, 'PTHR43420:SF11', NULL, NULL, NULL, NULL, 'SPERMINE/SPERMIDINE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(100954, NULL, 'PTHR45677:SF7', NULL, NULL, NULL, NULL, 'CYSTEINE SULFINIC ACID DECARBOXYLASE', NULL, NULL, NULL, 15),
(100955, NULL, 'PTHR31080:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100956, NULL, 'PTHR24174:SF5', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND STERILE ALPHA MOTIF DOMAIN-CONTAINING 1AB', NULL, NULL, NULL, 15),
(100957, NULL, 'PTHR40637:SF2', NULL, NULL, NULL, NULL, 'COMPLEX I SUBUNIT', NULL, NULL, NULL, 15),
(100958, NULL, 'PTHR24033:SF189', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR D AND EGF DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100959, NULL, 'PTHR30126:SF84', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PTXR', NULL, NULL, NULL, 15),
(100960, NULL, 'PTHR48241:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100961, NULL, 'PTHR37226', NULL, NULL, NULL, NULL, 'GOLGIN FAMILY A PROTEIN', NULL, NULL, NULL, 15),
(100962, NULL, 'PTHR11055:SF41', NULL, NULL, NULL, NULL, 'ATP SULFURYLASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(100963, NULL, 'PTHR42760:SF95', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14380)-RELATED', NULL, NULL, NULL, 15),
(100964, NULL, 'PTHR38814:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE NUCS', NULL, NULL, NULL, 15),
(100965, NULL, 'PTHR14791:SF43', NULL, NULL, NULL, NULL, 'BNAA04G19570D PROTEIN', NULL, NULL, NULL, 15),
(100966, NULL, 'PTHR33055:SF3', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS1111A', NULL, NULL, NULL, 15),
(100967, NULL, 'PTHR21345:SF8', NULL, NULL, NULL, NULL, 'PROTEIN SPIRE HOMOLOG 1', NULL, NULL, 26995, 15),
(100968, NULL, 'PTHR47965:SF54', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(100969, NULL, 'PTHR31929:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100970, NULL, 'PTHR24384:SF181', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 253', NULL, NULL, NULL, 15),
(100971, NULL, 'PTHR10291:SF16', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(100972, NULL, 'PTHR42839:SF1', NULL, NULL, NULL, NULL, 'ISOCHORISMATE SYNTHASE MENF', NULL, NULL, NULL, 15),
(100973, NULL, 'PTHR35268:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CCSMST1', NULL, NULL, NULL, 15),
(100974, NULL, 'PTHR23213:SF360', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100975, NULL, 'PTHR11017:SF411', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (NBS-LRR CLASS) FAMILY-RELATED', NULL, NULL, NULL, 15),
(100976, NULL, 'PTHR43880:SF26', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE CLASS-P', NULL, NULL, NULL, 15),
(100977, NULL, 'PTHR11002:SF19', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(100978, NULL, 'PTHR24085:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 4 GROUP A MEMBER 1', NULL, NULL, NULL, 15),
(100979, NULL, 'PTHR31896:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100980, NULL, 'PTHR47893:SF1', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN PCHR', NULL, NULL, NULL, 15),
(100981, NULL, 'PTHR31218:SF204', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(100982, NULL, 'PTHR11011:SF72', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(100983, NULL, 'PTHR33883:SF11', NULL, NULL, NULL, NULL, 'BNAC05G23540D PROTEIN', NULL, NULL, NULL, 15),
(100984, NULL, 'PTHR22883:SF348', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(100985, NULL, 'PTHR43734:SF7', NULL, NULL, NULL, NULL, '4,4''-DIAPONEUROSPORENE OXYGENASE', NULL, NULL, NULL, 15),
(100986, NULL, 'PTHR13723:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100987, NULL, 'PTHR14379:SF55', NULL, NULL, NULL, NULL, 'BNAC03G21430D PROTEIN', NULL, NULL, NULL, 15),
(100988, NULL, 'PTHR11945:SF388', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 51', NULL, NULL, NULL, 15),
(100989, NULL, 'PTHR11206:SF286', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(100990, NULL, 'PTHR15901:SF15', NULL, NULL, NULL, NULL, 'TESTICULAR HAPLOID EXPRESSED GENE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(100991, NULL, 'PTHR31791:SF63', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(100992, NULL, 'PTHR43630', NULL, NULL, NULL, NULL, 'POLY-BETA-1,6-N-ACETYL-D-GLUCOSAMINE SYNTHASE', NULL, NULL, NULL, 15),
(100993, NULL, 'PTHR21659:SF95', NULL, NULL, NULL, NULL, 'PROTEIN SNA4', NULL, NULL, NULL, 15),
(100994, NULL, 'PTHR23023:SF99', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(100995, NULL, 'PTHR12027:SF102', NULL, NULL, NULL, NULL, 'PROTEIN WNT', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(100996, NULL, 'PTHR10388:SF62', NULL, NULL, NULL, NULL, 'BNAC06G07070D PROTEIN', NULL, NULL, NULL, 15),
(100997, NULL, 'PTHR33265:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(100998, NULL, 'PTHR43321:SF22', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE 5-RELATED', NULL, NULL, NULL, 15),
(100999, NULL, 'PTHR46581:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(101000, NULL, 'PTHR15431:SF16', NULL, NULL, NULL, NULL, 'PROTEIN TONNEAU 1B', NULL, NULL, NULL, 15),
(101001, NULL, 'PTHR27009:SF202', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.4-RELATED', NULL, NULL, NULL, 15),
(101002, NULL, 'PTHR42823:SF3', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(101003, NULL, 'PTHR10015:SF299', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101004, NULL, 'PTHR28080:SF4', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 3-2-LIKE', NULL, NULL, NULL, 15),
(101005, NULL, 'PTHR46153:SF14', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(101006, NULL, 'PTHR11767:SF17', NULL, NULL, NULL, NULL, 'G PROTEIN-ACTIVATED INWARD RECTIFIER POTASSIUM CHANNEL 3', NULL, NULL, 3157, 15),
(101007, NULL, 'PTHR12357:SF93', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING PROTEIN ECT3', NULL, NULL, NULL, 15),
(101008, NULL, 'PTHR11783:SF219', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(101009, NULL, 'PTHR12277:SF162', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE-RELATED', NULL, NULL, NULL, 15),
(101010, NULL, 'PTHR24161:SF80', NULL, NULL, NULL, NULL, 'PROTEIN 21.1', NULL, NULL, NULL, 15),
(101011, NULL, 'PTHR11309:SF139', NULL, NULL, NULL, NULL, 'FRIZZLED CLASS RECEPTOR 5', NULL, NULL, NULL, 15),
(101012, NULL, 'PTHR46412:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BIM2', NULL, NULL, NULL, 15),
(101013, NULL, 'PTHR46137:SF16', NULL, NULL, NULL, NULL, 'BNACNNG53920D PROTEIN', NULL, NULL, NULL, 15),
(101014, NULL, 'PTHR46287:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101015, NULL, 'PTHR16777:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ECT2', NULL, NULL, NULL, 15),
(101016, NULL, 'PTHR10502:SF133', NULL, NULL, NULL, NULL, 'ANNEXIN A8-RELATED', NULL, NULL, 10627, 15),
(101017, NULL, 'PTHR42802:SF1', NULL, NULL, NULL, NULL, 'L-ORNITHINE N(5)-MONOOXYGENASE', NULL, NULL, NULL, 15),
(101018, NULL, 'PTHR33191:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101019, NULL, 'PTHR23266:SF310', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA CONSTANT 1-RELATED', NULL, NULL, NULL, 15),
(101020, NULL, 'PTHR11034:SF56', NULL, NULL, NULL, NULL, 'PROTEIN NDL1', NULL, NULL, NULL, 15),
(101021, NULL, 'PTHR24068:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101022, NULL, 'PTHR28018', NULL, NULL, NULL, NULL, 'RESPIRATORY SUPERCOMPLEX FACTOR 2, MITOCHONDRIAL', NULL, NULL, 32543, 15),
(101023, NULL, 'PTHR10160:SF22', NULL, NULL, NULL, NULL, 'NAD(P) TRANSHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(101024, NULL, 'PTHR43794', NULL, NULL, NULL, NULL, 'AMINOHYDROLASE SSNA-RELATED', NULL, NULL, NULL, 15),
(101025, NULL, 'PTHR24055:SF403', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(101026, NULL, 'PTHR34188:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101027, NULL, 'PTHR31499:SF52', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE, MYB-CC TYPE TRANSCRIPTION FACTOR, LHEQLE-CONTAINING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(101028, NULL, 'PTHR33793:SF2', NULL, NULL, NULL, NULL, 'ALPHA-AGGLUTININ', NULL, NULL, NULL, 15),
(101029, NULL, 'PTHR11783:SF47', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 1A3-RELATED', NULL, NULL, NULL, 15),
(101030, NULL, 'PTHR22951', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN', NULL, NULL, 37446, 15),
(101031, NULL, 'PTHR31238:SF200', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(101032, NULL, 'PTHR30006:SF2', NULL, NULL, NULL, NULL, 'IRON ABC TRANSPORTER, SOLUTE-BINDING LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101033, NULL, 'PTHR31086:SF63', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 14', NULL, NULL, NULL, 15),
(101034, NULL, 'PTHR48106', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE PIG3-RELATED', NULL, NULL, NULL, 15),
(101035, NULL, 'PTHR46513:SF6', NULL, NULL, NULL, NULL, 'NIDOGEN-1', NULL, NULL, NULL, 15),
(101036, NULL, 'PTHR43490:SF84', NULL, NULL, NULL, NULL, 'OS02G0640600 PROTEIN', NULL, NULL, NULL, 15),
(101037, NULL, 'PTHR31093:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101038, NULL, 'PTHR48156', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(101039, NULL, 'PTHR31071:SF16', NULL, NULL, NULL, NULL, 'OS04G0382800 PROTEIN', NULL, NULL, NULL, 15),
(101040, NULL, 'PTHR47978:SF11', NULL, NULL, NULL, NULL, 'RAB FAMILY GTPASE', NULL, NULL, NULL, 15),
(101041, NULL, 'PTHR30472', NULL, NULL, NULL, NULL, 'FERRIC ENTEROBACTIN TRANSPORT SYSTEM PERMEASE PROTEIN', NULL, NULL, 5816, 15),
(101042, NULL, 'PTHR20903:SF0', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 1', NULL, NULL, NULL, 15),
(101043, NULL, 'PTHR31895:SF40', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', NULL, NULL, NULL, 15),
(101044, NULL, 'PTHR43650:SF6', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(101045, NULL, 'PTHR27006:SF440', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(101046, NULL, 'PTHR32278:SF100', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B13-RELATED', NULL, NULL, NULL, 15),
(101047, NULL, 'PTHR10502:SF100', NULL, NULL, NULL, NULL, 'ANNEXIN A10', NULL, NULL, NULL, 15),
(101048, NULL, 'PTHR47108:SF1', NULL, NULL, NULL, NULL, '5-AMINO-6-(5-PHOSPHO-D-RIBITYLAMINO)URACIL PHOSPHATASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(101049, NULL, 'PTHR24103:SF640', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 55', NULL, NULL, NULL, 15),
(101050, NULL, 'PTHR10791:SF169', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(101051, NULL, 'PTHR46010:SF1', NULL, NULL, NULL, NULL, 'PROTEIN IWS1 HOMOLOG', NULL, NULL, NULL, 15),
(101052, NULL, 'PTHR10015:SF343', NULL, NULL, NULL, NULL, 'BNACNNG54110D PROTEIN', NULL, NULL, NULL, 15),
(101053, NULL, 'PTHR18359:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101054, NULL, 'PTHR33768:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-83M22.7', NULL, NULL, NULL, 15),
(101055, NULL, 'PTHR48217:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101056, NULL, 'PTHR31388:SF207', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(101057, NULL, 'PTHR46872:SF6', NULL, NULL, NULL, NULL, 'ELM2 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(101058, NULL, 'PTHR32141:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101059, NULL, 'PTHR23028:SF107', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(101060, NULL, 'PTHR15241:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101061, NULL, 'PTHR23155:SF1003', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101062, NULL, 'PTHR34228:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG09517', NULL, NULL, NULL, 15),
(101063, NULL, 'PTHR43085:SF21', NULL, NULL, NULL, NULL, 'FRUCTOKINASE-1-RELATED', NULL, NULL, NULL, 15),
(101064, NULL, 'PTHR47744', NULL, NULL, NULL, NULL, 'OS05G0526300 PROTEIN', NULL, NULL, NULL, 15),
(101065, NULL, 'PTHR27005:SF249', NULL, NULL, NULL, NULL, 'OS10G0116600 PROTEIN', NULL, NULL, NULL, 15),
(101066, NULL, 'PTHR47958:SF17', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX43-RELATED', NULL, NULL, NULL, 15),
(101067, NULL, 'PTHR10211', NULL, NULL, NULL, NULL, 'DEOXYRIBODIPYRIMIDINE PHOTOLYASE', NULL, NULL, NULL, 15),
(101068, NULL, 'PTHR13531:SF0', NULL, NULL, NULL, NULL, 'GEO07735P1-RELATED', NULL, NULL, NULL, 15),
(101069, NULL, 'PTHR24092:SF179', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101070, NULL, 'PTHR47922', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(101071, NULL, 'PTHR11746:SF184', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(101072, NULL, 'PTHR21470:SF12', NULL, NULL, NULL, NULL, 'OS02G0528100 PROTEIN', NULL, NULL, NULL, 15),
(101073, NULL, 'PTHR31774:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-9', NULL, NULL, NULL, 15),
(101074, NULL, 'PTHR46218:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101075, NULL, 'PTHR33491:SF24', NULL, NULL, NULL, NULL, 'OS11G0693700 PROTEIN', NULL, NULL, NULL, 15),
(101076, NULL, 'PTHR43981:SF2', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(101077, NULL, 'PTHR45729:SF6', NULL, NULL, NULL, NULL, 'RABPHILIN, ISOFORM A', NULL, NULL, 26847, 15),
(101078, NULL, 'PTHR11736:SF151', NULL, NULL, NULL, NULL, 'GENE 5072-RELATED', NULL, NULL, NULL, 15),
(101079, NULL, 'PTHR46702:SF1', NULL, NULL, NULL, NULL, 'DUF1666 FAMILY PROTEIN (DUF1666)', NULL, NULL, NULL, 15),
(101080, NULL, 'PTHR23418:SF15', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE', NULL, NULL, NULL, 15),
(101081, NULL, 'PTHR30367:SF1', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTN', NULL, NULL, 22181, 15),
(101082, NULL, 'PTHR23419:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CUTA', NULL, NULL, NULL, 15),
(101083, NULL, 'PTHR33595:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101084, NULL, 'PTHR14379:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101085, NULL, 'PTHR34676', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101086, NULL, 'PTHR47947:SF14', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(101087, NULL, 'PTHR10825', NULL, NULL, NULL, NULL, 'RING FINGER DOMAIN-CONTAINING, POLYCOMB GROUP COMPONENT', NULL, NULL, NULL, 15),
(101088, NULL, 'PTHR24416:SF561', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101089, NULL, 'PTHR43874:SF28', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR1', NULL, NULL, NULL, 15),
(101090, NULL, 'PTHR34786', NULL, NULL, NULL, NULL, 'OS09G0504900 PROTEIN', NULL, NULL, NULL, 15),
(101091, NULL, 'PTHR21679:SF6', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', NULL, NULL, NULL, 15),
(101092, NULL, 'PTHR33065:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101093, NULL, 'PTHR31707:SF149', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 17-RELATED', NULL, NULL, NULL, 15),
(101094, NULL, 'PTHR43610:SF1', NULL, NULL, NULL, NULL, 'BLL6696 PROTEIN', NULL, NULL, NULL, 15),
(101095, NULL, 'PTHR47995:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB57', NULL, NULL, NULL, 15),
(101096, NULL, 'PTHR44170:SF8', NULL, NULL, NULL, NULL, 'NETRIN RECEPTOR DCC', NULL, NULL, 29502, 15),
(101097, NULL, 'PTHR12191:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101098, NULL, 'PTHR22937:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101099, NULL, 'PTHR12864:SF61', NULL, NULL, NULL, NULL, 'GLUCOSE-INDUCED DEGRADATION PROTEIN 8 HOMOLOG', NULL, NULL, NULL, 15),
(101100, NULL, 'PTHR11468:SF28', NULL, NULL, NULL, NULL, 'ALPHA-GLUCAN PHOSPHORYLASE 1', NULL, NULL, NULL, 15),
(101101, NULL, 'PTHR12135', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XP-C / RAD4', NULL, NULL, 876, 15),
(101102, NULL, 'PTHR11685:SF241', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARI2-RELATED', NULL, NULL, NULL, 15),
(101103, NULL, 'PTHR23236:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101104, NULL, 'PTHR24068:SF319', NULL, NULL, NULL, NULL, 'PROTEIN PEROXIN-4', NULL, NULL, NULL, 15),
(101105, NULL, 'PTHR10218:SF317', NULL, NULL, NULL, NULL, 'EXTRA-LARGE GUANINE NUCLEOTIDE-BINDING PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(101106, NULL, 'PTHR11010:SF88', NULL, NULL, NULL, NULL, 'SERINE PEPTIDASE S28 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101107, NULL, 'PTHR30603:SF52', NULL, NULL, NULL, NULL, 'SIGMA FACTOR A-RELATED', NULL, NULL, NULL, 15),
(101108, NULL, 'PTHR47997:SF24', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(101109, NULL, 'PTHR43269:SF2', NULL, NULL, NULL, NULL, 'SODIUM/PROTON ANTIPORTER 1-RELATED', NULL, NULL, NULL, 15),
(101110, NULL, 'PTHR24092:SF95', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(101111, NULL, 'PTHR31509:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101112, NULL, 'PTHR21068:SF43', NULL, NULL, NULL, NULL, 'OS06G0717100 PROTEIN', NULL, NULL, NULL, 15),
(101113, NULL, 'PTHR11064:SF146', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR Y, SUBUNIT B7-RELATED', NULL, NULL, NULL, 15),
(101114, NULL, 'PTHR17614:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 804B', NULL, NULL, NULL, 15),
(101115, NULL, 'PTHR35117', NULL, NULL, NULL, NULL, 'MYOSIN-M HEAVY PROTEIN', NULL, NULL, NULL, 15),
(101116, NULL, 'PTHR12983', NULL, NULL, NULL, NULL, 'RING FINGER 10 FAMILY MEMBER', NULL, NULL, 33876, 15),
(101117, NULL, 'PTHR11040:SF171', NULL, NULL, NULL, NULL, 'BNAC04G42780D PROTEIN', NULL, NULL, NULL, 15),
(101118, NULL, 'PTHR11772:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101119, NULL, 'PTHR34709:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101120, NULL, 'PTHR31625:SF51', NULL, NULL, NULL, NULL, 'MALONYL-COA:ANTHOCYANIDIN 5-O-GLUCOSIDE-6''''-O-MALONYLTRANSFERASE', NULL, NULL, NULL, 15),
(101121, NULL, 'PTHR14519', NULL, NULL, NULL, NULL, 'VITAMIN K EPOXIDE REDUCTASE COMPLEX, SUBUNIT 1', NULL, NULL, 39602, 15),
(101122, NULL, 'PTHR13206:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE FANCL', NULL, NULL, NULL, 15),
(101123, NULL, 'PTHR11054:SF18', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', NULL, NULL, NULL, 15),
(101124, NULL, 'PTHR46128:SF50', NULL, NULL, NULL, NULL, 'BNACNNG48410D PROTEIN', NULL, NULL, NULL, 15),
(101125, NULL, 'PTHR32191:SF16', NULL, NULL, NULL, NULL, 'OS02G0728800 PROTEIN', NULL, NULL, NULL, 15),
(101126, NULL, 'PTHR30222:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(101127, NULL, 'PTHR46218', NULL, NULL, NULL, NULL, 'LASP', NULL, NULL, NULL, 15),
(101128, NULL, 'PTHR11516:SF55', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(101129, NULL, 'PTHR32285:SF153', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 41', NULL, NULL, NULL, 15),
(101130, NULL, 'PTHR11876:SF2', NULL, NULL, NULL, NULL, 'ALPHA-DEFENSIN 1-RELATED', NULL, NULL, NULL, 15),
(101131, NULL, 'PTHR23050:SF385', NULL, NULL, NULL, NULL, 'CALMODULIN-3-RELATED', NULL, NULL, NULL, 15),
(101132, NULL, 'PTHR46261:SF1', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 1', NULL, NULL, NULL, 15),
(101133, NULL, 'PTHR22895:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101134, NULL, 'PTHR10110:SF153', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15),
(101135, NULL, 'PTHR46128:SF262', NULL, NULL, NULL, NULL, 'BNAA07G03140D PROTEIN', NULL, NULL, NULL, 15),
(101136, NULL, 'PTHR34790:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CORE COMPLEX PROTEINS PSBY, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(101137, NULL, 'PTHR46196', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH155-LIKE ISOFORM X1-RELATED', NULL, NULL, 37868, 15),
(101138, NULL, 'PTHR31060:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0011J08.25 PROTEIN', NULL, NULL, NULL, 15),
(101139, NULL, 'PTHR33783', NULL, NULL, NULL, NULL, 'PROTEIN HAIKU1', NULL, NULL, 29138, 15),
(101140, NULL, 'PTHR12411:SF637', NULL, NULL, NULL, NULL, 'PAPAIN-LIKE CYSTEINE PROTEASE', NULL, NULL, NULL, 15),
(101141, NULL, 'PTHR11132:SF255', NULL, NULL, NULL, NULL, 'GDP-FUCOSE TRANSPORTER 1', NULL, NULL, 27326, 15),
(101142, NULL, 'PTHR21733:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG21949', NULL, NULL, NULL, 15),
(101143, NULL, 'PTHR33789:SF9', NULL, NULL, NULL, NULL, 'OS01G0199300 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101144, NULL, 'PTHR31657:SF29', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF056', NULL, NULL, NULL, 15),
(101145, NULL, 'PTHR24233:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101146, NULL, 'PTHR33713:SF4', NULL, NULL, NULL, NULL, 'ANTITOXIN YAFN', NULL, NULL, NULL, 15),
(101147, NULL, 'PTHR48048:SF23', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(101148, NULL, 'PTHR27000:SF711', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(101149, NULL, 'PTHR37850', NULL, NULL, NULL, NULL, 'STRU PROTEIN', NULL, NULL, NULL, 15),
(101150, NULL, 'PTHR11064:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101151, NULL, 'PTHR31696', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', NULL, NULL, 6967, 15),
(101152, NULL, 'PTHR10209:SF553', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(101153, NULL, 'PTHR35812', NULL, NULL, NULL, NULL, 'LIPOPROTEIN', NULL, NULL, NULL, 15),
(101154, NULL, 'PTHR13454', NULL, NULL, NULL, NULL, 'PROTEIN MCM10 HOMOLOG', NULL, NULL, 35887, 15),
(101155, NULL, 'PTHR47810:SF4', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(101156, NULL, 'PTHR13258:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101157, NULL, 'PTHR36328:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(101158, NULL, 'PTHR11636:SF43', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 4, TRANSCRIPTION FACTOR 3', NULL, NULL, 27428, 15),
(101159, NULL, 'PTHR23291:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101160, NULL, 'PTHR36376', NULL, NULL, NULL, NULL, 'OS09G0514700 PROTEIN', NULL, NULL, NULL, 15),
(101161, NULL, 'PTHR35377', NULL, NULL, NULL, NULL, 'ANTITOXIN VAPB49-RELATED-RELATED', NULL, NULL, NULL, 15),
(101162, NULL, 'PTHR35297:SF10', NULL, NULL, NULL, NULL, 'BNAC04G44400D PROTEIN', NULL, NULL, NULL, 15),
(101163, NULL, 'PTHR12612:SF1', NULL, NULL, NULL, NULL, 'NTF2-RELATED EXPORT PROTEIN 2', NULL, NULL, NULL, 15),
(101164, NULL, 'PTHR45763:SF25', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(101165, NULL, 'PTHR10353:SF242', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101166, NULL, 'PTHR47640:SF14', NULL, NULL, NULL, NULL, 'OS07G0516900 PROTEIN', NULL, NULL, NULL, 15),
(101167, NULL, 'PTHR10127:SF824', NULL, NULL, NULL, NULL, 'MEPRIN A SUBUNIT ALPHA', NULL, NULL, 10599, 15),
(101168, NULL, 'PTHR10106:SF10', NULL, NULL, NULL, NULL, 'OS08G0101700 PROTEIN', NULL, NULL, NULL, 15),
(101169, NULL, 'PTHR13196:SF14', NULL, NULL, NULL, NULL, 'RECEPTOR MEDIATED ENDOCYTOSIS', NULL, NULL, NULL, 15),
(101170, NULL, 'PTHR22968:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DKF-1', NULL, NULL, NULL, 15),
(101171, NULL, 'PTHR12866:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG00516', NULL, NULL, NULL, 15),
(101172, NULL, 'PTHR23326:SF21', NULL, NULL, NULL, NULL, 'BNAA10G16600D PROTEIN', NULL, NULL, NULL, 15),
(101173, NULL, 'PTHR39165', NULL, NULL, NULL, NULL, 'IG HYPOTHETICAL 17883', NULL, NULL, NULL, 15),
(101174, NULL, 'PTHR33074:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101175, NULL, 'PTHR24356:SF346', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(101176, NULL, 'PTHR20437:SF0', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 17', NULL, NULL, NULL, 15),
(101177, NULL, 'PTHR10288:SF279', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(101178, NULL, 'PTHR31683:SF85', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(101179, NULL, 'PTHR11276', NULL, NULL, NULL, NULL, 'DNA POLYMERASE TYPE-X FAMILY MEMBER', NULL, NULL, 15749, 15),
(101180, NULL, 'PTHR11963:SF34', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101181, NULL, 'PTHR43020:SF2', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(101182, NULL, 'PTHR37384:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101183, NULL, 'PTHR16166:SF129', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13A-RELATED', NULL, NULL, NULL, 15),
(101184, NULL, 'PTHR13533:SF31', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(101185, NULL, 'PTHR36041:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 7A, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(101186, NULL, 'PTHR33562:SF22', NULL, NULL, NULL, NULL, 'PROTEIN QUIVER', NULL, NULL, NULL, 15),
(101187, NULL, 'PTHR16290:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101188, NULL, 'PTHR26453:SF643', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T12', NULL, NULL, NULL, 15),
(101189, NULL, 'PTHR34112:SF14', NULL, NULL, NULL, NULL, 'OS04G0448200 PROTEIN', NULL, NULL, NULL, 15),
(101190, NULL, 'PTHR46211:SF10', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(101191, NULL, 'PTHR48007:SF20', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(101192, NULL, 'PTHR33869:SF6', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 4', NULL, NULL, NULL, 15),
(101193, NULL, 'PTHR12582:SF4', NULL, NULL, NULL, NULL, 'NETRIN RECEPTOR UNC5A', NULL, NULL, NULL, 15),
(101194, NULL, 'PTHR27006:SF380', NULL, NULL, NULL, NULL, 'BNAC04G54970D PROTEIN', NULL, NULL, NULL, 15),
(101195, NULL, 'PTHR11076', NULL, NULL, NULL, NULL, 'DNA REPAIR POLYMERASE UMUC / TRANSFERASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(101196, NULL, 'PTHR24377:SF762', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 641', NULL, NULL, NULL, 15),
(101197, NULL, 'PTHR39477', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(101198, NULL, 'PTHR42917:SF2', NULL, NULL, NULL, NULL, '2,4-DIENOYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(101199, NULL, 'PTHR35969:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM243A-RELATED', NULL, NULL, NULL, 15),
(101200, NULL, 'PTHR47991:SF28', NULL, NULL, NULL, NULL, 'BNACNNG33000D PROTEIN', NULL, NULL, NULL, 15),
(101201, NULL, 'PTHR33801:SF7', NULL, NULL, NULL, NULL, 'ABSCISIC STRESS-RIPENING PROTEIN 5', NULL, NULL, NULL, 15),
(101202, NULL, 'PTHR46273:SF11', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', NULL, NULL, NULL, 15),
(101203, NULL, 'PTHR34482:SF19', NULL, NULL, NULL, NULL, 'TERMINAL URIDYLYLTRANSFERASE 7-LIKE', NULL, NULL, NULL, 15),
(101204, NULL, 'PTHR11588:SF311', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1 CHAIN', NULL, NULL, NULL, 15),
(101205, NULL, 'PTHR47925:SF109', NULL, NULL, NULL, NULL, 'BNAC01G37000D PROTEIN', NULL, NULL, NULL, 15),
(101206, NULL, 'PTHR14445:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101207, NULL, 'PTHR12876:SF35', NULL, NULL, NULL, NULL, 'LD08718P', NULL, NULL, NULL, 15),
(101208, NULL, 'PTHR27002:SF559', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', NULL, NULL, NULL, 15),
(101209, NULL, 'PTHR11685:SF326', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(101210, NULL, 'PTHR20852:SF39', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE (GLUTAMATE-AMMONIA LIGASE)', NULL, NULL, NULL, 15),
(101211, NULL, 'PTHR31739:SF37', NULL, NULL, NULL, NULL, 'BNAANNG04000D PROTEIN', NULL, NULL, NULL, 15),
(101212, NULL, 'PTHR34188:SF15', NULL, NULL, NULL, NULL, 'BNAC01G34820D PROTEIN', NULL, NULL, NULL, 15),
(101213, NULL, 'PTHR35662', NULL, NULL, NULL, NULL, 'INTERACTOR OF HORMAD1 PROTEIN 1', NULL, NULL, 27235, 15),
(101214, NULL, 'PTHR12750:SF11', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE 1', NULL, NULL, NULL, 15),
(101215, NULL, 'PTHR11932:SF156', NULL, NULL, NULL, NULL, 'CULLIN-1', NULL, NULL, NULL, 15),
(101216, NULL, 'PTHR48016:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101217, NULL, 'PTHR18842:SF2', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE 1-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(101218, NULL, 'PTHR11709:SF218', NULL, NULL, NULL, NULL, 'OS09G0365900 PROTEIN', NULL, NULL, NULL, 15),
(101219, NULL, 'PTHR31087:SF124', NULL, NULL, NULL, NULL, 'TUBBY C-TERMINAL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(101220, NULL, 'PTHR14359:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101221, NULL, 'PTHR30540:SF110', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(101222, NULL, 'PTHR19143:SF388', NULL, NULL, NULL, NULL, 'RYNCOLIN-4', NULL, NULL, NULL, 15),
(101223, NULL, 'PTHR32444:SF65', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(101224, NULL, 'PTHR45623:SF14', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(101225, NULL, 'PTHR37305', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(101226, NULL, 'PTHR33710:SF23', NULL, NULL, NULL, NULL, 'BNAC09G13610D PROTEIN', NULL, NULL, NULL, 15),
(101227, NULL, 'PTHR40447', NULL, NULL, NULL, NULL, 'ANAEROBIC SULFITE REDUCTASE SUBUNIT A', NULL, NULL, NULL, 15),
(101228, NULL, 'PTHR33285:SF29', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE PROTEIN', NULL, NULL, NULL, 15),
(101229, NULL, 'PTHR10663:SF312', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 5', NULL, NULL, NULL, 15),
(101230, NULL, 'PTHR37950', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE CATABOLISM PROTEIN', NULL, NULL, 3996, 15),
(101231, NULL, 'PTHR11003:SF61', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(101232, NULL, 'PTHR33640:SF25', NULL, NULL, NULL, NULL, 'BNAC07G31980D PROTEIN', NULL, NULL, NULL, 15),
(101233, NULL, 'PTHR37857:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 273', NULL, NULL, NULL, 15),
(101234, NULL, 'PTHR23070:SF157', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(101235, NULL, 'PTHR31669:SF48', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 2', NULL, NULL, NULL, 15),
(101236, NULL, 'PTHR27002:SF861', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 25', NULL, NULL, NULL, 15),
(101237, NULL, 'PTHR48030:SF1', NULL, NULL, NULL, NULL, 'OS07G0602600 PROTEIN', NULL, NULL, NULL, 15),
(101238, NULL, 'PTHR46465:SF2', NULL, NULL, NULL, NULL, 'LATERAL SIGNALING TARGET PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(101239, NULL, 'PTHR13170:SF23', NULL, NULL, NULL, NULL, 'SI:DKEY-183C6.8', NULL, NULL, NULL, 15),
(101240, NULL, 'PTHR33463:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101241, NULL, 'PTHR31517:SF34', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(101242, NULL, 'PTHR31649:SF11', NULL, NULL, NULL, NULL, 'PROTEIN UNZIPPED', NULL, NULL, NULL, 15),
(101243, NULL, 'PTHR23073:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101244, NULL, 'PTHR31589:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101245, NULL, 'PTHR48001:SF67', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7G1', NULL, NULL, NULL, 15),
(101246, NULL, 'PTHR46873:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASES', NULL, NULL, NULL, 15),
(101247, NULL, 'PTHR30622', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-DIPHOSPHATASE', NULL, NULL, 3474, 15),
(101248, NULL, 'PTHR23501:SF36', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTD-RELATED', NULL, NULL, NULL, 15),
(101249, NULL, 'PTHR34547', NULL, NULL, NULL, NULL, 'YACP-LIKE NYN DOMAIN PROTEIN', NULL, NULL, 7638, 15),
(101250, NULL, 'PTHR43742', NULL, NULL, NULL, NULL, 'TRIMETHYLAMINE-N-OXIDE REDUCTASE', NULL, NULL, NULL, 15),
(101251, NULL, 'PTHR45862:SF8', NULL, NULL, NULL, NULL, 'BNAC03G44000D PROTEIN', NULL, NULL, NULL, 15),
(101252, NULL, 'PTHR31707:SF264', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 28-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101253, NULL, 'PTHR11405:SF53', NULL, NULL, NULL, NULL, 'ASPARTATE/ORNITHINE CARBAMOYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(101254, NULL, 'PTHR12019:SF13', NULL, NULL, NULL, NULL, 'THYMOPOIETIN B', NULL, NULL, NULL, 15),
(101255, NULL, 'PTHR23139:SF122', NULL, NULL, NULL, NULL, 'U2 SNRNP AUXILIARY FACTOR LARGE SUBUNIT', NULL, NULL, NULL, 15),
(101256, NULL, 'PTHR12542:SF118', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(101257, NULL, 'PTHR31062:SF127', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(101258, NULL, 'PTHR14974:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 5 C1ORF21 HOMOLOG', NULL, NULL, NULL, 15),
(101259, NULL, 'PTHR26374:SF392', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(101260, NULL, 'PTHR46611:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(101261, NULL, 'PTHR10730:SF45', NULL, NULL, NULL, NULL, 'PROCOLLAGEN-LYSINE,2-OXOGLUTARATE 5-DIOXYGENASE', NULL, NULL, NULL, 15),
(101262, NULL, 'PTHR13450:SF4', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L42, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(101263, NULL, 'PTHR43689', NULL, NULL, NULL, NULL, 'HYDROLASE', NULL, NULL, NULL, 15),
(101264, NULL, 'PTHR39664', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101265, NULL, 'PTHR33337:SF37', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G01340)', NULL, NULL, NULL, 15),
(101266, NULL, 'PTHR24300:SF48', NULL, NULL, NULL, NULL, 'VITAMIN D 25-HYDROXYLASE', NULL, NULL, NULL, 15),
(101267, NULL, 'PTHR23048:SF37', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT POLYPEPTIDE 6', NULL, NULL, NULL, 15),
(101268, NULL, 'PTHR24377', NULL, NULL, NULL, NULL, 'IP01015P-RELATED', NULL, NULL, NULL, 15),
(101269, NULL, 'PTHR11909:SF398', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE PROTEIN', NULL, NULL, NULL, 15),
(101270, NULL, 'PTHR30258:SF2', NULL, NULL, NULL, NULL, 'BACTERIOPHAGE ADSORPTION PROTEIN B-RELATED', NULL, NULL, NULL, 15),
(101271, NULL, 'PTHR43112:SF24', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(101272, NULL, 'PTHR31094:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0070C17.17-LIKE PROTEIN', NULL, NULL, NULL, 15),
(101273, NULL, 'PTHR34611', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101274, NULL, 'PTHR43230', NULL, NULL, NULL, NULL, 'ABC-TYPE DIPEPTIDE/OLIGOPEPTIDE TRANSPORT SYSTEM, ATPASE COMPONENT', NULL, NULL, NULL, 15),
(101275, NULL, 'PTHR11104', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE N3-ACETYLTRANSFERASE', NULL, NULL, 1260, 15),
(101276, NULL, 'PTHR12414:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GLIAL CELLS MISSING-RELATED', NULL, NULL, NULL, 15),
(101277, NULL, 'PTHR43010:SF1', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN SLR1230', NULL, NULL, NULL, 15),
(101278, NULL, 'PTHR43393:SF2', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15),
(101279, NULL, 'PTHR32295:SF6', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 17', NULL, NULL, NULL, 15),
(101280, NULL, 'PTHR11571:SF241', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GST-36-RELATED', NULL, NULL, NULL, 15),
(101281, NULL, 'PTHR16223:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101282, NULL, 'PTHR19991:SF3', NULL, NULL, NULL, NULL, 'LETHAL (2) 01289, ISOFORM F', NULL, NULL, NULL, 15),
(101283, NULL, 'PTHR43302:SF2', NULL, NULL, NULL, NULL, 'SILICON EFFLUX TRANSPORTER LSI3', NULL, NULL, NULL, 15),
(101284, NULL, 'PTHR23070:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101285, NULL, 'PTHR12335:SF5', NULL, NULL, NULL, NULL, 'IP20336P', NULL, NULL, NULL, 15),
(101286, NULL, 'PTHR10693:SF62', NULL, NULL, NULL, NULL, 'BNAA07G24350D PROTEIN', NULL, NULL, NULL, 15),
(101287, NULL, 'PTHR47094:SF13', NULL, NULL, NULL, NULL, 'BNAA09G03100D PROTEIN', NULL, NULL, NULL, 15),
(101288, NULL, 'PTHR22765:SF336', NULL, NULL, NULL, NULL, 'BNAA05G34780D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101289, NULL, 'PTHR14209:SF23', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(101290, NULL, 'PTHR28242:SF31', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(101291, NULL, 'PTHR33978:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101292, NULL, 'PTHR36766:SF11', NULL, NULL, NULL, NULL, 'BNAA06G31950D PROTEIN', NULL, NULL, NULL, 15),
(101293, NULL, 'PTHR24209:SF29', NULL, NULL, NULL, NULL, 'PROTEIN DA1', NULL, NULL, NULL, 15),
(101294, NULL, 'PTHR13139:SF6', NULL, NULL, NULL, NULL, 'ROQUIN-1', NULL, NULL, 23661, 15),
(101295, NULL, 'PTHR23294:SF54', NULL, NULL, NULL, NULL, 'DUF895 DOMAIN MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_8G04110)', NULL, NULL, NULL, 15),
(101296, NULL, 'PTHR11362:SF129', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN PEBP-RELATED', NULL, NULL, NULL, 15),
(101297, NULL, 'PTHR11132:SF366', NULL, NULL, NULL, NULL, 'TRIOSE-PHOSPHATE TRANSPORTER DOMAIN', NULL, NULL, NULL, 15),
(101298, NULL, 'PTHR20852:SF84', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(101299, NULL, 'PTHR18952:SF232', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 7', NULL, NULL, NULL, 15),
(101300, NULL, 'PTHR11909:SF193', NULL, NULL, NULL, NULL, 'PROTEIN CBG20086', NULL, NULL, NULL, 15),
(101301, NULL, 'PTHR31818:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101302, NULL, 'PTHR31787:SF11', NULL, NULL, NULL, NULL, 'FRIZZLED/SMOOTHENED-LIKE SANS CRD PROTEIN J', NULL, NULL, NULL, 15),
(101303, NULL, 'PTHR31906:SF28', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 13, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(101304, NULL, 'PTHR23263:SF28', NULL, NULL, NULL, NULL, 'SMALL PROLINE-RICH PROTEIN 3', NULL, NULL, 3241, 15),
(101305, NULL, 'PTHR31668:SF17', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(101306, NULL, 'PTHR33775:SF2', NULL, NULL, NULL, NULL, 'CARDIAC-ENRICHED FHL2-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(101307, NULL, 'PTHR27001:SF585', NULL, NULL, NULL, NULL, 'OS02G0648100 PROTEIN', NULL, NULL, NULL, 15),
(101308, NULL, 'PTHR47233:SF2', NULL, NULL, NULL, NULL, 'CHEMOTAXIS SIGNAL TRANSDUCTION SYSTEM RESPONSE REGULATOR CHEV', NULL, NULL, NULL, 15),
(101309, NULL, 'PTHR26453:SF30', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10A6', NULL, NULL, NULL, 15),
(101310, NULL, 'PTHR11783:SF51', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(101311, NULL, 'PTHR36142:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101312, NULL, 'PTHR47990:SF91', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(101313, NULL, 'PTHR33414:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 1-RELATED 1', NULL, NULL, NULL, 15),
(101314, NULL, 'PTHR35101:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101315, NULL, 'PTHR12317:SF12', NULL, NULL, NULL, NULL, 'ACYL-COA WAX ALCOHOL ACYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(101316, NULL, 'PTHR45654:SF48', NULL, NULL, NULL, NULL, 'PROTEIN FWA, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(101317, NULL, 'PTHR22834', NULL, NULL, NULL, NULL, 'NUCLEAR FUSION PROTEIN FUS2', NULL, NULL, NULL, 15),
(101318, NULL, 'PTHR38329', NULL, NULL, NULL, NULL, 'CECROPIN-A1-RELATED', NULL, NULL, 19637, 15),
(101319, NULL, 'PTHR24418:SF384', NULL, NULL, NULL, NULL, 'ACTIVATED CDC42 KINASE', NULL, NULL, NULL, 15),
(101320, NULL, 'PTHR30154:SF52', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LRPC', NULL, NULL, NULL, 15),
(101321, NULL, 'PTHR31061:SF31', NULL, NULL, NULL, NULL, 'HEPARAN-ALPHA-GLUCOSAMINIDE N-ACETYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(101322, NULL, 'PTHR22791:SF4', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 223', NULL, NULL, NULL, 15),
(101323, NULL, 'PTHR23124:SF132', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101324, NULL, 'PTHR37171:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE YRZF-RELATED', NULL, NULL, NULL, 15),
(101325, NULL, 'PTHR13009:SF7', NULL, NULL, NULL, NULL, 'ACTIVATOR OF 90 KDA HEAT SHOCK PROTEIN ATPASE HOMOLOG 1', NULL, NULL, NULL, 15),
(101326, NULL, 'PTHR24064:SF547', NULL, NULL, NULL, NULL, 'IP17430P', NULL, NULL, NULL, 15),
(101327, NULL, 'PTHR13068:SF169', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(101328, NULL, 'PTHR35083', NULL, NULL, NULL, NULL, 'RGD1565685 PROTEIN', NULL, NULL, 25389, 15),
(101329, NULL, 'PTHR46344:SF13', NULL, NULL, NULL, NULL, 'BNAA06G00430D PROTEIN', NULL, NULL, NULL, 15),
(101330, NULL, 'PTHR27000:SF569', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RPK2', NULL, NULL, NULL, 15),
(101331, NULL, 'PTHR30480:SF13', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE', NULL, NULL, NULL, 15),
(101332, NULL, 'PTHR31942:SF53', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(101333, NULL, 'PTHR36751:SF2', NULL, NULL, NULL, NULL, 'BNAA05G30640D PROTEIN', NULL, NULL, NULL, 15),
(101334, NULL, 'PTHR31739', NULL, NULL, NULL, NULL, 'ENT-COPALYL DIPHOSPHATE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(101335, NULL, 'PTHR46563:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101336, NULL, 'PTHR17271:SF10', NULL, NULL, NULL, NULL, 'TRIO AND F-ACTIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(101337, NULL, 'PTHR12121:SF33', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(101338, NULL, 'PTHR17604', NULL, NULL, NULL, NULL, 'TRANSCRIPTION COFACTOR VESTIGIAL-LIKE PROTEIN 4', NULL, NULL, 21961, 15),
(101339, NULL, 'PTHR34660:SF6', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(101340, NULL, 'PTHR19303:SF11', NULL, NULL, NULL, NULL, 'JERKY PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(101341, NULL, 'PTHR47968:SF22', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(101342, NULL, 'PTHR31114:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-RELATED', NULL, NULL, NULL, 15),
(101343, NULL, 'PTHR30598:SF4', NULL, NULL, NULL, NULL, 'RESPIRATORY NITRATE REDUCTASE 2 GAMMA CHAIN', NULL, NULL, NULL, 15),
(101344, NULL, 'PTHR48080:SF5', NULL, NULL, NULL, NULL, 'D(-)-TARTRATE DEHYDRATASE', NULL, NULL, 11758, 15),
(101345, NULL, 'PTHR35372', NULL, NULL, NULL, NULL, 'ATP BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(101346, NULL, 'PTHR11514', NULL, NULL, NULL, NULL, 'MYC', NULL, NULL, 38028, 15),
(101347, NULL, 'PTHR10231:SF76', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 4-LIKE', NULL, NULL, NULL, 15),
(101348, NULL, 'PTHR32448:SF117', NULL, NULL, NULL, NULL, 'OS08G0158300 PROTEIN', NULL, NULL, NULL, 15),
(101349, NULL, 'PTHR47991:SF48', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', NULL, NULL, NULL, 15),
(101350, NULL, 'PTHR34297', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN-RELATED', NULL, NULL, 1997, 15),
(101351, NULL, 'PTHR12411:SF796', NULL, NULL, NULL, NULL, 'ERVATAMIN-B-LIKE', NULL, NULL, NULL, 15),
(101352, NULL, 'PTHR46168:SF17', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(101353, NULL, 'PTHR46662:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101354, NULL, 'PTHR14136:SF28', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD9', NULL, NULL, NULL, 15),
(101355, NULL, 'PTHR45695:SF6', NULL, NULL, NULL, NULL, 'BOMBESIN RECEPTOR SUBTYPE-3', NULL, NULL, NULL, 15),
(101356, NULL, 'PTHR26453:SF101', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T10', NULL, NULL, NULL, 15),
(101357, NULL, 'PTHR13060', NULL, NULL, NULL, NULL, 'SGT1 PROTEIN  HSGT1   SUPPRESSOR OF GCR2', NULL, NULL, 10649, 15),
(101358, NULL, 'PTHR11732:SF464', NULL, NULL, NULL, NULL, 'ALDOSE REDUCTASE-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(101359, NULL, 'PTHR33443:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101360, NULL, 'PTHR48056:SF9', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RCH1', NULL, NULL, NULL, 15),
(101361, NULL, 'PTHR34575:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(101362, NULL, 'PTHR31221:SF260', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 34-RELATED', NULL, NULL, NULL, 15),
(101363, NULL, 'PTHR46662:SF38', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITOR 1-LIKE', NULL, NULL, NULL, 15),
(101364, NULL, 'PTHR34935:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TIC110, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(101365, NULL, 'PTHR12632:SF48', NULL, NULL, NULL, NULL, 'OS02G0776400 PROTEIN', NULL, NULL, NULL, 15),
(101366, NULL, 'PTHR34965:SF3', NULL, NULL, NULL, NULL, 'BNAA03G52650D PROTEIN', NULL, NULL, NULL, 15),
(101367, NULL, 'PTHR33101:SF52', NULL, NULL, NULL, NULL, 'BNAA05G08410D PROTEIN', NULL, NULL, NULL, 15),
(101368, NULL, 'PTHR12400:SF87', NULL, NULL, NULL, NULL, 'KINASE', NULL, NULL, NULL, 15),
(101369, NULL, 'PTHR47980:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101370, NULL, 'PTHR45680:SF24', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(101371, NULL, 'PTHR19376:SF11', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA1', NULL, NULL, 18407, 15),
(101372, NULL, 'PTHR22996:SF21', NULL, NULL, NULL, NULL, 'BNAANNG18440D PROTEIN', NULL, NULL, NULL, 15),
(101373, NULL, 'PTHR11802:SF256', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(101374, NULL, 'PTHR19211:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101375, NULL, 'PTHR23147:SF150', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS2Z32', NULL, NULL, NULL, 15),
(101376, NULL, 'PTHR10030:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101377, NULL, 'PTHR24351:SF41', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE ALPHA-4', NULL, NULL, NULL, 15),
(101378, NULL, 'PTHR34538:SF13', NULL, NULL, NULL, NULL, 'OS07G0573000 PROTEIN', NULL, NULL, NULL, 15),
(101379, NULL, 'PTHR43085:SF38', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(101380, NULL, 'PTHR35180:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG06219', NULL, NULL, NULL, 15),
(101381, NULL, 'PTHR48043:SF45', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(101382, NULL, 'PTHR18934:SF120', NULL, NULL, NULL, NULL, 'OS06G0343100 PROTEIN', NULL, NULL, NULL, 15),
(101383, NULL, 'PTHR11271', NULL, NULL, NULL, NULL, 'GUANINE DEAMINASE', NULL, NULL, NULL, 15),
(101384, NULL, 'PTHR22883:SF286', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(101385, NULL, 'PTHR48006', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN DDB_G0281931-RELATED', NULL, NULL, NULL, 15),
(101386, NULL, 'PTHR43572:SF31', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 3', NULL, NULL, NULL, 15),
(101387, NULL, 'PTHR33204:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, MARR FAMILY', NULL, NULL, NULL, 15),
(101388, NULL, 'PTHR10161:SF35', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 3', NULL, NULL, NULL, 15),
(101389, NULL, 'PTHR46157:SF4', NULL, NULL, NULL, NULL, 'K(+) EFFLUX ANTIPORTER 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(101390, NULL, 'PTHR34148', NULL, NULL, NULL, NULL, 'ADENOSYLCOBINAMIDE-GDP RIBAZOLETRANSFERASE', NULL, NULL, 3141, 15),
(101391, NULL, 'PTHR34663', NULL, NULL, NULL, NULL, 'OS06G0637400 PROTEIN', NULL, NULL, 36931, 15),
(101392, NULL, 'PTHR32093:SF141', NULL, NULL, NULL, NULL, 'LRR EXTENSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(101393, NULL, 'PTHR11732:SF197', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER B15', NULL, NULL, NULL, 15),
(101394, NULL, 'PTHR22874:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101395, NULL, 'PTHR20921:SF7', NULL, NULL, NULL, NULL, 'PROTEIN REVERSION-TO-ETHYLENE SENSITIVITY1', NULL, NULL, NULL, 15),
(101396, NULL, 'PTHR45997:SF1', NULL, NULL, NULL, NULL, 'DNA LIGASE 4', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101397, NULL, 'PTHR31839:SF50', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1F', NULL, NULL, NULL, 15),
(101398, NULL, 'PTHR21068:SF45', NULL, NULL, NULL, NULL, 'PROTEIN EARLY-RESPONSIVE TO DEHYDRATION 7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(101399, NULL, 'PTHR42663:SF12', NULL, NULL, NULL, NULL, 'ATP-BINDING PROTEIN PHNP', NULL, NULL, NULL, 15),
(101400, NULL, 'PTHR33130:SF37', NULL, NULL, NULL, NULL, 'OS01G0132500 PROTEIN', NULL, NULL, NULL, 15),
(101401, NULL, 'PTHR44137:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101402, NULL, 'PTHR33463:SF87', NULL, NULL, NULL, NULL, 'OS01G0518651 PROTEIN', NULL, NULL, NULL, 15),
(101403, NULL, 'PTHR22855:SF31', NULL, NULL, NULL, NULL, 'ACETYL-/PROPIONYL-COA CARBOXYLASE (BETA SUBUNIT) ACCD2-RELATED', NULL, NULL, NULL, 15),
(101404, NULL, 'PTHR11260:SF524', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(101405, NULL, 'PTHR44329:SF91', NULL, NULL, NULL, NULL, 'INTEGRIN-LINKED PROTEIN KINASE 1-RELATED', NULL, NULL, NULL, 15),
(101406, NULL, 'PTHR47293:SF32', NULL, NULL, NULL, NULL, 'BNAC05G11200D PROTEIN', NULL, NULL, NULL, 15),
(101407, NULL, 'PTHR33463:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101408, NULL, 'PTHR12741:SF58', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 7-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(101409, NULL, 'PTHR11760:SF32', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3', NULL, NULL, NULL, 15),
(101410, NULL, 'PTHR31839:SF48', NULL, NULL, NULL, NULL, 'BNAC08G15650D PROTEIN', NULL, NULL, NULL, 15),
(101411, NULL, 'PTHR33191:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101412, NULL, 'PTHR44419:SF12', NULL, NULL, NULL, NULL, 'NADPH-PROTOCHLOROPHYLLIDE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(101413, NULL, 'PTHR31568:SF91', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', NULL, NULL, NULL, 15),
(101414, NULL, 'PTHR31413:SF22', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN AFP1', NULL, NULL, NULL, 15),
(101415, NULL, 'PTHR14155:SF567', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101416, NULL, 'PTHR45828:SF3', NULL, NULL, NULL, NULL, 'FERRIC-CHELATE REDUCTASE 1', NULL, NULL, NULL, 15),
(101417, NULL, 'PTHR20858:SF17', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLPYRIMIDINE/PHOSPHOMETHYLPYRIMIDINE KINASE THI20-RELATED', NULL, NULL, NULL, 15),
(101418, NULL, 'PTHR33228:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101419, NULL, 'PTHR22571', NULL, NULL, NULL, NULL, 'FILAGGRIN-RELATED', NULL, NULL, NULL, 15),
(101420, NULL, 'PTHR23147:SF175', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN LARK', NULL, NULL, NULL, 15),
(101421, NULL, 'PTHR31744:SF159', NULL, NULL, NULL, NULL, 'BNAC04G31690D PROTEIN', NULL, NULL, NULL, 15),
(101422, NULL, 'PTHR48099:SF6', NULL, NULL, NULL, NULL, 'METHENYL TETRAHYDROFOLATE CYCLOHYDROLASE / NADP-DEPENDENT METHYLENE H4F DEHYDROGENASE', NULL, NULL, NULL, 15),
(101423, NULL, 'PTHR45831:SF3', NULL, NULL, NULL, NULL, 'SMALL GLUTAMINE-RICH TETRATRICOPEPTIDE REPEAT-CONTAINING PROTEIN ALPHA', NULL, NULL, NULL, 15),
(101424, NULL, 'PTHR32046:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101425, NULL, 'PTHR47274:SF9', NULL, NULL, NULL, NULL, 'BNAC04G01300D PROTEIN', NULL, NULL, NULL, 15),
(101426, NULL, 'PTHR34450:SF8', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 232-RELATED', NULL, NULL, NULL, 15),
(101427, NULL, 'PTHR31549:SF30', NULL, NULL, NULL, NULL, 'OS05G0131000 PROTEIN', NULL, NULL, NULL, 15),
(101428, NULL, 'PTHR23509:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101429, NULL, 'PTHR11960:SF47', NULL, NULL, NULL, NULL, 'BNAA08G29940D PROTEIN', NULL, NULL, NULL, 15),
(101430, NULL, 'PTHR21723:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101431, NULL, 'PTHR32266', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE 3', NULL, NULL, 4503, 15),
(101432, NULL, 'PTHR46592:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101433, NULL, 'PTHR48111:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN OMPR', NULL, NULL, NULL, 15),
(101434, NULL, 'PTHR32227:SF362', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17-RELATED', NULL, NULL, NULL, 15),
(101435, NULL, 'PTHR31268:SF37', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(101436, NULL, 'PTHR33738:SF21', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN-RELATED', NULL, NULL, NULL, 15),
(101437, NULL, 'PTHR46361:SF5', NULL, NULL, NULL, NULL, 'ZGC:152951', NULL, NULL, NULL, 15),
(101438, NULL, 'PTHR31497:SF0', NULL, NULL, NULL, NULL, 'AUTOCRINE PROLIFERATION REPRESSOR PROTEIN A', NULL, NULL, NULL, 15),
(101439, NULL, 'PTHR36481:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101440, NULL, 'PTHR11205:SF36', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S5', NULL, NULL, NULL, 15),
(101441, NULL, 'PTHR23257:SF848', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(101442, NULL, 'PTHR12419:SF69', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(101443, NULL, 'PTHR10683', NULL, NULL, NULL, NULL, 'TRANSALDOLASE', NULL, NULL, 3456, 15),
(101444, NULL, 'PTHR43544:SF28', NULL, NULL, NULL, NULL, 'NADB-LER1-RELATED', NULL, NULL, NULL, 15),
(101445, NULL, 'PTHR30349:SF71', NULL, NULL, NULL, NULL, 'PROPHAGE INTEGRASE INTE', NULL, NULL, NULL, 15),
(101446, NULL, 'PTHR10030:SF37', NULL, NULL, NULL, NULL, 'OS09G0520800 PROTEIN', NULL, NULL, NULL, 15),
(101447, NULL, 'PTHR30618:SF13', NULL, NULL, NULL, NULL, 'PURINE-URACIL PERMEASE NCS1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(101448, NULL, 'PTHR42760:SF86', NULL, NULL, NULL, NULL, 'ESTRADIOL 17-BETA-DEHYDROGENASE 8', NULL, NULL, NULL, 15),
(101449, NULL, 'PTHR45691:SF12', NULL, NULL, NULL, NULL, 'EXCRETORY CANAL ABNORMAL PROTEIN 6', NULL, NULL, NULL, 15),
(101450, NULL, 'PTHR31636:SF261', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', NULL, NULL, NULL, 15),
(101451, NULL, 'PTHR46937:SF4', NULL, NULL, NULL, NULL, 'FERREDOXIN-THIOREDOXIN REDUCTASE, VARIABLE CHAIN', NULL, NULL, NULL, 15),
(101452, NULL, 'PTHR46641:SF2', NULL, NULL, NULL, NULL, 'FMRFAMIDE RECEPTOR', NULL, NULL, NULL, 15),
(101453, NULL, 'PTHR47991:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101454, NULL, 'PTHR24082:SF116', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR GAMMA', NULL, NULL, NULL, 15),
(101455, NULL, 'PTHR33868:SF8', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(101456, NULL, 'PTHR45974:SF175', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(101457, NULL, 'PTHR24379:SF93', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 439', NULL, NULL, NULL, 15),
(101458, NULL, 'PTHR22891:SF128', NULL, NULL, NULL, NULL, 'ARGONAUTE1', NULL, NULL, NULL, 15),
(101459, NULL, 'PTHR10896:SF19', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(101460, NULL, 'PTHR43775:SF17', NULL, NULL, NULL, NULL, 'PHTHIOCEROL SYNTHESIS POLYKETIDE SYNTHASE TYPE I PPSE', NULL, NULL, NULL, 15),
(101461, NULL, 'PTHR10891:SF881', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101462, NULL, 'PTHR31424:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG23806', NULL, NULL, NULL, 15),
(101463, NULL, 'PTHR10315:SF89', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(101464, NULL, 'PTHR31100:SF66', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(101465, NULL, 'PTHR10902', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35A', NULL, NULL, 3162, 15),
(101466, NULL, 'PTHR11680', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', NULL, NULL, 2286, 15),
(101467, NULL, 'PTHR45660:SF24', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH3-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101468, NULL, 'PTHR42721:SF1', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 6-RELATED', NULL, NULL, NULL, 15),
(101469, NULL, 'PTHR11830:SF32', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', NULL, NULL, NULL, 15),
(101470, NULL, 'PTHR12151:SF6', NULL, NULL, NULL, NULL, 'C OXIDASE ASSEMBLY FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(101471, NULL, 'PTHR32018:SF17', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(101472, NULL, 'PTHR23222:SF25', NULL, NULL, NULL, NULL, 'BNAA09G01960D PROTEIN', NULL, NULL, NULL, 15),
(101473, NULL, 'PTHR13710:SF141', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(101474, NULL, 'PTHR31561:SF27', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(101475, NULL, 'PTHR23315:SF259', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 15', NULL, NULL, NULL, 15),
(101476, NULL, 'PTHR27005:SF173', NULL, NULL, NULL, NULL, 'OS06G0170100 PROTEIN', NULL, NULL, NULL, 15),
(101477, NULL, 'PTHR47820:SF5', NULL, NULL, NULL, NULL, 'BNAC08G09430D PROTEIN', NULL, NULL, NULL, 15),
(101478, NULL, 'PTHR34223:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101479, NULL, 'PTHR32448:SF130', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 15', NULL, NULL, NULL, 15),
(101480, NULL, 'PTHR15371:SF27', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM23', NULL, NULL, NULL, 15),
(101481, NULL, 'PTHR31077:SF4', NULL, NULL, NULL, NULL, 'BNAA10G11430D PROTEIN', NULL, NULL, NULL, 15),
(101482, NULL, 'PTHR23421:SF152', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(101483, NULL, 'PTHR42803', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(101484, NULL, 'PTHR34849:SF1', NULL, NULL, NULL, NULL, 'SLR0770 PROTEIN', NULL, NULL, NULL, 15),
(101485, NULL, 'PTHR24068:SF384', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 1-RELATED', NULL, NULL, NULL, 15),
(101486, NULL, 'PTHR35282:SF11', NULL, NULL, NULL, NULL, 'EG5651', NULL, NULL, NULL, 15),
(101487, NULL, 'PTHR47969:SF10', NULL, NULL, NULL, NULL, 'CHROMOSOME-ASSOCIATED KINESIN KIF4A', NULL, NULL, NULL, 15),
(101488, NULL, 'PTHR34545:SF9', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 17', NULL, NULL, NULL, 15),
(101489, NULL, 'PTHR31374:SF6', NULL, NULL, NULL, NULL, 'OS02G0143400 PROTEIN', NULL, NULL, NULL, 15),
(101490, NULL, 'PTHR43785:SF7', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE-LIKE', NULL, NULL, NULL, 15),
(101491, NULL, 'PTHR32251:SF23', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE (DUF1295)', NULL, NULL, NULL, 15),
(101492, NULL, 'PTHR43323:SF12', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', NULL, NULL, NULL, 15),
(101493, NULL, 'PTHR21236:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YIPF6', NULL, NULL, NULL, 15),
(101494, NULL, 'PTHR46781:SF12', NULL, NULL, NULL, NULL, 'BNACNNG24210D PROTEIN', NULL, NULL, NULL, 15),
(101495, NULL, 'PTHR15541', NULL, NULL, NULL, NULL, 'GRANULYSIN RELATED', NULL, NULL, 35948, 15),
(101496, NULL, 'PTHR31239:SF4', NULL, NULL, NULL, NULL, 'NICOLIN-1', NULL, NULL, NULL, 15),
(101497, NULL, 'PTHR45730:SF13', NULL, NULL, NULL, NULL, 'OS09G0431900 PROTEIN', NULL, NULL, NULL, 15),
(101498, NULL, 'PTHR21566', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 3400, 15),
(101499, NULL, 'PTHR46327:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101500, NULL, 'PTHR26450:SF136', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52M1', NULL, NULL, NULL, 15),
(101501, NULL, 'PTHR30620:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101502, NULL, 'PTHR24068:SF363', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', NULL, NULL, NULL, 15),
(101503, NULL, 'PTHR24300:SF310', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 555A1-RELATED', NULL, NULL, NULL, 15),
(101504, NULL, 'PTHR11003:SF273', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS PROTEIN 9', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101505, NULL, 'PTHR11324:SF16', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(101506, NULL, 'PTHR33779', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(101507, NULL, 'PTHR31744:SF119', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 92-LIKE', NULL, NULL, NULL, 15),
(101508, NULL, 'PTHR10551', NULL, NULL, NULL, NULL, 'FASCIN', NULL, NULL, 9530, 15),
(101509, NULL, 'PTHR42048', NULL, NULL, NULL, NULL, 'ARS-BINDING PROTEIN 2', NULL, NULL, 15517, 15),
(101510, NULL, 'PTHR13370:SF22', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(101511, NULL, 'PTHR10168:SF258', NULL, NULL, NULL, NULL, 'BNAA09G51030D PROTEIN', NULL, NULL, NULL, 15),
(101512, NULL, 'PTHR48004:SF40', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', NULL, NULL, NULL, 15),
(101513, NULL, 'PTHR31238:SF174', NULL, NULL, NULL, NULL, 'NECTARIN-1-LIKE', NULL, NULL, NULL, 15),
(101514, NULL, 'PTHR24408:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101515, NULL, 'PTHR44819', NULL, NULL, NULL, NULL, 'V-TYPE IMMUNOGLOBULIN DOMAIN-CONTAINING SUPPRESSOR OF T-CELL ACTIVATION', NULL, NULL, 37077, 15),
(101516, NULL, 'PTHR36139:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101517, NULL, 'PTHR32063:SF0', NULL, NULL, NULL, NULL, 'SWARMING MOTILITY PROTEIN SWRC', NULL, NULL, NULL, 15),
(101518, NULL, 'PTHR45820:SF1', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 1', NULL, NULL, NULL, 15),
(101519, NULL, 'PTHR24115:SF907', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14M', NULL, NULL, NULL, 15),
(101520, NULL, 'PTHR10381:SF8', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(101521, NULL, 'PTHR31692:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101522, NULL, 'PTHR37076:SF4', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-79 SPECIFIC-LIKE', NULL, NULL, NULL, 15),
(101523, NULL, 'PTHR10788:SF102', NULL, NULL, NULL, NULL, 'TREHALOSE-6-PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(101524, NULL, 'PTHR11062:SF235', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(101525, NULL, 'PTHR17204:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101526, NULL, 'PTHR11453:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101527, NULL, 'PTHR23110:SF93', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 14-LIKE PROTEIN', NULL, NULL, NULL, 15),
(101528, NULL, 'PTHR46610:SF3', NULL, NULL, NULL, NULL, 'OS01G0238200 PROTEIN', NULL, NULL, NULL, 15),
(101529, NULL, 'PTHR31563:SF16', NULL, NULL, NULL, NULL, 'BNAA09G42380D PROTEIN', NULL, NULL, NULL, 15),
(101530, NULL, 'PTHR24377:SF810', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC024063-RELATED', NULL, NULL, NULL, 15),
(101531, NULL, 'PTHR47572:SF3', NULL, NULL, NULL, NULL, 'GLUCONOLACTONASE', NULL, NULL, NULL, 15),
(101532, NULL, 'PTHR43888:SF25', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(101533, NULL, 'PTHR33143:SF46', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 25-LIKE', NULL, NULL, NULL, 15),
(101534, NULL, 'PTHR42861:SF21', NULL, NULL, NULL, NULL, 'H+-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(101535, NULL, 'PTHR24421', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE SENSOR PROTEIN NARX-RELATED', NULL, NULL, NULL, 15),
(101536, NULL, 'PTHR10026:SF112', NULL, NULL, NULL, NULL, 'CTD KINASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(101537, NULL, 'PTHR24023:SF983', NULL, NULL, NULL, NULL, 'COLLAGEN STRUCTURAL', NULL, NULL, NULL, 15),
(101538, NULL, 'PTHR22573:SF37', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE-1', NULL, NULL, NULL, 15),
(101539, NULL, 'PTHR34452:SF5', NULL, NULL, NULL, NULL, 'MYOSIN-13-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(101540, NULL, 'PTHR11782:SF38', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 3', NULL, NULL, NULL, 15),
(101541, NULL, 'PTHR43900:SF78', NULL, NULL, NULL, NULL, 'BNAC03G17110D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101542, NULL, 'PTHR10369:SF40', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L44-LIKE', NULL, NULL, NULL, 15),
(101543, NULL, 'PTHR23137:SF24', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN SFT2A', NULL, NULL, NULL, 15),
(101544, NULL, 'PTHR43072:SF19', NULL, NULL, NULL, NULL, 'PROTEIN SPT10', NULL, NULL, NULL, 15),
(101545, NULL, 'PTHR45914:SF13', NULL, NULL, NULL, NULL, 'OS01G0566800 PROTEIN', NULL, NULL, NULL, 15),
(101546, NULL, 'PTHR47956:SF64', NULL, NULL, NULL, NULL, 'OS02G0184600 PROTEIN', NULL, NULL, NULL, 15),
(101547, NULL, 'PTHR33372', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 19870, 15),
(101548, NULL, 'PTHR13382:SF14', NULL, NULL, NULL, NULL, 'BNAC09G21680D PROTEIN', NULL, NULL, NULL, 15),
(101549, NULL, 'PTHR10693:SF57', NULL, NULL, NULL, NULL, 'BNAA06G39850D PROTEIN', NULL, NULL, NULL, 15),
(101550, NULL, 'PTHR21510:SF15', NULL, NULL, NULL, NULL, 'MICROTUBULE ORGANIZATION PROTEIN AKNA', NULL, NULL, NULL, 15),
(101551, NULL, 'PTHR14221:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WD40-LIKE FAMILY-RELATED', NULL, NULL, NULL, 15),
(101552, NULL, 'PTHR10516:SF435', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(101553, NULL, 'PTHR31589:SF111', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PEPTIDASE', NULL, NULL, NULL, 15),
(101554, NULL, 'PTHR12962', NULL, NULL, NULL, NULL, 'CALCIUM-REGULATED HEAT STABLE PROTEIN CRHSP-24-RELATED', NULL, NULL, NULL, 15),
(101555, NULL, 'PTHR45836:SF9', NULL, NULL, NULL, NULL, 'SLIT HOMOLOG 3 PROTEIN', NULL, NULL, NULL, 15),
(101556, NULL, 'PTHR14194', NULL, NULL, NULL, NULL, 'NITROGEN METABOLIC REGULATION PROTEIN NMR-RELATED', NULL, NULL, 37809, 15),
(101557, NULL, 'PTHR18945:SF462', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', NULL, NULL, NULL, 15),
(101558, NULL, 'PTHR31147', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 4', NULL, NULL, NULL, 15),
(101559, NULL, 'PTHR14110:SF1', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM22-2-RELATED', NULL, NULL, NULL, 15),
(101560, NULL, 'PTHR27005:SF362', NULL, NULL, NULL, NULL, 'BNAA09G41970D PROTEIN', NULL, NULL, NULL, 15),
(101561, NULL, 'PTHR34849:SF4', NULL, NULL, NULL, NULL, 'SLR1209 PROTEIN', NULL, NULL, NULL, 15),
(101562, NULL, 'PTHR11364:SF33', NULL, NULL, NULL, NULL, 'BNAC02G25610D PROTEIN', NULL, NULL, NULL, 15),
(101563, NULL, 'PTHR23259:SF64', NULL, NULL, NULL, NULL, 'PROTEIN CBG24123', NULL, NULL, NULL, 15),
(101564, NULL, 'PTHR44259:SF10', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(101565, NULL, 'PTHR24061', NULL, NULL, NULL, NULL, 'CALCIUM-SENSING RECEPTOR-RELATED', NULL, NULL, 3692, 15),
(101566, NULL, 'PTHR22907:SF16', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(101567, NULL, 'PTHR47844', NULL, NULL, NULL, NULL, 'SYNTHASE CPS1, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G02500)-RELATED', NULL, NULL, NULL, 15),
(101568, NULL, 'PTHR30086:SF16', NULL, NULL, NULL, NULL, 'LYSE TYPE TRANSLOCATOR-RELATED', NULL, NULL, NULL, 15),
(101569, NULL, 'PTHR43337:SF12', NULL, NULL, NULL, NULL, 'ADENINE/GUANINE PERMEASE AZG1', NULL, NULL, NULL, 15),
(101570, NULL, 'PTHR11835:SF48', NULL, NULL, NULL, NULL, 'HOMOISOCITRATE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(101571, NULL, 'PTHR10663:SF323', NULL, NULL, NULL, NULL, 'CYTOHESIN-4', NULL, NULL, NULL, 15),
(101572, NULL, 'PTHR23333:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101573, NULL, 'PTHR46048:SF1', NULL, NULL, NULL, NULL, 'OXOEICOSANOID RECEPTOR 1', NULL, NULL, NULL, 15),
(101574, NULL, 'PTHR11616:SF233', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(101575, NULL, 'PTHR22765:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101576, NULL, 'PTHR11183:SF113', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 136 PROTEIN', NULL, NULL, NULL, 15),
(101577, NULL, 'PTHR12375:SF18', NULL, NULL, NULL, NULL, 'LUC7-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(101578, NULL, 'PTHR14963:SF5', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 28', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101579, NULL, 'PTHR45631:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101580, NULL, 'PTHR44329:SF17', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 12', NULL, NULL, NULL, 15),
(101581, NULL, 'PTHR27006:SF375', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', NULL, NULL, NULL, 15),
(101582, NULL, 'PTHR24409:SF385', NULL, NULL, NULL, NULL, 'FINGER PUTATIVE TRANSCRIPTION FACTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(101583, NULL, 'PTHR31069:SF19', NULL, NULL, NULL, NULL, 'OLEATE-ACTIVATED TRANSCRIPTION FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(101584, NULL, 'PTHR34961:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(101585, NULL, 'PTHR47981:SF26', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABG3E', NULL, NULL, NULL, 15),
(101586, NULL, 'PTHR30146:SF100', NULL, NULL, NULL, NULL, 'LACTOSE OPERON REPRESSOR', NULL, NULL, NULL, 15),
(101587, NULL, 'PTHR19446:SF445', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101588, NULL, 'PTHR44329:SF144', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(101589, NULL, 'PTHR23163:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BRE1', NULL, NULL, NULL, 15),
(101590, NULL, 'PTHR13627:SF28', NULL, NULL, NULL, NULL, 'AGAP006029-PA', NULL, NULL, NULL, 15),
(101591, NULL, 'PTHR18860:SF122', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN 10', NULL, NULL, NULL, 15),
(101592, NULL, 'PTHR15929:SF0', NULL, NULL, NULL, NULL, 'STORE-OPERATED CALCIUM ENTRY-ASSOCIATED REGULATORY FACTOR', NULL, NULL, NULL, 15),
(101593, NULL, 'PTHR33571:SF16', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(101594, NULL, 'PTHR10809:SF112', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 1-1-LIKE', NULL, NULL, NULL, 15),
(101595, NULL, 'PTHR12025:SF12', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR B', NULL, NULL, NULL, 15),
(101596, NULL, 'PTHR10127:SF791', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(101597, NULL, 'PTHR45676:SF87', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL52-LIKE', NULL, NULL, NULL, 15),
(101598, NULL, 'PTHR24192:SF2', NULL, NULL, NULL, NULL, 'ANKRD40 C-TERMINAL-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(101599, NULL, 'PTHR21500:SF3', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE A', NULL, NULL, NULL, 15),
(101600, NULL, 'PTHR11527:SF260', NULL, NULL, NULL, NULL, '18.0 KDA CLASS II HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(101601, NULL, 'PTHR14247', NULL, NULL, NULL, NULL, 'BREAST CANCER ANTI-ESTROGEN RESISTANCE PROTEIN 3 HOMOLOG-LIKE PROTEIN', NULL, NULL, NULL, 15),
(101602, NULL, 'PTHR24384:SF201', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 678-RELATED', NULL, NULL, NULL, 15),
(101603, NULL, 'PTHR45743:SF43', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT1-LIKE', NULL, NULL, NULL, 15),
(101604, NULL, 'PTHR31009:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101605, NULL, 'PTHR31206:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FAM177B', NULL, NULL, NULL, 15),
(101606, NULL, 'PTHR10891:SF897', NULL, NULL, NULL, NULL, 'BNAA02G29610D PROTEIN', NULL, NULL, NULL, 15),
(101607, NULL, 'PTHR10977:SF7', NULL, NULL, NULL, NULL, 'DIPHOSPHOMEVALONATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(101608, NULL, 'PTHR10476:SF44', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 2 HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(101609, NULL, 'PTHR24399:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 39', NULL, NULL, NULL, 15),
(101610, NULL, 'PTHR11440:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID--STEROL O-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(101611, NULL, 'PTHR24026:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101612, NULL, 'PTHR26450:SF149', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(101613, NULL, 'PTHR42938:SF11', NULL, NULL, NULL, NULL, 'ERYTHRONATE-4-PHOSPHATE DEHYDROGENASE FAMILY PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101614, NULL, 'PTHR10078:SF24', NULL, NULL, NULL, NULL, 'INTERLEUKIN-36 BETA', NULL, NULL, 27058, 15),
(101615, NULL, 'PTHR31286:SF11', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1.8-LIKE', NULL, NULL, NULL, 15),
(101616, NULL, 'PTHR23036:SF169', NULL, NULL, NULL, NULL, 'MYOTACTIN FORM B', NULL, NULL, NULL, 15),
(101617, NULL, 'PTHR11909:SF103', NULL, NULL, NULL, NULL, 'BCDNA.LD23371', NULL, NULL, NULL, 15),
(101618, NULL, 'PTHR12411:SF596', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101619, NULL, 'PTHR45744:SF19', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE TAT2 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(101620, NULL, 'PTHR47985:SF46', NULL, NULL, NULL, NULL, 'TELOKIN/MYOSIN LIGHT CHAIN KINASE-RELATED', NULL, NULL, NULL, 15),
(101621, NULL, 'PTHR23507:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG19357', NULL, NULL, NULL, 15),
(101622, NULL, 'PTHR26454:SF26', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(101623, NULL, 'PTHR43329:SF113', NULL, NULL, NULL, NULL, 'BNACNNG19250D PROTEIN', NULL, NULL, NULL, 15),
(101624, NULL, 'PTHR10434:SF15', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL LYSOPHOSPHOLIPID TRANSPORTER-2-ACYL GLYCEROPHOSPHOETHANOLAMINE ACYL TRANSFERASE/ACYL ACP SYNTHETASE', NULL, NULL, NULL, 15),
(101625, NULL, 'PTHR31992:SF105', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.7', NULL, NULL, NULL, 15),
(101626, NULL, 'PTHR31374:SF201', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(101627, NULL, 'PTHR46858:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE APD1-RELATED', NULL, NULL, NULL, 15),
(101628, NULL, 'PTHR24414:SF156', NULL, NULL, NULL, NULL, 'BNAC05G46750D PROTEIN', NULL, NULL, NULL, 15),
(101629, NULL, 'PTHR15860:SF19', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(101630, NULL, 'PTHR12741:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101631, NULL, 'PTHR34671:SF14', NULL, NULL, NULL, NULL, 'EM PROTEIN', NULL, NULL, NULL, 15),
(101632, NULL, 'PTHR43240:SF8', NULL, NULL, NULL, NULL, 'BLR4161 PROTEIN', NULL, NULL, NULL, 15),
(101633, NULL, 'PTHR36129:SF1', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER SUBUNIT BETA', NULL, NULL, NULL, 15),
(101634, NULL, 'PTHR31719:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101635, NULL, 'PTHR10257:SF89', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 56 KDA REGULATORY SUBUNIT DELTA ISOFORM', NULL, NULL, NULL, 15),
(101636, NULL, 'PTHR43367:SF1', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR6-RELATED', NULL, NULL, NULL, 15),
(101637, NULL, 'PTHR24281:SF15', NULL, NULL, NULL, NULL, 'OS02G0503800 PROTEIN', NULL, NULL, NULL, 15),
(101638, NULL, 'PTHR34002', NULL, NULL, NULL, NULL, 'BLR1656 PROTEIN', NULL, NULL, 1827, 15),
(101639, NULL, 'PTHR43539:SF64', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(101640, NULL, 'PTHR20426', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN TSR3 HOMOLOG', NULL, NULL, 14846, 15),
(101641, NULL, 'PTHR33065:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101642, NULL, 'PTHR46692:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101643, NULL, 'PTHR24247:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101644, NULL, 'PTHR48044:SF47', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(101645, NULL, 'PTHR23315:SF82', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(101646, NULL, 'PTHR36560', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(101647, NULL, 'PTHR34479:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 30', NULL, NULL, NULL, 15),
(101648, NULL, 'PTHR21646:SF68', NULL, NULL, NULL, NULL, 'OS07G0160000 PROTEIN', NULL, NULL, NULL, 15),
(101649, NULL, 'PTHR45089:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101650, NULL, 'PTHR33128:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101651, NULL, 'PTHR11362:SF108', NULL, NULL, NULL, NULL, 'PROTEIN BROTHER OF FT AND TFL 1', NULL, NULL, NULL, 15),
(101652, NULL, 'PTHR48041:SF33', NULL, NULL, NULL, NULL, 'PROTEIN BROWN', NULL, NULL, NULL, 15),
(101653, NULL, 'PTHR11063:SF26', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(101654, NULL, 'PTHR19278:SF42', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLTRANSFERASE, OROTIDINE 5-PHOSPHATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(101655, NULL, 'PTHR23257:SF853', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', NULL, NULL, NULL, 15),
(101656, NULL, 'PTHR46709:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG14462', NULL, NULL, NULL, 15),
(101657, NULL, 'PTHR43523:SF21', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(101658, NULL, 'PTHR11693:SF33', NULL, NULL, NULL, NULL, 'ATP SYNTHASE GAMMA CHAIN, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(101659, NULL, 'PTHR27005:SF350', NULL, NULL, NULL, NULL, 'OS08G0374600 PROTEIN', NULL, NULL, NULL, 15),
(101660, NULL, 'PTHR31218:SF269', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(101661, NULL, 'PTHR14909:SF6', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G5C', NULL, NULL, NULL, 15),
(101662, NULL, 'PTHR30457:SF5', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE ALR3139-RELATED', NULL, NULL, NULL, 15),
(101663, NULL, 'PTHR11439:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101664, NULL, 'PTHR46910:SF22', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(101665, NULL, 'PTHR46563', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101666, NULL, 'PTHR39452', NULL, NULL, NULL, NULL, 'CHEY-P PHOSPHATASE CHEX', NULL, NULL, 35343, 15),
(101667, NULL, 'PTHR46053:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH4', NULL, NULL, NULL, 15),
(101668, NULL, 'PTHR11461:SF340', NULL, NULL, NULL, NULL, 'Z, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(101669, NULL, 'PTHR44083:SF7', NULL, NULL, NULL, NULL, 'TOPLESS-LIKE PROTEIN', NULL, NULL, NULL, 15),
(101670, NULL, 'PTHR48050:SF14', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE UGT80A2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(101671, NULL, 'PTHR23305:SF9', NULL, NULL, NULL, NULL, 'OBG-LIKE ATPASE HOMOLOG', NULL, NULL, NULL, 15),
(101672, NULL, 'PTHR21636', NULL, NULL, NULL, NULL, 'PROTEIN DOK-7', NULL, NULL, 30678, 15),
(101673, NULL, 'PTHR11783:SF107', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(101674, NULL, 'PTHR12774:SF6', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 19-2', NULL, NULL, NULL, 15),
(101675, NULL, 'PTHR13683:SF800', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(101676, NULL, 'PTHR30154:SF36', NULL, NULL, NULL, NULL, 'REGULATOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(101677, NULL, 'PTHR45956:SF3', NULL, NULL, NULL, NULL, 'RUN AND FYVE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(101678, NULL, 'PTHR39117:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 28', NULL, NULL, NULL, 15),
(101679, NULL, 'PTHR43628:SF1', NULL, NULL, NULL, NULL, 'ACTIVATOR OF C KINASE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(101680, NULL, 'PTHR18919:SF133', NULL, NULL, NULL, NULL, 'PROTEIN CBG24740', NULL, NULL, NULL, 15),
(101681, NULL, 'PTHR10671:SF98', NULL, NULL, NULL, NULL, 'PERIPHERAL MYELIN PROTEIN 22-LIKE', NULL, NULL, NULL, 15),
(101682, NULL, 'PTHR11771:SF34', NULL, NULL, NULL, NULL, 'ARACHIDONATE 12-LIPOXYGENASE, EPIDERMAL-TYPE', NULL, NULL, NULL, 15),
(101683, NULL, 'PTHR42695:SF8', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL PEPTIDASE 2-RELATED', NULL, NULL, NULL, 15),
(101684, NULL, 'PTHR43888:SF32', NULL, NULL, NULL, NULL, 'DNAJ-LIKE PROTEIN', NULL, NULL, NULL, 15),
(101685, NULL, 'PTHR11787:SF23', NULL, NULL, NULL, NULL, 'GERANYLGERANYL TRANSFERASE COMPONENT A, PUTATIVE-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101686, NULL, 'PTHR48147:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG25343', NULL, NULL, NULL, 15),
(101687, NULL, 'PTHR47990:SF46', NULL, NULL, NULL, NULL, 'ISOPENICILLIN N SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(101688, NULL, 'PTHR31503:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 3', NULL, NULL, NULL, 15),
(101689, NULL, 'PTHR43859:SF11', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA SYNTHETASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(101690, NULL, 'PTHR38710', NULL, NULL, NULL, NULL, 'WITH PUTATIVE URIDYL PYROPHOSPHORYLASE-RELATED', NULL, NULL, NULL, 15),
(101691, NULL, 'PTHR33326:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101692, NULL, 'PTHR47965:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101693, NULL, 'PTHR28359', NULL, NULL, NULL, NULL, 'ASHWIN', NULL, NULL, 28783, 15),
(101694, NULL, 'PTHR11860:SF85', NULL, NULL, NULL, NULL, 'PROTEIN CD300H', NULL, NULL, NULL, 15),
(101695, NULL, 'PTHR10136:SF8', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 1C MEMBER 1-RELATED', NULL, NULL, 23113, 15),
(101696, NULL, 'PTHR23349:SF62', NULL, NULL, NULL, NULL, 'MUSCULIN', NULL, NULL, NULL, 15),
(101697, NULL, 'PTHR28567', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 28071, 15),
(101698, NULL, 'PTHR31509:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101699, NULL, 'PTHR23403:SF5', NULL, NULL, NULL, NULL, 'TREHALASE', NULL, NULL, NULL, 15),
(101700, NULL, 'PTHR14139:SF3', NULL, NULL, NULL, NULL, 'CALSYNTENIN-2', NULL, NULL, NULL, 15),
(101701, NULL, 'PTHR11829:SF366', NULL, NULL, NULL, NULL, 'FORK HEAD DOMAIN TRANSCRIPTION FACTOR SLP1-RELATED', NULL, NULL, NULL, 15),
(101702, NULL, 'PTHR45647:SF104', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(101703, NULL, 'PTHR12280:SF23', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE 1', NULL, NULL, NULL, 15),
(101704, NULL, 'PTHR22835:SF598', NULL, NULL, NULL, NULL, 'OS03G0365475 PROTEIN', NULL, NULL, NULL, 15),
(101705, NULL, 'PTHR46323:SF2', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 2 PROTEIN', NULL, NULL, NULL, 15),
(101706, NULL, 'PTHR47926:SF12', NULL, NULL, NULL, NULL, 'BNAA06G12610D PROTEIN', NULL, NULL, NULL, 15),
(101707, NULL, 'PTHR33981:SF16', NULL, NULL, NULL, NULL, 'FYD', NULL, NULL, NULL, 15),
(101708, NULL, 'PTHR23255:SF70', NULL, NULL, NULL, NULL, 'ACTIVIN RECEPTOR TYPE-2B', NULL, NULL, NULL, 15),
(101709, NULL, 'PTHR21145:SF12', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', NULL, NULL, NULL, 15),
(101710, NULL, 'PTHR13382:SF22', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP14', NULL, NULL, NULL, 15),
(101711, NULL, 'PTHR31989:SF192', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 43-LIKE', NULL, NULL, NULL, 15),
(101712, NULL, 'PTHR45832:SF3', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, 20289, 15),
(101713, NULL, 'PTHR24026:SF97', NULL, NULL, NULL, NULL, 'CADHERIN FAMILY', NULL, NULL, NULL, 15),
(101714, NULL, 'PTHR11738:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101715, NULL, 'PTHR28127:SF1', NULL, NULL, NULL, NULL, 'RIBOSOME ASSEMBLY PROTEIN 3', NULL, NULL, NULL, 15),
(101716, NULL, 'PTHR32212:SF357', NULL, NULL, NULL, NULL, 'BNAC03G14880D PROTEIN', NULL, NULL, NULL, 15),
(101717, NULL, 'PTHR23158:SF33', NULL, NULL, NULL, NULL, 'TRANSPORT AND GOLGI ORGANIZATION PROTEIN 1', NULL, NULL, NULL, 15),
(101718, NULL, 'PTHR33392:SF10', NULL, NULL, NULL, NULL, 'POLYISOPRENYL-TEICHOIC ACID--PEPTIDOGLYCAN TEICHOIC ACID TRANSFERASE TAGV', NULL, NULL, NULL, 15),
(101719, NULL, 'PTHR23226:SF217', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 727', NULL, NULL, NULL, 15),
(101720, NULL, 'PTHR22884:SF490', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(101721, NULL, 'PTHR12409', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 3', NULL, NULL, 19567, 15),
(101722, NULL, 'PTHR13069:SF21', NULL, NULL, NULL, NULL, 'TRNA METHYLTRANSFERASE 9B-RELATED', NULL, NULL, 23525, 15),
(101723, NULL, 'PTHR31044:SF87', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101724, NULL, 'PTHR43730', NULL, NULL, NULL, NULL, 'BETA-MANNOSIDASE', NULL, NULL, NULL, 15),
(101725, NULL, 'PTHR23278:SF2', NULL, NULL, NULL, NULL, 'AGAP001925-PA', NULL, NULL, NULL, 15),
(101726, NULL, 'PTHR47027', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101727, NULL, 'PTHR30544:SF8', NULL, NULL, NULL, NULL, 'RADICAL SAM SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(101728, NULL, 'PTHR24416:SF566', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR', NULL, NULL, NULL, 15),
(101729, NULL, 'PTHR40626:SF10', NULL, NULL, NULL, NULL, 'C2H2 FINGER DOMAIN TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(101730, NULL, 'PTHR14389:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM111B', NULL, NULL, NULL, 15),
(101731, NULL, 'PTHR11022:SF63', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-RECOGNITION PROTEIN SA', NULL, NULL, NULL, 15),
(101732, NULL, 'PTHR33530:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101733, NULL, 'PTHR10155:SF11', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 3', NULL, NULL, 27349, 15),
(101734, NULL, 'PTHR32061', NULL, NULL, NULL, NULL, 'NMDA RECEPTOR SYNAPTONUCLEAR SIGNALING AND NEURONAL MIGRATION FACTOR', NULL, NULL, 35426, 15),
(101735, NULL, 'PTHR10366:SF614', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101736, NULL, 'PTHR11669:SF61', NULL, NULL, NULL, NULL, 'BNAC02G34560D PROTEIN', NULL, NULL, NULL, 15),
(101737, NULL, 'PTHR23517:SF11', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', NULL, NULL, NULL, 15),
(101738, NULL, 'PTHR23322:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101739, NULL, 'PTHR11388:SF103', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 4C1', NULL, NULL, NULL, 15),
(101740, NULL, 'PTHR21677:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101741, NULL, 'PTHR22912:SF93', NULL, NULL, NULL, NULL, 'SOLUBLE PYRIDINE NUCLEOTIDE TRANSHYDROGENASE', NULL, NULL, NULL, 15),
(101742, NULL, 'PTHR14058:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FE65 HOMOLOG', NULL, NULL, NULL, 15),
(101743, NULL, 'PTHR21529:SF4', NULL, NULL, NULL, NULL, 'TPR AND ANKYRIN REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(101744, NULL, 'PTHR11080', NULL, NULL, NULL, NULL, 'PYRAZINAMIDASE/NICOTINAMIDASE', NULL, NULL, NULL, 15),
(101745, NULL, 'PTHR46235:SF13', NULL, NULL, NULL, NULL, 'EDM2-LIKE PROTEIN1', NULL, NULL, NULL, 15),
(101746, NULL, 'PTHR35989:SF3', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 32-LIKE', NULL, NULL, NULL, 15),
(101747, NULL, 'PTHR21576:SF73', NULL, NULL, NULL, NULL, 'F1C9.29 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(101748, NULL, 'PTHR30349:SF34', NULL, NULL, NULL, NULL, 'INTEGRASE/RECOMBINASE YOEC-RELATED', NULL, NULL, NULL, 15),
(101749, NULL, 'PTHR48063:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', NULL, NULL, NULL, 15),
(101750, NULL, 'PTHR38492:SF1', NULL, NULL, NULL, NULL, 'ADROPIN', NULL, NULL, NULL, 15),
(101751, NULL, 'PTHR33305:SF11', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 2 PROTEIN', NULL, NULL, NULL, 15),
(101752, NULL, 'PTHR33083:SF86', NULL, NULL, NULL, NULL, 'SENESCENCE REGULATOR S40-RELATED', NULL, NULL, NULL, 15),
(101753, NULL, 'PTHR43574:SF33', NULL, NULL, NULL, NULL, 'OS02G0137700 PROTEIN', NULL, NULL, NULL, 15),
(101754, NULL, 'PTHR44427:SF9', NULL, NULL, NULL, NULL, 'SI:DKEY-93H22.7', NULL, NULL, NULL, 15),
(101755, NULL, 'PTHR31717:SF2', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(101756, NULL, 'PTHR46333:SF2', NULL, NULL, NULL, NULL, 'CYTOKINESIS PROTEIN 3', NULL, NULL, NULL, 15),
(101757, NULL, 'PTHR13720:SF18', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 44', NULL, NULL, NULL, 15),
(101758, NULL, 'PTHR31235:SF289', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(101759, NULL, 'PTHR21450:SF51', NULL, NULL, NULL, NULL, 'OS07G0211900 PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101760, NULL, 'PTHR38332:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11604', NULL, NULL, NULL, 15),
(101761, NULL, 'PTHR12224:SF18', NULL, NULL, NULL, NULL, 'BNAC05G09150D PROTEIN', NULL, NULL, NULL, 15),
(101762, NULL, 'PTHR31388:SF147', NULL, NULL, NULL, NULL, 'PEROXIDASE 58', NULL, NULL, NULL, 15),
(101763, NULL, 'PTHR35562:SF1', NULL, NULL, NULL, NULL, 'UPF0115 PROTEIN YFCN', NULL, NULL, NULL, 15),
(101764, NULL, 'PTHR46103:SF1', NULL, NULL, NULL, NULL, 'RRNA METHYLTRANSFERASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(101765, NULL, 'PTHR12004:SF3', NULL, NULL, NULL, NULL, 'EARLY PLACENTA INSULIN-LIKE PEPTIDE', NULL, NULL, 18629, 15),
(101766, NULL, 'PTHR31016:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101767, NULL, 'PTHR45907:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', NULL, NULL, NULL, 15),
(101768, NULL, 'PTHR31948:SF105', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(101769, NULL, 'PTHR24096:SF261', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 6', NULL, NULL, NULL, 15),
(101770, NULL, 'PTHR19282:SF471', NULL, NULL, NULL, NULL, 'CD63 ANTIGEN', NULL, NULL, NULL, 15),
(101771, NULL, 'PTHR47992:SF133', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 1-RELATED', NULL, NULL, NULL, 15),
(101772, NULL, 'PTHR10285:SF179', NULL, NULL, NULL, NULL, 'URIDINE KINASE-LIKE PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(101773, NULL, 'PTHR46692', NULL, NULL, NULL, NULL, 'INOSINE-URIDINE PREFERRING NUCLEOSIDE HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(101774, NULL, 'PTHR11947:SF42', NULL, NULL, NULL, NULL, 'BNAA05G30880D PROTEIN', NULL, NULL, NULL, 15),
(101775, NULL, 'PTHR31225:SF131', NULL, NULL, NULL, NULL, 'VIRIDIFLORENE SYNTHASE', NULL, NULL, NULL, 15),
(101776, NULL, 'PTHR40254:SF1', NULL, NULL, NULL, NULL, 'BLR0577 PROTEIN', NULL, NULL, NULL, 15),
(101777, NULL, 'PTHR32102:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101778, NULL, 'PTHR32246:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101779, NULL, 'PTHR14187', NULL, NULL, NULL, NULL, 'ALPHA KINASE/ELONGATION FACTOR 2 KINASE', NULL, NULL, NULL, 15),
(101780, NULL, 'PTHR23262:SF208', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-1', NULL, NULL, NULL, 15),
(101781, NULL, 'PTHR45618:SF18', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OXALOACETATE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(101782, NULL, 'PTHR12161:SF71', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', NULL, NULL, NULL, 15),
(101783, NULL, 'PTHR18875:SF5', NULL, NULL, NULL, NULL, 'DEUTEROSOME ASSEMBLY PROTEIN 1', NULL, NULL, 24057, 15),
(101784, NULL, 'PTHR23257:SF832', NULL, NULL, NULL, NULL, 'PROTEIN KINASE ATN1', NULL, NULL, NULL, 15),
(101785, NULL, 'PTHR46910:SF24', NULL, NULL, NULL, NULL, 'HALOTOLERANCE PROTEIN 9', NULL, NULL, NULL, 15),
(101786, NULL, 'PTHR11206:SF393', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(101787, NULL, 'PTHR31140:SF72', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR ARF14', NULL, NULL, NULL, 15),
(101788, NULL, 'PTHR11334:SF57', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER D', NULL, NULL, NULL, 15),
(101789, NULL, 'PTHR31169', NULL, NULL, NULL, NULL, 'OS05G0300700 PROTEIN', NULL, NULL, 33916, 15),
(101790, NULL, 'PTHR36438', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER REPAIR PROTEIN YTFE', NULL, NULL, 12006, 15),
(101791, NULL, 'PTHR11814:SF247', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101792, NULL, 'PTHR10352:SF13', NULL, NULL, NULL, NULL, 'ELAV-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(101793, NULL, 'PTHR32295:SF183', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 3', NULL, NULL, NULL, 15),
(101794, NULL, 'PTHR24368:SF1', NULL, NULL, NULL, NULL, 'AMPHOTERIN-INDUCED PROTEIN 1', NULL, NULL, 22924, 15),
(101795, NULL, 'PTHR12247:SF89', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101796, NULL, 'PTHR10887:SF491', NULL, NULL, NULL, NULL, 'RNA HELICASE SDE3-RELATED', NULL, NULL, NULL, 15),
(101797, NULL, 'PTHR46273:SF7', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR EGL-6 ISOFORM B', NULL, NULL, NULL, 15),
(101798, NULL, 'PTHR14429:SF5', NULL, NULL, NULL, NULL, 'AUTISM SUSCEPTIBILITY GENE 2 PROTEIN', NULL, NULL, NULL, 15),
(101799, NULL, 'PTHR22802:SF390', NULL, NULL, NULL, NULL, 'SI:DKEY-61F9.1', NULL, NULL, NULL, 15),
(101800, NULL, 'PTHR45638:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101801, NULL, 'PTHR45714:SF47', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(101802, NULL, 'PTHR10796:SF105', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(101803, NULL, 'PTHR21392', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35712, 15),
(101804, NULL, 'PTHR24115:SF924', NULL, NULL, NULL, NULL, 'BNAA09G05100D PROTEIN', NULL, NULL, NULL, 15),
(101805, NULL, 'PTHR24221:SF515', NULL, NULL, NULL, NULL, 'OS04G0481700 PROTEIN', NULL, NULL, NULL, 15),
(101806, NULL, 'PTHR10775:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101807, NULL, 'PTHR23406:SF81', NULL, NULL, NULL, NULL, 'MALIC ENZYME', NULL, NULL, NULL, 15),
(101808, NULL, 'PTHR45687:SF71', NULL, NULL, NULL, NULL, 'BNAC06G15450D PROTEIN', NULL, NULL, NULL, 15),
(101809, NULL, 'PTHR37159', NULL, NULL, NULL, NULL, 'GH11867P', NULL, NULL, NULL, 15),
(101810, NULL, 'PTHR31589:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101811, NULL, 'PTHR11945:SF634', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101812, NULL, 'PTHR45628:SF2', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1F', NULL, NULL, NULL, 15),
(101813, NULL, 'PTHR13082:SF0', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP18', NULL, NULL, NULL, 15),
(101814, NULL, 'PTHR10209:SF672', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE', NULL, NULL, NULL, 15),
(101815, NULL, 'PTHR31972', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 14017, 15),
(101816, NULL, 'PTHR36379:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PRD1', NULL, NULL, NULL, 15),
(101817, NULL, 'PTHR10083:SF354', NULL, NULL, NULL, NULL, 'PROTEIN CBG06419', NULL, NULL, NULL, 15),
(101818, NULL, 'PTHR23501:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101819, NULL, 'PTHR10783:SF108', NULL, NULL, NULL, NULL, 'BNAA06G33790D PROTEIN', NULL, NULL, NULL, 15),
(101820, NULL, 'PTHR43669:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101821, NULL, 'PTHR21669:SF29', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(101822, NULL, 'PTHR43981:SF7', NULL, NULL, NULL, NULL, 'TRANS-2-ENOYL-COA REDUCTASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(101823, NULL, 'PTHR10127:SF850', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-5', NULL, NULL, NULL, 15),
(101824, NULL, 'PTHR12137:SF32', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 11', NULL, NULL, NULL, 15),
(101825, NULL, 'PTHR39074', NULL, NULL, NULL, NULL, 'AGAP007547-PA', NULL, NULL, NULL, 15),
(101826, NULL, 'PTHR19849:SF1', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(101827, NULL, 'PTHR22811:SF160', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY/GOLD FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(101828, NULL, 'PTHR11206:SF124', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 53', NULL, NULL, NULL, 15),
(101829, NULL, 'PTHR33077:SF49', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 9', NULL, NULL, NULL, 15),
(101830, NULL, 'PTHR46642', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE, SUBGROUP, CATALYTIC DOMAIN', NULL, NULL, NULL, 15),
(101831, NULL, 'PTHR43920:SF1', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(101832, NULL, 'PTHR32448:SF136', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT OXIDOREDUCTASE FOX3-LIKE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101833, NULL, 'PTHR46317:SF2', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE TATDN3-RELATED', NULL, NULL, NULL, 15),
(101834, NULL, 'PTHR32191:SF22', NULL, NULL, NULL, NULL, 'TETRASPANIN-10', NULL, NULL, NULL, 15),
(101835, NULL, 'PTHR45614:SF51', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING PROTEIN BAS1', NULL, NULL, NULL, 15),
(101836, NULL, 'PTHR31920:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101837, NULL, 'PTHR31697:SF2', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(101838, NULL, 'PTHR47887', NULL, NULL, NULL, NULL, 'CYSTATIN-LIKE 1', NULL, NULL, 38483, 15),
(101839, NULL, 'PTHR47240:SF5', NULL, NULL, NULL, NULL, 'CHROMO DOMAIN PROTEIN LHP1-RELATED', NULL, NULL, NULL, 15),
(101840, NULL, 'PTHR26379:SF321', NULL, NULL, NULL, NULL, 'OS04G0625600 PROTEIN', NULL, NULL, NULL, 15),
(101841, NULL, 'PTHR37763', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX EXONUCLEASE', NULL, NULL, NULL, 15),
(101842, NULL, 'PTHR10682:SF23', NULL, NULL, NULL, NULL, 'DUF455 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(101843, NULL, 'PTHR42958:SF2', NULL, NULL, NULL, NULL, 'UPTAKE HYDROGENASE LARGE SUBUNIT', NULL, NULL, NULL, 15),
(101844, NULL, 'PTHR11328:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101845, NULL, 'PTHR45623:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CHROMATIN REMODELING 4', NULL, NULL, NULL, 15),
(101846, NULL, 'PTHR35120:SF1', NULL, NULL, NULL, NULL, 'OS01G0756000 PROTEIN', NULL, NULL, NULL, 15),
(101847, NULL, 'PTHR24215:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE AND GLYCINE-RICH PROTEIN 3', NULL, NULL, NULL, 15),
(101848, NULL, 'PTHR30614:SF39', NULL, NULL, NULL, NULL, 'AMINO ACID ABC TRANSPORTER PROTEIN, INTEGRAL MEMBRANE COMPONENT-RELATED', NULL, NULL, NULL, 15),
(101849, NULL, 'PTHR36702', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RESOLVASE', NULL, NULL, NULL, 15),
(101850, NULL, 'PTHR33076:SF85', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 12', NULL, NULL, NULL, 15),
(101851, NULL, 'PTHR15860:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(101852, NULL, 'PTHR27002:SF839', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101853, NULL, 'PTHR46687', NULL, NULL, NULL, NULL, 'PROTEIN DISPATCHED HOMOLOG 3', NULL, NULL, 38257, 15),
(101854, NULL, 'PTHR45614:SF158', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB98', NULL, NULL, NULL, 15),
(101855, NULL, 'PTHR43475:SF2', NULL, NULL, NULL, NULL, 'RIBOSE 1,5-BISPHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(101856, NULL, 'PTHR23267:SF382', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 3-20-RELATED', NULL, NULL, NULL, 15),
(101857, NULL, 'PTHR12013:SF0', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 14 KDA PROTEIN', NULL, NULL, NULL, 15),
(101858, NULL, 'PTHR22847:SF654', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTIONAL COREPRESSOR TUPA-RELATED', NULL, NULL, NULL, 15),
(101859, NULL, 'PTHR12155:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CBG19064', NULL, NULL, NULL, 15),
(101860, NULL, 'PTHR42974', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', NULL, NULL, NULL, 15),
(101861, NULL, 'PTHR13677:SF3', NULL, NULL, NULL, NULL, 'MESA PROTEIN', NULL, NULL, NULL, 15),
(101862, NULL, 'PTHR11615:SF323', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(101863, NULL, 'PTHR31414:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101864, NULL, 'PTHR10903:SF125', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST', NULL, NULL, NULL, 15),
(101865, NULL, 'PTHR28061', NULL, NULL, NULL, NULL, 'INO EIGHTY SUBUNIT 4', NULL, NULL, 17569, 15),
(101866, NULL, 'PTHR14920:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 19', NULL, NULL, NULL, 15),
(101867, NULL, 'PTHR31790:SF286', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101868, NULL, 'PTHR31541', NULL, NULL, NULL, NULL, 'B3 DOMAIN PLANT PROTEIN-RELATED', NULL, NULL, 899, 15),
(101869, NULL, 'PTHR11227:SF58', NULL, NULL, NULL, NULL, 'WD REPEAT PHOSPHOINOSITIDE-INTERACTING-LIKE PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101870, NULL, 'PTHR28649:SF2', NULL, NULL, NULL, NULL, 'PROTEIN REPRIMO', NULL, NULL, 32330, 15),
(101871, NULL, 'PTHR23086:SF101', NULL, NULL, NULL, NULL, 'LP03320P-RELATED', NULL, NULL, NULL, 15),
(101872, NULL, 'PTHR21325:SF47', NULL, NULL, NULL, NULL, 'PROTEIN CBG05119', NULL, NULL, NULL, 15),
(101873, NULL, 'PTHR19282:SF454', NULL, NULL, NULL, NULL, 'TETRASPANIN TSPD-RELATED', NULL, NULL, NULL, 15),
(101874, NULL, 'PTHR22748:SF13', NULL, NULL, NULL, NULL, 'OS07G0184032 PROTEIN', NULL, NULL, NULL, 15),
(101875, NULL, 'PTHR21700:SF49', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(101876, NULL, 'PTHR42760:SF52', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE [NADPH] FABL', NULL, NULL, NULL, 15),
(101877, NULL, 'PTHR13389', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29892, 15),
(101878, NULL, 'PTHR45932:SF2', NULL, NULL, NULL, NULL, 'PATELLIN-4', NULL, NULL, NULL, 15),
(101879, NULL, 'PTHR11615:SF267', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(101880, NULL, 'PTHR37283:SF1', NULL, NULL, NULL, NULL, 'PH DOMAIN-CONTAINING PROTEIN YHR131C', NULL, NULL, NULL, 15),
(101881, NULL, 'PTHR13103:SF3', NULL, NULL, NULL, NULL, 'SCHWANNOMIN-INTERACTING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(101882, NULL, 'PTHR22761:SF62', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 4B-RELATED', NULL, NULL, NULL, 15),
(101883, NULL, 'PTHR15427:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101884, NULL, 'PTHR28633:SF1', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 3 PROTEIN', NULL, NULL, NULL, 15),
(101885, NULL, 'PTHR16852:SF2', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE 1 FEEDBACK REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(101886, NULL, 'PTHR11040:SF168', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP3', NULL, NULL, NULL, 15),
(101887, NULL, 'PTHR46122:SF1', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT PROTEIN', NULL, NULL, NULL, 15),
(101888, NULL, 'PTHR19842:SF4', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_5G04300)', NULL, NULL, NULL, 15),
(101889, NULL, 'PTHR34198', NULL, NULL, NULL, NULL, 'OS01G0175100 PROTEIN', NULL, NULL, NULL, 15),
(101890, NULL, 'PTHR11537:SF114', NULL, NULL, NULL, NULL, 'PROTEIN CBR-KVS-5', NULL, NULL, NULL, 15),
(101891, NULL, 'PTHR47717', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP19, CHLOROPLASTIC', NULL, NULL, 37039, 15),
(101892, NULL, 'PTHR46603:SF1', NULL, NULL, NULL, NULL, 'ABSCISSION/NOCUT CHECKPOINT REGULATOR', NULL, NULL, NULL, 15),
(101893, NULL, 'PTHR34464:SF7', NULL, NULL, NULL, NULL, 'OS08G0414300 PROTEIN', NULL, NULL, NULL, 15),
(101894, NULL, 'PTHR17103:SF13', NULL, NULL, NULL, NULL, 'NEUREXOPHILIN-1', NULL, NULL, NULL, 15),
(101895, NULL, 'PTHR30521', NULL, NULL, NULL, NULL, 'DEFERROCHELATASE/PEROXIDASE', NULL, NULL, NULL, 15),
(101896, NULL, 'PTHR43795:SF3', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE, CLASSES I AND II FAMILY PROTEIN', NULL, NULL, NULL, 15),
(101897, NULL, 'PTHR33824:SF8', NULL, NULL, NULL, NULL, 'BNAC05G01260D PROTEIN', NULL, NULL, NULL, 15),
(101898, NULL, 'PTHR38926:SF10', NULL, NULL, NULL, NULL, 'F-BOX-LIKE PROTEIN', NULL, NULL, NULL, 15),
(101899, NULL, 'PTHR46751', NULL, NULL, NULL, NULL, 'EPPIN', NULL, NULL, NULL, 15),
(101900, NULL, 'PTHR10151:SF79', NULL, NULL, NULL, NULL, 'BIS(5''-ADENOSYL)-TRIPHOSPHATASE ENPP4', NULL, NULL, 28700, 15),
(101901, NULL, 'PTHR30003:SF5', NULL, NULL, NULL, NULL, 'L-LACTATE PERMEASE', NULL, NULL, NULL, 15),
(101902, NULL, 'PTHR23403:SF24', NULL, NULL, NULL, NULL, 'TREHALASE', NULL, NULL, NULL, 15),
(101903, NULL, 'PTHR15407:SF32', NULL, NULL, NULL, NULL, 'PROTEIN (MNN4), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03790)-RELATED', NULL, NULL, NULL, 15),
(101904, NULL, 'PTHR31662:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101905, NULL, 'PTHR31602:SF43', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR', NULL, NULL, NULL, 15),
(101906, NULL, 'PTHR23115:SF262', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101907, NULL, 'PTHR43884:SF5', NULL, NULL, NULL, NULL, 'ACYL COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(101908, NULL, 'PTHR12174:SF88', NULL, NULL, NULL, NULL, 'BNAC02G47930D PROTEIN', NULL, NULL, 33908, 15),
(101909, NULL, 'PTHR45726:SF6', NULL, NULL, NULL, NULL, 'LEUKOTRIENE A4 HYDROLASE HOMOLOG', NULL, NULL, NULL, 15),
(101910, NULL, 'PTHR21456:SF1', NULL, NULL, NULL, NULL, 'SYM-3A', NULL, NULL, NULL, 15),
(101911, NULL, 'PTHR34157', NULL, NULL, NULL, NULL, 'TUZIN', NULL, NULL, NULL, 15),
(101912, NULL, 'PTHR10126:SF41', NULL, NULL, NULL, NULL, 'TBP-RELATED FACTOR', NULL, NULL, NULL, 15),
(101913, NULL, 'PTHR46090:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 13B', NULL, NULL, NULL, 15),
(101914, NULL, 'PTHR11267:SF83', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR T', NULL, NULL, NULL, 15),
(101915, NULL, 'PTHR34209:SF4', NULL, NULL, NULL, NULL, 'BNAC01G24130D PROTEIN', NULL, NULL, NULL, 15),
(101916, NULL, 'PTHR11863:SF115', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(101917, NULL, 'PTHR11709:SF229', NULL, NULL, NULL, NULL, 'LACCASE-8', NULL, NULL, NULL, 15),
(101918, NULL, 'PTHR31374:SF182', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(101919, NULL, 'PTHR47974:SF4', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', NULL, NULL, NULL, 15),
(101920, NULL, 'PTHR43620:SF32', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL3', NULL, NULL, NULL, 15),
(101921, NULL, 'PTHR14499:SF5', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(101922, NULL, 'PTHR40547:SF1', NULL, NULL, NULL, NULL, 'SLL0298 PROTEIN', NULL, NULL, NULL, 15),
(101923, NULL, 'PTHR36753:SF3', NULL, NULL, NULL, NULL, 'BNAC03G70800D PROTEIN', NULL, NULL, NULL, 15),
(101924, NULL, 'PTHR16134:SF88', NULL, NULL, NULL, NULL, 'BNAC06G43000D PROTEIN', NULL, NULL, NULL, 15),
(101925, NULL, 'PTHR10900:SF116', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(101926, NULL, 'PTHR19331:SF436', NULL, NULL, NULL, NULL, 'SI:CH211-150O23.3', NULL, NULL, NULL, 15),
(101927, NULL, 'PTHR10693:SF29', NULL, NULL, NULL, NULL, 'GB|AAD20086.1', NULL, NULL, NULL, 15),
(101928, NULL, 'PTHR46536', NULL, NULL, NULL, NULL, 'ARL14 EFFECTOR PROTEIN', NULL, NULL, 24024, 15),
(101929, NULL, 'PTHR24376:SF85', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 600-RELATED', NULL, NULL, NULL, 15),
(101930, NULL, 'PTHR12943:SF5', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE-RESPONSIVE ENDOPLASMIC RETICULUM-RESIDENT UBIQUITIN-LIKE DOMAIN MEMBER 2 PROTEIN', NULL, NULL, NULL, 15),
(101931, NULL, 'PTHR48019:SF87', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PROTEIN SEPALLATA 1', NULL, NULL, NULL, 15),
(101932, NULL, 'PTHR43522:SF14', NULL, NULL, NULL, NULL, 'TRANSKETOLASE-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(101933, NULL, 'PTHR28221:SF2', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN6', NULL, NULL, NULL, 15),
(101934, NULL, 'PTHR48024:SF10', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 24', NULL, NULL, NULL, 15),
(101935, NULL, 'PTHR10783:SF118', NULL, NULL, NULL, NULL, 'BNAA06G38130D PROTEIN', NULL, NULL, NULL, 15),
(101936, NULL, 'PTHR19229:SF163', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 10', NULL, NULL, NULL, 15),
(101937, NULL, 'PTHR31852:SF224', NULL, NULL, NULL, NULL, 'BNAC07G32890D PROTEIN', NULL, NULL, NULL, 15),
(101938, NULL, 'PTHR33431:SF7', NULL, NULL, NULL, NULL, 'GB|AAD24366.1', NULL, NULL, NULL, 15),
(101939, NULL, 'PTHR12210:SF29', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN RNA POLYMERASE II POLYPEPTIDE A SMALL PHOSPHATASE 2', NULL, NULL, NULL, 15),
(101940, NULL, 'PTHR31367:SF4', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE, CYTOSOLIC IAA', NULL, NULL, NULL, 15),
(101941, NULL, 'PTHR11515:SF17', NULL, NULL, NULL, NULL, 'FOLLITROPIN SUBUNIT BETA', NULL, NULL, NULL, 15),
(101942, NULL, 'PTHR12473:SF12', NULL, NULL, NULL, NULL, 'INACTIVE UBIQUITIN CARBOXYL-TERMINAL HYDROLASE MINDY-4B', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101943, NULL, 'PTHR35810', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(101944, NULL, 'PTHR45764:SF44', NULL, NULL, NULL, NULL, 'BNAA10G13430D PROTEIN', NULL, NULL, NULL, 15),
(101945, NULL, 'PTHR11304:SF17', NULL, NULL, NULL, NULL, 'EPHRIN-B1', NULL, NULL, NULL, 15),
(101946, NULL, 'PTHR20922:SF19', NULL, NULL, NULL, NULL, 'F24J5.3', NULL, NULL, NULL, 15),
(101947, NULL, 'PTHR22950:SF366', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 6-RELATED', NULL, NULL, NULL, 15),
(101948, NULL, 'PTHR13703:SF10', NULL, NULL, NULL, NULL, 'DWARFIN SMA', NULL, NULL, NULL, 15),
(101949, NULL, 'PTHR24226', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 182 AND ESTROGEN RECEPTOR 1', NULL, NULL, NULL, 15),
(101950, NULL, 'PTHR34997:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101951, NULL, 'PTHR24177:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101952, NULL, 'PTHR33109:SF7', NULL, NULL, NULL, NULL, 'OS07G0132300 PROTEIN', NULL, NULL, NULL, 15),
(101953, NULL, 'PTHR13073', NULL, NULL, NULL, NULL, 'BLOC-1 COMPLEX SUBUNIT 1', NULL, NULL, 8268, 15),
(101954, NULL, 'PTHR19375:SF431', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 68', NULL, NULL, NULL, 15),
(101955, NULL, 'PTHR47979:SF37', NULL, NULL, NULL, NULL, 'RAB42, MEMBER RAS ONCOGENE FAMILY A', NULL, NULL, NULL, 15),
(101956, NULL, 'PTHR23049:SF57', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 12A', NULL, NULL, NULL, 15),
(101957, NULL, 'PTHR45872:SF1', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 11', NULL, NULL, 26814, 15),
(101958, NULL, 'PTHR12507:SF3', NULL, NULL, NULL, NULL, 'RAB6A-GEF COMPLEX PARTNER PROTEIN 2', NULL, NULL, NULL, 15),
(101959, NULL, 'PTHR10454:SF228', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101960, NULL, 'PTHR33044:SF194', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(101961, NULL, 'PTHR24567:SF69', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(101962, NULL, 'PTHR23011:SF28', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(101963, NULL, 'PTHR12203:SF92', NULL, NULL, NULL, NULL, 'BNACNNG65570D PROTEIN', NULL, NULL, NULL, 15),
(101964, NULL, 'PTHR31238:SF123', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 16-RELATED', NULL, NULL, NULL, 15),
(101965, NULL, 'PTHR47928:SF45', NULL, NULL, NULL, NULL, 'OS09G0474051 PROTEIN', NULL, NULL, NULL, 15),
(101966, NULL, 'PTHR30531', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLHB', NULL, NULL, 10149, 15),
(101967, NULL, 'PTHR12546:SF55', NULL, NULL, NULL, NULL, 'MYOFERLIN', NULL, NULL, 28606, 15),
(101968, NULL, 'PTHR46128:SF144', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(101969, NULL, 'PTHR47970:SF11', NULL, NULL, NULL, NULL, 'KINESIN MOTOR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(101970, NULL, 'PTHR16517:SF117', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(101971, NULL, 'PTHR14009:SF36', NULL, NULL, NULL, NULL, 'OSJNBA0067K08.12 PROTEIN', NULL, NULL, NULL, 15),
(101972, NULL, 'PTHR22802:SF405', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4, MEMBER A1', NULL, NULL, NULL, 15),
(101973, NULL, 'PTHR33067:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101974, NULL, 'PTHR43668:SF5', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(101975, NULL, 'PTHR43690:SF26', NULL, NULL, NULL, NULL, 'NON-CATALYTIC MEMBER OF PEPTIDASE SUBFAMILY M16B-RELATED', NULL, NULL, NULL, 15),
(101976, NULL, 'PTHR23167:SF53', NULL, NULL, NULL, NULL, 'MICAL-LIKE PROTEIN 2', NULL, NULL, 28910, 15),
(101977, NULL, 'PTHR13774:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101978, NULL, 'PTHR21229:SF54', NULL, NULL, NULL, NULL, 'OS05G0462500 PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(101979, NULL, 'PTHR23260', NULL, NULL, NULL, NULL, 'KERATIN ASSOCIATED PROTEIN 3-3-RELATED', NULL, NULL, 155, 15),
(101980, NULL, 'PTHR45633:SF22', NULL, NULL, NULL, NULL, 'CH60, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(101981, NULL, 'PTHR28244', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN11', NULL, NULL, NULL, 15),
(101982, NULL, 'PTHR24416:SF337', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 4', NULL, NULL, NULL, 15),
(101983, NULL, 'PTHR48017:SF173', NULL, NULL, NULL, NULL, 'OS01G0878700 PROTEIN', NULL, NULL, NULL, 15),
(101984, NULL, 'PTHR33994:SF19', NULL, NULL, NULL, NULL, 'OSJNBA0043L24.21 PROTEIN', NULL, NULL, NULL, 15),
(101985, NULL, 'PTHR10250:SF13', NULL, NULL, NULL, NULL, 'MICROSOMAL GLUTATHIONE S-TRANSFERASE 2', NULL, NULL, NULL, 15),
(101986, NULL, 'PTHR15036:SF49', NULL, NULL, NULL, NULL, 'NEUREXIN-4', NULL, NULL, NULL, 15),
(101987, NULL, 'PTHR31707:SF165', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 51-RELATED', NULL, NULL, NULL, 15),
(101988, NULL, 'PTHR31549:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101989, NULL, 'PTHR31589:SF158', NULL, NULL, NULL, NULL, 'OS01G0170500 PROTEIN', NULL, NULL, NULL, 15),
(101990, NULL, 'PTHR47429:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(101991, NULL, 'PTHR32502:SF25', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM, MANNOSE-SPECIFIC EIIC', NULL, NULL, NULL, 15),
(101992, NULL, 'PTHR31651:SF33', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 1', NULL, NULL, NULL, 15),
(101993, NULL, 'PTHR43895:SF106', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(101994, NULL, 'PTHR34467:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(101995, NULL, 'PTHR11831', NULL, NULL, NULL, NULL, '30S 40S RIBOSOMAL PROTEIN', NULL, NULL, 14579, 15),
(101996, NULL, 'PTHR11945:SF434', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 56', NULL, NULL, NULL, 15),
(101997, NULL, 'PTHR13803:SF10', NULL, NULL, NULL, NULL, 'OJ000126_13.4 PROTEIN', NULL, NULL, NULL, 15),
(101998, NULL, 'PTHR24364:SF17', NULL, NULL, NULL, NULL, 'TROPHOBLAST GLYCOPROTEIN', NULL, NULL, NULL, 15),
(101999, NULL, 'PTHR33734:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102000, NULL, 'PTHR13683:SF831', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE ASP1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(102001, NULL, 'PTHR15817:SF2', NULL, NULL, NULL, NULL, 'MUCIN 18B, ISOFORM A', NULL, NULL, NULL, 15),
(102002, NULL, 'PTHR44846:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF 2-AMINOETHYLPHOSPHONATE DEGRADATION OPERONS-RELATED', NULL, NULL, NULL, 15),
(102003, NULL, 'PTHR11247:SF60', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(102004, NULL, 'PTHR46413:SF21', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', NULL, NULL, NULL, 15),
(102005, NULL, 'PTHR11449:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30-2', NULL, NULL, 759, 15),
(102006, NULL, 'PTHR23329', NULL, NULL, NULL, NULL, 'TUFTELIN-INTERACTING PROTEIN 11-RELATED', NULL, NULL, 38800, 15),
(102007, NULL, 'PTHR40115:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN WITH PEPSY TM HELIX', NULL, NULL, NULL, 15),
(102008, NULL, 'PTHR46235:SF3', NULL, NULL, NULL, NULL, 'PHD FINGER-CONTAINING PROTEIN DDB_G0268158', NULL, NULL, NULL, 15),
(102009, NULL, 'PTHR33047:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102010, NULL, 'PTHR31989:SF356', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102011, NULL, 'PTHR23024:SF545', NULL, NULL, NULL, NULL, 'NEUTRAL CHOLESTEROL ESTER HYDROLASE 1', NULL, NULL, NULL, 15),
(102012, NULL, 'PTHR35828:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102013, NULL, 'PTHR37391:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102014, NULL, 'PTHR19961:SF66', NULL, NULL, NULL, NULL, 'FIMBRIN-4', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102015, NULL, 'PTHR28028:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL SUBUNIT ASSEMBLY/EXPORT PROTEIN LOC1', NULL, NULL, NULL, 15),
(102016, NULL, 'PTHR26451:SF68', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6K2', NULL, NULL, NULL, 15),
(102017, NULL, 'PTHR32071:SF100', NULL, NULL, NULL, NULL, 'TYPE 4 FIMBRIAE EXPRESSION REGULATORY PROTEIN PILR', NULL, NULL, NULL, 15),
(102018, NULL, 'PTHR46256:SF4', NULL, NULL, NULL, NULL, 'MYOSIN-IIIA', NULL, NULL, NULL, 15),
(102019, NULL, 'PTHR31642:SF50', NULL, NULL, NULL, NULL, 'F21B7.2', NULL, NULL, NULL, 15),
(102020, NULL, 'PTHR33346:SF29', NULL, NULL, NULL, NULL, 'DEHYDRIN RAB18', NULL, NULL, NULL, 15),
(102021, NULL, 'PTHR10127:SF819', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-26', NULL, NULL, NULL, 15),
(102022, NULL, 'PTHR46413:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102023, NULL, 'PTHR33326:SF22', NULL, NULL, NULL, NULL, 'OS10G0372700 PROTEIN', NULL, NULL, NULL, 15),
(102024, NULL, 'PTHR22984:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIM-2', NULL, NULL, NULL, 15),
(102025, NULL, 'PTHR23226:SF203', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 80', NULL, NULL, NULL, 15),
(102026, NULL, 'PTHR33147:SF58', NULL, NULL, NULL, NULL, 'DEFENSIN', NULL, NULL, NULL, 15),
(102027, NULL, 'PTHR31509:SF59', NULL, NULL, NULL, NULL, 'PROTEIN BPS1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(102028, NULL, 'PTHR43755', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102029, NULL, 'PTHR47925:SF45', NULL, NULL, NULL, NULL, 'BNAA08G11890D PROTEIN', NULL, NULL, NULL, 15),
(102030, NULL, 'PTHR21569:SF26', NULL, NULL, NULL, NULL, 'BNAC03G22570D PROTEIN', NULL, NULL, NULL, 15),
(102031, NULL, 'PTHR27006:SF382', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RKS1', NULL, NULL, NULL, 15),
(102032, NULL, 'PTHR23176:SF107', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 12', NULL, NULL, NULL, 15),
(102033, NULL, 'PTHR10891:SF865', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102034, NULL, 'PTHR47992:SF9', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C ABI2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(102035, NULL, 'PTHR11945:SF664', NULL, NULL, NULL, NULL, 'BNAANNG37540D PROTEIN', NULL, NULL, NULL, 15),
(102036, NULL, 'PTHR16399', NULL, NULL, NULL, NULL, 'GASDERMIN', NULL, NULL, 567, 15),
(102037, NULL, 'PTHR45853', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE SIRTUIN-(6/7) FAMILY MEMBER', NULL, NULL, NULL, 15),
(102038, NULL, 'PTHR47950:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102039, NULL, 'PTHR12346:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102040, NULL, 'PTHR45868:SF47', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 42', NULL, NULL, NULL, 15),
(102041, NULL, 'PTHR44376:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WD40-LIKE FAMILY-RELATED', NULL, NULL, NULL, 15),
(102042, NULL, 'PTHR36331:SF1', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(102043, NULL, 'PTHR15434', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR 2-BINDING PROTEIN', NULL, NULL, 35741, 15),
(102044, NULL, 'PTHR33786:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102045, NULL, 'PTHR13976:SF25', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN FUSILLI', NULL, NULL, NULL, 15),
(102046, NULL, 'PTHR46128:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102047, NULL, 'PTHR23123:SF35', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 19', NULL, NULL, NULL, 15),
(102048, NULL, 'PTHR24064:SF52', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 3', NULL, NULL, NULL, 15),
(102049, NULL, 'PTHR46131:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 51-RELATED', NULL, NULL, NULL, 15),
(102050, NULL, 'PTHR32227:SF89', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 12-LIKE', NULL, NULL, NULL, 15),
(102051, NULL, 'PTHR45687:SF56', NULL, NULL, NULL, NULL, 'PLASMAMEMBRANE INTRINSIC PROTEIN 13', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102052, NULL, 'PTHR24320:SF177', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR', NULL, NULL, NULL, 15),
(102053, NULL, 'PTHR24177:SF137', NULL, NULL, NULL, NULL, 'OS06G0291800 PROTEIN', NULL, NULL, NULL, 15),
(102054, NULL, 'PTHR15503:SF11', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(102055, NULL, 'PTHR31646:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G13090)-RELATED', NULL, NULL, NULL, 15),
(102056, NULL, 'PTHR11972:SF75', NULL, NULL, NULL, NULL, 'DUAL OXIDASE 1', NULL, NULL, 26660, 15),
(102057, NULL, 'PTHR22879:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102058, NULL, 'PTHR20961:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102059, NULL, 'PTHR11615:SF241', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2C1', NULL, NULL, NULL, 15),
(102060, NULL, 'PTHR31676:SF76', NULL, NULL, NULL, NULL, 'T14P8.17', NULL, NULL, NULL, 15),
(102061, NULL, 'PTHR24044:SF415', NULL, NULL, NULL, NULL, 'NOTCH 3', NULL, NULL, NULL, 15),
(102062, NULL, 'PTHR11814:SF99', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 26 MEMBER 10', NULL, NULL, 26188, 15),
(102063, NULL, 'PTHR46861:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 1A', NULL, NULL, NULL, 15),
(102064, NULL, 'PTHR31832:SF68', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 22', NULL, NULL, NULL, 15),
(102065, NULL, 'PTHR24156:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102066, NULL, 'PTHR24025:SF18', NULL, NULL, NULL, NULL, 'CADHERIN-23', NULL, NULL, 29579, 15),
(102067, NULL, 'PTHR31964:SF124', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(102068, NULL, 'PTHR11716:SF84', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE-LIKE PROTEIN A2, GROUP', NULL, NULL, NULL, 15),
(102069, NULL, 'PTHR38659:SF1', NULL, NULL, NULL, NULL, 'METAL DEPENDENT PHOSPHOHYDROLASE-RELATED', NULL, NULL, NULL, 15),
(102070, NULL, 'PTHR11802:SF33', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(102071, NULL, 'PTHR44533:SF4', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(102072, NULL, 'PTHR24418:SF224', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE FGR', NULL, NULL, NULL, 15),
(102073, NULL, 'PTHR10809:SF96', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(102074, NULL, 'PTHR31790:SF400', NULL, NULL, NULL, NULL, 'BNAA05G10980D PROTEIN', NULL, NULL, NULL, 15),
(102075, NULL, 'PTHR12533:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR OF ACTIVATED T-CELLS, CYTOPLASMIC 1', NULL, NULL, 18391, 15),
(102076, NULL, 'PTHR23315:SF284', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(102077, NULL, 'PTHR32134:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102078, NULL, 'PTHR39337:SF1', NULL, NULL, NULL, NULL, 'BLR5642 PROTEIN', NULL, NULL, NULL, 15),
(102079, NULL, 'PTHR11537:SF171', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY F MEMBER 1', NULL, NULL, NULL, 15),
(102080, NULL, 'PTHR10891:SF847', NULL, NULL, NULL, NULL, 'BNAA04G25000D PROTEIN', NULL, NULL, NULL, 15),
(102081, NULL, 'PTHR13878:SF134', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 3-LIKE', NULL, NULL, NULL, 15),
(102082, NULL, 'PTHR39153:SF1', NULL, NULL, NULL, NULL, 'AGR244WP', NULL, NULL, NULL, 15),
(102083, NULL, 'PTHR10410:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102084, NULL, 'PTHR32285:SF246', NULL, NULL, NULL, NULL, 'XYLOGLUCAN O-ACETYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(102085, NULL, 'PTHR31072:SF102', NULL, NULL, NULL, NULL, 'BNAC02G01170D PROTEIN', NULL, NULL, NULL, 15),
(102086, NULL, 'PTHR11455:SF10', NULL, NULL, NULL, NULL, 'CRYPTOCHROME CIRCADIAN REGULATOR 1BA-RELATED', NULL, NULL, NULL, 15),
(102087, NULL, 'PTHR20961:SF28', NULL, NULL, NULL, NULL, 'OS01G0118700 PROTEIN', NULL, NULL, NULL, 15),
(102088, NULL, 'PTHR27002:SF847', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102089, NULL, 'PTHR21450:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102090, NULL, 'PTHR31429:SF60', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102091, NULL, 'PTHR44259:SF22', NULL, NULL, NULL, NULL, 'BNACNNG58390D PROTEIN', NULL, NULL, NULL, 15),
(102092, NULL, 'PTHR11640:SF49', NULL, NULL, NULL, NULL, 'KIN OF IRRE-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(102093, NULL, 'PTHR11224:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102094, NULL, 'PTHR33604:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY PROTEIN 2', NULL, NULL, NULL, 15),
(102095, NULL, 'PTHR45613:SF99', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(102096, NULL, 'PTHR28676', NULL, NULL, NULL, NULL, 'ALK AND LTK LIGAND 2-RELATED', NULL, NULL, 28238, 15),
(102097, NULL, 'PTHR14002', NULL, NULL, NULL, NULL, 'ENDOGLIN/TGF-BETA RECEPTOR TYPE III', NULL, NULL, NULL, 15),
(102098, NULL, 'PTHR34300:SF1', NULL, NULL, NULL, NULL, 'QUEUOSINE PRECURSOR TRANSPORTER', NULL, NULL, NULL, 15),
(102099, NULL, 'PTHR15907:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102100, NULL, 'PTHR11907', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(102101, NULL, 'PTHR31953:SF84', NULL, NULL, NULL, NULL, 'ACID BETA-FRUCTOFURANOSIDASE', NULL, NULL, NULL, 15),
(102102, NULL, 'PTHR24339:SF51', NULL, NULL, NULL, NULL, 'EMPTY SPIRACLES HOMEOBOX 3', NULL, NULL, NULL, 15),
(102103, NULL, 'PTHR33450', NULL, NULL, NULL, NULL, 'EMB|CAB67623.1-RELATED', NULL, NULL, NULL, 15),
(102104, NULL, 'PTHR11686:SF9', NULL, NULL, NULL, NULL, 'RE13973P', NULL, NULL, NULL, 15),
(102105, NULL, 'PTHR46087:SF9', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(102106, NULL, 'PTHR12145:SF35', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,6-ALPHA-MANNOSIDASE', NULL, NULL, NULL, 15),
(102107, NULL, 'PTHR10830:SF3', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE 48 KDA SUBUNIT', NULL, NULL, NULL, 15),
(102108, NULL, 'PTHR47855:SF3', NULL, NULL, NULL, NULL, 'DVL1-RELATED', NULL, NULL, NULL, 15),
(102109, NULL, 'PTHR35099', NULL, NULL, NULL, NULL, 'OS02G0182700 PROTEIN', NULL, NULL, NULL, 15),
(102110, NULL, 'PTHR24006:SF812', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 20', NULL, NULL, NULL, 15),
(102111, NULL, 'PTHR47318:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP37, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(102112, NULL, 'PTHR36183', NULL, NULL, NULL, NULL, 'BETA-GLUCURONIDASE', NULL, NULL, NULL, 15),
(102113, NULL, 'PTHR22943:SF87', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(102114, NULL, 'PTHR48081:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(102115, NULL, 'PTHR30055:SF165', NULL, NULL, NULL, NULL, 'SLL1286 PROTEIN', NULL, NULL, NULL, 15),
(102116, NULL, 'PTHR24083:SF44', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 2 GROUP F MEMBER 6', NULL, NULL, NULL, 15),
(102117, NULL, 'PTHR11514:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102118, NULL, 'PTHR43588:SF1', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-8 METHYLMUTASE', NULL, NULL, NULL, 15),
(102119, NULL, 'PTHR31889:SF17', NULL, NULL, NULL, NULL, 'OS09G0458100 PROTEIN', NULL, NULL, NULL, 15),
(102120, NULL, 'PTHR32191:SF43', NULL, NULL, NULL, NULL, 'TETRASPANIN-11', NULL, NULL, NULL, 15),
(102121, NULL, 'PTHR10891:SF889', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102122, NULL, 'PTHR44229:SF6', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE/REDUCTASE FAMILY OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G09290)-RELATED', NULL, NULL, NULL, 15),
(102123, NULL, 'PTHR44307:SF14', NULL, NULL, NULL, NULL, 'OS05G0548900 PROTEIN', NULL, NULL, NULL, 15),
(102124, NULL, 'PTHR14678:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 750', NULL, NULL, NULL, 15),
(102125, NULL, 'PTHR47824:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102126, NULL, 'PTHR22811:SF140', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24BETA2-LIKE', NULL, NULL, NULL, 15),
(102127, NULL, 'PTHR24064:SF482', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-8-RELATED', NULL, NULL, NULL, 15),
(102128, NULL, 'PTHR33067:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102129, NULL, 'PTHR11017:SF332', NULL, NULL, NULL, NULL, 'RECEPTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(102130, NULL, 'PTHR24216:SF54', NULL, NULL, NULL, NULL, 'RANDOM CDNA CLONE VEG114', NULL, NULL, NULL, 15),
(102131, NULL, 'PTHR31636:SF197', NULL, NULL, NULL, NULL, 'GRAS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(102132, NULL, 'PTHR31213:SF117', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL2-LIKE', NULL, NULL, NULL, 15),
(102133, NULL, 'PTHR24072:SF333', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC11', NULL, NULL, NULL, 15),
(102134, NULL, 'PTHR45641:SF2', NULL, NULL, NULL, NULL, 'LIPA AND NB-ARC DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G14650)', NULL, NULL, NULL, 15),
(102135, NULL, 'PTHR10791:SF175', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(102136, NULL, 'PTHR33435:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG26795', NULL, NULL, NULL, 15),
(102137, NULL, 'PTHR23503:SF106', NULL, NULL, NULL, NULL, 'PROTEIN CBG19428', NULL, NULL, NULL, 15),
(102138, NULL, 'PTHR43246:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP38, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(102139, NULL, 'PTHR31429:SF48', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 72B', NULL, NULL, NULL, 15),
(102140, NULL, 'PTHR45693:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGAL5', NULL, NULL, NULL, 15),
(102141, NULL, 'PTHR30471', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RADC', NULL, NULL, 3431, 15),
(102142, NULL, 'PTHR31883', NULL, NULL, NULL, NULL, 'PROTEIN FRG2-RELATED', NULL, NULL, 21973, 15),
(102143, NULL, 'PTHR27006:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102144, NULL, 'PTHR31165:SF74', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 10-LIKE', NULL, NULL, NULL, 15),
(102145, NULL, 'PTHR45717:SF35', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102146, NULL, 'PTHR47483', NULL, NULL, NULL, NULL, 'BETA-ARABINOFURANOSYLTRANSFERASE RAY1', NULL, NULL, 38550, 15),
(102147, NULL, 'PTHR46253', NULL, NULL, NULL, NULL, 'TGF-BETA-ACTIVATED KINASE 1 AND MAP3K7-BINDING PROTEIN TAB', NULL, NULL, NULL, 15),
(102148, NULL, 'PTHR30465:SF26', NULL, NULL, NULL, NULL, 'ABC-TYPE DIPEPTIDE/OLIGOPEPTIDE TRANSPORT SYSTEM, PERMEASE COMPONENT', NULL, NULL, NULL, 15),
(102149, NULL, 'PTHR11240:SF39', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2', NULL, NULL, NULL, 15),
(102150, NULL, 'PTHR45620:SF29', NULL, NULL, NULL, NULL, 'GLUCAGON RECEPTOR', NULL, NULL, NULL, 15),
(102151, NULL, 'PTHR15537', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 7', NULL, NULL, NULL, 15),
(102152, NULL, 'PTHR23003:SF34', NULL, NULL, NULL, NULL, 'NUCLEOLIN', NULL, NULL, NULL, 15),
(102153, NULL, 'PTHR22870:SF155', NULL, NULL, NULL, NULL, 'BNR REPEAT DOMAIN PROTEIN-LIKE', NULL, NULL, NULL, 15),
(102154, NULL, 'PTHR12526:SF574', NULL, NULL, NULL, NULL, 'SLR2118 PROTEIN', NULL, NULL, NULL, 15),
(102155, NULL, 'PTHR48019:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102156, NULL, 'PTHR24023:SF1006', NULL, NULL, NULL, NULL, 'MARCO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(102157, NULL, 'PTHR48017:SF159', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(102158, NULL, 'PTHR31501:SF3', NULL, NULL, NULL, NULL, 'CALCIUM RELEASE-ACTIVATED CALCIUM CHANNEL PROTEIN 1', NULL, NULL, NULL, 15),
(102159, NULL, 'PTHR27008:SF396', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RCH1', NULL, NULL, NULL, 15),
(102160, NULL, 'PTHR31947:SF37', NULL, NULL, NULL, NULL, 'BNAC03G58980D PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102161, NULL, 'PTHR33971:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102162, NULL, 'PTHR15486:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102163, NULL, 'PTHR12044:SF10', NULL, NULL, NULL, NULL, 'MEIOSIS INHIBITOR PROTEIN 1', NULL, NULL, NULL, 15),
(102164, NULL, 'PTHR20852:SF43', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', NULL, NULL, NULL, 15),
(102165, NULL, 'PTHR43948:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 3', NULL, NULL, 28811, 15),
(102166, NULL, 'PTHR24416:SF555', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102167, NULL, 'PTHR48043:SF12', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 2B4', NULL, NULL, NULL, 15),
(102168, NULL, 'PTHR45696:SF19', NULL, NULL, NULL, NULL, 'BNAANNG17900D PROTEIN', NULL, NULL, NULL, 15),
(102169, NULL, 'PTHR24351:SF214', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(102170, NULL, 'PTHR45940:SF22', NULL, NULL, NULL, NULL, 'BNAA09G45340D PROTEIN', NULL, NULL, NULL, 15),
(102171, NULL, 'PTHR42861:SF56', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(102172, NULL, 'PTHR48053:SF7', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(102173, NULL, 'PTHR31142:SF23', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 3', NULL, NULL, NULL, 15),
(102174, NULL, 'PTHR47123:SF20', NULL, NULL, NULL, NULL, 'BNAC04G36680D PROTEIN', NULL, NULL, NULL, 15),
(102175, NULL, 'PTHR34200:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102176, NULL, 'PTHR27008:SF298', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-RELATED', NULL, NULL, NULL, 15),
(102177, NULL, 'PTHR15362:SF25', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--INOSITOL 3-PHOSPHATIDYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(102178, NULL, 'PTHR47926:SF263', NULL, NULL, NULL, NULL, 'BNACNNG59630D PROTEIN', NULL, NULL, NULL, 15),
(102179, NULL, 'PTHR33388:SF7', NULL, NULL, NULL, NULL, 'OS05G0501800 PROTEIN', NULL, NULL, NULL, 15),
(102180, NULL, 'PTHR27005:SF34', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 21', NULL, NULL, NULL, 15),
(102181, NULL, 'PTHR31225:SF103', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: GERMACRENE C SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(102182, NULL, 'PTHR31579:SF1', NULL, NULL, NULL, NULL, 'OS03G0796600 PROTEIN', NULL, NULL, NULL, 15),
(102183, NULL, 'PTHR13068:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102184, NULL, 'PTHR11903:SF11', NULL, NULL, NULL, NULL, 'ALPHA-DIOXYGENASE 1', NULL, NULL, NULL, 15),
(102185, NULL, 'PTHR10281:SF23', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROGESTERONE RECEPTOR COMPONENT 1', NULL, NULL, NULL, 15),
(102186, NULL, 'PTHR35318:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102187, NULL, 'PTHR24166:SF50', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT34-RELATED', NULL, NULL, NULL, 15),
(102188, NULL, 'PTHR11362:SF116', NULL, NULL, NULL, NULL, 'PROTEIN HEADING DATE 3B', NULL, NULL, NULL, 15),
(102189, NULL, 'PTHR45914:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH117', NULL, NULL, NULL, 15),
(102190, NULL, 'PTHR46684:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR FAMA-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(102191, NULL, 'PTHR27000:SF529', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 5', NULL, NULL, NULL, 15),
(102192, NULL, 'PTHR31235:SF13', NULL, NULL, NULL, NULL, 'PEROXIDASE 60', NULL, NULL, NULL, 15),
(102193, NULL, 'PTHR47992:SF129', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 69-RELATED', NULL, NULL, NULL, 15),
(102194, NULL, 'PTHR42109:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G00100)', NULL, NULL, NULL, 15),
(102195, NULL, 'PTHR10887', NULL, NULL, NULL, NULL, 'DNA2/NAM7 HELICASE FAMILY', NULL, NULL, 36572, 15),
(102196, NULL, 'PTHR21649:SF112', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102197, NULL, 'PTHR12565:SF321', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BPE', NULL, NULL, NULL, 15),
(102198, NULL, 'PTHR46737', NULL, NULL, NULL, NULL, 'OS02G0827600 PROTEIN', NULL, NULL, NULL, 15),
(102199, NULL, 'PTHR33789:SF2', NULL, NULL, NULL, NULL, 'OS12G0529500 PROTEIN', NULL, NULL, NULL, 15),
(102200, NULL, 'PTHR19957:SF135', NULL, NULL, NULL, NULL, 'OS02G0702800 PROTEIN', NULL, NULL, NULL, 15),
(102201, NULL, 'PTHR19229:SF212', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 7', NULL, NULL, NULL, 15),
(102202, NULL, 'PTHR48042:SF22', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 12', NULL, NULL, NULL, 15),
(102203, NULL, 'PTHR46186:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-D', NULL, NULL, NULL, 15),
(102204, NULL, 'PTHR12011:SF435', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR G1', NULL, NULL, NULL, 15),
(102205, NULL, 'PTHR33972:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102206, NULL, 'PTHR24221:SF300', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-LIKE ATP-BINDING PROTEIN MDLA', NULL, NULL, NULL, 15),
(102207, NULL, 'PTHR33463:SF104', NULL, NULL, NULL, NULL, 'NBS-LRR TYPE DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(102208, NULL, 'PTHR16441:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG21952', NULL, NULL, NULL, 15),
(102209, NULL, 'PTHR10689:SF6', NULL, NULL, NULL, NULL, 'IP20101P-RELATED', NULL, NULL, NULL, 15),
(102210, NULL, 'PTHR35297:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102211, NULL, 'PTHR12815:SF23', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN ASSEMBLY FACTOR BAMA', NULL, NULL, 14791, 15),
(102212, NULL, 'PTHR18860:SF124', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN 6', NULL, NULL, NULL, 15),
(102213, NULL, 'PTHR22734:SF3', NULL, NULL, NULL, NULL, 'RIBOSOME PRODUCTION FACTOR 1', NULL, NULL, NULL, 15),
(102214, NULL, 'PTHR11709:SF357', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(102215, NULL, 'PTHR31415:SF7', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN 1 FAMILY (HIN1)-LIKE', NULL, NULL, NULL, 15),
(102216, NULL, 'PTHR12277:SF72', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN-CONTAINING 16A', NULL, NULL, NULL, 15),
(102217, NULL, 'PTHR43313:SF14', NULL, NULL, NULL, NULL, 'CIS-RETINOL/3ALPHA HYDROXYSTEROL SHORT-CHAIN DEHYDROGENASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102218, NULL, 'PTHR45653:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102219, NULL, 'PTHR19918:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102220, NULL, 'PTHR13924:SF10', NULL, NULL, NULL, NULL, 'TRANSFORMING ACIDIC COILED-COIL PROTEIN, ISOFORM K', NULL, NULL, NULL, 15),
(102221, NULL, 'PTHR47089:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(102222, NULL, 'PTHR31989:SF228', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTORS 68', NULL, NULL, NULL, 15),
(102223, NULL, 'PTHR46834:SF9', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102224, NULL, 'PTHR13683:SF638', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2', NULL, NULL, NULL, 15),
(102225, NULL, 'PTHR24072:SF341', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN 2 ISOFORM X1', NULL, NULL, NULL, 15),
(102226, NULL, 'PTHR31140:SF93', NULL, NULL, NULL, NULL, 'BNAC01G44850D PROTEIN', NULL, NULL, NULL, 15),
(102227, NULL, 'PTHR10543:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102228, NULL, 'PTHR11926:SF738', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(102229, NULL, 'PTHR24414:SF151', NULL, NULL, NULL, NULL, 'BNAA05G09240D PROTEIN', NULL, NULL, NULL, 15),
(102230, NULL, 'PTHR11447:SF8', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN 63', NULL, NULL, 22089, 15),
(102231, NULL, 'PTHR31662:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102232, NULL, 'PTHR24418:SF272', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102233, NULL, 'PTHR23138:SF142', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP50A-RELATED', NULL, NULL, NULL, 15),
(102234, NULL, 'PTHR13778:SF38', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 5-RELATED', NULL, NULL, NULL, 15),
(102235, NULL, 'PTHR43528:SF5', NULL, NULL, NULL, NULL, 'PROLINE/BETAINE TRANSPORTER', NULL, NULL, NULL, 15),
(102236, NULL, 'PTHR31206', NULL, NULL, NULL, NULL, 'LP10445P', NULL, NULL, 29306, 15),
(102237, NULL, 'PTHR23017:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(102238, NULL, 'PTHR46084:SF12', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(102239, NULL, 'PTHR45639:SF10', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 16', NULL, NULL, NULL, 15),
(102240, NULL, 'PTHR15512', NULL, NULL, NULL, NULL, 'TERF1-INTERACTING NUCLEAR FACTOR 2', NULL, NULL, 35744, 15),
(102241, NULL, 'PTHR35109', NULL, NULL, NULL, NULL, 'GLUTAMATE RACEMASE', NULL, NULL, NULL, 15),
(102242, NULL, 'PTHR36197:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102243, NULL, 'PTHR47965:SF20', NULL, NULL, NULL, NULL, 'OS05G0591300 PROTEIN', NULL, NULL, NULL, 15),
(102244, NULL, 'PTHR31500:SF59', NULL, NULL, NULL, NULL, 'DNA-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(102245, NULL, 'PTHR24072:SF149', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC10-RELATED', NULL, NULL, NULL, 15),
(102246, NULL, 'PTHR13878:SF62', NULL, NULL, NULL, NULL, 'ALCOHOL OXIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01180)-RELATED', NULL, NULL, NULL, 15),
(102247, NULL, 'PTHR47989:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102248, NULL, 'PTHR33355:SF17', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE, GALACTURONAN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102249, NULL, 'PTHR31737', NULL, NULL, NULL, NULL, 'PROTEIN TOS1', NULL, NULL, NULL, 15),
(102250, NULL, 'PTHR48029:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102251, NULL, 'PTHR10353:SF235', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 24', NULL, NULL, NULL, 15),
(102252, NULL, 'PTHR10795:SF537', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102253, NULL, 'PTHR28307', NULL, NULL, NULL, NULL, 'PROTEIN PAL1', NULL, NULL, 12164, 15),
(102254, NULL, 'PTHR10953:SF102', NULL, NULL, NULL, NULL, 'ADENYLYLTRANSFERASE AND SULFURTRANSFERASE MOCS3', NULL, NULL, NULL, 15),
(102255, NULL, 'PTHR48041:SF41', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORTER', NULL, NULL, NULL, 15),
(102256, NULL, 'PTHR19282:SF448', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(102257, NULL, 'PTHR12455:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR COMPLEX PROTEIN 4 HOMOLOG', NULL, NULL, NULL, 15),
(102258, NULL, 'PTHR37351:SF1', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 17', NULL, NULL, NULL, 15),
(102259, NULL, 'PTHR42203:SF2', NULL, NULL, NULL, NULL, 'UPF0058 PROTEIN MJ1205', NULL, NULL, NULL, 15),
(102260, NULL, 'PTHR32227:SF237', NULL, NULL, NULL, NULL, 'GB|AAD30228.1', NULL, NULL, NULL, 15),
(102261, NULL, 'PTHR24073:SF352', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB6', NULL, NULL, NULL, 15),
(102262, NULL, 'PTHR23056:SF97', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(102263, NULL, 'PTHR24348:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102264, NULL, 'PTHR32251:SF28', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(102265, NULL, 'PTHR43180:SF75', NULL, NULL, NULL, NULL, 'CHAIN ALCOHOL DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(102266, NULL, 'PTHR47741', NULL, NULL, NULL, NULL, 'COILED COIL DOMAIN-CONTAINING PROTEIN 8, CCDC8', NULL, NULL, NULL, 15),
(102267, NULL, 'PTHR36727:SF3', NULL, NULL, NULL, NULL, 'BNAC02G20220D PROTEIN', NULL, NULL, NULL, 15),
(102268, NULL, 'PTHR47967:SF3', NULL, NULL, NULL, NULL, 'OS09G0556100 PROTEIN', NULL, NULL, NULL, 15),
(102269, NULL, 'PTHR33120:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102270, NULL, 'PTHR31342:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102271, NULL, 'PTHR45855:SF24', NULL, NULL, NULL, NULL, 'OS12G0599000 PROTEIN', NULL, NULL, NULL, 15),
(102272, NULL, 'PTHR12326:SF5', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY M MEMBER 1', NULL, NULL, NULL, 15),
(102273, NULL, 'PTHR10996:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102274, NULL, 'PTHR48051:SF6', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND IQ MOTIF CONTAINING 4', NULL, NULL, NULL, 15),
(102275, NULL, 'PTHR10795:SF713', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE ENDOPEPTIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(102276, NULL, 'PTHR30509:SF10', NULL, NULL, NULL, NULL, 'P-HYDROXYBENZOIC ACID EFFLUX PUMP SUBUNIT AAEB', NULL, NULL, 7065, 15),
(102277, NULL, 'PTHR24093:SF438', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 4, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(102278, NULL, 'PTHR47280', NULL, NULL, NULL, NULL, 'PHEOPHYTINASE, CHLOROPLASTIC', NULL, NULL, 37401, 15),
(102279, NULL, 'PTHR48011:SF53', NULL, NULL, NULL, NULL, 'BNAA04G11130D PROTEIN', NULL, NULL, NULL, 15),
(102280, NULL, 'PTHR47139:SF3', NULL, NULL, NULL, NULL, 'SI:CH73-361P23.3', NULL, NULL, NULL, 15),
(102281, NULL, 'PTHR33463:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102282, NULL, 'PTHR46057:SF16', NULL, NULL, NULL, NULL, 'DUF581 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(102283, NULL, 'PTHR19850', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN BETA  G PROTEIN BETA', NULL, NULL, 20974, 15),
(102284, NULL, 'PTHR23037:SF29', NULL, NULL, NULL, NULL, 'INTERLEUKIN-9 RECEPTOR', NULL, NULL, NULL, 15),
(102285, NULL, 'PTHR24203:SF44', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 2A', NULL, NULL, NULL, 15),
(102286, NULL, 'PTHR11006:SF51', NULL, NULL, NULL, NULL, 'HISTONE-ARGININE METHYLTRANSFERASE CARM1', NULL, NULL, NULL, 15),
(102287, NULL, 'PTHR23213:SF348', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(102288, NULL, 'PTHR43812', NULL, NULL, NULL, NULL, 'BLR2425 PROTEIN', NULL, NULL, NULL, 15),
(102289, NULL, 'PTHR43791:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(102290, NULL, 'PTHR22750:SF52', NULL, NULL, NULL, NULL, 'SPHINGOSINE-1-PHOSPHATE RECEPTOR 3A', NULL, NULL, NULL, 15),
(102291, NULL, 'PTHR45774:SF5', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(102292, NULL, 'PTHR24095:SF244', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', NULL, NULL, NULL, 15),
(102293, NULL, 'PTHR33481:SF1', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE', NULL, NULL, NULL, 15),
(102294, NULL, 'PTHR46220:SF7', NULL, NULL, NULL, NULL, 'OS05G0382000 PROTEIN', NULL, NULL, NULL, 15),
(102295, NULL, 'PTHR45730:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102296, NULL, 'PTHR13902:SF134', NULL, NULL, NULL, NULL, 'KINASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(102297, NULL, 'PTHR28637:SF12', NULL, NULL, NULL, NULL, 'BNAA05G11560D PROTEIN', NULL, NULL, NULL, 15),
(102298, NULL, 'PTHR24253:SF91', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR I', NULL, NULL, NULL, 15),
(102299, NULL, 'PTHR12537:SF152', NULL, NULL, NULL, NULL, 'BNAA03G47670D PROTEIN', NULL, NULL, NULL, 15),
(102300, NULL, 'PTHR19353:SF13', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE 6', NULL, NULL, NULL, 15),
(102301, NULL, 'PTHR24367:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT LGI FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(102302, NULL, 'PTHR21136:SF192', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 725-RELATED', NULL, NULL, NULL, 15),
(102303, NULL, 'PTHR11654:SF510', NULL, NULL, NULL, NULL, 'FACILITATOR SUPERFAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(102304, NULL, 'PTHR13723:SF286', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS ADT-1', NULL, NULL, NULL, 15),
(102305, NULL, 'PTHR19957:SF303', NULL, NULL, NULL, NULL, 'SYNTAXIN-132-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102306, NULL, 'PTHR31673:SF53', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(102307, NULL, 'PTHR22936:SF92', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', NULL, NULL, NULL, 15),
(102308, NULL, 'PTHR26453:SF17', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(102309, NULL, 'PTHR13902:SF47', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK3', NULL, NULL, NULL, 15),
(102310, NULL, 'PTHR31627:SF38', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS V-1', NULL, NULL, NULL, 15),
(102311, NULL, 'PTHR12883:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102312, NULL, 'PTHR24366:SF14', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY CONTAINING LEUCINE-RICH REPEAT PROTEIN', NULL, NULL, NULL, 15),
(102313, NULL, 'PTHR14503', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN 34 FAMILY MEMBER', NULL, NULL, 874, 15),
(102314, NULL, 'PTHR46224:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102315, NULL, 'PTHR44427:SF19', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC BETA-1-GLYCOPROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(102316, NULL, 'PTHR15680:SF9', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L19, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(102317, NULL, 'PTHR21461:SF74', NULL, NULL, NULL, NULL, 'GH12965P', NULL, NULL, NULL, 15),
(102318, NULL, 'PTHR23315:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102319, NULL, 'PTHR24228:SF9', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 25-RELATED', NULL, NULL, NULL, 15),
(102320, NULL, 'PTHR43572:SF29', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 4', NULL, NULL, NULL, 15),
(102321, NULL, 'PTHR33304:SF40', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(102322, NULL, 'PTHR47679:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TORNADO 1', NULL, NULL, NULL, 15),
(102323, NULL, 'PTHR31325:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102324, NULL, 'PTHR27005:SF353', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 11-RELATED', NULL, NULL, NULL, 15),
(102325, NULL, 'PTHR11113:SF4', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-PHOSPHATE DEACETYLASE', NULL, NULL, NULL, 15),
(102326, NULL, 'PTHR47784', NULL, NULL, NULL, NULL, 'STEROL UPTAKE CONTROL PROTEIN 2', NULL, NULL, NULL, 15),
(102327, NULL, 'PTHR12358:SF6', NULL, NULL, NULL, NULL, 'CERAMIDE KINASE, ISOFORM A', NULL, NULL, NULL, 15),
(102328, NULL, 'PTHR23414', NULL, NULL, NULL, NULL, 'ADRENOMEDULLIN, ADM', NULL, NULL, NULL, 15),
(102329, NULL, 'PTHR43551:SF2', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE IRON-SULFUR SUBUNIT', NULL, NULL, NULL, 15),
(102330, NULL, 'PTHR45617:SF20', NULL, NULL, NULL, NULL, 'TLR4 INTERACTOR WITH LEUCINE-RICH REPEATS', NULL, NULL, NULL, 15),
(102331, NULL, 'PTHR37868', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 190', NULL, NULL, 21995, 15),
(102332, NULL, 'PTHR33989:SF10', NULL, NULL, NULL, NULL, 'PERMEASE IIC COMPONENT', NULL, NULL, NULL, 15),
(102333, NULL, 'PTHR36100', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 4', NULL, NULL, NULL, 15),
(102334, NULL, 'PTHR12346', NULL, NULL, NULL, NULL, 'SIN3B-RELATED', NULL, NULL, 32196, 15),
(102335, NULL, 'PTHR31384:SF23', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 14', NULL, NULL, NULL, 15),
(102336, NULL, 'PTHR23011:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102337, NULL, 'PTHR36307:SF2', NULL, NULL, NULL, NULL, 'FLAGELLA BASAL BODY P-RING FORMATION PROTEIN FLGA', NULL, NULL, NULL, 15),
(102338, NULL, 'PTHR33935', NULL, NULL, NULL, NULL, 'OS10G0148100 PROTEIN', NULL, NULL, NULL, 15),
(102339, NULL, 'PTHR11071:SF292', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE G', NULL, NULL, NULL, 15),
(102340, NULL, 'PTHR34709:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102341, NULL, 'PTHR23512:SF10', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00260)-RELATED', NULL, NULL, NULL, 15),
(102342, NULL, 'PTHR10443:SF14', NULL, NULL, NULL, NULL, 'DIPEPTIDASE 3', NULL, NULL, 28627, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102343, NULL, 'PTHR23542', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102344, NULL, 'PTHR14511:SF15', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR FAMILY C GROUP 5 MEMBER C', NULL, NULL, NULL, 15),
(102345, NULL, 'PTHR13336:SF2', NULL, NULL, NULL, NULL, 'OCIA DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(102346, NULL, 'PTHR10681:SF142', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN 3', NULL, NULL, NULL, 15),
(102347, NULL, 'PTHR24414:SF173', NULL, NULL, NULL, NULL, 'BNAA09G17190D PROTEIN', NULL, NULL, NULL, 15),
(102348, NULL, 'PTHR10201:SF239', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-B', NULL, NULL, NULL, 15),
(102349, NULL, 'PTHR31929:SF118', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(102350, NULL, 'PTHR23076:SF113', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(102351, NULL, 'PTHR12080:SF59', NULL, NULL, NULL, NULL, 'HEPATOCYTE CELL ADHESION MOLECULE', NULL, NULL, NULL, 15),
(102352, NULL, 'PTHR32015:SF2', NULL, NULL, NULL, NULL, 'LIPASE RELATED', NULL, NULL, NULL, 15),
(102353, NULL, 'PTHR12276:SF83', NULL, NULL, NULL, NULL, 'CLATHRIN INTERACTOR 1', NULL, NULL, 27595, 15),
(102354, NULL, 'PTHR30224:SF4', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT PROTEIN YCCM-RELATED', NULL, NULL, NULL, 15),
(102355, NULL, 'PTHR35796:SF3', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(102356, NULL, 'PTHR12021:SF10', NULL, NULL, NULL, NULL, 'THYMOSIN BETA-10', NULL, NULL, NULL, 15),
(102357, NULL, 'PTHR23226:SF167', NULL, NULL, NULL, NULL, 'IP01388P-RELATED', NULL, NULL, NULL, 15),
(102358, NULL, 'PTHR11764:SF51', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(102359, NULL, 'PTHR45773:SF1', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(102360, NULL, 'PTHR30604', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN HOFQ', NULL, NULL, NULL, 15),
(102361, NULL, 'PTHR10574:SF282', NULL, NULL, NULL, NULL, 'NETRIN-4', NULL, NULL, NULL, 15),
(102362, NULL, 'PTHR45738', NULL, NULL, NULL, NULL, 'POLYPHOSPHOINOSITIDE PHOSPHATASE', NULL, NULL, 38049, 15),
(102363, NULL, 'PTHR14106', NULL, NULL, NULL, NULL, 'TRIADIN', NULL, NULL, 11131, 15),
(102364, NULL, 'PTHR31213:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102365, NULL, 'PTHR45969:SF47', NULL, NULL, NULL, NULL, 'OS07G0686300 PROTEIN', NULL, NULL, NULL, 15),
(102366, NULL, 'PTHR24281:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102367, NULL, 'PTHR22891:SF113', NULL, NULL, NULL, NULL, 'MEIOTIC SILENCING SUPPRESSOR 2', NULL, NULL, NULL, 15),
(102368, NULL, 'PTHR43806:SF11', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE SUBTILISIN/KEXIN TYPE 9', NULL, NULL, NULL, 15),
(102369, NULL, 'PTHR48049:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(102370, NULL, 'PTHR31746', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 229 FAMILY MEMBER', NULL, NULL, NULL, 15),
(102371, NULL, 'PTHR11036:SF21', NULL, NULL, NULL, NULL, 'SEMA DOMAIN, IMMUNOGLOBULIN DOMAIN (IG), SHORT BASIC DOMAIN, SECRETED, (SEMAPHORIN) 3H', NULL, NULL, NULL, 15),
(102372, NULL, 'PTHR23273:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102373, NULL, 'PTHR15696:SF17', NULL, NULL, NULL, NULL, 'EST/SMG-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(102374, NULL, 'PTHR44111', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 2', NULL, NULL, 32208, 15),
(102375, NULL, 'PTHR12428:SF41', NULL, NULL, NULL, NULL, 'OS03G0116000 PROTEIN', NULL, NULL, NULL, 15),
(102376, NULL, 'PTHR11208:SF46', NULL, NULL, NULL, NULL, 'PROTEIN CBG01583', NULL, NULL, NULL, 15),
(102377, NULL, 'PTHR11945:SF657', NULL, NULL, NULL, NULL, 'K-BOX REGION AND MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102378, NULL, 'PTHR46056:SF5', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE FAO1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102379, NULL, 'PTHR33525:SF6', NULL, NULL, NULL, NULL, 'HDOD DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(102380, NULL, 'PTHR11588:SF336', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(102381, NULL, 'PTHR12701:SF46', NULL, NULL, NULL, NULL, 'BNAA02G30380D PROTEIN', NULL, NULL, NULL, 15),
(102382, NULL, 'PTHR45653:SF1', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 1', NULL, NULL, NULL, 15),
(102383, NULL, 'PTHR24203:SF51', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(102384, NULL, 'PTHR11709:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102385, NULL, 'PTHR13061:SF11', NULL, NULL, NULL, NULL, 'PROTEIN YRDA', NULL, NULL, NULL, 15),
(102386, NULL, 'PTHR11711:SF375', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 4B-RELATED', NULL, NULL, NULL, 15),
(102387, NULL, 'PTHR21008:SF0', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SENSOR UPSTREAM OF MTORC1', NULL, NULL, NULL, 15),
(102388, NULL, 'PTHR12952:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SYS1 HOMOLOG', NULL, NULL, NULL, 15),
(102389, NULL, 'PTHR31639:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102390, NULL, 'PTHR33882:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102391, NULL, 'PTHR21623', NULL, NULL, NULL, NULL, 'SPERIOLIN-BINDING FACTOR', NULL, NULL, 29820, 15),
(102392, NULL, 'PTHR48043:SF112', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 3A1', NULL, NULL, NULL, 15),
(102393, NULL, 'PTHR32212:SF255', NULL, NULL, NULL, NULL, 'BNAC02G12150D PROTEIN', NULL, NULL, NULL, 15),
(102394, NULL, 'PTHR46613', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD 10 HOMOLOG B-RELATED', NULL, NULL, NULL, 15),
(102395, NULL, 'PTHR36721:SF2', NULL, NULL, NULL, NULL, 'BNAC03G70040D PROTEIN', NULL, NULL, NULL, 15),
(102396, NULL, 'PTHR12189:SF7', NULL, NULL, NULL, NULL, 'BNAC05G11070D PROTEIN', NULL, NULL, NULL, 15),
(102397, NULL, 'PTHR32044:SF72', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(102398, NULL, 'PTHR21593:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG06007', NULL, NULL, NULL, 15),
(102399, NULL, 'PTHR33920', NULL, NULL, NULL, NULL, 'THIONIN-2.1-RELATED', NULL, NULL, 2401, 15),
(102400, NULL, 'PTHR43768:SF34', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE RA3', NULL, NULL, NULL, 15),
(102401, NULL, 'PTHR33076:SF64', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(102402, NULL, 'PTHR23504:SF16', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13970)-RELATED', NULL, NULL, NULL, 15),
(102403, NULL, 'PTHR31636:SF65', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(102404, NULL, 'PTHR19918:SF36', NULL, NULL, NULL, NULL, 'PROTEIN FIZZY-RELATED 3', NULL, NULL, NULL, 15),
(102405, NULL, 'PTHR31375:SF193', NULL, NULL, NULL, NULL, 'BNAA07G09960D PROTEIN', NULL, NULL, NULL, 15),
(102406, NULL, 'PTHR47932:SF7', NULL, NULL, NULL, NULL, 'REPEAT-LIKE SUPERFAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(102407, NULL, 'PTHR12697:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102408, NULL, 'PTHR11799:SF17', NULL, NULL, NULL, NULL, 'SERUM PARAOXONASE/ARYLESTERASE 2', NULL, NULL, NULL, 15),
(102409, NULL, 'PTHR10285:SF192', NULL, NULL, NULL, NULL, 'URACIL PHOSPHORIBOSYLTRANSFERASE URG2-RELATED', NULL, NULL, NULL, 15),
(102410, NULL, 'PTHR31790:SF258', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(102411, NULL, 'PTHR12411:SF575', NULL, NULL, NULL, NULL, 'ZGC:110239', NULL, NULL, NULL, 15),
(102412, NULL, 'PTHR23202:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102413, NULL, 'PTHR24025:SF10', NULL, NULL, NULL, NULL, 'DESMOGLEIN-4', NULL, NULL, NULL, 15),
(102414, NULL, 'PTHR43899:SF13', NULL, NULL, NULL, NULL, 'RH59310P', NULL, NULL, NULL, 15),
(102415, NULL, 'PTHR22726:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102416, NULL, 'PTHR30118:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR LYSR FAMILY', NULL, NULL, NULL, 15),
(102417, NULL, 'PTHR44329:SF195', NULL, NULL, NULL, NULL, 'MITOGEN ACTIVATED PROTEIN KINASE KINASE KINASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102418, NULL, 'PTHR17985', NULL, NULL, NULL, NULL, 'SER/THR-RICH PROTEIN T10 IN DGCR REGION', NULL, NULL, 13197, 15),
(102419, NULL, 'PTHR37177', NULL, NULL, NULL, NULL, 'PROTEIN PSY1', NULL, NULL, 16727, 15),
(102420, NULL, 'PTHR31270', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 2330, 15),
(102421, NULL, 'PTHR31656:SF33', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN ART V 1-LIKE', NULL, NULL, NULL, 15),
(102422, NULL, 'PTHR45617:SF64', NULL, NULL, NULL, NULL, 'MIP14966P', NULL, NULL, NULL, 15),
(102423, NULL, 'PTHR42886:SF61', NULL, NULL, NULL, NULL, 'HYDROLASE', NULL, NULL, NULL, 15),
(102424, NULL, 'PTHR21533:SF13', NULL, NULL, NULL, NULL, 'SPERMATID-ASSOCIATED PROTEIN', NULL, NULL, 24151, 15),
(102425, NULL, 'PTHR31407:SF43', NULL, NULL, NULL, NULL, 'BNAC08G10210D PROTEIN', NULL, NULL, NULL, 15),
(102426, NULL, 'PTHR38085:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102427, NULL, 'PTHR12861:SF5', NULL, NULL, NULL, NULL, 'OS05G0103100 PROTEIN', NULL, NULL, NULL, 15),
(102428, NULL, 'PTHR31357:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS B (BETA)-RELATED', NULL, NULL, NULL, 15),
(102429, NULL, 'PTHR43719:SF32', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE M', NULL, NULL, NULL, 15),
(102430, NULL, 'PTHR11260:SF487', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE GST 23', NULL, NULL, NULL, 15),
(102431, NULL, 'PTHR47978:SF15', NULL, NULL, NULL, NULL, 'RAB GTPASE-LIKE PROTEIN A1D', NULL, NULL, NULL, 15),
(102432, NULL, 'PTHR33127:SF46', NULL, NULL, NULL, NULL, 'OS09G0340800 PROTEIN', NULL, NULL, NULL, 15),
(102433, NULL, 'PTHR47500', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, 37191, 15),
(102434, NULL, 'PTHR45621:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102435, NULL, 'PTHR31989:SF51', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 19-LIKE', NULL, NULL, NULL, 15),
(102436, NULL, 'PTHR12378:SF52', NULL, NULL, NULL, NULL, 'F23A5.4 PROTEIN', NULL, NULL, NULL, 15),
(102437, NULL, 'PTHR23301:SF79', NULL, NULL, NULL, NULL, 'GEO02292P1-RELATED', NULL, NULL, NULL, 15),
(102438, NULL, 'PTHR43072:SF39', NULL, NULL, NULL, NULL, 'BNAC03G61370D PROTEIN', NULL, NULL, NULL, 15),
(102439, NULL, 'PTHR32026', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 24', NULL, NULL, 28656, 15),
(102440, NULL, 'PTHR21196', NULL, NULL, NULL, NULL, 'U7 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM10', NULL, NULL, NULL, 15),
(102441, NULL, 'PTHR46336:SF14', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN POB1-LIKE', NULL, NULL, NULL, 15),
(102442, NULL, 'PTHR46062', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN', NULL, NULL, NULL, 15),
(102443, NULL, 'PTHR23151', NULL, NULL, NULL, NULL, 'DIHYDROLIPOAMIDE ACETYL/SUCCINYL-TRANSFERASE-RELATED', NULL, NULL, 39924, 15),
(102444, NULL, 'PTHR31355:SF4', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(102445, NULL, 'PTHR24376:SF90', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 112', NULL, NULL, NULL, 15),
(102446, NULL, 'PTHR23024:SF462', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1C-LIKE PROTEIN', NULL, NULL, NULL, 15),
(102447, NULL, 'PTHR33904:SF1', NULL, NULL, NULL, NULL, 'ESSENTIAL MCU REGULATOR, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(102448, NULL, 'PTHR18934:SF126', NULL, NULL, NULL, NULL, 'OS03G0282700 PROTEIN', NULL, NULL, NULL, 15),
(102449, NULL, 'PTHR37492:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102450, NULL, 'PTHR11706:SF97', NULL, NULL, NULL, NULL, 'PROTEIN ETHYLENE-INSENSITIVE 2', NULL, NULL, NULL, 15),
(102451, NULL, 'PTHR33429:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102452, NULL, 'PTHR31174:SF30', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN D-34-LIKE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102453, NULL, 'PTHR45761:SF1', NULL, NULL, NULL, NULL, 'EXTENDED SYNAPTOTAGMIN-LIKE PROTEIN 2, ISOFORM C', NULL, NULL, NULL, 15),
(102454, NULL, 'PTHR31128:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBR-CLEC-135', NULL, NULL, NULL, 15),
(102455, NULL, 'PTHR24006:SF711', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 26', NULL, NULL, NULL, 15),
(102456, NULL, 'PTHR39673:SF7', NULL, NULL, NULL, NULL, 'TUNGSTEN-CONTAINING FORMYLMETHANOFURAN DEHYDROGENASE 2 SUBUNIT C', NULL, NULL, NULL, 15),
(102457, NULL, 'PTHR24356:SF210', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE N', NULL, NULL, NULL, 15),
(102458, NULL, 'PTHR14592:SF11', NULL, NULL, NULL, NULL, 'PROTEIN FAM3A', NULL, NULL, 35538, 15),
(102459, NULL, 'PTHR45616:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-183I3.5', NULL, NULL, NULL, 15),
(102460, NULL, 'PTHR40524:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102461, NULL, 'PTHR24299:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 1A1', NULL, NULL, NULL, 15),
(102462, NULL, 'PTHR35546:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102463, NULL, 'PTHR45838:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE 2B', NULL, NULL, NULL, 15),
(102464, NULL, 'PTHR13140:SF381', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IG', NULL, NULL, NULL, 15),
(102465, NULL, 'PTHR13414:SF9', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 9', NULL, NULL, NULL, 15),
(102466, NULL, 'PTHR47499', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 7 SPINK7', NULL, NULL, NULL, 15),
(102467, NULL, 'PTHR10352:SF18', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN 45', NULL, NULL, 31548, 15),
(102468, NULL, 'PTHR11073:SF2', NULL, NULL, NULL, NULL, 'CALRETICULIN', NULL, NULL, NULL, 15),
(102469, NULL, 'PTHR12035:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102470, NULL, 'PTHR35994:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(102471, NULL, 'PTHR12802:SF124', NULL, NULL, NULL, NULL, 'MYB DOMAIN, PLANT, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102472, NULL, 'PTHR34388', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT DELTA', NULL, NULL, NULL, 15),
(102473, NULL, 'PTHR11426:SF203', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(102474, NULL, 'PTHR48056:SF27', NULL, NULL, NULL, NULL, 'BNAC03G63780D PROTEIN', NULL, NULL, NULL, 15),
(102475, NULL, 'PTHR19328:SF59', NULL, NULL, NULL, NULL, 'HIPL2 PROTEIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(102476, NULL, 'PTHR11886:SF60', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(102477, NULL, 'PTHR31719:SF112', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 104-LIKE', NULL, NULL, NULL, 15),
(102478, NULL, 'PTHR24559:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102479, NULL, 'PTHR30633:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C-552', NULL, NULL, NULL, 15),
(102480, NULL, 'PTHR12375', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN LUC7-RELATED', NULL, NULL, 7165, 15),
(102481, NULL, 'PTHR10670', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON CATALYTIC SUBUNIT A', NULL, NULL, 22117, 15),
(102482, NULL, 'PTHR46260', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102483, NULL, 'PTHR32438', NULL, NULL, NULL, NULL, '4-ALPHA-GLUCANOTRANSFERASE DPE1, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, 4991, 15),
(102484, NULL, 'PTHR46040:SF2', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY E MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(102485, NULL, 'PTHR24180:SF28', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(102486, NULL, 'PTHR17611:SF3', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC680039', NULL, NULL, NULL, 15),
(102487, NULL, 'PTHR39209', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102488, NULL, 'PTHR10434:SF11', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102489, NULL, 'PTHR46151:SF23', NULL, NULL, NULL, NULL, 'BNAA09G08080D PROTEIN', NULL, NULL, NULL, 15),
(102490, NULL, 'PTHR31331:SF8', NULL, NULL, NULL, NULL, 'LCCL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(102491, NULL, 'PTHR36089:SF1', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 3 COMPLEX PROTEIN CSI2-RELATED', NULL, NULL, NULL, 15),
(102492, NULL, 'PTHR31388:SF230', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(102493, NULL, 'PTHR31585:SF13', NULL, NULL, NULL, NULL, 'OSJNBA0029H02.8 PROTEIN', NULL, NULL, NULL, 15),
(102494, NULL, 'PTHR28270', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 19', NULL, NULL, 8005, 15),
(102495, NULL, 'PTHR45958:SF12', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(102496, NULL, 'PTHR47928:SF7', NULL, NULL, NULL, NULL, 'OS06G0143500 PROTEIN', NULL, NULL, NULL, 15),
(102497, NULL, 'PTHR22012', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH INTERACTING PROTEIN 1', NULL, NULL, 21514, 15),
(102498, NULL, 'PTHR16088:SF11', NULL, NULL, NULL, NULL, 'GON-4-LIKE PROTEIN', NULL, NULL, 33717, 15),
(102499, NULL, 'PTHR14165:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102500, NULL, 'PTHR11738:SF169', NULL, NULL, NULL, NULL, 'KILLER CELL IMMUNOGLOBULIN-LIKE RECEPTOR 2DL5A-RELATED', NULL, NULL, NULL, 15),
(102501, NULL, 'PTHR38739', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102502, NULL, 'PTHR22978:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102503, NULL, 'PTHR45828:SF20', NULL, NULL, NULL, NULL, 'SI:CH73-196I15.3-RELATED', NULL, NULL, NULL, 15),
(102504, NULL, 'PTHR16223:SF219', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH139-LIKE', NULL, NULL, NULL, 15),
(102505, NULL, 'PTHR31968', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RELATED PROTEIN 53', NULL, NULL, 11325, 15),
(102506, NULL, 'PTHR12356:SF14', NULL, NULL, NULL, NULL, 'MOVEMENT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(102507, NULL, 'PTHR11879:SF36', NULL, NULL, NULL, NULL, 'GLUTAMIC-OXALOACETIC TRANSAMINASE 1-LIKE 1', NULL, NULL, NULL, 15),
(102508, NULL, 'PTHR22811:SF60', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(102509, NULL, 'PTHR24203:SF61', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 2A', NULL, NULL, NULL, 15),
(102510, NULL, 'PTHR13374:SF3', NULL, NULL, NULL, NULL, 'DET1 HOMOLOG', NULL, NULL, NULL, 15),
(102511, NULL, 'PTHR23169:SF7', NULL, NULL, NULL, NULL, 'ENVOPLAKIN-RELATED', NULL, NULL, 26179, 15),
(102512, NULL, 'PTHR35459:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102513, NULL, 'PTHR31549:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102514, NULL, 'PTHR23334:SF55', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 24', NULL, NULL, NULL, 15),
(102515, NULL, 'PTHR46057:SF23', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 2', NULL, NULL, NULL, 15),
(102516, NULL, 'PTHR33509:SF27', NULL, NULL, NULL, NULL, 'BNAC08G10490D PROTEIN', NULL, NULL, NULL, 15),
(102517, NULL, 'PTHR23413:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102518, NULL, 'PTHR42861:SF6', NULL, NULL, NULL, NULL, 'SARCOPLASMIC/ENDOPLASMIC RETICULUM CALCIUM ATPASE 3', NULL, NULL, NULL, 15),
(102519, NULL, 'PTHR46072:SF8', NULL, NULL, NULL, NULL, 'GENERAL AMIDASE GMDA', NULL, NULL, NULL, 15),
(102520, NULL, 'PTHR42790:SF4', NULL, NULL, NULL, NULL, 'VALINE--PYRUVATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(102521, NULL, 'PTHR21255:SF41', NULL, NULL, NULL, NULL, 'LIGHT CHAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(102522, NULL, 'PTHR11593:SF36', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L17A', NULL, NULL, NULL, 15),
(102523, NULL, 'PTHR31731:SF79', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(102524, NULL, 'PTHR43077:SF8', NULL, NULL, NULL, NULL, 'DOXORUBICIN RESISTANCE ABC TRANSPORTER PERMEASE PROTEIN DRRB', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102525, NULL, 'PTHR48190:SF1', NULL, NULL, NULL, NULL, 'U11/U12 SMALL NUCLEAR RIBONUCLEOPROTEIN 59 KDA PROTEIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(102526, NULL, 'PTHR31989:SF384', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102527, NULL, 'PTHR21495:SF53', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(102528, NULL, 'PTHR24056:SF387', NULL, NULL, NULL, NULL, 'F8L10.9 PROTEIN', NULL, NULL, NULL, 15),
(102529, NULL, 'PTHR33128:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0044M19.18 PROTEIN', NULL, NULL, NULL, 15),
(102530, NULL, 'PTHR23001:SF37', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5-LIKE', NULL, NULL, NULL, 15),
(102531, NULL, 'PTHR46354:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBP-1B', NULL, NULL, NULL, 15),
(102532, NULL, 'PTHR45615', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN, NON-MUSCLE', NULL, NULL, NULL, 15),
(102533, NULL, 'PTHR42817:SF3', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03540)-RELATED', NULL, NULL, NULL, 15),
(102534, NULL, 'PTHR47926:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102535, NULL, 'PTHR11721:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102536, NULL, 'PTHR10766:SF111', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 3', NULL, NULL, NULL, 15),
(102537, NULL, 'PTHR24031:SF307', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX1', NULL, NULL, NULL, 15),
(102538, NULL, 'PTHR34777:SF15', NULL, NULL, NULL, NULL, 'VQ MOTIF PROTEIN', NULL, NULL, NULL, 15),
(102539, NULL, 'PTHR31621:SF50', NULL, NULL, NULL, NULL, 'BNAA01G25000D PROTEIN', NULL, NULL, NULL, 15),
(102540, NULL, 'PTHR11232:SF30', NULL, NULL, NULL, NULL, 'DISABLED HOMOLOG 2', NULL, NULL, NULL, 15),
(102541, NULL, 'PTHR24384', NULL, NULL, NULL, NULL, 'FINGER PUTATIVE TRANSCRIPTION FACTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(102542, NULL, 'PTHR27002:SF863', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE 3 ISOFORM 1', NULL, NULL, NULL, 15),
(102543, NULL, 'PTHR46072', NULL, NULL, NULL, NULL, 'AMIDASE-RELATED-RELATED', NULL, NULL, NULL, 15),
(102544, NULL, 'PTHR31087:SF3', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 6', NULL, NULL, NULL, 15),
(102545, NULL, 'PTHR33239:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102546, NULL, 'PTHR32077:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102547, NULL, 'PTHR45956:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102548, NULL, 'PTHR23351:SF4', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE C-FOS', NULL, NULL, 28611, 15),
(102549, NULL, 'PTHR45620', NULL, NULL, NULL, NULL, 'PDF RECEPTOR-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102550, NULL, 'PTHR47926:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102551, NULL, 'PTHR33065:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102552, NULL, 'PTHR12000:SF47', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME-RELATED', NULL, NULL, NULL, 15),
(102553, NULL, 'PTHR34048:SF5', NULL, NULL, NULL, NULL, 'INNER MEMBRANE LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(102554, NULL, 'PTHR41983', NULL, NULL, NULL, NULL, 'SHORT-CHAIN FATTY ACID TRANSPORTER-RELATED', NULL, NULL, 10464, 15),
(102555, NULL, 'PTHR31636:SF158', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 33', NULL, NULL, NULL, 15),
(102556, NULL, 'PTHR33137:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(102557, NULL, 'PTHR31008:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102558, NULL, 'PTHR14339', NULL, NULL, NULL, NULL, 'VASCULIN', NULL, NULL, 22603, 15),
(102559, NULL, 'PTHR11216:SF121', NULL, NULL, NULL, NULL, 'OS02G0158100 PROTEIN', NULL, NULL, NULL, 15),
(102560, NULL, 'PTHR31659:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102561, NULL, 'PTHR13958:SF3', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN 350', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102562, NULL, 'PTHR47991:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102563, NULL, 'PTHR22812', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN', NULL, NULL, NULL, 15),
(102564, NULL, 'PTHR14939:SF8', NULL, NULL, NULL, NULL, 'SKP2-LIKE, FIST C DOMAIN, FIST DOMAIN, N-TERMINAL ISOFORM 1', NULL, NULL, NULL, 15),
(102565, NULL, 'PTHR30540:SF28', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 21', NULL, NULL, NULL, 15),
(102566, NULL, 'PTHR31562:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG12400', NULL, NULL, NULL, 15),
(102567, NULL, 'PTHR46938', NULL, NULL, NULL, NULL, 'DISCOIDIN-1 SUBUNIT A-RELATED-RELATED', NULL, NULL, NULL, 15),
(102568, NULL, 'PTHR12352:SF25', NULL, NULL, NULL, NULL, 'SPARC/OSTEONECTIN, CWCV AND KAZAL-LIKE DOMAINS PROTEOGLYCAN 1', NULL, NULL, NULL, 15),
(102569, NULL, 'PTHR16516:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 488', NULL, NULL, NULL, 15),
(102570, NULL, 'PTHR10489:SF910', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102571, NULL, 'PTHR43721:SF25', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU DOMAIN 2 PROTEIN', NULL, NULL, NULL, 15),
(102572, NULL, 'PTHR33057:SF113', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP13-LIKE', NULL, NULL, NULL, 15),
(102573, NULL, 'PTHR34458:SF13', NULL, NULL, NULL, NULL, 'OS07G0674500 PROTEIN', NULL, NULL, NULL, 15),
(102574, NULL, 'PTHR32100:SF35', NULL, NULL, NULL, NULL, 'OMEGA-6 FATTY ACID DESATURASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(102575, NULL, 'PTHR45615:SF16', NULL, NULL, NULL, NULL, 'MYOSIN-9', NULL, NULL, NULL, 15),
(102576, NULL, 'PTHR32263:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102577, NULL, 'PTHR31475:SF3', NULL, NULL, NULL, NULL, 'UPF0462 PROTEIN C4ORF33', NULL, NULL, 25966, 15),
(102578, NULL, 'PTHR14911', NULL, NULL, NULL, NULL, 'THUMP DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(102579, NULL, 'PTHR31291', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE FTO', NULL, NULL, 23538, 15),
(102580, NULL, 'PTHR46014:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 1', NULL, NULL, NULL, 15),
(102581, NULL, 'PTHR45929:SF1', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCING ADAPTER MOLECULE 2', NULL, NULL, NULL, 15),
(102582, NULL, 'PTHR16356:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(102583, NULL, 'PTHR35598:SF3', NULL, NULL, NULL, NULL, 'N-TERMINAL DELTA ENDOTOXIN DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(102584, NULL, 'PTHR45654:SF49', NULL, NULL, NULL, NULL, 'HOMEOBOX LEUCINE ZIPPER PROTEIN', NULL, NULL, NULL, 15),
(102585, NULL, 'PTHR48042:SF15', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 13', NULL, NULL, NULL, 15),
(102586, NULL, 'PTHR10489:SF689', NULL, NULL, NULL, NULL, 'C-X-C CHEMOKINE RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(102587, NULL, 'PTHR35397:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102588, NULL, 'PTHR10926:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102589, NULL, 'PTHR35082', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 34449, 15),
(102590, NULL, 'PTHR12701:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102591, NULL, 'PTHR11206:SF93', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 56', NULL, NULL, NULL, 15),
(102592, NULL, 'PTHR22412', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(102593, NULL, 'PTHR13301:SF28', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 7 [UDP-FORMING]', NULL, NULL, NULL, 15),
(102594, NULL, 'PTHR32071:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN GLRR', NULL, NULL, NULL, 15),
(102595, NULL, 'PTHR33887:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102596, NULL, 'PTHR22804:SF11', NULL, NULL, NULL, NULL, 'HYALURONAN AND PROTEOGLYCAN LINK PROTEIN 4', NULL, NULL, NULL, 15),
(102597, NULL, 'PTHR33345:SF7', NULL, NULL, NULL, NULL, 'BNAA01G24650D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102598, NULL, 'PTHR12632:SF54', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-4', NULL, NULL, NULL, 15),
(102599, NULL, 'PTHR11760:SF43', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S3, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(102600, NULL, 'PTHR24353:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102601, NULL, 'PTHR46733:SF2', NULL, NULL, NULL, NULL, '26.5 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(102602, NULL, 'PTHR47932:SF37', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(102603, NULL, 'PTHR34562:SF12', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(102604, NULL, 'PTHR42953:SF3', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY ZINC UPTAKE SYSTEM PROTEIN ZNUA', NULL, NULL, NULL, 15),
(102605, NULL, 'PTHR23341:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 26700, 15),
(102606, NULL, 'PTHR26453:SF193', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(102607, NULL, 'PTHR12411:SF751', NULL, NULL, NULL, NULL, 'PEPTIDASE C1A, CYSTEINE PEPTIDASE, ASPARAGINE ACTIVE SITE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102608, NULL, 'PTHR34982:SF1', NULL, NULL, NULL, NULL, 'YOP PROTEINS TRANSLOCATION PROTEIN L', NULL, NULL, NULL, 15),
(102609, NULL, 'PTHR42972:SF4', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE FOUR (IV) FAMILY', NULL, NULL, NULL, 15),
(102610, NULL, 'PTHR11986:SF116', NULL, NULL, NULL, NULL, 'ACETYLORNITHINE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(102611, NULL, 'PTHR11567:SF171', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE FAMILY', NULL, NULL, NULL, 15),
(102612, NULL, 'PTHR36445:SF1', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE MPTA', NULL, NULL, NULL, 15),
(102613, NULL, 'PTHR21477:SF34', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A10-LIKE', NULL, NULL, NULL, 15),
(102614, NULL, 'PTHR36034:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(102615, NULL, 'PTHR11417:SF40', NULL, NULL, NULL, NULL, 'GROWTH HORMONE VARIANT', NULL, NULL, NULL, 15),
(102616, NULL, 'PTHR31126:SF0', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE-LIKE PROTEIN OCA2', NULL, NULL, NULL, 15),
(102617, NULL, 'PTHR43004:SF15', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03030)-RELATED', NULL, NULL, NULL, 15),
(102618, NULL, 'PTHR46890:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102619, NULL, 'PTHR10225:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102620, NULL, 'PTHR19964:SF41', NULL, NULL, NULL, NULL, 'LIGAND OF NUMB-PROTEIN X 2B', NULL, NULL, NULL, 15),
(102621, NULL, 'PTHR27001:SF538', NULL, NULL, NULL, NULL, 'OS02G0227500 PROTEIN', NULL, NULL, NULL, 15),
(102622, NULL, 'PTHR10157:SF28', NULL, NULL, NULL, NULL, 'DBH-LIKE MONOOXYGENASE PROTEIN 1', NULL, NULL, 22208, 15),
(102623, NULL, 'PTHR42034:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(102624, NULL, 'PTHR11849:SF165', NULL, NULL, NULL, NULL, 'GENE 4881-RELATED', NULL, NULL, NULL, 15),
(102625, NULL, 'PTHR12549:SF38', NULL, NULL, NULL, NULL, 'ENBP1 PROTEIN', NULL, NULL, NULL, 15),
(102626, NULL, 'PTHR23054:SF58', NULL, NULL, NULL, NULL, 'OS03G0233800 PROTEIN', NULL, NULL, NULL, 15),
(102627, NULL, 'PTHR24064:SF187', NULL, NULL, NULL, NULL, 'ORGANIC CATION TRANSPORTER PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(102628, NULL, 'PTHR21562:SF61', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 10', NULL, NULL, NULL, 15),
(102629, NULL, 'PTHR45850', NULL, NULL, NULL, NULL, 'SORTING NEXIN FAMILY MEMBER', NULL, NULL, NULL, 15),
(102630, NULL, 'PTHR11081:SF32', NULL, NULL, NULL, NULL, 'PROTEIN MKT1', NULL, NULL, NULL, 15),
(102631, NULL, 'PTHR31692:SF119', NULL, NULL, NULL, NULL, 'BNAC07G34020D PROTEIN', NULL, NULL, NULL, 15),
(102632, NULL, 'PTHR47724:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP26-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(102633, NULL, 'PTHR33287:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102634, NULL, 'PTHR43729', NULL, NULL, NULL, NULL, 'HOMOSERINE ACETYLTRANSFERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G15350)', NULL, NULL, NULL, 15),
(102635, NULL, 'PTHR37489:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102636, NULL, 'PTHR23226:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(102637, NULL, 'PTHR32256', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102638, NULL, 'PTHR31790:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102639, NULL, 'PTHR43874:SF88', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR1-LIKE', NULL, NULL, NULL, 15),
(102640, NULL, 'PTHR33147:SF71', NULL, NULL, NULL, NULL, 'DEFENSIN MTDEF4.7', NULL, NULL, NULL, 15),
(102641, NULL, 'PTHR42930:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATE UPTAKE REGULATOR, PHOU', NULL, NULL, NULL, 15),
(102642, NULL, 'PTHR42760:SF62', NULL, NULL, NULL, NULL, 'ADH4P', NULL, NULL, NULL, 15),
(102643, NULL, 'PTHR10362:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102644, NULL, 'PTHR12864:SF29', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEINS 9/10 HOMOLOG', NULL, NULL, NULL, 15),
(102645, NULL, 'PTHR30290:SF61', NULL, NULL, NULL, NULL, 'DIPEPTIDE BINDING PROTEIN', NULL, NULL, NULL, 15),
(102646, NULL, 'PTHR31065:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102647, NULL, 'PTHR31948:SF73', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 6', NULL, NULL, NULL, 15),
(102648, NULL, 'PTHR43386:SF1', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN APPC', NULL, NULL, NULL, 15),
(102649, NULL, 'PTHR23331', NULL, NULL, NULL, NULL, 'CXYORF1', NULL, NULL, 23104, 15),
(102650, NULL, 'PTHR46531:SF1', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 6', NULL, NULL, NULL, 15),
(102651, NULL, 'PTHR12136:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102652, NULL, 'PTHR19328:SF55', NULL, NULL, NULL, NULL, 'BLR6566 PROTEIN', NULL, NULL, NULL, 15),
(102653, NULL, 'PTHR10075', NULL, NULL, NULL, NULL, 'BASIGIN RELATED', NULL, NULL, 37196, 15),
(102654, NULL, 'PTHR43314:SF20', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(102655, NULL, 'PTHR31333:SF4', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING DNA REPAIR FACTOR 3A', NULL, NULL, 32862, 15),
(102656, NULL, 'PTHR45644:SF32', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(102657, NULL, 'PTHR12219:SF25', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE UBIQUINONE FE-S PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102658, NULL, 'PTHR47997:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB26', NULL, NULL, NULL, 15),
(102659, NULL, 'PTHR10177:SF364', NULL, NULL, NULL, NULL, 'CYCLIN-B2-2', NULL, NULL, NULL, 15),
(102660, NULL, 'PTHR36915:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102661, NULL, 'PTHR30546:SF23', NULL, NULL, NULL, NULL, 'PROTEIN RFS1-RELATED', NULL, NULL, NULL, 15),
(102662, NULL, 'PTHR47372:SF10', NULL, NULL, NULL, NULL, 'BNACNNG32920D PROTEIN', NULL, NULL, NULL, 15),
(102663, NULL, 'PTHR45926:SF2', NULL, NULL, NULL, NULL, 'OS08G0192800 PROTEIN', NULL, NULL, NULL, 15),
(102664, NULL, 'PTHR15351:SF3', NULL, NULL, NULL, NULL, 'ERLIN (ER LIPID RAFT ASSOCIATED PROTEIN) HOMOLOG', NULL, NULL, NULL, 15),
(102665, NULL, 'PTHR15427:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102666, NULL, 'PTHR43457', NULL, NULL, NULL, NULL, 'NITROGENASE MOLYBDENUM-IRON PROTEIN ALPHA CHAIN', NULL, NULL, 10522, 15),
(102667, NULL, 'PTHR31809:SF0', NULL, NULL, NULL, NULL, 'BUD13 HOMOLOG', NULL, NULL, NULL, 15),
(102668, NULL, 'PTHR21495:SF188', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(102669, NULL, 'PTHR47987:SF18', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE, INSULIN-LIKE RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(102670, NULL, 'PTHR30546:SF31', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 1-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102671, NULL, 'PTHR15106:SF2', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR RESPONDER PROTEIN 2', NULL, NULL, NULL, 15),
(102672, NULL, 'PTHR24006:SF811', NULL, NULL, NULL, NULL, 'CLAN CA, FAMILY C19, UBIQUITIN HYDROLASE-LIKE CYSTEINE PEPTIDASE', NULL, NULL, NULL, 15),
(102673, NULL, 'PTHR45623:SF8', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 6', NULL, NULL, NULL, 15),
(102674, NULL, 'PTHR37702:SF6', NULL, NULL, NULL, NULL, 'BNAC01G22050D PROTEIN', NULL, NULL, NULL, 15),
(102675, NULL, 'PTHR10218:SF297', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-11 SUBUNIT', NULL, NULL, NULL, 15),
(102676, NULL, 'PTHR43072:SF29', NULL, NULL, NULL, NULL, 'OS12G0561600 PROTEIN', NULL, NULL, NULL, 15),
(102677, NULL, 'PTHR11062:SF311', NULL, NULL, NULL, NULL, 'FRA8-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102678, NULL, 'PTHR11904:SF12', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(102679, NULL, 'PTHR38378', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(102680, NULL, 'PTHR10309:SF10', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(102681, NULL, 'PTHR10179:SF43', NULL, NULL, NULL, NULL, 'PLATELET FACTOR 4', NULL, NULL, 24869, 15),
(102682, NULL, 'PTHR10414:SF68', NULL, NULL, NULL, NULL, 'ETHANOLAMINE PHOSPHOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(102683, NULL, 'PTHR31707:SF226', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(102684, NULL, 'PTHR23123:SF3', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 2A', NULL, NULL, NULL, 15),
(102685, NULL, 'PTHR24253:SF45', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11D', NULL, NULL, NULL, 15),
(102686, NULL, 'PTHR22883:SF246', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC3', NULL, NULL, NULL, 15),
(102687, NULL, 'PTHR13780:SF32', NULL, NULL, NULL, NULL, 'AMP-ACTIVATED PROTEIN KINASE GAMMA SUBUNIT', NULL, NULL, NULL, 15),
(102688, NULL, 'PTHR24408:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN PLAGL2', NULL, NULL, 24226, 15),
(102689, NULL, 'PTHR10742:SF373', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC HISTONE DEMETHYLASE 1 HOMOLOG 2', NULL, NULL, NULL, 15),
(102690, NULL, 'PTHR34709:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102691, NULL, 'PTHR48001:SF162', NULL, NULL, NULL, NULL, 'MCG52449', NULL, NULL, NULL, 15),
(102692, NULL, 'PTHR24343:SF447', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2I', NULL, NULL, NULL, 15),
(102693, NULL, 'PTHR23328:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102694, NULL, 'PTHR13061:SF23', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(102695, NULL, 'PTHR23253:SF67', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR ISOFORM 4G-2', NULL, NULL, NULL, 15),
(102696, NULL, 'PTHR33463:SF77', NULL, NULL, NULL, NULL, 'RPP4C3', NULL, NULL, NULL, 15),
(102697, NULL, 'PTHR33167:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102698, NULL, 'PTHR42798:SF5', NULL, NULL, NULL, NULL, 'LMO1223 PROTEIN', NULL, NULL, NULL, 15),
(102699, NULL, 'PTHR47990:SF41', NULL, NULL, NULL, NULL, 'BNAA07G07480D PROTEIN', NULL, NULL, NULL, 15),
(102700, NULL, 'PTHR31030:SF1', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE FUSION PROTEIN PRM1', NULL, NULL, NULL, 15),
(102701, NULL, 'PTHR46473:SF10', NULL, NULL, NULL, NULL, 'GH08155P', NULL, NULL, NULL, 15),
(102702, NULL, 'PTHR14928:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102703, NULL, 'PTHR33184:SF64', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(102704, NULL, 'PTHR24349:SF294', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 15', NULL, NULL, NULL, 15),
(102705, NULL, 'PTHR33136:SF84', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 19', NULL, NULL, NULL, 15),
(102706, NULL, 'PTHR12828:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102707, NULL, 'PTHR45445:SF2', NULL, NULL, NULL, NULL, 'HPP', NULL, NULL, NULL, 15),
(102708, NULL, 'PTHR43003:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102709, NULL, 'PTHR10768:SF27', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', NULL, NULL, NULL, 15),
(102710, NULL, 'PTHR33233:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102711, NULL, 'PTHR12309:SF24', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT GAMMA-3', NULL, NULL, NULL, 15),
(102712, NULL, 'PTHR35936:SF7', NULL, NULL, NULL, NULL, 'BLL6724 PROTEIN', NULL, NULL, NULL, 15),
(102713, NULL, 'PTHR33294:SF10', NULL, NULL, NULL, NULL, 'OS01G0247900 PROTEIN', NULL, NULL, NULL, 15),
(102714, NULL, 'PTHR11849:SF13', NULL, NULL, NULL, NULL, 'ETS-RELATED TRANSCRIPTION FACTOR ELF-3', NULL, NULL, 36406, 15),
(102715, NULL, 'PTHR10290', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE I', NULL, NULL, NULL, 15),
(102716, NULL, 'PTHR12635:SF8', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 36', NULL, NULL, NULL, 15),
(102717, NULL, 'PTHR33087:SF17', NULL, NULL, NULL, NULL, 'OS09G0125500 PROTEIN', NULL, NULL, NULL, 15),
(102718, NULL, 'PTHR45926:SF13', NULL, NULL, NULL, NULL, 'BROMODOMAIN TESTIS-SPECIFIC PROTEIN', NULL, NULL, NULL, 15),
(102719, NULL, 'PTHR31998:SF41', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGIZED VACUOLAR MEMBRANE PROTON PUMP 1', NULL, NULL, NULL, 15),
(102720, NULL, 'PTHR10257:SF84', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(102721, NULL, 'PTHR34355:SF1', NULL, NULL, NULL, NULL, 'JOSEPHIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(102722, NULL, 'PTHR23423:SF79', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER SUBUNIT ALPHA-RELATED', NULL, NULL, NULL, 15),
(102723, NULL, 'PTHR14647', NULL, NULL, NULL, NULL, 'GALACTOSE-3-O-SULFOTRANSFERASE', NULL, NULL, 12693, 15),
(102724, NULL, 'PTHR43302:SF1', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER NHAB', NULL, NULL, 2652, 15),
(102725, NULL, 'PTHR24086:SF47', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(102726, NULL, 'PTHR45676:SF84', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL52-LIKE', NULL, NULL, NULL, 15),
(102727, NULL, 'PTHR28283', NULL, NULL, NULL, NULL, '3'',5''-CYCLIC-NUCLEOTIDE PHOSPHODIESTERASE 1', NULL, NULL, 6791, 15),
(102728, NULL, 'PTHR10795:SF674', NULL, NULL, NULL, NULL, 'BNAA02G07390D PROTEIN', NULL, NULL, NULL, 15),
(102729, NULL, 'PTHR14949:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102730, NULL, 'PTHR36714:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102731, NULL, 'PTHR36144:SF1', NULL, NULL, NULL, NULL, 'S-ANTIGEN PROTEIN', NULL, NULL, NULL, 15),
(102732, NULL, 'PTHR47725', NULL, NULL, NULL, NULL, 'OS03G0364000 PROTEIN', NULL, NULL, NULL, 15),
(102733, NULL, 'PTHR46142', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102734, NULL, 'PTHR36851', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(102735, NULL, 'PTHR21494', NULL, NULL, NULL, NULL, 'ACTIVATING SIGNAL COINTEGRATOR 1 COMPLEX SUBUNIT 2  ASC-1 COMPLEX SUBUNIT P100', NULL, NULL, NULL, 15),
(102736, NULL, 'PTHR31314:SF1', NULL, NULL, NULL, NULL, 'OS05G0491500 PROTEIN', NULL, NULL, NULL, 15),
(102737, NULL, 'PTHR19961:SF62', NULL, NULL, NULL, NULL, 'FIMBRIN-1', NULL, NULL, NULL, 15),
(102738, NULL, 'PTHR33021:SF316', NULL, NULL, NULL, NULL, 'OS02G0162200 PROTEIN', NULL, NULL, NULL, 15),
(102739, NULL, 'PTHR47975:SF42', NULL, NULL, NULL, NULL, 'PROTEIN KINASE DOMAIN CONTAINING PROTEIN EXPRESSED', NULL, NULL, NULL, 15),
(102740, NULL, 'PTHR47022:SF3', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN-CONTAINING PROTEIN 39', NULL, NULL, NULL, 15),
(102741, NULL, 'PTHR10328:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR (HPA3), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(102742, NULL, 'PTHR46137:SF13', NULL, NULL, NULL, NULL, 'BNAC09G41480D PROTEIN', NULL, NULL, NULL, 15),
(102743, NULL, 'PTHR32093:SF105', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102744, NULL, 'PTHR14215:SF0', NULL, NULL, NULL, NULL, 'WH2 MOTIF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(102745, NULL, 'PTHR31069:SF20', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(102746, NULL, 'PTHR11545:SF2', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L13, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(102747, NULL, 'PTHR42194:SF1', NULL, NULL, NULL, NULL, 'UPF0276 PROTEIN HI_1600', NULL, NULL, NULL, 15),
(102748, NULL, 'PTHR23119:SF51', NULL, NULL, NULL, NULL, 'DISKS LARGE 1 TUMOR SUPPRESSOR PROTEIN', NULL, NULL, NULL, 15),
(102749, NULL, 'PTHR22945:SF93', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(102750, NULL, 'PTHR25462:SF248', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF CONTAINING 3', NULL, NULL, NULL, 15),
(102751, NULL, 'PTHR33411:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102752, NULL, 'PTHR45645:SF34', NULL, NULL, NULL, NULL, 'PROCOLLAGEN C-ENDOPEPTIDASE ENHANCER A', NULL, NULL, NULL, 15),
(102753, NULL, 'PTHR12840:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 8, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(102754, NULL, 'PTHR46045:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(102755, NULL, 'PTHR43420:SF16', NULL, NULL, NULL, NULL, 'PEPTIDYL-LYSINE N-ACETYLTRANSFERASE YIAC', NULL, NULL, NULL, 15),
(102756, NULL, 'PTHR45891:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER HOMEOBOX PROTEIN 2', NULL, NULL, 25291, 15),
(102757, NULL, 'PTHR43899:SF4', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(102758, NULL, 'PTHR12917:SF15', NULL, NULL, NULL, NULL, 'PROTEIN DDI1 HOMOLOG 1', NULL, NULL, NULL, 15),
(102759, NULL, 'PTHR48238:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102760, NULL, 'PTHR13923:SF23', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC31A', NULL, NULL, NULL, 15),
(102761, NULL, 'PTHR43447:SF18', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 2-RELATED', NULL, NULL, NULL, 15),
(102762, NULL, 'PTHR31915:SF5', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(102763, NULL, 'PTHR22941:SF21', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(102764, NULL, 'PTHR31989:SF25', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 21/22-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(102765, NULL, 'PTHR20859:SF21', NULL, NULL, NULL, NULL, 'INTERLEUKIN-20 RECEPTOR SUBUNIT ALPHA', NULL, NULL, 11523, 15),
(102766, NULL, 'PTHR12961:SF2', NULL, NULL, NULL, NULL, 'BNAA03G07050D PROTEIN', NULL, NULL, NULL, 15),
(102767, NULL, 'PTHR12124:SF47', NULL, NULL, NULL, NULL, 'EXOSOME COMPONENT 10', NULL, NULL, NULL, 15),
(102768, NULL, 'PTHR47484:SF1', NULL, NULL, NULL, NULL, 'COMPLEX 1 PROTEIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(102769, NULL, 'PTHR36529', NULL, NULL, NULL, NULL, 'SLL1095 PROTEIN', NULL, NULL, 16814, 15),
(102770, NULL, 'PTHR47985:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(102771, NULL, 'PTHR11732:SF414', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 4 MEMBER C8', NULL, NULL, NULL, 15),
(102772, NULL, 'PTHR22807:SF66', NULL, NULL, NULL, NULL, 'BNAA09G04380D PROTEIN', NULL, NULL, NULL, 15),
(102773, NULL, 'PTHR23077:SF152', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 48 HOMOLOG', NULL, NULL, NULL, 15),
(102774, NULL, 'PTHR18934:SF228', NULL, NULL, NULL, NULL, 'BNAA07G38500D PROTEIN', NULL, NULL, NULL, 15),
(102775, NULL, 'PTHR45023:SF6', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102776, NULL, 'PTHR16046', NULL, NULL, NULL, NULL, 'SMC5-SMC6 COMPLEX LOCALIZATION FACTOR 2', NULL, NULL, 24349, 15),
(102777, NULL, 'PTHR45995', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37220, 15),
(102778, NULL, 'PTHR11412:SF140', NULL, NULL, NULL, NULL, 'ALPHA-2-MACROGLOBULIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102779, NULL, 'PTHR48023:SF3', NULL, NULL, NULL, NULL, 'GALACTOSE-PROTON SYMPORTER', NULL, NULL, NULL, 15),
(102780, NULL, 'PTHR43191:SF7', NULL, NULL, NULL, NULL, 'OBP33PEP LIKE PROTEIN', NULL, NULL, NULL, 15),
(102781, NULL, 'PTHR10778:SF38', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE/UDP-GLUCOSE TRANSPORTER 3-LIKE', NULL, NULL, NULL, 15),
(102782, NULL, 'PTHR21530:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102783, NULL, 'PTHR39385:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG20423', NULL, NULL, NULL, 15),
(102784, NULL, 'PTHR35306:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(102785, NULL, 'PTHR11101:SF52', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(102786, NULL, 'PTHR21649:SF103', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 8, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(102787, NULL, 'PTHR13205:SF15', NULL, NULL, NULL, NULL, 'DOLICHOL KINASE', NULL, NULL, 22045, 15),
(102788, NULL, 'PTHR31533', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN LLG1-RELATED-RELATED', NULL, NULL, 29278, 15),
(102789, NULL, 'PTHR44378:SF2', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 17, PEROXISOMAL-RELATED', NULL, NULL, NULL, 15),
(102790, NULL, 'PTHR24296:SF145', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY-DEPENDENT FATTY ACID HYDROXYLASE', NULL, NULL, NULL, 15),
(102791, NULL, 'PTHR34098:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 47', NULL, NULL, NULL, 15),
(102792, NULL, 'PTHR12346:SF43', NULL, NULL, NULL, NULL, 'BNAA07G28530D PROTEIN', NULL, NULL, NULL, 15),
(102793, NULL, 'PTHR11214:SF19', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(102794, NULL, 'PTHR32301', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102795, NULL, 'PTHR46084:SF30', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(102796, NULL, 'PTHR43900:SF13', NULL, NULL, NULL, NULL, 'OS01G0353400 PROTEIN', NULL, NULL, NULL, 15),
(102797, NULL, 'PTHR12015:SF168', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 8', NULL, NULL, NULL, 15),
(102798, NULL, 'PTHR46243', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102799, NULL, 'PTHR24247:SF32', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 2C', NULL, NULL, 6506, 15),
(102800, NULL, 'PTHR31391:SF67', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102801, NULL, 'PTHR31354', NULL, NULL, NULL, NULL, 'OS01G0793500 PROTEIN', NULL, NULL, NULL, 15),
(102802, NULL, 'PTHR24222:SF63', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY PROTEIN', NULL, NULL, NULL, 15),
(102803, NULL, 'PTHR44573:SF6', NULL, NULL, NULL, NULL, '2-METHYLENE-FURAN-3-ONE REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(102804, NULL, 'PTHR12141:SF1', NULL, NULL, NULL, NULL, 'PRKCA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(102805, NULL, 'PTHR31851:SF63', NULL, NULL, NULL, NULL, 'CCC1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(102806, NULL, 'PTHR15710:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102807, NULL, 'PTHR31279:SF64', NULL, NULL, NULL, NULL, 'BNAANNG05840D PROTEIN', NULL, NULL, NULL, 15),
(102808, NULL, 'PTHR19441:SF42', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 12', NULL, NULL, 25027, 15),
(102809, NULL, 'PTHR43986:SF1', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-GAMMA', NULL, NULL, NULL, 15),
(102810, NULL, 'PTHR47123:SF21', NULL, NULL, NULL, NULL, 'BNAC04G36690D PROTEIN', NULL, NULL, NULL, 15),
(102811, NULL, 'PTHR36535', NULL, NULL, NULL, NULL, 'YALI0E30327P', NULL, NULL, NULL, 15),
(102812, NULL, 'PTHR23044:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102813, NULL, 'PTHR46038:SF49', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(102814, NULL, 'PTHR23410:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102815, NULL, 'PTHR43874:SF120', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR1', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102816, NULL, 'PTHR22776:SF28', NULL, NULL, NULL, NULL, 'MARVEL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(102817, NULL, 'PTHR12736:SF7', NULL, NULL, NULL, NULL, 'LANC-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(102818, NULL, 'PTHR11138', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA FORMYLTRANSFERASE', NULL, NULL, NULL, 15),
(102819, NULL, 'PTHR34462:SF1', NULL, NULL, NULL, NULL, 'OS05G0587400 PROTEIN', NULL, NULL, NULL, 15),
(102820, NULL, 'PTHR45898:SF19', NULL, NULL, NULL, NULL, 'ENTH/VHS/GAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(102821, NULL, 'PTHR31841', NULL, NULL, NULL, NULL, 'PROTEIN FAM72A-RELATED', NULL, NULL, 25085, 15),
(102822, NULL, 'PTHR45621:SF176', NULL, NULL, NULL, NULL, 'BNAA02G23490D PROTEIN', NULL, NULL, NULL, 15),
(102823, NULL, 'PTHR31964:SF133', NULL, NULL, NULL, NULL, 'BNAC04G54950D PROTEIN', NULL, NULL, NULL, 15),
(102824, NULL, 'PTHR12845:SF7', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 15', NULL, NULL, NULL, 15),
(102825, NULL, 'PTHR36877:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 13', NULL, NULL, NULL, 15),
(102826, NULL, 'PTHR20855:SF96', NULL, NULL, NULL, NULL, 'PROGESTIN AND ADIPOQ RECEPTOR FAMILY MEMBER VII, A', NULL, NULL, NULL, 15),
(102827, NULL, 'PTHR24414:SF44', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING F-BOX-LIKE PROTEIN', NULL, NULL, NULL, 15),
(102828, NULL, 'PTHR11709:SF68', NULL, NULL, NULL, NULL, 'LACCASE-13', NULL, NULL, NULL, 15),
(102829, NULL, 'PTHR10579:SF145', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR TYPE A', NULL, NULL, NULL, 15),
(102830, NULL, 'PTHR36984:SF1', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDORIBONUCLEASE CAS6 1', NULL, NULL, NULL, 15),
(102831, NULL, 'PTHR31080:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102832, NULL, 'PTHR24057:SF61', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE ALPHA ISOFORM X1', NULL, NULL, NULL, 15),
(102833, NULL, 'PTHR11932:SF162', NULL, NULL, NULL, NULL, 'BNAA09G29300D PROTEIN', NULL, NULL, NULL, 15),
(102834, NULL, 'PTHR24348:SF52', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATG1B', NULL, NULL, NULL, 15),
(102835, NULL, 'PTHR38501', NULL, NULL, NULL, NULL, 'PHOTORECEPTOR DISK COMPONENT PRCD', NULL, NULL, 26036, 15),
(102836, NULL, 'PTHR48104:SF28', NULL, NULL, NULL, NULL, 'BNAA01G07720D PROTEIN', NULL, NULL, NULL, 15),
(102837, NULL, 'PTHR13585:SF24', NULL, NULL, NULL, NULL, 'LRRGT00097', NULL, NULL, NULL, 15),
(102838, NULL, 'PTHR22891:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102839, NULL, 'PTHR23022:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102840, NULL, 'PTHR46398:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102841, NULL, 'PTHR38407:SF1', NULL, NULL, NULL, NULL, 'PROTEIN IVY1', NULL, NULL, NULL, 15),
(102842, NULL, 'PTHR32227:SF301', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102843, NULL, 'PTHR47967:SF6', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE 37', NULL, NULL, NULL, 15),
(102844, NULL, 'PTHR23257:SF731', NULL, NULL, NULL, NULL, 'B-RAF PROTO-ONCOGENE, SERINE/THREONINE KINASE', NULL, NULL, NULL, 15),
(102845, NULL, 'PTHR24096:SF168', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MEC-18', NULL, NULL, NULL, 15),
(102846, NULL, 'PTHR24015:SF1972', NULL, NULL, NULL, NULL, 'OS06G0228900 PROTEIN', NULL, NULL, NULL, 15),
(102847, NULL, 'PTHR22807:SF64', NULL, NULL, NULL, NULL, 'BNAA08G28690D PROTEIN', NULL, NULL, NULL, 15),
(102848, NULL, 'PTHR31867:SF23', NULL, NULL, NULL, NULL, 'EXPANSIN-A12', NULL, NULL, NULL, 15),
(102849, NULL, 'PTHR11073:SF6', NULL, NULL, NULL, NULL, 'OS01G0895600 PROTEIN', NULL, NULL, NULL, 15),
(102850, NULL, 'PTHR47926:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102851, NULL, 'PTHR10846:SF61', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER 5', NULL, NULL, 28665, 15),
(102852, NULL, 'PTHR11227:SF23', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN PHOSPHOINOSITIDE-INTERACTING PROTEIN 1', NULL, NULL, 24525, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102853, NULL, 'PTHR10997:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102854, NULL, 'PTHR11759:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102855, NULL, 'PTHR11054:SF13', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', NULL, NULL, NULL, 15),
(102856, NULL, 'PTHR24291:SF43', NULL, NULL, NULL, NULL, 'AROMATASE', NULL, NULL, NULL, 15),
(102857, NULL, 'PTHR30477:SF8', NULL, NULL, NULL, NULL, 'METAL TRANSPORT SYSTEM MEMBRANE PROTEIN CT_070-RELATED', NULL, NULL, NULL, 15),
(102858, NULL, 'PTHR30519:SF23', NULL, NULL, NULL, NULL, '5-METHYLTETRAHYDROPTEROYLTRIGLUTAMATE--HOMOCYSTEINE METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(102859, NULL, 'PTHR10903:SF153', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST', NULL, NULL, NULL, 15),
(102860, NULL, 'PTHR31707:SF231', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 47-RELATED', NULL, NULL, NULL, 15),
(102861, NULL, 'PTHR13678:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 37A', NULL, NULL, NULL, 15),
(102862, NULL, 'PTHR12064:SF76', NULL, NULL, NULL, NULL, 'BNAA05G17810D PROTEIN', NULL, NULL, NULL, 15),
(102863, NULL, 'PTHR34061:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102864, NULL, 'PTHR35190:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DCD1A', NULL, NULL, NULL, 15),
(102865, NULL, 'PTHR47992:SF96', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 3', NULL, NULL, NULL, 15),
(102866, NULL, 'PTHR42769:SF8', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [FE] 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(102867, NULL, 'PTHR45084:SF2', NULL, NULL, NULL, NULL, 'BNAA02G18220D PROTEIN', NULL, NULL, NULL, 15),
(102868, NULL, 'PTHR47973:SF8', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 42', NULL, NULL, NULL, 15),
(102869, NULL, 'PTHR42934', NULL, NULL, NULL, NULL, 'GLYCOLATE OXIDASE SUBUNIT GLCD', NULL, NULL, NULL, 15),
(102870, NULL, 'PTHR31062:SF176', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 15', NULL, NULL, NULL, 15),
(102871, NULL, 'PTHR18945:SF810', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102872, NULL, 'PTHR48019:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102873, NULL, 'PTHR28620:SF11', NULL, NULL, NULL, NULL, 'GLUTATHIONE-DEPENDENT FORMALDEHYDE-ACTIVATING, GFA FAMILY PROTEIN', NULL, NULL, NULL, 15),
(102874, NULL, 'PTHR47980', NULL, NULL, NULL, NULL, 'LD44762P', NULL, NULL, NULL, 15),
(102875, NULL, 'PTHR23428:SF259', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 2-E', NULL, NULL, NULL, 15),
(102876, NULL, 'PTHR11662:SF255', NULL, NULL, NULL, NULL, 'ASCORBATE TRANSPORTER, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(102877, NULL, 'PTHR34223:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102878, NULL, 'PTHR10454:SF210', NULL, NULL, NULL, NULL, 'CASPASE-RELATED', NULL, NULL, NULL, 15),
(102879, NULL, 'PTHR31190:SF213', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF115-LIKE', NULL, NULL, NULL, 15),
(102880, NULL, 'PTHR22936:SF21', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', NULL, NULL, NULL, 15),
(102881, NULL, 'PTHR11945:SF23', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2D', NULL, NULL, NULL, 15),
(102882, NULL, 'PTHR48017:SF185', NULL, NULL, NULL, NULL, 'BNAA03G19350D PROTEIN', NULL, NULL, NULL, 15),
(102883, NULL, 'PTHR19877:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102884, NULL, 'PTHR34061:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(102885, NULL, 'PTHR15371:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102886, NULL, 'PTHR12378:SF69', NULL, NULL, NULL, NULL, 'BNAC06G40290D PROTEIN', NULL, NULL, NULL, 15),
(102887, NULL, 'PTHR12281', NULL, NULL, NULL, NULL, 'RP42 RELATED', NULL, NULL, 11854, 15),
(102888, NULL, 'PTHR48011:SF12', NULL, NULL, NULL, NULL, 'OS08G0421800 PROTEIN', NULL, NULL, NULL, 15),
(102889, NULL, 'PTHR31623:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102890, NULL, 'PTHR33647:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102891, NULL, 'PTHR21245:SF8', NULL, NULL, NULL, NULL, 'APOBEC1 COMPLEMENTATION FACTOR', NULL, NULL, 35301, 15),
(102892, NULL, 'PTHR35544', NULL, NULL, NULL, NULL, 'RIBOSOMAL BIOGENESIS FACTOR', NULL, NULL, 27320, 15),
(102893, NULL, 'PTHR36616', NULL, NULL, NULL, NULL, 'BNAC07G32700D PROTEIN', NULL, NULL, NULL, 15),
(102894, NULL, 'PTHR21596:SF3', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 1-RELATED', NULL, NULL, NULL, 15),
(102895, NULL, 'PTHR28529', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN SWI5 HOMOLOG', NULL, NULL, 10279, 15),
(102896, NULL, 'PTHR28618', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN POC5', NULL, NULL, 30113, 15),
(102897, NULL, 'PTHR45836', NULL, NULL, NULL, NULL, 'SLIT HOMOLOG', NULL, NULL, NULL, 15),
(102898, NULL, 'PTHR31589:SF163', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PROTEINASE-LIKE PROTEIN (DUF239)-RELATED', NULL, NULL, NULL, 15),
(102899, NULL, 'PTHR43895:SF84', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 15', NULL, NULL, NULL, 15),
(102900, NULL, 'PTHR48000:SF20', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(102901, NULL, 'PTHR33168:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102902, NULL, 'PTHR10410', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 -RELATED', NULL, NULL, NULL, 15),
(102903, NULL, 'PTHR47423:SF2', NULL, NULL, NULL, NULL, 'G-PATCH DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(102904, NULL, 'PTHR43874:SF78', NULL, NULL, NULL, NULL, 'OS04G0348600 PROTEIN', NULL, NULL, NULL, 15),
(102905, NULL, 'PTHR34001', NULL, NULL, NULL, NULL, 'BLL7405 PROTEIN', NULL, NULL, NULL, 15),
(102906, NULL, 'PTHR31048:SF1', NULL, NULL, NULL, NULL, 'OS03G0233200 PROTEIN', NULL, NULL, NULL, 15),
(102907, NULL, 'PTHR37540:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102908, NULL, 'PTHR47077:SF1', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN 4', NULL, NULL, NULL, 15),
(102909, NULL, 'PTHR43574:SF56', NULL, NULL, NULL, NULL, 'UDP-D-GLUCURONATE 4-EPIMERASE 6-RELATED', NULL, NULL, NULL, 15),
(102910, NULL, 'PTHR10687:SF48', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(102911, NULL, 'PTHR31790:SF290', NULL, NULL, NULL, NULL, 'BNAA05G16840D PROTEIN', NULL, NULL, NULL, 15),
(102912, NULL, 'PTHR34700:SF7', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(102913, NULL, 'PTHR23155:SF1049', NULL, NULL, NULL, NULL, 'OS12G0166600 PROTEIN', NULL, NULL, NULL, 15),
(102914, NULL, 'PTHR36222', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR RV3364C', NULL, NULL, NULL, 15),
(102915, NULL, 'PTHR14957:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-CONJUGATING ENZYME ATG10', NULL, NULL, NULL, 15),
(102916, NULL, 'PTHR10438:SF419', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(102917, NULL, 'PTHR31623:SF63', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(102918, NULL, 'PTHR35252:SF1', NULL, NULL, NULL, NULL, 'RETINITIS PIGMENTOSA 9 PROTEIN', NULL, NULL, NULL, 15),
(102919, NULL, 'PTHR12064:SF75', NULL, NULL, NULL, NULL, 'BNAC03G76080D PROTEIN', NULL, NULL, NULL, 15),
(102920, NULL, 'PTHR33033:SF71', NULL, NULL, NULL, NULL, '14.7 KDA RIBONUCLEASE H-LIKE PROTEIN', NULL, NULL, NULL, 15),
(102921, NULL, 'PTHR31120:SF11', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TIKI2', NULL, NULL, NULL, 15),
(102922, NULL, 'PTHR35689:SF1', NULL, NULL, NULL, NULL, 'EARLY ENDOSOME ANTIGEN', NULL, NULL, NULL, 15),
(102923, NULL, 'PTHR23086', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE', NULL, NULL, 16945, 15),
(102924, NULL, 'PTHR33101:SF69', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102925, NULL, 'PTHR47990:SF157', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102926, NULL, 'PTHR23064:SF53', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML22-RELATED', NULL, NULL, NULL, 15),
(102927, NULL, 'PTHR21677:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CRAMPED-LIKE', NULL, NULL, NULL, 15),
(102928, NULL, 'PTHR11254:SF420', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NEDD-4', NULL, NULL, NULL, 15),
(102929, NULL, 'PTHR24027:SF421', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102930, NULL, 'PTHR32060:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102931, NULL, 'PTHR11141:SF0', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', NULL, NULL, NULL, 15),
(102932, NULL, 'PTHR27002:SF372', NULL, NULL, NULL, NULL, 'OS04G0197200 PROTEIN', NULL, NULL, NULL, 15),
(102933, NULL, 'PTHR12857', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 14406, 15),
(102934, NULL, 'PTHR47282', NULL, NULL, NULL, NULL, 'PGC-1 AND ERR-INDUCED REGULATOR IN MUSCLE PROTEIN 1', NULL, NULL, 38172, 15),
(102935, NULL, 'PTHR10791:SF192', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(102936, NULL, 'PTHR31110:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102937, NULL, 'PTHR11206:SF171', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(102938, NULL, 'PTHR48017:SF13', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER PROTEIN 1', NULL, NULL, NULL, 15),
(102939, NULL, 'PTHR10358:SF37', NULL, NULL, NULL, NULL, 'ALPHA-ENDOSULFINE', NULL, NULL, NULL, 15),
(102940, NULL, 'PTHR33542:SF3', NULL, NULL, NULL, NULL, 'SIROHYDROCHLORIN FERROCHELATASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(102941, NULL, 'PTHR19051:SF16', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 13-2-RELATED', NULL, NULL, NULL, 15),
(102942, NULL, 'PTHR31213:SF129', NULL, NULL, NULL, NULL, 'START-LIKE DOMAIN, BET V I TYPE ALLERGEN-RELATED', NULL, NULL, NULL, 15),
(102943, NULL, 'PTHR15138:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 4', NULL, NULL, NULL, 15),
(102944, NULL, 'PTHR41173', NULL, NULL, NULL, NULL, 'UPF0278 PROTEIN TK1425', NULL, NULL, 13071, 15),
(102945, NULL, 'PTHR22739:SF19', NULL, NULL, NULL, NULL, 'SI:DKEY-29B11.3', NULL, NULL, NULL, 15),
(102946, NULL, 'PTHR33320:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102947, NULL, 'PTHR43829:SF9', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', NULL, NULL, NULL, 15),
(102948, NULL, 'PTHR11767:SF24', NULL, NULL, NULL, NULL, 'INWARD RECTIFIER POTASSIUM CHANNEL 16', NULL, NULL, 5347, 15),
(102949, NULL, 'PTHR11673:SF46', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-1', NULL, NULL, NULL, 15),
(102950, NULL, 'PTHR35526', NULL, NULL, NULL, NULL, 'ANTI-SIGMA-F FACTOR RSBW-RELATED', NULL, NULL, NULL, 15),
(102951, NULL, 'PTHR13255', NULL, NULL, NULL, NULL, 'ATAXIN-10', NULL, NULL, NULL, 15),
(102952, NULL, 'PTHR24350:SF26', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(102953, NULL, 'PTHR48135:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102954, NULL, 'PTHR39369', NULL, NULL, NULL, NULL, 'LIN-24 (TWENTY-FOUR) LIKE', NULL, NULL, NULL, 15),
(102955, NULL, 'PTHR45730:SF59', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(102956, NULL, 'PTHR47565:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE 19-1', NULL, NULL, NULL, 15),
(102957, NULL, 'PTHR30249:SF14', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YOHK', NULL, NULL, NULL, 15),
(102958, NULL, 'PTHR46126:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102959, NULL, 'PTHR13710:SF105', NULL, NULL, NULL, NULL, 'BLOOM SYNDROME PROTEIN', NULL, NULL, NULL, 15),
(102960, NULL, 'PTHR14064:SF5', NULL, NULL, NULL, NULL, 'LEUKOCYTE CELL-DERIVED CHEMOTAXIN 1', NULL, NULL, NULL, 15),
(102961, NULL, 'PTHR47276', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 22', NULL, NULL, 37188, 15),
(102962, NULL, 'PTHR21242', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 10', NULL, NULL, 6240, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(102963, NULL, 'PTHR11620', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A', NULL, NULL, 11680, 15),
(102964, NULL, 'PTHR11211:SF41', NULL, NULL, NULL, NULL, 'IROQUOIS HOMEOBOX 7', NULL, NULL, NULL, 15),
(102965, NULL, 'PTHR27004:SF334', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(102966, NULL, 'PTHR10907:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102967, NULL, 'PTHR46739:SF5', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP1-2-RELATED', NULL, NULL, NULL, 15),
(102968, NULL, 'PTHR43346:SF1', NULL, NULL, NULL, NULL, 'LIGAND BINDING DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14370)-RELATED', NULL, NULL, NULL, 15),
(102969, NULL, 'PTHR31083:SF4', NULL, NULL, NULL, NULL, 'OS01G0839200 PROTEIN', NULL, NULL, NULL, 15),
(102970, NULL, 'PTHR12538:SF13', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', NULL, NULL, NULL, 15),
(102971, NULL, 'PTHR12801:SF118', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE 3', NULL, NULL, NULL, 15),
(102972, NULL, 'PTHR31928:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(102973, NULL, 'PTHR11599:SF41', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-10', NULL, NULL, 33920, 15),
(102974, NULL, 'PTHR45926:SF20', NULL, NULL, NULL, NULL, 'BROMODOMAIN, NET DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(102975, NULL, 'PTHR47946:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 78 PROTEIN', NULL, NULL, NULL, 15),
(102976, NULL, 'PTHR46179', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(102977, NULL, 'PTHR31157:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102978, NULL, 'PTHR19282:SF25', NULL, NULL, NULL, NULL, 'UROPLAKIN-1A', NULL, NULL, 8526, 15),
(102979, NULL, 'PTHR47979', NULL, NULL, NULL, NULL, 'DRAB11-RELATED', NULL, NULL, NULL, 15),
(102980, NULL, 'PTHR46413:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102981, NULL, 'PTHR31701:SF2', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM MEMBRANE-ASSOCIATED RNA DEGRADATION PROTEIN', NULL, NULL, NULL, 15),
(102982, NULL, 'PTHR42782', NULL, NULL, NULL, NULL, 'SI:CH73-314G15.3', NULL, NULL, NULL, 15),
(102983, NULL, 'PTHR43895:SF101', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(102984, NULL, 'PTHR11964:SF13', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE 1-RELATED', NULL, NULL, NULL, 15),
(102985, NULL, 'PTHR33207:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102986, NULL, 'PTHR32182:SF22', NULL, NULL, NULL, NULL, 'SLR5023 PROTEIN', NULL, NULL, NULL, 15),
(102987, NULL, 'PTHR22870:SF351', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(102988, NULL, 'PTHR10871:SF38', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S13', NULL, NULL, NULL, 15),
(102989, NULL, 'PTHR27006:SF348', NULL, NULL, NULL, NULL, 'BNAANNG25580D PROTEIN', NULL, NULL, NULL, 15),
(102990, NULL, 'PTHR32472', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RADA', NULL, NULL, NULL, 15),
(102991, NULL, 'PTHR47904:SF1', NULL, NULL, NULL, NULL, 'NATURAL CYTOTOXICITY TRIGGERING RECEPTOR 3', NULL, NULL, NULL, 15),
(102992, NULL, 'PTHR13139:SF2', NULL, NULL, NULL, NULL, 'ROQUIN-2', NULL, NULL, 22110, 15),
(102993, NULL, 'PTHR10792:SF8', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN RLP24-RELATED', NULL, NULL, NULL, 15),
(102994, NULL, 'PTHR33929', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 2-RELATED', NULL, NULL, 29019, 15),
(102995, NULL, 'PTHR48018:SF92', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(102996, NULL, 'PTHR34933:SF3', NULL, NULL, NULL, NULL, 'FLAGELLAR L-RING PROTEIN', NULL, NULL, NULL, 15),
(102997, NULL, 'PTHR45664', NULL, NULL, NULL, NULL, 'PROTEIN ZERKNUELLT 1-RELATED', NULL, NULL, NULL, 15),
(102998, NULL, 'PTHR35730', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SPC24 HOMOLOG-RELATED', NULL, NULL, 38299, 15),
(102999, NULL, 'PTHR21532:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 36', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103000, NULL, 'PTHR27009:SF219', NULL, NULL, NULL, NULL, 'PR5-LIKE RECEPTOR KINASE', NULL, NULL, NULL, 15),
(103001, NULL, 'PTHR19359:SF79', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 ISOFORM C', NULL, NULL, NULL, 15),
(103002, NULL, 'PTHR37442:SF2', NULL, NULL, NULL, NULL, 'CHONDROITIN PROTEOGLYCAN 4', NULL, NULL, NULL, 15),
(103003, NULL, 'PTHR24281:SF5', NULL, NULL, NULL, NULL, '3-HYDROXYPHENYLACETATE 6 HYDROXYLASE', NULL, NULL, NULL, 15),
(103004, NULL, 'PTHR12224:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103005, NULL, 'PTHR10183:SF280', NULL, NULL, NULL, NULL, 'CALPAIN-12', NULL, NULL, 26985, 15),
(103006, NULL, 'PTHR15750:SF2', NULL, NULL, NULL, NULL, 'VASOHIBIN-1-LIKE ISOFORM X2', NULL, NULL, NULL, 15),
(103007, NULL, 'PTHR10015:SF338', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-2', NULL, NULL, NULL, 15),
(103008, NULL, 'PTHR47498:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 2 MEMBER L', NULL, NULL, NULL, 15),
(103009, NULL, 'PTHR14768:SF4', NULL, NULL, NULL, NULL, 'SYNAPSE DIFFERENTIATION-INDUCING GENE PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(103010, NULL, 'PTHR47519', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-31-RELATED', NULL, NULL, NULL, 15),
(103011, NULL, 'PTHR45730:SF81', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(103012, NULL, 'PTHR19229:SF209', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY A (ABC1), MEMBER 5', NULL, NULL, NULL, 15),
(103013, NULL, 'PTHR47067:SF13', NULL, NULL, NULL, NULL, 'TPX2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103014, NULL, 'PTHR23272:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103015, NULL, 'PTHR23201:SF71', NULL, NULL, NULL, NULL, 'GIBBERELLIN REGULATED PROTEIN', NULL, NULL, NULL, 15),
(103016, NULL, 'PTHR48011:SF56', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 3-LIKE', NULL, NULL, NULL, 15),
(103017, NULL, 'PTHR31161:SF23', NULL, NULL, NULL, NULL, 'BNAA09G26980D PROTEIN', NULL, NULL, NULL, 15),
(103018, NULL, 'PTHR43822:SF18', NULL, NULL, NULL, NULL, 'METHANOGEN HOMOACONITASE LARGE SUBUNIT', NULL, NULL, NULL, 15),
(103019, NULL, 'PTHR46165:SF3', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN CONTAINING, CLASS 4, MEMBER 3', NULL, NULL, NULL, 15),
(103020, NULL, 'PTHR34883:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103021, NULL, 'PTHR21055', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 23964, 15),
(103022, NULL, 'PTHR12565:SF398', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH48', NULL, NULL, NULL, 15),
(103023, NULL, 'PTHR33372:SF11', NULL, NULL, NULL, NULL, 'DNAJ (DUF3353)', NULL, NULL, NULL, 15),
(103024, NULL, 'PTHR38107', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103025, NULL, 'PTHR46160:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-182P11.1-RELATED', NULL, NULL, NULL, 15),
(103026, NULL, 'PTHR11266:SF91', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(103027, NULL, 'PTHR10334:SF480', NULL, NULL, NULL, NULL, 'GLI PATHOGENESIS-RELATED 2-RELATED', NULL, NULL, NULL, 15),
(103028, NULL, 'PTHR31895:SF39', NULL, NULL, NULL, NULL, 'ACTIVATED IN BLOCKED UNFOLDED PROTEIN RESPONSE', NULL, NULL, NULL, 15),
(103029, NULL, 'PTHR10836:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103030, NULL, 'PTHR11449:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30-2', NULL, NULL, NULL, 15),
(103031, NULL, 'PTHR33133:SF41', NULL, NULL, NULL, NULL, 'GB|AAC79135.1', NULL, NULL, NULL, 15),
(103032, NULL, 'PTHR21576:SF114', NULL, NULL, NULL, NULL, 'NODULIN-LIKE/MFS TRANSPORTER', NULL, NULL, NULL, 15),
(103033, NULL, 'PTHR24247:SF199', NULL, NULL, NULL, NULL, 'HISTAMINE H4 RECEPTOR', NULL, NULL, NULL, 15),
(103034, NULL, 'PTHR33124:SF41', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH149', NULL, NULL, NULL, 15),
(103035, NULL, 'PTHR23108:SF0', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 22', NULL, NULL, NULL, 15),
(103036, NULL, 'PTHR14950:SF44', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE DICER HOMOLOG 1', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103037, NULL, 'PTHR32191:SF40', NULL, NULL, NULL, NULL, 'TETRASPANIN/PERIPHERIN-RELATED', NULL, NULL, NULL, 15),
(103038, NULL, 'PTHR32116:SF79', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(103039, NULL, 'PTHR33086:SF43', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(103040, NULL, 'PTHR12652:SF49', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11-5-LIKE', NULL, NULL, NULL, 15),
(103041, NULL, 'PTHR32017', NULL, NULL, NULL, NULL, 'SPINDLE AND KINETOCHORE-ASSOCIATED PROTEIN 2', NULL, NULL, 25074, 15),
(103042, NULL, 'PTHR21495:SF191', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(103043, NULL, 'PTHR11808:SF82', NULL, NULL, NULL, NULL, 'BNAC04G24570D PROTEIN', NULL, NULL, NULL, 15),
(103044, NULL, 'PTHR13452:SF15', NULL, NULL, NULL, NULL, 'THUMP DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(103045, NULL, 'PTHR31218:SF29', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(103046, NULL, 'PTHR35156', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 52', NULL, NULL, 29336, 15),
(103047, NULL, 'PTHR42748:SF3', NULL, NULL, NULL, NULL, 'BLL4366 PROTEIN', NULL, NULL, NULL, 15),
(103048, NULL, 'PTHR46824', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML48-RELATED', NULL, NULL, 37198, 15),
(103049, NULL, 'PTHR45669:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103050, NULL, 'PTHR46355', NULL, NULL, NULL, NULL, 'UPF0428 PROTEIN CXORF56', NULL, NULL, 22772, 15),
(103051, NULL, 'PTHR45598', NULL, NULL, NULL, NULL, 'PROTEIN CBG11839-RELATED', NULL, NULL, NULL, 15),
(103052, NULL, 'PTHR13533:SF32', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 14', NULL, NULL, NULL, 15),
(103053, NULL, 'PTHR48013:SF15', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 4', NULL, NULL, NULL, 15),
(103054, NULL, 'PTHR44240:SF24', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103055, NULL, 'PTHR11306:SF46', NULL, NULL, NULL, NULL, 'BNACNNG53350D PROTEIN', NULL, NULL, NULL, 15),
(103056, NULL, 'PTHR36067', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(103057, NULL, 'PTHR11017:SF375', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE', NULL, NULL, NULL, 15),
(103058, NULL, 'PTHR43878', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE RELATED PROTEIN', NULL, NULL, NULL, 15),
(103059, NULL, 'PTHR11732:SF453', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT CODEINONE REDUCTASE 1-2-RELATED', NULL, NULL, NULL, 15),
(103060, NULL, 'PTHR31072:SF145', NULL, NULL, NULL, NULL, 'BNAA09G05400D PROTEIN', NULL, NULL, NULL, 15),
(103061, NULL, 'PTHR45868:SF42', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(103062, NULL, 'PTHR46797:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(103063, NULL, 'PTHR33153:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103064, NULL, 'PTHR11564:SF32', NULL, NULL, NULL, NULL, 'OS11G0153700 PROTEIN', NULL, NULL, NULL, 15),
(103065, NULL, 'PTHR47156:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG17264', NULL, NULL, NULL, 15),
(103066, NULL, 'PTHR32502:SF23', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE PERMEASE IID COMPONENT', NULL, NULL, NULL, 15),
(103067, NULL, 'PTHR47800:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103068, NULL, 'PTHR22846:SF58', NULL, NULL, NULL, NULL, 'F-BOX-LIKE/WD REPEAT-CONTAINING PROTEIN TBL1XR1', NULL, NULL, NULL, 15),
(103069, NULL, 'PTHR46993:SF9', NULL, NULL, NULL, NULL, 'OS06G0181300 PROTEIN', NULL, NULL, NULL, 15),
(103070, NULL, 'PTHR34957:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103071, NULL, 'PTHR22957:SF207', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 10B', NULL, NULL, NULL, 15),
(103072, NULL, 'PTHR27001:SF720', NULL, NULL, NULL, NULL, 'OS08G0442700 PROTEIN', NULL, NULL, NULL, 15),
(103073, NULL, 'PTHR31766:SF10', NULL, NULL, NULL, NULL, 'TRAM, LAG1 AND CLN8 (TLC) LIPID-SENSING DOMAIN CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103074, NULL, 'PTHR30572:SF11', NULL, NULL, NULL, NULL, 'ADHESION COMPONENT TRANSPORT TRANSMEMBRANE PROTEIN ABC TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(103075, NULL, 'PTHR34611:SF2', NULL, NULL, NULL, NULL, 'INACTIVE RECOMBINATION-PROMOTING NUCLEASE-LIKE PROTEIN RPNE-RELATED', NULL, NULL, NULL, 15),
(103076, NULL, 'PTHR11783:SF231', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(103077, NULL, 'PTHR47799', NULL, NULL, NULL, NULL, 'OMEGA-AMIDASE YAFV', NULL, NULL, NULL, 15),
(103078, NULL, 'PTHR34446:SF4', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 10', NULL, NULL, NULL, 15),
(103079, NULL, 'PTHR23425', NULL, NULL, NULL, NULL, 'NUCLEOPORIN AMO1-LIKE', NULL, NULL, 9049, 15),
(103080, NULL, 'PTHR44337:SF16', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 1-RELATED', NULL, NULL, NULL, 15),
(103081, NULL, 'PTHR47746:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103082, NULL, 'PTHR47956:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B38-RELATED', NULL, NULL, NULL, 15),
(103083, NULL, 'PTHR24012:SF723', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103084, NULL, 'PTHR35279:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103085, NULL, 'PTHR32285:SF18', NULL, NULL, NULL, NULL, 'PROTEIN YLS7', NULL, NULL, NULL, 15),
(103086, NULL, 'PTHR33098:SF79', NULL, NULL, NULL, NULL, 'BNAA01G35900D PROTEIN', NULL, NULL, NULL, 15),
(103087, NULL, 'PTHR45621:SF46', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL16-RELATED', NULL, NULL, NULL, 15),
(103088, NULL, 'PTHR42711', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(103089, NULL, 'PTHR23024:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103090, NULL, 'PTHR11654:SF481', NULL, NULL, NULL, NULL, 'BNAA08G19510D PROTEIN', NULL, NULL, NULL, 15),
(103091, NULL, 'PTHR16705:SF12', NULL, NULL, NULL, NULL, 'COMPLEXIN 4C', NULL, NULL, NULL, 15),
(103092, NULL, 'PTHR31415:SF96', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(103093, NULL, 'PTHR16222:SF28', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(103094, NULL, 'PTHR34671:SF9', NULL, NULL, NULL, NULL, 'EM-LIKE PROTEIN GEA6', NULL, NULL, NULL, 15),
(103095, NULL, 'PTHR34715:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103096, NULL, 'PTHR44137:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103097, NULL, 'PTHR36014', NULL, NULL, NULL, NULL, 'OS03G0176600 PROTEIN', NULL, NULL, NULL, 15),
(103098, NULL, 'PTHR15852:SF55', NULL, NULL, NULL, NULL, 'PROTEIN EMBRYO SAC DEVELOPMENT ARREST 3, CHLOROPLASTIC ISOFORM X1', NULL, NULL, NULL, 15),
(103099, NULL, 'PTHR12242:SF22', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(103100, NULL, 'PTHR48004:SF24', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 55', NULL, NULL, NULL, 15),
(103101, NULL, 'PTHR37163', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, 10929, 15),
(103102, NULL, 'PTHR24390:SF49', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 212', NULL, NULL, NULL, 15),
(103103, NULL, 'PTHR15184:SF65', NULL, NULL, NULL, NULL, 'F0F1-TYPE ATP SYNTHASE, BETA SUBUNIT', NULL, NULL, NULL, 15),
(103104, NULL, 'PTHR13636', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 3148, 15),
(103105, NULL, 'PTHR34657:SF14', NULL, NULL, NULL, NULL, 'EMBRYO SAC DEVELOPMENT ARREST 6', NULL, NULL, NULL, 15),
(103106, NULL, 'PTHR31901:SF53', NULL, NULL, NULL, NULL, 'JASMONIC ACID-AMIDO SYNTHETASE JAR1-LIKE', NULL, NULL, NULL, 15),
(103107, NULL, 'PTHR37835:SF1', NULL, NULL, NULL, NULL, 'ALPHA-CLOSTRIPAIN', NULL, NULL, NULL, 15),
(103108, NULL, 'PTHR32227:SF223', NULL, NULL, NULL, NULL, 'OS02G0200300 PROTEIN', NULL, NULL, NULL, 15),
(103109, NULL, 'PTHR43130:SF2', NULL, NULL, NULL, NULL, 'THIJ/PFPI FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G14240)', NULL, NULL, NULL, 15),
(103110, NULL, 'PTHR10986', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L20', NULL, NULL, 5994, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103111, NULL, 'PTHR10634:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103112, NULL, 'PTHR46128:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103113, NULL, 'PTHR44259:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103114, NULL, 'PTHR12346:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103115, NULL, 'PTHR22835:SF511', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103116, NULL, 'PTHR21024:SF0', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN REGULATORY FACTOR 1', NULL, NULL, NULL, 15),
(103117, NULL, 'PTHR11521:SF7', NULL, NULL, NULL, NULL, 'TROPONIN T', NULL, NULL, NULL, 15),
(103118, NULL, 'PTHR35689:SF3', NULL, NULL, NULL, NULL, 'BNAA09G56970D PROTEIN', NULL, NULL, NULL, 15),
(103119, NULL, 'PTHR31557:SF2', NULL, NULL, NULL, NULL, 'PROTEIN UP-REGULATED IN DAF-2(GF)', NULL, NULL, NULL, 15),
(103120, NULL, 'PTHR21461:SF64', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(103121, NULL, 'PTHR12713:SF27', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G3', NULL, NULL, NULL, 15),
(103122, NULL, 'PTHR11926:SF1351', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(103123, NULL, 'PTHR11645:SF49', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE 1', NULL, NULL, NULL, 15),
(103124, NULL, 'PTHR10131:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103125, NULL, 'PTHR47975:SF22', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-2', NULL, NULL, NULL, 15),
(103126, NULL, 'PTHR39299', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103127, NULL, 'PTHR45642:SF107', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103128, NULL, 'PTHR47657:SF7', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN ECM22', NULL, NULL, NULL, 15),
(103129, NULL, 'PTHR47926:SF254', NULL, NULL, NULL, NULL, 'OS02G0730900 PROTEIN', NULL, NULL, NULL, 15),
(103130, NULL, 'PTHR31959:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103131, NULL, 'PTHR45732:SF14', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, RAB TYPE-RELATED', NULL, NULL, NULL, 15),
(103132, NULL, 'PTHR37917', NULL, NULL, NULL, NULL, 'PROTEIN CBG03580', NULL, NULL, NULL, 15),
(103133, NULL, 'PTHR12358:SF84', NULL, NULL, NULL, NULL, 'SPHINGOSINE KINASE B', NULL, NULL, NULL, 15),
(103134, NULL, 'PTHR10891:SF876', NULL, NULL, NULL, NULL, 'BNAA02G17640D PROTEIN', NULL, NULL, NULL, 15),
(103135, NULL, 'PTHR31674:SF48', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103136, NULL, 'PTHR22940:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TIMELESS HOMOLOG', NULL, NULL, NULL, 15),
(103137, NULL, 'PTHR16254:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(103138, NULL, 'PTHR11206:SF376', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(103139, NULL, 'PTHR31304:SF42', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(103140, NULL, 'PTHR10788:SF93', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATASE', NULL, NULL, NULL, 15),
(103141, NULL, 'PTHR31286:SF68', NULL, NULL, NULL, NULL, 'BNAC04G13400D PROTEIN', NULL, NULL, NULL, 15),
(103142, NULL, 'PTHR11461:SF343', NULL, NULL, NULL, NULL, 'HETEROCHROMATIN-ASSOCIATED PROTEIN MENT-RELATED', NULL, NULL, NULL, 15),
(103143, NULL, 'PTHR22883:SF49', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC7', NULL, NULL, NULL, 15),
(103144, NULL, 'PTHR27002:SF834', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103145, NULL, 'PTHR16675:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103146, NULL, 'PTHR30363:SF27', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103147, NULL, 'PTHR24340:SF32', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-2.3', NULL, NULL, NULL, 15),
(103148, NULL, 'PTHR47212:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYGLUCOSAMINLYTRANSFERASE SUBUNIT P-LIKE PROTEIN', NULL, NULL, NULL, 15),
(103149, NULL, 'PTHR13316:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(103150, NULL, 'PTHR34491:SF11', NULL, NULL, NULL, NULL, 'HOLOCENTRIC CHROMOSOME BINDING PROTEIN', NULL, NULL, NULL, 15),
(103151, NULL, 'PTHR19862:SF19', NULL, NULL, NULL, NULL, 'BNAC03G34120D PROTEIN', NULL, NULL, NULL, 15),
(103152, NULL, 'PTHR35301:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103153, NULL, 'PTHR16487', NULL, NULL, NULL, NULL, 'PPP4R2-RELATED PROTEIN', NULL, NULL, 12784, 15),
(103154, NULL, 'PTHR11776:SF26', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYL TRANSFERASE, PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103155, NULL, 'PTHR24637:SF321', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(103156, NULL, 'PTHR12785', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B', NULL, NULL, NULL, 15),
(103157, NULL, 'PTHR10579:SF52', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED CHLORIDE CHANNEL REGULATOR 1', NULL, NULL, NULL, 15),
(103158, NULL, 'PTHR33564:SF21', NULL, NULL, NULL, NULL, 'BNAA03G00170D PROTEIN', NULL, NULL, NULL, 15),
(103159, NULL, 'PTHR19317:SF78', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(103160, NULL, 'PTHR11504:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6A, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(103161, NULL, 'PTHR45738:SF18', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC4', NULL, NULL, NULL, 15),
(103162, NULL, 'PTHR15960:SF5', NULL, NULL, NULL, NULL, 'LD44032P', NULL, NULL, NULL, 15),
(103163, NULL, 'PTHR33103:SF58', NULL, NULL, NULL, NULL, 'INITIATION FACTOR IF-2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(103164, NULL, 'PTHR31429:SF78', NULL, NULL, NULL, NULL, 'WIZZ', NULL, NULL, NULL, 15),
(103165, NULL, 'PTHR46367:SF3', NULL, NULL, NULL, NULL, 'ATAXIN-7-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(103166, NULL, 'PTHR23024:SF472', NULL, NULL, NULL, NULL, 'OS09G0461700 PROTEIN', NULL, NULL, NULL, 15),
(103167, NULL, 'PTHR31281:SF0', NULL, NULL, NULL, NULL, 'PROTEIN FAM219A', NULL, NULL, NULL, 15),
(103168, NULL, 'PTHR10829:SF23', NULL, NULL, NULL, NULL, 'CORTACTIN, ISOFORM A', NULL, NULL, NULL, 15),
(103169, NULL, 'PTHR11753:SF20', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT SIGMA-2', NULL, NULL, NULL, 15),
(103170, NULL, 'PTHR48042:SF10', NULL, NULL, NULL, NULL, 'XENOBIOTIC-TRANSPORTING ATPASE-RELATED', NULL, NULL, NULL, 15),
(103171, NULL, 'PTHR45830:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(103172, NULL, 'PTHR11364:SF7', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE MPST-1-RELATED', NULL, NULL, NULL, 15),
(103173, NULL, 'PTHR10783:SF120', NULL, NULL, NULL, NULL, 'BNAA09G02520D PROTEIN', NULL, NULL, NULL, 15),
(103174, NULL, 'PTHR14255:SF31', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(103175, NULL, 'PTHR48002:SF85', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(103176, NULL, 'PTHR31577:SF2', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PLURIPOTENCY-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(103177, NULL, 'PTHR28266:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L20, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(103178, NULL, 'PTHR33109:SF45', NULL, NULL, NULL, NULL, 'OS05G0476400 PROTEIN', NULL, NULL, NULL, 15),
(103179, NULL, 'PTHR46225:SF13', NULL, NULL, NULL, NULL, 'F9C16.22-RELATED', NULL, NULL, NULL, 15),
(103180, NULL, 'PTHR33349:SF14', NULL, NULL, NULL, NULL, 'PLANT CALMODULIN-BINDING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(103181, NULL, 'PTHR24314', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103182, NULL, 'PTHR14000:SF9', NULL, NULL, NULL, NULL, 'OS04G0673000 PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103183, NULL, 'PTHR46301:SF29', NULL, NULL, NULL, NULL, 'BNAA02G04530D PROTEIN', NULL, NULL, NULL, 15),
(103184, NULL, 'PTHR35298:SF9', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN S1FA1-RELATED', NULL, NULL, NULL, 15),
(103185, NULL, 'PTHR10476:SF17', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 1A', NULL, NULL, 22169, 15),
(103186, NULL, 'PTHR31509:SF70', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(103187, NULL, 'PTHR13620:SF76', NULL, NULL, NULL, NULL, 'WERNER SYNDROME-LIKE EXONUCLEASE', NULL, NULL, NULL, 15),
(103188, NULL, 'PTHR23294:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG11284', NULL, NULL, NULL, 15),
(103189, NULL, 'PTHR21450:SF36', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF630 AND DUF632)-RELATED', NULL, NULL, NULL, 15),
(103190, NULL, 'PTHR33067:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103191, NULL, 'PTHR12558:SF35', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE ASSEMBLY PROTEIN B', NULL, NULL, NULL, 15),
(103192, NULL, 'PTHR10315:SF107', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(103193, NULL, 'PTHR24118:SF87', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 3', NULL, NULL, NULL, 15),
(103194, NULL, 'PTHR11506', NULL, NULL, NULL, NULL, 'LYSOSOME-ASSOCIATED MEMBRANE GLYCOPROTEIN', NULL, NULL, 5074, 15),
(103195, NULL, 'PTHR31669:SF233', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED IMPAIRED RESPONSE 1-LIKE', NULL, NULL, NULL, 15),
(103196, NULL, 'PTHR24559:SF375', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON GYPSY-LIKE PROTEIN', NULL, NULL, NULL, 15),
(103197, NULL, 'PTHR15710:SF34', NULL, NULL, NULL, NULL, 'OS03G0351800 PROTEIN', NULL, NULL, NULL, 15),
(103198, NULL, 'PTHR43201:SF13', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE', NULL, NULL, NULL, 15),
(103199, NULL, 'PTHR33104', NULL, NULL, NULL, NULL, 'SI:DKEY-29D5.2', NULL, NULL, NULL, 15),
(103200, NULL, 'PTHR21551', NULL, NULL, NULL, NULL, 'TOPOISOMERASE II-ASSOCIATED PROTEIN PAT1', NULL, NULL, 34146, 15),
(103201, NULL, 'PTHR35513', NULL, NULL, NULL, NULL, 'OS02G0158600 PROTEIN', NULL, NULL, NULL, 15),
(103202, NULL, 'PTHR23239:SF351', NULL, NULL, NULL, NULL, 'SI:CH211-243G18.2', NULL, NULL, NULL, 15),
(103203, NULL, 'PTHR24092:SF80', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IM-RELATED', NULL, NULL, 27926, 15),
(103204, NULL, 'PTHR23515:SF6', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE TRANSPORTER NARU', NULL, NULL, NULL, 15),
(103205, NULL, 'PTHR22765:SF213', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SYNOVIOLIN', NULL, NULL, NULL, 15),
(103206, NULL, 'PTHR46077', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TOPORS', NULL, NULL, NULL, 15),
(103207, NULL, 'PTHR24377:SF871', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 135', NULL, NULL, NULL, 15),
(103208, NULL, 'PTHR45707:SF63', NULL, NULL, NULL, NULL, 'OSJNBB0020J19.7 PROTEIN', NULL, NULL, NULL, 15),
(103209, NULL, 'PTHR37987:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(103210, NULL, 'PTHR13683:SF743', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(103211, NULL, 'PTHR10209:SF748', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103212, NULL, 'PTHR24096:SF376', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE AND LIGASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103213, NULL, 'PTHR11662:SF423', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', NULL, NULL, NULL, 15),
(103214, NULL, 'PTHR39381:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG14825', NULL, NULL, NULL, 15),
(103215, NULL, 'PTHR13492', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 37', NULL, NULL, 29772, 15),
(103216, NULL, 'PTHR48042:SF20', NULL, NULL, NULL, NULL, 'OS10G0163290 PROTEIN', NULL, NULL, NULL, 15),
(103217, NULL, 'PTHR11909:SF368', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE', NULL, NULL, NULL, 15),
(103218, NULL, 'PTHR23213:SF351', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103219, NULL, 'PTHR21229:SF72', NULL, NULL, NULL, NULL, 'BNAA03G00570D PROTEIN', NULL, NULL, NULL, 15),
(103220, NULL, 'PTHR11630:SF47', NULL, NULL, NULL, NULL, 'DNA HELICASE MCM8', NULL, NULL, NULL, 15),
(103221, NULL, 'PTHR23182:SF8', NULL, NULL, NULL, NULL, 'BCR ACTIVATOR OF RHOGEF AND GTPASE', NULL, NULL, NULL, 15),
(103222, NULL, 'PTHR26379:SF385', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103223, NULL, 'PTHR42912:SF25', NULL, NULL, NULL, NULL, 'TUBERCULOSTEARIC ACID METHYLTRANSFERASE UFAA1', NULL, NULL, NULL, 15),
(103224, NULL, 'PTHR31553:SF1', NULL, NULL, NULL, NULL, 'NF-KAPPA-B ESSENTIAL MODULATOR', NULL, NULL, NULL, 15),
(103225, NULL, 'PTHR24303:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 513A1-RELATED', NULL, NULL, NULL, 15),
(103226, NULL, 'PTHR11732:SF457', NULL, NULL, NULL, NULL, 'ASCORBATE BIOSYNTHESIS-RELATED PROTEIN', NULL, NULL, NULL, 15),
(103227, NULL, 'PTHR23024:SF98', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1B', NULL, NULL, NULL, 15),
(103228, NULL, 'PTHR36028:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103229, NULL, 'PTHR45693:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGAL9', NULL, NULL, NULL, 15),
(103230, NULL, 'PTHR31391:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103231, NULL, 'PTHR31945:SF65', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(103232, NULL, 'PTHR43303:SF2', NULL, NULL, NULL, NULL, 'INDOLEAMINE 2,3-DIOXYGENASE PYRROLE 2,3-DIOXYGENASE (AFU_ORTHOLOGUE AFUA_5G01450', NULL, NULL, NULL, 15),
(103233, NULL, 'PTHR47127:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103234, NULL, 'PTHR31388:SF199', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(103235, NULL, 'PTHR46074', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PROTEIN CRIP FAMILY MEMBER', NULL, NULL, NULL, 15),
(103236, NULL, 'PTHR36029:SF1', NULL, NULL, NULL, NULL, 'TSET COMPLEX MEMBER TSTA', NULL, NULL, NULL, 15),
(103237, NULL, 'PTHR22714:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG02446', NULL, NULL, NULL, 15),
(103238, NULL, 'PTHR11351:SF71', NULL, NULL, NULL, NULL, 'DELTA-9 DESATURASE-LIKE 1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103239, NULL, 'PTHR23261:SF16', NULL, NULL, NULL, NULL, 'GROUND-LIKE (GRD RELATED)', NULL, NULL, NULL, 15),
(103240, NULL, 'PTHR21493:SF248', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103241, NULL, 'PTHR31989:SF33', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(103242, NULL, 'PTHR34659:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103243, NULL, 'PTHR10015:SF376', NULL, NULL, NULL, NULL, 'HEAT SHOCK TRANSCRIPTION FACTOR A7A-RELATED', NULL, NULL, NULL, 15),
(103244, NULL, 'PTHR43900:SF54', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F12', NULL, NULL, NULL, 15),
(103245, NULL, 'PTHR38339:SF1', NULL, NULL, NULL, NULL, 'TRANSGLUTAMINASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(103246, NULL, 'PTHR31890:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103247, NULL, 'PTHR12242', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(103248, NULL, 'PTHR10736:SF9', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(103249, NULL, 'PTHR24377:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 81', NULL, NULL, NULL, 15),
(103250, NULL, 'PTHR37710:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(103251, NULL, 'PTHR11746:SF268', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(103252, NULL, 'PTHR24133:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103253, NULL, 'PTHR45787:SF6', NULL, NULL, NULL, NULL, 'RHOMBOTIN-1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(103254, NULL, 'PTHR14112:SF8', NULL, NULL, NULL, NULL, 'PROTEIN SSX4', NULL, NULL, NULL, 15),
(103255, NULL, 'PTHR33326:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103256, NULL, 'PTHR10410:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103257, NULL, 'PTHR22968:SF24', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(103258, NULL, 'PTHR33077:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103259, NULL, 'PTHR48065:SF26', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(103260, NULL, 'PTHR44259:SF5', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(103261, NULL, 'PTHR32467:SF22', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR PLT2', NULL, NULL, NULL, 15),
(103262, NULL, 'PTHR21530:SF13', NULL, NULL, NULL, NULL, 'BNAC09G30500D PROTEIN', NULL, NULL, NULL, 15),
(103263, NULL, 'PTHR33077:SF52', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10A', NULL, NULL, NULL, 15),
(103264, NULL, 'PTHR31530:SF2', NULL, NULL, NULL, NULL, 'MAJOR INTRINSICALLY DISORDERED NOTCH2-BINDING RECEPTOR 1', NULL, NULL, NULL, 15),
(103265, NULL, 'PTHR33181:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103266, NULL, 'PTHR34191:SF11', NULL, NULL, NULL, NULL, 'ABA-INDUCIBLE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(103267, NULL, 'PTHR24320:SF198', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(103268, NULL, 'PTHR47116:SF12', NULL, NULL, NULL, NULL, 'CYSTATIN', NULL, NULL, NULL, 15),
(103269, NULL, 'PTHR46784:SF1', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY B MEMBER 1', NULL, NULL, NULL, 15),
(103270, NULL, 'PTHR24404:SF39', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN (C2H2 TYPE) 276', NULL, NULL, NULL, 15),
(103271, NULL, 'PTHR31080:SF237', NULL, NULL, NULL, NULL, 'OS12G0128900 PROTEIN', NULL, NULL, NULL, 15),
(103272, NULL, 'PTHR43791:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103273, NULL, 'PTHR23420:SF2', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE 3', NULL, NULL, NULL, 15),
(103274, NULL, 'PTHR10177:SF416', NULL, NULL, NULL, NULL, 'CYCLIN-A1-2', NULL, NULL, NULL, 15),
(103275, NULL, 'PTHR31517:SF45', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(103276, NULL, 'PTHR10696:SF30', NULL, NULL, NULL, NULL, 'FAMILY OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13850)-RELATED', NULL, NULL, NULL, 15),
(103277, NULL, 'PTHR23021:SF36', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(103278, NULL, 'PTHR33512:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103279, NULL, 'PTHR43818:SF10', NULL, NULL, NULL, NULL, 'NADH-DEPENDENT DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(103280, NULL, 'PTHR24407:SF12', NULL, NULL, NULL, NULL, 'NLR FAMILY CARD DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(103281, NULL, 'PTHR30033:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(103282, NULL, 'PTHR21663:SF1', NULL, NULL, NULL, NULL, 'HEAT REPEAT-CONTAINING PROTEIN 5A', NULL, NULL, NULL, 15),
(103283, NULL, 'PTHR11351:SF79', NULL, NULL, NULL, NULL, 'BNAC08G44620D PROTEIN', NULL, NULL, NULL, 15),
(103284, NULL, 'PTHR13318:SF28', NULL, NULL, NULL, NULL, 'CORONATINE-INSENSITIVE PROTEIN HOMOLOG 2', NULL, NULL, NULL, 15),
(103285, NULL, 'PTHR31374:SF139', NULL, NULL, NULL, NULL, 'OS02G0143300 PROTEIN', NULL, NULL, NULL, 15),
(103286, NULL, 'PTHR31252:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103287, NULL, 'PTHR32039:SF14', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLI HOMOLOG', NULL, NULL, NULL, 15),
(103288, NULL, 'PTHR48018:SF140', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(103289, NULL, 'PTHR42760', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASES/REDUCTASES FAMILY MEMBER', NULL, NULL, NULL, 15),
(103290, NULL, 'PTHR31471:SF68', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(103291, NULL, 'PTHR14363:SF13', NULL, NULL, NULL, NULL, 'OS07G0598400 PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103292, NULL, 'PTHR10641:SF1268', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103293, NULL, 'PTHR36931', NULL, NULL, NULL, NULL, 'UPF0153 PROTEIN YEIW', NULL, NULL, NULL, 15),
(103294, NULL, 'PTHR31221:SF205', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(103295, NULL, 'PTHR23257:SF727', NULL, NULL, NULL, NULL, 'A-RAF PROTO-ONCOGENE, SERINE/THREONINE KINASE', NULL, NULL, NULL, 15),
(103296, NULL, 'PTHR47519:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(103297, NULL, 'PTHR47982:SF58', NULL, NULL, NULL, NULL, 'BNAA09G30960D PROTEIN', NULL, NULL, NULL, 15),
(103298, NULL, 'PTHR35092:SF1', NULL, NULL, NULL, NULL, 'CHLORINASE MJ1651', NULL, NULL, NULL, 15),
(103299, NULL, 'PTHR47557:SF2', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(103300, NULL, 'PTHR15371:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103301, NULL, 'PTHR23257:SF750', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 21', NULL, NULL, NULL, 15),
(103302, NULL, 'PTHR11746:SF252', NULL, NULL, NULL, NULL, 'ASMT3', NULL, NULL, NULL, 15),
(103303, NULL, 'PTHR12479:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG14497', NULL, NULL, NULL, 15),
(103304, NULL, 'PTHR33355', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE CARBOXY-TERMINAL PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103305, NULL, 'PTHR21593', NULL, NULL, NULL, NULL, 'PRION-LIKE- Q/N-RICH -DOMAIN-BEARING PROTEIN PROTEIN', NULL, NULL, NULL, 15),
(103306, NULL, 'PTHR19241:SF625', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 40', NULL, NULL, NULL, 15),
(103307, NULL, 'PTHR12745', NULL, NULL, NULL, NULL, 'SUPPRESSION OF TUMORIGENICITY 7', NULL, NULL, 4760, 15),
(103308, NULL, 'PTHR11814:SF61', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 2.2', NULL, NULL, 24254, 15),
(103309, NULL, 'PTHR11412:SF83', NULL, NULL, NULL, NULL, 'COMPLEMENT C5', NULL, NULL, 31795, 15),
(103310, NULL, 'PTHR10366:SF353', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1', NULL, NULL, NULL, 15),
(103311, NULL, 'PTHR23050:SF389', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(103312, NULL, 'PTHR10680', NULL, NULL, NULL, NULL, 'PEPTIDYL-GLYCINE ALPHA-AMIDATING MONOOXYGENASE', NULL, NULL, NULL, 15),
(103313, NULL, 'PTHR31623:SF45', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', NULL, NULL, NULL, 15),
(103314, NULL, 'PTHR11165:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103315, NULL, 'PTHR47663', NULL, NULL, NULL, NULL, 'XYLANOLYTIC TRANSCRIPTIONAL ACTIVATOR XLNR-RELATED', NULL, NULL, NULL, 15),
(103316, NULL, 'PTHR24083:SF76', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-153', NULL, NULL, NULL, 15),
(103317, NULL, 'PTHR34367', NULL, NULL, NULL, NULL, 'OS02G0734667 PROTEIN', NULL, NULL, 30336, 15),
(103318, NULL, 'PTHR31374:SF247', NULL, NULL, NULL, NULL, 'BNAA02G05090D PROTEIN', NULL, NULL, NULL, 15),
(103319, NULL, 'PTHR13169:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN 2', NULL, NULL, NULL, 15),
(103320, NULL, 'PTHR32212:SF260', NULL, NULL, NULL, NULL, 'F-BOX/RNI-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103321, NULL, 'PTHR31232:SF108', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOGUE', NULL, NULL, NULL, 15),
(103322, NULL, 'PTHR45631:SF53', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(103323, NULL, 'PTHR37357', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 4', NULL, NULL, NULL, 15),
(103324, NULL, 'PTHR24023:SF1025', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA CHAIN CG42342', NULL, NULL, NULL, 15),
(103325, NULL, 'PTHR11819:SF194', NULL, NULL, NULL, NULL, 'SODIUM:SOLUTE SYMPORTER-RELATED', NULL, NULL, NULL, 15),
(103326, NULL, 'PTHR13878:SF107', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 3', NULL, NULL, NULL, 15),
(103327, NULL, 'PTHR12732', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEASOME COMPONENT REGION PCI-CONTAINING', NULL, NULL, 37229, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103328, NULL, 'PTHR45666:SF7', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 7-LIKE', NULL, NULL, NULL, 15),
(103329, NULL, 'PTHR24256:SF486', NULL, NULL, NULL, NULL, 'AQUARIUS', NULL, NULL, NULL, 15),
(103330, NULL, 'PTHR10519:SF63', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 156-RELATED', NULL, NULL, NULL, 15),
(103331, NULL, 'PTHR24068:SF306', NULL, NULL, NULL, NULL, 'BNAA07G38410D PROTEIN', NULL, NULL, NULL, 15),
(103332, NULL, 'PTHR47950:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 76, SUBFAMILY G, POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(103333, NULL, 'PTHR45979:SF14', NULL, NULL, NULL, NULL, 'BNAC04G24980D PROTEIN', NULL, NULL, NULL, 15),
(103334, NULL, 'PTHR31301:SF109', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 7-LIKE', NULL, NULL, NULL, 15),
(103335, NULL, 'PTHR10848:SF3', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN SPO11-1', NULL, NULL, NULL, 15),
(103336, NULL, 'PTHR12320:SF68', NULL, NULL, NULL, NULL, 'MYB DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(103337, NULL, 'PTHR22960:SF26', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN 1', NULL, NULL, NULL, 15),
(103338, NULL, 'PTHR31639:SF195', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103339, NULL, 'PTHR20914:SF6', NULL, NULL, NULL, NULL, 'EP1', NULL, NULL, NULL, 15),
(103340, NULL, 'PTHR33479:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103341, NULL, 'PTHR44115:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG12124', NULL, NULL, NULL, 15),
(103342, NULL, 'PTHR47932:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103343, NULL, 'PTHR21404', NULL, NULL, NULL, NULL, 'HEN1', NULL, NULL, 23243, 15),
(103344, NULL, 'PTHR23500:SF485', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103345, NULL, 'PTHR31503:SF10', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(103346, NULL, 'PTHR47993:SF34', NULL, NULL, NULL, NULL, 'OS09G0372900 PROTEIN', NULL, NULL, NULL, 15),
(103347, NULL, 'PTHR34671:SF18', NULL, NULL, NULL, NULL, 'STRESS INDUCED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103348, NULL, 'PTHR11679:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103349, NULL, 'PTHR48019:SF2', NULL, NULL, NULL, NULL, 'BNAC02G43470D PROTEIN', NULL, NULL, NULL, 15),
(103350, NULL, 'PTHR11721:SF22', NULL, NULL, NULL, NULL, 'BNAC06G24620D PROTEIN', NULL, NULL, NULL, 15),
(103351, NULL, 'PTHR21364', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(103352, NULL, 'PTHR41328:SF3', NULL, NULL, NULL, NULL, 'PBSX PHAGE TERMINASE SMALL SUBUNIT', NULL, NULL, NULL, 15),
(103353, NULL, 'PTHR23024:SF445', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', NULL, NULL, NULL, 15),
(103354, NULL, 'PTHR47992:SF7', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', NULL, NULL, NULL, 15),
(103355, NULL, 'PTHR43952:SF25', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 3', NULL, NULL, NULL, 15),
(103356, NULL, 'PTHR37202', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(103357, NULL, 'PTHR36885', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(103358, NULL, 'PTHR34207:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103359, NULL, 'PTHR10963:SF24', NULL, NULL, NULL, NULL, 'GLYCOSIDASE C21B10.07-RELATED', NULL, NULL, NULL, 15),
(103360, NULL, 'PTHR31875:SF35', NULL, NULL, NULL, NULL, 'BNAA01G32630D PROTEIN', NULL, NULL, NULL, 15),
(103361, NULL, 'PTHR32133:SF263', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103362, NULL, 'PTHR31388:SF112', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(103363, NULL, 'PTHR24377:SF902', NULL, NULL, NULL, NULL, 'ZINC FINGER WITH KRAB AND SCAN DOMAINS 16', NULL, NULL, NULL, 15),
(103364, NULL, 'PTHR24060:SF30', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 5', NULL, NULL, NULL, 15),
(103365, NULL, 'PTHR24064:SF454', NULL, NULL, NULL, NULL, 'SI:DKEY-119M7.4', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103366, NULL, 'PTHR12845:SF3', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 16', NULL, NULL, NULL, 15),
(103367, NULL, 'PTHR11311', NULL, NULL, NULL, NULL, 'SPONDIN', NULL, NULL, NULL, 15),
(103368, NULL, 'PTHR31235:SF331', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(103369, NULL, 'PTHR46875', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 5', NULL, NULL, NULL, 15),
(103370, NULL, 'PTHR45644:SF21', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(103371, NULL, 'PTHR12548:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DP FAMILY MEMBER 3', NULL, NULL, 24113, 15),
(103372, NULL, 'PTHR10797:SF66', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 6-RELATED', NULL, NULL, NULL, 15),
(103373, NULL, 'PTHR11654:SF289', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER 3', NULL, NULL, 26815, 15),
(103374, NULL, 'PTHR23280:SF9', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(103375, NULL, 'PTHR10177:SF254', NULL, NULL, NULL, NULL, 'CYCLIN-A1', NULL, NULL, NULL, 15),
(103376, NULL, 'PTHR31391:SF70', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS03G0622200', NULL, NULL, NULL, 15),
(103377, NULL, 'PTHR11949:SF10', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 5', NULL, NULL, 27776, 15),
(103378, NULL, 'PTHR43352:SF1', NULL, NULL, NULL, NULL, 'P-HYDROXYBENZOIC ACID--AMP LIGASE FADD22', NULL, NULL, NULL, 15),
(103379, NULL, 'PTHR40392', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 5332, 15),
(103380, NULL, 'PTHR13234:SF11', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', NULL, NULL, NULL, 15),
(103381, NULL, 'PTHR44846:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, GNTR FAMILY', NULL, NULL, NULL, 15),
(103382, NULL, 'PTHR31992:SF198', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.2', NULL, NULL, NULL, 15),
(103383, NULL, 'PTHR31972:SF70', NULL, NULL, NULL, NULL, 'BNAA09G02900D PROTEIN', NULL, NULL, NULL, 15),
(103384, NULL, 'PTHR11034:SF46', NULL, NULL, NULL, NULL, 'PROTEIN NDL1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(103385, NULL, 'PTHR45889:SF5', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE 3', NULL, NULL, NULL, 15),
(103386, NULL, 'PTHR47181:SF4', NULL, NULL, NULL, NULL, 'BRCT DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(103387, NULL, 'PTHR33057:SF35', NULL, NULL, NULL, NULL, 'OS01G0863800 PROTEIN', NULL, NULL, NULL, 15),
(103388, NULL, 'PTHR46695:SF9', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY PROTEIN / SWIB COMPLEX BAF60B DOMAIN-CONTAINING PROTEIN / GYF DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(103389, NULL, 'PTHR43574:SF5', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR EPIMERASE', NULL, NULL, NULL, 15),
(103390, NULL, 'PTHR24120:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 29', NULL, NULL, NULL, 15),
(103391, NULL, 'PTHR43303:SF3', NULL, NULL, NULL, NULL, 'BLR3436 PROTEIN', NULL, NULL, NULL, 15),
(103392, NULL, 'PTHR13335', NULL, NULL, NULL, NULL, 'TARGET OF RAPAMYCIN COMPLEX 2 SUBUNIT MAPKAP1', NULL, NULL, 14478, 15),
(103393, NULL, 'PTHR33893:SF12', NULL, NULL, NULL, NULL, 'INSULIN RELATED', NULL, NULL, NULL, 15),
(103394, NULL, 'PTHR15176:SF1', NULL, NULL, NULL, NULL, 'NEPHROCYSTIN-1', NULL, NULL, 30185, 15),
(103395, NULL, 'PTHR32091:SF24', NULL, NULL, NULL, NULL, 'OS01G0306100 PROTEIN', NULL, NULL, NULL, 15),
(103396, NULL, 'PTHR39431:SF1', NULL, NULL, NULL, NULL, 'FRPA/C-RELATED PROTEIN', NULL, NULL, NULL, 15),
(103397, NULL, 'PTHR33149:SF28', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', NULL, NULL, NULL, 15),
(103398, NULL, 'PTHR43463:SF1', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE--DIMETHYLBENZIMIDAZOLE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(103399, NULL, 'PTHR13247:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION 1 PROTEIN', NULL, NULL, NULL, 15),
(103400, NULL, 'PTHR16223:SF238', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH114', NULL, NULL, NULL, 15),
(103401, NULL, 'PTHR33103:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103402, NULL, 'PTHR45969:SF29', NULL, NULL, NULL, NULL, 'RING-H2 ZINC FINGER PROTEIN RHA1A-LIKE', NULL, NULL, NULL, 15),
(103403, NULL, 'PTHR34780:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103404, NULL, 'PTHR12308:SF23', NULL, NULL, NULL, NULL, 'ANOCTAMIN-5', NULL, NULL, 28232, 15),
(103405, NULL, 'PTHR18976:SF11', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN A-I', NULL, NULL, NULL, 15),
(103406, NULL, 'PTHR48030:SF3', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 4', NULL, NULL, NULL, 15),
(103407, NULL, 'PTHR12802:SF130', NULL, NULL, NULL, NULL, 'BNAA01G32200D PROTEIN', NULL, NULL, NULL, 15),
(103408, NULL, 'PTHR31989:SF221', NULL, NULL, NULL, NULL, 'OS12G0137000 PROTEIN', NULL, NULL, NULL, 15),
(103409, NULL, 'PTHR24422:SF8', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN', NULL, NULL, NULL, 15),
(103410, NULL, 'PTHR45648:SF58', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE LTL1-LIKE', NULL, NULL, NULL, 15),
(103411, NULL, 'PTHR34193:SF2', NULL, NULL, NULL, NULL, 'OS05G0493200 PROTEIN', NULL, NULL, NULL, 15),
(103412, NULL, 'PTHR46814:SF1', NULL, NULL, NULL, NULL, 'EGALITARIAN, ISOFORM B', NULL, NULL, NULL, 15),
(103413, NULL, 'PTHR32285:SF53', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 9', NULL, NULL, NULL, 15),
(103414, NULL, 'PTHR22792:SF143', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 1C', NULL, NULL, NULL, 15),
(103415, NULL, 'PTHR10811:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103416, NULL, 'PTHR32208:SF89', NULL, NULL, NULL, NULL, 'BNAA08G31280D PROTEIN', NULL, NULL, NULL, 15),
(103417, NULL, 'PTHR38816', NULL, NULL, NULL, NULL, 'EXOSOME SUBUNIT, DUF54 FAMILY-RELATED', NULL, NULL, NULL, 15),
(103418, NULL, 'PTHR24134', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN DDB_G0279043', NULL, NULL, NULL, 15),
(103419, NULL, 'PTHR10194:SF139', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING-LIKE PROTEIN NGAP-RELATED', NULL, NULL, NULL, 15),
(103420, NULL, 'PTHR10261:SF3', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA-1', NULL, NULL, NULL, 15),
(103421, NULL, 'PTHR24281:SF63', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82G1-LIKE', NULL, NULL, NULL, 15),
(103422, NULL, 'PTHR34291:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103423, NULL, 'PTHR45772:SF6', NULL, NULL, NULL, NULL, 'NOD FACTOR EXPORT ATP-BINDING PROTEIN I', NULL, NULL, NULL, 15),
(103424, NULL, 'PTHR11712:SF342', NULL, NULL, NULL, NULL, 'OS07G0616200 PROTEIN', NULL, NULL, NULL, 15),
(103425, NULL, 'PTHR21286', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP160', NULL, NULL, 19630, 15),
(103426, NULL, 'PTHR11260:SF578', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U27', NULL, NULL, NULL, 15),
(103427, NULL, 'PTHR47648:SF1', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY G MEMBER 1', NULL, NULL, NULL, 15),
(103428, NULL, 'PTHR47942:SF61', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(103429, NULL, 'PTHR47546:SF5', NULL, NULL, NULL, NULL, 'BNAA09G56580D PROTEIN', NULL, NULL, NULL, 15),
(103430, NULL, 'PTHR43358:SF11', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(103431, NULL, 'PTHR24006:SF828', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(103432, NULL, 'PTHR24253:SF56', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11B', NULL, NULL, NULL, 15),
(103433, NULL, 'PTHR48053:SF57', NULL, NULL, NULL, NULL, 'OS07G0134200 PROTEIN', NULL, NULL, NULL, 15),
(103434, NULL, 'PTHR47990:SF171', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20-OXIDASE', NULL, NULL, NULL, 15),
(103435, NULL, 'PTHR11534:SF9', NULL, NULL, NULL, NULL, 'MYOGENIC-DETERMINATION PROTEIN', NULL, NULL, NULL, 15),
(103436, NULL, 'PTHR23382:SF25', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE 3-RELATED', NULL, NULL, NULL, 15),
(103437, NULL, 'PTHR24093:SF467', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(103438, NULL, 'PTHR22765:SF291', NULL, NULL, NULL, NULL, 'OS02G0572300 PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103439, NULL, 'PTHR46195:SF7', NULL, NULL, NULL, NULL, 'OS07G0298900 PROTEIN', NULL, NULL, NULL, 15),
(103440, NULL, 'PTHR23113:SF168', NULL, NULL, NULL, NULL, 'SON OF SEVENLESS HOMOLOG 1', NULL, NULL, NULL, 15),
(103441, NULL, 'PTHR11267:SF106', NULL, NULL, NULL, NULL, 'T-RELATED PROTEIN', NULL, NULL, NULL, 15),
(103442, NULL, 'PTHR47584:SF4', NULL, NULL, NULL, NULL, 'BNAA03G55740D PROTEIN', NULL, NULL, NULL, 15),
(103443, NULL, 'PTHR46090:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 13A', NULL, NULL, NULL, 15),
(103444, NULL, 'PTHR46020:SF12', NULL, NULL, NULL, NULL, 'BNAANNG22470D PROTEIN', NULL, NULL, NULL, 15),
(103445, NULL, 'PTHR31549:SF89', NULL, NULL, NULL, NULL, 'OS09G0304500 PROTEIN', NULL, NULL, NULL, 15),
(103446, NULL, 'PTHR27005:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103447, NULL, 'PTHR36919:SF2', NULL, NULL, NULL, NULL, 'BLR1215 PROTEIN', NULL, NULL, NULL, 15),
(103448, NULL, 'PTHR31080:SF121', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN CONTAINING PROTEIN EXPRESSED', NULL, NULL, NULL, 15),
(103449, NULL, 'PTHR42861:SF58', NULL, NULL, NULL, NULL, 'ATPASE 11, PLASMA MEMBRANE-TYPE-RELATED', NULL, NULL, NULL, 15),
(103450, NULL, 'PTHR12902', NULL, NULL, NULL, NULL, 'WASP-1', NULL, NULL, 23411, 15),
(103451, NULL, 'PTHR46245:SF11', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS07G0563300-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(103452, NULL, 'PTHR44329:SF157', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY8-LIKE', NULL, NULL, NULL, 15),
(103453, NULL, 'PTHR43072:SF31', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 16-RELATED', NULL, NULL, NULL, 15),
(103454, NULL, 'PTHR44444', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38298, 15),
(103455, NULL, 'PTHR43344:SF16', NULL, NULL, NULL, NULL, 'BNAA06G12800D PROTEIN', NULL, NULL, NULL, 15),
(103456, NULL, 'PTHR31490:SF50', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE C-RELATED', NULL, NULL, NULL, 15),
(103457, NULL, 'PTHR46995:SF7', NULL, NULL, NULL, NULL, 'BNACNNG59250D PROTEIN', NULL, NULL, NULL, 15),
(103458, NULL, 'PTHR11362:SF107', NULL, NULL, NULL, NULL, 'CEN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(103459, NULL, 'PTHR47993:SF135', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(103460, NULL, 'PTHR22937:SF160', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', NULL, NULL, NULL, 15),
(103461, NULL, 'PTHR11629:SF99', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(103462, NULL, 'PTHR34930:SF2', NULL, NULL, NULL, NULL, 'GEO05313P1', NULL, NULL, NULL, 15),
(103463, NULL, 'PTHR31579:SF42', NULL, NULL, NULL, NULL, 'DUF506 FAMILY PROTEIN (DUF506)', NULL, NULL, NULL, 15),
(103464, NULL, 'PTHR45732', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(103465, NULL, 'PTHR45884:SF4', NULL, NULL, NULL, NULL, 'BNAC07G50930D PROTEIN', NULL, NULL, NULL, 15),
(103466, NULL, 'PTHR36177', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103467, NULL, 'PTHR10844:SF21', NULL, NULL, NULL, NULL, 'CAVEOLIN-1', NULL, NULL, 26524, 15),
(103468, NULL, 'PTHR42200:SF1', NULL, NULL, NULL, NULL, 'FLAGELLA-RELATED PROTEIN G-RELATED', NULL, NULL, NULL, 15),
(103469, NULL, 'PTHR47938:SF28', NULL, NULL, NULL, NULL, 'OS07G0249100 PROTEIN', NULL, NULL, NULL, 15),
(103470, NULL, 'PTHR45671:SF8', NULL, NULL, NULL, NULL, 'LOC616319 PROTEIN', NULL, NULL, NULL, 15),
(103471, NULL, 'PTHR11208:SF132', NULL, NULL, NULL, NULL, 'PROTEIN QUAKING', NULL, NULL, NULL, 15),
(103472, NULL, 'PTHR42845:SF3', NULL, NULL, NULL, NULL, 'CYTOSOLIC NIFE-HYDROGENASE, DELTA SUBUNIT', NULL, NULL, NULL, 15),
(103473, NULL, 'PTHR33983:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103474, NULL, 'PTHR45733:SF10', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 15A-RELATED', NULL, NULL, NULL, 15),
(103475, NULL, 'PTHR31852:SF119', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103476, NULL, 'PTHR35269:SF1', NULL, NULL, NULL, NULL, 'SMALL VCP/P97-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(103477, NULL, 'PTHR24241:SF89', NULL, NULL, NULL, NULL, 'OXYTOCIN RECEPTOR', NULL, NULL, 5464, 15),
(103478, NULL, 'PTHR47976:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103479, NULL, 'PTHR31218:SF311', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(103480, NULL, 'PTHR31948', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 2', NULL, NULL, NULL, 15),
(103481, NULL, 'PTHR33933', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(103482, NULL, 'PTHR24381:SF322', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 678', NULL, NULL, NULL, 15),
(103483, NULL, 'PTHR48058:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1-LIKE', NULL, NULL, NULL, 15),
(103484, NULL, 'PTHR12565:SF405', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH49', NULL, NULL, NULL, 15),
(103485, NULL, 'PTHR24343:SF425', NULL, NULL, NULL, NULL, 'KINASE, CAMK CAMKL', NULL, NULL, NULL, 15),
(103486, NULL, 'PTHR24384:SF104', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 714', NULL, NULL, NULL, 15),
(103487, NULL, 'PTHR45974:SF72', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(103488, NULL, 'PTHR22765:SF154', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103489, NULL, 'PTHR16047', NULL, NULL, NULL, NULL, 'RFWD3 PROTEIN', NULL, NULL, 31949, 15),
(103490, NULL, 'PTHR39338:SF7', NULL, NULL, NULL, NULL, 'BLL6692 PROTEIN', NULL, NULL, NULL, 15),
(103491, NULL, 'PTHR10795:SF606', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.1', NULL, NULL, NULL, 15),
(103492, NULL, 'PTHR28017', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD3', NULL, NULL, 8279, 15),
(103493, NULL, 'PTHR41399:SF1', NULL, NULL, NULL, NULL, 'C12ORF74 ISOFORM 1', NULL, NULL, NULL, 15),
(103494, NULL, 'PTHR27001:SF803', NULL, NULL, NULL, NULL, 'OS01G0247500 PROTEIN', NULL, NULL, NULL, 15),
(103495, NULL, 'PTHR33876:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103496, NULL, 'PTHR24221:SF249', NULL, NULL, NULL, NULL, 'ANTIGEN PEPTIDE TRANSPORTER 1', NULL, NULL, 8672, 15),
(103497, NULL, 'PTHR43768:SF3', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(103498, NULL, 'PTHR31636:SF198', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 15', NULL, NULL, NULL, 15),
(103499, NULL, 'PTHR10168:SF297', NULL, NULL, NULL, NULL, 'BNAA08G05760D PROTEIN', NULL, NULL, NULL, 15),
(103500, NULL, 'PTHR33304', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103501, NULL, 'PTHR11250:SF3', NULL, NULL, NULL, NULL, 'PROTACHYKININ-1', NULL, NULL, NULL, 15),
(103502, NULL, 'PTHR33076:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(103503, NULL, 'PTHR13848:SF70', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(103504, NULL, 'PTHR20961:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103505, NULL, 'PTHR35731:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103506, NULL, 'PTHR47925:SF21', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(103507, NULL, 'PTHR45283:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT T, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(103508, NULL, 'PTHR18953:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103509, NULL, 'PTHR15583:SF7', NULL, NULL, NULL, NULL, 'INTERLEUKIN CYTOKINE RECEPTOR-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(103510, NULL, 'PTHR16181:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FAM83H', NULL, NULL, NULL, 15),
(103511, NULL, 'PTHR12430:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM20 HOMOLOG B', NULL, NULL, NULL, 15),
(103512, NULL, 'PTHR32093:SF151', NULL, NULL, NULL, NULL, 'BNAA08G11700D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103513, NULL, 'PTHR23226:SF222', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 76', NULL, NULL, NULL, 15),
(103514, NULL, 'PTHR16186:SF11', NULL, NULL, NULL, NULL, 'SIGNAL-TRANSDUCING ADAPTOR PROTEIN 2', NULL, NULL, NULL, 15),
(103515, NULL, 'PTHR23320:SF133', NULL, NULL, NULL, NULL, 'SI:CH211-269K10.5', NULL, NULL, NULL, 15),
(103516, NULL, 'PTHR33021:SF396', NULL, NULL, NULL, NULL, 'BNAA06G32330D PROTEIN', NULL, NULL, NULL, 15),
(103517, NULL, 'PTHR35276', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, 10369, 15),
(103518, NULL, 'PTHR24062:SF147', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(103519, NULL, 'PTHR32044:SF63', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 14-RELATED', NULL, NULL, NULL, 15),
(103520, NULL, 'PTHR12741:SF47', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 9', NULL, NULL, NULL, 15),
(103521, NULL, 'PTHR10937:SF8', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-FRUCTOSE-6-PHOSPHATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(103522, NULL, 'PTHR30603:SF49', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGA-LIKE', NULL, NULL, NULL, 15),
(103523, NULL, 'PTHR24136:SF17', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 9', NULL, NULL, NULL, 15),
(103524, NULL, 'PTHR47540:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(103525, NULL, 'PTHR23509:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE DDHD2', NULL, NULL, NULL, 15),
(103526, NULL, 'PTHR46776:SF16', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 6', NULL, NULL, NULL, 15),
(103527, NULL, 'PTHR31133:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103528, NULL, 'PTHR10369:SF37', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L44-LIKE', NULL, NULL, NULL, 15),
(103529, NULL, 'PTHR45666:SF10', NULL, NULL, NULL, NULL, 'INOSITOL-1, 4, 5-TRISPHOSPHATE 5-PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(103530, NULL, 'PTHR24177:SF322', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN-RELATED', NULL, NULL, 23697, 15),
(103531, NULL, 'PTHR10029:SF20', NULL, NULL, NULL, NULL, 'ACYLPHOSPHATASE-2', NULL, NULL, NULL, 15),
(103532, NULL, 'PTHR45764:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103533, NULL, 'PTHR24418:SF373', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(103534, NULL, 'PTHR43707:SF4', NULL, NULL, NULL, NULL, 'HISTIDINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(103535, NULL, 'PTHR21659:SF80', NULL, NULL, NULL, NULL, 'HYDROPHOBIC PROTEIN LTI6B', NULL, NULL, NULL, 15),
(103536, NULL, 'PTHR21646', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(103537, NULL, 'PTHR24326:SF534', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', NULL, NULL, NULL, 15),
(103538, NULL, 'PTHR33712', NULL, NULL, NULL, NULL, 'LIGHT-INDEPENDENT PROTOCHLOROPHYLLIDE REDUCTASE SUBUNIT B', NULL, NULL, NULL, 15),
(103539, NULL, 'PTHR12490:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG00388', NULL, NULL, NULL, 15),
(103540, NULL, 'PTHR38608:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG20616', NULL, NULL, NULL, 15),
(103541, NULL, 'PTHR31793:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103542, NULL, 'PTHR22883:SF384', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(103543, NULL, 'PTHR34206:SF1', NULL, NULL, NULL, NULL, 'OS06G0193300 PROTEIN', NULL, NULL, NULL, 15),
(103544, NULL, 'PTHR21054:SF2', NULL, NULL, NULL, NULL, 'MIP04191P', NULL, NULL, NULL, 15),
(103545, NULL, 'PTHR33625', NULL, NULL, NULL, NULL, 'OS08G0179900 PROTEIN', NULL, NULL, NULL, 15),
(103546, NULL, 'PTHR11627:SF1', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE A', NULL, NULL, NULL, 15),
(103547, NULL, 'PTHR21720:SF5', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK FACTOR', NULL, NULL, NULL, 15),
(103548, NULL, 'PTHR31352:SF1', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103549, NULL, 'PTHR23222', NULL, NULL, NULL, NULL, 'PROHIBITIN', NULL, NULL, 1701, 15),
(103550, NULL, 'PTHR31561:SF148', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(103551, NULL, 'PTHR31707:SF297', NULL, NULL, NULL, NULL, 'BNAC08G14550D PROTEIN', NULL, NULL, NULL, 15),
(103552, NULL, 'PTHR48001:SF71', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(103553, NULL, 'PTHR45974:SF198', NULL, NULL, NULL, NULL, 'OS01G0892300 PROTEIN', NULL, NULL, NULL, 15),
(103554, NULL, 'PTHR14625:SF3', NULL, NULL, NULL, NULL, 'MICROCEPHALIN', NULL, NULL, NULL, 15),
(103555, NULL, 'PTHR45768:SF45', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(103556, NULL, 'PTHR47596:SF9', NULL, NULL, NULL, NULL, 'BNAA10G12510D PROTEIN', NULL, NULL, NULL, 15),
(103557, NULL, 'PTHR47273:SF11', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(103558, NULL, 'PTHR10609', NULL, NULL, NULL, NULL, 'BIOTINIDASE-RELATED', NULL, NULL, 29403, 15),
(103559, NULL, 'PTHR27001:SF560', NULL, NULL, NULL, NULL, 'RECEPTOR SERINE-THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(103560, NULL, 'PTHR12542:SF146', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(103561, NULL, 'PTHR47925:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103562, NULL, 'PTHR35494:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT S, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(103563, NULL, 'PTHR10986:SF23', NULL, NULL, NULL, NULL, 'LP04985P', NULL, NULL, NULL, 15),
(103564, NULL, 'PTHR10980:SF46', NULL, NULL, NULL, NULL, 'BNAA06G38240D PROTEIN', NULL, NULL, NULL, 15),
(103565, NULL, 'PTHR46287:SF17', NULL, NULL, NULL, NULL, 'BNAA02G33650D PROTEIN', NULL, NULL, NULL, 15),
(103566, NULL, 'PTHR21099:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103567, NULL, 'PTHR24028:SF291', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 18A', NULL, NULL, NULL, 15),
(103568, NULL, 'PTHR45621:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CX32 CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(103569, NULL, 'PTHR31945:SF74', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH28', NULL, NULL, NULL, 15),
(103570, NULL, 'PTHR43499:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(103571, NULL, 'PTHR13932:SF6', NULL, NULL, NULL, NULL, 'OXYGEN-INDEPENDENT COPROPORPHYRINOGEN III OXIDASE', NULL, NULL, NULL, 15),
(103572, NULL, 'PTHR12300:SF39', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN 3', NULL, NULL, NULL, 15),
(103573, NULL, 'PTHR23101:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103574, NULL, 'PTHR45652:SF16', NULL, NULL, NULL, NULL, 'NEUROFILAMENT, LIGHT POLYPEPTIDE A', NULL, NULL, NULL, 15),
(103575, NULL, 'PTHR14879:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF34', NULL, NULL, NULL, 15),
(103576, NULL, 'PTHR12120:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 19', NULL, NULL, 16355, 15),
(103577, NULL, 'PTHR31314:SF113', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS PROTEIN', NULL, NULL, NULL, 15),
(103578, NULL, 'PTHR14015:SF1', NULL, NULL, NULL, NULL, 'OPIOID GROWTH FACTOR RECEPTOR', NULL, NULL, NULL, 15),
(103579, NULL, 'PTHR23266:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103580, NULL, 'PTHR46375', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 13-RELATED', NULL, NULL, NULL, 15),
(103581, NULL, 'PTHR33729:SF11', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(103582, NULL, 'PTHR37738:SF1', NULL, NULL, NULL, NULL, 'OS03G0209700 PROTEIN', NULL, NULL, NULL, 15),
(103583, NULL, 'PTHR24240:SF77', NULL, NULL, NULL, NULL, 'VISUAL PIGMENT-LIKE RECEPTOR PEROPSIN', NULL, NULL, 27225, 15),
(103584, NULL, 'PTHR37841:SF1', NULL, NULL, NULL, NULL, 'GLR2918 PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103585, NULL, 'PTHR32370:SF86', NULL, NULL, NULL, NULL, 'OS03G0767600 PROTEIN', NULL, NULL, NULL, 15),
(103586, NULL, 'PTHR11260:SF699', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103587, NULL, 'PTHR21250:SF0', NULL, NULL, NULL, NULL, 'PRE-RRNA-PROCESSING PROTEIN TSR2 HOMOLOG', NULL, NULL, NULL, 15),
(103588, NULL, 'PTHR31602:SF78', NULL, NULL, NULL, NULL, 'WRC DOMAIN, GLUTAMINE-LEUCINE-GLUTAMINE, QLQ, GROWTH-REGULATING FACTOR-RELATED', NULL, NULL, NULL, 15),
(103589, NULL, 'PTHR32002:SF62', NULL, NULL, NULL, NULL, 'PROTEIN NLP6-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(103590, NULL, 'PTHR18953:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103591, NULL, 'PTHR30136:SF23', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL ACTIVATOR MHPR', NULL, NULL, NULL, 15),
(103592, NULL, 'PTHR15454:SF46', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN', NULL, NULL, NULL, 15),
(103593, NULL, 'PTHR32263:SF5', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE SRO1-RELATED', NULL, NULL, NULL, 15),
(103594, NULL, 'PTHR31972:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103595, NULL, 'PTHR47976:SF24', NULL, NULL, NULL, NULL, 'OS02G0767400 PROTEIN', NULL, NULL, NULL, 15),
(103596, NULL, 'PTHR32116:SF91', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(103597, NULL, 'PTHR11599:SF63', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(103598, NULL, 'PTHR11117:SF21', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT ALPHA-1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(103599, NULL, 'PTHR11351:SF68', NULL, NULL, NULL, NULL, 'DELTA-9 ACYL-LIPID DESATURASE 2', NULL, NULL, NULL, 15),
(103600, NULL, 'PTHR24384:SF183', NULL, NULL, NULL, NULL, 'ZNF777 ISOFORM 1', NULL, NULL, NULL, 15),
(103601, NULL, 'PTHR24031:SF292', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX54', NULL, NULL, 34881, 15),
(103602, NULL, 'PTHR47521:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(103603, NULL, 'PTHR31384:SF22', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 17', NULL, NULL, NULL, 15),
(103604, NULL, 'PTHR10997:SF18', NULL, NULL, NULL, NULL, 'D-IMPORTIN 7/RANBP7', NULL, NULL, NULL, 15),
(103605, NULL, 'PTHR31140:SF79', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR NGA3', NULL, NULL, NULL, 15),
(103606, NULL, 'PTHR11654:SF110', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(103607, NULL, 'PTHR43173:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103608, NULL, 'PTHR12565:SF385', NULL, NULL, NULL, NULL, 'OS12G0598200 PROTEIN', NULL, NULL, NULL, 15),
(103609, NULL, 'PTHR11208:SF119', NULL, NULL, NULL, NULL, 'SPLICING FACTOR-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(103610, NULL, 'PTHR12210:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103611, NULL, 'PTHR48047:SF20', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(103612, NULL, 'PTHR47785', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED-RELATED', NULL, NULL, NULL, 15),
(103613, NULL, 'PTHR48002:SF68', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4D10', NULL, NULL, NULL, 15),
(103614, NULL, 'PTHR48017:SF53', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 2', NULL, NULL, NULL, 15),
(103615, NULL, 'PTHR11430:SF128', NULL, NULL, NULL, NULL, 'LIPOCALIN-TYPE PROSTAGLANDIN D SYNTHASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103616, NULL, 'PTHR24124:SF4', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RFXANK', NULL, NULL, NULL, 15),
(103617, NULL, 'PTHR23155:SF1020', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103618, NULL, 'PTHR34365:SF12', NULL, NULL, NULL, NULL, 'BNAC03G61190D PROTEIN', NULL, NULL, NULL, 15),
(103619, NULL, 'PTHR31007:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-112A7.4-RELATED', NULL, NULL, NULL, 15),
(103620, NULL, 'PTHR32409:SF8', NULL, NULL, NULL, NULL, 'TRANSLOCASE OUTER MEMBRANE 20-2-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103621, NULL, 'PTHR47211:SF5', NULL, NULL, NULL, NULL, 'BNAC04G43950D PROTEIN', NULL, NULL, NULL, 15),
(103622, NULL, 'PTHR10026:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103623, NULL, 'PTHR33599:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103624, NULL, 'PTHR13581:SF6', NULL, NULL, NULL, NULL, 'BNAA07G09500D PROTEIN', NULL, NULL, NULL, 15),
(103625, NULL, 'PTHR39075:SF1', NULL, NULL, NULL, NULL, 'FI19908P1', NULL, NULL, NULL, 15),
(103626, NULL, 'PTHR35106', NULL, NULL, NULL, NULL, 'BNAA07G25190D PROTEIN', NULL, NULL, NULL, 15),
(103627, NULL, 'PTHR31338:SF25', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(103628, NULL, 'PTHR16127:SF14', NULL, NULL, NULL, NULL, 'GAMMA-TAXILIN', NULL, NULL, NULL, 15),
(103629, NULL, 'PTHR47769', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 8', NULL, NULL, 37477, 15),
(103630, NULL, 'PTHR48092:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103631, NULL, 'PTHR31722:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103632, NULL, 'PTHR23281:SF42', NULL, NULL, NULL, NULL, 'MOESIN B', NULL, NULL, NULL, 15),
(103633, NULL, 'PTHR24093:SF451', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(103634, NULL, 'PTHR22298:SF149', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(103635, NULL, 'PTHR22802:SF14', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER K', NULL, NULL, NULL, 15),
(103636, NULL, 'PTHR24416:SF505', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR 3', NULL, NULL, NULL, 15),
(103637, NULL, 'PTHR23226:SF294', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 79', NULL, NULL, NULL, 15),
(103638, NULL, 'PTHR24096:SF251', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 9', NULL, NULL, NULL, 15),
(103639, NULL, 'PTHR13593:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103640, NULL, 'PTHR10199:SF113', NULL, NULL, NULL, NULL, 'CARTILAGE OLIGOMERIC MATRIX PROTEIN', NULL, NULL, NULL, 15),
(103641, NULL, 'PTHR47988:SF15', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(103642, NULL, 'PTHR33399:SF3', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 3-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(103643, NULL, 'PTHR11709:SF412', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(103644, NULL, 'PTHR46051:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 5-PHOSPHATASE 2B', NULL, NULL, NULL, 15),
(103645, NULL, 'PTHR34212:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103646, NULL, 'PTHR45915:SF5', NULL, NULL, NULL, NULL, 'BROMODOMAIN ADJACENT TO ZINC FINGER DOMAIN PROTEIN 2A', NULL, NULL, 26987, 15),
(103647, NULL, 'PTHR31189:SF25', NULL, NULL, NULL, NULL, 'OS05G0116000 PROTEIN', NULL, NULL, NULL, 15),
(103648, NULL, 'PTHR45974:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103649, NULL, 'PTHR15571', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 4', NULL, NULL, 31656, 15),
(103650, NULL, 'PTHR20872:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG22716', NULL, NULL, NULL, 15),
(103651, NULL, 'PTHR48019:SF32', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL21', NULL, NULL, NULL, 15),
(103652, NULL, 'PTHR10130:SF0', NULL, NULL, NULL, NULL, 'GH08708P', NULL, NULL, NULL, 15),
(103653, NULL, 'PTHR31828:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103654, NULL, 'PTHR24366:SF131', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT TRANSMEMBRANE NEURONAL 4', NULL, NULL, NULL, 15),
(103655, NULL, 'PTHR22930:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103656, NULL, 'PTHR36195:SF4', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01990)-RELATED', NULL, NULL, NULL, 15),
(103657, NULL, 'PTHR21499:SF58', NULL, NULL, NULL, NULL, 'ASPARTOKINASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103658, NULL, 'PTHR13479:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103659, NULL, 'PTHR33085:SF38', NULL, NULL, NULL, NULL, 'OS02G0146900 PROTEIN', NULL, NULL, NULL, 15),
(103660, NULL, 'PTHR32370:SF103', NULL, NULL, NULL, NULL, 'ROOT PHOTOTROPISM PROTEIN 2', NULL, NULL, NULL, 15),
(103661, NULL, 'PTHR13832:SF555', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C-LIKE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(103662, NULL, 'PTHR23155:SF1026', NULL, NULL, NULL, NULL, 'OS01G0112800 PROTEIN', NULL, NULL, NULL, 15),
(103663, NULL, 'PTHR42686:SF1', NULL, NULL, NULL, NULL, 'GH17980P-RELATED', NULL, NULL, NULL, 15),
(103664, NULL, 'PTHR24221:SF261', NULL, NULL, NULL, NULL, 'ATP-BINDING/PERMEASE PROTEIN CYDD', NULL, NULL, NULL, 15),
(103665, NULL, 'PTHR33217:SF8', NULL, NULL, NULL, NULL, 'MUTATOR FAMILY TRANSPOSASE', NULL, NULL, NULL, 15),
(103666, NULL, 'PTHR34373:SF9', NULL, NULL, NULL, NULL, 'SHUGOSHIN 2', NULL, NULL, NULL, 15),
(103667, NULL, 'PTHR10960', NULL, NULL, NULL, NULL, 'V D J RECOMBINATION-ACTIVATING PROTEIN 2', NULL, NULL, 4709, 15),
(103668, NULL, 'PTHR31734:SF200', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(103669, NULL, 'PTHR12264', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 12', NULL, NULL, 33912, 15),
(103670, NULL, 'PTHR48111:SF40', NULL, NULL, NULL, NULL, 'PHOSPHATE REGULON TRANSCRIPTIONAL REGULATORY PROTEIN PHOB', NULL, NULL, NULL, 15),
(103671, NULL, 'PTHR23068:SF4', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING PROTEIN 2A', NULL, NULL, NULL, 15),
(103672, NULL, 'PTHR19957:SF257', NULL, NULL, NULL, NULL, 'VACUOLAR MORPHOGENESIS PROTEIN 7 HOMOLOG', NULL, NULL, NULL, 15),
(103673, NULL, 'PTHR23155:SF912', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(103674, NULL, 'PTHR39741:SF2', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(103675, NULL, 'PTHR47943:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(103676, NULL, 'PTHR22945:SF23', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-1', NULL, NULL, NULL, 15),
(103677, NULL, 'PTHR30282:SF0', NULL, NULL, NULL, NULL, 'P-AMINOBENZOYL-GLUTAMATE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(103678, NULL, 'PTHR11017:SF308', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(103679, NULL, 'PTHR10791:SF162', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 13', NULL, NULL, NULL, 15),
(103680, NULL, 'PTHR37968:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06678', NULL, NULL, NULL, 15),
(103681, NULL, 'PTHR27007:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103682, NULL, 'PTHR14963:SF4', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 40', NULL, NULL, NULL, 15),
(103683, NULL, 'PTHR47948:SF2', NULL, NULL, NULL, NULL, 'TRANS-CINNAMATE 4-MONOOXYGENASE', NULL, NULL, NULL, 15),
(103684, NULL, 'PTHR12794:SF7', NULL, NULL, NULL, NULL, 'BNAA01G33830D PROTEIN', NULL, NULL, NULL, 15),
(103685, NULL, 'PTHR11132:SF251', NULL, NULL, NULL, NULL, 'GDP-MANNOSE TRANSPORTER 1-RELATED', NULL, NULL, 35571, 15),
(103686, NULL, 'PTHR24112:SF56', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACW', NULL, NULL, NULL, 15),
(103687, NULL, 'PTHR31916:SF43', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE', NULL, NULL, NULL, 15),
(103688, NULL, 'PTHR33779:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0010H02.4 PROTEIN', NULL, NULL, NULL, 15),
(103689, NULL, 'PTHR10934:SF5', NULL, NULL, NULL, NULL, 'CYTOPLASMIC RIBOSOMAL PROTEIN L18', NULL, NULL, NULL, 15),
(103690, NULL, 'PTHR11654:SF150', NULL, NULL, NULL, NULL, 'OS01G0761500 PROTEIN', NULL, NULL, NULL, 15),
(103691, NULL, 'PTHR10083:SF351', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MEC-1', NULL, NULL, NULL, 15),
(103692, NULL, 'PTHR47489:SF2', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(103693, NULL, 'PTHR20930:SF6', NULL, NULL, NULL, NULL, 'PROTEIN JOKA2', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103694, NULL, 'PTHR31787:SF14', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN N-RELATED', NULL, NULL, NULL, 15),
(103695, NULL, 'PTHR47822:SF2', NULL, NULL, NULL, NULL, 'CARBOHYDRATE BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(103696, NULL, 'PTHR11630:SF42', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM5', NULL, NULL, NULL, 15),
(103697, NULL, 'PTHR24221:SF217', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY B MEMBER 5', NULL, NULL, NULL, 15),
(103698, NULL, 'PTHR23024:SF140', NULL, NULL, NULL, NULL, 'OS07G0162600 PROTEIN', NULL, NULL, NULL, 15),
(103699, NULL, 'PTHR47965:SF44', NULL, NULL, NULL, NULL, '7S GLOBULIN 2 SMALL SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(103700, NULL, 'PTHR47956:SF21', NULL, NULL, NULL, NULL, '5-EPIARISTOLOCHENE 13-DIHYDROXYLASE', NULL, NULL, NULL, 15),
(103701, NULL, 'PTHR32278:SF66', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10-LIKE', NULL, NULL, NULL, 15),
(103702, NULL, 'PTHR11467:SF18', NULL, NULL, NULL, NULL, 'HISTONE H1T', NULL, NULL, NULL, 15),
(103703, NULL, 'PTHR14949:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103704, NULL, 'PTHR23074:SF152', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A1', NULL, NULL, NULL, 15),
(103705, NULL, 'PTHR31561:SF143', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(103706, NULL, 'PTHR48160', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103707, NULL, 'PTHR47979:SF24', NULL, NULL, NULL, NULL, 'RAB4 PROTEIN', NULL, NULL, NULL, 15),
(103708, NULL, 'PTHR22792:SF138', NULL, NULL, NULL, NULL, 'BNAANNG34180D PROTEIN', NULL, NULL, NULL, 15),
(103709, NULL, 'PTHR31867:SF199', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(103710, NULL, 'PTHR24351:SF215', NULL, NULL, NULL, NULL, 'BNAC01G39350D PROTEIN', NULL, NULL, NULL, 15),
(103711, NULL, 'PTHR41259', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR RAD50 ATPASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(103712, NULL, 'PTHR31113:SF16', NULL, NULL, NULL, NULL, 'UPF0496 PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(103713, NULL, 'PTHR24023:SF569', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(I) CHAIN', NULL, NULL, NULL, 15),
(103714, NULL, 'PTHR46331:SF2', NULL, NULL, NULL, NULL, 'VALACYCLOVIR HYDROLASE', NULL, NULL, NULL, 15),
(103715, NULL, 'PTHR32176:SF54', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(103716, NULL, 'PTHR12387:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103717, NULL, 'PTHR31790:SF343', NULL, NULL, NULL, NULL, 'BNAC09G46880D PROTEIN', NULL, NULL, NULL, 15),
(103718, NULL, 'PTHR24100:SF79', NULL, NULL, NULL, NULL, 'BUTYROPHILIN SUBFAMILY 2 MEMBER A1', NULL, NULL, NULL, 15),
(103719, NULL, 'PTHR31669:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103720, NULL, 'PTHR26453:SF631', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(103721, NULL, 'PTHR46140:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR TRANSPORTER CHAPERONE 1-RELATED', NULL, NULL, NULL, 15),
(103722, NULL, 'PTHR31677:SF104', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(103723, NULL, 'PTHR47848:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103724, NULL, 'PTHR19321:SF7', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(103725, NULL, 'PTHR11003:SF295', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, SUBFAMILY K, MEMBER 5B', NULL, NULL, NULL, 15),
(103726, NULL, 'PTHR10997:SF61', NULL, NULL, NULL, NULL, 'OS04G0337201 PROTEIN', NULL, NULL, NULL, 15),
(103727, NULL, 'PTHR24253:SF10', NULL, NULL, NULL, NULL, 'TRYPTASE GAMMA 1', NULL, NULL, NULL, 15),
(103728, NULL, 'PTHR11831:SF33', NULL, NULL, NULL, NULL, 'ALPHA-L RNA-BINDING MOTIF/RIBOSOMAL PROTEIN S4 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(103729, NULL, 'PTHR11732:SF409', NULL, NULL, NULL, NULL, 'NAD(P)H-DEPENDENT 6''-DEOXYCHALCONE SYNTHASE', NULL, NULL, NULL, 15),
(103730, NULL, 'PTHR23050:SF414', NULL, NULL, NULL, NULL, 'CALMODULIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103731, NULL, 'PTHR21143:SF121', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR', NULL, NULL, NULL, 15),
(103732, NULL, 'PTHR47991:SF126', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(103733, NULL, 'PTHR11599:SF161', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-6-LIKE', NULL, NULL, NULL, 15),
(103734, NULL, 'PTHR11562:SF89', NULL, NULL, NULL, NULL, 'CATION DIFFUSION FACILITATOR FAMILY', NULL, NULL, NULL, 15),
(103735, NULL, 'PTHR12526:SF563', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(103736, NULL, 'PTHR22918:SF1', NULL, NULL, NULL, NULL, 'BINDER OF SPERM PROTEIN HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(103737, NULL, 'PTHR35828:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103738, NULL, 'PTHR47576:SF3', NULL, NULL, NULL, NULL, 'BRCT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103739, NULL, 'PTHR45184:SF1', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN ERDJ3A', NULL, NULL, NULL, 15),
(103740, NULL, 'PTHR43634:SF6', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(103741, NULL, 'PTHR43478', NULL, NULL, NULL, NULL, 'NA+/H+ ANTIPORTER-RELATED', NULL, NULL, NULL, 15),
(103742, NULL, 'PTHR47710:SF1', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(103743, NULL, 'PTHR22298:SF55', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 17', NULL, NULL, NULL, 15),
(103744, NULL, 'PTHR14237:SF67', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE', NULL, NULL, NULL, 15),
(103745, NULL, 'PTHR43280:SF2', NULL, NULL, NULL, NULL, 'ARAC-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(103746, NULL, 'PTHR23257:SF776', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PHG2', NULL, NULL, NULL, 15),
(103747, NULL, 'PTHR33147:SF86', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(103748, NULL, 'PTHR23208', NULL, NULL, NULL, NULL, 'LYSOZYME PROTEIN', NULL, NULL, NULL, 15),
(103749, NULL, 'PTHR11040:SF135', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 3', NULL, NULL, NULL, 15),
(103750, NULL, 'PTHR10997', NULL, NULL, NULL, NULL, 'IMPORTIN-7, 8, 11', NULL, NULL, NULL, 15),
(103751, NULL, 'PTHR31447:SF2', NULL, NULL, NULL, NULL, 'RNA DEMETHYLASE ALKBH10B', NULL, NULL, NULL, 15),
(103752, NULL, 'PTHR11727:SF26', NULL, NULL, NULL, NULL, 'RRNA ADENINE N(6)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(103753, NULL, 'PTHR19860:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103754, NULL, 'PTHR21879:SF6', NULL, NULL, NULL, NULL, 'OSIRIS 19, ISOFORM A', NULL, NULL, NULL, 15),
(103755, NULL, 'PTHR47578:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CDSP32, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(103756, NULL, 'PTHR31232:SF34', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(103757, NULL, 'PTHR13215:SF0', NULL, NULL, NULL, NULL, 'ACTIVATED RNA POLYMERASE II TRANSCRIPTIONAL COACTIVATOR P15', NULL, NULL, NULL, 15),
(103758, NULL, 'PTHR10288:SF275', NULL, NULL, NULL, NULL, 'K DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103759, NULL, 'PTHR11254:SF418', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL5-LIKE', NULL, NULL, NULL, 15),
(103760, NULL, 'PTHR23430:SF196', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-B/E', NULL, NULL, NULL, 15),
(103761, NULL, 'PTHR31282:SF96', NULL, NULL, NULL, NULL, 'OS01G0820900 PROTEIN', NULL, NULL, NULL, 15),
(103762, NULL, 'PTHR15359', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103763, NULL, 'PTHR34458:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103764, NULL, 'PTHR11635:SF156', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE TYPE II-BETA REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(103765, NULL, 'PTHR31676:SF78', NULL, NULL, NULL, NULL, 'BNAA09G17900D PROTEIN', NULL, NULL, NULL, 15),
(103766, NULL, 'PTHR43662:SF11', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103767, NULL, 'PTHR31920:SF80', NULL, NULL, NULL, NULL, 'BNAC04G49490D PROTEIN', NULL, NULL, NULL, 15),
(103768, NULL, 'PTHR45648:SF85', NULL, NULL, NULL, NULL, 'A, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10760)-RELATED', NULL, NULL, NULL, 15),
(103769, NULL, 'PTHR46062:SF2', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(103770, NULL, 'PTHR37389:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103771, NULL, 'PTHR43341:SF3', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE PB1C11.02-RELATED', NULL, NULL, NULL, 15),
(103772, NULL, 'PTHR11620:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L23A', NULL, NULL, NULL, 15),
(103773, NULL, 'PTHR14618:SF5', NULL, NULL, NULL, NULL, 'ZGC:91944', NULL, NULL, NULL, 15),
(103774, NULL, 'PTHR43217:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE-SEMIALDEHYDE DEHYDROGENASE [NADP(+)]', NULL, NULL, NULL, 15),
(103775, NULL, 'PTHR39515', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(103776, NULL, 'PTHR24028:SF82', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-4', NULL, NULL, NULL, 15),
(103777, NULL, 'PTHR26379:SF314', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103778, NULL, 'PTHR47928:SF38', NULL, NULL, NULL, NULL, 'OS10G0442700 PROTEIN', NULL, NULL, NULL, 15),
(103779, NULL, 'PTHR34272:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103780, NULL, 'PTHR48001:SF54', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(103781, NULL, 'PTHR31602:SF74', NULL, NULL, NULL, NULL, 'BNAC04G48080D PROTEIN', NULL, NULL, NULL, 15),
(103782, NULL, 'PTHR32077:SF53', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(103783, NULL, 'PTHR31314:SF96', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103784, NULL, 'PTHR13234:SF59', NULL, NULL, NULL, NULL, 'GAMMA-INTERFERON-INDUCIBLE LYSOSOMAL THIOL REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(103785, NULL, 'PTHR43389:SF17', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT B 1', NULL, NULL, NULL, 15),
(103786, NULL, 'PTHR13890:SF52', NULL, NULL, NULL, NULL, 'BNAA01G25990D PROTEIN', NULL, NULL, NULL, 15),
(103787, NULL, 'PTHR48108:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR CCPN', NULL, NULL, NULL, 15),
(103788, NULL, 'PTHR33373:SF28', NULL, NULL, NULL, NULL, 'OS07G0479600 PROTEIN', NULL, NULL, NULL, 15),
(103789, NULL, 'PTHR11567:SF143', NULL, NULL, NULL, NULL, 'INTESTINAL ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(103790, NULL, 'PTHR44329:SF7', NULL, NULL, NULL, NULL, 'OS01G0892800 PROTEIN', NULL, NULL, NULL, 15),
(103791, NULL, 'PTHR27000:SF669', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(103792, NULL, 'PTHR23266:SF275', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-24', NULL, NULL, NULL, 15),
(103793, NULL, 'PTHR12650:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S30', NULL, NULL, NULL, 15),
(103794, NULL, 'PTHR35824', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED JUNCTION PROTEIN MAJIN', NULL, NULL, 22297, 15),
(103795, NULL, 'PTHR48073:SF3', NULL, NULL, NULL, NULL, 'DIPEPTIDE EPIMERASE', NULL, NULL, NULL, 15),
(103796, NULL, 'PTHR31140:SF96', NULL, NULL, NULL, NULL, 'BNAC03G77730D PROTEIN', NULL, NULL, NULL, 15),
(103797, NULL, 'PTHR35299:SF3', NULL, NULL, NULL, NULL, 'RUBISCO ACCUMULATION FACTOR 1.2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(103798, NULL, 'PTHR12804:SF12', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(103799, NULL, 'PTHR19308:SF39', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(103800, NULL, 'PTHR31002', NULL, NULL, NULL, NULL, 'SERIPAUPERIN', NULL, NULL, NULL, 15),
(103801, NULL, 'PTHR31769:SF9', NULL, NULL, NULL, NULL, 'OS05G0465400 PROTEIN', NULL, NULL, NULL, 15),
(103802, NULL, 'PTHR12770:SF20', NULL, NULL, NULL, NULL, 'PROTEIN ROOT UVB SENSITIVE 6', NULL, NULL, NULL, 15),
(103803, NULL, 'PTHR34980:SF3', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE C-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103804, NULL, 'PTHR38654:SF1', NULL, NULL, NULL, NULL, 'BUCKY BALL-RELATED', NULL, NULL, NULL, 15),
(103805, NULL, 'PTHR23257:SF819', NULL, NULL, NULL, NULL, 'F3O9.7 PROTEIN', NULL, NULL, NULL, 15),
(103806, NULL, 'PTHR11952:SF2', NULL, NULL, NULL, NULL, 'LD24639P', NULL, NULL, NULL, 15),
(103807, NULL, 'PTHR45811:SF22', NULL, NULL, NULL, NULL, 'LATE BLIGHT RESISTANCE PROTEIN HOMOLOG R1B-12 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(103808, NULL, 'PTHR31388:SF128', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(103809, NULL, 'PTHR46162:SF31', NULL, NULL, NULL, NULL, 'BNAC03G41590D PROTEIN', NULL, NULL, NULL, 15),
(103810, NULL, 'PTHR10794:SF81', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS-ASSOCIATED PROTEIN EMB8-LIKE', NULL, NULL, NULL, 15),
(103811, NULL, 'PTHR43874:SF107', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR17', NULL, NULL, NULL, 15),
(103812, NULL, 'PTHR34784:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L34', NULL, NULL, NULL, 15),
(103813, NULL, 'PTHR40288', NULL, NULL, NULL, NULL, 'PROTEIN CBG16535-RELATED', NULL, NULL, NULL, 15),
(103814, NULL, 'PTHR13177:SF2', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN-LIKE 1', NULL, NULL, NULL, 15),
(103815, NULL, 'PTHR47981:SF20', NULL, NULL, NULL, NULL, 'RAB FAMILY', NULL, NULL, NULL, 15),
(103816, NULL, 'PTHR45825:SF8', NULL, NULL, NULL, NULL, 'GLYCOGEN SYNTHASE', NULL, NULL, NULL, 15),
(103817, NULL, 'PTHR24343:SF437', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2H', NULL, NULL, NULL, 15),
(103818, NULL, 'PTHR46122:SF11', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING F-BOX FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(103819, NULL, 'PTHR42733:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103820, NULL, 'PTHR11474:SF99', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103821, NULL, 'PTHR33800:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103822, NULL, 'PTHR24113:SF11', NULL, NULL, NULL, NULL, 'CLASS II MAJOR HISTOCOMPATIBILITY COMPLEX TRANSACTIVATOR', NULL, NULL, NULL, 15),
(103823, NULL, 'PTHR33132:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103824, NULL, 'PTHR37532:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ISCX', NULL, NULL, NULL, 15),
(103825, NULL, 'PTHR33044:SF161', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN GPI-ANCHORED 2-LIKE', NULL, NULL, NULL, 15),
(103826, NULL, 'PTHR10219:SF95', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 3-RELATED', NULL, NULL, NULL, 15),
(103827, NULL, 'PTHR43880:SF34', NULL, NULL, NULL, NULL, 'S-(HYDROXYMETHYL)GLUTATHIONE DEHYDROGENASE', NULL, NULL, NULL, 15),
(103828, NULL, 'PTHR46112:SF2', NULL, NULL, NULL, NULL, 'DIPEPTIDASE YKVY-RELATED', NULL, NULL, NULL, 15),
(103829, NULL, 'PTHR11006:SF70', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 6.1-RELATED', NULL, NULL, NULL, 15),
(103830, NULL, 'PTHR30442', NULL, NULL, NULL, NULL, 'IRON III  DICITRATE TRANSPORT PROTEIN FECA', NULL, NULL, NULL, 15),
(103831, NULL, 'PTHR31205:SF60', NULL, NULL, NULL, NULL, 'BNAC07G12740D PROTEIN', NULL, NULL, NULL, 15),
(103832, NULL, 'PTHR43092:SF2', NULL, NULL, NULL, NULL, 'HERCYNYLCYSTEINE SULFOXIDE LYASE', NULL, NULL, NULL, 15),
(103833, NULL, 'PTHR45971', NULL, NULL, NULL, NULL, 'PHOX (PX) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(103834, NULL, 'PTHR24332:SF9', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN CAUDAL', NULL, NULL, NULL, 15),
(103835, NULL, 'PTHR34835:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM HOMOLOG ISOFORM X1', NULL, NULL, NULL, 15),
(103836, NULL, 'PTHR24028:SF57', NULL, NULL, NULL, NULL, 'PROTOCADHERIN B', NULL, NULL, NULL, 15),
(103837, NULL, 'PTHR11062:SF227', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS02G0520750-RELATED', NULL, NULL, NULL, 15),
(103838, NULL, 'PTHR21385', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103839, NULL, 'PTHR39327', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 8513, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103840, NULL, 'PTHR33880:SF17', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', NULL, NULL, NULL, 15),
(103841, NULL, 'PTHR14255:SF41', NULL, NULL, NULL, NULL, 'SULFITE EXPORTER TAUE/SAFE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(103842, NULL, 'PTHR28304:SF2', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX29', NULL, NULL, NULL, 15),
(103843, NULL, 'PTHR22802:SF385', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103844, NULL, 'PTHR15151:SF12', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 13', NULL, NULL, NULL, 15),
(103845, NULL, 'PTHR12300:SF156', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(103846, NULL, 'PTHR10709:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103847, NULL, 'PTHR24096:SF166', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', NULL, NULL, NULL, 15),
(103848, NULL, 'PTHR11014:SF149', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 8', NULL, NULL, NULL, 15),
(103849, NULL, 'PTHR15241:SF109', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1', NULL, NULL, NULL, 15),
(103850, NULL, 'PTHR11753:SF47', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT SIGMA', NULL, NULL, NULL, 15),
(103851, NULL, 'PTHR31174:SF29', NULL, NULL, NULL, NULL, 'BNAA09G03580D PROTEIN', NULL, NULL, NULL, 15),
(103852, NULL, 'PTHR21545', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MLR1/2', NULL, NULL, NULL, 15),
(103853, NULL, 'PTHR24298:SF816', NULL, NULL, NULL, NULL, 'OS04G0171600 PROTEIN', NULL, NULL, NULL, 15),
(103854, NULL, 'PTHR11945:SF604', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL82', NULL, NULL, NULL, 15),
(103855, NULL, 'PTHR22437', NULL, NULL, NULL, NULL, 'WINGED HELIX DOMAIN-CONTAINING PROTEIN', NULL, NULL, 29984, 15),
(103856, NULL, 'PTHR24061:SF3', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 1 MEMBER 1', NULL, NULL, NULL, 15),
(103857, NULL, 'PTHR28219:SF1', NULL, NULL, NULL, NULL, 'UPF0642 PROTEIN YBL028C', NULL, NULL, NULL, 15),
(103858, NULL, 'PTHR31096:SF51', NULL, NULL, NULL, NULL, 'ACT DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(103859, NULL, 'PTHR12498', NULL, NULL, NULL, NULL, 'N-TERMINAL ASPARAGINE AMIDOHYDROLASE', NULL, NULL, 25163, 15),
(103860, NULL, 'PTHR35842', NULL, NULL, NULL, NULL, 'SI:CH211-67E16.11', NULL, NULL, NULL, 15),
(103861, NULL, 'PTHR32089:SF108', NULL, NULL, NULL, NULL, 'SENSORY TRANSDUCER PROTEIN YFMS-RELATED', NULL, NULL, NULL, 15),
(103862, NULL, 'PTHR45985:SF8', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE-LIKE 9, ISOFORM A', NULL, NULL, NULL, 15),
(103863, NULL, 'PTHR12114:SF6', NULL, NULL, NULL, NULL, 'ALPHA-PARVIN', NULL, NULL, NULL, 15),
(103864, NULL, 'PTHR33492:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103865, NULL, 'PTHR19370:SF79', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', NULL, NULL, NULL, 15),
(103866, NULL, 'PTHR31729:SF13', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF011-LIKE', NULL, NULL, NULL, 15),
(103867, NULL, 'PTHR24281:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103868, NULL, 'PTHR35664', NULL, NULL, NULL, NULL, 'SPERMATID-SPECIFIC MANCHETTE-RELATED PROTEIN 1', NULL, NULL, 22103, 15),
(103869, NULL, 'PTHR35607:SF7', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN 10', NULL, NULL, NULL, 15),
(103870, NULL, 'PTHR43479:SF6', NULL, NULL, NULL, NULL, 'TETR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(103871, NULL, 'PTHR12133', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(58)-N(1))-METHYLTRANSFERASE', NULL, NULL, 11554, 15),
(103872, NULL, 'PTHR11782:SF99', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 6', NULL, NULL, NULL, 15),
(103873, NULL, 'PTHR32227:SF345', NULL, NULL, NULL, NULL, 'BNAA08G07600D PROTEIN', NULL, NULL, NULL, 15),
(103874, NULL, 'PTHR11040:SF148', NULL, NULL, NULL, NULL, 'ZIP METAL ION TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(103875, NULL, 'PTHR15977:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103876, NULL, 'PTHR42264:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103877, NULL, 'PTHR45621:SF75', NULL, NULL, NULL, NULL, 'KINASE CX32, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(103878, NULL, 'PTHR36881', NULL, NULL, NULL, NULL, 'DERMOKINE', NULL, NULL, 36043, 15),
(103879, NULL, 'PTHR10992:SF1040', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103880, NULL, 'PTHR23073:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103881, NULL, 'PTHR22943:SF103', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(103882, NULL, 'PTHR16502:SF2', NULL, NULL, NULL, NULL, 'KERATINOCYTE-ASSOCIATED TRANSMEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(103883, NULL, 'PTHR37458:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103884, NULL, 'PTHR46761:SF2', NULL, NULL, NULL, NULL, 'RAN GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, NULL, 15),
(103885, NULL, 'PTHR21192:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX ASSEMBLY FACTOR 3', NULL, NULL, NULL, 15),
(103886, NULL, 'PTHR31172:SF9', NULL, NULL, NULL, NULL, 'BNAA04G14790D PROTEIN', NULL, NULL, NULL, 15),
(103887, NULL, 'PTHR45614:SF136', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 110', NULL, NULL, NULL, 15),
(103888, NULL, 'PTHR15458:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(103889, NULL, 'PTHR33411:SF7', NULL, NULL, NULL, NULL, 'OS04G0610200 PROTEIN', NULL, NULL, NULL, 15),
(103890, NULL, 'PTHR11685:SF337', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(103891, NULL, 'PTHR10484:SF177', NULL, NULL, NULL, NULL, 'HISTONE H4', NULL, NULL, NULL, 15),
(103892, NULL, 'PTHR12317:SF66', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL ACYLTRANSFERASE TYPE 2', NULL, NULL, NULL, 15),
(103893, NULL, 'PTHR31517:SF62', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(103894, NULL, 'PTHR13743:SF145', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(103895, NULL, 'PTHR31947:SF20', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(103896, NULL, 'PTHR33044:SF197', NULL, NULL, NULL, NULL, 'PLANT LIPID TRANSFER PROTEIN/PAR ALLERGEN-RELATED', NULL, NULL, NULL, 15),
(103897, NULL, 'PTHR10366:SF715', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103898, NULL, 'PTHR23055:SF167', NULL, NULL, NULL, NULL, 'NEURONAL CALCIUM SENSOR FAMILY', NULL, NULL, NULL, 15),
(103899, NULL, 'PTHR46036:SF10', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(103900, NULL, 'PTHR12542:SF129', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(103901, NULL, 'PTHR37199', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(103902, NULL, 'PTHR47076:SF2', NULL, NULL, NULL, NULL, 'BNAA02G33580D PROTEIN', NULL, NULL, NULL, 15),
(103903, NULL, 'PTHR11937:SF457', NULL, NULL, NULL, NULL, 'ACTIN, MUSCLE-RELATED', NULL, NULL, NULL, 15),
(103904, NULL, 'PTHR43120:SF13', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', NULL, NULL, NULL, 15),
(103905, NULL, 'PTHR33451:SF4', NULL, NULL, NULL, NULL, 'NA+/H+ ANTIPORTER-RELATED', NULL, NULL, NULL, 15),
(103906, NULL, 'PTHR11439:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103907, NULL, 'PTHR24046:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE REPEAT MODULAR PROTEIN 3', NULL, NULL, NULL, 15),
(103908, NULL, 'PTHR31398:SF0', NULL, NULL, NULL, NULL, 'MEIOTIC NUCLEAR DIVISION PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(103909, NULL, 'PTHR45772:SF5', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN LIVG-RELATED', NULL, NULL, NULL, 15),
(103910, NULL, 'PTHR33122:SF48', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(103911, NULL, 'PTHR11850:SF273', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103912, NULL, 'PTHR45027:SF4', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE LIGHT CHAIN 1', NULL, NULL, NULL, 15),
(103913, NULL, 'PTHR23192:SF7', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-4', NULL, NULL, 26666, 15),
(103914, NULL, 'PTHR24349:SF270', NULL, NULL, NULL, NULL, 'SI:CH73-60H1.1', NULL, NULL, NULL, 15),
(103915, NULL, 'PTHR36288', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA A930018P22', NULL, NULL, 29373, 15),
(103916, NULL, 'PTHR14879:SF5', NULL, NULL, NULL, NULL, 'OS06G0252500 PROTEIN', NULL, NULL, NULL, 15),
(103917, NULL, 'PTHR13044:SF37', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY', NULL, NULL, NULL, 15),
(103918, NULL, 'PTHR30349:SF41', NULL, NULL, NULL, NULL, 'INTEGRASE/RECOMBINASE HI_1414-RELATED', NULL, NULL, NULL, 15),
(103919, NULL, 'PTHR47998:SF5', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(103920, NULL, 'PTHR31360', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 9327, 15),
(103921, NULL, 'PTHR45917:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 2', NULL, NULL, 11545, 15),
(103922, NULL, 'PTHR13769', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN B', NULL, NULL, NULL, 15),
(103923, NULL, 'PTHR10031:SF13', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT 9, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(103924, NULL, 'PTHR31748:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(103925, NULL, 'PTHR24223:SF403', NULL, NULL, NULL, NULL, 'BNAA05G17490D PROTEIN', NULL, NULL, NULL, 15),
(103926, NULL, 'PTHR46245:SF12', NULL, NULL, NULL, NULL, 'BNAC03G16940D PROTEIN', NULL, NULL, NULL, 15),
(103927, NULL, 'PTHR47043', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE TRANSFERASE SUBUNIT ALG13', NULL, NULL, NULL, 15),
(103928, NULL, 'PTHR12674:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103929, NULL, 'PTHR31500:SF95', NULL, NULL, NULL, NULL, 'BNAA07G38060D PROTEIN', NULL, NULL, NULL, 15),
(103930, NULL, 'PTHR21716:SF54', NULL, NULL, NULL, NULL, 'PERMEASE', NULL, NULL, NULL, 15),
(103931, NULL, 'PTHR31235:SF185', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(103932, NULL, 'PTHR22957:SF34', NULL, NULL, NULL, NULL, 'LD27216P', NULL, NULL, NULL, 15),
(103933, NULL, 'PTHR43525', NULL, NULL, NULL, NULL, 'PROTEIN MALY', NULL, NULL, NULL, 15),
(103934, NULL, 'PTHR24394:SF16', NULL, NULL, NULL, NULL, 'HYPERMETHYLATED IN CANCER 1 PROTEIN', NULL, NULL, 22283, 15),
(103935, NULL, 'PTHR22835:SF583', NULL, NULL, NULL, NULL, 'BNAC03G58800D PROTEIN', NULL, NULL, NULL, 15),
(103936, NULL, 'PTHR31604:SF20', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 1', NULL, NULL, NULL, 15),
(103937, NULL, 'PTHR30108:SF20', NULL, NULL, NULL, NULL, 'UBID FAMILY DECARBOXYLASE', NULL, NULL, NULL, 15),
(103938, NULL, 'PTHR10288:SF273', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C3H FAMILY-RELATED', NULL, NULL, NULL, 15),
(103939, NULL, 'PTHR34211:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103940, NULL, 'PTHR13832:SF314', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 41-RELATED', NULL, NULL, NULL, 15),
(103941, NULL, 'PTHR24232:SF98', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 55', NULL, NULL, NULL, 15),
(103942, NULL, 'PTHR24103:SF642', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(103943, NULL, 'PTHR41313:SF1', NULL, NULL, NULL, NULL, 'ADENINE-SPECIFIC METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(103944, NULL, 'PTHR26391:SF16', NULL, NULL, NULL, NULL, 'PROTEIN KINASE RECEPTOR TIE-1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(103945, NULL, 'PTHR32295:SF226', NULL, NULL, NULL, NULL, 'BNAC03G42550D PROTEIN', NULL, NULL, NULL, 15),
(103946, NULL, 'PTHR47448:SF3', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 2', NULL, NULL, NULL, 15),
(103947, NULL, 'PTHR40734', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 6103, 15),
(103948, NULL, 'PTHR22835:SF582', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103949, NULL, 'PTHR44329:SF107', NULL, NULL, NULL, NULL, 'PAS DOMAIN-CONTAINING PROTEIN TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103950, NULL, 'PTHR46024:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETDB2', NULL, NULL, NULL, 15),
(103951, NULL, 'PTHR42781:SF1', NULL, NULL, NULL, NULL, 'THIAMINE IMPORT ATP-BINDING PROTEIN THIQ', NULL, NULL, NULL, 15),
(103952, NULL, 'PTHR43650:SF13', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(103953, NULL, 'PTHR10797:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103954, NULL, 'PTHR24057:SF48', NULL, NULL, NULL, NULL, 'OS01G0252100 PROTEIN', NULL, NULL, NULL, 15),
(103955, NULL, 'PTHR34710:SF19', NULL, NULL, NULL, NULL, 'OSJNBA0020J04.6 PROTEIN', NULL, NULL, NULL, 15),
(103956, NULL, 'PTHR11759:SF49', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S11, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(103957, NULL, 'PTHR45613:SF195', NULL, NULL, NULL, NULL, 'OS01G0151900 PROTEIN', NULL, NULL, NULL, 15),
(103958, NULL, 'PTHR39665:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103959, NULL, 'PTHR13271:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103960, NULL, 'PTHR33393:SF12', NULL, NULL, NULL, NULL, 'CAPSULE BIOSYNTHESIS PROTEIN CAPA', NULL, NULL, NULL, 15),
(103961, NULL, 'PTHR12027:SF97', NULL, NULL, NULL, NULL, 'PROTEIN WNT', NULL, NULL, NULL, 15),
(103962, NULL, 'PTHR22954:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG08539', NULL, NULL, NULL, 15),
(103963, NULL, 'PTHR31655:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103964, NULL, 'PTHR23502:SF48', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G02700)-RELATED', NULL, NULL, NULL, 15),
(103965, NULL, 'PTHR24177:SF250', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(103966, NULL, 'PTHR31621:SF34', NULL, NULL, NULL, NULL, 'DOMAIN MEMBRANE PROTEIN 2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(103967, NULL, 'PTHR28580', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIH SUBUNIT 5', NULL, NULL, 8160, 15),
(103968, NULL, 'PTHR22849:SF119', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(103969, NULL, 'PTHR34183:SF1', NULL, NULL, NULL, NULL, 'ENDOLYTIC PEPTIDOGLYCAN TRANSGLYCOSYLASE RLPA', NULL, NULL, NULL, 15),
(103970, NULL, 'PTHR31438:SF7', NULL, NULL, NULL, NULL, 'AEROBACTIN SIDEROPHORE BIOSYNTHESIS PROTEIN IUCB', NULL, NULL, NULL, 15),
(103971, NULL, 'PTHR33788:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103972, NULL, 'PTHR31175:SF66', NULL, NULL, NULL, NULL, 'OS09G0546900 PROTEIN', NULL, NULL, NULL, 15),
(103973, NULL, 'PTHR33127:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103974, NULL, 'PTHR30469:SF11', NULL, NULL, NULL, NULL, 'BLL4320 PROTEIN', NULL, NULL, NULL, 15),
(103975, NULL, 'PTHR35291:SF5', NULL, NULL, NULL, NULL, 'BNAANNG35820D PROTEIN', NULL, NULL, NULL, 15),
(103976, NULL, 'PTHR24177:SF245', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(103977, NULL, 'PTHR30038:SF9', NULL, NULL, NULL, NULL, 'ALDEHYDE FERREDOXIN OXIDOREDUCTASE (AOR)', NULL, NULL, NULL, 15),
(103978, NULL, 'PTHR43476:SF4', NULL, NULL, NULL, NULL, 'HYDROXYLASE-RELATED', NULL, NULL, NULL, 15),
(103979, NULL, 'PTHR13800:SF13', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 1', NULL, NULL, 28935, 15),
(103980, NULL, 'PTHR47359:SF3', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN DL-ENDOPEPTIDASE CWLO', NULL, NULL, NULL, 15),
(103981, NULL, 'PTHR24126:SF41', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(103982, NULL, 'PTHR43152', NULL, NULL, NULL, NULL, 'UVRABC SYSTEM PROTEIN A', NULL, NULL, NULL, 15),
(103983, NULL, 'PTHR27008:SF457', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21', NULL, NULL, NULL, 15),
(103984, NULL, 'PTHR10662:SF12', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR 3', NULL, NULL, 27659, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(103985, NULL, 'PTHR23359:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(103986, NULL, 'PTHR46161:SF3', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(103987, NULL, 'PTHR10122:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5B-2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(103988, NULL, 'PTHR23501:SF177', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G16910)-RELATED', NULL, NULL, NULL, 15),
(103989, NULL, 'PTHR31221:SF49', NULL, NULL, NULL, NULL, 'OS03G0758950 PROTEIN', NULL, NULL, NULL, 15),
(103990, NULL, 'PTHR27005:SF244', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(103991, NULL, 'PTHR33517:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM170A', NULL, NULL, 34416, 15),
(103992, NULL, 'PTHR26374:SF359', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT5-LIKE', NULL, NULL, NULL, 15),
(103993, NULL, 'PTHR24320:SF166', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_5G10790)', NULL, NULL, NULL, 15),
(103994, NULL, 'PTHR31951:SF28', NULL, NULL, NULL, NULL, 'BNAA07G25640D PROTEIN', NULL, NULL, NULL, 15),
(103995, NULL, 'PTHR31513:SF2', NULL, NULL, NULL, NULL, 'MRAZ', NULL, NULL, NULL, 15),
(103996, NULL, 'PTHR10169:SF49', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(103997, NULL, 'PTHR47319:SF16', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1', NULL, NULL, NULL, 15),
(103998, NULL, 'PTHR43453', NULL, NULL, NULL, NULL, 'RRNA METHYLASE-LIKE', NULL, NULL, 32353, 15),
(103999, NULL, 'PTHR10657', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(104000, NULL, 'PTHR27007:SF159', NULL, NULL, NULL, NULL, 'LECTIN-LIKE RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104001, NULL, 'PTHR33541:SF15', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE D', NULL, NULL, NULL, 15),
(104002, NULL, 'PTHR20003:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104003, NULL, 'PTHR24347:SF372', NULL, NULL, NULL, NULL, 'DEATH ASSOCIATED PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(104004, NULL, 'PTHR16074:SF4', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 7 PROTEIN', NULL, NULL, NULL, 15),
(104005, NULL, 'PTHR44157', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 11', NULL, NULL, NULL, 15),
(104006, NULL, 'PTHR33649:SF20', NULL, NULL, NULL, NULL, 'BNAC08G48820D PROTEIN', NULL, NULL, NULL, 15),
(104007, NULL, 'PTHR24015:SF679', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(104008, NULL, 'PTHR11636:SF127', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CEH-6', NULL, NULL, NULL, 15),
(104009, NULL, 'PTHR11819:SF150', NULL, NULL, NULL, NULL, 'SODIUM/MYO-INOSITOL COTRANSPORTER', NULL, NULL, NULL, 15),
(104010, NULL, 'PTHR11260:SF619', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(104011, NULL, 'PTHR33515:SF1', NULL, NULL, NULL, NULL, 'RIBOSOME-BINDING FACTOR A, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(104012, NULL, 'PTHR22770:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF216', NULL, NULL, NULL, 15),
(104013, NULL, 'PTHR10315:SF92', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(104014, NULL, 'PTHR33390:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104015, NULL, 'PTHR31072:SF129', NULL, NULL, NULL, NULL, 'BNAA02G13010D PROTEIN', NULL, NULL, NULL, 15),
(104016, NULL, 'PTHR47042:SF1', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(104017, NULL, 'PTHR46719:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', NULL, NULL, NULL, 15),
(104018, NULL, 'PTHR11480:SF27', NULL, NULL, NULL, NULL, 'SAPOSIN A', NULL, NULL, NULL, 15),
(104019, NULL, 'PTHR22526:SF2', NULL, NULL, NULL, NULL, 'ANAPHASE PROMPOTING COMPLEX C SUBUNIT 15, PSEUDOGENE-RELATED', NULL, NULL, NULL, 15),
(104020, NULL, 'PTHR37558:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104021, NULL, 'PTHR45647:SF65', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 34', NULL, NULL, NULL, 15),
(104022, NULL, 'PTHR33018:SF19', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(104023, NULL, 'PTHR46162:SF25', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(104024, NULL, 'PTHR12010:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S29', NULL, NULL, NULL, 15),
(104025, NULL, 'PTHR31482:SF9', NULL, NULL, NULL, NULL, 'F-BOX PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(104026, NULL, 'PTHR34811', NULL, NULL, NULL, NULL, 'MATURASE K', NULL, NULL, 5958, 15),
(104027, NULL, 'PTHR47992:SF119', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 33-RELATED', NULL, NULL, NULL, 15),
(104028, NULL, 'PTHR10108:SF1115', NULL, NULL, NULL, NULL, 'GENERIC METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(104029, NULL, 'PTHR23147:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104030, NULL, 'PTHR35968:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 6 C6ORF201 HOMOLOG', NULL, NULL, NULL, 15),
(104031, NULL, 'PTHR31375:SF220', NULL, NULL, NULL, NULL, 'BNAC05G03780D PROTEIN', NULL, NULL, NULL, 15),
(104032, NULL, 'PTHR43874:SF123', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR14', NULL, NULL, NULL, 15),
(104033, NULL, 'PTHR13049:SF3', NULL, NULL, NULL, NULL, 'OS01G0750500 PROTEIN', NULL, NULL, NULL, 15),
(104034, NULL, 'PTHR45645:SF28', NULL, NULL, NULL, NULL, 'SOL-2 PROTEIN', NULL, NULL, NULL, 15),
(104035, NULL, 'PTHR12327:SF1', NULL, NULL, NULL, NULL, 'ALPHA-TUBULIN N-ACETYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(104036, NULL, 'PTHR44259:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104037, NULL, 'PTHR11439:SF331', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104038, NULL, 'PTHR36971:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE,MAKORIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(104039, NULL, 'PTHR48011:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104040, NULL, 'PTHR23315:SF241', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(104041, NULL, 'PTHR43606', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G08710)-RELATED', NULL, NULL, NULL, 15),
(104042, NULL, 'PTHR19229:SF221', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER CED-7', NULL, NULL, NULL, 15),
(104043, NULL, 'PTHR46107:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN-RELATED TRANSMEMBRANE PROTEIN 4', NULL, NULL, NULL, 15),
(104044, NULL, 'PTHR11945:SF488', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 56', NULL, NULL, NULL, 15),
(104045, NULL, 'PTHR21470', NULL, NULL, NULL, NULL, 'RAB6-INTERACTING PROTEIN GORAB', NULL, NULL, 6583, 15),
(104046, NULL, 'PTHR34281', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 3', NULL, NULL, 29085, 15),
(104047, NULL, 'PTHR10980:SF51', NULL, NULL, NULL, NULL, 'RHO PROTEIN GDP-DISSOCIATION INHIBITOR, IMMUNOGLOBULIN E-SET-RELATED', NULL, NULL, NULL, 15),
(104048, NULL, 'PTHR42680', NULL, NULL, NULL, NULL, 'DCTP DEAMINASE', NULL, NULL, NULL, 15),
(104049, NULL, 'PTHR27007:SF302', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.4', NULL, NULL, NULL, 15),
(104050, NULL, 'PTHR32018:SF18', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE-LIKE', NULL, NULL, NULL, 15),
(104051, NULL, 'PTHR48017:SF135', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104052, NULL, 'PTHR14155:SF513', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104053, NULL, 'PTHR46508:SF2', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 1', NULL, NULL, 26517, 15),
(104054, NULL, 'PTHR33912', NULL, NULL, NULL, NULL, 'OS01G0939400 PROTEIN', NULL, NULL, 30209, 15),
(104055, NULL, 'PTHR23043:SF24', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(104056, NULL, 'PTHR27003:SF321', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HERK 1', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104057, NULL, 'PTHR11124', NULL, NULL, NULL, NULL, 'VACUOLAR SORTING PROTEIN VPS29', NULL, NULL, 3223, 15),
(104058, NULL, 'PTHR19325:SF522', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104059, NULL, 'PTHR10638:SF77', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(104060, NULL, 'PTHR31072:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104061, NULL, 'PTHR35546:SF43', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(104062, NULL, 'PTHR48002:SF80', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(104063, NULL, 'PTHR31549:SF170', NULL, NULL, NULL, NULL, 'OS08G0121250 PROTEIN', NULL, NULL, NULL, 15),
(104064, NULL, 'PTHR32285:SF179', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(104065, NULL, 'PTHR11260:SF664', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U19', NULL, NULL, NULL, 15),
(104066, NULL, 'PTHR11214:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104067, NULL, 'PTHR22234', NULL, NULL, NULL, NULL, 'TESTIS SPERMATOCYTE APOPTOSIS-RELATED GENE 1 PROTEIN', NULL, NULL, 22119, 15),
(104068, NULL, 'PTHR35675', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC100362216', NULL, NULL, NULL, 15),
(104069, NULL, 'PTHR42973:SF34', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G02770)', NULL, NULL, NULL, 15),
(104070, NULL, 'PTHR44843', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(104071, NULL, 'PTHR37972', NULL, NULL, NULL, NULL, 'PROTEIN CBG25533', NULL, NULL, NULL, 15),
(104072, NULL, 'PTHR30386:SF0', NULL, NULL, NULL, NULL, 'EFFLUX SYSTEM COMPONENT YHBJ-RELATED', NULL, NULL, NULL, 15),
(104073, NULL, 'PTHR45654:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104074, NULL, 'PTHR35836', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104075, NULL, 'PTHR16200:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF43', NULL, NULL, NULL, 15),
(104076, NULL, 'PTHR23503:SF97', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2 MEMBER 9,-LIKE 1', NULL, NULL, NULL, 15),
(104077, NULL, 'PTHR30163:SF0', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND LYTIC MUREIN TRANSGLYCOSYLASE B', NULL, NULL, 11947, 15),
(104078, NULL, 'PTHR22957:SF457', NULL, NULL, NULL, NULL, 'RABGAP/TBC DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(104079, NULL, 'PTHR43791:SF52', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G11820)-RELATED', NULL, NULL, NULL, 15),
(104080, NULL, 'PTHR24178:SF12', NULL, NULL, NULL, NULL, 'NEPHRONOPHTHISIS (HUMAN KIDNEY DISEASE) HOMOLOG', NULL, NULL, NULL, 15),
(104081, NULL, 'PTHR47956:SF94', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D10', NULL, NULL, NULL, 15),
(104082, NULL, 'PTHR11640:SF122', NULL, NULL, NULL, NULL, 'SI:DKEY-24P1.1', NULL, NULL, NULL, 15),
(104083, NULL, 'PTHR31145:SF6', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_7G01610)', NULL, NULL, NULL, 15),
(104084, NULL, 'PTHR10404:SF69', NULL, NULL, NULL, NULL, 'F10A2.10 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104085, NULL, 'PTHR30043:SF1', NULL, NULL, NULL, NULL, 'PHOSPHONATES-BINDING PERIPLASMIC PROTEIN', NULL, NULL, 19262, 15),
(104086, NULL, 'PTHR31639:SF142', NULL, NULL, NULL, NULL, 'OS02G0160200 PROTEIN', NULL, NULL, NULL, 15),
(104087, NULL, 'PTHR24349:SF387', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 8', NULL, NULL, NULL, 15),
(104088, NULL, 'PTHR23226:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104089, NULL, 'PTHR43540:SF10', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE', NULL, NULL, NULL, 15),
(104090, NULL, 'PTHR24422:SF18', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(104091, NULL, 'PTHR36375', NULL, NULL, NULL, NULL, 'OS05G0459300 PROTEIN', NULL, NULL, NULL, 15),
(104092, NULL, 'PTHR34353', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDONUCLEASE CAS1 1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104093, NULL, 'PTHR33721:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 255A', NULL, NULL, NULL, 15),
(104094, NULL, 'PTHR33509:SF35', NULL, NULL, NULL, NULL, 'PROTEIN SENESCENCE-ASSOCIATED GENE 21, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(104095, NULL, 'PTHR24072:SF340', NULL, NULL, NULL, NULL, 'BNAC09G50900D PROTEIN', NULL, NULL, NULL, 15),
(104096, NULL, 'PTHR46382:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(104097, NULL, 'PTHR13489:SF0', NULL, NULL, NULL, NULL, 'MINI-CHROMOSOME MAINTENANCE COMPLEX-BINDING PROTEIN', NULL, NULL, NULL, 15),
(104098, NULL, 'PTHR32370:SF148', NULL, NULL, NULL, NULL, 'COLEOPTILE PHOTOTROPISM PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(104099, NULL, 'PTHR13173:SF10', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(104100, NULL, 'PTHR24088:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104101, NULL, 'PTHR11961:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME C, TESTIS-SPECIFIC', NULL, NULL, NULL, 15),
(104102, NULL, 'PTHR15678:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FMP27, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(104103, NULL, 'PTHR48006:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104104, NULL, 'PTHR31923:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104105, NULL, 'PTHR35584', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104106, NULL, 'PTHR11426:SF220', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(104107, NULL, 'PTHR30330:SF5', NULL, NULL, NULL, NULL, 'SODIUM/GLUTAMINE SYMPORTER GLNT-RELATED', NULL, NULL, NULL, 15),
(104108, NULL, 'PTHR13466:SF15', NULL, NULL, NULL, NULL, 'BNAA09G44810D PROTEIN', NULL, NULL, NULL, 15),
(104109, NULL, 'PTHR31080:SF137', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', NULL, NULL, NULL, 15),
(104110, NULL, 'PTHR11566:SF169', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE PROTEIN C', NULL, NULL, NULL, 15),
(104111, NULL, 'PTHR33784:SF25', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104112, NULL, 'PTHR11157:SF145', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(104113, NULL, 'PTHR31133:SF11', NULL, NULL, NULL, NULL, 'STEROID NUCLEAR RECEPTOR, LIGAND-BINDING', NULL, NULL, NULL, 15),
(104114, NULL, 'PTHR11732:SF445', NULL, NULL, NULL, NULL, 'OS05G0456200 PROTEIN', NULL, NULL, NULL, 15),
(104115, NULL, 'PTHR45654:SF52', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG1', NULL, NULL, NULL, 15),
(104116, NULL, 'PTHR36141', NULL, NULL, NULL, NULL, 'OS08G0148500 PROTEIN', NULL, NULL, NULL, 15),
(104117, NULL, 'PTHR20856:SF31', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(104118, NULL, 'PTHR11528:SF115', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 81-2', NULL, NULL, NULL, 15),
(104119, NULL, 'PTHR12929:SF1', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 52, RIBOFLAVIN TRANSPORTER, MEMBER 1', NULL, NULL, NULL, 15),
(104120, NULL, 'PTHR36033', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING PROTEINS SUPERFAMILY', NULL, NULL, NULL, 15),
(104121, NULL, 'PTHR47926:SF123', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(104122, NULL, 'PTHR32182', NULL, NULL, NULL, NULL, 'DNA REPLICATION AND REPAIR PROTEIN RECF', NULL, NULL, NULL, 15),
(104123, NULL, 'PTHR31305:SF2', NULL, NULL, NULL, NULL, 'SNARE-ASSOCIATED PROTEIN SNAPIN', NULL, NULL, NULL, 15),
(104124, NULL, 'PTHR24281:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104125, NULL, 'PTHR24240:SF19', NULL, NULL, NULL, NULL, 'BLUE-SENSITIVE OPSIN', NULL, NULL, NULL, 15),
(104126, NULL, 'PTHR31384:SF124', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(104127, NULL, 'PTHR47977:SF19', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABC1-LIKE', NULL, NULL, NULL, 15),
(104128, NULL, 'PTHR34630:SF17', NULL, NULL, NULL, NULL, 'AND NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104129, NULL, 'PTHR47979:SF9', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1F', NULL, NULL, NULL, 15),
(104130, NULL, 'PTHR31907:SF38', NULL, NULL, NULL, NULL, 'BNAC09G37310D PROTEIN', NULL, NULL, NULL, 15),
(104131, NULL, 'PTHR22945:SF19', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(104132, NULL, 'PTHR12122:SF5', NULL, NULL, NULL, NULL, 'RETINAL CONE RHODOPSIN-SENSITIVE CGMP 3'',5''-CYCLIC PHOSPHODIESTERASE SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(104133, NULL, 'PTHR30329:SF13', NULL, NULL, NULL, NULL, 'ENDOFLAGELLAR MOTOR PROTEIN B', NULL, NULL, NULL, 15),
(104134, NULL, 'PTHR48000:SF11', NULL, NULL, NULL, NULL, 'BNAA03G16870D PROTEIN', NULL, NULL, NULL, 15),
(104135, NULL, 'PTHR46661:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZNRF1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(104136, NULL, 'PTHR33346:SF35', NULL, NULL, NULL, NULL, 'DEHYDRIN-RELATED', NULL, NULL, NULL, 15),
(104137, NULL, 'PTHR31984:SF15', NULL, NULL, NULL, NULL, 'BNAA09G02580D PROTEIN', NULL, NULL, NULL, 15),
(104138, NULL, 'PTHR16001:SF7', NULL, NULL, NULL, NULL, 'ECTO-NOX DISULFIDE-THIOL EXCHANGER 2', NULL, NULL, NULL, 15),
(104139, NULL, 'PTHR33593:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104140, NULL, 'PTHR10634:SF115', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 5', NULL, NULL, NULL, 15),
(104141, NULL, 'PTHR34802:SF1', NULL, NULL, NULL, NULL, 'CHORISMATE SYNTHASE', NULL, NULL, NULL, 15),
(104142, NULL, 'PTHR12889:SF5', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE SUBUNIT APH-1B', NULL, NULL, NULL, 15),
(104143, NULL, 'PTHR24296:SF182', NULL, NULL, NULL, NULL, 'BNACNNG08760D PROTEIN', NULL, NULL, NULL, 15),
(104144, NULL, 'PTHR21716:SF49', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN TQSA-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104145, NULL, 'PTHR43939:SF41', NULL, NULL, NULL, NULL, 'ANUCLEATE PRIMARY STERIGMATA PROTEIN B', NULL, NULL, NULL, 15),
(104146, NULL, 'PTHR43047:SF28', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YVCQ', NULL, NULL, NULL, 15),
(104147, NULL, 'PTHR28154:SF1', NULL, NULL, NULL, NULL, 'CELL WALL SYNTHESIS PROTEIN KNH1-RELATED', NULL, NULL, NULL, 15),
(104148, NULL, 'PTHR46795:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, PERMEASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104149, NULL, 'PTHR36767:SF1', NULL, NULL, NULL, NULL, 'OS05G0126200 PROTEIN', NULL, NULL, NULL, 15),
(104150, NULL, 'PTHR37365:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 44', NULL, NULL, NULL, 15),
(104151, NULL, 'PTHR45818:SF3', NULL, NULL, NULL, NULL, 'PROTEIN VAV', NULL, NULL, NULL, 15),
(104152, NULL, 'PTHR22794', NULL, NULL, NULL, NULL, 'THAP DOMAIN PROTEIN 11', NULL, NULL, NULL, 15),
(104153, NULL, 'PTHR11913:SF15', NULL, NULL, NULL, NULL, 'COFILIN-2', NULL, NULL, NULL, 15),
(104154, NULL, 'PTHR19375:SF443', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104155, NULL, 'PTHR23500:SF562', NULL, NULL, NULL, NULL, 'BNAA08G15350D PROTEIN', NULL, NULL, NULL, 15),
(104156, NULL, 'PTHR10846:SF66', NULL, NULL, NULL, NULL, 'NA/CA EXCHANGERS', NULL, NULL, NULL, 15),
(104157, NULL, 'PTHR48022:SF39', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE SUGAR TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(104158, NULL, 'PTHR47993:SF118', NULL, NULL, NULL, NULL, 'OS08G0492900 PROTEIN', NULL, NULL, NULL, 15),
(104159, NULL, 'PTHR31279:SF58', NULL, NULL, NULL, NULL, 'OS02G0756800 PROTEIN', NULL, NULL, NULL, 15),
(104160, NULL, 'PTHR28230:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(104161, NULL, 'PTHR48017:SF1', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 7-RELATED', NULL, NULL, NULL, 15),
(104162, NULL, 'PTHR12144', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR D', NULL, NULL, 5947, 15),
(104163, NULL, 'PTHR47967:SF74', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE CDR1-LIKE', NULL, NULL, NULL, 15),
(104164, NULL, 'PTHR42951:SF1', NULL, NULL, NULL, NULL, 'BLL0271 PROTEIN', NULL, NULL, NULL, 15),
(104165, NULL, 'PTHR31374:SF296', NULL, NULL, NULL, NULL, 'AUXIN RESPONSIVE PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104166, NULL, 'PTHR46829', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 15', NULL, NULL, 38200, 15),
(104167, NULL, 'PTHR11260:SF536', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U7', NULL, NULL, NULL, 15),
(104168, NULL, 'PTHR13683:SF801', NULL, NULL, NULL, NULL, 'BNAC06G18230D PROTEIN', NULL, NULL, NULL, 15),
(104169, NULL, 'PTHR48040:SF22', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(104170, NULL, 'PTHR21358', NULL, NULL, NULL, NULL, 'PROTEIN MAELSTROM HOMOLOG', NULL, NULL, 35512, 15),
(104171, NULL, 'PTHR33133:SF35', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(104172, NULL, 'PTHR31790:SF149', NULL, NULL, NULL, NULL, 'BNAC04G31790D PROTEIN', NULL, NULL, NULL, 15),
(104173, NULL, 'PTHR35109:SF5', NULL, NULL, NULL, NULL, 'BNAA01G36870D PROTEIN', NULL, NULL, NULL, 15),
(104174, NULL, 'PTHR22812:SF148', NULL, NULL, NULL, NULL, 'CHROMOBOX HOMOLOG 1A (HP1 BETA HOMOLOG DROSOPHILA)-RELATED', NULL, NULL, NULL, 15),
(104175, NULL, 'PTHR28557', NULL, NULL, NULL, NULL, 'PROTEIN SLX4IP', NULL, NULL, 23655, 15),
(104176, NULL, 'PTHR28043:SF1', NULL, NULL, NULL, NULL, 'INCREASED RECOMBINATION CENTERS PROTEIN 6', NULL, NULL, NULL, 15),
(104177, NULL, 'PTHR22601:SF50', NULL, NULL, NULL, NULL, 'SMALL OLIGOPEPTIDE TRANSPORTER, OPT FAMILY (AFU_ORTHOLOGUE AFUA_6G10220)', NULL, NULL, NULL, 15),
(104178, NULL, 'PTHR38221', NULL, NULL, NULL, NULL, 'BNAA04G14260D PROTEIN', NULL, NULL, NULL, 15),
(104179, NULL, 'PTHR45690:SF4', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(104180, NULL, 'PTHR43039:SF15', NULL, NULL, NULL, NULL, 'ESTERASE KAI2-RELATED', NULL, NULL, NULL, 15),
(104181, NULL, 'PTHR33127:SF24', NULL, NULL, NULL, NULL, 'OS08G0193000 PROTEIN', NULL, NULL, NULL, 15),
(104182, NULL, 'PTHR47055', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104183, NULL, 'PTHR11599:SF130', NULL, NULL, NULL, NULL, 'PROTEASOME ENDOPEPTIDASE COMPLEX', NULL, NULL, 18825, 15),
(104184, NULL, 'PTHR10572:SF43', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', NULL, NULL, NULL, 15),
(104185, NULL, 'PTHR37235', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE AUREOLYSIN', NULL, NULL, NULL, 15),
(104186, NULL, 'PTHR46268:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104187, NULL, 'PTHR45780', NULL, NULL, NULL, NULL, 'ETHANOLAMINE-PHOSPHATE CYTIDYLYLTRANSFERASE', NULL, NULL, 38786, 15),
(104188, NULL, 'PTHR31561:SF165', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(104189, NULL, 'PTHR47113', NULL, NULL, NULL, NULL, 'LD09343P', NULL, NULL, NULL, 15),
(104190, NULL, 'PTHR12260:SF6', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMATE O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(104191, NULL, 'PTHR26312:SF165', NULL, NULL, NULL, NULL, 'BNAC08G45240D PROTEIN', NULL, NULL, NULL, 15),
(104192, NULL, 'PTHR33407:SF8', NULL, NULL, NULL, NULL, 'PECTATE LYASE E', NULL, NULL, NULL, 15),
(104193, NULL, 'PTHR11640:SF116', NULL, NULL, NULL, NULL, 'OBSCURIN', NULL, NULL, NULL, 15),
(104194, NULL, 'PTHR23182', NULL, NULL, NULL, NULL, 'BREAKPOINT CLUSTER REGION PROTEIN  BCR', NULL, NULL, 35088, 15),
(104195, NULL, 'PTHR31232:SF18', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 15-LIKE', NULL, NULL, NULL, 15),
(104196, NULL, 'PTHR11407', NULL, NULL, NULL, NULL, 'LYSOZYME C', NULL, NULL, 4354, 15),
(104197, NULL, 'PTHR24015:SF1978', NULL, NULL, NULL, NULL, 'OS02G0769900 PROTEIN', NULL, NULL, NULL, 15),
(104198, NULL, 'PTHR12542:SF152', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(104199, NULL, 'PTHR35322:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CPR-5', NULL, NULL, NULL, 15),
(104200, NULL, 'PTHR46057:SF26', NULL, NULL, NULL, NULL, 'OS06G0125200 PROTEIN', NULL, NULL, NULL, 15),
(104201, NULL, 'PTHR38940:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104202, NULL, 'PTHR45744:SF22', NULL, NULL, NULL, NULL, 'TYROSINE AMINOTRANSFERASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104203, NULL, 'PTHR19331:SF460', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104204, NULL, 'PTHR23359:SF207', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', NULL, NULL, NULL, 15),
(104205, NULL, 'PTHR31190:SF199', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 2', NULL, NULL, NULL, 15),
(104206, NULL, 'PTHR18896:SF157', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(104207, NULL, 'PTHR16675:SF257', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104208, NULL, 'PTHR35020', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-INDUCED PROTEIN 1', NULL, NULL, 20744, 15),
(104209, NULL, 'PTHR15549:SF7', NULL, NULL, NULL, NULL, 'PAIRED IMMUNOGLOBULIN-LIKE TYPE 2 RECEPTOR BETA', NULL, NULL, NULL, 15),
(104210, NULL, 'PTHR46997:SF1', NULL, NULL, NULL, NULL, 'LOW AFFINITY TRYPTOPHAN PERMEASE-RELATED', NULL, NULL, NULL, 15),
(104211, NULL, 'PTHR36161', NULL, NULL, NULL, NULL, 'PROTEIN CBG06377-RELATED', NULL, NULL, NULL, 15),
(104212, NULL, 'PTHR48043:SF20', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 83A1', NULL, NULL, NULL, 15),
(104213, NULL, 'PTHR23226:SF268', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104214, NULL, 'PTHR13318:SF134', NULL, NULL, NULL, NULL, 'JETLAG, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(104215, NULL, 'PTHR45855:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UNE10-LIKE', NULL, NULL, NULL, 15),
(104216, NULL, 'PTHR13462:SF48', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN 2, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(104217, NULL, 'PTHR23315:SF302', NULL, NULL, NULL, NULL, 'BNAC07G33730D PROTEIN', NULL, NULL, NULL, 15),
(104218, NULL, 'PTHR35545:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104219, NULL, 'PTHR24404:SF50', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 497', NULL, NULL, NULL, 15),
(104220, NULL, 'PTHR18953', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104221, NULL, 'PTHR10352:SF54', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2A-LIKE', NULL, NULL, NULL, 15),
(104222, NULL, 'PTHR18945:SF768', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104223, NULL, 'PTHR31642:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104224, NULL, 'PTHR10302:SF19', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(104225, NULL, 'PTHR34034:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM180B', NULL, NULL, NULL, 15),
(104226, NULL, 'PTHR10848:SF0', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN SPO11', NULL, NULL, NULL, 15),
(104227, NULL, 'PTHR24056:SF120', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE 4', NULL, NULL, NULL, 15),
(104228, NULL, 'PTHR11700:SF22', NULL, NULL, NULL, NULL, 'BNAA09G06070D PROTEIN', NULL, NULL, NULL, 15),
(104229, NULL, 'PTHR45868:SF19', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 37', NULL, NULL, NULL, 15),
(104230, NULL, 'PTHR11537:SF105', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL PROTEIN SHAL', NULL, NULL, NULL, 15),
(104231, NULL, 'PTHR12585:SF50', NULL, NULL, NULL, NULL, 'COHESIN FAMILY', NULL, NULL, NULL, 15),
(104232, NULL, 'PTHR28527', NULL, NULL, NULL, NULL, 'MATING-TYPE SWITCHING PROTEIN SWI2-RELATED', NULL, NULL, NULL, 15),
(104233, NULL, 'PTHR31151:SF0', NULL, NULL, NULL, NULL, 'PROLINE-TRNA LIGASE (DUF1680)', NULL, NULL, NULL, 15),
(104234, NULL, 'PTHR44080:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE COP1', NULL, NULL, NULL, 15),
(104235, NULL, 'PTHR22914', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE', NULL, NULL, 4058, 15),
(104236, NULL, 'PTHR22624:SF54', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE ATG4B', NULL, NULL, NULL, 15),
(104237, NULL, 'PTHR11668:SF396', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(104238, NULL, 'PTHR45882:SF3', NULL, NULL, NULL, NULL, 'PITUITARY HOMEOBOX HOMOLOG PTX1', NULL, NULL, NULL, 15),
(104239, NULL, 'PTHR22870:SF365', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (CELL CYCLE REGULATORY PROTEIN)-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104240, NULL, 'PTHR24115:SF911', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12B', NULL, NULL, NULL, 15),
(104241, NULL, 'PTHR47457:SF1', NULL, NULL, NULL, NULL, 'OS05G0345500 PROTEIN', NULL, NULL, NULL, 15),
(104242, NULL, 'PTHR30548:SF3', NULL, NULL, NULL, NULL, '2-HYDROXYACYL-COA DEHYDRATASE-RELATED', NULL, NULL, NULL, 15),
(104243, NULL, 'PTHR33165:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104244, NULL, 'PTHR12475:SF9', NULL, NULL, NULL, NULL, 'PROTEIN THEM6', NULL, NULL, NULL, 15),
(104245, NULL, 'PTHR47021:SF10', NULL, NULL, NULL, NULL, 'ARF GTPASE ACTIVATING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104246, NULL, 'PTHR47925:SF61', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(104247, NULL, 'PTHR33248:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104248, NULL, 'PTHR30217:SF7', NULL, NULL, NULL, NULL, 'COLLAGENASE', NULL, NULL, NULL, 15),
(104249, NULL, 'PTHR12933', NULL, NULL, NULL, NULL, 'ORF PROTEIN-RELATED', NULL, NULL, 9313, 15),
(104250, NULL, 'PTHR10666:SF361', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 12', NULL, NULL, NULL, 15),
(104251, NULL, 'PTHR43176:SF21', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(104252, NULL, 'PTHR24373:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104253, NULL, 'PTHR46205:SF1', NULL, NULL, NULL, NULL, 'RISC-LOADING COMPLEX SUBUNIT TARBP2', NULL, NULL, 27085, 15),
(104254, NULL, 'PTHR48063:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104255, NULL, 'PTHR22907:SF27', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(104256, NULL, 'PTHR47990:SF179', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(104257, NULL, 'PTHR11895:SF162', NULL, NULL, NULL, NULL, 'AMIDASE-RELATED', NULL, NULL, NULL, 15),
(104258, NULL, 'PTHR11528:SF97', NULL, NULL, NULL, NULL, 'ENDOPLASMIN', NULL, NULL, NULL, 15),
(104259, NULL, 'PTHR46052:SF3', NULL, NULL, NULL, NULL, 'PHOSDUCIN', NULL, NULL, NULL, 15),
(104260, NULL, 'PTHR47926:SF1', NULL, NULL, NULL, NULL, 'OS12G0233200 PROTEIN', NULL, NULL, NULL, 15),
(104261, NULL, 'PTHR11877:SF60', NULL, NULL, NULL, NULL, 'TYPE III POLYKETIDE SYNTHASE B', NULL, NULL, NULL, 15),
(104262, NULL, 'PTHR31221:SF183', NULL, NULL, NULL, NULL, 'BNAA03G10980D PROTEIN', NULL, NULL, NULL, 15),
(104263, NULL, 'PTHR12565:SF315', NULL, NULL, NULL, NULL, 'OS09G0501600 PROTEIN', NULL, NULL, NULL, 15),
(104264, NULL, 'PTHR33417:SF5', NULL, NULL, NULL, NULL, 'OS07G0274400 PROTEIN', NULL, NULL, NULL, 15),
(104265, NULL, 'PTHR38493', NULL, NULL, NULL, NULL, 'CHROMOSOME 1 OPEN READING FRAME 167', NULL, NULL, 27197, 15),
(104266, NULL, 'PTHR23235:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 367', NULL, NULL, NULL, 15),
(104267, NULL, 'PTHR23236:SF25', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 34', NULL, NULL, NULL, 15),
(104268, NULL, 'PTHR13693:SF3', NULL, NULL, NULL, NULL, 'LD36009P', NULL, NULL, NULL, 15),
(104269, NULL, 'PTHR45839:SF5', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 3', NULL, NULL, NULL, 15),
(104270, NULL, 'PTHR13547:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104271, NULL, 'PTHR48049:SF60', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(104272, NULL, 'PTHR40761:SF1', NULL, NULL, NULL, NULL, 'CONSERVED INTEGRAL MEMBRANE ALANINE VALINE AND LEUCINE RICH PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104273, NULL, 'PTHR11071:SF479', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(104274, NULL, 'PTHR11792:SF15', NULL, NULL, NULL, NULL, 'S-ARRESTIN', NULL, NULL, NULL, 15),
(104275, NULL, 'PTHR11161:SF4', NULL, NULL, NULL, NULL, 'DROP DEAD', NULL, NULL, NULL, 15),
(104276, NULL, 'PTHR10574:SF413', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104277, NULL, 'PTHR26452:SF415', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104278, NULL, 'PTHR15578:SF0', NULL, NULL, NULL, NULL, 'CHROMOSOME 8 C22ORF31 HOMOLOG', NULL, NULL, NULL, 15),
(104279, NULL, 'PTHR22937:SF170', NULL, NULL, NULL, NULL, 'TRANSPOSASE-ASSOCIATED DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104280, NULL, 'PTHR47899', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 171', NULL, NULL, 33430, 15),
(104281, NULL, 'PTHR13285:SF21', NULL, NULL, NULL, NULL, 'HEDGEHOG ACYLTRANSFERASE-LIKE, B', NULL, NULL, NULL, 15),
(104282, NULL, 'PTHR12802:SF9', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX SUBUNIT SMARCC1', NULL, NULL, 27476, 15),
(104283, NULL, 'PTHR11324:SF2', NULL, NULL, NULL, NULL, 'PRO-INTERLEUKIN-16', NULL, NULL, NULL, 15),
(104284, NULL, 'PTHR31662:SF26', NULL, NULL, NULL, NULL, 'TYROSINE SPECIFIC PROTEIN PHOSPHATASE-LIKE', NULL, NULL, NULL, 15),
(104285, NULL, 'PTHR31315:SF12', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DA2', NULL, NULL, NULL, 15),
(104286, NULL, 'PTHR13976:SF37', NULL, NULL, NULL, NULL, 'EPITHELIAL SPLICING REGULATORY PROTEIN 1', NULL, NULL, NULL, 15),
(104287, NULL, 'PTHR10072:SF58', NULL, NULL, NULL, NULL, 'IRON-SULFUR ASSEMBLY PROTEIN ISCA-LIKE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(104288, NULL, 'PTHR28031', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN HUA1', NULL, NULL, 33718, 15),
(104289, NULL, 'PTHR47660:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(104290, NULL, 'PTHR33136:SF79', NULL, NULL, NULL, NULL, 'BNAA07G08550D PROTEIN', NULL, NULL, NULL, 15),
(104291, NULL, 'PTHR47327:SF5', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(104292, NULL, 'PTHR31500:SF13', NULL, NULL, NULL, NULL, 'OS08G0512400 PROTEIN', NULL, NULL, NULL, 15),
(104293, NULL, 'PTHR43357', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YDCV', NULL, NULL, NULL, 15),
(104294, NULL, 'PTHR45738:SF14', NULL, NULL, NULL, NULL, 'BNAA01G29510D PROTEIN', NULL, NULL, NULL, 15),
(104295, NULL, 'PTHR33639', NULL, NULL, NULL, NULL, 'THIOL-DISULFIDE OXIDOREDUCTASE DCC', NULL, NULL, NULL, 15),
(104296, NULL, 'PTHR21148:SF11', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(104297, NULL, 'PTHR11431:SF99', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(104298, NULL, 'PTHR33640:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(104299, NULL, 'PTHR40416:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104300, NULL, 'PTHR31210:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104301, NULL, 'PTHR33785', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104302, NULL, 'PTHR33463:SF88', NULL, NULL, NULL, NULL, 'RING-FINGER DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(104303, NULL, 'PTHR46137:SF9', NULL, NULL, NULL, NULL, 'NC DOMAIN-CONTAINING PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(104304, NULL, 'PTHR47510', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104305, NULL, 'PTHR33562', NULL, NULL, NULL, NULL, 'ATILLA, ISOFORM B-RELATED-RELATED', NULL, NULL, NULL, 15),
(104306, NULL, 'PTHR23336', NULL, NULL, NULL, NULL, 'ZINC FINGER CW-TYPE COILED-COIL DOMAIN PROTEIN 3.', NULL, NULL, 38280, 15),
(104307, NULL, 'PTHR24281:SF189', NULL, NULL, NULL, NULL, 'ISOFLAVONE 3''-HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(104308, NULL, 'PTHR34788:SF5', NULL, NULL, NULL, NULL, 'BNAA01G29640D PROTEIN', NULL, NULL, NULL, 15),
(104309, NULL, 'PTHR12021:SF20', NULL, NULL, NULL, NULL, 'THYMOSIN BETA-4', NULL, NULL, NULL, 15),
(104310, NULL, 'PTHR37262:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PEP-RELATED DEVELOPMENT ARRESTED 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(104311, NULL, 'PTHR11480:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104312, NULL, 'PTHR19317:SF2', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN F2', NULL, NULL, NULL, 15),
(104313, NULL, 'PTHR13859:SF20', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104314, NULL, 'PTHR31234:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104315, NULL, 'PTHR31221:SF148', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 57-RELATED', NULL, NULL, NULL, 15),
(104316, NULL, 'PTHR21646:SF32', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 33-RELATED', NULL, NULL, NULL, 15),
(104317, NULL, 'PTHR11540:SF63', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(104318, NULL, 'PTHR43329:SF112', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G08810)-RELATED', NULL, NULL, NULL, 15),
(104319, NULL, 'PTHR11937:SF482', NULL, NULL, NULL, NULL, 'ACTIN-75', NULL, NULL, NULL, 15),
(104320, NULL, 'PTHR47506:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(104321, NULL, 'PTHR43048:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104322, NULL, 'PTHR33472:SF1', NULL, NULL, NULL, NULL, 'EXTENSIN-RELATED', NULL, NULL, NULL, 15),
(104323, NULL, 'PTHR33472:SF12', NULL, NULL, NULL, NULL, 'OS01G0106600 PROTEIN', NULL, NULL, NULL, 15),
(104324, NULL, 'PTHR19303:SF25', NULL, NULL, NULL, NULL, 'MAJOR CENTROMERE AUTOANTIGEN B', NULL, NULL, 35945, 15),
(104325, NULL, 'PTHR46324:SF13', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 8', NULL, NULL, NULL, 15),
(104326, NULL, 'PTHR45614:SF132', NULL, NULL, NULL, NULL, 'BNAA02G36420D PROTEIN', NULL, NULL, NULL, 15),
(104327, NULL, 'PTHR31052:SF27', NULL, NULL, NULL, NULL, 'BNAC01G19270D PROTEIN', NULL, NULL, NULL, 15),
(104328, NULL, 'PTHR13105:SF4', NULL, NULL, NULL, NULL, 'MYELOID LEUKEMIA FACTOR 2', NULL, NULL, NULL, 15),
(104329, NULL, 'PTHR47934:SF11', NULL, NULL, NULL, NULL, 'OS07G0300200 PROTEIN', NULL, NULL, NULL, 15),
(104330, NULL, 'PTHR10795:SF584', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.3', NULL, NULL, NULL, 15),
(104331, NULL, 'PTHR46902', NULL, NULL, NULL, NULL, 'DOMON DOMAIN-CONTAINING PROTEIN FRRS1L', NULL, NULL, 37337, 15),
(104332, NULL, 'PTHR27007:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104333, NULL, 'PTHR24057:SF51', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE BETA', NULL, NULL, NULL, 15),
(104334, NULL, 'PTHR15615:SF32', NULL, NULL, NULL, NULL, 'PHO85 CYCLIN-10-RELATED', NULL, NULL, NULL, 15),
(104335, NULL, 'PTHR12027:SF87', NULL, NULL, NULL, NULL, 'PROTEIN WNT-5B', NULL, NULL, 28212, 15),
(104336, NULL, 'PTHR18968:SF9', NULL, NULL, NULL, NULL, '3D-(3,5/4)-TRIHYDROXYCYCLOHEXANE-1,2-DIONE HYDROLASE', NULL, NULL, 24402, 15),
(104337, NULL, 'PTHR12300:SF98', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(104338, NULL, 'PTHR36182', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G10930)-RELATED', NULL, NULL, NULL, 15),
(104339, NULL, 'PTHR21477:SF25', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A10', NULL, NULL, NULL, 15),
(104340, NULL, 'PTHR43400', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE', NULL, NULL, NULL, 15),
(104341, NULL, 'PTHR36804', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.11 PROTEIN', NULL, NULL, NULL, 15),
(104342, NULL, 'PTHR19969:SF18', NULL, NULL, NULL, NULL, 'GRB2-RELATED ADAPTER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(104343, NULL, 'PTHR11430:SF65', NULL, NULL, NULL, NULL, 'PROBASIN', NULL, NULL, NULL, 15),
(104344, NULL, 'PTHR43817:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE, FAMILY 43, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01660)-RELATED', NULL, NULL, NULL, 15),
(104345, NULL, 'PTHR10339', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(104346, NULL, 'PTHR31786:SF2', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA CORE COMPLEX-ASSOCIATED PROTEIN 24', NULL, NULL, NULL, 15),
(104347, NULL, 'PTHR24330', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN BARH-LIKE', NULL, NULL, NULL, 15),
(104348, NULL, 'PTHR46769:SF3', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR BINDING PROTEIN,N-TERMINAL', NULL, NULL, NULL, 15),
(104349, NULL, 'PTHR11220:SF61', NULL, NULL, NULL, NULL, 'BNAC03G16760D PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104350, NULL, 'PTHR45908:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG09691', NULL, NULL, NULL, 15),
(104351, NULL, 'PTHR47965:SF52', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(104352, NULL, 'PTHR21690', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(104353, NULL, 'PTHR10544:SF16', NULL, NULL, NULL, NULL, 'BNAA01G07450D PROTEIN', NULL, NULL, NULL, 15),
(104354, NULL, 'PTHR34134:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR BLAI', NULL, NULL, NULL, 15),
(104355, NULL, 'PTHR43576:SF2', NULL, NULL, NULL, NULL, 'INTRACELLULAR EXO-ALPHA-L-ARABINOFURANOSIDASE 2', NULL, NULL, NULL, 15),
(104356, NULL, 'PTHR34777:SF8', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 10-LIKE', NULL, NULL, NULL, 15),
(104357, NULL, 'PTHR31190:SF234', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(104358, NULL, 'PTHR13864:SF6', NULL, NULL, NULL, NULL, 'PROTEIN LYL-1', NULL, NULL, NULL, 15),
(104359, NULL, 'PTHR39364:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04867', NULL, NULL, NULL, 15),
(104360, NULL, 'PTHR43178:SF9', NULL, NULL, NULL, NULL, 'BNAA01G32560D PROTEIN', NULL, NULL, NULL, 15),
(104361, NULL, 'PTHR31707:SF71', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(104362, NULL, 'PTHR31623:SF25', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(104363, NULL, 'PTHR19375:SF396', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104364, NULL, 'PTHR14215:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION REGULATOR 2', NULL, NULL, NULL, 15),
(104365, NULL, 'PTHR24039:SF40', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE MATRIX RECEPTOR MUP-4', NULL, NULL, NULL, 15),
(104366, NULL, 'PTHR10641:SF1272', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB15-3', NULL, NULL, NULL, 15),
(104367, NULL, 'PTHR13439:SF6', NULL, NULL, NULL, NULL, 'AAR085WP', NULL, NULL, NULL, 15),
(104368, NULL, 'PTHR20950', NULL, NULL, NULL, NULL, 'GALANIN-RELATED PEPTIDE', NULL, NULL, 35166, 15),
(104369, NULL, 'PTHR27006:SF336', NULL, NULL, NULL, NULL, 'BNAA09G26670D PROTEIN', NULL, NULL, NULL, 15),
(104370, NULL, 'PTHR22749:SF6', NULL, NULL, NULL, NULL, 'RIBOFLAVIN KINASE', NULL, NULL, NULL, 15),
(104371, NULL, 'PTHR42336', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104372, NULL, 'PTHR34222:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104373, NULL, 'PTHR31150:SF31', NULL, NULL, NULL, NULL, 'BNAA06G09000D PROTEIN', NULL, NULL, NULL, 15),
(104374, NULL, 'PTHR24014:SF7', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104375, NULL, 'PTHR23222:SF24', NULL, NULL, NULL, NULL, 'PROHIBITIN, BAND 7 DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104376, NULL, 'PTHR46100:SF12', NULL, NULL, NULL, NULL, 'ROSSMANN-LIKE ALPHA/BETA/ALPHA SANDWICH FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104377, NULL, 'PTHR24177:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104378, NULL, 'PTHR23268', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR BETA CHAIN', NULL, NULL, NULL, 15),
(104379, NULL, 'PTHR24377:SF165', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 432', NULL, NULL, NULL, 15),
(104380, NULL, 'PTHR24012:SF801', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 1-B', NULL, NULL, NULL, 15),
(104381, NULL, 'PTHR45634:SF4', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 4, ISOFORM G', NULL, NULL, NULL, 15),
(104382, NULL, 'PTHR12300:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104383, NULL, 'PTHR33312:SF19', NULL, NULL, NULL, NULL, 'BRI1 KINASE INHIBITOR 1', NULL, NULL, NULL, 15),
(104384, NULL, 'PTHR46309', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 12', NULL, NULL, 37244, 15),
(104385, NULL, 'PTHR24370:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND WD REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(104386, NULL, 'PTHR33147:SF74', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 6', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104387, NULL, 'PTHR42683:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104388, NULL, 'PTHR31326:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(104389, NULL, 'PTHR43791:SF4', NULL, NULL, NULL, NULL, 'PANTOTHENATE TRANSPORTER FEN2', NULL, NULL, NULL, 15),
(104390, NULL, 'PTHR45755:SF1', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 5', NULL, NULL, NULL, 15),
(104391, NULL, 'PTHR32546', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 158-RELATED', NULL, NULL, 38197, 15),
(104392, NULL, 'PTHR42973:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104393, NULL, 'PTHR43851:SF1', NULL, NULL, NULL, NULL, 'ATYPICAL KINASE COQ8A, MITOCHONDRIAL', NULL, NULL, 5042, 15),
(104394, NULL, 'PTHR23413:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104395, NULL, 'PTHR30457:SF22', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(104396, NULL, 'PTHR43272:SF70', NULL, NULL, NULL, NULL, 'BNAC07G50530D PROTEIN', NULL, NULL, NULL, 15),
(104397, NULL, 'PTHR11586:SF41', NULL, NULL, NULL, NULL, 'AMINOACYL TRNA SYNTHETASE COMPLEX-INTERACTING MULTIFUNCTIONAL PROTEIN 1', NULL, NULL, NULL, 15),
(104398, NULL, 'PTHR22957:SF187', NULL, NULL, NULL, NULL, 'SMALL G PROTEIN SIGNALING MODULATOR 1', NULL, NULL, NULL, 15),
(104399, NULL, 'PTHR48002:SF63', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(104400, NULL, 'PTHR31929:SF59', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN X15-LIKE', NULL, NULL, NULL, 15),
(104401, NULL, 'PTHR44520:SF2', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR RCP1', NULL, NULL, NULL, 15),
(104402, NULL, 'PTHR47942:SF2', NULL, NULL, NULL, NULL, 'OS09G0532800 PROTEIN', NULL, NULL, NULL, 15),
(104403, NULL, 'PTHR33264:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(104404, NULL, 'PTHR43330:SF15', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(104405, NULL, 'PTHR10890:SF31', NULL, NULL, NULL, NULL, 'BNAC03G14210D PROTEIN', NULL, NULL, NULL, 15),
(104406, NULL, 'PTHR31019', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 21427, 15),
(104407, NULL, 'PTHR15444', NULL, NULL, NULL, NULL, 'SECRETED PHOSPHOPROTEIN 24', NULL, NULL, 11529, 15),
(104408, NULL, 'PTHR35988', NULL, NULL, NULL, NULL, '15-CIS-ZETA-CAROTENE ISOMERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(104409, NULL, 'PTHR10582:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104410, NULL, 'PTHR24282:SF143', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 72 SUBFAMILY A POLYPEPTIDE 8', NULL, NULL, NULL, 15),
(104411, NULL, 'PTHR43335:SF8', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(104412, NULL, 'PTHR31376:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104413, NULL, 'PTHR15710:SF21', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF126', NULL, NULL, 29333, 15),
(104414, NULL, 'PTHR34576:SF10', NULL, NULL, NULL, NULL, 'BNAC03G15310D PROTEIN', NULL, NULL, NULL, 15),
(104415, NULL, 'PTHR47504:SF2', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN SOXS', NULL, NULL, NULL, 15),
(104416, NULL, 'PTHR46947', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 73', NULL, NULL, 38848, 15),
(104417, NULL, 'PTHR27006:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104418, NULL, 'PTHR35868:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104419, NULL, 'PTHR24034:SF134', NULL, NULL, NULL, NULL, 'CYSTEINE RICH WITH EGF (EGF) LIKE DOMAINS HOMOLOG', NULL, NULL, NULL, 15),
(104420, NULL, 'PTHR10759:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L34, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(104421, NULL, 'PTHR30137:SF15', NULL, NULL, NULL, NULL, 'BLL6902 PROTEIN', NULL, NULL, NULL, 15),
(104422, NULL, 'PTHR15654', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(104423, NULL, 'PTHR21310:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104424, NULL, 'PTHR34222:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104425, NULL, 'PTHR47629:SF7', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(104426, NULL, 'PTHR11689:SF156', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(104427, NULL, 'PTHR12221:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104428, NULL, 'PTHR37049:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104429, NULL, 'PTHR28610:SF1', NULL, NULL, NULL, NULL, 'DRAXIN', NULL, NULL, NULL, 15),
(104430, NULL, 'PTHR32097:SF4', NULL, NULL, NULL, NULL, 'GENERAL STRESS PROTEIN 16U', NULL, NULL, NULL, 15),
(104431, NULL, 'PTHR33052:SF25', NULL, NULL, NULL, NULL, 'OS02G0193200 PROTEIN', NULL, NULL, NULL, 15),
(104432, NULL, 'PTHR27002:SF528', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 37', NULL, NULL, NULL, 15),
(104433, NULL, 'PTHR31025:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104434, NULL, 'PTHR24064:SF554', NULL, NULL, NULL, NULL, 'BNAA09G15770D PROTEIN', NULL, NULL, NULL, 15),
(104435, NULL, 'PTHR10628:SF25', NULL, NULL, NULL, NULL, 'SIALIDASE A', NULL, NULL, NULL, 15),
(104436, NULL, 'PTHR10894:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104437, NULL, 'PTHR24114:SF39', NULL, NULL, NULL, NULL, 'AGAP012977-PA', NULL, NULL, NULL, 15),
(104438, NULL, 'PTHR47503:SF1', NULL, NULL, NULL, NULL, 'PURKINJE CELL PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(104439, NULL, 'PTHR21240:SF23', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_7G05840)', NULL, NULL, NULL, 15),
(104440, NULL, 'PTHR10336:SF180', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(104441, NULL, 'PTHR10362:SF43', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE 1', NULL, NULL, NULL, 15),
(104442, NULL, 'PTHR43161:SF17', NULL, NULL, NULL, NULL, 'L-IDONATE 5-DEHYDROGENASE', NULL, NULL, NULL, 15),
(104443, NULL, 'PTHR12138:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104444, NULL, 'PTHR38839', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR WHID-RELATED', NULL, NULL, 6417, 15),
(104445, NULL, 'PTHR16768:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM107B', NULL, NULL, NULL, 15),
(104446, NULL, 'PTHR11219:SF9', NULL, NULL, NULL, NULL, 'TENEURIN-4', NULL, NULL, 26067, 15),
(104447, NULL, 'PTHR47212', NULL, NULL, NULL, NULL, 'ADHESIN-LIKE PROTEIN, PUTATIVE (DUF3741)-RELATED', NULL, NULL, NULL, 15),
(104448, NULL, 'PTHR45764:SF46', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104449, NULL, 'PTHR35892:SF3', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN X', NULL, NULL, NULL, 15),
(104450, NULL, 'PTHR14549', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 26169, 15),
(104451, NULL, 'PTHR43625:SF51', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(104452, NULL, 'PTHR45647:SF86', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(104453, NULL, 'PTHR47958:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX3X', NULL, NULL, NULL, 15),
(104454, NULL, 'PTHR31704:SF39', NULL, NULL, NULL, NULL, 'BNAC08G02630D PROTEIN', NULL, NULL, NULL, 15),
(104455, NULL, 'PTHR46132:SF7', NULL, NULL, NULL, NULL, 'SYNTHASE 2, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(104456, NULL, 'PTHR11782:SF83', NULL, NULL, NULL, NULL, 'NTPASE, ISOFORM F', NULL, NULL, NULL, 15),
(104457, NULL, 'PTHR31189:SF13', NULL, NULL, NULL, NULL, '63 KDA GLOBULIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(104458, NULL, 'PTHR36794:SF2', NULL, NULL, NULL, NULL, 'BNAANNG05910D PROTEIN', NULL, NULL, NULL, 15),
(104459, NULL, 'PTHR22952:SF435', NULL, NULL, NULL, NULL, 'BNACNNG41320D PROTEIN', NULL, NULL, NULL, 15),
(104460, NULL, 'PTHR21068:SF37', NULL, NULL, NULL, NULL, 'BNAA07G03060D PROTEIN', NULL, NULL, NULL, 15),
(104461, NULL, 'PTHR11615:SF232', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE YRHE-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104462, NULL, 'PTHR43691:SF12', NULL, NULL, NULL, NULL, 'URIDINE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(104463, NULL, 'PTHR13683:SF775', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(104464, NULL, 'PTHR10543:SF26', NULL, NULL, NULL, NULL, '9-CIS-EPOXYCAROTENOID DIOXYGENASE NCED3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(104465, NULL, 'PTHR11616:SF104', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(104466, NULL, 'PTHR45854:SF6', NULL, NULL, NULL, NULL, 'ARFGAP WITH SH3 DOMAIN, ANKYRIN REPEAT AND PH DOMAIN 2B', NULL, NULL, NULL, 15),
(104467, NULL, 'PTHR19353:SF57', NULL, NULL, NULL, NULL, 'ACYL-COA (8-3)-DESATURASE', NULL, NULL, NULL, 15),
(104468, NULL, 'PTHR33052:SF95', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(104469, NULL, 'PTHR43811:SF41', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP43', NULL, NULL, NULL, 15),
(104470, NULL, 'PTHR10722:SF28', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', NULL, NULL, NULL, 15),
(104471, NULL, 'PTHR24075:SF10', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN ERDJ2B', NULL, NULL, NULL, 15),
(104472, NULL, 'PTHR19818:SF135', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 76', NULL, NULL, NULL, 15),
(104473, NULL, 'PTHR10730:SF48', NULL, NULL, NULL, NULL, 'FAMILY-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(104474, NULL, 'PTHR12815:SF38', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE OMP85 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(104475, NULL, 'PTHR12588:SF9', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(104476, NULL, 'PTHR10288:SF300', NULL, NULL, NULL, NULL, 'NEURO-ONCOLOGICAL VENTRAL ANTIGEN 1', NULL, NULL, NULL, 15),
(104477, NULL, 'PTHR30204:SF67', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MLRA-RELATED', NULL, NULL, NULL, 15),
(104478, NULL, 'PTHR11346:SF165', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(104479, NULL, 'PTHR24015:SF1773', NULL, NULL, NULL, NULL, 'OS01G0101150 PROTEIN', NULL, NULL, NULL, 15),
(104480, NULL, 'PTHR47991:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE', NULL, NULL, NULL, 15),
(104481, NULL, 'PTHR31376:SF67', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 6-RELATED', NULL, NULL, NULL, 15),
(104482, NULL, 'PTHR12483:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104483, NULL, 'PTHR12313:SF55', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF5-LIKE', NULL, NULL, NULL, 15),
(104484, NULL, 'PTHR11063:SF20', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE A', NULL, NULL, NULL, 15),
(104485, NULL, 'PTHR38384', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(104486, NULL, 'PTHR24264:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104487, NULL, 'PTHR35126', NULL, NULL, NULL, NULL, 'SLR0598 PROTEIN', NULL, NULL, 18082, 15),
(104488, NULL, 'PTHR45229', NULL, NULL, NULL, NULL, 'CONSTITUTIVE ORNITHINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(104489, NULL, 'PTHR10858:SF25', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE II FAMILY PROTEIN', NULL, NULL, NULL, 15),
(104490, NULL, 'PTHR11362:SF131', NULL, NULL, NULL, NULL, 'GH14494P-RELATED', NULL, NULL, NULL, 15),
(104491, NULL, 'PTHR16148:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104492, NULL, 'PTHR11278:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15),
(104493, NULL, 'PTHR13683:SF817', NULL, NULL, NULL, NULL, 'OS07G0592200 PROTEIN', NULL, NULL, NULL, 15),
(104494, NULL, 'PTHR34403', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104495, NULL, 'PTHR48024:SF4', NULL, NULL, NULL, NULL, 'MULTIPLE RNA-BINDING DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(104496, NULL, 'PTHR24223:SF418', NULL, NULL, NULL, NULL, 'BNAC05G23300D PROTEIN', NULL, NULL, NULL, 15),
(104497, NULL, 'PTHR32063:SF17', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN', NULL, NULL, NULL, 15),
(104498, NULL, 'PTHR47956:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104499, NULL, 'PTHR23268:SF30', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 25-1', NULL, NULL, NULL, 15),
(104500, NULL, 'PTHR45973:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 49', NULL, NULL, NULL, 15),
(104501, NULL, 'PTHR15036:SF48', NULL, NULL, NULL, NULL, 'NEUREXIN-3B', NULL, NULL, NULL, 15),
(104502, NULL, 'PTHR24327:SF33', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DLX-1', NULL, NULL, NULL, 15),
(104503, NULL, 'PTHR10585', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN RETAINING RECEPTOR', NULL, NULL, 3808, 15),
(104504, NULL, 'PTHR42678:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104505, NULL, 'PTHR48018:SF70', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(104506, NULL, 'PTHR11875:SF7', NULL, NULL, NULL, NULL, 'AT14585P-RELATED', NULL, NULL, NULL, 15),
(104507, NULL, 'PTHR43317:SF6', NULL, NULL, NULL, NULL, 'THERMOSPERMINE SYNTHASE ACAULIS5-LIKE', NULL, NULL, NULL, 15),
(104508, NULL, 'PTHR43327:SF31', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 2', NULL, NULL, NULL, 15),
(104509, NULL, 'PTHR18953:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104510, NULL, 'PTHR15316:SF6', NULL, NULL, NULL, NULL, 'BNAA09G44470D PROTEIN', NULL, NULL, NULL, 15),
(104511, NULL, 'PTHR11706:SF99', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP5-LIKE', NULL, NULL, NULL, 15),
(104512, NULL, 'PTHR44259:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104513, NULL, 'PTHR31426:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104514, NULL, 'PTHR47396:SF1', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME ECOKI R PROTEIN', NULL, NULL, NULL, 15),
(104515, NULL, 'PTHR11802:SF245', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(104516, NULL, 'PTHR11709:SF401', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(104517, NULL, 'PTHR11615:SF275', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4D1', NULL, NULL, NULL, 15),
(104518, NULL, 'PTHR22599:SF55', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 1A', NULL, NULL, NULL, 15),
(104519, NULL, 'PTHR10153:SF40', NULL, NULL, NULL, NULL, 'SMALL CONDUCTANCE CALCIUM-ACTIVATED POTASSIUM CHANNEL PROTEIN 3', NULL, NULL, NULL, 15),
(104520, NULL, 'PTHR23062:SF3', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(104521, NULL, 'PTHR10424:SF67', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP V MEMBER 1 ENV POLYPROTEIN', NULL, NULL, NULL, 15),
(104522, NULL, 'PTHR43670:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104523, NULL, 'PTHR42898:SF54', NULL, NULL, NULL, NULL, 'BNAC04G14030D PROTEIN', NULL, NULL, NULL, 15),
(104524, NULL, 'PTHR47992:SF15', NULL, NULL, NULL, NULL, 'OS01G0976700 PROTEIN', NULL, NULL, NULL, 15),
(104525, NULL, 'PTHR11206:SF157', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(104526, NULL, 'PTHR24416:SF486', NULL, NULL, NULL, NULL, 'EPH RECEPTOR A4B-RELATED', NULL, NULL, NULL, 15),
(104527, NULL, 'PTHR26452:SF2', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(104528, NULL, 'PTHR10666:SF371', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 8-RELATED', NULL, NULL, NULL, 15),
(104529, NULL, 'PTHR31845:SF18', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(104530, NULL, 'PTHR23421:SF59', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE-1-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(104531, NULL, 'PTHR31089:SF42', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.5', NULL, NULL, NULL, 15),
(104532, NULL, 'PTHR24322:SF634', NULL, NULL, NULL, NULL, 'FI23927P1-RELATED', NULL, NULL, NULL, 15),
(104533, NULL, 'PTHR23503:SF43', NULL, NULL, NULL, NULL, 'PROTEIN CBG01149', NULL, NULL, NULL, 15),
(104534, NULL, 'PTHR36617:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104535, NULL, 'PTHR46955:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG20967', NULL, NULL, NULL, 15),
(104536, NULL, 'PTHR32285:SF288', NULL, NULL, NULL, NULL, 'BNAA03G47320D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104537, NULL, 'PTHR48111:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN PHOP', NULL, NULL, NULL, 15),
(104538, NULL, 'PTHR44086:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104539, NULL, 'PTHR31648:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104540, NULL, 'PTHR35729', NULL, NULL, NULL, NULL, 'T1B9.12 PROTEIN', NULL, NULL, NULL, 15),
(104541, NULL, 'PTHR24068:SF300', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME 15, E2', NULL, NULL, NULL, 15),
(104542, NULL, 'PTHR47958:SF7', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 15', NULL, NULL, NULL, 15),
(104543, NULL, 'PTHR31003:SF38', NULL, NULL, NULL, NULL, 'MYB DOMAIN, PLANT, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104544, NULL, 'PTHR11829:SF167', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 3-BETA', NULL, NULL, NULL, 15),
(104545, NULL, 'PTHR10730:SF28', NULL, NULL, NULL, NULL, 'PROCOLLAGEN GALACTOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(104546, NULL, 'PTHR33417:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104547, NULL, 'PTHR11783:SF236', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(104548, NULL, 'PTHR39199:SF1', NULL, NULL, NULL, NULL, 'BLR5128 PROTEIN', NULL, NULL, NULL, 15),
(104549, NULL, 'PTHR47992:SF122', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 8-RELATED', NULL, NULL, NULL, 15),
(104550, NULL, 'PTHR33128:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104551, NULL, 'PTHR31945:SF46', NULL, NULL, NULL, NULL, 'OS03G0229100 PROTEIN', NULL, NULL, NULL, 15),
(104552, NULL, 'PTHR23348:SF41', NULL, NULL, NULL, NULL, 'NEUROBLAST DIFFERENTIATION-ASSOCIATED PROTEIN AHNAK', NULL, NULL, NULL, 15),
(104553, NULL, 'PTHR33136:SF6', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 34', NULL, NULL, NULL, 15),
(104554, NULL, 'PTHR11783:SF189', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(104555, NULL, 'PTHR43495:SF3', NULL, NULL, NULL, NULL, 'PHENYLALANINE-SPECIFIC PERMEASE', NULL, NULL, NULL, 15),
(104556, NULL, 'PTHR47990:SF81', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(104557, NULL, 'PTHR24073:SF882', NULL, NULL, NULL, NULL, 'CIRCULARLY PERMUTATED RAS PROTEIN 2', NULL, NULL, NULL, 15),
(104558, NULL, 'PTHR39341', NULL, NULL, NULL, NULL, 'BSL7085 PROTEIN', NULL, NULL, 17612, 15),
(104559, NULL, 'PTHR18929:SF228', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104560, NULL, 'PTHR11950:SF43', NULL, NULL, NULL, NULL, 'RUNT-RELATED TRANSCRIPTION FACTOR 3', NULL, NULL, NULL, 15),
(104561, NULL, 'PTHR18966:SF447', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3.3', NULL, NULL, NULL, 15),
(104562, NULL, 'PTHR31832:SF47', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 25', NULL, NULL, NULL, 15),
(104563, NULL, 'PTHR23382:SF23', NULL, NULL, NULL, NULL, 'BNAC09G33800D PROTEIN', NULL, NULL, NULL, 15),
(104564, NULL, 'PTHR46056', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', NULL, NULL, NULL, 15),
(104565, NULL, 'PTHR23201:SF59', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 4', NULL, NULL, NULL, 15),
(104566, NULL, 'PTHR24055:SF460', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 5', NULL, NULL, NULL, 15),
(104567, NULL, 'PTHR48014:SF17', NULL, NULL, NULL, NULL, 'OS10G0518800 PROTEIN', NULL, NULL, NULL, 15),
(104568, NULL, 'PTHR47988:SF6', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(104569, NULL, 'PTHR43685', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(104570, NULL, 'PTHR10760', NULL, NULL, NULL, NULL, 'TORSIN', NULL, NULL, 10309, 15),
(104571, NULL, 'PTHR24418', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(104572, NULL, 'PTHR12910:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 12', NULL, NULL, NULL, 15),
(104573, NULL, 'PTHR45651:SF73', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-GATED ION CHANNEL, PUTATIVE-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104574, NULL, 'PTHR18929:SF69', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 1', NULL, NULL, NULL, 15),
(104575, NULL, 'PTHR46194:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE PTRHD1-RELATED', NULL, NULL, NULL, 15),
(104576, NULL, 'PTHR36735', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(104577, NULL, 'PTHR28029:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ILM1', NULL, NULL, NULL, 15),
(104578, NULL, 'PTHR31194:SF57', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF1-LIKE', NULL, NULL, NULL, 15),
(104579, NULL, 'PTHR35617', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104580, NULL, 'PTHR45951:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DISPATCHED', NULL, NULL, 23269, 15),
(104581, NULL, 'PTHR16201:SF36', NULL, NULL, NULL, NULL, 'LYSOSOMAL AMINO ACID TRANSPORTER 1 HOMOLOG', NULL, NULL, NULL, 15),
(104582, NULL, 'PTHR33088:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104583, NULL, 'PTHR43943:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 2, MITOCHONDRIAL', NULL, NULL, 26674, 15),
(104584, NULL, 'PTHR46647', NULL, NULL, NULL, NULL, 'RAB9 EFFECTOR PROTEIN WITH KELCH MOTIFS', NULL, NULL, NULL, 15),
(104585, NULL, 'PTHR11909:SF363', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE', NULL, NULL, NULL, 15),
(104586, NULL, 'PTHR27006:SF438', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104587, NULL, 'PTHR31744:SF153', NULL, NULL, NULL, NULL, 'BNAA09G41400D PROTEIN', NULL, NULL, NULL, 15),
(104588, NULL, 'PTHR30614:SF41', NULL, NULL, NULL, NULL, 'INNER MEMBRANE AMINO-ACID ABC TRANSPORTER PERMEASE PROTEIN YHDY', NULL, NULL, NULL, 15),
(104589, NULL, 'PTHR24637:SF310', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(104590, NULL, 'PTHR45877', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIAH2', NULL, NULL, 2645, 15),
(104591, NULL, 'PTHR22145:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM217B', NULL, NULL, NULL, 15),
(104592, NULL, 'PTHR13620:SF89', NULL, NULL, NULL, NULL, 'BNAC01G44900D PROTEIN', NULL, NULL, NULL, 15),
(104593, NULL, 'PTHR47990:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104594, NULL, 'PTHR42693:SF2', NULL, NULL, NULL, NULL, 'ARYLSULFATASE F', NULL, NULL, NULL, 15),
(104595, NULL, 'PTHR34197:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104596, NULL, 'PTHR12002:SF196', NULL, NULL, NULL, NULL, 'CLAUDIN-22', NULL, NULL, NULL, 15),
(104597, NULL, 'PTHR46514:SF4', NULL, NULL, NULL, NULL, 'MYC BOX-DEPENDENT-INTERACTING PROTEIN 1', NULL, NULL, 234, 15),
(104598, NULL, 'PTHR24366:SF41', NULL, NULL, NULL, NULL, 'FIBRONECTIN LEUCINE RICH TRANSMEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(104599, NULL, 'PTHR43254:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(104600, NULL, 'PTHR46272:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 139-RELATED', NULL, NULL, NULL, 15),
(104601, NULL, 'PTHR47784:SF9', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(104602, NULL, 'PTHR24064:SF553', NULL, NULL, NULL, NULL, 'CATION/CARNITINE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(104603, NULL, 'PTHR23412', NULL, NULL, NULL, NULL, 'STEREOCILIN RELATED', NULL, NULL, 24083, 15),
(104604, NULL, 'PTHR46658:SF1', NULL, NULL, NULL, NULL, 'SLR0580 PROTEIN', NULL, NULL, NULL, 15),
(104605, NULL, 'PTHR24068:SF362', NULL, NULL, NULL, NULL, 'BNAC06G42330D PROTEIN', NULL, NULL, NULL, 15),
(104606, NULL, 'PTHR31282:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104607, NULL, 'PTHR43723:SF1', NULL, NULL, NULL, NULL, 'COBALT TRANSPORT PROTEIN CBIQ', NULL, NULL, NULL, 15),
(104608, NULL, 'PTHR23024:SF386', NULL, NULL, NULL, NULL, 'OS06G0306600 PROTEIN', NULL, NULL, NULL, 15),
(104609, NULL, 'PTHR47245', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(104610, NULL, 'PTHR35828:SF18', NULL, NULL, NULL, NULL, 'OS03G0703800 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104611, NULL, 'PTHR46911:SF1', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE', NULL, NULL, NULL, 15),
(104612, NULL, 'PTHR48079:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104613, NULL, 'PTHR31985:SF177', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(104614, NULL, 'PTHR31707:SF333', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(104615, NULL, 'PTHR19277', NULL, NULL, NULL, NULL, 'PENTRAXIN', NULL, NULL, NULL, 15),
(104616, NULL, 'PTHR23021:SF47', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(104617, NULL, 'PTHR23504:SF31', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(104618, NULL, 'PTHR22802:SF221', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(104619, NULL, 'PTHR12537:SF122', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(104620, NULL, 'PTHR47990:SF83', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(104621, NULL, 'PTHR10706:SF148', NULL, NULL, NULL, NULL, 'OS02G0188900 PROTEIN', NULL, NULL, NULL, 15),
(104622, NULL, 'PTHR45932:SF6', NULL, NULL, NULL, NULL, 'PATELLIN-3', NULL, NULL, NULL, 15),
(104623, NULL, 'PTHR12936:SF0', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 10', NULL, NULL, NULL, 15),
(104624, NULL, 'PTHR22996:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LUL3-RELATED', NULL, NULL, NULL, 15),
(104625, NULL, 'PTHR13678:SF18', NULL, NULL, NULL, NULL, 'LD45836P', NULL, NULL, NULL, 15),
(104626, NULL, 'PTHR31339:SF64', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', NULL, NULL, NULL, 15),
(104627, NULL, 'PTHR43077:SF9', NULL, NULL, NULL, NULL, 'TRANSPORT PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(104628, NULL, 'PTHR23050:SF451', NULL, NULL, NULL, NULL, 'EF-HAND PAIR PROTEIN', NULL, NULL, NULL, 15),
(104629, NULL, 'PTHR24361:SF832', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(104630, NULL, 'PTHR23084:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104631, NULL, 'PTHR10869:SF179', NULL, NULL, NULL, NULL, 'BNAA04G24820D PROTEIN', NULL, NULL, NULL, 15),
(104632, NULL, 'PTHR24092:SF84', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE VD-RELATED', NULL, NULL, 23744, 15),
(104633, NULL, 'PTHR23430:SF254', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(104634, NULL, 'PTHR33248:SF16', NULL, NULL, NULL, NULL, 'BNAANNG07810D PROTEIN', NULL, NULL, NULL, 15),
(104635, NULL, 'PTHR19336:SF9', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY PROTEIN PPC89', NULL, NULL, NULL, 15),
(104636, NULL, 'PTHR11208:SF45', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 1', NULL, NULL, 26603, 15),
(104637, NULL, 'PTHR19918:SF50', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 20.2, COFACTOR OF APC COMPLEX-LIKE', NULL, NULL, NULL, 15),
(104638, NULL, 'PTHR32054:SF67', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(104639, NULL, 'PTHR31126:SF50', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE DSP1', NULL, NULL, NULL, 15),
(104640, NULL, 'PTHR11616:SF38', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT DOPAMINE TRANSPORTER', NULL, NULL, NULL, 15),
(104641, NULL, 'PTHR31623:SF36', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(104642, NULL, 'PTHR45806:SF5', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN, LONGIN-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104643, NULL, 'PTHR14000:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104644, NULL, 'PTHR43313:SF34', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(104645, NULL, 'PTHR31981:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLATED LYSOSOMAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(104646, NULL, 'PTHR47967:SF8', NULL, NULL, NULL, NULL, 'BNAC05G40510D PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104647, NULL, 'PTHR43586', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURASE', NULL, NULL, NULL, 15),
(104648, NULL, 'PTHR12266', NULL, NULL, NULL, NULL, 'NA+/CA2+ K+ INDEPENDENT EXCHANGER', NULL, NULL, NULL, 15),
(104649, NULL, 'PTHR24015:SF563', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104650, NULL, 'PTHR46570', NULL, NULL, NULL, NULL, 'TUBULIN--TYROSINE LIGASE', NULL, NULL, NULL, 15),
(104651, NULL, 'PTHR13832:SF776', NULL, NULL, NULL, NULL, 'SLL1033 PROTEIN', NULL, NULL, NULL, 15),
(104652, NULL, 'PTHR24061:SF524', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104653, NULL, 'PTHR33459:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104654, NULL, 'PTHR34951', NULL, NULL, NULL, NULL, 'B6F COMPLEX SUBUNIT, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(104655, NULL, 'PTHR32295:SF185', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', NULL, NULL, NULL, 15),
(104656, NULL, 'PTHR11909:SF89', NULL, NULL, NULL, NULL, 'PROTEIN CBG19720', NULL, NULL, NULL, 15),
(104657, NULL, 'PTHR10707:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 4 ISOFORM 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(104658, NULL, 'PTHR10194:SF52', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN NGAP', NULL, NULL, NULL, 15),
(104659, NULL, 'PTHR46245:SF8', NULL, NULL, NULL, NULL, 'BNAA05G11980D PROTEIN', NULL, NULL, NULL, 15),
(104660, NULL, 'PTHR11871:SF43', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', NULL, NULL, NULL, 15),
(104661, NULL, 'PTHR46445:SF3', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II DEGRADATION FACTOR-LIKE PROTEIN (DUF1296)', NULL, NULL, NULL, 15),
(104662, NULL, 'PTHR48058:SF3', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', NULL, NULL, NULL, 15),
(104663, NULL, 'PTHR47669:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN SFH5', NULL, NULL, NULL, 15),
(104664, NULL, 'PTHR38325:SF1', NULL, NULL, NULL, NULL, 'MCG55969', NULL, NULL, NULL, 15),
(104665, NULL, 'PTHR10288:SF229', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN NOVA-1', NULL, NULL, 34721, 15),
(104666, NULL, 'PTHR11165:SF108', NULL, NULL, NULL, NULL, 'SKP1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104667, NULL, 'PTHR32133:SF252', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104668, NULL, 'PTHR43306:SF1', NULL, NULL, NULL, NULL, '7,8-DIHYDRO-6-HYDROXYMETHYLPTERIN DIMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(104669, NULL, 'PTHR13593:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104670, NULL, 'PTHR34145:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104671, NULL, 'PTHR24396:SF19', NULL, NULL, NULL, NULL, 'FI01119P', NULL, NULL, NULL, 15),
(104672, NULL, 'PTHR21450:SF11', NULL, NULL, NULL, NULL, 'OS02G0654600 PROTEIN', NULL, NULL, NULL, 15),
(104673, NULL, 'PTHR30055', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR RUTR', NULL, NULL, NULL, 15),
(104674, NULL, 'PTHR38619:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04644', NULL, NULL, NULL, 15),
(104675, NULL, 'PTHR30115', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN P-II', NULL, NULL, 6080, 15),
(104676, NULL, 'PTHR11673:SF26', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', NULL, NULL, NULL, 15),
(104677, NULL, 'PTHR46960:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE KEG', NULL, NULL, NULL, 15),
(104678, NULL, 'PTHR10992:SF1044', NULL, NULL, NULL, NULL, 'BNAC06G07880D PROTEIN', NULL, NULL, NULL, 15),
(104679, NULL, 'PTHR14949:SF26', NULL, NULL, NULL, NULL, 'TERATOCARCINOMA-DERIVED GROWTH FACTOR 3-RELATED', NULL, NULL, NULL, 15),
(104680, NULL, 'PTHR11042:SF162', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0269628-RELATED', NULL, NULL, NULL, 15),
(104681, NULL, 'PTHR23505:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104682, NULL, 'PTHR14281:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104683, NULL, 'PTHR38519', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(104684, NULL, 'PTHR11108:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104685, NULL, 'PTHR13120:SF4', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR INI1', NULL, NULL, NULL, 15),
(104686, NULL, 'PTHR11772:SF38', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING] 3', NULL, NULL, NULL, 15),
(104687, NULL, 'PTHR15955', NULL, NULL, NULL, NULL, 'RWD DOMAIN CONTAINING PROTEIN 2', NULL, NULL, 17644, 15),
(104688, NULL, 'PTHR10799:SF982', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE DDM1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(104689, NULL, 'PTHR31278:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(104690, NULL, 'PTHR24404:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104691, NULL, 'PTHR33927', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(104692, NULL, 'PTHR48016:SF30', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(104693, NULL, 'PTHR43221:SF1', NULL, NULL, NULL, NULL, 'PROTEASE HTPX', NULL, NULL, NULL, 15),
(104694, NULL, 'PTHR33784:SF33', NULL, NULL, NULL, NULL, 'BNAANNG11990D PROTEIN', NULL, NULL, NULL, 15),
(104695, NULL, 'PTHR45088:SF4', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(104696, NULL, 'PTHR31973:SF133', NULL, NULL, NULL, NULL, 'OS02G0685500 PROTEIN', NULL, NULL, NULL, 15),
(104697, NULL, 'PTHR37610:SF56', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', NULL, NULL, NULL, 15),
(104698, NULL, 'PTHR26374:SF388', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104699, NULL, 'PTHR43538', NULL, NULL, NULL, NULL, 'ALPHA-IPM SYNTHASE/HOMOCITRATE SYNTHASE', NULL, NULL, 3769, 15),
(104700, NULL, 'PTHR36497', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104701, NULL, 'PTHR13343:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CREG1', NULL, NULL, NULL, 15),
(104702, NULL, 'PTHR10625:SF200', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 2', NULL, NULL, NULL, 15),
(104703, NULL, 'PTHR10075:SF37', NULL, NULL, NULL, NULL, 'ROUNDABOUT HOMOLOG 3', NULL, NULL, NULL, 15),
(104704, NULL, 'PTHR31325:SF201', NULL, NULL, NULL, NULL, 'OSJNBB0045P24.5 PROTEIN', NULL, NULL, NULL, 15),
(104705, NULL, 'PTHR33881:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104706, NULL, 'PTHR24300:SF309', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(104707, NULL, 'PTHR33526:SF24', NULL, NULL, NULL, NULL, 'BNAC08G14010D PROTEIN', NULL, NULL, NULL, 15),
(104708, NULL, 'PTHR12317:SF63', NULL, NULL, NULL, NULL, '2-ACYLGLYCEROL O-ACYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(104709, NULL, 'PTHR28255', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 8583, 15),
(104710, NULL, 'PTHR45717:SF18', NULL, NULL, NULL, NULL, 'PPR CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(104711, NULL, 'PTHR14098:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104712, NULL, 'PTHR10113:SF21', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1', NULL, NULL, NULL, 15),
(104713, NULL, 'PTHR43539:SF36', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA2', NULL, NULL, NULL, 15),
(104714, NULL, 'PTHR24072:SF326', NULL, NULL, NULL, NULL, 'BNAA07G03440D PROTEIN', NULL, NULL, NULL, 15),
(104715, NULL, 'PTHR24222:SF42', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING/PERMEASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104716, NULL, 'PTHR13068:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104717, NULL, 'PTHR48036:SF2', NULL, NULL, NULL, NULL, 'OS10G0439600 PROTEIN', NULL, NULL, NULL, 15),
(104718, NULL, 'PTHR45776:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(104719, NULL, 'PTHR22804:SF24', NULL, NULL, NULL, NULL, 'NEUROCAN CORE PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104720, NULL, 'PTHR47983:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104721, NULL, 'PTHR43840:SF43', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 3', NULL, NULL, NULL, 15),
(104722, NULL, 'PTHR24068:SF56', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 Q1', NULL, NULL, NULL, 15),
(104723, NULL, 'PTHR24281:SF86', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A5-LIKE', NULL, NULL, NULL, 15),
(104724, NULL, 'PTHR24637:SF352', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 19', NULL, NULL, NULL, 15),
(104725, NULL, 'PTHR34191:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104726, NULL, 'PTHR22941:SF26', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(104727, NULL, 'PTHR45712:SF19', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE NEURONAL PROTEIN 2', NULL, NULL, NULL, 15),
(104728, NULL, 'PTHR46380:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-D-BINDING MYB-LIKE TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(104729, NULL, 'PTHR33449:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104730, NULL, 'PTHR46446:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR STYLE2.1', NULL, NULL, NULL, 15),
(104731, NULL, 'PTHR35113', NULL, NULL, NULL, NULL, 'FERREDOXIN-THIOREDOXIN REDUCTASE CATALYTIC CHAIN, CHLOROPLASTIC', NULL, NULL, 3591, 15),
(104732, NULL, 'PTHR33124:SF79', NULL, NULL, NULL, NULL, 'OS05G0157400 PROTEIN', NULL, NULL, NULL, 15),
(104733, NULL, 'PTHR10209:SF776', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(104734, NULL, 'PTHR21032:SF0', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(104735, NULL, 'PTHR13890', NULL, NULL, NULL, NULL, 'RNA SPLICING PROTEIN MRS2, MITOCHONDRIAL', NULL, NULL, 35669, 15),
(104736, NULL, 'PTHR31568:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104737, NULL, 'PTHR43191:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104738, NULL, 'PTHR13710:SF135', NULL, NULL, NULL, NULL, 'BNAC08G14630D PROTEIN', NULL, NULL, NULL, 15),
(104739, NULL, 'PTHR13304:SF0', NULL, NULL, NULL, NULL, 'GLYCOSYLPHOSPHATIDYLINOSITOL ANCHOR ATTACHMENT 1 PROTEIN', NULL, NULL, NULL, 15),
(104740, NULL, 'PTHR47991:SF111', NULL, NULL, NULL, NULL, 'CODEINE O-DEMETHYLASE-LIKE', NULL, NULL, NULL, 15),
(104741, NULL, 'PTHR35568:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR DAUR', NULL, NULL, NULL, 15),
(104742, NULL, 'PTHR24340:SF87', NULL, NULL, NULL, NULL, 'NK3 HOMEOBOX 3', NULL, NULL, NULL, 15),
(104743, NULL, 'PTHR20916:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104744, NULL, 'PTHR27008:SF464', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(104745, NULL, 'PTHR24223:SF249', NULL, NULL, NULL, NULL, 'OS02G0288700 PROTEIN', NULL, NULL, NULL, 15),
(104746, NULL, 'PTHR46279:SF15', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL22', NULL, NULL, NULL, 15),
(104747, NULL, 'PTHR44590:SF3', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(104748, NULL, 'PTHR31374:SF184', NULL, NULL, NULL, NULL, 'PROTEIN SMALL AUXIN UP-REGULATED RNA 10', NULL, NULL, NULL, 15),
(104749, NULL, 'PTHR47279:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-30', NULL, NULL, NULL, 15),
(104750, NULL, 'PTHR34795:SF5', NULL, NULL, NULL, NULL, 'BNAC04G56750D PROTEIN', NULL, NULL, NULL, 15),
(104751, NULL, 'PTHR10209:SF653', NULL, NULL, NULL, NULL, 'CME8 PROTEIN', NULL, NULL, NULL, 15),
(104752, NULL, 'PTHR39767:SF2', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-BINDING MEMBRANE PROTEIN PCM4-RELATED', NULL, NULL, NULL, 15),
(104753, NULL, 'PTHR21290:SF53', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL:CERAMIDE INOSITOLPHOSPHOTRANSFERASE 2', NULL, NULL, NULL, 15),
(104754, NULL, 'PTHR27003:SF359', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(104755, NULL, 'PTHR31286:SF53', NULL, NULL, NULL, NULL, 'DUF4283 DOMAIN PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104756, NULL, 'PTHR47979:SF35', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1H-RELATED', NULL, NULL, NULL, 15),
(104757, NULL, 'PTHR12928:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104758, NULL, 'PTHR34667:SF4', NULL, NULL, NULL, NULL, 'BNAA02G27310D PROTEIN', NULL, NULL, NULL, 15),
(104759, NULL, 'PTHR34145:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104760, NULL, 'PTHR47293:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104761, NULL, 'PTHR24366:SF94', NULL, NULL, NULL, NULL, 'SLIT GUIDANCE LIGAND 2', NULL, NULL, NULL, 15),
(104762, NULL, 'PTHR31639:SF228', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104763, NULL, 'PTHR30461:SF22', NULL, NULL, NULL, NULL, 'SERINE RECOMBINASE PINE-RELATED', NULL, NULL, NULL, 15),
(104764, NULL, 'PTHR28249:SF1', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN SPO7', NULL, NULL, NULL, 15),
(104765, NULL, 'PTHR35014:SF1', NULL, NULL, NULL, NULL, 'INFECTION RESPONSE PROTEIN', NULL, NULL, NULL, 15),
(104766, NULL, 'PTHR10314:SF136', NULL, NULL, NULL, NULL, 'O-PHOSPHOSERINE SULFHYDRYLASE', NULL, NULL, NULL, 15),
(104767, NULL, 'PTHR12268:SF14', NULL, NULL, NULL, NULL, 'IP11188P', NULL, NULL, NULL, 15),
(104768, NULL, 'PTHR11786:SF8', NULL, NULL, NULL, NULL, 'ARYLAMINE N-ACETYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(104769, NULL, 'PTHR43452:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104770, NULL, 'PTHR24229:SF98', NULL, NULL, NULL, NULL, 'PROTEIN CBG22082', NULL, NULL, NULL, 15),
(104771, NULL, 'PTHR12565:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104772, NULL, 'PTHR31238:SF224', NULL, NULL, NULL, NULL, 'BNAA05G31360D PROTEIN', NULL, NULL, NULL, 15),
(104773, NULL, 'PTHR13068:SF113', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTEF18, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(104774, NULL, 'PTHR47987:SF15', NULL, NULL, NULL, NULL, 'BNAC02G43880D PROTEIN', NULL, NULL, NULL, 15),
(104775, NULL, 'PTHR35564:SF4', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104776, NULL, 'PTHR11475:SF114', NULL, NULL, NULL, NULL, 'PEROXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(104777, NULL, 'PTHR13388:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 132D', NULL, NULL, NULL, 15),
(104778, NULL, 'PTHR43588', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-8 METHYLMUTASE', NULL, NULL, NULL, 15),
(104779, NULL, 'PTHR36370:SF1', NULL, NULL, NULL, NULL, 'THYLAKOID SOLUBLE PHOSPHOPROTEIN', NULL, NULL, NULL, 15),
(104780, NULL, 'PTHR47102', NULL, NULL, NULL, NULL, 'PROTEIN BNI1', NULL, NULL, NULL, 15),
(104781, NULL, 'PTHR36414:SF3', NULL, NULL, NULL, NULL, 'SUR7 FAMILY PROTEIN FMP45', NULL, NULL, NULL, 15),
(104782, NULL, 'PTHR21139:SF29', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(104783, NULL, 'PTHR47229:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 141', NULL, NULL, NULL, 15),
(104784, NULL, 'PTHR23001:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 2', NULL, NULL, NULL, 15),
(104785, NULL, 'PTHR22601:SF80', NULL, NULL, NULL, NULL, 'OPT FAMILY SMALL OLIGOPEPTIDE TRANSPORTER', NULL, NULL, NULL, 15),
(104786, NULL, 'PTHR32141:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104787, NULL, 'PTHR48111:SF41', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN CUSR-RELATED', NULL, NULL, NULL, 15),
(104788, NULL, 'PTHR23216:SF2', NULL, NULL, NULL, NULL, 'LIS1 HOMOLOGY MOTIF, SRP40-RELATED', NULL, NULL, NULL, 15),
(104789, NULL, 'PTHR14155:SF542', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL41-LIKE', NULL, NULL, NULL, 15),
(104790, NULL, 'PTHR33128:SF60', NULL, NULL, NULL, NULL, 'BNAA06G18990D PROTEIN', NULL, NULL, NULL, 15),
(104791, NULL, 'PTHR15268:SF17', NULL, NULL, NULL, NULL, 'BCLAF1 AND THRAP3 FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(104792, NULL, 'PTHR24281:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104793, NULL, 'PTHR34359:SF13', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 13-LIKE', NULL, NULL, NULL, 15),
(104794, NULL, 'PTHR23137:SF25', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(104795, NULL, 'PTHR34464:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104796, NULL, 'PTHR11909:SF171', NULL, NULL, NULL, NULL, 'PROTEIN CBG16237', NULL, NULL, NULL, 15),
(104797, NULL, 'PTHR14392:SF4', NULL, NULL, NULL, NULL, 'NIBAN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(104798, NULL, 'PTHR32096:SF23', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN WRKY3-LIKE', NULL, NULL, NULL, 15),
(104799, NULL, 'PTHR12542:SF41', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO70A1', NULL, NULL, NULL, 15),
(104800, NULL, 'PTHR24286:SF176', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 STEROL 14 ALPHA-DEMETHYLASE', NULL, NULL, NULL, 15),
(104801, NULL, 'PTHR43671:SF68', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK5-LIKE', NULL, NULL, NULL, 15),
(104802, NULL, 'PTHR11829:SF368', NULL, NULL, NULL, NULL, 'FORKHEAD BOX E1', NULL, NULL, NULL, 15),
(104803, NULL, 'PTHR23227:SF70', NULL, NULL, NULL, NULL, 'CRANIOFACIAL DEVELOPMENT PROTEIN 1', NULL, NULL, NULL, 15),
(104804, NULL, 'PTHR27008:SF404', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(104805, NULL, 'PTHR23511:SF6', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE GLYCOPROTEIN 2C', NULL, NULL, NULL, 15),
(104806, NULL, 'PTHR13598:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE INTEGRAL MEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(104807, NULL, 'PTHR34208:SF2', NULL, NULL, NULL, NULL, 'PECTIN METHYLESTERASE CGR2-RELATED', NULL, NULL, NULL, 15),
(104808, NULL, 'PTHR43670:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RESTRICTED TEV MOVEMENT 2', NULL, NULL, NULL, 15),
(104809, NULL, 'PTHR33738:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104810, NULL, 'PTHR13448:SF9', NULL, NULL, NULL, NULL, 'BNAA09G09250D PROTEIN', NULL, NULL, NULL, 15),
(104811, NULL, 'PTHR10514:SF43', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME', NULL, NULL, NULL, 15),
(104812, NULL, 'PTHR27005:SF216', NULL, NULL, NULL, NULL, 'BNACNNG36690D PROTEIN', NULL, NULL, NULL, 15),
(104813, NULL, 'PTHR10288:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104814, NULL, 'PTHR33377:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104815, NULL, 'PTHR31375:SF201', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 28, PECTIN LYASE FOLD/VIRULENCE FACTOR-RELATED', NULL, NULL, NULL, 15),
(104816, NULL, 'PTHR31790:SF267', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(104817, NULL, 'PTHR42199', NULL, NULL, NULL, NULL, 'UPF0212 PROTEIN MJ0068', NULL, NULL, 1839, 15),
(104818, NULL, 'PTHR10570', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD3 GAMMA CHAIN / DELTA CHAIN', NULL, NULL, 9480, 15),
(104819, NULL, 'PTHR13408:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104820, NULL, 'PTHR13780:SF125', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 70 PROTEIN', NULL, NULL, NULL, 15),
(104821, NULL, 'PTHR32017:SF3', NULL, NULL, NULL, NULL, 'SPINDLE AND KINETOCHORE-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(104822, NULL, 'PTHR45819:SF6', NULL, NULL, NULL, NULL, 'ARF-GAP WITH GTPASE, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(104823, NULL, 'PTHR22835:SF500', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104824, NULL, 'PTHR43986:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104825, NULL, 'PTHR30546:SF44', NULL, NULL, NULL, NULL, 'BNAA10G28340D PROTEIN', NULL, NULL, NULL, 15),
(104826, NULL, 'PTHR46105:SF2', NULL, NULL, NULL, NULL, 'NUCLEUS ACCUMBENS-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(104827, NULL, 'PTHR10901:SF18', NULL, NULL, NULL, NULL, 'TROPOMODULIN-3', NULL, NULL, 23806, 15),
(104828, NULL, 'PTHR31285', NULL, NULL, NULL, NULL, 'NICOTINAMIDE MONONUCLEOTIDE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104829, NULL, 'PTHR43900:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTF15', NULL, NULL, NULL, 15),
(104830, NULL, 'PTHR48001:SF40', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 3A1', NULL, NULL, NULL, 15),
(104831, NULL, 'PTHR13869:SF3', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL SUBUNIT BETA-2', NULL, NULL, 29471, 15),
(104832, NULL, 'PTHR24393:SF93', NULL, NULL, NULL, NULL, 'ENDOTHELIAL ZINC FINGER PROTEIN INDUCED BY TUMOR NECROSIS FACTOR ALPHA', NULL, NULL, NULL, 15),
(104833, NULL, 'PTHR24015:SF858', NULL, NULL, NULL, NULL, 'OS03G0852000 PROTEIN', NULL, NULL, NULL, 15),
(104834, NULL, 'PTHR31942:SF68', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(104835, NULL, 'PTHR35855:SF2', NULL, NULL, NULL, NULL, 'SKN-1 DEPENDENT ZYGOTIC TRANSCRIPT 1 PROTEIN', NULL, NULL, NULL, 15),
(104836, NULL, 'PTHR31468:SF2', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE GAS1', NULL, NULL, NULL, 15),
(104837, NULL, 'PTHR31668', NULL, NULL, NULL, NULL, 'GLUCOSE TRANSPORT TRANSCRIPTION REGULATOR RGT1-RELATED-RELATED', NULL, NULL, NULL, 15),
(104838, NULL, 'PTHR23514:SF18', NULL, NULL, NULL, NULL, 'GLUCOSE/MANNOSE TRANSPORTER GLCP', NULL, NULL, NULL, 15),
(104839, NULL, 'PTHR43490:SF100', NULL, NULL, NULL, NULL, 'BNAANNG14460D PROTEIN', NULL, NULL, NULL, 15),
(104840, NULL, 'PTHR11486:SF142', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', NULL, NULL, NULL, 15),
(104841, NULL, 'PTHR48053:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104842, NULL, 'PTHR46998:SF5', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 12', NULL, NULL, NULL, 15),
(104843, NULL, 'PTHR31642:SF266', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(104844, NULL, 'PTHR33132:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104845, NULL, 'PTHR11738:SF108', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY B MEMBER 5', NULL, NULL, NULL, 15),
(104846, NULL, 'PTHR46443:SF19', NULL, NULL, NULL, NULL, 'PROTEIN MARD1-LIKE', NULL, NULL, NULL, 15),
(104847, NULL, 'PTHR35477:SF4', NULL, NULL, NULL, NULL, 'BNAA03G53370D PROTEIN', NULL, NULL, NULL, 15),
(104848, NULL, 'PTHR31080:SF238', NULL, NULL, NULL, NULL, 'BNAA02G33370D PROTEIN', NULL, NULL, NULL, 15),
(104849, NULL, 'PTHR23505:SF1', NULL, NULL, NULL, NULL, 'SPINSTER (DROSOPHILA LYSOSOMAL PERMEASE) HOMOLOG', NULL, NULL, NULL, 15),
(104850, NULL, 'PTHR42850:SF5', NULL, NULL, NULL, NULL, 'BIS(5''-NUCLEOSYL)-TETRAPHOSPHATASE [SYMMETRICAL]', NULL, NULL, NULL, 15),
(104851, NULL, 'PTHR19282:SF443', NULL, NULL, NULL, NULL, 'TETRASPANIN-15', NULL, NULL, NULL, 15),
(104852, NULL, 'PTHR33136:SF67', NULL, NULL, NULL, NULL, 'BNAA05G31730D PROTEIN', NULL, NULL, NULL, 15),
(104853, NULL, 'PTHR11937:SF409', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(104854, NULL, 'PTHR33922:SF13', NULL, NULL, NULL, NULL, 'BNAA09G07450D PROTEIN', NULL, NULL, NULL, 15),
(104855, NULL, 'PTHR33239:SF9', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(104856, NULL, 'PTHR46482:SF4', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(104857, NULL, 'PTHR23315:SF289', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(104858, NULL, 'PTHR31080:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104859, NULL, 'PTHR31989:SF54', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 91', NULL, NULL, NULL, 15),
(104860, NULL, 'PTHR30363:SF29', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE REGULON REPRESSOR', NULL, NULL, NULL, 15),
(104861, NULL, 'PTHR46165', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(104862, NULL, 'PTHR24015:SF1956', NULL, NULL, NULL, NULL, 'OS03G0816600 PROTEIN', NULL, NULL, NULL, 15),
(104863, NULL, 'PTHR32444:SF114', NULL, NULL, NULL, NULL, 'OS12G0177800 PROTEIN', NULL, NULL, NULL, 15),
(104864, NULL, 'PTHR45710:SF8', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 2 MEMBER A', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104865, NULL, 'PTHR13462:SF34', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(104866, NULL, 'PTHR47953:SF5', NULL, NULL, NULL, NULL, 'OS08G0105600 PROTEIN', NULL, NULL, NULL, 15),
(104867, NULL, 'PTHR31087:SF61', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 11-LIKE', NULL, NULL, NULL, 15),
(104868, NULL, 'PTHR38430:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-ARGININE KINASE ACTIVATOR PROTEIN', NULL, NULL, NULL, 15),
(104869, NULL, 'PTHR11746:SF93', NULL, NULL, NULL, NULL, 'OS08G0290700 PROTEIN', NULL, NULL, NULL, 15),
(104870, NULL, 'PTHR46125:SF22', NULL, NULL, NULL, NULL, 'BNAA05G19840D PROTEIN', NULL, NULL, NULL, 15),
(104871, NULL, 'PTHR35094:SF9', NULL, NULL, NULL, NULL, 'BNAC07G13360D PROTEIN', NULL, NULL, NULL, 15),
(104872, NULL, 'PTHR11945:SF556', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN FLOWERING LOCUS C-LIKE', NULL, NULL, NULL, 15),
(104873, NULL, 'PTHR35738:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104874, NULL, 'PTHR12629:SF62', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 17, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(104875, NULL, 'PTHR43572:SF34', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 3-LIKE', NULL, NULL, NULL, 15),
(104876, NULL, 'PTHR31871:SF27', NULL, NULL, NULL, NULL, 'BNAC01G38710D PROTEIN', NULL, NULL, NULL, 15),
(104877, NULL, 'PTHR43895:SF17', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 13-RELATED', NULL, NULL, NULL, 15),
(104878, NULL, 'PTHR19846:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104879, NULL, 'PTHR21229:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104880, NULL, 'PTHR11006:SF106', NULL, NULL, NULL, NULL, 'ARGININE METHYLTRANSFERASE 8', NULL, NULL, NULL, 15),
(104881, NULL, 'PTHR24068:SF323', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1', NULL, NULL, NULL, 15),
(104882, NULL, 'PTHR45715:SF15', NULL, NULL, NULL, NULL, 'BNAC03G72900D PROTEIN', NULL, NULL, NULL, 15),
(104883, NULL, 'PTHR14969:SF13', NULL, NULL, NULL, NULL, 'AT30094P', NULL, NULL, NULL, 15),
(104884, NULL, 'PTHR16517:SF2', NULL, NULL, NULL, NULL, 'TUBBY-RELATED PROTEIN 4', NULL, NULL, NULL, 15),
(104885, NULL, 'PTHR39599', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN (EUROFUNG)-RELATED-RELATED', NULL, NULL, NULL, 15),
(104886, NULL, 'PTHR46254:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104887, NULL, 'PTHR11564:SF35', NULL, NULL, NULL, NULL, 'BNAC02G02820D PROTEIN', NULL, NULL, NULL, 15),
(104888, NULL, 'PTHR11071:SF378', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(104889, NULL, 'PTHR31852:SF125', NULL, NULL, NULL, NULL, 'OS05G0526700 PROTEIN', NULL, NULL, NULL, 15),
(104890, NULL, 'PTHR46074:SF4', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PROTEIN 3', NULL, NULL, NULL, 15),
(104891, NULL, 'PTHR23516:SF16', NULL, NULL, NULL, NULL, 'BNAA06G16000D PROTEIN', NULL, NULL, NULL, 15),
(104892, NULL, 'PTHR24282:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(104893, NULL, 'PTHR31221:SF127', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 71-RELATED', NULL, NULL, NULL, 15),
(104894, NULL, 'PTHR31920:SF57', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN DDB_G0278469', NULL, NULL, NULL, 15),
(104895, NULL, 'PTHR31942:SF74', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 15', NULL, NULL, NULL, 15),
(104896, NULL, 'PTHR44329:SF184', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE EDR1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(104897, NULL, 'PTHR23272:SF126', NULL, NULL, NULL, NULL, 'OS02G0254550 PROTEIN', NULL, NULL, NULL, 15),
(104898, NULL, 'PTHR24301:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(104899, NULL, 'PTHR12277:SF170', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(104900, NULL, 'PTHR11245', NULL, NULL, NULL, NULL, 'STANNIOCALCIN', NULL, NULL, 571, 15),
(104901, NULL, 'PTHR27007:SF51', NULL, NULL, NULL, NULL, 'OS02G0712700 PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104902, NULL, 'PTHR31834:SF8', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14040)-RELATED', NULL, NULL, NULL, 15),
(104903, NULL, 'PTHR46610:SF1', NULL, NULL, NULL, NULL, 'OS06G0147300 PROTEIN', NULL, NULL, NULL, 15),
(104904, NULL, 'PTHR20904:SF0', NULL, NULL, NULL, NULL, 'INDUCIBLE T-CELL COSTIMULATOR', NULL, NULL, NULL, 15),
(104905, NULL, 'PTHR35559:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104906, NULL, 'PTHR31190:SF286', NULL, NULL, NULL, NULL, 'BNAANNG40920D PROTEIN', NULL, NULL, NULL, 15),
(104907, NULL, 'PTHR43173:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104908, NULL, 'PTHR33098:SF64', NULL, NULL, NULL, NULL, 'OS08G0448100 PROTEIN', NULL, NULL, NULL, 15),
(104909, NULL, 'PTHR21501:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM161B', NULL, NULL, NULL, 15),
(104910, NULL, 'PTHR34946:SF13', NULL, NULL, NULL, NULL, 'BNAA06G34390D PROTEIN', NULL, NULL, NULL, 15),
(104911, NULL, 'PTHR11863:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104912, NULL, 'PTHR33869:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104913, NULL, 'PTHR31080:SF156', NULL, NULL, NULL, NULL, 'BNAC09G20800D PROTEIN', NULL, NULL, NULL, 15),
(104914, NULL, 'PTHR45496:SF15', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(104915, NULL, 'PTHR27008:SF299', NULL, NULL, NULL, NULL, 'OS02G0210700 PROTEIN', NULL, NULL, NULL, 15),
(104916, NULL, 'PTHR46224:SF25', NULL, NULL, NULL, NULL, 'OS12G0636100 PROTEIN', NULL, NULL, NULL, 15),
(104917, NULL, 'PTHR45752:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 39', NULL, NULL, NULL, 15),
(104918, NULL, 'PTHR33021:SF339', NULL, NULL, NULL, NULL, 'BNAA09G04270D PROTEIN', NULL, NULL, NULL, 15),
(104919, NULL, 'PTHR24543:SF310', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR VIII', NULL, NULL, NULL, 15),
(104920, NULL, 'PTHR46141', NULL, NULL, NULL, NULL, 'SODIUM LEAK CHANNEL NON-SELECTIVE PROTEIN', NULL, NULL, 25229, 15),
(104921, NULL, 'PTHR14140:SF43', NULL, NULL, NULL, NULL, 'UBIQUITIN LIGASE NP95, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(104922, NULL, 'PTHR32295:SF170', NULL, NULL, NULL, NULL, 'OS01G0190500 PROTEIN', NULL, NULL, NULL, 15),
(104923, NULL, 'PTHR47928:SF104', NULL, NULL, NULL, NULL, 'OS01G0800400 PROTEIN', NULL, NULL, NULL, 15),
(104924, NULL, 'PTHR11502:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', NULL, NULL, NULL, 15),
(104925, NULL, 'PTHR47929:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104926, NULL, 'PTHR47958:SF96', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX23-RELATED', NULL, NULL, NULL, 15),
(104927, NULL, 'PTHR11954:SF6', NULL, NULL, NULL, NULL, 'MACROPHAGE MIGRATION INHIBITORY FACTOR', NULL, NULL, NULL, 15),
(104928, NULL, 'PTHR10740:SF1', NULL, NULL, NULL, NULL, 'PROTRANSFORMING GROWTH FACTOR ALPHA', NULL, NULL, NULL, 15),
(104929, NULL, 'PTHR34591:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104930, NULL, 'PTHR13683:SF821', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE CDR1-LIKE', NULL, NULL, NULL, 15),
(104931, NULL, 'PTHR24291:SF164', NULL, NULL, NULL, NULL, 'PROTEIN LUTEIN DEFICIENT 5, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(104932, NULL, 'PTHR45634:SF5', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 9', NULL, NULL, NULL, 15),
(104933, NULL, 'PTHR28342:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104934, NULL, 'PTHR45613:SF50', NULL, NULL, NULL, NULL, 'OS03G0761300 PROTEIN', NULL, NULL, NULL, 15),
(104935, NULL, 'PTHR24180:SF27', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT35-RELATED', NULL, NULL, NULL, 15),
(104936, NULL, 'PTHR24282:SF180', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(104937, NULL, 'PTHR31251:SF105', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(104938, NULL, 'PTHR47942', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104939, NULL, 'PTHR12002:SF184', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, NULL, 15),
(104940, NULL, 'PTHR41791:SF1', NULL, NULL, NULL, NULL, 'SSL7039 PROTEIN', NULL, NULL, NULL, 15),
(104941, NULL, 'PTHR10807:SF75', NULL, NULL, NULL, NULL, 'LD11744P', NULL, NULL, NULL, 15),
(104942, NULL, 'PTHR24384:SF214', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 66-RELATED', NULL, NULL, NULL, 15),
(104943, NULL, 'PTHR13779', NULL, NULL, NULL, NULL, 'WERNER HELICASE-INTERACTING PROTEIN 1 FAMILY MEMBER', NULL, NULL, NULL, 15),
(104944, NULL, 'PTHR14759', NULL, NULL, NULL, NULL, 'STOP PROTEIN', NULL, NULL, 3392, 15),
(104945, NULL, 'PTHR28620:SF3', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN V-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(104946, NULL, 'PTHR31472:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104947, NULL, 'PTHR21706', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 65', NULL, NULL, 19213, 15),
(104948, NULL, 'PTHR11206:SF333', NULL, NULL, NULL, NULL, 'MATE EFFLUX FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104949, NULL, 'PTHR45707:SF37', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(104950, NULL, 'PTHR34939:SF6', NULL, NULL, NULL, NULL, 'BNAC05G25250D PROTEIN', NULL, NULL, NULL, 15),
(104951, NULL, 'PTHR24115:SF576', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF15', NULL, NULL, NULL, 15),
(104952, NULL, 'PTHR37019', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(104953, NULL, 'PTHR23428:SF216', NULL, NULL, NULL, NULL, 'HISTONE H2B 1/2/3/4/6-RELATED', NULL, NULL, NULL, 15),
(104954, NULL, 'PTHR12542:SF135', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(104955, NULL, 'PTHR24055:SF457', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(104956, NULL, 'PTHR22811:SF177', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(104957, NULL, 'PTHR37441:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR B0244.7-RELATED', NULL, NULL, NULL, 15),
(104958, NULL, 'PTHR10857:SF127', NULL, NULL, NULL, NULL, 'COPINE VA', NULL, NULL, NULL, 15),
(104959, NULL, 'PTHR45701:SF1', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(104960, NULL, 'PTHR28074:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT K, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(104961, NULL, 'PTHR45910:SF1', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 20', NULL, NULL, NULL, 15),
(104962, NULL, 'PTHR43574:SF17', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 1', NULL, NULL, NULL, 15),
(104963, NULL, 'PTHR31297:SF36', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, CATALYTIC DOMAIN', NULL, NULL, NULL, 15),
(104964, NULL, 'PTHR22930:SF198', NULL, NULL, NULL, NULL, 'SI:DKEY-228L14.1', NULL, NULL, NULL, 15),
(104965, NULL, 'PTHR31503:SF18', NULL, NULL, NULL, NULL, 'CA(2+)/H(+) EXCHANGER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(104966, NULL, 'PTHR48019:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104967, NULL, 'PTHR18884:SF6', NULL, NULL, NULL, NULL, 'SEPTIN-1', NULL, NULL, NULL, 15),
(104968, NULL, 'PTHR35744:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER (C2H2 TYPE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(104969, NULL, 'PTHR33138:SF1', NULL, NULL, NULL, NULL, 'OS01G0690200 PROTEIN', NULL, NULL, NULL, 15),
(104970, NULL, 'PTHR42789:SF1', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G10090)', NULL, NULL, NULL, 15),
(104971, NULL, 'PTHR24393:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 580', NULL, NULL, NULL, 15),
(104972, NULL, 'PTHR12917', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE DDI-RELATED', NULL, NULL, NULL, 15),
(104973, NULL, 'PTHR11426:SF214', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(104974, NULL, 'PTHR31580:SF8', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PROTEIN (DUF869)', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(104975, NULL, 'PTHR11630:SF48', NULL, NULL, NULL, NULL, 'DNA HELICASE MCM9', NULL, NULL, NULL, 15),
(104976, NULL, 'PTHR46431:SF12', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN-RELATED', NULL, NULL, NULL, 15),
(104977, NULL, 'PTHR45090:SF16', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 20, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(104978, NULL, 'PTHR31080:SF6', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(104979, NULL, 'PTHR23510:SF70', NULL, NULL, NULL, NULL, 'BNAA09G12960D PROTEIN', NULL, NULL, NULL, 15),
(104980, NULL, 'PTHR31065:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104981, NULL, 'PTHR11012:SF19', NULL, NULL, NULL, NULL, 'AGAP013201-PA', NULL, NULL, NULL, 15),
(104982, NULL, 'PTHR33033:SF65', NULL, NULL, NULL, NULL, 'OS10G0430100 PROTEIN', NULL, NULL, NULL, 15),
(104983, NULL, 'PTHR12881:SF13', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 1', NULL, NULL, NULL, 15),
(104984, NULL, 'PTHR48018:SF69', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(104985, NULL, 'PTHR31343:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104986, NULL, 'PTHR31989:SF240', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29-LIKE', NULL, NULL, NULL, 15),
(104987, NULL, 'PTHR34936:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104988, NULL, 'PTHR35395:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104989, NULL, 'PTHR37475:SF1', NULL, NULL, NULL, NULL, 'ZYGOTE-SPECIFIC CLASS V COPY B GENE PROTEIN', NULL, NULL, NULL, 15),
(104990, NULL, 'PTHR11010:SF80', NULL, NULL, NULL, NULL, 'LYSOSOMAL PRO-X CARBOXYPEPTIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(104991, NULL, 'PTHR12262:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104992, NULL, 'PTHR15710:SF99', NULL, NULL, NULL, NULL, 'BNAA02G07020D PROTEIN', NULL, NULL, NULL, 15),
(104993, NULL, 'PTHR13268:SF14', NULL, NULL, NULL, NULL, 'BNAA09G15650D PROTEIN', NULL, NULL, NULL, 15),
(104994, NULL, 'PTHR12461:SF42', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 8-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(104995, NULL, 'PTHR10665:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(104996, NULL, 'PTHR15907:SF160', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 10-RELATED', NULL, NULL, NULL, 15),
(104997, NULL, 'PTHR31664:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG16427', NULL, NULL, NULL, 15),
(104998, NULL, 'PTHR23024:SF542', NULL, NULL, NULL, NULL, 'ESTERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(104999, NULL, 'PTHR28603', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 243', NULL, NULL, 16713, 15),
(105000, NULL, 'PTHR31238:SF221', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105001, NULL, 'PTHR43080:SF14', NULL, NULL, NULL, NULL, 'CBS DOMAIN', NULL, NULL, NULL, 15),
(105002, NULL, 'PTHR23155:SF1012', NULL, NULL, NULL, NULL, 'OS11G0462500 PROTEIN', NULL, NULL, NULL, 15),
(105003, NULL, 'PTHR10410:SF33', NULL, NULL, NULL, NULL, 'BNAC07G13420D PROTEIN', NULL, NULL, 35084, 15),
(105004, NULL, 'PTHR13439:SF48', NULL, NULL, NULL, NULL, 'OS05G0511000 PROTEIN', NULL, NULL, NULL, 15),
(105005, NULL, 'PTHR46479', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 2', NULL, NULL, 20413, 15),
(105006, NULL, 'PTHR13486:SF2', NULL, NULL, NULL, NULL, 'TELOMERE LENGTH AND SILENCING PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(105007, NULL, 'PTHR12374:SF57', NULL, NULL, NULL, NULL, 'OS01G0603300 PROTEIN', NULL, NULL, NULL, 15),
(105008, NULL, 'PTHR31677:SF73', NULL, NULL, NULL, NULL, 'OS09G0298332 PROTEIN', NULL, NULL, NULL, 15),
(105009, NULL, 'PTHR14110:SF23', NULL, NULL, NULL, NULL, 'BNACNNG46450D PROTEIN', NULL, NULL, NULL, 15),
(105010, NULL, 'PTHR23423', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER-RELATED', NULL, NULL, 5379, 15),
(105011, NULL, 'PTHR37982:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105012, NULL, 'PTHR36117', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE 3-MONOOXYGENASE-RELATED', NULL, NULL, 1557, 15),
(105013, NULL, 'PTHR36221:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105014, NULL, 'PTHR11670:SF57', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(105015, NULL, 'PTHR31989:SF361', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 41-LIKE', NULL, NULL, NULL, 15),
(105016, NULL, 'PTHR15028', NULL, NULL, NULL, NULL, 'CD72-RELATED', NULL, NULL, 30376, 15),
(105017, NULL, 'PTHR31374:SF118', NULL, NULL, NULL, NULL, 'OS02G0305950 PROTEIN', NULL, NULL, NULL, 15),
(105018, NULL, 'PTHR10108:SF1109', NULL, NULL, NULL, NULL, 'BNACNNG15370D PROTEIN', NULL, NULL, NULL, 15),
(105019, NULL, 'PTHR33608:SF3', NULL, NULL, NULL, NULL, 'SLR2013 PROTEIN', NULL, NULL, NULL, 15),
(105020, NULL, 'PTHR32166:SF71', NULL, NULL, NULL, NULL, 'OS05G0326663 PROTEIN', NULL, NULL, NULL, 15),
(105021, NULL, 'PTHR21229:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105022, NULL, 'PTHR45981:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH10-RELATED', NULL, NULL, NULL, 15),
(105023, NULL, 'PTHR31824:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG17809', NULL, NULL, NULL, 15),
(105024, NULL, 'PTHR10132:SF14', NULL, NULL, NULL, NULL, 'SARCOGLYCAN ALPHA, ISOFORM C', NULL, NULL, NULL, 15),
(105025, NULL, 'PTHR21392:SF0', NULL, NULL, NULL, NULL, 'DTW DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(105026, NULL, 'PTHR47410:SF1', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 8', NULL, NULL, 23277, 15),
(105027, NULL, 'PTHR22762:SF66', NULL, NULL, NULL, NULL, 'SUCRASE-ISOMALTASE, INTESTINAL', NULL, NULL, NULL, 15),
(105028, NULL, 'PTHR11839', NULL, NULL, NULL, NULL, 'UDP/ADP-SUGAR PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(105029, NULL, 'PTHR45793:SF18', NULL, NULL, NULL, NULL, 'LEUCINE-TWENTY HOMEOBOX', NULL, NULL, NULL, 15),
(105030, NULL, 'PTHR43655:SF8', NULL, NULL, NULL, NULL, 'PARAPLEGIN', NULL, NULL, NULL, 15),
(105031, NULL, 'PTHR39369:SF6', NULL, NULL, NULL, NULL, 'LIN-24 (TWENTY-FOUR) LIKE', NULL, NULL, NULL, 15),
(105032, NULL, 'PTHR16523:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105033, NULL, 'PTHR19876:SF47', NULL, NULL, NULL, NULL, 'BNAA06G40510D PROTEIN', NULL, NULL, NULL, 15),
(105034, NULL, 'PTHR31558:SF30', NULL, NULL, NULL, NULL, 'BNAC05G10210D PROTEIN', NULL, NULL, NULL, 15),
(105035, NULL, 'PTHR12450:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105036, NULL, 'PTHR33936', NULL, NULL, NULL, NULL, 'PROTEIN CBG17840', NULL, NULL, NULL, 15),
(105037, NULL, 'PTHR20993', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(105038, NULL, 'PTHR35859', NULL, NULL, NULL, NULL, 'NONSELECTIVE CATION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(105039, NULL, 'PTHR31302:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105040, NULL, 'PTHR45676:SF49', NULL, NULL, NULL, NULL, 'OS12G0432600 PROTEIN', NULL, NULL, NULL, 15),
(105041, NULL, 'PTHR24068:SF373', NULL, NULL, NULL, NULL, 'BNAC06G03670D PROTEIN', NULL, NULL, NULL, 15),
(105042, NULL, 'PTHR38769:SF1', NULL, NULL, NULL, NULL, 'UPF0381 PROTEIN YFCZ-RELATED', NULL, NULL, NULL, 15),
(105043, NULL, 'PTHR31691', NULL, NULL, NULL, NULL, 'ROTATIN', NULL, NULL, 26875, 15),
(105044, NULL, 'PTHR33356:SF13', NULL, NULL, NULL, NULL, 'OS01G0850000 PROTEIN', NULL, NULL, NULL, 15),
(105045, NULL, 'PTHR13354:SF8', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 9', NULL, NULL, NULL, 15),
(105046, NULL, 'PTHR39434', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105047, NULL, 'PTHR46400:SF14', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE BIG BROTHER-LIKE', NULL, NULL, NULL, 15),
(105048, NULL, 'PTHR36174:SF2', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE FEMA', NULL, NULL, NULL, 15),
(105049, NULL, 'PTHR12399:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT D', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105050, NULL, 'PTHR14296:SF8', NULL, NULL, NULL, NULL, 'BNAA09G44400D PROTEIN', NULL, NULL, NULL, 15),
(105051, NULL, 'PTHR24328', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MOX', NULL, NULL, 38858, 15),
(105052, NULL, 'PTHR10593:SF114', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 5 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(105053, NULL, 'PTHR22847:SF672', NULL, NULL, NULL, NULL, 'OS08G0531200 PROTEIN', NULL, NULL, NULL, 15),
(105054, NULL, 'PTHR11685:SF343', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(105055, NULL, 'PTHR48047:SF12', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 89A2-LIKE', NULL, NULL, NULL, 15),
(105056, NULL, 'PTHR22957:SF193', NULL, NULL, NULL, NULL, 'USP6 N-TERMINAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(105057, NULL, 'PTHR44843:SF11', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(105058, NULL, 'PTHR22793:SF12', NULL, NULL, NULL, NULL, 'MYOCARDIN-RELATED TRANSCRIPTION FACTOR, ISOFORM H', NULL, NULL, NULL, 15),
(105059, NULL, 'PTHR11593:SF30', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17-1', NULL, NULL, NULL, 15),
(105060, NULL, 'PTHR13318:SF188', NULL, NULL, NULL, NULL, 'BNAA09G04600D PROTEIN', NULL, NULL, NULL, 15),
(105061, NULL, 'PTHR19325:SF501', NULL, NULL, NULL, NULL, 'BETA-2-GLYCOPROTEIN 1', NULL, NULL, NULL, 15),
(105062, NULL, 'PTHR47988:SF31', NULL, NULL, NULL, NULL, 'BNAA06G24170D PROTEIN', NULL, NULL, NULL, 15),
(105063, NULL, 'PTHR33179:SF47', NULL, NULL, NULL, NULL, 'EPSIN-LIKE', NULL, NULL, NULL, 15),
(105064, NULL, 'PTHR22943:SF50', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(105065, NULL, 'PTHR40700', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED, DUF63 FAMILY', NULL, NULL, 3513, 15),
(105066, NULL, 'PTHR23055:SF80', NULL, NULL, NULL, NULL, 'GUANYLYL CYCLASE-ACTIVATING PROTEIN 3', NULL, NULL, 27399, 15),
(105067, NULL, 'PTHR24356:SF163', NULL, NULL, NULL, NULL, '3-PHOSPHOINOSITIDE-DEPENDENT PROTEIN KINASE 1-RELATED', NULL, NULL, NULL, 15),
(105068, NULL, 'PTHR28399', NULL, NULL, NULL, NULL, 'BARTTIN', NULL, NULL, 28895, 15),
(105069, NULL, 'PTHR32410:SF179', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(105070, NULL, 'PTHR31388:SF188', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(105071, NULL, 'PTHR12276:SF101', NULL, NULL, NULL, NULL, 'CLATHRIN INTERACTOR EPSIN 1-LIKE', NULL, NULL, NULL, 15),
(105072, NULL, 'PTHR15819:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN FAM155B', NULL, NULL, 25981, 15),
(105073, NULL, 'PTHR12517:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13B', NULL, NULL, NULL, 15),
(105074, NULL, 'PTHR23236:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105075, NULL, 'PTHR31388:SF235', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(105076, NULL, 'PTHR45728', NULL, NULL, NULL, NULL, 'ACETYL-COA CARBOXYLASE, ISOFORM A', NULL, NULL, NULL, 15),
(105077, NULL, 'PTHR37750:SF1', NULL, NULL, NULL, NULL, 'COX19-LIKE CHCH FAMILY PROTEIN', NULL, NULL, NULL, 15),
(105078, NULL, 'PTHR10623:SF33', NULL, NULL, NULL, NULL, 'OSJNBA0063C18.9 PROTEIN', NULL, NULL, NULL, 15),
(105079, NULL, 'PTHR36057:SF6', NULL, NULL, NULL, NULL, 'BNAC09G30620D PROTEIN', NULL, NULL, NULL, 15),
(105080, NULL, 'PTHR28241', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT PROTEIN 1', NULL, NULL, 13368, 15),
(105081, NULL, 'PTHR22683:SF42', NULL, NULL, NULL, NULL, 'DNA TRANSLOCASE SFTA', NULL, NULL, NULL, 15),
(105082, NULL, 'PTHR33565:SF14', NULL, NULL, NULL, NULL, 'DORMANCY ASSOCIATED1', NULL, NULL, NULL, 15),
(105083, NULL, 'PTHR44094:SF14', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(105084, NULL, 'PTHR11984:SF39', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', NULL, NULL, NULL, 15),
(105085, NULL, 'PTHR10202:SF25', NULL, NULL, NULL, NULL, 'PRESENILIN SPE-4', NULL, NULL, 33963, 15),
(105086, NULL, 'PTHR24032:SF39', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105087, NULL, 'PTHR43899:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105088, NULL, 'PTHR10795:SF627', NULL, NULL, NULL, NULL, 'OSJNBA0065O17.13 PROTEIN', NULL, NULL, NULL, 15),
(105089, NULL, 'PTHR22916:SF67', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE', NULL, NULL, NULL, 15),
(105090, NULL, 'PTHR24264:SF40', NULL, NULL, NULL, NULL, 'HYALURONAN-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(105091, NULL, 'PTHR47991:SF95', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(105092, NULL, 'PTHR46267:SF2', NULL, NULL, NULL, NULL, 'SINGLE MYB HISTONE 1', NULL, NULL, NULL, 15),
(105093, NULL, 'PTHR48050:SF8', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 1-1', NULL, NULL, NULL, 15),
(105094, NULL, 'PTHR31344:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP205', NULL, NULL, NULL, 15),
(105095, NULL, 'PTHR30354:SF9', NULL, NULL, NULL, NULL, 'GNT-II SYSTEM L-IDONATE TRANSPORTER', NULL, NULL, NULL, 15),
(105096, NULL, 'PTHR45894:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN Y14B', NULL, NULL, NULL, 15),
(105097, NULL, 'PTHR24637:SF309', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(105098, NULL, 'PTHR35095:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105099, NULL, 'PTHR46696', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(105100, NULL, 'PTHR33286:SF40', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(105101, NULL, 'PTHR47926:SF247', NULL, NULL, NULL, NULL, 'BNAC03G58820D PROTEIN', NULL, NULL, NULL, 15),
(105102, NULL, 'PTHR33203:SF56', NULL, NULL, NULL, NULL, 'OS06G0473800 PROTEIN', NULL, NULL, NULL, 15),
(105103, NULL, 'PTHR47122:SF3', NULL, NULL, NULL, NULL, 'TRF-LIKE 6', NULL, NULL, NULL, 15),
(105104, NULL, 'PTHR44468:SF3', NULL, NULL, NULL, NULL, 'COXSACKIEVIRUS AND ADENOVIRUS RECEPTOR', NULL, NULL, NULL, 15),
(105105, NULL, 'PTHR12911:SF24', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 22843, 15),
(105106, NULL, 'PTHR11972:SF172', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE-RELATED', NULL, NULL, NULL, 15),
(105107, NULL, 'PTHR12153', NULL, NULL, NULL, NULL, 'SELENOPROTEIN O', NULL, NULL, NULL, 15),
(105108, NULL, 'PTHR34129:SF1', NULL, NULL, NULL, NULL, 'BLR1139 PROTEIN', NULL, NULL, NULL, 15),
(105109, NULL, 'PTHR10698:SF4', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT H', NULL, NULL, NULL, 15),
(105110, NULL, 'PTHR33831', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN', NULL, NULL, 30335, 15),
(105111, NULL, 'PTHR23252:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105112, NULL, 'PTHR16260:SF5', NULL, NULL, NULL, NULL, 'CHROMOSOME 14 C14ORF119 HOMOLOG', NULL, NULL, NULL, 15),
(105113, NULL, 'PTHR23024:SF538', NULL, NULL, NULL, NULL, 'OS07G0643100 PROTEIN', NULL, NULL, NULL, 15),
(105114, NULL, 'PTHR47405:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(105115, NULL, 'PTHR31984:SF12', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105116, NULL, 'PTHR10631:SF1', NULL, NULL, NULL, NULL, 'TRMT1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(105117, NULL, 'PTHR31044:SF73', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(105118, NULL, 'PTHR18966:SF528', NULL, NULL, NULL, NULL, 'BNAA04G16940D PROTEIN', NULL, NULL, NULL, 15),
(105119, NULL, 'PTHR11592:SF41', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 1', NULL, NULL, NULL, 15),
(105120, NULL, 'PTHR31234:SF30', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(105121, NULL, 'PTHR12357:SF84', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CARBOXY-TERMINAL REGION PROTEIN', NULL, NULL, NULL, 15),
(105122, NULL, 'PTHR47319:SF22', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND PROTEIN', NULL, NULL, NULL, 15),
(105123, NULL, 'PTHR32100:SF67', NULL, NULL, NULL, NULL, 'BNAC03G67820D PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105124, NULL, 'PTHR48022:SF35', NULL, NULL, NULL, NULL, 'GLUCOSE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105125, NULL, 'PTHR31314:SF21', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL4-RELATED', NULL, NULL, NULL, 15),
(105126, NULL, 'PTHR33386:SF11', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL-GLYCEROL-3-PHOSPHATE 3-PHOSPHATIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(105127, NULL, 'PTHR11571:SF232', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 1', NULL, NULL, NULL, 15),
(105128, NULL, 'PTHR24073:SF1152', NULL, NULL, NULL, NULL, 'SMALL GTPASE', NULL, NULL, NULL, 15),
(105129, NULL, 'PTHR21567:SF30', NULL, NULL, NULL, NULL, 'CLIP-ASSOCIATING PROTEIN 2', NULL, NULL, NULL, 15),
(105130, NULL, 'PTHR27007:SF229', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.5-RELATED', NULL, NULL, NULL, 15),
(105131, NULL, 'PTHR24343:SF448', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(105132, NULL, 'PTHR38703:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(105133, NULL, 'PTHR47676:SF1', NULL, NULL, NULL, NULL, 'OS01G0225100 PROTEIN', NULL, NULL, NULL, 15),
(105134, NULL, 'PTHR15832', NULL, NULL, NULL, NULL, 'SHC (SRC HOMOLOGY DOMAIN C-TERMINAL) ADAPTOR HOMOLOG', NULL, NULL, NULL, 15),
(105135, NULL, 'PTHR22168', NULL, NULL, NULL, NULL, 'TMEM26 PROTEIN', NULL, NULL, 18745, 15),
(105136, NULL, 'PTHR12606:SF100', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 1B-RELATED', NULL, NULL, NULL, 15),
(105137, NULL, 'PTHR37616:SF2', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 60-LIKE', NULL, NULL, NULL, 15),
(105138, NULL, 'PTHR46097:SF4', NULL, NULL, NULL, NULL, 'ARF GTPASE-ACTIVATING PROTEIN GIT2', NULL, NULL, NULL, 15),
(105139, NULL, 'PTHR47926:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105140, NULL, 'PTHR23257:SF716', NULL, NULL, NULL, NULL, 'KINASE SUPPRESSOR OF RAS 1', NULL, NULL, NULL, 15),
(105141, NULL, 'PTHR43514:SF3', NULL, NULL, NULL, NULL, 'SULFATE/THIOSULFATE IMPORT ATP-BINDING PROTEIN CYSA', NULL, NULL, NULL, 15),
(105142, NULL, 'PTHR12419:SF77', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN DDB_G0284757-LIKE', NULL, NULL, NULL, 15),
(105143, NULL, 'PTHR46223', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUV39H', NULL, NULL, NULL, 15),
(105144, NULL, 'PTHR46008:SF8', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.1 ISOFORM X1', NULL, NULL, NULL, 15),
(105145, NULL, 'PTHR33128:SF67', NULL, NULL, NULL, NULL, 'F1C9.28 PROTEIN', NULL, NULL, NULL, 15),
(105146, NULL, 'PTHR33074:SF83', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(105147, NULL, 'PTHR33098:SF80', NULL, NULL, NULL, NULL, 'DUF761 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(105148, NULL, 'PTHR14190:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105149, NULL, 'PTHR23421:SF163', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(105150, NULL, 'PTHR43343:SF6', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 5, CHLOROPLASTIC ISOFORM X1', NULL, NULL, NULL, 15),
(105151, NULL, 'PTHR32009:SF85', NULL, NULL, NULL, NULL, 'BNAC01G15260D PROTEIN', NULL, NULL, NULL, 15),
(105152, NULL, 'PTHR47980:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG02097', NULL, NULL, NULL, 15),
(105153, NULL, 'PTHR24559:SF283', NULL, NULL, NULL, NULL, 'POL93P', NULL, NULL, NULL, 15),
(105154, NULL, 'PTHR42696', NULL, NULL, NULL, NULL, 'ASPARTATE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(105155, NULL, 'PTHR23431:SF3', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC5', NULL, NULL, NULL, 15),
(105156, NULL, 'PTHR24248:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105157, NULL, 'PTHR22773:SF41', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 2', NULL, NULL, NULL, 15),
(105158, NULL, 'PTHR31342:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105159, NULL, 'PTHR44170:SF3', NULL, NULL, NULL, NULL, 'BROTHER OF CDO', NULL, NULL, 27038, 15),
(105160, NULL, 'PTHR34145:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105161, NULL, 'PTHR10644:SF3', NULL, NULL, NULL, NULL, 'DNA DAMAGE-BINDING PROTEIN 1', NULL, NULL, 23553, 15),
(105162, NULL, 'PTHR47965:SF59', NULL, NULL, NULL, NULL, 'ASPARTIC ENDOPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(105163, NULL, 'PTHR31867:SF123', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(105164, NULL, 'PTHR42706:SF2', NULL, NULL, NULL, NULL, 'FORMYLTETRAHYDROFOLATE DEFORMYLASE 1, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(105165, NULL, 'PTHR12459:SF6', NULL, NULL, NULL, NULL, 'GB|AAD46013.1', NULL, NULL, NULL, 15),
(105166, NULL, 'PTHR10593:SF142', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(105167, NULL, 'PTHR46569:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRAIP', NULL, NULL, NULL, 15),
(105168, NULL, 'PTHR11430:SF131', NULL, NULL, NULL, NULL, 'ODORANT-BINDING PROTEIN 2A', NULL, NULL, NULL, 15),
(105169, NULL, 'PTHR11133:SF22', NULL, NULL, NULL, NULL, 'SACCHAROPINE DEHYDROGENASE [NAD(+), L-LYSINE-FORMING]', NULL, NULL, NULL, 15),
(105170, NULL, 'PTHR37888:SF11', NULL, NULL, NULL, NULL, 'DNA-BINDING BROMODOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(105171, NULL, 'PTHR13261', NULL, NULL, NULL, NULL, 'BRCA2 AND CDKN1A INTERACTING PROTEIN', NULL, NULL, 25663, 15),
(105172, NULL, 'PTHR32116:SF0', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 6-RELATED', NULL, NULL, NULL, 15),
(105173, NULL, 'PTHR33401:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105174, NULL, 'PTHR11471:SF31', NULL, NULL, NULL, NULL, 'LYMPHOTOXIN-ALPHA', NULL, NULL, NULL, 15),
(105175, NULL, 'PTHR11879:SF54', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(105176, NULL, 'PTHR33280:SF5', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L31', NULL, NULL, NULL, 15),
(105177, NULL, 'PTHR33403:SF26', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1-LIKE 3', NULL, NULL, NULL, 15),
(105178, NULL, 'PTHR43658', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE', NULL, NULL, NULL, 15),
(105179, NULL, 'PTHR21497:SF30', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(105180, NULL, 'PTHR33184:SF5', NULL, NULL, NULL, NULL, 'LGC1', NULL, NULL, NULL, 15),
(105181, NULL, 'PTHR13271:SF93', NULL, NULL, NULL, NULL, 'RUBISCO LS METHYLTRANSFERASE, SUBSTRATE-BINDING DOMAIN', NULL, NULL, NULL, 15),
(105182, NULL, 'PTHR28072:SF1', NULL, NULL, NULL, NULL, 'CRUCIFORM CUTTING ENDONUCLEASE 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(105183, NULL, 'PTHR24369:SF192', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND IG DOMAIN CONTAINING 4', NULL, NULL, NULL, 15),
(105184, NULL, 'PTHR45926:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE2', NULL, NULL, NULL, 15),
(105185, NULL, 'PTHR46446:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE1', NULL, NULL, NULL, 15),
(105186, NULL, 'PTHR32120:SF11', NULL, NULL, NULL, NULL, 'SMALL RIBOSOMAL SUBUNIT BIOGENESIS GTPASE RSGA 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(105187, NULL, 'PTHR46250:SF3', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(105188, NULL, 'PTHR43003:SF2', NULL, NULL, NULL, NULL, 'OS05G0567500 PROTEIN', NULL, NULL, NULL, 15),
(105189, NULL, 'PTHR33107:SF21', NULL, NULL, NULL, NULL, 'KUNITZ TYPE TRYPSIN INHIBITOR / ALPHA-FUCOSIDASE', NULL, NULL, NULL, 15),
(105190, NULL, 'PTHR46566', NULL, NULL, NULL, NULL, '1-PHOSPHOFRUCTOKINASE-RELATED', NULL, NULL, NULL, 15),
(105191, NULL, 'PTHR42905:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE PHOSPHOMUTASE-RELATED', NULL, NULL, NULL, 15),
(105192, NULL, 'PTHR11607:SF63', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE F', NULL, NULL, NULL, 15),
(105193, NULL, 'PTHR10352:SF49', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105194, NULL, 'PTHR46093:SF11', NULL, NULL, NULL, NULL, 'BNAC06G14710D PROTEIN', NULL, NULL, NULL, 15),
(105195, NULL, 'PTHR10285:SF126', NULL, NULL, NULL, NULL, 'NICOTINAMIDE RIBOSIDE KINASE 1', NULL, NULL, NULL, 15),
(105196, NULL, 'PTHR45625:SF12', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(105197, NULL, 'PTHR30540:SF8', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 7', NULL, NULL, NULL, 15),
(105198, NULL, 'PTHR31348:SF9', NULL, NULL, NULL, NULL, 'OS07G0598200 PROTEIN', NULL, NULL, NULL, 15),
(105199, NULL, 'PTHR43702:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TSGA', NULL, NULL, NULL, 15),
(105200, NULL, 'PTHR10829:SF25', NULL, NULL, NULL, NULL, 'DREBRIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(105201, NULL, 'PTHR36008:SF1', NULL, NULL, NULL, NULL, 'OS09G0478400 PROTEIN', NULL, NULL, NULL, 15),
(105202, NULL, 'PTHR31235:SF314', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(105203, NULL, 'PTHR30562:SF1', NULL, NULL, NULL, NULL, 'UVRABC SYSTEM PROTEIN C', NULL, NULL, NULL, 15),
(105204, NULL, 'PTHR46128:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105205, NULL, 'PTHR31251:SF122', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(105206, NULL, 'PTHR12526:SF527', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND GALACTOSYL-TRANSFERASE', NULL, NULL, NULL, 15),
(105207, NULL, 'PTHR33133:SF7', NULL, NULL, NULL, NULL, 'F26K24.10 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(105208, NULL, 'PTHR32191:SF67', NULL, NULL, NULL, NULL, 'BNACNNG41940D PROTEIN', NULL, NULL, NULL, 15),
(105209, NULL, 'PTHR18952:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105210, NULL, 'PTHR22776:SF78', NULL, NULL, NULL, NULL, 'RE01453P', NULL, NULL, NULL, 15),
(105211, NULL, 'PTHR33984:SF13', NULL, NULL, NULL, NULL, 'OS08G0333100 PROTEIN', NULL, NULL, NULL, 15),
(105212, NULL, 'PTHR45747:SF10', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(105213, NULL, 'PTHR24376:SF168', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 197', NULL, NULL, NULL, 15),
(105214, NULL, 'PTHR13593:SF112', NULL, NULL, NULL, NULL, 'PI-PLC X DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(105215, NULL, 'PTHR44229:SF2', NULL, NULL, NULL, NULL, '15-HYDROXYPROSTAGLANDIN DEHYDROGENASE', NULL, NULL, NULL, 15),
(105216, NULL, 'PTHR27003:SF314', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(105217, NULL, 'PTHR10621:SF46', NULL, NULL, NULL, NULL, 'EXCISION REPAIR PROTEIN RAD23, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105218, NULL, 'PTHR45153', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 16', NULL, NULL, NULL, 15),
(105219, NULL, 'PTHR11486:SF27', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 16', NULL, NULL, 28184, 15),
(105220, NULL, 'PTHR34491:SF9', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105221, NULL, 'PTHR12771:SF24', NULL, NULL, NULL, NULL, 'OSJNBB0038F03.14 PROTEIN', NULL, NULL, NULL, 15),
(105222, NULL, 'PTHR47775', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 14', NULL, NULL, NULL, 15),
(105223, NULL, 'PTHR34108:SF1', NULL, NULL, NULL, NULL, 'SEPTUM SITE-DETERMINING PROTEIN MINC', NULL, NULL, NULL, 15),
(105224, NULL, 'PTHR24320:SF156', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN 3-OXOACYL-COA REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(105225, NULL, 'PTHR44203:SF9', NULL, NULL, NULL, NULL, 'ETHYLENE-OVERPRODUCTION PROTEIN 1', NULL, NULL, NULL, 15),
(105226, NULL, 'PTHR10353:SF177', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 32', NULL, NULL, NULL, 15),
(105227, NULL, 'PTHR11614:SF88', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(105228, NULL, 'PTHR31969:SF9', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(105229, NULL, 'PTHR48016:SF7', NULL, NULL, NULL, NULL, 'BNAA06G00700D PROTEIN', NULL, NULL, NULL, 15),
(105230, NULL, 'PTHR33047:SF29', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105231, NULL, 'PTHR36529:SF1', NULL, NULL, NULL, NULL, 'SLL1095 PROTEIN', NULL, NULL, NULL, 15),
(105232, NULL, 'PTHR38537:SF8', NULL, NULL, NULL, NULL, 'JITTERBUG, ISOFORM N', NULL, NULL, NULL, 15),
(105233, NULL, 'PTHR22601:SF81', NULL, NULL, NULL, NULL, 'BNAA02G21950D PROTEIN', NULL, NULL, NULL, 15),
(105234, NULL, 'PTHR14905:SF18', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING 10, TANDEM DUPLICATE 1-RELATED', NULL, NULL, NULL, 15),
(105235, NULL, 'PTHR11909:SF367', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(105236, NULL, 'PTHR24264:SF58', NULL, NULL, NULL, NULL, 'SI:DKEY-33M11.8', NULL, NULL, NULL, 15),
(105237, NULL, 'PTHR45798:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105238, NULL, 'PTHR12673:SF252', NULL, NULL, NULL, NULL, 'RAC GUANINE NUCLEOTIDE EXCHANGE FACTOR JJ', NULL, NULL, NULL, 15),
(105239, NULL, 'PTHR43205:SF50', NULL, NULL, NULL, NULL, '2-ALKENAL REDUCTASE (NADP(+)-DEPENDENT)-LIKE', NULL, NULL, NULL, 15),
(105240, NULL, 'PTHR10075:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105241, NULL, 'PTHR37257', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 7', NULL, NULL, 32793, 15),
(105242, NULL, 'PTHR31623:SF88', NULL, NULL, NULL, NULL, 'N-BENZOYLTRANSFERASE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105243, NULL, 'PTHR24281:SF181', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A2-LIKE', NULL, NULL, NULL, 15),
(105244, NULL, 'PTHR18896:SF70', NULL, NULL, NULL, NULL, 'OS02G0120200 PROTEIN', NULL, NULL, NULL, 15),
(105245, NULL, 'PTHR15205:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING DEATH EFFECTOR DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(105246, NULL, 'PTHR11926:SF1339', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(105247, NULL, 'PTHR11764:SF39', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(105248, NULL, 'PTHR10381:SF15', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT 1', NULL, NULL, NULL, 15),
(105249, NULL, 'PTHR34482:SF18', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG DOMAIN, ASPARTIC PEPTIDASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(105250, NULL, 'PTHR42084', NULL, NULL, NULL, NULL, 'YALI0E26631P', NULL, NULL, NULL, 15),
(105251, NULL, 'PTHR11955:SF89', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN, INTESTINAL', NULL, NULL, 27204, 15),
(105252, NULL, 'PTHR11362:SF91', NULL, NULL, NULL, NULL, 'ZCN13', NULL, NULL, NULL, 15),
(105253, NULL, 'PTHR10190:SF5', NULL, NULL, NULL, NULL, 'EYES ABSENT HOMOLOG 3', NULL, NULL, 22468, 15),
(105254, NULL, 'PTHR31595:SF24', NULL, NULL, NULL, NULL, 'OS02G0454500 PROTEIN', NULL, NULL, NULL, 15),
(105255, NULL, 'PTHR39461:SF1', NULL, NULL, NULL, NULL, 'LEA DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_8G04920)', NULL, NULL, NULL, 15),
(105256, NULL, 'PTHR45690:SF14', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(105257, NULL, 'PTHR45675:SF1', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(105258, NULL, 'PTHR13683:SF704', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(105259, NULL, 'PTHR34583', NULL, NULL, NULL, NULL, 'ANTIPORTER SUBUNIT MNHC2-RELATED', NULL, NULL, NULL, 15),
(105260, NULL, 'PTHR11615:SF312', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4A2', NULL, NULL, NULL, 15),
(105261, NULL, 'PTHR23294:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG15077', NULL, NULL, NULL, 15),
(105262, NULL, 'PTHR45882:SF2', NULL, NULL, NULL, NULL, 'PITUITARY HOMEOBOX 3', NULL, NULL, NULL, 15),
(105263, NULL, 'PTHR46718:SF1', NULL, NULL, NULL, NULL, 'ASPARTATE-SEMIALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(105264, NULL, 'PTHR23213:SF339', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(105265, NULL, 'PTHR24347:SF365', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE II SUBUNIT DELTA', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105266, NULL, 'PTHR46251:SF1', NULL, NULL, NULL, NULL, 'RUN DOMAIN-CONTAINING PROTEIN 3B', NULL, NULL, NULL, 15),
(105267, NULL, 'PTHR33047:SF20', NULL, NULL, NULL, NULL, 'PROTEIN TAR1', NULL, NULL, NULL, 15),
(105268, NULL, 'PTHR19432:SF27', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUC3', NULL, NULL, NULL, 15),
(105269, NULL, 'PTHR31279:SF19', NULL, NULL, NULL, NULL, 'OS06G0219900 PROTEIN', NULL, NULL, NULL, 15),
(105270, NULL, 'PTHR11730:SF102', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1 MEMBER 5-RELATED', NULL, NULL, NULL, 15),
(105271, NULL, 'PTHR36287:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 13', NULL, NULL, NULL, 15),
(105272, NULL, 'PTHR10108:SF1141', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT25-RELATED', NULL, NULL, NULL, 15),
(105273, NULL, 'PTHR11909:SF385', NULL, NULL, NULL, NULL, 'BNAC09G39660D PROTEIN', NULL, NULL, NULL, 15),
(105274, NULL, 'PTHR23232:SF89', NULL, NULL, NULL, NULL, 'KRAB DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(105275, NULL, 'PTHR33124:SF68', NULL, NULL, NULL, NULL, 'BNAC04G48570D PROTEIN', NULL, NULL, NULL, 15),
(105276, NULL, 'PTHR31009:SF55', NULL, NULL, NULL, NULL, 'PARAXANTHINE METHYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(105277, NULL, 'PTHR10108:SF1112', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(105278, NULL, 'PTHR45631:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105279, NULL, 'PTHR11984:SF40', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', NULL, NULL, NULL, 15),
(105280, NULL, 'PTHR18934:SF229', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX30', NULL, NULL, NULL, 15),
(105281, NULL, 'PTHR15907:SF132', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 1-LIKE', NULL, NULL, NULL, 15),
(105282, NULL, 'PTHR46605:SF3', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 16', NULL, NULL, NULL, 15),
(105283, NULL, 'PTHR43725:SF27', NULL, NULL, NULL, NULL, 'BNAA01G13540D PROTEIN', NULL, NULL, NULL, 15),
(105284, NULL, 'PTHR32301:SF10', NULL, NULL, NULL, NULL, 'COUNTIN RECEPTOR CNR3-RELATED', NULL, NULL, NULL, 15),
(105285, NULL, 'PTHR31901:SF72', NULL, NULL, NULL, NULL, 'BNAA08G05580D PROTEIN', NULL, NULL, NULL, 15),
(105286, NULL, 'PTHR12062:SF9', NULL, NULL, NULL, NULL, 'FI02046P', NULL, NULL, NULL, 15),
(105287, NULL, 'PTHR31642:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105288, NULL, 'PTHR31642:SF193', NULL, NULL, NULL, NULL, 'OSJNBA0060N03.21 PROTEIN', NULL, NULL, NULL, 15),
(105289, NULL, 'PTHR38378:SF3', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(105290, NULL, 'PTHR11909:SF155', NULL, NULL, NULL, NULL, 'GILGAMESH, ISOFORM L', NULL, NULL, NULL, 15),
(105291, NULL, 'PTHR35292:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105292, NULL, 'PTHR31351:SF26', NULL, NULL, NULL, NULL, 'BNAC02G00450D PROTEIN', NULL, NULL, NULL, 15),
(105293, NULL, 'PTHR24213:SF9', NULL, NULL, NULL, NULL, 'UNCOORDINATED 115A, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(105294, NULL, 'PTHR31325:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105295, NULL, 'PTHR26453:SF223', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2W3', NULL, NULL, NULL, 15),
(105296, NULL, 'PTHR19359:SF25', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 ISOFORM A', NULL, NULL, NULL, 15),
(105297, NULL, 'PTHR24093:SF377', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE CALCIUM-TRANSPORTING ATPASE 2', NULL, NULL, 27591, 15),
(105298, NULL, 'PTHR31562:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG12410', NULL, NULL, NULL, 15),
(105299, NULL, 'PTHR45768:SF57', NULL, NULL, NULL, NULL, 'BNAA09G38290D PROTEIN', NULL, NULL, NULL, 15),
(105300, NULL, 'PTHR37448:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105301, NULL, 'PTHR23239:SF207', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 24', NULL, NULL, NULL, 15),
(105302, NULL, 'PTHR46142:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105303, NULL, 'PTHR45616:SF39', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 6A', NULL, NULL, NULL, 15),
(105304, NULL, 'PTHR24169', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR NF-KAPPA-B PROTEIN', NULL, NULL, 6548, 15),
(105305, NULL, 'PTHR45681:SF3', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 44-RELATED', NULL, NULL, NULL, 15),
(105306, NULL, 'PTHR42861:SF103', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE 1', NULL, NULL, NULL, 15),
(105307, NULL, 'PTHR24026:SF105', NULL, NULL, NULL, NULL, 'FLAMINGO (CADHERIN PLUS 7TM DOMAIN) HOMOLOG', NULL, NULL, NULL, 15),
(105308, NULL, 'PTHR11636:SF128', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 5, TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(105309, NULL, 'PTHR13578:SF18', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN ASXL3-RELATED', NULL, NULL, 22722, 15),
(105310, NULL, 'PTHR11783:SF242', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(105311, NULL, 'PTHR47991:SF117', NULL, NULL, NULL, NULL, 'OS01G0830500 PROTEIN', NULL, NULL, NULL, 15),
(105312, NULL, 'PTHR24006:SF829', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE 17-RELATED', NULL, NULL, NULL, 15),
(105313, NULL, 'PTHR15758', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 13', NULL, NULL, 39330, 15),
(105314, NULL, 'PTHR12802:SF115', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 8', NULL, NULL, NULL, 15),
(105315, NULL, 'PTHR33098:SF68', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(105316, NULL, 'PTHR48044:SF39', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(105317, NULL, 'PTHR24089:SF246', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 43', NULL, NULL, NULL, 15),
(105318, NULL, 'PTHR47496', NULL, NULL, NULL, NULL, 'CD27', NULL, NULL, NULL, 15),
(105319, NULL, 'PTHR47990:SF37', NULL, NULL, NULL, NULL, 'NON-HEME DIOXYGENASE N-TERMINAL DOMAIN, ISOPENICILLIN N SYNTHASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(105320, NULL, 'PTHR22835:SF317', NULL, NULL, NULL, NULL, 'OS06G0694200 PROTEIN', NULL, NULL, NULL, 15),
(105321, NULL, 'PTHR13833:SF82', NULL, NULL, NULL, NULL, 'BNAA07G28750D PROTEIN', NULL, NULL, NULL, 15),
(105322, NULL, 'PTHR21700:SF8', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(105323, NULL, 'PTHR24373:SF268', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT TRANSMEMBRANE NEURONAL 2', NULL, NULL, NULL, 15),
(105324, NULL, 'PTHR24343:SF326', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK9', NULL, NULL, NULL, 15),
(105325, NULL, 'PTHR45649:SF1', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(105326, NULL, 'PTHR43969:SF4', NULL, NULL, NULL, NULL, 'FI01423P-RELATED', NULL, NULL, NULL, 15),
(105327, NULL, 'PTHR26451:SF28', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10J3', NULL, NULL, NULL, 15),
(105328, NULL, 'PTHR12560:SF55', NULL, NULL, NULL, NULL, 'LAG1-LIKE LONGEVITY ASSURANCE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(105329, NULL, 'PTHR11036:SF20', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3G', NULL, NULL, NULL, 15),
(105330, NULL, 'PTHR19957:SF300', NULL, NULL, NULL, NULL, 'T-SNARE-RELATED', NULL, NULL, NULL, 15),
(105331, NULL, 'PTHR11937:SF196', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN 6B', NULL, NULL, NULL, 15),
(105332, NULL, 'PTHR10641:SF715', NULL, NULL, NULL, NULL, 'OS07G0484700 PROTEIN', NULL, NULL, NULL, 15),
(105333, NULL, 'PTHR42782:SF4', NULL, NULL, NULL, NULL, 'OS01G0214400 PROTEIN', NULL, NULL, NULL, 15),
(105334, NULL, 'PTHR24296:SF187', NULL, NULL, NULL, NULL, 'BNAA09G15080D PROTEIN', NULL, NULL, NULL, 15),
(105335, NULL, 'PTHR31580:SF22', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 7', NULL, NULL, NULL, 15),
(105336, NULL, 'PTHR31852:SF30', NULL, NULL, NULL, NULL, 'OS08G0324200 PROTEIN', NULL, NULL, NULL, 15),
(105337, NULL, 'PTHR15240', NULL, NULL, NULL, NULL, 'CAVIN', NULL, NULL, 27777, 15),
(105338, NULL, 'PTHR24409:SF377', NULL, NULL, NULL, NULL, 'AGAP005659-PA', NULL, NULL, NULL, 15),
(105339, NULL, 'PTHR31865:SF55', NULL, NULL, NULL, NULL, 'DUF1685 FAMILY PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105340, NULL, 'PTHR30540:SF94', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 5', NULL, NULL, NULL, 15),
(105341, NULL, 'PTHR12295:SF29', NULL, NULL, NULL, NULL, 'PROTEIN FURRY HOMOLOG', NULL, NULL, NULL, 15),
(105342, NULL, 'PTHR33593:SF11', NULL, NULL, NULL, NULL, 'BNAA09G38740D PROTEIN', NULL, NULL, NULL, 15),
(105343, NULL, 'PTHR23500:SF105', NULL, NULL, NULL, NULL, 'OS02G0574100 PROTEIN', NULL, NULL, NULL, 15),
(105344, NULL, 'PTHR10792', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24', NULL, NULL, 451, 15),
(105345, NULL, 'PTHR31286:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105346, NULL, 'PTHR12687:SF8', NULL, NULL, NULL, NULL, 'NOC2P FAMILY', NULL, NULL, NULL, 15),
(105347, NULL, 'PTHR47404:SF1', NULL, NULL, NULL, NULL, 'WRB (HUMAN W(TRYPTOPHAN)-RICH BASIC NUCLEAR PROTEIN) HOMOLOG', NULL, NULL, NULL, 15),
(105348, NULL, 'PTHR12428:SF14', NULL, NULL, NULL, NULL, 'ALBINO3-LIKE PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(105349, NULL, 'PTHR23054:SF72', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1, LEUCINE-ZIPPER-RELATED', NULL, NULL, NULL, 15),
(105350, NULL, 'PTHR47925:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105351, NULL, 'PTHR23226:SF150', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 444', NULL, NULL, NULL, 15),
(105352, NULL, 'PTHR43820:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(105353, NULL, 'PTHR13780:SF38', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE SUBUNIT GAMMA-1', NULL, NULL, 30561, 15),
(105354, NULL, 'PTHR23502:SF168', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02040)-RELATED', NULL, NULL, NULL, 15),
(105355, NULL, 'PTHR14296:SF7', NULL, NULL, NULL, NULL, 'DDT DOMAIN-CONTAINING PROTEIN DDR4', NULL, NULL, NULL, 15),
(105356, NULL, 'PTHR35587:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105357, NULL, 'PTHR42908:SF23', NULL, NULL, NULL, NULL, 'TRANSLATION ELONGATION FACTOR EF-2 SUBUNIT', NULL, NULL, NULL, 15),
(105358, NULL, 'PTHR10738:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(105359, NULL, 'PTHR47976:SF10', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN FAMILY RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(105360, NULL, 'PTHR47751:SF2', NULL, NULL, NULL, NULL, 'DLTD N-TERMINAL DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_8G00380)', NULL, NULL, NULL, 15),
(105361, NULL, 'PTHR15074:SF0', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(105362, NULL, 'PTHR37162:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105363, NULL, 'PTHR44115:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG06196', NULL, NULL, NULL, 15),
(105364, NULL, 'PTHR11260:SF691', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9-LIKE', NULL, NULL, NULL, 15),
(105365, NULL, 'PTHR23105:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105366, NULL, 'PTHR10555:SF129', NULL, NULL, NULL, NULL, 'SORTING NEXIN-1', NULL, NULL, 29374, 15),
(105367, NULL, 'PTHR45687:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105368, NULL, 'PTHR33791', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 5323, 15),
(105369, NULL, 'PTHR31683:SF123', NULL, NULL, NULL, NULL, 'PECTATE LYASE 6-RELATED', NULL, NULL, NULL, 15),
(105370, NULL, 'PTHR47928:SF117', NULL, NULL, NULL, NULL, 'OS05G0586900 PROTEIN', NULL, NULL, NULL, 15),
(105371, NULL, 'PTHR14154:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105372, NULL, 'PTHR11265', NULL, NULL, NULL, NULL, 'S-ADENOSYL-METHYLTRANSFERASE MRAW', NULL, NULL, 6246, 15),
(105373, NULL, 'PTHR12348:SF25', NULL, NULL, NULL, NULL, 'ZGC:153012', NULL, NULL, NULL, 15),
(105374, NULL, 'PTHR46964:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(105375, NULL, 'PTHR46703', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105376, NULL, 'PTHR38926:SF46', NULL, NULL, NULL, NULL, 'OS08G0194000 PROTEIN', NULL, NULL, NULL, 15),
(105377, NULL, 'PTHR31852:SF58', NULL, NULL, NULL, NULL, 'OS01G0712300 PROTEIN', NULL, NULL, NULL, 15),
(105378, NULL, 'PTHR11472:SF41', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE DDX11-RELATED', NULL, NULL, 23513, 15),
(105379, NULL, 'PTHR24256:SF506', NULL, NULL, NULL, NULL, 'MIP04821P', NULL, NULL, NULL, 15),
(105380, NULL, 'PTHR13318:SF70', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT MAX2 HOMOLOG', NULL, NULL, NULL, 15),
(105381, NULL, 'PTHR28027:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MIT1', NULL, NULL, NULL, 15),
(105382, NULL, 'PTHR43245:SF27', NULL, NULL, NULL, NULL, 'REDUCTASE FAMILY PROTEIN (CIPA), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105383, NULL, 'PTHR47958:SF59', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX17-RELATED', NULL, NULL, NULL, 15),
(105384, NULL, 'PTHR11132:SF400', NULL, NULL, NULL, NULL, 'UDP-URONIC ACID TRANSPORTER 1', NULL, NULL, NULL, 15),
(105385, NULL, 'PTHR12638:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105386, NULL, 'PTHR31589:SF67', NULL, NULL, NULL, NULL, 'POLYPROTEIN/RETROTRANSPOSON, PUTATIVE (DUF239)-RELATED', NULL, NULL, NULL, 15),
(105387, NULL, 'PTHR31791:SF8', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING PROTEIN ZIP4', NULL, NULL, NULL, 15),
(105388, NULL, 'PTHR31614:SF35', NULL, NULL, NULL, NULL, 'OS10G0371000 PROTEIN', NULL, NULL, NULL, 15),
(105389, NULL, 'PTHR42884:SF14', NULL, NULL, NULL, NULL, 'NEUROENDOCRINE CONVERTASE 1', NULL, NULL, NULL, 15),
(105390, NULL, 'PTHR11938:SF135', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT DIHYDROPYRIMIDINE DEHYDROGENASE SUBUNIT PRET', NULL, NULL, NULL, 15),
(105391, NULL, 'PTHR31236:SF11', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(105392, NULL, 'PTHR32153:SF12', NULL, NULL, NULL, NULL, 'BNAC05G35080D PROTEIN', NULL, NULL, NULL, 15),
(105393, NULL, 'PTHR43701', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN MJ0441-RELATED', NULL, NULL, NULL, 15),
(105394, NULL, 'PTHR12639', NULL, NULL, NULL, NULL, 'VITAMIN K-DEPENDENT GAMMA-CARBOXYLASE', NULL, NULL, 1041, 15),
(105395, NULL, 'PTHR45658:SF34', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(105396, NULL, 'PTHR45682:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105397, NULL, 'PTHR36483:SF1', NULL, NULL, NULL, NULL, 'OS02G0130700 PROTEIN', NULL, NULL, NULL, 15),
(105398, NULL, 'PTHR47924:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105399, NULL, 'PTHR24188', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(105400, NULL, 'PTHR30386', NULL, NULL, NULL, NULL, 'MEMBRANE FUSION SUBUNIT OF EMRAB-TOLC MULTIDRUG EFFLUX PUMP', NULL, NULL, NULL, 15),
(105401, NULL, 'PTHR24179:SF18', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 12B', NULL, NULL, NULL, 15),
(105402, NULL, 'PTHR24093:SF456', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(105403, NULL, 'PTHR11603:SF148', NULL, NULL, NULL, NULL, 'METHANOL DEHYDROGENASE REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(105404, NULL, 'PTHR43706:SF26', NULL, NULL, NULL, NULL, 'BNAA08G28900D PROTEIN', NULL, NULL, NULL, 15),
(105405, NULL, 'PTHR48201:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105406, NULL, 'PTHR47932:SF54', NULL, NULL, NULL, NULL, '(PPR) REPEAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105407, NULL, 'PTHR24115:SF835', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14U', NULL, NULL, NULL, 15),
(105408, NULL, 'PTHR10891:SF880', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(105409, NULL, 'PTHR10484:SF183', NULL, NULL, NULL, NULL, 'HISTONE H4', NULL, NULL, NULL, 15),
(105410, NULL, 'PTHR48002:SF51', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4F17-RELATED', NULL, NULL, NULL, 15),
(105411, NULL, 'PTHR34645:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105412, NULL, 'PTHR31561:SF159', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(105413, NULL, 'PTHR15362:SF29', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--INOSITOL 3-PHOSPHATIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(105414, NULL, 'PTHR31175:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105415, NULL, 'PTHR11811:SF51', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(105416, NULL, 'PTHR48159', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105417, NULL, 'PTHR31967:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG11885', NULL, NULL, NULL, 15),
(105418, NULL, 'PTHR35836:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105419, NULL, 'PTHR12728', NULL, NULL, NULL, NULL, 'BRIX DOMAIN CONTAINING PROTEIN', NULL, NULL, 29728, 15),
(105420, NULL, 'PTHR31985:SF148', NULL, NULL, NULL, NULL, 'OSJNBB0034G17.3 PROTEIN', NULL, NULL, NULL, 15),
(105421, NULL, 'PTHR33377:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105422, NULL, 'PTHR24177:SF317', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(105423, NULL, 'PTHR35496:SF16', NULL, NULL, NULL, NULL, 'PAWS-LIKE PREPROALBUMIN 1', NULL, NULL, NULL, 15),
(105424, NULL, 'PTHR23338', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM', NULL, NULL, 27474, 15),
(105425, NULL, 'PTHR24399:SF39', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 24', NULL, NULL, NULL, 15),
(105426, NULL, 'PTHR11683:SF14', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN M6AA', NULL, NULL, NULL, 15),
(105427, NULL, 'PTHR21576:SF122', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER', NULL, NULL, NULL, 15),
(105428, NULL, 'PTHR24055:SF404', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(105429, NULL, 'PTHR45840:SF9', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(105430, NULL, 'PTHR31375:SF243', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', NULL, NULL, NULL, 15),
(105431, NULL, 'PTHR23333:SF38', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(105432, NULL, 'PTHR47926:SF70', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(105433, NULL, 'PTHR46031:SF18', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(105434, NULL, 'PTHR24061:SF358', NULL, NULL, NULL, NULL, 'EXTRACELLULAR CALCIUM-SENSING RECEPTOR', NULL, NULL, NULL, 15),
(105435, NULL, 'PTHR34807:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105436, NULL, 'PTHR12378:SF16', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(105437, NULL, 'PTHR15711:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105438, NULL, 'PTHR22852', NULL, NULL, NULL, NULL, 'LETHAL 2 DENTICLELESS PROTEIN  RETINOIC ACID-REGULATED NUCLEAR MATRIX-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(105439, NULL, 'PTHR42825:SF28', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(105440, NULL, 'PTHR45637:SF20', NULL, NULL, NULL, NULL, 'PHOTOTROPIN-1', NULL, NULL, NULL, 15),
(105441, NULL, 'PTHR21495:SF213', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(105442, NULL, 'PTHR24177:SF203', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(105443, NULL, 'PTHR35997:SF6', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', NULL, NULL, NULL, 15),
(105444, NULL, 'PTHR44843:SF8', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(105445, NULL, 'PTHR42920:SF14', NULL, NULL, NULL, NULL, 'TRANSPORTER, DRUG/METABOLITE EXPORTER FAMILY', NULL, NULL, NULL, 15),
(105446, NULL, 'PTHR24068:SF374', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-23 KDA-LIKE', NULL, NULL, NULL, 15),
(105447, NULL, 'PTHR28642', NULL, NULL, NULL, NULL, 'MEIOSIS 1 ARREST PROTEIN', NULL, NULL, 31501, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105448, NULL, 'PTHR32161:SF21', NULL, NULL, NULL, NULL, 'OS03G0403400 PROTEIN', NULL, NULL, NULL, 15),
(105449, NULL, 'PTHR33076:SF75', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(105450, NULL, 'PTHR47991:SF113', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE', NULL, NULL, NULL, 15),
(105451, NULL, 'PTHR31087:SF59', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 4', NULL, NULL, NULL, 15),
(105452, NULL, 'PTHR45997:SF2', NULL, NULL, NULL, NULL, 'ATP DEPENDENT DNA LIGASE DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G02430)', NULL, NULL, NULL, 15),
(105453, NULL, 'PTHR43900:SF68', NULL, NULL, NULL, NULL, 'GLUTATHIONE-S-TRANSFERASE', NULL, NULL, NULL, 15),
(105454, NULL, 'PTHR26379:SF180', NULL, NULL, NULL, NULL, 'OS06G0251200 PROTEIN', NULL, NULL, NULL, 15),
(105455, NULL, 'PTHR39515:SF2', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(105456, NULL, 'PTHR43322', NULL, NULL, NULL, NULL, '1-D-DEOXYXYLULOSE 5-PHOSPHATE SYNTHASE-RELATED', NULL, NULL, 955, 15),
(105457, NULL, 'PTHR23049:SF7', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 1-RELATED', NULL, NULL, NULL, 15),
(105458, NULL, 'PTHR11003:SF269', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(105459, NULL, 'PTHR36705:SF2', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 20', NULL, NULL, NULL, 15),
(105460, NULL, 'PTHR11119:SF28', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 12', NULL, NULL, 24827, 15),
(105461, NULL, 'PTHR43903:SF13', NULL, NULL, NULL, NULL, 'ACETYLCHOLINESTERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(105462, NULL, 'PTHR28622:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 7', NULL, NULL, NULL, 15),
(105463, NULL, 'PTHR36536', NULL, NULL, NULL, NULL, 'UPF0111 PROTEIN HI_1603', NULL, NULL, 3960, 15),
(105464, NULL, 'PTHR10994:SF157', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B14', NULL, NULL, NULL, 15),
(105465, NULL, 'PTHR34144:SF7', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(105466, NULL, 'PTHR17695:SF11', NULL, NULL, NULL, NULL, 'SMALL SUBUNIT PROCESSOME COMPONENT 20 HOMOLOG', NULL, NULL, NULL, 15),
(105467, NULL, 'PTHR38827:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105468, NULL, 'PTHR31568:SF59', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN PCC1-RELATED', NULL, NULL, NULL, 15),
(105469, NULL, 'PTHR12138:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105470, NULL, 'PTHR12874', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 48-RELATED', NULL, NULL, 39406, 15),
(105471, NULL, 'PTHR12630:SF18', NULL, NULL, NULL, NULL, 'GLUCOSIDASE 2 SUBUNIT BETA-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(105472, NULL, 'PTHR10073:SF41', NULL, NULL, NULL, NULL, 'MISMATCH REPAIR PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05820)-RELATED', NULL, NULL, NULL, 15),
(105473, NULL, 'PTHR45770:SF25', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 1', NULL, NULL, NULL, 15),
(105474, NULL, 'PTHR31223:SF55', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOGL8-RELATED', NULL, NULL, NULL, 15),
(105475, NULL, 'PTHR19290', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX PROTEIN NEUROGENIN-RELATED', NULL, NULL, NULL, 15),
(105476, NULL, 'PTHR38742:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105477, NULL, 'PTHR47293:SF10', NULL, NULL, NULL, NULL, 'BNACNNG52420D PROTEIN', NULL, NULL, NULL, 15),
(105478, NULL, 'PTHR43596:SF1', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN', NULL, NULL, NULL, 15),
(105479, NULL, 'PTHR43574:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105480, NULL, 'PTHR47366:SF1', NULL, NULL, NULL, NULL, 'TWO-ON-TWO HEMOGLOBIN-3', NULL, NULL, NULL, 15),
(105481, NULL, 'PTHR11412:SF150', NULL, NULL, NULL, NULL, 'ALPHA-2-MACROGLOBULIN', NULL, NULL, NULL, 15),
(105482, NULL, 'PTHR13609', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN CONTAINING 1 PROTEIN-RELATED', NULL, NULL, 34822, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105483, NULL, 'PTHR24118:SF86', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(105484, NULL, 'PTHR21610:SF9', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(105485, NULL, 'PTHR38134:SF2', NULL, NULL, NULL, NULL, 'SLR1395 PROTEIN', NULL, NULL, NULL, 15),
(105486, NULL, 'PTHR43206:SF3', NULL, NULL, NULL, NULL, '4-AMINOBUTYRATE AMINOTRANSFERASE PUUE', NULL, NULL, NULL, 15),
(105487, NULL, 'PTHR12276:SF48', NULL, NULL, NULL, NULL, 'EPSIN-1', NULL, NULL, NULL, 15),
(105488, NULL, 'PTHR31339:SF60', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE/GLYCOSIDE HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(105489, NULL, 'PTHR47990:SF174', NULL, NULL, NULL, NULL, 'BNAA09G45800D PROTEIN', NULL, NULL, NULL, 15),
(105490, NULL, 'PTHR48001:SF165', NULL, NULL, NULL, NULL, 'SIMILAR TO OLFACTORY RECEPTOR OLR1374', NULL, NULL, NULL, 15),
(105491, NULL, 'PTHR11614:SF171', NULL, NULL, NULL, NULL, 'BNAC09G41690D PROTEIN', NULL, NULL, NULL, 15),
(105492, NULL, 'PTHR19957:SF36', NULL, NULL, NULL, NULL, 'SYNTAXIN-2', NULL, NULL, 23885, 15),
(105493, NULL, 'PTHR33834:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105494, NULL, 'PTHR46257', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE CORKSCREW', NULL, NULL, NULL, 15),
(105495, NULL, 'PTHR10590:SF4', NULL, NULL, NULL, NULL, 'CONCENTRATIVE NUCLEOSIDE TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(105496, NULL, 'PTHR12865:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE TYPE 2-ALPHA', NULL, NULL, NULL, 15),
(105497, NULL, 'PTHR13049:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG21241', NULL, NULL, NULL, 15),
(105498, NULL, 'PTHR42090:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105499, NULL, 'PTHR21659:SF42', NULL, NULL, NULL, NULL, 'UPF0057 MEMBRANE PROTEIN T23F2.4-RELATED', NULL, NULL, NULL, 15),
(105500, NULL, 'PTHR26452:SF729', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(105501, NULL, 'PTHR23111:SF76', NULL, NULL, NULL, NULL, 'BNAA10G16990D PROTEIN', NULL, NULL, NULL, 15),
(105502, NULL, 'PTHR24012:SF675', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(105503, NULL, 'PTHR45666:SF48', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(105504, NULL, 'PTHR11818:SF42', NULL, NULL, NULL, NULL, 'QXW LECTIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(105505, NULL, 'PTHR34049:SF2', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(105506, NULL, 'PTHR33270:SF37', NULL, NULL, NULL, NULL, 'BNAC09G20760D PROTEIN', NULL, NULL, NULL, 15),
(105507, NULL, 'PTHR24006:SF768', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105508, NULL, 'PTHR48053:SF17', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(105509, NULL, 'PTHR44259:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105510, NULL, 'PTHR48035:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(105511, NULL, 'PTHR11533:SF201', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE-LIKE PROTEIN AC3.5', NULL, NULL, NULL, 15),
(105512, NULL, 'PTHR31561:SF160', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(105513, NULL, 'PTHR32141:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105514, NULL, 'PTHR47508:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105515, NULL, 'PTHR19211:SF112', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, CONSERVED SITE', NULL, NULL, NULL, 15),
(105516, NULL, 'PTHR33429:SF29', NULL, NULL, NULL, NULL, 'BNAA09G30970D PROTEIN', NULL, NULL, NULL, 15),
(105517, NULL, 'PTHR27008:SF237', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(105518, NULL, 'PTHR19368:SF15', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN 3', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105519, NULL, 'PTHR43500:SF1', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-LYASE-RELATED', NULL, NULL, NULL, 15),
(105520, NULL, 'PTHR48010:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE-LIKE PROTEIN ZAR1', NULL, NULL, NULL, 15),
(105521, NULL, 'PTHR36381:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105522, NULL, 'PTHR36746:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105523, NULL, 'PTHR12900:SF0', NULL, NULL, NULL, NULL, 'CHECKPOINT PROTEIN', NULL, NULL, NULL, 15),
(105524, NULL, 'PTHR31500', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 9', NULL, NULL, 35523, 15),
(105525, NULL, 'PTHR11764:SF75', NULL, NULL, NULL, NULL, 'ACHILLEOL B SYNTHASE', NULL, NULL, NULL, 15),
(105526, NULL, 'PTHR32285:SF62', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 33', NULL, NULL, NULL, 15),
(105527, NULL, 'PTHR46662:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105528, NULL, 'PTHR11945:SF367', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 7', NULL, NULL, NULL, 15),
(105529, NULL, 'PTHR32153:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105530, NULL, 'PTHR13857:SF39', NULL, NULL, NULL, NULL, 'DNA DC-DU-EDITING ENZYME APOBEC-3A-RELATED', NULL, NULL, NULL, 15),
(105531, NULL, 'PTHR47997:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105532, NULL, 'PTHR43840:SF12', NULL, NULL, NULL, NULL, 'CATION DIFFUSION FACILITATOR 1 (AFU_ORTHOLOGUE AFUA_1G14440)', NULL, NULL, NULL, 15),
(105533, NULL, 'PTHR46054:SF1', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN STAUFEN HOMOLOG 2', NULL, NULL, NULL, 15),
(105534, NULL, 'PTHR13190', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED 2, ISOFORM A', NULL, NULL, 26156, 15),
(105535, NULL, 'PTHR33207:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105536, NULL, 'PTHR11606:SF30', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(105537, NULL, 'PTHR32176:SF71', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(105538, NULL, 'PTHR46214:SF26', NULL, NULL, NULL, NULL, 'BNAA02G33900D PROTEIN', NULL, NULL, NULL, 15),
(105539, NULL, 'PTHR12558:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105540, NULL, 'PTHR11709:SF300', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(105541, NULL, 'PTHR30183:SF3', NULL, NULL, NULL, NULL, 'MOLYBDENUM TRANSPORT SYSTEM PERMEASE PROTEIN MODB', NULL, NULL, NULL, 15),
(105542, NULL, 'PTHR31026', NULL, NULL, NULL, NULL, 'ENHANCER OF UNCOORDINATION', NULL, NULL, NULL, 15),
(105543, NULL, 'PTHR24326:SF594', NULL, NULL, NULL, NULL, 'BNAC04G50970D PROTEIN', NULL, NULL, NULL, 15),
(105544, NULL, 'PTHR24403:SF74', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 507', NULL, NULL, NULL, 15),
(105545, NULL, 'PTHR21362', NULL, NULL, NULL, NULL, 'ACROSIN-BINDING PROTEIN', NULL, NULL, 14990, 15),
(105546, NULL, 'PTHR46863:SF3', NULL, NULL, NULL, NULL, 'OS02G0819900 PROTEIN', NULL, NULL, NULL, 15),
(105547, NULL, 'PTHR33392:SF8', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN MSRR', NULL, NULL, NULL, 15),
(105548, NULL, 'PTHR24144:SF32', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 49', NULL, NULL, NULL, 15),
(105549, NULL, 'PTHR45635:SF36', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(105550, NULL, 'PTHR31792', NULL, NULL, NULL, NULL, 'VACUOLAR ATPASE ASSEMBLY INTEGRAL MEMBRANE PROTEIN VMA21', NULL, NULL, 16257, 15),
(105551, NULL, 'PTHR23105:SF126', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10A-1-RELATED', NULL, NULL, NULL, 15),
(105552, NULL, 'PTHR31852:SF217', NULL, NULL, NULL, NULL, 'OS06G0119900 PROTEIN', NULL, NULL, NULL, 15),
(105553, NULL, 'PTHR47986:SF14', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', NULL, NULL, NULL, 15),
(105554, NULL, 'PTHR12442:SF38', NULL, NULL, NULL, NULL, 'DYNEIN, CYTOPLASMIC 1, INTERMEDIATE CHAIN 2B', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105555, NULL, 'PTHR22953:SF127', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(105556, NULL, 'PTHR11668:SF385', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(105557, NULL, 'PTHR26379:SF331', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105558, NULL, 'PTHR45719', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, 38812, 15),
(105559, NULL, 'PTHR15367', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III', NULL, NULL, 21127, 15),
(105560, NULL, 'PTHR12837:SF10', NULL, NULL, NULL, NULL, 'AGAP003831-PA', NULL, NULL, NULL, 15),
(105561, NULL, 'PTHR43128:SF8', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE A-LIKE 6B', NULL, NULL, NULL, 15),
(105562, NULL, 'PTHR46834:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH91', NULL, NULL, NULL, 15),
(105563, NULL, 'PTHR47925:SF66', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(105564, NULL, 'PTHR31860:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105565, NULL, 'PTHR46736:SF32', NULL, NULL, NULL, NULL, 'ORF258 PROTEIN', NULL, NULL, NULL, 15),
(105566, NULL, 'PTHR24637:SF304', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(105567, NULL, 'PTHR11683:SF11', NULL, NULL, NULL, NULL, 'MYELIN PROTEOLIPID PROTEIN', NULL, NULL, NULL, 15),
(105568, NULL, 'PTHR31973:SF143', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 8-LIKE', NULL, NULL, NULL, 15),
(105569, NULL, 'PTHR46072:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05220)-RELATED', NULL, NULL, NULL, 15),
(105570, NULL, 'PTHR26379:SF284', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105571, NULL, 'PTHR10672:SF4', NULL, NULL, NULL, NULL, 'ALPHA-ADDUCIN', NULL, NULL, 26601, 15),
(105572, NULL, 'PTHR11017:SF433', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N', NULL, NULL, NULL, 15),
(105573, NULL, 'PTHR33133:SF31', NULL, NULL, NULL, NULL, 'F28K20.6 PROTEIN', NULL, NULL, NULL, 15),
(105574, NULL, 'PTHR23226:SF193', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 275', NULL, NULL, NULL, 15),
(105575, NULL, 'PTHR11690:SF228', NULL, NULL, NULL, NULL, 'ACID-SENSING ION CHANNEL 3', NULL, NULL, NULL, 15),
(105576, NULL, 'PTHR47399:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 121B', NULL, NULL, NULL, 15),
(105577, NULL, 'PTHR43634:SF8', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(105578, NULL, 'PTHR31889:SF75', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE CAZY FAMILY GT37-LIKE PROTEIN', NULL, NULL, NULL, 15),
(105579, NULL, 'PTHR33136:SF71', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 1', NULL, NULL, NULL, 15),
(105580, NULL, 'PTHR31674:SF68', NULL, NULL, NULL, NULL, 'BNAA04G14580D PROTEIN', NULL, NULL, NULL, 15),
(105581, NULL, 'PTHR10353:SF221', NULL, NULL, NULL, NULL, 'BNAANNG19210D PROTEIN', NULL, NULL, NULL, 15),
(105582, NULL, 'PTHR42070:SF1', NULL, NULL, NULL, NULL, 'FILAMENT ASSOCIATED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G06630)-RELATED', NULL, NULL, NULL, 15),
(105583, NULL, 'PTHR32295:SF216', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 3', NULL, NULL, NULL, 15),
(105584, NULL, 'PTHR34272:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(105585, NULL, 'PTHR46004', NULL, NULL, NULL, NULL, 'CYCLIC AMP RESPONSE ELEMENT-BINDING PROTEIN A', NULL, NULL, NULL, 15),
(105586, NULL, 'PTHR30109:SF4', NULL, NULL, NULL, NULL, 'CARBON MONOXIDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(105587, NULL, 'PTHR10426:SF109', NULL, NULL, NULL, NULL, 'SMP-30/GLUCONOLACONASE/LRE-LIKE REGION PROTEIN', NULL, NULL, NULL, 15),
(105588, NULL, 'PTHR26451', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105589, NULL, 'PTHR11527:SF261', NULL, NULL, NULL, NULL, '16.6 KDA HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(105590, NULL, 'PTHR20953', NULL, NULL, NULL, NULL, 'KINASE-RELATED', NULL, NULL, NULL, 15),
(105591, NULL, 'PTHR35546:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105592, NULL, 'PTHR33149:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105593, NULL, 'PTHR47487:SF8', NULL, NULL, NULL, NULL, 'OS06G0651300 PROTEIN', NULL, NULL, NULL, 15),
(105594, NULL, 'PTHR47988:SF13', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE 1-LIKE', NULL, NULL, NULL, 15),
(105595, NULL, 'PTHR47967:SF27', NULL, NULL, NULL, NULL, 'OS01G0967050 PROTEIN', NULL, NULL, NULL, 15),
(105596, NULL, 'PTHR34541:SF1', NULL, NULL, NULL, NULL, 'OS06G0152800 PROTEIN', NULL, NULL, NULL, 15),
(105597, NULL, 'PTHR33604', NULL, NULL, NULL, NULL, 'OSJNBA0004B13.7 PROTEIN', NULL, NULL, NULL, 15),
(105598, NULL, 'PTHR21425:SF2', NULL, NULL, NULL, NULL, 'ZGC:123238', NULL, NULL, NULL, 15),
(105599, NULL, 'PTHR11537:SF113', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 4', NULL, NULL, NULL, 15),
(105600, NULL, 'PTHR33085:SF73', NULL, NULL, NULL, NULL, 'OS05G0302200 PROTEIN', NULL, NULL, NULL, 15),
(105601, NULL, 'PTHR45890:SF13', NULL, NULL, NULL, NULL, 'CADMIUM-TRANSPORTING ATPASE-RELATED', NULL, NULL, NULL, 15),
(105602, NULL, 'PTHR33690', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105603, NULL, 'PTHR15660', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 25893, 15),
(105604, NULL, 'PTHR31963:SF17', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF3537)-RELATED', NULL, NULL, NULL, 15),
(105605, NULL, 'PTHR48112:SF12', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN B1', NULL, NULL, NULL, 15),
(105606, NULL, 'PTHR31268:SF35', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(105607, NULL, 'PTHR45644:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105608, NULL, 'PTHR43390:SF5', NULL, NULL, NULL, NULL, 'OS03G0765200 PROTEIN', NULL, NULL, NULL, 15),
(105609, NULL, 'PTHR18966:SF419', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(105610, NULL, 'PTHR13235:SF2', NULL, NULL, NULL, NULL, 'SINGLE-STRAND SELECTIVE MONOFUNCTIONAL URACIL DNA GLYCOSYLASE', NULL, NULL, NULL, 15),
(105611, NULL, 'PTHR31985:SF183', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(105612, NULL, 'PTHR24356:SF184', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TRICORNER', NULL, NULL, NULL, 15),
(105613, NULL, 'PTHR30603:SF19', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-F FACTOR', NULL, NULL, NULL, 15),
(105614, NULL, 'PTHR24418:SF424', NULL, NULL, NULL, NULL, 'SI:CH211-167J9.5', NULL, NULL, NULL, 15),
(105615, NULL, 'PTHR33083:SF72', NULL, NULL, NULL, NULL, 'BNAA09G26720D PROTEIN', NULL, NULL, NULL, 15),
(105616, NULL, 'PTHR31614:SF5', NULL, NULL, NULL, NULL, 'ALLERGEN-LIKE PROTEIN BRSN20', NULL, NULL, NULL, 15),
(105617, NULL, 'PTHR31100:SF16', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 25', NULL, NULL, NULL, 15),
(105618, NULL, 'PTHR23430:SF302', NULL, NULL, NULL, NULL, 'HISTONE H2A VARIANT 3-RELATED', NULL, NULL, NULL, 15),
(105619, NULL, 'PTHR23024:SF515', NULL, NULL, NULL, NULL, 'STERYL DEACETYLASE', NULL, NULL, NULL, 15),
(105620, NULL, 'PTHR33121:SF56', NULL, NULL, NULL, NULL, 'SIGNALLING PROTEIN WITH EAL AND C2 DOMAINS', NULL, NULL, NULL, 15),
(105621, NULL, 'PTHR42913:SF8', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', NULL, NULL, NULL, 15),
(105622, NULL, 'PTHR24034:SF101', NULL, NULL, NULL, NULL, 'FIBULIN 2', NULL, NULL, NULL, 15),
(105623, NULL, 'PTHR43290:SF3', NULL, NULL, NULL, NULL, 'MEVALONATE KINASE', NULL, NULL, NULL, 15),
(105624, NULL, 'PTHR47991:SF20', NULL, NULL, NULL, NULL, 'OXYGENASE FAMILY OXIDOREDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105625, NULL, 'PTHR11451:SF46', NULL, NULL, NULL, NULL, 'FI05224P', NULL, NULL, NULL, 15),
(105626, NULL, 'PTHR35498:SF1', NULL, NULL, NULL, NULL, 'LOW PSII ACCUMULATION-LIKE PROTEIN', NULL, NULL, NULL, 15),
(105627, NULL, 'PTHR44156:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105628, NULL, 'PTHR34204:SF3', NULL, NULL, NULL, NULL, 'ASCH DOMAIN PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105629, NULL, 'PTHR36722:SF1', NULL, NULL, NULL, NULL, 'TYPE 2 DNA TOPOISOMERASE 6 SUBUNIT B-LIKE', NULL, NULL, NULL, 15),
(105630, NULL, 'PTHR24418:SF94', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE KINASE 2-BETA', NULL, NULL, 26892, 15),
(105631, NULL, 'PTHR11935:SF142', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(105632, NULL, 'PTHR32467:SF142', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN APETALA 2', NULL, NULL, NULL, 15),
(105633, NULL, 'PTHR12932:SF9', NULL, NULL, NULL, NULL, 'TPPP FAMILY PROTEIN CG45057', NULL, NULL, NULL, 15),
(105634, NULL, 'PTHR48099', NULL, NULL, NULL, NULL, 'C-1-TETRAHYDROFOLATE SYNTHASE, CYTOPLASMIC-RELATED', NULL, NULL, NULL, 15),
(105635, NULL, 'PTHR31614:SF33', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(105636, NULL, 'PTHR45712:SF14', NULL, NULL, NULL, NULL, 'DECORIN', NULL, NULL, 25567, 15),
(105637, NULL, 'PTHR22850:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105638, NULL, 'PTHR44042:SF48', NULL, NULL, NULL, NULL, 'BNAA04G21820D PROTEIN', NULL, NULL, NULL, 15),
(105639, NULL, 'PTHR23257:SF779', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(105640, NULL, 'PTHR31065:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105641, NULL, 'PTHR14360:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105642, NULL, 'PTHR23382:SF22', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(105643, NULL, 'PTHR47958', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DBP3', NULL, NULL, NULL, 15),
(105644, NULL, 'PTHR31917:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105645, NULL, 'PTHR22772:SF1', NULL, NULL, NULL, NULL, 'CUB DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(105646, NULL, 'PTHR33400:SF8', NULL, NULL, NULL, NULL, 'BNAA06G14050D PROTEIN', NULL, NULL, NULL, 15),
(105647, NULL, 'PTHR18905:SF12', NULL, NULL, NULL, NULL, 'NINEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(105648, NULL, 'PTHR47956:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105649, NULL, 'PTHR45999:SF5', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN AEX-1', NULL, NULL, NULL, 15),
(105650, NULL, 'PTHR46865:SF2', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(105651, NULL, 'PTHR10694:SF106', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUMONJI FAMILY PROTEIN', NULL, NULL, NULL, 15),
(105652, NULL, 'PTHR45658:SF57', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 8', NULL, NULL, NULL, 15),
(105653, NULL, 'PTHR34144:SF6', NULL, NULL, NULL, NULL, 'EXPORT PROTEIN (CAP59), PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05020)-RELATED', NULL, NULL, NULL, 15),
(105654, NULL, 'PTHR24377:SF703', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 610', NULL, NULL, NULL, 15),
(105655, NULL, 'PTHR11654:SF324', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.6-LIKE', NULL, NULL, NULL, 15),
(105656, NULL, 'PTHR19339:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105657, NULL, 'PTHR33165:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105658, NULL, 'PTHR42878:SF7', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE GLRK', NULL, NULL, NULL, 15),
(105659, NULL, 'PTHR24064:SF278', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 10', NULL, NULL, NULL, 15),
(105660, NULL, 'PTHR31730:SF25', NULL, NULL, NULL, NULL, 'OSJNBA0088K19.7-LIKE PROTEIN', NULL, NULL, NULL, 15),
(105661, NULL, 'PTHR38464', NULL, NULL, NULL, NULL, 'L-ARABINOSE ISOMERASE', NULL, NULL, 6116, 15),
(105662, NULL, 'PTHR42911:SF1', NULL, NULL, NULL, NULL, 'MODULATOR OF FTSH PROTEASE HFLC', NULL, NULL, NULL, 15),
(105663, NULL, 'PTHR31319:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105664, NULL, 'PTHR12483:SF94', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 4', NULL, NULL, NULL, 15),
(105665, NULL, 'PTHR10165', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE', NULL, NULL, 37454, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105666, NULL, 'PTHR11537:SF258', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, SHAKER-RELATED SUBFAMILY, MEMBER 1B', NULL, NULL, NULL, 15),
(105667, NULL, 'PTHR22546', NULL, NULL, NULL, NULL, 'PREMATURE OVARIAN FAILURE, 1B', NULL, NULL, 26920, 15),
(105668, NULL, 'PTHR16056:SF2', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 10', NULL, NULL, 31514, 15),
(105669, NULL, 'PTHR12907:SF6', NULL, NULL, NULL, NULL, 'EGL NINE HOMOLOG 2', NULL, NULL, NULL, 15),
(105670, NULL, 'PTHR13299', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 14461, 15),
(105671, NULL, 'PTHR33240:SF9', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(105672, NULL, 'PTHR47957:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE HRQ1', NULL, NULL, NULL, 15),
(105673, NULL, 'PTHR31642:SF147', NULL, NULL, NULL, NULL, 'ANTHRANILATE N-BENZOYLTRANSFERASE PROTEIN 1', NULL, NULL, NULL, 15),
(105674, NULL, 'PTHR34401:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13710', NULL, NULL, NULL, 15),
(105675, NULL, 'PTHR46128:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105676, NULL, 'PTHR45939:SF2', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G13870)-RELATED', NULL, NULL, NULL, 15),
(105677, NULL, 'PTHR23050:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105678, NULL, 'PTHR37398:SF3', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,4-MANNANASE', NULL, NULL, NULL, 15),
(105679, NULL, 'PTHR43702:SF4', NULL, NULL, NULL, NULL, 'GLUCOSE/GALACTOSE TRANSPORTER', NULL, NULL, NULL, 15),
(105680, NULL, 'PTHR24300:SF345', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 2 SUBFAMILY W MEMBER 1', NULL, NULL, NULL, 15),
(105681, NULL, 'PTHR46148:SF18', NULL, NULL, NULL, NULL, 'IPP TRANSFERASE', NULL, NULL, NULL, 15),
(105682, NULL, 'PTHR42985:SF2', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT MULTIVITAMIN TRANSPORTER', NULL, NULL, NULL, 15),
(105683, NULL, 'PTHR24282:SF172', NULL, NULL, NULL, NULL, 'BNAA09G45190D PROTEIN', NULL, NULL, NULL, 15),
(105684, NULL, 'PTHR42908:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105685, NULL, 'PTHR11783:SF106', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(105686, NULL, 'PTHR12745:SF8', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TUMORIGENICITY 7 PROTEIN', NULL, NULL, NULL, 15),
(105687, NULL, 'PTHR31374:SF216', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(105688, NULL, 'PTHR44845:SF3', NULL, NULL, NULL, NULL, 'PLIPASTATIN SYNTHASE SUBUNIT D', NULL, NULL, NULL, 15),
(105689, NULL, 'PTHR15439:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RBBP6', NULL, NULL, NULL, 15),
(105690, NULL, 'PTHR36594', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105691, NULL, 'PTHR11699:SF219', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(105692, NULL, 'PTHR23147:SF25', NULL, NULL, NULL, NULL, 'OS03G0285900 PROTEIN', NULL, NULL, NULL, 15),
(105693, NULL, 'PTHR24408:SF43', NULL, NULL, NULL, NULL, 'MEP-1, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(105694, NULL, 'PTHR48005:SF1', NULL, NULL, NULL, NULL, 'BNAC04G56910D PROTEIN', NULL, NULL, NULL, 15),
(105695, NULL, 'PTHR47978:SF13', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA4C', NULL, NULL, NULL, 15),
(105696, NULL, 'PTHR31580', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 4', NULL, NULL, NULL, 15),
(105697, NULL, 'PTHR43646:SF6', NULL, NULL, NULL, NULL, 'MYCOFACTOCIN BIOSYNTHESIS GLYCOSYLTRANSFERASE MFTF-RELATED', NULL, NULL, 11771, 15),
(105698, NULL, 'PTHR47999:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105699, NULL, 'PTHR42912:SF21', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 7A', NULL, NULL, NULL, 15),
(105700, NULL, 'PTHR40398:SF1', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCITOL/SORBITOL-SPECIFIC EIIA COMPONENT', NULL, NULL, NULL, 15),
(105701, NULL, 'PTHR33377:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105702, NULL, 'PTHR47661:SF4', NULL, NULL, NULL, NULL, 'OS08G0162600 PROTEIN', NULL, NULL, NULL, 15),
(105703, NULL, 'PTHR12479:SF2', NULL, NULL, NULL, NULL, 'LYSOSOMAL-ASSOCIATED TRANSMEMBRANE PROTEIN 5', NULL, NULL, 8544, 15),
(105704, NULL, 'PTHR31008:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105705, NULL, 'PTHR23050:SF377', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(105706, NULL, 'PTHR46629:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105707, NULL, 'PTHR10110:SF159', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 3', NULL, NULL, NULL, 15),
(105708, NULL, 'PTHR16877', NULL, NULL, NULL, NULL, 'HEPCIDIN', NULL, NULL, 10844, 15),
(105709, NULL, 'PTHR11802:SF346', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(105710, NULL, 'PTHR15136:SF2', NULL, NULL, NULL, NULL, 'STROMAL INTERACTION MOLECULE 2', NULL, NULL, NULL, 15),
(105711, NULL, 'PTHR43859:SF52', NULL, NULL, NULL, NULL, 'BENZOATE-COA LIGASE-RELATED', NULL, NULL, NULL, 15),
(105712, NULL, 'PTHR39966', NULL, NULL, NULL, NULL, 'BLL2471 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(105713, NULL, 'PTHR10353:SF77', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 7', NULL, NULL, NULL, 15),
(105714, NULL, 'PTHR11017:SF243', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105715, NULL, 'PTHR12874:SF9', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 9', NULL, NULL, NULL, 15),
(105716, NULL, 'PTHR14738:SF34', NULL, NULL, NULL, NULL, 'BNAA01G30430D PROTEIN', NULL, NULL, NULL, 15),
(105717, NULL, 'PTHR31532', NULL, NULL, NULL, NULL, 'BIORIENTATION OF CHROMOSOMES IN CELL DIVISION 1 FAMILY MEMBER', NULL, NULL, 23348, 15),
(105718, NULL, 'PTHR47595', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 14', NULL, NULL, NULL, 15),
(105719, NULL, 'PTHR37443:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG15264', NULL, NULL, NULL, 15),
(105720, NULL, 'PTHR31048:SF24', NULL, NULL, NULL, NULL, 'OS12G0568900 PROTEIN', NULL, NULL, NULL, 15),
(105721, NULL, 'PTHR47966:SF54', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE A1-LIKE', NULL, NULL, NULL, 15),
(105722, NULL, 'PTHR43721:SF3', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(105723, NULL, 'PTHR43051:SF3', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE ADENYLYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(105724, NULL, 'PTHR23354:SF95', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(105725, NULL, 'PTHR43847', NULL, NULL, NULL, NULL, 'BLL3993 PROTEIN', NULL, NULL, NULL, 15),
(105726, NULL, 'PTHR33090:SF32', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(105727, NULL, 'PTHR31826:SF0', NULL, NULL, NULL, NULL, 'NICALIN', NULL, NULL, NULL, 15),
(105728, NULL, 'PTHR42922', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PSTA', NULL, NULL, NULL, 15),
(105729, NULL, 'PTHR11848:SF4', NULL, NULL, NULL, NULL, 'UNC-129', NULL, NULL, NULL, 15),
(105730, NULL, 'PTHR34046:SF7', NULL, NULL, NULL, NULL, 'OS06G0218800 PROTEIN', NULL, NULL, NULL, 15),
(105731, NULL, 'PTHR11732:SF421', NULL, NULL, NULL, NULL, 'FI19917P1', NULL, NULL, NULL, 15),
(105732, NULL, 'PTHR43235:SF6', NULL, NULL, NULL, NULL, 'BNAA06G09790D PROTEIN', NULL, NULL, NULL, 15),
(105733, NULL, 'PTHR23319:SF3', NULL, NULL, NULL, NULL, 'PROTEIN ASTER-B', NULL, NULL, NULL, 15),
(105734, NULL, 'PTHR10961', NULL, NULL, NULL, NULL, 'PEROXISOMAL SARCOSINE OXIDASE', NULL, NULL, 39553, 15),
(105735, NULL, 'PTHR10369:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36A', NULL, NULL, NULL, 15),
(105736, NULL, 'PTHR40376:SF1', NULL, NULL, NULL, NULL, 'ODONTOGENESIS ASSOCIATED PHOSPHOPROTEIN', NULL, NULL, NULL, 15),
(105737, NULL, 'PTHR12308:SF74', NULL, NULL, NULL, NULL, 'ANOCTAMIN', NULL, NULL, NULL, 15),
(105738, NULL, 'PTHR33083:SF89', NULL, NULL, NULL, NULL, 'BNAANNG41640D PROTEIN', NULL, NULL, NULL, 15),
(105739, NULL, 'PTHR11311:SF16', NULL, NULL, NULL, NULL, 'SPONDIN-1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105740, NULL, 'PTHR33044:SF118', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN GPI-ANCHORED 1', NULL, NULL, NULL, 15),
(105741, NULL, 'PTHR27006:SF347', NULL, NULL, NULL, NULL, 'BNAA07G07710D PROTEIN', NULL, NULL, NULL, 15),
(105742, NULL, 'PTHR10971', NULL, NULL, NULL, NULL, 'MRNA EXPORT FACTOR AND BUB3', NULL, NULL, NULL, 15),
(105743, NULL, 'PTHR33124:SF71', NULL, NULL, NULL, NULL, 'BNAC01G21940D PROTEIN', NULL, NULL, NULL, 15),
(105744, NULL, 'PTHR14187:SF39', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 12B', NULL, NULL, 24295, 15),
(105745, NULL, 'PTHR12197:SF184', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SMYD1', NULL, NULL, NULL, 15),
(105746, NULL, 'PTHR10947:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 47', NULL, NULL, NULL, 15),
(105747, NULL, 'PTHR21654:SF62', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-2-LIKE', NULL, NULL, NULL, 15),
(105748, NULL, 'PTHR34059:SF6', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', NULL, NULL, NULL, 15),
(105749, NULL, 'PTHR48100:SF26', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE', NULL, NULL, NULL, 15),
(105750, NULL, 'PTHR10024:SF223', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-2', NULL, NULL, 9055, 15),
(105751, NULL, 'PTHR46789:SF2', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN R2', NULL, NULL, NULL, 15),
(105752, NULL, 'PTHR15670:SF4', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 11A-RELATED', NULL, NULL, NULL, 15),
(105753, NULL, 'PTHR31333:SF3', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING DNA REPAIR FACTOR 3B', NULL, NULL, NULL, 15),
(105754, NULL, 'PTHR47428', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN MIG1-RELATED', NULL, NULL, NULL, 15),
(105755, NULL, 'PTHR43000:SF29', NULL, NULL, NULL, NULL, 'SALMON SILKS1', NULL, NULL, NULL, 15),
(105756, NULL, 'PTHR43173:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105757, NULL, 'PTHR43065:SF38', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN ZRAS', NULL, NULL, NULL, 15),
(105758, NULL, 'PTHR31181:SF64', NULL, NULL, NULL, NULL, 'VEGETATIVE CELL WALL PROTEIN GP1-LIKE', NULL, NULL, NULL, 15),
(105759, NULL, 'PTHR31676:SF14', NULL, NULL, NULL, NULL, 'OS03G0393600 PROTEIN', NULL, NULL, NULL, 15),
(105760, NULL, 'PTHR22891:SF147', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE MEL1', NULL, NULL, NULL, 15),
(105761, NULL, 'PTHR31225:SF126', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE', NULL, NULL, NULL, 15),
(105762, NULL, 'PTHR24015:SF1770', NULL, NULL, NULL, NULL, 'OS05G0153400 PROTEIN', NULL, NULL, NULL, 15),
(105763, NULL, 'PTHR10134:SF37', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE-1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(105764, NULL, 'PTHR48059:SF16', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-INHIBITING PROTEIN 4', NULL, NULL, NULL, 15),
(105765, NULL, 'PTHR24376:SF68', NULL, NULL, NULL, NULL, 'REGULATOR OF SEX-LIMITATION CANDIDATE 23-RELATED', NULL, NULL, NULL, 15),
(105766, NULL, 'PTHR33083:SF92', NULL, NULL, NULL, NULL, 'BNAA05G09520D PROTEIN', NULL, NULL, NULL, 15),
(105767, NULL, 'PTHR11863:SF156', NULL, NULL, NULL, NULL, 'C-4 METHYLSTEROL OXIDASE', NULL, NULL, NULL, 15),
(105768, NULL, 'PTHR16469', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105769, NULL, 'PTHR34947', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(105770, NULL, 'PTHR12694:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105771, NULL, 'PTHR24376:SF84', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 521', NULL, NULL, NULL, 15),
(105772, NULL, 'PTHR44083:SF33', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 4', NULL, NULL, NULL, 15),
(105773, NULL, 'PTHR40624:SF1', NULL, NULL, NULL, NULL, 'BIOSYNTHESIS MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12025)-RELATED', NULL, NULL, NULL, 15),
(105774, NULL, 'PTHR45958:SF4', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 42-RELATED', NULL, NULL, NULL, 15),
(105775, NULL, 'PTHR44019', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 55', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105776, NULL, 'PTHR31139:SF4', NULL, NULL, NULL, NULL, 'ECTOPIC P GRANULES PROTEIN 5 HOMOLOG', NULL, NULL, 27186, 15),
(105777, NULL, 'PTHR43445', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMATE--L-ALANINE LIGASE-RELATED', NULL, NULL, NULL, 15),
(105778, NULL, 'PTHR11360:SF159', NULL, NULL, NULL, NULL, 'AGAP002587-PA', NULL, NULL, NULL, 15),
(105779, NULL, 'PTHR31314:SF117', NULL, NULL, NULL, NULL, 'BNAA01G08300D PROTEIN', NULL, NULL, NULL, 15),
(105780, NULL, 'PTHR11926:SF744', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(105781, NULL, 'PTHR11863:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105782, NULL, 'PTHR46372:SF6', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 1', NULL, NULL, NULL, 15),
(105783, NULL, 'PTHR32467:SF67', NULL, NULL, NULL, NULL, 'APETALA2-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(105784, NULL, 'PTHR30629:SF9', NULL, NULL, NULL, NULL, 'PROTEIN INTB-RELATED', NULL, NULL, NULL, 15),
(105785, NULL, 'PTHR34828:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 45', NULL, NULL, NULL, 15),
(105786, NULL, 'PTHR31953:SF64', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 1', NULL, NULL, NULL, 15),
(105787, NULL, 'PTHR31674:SF19', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS06G0632500-RELATED', NULL, NULL, NULL, 15),
(105788, NULL, 'PTHR45917:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(105789, NULL, 'PTHR10907:SF54', NULL, NULL, NULL, NULL, 'REGUCALCIN', NULL, NULL, NULL, 15),
(105790, NULL, 'PTHR33102:SF61', NULL, NULL, NULL, NULL, 'BNAA03G16910D PROTEIN', NULL, NULL, NULL, 15),
(105791, NULL, 'PTHR11879:SF41', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, CYTOPLASMIC ISOZYME 2', NULL, NULL, NULL, 15),
(105792, NULL, 'PTHR10755', NULL, NULL, NULL, NULL, 'COPROPORPHYRINOGEN III OXIDASE, MITOCHONDRIAL', NULL, NULL, 2462, 15),
(105793, NULL, 'PTHR37989:SF35', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(105794, NULL, 'PTHR43096:SF10', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(105795, NULL, 'PTHR24009:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 18-LIKE', NULL, NULL, NULL, 15),
(105796, NULL, 'PTHR12914', NULL, NULL, NULL, NULL, 'PARTNER OF SLD5', NULL, NULL, 6491, 15),
(105797, NULL, 'PTHR11909:SF377', NULL, NULL, NULL, NULL, 'OS01G0744300 PROTEIN', NULL, NULL, NULL, 15),
(105798, NULL, 'PTHR32134:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105799, NULL, 'PTHR46254', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105800, NULL, 'PTHR11085:SF14', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE SIRTUIN-3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(105801, NULL, 'PTHR15710:SF92', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105802, NULL, 'PTHR37017:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105803, NULL, 'PTHR33721:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105804, NULL, 'PTHR43874:SF63', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(105805, NULL, 'PTHR24012:SF842', NULL, NULL, NULL, NULL, 'FLOWERING TIME CONTROL PROTEIN FCA', NULL, NULL, NULL, 15),
(105806, NULL, 'PTHR43903:SF8', NULL, NULL, NULL, NULL, 'NEUROLIGIN 2B', NULL, NULL, 24709, 15),
(105807, NULL, 'PTHR32370:SF141', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(105808, NULL, 'PTHR47242', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(105809, NULL, 'PTHR21650:SF2', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN NUF2', NULL, NULL, NULL, 15),
(105810, NULL, 'PTHR22761:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105811, NULL, 'PTHR27008:SF446', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105812, NULL, 'PTHR11802:SF55', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105813, NULL, 'PTHR32481:SF21', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE YSDC-RELATED', NULL, NULL, NULL, 15),
(105814, NULL, 'PTHR46577:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATORY PROTEIN GABR', NULL, NULL, NULL, 15),
(105815, NULL, 'PTHR24281:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(105816, NULL, 'PTHR46991:SF25', NULL, NULL, NULL, NULL, 'BNAC07G33780D PROTEIN', NULL, NULL, NULL, 15),
(105817, NULL, 'PTHR36443:SF1', NULL, NULL, NULL, NULL, 'BSR5223 PROTEIN', NULL, NULL, NULL, 15),
(105818, NULL, 'PTHR23235:SF58', NULL, NULL, NULL, NULL, 'EARLY GROWTH RESPONSE PROTEIN 4', NULL, NULL, NULL, 15),
(105819, NULL, 'PTHR47320', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL URIDYLYLTRANSFERASE/URIDYLYL-REMOVING ENZYME', NULL, NULL, 5278, 15),
(105820, NULL, 'PTHR46492:SF1', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 4, AXONEMAL', NULL, NULL, NULL, 15),
(105821, NULL, 'PTHR47993:SF184', NULL, NULL, NULL, NULL, 'OS07G0207900 PROTEIN', NULL, NULL, NULL, 15),
(105822, NULL, 'PTHR31549:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105823, NULL, 'PTHR14221', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 44', NULL, NULL, 32799, 15),
(105824, NULL, 'PTHR11871:SF37', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', NULL, NULL, NULL, 15),
(105825, NULL, 'PTHR43080', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(105826, NULL, 'PTHR10625:SF204', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE B', NULL, NULL, NULL, 15),
(105827, NULL, 'PTHR33779:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(105828, NULL, 'PTHR48062:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 13', NULL, NULL, NULL, 15),
(105829, NULL, 'PTHR18866', NULL, NULL, NULL, NULL, 'CARBOXYLASE:PYRUVATE/ACETYL-COA/PROPIONYL-COA CARBOXYLASE', NULL, NULL, NULL, 15),
(105830, NULL, 'PTHR24027:SF432', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105831, NULL, 'PTHR27004:SF209', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 22', NULL, NULL, NULL, 15),
(105832, NULL, 'PTHR46691:SF7', NULL, NULL, NULL, NULL, 'BNAC04G29240D PROTEIN', NULL, NULL, NULL, 15),
(105833, NULL, 'PTHR42030', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105834, NULL, 'PTHR46148:SF35', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', NULL, NULL, NULL, 15),
(105835, NULL, 'PTHR11240:SF53', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(105836, NULL, 'PTHR24320:SF240', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE TIC 32', NULL, NULL, NULL, 15),
(105837, NULL, 'PTHR31552', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(105838, NULL, 'PTHR39609:SF1', NULL, NULL, NULL, NULL, 'RFEG', NULL, NULL, NULL, 15),
(105839, NULL, 'PTHR11731:SF195', NULL, NULL, NULL, NULL, 'DIPEPTIDYL-PEPTIDASE 6B', NULL, NULL, NULL, 15),
(105840, NULL, 'PTHR45613:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105841, NULL, 'PTHR19957:SF19', NULL, NULL, NULL, NULL, 'SYNTAXIN-4', NULL, NULL, NULL, 15),
(105842, NULL, 'PTHR45674:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(105843, NULL, 'PTHR24015:SF1949', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105844, NULL, 'PTHR11431:SF51', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(105845, NULL, 'PTHR31448:SF35', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 5 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(105846, NULL, 'PTHR31707:SF232', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(105847, NULL, 'PTHR24123:SF105', NULL, NULL, NULL, NULL, 'CARD- AND ANK-CONTAINING INFLAMMASOME ADAPTOR PROTEIN', NULL, NULL, NULL, 15),
(105848, NULL, 'PTHR26451:SF905', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105849, NULL, 'PTHR32378:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105850, NULL, 'PTHR45654:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG12-RELATED', NULL, NULL, NULL, 15),
(105851, NULL, 'PTHR28649', NULL, NULL, NULL, NULL, 'PROTEIN REPRIMO-RELATED', NULL, NULL, 39293, 15),
(105852, NULL, 'PTHR10177:SF432', NULL, NULL, NULL, NULL, 'I, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105853, NULL, 'PTHR23505:SF78', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(105854, NULL, 'PTHR32347:SF23', NULL, NULL, NULL, NULL, 'UPF0194 MEMBRANE PROTEIN YBHG', NULL, NULL, NULL, 15),
(105855, NULL, 'PTHR12352:SF29', NULL, NULL, NULL, NULL, 'FI05255P', NULL, NULL, NULL, 15),
(105856, NULL, 'PTHR24115:SF412', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105857, NULL, 'PTHR46798:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105858, NULL, 'PTHR43095', NULL, NULL, NULL, NULL, 'SUGAR KINASE', NULL, NULL, NULL, 15),
(105859, NULL, 'PTHR31867:SF15', NULL, NULL, NULL, NULL, 'EXPANSIN-A9', NULL, NULL, NULL, 15),
(105860, NULL, 'PTHR36887', NULL, NULL, NULL, NULL, 'OS01G0532300 PROTEIN', NULL, NULL, NULL, 15),
(105861, NULL, 'PTHR11689:SF140', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN A', NULL, NULL, NULL, 15),
(105862, NULL, 'PTHR48000:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB36', NULL, NULL, NULL, 15),
(105863, NULL, 'PTHR15117:SF5', NULL, NULL, NULL, NULL, 'ATAXIN-7-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(105864, NULL, 'PTHR28062', NULL, NULL, NULL, NULL, 'K+-H+ EXCHANGE-LIKE PROTEIN', NULL, NULL, 19208, 15),
(105865, NULL, 'PTHR31144:SF1', NULL, NULL, NULL, NULL, 'UPF0602 PROTEIN C4ORF47', NULL, NULL, NULL, 15),
(105866, NULL, 'PTHR12411:SF360', NULL, NULL, NULL, NULL, 'OS06G0582600 PROTEIN', NULL, NULL, NULL, 15),
(105867, NULL, 'PTHR11746:SF234', NULL, NULL, NULL, NULL, 'TRANS-RESVERATROL DI-O-METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(105868, NULL, 'PTHR13301:SF155', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D3', NULL, NULL, NULL, 15),
(105869, NULL, 'PTHR47924:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105870, NULL, 'PTHR44329:SF187', NULL, NULL, NULL, NULL, 'OS03G0745700 PROTEIN', NULL, NULL, NULL, 15),
(105871, NULL, 'PTHR22298:SF18', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(105872, NULL, 'PTHR31636:SF240', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 13', NULL, NULL, NULL, 15),
(105873, NULL, 'PTHR11783:SF77', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 1C3', NULL, NULL, NULL, 15),
(105874, NULL, 'PTHR11073:SF28', NULL, NULL, NULL, NULL, 'CALRETICULIN-3', NULL, NULL, NULL, 15),
(105875, NULL, 'PTHR46405:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105876, NULL, 'PTHR47992:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105877, NULL, 'PTHR24221:SF560', NULL, NULL, NULL, NULL, 'EXPORT ABC TRANSPORTER', NULL, NULL, NULL, 15),
(105878, NULL, 'PTHR31503:SF44', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 5-RELATED', NULL, NULL, NULL, 15),
(105879, NULL, 'PTHR31314:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105880, NULL, 'PTHR41158', NULL, NULL, NULL, NULL, 'AGAP010294-PA', NULL, NULL, NULL, 15),
(105881, NULL, 'PTHR23428:SF228', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(105882, NULL, 'PTHR11818:SF62', NULL, NULL, NULL, NULL, 'CRYGM2B PROTEIN-RELATED', NULL, NULL, NULL, 15),
(105883, NULL, 'PTHR21495:SF47', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(105884, NULL, 'PTHR31906:SF29', NULL, NULL, NULL, NULL, 'SLR1024 PROTEIN', NULL, NULL, NULL, 15),
(105885, NULL, 'PTHR11246:SF20', NULL, NULL, NULL, NULL, 'TPR-CONTAINING PROTEIN DDB_G0280363', NULL, NULL, NULL, 15),
(105886, NULL, 'PTHR24369:SF178', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING NOGO RECEPTOR-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(105887, NULL, 'PTHR12794', NULL, NULL, NULL, NULL, 'GEMIN2', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105888, NULL, 'PTHR33527:SF36', NULL, NULL, NULL, NULL, 'BNAA09G08110D PROTEIN', NULL, NULL, NULL, 15),
(105889, NULL, 'PTHR31620:SF14', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(105890, NULL, 'PTHR30043', NULL, NULL, NULL, NULL, 'PHOSPHONATES TRANSPORT SYSTEM PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(105891, NULL, 'PTHR33740:SF8', NULL, NULL, NULL, NULL, 'BNAA09G05120D PROTEIN', NULL, NULL, NULL, 15),
(105892, NULL, 'PTHR35994', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 37909, 15),
(105893, NULL, 'PTHR47877:SF3', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT DOMAIN-CONTAINING PROTEIN / LEA DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(105894, NULL, 'PTHR43204:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(105895, NULL, 'PTHR42998', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME HINDVIIP M PROTEIN-RELATED', NULL, NULL, NULL, 15),
(105896, NULL, 'PTHR32494', NULL, NULL, NULL, NULL, 'ALLANTOATE DEIMINASE-RELATED', NULL, NULL, 10799, 15),
(105897, NULL, 'PTHR21824', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 23423, 15),
(105898, NULL, 'PTHR23516:SF18', NULL, NULL, NULL, NULL, 'MOLYBDATE-ANION TRANSPORTER-LIKE', NULL, NULL, NULL, 15),
(105899, NULL, 'PTHR32002:SF31', NULL, NULL, NULL, NULL, 'PROTEIN NLP3', NULL, NULL, NULL, 15),
(105900, NULL, 'PTHR27003:SF382', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(105901, NULL, 'PTHR46228:SF3', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(105902, NULL, 'PTHR46218:SF3', NULL, NULL, NULL, NULL, 'NEBULETTE', NULL, NULL, NULL, 15),
(105903, NULL, 'PTHR13170:SF24', NULL, NULL, NULL, NULL, 'O-GLCNACASE', NULL, NULL, NULL, 15),
(105904, NULL, 'PTHR21569:SF27', NULL, NULL, NULL, NULL, 'BNAA03G57330D PROTEIN', NULL, NULL, NULL, 15),
(105905, NULL, 'PTHR47945:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105906, NULL, 'PTHR32338:SF10', NULL, NULL, NULL, NULL, 'N-ACETYL-GAMMA-GLUTAMYL-PHOSPHATE REDUCTASE, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(105907, NULL, 'PTHR28125:SF2', NULL, NULL, NULL, NULL, 'MEIOTIC EXPRESSION UP-REGULATED PROTEIN 26', NULL, NULL, NULL, 15),
(105908, NULL, 'PTHR35687:SF8', NULL, NULL, NULL, NULL, 'BNACNNG71110D PROTEIN', NULL, NULL, NULL, 15),
(105909, NULL, 'PTHR12241:SF157', NULL, NULL, NULL, NULL, 'LIGASE-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(105910, NULL, 'PTHR22847:SF691', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105911, NULL, 'PTHR31769:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(105912, NULL, 'PTHR31604:SF24', NULL, NULL, NULL, NULL, 'LRP1 CARBOXY-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(105913, NULL, 'PTHR47693:SF2', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR RISBZ5', NULL, NULL, NULL, 15),
(105914, NULL, 'PTHR31644', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR ARO80-RELATED', NULL, NULL, NULL, 15),
(105915, NULL, 'PTHR45657:SF18', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH4', NULL, NULL, NULL, 15),
(105916, NULL, 'PTHR12902:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105917, NULL, 'PTHR24399:SF50', NULL, NULL, NULL, NULL, 'NOVEL KRAB BOX AND ZINC FINGER, C2H2 TYPE DOMAIN CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(105918, NULL, 'PTHR11909:SF408', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN HD16 ISOFORM X1', NULL, NULL, NULL, 15),
(105919, NULL, 'PTHR24559:SF372', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105920, NULL, 'PTHR48106:SF8', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE PIG3', NULL, NULL, NULL, 15),
(105921, NULL, 'PTHR30250', NULL, NULL, NULL, NULL, 'PST FAMILY PREDICTED COLANIC ACID TRANSPORTER', NULL, NULL, NULL, 15),
(105922, NULL, 'PTHR21467', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 4 PPP4R4', NULL, NULL, 29476, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105923, NULL, 'PTHR14047', NULL, NULL, NULL, NULL, 'P ANTIGEN FAMILY MEMBER 5-RELATED', NULL, NULL, 14228, 15),
(105924, NULL, 'PTHR19338:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8 A-B-RELATED', NULL, NULL, NULL, 15),
(105925, NULL, 'PTHR33052:SF102', NULL, NULL, NULL, NULL, 'TMV RESPONSE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(105926, NULL, 'PTHR34414', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105927, NULL, 'PTHR21206', NULL, NULL, NULL, NULL, 'SLD5 PROTEIN', NULL, NULL, 14248, 15),
(105928, NULL, 'PTHR12172', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT PROTEIN RAD17', NULL, NULL, 574, 15),
(105929, NULL, 'PTHR23193', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN  NUP', NULL, NULL, 23510, 15),
(105930, NULL, 'PTHR14221:SF43', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 44-LIKE', NULL, NULL, NULL, 15),
(105931, NULL, 'PTHR22763:SF14', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 122', NULL, NULL, NULL, 15),
(105932, NULL, 'PTHR43814:SF1', NULL, NULL, NULL, NULL, 'ARGININOSUCCINATE LYASE', NULL, NULL, NULL, 15),
(105933, NULL, 'PTHR31075:SF3', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 85 KDA', NULL, NULL, 28934, 15),
(105934, NULL, 'PTHR24251:SF19', NULL, NULL, NULL, NULL, 'PROLINE-RICH GLA (G-CARBOXYGLUTAMIC ACID) 2', NULL, NULL, NULL, 15),
(105935, NULL, 'PTHR32332:SF28', NULL, NULL, NULL, NULL, 'DIOXYGENASE FAMILY OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G09600)-RELATED', NULL, NULL, NULL, 15),
(105936, NULL, 'PTHR45804:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D13', NULL, NULL, NULL, 15),
(105937, NULL, 'PTHR13178', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE SGDH SUBUNIT', NULL, NULL, 18834, 15),
(105938, NULL, 'PTHR34683:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105939, NULL, 'PTHR31314:SF109', NULL, NULL, NULL, NULL, 'BNAA09G10270D PROTEIN', NULL, NULL, NULL, 15),
(105940, NULL, 'PTHR19278:SF9', NULL, NULL, NULL, NULL, 'URIDINE 5''-MONOPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(105941, NULL, 'PTHR37345:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 107', NULL, NULL, NULL, 15),
(105942, NULL, 'PTHR24410:SF24', NULL, NULL, NULL, NULL, 'BTB DOMAIN CONTAINING 6', NULL, NULL, NULL, 15),
(105943, NULL, 'PTHR15175:SF0', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN C23A1.17', NULL, NULL, NULL, 15),
(105944, NULL, 'PTHR11567:SF125', NULL, NULL, NULL, NULL, '2-PHOSPHOXYLOSE PHOSPHATASE 1', NULL, NULL, NULL, 15),
(105945, NULL, 'PTHR15241:SF310', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(105946, NULL, 'PTHR31374:SF277', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105947, NULL, 'PTHR11937:SF442', NULL, NULL, NULL, NULL, 'ACTIN-97', NULL, NULL, NULL, 15),
(105948, NULL, 'PTHR23338:SF45', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D3', NULL, NULL, NULL, 15),
(105949, NULL, 'PTHR31241:SF57', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2A', NULL, NULL, NULL, 15),
(105950, NULL, 'PTHR31384:SF133', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 8', NULL, NULL, NULL, 15),
(105951, NULL, 'PTHR35082:SF1', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(105952, NULL, 'PTHR46119:SF7', NULL, NULL, NULL, NULL, 'OS01G0595201 PROTEIN', NULL, NULL, NULL, 15),
(105953, NULL, 'PTHR10606:SF41', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE/FRUCTOSE-2,6-BISPHOSPHATASE 3', NULL, NULL, NULL, 15),
(105954, NULL, 'PTHR22891:SF16', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN', NULL, NULL, NULL, 15),
(105955, NULL, 'PTHR47993:SF146', NULL, NULL, NULL, NULL, 'BNAC03G73790D PROTEIN', NULL, NULL, NULL, 15),
(105956, NULL, 'PTHR38025', NULL, NULL, NULL, NULL, 'TRP OPERON REPRESSOR', NULL, NULL, 18847, 15),
(105957, NULL, 'PTHR10809:SF109', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 2-2', NULL, NULL, NULL, 15),
(105958, NULL, 'PTHR28153:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105959, NULL, 'PTHR36175', NULL, NULL, NULL, NULL, 'CYANOPHYCINASE', NULL, NULL, NULL, 15),
(105960, NULL, 'PTHR48158:SF1', NULL, NULL, NULL, NULL, 'OS11G0453550 PROTEIN', NULL, NULL, NULL, 15),
(105961, NULL, 'PTHR23294:SF50', NULL, NULL, NULL, NULL, 'PROTEIN CBG01375', NULL, NULL, NULL, 15),
(105962, NULL, 'PTHR47305', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 36666, 15),
(105963, NULL, 'PTHR31683:SF137', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(105964, NULL, 'PTHR31190:SF230', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(105965, NULL, 'PTHR24377:SF30', NULL, NULL, NULL, NULL, 'ZINC FINGER IMPRINTED 3', NULL, NULL, NULL, 15),
(105966, NULL, 'PTHR19443:SF6', NULL, NULL, NULL, NULL, 'HEXOKINASE-3', NULL, NULL, NULL, 15),
(105967, NULL, 'PTHR16200:SF5', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN', NULL, NULL, NULL, 15),
(105968, NULL, 'PTHR48043:SF62', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(105969, NULL, 'PTHR43620:SF13', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL3-LIKE', NULL, NULL, NULL, 15),
(105970, NULL, 'PTHR11362:SF110', NULL, NULL, NULL, NULL, 'PROTEIN FLOWERING LOCUS T-LIKE', NULL, NULL, NULL, 15),
(105971, NULL, 'PTHR24044:SF463', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105972, NULL, 'PTHR13530', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 7', NULL, NULL, 29790, 15),
(105973, NULL, 'PTHR24286:SF291', NULL, NULL, NULL, NULL, 'STEROL 14-DEMETHYLASE', NULL, NULL, NULL, 15),
(105974, NULL, 'PTHR33059:SF94', NULL, NULL, NULL, NULL, 'BNAA02G18700D PROTEIN', NULL, NULL, NULL, 15),
(105975, NULL, 'PTHR24271:SF55', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 57', NULL, NULL, NULL, 15),
(105976, NULL, 'PTHR24416:SF553', NULL, NULL, NULL, NULL, 'EPH RECEPTOR B2B', NULL, NULL, NULL, 15),
(105977, NULL, 'PTHR14002:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105978, NULL, 'PTHR23281:SF39', NULL, NULL, NULL, NULL, 'MOESIN/EZRIN/RADIXIN HOMOLOG 2', NULL, NULL, NULL, 15),
(105979, NULL, 'PTHR46641:SF15', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(105980, NULL, 'PTHR21616:SF2', NULL, NULL, NULL, NULL, 'CENTROSOME AND SPINDLE POLE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(105981, NULL, 'PTHR32472:SF21', NULL, NULL, NULL, NULL, 'BNAA03G45970D PROTEIN', NULL, NULL, NULL, 15),
(105982, NULL, 'PTHR11576:SF11', NULL, NULL, NULL, NULL, 'ONCOPROTEIN INDUCED TRANSCRIPT 3', NULL, NULL, NULL, 15),
(105983, NULL, 'PTHR17609', NULL, NULL, NULL, NULL, 'HMG DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 36468, 15),
(105984, NULL, 'PTHR36738:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(105985, NULL, 'PTHR24377:SF633', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 419', NULL, NULL, NULL, 15),
(105986, NULL, 'PTHR25480:SF0', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 73', NULL, NULL, NULL, 15),
(105987, NULL, 'PTHR27007:SF41', NULL, NULL, NULL, NULL, 'LECTIN-LIKE RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(105988, NULL, 'PTHR22765:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105989, NULL, 'PTHR37356', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 239', NULL, NULL, 28070, 15),
(105990, NULL, 'PTHR22925', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE 43 FAMILY MEMBER', NULL, NULL, NULL, 15),
(105991, NULL, 'PTHR14379:SF60', NULL, NULL, NULL, NULL, 'BNAC03G65830D PROTEIN', NULL, NULL, NULL, 15),
(105992, NULL, 'PTHR10177:SF377', NULL, NULL, NULL, NULL, 'CYCLIN-A1-4', NULL, NULL, NULL, 15),
(105993, NULL, 'PTHR24221:SF534', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER, SUBFAMILY B, MEMBER 16, GROUP MDR/PGP PROTEIN PPABCB16', NULL, NULL, NULL, 15),
(105994, NULL, 'PTHR24377:SF903', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 394', NULL, NULL, NULL, 15),
(105995, NULL, 'PTHR23315:SF295', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(105996, NULL, 'PTHR22838:SF6', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 26 HOMOLOG', NULL, NULL, NULL, 15),
(105997, NULL, 'PTHR47122:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(105998, NULL, 'PTHR44337:SF6', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 19', NULL, NULL, NULL, 15),
(105999, NULL, 'PTHR23068', NULL, NULL, NULL, NULL, 'DNA  CYTOSINE-5- -METHYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(106000, NULL, 'PTHR48043:SF7', NULL, NULL, NULL, NULL, 'UDP GLUCURONOSYLTRANSFERASE 1 FAMILY, POLYPEPTIDE A7', NULL, NULL, NULL, 15),
(106001, NULL, 'PTHR30055:SF156', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL DUAL REGULATOR CECR', NULL, NULL, NULL, 15),
(106002, NULL, 'PTHR31225', NULL, NULL, NULL, NULL, 'OS04G0344100 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106003, NULL, 'PTHR24012:SF781', NULL, NULL, NULL, NULL, 'OS04G0682400 PROTEIN', NULL, NULL, NULL, 15),
(106004, NULL, 'PTHR21499:SF63', NULL, NULL, NULL, NULL, 'OS07G0300900 PROTEIN', NULL, NULL, NULL, 15),
(106005, NULL, 'PTHR31791:SF35', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106006, NULL, 'PTHR11863:SF150', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 1-LIKE', NULL, NULL, NULL, 15),
(106007, NULL, 'PTHR22947:SF11', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(106008, NULL, 'PTHR35606', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106009, NULL, 'PTHR31235:SF319', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(106010, NULL, 'PTHR10876:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106011, NULL, 'PTHR47284', NULL, NULL, NULL, NULL, 'FATTY-ACID-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(106012, NULL, 'PTHR15090', NULL, NULL, NULL, NULL, 'SEQUESTOSOME 1-RELATED', NULL, NULL, NULL, 15),
(106013, NULL, 'PTHR24147:SF54', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 30A-RELATED', NULL, NULL, NULL, 15),
(106014, NULL, 'PTHR31989:SF382', NULL, NULL, NULL, NULL, 'NAC (NO APICAL MERISTEM) DOMAIN TRANSCRIPTIONAL REGULATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(106015, NULL, 'PTHR11849:SF274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106016, NULL, 'PTHR48222:SF2', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR, PROPEPTIDE', NULL, NULL, NULL, 15),
(106017, NULL, 'PTHR46737:SF4', NULL, NULL, NULL, NULL, 'BNAANNG06110D PROTEIN', NULL, NULL, NULL, 15),
(106018, NULL, 'PTHR11654:SF332', NULL, NULL, NULL, NULL, 'OS07G0100600 PROTEIN', NULL, NULL, NULL, 15),
(106019, NULL, 'PTHR31194:SF136', NULL, NULL, NULL, NULL, 'BNAC03G14960D PROTEIN', NULL, NULL, NULL, 15),
(106020, NULL, 'PTHR37416:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106021, NULL, 'PTHR23316:SF75', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-B', NULL, NULL, NULL, 15),
(106022, NULL, 'PTHR12320:SF37', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(106023, NULL, 'PTHR37711', NULL, NULL, NULL, NULL, 'OS01G0908400 PROTEIN', NULL, NULL, NULL, 15),
(106024, NULL, 'PTHR45647:SF43', NULL, NULL, NULL, NULL, 'OS10G0100500 PROTEIN', NULL, NULL, NULL, 15),
(106025, NULL, 'PTHR15159:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-175G6.2', NULL, NULL, NULL, 15),
(106026, NULL, 'PTHR10064:SF28', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L22, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106027, NULL, 'PTHR21094:SF4', NULL, NULL, NULL, NULL, 'GOLGI SNAP RECEPTOR COMPLEX MEMBER 1', NULL, NULL, NULL, 15),
(106028, NULL, 'PTHR47926:SF69', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(106029, NULL, 'PTHR33435', NULL, NULL, NULL, NULL, 'PROTEIN CBG21870-RELATED', NULL, NULL, NULL, 15),
(106030, NULL, 'PTHR24070:SF189', NULL, NULL, NULL, NULL, 'GTPASE NRAS', NULL, NULL, NULL, 15),
(106031, NULL, 'PTHR46774:SF8', NULL, NULL, NULL, NULL, 'BNAC03G44730D PROTEIN', NULL, NULL, NULL, 15),
(106032, NULL, 'PTHR22937:SF167', NULL, NULL, NULL, NULL, 'OS06G0695600 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106033, NULL, 'PTHR34380:SF2', NULL, NULL, NULL, NULL, 'OS01G0656900 PROTEIN', NULL, NULL, NULL, 15),
(106034, NULL, 'PTHR42702:SF1', NULL, NULL, NULL, NULL, 'NUCLEOTIDE PYROPHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(106035, NULL, 'PTHR31929:SF70', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR21', NULL, NULL, NULL, 15),
(106036, NULL, 'PTHR33070:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106037, NULL, 'PTHR47352', NULL, NULL, NULL, NULL, 'CLASS I PEPTIDE CHAIN RELEASE FACTOR', NULL, NULL, NULL, 15),
(106038, NULL, 'PTHR43708:SF1', NULL, NULL, NULL, NULL, 'GALACTOSE/LACTOSE METABOLISM REGULATORY PROTEIN GAL80', NULL, NULL, NULL, 15),
(106039, NULL, 'PTHR12565:SF371', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH78-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(106040, NULL, 'PTHR12565:SF408', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBI1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(106041, NULL, 'PTHR24253:SF119', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 27', NULL, NULL, NULL, 15),
(106042, NULL, 'PTHR33784:SF16', NULL, NULL, NULL, NULL, 'BNAA02G27510D PROTEIN', NULL, NULL, NULL, 15),
(106043, NULL, 'PTHR12125:SF5', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106044, NULL, 'PTHR21659:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG12708', NULL, NULL, NULL, 15),
(106045, NULL, 'PTHR43721:SF10', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN 2B', NULL, NULL, NULL, 15),
(106046, NULL, 'PTHR31096:SF72', NULL, NULL, NULL, NULL, 'FOUR ACT DOMAIN ACT DOMAIN PROTEIN WHICH PROTEIN', NULL, NULL, NULL, 15),
(106047, NULL, 'PTHR48017:SF83', NULL, NULL, NULL, NULL, 'OS05G0424000 PROTEIN', NULL, NULL, NULL, 15),
(106048, NULL, 'PTHR10778:SF4', NULL, NULL, NULL, NULL, 'UDP-XYLOSE AND UDP-N-ACETYLGLUCOSAMINE TRANSPORTER', NULL, NULL, NULL, 15),
(106049, NULL, 'PTHR10869:SF189', NULL, NULL, NULL, NULL, 'TYPE 1 PROLY 4-HYDROXYLASE', NULL, NULL, NULL, 15),
(106050, NULL, 'PTHR34726:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106051, NULL, 'PTHR36785:SF1', NULL, NULL, NULL, NULL, 'OS05G0502500 PROTEIN', NULL, NULL, NULL, 15),
(106052, NULL, 'PTHR45656:SF3', NULL, NULL, NULL, NULL, 'CUB AND SUSHI DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(106053, NULL, 'PTHR48013:SF8', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 2', NULL, NULL, NULL, 15),
(106054, NULL, 'PTHR11437', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', NULL, NULL, 3292, 15),
(106055, NULL, 'PTHR30485:SF0', NULL, NULL, NULL, NULL, 'NI/FE-HYDROGENASE 1 B-TYPE CYTOCHROME SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(106056, NULL, 'PTHR46483:SF7', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106057, NULL, 'PTHR47990:SF131', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(106058, NULL, 'PTHR13047:SF1', NULL, NULL, NULL, NULL, 'PRE-MRNA CLEAVAGE FACTOR IM 25 KDA SUBUNIT 1', NULL, NULL, NULL, 15),
(106059, NULL, 'PTHR10555', NULL, NULL, NULL, NULL, 'SORTING NEXIN', NULL, NULL, NULL, 15),
(106060, NULL, 'PTHR11769:SF35', NULL, NULL, NULL, NULL, 'HYALURONIDASE', NULL, NULL, NULL, 15),
(106061, NULL, 'PTHR19918:SF8', NULL, NULL, NULL, NULL, 'FI02843P', NULL, NULL, NULL, 15),
(106062, NULL, 'PTHR28651:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 232', NULL, NULL, NULL, 15),
(106063, NULL, 'PTHR24118:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106064, NULL, 'PTHR45732:SF15', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8B', NULL, NULL, NULL, 15),
(106065, NULL, 'PTHR12542:SF141', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(106066, NULL, 'PTHR43205:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106067, NULL, 'PTHR45642:SF18', NULL, NULL, NULL, NULL, 'OS01G0832100 PROTEIN', NULL, NULL, NULL, 15),
(106068, NULL, 'PTHR15065:SF7', NULL, NULL, NULL, NULL, 'NERVOUS FINGERS 2, ISOFORM B', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106069, NULL, 'PTHR46215:SF7', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 18', NULL, NULL, NULL, 15),
(106070, NULL, 'PTHR43634', NULL, NULL, NULL, NULL, 'OW CONDUCTANCE MECHANOSENSITIVE CHANNEL', NULL, NULL, 38353, 15),
(106071, NULL, 'PTHR31866:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106072, NULL, 'PTHR24342:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 17A', NULL, NULL, NULL, 15),
(106073, NULL, 'PTHR15224', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 5', NULL, NULL, 15913, 15),
(106074, NULL, 'PTHR31677:SF79', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 5', NULL, NULL, NULL, 15),
(106075, NULL, 'PTHR48017:SF174', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106076, NULL, 'PTHR10652:SF1', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN 1', NULL, NULL, 22249, 15),
(106077, NULL, 'PTHR32227:SF119', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE-RELATED', NULL, NULL, NULL, 15),
(106078, NULL, 'PTHR47831:SF1', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR II-I REPEAT DOMAIN-CONTAINING PROTEIN 2A-RELATED', NULL, NULL, NULL, 15),
(106079, NULL, 'PTHR10383:SF54', NULL, NULL, NULL, NULL, 'SERINC-DOMAIN CONTAINING SERINE AND SPHINGOLIPID BIOSYNTHESIS PROTEIN', NULL, NULL, NULL, 15),
(106080, NULL, 'PTHR12625:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LMBR1L', NULL, NULL, NULL, 15),
(106081, NULL, 'PTHR11879:SF50', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(106082, NULL, 'PTHR15710:SF124', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106083, NULL, 'PTHR11654:SF421', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 3.1', NULL, NULL, NULL, 15),
(106084, NULL, 'PTHR13108:SF12', NULL, NULL, NULL, NULL, 'BNAC04G43100D PROTEIN', NULL, NULL, NULL, 15),
(106085, NULL, 'PTHR45807:SF4', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(106086, NULL, 'PTHR31327', NULL, NULL, NULL, NULL, 'SPERM MEIOSIS PDZ DOMAIN CONTAINING PROTEINS-RELATED', NULL, NULL, 29587, 15),
(106087, NULL, 'PTHR26453:SF642', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(106088, NULL, 'PTHR12176:SF69', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE-LYSINE N-METHYLTRANSFERASE CSKMT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(106089, NULL, 'PTHR28161:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT F, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(106090, NULL, 'PTHR10102:SF13', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', NULL, NULL, NULL, 15),
(106091, NULL, 'PTHR33085:SF105', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(106092, NULL, 'PTHR12304:SF21', NULL, NULL, NULL, NULL, 'URIDINE NUCLEOSIDASE 2-RELATED', NULL, NULL, NULL, 15),
(106093, NULL, 'PTHR13806', NULL, NULL, NULL, NULL, 'FLOTILLIN-RELATED', NULL, NULL, 26984, 15),
(106094, NULL, 'PTHR11886:SF71', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(106095, NULL, 'PTHR47958:SF68', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 56-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(106096, NULL, 'PTHR10286:SF70', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(106097, NULL, 'PTHR47349:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(106098, NULL, 'PTHR23288:SF37', NULL, NULL, NULL, NULL, 'SI:DKEY-208K22.6', NULL, NULL, NULL, 15),
(106099, NULL, 'PTHR24240:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106100, NULL, 'PTHR23073:SF64', NULL, NULL, NULL, NULL, 'ATPASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106101, NULL, 'PTHR11818:SF11', NULL, NULL, NULL, NULL, 'BETA-CRYSTALLIN B2', NULL, NULL, 33183, 15),
(106102, NULL, 'PTHR10218:SF67', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(T) SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(106103, NULL, 'PTHR11736:SF17', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN C1', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106104, NULL, 'PTHR45676:SF62', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL66-LIKE', NULL, NULL, NULL, 15),
(106105, NULL, 'PTHR23036:SF16', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR-LIKE FACTOR 1', NULL, NULL, NULL, 15),
(106106, NULL, 'PTHR42354:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106107, NULL, 'PTHR10825:SF74', NULL, NULL, NULL, NULL, 'RCG38166', NULL, NULL, 34771, 15),
(106108, NULL, 'PTHR27005:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106109, NULL, 'PTHR15243', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 19', NULL, NULL, 21224, 15),
(106110, NULL, 'PTHR13817:SF11', NULL, NULL, NULL, NULL, 'OBSCURIN', NULL, NULL, NULL, 15),
(106111, NULL, 'PTHR43847:SF1', NULL, NULL, NULL, NULL, 'BLL3993 PROTEIN', NULL, NULL, NULL, 15),
(106112, NULL, 'PTHR10366:SF242', NULL, NULL, NULL, NULL, 'STEROL-4-ALPHA-CARBOXYLATE 3-DEHYDROGENASE, DECARBOXYLATING', NULL, NULL, NULL, 15),
(106113, NULL, 'PTHR33417:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106114, NULL, 'PTHR33193:SF55', NULL, NULL, NULL, NULL, 'DUF3511 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(106115, NULL, 'PTHR16134:SF91', NULL, NULL, NULL, NULL, 'BNAA03G50430D PROTEIN', NULL, NULL, NULL, 15),
(106116, NULL, 'PTHR24381:SF160', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 556', NULL, NULL, NULL, 15),
(106117, NULL, 'PTHR42648', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106118, NULL, 'PTHR24271:SF45', NULL, NULL, NULL, NULL, 'KALLIKREIN-7', NULL, NULL, NULL, 15),
(106119, NULL, 'PTHR37359:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 253', NULL, NULL, NULL, 15),
(106120, NULL, 'PTHR10209:SF614', NULL, NULL, NULL, NULL, 'FERULOYL COA ORTHO-HYDROXYLASE 2-LIKE', NULL, NULL, NULL, 15),
(106121, NULL, 'PTHR11406:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE 1', NULL, NULL, NULL, 15),
(106122, NULL, 'PTHR45919:SF1', NULL, NULL, NULL, NULL, 'GDP-MAN:MAN(3)GLCNAC(2)-PP-DOL ALPHA-1,2-MANNOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(106123, NULL, 'PTHR10041:SF8', NULL, NULL, NULL, NULL, 'COLIPASE', NULL, NULL, NULL, 15),
(106124, NULL, 'PTHR13032:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM21', NULL, NULL, NULL, 15),
(106125, NULL, 'PTHR32009:SF42', NULL, NULL, NULL, NULL, 'SIMILARITY TO DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(106126, NULL, 'PTHR24247:SF91', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6T1', NULL, NULL, NULL, 15),
(106127, NULL, 'PTHR11640:SF51', NULL, NULL, NULL, NULL, 'KIN OF IRRE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(106128, NULL, 'PTHR13944:SF18', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 13', NULL, NULL, 24656, 15),
(106129, NULL, 'PTHR13832:SF659', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 7-RELATED', NULL, NULL, NULL, 15),
(106130, NULL, 'PTHR36064:SF2', NULL, NULL, NULL, NULL, 'BNAA10G30510D PROTEIN', NULL, NULL, NULL, 15),
(106131, NULL, 'PTHR24349:SF443', NULL, NULL, NULL, NULL, 'BNAA06G15970D PROTEIN', NULL, NULL, NULL, 15),
(106132, NULL, 'PTHR43341:SF16', NULL, NULL, NULL, NULL, 'TRYPTOPHAN PERMEASE', NULL, NULL, NULL, 15),
(106133, NULL, 'PTHR11638:SF111', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPA', NULL, NULL, NULL, 15),
(106134, NULL, 'PTHR31174:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106135, NULL, 'PTHR31789:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106136, NULL, 'PTHR23290:SF5', NULL, NULL, NULL, NULL, 'BNAA03G59050D PROTEIN', NULL, NULL, NULL, 15),
(106137, NULL, 'PTHR22600:SF43', NULL, NULL, NULL, NULL, 'OS05G0390200 PROTEIN', NULL, NULL, NULL, 15),
(106138, NULL, 'PTHR45786:SF28', NULL, NULL, NULL, NULL, 'BNAA09G12390D PROTEIN', NULL, NULL, NULL, 15),
(106139, NULL, 'PTHR22802:SF254', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4, MEMBER A3', NULL, NULL, NULL, 15),
(106140, NULL, 'PTHR11945:SF474', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL3', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106141, NULL, 'PTHR10797:SF68', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 10-RELATED', NULL, NULL, NULL, 15),
(106142, NULL, 'PTHR35130', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 16', NULL, NULL, 34852, 15),
(106143, NULL, 'PTHR24282:SF112', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 709 PROTEIN', NULL, NULL, NULL, 15),
(106144, NULL, 'PTHR34502:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106145, NULL, 'PTHR31592:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106146, NULL, 'PTHR33076:SF69', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(106147, NULL, 'PTHR39957:SF3', NULL, NULL, NULL, NULL, 'GEO11553P1', NULL, NULL, NULL, 15),
(106148, NULL, 'PTHR31953:SF65', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 1-LIKE', NULL, NULL, NULL, 15),
(106149, NULL, 'PTHR23430:SF272', NULL, NULL, NULL, NULL, 'HISTONE H2A.1-RELATED', NULL, NULL, NULL, 15),
(106150, NULL, 'PTHR33800:SF8', NULL, NULL, NULL, NULL, 'OS06G0114300 PROTEIN', NULL, NULL, NULL, 15),
(106151, NULL, 'PTHR39344', NULL, NULL, NULL, NULL, 'UPF0182 PROTEIN SLL1060', NULL, NULL, 6855, 15),
(106152, NULL, 'PTHR24068', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2', NULL, NULL, NULL, 15),
(106153, NULL, 'PTHR34309:SF9', NULL, NULL, NULL, NULL, 'PROTEIN GLCG', NULL, NULL, NULL, 15),
(106154, NULL, 'PTHR46513:SF7', NULL, NULL, NULL, NULL, 'LDL RECEPTOR RELATED PROTEIN 1B', NULL, NULL, NULL, 15),
(106155, NULL, 'PTHR32116:SF80', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(106156, NULL, 'PTHR23118:SF35', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE BETA CHAIN PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(106157, NULL, 'PTHR33124:SF90', NULL, NULL, NULL, NULL, 'OS02G0791300 PROTEIN', NULL, NULL, NULL, 15),
(106158, NULL, 'PTHR12879:SF2', NULL, NULL, NULL, NULL, 'SPHINGOLIPID DELTA(4)-DESATURASE DES1', NULL, NULL, 24798, 15),
(106159, NULL, 'PTHR33981:SF15', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(106160, NULL, 'PTHR23339:SF74', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE CDC14C', NULL, NULL, NULL, 15),
(106161, NULL, 'PTHR31451:SF50', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 2-LIKE', NULL, NULL, NULL, 15),
(106162, NULL, 'PTHR43180:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106163, NULL, 'PTHR33101:SF65', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 10', NULL, NULL, NULL, 15),
(106164, NULL, 'PTHR43584', NULL, NULL, NULL, NULL, 'NUCLEOTIDYL TRANSFERASE', NULL, NULL, NULL, 15),
(106165, NULL, 'PTHR43818:SF5', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(106166, NULL, 'PTHR12213', NULL, NULL, NULL, NULL, 'CORRINOID ADENOSYLTRANSFERASE', NULL, NULL, 28949, 15),
(106167, NULL, 'PTHR23024:SF449', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE', NULL, NULL, NULL, 15),
(106168, NULL, 'PTHR46691:SF9', NULL, NULL, NULL, NULL, 'BNAC06G07470D PROTEIN', NULL, NULL, NULL, 15),
(106169, NULL, 'PTHR33130:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106170, NULL, 'PTHR48012:SF20', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE A', NULL, NULL, NULL, 15),
(106171, NULL, 'PTHR31676:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106172, NULL, 'PTHR13800:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG08369', NULL, NULL, NULL, 15),
(106173, NULL, 'PTHR48078:SF9', NULL, NULL, NULL, NULL, 'D-SERINE DEHYDRATASE', NULL, NULL, 13235, 15),
(106174, NULL, 'PTHR35703:SF6', NULL, NULL, NULL, NULL, 'HEME OXYGENASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106175, NULL, 'PTHR33057:SF93', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP8-LIKE', NULL, NULL, NULL, 15),
(106176, NULL, 'PTHR31741:SF52', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 7-LIKE', NULL, NULL, NULL, 15),
(106177, NULL, 'PTHR12305:SF52', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 3-PHOSPHATASE CNRN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106178, NULL, 'PTHR44169:SF6', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT 1-ACYLDIHYDROXYACETONE PHOSPHATE REDUCTASE', NULL, NULL, NULL, 15),
(106179, NULL, 'PTHR46228', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(106180, NULL, 'PTHR24383:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 44', NULL, NULL, NULL, 15),
(106181, NULL, 'PTHR42953:SF7', NULL, NULL, NULL, NULL, 'MANGANESE-BINDING LIPOPROTEIN MNTA', NULL, NULL, NULL, 15),
(106182, NULL, 'PTHR42718:SF10', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G06760)-RELATED', NULL, NULL, NULL, 15),
(106183, NULL, 'PTHR33085:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106184, NULL, 'PTHR42874:SF1', NULL, NULL, NULL, NULL, 'URICASE', NULL, NULL, NULL, 15),
(106185, NULL, 'PTHR16112:SF17', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 6', NULL, NULL, NULL, 15),
(106186, NULL, 'PTHR10359', NULL, NULL, NULL, NULL, 'A/G-SPECIFIC ADENINE GLYCOSYLASE/ENDONUCLEASE III', NULL, NULL, NULL, 15),
(106187, NULL, 'PTHR31279:SF10', NULL, NULL, NULL, NULL, 'OS10G0376400 PROTEIN', NULL, NULL, NULL, 15),
(106188, NULL, 'PTHR24356:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106189, NULL, 'PTHR12411:SF790', NULL, NULL, NULL, NULL, 'ANANAIN-RELATED', NULL, NULL, NULL, 15),
(106190, NULL, 'PTHR37340:SF1', NULL, NULL, NULL, NULL, 'GENE 7073-RELATED', NULL, NULL, NULL, 15),
(106191, NULL, 'PTHR45621:SF131', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE, NON-RECEPTOR JAK3-RELATED', NULL, NULL, NULL, 15),
(106192, NULL, 'PTHR12945:SF1', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(58)-N(1))-METHYLTRANSFERASE NON-CATALYTIC SUBUNIT TRM6', NULL, NULL, NULL, 15),
(106193, NULL, 'PTHR36395:SF1', NULL, NULL, NULL, NULL, 'RING-H2 ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(106194, NULL, 'PTHR13018:SF102', NULL, NULL, NULL, NULL, 'ERD (EARLY-RESPONSIVE TO DEHYDRATION STRESS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(106195, NULL, 'PTHR24351:SF192', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(106196, NULL, 'PTHR13042:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(106197, NULL, 'PTHR12758:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106198, NULL, 'PTHR21137:SF38', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 67D-RELATED', NULL, NULL, NULL, 15),
(106199, NULL, 'PTHR31448:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(106200, NULL, 'PTHR37610:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106201, NULL, 'PTHR12126:SF5', NULL, NULL, NULL, NULL, 'OSJNBB0118P14.7 PROTEIN', NULL, NULL, NULL, 15),
(106202, NULL, 'PTHR38786', NULL, NULL, NULL, NULL, 'FLAGELLAR FLIJ PROTEIN', NULL, NULL, NULL, 15),
(106203, NULL, 'PTHR31388:SF123', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(106204, NULL, 'PTHR35444:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700001C19 GENE', NULL, NULL, NULL, 15),
(106205, NULL, 'PTHR10687:SF75', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 3', NULL, NULL, NULL, 15),
(106206, NULL, 'PTHR22847:SF648', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN CONTAINING 9', NULL, NULL, NULL, 15),
(106207, NULL, 'PTHR47942:SF38', NULL, NULL, NULL, NULL, 'REPEAT SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106208, NULL, 'PTHR22718:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG00536', NULL, NULL, NULL, 15),
(106209, NULL, 'PTHR10361', NULL, NULL, NULL, NULL, 'SODIUM-BILE ACID COTRANSPORTER', NULL, NULL, 3983, 15),
(106210, NULL, 'PTHR45821:SF2', NULL, NULL, NULL, NULL, 'SNF2 DOMAIN-CONTAINING PROTEIN CLASSY 2', NULL, NULL, NULL, 15),
(106211, NULL, 'PTHR46662:SF25', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106212, NULL, 'PTHR11675:SF101', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106213, NULL, 'PTHR31376:SF74', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 3', NULL, NULL, NULL, 15),
(106214, NULL, 'PTHR45783:SF1', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN 3', NULL, NULL, NULL, 15),
(106215, NULL, 'PTHR26451:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106216, NULL, 'PTHR10502:SF29', NULL, NULL, NULL, NULL, 'ANNEXIN A11', NULL, NULL, 10128, 15),
(106217, NULL, 'PTHR35664:SF1', NULL, NULL, NULL, NULL, 'SPERMATID-SPECIFIC MANCHETTE-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(106218, NULL, 'PTHR48049:SF88', NULL, NULL, NULL, NULL, 'OS07G0201300 PROTEIN', NULL, NULL, NULL, 15),
(106219, NULL, 'PTHR30221:SF8', NULL, NULL, NULL, NULL, 'SMALL CONDUCTANCE MECHANOSENSITIVE ION CHANNEL PROTEIN MSCS FAMILY', NULL, NULL, NULL, 15),
(106220, NULL, 'PTHR22765:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106221, NULL, 'PTHR33789:SF5', NULL, NULL, NULL, NULL, 'LACHRYMATORY-FACTOR SYNTHASE', NULL, NULL, NULL, 15),
(106222, NULL, 'PTHR38652:SF1', NULL, NULL, NULL, NULL, 'INTERLEUKIN-31', NULL, NULL, NULL, 15),
(106223, NULL, 'PTHR21262:SF32', NULL, NULL, NULL, NULL, 'GTP DIPHOSPHOKINASE RSH2 CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(106224, NULL, 'PTHR11071:SF491', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(106225, NULL, 'PTHR23105:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106226, NULL, 'PTHR47874:SF1', NULL, NULL, NULL, NULL, 'OS05G0407900 PROTEIN', NULL, NULL, NULL, 15),
(106227, NULL, 'PTHR23236:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106228, NULL, 'PTHR35697:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106229, NULL, 'PTHR12967:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SHQ1 HOMOLOG', NULL, NULL, NULL, 15),
(106230, NULL, 'PTHR10168:SF245', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106231, NULL, 'PTHR31100:SF49', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(106232, NULL, 'PTHR10605:SF53', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL HEPARAN SULFATE N-DEACETYLASE/N-SULFOTRANSFERASE 2', NULL, NULL, NULL, 15),
(106233, NULL, 'PTHR11618:SF45', NULL, NULL, NULL, NULL, 'CYCLIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(106234, NULL, 'PTHR22989:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG01276', NULL, NULL, NULL, 15),
(106235, NULL, 'PTHR12276:SF57', NULL, NULL, NULL, NULL, 'ENTH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(106236, NULL, 'PTHR11926:SF1334', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(106237, NULL, 'PTHR19375:SF351', NULL, NULL, NULL, NULL, 'SLR0086 PROTEIN', NULL, NULL, NULL, 15),
(106238, NULL, 'PTHR24253:SF46', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P83', NULL, NULL, NULL, 15),
(106239, NULL, 'PTHR11467:SF14', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC H1 HISTONE', NULL, NULL, NULL, 15),
(106240, NULL, 'PTHR23075:SF11', NULL, NULL, NULL, NULL, 'BNAA05G32310D PROTEIN', NULL, NULL, NULL, 15),
(106241, NULL, 'PTHR20844', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION, SUBUNIT 9', NULL, NULL, 35498, 15),
(106242, NULL, 'PTHR48048:SF40', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(106243, NULL, 'PTHR11654:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106244, NULL, 'PTHR33933:SF2', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(106245, NULL, 'PTHR43067', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE/DIPEPTIDE ABC TRANSPORTER, ATPASE SUBUNIT', NULL, NULL, NULL, 15),
(106246, NULL, 'PTHR31549:SF65', NULL, NULL, NULL, NULL, 'OS08G0337800 PROTEIN', NULL, NULL, NULL, 15),
(106247, NULL, 'PTHR31374:SF236', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR50', NULL, NULL, NULL, 15),
(106248, NULL, 'PTHR11773:SF9', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM P PROTEIN', NULL, NULL, NULL, 15),
(106249, NULL, 'PTHR31618:SF1', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 5', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106250, NULL, 'PTHR34222:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106251, NULL, 'PTHR11709:SF260', NULL, NULL, NULL, NULL, 'OS08G0154250 PROTEIN', NULL, NULL, NULL, 15),
(106252, NULL, 'PTHR31776:SF23', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE A-RELATED', NULL, NULL, NULL, 15),
(106253, NULL, 'PTHR24177:SF263', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(106254, NULL, 'PTHR13509:SF14', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', NULL, NULL, NULL, 15),
(106255, NULL, 'PTHR24343:SF454', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(106256, NULL, 'PTHR15186', NULL, NULL, NULL, NULL, 'RE48077P', NULL, NULL, 14841, 15),
(106257, NULL, 'PTHR31301:SF152', NULL, NULL, NULL, NULL, 'BNAA04G28360D PROTEIN', NULL, NULL, NULL, 15),
(106258, NULL, 'PTHR32077:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106259, NULL, 'PTHR43151:SF2', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORT PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(106260, NULL, 'PTHR34460:SF7', NULL, NULL, NULL, NULL, 'VITELLOGENIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106261, NULL, 'PTHR13645', NULL, NULL, NULL, NULL, 'DEFENSIN', NULL, NULL, NULL, 15),
(106262, NULL, 'PTHR45747:SF15', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(106263, NULL, 'PTHR11931:SF30', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE', NULL, NULL, NULL, 15),
(106264, NULL, 'PTHR31221:SF206', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 3-RELATED', NULL, NULL, NULL, 15),
(106265, NULL, 'PTHR48097:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106266, NULL, 'PTHR46210:SF1', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106267, NULL, 'PTHR47139', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 9', NULL, NULL, NULL, 15),
(106268, NULL, 'PTHR11062:SF59', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(106269, NULL, 'PTHR31384:SF135', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(106270, NULL, 'PTHR35501:SF9', NULL, NULL, NULL, NULL, 'STAMEN-SPECIFIC PROTEIN FIL1', NULL, NULL, NULL, 15),
(106271, NULL, 'PTHR47862:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP18, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(106272, NULL, 'PTHR34800', NULL, NULL, NULL, NULL, 'TETRAPYRROLE-BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, 14479, 15),
(106273, NULL, 'PTHR38650:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106274, NULL, 'PTHR33377:SF25', NULL, NULL, NULL, NULL, 'OS10G0131500 PROTEIN', NULL, NULL, NULL, 15),
(106275, NULL, 'PTHR44086:SF13', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE PSPE', NULL, NULL, NULL, 15),
(106276, NULL, 'PTHR47924:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106277, NULL, 'PTHR22850:SF208', NULL, NULL, NULL, NULL, 'BNAA09G44120D PROTEIN', NULL, NULL, NULL, 15),
(106278, NULL, 'PTHR23359:SF171', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106279, NULL, 'PTHR33985:SF28', NULL, NULL, NULL, NULL, 'BNAC07G42260D PROTEIN', NULL, NULL, NULL, 15),
(106280, NULL, 'PTHR33565:SF2', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(106281, NULL, 'PTHR31355:SF19', NULL, NULL, NULL, NULL, 'TORTIFOLIA1-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(106282, NULL, 'PTHR31553', NULL, NULL, NULL, NULL, 'NF-KAPPA-B ESSENTIAL MODULATOR', NULL, NULL, NULL, 15),
(106283, NULL, 'PTHR47987:SF14', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-PROTEIN KINASE RBK2', NULL, NULL, NULL, 15),
(106284, NULL, 'PTHR46940:SF1', NULL, NULL, NULL, NULL, 'NKAP DOMAIN-CONTAINING 1', NULL, NULL, NULL, 15),
(106285, NULL, 'PTHR42831:SF1', NULL, NULL, NULL, NULL, 'FE-S PROTEIN MATURATION AUXILIARY FACTOR YITW', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106286, NULL, 'PTHR10644:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106287, NULL, 'PTHR30582', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE', NULL, NULL, NULL, 15),
(106288, NULL, 'PTHR37576:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106289, NULL, 'PTHR36118', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT G', NULL, NULL, 4136, 15),
(106290, NULL, 'PTHR11732:SF251', NULL, NULL, NULL, NULL, 'OS01G0847800 PROTEIN', NULL, NULL, NULL, 15),
(106291, NULL, 'PTHR38745:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106292, NULL, 'PTHR46373:SF12', NULL, NULL, NULL, NULL, 'PROTEIN RKD5', NULL, NULL, NULL, 15),
(106293, NULL, 'PTHR22642:SF21', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106294, NULL, 'PTHR45980:SF13', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 9', NULL, NULL, NULL, 15),
(106295, NULL, 'PTHR45627:SF10', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 4', NULL, NULL, NULL, 15),
(106296, NULL, 'PTHR12776:SF1', NULL, NULL, NULL, NULL, 'KAZRIN', NULL, NULL, NULL, 15),
(106297, NULL, 'PTHR10027:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106298, NULL, 'PTHR13143:SF6', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 19, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(106299, NULL, 'PTHR10676:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106300, NULL, 'PTHR31744:SF86', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 3', NULL, NULL, NULL, 15),
(106301, NULL, 'PTHR31713:SF14', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 A', NULL, NULL, NULL, 15),
(106302, NULL, 'PTHR23024:SF562', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE', NULL, NULL, NULL, 15),
(106303, NULL, 'PTHR11430:SF64', NULL, NULL, NULL, NULL, 'LIPOCALIN-15', NULL, NULL, NULL, 15),
(106304, NULL, 'PTHR14499:SF27', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD15', NULL, NULL, NULL, 15),
(106305, NULL, 'PTHR10501:SF59', NULL, NULL, NULL, NULL, 'OS06G0127500 PROTEIN', NULL, NULL, NULL, 15),
(106306, NULL, 'PTHR47421:SF1', NULL, NULL, NULL, NULL, 'GS HOMEOBOX 2', NULL, NULL, NULL, 15),
(106307, NULL, 'PTHR48022:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106308, NULL, 'PTHR48243:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106309, NULL, 'PTHR45616:SF7', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CUTICULAR HB6', NULL, NULL, NULL, 15),
(106310, NULL, 'PTHR21712', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 37361, 15),
(106311, NULL, 'PTHR33124:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106312, NULL, 'PTHR32195:SF26', NULL, NULL, NULL, NULL, 'OS07G0662800 PROTEIN', NULL, NULL, NULL, 15),
(106313, NULL, 'PTHR10527:SF3', NULL, NULL, NULL, NULL, 'FI21453P1', NULL, NULL, NULL, 15),
(106314, NULL, 'PTHR45166:SF1', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(106315, NULL, 'PTHR34207:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106316, NULL, 'PTHR34187:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106317, NULL, 'PTHR47965:SF41', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(106318, NULL, 'PTHR46000', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(106319, NULL, 'PTHR48007:SF10', NULL, NULL, NULL, NULL, 'BNAA01G25640D PROTEIN', NULL, NULL, NULL, 15),
(106320, NULL, 'PTHR31140:SF60', NULL, NULL, NULL, NULL, 'PROTEIN RAV1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106321, NULL, 'PTHR24241:SF145', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR 3', NULL, NULL, NULL, 15),
(106322, NULL, 'PTHR22808:SF10', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106323, NULL, 'PTHR31916:SF35', NULL, NULL, NULL, NULL, 'OSJNBA0042I15.24 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106324, NULL, 'PTHR21444', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 180', NULL, NULL, NULL, 15),
(106325, NULL, 'PTHR15653:SF1', NULL, NULL, NULL, NULL, 'STRIATIN-4', NULL, NULL, NULL, 15),
(106326, NULL, 'PTHR33215:SF5', NULL, NULL, NULL, NULL, 'TRANSPOSASE YKGN-RELATED', NULL, NULL, NULL, 15),
(106327, NULL, 'PTHR11937:SF458', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106328, NULL, 'PTHR21212:SF0', NULL, NULL, NULL, NULL, 'SEIPIN', NULL, NULL, NULL, 15),
(106329, NULL, 'PTHR24071:SF30', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN-A1', NULL, NULL, NULL, 15),
(106330, NULL, 'PTHR10614:SF13', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR SUBSTRATE 1', NULL, NULL, NULL, 15),
(106331, NULL, 'PTHR24296:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106332, NULL, 'PTHR24072:SF315', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(106333, NULL, 'PTHR46293:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP2-LIKE', NULL, NULL, NULL, 15),
(106334, NULL, 'PTHR11278:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15),
(106335, NULL, 'PTHR46379:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(106336, NULL, 'PTHR32071:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR (NTRC FAMILY)', NULL, NULL, NULL, 15),
(106337, NULL, 'PTHR44575:SF3', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(106338, NULL, 'PTHR10638:SF66', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(106339, NULL, 'PTHR23315:SF278', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(106340, NULL, 'PTHR24185:SF3', NULL, NULL, NULL, NULL, 'PATATIN DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(106341, NULL, 'PTHR45934:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106342, NULL, 'PTHR13002', NULL, NULL, NULL, NULL, 'C3ORF1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106343, NULL, 'PTHR13367:SF29', NULL, NULL, NULL, NULL, 'SI:DKEY-37F18.2', NULL, NULL, NULL, 15),
(106344, NULL, 'PTHR31118:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106345, NULL, 'PTHR33085', NULL, NULL, NULL, NULL, 'OS12G0113100 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106346, NULL, 'PTHR43108:SF10', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YEJM', NULL, NULL, NULL, 15),
(106347, NULL, 'PTHR31731:SF108', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(106348, NULL, 'PTHR13093:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER HIT DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(106349, NULL, 'PTHR31325:SF152', NULL, NULL, NULL, NULL, 'OS06G0122200 PROTEIN', NULL, NULL, NULL, 15),
(106350, NULL, 'PTHR33021:SF390', NULL, NULL, NULL, NULL, 'OS12G0150500 PROTEIN', NULL, NULL, NULL, 15),
(106351, NULL, 'PTHR43047:SF45', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE', NULL, NULL, NULL, 15),
(106352, NULL, 'PTHR22923:SF63', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(106353, NULL, 'PTHR47319:SF18', NULL, NULL, NULL, NULL, 'BNACNNG38440D PROTEIN', NULL, NULL, NULL, 15),
(106354, NULL, 'PTHR37002:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106355, NULL, 'PTHR46423:SF2', NULL, NULL, NULL, NULL, 'FI17138P1', NULL, NULL, NULL, 15),
(106356, NULL, 'PTHR11139:SF112', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TOR', NULL, NULL, 27234, 15),
(106357, NULL, 'PTHR28049:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN YOR223W', NULL, NULL, NULL, 15),
(106358, NULL, 'PTHR31942:SF9', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(106359, NULL, 'PTHR21725:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106360, NULL, 'PTHR16083:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND CALPONIN HOMOLOGY DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106361, NULL, 'PTHR36901:SF1', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(106362, NULL, 'PTHR31235:SF320', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(106363, NULL, 'PTHR13878:SF104', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE 4-RELATED', NULL, NULL, NULL, 15),
(106364, NULL, 'PTHR13468:SF18', NULL, NULL, NULL, NULL, 'BNAC09G32300D PROTEIN', NULL, NULL, NULL, 15),
(106365, NULL, 'PTHR31344:SF10', NULL, NULL, NULL, NULL, 'NUCLEOLAR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106366, NULL, 'PTHR24240:SF78', NULL, NULL, NULL, NULL, 'MELATONIN RECEPTOR TYPE 1A-LIKE ISOFORM X2', NULL, NULL, NULL, 15),
(106367, NULL, 'PTHR48018:SF132', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5M9', NULL, NULL, NULL, 15),
(106368, NULL, 'PTHR46475:SF2', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR3', NULL, NULL, NULL, 15),
(106369, NULL, 'PTHR32444:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106370, NULL, 'PTHR31251:SF140', NULL, NULL, NULL, NULL, 'BNAC04G02520D PROTEIN', NULL, NULL, NULL, 15),
(106371, NULL, 'PTHR24361:SF433', NULL, NULL, NULL, NULL, 'MTK1/MEKK4 HOMOLOG', NULL, NULL, NULL, 15),
(106372, NULL, 'PTHR34452:SF14', NULL, NULL, NULL, NULL, 'BNAC08G20130D PROTEIN', NULL, NULL, NULL, 15),
(106373, NULL, 'PTHR19375:SF215', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 37B-RELATED', NULL, NULL, NULL, 15),
(106374, NULL, 'PTHR31787:SF15', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN P-RELATED', NULL, NULL, NULL, 15),
(106375, NULL, 'PTHR45615:SF48', NULL, NULL, NULL, NULL, 'MYOSIN-1B', NULL, NULL, NULL, 15),
(106376, NULL, 'PTHR22684:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 25', NULL, NULL, NULL, 15),
(106377, NULL, 'PTHR24027:SF424', NULL, NULL, NULL, NULL, 'CADHERIN 16, KSP-CADHERIN', NULL, NULL, NULL, 15),
(106378, NULL, 'PTHR24347:SF388', NULL, NULL, NULL, NULL, 'DEATH ASSOCIATED PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(106379, NULL, 'PTHR10562:SF98', NULL, NULL, NULL, NULL, 'BNAA06G38490D PROTEIN', NULL, NULL, NULL, 15),
(106380, NULL, 'PTHR23023:SF253', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(106381, NULL, 'PTHR46286:SF2', NULL, NULL, NULL, NULL, 'VIN3-LIKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(106382, NULL, 'PTHR25464:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG17369', NULL, NULL, NULL, 15),
(106383, NULL, 'PTHR33767:SF1', NULL, NULL, NULL, NULL, 'LEUCINE RICH ADAPTOR PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(106384, NULL, 'PTHR23262:SF166', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-12', NULL, NULL, NULL, 15),
(106385, NULL, 'PTHR19256:SF51', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR GAMMA, VARIABLE 5-RELATED', NULL, NULL, NULL, 15),
(106386, NULL, 'PTHR47968:SF11', NULL, NULL, NULL, NULL, 'KINESIN MOTOR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106387, NULL, 'PTHR35598:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106388, NULL, 'PTHR10108:SF1051', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(106389, NULL, 'PTHR45757:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG11239', NULL, NULL, NULL, 15),
(106390, NULL, 'PTHR11984:SF105', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', NULL, NULL, NULL, 15),
(106391, NULL, 'PTHR26453:SF237', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2C1', NULL, NULL, NULL, 15),
(106392, NULL, 'PTHR37189:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106393, NULL, 'PTHR11771:SF138', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(106394, NULL, 'PTHR23421:SF168', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(106395, NULL, 'PTHR11211:SF13', NULL, NULL, NULL, NULL, 'IROQUOIS-CLASS HOMEODOMAIN PROTEIN IRX-1', NULL, NULL, NULL, 15),
(106396, NULL, 'PTHR12297:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106397, NULL, 'PTHR37404:SF1', NULL, NULL, NULL, NULL, 'HCG1796489', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106398, NULL, 'PTHR45676:SF101', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106399, NULL, 'PTHR18959:SF94', NULL, NULL, NULL, NULL, 'CALPONIN', NULL, NULL, NULL, 15),
(106400, NULL, 'PTHR11214:SF243', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(106401, NULL, 'PTHR33170', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106402, NULL, 'PTHR26450:SF172', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(106403, NULL, 'PTHR10497:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', NULL, NULL, NULL, 15),
(106404, NULL, 'PTHR35461:SF1', NULL, NULL, NULL, NULL, 'LOW PROTEIN: ATP-DEPENDENT RNA HELICASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106405, NULL, 'PTHR12558:SF38', NULL, NULL, NULL, NULL, 'ZN-DEPENDENT PROTEASE ASSOCIATED WITH TONB2 ENERGY TRANSDUCTION SYSTEM-RELATED', NULL, NULL, NULL, 15),
(106406, NULL, 'PTHR10722:SF23', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', NULL, NULL, NULL, 15),
(106407, NULL, 'PTHR43880:SF48', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106408, NULL, 'PTHR22601:SF61', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 5', NULL, NULL, NULL, 15),
(106409, NULL, 'PTHR46122:SF2', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP11', NULL, NULL, NULL, 15),
(106410, NULL, 'PTHR33207:SF71', NULL, NULL, NULL, NULL, 'OSJNBA0087H01.6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106411, NULL, 'PTHR43293:SF1', NULL, NULL, NULL, NULL, 'ACETATE COA-TRANSFERASE YDIF', NULL, NULL, NULL, 15),
(106412, NULL, 'PTHR22849:SF108', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(106413, NULL, 'PTHR24351:SF213', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE ALPHA-2', NULL, NULL, NULL, 15),
(106414, NULL, 'PTHR48177:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 189', NULL, NULL, NULL, 15),
(106415, NULL, 'PTHR31378:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106416, NULL, 'PTHR46868:SF8', NULL, NULL, NULL, NULL, 'BNAA09G40780D PROTEIN', NULL, NULL, NULL, 15),
(106417, NULL, 'PTHR31494:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106418, NULL, 'PTHR24138:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106419, NULL, 'PTHR26392', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 7-RELATED', NULL, NULL, NULL, 15),
(106420, NULL, 'PTHR33077:SF110', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 6B-LIKE', NULL, NULL, NULL, 15),
(106421, NULL, 'PTHR37768:SF2', NULL, NULL, NULL, NULL, 'OS06G0694800 PROTEIN', NULL, NULL, NULL, 15),
(106422, NULL, 'PTHR48018:SF100', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5M1', NULL, NULL, NULL, 15),
(106423, NULL, 'PTHR35908:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL FUSION PROTEIN', NULL, NULL, NULL, 15),
(106424, NULL, 'PTHR47928:SF116', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106425, NULL, 'PTHR23202:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106426, NULL, 'PTHR36078:SF3', NULL, NULL, NULL, NULL, 'OS08G0487000 PROTEIN', NULL, NULL, NULL, 15),
(106427, NULL, 'PTHR34741', NULL, NULL, NULL, NULL, 'IMAP FAMILY MEMBER 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106428, NULL, 'PTHR45654:SF70', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG11', NULL, NULL, NULL, 15),
(106429, NULL, 'PTHR11587:SF2', NULL, NULL, NULL, NULL, 'ARGININOSUCCINATE SYNTHASE', NULL, NULL, NULL, 15),
(106430, NULL, 'PTHR13119:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(106431, NULL, 'PTHR11097:SF14', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP45', NULL, NULL, NULL, 15),
(106432, NULL, 'PTHR43798:SF20', NULL, NULL, NULL, NULL, '2-SUCCINYL-6-HYDROXY-2,4-CYCLOHEXADIENE-1-CARBOXYLATE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(106433, NULL, 'PTHR10612:SF34', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106434, NULL, 'PTHR24291:SF162', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 311A1-RELATED', NULL, NULL, NULL, 15),
(106435, NULL, 'PTHR13678:SF23', NULL, NULL, NULL, NULL, 'MODIFIER OF RUDIMENTARY, MODR-RELATED', NULL, NULL, NULL, 15),
(106436, NULL, 'PTHR24409:SF353', NULL, NULL, NULL, NULL, 'PR/SET DOMAIN 15', NULL, NULL, NULL, 15),
(106437, NULL, 'PTHR46245:SF6', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS07G0563300-LIKE', NULL, NULL, NULL, 15),
(106438, NULL, 'PTHR31175:SF76', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106439, NULL, 'PTHR22957:SF445', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 28', NULL, NULL, NULL, 15),
(106440, NULL, 'PTHR47274:SF14', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING-LIKE PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(106441, NULL, 'PTHR37524:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106442, NULL, 'PTHR11527:SF267', NULL, NULL, NULL, NULL, '22.0 KDA HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(106443, NULL, 'PTHR45748:SF17', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1B', NULL, NULL, NULL, 15),
(106444, NULL, 'PTHR23500:SF373', NULL, NULL, NULL, NULL, 'OS04G0679000 PROTEIN', NULL, NULL, NULL, 15),
(106445, NULL, 'PTHR31235:SF207', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(106446, NULL, 'PTHR11188:SF152', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN A', NULL, NULL, NULL, 15),
(106447, NULL, 'PTHR12050:SF4', NULL, NULL, NULL, NULL, 'LEPTIN RECEPTOR OVERLAPPING TRANSCRIPT-LIKE 1', NULL, NULL, NULL, 15),
(106448, NULL, 'PTHR33322:SF18', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 8, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(106449, NULL, 'PTHR11566:SF175', NULL, NULL, NULL, NULL, 'BNAC04G22340D PROTEIN', NULL, NULL, NULL, 15),
(106450, NULL, 'PTHR20859:SF53', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA/BETA RECEPTOR 2', NULL, NULL, NULL, 15),
(106451, NULL, 'PTHR19282:SF459', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(106452, NULL, 'PTHR13710:SF120', NULL, NULL, NULL, NULL, 'WERNER SYNDROME ATP-DEPENDENT HELICASE', NULL, NULL, NULL, 15),
(106453, NULL, 'PTHR47319:SF6', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN KRP1', NULL, NULL, NULL, 15),
(106454, NULL, 'PTHR31734:SF172', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(106455, NULL, 'PTHR11685:SF212', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PARKIN', NULL, NULL, NULL, 15),
(106456, NULL, 'PTHR23315:SF224', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(106457, NULL, 'PTHR45914:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HEC3-RELATED', NULL, NULL, NULL, 15),
(106458, NULL, 'PTHR31284:SF41', NULL, NULL, NULL, NULL, 'BNAA08G13480D PROTEIN', NULL, NULL, NULL, 15),
(106459, NULL, 'PTHR30502:SF8', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106460, NULL, 'PTHR11875:SF117', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 14-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(106461, NULL, 'PTHR31676:SF137', NULL, NULL, NULL, NULL, 'BNAA09G03030D PROTEIN', NULL, NULL, NULL, 15),
(106462, NULL, 'PTHR47074', NULL, NULL, NULL, NULL, 'BNAC02G40300D PROTEIN', NULL, NULL, NULL, 15),
(106463, NULL, 'PTHR14155:SF492', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(106464, NULL, 'PTHR47269', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP21-4', NULL, NULL, NULL, 15),
(106465, NULL, 'PTHR33710:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106466, NULL, 'PTHR43650:SF9', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(106467, NULL, 'PTHR32444:SF147', NULL, NULL, NULL, NULL, 'BULB-TYPE LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106468, NULL, 'PTHR13878:SF70', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106469, NULL, 'PTHR34591:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106470, NULL, 'PTHR45936:SF2', NULL, NULL, NULL, NULL, 'BNAA06G15690D PROTEIN', NULL, NULL, NULL, 15),
(106471, NULL, 'PTHR31071:SF42', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 30-LIKE', NULL, NULL, NULL, 15),
(106472, NULL, 'PTHR10728:SF32', NULL, NULL, NULL, NULL, 'CYTOSOLIC PHOSPHOLIPASE A2 BETA', NULL, NULL, NULL, 15),
(106473, NULL, 'PTHR42865:SF7', NULL, NULL, NULL, NULL, 'PROTON/GLUTAMATE-ASPARTATE SYMPORTER', NULL, NULL, NULL, 15),
(106474, NULL, 'PTHR33107:SF56', NULL, NULL, NULL, NULL, '21 KDA SEED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106475, NULL, 'PTHR35167:SF1', NULL, NULL, NULL, NULL, 'OS08G0549900 PROTEIN', NULL, NULL, NULL, 15),
(106476, NULL, 'PTHR18966:SF526', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(106477, NULL, 'PTHR47640:SF35', NULL, NULL, NULL, NULL, 'BNAC03G73250D PROTEIN', NULL, NULL, NULL, 15),
(106478, NULL, 'PTHR33103:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106479, NULL, 'PTHR11783', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE  SULT', NULL, NULL, NULL, 15),
(106480, NULL, 'PTHR45970:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A9', NULL, NULL, NULL, 15),
(106481, NULL, 'PTHR39523:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106482, NULL, 'PTHR42826:SF7', NULL, NULL, NULL, NULL, 'DICARBOXYLIC ACID TRANSPORTER2', NULL, NULL, NULL, 15),
(106483, NULL, 'PTHR43473', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLD, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(106484, NULL, 'PTHR18945:SF489', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-9', NULL, NULL, NULL, 15),
(106485, NULL, 'PTHR10799:SF987', NULL, NULL, NULL, NULL, 'HELICASE OF THE SNF2/RAD54 FAMILY', NULL, NULL, NULL, 15),
(106486, NULL, 'PTHR46038:SF47', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(106487, NULL, 'PTHR33565', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN 1', NULL, NULL, 8602, 15),
(106488, NULL, 'PTHR20922', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 9964, 15),
(106489, NULL, 'PTHR32212:SF301', NULL, NULL, NULL, NULL, 'BNAC03G13400D PROTEIN', NULL, NULL, NULL, 15),
(106490, NULL, 'PTHR13172:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM10 B', NULL, NULL, NULL, 15),
(106491, NULL, 'PTHR37517', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106492, NULL, 'PTHR11873:SF2', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(106493, NULL, 'PTHR30008', NULL, NULL, NULL, NULL, 'EXODEOXYRIBONUCLEASE 7 LARGE SUBUNIT', NULL, NULL, 2052, 15),
(106494, NULL, 'PTHR24300:SF342', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2C18', NULL, NULL, NULL, 15),
(106495, NULL, 'PTHR13622:SF10', NULL, NULL, NULL, NULL, 'SI:DKEY-6N6.2', NULL, NULL, NULL, 15),
(106496, NULL, 'PTHR31251:SF148', NULL, NULL, NULL, NULL, '1 PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106497, NULL, 'PTHR10031', NULL, NULL, NULL, NULL, 'ATP SYNTHASE LIPID-BINDING PROTEIN, MITOCHONDRIAL', NULL, NULL, 6886, 15),
(106498, NULL, 'PTHR47480:SF5', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(106499, NULL, 'PTHR10551:SF9', NULL, NULL, NULL, NULL, 'PROTEIN SINGED', NULL, NULL, NULL, 15),
(106500, NULL, 'PTHR23430:SF28', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-C', NULL, NULL, NULL, 15),
(106501, NULL, 'PTHR31375:SF236', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(106502, NULL, 'PTHR10795:SF539', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE II-RELATED', NULL, NULL, NULL, 15),
(106503, NULL, 'PTHR13848:SF81', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(106504, NULL, 'PTHR10891:SF814', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML26-RELATED', NULL, NULL, NULL, 15),
(106505, NULL, 'PTHR13392:SF13', NULL, NULL, NULL, NULL, 'AGAP000372-PA', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106506, NULL, 'PTHR10201:SF277', NULL, NULL, NULL, NULL, 'OS06G0239100 PROTEIN', NULL, NULL, NULL, 15),
(106507, NULL, 'PTHR31985:SF128', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF013', NULL, NULL, NULL, 15),
(106508, NULL, 'PTHR23231:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106509, NULL, 'PTHR10653:SF6', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA-3', NULL, NULL, NULL, 15),
(106510, NULL, 'PTHR10026:SF70', NULL, NULL, NULL, NULL, 'CYCLIN-Q', NULL, NULL, 24205, 15),
(106511, NULL, 'PTHR10799:SF979', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106512, NULL, 'PTHR24012:SF799', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106513, NULL, 'PTHR30371:SF4', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATCD', NULL, NULL, NULL, 15),
(106514, NULL, 'PTHR46192:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN AT74', NULL, NULL, NULL, 15),
(106515, NULL, 'PTHR12224:SF0', NULL, NULL, NULL, NULL, 'BETA-1,4-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(106516, NULL, 'PTHR10811:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106517, NULL, 'PTHR13453:SF5', NULL, NULL, NULL, NULL, 'OS05G0304100 PROTEIN', NULL, NULL, NULL, 15),
(106518, NULL, 'PTHR32256:SF17', NULL, NULL, NULL, NULL, 'SRFA-INDUCED GENE K PROTEIN', NULL, NULL, NULL, 15),
(106519, NULL, 'PTHR30543:SF21', NULL, NULL, NULL, NULL, 'NADPH:QUINONE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(106520, NULL, 'PTHR18945:SF461', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(106521, NULL, 'PTHR23280:SF17', NULL, NULL, NULL, NULL, 'BAND 4.1-LIKE PROTEIN 2', NULL, NULL, 26576, 15),
(106522, NULL, 'PTHR45669:SF15', NULL, NULL, NULL, NULL, 'OS05G0353600 PROTEIN', NULL, NULL, NULL, 15),
(106523, NULL, 'PTHR11481:SF96', NULL, NULL, NULL, NULL, 'HEMICENTIN 1', NULL, NULL, NULL, 15),
(106524, NULL, 'PTHR48100:SF14', NULL, NULL, NULL, NULL, 'BNAA08G24530D PROTEIN', NULL, NULL, NULL, 15),
(106525, NULL, 'PTHR31790:SF373', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN DOR-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(106526, NULL, 'PTHR33211:SF107', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(106527, NULL, 'PTHR18919:SF155', NULL, NULL, NULL, NULL, 'BNAA02G30030D PROTEIN', NULL, NULL, NULL, 15),
(106528, NULL, 'PTHR46128:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106529, NULL, 'PTHR31384:SF145', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 21', NULL, NULL, NULL, 15),
(106530, NULL, 'PTHR31126', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(106531, NULL, 'PTHR31509:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106532, NULL, 'PTHR43899:SF26', NULL, NULL, NULL, NULL, 'ENOYL-(ACYL CARRIER) REDUCTASE', NULL, NULL, NULL, 15),
(106533, NULL, 'PTHR23175:SF16', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 21', NULL, NULL, NULL, 15),
(106534, NULL, 'PTHR10994:SF62', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106535, NULL, 'PTHR22912:SF206', NULL, NULL, NULL, NULL, 'DIHYDROLIPOAMIDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(106536, NULL, 'PTHR47926:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106537, NULL, 'PTHR18953:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106538, NULL, 'PTHR23118:SF39', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE BETA CHAIN PROTEIN 1', NULL, NULL, NULL, 15),
(106539, NULL, 'PTHR48061:SF3', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 30-LIKE', NULL, NULL, NULL, 15),
(106540, NULL, 'PTHR40314:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08508', NULL, NULL, NULL, 15),
(106541, NULL, 'PTHR16675:SF190', NULL, NULL, NULL, NULL, 'MHC I-LIKE LEUKOCYTE 2', NULL, NULL, NULL, 15),
(106542, NULL, 'PTHR11292:SF7', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD8 BETA CHAIN-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106543, NULL, 'PTHR19300:SF30', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 7', NULL, NULL, NULL, 15),
(106544, NULL, 'PTHR24291:SF145', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4AA1-RELATED', NULL, NULL, NULL, 15),
(106545, NULL, 'PTHR11945:SF418', NULL, NULL, NULL, NULL, 'AGAMOUSB', NULL, NULL, NULL, 15),
(106546, NULL, 'PTHR24286:SF302', NULL, NULL, NULL, NULL, 'HYDROPEROXIDE LYASE', NULL, NULL, NULL, 15),
(106547, NULL, 'PTHR15481:SF8', NULL, NULL, NULL, NULL, 'HMG BOX FAMILY PROTEIN', NULL, NULL, NULL, 15),
(106548, NULL, 'PTHR34618:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106549, NULL, 'PTHR31828:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106550, NULL, 'PTHR32119', NULL, NULL, NULL, NULL, 'OROTIDINE 5''-PHOSPHATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(106551, NULL, 'PTHR24023:SF854', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(IV) CHAIN', NULL, NULL, NULL, 15),
(106552, NULL, 'PTHR12184:SF1', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME-C REDUCTASE COMPLEX ASSEMBLY FACTOR 1', NULL, NULL, NULL, 15),
(106553, NULL, 'PTHR34562:SF9', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING PROTEIN 3', NULL, NULL, NULL, 15),
(106554, NULL, 'PTHR12644:SF3', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(106555, NULL, 'PTHR24286:SF180', NULL, NULL, NULL, NULL, 'OS07G0567200 PROTEIN', NULL, NULL, NULL, 15),
(106556, NULL, 'PTHR47028', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE O', NULL, NULL, 36509, 15),
(106557, NULL, 'PTHR45956:SF4', NULL, NULL, NULL, NULL, 'RUN AND FYVE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(106558, NULL, 'PTHR23018:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', NULL, NULL, NULL, 15),
(106559, NULL, 'PTHR47990:SF103', NULL, NULL, NULL, NULL, 'BNAA03G47400D PROTEIN', NULL, NULL, NULL, 15),
(106560, NULL, 'PTHR12226:SF3', NULL, NULL, NULL, NULL, 'PQ-LOOP REPEAT-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(106561, NULL, 'PTHR10891:SF795', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(106562, NULL, 'PTHR34595:SF7', NULL, NULL, NULL, NULL, 'BLR5612 PROTEIN', NULL, NULL, NULL, 15),
(106563, NULL, 'PTHR32468:SF120', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', NULL, NULL, NULL, 15),
(106564, NULL, 'PTHR23389:SF11', NULL, NULL, NULL, NULL, 'TELOMERE LENGTH REGULATION PROTEIN ELG1', NULL, NULL, NULL, 15),
(106565, NULL, 'PTHR31096:SF63', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106566, NULL, 'PTHR11610:SF150', NULL, NULL, NULL, NULL, 'FI01825P-RELATED', NULL, NULL, NULL, 15),
(106567, NULL, 'PTHR31064:SF11', NULL, NULL, NULL, NULL, 'CATION TRANSPORTER HKT9-RELATED', NULL, NULL, NULL, 15),
(106568, NULL, 'PTHR27005:SF280', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 9', NULL, NULL, NULL, 15),
(106569, NULL, 'PTHR13068:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106570, NULL, 'PTHR48019:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106571, NULL, 'PTHR35670', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 81', NULL, NULL, 35842, 15),
(106572, NULL, 'PTHR12506:SF57', NULL, NULL, NULL, NULL, 'BNAA07G07840D PROTEIN', NULL, NULL, NULL, 15),
(106573, NULL, 'PTHR31515:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(106574, NULL, 'PTHR43157:SF41', NULL, NULL, NULL, NULL, 'BNAA09G56460D PROTEIN', NULL, NULL, NULL, 15),
(106575, NULL, 'PTHR15646', NULL, NULL, NULL, NULL, 'LINKER FOR ACTIVATION OF T-CELLS FAMILY MEMBER 2', NULL, NULL, 28601, 15),
(106576, NULL, 'PTHR11260:SF621', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U11', NULL, NULL, NULL, 15),
(106577, NULL, 'PTHR35504:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106578, NULL, 'PTHR12300:SF145', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106579, NULL, 'PTHR48018:SF75', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106580, NULL, 'PTHR33431:SF15', NULL, NULL, NULL, NULL, 'OS05G0115100 PROTEIN', NULL, NULL, NULL, 15),
(106581, NULL, 'PTHR45224:SF1', NULL, NULL, NULL, NULL, 'OS02G0311800 PROTEIN', NULL, NULL, NULL, 15),
(106582, NULL, 'PTHR10641:SF1064', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', NULL, NULL, NULL, 15),
(106583, NULL, 'PTHR24161:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106584, NULL, 'PTHR31225:SF101', NULL, NULL, NULL, NULL, '(E)-BETA-FARNESENE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(106585, NULL, 'PTHR46929:SF23', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(106586, NULL, 'PTHR19143:SF390', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106587, NULL, 'PTHR11615:SF290', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106588, NULL, 'PTHR47992:SF31', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 78-RELATED', NULL, NULL, NULL, 15),
(106589, NULL, 'PTHR47208:SF1', NULL, NULL, NULL, NULL, 'OS02G0174800 PROTEIN', NULL, NULL, NULL, 15),
(106590, NULL, 'PTHR15735:SF11', NULL, NULL, NULL, NULL, 'F-BAR AND DOUBLE SH3 DOMAINS PROTEIN 2', NULL, NULL, 32002, 15),
(106591, NULL, 'PTHR46450:SF12', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUVR4', NULL, NULL, NULL, 15),
(106592, NULL, 'PTHR43582:SF2', NULL, NULL, NULL, NULL, 'LINEARMYCIN RESISTANCE ATP-BINDING PROTEIN LNRL', NULL, NULL, NULL, 15),
(106593, NULL, 'PTHR31218:SF300', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(106594, NULL, 'PTHR23113:SF326', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106595, NULL, 'PTHR45968:SF25', NULL, NULL, NULL, NULL, 'OXYGEN-DEPENDENT CHOLINE DEHYDROGENASE, FAD/NAD(P)-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106596, NULL, 'PTHR13382', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ATP SYNTHASE COUPLING FACTOR B', NULL, NULL, NULL, 15),
(106597, NULL, 'PTHR24248:SF134', NULL, NULL, NULL, NULL, 'OCTOPAMINE RECEPTOR BETA-1R', NULL, NULL, NULL, 15),
(106598, NULL, 'PTHR46022:SF4', NULL, NULL, NULL, NULL, 'PATCHED FAMILY-RELATED', NULL, NULL, NULL, 15),
(106599, NULL, 'PTHR46476:SF10', NULL, NULL, NULL, NULL, 'CHITINASE 2', NULL, NULL, NULL, 15),
(106600, NULL, 'PTHR45730:SF79', NULL, NULL, NULL, NULL, 'BNACNNG49940D PROTEIN', NULL, NULL, NULL, 15),
(106601, NULL, 'PTHR37003', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 33322, 15),
(106602, NULL, 'PTHR11746:SF152', NULL, NULL, NULL, NULL, 'ASMT2', NULL, NULL, NULL, 15),
(106603, NULL, 'PTHR28520:SF2', NULL, NULL, NULL, NULL, 'MITOTIC-SPINDLE ORGANIZING PROTEIN 1', NULL, NULL, NULL, 15),
(106604, NULL, 'PTHR13336:SF3', NULL, NULL, NULL, NULL, 'OCIA DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(106605, NULL, 'PTHR24006:SF686', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 37', NULL, NULL, NULL, 15),
(106606, NULL, 'PTHR46553:SF14', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106607, NULL, 'PTHR30540:SF24', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 22', NULL, NULL, NULL, 15),
(106608, NULL, 'PTHR33120:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106609, NULL, 'PTHR38937:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN OF ER BODY-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106610, NULL, 'PTHR43200:SF8', NULL, NULL, NULL, NULL, 'PAP-SPECIFIC PHOSPHATASE, MITOCHONDRIAL ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(106611, NULL, 'PTHR21646:SF52', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 4-RELATED', NULL, NULL, NULL, 15),
(106612, NULL, 'PTHR38620:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG10478', NULL, NULL, NULL, 15),
(106613, NULL, 'PTHR31918', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 181', NULL, NULL, 31269, 15),
(106614, NULL, 'PTHR14592:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FAM3D', NULL, NULL, 35649, 15),
(106615, NULL, 'PTHR47544:SF1', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 4', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106616, NULL, 'PTHR12899:SF8', NULL, NULL, NULL, NULL, 'RIBOSOMAL L18P/L5E FAMILY PROTEIN', NULL, NULL, NULL, 15),
(106617, NULL, 'PTHR20961:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106618, NULL, 'PTHR17223:SF0', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(106619, NULL, 'PTHR19957:SF321', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106620, NULL, 'PTHR13817:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106621, NULL, 'PTHR11654:SF311', NULL, NULL, NULL, NULL, 'MFS PEPTIDE TRANSPORTER, PUTAITVE (AFU_ORTHOLOGUE AFUA_1G12240)', NULL, NULL, NULL, 15),
(106622, NULL, 'PTHR34190:SF3', NULL, NULL, NULL, NULL, 'MICROSPORE-SPECIFIC PROMOTER 2', NULL, NULL, NULL, 15),
(106623, NULL, 'PTHR13878:SF65', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 10', NULL, NULL, NULL, 15),
(106624, NULL, 'PTHR24271:SF80', NULL, NULL, NULL, NULL, 'GRANZYME 3, TANDEM DUPLICATE 1-RELATED', NULL, NULL, NULL, 15),
(106625, NULL, 'PTHR23312', NULL, NULL, NULL, NULL, 'ARMC5  ARMADILLO REPEAT-CONTAINING -RELATED', NULL, NULL, NULL, 15),
(106626, NULL, 'PTHR46599:SF1', NULL, NULL, NULL, NULL, 'POGO TRANSPOSABLE ELEMENT-DERIVED WITH ZNF DOMAIN B', NULL, NULL, NULL, 15),
(106627, NULL, 'PTHR45988:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106628, NULL, 'PTHR39431', NULL, NULL, NULL, NULL, 'FRPA/C-RELATED PROTEIN', NULL, NULL, NULL, 15),
(106629, NULL, 'PTHR18640:SF13', NULL, NULL, NULL, NULL, 'SODIUM BILE ACID COTRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(106630, NULL, 'PTHR45654:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106631, NULL, 'PTHR24203:SF43', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', NULL, NULL, NULL, 15),
(106632, NULL, 'PTHR21669:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106633, NULL, 'PTHR47742:SF1', NULL, NULL, NULL, NULL, 'GAMETOGENETIN', NULL, NULL, NULL, 15),
(106634, NULL, 'PTHR36793:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE J', NULL, NULL, NULL, 15),
(106635, NULL, 'PTHR24179:SF21', NULL, NULL, NULL, NULL, 'MYOSIN BINDING SUBUNIT, ISOFORM O', NULL, NULL, NULL, 15),
(106636, NULL, 'PTHR33400:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106637, NULL, 'PTHR11785:SF421', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(106638, NULL, 'PTHR33083:SF49', NULL, NULL, NULL, NULL, 'OS01G0748300 PROTEIN', NULL, NULL, NULL, 15),
(106639, NULL, 'PTHR46742:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106640, NULL, 'PTHR46537:SF7', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1B-RELATED', NULL, NULL, NULL, 15),
(106641, NULL, 'PTHR10174:SF216', NULL, NULL, NULL, NULL, 'FI02944P-RELATED', NULL, NULL, NULL, 15),
(106642, NULL, 'PTHR21596:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106643, NULL, 'PTHR33103:SF69', NULL, NULL, NULL, NULL, 'BNAA05G29230D PROTEIN', NULL, NULL, NULL, 15),
(106644, NULL, 'PTHR10961:SF40', NULL, NULL, NULL, NULL, 'SARCOSINE OXIDASE-RELATED', NULL, NULL, NULL, 15),
(106645, NULL, 'PTHR31100:SF79', NULL, NULL, NULL, NULL, 'BNAA06G19560D PROTEIN', NULL, NULL, NULL, 15),
(106646, NULL, 'PTHR23147:SF173', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(106647, NULL, 'PTHR33449:SF1', NULL, NULL, NULL, NULL, 'NUCLEOID-ASSOCIATED PROTEIN YBAB', NULL, NULL, NULL, 15),
(106648, NULL, 'PTHR32401:SF26', NULL, NULL, NULL, NULL, 'LECTIN 2', NULL, NULL, NULL, 15),
(106649, NULL, 'PTHR47156:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG15731', NULL, NULL, NULL, 15),
(106650, NULL, 'PTHR22959:SF1', NULL, NULL, NULL, NULL, 'BNAA09G35440D PROTEIN', NULL, NULL, NULL, 15),
(106651, NULL, 'PTHR24015:SF583', NULL, NULL, NULL, NULL, 'OS03G0849700 PROTEIN', NULL, NULL, NULL, 15),
(106652, NULL, 'PTHR21521', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(106653, NULL, 'PTHR31024:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106654, NULL, 'PTHR23065:SF14', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C AND CASEIN KINASE SUBSTRATE IN NEURONS PROTEIN 2', NULL, NULL, 23794, 15),
(106655, NULL, 'PTHR48057:SF6', NULL, NULL, NULL, NULL, 'VERTICILLIUM WILT DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(106656, NULL, 'PTHR46057:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106657, NULL, 'PTHR47986:SF10', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE TMK4', NULL, NULL, NULL, 15),
(106658, NULL, 'PTHR33108:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106659, NULL, 'PTHR45824', NULL, NULL, NULL, NULL, 'GH16843P', NULL, NULL, NULL, 15),
(106660, NULL, 'PTHR10057:SF0', NULL, NULL, NULL, NULL, 'TRANSLOCATOR PROTEIN', NULL, NULL, NULL, 15),
(106661, NULL, 'PTHR23122:SF35', NULL, NULL, NULL, NULL, 'MAGUK P55 SUBFAMILY MEMBER 2', NULL, NULL, NULL, 15),
(106662, NULL, 'PTHR48189:SF1', NULL, NULL, NULL, NULL, 'BNAANNG25290D PROTEIN', NULL, NULL, NULL, 15),
(106663, NULL, 'PTHR47587', NULL, NULL, NULL, NULL, 'OS05G0103500 PROTEIN', NULL, NULL, NULL, 15),
(106664, NULL, 'PTHR22427:SF10', NULL, NULL, NULL, NULL, 'SI:CH211-214C7.4', NULL, NULL, NULL, 15),
(106665, NULL, 'PTHR42996', NULL, NULL, NULL, NULL, 'PHOSPHATE-BINDING PROTEIN PSTS', NULL, NULL, NULL, 15),
(106666, NULL, 'PTHR31267:SF4', NULL, NULL, NULL, NULL, 'SIALOPHOSPHOPROTEIN-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106667, NULL, 'PTHR13040:SF2', NULL, NULL, NULL, NULL, 'AUTOPHAGY PROTEIN 5', NULL, NULL, NULL, 15),
(106668, NULL, 'PTHR45224:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106669, NULL, 'PTHR32212:SF331', NULL, NULL, NULL, NULL, 'BNAA02G08660D PROTEIN', NULL, NULL, NULL, 15),
(106670, NULL, 'PTHR11610:SF115', NULL, NULL, NULL, NULL, 'PANCREATIC TRIACYLGLYCEROL LIPASE', NULL, NULL, NULL, 15),
(106671, NULL, 'PTHR43519:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE HRPB', NULL, NULL, NULL, 15),
(106672, NULL, 'PTHR42825:SF15', NULL, NULL, NULL, NULL, 'AMINO ACID AMINOTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106673, NULL, 'PTHR11880:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106674, NULL, 'PTHR31326:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CLT3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(106675, NULL, 'PTHR23045:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106676, NULL, 'PTHR33155:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106677, NULL, 'PTHR45749:SF6', NULL, NULL, NULL, NULL, 'HAT DIMERIZATION DOMAIN-CONTAINING PROTEIN / TRANSPOSASE-RELATED', NULL, NULL, NULL, 15),
(106678, NULL, 'PTHR32141:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106679, NULL, 'PTHR21600:SF35', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(106680, NULL, 'PTHR27006:SF358', NULL, NULL, NULL, NULL, 'BNAC03G72920D PROTEIN', NULL, NULL, NULL, 15),
(106681, NULL, 'PTHR18945:SF391', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(106682, NULL, 'PTHR17605:SF0', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN BOP1', NULL, NULL, NULL, 15),
(106683, NULL, 'PTHR11024:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106684, NULL, 'PTHR23528:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106685, NULL, 'PTHR47640:SF25', NULL, NULL, NULL, NULL, 'OLIGOURIDYLATE-BINDING PROTEIN 1B-LIKE', NULL, NULL, NULL, 15),
(106686, NULL, 'PTHR46099:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106687, NULL, 'PTHR20914:SF19', NULL, NULL, NULL, NULL, 'NEUROMAST-EXPRESSED GPI-ANCHORED LYMPHOCYTE ANTIGEN 6', NULL, NULL, NULL, 15),
(106688, NULL, 'PTHR46543', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(106689, NULL, 'PTHR48063:SF36', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(106690, NULL, 'PTHR30055:SF154', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR RV3405C', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106691, NULL, 'PTHR43808:SF14', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106692, NULL, 'PTHR13826:SF16', NULL, NULL, NULL, NULL, 'TREFOIL FACTOR 3', NULL, NULL, NULL, 15),
(106693, NULL, 'PTHR15710:SF85', NULL, NULL, NULL, NULL, 'BNAA06G12930D PROTEIN', NULL, NULL, NULL, 15),
(106694, NULL, 'PTHR10630:SF3', NULL, NULL, NULL, NULL, 'MONOCYTE DIFFERENTIATION ANTIGEN CD14', NULL, NULL, NULL, 15),
(106695, NULL, 'PTHR40715', NULL, NULL, NULL, NULL, 'FAM231A/C-LIKE PROTEIN LOC102723383', NULL, NULL, 27322, 15),
(106696, NULL, 'PTHR31790:SF129', NULL, NULL, NULL, NULL, 'BNAA08G13430D PROTEIN', NULL, NULL, NULL, 15),
(106697, NULL, 'PTHR11958:SF55', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(106698, NULL, 'PTHR34355', NULL, NULL, NULL, NULL, 'JOSEPHIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106699, NULL, 'PTHR43808:SF22', NULL, NULL, NULL, NULL, 'SUCCINYL-DIAMINOPIMELATE DESUCCINYLASE DAPE-RELATED', NULL, NULL, NULL, 15),
(106700, NULL, 'PTHR35763:SF2', NULL, NULL, NULL, NULL, 'BNACNNG32740D PROTEIN', NULL, NULL, NULL, 15),
(106701, NULL, 'PTHR46163:SF2', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(106702, NULL, 'PTHR19306:SF7', NULL, NULL, NULL, NULL, 'SI:DKEY-119F1.1', NULL, NULL, NULL, 15),
(106703, NULL, 'PTHR23090:SF14', NULL, NULL, NULL, NULL, 'GLUTAMINE-DEPENDENT NAD(+) SYNTHETASE', NULL, NULL, NULL, 15),
(106704, NULL, 'PTHR17602:SF6', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(106705, NULL, 'PTHR11908:SF145', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106706, NULL, 'PTHR33138:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106707, NULL, 'PTHR34676:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106708, NULL, 'PTHR43952:SF50', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106709, NULL, 'PTHR38119:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106710, NULL, 'PTHR11654:SF483', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.10', NULL, NULL, NULL, 15),
(106711, NULL, 'PTHR31526:SF4', NULL, NULL, NULL, NULL, 'SOSS COMPLEX SUBUNIT C', NULL, NULL, NULL, 15),
(106712, NULL, 'PTHR42749:SF4', NULL, NULL, NULL, NULL, 'CELL SHAPE-DETERMINING PROTEIN MBL', NULL, NULL, NULL, 15),
(106713, NULL, 'PTHR16213', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(106714, NULL, 'PTHR46285:SF13', NULL, NULL, NULL, NULL, 'OS02G0167775 PROTEIN', NULL, NULL, NULL, 15),
(106715, NULL, 'PTHR11662:SF314', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', NULL, NULL, NULL, 15),
(106716, NULL, 'PTHR43019:SF21', NULL, NULL, NULL, NULL, 'OS05G0146100 PROTEIN', NULL, NULL, NULL, 15),
(106717, NULL, 'PTHR10188:SF8', NULL, NULL, NULL, NULL, 'THREONINE ASPARTASE 1', NULL, NULL, NULL, 15),
(106718, NULL, 'PTHR21580:SF52', NULL, NULL, NULL, NULL, 'SPERM-TAIL PG-RICH REPEAT-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(106719, NULL, 'PTHR47118', NULL, NULL, NULL, NULL, 'CYTOTOXIC AND REGULATORY T-CELL MOLECULE', NULL, NULL, NULL, 15),
(106720, NULL, 'PTHR10972:SF92', NULL, NULL, NULL, NULL, 'OXYSTEROL BINDING PROTEIN', NULL, NULL, NULL, 15),
(106721, NULL, 'PTHR33102:SF65', NULL, NULL, NULL, NULL, 'ROTUNDIFOLIA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106722, NULL, 'PTHR45974:SF107', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(106723, NULL, 'PTHR10019', NULL, NULL, NULL, NULL, 'SNF5', NULL, NULL, NULL, 15),
(106724, NULL, 'PTHR31639:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106725, NULL, 'PTHR11365:SF23', NULL, NULL, NULL, NULL, 'HYPOTHETICAL 5-OXOPROLINASE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(106726, NULL, 'PTHR45707:SF17', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(106727, NULL, 'PTHR31764', NULL, NULL, NULL, NULL, 'PROTEIN HAPLESS 2', NULL, NULL, 30069, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106728, NULL, 'PTHR19432:SF6', NULL, NULL, NULL, NULL, 'PROTON-ASSOCIATED SUGAR TRANSPORTER A', NULL, NULL, NULL, 15),
(106729, NULL, 'PTHR10511:SF3', NULL, NULL, NULL, NULL, 'INTERLEUKIN-6', NULL, NULL, 443, 15),
(106730, NULL, 'PTHR23235:SF100', NULL, NULL, NULL, NULL, 'DENDRITIC ARBOR REDUCTION PROTEIN 1', NULL, NULL, NULL, 15),
(106731, NULL, 'PTHR24031:SF663', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106732, NULL, 'PTHR30472:SF24', NULL, NULL, NULL, NULL, 'FERRIC ENTEROBACTIN TRANSPORT SYSTEM PERMEASE PROTEIN FEPG', NULL, NULL, NULL, 15),
(106733, NULL, 'PTHR31631:SF1', NULL, NULL, NULL, NULL, 'OS05G0466200 PROTEIN', NULL, NULL, NULL, 15),
(106734, NULL, 'PTHR45697:SF1', NULL, NULL, NULL, NULL, 'ADP RIBOSYLATION FACTOR-LIKE GTPASE 3, LIKE 1-RELATED', NULL, NULL, NULL, 15),
(106735, NULL, 'PTHR26312:SF126', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(106736, NULL, 'PTHR11875:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106737, NULL, 'PTHR46162:SF2', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(106738, NULL, 'PTHR21470:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(106739, NULL, 'PTHR44068:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106740, NULL, 'PTHR23262:SF185', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 9-2-RELATED', NULL, NULL, NULL, 15),
(106741, NULL, 'PTHR24252', NULL, NULL, NULL, NULL, 'ACROSIN-RELATED', NULL, NULL, NULL, 15),
(106742, NULL, 'PTHR21093:SF2', NULL, NULL, NULL, NULL, 'DIVERGENT PROTEIN KINASE DOMAIN 1C', NULL, NULL, NULL, 15),
(106743, NULL, 'PTHR31681:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106744, NULL, 'PTHR32044:SF80', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(106745, NULL, 'PTHR10009:SF14', NULL, NULL, NULL, NULL, 'PROTEIN YELLOW', NULL, NULL, 22736, 15),
(106746, NULL, 'PTHR43572:SF5', NULL, NULL, NULL, NULL, 'OS02G0537800 PROTEIN', NULL, NULL, NULL, 15),
(106747, NULL, 'PTHR11034:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106748, NULL, 'PTHR33346:SF31', NULL, NULL, NULL, NULL, 'DEHYDRIN COR47-LIKE', NULL, NULL, NULL, 15),
(106749, NULL, 'PTHR11352', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN', NULL, NULL, NULL, 15),
(106750, NULL, 'PTHR10948', NULL, NULL, NULL, NULL, 'TRANSPOSASE', NULL, NULL, NULL, 15),
(106751, NULL, 'PTHR24068:SF43', NULL, NULL, NULL, NULL, 'UBIQUITIN/ISG15-CONJUGATING ENZYME E2 L6', NULL, NULL, NULL, 15),
(106752, NULL, 'PTHR43082:SF1', NULL, NULL, NULL, NULL, 'FERREDOXIN-LIKE PROTEIN FIXX-RELATED', NULL, NULL, NULL, 15),
(106753, NULL, 'PTHR36121:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SXY', NULL, NULL, NULL, 15),
(106754, NULL, 'PTHR15907:SF147', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 7', NULL, NULL, NULL, 15),
(106755, NULL, 'PTHR48017:SF34', NULL, NULL, NULL, NULL, 'BNAA03G55040D PROTEIN', NULL, NULL, NULL, 15),
(106756, NULL, 'PTHR31182:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106757, NULL, 'PTHR37997', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN C1ORF162', NULL, NULL, 35098, 15),
(106758, NULL, 'PTHR23024:SF393', NULL, NULL, NULL, NULL, 'OS08G0547800 PROTEIN', NULL, NULL, NULL, 15),
(106759, NULL, 'PTHR45763:SF28', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(106760, NULL, 'PTHR47983:SF31', NULL, NULL, NULL, NULL, 'BNAC03G23580D PROTEIN', NULL, NULL, NULL, 15),
(106761, NULL, 'PTHR12320:SF57', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(106762, NULL, 'PTHR13280:SF16', NULL, NULL, NULL, NULL, 'PHOSPHOFURIN ACIDIC CLUSTER SORTING PROTEIN 1', NULL, NULL, NULL, 15),
(106763, NULL, 'PTHR24201:SF9', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 4 INHIBITOR C', NULL, NULL, NULL, 15),
(106764, NULL, 'PTHR31509:SF11', NULL, NULL, NULL, NULL, 'PLANT/F1M20-13 PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106765, NULL, 'PTHR48021:SF30', NULL, NULL, NULL, NULL, 'BNAA05G36140D PROTEIN', NULL, NULL, NULL, 15),
(106766, NULL, 'PTHR45817:SF10', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE-LIKE 5A-RELATED', NULL, NULL, NULL, 15),
(106767, NULL, 'PTHR10903:SF57', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(106768, NULL, 'PTHR33413:SF33', NULL, NULL, NULL, NULL, 'OS09G0381600 PROTEIN', NULL, NULL, NULL, 15),
(106769, NULL, 'PTHR37372:SF1', NULL, NULL, NULL, NULL, 'OS06G0316800 PROTEIN', NULL, NULL, NULL, 15),
(106770, NULL, 'PTHR34202', NULL, NULL, NULL, NULL, 'UPF0548 PROTEIN', NULL, NULL, NULL, 15),
(106771, NULL, 'PTHR24031:SF68', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX51', NULL, NULL, NULL, 15),
(106772, NULL, 'PTHR11247:SF57', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(106773, NULL, 'PTHR11863:SF141', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE GL1-7', NULL, NULL, NULL, 15),
(106774, NULL, 'PTHR31319:SF85', NULL, NULL, NULL, NULL, 'CCT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106775, NULL, 'PTHR27002:SF399', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 24', NULL, NULL, NULL, 15),
(106776, NULL, 'PTHR12242:SF39', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106777, NULL, 'PTHR12912:SF8', NULL, NULL, NULL, NULL, 'BARRIER-TO-AUTOINTEGRATION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106778, NULL, 'PTHR37209:SF8', NULL, NULL, NULL, NULL, 'BNAA09G42170D PROTEIN', NULL, NULL, NULL, 15),
(106779, NULL, 'PTHR37534:SF11', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(106780, NULL, 'PTHR31267:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106781, NULL, 'PTHR10492', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(106782, NULL, 'PTHR23501:SF102', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(106783, NULL, 'PTHR10796:SF90', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(106784, NULL, 'PTHR22192:SF16', NULL, NULL, NULL, NULL, 'SPERIOLIN', NULL, NULL, NULL, 15),
(106785, NULL, 'PTHR22945:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-33', NULL, NULL, NULL, 15),
(106786, NULL, 'PTHR45863:SF12', NULL, NULL, NULL, NULL, 'KINASE WITH TETRATRICOPEPTIDE REPEAT DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(106787, NULL, 'PTHR13301:SF170', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106788, NULL, 'PTHR32077:SF56', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(106789, NULL, 'PTHR42683:SF15', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 8D-RELATED', NULL, NULL, NULL, 15),
(106790, NULL, 'PTHR31332:SF0', NULL, NULL, NULL, NULL, '7-HYDROXYMETHYL CHLOROPHYLL A REDUCTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(106791, NULL, 'PTHR11219:SF69', NULL, NULL, NULL, NULL, 'TENEURIN-M', NULL, NULL, NULL, 15),
(106792, NULL, 'PTHR43262', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE', NULL, NULL, NULL, 15),
(106793, NULL, 'PTHR33021:SF165', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(106794, NULL, 'PTHR12770:SF27', NULL, NULL, NULL, NULL, 'PROTEIN ROOT UVB SENSITIVE 5', NULL, NULL, NULL, 15),
(106795, NULL, 'PTHR40387', NULL, NULL, NULL, NULL, 'PROTEIN FAM240B', NULL, NULL, 29527, 15),
(106796, NULL, 'PTHR12001:SF72', NULL, NULL, NULL, NULL, 'DIPHOSPHATE SYNTHASE, PUTATIVE (JCVI)-RELATED', NULL, NULL, NULL, 15),
(106797, NULL, 'PTHR10826:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106798, NULL, 'PTHR43574:SF18', NULL, NULL, NULL, NULL, 'GDP-D-MANNOSE-3,5-EPIMERASE', NULL, NULL, NULL, 15),
(106799, NULL, 'PTHR31983:SF12', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 81 PROTEIN', NULL, NULL, NULL, 15),
(106800, NULL, 'PTHR23253:SF10', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4 GAMMA 1', NULL, NULL, 36201, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106801, NULL, 'PTHR31221:SF226', NULL, NULL, NULL, NULL, 'BNAA09G55920D PROTEIN', NULL, NULL, NULL, 15),
(106802, NULL, 'PTHR22298:SF138', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(106803, NULL, 'PTHR46107:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106804, NULL, 'PTHR45764:SF39', NULL, NULL, NULL, NULL, 'BNAC06G01290D PROTEIN', NULL, NULL, NULL, 15),
(106805, NULL, 'PTHR11442:SF89', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT GAMMA-2', NULL, NULL, NULL, 15),
(106806, NULL, 'PTHR11062:SF210', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(106807, NULL, 'PTHR34775:SF2', NULL, NULL, NULL, NULL, 'OS01G0765500 PROTEIN', NULL, NULL, NULL, 15),
(106808, NULL, 'PTHR23022', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT-RELATED', NULL, NULL, NULL, 15),
(106809, NULL, 'PTHR37233', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(106810, NULL, 'PTHR22880:SF225', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(106811, NULL, 'PTHR14931', NULL, NULL, NULL, NULL, 'GENE 340-RELATED', NULL, NULL, 26347, 15),
(106812, NULL, 'PTHR24359:SF1', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE EPSILON SUBUNIT HOMOLOG 1', NULL, NULL, NULL, 15),
(106813, NULL, 'PTHR33427:SF2', NULL, NULL, NULL, NULL, 'TRICHOHYALIN', NULL, NULL, NULL, 15),
(106814, NULL, 'PTHR34550:SF4', NULL, NULL, NULL, NULL, 'BNAA09G43250D PROTEIN', NULL, NULL, NULL, 15),
(106815, NULL, 'PTHR22811:SF45', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(106816, NULL, 'PTHR31376:SF15', NULL, NULL, NULL, NULL, 'OS01G0504100 PROTEIN', NULL, NULL, NULL, 15),
(106817, NULL, 'PTHR11011:SF63', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 4-RELATED', NULL, NULL, NULL, 15),
(106818, NULL, 'PTHR31044:SF82', NULL, NULL, NULL, NULL, 'BNAC08G40080D PROTEIN', NULL, NULL, NULL, 15),
(106819, NULL, 'PTHR43180:SF33', NULL, NULL, NULL, NULL, 'CHANOCLAVINE-I DEHYDROGENASE EASD', NULL, NULL, NULL, 15),
(106820, NULL, 'PTHR33971:SF11', NULL, NULL, NULL, NULL, 'BNACNNG17950D PROTEIN', NULL, NULL, NULL, 15),
(106821, NULL, 'PTHR12904:SF20', NULL, NULL, NULL, NULL, 'PROTEIN ZYG-11 HOMOLOG A', NULL, NULL, NULL, 15),
(106822, NULL, 'PTHR22943:SF90', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(106823, NULL, 'PTHR33729', NULL, NULL, NULL, NULL, 'METHYL-CPG BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, 29451, 15),
(106824, NULL, 'PTHR47926:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106825, NULL, 'PTHR19964:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106826, NULL, 'PTHR43963:SF4', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE 1-RELATED', NULL, NULL, NULL, 15),
(106827, NULL, 'PTHR13370:SF26', NULL, NULL, NULL, NULL, 'BNAA02G28050D PROTEIN', NULL, NULL, NULL, 15),
(106828, NULL, 'PTHR27007:SF269', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN RECEPTOR KINASE IV.2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106829, NULL, 'PTHR24006:SF710', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 38', NULL, NULL, NULL, 15),
(106830, NULL, 'PTHR46807', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF3', NULL, NULL, 37716, 15),
(106831, NULL, 'PTHR24070:SF408', NULL, NULL, NULL, NULL, 'RAB FAMILY GTPASE', NULL, NULL, NULL, 15),
(106832, NULL, 'PTHR12128:SF61', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE SYNTHASE', NULL, NULL, NULL, 15),
(106833, NULL, 'PTHR33154:SF32', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(106834, NULL, 'PTHR13020:SF32', NULL, NULL, NULL, NULL, 'TRINUCLEOTIDE REPEAT-CONTAINING GENE 6B PROTEIN', NULL, NULL, 30635, 15),
(106835, NULL, 'PTHR24248:SF82', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13F1', NULL, NULL, NULL, 15),
(106836, NULL, 'PTHR46412:SF12', NULL, NULL, NULL, NULL, 'BNAA02G14220D PROTEIN', NULL, NULL, NULL, 15),
(106837, NULL, 'PTHR47966:SF31', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106838, NULL, 'PTHR21398:SF7', NULL, NULL, NULL, NULL, 'LP19941P', NULL, NULL, NULL, 15),
(106839, NULL, 'PTHR31286:SF60', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106840, NULL, 'PTHR31707:SF260', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106841, NULL, 'PTHR47933:SF25', NULL, NULL, NULL, NULL, 'EMP16', NULL, NULL, NULL, 15),
(106842, NULL, 'PTHR34839:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106843, NULL, 'PTHR11132:SF418', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106844, NULL, 'PTHR23107:SF22', NULL, NULL, NULL, NULL, 'SSXT FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106845, NULL, 'PTHR11485:SF20', NULL, NULL, NULL, NULL, 'INHIBITOR OF CARBONIC ANHYDRASE', NULL, NULL, 28913, 15),
(106846, NULL, 'PTHR45786:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106847, NULL, 'PTHR45686:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN 3', NULL, NULL, NULL, 15),
(106848, NULL, 'PTHR31636:SF149', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 27', NULL, NULL, NULL, 15),
(106849, NULL, 'PTHR14593:SF6', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(106850, NULL, 'PTHR45657:SF1', NULL, NULL, NULL, NULL, 'CRAL-TRIO DOMAIN-CONTAINING PROTEIN YKL091C-RELATED', NULL, NULL, NULL, 15),
(106851, NULL, 'PTHR24093:SF431', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(106852, NULL, 'PTHR31719:SF141', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 72', NULL, NULL, NULL, 15),
(106853, NULL, 'PTHR34121:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(106854, NULL, 'PTHR34673:SF1', NULL, NULL, NULL, NULL, 'COLD-REGULATED PROTEIN', NULL, NULL, NULL, 15),
(106855, NULL, 'PTHR35331:SF1', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN S', NULL, NULL, NULL, 15),
(106856, NULL, 'PTHR31718:SF37', NULL, NULL, NULL, NULL, 'BNAA03G55510D PROTEIN', NULL, NULL, NULL, 15),
(106857, NULL, 'PTHR11394:SF71', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 143', NULL, NULL, NULL, 15),
(106858, NULL, 'PTHR46397', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(106859, NULL, 'PTHR43874:SF117', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE PRR37', NULL, NULL, NULL, 15),
(106860, NULL, 'PTHR34072', NULL, NULL, NULL, NULL, 'ENZYMATIC POLYPROTEIN-RELATED', NULL, NULL, NULL, 15),
(106861, NULL, 'PTHR10460:SF30', NULL, NULL, NULL, NULL, 'PROTEIN ABIL2', NULL, NULL, NULL, 15),
(106862, NULL, 'PTHR15131:SF8', NULL, NULL, NULL, NULL, 'SNAPC (SMALL NUCLEAR RNA ACTIVATING COMPLEX) HOMOLOG', NULL, NULL, NULL, 15),
(106863, NULL, 'PTHR23219:SF12', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE B0280.11-RELATED', NULL, NULL, NULL, 15),
(106864, NULL, 'PTHR31549:SF189', NULL, NULL, NULL, NULL, 'OS05G0197900 PROTEIN', NULL, NULL, NULL, 15),
(106865, NULL, 'PTHR39414:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106866, NULL, 'PTHR31549:SF115', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(106867, NULL, 'PTHR12290:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 1', NULL, NULL, NULL, 15),
(106868, NULL, 'PTHR47993:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106869, NULL, 'PTHR10603:SF6', NULL, NULL, NULL, NULL, 'FRAGILE X MENTAL RETARDATION SYNDROME-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(106870, NULL, 'PTHR21496:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106871, NULL, 'PTHR31142:SF26', NULL, NULL, NULL, NULL, 'PLANT/F17J16-140 PROTEIN', NULL, NULL, NULL, 15),
(106872, NULL, 'PTHR24377:SF897', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 707', NULL, NULL, NULL, 15),
(106873, NULL, 'PTHR47958:SF97', NULL, NULL, NULL, NULL, 'BNACNNG05570D PROTEIN', NULL, NULL, NULL, 15),
(106874, NULL, 'PTHR44129', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106875, NULL, 'PTHR23257:SF601', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY13', NULL, NULL, NULL, 15),
(106876, NULL, 'PTHR15615:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106877, NULL, 'PTHR34056:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106878, NULL, 'PTHR24064:SF81', NULL, NULL, NULL, NULL, 'PROTEIN CBG24916', NULL, NULL, NULL, 15),
(106879, NULL, 'PTHR42776', NULL, NULL, NULL, NULL, 'SERINE PEPTIDASE S9 FAMILY MEMBER', NULL, NULL, NULL, 15),
(106880, NULL, 'PTHR23341:SF4', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN HMGI-C', NULL, NULL, NULL, 15),
(106881, NULL, 'PTHR11814:SF55', NULL, NULL, NULL, NULL, 'SODIUM-INDEPENDENT SULFATE ANION TRANSPORTER', NULL, NULL, NULL, 15),
(106882, NULL, 'PTHR43233', NULL, NULL, NULL, NULL, 'FAMILY N-ACETYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03350)-RELATED', NULL, NULL, NULL, 15),
(106883, NULL, 'PTHR16223:SF244', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(106884, NULL, 'PTHR12309', NULL, NULL, NULL, NULL, 'SEC61 GAMMA SUBUNIT', NULL, NULL, NULL, 15),
(106885, NULL, 'PTHR48017:SF30', NULL, NULL, NULL, NULL, 'LHT1', NULL, NULL, NULL, 15),
(106886, NULL, 'PTHR22699', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 16', NULL, NULL, 34118, 15),
(106887, NULL, 'PTHR22298:SF128', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 10', NULL, NULL, NULL, 15),
(106888, NULL, 'PTHR22916:SF63', NULL, NULL, NULL, NULL, 'GLYCOSIDE TRANSFERASE FAMILY 2', NULL, NULL, NULL, 15),
(106889, NULL, 'PTHR33333:SF6', NULL, NULL, NULL, NULL, 'OS07G0605400 PROTEIN', NULL, NULL, NULL, 15),
(106890, NULL, 'PTHR18959', NULL, NULL, NULL, NULL, 'CALPONIN/TRANSGELIN', NULL, NULL, NULL, 15),
(106891, NULL, 'PTHR35997:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106892, NULL, 'PTHR19325:SF530', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106893, NULL, 'PTHR40658:SF4', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(106894, NULL, 'PTHR39077:SF2', NULL, NULL, NULL, NULL, 'AGAP009864-PA', NULL, NULL, NULL, 15),
(106895, NULL, 'PTHR47512:SF2', NULL, NULL, NULL, NULL, 'ISOMERASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106896, NULL, 'PTHR31741:SF6', NULL, NULL, NULL, NULL, 'PROTEIN EMBRYO SAC DEVELOPMENT ARREST 30', NULL, NULL, NULL, 15),
(106897, NULL, 'PTHR48234:SF1', NULL, NULL, NULL, NULL, 'GH09231P', NULL, NULL, NULL, 15),
(106898, NULL, 'PTHR31080:SF95', NULL, NULL, NULL, NULL, 'INVERTASE INHIBITOR-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106899, NULL, 'PTHR11675:SF36', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 15', NULL, NULL, NULL, 15),
(106900, NULL, 'PTHR48081:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106901, NULL, 'PTHR19134:SF208', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE T', NULL, NULL, NULL, 15),
(106902, NULL, 'PTHR21346:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106903, NULL, 'PTHR43490:SF99', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE/REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00840)-RELATED', NULL, NULL, NULL, 15),
(106904, NULL, 'PTHR30477:SF19', NULL, NULL, NULL, NULL, 'ABC-TYPE ZINC UPTAKE SYSTEM PERMEASE COMPONENT ZNUB', NULL, NULL, NULL, 15),
(106905, NULL, 'PTHR16043', NULL, NULL, NULL, NULL, 'DALRD3 PROTEIN', NULL, NULL, 31815, 15),
(106906, NULL, 'PTHR45662:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC6', NULL, NULL, 27759, 15),
(106907, NULL, 'PTHR10593:SF193', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GAI-ASSOCIATED FACTOR 1', NULL, NULL, NULL, 15),
(106908, NULL, 'PTHR18966:SF407', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, NMDA 2A', NULL, NULL, NULL, 15),
(106909, NULL, 'PTHR24204:SF4', NULL, NULL, NULL, NULL, 'INSULIN GENE ENHANCER PROTEIN ISL-1', NULL, NULL, NULL, 15),
(106910, NULL, 'PTHR32268:SF14', NULL, NULL, NULL, NULL, 'HOMOSERINE O-ACETYLTRANSFERASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106911, NULL, 'PTHR32134:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106912, NULL, 'PTHR43240:SF18', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-2-NAPHTHOYL-COA THIOESTERASE 1 ISOFORM X1', NULL, NULL, NULL, 15),
(106913, NULL, 'PTHR48083:SF21', NULL, NULL, NULL, NULL, 'ACYL COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(106914, NULL, 'PTHR32063:SF24', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM (ACRB/ACRD/ACRF FAMILY)', NULL, NULL, NULL, 15),
(106915, NULL, 'PTHR31194:SF107', NULL, NULL, NULL, NULL, 'BNAA01G13420D PROTEIN', NULL, NULL, NULL, 15),
(106916, NULL, 'PTHR31235:SF39', NULL, NULL, NULL, NULL, 'PEROXIDASE 39', NULL, NULL, NULL, 15),
(106917, NULL, 'PTHR27005:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106918, NULL, 'PTHR12388:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT PAM16 LIKE 1', NULL, NULL, NULL, 15),
(106919, NULL, 'PTHR43874:SF92', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR28', NULL, NULL, NULL, 15),
(106920, NULL, 'PTHR37531', NULL, NULL, NULL, NULL, 'HEME EXPORTER PROTEIN D', NULL, NULL, NULL, 15),
(106921, NULL, 'PTHR15893:SF9', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L27-LIKE', NULL, NULL, NULL, 15),
(106922, NULL, 'PTHR24349:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106923, NULL, 'PTHR31920:SF56', NULL, NULL, NULL, NULL, 'BNAA03G52800D PROTEIN', NULL, NULL, NULL, 15),
(106924, NULL, 'PTHR13812', NULL, NULL, NULL, NULL, 'KETIMINE REDUCTASE MU-CRYSTALLIN', NULL, NULL, 5518, 15),
(106925, NULL, 'PTHR11802:SF70', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(106926, NULL, 'PTHR10108:SF763', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT13-RELATED', NULL, NULL, NULL, 15),
(106927, NULL, 'PTHR33181:SF47', NULL, NULL, NULL, NULL, 'BNAA02G36690D PROTEIN', NULL, NULL, NULL, 15),
(106928, NULL, 'PTHR35261:SF1', NULL, NULL, NULL, NULL, 'ORGANELLAR PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(106929, NULL, 'PTHR12906:SF3', NULL, NULL, NULL, NULL, 'BNAC04G15250D PROTEIN', NULL, NULL, NULL, 15),
(106930, NULL, 'PTHR11559:SF397', NULL, NULL, NULL, NULL, 'ACETYLCHOLINESTERASE', NULL, NULL, NULL, 15),
(106931, NULL, 'PTHR12790:SF2', NULL, NULL, NULL, NULL, 'BNAA05G09100D PROTEIN', NULL, NULL, NULL, 15),
(106932, NULL, 'PTHR31444:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106933, NULL, 'PTHR10687:SF68', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(106934, NULL, 'PTHR11639:SF126', NULL, NULL, NULL, NULL, 'S100 CALCIUM-BINDING PROTEIN W', NULL, NULL, NULL, 15),
(106935, NULL, 'PTHR11477:SF30', NULL, NULL, NULL, NULL, 'SPOC DOMAIN / TRANSCRIPTION ELONGATION FACTOR S-II PROTEIN', NULL, NULL, NULL, 15),
(106936, NULL, 'PTHR31901:SF74', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6-LIKE', NULL, NULL, NULL, 15),
(106937, NULL, 'PTHR21502:SF4', NULL, NULL, NULL, NULL, 'RILP-LIKE PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(106938, NULL, 'PTHR37861:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH ACIDIC PROTEIN 1', NULL, NULL, NULL, 15),
(106939, NULL, 'PTHR32021:SF37', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106940, NULL, 'PTHR13018:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106941, NULL, 'PTHR46899', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 27', NULL, NULL, NULL, 15),
(106942, NULL, 'PTHR11346:SF149', NULL, NULL, NULL, NULL, '32 KDA BETA-GALACTOSIDE-BINDING LECTIN LEC-3-RELATED', NULL, NULL, NULL, 15),
(106943, NULL, 'PTHR19971:SF13', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE SUBSTRATE 1', NULL, NULL, NULL, 15),
(106944, NULL, 'PTHR43598:SF5', NULL, NULL, NULL, NULL, 'TUNGSTEN-CONTAINING FORMYLMETHANOFURAN DEHYDROGENASE 2 SUBUNIT B', NULL, NULL, NULL, 15),
(106945, NULL, 'PTHR46991:SF7', NULL, NULL, NULL, NULL, 'HEAT SHOCK 22 KDA PROTEIN, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106946, NULL, 'PTHR47827', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106947, NULL, 'PTHR33085:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106948, NULL, 'PTHR45687:SF28', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP-TYPE PTOM75-RELATED', NULL, NULL, NULL, 15),
(106949, NULL, 'PTHR10705:SF0', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT DAD1', NULL, NULL, NULL, 15),
(106950, NULL, 'PTHR45839:SF15', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', NULL, NULL, NULL, 15),
(106951, NULL, 'PTHR11931:SF16', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE/BISPHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(106952, NULL, 'PTHR22920', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(106953, NULL, 'PTHR10357:SF179', NULL, NULL, NULL, NULL, 'NEUTRAL AND BASIC AMINO ACID TRANSPORT PROTEIN RBAT', NULL, NULL, NULL, 15),
(106954, NULL, 'PTHR38819:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 20A-RELATED', NULL, NULL, NULL, 15),
(106955, NULL, 'PTHR10663:SF370', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106956, NULL, 'PTHR31589:SF122', NULL, NULL, NULL, NULL, 'BNAC02G33500D PROTEIN', NULL, NULL, NULL, 15),
(106957, NULL, 'PTHR12463:SF0', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB HOMOLOG 4', NULL, NULL, NULL, 15),
(106958, NULL, 'PTHR46641:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG24474', NULL, NULL, NULL, 15),
(106959, NULL, 'PTHR11079:SF175', NULL, NULL, NULL, NULL, 'CMP/DCMP DEAMINASE, ZINC-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(106960, NULL, 'PTHR31065:SF71', NULL, NULL, NULL, NULL, 'OS02G0172800 PROTEIN', NULL, NULL, NULL, 15),
(106961, NULL, 'PTHR14237:SF76', NULL, NULL, NULL, NULL, 'OS03G0765800 PROTEIN', NULL, NULL, NULL, 15),
(106962, NULL, 'PTHR23074:SF155', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A1', NULL, NULL, NULL, 15),
(106963, NULL, 'PTHR28196:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN NET1-RELATED', NULL, NULL, NULL, 15),
(106964, NULL, 'PTHR24189:SF50', NULL, NULL, NULL, NULL, 'MYOTROPHIN', NULL, NULL, NULL, 15),
(106965, NULL, 'PTHR11205:SF44', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(106966, NULL, 'PTHR23024:SF440', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 12-RELATED', NULL, NULL, NULL, 15),
(106967, NULL, 'PTHR33133:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106968, NULL, 'PTHR27002:SF796', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 41', NULL, NULL, NULL, 15),
(106969, NULL, 'PTHR11817:SF63', NULL, NULL, NULL, NULL, 'PLASTIDIAL PYRUVATE KINASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(106970, NULL, 'PTHR31650:SF52', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE, WSD1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106971, NULL, 'PTHR31734:SF112', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(106972, NULL, 'PTHR11216:SF151', NULL, NULL, NULL, NULL, 'BNAC05G31740D PROTEIN', NULL, NULL, NULL, 15),
(106973, NULL, 'PTHR31972:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(106974, NULL, 'PTHR46729:SF1', NULL, NULL, NULL, NULL, 'LEUKOCYTE RECEPTOR CLUSTER MEMBER 9', NULL, NULL, NULL, 15),
(106975, NULL, 'PTHR31948:SF88', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 13', NULL, NULL, NULL, 15),
(106976, NULL, 'PTHR43900:SF37', NULL, NULL, NULL, NULL, 'S-TRANSFERASE 7, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(106977, NULL, 'PTHR43409', NULL, NULL, NULL, NULL, 'ANAEROBIC MAGNESIUM-PROTOPORPHYRIN IX MONOMETHYL ESTER CYCLASE-RELATED', NULL, NULL, NULL, 15),
(106978, NULL, 'PTHR22923:SF71', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT 1, Q SUBCOMPONENT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(106979, NULL, 'PTHR12610', NULL, NULL, NULL, NULL, 'SINGLE STRANDED DNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(106980, NULL, 'PTHR47968:SF31', NULL, NULL, NULL, NULL, 'KINESIN FAMILY MEMBER 5A', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(106981, NULL, 'PTHR11654:SF488', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.1', NULL, NULL, NULL, 15),
(106982, NULL, 'PTHR33351', NULL, NULL, NULL, NULL, 'HISACTOPHILIN-1-RELATED', NULL, NULL, NULL, 15),
(106983, NULL, 'PTHR11929:SF221', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(106984, NULL, 'PTHR33285:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106985, NULL, 'PTHR48000:SF2', NULL, NULL, NULL, NULL, 'BLIND-LIKE', NULL, NULL, NULL, 15),
(106986, NULL, 'PTHR31848', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 22599, 15),
(106987, NULL, 'PTHR24184:SF6', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SAM DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(106988, NULL, 'PTHR48041:SF91', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 28', NULL, NULL, NULL, 15),
(106989, NULL, 'PTHR10529:SF355', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT MU-2', NULL, NULL, NULL, 15),
(106990, NULL, 'PTHR21562:SF78', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(106991, NULL, 'PTHR12999:SF18', NULL, NULL, NULL, NULL, 'BNAA08G29860D PROTEIN', NULL, NULL, NULL, 15),
(106992, NULL, 'PTHR24248:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(106993, NULL, 'PTHR14226:SF44', NULL, NULL, NULL, NULL, 'LIPASE 3', NULL, NULL, NULL, 15),
(106994, NULL, 'PTHR43706:SF34', NULL, NULL, NULL, NULL, 'EXTERNAL ALTERNATIVE NAD(P)H-UBIQUINONE OXIDOREDUCTASE B1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(106995, NULL, 'PTHR24260:SF115', NULL, NULL, NULL, NULL, 'FI17609P1-RELATED', NULL, NULL, NULL, 15),
(106996, NULL, 'PTHR48056:SF18', NULL, NULL, NULL, NULL, 'SYSTEMIN RECEPTOR SR160', NULL, NULL, NULL, 15),
(106997, NULL, 'PTHR23192:SF36', NULL, NULL, NULL, NULL, 'NOELIN-3', NULL, NULL, 27244, 15),
(106998, NULL, 'PTHR36399:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(106999, NULL, 'PTHR43307', NULL, NULL, NULL, NULL, 'DECARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04980)-RELATED', NULL, NULL, NULL, 15),
(107000, NULL, 'PTHR43814:SF4', NULL, NULL, NULL, NULL, 'ARGININOSUCCINATE LYASE', NULL, NULL, NULL, 15),
(107001, NULL, 'PTHR11991:SF13', NULL, NULL, NULL, NULL, 'TRANSLATIONALLY-CONTROLLED TUMOR PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(107002, NULL, 'PTHR33736:SF13', NULL, NULL, NULL, NULL, 'OS12G0156500 PROTEIN', NULL, NULL, NULL, 15),
(107003, NULL, 'PTHR42813:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03930)-RELATED', NULL, NULL, NULL, 15),
(107004, NULL, 'PTHR30566', NULL, NULL, NULL, NULL, 'YNAI-RELATED MECHANOSENSITIVE ION CHANNEL', NULL, NULL, NULL, 15),
(107005, NULL, 'PTHR24298:SF743', NULL, NULL, NULL, NULL, '3,9-DIHYDROXYPTEROCARPAN 6A-MONOOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(107006, NULL, 'PTHR33450:SF1', NULL, NULL, NULL, NULL, 'OS08G0539200 PROTEIN', NULL, NULL, NULL, 15),
(107007, NULL, 'PTHR13194', NULL, NULL, NULL, NULL, 'COMPLEX I INTERMEDIATE-ASSOCIATED PROTEIN 30', NULL, NULL, 30234, 15),
(107008, NULL, 'PTHR33163:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107009, NULL, 'PTHR33784', NULL, NULL, NULL, NULL, 'OS05G0482100 PROTEIN', NULL, NULL, 30463, 15),
(107010, NULL, 'PTHR14186:SF16', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN-LIKE 1', NULL, NULL, NULL, 15),
(107011, NULL, 'PTHR47993:SF133', NULL, NULL, NULL, NULL, 'BNAC03G34190D PROTEIN', NULL, NULL, NULL, 15),
(107012, NULL, 'PTHR32100:SF70', NULL, NULL, NULL, NULL, 'OMEGA-3 FATTY ACID DESATURASE', NULL, NULL, NULL, 15),
(107013, NULL, 'PTHR43329:SF59', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 2', NULL, NULL, NULL, 15),
(107014, NULL, 'PTHR10795:SF618', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.5', NULL, NULL, NULL, 15),
(107015, NULL, 'PTHR45736:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER MYM-TYPE PROTEIN 6', NULL, NULL, NULL, 15),
(107016, NULL, 'PTHR31213:SF81', NULL, NULL, NULL, NULL, 'MAJOR ALLERGEN PRU AR 1 ISOFORM 1', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107017, NULL, 'PTHR33768', NULL, NULL, NULL, NULL, 'MIP11318P', NULL, NULL, 33218, 15),
(107018, NULL, 'PTHR43829:SF20', NULL, NULL, NULL, NULL, 'AQUAPORIN-10A', NULL, NULL, NULL, 15),
(107019, NULL, 'PTHR36181:SF2', NULL, NULL, NULL, NULL, 'INTRON-ENCODED ENDONUCLEASE AI3-RELATED', NULL, NULL, NULL, 15),
(107020, NULL, 'PTHR36549:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107021, NULL, 'PTHR48060:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107022, NULL, 'PTHR46600:SF2', NULL, NULL, NULL, NULL, 'SI:CH73-382F3.1', NULL, NULL, NULL, 15),
(107023, NULL, 'PTHR24418:SF417', NULL, NULL, NULL, NULL, 'AGAP006960-PA', NULL, NULL, NULL, 15),
(107024, NULL, 'PTHR23061:SF12', NULL, NULL, NULL, NULL, 'DNA POLYMERASE ALPHA SUBUNIT B', NULL, NULL, NULL, 15),
(107025, NULL, 'PTHR31283:SF12', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT LAGE3', NULL, NULL, NULL, 15),
(107026, NULL, 'PTHR32370:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107027, NULL, 'PTHR23186:SF2', NULL, NULL, NULL, NULL, 'SINE OCULIS-BINDING PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(107028, NULL, 'PTHR13439:SF58', NULL, NULL, NULL, NULL, 'BNAA05G12830D PROTEIN', NULL, NULL, NULL, 15),
(107029, NULL, 'PTHR46955:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG18983', NULL, NULL, NULL, 15),
(107030, NULL, 'PTHR10903:SF157', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST 120, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(107031, NULL, 'PTHR10155', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(107032, NULL, 'PTHR32099:SF29', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 8', NULL, NULL, NULL, 15),
(107033, NULL, 'PTHR22166:SF13', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM JUNCTION FORMATION PROTEIN LUNAPARK-A', NULL, NULL, NULL, 15),
(107034, NULL, 'PTHR47984:SF16', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE', NULL, NULL, NULL, 15),
(107035, NULL, 'PTHR13069:SF32', NULL, NULL, NULL, NULL, 'ALKYLATED DNA REPAIR PROTEIN ALKB HOMOLOG 8 ISOFORM X1', NULL, NULL, NULL, 15),
(107036, NULL, 'PTHR48016:SF5', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 5', NULL, NULL, NULL, 15),
(107037, NULL, 'PTHR33802:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107038, NULL, 'PTHR11360:SF26', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 3', NULL, NULL, 21935, 15),
(107039, NULL, 'PTHR24228:SF33', NULL, NULL, NULL, NULL, 'BRADYKININ RECEPTOR B1', NULL, NULL, NULL, 15),
(107040, NULL, 'PTHR16518:SF4', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 153', NULL, NULL, NULL, 15),
(107041, NULL, 'PTHR12287:SF24', NULL, NULL, NULL, NULL, 'EPS8-LIKE 1B', NULL, NULL, NULL, 15),
(107042, NULL, 'PTHR31082:SF4', NULL, NULL, NULL, NULL, 'PHEROMONE-REGULATED MEMBRANE PROTEIN 10', NULL, NULL, NULL, 15),
(107043, NULL, 'PTHR31386', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN KIAA2013', NULL, NULL, 19100, 15),
(107044, NULL, 'PTHR15032:SF27', NULL, NULL, NULL, NULL, 'N-ACYL-PHOSPHATIDYLETHANOLAMINE-HYDROLYZING PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(107045, NULL, 'PTHR37441', NULL, NULL, NULL, NULL, 'PROTEIN CBG16518', NULL, NULL, 30833, 15),
(107046, NULL, 'PTHR46308:SF1', NULL, NULL, NULL, NULL, 'MATH (MEPRIN-ASSOCIATED TRAF HOMOLOGY) DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(107047, NULL, 'PTHR32100:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107048, NULL, 'PTHR23073:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG11069', NULL, NULL, NULL, 15),
(107049, NULL, 'PTHR48055:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107050, NULL, 'PTHR31734:SF88', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA9', NULL, NULL, NULL, 15),
(107051, NULL, 'PTHR10426:SF84', NULL, NULL, NULL, NULL, 'BNAC09G36580D PROTEIN', NULL, NULL, NULL, 15),
(107052, NULL, 'PTHR24274:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 161', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107053, NULL, 'PTHR47924:SF21', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(107054, NULL, 'PTHR34538:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107055, NULL, 'PTHR23058:SF14', NULL, NULL, NULL, NULL, 'OS01G0107000 PROTEIN', NULL, NULL, NULL, 15),
(107056, NULL, 'PTHR24062:SF61', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(107057, NULL, 'PTHR11801:SF48', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION 6', NULL, NULL, NULL, 15),
(107058, NULL, 'PTHR10209:SF715', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107059, NULL, 'PTHR10288:SF173', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING PROTEIN HEN4', NULL, NULL, NULL, 15),
(107060, NULL, 'PTHR43273', NULL, NULL, NULL, NULL, 'ANAEROBIC SULFATASE-MATURATING ENZYME HOMOLOG ASLB-RELATED', NULL, NULL, 17360, 15),
(107061, NULL, 'PTHR36586:SF17', NULL, NULL, NULL, NULL, 'EXTENSIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107062, NULL, 'PTHR31375:SF137', NULL, NULL, NULL, NULL, 'NTS1 PROTEIN', NULL, NULL, NULL, 15),
(107063, NULL, 'PTHR45707:SF9', NULL, NULL, NULL, NULL, 'FT-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(107064, NULL, 'PTHR45868:SF9', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE (CCH)-RELATED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(107065, NULL, 'PTHR10948:SF23', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSI FOR INSERTION SEQUENCE ELEMENT IS30A-RELATED', NULL, NULL, NULL, 15),
(107066, NULL, 'PTHR45988:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER (C2H2 TYPE) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107067, NULL, 'PTHR39385:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG20422', NULL, NULL, NULL, 15),
(107068, NULL, 'PTHR20872', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(107069, NULL, 'PTHR10334:SF494', NULL, NULL, NULL, NULL, 'GLIPR1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(107070, NULL, 'PTHR28546:SF2', NULL, NULL, NULL, NULL, 'NEURONAL VESICLE TRAFFICKING-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(107071, NULL, 'PTHR11394:SF48', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 30', NULL, NULL, NULL, 15),
(107072, NULL, 'PTHR36023:SF4', NULL, NULL, NULL, NULL, 'ARGOS4', NULL, NULL, NULL, 15),
(107073, NULL, 'PTHR14240', NULL, NULL, NULL, NULL, 'RETINITIS PIGMENTOSA GTPASE REGULATOR-INTERACTING PROTEIN', NULL, NULL, 23505, 15),
(107074, NULL, 'PTHR31734:SF31', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA7', NULL, NULL, NULL, 15),
(107075, NULL, 'PTHR48047:SF54', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(107076, NULL, 'PTHR11062:SF266', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE MUR3', NULL, NULL, NULL, 15),
(107077, NULL, 'PTHR24082:SF464', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR', NULL, NULL, NULL, 15),
(107078, NULL, 'PTHR37389:SF19', NULL, NULL, NULL, NULL, 'BNAA04G17930D PROTEIN', NULL, NULL, NULL, 15),
(107079, NULL, 'PTHR45868:SF53', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107080, NULL, 'PTHR47293:SF60', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 1-LIKE', NULL, NULL, NULL, 15),
(107081, NULL, 'PTHR33788:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107082, NULL, 'PTHR37705:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107083, NULL, 'PTHR21319:SF38', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MIEL1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(107084, NULL, 'PTHR47998:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TT2', NULL, NULL, NULL, 15),
(107085, NULL, 'PTHR34630:SF42', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107086, NULL, 'PTHR46537', NULL, NULL, NULL, NULL, 'OS11G0578200 PROTEIN', NULL, NULL, 36919, 15),
(107087, NULL, 'PTHR45863:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK2', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107088, NULL, 'PTHR48070:SF7', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G01310)-RELATED', NULL, NULL, NULL, 15),
(107089, NULL, 'PTHR23226:SF52', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 16', NULL, NULL, NULL, 15),
(107090, NULL, 'PTHR30024', NULL, NULL, NULL, NULL, 'ALIPHATIC SULFONATES-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107091, NULL, 'PTHR45968:SF27', NULL, NULL, NULL, NULL, 'BNAA02G16200D PROTEIN', NULL, NULL, NULL, 15),
(107092, NULL, 'PTHR43085:SF22', NULL, NULL, NULL, NULL, 'FRUCTOKINASE', NULL, NULL, NULL, 15),
(107093, NULL, 'PTHR11584', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(107094, NULL, 'PTHR15963:SF3', NULL, NULL, NULL, NULL, 'GENERAL RECEPTOR FOR PHOSPHOINOSITIDES 1-ASSOCIATED SCAFFOLD PROTEIN', NULL, NULL, NULL, 15),
(107095, NULL, 'PTHR11654:SF334', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 1.2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(107096, NULL, 'PTHR30363:SF55', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ULAR', NULL, NULL, NULL, 15),
(107097, NULL, 'PTHR23348:SF43', NULL, NULL, NULL, NULL, 'SI:CH211-125O16.4', NULL, NULL, NULL, 15),
(107098, NULL, 'PTHR23201:SF95', NULL, NULL, NULL, NULL, 'GAST1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107099, NULL, 'PTHR32467:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107100, NULL, 'PTHR47925:SF35', NULL, NULL, NULL, NULL, 'BNAA05G08880D PROTEIN', NULL, NULL, NULL, 15),
(107101, NULL, 'PTHR12802:SF116', NULL, NULL, NULL, NULL, 'OS02G0680700 PROTEIN', NULL, NULL, NULL, 15),
(107102, NULL, 'PTHR46394:SF1', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(107103, NULL, 'PTHR31376:SF17', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 21-RELATED', NULL, NULL, NULL, 15),
(107104, NULL, 'PTHR23155:SF906', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(107105, NULL, 'PTHR10166', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL SUBUNIT ALPHA-2/DELTA-RELATED', NULL, NULL, NULL, 15),
(107106, NULL, 'PTHR31942:SF54', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 13', NULL, NULL, NULL, 15),
(107107, NULL, 'PTHR10791:SF124', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(107108, NULL, 'PTHR12815:SF36', NULL, NULL, NULL, NULL, 'OS11G0116500 PROTEIN', NULL, NULL, NULL, 15),
(107109, NULL, 'PTHR42923:SF26', NULL, NULL, NULL, NULL, 'FMN REDUCTASE LOT6, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06600)-RELATED', NULL, NULL, NULL, 15),
(107110, NULL, 'PTHR43880:SF8', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 7B', NULL, NULL, NULL, 15),
(107111, NULL, 'PTHR12277:SF174', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN-CONTAINING 17AA', NULL, NULL, NULL, 15),
(107112, NULL, 'PTHR25462:SF272', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 45', NULL, NULL, NULL, 15),
(107113, NULL, 'PTHR23502:SF152', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G05350)-RELATED', NULL, NULL, NULL, 15),
(107114, NULL, 'PTHR10553:SF18', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', NULL, NULL, NULL, 15),
(107115, NULL, 'PTHR11937:SF476', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(107116, NULL, 'PTHR23429:SF9', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE', NULL, NULL, NULL, 15),
(107117, NULL, 'PTHR16322', NULL, NULL, NULL, NULL, 'PHOSPHOPROTEIN ASSOCIATED WITH GLYCOSPHINGOLIPID-ENRICHED MICRODOMAINS 1', NULL, NULL, 22585, 15),
(107118, NULL, 'PTHR33938:SF15', NULL, NULL, NULL, NULL, 'FERULOYL ESTERASE B-RELATED', NULL, NULL, NULL, 15),
(107119, NULL, 'PTHR18929:SF93', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE A2', NULL, NULL, NULL, 15),
(107120, NULL, 'PTHR12300:SF149', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN', NULL, NULL, NULL, 15),
(107121, NULL, 'PTHR43416:SF25', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYL CARRIER PROTEIN OF ACETYL-COA CARBOXYLASE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107122, NULL, 'PTHR11850:SF321', NULL, NULL, NULL, NULL, 'CLASS II KNOTTED-LIKE HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(107123, NULL, 'PTHR11780', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE FLAVOPROTEIN 1  NDUFV1', NULL, NULL, NULL, 15),
(107124, NULL, 'PTHR10666:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107125, NULL, 'PTHR11581:SF23', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', NULL, NULL, NULL, 15),
(107126, NULL, 'PTHR33743:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107127, NULL, 'PTHR31636:SF249', NULL, NULL, NULL, NULL, 'BNAA02G10830D PROTEIN', NULL, NULL, 22771, 15),
(107128, NULL, 'PTHR10108:SF1133', NULL, NULL, NULL, NULL, 'BNAC03G63040D PROTEIN', NULL, NULL, NULL, 15),
(107129, NULL, 'PTHR33697:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107130, NULL, 'PTHR24388:SF55', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 143', NULL, NULL, NULL, 15),
(107131, NULL, 'PTHR33673:SF14', NULL, NULL, NULL, NULL, 'HOMEOBOX-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107132, NULL, 'PTHR32178:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107133, NULL, 'PTHR21567:SF73', NULL, NULL, NULL, NULL, 'CLIP-ASSOCIATED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(107134, NULL, 'PTHR30600:SF11', NULL, NULL, NULL, NULL, 'METHYLAMINE UTILIZATION PROTEIN', NULL, NULL, NULL, 15),
(107135, NULL, 'PTHR31232:SF102', NULL, NULL, NULL, NULL, 'BNAC09G51380D PROTEIN', NULL, NULL, NULL, 15),
(107136, NULL, 'PTHR27001:SF584', NULL, NULL, NULL, NULL, 'OS08G0285600 PROTEIN', NULL, NULL, NULL, 15),
(107137, NULL, 'PTHR45939:SF5', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PMP34', NULL, NULL, NULL, 15),
(107138, NULL, 'PTHR33057:SF98', NULL, NULL, NULL, NULL, 'OVATE TRANSCRIPTIONAL REPRESSOR', NULL, NULL, NULL, 15),
(107139, NULL, 'PTHR24637:SF238', NULL, NULL, NULL, NULL, 'BLISTERED CUTICLE', NULL, NULL, NULL, 15),
(107140, NULL, 'PTHR15044', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE FF', NULL, NULL, 5335, 15),
(107141, NULL, 'PTHR11124:SF23', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE YSNB-RELATED', NULL, NULL, NULL, 15),
(107142, NULL, 'PTHR48018:SF117', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(107143, NULL, 'PTHR32018:SF32', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107144, NULL, 'PTHR32133:SF260', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107145, NULL, 'PTHR24340:SF41', NULL, NULL, NULL, NULL, 'MUSCLE-SPECIFIC HOMEOBOX PROTEIN TINMAN-RELATED', NULL, NULL, NULL, 15),
(107146, NULL, 'PTHR11709:SF359', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(107147, NULL, 'PTHR24072:SF143', NULL, NULL, NULL, NULL, 'RHO-RELATED PROTEIN RACE', NULL, NULL, NULL, 15),
(107148, NULL, 'PTHR40710', NULL, NULL, NULL, NULL, 'RIKEN CDNA E230025N22 GENE', NULL, NULL, NULL, 15),
(107149, NULL, 'PTHR31314:SF51', NULL, NULL, NULL, NULL, 'PROTEIN PHR1-LIKE 1-LIKE', NULL, NULL, NULL, 15),
(107150, NULL, 'PTHR23115:SF264', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107151, NULL, 'PTHR47992:SF130', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PHOSPHATASE FAMILY, 2C DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(107152, NULL, 'PTHR42884:SF4', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.5', NULL, NULL, NULL, 15),
(107153, NULL, 'PTHR24208:SF95', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX9', NULL, NULL, NULL, 15),
(107154, NULL, 'PTHR20371:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107155, NULL, 'PTHR32227:SF355', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(107156, NULL, 'PTHR33640:SF24', NULL, NULL, NULL, NULL, 'BNAA09G27820D PROTEIN', NULL, NULL, NULL, 15),
(107157, NULL, 'PTHR47286:SF5', NULL, NULL, NULL, NULL, 'NEUROFILAMENT HEAVY PROTEIN', NULL, NULL, NULL, 15),
(107158, NULL, 'PTHR22958', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHORYL DIESTER PHOSPHODIESTERASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107159, NULL, 'PTHR47988:SF18', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(107160, NULL, 'PTHR31901:SF54', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE GH3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107161, NULL, 'PTHR10574:SF291', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(107162, NULL, 'PTHR43791:SF9', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR-TYPE TRANSPORTER HXNP', NULL, NULL, NULL, 15),
(107163, NULL, 'PTHR31290:SF5', NULL, NULL, NULL, NULL, 'UV-DAMAGE ENDONUCLEASE', NULL, NULL, NULL, 15),
(107164, NULL, 'PTHR11377:SF19', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE', NULL, NULL, NULL, 15),
(107165, NULL, 'PTHR31716:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FMC1 HOMOLOG', NULL, NULL, NULL, 15),
(107166, NULL, 'PTHR47992:SF24', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 29-RELATED', NULL, NULL, NULL, 15),
(107167, NULL, 'PTHR11455:SF52', NULL, NULL, NULL, NULL, 'CRYPTOCHROME CIRCADIAN REGULATOR 5', NULL, NULL, NULL, 15),
(107168, NULL, 'PTHR11706:SF87', NULL, NULL, NULL, NULL, 'ETHYLENE-INSENSITIVE PROTEIN 2', NULL, NULL, NULL, 15),
(107169, NULL, 'PTHR12137:SF54', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(107170, NULL, 'PTHR48043:SF10', NULL, NULL, NULL, NULL, 'EG:EG0003.4 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107171, NULL, 'PTHR48054:SF37', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107172, NULL, 'PTHR14132:SF10', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR 4', NULL, NULL, NULL, 15),
(107173, NULL, 'PTHR47850', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN OR23', NULL, NULL, NULL, 15),
(107174, NULL, 'PTHR17178', NULL, NULL, NULL, NULL, 'SECRETORY GRANULE PROTEOGLYCAN CORE PROTEIN', NULL, NULL, NULL, 15),
(107175, NULL, 'PTHR36339', NULL, NULL, NULL, NULL, 'F23A5.5', NULL, NULL, NULL, 15),
(107176, NULL, 'PTHR12596:SF11', NULL, NULL, NULL, NULL, 'EXPORTIN-7', NULL, NULL, 33716, 15),
(107177, NULL, 'PTHR10183:SF302', NULL, NULL, NULL, NULL, 'CALPAIN-14', NULL, NULL, NULL, 15),
(107178, NULL, 'PTHR33344', NULL, NULL, NULL, NULL, 'OS02G0761600 PROTEIN', NULL, NULL, NULL, 15),
(107179, NULL, 'PTHR36029', NULL, NULL, NULL, NULL, 'TSET COMPLEX MEMBER TSTA', NULL, NULL, 36047, 15),
(107180, NULL, 'PTHR10956:SF40', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L31', NULL, NULL, NULL, 15),
(107181, NULL, 'PTHR32278:SF78', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(107182, NULL, 'PTHR31465:SF11', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10770)-RELATED', NULL, NULL, NULL, 15),
(107183, NULL, 'PTHR12121:SF45', NULL, NULL, NULL, NULL, 'NOCTURNIN', NULL, NULL, 33905, 15),
(107184, NULL, 'PTHR31132:SF18', NULL, NULL, NULL, NULL, 'OSJNBA0006M15.14 PROTEIN', NULL, NULL, NULL, 15),
(107185, NULL, 'PTHR35890', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 2849, 15),
(107186, NULL, 'PTHR33305:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107187, NULL, 'PTHR10133:SF54', NULL, NULL, NULL, NULL, '5''-3'' EXONUCLEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107188, NULL, 'PTHR46035', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 4', NULL, NULL, NULL, 15),
(107189, NULL, 'PTHR31639:SF150', NULL, NULL, NULL, NULL, 'OS06G0685200 PROTEIN', NULL, NULL, NULL, 15),
(107190, NULL, 'PTHR14957', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-CONJUGATING ENZYME ATG10', NULL, NULL, NULL, 15),
(107191, NULL, 'PTHR22891:SF139', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 1A', NULL, NULL, NULL, 15),
(107192, NULL, 'PTHR24298:SF577', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY MONOOXYGENASE', NULL, NULL, NULL, 15),
(107193, NULL, 'PTHR23389:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG21002', NULL, NULL, NULL, 15),
(107194, NULL, 'PTHR34269:SF9', NULL, NULL, NULL, NULL, 'BNAANNG23550D PROTEIN', NULL, NULL, NULL, 15),
(107195, NULL, 'PTHR23344:SF49', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE DOMAIN-CONTAINING 5A', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107196, NULL, 'PTHR11814:SF194', NULL, NULL, NULL, NULL, 'HIGH AFFINITY SULFATE TRANSPORTER 2', NULL, NULL, NULL, 15),
(107197, NULL, 'PTHR11863:SF131', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(107198, NULL, 'PTHR10353:SF233', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 12-LIKE', NULL, NULL, NULL, 15),
(107199, NULL, 'PTHR32246:SF69', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107200, NULL, 'PTHR32071:SF21', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, 27102, 15),
(107201, NULL, 'PTHR10331:SF25', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 10A HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(107202, NULL, 'PTHR34285:SF8', NULL, NULL, NULL, NULL, 'OS09G0278700 PROTEIN', NULL, NULL, NULL, 15),
(107203, NULL, 'PTHR44490:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION ELONGATION FACTOR 1 EPSILON-1', NULL, NULL, NULL, 15),
(107204, NULL, 'PTHR23248:SF60', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', NULL, NULL, NULL, 15),
(107205, NULL, 'PTHR14897', NULL, NULL, NULL, NULL, 'WD REPEAT AND COILED-COIL-CONTAINING PROTEIN', NULL, NULL, 26175, 15),
(107206, NULL, 'PTHR27006:SF391', NULL, NULL, NULL, NULL, 'BNAC08G42100D PROTEIN', NULL, NULL, NULL, 15),
(107207, NULL, 'PTHR28218:SF1', NULL, NULL, NULL, NULL, 'VPS4-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(107208, NULL, 'PTHR38040:SF1', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS ACCESSORY FACTOR UBIK', NULL, NULL, NULL, 15),
(107209, NULL, 'PTHR12632:SF56', NULL, NULL, NULL, NULL, 'CCAAT-BINDING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(107210, NULL, 'PTHR45680:SF32', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(107211, NULL, 'PTHR26374:SF360', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107212, NULL, 'PTHR43476', NULL, NULL, NULL, NULL, '3-(3-HYDROXY-PHENYL)PROPIONATE/3-HYDROXYCINNAMIC ACID HYDROXYLASE', NULL, NULL, NULL, 15),
(107213, NULL, 'PTHR36473', NULL, NULL, NULL, NULL, 'CHROMOSOME 3 OPEN READING FRAME 49', NULL, NULL, NULL, 15),
(107214, NULL, 'PTHR33730:SF13', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN', NULL, NULL, NULL, 15),
(107215, NULL, 'PTHR37563:SF2', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G03330)', NULL, NULL, NULL, 15),
(107216, NULL, 'PTHR23502:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107217, NULL, 'PTHR33065:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107218, NULL, 'PTHR13252', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 28', NULL, NULL, 32735, 15),
(107219, NULL, 'PTHR33941:SF12', NULL, NULL, NULL, NULL, 'CARBON DIOXIDE CONCENTRATING MECHANISM PROTEIN', NULL, NULL, NULL, 15),
(107220, NULL, 'PTHR47928:SF91', NULL, NULL, NULL, NULL, 'OS06G0231400 PROTEIN', NULL, NULL, NULL, 15),
(107221, NULL, 'PTHR46008:SF26', NULL, NULL, NULL, NULL, 'BNAA09G44590D PROTEIN', NULL, NULL, NULL, 15),
(107222, NULL, 'PTHR13415:SF4', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 12', NULL, NULL, 35553, 15),
(107223, NULL, 'PTHR43625:SF7', NULL, NULL, NULL, NULL, 'REDUCTASE (YAKC), PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01560)-RELATED', NULL, NULL, NULL, 15),
(107224, NULL, 'PTHR31953:SF75', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 32-RELATED', NULL, NULL, NULL, 15),
(107225, NULL, 'PTHR47980:SF20', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(107226, NULL, 'PTHR43272:SF68', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 7, PEROXISOMAL', NULL, NULL, NULL, 15),
(107227, NULL, 'PTHR24422:SF9', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(107228, NULL, 'PTHR47281:SF1', NULL, NULL, NULL, NULL, 'OS09G0557700 PROTEIN', NULL, NULL, NULL, 15),
(107229, NULL, 'PTHR11945:SF554', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL82', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107230, NULL, 'PTHR33121:SF15', NULL, NULL, NULL, NULL, 'BLUE LIGHT- AND TEMPERATURE-REGULATED ANTIREPRESSOR BLUF', NULL, NULL, NULL, 15),
(107231, NULL, 'PTHR23069', NULL, NULL, NULL, NULL, 'AAA DOMAIN-CONTAINING', NULL, NULL, 37219, 15),
(107232, NULL, 'PTHR10766:SF92', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(107233, NULL, 'PTHR11863:SF139', NULL, NULL, NULL, NULL, 'LATHOSTEROL OXIDASE', NULL, NULL, NULL, 15),
(107234, NULL, 'PTHR32116:SF68', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(107235, NULL, 'PTHR13328', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR A  NELF-A', NULL, NULL, NULL, 15),
(107236, NULL, 'PTHR11931:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE 1', NULL, NULL, NULL, 15),
(107237, NULL, 'PTHR33463:SF51', NULL, NULL, NULL, NULL, 'SITE LRR PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(107238, NULL, 'PTHR35546:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107239, NULL, 'PTHR30314:SF27', NULL, NULL, NULL, NULL, 'FTSZ1-2 PLASTID DIVISION PROTEIN', NULL, NULL, NULL, 15),
(107240, NULL, 'PTHR31062:SF210', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 12-RELATED', NULL, NULL, NULL, 15),
(107241, NULL, 'PTHR31388:SF203', NULL, NULL, NULL, NULL, 'PEROXIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107242, NULL, 'PTHR11567:SF28', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE FAMILY', NULL, NULL, NULL, 15),
(107243, NULL, 'PTHR47928:SF18', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(107244, NULL, 'PTHR46062:SF3', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(107245, NULL, 'PTHR34610:SF3', NULL, NULL, NULL, NULL, 'SSL7007 PROTEIN', NULL, NULL, NULL, 15),
(107246, NULL, 'PTHR35392:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(107247, NULL, 'PTHR45339:SF1', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE J', NULL, NULL, NULL, 15),
(107248, NULL, 'PTHR45624:SF6', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 45', NULL, NULL, NULL, 15),
(107249, NULL, 'PTHR23035:SF2', NULL, NULL, NULL, NULL, 'CFAP97 DOMAIN-CONTAINING 1', NULL, NULL, NULL, 15),
(107250, NULL, 'PTHR43791:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107251, NULL, 'PTHR12603:SF0', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(107252, NULL, 'PTHR15711:SF10', NULL, NULL, NULL, NULL, 'SIGNAL-INDUCED PROLIFERATION-ASSOCIATED 1-LIKE PROTEIN 1', NULL, NULL, 22381, 15),
(107253, NULL, 'PTHR31286:SF26', NULL, NULL, NULL, NULL, 'BNAC07G15150D PROTEIN', NULL, NULL, NULL, 15),
(107254, NULL, 'PTHR19331:SF463', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CYSTEINE-RICH TYPE 1 PROTEIN M160', NULL, NULL, NULL, 15),
(107255, NULL, 'PTHR31499:SF50', NULL, NULL, NULL, NULL, 'BNAA07G24220D PROTEIN', NULL, NULL, NULL, 15),
(107256, NULL, 'PTHR19957:SF290', NULL, NULL, NULL, NULL, 'SYNTAXIN 10-1', NULL, NULL, NULL, 15),
(107257, NULL, 'PTHR31221:SF90', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 44', NULL, NULL, NULL, 15),
(107258, NULL, 'PTHR22835:SF576', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107259, NULL, 'PTHR48108:SF10', NULL, NULL, NULL, NULL, 'BLR2762 PROTEIN', NULL, NULL, NULL, 15),
(107260, NULL, 'PTHR31235:SF179', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(107261, NULL, 'PTHR14379:SF46', NULL, NULL, NULL, NULL, 'BNAC08G15430D PROTEIN', NULL, NULL, NULL, 15),
(107262, NULL, 'PTHR11461:SF129', NULL, NULL, NULL, NULL, 'SERPIN E3', NULL, NULL, 27849, 15),
(107263, NULL, 'PTHR14334:SF1', NULL, NULL, NULL, NULL, 'B-CELL ANTIGEN RECEPTOR COMPLEX-ASSOCIATED PROTEIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(107264, NULL, 'PTHR31636:SF280', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS, SCARECROW-LIKE PROTEIN 29/NODULATION SIGNALING PATHWAY 1-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107265, NULL, 'PTHR24302:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107266, NULL, 'PTHR23024:SF504', NULL, NULL, NULL, NULL, 'RECEPTOR GID1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(107267, NULL, 'PTHR22849:SF49', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(107268, NULL, 'PTHR21600:SF50', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(107269, NULL, 'PTHR43791:SF29', NULL, NULL, NULL, NULL, 'AGR235WP', NULL, NULL, NULL, 15),
(107270, NULL, 'PTHR19134:SF483', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE 4E, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(107271, NULL, 'PTHR11362:SF109', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(107272, NULL, 'PTHR31775:SF24', NULL, NULL, NULL, NULL, 'REMORIN', NULL, NULL, NULL, 15),
(107273, NULL, 'PTHR11615:SF306', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107274, NULL, 'PTHR40661:SF1', NULL, NULL, NULL, NULL, 'FELS-1 PROPHAGE TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(107275, NULL, 'PTHR10694:SF110', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 4A-RELATED', NULL, NULL, NULL, 15),
(107276, NULL, 'PTHR32448:SF135', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 13', NULL, NULL, NULL, 15),
(107277, NULL, 'PTHR10218:SF193', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-8 SUBUNIT', NULL, NULL, NULL, 15),
(107278, NULL, 'PTHR31867:SF134', NULL, NULL, NULL, NULL, 'EXPANSIN-A18', NULL, NULL, NULL, 15),
(107279, NULL, 'PTHR13140:SF341', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IE', NULL, NULL, NULL, 15),
(107280, NULL, 'PTHR43139:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107281, NULL, 'PTHR46351:SF8', NULL, NULL, NULL, NULL, 'WHEATWIN6-C DEFENSE PROTEIN', NULL, NULL, NULL, 15),
(107282, NULL, 'PTHR45677:SF6', NULL, NULL, NULL, NULL, 'ZGC:163121', NULL, NULL, NULL, 15),
(107283, NULL, 'PTHR39956', NULL, NULL, NULL, NULL, 'GH09530P-RELATED', NULL, NULL, NULL, 15),
(107284, NULL, 'PTHR28293:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RIM PROTEIN 1', NULL, NULL, NULL, 15),
(107285, NULL, 'PTHR47480:SF9', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN ISOFORM X1', NULL, NULL, NULL, 15),
(107286, NULL, 'PTHR12069:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC5', NULL, NULL, NULL, 15),
(107287, NULL, 'PTHR48054:SF3', NULL, NULL, NULL, NULL, 'LRR AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(107288, NULL, 'PTHR46773:SF3', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT PROTEIN', NULL, NULL, NULL, 15),
(107289, NULL, 'PTHR10159:SF40', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 5', NULL, NULL, NULL, 15),
(107290, NULL, 'PTHR31384:SF129', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(107291, NULL, 'PTHR23272:SF21', NULL, NULL, NULL, NULL, 'BED ZINC FINGER AND HAT DIMERIZATION DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(107292, NULL, 'PTHR31517:SF65', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(107293, NULL, 'PTHR46128:SF195', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(107294, NULL, 'PTHR43394:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107295, NULL, 'PTHR34655', NULL, NULL, NULL, NULL, 'CONSERVED WITHIN P. AEROPHILUM', NULL, NULL, NULL, 15),
(107296, NULL, 'PTHR11679:SF62', NULL, NULL, NULL, NULL, 'SI:RP71-10D23.3', NULL, NULL, NULL, 15),
(107297, NULL, 'PTHR12341:SF41', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE 2', NULL, NULL, NULL, 15),
(107298, NULL, 'PTHR45917:SF7', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 5B', NULL, NULL, NULL, 15),
(107299, NULL, 'PTHR10782:SF80', NULL, NULL, NULL, NULL, 'ZINC FINGER, PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(107300, NULL, 'PTHR31403:SF46', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(1) DAD1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107301, NULL, 'PTHR26453:SF257', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(107302, NULL, 'PTHR10484:SF174', NULL, NULL, NULL, NULL, 'HISTONE H4', NULL, NULL, NULL, 15),
(107303, NULL, 'PTHR10788:SF90', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 2-RELATED', NULL, NULL, NULL, 15),
(107304, NULL, 'PTHR21736:SF35', NULL, NULL, NULL, NULL, 'OBERON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107305, NULL, 'PTHR28113', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAM1', NULL, NULL, 8245, 15),
(107306, NULL, 'PTHR22791:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG12047', NULL, NULL, NULL, 15),
(107307, NULL, 'PTHR45867:SF1', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(107308, NULL, 'PTHR47991:SF129', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN SYNTHASE', NULL, NULL, NULL, 15),
(107309, NULL, 'PTHR12661', NULL, NULL, NULL, NULL, 'PETER PAN-RELATED', NULL, NULL, 37197, 15),
(107310, NULL, 'PTHR23167:SF49', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN', NULL, NULL, NULL, 15),
(107311, NULL, 'PTHR31561:SF16', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(107312, NULL, 'PTHR24349:SF182', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 15', NULL, NULL, NULL, 15),
(107313, NULL, 'PTHR11255:SF101', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(107314, NULL, 'PTHR23306', NULL, NULL, NULL, NULL, 'TUMOR SUSCEPTIBILITY GENE 101 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107315, NULL, 'PTHR31956', NULL, NULL, NULL, NULL, 'NON-SPECIFIC PHOSPHOLIPASE C4-RELATED', NULL, NULL, 4872, 15),
(107316, NULL, 'PTHR24015:SF1910', NULL, NULL, NULL, NULL, 'PPR REPEAT PROTEIN', NULL, NULL, NULL, 15),
(107317, NULL, 'PTHR45798:SF70', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL45-RELATED', NULL, NULL, NULL, 15),
(107318, NULL, 'PTHR11893:SF37', NULL, NULL, NULL, NULL, 'INNEXIN INX3', NULL, NULL, NULL, 15),
(107319, NULL, 'PTHR10993:SF7', NULL, NULL, NULL, NULL, 'LIPOYLTRANSFERASE 2, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(107320, NULL, 'PTHR36069:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(107321, NULL, 'PTHR12974:SF34', NULL, NULL, NULL, NULL, 'TERMINAL NUCLEOTIDYLTRANSFERASE 5C', NULL, NULL, NULL, 15),
(107322, NULL, 'PTHR11814:SF233', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER SULP-4', NULL, NULL, 26807, 15),
(107323, NULL, 'PTHR31967:SF14', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)', NULL, NULL, NULL, 15),
(107324, NULL, 'PTHR12197:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107325, NULL, 'PTHR11875:SF75', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1-LIKE 4', NULL, NULL, NULL, 15),
(107326, NULL, 'PTHR12972:SF0', NULL, NULL, NULL, NULL, 'PROTEIN DOWNSTREAM NEIGHBOR OF SON', NULL, NULL, NULL, 15),
(107327, NULL, 'PTHR45676:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107328, NULL, 'PTHR11764:SF37', NULL, NULL, NULL, NULL, 'PARKEOL SYNTHASE', NULL, NULL, NULL, 15),
(107329, NULL, 'PTHR47370:SF4', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE HLS1-LIKE ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(107330, NULL, 'PTHR31845:SF10', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(107331, NULL, 'PTHR41878:SF1', NULL, NULL, NULL, NULL, 'LEXA REPRESSOR-RELATED', NULL, NULL, NULL, 15),
(107332, NULL, 'PTHR15116:SF15', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN SATB2', NULL, NULL, NULL, 15),
(107333, NULL, 'PTHR48171', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107334, NULL, 'PTHR32448:SF99', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 1', NULL, NULL, NULL, 15),
(107335, NULL, 'PTHR11017:SF372', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(107336, NULL, 'PTHR31621:SF42', NULL, NULL, NULL, NULL, 'DUF679 DOMAIN MEMBRANE PROTEIN 7', NULL, NULL, NULL, 15),
(107337, NULL, 'PTHR11814:SF232', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107338, NULL, 'PTHR24361:SF648', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0284251-RELATED', NULL, NULL, NULL, 15),
(107339, NULL, 'PTHR34112:SF10', NULL, NULL, NULL, NULL, 'BNAC03G72810D PROTEIN', NULL, NULL, NULL, 15),
(107340, NULL, 'PTHR31312:SF6', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-APRR2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107341, NULL, 'PTHR30547', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YHCG-RELATED', NULL, NULL, NULL, 15),
(107342, NULL, 'PTHR19441:SF12', NULL, NULL, NULL, NULL, 'PROTEIN WFDC11', NULL, NULL, 21184, 15),
(107343, NULL, 'PTHR11347:SF72', NULL, NULL, NULL, NULL, 'CAMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 7B', NULL, NULL, NULL, 15),
(107344, NULL, 'PTHR10572:SF35', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', NULL, NULL, NULL, 15),
(107345, NULL, 'PTHR22552:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG21849', NULL, NULL, NULL, 15),
(107346, NULL, 'PTHR41153', NULL, NULL, NULL, NULL, 'RE41427P', NULL, NULL, NULL, 15),
(107347, NULL, 'PTHR22948:SF19', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(107348, NULL, 'PTHR11073:SF7', NULL, NULL, NULL, NULL, 'CALMEGIN', NULL, NULL, NULL, 15),
(107349, NULL, 'PTHR23097:SF90', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 11B', NULL, NULL, NULL, 15),
(107350, NULL, 'PTHR45916', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 5', NULL, NULL, 23256, 15),
(107351, NULL, 'PTHR22951:SF29', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN AP180 SHORT FORM-LIKE', NULL, NULL, NULL, 15),
(107352, NULL, 'PTHR46528:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SON', NULL, NULL, NULL, 15),
(107353, NULL, 'PTHR45908:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG01090', NULL, NULL, NULL, 15),
(107354, NULL, 'PTHR10933:SF9', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN (CD79A)-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(107355, NULL, 'PTHR47660:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(107356, NULL, 'PTHR45715:SF11', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E-LIKE', NULL, NULL, NULL, 15),
(107357, NULL, 'PTHR13437:SF5', NULL, NULL, NULL, NULL, 'BNAA08G15500D PROTEIN', NULL, NULL, NULL, 15),
(107358, NULL, 'PTHR21304:SF8', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC10-LIKE PROTEIN (DUF543)', NULL, NULL, NULL, 15),
(107359, NULL, 'PTHR33065:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107360, NULL, 'PTHR35574:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG21625', NULL, NULL, NULL, 15),
(107361, NULL, 'PTHR46587:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(107362, NULL, 'PTHR13844:SF63', NULL, NULL, NULL, NULL, 'BNACNNG65730D PROTEIN', NULL, NULL, NULL, 15),
(107363, NULL, 'PTHR43572:SF13', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF MAX2 1', NULL, NULL, NULL, 15),
(107364, NULL, 'PTHR23500:SF548', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107365, NULL, 'PTHR31645:SF0', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER YGL114W-RELATED', NULL, NULL, NULL, 15),
(107366, NULL, 'PTHR34375', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107367, NULL, 'PTHR16265', NULL, NULL, NULL, NULL, 'PTB-CONTAINING, CUBILIN AND LRP1-INTERACTING PROTEIN', NULL, NULL, 30594, 15),
(107368, NULL, 'PTHR24031:SF324', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 33-RELATED', NULL, NULL, NULL, 15),
(107369, NULL, 'PTHR14226:SF57', NULL, NULL, NULL, NULL, 'SLR0060 PROTEIN', NULL, NULL, NULL, 15),
(107370, NULL, 'PTHR23012', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER DOMAIN-CONTAINING', NULL, NULL, 30240, 15),
(107371, NULL, 'PTHR26453:SF14', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13C4', NULL, NULL, NULL, 15),
(107372, NULL, 'PTHR45761:SF5', NULL, NULL, NULL, NULL, 'EXTENDED SYNAPTOTAGMIN-LIKE PROTEIN 1B', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107373, NULL, 'PTHR45523', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107374, NULL, 'PTHR33098:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107375, NULL, 'PTHR31360:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107376, NULL, 'PTHR21266:SF47', NULL, NULL, NULL, NULL, 'SLR1747 PROTEIN', NULL, NULL, NULL, 15),
(107377, NULL, 'PTHR31876:SF4', NULL, NULL, NULL, NULL, 'PROTEIN LIKE COV 2-LIKE', NULL, NULL, NULL, 15),
(107378, NULL, 'PTHR46604:SF11', NULL, NULL, NULL, NULL, 'OS11G0670100 PROTEIN', NULL, NULL, NULL, 15),
(107379, NULL, 'PTHR12603:SF26', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIF) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107380, NULL, 'PTHR16074', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 7 PROTEIN', NULL, NULL, NULL, 15),
(107381, NULL, 'PTHR46164:SF1', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-6 ALPHA', NULL, NULL, 21674, 15),
(107382, NULL, 'PTHR31108:SF6', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P63-REGULATED GENE 1 PROTEIN', NULL, NULL, NULL, 15),
(107383, NULL, 'PTHR12956:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107384, NULL, 'PTHR48062:SF27', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE MSL1-LIKE', NULL, NULL, NULL, 15),
(107385, NULL, 'PTHR43029:SF32', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(107386, NULL, 'PTHR24351:SF114', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE S6KL', NULL, NULL, NULL, 15),
(107387, NULL, 'PTHR43592:SF18', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107388, NULL, 'PTHR32054:SF48', NULL, NULL, NULL, NULL, 'WEB FAMILY PLANT PROTEIN', NULL, NULL, NULL, 15),
(107389, NULL, 'PTHR33207:SF87', NULL, NULL, NULL, NULL, 'OS01G0509900 PROTEIN', NULL, NULL, NULL, 15),
(107390, NULL, 'PTHR11081:SF59', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE GEN-LIKE 1', NULL, NULL, NULL, 15),
(107391, NULL, 'PTHR22937:SF147', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHG1A-RELATED', NULL, NULL, NULL, 15),
(107392, NULL, 'PTHR13865', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION PROTEIN', NULL, NULL, NULL, 15),
(107393, NULL, 'PTHR20889:SF16', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE 2-LIKE', NULL, NULL, NULL, 15),
(107394, NULL, 'PTHR11195:SF13', NULL, NULL, NULL, NULL, 'GEO08206P1-RELATED', NULL, NULL, NULL, 15),
(107395, NULL, 'PTHR24015:SF48', NULL, NULL, NULL, NULL, 'OS09G0520300 PROTEIN', NULL, NULL, NULL, 15),
(107396, NULL, 'PTHR13620:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107397, NULL, 'PTHR33132:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107398, NULL, 'PTHR12183:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UBIQUITIN LIGASE ACTIVATOR OF NFKB 1', NULL, NULL, NULL, 15),
(107399, NULL, 'PTHR43895:SF109', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(107400, NULL, 'PTHR24270:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107401, NULL, 'PTHR31966:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107402, NULL, 'PTHR37389:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107403, NULL, 'PTHR21567:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107404, NULL, 'PTHR45627:SF1', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 8', NULL, NULL, NULL, 15),
(107405, NULL, 'PTHR20923', NULL, NULL, NULL, NULL, 'BAT4 PROTEIN-RELATED', NULL, NULL, 35617, 15),
(107406, NULL, 'PTHR43311:SF1', NULL, NULL, NULL, NULL, 'GLUTAMYL-Q TRNA(ASP) SYNTHETASE', NULL, NULL, NULL, 15),
(107407, NULL, 'PTHR23310', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING PROTEIN, ACBP', NULL, NULL, NULL, 15),
(107408, NULL, 'PTHR11690:SF13', NULL, NULL, NULL, NULL, 'ACID-SENSING ION CHANNEL 4', NULL, NULL, NULL, 15),
(107409, NULL, 'PTHR45945:SF2', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 14', NULL, NULL, 21534, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107410, NULL, 'PTHR31719:SF159', NULL, NULL, NULL, NULL, 'OS05G0415400 PROTEIN', NULL, NULL, NULL, 15),
(107411, NULL, 'PTHR11947:SF22', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE (ACETYL-TRANSFERRING)] KINASE ISOZYME 4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(107412, NULL, 'PTHR23155:SF1130', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPS2', NULL, NULL, NULL, 15),
(107413, NULL, 'PTHR11909:SF99', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE VRK3', NULL, NULL, NULL, 15),
(107414, NULL, 'PTHR16160:SF12', NULL, NULL, NULL, NULL, 'FERMITIN FAMILY HOMOLOG 1', NULL, NULL, NULL, 15),
(107415, NULL, 'PTHR34570:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107416, NULL, 'PTHR10366:SF706', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(107417, NULL, 'PTHR38223:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107418, NULL, 'PTHR36803', NULL, NULL, NULL, NULL, 'PROTEIN CHLORORESPIRATORY REDUCTION 7, CHLOROPLASTIC', NULL, NULL, 20826, 15),
(107419, NULL, 'PTHR11108:SF1', NULL, NULL, NULL, NULL, 'FERROCHELATASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(107420, NULL, 'PTHR12299:SF47', NULL, NULL, NULL, NULL, 'NUCLEAR RNA-BINDING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107421, NULL, 'PTHR32343:SF48', NULL, NULL, NULL, NULL, 'BNAA09G04870D PROTEIN', NULL, NULL, NULL, 15),
(107422, NULL, 'PTHR11709:SF339', NULL, NULL, NULL, NULL, 'LACCASE-6', NULL, NULL, NULL, 15),
(107423, NULL, 'PTHR48018:SF78', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(107424, NULL, 'PTHR23024:SF539', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(107425, NULL, 'PTHR36718', NULL, NULL, NULL, NULL, 'OS05G0435400 PROTEIN', NULL, NULL, NULL, 15),
(107426, NULL, 'PTHR42968:SF14', NULL, NULL, NULL, NULL, 'OS01G0649000 PROTEIN', NULL, NULL, NULL, 15),
(107427, NULL, 'PTHR33426:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107428, NULL, 'PTHR10366:SF504', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107429, NULL, 'PTHR10676:SF314', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 1 HEAVY CHAIN 1', NULL, NULL, NULL, 15),
(107430, NULL, 'PTHR11461:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107431, NULL, 'PTHR43874:SF58', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR8-RELATED', NULL, NULL, NULL, 15),
(107432, NULL, 'PTHR46449:SF4', NULL, NULL, NULL, NULL, 'MCG52719', NULL, NULL, NULL, 15),
(107433, NULL, 'PTHR30386:SF23', NULL, NULL, NULL, NULL, 'MEMBRANE FUSION PROTEIN (MFP) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107434, NULL, 'PTHR31301:SF123', NULL, NULL, NULL, NULL, 'BNAC03G16640D PROTEIN', NULL, NULL, NULL, 15),
(107435, NULL, 'PTHR27007:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107436, NULL, 'PTHR23079:SF43', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE 4-RELATED', NULL, NULL, NULL, 15),
(107437, NULL, 'PTHR10760:SF3', NULL, NULL, NULL, NULL, 'TORSIN-3A', NULL, NULL, 27622, 15),
(107438, NULL, 'PTHR24103:SF329', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(107439, NULL, 'PTHR23421:SF132', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 2', NULL, NULL, NULL, 15),
(107440, NULL, 'PTHR32448:SF133', NULL, NULL, NULL, NULL, 'BNAC03G63920D PROTEIN', NULL, NULL, NULL, 15),
(107441, NULL, 'PTHR11941:SF148', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE/ISOMERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G14850)', NULL, NULL, NULL, 15),
(107442, NULL, 'PTHR38925', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(107443, NULL, 'PTHR19957:SF308', NULL, NULL, NULL, NULL, 'TARGET SNARE COILED-COIL DOMAIN', NULL, NULL, NULL, 15),
(107444, NULL, 'PTHR42718:SF9', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY MULTIDRUG TRANSPORTER MFSC', NULL, NULL, NULL, 15),
(107445, NULL, 'PTHR47160:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107446, NULL, 'PTHR12746:SF3', NULL, NULL, NULL, NULL, '60S RIBOSOMAL EXPORT PROTEIN NMD3', NULL, NULL, NULL, 15),
(107447, NULL, 'PTHR43272:SF73', NULL, NULL, NULL, NULL, 'BNAA02G21860D PROTEIN', NULL, NULL, NULL, 15),
(107448, NULL, 'PTHR19303:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107449, NULL, 'PTHR33143:SF49', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 25-LIKE', NULL, NULL, NULL, 15),
(107450, NULL, 'PTHR46776:SF14', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 3', NULL, NULL, NULL, 15),
(107451, NULL, 'PTHR48021:SF1', NULL, NULL, NULL, NULL, 'FACILITATED TREHALOSE TRANSPORTER TRET1-1-RELATED', NULL, NULL, NULL, 15),
(107452, NULL, 'PTHR14499:SF67', NULL, NULL, NULL, NULL, 'MIP18912P', NULL, NULL, NULL, 15),
(107453, NULL, 'PTHR11599:SF4', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, 31582, 15),
(107454, NULL, 'PTHR47826:SF1', NULL, NULL, NULL, NULL, 'OS03G0164700 PROTEIN', NULL, NULL, NULL, 15),
(107455, NULL, 'PTHR13139', NULL, NULL, NULL, NULL, 'RING FINGER AND CCCH-TYPE ZINC FINGER DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(107456, NULL, 'PTHR16517:SF93', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(107457, NULL, 'PTHR23073:SF107', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 4 HOMOLOG A-RELATED', NULL, NULL, NULL, 15),
(107458, NULL, 'PTHR43173:SF28', NULL, NULL, NULL, NULL, 'AARF DOMAIN CONTAINING KINASE 1 (PREDICTED)', NULL, NULL, NULL, 15),
(107459, NULL, 'PTHR10974:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107460, NULL, 'PTHR24254:SF6', NULL, NULL, NULL, NULL, 'CUBILIN', NULL, NULL, NULL, 15),
(107461, NULL, 'PTHR24103:SF569', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF CONTAINING 65', NULL, NULL, NULL, 15),
(107462, NULL, 'PTHR16049', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN C', NULL, NULL, 39068, 15),
(107463, NULL, 'PTHR47967:SF28', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN 2', NULL, NULL, NULL, 15),
(107464, NULL, 'PTHR26374:SF338', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107465, NULL, 'PTHR15936:SF2', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-13', NULL, NULL, NULL, 15),
(107466, NULL, 'PTHR10250:SF2', NULL, NULL, NULL, NULL, 'ARACHIDONATE 5-LIPOXYGENASE-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(107467, NULL, 'PTHR31642:SF26', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107468, NULL, 'PTHR11712:SF320', NULL, NULL, NULL, NULL, 'BETA-KETOACYL SYNTHASE', NULL, NULL, NULL, 15),
(107469, NULL, 'PTHR11594', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', NULL, NULL, 5570, 15),
(107470, NULL, 'PTHR34223:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107471, NULL, 'PTHR22923:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107472, NULL, 'PTHR31304:SF28', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 42-LIKE', NULL, NULL, NULL, 15),
(107473, NULL, 'PTHR23167:SF23', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN, NON-ERYTHROCYTIC 5', NULL, NULL, NULL, 15),
(107474, NULL, 'PTHR24057:SF36', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE EPSILON', NULL, NULL, NULL, 15),
(107475, NULL, 'PTHR11211:SF2', NULL, NULL, NULL, NULL, 'MIRROR, ISOFORM C', NULL, NULL, NULL, 15),
(107476, NULL, 'PTHR45908:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG07383', NULL, NULL, NULL, 15),
(107477, NULL, 'PTHR47116:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 8', NULL, NULL, NULL, 15),
(107478, NULL, 'PTHR11036:SF28', NULL, NULL, NULL, NULL, 'SEMA DOMAIN, IMMUNOGLOBULIN DOMAIN (IG), SHORT BASIC DOMAIN, SECRETED, (SEMAPHORIN) 3GA-RELATED', NULL, NULL, NULL, 15),
(107479, NULL, 'PTHR47192:SF3', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 3-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(107480, NULL, 'PTHR36542', NULL, NULL, NULL, NULL, 'GIG2-LIKE PROTEIN DRED-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107481, NULL, 'PTHR19446:SF419', NULL, NULL, NULL, NULL, 'SI:DKEY-187K19.2-RELATED', NULL, NULL, NULL, 15),
(107482, NULL, 'PTHR42872', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMATE METHYLESTERASE/PROTEIN-GLUTAMINE GLUTAMINASE', NULL, NULL, NULL, 15),
(107483, NULL, 'PTHR34853', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 4374, 15),
(107484, NULL, 'PTHR37483:SF1', NULL, NULL, NULL, NULL, 'UPF0125 PROTEIN RATB', NULL, NULL, NULL, 15),
(107485, NULL, 'PTHR24221:SF473', NULL, NULL, NULL, NULL, 'OS04G0642000 PROTEIN', NULL, NULL, NULL, 15),
(107486, NULL, 'PTHR32093:SF50', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107487, NULL, 'PTHR31221:SF235', NULL, NULL, NULL, NULL, 'BNAA08G14350D PROTEIN', NULL, NULL, NULL, 15),
(107488, NULL, 'PTHR10652', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', NULL, NULL, 4145, 15),
(107489, NULL, 'PTHR11595:SF69', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA', NULL, NULL, NULL, 15),
(107490, NULL, 'PTHR22603:SF25', NULL, NULL, NULL, NULL, 'CHOLINE KINASE B1-RELATED', NULL, NULL, NULL, 15),
(107491, NULL, 'PTHR35672:SF1', NULL, NULL, NULL, NULL, 'C-U-EDITING ENZYME APOBEC-4-RELATED', NULL, NULL, NULL, 15),
(107492, NULL, 'PTHR38122:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107493, NULL, 'PTHR33384:SF35', NULL, NULL, NULL, NULL, 'BNAC05G08780D PROTEIN', NULL, NULL, NULL, 15),
(107494, NULL, 'PTHR11783:SF208', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(107495, NULL, 'PTHR24253:SF113', NULL, NULL, NULL, NULL, 'SERINE PROTEASE H42', NULL, NULL, NULL, 15),
(107496, NULL, 'PTHR15759:SF6', NULL, NULL, NULL, NULL, 'INNEXIN', NULL, NULL, NULL, 15),
(107497, NULL, 'PTHR47926:SF249', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107498, NULL, 'PTHR31260:SF32', NULL, NULL, NULL, NULL, 'BNAA01G07310D PROTEIN', NULL, NULL, NULL, 15),
(107499, NULL, 'PTHR43903:SF20', NULL, NULL, NULL, NULL, 'NEUROLIGIN-1', NULL, NULL, NULL, 15),
(107500, NULL, 'PTHR24103', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM', NULL, NULL, NULL, 15),
(107501, NULL, 'PTHR32157', NULL, NULL, NULL, NULL, 'GENE 6268-RELATED', NULL, NULL, 26184, 15),
(107502, NULL, 'PTHR47023:SF3', NULL, NULL, NULL, NULL, 'SEX PEPTIDE RECEPTOR (DROSOPHILA) RELATED', NULL, NULL, NULL, 15),
(107503, NULL, 'PTHR23504:SF82', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(107504, NULL, 'PTHR12214:SF2', NULL, NULL, NULL, NULL, 'PAX3- AND PAX7-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(107505, NULL, 'PTHR31623:SF79', NULL, NULL, NULL, NULL, 'N-BENZOYLTRANSFERASE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(107506, NULL, 'PTHR43329:SF10', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 3', NULL, NULL, NULL, 15),
(107507, NULL, 'PTHR48022:SF3', NULL, NULL, NULL, NULL, 'HEXOSE TRANSPORTER PROTEIN (AFU_ORTHOLOGUE AFUA_8G04480)-RELATED', NULL, NULL, NULL, 15),
(107508, NULL, 'PTHR46028:SF1', NULL, NULL, NULL, NULL, 'KYNURENINE 3-MONOOXYGENASE', NULL, NULL, NULL, 15),
(107509, NULL, 'PTHR20934:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(107510, NULL, 'PTHR42024', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107511, NULL, 'PTHR13080:SF14', NULL, NULL, NULL, NULL, 'ATP SYNTHASE MEMBRANE SUBUNIT F-RELATED', NULL, NULL, NULL, 15),
(107512, NULL, 'PTHR37002:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107513, NULL, 'PTHR22814:SF107', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 28', NULL, NULL, NULL, 15),
(107514, NULL, 'PTHR43074', NULL, NULL, NULL, NULL, 'OMEGA-3 POLYUNSATURATED FATTY ACID SYNTHASE PFAB-RELATED', NULL, NULL, NULL, 15),
(107515, NULL, 'PTHR31988:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107516, NULL, 'PTHR42680:SF3', NULL, NULL, NULL, NULL, 'DCTP DEAMINASE', NULL, NULL, NULL, 15),
(107517, NULL, 'PTHR18945:SF436', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107518, NULL, 'PTHR13323:SF4', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR2', NULL, NULL, NULL, 15),
(107519, NULL, 'PTHR21399:SF2', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-SENSITIVE CHLORIDE CONDUCTANCE REGULATOR FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(107520, NULL, 'PTHR35334', NULL, NULL, NULL, NULL, 'SERINE TRANSPORTER', NULL, NULL, NULL, 15),
(107521, NULL, 'PTHR23257:SF839', NULL, NULL, NULL, NULL, 'BNAANNG28210D PROTEIN', NULL, NULL, NULL, 15),
(107522, NULL, 'PTHR23005:SF4', NULL, NULL, NULL, NULL, 'NEURONAL MIGRATION PROTEIN DOUBLECORTIN-RELATED', NULL, NULL, NULL, 15),
(107523, NULL, 'PTHR24039:SF22', NULL, NULL, NULL, NULL, 'FIBRILLIN-1', NULL, NULL, 7912, 15),
(107524, NULL, 'PTHR33433:SF11', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE', NULL, NULL, NULL, 15),
(107525, NULL, 'PTHR12474:SF0', NULL, NULL, NULL, NULL, 'SESTRIN HOMOLOG', NULL, NULL, NULL, 15),
(107526, NULL, 'PTHR36408:SF2', NULL, NULL, NULL, NULL, 'BNAANNG04740D PROTEIN', NULL, NULL, NULL, 15),
(107527, NULL, 'PTHR45959:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107528, NULL, 'PTHR45669:SF13', NULL, NULL, NULL, NULL, 'OS07G0659900 PROTEIN', NULL, NULL, NULL, 15),
(107529, NULL, 'PTHR24377:SF277', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 461', NULL, NULL, NULL, 15),
(107530, NULL, 'PTHR10168:SF288', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S13', NULL, NULL, NULL, 15),
(107531, NULL, 'PTHR23113:SF339', NULL, NULL, NULL, NULL, 'RASGEF DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(107532, NULL, 'PTHR13237:SF8', NULL, NULL, NULL, NULL, 'SOMETHING ABOUT SILENCING PROTEIN 10', NULL, NULL, NULL, 15),
(107533, NULL, 'PTHR47597:SF2', NULL, NULL, NULL, NULL, 'BIOTIN/LIPOYL ATTACHMENT DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(107534, NULL, 'PTHR46672:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107535, NULL, 'PTHR33700:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107536, NULL, 'PTHR10658:SF77', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 1', NULL, NULL, NULL, 15),
(107537, NULL, 'PTHR21592', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(107538, NULL, 'PTHR46641:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG17285', NULL, NULL, NULL, 15),
(107539, NULL, 'PTHR24377:SF243', NULL, NULL, NULL, NULL, 'RIKEN CDNA B020011L13 GENE-RELATED', NULL, NULL, NULL, 15),
(107540, NULL, 'PTHR21964:SF13', NULL, NULL, NULL, NULL, 'SIN3 HISTONE DEACETYLASE COREPRESSOR COMPLEX COMPONENT SDS3', NULL, NULL, NULL, 15),
(107541, NULL, 'PTHR22166:SF28', NULL, NULL, NULL, NULL, 'OS02G0830300 PROTEIN', NULL, NULL, NULL, 15),
(107542, NULL, 'PTHR15049', NULL, NULL, NULL, NULL, 'GLYCOSYL-PHOSPHATIDYLINOSITOL-ANCHORED MOLECULE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107543, NULL, 'PTHR31232:SF116', NULL, NULL, NULL, NULL, 'BNAC03G72870D PROTEIN', NULL, NULL, NULL, 15),
(107544, NULL, 'PTHR11409', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE', NULL, NULL, 4849, 15),
(107545, NULL, 'PTHR22948:SF48', NULL, NULL, NULL, NULL, 'A KINASE (PRKA) ANCHOR PROTEIN 1A-RELATED', NULL, NULL, 36036, 15),
(107546, NULL, 'PTHR24243:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107547, NULL, 'PTHR36206:SF10', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(107548, NULL, 'PTHR39490', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN D', NULL, NULL, NULL, 15),
(107549, NULL, 'PTHR10994:SF131', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107550, NULL, 'PTHR20921:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107551, NULL, 'PTHR26452:SF718', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(107552, NULL, 'PTHR43245:SF21', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE DECARBOXYLASE-RELATED', NULL, NULL, NULL, 15),
(107553, NULL, 'PTHR11760:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107554, NULL, 'PTHR16322:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOPROTEIN ASSOCIATED WITH GLYCOSPHINGOLIPID-ENRICHED MICRODOMAINS 1', NULL, NULL, NULL, 15),
(107555, NULL, 'PTHR35705:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107556, NULL, 'PTHR31992:SF129', NULL, NULL, NULL, NULL, 'DOF DOMAIN ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(107557, NULL, 'PTHR10137:SF4', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C 2', NULL, NULL, NULL, 15),
(107558, NULL, 'PTHR30333:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE PROTEIN NAPC', NULL, NULL, NULL, 15),
(107559, NULL, 'PTHR43299', NULL, NULL, NULL, NULL, 'UPF0718 PROTEIN YRAQ', NULL, NULL, NULL, 15),
(107560, NULL, 'PTHR48213', NULL, NULL, NULL, NULL, 'VID27-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107561, NULL, 'PTHR48043:SF42', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(107562, NULL, 'PTHR43839:SF1', NULL, NULL, NULL, NULL, 'OPPC IN A BINDING PROTEIN-DEPENDENT TRANSPORT SYSTEM', NULL, NULL, NULL, 15),
(107563, NULL, 'PTHR31832:SF62', NULL, NULL, NULL, NULL, 'BNAANNG29690D PROTEIN', NULL, NULL, NULL, 15),
(107564, NULL, 'PTHR26453:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107565, NULL, 'PTHR33077:SF59', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 11A', NULL, NULL, NULL, 15),
(107566, NULL, 'PTHR45728:SF1', NULL, NULL, NULL, NULL, 'ACETYL-COA CARBOXYLASE 2', NULL, NULL, NULL, 15),
(107567, NULL, 'PTHR10369:SF39', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L44', NULL, NULL, NULL, 15),
(107568, NULL, 'PTHR20855:SF39', NULL, NULL, NULL, NULL, 'MEMBRANE PROGESTIN RECEPTOR DELTA', NULL, NULL, NULL, 15),
(107569, NULL, 'PTHR13809:SF27', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(107570, NULL, 'PTHR47696:SF1', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(107571, NULL, 'PTHR10751:SF110', NULL, NULL, NULL, NULL, 'OS07G0181700 PROTEIN', NULL, NULL, NULL, 15),
(107572, NULL, 'PTHR32227:SF284', NULL, NULL, NULL, NULL, 'HYDROLASE, HYDROLYZING O-GLYCOSYL COMPOUNDS', NULL, NULL, NULL, 15),
(107573, NULL, 'PTHR14738:SF29', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(107574, NULL, 'PTHR28012', NULL, NULL, NULL, NULL, 'NUCLEAR FUSION PROTEIN KAR5', NULL, NULL, 7331, 15),
(107575, NULL, 'PTHR12121:SF82', NULL, NULL, NULL, NULL, 'CARBON CATABOLITE REPRESSOR PROTEIN 4 HOMOLOG 3', NULL, NULL, NULL, 15),
(107576, NULL, 'PTHR24177:SF309', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107577, NULL, 'PTHR34491:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG14695', NULL, NULL, NULL, 15),
(107578, NULL, 'PTHR11260:SF595', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107579, NULL, 'PTHR45029:SF5', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(107580, NULL, 'PTHR19353:SF63', NULL, NULL, NULL, NULL, 'DELTA(8)-FATTY-ACID DESATURASE 1', NULL, NULL, NULL, 15),
(107581, NULL, 'PTHR22593:SF10', NULL, NULL, NULL, NULL, 'FHA DOMAIN-CONTAINING PROTEIN PS1-LIKE', NULL, NULL, NULL, 15),
(107582, NULL, 'PTHR23084:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107583, NULL, 'PTHR24414:SF137', NULL, NULL, NULL, NULL, 'BNAA01G26220D PROTEIN', NULL, NULL, NULL, 15),
(107584, NULL, 'PTHR33914:SF7', NULL, NULL, NULL, NULL, 'OS02G0582100 PROTEIN', NULL, NULL, NULL, 15),
(107585, NULL, 'PTHR31096:SF23', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR10', NULL, NULL, NULL, 15),
(107586, NULL, 'PTHR30457:SF16', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE SURE-LIKE', NULL, NULL, NULL, 15),
(107587, NULL, 'PTHR10807:SF110', NULL, NULL, NULL, NULL, 'FI17948P1', NULL, NULL, NULL, 15),
(107588, NULL, 'PTHR45764:SF56', NULL, NULL, NULL, NULL, 'BNAC06G18530D PROTEIN', NULL, NULL, NULL, 15),
(107589, NULL, 'PTHR45652:SF9', NULL, NULL, NULL, NULL, 'GLIAL FIBRILLARY ACIDIC PROTEIN', NULL, NULL, 26849, 15),
(107590, NULL, 'PTHR12855:SF11', NULL, NULL, NULL, NULL, 'BNAA04G26950D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107591, NULL, 'PTHR23120:SF22', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT-CONTAINING PROTEIN FAMILY MEMBER 2B', NULL, NULL, NULL, 15),
(107592, NULL, 'PTHR43166:SF6', NULL, NULL, NULL, NULL, 'PHOSPHONATES IMPORT ATP-BINDING PROTEIN PHNC', NULL, NULL, NULL, 15),
(107593, NULL, 'PTHR43382:SF7', NULL, NULL, NULL, NULL, 'BNAC09G28510D PROTEIN', NULL, NULL, NULL, 15),
(107594, NULL, 'PTHR31472:SF24', NULL, NULL, NULL, NULL, 'BNAA09G03760D PROTEIN', NULL, NULL, NULL, 15),
(107595, NULL, 'PTHR10666:SF294', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 9', NULL, NULL, NULL, 15),
(107596, NULL, 'PTHR31561:SF171', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(107597, NULL, 'PTHR24343:SF389', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RTK1-RELATED', NULL, NULL, NULL, 15),
(107598, NULL, 'PTHR14919:SF0', NULL, NULL, NULL, NULL, 'SPERM FLAGELLAR PROTEIN 2', NULL, NULL, NULL, 15),
(107599, NULL, 'PTHR31375:SF146', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE-LIKE', NULL, NULL, NULL, 15),
(107600, NULL, 'PTHR22946:SF0', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE', NULL, NULL, NULL, 15),
(107601, NULL, 'PTHR11260:SF601', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U20', NULL, NULL, NULL, 15),
(107602, NULL, 'PTHR14134', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RAD18', NULL, NULL, 29440, 15),
(107603, NULL, 'PTHR33070:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107604, NULL, 'PTHR43281:SF24', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE 7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(107605, NULL, 'PTHR43888:SF38', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK PROTEIN FAMILY (HSP40) MEMBER A2B', NULL, NULL, NULL, 15),
(107606, NULL, 'PTHR31225:SF111', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 2-RELATED', NULL, NULL, NULL, 15),
(107607, NULL, 'PTHR10426:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107608, NULL, 'PTHR32208:SF88', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH, BETA-PROPELLER-RELATED', NULL, NULL, NULL, 15),
(107609, NULL, 'PTHR36506:SF1', NULL, NULL, NULL, NULL, 'PREFLAGELLIN PEPTIDASE', NULL, NULL, NULL, 15),
(107610, NULL, 'PTHR12537:SF110', NULL, NULL, NULL, NULL, 'OS11G0579900 PROTEIN', NULL, NULL, NULL, 15),
(107611, NULL, 'PTHR11972:SF142', NULL, NULL, NULL, NULL, 'FRE8, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(107612, NULL, 'PTHR11652:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S23', NULL, NULL, NULL, 15),
(107613, NULL, 'PTHR43382:SF10', NULL, NULL, NULL, NULL, 'BNAC06G18340D PROTEIN', NULL, NULL, NULL, 15),
(107614, NULL, 'PTHR15426', NULL, NULL, NULL, NULL, 'PROTEIN DEPP1', NULL, NULL, 13783, 15),
(107615, NULL, 'PTHR16223:SF172', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(107616, NULL, 'PTHR31238:SF121', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 3-RELATED', NULL, NULL, NULL, 15),
(107617, NULL, 'PTHR15427:SF2', NULL, NULL, NULL, NULL, 'EMILIN-3', NULL, NULL, NULL, 15),
(107618, NULL, 'PTHR10791:SF108', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 13', NULL, NULL, NULL, 15),
(107619, NULL, 'PTHR31589:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107620, NULL, 'PTHR45742:SF3', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C9', NULL, NULL, 30169, 15),
(107621, NULL, 'PTHR31744:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUNGBRUNNEN 1-LIKE', NULL, NULL, NULL, 15),
(107622, NULL, 'PTHR24388:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 11', NULL, NULL, NULL, 15),
(107623, NULL, 'PTHR33418', NULL, NULL, NULL, NULL, 'HELICASE-ASSOCIATED', NULL, NULL, NULL, 15),
(107624, NULL, 'PTHR10381:SF61', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT 1', NULL, NULL, NULL, 15),
(107625, NULL, 'PTHR16223:SF177', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH129', NULL, NULL, NULL, 15),
(107626, NULL, 'PTHR47044:SF2', NULL, NULL, NULL, NULL, 'OS02G0276400 PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107627, NULL, 'PTHR31072:SF140', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, TCP-RELATED', NULL, NULL, NULL, 15),
(107628, NULL, 'PTHR24096:SF341', NULL, NULL, NULL, NULL, 'PROTEIN CBG08050', NULL, NULL, NULL, 15),
(107629, NULL, 'PTHR47989:SF45', NULL, NULL, NULL, NULL, 'OS01G0750732 PROTEIN', NULL, NULL, NULL, 15),
(107630, NULL, 'PTHR46339:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG13980', NULL, NULL, NULL, 15),
(107631, NULL, 'PTHR47980:SF1', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-40A', NULL, NULL, NULL, 15),
(107632, NULL, 'PTHR33416:SF25', NULL, NULL, NULL, NULL, 'BNAA08G12480D PROTEIN', NULL, NULL, NULL, 15),
(107633, NULL, 'PTHR45906:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107634, NULL, 'PTHR32467:SF108', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-7-LIKE', NULL, NULL, NULL, 15),
(107635, NULL, 'PTHR10381:SF55', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT-RELATED PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(107636, NULL, 'PTHR33699:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107637, NULL, 'PTHR11799:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107638, NULL, 'PTHR45868:SF57', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', NULL, NULL, NULL, 15),
(107639, NULL, 'PTHR10071:SF312', NULL, NULL, NULL, NULL, 'GATA-TYPE TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(107640, NULL, 'PTHR23088:SF54', NULL, NULL, NULL, NULL, 'OMEGA-AMIDASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(107641, NULL, 'PTHR47990:SF97', NULL, NULL, NULL, NULL, 'BNAA06G08960D PROTEIN', NULL, NULL, NULL, 15),
(107642, NULL, 'PTHR31739:SF33', NULL, NULL, NULL, NULL, 'BETA-PHELLANDRENE SYNTHASE (NERYL-DIPHOSPHATE-CYCLIZING), CHLOROPLASTIC', NULL, NULL, NULL, 15),
(107643, NULL, 'PTHR46128:SF214', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(107644, NULL, 'PTHR32009:SF63', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(107645, NULL, 'PTHR22973:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TMED8', NULL, NULL, NULL, 15),
(107646, NULL, 'PTHR36307', NULL, NULL, NULL, NULL, 'FLAGELLA BASAL BODY P-RING FORMATION PROTEIN FLGA', NULL, NULL, 35875, 15),
(107647, NULL, 'PTHR35850:SF2', NULL, NULL, NULL, NULL, 'TYPE VI SECRETION SYSTEM NEEDLE SHEATH PROTEIN TSSB', NULL, NULL, NULL, 15),
(107648, NULL, 'PTHR19303:SF16', NULL, NULL, NULL, NULL, 'JERKY PROTEIN HOMOLOG-LIKE', NULL, NULL, NULL, 15),
(107649, NULL, 'PTHR11732:SF447', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107650, NULL, 'PTHR30368:SF1', NULL, NULL, NULL, NULL, 'THIOSULFATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(107651, NULL, 'PTHR43029:SF10', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER MEP2', NULL, NULL, NULL, 15),
(107652, NULL, 'PTHR44170:SF5', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY DCC SUBCLASS MEMBER 4', NULL, NULL, NULL, 15),
(107653, NULL, 'PTHR16040', NULL, NULL, NULL, NULL, 'AUSTRALIN, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(107654, NULL, 'PTHR35894:SF4', NULL, NULL, NULL, NULL, 'DAMX-RELATED PROTEIN', NULL, NULL, NULL, 15),
(107655, NULL, 'PTHR31755:SF2', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE E-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107656, NULL, 'PTHR46293:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP1', NULL, NULL, NULL, 15),
(107657, NULL, 'PTHR11636:SF70', NULL, NULL, NULL, NULL, 'INHIBITORY POU PROTEIN', NULL, NULL, NULL, 15),
(107658, NULL, 'PTHR43243:SF1', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 1', NULL, NULL, NULL, 15),
(107659, NULL, 'PTHR14237:SF70', NULL, NULL, NULL, NULL, 'BNAA09G07660D PROTEIN', NULL, NULL, NULL, 15),
(107660, NULL, 'PTHR11927:SF9', NULL, NULL, NULL, NULL, 'L-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(107661, NULL, 'PTHR46508:SF15', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE WITH RING/FYVE/PHD-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107662, NULL, 'PTHR22893:SF105', NULL, NULL, NULL, NULL, '12-OXO-PHYTODIENOIC ACID REDUCTASE', NULL, NULL, NULL, 15),
(107663, NULL, 'PTHR15420', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE COMPLEX 6.4 KD PROTEIN', NULL, NULL, 8634, 15),
(107664, NULL, 'PTHR11820:SF102', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE (FAA) HYDROLASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107665, NULL, 'PTHR42779:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YNJB', NULL, NULL, NULL, 15),
(107666, NULL, 'PTHR48017:SF117', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(107667, NULL, 'PTHR10910:SF107', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-SPECIFIC ADENOSINE DEAMINASE', NULL, NULL, NULL, 15),
(107668, NULL, 'PTHR11347:SF91', NULL, NULL, NULL, NULL, 'CAMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 4D', NULL, NULL, NULL, 15),
(107669, NULL, 'PTHR16181:SF16', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 83 MEMBER HA', NULL, NULL, NULL, 15),
(107670, NULL, 'PTHR19375:SF197', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN SSQ1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(107671, NULL, 'PTHR47413:SF4', NULL, NULL, NULL, NULL, 'BNAA04G05430D PROTEIN', NULL, NULL, NULL, 15),
(107672, NULL, 'PTHR10174:SF220', NULL, NULL, NULL, NULL, 'LD41874P', NULL, NULL, NULL, 15),
(107673, NULL, 'PTHR35567:SF9', NULL, NULL, NULL, NULL, 'CONSERVED FUNGAL PROTEIN (AFU_ORTHOLOGUE AFUA_1G14230)', NULL, NULL, NULL, 15),
(107674, NULL, 'PTHR45184:SF2', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DNAJ HOMOLOGUE PFJ2', NULL, NULL, NULL, 15),
(107675, NULL, 'PTHR45799:SF3', NULL, NULL, NULL, NULL, 'RETICULON-2', NULL, NULL, NULL, 15),
(107676, NULL, 'PTHR13923:SF22', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC31B', NULL, NULL, NULL, 15),
(107677, NULL, 'PTHR24031:SF737', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(107678, NULL, 'PTHR42774:SF10', NULL, NULL, NULL, NULL, 'RIBOKINASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(107679, NULL, 'PTHR33116:SF39', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON, UNCLASSIFIED-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107680, NULL, 'PTHR12582:SF7', NULL, NULL, NULL, NULL, 'NETRIN RECEPTOR UNC5C', NULL, NULL, NULL, 15),
(107681, NULL, 'PTHR10165:SF180', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 1', NULL, NULL, NULL, 15),
(107682, NULL, 'PTHR24281:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107683, NULL, 'PTHR27001:SF634', NULL, NULL, NULL, NULL, 'STRUBBELIG-RECEPTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107684, NULL, 'PTHR11636:SF71', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 160', NULL, NULL, 22925, 15),
(107685, NULL, 'PTHR45691:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DIAPHANOUS HOMOLOG 2', NULL, NULL, 28274, 15),
(107686, NULL, 'PTHR48017:SF94', NULL, NULL, NULL, NULL, 'OS01G0882800 PROTEIN', NULL, NULL, NULL, 15),
(107687, NULL, 'PTHR34311:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG01711', NULL, NULL, NULL, 15),
(107688, NULL, 'PTHR47729:SF1', NULL, NULL, NULL, NULL, 'SERINE PEPTIDASE INHIBITOR, KAZAL TYPE 2, TANDEM DUPLICATE 1-RELATED', NULL, NULL, NULL, 15),
(107689, NULL, 'PTHR13693:SF93', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(107690, NULL, 'PTHR11700:SF29', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S20, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(107691, NULL, 'PTHR32246:SF91', NULL, NULL, NULL, NULL, 'PROTEIN SRC2 HOMOLOG', NULL, NULL, NULL, 15),
(107692, NULL, 'PTHR33184:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107693, NULL, 'PTHR45566:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YHJB-RELATED', NULL, NULL, NULL, 15),
(107694, NULL, 'PTHR19957:SF274', NULL, NULL, NULL, NULL, 'SYNTAXIN-52', NULL, NULL, NULL, 15),
(107695, NULL, 'PTHR13848:SF73', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(107696, NULL, 'PTHR22504:SF5', NULL, NULL, NULL, NULL, 'REPRESSOR OF RNA POLYMERASE III TRANSCRIPTION MAF1 HOMOLOG', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107697, NULL, 'PTHR21654:SF66', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-3A', NULL, NULL, 24231, 15),
(107698, NULL, 'PTHR12755:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107699, NULL, 'PTHR44579:SF5', NULL, NULL, NULL, NULL, 'OS05G0529700 PROTEIN', NULL, NULL, NULL, 15),
(107700, NULL, 'PTHR44013:SF6', NULL, NULL, NULL, NULL, 'OS04G0358000 PROTEIN', NULL, NULL, NULL, 15),
(107701, NULL, 'PTHR43040', NULL, NULL, NULL, NULL, 'RIBONUCLEASE D', NULL, NULL, NULL, 15),
(107702, NULL, 'PTHR12752:SF4', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 7', NULL, NULL, NULL, 15),
(107703, NULL, 'PTHR23056:SF90', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(107704, NULL, 'PTHR42923:SF30', NULL, NULL, NULL, NULL, 'LYASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G09330)-RELATED', NULL, NULL, NULL, 15),
(107705, NULL, 'PTHR33098:SF9', NULL, NULL, NULL, NULL, 'OS09G0364400 PROTEIN', NULL, NULL, NULL, 15),
(107706, NULL, 'PTHR36912', NULL, NULL, NULL, NULL, 'ANTIGEN 332, DBL-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107707, NULL, 'PTHR42881:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0084K11.14 PROTEIN', NULL, NULL, NULL, 15),
(107708, NULL, 'PTHR10064', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22', NULL, NULL, 2769, 15),
(107709, NULL, 'PTHR43200:SF12', NULL, NULL, NULL, NULL, 'SAL3 PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(107710, NULL, 'PTHR13068:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107711, NULL, 'PTHR31221:SF249', NULL, NULL, NULL, NULL, 'BNAA05G34850D PROTEIN', NULL, NULL, NULL, 15),
(107712, NULL, 'PTHR10201:SF233', NULL, NULL, NULL, NULL, 'MATRIX METALLOPEPTIDASE 20B (ENAMELYSIN)', NULL, NULL, NULL, 15),
(107713, NULL, 'PTHR22907:SF55', NULL, NULL, NULL, NULL, 'REGULATOR OF RME (RME) CIRCUIT FORMATION', NULL, NULL, NULL, 15),
(107714, NULL, 'PTHR24073:SF825', NULL, NULL, NULL, NULL, 'SMALL GTPASE FAMILY RAB PROTEIN', NULL, NULL, NULL, 15),
(107715, NULL, 'PTHR23147:SF112', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN RNP-1', NULL, NULL, NULL, 15),
(107716, NULL, 'PTHR47750:SF6', NULL, NULL, NULL, NULL, 'BNAC07G49160D PROTEIN', NULL, NULL, NULL, 15),
(107717, NULL, 'PTHR24064:SF439', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 8', NULL, NULL, NULL, 15),
(107718, NULL, 'PTHR35108:SF9', NULL, NULL, NULL, NULL, 'BNACNNG27150D PROTEIN', NULL, NULL, NULL, 15),
(107719, NULL, 'PTHR11413:SF112', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(107720, NULL, 'PTHR10796:SF102', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(107721, NULL, 'PTHR46285:SF6', NULL, NULL, NULL, NULL, 'PLANT VIRAL-RESPONSE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107722, NULL, 'PTHR43395:SF2', NULL, NULL, NULL, NULL, 'YOP PROTEINS TRANSLOCATION PROTEIN Q', NULL, NULL, NULL, 15),
(107723, NULL, 'PTHR31948:SF96', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(107724, NULL, 'PTHR18896:SF149', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(107725, NULL, 'PTHR24414:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 8A', NULL, NULL, NULL, 15),
(107726, NULL, 'PTHR27003:SF365', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107727, NULL, 'PTHR13723:SF26', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 10', NULL, NULL, NULL, 15),
(107728, NULL, 'PTHR42678:SF25', NULL, NULL, NULL, NULL, 'C869.01-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(107729, NULL, 'PTHR32212:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107730, NULL, 'PTHR10224:SF5', NULL, NULL, NULL, NULL, 'ZGC:162944', NULL, NULL, NULL, 15),
(107731, NULL, 'PTHR33077:SF85', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 6A', NULL, NULL, NULL, 15),
(107732, NULL, 'PTHR45752:SF76', NULL, NULL, NULL, NULL, 'FLYERS-CUP, ISOFORM F', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107733, NULL, 'PTHR47336:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HMS1-RELATED', NULL, NULL, NULL, 15),
(107734, NULL, 'PTHR46684', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR FAMA', NULL, NULL, 36886, 15),
(107735, NULL, 'PTHR23073:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107736, NULL, 'PTHR31589:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107737, NULL, 'PTHR48123', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107738, NULL, 'PTHR12537:SF139', NULL, NULL, NULL, NULL, 'PUMILIO DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(107739, NULL, 'PTHR21551:SF11', NULL, NULL, NULL, NULL, 'PROTEIN PAT1 HOMOLOG 1', NULL, NULL, NULL, 15),
(107740, NULL, 'PTHR13723', NULL, NULL, NULL, NULL, 'ADAMTS  A DISINTEGRIN AND METALLOPROTEASE WITH THROMBOSPONDIN MOTIFS  PROTEASE', NULL, NULL, NULL, 15),
(107741, NULL, 'PTHR11177:SF366', NULL, NULL, NULL, NULL, 'CLASS V CHITINASE CHI100', NULL, NULL, NULL, 15),
(107742, NULL, 'PTHR23137:SF2', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(107743, NULL, 'PTHR12321:SF79', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 5', NULL, NULL, NULL, 15),
(107744, NULL, 'PTHR35177', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYBG', NULL, NULL, 1204, 15),
(107745, NULL, 'PTHR15710:SF75', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1', NULL, NULL, NULL, 15),
(107746, NULL, 'PTHR31113:SF5', NULL, NULL, NULL, NULL, 'OS04G0405700 PROTEIN', NULL, NULL, NULL, 15),
(107747, NULL, 'PTHR28660:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 73', NULL, NULL, NULL, 15),
(107748, NULL, 'PTHR33148:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107749, NULL, 'PTHR46580:SF2', NULL, NULL, NULL, NULL, 'SENSOR KINASE-RELATED', NULL, NULL, NULL, 15),
(107750, NULL, 'PTHR34436:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN M', NULL, NULL, NULL, 15),
(107751, NULL, 'PTHR23262:SF217', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 1-4', NULL, NULL, NULL, 15),
(107752, NULL, 'PTHR11085:SF39', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE HST2-2', NULL, NULL, NULL, 15),
(107753, NULL, 'PTHR12668:SF48', NULL, NULL, NULL, NULL, 'PROTEIN FATTY ACID EXPORT 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(107754, NULL, 'PTHR27006:SF284', NULL, NULL, NULL, NULL, 'BNAC03G59400D PROTEIN', NULL, NULL, NULL, 15),
(107755, NULL, 'PTHR15241:SF302', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN 38', NULL, NULL, NULL, 15),
(107756, NULL, 'PTHR47979:SF2', NULL, NULL, NULL, NULL, 'BNAA03G58300D PROTEIN', NULL, NULL, NULL, 15),
(107757, NULL, 'PTHR24061:SF403', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 113-RELATED', NULL, NULL, NULL, 15),
(107758, NULL, 'PTHR23338:SF39', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SMD1B', NULL, NULL, NULL, 15),
(107759, NULL, 'PTHR17204:SF26', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(107760, NULL, 'PTHR10791:SF172', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(107761, NULL, 'PTHR47453:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCAN, WATER DIKINASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(107762, NULL, 'PTHR11206:SF409', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(107763, NULL, 'PTHR31375:SF218', NULL, NULL, NULL, NULL, 'BNAC05G01430D PROTEIN', NULL, NULL, NULL, 15),
(107764, NULL, 'PTHR24329:SF92', NULL, NULL, NULL, NULL, 'REPRODUCTIVE HOMEOBOX 11', NULL, NULL, NULL, 15),
(107765, NULL, 'PTHR24230:SF142', NULL, NULL, NULL, NULL, 'CORAZONIN RECEPTOR, ISOFORM B', NULL, NULL, NULL, 15),
(107766, NULL, 'PTHR37705:SF8', NULL, NULL, NULL, NULL, 'BNACNNG63660D PROTEIN', NULL, NULL, NULL, 15),
(107767, NULL, 'PTHR19865:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ISOFORM X1', NULL, NULL, NULL, 15),
(107768, NULL, 'PTHR11064', NULL, NULL, NULL, NULL, 'CCAAT-BINDING TRANSCRIPTION FACTOR-RELATED', NULL, NULL, 23121, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107769, NULL, 'PTHR43567:SF1', NULL, NULL, NULL, NULL, 'FLAVOREDOXIN-RELATED', NULL, NULL, NULL, 15),
(107770, NULL, 'PTHR31988:SF29', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107771, NULL, 'PTHR43078:SF22', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE 1', NULL, NULL, NULL, 15),
(107772, NULL, 'PTHR10430:SF37', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN', NULL, NULL, NULL, 15),
(107773, NULL, 'PTHR11454:SF32', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR II', NULL, NULL, NULL, 15),
(107774, NULL, 'PTHR26453:SF299', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2AK2', NULL, NULL, NULL, 15),
(107775, NULL, 'PTHR30001', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', NULL, NULL, 2720, 15),
(107776, NULL, 'PTHR31516:SF6', NULL, NULL, NULL, NULL, 'STABILIZER OF AXONEMAL MICROTUBULES 2', NULL, NULL, NULL, 15),
(107777, NULL, 'PTHR47640:SF43', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 42-LIKE', NULL, NULL, NULL, 15),
(107778, NULL, 'PTHR31790:SF403', NULL, NULL, NULL, NULL, 'OS10G0484632 PROTEIN', NULL, NULL, NULL, 15),
(107779, NULL, 'PTHR21495:SF171', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(107780, NULL, 'PTHR21592:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CBG21921', NULL, NULL, NULL, 15),
(107781, NULL, 'PTHR31791:SF52', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107782, NULL, 'PTHR47970:SF5', NULL, NULL, NULL, NULL, 'KINESIN MOTOR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107783, NULL, 'PTHR43952:SF48', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(107784, NULL, 'PTHR27009:SF213', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(107785, NULL, 'PTHR11740:SF9', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', NULL, NULL, NULL, 15),
(107786, NULL, 'PTHR45617:SF93', NULL, NULL, NULL, NULL, 'FI02011P', NULL, NULL, NULL, 15),
(107787, NULL, 'PTHR24073:SF1128', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1B-LIKE', NULL, NULL, NULL, 15),
(107788, NULL, 'PTHR33181:SF7', NULL, NULL, NULL, NULL, 'OS07G0572400 PROTEIN', NULL, NULL, NULL, 15),
(107789, NULL, 'PTHR13063', NULL, NULL, NULL, NULL, 'ENOS INTERACTING PROTEIN', NULL, NULL, 15204, 15),
(107790, NULL, 'PTHR37610:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107791, NULL, 'PTHR36348', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(107792, NULL, 'PTHR24129:SF0', NULL, NULL, NULL, NULL, 'ANKYCORBIN', NULL, NULL, NULL, 15),
(107793, NULL, 'PTHR30290:SF10', NULL, NULL, NULL, NULL, 'PERIPLASMIC OLIGOPEPTIDE-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107794, NULL, 'PTHR36353', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(107795, NULL, 'PTHR24412:SF255', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 21', NULL, NULL, 28836, 15),
(107796, NULL, 'PTHR33026:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107797, NULL, 'PTHR45798:SF62', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3-LIKE', NULL, NULL, NULL, 15),
(107798, NULL, 'PTHR10795:SF730', NULL, NULL, NULL, NULL, 'BNAA04G17300D PROTEIN', NULL, NULL, NULL, 15),
(107799, NULL, 'PTHR19441:SF39', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 5', NULL, NULL, NULL, 15),
(107800, NULL, 'PTHR33648:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107801, NULL, 'PTHR11699:SF157', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 2 MEMBER C4', NULL, NULL, NULL, 15),
(107802, NULL, 'PTHR10606:SF15', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE/FRUCTOSE-2,6-BISPHOSPHATASE 1', NULL, NULL, NULL, 15),
(107803, NULL, 'PTHR20961:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107804, NULL, 'PTHR14000:SF1', NULL, NULL, NULL, NULL, 'FINGER CCCH DOMAIN PROTEIN, PUTATIVE (DUF3755)-RELATED', NULL, NULL, NULL, 15),
(107805, NULL, 'PTHR33571:SF17', NULL, NULL, NULL, NULL, 'SLR5017 PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107806, NULL, 'PTHR14166', NULL, NULL, NULL, NULL, 'SLIT-ROBO RHO GTPASE ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(107807, NULL, 'PTHR10132:SF17', NULL, NULL, NULL, NULL, 'EPSILON-SARCOGLYCAN', NULL, NULL, 28963, 15),
(107808, NULL, 'PTHR17068:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107809, NULL, 'PTHR10694:SF126', NULL, NULL, NULL, NULL, 'INACTIVE LYSINE-SPECIFIC DEMETHYLASE JMJ19 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(107810, NULL, 'PTHR48111:SF25', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(107811, NULL, 'PTHR10224:SF15', NULL, NULL, NULL, NULL, 'ES1 PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(107812, NULL, 'PTHR37507:SF2', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN YDCC', NULL, NULL, NULL, 15),
(107813, NULL, 'PTHR11055:SF55', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(107814, NULL, 'PTHR36939', NULL, NULL, NULL, NULL, 'PROTEIN CBG03389', NULL, NULL, NULL, 15),
(107815, NULL, 'PTHR44042:SF19', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107816, NULL, 'PTHR22762:SF146', NULL, NULL, NULL, NULL, 'BNAA07G24570D PROTEIN', NULL, NULL, NULL, 15),
(107817, NULL, 'PTHR43138:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE ACA1', NULL, NULL, NULL, 15),
(107818, NULL, 'PTHR15073:SF1', NULL, NULL, NULL, NULL, 'ENSCONSIN, ISOFORM F', NULL, NULL, NULL, 15),
(107819, NULL, 'PTHR10775:SF149', NULL, NULL, NULL, NULL, 'TRANSPOSASE-ASSOCIATED DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107820, NULL, 'PTHR10168:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107821, NULL, 'PTHR13683:SF339', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107822, NULL, 'PTHR24012:SF704', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN R', NULL, NULL, NULL, 15),
(107823, NULL, 'PTHR31624:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO PRO0149 PROTEIN', NULL, NULL, NULL, 15),
(107824, NULL, 'PTHR15664:SF16', NULL, NULL, NULL, NULL, 'BNAA01G07130D PROTEIN', NULL, NULL, NULL, 15),
(107825, NULL, 'PTHR47925:SF113', NULL, NULL, NULL, NULL, 'BNAC01G21360D PROTEIN', NULL, NULL, NULL, 15),
(107826, NULL, 'PTHR10306:SF31', NULL, NULL, NULL, NULL, 'SYNAPTOPHYSIN A', NULL, NULL, NULL, 15),
(107827, NULL, 'PTHR21654:SF88', NULL, NULL, NULL, NULL, 'BNACNNG46430D PROTEIN', NULL, NULL, NULL, 15),
(107828, NULL, 'PTHR42682:SF4', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE/PLASTOQUINONE', NULL, NULL, NULL, 15),
(107829, NULL, 'PTHR10231:SF70', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSLOCATOR 1', NULL, NULL, NULL, 15),
(107830, NULL, 'PTHR11489', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', NULL, NULL, 3854, 15),
(107831, NULL, 'PTHR45614:SF87', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN C', NULL, NULL, NULL, 15),
(107832, NULL, 'PTHR31744:SF156', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 92-LIKE', NULL, NULL, NULL, 15),
(107833, NULL, 'PTHR48048:SF58', NULL, NULL, NULL, NULL, 'BNAC05G05050D PROTEIN', NULL, NULL, NULL, 15),
(107834, NULL, 'PTHR19317:SF70', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107835, NULL, 'PTHR23226:SF267', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN X-LINKED', NULL, NULL, NULL, 15),
(107836, NULL, 'PTHR11685:SF104', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF144B', NULL, NULL, NULL, 15),
(107837, NULL, 'PTHR47279', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-30', NULL, NULL, NULL, 15),
(107838, NULL, 'PTHR23056:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107839, NULL, 'PTHR31985:SF203', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107840, NULL, 'PTHR10869:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107841, NULL, 'PTHR24281:SF171', NULL, NULL, NULL, NULL, 'TRANS-CINNAMATE 4-MONOOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(107842, NULL, 'PTHR11604:SF41', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107843, NULL, 'PTHR12802:SF121', NULL, NULL, NULL, NULL, 'OS06G0105800 PROTEIN', NULL, NULL, NULL, 15),
(107844, NULL, 'PTHR43713', NULL, NULL, NULL, NULL, 'GLUTAMATE-1-SEMIALDEHYDE 2,1-AMINOMUTASE', NULL, NULL, NULL, 15),
(107845, NULL, 'PTHR33320:SF28', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(107846, NULL, 'PTHR11926:SF1412', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 83A1-LIKE', NULL, NULL, NULL, 15),
(107847, NULL, 'PTHR31008:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107848, NULL, 'PTHR47991:SF12', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(107849, NULL, 'PTHR11054:SF21', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', NULL, NULL, NULL, 15),
(107850, NULL, 'PTHR23097:SF181', NULL, NULL, NULL, NULL, 'TNF RECEPTOR SUPERFAMILY MEMBER 11B', NULL, NULL, NULL, 15),
(107851, NULL, 'PTHR24383:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 618', NULL, NULL, NULL, 15),
(107852, NULL, 'PTHR36021:SF1', NULL, NULL, NULL, NULL, 'COREPRESSOR', NULL, NULL, NULL, 15),
(107853, NULL, 'PTHR14950:SF48', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE DICER HOMOLOG 2', NULL, NULL, NULL, 15),
(107854, NULL, 'PTHR10345', NULL, NULL, NULL, NULL, 'BONE SIALOPROTEIN 2', NULL, NULL, 8512, 15),
(107855, NULL, 'PTHR42815', NULL, NULL, NULL, NULL, 'FAD-BINDING, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G07600)-RELATED', NULL, NULL, NULL, 15),
(107856, NULL, 'PTHR23213:SF353', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(107857, NULL, 'PTHR33595:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107858, NULL, 'PTHR22953:SF130', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(107859, NULL, 'PTHR31301:SF129', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107860, NULL, 'PTHR11566:SF164', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 4A-RELATED', NULL, NULL, NULL, 15),
(107861, NULL, 'PTHR11893:SF24', NULL, NULL, NULL, NULL, 'INNEXIN-19', NULL, NULL, NULL, 15),
(107862, NULL, 'PTHR23337', NULL, NULL, NULL, NULL, 'ZINC FINGER CW-TYPE COILED-COIL DOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(107863, NULL, 'PTHR22800:SF239', NULL, NULL, NULL, NULL, 'NKG2-E TYPE II INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(107864, NULL, 'PTHR31934', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(107865, NULL, 'PTHR14186', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR BINDING PROTEIN-RELATED', NULL, NULL, 14542, 15),
(107866, NULL, 'PTHR33203:SF25', NULL, NULL, NULL, NULL, 'OLEOSIN 18.5 KDA', NULL, NULL, NULL, 15),
(107867, NULL, 'PTHR11764:SF40', NULL, NULL, NULL, NULL, 'SPORULENOL SYNTHASE', NULL, NULL, NULL, 15),
(107868, NULL, 'PTHR11830:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', NULL, NULL, NULL, 15),
(107869, NULL, 'PTHR11946:SF110', NULL, NULL, NULL, NULL, 'VALINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(107870, NULL, 'PTHR46078:SF5', NULL, NULL, NULL, NULL, 'FORKHEAD BOX J3', NULL, NULL, NULL, 15),
(107871, NULL, 'PTHR31213:SF23', NULL, NULL, NULL, NULL, 'OS04G0593400 PROTEIN', NULL, NULL, NULL, 15),
(107872, NULL, 'PTHR19432:SF79', NULL, NULL, NULL, NULL, 'SUCROSE/H+ SYMPORTER, PLANT, MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107873, NULL, 'PTHR22878', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(107874, NULL, 'PTHR10516:SF25', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP4', NULL, NULL, 27125, 15),
(107875, NULL, 'PTHR36798:SF3', NULL, NULL, NULL, NULL, 'BNAA10G16930D PROTEIN', NULL, NULL, NULL, 15),
(107876, NULL, 'PTHR11822:SF34', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', NULL, NULL, NULL, 15),
(107877, NULL, 'PTHR32009:SF95', NULL, NULL, NULL, NULL, 'BNAC02G47360D PROTEIN', NULL, NULL, NULL, 15),
(107878, NULL, 'PTHR43272:SF43', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107879, NULL, 'PTHR24281:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107880, NULL, 'PTHR21622:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG18121', NULL, NULL, NULL, 15),
(107881, NULL, 'PTHR23024:SF467', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 13-RELATED', NULL, NULL, NULL, 15),
(107882, NULL, 'PTHR46057:SF37', NULL, NULL, NULL, NULL, 'BNAA04G25820D PROTEIN', NULL, NULL, NULL, 15),
(107883, NULL, 'PTHR47273:SF9', NULL, NULL, NULL, NULL, 'BNAC09G20310D PROTEIN', NULL, NULL, NULL, 15),
(107884, NULL, 'PTHR31081:SF3', NULL, NULL, NULL, NULL, 'OS12G0503000 PROTEIN', NULL, NULL, NULL, 15),
(107885, NULL, 'PTHR26452:SF85', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(107886, NULL, 'PTHR38568', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107887, NULL, 'PTHR31238:SF184', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107888, NULL, 'PTHR46236:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107889, NULL, 'PTHR46336:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107890, NULL, 'PTHR35042', NULL, NULL, NULL, NULL, 'ANTHRONE OXYGENASE ENCC', NULL, NULL, NULL, 15),
(107891, NULL, 'PTHR14677:SF25', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN TMC1', NULL, NULL, NULL, 15),
(107892, NULL, 'PTHR48002:SF57', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(107893, NULL, 'PTHR33781', NULL, NULL, NULL, NULL, 'PROTEIN PHYTOCHROME KINASE SUBSTRATE 1-RELATED', NULL, NULL, 29309, 15),
(107894, NULL, 'PTHR31388:SF178', NULL, NULL, NULL, NULL, 'PEROXIDASE 36', NULL, NULL, NULL, 15),
(107895, NULL, 'PTHR11783:SF251', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(107896, NULL, 'PTHR48021:SF17', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 3', NULL, NULL, NULL, 15),
(107897, NULL, 'PTHR33981:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107898, NULL, 'PTHR33167:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (DUF863)-RELATED', NULL, NULL, NULL, 15),
(107899, NULL, 'PTHR23389:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107900, NULL, 'PTHR19271:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107901, NULL, 'PTHR12483:SF98', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 1-LIKE', NULL, NULL, NULL, 15),
(107902, NULL, 'PTHR31623:SF62', NULL, NULL, NULL, NULL, 'BNAA03G57990D PROTEIN', NULL, NULL, NULL, 15),
(107903, NULL, 'PTHR46151:SF29', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE, YMGG-LIKE GLY-ZIPPER-RELATED', NULL, NULL, NULL, 15),
(107904, NULL, 'PTHR12877:SF16', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 10-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107905, NULL, 'PTHR37425:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107906, NULL, 'PTHR33344:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107907, NULL, 'PTHR46824:SF5', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML50-RELATED', NULL, NULL, NULL, 15),
(107908, NULL, 'PTHR10641:SF586', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB106', NULL, NULL, NULL, 15),
(107909, NULL, 'PTHR20916:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107910, NULL, 'PTHR12317:SF16', NULL, NULL, NULL, NULL, 'ACYL-COA WAX ALCOHOL ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(107911, NULL, 'PTHR46858:SF7', NULL, NULL, NULL, NULL, 'AUXIN-REGULATED PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107912, NULL, 'PTHR22803:SF125', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING 19A', NULL, NULL, NULL, 15),
(107913, NULL, 'PTHR47266', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107914, NULL, 'PTHR47435:SF8', NULL, NULL, NULL, NULL, 'BNAA05G36920D PROTEIN', NULL, NULL, NULL, 15),
(107915, NULL, 'PTHR33120:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107916, NULL, 'PTHR11036:SF90', NULL, NULL, NULL, NULL, 'SEMAPHORIN 2B, ISOFORM D-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107917, NULL, 'PTHR36333', NULL, NULL, NULL, NULL, 'DIMETHYLALLYL, ADENOSINE TRNA METHYLTHIOTRANSFERASE', NULL, NULL, NULL, 15),
(107918, NULL, 'PTHR31908:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CROWDED NUCLEI 1', NULL, NULL, NULL, 15),
(107919, NULL, 'PTHR45691:SF10', NULL, NULL, NULL, NULL, 'INVERTED FORMIN/FORMIN THREE-RELATED', NULL, NULL, NULL, 15),
(107920, NULL, 'PTHR45618:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 3', NULL, NULL, NULL, 15),
(107921, NULL, 'PTHR48021:SF49', NULL, NULL, NULL, NULL, 'FI02132P-RELATED', NULL, NULL, NULL, 15),
(107922, NULL, 'PTHR43522:SF15', NULL, NULL, NULL, NULL, 'BNACNNG31120D PROTEIN', NULL, NULL, NULL, 15),
(107923, NULL, 'PTHR11202:SF18', NULL, NULL, NULL, NULL, 'SPROUTY-RELATED, EVH1 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(107924, NULL, 'PTHR31080:SF222', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107925, NULL, 'PTHR23232:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 154', NULL, NULL, NULL, 15),
(107926, NULL, 'PTHR11043:SF17', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-3', NULL, NULL, NULL, 15),
(107927, NULL, 'PTHR21717:SF64', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(107928, NULL, 'PTHR11588:SF393', NULL, NULL, NULL, NULL, 'TUBULIN BETA-9 CHAIN', NULL, NULL, NULL, 15),
(107929, NULL, 'PTHR23507:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107930, NULL, 'PTHR43180:SF31', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE/REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G16570)-RELATED', NULL, NULL, NULL, 15),
(107931, NULL, 'PTHR34188', NULL, NULL, NULL, NULL, 'OS01G0299500 PROTEIN', NULL, NULL, NULL, 15),
(107932, NULL, 'PTHR47592:SF14', NULL, NULL, NULL, NULL, 'GAG-POL POLYPROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(107933, NULL, 'PTHR39936:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-253P2.2-RELATED', NULL, NULL, NULL, 15),
(107934, NULL, 'PTHR48019:SF60', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 25', NULL, NULL, NULL, 15),
(107935, NULL, 'PTHR34596', NULL, NULL, NULL, NULL, 'CHITOPORIN', NULL, NULL, 5209, 15),
(107936, NULL, 'PTHR45617:SF38', NULL, NULL, NULL, NULL, 'PLATELET GLYCOPROTEIN V', NULL, NULL, NULL, 15),
(107937, NULL, 'PTHR47993:SF177', NULL, NULL, NULL, NULL, 'OS04G0385100 PROTEIN', NULL, NULL, NULL, 15),
(107938, NULL, 'PTHR35546:SF23', NULL, NULL, NULL, NULL, 'BNAC03G64480D PROTEIN', NULL, NULL, NULL, 15),
(107939, NULL, 'PTHR12313:SF74', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA3-LIKE', NULL, NULL, NULL, 15),
(107940, NULL, 'PTHR31995:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR (TFIIS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107941, NULL, 'PTHR11165:SF140', NULL, NULL, NULL, NULL, 'OS03G0107000 PROTEIN', NULL, NULL, NULL, 15),
(107942, NULL, 'PTHR22406', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 26536, 15),
(107943, NULL, 'PTHR11685:SF273', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(107944, NULL, 'PTHR46446:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE4', NULL, NULL, NULL, 15),
(107945, NULL, 'PTHR47748:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107946, NULL, 'PTHR46137:SF2', NULL, NULL, NULL, NULL, 'OS09G0526800 PROTEIN', NULL, NULL, NULL, 15),
(107947, NULL, 'PTHR43731:SF23', NULL, NULL, NULL, NULL, 'BNACNNG41880D PROTEIN', NULL, NULL, NULL, 15),
(107948, NULL, 'PTHR43304', NULL, NULL, NULL, NULL, 'PHYTOCHROME-LIKE PROTEIN CPH1', NULL, NULL, NULL, 15),
(107949, NULL, 'PTHR31865:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0004B13.24 PROTEIN', NULL, NULL, NULL, 15),
(107950, NULL, 'PTHR24281:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107951, NULL, 'PTHR43605:SF8', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE ACSM4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(107952, NULL, 'PTHR33509:SF32', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN LEA5-D-LIKE', NULL, NULL, NULL, 15),
(107953, NULL, 'PTHR24349:SF95', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 3', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107954, NULL, 'PTHR10404:SF41', NULL, NULL, NULL, NULL, 'GLUTAMATE CARBOXYPEPTIDASE 2 HOMOLOG', NULL, NULL, NULL, 15),
(107955, NULL, 'PTHR24423:SF622', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', NULL, NULL, NULL, 15),
(107956, NULL, 'PTHR11709:SF371', NULL, NULL, NULL, NULL, 'MONOCOPPER OXIDASE-LIKE PROTEIN SKU5', NULL, NULL, NULL, 15),
(107957, NULL, 'PTHR43842:SF2', NULL, NULL, NULL, NULL, 'PROPIONYL-COA CARBOXYLASE BETA CHAIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(107958, NULL, 'PTHR24198:SF65', NULL, NULL, NULL, NULL, 'RECEPTOR-INTERACTING SERINE/THREONINE-PROTEIN KINASE 4', NULL, NULL, NULL, 15),
(107959, NULL, 'PTHR12358:SF78', NULL, NULL, NULL, NULL, 'SPHINGOSINE KINASE RELATED PROTEIN', NULL, NULL, NULL, 15),
(107960, NULL, 'PTHR21407:SF5', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN 27KD, ISOFORM A', NULL, NULL, NULL, 15),
(107961, NULL, 'PTHR12064:SF28', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER CNNM1', NULL, NULL, NULL, 15),
(107962, NULL, 'PTHR10671:SF43', NULL, NULL, NULL, NULL, 'GERM CELL-SPECIFIC GENE 1 PROTEIN', NULL, NULL, NULL, 15),
(107963, NULL, 'PTHR31232:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107964, NULL, 'PTHR45658:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107965, NULL, 'PTHR11474:SF95', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(107966, NULL, 'PTHR43085:SF27', NULL, NULL, NULL, NULL, 'CARBOHYDRATE KINASE PFKB', NULL, NULL, NULL, 15),
(107967, NULL, 'PTHR37228', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S21 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(107968, NULL, 'PTHR12864:SF19', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 10', NULL, NULL, NULL, 15),
(107969, NULL, 'PTHR19248:SF27', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER E FAMILY MEMBER 2-RELATED', NULL, NULL, NULL, 15),
(107970, NULL, 'PTHR24055:SF471', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(107971, NULL, 'PTHR42068', NULL, NULL, NULL, NULL, 'YALI0B18964P', NULL, NULL, NULL, 15),
(107972, NULL, 'PTHR38595', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(107973, NULL, 'PTHR45290:SF1', NULL, NULL, NULL, NULL, 'OS03G0300300 PROTEIN', NULL, NULL, NULL, 15),
(107974, NULL, 'PTHR22883:SF356', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(107975, NULL, 'PTHR21528:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107976, NULL, 'PTHR15264', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 1', NULL, NULL, 39278, 15),
(107977, NULL, 'PTHR31683:SF96', NULL, NULL, NULL, NULL, 'PECTATE LYASE 14-RELATED', NULL, NULL, NULL, 15),
(107978, NULL, 'PTHR11709:SF289', NULL, NULL, NULL, NULL, 'LACCASE-10', NULL, NULL, NULL, 15),
(107979, NULL, 'PTHR23428:SF167', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 3-B', NULL, NULL, NULL, 15),
(107980, NULL, 'PTHR43160:SF2', NULL, NULL, NULL, NULL, 'HOMOCITRATE DEHYDRATASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(107981, NULL, 'PTHR42685:SF19', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(107982, NULL, 'PTHR33168:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107983, NULL, 'PTHR46038:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107984, NULL, 'PTHR37352:SF1', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC GENE 13 PROTEIN', NULL, NULL, NULL, 15),
(107985, NULL, 'PTHR32054:SF56', NULL, NULL, NULL, NULL, 'BNAA10G28710D PROTEIN', NULL, NULL, NULL, 15),
(107986, NULL, 'PTHR31896:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107987, NULL, 'PTHR24039:SF28', NULL, NULL, NULL, NULL, 'FIBRILLIN 2B', NULL, NULL, NULL, 15),
(107988, NULL, 'PTHR24064:SF467', NULL, NULL, NULL, NULL, 'FI01439P-RELATED', NULL, NULL, NULL, 15),
(107989, NULL, 'PTHR46069', NULL, NULL, NULL, NULL, 'TUBULIN TYROSINE LIGASE', NULL, NULL, NULL, 15),
(107990, NULL, 'PTHR10264:SF66', NULL, NULL, NULL, NULL, 'STOMATIN', NULL, NULL, NULL, 15),
(107991, NULL, 'PTHR31164:SF1', NULL, NULL, NULL, NULL, 'RAD52 MOTIF-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(107992, NULL, 'PTHR19422:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107993, NULL, 'PTHR10926:SF19', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN 50B', NULL, NULL, 25436, 15),
(107994, NULL, 'PTHR31045:SF3', NULL, NULL, NULL, NULL, 'OS11G0109700 PROTEIN', NULL, NULL, NULL, 15),
(107995, NULL, 'PTHR24221:SF501', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY B (MDR/TAP), MEMBER 4', NULL, NULL, NULL, 15),
(107996, NULL, 'PTHR23003:SF15', NULL, NULL, NULL, NULL, 'MYELIN EXPRESSION FACTOR 2', NULL, NULL, 12453, 15),
(107997, NULL, 'PTHR22835:SF605', NULL, NULL, NULL, NULL, 'BNACNNG43610D PROTEIN', NULL, NULL, NULL, 15),
(107998, NULL, 'PTHR47950:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(107999, NULL, 'PTHR31642:SF114', NULL, NULL, NULL, NULL, 'OS11G0644500 PROTEIN', NULL, NULL, NULL, 15),
(108000, NULL, 'PTHR45721:SF1', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFC-2', NULL, NULL, NULL, 15),
(108001, NULL, 'PTHR31865:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108002, NULL, 'PTHR32083', NULL, NULL, NULL, NULL, 'CILIA AND FLAGELLA-ASSOCIATED PROTEIN 58-RELATED', NULL, NULL, NULL, 15),
(108003, NULL, 'PTHR24027:SF429', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108004, NULL, 'PTHR47989:SF34', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ALE2', NULL, NULL, NULL, 15),
(108005, NULL, 'PTHR47956:SF69', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108006, NULL, 'PTHR30543:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108007, NULL, 'PTHR31147:SF33', NULL, NULL, NULL, NULL, 'N-HYDROXYCINNAMOYL/BENZOYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(108008, NULL, 'PTHR10901:SF9', NULL, NULL, NULL, NULL, 'TROPOMODULIN-4', NULL, NULL, 23624, 15),
(108009, NULL, 'PTHR22951:SF89', NULL, NULL, NULL, NULL, 'OS05G0549000 PROTEIN', NULL, NULL, NULL, 15),
(108010, NULL, 'PTHR10108:SF1126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108011, NULL, 'PTHR10057:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108012, NULL, 'PTHR24343:SF457', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE 11', NULL, NULL, NULL, 15),
(108013, NULL, 'PTHR33148:SF56', NULL, NULL, NULL, NULL, 'BNAANNG16590D PROTEIN', NULL, NULL, NULL, 15),
(108014, NULL, 'PTHR11679:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108015, NULL, 'PTHR22906:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG15924', NULL, NULL, NULL, 15),
(108016, NULL, 'PTHR22736:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 66', NULL, NULL, NULL, 15),
(108017, NULL, 'PTHR31899:SF10', NULL, NULL, NULL, NULL, 'BETA-CAROTENE HYDROXYLASE', NULL, NULL, NULL, 15),
(108018, NULL, 'PTHR26312:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108019, NULL, 'PTHR12802:SF55', NULL, NULL, NULL, NULL, 'OS05G0162800 PROTEIN', NULL, NULL, NULL, 15),
(108020, NULL, 'PTHR46377', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 19', NULL, NULL, NULL, 15),
(108021, NULL, 'PTHR23112:SF36', NULL, NULL, NULL, NULL, 'SI:DKEY-30C15.2', NULL, NULL, NULL, 15),
(108022, NULL, 'PTHR33107:SF51', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(108023, NULL, 'PTHR46128:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108024, NULL, 'PTHR47300', NULL, NULL, NULL, NULL, 'PROTEIN KASH5', NULL, NULL, 24739, 15),
(108025, NULL, 'PTHR10277:SF72', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE B-LIKE', NULL, NULL, NULL, 15),
(108026, NULL, 'PTHR47928:SF10', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(108027, NULL, 'PTHR45898:SF6', NULL, NULL, NULL, NULL, 'OS05G0475300 PROTEIN', NULL, NULL, NULL, 15),
(108028, NULL, 'PTHR28081:SF1', NULL, NULL, NULL, NULL, 'DAMAGE-REGULATED IMPORT FACILITATOR 1-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108029, NULL, 'PTHR24300:SF328', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 508B1-RELATED', NULL, NULL, NULL, 15),
(108030, NULL, 'PTHR11721:SF25', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27A', NULL, NULL, NULL, 15),
(108031, NULL, 'PTHR11439:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108032, NULL, 'PTHR13690:SF146', NULL, NULL, NULL, NULL, 'BNAA09G43320D PROTEIN', NULL, NULL, NULL, 15),
(108033, NULL, 'PTHR45977:SF28', NULL, NULL, NULL, NULL, 'TARGET OF ERK KINASE MPK-1', NULL, NULL, NULL, 15),
(108034, NULL, 'PTHR19282:SF437', NULL, NULL, NULL, NULL, 'TETRASPANIN 42EP, ISOFORM A', NULL, NULL, NULL, 15),
(108035, NULL, 'PTHR24281:SF211', NULL, NULL, NULL, NULL, 'CYTOCHROME 78A6', NULL, NULL, NULL, 15),
(108036, NULL, 'PTHR37825', NULL, NULL, NULL, NULL, 'TRNA(MET) CYTIDINE ACETATE LIGASE', NULL, NULL, 12634, 15),
(108037, NULL, 'PTHR23104', NULL, NULL, NULL, NULL, 'MULTIPLE COAGULATION FACTOR DEFICIENCY PROTEIN 2  NEURAL STEM CELL DERIVED NEURONAL SURVIVAL PROTEIN', NULL, NULL, NULL, 15),
(108038, NULL, 'PTHR10811:SF19', NULL, NULL, NULL, NULL, '(C)1 PROVIRUS ANCESTRAL ENV POLYPROTEIN, PUTATIVE (DUF604)-RELATED', NULL, NULL, NULL, 15),
(108039, NULL, 'PTHR31509:SF118', NULL, NULL, NULL, NULL, 'PROTEIN BPS1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(108040, NULL, 'PTHR31251:SF137', NULL, NULL, NULL, NULL, 'BNAANNG08550D PROTEIN', NULL, NULL, NULL, 15),
(108041, NULL, 'PTHR22937:SF157', NULL, NULL, NULL, NULL, 'BNAANNG27220D PROTEIN', NULL, NULL, NULL, 15),
(108042, NULL, 'PTHR45649:SF17', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1 HOMOLOG', NULL, NULL, NULL, 15),
(108043, NULL, 'PTHR23226:SF258', NULL, NULL, NULL, NULL, 'SCAN DOMAIN-CONTAINING PROTEIN SCAND2P-RELATED', NULL, NULL, NULL, 15),
(108044, NULL, 'PTHR46085:SF8', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD14 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(108045, NULL, 'PTHR22747:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108046, NULL, 'PTHR44191:SF16', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(108047, NULL, 'PTHR15268:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108048, NULL, 'PTHR47520:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG23236', NULL, NULL, NULL, 15),
(108049, NULL, 'PTHR22929:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108050, NULL, 'PTHR46619:SF2', NULL, NULL, NULL, NULL, 'XS DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(108051, NULL, 'PTHR10438:SF440', NULL, NULL, NULL, NULL, 'THIOREDOXIN-RELATED', NULL, NULL, NULL, 15),
(108052, NULL, 'PTHR11699:SF268', NULL, NULL, NULL, NULL, 'MAGNESIUM-ACTIVATED ALDEHYDE DEHYDROGENASE, CYTOSOLIC-RELATED', NULL, NULL, NULL, 15),
(108053, NULL, 'PTHR21085:SF2', NULL, NULL, NULL, NULL, 'CHORISMATE SYNTHASE', NULL, NULL, NULL, 15),
(108054, NULL, 'PTHR48007:SF34', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 8-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(108055, NULL, 'PTHR13439:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG08489', NULL, NULL, NULL, 15),
(108056, NULL, 'PTHR22750:SF51', NULL, NULL, NULL, NULL, 'T8K14.7 PROTEIN', NULL, NULL, NULL, 15),
(108057, NULL, 'PTHR46328', NULL, NULL, NULL, NULL, 'FAR-RED IMPAIRED RESPONSIVE (FAR1) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(108058, NULL, 'PTHR23036:SF109', NULL, NULL, NULL, NULL, 'LEPTIN RECEPTOR', NULL, NULL, 11509, 15),
(108059, NULL, 'PTHR24416:SF525', NULL, NULL, NULL, NULL, 'INSULIN-LIKE RECEPTOR', NULL, NULL, NULL, 15),
(108060, NULL, 'PTHR45987:SF16', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L12-1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(108061, NULL, 'PTHR31377', NULL, NULL, NULL, NULL, 'AGMATINE DEIMINASE-RELATED', NULL, NULL, 4884, 15),
(108062, NULL, 'PTHR43222:SF3', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 23, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(108063, NULL, 'PTHR10315:SF127', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(108064, NULL, 'PTHR24174:SF13', NULL, NULL, NULL, NULL, 'SI:DKEY-34E4.1', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108065, NULL, 'PTHR13148:SF10', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', NULL, NULL, NULL, 15),
(108066, NULL, 'PTHR23406:SF73', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT MALIC ENZYME 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(108067, NULL, 'PTHR24282:SF222', NULL, NULL, NULL, NULL, 'CYTOCHROMEA6', NULL, NULL, NULL, 15),
(108068, NULL, 'PTHR36861', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 116', NULL, NULL, 27089, 15),
(108069, NULL, 'PTHR43759:SF1', NULL, NULL, NULL, NULL, 'TREHALOSE TRANSPORT SYSTEM PERMEASE PROTEIN SUGA', NULL, NULL, NULL, 15),
(108070, NULL, 'PTHR47338', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(108071, NULL, 'PTHR23429:SF17', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE', NULL, NULL, NULL, 15),
(108072, NULL, 'PTHR46872:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108073, NULL, 'PTHR48048:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(108074, NULL, 'PTHR23509:SF10', NULL, NULL, NULL, NULL, 'LD21067P', NULL, NULL, NULL, 15),
(108075, NULL, 'PTHR46368:SF11', NULL, NULL, NULL, NULL, 'BNAC06G08100D PROTEIN', NULL, NULL, NULL, 15),
(108076, NULL, 'PTHR47088', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(108077, NULL, 'PTHR21136:SF186', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(108078, NULL, 'PTHR34595:SF2', NULL, NULL, NULL, NULL, 'SLL1039 PROTEIN', NULL, NULL, NULL, 15),
(108079, NULL, 'PTHR24089:SF688', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL1-RELATED', NULL, NULL, NULL, 15),
(108080, NULL, 'PTHR33127:SF4', NULL, NULL, NULL, NULL, 'OS03G0780000 PROTEIN', NULL, NULL, NULL, 15),
(108081, NULL, 'PTHR10269:SF15', NULL, NULL, NULL, NULL, 'GDNF FAMILY RECEPTOR ALPHA-3', NULL, NULL, NULL, 15),
(108082, NULL, 'PTHR42085:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108083, NULL, 'PTHR12506:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 32', NULL, NULL, NULL, 15),
(108084, NULL, 'PTHR47926:SF281', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(108085, NULL, 'PTHR45694:SF13', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C1', NULL, NULL, NULL, 15),
(108086, NULL, 'PTHR11890:SF3', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(108087, NULL, 'PTHR37994:SF1', NULL, NULL, NULL, NULL, 'YALI0C01694P', NULL, NULL, NULL, 15),
(108088, NULL, 'PTHR13555', NULL, NULL, NULL, NULL, 'C2H2 ZINC FINGER CGI-62-RELATED', NULL, NULL, 27799, 15),
(108089, NULL, 'PTHR11035:SF38', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE', NULL, NULL, NULL, 15),
(108090, NULL, 'PTHR33836:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108091, NULL, 'PTHR36477:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 225B', NULL, NULL, NULL, 15),
(108092, NULL, 'PTHR11732:SF177', NULL, NULL, NULL, NULL, 'PROTEIN CBG08596', NULL, NULL, NULL, 15),
(108093, NULL, 'PTHR10476:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108094, NULL, 'PTHR44137:SF12', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(108095, NULL, 'PTHR31621:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108096, NULL, 'PTHR32133:SF288', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108097, NULL, 'PTHR15607', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN-RELATED', NULL, NULL, 15661, 15),
(108098, NULL, 'PTHR11679:SF68', NULL, NULL, NULL, NULL, 'SEC1 FAMILY TRANSPORT PROTEIN SLY1', NULL, NULL, NULL, 15),
(108099, NULL, 'PTHR31964:SF113', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(108100, NULL, 'PTHR42751:SF1', NULL, NULL, NULL, NULL, 'CATION/PROTON ANTIPORTER YBAL-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108101, NULL, 'PTHR12748:SF1', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(108102, NULL, 'PTHR31269:SF5', NULL, NULL, NULL, NULL, 'OS01G0226600 PROTEIN', NULL, NULL, NULL, 15),
(108103, NULL, 'PTHR33377:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108104, NULL, 'PTHR43534', NULL, NULL, NULL, NULL, 'MIND SUPERFAMILY P-LOOP ATPASE CONTAINING AN INSERTED FERREDOXIN DOMAIN', NULL, NULL, NULL, 15),
(108105, NULL, 'PTHR19143:SF377', NULL, NULL, NULL, NULL, 'FICOLIN 1', NULL, NULL, NULL, 15),
(108106, NULL, 'PTHR10177:SF402', NULL, NULL, NULL, NULL, 'CYCLIN-B2-1', NULL, NULL, NULL, 15),
(108107, NULL, 'PTHR46135', NULL, NULL, NULL, NULL, 'NME/NM23 FAMILY MEMBER 8', NULL, NULL, NULL, 15),
(108108, NULL, 'PTHR20916:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108109, NULL, 'PTHR30367', NULL, NULL, NULL, NULL, 'P-HYDROXYBENZOIC ACID EFFLUX PUMP SUBUNIT AAEA-RELATED', NULL, NULL, NULL, 15),
(108110, NULL, 'PTHR24223:SF380', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN ABC TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108111, NULL, 'PTHR11849:SF30', NULL, NULL, NULL, NULL, 'ETS TRANSLOCATION VARIANT 3', NULL, NULL, 26801, 15),
(108112, NULL, 'PTHR12632:SF55', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-7-LIKE', NULL, NULL, NULL, 15),
(108113, NULL, 'PTHR35072:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 91', NULL, NULL, NULL, 15),
(108114, NULL, 'PTHR10574:SF223', NULL, NULL, NULL, NULL, 'ATTRACTIN-RELATED', NULL, NULL, NULL, 15),
(108115, NULL, 'PTHR45752:SF100', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(108116, NULL, 'PTHR43969:SF8', NULL, NULL, NULL, NULL, 'GLUTATHIONE S TRANSFERASE E13, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(108117, NULL, 'PTHR19339:SF5', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 39', NULL, NULL, NULL, 15),
(108118, NULL, 'PTHR47187:SF1', NULL, NULL, NULL, NULL, 'NFATC2-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(108119, NULL, 'PTHR47866:SF2', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108120, NULL, 'PTHR34391', NULL, NULL, NULL, NULL, 'UPF0658 GOLGI APPARATUS MEMBRANE PROTEIN C1952.10C-RELATED', NULL, NULL, 30498, 15),
(108121, NULL, 'PTHR43242', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(108122, NULL, 'PTHR48053:SF45', NULL, NULL, NULL, NULL, 'OS02G0216000 PROTEIN', NULL, NULL, NULL, 15),
(108123, NULL, 'PTHR31208:SF14', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108124, NULL, 'PTHR11511:SF24', NULL, NULL, NULL, NULL, 'GH04080P', NULL, NULL, NULL, 15),
(108125, NULL, 'PTHR22629:SF0', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(108126, NULL, 'PTHR24331', NULL, NULL, NULL, NULL, 'DBX', NULL, NULL, NULL, 15),
(108127, NULL, 'PTHR37312:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND ACYLTRANSFERASE YKRP-RELATED', NULL, NULL, NULL, 15),
(108128, NULL, 'PTHR13935:SF82', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(108129, NULL, 'PTHR31374:SF214', NULL, NULL, NULL, NULL, 'AUXIN RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(108130, NULL, 'PTHR12085', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B'''' SUBUNIT GAMMA', NULL, NULL, 34000, 15),
(108131, NULL, 'PTHR14614:SF2', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 23', NULL, NULL, NULL, 15),
(108132, NULL, 'PTHR47157', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 1-LIKE', NULL, NULL, 27632, 15),
(108133, NULL, 'PTHR40257:SF1', NULL, NULL, NULL, NULL, 'BLL7059 PROTEIN', NULL, NULL, NULL, 15),
(108134, NULL, 'PTHR47958:SF10', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX39A', NULL, NULL, NULL, 15),
(108135, NULL, 'PTHR31790:SF406', NULL, NULL, NULL, NULL, 'BNAC05G49080D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108136, NULL, 'PTHR11347:SF135', NULL, NULL, NULL, NULL, 'CAMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 4C', NULL, NULL, NULL, 15),
(108137, NULL, 'PTHR17085:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108138, NULL, 'PTHR24377:SF881', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 222', NULL, NULL, NULL, 15),
(108139, NULL, 'PTHR33065:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108140, NULL, 'PTHR24103:SF632', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 48-RELATED', NULL, NULL, NULL, 15),
(108141, NULL, 'PTHR32044:SF57', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(108142, NULL, 'PTHR10071:SF319', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN GLN3', NULL, NULL, NULL, 15),
(108143, NULL, 'PTHR24057:SF14', NULL, NULL, NULL, NULL, 'GLYCOGEN SYNTHASE KINASE-3 ALPHA', NULL, NULL, NULL, 15),
(108144, NULL, 'PTHR13468:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108145, NULL, 'PTHR46401:SF8', NULL, NULL, NULL, NULL, 'BLL6006 PROTEIN', NULL, NULL, NULL, 15),
(108146, NULL, 'PTHR33136:SF66', NULL, NULL, NULL, NULL, 'BNAANNG02440D PROTEIN', NULL, NULL, NULL, 15),
(108147, NULL, 'PTHR45627:SF8', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 9', NULL, NULL, NULL, 15),
(108148, NULL, 'PTHR33077:SF75', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 4B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(108149, NULL, 'PTHR10894', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 5  NUCLEOLAR PROTEIN NOP5  NOP58', NULL, NULL, 36774, 15),
(108150, NULL, 'PTHR46701:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(108151, NULL, 'PTHR45672:SF3', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(108152, NULL, 'PTHR47968:SF19', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108153, NULL, 'PTHR22461:SF2', NULL, NULL, NULL, NULL, 'SERINE-RICH COILED-COIL DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 24118, 15),
(108154, NULL, 'PTHR24179', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 12', NULL, NULL, NULL, 15),
(108155, NULL, 'PTHR12403', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 2', NULL, NULL, 2191, 15),
(108156, NULL, 'PTHR37984:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG26694', NULL, NULL, NULL, 15),
(108157, NULL, 'PTHR48069:SF1', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(108158, NULL, 'PTHR10046:SF49', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(108159, NULL, 'PTHR33981:SF13', NULL, NULL, NULL, NULL, 'OS01G0151100 PROTEIN', NULL, NULL, NULL, 15),
(108160, NULL, 'PTHR11638:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108161, NULL, 'PTHR22807:SF70', NULL, NULL, NULL, NULL, 'TRNA/RRNA CYTOSINE-C5-METHYLASE, NOL1/NOP2/SUN FAMILY, FUSED TO N-TERMINAL NUSB REGULATOR DOMAIN', NULL, NULL, NULL, 15),
(108162, NULL, 'PTHR36872:SF1', NULL, NULL, NULL, NULL, 'GENE 5901-RELATED', NULL, NULL, NULL, 15),
(108163, NULL, 'PTHR31147:SF27', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108164, NULL, 'PTHR12262', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(108165, NULL, 'PTHR13301:SF203', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', NULL, NULL, NULL, 15),
(108166, NULL, 'PTHR46021:SF5', NULL, NULL, NULL, NULL, 'ARF-GAP WITH DUAL PH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(108167, NULL, 'PTHR41263:SF1', NULL, NULL, NULL, NULL, 'ASPARTYL-PHOSPHATE PHOSPHATASE YISI', NULL, NULL, NULL, 15),
(108168, NULL, 'PTHR24271:SF47', NULL, NULL, NULL, NULL, 'KALLIKREIN-1', NULL, NULL, NULL, 15),
(108169, NULL, 'PTHR33700:SF18', NULL, NULL, NULL, NULL, 'BNAA09G42300D PROTEIN', NULL, NULL, NULL, 15),
(108170, NULL, 'PTHR24230', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(108171, NULL, 'PTHR11908:SF98', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108172, NULL, 'PTHR21495:SF50', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(108173, NULL, 'PTHR45521:SF3', NULL, NULL, NULL, NULL, 'BNAC07G49640D PROTEIN', NULL, NULL, NULL, 15),
(108174, NULL, 'PTHR34396:SF12', NULL, NULL, NULL, NULL, 'BED ZINC FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108175, NULL, 'PTHR20953:SF13', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(108176, NULL, 'PTHR45080:SF13', NULL, NULL, NULL, NULL, 'WRAPPER/REGA-1/KLINGON HOMOLOG', NULL, NULL, NULL, 15),
(108177, NULL, 'PTHR11412:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108178, NULL, 'PTHR32133:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108179, NULL, 'PTHR13375', NULL, NULL, NULL, NULL, 'FMS INTERACTING PROTEIN', NULL, NULL, 18827, 15),
(108180, NULL, 'PTHR22529:SF1', NULL, NULL, NULL, NULL, 'EPITHELIAL-STROMAL INTERACTION PROTEIN 1', NULL, NULL, NULL, 15),
(108181, NULL, 'PTHR23235:SF38', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 9', NULL, NULL, NULL, 15),
(108182, NULL, 'PTHR45660:SF50', NULL, NULL, NULL, NULL, 'BNAA06G11990D PROTEIN', NULL, NULL, NULL, 15),
(108183, NULL, 'PTHR27003:SF277', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108184, NULL, 'PTHR31988:SF13', NULL, NULL, NULL, NULL, 'OS06G0729725 PROTEIN', NULL, NULL, NULL, 15),
(108185, NULL, 'PTHR43592:SF20', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(108186, NULL, 'PTHR39529', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108187, NULL, 'PTHR33393:SF11', NULL, NULL, NULL, NULL, 'POLYGLUTAMINE SYNTHESIS ACCESSORY PROTEIN RV0574C-RELATED', NULL, NULL, NULL, 15),
(108188, NULL, 'PTHR11062:SF314', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT12-RELATED', NULL, NULL, NULL, 15),
(108189, NULL, 'PTHR31388:SF191', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(108190, NULL, 'PTHR45777:SF7', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2', NULL, NULL, NULL, 15),
(108191, NULL, 'PTHR27007:SF277', NULL, NULL, NULL, NULL, 'OS07G0569550 PROTEIN', NULL, NULL, NULL, 15),
(108192, NULL, 'PTHR46519:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(108193, NULL, 'PTHR46332:SF5', NULL, NULL, NULL, NULL, 'ASPARTATE BETA-HYDROXYLASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(108194, NULL, 'PTHR21659:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108195, NULL, 'PTHR24322:SF739', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL CARRIER PROTEIN] REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(108196, NULL, 'PTHR33305:SF7', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 5 PROTEIN', NULL, NULL, NULL, 15),
(108197, NULL, 'PTHR46288:SF26', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(108198, NULL, 'PTHR11893:SF15', NULL, NULL, NULL, NULL, 'INNEXIN-RELATED', NULL, NULL, NULL, 15),
(108199, NULL, 'PTHR48018:SF55', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(108200, NULL, 'PTHR31218:SF21', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(108201, NULL, 'PTHR19957:SF327', NULL, NULL, NULL, NULL, 'SYNTAXIN-124-LIKE', NULL, NULL, NULL, 15),
(108202, NULL, 'PTHR43180:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108203, NULL, 'PTHR33714:SF3', NULL, NULL, NULL, NULL, 'COUNTING FACTOR-ASSOCIATED PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(108204, NULL, 'PTHR46415:SF2', NULL, NULL, NULL, NULL, 'ADAPTOR PROTEIN, PHOSPHOTYROSINE INTERACTION, PH DOMAIN AND LEUCINE ZIPPER-CONTAINING 2', NULL, NULL, NULL, 15),
(108205, NULL, 'PTHR45274:SF3', NULL, NULL, NULL, NULL, 'BNAA05G32570D PROTEIN', NULL, NULL, NULL, 15),
(108206, NULL, 'PTHR18945:SF508', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(108207, NULL, 'PTHR10677:SF42', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN DSK2B', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108208, NULL, 'PTHR24115:SF578', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108209, NULL, 'PTHR34756', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE-ASSOCIATED PROTEIN 3', NULL, NULL, 34967, 15),
(108210, NULL, 'PTHR11309:SF22', NULL, NULL, NULL, NULL, 'FRIZZLED-3', NULL, NULL, 22215, 15),
(108211, NULL, 'PTHR47398:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 3', NULL, NULL, NULL, 15),
(108212, NULL, 'PTHR31374:SF261', NULL, NULL, NULL, NULL, 'OS03G0660400 PROTEIN', NULL, NULL, NULL, 15),
(108213, NULL, 'PTHR12537:SF144', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 8, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(108214, NULL, 'PTHR14409:SF0', NULL, NULL, NULL, NULL, 'PROTEIN MANBAL', NULL, NULL, NULL, 15),
(108215, NULL, 'PTHR11730:SF94', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(108216, NULL, 'PTHR24250:SF31', NULL, NULL, NULL, NULL, 'CTRB1 PROTEIN', NULL, NULL, NULL, 15),
(108217, NULL, 'PTHR47052:SF5', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE', NULL, NULL, NULL, 15),
(108218, NULL, 'PTHR21724:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG28007', NULL, NULL, NULL, 15),
(108219, NULL, 'PTHR30087', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(108220, NULL, 'PTHR43133:SF36', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGC', NULL, NULL, NULL, 15),
(108221, NULL, 'PTHR23155:SF944', NULL, NULL, NULL, NULL, 'PI15', NULL, NULL, NULL, 15),
(108222, NULL, 'PTHR43191:SF4', NULL, NULL, NULL, NULL, 'RNA METHYLASE-RELATED', NULL, NULL, NULL, 15),
(108223, NULL, 'PTHR22738:SF8', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 29557, 15),
(108224, NULL, 'PTHR33022:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108225, NULL, 'PTHR15241:SF315', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108226, NULL, 'PTHR24034:SF94', NULL, NULL, NULL, NULL, 'FIBULIN-7', NULL, NULL, NULL, 15),
(108227, NULL, 'PTHR34890:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108228, NULL, 'PTHR11274:SF13', NULL, NULL, NULL, NULL, 'HELICASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108229, NULL, 'PTHR22797:SF36', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(108230, NULL, 'PTHR27006:SF221', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(108231, NULL, 'PTHR24071:SF1', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN', NULL, NULL, NULL, 15),
(108232, NULL, 'PTHR24230:SF134', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(108233, NULL, 'PTHR33869:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108234, NULL, 'PTHR31790:SF371', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(108235, NULL, 'PTHR24281:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108236, NULL, 'PTHR24269:SF13', NULL, NULL, NULL, NULL, 'KREMEN PROTEIN 1', NULL, NULL, NULL, 15),
(108237, NULL, 'PTHR31013:SF11', NULL, NULL, NULL, NULL, 'THAUMATIN FAMILY', NULL, NULL, NULL, 15),
(108238, NULL, 'PTHR35741', NULL, NULL, NULL, NULL, 'FACTOR CWC22-LIKE PROTEIN, PUTATIVE (DUF3245)-RELATED', NULL, NULL, NULL, 15),
(108239, NULL, 'PTHR24376:SF133', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 948', NULL, NULL, NULL, 15),
(108240, NULL, 'PTHR21257', NULL, NULL, NULL, NULL, 'DELTA(14)-STEROL REDUCTASE', NULL, NULL, NULL, 15),
(108241, NULL, 'PTHR33463:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108242, NULL, 'PTHR15549:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108243, NULL, 'PTHR27005:SF346', NULL, NULL, NULL, NULL, 'BNAA06G15030D PROTEIN', NULL, NULL, NULL, 15),
(108244, NULL, 'PTHR31520:SF1', NULL, NULL, NULL, NULL, 'VEXIN', NULL, NULL, NULL, 15),
(108245, NULL, 'PTHR13872', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT', NULL, NULL, 1004, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108246, NULL, 'PTHR45633:SF25', NULL, NULL, NULL, NULL, 'OS06G0114000 PROTEIN', NULL, NULL, NULL, 15),
(108247, NULL, 'PTHR33074:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108248, NULL, 'PTHR15337:SF22', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN CONTAINING PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(108249, NULL, 'PTHR19857:SF21', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(108250, NULL, 'PTHR24220:SF675', NULL, NULL, NULL, NULL, 'FE(3+) IONS IMPORT ATP-BINDING PROTEIN FBPC', NULL, NULL, 26218, 15),
(108251, NULL, 'PTHR47988:SF32', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE 1-RELATED', NULL, NULL, NULL, 15),
(108252, NULL, 'PTHR45825:SF11', NULL, NULL, NULL, NULL, 'STARCH SYNTHASE 1, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(108253, NULL, 'PTHR31388:SF224', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(108254, NULL, 'PTHR23213:SF369', NULL, NULL, NULL, NULL, 'FORMIN B', NULL, NULL, NULL, 15),
(108255, NULL, 'PTHR24023:SF509', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(XI) CHAIN', NULL, NULL, NULL, 15),
(108256, NULL, 'PTHR21649:SF106', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(108257, NULL, 'PTHR40265:SF1', NULL, NULL, NULL, NULL, 'BLL2707 PROTEIN', NULL, NULL, NULL, 15),
(108258, NULL, 'PTHR10766:SF132', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(108259, NULL, 'PTHR23139:SF119', NULL, NULL, NULL, NULL, 'U2 SNRNP AUXILIARY FACTOR LARGE SUBUNIT', NULL, NULL, NULL, 15),
(108260, NULL, 'PTHR34174', NULL, NULL, NULL, NULL, 'HYDROLETHALUS SYNDROME PROTEIN 1', NULL, NULL, NULL, 15),
(108261, NULL, 'PTHR12146:SF21', NULL, NULL, NULL, NULL, 'BNAC06G13490D PROTEIN', NULL, NULL, NULL, 15),
(108262, NULL, 'PTHR23036:SF170', NULL, NULL, NULL, NULL, 'INTERLEUKIN-3 RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(108263, NULL, 'PTHR46495:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 21', NULL, NULL, NULL, 15),
(108264, NULL, 'PTHR31234:SF35', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(108265, NULL, 'PTHR27005:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108266, NULL, 'PTHR46855:SF16', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108267, NULL, 'PTHR27005:SF316', NULL, NULL, NULL, NULL, 'BNAA01G06050D PROTEIN', NULL, NULL, NULL, 15),
(108268, NULL, 'PTHR19855:SF15', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(108269, NULL, 'PTHR23074:SF81', NULL, NULL, NULL, NULL, '26S PROTEASOME SUBUNIT YTA6-RELATED', NULL, NULL, NULL, 15),
(108270, NULL, 'PTHR33365:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108271, NULL, 'PTHR43032', NULL, NULL, NULL, NULL, 'PROTEIN-METHIONINE-SULFOXIDE REDUCTASE', NULL, NULL, NULL, 15),
(108272, NULL, 'PTHR22945:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(108273, NULL, 'PTHR43693:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE CHEZ', NULL, NULL, NULL, 15),
(108274, NULL, 'PTHR21685:SF4', NULL, NULL, NULL, NULL, 'TAPERIN', NULL, NULL, NULL, 15),
(108275, NULL, 'PTHR47999:SF61', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB6-LIKE', NULL, NULL, NULL, 15),
(108276, NULL, 'PTHR24083:SF160', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-47', NULL, NULL, NULL, 15),
(108277, NULL, 'PTHR22942', NULL, NULL, NULL, NULL, 'RECA/RAD51/RADA DNA STRAND-PAIRING FAMILY MEMBER', NULL, NULL, NULL, 15),
(108278, NULL, 'PTHR13866:SF17', NULL, NULL, NULL, NULL, 'TESTICAN-1', NULL, NULL, NULL, 15),
(108279, NULL, 'PTHR34590:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108280, NULL, 'PTHR19424:SF0', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR-BINDING PROTEIN 1A', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108281, NULL, 'PTHR44051:SF16', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE DOMAIN-CONTAINING PROTEIN DDB_G0274223-RELATED', NULL, NULL, NULL, 15),
(108282, NULL, 'PTHR31206:SF1', NULL, NULL, NULL, NULL, 'LP10445P', NULL, NULL, NULL, 15),
(108283, NULL, 'PTHR43401:SF3', NULL, NULL, NULL, NULL, 'L-GALACTONATE-5-DEHYDROGENASE', NULL, NULL, NULL, 15),
(108284, NULL, 'PTHR31620', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(108285, NULL, 'PTHR14139:SF2', NULL, NULL, NULL, NULL, 'CALSYNTENIN-1', NULL, NULL, NULL, 15),
(108286, NULL, 'PTHR18945:SF475', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(108287, NULL, 'PTHR33279:SF2', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN TUSA', NULL, NULL, NULL, 15),
(108288, NULL, 'PTHR31852:SF52', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(108289, NULL, 'PTHR24286:SF304', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(108290, NULL, 'PTHR43655:SF31', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(108291, NULL, 'PTHR31140:SF78', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS06G0107800', NULL, NULL, NULL, 15),
(108292, NULL, 'PTHR32285:SF238', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 38', NULL, NULL, 24876, 15),
(108293, NULL, 'PTHR11616:SF287', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(108294, NULL, 'PTHR27007:SF151', NULL, NULL, NULL, NULL, 'OS09G0334800 PROTEIN', NULL, NULL, NULL, 15),
(108295, NULL, 'PTHR12791:SF47', NULL, NULL, NULL, NULL, 'SYNTAXIN', NULL, NULL, NULL, 15),
(108296, NULL, 'PTHR11017:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108297, NULL, 'PTHR45977:SF29', NULL, NULL, NULL, NULL, 'BNAC06G13710D PROTEIN', NULL, NULL, NULL, 15),
(108298, NULL, 'PTHR48005:SF44', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108299, NULL, 'PTHR45684:SF2', NULL, NULL, NULL, NULL, 'RE74312P', NULL, NULL, NULL, 15),
(108300, NULL, 'PTHR42884:SF11', NULL, NULL, NULL, NULL, 'FURIN (PAIRED BASIC AMINO ACID CLEAVING ENZYME) B', NULL, NULL, NULL, 15),
(108301, NULL, 'PTHR32295:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108302, NULL, 'PTHR47960:SF9', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 6-RELATED', NULL, NULL, NULL, 15),
(108303, NULL, 'PTHR31639:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108304, NULL, 'PTHR35518:SF2', NULL, NULL, NULL, NULL, 'MAINTENANCE OF TELOMERE CAPPING PROTEIN 6', NULL, NULL, NULL, 15),
(108305, NULL, 'PTHR22847:SF707', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108306, NULL, 'PTHR47987', NULL, NULL, NULL, NULL, 'OS08G0249100 PROTEIN', NULL, NULL, NULL, 15),
(108307, NULL, 'PTHR13710:SF72', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE Q1', NULL, NULL, NULL, 15),
(108308, NULL, 'PTHR31989:SF39', NULL, NULL, NULL, NULL, 'PROTEIN BEARSKIN1-RELATED', NULL, NULL, NULL, 15),
(108309, NULL, 'PTHR42803:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(108310, NULL, 'PTHR12802:SF129', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(108311, NULL, 'PTHR22847:SF706', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 5', NULL, NULL, NULL, 15),
(108312, NULL, 'PTHR24393:SF102', NULL, NULL, NULL, NULL, 'PROTEIN CBG13327', NULL, NULL, NULL, 15),
(108313, NULL, 'PTHR13055', NULL, NULL, NULL, NULL, 'TUMOR ENDOTHELIAL MARKER 7 RELATED', NULL, NULL, 27370, 15),
(108314, NULL, 'PTHR47972:SF23', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF3A ISOFORM X1', NULL, NULL, NULL, 15),
(108315, NULL, 'PTHR33021:SF273', NULL, NULL, NULL, NULL, 'OSJNBA0089N06.13 PROTEIN', NULL, NULL, NULL, 15),
(108316, NULL, 'PTHR10745:SF17', NULL, NULL, NULL, NULL, 'GLYCINE--TRNA LIGASE MITOCHONDRIAL 1', NULL, NULL, NULL, 15),
(108317, NULL, 'PTHR31115:SF9', NULL, NULL, NULL, NULL, 'BNAC09G36530D PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108318, NULL, 'PTHR11036:SF78', NULL, NULL, NULL, NULL, 'SEMAPHORIN-5A', NULL, NULL, NULL, 15),
(108319, NULL, 'PTHR31415:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108320, NULL, 'PTHR13780:SF143', NULL, NULL, NULL, NULL, 'BNACNNG50100D PROTEIN', NULL, NULL, NULL, 15),
(108321, NULL, 'PTHR11525:SF12', NULL, NULL, NULL, NULL, 'FARNESYL PYROPHOSPHATE SYNTHASE 1-LIKE', NULL, NULL, NULL, 15),
(108322, NULL, 'PTHR48043:SF67', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(108323, NULL, 'PTHR11360:SF238', NULL, NULL, NULL, NULL, 'SD10469P', NULL, NULL, NULL, 15),
(108324, NULL, 'PTHR15591:SF11', NULL, NULL, NULL, NULL, 'RUN AND SH3 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(108325, NULL, 'PTHR24281:SF144', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(108326, NULL, 'PTHR45631:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108327, NULL, 'PTHR23428:SF279', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(108328, NULL, 'PTHR19375:SF354', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN', NULL, NULL, NULL, 15),
(108329, NULL, 'PTHR12049:SF7', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE METHYLTRANSFERASE NDUFAF7, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(108330, NULL, 'PTHR46354:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DOG1-LIKE 4', NULL, NULL, NULL, 15),
(108331, NULL, 'PTHR33305:SF32', NULL, NULL, NULL, NULL, 'PROTEIN ETHYLENE-INSENSITIVE 3-LIKE 2', NULL, NULL, NULL, 15),
(108332, NULL, 'PTHR23086:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108333, NULL, 'PTHR31621:SF5', NULL, NULL, NULL, NULL, 'PROTEIN DMP10', NULL, NULL, NULL, 15),
(108334, NULL, 'PTHR13803:SF33', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC24-LIKE CEF', NULL, NULL, NULL, 15),
(108335, NULL, 'PTHR46361:SF4', NULL, NULL, NULL, NULL, 'DISHEVELLED/EGL-10/LECKSTRIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(108336, NULL, 'PTHR47991:SF61', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 2-LIKE', NULL, NULL, NULL, 15),
(108337, NULL, 'PTHR31676:SF0', NULL, NULL, NULL, NULL, 'CP PROTEIN', NULL, NULL, NULL, 15),
(108338, NULL, 'PTHR14379:SF51', NULL, NULL, NULL, NULL, 'BNACNNG57250D PROTEIN', NULL, NULL, NULL, 15),
(108339, NULL, 'PTHR10890:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE--TRNA LIGASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(108340, NULL, 'PTHR24115:SF194', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF6', NULL, NULL, NULL, 15),
(108341, NULL, 'PTHR46561:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', NULL, NULL, NULL, 15),
(108342, NULL, 'PTHR48040:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108343, NULL, 'PTHR11588:SF113', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-3D CHAIN', NULL, NULL, NULL, 15),
(108344, NULL, 'PTHR31490:SF35', NULL, NULL, NULL, NULL, 'BETA-1,4-ENDOXYLANASE (EUROFUNG)', NULL, NULL, NULL, 15),
(108345, NULL, 'PTHR24115:SF939', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14H', NULL, NULL, NULL, 15),
(108346, NULL, 'PTHR11524:SF36', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7-1', NULL, NULL, NULL, 15),
(108347, NULL, 'PTHR47992:SF112', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 59-RELATED', NULL, NULL, NULL, 15),
(108348, NULL, 'PTHR45821:SF17', NULL, NULL, NULL, NULL, 'BNACNNG55270D PROTEIN', NULL, NULL, NULL, 15),
(108349, NULL, 'PTHR27001:SF790', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY KINASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(108350, NULL, 'PTHR47931:SF1', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108351, NULL, 'PTHR12350', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(108352, NULL, 'PTHR31042:SF97', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108353, NULL, 'PTHR45926:SF7', NULL, NULL, NULL, NULL, 'OS01G0648700 PROTEIN', NULL, NULL, NULL, 15),
(108354, NULL, 'PTHR28586', NULL, NULL, NULL, NULL, 'PROTEIN PAXX', NULL, NULL, 27835, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108355, NULL, 'PTHR16223:SF249', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH154', NULL, NULL, NULL, 15),
(108356, NULL, 'PTHR22811:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108357, NULL, 'PTHR15512:SF0', NULL, NULL, NULL, NULL, 'TERF1-INTERACTING NUCLEAR FACTOR 2', NULL, NULL, NULL, 15),
(108358, NULL, 'PTHR11227:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108359, NULL, 'PTHR13832:SF709', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 36-RELATED', NULL, NULL, NULL, 15),
(108360, NULL, 'PTHR33070:SF96', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(108361, NULL, 'PTHR47274:SF11', NULL, NULL, NULL, NULL, 'BNAA04G21030D PROTEIN', NULL, NULL, NULL, 15),
(108362, NULL, 'PTHR10824:SF36', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE 14-RELATED', NULL, NULL, NULL, 15),
(108363, NULL, 'PTHR47753:SF3', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(108364, NULL, 'PTHR21669:SF27', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108365, NULL, 'PTHR47968:SF36', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN E', NULL, NULL, NULL, 15),
(108366, NULL, 'PTHR22663:SF17', NULL, NULL, NULL, NULL, 'IP08077P', NULL, NULL, NULL, 15),
(108367, NULL, 'PTHR23236:SF23', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN EEED8.12-RELATED', NULL, NULL, NULL, 15),
(108368, NULL, 'PTHR45898:SF9', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(108369, NULL, 'PTHR24074:SF45', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 3', NULL, NULL, NULL, 15),
(108370, NULL, 'PTHR37964', NULL, NULL, NULL, NULL, 'SUPPRESSOR', NULL, NULL, NULL, 15),
(108371, NULL, 'PTHR24281:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108372, NULL, 'PTHR47961', NULL, NULL, NULL, NULL, 'DNA POLYMERASE THETA, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G05260)-RELATED', NULL, NULL, NULL, 15),
(108373, NULL, 'PTHR24020:SF23', NULL, NULL, NULL, NULL, 'VITRIN', NULL, NULL, NULL, 15),
(108374, NULL, 'PTHR10272:SF11', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE-RELATED', NULL, NULL, NULL, 15),
(108375, NULL, 'PTHR33320:SF27', NULL, NULL, NULL, NULL, 'BNAA01G07090D PROTEIN', NULL, NULL, NULL, 15),
(108376, NULL, 'PTHR32100:SF61', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE 2', NULL, NULL, NULL, 15),
(108377, NULL, 'PTHR33172:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108378, NULL, 'PTHR24286:SF191', NULL, NULL, NULL, NULL, 'LANOSTEROL 14-ALPHA DEMETHYLASE', NULL, NULL, NULL, 15),
(108379, NULL, 'PTHR46001:SF4', NULL, NULL, NULL, NULL, 'T CELL LYMPHOMA INVASION AND METASTASIS 1B', NULL, NULL, NULL, 15),
(108380, NULL, 'PTHR16223:SF222', NULL, NULL, NULL, NULL, 'BNAA09G13660D PROTEIN', NULL, NULL, NULL, 15),
(108381, NULL, 'PTHR33484:SF6', NULL, NULL, NULL, NULL, 'BNAANNG21520D PROTEIN', NULL, NULL, NULL, 15),
(108382, NULL, 'PTHR10333:SF37', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN 2', NULL, NULL, 23027, 15),
(108383, NULL, 'PTHR12425:SF4', NULL, NULL, NULL, NULL, 'SYNEMBRYN-A', NULL, NULL, NULL, 15),
(108384, NULL, 'PTHR32468:SF108', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', NULL, NULL, NULL, 15),
(108385, NULL, 'PTHR33974:SF2', NULL, NULL, NULL, NULL, 'VASCULAR-RELATED UNKNOWN PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(108386, NULL, 'PTHR26450:SF104', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(108387, NULL, 'PTHR23239:SF97', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA1', NULL, NULL, NULL, 15),
(108388, NULL, 'PTHR11122:SF45', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(108389, NULL, 'PTHR33347:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108390, NULL, 'PTHR43180:SF69', NULL, NULL, NULL, NULL, 'SHORT CHAIN ALCOHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(108391, NULL, 'PTHR28106:SF2', NULL, NULL, NULL, NULL, 'BNAC08G43270D PROTEIN', NULL, NULL, NULL, 15),
(108392, NULL, 'PTHR12537:SF145', NULL, NULL, NULL, NULL, 'BNAA02G06970D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108393, NULL, 'PTHR22765:SF295', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(108394, NULL, 'PTHR45988:SF48', NULL, NULL, NULL, NULL, 'BNAANNG21010D PROTEIN', NULL, NULL, NULL, 15),
(108395, NULL, 'PTHR11157:SF105', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(108396, NULL, 'PTHR35370:SF4', NULL, NULL, NULL, NULL, 'TYPE VI SECRETION SYSTEM PROTEIN TSSF', NULL, NULL, NULL, 15),
(108397, NULL, 'PTHR11749:SF9', NULL, NULL, NULL, NULL, 'RIBULOSE-PHOSPHATE 3-EPIMERASE-RELATED', NULL, NULL, NULL, 15),
(108398, NULL, 'PTHR15439:SF15', NULL, NULL, NULL, NULL, 'CYSTEINE REPEAT MODULAR PROTEIN 4', NULL, NULL, NULL, 15),
(108399, NULL, 'PTHR13813', NULL, NULL, NULL, NULL, 'GLYCOPHORIN', NULL, NULL, 1027, 15),
(108400, NULL, 'PTHR36061:SF4', NULL, NULL, NULL, NULL, 'DUF3727 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108401, NULL, 'PTHR10871:SF28', NULL, NULL, NULL, NULL, 'SMALL RIBOSOMAL SUBUNIT PROTEIN S13, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(108402, NULL, 'PTHR47626:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108403, NULL, 'PTHR30269:SF23', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN YDHB-RELATED', NULL, NULL, NULL, 15),
(108404, NULL, 'PTHR18896:SF143', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA 3', NULL, NULL, NULL, 15),
(108405, NULL, 'PTHR10686:SF20', NULL, NULL, NULL, NULL, 'FOLATE TRANSPORTER 1', NULL, NULL, NULL, 15),
(108406, NULL, 'PTHR47004:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 24', NULL, NULL, NULL, 15),
(108407, NULL, 'PTHR13393', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE', NULL, NULL, 7732, 15),
(108408, NULL, 'PTHR45805:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR ROR-GAMMA', NULL, NULL, NULL, 15),
(108409, NULL, 'PTHR33671:SF7', NULL, NULL, NULL, NULL, 'BNAA05G09610D PROTEIN', NULL, NULL, NULL, 15),
(108410, NULL, 'PTHR42844:SF8', NULL, NULL, NULL, NULL, '7,8-DIHYDRONEOPTERIN ALDOLASE', NULL, NULL, NULL, 15),
(108411, NULL, 'PTHR31087:SF99', NULL, NULL, NULL, NULL, 'BNAA04G22100D PROTEIN', NULL, NULL, NULL, 15),
(108412, NULL, 'PTHR47372', NULL, NULL, NULL, NULL, 'DAUER UP-REGULATED-RELATED', NULL, NULL, NULL, 15),
(108413, NULL, 'PTHR45632:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108414, NULL, 'PTHR38618', NULL, NULL, NULL, NULL, 'PROTEIN CBG21701-RELATED', NULL, NULL, NULL, 15),
(108415, NULL, 'PTHR26450:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(108416, NULL, 'PTHR12585:SF49', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION 1 PROTEIN 2', NULL, NULL, NULL, 15),
(108417, NULL, 'PTHR24350:SF3', NULL, NULL, NULL, NULL, 'AURORA KINASE C', NULL, NULL, 26207, 15),
(108418, NULL, 'PTHR24034:SF76', NULL, NULL, NULL, NULL, 'COLLAGEN AND CALCIUM-BINDING EGF DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(108419, NULL, 'PTHR23331:SF1', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(108420, NULL, 'PTHR31235:SF250', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(108421, NULL, 'PTHR10891:SF874', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(108422, NULL, 'PTHR10878:SF6', NULL, NULL, NULL, NULL, 'SEGMENT POLARITY PROTEIN DISHEVELLED HOMOLOG DVL-3', NULL, NULL, 7700, 15),
(108423, NULL, 'PTHR11802:SF260', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 19', NULL, NULL, NULL, 15),
(108424, NULL, 'PTHR15499', NULL, NULL, NULL, NULL, 'HMG BOX-CONTAINING PROTEIN 1', NULL, NULL, 29083, 15),
(108425, NULL, 'PTHR43391:SF31', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(108426, NULL, 'PTHR31657:SF20', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF061', NULL, NULL, NULL, 15),
(108427, NULL, 'PTHR10166:SF37', NULL, NULL, NULL, NULL, 'STRAIGHTJACKET, ISOFORM C', NULL, NULL, NULL, 15),
(108428, NULL, 'PTHR15439:SF16', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(108429, NULL, 'PTHR47958:SF90', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX5-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108430, NULL, 'PTHR22884:SF487', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(108431, NULL, 'PTHR48044:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(108432, NULL, 'PTHR46445:SF10', NULL, NULL, NULL, NULL, 'BNAA09G26880D PROTEIN', NULL, NULL, NULL, 15),
(108433, NULL, 'PTHR31282:SF151', NULL, NULL, NULL, NULL, 'BNAA04G17690D PROTEIN', NULL, NULL, NULL, 15),
(108434, NULL, 'PTHR33167:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (DUF863)-RELATED', NULL, NULL, NULL, 15),
(108435, NULL, 'PTHR11255:SF32', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE BETA', NULL, NULL, NULL, 15),
(108436, NULL, 'PTHR23130:SF176', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(108437, NULL, 'PTHR12236:SF83', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 35B', NULL, NULL, NULL, 15),
(108438, NULL, 'PTHR31251:SF108', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(108439, NULL, 'PTHR47933:SF35', NULL, NULL, NULL, NULL, 'OS03G0115300 PROTEIN', NULL, NULL, NULL, 15),
(108440, NULL, 'PTHR14879:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108441, NULL, 'PTHR12254', NULL, NULL, NULL, NULL, 'ENHANCER OF SPLIT MALPHA PROTEIN', NULL, NULL, 25745, 15),
(108442, NULL, 'PTHR23226:SF207', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 697', NULL, NULL, NULL, 15),
(108443, NULL, 'PTHR31707:SF316', NULL, NULL, NULL, NULL, 'F8A5.27 PROTEIN', NULL, NULL, NULL, 15),
(108444, NULL, 'PTHR12429:SF8', NULL, NULL, NULL, NULL, 'NEURALIZED-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(108445, NULL, 'PTHR32191:SF23', NULL, NULL, NULL, NULL, 'OS02G0219700 PROTEIN', NULL, NULL, NULL, 15),
(108446, NULL, 'PTHR31403', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IBETA2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(108447, NULL, 'PTHR35987', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID REDOX INSENSITIVE 2, CHLOROPLASTIC-RELATED', NULL, NULL, 36022, 15),
(108448, NULL, 'PTHR48005:SF31', NULL, NULL, NULL, NULL, 'OS02G0153400 PROTEIN', NULL, NULL, NULL, 15),
(108449, NULL, 'PTHR12309:SF21', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORTER SEC61 SUBUNIT GAMMA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108450, NULL, 'PTHR24278:SF19', NULL, NULL, NULL, NULL, 'GH16384P', NULL, NULL, NULL, 15),
(108451, NULL, 'PTHR48010:SF3', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE-RELATED', NULL, NULL, NULL, 15),
(108452, NULL, 'PTHR14789:SF5', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 14 MEMBER A', NULL, NULL, NULL, 15),
(108453, NULL, 'PTHR47999:SF75', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB114-LIKE', NULL, NULL, NULL, 15),
(108454, NULL, 'PTHR13844:SF50', NULL, NULL, NULL, NULL, 'CHROMATIN REMODELING COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(108455, NULL, 'PTHR24343:SF373', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 7', NULL, NULL, NULL, 15),
(108456, NULL, 'PTHR31165:SF70', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 1', NULL, NULL, NULL, 15),
(108457, NULL, 'PTHR47928:SF151', NULL, NULL, NULL, NULL, 'OS03G0168550 PROTEIN', NULL, NULL, NULL, 15),
(108458, NULL, 'PTHR46678:SF1', NULL, NULL, NULL, NULL, 'LECITHIN RETINOL ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(108459, NULL, 'PTHR20899:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108460, NULL, 'PTHR22803:SF131', NULL, NULL, NULL, NULL, 'LITHOSTATHINE-1-RELATED', NULL, NULL, NULL, 15),
(108461, NULL, 'PTHR45617:SF69', NULL, NULL, NULL, NULL, 'SI:DKEY-1J5.4', NULL, NULL, NULL, 15),
(108462, NULL, 'PTHR42053:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108463, NULL, 'PTHR31676:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108464, NULL, 'PTHR47070:SF2', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', NULL, NULL, NULL, 15),
(108465, NULL, 'PTHR24264:SF42', NULL, NULL, NULL, NULL, 'TISSUE-TYPE PLASMINOGEN ACTIVATOR', NULL, NULL, 20130, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108466, NULL, 'PTHR47317:SF2', NULL, NULL, NULL, NULL, 'BNAA05G20390D PROTEIN', NULL, NULL, NULL, 15),
(108467, NULL, 'PTHR31945:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH93-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108468, NULL, 'PTHR16027:SF6', NULL, NULL, NULL, NULL, 'DILUTE DOMAIN-CONTAINING PROTEIN YPR089W', NULL, NULL, NULL, 15),
(108469, NULL, 'PTHR22883:SF272', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(108470, NULL, 'PTHR10969:SF60', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8B', NULL, NULL, NULL, 15),
(108471, NULL, 'PTHR10783:SF99', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 4', NULL, NULL, NULL, 15),
(108472, NULL, 'PTHR10997:SF63', NULL, NULL, NULL, NULL, 'IMPORTIN-7-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(108473, NULL, 'PTHR43775:SF28', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(108474, NULL, 'PTHR15759:SF3', NULL, NULL, NULL, NULL, 'PANNEXIN-3', NULL, NULL, NULL, 15),
(108475, NULL, 'PTHR24161:SF72', NULL, NULL, NULL, NULL, 'TARGET OF RAPAMYCIN COMPLEX 2 SUBUNIT AVO2', NULL, NULL, NULL, 15),
(108476, NULL, 'PTHR31210', NULL, NULL, NULL, NULL, 'OS06G0731900 PROTEIN', NULL, NULL, 3150, 15),
(108477, NULL, 'PTHR34491:SF43', NULL, NULL, NULL, NULL, 'PROTEIN CBG03877', NULL, NULL, NULL, 15),
(108478, NULL, 'PTHR24044:SF454', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN C', NULL, NULL, NULL, 15),
(108479, NULL, 'PTHR48001:SF168', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(108480, NULL, 'PTHR45642:SF99', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL6', NULL, NULL, NULL, 15),
(108481, NULL, 'PTHR32343:SF10', NULL, NULL, NULL, NULL, 'PROTEIN VIP1', NULL, NULL, NULL, 15),
(108482, NULL, 'PTHR22953:SF138', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(108483, NULL, 'PTHR13425', NULL, NULL, NULL, NULL, 'HEADCASE PROTEIN', NULL, NULL, 25929, 15),
(108484, NULL, 'PTHR11926:SF1358', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(108485, NULL, 'PTHR48010:SF41', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(108486, NULL, 'PTHR10641:SF976', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(108487, NULL, 'PTHR19134:SF490', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108488, NULL, 'PTHR35492', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, 36786, 15),
(108489, NULL, 'PTHR10969:SF79', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(108490, NULL, 'PTHR13218', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 11-RELATED', NULL, NULL, 39446, 15),
(108491, NULL, 'PTHR47993:SF152', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(108492, NULL, 'PTHR12411:SF661', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG12-LIKE', NULL, NULL, NULL, 15),
(108493, NULL, 'PTHR24019:SF5', NULL, NULL, NULL, NULL, 'ADIPOLIN', NULL, NULL, NULL, 15),
(108494, NULL, 'PTHR46413:SF29', NULL, NULL, NULL, NULL, 'BNAA03G16900D PROTEIN', NULL, NULL, NULL, 15),
(108495, NULL, 'PTHR34061:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108496, NULL, 'PTHR10730:SF6', NULL, NULL, NULL, NULL, 'PROCOLLAGEN-LYSINE,2-OXOGLUTARATE 5-DIOXYGENASE 2', NULL, NULL, NULL, 15),
(108497, NULL, 'PTHR33116:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108498, NULL, 'PTHR10502:SF214', NULL, NULL, NULL, NULL, 'ANNEXIN A7', NULL, NULL, NULL, 15),
(108499, NULL, 'PTHR31561:SF169', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108500, NULL, 'PTHR26379:SF348', NULL, NULL, NULL, NULL, 'BNAANNG03090D PROTEIN', NULL, NULL, NULL, 15),
(108501, NULL, 'PTHR31945:SF108', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(108502, NULL, 'PTHR35243:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108503, NULL, 'PTHR34797:SF7', NULL, NULL, NULL, NULL, 'ATG8-INTERACTING PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(108504, NULL, 'PTHR24377:SF724', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 416', NULL, NULL, NULL, 15),
(108505, NULL, 'PTHR30136:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(108506, NULL, 'PTHR48001:SF57', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(108507, NULL, 'PTHR47782', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(108508, NULL, 'PTHR23320:SF141', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 4A', NULL, NULL, 22996, 15),
(108509, NULL, 'PTHR15599:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108510, NULL, 'PTHR10071:SF320', NULL, NULL, NULL, NULL, 'PANNIER', NULL, NULL, NULL, 15),
(108511, NULL, 'PTHR33823', NULL, NULL, NULL, NULL, 'RNA POLYMERASE-BINDING TRANSCRIPTION FACTOR DKSA-RELATED', NULL, NULL, NULL, 15),
(108512, NULL, 'PTHR35467:SF3', NULL, NULL, NULL, NULL, 'BNAC05G51130D PROTEIN', NULL, NULL, NULL, 15),
(108513, NULL, 'PTHR11915:SF325', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN, NON-ERYTHROCYTIC 2', NULL, NULL, NULL, 15),
(108514, NULL, 'PTHR22847:SF671', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108515, NULL, 'PTHR43096:SF52', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ GFA2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(108516, NULL, 'PTHR13554:SF10', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 5', NULL, NULL, NULL, 15),
(108517, NULL, 'PTHR10194:SF25', NULL, NULL, NULL, NULL, 'RAS/RAP GTPASE-ACTIVATING PROTEIN SYNGAP', NULL, NULL, NULL, 15),
(108518, NULL, 'PTHR31541:SF44', NULL, NULL, NULL, NULL, 'BNAA05G11120D PROTEIN', NULL, NULL, NULL, 15),
(108519, NULL, 'PTHR48013:SF17', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 7', NULL, NULL, NULL, 15),
(108520, NULL, 'PTHR47928:SF83', NULL, NULL, NULL, NULL, 'OS01G0176300 PROTEIN', NULL, NULL, NULL, 15),
(108521, NULL, 'PTHR11972:SF155', NULL, NULL, NULL, NULL, 'FERRIC REDUCTION OXIDASE 8, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(108522, NULL, 'PTHR16306:SF0', NULL, NULL, NULL, NULL, 'TRANSLIN-ASSOCIATED FACTOR X-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(108523, NULL, 'PTHR11759:SF36', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14-3', NULL, NULL, NULL, 15),
(108524, NULL, 'PTHR46578:SF2', NULL, NULL, NULL, NULL, 'ARM-REPEAT/TETRATRICOPEPTIDE REPEAT (TPR)-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108525, NULL, 'PTHR48011:SF45', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 18', NULL, NULL, NULL, 15),
(108526, NULL, 'PTHR44102:SF8', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(108527, NULL, 'PTHR46128:SF184', NULL, NULL, NULL, NULL, 'BNAC03G34980D PROTEIN', NULL, NULL, NULL, 15),
(108528, NULL, 'PTHR14380:SF2', NULL, NULL, NULL, NULL, 'PLACENTA-SPECIFIC PROTEIN 1', NULL, NULL, 31338, 15),
(108529, NULL, 'PTHR24326:SF587', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER, HOMEOBOX-ASSOCIATED, HOMEODOMAIN-LIKE, DNA REPAIR PROTEIN XRCC4-RELATED', NULL, NULL, NULL, 15),
(108530, NULL, 'PTHR15223', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE AGGG SUBUNIT', NULL, NULL, 24019, 15),
(108531, NULL, 'PTHR10362', NULL, NULL, NULL, NULL, 'HISTIDINE AMMONIA-LYASE', NULL, NULL, 2059, 15),
(108532, NULL, 'PTHR47956:SF90', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', NULL, NULL, NULL, 15),
(108533, NULL, 'PTHR33463:SF94', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (CC-NBS-LRR CLASS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108534, NULL, 'PTHR15678:SF10', NULL, NULL, NULL, NULL, 'LOCALIZATION AND RNA POL II PROMOTER FMP27 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(108535, NULL, 'PTHR10075:SF28', NULL, NULL, NULL, NULL, 'MYOPALLADIN', NULL, NULL, NULL, 15),
(108536, NULL, 'PTHR36010:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108537, NULL, 'PTHR36467', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 207', NULL, NULL, 31234, 15),
(108538, NULL, 'PTHR31235:SF194', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(108539, NULL, 'PTHR47051:SF1', NULL, NULL, NULL, NULL, 'NESTIN', NULL, NULL, NULL, 15),
(108540, NULL, 'PTHR43243:SF69', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(108541, NULL, 'PTHR10926:SF20', NULL, NULL, NULL, NULL, 'ALKYLPHOSPHOCHOLINE RESISTANCE PROTEIN LEM3', NULL, NULL, NULL, 15),
(108542, NULL, 'PTHR43047:SF50', NULL, NULL, NULL, NULL, 'SENSOR KINASE-RELATED', NULL, NULL, NULL, 15),
(108543, NULL, 'PTHR11592:SF110', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(108544, NULL, 'PTHR12174:SF71', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 5', NULL, NULL, NULL, 15),
(108545, NULL, 'PTHR10926:SF58', NULL, NULL, NULL, NULL, 'CDC50/LEM3 FAMILY-RELATED', NULL, NULL, NULL, 15),
(108546, NULL, 'PTHR46684:SF2', NULL, NULL, NULL, NULL, 'OS06G0526100 PROTEIN', NULL, NULL, NULL, 15),
(108547, NULL, 'PTHR44191:SF30', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(108548, NULL, 'PTHR15615:SF104', NULL, NULL, NULL, NULL, 'CYCLIN', NULL, NULL, NULL, 15),
(108549, NULL, 'PTHR30006:SF3', NULL, NULL, NULL, NULL, 'THIAMINE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(108550, NULL, 'PTHR21964', NULL, NULL, NULL, NULL, 'BREAST CANCER METASTASIS-SUPPRESSOR 1', NULL, NULL, 18462, 15),
(108551, NULL, 'PTHR14136:SF17', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD9', NULL, NULL, NULL, 15),
(108552, NULL, 'PTHR11595:SF73', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-DELTA 1-RELATED', NULL, NULL, NULL, 15),
(108553, NULL, 'PTHR31238:SF217', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108554, NULL, 'PTHR39173:SF1', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(108555, NULL, 'PTHR12443', NULL, NULL, NULL, NULL, 'TRANSLOCATION PROTEIN SEC62', NULL, NULL, 3699, 15),
(108556, NULL, 'PTHR11214:SF5', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(108557, NULL, 'PTHR48183', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(108558, NULL, 'PTHR24093:SF459', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(108559, NULL, 'PTHR47867:SF3', NULL, NULL, NULL, NULL, 'BNAA08G05100D PROTEIN', NULL, NULL, NULL, 15),
(108560, NULL, 'PTHR31376:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108561, NULL, 'PTHR41328:SF2', NULL, NULL, NULL, NULL, 'TERMINASE SMALL SUBUNIT', NULL, NULL, NULL, 15),
(108562, NULL, 'PTHR48016:SF34', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108563, NULL, 'PTHR26379:SF232', NULL, NULL, NULL, NULL, 'OS04G0625400 PROTEIN', NULL, NULL, NULL, 15),
(108564, NULL, 'PTHR12630', NULL, NULL, NULL, NULL, 'N-LINKED OLIGOSACCHARIDE PROCESSING', NULL, NULL, 29996, 15),
(108565, NULL, 'PTHR24343:SF84', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRSK2', NULL, NULL, NULL, 15),
(108566, NULL, 'PTHR45770:SF15', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(108567, NULL, 'PTHR22538', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(108568, NULL, 'PTHR11496:SF97', NULL, NULL, NULL, NULL, 'MALEYLACETATE REDUCTASE (CLCE)', NULL, NULL, NULL, 15),
(108569, NULL, 'PTHR43156:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE RSBP', NULL, NULL, NULL, 15),
(108570, NULL, 'PTHR43254:SF4', NULL, NULL, NULL, NULL, 'ANGUSTIFOLIA1-1', NULL, NULL, NULL, 15),
(108571, NULL, 'PTHR37437:SF2', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(108572, NULL, 'PTHR11183:SF134', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(108573, NULL, 'PTHR10574:SF261', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA-5', NULL, NULL, NULL, 15),
(108574, NULL, 'PTHR10231:SF93', NULL, NULL, NULL, NULL, 'BNAC03G17350D PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108575, NULL, 'PTHR31195:SF2', NULL, NULL, NULL, NULL, 'ZGC:77056', NULL, NULL, NULL, 15),
(108576, NULL, 'PTHR43651:SF6', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN-BRANCHING ENZYME 2, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(108577, NULL, 'PTHR46281:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B-1', NULL, NULL, NULL, 15),
(108578, NULL, 'PTHR20855:SF117', NULL, NULL, NULL, NULL, 'HEMOLYSIN-RELATED', NULL, NULL, NULL, 15),
(108579, NULL, 'PTHR13832:SF746', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108580, NULL, 'PTHR10926:SF27', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT', NULL, NULL, NULL, 15),
(108581, NULL, 'PTHR23360:SF41', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(108582, NULL, 'PTHR31852:SF201', NULL, NULL, NULL, NULL, 'BNAANNG33810D PROTEIN', NULL, NULL, NULL, 15),
(108583, NULL, 'PTHR11206:SF350', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 38-RELATED', NULL, NULL, NULL, 15),
(108584, NULL, 'PTHR12262:SF11', NULL, NULL, NULL, NULL, 'DIFFERENTIATION PROTEIN RCD1, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(108585, NULL, 'PTHR31444:SF2', NULL, NULL, NULL, NULL, 'OS11G0490100 PROTEIN', NULL, NULL, NULL, 15),
(108586, NULL, 'PTHR32153:SF46', NULL, NULL, NULL, NULL, 'OS02G0826700 PROTEIN', NULL, NULL, NULL, 15),
(108587, NULL, 'PTHR31790:SF407', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(108588, NULL, 'PTHR13931:SF14', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATION FACTOR E4 B', NULL, NULL, NULL, 15),
(108589, NULL, 'PTHR45436', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YKOH', NULL, NULL, NULL, 15),
(108590, NULL, 'PTHR10015:SF273', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-2A', NULL, NULL, NULL, 15),
(108591, NULL, 'PTHR22838', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN 26-RELATED', NULL, NULL, NULL, 15),
(108592, NULL, 'PTHR33359:SF1', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN SYNTHASE SULFUR CARRIER SUBUNIT', NULL, NULL, NULL, 15),
(108593, NULL, 'PTHR23054:SF57', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1 LEUCINE-ZIPPER PROTEIN', NULL, NULL, NULL, 15),
(108594, NULL, 'PTHR48018:SF8', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5B21', NULL, NULL, NULL, 15),
(108595, NULL, 'PTHR42995:SF5', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A CARBOXYLASE CARBOXYL TRANSFERASE SUBUNIT BETA, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(108596, NULL, 'PTHR45614:SF85', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(108597, NULL, 'PTHR47980:SF22', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-3B', NULL, NULL, NULL, 15),
(108598, NULL, 'PTHR24377:SF877', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108599, NULL, 'PTHR33228:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108600, NULL, 'PTHR31476:SF15', NULL, NULL, NULL, NULL, 'OS04G0618900 PROTEIN', NULL, NULL, NULL, 15),
(108601, NULL, 'PTHR31079:SF41', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 73', NULL, NULL, NULL, 15),
(108602, NULL, 'PTHR22935:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108603, NULL, 'PTHR24096:SF385', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', NULL, NULL, NULL, 15),
(108604, NULL, 'PTHR47971:SF1', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108605, NULL, 'PTHR34467:SF2', NULL, NULL, NULL, NULL, 'OS01G0705400 PROTEIN', NULL, NULL, NULL, 15),
(108606, NULL, 'PTHR43268', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE/RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 14524, 15),
(108607, NULL, 'PTHR40018', NULL, NULL, NULL, NULL, '[PSI+] INDUCTION PROTEIN 2', NULL, NULL, 36421, 15),
(108608, NULL, 'PTHR24096:SF390', NULL, NULL, NULL, NULL, 'BNAA05G36600D PROTEIN', NULL, NULL, NULL, 15),
(108609, NULL, 'PTHR13878:SF108', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(108610, NULL, 'PTHR33167:SF37', NULL, NULL, NULL, NULL, 'DUF863 FAMILY PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108611, NULL, 'PTHR43356:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(108612, NULL, 'PTHR34262', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 220', NULL, NULL, NULL, 15),
(108613, NULL, 'PTHR33870:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108614, NULL, 'PTHR13683:SF746', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108615, NULL, 'PTHR21713:SF34', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108616, NULL, 'PTHR46369:SF3', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-INTERACTIVE PROTEIN', NULL, NULL, NULL, 15),
(108617, NULL, 'PTHR22913:SF4', NULL, NULL, NULL, NULL, 'HYALURONAN SYNTHASE 1', NULL, NULL, 28267, 15),
(108618, NULL, 'PTHR47639:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(108619, NULL, 'PTHR45633:SF30', NULL, NULL, NULL, NULL, 'CHAPERONIN', NULL, NULL, NULL, 15),
(108620, NULL, 'PTHR37705', NULL, NULL, NULL, NULL, 'BNAA08G11710D PROTEIN', NULL, NULL, NULL, 15),
(108621, NULL, 'PTHR11403:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME BO(3) UBIQUINOL OXIDASE SUBUNIT 3', NULL, NULL, NULL, 15),
(108622, NULL, 'PTHR22618:SF2', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSE KINASE', NULL, NULL, NULL, 15),
(108623, NULL, 'PTHR23257:SF864', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', NULL, NULL, NULL, 15),
(108624, NULL, 'PTHR48018:SF134', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(108625, NULL, 'PTHR24072:SF142', NULL, NULL, NULL, NULL, 'RHOU, ISOFORM B', NULL, NULL, NULL, 15),
(108626, NULL, 'PTHR24224:SF34', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(108627, NULL, 'PTHR34710:SF6', NULL, NULL, NULL, NULL, 'OS05G0545900 PROTEIN', NULL, NULL, NULL, 15),
(108628, NULL, 'PTHR39942', NULL, NULL, NULL, NULL, 'BCDNA.LD26519-RELATED', NULL, NULL, NULL, 15),
(108629, NULL, 'PTHR34552:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108630, NULL, 'PTHR24416:SF130', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR 2', NULL, NULL, NULL, 15),
(108631, NULL, 'PTHR13890:SF42', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2/LPE10', NULL, NULL, NULL, 15),
(108632, NULL, 'PTHR46936', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE XEG113', NULL, NULL, NULL, 15),
(108633, NULL, 'PTHR10502:SF97', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(108634, NULL, 'PTHR14611:SF4', NULL, NULL, NULL, NULL, 'TECTONIC-3', NULL, NULL, NULL, 15),
(108635, NULL, 'PTHR14418', NULL, NULL, NULL, NULL, 'CONDENSIN COMPLEX SUBUNIT 3-RELATED', NULL, NULL, 26282, 15),
(108636, NULL, 'PTHR31680:SF8', NULL, NULL, NULL, NULL, 'LONGIFOLIA PROTEIN', NULL, NULL, NULL, 15),
(108637, NULL, 'PTHR31395:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108638, NULL, 'PTHR46128:SF253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108639, NULL, 'PTHR31343:SF4', NULL, NULL, NULL, NULL, 'TATA-BOX-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(108640, NULL, 'PTHR38043', NULL, NULL, NULL, NULL, 'PROTEIN HEMX', NULL, NULL, 4573, 15),
(108641, NULL, 'PTHR47327:SF1', NULL, NULL, NULL, NULL, 'RE15579P', NULL, NULL, NULL, 15),
(108642, NULL, 'PTHR34193:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108643, NULL, 'PTHR43539:SF51', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA8', NULL, NULL, NULL, 15),
(108644, NULL, 'PTHR14383:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY D MEMBER 1', NULL, NULL, NULL, 15),
(108645, NULL, 'PTHR47037', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L33, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(108646, NULL, 'PTHR21648:SF0', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD PROTEIN 3 HOMOLOG', NULL, NULL, NULL, 15),
(108647, NULL, 'PTHR33138:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108648, NULL, 'PTHR21398:SF22', NULL, NULL, NULL, NULL, 'IP12060P-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108649, NULL, 'PTHR11685:SF225', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(108650, NULL, 'PTHR18959:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108651, NULL, 'PTHR45645:SF1', NULL, NULL, NULL, NULL, 'PROCOLLAGEN C-ENDOPEPTIDASE ENHANCER 1', NULL, NULL, 28522, 15),
(108652, NULL, 'PTHR33142', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR13', NULL, NULL, 32461, 15),
(108653, NULL, 'PTHR45808:SF1', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACF-RELATED', NULL, NULL, NULL, 15),
(108654, NULL, 'PTHR37417:SF2', NULL, NULL, NULL, NULL, '67 KDA MYOSIN-CROSS-REACTIVE ANTIGEN FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G09970)', NULL, NULL, NULL, 15),
(108655, NULL, 'PTHR47446:SF3', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(108656, NULL, 'PTHR11193:SF11', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108657, NULL, 'PTHR19868:SF9', NULL, NULL, NULL, NULL, 'BNAA01G13120D PROTEIN', NULL, NULL, NULL, 15),
(108658, NULL, 'PTHR31385:SF12', NULL, NULL, NULL, NULL, 'BNAA08G20420D PROTEIN', NULL, NULL, NULL, 15),
(108659, NULL, 'PTHR31500:SF70', NULL, NULL, NULL, NULL, 'BNAANNG20150D PROTEIN', NULL, NULL, NULL, 15),
(108660, NULL, 'PTHR38797:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108661, NULL, 'PTHR47993:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108662, NULL, 'PTHR36349', NULL, NULL, NULL, NULL, 'PROTEIN CLAVATA 3', NULL, NULL, 39418, 15),
(108663, NULL, 'PTHR18952:SF245', NULL, NULL, NULL, NULL, 'OS09G0454500 PROTEIN', NULL, NULL, NULL, 15),
(108664, NULL, 'PTHR33076:SF110', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(108665, NULL, 'PTHR31286:SF25', NULL, NULL, NULL, NULL, 'DUF4283 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(108666, NULL, 'PTHR42733', NULL, NULL, NULL, NULL, 'DJ-1 PROTEIN', NULL, NULL, 3675, 15),
(108667, NULL, 'PTHR43248:SF18', NULL, NULL, NULL, NULL, '2-SUCCINYL-6-HYDROXY-2,4-CYCLOHEXADIENE-1-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(108668, NULL, 'PTHR31042:SF3', NULL, NULL, NULL, NULL, 'OS08G0110400 PROTEIN', NULL, NULL, NULL, 15),
(108669, NULL, 'PTHR15241:SF321', NULL, NULL, NULL, NULL, '31 KDA RIBONUCLEOPROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(108670, NULL, 'PTHR43895:SF98', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(108671, NULL, 'PTHR33091:SF83', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE PROTEINASE INHIBITOR 1', NULL, NULL, NULL, 15),
(108672, NULL, 'PTHR43612:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108673, NULL, 'PTHR42886:SF43', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN-CONTAINING PROTEIN ABHD-5.1-RELATED', NULL, NULL, NULL, 15),
(108674, NULL, 'PTHR14491', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(108675, NULL, 'PTHR22599:SF61', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 2', NULL, NULL, NULL, 15),
(108676, NULL, 'PTHR33076:SF58', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(108677, NULL, 'PTHR11455:SF15', NULL, NULL, NULL, NULL, 'CRYPTOCHROME-2', NULL, NULL, NULL, 15),
(108678, NULL, 'PTHR15708:SF15', NULL, NULL, NULL, NULL, 'IP14311P', NULL, NULL, NULL, 15),
(108679, NULL, 'PTHR46550:SF3', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 3', NULL, NULL, 28360, 15),
(108680, NULL, 'PTHR11771:SF150', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(108681, NULL, 'PTHR11509', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONE ALPHA CHAIN', NULL, NULL, 5679, 15),
(108682, NULL, 'PTHR33362:SF3', NULL, NULL, NULL, NULL, 'SIALIC ACID TRAP TRANSPORTER PERMEASE PROTEIN SIAT', NULL, NULL, NULL, 15),
(108683, NULL, 'PTHR46753:SF2', NULL, NULL, NULL, NULL, 'FYVE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108684, NULL, 'PTHR33052:SF143', NULL, NULL, NULL, NULL, 'BNAA02G18180D PROTEIN', NULL, NULL, NULL, 15),
(108685, NULL, 'PTHR12555:SF13', NULL, NULL, NULL, NULL, 'UBIQUITIN RECOGNITION FACTOR IN ER-ASSOCIATED DEGRADATION PROTEIN 1', NULL, NULL, NULL, 15),
(108686, NULL, 'PTHR12411:SF758', NULL, NULL, NULL, NULL, 'BNAA04G19960D PROTEIN', NULL, NULL, NULL, 15),
(108687, NULL, 'PTHR10073:SF52', NULL, NULL, NULL, NULL, 'MISMATCH REPAIR ENDONUCLEASE PMS2-RELATED', NULL, NULL, NULL, 15),
(108688, NULL, 'PTHR12471:SF2', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT S1', NULL, NULL, NULL, 15),
(108689, NULL, 'PTHR31658:SF0', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(108690, NULL, 'PTHR44324:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-202C14.3', NULL, NULL, NULL, 15),
(108691, NULL, 'PTHR31044:SF80', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(108692, NULL, 'PTHR34144:SF1', NULL, NULL, NULL, NULL, 'CAPSULAR ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(108693, NULL, 'PTHR43562:SF4', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER NHAS5', NULL, NULL, NULL, 15),
(108694, NULL, 'PTHR31907:SF24', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 28-RELATED', NULL, NULL, NULL, 15),
(108695, NULL, 'PTHR46706', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108696, NULL, 'PTHR35550', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 18910, 15),
(108697, NULL, 'PTHR47293:SF55', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 20', NULL, NULL, NULL, 15),
(108698, NULL, 'PTHR23050:SF169', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(108699, NULL, 'PTHR27000:SF608', NULL, NULL, NULL, NULL, 'HIGHLY SIMILAR TO RECEPTOR-LIKE PROTEIN KINASE', NULL, NULL, NULL, 15),
(108700, NULL, 'PTHR27006:SF220', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(108701, NULL, 'PTHR23175:SF21', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 21B', NULL, NULL, NULL, 15),
(108702, NULL, 'PTHR11206:SF373', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(108703, NULL, 'PTHR11926:SF1401', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(108704, NULL, 'PTHR33168:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108705, NULL, 'PTHR31867:SF117', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(108706, NULL, 'PTHR47853:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108707, NULL, 'PTHR26453:SF216', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2I1-RELATED', NULL, NULL, NULL, 15),
(108708, NULL, 'PTHR13154:SF2', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(108709, NULL, 'PTHR12304:SF50', NULL, NULL, NULL, NULL, 'INOSINE/URIDINE-PREFERRING NUCLEOSIDE HYDROLASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(108710, NULL, 'PTHR23405', NULL, NULL, NULL, NULL, 'MAINTENANCE OF KILLER 16  MAK16  PROTEIN-RELATED', NULL, NULL, NULL, 15),
(108711, NULL, 'PTHR31929:SF99', NULL, NULL, NULL, NULL, 'BNAA02G03900D PROTEIN', NULL, NULL, NULL, 15),
(108712, NULL, 'PTHR11977:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108713, NULL, 'PTHR14226:SF77', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE/ACYL HYDROLASE/LYSOPHOSPHOLIPASE, TRIACYLGLYCEROL LIPASE-RELATED', NULL, NULL, NULL, 15),
(108714, NULL, 'PTHR17408:SF7', NULL, NULL, NULL, NULL, 'HISTONE RNA HAIRPIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(108715, NULL, 'PTHR32303:SF4', NULL, NULL, NULL, NULL, 'QUINOPROTEIN GLUCOSE DEHYDROGENASE', NULL, NULL, 21725, 15),
(108716, NULL, 'PTHR36066:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108717, NULL, 'PTHR11122:SF51', NULL, NULL, NULL, NULL, 'ALDOSE 1-/GLUCOSE-6-PHOSPHATE 1-EPIMERASE, GALACTOSE MUTAROTASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(108718, NULL, 'PTHR34651:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO ENSANGP00000021391', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108719, NULL, 'PTHR46905:SF5', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL78-LIKE', NULL, NULL, NULL, 15),
(108720, NULL, 'PTHR12510:SF15', NULL, NULL, NULL, NULL, 'AIG2-LIKE (AVIRULENCE INDUCED GENE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108721, NULL, 'PTHR38793:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108722, NULL, 'PTHR13561', NULL, NULL, NULL, NULL, 'DNA REPLICATION REGULATOR DPB11-RELATED', NULL, NULL, NULL, 15),
(108723, NULL, 'PTHR31149', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(108724, NULL, 'PTHR33204:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, MARR FAMILY', NULL, NULL, NULL, 15),
(108725, NULL, 'PTHR24172:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108726, NULL, 'PTHR32444:SF111', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE', NULL, NULL, NULL, 15),
(108727, NULL, 'PTHR23201:SF74', NULL, NULL, NULL, NULL, 'GIBBERELLIN REGULATED PROTEIN', NULL, NULL, NULL, 15),
(108728, NULL, 'PTHR46291:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108729, NULL, 'PTHR12300:SF100', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108730, NULL, 'PTHR24403:SF58', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 462', NULL, NULL, NULL, 15),
(108731, NULL, 'PTHR34355:SF9', NULL, NULL, NULL, NULL, 'JOSEPHIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108732, NULL, 'PTHR37833:SF1', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(108733, NULL, 'PTHR18884:SF108', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 250', NULL, NULL, 31270, 15),
(108734, NULL, 'PTHR26452:SF179', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 478', NULL, NULL, NULL, 15),
(108735, NULL, 'PTHR37710', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(108736, NULL, 'PTHR24286:SF296', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(108737, NULL, 'PTHR24343:SF451', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(108738, NULL, 'PTHR43670:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108739, NULL, 'PTHR22765:SF283', NULL, NULL, NULL, NULL, 'SI:CH211-207L14.1', NULL, NULL, NULL, 15),
(108740, NULL, 'PTHR23510:SF3', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(108741, NULL, 'PTHR10994:SF159', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108742, NULL, 'PTHR16026', NULL, NULL, NULL, NULL, 'CARTILAGE ACIDIC PROTEIN 1', NULL, NULL, NULL, 15),
(108743, NULL, 'PTHR23039:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108744, NULL, 'PTHR33674:SF1', NULL, NULL, NULL, NULL, 'OS01G0833400 PROTEIN', NULL, NULL, NULL, 15),
(108745, NULL, 'PTHR23212', NULL, NULL, NULL, NULL, 'BRAIN ACID SOLUBLE PROTEIN 1', NULL, NULL, 8743, 15),
(108746, NULL, 'PTHR15065:SF5', NULL, NULL, NULL, NULL, 'INSULINOMA-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(108747, NULL, 'PTHR43773:SF1', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MGTE', NULL, NULL, NULL, 15),
(108748, NULL, 'PTHR33334:SF10', NULL, NULL, NULL, NULL, 'PROTEIN LNK4', NULL, NULL, NULL, 15),
(108749, NULL, 'PTHR10288:SF285', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS K HOMOLOGY DOMAIN', NULL, NULL, NULL, 15),
(108750, NULL, 'PTHR11662:SF247', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE COTRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(108751, NULL, 'PTHR43574:SF45', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR EPIMERASE-RELATED', NULL, NULL, NULL, 15),
(108752, NULL, 'PTHR35546:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108753, NULL, 'PTHR15688', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(108754, NULL, 'PTHR46046', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108755, NULL, 'PTHR23430:SF324', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(108756, NULL, 'PTHR31561:SF73', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108757, NULL, 'PTHR45657:SF36', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH14', NULL, NULL, NULL, 15),
(108758, NULL, 'PTHR43452:SF23', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 2', NULL, NULL, NULL, 15),
(108759, NULL, 'PTHR43163:SF7', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORT SYSTEM INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(108760, NULL, 'PTHR43791:SF90', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE CATABOLISM PROTEIN', NULL, NULL, NULL, 15),
(108761, NULL, 'PTHR31828:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 1', NULL, NULL, NULL, 15),
(108762, NULL, 'PTHR33504:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE (UBIQUINONE) 1 BETA SUBCOMPLEX, 4', NULL, NULL, NULL, 15),
(108763, NULL, 'PTHR30582:SF28', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE YCBB-RELATED', NULL, NULL, NULL, 15),
(108764, NULL, 'PTHR39624:SF2', NULL, NULL, NULL, NULL, 'PROTEIN INVOLVED IN RIMO-MEDIATED BETA-METHYLTHIOLATION OF RIBOSOMAL PROTEIN S12 YCAO', NULL, NULL, NULL, 15),
(108765, NULL, 'PTHR11206:SF325', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(108766, NULL, 'PTHR11799:SF16', NULL, NULL, NULL, NULL, 'SERUM PARAOXONASE/ARYLESTERASE 1', NULL, NULL, 7778, 15),
(108767, NULL, 'PTHR19957:SF280', NULL, NULL, NULL, NULL, 'SYNTAXIN-21', NULL, NULL, NULL, 15),
(108768, NULL, 'PTHR11537:SF265', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY D MEMBER 2', NULL, NULL, NULL, 15),
(108769, NULL, 'PTHR32467:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108770, NULL, 'PTHR10788:SF106', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 1', NULL, NULL, NULL, 15),
(108771, NULL, 'PTHR10502:SF109', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(108772, NULL, 'PTHR32444:SF10', NULL, NULL, NULL, NULL, 'EP1-LIKE GLYCOPROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(108773, NULL, 'PTHR43999:SF6', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN, MYB-LIKE DNA-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(108774, NULL, 'PTHR24229:SF35', NULL, NULL, NULL, NULL, 'SOMATOSTATIN RECEPTOR TYPE 4', NULL, NULL, NULL, 15),
(108775, NULL, 'PTHR23062', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN  C.ELEGANS', NULL, NULL, NULL, 15),
(108776, NULL, 'PTHR47898:SF1', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR 4', NULL, NULL, NULL, 15),
(108777, NULL, 'PTHR10102:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(108778, NULL, 'PTHR46364:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108779, NULL, 'PTHR48052:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108780, NULL, 'PTHR10366:SF579', NULL, NULL, NULL, NULL, '3-BETA HYDROXYSTEROID DEHYDROGENASE/ISOMERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G02250)', NULL, NULL, NULL, 15),
(108781, NULL, 'PTHR32263:SF10', NULL, NULL, NULL, NULL, 'OS10G0577800 PROTEIN', NULL, NULL, NULL, 15),
(108782, NULL, 'PTHR11885:SF16', NULL, NULL, NULL, NULL, 'OS07G0572900 PROTEIN', NULL, NULL, NULL, 15),
(108783, NULL, 'PTHR11787:SF19', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR 2', NULL, NULL, NULL, 15),
(108784, NULL, 'PTHR34582:SF2', NULL, NULL, NULL, NULL, 'UPF0702 TRANSMEMBRANE PROTEIN YDFR', NULL, NULL, NULL, 15),
(108785, NULL, 'PTHR10223:SF6', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 4 HOMOLOG ISOFORM X1', NULL, NULL, NULL, 15),
(108786, NULL, 'PTHR24099:SF19', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 3B', NULL, NULL, NULL, 15),
(108787, NULL, 'PTHR33087:SF2', NULL, NULL, NULL, NULL, 'OS04G0155550 PROTEIN', NULL, NULL, NULL, 15),
(108788, NULL, 'PTHR37319', NULL, NULL, NULL, NULL, 'TRANSPOSASE', NULL, NULL, NULL, 15),
(108789, NULL, 'PTHR22765:SF306', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(108790, NULL, 'PTHR31321:SF57', NULL, NULL, NULL, NULL, 'PECTINESTERASE 53-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108791, NULL, 'PTHR43322:SF5', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE-5-PHOSPHATE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(108792, NULL, 'PTHR43686:SF1', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(108793, NULL, 'PTHR31790:SF161', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR1', NULL, NULL, NULL, 15),
(108794, NULL, 'PTHR18863:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 170', NULL, NULL, NULL, 15),
(108795, NULL, 'PTHR17469:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TESPA1', NULL, NULL, 24014, 15),
(108796, NULL, 'PTHR26374:SF348', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108797, NULL, 'PTHR11937:SF367', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(108798, NULL, 'PTHR21495:SF207', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(108799, NULL, 'PTHR46871:SF5', NULL, NULL, NULL, NULL, 'BNAC09G23860D PROTEIN', NULL, NULL, NULL, 15),
(108800, NULL, 'PTHR24062:SF144', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(108801, NULL, 'PTHR34830', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN MGC34837', NULL, NULL, 31316, 15),
(108802, NULL, 'PTHR23113:SF340', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR K', NULL, NULL, NULL, 15),
(108803, NULL, 'PTHR14715', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 28465, 15),
(108804, NULL, 'PTHR13696:SF90', NULL, NULL, NULL, NULL, 'POSSIBLE SOJ/PARA-RELATED PROTEIN', NULL, NULL, NULL, 15),
(108805, NULL, 'PTHR10458:SF20', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE 1', NULL, NULL, NULL, 15),
(108806, NULL, 'PTHR45080:SF17', NULL, NULL, NULL, NULL, 'MYOTILIN', NULL, NULL, NULL, 15),
(108807, NULL, 'PTHR24009:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(108808, NULL, 'PTHR42839:SF2', NULL, NULL, NULL, NULL, 'ISOCHORISMATE SYNTHASE ENTC', NULL, NULL, NULL, 15),
(108809, NULL, 'PTHR23130:SF174', NULL, NULL, NULL, NULL, 'BNAC08G48880D PROTEIN', NULL, NULL, NULL, 15),
(108810, NULL, 'PTHR12113:SF6', NULL, NULL, NULL, NULL, 'DICKKOPF3-LIKE 3', NULL, NULL, NULL, 15),
(108811, NULL, 'PTHR12595:SF19', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE ISOENZYME 6', NULL, NULL, NULL, 15),
(108812, NULL, 'PTHR46168:SF13', NULL, NULL, NULL, NULL, 'ARO1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(108813, NULL, 'PTHR33592:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108814, NULL, 'PTHR24056:SF451', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108815, NULL, 'PTHR12313:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108816, NULL, 'PTHR47995:SF24', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', NULL, NULL, NULL, 15),
(108817, NULL, 'PTHR48018:SF160', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(108818, NULL, 'PTHR23316:SF59', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(108819, NULL, 'PTHR31062:SF220', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(108820, NULL, 'PTHR42759:SF1', NULL, NULL, NULL, NULL, 'MOXR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108821, NULL, 'PTHR33565:SF22', NULL, NULL, NULL, NULL, 'BNAA09G01040D PROTEIN', NULL, NULL, NULL, 15),
(108822, NULL, 'PTHR10807:SF66', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(108823, NULL, 'PTHR43532', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE THYMIDYLYLTRANSFERASE', NULL, NULL, 233, 15),
(108824, NULL, 'PTHR32444:SF146', NULL, NULL, NULL, NULL, 'INACTIVE G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SRK-RELATED', NULL, NULL, NULL, 15),
(108825, NULL, 'PTHR36854', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(108826, NULL, 'PTHR31072:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PCF8', NULL, NULL, NULL, 15),
(108827, NULL, 'PTHR45771', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN DEFORMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108828, NULL, 'PTHR27002:SF842', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108829, NULL, 'PTHR12289:SF30', NULL, NULL, NULL, NULL, 'METAXIN-3', NULL, NULL, NULL, 15),
(108830, NULL, 'PTHR48179:SF1', NULL, NULL, NULL, NULL, 'OS08G0232201 PROTEIN', NULL, NULL, NULL, 15),
(108831, NULL, 'PTHR23266:SF323', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 4-30-2-RELATED', NULL, NULL, NULL, 15),
(108832, NULL, 'PTHR27008:SF412', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE-LIKE PROTEIN ZAR1', NULL, NULL, NULL, 15),
(108833, NULL, 'PTHR23039:SF3', NULL, NULL, NULL, NULL, 'NHS-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(108834, NULL, 'PTHR12161:SF60', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', NULL, NULL, NULL, 15),
(108835, NULL, 'PTHR23105:SF111', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A-1', NULL, NULL, NULL, 15),
(108836, NULL, 'PTHR13140:SF505', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-VIIB', NULL, NULL, NULL, 15),
(108837, NULL, 'PTHR47621:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH-TYPE ANTIVIRAL PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(108838, NULL, 'PTHR15680:SF15', NULL, NULL, NULL, NULL, 'BNAC09G20060D PROTEIN', NULL, NULL, NULL, 15),
(108839, NULL, 'PTHR31741:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108840, NULL, 'PTHR11877:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108841, NULL, 'PTHR10209:SF590', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(108842, NULL, 'PTHR42720', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(108843, NULL, 'PTHR43205:SF53', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(108844, NULL, 'PTHR24414:SF116', NULL, NULL, NULL, NULL, 'BNAC03G30770D PROTEIN', NULL, NULL, NULL, 15),
(108845, NULL, 'PTHR26453:SF656', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(108846, NULL, 'PTHR15075:SF2', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYLGLYCOPROTEIN 6-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(108847, NULL, 'PTHR20856:SF21', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE D SUBUNIT 2B-RELATED', NULL, NULL, NULL, 15),
(108848, NULL, 'PTHR33405:SF18', NULL, NULL, NULL, NULL, 'PROTEIN FLX-LIKE 4', NULL, NULL, NULL, 15),
(108849, NULL, 'PTHR22891:SF163', NULL, NULL, NULL, NULL, 'AGO4D', NULL, NULL, NULL, 15),
(108850, NULL, 'PTHR11879:SF3', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(108851, NULL, 'PTHR11668:SF472', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1-BETA CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(108852, NULL, 'PTHR32382:SF40', NULL, NULL, NULL, NULL, 'OS09G0248100 PROTEIN', NULL, NULL, NULL, 15),
(108853, NULL, 'PTHR33527:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108854, NULL, 'PTHR34377:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(108855, NULL, 'PTHR24384:SF208', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 718', NULL, NULL, NULL, 15),
(108856, NULL, 'PTHR10527:SF64', NULL, NULL, NULL, NULL, 'BETA PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(108857, NULL, 'PTHR33205:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108858, NULL, 'PTHR48102', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPX-LIKE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(108859, NULL, 'PTHR46868:SF4', NULL, NULL, NULL, NULL, 'DUF581 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108860, NULL, 'PTHR11662:SF280', NULL, NULL, NULL, NULL, 'FI21844P1-RELATED', NULL, NULL, NULL, 15),
(108861, NULL, 'PTHR24390:SF128', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 20', NULL, NULL, NULL, 15),
(108862, NULL, 'PTHR35022', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108863, NULL, 'PTHR24103:SF554', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 35-28', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108864, NULL, 'PTHR10759', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', NULL, NULL, 7031, 15),
(108865, NULL, 'PTHR12542:SF38', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108866, NULL, 'PTHR24247:SF128', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10H3', NULL, NULL, NULL, 15),
(108867, NULL, 'PTHR43329:SF107', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2', NULL, NULL, NULL, 15),
(108868, NULL, 'PTHR31269:SF35', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH3', NULL, NULL, NULL, 15),
(108869, NULL, 'PTHR22957:SF546', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108870, NULL, 'PTHR48049:SF67', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 79B30', NULL, NULL, NULL, 15),
(108871, NULL, 'PTHR34957:SF8', NULL, NULL, NULL, NULL, 'OS02G0788500 PROTEIN', NULL, NULL, NULL, 15),
(108872, NULL, 'PTHR22969:SF17', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE SUBUNIT BETA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108873, NULL, 'PTHR30473:SF1', NULL, NULL, NULL, NULL, 'PHOH-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108874, NULL, 'PTHR11614:SF94', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(108875, NULL, 'PTHR43358:SF9', NULL, NULL, NULL, NULL, 'BNAC01G30640D PROTEIN', NULL, NULL, NULL, 15),
(108876, NULL, 'PTHR30055:SF149', NULL, NULL, NULL, NULL, 'TETR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(108877, NULL, 'PTHR32166:SF55', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(108878, NULL, 'PTHR31776:SF13', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108879, NULL, 'PTHR38372:SF2', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108880, NULL, 'PTHR10794:SF60', NULL, NULL, NULL, NULL, 'PROTEIN ABHD1', NULL, NULL, NULL, 15),
(108881, NULL, 'PTHR14241:SF10', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN DDB_G0292188', NULL, NULL, NULL, 15),
(108882, NULL, 'PTHR10504:SF139', NULL, NULL, NULL, NULL, 'PROTEIN CBG16502', NULL, NULL, NULL, 15),
(108883, NULL, 'PTHR34191:SF14', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(108884, NULL, 'PTHR36915', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108885, NULL, 'PTHR31388:SF204', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(108886, NULL, 'PTHR47924:SF37', NULL, NULL, NULL, NULL, 'BNAC02G09320D PROTEIN', NULL, NULL, NULL, 15),
(108887, NULL, 'PTHR35477:SF3', NULL, NULL, NULL, NULL, 'PHD FINGER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108888, NULL, 'PTHR13817:SF27', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN C, SLOW-TYPE', NULL, NULL, NULL, 15),
(108889, NULL, 'PTHR10334:SF492', NULL, NULL, NULL, NULL, 'OS07G0128800 PROTEIN', NULL, NULL, NULL, 15),
(108890, NULL, 'PTHR44586:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108891, NULL, 'PTHR14907:SF4', NULL, NULL, NULL, NULL, 'SUPPRESSOR APC DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(108892, NULL, 'PTHR26450:SF346', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 573, PSEUDOGENE 1', NULL, NULL, NULL, 15),
(108893, NULL, 'PTHR14255:SF35', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(108894, NULL, 'PTHR22765:SF152', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE EL5', NULL, NULL, NULL, 15),
(108895, NULL, 'PTHR45964', NULL, NULL, NULL, NULL, 'WSCD FAMILY MEMBER CG9164', NULL, NULL, NULL, 15),
(108896, NULL, 'PTHR11654:SF353', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108897, NULL, 'PTHR38633:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG15571', NULL, NULL, NULL, 15),
(108898, NULL, 'PTHR23086:SF26', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE TYPE-1 GAMMA', NULL, NULL, NULL, 15),
(108899, NULL, 'PTHR35614:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108900, NULL, 'PTHR35022:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108901, NULL, 'PTHR31680:SF12', NULL, NULL, NULL, NULL, 'OS11G0587300 PROTEIN', NULL, NULL, NULL, 15),
(108902, NULL, 'PTHR14155:SF558', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL40-LIKE', NULL, NULL, NULL, 15),
(108903, NULL, 'PTHR11505:SF212', NULL, NULL, NULL, NULL, 'LINE-1 RETROTRANSPOSABLE ELEMENT ORF1 PROTEIN', NULL, NULL, NULL, 15),
(108904, NULL, 'PTHR31929:SF107', NULL, NULL, NULL, NULL, 'BNAA03G53060D PROTEIN', NULL, NULL, NULL, 15),
(108905, NULL, 'PTHR24351:SF220', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE YPK2/YKR2', NULL, NULL, NULL, 15),
(108906, NULL, 'PTHR46684:SF11', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(108907, NULL, 'PTHR13064:SF6', NULL, NULL, NULL, NULL, 'AGAP007259-PA', NULL, NULL, NULL, 15),
(108908, NULL, 'PTHR35690', NULL, NULL, NULL, NULL, 'OS01G0363500 PROTEIN', NULL, NULL, NULL, 15),
(108909, NULL, 'PTHR31707:SF218', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(108910, NULL, 'PTHR45943', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MYCBP2', NULL, NULL, NULL, 15),
(108911, NULL, 'PTHR24377:SF782', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 782', NULL, NULL, NULL, 15),
(108912, NULL, 'PTHR12358:SF52', NULL, NULL, NULL, NULL, 'SPHINGOID LONG-CHAIN BASES KINASE 1', NULL, NULL, NULL, 15),
(108913, NULL, 'PTHR11618:SF68', NULL, NULL, NULL, NULL, 'BNAA03G19530D PROTEIN', NULL, NULL, NULL, 15),
(108914, NULL, 'PTHR22937:SF115', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR2-LIKE', NULL, NULL, NULL, 15),
(108915, NULL, 'PTHR24369:SF174', NULL, NULL, NULL, NULL, 'RETICULON-4 RECEPTOR', NULL, NULL, NULL, 15),
(108916, NULL, 'PTHR34562:SF13', NULL, NULL, NULL, NULL, 'OS08G0497900 PROTEIN', NULL, NULL, NULL, 15),
(108917, NULL, 'PTHR12632:SF63', NULL, NULL, NULL, NULL, 'BNAC03G41820D PROTEIN', NULL, NULL, NULL, 15),
(108918, NULL, 'PTHR31250:SF31', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM1-LIKE', NULL, NULL, NULL, 15),
(108919, NULL, 'PTHR31339:SF71', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(108920, NULL, 'PTHR11571:SF155', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 4', NULL, NULL, NULL, 15),
(108921, NULL, 'PTHR15858:SF2', NULL, NULL, NULL, NULL, 'YOS1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108922, NULL, 'PTHR45496', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(108923, NULL, 'PTHR10553:SF26', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G-RELATED', NULL, NULL, NULL, 15),
(108924, NULL, 'PTHR10869:SF160', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 11-RELATED', NULL, NULL, NULL, 15),
(108925, NULL, 'PTHR12002:SF74', NULL, NULL, NULL, NULL, 'CLAUDIN-15', NULL, NULL, NULL, 15),
(108926, NULL, 'PTHR12714', NULL, NULL, NULL, NULL, 'PROTEIN-S ISOPRENYLCYSTEINE O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(108927, NULL, 'PTHR18947:SF36', NULL, NULL, NULL, NULL, 'PROTEIN HOOK HOMOLOG 1', NULL, NULL, NULL, 15),
(108928, NULL, 'PTHR34726', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108929, NULL, 'PTHR36118:SF1', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT G', NULL, NULL, NULL, 15),
(108930, NULL, 'PTHR10953:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108931, NULL, 'PTHR43229:SF3', NULL, NULL, NULL, NULL, 'ABC-TYPE MULTIDRUG TRANSPORT SYSTEM, PERMEASE COMPONENT', NULL, NULL, NULL, 15),
(108932, NULL, 'PTHR43447:SF3', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 1', NULL, NULL, NULL, 15),
(108933, NULL, 'PTHR23503:SF99', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 3', NULL, NULL, NULL, 15),
(108934, NULL, 'PTHR21089:SF30', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3-DEHYDROQUINATE DEHYDRATASE/SHIKIMATE DEHYDROGENASE CHLOROPLASTIC', NULL, NULL, NULL, 15),
(108935, NULL, 'PTHR32467:SF124', NULL, NULL, NULL, NULL, 'AP2 DOMAIN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108936, NULL, 'PTHR22957:SF437', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 2B', NULL, NULL, NULL, 15),
(108937, NULL, 'PTHR14523', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN C17ORF53 HOMOLOG', NULL, NULL, 25300, 15),
(108938, NULL, 'PTHR24177:SF256', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(108939, NULL, 'PTHR10799:SF977', NULL, NULL, NULL, NULL, 'ZINC FINGER, CW-TYPE', NULL, NULL, NULL, 15),
(108940, NULL, 'PTHR46159:SF4', NULL, NULL, NULL, NULL, 'OS12G0605300 PROTEIN', NULL, NULL, NULL, 15),
(108941, NULL, 'PTHR10443:SF39', NULL, NULL, NULL, NULL, 'DIPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(108942, NULL, 'PTHR11514:SF108', NULL, NULL, NULL, NULL, 'OS04G0301500 PROTEIN', NULL, NULL, NULL, 15),
(108943, NULL, 'PTHR10353:SF218', NULL, NULL, NULL, NULL, 'BNAA09G08470D PROTEIN', NULL, NULL, NULL, 15),
(108944, NULL, 'PTHR31953:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108945, NULL, 'PTHR10209:SF695', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(108946, NULL, 'PTHR11566:SF40', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE PROTEIN A', NULL, NULL, NULL, 15),
(108947, NULL, 'PTHR10701:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108948, NULL, 'PTHR46477:SF15', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(108949, NULL, 'PTHR24326:SF225', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX23', NULL, NULL, NULL, 15),
(108950, NULL, 'PTHR27009:SF261', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(108951, NULL, 'PTHR13710:SF132', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE Q-LIKE 4B', NULL, NULL, NULL, 15),
(108952, NULL, 'PTHR27002:SF583', NULL, NULL, NULL, NULL, 'OS04G0633200 PROTEIN', NULL, NULL, NULL, 15),
(108953, NULL, 'PTHR42721:SF9', NULL, NULL, NULL, NULL, 'OS11G0297300 PROTEIN', NULL, NULL, NULL, 15),
(108954, NULL, 'PTHR23236:SF69', NULL, NULL, NULL, NULL, 'BNAA04G17650D PROTEIN', NULL, NULL, NULL, 15),
(108955, NULL, 'PTHR42983:SF1', NULL, NULL, NULL, NULL, 'DINITROGENASE IRON-MOLYBDENUM COFACTOR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(108956, NULL, 'PTHR15288:SF6', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 2C', NULL, NULL, NULL, 15),
(108957, NULL, 'PTHR16469:SF48', NULL, NULL, NULL, NULL, 'BNAC06G42780D PROTEIN', NULL, NULL, NULL, 15),
(108958, NULL, 'PTHR31696:SF71', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', NULL, NULL, NULL, 15),
(108959, NULL, 'PTHR11375:SF1', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY MEMBER A', NULL, NULL, NULL, 15),
(108960, NULL, 'PTHR45839:SF10', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', NULL, NULL, NULL, 15),
(108961, NULL, 'PTHR43327:SF48', NULL, NULL, NULL, NULL, 'PROTEIN QMCA', NULL, NULL, NULL, 15),
(108962, NULL, 'PTHR32448:SF73', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 15', NULL, NULL, NULL, 15),
(108963, NULL, 'PTHR32285:SF13', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(108964, NULL, 'PTHR12242:SF10', NULL, NULL, NULL, NULL, 'OS02G0130600 PROTEIN', NULL, NULL, NULL, 15),
(108965, NULL, 'PTHR33203:SF41', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(108966, NULL, 'PTHR43255:SF3', NULL, NULL, NULL, NULL, 'COB--COM HETERODISULFIDE REDUCTASE IRON-SULFUR SUBUNIT C 1', NULL, NULL, NULL, 15),
(108967, NULL, 'PTHR25464:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108968, NULL, 'PTHR43731:SF24', NULL, NULL, NULL, NULL, 'PROTEASE ROM6, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(108969, NULL, 'PTHR45693:SF24', NULL, NULL, NULL, NULL, 'BZIP FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(108970, NULL, 'PTHR24351:SF110', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(108971, NULL, 'PTHR47534:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(108972, NULL, 'PTHR47564:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(108973, NULL, 'PTHR24281:SF106', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE', NULL, NULL, NULL, 15),
(108974, NULL, 'PTHR31342:SF55', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(108975, NULL, 'PTHR46105:SF5', NULL, NULL, NULL, NULL, 'AGAP004733-PA', NULL, NULL, NULL, 15),
(108976, NULL, 'PTHR11452:SF66', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(108977, NULL, 'PTHR47948', NULL, NULL, NULL, NULL, 'TRANS-CINNAMATE 4-MONOOXYGENASE', NULL, NULL, NULL, 15),
(108978, NULL, 'PTHR45974:SF136', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(108979, NULL, 'PTHR11596:SF69', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE, PLACENTAL TYPE', NULL, NULL, NULL, 15),
(108980, NULL, 'PTHR33595:SF9', NULL, NULL, NULL, NULL, 'BNAA06G32290D PROTEIN', NULL, NULL, NULL, 15),
(108981, NULL, 'PTHR24044:SF417', NULL, NULL, NULL, NULL, 'PROTEIN LIN-12', NULL, NULL, NULL, 15),
(108982, NULL, 'PTHR20859:SF5', NULL, NULL, NULL, NULL, 'INTERFERON GAMMA RECEPTOR 1', NULL, NULL, 7593, 15),
(108983, NULL, 'PTHR46391', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 34', NULL, NULL, NULL, 15),
(108984, NULL, 'PTHR10031:SF41', NULL, NULL, NULL, NULL, 'ATPASE, F0 COMPLEX, SUBUNIT C, V-ATPASE PROTEOLIPID SUBUNIT C-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(108985, NULL, 'PTHR35691', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(108986, NULL, 'PTHR11216:SF153', NULL, NULL, NULL, NULL, 'OS06G0728600 PROTEIN', NULL, NULL, NULL, 15),
(108987, NULL, 'PTHR12107:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108988, NULL, 'PTHR31945:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH61-RELATED', NULL, NULL, NULL, 15),
(108989, NULL, 'PTHR18945:SF472', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-TYPE DEG-3', NULL, NULL, NULL, 15),
(108990, NULL, 'PTHR12988', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE 4', NULL, NULL, 14678, 15),
(108991, NULL, 'PTHR13140:SF758', NULL, NULL, NULL, NULL, 'MYOSIN-14', NULL, NULL, NULL, 15),
(108992, NULL, 'PTHR10210:SF95', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 1-LIKE', NULL, NULL, NULL, 15),
(108993, NULL, 'PTHR33048:SF115', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', NULL, NULL, NULL, 15),
(108994, NULL, 'PTHR19944:SF62', NULL, NULL, NULL, NULL, 'BETA-2-MICROGLOBULIN', NULL, NULL, 11701, 15),
(108995, NULL, 'PTHR48036:SF4', NULL, NULL, NULL, NULL, 'CC1-LIKE SPLICING FACTOR', NULL, NULL, NULL, 15),
(108996, NULL, 'PTHR47980:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(108997, NULL, 'PTHR11849:SF172', NULL, NULL, NULL, NULL, 'ETS DOMAIN-CONTAINING PROTEIN ELK-3', NULL, NULL, NULL, 15),
(108998, NULL, 'PTHR21879:SF10', NULL, NULL, NULL, NULL, 'LP14110P', NULL, NULL, NULL, 15),
(108999, NULL, 'PTHR10602:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 1', NULL, NULL, NULL, 15),
(109000, NULL, 'PTHR12565:SF373', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109001, NULL, 'PTHR33112:SF1', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(109002, NULL, 'PTHR13778:SF42', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(109003, NULL, 'PTHR13902:SF119', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE WNK11-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109004, NULL, 'PTHR31042:SF61', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-16-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(109005, NULL, 'PTHR13105:SF19', NULL, NULL, NULL, NULL, 'MYELOID LEUKEMIA FACTOR-RELATED', NULL, NULL, NULL, 15),
(109006, NULL, 'PTHR37783:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G04315)-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109007, NULL, 'PTHR11216:SF31', NULL, NULL, NULL, NULL, 'AT21416P', NULL, NULL, NULL, 15),
(109008, NULL, 'PTHR12346:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109009, NULL, 'PTHR37560:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109010, NULL, 'PTHR42973:SF32', NULL, NULL, NULL, NULL, 'FAD-LINKED OXIDOREDUCTASE AFOF', NULL, NULL, NULL, 15),
(109011, NULL, 'PTHR11017:SF405', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(109012, NULL, 'PTHR23310:SF77', NULL, NULL, NULL, NULL, 'LD25952P', NULL, NULL, NULL, 15),
(109013, NULL, 'PTHR30231:SF4', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III, EPSILON SUBUNIT', NULL, NULL, NULL, 15),
(109014, NULL, 'PTHR31744:SF55', NULL, NULL, NULL, NULL, 'OS08G0436700 PROTEIN', NULL, NULL, NULL, 15),
(109015, NULL, 'PTHR32518:SF3', NULL, NULL, NULL, NULL, '4-ALPHA-GLUCANOTRANSFERASE DPE2', NULL, NULL, NULL, 15),
(109016, NULL, 'PTHR13817:SF10', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 22', NULL, NULL, NULL, 15),
(109017, NULL, 'PTHR31421:SF6', NULL, NULL, NULL, NULL, 'PROTEIN BASIC PENTACYSTEINE7', NULL, NULL, NULL, 15),
(109018, NULL, 'PTHR14705:SF0', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT BETA', NULL, NULL, NULL, 15),
(109019, NULL, 'PTHR10357:SF206', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE MAL12-RELATED', NULL, NULL, NULL, 15),
(109020, NULL, 'PTHR12630:SF6', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-1-PHOSPHOTRANSFERASE SUBUNIT GAMMA', NULL, NULL, 29776, 15),
(109021, NULL, 'PTHR24015:SF1954', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(109022, NULL, 'PTHR31992:SF75', NULL, NULL, NULL, NULL, 'DOF DOMAIN, ZINC FINGER FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(109023, NULL, 'PTHR11941:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109024, NULL, 'PTHR12607:SF3', NULL, NULL, NULL, NULL, 'ADENOMATOUS POLYPOSIS COLI PROTEIN 2', NULL, NULL, 26639, 15),
(109025, NULL, 'PTHR31642:SF249', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(109026, NULL, 'PTHR33693:SF8', NULL, NULL, NULL, NULL, 'PHAGE SPO1 DNA POLYMERASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(109027, NULL, 'PTHR14845:SF5', NULL, NULL, NULL, NULL, 'BASAL BODY-ORIENTATION FACTOR 1', NULL, NULL, 29275, 15),
(109028, NULL, 'PTHR23023:SF84', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING] 2', NULL, NULL, NULL, 15),
(109029, NULL, 'PTHR19359:SF103', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE', NULL, NULL, NULL, 15),
(109030, NULL, 'PTHR31769:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109031, NULL, 'PTHR23356:SF18', NULL, NULL, NULL, NULL, 'DPY30 DOMAIN-CONTAINING 2', NULL, NULL, NULL, 15),
(109032, NULL, 'PTHR24093:SF472', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 10, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(109033, NULL, 'PTHR24407', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109034, NULL, 'PTHR10334:SF482', NULL, NULL, NULL, NULL, 'BNACNNG08650D PROTEIN', NULL, NULL, NULL, 15),
(109035, NULL, 'PTHR31568:SF93', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN WIH2-LIKE', NULL, NULL, NULL, 15),
(109036, NULL, 'PTHR23266:SF231', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 4-9', NULL, NULL, NULL, 15),
(109037, NULL, 'PTHR31136:SF7', NULL, NULL, NULL, NULL, 'BNAA07G09260D PROTEIN', NULL, NULL, NULL, 15),
(109038, NULL, 'PTHR33109:SF63', NULL, NULL, NULL, NULL, 'BNAC02G00400D PROTEIN', NULL, NULL, NULL, 15),
(109039, NULL, 'PTHR21508:SF4', NULL, NULL, NULL, NULL, 'MITOGUARDIN 2', NULL, NULL, NULL, 15),
(109040, NULL, 'PTHR46842', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 266', NULL, NULL, 38121, 15),
(109041, NULL, 'PTHR23511:SF11', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE GLYCOPROTEIN 2A', NULL, NULL, NULL, 15),
(109042, NULL, 'PTHR48048:SF26', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109043, NULL, 'PTHR17045:SF6', NULL, NULL, NULL, NULL, 'CBP/P300-INTERACTING TRANSACTIVATOR 1', NULL, NULL, NULL, 15),
(109044, NULL, 'PTHR11638:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109045, NULL, 'PTHR45714:SF14', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT22', NULL, NULL, NULL, 15),
(109046, NULL, 'PTHR31623:SF57', NULL, NULL, NULL, NULL, 'BNAANNG26960D PROTEIN', NULL, NULL, NULL, 15),
(109047, NULL, 'PTHR12354:SF19', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109048, NULL, 'PTHR46977', NULL, NULL, NULL, NULL, 'PROTEIN FREE1', NULL, NULL, 39319, 15),
(109049, NULL, 'PTHR47926:SF252', NULL, NULL, NULL, NULL, 'OS12G0163600 PROTEIN', NULL, NULL, NULL, 15),
(109050, NULL, 'PTHR12290:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 3', NULL, NULL, NULL, 15),
(109051, NULL, 'PTHR10668:SF104', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109052, NULL, 'PTHR23018:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', NULL, NULL, NULL, 15),
(109053, NULL, 'PTHR33057:SF168', NULL, NULL, NULL, NULL, 'BNAA02G04380D PROTEIN', NULL, NULL, NULL, 15),
(109054, NULL, 'PTHR10887:SF488', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(109055, NULL, 'PTHR33150', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX-BINDING PROTEIN EBH', NULL, NULL, NULL, 15),
(109056, NULL, 'PTHR31384:SF123', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 12', NULL, NULL, NULL, 15),
(109057, NULL, 'PTHR31325:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109058, NULL, 'PTHR32182:SF19', NULL, NULL, NULL, NULL, 'HOMOLOGY WITH RECF PROTEIN', NULL, NULL, NULL, 15),
(109059, NULL, 'PTHR47535:SF6', NULL, NULL, NULL, NULL, 'SI:CH211-207I1.2', NULL, NULL, 23395, 15),
(109060, NULL, 'PTHR10315:SF95', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINAT1-RELATED', NULL, NULL, NULL, 15),
(109061, NULL, 'PTHR24184:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109062, NULL, 'PTHR24043', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS F', NULL, NULL, 38278, 15),
(109063, NULL, 'PTHR10511:SF2', NULL, NULL, NULL, NULL, 'GRANULOCYTE COLONY-STIMULATING FACTOR', NULL, NULL, NULL, 15),
(109064, NULL, 'PTHR33921:SF16', NULL, NULL, NULL, NULL, 'CALVIN CYCLE PROTEIN CP12-3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(109065, NULL, 'PTHR36394:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109066, NULL, 'PTHR45811:SF41', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(109067, NULL, 'PTHR24093:SF487', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(109068, NULL, 'PTHR10502:SF202', NULL, NULL, NULL, NULL, 'ANNEXIN D6', NULL, NULL, NULL, 15),
(109069, NULL, 'PTHR24232:SF22', NULL, NULL, NULL, NULL, 'PROTEINASE-ACTIVATED RECEPTOR 4', NULL, NULL, NULL, 15),
(109070, NULL, 'PTHR11486:SF23', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 5', NULL, NULL, 25095, 15),
(109071, NULL, 'PTHR16134:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109072, NULL, 'PTHR43130:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(109073, NULL, 'PTHR45730:SF57', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 7', NULL, NULL, NULL, 15),
(109074, NULL, 'PTHR21290:SF60', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL:CERAMIDE INOSITOLPHOSPHOTRANSFERASE 1', NULL, NULL, NULL, 15),
(109075, NULL, 'PTHR31636:SF157', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(109076, NULL, 'PTHR43712:SF8', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE AF390-400', NULL, NULL, NULL, 15),
(109077, NULL, 'PTHR10924', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109078, NULL, 'PTHR22572:SF137', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109079, NULL, 'PTHR12411:SF450', NULL, NULL, NULL, NULL, 'GAMETE AND MATING-TYPE SPECIFIC PROTEIN A', NULL, NULL, NULL, 15),
(109080, NULL, 'PTHR22765:SF299', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109081, NULL, 'PTHR33327:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109082, NULL, 'PTHR11255:SF106', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(109083, NULL, 'PTHR28291', NULL, NULL, NULL, NULL, 'CTD KINASE SUBUNIT GAMMA', NULL, NULL, 38135, 15),
(109084, NULL, 'PTHR11347:SF108', NULL, NULL, NULL, NULL, 'CAMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 4B', NULL, NULL, 37987, 15),
(109085, NULL, 'PTHR38500:SF1', NULL, NULL, NULL, NULL, 'SURFACTANT-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(109086, NULL, 'PTHR48024:SF22', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN GRP1A, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(109087, NULL, 'PTHR10410:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT H', NULL, NULL, 26989, 15),
(109088, NULL, 'PTHR27007:SF290', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', NULL, NULL, NULL, 15),
(109089, NULL, 'PTHR13952:SF6', NULL, NULL, NULL, NULL, 'U11/U12 SMALL NUCLEAR RIBONUCLEOPROTEIN 35 KDA PROTEIN', NULL, NULL, NULL, 15),
(109090, NULL, 'PTHR13374', NULL, NULL, NULL, NULL, 'DET1 HOMOLOG  DE-ETIOLATED-1 HOMOLOG', NULL, NULL, 17921, 15),
(109091, NULL, 'PTHR14429', NULL, NULL, NULL, NULL, 'FIBROSIN FAMILY MEMBER', NULL, NULL, 15705, 15),
(109092, NULL, 'PTHR12547:SF71', NULL, NULL, NULL, NULL, 'CCCH-TYPE ZINC FINGER PROTEIN MOE-3-RELATED', NULL, NULL, NULL, 15),
(109093, NULL, 'PTHR10652:SF0', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', NULL, NULL, 22186, 15),
(109094, NULL, 'PTHR46224:SF42', NULL, NULL, NULL, NULL, 'ANKYRIN-1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(109095, NULL, 'PTHR24343:SF456', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(109096, NULL, 'PTHR18945:SF767', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(109097, NULL, 'PTHR24381', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(109098, NULL, 'PTHR38344:SF1', NULL, NULL, NULL, NULL, 'UPF0753 PROTEIN AQ_863', NULL, NULL, NULL, 15),
(109099, NULL, 'PTHR10336:SF177', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(109100, NULL, 'PTHR11668:SF208', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1-DELTA-RELATED', NULL, NULL, NULL, 15),
(109101, NULL, 'PTHR37932', NULL, NULL, NULL, NULL, 'SMALL LYSINE-RICH PROTEIN 1', NULL, NULL, 35123, 15),
(109102, NULL, 'PTHR35124', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(109103, NULL, 'PTHR42918:SF12', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(109104, NULL, 'PTHR42760:SF83', NULL, NULL, NULL, NULL, 'ESTRADIOL 17-BETA-DEHYDROGENASE 8', NULL, NULL, NULL, 15),
(109105, NULL, 'PTHR39937', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN 8', NULL, NULL, NULL, 15),
(109106, NULL, 'PTHR47997:SF49', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109107, NULL, 'PTHR33083:SF80', NULL, NULL, NULL, NULL, 'BNAC01G36420D PROTEIN', NULL, NULL, NULL, 15),
(109108, NULL, 'PTHR22943:SF27', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(109109, NULL, 'PTHR34451:SF11', NULL, NULL, NULL, NULL, 'BNAA08G26330D PROTEIN', NULL, NULL, NULL, 15),
(109110, NULL, 'PTHR13620:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109111, NULL, 'PTHR45940:SF25', NULL, NULL, NULL, NULL, 'WOX3B', NULL, NULL, NULL, 15),
(109112, NULL, 'PTHR19359:SF95', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109113, NULL, 'PTHR24092:SF185', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(109114, NULL, 'PTHR42650', NULL, NULL, NULL, NULL, 'TAIL-ANCHORED PROTEIN INSERTION RECEPTOR WRB', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109115, NULL, 'PTHR46023:SF2', NULL, NULL, NULL, NULL, 'LIPASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(109116, NULL, 'PTHR12771:SF58', NULL, NULL, NULL, NULL, 'ELMO/CED-12 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109117, NULL, 'PTHR48047:SF99', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73D1', NULL, NULL, NULL, 15),
(109118, NULL, 'PTHR13105:SF16', NULL, NULL, NULL, NULL, 'MYELOID LEUKEMIA FACTOR', NULL, NULL, NULL, 15),
(109119, NULL, 'PTHR27000:SF631', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HAIKU2', NULL, NULL, NULL, 15),
(109120, NULL, 'PTHR12549:SF59', NULL, NULL, NULL, NULL, 'BNAA03G60350D PROTEIN', NULL, NULL, NULL, 15),
(109121, NULL, 'PTHR32046:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109122, NULL, 'PTHR47953:SF6', NULL, NULL, NULL, NULL, '5-EPIARISTOLOCHENE 1,3-DIHYDROXYLASE', NULL, NULL, NULL, 15),
(109123, NULL, 'PTHR10367:SF21', NULL, NULL, NULL, NULL, 'MRNA (GUANINE-N(7)-)-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(109124, NULL, 'PTHR43113', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-DIPHOSPHATE-SUGAR EPIMERASE', NULL, NULL, 4455, 15),
(109125, NULL, 'PTHR24361:SF819', NULL, NULL, NULL, NULL, 'BNAC03G41980D PROTEIN', NULL, NULL, NULL, 15),
(109126, NULL, 'PTHR32208:SF78', NULL, NULL, NULL, NULL, 'GLYOXALOXIDASE 1', NULL, NULL, NULL, 15),
(109127, NULL, 'PTHR23187:SF4', NULL, NULL, NULL, NULL, 'SKI/DACH DOMAIN-CONTAINING 1', NULL, NULL, NULL, 15),
(109128, NULL, 'PTHR24093:SF436', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(109129, NULL, 'PTHR11567:SF181', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 10-RELATED', NULL, NULL, NULL, 15),
(109130, NULL, 'PTHR34189:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109131, NULL, 'PTHR23192', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-RELATED', NULL, NULL, NULL, 15),
(109132, NULL, 'PTHR47979:SF34', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(109133, NULL, 'PTHR33021:SF418', NULL, NULL, NULL, NULL, 'BNAA02G10060D PROTEIN', NULL, NULL, NULL, 15),
(109134, NULL, 'PTHR13848:SF50', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(109135, NULL, 'PTHR43272:SF23', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', NULL, NULL, NULL, 15),
(109136, NULL, 'PTHR22953:SF96', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 15', NULL, NULL, NULL, 15),
(109137, NULL, 'PTHR31175:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109138, NULL, 'PTHR31048:SF156', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(109139, NULL, 'PTHR11266:SF50', NULL, NULL, NULL, NULL, 'VACUOLAR MEMBRANE PROTEIN YOR292C', NULL, NULL, NULL, 15),
(109140, NULL, 'PTHR19444', NULL, NULL, NULL, NULL, 'UNC-93 RELATED', NULL, NULL, NULL, 15),
(109141, NULL, 'PTHR33526:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109142, NULL, 'PTHR43235:SF4', NULL, NULL, NULL, NULL, 'CLASS I GLUTAMINE AMIDOTRANSFERASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(109143, NULL, 'PTHR27003:SF97', NULL, NULL, NULL, NULL, 'OS01G0253000 PROTEIN', NULL, NULL, NULL, 15),
(109144, NULL, 'PTHR24098:SF14', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 59', NULL, NULL, NULL, 15),
(109145, NULL, 'PTHR33642', NULL, NULL, NULL, NULL, 'COX1/OXI3 INTRON 1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109146, NULL, 'PTHR20941:SF8', NULL, NULL, NULL, NULL, 'INACTIVE DIHYDROPTEROATE SYNTHASE 2', NULL, NULL, NULL, 15),
(109147, NULL, 'PTHR46629:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109148, NULL, 'PTHR10177:SF419', NULL, NULL, NULL, NULL, 'CYCLIN-B1-5', NULL, NULL, NULL, 15),
(109149, NULL, 'PTHR25462:SF244', NULL, NULL, NULL, NULL, 'RET FINGER PROTEIN-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(109150, NULL, 'PTHR12081:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F6', NULL, NULL, 18249, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109151, NULL, 'PTHR21029:SF12', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 7-BINDING PROTEIN', NULL, NULL, NULL, 15),
(109152, NULL, 'PTHR24302:SF33', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 3A11-RELATED', NULL, NULL, NULL, 15),
(109153, NULL, 'PTHR24381:SF111', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 80', NULL, NULL, NULL, 15),
(109154, NULL, 'PTHR10778:SF36', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE/UDP-GLUCOSE TRANSPORTER 1', NULL, NULL, NULL, 15),
(109155, NULL, 'PTHR11693:SF32', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(109156, NULL, 'PTHR23022:SF124', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT TCB2 TRANSPOSASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109157, NULL, 'PTHR47738:SF2', NULL, NULL, NULL, NULL, 'PTS SYSTEM FRUCTOSE-LIKE EIIA COMPONENT', NULL, NULL, NULL, 15),
(109158, NULL, 'PTHR35516:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109159, NULL, 'PTHR31393:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 7 OPEN READING FRAME 31', NULL, NULL, NULL, 15),
(109160, NULL, 'PTHR12304:SF51', NULL, NULL, NULL, NULL, 'BNAA08G28310D PROTEIN', NULL, NULL, NULL, 15),
(109161, NULL, 'PTHR24056:SF385', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(109162, NULL, 'PTHR24408:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 576', NULL, NULL, NULL, 15),
(109163, NULL, 'PTHR21593:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG05950', NULL, NULL, NULL, 15),
(109164, NULL, 'PTHR33676:SF11', NULL, NULL, NULL, NULL, 'OS07G0618700 PROTEIN', NULL, NULL, NULL, 15),
(109165, NULL, 'PTHR23195:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109166, NULL, 'PTHR12960', NULL, NULL, NULL, NULL, 'GLE-1-RELATED', NULL, NULL, 14851, 15),
(109167, NULL, 'PTHR31973:SF125', NULL, NULL, NULL, NULL, 'OS05G0489400 PROTEIN', NULL, NULL, NULL, 15),
(109168, NULL, 'PTHR24064:SF497', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER', NULL, NULL, NULL, 15),
(109169, NULL, 'PTHR42791:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109170, NULL, 'PTHR31495:SF32', NULL, NULL, NULL, NULL, 'BNAC06G31770D PROTEIN', NULL, NULL, NULL, 15),
(109171, NULL, 'PTHR31062:SF228', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(109172, NULL, 'PTHR42683:SF42', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 4', NULL, NULL, NULL, 15),
(109173, NULL, 'PTHR24300:SF285', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(109174, NULL, 'PTHR31088:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109175, NULL, 'PTHR45621:SF118', NULL, NULL, NULL, NULL, 'KINASE 1B', NULL, NULL, NULL, 15),
(109176, NULL, 'PTHR22957:SF498', NULL, NULL, NULL, NULL, 'TBC (TRE-2/BUB2/CDC16) DOMAIN FAMILY', NULL, NULL, NULL, 15),
(109177, NULL, 'PTHR26451:SF854', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(109178, NULL, 'PTHR23110:SF91', NULL, NULL, NULL, NULL, 'AGAP003189-PA', NULL, NULL, NULL, 15),
(109179, NULL, 'PTHR48018:SF173', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8D2', NULL, NULL, NULL, 15),
(109180, NULL, 'PTHR31828:SF5', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 2', NULL, NULL, NULL, 15),
(109181, NULL, 'PTHR23267:SF403', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 38-1', NULL, NULL, NULL, 15),
(109182, NULL, 'PTHR10199:SF114', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN 4A-RELATED', NULL, NULL, 25241, 15),
(109183, NULL, 'PTHR24115:SF322', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF1C', NULL, NULL, NULL, 15),
(109184, NULL, 'PTHR45621:SF119', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL19-RELATED', NULL, NULL, NULL, 15),
(109185, NULL, 'PTHR15541:SF2', NULL, NULL, NULL, NULL, 'GRANULYSIN', NULL, NULL, NULL, 15),
(109186, NULL, 'PTHR10218:SF339', NULL, NULL, NULL, NULL, 'BNAC05G29120D PROTEIN', NULL, NULL, NULL, 15),
(109187, NULL, 'PTHR11119:SF86', NULL, NULL, NULL, NULL, 'SI:DKEY-106N21.1', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109188, NULL, 'PTHR11814:SF230', NULL, NULL, NULL, NULL, 'SLC26A/SULP TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(109189, NULL, 'PTHR21495:SF179', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(109190, NULL, 'PTHR12236:SF46', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 30B-RELATED', NULL, NULL, NULL, 15),
(109191, NULL, 'PTHR45642:SF115', NULL, NULL, NULL, NULL, 'BNAC02G29810D PROTEIN', NULL, NULL, NULL, 15),
(109192, NULL, 'PTHR43503:SF2', NULL, NULL, NULL, NULL, 'NEGATIVE REGULATOR OF SPORULATION MDS3-RELATED', NULL, NULL, NULL, 15),
(109193, NULL, 'PTHR33782:SF23', NULL, NULL, NULL, NULL, 'BNAA06G35010D PROTEIN', NULL, NULL, NULL, 15),
(109194, NULL, 'PTHR31185', NULL, NULL, NULL, NULL, 'FIN BUD INITIATION FACTOR FIBIN', NULL, NULL, 25425, 15),
(109195, NULL, 'PTHR24282:SF194', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(109196, NULL, 'PTHR45886:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(109197, NULL, 'PTHR11081:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109198, NULL, 'PTHR31589:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109199, NULL, 'PTHR23389:SF29', NULL, NULL, NULL, NULL, 'DNA LIGASE B', NULL, NULL, NULL, 15),
(109200, NULL, 'PTHR12422:SF2', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 49 MEMBER A,-LIKE', NULL, NULL, NULL, 15),
(109201, NULL, 'PTHR36018:SF1', NULL, NULL, NULL, NULL, 'OS09G0481800 PROTEIN', NULL, NULL, NULL, 15),
(109202, NULL, 'PTHR36792', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(109203, NULL, 'PTHR46803:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CHIP', NULL, NULL, NULL, 15),
(109204, NULL, 'PTHR33065:SF95', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(109205, NULL, 'PTHR12791:SF16', NULL, NULL, NULL, NULL, 'VESICULAR MEMBRANE TRAFFICKING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(109206, NULL, 'PTHR21229:SF62', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109207, NULL, 'PTHR31325:SF29', NULL, NULL, NULL, NULL, 'OS01G0336701 PROTEIN', NULL, NULL, NULL, 15),
(109208, NULL, 'PTHR37679:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(109209, NULL, 'PTHR24177:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109210, NULL, 'PTHR10476:SF50', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 2A', NULL, NULL, NULL, 15),
(109211, NULL, 'PTHR45786:SF38', NULL, NULL, NULL, NULL, 'BNACNNG36250D PROTEIN', NULL, NULL, NULL, 15),
(109212, NULL, 'PTHR12307:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3D', NULL, NULL, NULL, 15),
(109213, NULL, 'PTHR10721:SF2', NULL, NULL, NULL, NULL, 'BNAA07G00370D PROTEIN', NULL, NULL, NULL, 15),
(109214, NULL, 'PTHR34132:SF8', NULL, NULL, NULL, NULL, 'BNAUNNG04130D PROTEIN', NULL, NULL, NULL, 15),
(109215, NULL, 'PTHR44750:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE T1', NULL, NULL, NULL, 15),
(109216, NULL, 'PTHR31561:SF128', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(109217, NULL, 'PTHR42647:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109218, NULL, 'PTHR35357:SF8', NULL, NULL, NULL, NULL, 'OS02G0537100 PROTEIN', NULL, NULL, NULL, 15),
(109219, NULL, 'PTHR16435:SF3', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 6', NULL, NULL, 23452, 15),
(109220, NULL, 'PTHR10585:SF37', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR 2', NULL, NULL, NULL, 15),
(109221, NULL, 'PTHR10177:SF437', NULL, NULL, NULL, NULL, 'CYCLIN-D5-1', NULL, NULL, NULL, 15),
(109222, NULL, 'PTHR48065:SF30', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 46', NULL, NULL, NULL, 15),
(109223, NULL, 'PTHR10122:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT VB', NULL, NULL, NULL, 15),
(109224, NULL, 'PTHR10551:SF13', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE ARB_04467-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109225, NULL, 'PTHR43670:SF10', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(109226, NULL, 'PTHR33434:SF4', NULL, NULL, NULL, NULL, 'PHOSPHATASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109227, NULL, 'PTHR46142:SF11', NULL, NULL, NULL, NULL, 'BNAC05G11680D PROTEIN', NULL, NULL, NULL, 15),
(109228, NULL, 'PTHR46422:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(109229, NULL, 'PTHR21879:SF24', NULL, NULL, NULL, NULL, 'OSIRIS 10', NULL, NULL, NULL, 15),
(109230, NULL, 'PTHR45801:SF48', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SUPERMAN', NULL, NULL, NULL, 15),
(109231, NULL, 'PTHR46279', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(109232, NULL, 'PTHR45744:SF27', NULL, NULL, NULL, NULL, 'BNAANNG31450D PROTEIN', NULL, NULL, NULL, 15),
(109233, NULL, 'PTHR45648:SF59', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(109234, NULL, 'PTHR47009:SF6', NULL, NULL, NULL, NULL, 'T-CELL IMMUNOGLOBULIN AND MUCIN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(109235, NULL, 'PTHR13778:SF16', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(109236, NULL, 'PTHR10736:SF24', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 18', NULL, NULL, NULL, 15),
(109237, NULL, 'PTHR33288:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME F', NULL, NULL, NULL, 15),
(109238, NULL, 'PTHR32246:SF96', NULL, NULL, NULL, NULL, 'PROTEIN SRC2 HOMOLOG', NULL, NULL, NULL, 15),
(109239, NULL, 'PTHR45805:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR HR3-RELATED', NULL, NULL, NULL, 15),
(109240, NULL, 'PTHR37610:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY ANKYRIN REPEAT SUBUNIT C-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(109241, NULL, 'PTHR31105:SF40', NULL, NULL, NULL, NULL, 'G-LIKE PROTEIN, PUTATIVE (DUF3133)-RELATED', NULL, NULL, NULL, 15),
(109242, NULL, 'PTHR11206:SF401', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(109243, NULL, 'PTHR33353:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLHYDROLASE FAMILY 61-7 PROTEIN', NULL, NULL, NULL, 15),
(109244, NULL, 'PTHR46736:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109245, NULL, 'PTHR20963:SF41', NULL, NULL, NULL, NULL, 'MULTIPLE INOSITOL-POLYPHOSPHATE PHOSPHATASE 1A', NULL, NULL, NULL, 15),
(109246, NULL, 'PTHR42923:SF17', NULL, NULL, NULL, NULL, 'OS12G0267100 PROTEIN', NULL, NULL, NULL, 15),
(109247, NULL, 'PTHR13068:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109248, NULL, 'PTHR11447:SF6', NULL, NULL, NULL, NULL, 'CELLULAR TUMOR ANTIGEN P53', NULL, NULL, NULL, 15),
(109249, NULL, 'PTHR43406:SF1', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE ALPHA CHAIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(109250, NULL, 'PTHR31221:SF242', NULL, NULL, NULL, NULL, 'BNACNNG39880D PROTEIN', NULL, NULL, NULL, 15),
(109251, NULL, 'PTHR23169:SF26', NULL, NULL, NULL, NULL, 'DESMOPLAKIN', NULL, NULL, 27821, 15),
(109252, NULL, 'PTHR45675:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(109253, NULL, 'PTHR15853:SF0', NULL, NULL, NULL, NULL, 'THIOREDOXIN-RELATED TRANSMEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(109254, NULL, 'PTHR23354:SF108', NULL, NULL, NULL, NULL, 'PROTEIN CBG24018', NULL, NULL, NULL, 15),
(109255, NULL, 'PTHR24221:SF556', NULL, NULL, NULL, NULL, 'BNAA09G02310D PROTEIN', NULL, NULL, NULL, 15),
(109256, NULL, 'PTHR35121:SF4', NULL, NULL, NULL, NULL, 'HOMEODOMAIN PROTEIN 8, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(109257, NULL, 'PTHR10209:SF558', NULL, NULL, NULL, NULL, 'OS03G0860600 PROTEIN', NULL, NULL, NULL, 15),
(109258, NULL, 'PTHR48044:SF24', NULL, NULL, NULL, NULL, 'ZEATIN O-GLUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(109259, NULL, 'PTHR11157:SF136', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(109260, NULL, 'PTHR14522:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PRR14L', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109261, NULL, 'PTHR22753:SF9', NULL, NULL, NULL, NULL, 'ESTERASE/LIPASE/THIOESTERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109262, NULL, 'PTHR34380:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109263, NULL, 'PTHR11945:SF636', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 5', NULL, NULL, NULL, 15),
(109264, NULL, 'PTHR43235:SF8', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE GAT1_2.1-RELATED', NULL, NULL, NULL, 15),
(109265, NULL, 'PTHR11804:SF40', NULL, NULL, NULL, NULL, 'SACCHAROLYSIN', NULL, NULL, NULL, 15),
(109266, NULL, 'PTHR43281:SF28', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(109267, NULL, 'PTHR24280:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 20A1', NULL, NULL, NULL, 15),
(109268, NULL, 'PTHR43294:SF9', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(109269, NULL, 'PTHR31790:SF391', NULL, NULL, NULL, NULL, 'BNAC08G04550D PROTEIN', NULL, NULL, NULL, 15),
(109270, NULL, 'PTHR11722:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', NULL, NULL, NULL, 15),
(109271, NULL, 'PTHR34539:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109272, NULL, 'PTHR10145', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT6', NULL, NULL, 19600, 15),
(109273, NULL, 'PTHR42898:SF68', NULL, NULL, NULL, NULL, 'BNAC08G45340D PROTEIN', NULL, NULL, NULL, 15),
(109274, NULL, 'PTHR42821:SF3', NULL, NULL, NULL, NULL, 'CATALASE B', NULL, NULL, NULL, 15),
(109275, NULL, 'PTHR23112:SF43', NULL, NULL, NULL, NULL, 'SI:DKEY-100N23.5', NULL, NULL, NULL, 15),
(109276, NULL, 'PTHR10010:SF23', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORT PROTEIN 2B', NULL, NULL, 27518, 15),
(109277, NULL, 'PTHR42060:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109278, NULL, 'PTHR13327:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 11, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(109279, NULL, 'PTHR47996', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DUO1', NULL, NULL, NULL, 15),
(109280, NULL, 'PTHR22792:SF129', NULL, NULL, NULL, NULL, 'BNAA02G05300D PROTEIN', NULL, NULL, NULL, 15),
(109281, NULL, 'PTHR33074:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109282, NULL, 'PTHR44791:SF1', NULL, NULL, NULL, NULL, 'TELOMERASE PROTEIN COMPONENT 1', NULL, NULL, NULL, 15),
(109283, NULL, 'PTHR39385:SF3', NULL, NULL, NULL, NULL, 'ELRR (EXTRACELLULAR LEUCINE-RICH REPEAT) ONLY', NULL, NULL, NULL, 15),
(109284, NULL, 'PTHR11101:SF80', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(109285, NULL, 'PTHR23048:SF1', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN 4', NULL, NULL, NULL, 15),
(109286, NULL, 'PTHR10778:SF46', NULL, NULL, NULL, NULL, 'UAA TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(109287, NULL, 'PTHR37937:SF1', NULL, NULL, NULL, NULL, 'CONJUGATIVE TRANSFER: DNA TRANSPORT', NULL, NULL, NULL, 15),
(109288, NULL, 'PTHR45979:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109289, NULL, 'PTHR15708:SF14', NULL, NULL, NULL, NULL, 'MTSS I-BAR DOMAIN-CONTAINING 1', NULL, NULL, NULL, 15),
(109290, NULL, 'PTHR10502:SF213', NULL, NULL, NULL, NULL, 'PRION PROTEIN,-RELATED SEQUENCE 3', NULL, NULL, NULL, 15),
(109291, NULL, 'PTHR46336:SF8', NULL, NULL, NULL, NULL, 'BNAC04G01060D PROTEIN', NULL, NULL, NULL, 15),
(109292, NULL, 'PTHR45676:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109293, NULL, 'PTHR11431:SF85', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(109294, NULL, 'PTHR12161:SF68', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', NULL, NULL, NULL, 15),
(109295, NULL, 'PTHR33044:SF128', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(109296, NULL, 'PTHR46712:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROPHOSPHATASE AND PROTEIN-TYROSINE PHOSPHATASE 1', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109297, NULL, 'PTHR24327:SF75', NULL, NULL, NULL, NULL, 'MCG4771-RELATED', NULL, NULL, NULL, 15),
(109298, NULL, 'PTHR11183:SF139', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(109299, NULL, 'PTHR16514:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109300, NULL, 'PTHR10755:SF10', NULL, NULL, NULL, NULL, 'BNAA09G50920D PROTEIN', NULL, NULL, NULL, 15),
(109301, NULL, 'PTHR46595:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', NULL, NULL, NULL, 15),
(109302, NULL, 'PTHR10809:SF110', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 4-1', NULL, NULL, NULL, 15),
(109303, NULL, 'PTHR28285:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BIG1', NULL, NULL, NULL, 15),
(109304, NULL, 'PTHR24330:SF12', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN BARH-LIKE 1', NULL, NULL, NULL, 15),
(109305, NULL, 'PTHR45644:SF41', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109306, NULL, 'PTHR30031:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE [ATP]-LIKE', NULL, NULL, NULL, 15),
(109307, NULL, 'PTHR23204:SF8', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(109308, NULL, 'PTHR31282:SF161', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 39-RELATED', NULL, NULL, NULL, 15),
(109309, NULL, 'PTHR31598:SF1', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 10', NULL, NULL, NULL, 15),
(109310, NULL, 'PTHR10278', NULL, NULL, NULL, NULL, 'CORTICOTROPIN-RELEASING FACTOR-BINDING PROTEIN', NULL, NULL, 8956, 15),
(109311, NULL, 'PTHR12253:SF17', NULL, NULL, NULL, NULL, 'PROTEIN PROCA1', NULL, NULL, NULL, 15),
(109312, NULL, 'PTHR34809:SF3', NULL, NULL, NULL, NULL, 'BNAC09G40390D PROTEIN', NULL, NULL, NULL, 15),
(109313, NULL, 'PTHR15071:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109314, NULL, 'PTHR13937:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT C-RELATED', NULL, NULL, NULL, 15),
(109315, NULL, 'PTHR11010:SF87', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 16', NULL, NULL, NULL, 15),
(109316, NULL, 'PTHR19860:SF35', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 12-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(109317, NULL, 'PTHR31901:SF51', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE GH3 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109318, NULL, 'PTHR45811:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109319, NULL, 'PTHR15644:SF2', NULL, NULL, NULL, NULL, 'OSTEOPETROSIS-ASSOCIATED TRANSMEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(109320, NULL, 'PTHR24418:SF420', NULL, NULL, NULL, NULL, 'TYROSINE PROTEIN-KINASE SRC-2', NULL, NULL, NULL, 15),
(109321, NULL, 'PTHR32161:SF9', NULL, NULL, NULL, NULL, 'TOLB PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109322, NULL, 'PTHR31969:SF43', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(109323, NULL, 'PTHR23244:SF461', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109324, NULL, 'PTHR21255:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109325, NULL, 'PTHR31096:SF75', NULL, NULL, NULL, NULL, 'BNAA03G01400D PROTEIN', NULL, NULL, NULL, 15),
(109326, NULL, 'PTHR10760:SF1', NULL, NULL, NULL, NULL, 'TORSIN-4A', NULL, NULL, 27503, 15),
(109327, NULL, 'PTHR10063:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109328, NULL, 'PTHR31048:SF106', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(109329, NULL, 'PTHR12871:SF5', NULL, NULL, NULL, NULL, 'MANNOSYL (ALPHA-1,6-)-GLYCOPROTEIN BETA-1,2-N-ACETYLGLUCOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(109330, NULL, 'PTHR12493:SF0', NULL, NULL, NULL, NULL, 'CUE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(109331, NULL, 'PTHR12709:SF4', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB7', NULL, NULL, NULL, 15),
(109332, NULL, 'PTHR36296:SF1', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN A', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109333, NULL, 'PTHR31352:SF31', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(109334, NULL, 'PTHR43296', NULL, NULL, NULL, NULL, 'PEROXISOMAL 2,4-DIENOYL-COA REDUCTASE', NULL, NULL, 38382, 15),
(109335, NULL, 'PTHR45752:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109336, NULL, 'PTHR13878:SF115', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 1, FAD AND CYTOKININ-BINDING PROTEIN', NULL, NULL, NULL, 15),
(109337, NULL, 'PTHR10502:SF181', NULL, NULL, NULL, NULL, 'ANNEXIN B10', NULL, NULL, NULL, 15),
(109338, NULL, 'PTHR46103:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109339, NULL, 'PTHR11351:SF73', NULL, NULL, NULL, NULL, 'ACYL-COA DESATURASE', NULL, NULL, NULL, 15),
(109340, NULL, 'PTHR11387:SF31', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT', NULL, NULL, NULL, 15),
(109341, NULL, 'PTHR13808:SF44', NULL, NULL, NULL, NULL, 'BNACNNG55200D PROTEIN', NULL, NULL, NULL, 15),
(109342, NULL, 'PTHR31673:SF27', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109343, NULL, 'PTHR26450:SF152', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(109344, NULL, 'PTHR24223:SF408', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER, SUBFAMILY C, MEMBER 4, SMABCC4', NULL, NULL, NULL, 15),
(109345, NULL, 'PTHR48049:SF74', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(109346, NULL, 'PTHR45840:SF5', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(109347, NULL, 'PTHR12675', NULL, NULL, NULL, NULL, 'MUSCLEBLIND-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109348, NULL, 'PTHR12044:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PRD1', NULL, NULL, NULL, 15),
(109349, NULL, 'PTHR33115:SF57', NULL, NULL, NULL, NULL, 'OS07G0650150 PROTEIN', NULL, NULL, NULL, 15),
(109350, NULL, 'PTHR46324:SF1', NULL, NULL, NULL, NULL, 'BASIC LEUCINE-ZIPPER 58', NULL, NULL, NULL, 15),
(109351, NULL, 'PTHR13817:SF118', NULL, NULL, NULL, NULL, 'STRETCHIN-MLCK, ISOFORM U', NULL, NULL, NULL, 15),
(109352, NULL, 'PTHR31543:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(109353, NULL, 'PTHR18934:SF226', NULL, NULL, NULL, NULL, 'BNAA05G11800D PROTEIN', NULL, NULL, NULL, 15),
(109354, NULL, 'PTHR31942:SF34', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109355, NULL, 'PTHR30031:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109356, NULL, 'PTHR30540:SF129', NULL, NULL, NULL, NULL, 'BNAA08G02870D PROTEIN', NULL, NULL, NULL, 15),
(109357, NULL, 'PTHR46075:SF2', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN AT 5A, ISOFORM A', NULL, NULL, NULL, 15),
(109358, NULL, 'PTHR45778:SF28', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(109359, NULL, 'PTHR26453:SF569', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(109360, NULL, 'PTHR43895:SF90', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(109361, NULL, 'PTHR36865', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700001O22 GENE', NULL, NULL, NULL, 15),
(109362, NULL, 'PTHR43423:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109363, NULL, 'PTHR33608:SF13', NULL, NULL, NULL, NULL, 'POSSIBLE CONSERVED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(109364, NULL, 'PTHR42973:SF7', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(109365, NULL, 'PTHR11926:SF1050', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 75B1', NULL, NULL, NULL, 15),
(109366, NULL, 'PTHR28074', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT K, MITOCHONDRIAL', NULL, NULL, 17829, 15),
(109367, NULL, 'PTHR36346:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109368, NULL, 'PTHR12002:SF84', NULL, NULL, NULL, NULL, 'CLAUDIN-24-RELATED', NULL, NULL, NULL, 15),
(109369, NULL, 'PTHR32295:SF31', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109370, NULL, 'PTHR31798:SF12', NULL, NULL, NULL, NULL, 'BNAA08G04450D PROTEIN', NULL, NULL, NULL, 15),
(109371, NULL, 'PTHR43056:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109372, NULL, 'PTHR10454:SF216', NULL, NULL, NULL, NULL, 'AT03047P', NULL, NULL, NULL, 15),
(109373, NULL, 'PTHR31272:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS CCDA-LIKE CHLOROPLASTIC PROTEIN', NULL, NULL, NULL, 15),
(109374, NULL, 'PTHR31215:SF20', NULL, NULL, NULL, NULL, 'BNAC02G24840D PROTEIN', NULL, NULL, NULL, 15),
(109375, NULL, 'PTHR13337:SF9', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] CYTOCHROME B SMALL SUBUNIT', NULL, NULL, NULL, 15),
(109376, NULL, 'PTHR46325:SF8', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC7-LIKE', NULL, NULL, NULL, 15),
(109377, NULL, 'PTHR23302:SF17', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(109378, NULL, 'PTHR24211:SF15', NULL, NULL, NULL, NULL, 'PRICKLE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(109379, NULL, 'PTHR46321', NULL, NULL, NULL, NULL, 'KIF1-BINDING PROTEIN', NULL, NULL, 20620, 15),
(109380, NULL, 'PTHR46706:SF8', NULL, NULL, NULL, NULL, 'HOG ONLY (HEDGEHOG HOG DOMAIN ALONE)', NULL, NULL, NULL, 15),
(109381, NULL, 'PTHR33057:SF30', NULL, NULL, NULL, NULL, 'OS11G0156401 PROTEIN', NULL, NULL, NULL, 15),
(109382, NULL, 'PTHR30269:SF0', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN YFCA-RELATED', NULL, NULL, NULL, 15),
(109383, NULL, 'PTHR31348:SF3', NULL, NULL, NULL, NULL, 'EID1-LIKE F-BOX PROTEIN 3', NULL, NULL, NULL, 15),
(109384, NULL, 'PTHR24346:SF46', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(109385, NULL, 'PTHR12002:SF81', NULL, NULL, NULL, NULL, 'GENE 10057-RELATED', NULL, NULL, NULL, 15),
(109386, NULL, 'PTHR35546:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109387, NULL, 'PTHR45657', NULL, NULL, NULL, NULL, 'CRAL-TRIO DOMAIN-CONTAINING PROTEIN YKL091C-RELATED', NULL, NULL, NULL, 15),
(109388, NULL, 'PTHR45634:SF7', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 5', NULL, NULL, NULL, 15),
(109389, NULL, 'PTHR12316', NULL, NULL, NULL, NULL, 'NINJURIN-RELATED', NULL, NULL, 6872, 15),
(109390, NULL, 'PTHR30546:SF42', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1', NULL, NULL, NULL, 15),
(109391, NULL, 'PTHR47988:SF33', NULL, NULL, NULL, NULL, 'INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE 1, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(109392, NULL, 'PTHR42695:SF16', NULL, NULL, NULL, NULL, 'BNAA08G13020D PROTEIN', NULL, NULL, NULL, 15),
(109393, NULL, 'PTHR31852:SF122', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(109394, NULL, 'PTHR11571:SF211', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 6', NULL, NULL, NULL, 15),
(109395, NULL, 'PTHR45636:SF25', NULL, NULL, NULL, NULL, 'N-TERMINAL PAX (PAI DOMAIN ONLY) PROTEIN', NULL, NULL, NULL, 15),
(109396, NULL, 'PTHR46050:SF22', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING THIOREDOXIN TTL1-LIKE', NULL, NULL, NULL, 15),
(109397, NULL, 'PTHR43207:SF10', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDROGENASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(109398, NULL, 'PTHR43503:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109399, NULL, 'PTHR39145', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT CNL1', NULL, NULL, 7460, 15),
(109400, NULL, 'PTHR24028:SF94', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A4', NULL, NULL, NULL, 15),
(109401, NULL, 'PTHR45648:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109402, NULL, 'PTHR24028:SF139', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-14', NULL, NULL, NULL, 15),
(109403, NULL, 'PTHR34206:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109404, NULL, 'PTHR11908:SF99', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE 3', NULL, NULL, NULL, 15),
(109405, NULL, 'PTHR33110:SF91', NULL, NULL, NULL, NULL, 'OS08G0410266 PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109406, NULL, 'PTHR12570:SF63', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(109407, NULL, 'PTHR36846', NULL, NULL, NULL, NULL, 'PROTEIN VIAA', NULL, NULL, NULL, 15),
(109408, NULL, 'PTHR45658:SF55', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(109409, NULL, 'PTHR22952:SF395', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(109410, NULL, 'PTHR12300:SF153', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109411, NULL, 'PTHR34005:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13612', NULL, NULL, NULL, 15),
(109412, NULL, 'PTHR19375:SF169', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 13', NULL, NULL, NULL, 15),
(109413, NULL, 'PTHR39455', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN ZAPD', NULL, NULL, 12974, 15),
(109414, NULL, 'PTHR31942:SF110', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109415, NULL, 'PTHR42898:SF36', NULL, NULL, NULL, NULL, 'ENOYL-(ACYL CARRIER) REDUCTASE', NULL, NULL, NULL, 15),
(109416, NULL, 'PTHR40050:SF1', NULL, NULL, NULL, NULL, 'INNER SPORE COAT PROTEIN H', NULL, NULL, NULL, 15),
(109417, NULL, 'PTHR13593:SF125', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(109418, NULL, 'PTHR33413:SF18', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(109419, NULL, 'PTHR46811', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(109420, NULL, 'PTHR11764:SF59', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(109421, NULL, 'PTHR42861:SF38', NULL, NULL, NULL, NULL, 'P-TYPE ATPASE PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(109422, NULL, 'PTHR47956:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109423, NULL, 'PTHR31080:SF73', NULL, NULL, NULL, NULL, 'OS02G0103200 PROTEIN', NULL, NULL, NULL, 15),
(109424, NULL, 'PTHR22605:SF17', NULL, NULL, NULL, NULL, 'AAA+ ATPASE, CORE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(109425, NULL, 'PTHR31394:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 199', NULL, NULL, NULL, 15),
(109426, NULL, 'PTHR13160:SF13', NULL, NULL, NULL, NULL, 'BNAA01G07110D PROTEIN', NULL, NULL, NULL, 15),
(109427, NULL, 'PTHR33377:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109428, NULL, 'PTHR33960:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO KIAA0825 PROTEIN', NULL, NULL, NULL, 15),
(109429, NULL, 'PTHR31089:SF6', NULL, NULL, NULL, NULL, 'AOBP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109430, NULL, 'PTHR31062:SF185', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(109431, NULL, 'PTHR40051:SF1', NULL, NULL, NULL, NULL, 'IG HYPOTHETICAL 15966', NULL, NULL, NULL, 15),
(109432, NULL, 'PTHR31468:SF5', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE GAS5', NULL, NULL, NULL, 15),
(109433, NULL, 'PTHR46293:SF8', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP2', NULL, NULL, NULL, 15),
(109434, NULL, 'PTHR30537:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PGRR', NULL, NULL, NULL, 15),
(109435, NULL, 'PTHR12174', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE', NULL, NULL, 5920, 15),
(109436, NULL, 'PTHR10795:SF402', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9', NULL, NULL, NULL, 15),
(109437, NULL, 'PTHR33120:SF51', NULL, NULL, NULL, NULL, 'OS01G0314000 PROTEIN', NULL, NULL, NULL, 15),
(109438, NULL, 'PTHR33021:SF372', NULL, NULL, NULL, NULL, 'BASIC BLUE COPPER PROTEIN', NULL, NULL, NULL, 15),
(109439, NULL, 'PTHR34119', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', NULL, NULL, 29658, 15),
(109440, NULL, 'PTHR24303:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109441, NULL, 'PTHR24123:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109442, NULL, 'PTHR31734:SF164', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109443, NULL, 'PTHR32467:SF147', NULL, NULL, NULL, NULL, 'AP2-EREBP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(109444, NULL, 'PTHR23291:SF50', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 4', NULL, NULL, NULL, 15),
(109445, NULL, 'PTHR11850:SF74', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 3', NULL, NULL, NULL, 15),
(109446, NULL, 'PTHR31190:SF171', NULL, NULL, NULL, NULL, 'AP2 DOMAIN-CONTAINING TRANSCRIPTION FACTOR-LIKE', NULL, NULL, NULL, 15),
(109447, NULL, 'PTHR48015:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAKA', NULL, NULL, NULL, 15),
(109448, NULL, 'PTHR36787:SF2', NULL, NULL, NULL, NULL, 'BNAC07G42250D PROTEIN', NULL, NULL, NULL, 15),
(109449, NULL, 'PTHR11733:SF209', NULL, NULL, NULL, NULL, 'FI20018P1', NULL, NULL, NULL, 15),
(109450, NULL, 'PTHR11709:SF337', NULL, NULL, NULL, NULL, 'BNAA10G29650D PROTEIN', NULL, NULL, NULL, 15),
(109451, NULL, 'PTHR10890:SF4', NULL, NULL, NULL, NULL, 'CYSTEINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(109452, NULL, 'PTHR33710:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109453, NULL, 'PTHR32246:SF113', NULL, NULL, NULL, NULL, 'BNAA09G08280D PROTEIN', NULL, NULL, NULL, 15),
(109454, NULL, 'PTHR31992:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109455, NULL, 'PTHR15241:SF135', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(109456, NULL, 'PTHR13318:SF111', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT MAX2 HOMOLOG A', NULL, NULL, NULL, 15),
(109457, NULL, 'PTHR31744:SF152', NULL, NULL, NULL, NULL, 'BNAA10G30260D PROTEIN', NULL, NULL, NULL, 15),
(109458, NULL, 'PTHR47879:SF3', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B23', NULL, NULL, NULL, 15),
(109459, NULL, 'PTHR47419', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED-RELATED', NULL, NULL, NULL, 15),
(109460, NULL, 'PTHR32467:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109461, NULL, 'PTHR15362:SF15', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE SYNTHASE 1', NULL, NULL, NULL, 15),
(109462, NULL, 'PTHR34056:SF3', NULL, NULL, NULL, NULL, 'OS07G0557700 PROTEIN', NULL, NULL, NULL, 15),
(109463, NULL, 'PTHR40788:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109464, NULL, 'PTHR11802:SF75', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(109465, NULL, 'PTHR46128:SF162', NULL, NULL, NULL, NULL, 'BNAA06G16080D PROTEIN', NULL, NULL, NULL, 15),
(109466, NULL, 'PTHR31297:SF21', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01830)-RELATED', NULL, NULL, NULL, 15),
(109467, NULL, 'PTHR24099:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109468, NULL, 'PTHR13703:SF34', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG', NULL, NULL, NULL, 15),
(109469, NULL, 'PTHR11362:SF99', NULL, NULL, NULL, NULL, 'OS06G0552900 PROTEIN', NULL, NULL, NULL, 15),
(109470, NULL, 'PTHR31375:SF195', NULL, NULL, NULL, NULL, 'BNAC03G35510D PROTEIN', NULL, NULL, NULL, 15),
(109471, NULL, 'PTHR24015:SF1685', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109472, NULL, 'PTHR42735:SF1', NULL, NULL, NULL, NULL, 'PYRIDOXAL-DEPENDENT DECARBOXYLASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(109473, NULL, 'PTHR42763:SF1', NULL, NULL, NULL, NULL, 'GALACTOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(109474, NULL, 'PTHR11362:SF126', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS T', NULL, NULL, NULL, 15),
(109475, NULL, 'PTHR23130:SF60', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(109476, NULL, 'PTHR43591:SF71', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE YQEM-RELATED', NULL, NULL, NULL, 15),
(109477, NULL, 'PTHR11214:SF286', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT4', NULL, NULL, NULL, 15),
(109478, NULL, 'PTHR37988:SF1', NULL, NULL, NULL, NULL, 'UPF0592 MEMBRANE PROTEIN C7D4.03C', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109479, NULL, 'PTHR46520:SF1', NULL, NULL, NULL, NULL, 'SERINE BETA-LACTAMASE-LIKE PROTEIN LACTB, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(109480, NULL, 'PTHR18945:SF819', NULL, NULL, NULL, NULL, 'PH-SENSITIVE CHLORIDE CHANNEL 1, ISOFORM N', NULL, NULL, NULL, 15),
(109481, NULL, 'PTHR12906:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109482, NULL, 'PTHR24340', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX', NULL, NULL, NULL, 15),
(109483, NULL, 'PTHR45657:SF13', NULL, NULL, NULL, NULL, 'OS09G0481100 PROTEIN', NULL, NULL, NULL, 15),
(109484, NULL, 'PTHR46499', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(109485, NULL, 'PTHR28026:SF5', NULL, NULL, NULL, NULL, 'OS08G0433600 PROTEIN', NULL, NULL, NULL, 15),
(109486, NULL, 'PTHR33729:SF16', NULL, NULL, NULL, NULL, 'BNAA09G56750D PROTEIN', NULL, NULL, NULL, 15),
(109487, NULL, 'PTHR24062:SF66', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(109488, NULL, 'PTHR23033:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG18324', NULL, NULL, NULL, 15),
(109489, NULL, 'PTHR43539:SF67', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(109490, NULL, 'PTHR47938:SF26', NULL, NULL, NULL, NULL, 'OS10G0578500 PROTEIN', NULL, NULL, NULL, 15),
(109491, NULL, 'PTHR35488:SF2', NULL, NULL, NULL, NULL, 'OS05G0358900 PROTEIN', NULL, NULL, NULL, 15),
(109492, NULL, 'PTHR37442:SF1', NULL, NULL, NULL, NULL, 'F18A1.7 PROTEIN', NULL, NULL, NULL, 15),
(109493, NULL, 'PTHR15435:SF2', NULL, NULL, NULL, NULL, 'KICSTOR COMPLEX PROTEIN KAPTIN', NULL, NULL, NULL, 15),
(109494, NULL, 'PTHR13871:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109495, NULL, 'PTHR46172', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON SUBUNIT 3', NULL, NULL, NULL, 15),
(109496, NULL, 'PTHR22298:SF130', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(109497, NULL, 'PTHR11690:SF132', NULL, NULL, NULL, NULL, 'AMILORIDE-SENSITIVE SODIUM CHANNEL SUBUNIT DELTA', NULL, NULL, NULL, 15),
(109498, NULL, 'PTHR33136:SF70', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(109499, NULL, 'PTHR16517:SF86', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 1', NULL, NULL, NULL, 15),
(109500, NULL, 'PTHR48104:SF19', NULL, NULL, NULL, NULL, 'METACASPASE-2', NULL, NULL, NULL, 15),
(109501, NULL, 'PTHR24637:SF265', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(109502, NULL, 'PTHR47268', NULL, NULL, NULL, NULL, 'ACYLPHOSPHATASE', NULL, NULL, 20997, 15),
(109503, NULL, 'PTHR47380:SF4', NULL, NULL, NULL, NULL, 'OS02G0533000 PROTEIN', NULL, NULL, NULL, 15),
(109504, NULL, 'PTHR31985:SF100', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF022', NULL, NULL, NULL, 15),
(109505, NULL, 'PTHR11545:SF26', NULL, NULL, NULL, NULL, 'BNACNNG21840D PROTEIN', NULL, NULL, NULL, 15),
(109506, NULL, 'PTHR45923:SF19', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', NULL, NULL, NULL, 15),
(109507, NULL, 'PTHR14326:SF15', NULL, NULL, NULL, NULL, 'OS06G0130200 PROTEIN', NULL, NULL, NULL, 15),
(109508, NULL, 'PTHR11722:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', NULL, NULL, NULL, 15),
(109509, NULL, 'PTHR24376:SF44', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 225', NULL, NULL, NULL, 15),
(109510, NULL, 'PTHR11571:SF8', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(109511, NULL, 'PTHR24418:SF91', NULL, NULL, NULL, NULL, 'CYTOPLASMIC TYROSINE-PROTEIN KINASE BMX', NULL, NULL, 25315, 15),
(109512, NULL, 'PTHR24134:SF8', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(109513, NULL, 'PTHR11177:SF351', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109514, NULL, 'PTHR16485', NULL, NULL, NULL, NULL, 'MICROFIBRILLAR-ASSOCIATED PROTEIN 2', NULL, NULL, 13388, 15),
(109515, NULL, 'PTHR31729:SF12', NULL, NULL, NULL, NULL, 'BNAA09G07540D PROTEIN', NULL, NULL, NULL, 15),
(109516, NULL, 'PTHR39217', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109517, NULL, 'PTHR48019:SF86', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN PMADS 2', NULL, NULL, NULL, 15),
(109518, NULL, 'PTHR28677', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 4A-RELATED', NULL, NULL, 37797, 15),
(109519, NULL, 'PTHR33623:SF4', NULL, NULL, NULL, NULL, 'OS04G0572500 PROTEIN', NULL, NULL, NULL, 15),
(109520, NULL, 'PTHR46670', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109521, NULL, 'PTHR22600:SF3', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE FDL-RELATED', NULL, NULL, NULL, 15),
(109522, NULL, 'PTHR12086:SF9', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(109523, NULL, 'PTHR37703:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L31-RELATED', NULL, NULL, NULL, 15),
(109524, NULL, 'PTHR11364:SF26', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE YNJE', NULL, NULL, NULL, 15),
(109525, NULL, 'PTHR31006:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG11948', NULL, NULL, NULL, 15),
(109526, NULL, 'PTHR12373:SF7', NULL, NULL, NULL, NULL, 'ENHANCER OF RUDIMENTARY HOMOLOG', NULL, NULL, NULL, 15),
(109527, NULL, 'PTHR22765:SF255', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CIP8', NULL, NULL, NULL, 15),
(109528, NULL, 'PTHR14269:SF37', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--GLYCEROL-3-PHOSPHATE 3-PHOSPHATIDYL-TRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(109529, NULL, 'PTHR45621:SF152', NULL, NULL, NULL, NULL, 'BNAA03G54910D PROTEIN', NULL, NULL, NULL, 15),
(109530, NULL, 'PTHR15036:SF35', NULL, NULL, NULL, NULL, 'PIKACHURIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109531, NULL, 'PTHR23021:SF27', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(109532, NULL, 'PTHR11129:SF2', NULL, NULL, NULL, NULL, 'GERANYLGERANYL TRANSFERASE TYPE-2 SUBUNIT ALPHA', NULL, NULL, 27262, 15),
(109533, NULL, 'PTHR11062:SF218', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(109534, NULL, 'PTHR10257:SF93', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(109535, NULL, 'PTHR42760:SF104', NULL, NULL, NULL, NULL, 'BNAA08G19070D PROTEIN', NULL, NULL, NULL, 15),
(109536, NULL, 'PTHR12786:SF7', NULL, NULL, NULL, NULL, 'BNAC06G14790D PROTEIN', NULL, NULL, NULL, 15),
(109537, NULL, 'PTHR47324', NULL, NULL, NULL, NULL, 'PROTEIN IRG-7-RELATED', NULL, NULL, NULL, 15),
(109538, NULL, 'PTHR46196:SF13', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN, TRANSCRIPTION FACTOR MYC/MYB N-TERMINAL-RELATED', NULL, NULL, NULL, 15),
(109539, NULL, 'PTHR46673', NULL, NULL, NULL, NULL, '4F2 CELL-SURFACE ANTIGEN HEAVY CHAIN', NULL, NULL, 37451, 15),
(109540, NULL, 'PTHR24343:SF428', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(109541, NULL, 'PTHR11017:SF263', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(109542, NULL, 'PTHR21659:SF16', NULL, NULL, NULL, NULL, 'UPF0057 MEMBRANE PROTEIN C04G6.5-RELATED', NULL, NULL, NULL, 15),
(109543, NULL, 'PTHR35297:SF3', NULL, NULL, NULL, NULL, 'OS02G0695600 PROTEIN', NULL, NULL, NULL, 15),
(109544, NULL, 'PTHR10366:SF608', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109545, NULL, 'PTHR10739', NULL, NULL, NULL, NULL, 'CYTIDYLYLTRANSFERASE', NULL, NULL, 37470, 15),
(109546, NULL, 'PTHR46049:SF2', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-X', NULL, NULL, NULL, 15),
(109547, NULL, 'PTHR24023:SF714', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-4(IV) CHAIN', NULL, NULL, NULL, 15),
(109548, NULL, 'PTHR31989:SF377', NULL, NULL, NULL, NULL, 'OS03G0811850 PROTEIN', NULL, NULL, NULL, 15),
(109549, NULL, 'PTHR19282:SF211', NULL, NULL, NULL, NULL, 'TETRASPANIN-19-RELATED', NULL, NULL, NULL, 15),
(109550, NULL, 'PTHR11726:SF39', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10-1-RELATED', NULL, NULL, NULL, 15),
(109551, NULL, 'PTHR23226:SF300', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 852', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109552, NULL, 'PTHR47925:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109553, NULL, 'PTHR24381:SF97', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 343', NULL, NULL, NULL, 15),
(109554, NULL, 'PTHR31618:SF10', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(109555, NULL, 'PTHR39586:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109556, NULL, 'PTHR15193:SF1', NULL, NULL, NULL, NULL, 'CD83 ANTIGEN', NULL, NULL, NULL, 15),
(109557, NULL, 'PTHR31221:SF193', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 20-RELATED', NULL, NULL, NULL, 15),
(109558, NULL, 'PTHR10574:SF383', NULL, NULL, NULL, NULL, 'NETRIN 5', NULL, NULL, NULL, 15),
(109559, NULL, 'PTHR11003:SF305', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(109560, NULL, 'PTHR22957:SF552', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(109561, NULL, 'PTHR17097', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE KFYI SUBUNIT', NULL, NULL, 26751, 15),
(109562, NULL, 'PTHR16083:SF31', NULL, NULL, NULL, NULL, 'RAS SUPPRESSOR PROTEIN 1', NULL, NULL, NULL, 15),
(109563, NULL, 'PTHR24015:SF1728', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(109564, NULL, 'PTHR46162:SF19', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(109565, NULL, 'PTHR32467:SF72', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR BBM', NULL, NULL, NULL, 15),
(109566, NULL, 'PTHR31989:SF298', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 30-LIKE', NULL, NULL, NULL, 15),
(109567, NULL, 'PTHR11746:SF183', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE ZRP4', NULL, NULL, NULL, 15),
(109568, NULL, 'PTHR34060', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE / DEHYDRASE AND LIPID TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(109569, NULL, 'PTHR13718:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109570, NULL, 'PTHR11662:SF415', NULL, NULL, NULL, NULL, 'AT30085P-RELATED', NULL, NULL, NULL, 15),
(109571, NULL, 'PTHR32278:SF26', NULL, NULL, NULL, NULL, 'OS02G0812500 PROTEIN', NULL, NULL, NULL, 15),
(109572, NULL, 'PTHR33095:SF18', NULL, NULL, NULL, NULL, 'OS05G0578100 PROTEIN', NULL, NULL, NULL, 15),
(109573, NULL, 'PTHR32027:SF9', NULL, NULL, NULL, NULL, 'METALLOPEPTIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06270)-RELATED', NULL, NULL, NULL, 15),
(109574, NULL, 'PTHR33622:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109575, NULL, 'PTHR33077:SF97', NULL, NULL, NULL, NULL, 'TIFY10', NULL, NULL, NULL, 15),
(109576, NULL, 'PTHR16096:SF8', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 11', NULL, NULL, NULL, 15),
(109577, NULL, 'PTHR19384:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109578, NULL, 'PTHR31080:SF87', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(109579, NULL, 'PTHR15359:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109580, NULL, 'PTHR26374:SF413', NULL, NULL, NULL, NULL, 'ZINC FINGER C2H2-TYPE/INTEGRASE DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109581, NULL, 'PTHR13609:SF24', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(109582, NULL, 'PTHR33033:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109583, NULL, 'PTHR45651:SF77', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, VOLTAGE-DEPENDENT, EAG/ELK/ERG-RELATED', NULL, NULL, NULL, 15),
(109584, NULL, 'PTHR33098:SF71', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(109585, NULL, 'PTHR11709:SF275', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(109586, NULL, 'PTHR46338', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 8', NULL, NULL, 35971, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109587, NULL, 'PTHR24023:SF953', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE XIX, ALPHA 1', NULL, NULL, NULL, 15),
(109588, NULL, 'PTHR48047:SF59', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(109589, NULL, 'PTHR10782:SF68', NULL, NULL, NULL, NULL, 'E4 SUMO-PROTEIN LIGASE PIAL1', NULL, NULL, NULL, 15),
(109590, NULL, 'PTHR31038:SF14', NULL, NULL, NULL, NULL, 'CHLOROPLAST LUMEN COMMON PROTEIN FAMILY-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109591, NULL, 'PTHR10334:SF462', NULL, NULL, NULL, NULL, 'BNAA03G52720D PROTEIN', NULL, NULL, NULL, 15),
(109592, NULL, 'PTHR33972:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109593, NULL, 'PTHR11915:SF444', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109594, NULL, 'PTHR31218:SF272', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(109595, NULL, 'PTHR48062:SF4', NULL, NULL, NULL, NULL, 'OS02G0156600 PROTEIN', NULL, NULL, NULL, 15),
(109596, NULL, 'PTHR20856:SF23', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(109597, NULL, 'PTHR33248:SF27', NULL, NULL, NULL, NULL, 'GRF ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(109598, NULL, 'PTHR48041:SF9', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(109599, NULL, 'PTHR11909:SF297', NULL, NULL, NULL, NULL, 'TAU-TUBULIN KINASE 1', NULL, NULL, NULL, 15),
(109600, NULL, 'PTHR48047:SF71', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73D1', NULL, NULL, NULL, 15),
(109601, NULL, 'PTHR13589:SF14', NULL, NULL, NULL, NULL, 'CREB-REGULATED TRANSCRIPTION COACTIVATOR 1', NULL, NULL, NULL, 15),
(109602, NULL, 'PTHR45633:SF17', NULL, NULL, NULL, NULL, '60 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(109603, NULL, 'PTHR21355:SF13', NULL, NULL, NULL, NULL, 'LMBR1-LIKE MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(109604, NULL, 'PTHR19818:SF128', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR CUBITUS INTERRUPTUS-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109605, NULL, 'PTHR45645:SF24', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 1', NULL, NULL, 21656, 15),
(109606, NULL, 'PTHR33237:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109607, NULL, 'PTHR31415:SF110', NULL, NULL, NULL, NULL, 'OS01G0864300 PROTEIN', NULL, NULL, NULL, 15),
(109608, NULL, 'PTHR34049:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109609, NULL, 'PTHR34546:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109610, NULL, 'PTHR11566:SF151', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 1E', NULL, NULL, NULL, 15),
(109611, NULL, 'PTHR45635:SF3', NULL, NULL, NULL, NULL, 'ADP/ATP TRANSLOCASE 2', NULL, NULL, NULL, 15),
(109612, NULL, 'PTHR43072:SF36', NULL, NULL, NULL, NULL, 'RIBOSOMAL-PROTEIN-ALANINE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(109613, NULL, 'PTHR45616:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109614, NULL, 'PTHR31213:SF112', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL13', NULL, NULL, NULL, 15),
(109615, NULL, 'PTHR10209:SF760', NULL, NULL, NULL, NULL, 'BNAC03G40750D PROTEIN', NULL, NULL, NULL, 15),
(109616, NULL, 'PTHR46331', NULL, NULL, NULL, NULL, 'VALACYCLOVIR HYDROLASE', NULL, NULL, NULL, 15),
(109617, NULL, 'PTHR31948:SF72', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 9', NULL, NULL, NULL, 15),
(109618, NULL, 'PTHR12461:SF49', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(109619, NULL, 'PTHR14522', NULL, NULL, NULL, NULL, 'EMO2-RELATED', NULL, NULL, 27559, 15),
(109620, NULL, 'PTHR31839:SF62', NULL, NULL, NULL, NULL, 'DEHYDRATION RESPONSE ELEMENT B1A-RELATED', NULL, NULL, NULL, 15),
(109621, NULL, 'PTHR32176:SF34', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(109622, NULL, 'PTHR46201:SF1', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN MALE STERILITY 1', NULL, NULL, NULL, 15),
(109623, NULL, 'PTHR26379:SF389', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 4-LIKE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109624, NULL, 'PTHR32439:SF5', NULL, NULL, NULL, NULL, 'SULFITE REDUCTASE [FERREDOXIN]', NULL, NULL, NULL, 15),
(109625, NULL, 'PTHR47220', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 25', NULL, NULL, 15904, 15),
(109626, NULL, 'PTHR44750:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE T1-RELATED', NULL, NULL, NULL, 15),
(109627, NULL, 'PTHR10063:SF0', NULL, NULL, NULL, NULL, 'TUBERIN', NULL, NULL, NULL, 15),
(109628, NULL, 'PTHR21297:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB4', NULL, NULL, NULL, 15),
(109629, NULL, 'PTHR38926:SF14', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 23-RELATED', NULL, NULL, NULL, 15),
(109630, NULL, 'PTHR31933', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(109631, NULL, 'PTHR35505:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109632, NULL, 'PTHR34198:SF10', NULL, NULL, NULL, NULL, 'OS05G0189200 PROTEIN', NULL, NULL, NULL, 15),
(109633, NULL, 'PTHR18853', NULL, NULL, NULL, NULL, 'FORKHEAD-ASSOCIATED DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(109634, NULL, 'PTHR11753:SF45', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT SIGMA-2', NULL, NULL, NULL, 15),
(109635, NULL, 'PTHR43340:SF6', NULL, NULL, NULL, NULL, 'HYPOXANTHINE-GUANINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(109636, NULL, 'PTHR31808:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109637, NULL, 'PTHR46339:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG13502', NULL, NULL, NULL, 15),
(109638, NULL, 'PTHR11909:SF372', NULL, NULL, NULL, NULL, 'BNACNNG02780D PROTEIN', NULL, NULL, NULL, 15),
(109639, NULL, 'PTHR10091:SF13', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(109640, NULL, 'PTHR11999:SF157', NULL, NULL, NULL, NULL, 'OS08G0140500 PROTEIN', NULL, NULL, NULL, 15),
(109641, NULL, 'PTHR10648:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 1-LIKE-RELATED', NULL, NULL, 26661, 15),
(109642, NULL, 'PTHR11945:SF605', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 102-RELATED', NULL, NULL, NULL, 15),
(109643, NULL, 'PTHR47287:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(109644, NULL, 'PTHR47011', NULL, NULL, NULL, NULL, 'CD226 ANTIGEN', NULL, NULL, 37723, 15),
(109645, NULL, 'PTHR48068:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 9', NULL, NULL, NULL, 15),
(109646, NULL, 'PTHR31989:SF327', NULL, NULL, NULL, NULL, 'BNAC05G01040D PROTEIN', NULL, NULL, NULL, 15),
(109647, NULL, 'PTHR24221:SF483', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', NULL, NULL, NULL, 15),
(109648, NULL, 'PTHR47246', NULL, NULL, NULL, NULL, 'MUCIN-19', NULL, NULL, NULL, 15),
(109649, NULL, 'PTHR12398:SF22', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE INHIBITOR 2-RELATED', NULL, NULL, NULL, 15),
(109650, NULL, 'PTHR36003:SF5', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT HEME RECEPTOR A', NULL, NULL, NULL, 15),
(109651, NULL, 'PTHR42714:SF5', NULL, NULL, NULL, NULL, 'FERROUS IRON TRANSPORT PROTEIN B', NULL, NULL, NULL, 15),
(109652, NULL, 'PTHR45773:SF7', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(109653, NULL, 'PTHR12011:SF437', NULL, NULL, NULL, NULL, 'FI21270P1-RELATED', NULL, NULL, NULL, 15),
(109654, NULL, 'PTHR18953:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109655, NULL, 'PTHR12612', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2', NULL, NULL, 38785, 15),
(109656, NULL, 'PTHR47965:SF24', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(109657, NULL, 'PTHR11467:SF28', NULL, NULL, NULL, NULL, 'SPERMATID-SPECIFIC LINKER HISTONE H1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109658, NULL, 'PTHR37391', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(109659, NULL, 'PTHR15299:SF3', NULL, NULL, NULL, NULL, 'HERV-H LTR-ASSOCIATING PROTEIN 1', NULL, NULL, NULL, 15),
(109660, NULL, 'PTHR27004:SF374', NULL, NULL, NULL, NULL, 'BNAA01G19180D PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109661, NULL, 'PTHR33124:SF74', NULL, NULL, NULL, NULL, 'BNAA01G17610D PROTEIN', NULL, NULL, NULL, 15),
(109662, NULL, 'PTHR22814:SF304', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(109663, NULL, 'PTHR42678:SF20', NULL, NULL, NULL, NULL, 'AMIDASE C869.01-RELATED', NULL, NULL, NULL, 15),
(109664, NULL, 'PTHR31750:SF13', NULL, NULL, NULL, NULL, 'PROTEIN STAY-GREEN, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(109665, NULL, 'PTHR40942', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 6961, 15),
(109666, NULL, 'PTHR31642:SF25', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', NULL, NULL, NULL, 15),
(109667, NULL, 'PTHR31789', NULL, NULL, NULL, NULL, 'OS05G0482600 PROTEIN', NULL, NULL, NULL, 15),
(109668, NULL, 'PTHR48034:SF18', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, X CHROMOSOME', NULL, NULL, NULL, 15),
(109669, NULL, 'PTHR10887:SF450', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109670, NULL, 'PTHR11351:SF61', NULL, NULL, NULL, NULL, 'RH14937P', NULL, NULL, NULL, 15),
(109671, NULL, 'PTHR43618:SF1', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE', NULL, NULL, NULL, 15),
(109672, NULL, 'PTHR39225', NULL, NULL, NULL, NULL, 'GENE 28434-RELATED', NULL, NULL, NULL, 15),
(109673, NULL, 'PTHR47926:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109674, NULL, 'PTHR37969', NULL, NULL, NULL, NULL, 'PROTEIN CBG07421-RELATED', NULL, NULL, NULL, 15),
(109675, NULL, 'PTHR27002:SF658', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', NULL, NULL, NULL, 15),
(109676, NULL, 'PTHR31344:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109677, NULL, 'PTHR33130:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109678, NULL, 'PTHR36812:SF7', NULL, NULL, NULL, NULL, 'KED-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109679, NULL, 'PTHR47025:SF14', NULL, NULL, NULL, NULL, 'PHD ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(109680, NULL, 'PTHR11830:SF17', NULL, NULL, NULL, NULL, 'CYLINDROMATOSIS (TURBAN TUMOR SYNDROME), B', NULL, NULL, NULL, 15),
(109681, NULL, 'PTHR31284:SF37', NULL, NULL, NULL, NULL, 'PLANT ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(109682, NULL, 'PTHR45650:SF21', NULL, NULL, NULL, NULL, 'BNACNNG39320D PROTEIN', NULL, NULL, NULL, 15),
(109683, NULL, 'PTHR48138:SF2', NULL, NULL, NULL, NULL, 'KERATINOCYTE PROLINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(109684, NULL, 'PTHR43409:SF6', NULL, NULL, NULL, NULL, 'HYPOTHETICAL METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(109685, NULL, 'PTHR27000:SF719', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN WITH LEUCINE-RICH REPEAT DOMAIN', NULL, NULL, NULL, 15),
(109686, NULL, 'PTHR19248:SF18', NULL, NULL, NULL, NULL, 'OS02G0282900 PROTEIN', NULL, NULL, NULL, 15),
(109687, NULL, 'PTHR34189:SF14', NULL, NULL, NULL, NULL, 'BNAANNG06920D PROTEIN', NULL, NULL, NULL, 15),
(109688, NULL, 'PTHR43427:SF9', NULL, NULL, NULL, NULL, 'ION-TRANSPORT PROTEIN YFEO-RELATED', NULL, NULL, NULL, 15),
(109689, NULL, 'PTHR31234:SF9', NULL, NULL, NULL, NULL, 'OS01G0195400 PROTEIN', NULL, NULL, NULL, 15),
(109690, NULL, 'PTHR12302:SF18', NULL, NULL, NULL, NULL, 'STAPHYLOCOCCAL-LIKE NUCLEASE CAN2-RELATED', NULL, NULL, NULL, 15),
(109691, NULL, 'PTHR24056:SF222', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE 1', NULL, NULL, NULL, 15),
(109692, NULL, 'PTHR13994:SF44', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 6-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109693, NULL, 'PTHR42877:SF1', NULL, NULL, NULL, NULL, 'STERIGMATOCYSTIN BIOSYNTHESIS MONOOXYGENASE STCW-RELATED', NULL, NULL, NULL, 15),
(109694, NULL, 'PTHR21700:SF55', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(109695, NULL, 'PTHR31306:SF9', NULL, NULL, NULL, NULL, 'ALPHA-1,2-GALACTOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(109696, NULL, 'PTHR31232:SF86', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109697, NULL, 'PTHR24301:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109698, NULL, 'PTHR43731', NULL, NULL, NULL, NULL, 'RHOMBOID PROTEASE', NULL, NULL, NULL, 15),
(109699, NULL, 'PTHR31917:SF110', NULL, NULL, NULL, NULL, 'BNAANNG03200D PROTEIN', NULL, NULL, NULL, 15),
(109700, NULL, 'PTHR46791:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109701, NULL, 'PTHR33294:SF13', NULL, NULL, NULL, NULL, 'AWPM-19-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109702, NULL, 'PTHR46301', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN', NULL, NULL, NULL, 15),
(109703, NULL, 'PTHR43349:SF13', NULL, NULL, NULL, NULL, 'BLL5923 PROTEIN', NULL, NULL, NULL, 15),
(109704, NULL, 'PTHR11008:SF33', NULL, NULL, NULL, NULL, 'PROTEIN TAKEOUT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109705, NULL, 'PTHR10168:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109706, NULL, 'PTHR21451:SF15', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-79 SPECIFIC', NULL, NULL, NULL, 15),
(109707, NULL, 'PTHR11588:SF253', NULL, NULL, NULL, NULL, 'TUBULIN BETA-4A CHAIN', NULL, NULL, NULL, 15),
(109708, NULL, 'PTHR12329:SF11', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 1', NULL, NULL, NULL, 15),
(109709, NULL, 'PTHR11527', NULL, NULL, NULL, NULL, 'HEAT-SHOCK PROTEIN 20 FAMILY MEMBER', NULL, NULL, NULL, 15),
(109710, NULL, 'PTHR34493:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG09274', NULL, NULL, NULL, 15),
(109711, NULL, 'PTHR31639:SF102', NULL, NULL, NULL, NULL, 'OS01G0752100 PROTEIN', NULL, NULL, NULL, 15),
(109712, NULL, 'PTHR21321:SF1', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP40', NULL, NULL, NULL, 15),
(109713, NULL, 'PTHR11960:SF56', NULL, NULL, NULL, NULL, 'INITIATION FACTOR EIF4E, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12130)-RELATED', NULL, NULL, NULL, 15),
(109714, NULL, 'PTHR30476:SF0', NULL, NULL, NULL, NULL, 'UPF0234 PROTEIN YAJQ', NULL, NULL, NULL, 15),
(109715, NULL, 'PTHR33388:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109716, NULL, 'PTHR22952:SF413', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(109717, NULL, 'PTHR45722:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-LIKE', NULL, NULL, NULL, 15),
(109718, NULL, 'PTHR27009:SF89', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.4', NULL, NULL, NULL, 15),
(109719, NULL, 'PTHR45615:SF13', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-XVIIIA', NULL, NULL, 22125, 15),
(109720, NULL, 'PTHR48017:SF113', NULL, NULL, NULL, NULL, 'OS01G0597600 PROTEIN', NULL, NULL, NULL, 15),
(109721, NULL, 'PTHR33085:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109722, NULL, 'PTHR11937:SF462', NULL, NULL, NULL, NULL, 'ACTIN, CYTOPLASMIC 1', NULL, NULL, NULL, 15),
(109723, NULL, 'PTHR16675:SF242', NULL, NULL, NULL, NULL, 'MAJOR HISTOCOMPATIBILITY COMPLEX CLASS I-RELATED GENE PROTEIN', NULL, NULL, NULL, 15),
(109724, NULL, 'PTHR46215:SF12', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(109725, NULL, 'PTHR43572:SF14', NULL, NULL, NULL, NULL, 'OS02G0788600 PROTEIN', NULL, NULL, NULL, 15),
(109726, NULL, 'PTHR10795:SF646', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.5', NULL, NULL, NULL, 15),
(109727, NULL, 'PTHR10641:SF1127', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB30', NULL, NULL, NULL, 15),
(109728, NULL, 'PTHR20921:SF8', NULL, NULL, NULL, NULL, 'GREEN RIPE-LIKE 1', NULL, NULL, NULL, 15),
(109729, NULL, 'PTHR14003:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR YY1-RELATED', NULL, NULL, NULL, 15),
(109730, NULL, 'PTHR12586', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--SERINE O-PHOSPHATIDYLTRANSFERASE', NULL, NULL, 19617, 15),
(109731, NULL, 'PTHR10638:SF69', NULL, NULL, NULL, NULL, 'AMINE OXIDASE-RELATED', NULL, NULL, NULL, 15),
(109732, NULL, 'PTHR22951:SF19', NULL, NULL, NULL, NULL, 'OS08G0467300 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109733, NULL, 'PTHR24068:SF296', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 32', NULL, NULL, NULL, 15),
(109734, NULL, 'PTHR11785:SF113', NULL, NULL, NULL, NULL, 'LARGE NEUTRAL AMINO ACIDS TRANSPORTER SMALL SUBUNIT 2', NULL, NULL, NULL, 15),
(109735, NULL, 'PTHR10434', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(109736, NULL, 'PTHR48001:SF109', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1G1', NULL, NULL, NULL, 15),
(109737, NULL, 'PTHR47126:SF2', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE-LIKE 6', NULL, NULL, NULL, 15),
(109738, NULL, 'PTHR34272:SF4', NULL, NULL, NULL, NULL, 'GLYCOFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(109739, NULL, 'PTHR33232:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109740, NULL, 'PTHR21669:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109741, NULL, 'PTHR46057:SF9', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 1-RELATED', NULL, NULL, NULL, 15),
(109742, NULL, 'PTHR48107:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109743, NULL, 'PTHR35671', NULL, NULL, NULL, NULL, 'PROTEIN TOPAZ1', NULL, NULL, 33312, 15),
(109744, NULL, 'PTHR38008', NULL, NULL, NULL, NULL, 'HEMOLYSIN-RELATED', NULL, NULL, NULL, 15),
(109745, NULL, 'PTHR11863:SF26', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROXYLASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(109746, NULL, 'PTHR39082:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE C-BETA-2-RELATED', NULL, NULL, NULL, 15),
(109747, NULL, 'PTHR12369:SF40', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE SYNTHASE 3', NULL, NULL, NULL, 15),
(109748, NULL, 'PTHR10516:SF434', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109749, NULL, 'PTHR31674:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109750, NULL, 'PTHR31446:SF9', NULL, NULL, NULL, NULL, 'OS01G0901800 PROTEIN', NULL, NULL, NULL, 15),
(109751, NULL, 'PTHR11848:SF157', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 2', NULL, NULL, NULL, 15),
(109752, NULL, 'PTHR33044:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109753, NULL, 'PTHR34226', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109754, NULL, 'PTHR34058:SF11', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(109755, NULL, 'PTHR10677:SF47', NULL, NULL, NULL, NULL, 'UBIQUILIN 4', NULL, NULL, NULL, 15),
(109756, NULL, 'PTHR21408', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-ONLY PROTEIN', NULL, NULL, 35031, 15),
(109757, NULL, 'PTHR43572:SF42', NULL, NULL, NULL, NULL, 'PROTEIN DWARF 53-LIKE-LIKE', NULL, NULL, NULL, 15),
(109758, NULL, 'PTHR46086:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109759, NULL, 'PTHR12537:SF168', NULL, NULL, NULL, NULL, 'BNAA10G12300D PROTEIN', NULL, NULL, NULL, 15),
(109760, NULL, 'PTHR14167:SF50', NULL, NULL, NULL, NULL, 'ENDOPHILIN-A1', NULL, NULL, NULL, 15),
(109761, NULL, 'PTHR12313:SF81', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(109762, NULL, 'PTHR24240:SF172', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 52', NULL, NULL, NULL, 15),
(109763, NULL, 'PTHR13164', NULL, NULL, NULL, NULL, 'CALICYLIN BINDING PROTEIN', NULL, NULL, NULL, 15),
(109764, NULL, 'PTHR10168:SF237', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109765, NULL, 'PTHR11003:SF10', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(109766, NULL, 'PTHR16469:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109767, NULL, 'PTHR45890', NULL, NULL, NULL, NULL, 'AARF DOMAIN CONTAINING KINASE 2 (PREDICTED)', NULL, NULL, NULL, 15),
(109768, NULL, 'PTHR24071:SF27', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN', NULL, NULL, NULL, 15),
(109769, NULL, 'PTHR33109:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109770, NULL, 'PTHR10683:SF28', NULL, NULL, NULL, NULL, 'TRANSALDOLASE', NULL, NULL, NULL, 15),
(109771, NULL, 'PTHR24028:SF274', NULL, NULL, NULL, NULL, 'CADHERIN 96CB, ISOFORM D', NULL, NULL, NULL, 15),
(109772, NULL, 'PTHR43814:SF5', NULL, NULL, NULL, NULL, 'OS03G0824900 PROTEIN', NULL, NULL, NULL, 15),
(109773, NULL, 'PTHR36078:SF2', NULL, NULL, NULL, NULL, 'BNACNNG21220D PROTEIN', NULL, NULL, NULL, 15),
(109774, NULL, 'PTHR33548:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109775, NULL, 'PTHR47296:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TIC 40, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(109776, NULL, 'PTHR45829:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109777, NULL, 'PTHR14949:SF30', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR D AND EGF DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(109778, NULL, 'PTHR22966:SF52', NULL, NULL, NULL, NULL, 'OS09G0471000 PROTEIN', NULL, NULL, NULL, 15),
(109779, NULL, 'PTHR18945:SF796', NULL, NULL, NULL, NULL, 'ALPHA8 SUBUNIT OF NICOTINIC ACETYLCHOLINE RECEPTOR', NULL, NULL, NULL, 15),
(109780, NULL, 'PTHR48055:SF7', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', NULL, NULL, NULL, 15),
(109781, NULL, 'PTHR21051:SF4', NULL, NULL, NULL, NULL, 'CAMP-RESPONSIVE ELEMENT-BINDING PROTEIN-LIKE 2', NULL, NULL, NULL, 15),
(109782, NULL, 'PTHR46116:SF10', NULL, NULL, NULL, NULL, 'OS05G0232500 PROTEIN', NULL, NULL, NULL, 15),
(109783, NULL, 'PTHR27006:SF426', NULL, NULL, NULL, NULL, 'MALECTIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109784, NULL, 'PTHR45644:SF37', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(109785, NULL, 'PTHR42712', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT I', NULL, NULL, NULL, 15),
(109786, NULL, 'PTHR27009:SF75', NULL, NULL, NULL, NULL, 'BNACNNG70360D PROTEIN', NULL, NULL, NULL, 15),
(109787, NULL, 'PTHR10108:SF984', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT21-RELATED', NULL, NULL, NULL, 15),
(109788, NULL, 'PTHR11863:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109789, NULL, 'PTHR15950:SF22', NULL, NULL, NULL, NULL, 'VESTIGIAL-LIKE FAMILY MEMBER 2B', NULL, NULL, NULL, 15),
(109790, NULL, 'PTHR11005:SF80', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(109791, NULL, 'PTHR31677:SF103', NULL, NULL, NULL, NULL, 'BNAC01G34730D PROTEIN', NULL, NULL, NULL, 15),
(109792, NULL, 'PTHR48016:SF13', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', NULL, NULL, NULL, 15),
(109793, NULL, 'PTHR13950:SF9', NULL, NULL, NULL, NULL, 'RABCONNECTIN-3A', NULL, NULL, NULL, 15),
(109794, NULL, 'PTHR34566:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109795, NULL, 'PTHR11645:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109796, NULL, 'PTHR10388:SF65', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLATION FACTOR SUI1 HOMOLOG', NULL, NULL, NULL, 15),
(109797, NULL, 'PTHR26379:SF282', NULL, NULL, NULL, NULL, 'OSJNBA0088K19.4 PROTEIN', NULL, NULL, NULL, 15),
(109798, NULL, 'PTHR23502:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109799, NULL, 'PTHR45374:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE TCHQD', NULL, NULL, NULL, 15),
(109800, NULL, 'PTHR37534:SF19', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(109801, NULL, 'PTHR27006:SF337', NULL, NULL, NULL, NULL, 'OS03G0426300 PROTEIN', NULL, NULL, NULL, 15),
(109802, NULL, 'PTHR45631:SF108', NULL, NULL, NULL, NULL, 'OS01G0810800 PROTEIN', NULL, NULL, NULL, 15),
(109803, NULL, 'PTHR42757:SF22', NULL, NULL, NULL, NULL, 'LIMBIC SYSTEM-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(109804, NULL, 'PTHR23345:SF31', NULL, NULL, NULL, NULL, 'APOLIPOPHORINS', NULL, NULL, NULL, 15),
(109805, NULL, 'PTHR31642:SF143', NULL, NULL, NULL, NULL, 'OS02G0653400 PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109806, NULL, 'PTHR33994:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109807, NULL, 'PTHR12783:SF5', NULL, NULL, NULL, NULL, 'RALA-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(109808, NULL, 'PTHR19134:SF461', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE ZETA', NULL, NULL, NULL, 15),
(109809, NULL, 'PTHR33285:SF30', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 5', NULL, NULL, NULL, 15),
(109810, NULL, 'PTHR12622', NULL, NULL, NULL, NULL, 'DELTEX-RELATED', NULL, NULL, 35861, 15),
(109811, NULL, 'PTHR34291:SF8', NULL, NULL, NULL, NULL, 'BNAANNG04970D PROTEIN', NULL, NULL, NULL, 15),
(109812, NULL, 'PTHR32411:SF65', NULL, NULL, NULL, NULL, 'BNAA01G36610D PROTEIN', NULL, NULL, NULL, 15),
(109813, NULL, 'PTHR36082', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 1811, 15),
(109814, NULL, 'PTHR31221:SF208', NULL, NULL, NULL, NULL, 'BNAC09G11790D PROTEIN', NULL, NULL, NULL, 15),
(109815, NULL, 'PTHR24408:SF47', NULL, NULL, NULL, NULL, 'PROTEIN CBR-HAM-2', NULL, NULL, NULL, 15),
(109816, NULL, 'PTHR11017:SF410', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(109817, NULL, 'PTHR10795:SF715', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(109818, NULL, 'PTHR12329:SF32', NULL, NULL, NULL, NULL, 'OS08G0546100 PROTEIN', NULL, NULL, NULL, 15),
(109819, NULL, 'PTHR48043:SF44', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(109820, NULL, 'PTHR43180:SF9', NULL, NULL, NULL, NULL, 'TETRAHYDROXYNAPHTHALENE REDUCTASE', NULL, NULL, NULL, 15),
(109821, NULL, 'PTHR10574:SF407', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109822, NULL, 'PTHR37941', NULL, NULL, NULL, NULL, 'FUMARASE E-RELATED', NULL, NULL, 1057, 15),
(109823, NULL, 'PTHR27005:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109824, NULL, 'PTHR13968:SF3', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEINS C1/C2', NULL, NULL, NULL, 15),
(109825, NULL, 'PTHR33191:SF43', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(109826, NULL, 'PTHR45660', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETMAR', NULL, NULL, NULL, 15),
(109827, NULL, 'PTHR11863:SF146', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 1-LIKE', NULL, NULL, NULL, 15),
(109828, NULL, 'PTHR31415:SF61', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(109829, NULL, 'PTHR24281:SF27', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 705A5-LIKE', NULL, NULL, NULL, 15),
(109830, NULL, 'PTHR14155:SF538', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE OS06G0535400', NULL, NULL, NULL, 15),
(109831, NULL, 'PTHR45857:SF1', NULL, NULL, NULL, NULL, 'FORMIN-LIKE 2B', NULL, NULL, NULL, 15),
(109832, NULL, 'PTHR24543:SF304', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109833, NULL, 'PTHR34223:SF60', NULL, NULL, NULL, NULL, 'OS08G0197500 PROTEIN', NULL, NULL, NULL, 15),
(109834, NULL, 'PTHR32133:SF283', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109835, NULL, 'PTHR33646:SF13', NULL, NULL, NULL, NULL, 'BNACNNG51420D PROTEIN', NULL, NULL, NULL, 15),
(109836, NULL, 'PTHR27006:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109837, NULL, 'PTHR24075:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109838, NULL, 'PTHR11561', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE', NULL, NULL, 7013, 15),
(109839, NULL, 'PTHR33090:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109840, NULL, 'PTHR42673:SF4', NULL, NULL, NULL, NULL, 'MALEYLACETOACETATE ISOMERASE', NULL, NULL, NULL, 15),
(109841, NULL, 'PTHR31001:SF35', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(109842, NULL, 'PTHR23155:SF961', NULL, NULL, NULL, NULL, 'OS06G0330100 PROTEIN', NULL, NULL, NULL, 15),
(109843, NULL, 'PTHR24070:SF409', NULL, NULL, NULL, NULL, 'CIRCULARLY PERMUTATED RAS PROTEIN 1', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109844, NULL, 'PTHR26453:SF234', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6A2', NULL, NULL, NULL, 15),
(109845, NULL, 'PTHR43694:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE J', NULL, NULL, NULL, 15),
(109846, NULL, 'PTHR24073:SF263', NULL, NULL, NULL, NULL, 'RAB-LIKE PROTEIN 2A-RELATED', NULL, NULL, NULL, 15),
(109847, NULL, 'PTHR31172:SF7', NULL, NULL, NULL, NULL, 'STOMATAL CLOSURE-RELATED ACTIN-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(109848, NULL, 'PTHR31213:SF136', NULL, NULL, NULL, NULL, 'BNAA03G12450D PROTEIN', NULL, NULL, NULL, 15),
(109849, NULL, 'PTHR43673:SF9', NULL, NULL, NULL, NULL, 'NITROREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(109850, NULL, 'PTHR19858:SF0', NULL, NULL, NULL, NULL, 'PERIODIC TRYPTOPHAN PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(109851, NULL, 'PTHR44533:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109852, NULL, 'PTHR23045:SF17', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 37B', NULL, NULL, NULL, 15),
(109853, NULL, 'PTHR13738:SF12', NULL, NULL, NULL, NULL, 'TROPONIN I4A-RELATED', NULL, NULL, NULL, 15),
(109854, NULL, 'PTHR11803:SF51', NULL, NULL, NULL, NULL, 'BNAA05G36080D PROTEIN', NULL, NULL, NULL, 15),
(109855, NULL, 'PTHR10438:SF431', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(109856, NULL, 'PTHR24241:SF148', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE SIFAMIDE RECEPTOR', NULL, NULL, NULL, 15),
(109857, NULL, 'PTHR31901:SF47', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.17-LIKE', NULL, NULL, NULL, 15),
(109858, NULL, 'PTHR43810', NULL, NULL, NULL, NULL, 'N(G),N(G)-DIMETHYLARGININE DIMETHYLAMINOHYDROLASE', NULL, NULL, NULL, 15),
(109859, NULL, 'PTHR11164', NULL, NULL, NULL, NULL, 'GLUTAMATE CYSTEINE LIGASE', NULL, NULL, 4829, 15),
(109860, NULL, 'PTHR24078:SF548', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK FAMILY PROTEIN', NULL, NULL, NULL, 15),
(109861, NULL, 'PTHR45703:SF4', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 17', NULL, NULL, NULL, 15),
(109862, NULL, 'PTHR42708', NULL, NULL, NULL, NULL, 'ATP/GTP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109863, NULL, 'PTHR10353:SF278', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 11-LIKE', NULL, NULL, NULL, 15),
(109864, NULL, 'PTHR11639:SF5', NULL, NULL, NULL, NULL, 'PROTEIN S100-A8', NULL, NULL, 28063, 15),
(109865, NULL, 'PTHR14949:SF35', NULL, NULL, NULL, NULL, 'EGF-LIKE-DOMAIN, MULTIPLE 7', NULL, NULL, NULL, 15),
(109866, NULL, 'PTHR12300:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109867, NULL, 'PTHR47385:SF4', NULL, NULL, NULL, NULL, 'TRANSGELIN 2', NULL, NULL, NULL, 15),
(109868, NULL, 'PTHR24282:SF110', NULL, NULL, NULL, NULL, 'OS01G0349800 PROTEIN', NULL, NULL, NULL, 15),
(109869, NULL, 'PTHR35378:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(109870, NULL, 'PTHR31307:SF16', NULL, NULL, NULL, NULL, 'OS05G0560600 PROTEIN', NULL, NULL, NULL, 15),
(109871, NULL, 'PTHR35369:SF2', NULL, NULL, NULL, NULL, 'BLR3025 PROTEIN', NULL, NULL, NULL, 15),
(109872, NULL, 'PTHR33972:SF11', NULL, NULL, NULL, NULL, 'OSJNBA0035M09.14 PROTEIN', NULL, NULL, NULL, 15),
(109873, NULL, 'PTHR21513:SF19', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(109874, NULL, 'PTHR23077:SF162', NULL, NULL, NULL, NULL, 'BNAA01G32030D PROTEIN', NULL, NULL, NULL, 15),
(109875, NULL, 'PTHR45974:SF148', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE', NULL, NULL, NULL, 15),
(109876, NULL, 'PTHR24349:SF427', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(109877, NULL, 'PTHR27005:SF341', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-LIKE ISOFORM X2', NULL, NULL, NULL, 15),
(109878, NULL, 'PTHR17550:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TTC3', NULL, NULL, NULL, 15),
(109879, NULL, 'PTHR31676:SF141', NULL, NULL, NULL, NULL, 'DUF538 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(109880, NULL, 'PTHR37169:SF3', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM ENDORIBONUCLEASE CSX1', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109881, NULL, 'PTHR21583', NULL, NULL, NULL, NULL, 'ELYS PROTEIN', NULL, NULL, NULL, 15),
(109882, NULL, 'PTHR23070:SF100', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(109883, NULL, 'PTHR20854:SF39', NULL, NULL, NULL, NULL, 'PROTEIN QUTG', NULL, NULL, NULL, 15),
(109884, NULL, 'PTHR13287:SF6', NULL, NULL, NULL, NULL, 'UPF0687 PROTEIN C20ORF27', NULL, NULL, NULL, 15),
(109885, NULL, 'PTHR28594', NULL, NULL, NULL, NULL, 'ATR-INTERACTING PROTEIN', NULL, NULL, 30471, 15),
(109886, NULL, 'PTHR21354:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 511', NULL, NULL, NULL, 15),
(109887, NULL, 'PTHR23507:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG04458', NULL, NULL, NULL, 15),
(109888, NULL, 'PTHR19134:SF457', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE, RECEPTOR TYPE Q', NULL, NULL, NULL, 15),
(109889, NULL, 'PTHR10404:SF46', NULL, NULL, NULL, NULL, 'GLUTAMATE CARBOXYPEPTIDASE 2 HOMOLOG', NULL, NULL, 11549, 15),
(109890, NULL, 'PTHR24186:SF28', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(109891, NULL, 'PTHR37948:SF1', NULL, NULL, NULL, NULL, 'ZGC:113208', NULL, NULL, NULL, 15),
(109892, NULL, 'PTHR10878:SF24', NULL, NULL, NULL, NULL, 'SEGMENT POLARITY PROTEIN DISHEVELLED HOMOLOG MIG-5', NULL, NULL, NULL, 15),
(109893, NULL, 'PTHR47993:SF11', NULL, NULL, NULL, NULL, 'BNAA03G58080D PROTEIN', NULL, NULL, NULL, 15),
(109894, NULL, 'PTHR30040:SF2', NULL, NULL, NULL, NULL, 'FAD:PROTEIN FMN TRANSFERASE', NULL, NULL, NULL, 15),
(109895, NULL, 'PTHR12537:SF129', NULL, NULL, NULL, NULL, 'PUMILIO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109896, NULL, 'PTHR46667:SF6', NULL, NULL, NULL, NULL, 'OS05G0182700 PROTEIN', NULL, NULL, NULL, 15),
(109897, NULL, 'PTHR34612:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109898, NULL, 'PTHR45176:SF1', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109899, NULL, 'PTHR23147:SF120', NULL, NULL, NULL, NULL, 'RNA-BINDING REGION RNP-1 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(109900, NULL, 'PTHR10270:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-1', NULL, NULL, 27749, 15),
(109901, NULL, 'PTHR45687:SF75', NULL, NULL, NULL, NULL, 'BNAC03G72010D PROTEIN', NULL, NULL, NULL, 15),
(109902, NULL, 'PTHR14014', NULL, NULL, NULL, NULL, 'TELOMERE REPEATS-BINDING BOUQUET FORMATION PROTEIN 1', NULL, NULL, 39471, 15),
(109903, NULL, 'PTHR37507', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN YDCC', NULL, NULL, NULL, 15),
(109904, NULL, 'PTHR45863:SF14', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(109905, NULL, 'PTHR23535:SF1', NULL, NULL, NULL, NULL, 'MFS FAMILY TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(109906, NULL, 'PTHR31644:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(109907, NULL, 'PTHR13408:SF11', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC4-RELATED', NULL, NULL, NULL, 15),
(109908, NULL, 'PTHR26450:SF14', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(109909, NULL, 'PTHR46136:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE10', NULL, NULL, NULL, 15),
(109910, NULL, 'PTHR21325:SF45', NULL, NULL, NULL, NULL, 'SI:DKEY-177P2.18', NULL, NULL, NULL, 15),
(109911, NULL, 'PTHR20275:SF32', NULL, NULL, NULL, NULL, 'NAD/NADH KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(109912, NULL, 'PTHR14572:SF1', NULL, NULL, NULL, NULL, 'PANCREATIC PROGENITOR CELL DIFFERENTIATION AND PROLIFERATION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109913, NULL, 'PTHR46791', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(109914, NULL, 'PTHR33059:SF2', NULL, NULL, NULL, NULL, 'OS09G0367900 PROTEIN', NULL, NULL, NULL, 15),
(109915, NULL, 'PTHR39188:SF3', NULL, NULL, NULL, NULL, 'STAGE IV SPORULATION PROTEIN FB', NULL, NULL, NULL, 15),
(109916, NULL, 'PTHR24062:SF18', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109917, NULL, 'PTHR11206:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109918, NULL, 'PTHR11804:SF49', NULL, NULL, NULL, NULL, 'LD37516P', NULL, NULL, NULL, 15),
(109919, NULL, 'PTHR14339:SF11', NULL, NULL, NULL, NULL, 'VASCULIN', NULL, NULL, NULL, 15),
(109920, NULL, 'PTHR24376:SF169', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 658-RELATED', NULL, NULL, NULL, 15),
(109921, NULL, 'PTHR23504:SF104', NULL, NULL, NULL, NULL, 'PROTEIN ZINC INDUCED FACILITATOR 1', NULL, NULL, NULL, 15),
(109922, NULL, 'PTHR31451:SF55', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 1', NULL, NULL, NULL, 15),
(109923, NULL, 'PTHR46196:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH157', NULL, NULL, NULL, 15),
(109924, NULL, 'PTHR33868:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(109925, NULL, 'PTHR46020:SF16', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(109926, NULL, 'PTHR31238:SF189', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109927, NULL, 'PTHR46204:SF22', NULL, NULL, NULL, NULL, 'BNAA06G02020D PROTEIN', NULL, NULL, NULL, 15),
(109928, NULL, 'PTHR13351:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR H ATPASE', NULL, NULL, NULL, 15),
(109929, NULL, 'PTHR11595:SF70', NULL, NULL, NULL, NULL, 'RIPENING REGULATED PROTEIN DDTFR10-LIKE', NULL, NULL, NULL, 15),
(109930, NULL, 'PTHR24075:SF14', NULL, NULL, NULL, NULL, 'C2 DOMAIN, DNAJ DOMAIN, SEC63 DOMAIN, IMMUNOGLOBULIN E-SET-RELATED', NULL, NULL, NULL, 15),
(109931, NULL, 'PTHR22145:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM217A', NULL, NULL, NULL, 15),
(109932, NULL, 'PTHR42886:SF34', NULL, NULL, NULL, NULL, '1-ACYLGLYCEROL-3-PHOSPHATE O-ACYLTRANSFERASE ABHD5', NULL, NULL, NULL, 15),
(109933, NULL, 'PTHR33990:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YJDN', NULL, NULL, NULL, 15),
(109934, NULL, 'PTHR45855:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0058K23.6 PROTEIN', NULL, NULL, NULL, 15),
(109935, NULL, 'PTHR12548:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DP', NULL, NULL, NULL, 15),
(109936, NULL, 'PTHR15710:SF131', NULL, NULL, NULL, NULL, 'CYTOKINESIS NEGATIVE REGULATOR RCP1', NULL, NULL, NULL, 15),
(109937, NULL, 'PTHR12752', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITOL 3-PHOSPHATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(109938, NULL, 'PTHR11972:SF139', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(109939, NULL, 'PTHR10155:SF12', NULL, NULL, NULL, NULL, 'LP02169P', NULL, NULL, NULL, 15),
(109940, NULL, 'PTHR31283:SF17', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT LAGE3', NULL, NULL, NULL, 15),
(109941, NULL, 'PTHR24347:SF389', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109942, NULL, 'PTHR31218:SF328', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(109943, NULL, 'PTHR24343:SF422', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1810024B03 GENE', NULL, NULL, NULL, 15),
(109944, NULL, 'PTHR47433:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 17', NULL, NULL, NULL, 15),
(109945, NULL, 'PTHR42790:SF8', NULL, NULL, NULL, NULL, 'GNTR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(109946, NULL, 'PTHR42760:SF53', NULL, NULL, NULL, NULL, 'BLR4183 PROTEIN', NULL, NULL, NULL, 15),
(109947, NULL, 'PTHR30443', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN', NULL, NULL, 33901, 15),
(109948, NULL, 'PTHR24031:SF688', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 25', NULL, NULL, NULL, 15),
(109949, NULL, 'PTHR11599:SF43', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(109950, NULL, 'PTHR36745:SF2', NULL, NULL, NULL, NULL, 'BNAC04G04560D PROTEIN', NULL, NULL, NULL, 15),
(109951, NULL, 'PTHR23500:SF32', NULL, NULL, NULL, NULL, 'OS12G0512100 PROTEIN', NULL, NULL, NULL, 15),
(109952, NULL, 'PTHR43880:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109953, NULL, 'PTHR13720:SF24', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 90', NULL, NULL, 24137, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109954, NULL, 'PTHR11827:SF100', NULL, NULL, NULL, NULL, 'CATION-CHLORIDE COTRANSPORTER 1', NULL, NULL, NULL, 15),
(109955, NULL, 'PTHR31651:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(109956, NULL, 'PTHR17550:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109957, NULL, 'PTHR31190:SF72', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 15', NULL, NULL, NULL, 15),
(109958, NULL, 'PTHR45648:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109959, NULL, 'PTHR43665', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE', NULL, NULL, 11214, 15),
(109960, NULL, 'PTHR31851:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109961, NULL, 'PTHR43562', NULL, NULL, NULL, NULL, 'NAPA-TYPE SODIUM/HYDROGEN ANTIPORTER', NULL, NULL, NULL, 15),
(109962, NULL, 'PTHR33153', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109963, NULL, 'PTHR24128:SF54', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(109964, NULL, 'PTHR10218:SF194', NULL, NULL, NULL, NULL, 'G PROTEIN, ALPHA SUBUNIT', NULL, NULL, NULL, 15),
(109965, NULL, 'PTHR31374:SF219', NULL, NULL, NULL, NULL, 'AUXIN RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(109966, NULL, 'PTHR43024', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYL-TRIPEPTIDE--D-ALANYL-D-ALANINE LIGASE', NULL, NULL, NULL, 15),
(109967, NULL, 'PTHR43718:SF9', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG, MITOCHONDRIAL 1', NULL, NULL, NULL, 15),
(109968, NULL, 'PTHR47716:SF3', NULL, NULL, NULL, NULL, 'BNAA05G18600D PROTEIN', NULL, NULL, NULL, 15),
(109969, NULL, 'PTHR11588:SF314', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2 CHAIN', NULL, NULL, NULL, 15),
(109970, NULL, 'PTHR34644:SF2', NULL, NULL, NULL, NULL, 'SINGLE-PASS MEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(109971, NULL, 'PTHR46616:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(109972, NULL, 'PTHR11805', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PDZ-BINDING PROTEIN', NULL, NULL, 15621, 15),
(109973, NULL, 'PTHR11055:SF44', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(109974, NULL, 'PTHR44535:SF2', NULL, NULL, NULL, NULL, 'NIMA RELATED KINASE 8', NULL, NULL, NULL, 15),
(109975, NULL, 'PTHR13593:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109976, NULL, 'PTHR11746:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109977, NULL, 'PTHR11516:SF64', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(109978, NULL, 'PTHR31669:SF189', NULL, NULL, NULL, NULL, 'OS02G0542200 PROTEIN', NULL, NULL, NULL, 15),
(109979, NULL, 'PTHR23024:SF488', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109980, NULL, 'PTHR35560:SF3', NULL, NULL, NULL, NULL, 'BLL0132 PROTEIN', NULL, NULL, NULL, 15),
(109981, NULL, 'PTHR33155:SF9', NULL, NULL, NULL, NULL, 'FANTASTIC FOUR-LIKE PROTEIN (DUF3049)', NULL, NULL, NULL, 15),
(109982, NULL, 'PTHR10985:SF136', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HES-4', NULL, NULL, NULL, 15),
(109983, NULL, 'PTHR43244', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109984, NULL, 'PTHR45652:SF13', NULL, NULL, NULL, NULL, 'ZGC:65851', NULL, NULL, NULL, 15),
(109985, NULL, 'PTHR12906', NULL, NULL, NULL, NULL, 'PROTEIN C20ORF24  RAB5-INTERACTING PROTEIN', NULL, NULL, 10488, 15),
(109986, NULL, 'PTHR31048:SF96', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(109987, NULL, 'PTHR24341:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN INVECTED', NULL, NULL, NULL, 15),
(109988, NULL, 'PTHR47706:SF4', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(109989, NULL, 'PTHR33108:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109990, NULL, 'PTHR46539:SF9', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL56', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(109991, NULL, 'PTHR43888:SF13', NULL, NULL, NULL, NULL, 'DNAJ (HSP40) HOMOLOG, SUBFAMILY A, MEMBER 4, GENE 2', NULL, NULL, NULL, 15),
(109992, NULL, 'PTHR31042:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(109993, NULL, 'PTHR22781', NULL, NULL, NULL, NULL, 'DELTA ADAPTIN-RELATED', NULL, NULL, 20779, 15),
(109994, NULL, 'PTHR23117:SF13', NULL, NULL, NULL, NULL, 'GUANYLATE KINASE', NULL, NULL, NULL, 15),
(109995, NULL, 'PTHR31625:SF60', NULL, NULL, NULL, NULL, 'BNAC06G31620D PROTEIN', NULL, NULL, NULL, 15),
(109996, NULL, 'PTHR31707:SF164', NULL, NULL, NULL, NULL, 'PECTINESTERASE 4-RELATED', NULL, NULL, NULL, 15),
(109997, NULL, 'PTHR11431:SF109', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(109998, NULL, 'PTHR15036:SF56', NULL, NULL, NULL, NULL, 'KON-TIKI, ISOFORM B', NULL, NULL, NULL, 15),
(109999, NULL, 'PTHR33454:SF10', NULL, NULL, NULL, NULL, 'PUROINDOLINE-B', NULL, NULL, NULL, 15),
(110000, NULL, 'PTHR11808:SF83', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-LYASE-RELATED', NULL, NULL, NULL, 15),
(110001, NULL, 'PTHR46910:SF23', NULL, NULL, NULL, NULL, 'THIAMINE REPRESSIBLE GENES REGULATORY PROTEIN THI1', NULL, NULL, NULL, 15),
(110002, NULL, 'PTHR32141:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110003, NULL, 'PTHR12106', NULL, NULL, NULL, NULL, 'SORTILIN RELATED', NULL, NULL, NULL, 15),
(110004, NULL, 'PTHR31413:SF32', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(110005, NULL, 'PTHR12002:SF83', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED MULTIPASS TRANSMEMBRANE PROTEIN 4', NULL, NULL, NULL, 15),
(110006, NULL, 'PTHR31190:SF134', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(110007, NULL, 'PTHR36946:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13897', NULL, NULL, NULL, 15),
(110008, NULL, 'PTHR31776:SF14', NULL, NULL, NULL, NULL, 'OS07G0686900 PROTEIN', NULL, NULL, NULL, 15),
(110009, NULL, 'PTHR45444:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110010, NULL, 'PTHR33098:SF61', NULL, NULL, NULL, NULL, 'BNAC09G22350D PROTEIN', NULL, NULL, NULL, 15),
(110011, NULL, 'PTHR16134:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110012, NULL, 'PTHR32448:SF94', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 24-RELATED', NULL, NULL, NULL, 15),
(110013, NULL, 'PTHR13248:SF2', NULL, NULL, NULL, NULL, 'ELONGIN-B', NULL, NULL, NULL, 15),
(110014, NULL, 'PTHR12422', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29669, 15),
(110015, NULL, 'PTHR45653:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110016, NULL, 'PTHR19969:SF15', NULL, NULL, NULL, NULL, 'GROWTH FACTOR RECEPTOR BOUND PROTEIN 2', NULL, NULL, NULL, 15),
(110017, NULL, 'PTHR13070', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN34-RELATED', NULL, NULL, NULL, 15),
(110018, NULL, 'PTHR31116:SF28', NULL, NULL, NULL, NULL, 'OS06G0649800 PROTEIN', NULL, NULL, NULL, 15),
(110019, NULL, 'PTHR19443:SF16', NULL, NULL, NULL, NULL, 'HEXOKINASE TYPE 1-RELATED', NULL, NULL, NULL, 15),
(110020, NULL, 'PTHR30615', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YJBQ-RELATED', NULL, NULL, 3031, 15),
(110021, NULL, 'PTHR22881:SF30', NULL, NULL, NULL, NULL, 'OS01G0739400 PROTEIN', NULL, NULL, NULL, 15),
(110022, NULL, 'PTHR31008:SF15', NULL, NULL, NULL, NULL, 'GPI-ANCHORED ADHESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(110023, NULL, 'PTHR34708:SF2', NULL, NULL, NULL, NULL, 'OS07G0440000 PROTEIN', NULL, NULL, NULL, 15),
(110024, NULL, 'PTHR43791:SF39', NULL, NULL, NULL, NULL, 'TRANSPORTER LIZ1/SEO1, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00980)-RELATED', NULL, NULL, NULL, 15),
(110025, NULL, 'PTHR37610:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110026, NULL, 'PTHR22744:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG07083', NULL, NULL, NULL, 15),
(110027, NULL, 'PTHR36833', NULL, NULL, NULL, NULL, 'SLR0610 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110028, NULL, 'PTHR45914:SF29', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH)-LIKE PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110029, NULL, 'PTHR37475', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110030, NULL, 'PTHR33782:SF26', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT', NULL, NULL, NULL, 15),
(110031, NULL, 'PTHR11848:SF137', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 6', NULL, NULL, NULL, 15),
(110032, NULL, 'PTHR13994:SF40', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 10', NULL, NULL, NULL, 15),
(110033, NULL, 'PTHR10701:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110034, NULL, 'PTHR15438:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110035, NULL, 'PTHR35392:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110036, NULL, 'PTHR43900:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110037, NULL, 'PTHR37860:SF1', NULL, NULL, NULL, NULL, 'AGAP008810-PA', NULL, NULL, NULL, 15),
(110038, NULL, 'PTHR23226:SF220', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 20', NULL, NULL, NULL, 15),
(110039, NULL, 'PTHR11592:SF118', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID HYDROPEROXIDE GLUTATHIONE PEROXIDASE 6, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(110040, NULL, 'PTHR10127:SF786', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-19-RELATED', NULL, NULL, NULL, 15),
(110041, NULL, 'PTHR27008:SF443', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IRK-RELATED', NULL, NULL, NULL, 15),
(110042, NULL, 'PTHR33052:SF24', NULL, NULL, NULL, NULL, 'OS06G0568400 PROTEIN', NULL, NULL, NULL, 15),
(110043, NULL, 'PTHR21454:SF34', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(110044, NULL, 'PTHR23274:SF28', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE RRM3', NULL, NULL, NULL, 15),
(110045, NULL, 'PTHR24248:SF172', NULL, NULL, NULL, NULL, 'DOPAMINE/ECDYSTEROID RECEPTOR, ISOFORM A', NULL, NULL, NULL, 15),
(110046, NULL, 'PTHR46776:SF9', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 7', NULL, NULL, NULL, 15),
(110047, NULL, 'PTHR18916:SF10', NULL, NULL, NULL, NULL, 'CAP-GLY DOMAIN-CONTAINING LINKER PROTEIN 2', NULL, NULL, 28540, 15),
(110048, NULL, 'PTHR24056:SF416', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(110049, NULL, 'PTHR43569', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE', NULL, NULL, NULL, 15),
(110050, NULL, 'PTHR31100:SF6', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(110051, NULL, 'PTHR12777:SF6', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D2', NULL, NULL, NULL, 15),
(110052, NULL, 'PTHR48011:SF11', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE', NULL, NULL, NULL, 15),
(110053, NULL, 'PTHR11954:SF37', NULL, NULL, NULL, NULL, 'MIF-LIKE PROTEIN MIF-2', NULL, NULL, NULL, 15),
(110054, NULL, 'PTHR27000:SF656', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(110055, NULL, 'PTHR21538:SF21', NULL, NULL, NULL, NULL, 'RHOTEKIN-2', NULL, NULL, 24440, 15),
(110056, NULL, 'PTHR46387:SF5', NULL, NULL, NULL, NULL, 'DNA POLYMERASE (REVERSE TRANSCRIPTASE), RIBONUCLEASE H, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(110057, NULL, 'PTHR11771:SF107', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(110058, NULL, 'PTHR12663:SF44', NULL, NULL, NULL, NULL, 'BRI1-KD INTERACTING PROTEIN 135', NULL, NULL, NULL, 15),
(110059, NULL, 'PTHR31307:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110060, NULL, 'PTHR31989:SF321', NULL, NULL, NULL, NULL, 'OS03G0832000 PROTEIN', NULL, NULL, NULL, 15),
(110061, NULL, 'PTHR24056:SF390', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110062, NULL, 'PTHR31759', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 167', NULL, NULL, 23179, 15),
(110063, NULL, 'PTHR30404:SF2', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE AMIA', NULL, NULL, NULL, 15),
(110064, NULL, 'PTHR48034:SF13', NULL, NULL, NULL, NULL, 'FCA', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110065, NULL, 'PTHR13528:SF6', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L28, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(110066, NULL, 'PTHR46599', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED PROTEIN 4', NULL, NULL, NULL, 15),
(110067, NULL, 'PTHR33091:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110068, NULL, 'PTHR11654:SF157', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 1.2', NULL, NULL, NULL, 15),
(110069, NULL, 'PTHR31642:SF203', NULL, NULL, NULL, NULL, 'OS01G0350000 PROTEIN', NULL, NULL, NULL, 15),
(110070, NULL, 'PTHR33312:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(110071, NULL, 'PTHR10560:SF0', NULL, NULL, NULL, NULL, 'THROMBOPOIETIN', NULL, NULL, NULL, 15),
(110072, NULL, 'PTHR10110:SF172', NULL, NULL, NULL, NULL, 'NA+/H+ EXCHANGER, CATION/H+ EXCHANGER, CATION/H+ EXCHANGER, CPA1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(110073, NULL, 'PTHR45684:SF17', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(110074, NULL, 'PTHR23024:SF552', NULL, NULL, NULL, NULL, 'ISOPRENYLCYSTEINE ALPHA-CARBONYL METHYLESTERASE ICMEL2-RELATED', NULL, NULL, NULL, 15),
(110075, NULL, 'PTHR46626:SF7', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(110076, NULL, 'PTHR10838:SF19', NULL, NULL, NULL, NULL, 'SYNAPTOGYRIN-2 LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110077, NULL, 'PTHR16093:SF4', NULL, NULL, NULL, NULL, 'INNATE IMMUNITY ACTIVATOR PROTEIN', NULL, NULL, 34411, 15),
(110078, NULL, 'PTHR22951:SF32', NULL, NULL, NULL, NULL, 'OS06G0175500 PROTEIN', NULL, NULL, NULL, 15),
(110079, NULL, 'PTHR24241:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110080, NULL, 'PTHR13062', NULL, NULL, NULL, NULL, 'COLLAGENASE', NULL, NULL, NULL, 15),
(110081, NULL, 'PTHR31673:SF47', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(110082, NULL, 'PTHR24085:SF5', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR BETA', NULL, NULL, NULL, 15),
(110083, NULL, 'PTHR48058:SF6', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(110084, NULL, 'PTHR12998', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 30648, 15),
(110085, NULL, 'PTHR43228:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110086, NULL, 'PTHR23267:SF436', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 19', NULL, NULL, NULL, 15),
(110087, NULL, 'PTHR43459:SF1', NULL, NULL, NULL, NULL, 'EG:BACN32G11.4 PROTEIN', NULL, NULL, NULL, 15),
(110088, NULL, 'PTHR31871:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110089, NULL, 'PTHR23288:SF3', NULL, NULL, NULL, NULL, 'MARVEL DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 27688, 15),
(110090, NULL, 'PTHR30367:SF12', NULL, NULL, NULL, NULL, 'P-HYDROXYBENZOIC ACID EFFLUX PUMP SUBUNIT AAEA', NULL, NULL, NULL, 15),
(110091, NULL, 'PTHR47740:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110092, NULL, 'PTHR11746:SF274', NULL, NULL, NULL, NULL, 'BNAC08G19680D PROTEIN', NULL, NULL, NULL, 15),
(110093, NULL, 'PTHR47990:SF154', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 3', NULL, NULL, NULL, 15),
(110094, NULL, 'PTHR12957:SF23', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(110095, NULL, 'PTHR23301:SF80', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(110096, NULL, 'PTHR45999:SF4', NULL, NULL, NULL, NULL, 'UNC-13-4A, ISOFORM B', NULL, NULL, NULL, 15),
(110097, NULL, 'PTHR31140:SF8', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS10G0537100-RELATED', NULL, NULL, NULL, 15),
(110098, NULL, 'PTHR24177:SF254', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(110099, NULL, 'PTHR31602:SF10', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 2', NULL, NULL, NULL, 15),
(110100, NULL, 'PTHR22976:SF2', NULL, NULL, NULL, NULL, 'BIOTIN SYNTHASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(110101, NULL, 'PTHR22603:SF84', NULL, NULL, NULL, NULL, 'RE24176P', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110102, NULL, 'PTHR11932:SF160', NULL, NULL, NULL, NULL, 'BNAC03G77140D PROTEIN', NULL, NULL, NULL, 15),
(110103, NULL, 'PTHR23055:SF56', NULL, NULL, NULL, NULL, 'NEURONAL CALCIUM SENSOR FAMILY', NULL, NULL, NULL, 15),
(110104, NULL, 'PTHR23023:SF138', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(110105, NULL, 'PTHR43026:SF1', NULL, NULL, NULL, NULL, '2-HYDROXYACID DEHYDROGENASE HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(110106, NULL, 'PTHR47604', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE', NULL, NULL, NULL, 15),
(110107, NULL, 'PTHR16950:SF25', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER SLC39A7', NULL, NULL, NULL, 15),
(110108, NULL, 'PTHR23294:SF19', NULL, NULL, NULL, NULL, 'DUF895 DOMAIN MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_3G15000)', NULL, NULL, NULL, 15),
(110109, NULL, 'PTHR47999:SF58', NULL, NULL, NULL, NULL, 'BNAANNG06630D PROTEIN', NULL, NULL, NULL, 15),
(110110, NULL, 'PTHR33090:SF68', NULL, NULL, NULL, NULL, 'OSJNBA0043L09.16 PROTEIN', NULL, NULL, NULL, 15),
(110111, NULL, 'PTHR31205:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110112, NULL, 'PTHR46652:SF6', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND COILED-COIL CENTROSOMAL PROTEIN 1', NULL, NULL, NULL, 15),
(110113, NULL, 'PTHR37256', NULL, NULL, NULL, NULL, 'E1A-BINDING PROTEIN P400-LIKE', NULL, NULL, NULL, 15),
(110114, NULL, 'PTHR11890:SF47', NULL, NULL, NULL, NULL, 'ZMP:0000000936', NULL, NULL, NULL, 15),
(110115, NULL, 'PTHR34860:SF6', NULL, NULL, NULL, NULL, 'REPRESSOR-LIKE PROTEIN SSO7C3', NULL, NULL, NULL, 15),
(110116, NULL, 'PTHR23504:SF107', NULL, NULL, NULL, NULL, 'TETRACYCLINE-EFFLUX TRANSPORTER', NULL, NULL, NULL, 15),
(110117, NULL, 'PTHR13962:SF20', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N3', NULL, NULL, NULL, 15),
(110118, NULL, 'PTHR47928:SF73', NULL, NULL, NULL, NULL, 'OS07G0299800 PROTEIN', NULL, NULL, NULL, 15),
(110119, NULL, 'PTHR34427:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110120, NULL, 'PTHR30365', NULL, NULL, NULL, NULL, 'CYTOCHROME D UBIQUINOL OXIDASE', NULL, NULL, 1652, 15),
(110121, NULL, 'PTHR36754', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM37', NULL, NULL, NULL, 15),
(110122, NULL, 'PTHR12019:SF22', NULL, NULL, NULL, NULL, 'ZGC:92287', NULL, NULL, NULL, 15),
(110123, NULL, 'PTHR34666:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(110124, NULL, 'PTHR24238:SF41', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(110125, NULL, 'PTHR43200:SF23', NULL, NULL, NULL, NULL, 'PAP-SPECIFIC PHOSPHATASE HAL2-LIKE', NULL, NULL, NULL, 15),
(110126, NULL, 'PTHR24073:SF1153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110127, NULL, 'PTHR10221:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 6B', NULL, NULL, NULL, 15),
(110128, NULL, 'PTHR33076:SF51', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 1', NULL, NULL, NULL, 15),
(110129, NULL, 'PTHR10996:SF257', NULL, NULL, NULL, NULL, 'ZGC:136493', NULL, NULL, NULL, 15),
(110130, NULL, 'PTHR11088:SF75', NULL, NULL, NULL, NULL, 'BNAA02G13860D PROTEIN', NULL, NULL, NULL, 15),
(110131, NULL, 'PTHR45722:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35', NULL, NULL, NULL, 15),
(110132, NULL, 'PTHR47932:SF8', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(110133, NULL, 'PTHR10566:SF126', NULL, NULL, NULL, NULL, 'BNAA02G19300D PROTEIN', NULL, NULL, NULL, 15),
(110134, NULL, 'PTHR46987:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110135, NULL, 'PTHR16466:SF6', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR 2-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(110136, NULL, 'PTHR21562:SF70', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(110137, NULL, 'PTHR11406:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE 2', NULL, NULL, NULL, 15),
(110138, NULL, 'PTHR43895:SF93', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110139, NULL, 'PTHR10108:SF1132', NULL, NULL, NULL, NULL, 'BNAA09G54660D PROTEIN', NULL, NULL, NULL, 15),
(110140, NULL, 'PTHR24351:SF168', NULL, NULL, NULL, NULL, 'PROTEIN CBG24789', NULL, NULL, NULL, 15),
(110141, NULL, 'PTHR24416:SF45', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR RECEPTOR 2', NULL, NULL, NULL, 15),
(110142, NULL, 'PTHR13148', NULL, NULL, NULL, NULL, 'PER1-RELATED', NULL, NULL, 6228, 15),
(110143, NULL, 'PTHR23410:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L5', NULL, NULL, NULL, 15),
(110144, NULL, 'PTHR32227:SF353', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17-RELATED', NULL, NULL, NULL, 15),
(110145, NULL, 'PTHR11927:SF5', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(110146, NULL, 'PTHR35103', NULL, NULL, NULL, NULL, 'OS06G0115700 PROTEIN', NULL, NULL, NULL, 15),
(110147, NULL, 'PTHR11786:SF3', NULL, NULL, NULL, NULL, 'SI:RP71-1F1.4-RELATED', NULL, NULL, NULL, 15),
(110148, NULL, 'PTHR30004:SF3', NULL, NULL, NULL, NULL, '4-HYDROXYTHREONINE-4-PHOSPHATE DEHYDROGENASE 2-RELATED', NULL, NULL, NULL, 15),
(110149, NULL, 'PTHR11804:SF79', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INTERMEDIATE PEPTIDASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(110150, NULL, 'PTHR27008:SF482', NULL, NULL, NULL, NULL, 'RHO-ASSOCIATED PROTEIN KINASE 1/2, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110151, NULL, 'PTHR16244', NULL, NULL, NULL, NULL, 'CEROID-LIPOFUSCINOSIS NEURONAL PROTEIN 6', NULL, NULL, 21815, 15),
(110152, NULL, 'PTHR31707:SF266', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(110153, NULL, 'PTHR15592:SF19', NULL, NULL, NULL, NULL, 'POLYPYRIMIDINE TRACT-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(110154, NULL, 'PTHR12002:SF4', NULL, NULL, NULL, NULL, 'CLAUDIN-34', NULL, NULL, NULL, 15),
(110155, NULL, 'PTHR45621:SF163', NULL, NULL, NULL, NULL, 'OS02G0819600 PROTEIN', NULL, NULL, NULL, 15),
(110156, NULL, 'PTHR14789:SF2', NULL, NULL, NULL, NULL, 'LAYILIN', NULL, NULL, NULL, 15),
(110157, NULL, 'PTHR32002:SF40', NULL, NULL, NULL, NULL, 'PROTEIN NLP7', NULL, NULL, NULL, 15),
(110158, NULL, 'PTHR26451:SF160', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4E2', NULL, NULL, NULL, 15),
(110159, NULL, 'PTHR13419', NULL, NULL, NULL, NULL, 'ZINC FINGER-CONTAINING', NULL, NULL, 32567, 15),
(110160, NULL, 'PTHR33479:SF7', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE BRAN TRYPSIN INHIBITOR', NULL, NULL, NULL, 15),
(110161, NULL, 'PTHR36321:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110162, NULL, 'PTHR24041:SF25', NULL, NULL, NULL, NULL, 'MUCIN-12', NULL, NULL, NULL, 15),
(110163, NULL, 'PTHR47816:SF5', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE G', NULL, NULL, 15824, 15),
(110164, NULL, 'PTHR31314:SF111', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(110165, NULL, 'PTHR31009:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110166, NULL, 'PTHR34774:SF1', NULL, NULL, NULL, NULL, 'EPHRIN-A3 PROTEIN', NULL, NULL, NULL, 15),
(110167, NULL, 'PTHR12411:SF142', NULL, NULL, NULL, NULL, 'CATHEPSIN-6', NULL, NULL, NULL, 15),
(110168, NULL, 'PTHR31388:SF144', NULL, NULL, NULL, NULL, 'PEROXIDASE 67', NULL, NULL, NULL, 15),
(110169, NULL, 'PTHR24220', NULL, NULL, NULL, NULL, 'IMPORT ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(110170, NULL, 'PTHR22552:SF24', NULL, NULL, NULL, NULL, 'RE35358P', NULL, NULL, NULL, 15),
(110171, NULL, 'PTHR22943:SF70', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(110172, NULL, 'PTHR42812:SF2', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110173, NULL, 'PTHR43536', NULL, NULL, NULL, NULL, 'MANNOSYLGLYCOPROTEIN ENDO-BETA-MANNOSIDASE', NULL, NULL, 38324, 15),
(110174, NULL, 'PTHR31384:SF5', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 3', NULL, NULL, NULL, 15),
(110175, NULL, 'PTHR30332:SF17', NULL, NULL, NULL, NULL, 'GENERAL SECRETION PATHWAY PROTEIN D', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110176, NULL, 'PTHR24384:SF196', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(110177, NULL, 'PTHR22055:SF5', NULL, NULL, NULL, NULL, '28 KDA HEAT- AND ACID-STABLE PHOSPHOPROTEIN', NULL, NULL, NULL, 15),
(110178, NULL, 'PTHR14307:SF0', NULL, NULL, NULL, NULL, 'SI:CH73-25F10.6', NULL, NULL, NULL, 15),
(110179, NULL, 'PTHR12427', NULL, NULL, NULL, NULL, 'ATP SYNTHASE E CHAIN, MITOCHONDRIAL', NULL, NULL, 7839, 15),
(110180, NULL, 'PTHR43069:SF2', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETASE', NULL, NULL, NULL, 15),
(110181, NULL, 'PTHR44548', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110182, NULL, 'PTHR48018:SF50', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(110183, NULL, 'PTHR45868:SF39', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(110184, NULL, 'PTHR33750', NULL, NULL, NULL, NULL, 'PROTEIN CBG02727', NULL, NULL, NULL, 15),
(110185, NULL, 'PTHR31731:SF77', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN EARLI 1-RELATED', NULL, NULL, NULL, 15),
(110186, NULL, 'PTHR47980:SF32', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB1BV', NULL, NULL, NULL, 15),
(110187, NULL, 'PTHR37389:SF7', NULL, NULL, NULL, NULL, 'GLYCINE RICH PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110188, NULL, 'PTHR31210:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110189, NULL, 'PTHR47761', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN-RELATED', NULL, NULL, NULL, 15),
(110190, NULL, 'PTHR36608:SF1', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE C, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(110191, NULL, 'PTHR22739', NULL, NULL, NULL, NULL, 'STRIATED MUSCLE ACTIVATOR OF RHO-DEPENDENT SIGNALING-RELATED', NULL, NULL, 27196, 15),
(110192, NULL, 'PTHR12374:SF50', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(110193, NULL, 'PTHR24384:SF120', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 117-RELATED', NULL, NULL, NULL, 15),
(110194, NULL, 'PTHR13243', NULL, NULL, NULL, NULL, 'HSPC111 PROTEIN-RELATED', NULL, NULL, 16093, 15),
(110195, NULL, 'PTHR47999:SF68', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 40', NULL, NULL, NULL, 15),
(110196, NULL, 'PTHR34046:SF13', NULL, NULL, NULL, NULL, 'OS02G0758200 PROTEIN', NULL, NULL, NULL, 15),
(110197, NULL, 'PTHR10041', NULL, NULL, NULL, NULL, 'COLIPASE', NULL, NULL, 2259, 15),
(110198, NULL, 'PTHR46385:SF3', NULL, NULL, NULL, NULL, 'PAIRED MESODERM HOMEOBOX PROTEIN 2', NULL, NULL, NULL, 15),
(110199, NULL, 'PTHR33470:SF37', NULL, NULL, NULL, NULL, 'NON-CLASSICAL ARABINOGALACTAN PROTEIN 30-LIKE', NULL, NULL, NULL, 15),
(110200, NULL, 'PTHR12015:SF80', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 19', NULL, NULL, NULL, 15),
(110201, NULL, 'PTHR11394:SF78', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(110202, NULL, 'PTHR23111:SF71', NULL, NULL, NULL, NULL, 'OS04G0110600 PROTEIN', NULL, NULL, NULL, 15),
(110203, NULL, 'PTHR10075:SF14', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(110204, NULL, 'PTHR21328:SF26', NULL, NULL, NULL, NULL, 'CONJUGATING ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13940)-RELATED', NULL, NULL, NULL, 15),
(110205, NULL, 'PTHR47993:SF149', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX, F-BOX PROTEIN INTERACTION DOMAIN', NULL, NULL, NULL, 15),
(110206, NULL, 'PTHR33052:SF141', NULL, NULL, NULL, NULL, 'BNAA06G12440D PROTEIN', NULL, NULL, NULL, 15),
(110207, NULL, 'PTHR23334:SF21', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN BETA', NULL, NULL, NULL, 15),
(110208, NULL, 'PTHR23057:SF0', NULL, NULL, NULL, NULL, 'JUXTAPOSED WITH ANOTHER ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(110209, NULL, 'PTHR33077:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110210, NULL, 'PTHR11200:SF240', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE 5-PHOSPHATASE C9G1.10C-RELATED', NULL, NULL, NULL, 15),
(110211, NULL, 'PTHR26450:SF69', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 56B1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110212, NULL, 'PTHR45617:SF78', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(110213, NULL, 'PTHR10984:SF63', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM-GOLGI INTERMEDIATE COMPARTMENT PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(110214, NULL, 'PTHR21726:SF29', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(110215, NULL, 'PTHR47993:SF70', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 9-RELATED', NULL, NULL, NULL, 15),
(110216, NULL, 'PTHR43943', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE (SDR FAMILY) MEMBER 4', NULL, NULL, NULL, 15),
(110217, NULL, 'PTHR24377:SF806', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110218, NULL, 'PTHR48001:SF85', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(110219, NULL, 'PTHR13968:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110220, NULL, 'PTHR26454:SF4', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(110221, NULL, 'PTHR26453:SF32', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(110222, NULL, 'PTHR21324:SF10', NULL, NULL, NULL, NULL, 'DNA DAMAGE-REGULATED AUTOPHAGY MODULATOR PROTEIN 2', NULL, NULL, 27137, 15),
(110223, NULL, 'PTHR46192:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN AT74H', NULL, NULL, NULL, 15),
(110224, NULL, 'PTHR36371:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 10', NULL, NULL, NULL, 15),
(110225, NULL, 'PTHR11911:SF121', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(110226, NULL, 'PTHR11880:SF2', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15', NULL, NULL, NULL, 15),
(110227, NULL, 'PTHR44156:SF14', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN-CONTAINING 7', NULL, NULL, NULL, 15),
(110228, NULL, 'PTHR46923', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN 2', NULL, NULL, 24478, 15),
(110229, NULL, 'PTHR22765:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110230, NULL, 'PTHR31585:SF49', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 2-RELATED', NULL, NULL, NULL, 15),
(110231, NULL, 'PTHR11474:SF116', NULL, NULL, NULL, NULL, 'TYROSINASE', NULL, NULL, NULL, 15),
(110232, NULL, 'PTHR46195:SF25', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 17-RELATED', NULL, NULL, NULL, 15),
(110233, NULL, 'PTHR35475', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN', NULL, NULL, NULL, 15),
(110234, NULL, 'PTHR23428:SF84', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(110235, NULL, 'PTHR31533:SF20', NULL, NULL, NULL, NULL, 'BNAC01G20810D PROTEIN', NULL, NULL, NULL, 15),
(110236, NULL, 'PTHR24177:SF134', NULL, NULL, NULL, NULL, 'OS11G0220500 PROTEIN', NULL, NULL, NULL, 15),
(110237, NULL, 'PTHR10250:SF19', NULL, NULL, NULL, NULL, 'MICROSOMAL GLUTATHIONE S-TRANSFERASE 3B', NULL, NULL, NULL, 15),
(110238, NULL, 'PTHR13952', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN 70 KD', NULL, NULL, NULL, 15),
(110239, NULL, 'PTHR24305:SF92', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(110240, NULL, 'PTHR31896:SF5', NULL, NULL, NULL, NULL, 'OS01G0854000 PROTEIN', NULL, NULL, NULL, 15),
(110241, NULL, 'PTHR30624:SF0', NULL, NULL, NULL, NULL, 'METALLOPROTEASE SLR0863', NULL, NULL, NULL, 15),
(110242, NULL, 'PTHR12345:SF10', NULL, NULL, NULL, NULL, 'SYNTENIN-1', NULL, NULL, 26386, 15),
(110243, NULL, 'PTHR26379:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110244, NULL, 'PTHR10174:SF217', NULL, NULL, NULL, NULL, 'RETINALDEHYDE-BINDING PROTEIN 1A', NULL, NULL, NULL, 15),
(110245, NULL, 'PTHR47537', NULL, NULL, NULL, NULL, 'CUBILIN', NULL, NULL, NULL, 15),
(110246, NULL, 'PTHR31323', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN MSY2', NULL, NULL, NULL, 15),
(110247, NULL, 'PTHR12172:SF0', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT PROTEIN RAD17', NULL, NULL, NULL, 15),
(110248, NULL, 'PTHR11654:SF514', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.7-LIKE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110249, NULL, 'PTHR47188:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TAR1', NULL, NULL, NULL, 15),
(110250, NULL, 'PTHR23124:SF141', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(110251, NULL, 'PTHR43479:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, TETR FAMILY', NULL, NULL, NULL, 15),
(110252, NULL, 'PTHR24103:SF557', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(110253, NULL, 'PTHR31674:SF20', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM3', NULL, NULL, NULL, 15),
(110254, NULL, 'PTHR32227:SF298', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-13-BETA-GLUCOSIDASE BG1-RELATED', NULL, NULL, NULL, 15),
(110255, NULL, 'PTHR44144:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 9', NULL, NULL, NULL, 15),
(110256, NULL, 'PTHR16517:SF7', NULL, NULL, NULL, NULL, 'PROTEIN KING TUBBY', NULL, NULL, NULL, 15),
(110257, NULL, 'PTHR36771:SF2', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(110258, NULL, 'PTHR46458:SF3', NULL, NULL, NULL, NULL, 'CYTOGLOBIN-1', NULL, NULL, NULL, 15),
(110259, NULL, 'PTHR43874:SF67', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR2', NULL, NULL, NULL, 15),
(110260, NULL, 'PTHR36387:SF2', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYL-L-ALANYL-D-GLUTAMATE-2, 6-DIAMINOPIMELATE LIGASE', NULL, NULL, NULL, 15),
(110261, NULL, 'PTHR46867:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM9-2-LIKE', NULL, NULL, NULL, 15),
(110262, NULL, 'PTHR31481:SF0', NULL, NULL, NULL, NULL, 'RELT-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(110263, NULL, 'PTHR10177:SF372', NULL, NULL, NULL, NULL, 'CYCLIN-B1-3', NULL, NULL, NULL, 15),
(110264, NULL, 'PTHR15087', NULL, NULL, NULL, NULL, 'PROTEIN NPAT', NULL, NULL, NULL, 15),
(110265, NULL, 'PTHR45613:SF324', NULL, NULL, NULL, NULL, 'OS06G0690900 PROTEIN', NULL, NULL, NULL, 15),
(110266, NULL, 'PTHR33172:SF69', NULL, NULL, NULL, NULL, 'OXIDATIVE STRESS 3', NULL, NULL, NULL, 15),
(110267, NULL, 'PTHR31973:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110268, NULL, 'PTHR23294:SF53', NULL, NULL, NULL, NULL, 'UNC93-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(110269, NULL, 'PTHR42788:SF14', NULL, NULL, NULL, NULL, 'BICARBONATE TRANSPORT ATP-BINDING PROTEIN CMPD', NULL, NULL, NULL, 15),
(110270, NULL, 'PTHR24056:SF499', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110271, NULL, 'PTHR11909:SF331', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1', NULL, NULL, NULL, 15),
(110272, NULL, 'PTHR45704:SF12', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAL-A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(110273, NULL, 'PTHR31867:SF151', NULL, NULL, NULL, NULL, 'EXPANSIN-A7', NULL, NULL, NULL, 15),
(110274, NULL, 'PTHR46408:SF15', NULL, NULL, NULL, NULL, 'BNAA02G31000D PROTEIN', NULL, NULL, NULL, 15),
(110275, NULL, 'PTHR47992:SF8', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 6-RELATED', NULL, NULL, NULL, 15),
(110276, NULL, 'PTHR47197:SF4', NULL, NULL, NULL, NULL, 'BLL6485 PROTEIN', NULL, NULL, NULL, 15),
(110277, NULL, 'PTHR22765:SF276', NULL, NULL, NULL, NULL, 'OS05G0408800 PROTEIN', NULL, NULL, NULL, 15),
(110278, NULL, 'PTHR24366:SF128', NULL, NULL, NULL, NULL, 'PROTEIN HALFWAY', NULL, NULL, NULL, 15),
(110279, NULL, 'PTHR31917:SF106', NULL, NULL, NULL, NULL, 'BNAA03G56010D PROTEIN', NULL, NULL, NULL, 15),
(110280, NULL, 'PTHR24068:SF290', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 34-LIKE', NULL, NULL, NULL, 15),
(110281, NULL, 'PTHR20913:SF11', NULL, NULL, NULL, NULL, 'ZGC:63863', NULL, NULL, NULL, 15),
(110282, NULL, 'PTHR47977:SF51', NULL, NULL, NULL, NULL, 'RAS AND EF-HAND DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(110283, NULL, 'PTHR45856:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110284, NULL, 'PTHR10972:SF87', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 10', NULL, NULL, NULL, 15),
(110285, NULL, 'PTHR45658:SF78', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 14', NULL, NULL, NULL, 15),
(110286, NULL, 'PTHR23043:SF25', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110287, NULL, 'PTHR36797:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110288, NULL, 'PTHR43523:SF6', NULL, NULL, NULL, NULL, 'GLYCOGEN BIOSYNTHESIS PROTEIN GLGD', NULL, NULL, 14191, 15),
(110289, NULL, 'PTHR11437:SF24', NULL, NULL, NULL, NULL, 'RIBONUCLEASE PANCREATIC', NULL, NULL, NULL, 15),
(110290, NULL, 'PTHR33400', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(110291, NULL, 'PTHR22014', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 33', NULL, NULL, 29793, 15),
(110292, NULL, 'PTHR35408:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110293, NULL, 'PTHR28069:SF1', NULL, NULL, NULL, NULL, 'GH20023P', NULL, NULL, NULL, 15),
(110294, NULL, 'PTHR47954:SF1', NULL, NULL, NULL, NULL, 'OS02G0217300 PROTEIN', NULL, NULL, NULL, 15),
(110295, NULL, 'PTHR35828:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110296, NULL, 'PTHR32227:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110297, NULL, 'PTHR31650:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110298, NULL, 'PTHR24298:SF507', NULL, NULL, NULL, NULL, '3,9-DIHYDROXYPTEROCARPAN 6A-MONOOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(110299, NULL, 'PTHR34446:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 10', NULL, NULL, NULL, 15),
(110300, NULL, 'PTHR43065:SF21', NULL, NULL, NULL, NULL, 'ETHANOLAMINE TWO-COMPONENT SENSOR KINASE', NULL, NULL, NULL, 15),
(110301, NULL, 'PTHR12499:SF16', NULL, NULL, NULL, NULL, 'OPA3-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110302, NULL, 'PTHR31867:SF160', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(110303, NULL, 'PTHR31388:SF140', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(110304, NULL, 'PTHR45928', NULL, NULL, NULL, NULL, 'RE38146P', NULL, NULL, NULL, 15),
(110305, NULL, 'PTHR14256', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE MLRQ SUBUNIT', NULL, NULL, 14788, 15),
(110306, NULL, 'PTHR45333', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110307, NULL, 'PTHR34220:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110308, NULL, 'PTHR36935:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG00261', NULL, NULL, NULL, 15),
(110309, NULL, 'PTHR11377:SF14', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(110310, NULL, 'PTHR31375:SF182', NULL, NULL, NULL, NULL, 'BNAA04G25430D PROTEIN', NULL, NULL, NULL, 15),
(110311, NULL, 'PTHR46057:SF30', NULL, NULL, NULL, NULL, 'OS02G0686700 PROTEIN', NULL, NULL, NULL, 15),
(110312, NULL, 'PTHR33872:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110313, NULL, 'PTHR31472:SF11', NULL, NULL, NULL, NULL, 'F5O8.30 PROTEIN', NULL, NULL, NULL, 15),
(110314, NULL, 'PTHR13715', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR AND IP3 RECEPTOR', NULL, NULL, NULL, 15),
(110315, NULL, 'PTHR24416:SF531', NULL, NULL, NULL, NULL, 'DERAILED 2, ISOFORM B', NULL, NULL, NULL, 15),
(110316, NULL, 'PTHR21622:SF0', NULL, NULL, NULL, NULL, 'AU015836 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110317, NULL, 'PTHR26453:SF173', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T11', NULL, NULL, NULL, 15),
(110318, NULL, 'PTHR45732:SF18', NULL, NULL, NULL, NULL, 'BNAA09G07300D PROTEIN', NULL, NULL, NULL, 15),
(110319, NULL, 'PTHR43321:SF25', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(110320, NULL, 'PTHR23024:SF418', NULL, NULL, NULL, NULL, 'OS09G0462100 PROTEIN', NULL, NULL, NULL, 15),
(110321, NULL, 'PTHR47925:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110322, NULL, 'PTHR12304:SF46', NULL, NULL, NULL, NULL, 'INOSINE-ADENOSINE-GUANOSINE-NUCLEOSIDE HYDROLASE', NULL, NULL, NULL, 15),
(110323, NULL, 'PTHR30349:SF67', NULL, NULL, NULL, NULL, 'TYROSINE RECOMBINASE XERC', NULL, NULL, NULL, 15),
(110324, NULL, 'PTHR31474:SF17', NULL, NULL, NULL, NULL, 'BNAC03G74500D PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110325, NULL, 'PTHR46128:SF181', NULL, NULL, NULL, NULL, 'BNAC06G12750D PROTEIN', NULL, NULL, NULL, 15),
(110326, NULL, 'PTHR31917:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110327, NULL, 'PTHR14076:SF10', NULL, NULL, NULL, NULL, 'RECEPTOR (G PROTEIN-COUPLED) ACTIVITY-MODIFYING PROTEIN 2', NULL, NULL, NULL, 15),
(110328, NULL, 'PTHR32035:SF3', NULL, NULL, NULL, NULL, 'AURORA KINASE A-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(110329, NULL, 'PTHR16189:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110330, NULL, 'PTHR10848:SF4', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 6 SUBUNIT A', NULL, NULL, NULL, 15),
(110331, NULL, 'PTHR10878:SF25', NULL, NULL, NULL, NULL, 'SEGMENT POLARITY PROTEIN DISHEVELLED', NULL, NULL, 22139, 15),
(110332, NULL, 'PTHR22893:SF110', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 1-RELATED', NULL, NULL, NULL, 15),
(110333, NULL, 'PTHR26379:SF377', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(110334, NULL, 'PTHR24064:SF77', NULL, NULL, NULL, NULL, 'PROTEIN CBG21731', NULL, NULL, NULL, 15),
(110335, NULL, 'PTHR39321', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE ADENYLYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(110336, NULL, 'PTHR24033:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110337, NULL, 'PTHR31352:SF35', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', NULL, NULL, NULL, 15),
(110338, NULL, 'PTHR48100:SF33', NULL, NULL, NULL, NULL, 'HISTIDINE PHOSPHATASE SUPERFAMILY, CLADE-1', NULL, NULL, NULL, 15),
(110339, NULL, 'PTHR21495:SF194', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(110340, NULL, 'PTHR31062:SF225', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(110341, NULL, 'PTHR31061', NULL, NULL, NULL, NULL, 'LD22376P', NULL, NULL, NULL, 15),
(110342, NULL, 'PTHR22798:SF11', NULL, NULL, NULL, NULL, 'MALIGNANT T-CELL-AMPLIFIED SEQUENCE', NULL, NULL, NULL, 15),
(110343, NULL, 'PTHR46965', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 19', NULL, NULL, 38003, 15),
(110344, NULL, 'PTHR45923', NULL, NULL, NULL, NULL, 'PROTEIN SEY1', NULL, NULL, 14277, 15),
(110345, NULL, 'PTHR10139:SF4', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR PROTEIN MRE11', NULL, NULL, NULL, 15),
(110346, NULL, 'PTHR42886:SF55', NULL, NULL, NULL, NULL, 'YALI0E34881P', NULL, NULL, NULL, 15),
(110347, NULL, 'PTHR31371:SF2', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN (DUF668)', NULL, NULL, NULL, 15),
(110348, NULL, 'PTHR43591:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110349, NULL, 'PTHR43344:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(110350, NULL, 'PTHR10126:SF42', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-LIKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(110351, NULL, 'PTHR10209:SF717', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110352, NULL, 'PTHR24023:SF42', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XI) CHAIN', NULL, NULL, NULL, 15),
(110353, NULL, 'PTHR33154:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(110354, NULL, 'PTHR33142:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110355, NULL, 'PTHR21501:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM161A', NULL, NULL, NULL, 15),
(110356, NULL, 'PTHR45988:SF27', NULL, NULL, NULL, NULL, 'OS06G0727000 PROTEIN', NULL, NULL, NULL, 15),
(110357, NULL, 'PTHR13520', NULL, NULL, NULL, NULL, 'RAD50-INTERACTING PROTEIN 1 RINT-1', NULL, NULL, 10842, 15),
(110358, NULL, 'PTHR10131:SF96', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 1', NULL, NULL, 24611, 15),
(110359, NULL, 'PTHR31087:SF71', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 6', NULL, NULL, NULL, 15),
(110360, NULL, 'PTHR24228:SF63', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR MOODY', NULL, NULL, NULL, 15),
(110361, NULL, 'PTHR31251:SF154', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 12 ISOFORM X1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110362, NULL, 'PTHR19376:SF46', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', NULL, NULL, NULL, 15),
(110363, NULL, 'PTHR39640', NULL, NULL, NULL, NULL, 'VNG6129C', NULL, NULL, 12410, 15),
(110364, NULL, 'PTHR13887:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110365, NULL, 'PTHR31391:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110366, NULL, 'PTHR31016:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110367, NULL, 'PTHR44653', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 1', NULL, NULL, NULL, 15),
(110368, NULL, 'PTHR43427:SF10', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(110369, NULL, 'PTHR24062:SF164', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(110370, NULL, 'PTHR24414:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(110371, NULL, 'PTHR35573:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG14359', NULL, NULL, NULL, 15),
(110372, NULL, 'PTHR10510:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A-LIKE-RELATED', NULL, NULL, NULL, 15),
(110373, NULL, 'PTHR47807:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TBF1', NULL, NULL, NULL, 15),
(110374, NULL, 'PTHR43386:SF7', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM, PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(110375, NULL, 'PTHR14140:SF35', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ORTHRUS 2-LIKE', NULL, NULL, NULL, 15),
(110376, NULL, 'PTHR22814:SF300', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110377, NULL, 'PTHR15907:SF142', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(110378, NULL, 'PTHR33057:SF78', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP8', NULL, NULL, NULL, 15),
(110379, NULL, 'PTHR31062:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110380, NULL, 'PTHR37458', NULL, NULL, NULL, NULL, 'THISBE', NULL, NULL, NULL, 15),
(110381, NULL, 'PTHR33434:SF2', NULL, NULL, NULL, NULL, 'DEGV DOMAIN-CONTAINING PROTEIN DR_1986', NULL, NULL, NULL, 15),
(110382, NULL, 'PTHR23118:SF20', NULL, NULL, NULL, NULL, 'CITRATE LYASE SUBUNIT (EUROFUNG)', NULL, NULL, NULL, 15),
(110383, NULL, 'PTHR45615:SF43', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN 4', NULL, NULL, NULL, 15),
(110384, NULL, 'PTHR11568:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110385, NULL, 'PTHR24147:SF52', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 30B', NULL, NULL, NULL, 15),
(110386, NULL, 'PTHR33119', NULL, NULL, NULL, NULL, 'IFI3P', NULL, NULL, 22640, 15),
(110387, NULL, 'PTHR43700:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINOIMIDAZOLE-SUCCINOCARBOXAMIDE SYNTHASE', NULL, NULL, NULL, 15),
(110388, NULL, 'PTHR24072:SF352', NULL, NULL, NULL, NULL, 'BNAC03G48060D PROTEIN', NULL, NULL, NULL, 15),
(110389, NULL, 'PTHR45907:SF17', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', NULL, NULL, NULL, 15),
(110390, NULL, 'PTHR16840:SF7', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC 1A-RELATED', NULL, NULL, NULL, 15),
(110391, NULL, 'PTHR30328:SF54', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR SCO4008', NULL, NULL, NULL, 15),
(110392, NULL, 'PTHR31635', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110393, NULL, 'PTHR33128:SF37', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(110394, NULL, 'PTHR24286:SF308', NULL, NULL, NULL, NULL, 'BNAA09G42330D PROTEIN', NULL, NULL, NULL, 15),
(110395, NULL, 'PTHR12113:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110396, NULL, 'PTHR24281:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110397, NULL, 'PTHR31953:SF55', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE PROTEIN', NULL, NULL, NULL, 15),
(110398, NULL, 'PTHR23227:SF45', NULL, NULL, NULL, NULL, 'SWR1-COMPLEX PROTEIN 5', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110399, NULL, 'PTHR10972', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED', NULL, NULL, 4124, 15),
(110400, NULL, 'PTHR31495:SF15', NULL, NULL, NULL, NULL, 'CALEOSIN', NULL, NULL, NULL, 15),
(110401, NULL, 'PTHR12537:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110402, NULL, 'PTHR46560:SF1', NULL, NULL, NULL, NULL, 'MINIATURE', NULL, NULL, NULL, 15),
(110403, NULL, 'PTHR11814:SF226', NULL, NULL, NULL, NULL, 'LOW AFFINITY SULFATE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(110404, NULL, 'PTHR24052', NULL, NULL, NULL, NULL, 'DELTA-RELATED', NULL, NULL, NULL, 15),
(110405, NULL, 'PTHR24070:SF285', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAPB', NULL, NULL, NULL, 15),
(110406, NULL, 'PTHR21236:SF22', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', NULL, NULL, NULL, 15),
(110407, NULL, 'PTHR21213', NULL, NULL, NULL, NULL, 'GEO09665P1-RELATED', NULL, NULL, 38666, 15),
(110408, NULL, 'PTHR12400:SF47', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE KINASE 2', NULL, NULL, NULL, 15),
(110409, NULL, 'PTHR11096:SF0', NULL, NULL, NULL, NULL, 'RNA 3''-TERMINAL PHOSPHATE CYCLASE', NULL, NULL, 19430, 15),
(110410, NULL, 'PTHR24384:SF92', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 90', NULL, NULL, NULL, 15),
(110411, NULL, 'PTHR23064:SF18', NULL, NULL, NULL, NULL, 'SARCOPLASMIC CALCIUM-BINDING PROTEIN, ISOFORM C', NULL, NULL, NULL, 15),
(110412, NULL, 'PTHR43180:SF76', NULL, NULL, NULL, NULL, 'BNAA06G32670D PROTEIN', NULL, NULL, NULL, 15),
(110413, NULL, 'PTHR47463:SF2', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP16', NULL, NULL, NULL, 15),
(110414, NULL, 'PTHR22926', NULL, NULL, NULL, NULL, 'PHOSPHO-N-ACETYLMURAMOYL-PENTAPEPTIDE-TRANSFERASE', NULL, NULL, 3743, 15),
(110415, NULL, 'PTHR43541:SF2', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(110416, NULL, 'PTHR10663:SF315', NULL, NULL, NULL, NULL, 'CYTOHESIN 4A-RELATED', NULL, NULL, NULL, 15),
(110417, NULL, 'PTHR19422:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110418, NULL, 'PTHR13016:SF0', NULL, NULL, NULL, NULL, 'ALPORT SYNDROME, MENTAL RETARDATION, MIDFACE HYPOPLASIA AND ELLIPTOCYTOSIS CHROMOSOMAL REGION GENE 1 HOMOLOG (HUMAN)', NULL, NULL, NULL, 15),
(110419, NULL, 'PTHR15977:SF15', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 46', NULL, NULL, NULL, 15),
(110420, NULL, 'PTHR47978:SF34', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(110421, NULL, 'PTHR32468:SF146', NULL, NULL, NULL, NULL, 'BNAA01G13360D PROTEIN', NULL, NULL, NULL, 15),
(110422, NULL, 'PTHR31960:SF22', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A12', NULL, NULL, NULL, 15),
(110423, NULL, 'PTHR33136:SF35', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 33', NULL, NULL, NULL, 15),
(110424, NULL, 'PTHR47933:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110425, NULL, 'PTHR10972:SF156', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 3A-LIKE', NULL, NULL, NULL, 15),
(110426, NULL, 'PTHR23105:SF154', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10A', NULL, NULL, NULL, 15),
(110427, NULL, 'PTHR33736:SF24', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110428, NULL, 'PTHR10366:SF644', NULL, NULL, NULL, NULL, 'LEUCOANTHOCYANIDIN REDUCTASE', NULL, NULL, NULL, 15),
(110429, NULL, 'PTHR12411:SF310', NULL, NULL, NULL, NULL, 'GUT-SPECIFIC CYSTEINE PROTEINASE', NULL, NULL, NULL, 15),
(110430, NULL, 'PTHR33970:SF2', NULL, NULL, NULL, NULL, 'OS01G0716400 PROTEIN', NULL, NULL, NULL, 15),
(110431, NULL, 'PTHR36376:SF1', NULL, NULL, NULL, NULL, 'OS09G0514700 PROTEIN', NULL, NULL, NULL, 15),
(110432, NULL, 'PTHR10799:SF986', NULL, NULL, NULL, NULL, 'OS05G0150300 PROTEIN', NULL, NULL, NULL, 15),
(110433, NULL, 'PTHR47993:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110434, NULL, 'PTHR34491:SF21', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN 1', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110435, NULL, 'PTHR33403:SF29', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1', NULL, NULL, NULL, 15),
(110436, NULL, 'PTHR30026:SF5', NULL, NULL, NULL, NULL, 'ABC-TYPE EFFLUX SYSTEM SECRETIN COMPONENT', NULL, NULL, NULL, 15),
(110437, NULL, 'PTHR47642:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(110438, NULL, 'PTHR10334:SF377', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(110439, NULL, 'PTHR31356:SF48', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 7, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(110440, NULL, 'PTHR36044:SF1', NULL, NULL, NULL, NULL, 'HEME BINDING PROTEIN', NULL, NULL, NULL, 15),
(110441, NULL, 'PTHR11003:SF297', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(110442, NULL, 'PTHR23105:SF170', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L7AE/L30E/S12E/GADD45 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(110443, NULL, 'PTHR40455:SF1', NULL, NULL, NULL, NULL, 'ANTITOXIN HIGA', NULL, NULL, NULL, 15),
(110444, NULL, 'PTHR26453:SF639', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2M2', NULL, NULL, NULL, 15),
(110445, NULL, 'PTHR11654:SF196', NULL, NULL, NULL, NULL, 'OS05G0410900 PROTEIN', NULL, NULL, NULL, 15),
(110446, NULL, 'PTHR19367:SF16', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 8-4', NULL, NULL, NULL, 15),
(110447, NULL, 'PTHR11394:SF52', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 38', NULL, NULL, 25421, 15),
(110448, NULL, 'PTHR33694', NULL, NULL, NULL, NULL, 'UDP-3-O-ACYL-N-ACETYLGLUCOSAMINE DEACETYLASE 1, MITOCHONDRIAL-RELATED', NULL, NULL, 7391, 15),
(110449, NULL, 'PTHR45926:SF17', NULL, NULL, NULL, NULL, 'OS02G0250300 PROTEIN', NULL, NULL, NULL, 15),
(110450, NULL, 'PTHR15933:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG16327', NULL, NULL, NULL, 15),
(110451, NULL, 'PTHR31234:SF50', NULL, NULL, NULL, NULL, 'BNAA06G35170D PROTEIN', NULL, NULL, NULL, 15),
(110452, NULL, 'PTHR43196', NULL, NULL, NULL, NULL, 'SULFATE ADENYLYLTRANSFERASE SUBUNIT 2', NULL, NULL, NULL, 15),
(110453, NULL, 'PTHR19211:SF122', NULL, NULL, NULL, NULL, 'OS08G0564100 PROTEIN', NULL, NULL, NULL, 15),
(110454, NULL, 'PTHR38600', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(110455, NULL, 'PTHR47977:SF36', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA4D-LIKE', NULL, NULL, NULL, 15),
(110456, NULL, 'PTHR11909:SF413', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110457, NULL, 'PTHR46353:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 6', NULL, NULL, NULL, 15),
(110458, NULL, 'PTHR35547:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110459, NULL, 'PTHR37278', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 33-RELATED', NULL, NULL, NULL, 15),
(110460, NULL, 'PTHR43866:SF9', NULL, NULL, NULL, NULL, 'METHYLMALONATE-SEMIALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(110461, NULL, 'PTHR47928:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BIM2', NULL, NULL, NULL, 15),
(110462, NULL, 'PTHR47997:SF46', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110463, NULL, 'PTHR31790:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110464, NULL, 'PTHR32212:SF279', NULL, NULL, NULL, NULL, 'BNAA09G45230D PROTEIN', NULL, NULL, NULL, 15),
(110465, NULL, 'PTHR10168:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110466, NULL, 'PTHR24256:SF458', NULL, NULL, NULL, NULL, 'IP10114P-RELATED', NULL, NULL, NULL, 15),
(110467, NULL, 'PTHR35488:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110468, NULL, 'PTHR33110:SF88', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(110469, NULL, 'PTHR12027:SF77', NULL, NULL, NULL, NULL, 'PROTEIN WNT-5', NULL, NULL, NULL, 15),
(110470, NULL, 'PTHR43422:SF9', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(110471, NULL, 'PTHR31805:SF22', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 27-LIKE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110472, NULL, 'PTHR31707:SF322', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(110473, NULL, 'PTHR11528:SF34', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 83', NULL, NULL, NULL, 15),
(110474, NULL, 'PTHR27000:SF717', NULL, NULL, NULL, NULL, 'CF2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(110475, NULL, 'PTHR12745:SF4', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TUMORIGENICITY 7 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(110476, NULL, 'PTHR30454:SF0', NULL, NULL, NULL, NULL, '4-HYDROXY-3-METHYLBUT-2-EN-1-YL DIPHOSPHATE SYNTHASE (FERREDOXIN), CHLOROPLASTIC', NULL, NULL, NULL, 15),
(110477, NULL, 'PTHR23244:SF405', NULL, NULL, NULL, NULL, 'TIP ELONGATION ABERRANT PROTEIN 3', NULL, NULL, NULL, 15),
(110478, NULL, 'PTHR11639:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110479, NULL, 'PTHR48222', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR, PROPEPTIDE', NULL, NULL, NULL, 15),
(110480, NULL, 'PTHR10516:SF429', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP1B', NULL, NULL, NULL, 15),
(110481, NULL, 'PTHR11603:SF132', NULL, NULL, NULL, NULL, 'MOXR PROTEIN', NULL, NULL, NULL, 15),
(110482, NULL, 'PTHR36769:SF1', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-DEPENDENT PHOSPHOGLYCERATE MUTASE', NULL, NULL, NULL, 15),
(110483, NULL, 'PTHR24322:SF731', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 10', NULL, NULL, 24755, 15),
(110484, NULL, 'PTHR45704:SF13', NULL, NULL, NULL, NULL, 'SI:DKEYP-59C12.1', NULL, NULL, NULL, 15),
(110485, NULL, 'PTHR12542:SF81', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(110486, NULL, 'PTHR14360:SF18', NULL, NULL, NULL, NULL, 'COILED-COIL 90B-LIKE PROTEIN (DUF1640)', NULL, NULL, NULL, 15),
(110487, NULL, 'PTHR10177:SF442', NULL, NULL, NULL, NULL, 'CYCLIN-B1-1', NULL, NULL, NULL, 15),
(110488, NULL, 'PTHR14440', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA49', NULL, NULL, 11555, 15),
(110489, NULL, 'PTHR45798:SF71', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL80-LIKE', NULL, NULL, NULL, 15),
(110490, NULL, 'PTHR13683:SF561', NULL, NULL, NULL, NULL, 'PEPSINOGEN C', NULL, NULL, NULL, 15),
(110491, NULL, 'PTHR12050:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 55 HOMOLOG', NULL, NULL, NULL, 15),
(110492, NULL, 'PTHR48049:SF26', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(110493, NULL, 'PTHR11654:SF543', NULL, NULL, NULL, NULL, 'BNAA09G17780D PROTEIN', NULL, NULL, NULL, 15),
(110494, NULL, 'PTHR31048:SF172', NULL, NULL, NULL, NULL, 'THAUMATIN-RELATED', NULL, NULL, NULL, 15),
(110495, NULL, 'PTHR11003:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110496, NULL, 'PTHR31898:SF6', NULL, NULL, NULL, NULL, 'BNAC02G33810D PROTEIN', NULL, NULL, NULL, 15),
(110497, NULL, 'PTHR46914:SF1', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(110498, NULL, 'PTHR18949', NULL, NULL, NULL, NULL, 'CALDESMON', NULL, NULL, 1021, 15),
(110499, NULL, 'PTHR33824:SF4', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(110500, NULL, 'PTHR10257:SF78', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(110501, NULL, 'PTHR38781', NULL, NULL, NULL, NULL, 'ANTITOXIN DINJ-RELATED', NULL, NULL, 5405, 15),
(110502, NULL, 'PTHR33078:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110503, NULL, 'PTHR23015', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED C.ELEGANS PROTEIN', NULL, NULL, 33016, 15),
(110504, NULL, 'PTHR22945:SF87', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(110505, NULL, 'PTHR23235:SF99', NULL, NULL, NULL, NULL, 'KRUPPEL-LIKE FACTOR 9', NULL, NULL, NULL, 15),
(110506, NULL, 'PTHR36941:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG01628', NULL, NULL, NULL, 15),
(110507, NULL, 'PTHR22849:SF131', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110508, NULL, 'PTHR43364:SF4', NULL, NULL, NULL, NULL, 'ARYL-ALCOHOL DEHYDROGENASE AAD16-RELATED', NULL, NULL, NULL, 15),
(110509, NULL, 'PTHR32191:SF73', NULL, NULL, NULL, NULL, 'BNAA09G41810D PROTEIN', NULL, NULL, NULL, 15),
(110510, NULL, 'PTHR47928:SF105', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(110511, NULL, 'PTHR17630:SF94', NULL, NULL, NULL, NULL, 'ENDO-1,31,4-BETA-D-GLUCANASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(110512, NULL, 'PTHR46128:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110513, NULL, 'PTHR18945:SF852', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', NULL, NULL, NULL, 15),
(110514, NULL, 'PTHR31097:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-276J7.1', NULL, NULL, NULL, 15),
(110515, NULL, 'PTHR10872:SF3', NULL, NULL, NULL, NULL, 'SH2B ADAPTER PROTEIN 1', NULL, NULL, 26019, 15),
(110516, NULL, 'PTHR11527:SF265', NULL, NULL, NULL, NULL, '17.4 KDA CLASS I HEAT SHOCK PROTEIN 3', NULL, NULL, NULL, 15),
(110517, NULL, 'PTHR40289', NULL, NULL, NULL, NULL, 'PROTEIN CBG04714', NULL, NULL, 38336, 15),
(110518, NULL, 'PTHR16198:SF2', NULL, NULL, NULL, NULL, 'INO80 COMPLEX SUBUNIT D', NULL, NULL, NULL, 15),
(110519, NULL, 'PTHR43655:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG12981', NULL, NULL, NULL, 15),
(110520, NULL, 'PTHR10996:SF224', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05760)-RELATED', NULL, NULL, NULL, 15),
(110521, NULL, 'PTHR10108:SF1082', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(110522, NULL, 'PTHR47958:SF5', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 14', NULL, NULL, NULL, 15),
(110523, NULL, 'PTHR33086:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110524, NULL, 'PTHR33830:SF15', NULL, NULL, NULL, NULL, 'BNACNNG13530D PROTEIN', NULL, NULL, NULL, 15),
(110525, NULL, 'PTHR42973:SF25', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE ACCESSORY SUBUNIT 2', NULL, NULL, NULL, 15),
(110526, NULL, 'PTHR33086:SF58', NULL, NULL, NULL, NULL, 'OS01G0245901 PROTEIN', NULL, NULL, NULL, 15),
(110527, NULL, 'PTHR47999:SF16', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN ZM38', NULL, NULL, NULL, 15),
(110528, NULL, 'PTHR10288:SF101', NULL, NULL, NULL, NULL, 'FAR UPSTREAM ELEMENT-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(110529, NULL, 'PTHR47647:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 12 MEMBER A', NULL, NULL, NULL, 15),
(110530, NULL, 'PTHR33376:SF17', NULL, NULL, NULL, NULL, 'DICARBOXYLATE-BINDING PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110531, NULL, 'PTHR22601:SF13', NULL, NULL, NULL, NULL, 'OSJNBA0009P12.37 PROTEIN', NULL, NULL, NULL, 15),
(110532, NULL, 'PTHR31741:SF46', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 27', NULL, NULL, NULL, 15),
(110533, NULL, 'PTHR34052:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110534, NULL, 'PTHR21496:SF22', NULL, NULL, NULL, NULL, '3-PHENYLPROPIONATE/CINNAMIC ACID DIOXYGENASE FERREDOXIN SUBUNIT', NULL, NULL, NULL, 15),
(110535, NULL, 'PTHR45642:SF95', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(110536, NULL, 'PTHR31251:SF81', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(110537, NULL, 'PTHR10405:SF32', NULL, NULL, NULL, NULL, 'SPINDLIN-2C', NULL, NULL, 22106, 15),
(110538, NULL, 'PTHR11527:SF309', NULL, NULL, NULL, NULL, '17.3 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(110539, NULL, 'PTHR23257:SF788', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', NULL, NULL, NULL, 15),
(110540, NULL, 'PTHR33398:SF6', NULL, NULL, NULL, NULL, 'BNAA01G28980D PROTEIN', NULL, NULL, NULL, 15),
(110541, NULL, 'PTHR22883:SF376', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(110542, NULL, 'PTHR33265:SF5', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', NULL, NULL, NULL, 15),
(110543, NULL, 'PTHR15240:SF2', NULL, NULL, NULL, NULL, 'CAVEOLAE-ASSOCIATED PROTEIN 3', NULL, NULL, 31178, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110544, NULL, 'PTHR15556:SF3', NULL, NULL, NULL, NULL, 'EP300-INTERACTING INHIBITOR OF DIFFERENTIATION 2', NULL, NULL, 34006, 15),
(110545, NULL, 'PTHR11926:SF876', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 75B1-RELATED', NULL, NULL, NULL, 15),
(110546, NULL, 'PTHR47992:SF137', NULL, NULL, NULL, NULL, 'BNAC01G31380D PROTEIN', NULL, NULL, NULL, 15),
(110547, NULL, 'PTHR31126:SF54', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE DSP2', NULL, NULL, NULL, 15),
(110548, NULL, 'PTHR11472:SF47', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP J PROTEIN', NULL, NULL, NULL, 15),
(110549, NULL, 'PTHR47622:SF1', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(110550, NULL, 'PTHR30135', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YVCK-RELATED', NULL, NULL, 10949, 15),
(110551, NULL, 'PTHR32196:SF21', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YPHD-RELATED', NULL, NULL, NULL, 15),
(110552, NULL, 'PTHR10410:SF23', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(110553, NULL, 'PTHR35299:SF4', NULL, NULL, NULL, NULL, 'RUBISCO ACCUMULATION FACTOR 1.1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(110554, NULL, 'PTHR31251:SF125', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, SBP-BOX-RELATED', NULL, NULL, NULL, 15),
(110555, NULL, 'PTHR21258:SF43', NULL, NULL, NULL, NULL, 'DOCKING PROTEIN 6', NULL, NULL, NULL, 15),
(110556, NULL, 'PTHR33990', NULL, NULL, NULL, NULL, 'PROTEIN YJDN-RELATED', NULL, NULL, NULL, 15),
(110557, NULL, 'PTHR13341:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG09064', NULL, NULL, NULL, 15),
(110558, NULL, 'PTHR10891:SF892', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML28-RELATED', NULL, NULL, NULL, 15),
(110559, NULL, 'PTHR34657:SF9', NULL, NULL, NULL, NULL, 'EMBRYO SAC DEVELOPMENT ARREST PROTEIN', NULL, NULL, NULL, 15),
(110560, NULL, 'PTHR31319:SF44', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 2', NULL, NULL, NULL, 15),
(110561, NULL, 'PTHR43410', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE OXYGENASE', NULL, NULL, NULL, 15),
(110562, NULL, 'PTHR46619:SF3', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF XS DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(110563, NULL, 'PTHR24062:SF167', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 42-RELATED', NULL, NULL, NULL, 15),
(110564, NULL, 'PTHR10196:SF46', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE 2', NULL, NULL, NULL, 15),
(110565, NULL, 'PTHR34657:SF10', NULL, NULL, NULL, NULL, 'F21M11.6 PROTEIN', NULL, NULL, NULL, 15),
(110566, NULL, 'PTHR10638:SF80', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(110567, NULL, 'PTHR13789:SF314', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(110568, NULL, 'PTHR22546:SF0', NULL, NULL, NULL, NULL, 'PROTEIN POF1B', NULL, NULL, NULL, 15),
(110569, NULL, 'PTHR31451:SF10', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE B', NULL, NULL, NULL, 15),
(110570, NULL, 'PTHR33136:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110571, NULL, 'PTHR38608:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG03806', NULL, NULL, NULL, 15),
(110572, NULL, 'PTHR13152', NULL, NULL, NULL, NULL, 'TFIIH, POLYPEPTIDE 4', NULL, NULL, 731, 15),
(110573, NULL, 'PTHR46913:SF13', NULL, NULL, NULL, NULL, 'BNACNNG28620D PROTEIN', NULL, NULL, NULL, 15),
(110574, NULL, 'PTHR12084:SF12', NULL, NULL, NULL, NULL, 'NUCLEAR PORE GLYCOPROTEIN P62', NULL, NULL, 34580, 15),
(110575, NULL, 'PTHR21448', NULL, NULL, NULL, NULL, 'SMOOTH MUSCLE MYOSIN HEAVY CHAIN-RELATED', NULL, NULL, 33704, 15),
(110576, NULL, 'PTHR46910:SF25', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(110577, NULL, 'PTHR48200:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(110578, NULL, 'PTHR24390:SF39', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 662', NULL, NULL, NULL, 15),
(110579, NULL, 'PTHR34684', NULL, NULL, NULL, NULL, 'OS08G0192200 PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110580, NULL, 'PTHR10336:SF154', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C 2', NULL, NULL, NULL, 15),
(110581, NULL, 'PTHR46128:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110582, NULL, 'PTHR47991:SF67', NULL, NULL, NULL, NULL, 'KAR-UP OXIDOREDUCTASE 1', NULL, NULL, NULL, 15),
(110583, NULL, 'PTHR11954:SF38', NULL, NULL, NULL, NULL, 'MACROPHAGE MIGRATION INHIBITION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(110584, NULL, 'PTHR31879:SF2', NULL, NULL, NULL, NULL, 'DET1- AND DDB1-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(110585, NULL, 'PTHR30332:SF5', NULL, NULL, NULL, NULL, 'PROTEIN INVG', NULL, NULL, NULL, 15),
(110586, NULL, 'PTHR45682:SF8', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 26', NULL, NULL, NULL, 15),
(110587, NULL, 'PTHR24064:SF449', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 7B, TANDEM DUPLICATE 1-RELATED', NULL, NULL, NULL, 15),
(110588, NULL, 'PTHR47967:SF66', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE CDR1-RELATED', NULL, NULL, NULL, 15),
(110589, NULL, 'PTHR12025:SF1', NULL, NULL, NULL, NULL, 'PRENYLTRANSFERASE ASQH1-RELATED', NULL, NULL, NULL, 15),
(110590, NULL, 'PTHR27009:SF120', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE4', NULL, NULL, NULL, 15),
(110591, NULL, 'PTHR35572:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG13288', NULL, NULL, NULL, 15),
(110592, NULL, 'PTHR12141:SF5', NULL, NULL, NULL, NULL, 'ARFAPTIN', NULL, NULL, NULL, 15),
(110593, NULL, 'PTHR26453:SF105', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(110594, NULL, 'PTHR31755', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR-LIKE', NULL, NULL, 33536, 15),
(110595, NULL, 'PTHR43379:SF5', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE 1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(110596, NULL, 'PTHR42898:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110597, NULL, 'PTHR31642:SF176', NULL, NULL, NULL, NULL, 'ROSMARINATE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(110598, NULL, 'PTHR37725:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110599, NULL, 'PTHR45923:SF16', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', NULL, NULL, NULL, 15),
(110600, NULL, 'PTHR31169:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110601, NULL, 'PTHR14614:SF104', NULL, NULL, NULL, NULL, 'N-METHYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17750)-RELATED', NULL, NULL, NULL, 15),
(110602, NULL, 'PTHR46387:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110603, NULL, 'PTHR37900:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110604, NULL, 'PTHR28664:SF3', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION-ASSOCIATED PROTEIN 1', NULL, NULL, 22306, 15),
(110605, NULL, 'PTHR38766', NULL, NULL, NULL, NULL, 'FLAGELLAR PROTEIN FLIO', NULL, NULL, NULL, 15),
(110606, NULL, 'PTHR23070:SF139', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110607, NULL, 'PTHR35547:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110608, NULL, 'PTHR48105:SF24', NULL, NULL, NULL, NULL, 'GLUTATHIONE REDUCTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(110609, NULL, 'PTHR11315:SF1', NULL, NULL, NULL, NULL, 'FOLATE GAMMA-GLUTAMYL HYDROLASE', NULL, NULL, NULL, 15),
(110610, NULL, 'PTHR12276:SF99', NULL, NULL, NULL, NULL, 'EPSIN-2-LIKE', NULL, NULL, NULL, 15),
(110611, NULL, 'PTHR32444:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110612, NULL, 'PTHR46221', NULL, NULL, NULL, NULL, 'FERM AND PDZ DOMAIN-CONTAINING PROTEIN FAMILY MEMBER', NULL, NULL, NULL, 15),
(110613, NULL, 'PTHR24249:SF30', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 2', NULL, NULL, NULL, 15),
(110614, NULL, 'PTHR48011:SF19', NULL, NULL, NULL, NULL, 'BNAC08G04610D PROTEIN', NULL, NULL, NULL, 15),
(110615, NULL, 'PTHR47469:SF2', NULL, NULL, NULL, NULL, 'MONOOXYGENASE-LIKE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110616, NULL, 'PTHR48165', NULL, NULL, NULL, NULL, 'BNAC03G44900D PROTEIN', NULL, NULL, NULL, 15),
(110617, NULL, 'PTHR47998:SF30', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(110618, NULL, 'PTHR47974:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110619, NULL, 'PTHR46685', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S15, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(110620, NULL, 'PTHR11849:SF156', NULL, NULL, NULL, NULL, 'ETS-RELATED TRANSCRIPTION FACTOR ELF-1', NULL, NULL, NULL, 15),
(110621, NULL, 'PTHR47985:SF48', NULL, NULL, NULL, NULL, 'CGMP-DEPENDENT KINASE, CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110622, NULL, 'PTHR11259:SF1', NULL, NULL, NULL, NULL, 'RAS-RELATED GTP-BINDING A', NULL, NULL, NULL, 15),
(110623, NULL, 'PTHR11903:SF8', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN G/H SYNTHASE 2', NULL, NULL, 26718, 15),
(110624, NULL, 'PTHR31625:SF72', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(110625, NULL, 'PTHR32341:SF7', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCIBLE GTPASE 5', NULL, NULL, NULL, 15),
(110626, NULL, 'PTHR43775:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110627, NULL, 'PTHR31325:SF124', NULL, NULL, NULL, NULL, 'OS06G0119300 PROTEIN', NULL, NULL, NULL, 15),
(110628, NULL, 'PTHR27005:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110629, NULL, 'PTHR12596:SF15', NULL, NULL, NULL, NULL, 'ARMADILLO/BETA-CATENIN-LIKE REPEAT PROTEIN', NULL, NULL, NULL, 15),
(110630, NULL, 'PTHR24373:SF344', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA ACTIVATOR LRRC32', NULL, NULL, NULL, 15),
(110631, NULL, 'PTHR13683:SF783', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(110632, NULL, 'PTHR16517:SF98', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(110633, NULL, 'PTHR10067', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE DECARBOXYLASE', NULL, NULL, 3498, 15),
(110634, NULL, 'PTHR44566:SF1', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(110635, NULL, 'PTHR22957:SF571', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 6', NULL, NULL, NULL, 15),
(110636, NULL, 'PTHR43806:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110637, NULL, 'PTHR21324:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 150C', NULL, NULL, NULL, 15),
(110638, NULL, 'PTHR21229:SF16', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 87B', NULL, NULL, NULL, 15),
(110639, NULL, 'PTHR46082:SF9', NULL, NULL, NULL, NULL, 'ORF-RELATED', NULL, NULL, NULL, 15),
(110640, NULL, 'PTHR24214:SF55', NULL, NULL, NULL, NULL, 'Z BAND ALTERNATIVELY SPLICED PDZ-MOTIF PROTEIN 66, ISOFORM E', NULL, NULL, NULL, 15),
(110641, NULL, 'PTHR46816:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110642, NULL, 'PTHR11711:SF369', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR C1', NULL, NULL, NULL, 15),
(110643, NULL, 'PTHR19308:SF37', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(110644, NULL, 'PTHR12683:SF13', NULL, NULL, NULL, NULL, 'CDK-ACTIVATING KINASE ASSEMBLY FACTOR MAT1', NULL, NULL, 825, 15),
(110645, NULL, 'PTHR22939:SF108', NULL, NULL, NULL, NULL, 'PERIPLASMIC SERINE ENDOPROTEASE DEGP-LIKE', NULL, NULL, NULL, 15),
(110646, NULL, 'PTHR47837:SF2', NULL, NULL, NULL, NULL, 'GTP PYROPHOSPHOKINASE YWAC', NULL, NULL, NULL, 15),
(110647, NULL, 'PTHR45886:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(110648, NULL, 'PTHR47992:SF110', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-LIKE PROTEIN 44-RELATED', NULL, NULL, NULL, 15),
(110649, NULL, 'PTHR27002:SF831', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE B120', NULL, NULL, NULL, 15),
(110650, NULL, 'PTHR31549:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110651, NULL, 'PTHR21600:SF63', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(110652, NULL, 'PTHR19317:SF75', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(110653, NULL, 'PTHR26452:SF65', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(110654, NULL, 'PTHR19964:SF35', NULL, NULL, NULL, NULL, 'SI:DKEYP-72E1.9', NULL, NULL, NULL, 15),
(110655, NULL, 'PTHR17314:SF0', NULL, NULL, NULL, NULL, 'REGULATED ENDOCRINE-SPECIFIC PROTEIN 18', NULL, NULL, NULL, 15),
(110656, NULL, 'PTHR11669:SF8', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT DELTA''', NULL, NULL, NULL, 15),
(110657, NULL, 'PTHR45826:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110658, NULL, 'PTHR46070:SF2', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 5A', NULL, NULL, NULL, 15),
(110659, NULL, 'PTHR43852:SF3', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(110660, NULL, 'PTHR13906:SF6', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(110661, NULL, 'PTHR31451:SF54', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 6', NULL, NULL, NULL, 15),
(110662, NULL, 'PTHR10578:SF85', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(110663, NULL, 'PTHR15494:SF0', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING TYROSINE PHOSPHORYLATION-REGULATED PROTEIN', NULL, NULL, NULL, 15),
(110664, NULL, 'PTHR37904:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110665, NULL, 'PTHR11945:SF519', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL30', NULL, NULL, NULL, 15),
(110666, NULL, 'PTHR23041:SF78', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF4', NULL, NULL, NULL, 15),
(110667, NULL, 'PTHR38105:SF5', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110668, NULL, 'PTHR23095:SF45', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN-LIKE PROTEIN 8B', NULL, NULL, NULL, 15),
(110669, NULL, 'PTHR10556:SF52', NULL, NULL, NULL, NULL, 'BNAC02G06360D PROTEIN', NULL, NULL, NULL, 15),
(110670, NULL, 'PTHR46426', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE TMX3', NULL, NULL, NULL, 15),
(110671, NULL, 'PTHR22870:SF91', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY WITH FYVE ZINC FINGER DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(110672, NULL, 'PTHR42700:SF3', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL SAT/APS KINASE-RELATED', NULL, NULL, NULL, 15),
(110673, NULL, 'PTHR18884:SF123', NULL, NULL, NULL, NULL, 'SEPTIN-7', NULL, NULL, NULL, 15),
(110674, NULL, 'PTHR23310:SF104', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A BINDING PROTEIN', NULL, NULL, NULL, 15),
(110675, NULL, 'PTHR11062:SF281', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(110676, NULL, 'PTHR13429:SF10', NULL, NULL, NULL, NULL, 'PROTEIN EXPANDED', NULL, NULL, NULL, 15),
(110677, NULL, 'PTHR37429:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG04774', NULL, NULL, NULL, 15),
(110678, NULL, 'PTHR32246:SF131', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110679, NULL, 'PTHR24282:SF224', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 734A1', NULL, NULL, NULL, 15),
(110680, NULL, 'PTHR31790:SF303', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(110681, NULL, 'PTHR13832:SF765', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 17-RELATED', NULL, NULL, NULL, 15),
(110682, NULL, 'PTHR13112:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS 3B', NULL, NULL, NULL, 15),
(110683, NULL, 'PTHR21600:SF59', NULL, NULL, NULL, NULL, 'PSEUDOURIDYLATE SYNTHASE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(110684, NULL, 'PTHR31912:SF31', NULL, NULL, NULL, NULL, 'SI:CH211-111E20.1-RELATED', NULL, NULL, NULL, 15),
(110685, NULL, 'PTHR18953:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110686, NULL, 'PTHR31391:SF63', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0723500', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110687, NULL, 'PTHR31989:SF312', NULL, NULL, NULL, NULL, 'OS01G0339500 PROTEIN', NULL, NULL, NULL, 15),
(110688, NULL, 'PTHR44129:SF1', NULL, NULL, NULL, NULL, 'LISSENCEPHALY-1 HOMOLOG A', NULL, NULL, NULL, 15),
(110689, NULL, 'PTHR30614:SF20', NULL, NULL, NULL, NULL, 'GLUTAMINE TRANSPORT SYSTEM PERMEASE PROTEIN GLNP', NULL, NULL, NULL, 15),
(110690, NULL, 'PTHR31374:SF215', NULL, NULL, NULL, NULL, 'SAUR33-AUXIN-RESPONSIVE SAUR FAMILY MEMBER', NULL, NULL, NULL, 15),
(110691, NULL, 'PTHR46864:SF1', NULL, NULL, NULL, NULL, 'LAFORIN', NULL, NULL, NULL, 15),
(110692, NULL, 'PTHR23172:SF4', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE AUXILIN-RELATED', NULL, NULL, NULL, 15),
(110693, NULL, 'PTHR19376', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', NULL, NULL, 36697, 15),
(110694, NULL, 'PTHR47518:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(110695, NULL, 'PTHR46672:SF1', NULL, NULL, NULL, NULL, 'OS08G0103600 PROTEIN', NULL, NULL, NULL, 15),
(110696, NULL, 'PTHR34042', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP17', NULL, NULL, 37625, 15),
(110697, NULL, 'PTHR37520:SF1', NULL, NULL, NULL, NULL, 'INTRON-ENCODED DNA ENDONUCLEASE AI2A-RELATED', NULL, NULL, NULL, 15),
(110698, NULL, 'PTHR31132', NULL, NULL, NULL, NULL, 'N-LYSINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(110699, NULL, 'PTHR31218:SF325', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(110700, NULL, 'PTHR22800:SF246', NULL, NULL, NULL, NULL, 'NATURAL KILLER CELLS ANTIGEN CD94', NULL, NULL, NULL, 15),
(110701, NULL, 'PTHR37187:SF11', NULL, NULL, NULL, NULL, 'BNAA04G20080D PROTEIN', NULL, NULL, NULL, 15),
(110702, NULL, 'PTHR34197:SF9', NULL, NULL, NULL, NULL, 'BNAA06G33530D PROTEIN', NULL, NULL, NULL, 15),
(110703, NULL, 'PTHR47925:SF13', NULL, NULL, NULL, NULL, 'BNAA06G40540D PROTEIN', NULL, NULL, NULL, 15),
(110704, NULL, 'PTHR46841', NULL, NULL, NULL, NULL, 'OX-2 MEMBRANE GLYCOPROTEIN', NULL, NULL, NULL, 15),
(110705, NULL, 'PTHR24240:SF56', NULL, NULL, NULL, NULL, 'OPSIN 5-LIKE 2', NULL, NULL, NULL, 15),
(110706, NULL, 'PTHR11922:SF1', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(110707, NULL, 'PTHR46476:SF11', NULL, NULL, NULL, NULL, 'CHITINASE 1', NULL, NULL, NULL, 15),
(110708, NULL, 'PTHR11324', NULL, NULL, NULL, NULL, 'IL16-RELATED', NULL, NULL, NULL, 15),
(110709, NULL, 'PTHR13389:SF0', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 3', NULL, NULL, NULL, 15),
(110710, NULL, 'PTHR24115:SF604', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN CG14535', NULL, NULL, NULL, 15),
(110711, NULL, 'PTHR43065:SF23', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE SENSOR PROTEIN', NULL, NULL, NULL, 15),
(110712, NULL, 'PTHR27005:SF200', NULL, NULL, NULL, NULL, 'OS06G0142500 PROTEIN', NULL, NULL, NULL, 15),
(110713, NULL, 'PTHR23115:SF269', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA 1-RELATED', NULL, NULL, NULL, 15),
(110714, NULL, 'PTHR31734:SF149', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(110715, NULL, 'PTHR36370', NULL, NULL, NULL, NULL, 'THYLAKOID SOLUBLE PHOSPHOPROTEIN', NULL, NULL, 19328, 15),
(110716, NULL, 'PTHR10996:SF216', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3', NULL, NULL, NULL, 15),
(110717, NULL, 'PTHR22930:SF191', NULL, NULL, NULL, NULL, 'ZMP:0000000634', NULL, NULL, NULL, 15),
(110718, NULL, 'PTHR14557:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND UBIQUITIN-LIKE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(110719, NULL, 'PTHR46750', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR 1', NULL, NULL, 37048, 15),
(110720, NULL, 'PTHR23030:SF37', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 23', NULL, NULL, NULL, 15),
(110721, NULL, 'PTHR26379:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110722, NULL, 'PTHR20889:SF15', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE 2', NULL, NULL, NULL, 15),
(110723, NULL, 'PTHR31314:SF127', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110724, NULL, 'PTHR33181:SF39', NULL, NULL, NULL, NULL, 'SSRA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(110725, NULL, 'PTHR11188:SF153', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(110726, NULL, 'PTHR46437', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 5', NULL, NULL, 37861, 15),
(110727, NULL, 'PTHR10795:SF541', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.14', NULL, NULL, NULL, 15),
(110728, NULL, 'PTHR31659:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110729, NULL, 'PTHR13952:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110730, NULL, 'PTHR32448:SF123', NULL, NULL, NULL, NULL, 'TETRAHYDROCANNABINOLIC ACID SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(110731, NULL, 'PTHR37752', NULL, NULL, NULL, NULL, 'OS02G0610700 PROTEIN', NULL, NULL, NULL, 15),
(110732, NULL, 'PTHR48002:SF98', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C46', NULL, NULL, NULL, 15),
(110733, NULL, 'PTHR45654:SF40', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ROC7-LIKE', NULL, NULL, NULL, 15),
(110734, NULL, 'PTHR20934:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(110735, NULL, 'PTHR10687:SF63', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(110736, NULL, 'PTHR19241:SF601', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 50', NULL, NULL, NULL, 15),
(110737, NULL, 'PTHR11514:SF131', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110738, NULL, 'PTHR45640:SF31', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN, ALPHA-CRYSTALLIN-RELATED, B6', NULL, NULL, NULL, 15),
(110739, NULL, 'PTHR26450:SF6', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51T1', NULL, NULL, NULL, 15),
(110740, NULL, 'PTHR12146:SF16', NULL, NULL, NULL, NULL, 'BNAA03G12560D PROTEIN', NULL, NULL, NULL, 15),
(110741, NULL, 'PTHR23102:SF19', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 4-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110742, NULL, 'PTHR45677:SF11', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE 2', NULL, NULL, NULL, 15),
(110743, NULL, 'PTHR24361:SF823', NULL, NULL, NULL, NULL, 'OS02G0787300 PROTEIN', NULL, NULL, NULL, 15),
(110744, NULL, 'PTHR37989:SF31', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(110745, NULL, 'PTHR22751:SF127', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(110746, NULL, 'PTHR31048:SF162', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(110747, NULL, 'PTHR33150:SF1', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX-BINDING PROTEIN EBH', NULL, NULL, NULL, 15),
(110748, NULL, 'PTHR35658', NULL, NULL, NULL, NULL, 'RCG58666, ISOFORM CRA_A', NULL, NULL, 21846, 15),
(110749, NULL, 'PTHR10259', NULL, NULL, NULL, NULL, 'THIOPURINE S-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(110750, NULL, 'PTHR26451:SF871', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(110751, NULL, 'PTHR11467:SF132', NULL, NULL, NULL, NULL, 'LINKER HISTONE H1 AND H5 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(110752, NULL, 'PTHR31907:SF52', NULL, NULL, NULL, NULL, 'MAJOR LATEX PROTEIN', NULL, NULL, NULL, 15),
(110753, NULL, 'PTHR22692:SF30', NULL, NULL, NULL, NULL, 'MYOSIN VIIAB', NULL, NULL, NULL, 15),
(110754, NULL, 'PTHR33429:SF2', NULL, NULL, NULL, NULL, 'OS01G0888850 PROTEIN', NULL, NULL, NULL, 15),
(110755, NULL, 'PTHR23355:SF35', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX EXONUCLEASE RRP44', NULL, NULL, NULL, 15),
(110756, NULL, 'PTHR47270:SF3', NULL, NULL, NULL, NULL, 'HEAVY CHAIN-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(110757, NULL, 'PTHR13832:SF769', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110758, NULL, 'PTHR23209:SF4', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 12', NULL, NULL, NULL, 15),
(110759, NULL, 'PTHR46222', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP7/14', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110760, NULL, 'PTHR20856:SF28', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(110761, NULL, 'PTHR24221:SF527', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110762, NULL, 'PTHR26450:SF2', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(110763, NULL, 'PTHR35099:SF2', NULL, NULL, NULL, NULL, 'OS02G0182700 PROTEIN', NULL, NULL, NULL, 15),
(110764, NULL, 'PTHR42197:SF1', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE(56)-2''-O)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(110765, NULL, 'PTHR22198:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14274', NULL, NULL, NULL, 15),
(110766, NULL, 'PTHR27006:SF175', NULL, NULL, NULL, NULL, 'BNAC02G20160D PROTEIN', NULL, NULL, NULL, 15),
(110767, NULL, 'PTHR48063:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110768, NULL, 'PTHR11346:SF96', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(110769, NULL, 'PTHR24393:SF90', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 362', NULL, NULL, NULL, 15),
(110770, NULL, 'PTHR32227:SF233', NULL, NULL, NULL, NULL, 'OS02G0532900 PROTEIN', NULL, NULL, NULL, 15),
(110771, NULL, 'PTHR45686:SF11', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD8-RELATED', NULL, NULL, NULL, 15),
(110772, NULL, 'PTHR35107:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110773, NULL, 'PTHR10791:SF165', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET10', NULL, NULL, 16642, 15),
(110774, NULL, 'PTHR14614:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110775, NULL, 'PTHR31175:SF33', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(110776, NULL, 'PTHR31639:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110777, NULL, 'PTHR11829:SF365', NULL, NULL, NULL, NULL, 'SI:CH211-239D6.2-RELATED', NULL, NULL, NULL, 15),
(110778, NULL, 'PTHR19290:SF88', NULL, NULL, NULL, NULL, 'NEUROGENIC DIFFERENTIATION FACTOR 1', NULL, NULL, 22491, 15),
(110779, NULL, 'PTHR19241:SF630', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER', NULL, NULL, NULL, 15),
(110780, NULL, 'PTHR15909:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L35, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(110781, NULL, 'PTHR33155:SF37', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 3', NULL, NULL, NULL, 15),
(110782, NULL, 'PTHR45941:SF1', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(110783, NULL, 'PTHR22762:SF63', NULL, NULL, NULL, NULL, 'MALTASE-GLUCOAMYLASE, INTESTINAL', NULL, NULL, NULL, 15),
(110784, NULL, 'PTHR11935:SF145', NULL, NULL, NULL, NULL, 'BNAC03G17440D PROTEIN', NULL, NULL, NULL, 15),
(110785, NULL, 'PTHR16510:SF4', NULL, NULL, NULL, NULL, 'MATRIX EXTRACELLULAR PHOSPHOGLYCOPROTEIN', NULL, NULL, NULL, 15),
(110786, NULL, 'PTHR31301:SF128', NULL, NULL, NULL, NULL, 'STRUCTURE-SPECIFIC ENDONUCLEASE SUBUNIT SLX1 HOMOLOG', NULL, NULL, NULL, 15),
(110787, NULL, 'PTHR31207:SF35', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS FAMILY PROTEIN (DUF784)-RELATED', NULL, NULL, NULL, 15),
(110788, NULL, 'PTHR31832:SF56', NULL, NULL, NULL, NULL, 'BNAANNG09120D PROTEIN', NULL, NULL, NULL, 15),
(110789, NULL, 'PTHR43876:SF8', NULL, NULL, NULL, NULL, '2-OCTAPRENYL-6-METHOXYPHENOL HYDROXYLASE', NULL, NULL, NULL, 15),
(110790, NULL, 'PTHR24119:SF6', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', NULL, NULL, NULL, 15),
(110791, NULL, 'PTHR22835:SF596', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110792, NULL, 'PTHR47998:SF26', NULL, NULL, NULL, NULL, 'MYB RELATED TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(110793, NULL, 'PTHR45614:SF174', NULL, NULL, NULL, NULL, 'BNAA09G02470D PROTEIN', NULL, NULL, NULL, 15),
(110794, NULL, 'PTHR33107:SF35', NULL, NULL, NULL, NULL, 'KUNITZ FAMILY TRYPSIN AND PROTEASE INHIBITOR PROTEIN', NULL, NULL, NULL, 15),
(110795, NULL, 'PTHR13547:SF14', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110796, NULL, 'PTHR47604:SF2', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE', NULL, NULL, NULL, 15),
(110797, NULL, 'PTHR23150:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110798, NULL, 'PTHR31472:SF19', NULL, NULL, NULL, NULL, 'BNAC01G36270D PROTEIN', NULL, NULL, NULL, 15),
(110799, NULL, 'PTHR11064:SF109', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-4', NULL, NULL, NULL, 15),
(110800, NULL, 'PTHR31889:SF14', NULL, NULL, NULL, NULL, 'OS06G0212300 PROTEIN', NULL, NULL, NULL, 15),
(110801, NULL, 'PTHR24221:SF167', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY B MEMBER 8, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(110802, NULL, 'PTHR34580:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, DEOR FAMILY', NULL, NULL, NULL, 15),
(110803, NULL, 'PTHR22902:SF32', NULL, NULL, NULL, NULL, 'VARIANT SH3 DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(110804, NULL, 'PTHR35715:SF2', NULL, NULL, NULL, NULL, 'OS08G0511800 PROTEIN', NULL, NULL, NULL, 15),
(110805, NULL, 'PTHR13080:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110806, NULL, 'PTHR48021:SF76', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE-SENSING PROTEIN 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(110807, NULL, 'PTHR33147:SF72', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(110808, NULL, 'PTHR11489:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', NULL, NULL, NULL, 15),
(110809, NULL, 'PTHR24349:SF362', NULL, NULL, NULL, NULL, 'BNAA09G46960D PROTEIN', NULL, NULL, NULL, 15),
(110810, NULL, 'PTHR42854:SF12', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 3', NULL, NULL, NULL, 15),
(110811, NULL, 'PTHR46122:SF19', NULL, NULL, NULL, NULL, 'BNAA02G26610D PROTEIN', NULL, NULL, NULL, 15),
(110812, NULL, 'PTHR11477:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR TFIIS-LIKE', NULL, NULL, NULL, 15),
(110813, NULL, 'PTHR12920:SF2', NULL, NULL, NULL, NULL, 'YY1-ASSOCIATED FACTOR 2', NULL, NULL, 34919, 15),
(110814, NULL, 'PTHR24070:SF258', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAL-A', NULL, NULL, NULL, 15),
(110815, NULL, 'PTHR45693:SF32', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA3', NULL, NULL, NULL, 15),
(110816, NULL, 'PTHR12234:SF4', NULL, NULL, NULL, NULL, 'METHENYLTETRAHYDROFOLATE CYCLOHYDROLASE', NULL, NULL, NULL, 15),
(110817, NULL, 'PTHR13462:SF40', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(110818, NULL, 'PTHR48017:SF7', NULL, NULL, NULL, NULL, 'LHT1', NULL, NULL, NULL, 15),
(110819, NULL, 'PTHR48009:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(110820, NULL, 'PTHR11880:SF34', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19 MITOCHONDRIAL', NULL, NULL, NULL, 15),
(110821, NULL, 'PTHR11207:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110822, NULL, 'PTHR31102:SF20', NULL, NULL, NULL, NULL, 'NA[+]/H[+] HYDROGEN ANTIPORTER 1, ISOFORM A', NULL, NULL, NULL, 15),
(110823, NULL, 'PTHR48001:SF34', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(110824, NULL, 'PTHR13018:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110825, NULL, 'PTHR21304:SF7', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC10', NULL, NULL, NULL, 15),
(110826, NULL, 'PTHR24253:SF89', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 2', NULL, NULL, NULL, 15),
(110827, NULL, 'PTHR23248:SF40', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', NULL, NULL, NULL, 15),
(110828, NULL, 'PTHR11544:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110829, NULL, 'PTHR20986:SF20', NULL, NULL, NULL, NULL, 'FMRFAMIDE-LIKE NEUROPEPTIDES 1', NULL, NULL, NULL, 15),
(110830, NULL, 'PTHR11346:SF15', NULL, NULL, NULL, NULL, 'GALECTIN-10', NULL, NULL, 24246, 15),
(110831, NULL, 'PTHR43070:SF5', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ASPARTOKINASE/HOMOSERINE DEHYDROGENASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110832, NULL, 'PTHR31210:SF49', NULL, NULL, NULL, NULL, 'TRIMETHYLGUANOSINE SYNTHASE (DUF707)', NULL, NULL, NULL, 15),
(110833, NULL, 'PTHR15036:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110834, NULL, 'PTHR43806:SF40', NULL, NULL, NULL, NULL, 'BNAC02G33520D PROTEIN', NULL, NULL, NULL, 15),
(110835, NULL, 'PTHR31375:SF91', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(110836, NULL, 'PTHR23310:SF118', NULL, NULL, NULL, NULL, 'DIAZEPAM-BINDING INHIBITOR (GABA RECEPTOR MODULATOR, ACYL-COA-BINDING PROTEIN)', NULL, NULL, NULL, 15),
(110837, NULL, 'PTHR45973:SF2', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 97 KDA', NULL, NULL, NULL, 15),
(110838, NULL, 'PTHR24096:SF332', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 2-LIKE', NULL, NULL, NULL, 15),
(110839, NULL, 'PTHR48047', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(110840, NULL, 'PTHR14096:SF40', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L3', NULL, NULL, NULL, 15),
(110841, NULL, 'PTHR31604:SF22', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 6', NULL, NULL, NULL, 15),
(110842, NULL, 'PTHR48053:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110843, NULL, 'PTHR13261:SF0', NULL, NULL, NULL, NULL, 'BRCA2 AND CDKN1A-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(110844, NULL, 'PTHR11206:SF404', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(110845, NULL, 'PTHR31561:SF164', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 9', NULL, NULL, NULL, 15),
(110846, NULL, 'PTHR12290:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(110847, NULL, 'PTHR47993:SF79', NULL, NULL, NULL, NULL, 'BNAC09G13870D PROTEIN', NULL, NULL, NULL, 15),
(110848, NULL, 'PTHR10943:SF16', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2 HOMOLOG A-RELATED', NULL, NULL, NULL, 15),
(110849, NULL, 'PTHR10579:SF132', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(110850, NULL, 'PTHR43632', NULL, NULL, NULL, NULL, 'PERMEASE COMPONENT OF TUNGSTATE ABC TRANSPORTER', NULL, NULL, NULL, 15),
(110851, NULL, 'PTHR36566:SF1', NULL, NULL, NULL, NULL, 'NICKEL INSERTION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110852, NULL, 'PTHR12357:SF35', NULL, NULL, NULL, NULL, 'OS04G0129300 PROTEIN', NULL, NULL, NULL, 15),
(110853, NULL, 'PTHR47598:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP17-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(110854, NULL, 'PTHR14972:SF3', NULL, NULL, NULL, NULL, 'GLUCOCORTICOID-INDUCED TRANSCRIPT 1 PROTEIN', NULL, NULL, 26738, 15),
(110855, NULL, 'PTHR45935:SF14', NULL, NULL, NULL, NULL, 'SCAN DOMAIN-CONTAINING PROTEIN 1 ISOFORM 1', NULL, NULL, NULL, 15),
(110856, NULL, 'PTHR42951:SF4', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(110857, NULL, 'PTHR18945:SF393', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT ALPHA-4', NULL, NULL, NULL, 15),
(110858, NULL, 'PTHR12378:SF67', NULL, NULL, NULL, NULL, 'PPPDE PUTATIVE PEPTIDASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110859, NULL, 'PTHR46175:SF8', NULL, NULL, NULL, NULL, 'ADAGIO PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(110860, NULL, 'PTHR45627:SF14', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', NULL, NULL, NULL, 15),
(110861, NULL, 'PTHR46602:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF GENE SILENCING 3-LIKE', NULL, NULL, NULL, 15),
(110862, NULL, 'PTHR12482:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM135B', NULL, NULL, NULL, 15),
(110863, NULL, 'PTHR12716:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIE SUBUNIT BETA', NULL, NULL, NULL, 15),
(110864, NULL, 'PTHR47942:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110865, NULL, 'PTHR42790:SF18', NULL, NULL, NULL, NULL, 'HISTIDINOL-PHOSPHATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(110866, NULL, 'PTHR31434:SF2', NULL, NULL, NULL, NULL, 'S PHASE CYCLIN A-ASSOCIATED PROTEIN IN THE ENDOPLASMIC RETICULUM', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110867, NULL, 'PTHR11089:SF33', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN-LIKE 3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(110868, NULL, 'PTHR23161', NULL, NULL, NULL, NULL, 'PROTEIN CIP2A', NULL, NULL, 37605, 15),
(110869, NULL, 'PTHR15314', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P20', NULL, NULL, 8406, 15),
(110870, NULL, 'PTHR33127:SF30', NULL, NULL, NULL, NULL, 'BNAA09G08550D PROTEIN', NULL, NULL, NULL, 15),
(110871, NULL, 'PTHR47098:SF1', NULL, NULL, NULL, NULL, 'PFKB FAMILY CARBOHYDRATE KINASE SUPERFAMILY (AFU_ORTHOLOGUE AFUA_4G09500)', NULL, NULL, NULL, 15),
(110872, NULL, 'PTHR46813:SF14', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110873, NULL, 'PTHR23147:SF157', NULL, NULL, NULL, NULL, 'OS05G0162600 PROTEIN', NULL, NULL, NULL, 15),
(110874, NULL, 'PTHR33144:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110875, NULL, 'PTHR33388:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110876, NULL, 'PTHR43128:SF9', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE A-LIKE 6A', NULL, NULL, NULL, 15),
(110877, NULL, 'PTHR31352:SF7', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', NULL, NULL, NULL, 15),
(110878, NULL, 'PTHR31391:SF108', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0905400-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(110879, NULL, 'PTHR31476', NULL, NULL, NULL, NULL, 'PROTEIN WHAT''S THIS FACTOR 1 HOMOLOG, CHLOROPLASTIC', NULL, NULL, 38148, 15),
(110880, NULL, 'PTHR46629:SF18', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(110881, NULL, 'PTHR44733', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 22', NULL, NULL, NULL, 15),
(110882, NULL, 'PTHR11848:SF150', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 8', NULL, NULL, 17762, 15),
(110883, NULL, 'PTHR20855:SF3', NULL, NULL, NULL, NULL, 'LD03007P', NULL, NULL, NULL, 15),
(110884, NULL, 'PTHR10796:SF187', NULL, NULL, NULL, NULL, 'PROTEIN CBG18375', NULL, NULL, NULL, 15),
(110885, NULL, 'PTHR39961', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, 3608, 15),
(110886, NULL, 'PTHR23189:SF15', NULL, NULL, NULL, NULL, 'NON-POU DOMAIN-CONTAINING OCTAMER-BINDING PROTEIN', NULL, NULL, NULL, 15),
(110887, NULL, 'PTHR35828:SF12', NULL, NULL, NULL, NULL, 'OS01G0322500 PROTEIN', NULL, NULL, NULL, 15),
(110888, NULL, 'PTHR11417:SF16', NULL, NULL, NULL, NULL, 'DECIDUAL PRL-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110889, NULL, 'PTHR31573:SF3', NULL, NULL, NULL, NULL, 'DNA REPAIR FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G14250)', NULL, NULL, NULL, 15),
(110890, NULL, 'PTHR27009:SF260', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110891, NULL, 'PTHR47980:SF23', NULL, NULL, NULL, NULL, 'RAB10, MEMBER RAS ONCOGENE FAMILY-RELATED', NULL, NULL, NULL, 15),
(110892, NULL, 'PTHR31384:SF72', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 4', NULL, NULL, NULL, 15),
(110893, NULL, 'PTHR31235:SF230', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(110894, NULL, 'PTHR24068:SF211', NULL, NULL, NULL, NULL, 'AKT-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(110895, NULL, 'PTHR24249:SF376', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110896, NULL, 'PTHR12305:SF87', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 3-PHOSPHATASE AND PROTEIN-TYROSINE-PHOSPHATASE PTEN2B', NULL, NULL, NULL, 15),
(110897, NULL, 'PTHR45761:SF4', NULL, NULL, NULL, NULL, 'EXTENDED SYNAPTOTAGMIN-3', NULL, NULL, NULL, 15),
(110898, NULL, 'PTHR11726:SF42', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10-LIKE', NULL, NULL, NULL, 15),
(110899, NULL, 'PTHR44750:SF7', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE T1', NULL, NULL, NULL, 15),
(110900, NULL, 'PTHR47106', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(110901, NULL, 'PTHR11216:SF62', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 22180, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110902, NULL, 'PTHR12147:SF47', NULL, NULL, NULL, NULL, 'FI23922P1-RELATED', NULL, NULL, NULL, 15),
(110903, NULL, 'PTHR43788:SF8', NULL, NULL, NULL, NULL, 'HELICASE WITH ZINC FINGER 2', NULL, NULL, NULL, 15),
(110904, NULL, 'PTHR45752:SF69', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 29', NULL, NULL, NULL, 15),
(110905, NULL, 'PTHR15615:SF107', NULL, NULL, NULL, NULL, 'PHO85 CYCLIN-1', NULL, NULL, NULL, 15),
(110906, NULL, 'PTHR23075:SF9', NULL, NULL, NULL, NULL, 'BNAC02G06950D PROTEIN', NULL, NULL, NULL, 15),
(110907, NULL, 'PTHR13832:SF684', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 27-RELATED', NULL, NULL, NULL, 15),
(110908, NULL, 'PTHR45669:SF26', NULL, NULL, NULL, NULL, 'OS08G0554699 PROTEIN', NULL, NULL, NULL, 15),
(110909, NULL, 'PTHR43507', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 4', NULL, NULL, 6313, 15),
(110910, NULL, 'PTHR48011:SF77', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(110911, NULL, 'PTHR30522', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRIPHOSPHATE PYROPHOSPHOHYDROLASE', NULL, NULL, 10548, 15),
(110912, NULL, 'PTHR12802:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110913, NULL, 'PTHR33184:SF44', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(110914, NULL, 'PTHR31774:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-8', NULL, NULL, NULL, 15),
(110915, NULL, 'PTHR10264:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBR-UNC-24', NULL, NULL, NULL, 15),
(110916, NULL, 'PTHR45476:SF4', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 5', NULL, NULL, 24906, 15),
(110917, NULL, 'PTHR46384:SF1', NULL, NULL, NULL, NULL, 'MOTILE SPERM DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(110918, NULL, 'PTHR10131:SF131', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 6', NULL, NULL, 28287, 15),
(110919, NULL, 'PTHR10075:SF44', NULL, NULL, NULL, NULL, 'NEURONAL CELL ADHESION MOLECULE', NULL, NULL, NULL, 15),
(110920, NULL, 'PTHR23415:SF39', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT 1', NULL, NULL, NULL, 15),
(110921, NULL, 'PTHR21731:SF1', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX CENTRAL ELEMENT PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(110922, NULL, 'PTHR24323:SF6', NULL, NULL, NULL, NULL, 'VISUAL SYSTEM HOMEOBOX 2', NULL, NULL, NULL, 15),
(110923, NULL, 'PTHR12280:SF41', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE', NULL, NULL, NULL, 15),
(110924, NULL, 'PTHR30093:SF2', NULL, NULL, NULL, NULL, 'SLR2015 PROTEIN', NULL, NULL, NULL, 15),
(110925, NULL, 'PTHR24068:SF360', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 C-RELATED', NULL, NULL, NULL, 15),
(110926, NULL, 'PTHR23423:SF11', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(110927, NULL, 'PTHR31636:SF183', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(110928, NULL, 'PTHR31890:SF8', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(110929, NULL, 'PTHR22597:SF3', NULL, NULL, NULL, NULL, 'CHROMATIN STRUCTURE-REMODELING COMPLEX SUBUNIT RSC7', NULL, NULL, NULL, 15),
(110930, NULL, 'PTHR45646:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG24934', NULL, NULL, NULL, 15),
(110931, NULL, 'PTHR47228:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 16', NULL, NULL, NULL, 15),
(110932, NULL, 'PTHR26453:SF88', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1510', NULL, NULL, NULL, 15),
(110933, NULL, 'PTHR45933:SF7', NULL, NULL, NULL, NULL, 'OS07G0501700 PROTEIN', NULL, NULL, NULL, 15),
(110934, NULL, 'PTHR10809:SF125', NULL, NULL, NULL, NULL, 'BNAC08G42980D PROTEIN', NULL, NULL, NULL, 15),
(110935, NULL, 'PTHR12000:SF28', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME-LIKE', NULL, NULL, NULL, 15),
(110936, NULL, 'PTHR11849:SF21', NULL, NULL, NULL, NULL, 'ETS DOMAIN-CONTAINING PROTEIN ELK-4', NULL, NULL, NULL, 15),
(110937, NULL, 'PTHR33677:SF2', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110938, NULL, 'PTHR21461:SF70', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(110939, NULL, 'PTHR10556:SF33', NULL, NULL, NULL, NULL, 'TRANS-2,3-ENOYL-COA REDUCTASE-LIKE 2A-RELATED', NULL, NULL, NULL, 15),
(110940, NULL, 'PTHR31636:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110941, NULL, 'PTHR40633', NULL, NULL, NULL, NULL, 'MATRIX PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05410)-RELATED', NULL, NULL, NULL, 15),
(110942, NULL, 'PTHR31915:SF7', NULL, NULL, NULL, NULL, 'TAX1-BINDING PROTEIN 1 HOMOLOG A', NULL, NULL, NULL, 15),
(110943, NULL, 'PTHR35340:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110944, NULL, 'PTHR31602:SF19', NULL, NULL, NULL, NULL, 'OS02G0773600 PROTEIN', NULL, NULL, NULL, 15),
(110945, NULL, 'PTHR28656:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 153', NULL, NULL, NULL, 15),
(110946, NULL, 'PTHR10589:SF22', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(110947, NULL, 'PTHR22762:SF54', NULL, NULL, NULL, NULL, 'BCDNA.GH04962', NULL, NULL, NULL, 15),
(110948, NULL, 'PTHR33021:SF336', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(110949, NULL, 'PTHR31048:SF97', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(110950, NULL, 'PTHR32282:SF29', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 1A/1B', NULL, NULL, NULL, 15),
(110951, NULL, 'PTHR32054:SF28', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT 1', NULL, NULL, NULL, 15),
(110952, NULL, 'PTHR11078:SF3', NULL, NULL, NULL, NULL, 'ANTITERMINATION NUSB DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(110953, NULL, 'PTHR11909:SF414', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN HD16', NULL, NULL, NULL, 15),
(110954, NULL, 'PTHR36113:SF1', NULL, NULL, NULL, NULL, 'LYASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(110955, NULL, 'PTHR31642:SF157', NULL, NULL, NULL, NULL, 'OMEGA-HYDROXYPALMITATE O-FERULOYL TRANSFERASE', NULL, NULL, NULL, 15),
(110956, NULL, 'PTHR19441:SF71', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN 16', NULL, NULL, NULL, 15),
(110957, NULL, 'PTHR33052:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110958, NULL, 'PTHR31718:SF39', NULL, NULL, NULL, NULL, 'PLAT DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(110959, NULL, 'PTHR46769', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY AND HEPATIC DISEASE 1 (AUTOSOMAL RECESSIVE)-LIKE 1', NULL, NULL, NULL, 15),
(110960, NULL, 'PTHR45778:SF20', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(110961, NULL, 'PTHR23268:SF93', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 17 (NON-FUNCTIONAL)', NULL, NULL, NULL, 15),
(110962, NULL, 'PTHR47721:SF3', NULL, NULL, NULL, NULL, 'BNAC06G13920D PROTEIN', NULL, NULL, NULL, 15),
(110963, NULL, 'PTHR42715:SF10', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE-RELATED', NULL, NULL, NULL, 15),
(110964, NULL, 'PTHR31374:SF217', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71', NULL, NULL, NULL, 15),
(110965, NULL, 'PTHR24281:SF154', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE', NULL, NULL, NULL, 15),
(110966, NULL, 'PTHR30546:SF29', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE', NULL, NULL, NULL, 15),
(110967, NULL, 'PTHR11721:SF23', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27A-3', NULL, NULL, NULL, 15),
(110968, NULL, 'PTHR10168:SF286', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S3-RELATED', NULL, NULL, NULL, 15),
(110969, NULL, 'PTHR31930', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS R', NULL, NULL, 2917, 15),
(110970, NULL, 'PTHR32487:SF22', NULL, NULL, NULL, NULL, 'BNAA01G13700D PROTEIN', NULL, NULL, NULL, 15),
(110971, NULL, 'PTHR11618:SF69', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB-RELATED', NULL, NULL, NULL, 15),
(110972, NULL, 'PTHR26379:SF300', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(110973, NULL, 'PTHR31194:SF62', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF119', NULL, NULL, NULL, 15),
(110974, NULL, 'PTHR27001:SF71', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(110975, NULL, 'PTHR31385:SF7', NULL, NULL, NULL, NULL, 'STREPTOMYCES CYCLASE/DEHYDRASE', NULL, NULL, NULL, 15),
(110976, NULL, 'PTHR48010:SF4', NULL, NULL, NULL, NULL, 'B1358B12.16 PROTEIN', NULL, NULL, NULL, 15),
(110977, NULL, 'PTHR31776:SF18', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(110978, NULL, 'PTHR10641:SF958', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(110979, NULL, 'PTHR31339:SF74', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(110980, NULL, 'PTHR11362:SF95', NULL, NULL, NULL, NULL, 'PROTEIN MOTHER OF FT AND TFL1', NULL, NULL, NULL, 15),
(110981, NULL, 'PTHR31579:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110982, NULL, 'PTHR35094:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(110983, NULL, 'PTHR33784:SF10', NULL, NULL, NULL, NULL, 'OS05G0482100 PROTEIN', NULL, NULL, NULL, 15),
(110984, NULL, 'PTHR43112:SF27', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(110985, NULL, 'PTHR24068:SF278', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 T', NULL, NULL, NULL, 15),
(110986, NULL, 'PTHR19134:SF495', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE 69D', NULL, NULL, NULL, 15),
(110987, NULL, 'PTHR34927', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN K', NULL, NULL, 36658, 15),
(110988, NULL, 'PTHR34669:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD DOMAIN-CONTAINING PROTEIN MRL7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(110989, NULL, 'PTHR47999:SF55', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB114-LIKE', NULL, NULL, NULL, 15),
(110990, NULL, 'PTHR11929:SF202', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE FUT-3', NULL, NULL, NULL, 15),
(110991, NULL, 'PTHR15036:SF52', NULL, NULL, NULL, NULL, 'NEUREXIN-2', NULL, NULL, NULL, 15),
(110992, NULL, 'PTHR34132:SF10', NULL, NULL, NULL, NULL, 'BNAA10G16670D PROTEIN', NULL, NULL, NULL, 15),
(110993, NULL, 'PTHR27001:SF648', NULL, NULL, NULL, NULL, 'OS02G0194600 PROTEIN', NULL, NULL, NULL, 15),
(110994, NULL, 'PTHR23266', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(110995, NULL, 'PTHR23113:SF252', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(110996, NULL, 'PTHR11311:SF15', NULL, NULL, NULL, NULL, 'SPONDIN-2', NULL, NULL, NULL, 15),
(110997, NULL, 'PTHR10106:SF38', NULL, NULL, NULL, NULL, 'CYTOCHROME B ASCORBATE-DEPENDENT PROTEIN 3', NULL, NULL, NULL, 15),
(110998, NULL, 'PTHR24282:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(110999, NULL, 'PTHR45659:SF8', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ABDOMINAL-A-RELATED', NULL, NULL, NULL, 15),
(111000, NULL, 'PTHR11960:SF11', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-2', NULL, NULL, NULL, 15),
(111001, NULL, 'PTHR20902:SF0', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(111002, NULL, 'PTHR31235:SF9', NULL, NULL, NULL, NULL, 'PEROXIDASE 18-RELATED', NULL, NULL, NULL, 15),
(111003, NULL, 'PTHR10196:SF57', NULL, NULL, NULL, NULL, 'XYLULOSE KINASE', NULL, NULL, NULL, 15),
(111004, NULL, 'PTHR30619:SF7', NULL, NULL, NULL, NULL, 'METALLO BETA-LACTAMASE SUPERFAMILY LIPOPROTEIN', NULL, NULL, NULL, 15),
(111005, NULL, 'PTHR46441:SF1', NULL, NULL, NULL, NULL, 'EPIDIDYMAL PROTEIN ME9', NULL, NULL, NULL, 15),
(111006, NULL, 'PTHR21347:SF12', NULL, NULL, NULL, NULL, 'CLEFT LIP AND PALATE TRANSMEMBRANE PROTEIN 1-LIKE PROTEIN', NULL, NULL, 24234, 15),
(111007, NULL, 'PTHR33052:SF155', NULL, NULL, NULL, NULL, 'OS03G0768900 PROTEIN', NULL, NULL, NULL, 15),
(111008, NULL, 'PTHR31591', NULL, NULL, NULL, NULL, 'UPF0613 PROTEIN PB24D3.06C', NULL, NULL, 7896, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111009, NULL, 'PTHR33443:SF23', NULL, NULL, NULL, NULL, 'OS03G0140900 PROTEIN', NULL, NULL, NULL, 15),
(111010, NULL, 'PTHR10844:SF18', NULL, NULL, NULL, NULL, 'CAVEOLIN-1', NULL, NULL, 8298, 15),
(111011, NULL, 'PTHR21593:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG06192', NULL, NULL, NULL, 15),
(111012, NULL, 'PTHR21562:SF73', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(111013, NULL, 'PTHR10178:SF266', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(111014, NULL, 'PTHR11256:SF11', NULL, NULL, NULL, NULL, 'APOPTOSIS REGULATOR BCL-2', NULL, NULL, 8580, 15),
(111015, NULL, 'PTHR33407', NULL, NULL, NULL, NULL, 'PECTATE LYASE F-RELATED', NULL, NULL, 1693, 15),
(111016, NULL, 'PTHR13465:SF3', NULL, NULL, NULL, NULL, 'PROTEIN BROAD-MINDED', NULL, NULL, 28282, 15),
(111017, NULL, 'PTHR32063', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 2607, 15),
(111018, NULL, 'PTHR33703', NULL, NULL, NULL, NULL, 'OS07G0691300 PROTEIN', NULL, NULL, 13671, 15),
(111019, NULL, 'PTHR48019:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111020, NULL, 'PTHR13844:SF61', NULL, NULL, NULL, NULL, 'UPSTREAM ACTIVATION FACTOR SUBUNIT SPP27-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(111021, NULL, 'PTHR10766:SF35', NULL, NULL, NULL, NULL, 'PHAGOCYTIC RECEPTOR 1C-RELATED', NULL, NULL, NULL, 15),
(111022, NULL, 'PTHR16007', NULL, NULL, NULL, NULL, 'EPIDIDYMAL MEMBRANE PROTEIN E9-RELATED', NULL, NULL, 37537, 15),
(111023, NULL, 'PTHR48053:SF69', NULL, NULL, NULL, NULL, 'BNAA08G02250D PROTEIN', NULL, NULL, NULL, 15),
(111024, NULL, 'PTHR33507', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YBBJ', NULL, NULL, NULL, 15),
(111025, NULL, 'PTHR27005:SF400', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 9', NULL, NULL, NULL, 15),
(111026, NULL, 'PTHR34965:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111027, NULL, 'PTHR45757:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11431', NULL, NULL, NULL, 15),
(111028, NULL, 'PTHR34883:SF8', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SERINE-RICH PROTEIN (AFU_ORTHOLOGUE AFUA_6G00670)', NULL, NULL, NULL, 15),
(111029, NULL, 'PTHR10704:SF60', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 3', NULL, NULL, NULL, 15),
(111030, NULL, 'PTHR22839', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 3  THO3', NULL, NULL, 29603, 15),
(111031, NULL, 'PTHR42791', NULL, NULL, NULL, NULL, 'GNAT FAMILY ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(111032, NULL, 'PTHR48236', NULL, NULL, NULL, NULL, 'COX19-LIKE CHCH FAMILY PROTEIN', NULL, NULL, NULL, 15),
(111033, NULL, 'PTHR31791:SF55', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111034, NULL, 'PTHR31713:SF72', NULL, NULL, NULL, NULL, 'OS08G0360300 PROTEIN', NULL, NULL, NULL, 15),
(111035, NULL, 'PTHR17008', NULL, NULL, NULL, NULL, 'MEIOSIS-EXPRESSED GENE 1 PROTEIN', NULL, NULL, 18011, 15),
(111036, NULL, 'PTHR20883', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE DOMAIN CONTAINING 1', NULL, NULL, NULL, 15),
(111037, NULL, 'PTHR39741:SF10', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(111038, NULL, 'PTHR15481:SF9', NULL, NULL, NULL, NULL, 'BNAA09G56240D PROTEIN', NULL, NULL, NULL, 15),
(111039, NULL, 'PTHR23294:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG07602', NULL, NULL, NULL, 15),
(111040, NULL, 'PTHR13035', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29460, 15),
(111041, NULL, 'PTHR31870', NULL, NULL, NULL, NULL, 'SI:DKEY-183I3.9-RELATED', NULL, NULL, 35099, 15),
(111042, NULL, 'PTHR24349:SF388', NULL, NULL, NULL, NULL, 'BNACNNG42020D PROTEIN', NULL, NULL, NULL, 15),
(111043, NULL, 'PTHR15237:SF1', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT CONTROL PROTEIN RAD9A', NULL, NULL, NULL, 15),
(111044, NULL, 'PTHR10048:SF106', NULL, NULL, NULL, NULL, 'BNAA02G34040D PROTEIN', NULL, NULL, NULL, 15),
(111045, NULL, 'PTHR10015:SF298', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-9', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111046, NULL, 'PTHR45735:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111047, NULL, 'PTHR19965:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111048, NULL, 'PTHR21314:SF0', NULL, NULL, NULL, NULL, 'QUEUOSINE SALVAGE PROTEIN', NULL, NULL, NULL, 15),
(111049, NULL, 'PTHR10414:SF71', NULL, NULL, NULL, NULL, 'FI05338P', NULL, NULL, NULL, 15),
(111050, NULL, 'PTHR12979', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 10', NULL, NULL, 33602, 15),
(111051, NULL, 'PTHR10903:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111052, NULL, 'PTHR45621:SF179', NULL, NULL, NULL, NULL, 'APK1B, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111053, NULL, 'PTHR48002:SF54', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(111054, NULL, 'PTHR47990:SF111', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(111055, NULL, 'PTHR31375:SF207', NULL, NULL, NULL, NULL, 'BNAC04G03130D PROTEIN', NULL, NULL, NULL, 15),
(111056, NULL, 'PTHR34070', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD', NULL, NULL, NULL, 15),
(111057, NULL, 'PTHR46128:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111058, NULL, 'PTHR14221:SF56', NULL, NULL, NULL, NULL, 'BNAC02G03540D PROTEIN', NULL, NULL, NULL, 15),
(111059, NULL, 'PTHR33318:SF5', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE', NULL, NULL, NULL, 15),
(111060, NULL, 'PTHR11455:SF30', NULL, NULL, NULL, NULL, 'CRYPTOCHROME 2', NULL, NULL, NULL, 15),
(111061, NULL, 'PTHR45738:SF22', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC3-LIKE', NULL, NULL, NULL, 15),
(111062, NULL, 'PTHR31889:SF78', NULL, NULL, NULL, NULL, 'BNAC05G10380D PROTEIN', NULL, NULL, NULL, 15),
(111063, NULL, 'PTHR47209:SF5', NULL, NULL, NULL, NULL, 'BNAA08G30650D PROTEIN', NULL, NULL, NULL, 15),
(111064, NULL, 'PTHR10644:SF19', NULL, NULL, NULL, NULL, 'DAMAGED DNA BINDING PROTEIN (EUROFUNG)', NULL, NULL, NULL, 15),
(111065, NULL, 'PTHR34673', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111066, NULL, 'PTHR10984:SF56', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM VESICLE TRANSPORTER PROTEIN', NULL, NULL, NULL, 15),
(111067, NULL, 'PTHR34930:SF6', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN JUPITER', NULL, NULL, NULL, 15),
(111068, NULL, 'PTHR43833:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE, DHH FAMILY, FUSED TO NAD-BINDING TRKA-N DOMAIN-RELATED', NULL, NULL, NULL, 15),
(111069, NULL, 'PTHR11829:SF346', NULL, NULL, NULL, NULL, 'FORK HEAD DOMAIN-CONTAINING PROTEIN FD3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111070, NULL, 'PTHR32308:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111071, NULL, 'PTHR31917:SF92', NULL, NULL, NULL, NULL, 'AGENET DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(111072, NULL, 'PTHR37228:SF3', NULL, NULL, NULL, NULL, 'BNAA06G32950D PROTEIN', NULL, NULL, NULL, 15),
(111073, NULL, 'PTHR43266:SF2', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID TRANSPORTER LPLT', NULL, NULL, NULL, 15),
(111074, NULL, 'PTHR11681', NULL, NULL, NULL, NULL, 'NEUROPHYSIN', NULL, NULL, 414, 15),
(111075, NULL, 'PTHR24177:SF304', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111076, NULL, 'PTHR26454:SF72', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C74', NULL, NULL, NULL, 15),
(111077, NULL, 'PTHR31549:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111078, NULL, 'PTHR33052:SF135', NULL, NULL, NULL, NULL, 'BNAC03G58960D PROTEIN', NULL, NULL, NULL, 15),
(111079, NULL, 'PTHR10048:SF14', NULL, NULL, NULL, NULL, 'PI-3 KINASE', NULL, NULL, NULL, 15),
(111080, NULL, 'PTHR24381:SF74', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 69 HOMOLOG', NULL, NULL, NULL, 15),
(111081, NULL, 'PTHR11654:SF447', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 7.3', NULL, NULL, NULL, 15),
(111082, NULL, 'PTHR16206:SF9', NULL, NULL, NULL, NULL, 'DEP DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111083, NULL, 'PTHR11267:SF180', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR MLS-1', NULL, NULL, NULL, 15),
(111084, NULL, 'PTHR34209', NULL, NULL, NULL, NULL, 'RHODANESE/CELL CYCLE CONTROL PHOSPHATASE SUPERFAMILY PROTEIN', NULL, NULL, 37382, 15),
(111085, NULL, 'PTHR11455:SF16', NULL, NULL, NULL, NULL, 'CRYPTOCHROME-1', NULL, NULL, NULL, 15),
(111086, NULL, 'PTHR48006:SF20', NULL, NULL, NULL, NULL, 'OS06G0301201 PROTEIN', NULL, NULL, NULL, 15),
(111087, NULL, 'PTHR11214:SF122', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(111088, NULL, 'PTHR24012:SF767', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(111089, NULL, 'PTHR15060:SF0', NULL, NULL, NULL, NULL, 'INTERLEUKIN-15 RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(111090, NULL, 'PTHR24256:SF470', NULL, NULL, NULL, NULL, 'HAPTOGLOBIN', NULL, NULL, NULL, 15),
(111091, NULL, 'PTHR34950:SF2', NULL, NULL, NULL, NULL, 'BNAC01G00560D PROTEIN', NULL, NULL, NULL, 15),
(111092, NULL, 'PTHR12682:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ARCHEASE', NULL, NULL, NULL, 15),
(111093, NULL, 'PTHR12428:SF34', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEIN OXA1L', NULL, NULL, NULL, 15),
(111094, NULL, 'PTHR43072:SF22', NULL, NULL, NULL, NULL, 'ABC SUPERFAMILY TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111095, NULL, 'PTHR13248:SF5', NULL, NULL, NULL, NULL, 'ELONGIN-B', NULL, NULL, NULL, 15),
(111096, NULL, 'PTHR31348:SF11', NULL, NULL, NULL, NULL, 'CIRCADIAN CLOCK COUPLING FACTOR ZGT', NULL, NULL, NULL, 15),
(111097, NULL, 'PTHR10414:SF69', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOLAMINEPHOSPHOTRANSFERASE 2', NULL, NULL, NULL, 15),
(111098, NULL, 'PTHR13809:SF25', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-2', NULL, NULL, NULL, 15),
(111099, NULL, 'PTHR13817:SF17', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN C, FAST-TYPE', NULL, NULL, NULL, 15),
(111100, NULL, 'PTHR11920:SF486', NULL, NULL, NULL, NULL, 'FI12009P', NULL, NULL, NULL, 15),
(111101, NULL, 'PTHR13780:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111102, NULL, 'PTHR27008:SF460', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111103, NULL, 'PTHR47335', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-XVI', NULL, NULL, NULL, 15),
(111104, NULL, 'PTHR43550:SF7', NULL, NULL, NULL, NULL, '3-DEHYDROSPHINGANINE REDUCTASE TSC10A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(111105, NULL, 'PTHR48053:SF25', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2', NULL, NULL, NULL, 15),
(111106, NULL, 'PTHR31190:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111107, NULL, 'PTHR48011:SF33', NULL, NULL, NULL, NULL, 'F10K1.14 PROTEIN', NULL, NULL, NULL, 15),
(111108, NULL, 'PTHR45826:SF19', NULL, NULL, NULL, NULL, 'AMINO ACID/POLYAMINE TRANSPORTER I-RELATED', NULL, NULL, NULL, 15),
(111109, NULL, 'PTHR15109:SF4', NULL, NULL, NULL, NULL, 'AGAP004327-PA', NULL, NULL, NULL, 15),
(111110, NULL, 'PTHR10361:SF63', NULL, NULL, NULL, NULL, 'BILE ACID:SODIUM SYMPORTER/ARSENICAL RESISTANCE PROTEIN ACR3-RELATED', NULL, NULL, NULL, 15),
(111111, NULL, 'PTHR36050', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 30', NULL, NULL, NULL, 15),
(111112, NULL, 'PTHR11005:SF103', NULL, NULL, NULL, NULL, 'STEROL ESTERASE TGL1', NULL, NULL, NULL, 15),
(111113, NULL, 'PTHR31194:SF81', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WIN1-LIKE', NULL, NULL, NULL, 15),
(111114, NULL, 'PTHR33638:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(111115, NULL, 'PTHR46413:SF13', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 1', NULL, NULL, NULL, 15),
(111116, NULL, 'PTHR10381:SF12', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(111117, NULL, 'PTHR19871:SF14', NULL, NULL, NULL, NULL, 'GH25853P', NULL, NULL, NULL, 15),
(111118, NULL, 'PTHR43341:SF24', NULL, NULL, NULL, NULL, 'VALINE/TYROSINE/TRYPTOPHAN AMINO-ACID PERMEASE 1', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111119, NULL, 'PTHR12265:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111120, NULL, 'PTHR21713:SF24', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(111121, NULL, 'PTHR31852:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111122, NULL, 'PTHR47789:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(111123, NULL, 'PTHR10083:SF357', NULL, NULL, NULL, NULL, 'COLOSTRUM TRYPSIN INHIBITOR', NULL, NULL, NULL, 15),
(111124, NULL, 'PTHR47282:SF1', NULL, NULL, NULL, NULL, 'PGC-1 AND ERR-INDUCED REGULATOR IN MUSCLE PROTEIN 1', NULL, NULL, NULL, 15),
(111125, NULL, 'PTHR33122:SF36', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(111126, NULL, 'PTHR45856:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111127, NULL, 'PTHR10835:SF17', NULL, NULL, NULL, NULL, 'SQUALENE MONOOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(111128, NULL, 'PTHR21113:SF12', NULL, NULL, NULL, NULL, 'LP01886P-RELATED', NULL, NULL, NULL, 15),
(111129, NULL, 'PTHR34356:SF1', NULL, NULL, NULL, NULL, 'ANTIGENIC HEAT-STABLE PROTEIN', NULL, NULL, NULL, 15),
(111130, NULL, 'PTHR11885:SF25', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S13-1-RELATED', NULL, NULL, NULL, 15),
(111131, NULL, 'PTHR44329:SF39', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 10', NULL, NULL, 12948, 15),
(111132, NULL, 'PTHR24418:SF418', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE FER', NULL, NULL, NULL, 15),
(111133, NULL, 'PTHR23235:SF89', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR LUNA-RELATED', NULL, NULL, NULL, 15),
(111134, NULL, 'PTHR33320:SF25', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(111135, NULL, 'PTHR22811:SF179', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA5', NULL, NULL, NULL, 15),
(111136, NULL, 'PTHR35479:SF4', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(111137, NULL, 'PTHR14789:SF1', NULL, NULL, NULL, NULL, 'CHONDROLECTIN', NULL, NULL, NULL, 15),
(111138, NULL, 'PTHR24025:SF1', NULL, NULL, NULL, NULL, 'DESMOGLEIN-2', NULL, NULL, NULL, 15),
(111139, NULL, 'PTHR24092:SF33', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IH-RELATED', NULL, NULL, 26957, 15),
(111140, NULL, 'PTHR46128:SF68', NULL, NULL, NULL, NULL, 'BNAA01G32380D PROTEIN', NULL, NULL, NULL, 15),
(111141, NULL, 'PTHR26450:SF388', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(111142, NULL, 'PTHR10796:SF122', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(111143, NULL, 'PTHR11337:SF11', NULL, NULL, NULL, NULL, 'CD164 SIALOMUCIN-LIKE 2 PROTEIN', NULL, NULL, NULL, 15),
(111144, NULL, 'PTHR22751:SF73', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(111145, NULL, 'PTHR43628:SF9', NULL, NULL, NULL, NULL, 'SEL1-REPEAT-CONTAINING PROTEIN YBEQ', NULL, NULL, NULL, 15),
(111146, NULL, 'PTHR46128:SF55', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(111147, NULL, 'PTHR33672:SF3', NULL, NULL, NULL, NULL, 'YCF3-INTERACTING PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(111148, NULL, 'PTHR23017:SF18', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(111149, NULL, 'PTHR45673:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2B CATALYTIC SUBUNIT GAMMA ISOFORM', NULL, NULL, NULL, 15),
(111150, NULL, 'PTHR24250:SF29', NULL, NULL, NULL, NULL, 'CHYMOTRYPSINOGEN B', NULL, NULL, NULL, 15),
(111151, NULL, 'PTHR34283:SF3', NULL, NULL, NULL, NULL, 'PROTEIN RESPONSE TO LOW SULFUR 3', NULL, NULL, NULL, 15),
(111152, NULL, 'PTHR47103:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GIS2-LIKE', NULL, NULL, NULL, 15),
(111153, NULL, 'PTHR23280:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111154, NULL, 'PTHR24377:SF63', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 283', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111155, NULL, 'PTHR46897', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 4', NULL, NULL, 36544, 15),
(111156, NULL, 'PTHR31988:SF26', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111157, NULL, 'PTHR47521:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(111158, NULL, 'PTHR43180:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111159, NULL, 'PTHR43620:SF10', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL5', NULL, NULL, NULL, 15),
(111160, NULL, 'PTHR23044:SF4', NULL, NULL, NULL, NULL, 'CELL DEATH-RELATED NUCLEASE 4', NULL, NULL, NULL, 15),
(111161, NULL, 'PTHR23024:SF473', NULL, NULL, NULL, NULL, 'RECEPTOR GID1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111162, NULL, 'PTHR47992:SF131', NULL, NULL, NULL, NULL, 'BNAA06G40990D PROTEIN', NULL, NULL, NULL, 15),
(111163, NULL, 'PTHR28019:SF5', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(111164, NULL, 'PTHR21547', NULL, NULL, NULL, NULL, 'CLUSTERIN ASSOCIATED PROTEIN 1', NULL, NULL, 15971, 15),
(111165, NULL, 'PTHR17498:SF2', NULL, NULL, NULL, NULL, 'SEMINAL VESICLE SECRETORY PROTEIN 4', NULL, NULL, NULL, 15),
(111166, NULL, 'PTHR39184', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111167, NULL, 'PTHR34145:SF4', NULL, NULL, NULL, NULL, 'OS09G0502900 PROTEIN', NULL, NULL, NULL, 15),
(111168, NULL, 'PTHR23070:SF140', NULL, NULL, NULL, NULL, 'BNAA06G25360D PROTEIN', NULL, NULL, NULL, 15),
(111169, NULL, 'PTHR31314:SF89', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111170, NULL, 'PTHR46162:SF7', NULL, NULL, NULL, NULL, 'MATH DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(111171, NULL, 'PTHR24096:SF391', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE BUBBLEGUM-LIKE-RELATED', NULL, NULL, NULL, 15),
(111172, NULL, 'PTHR15710:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111173, NULL, 'PTHR10209:SF591', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(111174, NULL, 'PTHR34398:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111175, NULL, 'PTHR38926:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111176, NULL, 'PTHR10641:SF1043', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB30', NULL, NULL, NULL, 15),
(111177, NULL, 'PTHR11385', NULL, NULL, NULL, NULL, 'SERUM ALBUMIN-RELATED', NULL, NULL, 817, 15),
(111178, NULL, 'PTHR34930:SF5', NULL, NULL, NULL, NULL, 'JUPITER MICROTUBULE ASSOCIATED HOMOLOG 2', NULL, NULL, NULL, 15),
(111179, NULL, 'PTHR13847:SF271', NULL, NULL, NULL, NULL, 'MALATE:QUINONE OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(111180, NULL, 'PTHR45836:SF8', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 6', NULL, NULL, NULL, 15),
(111181, NULL, 'PTHR11652:SF53', NULL, NULL, NULL, NULL, 'BNAA03G00720D PROTEIN', NULL, NULL, NULL, 15),
(111182, NULL, 'PTHR13323', NULL, NULL, NULL, NULL, 'LATE ENDOSOMAL/LYSOSOMAL MP1 INTERACTING PROTEIN', NULL, NULL, 36117, 15),
(111183, NULL, 'PTHR34681:SF3', NULL, NULL, NULL, NULL, 'BNAC08G10430D PROTEIN', NULL, NULL, NULL, 15),
(111184, NULL, 'PTHR11388:SF87', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 2B1', NULL, NULL, NULL, 15),
(111185, NULL, 'PTHR31500:SF89', NULL, NULL, NULL, NULL, 'PPC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111186, NULL, 'PTHR31375:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111187, NULL, 'PTHR31142:SF31', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111188, NULL, 'PTHR14360:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FMP32, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(111189, NULL, 'PTHR43158:SF7', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111190, NULL, 'PTHR42673:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111191, NULL, 'PTHR36893:SF1', NULL, NULL, NULL, NULL, 'OS01G0275950 PROTEIN', NULL, NULL, NULL, 15),
(111192, NULL, 'PTHR12892:SF19', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS 2', NULL, NULL, NULL, 15),
(111193, NULL, 'PTHR43591:SF46', NULL, NULL, NULL, NULL, 'OS08G0411200 PROTEIN', NULL, NULL, NULL, 15),
(111194, NULL, 'PTHR43683', NULL, NULL, NULL, NULL, 'MULTIDRUG EFFLUX PROTEIN YFMO', NULL, NULL, NULL, 15),
(111195, NULL, 'PTHR21859:SF12', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 31D1', NULL, NULL, NULL, 15),
(111196, NULL, 'PTHR30441:SF2', NULL, NULL, NULL, NULL, 'ASMA FAMILY PROTEIN YHJG', NULL, NULL, NULL, 15),
(111197, NULL, 'PTHR14224:SF3', NULL, NULL, NULL, NULL, 'MCG5729-RELATED', NULL, NULL, NULL, 15),
(111198, NULL, 'PTHR35162:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111199, NULL, 'PTHR12480:SF38', NULL, NULL, NULL, NULL, 'IP10855P', NULL, NULL, NULL, 15),
(111200, NULL, 'PTHR23132:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111201, NULL, 'PTHR30450:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(111202, NULL, 'PTHR46610:SF8', NULL, NULL, NULL, NULL, 'OS06G0147000 PROTEIN', NULL, NULL, NULL, 15),
(111203, NULL, 'PTHR46030:SF1', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB HOMOLOG 6', NULL, NULL, NULL, 15),
(111204, NULL, 'PTHR12629:SF53', NULL, NULL, NULL, NULL, 'BNAC06G43940D PROTEIN', NULL, NULL, NULL, 15),
(111205, NULL, 'PTHR31568:SF63', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH TM MODULE STRESS TOLERANCE PROTEIN', NULL, NULL, NULL, 15),
(111206, NULL, 'PTHR11926:SF1320', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(111207, NULL, 'PTHR13036:SF1', NULL, NULL, NULL, NULL, 'CHITOBIOSYLDIPHOSPHODOLICHOL BETA-MANNOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(111208, NULL, 'PTHR11165:SF97', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111209, NULL, 'PTHR32278:SF103', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, PHLOEM PROTEIN 2-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111210, NULL, 'PTHR47992:SF150', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 5-RELATED', NULL, NULL, NULL, 15),
(111211, NULL, 'PTHR43661:SF3', NULL, NULL, NULL, NULL, 'D-XYLONATE DEHYDRATASE YAGF-RELATED', NULL, NULL, NULL, 15),
(111212, NULL, 'PTHR12247:SF64', NULL, NULL, NULL, NULL, 'LETHAL(3)MALIGNANT BRAIN TUMOR-LIKE PROTEIN 2', NULL, NULL, 34669, 15),
(111213, NULL, 'PTHR31676:SF107', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(111214, NULL, 'PTHR43220:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111215, NULL, 'PTHR43213:SF10', NULL, NULL, NULL, NULL, '7-METHYL-GTP PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(111216, NULL, 'PTHR15919:SF14', NULL, NULL, NULL, NULL, 'SI:CH211-168F7.5', NULL, NULL, NULL, 15),
(111217, NULL, 'PTHR42252', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111218, NULL, 'PTHR11746:SF90', NULL, NULL, NULL, NULL, 'OS02G0823400 PROTEIN', NULL, NULL, NULL, 15),
(111219, NULL, 'PTHR47928:SF62', NULL, NULL, NULL, NULL, 'OS04G0488200 PROTEIN', NULL, NULL, NULL, 15),
(111220, NULL, 'PTHR10913:SF74', NULL, NULL, NULL, NULL, 'AGRIN', NULL, NULL, NULL, 15),
(111221, NULL, 'PTHR23503:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG08770', NULL, NULL, NULL, 15),
(111222, NULL, 'PTHR12802:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111223, NULL, 'PTHR31062:SF141', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(111224, NULL, 'PTHR31504', NULL, NULL, NULL, NULL, 'ZW10 INTERACTOR ZWINT', NULL, NULL, 26099, 15),
(111225, NULL, 'PTHR10826', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT 1', NULL, NULL, 5138, 15),
(111226, NULL, 'PTHR45623:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111227, NULL, 'PTHR31982', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT II-1, CHLOROPLASTIC-RELATED', NULL, NULL, 1786, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111228, NULL, 'PTHR46616', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(111229, NULL, 'PTHR34539', NULL, NULL, NULL, NULL, 'T6J4.11 PROTEIN', NULL, NULL, NULL, 15),
(111230, NULL, 'PTHR11689:SF150', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN B', NULL, NULL, NULL, 15),
(111231, NULL, 'PTHR14343:SF3', NULL, NULL, NULL, NULL, 'SIMILAR TO PREDICTED GENE ICRFP703B1614Q5.5', NULL, NULL, NULL, 15),
(111232, NULL, 'PTHR12425:SF5', NULL, NULL, NULL, NULL, 'SYNEMBRYN', NULL, NULL, NULL, 15),
(111233, NULL, 'PTHR31288:SF32', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(111234, NULL, 'PTHR11017:SF291', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(111235, NULL, 'PTHR27006:SF329', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(111236, NULL, 'PTHR45676:SF48', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE', NULL, NULL, NULL, 15),
(111237, NULL, 'PTHR21649:SF109', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(111238, NULL, 'PTHR48026:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111239, NULL, 'PTHR23293:SF11', NULL, NULL, NULL, NULL, 'BNACNNG02810D PROTEIN', NULL, NULL, NULL, 15),
(111240, NULL, 'PTHR22893:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111241, NULL, 'PTHR38695', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111242, NULL, 'PTHR46225:SF19', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111243, NULL, 'PTHR10134:SF34', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(111244, NULL, 'PTHR32254:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111245, NULL, 'PTHR48041:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111246, NULL, 'PTHR11158:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111247, NULL, 'PTHR34047:SF3', NULL, NULL, NULL, NULL, 'BLR2052 PROTEIN', NULL, NULL, NULL, 15),
(111248, NULL, 'PTHR13161:SF15', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, SUPPRESSOR OF WHITE-APRICOT HOMOLOG', NULL, NULL, NULL, 15),
(111249, NULL, 'PTHR11905:SF222', NULL, NULL, NULL, NULL, 'ADAM FAMILY OF METALLOPROTEASE ADM-A (AFU_ORTHOLOGUE AFUA_6G14420)', NULL, NULL, NULL, 15),
(111250, NULL, 'PTHR35022:SF3', NULL, NULL, NULL, NULL, 'EXTENSIN-3-LIKE', NULL, NULL, NULL, 15),
(111251, NULL, 'PTHR13937', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITATION FACTOR 3, SUBUNIT 8  EIF3S8 -RELATED', NULL, NULL, 25082, 15),
(111252, NULL, 'PTHR43828:SF7', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN SWI4', NULL, NULL, 22107, 15),
(111253, NULL, 'PTHR31096:SF7', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR1', NULL, NULL, NULL, 15),
(111254, NULL, 'PTHR45974:SF134', NULL, NULL, NULL, NULL, 'BNAC03G71330D PROTEIN', NULL, NULL, NULL, 15),
(111255, NULL, 'PTHR45613:SF287', NULL, NULL, NULL, NULL, 'OS12G0456100 PROTEIN', NULL, NULL, NULL, 15),
(111256, NULL, 'PTHR11223:SF3', NULL, NULL, NULL, NULL, 'EXPORTIN-5', NULL, NULL, 33821, 15),
(111257, NULL, 'PTHR48001:SF160', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(111258, NULL, 'PTHR21337:SF19', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(111259, NULL, 'PTHR34970:SF4', NULL, NULL, NULL, NULL, 'BNAA02G10160D PROTEIN', NULL, NULL, NULL, 15),
(111260, NULL, 'PTHR10578:SF115', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO1', NULL, NULL, NULL, 15),
(111261, NULL, 'PTHR46162:SF11', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(111262, NULL, 'PTHR31374:SF231', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(111263, NULL, 'PTHR45974:SF117', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111264, NULL, 'PTHR33623:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111265, NULL, 'PTHR21325:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG23371', NULL, NULL, NULL, 15),
(111266, NULL, 'PTHR23268:SF28', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 19', NULL, NULL, NULL, 15),
(111267, NULL, 'PTHR11685:SF324', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ITT1', NULL, NULL, NULL, 15),
(111268, NULL, 'PTHR34920', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA/LEUKEMIA 10', NULL, NULL, 33269, 15),
(111269, NULL, 'PTHR32241:SF15', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(111270, NULL, 'PTHR21290:SF54', NULL, NULL, NULL, NULL, 'PLANT INOSITOL PHOSPHORYLCERAMIDE SYNTHASE', NULL, NULL, NULL, 15),
(111271, NULL, 'PTHR47984:SF10', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(111272, NULL, 'PTHR13636:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 258', NULL, NULL, NULL, 15),
(111273, NULL, 'PTHR45691:SF4', NULL, NULL, NULL, NULL, 'PROTEIN DIAPHANOUS HOMOLOG 1', NULL, NULL, 28338, 15),
(111274, NULL, 'PTHR10046:SF65', NULL, NULL, NULL, NULL, 'LON PROTEASE', NULL, NULL, NULL, 15),
(111275, NULL, 'PTHR46105:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR PROTEIN BACH2', NULL, NULL, NULL, 15),
(111276, NULL, 'PTHR13076:SF9', NULL, NULL, NULL, NULL, 'COILED-COIL AND C2 DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(111277, NULL, 'PTHR35598', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111278, NULL, 'PTHR22847:SF704', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111279, NULL, 'PTHR10281:SF1', NULL, NULL, NULL, NULL, 'VACUOLE MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(111280, NULL, 'PTHR45631:SF74', NULL, NULL, NULL, NULL, 'BNAA03G16950D PROTEIN', NULL, NULL, NULL, 15),
(111281, NULL, 'PTHR33361', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 7797, 15),
(111282, NULL, 'PTHR34797:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111283, NULL, 'PTHR14087', NULL, NULL, NULL, NULL, 'THYMOCYTE NUCLEAR PROTEIN 1', NULL, NULL, NULL, 15),
(111284, NULL, 'PTHR10082:SF9', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-8', NULL, NULL, 9412, 15),
(111285, NULL, 'PTHR43032:SF2', NULL, NULL, NULL, NULL, 'BLL0505 PROTEIN', NULL, NULL, NULL, 15),
(111286, NULL, 'PTHR23044:SF65', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111287, NULL, 'PTHR10543:SF112', NULL, NULL, NULL, NULL, 'CAROTENOID OXYGENASE-RELATED', NULL, NULL, NULL, 15),
(111288, NULL, 'PTHR31221:SF110', NULL, NULL, NULL, NULL, 'OS03G0758000 PROTEIN', NULL, NULL, NULL, 15),
(111289, NULL, 'PTHR46097:SF3', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE INTERACTING ARFGAP', NULL, NULL, NULL, 15),
(111290, NULL, 'PTHR47047:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE CALPAIN-LIKE CYSTEINE PEPTIDASE, CLAN CA, FAMILY C2-RELATED', NULL, NULL, NULL, 15),
(111291, NULL, 'PTHR33021:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111292, NULL, 'PTHR35762:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(111293, NULL, 'PTHR31645:SF40', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL8-RELATED', NULL, NULL, NULL, 15),
(111294, NULL, 'PTHR24072:SF186', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHO3', NULL, NULL, NULL, 15),
(111295, NULL, 'PTHR24115:SF718', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111296, NULL, 'PTHR11945:SF407', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(111297, NULL, 'PTHR19317:SF47', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(111298, NULL, 'PTHR31709:SF3', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(111299, NULL, 'PTHR34961:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111300, NULL, 'PTHR48010:SF39', NULL, NULL, NULL, NULL, 'BNAA09G12030D PROTEIN', NULL, NULL, NULL, 15),
(111301, NULL, 'PTHR22718:SF33', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111302, NULL, 'PTHR19134:SF506', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111303, NULL, 'PTHR33417:SF21', NULL, NULL, NULL, NULL, 'B12D PROTEIN', NULL, NULL, NULL, 15),
(111304, NULL, 'PTHR46878', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN M1', NULL, NULL, 37750, 15),
(111305, NULL, 'PTHR11668:SF451', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 6', NULL, NULL, NULL, 15),
(111306, NULL, 'PTHR13451:SF8', NULL, NULL, NULL, NULL, 'CROSSOVER JUNCTION ENDONUCLEASE MUS81-RELATED', NULL, NULL, NULL, 15),
(111307, NULL, 'PTHR44404:SF1', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE 1M', NULL, NULL, NULL, 15),
(111308, NULL, 'PTHR13129', NULL, NULL, NULL, NULL, 'VPRBP PROTEIN-RELATED', NULL, NULL, 30037, 15),
(111309, NULL, 'PTHR44094:SF17', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 10', NULL, NULL, NULL, 15),
(111310, NULL, 'PTHR34365:SF11', NULL, NULL, NULL, NULL, 'BNAC06G01870D PROTEIN', NULL, NULL, NULL, 15),
(111311, NULL, 'PTHR19241:SF507', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(111312, NULL, 'PTHR12419:SF72', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL UDP-N-ACETYLGLUCOSAMINE TRANSFERASE AND DEUBIQUITINASE ALG13-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111313, NULL, 'PTHR23308:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111314, NULL, 'PTHR43650:SF17', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA 1', NULL, NULL, NULL, 15),
(111315, NULL, 'PTHR48069:SF5', NULL, NULL, NULL, NULL, 'ZGC:153031', NULL, NULL, NULL, 15),
(111316, NULL, 'PTHR10742:SF385', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 3', NULL, NULL, NULL, 15),
(111317, NULL, 'PTHR33349:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111318, NULL, 'PTHR46701:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(111319, NULL, 'PTHR36615:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111320, NULL, 'PTHR27006:SF268', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(111321, NULL, 'PTHR47976:SF41', NULL, NULL, NULL, NULL, 'OS06G0164900 PROTEIN', NULL, NULL, NULL, 15),
(111322, NULL, 'PTHR31848:SF2', NULL, NULL, NULL, NULL, 'REFILIN-B', NULL, NULL, NULL, 15),
(111323, NULL, 'PTHR19241:SF568', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 11-RELATED', NULL, NULL, NULL, 15),
(111324, NULL, 'PTHR16788', NULL, NULL, NULL, NULL, 'EPIDIDYMAL SECRETORY PROTEIN E3 ALPHA', NULL, NULL, 37009, 15),
(111325, NULL, 'PTHR16915', NULL, NULL, NULL, NULL, 'IMMEDIATE EARLY RESPONSE 3', NULL, NULL, 22698, 15),
(111326, NULL, 'PTHR44329:SF181', NULL, NULL, NULL, NULL, 'BNAANNG31270D PROTEIN', NULL, NULL, NULL, 15),
(111327, NULL, 'PTHR43407:SF1', NULL, NULL, NULL, NULL, 'LENGSIN', NULL, NULL, NULL, 15),
(111328, NULL, 'PTHR47970:SF13', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12F ISOFORM X1', NULL, NULL, NULL, 15),
(111329, NULL, 'PTHR33044:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111330, NULL, 'PTHR33541:SF22', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE A', NULL, NULL, NULL, 15),
(111331, NULL, 'PTHR36152:SF5', NULL, NULL, NULL, NULL, 'PROTEIN HCP1', NULL, NULL, NULL, 15),
(111332, NULL, 'PTHR31096:SF64', NULL, NULL, NULL, NULL, 'BNAC02G02600D PROTEIN', NULL, NULL, NULL, 15),
(111333, NULL, 'PTHR42693:SF32', NULL, NULL, NULL, NULL, 'SULFATASE DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G17610)', NULL, NULL, NULL, 15),
(111334, NULL, 'PTHR46128:SF250', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111335, NULL, 'PTHR10876', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZPR1', NULL, NULL, 32588, 15),
(111336, NULL, 'PTHR21717:SF69', NULL, NULL, NULL, NULL, 'TELOMERE-BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111337, NULL, 'PTHR10071:SF289', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GATA-5', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111338, NULL, 'PTHR45967:SF19', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 16-LIKE', NULL, NULL, NULL, 15),
(111339, NULL, 'PTHR33109:SF55', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(111340, NULL, 'PTHR42683:SF37', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 6-RELATED', NULL, NULL, NULL, 15),
(111341, NULL, 'PTHR36408:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(111342, NULL, 'PTHR10590:SF11', NULL, NULL, NULL, NULL, 'SODIUM/NUCLEOSIDE COTRANSPORTER 2', NULL, NULL, 24088, 15),
(111343, NULL, 'PTHR31591:SF1', NULL, NULL, NULL, NULL, 'UPF0613 PROTEIN PB24D3.06C', NULL, NULL, NULL, 15),
(111344, NULL, 'PTHR31752:SF49', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', NULL, NULL, NULL, 15),
(111345, NULL, 'PTHR45648:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111346, NULL, 'PTHR11926:SF715', NULL, NULL, NULL, NULL, 'OS04G0204000 PROTEIN', NULL, NULL, NULL, 15),
(111347, NULL, 'PTHR43075:SF1', NULL, NULL, NULL, NULL, 'FORMATE LYASE ACTIVATING ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15630)-RELATED', NULL, NULL, NULL, 15),
(111348, NULL, 'PTHR37194:SF2', NULL, NULL, NULL, NULL, 'T2E6.7-RELATED', NULL, NULL, NULL, 15),
(111349, NULL, 'PTHR40463', NULL, NULL, NULL, NULL, 'PH-RESPONSE REGULATOR PROTEIN PALC', NULL, NULL, 29145, 15),
(111350, NULL, 'PTHR24377:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 490', NULL, NULL, NULL, 15),
(111351, NULL, 'PTHR23312:SF8', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(111352, NULL, 'PTHR33102:SF4', NULL, NULL, NULL, NULL, 'DVL19-RELATED', NULL, NULL, NULL, 15),
(111353, NULL, 'PTHR10366:SF722', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL POLYMYXIN RESISTANCE PROTEIN, ARNA-RELATED', NULL, NULL, NULL, 15),
(111354, NULL, 'PTHR11815:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT BETA', NULL, NULL, NULL, 15),
(111355, NULL, 'PTHR43354', NULL, NULL, NULL, NULL, 'MEDIUM-CHAIN-FATTY-ACID--COA LIGASE', NULL, NULL, NULL, 15),
(111356, NULL, 'PTHR31001:SF63', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(111357, NULL, 'PTHR13068:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111358, NULL, 'PTHR34559:SF4', NULL, NULL, NULL, NULL, 'BNAA05G28070D PROTEIN', NULL, NULL, NULL, 15),
(111359, NULL, 'PTHR13943:SF33', NULL, NULL, NULL, NULL, 'HRAS-LIKE SUPPRESSOR 2', NULL, NULL, NULL, 15),
(111360, NULL, 'PTHR47166', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 831', NULL, NULL, NULL, 15),
(111361, NULL, 'PTHR38223', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111362, NULL, 'PTHR42735:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111363, NULL, 'PTHR31062:SF49', NULL, NULL, NULL, NULL, 'OS06G0335975 PROTEIN', NULL, NULL, NULL, 15),
(111364, NULL, 'PTHR19317:SF45', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN B6', NULL, NULL, NULL, 15),
(111365, NULL, 'PTHR47972:SF17', NULL, NULL, NULL, NULL, 'KINESIN MOTOR CATALYTIC DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(111366, NULL, 'PTHR10956:SF25', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L31', NULL, NULL, NULL, 15),
(111367, NULL, 'PTHR15921:SF14', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(111368, NULL, 'PTHR10791:SF205', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(111369, NULL, 'PTHR43327:SF2', NULL, NULL, NULL, NULL, 'MODULATOR OF FTSH PROTEASE HFLK', NULL, NULL, 4447, 15),
(111370, NULL, 'PTHR12537', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN PUMILIO-RELATED', NULL, NULL, NULL, 15),
(111371, NULL, 'PTHR11945:SF609', NULL, NULL, NULL, NULL, 'BNAA03G11270D PROTEIN', NULL, NULL, NULL, 15),
(111372, NULL, 'PTHR11709:SF409', NULL, NULL, NULL, NULL, 'MONOCOPPER OXIDASE-LIKE PROTEIN SKU5', NULL, NULL, NULL, 15),
(111373, NULL, 'PTHR33463:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111374, NULL, 'PTHR12231:SF252', NULL, NULL, NULL, NULL, 'ROUNDABOUT 1, ISOFORM A', NULL, NULL, NULL, 15),
(111375, NULL, 'PTHR46128:SF159', NULL, NULL, NULL, NULL, 'BNAA09G39900D PROTEIN', NULL, NULL, NULL, 15),
(111376, NULL, 'PTHR45973:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 46', NULL, NULL, NULL, 15),
(111377, NULL, 'PTHR11871:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B DELTA ISOFORM', NULL, NULL, NULL, 15),
(111378, NULL, 'PTHR23086:SF129', NULL, NULL, NULL, NULL, 'BNAC03G35590D PROTEIN', NULL, NULL, NULL, 15),
(111379, NULL, 'PTHR12002:SF192', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, NULL, 15),
(111380, NULL, 'PTHR14167:SF94', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(111381, NULL, 'PTHR24118:SF78', NULL, NULL, NULL, NULL, 'POTE ANKYRIN DOMAIN FAMILY MEMBER A', NULL, NULL, NULL, 15),
(111382, NULL, 'PTHR45089:SF36', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(111383, NULL, 'PTHR30181:SF2', NULL, NULL, NULL, NULL, 'PTS SYSTEM MANNITOL-SPECIFIC EIICBA COMPONENT', NULL, NULL, NULL, 15),
(111384, NULL, 'PTHR47965:SF26', NULL, NULL, NULL, NULL, 'OS08G0267300 PROTEIN', NULL, NULL, NULL, 15),
(111385, NULL, 'PTHR12358', NULL, NULL, NULL, NULL, 'SPHINGOSINE KINASE', NULL, NULL, NULL, 15),
(111386, NULL, 'PTHR31636:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111387, NULL, 'PTHR24343:SF302', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA SYNTHETASE AND RNA PROCESSING-ASSOCIATED KINASE 1-RELATED', NULL, NULL, NULL, 15),
(111388, NULL, 'PTHR13373:SF21', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP85', NULL, NULL, NULL, 15),
(111389, NULL, 'PTHR23112', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 157-RELATED', NULL, NULL, NULL, 15),
(111390, NULL, 'PTHR10641:SF1253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111391, NULL, 'PTHR21191:SF15', NULL, NULL, NULL, NULL, 'AQUAPORIN', NULL, NULL, NULL, 15),
(111392, NULL, 'PTHR46121:SF1', NULL, NULL, NULL, NULL, 'STARD3 N-TERMINAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111393, NULL, 'PTHR46526', NULL, NULL, NULL, NULL, 'CHORDIN', NULL, NULL, NULL, 15),
(111394, NULL, 'PTHR12425', NULL, NULL, NULL, NULL, 'SYNEMBRYN', NULL, NULL, 15072, 15),
(111395, NULL, 'PTHR24296:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111396, NULL, 'PTHR24320:SF202', NULL, NULL, NULL, NULL, 'OS10G0548000 PROTEIN', NULL, NULL, NULL, 15),
(111397, NULL, 'PTHR10501:SF63', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN A', NULL, NULL, NULL, 15),
(111398, NULL, 'PTHR31037:SF2', NULL, NULL, NULL, NULL, 'RELT, TNF RECEPTOR', NULL, NULL, NULL, 15),
(111399, NULL, 'PTHR24416:SF338', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR-RELATED PROTEIN', NULL, NULL, 28737, 15),
(111400, NULL, 'PTHR23024:SF408', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE', NULL, NULL, NULL, 15),
(111401, NULL, 'PTHR42820', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE', NULL, NULL, NULL, 15),
(111402, NULL, 'PTHR11699:SF289', NULL, NULL, NULL, NULL, 'BNAA06G20750D PROTEIN', NULL, NULL, NULL, 15),
(111403, NULL, 'PTHR22780:SF36', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA-1', NULL, NULL, NULL, 15),
(111404, NULL, 'PTHR31907:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111405, NULL, 'PTHR47228', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 16', NULL, NULL, 29280, 15),
(111406, NULL, 'PTHR24349:SF425', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 17-LIKE', NULL, NULL, NULL, 15),
(111407, NULL, 'PTHR34208:SF5', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(111408, NULL, 'PTHR11064:SF145', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y PROTEIN', NULL, NULL, NULL, 15),
(111409, NULL, 'PTHR34223:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111410, NULL, 'PTHR24298:SF441', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81D1', NULL, NULL, NULL, 15),
(111411, NULL, 'PTHR24093:SF482', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(111412, NULL, 'PTHR10024:SF227', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN 1', NULL, NULL, NULL, 15),
(111413, NULL, 'PTHR11662:SF40', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE COTRANSPORTER-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111414, NULL, 'PTHR32285:SF182', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 34', NULL, NULL, NULL, 15),
(111415, NULL, 'PTHR34047:SF7', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE-RELATED', NULL, NULL, NULL, 15),
(111416, NULL, 'PTHR11830:SF3', NULL, NULL, NULL, NULL, 'CYLINDROMATOSIS, ISOFORM D', NULL, NULL, NULL, 15),
(111417, NULL, 'PTHR31579:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111418, NULL, 'PTHR24300:SF301', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 2, SUBFAMILY J, POLYPEPTIDE 23-RELATED', NULL, NULL, NULL, 15),
(111419, NULL, 'PTHR33672:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111420, NULL, 'PTHR24381:SF80', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 558', NULL, NULL, NULL, 15),
(111421, NULL, 'PTHR48001:SF37', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(111422, NULL, 'PTHR10336:SF172', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(111423, NULL, 'PTHR24006:SF787', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 2', NULL, NULL, NULL, 15),
(111424, NULL, 'PTHR11709:SF308', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(111425, NULL, 'PTHR32212:SF329', NULL, NULL, NULL, NULL, 'BNAC03G13510D PROTEIN', NULL, NULL, NULL, 15),
(111426, NULL, 'PTHR24222:SF48', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 15', NULL, NULL, NULL, 15),
(111427, NULL, 'PTHR35516:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(111428, NULL, 'PTHR31867:SF166', NULL, NULL, NULL, NULL, 'EXPANSIN-A4', NULL, NULL, NULL, 15),
(111429, NULL, 'PTHR47925:SF16', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111430, NULL, 'PTHR10846:SF59', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER 5-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111431, NULL, 'PTHR45621:SF137', NULL, NULL, NULL, NULL, 'BNACNNG51670D PROTEIN', NULL, NULL, NULL, 15),
(111432, NULL, 'PTHR18945:SF818', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID (GABA) A RECEPTOR, RHO 2B', NULL, NULL, NULL, 15),
(111433, NULL, 'PTHR11785:SF502', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(111434, NULL, 'PTHR45717:SF34', NULL, NULL, NULL, NULL, 'BNAA07G01620D PROTEIN', NULL, NULL, NULL, 15),
(111435, NULL, 'PTHR24103:SF622', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 55A', NULL, NULL, NULL, 15),
(111436, NULL, 'PTHR10980:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111437, NULL, 'PTHR31205:SF61', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN', NULL, NULL, NULL, 15),
(111438, NULL, 'PTHR23227:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111439, NULL, 'PTHR12565:SF375', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH77', NULL, NULL, NULL, 15),
(111440, NULL, 'PTHR10694:SF121', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ706-LIKE', NULL, NULL, NULL, 15),
(111441, NULL, 'PTHR31238:SF181', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111442, NULL, 'PTHR12112', NULL, NULL, NULL, NULL, 'BNIP - RELATED', NULL, NULL, NULL, 15),
(111443, NULL, 'PTHR32246:SF71', NULL, NULL, NULL, NULL, 'PROTEIN SRC2 HOMOLOG', NULL, NULL, NULL, 15),
(111444, NULL, 'PTHR10885:SF9', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE I-LIKE', NULL, NULL, NULL, 15),
(111445, NULL, 'PTHR31896:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111446, NULL, 'PTHR11548:SF1', NULL, NULL, NULL, NULL, 'THYMIDYLATE SYNTHASE 1', NULL, NULL, NULL, 15),
(111447, NULL, 'PTHR35812:SF1', NULL, NULL, NULL, NULL, 'LIPOPROTEIN', NULL, NULL, NULL, 15),
(111448, NULL, 'PTHR38105:SF2', NULL, NULL, NULL, NULL, 'N-ACETYLNEURAMINIC ACID OUTER MEMBRANE CHANNEL PROTEIN NANC-RELATED', NULL, NULL, NULL, 15),
(111449, NULL, 'PTHR15527:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111450, NULL, 'PTHR31325:SF23', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(111451, NULL, 'PTHR46706:SF10', NULL, NULL, NULL, NULL, 'WARTHOG PROTEIN 6', NULL, NULL, NULL, 15),
(111452, NULL, 'PTHR19339:SF2', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 22', NULL, NULL, NULL, 15),
(111453, NULL, 'PTHR18968:SF86', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE LARGE SUBUNIT ILVX-RELATED', NULL, NULL, NULL, 15),
(111454, NULL, 'PTHR14614:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111455, NULL, 'PTHR24381:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 169', NULL, NULL, NULL, 15),
(111456, NULL, 'PTHR24286:SF209', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(111457, NULL, 'PTHR46077:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TOPORS', NULL, NULL, NULL, 15),
(111458, NULL, 'PTHR10751:SF105', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(111459, NULL, 'PTHR19422:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111460, NULL, 'PTHR22951:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111461, NULL, 'PTHR11533:SF31', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE Q', NULL, NULL, NULL, 15),
(111462, NULL, 'PTHR19134:SF445', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN-TYROSINE PHOSPHATASE EGG-4-RELATED', NULL, NULL, NULL, 15),
(111463, NULL, 'PTHR31317:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111464, NULL, 'PTHR45527:SF3', NULL, NULL, NULL, NULL, 'SIDEROPHORE SYNTHETASE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(111465, NULL, 'PTHR11668:SF409', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(111466, NULL, 'PTHR43283:SF9', NULL, NULL, NULL, NULL, 'D-AMINOACYLASE-RELATED', NULL, NULL, NULL, 15),
(111467, NULL, 'PTHR24055:SF465', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(111468, NULL, 'PTHR35478', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(111469, NULL, 'PTHR31210:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111470, NULL, 'PTHR12354:SF6', NULL, NULL, NULL, NULL, 'INTERFERON-RELATED DEVELOPMENTAL REGULATOR 1', NULL, NULL, NULL, 15),
(111471, NULL, 'PTHR36377:SF1', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN', NULL, NULL, NULL, 15),
(111472, NULL, 'PTHR27000:SF739', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IRK-RELATED', NULL, NULL, NULL, 15),
(111473, NULL, 'PTHR19297:SF177', NULL, NULL, NULL, NULL, 'GLYCOSYLATION RELATED', NULL, NULL, NULL, 15),
(111474, NULL, 'PTHR36056:SF2', NULL, NULL, NULL, NULL, 'OS02G0550000 PROTEIN', NULL, NULL, NULL, 15),
(111475, NULL, 'PTHR12805', NULL, NULL, NULL, NULL, 'KIN17  KIN, ANTIGENIC DETERMINANT OF RECA PROTEIN HOMOLOG', NULL, NULL, 35639, 15),
(111476, NULL, 'PTHR31251:SF106', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(111477, NULL, 'PTHR11206:SF345', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(111478, NULL, 'PTHR42866:SF6', NULL, NULL, NULL, NULL, '3-DEOXY-MANNO-OCTULOSONATE CYTIDYLYLTRANSFERASE, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(111479, NULL, 'PTHR24056:SF463', NULL, NULL, NULL, NULL, 'OS07G0596600 PROTEIN', NULL, NULL, NULL, 15),
(111480, NULL, 'PTHR10279:SF9', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE ANTIZYME 3', NULL, NULL, 27795, 15),
(111481, NULL, 'PTHR42716:SF1', NULL, NULL, NULL, NULL, 'SLL0471 PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111482, NULL, 'PTHR10694:SF96', NULL, NULL, NULL, NULL, 'DEMETHYLASE JMJ14-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111483, NULL, 'PTHR14254:SF5', NULL, NULL, NULL, NULL, 'ERBB RECEPTOR FEEDBACK INHIBITOR 1', NULL, NULL, NULL, 15),
(111484, NULL, 'PTHR46020:SF4', NULL, NULL, NULL, NULL, 'OSJNBB0059K02.9 PROTEIN', NULL, NULL, NULL, 15),
(111485, NULL, 'PTHR11977:SF105', NULL, NULL, NULL, NULL, 'VILLIN/GELSOLIN, ADF-H/GELSOLIN-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111486, NULL, 'PTHR47980:SF19', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-3', NULL, NULL, NULL, 15),
(111487, NULL, 'PTHR46631:SF19', NULL, NULL, NULL, NULL, 'BNAA09G45170D PROTEIN', NULL, NULL, NULL, 15),
(111488, NULL, 'PTHR11706:SF48', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAT1', NULL, NULL, NULL, 15),
(111489, NULL, 'PTHR22849:SF136', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(111490, NULL, 'PTHR46221:SF2', NULL, NULL, NULL, NULL, 'FERM AND PDZ DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(111491, NULL, 'PTHR14131:SF6', NULL, NULL, NULL, NULL, 'ANOSMIN 1A', NULL, NULL, NULL, 15),
(111492, NULL, 'PTHR15568', NULL, NULL, NULL, NULL, 'ECOTROPIC VIRAL INTEGRATION SITE 2A', NULL, NULL, 14113, 15),
(111493, NULL, 'PTHR34591:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111494, NULL, 'PTHR10257:SF98', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(111495, NULL, 'PTHR31896:SF54', NULL, NULL, NULL, NULL, 'BNAC09G31030D PROTEIN', NULL, NULL, NULL, 15),
(111496, NULL, 'PTHR34797:SF9', NULL, NULL, NULL, NULL, 'BNAC04G04660D PROTEIN', NULL, NULL, NULL, 15),
(111497, NULL, 'PTHR15071:SF13', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN ATG27 (EUROFUNG)', NULL, NULL, NULL, 15),
(111498, NULL, 'PTHR46782:SF1', NULL, NULL, NULL, NULL, 'OS01G0757700 PROTEIN', NULL, NULL, NULL, 15),
(111499, NULL, 'PTHR31210:SF77', NULL, NULL, NULL, NULL, 'BNAA09G28270D PROTEIN', NULL, NULL, NULL, 15),
(111500, NULL, 'PTHR21596:SF50', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 4-LIKE', NULL, NULL, NULL, 15),
(111501, NULL, 'PTHR26379:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111502, NULL, 'PTHR46835', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER (BZIP) TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', NULL, NULL, 37534, 15),
(111503, NULL, 'PTHR36856:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111504, NULL, 'PTHR45707:SF49', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(111505, NULL, 'PTHR45953:SF1', NULL, NULL, NULL, NULL, 'IDURONATE 2-SULFATASE', NULL, NULL, NULL, 15),
(111506, NULL, 'PTHR22941:SF163', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(111507, NULL, 'PTHR33021:SF224', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111508, NULL, 'PTHR31376:SF54', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 3', NULL, NULL, NULL, 15),
(111509, NULL, 'PTHR10027:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111510, NULL, 'PTHR47926:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111511, NULL, 'PTHR48018:SF154', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(111512, NULL, 'PTHR10641:SF1242', NULL, NULL, NULL, NULL, 'MYB-RELATED TRANSCRIPTION FACTOR LBM1', NULL, NULL, NULL, 15),
(111513, NULL, 'PTHR32166:SF65', NULL, NULL, NULL, NULL, 'TRANSPOSON SUPERFAMILY, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111514, NULL, 'PTHR11705:SF91', NULL, NULL, NULL, NULL, 'RH39904P-RELATED', NULL, NULL, NULL, 15),
(111515, NULL, 'PTHR23023:SF267', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(111516, NULL, 'PTHR33830:SF23', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 159-RELATED', NULL, NULL, NULL, 15),
(111517, NULL, 'PTHR11960:SF53', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E TYPE 3', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111518, NULL, 'PTHR31150:SF38', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(111519, NULL, 'PTHR24273', NULL, NULL, NULL, NULL, 'FI04643P-RELATED', NULL, NULL, NULL, 15),
(111520, NULL, 'PTHR24350:SF27', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AURORA-1', NULL, NULL, NULL, 15),
(111521, NULL, 'PTHR11566:SF172', NULL, NULL, NULL, NULL, 'DYNAMIN CENTRAL REGION PROTEIN', NULL, NULL, NULL, 15),
(111522, NULL, 'PTHR31215:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111523, NULL, 'PTHR15712:SF9', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING X-LINKED PROTEIN 2', NULL, NULL, NULL, 15),
(111524, NULL, 'PTHR21472:SF24', NULL, NULL, NULL, NULL, 'SI:DKEY-243K1.3', NULL, NULL, NULL, 15),
(111525, NULL, 'PTHR35844:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111526, NULL, 'PTHR34145:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111527, NULL, 'PTHR46871:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111528, NULL, 'PTHR32401:SF20', NULL, NULL, NULL, NULL, 'BNAC06G15080D PROTEIN', NULL, NULL, NULL, 15),
(111529, NULL, 'PTHR10994:SF151', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111530, NULL, 'PTHR43120:SF4', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', NULL, NULL, NULL, 15),
(111531, NULL, 'PTHR47958:SF102', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE P62-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111532, NULL, 'PTHR43689:SF2', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(111533, NULL, 'PTHR45660:SF41', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE H3 LYSINE-9 SPECIFIC SUVH5', NULL, NULL, NULL, 15),
(111534, NULL, 'PTHR18914:SF23', NULL, NULL, NULL, NULL, 'CATENIN ALPHA-2', NULL, NULL, 23250, 15),
(111535, NULL, 'PTHR13822:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111536, NULL, 'PTHR31805:SF20', NULL, NULL, NULL, NULL, 'BNAA08G13790D PROTEIN', NULL, NULL, NULL, 15),
(111537, NULL, 'PTHR21109:SF18', NULL, NULL, NULL, NULL, 'BNAC02G42450D PROTEIN', NULL, NULL, NULL, 15),
(111538, NULL, 'PTHR22761:SF66', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 5-LIKE', NULL, NULL, NULL, 15),
(111539, NULL, 'PTHR47557', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 37339, 15),
(111540, NULL, 'PTHR24028:SF56', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A7', NULL, NULL, NULL, 15),
(111541, NULL, 'PTHR12287:SF19', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR KINASE SUBSTRATE 8-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(111542, NULL, 'PTHR45821:SF5', NULL, NULL, NULL, NULL, 'SNF2 DOMAIN-CONTAINING PROTEIN CLASSY 4', NULL, NULL, NULL, 15),
(111543, NULL, 'PTHR11062:SF185', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE MUR3', NULL, NULL, NULL, 15),
(111544, NULL, 'PTHR10836:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111545, NULL, 'PTHR42973:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111546, NULL, 'PTHR46585', NULL, NULL, NULL, NULL, 'INTEGRASE CORE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(111547, NULL, 'PTHR11751:SF467', NULL, NULL, NULL, NULL, 'OS07G0617800 PROTEIN', NULL, NULL, NULL, 15),
(111548, NULL, 'PTHR31589:SF157', NULL, NULL, NULL, NULL, 'BNAANNG19260D PROTEIN', NULL, NULL, NULL, 15),
(111549, NULL, 'PTHR30006', NULL, NULL, NULL, NULL, 'THIAMINE-BINDING PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111550, NULL, 'PTHR22893:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111551, NULL, 'PTHR45683:SF8', NULL, NULL, NULL, NULL, 'PEROXISOMAL NICOTINAMIDE ADENINE DINUCLEOTIDE CARRIER', NULL, NULL, NULL, 15),
(111552, NULL, 'PTHR11712:SF323', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE II, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(111553, NULL, 'PTHR32227:SF88', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 13', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111554, NULL, 'PTHR31901:SF76', NULL, NULL, NULL, NULL, 'BNACNNG49820D PROTEIN', NULL, NULL, NULL, 15),
(111555, NULL, 'PTHR11814:SF37', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER SULP-5', NULL, NULL, 26807, 15),
(111556, NULL, 'PTHR13531:SF6', NULL, NULL, NULL, NULL, 'TMEM (HUMAN TRANSMEMBRANE PROTEIN) HOMOLOG', NULL, NULL, NULL, 15),
(111557, NULL, 'PTHR46067:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111558, NULL, 'PTHR19282:SF463', NULL, NULL, NULL, NULL, 'TETRASPANIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111559, NULL, 'PTHR24073:SF1127', NULL, NULL, NULL, NULL, 'RAB32A, MEMBER RAS ONCOGENE FAMILY-RELATED', NULL, NULL, NULL, 15),
(111560, NULL, 'PTHR31677:SF107', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF109', NULL, NULL, NULL, 15),
(111561, NULL, 'PTHR45648:SF109', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE LTL1', NULL, NULL, NULL, 15),
(111562, NULL, 'PTHR11036:SF71', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3AA', NULL, NULL, NULL, 15),
(111563, NULL, 'PTHR31343:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111564, NULL, 'PTHR11132:SF254', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111565, NULL, 'PTHR39383:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG16996', NULL, NULL, NULL, 15),
(111566, NULL, 'PTHR24185', NULL, NULL, NULL, NULL, 'CALCIUM-INDEPENDENT PHOSPHOLIPASE A2-GAMMA', NULL, NULL, NULL, 15),
(111567, NULL, 'PTHR46658', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 11169, 15),
(111568, NULL, 'PTHR37209', NULL, NULL, NULL, NULL, 'LYSINE-RICH ARABINOGALACTAN PROTEIN 17-RELATED', NULL, NULL, 38490, 15),
(111569, NULL, 'PTHR48047:SF106', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(111570, NULL, 'PTHR22814:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111571, NULL, 'PTHR12167:SF4', NULL, NULL, NULL, NULL, 'NATRIURETIC PEPTIDE C-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111572, NULL, 'PTHR36619:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111573, NULL, 'PTHR46513:SF24', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN', NULL, NULL, NULL, 15),
(111574, NULL, 'PTHR48041:SF18', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 21', NULL, NULL, NULL, 15),
(111575, NULL, 'PTHR22951:SF94', NULL, NULL, NULL, NULL, 'BNAA07G37210D PROTEIN', NULL, NULL, NULL, 15),
(111576, NULL, 'PTHR35494:SF3', NULL, NULL, NULL, NULL, 'BNAA01G13510D PROTEIN', NULL, NULL, NULL, 15),
(111577, NULL, 'PTHR24298:SF204', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 712, SUBFAMILY A, POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(111578, NULL, 'PTHR21139:SF22', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(111579, NULL, 'PTHR28018:SF3', NULL, NULL, NULL, NULL, 'RESPIRATORY SUPERCOMPLEX FACTOR 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(111580, NULL, 'PTHR43853:SF18', NULL, NULL, NULL, NULL, 'BNAC04G43560D PROTEIN', NULL, NULL, NULL, 15),
(111581, NULL, 'PTHR33645', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE (DUF3754)', NULL, NULL, NULL, 15),
(111582, NULL, 'PTHR34665:SF1', NULL, NULL, NULL, NULL, 'OS02G0595200 PROTEIN', NULL, NULL, NULL, 15),
(111583, NULL, 'PTHR31052:SF18', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(111584, NULL, 'PTHR23018:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', NULL, NULL, NULL, 15),
(111585, NULL, 'PTHR40836:SF2', NULL, NULL, NULL, NULL, 'OS06G0728200 PROTEIN', NULL, NULL, NULL, 15),
(111586, NULL, 'PTHR33444:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.12-RELATED', NULL, NULL, NULL, 15),
(111587, NULL, 'PTHR13994:SF13', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE-LINKED MOIETY X MOTIF 6', NULL, NULL, NULL, 15),
(111588, NULL, 'PTHR35519', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEINS', NULL, NULL, 23074, 15),
(111589, NULL, 'PTHR10091:SF15', NULL, NULL, NULL, NULL, 'ALDOSE-1-EPIMERASE-RELATED', NULL, NULL, NULL, 15),
(111590, NULL, 'PTHR33597:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111591, NULL, 'PTHR46524:SF11', NULL, NULL, NULL, NULL, 'BNAA01G35480D PROTEIN', NULL, NULL, NULL, 15),
(111592, NULL, 'PTHR24369:SF184', NULL, NULL, NULL, NULL, 'ADHESION MOLECULE WITH IG LIKE DOMAIN 2', NULL, NULL, NULL, 15),
(111593, NULL, 'PTHR46387:SF31', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111594, NULL, 'PTHR24055:SF448', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(111595, NULL, 'PTHR21234:SF46', NULL, NULL, NULL, NULL, 'BNAA01G13860D PROTEIN', NULL, NULL, NULL, 15),
(111596, NULL, 'PTHR32116:SF65', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(111597, NULL, 'PTHR46002:SF1', NULL, NULL, NULL, NULL, 'CALCINEURIN B HOMOLOGOUS PROTEIN 1', NULL, NULL, NULL, 15),
(111598, NULL, 'PTHR33078:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111599, NULL, 'PTHR11062:SF320', NULL, NULL, NULL, NULL, 'BNAA09G42910D PROTEIN', NULL, NULL, NULL, 15),
(111600, NULL, 'PTHR24299:SF37', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(111601, NULL, 'PTHR14469:SF3', NULL, NULL, NULL, NULL, 'PC-ESTERASE DOMAIN-CONTAINING PROTEIN 1A', NULL, NULL, NULL, 15),
(111602, NULL, 'PTHR11908:SF141', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE-LIKE', NULL, NULL, NULL, 15),
(111603, NULL, 'PTHR11304:SF70', NULL, NULL, NULL, NULL, 'EPHRIN-A5', NULL, NULL, NULL, 15),
(111604, NULL, 'PTHR11256:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111605, NULL, 'PTHR26454:SF32', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(111606, NULL, 'PTHR47925:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111607, NULL, 'PTHR22835:SF517', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(111608, NULL, 'PTHR33355:SF5', NULL, NULL, NULL, NULL, 'F12F1.23 PROTEIN', NULL, NULL, NULL, 15),
(111609, NULL, 'PTHR34944:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111610, NULL, 'PTHR34774:SF3', NULL, NULL, NULL, NULL, 'BNAA06G10790D PROTEIN', NULL, NULL, NULL, 15),
(111611, NULL, 'PTHR47956:SF12', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE', NULL, NULL, NULL, 15),
(111612, NULL, 'PTHR26379:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111613, NULL, 'PTHR31499:SF46', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(111614, NULL, 'PTHR24161:SF88', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(111615, NULL, 'PTHR47287:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111616, NULL, 'PTHR45655:SF8', NULL, NULL, NULL, NULL, 'SOLUBLE GUANYLATE CYCLASE GCY-33', NULL, NULL, NULL, 15),
(111617, NULL, 'PTHR33388:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SPEAR4', NULL, NULL, NULL, 15),
(111618, NULL, 'PTHR31301:SF144', NULL, NULL, NULL, NULL, 'BNAC03G46840D PROTEIN', NULL, NULL, NULL, 15),
(111619, NULL, 'PTHR31228:SF32', NULL, NULL, NULL, NULL, 'BNAA03G17050D PROTEIN', NULL, NULL, NULL, 15),
(111620, NULL, 'PTHR43670:SF7', NULL, NULL, NULL, NULL, 'OS01G0588000 PROTEIN', NULL, NULL, NULL, 15),
(111621, NULL, 'PTHR46797:SF13', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR SINR', NULL, NULL, NULL, 15),
(111622, NULL, 'PTHR43537:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(111623, NULL, 'PTHR19876:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111624, NULL, 'PTHR33383', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN INSERTION EFFICIENCY FACTOR-RELATED', NULL, NULL, 3504, 15),
(111625, NULL, 'PTHR10574:SF274', NULL, NULL, NULL, NULL, 'USHERIN', NULL, NULL, 28765, 15),
(111626, NULL, 'PTHR48004:SF30', NULL, NULL, NULL, NULL, 'OS03G0436600 PROTEIN', NULL, NULL, NULL, 15),
(111627, NULL, 'PTHR11465:SF52', NULL, NULL, NULL, NULL, 'CATALASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111628, NULL, 'PTHR33136:SF68', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 26-RELATED', NULL, NULL, NULL, 15),
(111629, NULL, 'PTHR31297:SF22', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE 2', NULL, NULL, NULL, 15),
(111630, NULL, 'PTHR11994:SF33', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11-LIKE', NULL, NULL, NULL, 15),
(111631, NULL, 'PTHR24305:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111632, NULL, 'PTHR11430:SF129', NULL, NULL, NULL, NULL, 'ODORANT-BINDING PROTEIN 2A-RELATED', NULL, NULL, NULL, 15),
(111633, NULL, 'PTHR10209:SF738', NULL, NULL, NULL, NULL, 'BNAC01G38190D PROTEIN', NULL, NULL, NULL, 15),
(111634, NULL, 'PTHR10064:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111635, NULL, 'PTHR10997:SF26', NULL, NULL, NULL, NULL, 'IMPORTIN-8', NULL, NULL, NULL, 15),
(111636, NULL, 'PTHR14195:SF4', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 23875, 15),
(111637, NULL, 'PTHR23500:SF445', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111638, NULL, 'PTHR45710:SF13', NULL, NULL, NULL, NULL, 'SI:DKEY-26C10.5', NULL, NULL, NULL, 15),
(111639, NULL, 'PTHR14239:SF8', NULL, NULL, NULL, NULL, 'METALLOREDUCTASE STEAP3', NULL, NULL, NULL, 15),
(111640, NULL, 'PTHR24377:SF773', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111641, NULL, 'PTHR46273:SF3', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', NULL, NULL, NULL, 15),
(111642, NULL, 'PTHR10891:SF871', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(111643, NULL, 'PTHR31750:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111644, NULL, 'PTHR48053:SF19', NULL, NULL, NULL, NULL, 'BNAC02G45200D PROTEIN', NULL, NULL, NULL, 15),
(111645, NULL, 'PTHR33074:SF41', NULL, NULL, NULL, NULL, 'OS03G0178900 PROTEIN', NULL, NULL, NULL, 15),
(111646, NULL, 'PTHR10003:SF58', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SUPEROXIDE DISMUTASE [CU-ZN]', NULL, NULL, NULL, 15),
(111647, NULL, 'PTHR47979:SF47', NULL, NULL, NULL, NULL, 'BNAC03G58780D PROTEIN', NULL, NULL, NULL, 15),
(111648, NULL, 'PTHR23359:SF173', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4-LIKE', NULL, NULL, NULL, 15),
(111649, NULL, 'PTHR10352:SF48', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2B-LIKE', NULL, NULL, NULL, 15),
(111650, NULL, 'PTHR23036:SF95', NULL, NULL, NULL, NULL, 'ONCOSTATIN-M-SPECIFIC RECEPTOR SUBUNIT BETA', NULL, NULL, NULL, 15),
(111651, NULL, 'PTHR21470:SF18', NULL, NULL, NULL, NULL, 'BNAANNG07350D PROTEIN', NULL, NULL, NULL, 15),
(111652, NULL, 'PTHR31325:SF219', NULL, NULL, NULL, NULL, 'OS01G0343100 PROTEIN', NULL, NULL, NULL, 15),
(111653, NULL, 'PTHR13832:SF343', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE [ACETYL-TRANSFERRING]]-PHOSPHATASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(111654, NULL, 'PTHR33596', NULL, NULL, NULL, NULL, 'COLD-REGULATED 413 PLASMA MEMBRANE PROTEIN 2', NULL, NULL, 7919, 15),
(111655, NULL, 'PTHR11913:SF90', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 12', NULL, NULL, NULL, 15),
(111656, NULL, 'PTHR33513:SF19', NULL, NULL, NULL, NULL, 'OS02G0258800 PROTEIN', NULL, NULL, NULL, 15),
(111657, NULL, 'PTHR36748:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111658, NULL, 'PTHR48163', NULL, NULL, NULL, NULL, 'BNAC02G25670D PROTEIN', NULL, NULL, NULL, 15),
(111659, NULL, 'PTHR21600:SF68', NULL, NULL, NULL, NULL, 'PSEUDOURIDYLATE SYNTHASE', NULL, NULL, NULL, 15),
(111660, NULL, 'PTHR48010', NULL, NULL, NULL, NULL, 'OS05G0588300 PROTEIN', NULL, NULL, NULL, 15),
(111661, NULL, 'PTHR11915:SF427', NULL, NULL, NULL, NULL, 'SPECTRIN ALPHA CHAIN, NON-ERYTHROCYTIC 1', NULL, NULL, NULL, 15),
(111662, NULL, 'PTHR27009:SF240', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 4', NULL, NULL, NULL, 15),
(111663, NULL, 'PTHR19321:SF27', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(111664, NULL, 'PTHR24006:SF716', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 2', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111665, NULL, 'PTHR43859:SF43', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 1, PEROXISOMAL-RELATED', NULL, NULL, NULL, 15),
(111666, NULL, 'PTHR23264', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING PROTEIN NBP35 YEAST -RELATED', NULL, NULL, 20083, 15),
(111667, NULL, 'PTHR43671:SF60', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111668, NULL, 'PTHR26454:SF29', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(111669, NULL, 'PTHR27002:SF695', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 17-RELATED', NULL, NULL, NULL, 15),
(111670, NULL, 'PTHR21301:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111671, NULL, 'PTHR11808:SF15', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-LYASE', NULL, NULL, NULL, 15),
(111672, NULL, 'PTHR10015:SF334', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-6B', NULL, NULL, NULL, 15),
(111673, NULL, 'PTHR12346:SF0', NULL, NULL, NULL, NULL, 'SIN3A, ISOFORM G', NULL, NULL, NULL, 15),
(111674, NULL, 'PTHR32444:SF135', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', NULL, NULL, NULL, 15),
(111675, NULL, 'PTHR14949:SF41', NULL, NULL, NULL, NULL, 'TERATOCARCINOMA-DERIVED GROWTH FACTOR 1', NULL, NULL, NULL, 15),
(111676, NULL, 'PTHR22941:SF18', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(111677, NULL, 'PTHR41164', NULL, NULL, NULL, NULL, 'CURLI PRODUCTION ASSEMBLY/TRANSPORT COMPONENT CSGG', NULL, NULL, NULL, 15),
(111678, NULL, 'PTHR11732:SF153', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER C1-RELATED', NULL, NULL, NULL, 15),
(111679, NULL, 'PTHR12081:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F5', NULL, NULL, 24481, 15),
(111680, NULL, 'PTHR10725', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(111681, NULL, 'PTHR18896:SF129', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(111682, NULL, 'PTHR23075:SF0', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(111683, NULL, 'PTHR47966:SF50', NULL, NULL, NULL, NULL, 'OS01G0631900 PROTEIN', NULL, NULL, NULL, 15),
(111684, NULL, 'PTHR31482:SF4', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(111685, NULL, 'PTHR27005:SF321', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(111686, NULL, 'PTHR16501:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION FACTOR', NULL, NULL, NULL, 15),
(111687, NULL, 'PTHR13817:SF96', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE 1', NULL, NULL, NULL, 15),
(111688, NULL, 'PTHR31140:SF85', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING TRANSCRIPTION REPRESSOR RAV2', NULL, NULL, NULL, 15),
(111689, NULL, 'PTHR28022:SF1', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 2 SUBUNIT PGA1', NULL, NULL, NULL, 15),
(111690, NULL, 'PTHR14882:SF5', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 74A', NULL, NULL, NULL, 15),
(111691, NULL, 'PTHR12431', NULL, NULL, NULL, NULL, 'SORTING NEXIN 17 AND 27', NULL, NULL, 34348, 15),
(111692, NULL, 'PTHR23169:SF27', NULL, NULL, NULL, NULL, 'PLECTIN A', NULL, NULL, NULL, 15),
(111693, NULL, 'PTHR38697:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN SIMILAR TO S. CEREVISIAE NUP2 (EUROFUNG)', NULL, NULL, NULL, 15),
(111694, NULL, 'PTHR13167', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 26079, 15),
(111695, NULL, 'PTHR15371:SF5', NULL, NULL, NULL, NULL, 'OS01G0303300 PROTEIN', NULL, NULL, NULL, 15),
(111696, NULL, 'PTHR14112:SF23', NULL, NULL, NULL, NULL, 'PROTEIN SSX5', NULL, NULL, NULL, 15),
(111697, NULL, 'PTHR48006:SF9', NULL, NULL, NULL, NULL, 'OS05G0399800 PROTEIN', NULL, NULL, NULL, 15),
(111698, NULL, 'PTHR10913:SF14', NULL, NULL, NULL, NULL, 'FOLLISTATIN-RELATED PROTEIN 5-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111699, NULL, 'PTHR31570:SF1', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111700, NULL, 'PTHR32212:SF267', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(111701, NULL, 'PTHR46616:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(111702, NULL, 'PTHR32263:SF31', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(111703, NULL, 'PTHR10794:SF46', NULL, NULL, NULL, NULL, 'ESTERASE SLR0264-RELATED', NULL, NULL, NULL, 15),
(111704, NULL, 'PTHR10209:SF783', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111705, NULL, 'PTHR47983:SF11', NULL, NULL, NULL, NULL, 'BNAC05G04600D PROTEIN', NULL, NULL, NULL, 15),
(111706, NULL, 'PTHR12506:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 13-RELATED', NULL, NULL, NULL, 15),
(111707, NULL, 'PTHR31376:SF40', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 21-RELATED', NULL, NULL, NULL, 15),
(111708, NULL, 'PTHR10856:SF17', NULL, NULL, NULL, NULL, 'CORONIN-2B', NULL, NULL, 26130, 15),
(111709, NULL, 'PTHR24322:SF483', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE 3', NULL, NULL, 24686, 15),
(111710, NULL, 'PTHR35767:SF10', NULL, NULL, NULL, NULL, 'BNAA10G10470D PROTEIN', NULL, NULL, NULL, 15),
(111711, NULL, 'PTHR46290:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111712, NULL, 'PTHR23359:SF209', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 3', NULL, NULL, NULL, 15),
(111713, NULL, 'PTHR32141:SF103', NULL, NULL, NULL, NULL, 'OS01G0706266 PROTEIN', NULL, NULL, NULL, 15),
(111714, NULL, 'PTHR48019:SF88', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL65', NULL, NULL, NULL, 15),
(111715, NULL, 'PTHR23076:SF58', NULL, NULL, NULL, NULL, 'INACTIVE ATP-DEPENDENT ZINC METALLOPROTEASE FTSHI 5, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(111716, NULL, 'PTHR10210:SF41', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE', NULL, NULL, NULL, 15),
(111717, NULL, 'PTHR21662:SF14', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(111718, NULL, 'PTHR13018:SF20', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 75', NULL, NULL, NULL, 15),
(111719, NULL, 'PTHR17571:SF33', NULL, NULL, NULL, NULL, 'ACROSOMAL VESICLE PROTEIN 1', NULL, NULL, NULL, 15),
(111720, NULL, 'PTHR12265:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111721, NULL, 'PTHR10903:SF140', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST 159 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(111722, NULL, 'PTHR24291:SF56', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4AE1-RELATED', NULL, NULL, NULL, 15),
(111723, NULL, 'PTHR33248:SF20', NULL, NULL, NULL, NULL, 'BNACNNG77200D PROTEIN', NULL, NULL, NULL, 15),
(111724, NULL, 'PTHR13007:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111725, NULL, 'PTHR24340:SF90', NULL, NULL, NULL, NULL, 'NK1 TRANSCRIPTION FACTOR-RELATED 2-LIKE,A-RELATED', NULL, NULL, NULL, 15),
(111726, NULL, 'PTHR38438', NULL, NULL, NULL, NULL, 'RIBOFLAVIN TRANSPORTER RIBU', NULL, NULL, 24341, 15),
(111727, NULL, 'PTHR45839:SF13', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 3', NULL, NULL, NULL, 15),
(111728, NULL, 'PTHR14379:SF40', NULL, NULL, NULL, NULL, 'BNAA09G38430D PROTEIN', NULL, NULL, NULL, 15),
(111729, NULL, 'PTHR33248:SF13', NULL, NULL, NULL, NULL, 'DNA-(APURINIC OR APYRIMIDINIC SITE) LYASE 2-LIKE', NULL, NULL, NULL, 15),
(111730, NULL, 'PTHR24072', NULL, NULL, NULL, NULL, 'RHO FAMILY GTPASE', NULL, NULL, 361, 15),
(111731, NULL, 'PTHR43680', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE MOLYBDENUM COFACTOR ASSEMBLY CHAPERONE', NULL, NULL, 2406, 15),
(111732, NULL, 'PTHR33450:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111733, NULL, 'PTHR42896:SF5', NULL, NULL, NULL, NULL, 'BNAA06G18890D PROTEIN', NULL, NULL, NULL, 15),
(111734, NULL, 'PTHR43509:SF1', NULL, NULL, NULL, NULL, 'SULFATE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(111735, NULL, 'PTHR11461:SF330', NULL, NULL, NULL, NULL, 'OS05G0511800 PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111736, NULL, 'PTHR15276', NULL, NULL, NULL, NULL, 'H4 D10S170  PROTEIN-RELATED', NULL, NULL, 18775, 15),
(111737, NULL, 'PTHR44094:SF19', NULL, NULL, NULL, NULL, 'BNAA06G14910D PROTEIN', NULL, NULL, NULL, 15),
(111738, NULL, 'PTHR11514:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH13', NULL, NULL, NULL, 15),
(111739, NULL, 'PTHR45614:SF26', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN Q', NULL, NULL, NULL, 15),
(111740, NULL, 'PTHR11878:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111741, NULL, 'PTHR19957:SF315', NULL, NULL, NULL, NULL, 'SYNTAXIN 10', NULL, NULL, NULL, 15),
(111742, NULL, 'PTHR31681', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(111743, NULL, 'PTHR12396:SF10', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(111744, NULL, 'PTHR45974:SF137', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', NULL, NULL, NULL, 15),
(111745, NULL, 'PTHR28145:SF1', NULL, NULL, NULL, NULL, '12 KDA HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(111746, NULL, 'PTHR47982:SF34', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN KINASE SELMODRAFT_444075-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(111747, NULL, 'PTHR40469:SF2', NULL, NULL, NULL, NULL, 'SECRETED GLYCOSYL HYDROLASE', NULL, NULL, NULL, 15),
(111748, NULL, 'PTHR33021:SF235', NULL, NULL, NULL, NULL, 'MAVICYANIN-LIKE', NULL, NULL, NULL, 15),
(111749, NULL, 'PTHR23313', NULL, NULL, NULL, NULL, 'TSEC1-RELATED', NULL, NULL, NULL, 15),
(111750, NULL, 'PTHR31985:SF137', NULL, NULL, NULL, NULL, 'CBF/DREB1 TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(111751, NULL, 'PTHR24222', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY', NULL, NULL, NULL, 15),
(111752, NULL, 'PTHR47929:SF20', NULL, NULL, NULL, NULL, 'BNACNNG07920D PROTEIN', NULL, NULL, NULL, 15),
(111753, NULL, 'PTHR33109:SF41', NULL, NULL, NULL, NULL, 'PROTEIN EPIDERMAL PATTERNING FACTOR 1', NULL, NULL, NULL, 15),
(111754, NULL, 'PTHR11215:SF5', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PROTEIN HYDROLASE', NULL, NULL, NULL, 15),
(111755, NULL, 'PTHR47206:SF2', NULL, NULL, NULL, NULL, 'BNAA01G21650D PROTEIN', NULL, NULL, NULL, 15),
(111756, NULL, 'PTHR48004:SF27', NULL, NULL, NULL, NULL, 'BNAA09G15280D PROTEIN', NULL, NULL, NULL, 15),
(111757, NULL, 'PTHR10795:SF675', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', NULL, NULL, NULL, 15),
(111758, NULL, 'PTHR47067:SF15', NULL, NULL, NULL, NULL, 'BNAA04G10550D PROTEIN', NULL, NULL, NULL, 15),
(111759, NULL, 'PTHR24023:SF1018', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE XVIII ALPHA 1 CHAIN A', NULL, NULL, NULL, 15),
(111760, NULL, 'PTHR31889:SF63', NULL, NULL, NULL, NULL, 'BNACNNG39900D PROTEIN', NULL, NULL, NULL, 15),
(111761, NULL, 'PTHR47510:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111762, NULL, 'PTHR23502:SF59', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G10370)-RELATED', NULL, NULL, NULL, 15),
(111763, NULL, 'PTHR11614:SF146', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(111764, NULL, 'PTHR21446:SF9', NULL, NULL, NULL, NULL, 'KIAA1958', NULL, NULL, NULL, 15),
(111765, NULL, 'PTHR13693:SF77', NULL, NULL, NULL, NULL, '8-AMINO-7-OXONONANOATE SYNTHASE', NULL, NULL, NULL, 15),
(111766, NULL, 'PTHR11685:SF13', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND IBR DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(111767, NULL, 'PTHR14149:SF12', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING-LIKE PROTEIN IQGAP2', NULL, NULL, NULL, 15),
(111768, NULL, 'PTHR32133:SF332', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(111769, NULL, 'PTHR44054:SF1', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE MEMBRANE PROTEIN VAT-1 HOMOLOG', NULL, NULL, NULL, 15),
(111770, NULL, 'PTHR24221:SF511', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PROTEIN ATRC', NULL, NULL, NULL, 15),
(111771, NULL, 'PTHR10835:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111772, NULL, 'PTHR11207:SF28', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(111773, NULL, 'PTHR48043:SF115', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 83A1', NULL, NULL, NULL, 15),
(111774, NULL, 'PTHR12929:SF19', NULL, NULL, NULL, NULL, 'SI:CH73-196L6.5', NULL, NULL, NULL, 15),
(111775, NULL, 'PTHR24281:SF184', NULL, NULL, NULL, NULL, '(S)-N-METHYLCOCLAURINE 3''-HYDROXYLASE ISOZYME 2-RELATED', NULL, NULL, NULL, 15),
(111776, NULL, 'PTHR15907:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111777, NULL, 'PTHR45777:SF2', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2', NULL, NULL, NULL, 15),
(111778, NULL, 'PTHR31517:SF49', NULL, NULL, NULL, NULL, 'PEROXIDASE 63', NULL, NULL, NULL, 15),
(111779, NULL, 'PTHR35000:SF1', NULL, NULL, NULL, NULL, 'MUCIN MUC17, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111780, NULL, 'PTHR23320:SF42', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 13', NULL, NULL, NULL, 15),
(111781, NULL, 'PTHR21422:SF14', NULL, NULL, NULL, NULL, 'BNAA03G11600D PROTEIN', NULL, NULL, NULL, 15),
(111782, NULL, 'PTHR31238:SF164', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111783, NULL, 'PTHR35105:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CDI', NULL, NULL, NULL, 15),
(111784, NULL, 'PTHR30457', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE SURE', NULL, NULL, 23521, 15),
(111785, NULL, 'PTHR10742:SF313', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(111786, NULL, 'PTHR45827:SF4', NULL, NULL, NULL, NULL, 'SORTING NEXIN-18', NULL, NULL, 29260, 15),
(111787, NULL, 'PTHR31062:SF191', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 16-RELATED', NULL, NULL, NULL, 15),
(111788, NULL, 'PTHR11830:SF29', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', NULL, NULL, NULL, 15),
(111789, NULL, 'PTHR46043:SF1', NULL, NULL, NULL, NULL, 'OS03G0116900 PROTEIN', NULL, NULL, NULL, 15),
(111790, NULL, 'PTHR43234', NULL, NULL, NULL, NULL, 'SLL1680 PROTEIN', NULL, NULL, NULL, 15),
(111791, NULL, 'PTHR21708:SF30', NULL, NULL, NULL, NULL, '2-REDUCTASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00740)-RELATED', NULL, NULL, NULL, 15),
(111792, NULL, 'PTHR11177:SF147', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE 6', NULL, NULL, NULL, 15),
(111793, NULL, 'PTHR16932:SF31', NULL, NULL, NULL, NULL, 'SI:DKEY-188I13.10-RELATED', NULL, NULL, NULL, 15),
(111794, NULL, 'PTHR36016:SF1', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(111795, NULL, 'PTHR46128:SF186', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111796, NULL, 'PTHR10504:SF138', NULL, NULL, NULL, NULL, 'PROTEIN CBG11378', NULL, NULL, NULL, 15),
(111797, NULL, 'PTHR37481:SF1', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE EXPORT SYSTEM PROTEIN LPTC', NULL, NULL, NULL, 15),
(111798, NULL, 'PTHR10120:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111799, NULL, 'PTHR34948:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111800, NULL, 'PTHR31447:SF12', NULL, NULL, NULL, NULL, 'BNAC05G36620D PROTEIN', NULL, NULL, NULL, 15),
(111801, NULL, 'PTHR24414:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(111802, NULL, 'PTHR35122:SF1', NULL, NULL, NULL, NULL, 'OS03G0627000 PROTEIN', NULL, NULL, NULL, 15),
(111803, NULL, 'PTHR15898:SF19', NULL, NULL, NULL, NULL, 'GLUCOSE-INDUCED DEGRADATION PROTEIN 4 HOMOLOG', NULL, NULL, NULL, 15),
(111804, NULL, 'PTHR45138:SF14', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE', NULL, NULL, NULL, 15),
(111805, NULL, 'PTHR26454:SF79', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C75', NULL, NULL, NULL, 15),
(111806, NULL, 'PTHR46150:SF3', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 100F', NULL, NULL, NULL, 15),
(111807, NULL, 'PTHR42659:SF5', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDOREDUCTASE FAD-BINDING SUBUNIT PAOB', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111808, NULL, 'PTHR10896', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE  BETA-1,3-GLUCURONYLTRANSFERASE', NULL, NULL, 1366, 15),
(111809, NULL, 'PTHR32100', NULL, NULL, NULL, NULL, 'OMEGA-6 FATTY ACID DESATURASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(111810, NULL, 'PTHR35738:SF5', NULL, NULL, NULL, NULL, 'BNAA02G29100D PROTEIN', NULL, NULL, NULL, 15),
(111811, NULL, 'PTHR44947:SF1', NULL, NULL, NULL, NULL, 'OS05G0501001 PROTEIN', NULL, NULL, NULL, 15),
(111812, NULL, 'PTHR26450:SF46', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51F1', NULL, NULL, NULL, 15),
(111813, NULL, 'PTHR33148:SF35', NULL, NULL, NULL, NULL, 'EMB|CAB85509.1', NULL, NULL, NULL, 15),
(111814, NULL, 'PTHR31917:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111815, NULL, 'PTHR43153:SF10', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN SUBUNIT YDIR-RELATED', NULL, NULL, NULL, 15),
(111816, NULL, 'PTHR24006:SF813', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111817, NULL, 'PTHR24390:SF160', NULL, NULL, NULL, NULL, 'MAMMALIAN BCL (B CELL LYMPHOMA) GENE HOMOLOGS-RELATED', NULL, NULL, NULL, 15),
(111818, NULL, 'PTHR33495', NULL, NULL, NULL, NULL, 'ANTI-SIGMA FACTOR ANTAGONIST TM_1081-RELATED-RELATED', NULL, NULL, NULL, 15),
(111819, NULL, 'PTHR45730:SF61', NULL, NULL, NULL, NULL, 'BNACNNG04850D PROTEIN', NULL, NULL, NULL, 15),
(111820, NULL, 'PTHR31656:SF8', NULL, NULL, NULL, NULL, 'ROOT CAP/LATE EMBRYOGENESIS-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111821, NULL, 'PTHR33207:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111822, NULL, 'PTHR31848:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111823, NULL, 'PTHR12197:SF278', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN DDB_G0277331', NULL, NULL, NULL, 15),
(111824, NULL, 'PTHR33021:SF185', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(111825, NULL, 'PTHR34704:SF1', NULL, NULL, NULL, NULL, 'ATPASE', NULL, NULL, NULL, 15),
(111826, NULL, 'PTHR11568:SF2', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 1-BETA', NULL, NULL, NULL, 15),
(111827, NULL, 'PTHR21737:SF6', NULL, NULL, NULL, NULL, 'CACTIN', NULL, NULL, NULL, 15),
(111828, NULL, 'PTHR24243:SF148', NULL, NULL, NULL, NULL, 'PYROKININ-1 RECEPTOR', NULL, NULL, NULL, 15),
(111829, NULL, 'PTHR11850:SF219', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR AND HOMEOBOX DOMAIN TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(111830, NULL, 'PTHR24251:SF22', NULL, NULL, NULL, NULL, 'OVOCHYMASE 1', NULL, NULL, NULL, 15),
(111831, NULL, 'PTHR46118:SF3', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN CONTAINING HOMOLOG', NULL, NULL, NULL, 15),
(111832, NULL, 'PTHR28621', NULL, NULL, NULL, NULL, 'SELENOPROTEIN S', NULL, NULL, 11933, 15),
(111833, NULL, 'PTHR11984:SF5', NULL, NULL, NULL, NULL, 'GAP JUNCTION DELTA-3 PROTEIN', NULL, NULL, NULL, 15),
(111834, NULL, 'PTHR31614:SF24', NULL, NULL, NULL, NULL, 'OLEE1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111835, NULL, 'PTHR26450:SF5', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(111836, NULL, 'PTHR13318:SF162', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(111837, NULL, 'PTHR34598', NULL, NULL, NULL, NULL, 'BLL6449 PROTEIN', NULL, NULL, 38818, 15),
(111838, NULL, 'PTHR10378:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SLK3-RELATED', NULL, NULL, NULL, 15),
(111839, NULL, 'PTHR31235:SF258', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(111840, NULL, 'PTHR14447', NULL, NULL, NULL, NULL, 'UROTENSIN 2', NULL, NULL, NULL, 15),
(111841, NULL, 'PTHR21371:SF23', NULL, NULL, NULL, NULL, 'KETOL-ACID REDUCTOISOMERASE', NULL, NULL, NULL, 15),
(111842, NULL, 'PTHR36167', NULL, NULL, NULL, NULL, 'C2H2 FINGER DOMAIN TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, 33315, 15),
(111843, NULL, 'PTHR13572:SF2', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN ENDO-ALPHA-1,2-MANNOSIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111844, NULL, 'PTHR47113:SF1', NULL, NULL, NULL, NULL, 'LD09343P', NULL, NULL, NULL, 15),
(111845, NULL, 'PTHR22042', NULL, NULL, NULL, NULL, 'TANKYRASE 1 BINDING PROTEIN', NULL, NULL, 29952, 15),
(111846, NULL, 'PTHR31190:SF300', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', NULL, NULL, NULL, 15),
(111847, NULL, 'PTHR11524:SF43', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7', NULL, NULL, NULL, 15),
(111848, NULL, 'PTHR12750:SF13', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(111849, NULL, 'PTHR21713:SF1', NULL, NULL, NULL, NULL, 'NAC-ALPHA DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(111850, NULL, 'PTHR45658:SF75', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(111851, NULL, 'PTHR23245:SF36', NULL, NULL, NULL, NULL, 'TRNA (GUANINE(37)-N1)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(111852, NULL, 'PTHR11064:SF135', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-4-LIKE', NULL, NULL, NULL, 15),
(111853, NULL, 'PTHR13904', NULL, NULL, NULL, NULL, 'PRE-MRNA SPLICING FACTOR PRP31', NULL, NULL, 23244, 15),
(111854, NULL, 'PTHR27001:SF666', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111855, NULL, 'PTHR40658', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 8864, 15),
(111856, NULL, 'PTHR11739:SF25', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE-RELATED PROTEIN DDB_G0287281', NULL, NULL, NULL, 15),
(111857, NULL, 'PTHR47987:SF13', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-PROTEIN KINASE RBK2 ISOFORM X1', NULL, NULL, NULL, 15),
(111858, NULL, 'PTHR22765:SF157', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', NULL, NULL, NULL, 15),
(111859, NULL, 'PTHR31707:SF182', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(111860, NULL, 'PTHR31521:SF3', NULL, NULL, NULL, NULL, 'BNAA01G30180D PROTEIN', NULL, NULL, NULL, 15),
(111861, NULL, 'PTHR47558:SF1', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HOS3', NULL, NULL, NULL, 15),
(111862, NULL, 'PTHR35317:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111863, NULL, 'PTHR11188:SF51', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN 15', NULL, NULL, NULL, 15),
(111864, NULL, 'PTHR36320', NULL, NULL, NULL, NULL, 'OS04G0611300 PROTEIN', NULL, NULL, NULL, 15),
(111865, NULL, 'PTHR46243:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111866, NULL, 'PTHR23087', NULL, NULL, NULL, NULL, 'NONHISTONE CHROMOSOMAL PROTEIN HMG', NULL, NULL, NULL, 15),
(111867, NULL, 'PTHR10529:SF358', NULL, NULL, NULL, NULL, 'CLATHRIN ADAPTOR, MU SUBUNIT, MU-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111868, NULL, 'PTHR32004:SF1', NULL, NULL, NULL, NULL, 'TRNA LIGASE', NULL, NULL, NULL, 15),
(111869, NULL, 'PTHR30435:SF2', NULL, NULL, NULL, NULL, 'FLAGELLAR BASAL-BODY ROD PROTEIN FLGC', NULL, NULL, NULL, 15),
(111870, NULL, 'PTHR15591:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111871, NULL, 'PTHR37166', NULL, NULL, NULL, NULL, 'PROTEIN FLAG', NULL, NULL, 5363, 15),
(111872, NULL, 'PTHR32141:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111873, NULL, 'PTHR45694:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111874, NULL, 'PTHR31225:SF106', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE', NULL, NULL, NULL, 15),
(111875, NULL, 'PTHR24028:SF283', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111876, NULL, 'PTHR10836:SF103', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(111877, NULL, 'PTHR35483:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111878, NULL, 'PTHR11017:SF249', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)-RELATED', NULL, NULL, NULL, 15),
(111879, NULL, 'PTHR34358:SF10', NULL, NULL, NULL, NULL, 'BNAA03G53520D PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111880, NULL, 'PTHR43228:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111881, NULL, 'PTHR31062:SF169', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(111882, NULL, 'PTHR36168:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(111883, NULL, 'PTHR31989:SF284', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 82', NULL, NULL, NULL, 15),
(111884, NULL, 'PTHR11716:SF87', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2 HOMOLOG 2-RELATED', NULL, NULL, NULL, 15),
(111885, NULL, 'PTHR33052:SF147', NULL, NULL, NULL, NULL, 'BNAA03G53610D PROTEIN', NULL, NULL, NULL, 15),
(111886, NULL, 'PTHR26451:SF819', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 12D3', NULL, NULL, NULL, 15),
(111887, NULL, 'PTHR24327:SF23', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DLX-2', NULL, NULL, NULL, 15),
(111888, NULL, 'PTHR10366:SF734', NULL, NULL, NULL, NULL, 'BNAANNG25870D PROTEIN', NULL, NULL, NULL, 15),
(111889, NULL, 'PTHR26454:SF40', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C6', NULL, NULL, NULL, 15),
(111890, NULL, 'PTHR45768:SF34', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL64', NULL, NULL, NULL, 15),
(111891, NULL, 'PTHR15710:SF126', NULL, NULL, NULL, NULL, 'OS01G0802000 PROTEIN', NULL, NULL, NULL, 15),
(111892, NULL, 'PTHR32141:SF59', NULL, NULL, NULL, NULL, 'OS04G0208600 PROTEIN', NULL, NULL, NULL, 15),
(111893, NULL, 'PTHR24305:SF30', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 301A1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(111894, NULL, 'PTHR40237:SF1', NULL, NULL, NULL, NULL, 'LD44813P', NULL, NULL, NULL, 15),
(111895, NULL, 'PTHR47999:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WER-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(111896, NULL, 'PTHR18860:SF114', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN 5', NULL, NULL, NULL, 15),
(111897, NULL, 'PTHR11926:SF1348', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(111898, NULL, 'PTHR35728:SF2', NULL, NULL, NULL, NULL, 'BNAA05G31850D PROTEIN', NULL, NULL, NULL, 15),
(111899, NULL, 'PTHR31213:SF141', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE, START-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111900, NULL, 'PTHR23500:SF424', NULL, NULL, NULL, NULL, 'IP12678P', NULL, NULL, NULL, 15),
(111901, NULL, 'PTHR39163', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(111902, NULL, 'PTHR11422:SF3', NULL, NULL, NULL, NULL, 'G6F-LIKE', NULL, NULL, NULL, 15),
(111903, NULL, 'PTHR36895:SF1', NULL, NULL, NULL, NULL, 'OS05G0565400 PROTEIN', NULL, NULL, NULL, 15),
(111904, NULL, 'PTHR24224:SF31', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(111905, NULL, 'PTHR10434:SF40', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(111906, NULL, 'PTHR42741:SF3', NULL, NULL, NULL, NULL, 'NITROREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(111907, NULL, 'PTHR12242:SF26', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(111908, NULL, 'PTHR21292:SF15', NULL, NULL, NULL, NULL, 'BNACNNG07830D PROTEIN', NULL, NULL, NULL, 15),
(111909, NULL, 'PTHR15010:SF0', NULL, NULL, NULL, NULL, 'ACYLOXYACYL HYDROLASE', NULL, NULL, NULL, 15),
(111910, NULL, 'PTHR44188', NULL, NULL, NULL, NULL, 'GDAP1, ISOFORM A', NULL, NULL, NULL, 15),
(111911, NULL, 'PTHR46211:SF1', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(111912, NULL, 'PTHR15096:SF9', NULL, NULL, NULL, NULL, 'SLP-M', NULL, NULL, NULL, 15),
(111913, NULL, 'PTHR10520:SF12', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL PURINE BIOSYNTHETIC PROTEIN ADENOSINE-3', NULL, NULL, NULL, 15),
(111914, NULL, 'PTHR16290:SF21', NULL, NULL, NULL, NULL, 'MRNA-DECAPPING ENZYME-LIKE PROTEIN', NULL, NULL, NULL, 15),
(111915, NULL, 'PTHR31200:SF1', NULL, NULL, NULL, NULL, 'INO80 COMPLEX SUBUNIT C', NULL, NULL, NULL, 15),
(111916, NULL, 'PTHR48014:SF10', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111917, NULL, 'PTHR10041:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH COLIPASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(111918, NULL, 'PTHR11587:SF5', NULL, NULL, NULL, NULL, 'ARGININOSUCCINATE SYNTHASE', NULL, NULL, NULL, 15),
(111919, NULL, 'PTHR45933:SF16', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 9', NULL, NULL, NULL, 15),
(111920, NULL, 'PTHR15294:SF3', NULL, NULL, NULL, NULL, 'SUMO-SPECIFIC ISOPEPTIDASE USPL1', NULL, NULL, NULL, 15),
(111921, NULL, 'PTHR33377:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111922, NULL, 'PTHR21292:SF4', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA-INDUCED PROTEIN 2', NULL, NULL, NULL, 15),
(111923, NULL, 'PTHR15496:SF2', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 4', NULL, NULL, NULL, 15),
(111924, NULL, 'PTHR13743:SF138', NULL, NULL, NULL, NULL, 'BNAC04G55290D PROTEIN', NULL, NULL, NULL, 15),
(111925, NULL, 'PTHR24062:SF41', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(111926, NULL, 'PTHR30204', NULL, NULL, NULL, NULL, 'REDOX-CYCLING DRUG-SENSING TRANSCRIPTIONAL ACTIVATOR SOXR', NULL, NULL, NULL, 15),
(111927, NULL, 'PTHR11783:SF228', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(111928, NULL, 'PTHR21495:SF204', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(111929, NULL, 'PTHR11618:SF61', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB-LIKE', NULL, NULL, NULL, 15),
(111930, NULL, 'PTHR14493:SF81', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 56-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(111931, NULL, 'PTHR46038:SF44', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(111932, NULL, 'PTHR27007:SF360', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111933, NULL, 'PTHR42721:SF25', NULL, NULL, NULL, NULL, 'QUALITY PROTEIN: PROBABLE BETA-D-XYLOSIDASE 2-RELATED', NULL, NULL, NULL, 15),
(111934, NULL, 'PTHR24209:SF11', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(111935, NULL, 'PTHR21450:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111936, NULL, 'PTHR11636:SF6', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 6, TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(111937, NULL, 'PTHR31218:SF153', NULL, NULL, NULL, NULL, 'BNAC09G51770D PROTEIN', NULL, NULL, NULL, 15),
(111938, NULL, 'PTHR19944:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111939, NULL, 'PTHR45637:SF72', NULL, NULL, NULL, NULL, 'BNAA04G20290D PROTEIN', NULL, NULL, NULL, 15),
(111940, NULL, 'PTHR31175:SF53', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR67-LIKE', NULL, NULL, NULL, 15),
(111941, NULL, 'PTHR31707:SF342', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(111942, NULL, 'PTHR38787:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111943, NULL, 'PTHR36960', NULL, NULL, NULL, NULL, 'SI:DKEY-32E6.3', NULL, NULL, NULL, 15),
(111944, NULL, 'PTHR47928:SF86', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111945, NULL, 'PTHR33998:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111946, NULL, 'PTHR23155:SF1109', NULL, NULL, NULL, NULL, 'OS11G0700100 PROTEIN', NULL, NULL, NULL, 15),
(111947, NULL, 'PTHR11042:SF158', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111948, NULL, 'PTHR42695:SF15', NULL, NULL, NULL, NULL, 'OS02G0179200 PROTEIN', NULL, NULL, NULL, 15),
(111949, NULL, 'PTHR34609', NULL, NULL, NULL, NULL, 'GEO08273P1-RELATED', NULL, NULL, NULL, 15),
(111950, NULL, 'PTHR11118', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 580, 15),
(111951, NULL, 'PTHR26312:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111952, NULL, 'PTHR30050:SF4', NULL, NULL, NULL, NULL, 'ATP-BINDING PROTEIN RV3427C IN INSERTION SEQUENCE-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111953, NULL, 'PTHR18896:SF172', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(111954, NULL, 'PTHR31992:SF151', NULL, NULL, NULL, NULL, 'BNAC07G32880D PROTEIN', NULL, NULL, NULL, 15),
(111955, NULL, 'PTHR23244:SF455', NULL, NULL, NULL, NULL, 'OS01G0300900 PROTEIN', NULL, NULL, NULL, 15),
(111956, NULL, 'PTHR39339', NULL, NULL, NULL, NULL, 'SLR1444 PROTEIN', NULL, NULL, NULL, 15),
(111957, NULL, 'PTHR46344:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111958, NULL, 'PTHR31355:SF18', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(111959, NULL, 'PTHR14326:SF37', NULL, NULL, NULL, NULL, 'CELL CYCLE REGULATED MICROTUBULE ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(111960, NULL, 'PTHR43811:SF40', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(111961, NULL, 'PTHR43662:SF3', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11970)-RELATED', NULL, NULL, NULL, 15),
(111962, NULL, 'PTHR46309:SF7', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 1', NULL, NULL, NULL, 15),
(111963, NULL, 'PTHR46919', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111964, NULL, 'PTHR31636:SF59', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(111965, NULL, 'PTHR30031:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE (ATP)', NULL, NULL, NULL, 15),
(111966, NULL, 'PTHR18821:SF9', NULL, NULL, NULL, NULL, 'PROKINETICIN', NULL, NULL, NULL, 15),
(111967, NULL, 'PTHR23201:SF79', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 2', NULL, NULL, NULL, 15),
(111968, NULL, 'PTHR12169:SF6', NULL, NULL, NULL, NULL, 'AFG1-LIKE ATPASE', NULL, NULL, NULL, 15),
(111969, NULL, 'PTHR33148:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111970, NULL, 'PTHR10913:SF50', NULL, NULL, NULL, NULL, 'GH09510P', NULL, NULL, NULL, 15),
(111971, NULL, 'PTHR24349:SF414', NULL, NULL, NULL, NULL, 'OS02G0807000 PROTEIN', NULL, NULL, NULL, 15),
(111972, NULL, 'PTHR46248:SF16', NULL, NULL, NULL, NULL, 'BNAA08G15520D PROTEIN', NULL, NULL, NULL, 15),
(111973, NULL, 'PTHR10658:SF28', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN ALPHA ISOFORM', NULL, NULL, NULL, 15),
(111974, NULL, 'PTHR19375:SF424', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(111975, NULL, 'PTHR23428:SF231', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(111976, NULL, 'PTHR46856:SF4', NULL, NULL, NULL, NULL, 'BNAA03G51930D PROTEIN', NULL, NULL, NULL, 15),
(111977, NULL, 'PTHR11394:SF29', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 9', NULL, NULL, NULL, 15),
(111978, NULL, 'PTHR45786:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111979, NULL, 'PTHR24114:SF2', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(111980, NULL, 'PTHR45715:SF2', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E 1', NULL, NULL, NULL, 15),
(111981, NULL, 'PTHR32343:SF56', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 9-LIKE', NULL, NULL, NULL, 15),
(111982, NULL, 'PTHR46976:SF3', NULL, NULL, NULL, NULL, 'ARABIDILLO PROTEIN-RELATED', NULL, NULL, NULL, 15),
(111983, NULL, 'PTHR31509:SF111', NULL, NULL, NULL, NULL, 'BNAC03G65190D PROTEIN', NULL, NULL, NULL, 15),
(111984, NULL, 'PTHR24361:SF722', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 5', NULL, NULL, NULL, 15),
(111985, NULL, 'PTHR33120:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111986, NULL, 'PTHR43025:SF5', NULL, NULL, NULL, NULL, 'MONOGALACTOSYLDIACYLGLYCEROL SYNTHASE 2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(111987, NULL, 'PTHR36378:SF2', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', NULL, NULL, NULL, 15),
(111988, NULL, 'PTHR40697', NULL, NULL, NULL, NULL, 'ACETOIN CATABOLISM PROTEIN X', NULL, NULL, 35991, 15),
(111989, NULL, 'PTHR11091:SF0', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLATE DEHYDROGENASE B-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(111990, NULL, 'PTHR21562:SF58', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(111991, NULL, 'PTHR47967:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111992, NULL, 'PTHR11412:SF152', NULL, NULL, NULL, NULL, 'OVOSTATIN HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(111993, NULL, 'PTHR24056:SF398', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111994, NULL, 'PTHR13356:SF7', NULL, NULL, NULL, NULL, 'BNAA02G33870D PROTEIN', NULL, NULL, NULL, 15),
(111995, NULL, 'PTHR48043:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111996, NULL, 'PTHR47863:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(111997, NULL, 'PTHR31236:SF56', NULL, NULL, NULL, NULL, 'ABUNDANT PROTEIN VF30.1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(111998, NULL, 'PTHR10903:SF143', NULL, NULL, NULL, NULL, 'IMMUNE-ASSOCIATED NUCLEOTIDE-BINDING PROTEIN 8', NULL, NULL, NULL, 15),
(111999, NULL, 'PTHR47992:SF136', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1K, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(112000, NULL, 'PTHR48159:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112001, NULL, 'PTHR24356:SF171', NULL, NULL, NULL, NULL, 'RAC-ALPHA SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(112002, NULL, 'PTHR23426:SF57', NULL, NULL, NULL, NULL, '2FE-2S FERREDOXIN', NULL, NULL, NULL, 15),
(112003, NULL, 'PTHR15486:SF29', NULL, NULL, NULL, NULL, 'OS12G0563000 PROTEIN', NULL, NULL, NULL, 15),
(112004, NULL, 'PTHR24567:SF53', NULL, NULL, NULL, NULL, 'SLL1169 PROTEIN', NULL, NULL, NULL, 15),
(112005, NULL, 'PTHR24198:SF171', NULL, NULL, NULL, NULL, 'RECEPTOR-INTERACTING SERINE/THREONINE-PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(112006, NULL, 'PTHR12899', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L18, MITOCHONDRIAL', NULL, NULL, 802, 15),
(112007, NULL, 'PTHR12128:SF62', NULL, NULL, NULL, NULL, 'BNAC04G04200D PROTEIN', NULL, NULL, NULL, 15),
(112008, NULL, 'PTHR19241:SF495', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(112009, NULL, 'PTHR24282:SF208', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112010, NULL, 'PTHR24377:SF616', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 530', NULL, NULL, NULL, 15),
(112011, NULL, 'PTHR43235:SF9', NULL, NULL, NULL, NULL, 'CLASS I GLUTAMINE AMIDOTRANSFERASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(112012, NULL, 'PTHR10962:SF5', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN 2C', NULL, NULL, NULL, 15),
(112013, NULL, 'PTHR10277:SF9', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(112014, NULL, 'PTHR48051:SF14', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND CALPONIN HOMOLOGY DOMAIN CONTAINING 2', NULL, NULL, NULL, 15),
(112015, NULL, 'PTHR21094:SF2', NULL, NULL, NULL, NULL, 'GOLGI SNAP RECEPTOR COMPLEX MEMBER 1-2', NULL, NULL, NULL, 15),
(112016, NULL, 'PTHR32444:SF100', NULL, NULL, NULL, NULL, 'BNAA03G58780D PROTEIN', NULL, NULL, NULL, 15),
(112017, NULL, 'PTHR24177:SF51', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS TRANSMEMBRANE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(112018, NULL, 'PTHR45958:SF3', NULL, NULL, NULL, NULL, 'OS07G0513500 PROTEIN', NULL, NULL, NULL, 15),
(112019, NULL, 'PTHR31928:SF20', NULL, NULL, NULL, NULL, 'BNAA09G29900D PROTEIN', NULL, NULL, NULL, 15),
(112020, NULL, 'PTHR46387:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112021, NULL, 'PTHR45658:SF49', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(112022, NULL, 'PTHR14890:SF1', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA CORE COMPLEX-ASSOCIATED PROTEIN 100', NULL, NULL, NULL, 15),
(112023, NULL, 'PTHR23193:SF21', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP214', NULL, NULL, NULL, 15),
(112024, NULL, 'PTHR22747:SF14', NULL, NULL, NULL, NULL, 'NUCLEOPLASMIN-2', NULL, NULL, NULL, 15),
(112025, NULL, 'PTHR44586:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112026, NULL, 'PTHR32448:SF119', NULL, NULL, NULL, NULL, 'OS06G0548800 PROTEIN', NULL, NULL, NULL, 15),
(112027, NULL, 'PTHR40460:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(112028, NULL, 'PTHR13844:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112029, NULL, 'PTHR23175:SF5', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 23', NULL, NULL, NULL, 15),
(112030, NULL, 'PTHR24356:SF372', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(112031, NULL, 'PTHR21679:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08179', NULL, NULL, NULL, 15),
(112032, NULL, 'PTHR27006:SF257', NULL, NULL, NULL, NULL, 'KINASE-RELATED', NULL, NULL, NULL, 15),
(112033, NULL, 'PTHR46080:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(112034, NULL, 'PTHR21501', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(112035, NULL, 'PTHR19368:SF10', NULL, NULL, NULL, NULL, 'EG546282 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112036, NULL, 'PTHR17615:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FAM189A2', NULL, NULL, NULL, 15),
(112037, NULL, 'PTHR46610:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112038, NULL, 'PTHR30290:SF16', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERIPLASMIC OLIGOPEPTIDE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(112039, NULL, 'PTHR37610:SF40', NULL, NULL, NULL, NULL, 'BNAA06G15040D PROTEIN', NULL, NULL, NULL, 15),
(112040, NULL, 'PTHR31288:SF20', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(112041, NULL, 'PTHR24148:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112042, NULL, 'PTHR19297:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112043, NULL, 'PTHR11726', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10', NULL, NULL, 1488, 15),
(112044, NULL, 'PTHR21734', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE-INTERACTING PROTEIN', NULL, NULL, 11920, 15),
(112045, NULL, 'PTHR11735', NULL, NULL, NULL, NULL, 'TRNA N6-ADENOSINE THREONYLCARBAMOYLTRANSFERASE', NULL, NULL, 105, 15),
(112046, NULL, 'PTHR43420:SF33', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE YODP', NULL, NULL, NULL, 15),
(112047, NULL, 'PTHR48050:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112048, NULL, 'PTHR24416:SF539', NULL, NULL, NULL, NULL, 'EPH RECEPTOR TYROSINE KINASE, ISOFORM C', NULL, NULL, NULL, 15),
(112049, NULL, 'PTHR10015:SF336', NULL, NULL, NULL, NULL, 'HEAT SHOCK TRANSCRIPTION FACTOR, Y-LINKED', NULL, NULL, 24777, 15),
(112050, NULL, 'PTHR46191:SF2', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(112051, NULL, 'PTHR13318:SF26', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 12', NULL, NULL, NULL, 15),
(112052, NULL, 'PTHR23501:SF153', NULL, NULL, NULL, NULL, 'MFS AFLATOXIN EFFLUX PUMP', NULL, NULL, NULL, 15),
(112053, NULL, 'PTHR15907:SF145', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 2-LIKE', NULL, NULL, NULL, 15),
(112054, NULL, 'PTHR31803', NULL, NULL, NULL, NULL, 'ALTERNATIVE OXIDASE', NULL, NULL, 2536, 15),
(112055, NULL, 'PTHR28682', NULL, NULL, NULL, NULL, 'INHIBITORY SYNAPTIC FACTOR 2A-RELATED', NULL, NULL, 24540, 15),
(112056, NULL, 'PTHR33318:SF21', NULL, NULL, NULL, NULL, 'HISTONE H3.V1-LIKE', NULL, NULL, NULL, 15),
(112057, NULL, 'PTHR47971:SF4', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112058, NULL, 'PTHR40735:SF2', NULL, NULL, NULL, NULL, 'RNA-EDITING COMPLEX PROTEIN MP81', NULL, NULL, NULL, 15),
(112059, NULL, 'PTHR47589:SF6', NULL, NULL, NULL, NULL, 'BNAA09G55750D PROTEIN', NULL, NULL, NULL, 15),
(112060, NULL, 'PTHR24421:SF10', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE SENSOR PROTEIN NARX', NULL, NULL, NULL, 15),
(112061, NULL, 'PTHR31080:SF117', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112062, NULL, 'PTHR45665:SF26', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP4-1', NULL, NULL, NULL, 15),
(112063, NULL, 'PTHR45801:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SUPERMAN', NULL, NULL, NULL, 15),
(112064, NULL, 'PTHR46896', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE', NULL, NULL, NULL, 15),
(112065, NULL, 'PTHR22835:SF556', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112066, NULL, 'PTHR14319:SF10', NULL, NULL, NULL, NULL, 'SI:DKEY-84J12.1', NULL, NULL, NULL, 15),
(112067, NULL, 'PTHR47958:SF100', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 34', NULL, NULL, NULL, 15),
(112068, NULL, 'PTHR21439', NULL, NULL, NULL, NULL, 'OXIDORED-NITRO DOMAIN-CONTAINING PROTEIN', NULL, NULL, 15089, 15),
(112069, NULL, 'PTHR12929:SF4', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 52, RIBOFLAVIN TRANSPORTER, MEMBER 3', NULL, NULL, NULL, 15),
(112070, NULL, 'PTHR16517:SF123', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(112071, NULL, 'PTHR45962:SF2', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE S-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(112072, NULL, 'PTHR45714:SF12', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-4', NULL, NULL, NULL, 15),
(112073, NULL, 'PTHR19957:SF269', NULL, NULL, NULL, NULL, 'SYNTAXIN-122', NULL, NULL, NULL, 15),
(112074, NULL, 'PTHR10654:SF15', NULL, NULL, NULL, NULL, 'BREAST CANCER ANTI-ESTROGEN RESISTANCE PROTEIN 1', NULL, NULL, 24989, 15),
(112075, NULL, 'PTHR13878:SF59', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 8', NULL, NULL, NULL, 15),
(112076, NULL, 'PTHR12606:SF10', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 5', NULL, NULL, 33906, 15),
(112077, NULL, 'PTHR33736:SF4', NULL, NULL, NULL, NULL, 'OS04G0414500 PROTEIN', NULL, NULL, NULL, 15),
(112078, NULL, 'PTHR24241:SF146', NULL, NULL, NULL, NULL, 'PROKINETICIN RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(112079, NULL, 'PTHR16160:SF11', NULL, NULL, NULL, NULL, 'FERMITIN FAMILY HOMOLOG 2', NULL, NULL, NULL, 15),
(112080, NULL, 'PTHR36444:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR PROTEIN YOBU-RELATED', NULL, NULL, NULL, 15),
(112081, NULL, 'PTHR40630:SF1', NULL, NULL, NULL, NULL, 'POSSIBLE DNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(112082, NULL, 'PTHR31722:SF48', NULL, NULL, NULL, NULL, 'BNAA02G19090D PROTEIN', NULL, NULL, NULL, 15),
(112083, NULL, 'PTHR10044:SF115', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XIAP', NULL, NULL, NULL, 15),
(112084, NULL, 'PTHR18837:SF3', NULL, NULL, NULL, NULL, 'STROMAL CELL-DERIVED FACTOR 1', NULL, NULL, NULL, 15),
(112085, NULL, 'PTHR24068:SF147', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 K', NULL, NULL, NULL, 15),
(112086, NULL, 'PTHR46916:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-121A2.4', NULL, NULL, NULL, 15),
(112087, NULL, 'PTHR32468:SF105', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', NULL, NULL, NULL, 15),
(112088, NULL, 'PTHR23354:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112089, NULL, 'PTHR31509:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112090, NULL, 'PTHR11003:SF268', NULL, NULL, NULL, NULL, 'TWO-PORE POTASSIUM CHANNEL 4-RELATED', NULL, NULL, NULL, 15),
(112091, NULL, 'PTHR11685:SF309', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(112092, NULL, 'PTHR31301:SF142', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(112093, NULL, 'PTHR46537:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1A-RELATED', NULL, NULL, NULL, 15),
(112094, NULL, 'PTHR22573:SF59', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(112095, NULL, 'PTHR11742:SF47', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(112096, NULL, 'PTHR46119:SF21', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', NULL, NULL, NULL, 15),
(112097, NULL, 'PTHR31062:SF124', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112098, NULL, 'PTHR31948:SF109', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112099, NULL, 'PTHR23147:SF69', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN 4.2-RELATED', NULL, NULL, NULL, 15),
(112100, NULL, 'PTHR38698:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(112101, NULL, 'PTHR47464:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112102, NULL, 'PTHR21319', NULL, NULL, NULL, NULL, 'RING FINGER AND CHY ZINC FINGER DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(112103, NULL, 'PTHR12350:SF19', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(112104, NULL, 'PTHR27009:SF201', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD3-1', NULL, NULL, NULL, 15),
(112105, NULL, 'PTHR28617', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 77', NULL, NULL, 27281, 15),
(112106, NULL, 'PTHR14155:SF480', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112107, NULL, 'PTHR46948:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P38', NULL, NULL, NULL, 15),
(112108, NULL, 'PTHR21637:SF5', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(112109, NULL, 'PTHR33095:SF9', NULL, NULL, NULL, NULL, 'OS05G0568600 PROTEIN', NULL, NULL, NULL, 15),
(112110, NULL, 'PTHR12396:SF39', NULL, NULL, NULL, NULL, 'BNAA02G06810D PROTEIN', NULL, NULL, NULL, 15),
(112111, NULL, 'PTHR23130:SF184', NULL, NULL, NULL, NULL, 'OS09G0501100 PROTEIN', NULL, NULL, NULL, 15),
(112112, NULL, 'PTHR38340:SF1', NULL, NULL, NULL, NULL, 'S-LAYER PROTEIN', NULL, NULL, NULL, 15),
(112113, NULL, 'PTHR10891:SF848', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112114, NULL, 'PTHR22589:SF16', NULL, NULL, NULL, NULL, 'CARNITINE O-PALMITOYLTRANSFERASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(112115, NULL, 'PTHR14880:SF2', NULL, NULL, NULL, NULL, 'PROLINE AND SERINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(112116, NULL, 'PTHR31338:SF31', NULL, NULL, NULL, NULL, 'BNAA03G46180D PROTEIN', NULL, NULL, NULL, 15),
(112117, NULL, 'PTHR31805:SF14', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE, PUTATIVE (DUF1421)-RELATED', NULL, NULL, NULL, 15),
(112118, NULL, 'PTHR43622', NULL, NULL, NULL, NULL, '3-DEHYDROQUINATE SYNTHASE', NULL, NULL, NULL, 15),
(112119, NULL, 'PTHR12411:SF357', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE XCP2', NULL, NULL, NULL, 15),
(112120, NULL, 'PTHR31221:SF190', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 34-RELATED', NULL, NULL, NULL, 15),
(112121, NULL, 'PTHR31636:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112122, NULL, 'PTHR13526:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112123, NULL, 'PTHR13994:SF39', NULL, NULL, NULL, NULL, 'BNAA06G35360D PROTEIN', NULL, NULL, NULL, 15),
(112124, NULL, 'PTHR34815:SF2', NULL, NULL, NULL, NULL, 'LYSINE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(112125, NULL, 'PTHR33207:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112126, NULL, 'PTHR32343:SF59', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 12-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(112127, NULL, 'PTHR24220:SF672', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(112128, NULL, 'PTHR37734', NULL, NULL, NULL, NULL, 'LARGE RIBOSOMAL RNA SUBUNIT ACCUMULATION PROTEIN YCED HOMOLOG 2, CHLOROPLASTIC', NULL, NULL, 38289, 15),
(112129, NULL, 'PTHR33541:SF11', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE E', NULL, NULL, NULL, 15),
(112130, NULL, 'PTHR33474:SF16', NULL, NULL, NULL, NULL, 'OS05G0487300 PROTEIN', NULL, NULL, NULL, 15),
(112131, NULL, 'PTHR24342:SF18', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(112132, NULL, 'PTHR12296:SF23', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 5B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112133, NULL, 'PTHR24343:SF468', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112134, NULL, 'PTHR24361:SF826', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112135, NULL, 'PTHR11689:SF153', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(112136, NULL, 'PTHR10587', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(112137, NULL, 'PTHR37400:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112138, NULL, 'PTHR13683:SF804', NULL, NULL, NULL, NULL, 'OSJNBB0071D01.4 PROTEIN', NULL, NULL, NULL, 15),
(112139, NULL, 'PTHR47290:SF7', NULL, NULL, NULL, NULL, 'BNAC03G58260D PROTEIN', NULL, NULL, NULL, 15),
(112140, NULL, 'PTHR11532', NULL, NULL, NULL, NULL, 'PROTEASE M14 CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(112141, NULL, 'PTHR23115:SF276', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(112142, NULL, 'PTHR10185:SF16', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D3', NULL, NULL, NULL, 15),
(112143, NULL, 'PTHR30314:SF20', NULL, NULL, NULL, NULL, 'DIVISION PROTEIN FTSZ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112144, NULL, 'PTHR10015:SF282', NULL, NULL, NULL, NULL, 'HEAT SHOCK TRANSCRIPTION FACTOR, X-LINKED', NULL, NULL, NULL, 15),
(112145, NULL, 'PTHR46550', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 3', NULL, NULL, NULL, 15),
(112146, NULL, 'PTHR20961:SF81', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', NULL, NULL, NULL, 15),
(112147, NULL, 'PTHR20932:SF40', NULL, NULL, NULL, NULL, 'OS06G0729900 PROTEIN', NULL, NULL, NULL, 15),
(112148, NULL, 'PTHR11165:SF52', NULL, NULL, NULL, NULL, 'SKR-20', NULL, NULL, NULL, 15),
(112149, NULL, 'PTHR37389:SF9', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(112150, NULL, 'PTHR33070:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112151, NULL, 'PTHR33513:SF21', NULL, NULL, NULL, NULL, 'BNAC03G71690D PROTEIN', NULL, NULL, NULL, 15),
(112152, NULL, 'PTHR45687:SF26', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-6-RELATED', NULL, NULL, NULL, 15),
(112153, NULL, 'PTHR31080:SF182', NULL, NULL, NULL, NULL, 'OS08G0541800 PROTEIN', NULL, NULL, NULL, 15),
(112154, NULL, 'PTHR11771:SF158', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(112155, NULL, 'PTHR24070:SF373', NULL, NULL, NULL, NULL, 'RAS-RELATED AND ESTROGEN-REGULATED GROWTH INHIBITOR', NULL, NULL, NULL, 15),
(112156, NULL, 'PTHR12378:SF7', NULL, NULL, NULL, NULL, 'DESUMOYLATING ISOPEPTIDASE 1', NULL, NULL, NULL, 15),
(112157, NULL, 'PTHR12436:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112158, NULL, 'PTHR33142:SF68', NULL, NULL, NULL, NULL, 'BNAA04G16740D PROTEIN', NULL, NULL, NULL, 15),
(112159, NULL, 'PTHR26452:SF213', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(112160, NULL, 'PTHR15157:SF18', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II PROTEIN', NULL, NULL, NULL, 15),
(112161, NULL, 'PTHR11365:SF10', NULL, NULL, NULL, NULL, 'HYDANTOINASE', NULL, NULL, NULL, 15),
(112162, NULL, 'PTHR39377:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG12456', NULL, NULL, NULL, 15),
(112163, NULL, 'PTHR24363:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE-LIKE DOMAIN-CONTAINING PROTEIN STKLD1', NULL, NULL, NULL, 15),
(112164, NULL, 'PTHR13937:SF7', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT C', NULL, NULL, NULL, 15),
(112165, NULL, 'PTHR46122:SF10', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT PROTEIN', NULL, NULL, NULL, 15),
(112166, NULL, 'PTHR31042:SF108', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(112167, NULL, 'PTHR24291:SF3', NULL, NULL, NULL, NULL, '25-HYDROXYVITAMIN D-1 ALPHA HYDROXYLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(112168, NULL, 'PTHR11278', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', NULL, NULL, 5930, 15),
(112169, NULL, 'PTHR43019:SF48', NULL, NULL, NULL, NULL, 'PEPTIDASE S1, PA CLAN-RELATED', NULL, NULL, NULL, 15),
(112170, NULL, 'PTHR46688:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 16', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112171, NULL, 'PTHR42786:SF3', NULL, NULL, NULL, NULL, 'METHYLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112172, NULL, 'PTHR38430', NULL, NULL, NULL, NULL, 'PROTEIN-ARGININE KINASE ACTIVATOR PROTEIN', NULL, NULL, 25264, 15),
(112173, NULL, 'PTHR31225:SF113', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 3-RELATED', NULL, NULL, NULL, 15),
(112174, NULL, 'PTHR46008:SF36', NULL, NULL, NULL, NULL, 'WALL ASSOCIATED KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112175, NULL, 'PTHR45721:SF10', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFC-1', NULL, NULL, NULL, 15),
(112176, NULL, 'PTHR11527:SF282', NULL, NULL, NULL, NULL, '16.9 KDA CLASS I HEAT SHOCK PROTEIN 2', NULL, NULL, NULL, 15),
(112177, NULL, 'PTHR43344:SF13', NULL, NULL, NULL, NULL, 'PHOSPHATASE RV3661-RELATED', NULL, NULL, NULL, 15),
(112178, NULL, 'PTHR21327:SF41', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL RIBOFLAVIN BIOSYNTHESIS PROTEIN RIBA 1, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(112179, NULL, 'PTHR32261:SF1', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN', NULL, NULL, NULL, 15),
(112180, NULL, 'PTHR13425:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG06775', NULL, NULL, NULL, 15),
(112181, NULL, 'PTHR12630:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112182, NULL, 'PTHR47123:SF14', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112183, NULL, 'PTHR12289:SF35', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14380)-RELATED', NULL, NULL, NULL, 15),
(112184, NULL, 'PTHR12841:SF6', NULL, NULL, NULL, NULL, 'PROTEIN UNC-50 HOMOLOG', NULL, NULL, NULL, 15),
(112185, NULL, 'PTHR11699:SF290', NULL, NULL, NULL, NULL, 'BNAA03G50730D PROTEIN', NULL, NULL, NULL, 15),
(112186, NULL, 'PTHR11422:SF6', NULL, NULL, NULL, NULL, 'CD4-2 MOLECULE, TANDEM DUPLICATE 2', NULL, NULL, NULL, 15),
(112187, NULL, 'PTHR30304:SF7', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(112188, NULL, 'PTHR31262:SF12', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN', NULL, NULL, NULL, 15),
(112189, NULL, 'PTHR33638:SF1', NULL, NULL, NULL, NULL, 'SELENOPROTEIN H', NULL, NULL, NULL, 15),
(112190, NULL, 'PTHR31374:SF172', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(112191, NULL, 'PTHR11945:SF655', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 33', NULL, NULL, NULL, 15),
(112192, NULL, 'PTHR10277:SF68', NULL, NULL, NULL, NULL, 'BNAC01G24090D PROTEIN', NULL, NULL, NULL, 15),
(112193, NULL, 'PTHR23130:SF180', NULL, NULL, NULL, NULL, 'BNAA05G30230D PROTEIN', NULL, NULL, NULL, 15),
(112194, NULL, 'PTHR43900:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112195, NULL, 'PTHR46338:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112196, NULL, 'PTHR19241:SF611', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112197, NULL, 'PTHR23155:SF1132', NULL, NULL, NULL, NULL, 'OS08G0543100 PROTEIN', NULL, NULL, NULL, 15),
(112198, NULL, 'PTHR11851:SF149', NULL, NULL, NULL, NULL, 'GH01077P', NULL, NULL, NULL, 15),
(112199, NULL, 'PTHR47989:SF15', NULL, NULL, NULL, NULL, 'OS07G0227300 PROTEIN', NULL, NULL, NULL, 15),
(112200, NULL, 'PTHR14052:SF0', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(112201, NULL, 'PTHR46128:SF191', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112202, NULL, 'PTHR24559:SF304', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112203, NULL, 'PTHR48021:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112204, NULL, 'PTHR34952:SF6', NULL, NULL, NULL, NULL, 'BNAA03G17240D PROTEIN', NULL, NULL, NULL, 15),
(112205, NULL, 'PTHR13140:SF663', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IF', NULL, NULL, NULL, 15),
(112206, NULL, 'PTHR47991:SF14', NULL, NULL, NULL, NULL, 'LEUCOANTHOCYANIDIN DIOXYGENASE-LIKE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112207, NULL, 'PTHR14907:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112208, NULL, 'PTHR13808:SF38', NULL, NULL, NULL, NULL, 'BNAA06G11230D PROTEIN', NULL, NULL, NULL, 15),
(112209, NULL, 'PTHR11200:SF278', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE-5-PHOSPHATASE KA', NULL, NULL, NULL, 15),
(112210, NULL, 'PTHR11266:SF75', NULL, NULL, NULL, NULL, 'IP10007P', NULL, NULL, NULL, 15),
(112211, NULL, 'PTHR34454:SF3', NULL, NULL, NULL, NULL, 'BNAA10G28600D PROTEIN', NULL, NULL, NULL, 15),
(112212, NULL, 'PTHR23406:SF17', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME', NULL, NULL, NULL, 15),
(112213, NULL, 'PTHR11486:SF145', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 13', NULL, NULL, 28352, 15),
(112214, NULL, 'PTHR24637', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(112215, NULL, 'PTHR12911:SF40', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(112216, NULL, 'PTHR45951:SF8', NULL, NULL, NULL, NULL, 'CHE-14 PROTEIN', NULL, NULL, NULL, 15),
(112217, NULL, 'PTHR24070:SF396', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN R-RAS2', NULL, NULL, NULL, 15),
(112218, NULL, 'PTHR24068:SF312', NULL, NULL, NULL, NULL, 'BNAA04G05360D PROTEIN', NULL, NULL, NULL, 15),
(112219, NULL, 'PTHR30069:SF45', NULL, NULL, NULL, NULL, 'SYSTEM RECEPTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112220, NULL, 'PTHR43505', NULL, NULL, NULL, NULL, 'REVERSE GYRASE', NULL, NULL, 4634, 15),
(112221, NULL, 'PTHR45224:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112222, NULL, 'PTHR21724:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112223, NULL, 'PTHR45915:SF1', NULL, NULL, NULL, NULL, 'BROMODOMAIN ADJACENT TO ZINC FINGER DOMAIN PROTEIN 2B', NULL, NULL, NULL, 15),
(112224, NULL, 'PTHR48001:SF80', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(112225, NULL, 'PTHR11524:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7', NULL, NULL, NULL, 15),
(112226, NULL, 'PTHR15902:SF1', NULL, NULL, NULL, NULL, 'NEURITIN', NULL, NULL, NULL, 15),
(112227, NULL, 'PTHR32285:SF243', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(112228, NULL, 'PTHR48012:SF19', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE KINASE 5', NULL, NULL, NULL, 15),
(112229, NULL, 'PTHR33785:SF9', NULL, NULL, NULL, NULL, 'BNAC06G10010D PROTEIN', NULL, NULL, NULL, 15),
(112230, NULL, 'PTHR47975:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112231, NULL, 'PTHR24306', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112232, NULL, 'PTHR24280', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 20A1', NULL, NULL, NULL, 15),
(112233, NULL, 'PTHR21838', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 27481, 15),
(112234, NULL, 'PTHR46573:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT, SAM AND U-BOX DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(112235, NULL, 'PTHR23522:SF4', NULL, NULL, NULL, NULL, 'NUCLEOSIDE PERMEASE NUPG-RELATED', NULL, NULL, NULL, 15),
(112236, NULL, 'PTHR12663:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112237, NULL, 'PTHR28546:SF3', NULL, NULL, NULL, NULL, 'NEURONAL VESICLE TRAFFICKING-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(112238, NULL, 'PTHR45666:SF21', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 2', NULL, NULL, NULL, 15),
(112239, NULL, 'PTHR24413:SF225', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(112240, NULL, 'PTHR24229:SF47', NULL, NULL, NULL, NULL, 'NEUROPEPTIDES B/W RECEPTOR TYPE 1', NULL, NULL, 27100, 15),
(112241, NULL, 'PTHR10730:SF50', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT-CONTAINING DOMAIN', NULL, NULL, NULL, 15),
(112242, NULL, 'PTHR42861:SF68', NULL, NULL, NULL, NULL, 'ATPASE 5, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(112243, NULL, 'PTHR45713:SF1', NULL, NULL, NULL, NULL, 'LOC100135371 PROTEIN', NULL, NULL, NULL, 15),
(112244, NULL, 'PTHR31197', NULL, NULL, NULL, NULL, 'OS01G0612600 PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112245, NULL, 'PTHR31080:SF119', NULL, NULL, NULL, NULL, 'INVERTASE', NULL, NULL, NULL, 15),
(112246, NULL, 'PTHR34230:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112247, NULL, 'PTHR31269:SF2', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH3', NULL, NULL, NULL, 15),
(112248, NULL, 'PTHR31284:SF48', NULL, NULL, NULL, NULL, 'BNAA08G27690D PROTEIN', NULL, NULL, NULL, 15),
(112249, NULL, 'PTHR24377:SF906', NULL, NULL, NULL, NULL, 'SI:DKEY-79D12.4', NULL, NULL, NULL, 15),
(112250, NULL, 'PTHR12832:SF34', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 11', NULL, NULL, NULL, 15),
(112251, NULL, 'PTHR31989:SF355', NULL, NULL, NULL, NULL, 'BNAA01G31660D PROTEIN', NULL, NULL, NULL, 15),
(112252, NULL, 'PTHR16223:SF216', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112253, NULL, 'PTHR31642:SF175', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', NULL, NULL, NULL, 15),
(112254, NULL, 'PTHR11635:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112255, NULL, 'PTHR10177:SF59', NULL, NULL, NULL, NULL, 'CYCLIN-G1', NULL, NULL, 24281, 15),
(112256, NULL, 'PTHR24298:SF828', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112257, NULL, 'PTHR12560:SF44', NULL, NULL, NULL, NULL, 'ASC1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(112258, NULL, 'PTHR45675:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112259, NULL, 'PTHR31371', NULL, NULL, NULL, NULL, 'BNAC09G50660D PROTEIN', NULL, NULL, NULL, 15),
(112260, NULL, 'PTHR27007:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112261, NULL, 'PTHR43900:SF80', NULL, NULL, NULL, NULL, 'BNACNNG19060D PROTEIN', NULL, NULL, NULL, 15),
(112262, NULL, 'PTHR47992:SF76', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60-RELATED', NULL, NULL, NULL, 15),
(112263, NULL, 'PTHR46049', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112264, NULL, 'PTHR44328:SF6', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE L1', NULL, NULL, NULL, 15),
(112265, NULL, 'PTHR33052:SF100', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE', NULL, NULL, NULL, 15),
(112266, NULL, 'PTHR31286:SF89', NULL, NULL, NULL, NULL, 'LINE-TYPE RETROTRANSPOSON LIB DNA, INSERTION AT THE S11 SITE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112267, NULL, 'PTHR22763:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112268, NULL, 'PTHR45634:SF6', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 6', NULL, NULL, NULL, 15),
(112269, NULL, 'PTHR27006:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112270, NULL, 'PTHR47972:SF6', NULL, NULL, NULL, NULL, 'KINESIN-4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(112271, NULL, 'PTHR38796', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112272, NULL, 'PTHR37755', NULL, NULL, NULL, NULL, 'PROTEIN TIC 56, CHLOROPLASTIC', NULL, NULL, 29340, 15),
(112273, NULL, 'PTHR12203:SF97', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(112274, NULL, 'PTHR16932:SF30', NULL, NULL, NULL, NULL, 'INTERFERON, ALPHA-INDUCIBLE PROTEIN 27', NULL, NULL, NULL, 15),
(112275, NULL, 'PTHR47999:SF32', NULL, NULL, NULL, NULL, 'PROTEIN ODORANT1-LIKE', NULL, NULL, NULL, 15),
(112276, NULL, 'PTHR11932:SF154', NULL, NULL, NULL, NULL, 'BNAA02G24350D PROTEIN', NULL, NULL, NULL, 15),
(112277, NULL, 'PTHR11132:SF441', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112278, NULL, 'PTHR31589:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112279, NULL, 'PTHR20583', NULL, NULL, NULL, NULL, 'TRIPLE QXXK/R MOTIF-CONTAINING PROTEIN', NULL, NULL, 22828, 15),
(112280, NULL, 'PTHR14344:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(112281, NULL, 'PTHR48049:SF92', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 79B6-LIKE PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112282, NULL, 'PTHR28646', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 201', NULL, NULL, 34462, 15),
(112283, NULL, 'PTHR45811:SF14', NULL, NULL, NULL, NULL, 'ION-BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112284, NULL, 'PTHR45644:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112285, NULL, 'PTHR45863:SF36', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(112286, NULL, 'PTHR22981:SF51', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(112287, NULL, 'PTHR34794', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 29020, 15),
(112288, NULL, 'PTHR43390:SF8', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', NULL, NULL, NULL, 15),
(112289, NULL, 'PTHR22980:SF2', NULL, NULL, NULL, NULL, 'CORTISTATIN', NULL, NULL, NULL, 15),
(112290, NULL, 'PTHR11654:SF547', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112291, NULL, 'PTHR46128:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112292, NULL, 'PTHR21654:SF24', NULL, NULL, NULL, NULL, 'GT-2-LIKE 1', NULL, NULL, NULL, 15),
(112293, NULL, 'PTHR13832:SF668', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 39-RELATED', NULL, NULL, NULL, 15),
(112294, NULL, 'PTHR33399:SF7', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 3-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(112295, NULL, 'PTHR23249:SF18', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 1-LIKE', NULL, NULL, NULL, 15),
(112296, NULL, 'PTHR23257:SF844', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112297, NULL, 'PTHR10352:SF25', NULL, NULL, NULL, NULL, 'FOUND IN NEURONS, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(112298, NULL, 'PTHR31233:SF12', NULL, NULL, NULL, NULL, 'MGC162200 PROTEIN', NULL, NULL, NULL, 15),
(112299, NULL, 'PTHR11636:SF80', NULL, NULL, NULL, NULL, 'HIGHLY DIVERGENT HOMEOBOX', NULL, NULL, NULL, 15),
(112300, NULL, 'PTHR10634:SF92', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETASE', NULL, NULL, NULL, 15),
(112301, NULL, 'PTHR23187', NULL, NULL, NULL, NULL, 'FLJ44216 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112302, NULL, 'PTHR12002:SF180', NULL, NULL, NULL, NULL, 'CLAUDIN-RELATED', NULL, NULL, NULL, 15),
(112303, NULL, 'PTHR23113:SF150', NULL, NULL, NULL, NULL, 'SON OF SEVENLESS HOMOLOG 2', NULL, NULL, NULL, 15),
(112304, NULL, 'PTHR24221:SF541', NULL, NULL, NULL, NULL, 'BNAA09G27580D PROTEIN', NULL, NULL, NULL, 15),
(112305, NULL, 'PTHR11831:SF34', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9-2-LIKE', NULL, NULL, NULL, 15),
(112306, NULL, 'PTHR24271:SF58', NULL, NULL, NULL, NULL, 'DUODENASE-1', NULL, NULL, NULL, 15),
(112307, NULL, 'PTHR10797:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112308, NULL, 'PTHR31072:SF123', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PCF1-LIKE', NULL, NULL, NULL, 15),
(112309, NULL, 'PTHR38044', NULL, NULL, NULL, NULL, 'BOUQUET FORMATION PROTEIN 4', NULL, NULL, 35549, 15),
(112310, NULL, 'PTHR22603:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112311, NULL, 'PTHR13271', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PUTATIVE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(112312, NULL, 'PTHR33021:SF335', NULL, NULL, NULL, NULL, 'BNAC04G54350D PROTEIN', NULL, NULL, NULL, 15),
(112313, NULL, 'PTHR33872:SF6', NULL, NULL, NULL, NULL, 'ST225', NULL, NULL, NULL, 15),
(112314, NULL, 'PTHR33170:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112315, NULL, 'PTHR45778:SF25', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(112316, NULL, 'PTHR33675:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR FAMILY 2 GROUP C PROTEIN', NULL, NULL, NULL, 15),
(112317, NULL, 'PTHR43977', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 3', NULL, NULL, NULL, 15),
(112318, NULL, 'PTHR11540:SF57', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(112319, NULL, 'PTHR23266:SF315', NULL, NULL, NULL, NULL, 'SI:CH211-180A12.2', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112320, NULL, 'PTHR46553:SF21', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(112321, NULL, 'PTHR31236:SF48', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112322, NULL, 'PTHR24068:SF370', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1D', NULL, NULL, NULL, 15),
(112323, NULL, 'PTHR45687:SF63', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-2 ISOFORM X2', NULL, NULL, NULL, 15),
(112324, NULL, 'PTHR33214:SF24', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(112325, NULL, 'PTHR48100:SF37', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(112326, NULL, 'PTHR33065:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112327, NULL, 'PTHR18934:SF239', NULL, NULL, NULL, NULL, 'EDITING ASSOCIATED HELICASE 2,PUTATIVEWITH=GENEDB:TB927.4.1500-RELATED', NULL, NULL, NULL, 15),
(112328, NULL, 'PTHR18849:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112329, NULL, 'PTHR32227:SF128', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 9', NULL, NULL, NULL, 15),
(112330, NULL, 'PTHR13600:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112331, NULL, 'PTHR22939', NULL, NULL, NULL, NULL, 'SERINE PROTEASE FAMILY S1C HTRA-RELATED', NULL, NULL, NULL, 15),
(112332, NULL, 'PTHR46082:SF6', NULL, NULL, NULL, NULL, 'ATP/GTP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112333, NULL, 'PTHR46036', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE', NULL, NULL, NULL, 15),
(112334, NULL, 'PTHR13119:SF12', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF SABLE', NULL, NULL, NULL, 15),
(112335, NULL, 'PTHR46641:SF1', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(112336, NULL, 'PTHR47984:SF9', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(112337, NULL, 'PTHR11141:SF24', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', NULL, NULL, NULL, 15),
(112338, NULL, 'PTHR24369:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 4C', NULL, NULL, 28561, 15),
(112339, NULL, 'PTHR10277:SF65', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(112340, NULL, 'PTHR12941:SF13', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 8', NULL, NULL, NULL, 15),
(112341, NULL, 'PTHR42044', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112342, NULL, 'PTHR46159:SF13', NULL, NULL, NULL, NULL, 'CRC DOMAIN-CONTAINING PROTEIN TSO1', NULL, NULL, NULL, 15),
(112343, NULL, 'PTHR24281:SF202', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP81A4', NULL, NULL, NULL, 15),
(112344, NULL, 'PTHR22835:SF505', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(112345, NULL, 'PTHR24232:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112346, NULL, 'PTHR14511', NULL, NULL, NULL, NULL, 'G PROTEIN COUPLED RECEPTOR, CLASS C, GROUP 5', NULL, NULL, NULL, 15),
(112347, NULL, 'PTHR47972:SF11', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF3A', NULL, NULL, NULL, 15),
(112348, NULL, 'PTHR31692:SF49', NULL, NULL, NULL, NULL, 'EXPANSIN-B15-LIKE', NULL, NULL, NULL, 15),
(112349, NULL, 'PTHR13301:SF208', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', NULL, NULL, NULL, 15),
(112350, NULL, 'PTHR45504', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(112351, NULL, 'PTHR43157:SF26', NULL, NULL, NULL, NULL, 'SI:CH211-107O10.3', NULL, NULL, NULL, 15),
(112352, NULL, 'PTHR45763:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112353, NULL, 'PTHR16451', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DYNAMICS PROTEINS 49/51 FAMILY MEMBER', NULL, NULL, 36941, 15),
(112354, NULL, 'PTHR33181:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112355, NULL, 'PTHR10625:SF203', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 2', NULL, NULL, NULL, 15),
(112356, NULL, 'PTHR10811:SF101', NULL, NULL, NULL, NULL, 'BNAA10G29950D PROTEIN', NULL, NULL, NULL, 15),
(112357, NULL, 'PTHR42973:SF4', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(112358, NULL, 'PTHR12280:SF35', NULL, NULL, NULL, NULL, 'OS06G0325500 PROTEIN', NULL, NULL, NULL, 15),
(112359, NULL, 'PTHR43550:SF8', NULL, NULL, NULL, NULL, '3-DEHYDROSPHINGANINE REDUCTASE TSC10A', NULL, NULL, NULL, 15),
(112360, NULL, 'PTHR24039:SF47', NULL, NULL, NULL, NULL, 'FIBULIN-1', NULL, NULL, NULL, 15),
(112361, NULL, 'PTHR10593:SF122', NULL, NULL, NULL, NULL, 'OS02G0518500 PROTEIN', NULL, NULL, NULL, 15),
(112362, NULL, 'PTHR43584:SF2', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-DIPHOSPHATE-SUGAR PYROPHOSPHORYLASES-RELATED', NULL, NULL, NULL, 15),
(112363, NULL, 'PTHR31681:SF88', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(112364, NULL, 'PTHR47928:SF152', NULL, NULL, NULL, NULL, 'OS02G0468800 PROTEIN', NULL, NULL, NULL, 15),
(112365, NULL, 'PTHR16308', NULL, NULL, NULL, NULL, 'UBIQUITIN ASSOCIATED PROTEIN 2-LIKE/LINGERER', NULL, NULL, NULL, 15),
(112366, NULL, 'PTHR13115:SF8', NULL, NULL, NULL, NULL, 'RNA POLYMERASE-ASSOCIATED PROTEIN RTF1 HOMOLOG', NULL, NULL, NULL, 15),
(112367, NULL, 'PTHR12378:SF64', NULL, NULL, NULL, NULL, 'OS04G0548000 PROTEIN', NULL, NULL, NULL, 15),
(112368, NULL, 'PTHR46995:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112369, NULL, 'PTHR12170:SF11', NULL, NULL, NULL, NULL, 'PROTEIN RMD5 HOMOLOG', NULL, NULL, NULL, 15),
(112370, NULL, 'PTHR31506:SF29', NULL, NULL, NULL, NULL, 'BES1/BZR1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112371, NULL, 'PTHR31205:SF39', NULL, NULL, NULL, NULL, 'OS08G0164400 PROTEIN', NULL, NULL, NULL, 15),
(112372, NULL, 'PTHR11802:SF196', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 10-RELATED', NULL, NULL, NULL, 15),
(112373, NULL, 'PTHR33384:SF30', NULL, NULL, NULL, NULL, 'BNAC02G06400D PROTEIN', NULL, NULL, NULL, 15),
(112374, NULL, 'PTHR47520:SF8', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', NULL, NULL, NULL, 15),
(112375, NULL, 'PTHR10826:SF33', NULL, NULL, NULL, NULL, 'BNAC03G71600D PROTEIN', NULL, NULL, NULL, 15),
(112376, NULL, 'PTHR31087:SF111', NULL, NULL, NULL, NULL, 'BNAA06G00660D PROTEIN', NULL, NULL, NULL, 15),
(112377, NULL, 'PTHR27006:SF158', NULL, NULL, NULL, NULL, 'BNAA02G23670D PROTEIN', NULL, NULL, NULL, 15),
(112378, NULL, 'PTHR24367', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(112379, NULL, 'PTHR48100:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE', NULL, NULL, NULL, 15),
(112380, NULL, 'PTHR13333:SF6', NULL, NULL, NULL, NULL, 'MATRIX AAA PEPTIDASE-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(112381, NULL, 'PTHR33101:SF41', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 7-LIKE', NULL, NULL, NULL, 15),
(112382, NULL, 'PTHR31213:SF66', NULL, NULL, NULL, NULL, 'MAJOR ALLERGEN PRU AR 1-LIKE', NULL, NULL, NULL, 15),
(112383, NULL, 'PTHR31765:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04161', NULL, NULL, NULL, 15),
(112384, NULL, 'PTHR45616:SF16', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 71', NULL, NULL, NULL, 15),
(112385, NULL, 'PTHR13848:SF53', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(112386, NULL, 'PTHR11071:SF504', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(112387, NULL, 'PTHR25465:SF8', NULL, NULL, NULL, NULL, 'FINTRIM FAMILY, MEMBER 86', NULL, NULL, NULL, 15),
(112388, NULL, 'PTHR12726:SF2', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(112389, NULL, 'PTHR42788:SF19', NULL, NULL, NULL, NULL, 'ALIPHATIC SULFONATES IMPORT ATP-BINDING PROTEIN SSUB 2', NULL, NULL, NULL, 15),
(112390, NULL, 'PTHR10411:SF9', NULL, NULL, NULL, NULL, 'GROWTH ARREST AND DNA-DAMAGE-INDUCIBLE, GAMMA B, TANDEM DUPLICATE 1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112391, NULL, 'PTHR46594', NULL, NULL, NULL, NULL, 'P-TYPE CATION-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(112392, NULL, 'PTHR22921', NULL, NULL, NULL, NULL, 'PROTEIN CBG20088-RELATED', NULL, NULL, NULL, 15),
(112393, NULL, 'PTHR45614:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB44-LIKE', NULL, NULL, NULL, 15),
(112394, NULL, 'PTHR34453', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE (DEFL) FAMILY PROTEIN-RELATED', NULL, NULL, 16548, 15),
(112395, NULL, 'PTHR40074', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112396, NULL, 'PTHR43528', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE PERMEASE', NULL, NULL, NULL, 15),
(112397, NULL, 'PTHR42982:SF6', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATA', NULL, NULL, NULL, 15),
(112398, NULL, 'PTHR31462:SF5', NULL, NULL, NULL, NULL, 'ENDOSOMAL/LYSOSOMAL POTASSIUM CHANNEL TMEM175', NULL, NULL, NULL, 15),
(112399, NULL, 'PTHR31413:SF19', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN AFP1', NULL, NULL, NULL, 15),
(112400, NULL, 'PTHR11017:SF235', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112401, NULL, 'PTHR43341:SF39', NULL, NULL, NULL, NULL, 'SPS-SENSOR COMPONENT SSY1', NULL, NULL, NULL, 15),
(112402, NULL, 'PTHR11339:SF244', NULL, NULL, NULL, NULL, 'IGGFC-BINDING PROTEIN', NULL, NULL, NULL, 15),
(112403, NULL, 'PTHR12984:SF18', NULL, NULL, NULL, NULL, 'SCY1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(112404, NULL, 'PTHR23239', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT', NULL, NULL, 7237, 15),
(112405, NULL, 'PTHR45288', NULL, NULL, NULL, NULL, 'THIOREDOXIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(112406, NULL, 'PTHR33142:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112407, NULL, 'PTHR33994:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112408, NULL, 'PTHR33531:SF8', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN', NULL, NULL, NULL, 15),
(112409, NULL, 'PTHR10774:SF195', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-5', NULL, NULL, NULL, 15),
(112410, NULL, 'PTHR33304:SF31', NULL, NULL, NULL, NULL, 'GB|AAF19536.1', NULL, NULL, NULL, 15),
(112411, NULL, 'PTHR45089:SF21', NULL, NULL, NULL, NULL, 'TRICHOHYALIN-LIKE PROTEIN (DUF3444)', NULL, NULL, NULL, 15),
(112412, NULL, 'PTHR31080:SF159', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 7', NULL, NULL, NULL, 15),
(112413, NULL, 'PTHR47170:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', NULL, NULL, NULL, 15),
(112414, NULL, 'PTHR31471:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112415, NULL, 'PTHR11618:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IIIB 90 KDA SUBUNIT', NULL, NULL, 24999, 15),
(112416, NULL, 'PTHR24320:SF215', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(112417, NULL, 'PTHR31215:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112418, NULL, 'PTHR32467:SF99', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR AIL5', NULL, NULL, NULL, 15),
(112419, NULL, 'PTHR46579:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112420, NULL, 'PTHR34055:SF7', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING GACO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112421, NULL, 'PTHR46193:SF14', NULL, NULL, NULL, NULL, 'SLL1138 PROTEIN', NULL, NULL, NULL, 15),
(112422, NULL, 'PTHR31422:SF38', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 7', NULL, NULL, NULL, 15),
(112423, NULL, 'PTHR12451', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CASTOR  PROTEIN MING -RELATED', NULL, NULL, 30858, 15),
(112424, NULL, 'PTHR21016:SF4', NULL, NULL, NULL, NULL, 'TM2 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(112425, NULL, 'PTHR24057:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG07560', NULL, NULL, NULL, 15),
(112426, NULL, 'PTHR32116:SF84', NULL, NULL, NULL, NULL, 'BNAA02G28840D PROTEIN', NULL, NULL, NULL, 15),
(112427, NULL, 'PTHR45633:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112428, NULL, 'PTHR14963:SF1', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN CONUNDRUM', NULL, NULL, NULL, 15),
(112429, NULL, 'PTHR46662', NULL, NULL, NULL, NULL, 'DI-GLUCOSE BINDING PROTEIN WITH LEUCINE-RICH REPEAT DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(112430, NULL, 'PTHR31084', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 2', NULL, NULL, NULL, 15),
(112431, NULL, 'PTHR33210:SF22', NULL, NULL, NULL, NULL, 'BNAC04G52630D PROTEIN', NULL, NULL, NULL, 15),
(112432, NULL, 'PTHR47958:SF81', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 15-RELATED', NULL, NULL, NULL, 15),
(112433, NULL, 'PTHR22298:SF158', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(112434, NULL, 'PTHR46395', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, NULL, 15),
(112435, NULL, 'PTHR10502:SF124', NULL, NULL, NULL, NULL, 'OS05G0382600 PROTEIN', NULL, NULL, NULL, 15),
(112436, NULL, 'PTHR21716:SF16', NULL, NULL, NULL, NULL, 'BLL1467 PROTEIN', NULL, NULL, NULL, 15),
(112437, NULL, 'PTHR34676:SF4', NULL, NULL, NULL, NULL, 'OS06G0684500 PROTEIN', NULL, NULL, NULL, 15),
(112438, NULL, 'PTHR10272', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE', NULL, NULL, 2236, 15),
(112439, NULL, 'PTHR24206:SF88', NULL, NULL, NULL, NULL, 'LIM DOMAIN PROTEIN PLIM1B', NULL, NULL, NULL, 15),
(112440, NULL, 'PTHR47429', NULL, NULL, NULL, NULL, 'PROTEIN TWIN LOV 1', NULL, NULL, NULL, 15),
(112441, NULL, 'PTHR23504:SF2', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04150)-RELATED', NULL, NULL, NULL, 15),
(112442, NULL, 'PTHR11863:SF171', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 1-2', NULL, NULL, NULL, 15),
(112443, NULL, 'PTHR24229:SF77', NULL, NULL, NULL, NULL, 'SI:ZFOS-169G10.2', NULL, NULL, NULL, 15),
(112444, NULL, 'PTHR26450:SF19', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(112445, NULL, 'PTHR11893:SF30', NULL, NULL, NULL, NULL, 'INNEXIN UNC-9', NULL, NULL, NULL, 15),
(112446, NULL, 'PTHR24323', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112447, NULL, 'PTHR10293:SF67', NULL, NULL, NULL, NULL, 'BNAC01G35910D PROTEIN', NULL, NULL, NULL, 15),
(112448, NULL, 'PTHR43884:SF4', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(112449, NULL, 'PTHR46192:SF14', NULL, NULL, NULL, NULL, 'BNAA05G31980D PROTEIN', NULL, NULL, NULL, 15),
(112450, NULL, 'PTHR12636:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112451, NULL, 'PTHR10306:SF16', NULL, NULL, NULL, NULL, 'SYNAPTOPORIN', NULL, NULL, NULL, 15),
(112452, NULL, 'PTHR31639:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112453, NULL, 'PTHR46412:SF13', NULL, NULL, NULL, NULL, 'BHLH PROTEIN FAMILY-LIKE', NULL, NULL, NULL, 15),
(112454, NULL, 'PTHR31669:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112455, NULL, 'PTHR31111:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112456, NULL, 'PTHR47686', NULL, NULL, NULL, NULL, 'SGS DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(112457, NULL, 'PTHR12542:SF148', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112458, NULL, 'PTHR35176:SF6', NULL, NULL, NULL, NULL, 'HEME OXYGENASE HI_0854-RELATED', NULL, NULL, NULL, 15),
(112459, NULL, 'PTHR45828:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112460, NULL, 'PTHR45621:SF43', NULL, NULL, NULL, NULL, 'OSJNBB0103I08.17 PROTEIN', NULL, NULL, NULL, 15),
(112461, NULL, 'PTHR36023:SF10', NULL, NULL, NULL, NULL, 'PROTEIN AUXIN-REGULATED GENE INVOLVED IN ORGAN SIZE', NULL, NULL, NULL, 15),
(112462, NULL, 'PTHR44328:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(112463, NULL, 'PTHR33184:SF67', NULL, NULL, NULL, NULL, 'PROTEIN TAPETUM DETERMINANT 1', NULL, NULL, NULL, 15),
(112464, NULL, 'PTHR13451:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112465, NULL, 'PTHR22674', NULL, NULL, NULL, NULL, 'NTPASE, KAP FAMILY P-LOOP DOMAIN-CONTAINING 1', NULL, NULL, NULL, 15),
(112466, NULL, 'PTHR11715:SF5', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', NULL, NULL, NULL, 15),
(112467, NULL, 'PTHR43096:SF39', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ A6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(112468, NULL, 'PTHR36299:SF2', NULL, NULL, NULL, NULL, 'AGAP008005-PA', NULL, NULL, NULL, 15),
(112469, NULL, 'PTHR23303:SF15', NULL, NULL, NULL, NULL, 'COLOSSIN-A', NULL, NULL, NULL, 15),
(112470, NULL, 'PTHR42038:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G14600)', NULL, NULL, NULL, 15),
(112471, NULL, 'PTHR37457', NULL, NULL, NULL, NULL, 'TRNA SELENOCYSTEINE 1-ASSOCIATED PROTEIN 1-RELATED', NULL, NULL, 30658, 15),
(112472, NULL, 'PTHR13966:SF9', NULL, NULL, NULL, NULL, 'NUCLEASE EXOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(112473, NULL, 'PTHR15629:SF36', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD-TYPE ZINC FINGER FAMILY PROTEIN ISOFORM 2', NULL, NULL, NULL, 15),
(112474, NULL, 'PTHR31992:SF141', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.4-RELATED', NULL, NULL, NULL, 15),
(112475, NULL, 'PTHR24343:SF74', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE/THREONINE-PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(112476, NULL, 'PTHR38370:SF1', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSIDASE', NULL, NULL, NULL, 15),
(112477, NULL, 'PTHR42915', NULL, NULL, NULL, NULL, 'HYPOTHETICAL 460 KDA PROTEIN IN FEUA-SIGW INTERGENIC REGION [PRECURSOR]', NULL, NULL, 8924, 15),
(112478, NULL, 'PTHR24099:SF21', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 67', NULL, NULL, NULL, 15),
(112479, NULL, 'PTHR12490', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29062, 15),
(112480, NULL, 'PTHR31080:SF174', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112481, NULL, 'PTHR44328:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112482, NULL, 'PTHR23430:SF299', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(112483, NULL, 'PTHR19367:SF8', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 3', NULL, NULL, NULL, 15),
(112484, NULL, 'PTHR30575', NULL, NULL, NULL, NULL, 'PEPTIDASE M20', NULL, NULL, NULL, 15),
(112485, NULL, 'PTHR10663:SF350', NULL, NULL, NULL, NULL, 'ARF GUANINE-NUCLEOTIDE EXCHANGE FACTOR GNOM-LIKE', NULL, NULL, NULL, 15),
(112486, NULL, 'PTHR33374:SF20', NULL, NULL, NULL, NULL, 'OS02G0264800 PROTEIN', NULL, NULL, NULL, 15),
(112487, NULL, 'PTHR32009:SF74', NULL, NULL, NULL, NULL, 'RPP1-LIKE DISEASE RESISTANCE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112488, NULL, 'PTHR22847:SF684', NULL, NULL, NULL, NULL, 'COMPASS-LIKE H3K4 HISTONE METHYLASE COMPONENT WDR5B', NULL, NULL, NULL, 15),
(112489, NULL, 'PTHR35614', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112490, NULL, 'PTHR10462:SF10', NULL, NULL, NULL, NULL, 'HISTO-BLOOD GROUP ABO SYSTEM TRANSFERASE 1', NULL, NULL, NULL, 15),
(112491, NULL, 'PTHR22767:SF7', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 16, NATA AUXILIARY SUBUNIT-LIKE', NULL, NULL, NULL, 15),
(112492, NULL, 'PTHR31775:SF31', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL REGION REMORIN', NULL, NULL, NULL, 15),
(112493, NULL, 'PTHR45908:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG10132', NULL, NULL, NULL, 15),
(112494, NULL, 'PTHR31221:SF137', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 12-RELATED', NULL, NULL, NULL, 15),
(112495, NULL, 'PTHR10218:SF301', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-9 SUBUNIT', NULL, NULL, NULL, 15),
(112496, NULL, 'PTHR24331:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DBX2', NULL, NULL, NULL, 15),
(112497, NULL, 'PTHR46795:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE-RELATED', NULL, NULL, NULL, 15),
(112498, NULL, 'PTHR33086:SF46', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(112499, NULL, 'PTHR47884:SF1', NULL, NULL, NULL, NULL, 'PROSTATE AND TESTIS EXPRESSED PROTEIN 2', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112500, NULL, 'PTHR27008:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112501, NULL, 'PTHR46613:SF1', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD 10 HOMOLOG B-RELATED', NULL, NULL, NULL, 15),
(112502, NULL, 'PTHR46713', NULL, NULL, NULL, NULL, 'F13M7.16 PROTEIN', NULL, NULL, NULL, 15),
(112503, NULL, 'PTHR45988:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN AZF2', NULL, NULL, NULL, 15),
(112504, NULL, 'PTHR31009:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112505, NULL, 'PTHR11266:SF107', NULL, NULL, NULL, NULL, 'BNAC03G44040D PROTEIN', NULL, NULL, NULL, 15),
(112506, NULL, 'PTHR11685:SF222', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(112507, NULL, 'PTHR47448:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE DSOR1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112508, NULL, 'PTHR24296:SF139', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 86A4', NULL, NULL, NULL, 15),
(112509, NULL, 'PTHR48058:SF10', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', NULL, NULL, NULL, 15),
(112510, NULL, 'PTHR32251:SF30', NULL, NULL, NULL, NULL, 'BNAA02G16510D PROTEIN', NULL, NULL, NULL, 15),
(112511, NULL, 'PTHR47072:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112512, NULL, 'PTHR27009:SF218', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(112513, NULL, 'PTHR24409:SF381', NULL, NULL, NULL, NULL, 'SI:CH211-276C2.4-RELATED', NULL, NULL, NULL, 15),
(112514, NULL, 'PTHR48207', NULL, NULL, NULL, NULL, 'SUCCINATE--HYDROXYMETHYLGLUTARATE COA-TRANSFERASE', NULL, NULL, NULL, 15),
(112515, NULL, 'PTHR11353:SF19', NULL, NULL, NULL, NULL, 'CHAPERONIN-CONTAINING TCP1, SUBUNIT 8 (THETA)', NULL, NULL, NULL, 15),
(112516, NULL, 'PTHR43280:SF19', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE CATABOLISM PROTEIN', NULL, NULL, NULL, 15),
(112517, NULL, 'PTHR10706:SF147', NULL, NULL, NULL, NULL, 'OS05G0139300 PROTEIN', NULL, NULL, NULL, 15),
(112518, NULL, 'PTHR47640:SF36', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112519, NULL, 'PTHR33207:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112520, NULL, 'PTHR11036:SF27', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3F', NULL, NULL, NULL, 15),
(112521, NULL, 'PTHR31050:SF6', NULL, NULL, NULL, NULL, 'BNAC08G40310D PROTEIN', NULL, NULL, NULL, 15),
(112522, NULL, 'PTHR17149', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN 1 AND 2', NULL, NULL, 19171, 15),
(112523, NULL, 'PTHR45666:SF38', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE PHOSPHATASE (SYNAPTOGENIN-LIKE) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112524, NULL, 'PTHR31790:SF325', NULL, NULL, NULL, NULL, 'BNAA03G57440D PROTEIN', NULL, NULL, NULL, 15),
(112525, NULL, 'PTHR23050:SF423', NULL, NULL, NULL, NULL, 'CALMODULIN', NULL, NULL, NULL, 15),
(112526, NULL, 'PTHR47090:SF4', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112527, NULL, 'PTHR13871', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(112528, NULL, 'PTHR24286:SF278', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 BJ-1', NULL, NULL, NULL, 15),
(112529, NULL, 'PTHR13778:SF48', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 7-RELATED', NULL, NULL, NULL, 15),
(112530, NULL, 'PTHR45968:SF20', NULL, NULL, NULL, NULL, 'PROTEIN HOTHEAD-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(112531, NULL, 'PTHR11266:SF109', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE 22 KDA (MPV17/PMP22) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(112532, NULL, 'PTHR32054:SF71', NULL, NULL, NULL, NULL, 'WEB FAMILY-RELATED', NULL, NULL, NULL, 15),
(112533, NULL, 'PTHR31102:SF14', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 9B2', NULL, NULL, 35613, 15),
(112534, NULL, 'PTHR32141', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112535, NULL, 'PTHR31517:SF51', NULL, NULL, NULL, NULL, 'PEROXIDASE 55', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112536, NULL, 'PTHR13140:SF753', NULL, NULL, NULL, NULL, 'MYOSIN-5', NULL, NULL, NULL, 15),
(112537, NULL, 'PTHR11732:SF481', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE', NULL, NULL, NULL, 15),
(112538, NULL, 'PTHR44259:SF59', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', NULL, NULL, NULL, 15),
(112539, NULL, 'PTHR26452:SF90', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5P2', NULL, NULL, NULL, 15),
(112540, NULL, 'PTHR23098:SF7', NULL, NULL, NULL, NULL, 'NUCLEAR APOPTOSIS-INDUCING FACTOR 1', NULL, NULL, NULL, 15),
(112541, NULL, 'PTHR22953:SF135', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(112542, NULL, 'PTHR23113:SF162', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR R', NULL, NULL, NULL, 15),
(112543, NULL, 'PTHR47322:SF15', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT OUTER MEMBRANE RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(112544, NULL, 'PTHR11236:SF32', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE ALPHA SUBUNIT 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(112545, NULL, 'PTHR31175:SF61', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(112546, NULL, 'PTHR36694:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG15784', NULL, NULL, NULL, 15),
(112547, NULL, 'PTHR10383:SF22', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR 2', NULL, NULL, 21787, 15),
(112548, NULL, 'PTHR10891:SF869', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112549, NULL, 'PTHR32468:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112550, NULL, 'PTHR22844:SF366', NULL, NULL, NULL, NULL, 'BNAC03G66170D PROTEIN', NULL, NULL, NULL, 15),
(112551, NULL, 'PTHR23502:SF134', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02060)-RELATED', NULL, NULL, NULL, 15),
(112552, NULL, 'PTHR18359:SF0', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 18 HOMOLOG', NULL, NULL, NULL, 15),
(112553, NULL, 'PTHR37177:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PSY2', NULL, NULL, NULL, 15),
(112554, NULL, 'PTHR45089:SF32', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 14-LIKE', NULL, NULL, NULL, 15),
(112555, NULL, 'PTHR23022:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112556, NULL, 'PTHR30473:SF2', NULL, NULL, NULL, NULL, 'PHOH-LIKE PROTEIN PHOH2 (PHOSPHATE STARVATION-INDUCIBLE PROTEIN PSIH)-RELATED', NULL, NULL, NULL, 15),
(112557, NULL, 'PTHR28065', NULL, NULL, NULL, NULL, 'FREQUENIN', NULL, NULL, NULL, 15),
(112558, NULL, 'PTHR12203:SF89', NULL, NULL, NULL, NULL, 'CAPSULAR ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(112559, NULL, 'PTHR33480:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112560, NULL, 'PTHR43294:SF8', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(112561, NULL, 'PTHR15222', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 1', NULL, NULL, 9640, 15),
(112562, NULL, 'PTHR42685:SF4', NULL, NULL, NULL, NULL, 'CONDITIONED MEDIUM FACTOR RECEPTOR 1', NULL, NULL, NULL, 15),
(112563, NULL, 'PTHR30458', NULL, NULL, NULL, NULL, 'PHENYLACETIC ACID DEGRADATION PROTEIN PAA', NULL, NULL, NULL, 15),
(112564, NULL, 'PTHR23024:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112565, NULL, 'PTHR45837:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112566, NULL, 'PTHR45228:SF7', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(112567, NULL, 'PTHR23501:SF181', NULL, NULL, NULL, NULL, 'AZOLE RESISTANCE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(112568, NULL, 'PTHR12093:SF11', NULL, NULL, NULL, NULL, 'NCK-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(112569, NULL, 'PTHR31072:SF148', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, TCP-RELATED', NULL, NULL, NULL, 15),
(112570, NULL, 'PTHR24034:SF102', NULL, NULL, NULL, NULL, 'EGF-CONTAINING FIBULIN-LIKE EXTRACELLULAR MATRIX PROTEIN 1', NULL, NULL, 27198, 15),
(112571, NULL, 'PTHR45619:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-3 CATALYTIC SUBUNIT', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112572, NULL, 'PTHR33453:SF21', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(112573, NULL, 'PTHR35392', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED-RELATED', NULL, NULL, NULL, 15),
(112574, NULL, 'PTHR43735:SF20', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 2', NULL, NULL, NULL, 15),
(112575, NULL, 'PTHR33710:SF41', NULL, NULL, NULL, NULL, 'BNAC03G48920D PROTEIN', NULL, NULL, NULL, 15),
(112576, NULL, 'PTHR11010:SF95', NULL, NULL, NULL, NULL, 'THYMUS-SPECIFIC SERINE PROTEASE', NULL, NULL, NULL, 15),
(112577, NULL, 'PTHR31851:SF44', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(112578, NULL, 'PTHR24320:SF241', NULL, NULL, NULL, NULL, 'BNAANNG39870D PROTEIN', NULL, NULL, NULL, 15),
(112579, NULL, 'PTHR47906:SF3', NULL, NULL, NULL, NULL, 'OSJNBB0050O03.9 PROTEIN', NULL, NULL, NULL, 15),
(112580, NULL, 'PTHR43706:SF23', NULL, NULL, NULL, NULL, 'OS05G0331200 PROTEIN', NULL, NULL, NULL, 15),
(112581, NULL, 'PTHR37243:SF2', NULL, NULL, NULL, NULL, 'NEGATIVE REGULATOR OF SYSTEMIC ACQUIRED RESISTANCE SNI1', NULL, NULL, NULL, 15),
(112582, NULL, 'PTHR23413:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32-1', NULL, NULL, NULL, 15),
(112583, NULL, 'PTHR10434:SF10', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE ACL-1-RELATED', NULL, NULL, NULL, 15),
(112584, NULL, 'PTHR47997:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB46', NULL, NULL, NULL, 15),
(112585, NULL, 'PTHR17609:SF2', NULL, NULL, NULL, NULL, 'HMG DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(112586, NULL, 'PTHR43399:SF4', NULL, NULL, NULL, NULL, 'CELL WALL-ASSOCIATED PROTEASE', NULL, NULL, NULL, 15),
(112587, NULL, 'PTHR47990:SF80', NULL, NULL, NULL, NULL, 'OS01G0832600 PROTEIN', NULL, NULL, NULL, 15),
(112588, NULL, 'PTHR43491', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-D-MANNOSAMINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(112589, NULL, 'PTHR45714', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112590, NULL, 'PTHR23177:SF56', NULL, NULL, NULL, NULL, 'OS07G0408500 PROTEIN', NULL, NULL, NULL, 15),
(112591, NULL, 'PTHR31080:SF153', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15),
(112592, NULL, 'PTHR24006:SF737', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', NULL, NULL, NULL, 15),
(112593, NULL, 'PTHR31314:SF123', NULL, NULL, NULL, NULL, 'PROTEIN PHR1-LIKE 1-LIKE', NULL, NULL, NULL, 15),
(112594, NULL, 'PTHR27005:SF188', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(112595, NULL, 'PTHR10983:SF14', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE ACL-12-RELATED', NULL, NULL, NULL, 15),
(112596, NULL, 'PTHR11829:SF215', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN B2', NULL, NULL, NULL, 15),
(112597, NULL, 'PTHR32448:SF32', NULL, NULL, NULL, NULL, 'OS06G0549600 PROTEIN', NULL, NULL, NULL, 15),
(112598, NULL, 'PTHR42825:SF20', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(112599, NULL, 'PTHR37473:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112600, NULL, 'PTHR11003:SF302', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(112601, NULL, 'PTHR43650:SF19', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(112602, NULL, 'PTHR31080:SF135', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 1-LIKE', NULL, NULL, NULL, 15),
(112603, NULL, 'PTHR31807:SF35', NULL, NULL, NULL, NULL, 'DUF566 DOMAIN CONTAINING FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112604, NULL, 'PTHR31989:SF133', NULL, NULL, NULL, NULL, 'OS08G0327800 PROTEIN', NULL, NULL, NULL, 15),
(112605, NULL, 'PTHR28086:SF1', NULL, NULL, NULL, NULL, 'UPF0662 PROTEIN YPL260W', NULL, NULL, NULL, 15),
(112606, NULL, 'PTHR43180:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112607, NULL, 'PTHR21662:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG01943', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112608, NULL, 'PTHR31992:SF119', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.1', NULL, NULL, NULL, 15),
(112609, NULL, 'PTHR13680:SF39', NULL, NULL, NULL, NULL, 'CDGSH IRON-SULFUR DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(112610, NULL, 'PTHR15856:SF51', NULL, NULL, NULL, NULL, 'MBD-R2', NULL, NULL, NULL, 15),
(112611, NULL, 'PTHR35714:SF1', NULL, NULL, NULL, NULL, 'OS02G0715300 PROTEIN', NULL, NULL, NULL, 15),
(112612, NULL, 'PTHR10920:SF12', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE(32)/GUANOSINE(34)-2''-O)-METHYLTRANSFERASE-RELATED', NULL, NULL, 24812, 15),
(112613, NULL, 'PTHR45710:SF14', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 2 MEMBER D', NULL, NULL, NULL, 15),
(112614, NULL, 'PTHR34950:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112615, NULL, 'PTHR31238:SF133', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112616, NULL, 'PTHR24320:SF200', NULL, NULL, NULL, NULL, 'OS02G0116500 PROTEIN', NULL, NULL, NULL, 15),
(112617, NULL, 'PTHR12542:SF121', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(112618, NULL, 'PTHR31625:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112619, NULL, 'PTHR33433:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112620, NULL, 'PTHR46338:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 8', NULL, NULL, NULL, 15),
(112621, NULL, 'PTHR12549:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112622, NULL, 'PTHR32018:SF1', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(112623, NULL, 'PTHR27004:SF376', NULL, NULL, NULL, NULL, 'BNAA05G10630D PROTEIN', NULL, NULL, NULL, 15),
(112624, NULL, 'PTHR43570:SF9', NULL, NULL, NULL, NULL, 'FATTY ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(112625, NULL, 'PTHR11449:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30', NULL, NULL, NULL, 15),
(112626, NULL, 'PTHR34721:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG21570', NULL, NULL, NULL, 15),
(112627, NULL, 'PTHR11878:SF68', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR V1', NULL, NULL, NULL, 15),
(112628, NULL, 'PTHR48100:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112629, NULL, 'PTHR22754:SF33', NULL, NULL, NULL, NULL, 'DISCO-INTERACTING PROTEIN 2 HOMOLOG C', NULL, NULL, NULL, 15),
(112630, NULL, 'PTHR47687', NULL, NULL, NULL, NULL, 'G8 DOMAIN-CONTAINING PROTEIN DDB_G0288475-RELATED', NULL, NULL, NULL, 15),
(112631, NULL, 'PTHR31579:SF44', NULL, NULL, NULL, NULL, 'F21O3.6 PROTEIN', NULL, NULL, NULL, 15),
(112632, NULL, 'PTHR21538:SF23', NULL, NULL, NULL, NULL, 'ANILLIN', NULL, NULL, NULL, 15),
(112633, NULL, 'PTHR22589:SF50', NULL, NULL, NULL, NULL, 'CARNITINE O-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(112634, NULL, 'PTHR12149:SF8', NULL, NULL, NULL, NULL, 'FRUCTOSAMINE 3 KINASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(112635, NULL, 'PTHR12544', NULL, NULL, NULL, NULL, 'GLUTAMINASE', NULL, NULL, 13643, 15),
(112636, NULL, 'PTHR47908', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112637, NULL, 'PTHR45633:SF31', NULL, NULL, NULL, NULL, 'RUBISCO LARGE SUBUNIT-BINDING PROTEIN SUBUNIT ALPHA-LIKE', NULL, NULL, NULL, 15),
(112638, NULL, 'PTHR10593:SF150', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE, ZINC FINGER, DOUBLE-STRANDED RNA BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112639, NULL, 'PTHR12604:SF4', NULL, NULL, NULL, NULL, 'X-RAY REPAIR CROSS-COMPLEMENTING PROTEIN 5', NULL, NULL, NULL, 15),
(112640, NULL, 'PTHR31263', NULL, NULL, NULL, NULL, 'CELLULASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G14560)', NULL, NULL, NULL, 15),
(112641, NULL, 'PTHR23359:SF57', NULL, NULL, NULL, NULL, 'GENE, 17949-RELATED', NULL, NULL, NULL, 15),
(112642, NULL, 'PTHR11727:SF18', NULL, NULL, NULL, NULL, 'RRNA ADENINE N(6)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(112643, NULL, 'PTHR10068:SF8', NULL, NULL, NULL, NULL, 'PROTEOGLYCAN 3', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112644, NULL, 'PTHR13690:SF80', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER (BZIP) TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(112645, NULL, 'PTHR44137:SF34', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112646, NULL, 'PTHR12411:SF609', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112647, NULL, 'PTHR47956:SF91', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B34-LIKE', NULL, NULL, NULL, 15),
(112648, NULL, 'PTHR10683:SF38', NULL, NULL, NULL, NULL, 'ALDOLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(112649, NULL, 'PTHR31260:SF61', NULL, NULL, NULL, NULL, 'MULTICYSTATIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(112650, NULL, 'PTHR39374:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG12861', NULL, NULL, NULL, 15),
(112651, NULL, 'PTHR10696:SF21', NULL, NULL, NULL, NULL, 'L-ASPARAGINE OXYGENASE', NULL, NULL, NULL, 15),
(112652, NULL, 'PTHR24115:SF445', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF7', NULL, NULL, NULL, 15),
(112653, NULL, 'PTHR31811:SF0', NULL, NULL, NULL, NULL, 'TRNA A64-2''-O-RIBOSYLPHOSPHATE TRANSFERASE', NULL, NULL, NULL, 15),
(112654, NULL, 'PTHR26453:SF622', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(112655, NULL, 'PTHR23095:SF22', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN MA3', NULL, NULL, 24317, 15),
(112656, NULL, 'PTHR24186:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112657, NULL, 'PTHR37294', NULL, NULL, NULL, NULL, '3''-5'' EXORIBONUCLEASE YHAM', NULL, NULL, NULL, 15),
(112658, NULL, 'PTHR11005:SF123', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(112659, NULL, 'PTHR14416', NULL, NULL, NULL, NULL, 'PROTEIN NJMU-R1', NULL, NULL, 28677, 15),
(112660, NULL, 'PTHR23189:SF47', NULL, NULL, NULL, NULL, 'SI:CH1073-335M2.2', NULL, NULL, NULL, 15),
(112661, NULL, 'PTHR48063:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112662, NULL, 'PTHR43157:SF43', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(112663, NULL, 'PTHR11825:SF28', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(112664, NULL, 'PTHR48010:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112665, NULL, 'PTHR42964:SF1', NULL, NULL, NULL, NULL, 'POLYKETIDE BIOSYNTHESIS ENOYL-COA HYDRATASE PKSH-RELATED', NULL, NULL, NULL, 15),
(112666, NULL, 'PTHR11017:SF294', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY-RELATED', NULL, NULL, NULL, 15),
(112667, NULL, 'PTHR46303:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112668, NULL, 'PTHR31062:SF195', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(112669, NULL, 'PTHR24173:SF42', NULL, NULL, NULL, NULL, 'FI19351P1', NULL, NULL, NULL, 15),
(112670, NULL, 'PTHR33385:SF20', NULL, NULL, NULL, NULL, 'BNAA09G56950D PROTEIN', NULL, NULL, NULL, 15),
(112671, NULL, 'PTHR11206:SF440', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 19', NULL, NULL, NULL, 15),
(112672, NULL, 'PTHR48018:SF30', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(112673, NULL, 'PTHR10353:SF234', NULL, NULL, NULL, NULL, 'MYROSINASE 4-RELATED', NULL, NULL, NULL, 15),
(112674, NULL, 'PTHR10127:SF788', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(112675, NULL, 'PTHR31313:SF81', NULL, NULL, NULL, NULL, 'TY1 ENHANCER ACTIVATOR', NULL, NULL, NULL, 15),
(112676, NULL, 'PTHR11709:SF310', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE', NULL, NULL, NULL, 15),
(112677, NULL, 'PTHR27000:SF282', NULL, NULL, NULL, NULL, 'OS06G0557100 PROTEIN', NULL, NULL, NULL, 15),
(112678, NULL, 'PTHR10811:SF52', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE MANIC FRINGE', NULL, NULL, NULL, 15),
(112679, NULL, 'PTHR31529:SF12', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 20', NULL, NULL, NULL, 15),
(112680, NULL, 'PTHR21576:SF83', NULL, NULL, NULL, NULL, 'OS05G0475700 PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112681, NULL, 'PTHR31989:SF286', NULL, NULL, NULL, NULL, 'BNAC09G47170D PROTEIN', NULL, NULL, NULL, 15),
(112682, NULL, 'PTHR15715:SF43', NULL, NULL, NULL, NULL, 'SARCOLEMMA-ASSOCIATED PROTEIN B', NULL, NULL, NULL, 15),
(112683, NULL, 'PTHR24058:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112684, NULL, 'PTHR22916:SF65', NULL, NULL, NULL, NULL, 'SLR1065 PROTEIN', NULL, NULL, NULL, 15),
(112685, NULL, 'PTHR13140:SF800', NULL, NULL, NULL, NULL, 'BNAA02G04890D PROTEIN', NULL, NULL, NULL, 15),
(112686, NULL, 'PTHR43425:SF3', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(112687, NULL, 'PTHR45988:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT4-LIKE', NULL, NULL, NULL, 15),
(112688, NULL, 'PTHR13309:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR FRAGILE X MENTAL RETARDATION-INTERACTING PROTEIN 1', NULL, NULL, 31893, 15),
(112689, NULL, 'PTHR45631:SF117', NULL, NULL, NULL, NULL, 'OS05G0525600 PROTEIN', NULL, NULL, NULL, 15),
(112690, NULL, 'PTHR45627:SF25', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE', NULL, NULL, NULL, 15),
(112691, NULL, 'PTHR45824:SF8', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN, CRAL/TRIO DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112692, NULL, 'PTHR21007:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112693, NULL, 'PTHR34209:SF3', NULL, NULL, NULL, NULL, 'RHODANESE/CELL CYCLE CONTROL PHOSPHATASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(112694, NULL, 'PTHR16776', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN 1', NULL, NULL, 14433, 15),
(112695, NULL, 'PTHR11377:SF16', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE', NULL, NULL, NULL, 15),
(112696, NULL, 'PTHR45966:SF12', NULL, NULL, NULL, NULL, 'INACTIVE GDSL ESTERASE/LIPASE-LIKE PROTEIN 25', NULL, NULL, NULL, 15),
(112697, NULL, 'PTHR31061:SF28', NULL, NULL, NULL, NULL, 'HEPARAN-ALPHA-GLUCOSAMINIDE N-ACETYLTRANSFERASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(112698, NULL, 'PTHR42886:SF58', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112699, NULL, 'PTHR48041:SF49', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY G (WHITE), MEMBER 2B-RELATED', NULL, NULL, NULL, 15),
(112700, NULL, 'PTHR33144:SF25', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PTTA/EN/SPM, PLANT, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(112701, NULL, 'PTHR36333:SF1', NULL, NULL, NULL, NULL, 'DIMETHYLALLYL, ADENOSINE TRNA METHYLTHIOTRANSFERASE', NULL, NULL, NULL, 15),
(112702, NULL, 'PTHR43416:SF29', NULL, NULL, NULL, NULL, 'OSJNBA0072K14.5 PROTEIN', NULL, NULL, NULL, 15),
(112703, NULL, 'PTHR45768:SF53', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(112704, NULL, 'PTHR45641:SF8', NULL, NULL, NULL, NULL, 'TPR DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G01710)', NULL, NULL, NULL, 15),
(112705, NULL, 'PTHR46128:SF154', NULL, NULL, NULL, NULL, 'BNACNNG03210D PROTEIN', NULL, NULL, NULL, 15),
(112706, NULL, 'PTHR24361:SF641', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112707, NULL, 'PTHR24028:SF9', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-18', NULL, NULL, 25755, 15),
(112708, NULL, 'PTHR22953:SF35', NULL, NULL, NULL, NULL, 'FE(3+)-ZN(2+) PURPLE ACID PHOSPHATASE 12', NULL, NULL, NULL, 15),
(112709, NULL, 'PTHR11615:SF231', NULL, NULL, NULL, NULL, 'HYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(112710, NULL, 'PTHR44259:SF25', NULL, NULL, NULL, NULL, 'BNAC08G45830D PROTEIN', NULL, NULL, NULL, 15),
(112711, NULL, 'PTHR24062:SF69', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(112712, NULL, 'PTHR46662:SF2', NULL, NULL, NULL, NULL, 'DI-GLUCOSE BINDING PROTEIN WITH LEUCINE-RICH REPEAT DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(112713, NULL, 'PTHR47984:SF30', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', NULL, NULL, NULL, 15),
(112714, NULL, 'PTHR33044:SF183', NULL, NULL, NULL, NULL, 'BNAC05G14110D PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112715, NULL, 'PTHR33415:SF14', NULL, NULL, NULL, NULL, 'OS09G0112400 PROTEIN', NULL, NULL, NULL, 15),
(112716, NULL, 'PTHR10288:SF140', NULL, NULL, NULL, NULL, 'FUBP (FUBP) LIKE', NULL, NULL, NULL, 15),
(112717, NULL, 'PTHR11614:SF92', NULL, NULL, NULL, NULL, 'OS12G0262700 PROTEIN', NULL, NULL, NULL, 15),
(112718, NULL, 'PTHR24031:SF727', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 10', NULL, NULL, NULL, 15),
(112719, NULL, 'PTHR42700', NULL, NULL, NULL, NULL, 'SULFATE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(112720, NULL, 'PTHR11592:SF17', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 5-RELATED', NULL, NULL, NULL, 15),
(112721, NULL, 'PTHR12663:SF27', NULL, NULL, NULL, NULL, 'BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112722, NULL, 'PTHR36323', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112723, NULL, 'PTHR35827:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(112724, NULL, 'PTHR31662:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(112725, NULL, 'PTHR22722', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(112726, NULL, 'PTHR10947:SF0', NULL, NULL, NULL, NULL, 'PHENYLALANINE--TRNA LIGASE BETA SUBUNIT', NULL, NULL, NULL, 15),
(112727, NULL, 'PTHR45855:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HFR1', NULL, NULL, NULL, 15),
(112728, NULL, 'PTHR23226:SF190', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 18', NULL, NULL, 24131, 15),
(112729, NULL, 'PTHR27006:SF37', NULL, NULL, NULL, NULL, 'PROMASTIGOTE SURFACE ANTIGEN PROTEIN PSA', NULL, NULL, NULL, 15),
(112730, NULL, 'PTHR11850:SF276', NULL, NULL, NULL, NULL, 'KNOX TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(112731, NULL, 'PTHR10104:SF17', NULL, NULL, NULL, NULL, 'STATHMIN-3', NULL, NULL, 28419, 15),
(112732, NULL, 'PTHR42982', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATA', NULL, NULL, NULL, 15),
(112733, NULL, 'PTHR24031:SF667', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 26', NULL, NULL, NULL, 15),
(112734, NULL, 'PTHR31446:SF27', NULL, NULL, NULL, NULL, 'BNAA03G36360D PROTEIN', NULL, NULL, NULL, 15),
(112735, NULL, 'PTHR24326:SF556', NULL, NULL, NULL, NULL, 'HOMEOBOX LEUCINE ZIPPER PROTEIN', NULL, NULL, NULL, 15),
(112736, NULL, 'PTHR24418:SF227', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE FER', NULL, NULL, 27369, 15),
(112737, NULL, 'PTHR46153:SF11', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(112738, NULL, 'PTHR10334:SF378', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', NULL, NULL, NULL, 15),
(112739, NULL, 'PTHR31507:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG19881', NULL, NULL, NULL, 15),
(112740, NULL, 'PTHR45950:SF12', NULL, NULL, NULL, NULL, 'BNAC03G55030D PROTEIN', NULL, NULL, NULL, 15),
(112741, NULL, 'PTHR45738:SF17', NULL, NULL, NULL, NULL, 'BNAA08G29520D PROTEIN', NULL, NULL, NULL, 15),
(112742, NULL, 'PTHR47074:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112743, NULL, 'PTHR11615:SF303', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112744, NULL, 'PTHR45950:SF22', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX32', NULL, NULL, NULL, 15),
(112745, NULL, 'PTHR33387:SF5', NULL, NULL, NULL, NULL, 'OS06G0198500 PROTEIN', NULL, NULL, NULL, 15),
(112746, NULL, 'PTHR33825:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(112747, NULL, 'PTHR14269:SF48', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02580)-RELATED', NULL, NULL, NULL, 15),
(112748, NULL, 'PTHR15832:SF3', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(112749, NULL, 'PTHR24340:SF73', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN BAGPIPE', NULL, NULL, NULL, 15),
(112750, NULL, 'PTHR47465:SF5', NULL, NULL, NULL, NULL, 'REPRODUCTIVE HOMEOBOX 8', NULL, NULL, NULL, 15),
(112751, NULL, 'PTHR14421:SF3', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112752, NULL, 'PTHR11746:SF197', NULL, NULL, NULL, NULL, '5-PENTADECATRIENYL RESORCINOL O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(112753, NULL, 'PTHR13817:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112754, NULL, 'PTHR37959:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG15758', NULL, NULL, NULL, 15),
(112755, NULL, 'PTHR26312:SF67', NULL, NULL, NULL, NULL, 'OS02G0684000 PROTEIN', NULL, NULL, NULL, 15),
(112756, NULL, 'PTHR12681:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 21', NULL, NULL, NULL, 15),
(112757, NULL, 'PTHR31065:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112758, NULL, 'PTHR23155:SF1086', NULL, NULL, NULL, NULL, 'OS11G0263000 PROTEIN', NULL, NULL, NULL, 15),
(112759, NULL, 'PTHR10663:SF371', NULL, NULL, NULL, NULL, 'IQ MOTIF AND SEC7 DOMAIN 3B', NULL, NULL, NULL, 15),
(112760, NULL, 'PTHR22835:SF525', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112761, NULL, 'PTHR36039', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112762, NULL, 'PTHR23341', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEINS HMG-A AND C', NULL, NULL, NULL, 15),
(112763, NULL, 'PTHR45660:SF47', NULL, NULL, NULL, NULL, 'SU(VAR)3-9-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112764, NULL, 'PTHR33384:SF29', NULL, NULL, NULL, NULL, 'BNAA01G32890D PROTEIN', NULL, NULL, NULL, 15),
(112765, NULL, 'PTHR34491:SF33', NULL, NULL, NULL, NULL, 'MYOSIN-2', NULL, NULL, NULL, 15),
(112766, NULL, 'PTHR47468:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112767, NULL, 'PTHR21562:SF53', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(112768, NULL, 'PTHR24221:SF464', NULL, NULL, NULL, NULL, 'CULLIN-ASSOCIATED NEDD8-DISSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(112769, NULL, 'PTHR11062:SF48', NULL, NULL, NULL, NULL, 'EXOSTOSIN-LIKE', NULL, NULL, NULL, 15),
(112770, NULL, 'PTHR46666:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112771, NULL, 'PTHR11785:SF117', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(112772, NULL, 'PTHR12843', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE METTL10', NULL, NULL, NULL, 15),
(112773, NULL, 'PTHR28581:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112774, NULL, 'PTHR12613:SF0', NULL, NULL, NULL, NULL, 'ERO1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112775, NULL, 'PTHR46012:SF3', NULL, NULL, NULL, NULL, 'GLUCOSIDE XYLOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(112776, NULL, 'PTHR43596', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN', NULL, NULL, NULL, 15),
(112777, NULL, 'PTHR11260:SF695', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(112778, NULL, 'PTHR31945:SF85', NULL, NULL, NULL, NULL, 'OS07G0676600 PROTEIN', NULL, NULL, NULL, 15),
(112779, NULL, 'PTHR43873:SF1', NULL, NULL, NULL, NULL, 'COBYRINATE A,C-DIAMIDE SYNTHASE', NULL, NULL, NULL, 15),
(112780, NULL, 'PTHR47942:SF34', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112781, NULL, 'PTHR23110:SF76', NULL, NULL, NULL, NULL, 'RIBBON, ISOFORM C', NULL, NULL, NULL, 15),
(112782, NULL, 'PTHR31105:SF43', NULL, NULL, NULL, NULL, 'OS05G0479900 PROTEIN', NULL, NULL, NULL, 15),
(112783, NULL, 'PTHR13140:SF786', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(112784, NULL, 'PTHR24173:SF27', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 1', NULL, NULL, NULL, 15),
(112785, NULL, 'PTHR12110:SF41', NULL, NULL, NULL, NULL, 'BLL7636 PROTEIN', NULL, NULL, NULL, 15),
(112786, NULL, 'PTHR18953:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112787, NULL, 'PTHR12420:SF37', NULL, NULL, NULL, NULL, 'G2/M PHASE-SPECIFIC E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(112788, NULL, 'PTHR35546:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112789, NULL, 'PTHR31995:SF10', NULL, NULL, NULL, NULL, 'BNAA05G35150D PROTEIN', NULL, NULL, NULL, 15),
(112790, NULL, 'PTHR11850:SF305', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 2', NULL, NULL, NULL, 15),
(112791, NULL, 'PTHR23257:SF834', NULL, NULL, NULL, NULL, 'BNAA04G14300D PROTEIN', NULL, NULL, NULL, 15),
(112792, NULL, 'PTHR24300:SF122', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(112793, NULL, 'PTHR23348:SF37', NULL, NULL, NULL, NULL, 'PROTEIN AHNAK2', NULL, NULL, NULL, 15),
(112794, NULL, 'PTHR44272', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN (PROKARYOTIC HEAT SHOCK PROTEIN)', NULL, NULL, NULL, 15),
(112795, NULL, 'PTHR31218:SF46', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(112796, NULL, 'PTHR19971:SF25', NULL, NULL, NULL, NULL, 'SIGNAL-REGULATORY PROTEIN DELTA', NULL, NULL, NULL, 15),
(112797, NULL, 'PTHR24381:SF153', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 778', NULL, NULL, NULL, 15),
(112798, NULL, 'PTHR10915:SF3', NULL, NULL, NULL, NULL, 'SYNDECAN-4', NULL, NULL, NULL, 15),
(112799, NULL, 'PTHR24637:SF330', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', NULL, NULL, NULL, 15),
(112800, NULL, 'PTHR31568:SF88', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', NULL, NULL, NULL, 15),
(112801, NULL, 'PTHR27009:SF188', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(112802, NULL, 'PTHR31465:SF28', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112803, NULL, 'PTHR12955', NULL, NULL, NULL, NULL, 'SARCOMA ANTIGEN NY-SAR-95-RELATED', NULL, NULL, 15761, 15),
(112804, NULL, 'PTHR30055:SF203', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR FATR', NULL, NULL, NULL, 15),
(112805, NULL, 'PTHR32153:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112806, NULL, 'PTHR45724:SF40', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP1-1', NULL, NULL, NULL, 15),
(112807, NULL, 'PTHR34118:SF1', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112808, NULL, 'PTHR27006:SF394', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-KINASE RFK1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112809, NULL, 'PTHR24177:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112810, NULL, 'PTHR24296:SF168', NULL, NULL, NULL, NULL, 'BNAC03G76440D PROTEIN', NULL, NULL, NULL, 15),
(112811, NULL, 'PTHR48001:SF155', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7A2-RELATED', NULL, NULL, NULL, 15),
(112812, NULL, 'PTHR46476:SF14', NULL, NULL, NULL, NULL, 'CHITINASE 2-LIKE', NULL, NULL, NULL, 15),
(112813, NULL, 'PTHR11772', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE', NULL, NULL, NULL, 15),
(112814, NULL, 'PTHR13874:SF10', NULL, NULL, NULL, NULL, 'ENDOTHELIN-1', NULL, NULL, NULL, 15),
(112815, NULL, 'PTHR31165:SF18', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE8', NULL, NULL, NULL, 15),
(112816, NULL, 'PTHR12548:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR-LIKE PROTEIN DPA', NULL, NULL, NULL, 15),
(112817, NULL, 'PTHR14181', NULL, NULL, NULL, NULL, 'DUFFY ANTIGEN/CHEMOKINE RECEPTOR', NULL, NULL, 6983, 15),
(112818, NULL, 'PTHR36845:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05090)-RELATED', NULL, NULL, NULL, 15),
(112819, NULL, 'PTHR45652:SF7', NULL, NULL, NULL, NULL, 'VIMENTIN-RELATED 2', NULL, NULL, NULL, 15),
(112820, NULL, 'PTHR33103:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112821, NULL, 'PTHR10293:SF59', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-3', NULL, NULL, NULL, 15),
(112822, NULL, 'PTHR46271', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN, PUTATIVE-RELATED', NULL, NULL, 37736, 15),
(112823, NULL, 'PTHR18952:SF33', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 3-RELATED', NULL, NULL, NULL, 15),
(112824, NULL, 'PTHR48078:SF16', NULL, NULL, NULL, NULL, 'SERINE DEHYDRATASE-LIKE', NULL, NULL, NULL, 15),
(112825, NULL, 'PTHR11767:SF108', NULL, NULL, NULL, NULL, 'KCNJ10 ISOFORM 1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112826, NULL, 'PTHR11533:SF204', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(112827, NULL, 'PTHR24006:SF761', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 7', NULL, NULL, NULL, 15),
(112828, NULL, 'PTHR10676:SF343', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 10, AXONEMAL', NULL, NULL, NULL, 15),
(112829, NULL, 'PTHR23288:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 27584, 15),
(112830, NULL, 'PTHR33070:SF74', NULL, NULL, NULL, NULL, 'BNAC01G23450D PROTEIN', NULL, NULL, NULL, 15),
(112831, NULL, 'PTHR24112:SF60', NULL, NULL, NULL, NULL, 'RIBONUCLEASE INHIBITOR', NULL, NULL, NULL, 15),
(112832, NULL, 'PTHR12322:SF52', NULL, NULL, NULL, NULL, 'DM (DOUBLESEX/MAB-3) DOMAIN FAMILY', NULL, NULL, NULL, 15),
(112833, NULL, 'PTHR10057:SF5', NULL, NULL, NULL, NULL, 'TRANSLOCATOR PROTEIN', NULL, NULL, 27729, 15),
(112834, NULL, 'PTHR31321:SF80', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(112835, NULL, 'PTHR23115:SF270', NULL, NULL, NULL, NULL, 'OS04G0595300 PROTEIN', NULL, NULL, NULL, 15),
(112836, NULL, 'PTHR34145:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112837, NULL, 'PTHR31790:SF348', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(112838, NULL, 'PTHR30519:SF13', NULL, NULL, NULL, NULL, '5-METHYLTETRAHYDROPTEROYLTRIGLUTAMATE-- HOMOCYSTEINE METHYLTRANSFERASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(112839, NULL, 'PTHR24093:SF433', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 8, PLASMA MEMBRANE-TYPE-RELATED', NULL, NULL, NULL, 15),
(112840, NULL, 'PTHR47990:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112841, NULL, 'PTHR48002:SF102', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4A47', NULL, NULL, NULL, 15),
(112842, NULL, 'PTHR31080:SF105', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15),
(112843, NULL, 'PTHR45730:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112844, NULL, 'PTHR11878:SF71', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 8 MEMBER 4B', NULL, NULL, NULL, 15),
(112845, NULL, 'PTHR42985:SF15', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED MONOCARBOXYLATE TRANSPORTER 2', NULL, NULL, NULL, 15),
(112846, NULL, 'PTHR11945:SF567', NULL, NULL, NULL, NULL, 'K-BOX REGION AND MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112847, NULL, 'PTHR31314:SF59', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(112848, NULL, 'PTHR31407:SF17', NULL, NULL, NULL, NULL, 'PSBP DOMAIN-CONTAINING PROTEIN 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(112849, NULL, 'PTHR28376', NULL, NULL, NULL, NULL, 'RGD1562914', NULL, NULL, 35285, 15),
(112850, NULL, 'PTHR34216:SF11', NULL, NULL, NULL, NULL, 'BLL0243 PROTEIN', NULL, NULL, NULL, 15),
(112851, NULL, 'PTHR23315:SF250', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(112852, NULL, 'PTHR11668:SF462', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1-BETA-RELATED', NULL, NULL, NULL, 15),
(112853, NULL, 'PTHR23273:SF58', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(112854, NULL, 'PTHR11486:SF74', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 19', NULL, NULL, 26638, 15),
(112855, NULL, 'PTHR11070', NULL, NULL, NULL, NULL, 'UVRD / RECB / PCRA DNA HELICASE FAMILY MEMBER', NULL, NULL, 1526, 15),
(112856, NULL, 'PTHR13182:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112857, NULL, 'PTHR11913:SF92', NULL, NULL, NULL, NULL, 'COFILIN/ACTIN-DEPOLYMERIZING FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112858, NULL, 'PTHR23024:SF415', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 4, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(112859, NULL, 'PTHR47986:SF15', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE TMK1-RELATED', NULL, NULL, NULL, 15),
(112860, NULL, 'PTHR23355:SF42', NULL, NULL, NULL, NULL, 'EXORIBONUCLEASE II, MITOCHONDRIAL', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112861, NULL, 'PTHR31225:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112862, NULL, 'PTHR45660:SF54', NULL, NULL, NULL, NULL, 'BNAA03G01550D PROTEIN', NULL, NULL, NULL, 15),
(112863, NULL, 'PTHR46629:SF19', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(112864, NULL, 'PTHR11017:SF335', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RML1A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(112865, NULL, 'PTHR22573:SF27', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(112866, NULL, 'PTHR46797', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(112867, NULL, 'PTHR12792', NULL, NULL, NULL, NULL, 'EXTRA SPINDLE POLES 1-RELATED', NULL, NULL, 5366, 15),
(112868, NULL, 'PTHR31901:SF42', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6', NULL, NULL, NULL, 15),
(112869, NULL, 'PTHR31787:SF10', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN L-RELATED', NULL, NULL, NULL, 15),
(112870, NULL, 'PTHR32054:SF31', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT 1', NULL, NULL, NULL, 15),
(112871, NULL, 'PTHR10889:SF1', NULL, NULL, NULL, NULL, 'ALDOLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G06590)-RELATED', NULL, NULL, 23334, 15),
(112872, NULL, 'PTHR23310:SF67', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(112873, NULL, 'PTHR45966:SF25', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 2-LIKE', NULL, NULL, NULL, 15),
(112874, NULL, 'PTHR31953:SF15', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 6', NULL, NULL, NULL, 15),
(112875, NULL, 'PTHR21191:SF8', NULL, NULL, NULL, NULL, 'AQUAPORIN-12A-RELATED', NULL, NULL, 20999, 15),
(112876, NULL, 'PTHR11945:SF580', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', NULL, NULL, NULL, 15),
(112877, NULL, 'PTHR11895:SF158', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112878, NULL, 'PTHR18966:SF428', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 1.1', NULL, NULL, NULL, 15),
(112879, NULL, 'PTHR31388:SF227', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(112880, NULL, 'PTHR43593:SF1', NULL, NULL, NULL, NULL, 'INOSITOL 2-DEHYDROGENASE', NULL, NULL, NULL, 15),
(112881, NULL, 'PTHR10983:SF16', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE EPSILON', NULL, NULL, NULL, 15),
(112882, NULL, 'PTHR43828:SF3', NULL, NULL, NULL, NULL, 'L-ASPARAGINASE 1', NULL, NULL, NULL, 15),
(112883, NULL, 'PTHR10666:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112884, NULL, 'PTHR22906:SF25', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR PROPERDIN', NULL, NULL, NULL, 15),
(112885, NULL, 'PTHR11012:SF4', NULL, NULL, NULL, NULL, 'LD42035P', NULL, NULL, NULL, 15),
(112886, NULL, 'PTHR43917:SF12', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE THETA-3', NULL, NULL, NULL, 15),
(112887, NULL, 'PTHR47990:SF76', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 2', NULL, NULL, NULL, 15),
(112888, NULL, 'PTHR31072:SF158', NULL, NULL, NULL, NULL, 'TCP FAMILY TRANSCRIPTION FACTOR TCP4', NULL, NULL, NULL, 15),
(112889, NULL, 'PTHR37309:SF1', NULL, NULL, NULL, NULL, 'SLR0284 PROTEIN', NULL, NULL, NULL, 15),
(112890, NULL, 'PTHR44051:SF10', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTA', NULL, NULL, NULL, 15),
(112891, NULL, 'PTHR42854', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 3 FAMILY MEMBER', NULL, NULL, NULL, 15),
(112892, NULL, 'PTHR46666', NULL, NULL, NULL, NULL, '60S RIBOSOMAL L18A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112893, NULL, 'PTHR15036:SF33', NULL, NULL, NULL, NULL, 'CONTACTIN-ASSOCIATED PROTEIN-LIKE 2', NULL, NULL, 21636, 15),
(112894, NULL, 'PTHR12899:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112895, NULL, 'PTHR21381', NULL, NULL, NULL, NULL, 'ZGC:162297', NULL, NULL, 7495, 15),
(112896, NULL, 'PTHR46128:SF203', NULL, NULL, NULL, NULL, 'FERTILITY RESTORER-LIKE PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112897, NULL, 'PTHR21660:SF50', NULL, NULL, NULL, NULL, 'THIOESTERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112898, NULL, 'PTHR13620:SF77', NULL, NULL, NULL, NULL, 'BNAC01G38340D PROTEIN', NULL, NULL, NULL, 15),
(112899, NULL, 'PTHR23152:SF31', NULL, NULL, NULL, NULL, 'BNAC09G18140D PROTEIN', NULL, NULL, NULL, 15),
(112900, NULL, 'PTHR11076:SF33', NULL, NULL, NULL, NULL, 'DNA POLYMERASE KAPPA', NULL, NULL, NULL, 15),
(112901, NULL, 'PTHR31304:SF26', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 40-LIKE', NULL, NULL, NULL, 15),
(112902, NULL, 'PTHR17630:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112903, NULL, 'PTHR48047:SF51', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(112904, NULL, 'PTHR23320:SF120', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 6B-RELATED', NULL, NULL, 22651, 15),
(112905, NULL, 'PTHR44137:SF40', NULL, NULL, NULL, NULL, 'BNAC03G63600D PROTEIN', NULL, NULL, NULL, 15),
(112906, NULL, 'PTHR10972:SF174', NULL, NULL, NULL, NULL, 'BNAC03G64980D PROTEIN', NULL, NULL, NULL, 15),
(112907, NULL, 'PTHR23073:SF118', NULL, NULL, NULL, NULL, 'PARTICLE TRIPLE-A 1A, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112908, NULL, 'PTHR34271:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112909, NULL, 'PTHR37702:SF8', NULL, NULL, NULL, NULL, 'RESERVOIR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112910, NULL, 'PTHR19384:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112911, NULL, 'PTHR12219', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE', NULL, NULL, 4660, 15),
(112912, NULL, 'PTHR46795', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE-RELATED-RELATED', NULL, NULL, NULL, 15),
(112913, NULL, 'PTHR43321:SF20', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(112914, NULL, 'PTHR32246:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112915, NULL, 'PTHR11732:SF444', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112916, NULL, 'PTHR27007:SF262', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.11-RELATED', NULL, NULL, NULL, 15),
(112917, NULL, 'PTHR10509:SF78', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(112918, NULL, 'PTHR11690:SF261', NULL, NULL, NULL, NULL, 'DEGENERIN-LIKE PROTEIN DEL-10', NULL, NULL, NULL, 15),
(112919, NULL, 'PTHR11850:SF221', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 10', NULL, NULL, NULL, 15),
(112920, NULL, 'PTHR11654:SF369', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 1.1', NULL, NULL, NULL, 15),
(112921, NULL, 'PTHR14356:SF2', NULL, NULL, NULL, NULL, 'INTERLEUKIN-21', NULL, NULL, NULL, 15),
(112922, NULL, 'PTHR42890:SF1', NULL, NULL, NULL, NULL, '15-HYDROXYPROSTAGLANDIN DEHYDROGENASE (NAD)', NULL, NULL, NULL, 15),
(112923, NULL, 'PTHR31113:SF20', NULL, NULL, NULL, NULL, 'UPF0496 PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(112924, NULL, 'PTHR43874:SF62', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR6', NULL, NULL, NULL, 15),
(112925, NULL, 'PTHR45933:SF10', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 3', NULL, NULL, NULL, 15),
(112926, NULL, 'PTHR24044:SF468', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN A', NULL, NULL, NULL, 15),
(112927, NULL, 'PTHR31422:SF33', NULL, NULL, NULL, NULL, 'ZEIN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(112928, NULL, 'PTHR23201:SF110', NULL, NULL, NULL, NULL, 'SNAKIN-1', NULL, NULL, NULL, 15),
(112929, NULL, 'PTHR26374:SF404', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112930, NULL, 'PTHR47995:SF10', NULL, NULL, NULL, NULL, 'GAMYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(112931, NULL, 'PTHR43939:SF36', NULL, NULL, NULL, NULL, 'PFTAIRE-INTERACTING FACTOR 1A, ISOFORM H', NULL, NULL, NULL, 15),
(112932, NULL, 'PTHR48014:SF15', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(112933, NULL, 'PTHR11260:SF629', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112934, NULL, 'PTHR27006:SF120', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(112935, NULL, 'PTHR43748:SF2', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE 2-RELATED', NULL, NULL, NULL, 15),
(112936, NULL, 'PTHR23068:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112937, NULL, 'PTHR31448:SF23', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(112938, NULL, 'PTHR23124:SF129', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(112939, NULL, 'PTHR23515:SF28', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(112940, NULL, 'PTHR13683:SF802', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112941, NULL, 'PTHR43176:SF16', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(112942, NULL, 'PTHR11177:SF350', NULL, NULL, NULL, NULL, 'BACTERIODES THETAIOTAOMICRON SYMBIOTIC CHITINASE', NULL, NULL, NULL, 15),
(112943, NULL, 'PTHR22379', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930407I10 GENE', NULL, NULL, 27282, 15),
(112944, NULL, 'PTHR35218', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112945, NULL, 'PTHR32282', NULL, NULL, NULL, NULL, 'BINDING PROTEIN TRANSPEPTIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112946, NULL, 'PTHR47989:SF43', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-REGULATED RECEPTOR-LIKE KINASE 2', NULL, NULL, NULL, 15),
(112947, NULL, 'PTHR43289:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK7', NULL, NULL, NULL, 15),
(112948, NULL, 'PTHR11260:SF598', NULL, NULL, NULL, NULL, 'OS10G0530500 PROTEIN', NULL, NULL, NULL, 15),
(112949, NULL, 'PTHR14154:SF65', NULL, NULL, NULL, NULL, 'EARLY LIGHT INDUCIBLE PROTEIN2', NULL, NULL, NULL, 15),
(112950, NULL, 'PTHR10125:SF21', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR 6', NULL, NULL, 871, 15),
(112951, NULL, 'PTHR18860:SF7', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN ZETA/DELTA', NULL, NULL, NULL, 15),
(112952, NULL, 'PTHR31472:SF28', NULL, NULL, NULL, NULL, 'BNAA07G09820D PROTEIN', NULL, NULL, NULL, 15),
(112953, NULL, 'PTHR10108:SF1128', NULL, NULL, NULL, NULL, 'BNAA06G39940D PROTEIN', NULL, NULL, NULL, 15),
(112954, NULL, 'PTHR24083:SF168', NULL, NULL, NULL, NULL, 'COUP TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(112955, NULL, 'PTHR45613:SF400', NULL, NULL, NULL, NULL, 'OS02G0824000 PROTEIN', NULL, NULL, NULL, 15),
(112956, NULL, 'PTHR10983:SF8', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE DELTA', NULL, NULL, NULL, 15),
(112957, NULL, 'PTHR24068:SF129', NULL, NULL, NULL, NULL, 'NEDD8-CONJUGATING ENZYME UBE2F-RELATED', NULL, NULL, NULL, 15),
(112958, NULL, 'PTHR23110:SF81', NULL, NULL, NULL, NULL, 'BTB-PROTEIN-VII, ISOFORM F', NULL, NULL, NULL, 15),
(112959, NULL, 'PTHR10635', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA', NULL, NULL, 15639, 15),
(112960, NULL, 'PTHR43286', NULL, NULL, NULL, NULL, 'ENDONUCLEASE III-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(112961, NULL, 'PTHR21780', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 18807, 15),
(112962, NULL, 'PTHR31325:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112963, NULL, 'PTHR30181:SF3', NULL, NULL, NULL, NULL, 'MULTIPHOSPHORYL TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(112964, NULL, 'PTHR12932:SF16', NULL, NULL, NULL, NULL, 'TUBULIN POLYMERIZATION-PROMOTING PROTEIN FAMILY MEMBER 3', NULL, NULL, 25965, 15),
(112965, NULL, 'PTHR11746:SF271', NULL, NULL, NULL, NULL, 'OSJNBB0026E15.9-LIKE PROTEIN', NULL, NULL, NULL, 15),
(112966, NULL, 'PTHR11802:SF363', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 13', NULL, NULL, NULL, 15),
(112967, NULL, 'PTHR11972:SF158', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN G-RELATED', NULL, NULL, NULL, 15),
(112968, NULL, 'PTHR22957:SF523', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 17-LIKE', NULL, NULL, NULL, 15),
(112969, NULL, 'PTHR31920:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(112970, NULL, 'PTHR23235:SF49', NULL, NULL, NULL, NULL, 'WILMS TUMOR PROTEIN', NULL, NULL, 19451, 15),
(112971, NULL, 'PTHR13964:SF24', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 4B', NULL, NULL, 24766, 15),
(112972, NULL, 'PTHR11802:SF298', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 22-RELATED', NULL, NULL, NULL, 15),
(112973, NULL, 'PTHR23406:SF76', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(112974, NULL, 'PTHR21402:SF3', NULL, NULL, NULL, NULL, 'GAMETOCYTE-SPECIFIC FACTOR 1-LIKE', NULL, NULL, 22967, 15),
(112975, NULL, 'PTHR46610:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112976, NULL, 'PTHR34196:SF6', NULL, NULL, NULL, NULL, 'BNAA05G16500D PROTEIN', NULL, NULL, NULL, 15),
(112977, NULL, 'PTHR47958:SF88', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX50', NULL, NULL, NULL, 15),
(112978, NULL, 'PTHR43326:SF2', NULL, NULL, NULL, NULL, 'AMINOACYL-TRNA SYNTHETASE, CLASS 1A,ANTICODON-BINDING', NULL, NULL, NULL, 15),
(112979, NULL, 'PTHR47925:SF17', NULL, NULL, NULL, NULL, 'BNAA09G35950D PROTEIN', NULL, NULL, NULL, 15),
(112980, NULL, 'PTHR27008:SF415', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(112981, NULL, 'PTHR45952', NULL, NULL, NULL, NULL, 'ALUMINUM INDUCED PROTEIN WITH YGL AND LRDR MOTIFS', NULL, NULL, 39212, 15),
(112982, NULL, 'PTHR47120', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 24050, 15),
(112983, NULL, 'PTHR10605:SF31', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(112984, NULL, 'PTHR13948:SF21', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 5', NULL, NULL, 30912, 15),
(112985, NULL, 'PTHR24023:SF993', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112986, NULL, 'PTHR48049:SF94', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(112987, NULL, 'PTHR22947:SF34', NULL, NULL, NULL, NULL, 'SPERM SPECIFIC FAMILY, CLASS P-RELATED', NULL, NULL, NULL, 15),
(112988, NULL, 'PTHR11955:SF99', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN, LIVER-LIKE', NULL, NULL, NULL, 15),
(112989, NULL, 'PTHR27005:SF386', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112990, NULL, 'PTHR11524:SF44', NULL, NULL, NULL, NULL, 'OS04G0605900 PROTEIN', NULL, NULL, NULL, 15),
(112991, NULL, 'PTHR33377:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112992, NULL, 'PTHR13135', NULL, NULL, NULL, NULL, 'CYTOSOLIC RESINIFERATOXIN BINDING PROTEIN RBP-26', NULL, NULL, 35754, 15),
(112993, NULL, 'PTHR15600:SF42', NULL, NULL, NULL, NULL, 'SACSIN', NULL, NULL, NULL, 15),
(112994, NULL, 'PTHR10736:SF27', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG', NULL, NULL, NULL, 15),
(112995, NULL, 'PTHR45785:SF3', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR XIII B CHAIN', NULL, NULL, NULL, 15),
(112996, NULL, 'PTHR31769:SF52', NULL, NULL, NULL, NULL, 'BNAA06G01750D PROTEIN', NULL, NULL, NULL, 15),
(112997, NULL, 'PTHR13683:SF850', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112998, NULL, 'PTHR23236:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(112999, NULL, 'PTHR11514:SF134', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(113000, NULL, 'PTHR47936:SF3', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113001, NULL, 'PTHR31718:SF50', NULL, NULL, NULL, NULL, 'BNAA09G42230D PROTEIN', NULL, NULL, NULL, 15),
(113002, NULL, 'PTHR12428:SF47', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN ALBINO3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(113003, NULL, 'PTHR24414:SF103', NULL, NULL, NULL, NULL, 'BNAA02G11780D PROTEIN', NULL, NULL, NULL, 15),
(113004, NULL, 'PTHR46700:SF5', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113005, NULL, 'PTHR42711:SF12', NULL, NULL, NULL, NULL, 'TETRONASIN-TRANSPORT ATP-BINDING PROTEIN ABC TRANSPORTER-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113006, NULL, 'PTHR23138:SF101', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP2', NULL, NULL, NULL, 15),
(113007, NULL, 'PTHR47977:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113008, NULL, 'PTHR13504:SF34', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE FICD', NULL, NULL, NULL, 15),
(113009, NULL, 'PTHR45786:SF19', NULL, NULL, NULL, NULL, 'BNAC04G13430D PROTEIN', NULL, NULL, NULL, 15),
(113010, NULL, 'PTHR21661:SF16', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', NULL, NULL, NULL, 15),
(113011, NULL, 'PTHR47074:SF3', NULL, NULL, NULL, NULL, 'OS07G0513450 PROTEIN', NULL, NULL, NULL, 15),
(113012, NULL, 'PTHR45496:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113013, NULL, 'PTHR15905:SF5', NULL, NULL, NULL, NULL, 'GOLGI-ASSOCIATED KINASE 1A', NULL, NULL, NULL, 15),
(113014, NULL, 'PTHR13080:SF5', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT F, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(113015, NULL, 'PTHR32141:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113016, NULL, 'PTHR11461', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, SERPIN', NULL, NULL, 1981, 15),
(113017, NULL, 'PTHR12420:SF4', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 11', NULL, NULL, NULL, 15),
(113018, NULL, 'PTHR32241:SF9', NULL, NULL, NULL, NULL, 'OS03G0416400 PROTEIN', NULL, NULL, NULL, 15),
(113019, NULL, 'PTHR47330:SF2', NULL, NULL, NULL, NULL, 'POLY(U)-BINDING-SPLICING FACTOR PUF60', NULL, NULL, NULL, 15),
(113020, NULL, 'PTHR11042:SF160', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2-ALPHA KINASE 1', NULL, NULL, NULL, 15),
(113021, NULL, 'PTHR32054:SF9', NULL, NULL, NULL, NULL, 'OSJNBB0050O03.3 PROTEIN', NULL, NULL, NULL, 15),
(113022, NULL, 'PTHR43000:SF33', NULL, NULL, NULL, NULL, 'CDP-TYVELOSE EPIMERASE', NULL, NULL, NULL, 15),
(113023, NULL, 'PTHR24409:SF315', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 711', NULL, NULL, NULL, 15),
(113024, NULL, 'PTHR37078:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113025, NULL, 'PTHR23315:SF52', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(113026, NULL, 'PTHR16886', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE PROTEIN 2', NULL, NULL, 26894, 15),
(113027, NULL, 'PTHR48189:SF2', NULL, NULL, NULL, NULL, 'BNAA03G48740D PROTEIN', NULL, NULL, NULL, 15),
(113028, NULL, 'PTHR42938:SF22', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(113029, NULL, 'PTHR23266:SF298', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3/OR16-9 (NON-FUNCTIONAL)', NULL, NULL, NULL, 15),
(113030, NULL, 'PTHR36679:SF1', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE S', NULL, NULL, NULL, 15),
(113031, NULL, 'PTHR11527:SF315', NULL, NULL, NULL, NULL, '16.9 KDA CLASS I HEAT SHOCK PROTEIN 2', NULL, NULL, NULL, 15),
(113032, NULL, 'PTHR14261', NULL, NULL, NULL, NULL, 'ONCOSTATIN M', NULL, NULL, 29015, 15),
(113033, NULL, 'PTHR12156:SF21', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN FAMILY B MEMBER 2', NULL, NULL, NULL, 15),
(113034, NULL, 'PTHR12595:SF20', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE ISOENZYME 6 HOMOLOG', NULL, NULL, NULL, 15),
(113035, NULL, 'PTHR45648:SF131', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(113036, NULL, 'PTHR31374:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113037, NULL, 'PTHR11486:SF69', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 23', NULL, NULL, 26612, 15),
(113038, NULL, 'PTHR43100', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE [NADPH] SMALL CHAIN', NULL, NULL, NULL, 15),
(113039, NULL, 'PTHR22849:SF24', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PUB24', NULL, NULL, NULL, 15),
(113040, NULL, 'PTHR31692:SF99', NULL, NULL, NULL, NULL, 'POLLEN ALLERGEN ORY S 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113041, NULL, 'PTHR45701:SF5', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 2', NULL, NULL, 23380, 15),
(113042, NULL, 'PTHR33879:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113043, NULL, 'PTHR46736:SF17', NULL, NULL, NULL, NULL, 'BNAC08G10840D PROTEIN', NULL, NULL, NULL, 15),
(113044, NULL, 'PTHR47958:SF41', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113045, NULL, 'PTHR33470', NULL, NULL, NULL, NULL, 'OS01G0164075 PROTEIN', NULL, NULL, NULL, 15),
(113046, NULL, 'PTHR11003:SF282', NULL, NULL, NULL, NULL, 'TWO-PORE POTASSIUM CHANNEL 3', NULL, NULL, NULL, 15),
(113047, NULL, 'PTHR34367:SF1', NULL, NULL, NULL, NULL, 'OS02G0734667 PROTEIN', NULL, NULL, NULL, 15),
(113048, NULL, 'PTHR32133:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113049, NULL, 'PTHR11062:SF191', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(113050, NULL, 'PTHR21601', NULL, NULL, NULL, NULL, 'SPA2 PROTEIN', NULL, NULL, 31442, 15),
(113051, NULL, 'PTHR46561:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', NULL, NULL, NULL, 15),
(113052, NULL, 'PTHR14456:SF7', NULL, NULL, NULL, NULL, 'INOSITOL-PENTAKISPHOSPHATE 2-KINASE', NULL, NULL, NULL, 15),
(113053, NULL, 'PTHR10281:SF88', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(113054, NULL, 'PTHR12385:SF90', NULL, NULL, NULL, NULL, 'CTL-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(113055, NULL, 'PTHR13531:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 80', NULL, NULL, NULL, 15),
(113056, NULL, 'PTHR30603:SF54', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR', NULL, NULL, NULL, 15),
(113057, NULL, 'PTHR47168:SF1', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113058, NULL, 'PTHR13861', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE SUBUNIT F', NULL, NULL, NULL, 15),
(113059, NULL, 'PTHR11329:SF1', NULL, NULL, NULL, NULL, 'SI:CH1073-204B8.1', NULL, NULL, NULL, 15),
(113060, NULL, 'PTHR17613:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113061, NULL, 'PTHR45647:SF51', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(113062, NULL, 'PTHR31595:SF47', NULL, NULL, NULL, NULL, 'BNAA02G09100D PROTEIN', NULL, NULL, NULL, 15),
(113063, NULL, 'PTHR24215:SF29', NULL, NULL, NULL, NULL, 'CYSTEINE RICH PROTEIN 2', NULL, NULL, NULL, 15),
(113064, NULL, 'PTHR35166:SF6', NULL, NULL, NULL, NULL, 'OS05G0193700 PROTEIN', NULL, NULL, NULL, 15),
(113065, NULL, 'PTHR47942:SF43', NULL, NULL, NULL, NULL, 'OS02G0119700 PROTEIN', NULL, NULL, NULL, 15),
(113066, NULL, 'PTHR33306:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113067, NULL, 'PTHR33103:SF45', NULL, NULL, NULL, NULL, 'OS01G0154600 PROTEIN', NULL, NULL, NULL, 15),
(113068, NULL, 'PTHR33673:SF26', NULL, NULL, NULL, NULL, 'PININ-LIKE PROTEIN', NULL, NULL, NULL, 15),
(113069, NULL, 'PTHR10775:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113070, NULL, 'PTHR11365:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113071, NULL, 'PTHR48018', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(113072, NULL, 'PTHR43372', NULL, NULL, NULL, NULL, 'FATTY-ACID AMIDE HYDROLASE', NULL, NULL, NULL, 15),
(113073, NULL, 'PTHR13068:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113074, NULL, 'PTHR14493:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 49', NULL, NULL, NULL, 15),
(113075, NULL, 'PTHR10972:SF185', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN', NULL, NULL, NULL, 15),
(113076, NULL, 'PTHR13309', NULL, NULL, NULL, NULL, 'NUCLEAR FRAGILE X MENTAL RETARDATION PROTEIN INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(113077, NULL, 'PTHR27002:SF542', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113078, NULL, 'PTHR11616:SF98', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(113079, NULL, 'PTHR31123:SF6', NULL, NULL, NULL, NULL, 'MEMBRANE AMMONIUM TRANSPORTER (ATO3), PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01140)-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113080, NULL, 'PTHR13269:SF6', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NDC1', NULL, NULL, NULL, 15),
(113081, NULL, 'PTHR32116:SF60', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(113082, NULL, 'PTHR31683:SF140', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(113083, NULL, 'PTHR11711:SF386', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 5', NULL, NULL, NULL, 15),
(113084, NULL, 'PTHR42748:SF1', NULL, NULL, NULL, NULL, 'SLR0317 PROTEIN', NULL, NULL, NULL, 15),
(113085, NULL, 'PTHR43531:SF8', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN II', NULL, NULL, NULL, 15),
(113086, NULL, 'PTHR36948:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04856', NULL, NULL, NULL, 15),
(113087, NULL, 'PTHR20953:SF14', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(113088, NULL, 'PTHR12326:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG20681', NULL, NULL, NULL, 15),
(113089, NULL, 'PTHR22409', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 33999, 15),
(113090, NULL, 'PTHR11850:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113091, NULL, 'PTHR24351:SF216', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C', NULL, NULL, NULL, 15),
(113092, NULL, 'PTHR30540:SF27', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(113093, NULL, 'PTHR45616:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113094, NULL, 'PTHR21463:SF0', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(113095, NULL, 'PTHR21437:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(113096, NULL, 'PTHR33091:SF53', NULL, NULL, NULL, NULL, 'OS08G0441300 PROTEIN', NULL, NULL, NULL, 15),
(113097, NULL, 'PTHR11475:SF128', NULL, NULL, NULL, NULL, 'CURLY SU', NULL, NULL, NULL, 15),
(113098, NULL, 'PTHR35356:SF4', NULL, NULL, NULL, NULL, 'BTR1-A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(113099, NULL, 'PTHR32077:SF52', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 11', NULL, NULL, NULL, 15),
(113100, NULL, 'PTHR34050:SF4', NULL, NULL, NULL, NULL, 'OS09G0512800 PROTEIN', NULL, NULL, NULL, 15),
(113101, NULL, 'PTHR31319:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 3', NULL, NULL, NULL, 15),
(113102, NULL, 'PTHR27006:SF407', NULL, NULL, NULL, NULL, 'BNAC01G41150D PROTEIN', NULL, NULL, NULL, 15),
(113103, NULL, 'PTHR36937:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG20935', NULL, NULL, NULL, 15),
(113104, NULL, 'PTHR31190:SF289', NULL, NULL, NULL, NULL, 'ETHYLENE-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(113105, NULL, 'PTHR13817:SF124', NULL, NULL, NULL, NULL, 'DISORGANIZED MUSCLE PROTEIN 1', NULL, NULL, NULL, 15),
(113106, NULL, 'PTHR12281:SF30', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', NULL, NULL, NULL, 15),
(113107, NULL, 'PTHR22936:SF83', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', NULL, NULL, NULL, 15),
(113108, NULL, 'PTHR23075:SF6', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(113109, NULL, 'PTHR27006:SF172', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(113110, NULL, 'PTHR24173:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113111, NULL, 'PTHR13401:SF2', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR1', NULL, NULL, NULL, 15),
(113112, NULL, 'PTHR21330:SF1', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE NSE2', NULL, NULL, NULL, 15),
(113113, NULL, 'PTHR17490:SF10', NULL, NULL, NULL, NULL, 'YRDC DOMAIN-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(113114, NULL, 'PTHR13011:SF0', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIF SUBUNIT 1', NULL, NULL, NULL, 15),
(113115, NULL, 'PTHR15124', NULL, NULL, NULL, NULL, 'SELENOPROTEIN W', NULL, NULL, NULL, 15),
(113116, NULL, 'PTHR37729:SF1', NULL, NULL, NULL, NULL, 'NEUROFILAMENT PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113117, NULL, 'PTHR13387', NULL, NULL, NULL, NULL, 'PROTEIN HGH1 HOMOLOG', NULL, NULL, 30554, 15),
(113118, NULL, 'PTHR32382:SF57', NULL, NULL, NULL, NULL, 'BNAC04G36400D PROTEIN', NULL, NULL, NULL, 15),
(113119, NULL, 'PTHR45651:SF72', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(113120, NULL, 'PTHR11709:SF242', NULL, NULL, NULL, NULL, 'LACCASE-7', NULL, NULL, NULL, 15),
(113121, NULL, 'PTHR10044:SF79', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(113122, NULL, 'PTHR22811:SF158', NULL, NULL, NULL, NULL, 'BNAA01G31430D PROTEIN', NULL, NULL, NULL, 15),
(113123, NULL, 'PTHR46248', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(113124, NULL, 'PTHR12561', NULL, NULL, NULL, NULL, 'LIPOATE-PROTEIN LIGASE', NULL, NULL, 529, 15),
(113125, NULL, 'PTHR11267:SF20', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX18', NULL, NULL, NULL, 15),
(113126, NULL, 'PTHR46736:SF16', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113127, NULL, 'PTHR11705:SF18', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE A6', NULL, NULL, NULL, 15),
(113128, NULL, 'PTHR43231:SF1', NULL, NULL, NULL, NULL, '2,3-DIHYDRO-2,3-DIHYDROXYBENZOATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(113129, NULL, 'PTHR15428:SF0', NULL, NULL, NULL, NULL, 'ENDOTHELIAL CELL-SPECIFIC MOLECULE 1', NULL, NULL, NULL, 15),
(113130, NULL, 'PTHR24381:SF261', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 777', NULL, NULL, NULL, 15),
(113131, NULL, 'PTHR12802:SF122', NULL, NULL, NULL, NULL, 'MYB DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(113132, NULL, 'PTHR46045:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(113133, NULL, 'PTHR13832:SF782', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60-RELATED', NULL, NULL, NULL, 15),
(113134, NULL, 'PTHR22762:SF60', NULL, NULL, NULL, NULL, 'NEUTRAL ALPHA-GLUCOSIDASE C', NULL, NULL, NULL, 15),
(113135, NULL, 'PTHR23339:SF77', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE CDC14A', NULL, NULL, 21888, 15),
(113136, NULL, 'PTHR22055:SF0', NULL, NULL, NULL, NULL, '28 KDA HEAT- AND ACID-STABLE PHOSPHOPROTEIN', NULL, NULL, NULL, 15),
(113137, NULL, 'PTHR43140:SF1', NULL, NULL, NULL, NULL, 'TYPE-1 RESTRICTION ENZYME ECOKI SPECIFICITY PROTEIN', NULL, NULL, NULL, 15),
(113138, NULL, 'PTHR23542:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113139, NULL, 'PTHR19375:SF207', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(113140, NULL, 'PTHR47965:SF67', NULL, NULL, NULL, NULL, 'BASIC 7S GLOBULIN 2-LIKE', NULL, NULL, NULL, 15),
(113141, NULL, 'PTHR32009:SF79', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113142, NULL, 'PTHR31707:SF45', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 59-RELATED', NULL, NULL, NULL, 15),
(113143, NULL, 'PTHR34997:SF8', NULL, NULL, NULL, NULL, 'LYSM DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(113144, NULL, 'PTHR13140:SF766', NULL, NULL, NULL, NULL, 'MYOSIN MOTOR DOMAIN PROTEIN AND DIL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(113145, NULL, 'PTHR46274', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113146, NULL, 'PTHR43000:SF35', NULL, NULL, NULL, NULL, 'BNAA06G00900D PROTEIN', NULL, NULL, NULL, 15),
(113147, NULL, 'PTHR23075', NULL, NULL, NULL, NULL, 'PUTATIVE ATP-ASE', NULL, NULL, 35496, 15),
(113148, NULL, 'PTHR47991:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113149, NULL, 'PTHR11256:SF10', NULL, NULL, NULL, NULL, 'BCL-2-RELATED PROTEIN A1', NULL, NULL, 8871, 15),
(113150, NULL, 'PTHR33148:SF3', NULL, NULL, NULL, NULL, 'PLASTID MOVEMENT IMPAIRED PROTEIN', NULL, NULL, NULL, 15),
(113151, NULL, 'PTHR30353', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN DEDA-RELATED', NULL, NULL, 26940, 15),
(113152, NULL, 'PTHR27007:SF223', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.2', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113153, NULL, 'PTHR46960', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE KEG', NULL, NULL, 38621, 15),
(113154, NULL, 'PTHR46929:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113155, NULL, 'PTHR33077:SF98', NULL, NULL, NULL, NULL, 'BNAA01G27170D PROTEIN', NULL, NULL, NULL, 15),
(113156, NULL, 'PTHR35121:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113157, NULL, 'PTHR12992:SF11', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE-LINKED MOIETY X MOTIF 8', NULL, NULL, NULL, 15),
(113158, NULL, 'PTHR10488', NULL, NULL, NULL, NULL, 'GLYCINE AMIDINOTRANSFERASE, MITOCHONDRIAL', NULL, NULL, 29796, 15),
(113159, NULL, 'PTHR45859:SF2', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT BETA-LIKE', NULL, NULL, NULL, 15),
(113160, NULL, 'PTHR48052:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113161, NULL, 'PTHR46039:SF7', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE 2-RELATED', NULL, NULL, NULL, 15),
(113162, NULL, 'PTHR42735', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113163, NULL, 'PTHR10219:SF43', NULL, NULL, NULL, NULL, 'ACCELERATED CELL DEATH 11', NULL, NULL, NULL, 15),
(113164, NULL, 'PTHR43450:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113165, NULL, 'PTHR13083', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 33520, 15),
(113166, NULL, 'PTHR23266:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113167, NULL, 'PTHR12147:SF26', NULL, NULL, NULL, NULL, '24 KDA VACUOLAR PROTEIN-LIKE', NULL, NULL, NULL, 15),
(113168, NULL, 'PTHR30603:SF55', NULL, NULL, NULL, NULL, 'PER33/POM33 FAMILY-RELATED', NULL, NULL, NULL, 15),
(113169, NULL, 'PTHR46011:SF24', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(113170, NULL, 'PTHR44240:SF23', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN HOMOLOG-LIKE', NULL, NULL, NULL, 15),
(113171, NULL, 'PTHR11070:SF23', NULL, NULL, NULL, NULL, 'RECBCD ENZYME SUBUNIT RECB', NULL, NULL, 619, 15),
(113172, NULL, 'PTHR32295:SF154', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 32', NULL, NULL, NULL, 15),
(113173, NULL, 'PTHR12236:SF80', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 62BC, ISOFORM A', NULL, NULL, NULL, 15),
(113174, NULL, 'PTHR47067:SF6', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 7', NULL, NULL, NULL, 15),
(113175, NULL, 'PTHR15907:SF144', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 7-LIKE', NULL, NULL, NULL, 15),
(113176, NULL, 'PTHR44591:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PILH', NULL, NULL, NULL, 15),
(113177, NULL, 'PTHR43539:SF26', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113178, NULL, 'PTHR24305:SF203', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D7', NULL, NULL, NULL, 15),
(113179, NULL, 'PTHR31001:SF40', NULL, NULL, NULL, NULL, 'CENTROMERE DNA-BINDING PROTEIN COMPLEX CBF3 SUBUNIT B-RELATED', NULL, NULL, NULL, 15),
(113180, NULL, 'PTHR12111:SF7', NULL, NULL, NULL, NULL, 'BNAA02G14200D PROTEIN', NULL, NULL, NULL, 15),
(113181, NULL, 'PTHR39323:SF1', NULL, NULL, NULL, NULL, 'BLR1149 PROTEIN', NULL, NULL, NULL, 15),
(113182, NULL, 'PTHR24028:SF144', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-B2', NULL, NULL, NULL, 15),
(113183, NULL, 'PTHR35546:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113184, NULL, 'PTHR11654:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113185, NULL, 'PTHR33776:SF6', NULL, NULL, NULL, NULL, 'ATROPHIN 1', NULL, NULL, NULL, 15),
(113186, NULL, 'PTHR33407:SF11', NULL, NULL, NULL, NULL, 'PECTATE LYASE H-RELATED', NULL, NULL, NULL, 15),
(113187, NULL, 'PTHR13572:SF5', NULL, NULL, NULL, NULL, 'MANNOSIDASE, ENDO-ALPHA', NULL, NULL, NULL, 15),
(113188, NULL, 'PTHR12460:SF29', NULL, NULL, NULL, NULL, 'REGULATION OF NUCLEAR PRE-MRNA DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(113189, NULL, 'PTHR11733:SF196', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113190, NULL, 'PTHR43490:SF60', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(113191, NULL, 'PTHR24092:SF81', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE VA-RELATED', NULL, NULL, 23555, 15),
(113192, NULL, 'PTHR31413:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113193, NULL, 'PTHR44427:SF7', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 20', NULL, NULL, NULL, 15),
(113194, NULL, 'PTHR31769:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113195, NULL, 'PTHR45970:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D9', NULL, NULL, NULL, 15),
(113196, NULL, 'PTHR21495:SF174', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(113197, NULL, 'PTHR31744:SF141', NULL, NULL, NULL, NULL, 'OS02G0810900 PROTEIN', NULL, NULL, NULL, 15),
(113198, NULL, 'PTHR12155:SF26', NULL, NULL, NULL, NULL, 'SCHLAFEN FAMILY MEMBER 5', NULL, NULL, 25828, 15),
(113199, NULL, 'PTHR31479:SF7', NULL, NULL, NULL, NULL, 'OS01G0243000 PROTEIN', NULL, NULL, NULL, 15),
(113200, NULL, 'PTHR33179:SF39', NULL, NULL, NULL, NULL, 'VQ MOTIF PROTEIN', NULL, NULL, NULL, 15),
(113201, NULL, 'PTHR23056:SF126', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(113202, NULL, 'PTHR11309:SF93', NULL, NULL, NULL, NULL, 'SECRETED FRIZZLED-RELATED PROTEIN', NULL, NULL, NULL, 15),
(113203, NULL, 'PTHR48061:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113204, NULL, 'PTHR37252', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 6', NULL, NULL, 33023, 15),
(113205, NULL, 'PTHR35147:SF1', NULL, NULL, NULL, NULL, 'CHEMORECEPTOR GLUTAMINE DEAMIDASE CHED-RELATED', NULL, NULL, NULL, 15),
(113206, NULL, 'PTHR13857:SF10', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA CYTOSINE DEAMINASE', NULL, NULL, NULL, 15),
(113207, NULL, 'PTHR12062:SF27', NULL, NULL, NULL, NULL, 'ZGC:154054', NULL, NULL, NULL, 15),
(113208, NULL, 'PTHR10704:SF3', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 2', NULL, NULL, NULL, 15),
(113209, NULL, 'PTHR21428:SF11', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 7', NULL, NULL, NULL, 15),
(113210, NULL, 'PTHR14107:SF15', NULL, NULL, NULL, NULL, 'DYSTROPHIA MYOTONICA WD REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(113211, NULL, 'PTHR13778:SF45', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(113212, NULL, 'PTHR31766:SF2', NULL, NULL, NULL, NULL, 'GLABROUS1 ENHANCER-BINDING PROTEIN-LIKE 2', NULL, NULL, NULL, 15),
(113213, NULL, 'PTHR41248:SF1', NULL, NULL, NULL, NULL, 'NORD PROTEIN', NULL, NULL, NULL, 15),
(113214, NULL, 'PTHR15853', NULL, NULL, NULL, NULL, 'THIOREDOXIN-RELATED', NULL, NULL, 34337, 15),
(113215, NULL, 'PTHR45727:SF7', NULL, NULL, NULL, NULL, 'PATCHED FAMILY PROTEIN', NULL, NULL, NULL, 15),
(113216, NULL, 'PTHR47784:SF11', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(113217, NULL, 'PTHR10071:SF233', NULL, NULL, NULL, NULL, 'ERYTHROID-LIKE TRANSCRIPTION FACTOR FAMILY', NULL, NULL, NULL, 15),
(113218, NULL, 'PTHR31194:SF82', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF110-LIKE', NULL, NULL, NULL, 15),
(113219, NULL, 'PTHR10052:SF49', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-2', NULL, NULL, NULL, 15),
(113220, NULL, 'PTHR30038:SF7', NULL, NULL, NULL, NULL, 'TUNGSTEN-CONTAINING GLYCERALDEHYDE-3-PHOSPHATE:FERREDOXIN OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(113221, NULL, 'PTHR47430:SF3', NULL, NULL, NULL, NULL, 'CYCLIN-D-BINDING MYB-LIKE TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(113222, NULL, 'PTHR47942:SF1', NULL, NULL, NULL, NULL, 'OS01G0852900 PROTEIN', NULL, NULL, NULL, 15),
(113223, NULL, 'PTHR47976:SF3', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113224, NULL, 'PTHR45680:SF11', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113225, NULL, 'PTHR14741', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE-DEPENDENT METHYLTRANSFERASE RELATED', NULL, NULL, NULL, 15),
(113226, NULL, 'PTHR46277:SF19', NULL, NULL, NULL, NULL, 'POLYPHOSPHOINOSITIDE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(113227, NULL, 'PTHR33356:SF16', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(113228, NULL, 'PTHR27007:SF365', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113229, NULL, 'PTHR24223:SF407', NULL, NULL, NULL, NULL, 'BNAA01G30060D PROTEIN', NULL, NULL, NULL, 15),
(113230, NULL, 'PTHR36927:SF1', NULL, NULL, NULL, NULL, 'GLUCANS BIOSYNTHESIS PROTEIN C', NULL, NULL, NULL, 15),
(113231, NULL, 'PTHR31807:SF22', NULL, NULL, NULL, NULL, 'OS07G0115600 PROTEIN', NULL, NULL, NULL, 15),
(113232, NULL, 'PTHR13683:SF837', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(113233, NULL, 'PTHR24390:SF142', NULL, NULL, NULL, NULL, 'IP01005P', NULL, NULL, NULL, 15),
(113234, NULL, 'PTHR23240:SF6', NULL, NULL, NULL, NULL, 'DNA CROSS-LINK REPAIR 1A PROTEIN', NULL, NULL, NULL, 15),
(113235, NULL, 'PTHR11987:SF48', NULL, NULL, NULL, NULL, 'CMP-N-ACETYLNEURAMINATE-POLY-ALPHA-2,8-SIALYLTRANSFERASE', NULL, NULL, NULL, 15),
(113236, NULL, 'PTHR24055:SF52', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DYF-5', NULL, NULL, NULL, 15),
(113237, NULL, 'PTHR23050:SF23', NULL, NULL, NULL, NULL, 'AT22559P', NULL, NULL, NULL, 15),
(113238, NULL, 'PTHR15407', NULL, NULL, NULL, NULL, 'FUKUTIN-RELATED', NULL, NULL, 11400, 15),
(113239, NULL, 'PTHR45669:SF30', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN DOMAIN-CONTAINING CYSTEINE-RICH PROTEIN CG12206-RELATED', NULL, NULL, NULL, 15),
(113240, NULL, 'PTHR32467:SF137', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-7 ISOFORM X1', NULL, NULL, NULL, 15),
(113241, NULL, 'PTHR24100:SF67', NULL, NULL, NULL, NULL, 'BUTYROPHILIN FAMILY MEMBER', NULL, NULL, NULL, 15),
(113242, NULL, 'PTHR31969:SF48', NULL, NULL, NULL, NULL, 'OS06G0218100 PROTEIN', NULL, NULL, NULL, 15),
(113243, NULL, 'PTHR31985:SF223', NULL, NULL, NULL, NULL, 'BNAA02G11090D PROTEIN', NULL, NULL, NULL, 15),
(113244, NULL, 'PTHR42770:SF4', NULL, NULL, NULL, NULL, 'ARGININE/ORNITHINE ANTIPORTER-RELATED', NULL, NULL, NULL, 15),
(113245, NULL, 'PTHR10676:SF257', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 9, AXONEMAL', NULL, NULL, 23040, 15),
(113246, NULL, 'PTHR21659:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113247, NULL, 'PTHR42731:SF1', NULL, NULL, NULL, NULL, 'SLL1084 PROTEIN', NULL, NULL, NULL, 15),
(113248, NULL, 'PTHR10663:SF333', NULL, NULL, NULL, NULL, 'PROTEIN MON2 HOMOLOG', NULL, NULL, 22927, 15),
(113249, NULL, 'PTHR33102:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113250, NULL, 'PTHR33168:SF8', NULL, NULL, NULL, NULL, 'OS08G0293100 PROTEIN', NULL, NULL, NULL, 15),
(113251, NULL, 'PTHR12981', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-LIKE 1', NULL, NULL, 30876, 15),
(113252, NULL, 'PTHR33648:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113253, NULL, 'PTHR24291:SF153', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 4, SUBFAMILY F, POLYPEPTIDE 17', NULL, NULL, NULL, 15),
(113254, NULL, 'PTHR42707', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(113255, NULL, 'PTHR31907:SF34', NULL, NULL, NULL, NULL, 'SN-2 PROTEIN', NULL, NULL, NULL, 15),
(113256, NULL, 'PTHR11206:SF320', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(113257, NULL, 'PTHR31636:SF204', NULL, NULL, NULL, NULL, 'GIBBERELLIN-RESPONSIVE PROTEIN 2, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(113258, NULL, 'PTHR33383:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN INSERTION EFFICIENCY FACTOR-RELATED', NULL, NULL, NULL, 15),
(113259, NULL, 'PTHR43671:SF70', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK7', NULL, NULL, NULL, 15),
(113260, NULL, 'PTHR47960:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113261, NULL, 'PTHR35517:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE SFM1', NULL, NULL, NULL, 15),
(113262, NULL, 'PTHR19972', NULL, NULL, NULL, NULL, 'CALBINDIN', NULL, NULL, NULL, 15),
(113263, NULL, 'PTHR14143:SF3', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY, E1-RELATED', NULL, NULL, NULL, 15),
(113264, NULL, 'PTHR48047:SF82', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(113265, NULL, 'PTHR19308:SF48', NULL, NULL, NULL, NULL, 'BNAC05G29280D PROTEIN', NULL, NULL, NULL, 15),
(113266, NULL, 'PTHR31080:SF195', NULL, NULL, NULL, NULL, 'INVERTASE INHIBITOR-RELATED', NULL, NULL, NULL, 15),
(113267, NULL, 'PTHR31304:SF37', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 40-LIKE', NULL, NULL, NULL, 15),
(113268, NULL, 'PTHR43859:SF7', NULL, NULL, NULL, NULL, 'ACETATE/BUTYRATE--COA LIGASE AAE7, PEROXISOMAL', NULL, NULL, NULL, 15),
(113269, NULL, 'PTHR21310:SF41', NULL, NULL, NULL, NULL, '3-HYDROXYASPARAGINE PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(113270, NULL, 'PTHR47932:SF16', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(113271, NULL, 'PTHR24073:SF209', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-23', NULL, NULL, NULL, 15),
(113272, NULL, 'PTHR22731', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP1', NULL, NULL, 35075, 15),
(113273, NULL, 'PTHR31907:SF43', NULL, NULL, NULL, NULL, 'START-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113274, NULL, 'PTHR33573:SF7', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4D1', NULL, NULL, NULL, 15),
(113275, NULL, 'PTHR24078:SF175', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK FAMILY PROTEIN', NULL, NULL, NULL, 15),
(113276, NULL, 'PTHR45636:SF16', NULL, NULL, NULL, NULL, 'PAIRED BOX POX-MESO PROTEIN', NULL, NULL, NULL, 15),
(113277, NULL, 'PTHR31865:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113278, NULL, 'PTHR33607:SF2', NULL, NULL, NULL, NULL, 'ENDONUCLEASE-1', NULL, NULL, NULL, 15),
(113279, NULL, 'PTHR22765:SF126', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 115', NULL, NULL, NULL, 15),
(113280, NULL, 'PTHR31549:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113281, NULL, 'PTHR47645', NULL, NULL, NULL, NULL, 'PROTEIN CBG08267', NULL, NULL, NULL, 15),
(113282, NULL, 'PTHR12274:SF7', NULL, NULL, NULL, NULL, 'GRANULIN 1-RELATED', NULL, NULL, NULL, 15),
(113283, NULL, 'PTHR11850:SF293', NULL, NULL, NULL, NULL, 'ELK DOMAIN, KNOX1, KNOX2, HOMEOBOX KN DOMAIN, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113284, NULL, 'PTHR12040:SF8', NULL, NULL, NULL, NULL, 'HISTONE CHAPERONE ASF1A', NULL, NULL, NULL, 15),
(113285, NULL, 'PTHR38000', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2900092C05', NULL, NULL, 35508, 15),
(113286, NULL, 'PTHR45496:SF18', NULL, NULL, NULL, NULL, 'BNAC02G43070D PROTEIN', NULL, NULL, NULL, 15),
(113287, NULL, 'PTHR11736:SF53', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B3', NULL, NULL, NULL, 15),
(113288, NULL, 'PTHR45654:SF69', NULL, NULL, NULL, NULL, 'START DOMAIN, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113289, NULL, 'PTHR47178:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113290, NULL, 'PTHR33734:SF23', NULL, NULL, NULL, NULL, 'TRANSGLYCOSYLASE, SLT FAMILY-RELATED', NULL, NULL, NULL, 15),
(113291, NULL, 'PTHR33232:SF11', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION C', NULL, NULL, NULL, 15),
(113292, NULL, 'PTHR33768:SF7', NULL, NULL, NULL, NULL, 'T0127070 ISOFORM 1', NULL, NULL, NULL, 15),
(113293, NULL, 'PTHR19447', NULL, NULL, NULL, NULL, 'OOCYTE-EXPRESSED PROTEIN HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(113294, NULL, 'PTHR33108:SF33', NULL, NULL, NULL, NULL, 'OS01G0200200 PROTEIN', NULL, NULL, NULL, 15),
(113295, NULL, 'PTHR26374:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113296, NULL, 'PTHR23310:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113297, NULL, 'PTHR10381:SF24', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT 4, CHLOROPLASTIC', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113298, NULL, 'PTHR10869:SF184', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(113299, NULL, 'PTHR48098:SF1', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL ACYLTRANSFERASE/MYCOLYLTRANSFERASE AG85C', NULL, NULL, NULL, 15),
(113300, NULL, 'PTHR22765:SF185', NULL, NULL, NULL, NULL, 'OS12G0140100 PROTEIN', NULL, NULL, NULL, 15),
(113301, NULL, 'PTHR44395:SF1', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSYL-TRANSFERASE TMTC3', NULL, NULL, NULL, 15),
(113302, NULL, 'PTHR31235:SF334', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(113303, NULL, 'PTHR33136:SF73', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR-LIKE', NULL, NULL, NULL, 15),
(113304, NULL, 'PTHR31314:SF2', NULL, NULL, NULL, NULL, 'MYB-LIKE HTH TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(113305, NULL, 'PTHR31972:SF72', NULL, NULL, NULL, NULL, 'OS09G0416600 PROTEIN', NULL, NULL, NULL, 15),
(113306, NULL, 'PTHR47841:SF7', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE THETA-LIKE', NULL, NULL, NULL, 15),
(113307, NULL, 'PTHR24373:SF339', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 7', NULL, NULL, NULL, 15),
(113308, NULL, 'PTHR33065:SF142', NULL, NULL, NULL, NULL, 'OS11G0164000 PROTEIN', NULL, NULL, NULL, 15),
(113309, NULL, 'PTHR31576:SF2', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT B', NULL, NULL, NULL, 15),
(113310, NULL, 'PTHR12943:SF27', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE-INDUCED ENDOPLASMIC RETICULUM PROTEIN, ISOFORM A', NULL, NULL, NULL, 15),
(113311, NULL, 'PTHR31062:SF1', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 8-RELATED', NULL, NULL, NULL, 15),
(113312, NULL, 'PTHR16517:SF12', NULL, NULL, NULL, NULL, 'TUBBY-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(113313, NULL, 'PTHR43853:SF8', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE, PEROXISOMAL', NULL, NULL, NULL, 15),
(113314, NULL, 'PTHR24222:SF61', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 9', NULL, NULL, NULL, 15),
(113315, NULL, 'PTHR31169:SF15', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(113316, NULL, 'PTHR24073:SF1155', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-5B-RELATED', NULL, NULL, NULL, 15),
(113317, NULL, 'PTHR43995', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 19', NULL, NULL, 31624, 15),
(113318, NULL, 'PTHR31972:SF48', NULL, NULL, NULL, NULL, 'BNAA04G16020D PROTEIN', NULL, NULL, NULL, 15),
(113319, NULL, 'PTHR31751:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113320, NULL, 'PTHR33207:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113321, NULL, 'PTHR10314:SF97', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(113322, NULL, 'PTHR43591:SF51', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113323, NULL, 'PTHR33115:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113324, NULL, 'PTHR11889:SF84', NULL, NULL, NULL, NULL, 'HEDGEHOG PROTEIN', NULL, NULL, NULL, 15),
(113325, NULL, 'PTHR43806:SF32', NULL, NULL, NULL, NULL, 'SERIN ENDOPEPTIDASE', NULL, NULL, NULL, 15),
(113326, NULL, 'PTHR37048', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113327, NULL, 'PTHR46735:SF3', NULL, NULL, NULL, NULL, 'CALPAIN, SMALL SUBUNIT 1 A-RELATED', NULL, NULL, NULL, 15),
(113328, NULL, 'PTHR45650:SF25', NULL, NULL, NULL, NULL, 'BNAA08G13200D PROTEIN', NULL, NULL, NULL, 15),
(113329, NULL, 'PTHR47173:SF6', NULL, NULL, NULL, NULL, 'PROTEIN DR1 HOMOLOG', NULL, NULL, NULL, 15),
(113330, NULL, 'PTHR23510:SF67', NULL, NULL, NULL, NULL, 'SPX DOMAIN, MAJOR FACILITATOR SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(113331, NULL, 'PTHR10127:SF810', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-38', NULL, NULL, NULL, 15),
(113332, NULL, 'PTHR36385:SF1', NULL, NULL, NULL, NULL, 'OS07G0562900 PROTEIN', NULL, NULL, NULL, 15),
(113333, NULL, 'PTHR45967:SF15', NULL, NULL, NULL, NULL, 'OS03G0239400 PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113334, NULL, 'PTHR24177:SF276', NULL, NULL, NULL, NULL, 'BNAC03G35910D PROTEIN', NULL, NULL, NULL, 15),
(113335, NULL, 'PTHR26453:SF297', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(113336, NULL, 'PTHR10680:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113337, NULL, 'PTHR17068:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113338, NULL, 'PTHR21248:SF22', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(113339, NULL, 'PTHR44743:SF13', NULL, NULL, NULL, NULL, 'BNAC05G52180D PROTEIN', NULL, NULL, NULL, 15),
(113340, NULL, 'PTHR43625:SF68', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 1-RELATED', NULL, NULL, NULL, 15),
(113341, NULL, 'PTHR12169:SF19', NULL, NULL, NULL, NULL, 'LACTATION ELEVATED PROTEIN 1 HOMOLOG B', NULL, NULL, NULL, 15),
(113342, NULL, 'PTHR27003:SF360', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE KINASE KINASE STE11, CRYPTOCOCCUS-RELATED', NULL, NULL, NULL, 15),
(113343, NULL, 'PTHR47975:SF29', NULL, NULL, NULL, NULL, 'OS05G0165900 PROTEIN', NULL, NULL, NULL, 15),
(113344, NULL, 'PTHR33101:SF2', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 14', NULL, NULL, NULL, 15),
(113345, NULL, 'PTHR15710:SF132', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MPSR1', NULL, NULL, NULL, 15),
(113346, NULL, 'PTHR13059:SF10', NULL, NULL, NULL, NULL, 'HMG BOX TRANSCRIPTION FACTOR BBX', NULL, NULL, NULL, 15),
(113347, NULL, 'PTHR33142:SF13', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR2-LIKE', NULL, NULL, NULL, 15),
(113348, NULL, 'PTHR45642:SF55', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL4-RELATED', NULL, NULL, NULL, 15),
(113349, NULL, 'PTHR19368:SF12', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN 3', NULL, NULL, NULL, 15),
(113350, NULL, 'PTHR34777', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 10', NULL, NULL, 29179, 15),
(113351, NULL, 'PTHR46213:SF17', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE-RELATED', NULL, NULL, NULL, 15),
(113352, NULL, 'PTHR31190:SF34', NULL, NULL, NULL, NULL, 'OS09G0572000 PROTEIN', NULL, NULL, NULL, 15),
(113353, NULL, 'PTHR47785:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(113354, NULL, 'PTHR45998:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 16-LIKE', NULL, NULL, NULL, 15),
(113355, NULL, 'PTHR18966:SF370', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR FAMILY (AMPA)', NULL, NULL, NULL, 15),
(113356, NULL, 'PTHR44133', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR SUBUNIT 1', NULL, NULL, 38732, 15),
(113357, NULL, 'PTHR46446:SF23', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113358, NULL, 'PTHR21461:SF53', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(113359, NULL, 'PTHR12919:SF38', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S16, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(113360, NULL, 'PTHR46518:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 151', NULL, NULL, NULL, 15),
(113361, NULL, 'PTHR47211:SF4', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(113362, NULL, 'PTHR21254', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(113363, NULL, 'PTHR31430:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CBG22332', NULL, NULL, NULL, 15),
(113364, NULL, 'PTHR15740', NULL, NULL, NULL, NULL, 'NEUROPROTECTIVE PEPTIDE-CONTAINING PROTEIN', NULL, NULL, 35006, 15),
(113365, NULL, 'PTHR48053:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113366, NULL, 'PTHR44809:SF1', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSYL-TRANSFERASE TMTC1', NULL, NULL, NULL, 15),
(113367, NULL, 'PTHR15071:SF28', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(113368, NULL, 'PTHR22765:SF254', NULL, NULL, NULL, NULL, 'BNAANNG26870D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113369, NULL, 'PTHR31218:SF249', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(113370, NULL, 'PTHR11017:SF307', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113371, NULL, 'PTHR13069:SF33', NULL, NULL, NULL, NULL, 'BNAA05G09210D PROTEIN', NULL, NULL, NULL, 15),
(113372, NULL, 'PTHR22106', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 78', NULL, NULL, 34644, 15),
(113373, NULL, 'PTHR21497:SF50', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(113374, NULL, 'PTHR33138:SF2', NULL, NULL, NULL, NULL, 'OS01G0137700 PROTEIN', NULL, NULL, NULL, 15),
(113375, NULL, 'PTHR38123:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113376, NULL, 'PTHR47928:SF156', NULL, NULL, NULL, NULL, 'OS07G0163900 PROTEIN', NULL, NULL, NULL, 15),
(113377, NULL, 'PTHR13902:SF132', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK4-RELATED', NULL, NULL, NULL, 15),
(113378, NULL, 'PTHR46858:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MYLIP-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(113379, NULL, 'PTHR16095', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 143 FAMILY MEMBER', NULL, NULL, NULL, 15),
(113380, NULL, 'PTHR11206:SF403', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113381, NULL, 'PTHR21407:SF3', NULL, NULL, NULL, NULL, 'LD12305P', NULL, NULL, NULL, 15),
(113382, NULL, 'PTHR47998:SF10', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(113383, NULL, 'PTHR10541', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE', NULL, NULL, 1116, 15),
(113384, NULL, 'PTHR31238:SF120', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 4-1', NULL, NULL, NULL, 15),
(113385, NULL, 'PTHR11945:SF502', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL81', NULL, NULL, NULL, 15),
(113386, NULL, 'PTHR31903:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113387, NULL, 'PTHR23500:SF440', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113388, NULL, 'PTHR14456:SF2', NULL, NULL, NULL, NULL, 'INOSITOL-PENTAKISPHOSPHATE 2-KINASE', NULL, NULL, NULL, 15),
(113389, NULL, 'PTHR26452:SF96', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5H14', NULL, NULL, NULL, 15),
(113390, NULL, 'PTHR48112:SF9', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN B1', NULL, NULL, NULL, 15),
(113391, NULL, 'PTHR33974:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113392, NULL, 'PTHR31213:SF3', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL2', NULL, NULL, NULL, 15),
(113393, NULL, 'PTHR23039:SF2', NULL, NULL, NULL, NULL, 'NHS-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(113394, NULL, 'PTHR15583:SF10', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR E-LIKE-RELATED', NULL, NULL, NULL, 15),
(113395, NULL, 'PTHR10075:SF35', NULL, NULL, NULL, NULL, 'NEUROFASCIN', NULL, NULL, 27519, 15),
(113396, NULL, 'PTHR21562:SF90', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(113397, NULL, 'PTHR11850:SF290', NULL, NULL, NULL, NULL, 'FUSED COMPOUND LEAF 1', NULL, NULL, NULL, 15),
(113398, NULL, 'PTHR35145:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113399, NULL, 'PTHR11240:SF55', NULL, NULL, NULL, NULL, 'F7A19.32 PROTEIN', NULL, NULL, NULL, 15),
(113400, NULL, 'PTHR46128:SF139', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(113401, NULL, 'PTHR45712', NULL, NULL, NULL, NULL, 'AGAP008170-PA', NULL, NULL, NULL, 15),
(113402, NULL, 'PTHR12280:SF3', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE', NULL, NULL, NULL, 15),
(113403, NULL, 'PTHR11363:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113404, NULL, 'PTHR11886:SF85', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(113405, NULL, 'PTHR33474:SF1', NULL, NULL, NULL, NULL, 'OS09G0412700 PROTEIN', NULL, NULL, NULL, 15),
(113406, NULL, 'PTHR11157:SF153', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113407, NULL, 'PTHR10362:SF57', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE 1-LIKE', NULL, NULL, NULL, 15),
(113408, NULL, 'PTHR36391:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113409, NULL, 'PTHR22595:SF45', NULL, NULL, NULL, NULL, 'CHITINASE 11', NULL, NULL, NULL, 15),
(113410, NULL, 'PTHR15711:SF3', NULL, NULL, NULL, NULL, 'RAP1 GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, NULL, 15),
(113411, NULL, 'PTHR48150', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE-ASSEMBLY FACTOR COX23, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(113412, NULL, 'PTHR44029:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 21', NULL, NULL, NULL, 15),
(113413, NULL, 'PTHR10857:SF101', NULL, NULL, NULL, NULL, 'COPINE FAMILY PROTEIN 5', NULL, NULL, NULL, 15),
(113414, NULL, 'PTHR11334:SF61', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE MAS', NULL, NULL, NULL, 15),
(113415, NULL, 'PTHR22811:SF187', NULL, NULL, NULL, NULL, 'BNAC08G42610D PROTEIN', NULL, NULL, NULL, 15),
(113416, NULL, 'PTHR22849:SF111', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(113417, NULL, 'PTHR23050:SF437', NULL, NULL, NULL, NULL, 'PROTEIN CBG12886', NULL, NULL, NULL, 15),
(113418, NULL, 'PTHR21654:SF76', NULL, NULL, NULL, NULL, 'BNAC05G09890D PROTEIN', NULL, NULL, NULL, 15),
(113419, NULL, 'PTHR47055:SF2', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED PROTEIN 2', NULL, NULL, NULL, 15),
(113420, NULL, 'PTHR39084', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113421, NULL, 'PTHR26379:SF376', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113422, NULL, 'PTHR47320:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL URIDYLYLTRANSFERASE/URIDYLYL-REMOVING ENZYME', NULL, NULL, NULL, 15),
(113423, NULL, 'PTHR24208:SF116', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX4', NULL, NULL, NULL, 15),
(113424, NULL, 'PTHR45625', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-RELATED', NULL, NULL, 38735, 15),
(113425, NULL, 'PTHR31873', NULL, NULL, NULL, NULL, 'L-ASPARTATE DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(113426, NULL, 'PTHR37864:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO AVLV472', NULL, NULL, NULL, 15),
(113427, NULL, 'PTHR31235:SF204', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(113428, NULL, 'PTHR10635:SF1', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(113429, NULL, 'PTHR47946:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A6-LIKE', NULL, NULL, NULL, 15),
(113430, NULL, 'PTHR24055:SF502', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(113431, NULL, 'PTHR12358:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113432, NULL, 'PTHR12629:SF60', NULL, NULL, NULL, NULL, 'BNAA06G12450D PROTEIN', NULL, NULL, NULL, 15),
(113433, NULL, 'PTHR18968:SF14', NULL, NULL, NULL, NULL, 'GLYOXYLATE CARBOLIGASE', NULL, NULL, 5876, 15),
(113434, NULL, 'PTHR42202', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE III', NULL, NULL, 2257, 15),
(113435, NULL, 'PTHR33593:SF21', NULL, NULL, NULL, NULL, 'BNAA08G24800D PROTEIN', NULL, NULL, NULL, 15),
(113436, NULL, 'PTHR12411:SF768', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113437, NULL, 'PTHR32467:SF135', NULL, NULL, NULL, NULL, 'BNAA05G20050D PROTEIN', NULL, NULL, NULL, 15),
(113438, NULL, 'PTHR23503:SF112', NULL, NULL, NULL, NULL, 'PROTEIN CBG08087', NULL, NULL, NULL, 15),
(113439, NULL, 'PTHR24240:SF75', NULL, NULL, NULL, NULL, 'VERTEBRATE ANCIENT LONG OPSIN', NULL, NULL, NULL, 15),
(113440, NULL, 'PTHR13903:SF25', NULL, NULL, NULL, NULL, 'PIRIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(113441, NULL, 'PTHR16038:SF5', NULL, NULL, NULL, NULL, 'BNAANNG21410D PROTEIN', NULL, NULL, NULL, 15),
(113442, NULL, 'PTHR13850:SF1', NULL, NULL, NULL, NULL, 'PLEIOTROPHIN', NULL, NULL, NULL, 15),
(113443, NULL, 'PTHR24088:SF0', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S17, MITOCHONDRIAL', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113444, NULL, 'PTHR12577', NULL, NULL, NULL, NULL, 'DACHSHUND', NULL, NULL, NULL, 15),
(113445, NULL, 'PTHR27008:SF401', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113446, NULL, 'PTHR12197:SF241', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(113447, NULL, 'PTHR43499', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 1', NULL, NULL, 6804, 15),
(113448, NULL, 'PTHR19328:SF53', NULL, NULL, NULL, NULL, 'ALDOSE SUGAR DEHYDROGENASE YLII', NULL, NULL, NULL, 15),
(113449, NULL, 'PTHR10380:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113450, NULL, 'PTHR31713:SF65', NULL, NULL, NULL, NULL, 'CAM-BINDING PROTEIN 60-LIKE G-RELATED', NULL, NULL, NULL, 15),
(113451, NULL, 'PTHR26312:SF146', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113452, NULL, 'PTHR33021:SF329', NULL, NULL, NULL, NULL, 'BNAA07G38560D PROTEIN', NULL, NULL, NULL, 15),
(113453, NULL, 'PTHR33427', NULL, NULL, NULL, NULL, 'HNH ENDONUCLEASE', NULL, NULL, NULL, 15),
(113454, NULL, 'PTHR31517:SF8', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(113455, NULL, 'PTHR13301:SF182', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE H1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(113456, NULL, 'PTHR10792:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113457, NULL, 'PTHR21553:SF26', NULL, NULL, NULL, NULL, 'ALMS1 CENTROSOME AND BASAL BODY-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(113458, NULL, 'PTHR31283:SF15', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN 2', NULL, NULL, NULL, 15),
(113459, NULL, 'PTHR23113:SF199', NULL, NULL, NULL, NULL, 'RAL GUANINE NUCLEOTIDE DISSOCIATION STIMULATOR-LIKE 1', NULL, NULL, 26623, 15),
(113460, NULL, 'PTHR43220:SF11', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(113461, NULL, 'PTHR31852:SF128', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOPROTEIN', NULL, NULL, NULL, 15),
(113462, NULL, 'PTHR11977:SF55', NULL, NULL, NULL, NULL, 'GELSOLIN', NULL, NULL, NULL, 15),
(113463, NULL, 'PTHR45958:SF11', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(113464, NULL, 'PTHR33101:SF51', NULL, NULL, NULL, NULL, 'BNAA05G15000D PROTEIN', NULL, NULL, NULL, 15),
(113465, NULL, 'PTHR10209:SF730', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG', NULL, NULL, NULL, 15),
(113466, NULL, 'PTHR33800:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113467, NULL, 'PTHR10516:SF399', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(113468, NULL, 'PTHR12428:SF45', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEIN OXA1-RELATED', NULL, NULL, NULL, 15),
(113469, NULL, 'PTHR45618:SF46', NULL, NULL, NULL, NULL, 'BNAA09G42560D PROTEIN', NULL, NULL, NULL, 15),
(113470, NULL, 'PTHR11093', NULL, NULL, NULL, NULL, 'RUVB-RELATED REPTIN AND PONTIN', NULL, NULL, 28162, 15),
(113471, NULL, 'PTHR34992:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113472, NULL, 'PTHR21011:SF1', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(113473, NULL, 'PTHR45948:SF5', NULL, NULL, NULL, NULL, 'SPECIFICITY PROTEIN PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113474, NULL, 'PTHR45660:SF12', NULL, NULL, NULL, NULL, 'OS08G0565700 PROTEIN', NULL, NULL, NULL, 15),
(113475, NULL, 'PTHR31912:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113476, NULL, 'PTHR13601:SF2', NULL, NULL, NULL, NULL, 'GAMETOGENETIN-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(113477, NULL, 'PTHR36115:SF4', NULL, NULL, NULL, NULL, 'LMO1584 PROTEIN', NULL, NULL, NULL, 15),
(113478, NULL, 'PTHR31503:SF14', NULL, NULL, NULL, NULL, 'VACUOLAR CALCIUM ION TRANSPORTER', NULL, NULL, NULL, 15),
(113479, NULL, 'PTHR24044:SF380', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN 1', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113480, NULL, 'PTHR21449:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG05315', NULL, NULL, NULL, 15),
(113481, NULL, 'PTHR33168:SF37', NULL, NULL, NULL, NULL, 'OS01G0751400 PROTEIN', NULL, NULL, NULL, 15),
(113482, NULL, 'PTHR31066:SF57', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P FAMILY PROTEIN', NULL, NULL, NULL, 15),
(113483, NULL, 'PTHR47997:SF25', NULL, NULL, NULL, NULL, 'MYB16 PROTEIN', NULL, NULL, NULL, 15),
(113484, NULL, 'PTHR10774:SF186', NULL, NULL, NULL, NULL, 'OS09G0538800 PROTEIN', NULL, NULL, NULL, 15),
(113485, NULL, 'PTHR11638:SF167', NULL, NULL, NULL, NULL, 'BNAC09G42450D PROTEIN', NULL, NULL, NULL, 15),
(113486, NULL, 'PTHR46128:SF211', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113487, NULL, 'PTHR31627:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-RELATED', NULL, NULL, NULL, 15),
(113488, NULL, 'PTHR31419:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113489, NULL, 'PTHR10336:SF162', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C 5', NULL, NULL, NULL, 15),
(113490, NULL, 'PTHR43272:SF81', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 4-LIKE', NULL, NULL, NULL, 15),
(113491, NULL, 'PTHR23231:SF18', NULL, NULL, NULL, NULL, 'GERM CELL-LESS PROTEIN-LIKE 2', NULL, NULL, NULL, 15),
(113492, NULL, 'PTHR48017:SF103', NULL, NULL, NULL, NULL, 'BNAA03G17600D PROTEIN', NULL, NULL, NULL, 15),
(113493, NULL, 'PTHR10378:SF38', NULL, NULL, NULL, NULL, 'LIM-DOMAIN BINDING PROTEIN/SEUSS-RELATED', NULL, NULL, NULL, 15),
(113494, NULL, 'PTHR31867:SF137', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(113495, NULL, 'PTHR48018:SF5', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8A1', NULL, NULL, NULL, 15),
(113496, NULL, 'PTHR22594:SF5', NULL, NULL, NULL, NULL, 'ASPARTATE--TRNA LIGASE, MITOCHONDRIAL', NULL, NULL, 1615, 15),
(113497, NULL, 'PTHR23076:SF116', NULL, NULL, NULL, NULL, 'BNAC05G04410D PROTEIN', NULL, NULL, NULL, 15),
(113498, NULL, 'PTHR11709:SF416', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR V', NULL, NULL, NULL, 15),
(113499, NULL, 'PTHR11444:SF22', NULL, NULL, NULL, NULL, 'FUMARATE HYDRATASE CLASS II', NULL, NULL, NULL, 15),
(113500, NULL, 'PTHR36924', NULL, NULL, NULL, NULL, 'ANTITOXIN HIGA-1', NULL, NULL, 9360, 15),
(113501, NULL, 'PTHR24390:SF129', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 707', NULL, NULL, NULL, 15),
(113502, NULL, 'PTHR11599:SF146', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-4-A', NULL, NULL, 19031, 15),
(113503, NULL, 'PTHR44140:SF1', NULL, NULL, NULL, NULL, 'DNAJ (HSP40) HOMOLOG, SUBFAMILY C, MEMBER 3B', NULL, NULL, NULL, 15),
(113504, NULL, 'PTHR12854:SF15', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 4', NULL, NULL, NULL, 15),
(113505, NULL, 'PTHR46924:SF4', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR-LIKE PROTEIN N', NULL, NULL, NULL, 15),
(113506, NULL, 'PTHR23310:SF13', NULL, NULL, NULL, NULL, 'DIAZEPAM-BINDING INHIBITOR-LIKE 5', NULL, NULL, NULL, 15),
(113507, NULL, 'PTHR21248:SF23', NULL, NULL, NULL, NULL, 'CARDIOLIPIN SYNTHASE B', NULL, NULL, NULL, 15),
(113508, NULL, 'PTHR13859:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113509, NULL, 'PTHR37826:SF2', NULL, NULL, NULL, NULL, 'FLOTILLIN BAND_7_5 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(113510, NULL, 'PTHR11802:SF58', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(113511, NULL, 'PTHR31235:SF81', NULL, NULL, NULL, NULL, 'PEROXIDASE 1', NULL, NULL, NULL, 15),
(113512, NULL, 'PTHR42877:SF6', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G15050)-RELATED', NULL, NULL, NULL, 15),
(113513, NULL, 'PTHR46637:SF1', NULL, NULL, NULL, NULL, 'BLR1914 PROTEIN', NULL, NULL, NULL, 15),
(113514, NULL, 'PTHR43248:SF3', NULL, NULL, NULL, NULL, 'PROLYL AMINOPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(113515, NULL, 'PTHR13316:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG09981', NULL, NULL, NULL, 15),
(113516, NULL, 'PTHR15460', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 4', NULL, NULL, 19126, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113517, NULL, 'PTHR32002:SF65', NULL, NULL, NULL, NULL, 'PROTEIN NLP6-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(113518, NULL, 'PTHR47988:SF4', NULL, NULL, NULL, NULL, 'LRR RECEPTOR KINASE SERK2', NULL, NULL, NULL, 15),
(113519, NULL, 'PTHR45098:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113520, NULL, 'PTHR34941:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SRC1', NULL, NULL, NULL, 15),
(113521, NULL, 'PTHR31817:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113522, NULL, 'PTHR47961:SF6', NULL, NULL, NULL, NULL, 'DNA POLYMERASE THETA, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G05260)-RELATED', NULL, NULL, NULL, 15),
(113523, NULL, 'PTHR35097:SF1', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(113524, NULL, 'PTHR21453:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG04723', NULL, NULL, NULL, 15),
(113525, NULL, 'PTHR47958:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113526, NULL, 'PTHR24281:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113527, NULL, 'PTHR15710:SF78', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113528, NULL, 'PTHR33076:SF55', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(113529, NULL, 'PTHR43791:SF6', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G16690)-RELATED', NULL, NULL, NULL, 15),
(113530, NULL, 'PTHR24356:SF377', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(113531, NULL, 'PTHR32448:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113532, NULL, 'PTHR15898:SF18', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN PSH1', NULL, NULL, NULL, 15),
(113533, NULL, 'PTHR11850:SF324', NULL, NULL, NULL, NULL, 'BNAA03G51900D PROTEIN', NULL, NULL, NULL, 15),
(113534, NULL, 'PTHR10177:SF469', NULL, NULL, NULL, NULL, 'CYCLIN-D4-1', NULL, NULL, NULL, 15),
(113535, NULL, 'PTHR46338:SF11', NULL, NULL, NULL, NULL, 'BROMODOMAIN TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(113536, NULL, 'PTHR43433', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN', NULL, NULL, NULL, 15),
(113537, NULL, 'PTHR11844:SF26', NULL, NULL, NULL, NULL, 'METALLOPROTEINASE INHIBITOR 4', NULL, NULL, 17852, 15),
(113538, NULL, 'PTHR24377:SF262', NULL, NULL, NULL, NULL, 'GENE MODEL 1008, (NCBI)', NULL, NULL, NULL, 15),
(113539, NULL, 'PTHR47985:SF10', NULL, NULL, NULL, NULL, 'BNAC09G41430D PROTEIN', NULL, NULL, NULL, 15),
(113540, NULL, 'PTHR45752:SF46', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IQ DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(113541, NULL, 'PTHR31241:SF42', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2D-LIKE', NULL, NULL, NULL, 15),
(113542, NULL, 'PTHR43061', NULL, NULL, NULL, NULL, 'GTP DIPHOSPHOKINASE RSH1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(113543, NULL, 'PTHR18063:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113544, NULL, 'PTHR11801:SF43', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND TRANSCRIPTION ACTIVATOR', NULL, NULL, NULL, 15),
(113545, NULL, 'PTHR12892:SF21', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 2', NULL, NULL, NULL, 15),
(113546, NULL, 'PTHR13019:SF21', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23', NULL, NULL, NULL, 15),
(113547, NULL, 'PTHR12770:SF5', NULL, NULL, NULL, NULL, 'PROTEIN ROOT UVB SENSITIVE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(113548, NULL, 'PTHR34809:SF2', NULL, NULL, NULL, NULL, 'MALTOSE EXCESS PROTEIN 1-LIKE, CHLOROPLASTIC ISOFORM X1', NULL, NULL, NULL, 15),
(113549, NULL, 'PTHR22298:SF22', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 18-RELATED', NULL, NULL, NULL, 15),
(113550, NULL, 'PTHR43826', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE EXCHANGER SLC37A4', NULL, NULL, NULL, 15),
(113551, NULL, 'PTHR45874:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C10', NULL, NULL, NULL, 15),
(113552, NULL, 'PTHR32080:SF54', NULL, NULL, NULL, NULL, 'ANTIFUNGAL PROTEIN GINKBILOBIN-2-LIKE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113553, NULL, 'PTHR12673', NULL, NULL, NULL, NULL, 'FACIOGENITAL DYSPLASIA PROTEIN', NULL, NULL, NULL, 15),
(113554, NULL, 'PTHR48218', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(113555, NULL, 'PTHR46420:SF1', NULL, NULL, NULL, NULL, 'BETA-1,4-GLUCURONYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(113556, NULL, 'PTHR43272:SF45', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 6 PEROXISOMAL', NULL, NULL, NULL, 15),
(113557, NULL, 'PTHR10689:SF9', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E SYNTHASE', NULL, NULL, NULL, 15),
(113558, NULL, 'PTHR15107:SF5', NULL, NULL, NULL, NULL, 'DNA ENDONUCLEASE RBBP8', NULL, NULL, NULL, 15),
(113559, NULL, 'PTHR10766:SF97', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(113560, NULL, 'PTHR43521:SF6', NULL, NULL, NULL, NULL, 'ALDEHYDE/HISTIDINOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(113561, NULL, 'PTHR47364:SF25', NULL, NULL, NULL, NULL, 'BNAC09G39980D PROTEIN', NULL, NULL, NULL, 15),
(113562, NULL, 'PTHR33057:SF105', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP13-LIKE', NULL, NULL, NULL, 15),
(113563, NULL, 'PTHR11255:SF47', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(113564, NULL, 'PTHR19282:SF456', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(113565, NULL, 'PTHR44137:SF29', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113566, NULL, 'PTHR31325:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113567, NULL, 'PTHR11206:SF432', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(113568, NULL, 'PTHR23077', NULL, NULL, NULL, NULL, 'AAA-FAMILY ATPASE', NULL, NULL, NULL, 15),
(113569, NULL, 'PTHR13532:SF3', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 14', NULL, NULL, NULL, 15),
(113570, NULL, 'PTHR47991:SF70', NULL, NULL, NULL, NULL, '2-OXOACID-DEPENDENT DIOXYGENASE', NULL, NULL, NULL, 15),
(113571, NULL, 'PTHR12782:SF5', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E SYNTHASE 2', NULL, NULL, NULL, 15),
(113572, NULL, 'PTHR48051:SF1', NULL, NULL, NULL, NULL, 'S-CELL ENRICHED WITH LEUCINE-RICH REPEAT-CONTAINING PROTEIN SLRA-RELATED', NULL, NULL, NULL, 15),
(113573, NULL, 'PTHR10641:SF1260', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113574, NULL, 'PTHR26312:SF164', NULL, NULL, NULL, NULL, 'BNAA02G04750D PROTEIN', NULL, NULL, NULL, 15),
(113575, NULL, 'PTHR33463:SF98', NULL, NULL, NULL, NULL, 'OS04G0431700 PROTEIN', NULL, NULL, NULL, 15),
(113576, NULL, 'PTHR11920:SF487', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE, GERMINATION SPECIFIC', NULL, NULL, NULL, 15),
(113577, NULL, 'PTHR47751', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G16580)-RELATED', NULL, NULL, NULL, 15),
(113578, NULL, 'PTHR12758', NULL, NULL, NULL, NULL, 'APOPTOSIS INHIBITOR 5-RELATED', NULL, NULL, 7772, 15),
(113579, NULL, 'PTHR24070:SF174', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAL-A', NULL, NULL, 22351, 15),
(113580, NULL, 'PTHR14754:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 5', NULL, NULL, NULL, 15),
(113581, NULL, 'PTHR48047:SF33', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 89B1', NULL, NULL, NULL, 15),
(113582, NULL, 'PTHR48044:SF36', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(113583, NULL, 'PTHR45651:SF39', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 18', NULL, NULL, NULL, 15),
(113584, NULL, 'PTHR45914:SF32', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113585, NULL, 'PTHR12884:SF25', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', NULL, NULL, NULL, 15),
(113586, NULL, 'PTHR31494:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113587, NULL, 'PTHR11732:SF461', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALPHA-KETO AMIDE REDUCTASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113588, NULL, 'PTHR31953:SF71', NULL, NULL, NULL, NULL, 'FRUCTAN 6-EXOHYDROLASE', NULL, NULL, NULL, 15),
(113589, NULL, 'PTHR47956:SF81', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(113590, NULL, 'PTHR33191:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113591, NULL, 'PTHR43795:SF72', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(113592, NULL, 'PTHR43341:SF35', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113593, NULL, 'PTHR40037:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE YJCG-RELATED', NULL, NULL, NULL, 15),
(113594, NULL, 'PTHR35603', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113595, NULL, 'PTHR10778:SF44', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE/UDP-GLUCOSE TRANSPORTER 4-LIKE', NULL, NULL, NULL, 15),
(113596, NULL, 'PTHR40396:SF1', NULL, NULL, NULL, NULL, 'ATPASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(113597, NULL, 'PTHR38926:SF32', NULL, NULL, NULL, NULL, 'BNAA04G11740D PROTEIN', NULL, NULL, NULL, 15),
(113598, NULL, 'PTHR27001:SF878', NULL, NULL, NULL, NULL, 'NSP-INTERACTING KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(113599, NULL, 'PTHR43157:SF50', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE (SDR FAMILY) MEMBER 13A, DUPLICATE 3', NULL, NULL, NULL, 15),
(113600, NULL, 'PTHR10574:SF28', NULL, NULL, NULL, NULL, 'NETRIN-G1', NULL, NULL, NULL, 15),
(113601, NULL, 'PTHR24068:SF361', NULL, NULL, NULL, NULL, 'OS02G0120600 PROTEIN', NULL, NULL, NULL, 15),
(113602, NULL, 'PTHR22907:SF24', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(113603, NULL, 'PTHR12403:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113604, NULL, 'PTHR22552:SF16', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED', NULL, NULL, NULL, 15),
(113605, NULL, 'PTHR33098:SF46', NULL, NULL, NULL, NULL, 'BNAC05G37650D PROTEIN', NULL, NULL, NULL, 15),
(113606, NULL, 'PTHR24057:SF34', NULL, NULL, NULL, NULL, 'OS01G0296100 PROTEIN', NULL, NULL, NULL, 15),
(113607, NULL, 'PTHR31642:SF222', NULL, NULL, NULL, NULL, 'BNAC03G72540D PROTEIN', NULL, NULL, NULL, 15),
(113608, NULL, 'PTHR33671', NULL, NULL, NULL, NULL, 'N-METHYLTRANSFERASE, PUTATIVE (DUF688)-RELATED', NULL, NULL, NULL, 15),
(113609, NULL, 'PTHR24349:SF166', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 12', NULL, NULL, NULL, 15),
(113610, NULL, 'PTHR42760:SF50', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(113611, NULL, 'PTHR11592:SF40', NULL, NULL, NULL, NULL, 'THIOREDOXIN/GLUTATHIONE PEROXIDASE BTUE', NULL, NULL, NULL, 15),
(113612, NULL, 'PTHR37254:SF2', NULL, NULL, NULL, NULL, 'MONOCOPPER OXIDASE-LIKE PROTEIN SKU5', NULL, NULL, NULL, 15),
(113613, NULL, 'PTHR11228:SF35', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN A-RELATED', NULL, NULL, 34083, 15),
(113614, NULL, 'PTHR23360:SF21', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(113615, NULL, 'PTHR45931:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF6', NULL, NULL, NULL, 15),
(113616, NULL, 'PTHR46072:SF5', NULL, NULL, NULL, NULL, 'GENERAL AMIDASE-C', NULL, NULL, NULL, 15),
(113617, NULL, 'PTHR33044:SF192', NULL, NULL, NULL, NULL, 'PROTEIN YLS3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(113618, NULL, 'PTHR19918:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113619, NULL, 'PTHR35362', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113620, NULL, 'PTHR10882', NULL, NULL, NULL, NULL, 'DIPHTHINE SYNTHASE', NULL, NULL, 786, 15),
(113621, NULL, 'PTHR45757:SF31', NULL, NULL, NULL, NULL, 'PROTEIN CBG04430', NULL, NULL, NULL, 15),
(113622, NULL, 'PTHR13147', NULL, NULL, NULL, NULL, 'FOUR-JOINTED BOX PROTEIN 1', NULL, NULL, 22774, 15),
(113623, NULL, 'PTHR10937:SF4', NULL, NULL, NULL, NULL, 'ARCHAEAL GLUCOSAMINE-6-PHOSPHATE DEAMINASE', NULL, NULL, NULL, 15),
(113624, NULL, 'PTHR32080:SF6', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 4', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113625, NULL, 'PTHR31951:SF24', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS RELATED FAMILY', NULL, NULL, NULL, 15),
(113626, NULL, 'PTHR12465:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 20', NULL, NULL, NULL, 15),
(113627, NULL, 'PTHR23315:SF272', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(113628, NULL, 'PTHR15493:SF9', NULL, NULL, NULL, NULL, 'GH14043P', NULL, NULL, NULL, 15),
(113629, NULL, 'PTHR31339:SF54', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(113630, NULL, 'PTHR31948:SF97', NULL, NULL, NULL, NULL, 'ZF-HD HOMEOBOX PROTEIN, CYS/HIS-RICH DIMERIZATION DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113631, NULL, 'PTHR11210', NULL, NULL, NULL, NULL, 'RING BOX', NULL, NULL, NULL, 15),
(113632, NULL, 'PTHR37564:SF1', NULL, NULL, NULL, NULL, 'DNA-ASSOCIATED PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113633, NULL, 'PTHR15962', NULL, NULL, NULL, NULL, 'ACTIVITY-REGULATED CYTOSKELETON-ASSOCIATED PROTEIN', NULL, NULL, 20027, 15),
(113634, NULL, 'PTHR31062:SF147', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(113635, NULL, 'PTHR30435:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK PROTEIN FLGE', NULL, NULL, NULL, 15),
(113636, NULL, 'PTHR42051', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED PROTEIN PB1A10.08', NULL, NULL, 6779, 15),
(113637, NULL, 'PTHR12441:SF14', NULL, NULL, NULL, NULL, 'SI:CH211-140M22.7-RELATED', NULL, NULL, NULL, 15),
(113638, NULL, 'PTHR13301:SF91', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 4 [UDP-FORMING]', NULL, NULL, NULL, 15),
(113639, NULL, 'PTHR13091:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SMG8', NULL, NULL, NULL, 15),
(113640, NULL, 'PTHR36932', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113641, NULL, 'PTHR42648:SF11', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113642, NULL, 'PTHR22765:SF163', NULL, NULL, NULL, NULL, 'OS01G0535300 PROTEIN', NULL, NULL, NULL, 15),
(113643, NULL, 'PTHR33543:SF30', NULL, NULL, NULL, NULL, 'BNAA03G54880D PROTEIN', NULL, NULL, NULL, 15),
(113644, NULL, 'PTHR31190:SF185', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-2', NULL, NULL, NULL, 15),
(113645, NULL, 'PTHR34373:SF8', NULL, NULL, NULL, NULL, 'SHUGOSHIN', NULL, NULL, NULL, 15),
(113646, NULL, 'PTHR22914:SF40', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 4', NULL, NULL, NULL, 15),
(113647, NULL, 'PTHR10891:SF894', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(113648, NULL, 'PTHR40517:SF1', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PHOSPHOHYDROLASE, HD SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(113649, NULL, 'PTHR13062:SF11', NULL, NULL, NULL, NULL, 'PRE-PRO-METALLOPROTEASE PRTV', NULL, NULL, NULL, 15),
(113650, NULL, 'PTHR19290:SF99', NULL, NULL, NULL, NULL, 'PROTEIN ATONAL HOMOLOG 7', NULL, NULL, 22298, 15),
(113651, NULL, 'PTHR10335:SF22', NULL, NULL, NULL, NULL, 'FIBRILLARIN, S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(113652, NULL, 'PTHR34687:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ-LIKE PROTEIN', NULL, NULL, NULL, 15),
(113653, NULL, 'PTHR33103:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113654, NULL, 'PTHR43078:SF18', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE 4', NULL, NULL, NULL, 15),
(113655, NULL, 'PTHR43735:SF3', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR HOMOLOG A-RELATED', NULL, NULL, NULL, 15),
(113656, NULL, 'PTHR24305:SF205', NULL, NULL, NULL, NULL, 'VERSICOLORIN B DESATURASE', NULL, NULL, NULL, 15),
(113657, NULL, 'PTHR36712:SF2', NULL, NULL, NULL, NULL, 'BNAA06G09740D PROTEIN', NULL, NULL, NULL, 15),
(113658, NULL, 'PTHR24012:SF790', NULL, NULL, NULL, NULL, 'MEI2 C-TERMINAL RRM ONLY LIKE 2', NULL, NULL, NULL, 15),
(113659, NULL, 'PTHR11731:SF193', NULL, NULL, NULL, NULL, 'DIPEPTIDYL-PEPTIDASE 4-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113660, NULL, 'PTHR23155:SF1099', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113661, NULL, 'PTHR24198:SF173', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX-CONTAINING 3', NULL, NULL, NULL, 15),
(113662, NULL, 'PTHR11266:SF17', NULL, NULL, NULL, NULL, 'PROTEIN MPV17', NULL, NULL, NULL, 15),
(113663, NULL, 'PTHR46700:SF4', NULL, NULL, NULL, NULL, 'ARMADILLO/BETA-CATENIN-LIKE REPEAT PROTEIN', NULL, NULL, NULL, 15),
(113664, NULL, 'PTHR24091:SF0', NULL, NULL, NULL, NULL, 'LYMPHOCYTE TRANSMEMBRANE ADAPTER 1', NULL, NULL, NULL, 15),
(113665, NULL, 'PTHR47682:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(113666, NULL, 'PTHR48044:SF19', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(113667, NULL, 'PTHR32123:SF11', NULL, NULL, NULL, NULL, 'BICD FAMILY-LIKE CARGO ADAPTER 2', NULL, NULL, NULL, 15),
(113668, NULL, 'PTHR11533:SF42', NULL, NULL, NULL, NULL, 'LEUCYL-CYSTINYL AMINOPEPTIDASE', NULL, NULL, 32121, 15),
(113669, NULL, 'PTHR43888:SF16', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY A MEMBER 1 HOMOLOG', NULL, NULL, NULL, 15),
(113670, NULL, 'PTHR35204:SF1', NULL, NULL, NULL, NULL, 'YALI0A21131P', NULL, NULL, NULL, 15),
(113671, NULL, 'PTHR10517:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113672, NULL, 'PTHR31279:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113673, NULL, 'PTHR38695:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113674, NULL, 'PTHR18875', NULL, NULL, NULL, NULL, 'SARCOMA ANTIGEN NY-SAR-24/CYTOSKELETAL PROTEIN SOJO', NULL, NULL, NULL, 15),
(113675, NULL, 'PTHR48044:SF56', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 708D1', NULL, NULL, NULL, 15),
(113676, NULL, 'PTHR22950:SF207', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 2', NULL, NULL, NULL, 15),
(113677, NULL, 'PTHR12186:SF4', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF IKBKE 1', NULL, NULL, NULL, 15),
(113678, NULL, 'PTHR35213', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113679, NULL, 'PTHR14700', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 2, MITOCHONDRIAL', NULL, NULL, 17733, 15),
(113680, NULL, 'PTHR33203:SF24', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(113681, NULL, 'PTHR30154:SF53', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LRPB', NULL, NULL, NULL, 15),
(113682, NULL, 'PTHR45648:SF93', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113683, NULL, 'PTHR10527:SF58', NULL, NULL, NULL, NULL, 'IMPORTIN-5-LIKE', NULL, NULL, NULL, 15),
(113684, NULL, 'PTHR11654:SF176', NULL, NULL, NULL, NULL, 'OSJNBA0093F12.12 PROTEIN', NULL, NULL, NULL, 15),
(113685, NULL, 'PTHR45733:SF7', NULL, NULL, NULL, NULL, 'OS06G0184400 PROTEIN', NULL, NULL, NULL, 15),
(113686, NULL, 'PTHR24418:SF376', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(113687, NULL, 'PTHR48002:SF154', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(113688, NULL, 'PTHR47979:SF73', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-4A', NULL, NULL, NULL, 15),
(113689, NULL, 'PTHR12596:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113690, NULL, 'PTHR20940:SF1', NULL, NULL, NULL, NULL, 'CIBOULOT, ISOFORM A', NULL, NULL, NULL, 15),
(113691, NULL, 'PTHR10281:SF96', NULL, NULL, NULL, NULL, 'MEMBRANE STEROID-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(113692, NULL, 'PTHR12916:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG20119', NULL, NULL, NULL, 15),
(113693, NULL, 'PTHR31213:SF96', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE 2-LIKE', NULL, NULL, NULL, 15),
(113694, NULL, 'PTHR31985:SF170', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113695, NULL, 'PTHR43454:SF1', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113696, NULL, 'PTHR46952:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(113697, NULL, 'PTHR46329:SF6', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR 4-RELATED', NULL, NULL, NULL, 15),
(113698, NULL, 'PTHR12673:SF245', NULL, NULL, NULL, NULL, 'GUANINE EXCHANGE FACTOR FOR RAC 30', NULL, NULL, NULL, 15),
(113699, NULL, 'PTHR48044:SF23', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYL/UDP-GLUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(113700, NULL, 'PTHR10903:SF156', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST', NULL, NULL, NULL, 15),
(113701, NULL, 'PTHR33511:SF30', NULL, NULL, NULL, NULL, 'BNAA01G22620D PROTEIN', NULL, NULL, NULL, 15),
(113702, NULL, 'PTHR35795:SF1', NULL, NULL, NULL, NULL, 'SLR1885 PROTEIN', NULL, NULL, NULL, 15),
(113703, NULL, 'PTHR30251:SF2', NULL, NULL, NULL, NULL, 'FIMBRIAL CHAPERONE YADV-RELATED', NULL, NULL, NULL, 15),
(113704, NULL, 'PTHR23105:SF157', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A-1-LIKE', NULL, NULL, NULL, 15),
(113705, NULL, 'PTHR33101:SF46', NULL, NULL, NULL, NULL, 'RHO GUANYL-NUCLEOTIDE EXCHANGE FACTOR', NULL, NULL, NULL, 15),
(113706, NULL, 'PTHR34630:SF45', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(113707, NULL, 'PTHR10934:SF16', NULL, NULL, NULL, NULL, 'BNAC02G39900D PROTEIN', NULL, NULL, NULL, 15),
(113708, NULL, 'PTHR10502:SF188', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(113709, NULL, 'PTHR33869:SF5', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(113710, NULL, 'PTHR45839:SF7', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 1', NULL, NULL, NULL, 15),
(113711, NULL, 'PTHR31038:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(113712, NULL, 'PTHR43859:SF51', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE AND LIGASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113713, NULL, 'PTHR47991:SF123', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE 1-LIKE', NULL, NULL, NULL, 15),
(113714, NULL, 'PTHR46662:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113715, NULL, 'PTHR31938', NULL, NULL, NULL, NULL, 'NUCLEAR SPECKLE SPLICING REGULATORY PROTEIN 1', NULL, NULL, 39093, 15),
(113716, NULL, 'PTHR10288:SF145', NULL, NULL, NULL, NULL, 'P-ELEMENT SOMATIC INHIBITOR, ISOFORM C', NULL, NULL, NULL, 15),
(113717, NULL, 'PTHR42898:SF45', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(113718, NULL, 'PTHR14155:SF581', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113719, NULL, 'PTHR33284', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L25/GLN-TRNA SYNTHETASE, ANTI-CODON-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(113720, NULL, 'PTHR43409:SF9', NULL, NULL, NULL, NULL, 'BLR2995 PROTEIN', NULL, NULL, NULL, 15),
(113721, NULL, 'PTHR24414:SF121', NULL, NULL, NULL, NULL, 'BNAA04G17250D PROTEIN', NULL, NULL, NULL, 15),
(113722, NULL, 'PTHR47992:SF38', NULL, NULL, NULL, NULL, 'OS03G0395100 PROTEIN', NULL, NULL, NULL, 15),
(113723, NULL, 'PTHR12542:SF149', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(113724, NULL, 'PTHR46204:SF8', NULL, NULL, NULL, NULL, 'LYSM-DOMAIN PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113725, NULL, 'PTHR24339:SF52', NULL, NULL, NULL, NULL, 'EVEN-SKIPPED HOMEOBOX 1', NULL, NULL, NULL, 15),
(113726, NULL, 'PTHR23201:SF96', NULL, NULL, NULL, NULL, 'BNAA10G12810D PROTEIN', NULL, NULL, NULL, 15),
(113727, NULL, 'PTHR45669:SF17', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(113728, NULL, 'PTHR16517:SF120', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 5 ISOFORM X1', NULL, NULL, NULL, 15),
(113729, NULL, 'PTHR33672', NULL, NULL, NULL, NULL, 'YCF3-INTERACTING PROTEIN 1, CHLOROPLASTIC', NULL, NULL, 30344, 15),
(113730, NULL, 'PTHR43300:SF7', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE EPSM-RELATED', NULL, NULL, NULL, 15),
(113731, NULL, 'PTHR33833:SF3', NULL, NULL, NULL, NULL, 'NUCLEOLAR-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113732, NULL, 'PTHR46506:SF37', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(113733, NULL, 'PTHR33510:SF10', NULL, NULL, NULL, NULL, 'OS02G0614400 PROTEIN', NULL, NULL, NULL, 15),
(113734, NULL, 'PTHR34191:SF17', NULL, NULL, NULL, NULL, 'F9L1.37', NULL, NULL, NULL, 15),
(113735, NULL, 'PTHR30146:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(113736, NULL, 'PTHR30413:SF11', NULL, NULL, NULL, NULL, 'TRANSPORT PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(113737, NULL, 'PTHR10814:SF24', NULL, NULL, NULL, NULL, 'TRANSDUCIN-LIKE ENHANCER PROTEIN 3', NULL, NULL, NULL, 15),
(113738, NULL, 'PTHR47238', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 5', NULL, NULL, NULL, 15),
(113739, NULL, 'PTHR47662', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113740, NULL, 'PTHR21856:SF7', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(113741, NULL, 'PTHR31790:SF228', NULL, NULL, NULL, NULL, 'BNAC03G35550D PROTEIN', NULL, NULL, NULL, 15),
(113742, NULL, 'PTHR13388:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 132A', NULL, NULL, NULL, 15),
(113743, NULL, 'PTHR15597:SF45', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN FOX-1 HOMOLOG 1', NULL, NULL, NULL, 15),
(113744, NULL, 'PTHR10855:SF6', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 12 HOMOLOG B', NULL, NULL, NULL, 15),
(113745, NULL, 'PTHR32153:SF56', NULL, NULL, NULL, NULL, 'BNAA03G00710D PROTEIN', NULL, NULL, NULL, 15),
(113746, NULL, 'PTHR37807:SF3', NULL, NULL, NULL, NULL, 'OS07G0160300 PROTEIN', NULL, NULL, NULL, 15),
(113747, NULL, 'PTHR32278:SF37', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A1-LIKE', NULL, NULL, NULL, 15),
(113748, NULL, 'PTHR43806:SF14', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE 2', NULL, NULL, NULL, 15),
(113749, NULL, 'PTHR10209:SF740', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113750, NULL, 'PTHR46033:SF37', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM HOMOLOG', NULL, NULL, NULL, 15),
(113751, NULL, 'PTHR24068:SF143', NULL, NULL, NULL, NULL, 'GEO06356P1', NULL, NULL, NULL, 15),
(113752, NULL, 'PTHR42182', NULL, NULL, NULL, NULL, 'SLL0359 PROTEIN', NULL, NULL, 25192, 15),
(113753, NULL, 'PTHR21230:SF1', NULL, NULL, NULL, NULL, 'GOLGI SNAP RECEPTOR COMPLEX MEMBER 2', NULL, NULL, NULL, 15),
(113754, NULL, 'PTHR46023:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113755, NULL, 'PTHR17008:SF1', NULL, NULL, NULL, NULL, 'MEIOSIS EXPRESSED GENE 1 PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(113756, NULL, 'PTHR24418:SF199', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(113757, NULL, 'PTHR45654:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113758, NULL, 'PTHR22603:SF74', NULL, NULL, NULL, NULL, 'OS01G0183000 PROTEIN', NULL, NULL, NULL, 15),
(113759, NULL, 'PTHR34488', NULL, NULL, NULL, NULL, 'SI:CH211-245H14.1-RELATED', NULL, NULL, NULL, 15),
(113760, NULL, 'PTHR46128:SF86', NULL, NULL, NULL, NULL, 'BNAA05G08810D PROTEIN', NULL, NULL, NULL, 15),
(113761, NULL, 'PTHR10075:SF76', NULL, NULL, NULL, NULL, 'ROUNDABOUT, AXON GUIDANCE RECEPTOR, HOMOLOG 4 (DROSOPHILA)', NULL, NULL, NULL, 15),
(113762, NULL, 'PTHR47746:SF17', NULL, NULL, NULL, NULL, 'OS11G0577200 PROTEIN', NULL, NULL, NULL, 15),
(113763, NULL, 'PTHR31407:SF16', NULL, NULL, NULL, NULL, 'PSBP DOMAIN-CONTAINING PROTEIN 7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(113764, NULL, 'PTHR31005', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 11190, 15),
(113765, NULL, 'PTHR32329', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN [INCLUDES 2-HYDROXYACYL-COA DEHYDRATASE (N-TER) AND ITS ACTIVATOR DOMAIN (C_TERM)-RELATED', NULL, NULL, NULL, 15),
(113766, NULL, 'PTHR15591', NULL, NULL, NULL, NULL, 'RUN AND SH3 DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(113767, NULL, 'PTHR35252', NULL, NULL, NULL, NULL, 'RETINITIS PIGMENTOSA 9 PROTEIN', NULL, NULL, 31723, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113768, NULL, 'PTHR23177:SF68', NULL, NULL, NULL, NULL, 'BNAA04G15850D PROTEIN', NULL, NULL, NULL, 15),
(113769, NULL, 'PTHR21301:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113770, NULL, 'PTHR47893', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN PCHR', NULL, NULL, NULL, 15),
(113771, NULL, 'PTHR11654:SF473', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(113772, NULL, 'PTHR39206', NULL, NULL, NULL, NULL, 'SLL8004 PROTEIN', NULL, NULL, NULL, 15),
(113773, NULL, 'PTHR24103:SF621', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 43-RELATED', NULL, NULL, NULL, 15),
(113774, NULL, 'PTHR39221:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 7 OPEN READING FRAME 61', NULL, NULL, NULL, 15),
(113775, NULL, 'PTHR47926:SF207', NULL, NULL, NULL, NULL, 'BNAANNG10610D PROTEIN', NULL, NULL, NULL, 15),
(113776, NULL, 'PTHR15182:SF0', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 5', NULL, NULL, NULL, 15),
(113777, NULL, 'PTHR10890:SF30', NULL, NULL, NULL, NULL, 'CYSTEINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(113778, NULL, 'PTHR14057:SF45', NULL, NULL, NULL, NULL, 'ONE CUT DOMAIN FAMILY MEMBER', NULL, NULL, NULL, 15),
(113779, NULL, 'PTHR24349:SF261', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PEPKR2', NULL, NULL, NULL, 15),
(113780, NULL, 'PTHR11879:SF53', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(113781, NULL, 'PTHR23507:SF25', NULL, NULL, NULL, NULL, 'MFS EFFLUX PUMP ATNC', NULL, NULL, NULL, 15),
(113782, NULL, 'PTHR34184:SF4', NULL, NULL, NULL, NULL, 'UPF0718 PROTEIN YCGR', NULL, NULL, NULL, 15),
(113783, NULL, 'PTHR47435:SF3', NULL, NULL, NULL, NULL, 'NITRILE-SPECIFIER PROTEIN 5', NULL, NULL, NULL, 15),
(113784, NULL, 'PTHR11461:SF191', NULL, NULL, NULL, NULL, 'PROTEIN Z-DEPENDENT PROTEASE INHIBITOR', NULL, NULL, NULL, 15),
(113785, NULL, 'PTHR14987:SF3', NULL, NULL, NULL, NULL, 'LBH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(113786, NULL, 'PTHR10751:SF95', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(113787, NULL, 'PTHR36063:SF4', NULL, NULL, NULL, NULL, 'BNAA09G17820D PROTEIN', NULL, NULL, NULL, 15),
(113788, NULL, 'PTHR45642:SF94', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113789, NULL, 'PTHR41291', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113790, NULL, 'PTHR32054:SF59', NULL, NULL, NULL, NULL, 'BNACNNG42560D PROTEIN', NULL, NULL, NULL, 15),
(113791, NULL, 'PTHR11485:SF50', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, 16146, 15),
(113792, NULL, 'PTHR46851:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113793, NULL, 'PTHR21047:SF2', NULL, NULL, NULL, NULL, 'DTDP-4-DEHYDRORHAMNOSE 3,5-EPIMERASE', NULL, NULL, NULL, 15),
(113794, NULL, 'PTHR22593', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 18', NULL, NULL, NULL, 15),
(113795, NULL, 'PTHR33202:SF1', NULL, NULL, NULL, NULL, 'FERRIC UPTAKE REGULATION PROTEIN', NULL, NULL, NULL, 15),
(113796, NULL, 'PTHR10779:SF14', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN ROADBLOCK', NULL, NULL, NULL, 15),
(113797, NULL, 'PTHR30175:SF7', NULL, NULL, NULL, NULL, 'NEGATIVE REGULATOR OF SACY ACTIVITY', NULL, NULL, NULL, 15),
(113798, NULL, 'PTHR37741', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(113799, NULL, 'PTHR22907:SF56', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN RAM-5', NULL, NULL, NULL, 15),
(113800, NULL, 'PTHR48083:SF17', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_2G16630)', NULL, NULL, NULL, 15),
(113801, NULL, 'PTHR34782:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113802, NULL, 'PTHR22943:SF95', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(113803, NULL, 'PTHR43939:SF60', NULL, NULL, NULL, NULL, 'PREFOLDIN', NULL, NULL, NULL, 15),
(113804, NULL, 'PTHR22943:SF47', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113805, NULL, 'PTHR31071:SF4', NULL, NULL, NULL, NULL, 'INTRACELLULAR PROTEIN TRANSPORT PROTEIN USO1-RELATED', NULL, NULL, NULL, 15),
(113806, NULL, 'PTHR44329:SF133', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY KINASE TKL-PL-4 FAMILY-RELATED', NULL, NULL, NULL, 15),
(113807, NULL, 'PTHR33047:SF27', NULL, NULL, NULL, NULL, 'LRRG00136', NULL, NULL, NULL, 15),
(113808, NULL, 'PTHR10566:SF113', NULL, NULL, NULL, NULL, 'PROTEIN ACTIVITY OF BC1 COMPLEX KINASE 7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(113809, NULL, 'PTHR16223:SF211', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) DNA-BINDING SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113810, NULL, 'PTHR15601:SF28', NULL, NULL, NULL, NULL, 'BNAC03G57580D PROTEIN', NULL, NULL, NULL, 15),
(113811, NULL, 'PTHR43302:SF9', NULL, NULL, NULL, NULL, 'TRANSPORTER ARSB-RELATED', NULL, NULL, NULL, 15),
(113812, NULL, 'PTHR22943:SF106', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(113813, NULL, 'PTHR35545:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113814, NULL, 'PTHR45090:SF13', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113815, NULL, 'PTHR42339', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113816, NULL, 'PTHR24336', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LBX', NULL, NULL, NULL, 15),
(113817, NULL, 'PTHR39757', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113818, NULL, 'PTHR27001:SF801', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE DOMAIN KINASE', NULL, NULL, NULL, 15),
(113819, NULL, 'PTHR13342:SF2', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR5', NULL, NULL, NULL, 15),
(113820, NULL, 'PTHR31470:SF44', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113821, NULL, 'PTHR10285:SF117', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE', NULL, NULL, NULL, 15),
(113822, NULL, 'PTHR11795:SF445', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID ABC TRANSPORTER, PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(113823, NULL, 'PTHR47746:SF44', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(113824, NULL, 'PTHR46567:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 12', NULL, NULL, NULL, 15),
(113825, NULL, 'PTHR31264:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113826, NULL, 'PTHR31096:SF71', NULL, NULL, NULL, NULL, 'ACT DOMAIN REPEAT 8-RELATED', NULL, NULL, NULL, 15),
(113827, NULL, 'PTHR22633', NULL, NULL, NULL, NULL, 'NEURONAL TYROSINE-PHOSPHORYLATED PHOSPHOINOSITIDE-3-KINASE ADAPTER 2-RELATED', NULL, NULL, 22028, 15),
(113828, NULL, 'PTHR21454:SF23', NULL, NULL, NULL, NULL, 'DPH3 HOMOLOG B-RELATED', NULL, NULL, NULL, 15),
(113829, NULL, 'PTHR12866:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-CONJUGATING ENZYME ATG3', NULL, NULL, NULL, 15),
(113830, NULL, 'PTHR48024:SF18', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113831, NULL, 'PTHR23263:SF133', NULL, NULL, NULL, NULL, 'LATE CORNIFIED ENVELOPE PROTEIN 5A', NULL, NULL, NULL, 15),
(113832, NULL, 'PTHR33156:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113833, NULL, 'PTHR33426:SF19', NULL, NULL, NULL, NULL, 'T0110053 ISOFORM 2', NULL, NULL, NULL, 15),
(113834, NULL, 'PTHR21562:SF51', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 7', NULL, NULL, NULL, 15),
(113835, NULL, 'PTHR16521:SF3', NULL, NULL, NULL, NULL, 'TYPE-1 ANGIOTENSIN II RECEPTOR-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(113836, NULL, 'PTHR32018:SF16', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-RELATED', NULL, NULL, NULL, 15),
(113837, NULL, 'PTHR27004:SF49', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 30', NULL, NULL, NULL, 15),
(113838, NULL, 'PTHR45858:SF2', NULL, NULL, NULL, NULL, 'FERM, ARHGEF AND PLECKSTRIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(113839, NULL, 'PTHR10743:SF18', NULL, NULL, NULL, NULL, 'PROTEIN RER1D', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113840, NULL, 'PTHR36950:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG08549', NULL, NULL, NULL, 15),
(113841, NULL, 'PTHR43278:SF4', NULL, NULL, NULL, NULL, 'NAD(P)H-DEPENDENT FMN-CONTAINING OXIDOREDUCTASE YWQN-RELATED', NULL, NULL, NULL, 15),
(113842, NULL, 'PTHR36514:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG05723', NULL, NULL, NULL, 15),
(113843, NULL, 'PTHR22963:SF29', NULL, NULL, NULL, NULL, 'DUMPY, ISOFORM Q', NULL, NULL, NULL, 15),
(113844, NULL, 'PTHR24399:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 26', NULL, NULL, NULL, 15),
(113845, NULL, 'PTHR11404', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE 2', NULL, NULL, NULL, 15),
(113846, NULL, 'PTHR11712:SF325', NULL, NULL, NULL, NULL, '3-OXOACYL-(ACYL-CARRIER-PROTEIN) SYNTHASE II FABF', NULL, NULL, NULL, 15),
(113847, NULL, 'PTHR11274:SF12', NULL, NULL, NULL, NULL, 'HELICASE, POSSIBLE DNA REPAIR RAD25', NULL, NULL, NULL, 15),
(113848, NULL, 'PTHR10361:SF64', NULL, NULL, NULL, NULL, 'SODIUM/METABOLITE COTRANSPORTER BASS1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(113849, NULL, 'PTHR10502:SF190', NULL, NULL, NULL, NULL, 'OS09G0453300 PROTEIN', NULL, NULL, NULL, 15),
(113850, NULL, 'PTHR46371:SF12', NULL, NULL, NULL, NULL, 'OS02G0582600 PROTEIN', NULL, NULL, NULL, 15),
(113851, NULL, 'PTHR32054:SF45', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT 1-LIKE', NULL, NULL, NULL, 15),
(113852, NULL, 'PTHR10621:SF41', NULL, NULL, NULL, NULL, 'BNAC09G00320D PROTEIN', NULL, NULL, NULL, 15),
(113853, NULL, 'PTHR24070:SF194', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAP-2B', NULL, NULL, NULL, 15),
(113854, NULL, 'PTHR22957:SF592', NULL, NULL, NULL, NULL, 'FI17814P1', NULL, NULL, NULL, 15),
(113855, NULL, 'PTHR10048:SF15', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE ALPHA-RELATED', NULL, NULL, NULL, 15),
(113856, NULL, 'PTHR13832:SF761', NULL, NULL, NULL, NULL, 'SD03870P', NULL, NULL, NULL, 15),
(113857, NULL, 'PTHR12247:SF67', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(113858, NULL, 'PTHR35008', NULL, NULL, NULL, NULL, 'BLL4482 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113859, NULL, 'PTHR10179:SF27', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 13', NULL, NULL, NULL, 15),
(113860, NULL, 'PTHR45758:SF12', NULL, NULL, NULL, NULL, 'MITOFERRIN-LIKE', NULL, NULL, NULL, 15),
(113861, NULL, 'PTHR34569:SF11', NULL, NULL, NULL, NULL, 'BNAC01G40860D PROTEIN', NULL, NULL, NULL, 15),
(113862, NULL, 'PTHR42748:SF24', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-DIPHOSPHATE-SUGAR EPIMERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G11740)', NULL, NULL, NULL, 15),
(113863, NULL, 'PTHR31625:SF46', NULL, NULL, NULL, NULL, 'OS03G0402600 PROTEIN', NULL, NULL, NULL, 15),
(113864, NULL, 'PTHR22780:SF38', NULL, NULL, NULL, NULL, 'ADAPTOR RELATED PROTEIN COMPLEX 2 SUBUNIT ALPHA 2', NULL, NULL, NULL, 15),
(113865, NULL, 'PTHR15425', NULL, NULL, NULL, NULL, 'CD160 ANTIGEN', NULL, NULL, 39527, 15),
(113866, NULL, 'PTHR43874:SF19', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR 23-RELATED', NULL, NULL, NULL, 15),
(113867, NULL, 'PTHR32444:SF127', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(113868, NULL, 'PTHR31251:SF146', NULL, NULL, NULL, NULL, 'BNAANNG25050D PROTEIN', NULL, NULL, NULL, 15),
(113869, NULL, 'PTHR12046:SF1', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE TYPE B CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(113870, NULL, 'PTHR11339:SF225', NULL, NULL, NULL, NULL, 'OTOGELIN-LIKE PROTEIN', NULL, NULL, 22277, 15),
(113871, NULL, 'PTHR31748:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(113872, NULL, 'PTHR45811:SF53', NULL, NULL, NULL, NULL, 'LATE BLIGHT RESISTANCE PROTEIN HOMOLOG R1B-19-RELATED', NULL, NULL, NULL, 15),
(113873, NULL, 'PTHR47094:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113874, NULL, 'PTHR21844', NULL, NULL, NULL, NULL, 'AKT1 SUBSTRATE 1 PROTEIN', NULL, NULL, 27209, 15),
(113875, NULL, 'PTHR10202:SF21', NULL, NULL, NULL, NULL, 'PRESENILIN-A', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113876, NULL, 'PTHR12695:SF2', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIH SUBUNIT 2-RELATED', NULL, NULL, NULL, 15),
(113877, NULL, 'PTHR12369:SF11', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(113878, NULL, 'PTHR33786:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(113879, NULL, 'PTHR31662:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113880, NULL, 'PTHR32444:SF96', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(113881, NULL, 'PTHR47942:SF3', NULL, NULL, NULL, NULL, 'OS10G0506000 PROTEIN', NULL, NULL, NULL, 15),
(113882, NULL, 'PTHR10388:SF66', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR SUI1-RELATED', NULL, NULL, NULL, 15),
(113883, NULL, 'PTHR16228:SF23', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 41 MEMBER 1', NULL, NULL, NULL, 15),
(113884, NULL, 'PTHR31218:SF228', NULL, NULL, NULL, NULL, 'BNAANNG18970D PROTEIN', NULL, NULL, NULL, 15),
(113885, NULL, 'PTHR36759:SF1', NULL, NULL, NULL, NULL, 'DYNEIN BETA CHAIN, CILIARY PROTEIN', NULL, NULL, NULL, 15),
(113886, NULL, 'PTHR33595', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(113887, NULL, 'PTHR34282:SF2', NULL, NULL, NULL, NULL, 'OS01G0228800 PROTEIN', NULL, NULL, NULL, 15),
(113888, NULL, 'PTHR33137:SF26', NULL, NULL, NULL, NULL, 'BNAA09G56600D PROTEIN', NULL, NULL, NULL, 15),
(113889, NULL, 'PTHR48022:SF57', NULL, NULL, NULL, NULL, 'MALTOSE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00150)-RELATED', NULL, NULL, NULL, 15),
(113890, NULL, 'PTHR43539:SF37', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA7-RELATED', NULL, NULL, NULL, 15),
(113891, NULL, 'PTHR15169:SF0', NULL, NULL, NULL, NULL, 'DNA DAMAGE-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(113892, NULL, 'PTHR13282:SF14', NULL, NULL, NULL, NULL, 'PROTEIN FAM32A-LIKE', NULL, NULL, NULL, 15),
(113893, NULL, 'PTHR11616:SF44', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT TRANSPORTER XTRP3', NULL, NULL, NULL, 15),
(113894, NULL, 'PTHR24366:SF45', NULL, NULL, NULL, NULL, 'IG-LIKE AND FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN C27B7.7', NULL, NULL, NULL, 15),
(113895, NULL, 'PTHR31589:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113896, NULL, 'PTHR13778:SF5', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(113897, NULL, 'PTHR31677:SF142', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(113898, NULL, 'PTHR35094:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113899, NULL, 'PTHR37834:SF2', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G00620)', NULL, NULL, NULL, 15),
(113900, NULL, 'PTHR31871:SF18', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME 2-RELATED', NULL, NULL, NULL, 15),
(113901, NULL, 'PTHR47962:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR HELICASE RADD-RELATED', NULL, NULL, NULL, 15),
(113902, NULL, 'PTHR44083:SF31', NULL, NULL, NULL, NULL, 'PROTEIN TPR3-LIKE', NULL, NULL, NULL, 15),
(113903, NULL, 'PTHR10682:SF38', NULL, NULL, NULL, NULL, 'OS03G0313300 PROTEIN', NULL, NULL, NULL, 15),
(113904, NULL, 'PTHR24274', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 161', NULL, NULL, NULL, 15),
(113905, NULL, 'PTHR24067:SF302', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1-LIKE', NULL, NULL, NULL, 15),
(113906, NULL, 'PTHR13620:SF57', NULL, NULL, NULL, NULL, 'OS07G0112400 PROTEIN', NULL, NULL, NULL, 15),
(113907, NULL, 'PTHR15715:SF26', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 136', NULL, NULL, NULL, 15),
(113908, NULL, 'PTHR36299:SF3', NULL, NULL, NULL, NULL, 'FI03431P', NULL, NULL, NULL, 15),
(113909, NULL, 'PTHR33472:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113910, NULL, 'PTHR47255:SF11', NULL, NULL, NULL, NULL, 'BNAA02G08490D PROTEIN', NULL, NULL, NULL, 15),
(113911, NULL, 'PTHR21344:SF1', NULL, NULL, NULL, NULL, 'RAL GTPASE-ACTIVATING PROTEIN SUBUNIT BETA', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113912, NULL, 'PTHR11746:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113913, NULL, 'PTHR15466', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN CONTAINING 4', NULL, NULL, 31447, 15),
(113914, NULL, 'PTHR11527:SF318', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(113915, NULL, 'PTHR11081:SF54', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE GEN HOMOLOG 1', NULL, NULL, NULL, 15),
(113916, NULL, 'PTHR31731:SF122', NULL, NULL, NULL, NULL, 'BNAA05G35360D PROTEIN', NULL, NULL, NULL, 15),
(113917, NULL, 'PTHR47372:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113918, NULL, 'PTHR33320:SF20', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(113919, NULL, 'PTHR32166:SF97', NULL, NULL, NULL, NULL, 'BNAC08G02760D PROTEIN', NULL, NULL, NULL, 15),
(113920, NULL, 'PTHR10315:SF71', NULL, NULL, NULL, NULL, 'OS01G0123700 PROTEIN', NULL, NULL, NULL, 15),
(113921, NULL, 'PTHR15941:SF9', NULL, NULL, NULL, NULL, 'MYOZENIN-2', NULL, NULL, NULL, 15),
(113922, NULL, 'PTHR47674', NULL, NULL, NULL, NULL, 'SAGA-ASSOCIATED FACTOR 11', NULL, NULL, NULL, 15),
(113923, NULL, 'PTHR46031:SF3', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING MOTIF PROTEIN', NULL, NULL, NULL, 15),
(113924, NULL, 'PTHR46850:SF1', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 9', NULL, NULL, NULL, 15),
(113925, NULL, 'PTHR33401', NULL, NULL, NULL, NULL, 'LIGHT-HARVESTING COMPLEX-LIKE PROTEIN OHP2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(113926, NULL, 'PTHR46463:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHF2A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(113927, NULL, 'PTHR48061:SF6', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 30-LIKE', NULL, NULL, NULL, 15),
(113928, NULL, 'PTHR11359:SF0', NULL, NULL, NULL, NULL, 'AMP DEAMINASE', NULL, NULL, NULL, 15),
(113929, NULL, 'PTHR44329:SF185', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(113930, NULL, 'PTHR44115:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG09690', NULL, NULL, NULL, 15),
(113931, NULL, 'PTHR48042:SF4', NULL, NULL, NULL, NULL, 'CASSETTE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113932, NULL, 'PTHR32285:SF233', NULL, NULL, NULL, NULL, 'DUF231 DOMAIN CONTAINING FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113933, NULL, 'PTHR31009:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113934, NULL, 'PTHR31790:SF357', NULL, NULL, NULL, NULL, 'BNAC09G36240D PROTEIN', NULL, NULL, NULL, 15),
(113935, NULL, 'PTHR12429:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NEURL3', NULL, NULL, NULL, 15),
(113936, NULL, 'PTHR43205:SF6', NULL, NULL, NULL, NULL, '2-ALKENAL REDUCTASE (NADP(+)-DEPENDENT)-LIKE', NULL, NULL, NULL, 15),
(113937, NULL, 'PTHR24056:SF498', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113938, NULL, 'PTHR46471:SF4', NULL, NULL, NULL, NULL, 'CHITIN BINDING PROTEIN', NULL, NULL, NULL, 15),
(113939, NULL, 'PTHR10903:SF137', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(113940, NULL, 'PTHR32009:SF71', NULL, NULL, NULL, NULL, 'TYPE DISEASE RESISTANCE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113941, NULL, 'PTHR31636:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113942, NULL, 'PTHR24282:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113943, NULL, 'PTHR11757:SF17', NULL, NULL, NULL, NULL, 'B, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(113944, NULL, 'PTHR24221:SF548', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY PROTEIN', NULL, NULL, NULL, 15),
(113945, NULL, 'PTHR35803:SF2', NULL, NULL, NULL, NULL, 'RETAINING ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(113946, NULL, 'PTHR11875:SF134', NULL, NULL, NULL, NULL, 'NAP1-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(113947, NULL, 'PTHR31388:SF221', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113948, NULL, 'PTHR46860', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 2', NULL, NULL, 37209, 15),
(113949, NULL, 'PTHR43839', NULL, NULL, NULL, NULL, 'OPPC IN A BINDING PROTEIN-DEPENDENT TRANSPORT SYSTEM', NULL, NULL, NULL, 15),
(113950, NULL, 'PTHR34200:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(113951, NULL, 'PTHR11351:SF85', NULL, NULL, NULL, NULL, '16:0DELTA9 DESATURASE 2-RELATED', NULL, NULL, NULL, 15),
(113952, NULL, 'PTHR31080:SF179', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(113953, NULL, 'PTHR11562:SF84', NULL, NULL, NULL, NULL, 'LD05335P', NULL, NULL, NULL, 15),
(113954, NULL, 'PTHR30540', NULL, NULL, NULL, NULL, 'OSMOTIC STRESS POTASSIUM TRANSPORTER', NULL, NULL, 3394, 15),
(113955, NULL, 'PTHR12694', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 1', NULL, NULL, 7034, 15),
(113956, NULL, 'PTHR23115:SF263', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA-LIKE', NULL, NULL, NULL, 15),
(113957, NULL, 'PTHR45613:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113958, NULL, 'PTHR31879', NULL, NULL, NULL, NULL, 'DET1- AND DDB1-ASSOCIATED PROTEIN 1', NULL, NULL, 34045, 15),
(113959, NULL, 'PTHR11097:SF9', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP43', NULL, NULL, 31641, 15),
(113960, NULL, 'PTHR34218', NULL, NULL, NULL, NULL, 'PEPTIDASE S45 PENICILLIN AMIDASE', NULL, NULL, 3706, 15),
(113961, NULL, 'PTHR12874:SF18', NULL, NULL, NULL, NULL, 'BNAA09G41530D PROTEIN', NULL, NULL, NULL, 15),
(113962, NULL, 'PTHR43205:SF55', NULL, NULL, NULL, NULL, 'NADPH OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(113963, NULL, 'PTHR10041:SF5', NULL, NULL, NULL, NULL, 'COLIPASE', NULL, NULL, NULL, 15),
(113964, NULL, 'PTHR22883:SF301', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC12-RELATED', NULL, NULL, NULL, 15),
(113965, NULL, 'PTHR44516', NULL, NULL, NULL, NULL, '2-METHYL-6-PHYTYL-1,4-HYDROQUINONE METHYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, 38551, 15),
(113966, NULL, 'PTHR31385:SF8', NULL, NULL, NULL, NULL, 'BNAA07G09840D PROTEIN', NULL, NULL, NULL, 15),
(113967, NULL, 'PTHR48019:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113968, NULL, 'PTHR11926:SF1325', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76E1', NULL, NULL, NULL, 15),
(113969, NULL, 'PTHR11926:SF986', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 84A1', NULL, NULL, NULL, 15),
(113970, NULL, 'PTHR22913:SF12', NULL, NULL, NULL, NULL, 'MANNURONAN SYNTHASE', NULL, NULL, NULL, 15),
(113971, NULL, 'PTHR13832:SF580', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 70-RELATED', NULL, NULL, NULL, 15),
(113972, NULL, 'PTHR47338:SF3', NULL, NULL, NULL, NULL, 'C6 FINGER DOMAIN TRANSCRIPTION FACTOR DBAA-RELATED', NULL, NULL, NULL, 15),
(113973, NULL, 'PTHR10812:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-2, ISOFORM D', NULL, NULL, NULL, 15),
(113974, NULL, 'PTHR13140:SF784', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113975, NULL, 'PTHR33074:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113976, NULL, 'PTHR23201:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113977, NULL, 'PTHR34222:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113978, NULL, 'PTHR24064:SF284', NULL, NULL, NULL, NULL, 'PROTEIN CBG18308', NULL, NULL, NULL, 15),
(113979, NULL, 'PTHR27005:SF45', NULL, NULL, NULL, NULL, 'OS10G0351500 PROTEIN', NULL, NULL, NULL, 15),
(113980, NULL, 'PTHR33836:SF7', NULL, NULL, NULL, NULL, 'LOW-TEMPERATURE-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(113981, NULL, 'PTHR12084:SF13', NULL, NULL, NULL, NULL, 'NUCLEOPORIN 62 C-TERMINAL-LIKE', NULL, NULL, NULL, 15),
(113982, NULL, 'PTHR33545:SF9', NULL, NULL, NULL, NULL, 'UPF0750 MEMBRANE PROTEIN YITE', NULL, NULL, NULL, 15),
(113983, NULL, 'PTHR23252:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113984, NULL, 'PTHR11716:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2, MEMBRANE ASSOCIATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(113985, NULL, 'PTHR35127:SF6', NULL, NULL, NULL, NULL, 'BNAC04G24950D PROTEIN', NULL, NULL, NULL, 15),
(113986, NULL, 'PTHR23421:SF79', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 3', NULL, NULL, NULL, 15),
(113987, NULL, 'PTHR48047:SF42', NULL, NULL, NULL, NULL, 'BNACNNG24710D PROTEIN', NULL, NULL, NULL, 15),
(113988, NULL, 'PTHR46421', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(113989, NULL, 'PTHR47768:SF1', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', NULL, NULL, NULL, 15),
(113990, NULL, 'PTHR48041:SF43', NULL, NULL, NULL, NULL, 'WHITE (DROSOPHILA) RELATED ABC TRANSPORTER', NULL, NULL, NULL, 15),
(113991, NULL, 'PTHR33391:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME B559 SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(113992, NULL, 'PTHR10108:SF1105', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT5-RELATED', NULL, NULL, NULL, 15),
(113993, NULL, 'PTHR24115:SF940', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-8B', NULL, NULL, NULL, 15),
(113994, NULL, 'PTHR22055:SF2', NULL, NULL, NULL, NULL, 'OS05G0515900 PROTEIN', NULL, NULL, NULL, 15),
(113995, NULL, 'PTHR32387:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(113996, NULL, 'PTHR46162:SF28', NULL, NULL, NULL, NULL, 'BNAA09G56140D PROTEIN', NULL, NULL, NULL, 15),
(113997, NULL, 'PTHR45792:SF3', NULL, NULL, NULL, NULL, 'SN1-SPECIFIC DIACYLGLYCEROL LIPASE ALPHA', NULL, NULL, NULL, 15),
(113998, NULL, 'PTHR11943', NULL, NULL, NULL, NULL, 'GALACTOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, 4195, 15),
(113999, NULL, 'PTHR47876:SF2', NULL, NULL, NULL, NULL, 'OS08G0260000 PROTEIN', NULL, NULL, NULL, 15),
(114000, NULL, 'PTHR10219:SF28', NULL, NULL, NULL, NULL, 'ACD11 HOMOLOG PROTEIN', NULL, NULL, NULL, 15),
(114001, NULL, 'PTHR14859:SF1', NULL, NULL, NULL, NULL, 'PGAP2-INTERACTING PROTEIN', NULL, NULL, 25704, 15),
(114002, NULL, 'PTHR24089:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL COENZYME A TRANSPORTER SLC25A42', NULL, NULL, NULL, 15),
(114003, NULL, 'PTHR11654:SF549', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.5-LIKE', NULL, NULL, NULL, 15),
(114004, NULL, 'PTHR43572:SF12', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPE', NULL, NULL, NULL, 15),
(114005, NULL, 'PTHR31642:SF255', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114006, NULL, 'PTHR31719:SF178', NULL, NULL, NULL, NULL, 'BNAC06G30680D PROTEIN', NULL, NULL, NULL, 15),
(114007, NULL, 'PTHR12442:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 63', NULL, NULL, NULL, 15),
(114008, NULL, 'PTHR16026:SF0', NULL, NULL, NULL, NULL, 'CARTILAGE ACIDIC PROTEIN 1', NULL, NULL, NULL, 15),
(114009, NULL, 'PTHR45935:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(114010, NULL, 'PTHR31042', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, 39539, 15),
(114011, NULL, 'PTHR27007:SF312', NULL, NULL, NULL, NULL, 'OS06G0210400 PROTEIN', NULL, NULL, NULL, 15),
(114012, NULL, 'PTHR26379:SF274', NULL, NULL, NULL, NULL, 'SPECKLE-TYPE POZ PROTEIN', NULL, NULL, NULL, 15),
(114013, NULL, 'PTHR36028:SF7', NULL, NULL, NULL, NULL, 'BNAC09G42530D PROTEIN', NULL, NULL, NULL, 15),
(114014, NULL, 'PTHR34404:SF2', NULL, NULL, NULL, NULL, 'CONSERVED SERINE RICH PROTEIN', NULL, NULL, NULL, 15),
(114015, NULL, 'PTHR20919', NULL, NULL, NULL, NULL, 'HOMOSERINE O-SUCCINYLTRANSFERASE', NULL, NULL, 32568, 15),
(114016, NULL, 'PTHR16223:SF264', NULL, NULL, NULL, NULL, 'BNACNNG10760D PROTEIN', NULL, NULL, NULL, 15),
(114017, NULL, 'PTHR13935:SF51', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE HOMOLOG 4', NULL, NULL, NULL, 15),
(114018, NULL, 'PTHR32096:SF112', NULL, NULL, NULL, NULL, 'BNAA01G13440D PROTEIN', NULL, NULL, NULL, 15),
(114019, NULL, 'PTHR12247:SF78', NULL, NULL, NULL, NULL, 'LETHAL(3)MALIGNANT BRAIN TUMOR-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(114020, NULL, 'PTHR31384:SF121', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114021, NULL, 'PTHR11817:SF72', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(114022, NULL, 'PTHR10992:SF1063', NULL, NULL, NULL, NULL, 'ESTERASE 10, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114023, NULL, 'PTHR31282:SF105', NULL, NULL, NULL, NULL, 'OS05G0478400 PROTEIN', NULL, NULL, NULL, 15),
(114024, NULL, 'PTHR47126', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE-LIKE 7', NULL, NULL, 38636, 15),
(114025, NULL, 'PTHR23501:SF58', NULL, NULL, NULL, NULL, 'SIDEROPHORE IRON TRANSPORTER 3', NULL, NULL, NULL, 15),
(114026, NULL, 'PTHR43725:SF5', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE 2', NULL, NULL, NULL, 15),
(114027, NULL, 'PTHR31663', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 33924, 15),
(114028, NULL, 'PTHR40393', NULL, NULL, NULL, NULL, 'LYSINE BIOSYNTHESIS PROTEIN-RELATED-RELATED', NULL, NULL, 470, 15),
(114029, NULL, 'PTHR11220:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114030, NULL, 'PTHR16501:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114031, NULL, 'PTHR43851', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114032, NULL, 'PTHR24242:SF252', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(114033, NULL, 'PTHR10985:SF126', NULL, NULL, NULL, NULL, 'HAIRY/ENHANCER-OF-SPLIT RELATED WITH YRPW MOTIF PROTEIN', NULL, NULL, NULL, 15),
(114034, NULL, 'PTHR13935:SF99', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH55-LIKE', NULL, NULL, NULL, 15),
(114035, NULL, 'PTHR11527:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114036, NULL, 'PTHR34614:SF2', NULL, NULL, NULL, NULL, 'TRANSPOSASE', NULL, NULL, NULL, 15),
(114037, NULL, 'PTHR42107:SF1', NULL, NULL, NULL, NULL, 'YALI0D24453P', NULL, NULL, NULL, 15),
(114038, NULL, 'PTHR32246:SF116', NULL, NULL, NULL, NULL, 'PROTEIN SRC2-LIKE', NULL, NULL, NULL, 15),
(114039, NULL, 'PTHR22573:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE', NULL, NULL, NULL, 15),
(114040, NULL, 'PTHR31762:SF14', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN SCD2', NULL, NULL, NULL, 15),
(114041, NULL, 'PTHR43200:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114042, NULL, 'PTHR43046:SF9', NULL, NULL, NULL, NULL, 'ADP-RIBOSE PYROPHOSPHATASE YJHB-RELATED', NULL, NULL, NULL, 15),
(114043, NULL, 'PTHR12606:SF125', NULL, NULL, NULL, NULL, 'SI:DKEY-21C19.3', NULL, NULL, NULL, 15),
(114044, NULL, 'PTHR11551:SF7', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 4', NULL, NULL, 15914, 15),
(114045, NULL, 'PTHR18945:SF410', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-TYPE DES-2', NULL, NULL, NULL, 15),
(114046, NULL, 'PTHR24078:SF562', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(114047, NULL, 'PTHR21596:SF61', NULL, NULL, NULL, NULL, 'OS01G0633200 PROTEIN', NULL, NULL, NULL, 15),
(114048, NULL, 'PTHR30502:SF4', NULL, NULL, NULL, NULL, '5-KETO-4-DEOXY-D-GLUCARATE ALDOLASE', NULL, NULL, NULL, 15),
(114049, NULL, 'PTHR36615', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114050, NULL, 'PTHR22883', NULL, NULL, NULL, NULL, 'ZINC FINGER DHHC DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(114051, NULL, 'PTHR13723:SF151', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 17', NULL, NULL, NULL, 15),
(114052, NULL, 'PTHR43252', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR YQJI', NULL, NULL, NULL, 15),
(114053, NULL, 'PTHR12701:SF54', NULL, NULL, NULL, NULL, 'ERWINIA INDUCED PROTEIN 2', NULL, NULL, NULL, 15),
(114054, NULL, 'PTHR30041:SF4', NULL, NULL, NULL, NULL, 'ARSENATE REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(114055, NULL, 'PTHR24376:SF58', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 457-RELATED', NULL, NULL, NULL, 15),
(114056, NULL, 'PTHR21448:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 21', NULL, NULL, NULL, 15),
(114057, NULL, 'PTHR33915:SF12', NULL, NULL, NULL, NULL, 'OS06G0645500 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114058, NULL, 'PTHR31251:SF117', NULL, NULL, NULL, NULL, 'BNAA07G08830D PROTEIN', NULL, NULL, NULL, 15),
(114059, NULL, 'PTHR10891:SF779', NULL, NULL, NULL, NULL, 'GH27120P', NULL, NULL, NULL, 15),
(114060, NULL, 'PTHR24205:SF4', NULL, NULL, NULL, NULL, 'LIM DOMAIN FAMILY', NULL, NULL, NULL, 15),
(114061, NULL, 'PTHR45649:SF37', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114062, NULL, 'PTHR12964', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE B14 SUBUNIT', NULL, NULL, 15688, 15),
(114063, NULL, 'PTHR32116:SF88', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(114064, NULL, 'PTHR31215:SF23', NULL, NULL, NULL, NULL, 'OS01G0193500 PROTEIN', NULL, NULL, NULL, 15),
(114065, NULL, 'PTHR21661:SF70', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', NULL, NULL, NULL, 15),
(114066, NULL, 'PTHR45616:SF18', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 78', NULL, NULL, NULL, 15),
(114067, NULL, 'PTHR28190', NULL, NULL, NULL, NULL, 'NUCLEAR MIGRATION PROTEIN NUM1', NULL, NULL, NULL, 15),
(114068, NULL, 'PTHR16290:SF4', NULL, NULL, NULL, NULL, 'MRNA-DECAPPING ENZYME 1A', NULL, NULL, NULL, 15),
(114069, NULL, 'PTHR13822:SF14', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT DELTA'', MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(114070, NULL, 'PTHR12396:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER, CW-TYPE, DNA-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114071, NULL, 'PTHR21245:SF5', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN R', NULL, NULL, NULL, 15),
(114072, NULL, 'PTHR43349:SF16', NULL, NULL, NULL, NULL, 'LEUCANTHOCYANIDIN REDUCTASE', NULL, NULL, NULL, 15),
(114073, NULL, 'PTHR10742:SF377', NULL, NULL, NULL, NULL, 'ZGC:66484', NULL, NULL, NULL, 15),
(114074, NULL, 'PTHR31270:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114075, NULL, 'PTHR45669:SF14', NULL, NULL, NULL, NULL, 'EMB|CAB81925.1-RELATED', NULL, NULL, NULL, 15),
(114076, NULL, 'PTHR10715:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', NULL, NULL, NULL, 15),
(114077, NULL, 'PTHR24026:SF101', NULL, NULL, NULL, NULL, 'FAT-LIKE CADHERIN-RELATED TUMOR SUPPRESSOR HOMOLOG', NULL, NULL, NULL, 15),
(114078, NULL, 'PTHR11413:SF107', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 3', NULL, NULL, NULL, 15),
(114079, NULL, 'PTHR24250:SF30', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 38', NULL, NULL, NULL, 15),
(114080, NULL, 'PTHR46307:SF3', NULL, NULL, NULL, NULL, 'G9A, ISOFORM B', NULL, NULL, NULL, 15),
(114081, NULL, 'PTHR15710:SF89', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114082, NULL, 'PTHR45770:SF18', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(114083, NULL, 'PTHR10502:SF216', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(114084, NULL, 'PTHR37978:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG18749', NULL, NULL, NULL, 15),
(114085, NULL, 'PTHR33021:SF414', NULL, NULL, NULL, NULL, 'CUPREDOXIN-RELATED', NULL, NULL, NULL, 15),
(114086, NULL, 'PTHR11062:SF56', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE MUR3', NULL, NULL, NULL, 15),
(114087, NULL, 'PTHR13844:SF68', NULL, NULL, NULL, NULL, 'BNAA05G36010D PROTEIN', NULL, NULL, NULL, 15),
(114088, NULL, 'PTHR15362:SF20', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--SERINE O-PHOSPHATIDYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(114089, NULL, 'PTHR11240:SF50', NULL, NULL, NULL, NULL, 'INTRACELLULAR RIBONUCLEASE LX-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(114090, NULL, 'PTHR33077:SF111', NULL, NULL, NULL, NULL, 'BNAA02G17040D PROTEIN', NULL, NULL, NULL, 15),
(114091, NULL, 'PTHR44379:SF6', NULL, NULL, NULL, NULL, 'BLR6046 PROTEIN', NULL, NULL, NULL, 15),
(114092, NULL, 'PTHR46705', NULL, NULL, NULL, NULL, 'PROTEIN CBG09805', NULL, NULL, NULL, 15),
(114093, NULL, 'PTHR31682:SF5', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE MUTASE', NULL, NULL, NULL, 15),
(114094, NULL, 'PTHR18966:SF151', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 3', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114095, NULL, 'PTHR10177:SF389', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114096, NULL, 'PTHR33562:SF14', NULL, NULL, NULL, NULL, 'GEO08076P1', NULL, NULL, NULL, 15),
(114097, NULL, 'PTHR33710:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114098, NULL, 'PTHR32246:SF118', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(114099, NULL, 'PTHR34456:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114100, NULL, 'PTHR28048', NULL, NULL, NULL, NULL, 'ACR195WP', NULL, NULL, NULL, 15),
(114101, NULL, 'PTHR45431:SF6', NULL, NULL, NULL, NULL, 'CYCLE CONTROL PHOSPHATASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114102, NULL, 'PTHR23339:SF60', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE TYPE IVA 1 ISOFORM X1', NULL, NULL, NULL, 15),
(114103, NULL, 'PTHR21660:SF40', NULL, NULL, NULL, NULL, 'OS01G0229600 PROTEIN', NULL, NULL, NULL, 15),
(114104, NULL, 'PTHR22776:SF29', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(114105, NULL, 'PTHR28064', NULL, NULL, NULL, NULL, 'INNER KINETOCHORE SUBUNIT NKP2', NULL, NULL, 15796, 15),
(114106, NULL, 'PTHR43791:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114107, NULL, 'PTHR44067:SF9', NULL, NULL, NULL, NULL, 'F22F7.17 PROTEIN', NULL, NULL, NULL, 15),
(114108, NULL, 'PTHR15588:SF17', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM1', NULL, NULL, NULL, 15),
(114109, NULL, 'PTHR30546:SF22', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1', NULL, NULL, NULL, 15),
(114110, NULL, 'PTHR27000:SF571', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114111, NULL, 'PTHR37417', NULL, NULL, NULL, NULL, '67 KDA MYOSIN-CROSS-REACTIVE ANTIGEN FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G09970)', NULL, NULL, 8709, 15),
(114112, NULL, 'PTHR23504:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG22168', NULL, NULL, NULL, 15),
(114113, NULL, 'PTHR11685:SF357', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(114114, NULL, 'PTHR11639:SF133', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND PROTEIN', NULL, NULL, NULL, 15),
(114115, NULL, 'PTHR31969:SF46', NULL, NULL, NULL, NULL, 'ABA-RESPONSIVE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(114116, NULL, 'PTHR10055:SF12', NULL, NULL, NULL, NULL, 'BNAA07G01840D PROTEIN', NULL, NULL, NULL, 15),
(114117, NULL, 'PTHR12644:SF0', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(114118, NULL, 'PTHR46058:SF25', NULL, NULL, NULL, NULL, 'BNACNNG25700D PROTEIN', NULL, NULL, NULL, 15),
(114119, NULL, 'PTHR33115:SF11', NULL, NULL, NULL, NULL, 'OS07G0654700 PROTEIN', NULL, NULL, NULL, 15),
(114120, NULL, 'PTHR27009:SF122', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.8', NULL, NULL, NULL, 15),
(114121, NULL, 'PTHR22870:SF413', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(114122, NULL, 'PTHR45675:SF48', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(114123, NULL, 'PTHR43528:SF6', NULL, NULL, NULL, NULL, 'CITRATE-PROTON SYMPORTER', NULL, NULL, NULL, 15),
(114124, NULL, 'PTHR10759:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34-1-RELATED', NULL, NULL, NULL, 15),
(114125, NULL, 'PTHR23155:SF949', NULL, NULL, NULL, NULL, 'OS01G0781200 PROTEIN', NULL, NULL, NULL, 15),
(114126, NULL, 'PTHR43240:SF17', NULL, NULL, NULL, NULL, 'BNAA02G28740D PROTEIN', NULL, NULL, NULL, 15),
(114127, NULL, 'PTHR35358:SF7', NULL, NULL, NULL, NULL, 'BNAA07G03350D PROTEIN', NULL, NULL, NULL, 15),
(114128, NULL, 'PTHR32219:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114129, NULL, 'PTHR46227:SF4', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR-INTERACTING PROTEIN 2', NULL, NULL, 26101, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114130, NULL, 'PTHR14911:SF14', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN, CONTAINING THUMP DOMAIN', NULL, NULL, NULL, 15),
(114131, NULL, 'PTHR12487:SF7', NULL, NULL, NULL, NULL, 'PROTEIN TEASHIRT-RELATED', NULL, NULL, 23218, 15),
(114132, NULL, 'PTHR15254:SF2', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP G PROTEIN', NULL, NULL, NULL, 15),
(114133, NULL, 'PTHR10587:SF132', NULL, NULL, NULL, NULL, 'DEACETYLASE (PUTATIVE SECRETED PROTEIN)-RELATED', NULL, NULL, NULL, 15),
(114134, NULL, 'PTHR34378', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE, CHLOROPLASTIC', NULL, NULL, 32381, 15),
(114135, NULL, 'PTHR11567:SF25', NULL, NULL, NULL, NULL, 'PROTEIN FRA10AC1', NULL, NULL, NULL, 15),
(114136, NULL, 'PTHR16223:SF196', NULL, NULL, NULL, NULL, 'BNAA09G41470D PROTEIN', NULL, NULL, NULL, 15),
(114137, NULL, 'PTHR12356:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114138, NULL, 'PTHR43719:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114139, NULL, 'PTHR24349:SF347', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 26', NULL, NULL, NULL, 15),
(114140, NULL, 'PTHR31874:SF38', NULL, NULL, NULL, NULL, 'PROTEIN CHLOROPLAST IMPORT APPARATUS 2', NULL, NULL, NULL, 15),
(114141, NULL, 'PTHR19248', NULL, NULL, NULL, NULL, 'ATP-BINDING TRANSPORT PROTEIN-RELATED', NULL, NULL, 8645, 15),
(114142, NULL, 'PTHR19143:SF31', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-4', NULL, NULL, 26837, 15),
(114143, NULL, 'PTHR31374:SF119', NULL, NULL, NULL, NULL, 'F6F9.11 PROTEIN', NULL, NULL, NULL, 15),
(114144, NULL, 'PTHR46128:SF39', NULL, NULL, NULL, NULL, 'BNAC03G27710D PROTEIN', NULL, NULL, NULL, 15),
(114145, NULL, 'PTHR16223:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114146, NULL, 'PTHR43452:SF26', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 2', NULL, NULL, NULL, 15),
(114147, NULL, 'PTHR24377:SF805', NULL, NULL, NULL, NULL, 'OTTMUSG00000016588 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114148, NULL, 'PTHR13929:SF7', NULL, NULL, NULL, NULL, 'UBIA PRENYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(114149, NULL, 'PTHR43322:SF1', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE-5-PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(114150, NULL, 'PTHR33127:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114151, NULL, 'PTHR40141:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114152, NULL, 'PTHR46078', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J2 FAMILY MEMBER', NULL, NULL, 39180, 15),
(114153, NULL, 'PTHR48092:SF22', NULL, NULL, NULL, NULL, 'ESTROGEN-RELATED RECEPTOR SPLICE VARIANT', NULL, NULL, NULL, 15),
(114154, NULL, 'PTHR31861:SF15', NULL, NULL, NULL, NULL, 'OS10G0507500 PROTEIN', NULL, NULL, NULL, 15),
(114155, NULL, 'PTHR34115:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114156, NULL, 'PTHR48100:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114157, NULL, 'PTHR23086:SF102', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(114158, NULL, 'PTHR23192:SF29', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-LIKE PROTEIN 2A', NULL, NULL, 24563, 15),
(114159, NULL, 'PTHR47951:SF4', NULL, NULL, NULL, NULL, 'OS08G0547900 PROTEIN', NULL, NULL, NULL, 15),
(114160, NULL, 'PTHR30009:SF24', NULL, NULL, NULL, NULL, 'PTS SYSTEM, IIBC COMPONENT', NULL, NULL, NULL, 15),
(114161, NULL, 'PTHR10457:SF9', NULL, NULL, NULL, NULL, 'BLR5970 PROTEIN', NULL, NULL, NULL, 15),
(114162, NULL, 'PTHR32002', NULL, NULL, NULL, NULL, 'PROTEIN NLP8', NULL, NULL, 37064, 15),
(114163, NULL, 'PTHR10366:SF716', NULL, NULL, NULL, NULL, 'BNAC04G53100D PROTEIN', NULL, NULL, NULL, 15),
(114164, NULL, 'PTHR13042:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(114165, NULL, 'PTHR11014:SF155', NULL, NULL, NULL, NULL, 'N-ACYL-L-AMINO ACID AMIDOHYDROLASE', NULL, NULL, NULL, 15),
(114166, NULL, 'PTHR12297:SF8', NULL, NULL, NULL, NULL, 'HIG1 DOMAIN FAMILY MEMBER 2B-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114167, NULL, 'PTHR33788', NULL, NULL, NULL, NULL, 'OS07G0114300 PROTEIN', NULL, NULL, 30485, 15),
(114168, NULL, 'PTHR13318:SF19', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 5', NULL, NULL, NULL, 15),
(114169, NULL, 'PTHR35017:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG14686', NULL, NULL, NULL, 15),
(114170, NULL, 'PTHR10209:SF749', NULL, NULL, NULL, NULL, '2-OXOACID DEPENDENT DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(114171, NULL, 'PTHR33978:SF15', NULL, NULL, NULL, NULL, 'BNAC06G42460D PROTEIN', NULL, NULL, NULL, 15),
(114172, NULL, 'PTHR24240:SF174', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(114173, NULL, 'PTHR31623:SF33', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(114174, NULL, 'PTHR33463:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114175, NULL, 'PTHR23024:SF352', NULL, NULL, NULL, NULL, 'ARYLACETAMIDE DEACETYLASE-LIKE 4', NULL, NULL, NULL, 15),
(114176, NULL, 'PTHR48040:SF5', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(114177, NULL, 'PTHR47610', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 4', NULL, NULL, 36770, 15),
(114178, NULL, 'PTHR33147:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114179, NULL, 'PTHR23335:SF36', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 5', NULL, NULL, NULL, 15),
(114180, NULL, 'PTHR13857:SF4', NULL, NULL, NULL, NULL, 'C-U-EDITING ENZYME APOBEC-2', NULL, NULL, NULL, 15),
(114181, NULL, 'PTHR11360:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114182, NULL, 'PTHR19241:SF503', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 34', NULL, NULL, NULL, 15),
(114183, NULL, 'PTHR43280:SF15', NULL, NULL, NULL, NULL, 'RCS-SPECIFIC HTH-TYPE TRANSCRIPTIONAL ACTIVATOR RCLR', NULL, NULL, NULL, 15),
(114184, NULL, 'PTHR31805:SF21', NULL, NULL, NULL, NULL, 'BNAA03G49170D PROTEIN', NULL, NULL, NULL, 15),
(114185, NULL, 'PTHR34280:SF5', NULL, NULL, NULL, NULL, 'DSR6', NULL, NULL, NULL, 15),
(114186, NULL, 'PTHR12555:SF15', NULL, NULL, NULL, NULL, 'FUSION DEGRADATION PROTEIN (UFD1), PUTATIVE (AFU_ORTHOLOGUE AFUA_4G04640)-RELATED', NULL, NULL, NULL, 15),
(114187, NULL, 'PTHR34146:SF3', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114188, NULL, 'PTHR45780:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOCHOLINE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(114189, NULL, 'PTHR10972:SF175', NULL, NULL, NULL, NULL, 'BNAANNG16330D PROTEIN', NULL, NULL, NULL, 15),
(114190, NULL, 'PTHR20961:SF13', NULL, NULL, NULL, NULL, 'OS01G0119000 PROTEIN', NULL, NULL, NULL, 15),
(114191, NULL, 'PTHR19229:SF218', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(114192, NULL, 'PTHR21659:SF5', NULL, NULL, NULL, NULL, 'UPF0057 MEMBRANE PROTEIN T23F2.3', NULL, NULL, NULL, 15),
(114193, NULL, 'PTHR10169:SF61', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2-ALPHA', NULL, NULL, NULL, 15),
(114194, NULL, 'PTHR11566:SF152', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 1D', NULL, NULL, NULL, 15),
(114195, NULL, 'PTHR10794:SF85', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114196, NULL, 'PTHR35104:SF11', NULL, NULL, NULL, NULL, 'BNAA03G47950D PROTEIN', NULL, NULL, NULL, 15),
(114197, NULL, 'PTHR43647', NULL, NULL, NULL, NULL, 'DEHYDROGENASE', NULL, NULL, NULL, 15),
(114198, NULL, 'PTHR43775:SF39', NULL, NULL, NULL, NULL, 'ATROCHRYSONE CARBOXYLIC ACID SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(114199, NULL, 'PTHR10336:SF146', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(114200, NULL, 'PTHR32546:SF11', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 158-RELATED', NULL, NULL, NULL, 15),
(114201, NULL, 'PTHR13085:SF0', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(114202, NULL, 'PTHR32138', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114203, NULL, 'PTHR46610:SF14', NULL, NULL, NULL, NULL, 'OS06G0146800 PROTEIN', NULL, NULL, NULL, 15),
(114204, NULL, 'PTHR31414:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114205, NULL, 'PTHR10953:SF221', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 2', NULL, NULL, NULL, 15),
(114206, NULL, 'PTHR22950:SF184', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 1', NULL, NULL, NULL, 15),
(114207, NULL, 'PTHR11722', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', NULL, NULL, 6603, 15),
(114208, NULL, 'PTHR22950:SF74', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 5', NULL, NULL, NULL, 15),
(114209, NULL, 'PTHR10666:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114210, NULL, 'PTHR47042:SF4', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(114211, NULL, 'PTHR14350', NULL, NULL, NULL, NULL, 'ARGININE VASOPRESSIN-INDUCED PROTEIN 1', NULL, NULL, 29412, 15),
(114212, NULL, 'PTHR43118:SF1', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONAN LYASE (EUROFUNG)', NULL, NULL, NULL, 15),
(114213, NULL, 'PTHR33101:SF37', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 12-LIKE', NULL, NULL, NULL, 15),
(114214, NULL, 'PTHR31985:SF210', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF039', NULL, NULL, NULL, 15),
(114215, NULL, 'PTHR22045:SF6', NULL, NULL, NULL, NULL, 'PROLINE AND SERINE-RICH PROTEIN 3', NULL, NULL, NULL, 15),
(114216, NULL, 'PTHR10965:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L38', NULL, NULL, NULL, 15),
(114217, NULL, 'PTHR47506:SF8', NULL, NULL, NULL, NULL, 'REPRESSOR OF PUTATIVE XENOBIOTIC REDUCTASE TETR FAMILY-RELATED', NULL, NULL, NULL, 15),
(114218, NULL, 'PTHR31692', NULL, NULL, NULL, NULL, 'EXPANSIN-B3', NULL, NULL, NULL, 15),
(114219, NULL, 'PTHR15394:SF3', NULL, NULL, NULL, NULL, 'HYDROLASE RBBP9-RELATED', NULL, NULL, NULL, 15),
(114220, NULL, 'PTHR24230:SF124', NULL, NULL, NULL, NULL, 'SI:DKEY-27N14.1', NULL, NULL, NULL, 15),
(114221, NULL, 'PTHR11926:SF1396', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(114222, NULL, 'PTHR46991:SF17', NULL, NULL, NULL, NULL, 'BNAC07G33800D PROTEIN', NULL, NULL, NULL, 15),
(114223, NULL, 'PTHR45730:SF58', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(114224, NULL, 'PTHR16517:SF42', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 12', NULL, NULL, NULL, 15),
(114225, NULL, 'PTHR12700:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114226, NULL, 'PTHR11654:SF381', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.6-RELATED', NULL, NULL, NULL, 15),
(114227, NULL, 'PTHR20855:SF52', NULL, NULL, NULL, NULL, 'ADIPONECTIN RECEPTOR PROTEIN', NULL, NULL, NULL, 15),
(114228, NULL, 'PTHR10369:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114229, NULL, 'PTHR23421:SF156', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114230, NULL, 'PTHR37739', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 39139, 15),
(114231, NULL, 'PTHR11486:SF83', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 2', NULL, NULL, 25435, 15),
(114232, NULL, 'PTHR10574:SF409', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(114233, NULL, 'PTHR31561:SF78', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 8', NULL, NULL, NULL, 15),
(114234, NULL, 'PTHR27005:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114235, NULL, 'PTHR38937', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN OF ER BODY-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114236, NULL, 'PTHR33173', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114237, NULL, 'PTHR47322:SF5', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15),
(114238, NULL, 'PTHR31495', NULL, NULL, NULL, NULL, 'PEROXYGENASE 3-RELATED', NULL, NULL, 1267, 15),
(114239, NULL, 'PTHR34237:SF4', NULL, NULL, NULL, NULL, 'PAREP8', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114240, NULL, 'PTHR10829:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114241, NULL, 'PTHR13350', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 32542, 15),
(114242, NULL, 'PTHR42729:SF1', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(114243, NULL, 'PTHR10497:SF9', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', NULL, NULL, NULL, 15),
(114244, NULL, 'PTHR19241:SF580', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(114245, NULL, 'PTHR45908:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG18898', NULL, NULL, NULL, 15),
(114246, NULL, 'PTHR12416:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114247, NULL, 'PTHR37544:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114248, NULL, 'PTHR27003:SF78', NULL, NULL, NULL, NULL, 'OS05G0318700 PROTEIN', NULL, NULL, NULL, 15),
(114249, NULL, 'PTHR31677:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114250, NULL, 'PTHR33700:SF27', NULL, NULL, NULL, NULL, 'BNAA04G13260D PROTEIN', NULL, NULL, NULL, 15),
(114251, NULL, 'PTHR11786:SF14', NULL, NULL, NULL, NULL, 'ARYLAMINE N-ACETYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(114252, NULL, 'PTHR43442:SF3', NULL, NULL, NULL, NULL, 'GLUCONOKINASE-RELATED', NULL, NULL, NULL, 15),
(114253, NULL, 'PTHR33402:SF30', NULL, NULL, NULL, NULL, 'BNAANNG06050D PROTEIN', NULL, NULL, 31057, 15),
(114254, NULL, 'PTHR23147:SF161', NULL, NULL, NULL, NULL, 'OS08G0486200 PROTEIN', NULL, NULL, NULL, 15),
(114255, NULL, 'PTHR31989:SF317', NULL, NULL, NULL, NULL, 'BNAC05G00970D PROTEIN', NULL, NULL, NULL, 15),
(114256, NULL, 'PTHR24115:SF906', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114257, NULL, 'PTHR34687:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0044M19.3 PROTEIN', NULL, NULL, NULL, 15),
(114258, NULL, 'PTHR11654:SF523', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 7.3', NULL, NULL, NULL, 15),
(114259, NULL, 'PTHR11461:SF337', NULL, NULL, NULL, NULL, 'SERPIN PEPTIDASE INHIBITOR, CLADE B (OVALBUMIN), MEMBER 11', NULL, NULL, NULL, 15),
(114260, NULL, 'PTHR12741:SF86', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 2-LIKE', NULL, NULL, NULL, 15),
(114261, NULL, 'PTHR24027:SF85', NULL, NULL, NULL, NULL, 'CADHERIN-11', NULL, NULL, NULL, 15),
(114262, NULL, 'PTHR34581:SF2', NULL, NULL, NULL, NULL, 'PTS SYSTEM N,N''-DIACETYLCHITOBIOSE-SPECIFIC EIIB COMPONENT', NULL, NULL, NULL, 15),
(114263, NULL, 'PTHR10865:SF4', NULL, NULL, NULL, NULL, 'METASTASIS-ASSOCIATED PROTEIN MTA2', NULL, NULL, 33729, 15),
(114264, NULL, 'PTHR12271:SF119', NULL, NULL, NULL, NULL, 'POLY(A) RNA POLYMERASE GLD2', NULL, NULL, NULL, 15),
(114265, NULL, 'PTHR11849:SF288', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114266, NULL, 'PTHR23079:SF13', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE 3-RELATED', NULL, NULL, NULL, 15),
(114267, NULL, 'PTHR46869:SF12', NULL, NULL, NULL, NULL, 'BNAA09G29020D PROTEIN', NULL, NULL, NULL, 15),
(114268, NULL, 'PTHR34539:SF14', NULL, NULL, NULL, NULL, 'BNAA06G33290D PROTEIN', NULL, NULL, NULL, 15),
(114269, NULL, 'PTHR46889:SF4', NULL, NULL, NULL, NULL, 'INTEGRASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114270, NULL, 'PTHR47993:SF144', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(114271, NULL, 'PTHR36357:SF3', NULL, NULL, NULL, NULL, 'MESODERM DEVELOPMENT CANDIDATE 2-RELATED', NULL, NULL, NULL, 15),
(114272, NULL, 'PTHR48029:SF5', NULL, NULL, NULL, NULL, 'ORGANELLE RRM DOMAIN-CONTAINING PROTEIN 2, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(114273, NULL, 'PTHR23430:SF275', NULL, NULL, NULL, NULL, 'HISTONE H2AXB-RELATED', NULL, NULL, NULL, 15),
(114274, NULL, 'PTHR33155:SF45', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(114275, NULL, 'PTHR38471:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114276, NULL, 'PTHR15298:SF9', NULL, NULL, NULL, NULL, 'GLYCINE N-ACYLTRANSFERASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114277, NULL, 'PTHR22765:SF258', NULL, NULL, NULL, NULL, 'OS06G0218300 PROTEIN', NULL, NULL, NULL, 15),
(114278, NULL, 'PTHR34591', NULL, NULL, NULL, NULL, 'OS03G0653100 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114279, NULL, 'PTHR24115:SF486', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF2A', NULL, NULL, NULL, 15),
(114280, NULL, 'PTHR23024:SF204', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', NULL, NULL, NULL, 15),
(114281, NULL, 'PTHR12654:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114282, NULL, 'PTHR31989:SF341', NULL, NULL, NULL, NULL, 'NO APICAL MERISTEM (NAM) PROTEIN, PF02365-RELATED', NULL, NULL, NULL, 15),
(114283, NULL, 'PTHR24264:SF46', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR XII', NULL, NULL, NULL, 15),
(114284, NULL, 'PTHR19327', NULL, NULL, NULL, NULL, 'GOLGIN', NULL, NULL, NULL, 15),
(114285, NULL, 'PTHR46756:SF12', NULL, NULL, NULL, NULL, 'CALPONIN', NULL, NULL, NULL, 15),
(114286, NULL, 'PTHR46464:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN AND ARMADILLO REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(114287, NULL, 'PTHR24256:SF509', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114288, NULL, 'PTHR14063', NULL, NULL, NULL, NULL, 'PROTEIN LIN-7 HOMOLOG', NULL, NULL, NULL, 15),
(114289, NULL, 'PTHR44329:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114290, NULL, 'PTHR24376:SF187', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 33B', NULL, NULL, NULL, 15),
(114291, NULL, 'PTHR11419:SF0', NULL, NULL, NULL, NULL, 'INTERFERON GAMMA', NULL, NULL, NULL, 15),
(114292, NULL, 'PTHR10459:SF108', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE TANKYRASE', NULL, NULL, NULL, 15),
(114293, NULL, 'PTHR35632:SF1', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E 6-LIKE', NULL, NULL, NULL, 15),
(114294, NULL, 'PTHR14218', NULL, NULL, NULL, NULL, 'PROTEASE S8 TRIPEPTIDYL PEPTIDASE I  CLN2', NULL, NULL, NULL, 15),
(114295, NULL, 'PTHR24215:SF10', NULL, NULL, NULL, NULL, 'RHO-GTPASE-ACTIVATING PROTEIN LRG1', NULL, NULL, NULL, 15),
(114296, NULL, 'PTHR10807:SF35', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 7', NULL, NULL, 28449, 15),
(114297, NULL, 'PTHR24353:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114298, NULL, 'PTHR11945:SF591', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', NULL, NULL, NULL, 15),
(114299, NULL, 'PTHR45739:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114300, NULL, 'PTHR40260:SF2', NULL, NULL, NULL, NULL, 'BLR8190 PROTEIN', NULL, NULL, NULL, 15),
(114301, NULL, 'PTHR40112:SF1', NULL, NULL, NULL, NULL, 'H2HPP ISOMERASE', NULL, NULL, NULL, 15),
(114302, NULL, 'PTHR23074:SF33', NULL, NULL, NULL, NULL, 'FIDGETIN-LIKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(114303, NULL, 'PTHR10797:SF45', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 11-RELATED', NULL, NULL, NULL, 15),
(114304, NULL, 'PTHR34779:SF2', NULL, NULL, NULL, NULL, 'SYRINGOLIDE-INDUCED PROTEIN 14-1-1', NULL, NULL, NULL, 15),
(114305, NULL, 'PTHR31692:SF7', NULL, NULL, NULL, NULL, 'EXPANSIN-B9', NULL, NULL, NULL, 15),
(114306, NULL, 'PTHR30290:SF37', NULL, NULL, NULL, NULL, 'NICKEL-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(114307, NULL, 'PTHR33403:SF33', NULL, NULL, NULL, NULL, 'BNAC02G35090D PROTEIN', NULL, NULL, NULL, 15),
(114308, NULL, 'PTHR22765:SF302', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G09640)-RELATED', NULL, NULL, NULL, 15),
(114309, NULL, 'PTHR33823:SF2', NULL, NULL, NULL, NULL, 'RNA POLYMERASE-BINDING TRANSCRIPTION FACTOR DKSA', NULL, NULL, NULL, 15),
(114310, NULL, 'PTHR45826:SF9', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(114311, NULL, 'PTHR10891:SF888', NULL, NULL, NULL, NULL, 'BNAA04G19930D PROTEIN', NULL, NULL, NULL, 15),
(114312, NULL, 'PTHR34109:SF5', NULL, NULL, NULL, NULL, 'BNAA02G30200D PROTEIN', NULL, NULL, NULL, 15),
(114313, NULL, 'PTHR47932:SF50', NULL, NULL, NULL, NULL, 'FERTILITY RESTORER HOMOLOGUE A-LIKE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114314, NULL, 'PTHR10223:SF10', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 4-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114315, NULL, 'PTHR23177:SF75', NULL, NULL, NULL, NULL, 'BNAC04G00720D PROTEIN', NULL, NULL, NULL, 15),
(114316, NULL, 'PTHR10462:SF26', NULL, NULL, NULL, NULL, 'N-ACETYLLACTOSAMINIDE ALPHA-1,3-GALACTOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(114317, NULL, 'PTHR32227:SF364', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17, X8 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114318, NULL, 'PTHR12537:SF13', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOGY DOMAIN FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(114319, NULL, 'PTHR33164:SF74', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(114320, NULL, 'PTHR11566:SF183', NULL, NULL, NULL, NULL, 'MYXOVIRUS (INFLUENZA VIRUS) RESISTANCE D-RELATED', NULL, NULL, NULL, 15),
(114321, NULL, 'PTHR24384:SF127', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 257', NULL, NULL, NULL, 15),
(114322, NULL, 'PTHR32370:SF96', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(114323, NULL, 'PTHR48021:SF66', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(114324, NULL, 'PTHR47926:SF16', NULL, NULL, NULL, NULL, 'BNAC01G36650D PROTEIN', NULL, NULL, NULL, 15),
(114325, NULL, 'PTHR33494:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114326, NULL, 'PTHR11206:SF421', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(114327, NULL, 'PTHR45707:SF52', NULL, NULL, NULL, NULL, 'BNAA02G30810D PROTEIN', NULL, NULL, NULL, 15),
(114328, NULL, 'PTHR32141:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114329, NULL, 'PTHR10353:SF150', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 1-RELATED', NULL, NULL, NULL, 15),
(114330, NULL, 'PTHR48047:SF34', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(114331, NULL, 'PTHR22950:SF460', NULL, NULL, NULL, NULL, 'PROTON-COUPLED AMINO ACID TRANSPORTER 4-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114332, NULL, 'PTHR31561:SF151', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(114333, NULL, 'PTHR31072:SF176', NULL, NULL, NULL, NULL, 'TCP FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(114334, NULL, 'PTHR23048:SF2', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN 3', NULL, NULL, NULL, 15),
(114335, NULL, 'PTHR31859:SF7', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 39A', NULL, NULL, NULL, 15),
(114336, NULL, 'PTHR32183:SF13', NULL, NULL, NULL, NULL, 'THIOCYANATE METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(114337, NULL, 'PTHR48018:SF6', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(114338, NULL, 'PTHR42202:SF1', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE III', NULL, NULL, NULL, 15),
(114339, NULL, 'PTHR31284:SF22', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114340, NULL, 'PTHR16140:SF4', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', NULL, NULL, NULL, 15),
(114341, NULL, 'PTHR33430:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114342, NULL, 'PTHR38694:SF1', NULL, NULL, NULL, NULL, 'CONSERVED EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(114343, NULL, 'PTHR12526:SF589', NULL, NULL, NULL, NULL, 'MANNOSYLGLUCOSYLGLYCERATE SYNTHASE', NULL, NULL, NULL, 15),
(114344, NULL, 'PTHR23069:SF7', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(114345, NULL, 'PTHR45840:SF6', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(114346, NULL, 'PTHR31374:SF233', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(114347, NULL, 'PTHR38386:SF6', NULL, NULL, NULL, NULL, 'OS05G0426900 PROTEIN', NULL, NULL, NULL, 15),
(114348, NULL, 'PTHR34737:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114349, NULL, 'PTHR23315:SF275', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(114350, NULL, 'PTHR24230:SF53', NULL, NULL, NULL, NULL, 'UROTENSIN 2 RECEPTOR 5', NULL, NULL, NULL, 15),
(114351, NULL, 'PTHR21567:SF65', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(114352, NULL, 'PTHR42990', NULL, NULL, NULL, NULL, 'ATPASE', NULL, NULL, NULL, 15),
(114353, NULL, 'PTHR47999:SF36', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', NULL, NULL, NULL, 15),
(114354, NULL, 'PTHR37029:SF1', NULL, NULL, NULL, NULL, 'SSR1768 PROTEIN', NULL, NULL, NULL, 15),
(114355, NULL, 'PTHR31194:SF122', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF003-LIKE', NULL, NULL, NULL, 15),
(114356, NULL, 'PTHR35357:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114357, NULL, 'PTHR41693:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-282H22.5', NULL, NULL, NULL, 15),
(114358, NULL, 'PTHR11615:SF293', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114359, NULL, 'PTHR21447:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG06505', NULL, NULL, NULL, 15),
(114360, NULL, 'PTHR33090:SF41', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(114361, NULL, 'PTHR34848:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ADENOSYLCOBALAMIN BIOSYNTHESIS PROTEIN COBU', NULL, NULL, NULL, 15),
(114362, NULL, 'PTHR46876:SF1', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 11', NULL, NULL, NULL, 15),
(114363, NULL, 'PTHR32227:SF341', NULL, NULL, NULL, NULL, 'BNAC03G35190D PROTEIN', NULL, NULL, NULL, 15),
(114364, NULL, 'PTHR45977:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114365, NULL, 'PTHR21539:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG01747', NULL, NULL, NULL, 15),
(114366, NULL, 'PTHR45581', NULL, NULL, NULL, NULL, 'PROTEIN CBG10435', NULL, NULL, NULL, 15),
(114367, NULL, 'PTHR24298:SF581', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114368, NULL, 'PTHR11260:SF609', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9', NULL, NULL, NULL, 15),
(114369, NULL, 'PTHR33356:SF24', NULL, NULL, NULL, NULL, 'BNAA10G12250D PROTEIN', NULL, NULL, NULL, 15),
(114370, NULL, 'PTHR33214:SF44', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114371, NULL, 'PTHR10252:SF114', NULL, NULL, NULL, NULL, 'CCAAT-HAP5 TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(114372, NULL, 'PTHR13683:SF808', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1', NULL, NULL, NULL, 15),
(114373, NULL, 'PTHR33021:SF417', NULL, NULL, NULL, NULL, 'MAVICYANIN-LIKE', NULL, NULL, NULL, 15),
(114374, NULL, 'PTHR10209:SF123', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(114375, NULL, 'PTHR45912', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 47', NULL, NULL, NULL, 15),
(114376, NULL, 'PTHR27003:SF374', NULL, NULL, NULL, NULL, 'BNAC06G12670D PROTEIN', NULL, NULL, NULL, 15),
(114377, NULL, 'PTHR33088:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114378, NULL, 'PTHR11669:SF49', NULL, NULL, NULL, NULL, 'PROTEIN STICHEL', NULL, NULL, NULL, 15),
(114379, NULL, 'PTHR14856:SF9', NULL, NULL, NULL, NULL, 'PQ-LOOP REPEAT-CONTAINING PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114380, NULL, 'PTHR37946:SF2', NULL, NULL, NULL, NULL, 'SLR0421 PROTEIN', NULL, NULL, NULL, 15),
(114381, NULL, 'PTHR48063:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114382, NULL, 'PTHR34044:SF2', NULL, NULL, NULL, NULL, 'BNAA06G10780D PROTEIN', NULL, NULL, NULL, 15),
(114383, NULL, 'PTHR45768:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114384, NULL, 'PTHR42736:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE', NULL, NULL, NULL, 15),
(114385, NULL, 'PTHR23270:SF10', NULL, NULL, NULL, NULL, 'PROTEIN RRP5 HOMOLOG', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114386, NULL, 'PTHR36013:SF3', NULL, NULL, NULL, NULL, 'ATP SYNTHASE 24 KDA SUBUNIT, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(114387, NULL, 'PTHR23248', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE-RELATED', NULL, NULL, 1684, 15),
(114388, NULL, 'PTHR24231', NULL, NULL, NULL, NULL, 'PURINOCEPTOR-RELATED G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(114389, NULL, 'PTHR21077:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114390, NULL, 'PTHR45631:SF94', NULL, NULL, NULL, NULL, 'BNAC06G04930D PROTEIN', NULL, NULL, NULL, 15),
(114391, NULL, 'PTHR31985:SF109', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF019', NULL, NULL, NULL, 15),
(114392, NULL, 'PTHR20961:SF105', NULL, NULL, NULL, NULL, 'PROTEIN O-LINKED-MANNOSE BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(114393, NULL, 'PTHR11984:SF29', NULL, NULL, NULL, NULL, 'GAP JUNCTION BETA-5 PROTEIN', NULL, NULL, NULL, 15),
(114394, NULL, 'PTHR31142', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, 33604, 15),
(114395, NULL, 'PTHR12062:SF10', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE-LIKE PROTEIN MGAT4D', NULL, NULL, NULL, 15),
(114396, NULL, 'PTHR47942:SF4', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114397, NULL, 'PTHR22870:SF386', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BREVIS RADIX, N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114398, NULL, 'PTHR22914:SF21', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE D', NULL, NULL, NULL, 15),
(114399, NULL, 'PTHR23064:SF30', NULL, NULL, NULL, NULL, 'SLOW-SPECIFIC TROPONIN C', NULL, NULL, NULL, 15),
(114400, NULL, 'PTHR43011:SF1', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY 2 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(114401, NULL, 'PTHR47234:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114402, NULL, 'PTHR11003:SF137', NULL, NULL, NULL, NULL, 'TWO PORE POTASSIUM CHANNEL B', NULL, NULL, 27488, 15),
(114403, NULL, 'PTHR32166:SF80', NULL, NULL, NULL, NULL, 'BNAC01G38100D PROTEIN', NULL, NULL, NULL, 15),
(114404, NULL, 'PTHR10894:SF12', NULL, NULL, NULL, NULL, 'OS06G0355900 PROTEIN', NULL, NULL, NULL, 15),
(114405, NULL, 'PTHR12844:SF10', NULL, NULL, NULL, NULL, 'CONNECTOR ENHANCER OF KINASE SUPPRESSOR OF RAS 1', NULL, NULL, NULL, 15),
(114406, NULL, 'PTHR46058:SF3', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 4', NULL, NULL, NULL, 15),
(114407, NULL, 'PTHR21771:SF1', NULL, NULL, NULL, NULL, 'AGAP001625-PA', NULL, NULL, NULL, 15),
(114408, NULL, 'PTHR21419:SF7', NULL, NULL, NULL, NULL, 'PROTEIN FAM234A', NULL, NULL, NULL, 15),
(114409, NULL, 'PTHR39420', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 18509, 15),
(114410, NULL, 'PTHR31949:SF20', NULL, NULL, NULL, NULL, 'OS01G0141900 PROTEIN', NULL, NULL, NULL, 15),
(114411, NULL, 'PTHR10015:SF344', NULL, NULL, NULL, NULL, 'E2F/DP FAMILY WINGED-HELIX DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114412, NULL, 'PTHR30632:SF0', NULL, NULL, NULL, NULL, 'MOLYBDATE-BINDING PROTEIN MODA', NULL, NULL, NULL, 15),
(114413, NULL, 'PTHR43358:SF5', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114414, NULL, 'PTHR31867:SF185', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(114415, NULL, 'PTHR48043:SF103', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(114416, NULL, 'PTHR21137:SF37', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 46A, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(114417, NULL, 'PTHR46771:SF3', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(114418, NULL, 'PTHR24377:SF384', NULL, NULL, NULL, NULL, 'GENE 12258-RELATED', NULL, NULL, NULL, 15),
(114419, NULL, 'PTHR33136:SF46', NULL, NULL, NULL, NULL, 'BNAA08G07510D PROTEIN', NULL, NULL, NULL, 15),
(114420, NULL, 'PTHR43066:SF1', NULL, NULL, NULL, NULL, 'RHOMBOID PROTEIN 2', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114421, NULL, 'PTHR10981:SF3', NULL, NULL, NULL, NULL, 'RNAI-INDUCED LONGEVITY', NULL, NULL, NULL, 15),
(114422, NULL, 'PTHR36326:SF16', NULL, NULL, NULL, NULL, 'BNAA02G30450D PROTEIN', NULL, NULL, NULL, 15),
(114423, NULL, 'PTHR11843:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15),
(114424, NULL, 'PTHR12358:SF91', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(114425, NULL, 'PTHR24281:SF187', NULL, NULL, NULL, NULL, 'P450 81E1, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(114426, NULL, 'PTHR11069:SF23', NULL, NULL, NULL, NULL, 'LYSOSOMAL ACID GLUCOSYLCERAMIDASE', NULL, NULL, NULL, 15),
(114427, NULL, 'PTHR14167:SF91', NULL, NULL, NULL, NULL, 'SORBIN AND SH3 DOMAIN-CONTAINING 3', NULL, NULL, NULL, 15),
(114428, NULL, 'PTHR33470:SF44', NULL, NULL, NULL, NULL, 'BNAANNG22480D PROTEIN', NULL, NULL, NULL, 15),
(114429, NULL, 'PTHR33044:SF106', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(114430, NULL, 'PTHR28262:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT SPC19', NULL, NULL, NULL, 15),
(114431, NULL, 'PTHR23077:SF117', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 48 HOMOLOG B', NULL, NULL, NULL, 15),
(114432, NULL, 'PTHR11157:SF133', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(114433, NULL, 'PTHR10587:SF98', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(114434, NULL, 'PTHR33165:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114435, NULL, 'PTHR13018:SF24', NULL, NULL, NULL, NULL, 'CSC1-LIKE PROTEIN 1', NULL, NULL, 27531, 15),
(114436, NULL, 'PTHR24232:SF3', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 6', NULL, NULL, NULL, 15),
(114437, NULL, 'PTHR46142:SF14', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE/GLYOXALASE I FAMILY PROTEIN', NULL, NULL, NULL, 15),
(114438, NULL, 'PTHR24006:SF784', NULL, NULL, NULL, NULL, 'OS02G0795000 PROTEIN', NULL, NULL, NULL, 15),
(114439, NULL, 'PTHR14155:SF521', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL29', NULL, NULL, NULL, 15),
(114440, NULL, 'PTHR30627:SF22', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(114441, NULL, 'PTHR33033:SF78', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114442, NULL, 'PTHR33085:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114443, NULL, 'PTHR43087', NULL, NULL, NULL, NULL, 'LYSINE/ARGININE/ORNITHINE TRANSPORT SYSTEM KINASE', NULL, NULL, NULL, 15),
(114444, NULL, 'PTHR40866', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114445, NULL, 'PTHR34182:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-EXPORT MEMBRANE PROTEIN SECG', NULL, NULL, NULL, 15),
(114446, NULL, 'PTHR31558', NULL, NULL, NULL, NULL, 'CW14 PROTEIN', NULL, NULL, NULL, 15),
(114447, NULL, 'PTHR11654:SF299', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02550)-RELATED', NULL, NULL, NULL, 15),
(114448, NULL, 'PTHR46905:SF16', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL78-LIKE', NULL, NULL, NULL, 15),
(114449, NULL, 'PTHR13318:SF169', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 29, ISOFORM CRA_C', NULL, NULL, NULL, 15),
(114450, NULL, 'PTHR13793:SF140', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN RHINOCEROS', NULL, NULL, NULL, 15),
(114451, NULL, 'PTHR22847:SF680', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(114452, NULL, 'PTHR48000:SF1', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4', NULL, NULL, NULL, 15),
(114453, NULL, 'PTHR31652:SF2', NULL, NULL, NULL, NULL, 'BNAC05G43630D PROTEIN', NULL, NULL, NULL, 15),
(114454, NULL, 'PTHR48017:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114455, NULL, 'PTHR31639:SF144', NULL, NULL, NULL, NULL, 'BNAA07G25150D PROTEIN', NULL, NULL, NULL, 15),
(114456, NULL, 'PTHR42999', NULL, NULL, NULL, NULL, 'ANTIBIOTIC RESISTANCE PROTEIN MCBG', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114457, NULL, 'PTHR24198:SF169', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT SERINE/THREONINE-PROTEIN KINASE 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114458, NULL, 'PTHR10709:SF2', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(114459, NULL, 'PTHR34538', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(114460, NULL, 'PTHR13183:SF9', NULL, NULL, NULL, NULL, 'KDA INNER DYNEIN ARM LIGHT CHAIN, AXONEMAL, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114461, NULL, 'PTHR11260:SF606', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114462, NULL, 'PTHR14155:SF283', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL6-LIKE', NULL, NULL, NULL, 15),
(114463, NULL, 'PTHR23107', NULL, NULL, NULL, NULL, 'SYNOVIAL SARCOMA ASSOCIATED SS18 PROTEIN', NULL, NULL, 37574, 15),
(114464, NULL, 'PTHR10168:SF256', NULL, NULL, NULL, NULL, 'BNAC07G33140D PROTEIN', NULL, NULL, NULL, 15),
(114465, NULL, 'PTHR43175:SF1', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE-LIKE PROTEIN YBCF-RELATED', NULL, NULL, NULL, 15),
(114466, NULL, 'PTHR33088:SF33', NULL, NULL, NULL, NULL, 'PROTEIN APP1-LIKE', NULL, NULL, NULL, 15),
(114467, NULL, 'PTHR19302:SF64', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT 6', NULL, NULL, NULL, 15),
(114468, NULL, 'PTHR31707:SF309', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', NULL, NULL, NULL, 15),
(114469, NULL, 'PTHR19957:SF286', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114470, NULL, 'PTHR43078:SF16', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE DECARBOXYLASE-RELATED', NULL, NULL, NULL, 15),
(114471, NULL, 'PTHR14009:SF13', NULL, NULL, NULL, NULL, 'LETM1 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(114472, NULL, 'PTHR11070:SF51', NULL, NULL, NULL, NULL, 'DNA HELICASE IV', NULL, NULL, NULL, 15),
(114473, NULL, 'PTHR46236:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114474, NULL, 'PTHR48021:SF77', NULL, NULL, NULL, NULL, 'OS05G0567800 PROTEIN', NULL, NULL, NULL, 15),
(114475, NULL, 'PTHR22890', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 16559, 15),
(114476, NULL, 'PTHR10937:SF12', NULL, NULL, NULL, NULL, 'GLUTAMINE--FRUCTOSE-6-PHOSPHATE AMINOTRANSFERASE [ISOMERIZING] 1', NULL, NULL, NULL, 15),
(114477, NULL, 'PTHR34045:SF9', NULL, NULL, NULL, NULL, 'NGR1', NULL, NULL, NULL, 15),
(114478, NULL, 'PTHR22999:SF34', NULL, NULL, NULL, NULL, 'BNAA09G56730D PROTEIN', NULL, NULL, NULL, 15),
(114479, NULL, 'PTHR14241:SF21', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(114480, NULL, 'PTHR31676:SF159', NULL, NULL, NULL, NULL, 'BNAA06G33720D PROTEIN', NULL, NULL, NULL, 15),
(114481, NULL, 'PTHR12308', NULL, NULL, NULL, NULL, 'NGEP-RELATED', NULL, NULL, 2367, 15),
(114482, NULL, 'PTHR10314:SF192', NULL, NULL, NULL, NULL, 'SYNTHASE B, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03930)-RELATED', NULL, NULL, NULL, 15),
(114483, NULL, 'PTHR31319:SF83', NULL, NULL, NULL, NULL, 'C2C2-CO-LIKE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(114484, NULL, 'PTHR10853:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PELOTA HOMOLOG', NULL, NULL, NULL, 15),
(114485, NULL, 'PTHR46183:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114486, NULL, 'PTHR47011:SF1', NULL, NULL, NULL, NULL, 'CD226 ANTIGEN', NULL, NULL, NULL, 15),
(114487, NULL, 'PTHR31265:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114488, NULL, 'PTHR21450:SF32', NULL, NULL, NULL, NULL, 'DUF630 FAMILY PROTEIN (DUF630 AND DUF632)', NULL, NULL, NULL, 15),
(114489, NULL, 'PTHR24377:SF849', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 614', NULL, NULL, NULL, 15),
(114490, NULL, 'PTHR12998:SF0', NULL, NULL, NULL, NULL, 'TRNA:M(4)X MODIFICATION ENZYME TRM13 HOMOLOG', NULL, NULL, NULL, 15),
(114491, NULL, 'PTHR34448', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(114492, NULL, 'PTHR48017:SF107', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114493, NULL, 'PTHR13763:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114494, NULL, 'PTHR24056:SF403', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE G-1', NULL, NULL, NULL, 15),
(114495, NULL, 'PTHR47707:SF2', NULL, NULL, NULL, NULL, 'CTP PYROPHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(114496, NULL, 'PTHR35546:SF26', NULL, NULL, NULL, NULL, 'OS12G0275600 PROTEIN', NULL, NULL, NULL, 15),
(114497, NULL, 'PTHR12738', NULL, NULL, NULL, NULL, 'NEUROENDOCRINE PROTEIN 7B2', NULL, NULL, 4300, 15),
(114498, NULL, 'PTHR47984:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(114499, NULL, 'PTHR47942:SF63', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(114500, NULL, 'PTHR21228:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114501, NULL, 'PTHR30582:SF27', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE YCFS-RELATED', NULL, NULL, NULL, 15),
(114502, NULL, 'PTHR47241', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114503, NULL, 'PTHR31730:SF20', NULL, NULL, NULL, NULL, 'DUF668 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(114504, NULL, 'PTHR47018:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114505, NULL, 'PTHR11062:SF284', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT19-RELATED', NULL, NULL, NULL, 15),
(114506, NULL, 'PTHR23421:SF146', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 4', NULL, NULL, NULL, 15),
(114507, NULL, 'PTHR34436', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN M', NULL, NULL, 20132, 15),
(114508, NULL, 'PTHR47820:SF3', NULL, NULL, NULL, NULL, 'BNAC05G24000D PROTEIN', NULL, NULL, NULL, 15),
(114509, NULL, 'PTHR13780:SF93', NULL, NULL, NULL, NULL, 'OJ1485_B09.7 PROTEIN', NULL, NULL, NULL, 15),
(114510, NULL, 'PTHR43321:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(114511, NULL, 'PTHR23050:SF363', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML17-RELATED', NULL, NULL, NULL, 15),
(114512, NULL, 'PTHR10168:SF247', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S3', NULL, NULL, NULL, 15),
(114513, NULL, 'PTHR45764:SF43', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114514, NULL, 'PTHR45668', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 5-RELATED', NULL, NULL, NULL, 15),
(114515, NULL, 'PTHR45614:SF165', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(114516, NULL, 'PTHR45181', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DNAJ WITH TETRATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(114517, NULL, 'PTHR33976:SF10', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN MEMBRANE GPI-ANCHORED PROTEIN', NULL, NULL, NULL, 15),
(114518, NULL, 'PTHR34268:SF16', NULL, NULL, NULL, NULL, 'OS02G0774200 PROTEIN', NULL, NULL, NULL, 15),
(114519, NULL, 'PTHR24234:SF9', NULL, NULL, NULL, NULL, 'SI:DKEY-165A24.9', NULL, NULL, NULL, 15),
(114520, NULL, 'PTHR21624:SF1', NULL, NULL, NULL, NULL, 'ALKYLGLYCEROL MONOOXYGENASE', NULL, NULL, NULL, 15),
(114521, NULL, 'PTHR11207', NULL, NULL, NULL, NULL, 'RIBONUCLEASE III', NULL, NULL, 12252, 15),
(114522, NULL, 'PTHR31003:SF30', NULL, NULL, NULL, NULL, 'MYB DOMAIN, PLANT, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114523, NULL, 'PTHR48106:SF11', NULL, NULL, NULL, NULL, 'OS10G0561100 PROTEIN', NULL, NULL, NULL, 15),
(114524, NULL, 'PTHR22807:SF59', NULL, NULL, NULL, NULL, 'NOL1/NOP2/SUN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114525, NULL, 'PTHR28003', NULL, NULL, NULL, NULL, 'NUCLEOPORIN POM34', NULL, NULL, 9996, 15),
(114526, NULL, 'PTHR47172:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER, NHR/GATA-TYPE-RELATED', NULL, NULL, NULL, 15),
(114527, NULL, 'PTHR26379:SF340', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114528, NULL, 'PTHR23503:SF114', NULL, NULL, NULL, NULL, 'PLASTIDIC GLUCOSE TRANSPORTER 3-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114529, NULL, 'PTHR11945:SF404', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN AGL24-LIKE', NULL, NULL, NULL, 15),
(114530, NULL, 'PTHR45427:SF1', NULL, NULL, NULL, NULL, 'MUCIN-15', NULL, NULL, NULL, 15),
(114531, NULL, 'PTHR32448:SF125', NULL, NULL, NULL, NULL, 'BERBERINE/BERBERINE-LIKE, XANTHINE DEHYDROGENASE, SMALL SUBUNIT, FAD-BINDING, TYPE 2-RELATED', NULL, NULL, NULL, 15),
(114532, NULL, 'PTHR27006:SF307', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(114533, NULL, 'PTHR19918:SF55', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 20.1, COFACTOR OF APC COMPLEX-LIKE', NULL, NULL, NULL, 15),
(114534, NULL, 'PTHR21669:SF28', NULL, NULL, NULL, NULL, 'YEMANUCLEIN', NULL, NULL, NULL, 15),
(114535, NULL, 'PTHR12436:SF3', NULL, NULL, NULL, NULL, 'GERMINAL-CENTER ASSOCIATED NUCLEAR PROTEIN', NULL, NULL, NULL, 15),
(114536, NULL, 'PTHR35546:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114537, NULL, 'PTHR33454:SF11', NULL, NULL, NULL, NULL, 'AVENIN-LIKE B5', NULL, NULL, NULL, 15),
(114538, NULL, 'PTHR21310:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114539, NULL, 'PTHR31232:SF115', NULL, NULL, NULL, NULL, 'BNAC07G03820D PROTEIN', NULL, NULL, NULL, 15),
(114540, NULL, 'PTHR31534:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114541, NULL, 'PTHR30606', NULL, NULL, NULL, NULL, 'LIPID A BIOSYNTHESIS LAUROYL ACYLTRANSFERASE', NULL, NULL, 2592, 15),
(114542, NULL, 'PTHR31218:SF303', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(114543, NULL, 'PTHR17601:SF7', NULL, NULL, NULL, NULL, 'RAFTLIN, LIPID RAFT LINKER 1A', NULL, NULL, NULL, 15),
(114544, NULL, 'PTHR31839:SF55', NULL, NULL, NULL, NULL, 'BNACNNG31550D PROTEIN', NULL, NULL, NULL, 15),
(114545, NULL, 'PTHR22953:SF118', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(114546, NULL, 'PTHR16062:SF19', NULL, NULL, NULL, NULL, 'POLYBROMO', NULL, NULL, 25015, 15),
(114547, NULL, 'PTHR45614:SF120', NULL, NULL, NULL, NULL, 'BNAC03G61550D PROTEIN', NULL, NULL, NULL, 15),
(114548, NULL, 'PTHR19317', NULL, NULL, NULL, NULL, 'PRENYLATED RAB ACCEPTOR 1-RELATED', NULL, NULL, 365, 15),
(114549, NULL, 'PTHR35769', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 23653, 15),
(114550, NULL, 'PTHR12537:SF133', NULL, NULL, NULL, NULL, 'OS03G0193150 PROTEIN', NULL, NULL, NULL, 15),
(114551, NULL, 'PTHR31190:SF137', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-2', NULL, NULL, NULL, 15),
(114552, NULL, 'PTHR10476:SF37', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 24 HOMOLOG 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(114553, NULL, 'PTHR45959:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114554, NULL, 'PTHR12471', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE SUBUNIT S1', NULL, NULL, 7814, 15),
(114555, NULL, 'PTHR27001:SF867', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114556, NULL, 'PTHR32093:SF118', NULL, NULL, NULL, NULL, 'LRR-FAMILY PROTEIN', NULL, NULL, NULL, 15),
(114557, NULL, 'PTHR28026:SF8', NULL, NULL, NULL, NULL, 'YGL010W-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114558, NULL, 'PTHR46198', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 7668, 15),
(114559, NULL, 'PTHR30578', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT COMPLEX PROTEIN RNFD', NULL, NULL, 4673, 15),
(114560, NULL, 'PTHR11673:SF41', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', NULL, NULL, NULL, 15),
(114561, NULL, 'PTHR34610:SF4', NULL, NULL, NULL, NULL, 'SLL8027 PROTEIN', NULL, NULL, NULL, 15),
(114562, NULL, 'PTHR23226:SF199', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 5', NULL, NULL, NULL, 15),
(114563, NULL, 'PTHR23023:SF219', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(114564, NULL, 'PTHR10362:SF44', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114565, NULL, 'PTHR15315:SF35', NULL, NULL, NULL, NULL, 'F21J9.10', NULL, NULL, NULL, 15),
(114566, NULL, 'PTHR47928:SF14', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114567, NULL, 'PTHR33348:SF3', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP5', NULL, NULL, NULL, 15),
(114568, NULL, 'PTHR47926:SF200', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN CHLOROPLASTIC', NULL, NULL, NULL, 15),
(114569, NULL, 'PTHR27008:SF161', NULL, NULL, NULL, NULL, 'OS01G0153000 PROTEIN', NULL, NULL, NULL, 15),
(114570, NULL, 'PTHR43344:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE SERB1', NULL, NULL, NULL, 15),
(114571, NULL, 'PTHR46387:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114572, NULL, 'PTHR35356', NULL, NULL, NULL, NULL, 'OS01G0156300 PROTEIN-RELATED', NULL, NULL, 14900, 15),
(114573, NULL, 'PTHR31306:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114574, NULL, 'PTHR31218:SF292', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(114575, NULL, 'PTHR31232:SF39', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(114576, NULL, 'PTHR45678:SF13', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 (MITOCHONDRIAL CARRIER: GLUTAMATE), MEMBER 22-RELATED', NULL, NULL, NULL, 15),
(114577, NULL, 'PTHR23172:SF60', NULL, NULL, NULL, NULL, '200 KDA ANTIGEN P200-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114578, NULL, 'PTHR11062:SF288', NULL, NULL, NULL, NULL, 'BNAA07G36650D PROTEIN', NULL, NULL, NULL, 15),
(114579, NULL, 'PTHR47465:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN EHOX-RELATED', NULL, NULL, NULL, 15),
(114580, NULL, 'PTHR10826:SF14', NULL, NULL, NULL, NULL, 'BNAA03G51840D PROTEIN', NULL, NULL, NULL, 15),
(114581, NULL, 'PTHR34081', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114582, NULL, 'PTHR28676:SF3', NULL, NULL, NULL, NULL, 'ALK AND LTK LIGAND 2A', NULL, NULL, NULL, 15),
(114583, NULL, 'PTHR37029', NULL, NULL, NULL, NULL, 'SSR1768 PROTEIN', NULL, NULL, NULL, 15),
(114584, NULL, 'PTHR34835:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114585, NULL, 'PTHR48083:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114586, NULL, 'PTHR46788:SF1', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(114587, NULL, 'PTHR43205:SF46', NULL, NULL, NULL, NULL, '2-ALKENAL REDUCTASE (NADP(+)-DEPENDENT)', NULL, NULL, NULL, 15),
(114588, NULL, 'PTHR11559:SF395', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(114589, NULL, 'PTHR13903:SF20', NULL, NULL, NULL, NULL, 'BNAC08G48910D PROTEIN', NULL, NULL, NULL, 15),
(114590, NULL, 'PTHR48000:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX1', NULL, NULL, NULL, 15),
(114591, NULL, 'PTHR35603:SF2', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(114592, NULL, 'PTHR12145:SF36', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,6-ALPHA-MANNOSIDASE DCW1', NULL, NULL, NULL, 15),
(114593, NULL, 'PTHR11909:SF129', NULL, NULL, NULL, NULL, 'PROTEIN CBG13263', NULL, NULL, NULL, 15),
(114594, NULL, 'PTHR10332:SF10', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER 1, ISOFORM A', NULL, NULL, NULL, 15),
(114595, NULL, 'PTHR10201:SF26', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-16', NULL, NULL, 23083, 15),
(114596, NULL, 'PTHR31351:SF35', NULL, NULL, NULL, NULL, 'BNAA06G16780D PROTEIN', NULL, NULL, NULL, 15),
(114597, NULL, 'PTHR31204:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114598, NULL, 'PTHR36028', NULL, NULL, NULL, NULL, 'OSJNBB0050O03.8 PROTEIN', NULL, NULL, NULL, 15),
(114599, NULL, 'PTHR11702:SF31', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOME-ASSOCIATED GTPASE 2', NULL, NULL, NULL, 15),
(114600, NULL, 'PTHR44427:SF12', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC BETA-1-GLYCOPROTEIN 3', NULL, NULL, NULL, 15),
(114601, NULL, 'PTHR14340', NULL, NULL, NULL, NULL, 'MICROFIBRIL-ASSOCIATED GLYCOPROTEIN 3', NULL, NULL, 33649, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114602, NULL, 'PTHR31475:SF5', NULL, NULL, NULL, NULL, 'UPF0462 PROTEIN C4ORF33 HOMOLOG', NULL, NULL, NULL, 15),
(114603, NULL, 'PTHR43327:SF45', NULL, NULL, NULL, NULL, 'SPFH/BAND 7/PHB DOMAIN-CONTAINING MEMBRANE-ASSOCIATED PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(114604, NULL, 'PTHR30438:SF1', NULL, NULL, NULL, NULL, '36 KDA ANTIGEN', NULL, NULL, NULL, 15),
(114605, NULL, 'PTHR11188:SF50', NULL, NULL, NULL, NULL, 'PROTEIN ECM21-RELATED', NULL, NULL, NULL, 15),
(114606, NULL, 'PTHR42951', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(114607, NULL, 'PTHR40861', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114608, NULL, 'PTHR33021:SF337', NULL, NULL, NULL, NULL, 'OS01G0201500 PROTEIN', NULL, NULL, NULL, 15),
(114609, NULL, 'PTHR31087:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(114610, NULL, 'PTHR31529:SF41', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114611, NULL, 'PTHR31707:SF241', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(114612, NULL, 'PTHR26451:SF98', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10T2', NULL, NULL, NULL, 15),
(114613, NULL, 'PTHR42673:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(114614, NULL, 'PTHR23055:SF11', NULL, NULL, NULL, NULL, 'GUANYLYL CYCLASE-ACTIVATING PROTEIN 2', NULL, NULL, 11726, 15),
(114615, NULL, 'PTHR22802:SF401', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(114616, NULL, 'PTHR31682:SF4', NULL, NULL, NULL, NULL, 'UDP-ARABINOPYRANOSE MUTASE 5-RELATED', NULL, NULL, NULL, 15),
(114617, NULL, 'PTHR46044:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114618, NULL, 'PTHR27008:SF437', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114619, NULL, 'PTHR12758:SF19', NULL, NULL, NULL, NULL, 'APOPTOSIS INHIBITOR 5', NULL, NULL, NULL, 15),
(114620, NULL, 'PTHR10996:SF255', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114621, NULL, 'PTHR45856:SF9', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114622, NULL, 'PTHR42684:SF12', NULL, NULL, NULL, NULL, 'BNAC01G43270D PROTEIN', NULL, NULL, NULL, 15),
(114623, NULL, 'PTHR23213:SF371', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114624, NULL, 'PTHR14237:SF65', NULL, NULL, NULL, NULL, 'EMB|CAB16785.1', NULL, NULL, NULL, 15),
(114625, NULL, 'PTHR23013:SF26', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(114626, NULL, 'PTHR46618', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(114627, NULL, 'PTHR11715:SF31', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', NULL, NULL, NULL, 15),
(114628, NULL, 'PTHR22835:SF528', NULL, NULL, NULL, NULL, 'OS05G0210100 PROTEIN', NULL, NULL, NULL, 15),
(114629, NULL, 'PTHR34008:SF2', NULL, NULL, NULL, NULL, 'REPETITIVE PROLINE-RICH CELL WALL PROTEIN 1', NULL, NULL, NULL, 15),
(114630, NULL, 'PTHR12673:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114631, NULL, 'PTHR48053:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114632, NULL, 'PTHR44042:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114633, NULL, 'PTHR31072:SF100', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP22', NULL, NULL, NULL, 15),
(114634, NULL, 'PTHR11802:SF337', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(114635, NULL, 'PTHR24028:SF101', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-13', NULL, NULL, NULL, 15),
(114636, NULL, 'PTHR12145:SF21', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,6-ALPHA-MANNOSIDASE DFG5', NULL, NULL, NULL, 15),
(114637, NULL, 'PTHR38384:SF3', NULL, NULL, NULL, NULL, 'BNAC07G34170D PROTEIN', NULL, NULL, NULL, 15),
(114638, NULL, 'PTHR46368:SF15', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114639, NULL, 'PTHR13681:SF28', NULL, NULL, NULL, NULL, 'RECQ-MEDIATED GENOME INSTABILITY PROTEIN 1', NULL, NULL, NULL, 15),
(114640, NULL, 'PTHR31161:SF16', NULL, NULL, NULL, NULL, 'UNE1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114641, NULL, 'PTHR23226:SF240', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 41', NULL, NULL, NULL, 15),
(114642, NULL, 'PTHR10277:SF69', NULL, NULL, NULL, NULL, 'BNAA04G20510D PROTEIN', NULL, NULL, NULL, 15),
(114643, NULL, 'PTHR14002:SF9', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR-BETA RECEPTOR TYPE 3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114644, NULL, 'PTHR21567:SF42', NULL, NULL, NULL, NULL, 'TOG ARRAY REGULATOR OF AXONEMAL MICROTUBULES PROTEIN 2', NULL, NULL, NULL, 15),
(114645, NULL, 'PTHR22765:SF308', NULL, NULL, NULL, NULL, 'PROTEASE-ASSOCIATED (PA) RING/U-BOX ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(114646, NULL, 'PTHR12701:SF19', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM TRANSMEMBRANE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(114647, NULL, 'PTHR16471:SF0', NULL, NULL, NULL, NULL, 'CMT1A DUPLICATED REGION TRANSCRIPT 15 PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114648, NULL, 'PTHR33474:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114649, NULL, 'PTHR31707:SF317', NULL, NULL, NULL, NULL, 'BNACNNG52530D PROTEIN', NULL, NULL, NULL, 15),
(114650, NULL, 'PTHR47934:SF10', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(114651, NULL, 'PTHR36166', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(114652, NULL, 'PTHR33416:SF23', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP1-LIKE', NULL, NULL, NULL, 15),
(114653, NULL, 'PTHR31972:SF50', NULL, NULL, NULL, NULL, 'DUF868 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(114654, NULL, 'PTHR13234:SF56', NULL, NULL, NULL, NULL, 'GH19763P', NULL, NULL, NULL, 15),
(114655, NULL, 'PTHR10529:SF350', NULL, NULL, NULL, NULL, 'ASSEMBLY PROTEIN AP47, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114656, NULL, 'PTHR34058:SF13', NULL, NULL, NULL, NULL, 'BNAA03G53620D PROTEIN', NULL, NULL, NULL, 15),
(114657, NULL, 'PTHR30614:SF0', NULL, NULL, NULL, NULL, 'L-CYSTINE TRANSPORT SYSTEM PERMEASE PROTEIN YECS', NULL, NULL, NULL, 15),
(114658, NULL, 'PTHR47003', NULL, NULL, NULL, NULL, 'OS01G0970900 PROTEIN', NULL, NULL, 38878, 15),
(114659, NULL, 'PTHR10887:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114660, NULL, 'PTHR37157:SF2', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH) DOMAIN-BEARING PROTEIN 25', NULL, NULL, NULL, 15),
(114661, NULL, 'PTHR32191:SF50', NULL, NULL, NULL, NULL, 'TETRASPANIN-16-RELATED', NULL, NULL, NULL, 15),
(114662, NULL, 'PTHR47424:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114663, NULL, 'PTHR23295:SF5', NULL, NULL, NULL, NULL, 'SI:CH211-216L23.2', NULL, NULL, NULL, 15),
(114664, NULL, 'PTHR10887:SF473', NULL, NULL, NULL, NULL, 'YEAST DNA HELICASE/ENDONUCLEASE FAMILY', NULL, NULL, NULL, 15),
(114665, NULL, 'PTHR45680:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(114666, NULL, 'PTHR11595:SF55', NULL, NULL, NULL, NULL, 'SI:CH211-112F3.4', NULL, NULL, NULL, 15),
(114667, NULL, 'PTHR46383:SF3', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(114668, NULL, 'PTHR12103:SF18', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(114669, NULL, 'PTHR31911:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114670, NULL, 'PTHR23024:SF544', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 1-RELATED', NULL, NULL, NULL, 15),
(114671, NULL, 'PTHR10574:SF410', NULL, NULL, NULL, NULL, 'AGRIN (SYNAPTIC PROTEIN) HOMOLOG', NULL, NULL, NULL, 15),
(114672, NULL, 'PTHR12411:SF733', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG12', NULL, NULL, NULL, 15),
(114673, NULL, 'PTHR31388:SF179', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114674, NULL, 'PTHR34967:SF1', NULL, NULL, NULL, NULL, 'OS02G0257200 PROTEIN', NULL, NULL, NULL, 15),
(114675, NULL, 'PTHR27006:SF421', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, SIK1/2-RELATED', NULL, NULL, NULL, 15),
(114676, NULL, 'PTHR12684', NULL, NULL, NULL, NULL, 'PUTATIVE PHOSPHOTRANSFERASE', NULL, NULL, 3922, 15),
(114677, NULL, 'PTHR11260:SF648', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114678, NULL, 'PTHR24373:SF331', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IG DOMAIN-CONTAINING 4A-RELATED', NULL, NULL, NULL, 15),
(114679, NULL, 'PTHR36089', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 3 COMPLEX PROTEIN CSI2-RELATED', NULL, NULL, NULL, 15),
(114680, NULL, 'PTHR33349:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114681, NULL, 'PTHR46148:SF19', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114682, NULL, 'PTHR21633:SF4', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN F2', NULL, NULL, NULL, 15),
(114683, NULL, 'PTHR32246:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114684, NULL, 'PTHR31769:SF38', NULL, NULL, NULL, NULL, 'OS05G0434600 PROTEIN', NULL, NULL, NULL, 15),
(114685, NULL, 'PTHR36755:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114686, NULL, 'PTHR43271:SF2', NULL, NULL, NULL, NULL, 'BLL2771 PROTEIN', NULL, NULL, NULL, 15),
(114687, NULL, 'PTHR24349:SF378', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114688, NULL, 'PTHR33649:SF12', NULL, NULL, NULL, NULL, 'NTEIG-E80 PROTEIN', NULL, NULL, NULL, 15),
(114689, NULL, 'PTHR12537:SF127', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 3', NULL, NULL, NULL, 15),
(114690, NULL, 'PTHR47434:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114691, NULL, 'PTHR37947', NULL, NULL, NULL, NULL, 'BLL2462 PROTEIN', NULL, NULL, NULL, 15),
(114692, NULL, 'PTHR31218:SF308', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(114693, NULL, 'PTHR11850:SF280', NULL, NULL, NULL, NULL, 'BEAK-1', NULL, NULL, NULL, 15),
(114694, NULL, 'PTHR12195:SF2', NULL, NULL, NULL, NULL, 'CYTOPLASMIC FMR1-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(114695, NULL, 'PTHR16056', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(114696, NULL, 'PTHR31062:SF200', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(114697, NULL, 'PTHR28127', NULL, NULL, NULL, NULL, 'RIBOSOME ASSEMBLY PROTEIN 3', NULL, NULL, NULL, 15),
(114698, NULL, 'PTHR31989:SF211', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 40', NULL, NULL, NULL, 15),
(114699, NULL, 'PTHR48061:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114700, NULL, 'PTHR31471:SF58', NULL, NULL, NULL, NULL, 'BNAA09G26200D PROTEIN', NULL, NULL, NULL, 15),
(114701, NULL, 'PTHR39162', NULL, NULL, NULL, NULL, 'GLL3345 PROTEIN', NULL, NULL, 10527, 15),
(114702, NULL, 'PTHR18966:SF477', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2.9-LIKE', NULL, NULL, NULL, 15),
(114703, NULL, 'PTHR13022:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT K', NULL, NULL, NULL, 15),
(114704, NULL, 'PTHR24412:SF232', NULL, NULL, NULL, NULL, 'GIGAXONIN', NULL, NULL, 24708, 15),
(114705, NULL, 'PTHR12253:SF38', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2 GROUP III', NULL, NULL, NULL, 15),
(114706, NULL, 'PTHR10352:SF40', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2A-LIKE', NULL, NULL, NULL, 15),
(114707, NULL, 'PTHR33991:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RECO', NULL, NULL, NULL, 15),
(114708, NULL, 'PTHR45746:SF7', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 7', NULL, NULL, NULL, 15),
(114709, NULL, 'PTHR31213:SF21', NULL, NULL, NULL, NULL, 'AT-RICH ELEMENT BINDING FACTOR 3', NULL, NULL, NULL, 15),
(114710, NULL, 'PTHR11073:SF42', NULL, NULL, NULL, NULL, 'CALR PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114711, NULL, 'PTHR46587:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(114712, NULL, 'PTHR12332', NULL, NULL, NULL, NULL, 'KEREN-RELATED', NULL, NULL, 39496, 15),
(114713, NULL, 'PTHR31866:SF3', NULL, NULL, NULL, NULL, 'T0192688 ISOFORM 2', NULL, NULL, NULL, 15),
(114714, NULL, 'PTHR13085:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114715, NULL, 'PTHR12271:SF117', NULL, NULL, NULL, NULL, 'PROTEIN CBG19735', NULL, NULL, NULL, 15),
(114716, NULL, 'PTHR33136:SF52', NULL, NULL, NULL, NULL, 'BNAC05G36680D PROTEIN', NULL, NULL, NULL, 15),
(114717, NULL, 'PTHR19876', NULL, NULL, NULL, NULL, 'COATOMER', NULL, NULL, NULL, 15),
(114718, NULL, 'PTHR31907:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114719, NULL, 'PTHR11352:SF10', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(114720, NULL, 'PTHR31325:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114721, NULL, 'PTHR31151:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114722, NULL, 'PTHR11236:SF41', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE COMPONENT I-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114723, NULL, 'PTHR45966:SF9', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 1-LIKE', NULL, NULL, NULL, 15),
(114724, NULL, 'PTHR46463:SF32', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(114725, NULL, 'PTHR31190:SF321', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF098', NULL, NULL, NULL, 15),
(114726, NULL, 'PTHR23012:SF170', NULL, NULL, NULL, NULL, 'BNAA09G45630D PROTEIN', NULL, NULL, NULL, 15),
(114727, NULL, 'PTHR10997:SF29', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(114728, NULL, 'PTHR44083:SF23', NULL, NULL, NULL, NULL, 'PROTEIN TOPLESS-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(114729, NULL, 'PTHR10742:SF383', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114730, NULL, 'PTHR11783:SF239', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(114731, NULL, 'PTHR23504:SF106', NULL, NULL, NULL, NULL, 'PROTEIN ZINC INDUCED FACILITATOR-LIKE 1', NULL, NULL, NULL, 15),
(114732, NULL, 'PTHR20855:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114733, NULL, 'PTHR42776:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114734, NULL, 'PTHR37957:SF1', NULL, NULL, NULL, NULL, 'BLR7070 PROTEIN', NULL, NULL, NULL, 15),
(114735, NULL, 'PTHR31374:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114736, NULL, 'PTHR45348:SF6', NULL, NULL, NULL, NULL, 'TRANS-ENOYL REDUCTASE APDC', NULL, NULL, NULL, 15),
(114737, NULL, 'PTHR45620:SF16', NULL, NULL, NULL, NULL, 'GROWTH HORMONE-RELEASING HORMONE RECEPTOR 2', NULL, NULL, NULL, 15),
(114738, NULL, 'PTHR21580:SF49', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER OF SPERM TAILS 3-LIKE 2B', NULL, NULL, NULL, 15),
(114739, NULL, 'PTHR31365:SF4', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2-ALPHA-LIKE', NULL, NULL, NULL, 15),
(114740, NULL, 'PTHR23088:SF30', NULL, NULL, NULL, NULL, 'OMEGA-AMIDASE NIT2', NULL, NULL, NULL, 15),
(114741, NULL, 'PTHR13370:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114742, NULL, 'PTHR23146:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114743, NULL, 'PTHR21531:SF0', NULL, NULL, NULL, NULL, 'PROTEIN LTV1 HOMOLOG', NULL, NULL, NULL, 15),
(114744, NULL, 'PTHR10281:SF76', NULL, NULL, NULL, NULL, 'CALCUTTA CUP-RELATED', NULL, NULL, NULL, 15),
(114745, NULL, 'PTHR11210:SF51', NULL, NULL, NULL, NULL, 'RING-BOX PROTEIN 1A', NULL, NULL, NULL, 15),
(114746, NULL, 'PTHR21717:SF74', NULL, NULL, NULL, NULL, 'TRF-LIKE 9-RELATED', NULL, NULL, NULL, 15),
(114747, NULL, 'PTHR11552:SF102', NULL, NULL, NULL, NULL, 'GMC OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(114748, NULL, 'PTHR11945:SF660', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114749, NULL, 'PTHR11654:SF546', NULL, NULL, NULL, NULL, 'BNAA05G35790D PROTEIN', NULL, NULL, NULL, 15),
(114750, NULL, 'PTHR45689:SF11', NULL, NULL, NULL, NULL, 'POTASSIUM/SODIUM HYPERPOLARIZATION-ACTIVATED CYCLIC NUCLEOTIDE-GATED CHANNEL 2', NULL, NULL, NULL, 15),
(114751, NULL, 'PTHR34999:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114752, NULL, 'PTHR33044:SF94', NULL, NULL, NULL, NULL, 'PROTEIN YLS3', NULL, NULL, NULL, 15),
(114753, NULL, 'PTHR45890:SF7', NULL, NULL, NULL, NULL, 'OS07G0558000 PROTEIN', NULL, NULL, NULL, 15),
(114754, NULL, 'PTHR46708:SF1', NULL, NULL, NULL, NULL, 'TENASCIN', NULL, NULL, 35773, 15),
(114755, NULL, 'PTHR45923:SF5', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG 1', NULL, NULL, NULL, 15),
(114756, NULL, 'PTHR21319:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', NULL, NULL, 22849, 15),
(114757, NULL, 'PTHR22106:SF5', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 78', NULL, NULL, NULL, 15),
(114758, NULL, 'PTHR33922', NULL, NULL, NULL, NULL, 'OS01G0888066 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114759, NULL, 'PTHR44191:SF41', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1R1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(114760, NULL, 'PTHR23244', NULL, NULL, NULL, NULL, 'KELCH REPEAT DOMAIN', NULL, NULL, NULL, 15),
(114761, NULL, 'PTHR24055:SF462', NULL, NULL, NULL, NULL, 'GLH-BINDING KINASE 1-RELATED', NULL, NULL, NULL, 15),
(114762, NULL, 'PTHR11835:SF56', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT ISOCITRATE DEHYDROGENASE C,1', NULL, NULL, NULL, 15),
(114763, NULL, 'PTHR35885:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114764, NULL, 'PTHR37945', NULL, NULL, NULL, NULL, 'EXTRACELLULAR TUNGSTATE BINDING PROTEIN', NULL, NULL, NULL, 15),
(114765, NULL, 'PTHR31218:SF185', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(114766, NULL, 'PTHR39063:SF1', NULL, NULL, NULL, NULL, 'ORAL-FACIAL-DIGITAL SYNDROME 1 PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(114767, NULL, 'PTHR24258:SF133', NULL, NULL, NULL, NULL, 'SERINE PROTEASE NUDEL', NULL, NULL, 33101, 15),
(114768, NULL, 'PTHR10522:SF5', NULL, NULL, NULL, NULL, 'PREPROGONADOTROPIN-RELEASING HORMONE 2 PRECURSOR', NULL, NULL, NULL, 15),
(114769, NULL, 'PTHR30349', NULL, NULL, NULL, NULL, 'PHAGE INTEGRASE-RELATED', NULL, NULL, NULL, 15),
(114770, NULL, 'PTHR12002:SF112', NULL, NULL, NULL, NULL, 'CLAUDIN-3', NULL, NULL, NULL, 15),
(114771, NULL, 'PTHR24377:SF217', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 286A-RELATED', NULL, NULL, NULL, 15),
(114772, NULL, 'PTHR27009:SF134', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(114773, NULL, 'PTHR10114:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', NULL, NULL, NULL, 15),
(114774, NULL, 'PTHR10110:SF98', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15),
(114775, NULL, 'PTHR30069', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT OUTER MEMBRANE RECEPTOR', NULL, NULL, 35933, 15),
(114776, NULL, 'PTHR43245:SF1', NULL, NULL, NULL, NULL, 'CDP-4-DEHYDRO-6-DEOXY-D-GULOSE 4-REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(114777, NULL, 'PTHR43214:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR YJJQ-RELATED', NULL, NULL, NULL, 15),
(114778, NULL, 'PTHR11817:SF5', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE-RELATED', NULL, NULL, NULL, 15),
(114779, NULL, 'PTHR12081', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F', NULL, NULL, 18343, 15),
(114780, NULL, 'PTHR46445:SF9', NULL, NULL, NULL, NULL, 'BNAC08G11180D PROTEIN', NULL, NULL, NULL, 15),
(114781, NULL, 'PTHR19241:SF633', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(114782, NULL, 'PTHR47076:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114783, NULL, 'PTHR15459:SF4', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1', NULL, NULL, NULL, 15),
(114784, NULL, 'PTHR11712:SF344', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE II, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114785, NULL, 'PTHR24203:SF54', NULL, NULL, NULL, NULL, 'BNAA03G53290D PROTEIN', NULL, NULL, NULL, 15),
(114786, NULL, 'PTHR11009:SF14', NULL, NULL, NULL, NULL, 'DERLIN-2 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(114787, NULL, 'PTHR24320:SF210', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', NULL, NULL, NULL, 15),
(114788, NULL, 'PTHR15036:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114789, NULL, 'PTHR12956:SF24', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN (DUF616)', NULL, NULL, NULL, 15),
(114790, NULL, 'PTHR31889:SF4', NULL, NULL, NULL, NULL, 'OS02G0275200 PROTEIN', NULL, NULL, NULL, 15),
(114791, NULL, 'PTHR11909:SF389', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN HD16', NULL, NULL, NULL, 15),
(114792, NULL, 'PTHR31238:SF103', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 2 MEMBER 3', NULL, NULL, NULL, 15),
(114793, NULL, 'PTHR10219:SF25', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(114794, NULL, 'PTHR23160:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114795, NULL, 'PTHR46288:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114796, NULL, 'PTHR31592:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114797, NULL, 'PTHR33432:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114798, NULL, 'PTHR48000:SF5', NULL, NULL, NULL, NULL, 'OS01G0191900 PROTEIN', NULL, NULL, NULL, 15),
(114799, NULL, 'PTHR33044:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114800, NULL, 'PTHR23012:SF189', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING-CH-TYPE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(114801, NULL, 'PTHR14102:SF13', NULL, NULL, NULL, NULL, 'PAR-6 PARTITIONING DEFECTIVE 6 HOMOLOG BETA (C. ELEGANS)', NULL, NULL, NULL, 15),
(114802, NULL, 'PTHR12391:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114803, NULL, 'PTHR11977:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114804, NULL, 'PTHR10696:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114805, NULL, 'PTHR21143:SF78', NULL, NULL, NULL, NULL, 'GUSTATORY AND ODORANT RECEPTOR 21A', NULL, NULL, NULL, 15),
(114806, NULL, 'PTHR33077:SF19', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10B', NULL, NULL, NULL, 15),
(114807, NULL, 'PTHR23421:SF160', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(114808, NULL, 'PTHR22777', NULL, NULL, NULL, NULL, 'HEMOLYSIN-RELATED', NULL, NULL, NULL, 15),
(114809, NULL, 'PTHR31908:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CROWDED NUCLEI 3', NULL, NULL, NULL, 15),
(114810, NULL, 'PTHR24034:SF100', NULL, NULL, NULL, NULL, 'GENE, 19410-RELATED', NULL, NULL, NULL, 15),
(114811, NULL, 'PTHR23155:SF1089', NULL, NULL, NULL, NULL, 'OS09G0328951 PROTEIN', NULL, NULL, NULL, 15),
(114812, NULL, 'PTHR47997:SF28', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 308-LIKE', NULL, NULL, NULL, 15),
(114813, NULL, 'PTHR33124:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH147', NULL, NULL, NULL, 15),
(114814, NULL, 'PTHR46428', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(114815, NULL, 'PTHR33076:SF61', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(114816, NULL, 'PTHR24177:SF268', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114817, NULL, 'PTHR48018:SF48', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8G5', NULL, NULL, NULL, 15),
(114818, NULL, 'PTHR22948:SF18', NULL, NULL, NULL, NULL, 'TUDOR AND KH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(114819, NULL, 'PTHR43539:SF47', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(114820, NULL, 'PTHR22848:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114821, NULL, 'PTHR26451:SF896', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114822, NULL, 'PTHR47360', NULL, NULL, NULL, NULL, 'MUREIN DD-ENDOPEPTIDASE MEPS/MUREIN LD-CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(114823, NULL, 'PTHR48043:SF11', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(114824, NULL, 'PTHR47473', NULL, NULL, NULL, NULL, 'BTA1P', NULL, NULL, NULL, 15),
(114825, NULL, 'PTHR31194:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114826, NULL, 'PTHR47926:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114827, NULL, 'PTHR25952:SF242', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114828, NULL, 'PTHR33935:SF2', NULL, NULL, NULL, NULL, 'OS03G0245200 PROTEIN', NULL, NULL, NULL, 15),
(114829, NULL, 'PTHR31059:SF3', NULL, NULL, NULL, NULL, 'HSSA/B-LIKE PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(114830, NULL, 'PTHR15572', NULL, NULL, NULL, NULL, 'GLIOMA TUMOR SUPPRESSOR CANDIDATE REGION GENE 1', NULL, NULL, NULL, 15),
(114831, NULL, 'PTHR11685:SF352', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(114832, NULL, 'PTHR10177:SF443', NULL, NULL, NULL, NULL, 'CYCLIN-A3-1-RELATED', NULL, NULL, NULL, 15),
(114833, NULL, 'PTHR37686', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114834, NULL, 'PTHR33879:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114835, NULL, 'PTHR36356:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(114836, NULL, 'PTHR24242:SF364', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(114837, NULL, 'PTHR11920:SF478', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-7', NULL, NULL, NULL, 15),
(114838, NULL, 'PTHR46128:SF155', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114839, NULL, 'PTHR34005:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG15054', NULL, NULL, NULL, 15),
(114840, NULL, 'PTHR12002:SF181', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, NULL, 15),
(114841, NULL, 'PTHR31147:SF41', NULL, NULL, NULL, NULL, '3''-N-DEBENZOYLTAXOL N-BENZOYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(114842, NULL, 'PTHR36067:SF2', NULL, NULL, NULL, NULL, 'BNAC03G49100D PROTEIN', NULL, NULL, NULL, 15),
(114843, NULL, 'PTHR46096', NULL, NULL, NULL, NULL, 'PERFORIN-1', NULL, NULL, NULL, 15),
(114844, NULL, 'PTHR12210:SF160', NULL, NULL, NULL, NULL, 'CTD (CARBOXY-TERMINAL DOMAIN, RNA POLYMERASE II, POLYPEPTIDE A) SMALL PHOSPHATASE-LIKE A', NULL, NULL, NULL, 15),
(114845, NULL, 'PTHR11552:SF100', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00630)-RELATED', NULL, NULL, NULL, 15),
(114846, NULL, 'PTHR31845:SF30', NULL, NULL, NULL, NULL, 'MISCELLANEOUS ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(114847, NULL, 'PTHR21450:SF33', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, 48652-45869-RELATED', NULL, NULL, NULL, 15),
(114848, NULL, 'PTHR31175:SF78', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR66-LIKE', NULL, NULL, NULL, 15),
(114849, NULL, 'PTHR31650:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114850, NULL, 'PTHR21879:SF8', NULL, NULL, NULL, NULL, 'OSIRIS 23', NULL, NULL, NULL, 15),
(114851, NULL, 'PTHR42903:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YCCF', NULL, NULL, NULL, 15),
(114852, NULL, 'PTHR24286:SF42', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 BJ-3', NULL, NULL, NULL, 15),
(114853, NULL, 'PTHR22798:SF2', NULL, NULL, NULL, NULL, 'MALIGNANT T-CELL-AMPLIFIED SEQUENCE', NULL, NULL, NULL, 15),
(114854, NULL, 'PTHR12190:SF6', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 8', NULL, NULL, NULL, 15),
(114855, NULL, 'PTHR11516:SF56', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA-2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(114856, NULL, 'PTHR33254:SF23', NULL, NULL, NULL, NULL, '4-HYDROXY-4-METHYL-2-OXOGLUTARATE ALDOLASE', NULL, NULL, NULL, 15),
(114857, NULL, 'PTHR31989:SF370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114858, NULL, 'PTHR12881:SF10', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 1', NULL, NULL, NULL, 15),
(114859, NULL, 'PTHR32009:SF93', NULL, NULL, NULL, NULL, 'BNAC09G51970D PROTEIN', NULL, NULL, NULL, 15),
(114860, NULL, 'PTHR23301:SF71', NULL, NULL, NULL, NULL, 'BCDNA.GH02976', NULL, NULL, NULL, 15),
(114861, NULL, 'PTHR24304:SF0', NULL, NULL, NULL, NULL, '25-HYDROXYCHOLESTEROL 7-ALPHA-HYDROXYLASE', NULL, NULL, NULL, 15),
(114862, NULL, 'PTHR32401:SF15', NULL, NULL, NULL, NULL, 'LEGUME LECTIN BETA DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(114863, NULL, 'PTHR21139:SF28', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(114864, NULL, 'PTHR42743', NULL, NULL, NULL, NULL, 'AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(114865, NULL, 'PTHR18839:SF3', NULL, NULL, NULL, NULL, 'MITOTIC INTERACTOR AND SUBSTRATE OF PLK1', NULL, NULL, NULL, 15),
(114866, NULL, 'PTHR33955:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 52', NULL, NULL, NULL, 15),
(114867, NULL, 'PTHR12547:SF146', NULL, NULL, NULL, NULL, 'ZINC FINGER C-X8-C-X5-C-X3-H TYPE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(114868, NULL, 'PTHR13497:SF3', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP130', NULL, NULL, NULL, 15),
(114869, NULL, 'PTHR31636:SF180', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(114870, NULL, 'PTHR10071:SF190', NULL, NULL, NULL, NULL, 'ERYTHROID TRANSCRIPTION FACTOR', NULL, NULL, 25602, 15),
(114871, NULL, 'PTHR10108:SF1090', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT7-RELATED', NULL, NULL, NULL, 15),
(114872, NULL, 'PTHR43128:SF15', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(114873, NULL, 'PTHR34937:SF1', NULL, NULL, NULL, NULL, 'PARAMYOSIN', NULL, NULL, NULL, 15),
(114874, NULL, 'PTHR21022:SF0', NULL, NULL, NULL, NULL, 'PREPHENATE DEHYDRATASE-RELATED', NULL, NULL, NULL, 15),
(114875, NULL, 'PTHR11959:SF12', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE', NULL, NULL, NULL, 15),
(114876, NULL, 'PTHR14553', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN C1ORF50', NULL, NULL, 19443, 15),
(114877, NULL, 'PTHR31288:SF27', NULL, NULL, NULL, NULL, 'BNAA06G09720D PROTEIN', NULL, NULL, NULL, 15),
(114878, NULL, 'PTHR45637:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114879, NULL, 'PTHR11861:SF12', NULL, NULL, NULL, NULL, 'PREMELANOSOME PROTEIN B', NULL, NULL, NULL, 15),
(114880, NULL, 'PTHR10366:SF384', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(114881, NULL, 'PTHR22572:SF147', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE NUCLEOTYDYL TRANSFERASE', NULL, NULL, NULL, 15),
(114882, NULL, 'PTHR20932:SF32', NULL, NULL, NULL, NULL, 'LYSM DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(114883, NULL, 'PTHR48019:SF98', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 27-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(114884, NULL, 'PTHR22898:SF4', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(114885, NULL, 'PTHR10725:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114886, NULL, 'PTHR10846:SF42', NULL, NULL, NULL, NULL, 'ZYDECO, ISOFORM F', NULL, NULL, NULL, 15),
(114887, NULL, 'PTHR22599:SF20', NULL, NULL, NULL, NULL, 'CBK1 KINASE ACTIVATOR PROTEIN MOB2', NULL, NULL, NULL, 15),
(114888, NULL, 'PTHR16305:SF28', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 10', NULL, NULL, NULL, 15),
(114889, NULL, 'PTHR46313:SF3', NULL, NULL, NULL, NULL, 'PROLYCOPENE ISOMERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(114890, NULL, 'PTHR43572:SF47', NULL, NULL, NULL, NULL, 'BNAANNG26190D PROTEIN', NULL, NULL, NULL, 15),
(114891, NULL, 'PTHR13948:SF22', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 6', NULL, NULL, 27699, 15),
(114892, NULL, 'PTHR46105:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR PROTEIN BACH1', NULL, NULL, NULL, 15),
(114893, NULL, 'PTHR43396:SF5', NULL, NULL, NULL, NULL, 'VANILLATE O-DEMETHYLASE OXIDOREDUCTASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114894, NULL, 'PTHR16290:SF28', NULL, NULL, NULL, NULL, 'DECAPPING 1-RELATED', NULL, NULL, NULL, 15),
(114895, NULL, 'PTHR46061:SF6', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE RECEPTOR B', NULL, NULL, NULL, 15),
(114896, NULL, 'PTHR31288:SF10', NULL, NULL, NULL, NULL, 'PROTEIN ESMERALDA 1', NULL, NULL, NULL, 15),
(114897, NULL, 'PTHR48016:SF21', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE', NULL, NULL, NULL, 15),
(114898, NULL, 'PTHR43300:SF5', NULL, NULL, NULL, NULL, 'CHLORAMPHENICOL ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(114899, NULL, 'PTHR31839:SF57', NULL, NULL, NULL, NULL, 'C-REPEAT BINDING FACTOR 9', NULL, NULL, NULL, 15),
(114900, NULL, 'PTHR21230:SF71', NULL, NULL, NULL, NULL, 'MEMBRIN', NULL, NULL, NULL, 15),
(114901, NULL, 'PTHR10033:SF0', NULL, NULL, NULL, NULL, 'CALSEQUESTRIN', NULL, NULL, NULL, 15),
(114902, NULL, 'PTHR31265:SF45', NULL, NULL, NULL, NULL, 'BNAA05G29710D PROTEIN', NULL, NULL, NULL, 15),
(114903, NULL, 'PTHR24023:SF1003', NULL, NULL, NULL, NULL, 'COLLAGEN TRIPLE HELIX REPEAT', NULL, NULL, NULL, 15),
(114904, NULL, 'PTHR10131:SF120', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 4', NULL, NULL, 24962, 15),
(114905, NULL, 'PTHR24399:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 3', NULL, NULL, NULL, 15),
(114906, NULL, 'PTHR30005:SF0', NULL, NULL, NULL, NULL, 'RETROGRADE REGULATION PROTEIN 2', NULL, NULL, NULL, 15),
(114907, NULL, 'PTHR12419:SF74', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN DDB_G0284757 ISOFORM X1', NULL, NULL, NULL, 15),
(114908, NULL, 'PTHR40026:SF1', NULL, NULL, NULL, NULL, 'PROTEIN VEG', NULL, NULL, NULL, 15),
(114909, NULL, 'PTHR32343:SF24', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 10', NULL, NULL, NULL, 15),
(114910, NULL, 'PTHR11119', NULL, NULL, NULL, NULL, 'XANTHINE-URACIL / VITAMIN C PERMEASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(114911, NULL, 'PTHR43719:SF50', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE CKI1-LIKE', NULL, NULL, NULL, 15),
(114912, NULL, 'PTHR33177:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114913, NULL, 'PTHR12802:SF137', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN I', NULL, NULL, NULL, 15),
(114914, NULL, 'PTHR11615:SF309', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114915, NULL, 'PTHR33076:SF111', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(114916, NULL, 'PTHR31989:SF168', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(114917, NULL, 'PTHR13044:SF40', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY', NULL, NULL, NULL, 15),
(114918, NULL, 'PTHR18934:SF202', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX29', NULL, NULL, NULL, 15),
(114919, NULL, 'PTHR13581:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114920, NULL, 'PTHR22958:SF31', NULL, NULL, NULL, NULL, 'BNAC06G13430D PROTEIN', NULL, NULL, NULL, 15),
(114921, NULL, 'PTHR24320:SF208', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE TIC 32, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(114922, NULL, 'PTHR45801:SF50', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(114923, NULL, 'PTHR14096:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG02395', NULL, NULL, NULL, 15),
(114924, NULL, 'PTHR38847:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114925, NULL, 'PTHR11818:SF111', NULL, NULL, NULL, NULL, 'CRYSTALLIN, GAMMA M1-RELATED', NULL, NULL, NULL, 15),
(114926, NULL, 'PTHR19241:SF644', NULL, NULL, NULL, NULL, 'ABC-2 AND PLANT PDR ABC-TYPE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(114927, NULL, 'PTHR45958:SF16', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(114928, NULL, 'PTHR31947:SF17', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(114929, NULL, 'PTHR10113:SF35', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114930, NULL, 'PTHR21520:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 2', NULL, NULL, NULL, 15),
(114931, NULL, 'PTHR31828:SF16', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIBETA', NULL, NULL, NULL, 15),
(114932, NULL, 'PTHR33832:SF13', NULL, NULL, NULL, NULL, 'OS03G0733900 PROTEIN', NULL, NULL, NULL, 15),
(114933, NULL, 'PTHR13620:SF65', NULL, NULL, NULL, NULL, 'OS01G0660800 PROTEIN', NULL, NULL, NULL, 15),
(114934, NULL, 'PTHR10855:SF2', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 4', NULL, NULL, 34768, 15),
(114935, NULL, 'PTHR10891:SF903', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML43-RELATED', NULL, NULL, NULL, 15),
(114936, NULL, 'PTHR43791:SF38', NULL, NULL, NULL, NULL, 'MONONUCLEOTIDE PERMEASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114937, NULL, 'PTHR24233:SF0', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 12', NULL, NULL, 7125, 15),
(114938, NULL, 'PTHR35022:SF13', NULL, NULL, NULL, NULL, 'EXTENSIN-3-LIKE', NULL, NULL, NULL, 15),
(114939, NULL, 'PTHR46713:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114940, NULL, 'PTHR23127', NULL, NULL, NULL, NULL, 'CENTROMERE/MICROTUBULE BINDING PROTEIN CBF5', NULL, NULL, 5546, 15),
(114941, NULL, 'PTHR35011:SF11', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLATE MEMBRANE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(114942, NULL, 'PTHR34586:SF4', NULL, NULL, NULL, NULL, 'ALLERGEN ASP F7 (AFU_ORTHOLOGUE AFUA_4G06670)', NULL, NULL, NULL, 15),
(114943, NULL, 'PTHR46594:SF2', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE HMA4', NULL, NULL, NULL, 15),
(114944, NULL, 'PTHR22988:SF28', NULL, NULL, NULL, NULL, 'RHO-ASSOCIATED PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(114945, NULL, 'PTHR31190:SF273', NULL, NULL, NULL, NULL, 'BNAA10G04090D PROTEIN', NULL, NULL, NULL, 15),
(114946, NULL, 'PTHR31321:SF69', NULL, NULL, NULL, NULL, 'PECTINESTERASE PPME1-RELATED', NULL, NULL, NULL, 15),
(114947, NULL, 'PTHR45747:SF16', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE MES-2', NULL, NULL, NULL, 15),
(114948, NULL, 'PTHR47293:SF52', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 10-RELATED', NULL, NULL, NULL, 15),
(114949, NULL, 'PTHR21367', NULL, NULL, NULL, NULL, 'ARGININE-TRNA-PROTEIN TRANSFERASE 1', NULL, NULL, 24535, 15),
(114950, NULL, 'PTHR10623:SF34', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN, RP/EB FAMILY, MEMBER 3B', NULL, NULL, NULL, 15),
(114951, NULL, 'PTHR34808:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114952, NULL, 'PTHR11200:SF268', NULL, NULL, NULL, NULL, 'TYPE II INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 14', NULL, NULL, NULL, 15),
(114953, NULL, 'PTHR14677:SF13', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 2B', NULL, NULL, NULL, 15),
(114954, NULL, 'PTHR12956:SF69', NULL, NULL, NULL, NULL, 'BNAC04G44140D PROTEIN', NULL, NULL, NULL, 15),
(114955, NULL, 'PTHR11309:SF86', NULL, NULL, NULL, NULL, 'FRIZZLED-10', NULL, NULL, 22313, 15),
(114956, NULL, 'PTHR12622:SF4', NULL, NULL, NULL, NULL, 'PROTEIN DELTEX', NULL, NULL, NULL, 15),
(114957, NULL, 'PTHR13343:SF32', NULL, NULL, NULL, NULL, 'BNAA01G25290D PROTEIN', NULL, NULL, NULL, 15),
(114958, NULL, 'PTHR45645:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114959, NULL, 'PTHR48086:SF3', NULL, NULL, NULL, NULL, 'SODIUM/PROLINE SYMPORTER', NULL, NULL, NULL, 15),
(114960, NULL, 'PTHR47071:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(114961, NULL, 'PTHR46179:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114962, NULL, 'PTHR23334:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114963, NULL, 'PTHR24296:SF108', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 96, SUBFAMILY A, POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(114964, NULL, 'PTHR45940', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 1-RELATED', NULL, NULL, 38903, 15),
(114965, NULL, 'PTHR42080:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114966, NULL, 'PTHR22811:SF173', NULL, NULL, NULL, NULL, 'COAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(114967, NULL, 'PTHR24020:SF68', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS A MEMBER 3', NULL, NULL, NULL, 15),
(114968, NULL, 'PTHR46964', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I-RELATED', NULL, NULL, NULL, 15),
(114969, NULL, 'PTHR37751:SF2', NULL, NULL, NULL, NULL, 'BNAC09G52880D PROTEIN', NULL, NULL, NULL, 15),
(114970, NULL, 'PTHR23267:SF435', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114971, NULL, 'PTHR31836:SF2', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(114972, NULL, 'PTHR30566:SF25', NULL, NULL, NULL, NULL, 'LARGE-CONDUCTANCE MECHANOSENSITIVE CHANNEL MSCMJLR', NULL, NULL, NULL, 15),
(114973, NULL, 'PTHR11706:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114974, NULL, 'PTHR11877:SF64', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 2', NULL, NULL, NULL, 15),
(114975, NULL, 'PTHR47947:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82A1-LIKE', NULL, NULL, NULL, 15),
(114976, NULL, 'PTHR10742:SF386', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 2', NULL, NULL, NULL, 15),
(114977, NULL, 'PTHR33147:SF42', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PROTEIN LCR69, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114978, NULL, 'PTHR45796:SF5', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN P3', NULL, NULL, NULL, 15),
(114979, NULL, 'PTHR24220:SF470', NULL, NULL, NULL, NULL, 'CELL DIVISION ATP-BINDING PROTEIN FTSE', NULL, NULL, NULL, 15),
(114980, NULL, 'PTHR32077:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114981, NULL, 'PTHR43429:SF3', NULL, NULL, NULL, NULL, 'NADH OXIDASE-RELATED', NULL, NULL, NULL, 15),
(114982, NULL, 'PTHR45676:SF27', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL73-LIKE', NULL, NULL, NULL, 15),
(114983, NULL, 'PTHR17537:SF6', NULL, NULL, NULL, NULL, 'PROTEIN TOB1', NULL, NULL, 18275, 15),
(114984, NULL, 'PTHR34765', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 19', NULL, NULL, 38258, 15),
(114985, NULL, 'PTHR33564:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(114986, NULL, 'PTHR24353:SF73', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE TYPE 1-RELATED', NULL, NULL, NULL, 15),
(114987, NULL, 'PTHR12992:SF36', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(114988, NULL, 'PTHR31683:SF128', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(114989, NULL, 'PTHR21608', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(114990, NULL, 'PTHR13068:SF144', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(114991, NULL, 'PTHR32063:SF64', NULL, NULL, NULL, NULL, 'ACRB/ACRD/ACRF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(114992, NULL, 'PTHR46910:SF12', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN CAT8', NULL, NULL, NULL, 15),
(114993, NULL, 'PTHR10678:SF10', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(114994, NULL, 'PTHR11669:SF54', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT GAMMA/TAU', NULL, NULL, NULL, 15),
(114995, NULL, 'PTHR31973:SF86', NULL, NULL, NULL, NULL, 'POLYPROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(114996, NULL, 'PTHR46301:SF43', NULL, NULL, NULL, NULL, 'OS01G0519100 PROTEIN', NULL, NULL, NULL, 15),
(114997, NULL, 'PTHR46503', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(114998, NULL, 'PTHR23280:SF5', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(114999, NULL, 'PTHR33181:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115000, NULL, 'PTHR11969:SF60', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(115001, NULL, 'PTHR31942:SF59', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(115002, NULL, 'PTHR47314:SF2', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN OLIGOMER TRANSPORT SYSTEM PERMEASE PROTEIN GANP-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115003, NULL, 'PTHR45651:SF37', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 11', NULL, NULL, NULL, 15),
(115004, NULL, 'PTHR45968:SF23', NULL, NULL, NULL, NULL, '(R)-MANDELONITRILE LYASE 4-RELATED', NULL, NULL, NULL, 15),
(115005, NULL, 'PTHR11814:SF187', NULL, NULL, NULL, NULL, 'EPIDERMAL STRIPES AND PATCHES, ISOFORM A', NULL, NULL, NULL, 15),
(115006, NULL, 'PTHR16295', NULL, NULL, NULL, NULL, 'TRAF-TYPE ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115007, NULL, 'PTHR23077:SF159', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(115008, NULL, 'PTHR46281:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B-2-RELATED', NULL, NULL, NULL, 15),
(115009, NULL, 'PTHR11633:SF3', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR SUBUNIT A', NULL, NULL, NULL, 15),
(115010, NULL, 'PTHR10980', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR', NULL, NULL, 4562, 15),
(115011, NULL, 'PTHR42825:SF25', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(115012, NULL, 'PTHR24305:SF183', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(115013, NULL, 'PTHR27004:SF337', NULL, NULL, NULL, NULL, 'BNAA05G10550D PROTEIN', NULL, NULL, NULL, 15),
(115014, NULL, 'PTHR11202:SF22', NULL, NULL, NULL, NULL, 'PROTEIN ENABLED', NULL, NULL, NULL, 15),
(115015, NULL, 'PTHR11208:SF92', NULL, NULL, NULL, NULL, 'BNAA05G29610D PROTEIN', NULL, NULL, NULL, 15),
(115016, NULL, 'PTHR33070:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115017, NULL, 'PTHR31639:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115018, NULL, 'PTHR11260:SF658', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GST 26', NULL, NULL, NULL, 15),
(115019, NULL, 'PTHR31325:SF157', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(115020, NULL, 'PTHR27004:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115021, NULL, 'PTHR12549:SF42', NULL, NULL, NULL, NULL, 'PROTEIN B160', NULL, NULL, NULL, 15),
(115022, NULL, 'PTHR13058:SF19', NULL, NULL, NULL, NULL, 'THREE-PRIME REPAIR EXONUCLEASE 1', NULL, NULL, NULL, 15),
(115023, NULL, 'PTHR13976:SF77', NULL, NULL, NULL, NULL, 'BNAA05G20010D PROTEIN', NULL, NULL, NULL, 15),
(115024, NULL, 'PTHR11223:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115025, NULL, 'PTHR10380:SF205', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 97EB', NULL, NULL, NULL, 15),
(115026, NULL, 'PTHR11214:SF242', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(115027, NULL, 'PTHR31314:SF101', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(115028, NULL, 'PTHR10811:SF73', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(115029, NULL, 'PTHR33377:SF36', NULL, NULL, NULL, NULL, 'OS01G0582300 PROTEIN', NULL, NULL, NULL, 15),
(115030, NULL, 'PTHR26450:SF156', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52R1', NULL, NULL, NULL, 15),
(115031, NULL, 'PTHR10562:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115032, NULL, 'PTHR46267:SF17', NULL, NULL, NULL, NULL, 'BNAA09G07290D PROTEIN', NULL, NULL, NULL, 15),
(115033, NULL, 'PTHR40396', NULL, NULL, NULL, NULL, 'ATPASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(115034, NULL, 'PTHR45658:SF18', NULL, NULL, NULL, NULL, 'PROTEIN GAT2-RELATED', NULL, NULL, NULL, 15),
(115035, NULL, 'PTHR10353:SF227', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 46-LIKE', NULL, NULL, NULL, 15),
(115036, NULL, 'PTHR46890:SF13', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(115037, NULL, 'PTHR10984:SF66', NULL, NULL, NULL, NULL, 'BNAA09G30800D PROTEIN', NULL, NULL, NULL, 15),
(115038, NULL, 'PTHR23262:SF205', NULL, NULL, NULL, NULL, 'MCG141380', NULL, NULL, NULL, 15),
(115039, NULL, 'PTHR47967:SF75', NULL, NULL, NULL, NULL, 'OS12G0450300 PROTEIN', NULL, NULL, NULL, 15),
(115040, NULL, 'PTHR46678', NULL, NULL, NULL, NULL, 'LECITHIN RETINOL ACYLTRANSFERASE', NULL, NULL, 37150, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115041, NULL, 'PTHR15025:SF7', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, VOLTAGE-DEPENDENT, GAMMA SUBUNIT 6A', NULL, NULL, NULL, 15),
(115042, NULL, 'PTHR33414', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 1-RELATED 1', NULL, NULL, 29225, 15),
(115043, NULL, 'PTHR31765', NULL, NULL, NULL, NULL, 'PROTEIN CBG12783', NULL, NULL, NULL, 15),
(115044, NULL, 'PTHR35011:SF5', NULL, NULL, NULL, NULL, 'SIALIC ACID TRAP TRANSPORTER SMALL PERMEASE PROTEIN SIAQ', NULL, NULL, NULL, 15),
(115045, NULL, 'PTHR31704:SF33', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(115046, NULL, 'PTHR48104:SF31', NULL, NULL, NULL, NULL, 'METACASPASE 2-RELATED', NULL, NULL, NULL, 15),
(115047, NULL, 'PTHR46006:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115048, NULL, 'PTHR31371:SF13', NULL, NULL, NULL, NULL, 'OS10G0380300 PROTEIN', NULL, NULL, NULL, 15),
(115049, NULL, 'PTHR31791:SF32', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(115050, NULL, 'PTHR12245:SF15', NULL, NULL, NULL, NULL, 'SI:CH1073-228J22.2', NULL, NULL, NULL, 15),
(115051, NULL, 'PTHR16027:SF4', NULL, NULL, NULL, NULL, 'RAS-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(115052, NULL, 'PTHR31639:SF221', NULL, NULL, NULL, NULL, 'OS06G0204600 PROTEIN', NULL, NULL, NULL, 15),
(115053, NULL, 'PTHR15546:SF8', NULL, NULL, NULL, NULL, 'OS02G0556900 PROTEIN', NULL, NULL, NULL, 15),
(115054, NULL, 'PTHR31988', NULL, NULL, NULL, NULL, 'ESTERASE, PUTATIVE (DUF303)-RELATED', NULL, NULL, NULL, 15),
(115055, NULL, 'PTHR11071:SF499', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(115056, NULL, 'PTHR31989:SF316', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR PPVNS5', NULL, NULL, NULL, 15),
(115057, NULL, 'PTHR11206:SF73', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EXTRUSION PROTEIN 1', NULL, NULL, NULL, 15),
(115058, NULL, 'PTHR32100:SF46', NULL, NULL, NULL, NULL, 'OMEGA-6 FATTY ACID DESATURASE, ENDOPLASMIC RETICULUM', NULL, NULL, NULL, 15),
(115059, NULL, 'PTHR47992:SF68', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 73-RELATED', NULL, NULL, NULL, 15),
(115060, NULL, 'PTHR43190:SF8', NULL, NULL, NULL, NULL, 'N-ACETYL-D-GLUCOSAMINE KINASE-LIKE', NULL, NULL, NULL, 15),
(115061, NULL, 'PTHR23515:SF17', NULL, NULL, NULL, NULL, 'NITRATE TRANSPORT3', NULL, NULL, NULL, 15),
(115062, NULL, 'PTHR13817:SF127', NULL, NULL, NULL, NULL, 'LP22668P', NULL, NULL, NULL, 15),
(115063, NULL, 'PTHR23081:SF30', NULL, NULL, NULL, NULL, 'BNAA01G26010D PROTEIN', NULL, NULL, NULL, 15),
(115064, NULL, 'PTHR22874:SF8', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(115065, NULL, 'PTHR34281:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115066, NULL, 'PTHR11851:SF202', NULL, NULL, NULL, NULL, 'PROCESSING PEPTIDASE ALPHA SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(115067, NULL, 'PTHR28006', NULL, NULL, NULL, NULL, 'MONOPOLIN COMPLEX SUBUNIT CSM1', NULL, NULL, 30457, 15),
(115068, NULL, 'PTHR23028:SF124', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(115069, NULL, 'PTHR11680:SF51', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(115070, NULL, 'PTHR13068:SF192', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(115071, NULL, 'PTHR33778', NULL, NULL, NULL, NULL, 'PROTEIN MGTC', NULL, NULL, 4593, 15),
(115072, NULL, 'PTHR12313:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF185', NULL, NULL, NULL, 15),
(115073, NULL, 'PTHR22589:SF47', NULL, NULL, NULL, NULL, 'CARNITINE O-ACETYLTRANSFERASE B', NULL, NULL, NULL, 15),
(115074, NULL, 'PTHR34184', NULL, NULL, NULL, NULL, 'UPF0718 PROTEIN YCGR', NULL, NULL, NULL, 15),
(115075, NULL, 'PTHR32166:SF95', NULL, NULL, NULL, NULL, 'BNAC01G22590D PROTEIN', NULL, NULL, NULL, 15),
(115076, NULL, 'PTHR46260:SF3', NULL, NULL, NULL, NULL, 'KELCH REPEAT PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115077, NULL, 'PTHR23226:SF148', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(115078, NULL, 'PTHR11260:SF550', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GST 38', NULL, NULL, NULL, 15),
(115079, NULL, 'PTHR34799:SF2', NULL, NULL, NULL, NULL, 'OS07G0656300 PROTEIN', NULL, NULL, NULL, 15),
(115080, NULL, 'PTHR45089:SF4', NULL, NULL, NULL, NULL, 'OS11G0573800 PROTEIN', NULL, NULL, NULL, 15),
(115081, NULL, 'PTHR24403:SF48', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 10', NULL, NULL, NULL, 15),
(115082, NULL, 'PTHR47928:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115083, NULL, 'PTHR15718:SF6', NULL, NULL, NULL, NULL, 'G PROTEIN-REGULATED INDUCER OF NEURITE OUTGROWTH 3', NULL, NULL, NULL, 15),
(115084, NULL, 'PTHR43991:SF18', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(115085, NULL, 'PTHR11685:SF245', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(115086, NULL, 'PTHR27002:SF844', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 26-RELATED', NULL, NULL, NULL, 15),
(115087, NULL, 'PTHR12466', NULL, NULL, NULL, NULL, 'CDC73 DOMAIN PROTEIN', NULL, NULL, 2363, 15),
(115088, NULL, 'PTHR11764:SF57', NULL, NULL, NULL, NULL, 'TIRUCALLADIENOL SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(115089, NULL, 'PTHR47795:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN AND WLM DOMAIN-CONTAINING METALLOPROTEASE SPCC1442.07C', NULL, NULL, NULL, 15),
(115090, NULL, 'PTHR11850:SF266', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOMOTHORAX', NULL, NULL, NULL, 15),
(115091, NULL, 'PTHR31409:SF0', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(115092, NULL, 'PTHR23050:SF119', NULL, NULL, NULL, NULL, 'CALMODULIN RELATED GENES', NULL, NULL, NULL, 15),
(115093, NULL, 'PTHR12874:SF20', NULL, NULL, NULL, NULL, 'BNACNNG10450D PROTEIN', NULL, NULL, NULL, 15),
(115094, NULL, 'PTHR39532', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115095, NULL, 'PTHR36138:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115096, NULL, 'PTHR37508', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115097, NULL, 'PTHR42746:SF2', NULL, NULL, NULL, NULL, 'DIADENOSINE 5'',5''''''-P1,P4-TETRAPHOSPHATE PHOSPHORYLASE 2-RELATED', NULL, NULL, NULL, 15),
(115098, NULL, 'PTHR43706:SF31', NULL, NULL, NULL, NULL, 'PARVALBUMIN, FAD/NAD(P)-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115099, NULL, 'PTHR24418:SF399', NULL, NULL, NULL, NULL, 'MEGAKARYOCYTE-ASSOCIATED TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(115100, NULL, 'PTHR21529:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115101, NULL, 'PTHR26379:SF304', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(115102, NULL, 'PTHR43558', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10540)-RELATED', NULL, NULL, NULL, 15),
(115103, NULL, 'PTHR42801', NULL, NULL, NULL, NULL, 'THIOREDOXIN-DEPENDENT PEROXIDE REDUCTASE', NULL, NULL, NULL, 15),
(115104, NULL, 'PTHR31251:SF124', NULL, NULL, NULL, NULL, 'BNAA09G27960D PROTEIN', NULL, NULL, NULL, 15),
(115105, NULL, 'PTHR47176', NULL, NULL, NULL, NULL, 'OSJNBA0020J04.13 PROTEIN', NULL, NULL, NULL, 15),
(115106, NULL, 'PTHR22932:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(115107, NULL, 'PTHR14511:SF14', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR FAMILY C GROUP 5 MEMBER B-LIKE', NULL, NULL, NULL, 15),
(115108, NULL, 'PTHR33109:SF70', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(115109, NULL, 'PTHR47877:SF6', NULL, NULL, NULL, NULL, 'EMBRYONIC PROTEIN DC-8-RELATED', NULL, NULL, NULL, 15),
(115110, NULL, 'PTHR42981:SF2', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE [UBIQUINONE]', NULL, NULL, NULL, 15),
(115111, NULL, 'PTHR32134:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115112, NULL, 'PTHR15572:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-168D23.3', NULL, NULL, NULL, 15),
(115113, NULL, 'PTHR33459:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115114, NULL, 'PTHR33074:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115115, NULL, 'PTHR42764:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(115116, NULL, 'PTHR15126', NULL, NULL, NULL, NULL, 'SH3-BINDING', NULL, NULL, 34874, 15),
(115117, NULL, 'PTHR38681:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115118, NULL, 'PTHR33191:SF40', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(115119, NULL, 'PTHR33830:SF21', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 140-RELATED', NULL, NULL, NULL, 15),
(115120, NULL, 'PTHR31826:SF4', NULL, NULL, NULL, NULL, 'NICALIN-1', NULL, NULL, NULL, 15),
(115121, NULL, 'PTHR44083:SF25', NULL, NULL, NULL, NULL, 'TOPLESS-LIKE PROTEIN', NULL, NULL, NULL, 15),
(115122, NULL, 'PTHR30469:SF31', NULL, NULL, NULL, NULL, 'SLL0180 PROTEIN', NULL, NULL, NULL, 15),
(115123, NULL, 'PTHR47074:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115124, NULL, 'PTHR12161:SF65', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN IST1-RELATED', NULL, NULL, NULL, 15),
(115125, NULL, 'PTHR10361:SF55', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 10 MEMBER 6', NULL, NULL, 23979, 15),
(115126, NULL, 'PTHR39966:SF3', NULL, NULL, NULL, NULL, 'PAS/PAC SENSOR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115127, NULL, 'PTHR33091:SF44', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR POTATO INHIBITOR I-TYPE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(115128, NULL, 'PTHR21503:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG03754', NULL, NULL, NULL, 15),
(115129, NULL, 'PTHR31038:SF12', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(115130, NULL, 'PTHR48002:SF9', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K1', NULL, NULL, NULL, 15),
(115131, NULL, 'PTHR33869:SF20', NULL, NULL, NULL, NULL, 'BNAA02G16350D PROTEIN', NULL, NULL, NULL, 15),
(115132, NULL, 'PTHR31172:SF5', NULL, NULL, NULL, NULL, 'STOMATAL CLOSURE-RELATED ACTIN-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(115133, NULL, 'PTHR24293:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 46, SUBFAMILY A, POLYPEPTIDE 1, TANDEM DUPLICATE 2-RELATED', NULL, NULL, NULL, 15),
(115134, NULL, 'PTHR27006:SF250', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1', NULL, NULL, NULL, 15),
(115135, NULL, 'PTHR38459:SF4', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115136, NULL, 'PTHR13199:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115137, NULL, 'PTHR22975:SF9', NULL, NULL, NULL, NULL, 'ECHINUS SPLICE FORM 3', NULL, NULL, NULL, 15),
(115138, NULL, 'PTHR37989:SF38', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(115139, NULL, 'PTHR46807:SF5', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(115140, NULL, 'PTHR15454:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115141, NULL, 'PTHR35862', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', NULL, NULL, NULL, 15),
(115142, NULL, 'PTHR46232', NULL, NULL, NULL, NULL, 'SMARCE1 REGULATOR OF CHROMATIN', NULL, NULL, 27355, 15),
(115143, NULL, 'PTHR46638:SF1', NULL, NULL, NULL, NULL, 'CORRINOID ADENOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(115144, NULL, 'PTHR27006:SF277', NULL, NULL, NULL, NULL, 'REPEAT TRANSMEMBRANE PROTEIN KINASE, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(115145, NULL, 'PTHR47164:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(115146, NULL, 'PTHR11347:SF199', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT 3'',5''-CYCLIC NUCLEOTIDE PHOSPHODIESTERASE 1', NULL, NULL, NULL, 15),
(115147, NULL, 'PTHR42938:SF18', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115148, NULL, 'PTHR27001:SF539', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-REGULATED RECEPTOR-LIKE KINASE 2', NULL, NULL, NULL, 15),
(115149, NULL, 'PTHR43735:SF16', NULL, NULL, NULL, NULL, 'NADH:UBIQUINONE REDUCTASE (NON-ELECTROGENIC)-RELATED', NULL, NULL, NULL, 15),
(115150, NULL, 'PTHR12547:SF5', NULL, NULL, NULL, NULL, 'MRNA DECAY ACTIVATOR PROTEIN ZFP36L3', NULL, NULL, NULL, 15),
(115151, NULL, 'PTHR10544:SF17', NULL, NULL, NULL, NULL, 'BNAA07G01060D PROTEIN', NULL, NULL, NULL, 15),
(115152, NULL, 'PTHR33446', NULL, NULL, NULL, NULL, 'PROTEIN TONB-RELATED', NULL, NULL, NULL, 15),
(115153, NULL, 'PTHR10543:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115154, NULL, 'PTHR10799:SF854', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE BRM', NULL, NULL, NULL, 15),
(115155, NULL, 'PTHR10183:SF404', NULL, NULL, NULL, NULL, 'ZGC:85932', NULL, NULL, NULL, 15),
(115156, NULL, 'PTHR48017:SF125', NULL, NULL, NULL, NULL, 'PROTEIN CBG05207', NULL, NULL, NULL, 15),
(115157, NULL, 'PTHR33091:SF74', NULL, NULL, NULL, NULL, 'INHIBITOR OF TRYPSIN/HAGEMAN FACTOR-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115158, NULL, 'PTHR24100:SF120', NULL, NULL, NULL, NULL, 'BUTYROPHILIN SUBFAMILY 2 MEMBER A2', NULL, NULL, NULL, 15),
(115159, NULL, 'PTHR48050:SF7', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 1-6', NULL, NULL, NULL, 15),
(115160, NULL, 'PTHR34658', NULL, NULL, NULL, NULL, 'OS01G0151800 PROTEIN', NULL, NULL, NULL, 15),
(115161, NULL, 'PTHR11193:SF5', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', NULL, NULL, NULL, 15),
(115162, NULL, 'PTHR22811:SF163', NULL, NULL, NULL, NULL, 'TMP21-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115163, NULL, 'PTHR45649:SF43', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(115164, NULL, 'PTHR32382:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115165, NULL, 'PTHR32191:SF74', NULL, NULL, NULL, NULL, 'TETRASPANIN-8', NULL, NULL, NULL, 15),
(115166, NULL, 'PTHR47613:SF1', NULL, NULL, NULL, NULL, 'SPERM ACROSOME MEMBRANE-ASSOCIATED PROTEIN 4', NULL, NULL, NULL, 15),
(115167, NULL, 'PTHR34145:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115168, NULL, 'PTHR31552:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(115169, NULL, 'PTHR46168:SF15', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 1 PROTEIN', NULL, NULL, NULL, 15),
(115170, NULL, 'PTHR27006:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115171, NULL, 'PTHR46008:SF13', NULL, NULL, NULL, NULL, 'WALL ASSOCIATED KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(115172, NULL, 'PTHR22811:SF169', NULL, NULL, NULL, NULL, 'BNAA01G24430D PROTEIN', NULL, NULL, NULL, 15),
(115173, NULL, 'PTHR10168:SF206', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S2 PROTEIN', NULL, NULL, NULL, 15),
(115174, NULL, 'PTHR12289:SF22', NULL, NULL, NULL, NULL, 'CADMIUM RESPONSIVE', NULL, NULL, NULL, 15),
(115175, NULL, 'PTHR44099:SF4', NULL, NULL, NULL, NULL, 'RABCONNECTIN-3B, ISOFORM A', NULL, NULL, NULL, 15),
(115176, NULL, 'PTHR15546', NULL, NULL, NULL, NULL, 'BROMODOMAIN ADJACENT TO ZINC FINGER DOMAIN, 2A', NULL, NULL, NULL, 15),
(115177, NULL, 'PTHR31200', NULL, NULL, NULL, NULL, 'INO80 COMPLEX SUBUNIT C', NULL, NULL, 24714, 15),
(115178, NULL, 'PTHR10909:SF351', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, NULL, 15),
(115179, NULL, 'PTHR10791:SF195', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(115180, NULL, 'PTHR42820:SF15', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115181, NULL, 'PTHR24249:SF387', NULL, NULL, NULL, NULL, 'COBW DOMAIN-CONTAINING 1, GENE 1', NULL, NULL, NULL, 15),
(115182, NULL, 'PTHR46281:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE POLYPEPTIDE VIB', NULL, NULL, NULL, 15),
(115183, NULL, 'PTHR34116:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115184, NULL, 'PTHR11214:SF234', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(115185, NULL, 'PTHR10082:SF28', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-1', NULL, NULL, 25936, 15),
(115186, NULL, 'PTHR43159', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE', NULL, NULL, 11578, 15),
(115187, NULL, 'PTHR26450:SF133', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51G2', NULL, NULL, NULL, 15),
(115188, NULL, 'PTHR12021:SF14', NULL, NULL, NULL, NULL, 'THYMOSIN BETA 15A', NULL, NULL, NULL, 15),
(115189, NULL, 'PTHR11984:SF12', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-3 PROTEIN', NULL, NULL, 468, 15),
(115190, NULL, 'PTHR28266', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L20, MITOCHONDRIAL', NULL, NULL, 23728, 15),
(115191, NULL, 'PTHR34557:SF4', NULL, NULL, NULL, NULL, 'BNAA05G29200D PROTEIN', NULL, NULL, NULL, 15),
(115192, NULL, 'PTHR23353:SF18', NULL, NULL, NULL, NULL, 'AGAP005803-PA', NULL, NULL, NULL, 15),
(115193, NULL, 'PTHR33120:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115194, NULL, 'PTHR35545:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115195, NULL, 'PTHR31989:SF28', NULL, NULL, NULL, NULL, 'OS11G0179300 PROTEIN', NULL, NULL, NULL, 15),
(115196, NULL, 'PTHR43866:SF4', NULL, NULL, NULL, NULL, 'MALONATE-SEMIALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(115197, NULL, 'PTHR47947:SF20', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(115198, NULL, 'PTHR40455', NULL, NULL, NULL, NULL, 'ANTITOXIN HIGA', NULL, NULL, 29282, 15),
(115199, NULL, 'PTHR43300:SF6', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE YVOF-RELATED', NULL, NULL, NULL, 15),
(115200, NULL, 'PTHR15273:SF5', NULL, NULL, NULL, NULL, 'DAN DOMAIN FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(115201, NULL, 'PTHR46736:SF8', NULL, NULL, NULL, NULL, 'BNAC07G15840D PROTEIN', NULL, NULL, NULL, 15),
(115202, NULL, 'PTHR31257:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115203, NULL, 'PTHR24064:SF551', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115204, NULL, 'PTHR11055:SF37', NULL, NULL, NULL, NULL, 'ATP SULFURYLASE 2', NULL, NULL, NULL, 15),
(115205, NULL, 'PTHR24096:SF336', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 5-RELATED', NULL, NULL, NULL, 15),
(115206, NULL, 'PTHR45029:SF2', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(115207, NULL, 'PTHR33353:SF9', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE II', NULL, NULL, NULL, 15),
(115208, NULL, 'PTHR11588:SF346', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(115209, NULL, 'PTHR14493:SF50', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN UNKEMPT', NULL, NULL, NULL, 15),
(115210, NULL, 'PTHR38705:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RDS1', NULL, NULL, NULL, 15),
(115211, NULL, 'PTHR27004:SF383', NULL, NULL, NULL, NULL, 'BNAA04G18970D PROTEIN', NULL, NULL, NULL, 15),
(115212, NULL, 'PTHR31218:SF244', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(115213, NULL, 'PTHR48019:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115214, NULL, 'PTHR46592:SF13', NULL, NULL, NULL, NULL, 'BNAANNG20290D PROTEIN', NULL, NULL, NULL, 15),
(115215, NULL, 'PTHR47123:SF18', NULL, NULL, NULL, NULL, 'BNAC04G37150D PROTEIN', NULL, NULL, NULL, 15),
(115216, NULL, 'PTHR22951:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115217, NULL, 'PTHR33159:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115218, NULL, 'PTHR31080:SF242', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115219, NULL, 'PTHR47162', NULL, NULL, NULL, NULL, 'OS02G0192300 PROTEIN', NULL, NULL, NULL, 15),
(115220, NULL, 'PTHR23001:SF38', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2B FAMILY PROTEIN / EIF-2B FAMILY PROTEIN', NULL, NULL, NULL, 15),
(115221, NULL, 'PTHR48056:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRI1-LIKE 2', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115222, NULL, 'PTHR43229', NULL, NULL, NULL, NULL, 'NODULATION PROTEIN J', NULL, NULL, NULL, 15),
(115223, NULL, 'PTHR10161:SF50', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 7', NULL, NULL, NULL, 15),
(115224, NULL, 'PTHR31323:SF12', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN MSY1', NULL, NULL, NULL, 15),
(115225, NULL, 'PTHR27009', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-RELATED', NULL, NULL, 39376, 15),
(115226, NULL, 'PTHR11071:SF435', NULL, NULL, NULL, NULL, 'CYCLOPHILIN-LIKE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE DOMAIN', NULL, NULL, NULL, 15),
(115227, NULL, 'PTHR12357:SF82', NULL, NULL, NULL, NULL, 'CONSERVED C-TERMINAL REGION 2, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(115228, NULL, 'PTHR33780:SF11', NULL, NULL, NULL, NULL, 'VALINE-TRNA LIGASE', NULL, NULL, NULL, 15),
(115229, NULL, 'PTHR42877:SF4', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17490)-RELATED', NULL, NULL, NULL, 15),
(115230, NULL, 'PTHR36962', NULL, NULL, NULL, NULL, 'ASPARAGINE-RICH ANTIGEN', NULL, NULL, NULL, 15),
(115231, NULL, 'PTHR35319', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 20044, 15),
(115232, NULL, 'PTHR35383', NULL, NULL, NULL, NULL, 'MUCIN 12EA-RELATED', NULL, NULL, NULL, 15),
(115233, NULL, 'PTHR47956:SF98', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(115234, NULL, 'PTHR37610:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115235, NULL, 'PTHR12039:SF0', NULL, NULL, NULL, NULL, 'NICOTINAMIDE/NICOTINIC ACID MONONUCLEOTIDE ADENYLYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(115236, NULL, 'PTHR11505:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115237, NULL, 'PTHR33700:SF28', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(115238, NULL, 'PTHR11937:SF467', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115239, NULL, 'PTHR14237:SF64', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(115240, NULL, 'PTHR30523:SF29', NULL, NULL, NULL, NULL, 'OS02G0244700 PROTEIN', NULL, NULL, NULL, 15),
(115241, NULL, 'PTHR24073:SF1018', NULL, NULL, NULL, NULL, 'RAB-TYPE SMALL G PROTEIN', NULL, NULL, NULL, 15),
(115242, NULL, 'PTHR11451:SF44', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE, CHLOROPLASTIC/MITOCHONDRIAL 2', NULL, NULL, NULL, 15),
(115243, NULL, 'PTHR11370:SF5', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XRCC1', NULL, NULL, NULL, 15),
(115244, NULL, 'PTHR11616:SF267', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(115245, NULL, 'PTHR31945:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH35', NULL, NULL, NULL, 15),
(115246, NULL, 'PTHR24298:SF462', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 81, SUBFAMILY D, POLYPEPTIDE 8', NULL, NULL, NULL, 15),
(115247, NULL, 'PTHR24343:SF232', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE CATALYTIC SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(115248, NULL, 'PTHR43662:SF7', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(115249, NULL, 'PTHR12919:SF27', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S16, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(115250, NULL, 'PTHR22957:SF502', NULL, NULL, NULL, NULL, 'RABGAP/TBC DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(115251, NULL, 'PTHR12411:SF341', NULL, NULL, NULL, NULL, 'PROTEIN CBG17217', NULL, NULL, NULL, 15),
(115252, NULL, 'PTHR21219:SF4', NULL, NULL, NULL, NULL, 'AGAP002199-PA', NULL, NULL, NULL, 15),
(115253, NULL, 'PTHR10336:SF10', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE BETA-2', NULL, NULL, 25665, 15),
(115254, NULL, 'PTHR37189:SF4', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115255, NULL, 'PTHR21513:SF23', NULL, NULL, NULL, NULL, 'CALPONIN HOMOLOGY DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(115256, NULL, 'PTHR24289', NULL, NULL, NULL, NULL, 'STEROID 17-ALPHA-HYDROXYLASE/17,20 LYASE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115257, NULL, 'PTHR11945:SF639', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL11', NULL, NULL, NULL, 15),
(115258, NULL, 'PTHR31232:SF42', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', NULL, NULL, NULL, 15),
(115259, NULL, 'PTHR10838:SF20', NULL, NULL, NULL, NULL, 'SYNAPTOGYRIN', NULL, NULL, NULL, 15),
(115260, NULL, 'PTHR32370:SF7', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY1', NULL, NULL, 26732, 15),
(115261, NULL, 'PTHR10381:SF40', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', NULL, NULL, NULL, 15),
(115262, NULL, 'PTHR47997:SF30', NULL, NULL, NULL, NULL, 'BNAA01G30350D PROTEIN', NULL, NULL, NULL, 15),
(115263, NULL, 'PTHR32411:SF52', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 61-RELATED', NULL, NULL, NULL, 15),
(115264, NULL, 'PTHR14636:SF1', NULL, NULL, NULL, NULL, 'TPA-INDUCED TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(115265, NULL, 'PTHR13994:SF45', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 2-LIKE', NULL, NULL, NULL, 15),
(115266, NULL, 'PTHR32401:SF14', NULL, NULL, NULL, NULL, 'LECTIN', NULL, NULL, NULL, 15),
(115267, NULL, 'PTHR12800:SF2', NULL, NULL, NULL, NULL, 'HSP90 CO-CHAPERONE CDC37-LIKE 1', NULL, NULL, NULL, 15),
(115268, NULL, 'PTHR31221:SF248', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY24-LIKE', NULL, NULL, NULL, 15),
(115269, NULL, 'PTHR47970:SF4', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-5B', NULL, NULL, NULL, 15),
(115270, NULL, 'PTHR11732:SF411', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE [NADP(+)]-LIKE', NULL, NULL, NULL, 15),
(115271, NULL, 'PTHR45624:SF21', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(115272, NULL, 'PTHR11562:SF93', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN A2', NULL, NULL, NULL, 15),
(115273, NULL, 'PTHR11817', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, 3357, 15),
(115274, NULL, 'PTHR32248', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-54 FACTOR', NULL, NULL, 4850, 15),
(115275, NULL, 'PTHR27009:SF119', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.2-RELATED', NULL, NULL, NULL, 15),
(115276, NULL, 'PTHR48007:SF3', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 1', NULL, NULL, NULL, 15),
(115277, NULL, 'PTHR46463:SF38', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115278, NULL, 'PTHR10827:SF79', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 4A-RELATED', NULL, NULL, NULL, 15),
(115279, NULL, 'PTHR46229:SF3', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN DDB_G0274169', NULL, NULL, NULL, 15),
(115280, NULL, 'PTHR32285:SF235', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 16', NULL, NULL, NULL, 15),
(115281, NULL, 'PTHR11461:SF125', NULL, NULL, NULL, NULL, 'SERPIN B12', NULL, NULL, NULL, 15),
(115282, NULL, 'PTHR11977:SF118', NULL, NULL, NULL, NULL, 'VILLIN-4', NULL, NULL, NULL, 15),
(115283, NULL, 'PTHR47172:SF1', NULL, NULL, NULL, NULL, 'OS01G0976800 PROTEIN', NULL, NULL, NULL, 15),
(115284, NULL, 'PTHR26453', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(115285, NULL, 'PTHR24282:SF28', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714C2-LIKE', NULL, NULL, NULL, 15),
(115286, NULL, 'PTHR47991:SF33', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 5', NULL, NULL, NULL, 15),
(115287, NULL, 'PTHR11426:SF225', NULL, NULL, NULL, NULL, 'CORE HISTONE H2A/H2B/H3/H4', NULL, NULL, NULL, 15),
(115288, NULL, 'PTHR45125:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115289, NULL, 'PTHR11527:SF311', NULL, NULL, NULL, NULL, 'BNAC04G54520D PROTEIN', NULL, NULL, NULL, 15),
(115290, NULL, 'PTHR18953:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115291, NULL, 'PTHR32285:SF226', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 33 ISOFORM X1', NULL, NULL, NULL, 15),
(115292, NULL, 'PTHR19211:SF100', NULL, NULL, NULL, NULL, 'PRISTINAMYCIN RESISTANCE PROTEIN VGAB', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115293, NULL, 'PTHR13683:SF750', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1', NULL, NULL, NULL, 15),
(115294, NULL, 'PTHR33780:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115295, NULL, 'PTHR46259:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC-TYPE AND RNA-BINDING MOTIF-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(115296, NULL, 'PTHR43349:SF68', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 1-RELATED', NULL, NULL, NULL, 15),
(115297, NULL, 'PTHR11848:SF249', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA', NULL, NULL, NULL, 15),
(115298, NULL, 'PTHR45615:SF8', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-XVIIIB', NULL, NULL, 29376, 15),
(115299, NULL, 'PTHR22966:SF54', NULL, NULL, NULL, NULL, 'CYSTEINE OXYGENASE/2-AMINOETHANETHIOL DIOXYGENASE, RMLC-LIKE JELLY ROLL FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115300, NULL, 'PTHR47499:SF4', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 12-RELATED', NULL, NULL, NULL, 15),
(115301, NULL, 'PTHR46946:SF1', NULL, NULL, NULL, NULL, 'NEURITE EXTENSION AND MIGRATION FACTOR', NULL, NULL, NULL, 15),
(115302, NULL, 'PTHR14754:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 5', NULL, NULL, NULL, 15),
(115303, NULL, 'PTHR46431', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(115304, NULL, 'PTHR23322:SF6', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(115305, NULL, 'PTHR31561:SF93', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 5-RELATED', NULL, NULL, NULL, 15),
(115306, NULL, 'PTHR24070:SF69', NULL, NULL, NULL, NULL, 'FI18258P1', NULL, NULL, NULL, 15),
(115307, NULL, 'PTHR47963:SF3', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 47, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(115308, NULL, 'PTHR46449:SF2', NULL, NULL, NULL, NULL, 'MCG54973', NULL, NULL, NULL, 15),
(115309, NULL, 'PTHR24177:SF318', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115310, NULL, 'PTHR31474:SF16', NULL, NULL, NULL, NULL, 'BNACNNG17310D PROTEIN', NULL, NULL, NULL, 15),
(115311, NULL, 'PTHR24286:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115312, NULL, 'PTHR19143:SF40', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-RELATED PROTEIN 7', NULL, NULL, NULL, 15),
(115313, NULL, 'PTHR10091', NULL, NULL, NULL, NULL, 'ALDOSE-1-EPIMERASE', NULL, NULL, NULL, 15),
(115314, NULL, 'PTHR46067:SF17', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(115315, NULL, 'PTHR33098:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115316, NULL, 'PTHR47993:SF160', NULL, NULL, NULL, NULL, 'BNACNNG52440D PROTEIN', NULL, NULL, NULL, 15),
(115317, NULL, 'PTHR48002:SF77', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(115318, NULL, 'PTHR10048:SF48', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE 3', NULL, NULL, NULL, 15),
(115319, NULL, 'PTHR33265:SF26', NULL, NULL, NULL, NULL, 'AVR9/CF-9 RAPIDLY ELICITED PROTEIN', NULL, NULL, NULL, 15),
(115320, NULL, 'PTHR46116:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 38-RELATED', NULL, NULL, NULL, 15),
(115321, NULL, 'PTHR13238:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 298', NULL, NULL, NULL, 15),
(115322, NULL, 'PTHR48007:SF17', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 3', NULL, NULL, NULL, 15),
(115323, NULL, 'PTHR10663:SF346', NULL, NULL, NULL, NULL, 'PATTERN FORMATION PROTEIN GNOM PROTEIN', NULL, NULL, NULL, 15),
(115324, NULL, 'PTHR47580', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(115325, NULL, 'PTHR45810:SF9', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(115326, NULL, 'PTHR24409:SF356', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115327, NULL, 'PTHR10026:SF125', NULL, NULL, NULL, NULL, 'CYCLIN-C1-2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(115328, NULL, 'PTHR24286:SF194', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 90B1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115329, NULL, 'PTHR43568', NULL, NULL, NULL, NULL, 'P PROTEIN', NULL, NULL, NULL, 15),
(115330, NULL, 'PTHR11614:SF101', NULL, NULL, NULL, NULL, 'CAFFEOYLSHIKIMATE ESTERASE-LIKE', NULL, NULL, NULL, 15),
(115331, NULL, 'PTHR12092:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN', NULL, NULL, NULL, 15),
(115332, NULL, 'PTHR34975', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN A2', NULL, NULL, 5353, 15),
(115333, NULL, 'PTHR45888:SF3', NULL, NULL, NULL, NULL, 'HL01030P-RELATED', NULL, NULL, NULL, 15),
(115334, NULL, 'PTHR33511:SF25', NULL, NULL, NULL, NULL, 'BNAC03G34390D PROTEIN', NULL, NULL, NULL, 15),
(115335, NULL, 'PTHR36481:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(115336, NULL, 'PTHR33321:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115337, NULL, 'PTHR34785:SF3', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS RELATED FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115338, NULL, 'PTHR17117:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(115339, NULL, 'PTHR23500:SF577', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 14-LIKE', NULL, NULL, NULL, 15),
(115340, NULL, 'PTHR10117:SF47', NULL, NULL, NULL, NULL, 'TRANSIENT-RECEPTOR-POTENTIAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(115341, NULL, 'PTHR45617:SF97', NULL, NULL, NULL, NULL, 'RE59088P', NULL, NULL, NULL, 15),
(115342, NULL, 'PTHR28034', NULL, NULL, NULL, NULL, 'SET1 COMPLEX COMPONENT SHG1', NULL, NULL, NULL, 15),
(115343, NULL, 'PTHR39077', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115344, NULL, 'PTHR24377:SF146', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 354A', NULL, NULL, NULL, 15),
(115345, NULL, 'PTHR38789:SF1', NULL, NULL, NULL, NULL, 'REPRESSIBLE PROTEIN GRG1, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14210)-RELATED', NULL, NULL, NULL, 15),
(115346, NULL, 'PTHR37816', NULL, NULL, NULL, NULL, 'YALI0E33011P', NULL, NULL, NULL, 15),
(115347, NULL, 'PTHR23359:SF146', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 7, MITOCHONDRIAL ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(115348, NULL, 'PTHR48010:SF61', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(115349, NULL, 'PTHR27000:SF616', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', NULL, NULL, NULL, 15),
(115350, NULL, 'PTHR11783:SF8', NULL, NULL, NULL, NULL, 'BILE SALT SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(115351, NULL, 'PTHR34067:SF16', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115352, NULL, 'PTHR46009:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN VTA1 HOMOLOG', NULL, NULL, NULL, 15),
(115353, NULL, 'PTHR37381:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(115354, NULL, 'PTHR10241:SF20', NULL, NULL, NULL, NULL, 'LETHAL(2) GIANT LARVAE PROTEIN HOMOLOG 2', NULL, NULL, NULL, 15),
(115355, NULL, 'PTHR23430:SF20', NULL, NULL, NULL, NULL, 'CORE HISTONE MACRO-H2A.1', NULL, NULL, NULL, 15),
(115356, NULL, 'PTHR16103', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 140', NULL, NULL, 22358, 15),
(115357, NULL, 'PTHR24068:SF207', NULL, NULL, NULL, NULL, 'BNAC02G25260D PROTEIN', NULL, NULL, NULL, 15),
(115358, NULL, 'PTHR19248:SF26', NULL, NULL, NULL, NULL, 'BNAANNG07430D PROTEIN', NULL, NULL, NULL, 15),
(115359, NULL, 'PTHR12307:SF40', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3F', NULL, NULL, NULL, 15),
(115360, NULL, 'PTHR45659:SF12', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A7', NULL, NULL, NULL, 15),
(115361, NULL, 'PTHR33547:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115362, NULL, 'PTHR18870:SF7', NULL, NULL, NULL, NULL, 'PROTEIN FAM184A', NULL, NULL, 25674, 15),
(115363, NULL, 'PTHR24366:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115364, NULL, 'PTHR48017:SF85', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115365, NULL, 'PTHR16024:SF12', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', NULL, NULL, NULL, 15),
(115366, NULL, 'PTHR10772', NULL, NULL, NULL, NULL, '10 KDA HEAT SHOCK PROTEIN', NULL, NULL, 14874, 15),
(115367, NULL, 'PTHR11556:SF41', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, CYTOSOLIC', NULL, NULL, NULL, 15),
(115368, NULL, 'PTHR46128:SF26', NULL, NULL, NULL, NULL, 'BNACNNG18660D PROTEIN', NULL, NULL, NULL, 15),
(115369, NULL, 'PTHR24345:SF88', NULL, NULL, NULL, NULL, 'C-MODULE-BINDING FACTOR-RELATED', NULL, NULL, NULL, 15),
(115370, NULL, 'PTHR12732:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR MRNA EXPORT PROTEIN THP1', NULL, NULL, 29568, 15),
(115371, NULL, 'PTHR16023:SF3', NULL, NULL, NULL, NULL, 'BNAC09G20820D PROTEIN', NULL, NULL, NULL, 15),
(115372, NULL, 'PTHR31717:SF26', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 10', NULL, NULL, NULL, 15),
(115373, NULL, 'PTHR10263:SF6', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', NULL, NULL, NULL, 15),
(115374, NULL, 'PTHR10502:SF224', NULL, NULL, NULL, NULL, 'BNAA04G22180D PROTEIN', NULL, NULL, NULL, 15),
(115375, NULL, 'PTHR24300:SF181', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(115376, NULL, 'PTHR33155:SF44', NULL, NULL, NULL, NULL, 'BNAA02G05610D PROTEIN', NULL, NULL, NULL, 15),
(115377, NULL, 'PTHR11214:SF263', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE GALT1-LIKE', NULL, NULL, NULL, 15),
(115378, NULL, 'PTHR11937:SF394', NULL, NULL, NULL, NULL, 'ACTIN', NULL, NULL, NULL, 15),
(115379, NULL, 'PTHR15564', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 33110, 15),
(115380, NULL, 'PTHR31286:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115381, NULL, 'PTHR23077:SF12', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS FACTOR 1', NULL, NULL, 25603, 15),
(115382, NULL, 'PTHR35367', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115383, NULL, 'PTHR16263:SF10', NULL, NULL, NULL, NULL, 'BNACNNG39400D PROTEIN', NULL, NULL, NULL, 15),
(115384, NULL, 'PTHR37293', NULL, NULL, NULL, NULL, 'PHAGE REPLICATION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115385, NULL, 'PTHR31677:SF136', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 10-RELATED', NULL, NULL, NULL, 15),
(115386, NULL, 'PTHR43888:SF41', NULL, NULL, NULL, NULL, 'BNAA09G39960D PROTEIN', NULL, NULL, NULL, 15),
(115387, NULL, 'PTHR22870:SF395', NULL, NULL, NULL, NULL, 'UVB-RESISTANCE PROTEIN UVR8-RELATED', NULL, NULL, NULL, 15),
(115388, NULL, 'PTHR10472:SF6', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE 1', NULL, NULL, NULL, 15),
(115389, NULL, 'PTHR30250:SF11', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YGHQ-RELATED', NULL, NULL, NULL, 15),
(115390, NULL, 'PTHR48015:SF26', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAKD', NULL, NULL, NULL, 15),
(115391, NULL, 'PTHR10791:SF112', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET1', NULL, NULL, NULL, 15),
(115392, NULL, 'PTHR22932', NULL, NULL, NULL, NULL, 'TELOMERASE-BINDING PROTEIN P23  HSP90 CO-CHAPERONE', NULL, NULL, 37201, 15),
(115393, NULL, 'PTHR22382:SF7', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4921504E06 GENE', NULL, NULL, NULL, 15),
(115394, NULL, 'PTHR11610:SF104', NULL, NULL, NULL, NULL, 'AGAP007370-PA', NULL, NULL, NULL, 15),
(115395, NULL, 'PTHR23335:SF11', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 1', NULL, NULL, 35901, 15),
(115396, NULL, 'PTHR20931', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 34749, 15),
(115397, NULL, 'PTHR31451:SF56', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115398, NULL, 'PTHR36045:SF2', NULL, NULL, NULL, NULL, 'OS04G0558500 PROTEIN', NULL, NULL, NULL, 15),
(115399, NULL, 'PTHR33052:SF145', NULL, NULL, NULL, NULL, 'BNAANNG38710D PROTEIN', NULL, NULL, NULL, 15),
(115400, NULL, 'PTHR44468', NULL, NULL, NULL, NULL, 'COXSACKIEVIRUS AND ADENOVIRUS RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(115401, NULL, 'PTHR10972:SF76', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 6', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115402, NULL, 'PTHR46701:SF8', NULL, NULL, NULL, NULL, 'BNAC04G47690D PROTEIN', NULL, NULL, NULL, 15),
(115403, NULL, 'PTHR43344:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115404, NULL, 'PTHR45693:SF58', NULL, NULL, NULL, NULL, 'BNAA09G07120D PROTEIN', NULL, NULL, NULL, 15),
(115405, NULL, 'PTHR31084:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115406, NULL, 'PTHR36788:SF4', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 181-RELATED', NULL, NULL, NULL, 15),
(115407, NULL, 'PTHR31676:SF25', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(115408, NULL, 'PTHR45617:SF102', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 32, GENE 1', NULL, NULL, NULL, 15),
(115409, NULL, 'PTHR43244:SF1', NULL, NULL, NULL, NULL, '5,10-METHYLENETETRAHYDROMETHANOPTERIN REDUCTASE', NULL, NULL, NULL, 15),
(115410, NULL, 'PTHR23290:SF0', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(115411, NULL, 'PTHR45725:SF5', NULL, NULL, NULL, NULL, 'FORMIN-H', NULL, NULL, NULL, 15),
(115412, NULL, 'PTHR36030:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115413, NULL, 'PTHR10177:SF463', NULL, NULL, NULL, NULL, 'BNAA06G25730D PROTEIN', NULL, NULL, NULL, 15),
(115414, NULL, 'PTHR31111:SF36', NULL, NULL, NULL, NULL, 'BNAA09G13050D PROTEIN', NULL, NULL, NULL, 15),
(115415, NULL, 'PTHR46758:SF13', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', NULL, NULL, NULL, 15),
(115416, NULL, 'PTHR47376:SF10', NULL, NULL, NULL, NULL, 'UBIQUITIN-RELATED DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115417, NULL, 'PTHR46072:SF2', NULL, NULL, NULL, NULL, 'AMIDASE (EUROFUNG)', NULL, NULL, NULL, 15),
(115418, NULL, 'PTHR33539', NULL, NULL, NULL, NULL, 'UPF0764 PROTEIN C16ORF89', NULL, NULL, 27445, 15),
(115419, NULL, 'PTHR45614:SF149', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(115420, NULL, 'PTHR43775:SF13', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 1', NULL, NULL, NULL, 15),
(115421, NULL, 'PTHR31403:SF50', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IGAMMA1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(115422, NULL, 'PTHR46008:SF20', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.2', NULL, NULL, NULL, 15),
(115423, NULL, 'PTHR38467', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115424, NULL, 'PTHR33477:SF3', NULL, NULL, NULL, NULL, 'P-LOOP NTPASE DOMAIN-CONTAINING PROTEIN LPA1 HOMOLOG 1', NULL, NULL, NULL, 15),
(115425, NULL, 'PTHR34661:SF6', NULL, NULL, NULL, NULL, 'ALPHA-CRYSTALLIN DOMAIN-CONTAINING PROTEIN 22.3', NULL, NULL, NULL, 15),
(115426, NULL, 'PTHR13301:SF135', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN E2', NULL, NULL, NULL, 15),
(115427, NULL, 'PTHR34047:SF8', NULL, NULL, NULL, NULL, 'PROTEIN YKFC', NULL, NULL, NULL, 15),
(115428, NULL, 'PTHR20957:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 48', NULL, NULL, NULL, 15),
(115429, NULL, 'PTHR34496:SF9', NULL, NULL, NULL, NULL, '[SKP1-PROTEIN]-HYDROXYPROLINE N-ACETYLGLUCOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(115430, NULL, 'PTHR11624:SF98', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA-4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(115431, NULL, 'PTHR45836:SF17', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 3', NULL, NULL, NULL, 15),
(115432, NULL, 'PTHR43900:SF47', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F6-RELATED', NULL, NULL, NULL, 15),
(115433, NULL, 'PTHR21452:SF4', NULL, NULL, NULL, NULL, 'EXPORTIN-6', NULL, NULL, NULL, 15),
(115434, NULL, 'PTHR37178:SF1', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN', NULL, NULL, NULL, 15),
(115435, NULL, 'PTHR10656:SF40', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR-INTERACTING PROTEIN-LIKE 1', NULL, NULL, 22764, 15),
(115436, NULL, 'PTHR44176:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 25', NULL, NULL, NULL, 15),
(115437, NULL, 'PTHR15361:SF6', NULL, NULL, NULL, NULL, 'RAD51-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115438, NULL, 'PTHR24070:SF201', NULL, NULL, NULL, NULL, 'SMALL GTPASE', NULL, NULL, NULL, 15),
(115439, NULL, 'PTHR31945:SF88', NULL, NULL, NULL, NULL, 'BNAC04G25110D PROTEIN', NULL, NULL, NULL, 15),
(115440, NULL, 'PTHR31100:SF86', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(115441, NULL, 'PTHR24418:SF221', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(115442, NULL, 'PTHR16188:SF13', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 14D', NULL, NULL, NULL, 15),
(115443, NULL, 'PTHR31624', NULL, NULL, NULL, NULL, 'UPF0472 PROTEIN C16ORF72', NULL, NULL, 33781, 15),
(115444, NULL, 'PTHR11926:SF1371', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(115445, NULL, 'PTHR24279:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115446, NULL, 'PTHR15241:SF299', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115447, NULL, 'PTHR12383:SF32', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE SUBUNIT', NULL, NULL, NULL, 15),
(115448, NULL, 'PTHR24377:SF836', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(115449, NULL, 'PTHR31245:SF16', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', NULL, NULL, NULL, 15),
(115450, NULL, 'PTHR24253:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115451, NULL, 'PTHR11241:SF10', NULL, NULL, NULL, NULL, 'DEOXYURIDINE 5''-TRIPHOSPHATE NUCLEOTIDOHYDROLASE-LIKE', NULL, NULL, NULL, 15),
(115452, NULL, 'PTHR46525:SF11', NULL, NULL, NULL, NULL, 'SENESCENCE REGULATOR S40-RELATED', NULL, NULL, NULL, 15),
(115453, NULL, 'PTHR47143:SF1', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL PROTEIN PAINLESS', NULL, NULL, NULL, 15),
(115454, NULL, 'PTHR12236:SF14', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 66CB', NULL, NULL, NULL, 15),
(115455, NULL, 'PTHR45793', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(115456, NULL, 'PTHR31992:SF102', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF4.1', NULL, NULL, NULL, 15),
(115457, NULL, 'PTHR36102:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115458, NULL, 'PTHR31197:SF15', NULL, NULL, NULL, NULL, 'BNAA02G18630D PROTEIN', NULL, NULL, NULL, 15),
(115459, NULL, 'PTHR32212:SF360', NULL, NULL, NULL, NULL, 'BNACNNG15840D PROTEIN', NULL, NULL, NULL, 15),
(115460, NULL, 'PTHR12771:SF57', NULL, NULL, NULL, NULL, 'BNAA09G38350D PROTEIN', NULL, NULL, NULL, 15),
(115461, NULL, 'PTHR47947:SF23', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(115462, NULL, 'PTHR39654:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115463, NULL, 'PTHR33052:SF26', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE', NULL, NULL, NULL, 15),
(115464, NULL, 'PTHR32096:SF94', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 53-RELATED', NULL, NULL, NULL, 15),
(115465, NULL, 'PTHR10239', NULL, NULL, NULL, NULL, 'ISTHMIN-2', NULL, NULL, NULL, 15),
(115466, NULL, 'PTHR23055:SF176', NULL, NULL, NULL, NULL, 'VISININ-LIKE 1B', NULL, NULL, NULL, 15),
(115467, NULL, 'PTHR10185:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG09383', NULL, NULL, NULL, 15),
(115468, NULL, 'PTHR11214:SF74', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE HPGT1', NULL, NULL, NULL, 15),
(115469, NULL, 'PTHR22752:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 135', NULL, NULL, NULL, 15),
(115470, NULL, 'PTHR47865:SF1', NULL, NULL, NULL, NULL, 'OS05G0580550 PROTEIN', NULL, NULL, NULL, 15),
(115471, NULL, 'PTHR11863:SF170', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROXYLASE SUPERFAMILY', NULL, NULL, NULL, 15),
(115472, NULL, 'PTHR35860', NULL, NULL, NULL, NULL, 'PROTEIN FAM24B', NULL, NULL, 27498, 15),
(115473, NULL, 'PTHR10257:SF71', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 57 KDA REGULATORY SUBUNIT B'' ALPHA ISOFORM', NULL, NULL, NULL, 15),
(115474, NULL, 'PTHR45684:SF20', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1B', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115475, NULL, 'PTHR37390:SF2', NULL, NULL, NULL, NULL, 'BNAANNG02810D PROTEIN', NULL, NULL, NULL, 15),
(115476, NULL, 'PTHR13101:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOMEVALONATE KINASE', NULL, NULL, NULL, 15),
(115477, NULL, 'PTHR33124:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH150', NULL, NULL, NULL, 15),
(115478, NULL, 'PTHR12705', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 5', NULL, NULL, 20752, 15),
(115479, NULL, 'PTHR24089:SF723', NULL, NULL, NULL, NULL, 'SUBSTRATE CARRIER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115480, NULL, 'PTHR11654:SF95', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 15 MEMBER 3', NULL, NULL, NULL, 15),
(115481, NULL, 'PTHR31374:SF26', NULL, NULL, NULL, NULL, 'OS02G0512000 PROTEIN', NULL, NULL, NULL, 15),
(115482, NULL, 'PTHR18952:SF190', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE-LIKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(115483, NULL, 'PTHR28526', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 13', NULL, NULL, NULL, 15),
(115484, NULL, 'PTHR30270', NULL, NULL, NULL, NULL, 'THIAMINE-MONOPHOSPHATE KINASE', NULL, NULL, 3670, 15),
(115485, NULL, 'PTHR28058:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN MRP51, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(115486, NULL, 'PTHR11177:SF364', NULL, NULL, NULL, NULL, 'CHITINASE 7', NULL, NULL, NULL, 15),
(115487, NULL, 'PTHR31471:SF1', NULL, NULL, NULL, NULL, 'OS02G0116800 PROTEIN', NULL, NULL, NULL, 15),
(115488, NULL, 'PTHR23043:SF17', NULL, NULL, NULL, NULL, 'PROTEIN SIMILAR', NULL, NULL, NULL, 15),
(115489, NULL, 'PTHR23244:SF449', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(115490, NULL, 'PTHR37327:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(115491, NULL, 'PTHR13718:SF88', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S2-1', NULL, NULL, NULL, 15),
(115492, NULL, 'PTHR48001:SF103', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8S1', NULL, NULL, NULL, 15),
(115493, NULL, 'PTHR45788', NULL, NULL, NULL, NULL, 'SUCCINATE/FUMARATE MITOCHONDRIAL TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(115494, NULL, 'PTHR23147:SF133', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SC35-LIKE SPLICING FACTOR SCL28', NULL, NULL, NULL, 15),
(115495, NULL, 'PTHR34494:SF1', NULL, NULL, NULL, NULL, 'C. ELEGANS HOMEOBOX', NULL, NULL, NULL, 15),
(115496, NULL, 'PTHR46299:SF2', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 5B2', NULL, NULL, NULL, 15),
(115497, NULL, 'PTHR48083:SF5', NULL, NULL, NULL, NULL, 'NRGC PROTEIN', NULL, NULL, NULL, 15),
(115498, NULL, 'PTHR45621:SF79', NULL, NULL, NULL, NULL, 'BNAA04G29420D PROTEIN', NULL, NULL, NULL, 15),
(115499, NULL, 'PTHR24250:SF27', NULL, NULL, NULL, NULL, 'ELASTASE 2-LIKE', NULL, NULL, NULL, 15),
(115500, NULL, 'PTHR31867:SF182', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(115501, NULL, 'PTHR36832', NULL, NULL, NULL, NULL, 'SLR1174 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115502, NULL, 'PTHR42659:SF9', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE FAD-BINDING SUBUNIT XDHB-RELATED', NULL, NULL, NULL, 15),
(115503, NULL, 'PTHR31115:SF4', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN, BRAIN', NULL, NULL, NULL, 15),
(115504, NULL, 'PTHR23093:SF11', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 6', NULL, NULL, NULL, 15),
(115505, NULL, 'PTHR35017:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14064', NULL, NULL, NULL, 15),
(115506, NULL, 'PTHR31072:SF144', NULL, NULL, NULL, NULL, 'BNAC05G48480D PROTEIN', NULL, NULL, NULL, 15),
(115507, NULL, 'PTHR36456:SF1', NULL, NULL, NULL, NULL, 'UPF0232 PROTEIN SCO3875', NULL, NULL, NULL, 15),
(115508, NULL, 'PTHR11214:SF217', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(115509, NULL, 'PTHR35275:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115510, NULL, 'PTHR31717:SF104', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115511, NULL, 'PTHR12390:SF0', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III SYNTHASE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115512, NULL, 'PTHR31707:SF263', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(115513, NULL, 'PTHR46009', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN VTA1 HOMOLOG', NULL, NULL, 37496, 15),
(115514, NULL, 'PTHR33083:SF73', NULL, NULL, NULL, NULL, 'OJ000126_13.10 PROTEIN', NULL, NULL, NULL, 15),
(115515, NULL, 'PTHR14009:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PROTON/CALCIUM EXCHANGER PROTEIN', NULL, NULL, NULL, 15),
(115516, NULL, 'PTHR45676:SF106', NULL, NULL, NULL, NULL, 'BNAC01G35160D PROTEIN', NULL, NULL, NULL, 15),
(115517, NULL, 'PTHR11527:SF142', NULL, NULL, NULL, NULL, '15.7 KDA HEAT SHOCK PROTEIN, PEROXISOMAL', NULL, NULL, NULL, 15),
(115518, NULL, 'PTHR12358:SF54', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM54', NULL, NULL, NULL, 15),
(115519, NULL, 'PTHR24186:SF13', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(115520, NULL, 'PTHR10366:SF634', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115521, NULL, 'PTHR14154:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115522, NULL, 'PTHR23102:SF18', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 4', NULL, NULL, NULL, 15),
(115523, NULL, 'PTHR30450:SF14', NULL, NULL, NULL, NULL, 'TRANSPORTER, PERMEASE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(115524, NULL, 'PTHR15759:SF7', NULL, NULL, NULL, NULL, 'PANNEXIN-2', NULL, NULL, NULL, 15),
(115525, NULL, 'PTHR35753', NULL, NULL, NULL, NULL, 'PROTEIN MAINTENANCE OF PSII UNDER HIGH LIGHT 1', NULL, NULL, 32092, 15),
(115526, NULL, 'PTHR36139:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(115527, NULL, 'PTHR11863:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115528, NULL, 'PTHR34994', NULL, NULL, NULL, NULL, 'PROTEIN FAM25A-RELATED', NULL, NULL, 15510, 15),
(115529, NULL, 'PTHR34572:SF1', NULL, NULL, NULL, NULL, 'GOLGIN FAMILY A PROTEIN', NULL, NULL, NULL, 15),
(115530, NULL, 'PTHR11945:SF679', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(115531, NULL, 'PTHR43201', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE', NULL, NULL, NULL, 15),
(115532, NULL, 'PTHR22298:SF141', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(115533, NULL, 'PTHR11818:SF50', NULL, NULL, NULL, NULL, 'BETA/GAMMA CRYSTALLIN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(115534, NULL, 'PTHR11680:SF36', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(115535, NULL, 'PTHR34730:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(115536, NULL, 'PTHR24034:SF105', NULL, NULL, NULL, NULL, 'MATRILIN 3', NULL, NULL, 27955, 15),
(115537, NULL, 'PTHR12280:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115538, NULL, 'PTHR33052:SF27', NULL, NULL, NULL, NULL, 'OS03G0740200 PROTEIN', NULL, NULL, NULL, 15),
(115539, NULL, 'PTHR43029:SF11', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 4 MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(115540, NULL, 'PTHR31917:SF89', NULL, NULL, NULL, NULL, 'BNAANNG18030D PROTEIN', NULL, NULL, NULL, 15),
(115541, NULL, 'PTHR45996:SF1', NULL, NULL, NULL, NULL, 'CYCLIC AMP-RESPONSIVE ELEMENT-BINDING PROTEIN 3-LIKE PROTEIN 3', NULL, NULL, 27839, 15),
(115542, NULL, 'PTHR18063:SF7', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE MINDY-1', NULL, NULL, NULL, 15),
(115543, NULL, 'PTHR33450:SF6', NULL, NULL, NULL, NULL, 'OS09G0511200 PROTEIN', NULL, NULL, NULL, 15),
(115544, NULL, 'PTHR47125:SF5', NULL, NULL, NULL, NULL, 'BNAA10G08650D PROTEIN', NULL, NULL, NULL, 15),
(115545, NULL, 'PTHR20886:SF11', NULL, NULL, NULL, NULL, 'VANG-LIKE PROTEIN', NULL, NULL, NULL, 15),
(115546, NULL, 'PTHR26451:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10R2', NULL, NULL, NULL, 15),
(115547, NULL, 'PTHR23311:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 36', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115548, NULL, 'PTHR39730:SF1', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 1', NULL, NULL, NULL, 15),
(115549, NULL, 'PTHR33044:SF172', NULL, NULL, NULL, NULL, 'PLANT LIPID TRANSFER PROTEIN/PAR ALLERGEN-RELATED', NULL, NULL, NULL, 15),
(115550, NULL, 'PTHR12782:SF12', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E SYNTHASE 2-RELATED', NULL, NULL, NULL, 15),
(115551, NULL, 'PTHR27002:SF68', NULL, NULL, NULL, NULL, 'OS07G0550900 PROTEIN', NULL, NULL, NULL, 15),
(115552, NULL, 'PTHR31190:SF86', NULL, NULL, NULL, NULL, 'OS09G0571700 PROTEIN', NULL, NULL, NULL, 15),
(115553, NULL, 'PTHR21566:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11544', NULL, NULL, NULL, 15),
(115554, NULL, 'PTHR45724', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP2-1', NULL, NULL, 25369, 15),
(115555, NULL, 'PTHR11547:SF24', NULL, NULL, NULL, NULL, 'CREATINE KINASE U-TYPE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(115556, NULL, 'PTHR31713:SF54', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 C', NULL, NULL, NULL, 15),
(115557, NULL, 'PTHR23129:SF3', NULL, NULL, NULL, NULL, 'FAT STORAGE-INDUCING TRANSMEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(115558, NULL, 'PTHR31374:SF332', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32', NULL, NULL, NULL, 15),
(115559, NULL, 'PTHR45968:SF5', NULL, NULL, NULL, NULL, 'PROTEIN HOTHEAD', NULL, NULL, 28293, 15),
(115560, NULL, 'PTHR38659:SF2', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(115561, NULL, 'PTHR10634:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 5', NULL, NULL, NULL, 15),
(115562, NULL, 'PTHR46882', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY N MEMBER 1', NULL, NULL, 37943, 15),
(115563, NULL, 'PTHR47998:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB114-LIKE', NULL, NULL, NULL, 15),
(115564, NULL, 'PTHR11759:SF40', NULL, NULL, NULL, NULL, 'OS02G0162500 PROTEIN', NULL, NULL, NULL, 15),
(115565, NULL, 'PTHR11839:SF22', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 26, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(115566, NULL, 'PTHR19961:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115567, NULL, 'PTHR32295:SF160', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', NULL, NULL, NULL, 15),
(115568, NULL, 'PTHR15503:SF7', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(115569, NULL, 'PTHR11961:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115570, NULL, 'PTHR11374:SF48', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE 2-RELATED', NULL, NULL, NULL, 15),
(115571, NULL, 'PTHR10809:SF51', NULL, NULL, NULL, NULL, 'OS02G0661900 PROTEIN', NULL, NULL, NULL, 15),
(115572, NULL, 'PTHR21353', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 9436, 15),
(115573, NULL, 'PTHR43952:SF73', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 1', NULL, NULL, NULL, 15),
(115574, NULL, 'PTHR33511:SF24', NULL, NULL, NULL, NULL, 'OSJNBB0048E02.16 PROTEIN', NULL, NULL, NULL, 15),
(115575, NULL, 'PTHR31586:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX20, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(115576, NULL, 'PTHR12905:SF16', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN PHOSPHATASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G06000)', NULL, NULL, NULL, 15),
(115577, NULL, 'PTHR27002:SF460', NULL, NULL, NULL, NULL, 'OS01G0366300 PROTEIN', NULL, NULL, NULL, 15),
(115578, NULL, 'PTHR47928:SF150', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN PPR868-14 ISOFORM 1', NULL, NULL, NULL, 15),
(115579, NULL, 'PTHR22748', NULL, NULL, NULL, NULL, 'AP ENDONUCLEASE', NULL, NULL, 4202, 15),
(115580, NULL, 'PTHR48140', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115581, NULL, 'PTHR20881:SF2', NULL, NULL, NULL, NULL, '3-METHYL-2-OXOBUTANOATE HYDROXYMETHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(115582, NULL, 'PTHR31194:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115583, NULL, 'PTHR21585:SF0', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115584, NULL, 'PTHR34796:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(115585, NULL, 'PTHR42717:SF1', NULL, NULL, NULL, NULL, 'DIHYDROOROTASE-RELATED', NULL, NULL, NULL, 15),
(115586, NULL, 'PTHR31948:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115587, NULL, 'PTHR23226:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 26', NULL, NULL, NULL, 15),
(115588, NULL, 'PTHR35374', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 11A-LIKE', NULL, NULL, NULL, 15),
(115589, NULL, 'PTHR46011:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-28', NULL, NULL, NULL, 15),
(115590, NULL, 'PTHR24056:SF177', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE 3', NULL, NULL, NULL, 15),
(115591, NULL, 'PTHR48061:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115592, NULL, 'PTHR43272:SF78', NULL, NULL, NULL, NULL, 'LONG-CHAIN FATTY ACYL COA LIGASE', NULL, NULL, NULL, 15),
(115593, NULL, 'PTHR48059:SF3', NULL, NULL, NULL, NULL, 'OS05G0104700 PROTEIN', NULL, NULL, NULL, 15),
(115594, NULL, 'PTHR31213:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115595, NULL, 'PTHR31062:SF203', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(115596, NULL, 'PTHR13723:SF40', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 1', NULL, NULL, NULL, 15),
(115597, NULL, 'PTHR47976:SF23', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', NULL, NULL, NULL, 15),
(115598, NULL, 'PTHR11085:SF40', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT DEACETYLASE SIR2B', NULL, NULL, NULL, 15),
(115599, NULL, 'PTHR19956', NULL, NULL, NULL, NULL, 'LAMIN TAIL DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(115600, NULL, 'PTHR47599', NULL, NULL, NULL, NULL, 'CELL-TO-CELL MOVEMENT PROTEIN', NULL, NULL, NULL, 15),
(115601, NULL, 'PTHR10314:SF71', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(115602, NULL, 'PTHR46506:SF12', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(115603, NULL, 'PTHR13385:SF5', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN ATG12', NULL, NULL, NULL, 15),
(115604, NULL, 'PTHR24384:SF186', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN SIMILAR TO VERTEBRATE ZINC FINGER PROTEIN 384 (ZNF384)-RELATED', NULL, NULL, NULL, 15),
(115605, NULL, 'PTHR35967:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115606, NULL, 'PTHR24296:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115607, NULL, 'PTHR47883:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115608, NULL, 'PTHR30603:SF56', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 33 HOMOLOG', NULL, NULL, NULL, 15),
(115609, NULL, 'PTHR48137:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115610, NULL, 'PTHR46267:SF10', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING FACTOR 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(115611, NULL, 'PTHR12800:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115612, NULL, 'PTHR47969:SF1', NULL, NULL, NULL, NULL, 'BNAA08G07300D PROTEIN', NULL, NULL, NULL, 15),
(115613, NULL, 'PTHR27005:SF232', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(115614, NULL, 'PTHR36870:SF1', NULL, NULL, NULL, NULL, 'C17ORF78 ISOFORM 2', NULL, NULL, NULL, 15),
(115615, NULL, 'PTHR24300:SF142', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 2, SUBFAMILY J, POLYPEPTIDE 11-RELATED', NULL, NULL, NULL, 15),
(115616, NULL, 'PTHR31235:SF234', NULL, NULL, NULL, NULL, 'PEROXIDASE 56', NULL, NULL, NULL, 15),
(115617, NULL, 'PTHR12606:SF117', NULL, NULL, NULL, NULL, 'BNAC08G40170D PROTEIN', NULL, NULL, NULL, 15),
(115618, NULL, 'PTHR34152:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG26219', NULL, NULL, NULL, 15),
(115619, NULL, 'PTHR42683:SF65', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 8', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115620, NULL, 'PTHR11559:SF389', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(115621, NULL, 'PTHR43134:SF10', NULL, NULL, NULL, NULL, 'BNAA01G06530D PROTEIN', NULL, NULL, NULL, 15),
(115622, NULL, 'PTHR32100:SF52', NULL, NULL, NULL, NULL, 'TEMPERATURE-SENSITIVE SN-2 ACYL-LIPID OMEGA-3 DESATURASE (FERREDOXIN), CHLOROPLASTIC', NULL, NULL, NULL, 15),
(115623, NULL, 'PTHR23345:SF30', NULL, NULL, NULL, NULL, 'VITELLOGENIN-2-RELATED', NULL, NULL, NULL, 15),
(115624, NULL, 'PTHR24064:SF549', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER', NULL, NULL, NULL, 15),
(115625, NULL, 'PTHR11141:SF30', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', NULL, NULL, NULL, 15),
(115626, NULL, 'PTHR12482:SF40', NULL, NULL, NULL, NULL, 'PROTEIN FAM135A', NULL, NULL, NULL, 15),
(115627, NULL, 'PTHR21461:SF69', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(115628, NULL, 'PTHR36892:SF5', NULL, NULL, NULL, NULL, 'OS05G0518200 PROTEIN', NULL, NULL, NULL, 15),
(115629, NULL, 'PTHR31742:SF1', NULL, NULL, NULL, NULL, 'RPA-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(115630, NULL, 'PTHR23430:SF307', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(115631, NULL, 'PTHR36493:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115632, NULL, 'PTHR45113:SF1', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE A', NULL, NULL, NULL, 15),
(115633, NULL, 'PTHR40711', NULL, NULL, NULL, NULL, 'DERMCIDIN-RELATED', NULL, NULL, 36915, 15),
(115634, NULL, 'PTHR30465:SF74', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN OPPB', NULL, NULL, NULL, 15),
(115635, NULL, 'PTHR46756:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115636, NULL, 'PTHR46248:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(115637, NULL, 'PTHR31415:SF81', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED FAMILY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(115638, NULL, 'PTHR48047:SF37', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(115639, NULL, 'PTHR10361:SF41', NULL, NULL, NULL, NULL, 'SODIUM/BILE ACID COTRANSPORTER 4', NULL, NULL, 23523, 15),
(115640, NULL, 'PTHR23160:SF17', NULL, NULL, NULL, NULL, 'OS02G0598300 PROTEIN', NULL, NULL, NULL, 15),
(115641, NULL, 'PTHR46128:SF134', NULL, NULL, NULL, NULL, 'BNACNNG09760D PROTEIN', NULL, NULL, NULL, 15),
(115642, NULL, 'PTHR14217:SF32', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', NULL, NULL, NULL, 15),
(115643, NULL, 'PTHR16684', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN C', NULL, NULL, 28453, 15),
(115644, NULL, 'PTHR31189:SF62', NULL, NULL, NULL, NULL, 'OS01G0976200 PROTEIN', NULL, NULL, NULL, 15),
(115645, NULL, 'PTHR12612:SF9', NULL, NULL, NULL, NULL, 'NTF2-RELATED EXPORT PROTEIN 2', NULL, NULL, NULL, 15),
(115646, NULL, 'PTHR30632:SF14', NULL, NULL, NULL, NULL, 'MOLYBDATE PERIPLASMIC BINDING PROTEIN', NULL, NULL, NULL, 15),
(115647, NULL, 'PTHR43009:SF9', NULL, NULL, NULL, NULL, 'NARINGENIN 8-DIMETHYLALLYLTRANSFERASE 1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115648, NULL, 'PTHR34149:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG25828', NULL, NULL, NULL, 15),
(115649, NULL, 'PTHR11360:SF119', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 10', NULL, NULL, 21839, 15),
(115650, NULL, 'PTHR10943:SF20', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2 HOMOLOG', NULL, NULL, NULL, 15),
(115651, NULL, 'PTHR31966:SF19', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN PHOS34', NULL, NULL, NULL, 15),
(115652, NULL, 'PTHR11351', NULL, NULL, NULL, NULL, 'ACYL-COA DESATURASE', NULL, NULL, 7319, 15),
(115653, NULL, 'PTHR11984:SF13', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-5 PROTEIN', NULL, NULL, 6928, 15),
(115654, NULL, 'PTHR11213:SF10', NULL, NULL, NULL, NULL, 'ADCYAP1B PROTEIN', NULL, NULL, NULL, 15),
(115655, NULL, 'PTHR11474:SF38', NULL, NULL, NULL, NULL, 'PROTEIN CBG07566', NULL, NULL, NULL, 15),
(115656, NULL, 'PTHR38828:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115657, NULL, 'PTHR33463:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115658, NULL, 'PTHR34524', NULL, NULL, NULL, NULL, 'CALCYPHOSIN', NULL, NULL, NULL, 15),
(115659, NULL, 'PTHR10934', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18', NULL, NULL, 1503, 15),
(115660, NULL, 'PTHR42201', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 5955, 15),
(115661, NULL, 'PTHR31048:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115662, NULL, 'PTHR31190:SF313', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(115663, NULL, 'PTHR26453:SF302', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(115664, NULL, 'PTHR11929:SF198', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE 11', NULL, NULL, NULL, 15),
(115665, NULL, 'PTHR35496:SF4', NULL, NULL, NULL, NULL, '2S SEED STORAGE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(115666, NULL, 'PTHR23244:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115667, NULL, 'PTHR21344', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 32926, 15),
(115668, NULL, 'PTHR45660:SF42', NULL, NULL, NULL, NULL, 'BNAC04G43670D PROTEIN', NULL, NULL, NULL, 15),
(115669, NULL, 'PTHR23294:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115670, NULL, 'PTHR43952:SF45', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 3', NULL, NULL, NULL, 15),
(115671, NULL, 'PTHR35182:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13100', NULL, NULL, NULL, 15),
(115672, NULL, 'PTHR11588:SF387', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(115673, NULL, 'PTHR31086:SF73', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 9', NULL, NULL, NULL, 15),
(115674, NULL, 'PTHR13299:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX16', NULL, NULL, NULL, 15),
(115675, NULL, 'PTHR13402:SF17', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16', NULL, NULL, NULL, 15),
(115676, NULL, 'PTHR33146:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115677, NULL, 'PTHR34685:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115678, NULL, 'PTHR33083:SF60', NULL, NULL, NULL, NULL, 'OS07G0516300 PROTEIN', NULL, NULL, NULL, 15),
(115679, NULL, 'PTHR42909:SF1', NULL, NULL, NULL, NULL, 'ZGC:136858', NULL, NULL, NULL, 15),
(115680, NULL, 'PTHR46162:SF16', NULL, NULL, NULL, NULL, 'MATH DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(115681, NULL, 'PTHR33065:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115682, NULL, 'PTHR43220:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 41B', NULL, NULL, NULL, 15),
(115683, NULL, 'PTHR48018:SF95', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(115684, NULL, 'PTHR47297', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37733, 15),
(115685, NULL, 'PTHR22069:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115686, NULL, 'PTHR31722:SF44', NULL, NULL, NULL, NULL, 'BNAC03G66120D PROTEIN', NULL, NULL, NULL, 15),
(115687, NULL, 'PTHR45648:SF125', NULL, NULL, NULL, NULL, 'BNAA10G09310D PROTEIN', NULL, NULL, NULL, 15),
(115688, NULL, 'PTHR24216:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115689, NULL, 'PTHR47980:SF35', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-12', NULL, NULL, NULL, 15),
(115690, NULL, 'PTHR26453:SF613', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 10 SUBFAMILY H MEMBER 4', NULL, NULL, NULL, 15),
(115691, NULL, 'PTHR31852:SF208', NULL, NULL, NULL, NULL, 'BNAANNG05510D PROTEIN', NULL, NULL, NULL, 15),
(115692, NULL, 'PTHR31694:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115693, NULL, 'PTHR24353:SF136', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL FOLD', NULL, NULL, NULL, 15),
(115694, NULL, 'PTHR21859:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115695, NULL, 'PTHR12659:SF4', NULL, NULL, NULL, NULL, 'SI:DKEYP-23E4.3', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115696, NULL, 'PTHR43836:SF3', NULL, NULL, NULL, NULL, 'CATECHOL O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(115697, NULL, 'PTHR10666:SF363', NULL, NULL, NULL, NULL, 'UBIQUITIN-40S RIBOSOMAL PROTEIN S27A-1', NULL, NULL, NULL, 15),
(115698, NULL, 'PTHR31839:SF26', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN', NULL, NULL, NULL, 15),
(115699, NULL, 'PTHR11685:SF172', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(115700, NULL, 'PTHR42972:SF6', NULL, NULL, NULL, NULL, 'ACETYLXYLAN ESTERASE A', NULL, NULL, NULL, 15),
(115701, NULL, 'PTHR47991:SF52', NULL, NULL, NULL, NULL, 'OS10G0558900 PROTEIN', NULL, NULL, NULL, 15),
(115702, NULL, 'PTHR11006:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115703, NULL, 'PTHR47967:SF77', NULL, NULL, NULL, NULL, 'PROTEINASE NEPENTHESIN-1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(115704, NULL, 'PTHR31476:SF12', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(115705, NULL, 'PTHR13680:SF34', NULL, NULL, NULL, NULL, 'ZGC:110843', NULL, NULL, NULL, 15),
(115706, NULL, 'PTHR33156:SF55', NULL, NULL, NULL, NULL, 'BNAC06G07160D PROTEIN', NULL, NULL, NULL, 15),
(115707, NULL, 'PTHR37957', NULL, NULL, NULL, NULL, 'BLR7070 PROTEIN', NULL, NULL, NULL, 15),
(115708, NULL, 'PTHR31707:SF278', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 44-RELATED', NULL, NULL, NULL, 15),
(115709, NULL, 'PTHR10585:SF65', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR C28H8.4-RELATED', NULL, NULL, NULL, 15),
(115710, NULL, 'PTHR37485', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSB', NULL, NULL, 15260, 15),
(115711, NULL, 'PTHR31499:SF31', NULL, NULL, NULL, NULL, 'OS07G0685300 PROTEIN', NULL, NULL, NULL, 15),
(115712, NULL, 'PTHR37549:SF1', NULL, NULL, NULL, NULL, 'LIPOPROTEIN LPRI', NULL, NULL, NULL, 15),
(115713, NULL, 'PTHR33115:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115714, NULL, 'PTHR31623', NULL, NULL, NULL, NULL, 'F21J9.9', NULL, NULL, NULL, 15),
(115715, NULL, 'PTHR10962:SF1', NULL, NULL, NULL, NULL, 'LD27268P', NULL, NULL, NULL, 15),
(115716, NULL, 'PTHR33110:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115717, NULL, 'PTHR12247', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN', NULL, NULL, NULL, 15),
(115718, NULL, 'PTHR10351:SF62', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', NULL, NULL, NULL, 15),
(115719, NULL, 'PTHR15286:SF9', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(115720, NULL, 'PTHR13743:SF143', NULL, NULL, NULL, NULL, 'BNAA09G38890D PROTEIN', NULL, NULL, NULL, 15),
(115721, NULL, 'PTHR31908', NULL, NULL, NULL, NULL, 'PROTEIN CROWDED NUCLEI 4', NULL, NULL, 31120, 15),
(115722, NULL, 'PTHR44218:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF PHYA-105 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(115723, NULL, 'PTHR12106:SF8', NULL, NULL, NULL, NULL, 'VPS10 DOMAIN-CONTAINING RECEPTOR SORCS1', NULL, NULL, NULL, 15),
(115724, NULL, 'PTHR33086:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115725, NULL, 'PTHR24073:SF1145', NULL, NULL, NULL, NULL, 'PROTEIN CBG25881', NULL, NULL, NULL, 15),
(115726, NULL, 'PTHR11815:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115727, NULL, 'PTHR19443:SF32', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(115728, NULL, 'PTHR21038:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115729, NULL, 'PTHR10338:SF119', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN H4', NULL, NULL, NULL, 15),
(115730, NULL, 'PTHR24388:SF28', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 341', NULL, NULL, NULL, 15),
(115731, NULL, 'PTHR33133:SF49', NULL, NULL, NULL, NULL, 'BNAA02G26780D PROTEIN', NULL, NULL, NULL, 15),
(115732, NULL, 'PTHR12241:SF154', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL11', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115733, NULL, 'PTHR35103:SF5', NULL, NULL, NULL, NULL, 'BNAC01G20840D PROTEIN', NULL, NULL, NULL, 15),
(115734, NULL, 'PTHR10824:SF16', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 1-RELATED', NULL, NULL, NULL, 15),
(115735, NULL, 'PTHR26452:SF721', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(115736, NULL, 'PTHR21646:SF11', NULL, NULL, NULL, NULL, 'INACTIVE UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 50', NULL, NULL, NULL, 15),
(115737, NULL, 'PTHR14353', NULL, NULL, NULL, NULL, 'MYRISTOYLATED ALANINE-RICH C-KINASE SUBSTRATE  MARCKS', NULL, NULL, 1389, 15),
(115738, NULL, 'PTHR23056:SF113', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 3 ISOFORM X2', NULL, NULL, NULL, 15),
(115739, NULL, 'PTHR27009:SF168', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(115740, NULL, 'PTHR11963:SF43', NULL, NULL, NULL, NULL, 'LEUCINE AMINOPEPTIDASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(115741, NULL, 'PTHR24281:SF33', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(115742, NULL, 'PTHR10404', NULL, NULL, NULL, NULL, 'N-ACETYLATED-ALPHA-LINKED ACIDIC DIPEPTIDASE', NULL, NULL, 35656, 15),
(115743, NULL, 'PTHR10795:SF673', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE PROTEASE', NULL, NULL, NULL, 15),
(115744, NULL, 'PTHR14907:SF2', NULL, NULL, NULL, NULL, 'FI14130P', NULL, NULL, NULL, 15),
(115745, NULL, 'PTHR22814:SF307', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 30', NULL, NULL, NULL, 15),
(115746, NULL, 'PTHR23267:SF418', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115747, NULL, 'PTHR34941:SF1', NULL, NULL, NULL, NULL, 'DEHYDRIN HIRD11', NULL, NULL, NULL, 15),
(115748, NULL, 'PTHR11926:SF1047', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE IRIDOID GLUCOSYLTRANSFERASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(115749, NULL, 'PTHR10539:SF7', NULL, NULL, NULL, NULL, 'PROTEASOME COMPONENT (PCI) DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115750, NULL, 'PTHR35852:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG00231', NULL, NULL, NULL, 15),
(115751, NULL, 'PTHR10556:SF56', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE 2-LIKE', NULL, NULL, NULL, 15),
(115752, NULL, 'PTHR47977:SF52', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABC2A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(115753, NULL, 'PTHR14493:SF115', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 47', NULL, NULL, NULL, 15),
(115754, NULL, 'PTHR21600:SF53', NULL, NULL, NULL, NULL, 'RNA PSEUDOURIDINE SYNTHASE 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(115755, NULL, 'PTHR11864:SF28', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING PROTEIN 40A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(115756, NULL, 'PTHR15907:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115757, NULL, 'PTHR45639:SF19', NULL, NULL, NULL, NULL, 'BNAC07G50110D PROTEIN', NULL, NULL, NULL, 15),
(115758, NULL, 'PTHR22957:SF545', NULL, NULL, NULL, NULL, 'OS02G0810500 PROTEIN', NULL, NULL, NULL, 15),
(115759, NULL, 'PTHR32258:SF28', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 3A-RELATED', NULL, NULL, NULL, 15),
(115760, NULL, 'PTHR31304:SF34', NULL, NULL, NULL, NULL, 'BNAC07G31610D PROTEIN', NULL, NULL, NULL, 15),
(115761, NULL, 'PTHR39352:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14251', NULL, NULL, NULL, 15),
(115762, NULL, 'PTHR24044:SF438', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS PROTEIN DELTA-RELATED', NULL, NULL, NULL, 15),
(115763, NULL, 'PTHR34045:SF10', NULL, NULL, NULL, NULL, 'EARLY AUXIN RESPONSE PROTEIN', NULL, NULL, NULL, 15),
(115764, NULL, 'PTHR43018:SF3', NULL, NULL, NULL, NULL, 'CARBOXYSOME FORMATION PROTEIN', NULL, NULL, NULL, 15),
(115765, NULL, 'PTHR46689:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(115766, NULL, 'PTHR23164:SF29', NULL, NULL, NULL, NULL, 'RAS-LIKE SMALL GTPASES-RELATED', NULL, NULL, NULL, 15),
(115767, NULL, 'PTHR43674:SF6', NULL, NULL, NULL, NULL, 'NITRILASE C965.09-RELATED', NULL, NULL, NULL, 15),
(115768, NULL, 'PTHR11165:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115769, NULL, 'PTHR10322:SF23', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(115770, NULL, 'PTHR33702:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115771, NULL, 'PTHR46651:SF4', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 7-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(115772, NULL, 'PTHR12294:SF23', NULL, NULL, NULL, NULL, 'CALCIUM UPTAKE PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(115773, NULL, 'PTHR43482:SF3', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06640)-RELATED', NULL, NULL, NULL, 15),
(115774, NULL, 'PTHR23108', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-RELATED', NULL, NULL, 35304, 15),
(115775, NULL, 'PTHR23037:SF27', NULL, NULL, NULL, NULL, 'INTERLEUKIN-7 RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(115776, NULL, 'PTHR11559:SF134', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(115777, NULL, 'PTHR32410:SF166', NULL, NULL, NULL, NULL, 'CHP-RICH ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115778, NULL, 'PTHR14326:SF44', NULL, NULL, NULL, NULL, 'TARGETING PROTEIN FOR XKLP2', NULL, NULL, NULL, 15),
(115779, NULL, 'PTHR24055:SF188', NULL, NULL, NULL, NULL, 'PROTEIN CBG12029', NULL, NULL, NULL, 15),
(115780, NULL, 'PTHR23263', NULL, NULL, NULL, NULL, 'SMALL PROLINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(115781, NULL, 'PTHR14379:SF62', NULL, NULL, NULL, NULL, 'BNAC01G40510D PROTEIN', NULL, NULL, NULL, 15),
(115782, NULL, 'PTHR34928:SF1', NULL, NULL, NULL, NULL, 'GENE, 17657-RELATED', NULL, NULL, NULL, 15),
(115783, NULL, 'PTHR11848:SF250', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 2', NULL, NULL, NULL, 15),
(115784, NULL, 'PTHR22975:SF24', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL HYDROLASE-LIKE PROTEIN, PUTATIVE (DUF627 AND DUF629)-RELATED', NULL, NULL, NULL, 15),
(115785, NULL, 'PTHR13526:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPT20 HOMOLOG-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(115786, NULL, 'PTHR15710:SF23', NULL, NULL, NULL, NULL, 'OS03G0324900 PROTEIN', NULL, NULL, NULL, 15),
(115787, NULL, 'PTHR31052:SF20', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(115788, NULL, 'PTHR23257:SF723', NULL, NULL, NULL, NULL, 'RECEPTOR-INTERACTING SERINE/THREONINE-PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(115789, NULL, 'PTHR34838:SF1', NULL, NULL, NULL, NULL, 'OS08G0143150 PROTEIN', NULL, NULL, NULL, 15),
(115790, NULL, 'PTHR31760', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, 1842, 15),
(115791, NULL, 'PTHR31607:SF13', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1216)-RELATED', NULL, NULL, NULL, 15),
(115792, NULL, 'PTHR31442:SF29', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(115793, NULL, 'PTHR32212:SF334', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115794, NULL, 'PTHR11575:SF23', NULL, NULL, NULL, NULL, '5-NUCLEOTIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(115795, NULL, 'PTHR24281:SF67', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A2', NULL, NULL, NULL, 15),
(115796, NULL, 'PTHR46100:SF5', NULL, NULL, NULL, NULL, 'OS01G0849600 PROTEIN', NULL, NULL, NULL, 15),
(115797, NULL, 'PTHR48017:SF27', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115798, NULL, 'PTHR22640', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 34906, 15),
(115799, NULL, 'PTHR35505:SF1', NULL, NULL, NULL, NULL, 'OS01G0600300 PROTEIN', NULL, NULL, NULL, 15),
(115800, NULL, 'PTHR45987:SF1', NULL, NULL, NULL, NULL, 'F20P5.9 PROTEIN', NULL, NULL, 17611, 15),
(115801, NULL, 'PTHR31384:SF95', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(115802, NULL, 'PTHR19268:SF8', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 27-RELATED', NULL, NULL, NULL, 15),
(115803, NULL, 'PTHR47999:SF31', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115804, NULL, 'PTHR45715:SF1', NULL, NULL, NULL, NULL, 'OS01G0222500 PROTEIN', NULL, NULL, NULL, 15),
(115805, NULL, 'PTHR33021:SF325', NULL, NULL, NULL, NULL, 'UMECYANIN-LIKE', NULL, NULL, NULL, 15),
(115806, NULL, 'PTHR13318:SF133', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP2', NULL, NULL, NULL, 15),
(115807, NULL, 'PTHR48019:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115808, NULL, 'PTHR36482:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0024J22.14 PROTEIN', NULL, NULL, NULL, 15),
(115809, NULL, 'PTHR31790:SF417', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115810, NULL, 'PTHR43684:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115811, NULL, 'PTHR10738', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 5', NULL, NULL, 23044, 15),
(115812, NULL, 'PTHR45614:SF126', NULL, NULL, NULL, NULL, 'BNAC07G31640D PROTEIN', NULL, NULL, NULL, 15),
(115813, NULL, 'PTHR14437:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 168', NULL, NULL, NULL, 15),
(115814, NULL, 'PTHR31579', NULL, NULL, NULL, NULL, 'OS03G0796600 PROTEIN', NULL, NULL, 6905, 15),
(115815, NULL, 'PTHR10827:SF53', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(115816, NULL, 'PTHR38095', NULL, NULL, NULL, NULL, 'ANAEROBIC DIMETHYL SULFOXIDE REDUCTASE CHAIN YNFH', NULL, NULL, 6581, 15),
(115817, NULL, 'PTHR12295:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115818, NULL, 'PTHR24416:SF483', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR RECEPTOR', NULL, NULL, NULL, 15),
(115819, NULL, 'PTHR10048:SF102', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE', NULL, NULL, NULL, 15),
(115820, NULL, 'PTHR47274:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(115821, NULL, 'PTHR47009:SF4', NULL, NULL, NULL, NULL, 'GENE 12169-RELATED', NULL, NULL, NULL, 15),
(115822, NULL, 'PTHR21043', NULL, NULL, NULL, NULL, 'IOJAP SUPERFAMILY ORTHOLOG', NULL, NULL, 5835, 15),
(115823, NULL, 'PTHR43748', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE 3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(115824, NULL, 'PTHR11819:SF145', NULL, NULL, NULL, NULL, 'SODIUM/GLUCOSE COTRANSPORTER 2', NULL, NULL, NULL, 15),
(115825, NULL, 'PTHR12002:SF35', NULL, NULL, NULL, NULL, 'CLAUDIN-5', NULL, NULL, NULL, 15),
(115826, NULL, 'PTHR31827:SF50', NULL, NULL, NULL, NULL, 'BNAC02G43180D PROTEIN', NULL, NULL, NULL, 15),
(115827, NULL, 'PTHR45978:SF7', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 27450, 15),
(115828, NULL, 'PTHR10466:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE', NULL, NULL, NULL, 15),
(115829, NULL, 'PTHR46186:SF12', NULL, NULL, NULL, NULL, 'CYSTATIN C (AMYLOID ANGIOPATHY AND CEREBRAL HEMORRHAGE)-RELATED', NULL, NULL, NULL, 15),
(115830, NULL, 'PTHR30344:SF1', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE', NULL, NULL, NULL, 15),
(115831, NULL, 'PTHR10151:SF117', NULL, NULL, NULL, NULL, 'BLR5306 PROTEIN', NULL, NULL, NULL, 15),
(115832, NULL, 'PTHR12433:SF11', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 25', NULL, NULL, NULL, 15),
(115833, NULL, 'PTHR10791:SF129', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET1B', NULL, NULL, NULL, 15),
(115834, NULL, 'PTHR28031:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN HUA1', NULL, NULL, NULL, 15),
(115835, NULL, 'PTHR20766:SF2', NULL, NULL, NULL, NULL, 'LARGE NEUTRAL AMINO ACIDS TRANSPORTER SMALL SUBUNIT 4', NULL, NULL, 23371, 15),
(115836, NULL, 'PTHR45914:SF39', NULL, NULL, NULL, NULL, 'BNAA09G07590D PROTEIN', NULL, NULL, NULL, 15),
(115837, NULL, 'PTHR24247:SF184', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR GAR-1-RELATED', NULL, NULL, NULL, 15),
(115838, NULL, 'PTHR44259:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115839, NULL, 'PTHR11540:SF30', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE, NAD-DEPENDENT (AFU_ORTHOLOGUE AFUA_6G05210)', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115840, NULL, 'PTHR31375:SF152', NULL, NULL, NULL, NULL, 'OS03G0808000 PROTEIN', NULL, NULL, NULL, 15),
(115841, NULL, 'PTHR31734:SF189', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(115842, NULL, 'PTHR46128:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115843, NULL, 'PTHR45923:SF13', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', NULL, NULL, NULL, 15),
(115844, NULL, 'PTHR23236:SF53', NULL, NULL, NULL, NULL, 'BNACNNG45920D PROTEIN', NULL, NULL, NULL, 15),
(115845, NULL, 'PTHR11588:SF368', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(115846, NULL, 'PTHR24015:SF524', NULL, NULL, NULL, NULL, 'OS07G0670000 PROTEIN', NULL, NULL, NULL, 15),
(115847, NULL, 'PTHR10093:SF22', NULL, NULL, NULL, NULL, 'BNAUNNG03280D PROTEIN', NULL, NULL, NULL, 15),
(115848, NULL, 'PTHR31087:SF117', NULL, NULL, NULL, NULL, 'BNAANNG09500D PROTEIN', NULL, NULL, NULL, 15),
(115849, NULL, 'PTHR37702:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115850, NULL, 'PTHR31901:SF46', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE', NULL, NULL, NULL, 15),
(115851, NULL, 'PTHR10177:SF386', NULL, NULL, NULL, NULL, 'CYCLIN-A3-2-RELATED', NULL, NULL, NULL, 15),
(115852, NULL, 'PTHR24240:SF146', NULL, NULL, NULL, NULL, 'NOVOPSIN-5-RELATED', NULL, NULL, NULL, 15),
(115853, NULL, 'PTHR31496', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAN2-RELATED', NULL, NULL, 37217, 15),
(115854, NULL, 'PTHR22427:SF2', NULL, NULL, NULL, NULL, 'AP2-INTERACTING CLATHRIN-ENDOCYTOSIS PROTEIN', NULL, NULL, 33644, 15),
(115855, NULL, 'PTHR10302:SF12', NULL, NULL, NULL, NULL, 'PROTEIN OSB3, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(115856, NULL, 'PTHR24361:SF718', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 9-LIKE', NULL, NULL, NULL, 15),
(115857, NULL, 'PTHR46087:SF11', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(115858, NULL, 'PTHR23152:SF7', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(115859, NULL, 'PTHR27004:SF364', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 26', NULL, NULL, NULL, 15),
(115860, NULL, 'PTHR36060:SF1', NULL, NULL, NULL, NULL, 'OS02G0272400 PROTEIN', NULL, NULL, NULL, 15),
(115861, NULL, 'PTHR24060:SF160', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 3', NULL, NULL, NULL, 15),
(115862, NULL, 'PTHR24074:SF34', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 72', NULL, NULL, NULL, 15),
(115863, NULL, 'PTHR45763:SF45', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(115864, NULL, 'PTHR38793', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115865, NULL, 'PTHR33420:SF5', NULL, NULL, NULL, NULL, 'FIMBRIAL SUBUNIT', NULL, NULL, NULL, 15),
(115866, NULL, 'PTHR31009:SF65', NULL, NULL, NULL, NULL, 'GIBBERELLIC ACID METHYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(115867, NULL, 'PTHR21467:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 4', NULL, NULL, NULL, 15),
(115868, NULL, 'PTHR22937:SF145', NULL, NULL, NULL, NULL, 'BNACNNG59350D PROTEIN', NULL, NULL, NULL, 15),
(115869, NULL, 'PTHR12736:SF11', NULL, NULL, NULL, NULL, 'LANC-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(115870, NULL, 'PTHR13018:SF119', NULL, NULL, NULL, NULL, 'BNAC04G19490D PROTEIN', NULL, NULL, NULL, 15),
(115871, NULL, 'PTHR44170:SF10', NULL, NULL, NULL, NULL, 'CONTACTIN-1', NULL, NULL, 34718, 15),
(115872, NULL, 'PTHR24096:SF260', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE ACSBG2', NULL, NULL, NULL, 15),
(115873, NULL, 'PTHR11937:SF444', NULL, NULL, NULL, NULL, 'ACTIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(115874, NULL, 'PTHR33237:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115875, NULL, 'PTHR45960:SF4', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(115876, NULL, 'PTHR14360:SF23', NULL, NULL, NULL, NULL, 'BNAA01G19640D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115877, NULL, 'PTHR45932', NULL, NULL, NULL, NULL, 'PATELLIN-1', NULL, NULL, 39050, 15),
(115878, NULL, 'PTHR45710:SF12', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 2 MEMBER H', NULL, NULL, NULL, 15),
(115879, NULL, 'PTHR31250:SF41', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(115880, NULL, 'PTHR27004:SF363', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(115881, NULL, 'PTHR10030:SF27', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 1', NULL, NULL, NULL, 15),
(115882, NULL, 'PTHR48046', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 72E1', NULL, NULL, NULL, 15),
(115883, NULL, 'PTHR15241:SF324', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2C-LIKE', NULL, NULL, NULL, 15),
(115884, NULL, 'PTHR24216:SF48', NULL, NULL, NULL, NULL, 'LIM ZINC FINGER DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(115885, NULL, 'PTHR14218:SF7', NULL, NULL, NULL, NULL, 'DIPEPTIDYL AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(115886, NULL, 'PTHR23318:SF19', NULL, NULL, NULL, NULL, 'PROTEIN PPP4R3C', NULL, NULL, NULL, 15),
(115887, NULL, 'PTHR34383:SF3', NULL, NULL, NULL, NULL, 'POLYPHOSPHATE:AMP PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(115888, NULL, 'PTHR23251:SF0', NULL, NULL, NULL, NULL, 'PROTEIN LYRIC', NULL, NULL, NULL, 15),
(115889, NULL, 'PTHR10826:SF32', NULL, NULL, NULL, NULL, 'BNAC04G05630D PROTEIN', NULL, NULL, NULL, 15),
(115890, NULL, 'PTHR24377:SF287', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 780A', NULL, NULL, NULL, 15),
(115891, NULL, 'PTHR10489:SF711', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 1', NULL, NULL, 12558, 15),
(115892, NULL, 'PTHR42870:SF1', NULL, NULL, NULL, NULL, 'THIOLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(115893, NULL, 'PTHR47743:SF2', NULL, NULL, NULL, NULL, 'ACROSOMAL PROTEIN KIAA1210', NULL, NULL, NULL, 15),
(115894, NULL, 'PTHR11588:SF401', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(115895, NULL, 'PTHR31953:SF92', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 32-RELATED', NULL, NULL, NULL, 15),
(115896, NULL, 'PTHR47587:SF2', NULL, NULL, NULL, NULL, 'OS05G0103500 PROTEIN', NULL, NULL, NULL, 15),
(115897, NULL, 'PTHR21152:SF24', NULL, NULL, NULL, NULL, 'SERINE--PYRUVATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(115898, NULL, 'PTHR11347:SF209', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CGMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 9A', NULL, NULL, NULL, 15),
(115899, NULL, 'PTHR23164:SF26', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY F MEMBER 2', NULL, NULL, NULL, 15),
(115900, NULL, 'PTHR10664:SF42', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS BC (CLASS B-LIKE)', NULL, NULL, NULL, 15),
(115901, NULL, 'PTHR11627:SF62', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(115902, NULL, 'PTHR32246:SF90', NULL, NULL, NULL, NULL, 'LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(115903, NULL, 'PTHR30523', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE', NULL, NULL, 15025, 15),
(115904, NULL, 'PTHR32278:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115905, NULL, 'PTHR43064', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINOIMIDAZOLE CARBOXYLASE-RELATED', NULL, NULL, 33885, 15),
(115906, NULL, 'PTHR47902:SF1', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 119', NULL, NULL, NULL, 15),
(115907, NULL, 'PTHR46057:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.12 PROTEIN', NULL, NULL, NULL, 15),
(115908, NULL, 'PTHR10739:SF53', NULL, NULL, NULL, NULL, 'BNAC08G44190D PROTEIN', NULL, NULL, NULL, 15),
(115909, NULL, 'PTHR30337:SF5', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE, CALCINEURIN SUPERFAMILY', NULL, NULL, 5727, 15),
(115910, NULL, 'PTHR11871:SF34', NULL, NULL, NULL, NULL, 'OS02G0617600 PROTEIN', NULL, NULL, NULL, 15),
(115911, NULL, 'PTHR33785:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115912, NULL, 'PTHR23201:SF93', NULL, NULL, NULL, NULL, 'SNAKIN-1-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115913, NULL, 'PTHR24300:SF157', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 519B1-RELATED', NULL, NULL, NULL, 15),
(115914, NULL, 'PTHR43572:SF38', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 6', NULL, NULL, NULL, 15),
(115915, NULL, 'PTHR45637:SF77', NULL, NULL, NULL, NULL, 'BNAC09G32460D PROTEIN', NULL, NULL, NULL, 15),
(115916, NULL, 'PTHR34769:SF1', NULL, NULL, NULL, NULL, 'RCG42593, ISOFORM CRA_A', NULL, NULL, NULL, 15),
(115917, NULL, 'PTHR31168:SF19', NULL, NULL, NULL, NULL, 'OS01G0683700 PROTEIN', NULL, NULL, NULL, 15),
(115918, NULL, 'PTHR13453:SF8', NULL, NULL, NULL, NULL, 'BNAC05G04000D PROTEIN', NULL, NULL, NULL, 15),
(115919, NULL, 'PTHR44013:SF14', NULL, NULL, NULL, NULL, 'QUINONE-OXIDOREDUCTASE HOMOLOG, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(115920, NULL, 'PTHR19359:SF94', NULL, NULL, NULL, NULL, 'CYTOCHROME B5', NULL, NULL, NULL, 15),
(115921, NULL, 'PTHR27004:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115922, NULL, 'PTHR34542:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115923, NULL, 'PTHR31718:SF31', NULL, NULL, NULL, NULL, 'OS01G0172800 PROTEIN', NULL, NULL, NULL, 15),
(115924, NULL, 'PTHR48004:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115925, NULL, 'PTHR31321:SF83', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(115926, NULL, 'PTHR14003:SF13', NULL, NULL, NULL, NULL, 'BNAA03G13270D PROTEIN', NULL, NULL, NULL, 15),
(115927, NULL, 'PTHR45984:SF3', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 1', NULL, NULL, NULL, 15),
(115928, NULL, 'PTHR43240:SF20', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOYL-COA THIOESTERASE FAMILY PROTEIN YIGI', NULL, NULL, NULL, 15),
(115929, NULL, 'PTHR23189:SF5', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(115930, NULL, 'PTHR22943:SF73', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(115931, NULL, 'PTHR33133:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115932, NULL, 'PTHR46003', NULL, NULL, NULL, NULL, 'HOST CELL FACTOR', NULL, NULL, 39474, 15),
(115933, NULL, 'PTHR31375:SF149', NULL, NULL, NULL, NULL, 'OS11G0249400 PROTEIN', NULL, NULL, NULL, 15),
(115934, NULL, 'PTHR47979:SF66', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-2B', NULL, NULL, NULL, 15),
(115935, NULL, 'PTHR34211:SF6', NULL, NULL, NULL, NULL, 'OS07G0106000 PROTEIN', NULL, NULL, NULL, 15),
(115936, NULL, 'PTHR11709:SF392', NULL, NULL, NULL, NULL, 'BNAA02G05230D PROTEIN', NULL, NULL, NULL, 15),
(115937, NULL, 'PTHR11711:SF380', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 1', NULL, NULL, NULL, 15),
(115938, NULL, 'PTHR43535:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(115939, NULL, 'PTHR22814:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115940, NULL, 'PTHR13914:SF24', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(115941, NULL, 'PTHR11630:SF66', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM4', NULL, NULL, 5439, 15),
(115942, NULL, 'PTHR47981:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-13A21.4', NULL, NULL, NULL, 15),
(115943, NULL, 'PTHR45690:SF16', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 13', NULL, NULL, NULL, 15),
(115944, NULL, 'PTHR48105:SF11', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE', NULL, NULL, NULL, 15),
(115945, NULL, 'PTHR31920:SF86', NULL, NULL, NULL, NULL, 'BNAC09G39750D PROTEIN', NULL, NULL, NULL, 15),
(115946, NULL, 'PTHR30532:SF23', NULL, NULL, NULL, NULL, 'HEMIN-BINDING PERIPLASMIC PROTEIN HMUT', NULL, NULL, NULL, 15),
(115947, NULL, 'PTHR11679:SF76', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT SEC1A', NULL, NULL, NULL, 15),
(115948, NULL, 'PTHR43615:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(115949, NULL, 'PTHR31627:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-69', NULL, NULL, NULL, 15),
(115950, NULL, 'PTHR45621:SF128', NULL, NULL, NULL, NULL, 'BNACNNG45720D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115951, NULL, 'PTHR42781:SF6', NULL, NULL, NULL, NULL, 'SPERMIDINE/PUTRESCINE IMPORT ATP-BINDING PROTEIN POTA', NULL, NULL, NULL, 15),
(115952, NULL, 'PTHR37845:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115953, NULL, 'PTHR12683', NULL, NULL, NULL, NULL, 'CDK-ACTIVATING KINASE ASSEMBLY FACTOR MAT1', NULL, NULL, NULL, 15),
(115954, NULL, 'PTHR42345:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115955, NULL, 'PTHR24349:SF405', NULL, NULL, NULL, NULL, 'BNAC03G17520D PROTEIN', NULL, NULL, NULL, 15),
(115956, NULL, 'PTHR48000:SF37', NULL, NULL, NULL, NULL, 'BNAA02G06100D PROTEIN', NULL, NULL, NULL, 15),
(115957, NULL, 'PTHR11141:SF29', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', NULL, NULL, NULL, 15),
(115958, NULL, 'PTHR33377:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115959, NULL, 'PTHR31488:SF5', NULL, NULL, NULL, NULL, 'C-MANNOSYLTRANSFERASE DPY19L1-RELATED', NULL, NULL, 27820, 15),
(115960, NULL, 'PTHR24339:SF30', NULL, NULL, NULL, NULL, 'LATERAL MUSCLES SCARCER, ISOFORM B', NULL, NULL, NULL, 15),
(115961, NULL, 'PTHR10671:SF30', NULL, NULL, NULL, NULL, 'CLAUDIN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(115962, NULL, 'PTHR35015', NULL, NULL, NULL, NULL, 'PROTEIN CBR-OSM-7-RELATED', NULL, NULL, NULL, 15),
(115963, NULL, 'PTHR32468:SF135', NULL, NULL, NULL, NULL, 'BNACNNG36660D PROTEIN', NULL, NULL, NULL, 15),
(115964, NULL, 'PTHR15222:SF4', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(115965, NULL, 'PTHR11764:SF71', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(115966, NULL, 'PTHR43377:SF12', NULL, NULL, NULL, NULL, 'BINDING ROSSMANN FOLD OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11840)-RELATED', NULL, NULL, NULL, 15),
(115967, NULL, 'PTHR37293:SF5', NULL, NULL, NULL, NULL, 'PHAGE REPLICATION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115968, NULL, 'PTHR40715:SF1', NULL, NULL, NULL, NULL, 'FAM231A/C-LIKE PROTEIN LOC102723383', NULL, NULL, NULL, 15),
(115969, NULL, 'PTHR21562:SF95', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(115970, NULL, 'PTHR16301:SF2', NULL, NULL, NULL, NULL, 'PROTEIN IMPACT', NULL, NULL, NULL, 15),
(115971, NULL, 'PTHR45968:SF31', NULL, NULL, NULL, NULL, 'GLUCOSE-METHANOL-CHOLINE (GMC) OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(115972, NULL, 'PTHR15572:SF6', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(115973, NULL, 'PTHR10337:SF4', NULL, NULL, NULL, NULL, 'SHC-TRANSFORMING PROTEIN 3', NULL, NULL, 29432, 15),
(115974, NULL, 'PTHR23359:SF205', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(115975, NULL, 'PTHR35308:SF7', NULL, NULL, NULL, NULL, 'OS07G0647500 PROTEIN', NULL, NULL, NULL, 15),
(115976, NULL, 'PTHR46405:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RF298 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(115977, NULL, 'PTHR24298:SF108', NULL, NULL, NULL, NULL, 'OS09G0530300 PROTEIN', NULL, NULL, NULL, 15),
(115978, NULL, 'PTHR43029:SF9', NULL, NULL, NULL, NULL, 'SIMILAR TO AMMONIUM PERMEASE, BUT NOT NORMALLY ACTIVE (EUROFUNG)', NULL, NULL, NULL, 15),
(115979, NULL, 'PTHR23430', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, 1463, 15),
(115980, NULL, 'PTHR10519:SF68', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR-LIKE PROTEIN Q', NULL, NULL, NULL, 15),
(115981, NULL, 'PTHR10366:SF642', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1', NULL, NULL, NULL, 15),
(115982, NULL, 'PTHR10980:SF36', NULL, NULL, NULL, NULL, 'OS01G0913600 PROTEIN', NULL, NULL, NULL, 15),
(115983, NULL, 'PTHR47993:SF53', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(115984, NULL, 'PTHR31165:SF67', NULL, NULL, NULL, NULL, 'ALOG DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(115985, NULL, 'PTHR47640', NULL, NULL, NULL, NULL, 'TRNA SELENOCYSTEINE 1-ASSOCIATED PROTEIN 1-RELATED-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(115986, NULL, 'PTHR48018:SF24', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(115987, NULL, 'PTHR31321:SF78', NULL, NULL, NULL, NULL, 'PECTINESTERASE 49-RELATED', NULL, NULL, NULL, 15),
(115988, NULL, 'PTHR33670:SF1', NULL, NULL, NULL, NULL, 'OS01G0384800 PROTEIN', NULL, NULL, NULL, 15),
(115989, NULL, 'PTHR33172:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115990, NULL, 'PTHR34774', NULL, NULL, NULL, NULL, 'EPHRIN-A3 PROTEIN', NULL, NULL, NULL, 15),
(115991, NULL, 'PTHR31060:SF27', NULL, NULL, NULL, NULL, 'OS07G0259700 PROTEIN', NULL, NULL, NULL, 15),
(115992, NULL, 'PTHR15367:SF3', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC7', NULL, NULL, NULL, 15),
(115993, NULL, 'PTHR12411:SF694', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(115994, NULL, 'PTHR47976:SF7', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(115995, NULL, 'PTHR27002:SF589', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(115996, NULL, 'PTHR23500:SF568', NULL, NULL, NULL, NULL, 'BNAA05G31350D PROTEIN', NULL, NULL, NULL, 15),
(115997, NULL, 'PTHR11638:SF86', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPB4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(115998, NULL, 'PTHR21551:SF20', NULL, NULL, NULL, NULL, 'TOPOISOMERASE II-ASSOCIATED PROTEIN PAT1-RELATED', NULL, NULL, NULL, 15),
(115999, NULL, 'PTHR48022:SF55', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER STL1', NULL, NULL, NULL, 15),
(116000, NULL, 'PTHR46537:SF6', NULL, NULL, NULL, NULL, 'RING 1A-RELATED', NULL, NULL, NULL, 15),
(116001, NULL, 'PTHR14186:SF20', NULL, NULL, NULL, NULL, 'SI:CH73-330K17.3', NULL, NULL, NULL, 15),
(116002, NULL, 'PTHR10223:SF0', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 4', NULL, NULL, 26784, 15),
(116003, NULL, 'PTHR33484:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116004, NULL, 'PTHR22932:SF1', NULL, NULL, NULL, NULL, 'CO-CHAPERONE PROTEIN DAF-41', NULL, NULL, NULL, 15),
(116005, NULL, 'PTHR23115:SF261', NULL, NULL, NULL, NULL, 'PROTEIN CBG12339', NULL, NULL, NULL, 15),
(116006, NULL, 'PTHR31325:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116007, NULL, 'PTHR22988:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MRCK ALPHA', NULL, NULL, 24372, 15),
(116008, NULL, 'PTHR31744:SF83', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 1', NULL, NULL, NULL, 15),
(116009, NULL, 'PTHR11588:SF316', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(116010, NULL, 'PTHR24381:SF284', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 14', NULL, NULL, NULL, 15),
(116011, NULL, 'PTHR14428', NULL, NULL, NULL, NULL, 'NUCLEOLAR COMPLEX PROTEIN 3', NULL, NULL, 17133, 15),
(116012, NULL, 'PTHR47984', NULL, NULL, NULL, NULL, 'OS01G0323000 PROTEIN', NULL, NULL, NULL, 15),
(116013, NULL, 'PTHR24327:SF77', NULL, NULL, NULL, NULL, 'C. ELEGANS HOMEOBOX', NULL, NULL, NULL, 15),
(116014, NULL, 'PTHR44378:SF5', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 17, PEROXISOMAL-RELATED', NULL, NULL, NULL, 15),
(116015, NULL, 'PTHR23163:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BRE1A', NULL, NULL, NULL, 15),
(116016, NULL, 'PTHR46631:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(116017, NULL, 'PTHR34686:SF5', NULL, NULL, NULL, NULL, 'OS05G0451300 PROTEIN', NULL, NULL, NULL, 15),
(116018, NULL, 'PTHR20275:SF0', NULL, NULL, NULL, NULL, 'NAD KINASE', NULL, NULL, NULL, 15),
(116019, NULL, 'PTHR42861:SF43', NULL, NULL, NULL, NULL, 'OS03G0107100 PROTEIN', NULL, NULL, NULL, 15),
(116020, NULL, 'PTHR24299:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(116021, NULL, 'PTHR12603:SF21', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116022, NULL, 'PTHR19139:SF273', NULL, NULL, NULL, NULL, 'AQUAPORIN-LIKE PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116023, NULL, 'PTHR11915', NULL, NULL, NULL, NULL, 'SPECTRIN/FILAMIN RELATED CYTOSKELETAL PROTEIN', NULL, NULL, NULL, 15),
(116024, NULL, 'PTHR32410:SF183', NULL, NULL, NULL, NULL, 'BNAC03G78300D PROTEIN', NULL, NULL, NULL, 15),
(116025, NULL, 'PTHR30445:SF3', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YIDE-RELATED', NULL, NULL, NULL, 15),
(116026, NULL, 'PTHR21330', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 26191, 15),
(116027, NULL, 'PTHR11764:SF14', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(116028, NULL, 'PTHR38808:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 95', NULL, NULL, NULL, 15),
(116029, NULL, 'PTHR48020:SF8', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER', NULL, NULL, NULL, 15),
(116030, NULL, 'PTHR22750:SF2', NULL, NULL, NULL, NULL, 'MELANOCYTE-STIMULATING HORMONE RECEPTOR', NULL, NULL, 6809, 15),
(116031, NULL, 'PTHR31407', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116032, NULL, 'PTHR11926:SF1343', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 85A8-LIKE', NULL, NULL, NULL, 15),
(116033, NULL, 'PTHR32444:SF133', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', NULL, NULL, NULL, 15),
(116034, NULL, 'PTHR22838:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 26', NULL, NULL, NULL, 15),
(116035, NULL, 'PTHR30468:SF1', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT SULFONATE DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(116036, NULL, 'PTHR23147:SF191', NULL, NULL, NULL, NULL, 'SERINE AND ARGININE-RICH-SPLICING FACTOR 6B', NULL, NULL, NULL, 15),
(116037, NULL, 'PTHR23360:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG15559', NULL, NULL, NULL, 15),
(116038, NULL, 'PTHR42861:SF106', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(116039, NULL, 'PTHR31223:SF68', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG2', NULL, NULL, NULL, 15),
(116040, NULL, 'PTHR35700', NULL, NULL, NULL, NULL, 'OS07G0181800 PROTEIN', NULL, NULL, NULL, 15),
(116041, NULL, 'PTHR14237:SF23', NULL, NULL, NULL, NULL, 'MOSC DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_7G05900)', NULL, NULL, NULL, 15),
(116042, NULL, 'PTHR16515:SF40', NULL, NULL, NULL, NULL, 'PR DOMAIN-CONTAINING 2, WITH ZNF DOMAIN B', NULL, NULL, NULL, 15),
(116043, NULL, 'PTHR13678:SF8', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 37C', NULL, NULL, NULL, 15),
(116044, NULL, 'PTHR15975:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(116045, NULL, 'PTHR21422:SF11', NULL, NULL, NULL, NULL, 'RAB3 GTPASE-ACTIVATING PROTEIN CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(116046, NULL, 'PTHR31549:SF110', NULL, NULL, NULL, NULL, 'OS08G0538100 PROTEIN', NULL, NULL, NULL, 15),
(116047, NULL, 'PTHR45941:SF5', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(116048, NULL, 'PTHR45665:SF31', NULL, NULL, NULL, NULL, 'BNAC02G46870D PROTEIN', NULL, NULL, NULL, 15),
(116049, NULL, 'PTHR41709:SF2', NULL, NULL, NULL, NULL, 'KAIB-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(116050, NULL, 'PTHR11206:SF346', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 33', NULL, NULL, NULL, 15),
(116051, NULL, 'PTHR46119:SF17', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE', NULL, NULL, NULL, 15),
(116052, NULL, 'PTHR34373:SF13', NULL, NULL, NULL, NULL, 'SHUGOSHIN 1', NULL, NULL, NULL, 15),
(116053, NULL, 'PTHR27006:SF350', NULL, NULL, NULL, NULL, 'BNAA01G22760D PROTEIN', NULL, NULL, NULL, 15),
(116054, NULL, 'PTHR24115:SF734', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF3C', NULL, NULL, NULL, 15),
(116055, NULL, 'PTHR45089:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116056, NULL, 'PTHR43384:SF4', NULL, NULL, NULL, NULL, 'FLAGELLUM SITE-DETERMINING PROTEIN YLXH', NULL, NULL, NULL, 15),
(116057, NULL, 'PTHR45634:SF25', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 6, ISOFORM G', NULL, NULL, NULL, 15),
(116058, NULL, 'PTHR33076:SF84', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116059, NULL, 'PTHR11733:SF127', NULL, NULL, NULL, NULL, 'EEF1AKMT4-ECE2 READTHROUGH TRANSCRIPT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116060, NULL, 'PTHR46717:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF180', NULL, NULL, NULL, 15),
(116061, NULL, 'PTHR11096:SF1', NULL, NULL, NULL, NULL, 'RNA 3''-TERMINAL PHOSPHATE CYCLASE-LIKE PROTEIN', NULL, NULL, 15958, 15),
(116062, NULL, 'PTHR13339:SF1', NULL, NULL, NULL, NULL, 'BNAA08G07630D PROTEIN', NULL, NULL, NULL, 15),
(116063, NULL, 'PTHR12822:SF8', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', NULL, NULL, NULL, 15),
(116064, NULL, 'PTHR11485:SF52', NULL, NULL, NULL, NULL, 'TRANSFERRIN', NULL, NULL, NULL, 15),
(116065, NULL, 'PTHR15332:SF175', NULL, NULL, NULL, NULL, 'SURFACE PROTEIN WITH EGF DOMAINS AND FURIN-LIKE REPEATS-RELATED', NULL, NULL, NULL, 15),
(116066, NULL, 'PTHR12802:SF114', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 7-LIKE', NULL, NULL, NULL, 15),
(116067, NULL, 'PTHR31374:SF309', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32-LIKE', NULL, NULL, NULL, 15),
(116068, NULL, 'PTHR33167:SF41', NULL, NULL, NULL, NULL, 'BNAA09G47370D PROTEIN', NULL, NULL, NULL, 15),
(116069, NULL, 'PTHR11849:SF295', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN D-ETS-6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(116070, NULL, 'PTHR45834:SF10', NULL, NULL, NULL, NULL, 'RHOGEF DOMAIN-CONTAINING PROTEIN GXCI', NULL, NULL, NULL, 15),
(116071, NULL, 'PTHR47738', NULL, NULL, NULL, NULL, 'PTS SYSTEM FRUCTOSE-LIKE EIIA COMPONENT-RELATED', NULL, NULL, NULL, 15),
(116072, NULL, 'PTHR15427:SF27', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 5', NULL, NULL, NULL, 15),
(116073, NULL, 'PTHR32308', NULL, NULL, NULL, NULL, 'LYASE BETA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13030)-RELATED', NULL, NULL, NULL, 15),
(116074, NULL, 'PTHR11055:SF36', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE 3', NULL, NULL, NULL, 15),
(116075, NULL, 'PTHR12842:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM114A2', NULL, NULL, NULL, 15),
(116076, NULL, 'PTHR24296:SF212', NULL, NULL, NULL, NULL, 'BNAC06G16010D PROTEIN', NULL, NULL, NULL, 15),
(116077, NULL, 'PTHR32487:SF21', NULL, NULL, NULL, NULL, 'BNAA03G46530D PROTEIN', NULL, NULL, NULL, 15),
(116078, NULL, 'PTHR11040:SF35', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 1', NULL, NULL, NULL, 15),
(116079, NULL, 'PTHR27001:SF789', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(116080, NULL, 'PTHR43148:SF12', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(116081, NULL, 'PTHR33513:SF30', NULL, NULL, NULL, NULL, 'BNAA10G09800D PROTEIN', NULL, NULL, NULL, 15),
(116082, NULL, 'PTHR31280:SF21', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG', NULL, NULL, NULL, 15),
(116083, NULL, 'PTHR34890:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116084, NULL, 'PTHR12461:SF21', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN F', NULL, NULL, NULL, 15),
(116085, NULL, 'PTHR22936:SF80', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(116086, NULL, 'PTHR15504:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 45', NULL, NULL, NULL, 15),
(116087, NULL, 'PTHR11165:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116088, NULL, 'PTHR11732:SF450', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116089, NULL, 'PTHR45974:SF185', NULL, NULL, NULL, NULL, 'BNAA03G00050D PROTEIN', NULL, NULL, NULL, 15),
(116090, NULL, 'PTHR35123:SF3', NULL, NULL, NULL, NULL, 'OS07G0633900 PROTEIN', NULL, NULL, NULL, 15),
(116091, NULL, 'PTHR11560:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116092, NULL, 'PTHR22619:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(116093, NULL, 'PTHR36312', NULL, NULL, NULL, NULL, 'THIONIN-LIKE PROTEIN 1', NULL, NULL, 33229, 15),
(116094, NULL, 'PTHR23355:SF44', NULL, NULL, NULL, NULL, 'DIS3-LIKE EXONUCLEASE 2', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116095, NULL, 'PTHR31632:SF6', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE IRON PERMEASE', NULL, NULL, NULL, 15),
(116096, NULL, 'PTHR33645:SF4', NULL, NULL, NULL, NULL, 'OS01G0929000 PROTEIN', NULL, NULL, NULL, 15),
(116097, NULL, 'PTHR23201:SF114', NULL, NULL, NULL, NULL, 'GIBBERELLIN REGULATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116098, NULL, 'PTHR11544:SF125', NULL, NULL, NULL, NULL, 'COLD SHOCK-LIKE PROTEIN CSPC', NULL, NULL, NULL, 15),
(116099, NULL, 'PTHR42683:SF67', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: 8-HYDROXYGERANIOL DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(116100, NULL, 'PTHR45687:SF58', NULL, NULL, NULL, NULL, 'BNAC03G65520D PROTEIN', NULL, NULL, NULL, 15),
(116101, NULL, 'PTHR47791:SF3', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 191 PROTEIN', NULL, NULL, NULL, 15),
(116102, NULL, 'PTHR11937:SF183', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(116103, NULL, 'PTHR47511:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP23', NULL, NULL, NULL, 15),
(116104, NULL, 'PTHR11439:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116105, NULL, 'PTHR27001:SF598', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(116106, NULL, 'PTHR47986:SF1', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE TMK1', NULL, NULL, NULL, 15),
(116107, NULL, 'PTHR47925:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116108, NULL, 'PTHR33699:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116109, NULL, 'PTHR38443:SF2', NULL, NULL, NULL, NULL, 'NON-EXPRESSED ENTEROTOXIN C', NULL, NULL, NULL, 15),
(116110, NULL, 'PTHR24298:SF542', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116111, NULL, 'PTHR32246:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116112, NULL, 'PTHR31235:SF324', NULL, NULL, NULL, NULL, 'PEROXIDASE 12', NULL, NULL, NULL, 15),
(116113, NULL, 'PTHR28574:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 6820408C15', NULL, NULL, NULL, 15),
(116114, NULL, 'PTHR24232:SF86', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 174-RELATED', NULL, NULL, NULL, 15),
(116115, NULL, 'PTHR12341:SF55', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE', NULL, NULL, NULL, 15),
(116116, NULL, 'PTHR36767', NULL, NULL, NULL, NULL, 'OS05G0126200 PROTEIN', NULL, NULL, NULL, 15),
(116117, NULL, 'PTHR36702:SF1', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RESOLVASE', NULL, NULL, NULL, 15),
(116118, NULL, 'PTHR36197', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116119, NULL, 'PTHR46301:SF33', NULL, NULL, NULL, NULL, 'BNAA03G45990D PROTEIN', NULL, NULL, NULL, 15),
(116120, NULL, 'PTHR22775:SF44', NULL, NULL, NULL, NULL, 'SORTING NEXIN-14', NULL, NULL, NULL, 15),
(116121, NULL, 'PTHR16092:SF30', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC3B', NULL, NULL, NULL, 15),
(116122, NULL, 'PTHR47985:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', NULL, NULL, NULL, 15),
(116123, NULL, 'PTHR43110', NULL, NULL, NULL, NULL, 'THIOL PEROXIDASE', NULL, NULL, NULL, 15),
(116124, NULL, 'PTHR21143', NULL, NULL, NULL, NULL, 'INVERTEBRATE GUSTATORY RECEPTOR', NULL, NULL, 11401, 15),
(116125, NULL, 'PTHR11374:SF47', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(116126, NULL, 'PTHR31390:SF20', NULL, NULL, NULL, NULL, 'BNAA05G10210D PROTEIN', NULL, NULL, NULL, 15),
(116127, NULL, 'PTHR16655', NULL, NULL, NULL, NULL, 'COCAINE AND AMPHETAMINE REGULATED TRANSCRIPT PROTEIN', NULL, NULL, 7939, 15),
(116128, NULL, 'PTHR31407:SF10', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF LUMENAL LOCATION 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(116129, NULL, 'PTHR15422:SF24', NULL, NULL, NULL, NULL, 'OS05G0565100 PROTEIN', NULL, NULL, NULL, 15),
(116130, NULL, 'PTHR11527:SF297', NULL, NULL, NULL, NULL, '17.4 KDA CLASS III HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(116131, NULL, 'PTHR33397', NULL, NULL, NULL, NULL, 'UPF0331 PROTEIN YUTE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116132, NULL, 'PTHR13808:SF35', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE HAC1-LIKE', NULL, NULL, NULL, 15),
(116133, NULL, 'PTHR31927:SF2', NULL, NULL, NULL, NULL, 'FI07246P-RELATED', NULL, NULL, NULL, 15),
(116134, NULL, 'PTHR34054:SF8', NULL, NULL, NULL, NULL, 'BNAA10G12370D PROTEIN', NULL, NULL, NULL, 15),
(116135, NULL, 'PTHR31374:SF297', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116136, NULL, 'PTHR11843:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15),
(116137, NULL, 'PTHR33179:SF11', NULL, NULL, NULL, NULL, 'OS03G0320500 PROTEIN', NULL, NULL, NULL, 15),
(116138, NULL, 'PTHR28037:SF3', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE SLI1', NULL, NULL, NULL, 15),
(116139, NULL, 'PTHR43791:SF89', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NICOTINIC ACID TRANSPORTER', NULL, NULL, NULL, 15),
(116140, NULL, 'PTHR12232:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116141, NULL, 'PTHR13381:SF0', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 21', NULL, NULL, NULL, 15),
(116142, NULL, 'PTHR33110:SF44', NULL, NULL, NULL, NULL, 'OS02G0267600 PROTEIN', NULL, NULL, NULL, 15),
(116143, NULL, 'PTHR31690:SF4', NULL, NULL, NULL, NULL, 'FUCOSE MUTAROTASE', NULL, NULL, NULL, 15),
(116144, NULL, 'PTHR46422:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(116145, NULL, 'PTHR11955:SF145', NULL, NULL, NULL, NULL, 'RETINOL BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(116146, NULL, 'PTHR23502:SF30', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04702)-RELATED', NULL, NULL, NULL, 15),
(116147, NULL, 'PTHR11571:SF123', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE A4', NULL, NULL, NULL, 15),
(116148, NULL, 'PTHR47372:SF2', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 14', NULL, NULL, NULL, 15),
(116149, NULL, 'PTHR24006:SF831', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 18', NULL, NULL, NULL, 15),
(116150, NULL, 'PTHR31638:SF3', NULL, NULL, NULL, NULL, 'DAZ-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(116151, NULL, 'PTHR48063:SF13', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12 ISOFORM X1', NULL, NULL, NULL, 15),
(116152, NULL, 'PTHR12136:SF99', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2', NULL, NULL, NULL, 15),
(116153, NULL, 'PTHR46011:SF7', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(116154, NULL, 'PTHR27006:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116155, NULL, 'PTHR31228:SF23', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(116156, NULL, 'PTHR22930:SF216', NULL, NULL, NULL, NULL, 'OS11G0577650 PROTEIN', NULL, NULL, NULL, 15),
(116157, NULL, 'PTHR24177:SF265', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116158, NULL, 'PTHR48062:SF34', NULL, NULL, NULL, NULL, 'PIRIFORMOSPORA INDICA-INSENSITIVE PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(116159, NULL, 'PTHR12537:SF134', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 12', NULL, NULL, NULL, 15),
(116160, NULL, 'PTHR24034:SF110', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH WITH EGF-LIKE DOMAIN PROTEIN 2', NULL, NULL, NULL, 15),
(116161, NULL, 'PTHR35540', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 1', NULL, NULL, 28325, 15),
(116162, NULL, 'PTHR15570:SF2', NULL, NULL, NULL, NULL, 'G0/G1 SWITCH PROTEIN 2', NULL, NULL, NULL, 15),
(116163, NULL, 'PTHR37516:SF1', NULL, NULL, NULL, NULL, 'SCA1 COMPLEX SCAFFOLD PROTEIN SCAA', NULL, NULL, NULL, 15),
(116164, NULL, 'PTHR10556:SF54', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ENOYL-COA REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(116165, NULL, 'PTHR31482:SF13', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116166, NULL, 'PTHR10889:SF3', NULL, NULL, NULL, NULL, 'DEOXYRIBOSE-PHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(116167, NULL, 'PTHR28639:SF1', NULL, NULL, NULL, NULL, 'BCL-2-BINDING COMPONENT 3', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116168, NULL, 'PTHR16518:SF5', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 153-RELATED', NULL, NULL, 15568, 15),
(116169, NULL, 'PTHR11206:SF342', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(116170, NULL, 'PTHR46181:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCINE TRANSPORTER A', NULL, NULL, NULL, 15),
(116171, NULL, 'PTHR11062:SF215', NULL, NULL, NULL, NULL, 'BETA-14-XYLOSYLTRANSFERASE IRX10L-RELATED', NULL, NULL, NULL, 15),
(116172, NULL, 'PTHR45757:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG01115', NULL, NULL, NULL, 15),
(116173, NULL, 'PTHR11640:SF94', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY, MEMBER 9A', NULL, NULL, NULL, 15),
(116174, NULL, 'PTHR10075:SF74', NULL, NULL, NULL, NULL, 'SI:DKEYP-97A10.3', NULL, NULL, NULL, 15),
(116175, NULL, 'PTHR42987:SF4', NULL, NULL, NULL, NULL, 'PROTEASE MJ0651-RELATED', NULL, NULL, NULL, 15),
(116176, NULL, 'PTHR34253', NULL, NULL, NULL, NULL, 'PROTEIN LLP HOMOLOG', NULL, NULL, 19455, 15),
(116177, NULL, 'PTHR19957:SF84', NULL, NULL, NULL, NULL, 'SYNTAXIN-1A', NULL, NULL, 23720, 15),
(116178, NULL, 'PTHR47958:SF21', NULL, NULL, NULL, NULL, 'BNAA01G25900D PROTEIN', NULL, NULL, NULL, 15),
(116179, NULL, 'PTHR16135:SF2', NULL, NULL, NULL, NULL, 'REPRESSOR OF YIELD OF DENV PROTEIN', NULL, NULL, NULL, 15),
(116180, NULL, 'PTHR31053:SF2', NULL, NULL, NULL, NULL, 'MAGNESIUM-PROTOPORPHYRIN IX MONOMETHYL ESTER [OXIDATIVE] CYCLASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(116181, NULL, 'PTHR31495:SF0', NULL, NULL, NULL, NULL, 'PEROXYGENASE 3-RELATED', NULL, NULL, NULL, 15),
(116182, NULL, 'PTHR42864', NULL, NULL, NULL, NULL, 'LIGHT-INDEPENDENT PROTOCHLOROPHYLLIDE REDUCTASE IRON-SULFUR ATP-BINDING PROTEIN', NULL, NULL, 4909, 15),
(116183, NULL, 'PTHR12701:SF44', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED-LIKE PROTEIN', NULL, NULL, NULL, 15),
(116184, NULL, 'PTHR11811', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE', NULL, NULL, 11077, 15),
(116185, NULL, 'PTHR13218:SF15', NULL, NULL, NULL, NULL, 'TAF11-LIKE PROTEIN ENSP00000332601-RELATED', NULL, NULL, NULL, 15),
(116186, NULL, 'PTHR43725:SF23', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE 1', NULL, NULL, NULL, 15),
(116187, NULL, 'PTHR45655:SF5', NULL, NULL, NULL, NULL, 'SOLUBLE GUANYLATE CYCLASE 89DA-RELATED', NULL, NULL, NULL, 15),
(116188, NULL, 'PTHR31125:SF12', NULL, NULL, NULL, NULL, 'BNAA06G37180D PROTEIN', NULL, NULL, NULL, 15),
(116189, NULL, 'PTHR30540:SF118', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(116190, NULL, 'PTHR11562:SF17', NULL, NULL, NULL, NULL, 'RE54080P-RELATED', NULL, NULL, NULL, 15),
(116191, NULL, 'PTHR18945:SF582', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(116192, NULL, 'PTHR47776', NULL, NULL, NULL, NULL, 'F5A8.9 PROTEIN', NULL, NULL, NULL, 15),
(116193, NULL, 'PTHR33101:SF55', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 8', NULL, NULL, NULL, 15),
(116194, NULL, 'PTHR13902:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116195, NULL, 'PTHR31929:SF45', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(116196, NULL, 'PTHR20958:SF9', NULL, NULL, NULL, NULL, 'RE58324P', NULL, NULL, NULL, 15),
(116197, NULL, 'PTHR12741:SF73', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(116198, NULL, 'PTHR28088:SF7', NULL, NULL, NULL, NULL, 'METAL-BINDING ACTIVATOR 1', NULL, NULL, NULL, 15),
(116199, NULL, 'PTHR40943:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116200, NULL, 'PTHR15333:SF2', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(116201, NULL, 'PTHR34564:SF1', NULL, NULL, NULL, NULL, 'OS07G0250300 PROTEIN', NULL, NULL, NULL, 15),
(116202, NULL, 'PTHR12510:SF4', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLAMINECYCLOTRANSFERASE', NULL, NULL, NULL, 15),
(116203, NULL, 'PTHR11864:SF0', NULL, NULL, NULL, NULL, 'PRP40 PRE-MRNA PROCESSING FACTOR 40 HOMOLOG A (YEAST)', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116204, NULL, 'PTHR42851:SF5', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(116205, NULL, 'PTHR23048:SF34', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML20-RELATED', NULL, NULL, NULL, 15),
(116206, NULL, 'PTHR24240:SF155', NULL, NULL, NULL, NULL, 'TELEOST MULTIPLE TISSUE OPSIN 1A', NULL, NULL, NULL, 15),
(116207, NULL, 'PTHR40052:SF2', NULL, NULL, NULL, NULL, 'UPF0403 PROTEIN YPHP', NULL, NULL, NULL, 15),
(116208, NULL, 'PTHR13936:SF5', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(116209, NULL, 'PTHR12877:SF15', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 17', NULL, NULL, 29700, 15),
(116210, NULL, 'PTHR10778:SF48', NULL, NULL, NULL, NULL, 'BNAA09G45580D PROTEIN', NULL, NULL, NULL, 15),
(116211, NULL, 'PTHR30231', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT EPSILON', NULL, NULL, NULL, 15),
(116212, NULL, 'PTHR11359:SF12', NULL, NULL, NULL, NULL, 'BNAA04G21890D PROTEIN', NULL, NULL, NULL, 15),
(116213, NULL, 'PTHR11232:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116214, NULL, 'PTHR13935:SF133', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE HOMOLOG 1B', NULL, NULL, NULL, 15),
(116215, NULL, 'PTHR13289:SF3', NULL, NULL, NULL, NULL, 'BIFOCAL, ISOFORM F', NULL, NULL, NULL, 15),
(116216, NULL, 'PTHR13162:SF11', NULL, NULL, NULL, NULL, 'OS10G0556600 PROTEIN', NULL, NULL, NULL, 15),
(116217, NULL, 'PTHR31677:SF144', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 3-RELATED', NULL, NULL, NULL, 15),
(116218, NULL, 'PTHR22765:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116219, NULL, 'PTHR47849:SF7', NULL, NULL, NULL, NULL, 'CHITIN-BINDING LECTIN 1', NULL, NULL, NULL, 15),
(116220, NULL, 'PTHR46128:SF73', NULL, NULL, NULL, NULL, 'BNAA02G34150D PROTEIN', NULL, NULL, NULL, 15),
(116221, NULL, 'PTHR33731:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(116222, NULL, 'PTHR43391:SF8', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 8', NULL, NULL, NULL, 15),
(116223, NULL, 'PTHR12318:SF0', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE-LINKED MOIETY X MOTIF 19', NULL, NULL, NULL, 15),
(116224, NULL, 'PTHR10366:SF605', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(116225, NULL, 'PTHR11462:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUN-D', NULL, NULL, 23253, 15),
(116226, NULL, 'PTHR24177:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116227, NULL, 'PTHR48001:SF137', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(116228, NULL, 'PTHR33103:SF63', NULL, NULL, NULL, NULL, 'EMB|CAB69840.1', NULL, NULL, NULL, 15),
(116229, NULL, 'PTHR10585:SF14', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR', NULL, NULL, NULL, 15),
(116230, NULL, 'PTHR36352:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(116231, NULL, 'PTHR24392:SF31', NULL, NULL, NULL, NULL, 'PROTEIN CHARLATAN', NULL, NULL, NULL, 15),
(116232, NULL, 'PTHR43447:SF19', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', NULL, NULL, NULL, 15),
(116233, NULL, 'PTHR26450:SF25', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(116234, NULL, 'PTHR47170', NULL, NULL, NULL, NULL, 'MALONYL-COA ACP TRANSACYLASE, ACP-BINDING', NULL, NULL, NULL, 15),
(116235, NULL, 'PTHR12522:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ELBOW-RELATED', NULL, NULL, NULL, 15),
(116236, NULL, 'PTHR40453:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YOEF', NULL, NULL, NULL, 15),
(116237, NULL, 'PTHR24070:SF17', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(116238, NULL, 'PTHR45693:SF18', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR TGA10', NULL, NULL, NULL, 15),
(116239, NULL, 'PTHR24054:SF48', NULL, NULL, NULL, NULL, 'CASEIN KINASE ALPHA 1', NULL, NULL, NULL, 15),
(116240, NULL, 'PTHR33785:SF7', NULL, NULL, NULL, NULL, 'BNAC04G48490D PROTEIN', NULL, NULL, NULL, 15),
(116241, NULL, 'PTHR32285:SF271', NULL, NULL, NULL, NULL, 'BNAA03G55480D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116242, NULL, 'PTHR10332:SF65', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 7', NULL, NULL, NULL, 15),
(116243, NULL, 'PTHR24414:SF96', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(116244, NULL, 'PTHR27009:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116245, NULL, 'PTHR33270:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116246, NULL, 'PTHR31839:SF30', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1B', NULL, NULL, NULL, 15),
(116247, NULL, 'PTHR24637:SF240', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(116248, NULL, 'PTHR34060:SF1', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE / DEHYDRASE AND LIPID TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(116249, NULL, 'PTHR11362:SF127', NULL, NULL, NULL, NULL, 'BNAC02G02900D PROTEIN', NULL, NULL, NULL, 15),
(116250, NULL, 'PTHR31627', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-RELATED', NULL, NULL, NULL, 15),
(116251, NULL, 'PTHR21734:SF11', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(116252, NULL, 'PTHR11802:SF32', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 29', NULL, NULL, NULL, 15),
(116253, NULL, 'PTHR20765', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 23123, 15),
(116254, NULL, 'PTHR45650:SF45', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116255, NULL, 'PTHR36206:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116256, NULL, 'PTHR24320:SF224', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE TIC 32, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(116257, NULL, 'PTHR10606:SF71', NULL, NULL, NULL, NULL, 'FRUCTOSE-2,6-BISPHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(116258, NULL, 'PTHR47123:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116259, NULL, 'PTHR40387:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM240A', NULL, NULL, NULL, 15),
(116260, NULL, 'PTHR21592:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG04293', NULL, NULL, NULL, 15),
(116261, NULL, 'PTHR31881:SF16', NULL, NULL, NULL, NULL, 'PLANT/F12B17-70 PROTEIN', NULL, NULL, NULL, 15),
(116262, NULL, 'PTHR48016:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116263, NULL, 'PTHR47991:SF105', NULL, NULL, NULL, NULL, 'OS06G0176500 PROTEIN', NULL, NULL, NULL, 15),
(116264, NULL, 'PTHR16320', NULL, NULL, NULL, NULL, 'SPHINGOMYELINASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(116265, NULL, 'PTHR14845:SF7', NULL, NULL, NULL, NULL, 'GENE 6583-RELATED', NULL, NULL, NULL, 15),
(116266, NULL, 'PTHR22793:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116267, NULL, 'PTHR45717:SF30', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(116268, NULL, 'PTHR23011', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 37746, 15),
(116269, NULL, 'PTHR22763:SF172', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE E3 UBIQUITIN-PROTEIN LIGASE FLY2', NULL, NULL, NULL, 15),
(116270, NULL, 'PTHR14025:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION-REPAIR-COUPLING FACTOR', NULL, NULL, NULL, 15),
(116271, NULL, 'PTHR21068:SF34', NULL, NULL, NULL, NULL, 'BNAC01G22450D PROTEIN', NULL, NULL, NULL, 15),
(116272, NULL, 'PTHR14190', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF ACTIN MUTATIONS 2/VACUOLAR PROTEIN SORTING 52', NULL, NULL, 6869, 15),
(116273, NULL, 'PTHR34315:SF2', NULL, NULL, NULL, NULL, 'ANCHORED DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01800)-RELATED', NULL, NULL, NULL, 15),
(116274, NULL, 'PTHR10166:SF57', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL SUBUNIT ALPHA-2/DELTA-1', NULL, NULL, NULL, 15),
(116275, NULL, 'PTHR27000', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116276, NULL, 'PTHR21091:SF173', NULL, NULL, NULL, NULL, 'BNAANNG32890D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116277, NULL, 'PTHR19316:SF21', NULL, NULL, NULL, NULL, 'HEAT REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(116278, NULL, 'PTHR11818:SF104', NULL, NULL, NULL, NULL, 'CRYSTALLIN, GAMMA M6-RELATED', NULL, NULL, NULL, 15),
(116279, NULL, 'PTHR14000:SF25', NULL, NULL, NULL, NULL, 'OS02G0631200 PROTEIN', NULL, NULL, NULL, 15),
(116280, NULL, 'PTHR31874:SF46', NULL, NULL, NULL, NULL, 'BNACNNG04690D PROTEIN', NULL, NULL, NULL, 15),
(116281, NULL, 'PTHR43706:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116282, NULL, 'PTHR47275:SF3', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT I, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(116283, NULL, 'PTHR45969', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116284, NULL, 'PTHR32278:SF93', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B1', NULL, NULL, NULL, 15),
(116285, NULL, 'PTHR31650:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116286, NULL, 'PTHR21559:SF22', NULL, NULL, NULL, NULL, 'DYSTROGLYCAN', NULL, NULL, NULL, 15),
(116287, NULL, 'PTHR22852:SF0', NULL, NULL, NULL, NULL, 'DENTICLELESS PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(116288, NULL, 'PTHR12550:SF49', NULL, NULL, NULL, NULL, 'LD23804P', NULL, NULL, NULL, 15),
(116289, NULL, 'PTHR23235:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116290, NULL, 'PTHR19957:SF305', NULL, NULL, NULL, NULL, 'VACUOLAR MORPHOGENESIS PROTEIN 7', NULL, NULL, NULL, 15),
(116291, NULL, 'PTHR33737', NULL, NULL, NULL, NULL, 'OS05G0121800 PROTEIN', NULL, NULL, 39796, 15),
(116292, NULL, 'PTHR10791:SF155', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, 16989, 15),
(116293, NULL, 'PTHR35176:SF11', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE 5''-PHOSPHATE OXIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116294, NULL, 'PTHR16186:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116295, NULL, 'PTHR47809', NULL, NULL, NULL, NULL, 'DNA-BINDING BROMODOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(116296, NULL, 'PTHR36251:SF2', NULL, NULL, NULL, NULL, 'FELS-1 PROPHAGE HOST SPECIFICITY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116297, NULL, 'PTHR31756:SF9', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL KINASE-PYROPHOSPHORYLASE-RELATED', NULL, NULL, NULL, 15),
(116298, NULL, 'PTHR12635:SF13', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 36', NULL, NULL, NULL, 15),
(116299, NULL, 'PTHR12110:SF44', NULL, NULL, NULL, NULL, 'INOSOSE ISOMERASE', NULL, NULL, NULL, 15),
(116300, NULL, 'PTHR40029', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 35555, 15),
(116301, NULL, 'PTHR18884:SF51', NULL, NULL, NULL, NULL, 'SEPTIN-14', NULL, NULL, NULL, 15),
(116302, NULL, 'PTHR31169:SF25', NULL, NULL, NULL, NULL, 'ZINC-FINGER DOMAIN OF MONOAMINE-OXIDASE A REPRESSOR R1', NULL, NULL, NULL, 15),
(116303, NULL, 'PTHR24414:SF159', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN OR23', NULL, NULL, NULL, 15),
(116304, NULL, 'PTHR20986:SF21', NULL, NULL, NULL, NULL, 'FMRFAMIDE-LIKE NEUROPEPTIDES 14', NULL, NULL, NULL, 15),
(116305, NULL, 'PTHR33463:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116306, NULL, 'PTHR21212:SF6', NULL, NULL, NULL, NULL, 'SEIPIN-2-LIKE', NULL, NULL, NULL, 15),
(116307, NULL, 'PTHR47997:SF27', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', NULL, NULL, NULL, 15),
(116308, NULL, 'PTHR31218:SF213', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(116309, NULL, 'PTHR23202:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116310, NULL, 'PTHR30024:SF17', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, PERIPLASMIC PHOSPHONATE-BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(116311, NULL, 'PTHR46781', NULL, NULL, NULL, NULL, 'ALPHA 1,4-GLYCOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, 37514, 15),
(116312, NULL, 'PTHR35040:SF8', NULL, NULL, NULL, NULL, 'SURFACE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14085)-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116313, NULL, 'PTHR23430:SF59', NULL, NULL, NULL, NULL, 'HISTONE H2A.J', NULL, NULL, NULL, 15),
(116314, NULL, 'PTHR31561:SF168', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(116315, NULL, 'PTHR14319:SF7', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 6', NULL, NULL, NULL, 15),
(116316, NULL, 'PTHR21145:SF3', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', NULL, NULL, NULL, 15),
(116317, NULL, 'PTHR12830:SF9', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(116318, NULL, 'PTHR36335:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116319, NULL, 'PTHR11442:SF35', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT EPSILON-2', NULL, NULL, NULL, 15),
(116320, NULL, 'PTHR22619', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN CONTAINING PROTEIN 4, 5, 6', NULL, NULL, NULL, 15),
(116321, NULL, 'PTHR11560:SF14', NULL, NULL, NULL, NULL, 'BNAC01G38310D PROTEIN', NULL, NULL, NULL, 15),
(116322, NULL, 'PTHR23180:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116323, NULL, 'PTHR45676:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(116324, NULL, 'PTHR14725:SF0', NULL, NULL, NULL, NULL, 'RIBOSOME-BINDING FACTOR A, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(116325, NULL, 'PTHR45886:SF17', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-9', NULL, NULL, NULL, 15),
(116326, NULL, 'PTHR46344:SF14', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116327, NULL, 'PTHR33671:SF9', NULL, NULL, NULL, NULL, 'DUF688 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116328, NULL, 'PTHR30545:SF2', NULL, NULL, NULL, NULL, 'SUGAR FERMENTATION STIMULATION PROTEIN A', NULL, NULL, NULL, 15),
(116329, NULL, 'PTHR43591:SF62', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE (EUROFUNG)', NULL, NULL, NULL, 15),
(116330, NULL, 'PTHR13399:SF2', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(116331, NULL, 'PTHR47173', NULL, NULL, NULL, NULL, 'PROTEIN DR1 HOMOLOG', NULL, NULL, 37686, 15),
(116332, NULL, 'PTHR33402:SF27', NULL, NULL, NULL, NULL, 'BNAC02G23100D PROTEIN', NULL, NULL, 31012, 15),
(116333, NULL, 'PTHR11132:SF422', NULL, NULL, NULL, NULL, 'BNAC08G45010D PROTEIN', NULL, NULL, NULL, 15),
(116334, NULL, 'PTHR22765:SF285', NULL, NULL, NULL, NULL, 'OS10G0346600 PROTEIN', NULL, NULL, NULL, 15),
(116335, NULL, 'PTHR24107:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116336, NULL, 'PTHR45898:SF20', NULL, NULL, NULL, NULL, 'BNAA06G15120D PROTEIN', NULL, NULL, NULL, 15),
(116337, NULL, 'PTHR12697:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116338, NULL, 'PTHR47057:SF1', NULL, NULL, NULL, NULL, 'AFADIN/ALPHA-ACTININ-BINDING PROTEIN', NULL, NULL, NULL, 15),
(116339, NULL, 'PTHR23074:SF75', NULL, NULL, NULL, NULL, 'FIDGETIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(116340, NULL, 'PTHR23024:SF124', NULL, NULL, NULL, NULL, 'RIKEN CDNA C130079G13 GENE', NULL, NULL, NULL, 15),
(116341, NULL, 'PTHR47212:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116342, NULL, 'PTHR23421:SF120', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 9', NULL, NULL, NULL, 15),
(116343, NULL, 'PTHR22835', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(116344, NULL, 'PTHR10744', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11 FAMILY MEMBER', NULL, NULL, 599, 15),
(116345, NULL, 'PTHR45820:SF4', NULL, NULL, NULL, NULL, 'FI23527P1', NULL, NULL, NULL, 15),
(116346, NULL, 'PTHR32370:SF76', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116347, NULL, 'PTHR47197', NULL, NULL, NULL, NULL, 'PROTEIN NIRF', NULL, NULL, NULL, 15),
(116348, NULL, 'PTHR13192', NULL, NULL, NULL, NULL, 'MY011 PROTEIN', NULL, NULL, 15632, 15),
(116349, NULL, 'PTHR34558:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116350, NULL, 'PTHR31669:SF160', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 3', NULL, NULL, NULL, 15),
(116351, NULL, 'PTHR27000:SF733', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(116352, NULL, 'PTHR23226:SF161', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 641', NULL, NULL, NULL, 15),
(116353, NULL, 'PTHR43290', NULL, NULL, NULL, NULL, 'MEVALONATE KINASE', NULL, NULL, 11219, 15),
(116354, NULL, 'PTHR23238:SF5', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN FUS', NULL, NULL, 30811, 15),
(116355, NULL, 'PTHR44360:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 9', NULL, NULL, NULL, 15),
(116356, NULL, 'PTHR13353:SF8', NULL, NULL, NULL, NULL, 'OS01G0178200 PROTEIN', NULL, NULL, NULL, 15),
(116357, NULL, 'PTHR13976', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(116358, NULL, 'PTHR13471', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL', NULL, NULL, 11033, 15),
(116359, NULL, 'PTHR24099:SF6', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III AND SPRY DOMAIN-CONTAINING PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(116360, NULL, 'PTHR11814:SF105', NULL, NULL, NULL, NULL, 'SULFATE PERMEASE FAMILY', NULL, NULL, 26676, 15),
(116361, NULL, 'PTHR16477:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 106', NULL, NULL, NULL, 15),
(116362, NULL, 'PTHR13267', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 277', NULL, NULL, 29966, 15),
(116363, NULL, 'PTHR10638:SF26', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(116364, NULL, 'PTHR43747', NULL, NULL, NULL, NULL, 'FAD-BINDING PROTEIN', NULL, NULL, NULL, 15),
(116365, NULL, 'PTHR38686', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN N-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(116366, NULL, 'PTHR10332:SF17', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER 3', NULL, NULL, 22234, 15),
(116367, NULL, 'PTHR22932:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PTGES3L-RELATED', NULL, NULL, NULL, 15),
(116368, NULL, 'PTHR34570:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116369, NULL, 'PTHR10024:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116370, NULL, 'PTHR43544:SF27', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY OXIDOREDUCTASE (JCVI)', NULL, NULL, NULL, 15),
(116371, NULL, 'PTHR33286:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116372, NULL, 'PTHR47439', NULL, NULL, NULL, NULL, 'LOW MOLECULAR WEIGHT PHOSPHOTYROSINE PROTEIN PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(116373, NULL, 'PTHR23155:SF933', NULL, NULL, NULL, NULL, 'OS09G0270700 PROTEIN', NULL, NULL, NULL, 15),
(116374, NULL, 'PTHR30437', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR GREA', NULL, NULL, 16299, 15),
(116375, NULL, 'PTHR11850:SF259', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 11', NULL, NULL, NULL, 15),
(116376, NULL, 'PTHR11804:SF50', NULL, NULL, NULL, NULL, 'THIMET OLIGOPEPTIDASE', NULL, NULL, NULL, 15),
(116377, NULL, 'PTHR45724:SF43', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP1-1', NULL, NULL, NULL, 15),
(116378, NULL, 'PTHR24184:SF21', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SAM DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(116379, NULL, 'PTHR31734:SF121', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA19', NULL, NULL, NULL, 15),
(116380, NULL, 'PTHR33101:SF54', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 14-LIKE', NULL, NULL, NULL, 15),
(116381, NULL, 'PTHR10366:SF677', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(116382, NULL, 'PTHR14387:SF9', NULL, NULL, NULL, NULL, 'SI:CH211-225B11.4', NULL, NULL, NULL, 15),
(116383, NULL, 'PTHR11886:SF40', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(116384, NULL, 'PTHR31901:SF18', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.9-RELATED', NULL, NULL, NULL, 15),
(116385, NULL, 'PTHR12185:SF15', NULL, NULL, NULL, NULL, 'SID1 TRANSMEMBRANE FAMILY MEMBER 1', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116386, NULL, 'PTHR15592:SF22', NULL, NULL, NULL, NULL, 'OS08G0436000 PROTEIN', NULL, NULL, NULL, 15),
(116387, NULL, 'PTHR12741:SF82', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 48, 1,3-BETA-GLUCAN SYNTHASE SUBUNIT FKS1-LIKE, DOMAIN-1-RELATED', NULL, NULL, NULL, 15),
(116388, NULL, 'PTHR34574:SF10', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(116389, NULL, 'PTHR32319:SF5', NULL, NULL, NULL, NULL, 'BNAA03G57820D PROTEIN', NULL, NULL, NULL, 15),
(116390, NULL, 'PTHR11373:SF32', NULL, NULL, NULL, NULL, 'DEOXYGUANOSINETRIPHOSPHATE TRIPHOSPHOHYDROLASE', NULL, NULL, 20683, 15),
(116391, NULL, 'PTHR22589:SF99', NULL, NULL, NULL, NULL, 'CARNITINE PALMITOYL TRANSFERASE', NULL, NULL, NULL, 15),
(116392, NULL, 'PTHR30013:SF5', NULL, NULL, NULL, NULL, 'HYDROGENASE SMALL SUBUNIT', NULL, NULL, NULL, 15),
(116393, NULL, 'PTHR12558:SF34', NULL, NULL, NULL, NULL, 'PROMOTING COMPLEX SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(116394, NULL, 'PTHR43019:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116395, NULL, 'PTHR10795:SF607', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', NULL, NULL, NULL, 15),
(116396, NULL, 'PTHR22951:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116397, NULL, 'PTHR33625:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116398, NULL, 'PTHR33451:SF6', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER NHAC', NULL, NULL, NULL, 15),
(116399, NULL, 'PTHR45733:SF9', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(116400, NULL, 'PTHR46104:SF4', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(116401, NULL, 'PTHR11453:SF86', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(116402, NULL, 'PTHR33377:SF4', NULL, NULL, NULL, NULL, 'OS07G0285800 PROTEIN', NULL, NULL, NULL, 15),
(116403, NULL, 'PTHR46020:SF17', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(116404, NULL, 'PTHR43261:SF6', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR G-LIKE PROTEIN', NULL, NULL, NULL, 15),
(116405, NULL, 'PTHR31852:SF162', NULL, NULL, NULL, NULL, 'OS08G0163600 PROTEIN', NULL, NULL, NULL, 15),
(116406, NULL, 'PTHR24366:SF59', NULL, NULL, NULL, NULL, 'TARTAN/CAPRICIOUS-LIKE PROTEIN', NULL, NULL, NULL, 15),
(116407, NULL, 'PTHR11005:SF130', NULL, NULL, NULL, NULL, 'OS08G0359300 PROTEIN', NULL, NULL, NULL, 15),
(116408, NULL, 'PTHR10811:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116409, NULL, 'PTHR47001', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH121', NULL, NULL, 38783, 15),
(116410, NULL, 'PTHR44444:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SEL-1 HOMOLOG 3', NULL, NULL, NULL, 15),
(116411, NULL, 'PTHR15741:SF14', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-RESPONSIVE ELEMENT-BINDING PROTEIN', NULL, NULL, NULL, 15),
(116412, NULL, 'PTHR47992:SF41', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 56', NULL, NULL, NULL, 15),
(116413, NULL, 'PTHR47354:SF1', NULL, NULL, NULL, NULL, '1,2-PHENYLACETYL-COA EPOXIDASE, SUBUNIT E-RELATED', NULL, NULL, NULL, 15),
(116414, NULL, 'PTHR13817:SF123', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE L1 ISOFORM 1', NULL, NULL, NULL, 15),
(116415, NULL, 'PTHR24366:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116416, NULL, 'PTHR11002:SF67', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(116417, NULL, 'PTHR23267:SF407', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 2-14-RELATED', NULL, NULL, NULL, 15),
(116418, NULL, 'PTHR10546:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116419, NULL, 'PTHR39428:SF3', NULL, NULL, NULL, NULL, 'DEAZAFLAVIN-DEPENDENT NITROREDUCTASE', NULL, NULL, NULL, 15),
(116420, NULL, 'PTHR35096:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116421, NULL, 'PTHR11579:SF20', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE 2', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116422, NULL, 'PTHR46130:SF2', NULL, NULL, NULL, NULL, 'PAPPALYSIN-1', NULL, NULL, 24441, 15),
(116423, NULL, 'PTHR34795:SF1', NULL, NULL, NULL, NULL, 'NEMATODE RESISTANCE PROTEIN-LIKE HSPRO1', NULL, NULL, NULL, 15),
(116424, NULL, 'PTHR46201:SF6', NULL, NULL, NULL, NULL, 'PHD FINGER PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(116425, NULL, 'PTHR43078:SF6', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE 1', NULL, NULL, NULL, 15),
(116426, NULL, 'PTHR11062', NULL, NULL, NULL, NULL, 'EXOSTOSIN  HEPARAN SULFATE GLYCOSYLTRANSFERASE -RELATED', NULL, NULL, 3554, 15),
(116427, NULL, 'PTHR24342', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 17', NULL, NULL, NULL, 15),
(116428, NULL, 'PTHR24133:SF44', NULL, NULL, NULL, NULL, 'ANKYRIN-3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(116429, NULL, 'PTHR10638:SF4', NULL, NULL, NULL, NULL, 'RETINA-SPECIFIC COPPER AMINE OXIDASE', NULL, NULL, 27120, 15),
(116430, NULL, 'PTHR10671:SF9', NULL, NULL, NULL, NULL, 'LENS FIBER MEMBRANE INTRINSIC PROTEIN', NULL, NULL, NULL, 15),
(116431, NULL, 'PTHR46338:SF10', NULL, NULL, NULL, NULL, 'BROMODOMAIN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(116432, NULL, 'PTHR22625:SF44', NULL, NULL, NULL, NULL, 'PLEXIN-B', NULL, NULL, NULL, 15),
(116433, NULL, 'PTHR10241:SF37', NULL, NULL, NULL, NULL, 'SYNTAXIN-BINDING PROTEIN 5B (TOMOSYN)', NULL, NULL, NULL, 15),
(116434, NULL, 'PTHR11200:SF275', NULL, NULL, NULL, NULL, 'LD06095P', NULL, NULL, NULL, 15),
(116435, NULL, 'PTHR46999:SF1', NULL, NULL, NULL, NULL, 'ALPHA-GLUCAN WATER DIKINASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(116436, NULL, 'PTHR48053:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116437, NULL, 'PTHR27008:SF406', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21', NULL, NULL, NULL, 15),
(116438, NULL, 'PTHR23273:SF32', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT B-RELATED', NULL, NULL, NULL, 15),
(116439, NULL, 'PTHR23024:SF382', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 11-RELATED', NULL, NULL, NULL, 15),
(116440, NULL, 'PTHR23080', NULL, NULL, NULL, NULL, 'THAP DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(116441, NULL, 'PTHR10055:SF14', NULL, NULL, NULL, NULL, 'BNAA01G33520D PROTEIN', NULL, NULL, NULL, 15),
(116442, NULL, 'PTHR31707:SF168', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 1', NULL, NULL, NULL, 15),
(116443, NULL, 'PTHR19282:SF163', NULL, NULL, NULL, NULL, 'CD9 ANTIGEN', NULL, NULL, NULL, 15),
(116444, NULL, 'PTHR19353:SF74', NULL, NULL, NULL, NULL, 'BNAC04G21720D PROTEIN', NULL, NULL, NULL, 15),
(116445, NULL, 'PTHR48017:SF139', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116446, NULL, 'PTHR15407:SF28', NULL, NULL, NULL, NULL, 'FUKUTIN', NULL, NULL, NULL, 15),
(116447, NULL, 'PTHR31866:SF1', NULL, NULL, NULL, NULL, 'GENE 4779-RELATED', NULL, NULL, NULL, 15),
(116448, NULL, 'PTHR32021:SF34', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5B1', NULL, NULL, NULL, 15),
(116449, NULL, 'PTHR13328:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116450, NULL, 'PTHR18847:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR CAP-BINDING PROTEIN SUBUNIT 2', NULL, NULL, NULL, 15),
(116451, NULL, 'PTHR23430:SF294', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(116452, NULL, 'PTHR45637:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116453, NULL, 'PTHR13602', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 28591, 15),
(116454, NULL, 'PTHR31897:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG19579', NULL, NULL, NULL, 15),
(116455, NULL, 'PTHR10509:SF75', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE, FAMILY 3, S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(116456, NULL, 'PTHR48001:SF74', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(116457, NULL, 'PTHR48168:SF1', NULL, NULL, NULL, NULL, 'RNA GUANINE-7 METHYLTRANSFERASE-ACTIVATING SUBUNIT-LIKE (PSEUDOGENE)-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116458, NULL, 'PTHR36326:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SULFUR DEFICIENCY-INDUCED 1', NULL, NULL, NULL, 15),
(116459, NULL, 'PTHR12377:SF2', NULL, NULL, NULL, NULL, 'CYTOSOLIC IRON-SULFUR ASSEMBLY COMPONENT 2A', NULL, NULL, NULL, 15),
(116460, NULL, 'PTHR10996:SF256', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3', NULL, NULL, NULL, 15),
(116461, NULL, 'PTHR21646:SF30', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 27', NULL, NULL, NULL, 15),
(116462, NULL, 'PTHR26451:SF904', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(116463, NULL, 'PTHR33879:SF10', NULL, NULL, NULL, NULL, 'BNAA01G24640D PROTEIN', NULL, NULL, NULL, 15),
(116464, NULL, 'PTHR46128:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116465, NULL, 'PTHR24247:SF122', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10H1-RELATED', NULL, NULL, NULL, 15),
(116466, NULL, 'PTHR23024:SF499', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN', NULL, NULL, NULL, 15),
(116467, NULL, 'PTHR24055:SF347', NULL, NULL, NULL, NULL, 'PROTEIN KINASE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(116468, NULL, 'PTHR48056:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE-LIKE PROTEIN ZAR1', NULL, NULL, NULL, 15),
(116469, NULL, 'PTHR19269:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116470, NULL, 'PTHR31889:SF55', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE CAZY FAMILY GT37-LIKE PROTEIN', NULL, NULL, NULL, 15),
(116471, NULL, 'PTHR24329:SF542', NULL, NULL, NULL, NULL, 'DORSAL ROOT GANGLIA HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(116472, NULL, 'PTHR22835:SF616', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(116473, NULL, 'PTHR36106', NULL, NULL, NULL, NULL, 'ANAEROBIC C4-DICARBOXYLATE TRANSPORTER DCUB', NULL, NULL, 2902, 15),
(116474, NULL, 'PTHR47993:SF115', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(116475, NULL, 'PTHR34789:SF6', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 1-LIKE', NULL, NULL, NULL, 15),
(116476, NULL, 'PTHR23430:SF280', NULL, NULL, NULL, NULL, 'HISTONE H2A.V', NULL, NULL, NULL, 15),
(116477, NULL, 'PTHR22968', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C, MU', NULL, NULL, 11896, 15),
(116478, NULL, 'PTHR23317:SF78', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 7', NULL, NULL, NULL, 15),
(116479, NULL, 'PTHR46553:SF20', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116480, NULL, 'PTHR46391:SF11', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 19-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(116481, NULL, 'PTHR33159:SF64', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(116482, NULL, 'PTHR43029:SF29', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(116483, NULL, 'PTHR24414:SF169', NULL, NULL, NULL, NULL, 'BNAA04G14980D PROTEIN', NULL, NULL, NULL, 15),
(116484, NULL, 'PTHR13025:SF6', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN-CONTAINING PROTEIN D2 HOMOLOG', NULL, NULL, NULL, 15),
(116485, NULL, 'PTHR34398', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116486, NULL, 'PTHR43056:SF2', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(116487, NULL, 'PTHR22930:SF194', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(116488, NULL, 'PTHR45657:SF22', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116489, NULL, 'PTHR23150:SF31', NULL, NULL, NULL, NULL, 'INACTIVE C-ALPHA-FORMYLGLYCINE-GENERATING ENZYME 2', NULL, NULL, NULL, 15),
(116490, NULL, 'PTHR10263:SF18', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 21 KDA PROTEOLIPID SUBUNIT', NULL, NULL, NULL, 15),
(116491, NULL, 'PTHR45642:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116492, NULL, 'PTHR18953:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116493, NULL, 'PTHR45950:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX33', NULL, NULL, NULL, 15),
(116494, NULL, 'PTHR12176:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116495, NULL, 'PTHR46972:SF1', NULL, NULL, NULL, NULL, 'MONOOXYGENASE ASQM-RELATED', NULL, NULL, NULL, 15),
(116496, NULL, 'PTHR34285:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116497, NULL, 'PTHR47374:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116498, NULL, 'PTHR11846', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE', NULL, NULL, 1018, 15),
(116499, NULL, 'PTHR10676:SF384', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(116500, NULL, 'PTHR31190:SF250', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116501, NULL, 'PTHR43918', NULL, NULL, NULL, NULL, 'ACETYLCHOLINESTERASE', NULL, NULL, NULL, 15),
(116502, NULL, 'PTHR11931:SF24', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116503, NULL, 'PTHR44592:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116504, NULL, 'PTHR21549', NULL, NULL, NULL, NULL, 'MUTATED IN BLADDER CANCER 1', NULL, NULL, 34127, 15),
(116505, NULL, 'PTHR12497:SF7', NULL, NULL, NULL, NULL, 'TAFAZZIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116506, NULL, 'PTHR31140:SF117', NULL, NULL, NULL, NULL, 'BNAC06G03910D PROTEIN', NULL, NULL, NULL, 15),
(116507, NULL, 'PTHR31649', NULL, NULL, NULL, NULL, 'AGAP009604-PA', NULL, NULL, NULL, 15),
(116508, NULL, 'PTHR24064:SF515', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(116509, NULL, 'PTHR32054:SF15', NULL, NULL, NULL, NULL, 'OS09G0458000 PROTEIN', NULL, NULL, NULL, 15),
(116510, NULL, 'PTHR43674:SF11', NULL, NULL, NULL, NULL, 'BNAANNG15120D PROTEIN', NULL, NULL, NULL, 15),
(116511, NULL, 'PTHR47295:SF7', NULL, NULL, NULL, NULL, 'RLPA-LIKE DOUBLE-PSI BETA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116512, NULL, 'PTHR39110', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(116513, NULL, 'PTHR12830:SF10', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF SPINDLE CHECKPOINT DEFECT 1', NULL, NULL, NULL, 15),
(116514, NULL, 'PTHR21659:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116515, NULL, 'PTHR14564:SF3', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC27', NULL, NULL, NULL, 15),
(116516, NULL, 'PTHR45932:SF20', NULL, NULL, NULL, NULL, 'PATELLIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(116517, NULL, 'PTHR47310', NULL, NULL, NULL, NULL, 'PROTEIN FLUORESCENT IN BLUE LIGHT, CHLOROPLASTIC', NULL, NULL, 37116, 15),
(116518, NULL, 'PTHR31100:SF59', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(116519, NULL, 'PTHR21749:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG05366', NULL, NULL, NULL, 15),
(116520, NULL, 'PTHR11064:SF127', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-10-LIKE', NULL, NULL, NULL, 15),
(116521, NULL, 'PTHR43663', NULL, NULL, NULL, NULL, 'CHROMATE TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116522, NULL, 'PTHR31054:SF10', NULL, NULL, NULL, NULL, 'ZYGOTE ARREST PROTEIN 1', NULL, NULL, NULL, 15),
(116523, NULL, 'PTHR26452:SF160', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(116524, NULL, 'PTHR31190:SF132', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', NULL, NULL, NULL, 15),
(116525, NULL, 'PTHR31432', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 74 HOMOLOG', NULL, NULL, 25721, 15),
(116526, NULL, 'PTHR31065:SF35', NULL, NULL, NULL, NULL, 'OS06G0624900 PROTEIN', NULL, NULL, NULL, 15),
(116527, NULL, 'PTHR23226:SF272', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 75D', NULL, NULL, NULL, 15),
(116528, NULL, 'PTHR35339', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 19586, 15),
(116529, NULL, 'PTHR47990:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116530, NULL, 'PTHR20884:SF8', NULL, NULL, NULL, NULL, 'GDP-D-GLUCOSE PHOSPHORYLASE 1', NULL, NULL, NULL, 15),
(116531, NULL, 'PTHR12124:SF72', NULL, NULL, NULL, NULL, '3''-5'' EXONUCLEASE', NULL, NULL, NULL, 15),
(116532, NULL, 'PTHR34200:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116533, NULL, 'PTHR14068:SF3', NULL, NULL, NULL, NULL, 'BNACNNG51870D PROTEIN', NULL, NULL, NULL, 15),
(116534, NULL, 'PTHR33526', NULL, NULL, NULL, NULL, 'OS07G0123800 PROTEIN', NULL, NULL, NULL, 15),
(116535, NULL, 'PTHR31388:SF13', NULL, NULL, NULL, NULL, 'PEROXIDASE 2', NULL, NULL, NULL, 15),
(116536, NULL, 'PTHR31692:SF80', NULL, NULL, NULL, NULL, 'POLLEN ALLERGEN HOMOLOG', NULL, NULL, NULL, 15),
(116537, NULL, 'PTHR11614:SF147', NULL, NULL, NULL, NULL, 'MONOGLYCERIDE LIPASE', NULL, NULL, NULL, 15),
(116538, NULL, 'PTHR46128:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116539, NULL, 'PTHR48017:SF171', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 2-LIKE', NULL, NULL, NULL, 15),
(116540, NULL, 'PTHR10795:SF703', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116541, NULL, 'PTHR21100', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 4', NULL, NULL, 20612, 15),
(116542, NULL, 'PTHR10177:SF493', NULL, NULL, NULL, NULL, 'BNAC09G12990D PROTEIN', NULL, NULL, NULL, 15),
(116543, NULL, 'PTHR32054:SF25', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT-LIKE 1', NULL, NULL, NULL, 15),
(116544, NULL, 'PTHR33044:SF89', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(116545, NULL, 'PTHR36417', NULL, NULL, NULL, NULL, 'SELENOPROTEIN DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G05220)', NULL, NULL, NULL, 15),
(116546, NULL, 'PTHR10201:SF278', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116547, NULL, 'PTHR31121:SF10', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE KTR2-RELATED', NULL, NULL, NULL, 15),
(116548, NULL, 'PTHR47988', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE 1', NULL, NULL, NULL, 15),
(116549, NULL, 'PTHR21649:SF126', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 40, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(116550, NULL, 'PTHR21068:SF36', NULL, NULL, NULL, NULL, 'SENESCENCE/DEHYDRATION-ASSOCIATED PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(116551, NULL, 'PTHR43329:SF50', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', NULL, NULL, NULL, 15),
(116552, NULL, 'PTHR23321:SF26', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S28, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(116553, NULL, 'PTHR23267:SF391', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR DELTA VARIABLE 1', NULL, NULL, NULL, 15),
(116554, NULL, 'PTHR46442:SF16', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(116555, NULL, 'PTHR24223:SF378', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, CONSERVED SITE', NULL, NULL, NULL, 15),
(116556, NULL, 'PTHR44366:SF4', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--PEPTIDE N-ACETYLGLUCOSAMINYLTRANSFERASE SEC-RELATED', NULL, NULL, NULL, 15),
(116557, NULL, 'PTHR31642:SF232', NULL, NULL, NULL, NULL, 'BNAC01G22120D PROTEIN', NULL, NULL, NULL, 15),
(116558, NULL, 'PTHR11258', NULL, NULL, NULL, NULL, '2-5 OLIGOADENYLATE SYNTHETASE', NULL, NULL, 24405, 15),
(116559, NULL, 'PTHR24349:SF372', NULL, NULL, NULL, NULL, 'CALCIUM BINDING PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(116560, NULL, 'PTHR23024:SF392', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', NULL, NULL, NULL, 15),
(116561, NULL, 'PTHR19957:SF29', NULL, NULL, NULL, NULL, 'SYNTAXIN-19', NULL, NULL, 11766, 15),
(116562, NULL, 'PTHR45768:SF56', NULL, NULL, NULL, NULL, 'BNAANNG26670D PROTEIN', NULL, NULL, NULL, 15),
(116563, NULL, 'PTHR24300:SF109', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2D26', NULL, NULL, NULL, 15),
(116564, NULL, 'PTHR31361', NULL, NULL, NULL, NULL, 'BETA-GLUCAN SYNTHESIS-ASSOCIATED PROTEIN KRE6-RELATED', NULL, NULL, 2757, 15),
(116565, NULL, 'PTHR41964', NULL, NULL, NULL, NULL, 'GLOBAL NITROGEN REGULATOR NRPR', NULL, NULL, 29017, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116566, NULL, 'PTHR16128:SF5', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116567, NULL, 'PTHR11551:SF3', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 3', NULL, NULL, 14133, 15),
(116568, NULL, 'PTHR36449:SF4', NULL, NULL, NULL, NULL, 'TOXIN-ANTITOXIN SYSTEM TOXIN GNAT FAMILY', NULL, NULL, NULL, 15),
(116569, NULL, 'PTHR10457:SF7', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE KINASE', NULL, NULL, NULL, 15),
(116570, NULL, 'PTHR47338:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(116571, NULL, 'PTHR23110:SF98', NULL, NULL, NULL, NULL, 'PROTEIN ABRUPT', NULL, NULL, NULL, 15),
(116572, NULL, 'PTHR32263:SF17', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(116573, NULL, 'PTHR11576:SF3', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN WITH A ZONA PELLUCIDA-LIKE DOMAIN-RELATED', NULL, NULL, NULL, 15),
(116574, NULL, 'PTHR11850:SF284', NULL, NULL, NULL, NULL, 'OS05G0455200 PROTEIN', NULL, NULL, NULL, 15),
(116575, NULL, 'PTHR21255:SF19', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN TCTEX-TYPE 1', NULL, NULL, NULL, 15),
(116576, NULL, 'PTHR46329:SF4', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR, SUBFAMILY A, MEMBER 17', NULL, NULL, NULL, 15),
(116577, NULL, 'PTHR30562:SF10', NULL, NULL, NULL, NULL, 'EXCINUCLEASE CHO', NULL, NULL, NULL, 15),
(116578, NULL, 'PTHR32080:SF31', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 6', NULL, NULL, NULL, 15),
(116579, NULL, 'PTHR33450:SF24', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', NULL, NULL, NULL, 15),
(116580, NULL, 'PTHR10795:SF667', NULL, NULL, NULL, NULL, 'OS02G0198700 PROTEIN', NULL, NULL, NULL, 15),
(116581, NULL, 'PTHR31375:SF183', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT2', NULL, NULL, NULL, 15),
(116582, NULL, 'PTHR26450:SF192', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(116583, NULL, 'PTHR23070:SF167', NULL, NULL, NULL, NULL, '1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(116584, NULL, 'PTHR10253:SF7', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN FIE1', NULL, NULL, NULL, 15),
(116585, NULL, 'PTHR11654:SF89', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 15 MEMBER 1', NULL, NULL, NULL, 15),
(116586, NULL, 'PTHR22747:SF13', NULL, NULL, NULL, NULL, 'NUCLEOPLASMIN-3', NULL, NULL, NULL, 15),
(116587, NULL, 'PTHR37195', NULL, NULL, NULL, NULL, 'OS01G0332900 PROTEIN', NULL, NULL, NULL, 15),
(116588, NULL, 'PTHR24348:SF59', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE4', NULL, NULL, NULL, 15),
(116589, NULL, 'PTHR13952:SF9', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR CWC21-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(116590, NULL, 'PTHR15427:SF28', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(116591, NULL, 'PTHR10513:SF40', NULL, NULL, NULL, NULL, 'DEOXYADENOSINE/DEOXYCYTIDINE KINASE', NULL, NULL, NULL, 15),
(116592, NULL, 'PTHR11771:SF58', NULL, NULL, NULL, NULL, 'ARACHIDONATE 15-LIPOXYGENASE B', NULL, NULL, NULL, 15),
(116593, NULL, 'PTHR19375:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116594, NULL, 'PTHR11964:SF50', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE 1-RELATED', NULL, NULL, NULL, 15),
(116595, NULL, 'PTHR37685', NULL, NULL, NULL, NULL, 'GEO11136P1-RELATED', NULL, NULL, 25222, 15),
(116596, NULL, 'PTHR13468:SF10', NULL, NULL, NULL, NULL, 'DEK DOMAIN-CONTAINING CHROMATIN ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(116597, NULL, 'PTHR43447:SF20', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', NULL, NULL, NULL, 15),
(116598, NULL, 'PTHR11803:SF39', NULL, NULL, NULL, NULL, '2-IMINOBUTANOATE/2-IMINOPROPANOATE DEAMINASE', NULL, NULL, NULL, 15),
(116599, NULL, 'PTHR11439:SF309', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', NULL, NULL, NULL, 15),
(116600, NULL, 'PTHR11675:SF47', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 13', NULL, NULL, NULL, 15),
(116601, NULL, 'PTHR33566:SF7', NULL, NULL, NULL, NULL, 'DEFECTIVE IN MERISTEM SILENCING 3-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116602, NULL, 'PTHR35318:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116603, NULL, 'PTHR38364:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0022H21.9 PROTEIN', NULL, NULL, NULL, 15),
(116604, NULL, 'PTHR45615:SF20', NULL, NULL, NULL, NULL, 'MYOSIN-2', NULL, NULL, NULL, 15),
(116605, NULL, 'PTHR13312:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE OTU1', NULL, NULL, NULL, 15),
(116606, NULL, 'PTHR11654:SF382', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116607, NULL, 'PTHR24286:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116608, NULL, 'PTHR23017:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(116609, NULL, 'PTHR11972:SF169', NULL, NULL, NULL, NULL, 'FRP2P', NULL, NULL, NULL, 15),
(116610, NULL, 'PTHR24418:SF382', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(116611, NULL, 'PTHR27007:SF226', NULL, NULL, NULL, NULL, 'LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VI.3', NULL, NULL, NULL, 15),
(116612, NULL, 'PTHR22881:SF15', NULL, NULL, NULL, NULL, 'DNA-BINDING BROMODOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(116613, NULL, 'PTHR22621:SF30', NULL, NULL, NULL, NULL, 'RAB_A33 PROTEIN', NULL, NULL, NULL, 15),
(116614, NULL, 'PTHR44378', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 17, PEROXISOMAL-RELATED', NULL, NULL, NULL, 15),
(116615, NULL, 'PTHR30625:SF16', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBB', NULL, NULL, NULL, 15),
(116616, NULL, 'PTHR43639:SF6', NULL, NULL, NULL, NULL, 'DIHYDROMONAPTERIN REDUCTASE', NULL, NULL, NULL, 15),
(116617, NULL, 'PTHR46862:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116618, NULL, 'PTHR45940:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HOMOBOX-WOX FAMILY-RELATED', NULL, NULL, NULL, 15),
(116619, NULL, 'PTHR43793', NULL, NULL, NULL, NULL, 'FAD SYNTHASE', NULL, NULL, NULL, 15),
(116620, NULL, 'PTHR31791:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116621, NULL, 'PTHR33625:SF10', NULL, NULL, NULL, NULL, 'BNAANNG27970D PROTEIN', NULL, NULL, NULL, 15),
(116622, NULL, 'PTHR24343:SF9', NULL, NULL, NULL, NULL, 'SPERM MOTILITY KINASE Z', NULL, NULL, NULL, 15),
(116623, NULL, 'PTHR24064:SF564', NULL, NULL, NULL, NULL, 'TRANSPORTER B0252.3-RELATED', NULL, NULL, NULL, 15),
(116624, NULL, 'PTHR22834:SF20', NULL, NULL, NULL, NULL, 'NUCLEAR FUSION PROTEIN FUS2', NULL, NULL, NULL, 15),
(116625, NULL, 'PTHR12673:SF14', NULL, NULL, NULL, NULL, 'FYVE, RHOGEF AND PH DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(116626, NULL, 'PTHR24256:SF454', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116627, NULL, 'PTHR23316:SF76', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(116628, NULL, 'PTHR48042:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116629, NULL, 'PTHR11183:SF108', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 2', NULL, NULL, 26177, 15),
(116630, NULL, 'PTHR22956:SF17', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN F37A4.4-RELATED', NULL, NULL, NULL, 15),
(116631, NULL, 'PTHR10356:SF5', NULL, NULL, NULL, NULL, 'ALLOGRAFT INFLAMMATORY FACTOR 1-LIKE', NULL, NULL, 27403, 15),
(116632, NULL, 'PTHR43874:SF76', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR8', NULL, NULL, NULL, 15),
(116633, NULL, 'PTHR45776:SF2', NULL, NULL, NULL, NULL, 'MIP04163P', NULL, NULL, NULL, 15),
(116634, NULL, 'PTHR24068:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116635, NULL, 'PTHR23299', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN', NULL, NULL, 2209, 15),
(116636, NULL, 'PTHR12974:SF30', NULL, NULL, NULL, NULL, 'TERMINAL NUCLEOTIDYLTRANSFERASE 5D', NULL, NULL, NULL, 15),
(116637, NULL, 'PTHR43895:SF116', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CHK1', NULL, NULL, NULL, 15),
(116638, NULL, 'PTHR46056:SF8', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', NULL, NULL, NULL, 15),
(116639, NULL, 'PTHR33985:SF19', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 21', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116640, NULL, 'PTHR45089:SF22', NULL, NULL, NULL, NULL, 'OS11G0578225 PROTEIN', NULL, NULL, NULL, 15),
(116641, NULL, 'PTHR33121:SF19', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE/RESPONSE REGULATOR HYBRID PROTEIN', NULL, NULL, NULL, 15),
(116642, NULL, 'PTHR35470:SF6', NULL, NULL, NULL, NULL, 'CADMIUM TOLERANT 3', NULL, NULL, NULL, 15),
(116643, NULL, 'PTHR11451:SF56', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE 1', NULL, NULL, NULL, 15),
(116644, NULL, 'PTHR32263:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116645, NULL, 'PTHR31707:SF198', NULL, NULL, NULL, NULL, 'OS02G0103300 PROTEIN', NULL, NULL, NULL, 15),
(116646, NULL, 'PTHR33377:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116647, NULL, 'PTHR23515:SF10', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER 2.7', NULL, NULL, NULL, 15),
(116648, NULL, 'PTHR22950:SF654', NULL, NULL, NULL, NULL, 'BNAA08G03940D PROTEIN', NULL, NULL, NULL, 15),
(116649, NULL, 'PTHR47265:SF1', NULL, NULL, NULL, NULL, 'IRON-SULFUR ASSEMBLY PROTEIN ISCA, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(116650, NULL, 'PTHR10332:SF80', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER 2, ISOFORM A', NULL, NULL, NULL, 15),
(116651, NULL, 'PTHR33662:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE OTULIN', NULL, NULL, NULL, 15),
(116652, NULL, 'PTHR43205:SF39', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT ALKENAL DOUBLE BOND REDUCTASE P2', NULL, NULL, NULL, 15),
(116653, NULL, 'PTHR10900:SF108', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(116654, NULL, 'PTHR12015:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116655, NULL, 'PTHR47991:SF86', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 2-LIKE', NULL, NULL, NULL, 15),
(116656, NULL, 'PTHR24377:SF813', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 777', NULL, NULL, NULL, 15),
(116657, NULL, 'PTHR11358:SF37', NULL, NULL, NULL, NULL, 'AGMATINASE-RELATED', NULL, NULL, NULL, 15),
(116658, NULL, 'PTHR40980:SF3', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT CHITOOLIGOSACCHARIDE RECEPTOR', NULL, NULL, NULL, 15),
(116659, NULL, 'PTHR47254', NULL, NULL, NULL, NULL, 'CELL WALL MANNOPROTEIN CIS3-RELATED', NULL, NULL, NULL, 15),
(116660, NULL, 'PTHR23241:SF103', NULL, NULL, NULL, NULL, 'OS11G0673100 PROTEIN', NULL, NULL, NULL, 15),
(116661, NULL, 'PTHR31595:SF43', NULL, NULL, NULL, NULL, 'ACYL-COA--STEROL O-ACYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(116662, NULL, 'PTHR31985:SF31', NULL, NULL, NULL, NULL, 'OS04G0572200 PROTEIN', NULL, NULL, NULL, 15),
(116663, NULL, 'PTHR43595', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S26, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(116664, NULL, 'PTHR31042:SF75', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116665, NULL, 'PTHR36026:SF4', NULL, NULL, NULL, NULL, 'OS01G0705500 PROTEIN', NULL, NULL, NULL, 15),
(116666, NULL, 'PTHR10662:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116667, NULL, 'PTHR13748:SF63', NULL, NULL, NULL, NULL, 'P-LOOP GUANOSINE TRIPHOSPHATASE YJIA', NULL, NULL, NULL, 15),
(116668, NULL, 'PTHR10218:SF213', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT ALPHA-14', NULL, NULL, NULL, 15),
(116669, NULL, 'PTHR48078:SF8', NULL, NULL, NULL, NULL, 'L-SERINE DEHYDRATASE/L-THREONINE DEAMINASE', NULL, NULL, NULL, 15),
(116670, NULL, 'PTHR23511:SF4', NULL, NULL, NULL, NULL, 'FGR2P', NULL, NULL, NULL, 15),
(116671, NULL, 'PTHR46224:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116672, NULL, 'PTHR47926:SF86', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(116673, NULL, 'PTHR20836', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE REDUCTASE', NULL, NULL, 8391, 15),
(116674, NULL, 'PTHR33420:SF3', NULL, NULL, NULL, NULL, 'FIMBRIAL SUBUNIT ELFA', NULL, NULL, NULL, 15),
(116675, NULL, 'PTHR42929', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YDCU-RELATED-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116676, NULL, 'PTHR48047:SF73', NULL, NULL, NULL, NULL, 'BNAA06G02440D PROTEIN', NULL, NULL, NULL, 15),
(116677, NULL, 'PTHR45647:SF71', NULL, NULL, NULL, NULL, 'OS10G0548300 PROTEIN', NULL, NULL, NULL, 15),
(116678, NULL, 'PTHR24409:SF313', NULL, NULL, NULL, NULL, 'ZINC FINGER Y-CHROMOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(116679, NULL, 'PTHR13516:SF5', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P25', NULL, NULL, 34601, 15),
(116680, NULL, 'PTHR13245', NULL, NULL, NULL, NULL, 'RRP15-LIKE PROTEIN', NULL, NULL, 14660, 15),
(116681, NULL, 'PTHR43572:SF57', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: PROTEIN SMAX1-LIKE', NULL, NULL, NULL, 15),
(116682, NULL, 'PTHR23169:SF10', NULL, NULL, NULL, NULL, 'PERIPLAKIN', NULL, NULL, NULL, 15),
(116683, NULL, 'PTHR46934:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116684, NULL, 'PTHR11804:SF55', NULL, NULL, NULL, NULL, 'NEUROLYSIN (METALLOPEPTIDASE M3 FAMILY)', NULL, NULL, NULL, 15),
(116685, NULL, 'PTHR10625:SF194', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 7', NULL, NULL, NULL, 15),
(116686, NULL, 'PTHR37245:SF3', NULL, NULL, NULL, NULL, 'OS04G0495150 PROTEIN', NULL, NULL, NULL, 15),
(116687, NULL, 'PTHR45960:SF5', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(116688, NULL, 'PTHR31852:SF136', NULL, NULL, NULL, NULL, 'OS01G0228500 PROTEIN', NULL, NULL, NULL, 15),
(116689, NULL, 'PTHR10633', NULL, NULL, NULL, NULL, 'LEUKEMIA INHIBITORY FACTOR', NULL, NULL, 918, 15),
(116690, NULL, 'PTHR43864:SF2', NULL, NULL, NULL, NULL, 'PUR OPERON REPRESSOR', NULL, NULL, 2039, 15),
(116691, NULL, 'PTHR11017:SF313', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116692, NULL, 'PTHR23415:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOME SUBUNIT BIOGENESIS PROTEIN NIP7 HOMOLOG', NULL, NULL, NULL, 15),
(116693, NULL, 'PTHR11905:SF112', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(116694, NULL, 'PTHR10052:SF48', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', NULL, NULL, NULL, 15),
(116695, NULL, 'PTHR39638:SF2', NULL, NULL, NULL, NULL, 'SLR0376 PROTEIN', NULL, NULL, NULL, 15),
(116696, NULL, 'PTHR18934:SF221', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH8', NULL, NULL, NULL, 15),
(116697, NULL, 'PTHR45757:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG17895', NULL, NULL, NULL, 15),
(116698, NULL, 'PTHR43574:SF36', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 4', NULL, NULL, NULL, 15),
(116699, NULL, 'PTHR24305:SF189', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(116700, NULL, 'PTHR48173:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116701, NULL, 'PTHR48060:SF5', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116702, NULL, 'PTHR39401:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116703, NULL, 'PTHR13043', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC5', NULL, NULL, 28714, 15),
(116704, NULL, 'PTHR12864:SF22', NULL, NULL, NULL, NULL, 'YALI0C23276P', NULL, NULL, NULL, 15),
(116705, NULL, 'PTHR11654:SF535', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', NULL, NULL, NULL, 15),
(116706, NULL, 'PTHR33074:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116707, NULL, 'PTHR31947', NULL, NULL, NULL, NULL, 'DNA/RNA-BINDING PROTEIN ALBA 3', NULL, NULL, 12618, 15),
(116708, NULL, 'PTHR33193:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116709, NULL, 'PTHR45528:SF4', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YBDK', NULL, NULL, NULL, 15),
(116710, NULL, 'PTHR32176:SF65', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(116711, NULL, 'PTHR23359:SF181', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4', NULL, NULL, NULL, 15),
(116712, NULL, 'PTHR27001:SF773', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 1-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116713, NULL, 'PTHR20787:SF10', NULL, NULL, NULL, NULL, 'TREACLE PROTEIN', NULL, NULL, NULL, 15),
(116714, NULL, 'PTHR21576:SF134', NULL, NULL, NULL, NULL, 'NODULIN-LIKE/MFS TRANSPORTER', NULL, NULL, NULL, 15),
(116715, NULL, 'PTHR45911:SF4', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(116716, NULL, 'PTHR42851:SF12', NULL, NULL, NULL, NULL, 'PWWP DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(116717, NULL, 'PTHR44329:SF15', NULL, NULL, NULL, NULL, 'MIXED LINEAGE KINASE DOMAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(116718, NULL, 'PTHR12499:SF0', NULL, NULL, NULL, NULL, 'OPTIC ATROPHY 3 PROTEIN', NULL, NULL, NULL, 15),
(116719, NULL, 'PTHR11214:SF279', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(116720, NULL, 'PTHR23036:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116721, NULL, 'PTHR47965:SF46', NULL, NULL, NULL, NULL, 'BASIC 7S GLOBULIN 2 SMALL SUBUNIT', NULL, NULL, NULL, 15),
(116722, NULL, 'PTHR34979:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YGAZ', NULL, NULL, NULL, 15),
(116723, NULL, 'PTHR24238:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG23244', NULL, NULL, NULL, 15),
(116724, NULL, 'PTHR31495:SF2', NULL, NULL, NULL, NULL, 'OS02G0734600 PROTEIN', NULL, NULL, NULL, 15),
(116725, NULL, 'PTHR19441:SF85', NULL, NULL, NULL, NULL, 'WHEY ACIDIC PROTEIN', NULL, NULL, NULL, 15),
(116726, NULL, 'PTHR23272:SF145', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN DAYSLEEPER-LIKE', NULL, NULL, NULL, 15),
(116727, NULL, 'PTHR10663:SF337', NULL, NULL, NULL, NULL, 'PH AND SEC7 DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(116728, NULL, 'PTHR31485:SF19', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(116729, NULL, 'PTHR45878:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP2-LIKE', NULL, NULL, NULL, 15),
(116730, NULL, 'PTHR14154:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', NULL, NULL, NULL, 15),
(116731, NULL, 'PTHR43095:SF5', NULL, NULL, NULL, NULL, 'XYLULOSE KINASE', NULL, NULL, NULL, 15),
(116732, NULL, 'PTHR27005:SF201', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 11-RELATED', NULL, NULL, NULL, 15),
(116733, NULL, 'PTHR31044:SF53', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(116734, NULL, 'PTHR24214', NULL, NULL, NULL, NULL, 'PDZ AND LIM DOMAIN PROTEIN ZASP', NULL, NULL, NULL, 15),
(116735, NULL, 'PTHR24100:SF103', NULL, NULL, NULL, NULL, 'BUTYROPHILIN SUBFAMILY 1 MEMBER A1', NULL, NULL, NULL, 15),
(116736, NULL, 'PTHR32080:SF44', NULL, NULL, NULL, NULL, 'BNAC02G20110D PROTEIN', NULL, NULL, NULL, 15),
(116737, NULL, 'PTHR45651:SF67', NULL, NULL, NULL, NULL, 'BNAA04G14030D PROTEIN', NULL, NULL, NULL, 15),
(116738, NULL, 'PTHR12385:SF92', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116739, NULL, 'PTHR33257:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116740, NULL, 'PTHR11599:SF159', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(116741, NULL, 'PTHR39157', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116742, NULL, 'PTHR47354', NULL, NULL, NULL, NULL, 'NADH OXIDOREDUCTASE HCR', NULL, NULL, NULL, 15),
(116743, NULL, 'PTHR23050:SF367', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(116744, NULL, 'PTHR12346:SF30', NULL, NULL, NULL, NULL, 'F17L21.3-RELATED', NULL, NULL, NULL, 15),
(116745, NULL, 'PTHR35358:SF15', NULL, NULL, NULL, NULL, 'BNAA09G43500D PROTEIN', NULL, NULL, NULL, 15),
(116746, NULL, 'PTHR48017:SF145', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 7-RELATED', NULL, NULL, NULL, 15),
(116747, NULL, 'PTHR31190:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116748, NULL, 'PTHR32176:SF45', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(116749, NULL, 'PTHR47394:SF1', NULL, NULL, NULL, NULL, 'SMALL CELL ADHESION GLYCOPROTEIN', NULL, NULL, NULL, 15),
(116750, NULL, 'PTHR32021:SF5', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5B3', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116751, NULL, 'PTHR43108', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-SULFATASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(116752, NULL, 'PTHR11802:SF388', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(116753, NULL, 'PTHR42968:SF4', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 25', NULL, NULL, NULL, 15),
(116754, NULL, 'PTHR10742:SF364', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(116755, NULL, 'PTHR43421', NULL, NULL, NULL, NULL, 'METALLOPROTEASE PMBA', NULL, NULL, NULL, 15),
(116756, NULL, 'PTHR11686', NULL, NULL, NULL, NULL, 'GAMMA GLUTAMYL TRANSPEPTIDASE', NULL, NULL, 2714, 15),
(116757, NULL, 'PTHR21646:SF7', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 49', NULL, NULL, NULL, 15),
(116758, NULL, 'PTHR36312:SF4', NULL, NULL, NULL, NULL, 'THIONIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116759, NULL, 'PTHR12219:SF8', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(116760, NULL, 'PTHR24230:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116761, NULL, 'PTHR24326:SF176', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-13', NULL, NULL, NULL, 15),
(116762, NULL, 'PTHR35985:SF1', NULL, NULL, NULL, NULL, 'OS07G0675200 PROTEIN', NULL, NULL, NULL, 15),
(116763, NULL, 'PTHR18966:SF383', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(116764, NULL, 'PTHR23271:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116765, NULL, 'PTHR33077:SF82', NULL, NULL, NULL, NULL, 'TIFY DOMAIN, CO/COL/TOC1, CONSERVED SITE-RELATED', NULL, NULL, NULL, 15),
(116766, NULL, 'PTHR11654:SF509', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 15 MEMBER 4', NULL, NULL, NULL, 15),
(116767, NULL, 'PTHR30625:SF9', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBB-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(116768, NULL, 'PTHR31920:SF67', NULL, NULL, NULL, NULL, 'BNACNNG62390D PROTEIN', NULL, NULL, NULL, 15),
(116769, NULL, 'PTHR46011:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(116770, NULL, 'PTHR23338:SF43', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SMD3A', NULL, NULL, NULL, 15),
(116771, NULL, 'PTHR45978:SF10', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(116772, NULL, 'PTHR33388:SF19', NULL, NULL, NULL, NULL, 'PROTEIN SPEAR2', NULL, NULL, NULL, 15),
(116773, NULL, 'PTHR23502:SF75', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN D', NULL, NULL, NULL, 15),
(116774, NULL, 'PTHR42886:SF36', NULL, NULL, NULL, NULL, 'ESTERASE/LIPASE/THIOESTERASE FAMILY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(116775, NULL, 'PTHR24343:SF376', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2J', NULL, NULL, NULL, 15),
(116776, NULL, 'PTHR31827:SF38', NULL, NULL, NULL, NULL, 'OS04G0640900 PROTEIN', NULL, NULL, NULL, 15),
(116777, NULL, 'PTHR37610', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116778, NULL, 'PTHR43243:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116779, NULL, 'PTHR46705:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG05797', NULL, NULL, NULL, 15),
(116780, NULL, 'PTHR10910:SF103', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(116781, NULL, 'PTHR23382:SF19', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE 3, CYTOPLASMIC', NULL, NULL, NULL, 15),
(116782, NULL, 'PTHR31374:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116783, NULL, 'PTHR14074', NULL, NULL, NULL, NULL, 'HELICASE WITH DEATH DOMAIN-RELATED', NULL, NULL, NULL, 15),
(116784, NULL, 'PTHR11800:SF15', NULL, NULL, NULL, NULL, 'BNAA09G08480D PROTEIN', NULL, NULL, NULL, 15),
(116785, NULL, 'PTHR24093:SF460', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 2, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(116786, NULL, 'PTHR48001:SF49', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1L3', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116787, NULL, 'PTHR32370:SF74', NULL, NULL, NULL, NULL, 'OS03G0205700 PROTEIN', NULL, NULL, NULL, 15),
(116788, NULL, 'PTHR22765:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116789, NULL, 'PTHR31592:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 192', NULL, NULL, NULL, 15),
(116790, NULL, 'PTHR24221:SF248', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER TRANSMEMBRANE REGION-RELATED', NULL, NULL, NULL, 15),
(116791, NULL, 'PTHR24390:SF41', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(116792, NULL, 'PTHR43731:SF22', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 12, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(116793, NULL, 'PTHR32278:SF15', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10-LIKE', NULL, NULL, NULL, 15),
(116794, NULL, 'PTHR33191:SF46', NULL, NULL, NULL, NULL, 'RLPA-LIKE DOUBLE-PSI BETA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116795, NULL, 'PTHR33214:SF38', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116796, NULL, 'PTHR11208:SF109', NULL, NULL, NULL, NULL, 'GH05812P-RELATED', NULL, NULL, NULL, 15),
(116797, NULL, 'PTHR13952:SF20', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN 70 KDA', NULL, NULL, NULL, 15),
(116798, NULL, 'PTHR21324:SF13', NULL, NULL, NULL, NULL, 'SI:DKEY-228D14.5', NULL, NULL, NULL, 15),
(116799, NULL, 'PTHR31080:SF229', NULL, NULL, NULL, NULL, 'PECTIN METHYLESTERASE INHIBITOR-RELATED', NULL, NULL, NULL, 15),
(116800, NULL, 'PTHR14221:SF53', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 44', NULL, NULL, NULL, 15),
(116801, NULL, 'PTHR30590', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(116802, NULL, 'PTHR31882:SF7', NULL, NULL, NULL, NULL, 'TNFAIP3-INTERACTING PROTEIN 1 ISOFORM X2', NULL, NULL, NULL, 15),
(116803, NULL, 'PTHR32099:SF68', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 57-RELATED', NULL, NULL, NULL, 15),
(116804, NULL, 'PTHR20516:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 235', NULL, NULL, NULL, 15),
(116805, NULL, 'PTHR37312', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND ACYLTRANSFERASE YKRP-RELATED', NULL, NULL, NULL, 15),
(116806, NULL, 'PTHR37183', NULL, NULL, NULL, NULL, 'PLANT THIONIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116807, NULL, 'PTHR24349:SF284', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PEPKR2', NULL, NULL, NULL, 15),
(116808, NULL, 'PTHR33429:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116809, NULL, 'PTHR48104:SF2', NULL, NULL, NULL, NULL, 'ICE-LIKE PROTEASE (CASPASE) P20 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(116810, NULL, 'PTHR10426:SF119', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 10-LIKE', NULL, NULL, NULL, 15),
(116811, NULL, 'PTHR38731', NULL, NULL, NULL, NULL, 'LIPL45-RELATED LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(116812, NULL, 'PTHR32227:SF344', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(116813, NULL, 'PTHR13069:SF28', NULL, NULL, NULL, NULL, 'ALKYLATED DNA REPAIR PROTEIN ALKB HOMOLOG 8', NULL, NULL, NULL, 15),
(116814, NULL, 'PTHR10177:SF406', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116815, NULL, 'PTHR44259:SF17', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', NULL, NULL, NULL, 15),
(116816, NULL, 'PTHR33878:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116817, NULL, 'PTHR14453', NULL, NULL, NULL, NULL, 'PARP/ZINC FINGER CCCH TYPE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(116818, NULL, 'PTHR27006:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116819, NULL, 'PTHR45614:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB54', NULL, NULL, NULL, 15),
(116820, NULL, 'PTHR31865:SF0', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(116821, NULL, 'PTHR24377:SF675', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116822, NULL, 'PTHR45908:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG10829', NULL, NULL, NULL, 15),
(116823, NULL, 'PTHR28613:SF2', NULL, NULL, NULL, NULL, 'HCG1800530, ISOFORM CRA_B-RELATED', NULL, NULL, NULL, 15),
(116824, NULL, 'PTHR48020:SF12', NULL, NULL, NULL, NULL, 'PROTON MYO-INOSITOL COTRANSPORTER', NULL, NULL, NULL, 15),
(116825, NULL, 'PTHR12277:SF176', NULL, NULL, NULL, NULL, 'FI04476P', NULL, NULL, NULL, 15),
(116826, NULL, 'PTHR33108:SF67', NULL, NULL, NULL, NULL, 'BNAC02G46320D PROTEIN', NULL, NULL, NULL, 15),
(116827, NULL, 'PTHR31985:SF171', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF017', NULL, NULL, NULL, 15),
(116828, NULL, 'PTHR12400:SF51', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE MULTIKINASE', NULL, NULL, NULL, 15),
(116829, NULL, 'PTHR10535:SF2', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE V SUBUNIT 5A', NULL, NULL, NULL, 15),
(116830, NULL, 'PTHR35307:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116831, NULL, 'PTHR12956:SF27', NULL, NULL, NULL, NULL, 'BNAA02G26630D PROTEIN', NULL, NULL, NULL, 15),
(116832, NULL, 'PTHR11655:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116833, NULL, 'PTHR20857', NULL, NULL, NULL, NULL, 'THIAMINE-PHOSPHATE PYROPHOSPHORYLASE', NULL, NULL, NULL, 15),
(116834, NULL, 'PTHR45649:SF16', NULL, NULL, NULL, NULL, '7-KETO 8-AMINOPELARGONIC ACID TRANSPORTER', NULL, NULL, NULL, 15),
(116835, NULL, 'PTHR23021:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(116836, NULL, 'PTHR24078:SF547', NULL, NULL, NULL, NULL, 'BNAA08G25480D PROTEIN', NULL, NULL, NULL, 15),
(116837, NULL, 'PTHR31301:SF104', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116838, NULL, 'PTHR33510', NULL, NULL, NULL, NULL, 'PROTEIN TIC 20-II, CHLOROPLASTIC', NULL, NULL, 3820, 15),
(116839, NULL, 'PTHR13501:SF10', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L22, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(116840, NULL, 'PTHR22948:SF56', NULL, NULL, NULL, NULL, 'FI20010P1-RELATED', NULL, NULL, NULL, 15),
(116841, NULL, 'PTHR33893:SF5', NULL, NULL, NULL, NULL, 'INSULIN-LIKE PEPTIDE BETA-TYPE 3-RELATED', NULL, NULL, NULL, 15),
(116842, NULL, 'PTHR24072:SF148', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOU', NULL, NULL, NULL, 15),
(116843, NULL, 'PTHR33320:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116844, NULL, 'PTHR24298:SF846', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(116845, NULL, 'PTHR31561:SF6', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 21-RELATED', NULL, NULL, NULL, 15),
(116846, NULL, 'PTHR11782:SF48', NULL, NULL, NULL, NULL, 'APYRASE 2-RELATED', NULL, NULL, NULL, 15),
(116847, NULL, 'PTHR12860', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 68 KDA PROTEIN', NULL, NULL, 28332, 15),
(116848, NULL, 'PTHR35391:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116849, NULL, 'PTHR47972:SF38', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14M', NULL, NULL, NULL, 15),
(116850, NULL, 'PTHR38370', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSIDASE', NULL, NULL, NULL, 15),
(116851, NULL, 'PTHR13833:SF81', NULL, NULL, NULL, NULL, 'NHL REPEAT PROTEIN', NULL, NULL, NULL, 15),
(116852, NULL, 'PTHR48010:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116853, NULL, 'PTHR10961:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG05074', NULL, NULL, NULL, 15),
(116854, NULL, 'PTHR16435', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 6 SPATA6', NULL, NULL, 38986, 15),
(116855, NULL, 'PTHR21367:SF1', NULL, NULL, NULL, NULL, 'ARGINYL-TRNA--PROTEIN TRANSFERASE 1', NULL, NULL, NULL, 15),
(116856, NULL, 'PTHR13030:SF14', NULL, NULL, NULL, NULL, 'BCDNA.LD24702', NULL, NULL, NULL, 15),
(116857, NULL, 'PTHR47993:SF84', NULL, NULL, NULL, NULL, 'BNAA02G11930D PROTEIN', NULL, NULL, NULL, 15),
(116858, NULL, 'PTHR11545:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13A-1-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116859, NULL, 'PTHR11439:SF314', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE, RNA-DEPENDENT DNA POLYMERASE', NULL, NULL, NULL, 15),
(116860, NULL, 'PTHR34000:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG08811', NULL, NULL, NULL, 15),
(116861, NULL, 'PTHR24182:SF13', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 4', NULL, NULL, NULL, 15),
(116862, NULL, 'PTHR10869:SF177', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 3-RELATED', NULL, NULL, NULL, 15),
(116863, NULL, 'PTHR11206:SF351', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(116864, NULL, 'PTHR45286:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(116865, NULL, 'PTHR10606:SF70', NULL, NULL, NULL, NULL, 'PROTEIN CBG10830', NULL, NULL, NULL, 15),
(116866, NULL, 'PTHR14155:SF514', NULL, NULL, NULL, NULL, 'CHROMATIN REGULATOR PHD FAMILY-RELATED', NULL, NULL, NULL, 15),
(116867, NULL, 'PTHR47991:SF34', NULL, NULL, NULL, NULL, 'OXYGENASE FAMILY OXIDOREDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(116868, NULL, 'PTHR45624:SF24', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN G', NULL, NULL, NULL, 15),
(116869, NULL, 'PTHR31739:SF34', NULL, NULL, NULL, NULL, 'SYNTHASE B, CHLOROPLAST, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(116870, NULL, 'PTHR11306:SF0', NULL, NULL, NULL, NULL, 'OS07G0159800 PROTEIN', NULL, NULL, NULL, 15),
(116871, NULL, 'PTHR12703:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 33', NULL, NULL, NULL, 15),
(116872, NULL, 'PTHR19422:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116873, NULL, 'PTHR10694:SF3', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 5B', NULL, NULL, NULL, 15),
(116874, NULL, 'PTHR15893:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L27, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(116875, NULL, 'PTHR33431:SF2', NULL, NULL, NULL, NULL, 'DUF1635 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116876, NULL, 'PTHR31744:SF105', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 59', NULL, NULL, NULL, 15),
(116877, NULL, 'PTHR21662:SF6', NULL, NULL, NULL, NULL, 'HIGH PERFORMANCE IN ADVANCED AGE-RELATED', NULL, NULL, NULL, 15),
(116878, NULL, 'PTHR10791:SF171', NULL, NULL, NULL, NULL, 'BNAA10G06560D PROTEIN', NULL, NULL, NULL, 15),
(116879, NULL, 'PTHR33044:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116880, NULL, 'PTHR23073:SF31', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 10B', NULL, NULL, NULL, 15),
(116881, NULL, 'PTHR23504:SF81', NULL, NULL, NULL, NULL, 'PROTEIN ZINC INDUCED FACILITATOR-LIKE 1', NULL, NULL, NULL, 15),
(116882, NULL, 'PTHR24381:SF131', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 422, RELATED SEQUENCE 1-RELATED', NULL, NULL, NULL, 15),
(116883, NULL, 'PTHR43791:SF73', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(116884, NULL, 'PTHR31549:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116885, NULL, 'PTHR11177:SF359', NULL, NULL, NULL, NULL, 'CHITINASE 10-RELATED', NULL, NULL, NULL, 15),
(116886, NULL, 'PTHR47640:SF41', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP47-LIKE', NULL, NULL, NULL, 15),
(116887, NULL, 'PTHR24409:SF361', NULL, NULL, NULL, NULL, 'VEZF1 PROTEIN', NULL, NULL, NULL, 15),
(116888, NULL, 'PTHR45718:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116889, NULL, 'PTHR33700:SF16', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(116890, NULL, 'PTHR22595:SF152', NULL, NULL, NULL, NULL, 'CHITINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116891, NULL, 'PTHR22897:SF6', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE 1', NULL, NULL, NULL, 15),
(116892, NULL, 'PTHR23030', NULL, NULL, NULL, NULL, 'PCD6 INTERACTING PROTEIN-RELATED', NULL, NULL, 37106, 15),
(116893, NULL, 'PTHR22800:SF245', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116894, NULL, 'PTHR34923:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 20', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116895, NULL, 'PTHR47976:SF40', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116896, NULL, 'PTHR34946:SF2', NULL, NULL, NULL, NULL, 'OS03G0310200 PROTEIN', NULL, NULL, NULL, 15),
(116897, NULL, 'PTHR14647:SF56', NULL, NULL, NULL, NULL, 'GALACTOSYLCERAMIDE SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(116898, NULL, 'PTHR48104:SF29', NULL, NULL, NULL, NULL, 'METACASPASE-3', NULL, NULL, NULL, 15),
(116899, NULL, 'PTHR21468:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 83', NULL, NULL, NULL, 15),
(116900, NULL, 'PTHR35894:SF6', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE / URIDINE KINASE FAMILY-RELATED', NULL, NULL, NULL, 15),
(116901, NULL, 'PTHR27006:SF160', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116902, NULL, 'PTHR24093:SF476', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(116903, NULL, 'PTHR23089:SF18', NULL, NULL, NULL, NULL, 'HISTIDINE TRIAD NUCLEOTIDE-BINDING PROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(116904, NULL, 'PTHR45631:SF84', NULL, NULL, NULL, NULL, 'MALECTIN-LIKE CARBOHYDRATE-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116905, NULL, 'PTHR48010:SF16', NULL, NULL, NULL, NULL, 'OS03G0332900 PROTEIN', NULL, NULL, NULL, 15),
(116906, NULL, 'PTHR31718:SF30', NULL, NULL, NULL, NULL, 'EMBRYO-SPECIFIC PROTEIN', NULL, NULL, NULL, 15),
(116907, NULL, 'PTHR45710:SF18', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 2 MEMBER E', NULL, NULL, NULL, 15),
(116908, NULL, 'PTHR47078', NULL, NULL, NULL, NULL, 'CYTOSKELETON-ASSOCIATED PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(116909, NULL, 'PTHR31717:SF55', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116910, NULL, 'PTHR46733:SF8', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116911, NULL, 'PTHR31325:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116912, NULL, 'PTHR32382:SF7', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 8, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(116913, NULL, 'PTHR31929:SF71', NULL, NULL, NULL, NULL, 'BNAC03G65770D PROTEIN', NULL, NULL, NULL, 15),
(116914, NULL, 'PTHR10168:SF255', NULL, NULL, NULL, NULL, 'THIOREDOXIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116915, NULL, 'PTHR11733:SF195', NULL, NULL, NULL, NULL, 'ENDOTHELIN-CONVERTING ENZYME-LIKE 1', NULL, NULL, 23030, 15),
(116916, NULL, 'PTHR12992:SF28', NULL, NULL, NULL, NULL, 'NUDIX DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G08220)', NULL, NULL, NULL, 15),
(116917, NULL, 'PTHR12670:SF14', NULL, NULL, NULL, NULL, 'NEUTRAL CERAMIDASE', NULL, NULL, NULL, 15),
(116918, NULL, 'PTHR31547:SF1', NULL, NULL, NULL, NULL, 'MULTIVESICULAR BODY SUBUNIT 12B', NULL, NULL, NULL, 15),
(116919, NULL, 'PTHR23273:SF67', NULL, NULL, NULL, NULL, 'OS05G0233300 PROTEIN', NULL, NULL, NULL, 15),
(116920, NULL, 'PTHR48014:SF18', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(116921, NULL, 'PTHR43057:SF1', NULL, NULL, NULL, NULL, 'ARSENICAL-RESISTANCE PROTEIN 3', NULL, NULL, NULL, 15),
(116922, NULL, 'PTHR15510:SF5', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 8', NULL, NULL, NULL, 15),
(116923, NULL, 'PTHR35739:SF2', NULL, NULL, NULL, NULL, 'HEMERYTHRIN HHE CATION-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(116924, NULL, 'PTHR46288:SF16', NULL, NULL, NULL, NULL, 'BNAC03G23620D PROTEIN', NULL, NULL, NULL, 15),
(116925, NULL, 'PTHR33101:SF66', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116926, NULL, 'PTHR31391:SF106', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC B3-DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(116927, NULL, 'PTHR14037:SF4', NULL, NULL, NULL, NULL, 'MAMMAGLOBIN-A', NULL, NULL, NULL, 15),
(116928, NULL, 'PTHR11533:SF269', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(116929, NULL, 'PTHR35102:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116930, NULL, 'PTHR30465:SF0', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN AMIC', NULL, NULL, NULL, 15),
(116931, NULL, 'PTHR35494', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT S, CHLOROPLASTIC', NULL, NULL, 19184, 15),
(116932, NULL, 'PTHR24414:SF90', NULL, NULL, NULL, NULL, 'BNAA03G49540D PROTEIN', NULL, NULL, NULL, 15),
(116933, NULL, 'PTHR23362', NULL, NULL, NULL, NULL, 'L-PLASTIN-RELATED', NULL, NULL, NULL, 15),
(116934, NULL, 'PTHR31793:SF30', NULL, NULL, NULL, NULL, 'BLR1345 PROTEIN', NULL, NULL, NULL, 15),
(116935, NULL, 'PTHR31025', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116936, NULL, 'PTHR23115:SF242', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(116937, NULL, 'PTHR10666:SF335', NULL, NULL, NULL, NULL, 'UBIQUITIN-NEDD8-LIKE PROTEIN RUB1', NULL, NULL, NULL, 15),
(116938, NULL, 'PTHR31673:SF50', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(116939, NULL, 'PTHR10366:SF660', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL-4-REDUCTASE', NULL, NULL, NULL, 15),
(116940, NULL, 'PTHR31769:SF59', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1218)-RELATED', NULL, NULL, NULL, 15),
(116941, NULL, 'PTHR23073:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116942, NULL, 'PTHR22950:SF545', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER ANT1', NULL, NULL, NULL, 15),
(116943, NULL, 'PTHR33180:SF18', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN', NULL, NULL, NULL, 15),
(116944, NULL, 'PTHR12019:SF23', NULL, NULL, NULL, NULL, 'LAMINA-ASSOCIATED POLYPEPTIDE 2, ISOFORM BETA', NULL, NULL, NULL, 15),
(116945, NULL, 'PTHR46950:SF5', NULL, NULL, NULL, NULL, 'OS01G0601000 PROTEIN', NULL, NULL, NULL, 15),
(116946, NULL, 'PTHR31541:SF34', NULL, NULL, NULL, NULL, 'BNAUNNG03550D PROTEIN', NULL, NULL, NULL, 15),
(116947, NULL, 'PTHR48247:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116948, NULL, 'PTHR26453:SF27', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2A14', NULL, NULL, NULL, 15),
(116949, NULL, 'PTHR31319:SF73', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(116950, NULL, 'PTHR48092:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP I MEMBER 2', NULL, NULL, NULL, 15),
(116951, NULL, 'PTHR30451:SF8', NULL, NULL, NULL, NULL, 'FIMBRIAL USHER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(116952, NULL, 'PTHR16246:SF2', NULL, NULL, NULL, NULL, 'HOST CELL FACTOR C1 REGULATOR 1', NULL, NULL, NULL, 15),
(116953, NULL, 'PTHR32141:SF41', NULL, NULL, NULL, NULL, 'OS04G0208500 PROTEIN', NULL, NULL, NULL, 15),
(116954, NULL, 'PTHR46399:SF3', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 2', NULL, NULL, NULL, 15),
(116955, NULL, 'PTHR23272:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116956, NULL, 'PTHR32141:SF26', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(116957, NULL, 'PTHR31301:SF107', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 25-LIKE', NULL, NULL, NULL, 15),
(116958, NULL, 'PTHR38643:SF1', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PERMEASE C285.05-RELATED', NULL, NULL, NULL, 15),
(116959, NULL, 'PTHR24028:SF225', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-7', NULL, NULL, NULL, 15),
(116960, NULL, 'PTHR21139:SF20', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(116961, NULL, 'PTHR23504:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116962, NULL, 'PTHR26374:SF379', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT12', NULL, NULL, NULL, 15),
(116963, NULL, 'PTHR24412:SF444', NULL, NULL, NULL, NULL, 'SI:DKEY-260J18.2', NULL, NULL, NULL, 15),
(116964, NULL, 'PTHR47983:SF15', NULL, NULL, NULL, NULL, 'PTI1-LIKE TYROSINE-PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(116965, NULL, 'PTHR10411', NULL, NULL, NULL, NULL, 'GROWTH ARREST AND DNA DAMAGE-INDUCIBLE PROTEIN GADD45', NULL, NULL, 14630, 15),
(116966, NULL, 'PTHR11945:SF624', NULL, NULL, NULL, NULL, 'OS08G0494100 PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(116967, NULL, 'PTHR10887:SF443', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(116968, NULL, 'PTHR14155:SF572', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(116969, NULL, 'PTHR24381:SF247', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 120-RELATED', NULL, NULL, NULL, 15),
(116970, NULL, 'PTHR30586:SF0', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT E', NULL, NULL, 2403, 15),
(116971, NULL, 'PTHR33270:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116972, NULL, 'PTHR48010:SF9', NULL, NULL, NULL, NULL, 'OS07G0574100 PROTEIN', NULL, NULL, NULL, 15),
(116973, NULL, 'PTHR10459:SF111', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(116974, NULL, 'PTHR15441:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P14', NULL, NULL, NULL, 15),
(116975, NULL, 'PTHR47222:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 592', NULL, NULL, NULL, 15),
(116976, NULL, 'PTHR10807:SF42', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(116977, NULL, 'PTHR37001:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG01534', NULL, NULL, NULL, 15),
(116978, NULL, 'PTHR45868:SF10', NULL, NULL, NULL, NULL, 'OS07G0671400 PROTEIN', NULL, NULL, NULL, 15),
(116979, NULL, 'PTHR33644:SF3', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(116980, NULL, 'PTHR34939', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT III, CHLOROPLASTIC', NULL, NULL, 1182, 15),
(116981, NULL, 'PTHR46332:SF1', NULL, NULL, NULL, NULL, 'ASPARTATE BETA-HYDROXYLASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(116982, NULL, 'PTHR48041:SF68', NULL, NULL, NULL, NULL, 'WHITE (DROSOPHILA) RELATED ABC TRANSPORTER', NULL, NULL, NULL, 15),
(116983, NULL, 'PTHR31573:SF1', NULL, NULL, NULL, NULL, 'DNA OXIDATIVE DEMETHYLASE ALKBH2', NULL, NULL, NULL, 15),
(116984, NULL, 'PTHR31989:SF159', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 41', NULL, NULL, NULL, 15),
(116985, NULL, 'PTHR11557:SF8', NULL, NULL, NULL, NULL, 'BNAC02G01240D PROTEIN', NULL, NULL, NULL, 15),
(116986, NULL, 'PTHR36484', NULL, NULL, NULL, NULL, 'OS01G0558700 PROTEIN', NULL, NULL, NULL, 15),
(116987, NULL, 'PTHR47999:SF47', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4', NULL, NULL, NULL, 15),
(116988, NULL, 'PTHR43465:SF1', NULL, NULL, NULL, NULL, 'SIX-HAIRPIN GLYCOSIDASE', NULL, NULL, NULL, 15),
(116989, NULL, 'PTHR11101:SF83', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORTER 2', NULL, NULL, NULL, 15),
(116990, NULL, 'PTHR33794:SF3', NULL, NULL, NULL, NULL, 'NEUTRAL PROTEASE B', NULL, NULL, NULL, 15),
(116991, NULL, 'PTHR34053:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ULTRAPETALA 2-LIKE', NULL, NULL, NULL, 15),
(116992, NULL, 'PTHR48123:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(116993, NULL, 'PTHR18929:SF40', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', NULL, NULL, NULL, 15),
(116994, NULL, 'PTHR19970:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39-LIKE', NULL, NULL, NULL, 15),
(116995, NULL, 'PTHR46991:SF15', NULL, NULL, NULL, NULL, 'BNAA02G24830D PROTEIN', NULL, NULL, NULL, 15),
(116996, NULL, 'PTHR31867:SF148', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(116997, NULL, 'PTHR10957:SF2', NULL, NULL, NULL, NULL, 'RAP1 GTPASE-GDP DISSOCIATION STIMULATOR 1', NULL, NULL, NULL, 15),
(116998, NULL, 'PTHR43620:SF11', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL4', NULL, NULL, NULL, 15),
(116999, NULL, 'PTHR31791:SF2', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN 4A-RELATED', NULL, NULL, NULL, 15),
(117000, NULL, 'PTHR36308:SF1', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(117001, NULL, 'PTHR10766:SF119', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 5', NULL, NULL, NULL, 15),
(117002, NULL, 'PTHR10231:SF50', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSPORTER SENJU', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117003, NULL, 'PTHR21593:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CBG02982', NULL, NULL, NULL, 15),
(117004, NULL, 'PTHR32241:SF26', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(117005, NULL, 'PTHR42814:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117006, NULL, 'PTHR21319:SF34', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MIEL1', NULL, NULL, NULL, 15),
(117007, NULL, 'PTHR15895', NULL, NULL, NULL, NULL, 'IMMEDIATE EARLY RESPONSE GENE', NULL, NULL, 13142, 15),
(117008, NULL, 'PTHR13593:SF105', NULL, NULL, NULL, NULL, 'OS04G0430200 PROTEIN', NULL, NULL, NULL, 15),
(117009, NULL, 'PTHR35420:SF1', NULL, NULL, NULL, NULL, 'OS02G0198500 PROTEIN', NULL, NULL, NULL, 15),
(117010, NULL, 'PTHR24409:SF387', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CG2199', NULL, NULL, NULL, 15),
(117011, NULL, 'PTHR35546:SF15', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117012, NULL, 'PTHR11066:SF48', NULL, NULL, NULL, NULL, 'PROTEIN CBG22797', NULL, NULL, NULL, 15),
(117013, NULL, 'PTHR34656:SF6', NULL, NULL, NULL, NULL, 'BNAA02G22080D PROTEIN', NULL, NULL, NULL, 15),
(117014, NULL, 'PTHR19143:SF337', NULL, NULL, NULL, NULL, 'FICOLIN-1', NULL, NULL, NULL, 15),
(117015, NULL, 'PTHR31238:SF214', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(117016, NULL, 'PTHR14209:SF32', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE CPRD49-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(117017, NULL, 'PTHR23172:SF67', NULL, NULL, NULL, NULL, 'AUXILIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(117018, NULL, 'PTHR34194:SF18', NULL, NULL, NULL, NULL, 'BNAA02G18490D PROTEIN', NULL, NULL, NULL, 15),
(117019, NULL, 'PTHR13386:SF2', NULL, NULL, NULL, NULL, 'HISTONE PARYLATION FACTOR 1', NULL, NULL, NULL, 15),
(117020, NULL, 'PTHR31686', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117021, NULL, 'PTHR14226:SF76', NULL, NULL, NULL, NULL, 'NTE FAMILY PROTEIN RSSA', NULL, NULL, NULL, 15),
(117022, NULL, 'PTHR22847:SF699', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE COMPLEX SCF SUBUNIT SCONB-RELATED', NULL, NULL, NULL, 15),
(117023, NULL, 'PTHR45638:SF2', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL ALPHA-4', NULL, NULL, NULL, 15),
(117024, NULL, 'PTHR36106:SF2', NULL, NULL, NULL, NULL, 'ANAEROBIC C4-DICARBOXYLATE TRANSPORTER DCUA', NULL, NULL, NULL, 15),
(117025, NULL, 'PTHR23067:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 385C', NULL, NULL, NULL, 15),
(117026, NULL, 'PTHR27005:SF10', NULL, NULL, NULL, NULL, 'OS08G0501500 PROTEIN', NULL, NULL, NULL, 15),
(117027, NULL, 'PTHR30193:SF41', NULL, NULL, NULL, NULL, 'SUGAR-TRANSPORT INTEGRAL MEMBRANE PROTEIN ABC TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(117028, NULL, 'PTHR11199:SF6', NULL, NULL, NULL, NULL, 'COHESIN SUBUNIT SA-1-RELATED', NULL, NULL, NULL, 15),
(117029, NULL, 'PTHR45648:SF128', NULL, NULL, NULL, NULL, 'BNAA08G29170D PROTEIN', NULL, NULL, NULL, 15),
(117030, NULL, 'PTHR45683:SF6', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117031, NULL, 'PTHR19343:SF12', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 12-3', NULL, NULL, NULL, 15),
(117032, NULL, 'PTHR23169:SF21', NULL, NULL, NULL, NULL, 'EPIPLAKIN', NULL, NULL, NULL, 15),
(117033, NULL, 'PTHR24068:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117034, NULL, 'PTHR11716:SF47', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(2)', NULL, NULL, NULL, 15),
(117035, NULL, 'PTHR26452:SF792', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 14A16', NULL, NULL, NULL, 15),
(117036, NULL, 'PTHR31282:SF163', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING PROTEIN 21-RELATED', NULL, NULL, NULL, 15),
(117037, NULL, 'PTHR11199', NULL, NULL, NULL, NULL, 'STROMAL ANTIGEN', NULL, NULL, 29307, 15),
(117038, NULL, 'PTHR32093:SF108', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(117039, NULL, 'PTHR45979:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117040, NULL, 'PTHR19338:SF7', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8 B', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117041, NULL, 'PTHR31589:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117042, NULL, 'PTHR10353:SF247', NULL, NULL, NULL, NULL, 'KLOTHO BETA', NULL, NULL, NULL, 15),
(117043, NULL, 'PTHR31533:SF23', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN LLG1', NULL, NULL, NULL, 15),
(117044, NULL, 'PTHR23267:SF427', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 2-30-RELATED', NULL, NULL, NULL, 15),
(117045, NULL, 'PTHR11802:SF332', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(117046, NULL, 'PTHR31140:SF56', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING PROTEIN OS01G0141000', NULL, NULL, NULL, 15),
(117047, NULL, 'PTHR47511', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP23', NULL, NULL, 37520, 15),
(117048, NULL, 'PTHR46128:SF53', NULL, NULL, NULL, NULL, 'BNAANNG10620D PROTEIN', NULL, NULL, NULL, 15),
(117049, NULL, 'PTHR10857:SF117', NULL, NULL, NULL, NULL, 'PROTEIN BONZAI 2', NULL, NULL, NULL, 15),
(117050, NULL, 'PTHR24286:SF271', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117051, NULL, 'PTHR46431:SF7', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN FAMILY', NULL, NULL, NULL, 15),
(117052, NULL, 'PTHR21020:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 800', NULL, NULL, NULL, 15),
(117053, NULL, 'PTHR47466:SF1', NULL, NULL, NULL, NULL, 'METALLOPROTEASE MEP1 (AFU_ORTHOLOGUE AFUA_1G07730)', NULL, NULL, NULL, 15),
(117054, NULL, 'PTHR47161', NULL, NULL, NULL, NULL, 'LYMPHOID-SPECIFIC HELICASE', NULL, NULL, NULL, 15),
(117055, NULL, 'PTHR11827:SF66', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 6', NULL, NULL, 27366, 15),
(117056, NULL, 'PTHR22953:SF121', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(117057, NULL, 'PTHR12300:SF159', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(117058, NULL, 'PTHR47988:SF25', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 1', NULL, NULL, NULL, 15),
(117059, NULL, 'PTHR47966:SF48', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE', NULL, NULL, NULL, 15),
(117060, NULL, 'PTHR48047:SF112', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(117061, NULL, 'PTHR39169:SF1', NULL, NULL, NULL, NULL, 'MONOOXYGENASE YDHR-RELATED', NULL, NULL, NULL, 15),
(117062, NULL, 'PTHR47094:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117063, NULL, 'PTHR35496:SF11', NULL, NULL, NULL, NULL, 'BNAC01G19330D PROTEIN', NULL, NULL, NULL, 15),
(117064, NULL, 'PTHR32044:SF59', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 10-RELATED', NULL, NULL, NULL, 15),
(117065, NULL, 'PTHR23049:SF36', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 10', NULL, NULL, NULL, 15),
(117066, NULL, 'PTHR43840:SF41', NULL, NULL, NULL, NULL, 'FERROUS-IRON EFFLUX PUMP FIEF', NULL, NULL, NULL, 15),
(117067, NULL, 'PTHR11958:SF19', NULL, NULL, NULL, NULL, 'NEUTRAL AMINO ACID TRANSPORTER B(0)', NULL, NULL, NULL, 15),
(117068, NULL, 'PTHR31638:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117069, NULL, 'PTHR31790:SF396', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(117070, NULL, 'PTHR10438:SF400', NULL, NULL, NULL, NULL, 'THIOREDOXIN H5', NULL, NULL, NULL, 15),
(117071, NULL, 'PTHR31973:SF137', NULL, NULL, NULL, NULL, 'OS02G0192200 PROTEIN', NULL, NULL, NULL, 15),
(117072, NULL, 'PTHR46662:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(117073, NULL, 'PTHR33095:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117074, NULL, 'PTHR43004:SF8', NULL, NULL, NULL, NULL, 'DEPENDENT OXIDOREDUCTASE, PUTATIVE (JCVI)-RELATED', NULL, NULL, NULL, 15),
(117075, NULL, 'PTHR45639:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG02604', NULL, NULL, NULL, 15),
(117076, NULL, 'PTHR28553:SF2', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE W', NULL, NULL, NULL, 15),
(117077, NULL, 'PTHR23130:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117078, NULL, 'PTHR14149:SF17', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(117079, NULL, 'PTHR24230:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117080, NULL, 'PTHR11655:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117081, NULL, 'PTHR31669:SF182', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED ELONGATED HYPOCOTYL 3-LIKE', NULL, NULL, NULL, 15),
(117082, NULL, 'PTHR32382:SF4', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 1', NULL, NULL, NULL, 15),
(117083, NULL, 'PTHR23314:SF0', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 6', NULL, NULL, NULL, 15),
(117084, NULL, 'PTHR46732:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE LA (LON) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(117085, NULL, 'PTHR43874:SF132', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR18', NULL, NULL, NULL, 15),
(117086, NULL, 'PTHR31080:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117087, NULL, 'PTHR31096:SF60', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR12', NULL, NULL, NULL, 15),
(117088, NULL, 'PTHR23138:SF133', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 1 HOMOLOG A', NULL, NULL, NULL, 15),
(117089, NULL, 'PTHR33304:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117090, NULL, 'PTHR19256:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117091, NULL, 'PTHR31549:SF197', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED', NULL, NULL, NULL, 15),
(117092, NULL, 'PTHR43791:SF27', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15730)-RELATED', NULL, NULL, NULL, 15),
(117093, NULL, 'PTHR30600:SF4', NULL, NULL, NULL, NULL, 'THIOL OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(117094, NULL, 'PTHR34815', NULL, NULL, NULL, NULL, 'LYSINE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(117095, NULL, 'PTHR10540:SF6', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT F', NULL, NULL, 26795, 15),
(117096, NULL, 'PTHR42922:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PSTA', NULL, NULL, NULL, 15),
(117097, NULL, 'PTHR34451', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(117098, NULL, 'PTHR45090:SF14', NULL, NULL, NULL, NULL, 'DNAJ-LIKE 20-RELATED', NULL, NULL, NULL, 15),
(117099, NULL, 'PTHR19325:SF341', NULL, NULL, NULL, NULL, 'C4B-BINDING PROTEIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(117100, NULL, 'PTHR36779', NULL, NULL, NULL, NULL, 'OSJNBA0083N12.13 PROTEIN', NULL, NULL, NULL, 15),
(117101, NULL, 'PTHR24343:SF446', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK1', NULL, NULL, NULL, 15),
(117102, NULL, 'PTHR47667:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF TY1 TRANSPOSITION PROTEIN 107', NULL, NULL, NULL, 15),
(117103, NULL, 'PTHR31238:SF86', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 3 MEMBER 3', NULL, NULL, NULL, 15),
(117104, NULL, 'PTHR11306:SF41', NULL, NULL, NULL, NULL, 'BNAA09G12830D PROTEIN', NULL, NULL, NULL, 15),
(117105, NULL, 'PTHR31065:SF72', NULL, NULL, NULL, NULL, 'BNAC08G11100D PROTEIN', NULL, NULL, NULL, 15),
(117106, NULL, 'PTHR34945:SF5', NULL, NULL, NULL, NULL, 'DOWNSTREAM TARGET OF AGL15-4', NULL, NULL, NULL, 15),
(117107, NULL, 'PTHR11911:SF126', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(117108, NULL, 'PTHR22902:SF15', NULL, NULL, NULL, NULL, 'SESQUIPEDALIAN-2', NULL, NULL, NULL, 15),
(117109, NULL, 'PTHR24355:SF28', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE 2', NULL, NULL, NULL, 15),
(117110, NULL, 'PTHR31490:SF65', NULL, NULL, NULL, NULL, 'OS11G0506150 PROTEIN', NULL, NULL, NULL, 15),
(117111, NULL, 'PTHR12263:SF2', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E 2', NULL, NULL, NULL, 15),
(117112, NULL, 'PTHR13968:SF30', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN C-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(117113, NULL, 'PTHR12357:SF15', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING FAMILY PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117114, NULL, 'PTHR46119:SF12', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(117115, NULL, 'PTHR22951:SF79', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN', NULL, NULL, NULL, 15),
(117116, NULL, 'PTHR42904:SF4', NULL, NULL, NULL, NULL, 'NUDIX FAMILY HYDROLASE', NULL, NULL, NULL, 15),
(117117, NULL, 'PTHR42896:SF2', NULL, NULL, NULL, NULL, 'CBBY-LIKE PROTEIN', NULL, NULL, NULL, 15),
(117118, NULL, 'PTHR33155:SF32', NULL, NULL, NULL, NULL, 'CELL SIZE REGULATOR-LIKE 3 PROTEIN', NULL, NULL, NULL, 15),
(117119, NULL, 'PTHR19051:SF6', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 26-1', NULL, NULL, NULL, 15),
(117120, NULL, 'PTHR30603:SF17', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-G FACTOR', NULL, NULL, NULL, 15),
(117121, NULL, 'PTHR11817:SF77', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(117122, NULL, 'PTHR16798', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP C PROTEIN FANCC', NULL, NULL, 6817, 15),
(117123, NULL, 'PTHR26312:SF150', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE TRANSFERASE, OGT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117124, NULL, 'PTHR42688:SF1', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(117125, NULL, 'PTHR13793:SF138', NULL, NULL, NULL, NULL, 'PROTEIN LIN-49', NULL, NULL, NULL, 15),
(117126, NULL, 'PTHR10241', NULL, NULL, NULL, NULL, 'LETHAL 2  GIANT LARVAE PROTEIN', NULL, NULL, NULL, 15),
(117127, NULL, 'PTHR45675:SF17', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(117128, NULL, 'PTHR33057:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117129, NULL, 'PTHR31917:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117130, NULL, 'PTHR11465:SF57', NULL, NULL, NULL, NULL, 'BNAA06G14510D PROTEIN', NULL, NULL, NULL, 15),
(117131, NULL, 'PTHR13091', NULL, NULL, NULL, NULL, 'AMPLIFIED IN BREAST CANCER 2-RELATED', NULL, NULL, 27566, 15),
(117132, NULL, 'PTHR10615:SF184', NULL, NULL, NULL, NULL, 'SUPPORTER OF ACTIVATION OF YELLOW PROTEIN', NULL, NULL, NULL, 15),
(117133, NULL, 'PTHR13693:SF79', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(117134, NULL, 'PTHR20881:SF1', NULL, NULL, NULL, NULL, '3-METHYL-2-OXOBUTANOATE HYDROXYMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(117135, NULL, 'PTHR27007:SF306', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', NULL, NULL, NULL, 15),
(117136, NULL, 'PTHR14042:SF24', NULL, NULL, NULL, NULL, 'PROTEIN DOPEY-1 HOMOLOG', NULL, NULL, NULL, 15),
(117137, NULL, 'PTHR11850:SF326', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 3', NULL, NULL, NULL, 15),
(117138, NULL, 'PTHR10806:SF21', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', NULL, NULL, NULL, 15),
(117139, NULL, 'PTHR24416:SF49', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR RECEPTOR 3', NULL, NULL, NULL, 15),
(117140, NULL, 'PTHR21085', NULL, NULL, NULL, NULL, 'CHORISMATE SYNTHASE', NULL, NULL, 6697, 15),
(117141, NULL, 'PTHR46993:SF8', NULL, NULL, NULL, NULL, 'TRF-LIKE 5', NULL, NULL, NULL, 15),
(117142, NULL, 'PTHR31225:SF63', NULL, NULL, NULL, NULL, 'OS03G0362500 PROTEIN', NULL, NULL, NULL, 15),
(117143, NULL, 'PTHR41774', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117144, NULL, 'PTHR31752:SF63', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', NULL, NULL, NULL, 15),
(117145, NULL, 'PTHR34709:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117146, NULL, 'PTHR14942:SF16', NULL, NULL, NULL, NULL, 'BNAA08G30670D PROTEIN', NULL, NULL, NULL, 15),
(117147, NULL, 'PTHR21319:SF54', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RZFP34', NULL, NULL, NULL, 15),
(117148, NULL, 'PTHR10665', NULL, NULL, NULL, NULL, 'RECOMBINING BINDING PROTEIN SUPPRESSOR OF HAIRLESS', NULL, NULL, 29839, 15),
(117149, NULL, 'PTHR24248:SF139', NULL, NULL, NULL, NULL, 'D(1A) DOPAMINE RECEPTOR', NULL, NULL, NULL, 15),
(117150, NULL, 'PTHR31213:SF6', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYR1', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117151, NULL, 'PTHR33144:SF20', NULL, NULL, NULL, NULL, 'OS03G0714750 PROTEIN', NULL, NULL, NULL, 15),
(117152, NULL, 'PTHR47958:SF6', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 53', NULL, NULL, NULL, 15),
(117153, NULL, 'PTHR34256', NULL, NULL, NULL, NULL, 'UPF0561 PROTEIN C2ORF68', NULL, NULL, 21133, 15),
(117154, NULL, 'PTHR13808:SF29', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE P300', NULL, NULL, NULL, 15),
(117155, NULL, 'PTHR24123:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117156, NULL, 'PTHR33070:SF75', NULL, NULL, NULL, NULL, 'SELECTION/UPKEEP OF INTRAEPITHELIAL T-CELLS PROTEIN', NULL, NULL, NULL, 15),
(117157, NULL, 'PTHR22625:SF63', NULL, NULL, NULL, NULL, 'PKHD1 LIKE 1', NULL, NULL, NULL, 15),
(117158, NULL, 'PTHR45654:SF72', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN MERISTEM L1', NULL, NULL, NULL, 15),
(117159, NULL, 'PTHR33338', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117160, NULL, 'PTHR31839:SF64', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1F', NULL, NULL, NULL, 15),
(117161, NULL, 'PTHR10104', NULL, NULL, NULL, NULL, 'STATHMIN', NULL, NULL, 3005, 15),
(117162, NULL, 'PTHR46000:SF6', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(117163, NULL, 'PTHR39198', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED', NULL, NULL, NULL, 15),
(117164, NULL, 'PTHR47942:SF19', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(117165, NULL, 'PTHR46683', NULL, NULL, NULL, NULL, 'OROTATE PHOSPHORIBOSYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(117166, NULL, 'PTHR24281:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117167, NULL, 'PTHR48216:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117168, NULL, 'PTHR37390:SF3', NULL, NULL, NULL, NULL, 'BNAANNG02820D PROTEIN', NULL, NULL, NULL, 15),
(117169, NULL, 'PTHR24240:SF130', NULL, NULL, NULL, NULL, 'OPSIN RH3-RELATED', NULL, NULL, NULL, 15),
(117170, NULL, 'PTHR48002:SF88', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(117171, NULL, 'PTHR48002:SF32', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(117172, NULL, 'PTHR21290:SF49', NULL, NULL, NULL, NULL, 'OS05G0452900 PROTEIN', NULL, NULL, NULL, 15),
(117173, NULL, 'PTHR33077:SF42', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 4A-RELATED', NULL, NULL, NULL, 15),
(117174, NULL, 'PTHR46906', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-8', NULL, NULL, 36529, 15),
(117175, NULL, 'PTHR11963:SF16', NULL, NULL, NULL, NULL, 'AT09752P-RELATED', NULL, NULL, NULL, 15),
(117176, NULL, 'PTHR47336:SF4', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(117177, NULL, 'PTHR33044:SF180', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(117178, NULL, 'PTHR30146:SF124', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR DEGA', NULL, NULL, NULL, 15),
(117179, NULL, 'PTHR22767:SF8', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 15, NATA AUXILIARY SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(117180, NULL, 'PTHR24559:SF386', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117181, NULL, 'PTHR23155:SF1022', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(117182, NULL, 'PTHR23236:SF52', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING, ALPHA-BETA PLAIT', NULL, NULL, NULL, 15),
(117183, NULL, 'PTHR22870:SF388', NULL, NULL, NULL, NULL, 'RCC1 REPEAT-CONTAINING PROTEIN DDB_G0284033', NULL, NULL, NULL, 15),
(117184, NULL, 'PTHR13832:SF737', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 23-RELATED', NULL, NULL, NULL, 15),
(117185, NULL, 'PTHR33057:SF120', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP16', NULL, NULL, NULL, 15),
(117186, NULL, 'PTHR12930:SF10', NULL, NULL, NULL, NULL, 'BNAA01G33980D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117187, NULL, 'PTHR21577:SF3', NULL, NULL, NULL, NULL, 'SHUGOSHIN 1', NULL, NULL, 23502, 15),
(117188, NULL, 'PTHR10791:SF150', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(117189, NULL, 'PTHR12374:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117190, NULL, 'PTHR43084:SF7', NULL, NULL, NULL, NULL, 'VNG6066C', NULL, NULL, NULL, 15),
(117191, NULL, 'PTHR30477:SF20', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY ZINC UPTAKE SYSTEM MEMBRANE PROTEIN ZNUB', NULL, NULL, NULL, 15),
(117192, NULL, 'PTHR42755', NULL, NULL, NULL, NULL, '3-DEOXY-MANNO-OCTULOSONATE CYTIDYLYLTRANSFERASE', NULL, NULL, 29501, 15),
(117193, NULL, 'PTHR12313:SF68', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF185-LIKE', NULL, NULL, NULL, 15),
(117194, NULL, 'PTHR11937:SF478', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117195, NULL, 'PTHR42825:SF30', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(117196, NULL, 'PTHR44742:SF2', NULL, NULL, NULL, NULL, '24-METHYLENESTEROL C-METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(117197, NULL, 'PTHR47962', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE LHR-RELATED-RELATED', NULL, NULL, NULL, 15),
(117198, NULL, 'PTHR47611:SF1', NULL, NULL, NULL, NULL, 'HAT DIMERISATION DOMAIN, C-TERMINAL', NULL, NULL, NULL, 15),
(117199, NULL, 'PTHR34133:SF8', NULL, NULL, NULL, NULL, 'OS07G0633000 PROTEIN', NULL, NULL, NULL, 15),
(117200, NULL, 'PTHR24286:SF249', NULL, NULL, NULL, NULL, 'ABSCISIC ACID 8''-HYDROXYLASE CYP707A2', NULL, NULL, NULL, 15),
(117201, NULL, 'PTHR48010:SF40', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(117202, NULL, 'PTHR22941:SF72', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(117203, NULL, 'PTHR31936:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG21633', NULL, NULL, NULL, 15),
(117204, NULL, 'PTHR23172:SF78', NULL, NULL, NULL, NULL, 'BNAA06G15380D PROTEIN', NULL, NULL, NULL, 15),
(117205, NULL, 'PTHR23302:SF42', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(117206, NULL, 'PTHR31399', NULL, NULL, NULL, NULL, 'DNA-DIRECTED PRIMASE / POLYMERASE PROTEIN', NULL, NULL, 39047, 15),
(117207, NULL, 'PTHR45928:SF1', NULL, NULL, NULL, NULL, 'RE38146P', NULL, NULL, NULL, 15),
(117208, NULL, 'PTHR18860:SF111', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN GAMMA-2-LIKE', NULL, NULL, NULL, 15),
(117209, NULL, 'PTHR21595:SF0', NULL, NULL, NULL, NULL, 'PATRONIN', NULL, NULL, NULL, 15),
(117210, NULL, 'PTHR10956:SF37', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L31', NULL, NULL, NULL, 15),
(117211, NULL, 'PTHR24327:SF41', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC HOMEOBOX PROTEIN-RELATED', NULL, NULL, NULL, 15),
(117212, NULL, 'PTHR30519', NULL, NULL, NULL, NULL, '5-METHYLTETRAHYDROPTEROYLTRIGLUTAMATE--HOMOCYSTEINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(117213, NULL, 'PTHR16222', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLGLYCOHYDROLASE', NULL, NULL, NULL, 15),
(117214, NULL, 'PTHR48055:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN ACR4', NULL, NULL, NULL, 15),
(117215, NULL, 'PTHR46128:SF275', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117216, NULL, 'PTHR33399', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 3-1, CHLOROPLASTIC', NULL, NULL, 14408, 15),
(117217, NULL, 'PTHR48004:SF18', NULL, NULL, NULL, NULL, 'OS11G0691800 PROTEIN', NULL, NULL, NULL, 15),
(117218, NULL, 'PTHR11432:SF20', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE 1A', NULL, NULL, NULL, 15),
(117219, NULL, 'PTHR24228:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117220, NULL, 'PTHR21112:SF10', NULL, NULL, NULL, NULL, 'CHEMOSENSORY PROTEIN A 87A', NULL, NULL, NULL, 15),
(117221, NULL, 'PTHR35151', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117222, NULL, 'PTHR10824', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117223, NULL, 'PTHR10811:SF56', NULL, NULL, NULL, NULL, 'RADICAL FRINGE PROTEIN, PUTATIVE (DUF604)-RELATED', NULL, NULL, NULL, 15),
(117224, NULL, 'PTHR42954', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORT PROTEIN A', NULL, NULL, NULL, 15),
(117225, NULL, 'PTHR42673:SF17', NULL, NULL, NULL, NULL, 'BNAC09G20710D PROTEIN', NULL, NULL, NULL, 15),
(117226, NULL, 'PTHR23140:SF10', NULL, NULL, NULL, NULL, 'U2 SNRNP-ASSOCIATED SURP DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(117227, NULL, 'PTHR12110:SF27', NULL, NULL, NULL, NULL, 'BLR2842 PROTEIN', NULL, NULL, NULL, 15),
(117228, NULL, 'PTHR14773:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117229, NULL, 'PTHR26452:SF805', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(117230, NULL, 'PTHR19370:SF183', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', NULL, NULL, NULL, 15),
(117231, NULL, 'PTHR12673:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117232, NULL, 'PTHR33083', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(117233, NULL, 'PTHR15288:SF0', NULL, NULL, NULL, NULL, 'DENN (AEX-3) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(117234, NULL, 'PTHR45717:SF4', NULL, NULL, NULL, NULL, 'BNAC02G00860D PROTEIN', NULL, NULL, NULL, 15),
(117235, NULL, 'PTHR43184:SF4', NULL, NULL, NULL, NULL, 'OS08G0156600 PROTEIN', NULL, NULL, NULL, 15),
(117236, NULL, 'PTHR45855:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PHYTOCHROME INTERACTING FACTOR-LIKE 13', NULL, NULL, NULL, 15),
(117237, NULL, 'PTHR43741:SF2', NULL, NULL, NULL, NULL, 'FMN-DEPENDENT NADH-AZOREDUCTASE', NULL, NULL, NULL, 15),
(117238, NULL, 'PTHR33713:SF6', NULL, NULL, NULL, NULL, 'ANTITOXIN YEFM', NULL, NULL, NULL, 15),
(117239, NULL, 'PTHR31351:SF22', NULL, NULL, NULL, NULL, 'BNAA01G17150D PROTEIN', NULL, NULL, NULL, 15),
(117240, NULL, 'PTHR12411:SF611', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RD19A', NULL, NULL, NULL, 15),
(117241, NULL, 'PTHR21700:SF29', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(117242, NULL, 'PTHR47044', NULL, NULL, NULL, NULL, 'OS02G0276400 PROTEIN', NULL, NULL, NULL, 15),
(117243, NULL, 'PTHR23315:SF301', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(117244, NULL, 'PTHR21659:SF41', NULL, NULL, NULL, NULL, 'PROTEIN LTI6B, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(117245, NULL, 'PTHR11475:SF115', NULL, NULL, NULL, NULL, 'CHORION PEROXIDASE', NULL, NULL, 26830, 15),
(117246, NULL, 'PTHR31852:SF150', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(117247, NULL, 'PTHR24028:SF288', NULL, NULL, NULL, NULL, 'SI:CH73-233F7.3-RELATED', NULL, NULL, NULL, 15),
(117248, NULL, 'PTHR12940:SF1', NULL, NULL, NULL, NULL, 'BNAA05G29860D PROTEIN', NULL, NULL, NULL, 15),
(117249, NULL, 'PTHR23079:SF37', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(117250, NULL, 'PTHR40711:SF2', NULL, NULL, NULL, NULL, 'EXTRACELLULAR GLYCOPROTEIN LACRITIN', NULL, NULL, 32739, 15),
(117251, NULL, 'PTHR21646:SF45', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 4', NULL, NULL, NULL, 15),
(117252, NULL, 'PTHR43780:SF7', NULL, NULL, NULL, NULL, 'D-CYSTEINE DESULFHYDRASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(117253, NULL, 'PTHR11240:SF67', NULL, NULL, NULL, NULL, 'BNAA02G26660D PROTEIN', NULL, NULL, NULL, 15),
(117254, NULL, 'PTHR39608:SF2', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(117255, NULL, 'PTHR45629:SF9', NULL, NULL, NULL, NULL, 'THYMINE DIOXYGENASE JBP1', NULL, NULL, NULL, 15),
(117256, NULL, 'PTHR12526:SF587', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07860)-RELATED', NULL, NULL, NULL, 15),
(117257, NULL, 'PTHR31529:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117258, NULL, 'PTHR45926:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE4-LIKE', NULL, NULL, NULL, 15),
(117259, NULL, 'PTHR31989:SF220', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117260, NULL, 'PTHR43866:SF3', NULL, NULL, NULL, NULL, 'METHYLMALONATE-SEMIALDEHYDE DEHYDROGENASE [ACYLATING], MITOCHONDRIAL', NULL, NULL, NULL, 15),
(117261, NULL, 'PTHR48002:SF140', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 140', NULL, NULL, NULL, 15),
(117262, NULL, 'PTHR31189:SF67', NULL, NULL, NULL, NULL, 'GLUTELIN TYPE-B 5-LIKE', NULL, NULL, NULL, 15),
(117263, NULL, 'PTHR45694:SF4', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C3', NULL, NULL, NULL, 15),
(117264, NULL, 'PTHR16155:SF17', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(117265, NULL, 'PTHR27006:SF325', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10 ISOFORM X1', NULL, NULL, NULL, 15),
(117266, NULL, 'PTHR48125:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117267, NULL, 'PTHR22883:SF264', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 8', NULL, NULL, NULL, 15),
(117268, NULL, 'PTHR12411:SF700', NULL, NULL, NULL, NULL, 'BNAA01G26170D PROTEIN', NULL, NULL, NULL, 15),
(117269, NULL, 'PTHR35129:SF3', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 2', NULL, NULL, NULL, 15),
(117270, NULL, 'PTHR47066:SF1', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 9', NULL, NULL, NULL, 15),
(117271, NULL, 'PTHR10037:SF192', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT T-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1H', NULL, NULL, NULL, 15),
(117272, NULL, 'PTHR47293:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117273, NULL, 'PTHR24296:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117274, NULL, 'PTHR45714:SF34', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT9', NULL, NULL, NULL, 15),
(117275, NULL, 'PTHR14402:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117276, NULL, 'PTHR45736:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER MYM-TYPE PROTEIN 2', NULL, NULL, NULL, 15),
(117277, NULL, 'PTHR42886:SF56', NULL, NULL, NULL, NULL, 'PROTEIN CBG12424', NULL, NULL, NULL, 15),
(117278, NULL, 'PTHR10168:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117279, NULL, 'PTHR36586:SF26', NULL, NULL, NULL, NULL, 'EXTENSIN-1', NULL, NULL, NULL, 15),
(117280, NULL, 'PTHR11709:SF221', NULL, NULL, NULL, NULL, 'HEPHAESTIN', NULL, NULL, 21551, 15),
(117281, NULL, 'PTHR31589:SF120', NULL, NULL, NULL, NULL, 'OS11G0284600 PROTEIN', NULL, NULL, NULL, 15),
(117282, NULL, 'PTHR10336:SF101', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C 6', NULL, NULL, NULL, 15),
(117283, NULL, 'PTHR24637:SF324', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(117284, NULL, 'PTHR10900:SF114', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117285, NULL, 'PTHR33204:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(117286, NULL, 'PTHR10906:SF5', NULL, NULL, NULL, NULL, 'SEC SIXTY-ONE PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(117287, NULL, 'PTHR23430:SF317', NULL, NULL, NULL, NULL, 'HISTONE H2A.4-RELATED', NULL, NULL, NULL, 15),
(117288, NULL, 'PTHR43570:SF21', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(117289, NULL, 'PTHR48015:SF20', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAK 1', NULL, NULL, NULL, 15),
(117290, NULL, 'PTHR24126:SF51', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 10', NULL, NULL, NULL, 15),
(117291, NULL, 'PTHR46477:SF14', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117292, NULL, 'PTHR11071:SF454', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(117293, NULL, 'PTHR10497:SF17', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', NULL, NULL, NULL, 15),
(117294, NULL, 'PTHR43157:SF48', NULL, NULL, NULL, NULL, 'ZGC:112332', NULL, NULL, NULL, 15),
(117295, NULL, 'PTHR31218:SF289', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117296, NULL, 'PTHR42825', NULL, NULL, NULL, NULL, 'AMINO ACID AMINOTRANSFERASE', NULL, NULL, 5967, 15),
(117297, NULL, 'PTHR33124:SF49', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR/TRANSCRIPTION REGULATOR', NULL, NULL, NULL, 15),
(117298, NULL, 'PTHR43584:SF3', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN GLMU', NULL, NULL, NULL, 15),
(117299, NULL, 'PTHR19134:SF297', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE H', NULL, NULL, 25685, 15),
(117300, NULL, 'PTHR31479:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117301, NULL, 'PTHR11260:SF590', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U7-LIKE', NULL, NULL, NULL, 15),
(117302, NULL, 'PTHR47925:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117303, NULL, 'PTHR20995:SF17', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(117304, NULL, 'PTHR19372:SF6', NULL, NULL, NULL, NULL, 'SULFITE OXIDASE', NULL, NULL, NULL, 15),
(117305, NULL, 'PTHR45089:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117306, NULL, 'PTHR48002:SF76', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C11', NULL, NULL, NULL, 15),
(117307, NULL, 'PTHR10388:SF56', NULL, NULL, NULL, NULL, 'BNAA10G09260D PROTEIN', NULL, NULL, NULL, 15),
(117308, NULL, 'PTHR45739:SF7', NULL, NULL, NULL, NULL, 'FRAS1-RELATED EXTRACELLULAR MATRIX PROTEIN 1', NULL, NULL, 22261, 15),
(117309, NULL, 'PTHR47212:SF12', NULL, NULL, NULL, NULL, 'BNAC09G11410D PROTEIN', NULL, NULL, NULL, 15),
(117310, NULL, 'PTHR31065:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117311, NULL, 'PTHR19282', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, 9256, 15),
(117312, NULL, 'PTHR10335:SF19', NULL, NULL, NULL, NULL, 'BNAC09G28460D PROTEIN', NULL, NULL, NULL, 15),
(117313, NULL, 'PTHR31232:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117314, NULL, 'PTHR11439:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117315, NULL, 'PTHR33167:SF47', NULL, NULL, NULL, NULL, 'BNAC03G57370D PROTEIN', NULL, NULL, NULL, 15),
(117316, NULL, 'PTHR32208:SF80', NULL, NULL, NULL, NULL, 'BNAA02G17340D PROTEIN', NULL, NULL, NULL, 15),
(117317, NULL, 'PTHR24060:SF147', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 2', NULL, NULL, NULL, 15),
(117318, NULL, 'PTHR11654:SF349', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(117319, NULL, 'PTHR21497:SF49', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(117320, NULL, 'PTHR23501:SF67', NULL, NULL, NULL, NULL, 'MFS MULTIDRUG EFFLUX TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(117321, NULL, 'PTHR11588:SF82', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(117322, NULL, 'PTHR31790:SF340', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(117323, NULL, 'PTHR23189:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117324, NULL, 'PTHR45798:SF20', NULL, NULL, NULL, NULL, 'OS09G0535500 PROTEIN', NULL, NULL, NULL, 15),
(117325, NULL, 'PTHR46895:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG20548', NULL, NULL, NULL, 15),
(117326, NULL, 'PTHR47990:SF121', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 2', NULL, NULL, NULL, 15),
(117327, NULL, 'PTHR15288:SF22', NULL, NULL, NULL, NULL, 'DENN (AEX-3) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(117328, NULL, 'PTHR23231', NULL, NULL, NULL, NULL, 'GERM CELL-LESS PROTEIN', NULL, NULL, 38419, 15),
(117329, NULL, 'PTHR12378:SF50', NULL, NULL, NULL, NULL, 'THIOL PEPTIDASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117330, NULL, 'PTHR31100', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 15', NULL, NULL, 9917, 15),
(117331, NULL, 'PTHR31844', NULL, NULL, NULL, NULL, 'MYELIN-ASSOCIATED NEURITE-OUTGROWTH INHIBITOR-RELATED', NULL, NULL, 28984, 15),
(117332, NULL, 'PTHR12866:SF11', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 3', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117333, NULL, 'PTHR42647:SF56', NULL, NULL, NULL, NULL, 'SBP (S-RIBONUCLEASE BINDING PROTEIN) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(117334, NULL, 'PTHR33921:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117335, NULL, 'PTHR22953:SF113', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(117336, NULL, 'PTHR46555', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 4A', NULL, NULL, NULL, 15),
(117337, NULL, 'PTHR31096:SF6', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR8', NULL, NULL, NULL, 15),
(117338, NULL, 'PTHR32063:SF28', NULL, NULL, NULL, NULL, 'BLR2861 PROTEIN', NULL, NULL, NULL, 15),
(117339, NULL, 'PTHR10334:SF470', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(117340, NULL, 'PTHR19433:SF88', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 26-1', NULL, NULL, NULL, 15),
(117341, NULL, 'PTHR12645', NULL, NULL, NULL, NULL, 'ALR/ERV', NULL, NULL, 29251, 15),
(117342, NULL, 'PTHR32251:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117343, NULL, 'PTHR47596:SF6', NULL, NULL, NULL, NULL, 'DVL-RELATED', NULL, NULL, NULL, 15),
(117344, NULL, 'PTHR15272:SF0', NULL, NULL, NULL, NULL, 'CHROMATIN ASSEMBLY FACTOR 1 SUBUNIT A', NULL, NULL, NULL, 15),
(117345, NULL, 'PTHR33088:SF30', NULL, NULL, NULL, NULL, 'LEGUMINOSIN GROUP485 SECRETED PEPTIDE', NULL, NULL, NULL, 15),
(117346, NULL, 'PTHR37529', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSG FOR INSERTION SEQUENCE ELEMENT IS4-RELATED', NULL, NULL, NULL, 15),
(117347, NULL, 'PTHR23406:SF69', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(117348, NULL, 'PTHR46838:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 14', NULL, NULL, NULL, 15),
(117349, NULL, 'PTHR11984:SF19', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-8 PROTEIN', NULL, NULL, 6707, 15),
(117350, NULL, 'PTHR19375:SF452', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117351, NULL, 'PTHR38662:SF1', NULL, NULL, NULL, NULL, 'COBALT TRANSPORT PROTEIN CBIN', NULL, NULL, NULL, 15),
(117352, NULL, 'PTHR27007:SF349', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117353, NULL, 'PTHR19367:SF18', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR ALPHA CHAIN V REGION CTL-F3', NULL, NULL, NULL, 15),
(117354, NULL, 'PTHR26312:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117355, NULL, 'PTHR31734:SF203', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(117356, NULL, 'PTHR31651:SF27', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER-RELATED', NULL, NULL, NULL, 15),
(117357, NULL, 'PTHR11783:SF273', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(117358, NULL, 'PTHR27005:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117359, NULL, 'PTHR27001:SF522', NULL, NULL, NULL, NULL, 'OS02G0106900 PROTEIN', NULL, NULL, NULL, 15),
(117360, NULL, 'PTHR10024:SF234', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-15', NULL, NULL, 27906, 15),
(117361, NULL, 'PTHR21700:SF46', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-LIKE PROTEIN 52', NULL, NULL, NULL, 15),
(117362, NULL, 'PTHR46791:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117363, NULL, 'PTHR38585:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(117364, NULL, 'PTHR11135:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YHCC', NULL, NULL, 438, 15),
(117365, NULL, 'PTHR14791:SF29', NULL, NULL, NULL, NULL, 'PROTEIN KIBRA', NULL, NULL, NULL, 15),
(117366, NULL, 'PTHR31218:SF345', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(117367, NULL, 'PTHR34120:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117368, NULL, 'PTHR28668', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 234', NULL, NULL, 21449, 15),
(117369, NULL, 'PTHR31790:SF326', NULL, NULL, NULL, NULL, 'BNAA02G12950D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117370, NULL, 'PTHR30489:SF8', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM TRANSMEMBRANE PROTEIN LOLC', NULL, NULL, NULL, 15),
(117371, NULL, 'PTHR10048:SF95', NULL, NULL, NULL, NULL, 'ZGC:158659', NULL, NULL, NULL, 15),
(117372, NULL, 'PTHR38585', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117373, NULL, 'PTHR23322:SF56', NULL, NULL, NULL, NULL, 'FAS-ASSOCIATED FACTOR 1', NULL, NULL, NULL, 15),
(117374, NULL, 'PTHR24356:SF357', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PPK33', NULL, NULL, NULL, 15),
(117375, NULL, 'PTHR45616:SF37', NULL, NULL, NULL, NULL, 'KERATIN 8', NULL, NULL, NULL, 15),
(117376, NULL, 'PTHR47933:SF9', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(117377, NULL, 'PTHR43135:SF3', NULL, NULL, NULL, NULL, 'ALPHA-D-RIBOSE 1-METHYLPHOSPHONATE 5-TRIPHOSPHATE DIPHOSPHATASE', NULL, NULL, NULL, 15),
(117378, NULL, 'PTHR22850:SF211', NULL, NULL, NULL, NULL, 'BNAA02G07770D PROTEIN', NULL, NULL, NULL, 15),
(117379, NULL, 'PTHR24391:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(117380, NULL, 'PTHR45719:SF5', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14B-LIKE', NULL, NULL, NULL, 15),
(117381, NULL, 'PTHR46503:SF1', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(117382, NULL, 'PTHR31989:SF352', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 43-LIKE', NULL, NULL, NULL, 15),
(117383, NULL, 'PTHR47068:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT1-LIKE', NULL, NULL, NULL, 15),
(117384, NULL, 'PTHR14187:SF78', NULL, NULL, NULL, NULL, 'FAMILY CHAPERONE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G08575)-RELATED', NULL, NULL, NULL, 15),
(117385, NULL, 'PTHR48022:SF67', NULL, NULL, NULL, NULL, 'QUINATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14670)-RELATED', NULL, NULL, NULL, 15),
(117386, NULL, 'PTHR11239:SF12', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC10', NULL, NULL, NULL, 15),
(117387, NULL, 'PTHR14499:SF116', NULL, NULL, NULL, NULL, 'OSJNBA0029H02.24 PROTEIN', NULL, NULL, NULL, 15),
(117388, NULL, 'PTHR31828:SF25', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 3', NULL, NULL, NULL, 15),
(117389, NULL, 'PTHR24224', NULL, NULL, NULL, NULL, 'CARDIOACCELERATORY PEPTIDE RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(117390, NULL, 'PTHR23203:SF16', NULL, NULL, NULL, NULL, 'SALIVARY ACIDIC PROLINE-RICH PHOSPHOPROTEIN 1/2', NULL, NULL, NULL, 15),
(117391, NULL, 'PTHR12290:SF37', NULL, NULL, NULL, NULL, 'BNAA10G27390D PROTEIN', NULL, NULL, NULL, 15),
(117392, NULL, 'PTHR11579:SF21', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(117393, NULL, 'PTHR11785:SF517', NULL, NULL, NULL, NULL, 'SI:DKEYP-120H9.1', NULL, NULL, NULL, 15),
(117394, NULL, 'PTHR43277:SF4', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE', NULL, NULL, NULL, 15),
(117395, NULL, 'PTHR23267:SF240', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V19-17-RELATED', NULL, NULL, NULL, 15),
(117396, NULL, 'PTHR16719', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE COPPER CHAPERONE', NULL, NULL, 1378, 15),
(117397, NULL, 'PTHR15907:SF173', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(117398, NULL, 'PTHR23349:SF100', NULL, NULL, NULL, NULL, 'TWIST2', NULL, NULL, 12857, 15),
(117399, NULL, 'PTHR47234:SF2', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR', NULL, NULL, NULL, 15),
(117400, NULL, 'PTHR22750:SF19', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 6', NULL, NULL, NULL, 15),
(117401, NULL, 'PTHR18976:SF34', NULL, NULL, NULL, NULL, 'LIPID-BINDING PROTEIN', NULL, NULL, NULL, 15),
(117402, NULL, 'PTHR36688:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117403, NULL, 'PTHR48001:SF43', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1N1', NULL, NULL, NULL, 15),
(117404, NULL, 'PTHR33377:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117405, NULL, 'PTHR35769:SF2', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117406, NULL, 'PTHR41339:SF1', NULL, NULL, NULL, NULL, 'LIPL48', NULL, NULL, NULL, 15),
(117407, NULL, 'PTHR32448:SF25', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 8', NULL, NULL, NULL, 15),
(117408, NULL, 'PTHR27003:SF364', NULL, NULL, NULL, NULL, 'BNAC03G77100D PROTEIN', NULL, NULL, NULL, 15),
(117409, NULL, 'PTHR33074:SF18', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(117410, NULL, 'PTHR46744:SF1', NULL, NULL, NULL, NULL, 'PROTEIN UNC-93 HOMOLOG B1', NULL, NULL, NULL, 15),
(117411, NULL, 'PTHR22738:SF4', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 29871, 15),
(117412, NULL, 'PTHR13780:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117413, NULL, 'PTHR34672:SF15', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC ARABINOGALACTA PROTEIN BAN102', NULL, NULL, NULL, 15),
(117414, NULL, 'PTHR43764', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS', NULL, NULL, NULL, 15),
(117415, NULL, 'PTHR13006', NULL, NULL, NULL, NULL, 'PAPILLOMAVIRUS REGULATORY FACTOR PRF-1', NULL, NULL, NULL, 15),
(117416, NULL, 'PTHR13546:SF13', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 85A', NULL, NULL, NULL, 15),
(117417, NULL, 'PTHR14402:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-TRANSPORTING PROTEIN 5', NULL, NULL, 27188, 15),
(117418, NULL, 'PTHR24356:SF302', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0290859-RELATED', NULL, NULL, NULL, 15),
(117419, NULL, 'PTHR14398:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN SWM', NULL, NULL, NULL, 15),
(117420, NULL, 'PTHR46292:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 102B', NULL, NULL, NULL, 15),
(117421, NULL, 'PTHR45807:SF6', NULL, NULL, NULL, NULL, 'NON-RECEPTOR TYROSINE-PROTEIN KINASE TYK2', NULL, NULL, NULL, 15),
(117422, NULL, 'PTHR43181', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 2,4-CYCLODIPHOSPHATE SYNTHASE, CHLOROPLASTIC', NULL, NULL, 6289, 15),
(117423, NULL, 'PTHR22883:SF297', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(117424, NULL, 'PTHR11654:SF526', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', NULL, NULL, NULL, 15),
(117425, NULL, 'PTHR10903:SF128', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST 159, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(117426, NULL, 'PTHR13318:SF137', NULL, NULL, NULL, NULL, 'F-BOX AND LEUCINE-RICH REPEAT PROTEIN 22-RELATED', NULL, NULL, NULL, 15),
(117427, NULL, 'PTHR12039:SF15', NULL, NULL, NULL, NULL, 'NICOTINAMIDE-NUCLEOTIDE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(117428, NULL, 'PTHR42955', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(117429, NULL, 'PTHR46655', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATXR3', NULL, NULL, NULL, 15),
(117430, NULL, 'PTHR13832:SF529', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117431, NULL, 'PTHR43818:SF3', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(117432, NULL, 'PTHR20859:SF46', NULL, NULL, NULL, NULL, 'INTERFERON GAMMA RECEPTOR 2', NULL, NULL, NULL, 15),
(117433, NULL, 'PTHR27006:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117434, NULL, 'PTHR33595:SF20', NULL, NULL, NULL, NULL, 'BNAANNG12320D PROTEIN', NULL, NULL, NULL, 15),
(117435, NULL, 'PTHR16165:SF23', NULL, NULL, NULL, NULL, 'NEUREXOPHILIN AND PC-ESTERASE DOMAIN FAMILY, MEMBER 5', NULL, NULL, NULL, 15),
(117436, NULL, 'PTHR39569', NULL, NULL, NULL, NULL, 'INORGANIC TRIPHOSPHATASE', NULL, NULL, 34709, 15),
(117437, NULL, 'PTHR47738:SF3', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHOTRANSFERASE SYSTEM, EIIA 2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117438, NULL, 'PTHR48209:SF1', NULL, NULL, NULL, NULL, 'AGL056WP', NULL, NULL, NULL, 15),
(117439, NULL, 'PTHR36801:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117440, NULL, 'PTHR43511:SF1', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117441, NULL, 'PTHR32009:SF40', NULL, NULL, NULL, NULL, 'TYPE DISEASE RESISTANCE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117442, NULL, 'PTHR35169:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117443, NULL, 'PTHR24221:SF245', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY PROTEIN', NULL, NULL, NULL, 15),
(117444, NULL, 'PTHR31126:SF10', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06650)-RELATED', NULL, NULL, NULL, 15),
(117445, NULL, 'PTHR45621:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL8-RELATED', NULL, NULL, NULL, 15),
(117446, NULL, 'PTHR24296:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117447, NULL, 'PTHR13462:SF6', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER REGULATORY SUBUNIT MCUB, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(117448, NULL, 'PTHR10520:SF14', NULL, NULL, NULL, NULL, 'BNAA09G54810D PROTEIN', NULL, NULL, NULL, 15),
(117449, NULL, 'PTHR46444:SF9', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(117450, NULL, 'PTHR12599:SF15', NULL, NULL, NULL, NULL, 'PTERIN-4-ALPHA-CARBINOLAMINE DEHYDRATASE 2', NULL, NULL, NULL, 15),
(117451, NULL, 'PTHR34358:SF5', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (DUF1195)-RELATED', NULL, NULL, NULL, 15),
(117452, NULL, 'PTHR47082:SF1', NULL, NULL, NULL, NULL, 'KERATIN-LIKE PROTEIN KRT222', NULL, NULL, NULL, 15),
(117453, NULL, 'PTHR47981:SF4', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABG3F', NULL, NULL, NULL, 15),
(117454, NULL, 'PTHR31080:SF219', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 2-LIKE', NULL, NULL, NULL, 15),
(117455, NULL, 'PTHR11394:SF38', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 107', NULL, NULL, NULL, 15),
(117456, NULL, 'PTHR22950:SF660', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117457, NULL, 'PTHR36463', NULL, NULL, NULL, NULL, 'KERATINOCYTE DIFFERENTIATION-ASSOCIATED PROTEIN', NULL, NULL, 23202, 15),
(117458, NULL, 'PTHR45080:SF2', NULL, NULL, NULL, NULL, 'IP11255P', NULL, NULL, NULL, 15),
(117459, NULL, 'PTHR21502:SF2', NULL, NULL, NULL, NULL, 'RILP-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(117460, NULL, 'PTHR12175:SF5', NULL, NULL, NULL, NULL, 'THIOREDOXIN LIKE 1', NULL, NULL, NULL, 15),
(117461, NULL, 'PTHR42683:SF52', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 9-RELATED', NULL, NULL, NULL, 15),
(117462, NULL, 'PTHR33148', NULL, NULL, NULL, NULL, 'PLASTID MOVEMENT IMPAIRED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(117463, NULL, 'PTHR35578:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117464, NULL, 'PTHR22906:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG14396', NULL, NULL, NULL, 15),
(117465, NULL, 'PTHR45830:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(117466, NULL, 'PTHR12396:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117467, NULL, 'PTHR10030', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE', NULL, NULL, 3202, 15),
(117468, NULL, 'PTHR11736:SF8', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN H1', NULL, NULL, NULL, 15),
(117469, NULL, 'PTHR31656:SF42', NULL, NULL, NULL, NULL, 'BNAC03G14620D PROTEIN', NULL, NULL, NULL, 15),
(117470, NULL, 'PTHR47785:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117471, NULL, 'PTHR10336:SF156', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C 7', NULL, NULL, NULL, 15),
(117472, NULL, 'PTHR12709:SF10', NULL, NULL, NULL, NULL, 'BNAA03G50300D PROTEIN', NULL, NULL, NULL, 15),
(117473, NULL, 'PTHR31490:SF38', NULL, NULL, NULL, NULL, 'BETA-XYLANASE', NULL, NULL, NULL, 15),
(117474, NULL, 'PTHR45710:SF16', NULL, NULL, NULL, NULL, 'SI:CH211-193E13.5', NULL, NULL, NULL, 15),
(117475, NULL, 'PTHR45648:SF124', NULL, NULL, NULL, NULL, 'OS08G0565900 PROTEIN', NULL, NULL, NULL, 15),
(117476, NULL, 'PTHR46567', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 12', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117477, NULL, 'PTHR14024:SF51', NULL, NULL, NULL, NULL, 'PERILIPIN', NULL, NULL, NULL, 15),
(117478, NULL, 'PTHR11260:SF639', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U1', NULL, NULL, NULL, 15),
(117479, NULL, 'PTHR48021:SF27', NULL, NULL, NULL, NULL, 'FACILITATED TREHALOSE TRANSPORTER TRET1-1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(117480, NULL, 'PTHR33336', NULL, NULL, NULL, NULL, 'QUINOL MONOOXYGENASE YGIN-RELATED', NULL, NULL, NULL, 15),
(117481, NULL, 'PTHR30185:SF14', NULL, NULL, NULL, NULL, 'CRYPTIC BETA-GLUCOSIDE BGL OPERON ANTITERMINATOR-RELATED', NULL, NULL, NULL, 15),
(117482, NULL, 'PTHR31895:SF20', NULL, NULL, NULL, NULL, 'ACTIVATED IN BLOCKED UNFOLDED PROTEIN RESPONSE', NULL, NULL, NULL, 15),
(117483, NULL, 'PTHR13864:SF10', NULL, NULL, NULL, NULL, 'NESCIENT HELIX LOOP HELIX 2', NULL, NULL, NULL, 15),
(117484, NULL, 'PTHR33355:SF13', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 3-LIKE', NULL, NULL, NULL, 15),
(117485, NULL, 'PTHR13723:SF38', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 4', NULL, NULL, NULL, 15),
(117486, NULL, 'PTHR11485:SF34', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE RECEPTOR SUBUNIT BETA', NULL, NULL, 16146, 15),
(117487, NULL, 'PTHR34570', NULL, NULL, NULL, NULL, 'OS03G0593100 PROTEIN', NULL, NULL, NULL, 15),
(117488, NULL, 'PTHR11945:SF439', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL27 ISOFORM X1', NULL, NULL, NULL, 15),
(117489, NULL, 'PTHR10994:SF171', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B5', NULL, NULL, NULL, 15),
(117490, NULL, 'PTHR23001', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR', NULL, NULL, 37706, 15),
(117491, NULL, 'PTHR24023:SF991', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE X, ALPHA 1A-RELATED', NULL, NULL, NULL, 15),
(117492, NULL, 'PTHR12761:SF1', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 1 PROTEIN', NULL, NULL, NULL, 15),
(117493, NULL, 'PTHR33402:SF22', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 31', NULL, NULL, NULL, 15),
(117494, NULL, 'PTHR13140:SF513', NULL, NULL, NULL, NULL, 'MYOSIN ID HEAVY CHAIN', NULL, NULL, NULL, 15),
(117495, NULL, 'PTHR31374:SF270', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(117496, NULL, 'PTHR46519:SF9', NULL, NULL, NULL, NULL, 'BNAA05G28350D PROTEIN', NULL, NULL, NULL, 15),
(117497, NULL, 'PTHR32370:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117498, NULL, 'PTHR46558', NULL, NULL, NULL, NULL, 'TRACRIPTIONAL REGULATORY PROTEIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(117499, NULL, 'PTHR32256:SF7', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(117500, NULL, 'PTHR11250', NULL, NULL, NULL, NULL, 'TACHYKININ', NULL, NULL, NULL, 15),
(117501, NULL, 'PTHR45883:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117502, NULL, 'PTHR11782:SF96', NULL, NULL, NULL, NULL, 'APYRASE 6-RELATED', NULL, NULL, NULL, 15),
(117503, NULL, 'PTHR13935:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH55-LIKE', NULL, NULL, NULL, 15),
(117504, NULL, 'PTHR11267:SF29', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX4', NULL, NULL, NULL, 15),
(117505, NULL, 'PTHR15835', NULL, NULL, NULL, NULL, 'NUCLEAR-INTERACTING PARTNER OF ALK', NULL, NULL, NULL, 15),
(117506, NULL, 'PTHR23502:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117507, NULL, 'PTHR11062:SF246', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX10L-RELATED', NULL, NULL, NULL, 15),
(117508, NULL, 'PTHR22883:SF339', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(117509, NULL, 'PTHR47997:SF38', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB86', NULL, NULL, NULL, 15),
(117510, NULL, 'PTHR19836:SF30', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S14', NULL, NULL, NULL, 15),
(117511, NULL, 'PTHR46423', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(117512, NULL, 'PTHR33803', NULL, NULL, NULL, NULL, 'IS1478 TRANSPOSASE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117513, NULL, 'PTHR43625:SF69', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE/POTASSIUM CHANNEL SUBUNIT BETA-RELATED', NULL, NULL, NULL, 15),
(117514, NULL, 'PTHR11926:SF896', NULL, NULL, NULL, NULL, 'FLAVONOL 7-O-BETA-GLUCOSYLTRANSFERASE UGT74F1', NULL, NULL, NULL, 15),
(117515, NULL, 'PTHR27003:SF338', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE, ERK3/4-RELATED', NULL, NULL, NULL, 15),
(117516, NULL, 'PTHR46600:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-228B2.6-RELATED', NULL, NULL, NULL, 15),
(117517, NULL, 'PTHR34281:SF11', NULL, NULL, NULL, NULL, 'BNAA09G40710D PROTEIN', NULL, NULL, NULL, 15),
(117518, NULL, 'PTHR11699:SF190', NULL, NULL, NULL, NULL, '10-FORMYLTETRAHYDROFOLATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(117519, NULL, 'PTHR24096:SF317', NULL, NULL, NULL, NULL, 'NICOTINIC ACID-COA LIGASE PYR1', NULL, NULL, NULL, 15),
(117520, NULL, 'PTHR31907:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117521, NULL, 'PTHR11814:SF31', NULL, NULL, NULL, NULL, 'SULFATE ANION TRANSPORTER 1', NULL, NULL, 25522, 15),
(117522, NULL, 'PTHR23200:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CBG07020', NULL, NULL, NULL, 15),
(117523, NULL, 'PTHR11610:SF151', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1 MEMBER A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(117524, NULL, 'PTHR19964:SF16', NULL, NULL, NULL, NULL, 'SYNTAXIN-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(117525, NULL, 'PTHR31639:SF77', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN', NULL, NULL, NULL, 15),
(117526, NULL, 'PTHR11426:SF47', NULL, NULL, NULL, NULL, 'HISTONE H3.2', NULL, NULL, NULL, 15),
(117527, NULL, 'PTHR33395', NULL, NULL, NULL, NULL, 'TRANSCRIPTASE, PUTATIVE-RELATED-RELATED', NULL, NULL, NULL, 15),
(117528, NULL, 'PTHR24215', NULL, NULL, NULL, NULL, 'RHO-GTPASE-ACTIVATING PROTEIN LRG1', NULL, NULL, NULL, 15),
(117529, NULL, 'PTHR43319:SF1', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(117530, NULL, 'PTHR12098:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117531, NULL, 'PTHR45651:SF36', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CHANNEL 21', NULL, NULL, NULL, 15),
(117532, NULL, 'PTHR47221', NULL, NULL, NULL, NULL, 'FIBRINOGEN ALPHA CHAIN', NULL, NULL, 29644, 15),
(117533, NULL, 'PTHR33414:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(117534, NULL, 'PTHR11802:SF290', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(117535, NULL, 'PTHR10694', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE', NULL, NULL, NULL, 15),
(117536, NULL, 'PTHR11817:SF21', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(117537, NULL, 'PTHR15860:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(117538, NULL, 'PTHR10724:SF7', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S1, CHLOROPLASTIC', NULL, NULL, 19202, 15),
(117539, NULL, 'PTHR24381:SF147', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 37 HOMOLOG', NULL, NULL, NULL, 15),
(117540, NULL, 'PTHR14379:SF10', NULL, NULL, NULL, NULL, 'RE61489P', NULL, NULL, NULL, 15),
(117541, NULL, 'PTHR15184:SF66', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(117542, NULL, 'PTHR47993:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117543, NULL, 'PTHR31392', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYLTRANSFERASE MNN1-RELATED', NULL, NULL, NULL, 15),
(117544, NULL, 'PTHR24015:SF398', NULL, NULL, NULL, NULL, 'OS07G0259400 PROTEIN', NULL, NULL, NULL, 15),
(117545, NULL, 'PTHR48131:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117546, NULL, 'PTHR32258:SF20', NULL, NULL, NULL, NULL, 'KINASE INTERACTING (KIP1-LIKE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(117547, NULL, 'PTHR45801:SF60', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(117548, NULL, 'PTHR23420:SF20', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', NULL, NULL, NULL, 15),
(117549, NULL, 'PTHR32227:SF350', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117550, NULL, 'PTHR43840:SF23', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 3', NULL, NULL, NULL, 15),
(117551, NULL, 'PTHR30212:SF4', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(117552, NULL, 'PTHR22881:SF31', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(117553, NULL, 'PTHR45907', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', NULL, NULL, 16646, 15),
(117554, NULL, 'PTHR13301:SF204', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D2', NULL, NULL, NULL, 15),
(117555, NULL, 'PTHR11685:SF328', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARIH1', NULL, NULL, NULL, 15),
(117556, NULL, 'PTHR46316:SF4', NULL, NULL, NULL, NULL, 'BETA SUBUNIT 1 OF SNRK1', NULL, NULL, 30370, 15),
(117557, NULL, 'PTHR13718:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117558, NULL, 'PTHR11017:SF443', NULL, NULL, NULL, NULL, 'BNAC05G13690D PROTEIN', NULL, NULL, NULL, 15),
(117559, NULL, 'PTHR24096:SF377', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 7', NULL, NULL, NULL, 15),
(117560, NULL, 'PTHR22952:SF409', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(117561, NULL, 'PTHR37256:SF4', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(117562, NULL, 'PTHR11202:SF3', NULL, NULL, NULL, NULL, 'SPROUTY-RELATED PROTEIN WITH EVH-1 DOMAIN, ISOFORM C', NULL, NULL, NULL, 15),
(117563, NULL, 'PTHR46226:SF3', NULL, NULL, NULL, NULL, 'OS02G0200000 PROTEIN', NULL, NULL, NULL, 15),
(117564, NULL, 'PTHR45974:SF166', NULL, NULL, NULL, NULL, 'BNACNNG20810D PROTEIN', NULL, NULL, NULL, 15),
(117565, NULL, 'PTHR33048:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117566, NULL, 'PTHR16453', NULL, NULL, NULL, NULL, 'WD40 DOMAIN-CONTAINING PROTEIN MIO FAMILY MEMBER', NULL, NULL, 34732, 15),
(117567, NULL, 'PTHR24282:SF106', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 72 SUBFAMILY A POLYPEPTIDE 8', NULL, NULL, NULL, 15),
(117568, NULL, 'PTHR23118:SF0', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE', NULL, NULL, NULL, 15),
(117569, NULL, 'PTHR40732:SF1', NULL, NULL, NULL, NULL, 'UPF0218 PROTEIN TK1697', NULL, NULL, NULL, 15),
(117570, NULL, 'PTHR42199:SF1', NULL, NULL, NULL, NULL, 'UPF0212 PROTEIN MJ0068', NULL, NULL, NULL, 15),
(117571, NULL, 'PTHR47521:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(117572, NULL, 'PTHR12838', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 11', NULL, NULL, 285, 15),
(117573, NULL, 'PTHR32295:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117574, NULL, 'PTHR22903:SF3', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY H MEMBER 2', NULL, NULL, NULL, 15),
(117575, NULL, 'PTHR23362:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11397', NULL, NULL, NULL, 15),
(117576, NULL, 'PTHR47924:SF14', NULL, NULL, NULL, NULL, 'BNAC03G44720D PROTEIN', NULL, NULL, NULL, 15),
(117577, NULL, 'PTHR45855:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF7', NULL, NULL, NULL, 15),
(117578, NULL, 'PTHR12125:SF11', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 2', NULL, NULL, NULL, 15),
(117579, NULL, 'PTHR12002:SF17', NULL, NULL, NULL, NULL, 'CLAUDIN-20', NULL, NULL, NULL, 15),
(117580, NULL, 'PTHR45649:SF48', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1 HOMOLOG', NULL, NULL, NULL, 15),
(117581, NULL, 'PTHR42830:SF1', NULL, NULL, NULL, NULL, 'OSMOTICALLY INDUCIBLE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(117582, NULL, 'PTHR26453:SF3', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(117583, NULL, 'PTHR11654:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117584, NULL, 'PTHR47779', NULL, NULL, NULL, NULL, 'SYNTHASE (CCG-9), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12100)-RELATED', NULL, NULL, NULL, 15),
(117585, NULL, 'PTHR32080:SF41', NULL, NULL, NULL, NULL, 'BNAA02G37140D PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117586, NULL, 'PTHR47289:SF3', NULL, NULL, NULL, NULL, 'OS01G0112300 PROTEIN', NULL, NULL, NULL, 15),
(117587, NULL, 'PTHR34395:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117588, NULL, 'PTHR22945:SF90', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(117589, NULL, 'PTHR43744:SF12', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN MG189-RELATED', NULL, NULL, NULL, 15),
(117590, NULL, 'PTHR13339', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 8', NULL, NULL, 35289, 15),
(117591, NULL, 'PTHR48043:SF82', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(117592, NULL, 'PTHR45641:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_6G03870)', NULL, NULL, NULL, 15),
(117593, NULL, 'PTHR45730:SF80', NULL, NULL, NULL, NULL, 'PROTEIN LATE FLOWERING', NULL, NULL, NULL, 15),
(117594, NULL, 'PTHR22917:SF6', NULL, NULL, NULL, NULL, 'EG:8D8.2 PROTEIN', NULL, NULL, NULL, 15),
(117595, NULL, 'PTHR10666:SF368', NULL, NULL, NULL, NULL, 'UBIQUITIN-60S RIBOSOMAL PROTEIN L40', NULL, NULL, NULL, 15),
(117596, NULL, 'PTHR45650:SF22', NULL, NULL, NULL, NULL, 'OS05G0419800 PROTEIN', NULL, NULL, NULL, 15),
(117597, NULL, 'PTHR34930:SF4', NULL, NULL, NULL, NULL, 'JUPITER MICROTUBULE ASSOCIATED HOMOLOG 1', NULL, NULL, NULL, 15),
(117598, NULL, 'PTHR31072:SF169', NULL, NULL, NULL, NULL, 'OS01G0924400 PROTEIN', NULL, NULL, NULL, 15),
(117599, NULL, 'PTHR19241:SF517', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 38', NULL, NULL, NULL, 15),
(117600, NULL, 'PTHR10827:SF83', NULL, NULL, NULL, NULL, 'BNAC09G47400D PROTEIN', NULL, NULL, NULL, 15),
(117601, NULL, 'PTHR46991:SF32', NULL, NULL, NULL, NULL, 'BNAC01G19750D PROTEIN', NULL, NULL, NULL, 15),
(117602, NULL, 'PTHR11738', NULL, NULL, NULL, NULL, 'MHC CLASS I NK CELL RECEPTOR', NULL, NULL, NULL, 15),
(117603, NULL, 'PTHR45814', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD1', NULL, NULL, 38891, 15),
(117604, NULL, 'PTHR31147:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117605, NULL, 'PTHR12642:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117606, NULL, 'PTHR31147:SF52', NULL, NULL, NULL, NULL, 'BNAA09G41950D PROTEIN', NULL, NULL, NULL, 15),
(117607, NULL, 'PTHR31388:SF160', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(117608, NULL, 'PTHR11306:SF51', NULL, NULL, NULL, NULL, 'BNAA01G28270D PROTEIN', NULL, NULL, NULL, 15),
(117609, NULL, 'PTHR32266:SF24', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE', NULL, NULL, NULL, 15),
(117610, NULL, 'PTHR18945:SF790', NULL, NULL, NULL, NULL, 'CHOLINERGIC RECEPTOR, NICOTINIC, ALPHA 9', NULL, NULL, NULL, 15),
(117611, NULL, 'PTHR11926:SF1164', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C2', NULL, NULL, NULL, 15),
(117612, NULL, 'PTHR45993:SF9', NULL, NULL, NULL, NULL, 'IM:7142702', NULL, NULL, NULL, 15),
(117613, NULL, 'PTHR31356:SF38', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 5, PEROXISOMAL', NULL, NULL, NULL, 15),
(117614, NULL, 'PTHR31060:SF28', NULL, NULL, NULL, NULL, 'OS07G0123500 PROTEIN', NULL, NULL, NULL, 15),
(117615, NULL, 'PTHR45658:SF70', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 11-LIKE', NULL, NULL, NULL, 15),
(117616, NULL, 'PTHR19375:SF453', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(117617, NULL, 'PTHR10625:SF208', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HOS2-RELATED', NULL, NULL, NULL, 15),
(117618, NULL, 'PTHR46991:SF9', NULL, NULL, NULL, NULL, '23.6 KDA HEAT SHOCK PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(117619, NULL, 'PTHR33086:SF69', NULL, NULL, NULL, NULL, 'OS06G0161400 PROTEIN', NULL, NULL, NULL, 15),
(117620, NULL, 'PTHR37443:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09852', NULL, NULL, NULL, 15),
(117621, NULL, 'PTHR35319:SF2', NULL, NULL, NULL, NULL, 'YCF54', NULL, NULL, NULL, 15),
(117622, NULL, 'PTHR12995', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 16843, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117623, NULL, 'PTHR11654:SF500', NULL, NULL, NULL, NULL, 'BNAC04G26790D PROTEIN', NULL, NULL, NULL, 15),
(117624, NULL, 'PTHR45959', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(117625, NULL, 'PTHR47771:SF4', NULL, NULL, NULL, NULL, 'LD27203P-RELATED', NULL, NULL, NULL, 15),
(117626, NULL, 'PTHR47671:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 6', NULL, NULL, NULL, 15),
(117627, NULL, 'PTHR12149', NULL, NULL, NULL, NULL, 'FRUCTOSAMINE 3 KINASE-RELATED PROTEIN', NULL, NULL, 15772, 15),
(117628, NULL, 'PTHR43591:SF59', NULL, NULL, NULL, NULL, 'SAM BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(117629, NULL, 'PTHR10795:SF659', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE', NULL, NULL, NULL, 15),
(117630, NULL, 'PTHR13930', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT TRNA 4-DEMETHYLWYOSINE SYNTHASE', NULL, NULL, 9139, 15),
(117631, NULL, 'PTHR24056:SF440', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117632, NULL, 'PTHR33735:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117633, NULL, 'PTHR10900:SF100', NULL, NULL, NULL, NULL, 'FI05614P', NULL, NULL, NULL, 15),
(117634, NULL, 'PTHR31972:SF15', NULL, NULL, NULL, NULL, 'OS07G0572300 PROTEIN', NULL, NULL, NULL, 15),
(117635, NULL, 'PTHR11537:SF65', NULL, NULL, NULL, NULL, 'SI:RP71-39B20.4', NULL, NULL, NULL, 15),
(117636, NULL, 'PTHR28080:SF2', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 3-1', NULL, NULL, NULL, 15),
(117637, NULL, 'PTHR30537', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(117638, NULL, 'PTHR46888', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE DOMAINCONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(117639, NULL, 'PTHR31168:SF24', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117640, NULL, 'PTHR31155:SF31', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(117641, NULL, 'PTHR38037', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117642, NULL, 'PTHR12035:SF54', NULL, NULL, NULL, NULL, 'MYELIN-ASSOCIATED GLYCOPROTEIN', NULL, NULL, NULL, 15),
(117643, NULL, 'PTHR12542:SF89', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(117644, NULL, 'PTHR23024:SF494', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117645, NULL, 'PTHR31370:SF2', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FAMILY-LIKE', NULL, NULL, NULL, 15),
(117646, NULL, 'PTHR22952:SF422', NULL, NULL, NULL, NULL, 'PROTEIN FD', NULL, NULL, NULL, 15),
(117647, NULL, 'PTHR43329:SF4', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2', NULL, NULL, NULL, 15),
(117648, NULL, 'PTHR31194:SF112', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF003', NULL, NULL, NULL, 15),
(117649, NULL, 'PTHR10880:SF43', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117650, NULL, 'PTHR10795:SF388', NULL, NULL, NULL, NULL, 'XYLEM SERINE PROTEINASE 1', NULL, NULL, NULL, 15),
(117651, NULL, 'PTHR24418:SF379', NULL, NULL, NULL, NULL, 'ACTIVATED CDC42 KINASE 1', NULL, NULL, NULL, 15),
(117652, NULL, 'PTHR48108', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(117653, NULL, 'PTHR33110:SF26', NULL, NULL, NULL, NULL, 'OS10G0550400 PROTEIN', NULL, NULL, NULL, 15),
(117654, NULL, 'PTHR42752:SF1', NULL, NULL, NULL, NULL, 'IMIDAZOLONEPROPIONASE-RELATED', NULL, NULL, NULL, 15),
(117655, NULL, 'PTHR46193:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBBY-LIKE', NULL, NULL, NULL, 15),
(117656, NULL, 'PTHR10353:SF257', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117657, NULL, 'PTHR43645:SF1', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE', NULL, NULL, NULL, 15),
(117658, NULL, 'PTHR24271:SF68', NULL, NULL, NULL, NULL, 'KALLIKREIN-11', NULL, NULL, NULL, 15),
(117659, NULL, 'PTHR33254', NULL, NULL, NULL, NULL, '4-HYDROXY-4-METHYL-2-OXOGLUTARATE ALDOLASE 3-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117660, NULL, 'PTHR24418:SF230', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(117661, NULL, 'PTHR36288:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA A930018P22', NULL, NULL, NULL, 15),
(117662, NULL, 'PTHR23509:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE C1020.13C-RELATED', NULL, NULL, NULL, 15),
(117663, NULL, 'PTHR47950:SF15', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117664, NULL, 'PTHR34149:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG13228', NULL, NULL, NULL, 15),
(117665, NULL, 'PTHR31917:SF3', NULL, NULL, NULL, NULL, 'BROMO ADJACENT-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(117666, NULL, 'PTHR33098:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117667, NULL, 'PTHR31384:SF104', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(117668, NULL, 'PTHR46155:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(117669, NULL, 'PTHR43406:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATE LYASE, CHLOROPLAST, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(117670, NULL, 'PTHR11559:SF398', NULL, NULL, NULL, NULL, 'PROTEIN CBG10957', NULL, NULL, NULL, 15),
(117671, NULL, 'PTHR33669:SF12', NULL, NULL, NULL, NULL, 'PROTEIN NEGATIVE REGULATOR OF RESISTANCE', NULL, NULL, NULL, 15),
(117672, NULL, 'PTHR27007:SF354', NULL, NULL, NULL, NULL, 'OSJNBA0027H06.11 PROTEIN', NULL, NULL, NULL, 15),
(117673, NULL, 'PTHR47976:SF32', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', NULL, NULL, NULL, 15),
(117674, NULL, 'PTHR14913', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR TYPE 1-ASSOCIATED DEATH DOMAIN PROTEIN', NULL, NULL, 34501, 15),
(117675, NULL, 'PTHR33372:SF10', NULL, NULL, NULL, NULL, 'SLR1918 PROTEIN', NULL, NULL, NULL, 15),
(117676, NULL, 'PTHR10641:SF1163', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(117677, NULL, 'PTHR31852:SF202', NULL, NULL, NULL, NULL, 'BNAC02G19700D PROTEIN', NULL, NULL, NULL, 15),
(117678, NULL, 'PTHR45822', NULL, NULL, NULL, NULL, 'FREE FATTY ACID RECEPTOR 2-RELATED', NULL, NULL, NULL, 15),
(117679, NULL, 'PTHR23050:SF390', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML41-RELATED', NULL, NULL, NULL, 15),
(117680, NULL, 'PTHR43464:SF56', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TYPE 11', NULL, NULL, NULL, 15),
(117681, NULL, 'PTHR24067:SF237', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 7-LIKE', NULL, NULL, NULL, 15),
(117682, NULL, 'PTHR23143:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117683, NULL, 'PTHR12103:SF34', NULL, NULL, NULL, NULL, 'HAD-SUPERFAMILY HYDROLASE, SUBFAMILY IG, 5''-NUCLEOTIDASE-RELATED', NULL, NULL, NULL, 15),
(117684, NULL, 'PTHR47469', NULL, NULL, NULL, NULL, 'MONOOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(117685, NULL, 'PTHR31571:SF1', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 6', NULL, NULL, NULL, 15),
(117686, NULL, 'PTHR26374:SF347', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT11', NULL, NULL, NULL, 15),
(117687, NULL, 'PTHR10795:SF350', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.2', NULL, NULL, NULL, 15),
(117688, NULL, 'PTHR48019:SF24', NULL, NULL, NULL, NULL, 'BNAA02G04770D PROTEIN', NULL, NULL, NULL, 15),
(117689, NULL, 'PTHR45613:SF65', NULL, NULL, NULL, NULL, 'OS08G0369200 PROTEIN', NULL, NULL, NULL, 15),
(117690, NULL, 'PTHR13866', NULL, NULL, NULL, NULL, 'SPARC  OSTEONECTIN', NULL, NULL, NULL, 15),
(117691, NULL, 'PTHR15066:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 187', NULL, NULL, NULL, 15),
(117692, NULL, 'PTHR13878:SF144', NULL, NULL, NULL, NULL, 'CYTOKININ OXIDASE/DEHYDROGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(117693, NULL, 'PTHR12161:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117694, NULL, 'PTHR14379:SF19', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/GLYCOSYL HYDROLASE-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117695, NULL, 'PTHR42774:SF7', NULL, NULL, NULL, NULL, 'PFKB FAMILY CARBOHYDRATE KINASE', NULL, NULL, NULL, 15),
(117696, NULL, 'PTHR31374:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117697, NULL, 'PTHR31851:SF60', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER HOMOLOG 2.1', NULL, NULL, NULL, 15),
(117698, NULL, 'PTHR48013:SF13', NULL, NULL, NULL, NULL, 'SAPK/ERK KINASE', NULL, NULL, NULL, 15),
(117699, NULL, 'PTHR12942:SF6', NULL, NULL, NULL, NULL, 'BNAC05G02170D PROTEIN', NULL, NULL, NULL, 15),
(117700, NULL, 'PTHR15460:SF3', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 4', NULL, NULL, NULL, 15),
(117701, NULL, 'PTHR47989:SF37', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN KINASE SELMODRAFT_444075-LIKE', NULL, NULL, NULL, 15),
(117702, NULL, 'PTHR16223:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117703, NULL, 'PTHR45033:SF2', NULL, NULL, NULL, NULL, 'ZINC-TYPE ALCOHOL DEHYDROGENASE-LIKE PROTEIN C1773.06C', NULL, NULL, NULL, 15),
(117704, NULL, 'PTHR31355:SF8', NULL, NULL, NULL, NULL, 'TORTIFOLIA1-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(117705, NULL, 'PTHR27007:SF325', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.1', NULL, NULL, NULL, 15),
(117706, NULL, 'PTHR19282:SF41', NULL, NULL, NULL, NULL, 'TETRASPANIN-9', NULL, NULL, NULL, 15),
(117707, NULL, 'PTHR37254', NULL, NULL, NULL, NULL, 'OS01G0100500 PROTEIN', NULL, NULL, NULL, 15),
(117708, NULL, 'PTHR13832:SF228', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 23-RELATED', NULL, NULL, NULL, 15),
(117709, NULL, 'PTHR24126:SF55', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN EMB506, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(117710, NULL, 'PTHR22848', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', NULL, NULL, 36943, 15),
(117711, NULL, 'PTHR11599:SF46', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-6', NULL, NULL, 8976, 15),
(117712, NULL, 'PTHR23070:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117713, NULL, 'PTHR33727:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117714, NULL, 'PTHR28108:SF1', NULL, NULL, NULL, NULL, 'SWR1-COMPLEX PROTEIN 3', NULL, NULL, NULL, 15),
(117715, NULL, 'PTHR48007:SF47', NULL, NULL, NULL, NULL, 'BNAA09G52710D PROTEIN', NULL, NULL, NULL, 15),
(117716, NULL, 'PTHR31343:SF51', NULL, NULL, NULL, NULL, 'BNAC07G49300D PROTEIN', NULL, NULL, NULL, 15),
(117717, NULL, 'PTHR24221:SF565', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY PROTEIN', NULL, NULL, NULL, 15),
(117718, NULL, 'PTHR26450:SF20', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(117719, NULL, 'PTHR33346:SF30', NULL, NULL, NULL, NULL, 'DEHYDRIN XERO 1', NULL, NULL, NULL, 15),
(117720, NULL, 'PTHR36473:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 3 OPEN READING FRAME 49', NULL, NULL, NULL, 15),
(117721, NULL, 'PTHR15907:SF122', NULL, NULL, NULL, NULL, 'PLAC8-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(117722, NULL, 'PTHR24343:SF307', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE GIN4-RELATED', NULL, NULL, NULL, 15),
(117723, NULL, 'PTHR10261:SF7', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(117724, NULL, 'PTHR24009:SF28', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(117725, NULL, 'PTHR46776:SF22', NULL, NULL, NULL, NULL, 'BNAC04G43290D PROTEIN', NULL, NULL, NULL, 15),
(117726, NULL, 'PTHR43748:SF5', NULL, NULL, NULL, NULL, 'ISOMERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(117727, NULL, 'PTHR19282:SF425', NULL, NULL, NULL, NULL, 'OS08G0159100 PROTEIN', NULL, NULL, NULL, 15),
(117728, NULL, 'PTHR12277:SF168', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(117729, NULL, 'PTHR12178', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 29915, 15),
(117730, NULL, 'PTHR10579:SF100', NULL, NULL, NULL, NULL, 'OS12G0203500 PROTEIN', NULL, NULL, NULL, 15),
(117731, NULL, 'PTHR10502:SF106', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117732, NULL, 'PTHR31142:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117733, NULL, 'PTHR32175:SF22', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(117734, NULL, 'PTHR23266:SF196', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION 108A-RELATED', NULL, NULL, NULL, 15),
(117735, NULL, 'PTHR24343:SF438', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE CATALYTIC SUBUNIT ALPHA KIN11', NULL, NULL, NULL, 15),
(117736, NULL, 'PTHR12015', NULL, NULL, NULL, NULL, 'SMALL INDUCIBLE CYTOKINE A', NULL, NULL, 30545, 15),
(117737, NULL, 'PTHR11136:SF0', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE SYNTHETASE-RELATED', NULL, NULL, NULL, 15),
(117738, NULL, 'PTHR15057:SF1', NULL, NULL, NULL, NULL, 'HISTATIN-3', NULL, NULL, 27570, 15),
(117739, NULL, 'PTHR11214:SF280', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(117740, NULL, 'PTHR31929:SF120', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR23-LIKE', NULL, NULL, NULL, 15),
(117741, NULL, 'PTHR30305', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(117742, NULL, 'PTHR36019:SF3', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN', NULL, NULL, NULL, 15),
(117743, NULL, 'PTHR14102:SF3', NULL, NULL, NULL, NULL, 'PARTITIONING DEFECTIVE 6 HOMOLOG GAMMA', NULL, NULL, 19808, 15),
(117744, NULL, 'PTHR46104', NULL, NULL, NULL, NULL, 'GENE 9195-RELATED-RELATED', NULL, NULL, NULL, 15),
(117745, NULL, 'PTHR47968:SF18', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7F', NULL, NULL, NULL, 15),
(117746, NULL, 'PTHR37463', NULL, NULL, NULL, NULL, 'GSL3115 PROTEIN', NULL, NULL, 20689, 15),
(117747, NULL, 'PTHR12300:SF53', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(117748, NULL, 'PTHR48002:SF137', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(117749, NULL, 'PTHR43247', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE AMINOTRANSFERASE', NULL, NULL, 15760, 15),
(117750, NULL, 'PTHR33734:SF19', NULL, NULL, NULL, NULL, 'BNAC03G47500D PROTEIN', NULL, NULL, NULL, 15),
(117751, NULL, 'PTHR15592:SF13', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN L-LIKE', NULL, NULL, NULL, 15),
(117752, NULL, 'PTHR35826:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ATP6V1FNB-LIKE', NULL, NULL, NULL, 15),
(117753, NULL, 'PTHR22943:SF137', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(117754, NULL, 'PTHR22974:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117755, NULL, 'PTHR34467', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(117756, NULL, 'PTHR47945', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 84A1-RELATED', NULL, NULL, NULL, 15),
(117757, NULL, 'PTHR12791:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117758, NULL, 'PTHR45678', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 2-OXODICARBOXYLATE CARRIER 1-RELATED', NULL, NULL, NULL, 15),
(117759, NULL, 'PTHR23315:SF129', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(117760, NULL, 'PTHR13738:SF35', NULL, NULL, NULL, NULL, 'TROPONIN I, SKELETAL, SLOW C-RELATED', NULL, NULL, NULL, 15),
(117761, NULL, 'PTHR45705:SF1', NULL, NULL, NULL, NULL, 'FI20236P1', NULL, NULL, NULL, 15),
(117762, NULL, 'PTHR19282:SF216', NULL, NULL, NULL, NULL, 'TETRASPANIN-1', NULL, NULL, NULL, 15),
(117763, NULL, 'PTHR45637:SF60', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL1', NULL, NULL, NULL, 15),
(117764, NULL, 'PTHR34210:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117765, NULL, 'PTHR11680:SF37', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(117766, NULL, 'PTHR13264', NULL, NULL, NULL, NULL, 'GCIP-INTERACTING PROTEIN P29', NULL, NULL, 13288, 15),
(117767, NULL, 'PTHR18945:SF853', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT BETA-LIKE', NULL, NULL, NULL, 15),
(117768, NULL, 'PTHR31676:SF105', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117769, NULL, 'PTHR33641:SF17', NULL, NULL, NULL, NULL, 'AVR9/CF-9 RAPIDLY ELICITED PROTEIN', NULL, NULL, NULL, 15),
(117770, NULL, 'PTHR12911:SF2', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(117771, NULL, 'PTHR34114:SF10', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 12', NULL, NULL, NULL, 15),
(117772, NULL, 'PTHR31282:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117773, NULL, 'PTHR10983:SF24', NULL, NULL, NULL, NULL, 'MIP21173P-RELATED', NULL, NULL, NULL, 15),
(117774, NULL, 'PTHR43840:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG10923', NULL, NULL, NULL, 15),
(117775, NULL, 'PTHR46351:SF7', NULL, NULL, NULL, NULL, 'HEVEIN-LIKE PREPROPROTEIN', NULL, NULL, NULL, 15),
(117776, NULL, 'PTHR19446:SF431', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117777, NULL, 'PTHR18860:SF112', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 KAPPA', NULL, NULL, NULL, 15),
(117778, NULL, 'PTHR47700:SF1', NULL, NULL, NULL, NULL, 'V CHITINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13720)-RELATED', NULL, NULL, NULL, 15),
(117779, NULL, 'PTHR11811:SF56', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING', NULL, NULL, NULL, 15),
(117780, NULL, 'PTHR33594', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03035)-RELATED', NULL, NULL, NULL, 15),
(117781, NULL, 'PTHR24232:SF6', NULL, NULL, NULL, NULL, 'PURINERGIC RECEPTOR P2Y, G-PROTEIN-COUPLED 10B', NULL, NULL, NULL, 15),
(117782, NULL, 'PTHR26453:SF26', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(117783, NULL, 'PTHR11530:SF6', NULL, NULL, NULL, NULL, 'D-ASPARTATE OXIDASE 3', NULL, NULL, NULL, 15),
(117784, NULL, 'PTHR11829:SF156', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN E1', NULL, NULL, NULL, 15),
(117785, NULL, 'PTHR36684:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX14', NULL, NULL, NULL, 15),
(117786, NULL, 'PTHR12612:SF38', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2', NULL, NULL, NULL, 15),
(117787, NULL, 'PTHR40763:SF5', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(117788, NULL, 'PTHR24399:SF6', NULL, NULL, NULL, NULL, 'MYONEURIN', NULL, NULL, NULL, 15),
(117789, NULL, 'PTHR12989:SF10', NULL, NULL, NULL, NULL, 'DOL-P-GLC:GLC(2)MAN(9)GLCNAC(2)-PP-DOL ALPHA-1,2-GLUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(117790, NULL, 'PTHR33864:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117791, NULL, 'PTHR24038', NULL, NULL, NULL, NULL, 'STABILIN', NULL, NULL, NULL, 15),
(117792, NULL, 'PTHR12694:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 1', NULL, NULL, NULL, 15),
(117793, NULL, 'PTHR43429:SF2', NULL, NULL, NULL, NULL, 'PYRIDINE NUCLEOTIDE-DISULFIDE OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(117794, NULL, 'PTHR31116:SF21', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE I', NULL, NULL, NULL, 15),
(117795, NULL, 'PTHR31867:SF25', NULL, NULL, NULL, NULL, 'EXPANSIN-A17', NULL, NULL, NULL, 15),
(117796, NULL, 'PTHR47997:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB86', NULL, NULL, NULL, 15),
(117797, NULL, 'PTHR22792:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117798, NULL, 'PTHR48041:SF79', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(117799, NULL, 'PTHR31589:SF131', NULL, NULL, NULL, NULL, 'OS05G0169800 PROTEIN', NULL, NULL, NULL, 15),
(117800, NULL, 'PTHR33048:SF140', NULL, NULL, NULL, NULL, 'ATPASE, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(117801, NULL, 'PTHR31262:SF15', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN', NULL, NULL, NULL, 15),
(117802, NULL, 'PTHR15069', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 1', NULL, NULL, 18422, 15),
(117803, NULL, 'PTHR10772:SF41', NULL, NULL, NULL, NULL, 'CHAPERONIN 20-LIKE PROTEIN', NULL, NULL, NULL, 15),
(117804, NULL, 'PTHR46220', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD12', NULL, NULL, 37423, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117805, NULL, 'PTHR43272:SF3', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 4', NULL, NULL, NULL, 15),
(117806, NULL, 'PTHR47999:SF67', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB4', NULL, NULL, NULL, 15),
(117807, NULL, 'PTHR44272:SF6', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 15-LIKE', NULL, NULL, NULL, 15),
(117808, NULL, 'PTHR23023:SF118', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', NULL, NULL, NULL, 15),
(117809, NULL, 'PTHR31676:SF91', NULL, NULL, NULL, NULL, 'OS07G0120600-LIKE PROTEIN', NULL, NULL, NULL, 15),
(117810, NULL, 'PTHR33214:SF30', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(117811, NULL, 'PTHR47123:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117812, NULL, 'PTHR33304:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117813, NULL, 'PTHR43409:SF4', NULL, NULL, NULL, NULL, 'RADICAL SAM SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(117814, NULL, 'PTHR23155:SF999', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPM1', NULL, NULL, NULL, 15),
(117815, NULL, 'PTHR31223:SF16', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOGL7-RELATED', NULL, NULL, NULL, 15),
(117816, NULL, 'PTHR31062:SF16', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(117817, NULL, 'PTHR43939:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117818, NULL, 'PTHR45934:SF17', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT URATE HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(117819, NULL, 'PTHR45086', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN PCN', NULL, NULL, 38751, 15),
(117820, NULL, 'PTHR14155:SF584', NULL, NULL, NULL, NULL, 'OS01G0755700 PROTEIN', NULL, NULL, NULL, 15),
(117821, NULL, 'PTHR32444:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117822, NULL, 'PTHR31044:SF39', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(117823, NULL, 'PTHR35813', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YBAN', NULL, NULL, 3880, 15),
(117824, NULL, 'PTHR15258:SF3', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(117825, NULL, 'PTHR16223:SF203', NULL, NULL, NULL, NULL, 'BNAA02G07950D PROTEIN', NULL, NULL, NULL, 15),
(117826, NULL, 'PTHR27002:SF803', NULL, NULL, NULL, NULL, 'OS07G0628900 PROTEIN', NULL, NULL, NULL, 15),
(117827, NULL, 'PTHR43537:SF18', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE OPERON REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(117828, NULL, 'PTHR32266:SF12', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE 3', NULL, NULL, NULL, 15),
(117829, NULL, 'PTHR33103:SF57', NULL, NULL, NULL, NULL, 'BNACNNG03830D PROTEIN', NULL, NULL, NULL, 15),
(117830, NULL, 'PTHR12015:SF72', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 21', NULL, NULL, 22345, 15),
(117831, NULL, 'PTHR37181', NULL, NULL, NULL, NULL, 'F6A14.6 PROTEIN', NULL, NULL, NULL, 15),
(117832, NULL, 'PTHR10334:SF431', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN PRMS-LIKE', NULL, NULL, NULL, 15),
(117833, NULL, 'PTHR33248:SF23', NULL, NULL, NULL, NULL, 'OS07G0103000 PROTEIN', NULL, NULL, NULL, 15),
(117834, NULL, 'PTHR30029:SF2', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN R', NULL, NULL, NULL, 15),
(117835, NULL, 'PTHR45920:SF4', NULL, NULL, NULL, NULL, 'FORMIN HOMOLOGY 2 DOMAIN CONTAINING, ISOFORM I', NULL, NULL, NULL, 15),
(117836, NULL, 'PTHR16674:SF2', NULL, NULL, NULL, NULL, 'B-LYMPHOCYTE ANTIGEN CD19', NULL, NULL, NULL, 15),
(117837, NULL, 'PTHR33170:SF24', NULL, NULL, NULL, NULL, 'OS01G0148500 PROTEIN', NULL, NULL, NULL, 15),
(117838, NULL, 'PTHR45932:SF17', NULL, NULL, NULL, NULL, 'PATELLIN-1', NULL, NULL, NULL, 15),
(117839, NULL, 'PTHR33373:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117840, NULL, 'PTHR45881:SF1', NULL, NULL, NULL, NULL, 'CHECKPOINT SUPPRESSOR 1-LIKE, ISOFORM A-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117841, NULL, 'PTHR30352:SF22', NULL, NULL, NULL, NULL, 'PYRUVATE FORMATE-LYASE ACTIVATING ENZYME HOMOLOG', NULL, NULL, NULL, 15),
(117842, NULL, 'PTHR42920:SF22', NULL, NULL, NULL, NULL, 'PERMEASE-LIKE PROTEIN YDZE-RELATED', NULL, NULL, NULL, 15),
(117843, NULL, 'PTHR42872:SF3', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMATE METHYLESTERASE/PROTEIN-GLUTAMINE GLUTAMINASE', NULL, NULL, NULL, 15),
(117844, NULL, 'PTHR33543:SF26', NULL, NULL, NULL, NULL, 'BNAC02G03550D PROTEIN', NULL, NULL, NULL, 15),
(117845, NULL, 'PTHR12236:SF75', NULL, NULL, NULL, NULL, 'CCP84AA-RELATED', NULL, NULL, NULL, 15),
(117846, NULL, 'PTHR15146:SF7', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 137', NULL, NULL, NULL, 15),
(117847, NULL, 'PTHR24408:SF38', NULL, NULL, NULL, NULL, 'RE23320P-RELATED', NULL, NULL, NULL, 15),
(117848, NULL, 'PTHR23517:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117849, NULL, 'PTHR45914:SF34', NULL, NULL, NULL, NULL, 'BNAC08G21730D PROTEIN', NULL, NULL, NULL, 15),
(117850, NULL, 'PTHR24185:SF4', NULL, NULL, NULL, NULL, 'SERINE HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G07870)-RELATED', NULL, NULL, NULL, 15),
(117851, NULL, 'PTHR24412:SF250', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(117852, NULL, 'PTHR23292:SF27', NULL, NULL, NULL, NULL, 'SI:CH211-202H22.7-RELATED', NULL, NULL, NULL, 15),
(117853, NULL, 'PTHR43326', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA SYNTHETASE', NULL, NULL, 16437, 15),
(117854, NULL, 'PTHR24281:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117855, NULL, 'PTHR31175:SF47', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR66-LIKE', NULL, NULL, NULL, 15),
(117856, NULL, 'PTHR33417:SF1', NULL, NULL, NULL, NULL, 'B12D PROTEIN', NULL, NULL, NULL, 15),
(117857, NULL, 'PTHR10004:SF8', NULL, NULL, NULL, NULL, 'OS06G0538200 PROTEIN', NULL, NULL, NULL, 15),
(117858, NULL, 'PTHR42342', NULL, NULL, NULL, NULL, 'STATIONARY PHASE PROTEIN 5', NULL, NULL, 35104, 15),
(117859, NULL, 'PTHR24064:SF198', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 13', NULL, NULL, NULL, 15),
(117860, NULL, 'PTHR31677:SF160', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF086-LIKE', NULL, NULL, NULL, 15),
(117861, NULL, 'PTHR19290:SF97', NULL, NULL, NULL, NULL, 'CLASS A BASIC HELIX-LOOP-HELIX PROTEIN 15', NULL, NULL, NULL, 15),
(117862, NULL, 'PTHR19229:SF205', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(117863, NULL, 'PTHR15970:SF7', NULL, NULL, NULL, NULL, 'ELL-ASSOCIATED FACTOR 2', NULL, NULL, NULL, 15),
(117864, NULL, 'PTHR23024:SF527', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 11-RELATED', NULL, NULL, NULL, 15),
(117865, NULL, 'PTHR11761:SF27', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L14, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(117866, NULL, 'PTHR47353', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN HCF164, CHLOROPLASTIC', NULL, NULL, 37356, 15),
(117867, NULL, 'PTHR47991:SF57', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(117868, NULL, 'PTHR11945:SF620', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117869, NULL, 'PTHR43787:SF8', NULL, NULL, NULL, NULL, 'PYRUVATE FORMATE-LYASE ACTIVATING ENZYME HOMOLOG', NULL, NULL, NULL, 15),
(117870, NULL, 'PTHR43061:SF1', NULL, NULL, NULL, NULL, 'GTP DIPHOSPHOKINASE RSH1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(117871, NULL, 'PTHR45757:SF32', NULL, NULL, NULL, NULL, 'PROTEIN CBG09321', NULL, NULL, NULL, 15),
(117872, NULL, 'PTHR23128:SF135', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-27', NULL, NULL, NULL, 15),
(117873, NULL, 'PTHR43899:SF21', NULL, NULL, NULL, NULL, 'OSJNBB0050O03.5 PROTEIN', NULL, NULL, NULL, 15),
(117874, NULL, 'PTHR23222:SF14', NULL, NULL, NULL, NULL, 'PROHIBITIN', NULL, NULL, NULL, 15),
(117875, NULL, 'PTHR47435:SF5', NULL, NULL, NULL, NULL, 'NITRILE-SPECIFIER PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(117876, NULL, 'PTHR10417:SF9', NULL, NULL, NULL, NULL, 'SP140 NUCLEAR BODY PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117877, NULL, 'PTHR45006:SF1', NULL, NULL, NULL, NULL, 'DNAJ-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(117878, NULL, 'PTHR11017:SF284', NULL, NULL, NULL, NULL, 'BNAC03G72990D PROTEIN', NULL, NULL, NULL, 15),
(117879, NULL, 'PTHR12329:SF5', NULL, NULL, NULL, NULL, 'STARVIN, ISOFORM E', NULL, NULL, NULL, 15),
(117880, NULL, 'PTHR10985:SF104', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HES-5', NULL, NULL, NULL, 15),
(117881, NULL, 'PTHR12080:SF44', NULL, NULL, NULL, NULL, 'T-LYMPHOCYTE SURFACE ANTIGEN LY-9', NULL, NULL, NULL, 15),
(117882, NULL, 'PTHR13533:SF16', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 14-RELATED', NULL, NULL, NULL, 15),
(117883, NULL, 'PTHR13061:SF46', NULL, NULL, NULL, NULL, 'BNACNNG50110D PROTEIN', NULL, NULL, NULL, 15),
(117884, NULL, 'PTHR19302:SF14', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT 3', NULL, NULL, NULL, 15),
(117885, NULL, 'PTHR11909:SF390', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE PROTEIN', NULL, NULL, NULL, 15),
(117886, NULL, 'PTHR31744:SF160', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 100-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(117887, NULL, 'PTHR37992', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 14488, 15),
(117888, NULL, 'PTHR16223:SF258', NULL, NULL, NULL, NULL, 'HLH DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(117889, NULL, 'PTHR45947', NULL, NULL, NULL, NULL, 'SULFOQUINOVOSYL TRANSFERASE SQD2', NULL, NULL, NULL, 15),
(117890, NULL, 'PTHR43424', NULL, NULL, NULL, NULL, 'LOCUS PUTATIVE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(117891, NULL, 'PTHR11693:SF34', NULL, NULL, NULL, NULL, 'BNAC03G29960D PROTEIN', NULL, NULL, NULL, 15),
(117892, NULL, 'PTHR23192:SF49', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-LIKE PROTEIN 3B', NULL, NULL, NULL, 15),
(117893, NULL, 'PTHR24256:SF462', NULL, NULL, NULL, NULL, 'FI06461P-RELATED', NULL, NULL, NULL, 15),
(117894, NULL, 'PTHR48034:SF4', NULL, NULL, NULL, NULL, 'NUCLEOLIN', NULL, NULL, NULL, 15),
(117895, NULL, 'PTHR33799:SF9', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE-SPECIFIC PHOSPHOTRANSFERASE ENZYME IIB COMPONENT 1-RELATED', NULL, NULL, NULL, 15),
(117896, NULL, 'PTHR21652:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117897, NULL, 'PTHR34365:SF7', NULL, NULL, NULL, NULL, 'GLYCINE-RICH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(117898, NULL, 'PTHR24023:SF1000', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117899, NULL, 'PTHR23360:SF38', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(117900, NULL, 'PTHR48021:SF31', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 5 ISOFORM X1', NULL, NULL, NULL, 15),
(117901, NULL, 'PTHR31062:SF231', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(117902, NULL, 'PTHR18966:SF439', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(117903, NULL, 'PTHR14043:SF15', NULL, NULL, NULL, NULL, 'CUT-LIKE HOMEOBOX 1B', NULL, NULL, NULL, 15),
(117904, NULL, 'PTHR48019:SF18', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(117905, NULL, 'PTHR31213:SF93', NULL, NULL, NULL, NULL, 'MAJOR ALLERGEN PRU AV 1-LIKE', NULL, NULL, NULL, 15),
(117906, NULL, 'PTHR10462:SF46', NULL, NULL, NULL, NULL, 'N-ACETYLLACTOSAMINIDE ALPHA-1,3-GALACTOSYLTRANSFERASE-LIKE 1', NULL, NULL, NULL, 15),
(117907, NULL, 'PTHR47364:SF8', NULL, NULL, NULL, NULL, 'BNAC08G48010D PROTEIN', NULL, NULL, NULL, 15),
(117908, NULL, 'PTHR10796:SF100', NULL, NULL, NULL, NULL, 'PROTEIN CBR-DAF-6', NULL, NULL, NULL, 15),
(117909, NULL, 'PTHR33110:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117910, NULL, 'PTHR48022:SF6', NULL, NULL, NULL, NULL, 'MSTA PROTEIN', NULL, NULL, NULL, 15),
(117911, NULL, 'PTHR10209:SF723', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117912, NULL, 'PTHR13148:SF13', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117913, NULL, 'PTHR45719:SF19', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14B-LIKE', NULL, NULL, NULL, 15),
(117914, NULL, 'PTHR34563:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117915, NULL, 'PTHR10827:SF45', NULL, NULL, NULL, NULL, 'CALEXCITIN-2', NULL, NULL, NULL, 15),
(117916, NULL, 'PTHR10992:SF1060', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117917, NULL, 'PTHR33167:SF18', NULL, NULL, NULL, NULL, 'GB|AAF67766.1', NULL, NULL, NULL, 15),
(117918, NULL, 'PTHR10130', NULL, NULL, NULL, NULL, 'PEROXISOMAL TARGETING SIGNAL 1 RECEPTOR  PEX5', NULL, NULL, 9623, 15),
(117919, NULL, 'PTHR23098:SF15', NULL, NULL, NULL, NULL, 'SI:CH211-261D7.3', NULL, NULL, NULL, 15),
(117920, NULL, 'PTHR47503', NULL, NULL, NULL, NULL, 'PURKINJE CELL PROTEIN 2', NULL, NULL, 39754, 15),
(117921, NULL, 'PTHR32141:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117922, NULL, 'PTHR45638:SF14', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE GATED CHANNEL', NULL, NULL, NULL, 15),
(117923, NULL, 'PTHR11783:SF156', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 1A1', NULL, NULL, NULL, 15),
(117924, NULL, 'PTHR22968:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D2', NULL, NULL, NULL, 15),
(117925, NULL, 'PTHR33264:SF42', NULL, NULL, NULL, NULL, 'BNAA05G33790D PROTEIN', NULL, NULL, NULL, 15),
(117926, NULL, 'PTHR12542:SF115', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(117927, NULL, 'PTHR47958:SF103', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX41-RELATED', NULL, NULL, NULL, 15),
(117928, NULL, 'PTHR34223:SF13', NULL, NULL, NULL, NULL, 'OS08G0197400 PROTEIN', NULL, NULL, NULL, 15),
(117929, NULL, 'PTHR10706:SF144', NULL, NULL, NULL, NULL, 'OS02G0260200 PROTEIN', NULL, NULL, NULL, 15),
(117930, NULL, 'PTHR31920:SF75', NULL, NULL, NULL, NULL, 'BNAANNG11010D PROTEIN', NULL, NULL, NULL, 15),
(117931, NULL, 'PTHR33371:SF15', NULL, NULL, NULL, NULL, 'LIPOPROTEIN LPRN', NULL, NULL, NULL, 15),
(117932, NULL, 'PTHR31989:SF351', NULL, NULL, NULL, NULL, 'BNAA09G51630D PROTEIN', NULL, NULL, NULL, 15),
(117933, NULL, 'PTHR11559:SF370', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(117934, NULL, 'PTHR11559:SF188', NULL, NULL, NULL, NULL, 'PROTEIN CBG02889', NULL, NULL, NULL, 15),
(117935, NULL, 'PTHR48009:SF5', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(117936, NULL, 'PTHR13778:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 8 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(117937, NULL, 'PTHR46334', NULL, NULL, NULL, NULL, 'COSTARS FAMILY PROTEIN ABRACL', NULL, NULL, 38777, 15),
(117938, NULL, 'PTHR45527:SF7', NULL, NULL, NULL, NULL, 'HYDROXAMATE-TYPE FERRICHROME SIDEROPHORE PEPTIDE SYNTHETASE', NULL, NULL, NULL, 15),
(117939, NULL, 'PTHR31989:SF36', NULL, NULL, NULL, NULL, 'OS06G0726300 PROTEIN', NULL, NULL, NULL, 15),
(117940, NULL, 'PTHR43323:SF15', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', NULL, NULL, NULL, 15),
(117941, NULL, 'PTHR31969:SF47', NULL, NULL, NULL, NULL, 'BNAC02G41650D PROTEIN', NULL, NULL, NULL, 15),
(117942, NULL, 'PTHR13743:SF134', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN LVSC', NULL, NULL, NULL, 15),
(117943, NULL, 'PTHR31268:SF12', NULL, NULL, NULL, NULL, 'STACHYOSE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(117944, NULL, 'PTHR13222:SF4', NULL, NULL, NULL, NULL, 'BNAA03G50540D PROTEIN', NULL, NULL, NULL, 15),
(117945, NULL, 'PTHR38839:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR WHIB7-RELATED', NULL, NULL, NULL, 15),
(117946, NULL, 'PTHR34992:SF5', NULL, NULL, NULL, NULL, 'ANCHORED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G02800)-RELATED', NULL, NULL, NULL, 15),
(117947, NULL, 'PTHR10589:SF16', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE ISOZYME L5', NULL, NULL, NULL, 15),
(117948, NULL, 'PTHR30026:SF8', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN TOLC, PUTATIVE-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117949, NULL, 'PTHR11843:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15),
(117950, NULL, 'PTHR12601:SF39', NULL, NULL, NULL, NULL, 'PROTEIN TSS', NULL, NULL, NULL, 15),
(117951, NULL, 'PTHR46169:SF14', NULL, NULL, NULL, NULL, 'SIN3-HDAC COMPLEX-ASSOCIATED FACTOR,-LIKE-RELATED', NULL, NULL, NULL, 15),
(117952, NULL, 'PTHR13954:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117953, NULL, 'PTHR48196', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117954, NULL, 'PTHR48002:SF121', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4A4-RELATED', NULL, NULL, NULL, 15),
(117955, NULL, 'PTHR27005:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117956, NULL, 'PTHR31245:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117957, NULL, 'PTHR27009:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117958, NULL, 'PTHR36369:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(117959, NULL, 'PTHR43866:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117960, NULL, 'PTHR10361:SF30', NULL, NULL, NULL, NULL, 'SODIUM/METABOLITE COTRANSPORTER BASS6, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(117961, NULL, 'PTHR10223:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117962, NULL, 'PTHR24373:SF307', NULL, NULL, NULL, NULL, 'TLR4 INTERACTOR WITH LEUCINE RICH REPEATS', NULL, NULL, NULL, 15),
(117963, NULL, 'PTHR23152:SF27', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE, E1 COMPONENT', NULL, NULL, NULL, 15),
(117964, NULL, 'PTHR11567:SF196', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE FAMILY', NULL, NULL, NULL, 15),
(117965, NULL, 'PTHR47152:SF3', NULL, NULL, NULL, NULL, 'SLR1613 PROTEIN', NULL, NULL, NULL, 15),
(117966, NULL, 'PTHR47136:SF1', NULL, NULL, NULL, NULL, 'SYNEMIN', NULL, NULL, NULL, 15),
(117967, NULL, 'PTHR24390:SF140', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 763', NULL, NULL, NULL, 15),
(117968, NULL, 'PTHR11260:SF573', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117969, NULL, 'PTHR13372:SF3', NULL, NULL, NULL, NULL, 'MULTICILIN', NULL, NULL, 25605, 15),
(117970, NULL, 'PTHR47919:SF2', NULL, NULL, NULL, NULL, 'INFECTION RESPONSE PROTEIN', NULL, NULL, NULL, 15),
(117971, NULL, 'PTHR35001:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117972, NULL, 'PTHR47122', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(117973, NULL, 'PTHR11647:SF58', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINASE-RELATED PROTEIN 5', NULL, NULL, 24687, 15),
(117974, NULL, 'PTHR11738:SF154', NULL, NULL, NULL, NULL, 'LEUKOCYTE-ASSOCIATED IMMUNOGLOBULIN-LIKE RECEPTOR 1', NULL, NULL, NULL, 15),
(117975, NULL, 'PTHR33595:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117976, NULL, 'PTHR31989:SF373', NULL, NULL, NULL, NULL, 'BNAC02G44420D PROTEIN', NULL, NULL, NULL, 15),
(117977, NULL, 'PTHR12215', NULL, NULL, NULL, NULL, 'PHOSPHOPANTETHEINE TRANSFERASE', NULL, NULL, NULL, 15),
(117978, NULL, 'PTHR27001:SF543', NULL, NULL, NULL, NULL, 'OS10G0516200 PROTEIN', NULL, NULL, NULL, 15),
(117979, NULL, 'PTHR13140:SF729', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, UNCONVENTIONAL MYOSIN', NULL, NULL, NULL, 15),
(117980, NULL, 'PTHR24024:SF15', NULL, NULL, NULL, NULL, 'PULMONARY SURFACTANT-ASSOCIATED PROTEIN D', NULL, NULL, NULL, 15),
(117981, NULL, 'PTHR11360:SF19', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 13', NULL, NULL, NULL, 15),
(117982, NULL, 'PTHR22943:SF64', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(117983, NULL, 'PTHR39161:SF1', NULL, NULL, NULL, NULL, 'ADAPTER PROTEIN MECA', NULL, NULL, NULL, 15),
(117984, NULL, 'PTHR18959:SF100', NULL, NULL, NULL, NULL, 'CALPONIN-LIKE PROTEINS-RELATED', NULL, NULL, NULL, 15),
(117985, NULL, 'PTHR22761:SF64', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 32 HOMOLOG 2', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(117986, NULL, 'PTHR24056:SF401', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', NULL, NULL, NULL, 15),
(117987, NULL, 'PTHR38624', NULL, NULL, NULL, NULL, 'PROTEIN CBG08397-RELATED', NULL, NULL, NULL, 15),
(117988, NULL, 'PTHR11969:SF33', NULL, NULL, NULL, NULL, 'MAX-BINDING PROTEIN MNT', NULL, NULL, NULL, 15),
(117989, NULL, 'PTHR31208:SF3', NULL, NULL, NULL, NULL, 'OS01G0953500 PROTEIN', NULL, NULL, NULL, 15),
(117990, NULL, 'PTHR24343:SF419', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117991, NULL, 'PTHR43133:SF14', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR-RELATED', NULL, NULL, NULL, 15),
(117992, NULL, 'PTHR15491:SF13', NULL, NULL, NULL, NULL, 'CDKN1A-INTERACTING ZINC FINGER PROTEIN 1A', NULL, NULL, NULL, 15),
(117993, NULL, 'PTHR37372:SF2', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN GRP5', NULL, NULL, NULL, 15),
(117994, NULL, 'PTHR35502', NULL, NULL, NULL, NULL, 'PROTEIN MICROTUBULE BINDING PROTEIN 2C', NULL, NULL, 29997, 15),
(117995, NULL, 'PTHR30543:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-DEPENDENT FMN REDUCTASE LOT6', NULL, NULL, NULL, 15),
(117996, NULL, 'PTHR32052:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(117997, NULL, 'PTHR46292:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 102A', NULL, NULL, NULL, 15),
(117998, NULL, 'PTHR23410:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L5-LIKE', NULL, NULL, NULL, 15),
(117999, NULL, 'PTHR22642', NULL, NULL, NULL, NULL, 'IMIDAZOLONEPROPIONASE', NULL, NULL, NULL, 15),
(118000, NULL, 'PTHR45651:SF82', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE GATED CHANNEL 5-RELATED', NULL, NULL, NULL, 15),
(118001, NULL, 'PTHR48196:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118002, NULL, 'PTHR32133:SF327', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118003, NULL, 'PTHR31989:SF342', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118004, NULL, 'PTHR23202:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118005, NULL, 'PTHR46389:SF3', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN PC', NULL, NULL, NULL, 15),
(118006, NULL, 'PTHR33463:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118007, NULL, 'PTHR13929:SF0', NULL, NULL, NULL, NULL, 'UBIA PRENYLTRANSFERASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(118008, NULL, 'PTHR48017:SF81', NULL, NULL, NULL, NULL, 'OS04G0201800 PROTEIN', NULL, NULL, NULL, 15),
(118009, NULL, 'PTHR27007:SF331', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118010, NULL, 'PTHR12741:SF16', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 7', NULL, NULL, NULL, 15),
(118011, NULL, 'PTHR46368:SF8', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE FAMILY, NAD-BINDING ROSSMANN FOLD PROTEIN', NULL, NULL, NULL, 15),
(118012, NULL, 'PTHR11675:SF17', NULL, NULL, NULL, NULL, 'INACTIVE POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(118013, NULL, 'PTHR10625:SF185', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 19', NULL, NULL, NULL, 15),
(118014, NULL, 'PTHR47022:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08764', NULL, NULL, NULL, 15),
(118015, NULL, 'PTHR47993:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118016, NULL, 'PTHR10551:SF1', NULL, NULL, NULL, NULL, 'FASCIN-3', NULL, NULL, 24888, 15),
(118017, NULL, 'PTHR47488:SF13', NULL, NULL, NULL, NULL, 'BNAA01G17470D PROTEIN', NULL, NULL, NULL, 15),
(118018, NULL, 'PTHR14110:SF16', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLOCASE/ PROTEIN TRANSPORTER', NULL, NULL, NULL, 15),
(118019, NULL, 'PTHR35218:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118020, NULL, 'PTHR11616:SF272', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT DOPAMINE TRANSPORTER', NULL, NULL, NULL, 15),
(118021, NULL, 'PTHR16240', NULL, NULL, NULL, NULL, 'PROTEIN MENT', NULL, NULL, 25973, 15),
(118022, NULL, 'PTHR24281:SF105', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP73A100-LIKE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118023, NULL, 'PTHR44019:SF8', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 55', NULL, NULL, NULL, 15),
(118024, NULL, 'PTHR46931:SF2', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC2', NULL, NULL, NULL, 15),
(118025, NULL, 'PTHR10378:SF8', NULL, NULL, NULL, NULL, 'LIM DOMAIN-BINDING PROTEIN 2', NULL, NULL, 23453, 15),
(118026, NULL, 'PTHR11733:SF199', NULL, NULL, NULL, NULL, 'NEPRILYSIN-4-RELATED', NULL, NULL, NULL, 15),
(118027, NULL, 'PTHR12265', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 13401, 15),
(118028, NULL, 'PTHR10285:SF135', NULL, NULL, NULL, NULL, 'URACIL PHOSPHORIBOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(118029, NULL, 'PTHR33207:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118030, NULL, 'PTHR46445:SF11', NULL, NULL, NULL, NULL, 'BNACNNG37970D PROTEIN', NULL, NULL, NULL, 15),
(118031, NULL, 'PTHR47980:SF14', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABE1D', NULL, NULL, NULL, 15),
(118032, NULL, 'PTHR21470:SF2', NULL, NULL, NULL, NULL, 'RAB6-INTERACTING GOLGIN', NULL, NULL, NULL, 15),
(118033, NULL, 'PTHR11124:SF12', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 29', NULL, NULL, 23713, 15),
(118034, NULL, 'PTHR23226:SF142', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 75C-RELATED', NULL, NULL, NULL, 15),
(118035, NULL, 'PTHR31280:SF5', NULL, NULL, NULL, NULL, 'OS10G0264950 PROTEIN', NULL, NULL, NULL, 15),
(118036, NULL, 'PTHR34989:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HDED', NULL, NULL, NULL, 15),
(118037, NULL, 'PTHR24388:SF69', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN PLAG1', NULL, NULL, NULL, 15),
(118038, NULL, 'PTHR35396', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118039, NULL, 'PTHR46800:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(118040, NULL, 'PTHR35286', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(118041, NULL, 'PTHR13439:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FAM57B', NULL, NULL, NULL, 15),
(118042, NULL, 'PTHR13451', NULL, NULL, NULL, NULL, 'CLASS II CROSSOVER JUNCTION ENDONUCLEASE MUS81', NULL, NULL, 36489, 15),
(118043, NULL, 'PTHR33469:SF13', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 4', NULL, NULL, NULL, 15),
(118044, NULL, 'PTHR14754:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 9', NULL, NULL, NULL, 15),
(118045, NULL, 'PTHR12756:SF9', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE 6', NULL, NULL, NULL, 15),
(118046, NULL, 'PTHR32347:SF14', NULL, NULL, NULL, NULL, 'EFFLUX SYSTEM COMPONENT YKNX-RELATED', NULL, NULL, NULL, 15),
(118047, NULL, 'PTHR39072', NULL, NULL, NULL, NULL, 'RE48511P', NULL, NULL, NULL, 15),
(118048, NULL, 'PTHR23266:SF324', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-9', NULL, NULL, NULL, 15),
(118049, NULL, 'PTHR12815:SF32', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PROTEIN 80, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(118050, NULL, 'PTHR26454:SF74', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(118051, NULL, 'PTHR45908:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG10127', NULL, NULL, NULL, 15),
(118052, NULL, 'PTHR24031:SF729', NULL, NULL, NULL, NULL, 'BNAA01G17110D PROTEIN', NULL, NULL, NULL, 15),
(118053, NULL, 'PTHR43859:SF19', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 5 PEROXISOMAL-RELATED', NULL, NULL, NULL, 15),
(118054, NULL, 'PTHR31170:SF9', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED', NULL, NULL, NULL, 15),
(118055, NULL, 'PTHR11036:SF14', NULL, NULL, NULL, NULL, 'SEMAPHORIN-4B', NULL, NULL, NULL, 15),
(118056, NULL, 'PTHR23236:SF49', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(118057, NULL, 'PTHR31499:SF60', NULL, NULL, NULL, NULL, 'OS02G0700300 PROTEIN', NULL, NULL, NULL, 15),
(118058, NULL, 'PTHR31194:SF153', NULL, NULL, NULL, NULL, 'BNAA02G35550D PROTEIN', NULL, NULL, NULL, 15),
(118059, NULL, 'PTHR46440:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C12', NULL, NULL, NULL, 15),
(118060, NULL, 'PTHR24185:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-INDEPENDENT PHOSPHOLIPASE A2-GAMMA', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118061, NULL, 'PTHR13191', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA PROCESSING PROTEIN 7-RELATED', NULL, NULL, 34162, 15),
(118062, NULL, 'PTHR11802:SF389', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 5', NULL, NULL, NULL, 15),
(118063, NULL, 'PTHR19306:SF9', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 6B', NULL, NULL, 23245, 15),
(118064, NULL, 'PTHR10903:SF152', NULL, NULL, NULL, NULL, 'PROTEIN AIG1-LIKE', NULL, NULL, NULL, 15),
(118065, NULL, 'PTHR23149:SF9', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(118066, NULL, 'PTHR42673:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118067, NULL, 'PTHR31867:SF154', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(118068, NULL, 'PTHR33690:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118069, NULL, 'PTHR10795:SF729', NULL, NULL, NULL, NULL, 'BNAA03G58460D PROTEIN', NULL, NULL, NULL, 15),
(118070, NULL, 'PTHR23407', NULL, NULL, NULL, NULL, 'ATPASE INHIBITOR/5-FORMYLTETRAHYDROFOLATE CYCLO-LIGASE', NULL, NULL, NULL, 15),
(118071, NULL, 'PTHR13367:SF26', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 62', NULL, NULL, NULL, 15),
(118072, NULL, 'PTHR24028:SF298', NULL, NULL, NULL, NULL, 'CADHERIN 88C', NULL, NULL, NULL, 15),
(118073, NULL, 'PTHR35270:SF2', NULL, NULL, NULL, NULL, 'FUSELESS, ISOFORM A', NULL, NULL, NULL, 15),
(118074, NULL, 'PTHR40661:SF2', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PRTR', NULL, NULL, NULL, 15),
(118075, NULL, 'PTHR15818:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118076, NULL, 'PTHR11827:SF46', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 4', NULL, NULL, 5751, 15),
(118077, NULL, 'PTHR23500:SF472', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 8', NULL, NULL, NULL, 15),
(118078, NULL, 'PTHR35093:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE LONG-CHAIN FATTY ACID RECEPTOR FADL FAMILY', NULL, NULL, NULL, 15),
(118079, NULL, 'PTHR15727:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DZIP3', NULL, NULL, 36302, 15),
(118080, NULL, 'PTHR43495:SF6', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE', NULL, NULL, NULL, 15),
(118081, NULL, 'PTHR31953:SF60', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV3', NULL, NULL, NULL, 15),
(118082, NULL, 'PTHR33221:SF5', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YWGB-RELATED', NULL, NULL, NULL, 15),
(118083, NULL, 'PTHR31415:SF139', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(118084, NULL, 'PTHR46709:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG03107', NULL, NULL, NULL, 15),
(118085, NULL, 'PTHR47979:SF59', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1F', NULL, NULL, NULL, 15),
(118086, NULL, 'PTHR45647:SF52', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(118087, NULL, 'PTHR12446:SF55', NULL, NULL, NULL, NULL, 'BNAA04G10170D PROTEIN', NULL, NULL, NULL, 15),
(118088, NULL, 'PTHR31634', NULL, NULL, NULL, NULL, 'BLOC-1-RELATED COMPLEX SUBUNIT 5', NULL, NULL, 19398, 15),
(118089, NULL, 'PTHR11817:SF86', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(118090, NULL, 'PTHR10896:SF8', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(118091, NULL, 'PTHR42866:SF8', NULL, NULL, NULL, NULL, '3-DEOXY-MANNO-OCTULOSONATE CYTIDYLYLTRANSFERASE, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(118092, NULL, 'PTHR31496:SF38', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS PROTEIN', NULL, NULL, NULL, 15),
(118093, NULL, 'PTHR22883:SF331', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(118094, NULL, 'PTHR31072:SF164', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CYCLOIDEA-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(118095, NULL, 'PTHR46655:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATXR3', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118096, NULL, 'PTHR14167:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118097, NULL, 'PTHR21503:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG05756', NULL, NULL, NULL, 15),
(118098, NULL, 'PTHR24056:SF186', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE F-2-RELATED', NULL, NULL, NULL, 15),
(118099, NULL, 'PTHR23500:SF545', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN MST2', NULL, NULL, NULL, 15),
(118100, NULL, 'PTHR24247:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118101, NULL, 'PTHR47967:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118102, NULL, 'PTHR42044:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118103, NULL, 'PTHR28631:SF1', NULL, NULL, NULL, NULL, 'UPF0692 PROTEIN C19ORF54', NULL, NULL, NULL, 15),
(118104, NULL, 'PTHR31451:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118105, NULL, 'PTHR24121:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118106, NULL, 'PTHR33102:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118107, NULL, 'PTHR43720:SF2', NULL, NULL, NULL, NULL, '2-AMINOMUCONIC SEMIALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(118108, NULL, 'PTHR35243:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118109, NULL, 'PTHR47048', NULL, NULL, NULL, NULL, 'PROTEIN SCAF11', NULL, NULL, NULL, 15),
(118110, NULL, 'PTHR12053', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY M28 PLASMA GLUTAMATE CARBOXYPEPTIDASE-RELATED', NULL, NULL, 33773, 15),
(118111, NULL, 'PTHR13748', NULL, NULL, NULL, NULL, 'COBW-RELATED', NULL, NULL, NULL, 15),
(118112, NULL, 'PTHR43555', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE SUBUNIT PURL', NULL, NULL, 2431, 15),
(118113, NULL, 'PTHR12290:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON', NULL, NULL, NULL, 15),
(118114, NULL, 'PTHR34376:SF9', NULL, NULL, NULL, NULL, 'SERINE-TYPE ENDOPEPTIDASE INHIBITOR', NULL, NULL, NULL, 15),
(118115, NULL, 'PTHR10653:SF0', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(118116, NULL, 'PTHR46278:SF6', NULL, NULL, NULL, NULL, 'BNAA09G26740D PROTEIN', NULL, NULL, NULL, 15),
(118117, NULL, 'PTHR31325:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118118, NULL, 'PTHR11654:SF189', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PEPTIDE TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(118119, NULL, 'PTHR19970:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118120, NULL, 'PTHR24298:SF847', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 87 SUBFAMILY A POLYPEPTIDE 6', NULL, NULL, NULL, 15),
(118121, NULL, 'PTHR12411:SF666', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118122, NULL, 'PTHR35017:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG09605', NULL, NULL, NULL, 15),
(118123, NULL, 'PTHR24132', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 6', NULL, NULL, NULL, 15),
(118124, NULL, 'PTHR31314:SF121', NULL, NULL, NULL, NULL, 'OS08G0346500 PROTEIN', NULL, NULL, NULL, 15),
(118125, NULL, 'PTHR24246:SF47', NULL, NULL, NULL, NULL, 'ADENOSINE RECEPTOR A2A', NULL, NULL, NULL, 15),
(118126, NULL, 'PTHR24062:SF1', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(118127, NULL, 'PTHR12268:SF23', NULL, NULL, NULL, NULL, 'DYSTROPHIN', NULL, NULL, NULL, 15),
(118128, NULL, 'PTHR32401', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(118129, NULL, 'PTHR27009:SF26', NULL, NULL, NULL, NULL, 'OSJNBB0022F16.11 PROTEIN', NULL, NULL, NULL, 15),
(118130, NULL, 'PTHR35185', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-RICH PROTEIN ADG2-RELATED', NULL, NULL, NULL, 15),
(118131, NULL, 'PTHR11040:SF41', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 7', NULL, NULL, NULL, 15),
(118132, NULL, 'PTHR36023:SF6', NULL, NULL, NULL, NULL, 'ARGOS9', NULL, NULL, NULL, 15),
(118133, NULL, 'PTHR31506:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118134, NULL, 'PTHR31376:SF91', NULL, NULL, NULL, NULL, 'BNAA05G09910D PROTEIN', NULL, NULL, NULL, 15),
(118135, NULL, 'PTHR31875:SF26', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19-RELATED', NULL, NULL, NULL, 15),
(118136, NULL, 'PTHR10281:SF91', NULL, NULL, NULL, NULL, 'BINDING DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G16510)-RELATED', NULL, NULL, NULL, 15),
(118137, NULL, 'PTHR14102:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG16414', NULL, NULL, NULL, 15),
(118138, NULL, 'PTHR20275:SF13', NULL, NULL, NULL, NULL, 'NAD KINASE 1', NULL, NULL, NULL, 15),
(118139, NULL, 'PTHR10953:SF219', NULL, NULL, NULL, NULL, 'ENZYME E1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(118140, NULL, 'PTHR11604:SF6', NULL, NULL, NULL, NULL, 'PROFILIN-1', NULL, NULL, NULL, 15),
(118141, NULL, 'PTHR15136:SF9', NULL, NULL, NULL, NULL, 'STROMAL INTERACTION MOLECULE 1', NULL, NULL, 26464, 15),
(118142, NULL, 'PTHR47933:SF21', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(118143, NULL, 'PTHR32133', NULL, NULL, NULL, NULL, 'OS07G0120400 PROTEIN', NULL, NULL, NULL, 15),
(118144, NULL, 'PTHR39585', NULL, NULL, NULL, NULL, 'FAD ASSEMBLY FACTOR SDHE', NULL, NULL, NULL, 15),
(118145, NULL, 'PTHR24224:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG18476', NULL, NULL, NULL, 15),
(118146, NULL, 'PTHR43795:SF84', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(118147, NULL, 'PTHR31589:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118148, NULL, 'PTHR14198:SF18', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 4 L6 FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(118149, NULL, 'PTHR43539:SF22', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(118150, NULL, 'PTHR22945:SF84', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(118151, NULL, 'PTHR23226:SF297', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 37A', NULL, NULL, NULL, 15),
(118152, NULL, 'PTHR11697:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118153, NULL, 'PTHR31218:SF218', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(118154, NULL, 'PTHR11558:SF25', NULL, NULL, NULL, NULL, 'SPERMINE SYNTHASE', NULL, NULL, NULL, 15),
(118155, NULL, 'PTHR31549:SF146', NULL, NULL, NULL, NULL, 'OS01G0564600 PROTEIN', NULL, NULL, NULL, 15),
(118156, NULL, 'PTHR11616:SF236', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(118157, NULL, 'PTHR10159:SF511', NULL, NULL, NULL, NULL, 'MAP KINASE PHOSPHATASE WITH LEUCINE-RICH REPEATS PROTEIN 3', NULL, NULL, NULL, 15),
(118158, NULL, 'PTHR47956:SF34', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D7', NULL, NULL, NULL, 15),
(118159, NULL, 'PTHR45432', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 11, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(118160, NULL, 'PTHR22829:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118161, NULL, 'PTHR43243:SF60', NULL, NULL, NULL, NULL, 'LD37241P', NULL, NULL, NULL, 15),
(118162, NULL, 'PTHR15597:SF44', NULL, NULL, NULL, NULL, 'PIP-1', NULL, NULL, NULL, 15),
(118163, NULL, 'PTHR10553:SF29', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', NULL, NULL, NULL, 15),
(118164, NULL, 'PTHR31792:SF5', NULL, NULL, NULL, NULL, 'VACUOLAR ATPASE ASSEMBLY INTEGRAL MEMBRANE PROTEIN VMA21', NULL, NULL, NULL, 15),
(118165, NULL, 'PTHR22611:SF2', NULL, NULL, NULL, NULL, 'PROTEIN NAKED CUTICLE HOMOLOG 1', NULL, NULL, NULL, 15),
(118166, NULL, 'PTHR31062:SF113', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(118167, NULL, 'PTHR13594:SF2', NULL, NULL, NULL, NULL, 'SI:CH73-100L22.3', NULL, NULL, NULL, 15),
(118168, NULL, 'PTHR19269:SF38', NULL, NULL, NULL, NULL, 'TROPOMYOSIN ALPHA-3 CHAIN', NULL, NULL, NULL, 15),
(118169, NULL, 'PTHR47992:SF55', NULL, NULL, NULL, NULL, 'BNAA10G30150D PROTEIN', NULL, NULL, NULL, 15),
(118170, NULL, 'PTHR11353:SF54', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ZETA', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118171, NULL, 'PTHR47562:SF2', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE-RELATED', NULL, NULL, NULL, 15),
(118172, NULL, 'PTHR37553:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118173, NULL, 'PTHR12804:SF7', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(118174, NULL, 'PTHR13780:SF107', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX5-LIKE', NULL, NULL, NULL, 15),
(118175, NULL, 'PTHR35697', NULL, NULL, NULL, NULL, 'OS08G0108300 PROTEIN', NULL, NULL, 37843, 15),
(118176, NULL, 'PTHR31636:SF56', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 30', NULL, NULL, NULL, 15),
(118177, NULL, 'PTHR23327:SF42', NULL, NULL, NULL, NULL, 'LON PEPTIDASE N-TERMINAL DOMAIN AND RING FINGER PROTEIN C14F5.10C', NULL, NULL, NULL, 15),
(118178, NULL, 'PTHR31589:SF126', NULL, NULL, NULL, NULL, 'SIMILARITY TO CARBOXYL-TERMINAL PROTEINASE', NULL, NULL, NULL, 15),
(118179, NULL, 'PTHR37882', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC690352', NULL, NULL, 22010, 15),
(118180, NULL, 'PTHR28593:SF3', NULL, NULL, NULL, NULL, 'METEORIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(118181, NULL, 'PTHR31388:SF176', NULL, NULL, NULL, NULL, 'PEROXIDASE 22-RELATED', NULL, NULL, NULL, 15),
(118182, NULL, 'PTHR48027:SF3', NULL, NULL, NULL, NULL, 'TRANSFORMER-2 PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(118183, NULL, 'PTHR33222:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CURVATURE THYLAKOID 1A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(118184, NULL, 'PTHR24340:SF75', NULL, NULL, NULL, NULL, 'H6 FAMILY HOMEOBOX 2', NULL, NULL, NULL, 15),
(118185, NULL, 'PTHR46100:SF13', NULL, NULL, NULL, NULL, 'BNAANNG24100D PROTEIN', NULL, NULL, NULL, 15),
(118186, NULL, 'PTHR46971', NULL, NULL, NULL, NULL, 'CALCINEURIN B SUBUNIT (PROTEIN PHOSPHATASE 2B REGULATORY SUBUNIT)-LIKE PROTEIN', NULL, NULL, NULL, 15),
(118187, NULL, 'PTHR46038:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118188, NULL, 'PTHR43139:SF45', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(118189, NULL, 'PTHR22998', NULL, NULL, NULL, NULL, 'SARM1', NULL, NULL, 35691, 15),
(118190, NULL, 'PTHR46128:SF236', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118191, NULL, 'PTHR19868:SF6', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-LIKE PROTEIN A', NULL, NULL, NULL, 15),
(118192, NULL, 'PTHR21181:SF14', NULL, NULL, NULL, NULL, 'MEMBRANE MAGNESIUM TRANSPORTER 2', NULL, NULL, NULL, 15),
(118193, NULL, 'PTHR43644:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-FLAVIN REDUCTASE', NULL, NULL, NULL, 15),
(118194, NULL, 'PTHR33227:SF21', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(118195, NULL, 'PTHR31797:SF2', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE PHOSPHODIESTERASE INHIBITOR', NULL, NULL, NULL, 15),
(118196, NULL, 'PTHR48043:SF31', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(118197, NULL, 'PTHR43349:SF37', NULL, NULL, NULL, NULL, 'BNAA06G13750D PROTEIN', NULL, NULL, NULL, 15),
(118198, NULL, 'PTHR16483:SF2', NULL, NULL, NULL, NULL, 'GASTROKINE-3', NULL, NULL, NULL, 15),
(118199, NULL, 'PTHR10694:SF51', NULL, NULL, NULL, NULL, 'LYSINE (K)-SPECIFIC DEMETHYLASE 4A, GENOME DUPLICATE A', NULL, NULL, NULL, 15),
(118200, NULL, 'PTHR23430:SF285', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(118201, NULL, 'PTHR24092:SF149', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 6', NULL, NULL, NULL, 15),
(118202, NULL, 'PTHR24336:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LBX2', NULL, NULL, NULL, 15),
(118203, NULL, 'PTHR11630:SF100', NULL, NULL, NULL, NULL, 'BNAA02G22770D PROTEIN', NULL, NULL, NULL, 15),
(118204, NULL, 'PTHR35672', NULL, NULL, NULL, NULL, 'C-U-EDITING ENZYME APOBEC-4-RELATED', NULL, NULL, 33211, 15),
(118205, NULL, 'PTHR14167:SF88', NULL, NULL, NULL, NULL, 'BAR DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G06340)', NULL, NULL, NULL, 15),
(118206, NULL, 'PTHR46281', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118207, NULL, 'PTHR34463:SF9', NULL, NULL, NULL, NULL, 'BNAA01G07900D PROTEIN', NULL, NULL, NULL, 15),
(118208, NULL, 'PTHR24291:SF128', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(118209, NULL, 'PTHR24412:SF398', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 30', NULL, NULL, 24781, 15),
(118210, NULL, 'PTHR34544:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0006B20.18 PROTEIN', NULL, NULL, NULL, 15),
(118211, NULL, 'PTHR19433:SF117', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 13-2', NULL, NULL, NULL, 15),
(118212, NULL, 'PTHR21600:SF70', NULL, NULL, NULL, NULL, 'RIBOSOMAL LARGE SUBUNIT PSEUDOURIDINE SYNTHASE D', NULL, NULL, NULL, 15),
(118213, NULL, 'PTHR10405', NULL, NULL, NULL, NULL, 'SPINDLIN', NULL, NULL, 1396, 15),
(118214, NULL, 'PTHR33595:SF7', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(118215, NULL, 'PTHR13723:SF250', NULL, NULL, NULL, NULL, 'SOL NARAE, ISOFORM C', NULL, NULL, NULL, 15),
(118216, NULL, 'PTHR10358:SF24', NULL, NULL, NULL, NULL, 'CAMP-REGULATED PHOSPHOPROTEIN 19-RELATED PROTEIN', NULL, NULL, NULL, 15),
(118217, NULL, 'PTHR48065:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1-LIKE', NULL, NULL, NULL, 15),
(118218, NULL, 'PTHR10060:SF20', NULL, NULL, NULL, NULL, 'FI03671P', NULL, NULL, NULL, 15),
(118219, NULL, 'PTHR47360:SF2', NULL, NULL, NULL, NULL, 'ENDOPEPTIDASE NLPC-RELATED', NULL, NULL, NULL, 15),
(118220, NULL, 'PTHR11802:SF326', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(118221, NULL, 'PTHR45788:SF5', NULL, NULL, NULL, NULL, 'AFR253WP', NULL, NULL, NULL, 15),
(118222, NULL, 'PTHR24286:SF265', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(118223, NULL, 'PTHR24089:SF182', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118224, NULL, 'PTHR46561:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', NULL, NULL, NULL, 15),
(118225, NULL, 'PTHR10803:SF6', NULL, NULL, NULL, NULL, 'ATPASE RV3679-RELATED', NULL, NULL, NULL, 15),
(118226, NULL, 'PTHR22752:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118227, NULL, 'PTHR33170:SF27', NULL, NULL, NULL, NULL, 'OS02G0198000 PROTEIN', NULL, NULL, NULL, 15),
(118228, NULL, 'PTHR16736:SF6', NULL, NULL, NULL, NULL, 'CORTEXIN DOMAIN CONTAINING 2', NULL, NULL, NULL, 15),
(118229, NULL, 'PTHR11157:SF154', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118230, NULL, 'PTHR11886:SF2', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(118231, NULL, 'PTHR12786:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118232, NULL, 'PTHR33670:SF20', NULL, NULL, NULL, NULL, 'BNAA06G14220D PROTEIN', NULL, NULL, NULL, 15),
(118233, NULL, 'PTHR31741:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118234, NULL, 'PTHR48017:SF79', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 1', NULL, NULL, NULL, 15),
(118235, NULL, 'PTHR23300:SF10', NULL, NULL, NULL, NULL, 'SELENIUM-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(118236, NULL, 'PTHR48111:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN QSEB', NULL, NULL, NULL, 15),
(118237, NULL, 'PTHR11461:SF326', NULL, NULL, NULL, NULL, 'SERPIN-ZX-LIKE', NULL, NULL, NULL, 15),
(118238, NULL, 'PTHR24075:SF18', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN ERDJ2-LIKE', NULL, NULL, NULL, 15),
(118239, NULL, 'PTHR46192:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118240, NULL, 'PTHR31374:SF141', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(118241, NULL, 'PTHR33294:SF7', NULL, NULL, NULL, NULL, 'AWPM-19-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(118242, NULL, 'PTHR47081', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118243, NULL, 'PTHR24377:SF620', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 527', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118244, NULL, 'PTHR35040:SF7', NULL, NULL, NULL, NULL, 'SURFACE SPHERULIN 4-LIKE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07900)-RELATED', NULL, NULL, NULL, 15),
(118245, NULL, 'PTHR31190:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118246, NULL, 'PTHR14503:SF8', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L34', NULL, NULL, NULL, 15),
(118247, NULL, 'PTHR43214:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN LNRK', NULL, NULL, NULL, 15),
(118248, NULL, 'PTHR35077', NULL, NULL, NULL, NULL, 'SIMILAR TO AI661453 PROTEIN', NULL, NULL, NULL, 15),
(118249, NULL, 'PTHR47654:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(118250, NULL, 'PTHR22883:SF325', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(118251, NULL, 'PTHR10539', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 13', NULL, NULL, 10083, 15),
(118252, NULL, 'PTHR12730:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SDA1 HOMOLOG', NULL, NULL, NULL, 15),
(118253, NULL, 'PTHR47746:SF39', NULL, NULL, NULL, NULL, 'OS02G0657500 PROTEIN', NULL, NULL, NULL, 15),
(118254, NULL, 'PTHR34119:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0072K14.9 PROTEIN', NULL, NULL, NULL, 15),
(118255, NULL, 'PTHR24298:SF143', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP79A33', NULL, NULL, NULL, 15),
(118256, NULL, 'PTHR13318:SF171', NULL, NULL, NULL, NULL, 'OS01G0881900 PROTEIN', NULL, NULL, NULL, 15),
(118257, NULL, 'PTHR36441:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(118258, NULL, 'PTHR12062:SF1', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE B', NULL, NULL, NULL, 15),
(118259, NULL, 'PTHR24377:SF70', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 565', NULL, NULL, NULL, 15),
(118260, NULL, 'PTHR24083:SF42', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 4-GAMMA', NULL, NULL, NULL, 15),
(118261, NULL, 'PTHR40042:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', NULL, NULL, NULL, 15),
(118262, NULL, 'PTHR33656:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118263, NULL, 'PTHR14209:SF9', NULL, NULL, NULL, NULL, 'ISOAMYL ACETATE-HYDROLYZING ESTERASE', NULL, NULL, NULL, 15),
(118264, NULL, 'PTHR33318:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118265, NULL, 'PTHR31639:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118266, NULL, 'PTHR34482:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118267, NULL, 'PTHR10334:SF481', NULL, NULL, NULL, NULL, 'BNAA03G50570D PROTEIN', NULL, NULL, NULL, 15),
(118268, NULL, 'PTHR11040:SF178', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 8-LIKE', NULL, NULL, NULL, 15),
(118269, NULL, 'PTHR39444:SF2', NULL, NULL, NULL, NULL, 'DNA METHYLASE, N-6 ADENINE-SPECIFIC, CONSERVED SITE', NULL, NULL, NULL, 15),
(118270, NULL, 'PTHR11932:SF146', NULL, NULL, NULL, NULL, 'CULLIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(118271, NULL, 'PTHR47519:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-31', NULL, NULL, NULL, 15),
(118272, NULL, 'PTHR13236:SF0', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 2 LIGHT INTERMEDIATE CHAIN 1', NULL, NULL, NULL, 15),
(118273, NULL, 'PTHR43908:SF4', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 14', NULL, NULL, NULL, 15),
(118274, NULL, 'PTHR31257:SF5', NULL, NULL, NULL, NULL, 'OS12G0184300 PROTEIN', NULL, NULL, NULL, 15),
(118275, NULL, 'PTHR31216:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-12', NULL, NULL, NULL, 15),
(118276, NULL, 'PTHR12565:SF312', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', NULL, NULL, NULL, 15),
(118277, NULL, 'PTHR45974:SF159', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(118278, NULL, 'PTHR10871:SF3', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S18-RELATED', NULL, NULL, NULL, 15),
(118279, NULL, 'PTHR27009:SF158', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118280, NULL, 'PTHR13301:SF47', NULL, NULL, NULL, NULL, 'MIXED-LINKED GLUCAN SYNTHASE 8-RELATED', NULL, NULL, NULL, 15),
(118281, NULL, 'PTHR31604:SF36', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 1-RELATED', NULL, NULL, NULL, 15),
(118282, NULL, 'PTHR16983:SF14', NULL, NULL, NULL, NULL, 'SECRETED LY-6/UPAR DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(118283, NULL, 'PTHR23167:SF63', NULL, NULL, NULL, NULL, 'SI:CH211-165E15.1', NULL, NULL, NULL, 15),
(118284, NULL, 'PTHR11467:SF125', NULL, NULL, NULL, NULL, 'H1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(118285, NULL, 'PTHR33977:SF1', NULL, NULL, NULL, NULL, 'ZINC ION BINDING PROTEIN', NULL, NULL, NULL, 15),
(118286, NULL, 'PTHR13806:SF37', NULL, NULL, NULL, NULL, 'FLOTILLIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(118287, NULL, 'PTHR32444:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118288, NULL, 'PTHR23056:SF120', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(118289, NULL, 'PTHR12565:SF382', NULL, NULL, NULL, NULL, 'BHLH FAMILY PROTEIN', NULL, NULL, NULL, 15),
(118290, NULL, 'PTHR11214:SF299', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 4-RELATED', NULL, NULL, NULL, 15),
(118291, NULL, 'PTHR43744:SF15', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118292, NULL, 'PTHR34558:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118293, NULL, 'PTHR33983:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(118294, NULL, 'PTHR31460:SF6', NULL, NULL, NULL, NULL, 'NHL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(118295, NULL, 'PTHR42884:SF23', NULL, NULL, NULL, NULL, 'FURIN-LIKE PROTEASE 2', NULL, NULL, NULL, 15),
(118296, NULL, 'PTHR34119:SF12', NULL, NULL, NULL, NULL, 'BNAA06G32570D PROTEIN', NULL, NULL, NULL, 15),
(118297, NULL, 'PTHR11122:SF42', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(118298, NULL, 'PTHR27001:SF646', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118299, NULL, 'PTHR47933:SF3', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(118300, NULL, 'PTHR24369:SF183', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(118301, NULL, 'PTHR23199:SF12', NULL, NULL, NULL, NULL, 'NEUROTROPHIN 1', NULL, NULL, NULL, 15),
(118302, NULL, 'PTHR11653:SF21', NULL, NULL, NULL, NULL, 'PARVALBUMIN-7', NULL, NULL, NULL, 15),
(118303, NULL, 'PTHR28286', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 6743, 15),
(118304, NULL, 'PTHR10612:SF50', NULL, NULL, NULL, NULL, 'BNAA02G07900D PROTEIN', NULL, NULL, NULL, 15),
(118305, NULL, 'PTHR33110:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118306, NULL, 'PTHR45655:SF13', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE SOLUBLE SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(118307, NULL, 'PTHR36683:SF1', NULL, NULL, NULL, NULL, 'CELL CYCLE EXIT AND NEURONAL DIFFERENTIATION PROTEIN 1', NULL, NULL, NULL, 15),
(118308, NULL, 'PTHR15586', NULL, NULL, NULL, NULL, 'LINKER FOR ACTIVATION OF T-CELLS FAMILY MEMBER 1', NULL, NULL, 7748, 15),
(118309, NULL, 'PTHR15934:SF6', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 7 ISOFORM GAMMA', NULL, NULL, NULL, 15),
(118310, NULL, 'PTHR45687:SF14', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-5', NULL, NULL, NULL, 15),
(118311, NULL, 'PTHR34723:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG17025', NULL, NULL, NULL, 15),
(118312, NULL, 'PTHR33165:SF44', NULL, NULL, NULL, NULL, 'OS08G0285100 PROTEIN', NULL, NULL, NULL, 15),
(118313, NULL, 'PTHR31194:SF77', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF1-LIKE', NULL, NULL, NULL, 15),
(118314, NULL, 'PTHR47206:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118315, NULL, 'PTHR47292:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118316, NULL, 'PTHR10838:SF7', NULL, NULL, NULL, NULL, 'SYNAPTOGYRIN-1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118317, NULL, 'PTHR44042:SF28', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(118318, NULL, 'PTHR42898:SF28', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(118319, NULL, 'PTHR14343:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118320, NULL, 'PTHR33417:SF17', NULL, NULL, NULL, NULL, 'BNAA06G20770D PROTEIN', NULL, NULL, NULL, 15),
(118321, NULL, 'PTHR44117', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 88 HOMOLOG', NULL, NULL, NULL, 15),
(118322, NULL, 'PTHR31235:SF351', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(118323, NULL, 'PTHR13318:SF161', NULL, NULL, NULL, NULL, 'BNAA03G13190D PROTEIN', NULL, NULL, NULL, 15),
(118324, NULL, 'PTHR24006:SF678', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 28', NULL, NULL, NULL, 15),
(118325, NULL, 'PTHR23111:SF40', NULL, NULL, NULL, NULL, 'ASPARAGINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(118326, NULL, 'PTHR10285:SF137', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE', NULL, NULL, NULL, 15),
(118327, NULL, 'PTHR46521', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118328, NULL, 'PTHR11461:SF278', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR 88EA', NULL, NULL, NULL, 15),
(118329, NULL, 'PTHR46542:SF2', NULL, NULL, NULL, NULL, 'X-BOX BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(118330, NULL, 'PTHR33592:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118331, NULL, 'PTHR45754:SF1', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE 1', NULL, NULL, NULL, 15),
(118332, NULL, 'PTHR23430:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118333, NULL, 'PTHR12377', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 33807, 15),
(118334, NULL, 'PTHR12378:SF62', NULL, NULL, NULL, NULL, 'BNAA09G55810D PROTEIN', NULL, NULL, NULL, 15),
(118335, NULL, 'PTHR11964:SF53', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(118336, NULL, 'PTHR10687:SF57', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(118337, NULL, 'PTHR33076:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118338, NULL, 'PTHR46859:SF9', NULL, NULL, NULL, NULL, 'BNAA02G14030D PROTEIN', NULL, NULL, NULL, 15),
(118339, NULL, 'PTHR48019:SF103', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR ARLEQUIN', NULL, NULL, NULL, 15),
(118340, NULL, 'PTHR23073:SF77', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 4', NULL, NULL, 9988, 15),
(118341, NULL, 'PTHR43876:SF10', NULL, NULL, NULL, NULL, '2-OCTAPRENYL-3-METHYL-6-METHOXY-1,4-BENZOQUINOL HYDROXYLASE', NULL, NULL, NULL, 15),
(118342, NULL, 'PTHR42851:SF10', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(118343, NULL, 'PTHR11932:SF164', NULL, NULL, NULL, NULL, 'CULLIN 1B-LIKE', NULL, NULL, NULL, 15),
(118344, NULL, 'PTHR11829:SF340', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN H1', NULL, NULL, NULL, 15),
(118345, NULL, 'PTHR46023:SF5', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(118346, NULL, 'PTHR19957:SF282', NULL, NULL, NULL, NULL, 'BNACNNG54570D PROTEIN', NULL, NULL, NULL, 15),
(118347, NULL, 'PTHR23095:SF21', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN-LIKE PROTEIN 8A', NULL, NULL, NULL, 15),
(118348, NULL, 'PTHR47925:SF86', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(118349, NULL, 'PTHR12858:SF3', NULL, NULL, NULL, NULL, 'BNAA05G35890D PROTEIN', NULL, NULL, NULL, 15),
(118350, NULL, 'PTHR23001:SF27', NULL, NULL, NULL, NULL, 'BNAANNG27420D PROTEIN', NULL, NULL, NULL, 15),
(118351, NULL, 'PTHR31048:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118352, NULL, 'PTHR43176:SF13', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(118353, NULL, 'PTHR47901', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118354, NULL, 'PTHR10794:SF88', NULL, NULL, NULL, NULL, 'AB HYDROLASE 4 FAMILY, SERINE AMINOPEPTIDASE, S33-RELATED', NULL, NULL, NULL, 15),
(118355, NULL, 'PTHR10288:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118356, NULL, 'PTHR23055:SF102', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE ACTIVATING PROTEIN 4', NULL, NULL, NULL, 15),
(118357, NULL, 'PTHR11384:SF21', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY D MEMBER 1', NULL, NULL, 28055, 15),
(118358, NULL, 'PTHR15443', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA BINDING PROTEIN  SP38', NULL, NULL, 11872, 15),
(118359, NULL, 'PTHR10026:SF114', NULL, NULL, NULL, NULL, 'CYCLIN-C1-1', NULL, NULL, NULL, 15),
(118360, NULL, 'PTHR47333:SF1', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR C AND EGF DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(118361, NULL, 'PTHR11353:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118362, NULL, 'PTHR36444:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(118363, NULL, 'PTHR11003:SF69', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(118364, NULL, 'PTHR26452:SF811', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(118365, NULL, 'PTHR34660:SF9', NULL, NULL, NULL, NULL, 'BNAANNG08330D PROTEIN', NULL, NULL, NULL, 15),
(118366, NULL, 'PTHR24281:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118367, NULL, 'PTHR12601:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118368, NULL, 'PTHR43693', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE CHEZ', NULL, NULL, NULL, 15),
(118369, NULL, 'PTHR48032:SF5', NULL, NULL, NULL, NULL, 'OS07G0584500 PROTEIN', NULL, NULL, NULL, 15),
(118370, NULL, 'PTHR23037:SF22', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR COMMON SUBUNIT BETA', NULL, NULL, NULL, 15),
(118371, NULL, 'PTHR21197', NULL, NULL, NULL, NULL, 'UDP-GALACTOPYRANOSE MUTASE', NULL, NULL, NULL, 15),
(118372, NULL, 'PTHR10994:SF176', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(118373, NULL, 'PTHR31218:SF331', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(118374, NULL, 'PTHR47990:SF89', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE DIN11-RELATED', NULL, NULL, NULL, 15),
(118375, NULL, 'PTHR35076', NULL, NULL, NULL, NULL, 'TUBULIN EPSILON AND DELTA COMPLEX PROTEIN 1', NULL, NULL, 38325, 15),
(118376, NULL, 'PTHR36214:SF3', NULL, NULL, NULL, NULL, 'ACETYL-COA DECARBONYLASE/SYNTHASE COMPLEX SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(118377, NULL, 'PTHR27009:SF149', NULL, NULL, NULL, NULL, 'PR5-LIKE RECEPTOR KINASE', NULL, NULL, NULL, 15),
(118378, NULL, 'PTHR13318:SF172', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP2', NULL, NULL, NULL, 15),
(118379, NULL, 'PTHR36760', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY B PROTEIN', NULL, NULL, NULL, 15),
(118380, NULL, 'PTHR31066:SF76', NULL, NULL, NULL, NULL, 'BNAC09G20450D PROTEIN', NULL, NULL, NULL, 15),
(118381, NULL, 'PTHR23073:SF12', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 8', NULL, NULL, NULL, 15),
(118382, NULL, 'PTHR21596:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118383, NULL, 'PTHR11599:SF151', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(118384, NULL, 'PTHR33091:SF55', NULL, NULL, NULL, NULL, 'SUBTILISIN-CHYMOTRYPSIN INHIBITOR WSCI', NULL, NULL, NULL, 15),
(118385, NULL, 'PTHR33841:SF1', NULL, NULL, NULL, NULL, 'DNA METHYLTRANSFERASE YEEA-RELATED', NULL, NULL, NULL, 15),
(118386, NULL, 'PTHR10788:SF104', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 20-RELATED', NULL, NULL, NULL, 15),
(118387, NULL, 'PTHR32212:SF337', NULL, NULL, NULL, NULL, 'BNAC05G30590D PROTEIN', NULL, NULL, NULL, 15),
(118388, NULL, 'PTHR11246', NULL, NULL, NULL, NULL, 'PRE-MRNA SPLICING FACTOR', NULL, NULL, 39303, 15),
(118389, NULL, 'PTHR23024:SF480', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118390, NULL, 'PTHR33053:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118391, NULL, 'PTHR34112:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118392, NULL, 'PTHR31245:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN SYSTEM COMPONENT CUE PROTEIN', NULL, NULL, NULL, 15),
(118393, NULL, 'PTHR45751:SF32', NULL, NULL, NULL, NULL, 'BNAA02G33980D PROTEIN', NULL, NULL, NULL, 15),
(118394, NULL, 'PTHR46032:SF7', NULL, NULL, NULL, NULL, 'RIKEN CDNA 6430550D23 GENE', NULL, NULL, NULL, 15),
(118395, NULL, 'PTHR20383:SF10', NULL, NULL, NULL, NULL, 'SSU72 PSEUDOGENE 2-RELATED', NULL, NULL, NULL, 15),
(118396, NULL, 'PTHR10335:SF20', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 36A', NULL, NULL, NULL, 15),
(118397, NULL, 'PTHR31304:SF48', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 41-LIKE', NULL, NULL, NULL, 15),
(118398, NULL, 'PTHR43269', NULL, NULL, NULL, NULL, 'SODIUM/PROTON ANTIPORTER 1-RELATED', NULL, NULL, 37772, 15),
(118399, NULL, 'PTHR30446', NULL, NULL, NULL, NULL, 'RECOMBINATION PROTEIN RECR', NULL, NULL, 2612, 15),
(118400, NULL, 'PTHR32170', NULL, NULL, NULL, NULL, 'PROTEASOME ACTIVATOR COMPLEX SUBUNIT 4', NULL, NULL, 9850, 15),
(118401, NULL, 'PTHR45436:SF4', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN PHOQ', NULL, NULL, NULL, 15),
(118402, NULL, 'PTHR46868:SF7', NULL, NULL, NULL, NULL, 'DUF581 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(118403, NULL, 'PTHR10309:SF4', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE, CLASS I (AFU_ORTHOLOGUE AFUA_4G08410)', NULL, NULL, NULL, 15),
(118404, NULL, 'PTHR32212:SF298', NULL, NULL, NULL, NULL, 'BNAA03G50140D PROTEIN', NULL, NULL, NULL, 15),
(118405, NULL, 'PTHR31713:SF42', NULL, NULL, NULL, NULL, 'PROTEIN SAR DEFICIENT 1', NULL, NULL, NULL, 15),
(118406, NULL, 'PTHR24056:SF497', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT SERINE/THREONINE-PROTEIN KINASE DDB_G0278487-RELATED', NULL, NULL, NULL, 15),
(118407, NULL, 'PTHR48105:SF6', NULL, NULL, NULL, NULL, 'ALKYL HYDROPEROXIDE REDUCTASE SUBUNIT F', NULL, NULL, NULL, 15),
(118408, NULL, 'PTHR33548:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118409, NULL, 'PTHR13402:SF23', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16', NULL, NULL, NULL, 15),
(118410, NULL, 'PTHR21687', NULL, NULL, NULL, NULL, 'PLASMALEMMA VESICLE-ASSOCIATED PROTEIN', NULL, NULL, 10061, 15),
(118411, NULL, 'PTHR31669:SF216', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 9-LIKE', NULL, NULL, NULL, 15),
(118412, NULL, 'PTHR11353:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118413, NULL, 'PTHR48002:SF123', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(118414, NULL, 'PTHR46288:SF46', NULL, NULL, NULL, NULL, 'BNAA04G25680D PROTEIN', NULL, NULL, NULL, 15),
(118415, NULL, 'PTHR11863:SF174', NULL, NULL, NULL, NULL, 'BNAC03G12740D PROTEIN', NULL, NULL, NULL, 15),
(118416, NULL, 'PTHR43618:SF2', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06930)-RELATED', NULL, NULL, NULL, 15),
(118417, NULL, 'PTHR31459:SF27', NULL, NULL, NULL, NULL, 'BNAC04G50740D PROTEIN', NULL, NULL, NULL, 15),
(118418, NULL, 'PTHR32191:SF48', NULL, NULL, NULL, NULL, 'TETRASPANIN-2-LIKE', NULL, NULL, NULL, 15),
(118419, NULL, 'PTHR12936', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX 10', NULL, NULL, 17061, 15),
(118420, NULL, 'PTHR24223:SF187', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY C MEMBER 8', NULL, NULL, NULL, 15),
(118421, NULL, 'PTHR47819', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN', NULL, NULL, NULL, 15),
(118422, NULL, 'PTHR19443:SF67', NULL, NULL, NULL, NULL, 'HEXOKINASE-2', NULL, NULL, NULL, 15),
(118423, NULL, 'PTHR32039:SF15', NULL, NULL, NULL, NULL, 'MG-PROTOPORPHYRIN IX CHELATASE', NULL, NULL, NULL, 15),
(118424, NULL, 'PTHR10159', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(118425, NULL, 'PTHR13780:SF101', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT GAMMA-LIKE PV42A', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118426, NULL, 'PTHR33548', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 2', NULL, NULL, 30891, 15),
(118427, NULL, 'PTHR47999:SF56', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(118428, NULL, 'PTHR31752:SF16', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 3B-RELATED', NULL, NULL, NULL, 15),
(118429, NULL, 'PTHR31711', NULL, NULL, NULL, NULL, 'ARGININE AND GLUTAMATE-RICH PROTEIN 1', NULL, NULL, 29562, 15),
(118430, NULL, 'PTHR33076:SF131', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(118431, NULL, 'PTHR10629:SF44', NULL, NULL, NULL, NULL, 'BROMO ADJACENT HOMOLOGY (BAH) DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118432, NULL, 'PTHR46489:SF1', NULL, NULL, NULL, NULL, 'STEROIDOGENIC ACUTE REGULATORY PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(118433, NULL, 'PTHR31016:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0065B15.1 PROTEIN', NULL, NULL, NULL, 15),
(118434, NULL, 'PTHR43719:SF18', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE B', NULL, NULL, NULL, 15),
(118435, NULL, 'PTHR13720:SF9', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE ELP-1', NULL, NULL, NULL, 15),
(118436, NULL, 'PTHR24023:SF372', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XVI) CHAIN', NULL, NULL, NULL, 15),
(118437, NULL, 'PTHR45877:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(118438, NULL, 'PTHR31048:SF160', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(118439, NULL, 'PTHR31062:SF181', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(118440, NULL, 'PTHR31929:SF116', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(118441, NULL, 'PTHR24012:SF692', NULL, NULL, NULL, NULL, 'TIA1 CYTOTOXIC GRANULE ASSOCIATED RNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(118442, NULL, 'PTHR18934:SF224', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DEAH12, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(118443, NULL, 'PTHR33671:SF14', NULL, NULL, NULL, NULL, 'BNAA07G08110D PROTEIN', NULL, NULL, NULL, 15),
(118444, NULL, 'PTHR22953:SF107', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(118445, NULL, 'PTHR36886:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(118446, NULL, 'PTHR45896:SF1', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 30', NULL, NULL, NULL, 15),
(118447, NULL, 'PTHR46253:SF1', NULL, NULL, NULL, NULL, 'TAB2', NULL, NULL, NULL, 15),
(118448, NULL, 'PTHR33700:SF4', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN X', NULL, NULL, NULL, 15),
(118449, NULL, 'PTHR46116:SF20', NULL, NULL, NULL, NULL, 'OS09G0294300 PROTEIN', NULL, NULL, NULL, 15),
(118450, NULL, 'PTHR33136:SF78', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(118451, NULL, 'PTHR12354:SF1', NULL, NULL, NULL, NULL, 'LP04564P', NULL, NULL, NULL, 15),
(118452, NULL, 'PTHR46257:SF2', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE', NULL, NULL, NULL, 15),
(118453, NULL, 'PTHR14286:SF2', NULL, NULL, NULL, NULL, 'GENE, 49355-RELATED', NULL, NULL, NULL, 15),
(118454, NULL, 'PTHR46539:SF16', NULL, NULL, NULL, NULL, 'BNAA03G59080D PROTEIN', NULL, NULL, NULL, 15),
(118455, NULL, 'PTHR11506:SF6', NULL, NULL, NULL, NULL, 'LYSOSOME-ASSOCIATED MEMBRANE GLYCOPROTEIN 2', NULL, NULL, NULL, 15),
(118456, NULL, 'PTHR21700:SF118', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(118457, NULL, 'PTHR47293:SF48', NULL, NULL, NULL, NULL, 'BNAA05G15070D PROTEIN', NULL, NULL, NULL, 15),
(118458, NULL, 'PTHR45925', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(118459, NULL, 'PTHR45798:SF58', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL79', NULL, NULL, NULL, 15),
(118460, NULL, 'PTHR31852:SF176', NULL, NULL, NULL, NULL, 'HIN1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(118461, NULL, 'PTHR13683:SF338', NULL, NULL, NULL, NULL, 'CHLOROPLAST NUCLEOID DNA-BINDING PROTEIN CND41-LIKE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118462, NULL, 'PTHR48047:SF41', NULL, NULL, NULL, NULL, 'BNAA02G36980D PROTEIN', NULL, NULL, NULL, 15),
(118463, NULL, 'PTHR31942:SF99', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(118464, NULL, 'PTHR15215:SF3', NULL, NULL, NULL, NULL, 'PROTEIN THEMIS3', NULL, NULL, NULL, 15),
(118465, NULL, 'PTHR23196:SF32', NULL, NULL, NULL, NULL, 'BRCT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118466, NULL, 'PTHR13594:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118467, NULL, 'PTHR24217:SF10', NULL, NULL, NULL, NULL, 'SYNAPTOPODIN 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(118468, NULL, 'PTHR45672:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118469, NULL, 'PTHR11227:SF59', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18D', NULL, NULL, NULL, 15),
(118470, NULL, 'PTHR46204:SF2', NULL, NULL, NULL, NULL, 'CHITIN ELICITOR RECEPTOR KINASE 1', NULL, NULL, NULL, 15),
(118471, NULL, 'PTHR11610:SF156', NULL, NULL, NULL, NULL, 'MIP30168P', NULL, NULL, NULL, 15),
(118472, NULL, 'PTHR24393:SF60', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 16', NULL, NULL, NULL, 15),
(118473, NULL, 'PTHR47956:SF38', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 99A2', NULL, NULL, NULL, 15),
(118474, NULL, 'PTHR33265:SF28', NULL, NULL, NULL, NULL, 'DUF761 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(118475, NULL, 'PTHR10621:SF53', NULL, NULL, NULL, NULL, 'RAD23 HOMOLOG B, NUCLEOTIDE EXCISION REPAIR PROTEIN', NULL, NULL, NULL, 15),
(118476, NULL, 'PTHR46136:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE8', NULL, NULL, NULL, 15),
(118477, NULL, 'PTHR45613:SF447', NULL, NULL, NULL, NULL, 'PPR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(118478, NULL, 'PTHR21666:SF263', NULL, NULL, NULL, NULL, 'MUREIN HYDROLASE ACTIVATOR NLPD', NULL, NULL, NULL, 15),
(118479, NULL, 'PTHR15143:SF0', NULL, NULL, NULL, NULL, 'TELETHONIN', NULL, NULL, NULL, 15),
(118480, NULL, 'PTHR47295:SF2', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(118481, NULL, 'PTHR23164:SF6', NULL, NULL, NULL, NULL, 'EEA1', NULL, NULL, NULL, 15),
(118482, NULL, 'PTHR10807:SF113', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PATS1-RELATED', NULL, NULL, NULL, 15),
(118483, NULL, 'PTHR13318:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118484, NULL, 'PTHR44119:SF4', NULL, NULL, NULL, NULL, 'COBALAMIN BIOSYNTHESIS PROTEIN N', NULL, NULL, NULL, 15),
(118485, NULL, 'PTHR31321:SF101', NULL, NULL, NULL, NULL, 'BNAC02G01630D PROTEIN', NULL, NULL, NULL, 15),
(118486, NULL, 'PTHR39953:SF1', NULL, NULL, NULL, NULL, 'RE54151P', NULL, NULL, NULL, 15),
(118487, NULL, 'PTHR48095:SF1', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYLASE', NULL, NULL, NULL, 15),
(118488, NULL, 'PTHR43625:SF29', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 4-RELATED', NULL, NULL, NULL, 15),
(118489, NULL, 'PTHR12801:SF136', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118490, NULL, 'PTHR33445:SF2', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B'', CHLOROPLASTIC', NULL, NULL, NULL, 15),
(118491, NULL, 'PTHR42697', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 8', NULL, NULL, NULL, 15),
(118492, NULL, 'PTHR12622:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118493, NULL, 'PTHR11662:SF235', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER 3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(118494, NULL, 'PTHR24278:SF29', NULL, NULL, NULL, NULL, 'HYALURONAN-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(118495, NULL, 'PTHR13271:SF109', NULL, NULL, NULL, NULL, 'RUBISCO LS METHYLTRANSFERASE, SUBSTRATE-BINDING DOMAIN', NULL, NULL, NULL, 15),
(118496, NULL, 'PTHR11670:SF63', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE', NULL, NULL, NULL, 15),
(118497, NULL, 'PTHR23137', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 10812, 15),
(118498, NULL, 'PTHR23088:SF52', NULL, NULL, NULL, NULL, 'DEATH EFFECTOR DOMAIN-CONTAINING PROTEIN ISOFORM B', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118499, NULL, 'PTHR14978:SF0', NULL, NULL, NULL, NULL, 'BETA-CATENIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(118500, NULL, 'PTHR23417:SF16', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(7)-)-METHYLTRANSFERASE', NULL, NULL, 25453, 15),
(118501, NULL, 'PTHR14269:SF40', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--GLYCEROL-3-PHOSPHATE 3-PHOSPHATIDYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(118502, NULL, 'PTHR33399:SF10', NULL, NULL, NULL, NULL, 'BNAA05G33860D PROTEIN', NULL, NULL, NULL, 15),
(118503, NULL, 'PTHR21230:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118504, NULL, 'PTHR43670:SF6', NULL, NULL, NULL, NULL, 'OS01G0587500 PROTEIN', NULL, NULL, NULL, 15),
(118505, NULL, 'PTHR31375:SF239', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', NULL, NULL, NULL, 15),
(118506, NULL, 'PTHR31636:SF207', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(118507, NULL, 'PTHR24414:SF77', NULL, NULL, NULL, NULL, 'BNAC01G00630D PROTEIN', NULL, NULL, NULL, 15),
(118508, NULL, 'PTHR14903:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118509, NULL, 'PTHR23201:SF115', NULL, NULL, NULL, NULL, 'GAST1 PROTEIN', NULL, NULL, NULL, 15),
(118510, NULL, 'PTHR19241:SF531', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 32', NULL, NULL, NULL, 15),
(118511, NULL, 'PTHR46431:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118512, NULL, 'PTHR11216:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118513, NULL, 'PTHR11188:SF49', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(118514, NULL, 'PTHR47590:SF1', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP25', NULL, NULL, NULL, 15),
(118515, NULL, 'PTHR32448:SF61', NULL, NULL, NULL, NULL, 'TETRAHYDROCANNABINOLIC ACID SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(118516, NULL, 'PTHR22900:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG24017', NULL, NULL, NULL, 15),
(118517, NULL, 'PTHR13683:SF276', NULL, NULL, NULL, NULL, 'OS04G0535200 PROTEIN', NULL, NULL, NULL, 15),
(118518, NULL, 'PTHR31391:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118519, NULL, 'PTHR15127', NULL, NULL, NULL, NULL, 'HEAVYWEIGHT, ISOFORM A', NULL, NULL, NULL, 15),
(118520, NULL, 'PTHR12949:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC3', NULL, NULL, NULL, 15),
(118521, NULL, 'PTHR43744:SF9', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YTCP-RELATED', NULL, NULL, NULL, 15),
(118522, NULL, 'PTHR37422:SF5', NULL, NULL, NULL, NULL, 'SLR1515 PROTEIN', NULL, NULL, NULL, 15),
(118523, NULL, 'PTHR48024:SF31', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 8', NULL, NULL, NULL, 15),
(118524, NULL, 'PTHR11969:SF75', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH96-LIKE', NULL, NULL, NULL, 15),
(118525, NULL, 'PTHR46730:SF1', NULL, NULL, NULL, NULL, 'POLYCYSTIN-1', NULL, NULL, NULL, 15),
(118526, NULL, 'PTHR33108:SF59', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(118527, NULL, 'PTHR13000:SF2', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP49/NSP49', NULL, NULL, 35239, 15),
(118528, NULL, 'PTHR39157:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118529, NULL, 'PTHR34360:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118530, NULL, 'PTHR23425:SF7', NULL, NULL, NULL, NULL, 'SPERM PROTEIN ASSOCIATED WITH THE NUCLEUS ON THE X CHROMOSOME N1', NULL, NULL, NULL, 15),
(118531, NULL, 'PTHR32227:SF280', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE, BASIC ISOFORM-LIKE', NULL, NULL, NULL, 15),
(118532, NULL, 'PTHR46128:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118533, NULL, 'PTHR10858:SF9', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE-2-ALPHA', NULL, NULL, NULL, 15),
(118534, NULL, 'PTHR47333', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR C AND EGF DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118535, NULL, 'PTHR18966:SF418', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2.5-RELATED', NULL, NULL, NULL, 15),
(118536, NULL, 'PTHR21373', NULL, NULL, NULL, NULL, 'GLUCOSE REPRESSIBLE PROTEIN MAK10', NULL, NULL, 6923, 15),
(118537, NULL, 'PTHR12722:SF0', NULL, NULL, NULL, NULL, 'PROTEIN FAM50A', NULL, NULL, NULL, 15),
(118538, NULL, 'PTHR11738:SF160', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY A MEMBER 6-RELATED', NULL, NULL, NULL, 15),
(118539, NULL, 'PTHR32227:SF242', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(118540, NULL, 'PTHR32301:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118541, NULL, 'PTHR24078:SF558', NULL, NULL, NULL, NULL, 'BNAA05G37100D PROTEIN', NULL, NULL, NULL, 15),
(118542, NULL, 'PTHR31549:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118543, NULL, 'PTHR32227:SF387', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118544, NULL, 'PTHR11559:SF259', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 3', NULL, NULL, NULL, 15),
(118545, NULL, 'PTHR17630:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118546, NULL, 'PTHR30618:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118547, NULL, 'PTHR42663:SF14', NULL, NULL, NULL, NULL, 'BNAC09G00860D PROTEIN', NULL, NULL, NULL, 15),
(118548, NULL, 'PTHR11132', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35', NULL, NULL, NULL, 15),
(118549, NULL, 'PTHR24068:SF264', NULL, NULL, NULL, NULL, 'BNAA06G11590D PROTEIN', NULL, NULL, NULL, 15),
(118550, NULL, 'PTHR34984', NULL, NULL, NULL, NULL, 'CARBON STORAGE REGULATOR', NULL, NULL, 2398, 15),
(118551, NULL, 'PTHR24356:SF121', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SGK3', NULL, NULL, NULL, 15),
(118552, NULL, 'PTHR22835:SF498', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(118553, NULL, 'PTHR45663:SF27', NULL, NULL, NULL, NULL, 'THIOREDOXIN M2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(118554, NULL, 'PTHR43531:SF7', NULL, NULL, NULL, NULL, 'AEROTAXIS RECEPTOR', NULL, NULL, NULL, 15),
(118555, NULL, 'PTHR28441:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM91A1', NULL, NULL, NULL, 15),
(118556, NULL, 'PTHR21654:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118557, NULL, 'PTHR23262:SF193', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 1-5-RELATED', NULL, NULL, NULL, 15),
(118558, NULL, 'PTHR43503:SF3', NULL, NULL, NULL, NULL, 'DI01187P-RELATED', NULL, NULL, NULL, 15),
(118559, NULL, 'PTHR45825:SF4', NULL, NULL, NULL, NULL, 'SOLUBLE STARCH SYNTHASE 2-3, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(118560, NULL, 'PTHR10807:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118561, NULL, 'PTHR13321:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 18', NULL, NULL, NULL, 15),
(118562, NULL, 'PTHR33138:SF28', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.1', NULL, NULL, NULL, 15),
(118563, NULL, 'PTHR11214:SF75', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(118564, NULL, 'PTHR10969:SF76', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(118565, NULL, 'PTHR13119:SF32', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(118566, NULL, 'PTHR31929:SF126', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(118567, NULL, 'PTHR22055:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118568, NULL, 'PTHR48018:SF174', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(118569, NULL, 'PTHR48002:SF134', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(118570, NULL, 'PTHR40657:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC681367', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118571, NULL, 'PTHR26453:SF221', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10D3-RELATED', NULL, NULL, NULL, 15),
(118572, NULL, 'PTHR24281:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118573, NULL, 'PTHR11615:SF247', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 4', NULL, NULL, NULL, 15),
(118574, NULL, 'PTHR43416:SF15', NULL, NULL, NULL, NULL, 'DIHYDROLIPOAMIDE ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX', NULL, NULL, NULL, 15),
(118575, NULL, 'PTHR28187:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RCR1-RELATED', NULL, NULL, NULL, 15),
(118576, NULL, 'PTHR37752:SF1', NULL, NULL, NULL, NULL, 'OS02G0610700 PROTEIN', NULL, NULL, NULL, 15),
(118577, NULL, 'PTHR22937:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118578, NULL, 'PTHR43625:SF40', NULL, NULL, NULL, NULL, 'PYRIDOXAL REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(118579, NULL, 'PTHR11822:SF15', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP] CYTOPLASMIC', NULL, NULL, NULL, 15),
(118580, NULL, 'PTHR36485:SF1', NULL, NULL, NULL, NULL, 'OS01G0939000 PROTEIN', NULL, NULL, NULL, 15),
(118581, NULL, 'PTHR24028:SF76', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-12', NULL, NULL, NULL, 15),
(118582, NULL, 'PTHR13044:SF34', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR 5A', NULL, NULL, NULL, 15),
(118583, NULL, 'PTHR45637:SF21', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL1', NULL, NULL, NULL, 15),
(118584, NULL, 'PTHR12542:SF101', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(118585, NULL, 'PTHR36896', NULL, NULL, NULL, NULL, 'OS01G0729500 PROTEIN', NULL, NULL, NULL, 15),
(118586, NULL, 'PTHR47216:SF4', NULL, NULL, NULL, NULL, 'OS01G0859400 PROTEIN', NULL, NULL, NULL, 15),
(118587, NULL, 'PTHR12292:SF6', NULL, NULL, NULL, NULL, 'BNAA06G02130D PROTEIN', NULL, NULL, NULL, 15),
(118588, NULL, 'PTHR45622:SF42', NULL, NULL, NULL, NULL, 'OF CHROMOSOME CONDENSATION, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(118589, NULL, 'PTHR14363:SF31', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 79 AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(118590, NULL, 'PTHR11937:SF421', NULL, NULL, NULL, NULL, 'ACTIN-10-RELATED', NULL, NULL, NULL, 15),
(118591, NULL, 'PTHR43600', NULL, NULL, NULL, NULL, 'COENZYME F420 HYDROGENASE, SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(118592, NULL, 'PTHR13140:SF743', NULL, NULL, NULL, NULL, 'MYOSIN-K HEAVY CHAIN', NULL, NULL, NULL, 15),
(118593, NULL, 'PTHR31196:SF2', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II NUCLEAR LOCALIZATION PROTEIN SLC7A6OS-RELATED', NULL, NULL, NULL, 15),
(118594, NULL, 'PTHR43355', NULL, NULL, NULL, NULL, 'FLAVIN REDUCTASE (NADPH)', NULL, NULL, NULL, 15),
(118595, NULL, 'PTHR28498', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(118596, NULL, 'PTHR42973:SF27', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03300)-RELATED', NULL, NULL, NULL, 15),
(118597, NULL, 'PTHR35698', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RHL1', NULL, NULL, 35331, 15),
(118598, NULL, 'PTHR10407:SF15', NULL, NULL, NULL, NULL, 'HUNTINGTIN INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(118599, NULL, 'PTHR34969:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118600, NULL, 'PTHR35179', NULL, NULL, NULL, NULL, 'PROTEIN CBG02620', NULL, NULL, NULL, 15),
(118601, NULL, 'PTHR46751:SF2', NULL, NULL, NULL, NULL, 'EPPIN', NULL, NULL, NULL, 15),
(118602, NULL, 'PTHR31867:SF168', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(118603, NULL, 'PTHR48026', NULL, NULL, NULL, NULL, 'HOMOLOGOUS TO DROSOPHILA SQD (SQUID) PROTEIN', NULL, NULL, NULL, 15),
(118604, NULL, 'PTHR13620:SF45', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118605, NULL, 'PTHR43173:SF29', NULL, NULL, NULL, NULL, 'BNAC04G05270D PROTEIN', NULL, NULL, NULL, 15),
(118606, NULL, 'PTHR46156', NULL, NULL, NULL, NULL, 'CCCH ZINGC FINGER', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118607, NULL, 'PTHR38041:SF1', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', NULL, NULL, NULL, 15),
(118608, NULL, 'PTHR22999:SF31', NULL, NULL, NULL, NULL, 'SLOWPOKE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(118609, NULL, 'PTHR15092:SF44', NULL, NULL, NULL, NULL, 'POLY(A)-SPECIFIC RIBONUCLEASE PARN', NULL, NULL, NULL, 15),
(118610, NULL, 'PTHR10795:SF563', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118611, NULL, 'PTHR10231:SF86', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 2', NULL, NULL, NULL, 15),
(118612, NULL, 'PTHR11347:SF20', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(118613, NULL, 'PTHR47834:SF3', NULL, NULL, NULL, NULL, 'BNAA05G30680D PROTEIN', NULL, NULL, NULL, 15),
(118614, NULL, 'PTHR43789:SF5', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(118615, NULL, 'PTHR32176:SF64', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(118616, NULL, 'PTHR30373', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(118617, NULL, 'PTHR34954', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 37637, 15),
(118618, NULL, 'PTHR48047:SF7', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(118619, NULL, 'PTHR11575:SF46', NULL, NULL, NULL, NULL, 'PROTEIN USHA', NULL, NULL, NULL, 15),
(118620, NULL, 'PTHR31534', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118621, NULL, 'PTHR31896:SF41', NULL, NULL, NULL, NULL, 'OS05G0449200 PROTEIN', NULL, NULL, NULL, 15),
(118622, NULL, 'PTHR48054:SF30', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(118623, NULL, 'PTHR11132:SF404', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 241', NULL, NULL, NULL, 15),
(118624, NULL, 'PTHR24072:SF137', NULL, NULL, NULL, NULL, 'RHO-RELATED BTB DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(118625, NULL, 'PTHR33433:SF2', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(118626, NULL, 'PTHR10836:SF98', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(118627, NULL, 'PTHR46343:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118628, NULL, 'PTHR23309:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118629, NULL, 'PTHR34990:SF1', NULL, NULL, NULL, NULL, 'UDP-2,3-DIACYLGLUCOSAMINE HYDROLASE', NULL, NULL, 10711, 15),
(118630, NULL, 'PTHR45722', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35', NULL, NULL, 38109, 15),
(118631, NULL, 'PTHR32410:SF159', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(118632, NULL, 'PTHR12386:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118633, NULL, 'PTHR20923:SF2', NULL, NULL, NULL, NULL, 'BNAA09G44010D PROTEIN', NULL, NULL, NULL, 15),
(118634, NULL, 'PTHR24298:SF809', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A2-LIKE', NULL, NULL, NULL, 15),
(118635, NULL, 'PTHR10992', NULL, NULL, NULL, NULL, 'METHYLESTERASE FAMILY MEMBER', NULL, NULL, 36654, 15),
(118636, NULL, 'PTHR48044', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(118637, NULL, 'PTHR23023:SF239', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(118638, NULL, 'PTHR10252:SF97', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(118639, NULL, 'PTHR31949:SF16', NULL, NULL, NULL, NULL, 'OS09G0518600 PROTEIN', NULL, NULL, NULL, 15),
(118640, NULL, 'PTHR31464:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13660', NULL, NULL, NULL, 15),
(118641, NULL, 'PTHR10504', NULL, NULL, NULL, NULL, 'BACTERICIDAL PERMEABILITY-INCREASING  BPI  PROTEIN-RELATED', NULL, NULL, 26546, 15),
(118642, NULL, 'PTHR34053:SF5', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL REGULATOR, ULTRAPETALA-RELATED', NULL, NULL, NULL, 15),
(118643, NULL, 'PTHR24347:SF354', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE II ALPHA CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118644, NULL, 'PTHR23226:SF176', NULL, NULL, NULL, NULL, 'CROL ALPHA', NULL, NULL, NULL, 15),
(118645, NULL, 'PTHR11783:SF274', NULL, NULL, NULL, NULL, 'MIP25022P1', NULL, NULL, NULL, 15),
(118646, NULL, 'PTHR10168:SF291', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C1 PROTEIN', NULL, NULL, NULL, 15),
(118647, NULL, 'PTHR11876:SF23', NULL, NULL, NULL, NULL, 'NEUTROPHIL DEFENSIN 4', NULL, NULL, NULL, 15),
(118648, NULL, 'PTHR13906:SF14', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(118649, NULL, 'PTHR45684:SF31', NULL, NULL, NULL, NULL, 'OS06G0225000 PROTEIN', NULL, NULL, NULL, 15),
(118650, NULL, 'PTHR10179', NULL, NULL, NULL, NULL, 'CXC CHEMOKINE', NULL, NULL, 2079, 15),
(118651, NULL, 'PTHR20981:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118652, NULL, 'PTHR47849:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118653, NULL, 'PTHR11685:SF323', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(118654, NULL, 'PTHR10543:SF118', NULL, NULL, NULL, NULL, 'CAROTENOID CLEAVAGE DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(118655, NULL, 'PTHR47090:SF2', NULL, NULL, NULL, NULL, 'PROTEIN EDS1-RELATED', NULL, NULL, NULL, 15),
(118656, NULL, 'PTHR14363:SF32', NULL, NULL, NULL, NULL, 'HEPARANASE-LIKE PROTEIN 2 ISOFORM X1', NULL, NULL, NULL, 15),
(118657, NULL, 'PTHR48105:SF18', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE 1', NULL, NULL, NULL, 15),
(118658, NULL, 'PTHR10806:SF26', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', NULL, NULL, NULL, 15),
(118659, NULL, 'PTHR22596:SF7', NULL, NULL, NULL, NULL, 'TRYPSIN-LIKE PROTEASE', NULL, NULL, NULL, 15),
(118660, NULL, 'PTHR12741:SF88', NULL, NULL, NULL, NULL, 'BNAC03G35120D PROTEIN', NULL, NULL, NULL, 15),
(118661, NULL, 'PTHR31235:SF272', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(118662, NULL, 'PTHR15666:SF3', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(118663, NULL, 'PTHR45631:SF98', NULL, NULL, NULL, NULL, 'BNAA08G29030D PROTEIN', NULL, NULL, NULL, 15),
(118664, NULL, 'PTHR11571:SF239', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 2', NULL, NULL, NULL, 15),
(118665, NULL, 'PTHR11588:SF278', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN-LIKE 3', NULL, NULL, NULL, 15),
(118666, NULL, 'PTHR48246:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(118667, NULL, 'PTHR12411:SF753', NULL, NULL, NULL, NULL, 'PRO-CATHEPSIN H', NULL, NULL, NULL, 15),
(118668, NULL, 'PTHR11731:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118669, NULL, 'PTHR24326:SF545', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX12', NULL, NULL, NULL, 15),
(118670, NULL, 'PTHR19422:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118671, NULL, 'PTHR37242', NULL, NULL, NULL, NULL, 'OS09G0569450 PROTEIN', NULL, NULL, NULL, 15),
(118672, NULL, 'PTHR48027:SF2', NULL, NULL, NULL, NULL, 'OS07G0124600 PROTEIN', NULL, NULL, NULL, 15),
(118673, NULL, 'PTHR46371:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118674, NULL, 'PTHR43976:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118675, NULL, 'PTHR21024', NULL, NULL, NULL, NULL, 'GROWTH HORMONE-INDUCIBLE SOLUBLE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118676, NULL, 'PTHR33021:SF267', NULL, NULL, NULL, NULL, 'BLUE COPPER-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(118677, NULL, 'PTHR48017:SF22', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118678, NULL, 'PTHR15298:SF7', NULL, NULL, NULL, NULL, 'GLYCINE N-ACYLTRANSFERASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(118679, NULL, 'PTHR12233:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 26', NULL, NULL, NULL, 15),
(118680, NULL, 'PTHR46128:SF140', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118681, NULL, 'PTHR15136', NULL, NULL, NULL, NULL, 'STROMAL INTERACTION MOLECULE HOMOLOG', NULL, NULL, 33136, 15),
(118682, NULL, 'PTHR46494:SF3', NULL, NULL, NULL, NULL, 'ZINC TRANSPORT PROTEIN ZNTB', NULL, NULL, NULL, 15),
(118683, NULL, 'PTHR12471:SF8', NULL, NULL, NULL, NULL, 'ATPASE H+-TRANSPORTING ACCESSORY PROTEIN 1-LIKE B', NULL, NULL, NULL, 15),
(118684, NULL, 'PTHR43991:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118685, NULL, 'PTHR11750', NULL, NULL, NULL, NULL, 'PROTEIN N-TERMINAL AMIDASE', NULL, NULL, 33578, 15),
(118686, NULL, 'PTHR15228:SF25', NULL, NULL, NULL, NULL, 'SPERMATHECAL PHYSIOLOGY VARIANT', NULL, NULL, NULL, 15),
(118687, NULL, 'PTHR27003:SF391', NULL, NULL, NULL, NULL, 'BNAA04G13610D PROTEIN', NULL, NULL, NULL, 15),
(118688, NULL, 'PTHR12358:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118689, NULL, 'PTHR10258:SF5', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED POTASSIUM CHANNEL SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(118690, NULL, 'PTHR10332:SF28', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER', NULL, NULL, NULL, 15),
(118691, NULL, 'PTHR43180:SF78', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(118692, NULL, 'PTHR24068:SF29', NULL, NULL, NULL, NULL, 'BCDNA.GH02435', NULL, NULL, NULL, 15),
(118693, NULL, 'PTHR10466:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE-RELATED', NULL, NULL, NULL, 15),
(118694, NULL, 'PTHR42820:SF17', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(118695, NULL, 'PTHR46553:SF17', NULL, NULL, NULL, NULL, 'BNAC04G00160D PROTEIN', NULL, NULL, NULL, 15),
(118696, NULL, 'PTHR12270:SF48', NULL, NULL, NULL, NULL, 'LARGE XYLOSYL- AND GLUCURONYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(118697, NULL, 'PTHR22975', NULL, NULL, NULL, NULL, 'UBIQUITIN SPECIFIC PROTEINASE', NULL, NULL, NULL, 15),
(118698, NULL, 'PTHR10993:SF14', NULL, NULL, NULL, NULL, 'BNAC03G77390D PROTEIN', NULL, NULL, NULL, 15),
(118699, NULL, 'PTHR47990:SF67', NULL, NULL, NULL, NULL, 'OS11G0265800 PROTEIN', NULL, NULL, NULL, 15),
(118700, NULL, 'PTHR43077:SF5', NULL, NULL, NULL, NULL, 'PHAGE INFECTION PROTEIN', NULL, NULL, NULL, 15),
(118701, NULL, 'PTHR30290:SF62', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERIPLASMIC OLIGOPEPTIDE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(118702, NULL, 'PTHR39476', NULL, NULL, NULL, NULL, 'NADH:UBIQUINONE OXIDOREDUCTASE 6.6KD SUBUNIT', NULL, NULL, NULL, 15),
(118703, NULL, 'PTHR46506:SF51', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(118704, NULL, 'PTHR47982:SF26', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK7', NULL, NULL, NULL, 15),
(118705, NULL, 'PTHR31692:SF77', NULL, NULL, NULL, NULL, 'EXPANSIN-B5', NULL, NULL, NULL, 15),
(118706, NULL, 'PTHR23058', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX14', NULL, NULL, 25503, 15),
(118707, NULL, 'PTHR10292:SF25', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(118708, NULL, 'PTHR33895:SF2', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 7', NULL, NULL, NULL, 15),
(118709, NULL, 'PTHR45737:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE AW551984', NULL, NULL, NULL, 15),
(118710, NULL, 'PTHR12550:SF73', NULL, NULL, NULL, NULL, 'PWWP DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(118711, NULL, 'PTHR35784:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 5', NULL, NULL, NULL, 15),
(118712, NULL, 'PTHR33985:SF2', NULL, NULL, NULL, NULL, 'OS02G0491300 PROTEIN', NULL, NULL, NULL, 15),
(118713, NULL, 'PTHR37850:SF2', NULL, NULL, NULL, NULL, 'SAF DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(118714, NULL, 'PTHR45648:SF123', NULL, NULL, NULL, NULL, 'OS01G0509800 PROTEIN', NULL, NULL, NULL, 15),
(118715, NULL, 'PTHR47746:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(118716, NULL, 'PTHR46483:SF3', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(118717, NULL, 'PTHR13715:SF51', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR TYPE 3', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118718, NULL, 'PTHR43406:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118719, NULL, 'PTHR11690:SF120', NULL, NULL, NULL, NULL, 'FLR-1', NULL, NULL, NULL, 15),
(118720, NULL, 'PTHR31048:SF157', NULL, NULL, NULL, NULL, 'OS03G0243900 PROTEIN', NULL, NULL, NULL, 15),
(118721, NULL, 'PTHR14218:SF32', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL PEPTIDASE SED3 (AFU_ORTHOLOGUE AFUA_3G08930)', NULL, NULL, NULL, 15),
(118722, NULL, 'PTHR13383', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H2 SUBUNIT B', NULL, NULL, 35433, 15),
(118723, NULL, 'PTHR45767:SF3', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN O4', NULL, NULL, NULL, 15),
(118724, NULL, 'PTHR46996', NULL, NULL, NULL, NULL, 'OS05G0488500 PROTEIN', NULL, NULL, NULL, 15),
(118725, NULL, 'PTHR46050:SF4', NULL, NULL, NULL, NULL, '''UNKNOW PROTEIN, CONTAINS TETRATRICOPEPTIDE (TPR) DOMAIN', NULL, NULL, NULL, 15),
(118726, NULL, 'PTHR27002:SF455', NULL, NULL, NULL, NULL, 'OS08G0343000 PROTEIN', NULL, NULL, NULL, 15),
(118727, NULL, 'PTHR10292:SF16', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(118728, NULL, 'PTHR31989:SF276', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118729, NULL, 'PTHR45839:SF17', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 2', NULL, NULL, NULL, 15),
(118730, NULL, 'PTHR42928', NULL, NULL, NULL, NULL, 'TRICARBOXYLATE-BINDING PROTEIN', NULL, NULL, 2099, 15),
(118731, NULL, 'PTHR33102:SF57', NULL, NULL, NULL, NULL, 'DVL10', NULL, NULL, NULL, 15),
(118732, NULL, 'PTHR11680:SF34', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(118733, NULL, 'PTHR24300:SF302', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 2 SUBFAMILY E MEMBER 1', NULL, NULL, NULL, 15),
(118734, NULL, 'PTHR10454:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118735, NULL, 'PTHR48043:SF52', NULL, NULL, NULL, NULL, 'UDP GLUCURONOSYLTRANSFERASE 5 FAMILY, POLYPEPTIDE B3-RELATED', NULL, NULL, NULL, 15),
(118736, NULL, 'PTHR48054:SF31', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118737, NULL, 'PTHR11453:SF58', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN', NULL, NULL, NULL, 15),
(118738, NULL, 'PTHR32370:SF137', NULL, NULL, NULL, NULL, 'BNAC03G41170D PROTEIN', NULL, NULL, NULL, 15),
(118739, NULL, 'PTHR34959:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118740, NULL, 'PTHR31744:SF149', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 3-LIKE', NULL, NULL, NULL, 15),
(118741, NULL, 'PTHR26453:SF669', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10C1', NULL, NULL, NULL, 15),
(118742, NULL, 'PTHR24040:SF0', NULL, NULL, NULL, NULL, 'VITAMIN K-DEPENDENT PROTEIN S', NULL, NULL, 31926, 15),
(118743, NULL, 'PTHR22975:SF27', NULL, NULL, NULL, NULL, 'BNAA02G33060D PROTEIN', NULL, NULL, NULL, 15),
(118744, NULL, 'PTHR13793:SF148', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(118745, NULL, 'PTHR11452:SF72', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(118746, NULL, 'PTHR47685:SF1', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORT PROTEIN CORA', NULL, NULL, NULL, 15),
(118747, NULL, 'PTHR33893', NULL, NULL, NULL, NULL, 'INSULIN RELATED-RELATED-RELATED', NULL, NULL, NULL, 15),
(118748, NULL, 'PTHR43047:SF42', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE CYTOKININ RECEPTOR', NULL, NULL, NULL, 15),
(118749, NULL, 'PTHR11875:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118750, NULL, 'PTHR46834:SF10', NULL, NULL, NULL, NULL, 'BNAC04G13540D PROTEIN', NULL, NULL, NULL, 15),
(118751, NULL, 'PTHR46101:SF4', NULL, NULL, NULL, NULL, 'SERINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(118752, NULL, 'PTHR23255:SF99', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN SERINE/THREONINE KINASE', NULL, NULL, NULL, 15),
(118753, NULL, 'PTHR24006:SF727', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 42', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118754, NULL, 'PTHR24300:SF308', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 306A1', NULL, NULL, NULL, 15),
(118755, NULL, 'PTHR47991:SF17', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(118756, NULL, 'PTHR47321', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(118757, NULL, 'PTHR31086:SF68', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 5-LIKE', NULL, NULL, NULL, 15),
(118758, NULL, 'PTHR12642:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118759, NULL, 'PTHR44461', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE-LIKE PROTEIN 1', NULL, NULL, 38271, 15),
(118760, NULL, 'PTHR47212:SF11', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYGLUCOSAMINLYTRANSFERASE SUBUNIT P-LIKE PROTEIN', NULL, NULL, NULL, 15),
(118761, NULL, 'PTHR23036:SF79', NULL, NULL, NULL, NULL, 'INTERLEUKIN-12 RECEPTOR SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(118762, NULL, 'PTHR11691:SF8', NULL, NULL, NULL, NULL, 'INTERFERON EPSILON', NULL, NULL, NULL, 15),
(118763, NULL, 'PTHR46403', NULL, NULL, NULL, NULL, 'TP53-REGULATED INHIBITOR OF APOPTOSIS 1', NULL, NULL, 3152, 15),
(118764, NULL, 'PTHR43784:SF2', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00820)-RELATED', NULL, NULL, NULL, 15),
(118765, NULL, 'PTHR46868:SF9', NULL, NULL, NULL, NULL, 'PROTEIN MARD1', NULL, NULL, NULL, 15),
(118766, NULL, 'PTHR23023:SF245', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(118767, NULL, 'PTHR13509', NULL, NULL, NULL, NULL, 'SEC61 SUBUNIT BETA', NULL, NULL, 22727, 15),
(118768, NULL, 'PTHR14738', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, 32453, 15),
(118769, NULL, 'PTHR33925:SF1', NULL, NULL, NULL, NULL, 'PLASTID DIVISION PROTEIN CDP1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(118770, NULL, 'PTHR31414:SF10', NULL, NULL, NULL, NULL, 'OSJNBA0033G05.10 PROTEIN', NULL, NULL, NULL, 15),
(118771, NULL, 'PTHR31852:SF124', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN 1 CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(118772, NULL, 'PTHR46261', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 4-RELATED', NULL, NULL, 23715, 15),
(118773, NULL, 'PTHR11607:SF28', NULL, NULL, NULL, NULL, 'EPIDIDYMIS-SPECIFIC ALPHA-MANNOSIDASE', NULL, NULL, NULL, 15),
(118774, NULL, 'PTHR43418:SF8', NULL, NULL, NULL, NULL, 'SYNTHASE COMPONENT II, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(118775, NULL, 'PTHR45630:SF6', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(118776, NULL, 'PTHR11945:SF590', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(118777, NULL, 'PTHR11736', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN  MAGE ANTIGEN', NULL, NULL, 34933, 15),
(118778, NULL, 'PTHR37302:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DINB', NULL, NULL, NULL, 15),
(118779, NULL, 'PTHR43170:SF4', NULL, NULL, NULL, NULL, 'GMP REDUCTASE 2', NULL, NULL, NULL, 15),
(118780, NULL, 'PTHR36840', NULL, NULL, NULL, NULL, 'BLL5714 PROTEIN', NULL, NULL, 9208, 15),
(118781, NULL, 'PTHR38590', NULL, NULL, NULL, NULL, 'BLL0828 PROTEIN', NULL, NULL, NULL, 15),
(118782, NULL, 'PTHR42812:SF7', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00930)-RELATED', NULL, NULL, NULL, 15),
(118783, NULL, 'PTHR31353:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAM98C', NULL, NULL, NULL, 15),
(118784, NULL, 'PTHR30126:SF6', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CYSB-RELATED', NULL, NULL, NULL, 15),
(118785, NULL, 'PTHR46859:SF5', NULL, NULL, NULL, NULL, 'BNAA02G14020D PROTEIN', NULL, NULL, NULL, 15),
(118786, NULL, 'PTHR11452:SF12', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(118787, NULL, 'PTHR11309:SF81', NULL, NULL, NULL, NULL, 'FRIZZLED-1', NULL, NULL, NULL, 15),
(118788, NULL, 'PTHR42760:SF10', NULL, NULL, NULL, NULL, 'D-ARABINITOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(118789, NULL, 'PTHR47926:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118790, NULL, 'PTHR11824:SF18', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, VOLTAGE-DEPENDENT, BETA 3A', NULL, NULL, NULL, 15),
(118791, NULL, 'PTHR31415:SF130', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(118792, NULL, 'PTHR39178:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL RIBOSOME-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(118793, NULL, 'PTHR11984:SF56', NULL, NULL, NULL, NULL, 'GAP JUNCTION GAMMA-3 PROTEIN', NULL, NULL, NULL, 15),
(118794, NULL, 'PTHR24177:SF231', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(118795, NULL, 'PTHR24414:SF63', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 46', NULL, NULL, NULL, 15),
(118796, NULL, 'PTHR45717:SF37', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118797, NULL, 'PTHR47704:SF1', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER KIMA', NULL, NULL, NULL, 15),
(118798, NULL, 'PTHR24177:SF303', NULL, NULL, NULL, NULL, 'PROTEIN ACCELERATED CELL DEATH 6-LIKE', NULL, NULL, NULL, 15),
(118799, NULL, 'PTHR12317:SF14', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(118800, NULL, 'PTHR33373', NULL, NULL, NULL, NULL, 'OS07G0479600 PROTEIN', NULL, NULL, NULL, 15),
(118801, NULL, 'PTHR24559:SF339', NULL, NULL, NULL, NULL, 'PROTEIN CBG26654', NULL, NULL, NULL, 15),
(118802, NULL, 'PTHR47771:SF3', NULL, NULL, NULL, NULL, 'AGAP002453-PA', NULL, NULL, NULL, 15),
(118803, NULL, 'PTHR31182:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118804, NULL, 'PTHR43899:SF9', NULL, NULL, NULL, NULL, 'MIP25013P-RELATED', NULL, NULL, NULL, 15),
(118805, NULL, 'PTHR31072:SF151', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, TCP-RELATED', NULL, NULL, NULL, 15),
(118806, NULL, 'PTHR48019:SF64', NULL, NULL, NULL, NULL, 'F23H11.23 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118807, NULL, 'PTHR45998', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 16', NULL, NULL, NULL, 15),
(118808, NULL, 'PTHR46439:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH MOTOR NEURON 1 PROTEIN', NULL, NULL, NULL, 15),
(118809, NULL, 'PTHR24377:SF799', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 426', NULL, NULL, NULL, 15),
(118810, NULL, 'PTHR12387', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 8', NULL, NULL, 3256, 15),
(118811, NULL, 'PTHR24203:SF7', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(118812, NULL, 'PTHR12411:SF729', NULL, NULL, NULL, NULL, 'PROTEIN CTLA-2-ALPHA-RELATED', NULL, NULL, NULL, 15),
(118813, NULL, 'PTHR10795:SF641', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9', NULL, NULL, NULL, 15),
(118814, NULL, 'PTHR10293:SF40', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-3', NULL, NULL, NULL, 15),
(118815, NULL, 'PTHR33069:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(118816, NULL, 'PTHR31458:SF13', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE NON-CATALYTIC PROTEIN', NULL, NULL, NULL, 15),
(118817, NULL, 'PTHR33077:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118818, NULL, 'PTHR34929:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN INAFM2-RELATED', NULL, NULL, NULL, 15),
(118819, NULL, 'PTHR12001:SF44', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(118820, NULL, 'PTHR23113:SF222', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR 6', NULL, NULL, NULL, 15),
(118821, NULL, 'PTHR11984:SF23', NULL, NULL, NULL, NULL, 'GAP JUNCTION BETA-6 PROTEIN', NULL, NULL, NULL, 15),
(118822, NULL, 'PTHR40084', NULL, NULL, NULL, NULL, 'PHOSPHOHYDROLASE, PHP FAMILY', NULL, NULL, NULL, 15),
(118823, NULL, 'PTHR13890:SF10', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-C', NULL, NULL, NULL, 15),
(118824, NULL, 'PTHR18929:SF45', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118825, NULL, 'PTHR19305:SF25', NULL, NULL, NULL, NULL, 'SNAP25 HOMOLOGOUS PROTEIN SNAP30-RELATED', NULL, NULL, NULL, 15),
(118826, NULL, 'PTHR11165:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118827, NULL, 'PTHR34688', NULL, NULL, NULL, NULL, 'CYTOCHROME C6, CHLOROPLASTIC', NULL, NULL, 16790, 15),
(118828, NULL, 'PTHR13112:SF7', NULL, NULL, NULL, NULL, 'BNAA08G06560D PROTEIN', NULL, NULL, NULL, 15),
(118829, NULL, 'PTHR22811:SF31', NULL, NULL, NULL, NULL, 'RE49489P', NULL, NULL, NULL, 15),
(118830, NULL, 'PTHR11926:SF1365', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(118831, NULL, 'PTHR21614:SF2', NULL, NULL, NULL, NULL, 'SHORT COILED-COIL PROTEIN B', NULL, NULL, NULL, 15),
(118832, NULL, 'PTHR11749:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SGCE', NULL, NULL, NULL, 15),
(118833, NULL, 'PTHR23152:SF5', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE-LIKE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(118834, NULL, 'PTHR27003:SF289', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE ANXUR2', NULL, NULL, NULL, 15),
(118835, NULL, 'PTHR31673:SF52', NULL, NULL, NULL, NULL, 'BNAANNG06670D PROTEIN', NULL, NULL, NULL, 15),
(118836, NULL, 'PTHR36079:SF2', NULL, NULL, NULL, NULL, 'BNAA06G39070D PROTEIN', NULL, NULL, NULL, 15),
(118837, NULL, 'PTHR31235:SF233', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(118838, NULL, 'PTHR10736:SF11', NULL, NULL, NULL, NULL, 'BESTROPHIN 2', NULL, NULL, NULL, 15),
(118839, NULL, 'PTHR46443:SF1', NULL, NULL, NULL, NULL, 'OS01G0719000 PROTEIN', NULL, NULL, NULL, 15),
(118840, NULL, 'PTHR11615:SF282', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(118841, NULL, 'PTHR13459:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF220', NULL, NULL, NULL, 15),
(118842, NULL, 'PTHR35482:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT', NULL, NULL, NULL, 15),
(118843, NULL, 'PTHR11958:SF67', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER 4', NULL, NULL, NULL, 15),
(118844, NULL, 'PTHR38813:SF1', NULL, NULL, NULL, NULL, 'TOXIN RELE1-RELATED', NULL, NULL, NULL, 15),
(118845, NULL, 'PTHR30352:SF2', NULL, NULL, NULL, NULL, 'ANAEROBIC RIBONUCLEOSIDE-TRIPHOSPHATE REDUCTASE-ACTIVATING PROTEIN', NULL, NULL, 12848, 15),
(118846, NULL, 'PTHR24286:SF28', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 722 SUBFAMILY A POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(118847, NULL, 'PTHR10126:SF51', NULL, NULL, NULL, NULL, 'BNAC03G70590D PROTEIN', NULL, NULL, NULL, 15),
(118848, NULL, 'PTHR32175:SF16', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(118849, NULL, 'PTHR14380:SF8', NULL, NULL, NULL, NULL, 'OOCYTE-SECRETED PROTEIN 3', NULL, NULL, NULL, 15),
(118850, NULL, 'PTHR45614:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118851, NULL, 'PTHR10961:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118852, NULL, 'PTHR36701:SF1', NULL, NULL, NULL, NULL, 'EPOXYQUEUOSINE REDUCTASE QUEH', NULL, NULL, NULL, 15),
(118853, NULL, 'PTHR23310:SF6', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(118854, NULL, 'PTHR31248:SF17', NULL, NULL, NULL, NULL, 'ANNEXIN A7-LIKE', NULL, NULL, NULL, 15),
(118855, NULL, 'PTHR34698', NULL, NULL, NULL, NULL, '5-OXOPROLINASE SUBUNIT B', NULL, NULL, 5189, 15),
(118856, NULL, 'PTHR30314:SF9', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSZ 2', NULL, NULL, NULL, 15),
(118857, NULL, 'PTHR31301:SF12', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 25', NULL, NULL, NULL, 15),
(118858, NULL, 'PTHR46743:SF3', NULL, NULL, NULL, NULL, 'ABC-TYPE POLYSACCHARIDE/POLYOL PHOSPHATE TRANSPORT SYSTEM, ATPASE COMPONENT-RELATED', NULL, NULL, NULL, 15),
(118859, NULL, 'PTHR45974:SF94', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(118860, NULL, 'PTHR10231:SF84', NULL, NULL, NULL, NULL, 'BNACNNG31630D PROTEIN', NULL, NULL, NULL, 15),
(118861, NULL, 'PTHR24298:SF379', NULL, NULL, NULL, NULL, 'OS08G0105800 PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118862, NULL, 'PTHR36882', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED SEQUENCE 37 PROTEIN', NULL, NULL, 28153, 15),
(118863, NULL, 'PTHR37751:SF3', NULL, NULL, NULL, NULL, 'BNAA08G30880D PROTEIN', NULL, NULL, NULL, 15),
(118864, NULL, 'PTHR35739', NULL, NULL, NULL, NULL, 'OS01G0861700 PROTEIN', NULL, NULL, NULL, 15),
(118865, NULL, 'PTHR24376:SF69', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 574', NULL, NULL, NULL, 15),
(118866, NULL, 'PTHR33753', NULL, NULL, NULL, NULL, '1,4-BETA-D-GLUCAN CELLOBIOHYDROLASE B', NULL, NULL, 3032, 15),
(118867, NULL, 'PTHR22776:SF15', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(118868, NULL, 'PTHR43530', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE CATALYTIC SUBUNIT 1', NULL, NULL, NULL, 15),
(118869, NULL, 'PTHR31282:SF145', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 38 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(118870, NULL, 'PTHR32227:SF316', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 10', NULL, NULL, NULL, 15),
(118871, NULL, 'PTHR24068:SF337', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 6', NULL, NULL, NULL, 15),
(118872, NULL, 'PTHR19375:SF379', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 71 KDA PROTEIN', NULL, NULL, NULL, 15),
(118873, NULL, 'PTHR33747:SF8', NULL, NULL, NULL, NULL, 'UPF0225 PROTEIN YCHJ', NULL, NULL, NULL, 15),
(118874, NULL, 'PTHR13954:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE IRLA-RELATED', NULL, NULL, NULL, 15),
(118875, NULL, 'PTHR46064:SF1', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE ACCESSORY SUBUNIT 2', NULL, NULL, NULL, 15),
(118876, NULL, 'PTHR23055:SF67', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700109H08 GENE', NULL, NULL, NULL, 15),
(118877, NULL, 'PTHR11817:SF97', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(118878, NULL, 'PTHR31236:SF22', NULL, NULL, NULL, NULL, 'BURP DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(118879, NULL, 'PTHR16840:SF3', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC PROTEIN 1', NULL, NULL, NULL, 15),
(118880, NULL, 'PTHR24055:SF477', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(118881, NULL, 'PTHR31351:SF27', NULL, NULL, NULL, NULL, 'BNAA06G36500D PROTEIN', NULL, NULL, NULL, 15),
(118882, NULL, 'PTHR24023:SF845', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXII) CHAIN', NULL, NULL, NULL, 15),
(118883, NULL, 'PTHR43139:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118884, NULL, 'PTHR31762:SF13', NULL, NULL, NULL, NULL, 'OS11G0520500 PROTEIN', NULL, NULL, NULL, 15),
(118885, NULL, 'PTHR13326:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118886, NULL, 'PTHR12128:SF51', NULL, NULL, NULL, NULL, 'BLL4205 PROTEIN', NULL, NULL, NULL, 15),
(118887, NULL, 'PTHR33077:SF102', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 3-LIKE', NULL, NULL, NULL, 15),
(118888, NULL, 'PTHR13312', NULL, NULL, NULL, NULL, 'HIV-INDUCED PROTEIN-7-LIKE PROTEASE', NULL, NULL, 31520, 15),
(118889, NULL, 'PTHR10502:SF177', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(118890, NULL, 'PTHR46446:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILI7', NULL, NULL, NULL, 15),
(118891, NULL, 'PTHR47589:SF4', NULL, NULL, NULL, NULL, 'FATTY-ACID-BINDING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(118892, NULL, 'PTHR46709:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG04562', NULL, NULL, NULL, 15),
(118893, NULL, 'PTHR47924:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118894, NULL, 'PTHR12271:SF45', NULL, NULL, NULL, NULL, 'POLY(A) RNA POLYMERASE GLD-2', NULL, NULL, NULL, 15),
(118895, NULL, 'PTHR37488:SF1', NULL, NULL, NULL, NULL, 'DUF1275 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(118896, NULL, 'PTHR11040:SF183', NULL, NULL, NULL, NULL, 'BNAA01G35000D PROTEIN', NULL, NULL, NULL, 15),
(118897, NULL, 'PTHR12713:SF30', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G', NULL, NULL, NULL, 15),
(118898, NULL, 'PTHR12947', NULL, NULL, NULL, NULL, 'AMSH-LIKE PROTEASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118899, NULL, 'PTHR35832:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(118900, NULL, 'PTHR11604:SF5', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(118901, NULL, 'PTHR31286:SF56', NULL, NULL, NULL, NULL, 'BNAA06G22760D PROTEIN', NULL, NULL, NULL, 15),
(118902, NULL, 'PTHR32191:SF84', NULL, NULL, NULL, NULL, 'BNAC01G14980D PROTEIN', NULL, NULL, NULL, 15),
(118903, NULL, 'PTHR21461:SF73', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(118904, NULL, 'PTHR47479:SF4', NULL, NULL, NULL, NULL, 'BNAANNG03100D PROTEIN', NULL, NULL, NULL, 15),
(118905, NULL, 'PTHR23023:SF236', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(118906, NULL, 'PTHR13780', NULL, NULL, NULL, NULL, 'AMP-ACTIVATED PROTEIN KINASE, GAMMA REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(118907, NULL, 'PTHR43019:SF50', NULL, NULL, NULL, NULL, 'SERINE PROTEASE PEPD (SERINE PROTEINASE) (MTB32B)-RELATED', NULL, NULL, NULL, 15),
(118908, NULL, 'PTHR19359:SF75', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 A', NULL, NULL, NULL, 15),
(118909, NULL, 'PTHR31802:SF3', NULL, NULL, NULL, NULL, '32 KDA HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(118910, NULL, 'PTHR47022', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN-CONTAINING PROTEIN 36-RELATED', NULL, NULL, NULL, 15),
(118911, NULL, 'PTHR32556:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118912, NULL, 'PTHR21685:SF0', NULL, NULL, NULL, NULL, 'PHOSTENSIN', NULL, NULL, NULL, 15),
(118913, NULL, 'PTHR43768:SF17', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE F-RELATED', NULL, NULL, NULL, 15),
(118914, NULL, 'PTHR32100:SF68', NULL, NULL, NULL, NULL, 'OMEGA-6 FATTY ACID DESATURASE, ENDOPLASMIC RETICULUM', NULL, NULL, NULL, 15),
(118915, NULL, 'PTHR31905', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 58', NULL, NULL, 18634, 15),
(118916, NULL, 'PTHR31890:SF20', NULL, NULL, NULL, NULL, 'BNAA02G14590D PROTEIN', NULL, NULL, NULL, 15),
(118917, NULL, 'PTHR24197', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 61', NULL, NULL, NULL, 15),
(118918, NULL, 'PTHR35043:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118919, NULL, 'PTHR31447:SF1', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE', NULL, NULL, NULL, 15),
(118920, NULL, 'PTHR33167:SF27', NULL, NULL, NULL, NULL, 'OS03G0604500-LIKE PROTEIN', NULL, NULL, NULL, 15),
(118921, NULL, 'PTHR13068:SF172', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR MTERF FAMILY-RELATED', NULL, NULL, NULL, 15),
(118922, NULL, 'PTHR12649', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE 2', NULL, NULL, 5415, 15),
(118923, NULL, 'PTHR12595', NULL, NULL, NULL, NULL, 'POS9-ACTIVATING FACTOR FAP7-RELATED', NULL, NULL, 20414, 15),
(118924, NULL, 'PTHR47519:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-5', NULL, NULL, NULL, 15),
(118925, NULL, 'PTHR30128:SF54', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PORIN F', NULL, NULL, NULL, 15),
(118926, NULL, 'PTHR31086:SF67', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 7', NULL, NULL, NULL, 15),
(118927, NULL, 'PTHR24028:SF119', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-C2', NULL, NULL, 25355, 15),
(118928, NULL, 'PTHR11700:SF8', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S20', NULL, NULL, NULL, 15),
(118929, NULL, 'PTHR22898', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED GLYCOSOL TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(118930, NULL, 'PTHR12146:SF22', NULL, NULL, NULL, NULL, 'PLECTIN/S10 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(118931, NULL, 'PTHR33098:SF15', NULL, NULL, NULL, NULL, 'DUF761 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(118932, NULL, 'PTHR22811:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118933, NULL, 'PTHR40903', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(118934, NULL, 'PTHR26452:SF367', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118935, NULL, 'PTHR31973:SF139', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(118936, NULL, 'PTHR10314:SF90', NULL, NULL, NULL, NULL, 'S-SULFO-L-CYSTEINE SYNTHASE (O-ACETYL-L-SERINE-DEPENDENT), CHLOROPLASTIC', NULL, NULL, NULL, 15),
(118937, NULL, 'PTHR12369:SF45', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(118938, NULL, 'PTHR21230:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118939, NULL, 'PTHR10075:SF78', NULL, NULL, NULL, NULL, 'PROTEIN BORDERLESS-RELATED', NULL, NULL, NULL, 15),
(118940, NULL, 'PTHR34482:SF26', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(118941, NULL, 'PTHR10545:SF60', NULL, NULL, NULL, NULL, 'SPERMIDINE/SPERMINE N(1)-ACETYLTRANSFERASE-LIKE PROTEIN 1', NULL, NULL, 35889, 15),
(118942, NULL, 'PTHR48058:SF13', NULL, NULL, NULL, NULL, 'REPEAT RECEPTOR PROTEIN KINASE EXS, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(118943, NULL, 'PTHR38926:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118944, NULL, 'PTHR32123:SF12', NULL, NULL, NULL, NULL, 'BICD FAMILY-LIKE CARGO ADAPTER 1', NULL, NULL, NULL, 15),
(118945, NULL, 'PTHR47992:SF59', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1N-RELATED', NULL, NULL, NULL, 15),
(118946, NULL, 'PTHR11839:SF27', NULL, NULL, NULL, NULL, 'BNACNNG74470D PROTEIN', NULL, NULL, NULL, 15),
(118947, NULL, 'PTHR33021:SF330', NULL, NULL, NULL, NULL, 'PLASTOCYANIN-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(118948, NULL, 'PTHR23316:SF62', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(118949, NULL, 'PTHR32278:SF51', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10', NULL, NULL, NULL, 15),
(118950, NULL, 'PTHR11200:SF263', NULL, NULL, NULL, NULL, 'INOSITOL 5-PHOSPHATASE', NULL, NULL, NULL, 15),
(118951, NULL, 'PTHR33077:SF76', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10A-LIKE', NULL, NULL, NULL, 15),
(118952, NULL, 'PTHR45621:SF178', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118953, NULL, 'PTHR22642:SF22', NULL, NULL, NULL, NULL, 'EXOENZYMES REGULATORY PROTEIN AEPA', NULL, NULL, NULL, 15),
(118954, NULL, 'PTHR30069:SF41', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR HI_1217-RELATED', NULL, NULL, NULL, 15),
(118955, NULL, 'PTHR11736:SF50', NULL, NULL, NULL, NULL, 'MAGEA3-RELATED', NULL, NULL, NULL, 15),
(118956, NULL, 'PTHR35302:SF1', NULL, NULL, NULL, NULL, 'PROTEIN COFACTOR ASSEMBLY OF COMPLEX C SUBUNIT B CCB1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(118957, NULL, 'PTHR18911', NULL, NULL, NULL, NULL, 'CTCL TUMOR ANTIGEN HD-CL-01', NULL, NULL, 33451, 15),
(118958, NULL, 'PTHR46498:SF1', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN 8', NULL, NULL, NULL, 15),
(118959, NULL, 'PTHR19981:SF36', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN A', NULL, NULL, NULL, 15),
(118960, NULL, 'PTHR34639:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FLATTOP', NULL, NULL, NULL, 15),
(118961, NULL, 'PTHR33648', NULL, NULL, NULL, NULL, 'EMBRYO SAC 1', NULL, NULL, NULL, 15),
(118962, NULL, 'PTHR31945:SF107', NULL, NULL, NULL, NULL, 'BNAA01G07020D PROTEIN', NULL, NULL, NULL, 15),
(118963, NULL, 'PTHR12990:SF10', NULL, NULL, NULL, NULL, 'MESENCEPHALIC ASTROCYTE-DERIVED NEUROTROPHIC FACTOR', NULL, NULL, NULL, 15),
(118964, NULL, 'PTHR33257:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118965, NULL, 'PTHR33052:SF156', NULL, NULL, NULL, NULL, 'BNAA08G28790D PROTEIN', NULL, NULL, NULL, 15),
(118966, NULL, 'PTHR31125:SF7', NULL, NULL, NULL, NULL, 'F20P5.24 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118967, NULL, 'PTHR46641:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG17512', NULL, NULL, NULL, 15),
(118968, NULL, 'PTHR33146:SF21', NULL, NULL, NULL, NULL, 'OS01G0128200 PROTEIN', NULL, NULL, NULL, 15),
(118969, NULL, 'PTHR10791:SF37', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(118970, NULL, 'PTHR23201:SF80', NULL, NULL, NULL, NULL, 'OS06G0729400 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(118971, NULL, 'PTHR24055:SF508', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ULK1/ULK2-RELATED', NULL, NULL, NULL, 15),
(118972, NULL, 'PTHR15744', NULL, NULL, NULL, NULL, 'BLOM7', NULL, NULL, 28260, 15),
(118973, NULL, 'PTHR46905:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(118974, NULL, 'PTHR10795:SF697', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', NULL, NULL, NULL, 15),
(118975, NULL, 'PTHR34794:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118976, NULL, 'PTHR18976:SF31', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN A-IV A', NULL, NULL, NULL, 15),
(118977, NULL, 'PTHR32208:SF71', NULL, NULL, NULL, NULL, 'GLYOXAL OXIDASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(118978, NULL, 'PTHR12176:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118979, NULL, 'PTHR43522:SF10', NULL, NULL, NULL, NULL, 'TRANSKETOLASE', NULL, NULL, NULL, 15),
(118980, NULL, 'PTHR31442:SF34', NULL, NULL, NULL, NULL, 'BNAA05G28150D PROTEIN', NULL, NULL, NULL, 15),
(118981, NULL, 'PTHR46880:SF8', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE KIAA1586', NULL, NULL, NULL, 15),
(118982, NULL, 'PTHR43840:SF30', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN, HYPOTHETICAL', NULL, NULL, NULL, 15),
(118983, NULL, 'PTHR22931:SF39', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE 2', NULL, NULL, NULL, 15),
(118984, NULL, 'PTHR31190:SF311', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118985, NULL, 'PTHR46230:SF5', NULL, NULL, NULL, NULL, 'BOLA PROTEIN, FE-S METABOLISM ASSOCIATED DOMAIN, SUFE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(118986, NULL, 'PTHR35686', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN', NULL, NULL, NULL, 15),
(118987, NULL, 'PTHR34223:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118988, NULL, 'PTHR12801:SF57', NULL, NULL, NULL, NULL, 'APOPTOSIS-ENHANCING NUCLEASE', NULL, NULL, NULL, 15),
(118989, NULL, 'PTHR10426:SF110', NULL, NULL, NULL, NULL, 'BNACNNG26110D PROTEIN', NULL, NULL, NULL, 15),
(118990, NULL, 'PTHR11693:SF37', NULL, NULL, NULL, NULL, 'F0F1 ATP SYNTHASE SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(118991, NULL, 'PTHR45720:SF9', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(118992, NULL, 'PTHR24418:SF92', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE BTK', NULL, NULL, NULL, 15),
(118993, NULL, 'PTHR24082:SF316', NULL, NULL, NULL, NULL, 'OXYSTEROLS RECEPTOR LXR-BETA', NULL, NULL, NULL, 15),
(118994, NULL, 'PTHR33109:SF57', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(118995, NULL, 'PTHR22966:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(118996, NULL, 'PTHR40457', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1', NULL, NULL, 3470, 15),
(118997, NULL, 'PTHR31374:SF301', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32-LIKE', NULL, NULL, NULL, 15),
(118998, NULL, 'PTHR24072:SF158', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOG', NULL, NULL, NULL, 15),
(118999, NULL, 'PTHR10969:SF69', NULL, NULL, NULL, NULL, 'MAP1 LIGHT CHAIN 3-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(119000, NULL, 'PTHR32285:SF263', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 23', NULL, NULL, NULL, 15),
(119001, NULL, 'PTHR44051:SF9', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 1', NULL, NULL, NULL, 15),
(119002, NULL, 'PTHR23176:SF118', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACEE', NULL, NULL, NULL, 15),
(119003, NULL, 'PTHR38936:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119004, NULL, 'PTHR10408:SF12', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 1-1', NULL, NULL, NULL, 15),
(119005, NULL, 'PTHR24366:SF64', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND IMMUNOGLOBULIN LIKE DOMAINS 2', NULL, NULL, NULL, 15),
(119006, NULL, 'PTHR11668:SF204', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1-GAMMA CATALYTIC SUBUNIT', NULL, NULL, 34902, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119007, NULL, 'PTHR37412', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, 33349, 15),
(119008, NULL, 'PTHR23305:SF11', NULL, NULL, NULL, NULL, 'OBG-LIKE ATPASE 1', NULL, NULL, NULL, 15),
(119009, NULL, 'PTHR45681', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 44-RELATED', NULL, NULL, NULL, 15),
(119010, NULL, 'PTHR46261:SF23', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(119011, NULL, 'PTHR31889:SF69', NULL, NULL, NULL, NULL, 'BNAA09G45850D PROTEIN', NULL, NULL, NULL, 15),
(119012, NULL, 'PTHR48156:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(119013, NULL, 'PTHR10015:SF355', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX DNA-BINDING DOMAIN, HEAT SHOCK TRANSCRIPTION FACTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(119014, NULL, 'PTHR48041:SF71', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY G MEMBER 8', NULL, NULL, NULL, 15),
(119015, NULL, 'PTHR47974:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(119016, NULL, 'PTHR48053:SF66', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(119017, NULL, 'PTHR47929:SF6', NULL, NULL, NULL, NULL, 'BNAA04G15120D PROTEIN', NULL, NULL, NULL, 15),
(119018, NULL, 'PTHR31142:SF28', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION 1 HOMOLOG', NULL, NULL, NULL, 15),
(119019, NULL, 'PTHR34660:SF10', NULL, NULL, NULL, NULL, 'BNAA09G09320D PROTEIN', NULL, NULL, NULL, 15),
(119020, NULL, 'PTHR31378:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119021, NULL, 'PTHR11510:SF18', NULL, NULL, NULL, NULL, 'INOSITOL-3-PHOSPHATE SYNTHASE ISOZYME 1', NULL, NULL, NULL, 15),
(119022, NULL, 'PTHR12396:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119023, NULL, 'PTHR11782:SF102', NULL, NULL, NULL, NULL, 'DIPHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119024, NULL, 'PTHR10775:SF115', NULL, NULL, NULL, NULL, 'OS08G0208400 PROTEIN', NULL, NULL, NULL, 15),
(119025, NULL, 'PTHR11829:SF343', NULL, NULL, NULL, NULL, 'FORK HEAD DOMAIN-CONTAINING PROTEIN FD4-RELATED', NULL, NULL, NULL, 15),
(119026, NULL, 'PTHR31989:SF353', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119027, NULL, 'PTHR43327:SF46', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(119028, NULL, 'PTHR11776:SF24', NULL, NULL, NULL, NULL, 'BNAA09G27900D PROTEIN', NULL, NULL, NULL, 15),
(119029, NULL, 'PTHR15048:SF0', NULL, NULL, NULL, NULL, 'STARCH-BINDING DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(119030, NULL, 'PTHR10454:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119031, NULL, 'PTHR43795:SF41', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(119032, NULL, 'PTHR16483', NULL, NULL, NULL, NULL, 'GASTROKINE 1', NULL, NULL, NULL, 15),
(119033, NULL, 'PTHR13267:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 277', NULL, NULL, NULL, 15),
(119034, NULL, 'PTHR31948:SF99', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(119035, NULL, 'PTHR33237:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119036, NULL, 'PTHR31642:SF191', NULL, NULL, NULL, NULL, 'BENZYL ALCOHOL O-BENZOYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(119037, NULL, 'PTHR18945:SF766', NULL, NULL, NULL, NULL, 'GLUTAMATE-GATED CHLORIDE CHANNEL', NULL, NULL, NULL, 15),
(119038, NULL, 'PTHR24298:SF453', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 705A22', NULL, NULL, NULL, 15),
(119039, NULL, 'PTHR46473:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 26', NULL, NULL, NULL, 15),
(119040, NULL, 'PTHR19300:SF52', NULL, NULL, NULL, NULL, 'BETA4GALNACTA', NULL, NULL, NULL, 15),
(119041, NULL, 'PTHR35326:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PSBN', NULL, NULL, NULL, 15),
(119042, NULL, 'PTHR24055:SF365', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119043, NULL, 'PTHR12640:SF0', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 2', NULL, NULL, NULL, 15),
(119044, NULL, 'PTHR37379', NULL, NULL, NULL, NULL, 'OS01G0220500 PROTEIN', NULL, NULL, NULL, 15),
(119045, NULL, 'PTHR10681:SF153', NULL, NULL, NULL, NULL, '2-CYS PEROXIREDOXIN BAS1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(119046, NULL, 'PTHR23177:SF64', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, NULL, 15),
(119047, NULL, 'PTHR11183:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G01730)', NULL, NULL, NULL, 15),
(119048, NULL, 'PTHR33021:SF403', NULL, NULL, NULL, NULL, 'BNAA05G10790D PROTEIN', NULL, NULL, NULL, 15),
(119049, NULL, 'PTHR46002', NULL, NULL, NULL, NULL, 'EG:114D9.1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119050, NULL, 'PTHR13232:SF12', NULL, NULL, NULL, NULL, 'YJEF N-TERMINAL DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(119051, NULL, 'PTHR11599:SF148', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-4-B-RELATED', NULL, NULL, 19031, 15),
(119052, NULL, 'PTHR46130:SF1', NULL, NULL, NULL, NULL, 'PAPPALYSIN-2', NULL, NULL, 28782, 15),
(119053, NULL, 'PTHR12269', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E TRANSPORTER', NULL, NULL, 21159, 15),
(119054, NULL, 'PTHR36381', NULL, NULL, NULL, NULL, 'ETHYLENE-REGULATED TRANSCRIPT 2 (ERT2)', NULL, NULL, NULL, 15),
(119055, NULL, 'PTHR10796:SF108', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(119056, NULL, 'PTHR31190:SF142', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-3', NULL, NULL, NULL, 15),
(119057, NULL, 'PTHR10314:SF100', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE B', NULL, NULL, 6952, 15),
(119058, NULL, 'PTHR47684', NULL, NULL, NULL, NULL, 'PROTEIN TONSOKU', NULL, NULL, 37497, 15),
(119059, NULL, 'PTHR24020:SF4', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(VII) CHAIN-RELATED', NULL, NULL, NULL, 15),
(119060, NULL, 'PTHR42692:SF2', NULL, NULL, NULL, NULL, 'IG HYPOTHETICAL 16995', NULL, NULL, NULL, 15),
(119061, NULL, 'PTHR24376:SF40', NULL, NULL, NULL, NULL, 'SI:CH211-119O8.6', NULL, NULL, NULL, 15),
(119062, NULL, 'PTHR10168:SF293', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE, PLANT II, THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119063, NULL, 'PTHR47925:SF51', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119064, NULL, 'PTHR45633:SF8', NULL, NULL, NULL, NULL, 'CHAPERONIN 60 SUBUNIT BETA 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(119065, NULL, 'PTHR11079:SF180', NULL, NULL, NULL, NULL, 'GUANINE DEAMINASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(119066, NULL, 'PTHR39200:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL EXPORTED PROTEIN', NULL, NULL, NULL, 15),
(119067, NULL, 'PTHR32092:SF5', NULL, NULL, NULL, NULL, '6-PHOSPHO-BETA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(119068, NULL, 'PTHR13265:SF1', NULL, NULL, NULL, NULL, 'SI:DKEYP-97B10.3', NULL, NULL, NULL, 15),
(119069, NULL, 'PTHR22595:SF114', NULL, NULL, NULL, NULL, 'ENDOCHITINASE A', NULL, NULL, NULL, 15),
(119070, NULL, 'PTHR47295:SF5', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(119071, NULL, 'PTHR11387:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B1', NULL, NULL, NULL, 15),
(119072, NULL, 'PTHR12570:SF7', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA4', NULL, NULL, NULL, 15),
(119073, NULL, 'PTHR24356:SF300', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SGK1', NULL, NULL, NULL, 15),
(119074, NULL, 'PTHR42260:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119075, NULL, 'PTHR12354', NULL, NULL, NULL, NULL, 'INTERFERON-RELATED DEVELOPMENTAL REGULATOR', NULL, NULL, 29437, 15),
(119076, NULL, 'PTHR46962', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIST', NULL, NULL, 33157, 15),
(119077, NULL, 'PTHR47565', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE 19-1', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119078, NULL, 'PTHR45724:SF14', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN (MIP) FAMILY TRANSPORTER', NULL, NULL, NULL, 15),
(119079, NULL, 'PTHR21451:SF14', NULL, NULL, NULL, NULL, 'GH15831P', NULL, NULL, NULL, 15),
(119080, NULL, 'PTHR33167:SF38', NULL, NULL, NULL, NULL, 'BNAC07G15910D PROTEIN', NULL, NULL, NULL, 15),
(119081, NULL, 'PTHR31126:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119082, NULL, 'PTHR45969:SF37', NULL, NULL, NULL, NULL, 'OSJNBA0011J08.19 PROTEIN', NULL, NULL, NULL, 15),
(119083, NULL, 'PTHR11703:SF2', NULL, NULL, NULL, NULL, 'DEOXYHYPUSINE SYNTHASE 1-RELATED', NULL, NULL, NULL, 15),
(119084, NULL, 'PTHR22762:SF125', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(119085, NULL, 'PTHR11814:SF245', NULL, NULL, NULL, NULL, 'SODIUM-INDEPENDENT SULFATE ANION TRANSPORTER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(119086, NULL, 'PTHR10484:SF163', NULL, NULL, NULL, NULL, 'HISTONE H4', NULL, NULL, NULL, 15),
(119087, NULL, 'PTHR47710', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, 37428, 15),
(119088, NULL, 'PTHR24161:SF82', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 24', NULL, NULL, NULL, 15),
(119089, NULL, 'PTHR34779:SF1', NULL, NULL, NULL, NULL, 'OS09G0542900 PROTEIN', NULL, NULL, NULL, 15),
(119090, NULL, 'PTHR33228:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119091, NULL, 'PTHR23315:SF279', NULL, NULL, NULL, NULL, 'OS07G0532700 PROTEIN', NULL, NULL, NULL, 15),
(119092, NULL, 'PTHR45711:SF8', NULL, NULL, NULL, NULL, 'H(+)/CL(-) EXCHANGE TRANSPORTER 3', NULL, NULL, NULL, 15),
(119093, NULL, 'PTHR31017', NULL, NULL, NULL, NULL, 'LATE SECRETORY PATHWAY PROTEIN AVL9-RELATED', NULL, NULL, NULL, 15),
(119094, NULL, 'PTHR13343:SF24', NULL, NULL, NULL, NULL, 'OS07G0573800 PROTEIN', NULL, NULL, NULL, 15),
(119095, NULL, 'PTHR47993:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119096, NULL, 'PTHR11042:SF141', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0283065-RELATED', NULL, NULL, NULL, 15),
(119097, NULL, 'PTHR10799:SF984', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATORY PROTEIN SNF2', NULL, NULL, NULL, 15),
(119098, NULL, 'PTHR23353:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119099, NULL, 'PTHR10593:SF136', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 12', NULL, NULL, NULL, 15),
(119100, NULL, 'PTHR45688:SF10', NULL, NULL, NULL, NULL, 'ALANINE--GLYOXYLATE AMINOTRANSFERASE 2 HOMOLOG 3, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(119101, NULL, 'PTHR15129:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119102, NULL, 'PTHR12329:SF16', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 1', NULL, NULL, 19734, 15),
(119103, NULL, 'PTHR47327:SF18', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(119104, NULL, 'PTHR44375:SF6', NULL, NULL, NULL, NULL, 'F28J7.36 PROTEIN', NULL, NULL, NULL, 15),
(119105, NULL, 'PTHR31707:SF145', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(119106, NULL, 'PTHR35979', NULL, NULL, NULL, NULL, 'SINGLE-PASS MEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 25470, 15),
(119107, NULL, 'PTHR43349:SF63', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119108, NULL, 'PTHR24287:SF17', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(119109, NULL, 'PTHR23322:SF1', NULL, NULL, NULL, NULL, 'FAS-ASSOCIATED FACTOR 2', NULL, NULL, NULL, 15),
(119110, NULL, 'PTHR43611', NULL, NULL, NULL, NULL, 'ALPHA-D-GLUCOSE 1-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(119111, NULL, 'PTHR23050:SF354', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(119112, NULL, 'PTHR24361:SF613', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK1', NULL, NULL, NULL, 15),
(119113, NULL, 'PTHR43187:SF1', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE DUG3-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119114, NULL, 'PTHR19134:SF328', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE NON-RECEPTOR TYPE 9B', NULL, NULL, NULL, 15),
(119115, NULL, 'PTHR31373:SF22', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(119116, NULL, 'PTHR11255', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, 33385, 15),
(119117, NULL, 'PTHR48049:SF80', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(119118, NULL, 'PTHR43039:SF3', NULL, NULL, NULL, NULL, 'ESTERASE KAI2-RELATED', NULL, NULL, NULL, 15),
(119119, NULL, 'PTHR21497:SF28', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR2', NULL, NULL, NULL, 15),
(119120, NULL, 'PTHR31992:SF184', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.4-LIKE', NULL, NULL, NULL, 15),
(119121, NULL, 'PTHR24346:SF27', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MARK-C-RELATED', NULL, NULL, NULL, 15),
(119122, NULL, 'PTHR12341:SF61', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE', NULL, NULL, NULL, 15),
(119123, NULL, 'PTHR47208:SF3', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 14', NULL, NULL, NULL, 15),
(119124, NULL, 'PTHR10466:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE-RELATED', NULL, NULL, NULL, 15),
(119125, NULL, 'PTHR31549:SF177', NULL, NULL, NULL, NULL, 'BNACNNG05850D PROTEIN', NULL, NULL, NULL, 15),
(119126, NULL, 'PTHR11208:SF100', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(119127, NULL, 'PTHR12990:SF9', NULL, NULL, NULL, NULL, 'CEREBRAL DOPAMINE NEUROTROPHIC FACTOR', NULL, NULL, NULL, 15),
(119128, NULL, 'PTHR40741:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119129, NULL, 'PTHR35166:SF11', NULL, NULL, NULL, NULL, 'OS02G0546050 PROTEIN', NULL, NULL, NULL, 15),
(119130, NULL, 'PTHR24409:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119131, NULL, 'PTHR21342:SF2', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE ADENYLYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(119132, NULL, 'PTHR15375:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CHIFFON', NULL, NULL, NULL, 15),
(119133, NULL, 'PTHR27006:SF261', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(119134, NULL, 'PTHR24201:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119135, NULL, 'PTHR22527', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 26701, 15),
(119136, NULL, 'PTHR45837:SF9', NULL, NULL, NULL, NULL, 'BNAC05G09870D PROTEIN', NULL, NULL, NULL, 15),
(119137, NULL, 'PTHR33103:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119138, NULL, 'PTHR22897:SF21', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE 1', NULL, NULL, NULL, 15),
(119139, NULL, 'PTHR19957:SF283', NULL, NULL, NULL, NULL, 'BNAA05G27280D PROTEIN', NULL, NULL, NULL, 15),
(119140, NULL, 'PTHR33491:SF23', NULL, NULL, NULL, NULL, 'OS04G0651200 PROTEIN', NULL, NULL, NULL, 15),
(119141, NULL, 'PTHR46080:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN J', NULL, NULL, NULL, 15),
(119142, NULL, 'PTHR10736:SF54', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(119143, NULL, 'PTHR47488:SF10', NULL, NULL, NULL, NULL, 'BNAA08G05970D PROTEIN', NULL, NULL, NULL, 15),
(119144, NULL, 'PTHR12850:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119145, NULL, 'PTHR44068:SF10', NULL, NULL, NULL, NULL, 'ZGC:194242', NULL, NULL, NULL, 15),
(119146, NULL, 'PTHR31589:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119147, NULL, 'PTHR22937:SF106', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE BIG BROTHER-RELATED-LIKE', NULL, NULL, NULL, 15),
(119148, NULL, 'PTHR24340:SF26', NULL, NULL, NULL, NULL, 'NK1 TRANSCRIPTION FACTOR-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(119149, NULL, 'PTHR22751:SF286', NULL, NULL, NULL, NULL, 'PROTEIN CBG26668', NULL, NULL, NULL, 15),
(119150, NULL, 'PTHR24356:SF221', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 38', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119151, NULL, 'PTHR20849', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 33268, 15),
(119152, NULL, 'PTHR33304:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119153, NULL, 'PTHR47965:SF7', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119154, NULL, 'PTHR35465:SF2', NULL, NULL, NULL, NULL, 'BNAC05G16190D PROTEIN', NULL, NULL, NULL, 15),
(119155, NULL, 'PTHR20910:SF1', NULL, NULL, NULL, NULL, 'AGAP001623-PA', NULL, NULL, NULL, 15),
(119156, NULL, 'PTHR36766:SF6', NULL, NULL, NULL, NULL, 'BNAA09G07720D PROTEIN', NULL, NULL, NULL, 15),
(119157, NULL, 'PTHR32153:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119158, NULL, 'PTHR23199', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(119159, NULL, 'PTHR10286:SF59', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE 4', NULL, NULL, NULL, 15),
(119160, NULL, 'PTHR26379:SF365', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119161, NULL, 'PTHR46021:SF6', NULL, NULL, NULL, NULL, 'ARF-GAP WITH DUAL PH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(119162, NULL, 'PTHR34997', NULL, NULL, NULL, NULL, 'AM15', NULL, NULL, NULL, 15),
(119163, NULL, 'PTHR42774:SF9', NULL, NULL, NULL, NULL, 'PFKB-LIKE CARBOHYDRATE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(119164, NULL, 'PTHR24291:SF64', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(119165, NULL, 'PTHR45176', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119166, NULL, 'PTHR38474:SF1', NULL, NULL, NULL, NULL, 'SLR0299 PROTEIN', NULL, NULL, NULL, 15),
(119167, NULL, 'PTHR47997:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119168, NULL, 'PTHR43625:SF55', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE/POTASSIUM CHANNEL SUBUNIT BETA-RELATED', NULL, NULL, NULL, 15),
(119169, NULL, 'PTHR33698:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(119170, NULL, 'PTHR45655', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE SOLUBLE SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(119171, NULL, 'PTHR10759:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', NULL, NULL, NULL, 15),
(119172, NULL, 'PTHR18968:SF160', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE', NULL, NULL, NULL, 15),
(119173, NULL, 'PTHR46849', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119174, NULL, 'PTHR48017:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119175, NULL, 'PTHR22846:SF60', NULL, NULL, NULL, NULL, 'F-BOX-LIKE/WD REPEAT-CONTAINING PROTEIN TBL1X', NULL, NULL, NULL, 15),
(119176, NULL, 'PTHR32263:SF33', NULL, NULL, NULL, NULL, 'BNAA05G08530D PROTEIN', NULL, NULL, NULL, 15),
(119177, NULL, 'PTHR19229:SF207', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 11', NULL, NULL, NULL, 15),
(119178, NULL, 'PTHR32370:SF155', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY3', NULL, NULL, NULL, 15),
(119179, NULL, 'PTHR28025:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD1', NULL, NULL, NULL, 15),
(119180, NULL, 'PTHR14732', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 30176, 15),
(119181, NULL, 'PTHR16517:SF107', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 11', NULL, NULL, NULL, 15),
(119182, NULL, 'PTHR13301:SF202', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE, NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(119183, NULL, 'PTHR10795:SF624', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119184, NULL, 'PTHR46008:SF24', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.4 ISOFORM X1', NULL, NULL, NULL, 15),
(119185, NULL, 'PTHR46268:SF5', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN', NULL, NULL, NULL, 15),
(119186, NULL, 'PTHR21600:SF64', NULL, NULL, NULL, NULL, 'RIBOSOMAL LARGE SUBUNIT PSEUDOURIDINE SYNTHASE D', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119187, NULL, 'PTHR45773', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE PROTEIN 4-RELATED', NULL, NULL, 37280, 15),
(119188, NULL, 'PTHR24349:SF408', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119189, NULL, 'PTHR43442:SF1', NULL, NULL, NULL, NULL, 'THERMORESISTANT GLUCONOKINASE', NULL, NULL, NULL, 15),
(119190, NULL, 'PTHR20961:SF65', NULL, NULL, NULL, NULL, 'F14P13.8 PROTEIN', NULL, NULL, NULL, 15),
(119191, NULL, 'PTHR45647:SF100', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 33', NULL, NULL, NULL, 15),
(119192, NULL, 'PTHR30600:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME C551 PEROXIDASE', NULL, NULL, NULL, 15),
(119193, NULL, 'PTHR36405:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119194, NULL, 'PTHR24399:SF19', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 20', NULL, NULL, NULL, 15),
(119195, NULL, 'PTHR14047:SF33', NULL, NULL, NULL, NULL, 'P ANTIGEN FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(119196, NULL, 'PTHR47938:SF11', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(119197, NULL, 'PTHR46709:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG19124', NULL, NULL, NULL, 15),
(119198, NULL, 'PTHR11362:SF42', NULL, NULL, NULL, NULL, 'PROTEIN MOTHER OF FT AND TFL1 HOMOLOG 2', NULL, NULL, NULL, 15),
(119199, NULL, 'PTHR31140:SF88', NULL, NULL, NULL, NULL, 'BNACNNG63450D PROTEIN', NULL, NULL, NULL, 15),
(119200, NULL, 'PTHR35768:SF2', NULL, NULL, NULL, NULL, 'BNAA02G08030D PROTEIN', NULL, NULL, NULL, 15),
(119201, NULL, 'PTHR35022:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119202, NULL, 'PTHR35497', NULL, NULL, NULL, NULL, 'ACYL-UDP-N-ACETYLGLUCOSAMINE O-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(119203, NULL, 'PTHR45619:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A', NULL, NULL, NULL, 15),
(119204, NULL, 'PTHR47999:SF66', NULL, NULL, NULL, NULL, 'PROTEIN ODORANT1', NULL, NULL, NULL, 15),
(119205, NULL, 'PTHR11764:SF65', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(119206, NULL, 'PTHR25466:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119207, NULL, 'PTHR33591:SF2', NULL, NULL, NULL, NULL, 'BETA-CAROTENE ISOMERASE D27', NULL, NULL, NULL, 15),
(119208, NULL, 'PTHR42947', NULL, NULL, NULL, NULL, 'COB--COM HETERODISULFIDE REDUCTASE SUBUNIT B 1', NULL, NULL, NULL, 15),
(119209, NULL, 'PTHR14939:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119210, NULL, 'PTHR10046:SF64', NULL, NULL, NULL, NULL, 'LON PROTEASE 2', NULL, NULL, NULL, 15),
(119211, NULL, 'PTHR45621:SF110', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 2B, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(119212, NULL, 'PTHR43713:SF6', NULL, NULL, NULL, NULL, 'BNAA09G06670D PROTEIN', NULL, NULL, NULL, 15),
(119213, NULL, 'PTHR20889:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE/PHOSPHOCHOLINE PHOSPHATASE', NULL, NULL, NULL, 15),
(119214, NULL, 'PTHR42926', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119215, NULL, 'PTHR43566:SF2', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(119216, NULL, 'PTHR22780:SF5', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(119217, NULL, 'PTHR46025:SF2', NULL, NULL, NULL, NULL, 'XYLOSYLTRANSFERASE 1', NULL, NULL, 29553, 15),
(119218, NULL, 'PTHR24128', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN WARIAI', NULL, NULL, NULL, 15),
(119219, NULL, 'PTHR22142:SF2', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SPC24', NULL, NULL, NULL, 15),
(119220, NULL, 'PTHR47925:SF96', NULL, NULL, NULL, NULL, 'BNAC04G18690D PROTEIN', NULL, NULL, NULL, 15),
(119221, NULL, 'PTHR15157:SF19', NULL, NULL, NULL, NULL, 'HAD-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119222, NULL, 'PTHR11349:SF109', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(119223, NULL, 'PTHR31490:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 10 PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119224, NULL, 'PTHR47178:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119225, NULL, 'PTHR42808:SF3', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(119226, NULL, 'PTHR48010:SF18', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE RLK902-RELATED', NULL, NULL, NULL, 15),
(119227, NULL, 'PTHR31062:SF110', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(119228, NULL, 'PTHR45658:SF72', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 9-LIKE', NULL, NULL, NULL, 15),
(119229, NULL, 'PTHR30472:SF29', NULL, NULL, NULL, NULL, 'VITAMIN B12 IMPORT SYSTEM PERMEASE PROTEIN BTUC', NULL, NULL, NULL, 15),
(119230, NULL, 'PTHR12039:SF7', NULL, NULL, NULL, NULL, 'NICOTINAMIDE/NICOTINIC ACID MONONUCLEOTIDE ADENYLYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(119231, NULL, 'PTHR26452:SF315', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AR1', NULL, NULL, NULL, 15),
(119232, NULL, 'PTHR24177', NULL, NULL, NULL, NULL, 'CASKIN', NULL, NULL, NULL, 15),
(119233, NULL, 'PTHR12262:SF9', NULL, NULL, NULL, NULL, 'CELL DIFFERENTIATION PROTEIN RCD1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(119234, NULL, 'PTHR32468:SF92', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', NULL, NULL, NULL, 15),
(119235, NULL, 'PTHR33698:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119236, NULL, 'PTHR24153:SF23', NULL, NULL, NULL, NULL, 'INTRACELLLAR PHOSPHOLIPASE A FAMILY', NULL, NULL, NULL, 15),
(119237, NULL, 'PTHR11751:SF468', NULL, NULL, NULL, NULL, 'ALANINE AMINOTRANSFERASE 2-LIKE', NULL, NULL, NULL, 15),
(119238, NULL, 'PTHR43991', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_8G05640)-RELATED', NULL, NULL, NULL, 15),
(119239, NULL, 'PTHR13377', NULL, NULL, NULL, NULL, 'PLACENTAL PROTEIN 6', NULL, NULL, 9798, 15),
(119240, NULL, 'PTHR15489', NULL, NULL, NULL, NULL, 'CASPASE 8 ASSOCIATED PROTEIN 2', NULL, NULL, 35977, 15),
(119241, NULL, 'PTHR22753:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119242, NULL, 'PTHR30337', NULL, NULL, NULL, NULL, 'COMPONENT OF ATP-DEPENDENT DSDNA EXONUCLEASE', NULL, NULL, NULL, 15),
(119243, NULL, 'PTHR46036:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119244, NULL, 'PTHR11413:SF115', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(119245, NULL, 'PTHR18966:SF297', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 1', NULL, NULL, NULL, 15),
(119246, NULL, 'PTHR11926:SF706', NULL, NULL, NULL, NULL, 'CYTOKININ-N-GLUCOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(119247, NULL, 'PTHR10281:SF95', NULL, NULL, NULL, NULL, 'BNAC01G22640D PROTEIN', NULL, NULL, NULL, 15),
(119248, NULL, 'PTHR24215:SF31', NULL, NULL, NULL, NULL, 'ZGC:195282', NULL, NULL, NULL, 15),
(119249, NULL, 'PTHR46128:SF141', NULL, NULL, NULL, NULL, 'BNAA03G56810D PROTEIN', NULL, NULL, NULL, 15),
(119250, NULL, 'PTHR22704:SF2', NULL, NULL, NULL, NULL, 'ZGC:171844', NULL, NULL, NULL, 15),
(119251, NULL, 'PTHR48022:SF81', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(119252, NULL, 'PTHR26454:SF35', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(119253, NULL, 'PTHR46055:SF2', NULL, NULL, NULL, NULL, 'CIRCADIAN LOCOMOTER OUTPUT CYCLES PROTEIN KAPUT', NULL, NULL, NULL, 15),
(119254, NULL, 'PTHR47978:SF4', NULL, NULL, NULL, NULL, 'ZGC:101559', NULL, NULL, NULL, 15),
(119255, NULL, 'PTHR10155:SF27', NULL, NULL, NULL, NULL, 'PIK3R3 UPSTREAM OPEN READING FRAME PROTEIN', NULL, NULL, NULL, 15),
(119256, NULL, 'PTHR24329:SF551', NULL, NULL, NULL, NULL, 'FI01017P-RELATED', NULL, NULL, NULL, 15),
(119257, NULL, 'PTHR13140:SF793', NULL, NULL, NULL, NULL, 'BNAA08G26800D PROTEIN', NULL, NULL, NULL, 15),
(119258, NULL, 'PTHR46991:SF10', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONE-RELATED', NULL, NULL, NULL, 15),
(119259, NULL, 'PTHR11005:SF88', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(119260, NULL, 'PTHR46734', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR 1 TERF1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119261, NULL, 'PTHR11596:SF55', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE', NULL, NULL, NULL, 15),
(119262, NULL, 'PTHR37171', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE YRZF-RELATED', NULL, NULL, NULL, 15),
(119263, NULL, 'PTHR31066:SF38', NULL, NULL, NULL, NULL, 'BNAA02G27840D PROTEIN', NULL, NULL, NULL, 15),
(119264, NULL, 'PTHR31157', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(119265, NULL, 'PTHR31636:SF173', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGA2-LIKE', NULL, NULL, NULL, 15),
(119266, NULL, 'PTHR32488', NULL, NULL, NULL, NULL, 'UPF0746 PROTEIN DDB_G0280785-RELATED', NULL, NULL, NULL, 15),
(119267, NULL, 'PTHR12549:SF11', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING HISTONE DEMETHYLASE 2, ISOFORM A', NULL, NULL, NULL, 15),
(119268, NULL, 'PTHR24372:SF0', NULL, NULL, NULL, NULL, 'THYROTROPIN RECEPTOR', NULL, NULL, 3, 15),
(119269, NULL, 'PTHR31194:SF115', NULL, NULL, NULL, NULL, 'BNACNNG47540D PROTEIN', NULL, NULL, NULL, 15),
(119270, NULL, 'PTHR14165', NULL, NULL, NULL, NULL, 'MAJOR VAULT PROTEIN', NULL, NULL, 35579, 15),
(119271, NULL, 'PTHR31989:SF181', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 78-LIKE', NULL, NULL, NULL, 15),
(119272, NULL, 'PTHR24243:SF3', NULL, NULL, NULL, NULL, 'MOTILIN RECEPTOR', NULL, NULL, 29663, 15),
(119273, NULL, 'PTHR47501:SF4', NULL, NULL, NULL, NULL, 'TRANSPOSASE', NULL, NULL, NULL, 15),
(119274, NULL, 'PTHR11620:SF78', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A-2', NULL, NULL, NULL, 15),
(119275, NULL, 'PTHR24281:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119276, NULL, 'PTHR36143:SF1', NULL, NULL, NULL, NULL, 'OSJNBB0034I13.2 PROTEIN', NULL, NULL, NULL, 15),
(119277, NULL, 'PTHR26379:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119278, NULL, 'PTHR11985:SF11', NULL, NULL, NULL, NULL, 'DEHYDROGENASE (FAD-DEPENDENT), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119279, NULL, 'PTHR24409:SF324', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 131', NULL, NULL, NULL, 15),
(119280, NULL, 'PTHR32195', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119281, NULL, 'PTHR27009:SF211', NULL, NULL, NULL, NULL, 'PR5-LIKE RECEPTOR KINASE', NULL, NULL, NULL, 15),
(119282, NULL, 'PTHR31963:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119283, NULL, 'PTHR31190:SF140', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF109', NULL, NULL, NULL, 15),
(119284, NULL, 'PTHR32267', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA TRANSLOCATION-ALTERED GENE PROTEIN', NULL, NULL, 18157, 15),
(119285, NULL, 'PTHR47229', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 141', NULL, NULL, 24275, 15),
(119286, NULL, 'PTHR24123:SF111', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(119287, NULL, 'PTHR46115:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(119288, NULL, 'PTHR23063:SF47', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID/GLYCEROL ACYLTRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119289, NULL, 'PTHR38478:SF1', NULL, NULL, NULL, NULL, 'PEPTIDASE M1A AND M12B', NULL, NULL, NULL, 15),
(119290, NULL, 'PTHR10037:SF289', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT N-TYPE CALCIUM CHANNEL SUBUNIT ALPHA', NULL, NULL, 267, 15),
(119291, NULL, 'PTHR24377:SF741', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 611', NULL, NULL, NULL, 15),
(119292, NULL, 'PTHR43557:SF6', NULL, NULL, NULL, NULL, 'MONODEHYDROASCORBATE REDUCTASE, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(119293, NULL, 'PTHR13568:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 60', NULL, NULL, NULL, 15),
(119294, NULL, 'PTHR34552', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER W PROTEIN, CHLOROPLASTIC', NULL, NULL, 13747, 15),
(119295, NULL, 'PTHR10168:SF186', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S1-LIKE', NULL, NULL, NULL, 15),
(119296, NULL, 'PTHR24026:SF49', NULL, NULL, NULL, NULL, 'PROTOCADHERIN FAT 3', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119297, NULL, 'PTHR48040:SF13', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: ABC TRANSPORTER G FAMILY MEMBER 31-LIKE', NULL, NULL, NULL, 15),
(119298, NULL, 'PTHR24064:SF251', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-11', NULL, NULL, NULL, 15),
(119299, NULL, 'PTHR48193:SF2', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE ZMPB', NULL, NULL, NULL, 15),
(119300, NULL, 'PTHR10291:SF19', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(119301, NULL, 'PTHR43782:SF2', NULL, NULL, NULL, NULL, 'ARGINASE-1', NULL, NULL, NULL, 15),
(119302, NULL, 'PTHR31321:SF73', NULL, NULL, NULL, NULL, 'PECTINESTERASE 14-RELATED', NULL, NULL, NULL, 15),
(119303, NULL, 'PTHR11712:SF346', NULL, NULL, NULL, NULL, 'BNAA06G13360D PROTEIN', NULL, NULL, NULL, 15),
(119304, NULL, 'PTHR24393:SF31', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 740', NULL, NULL, NULL, 15),
(119305, NULL, 'PTHR14695:SF7', NULL, NULL, NULL, NULL, 'TESTICULAR SPINDLE-ASSOCIATED PROTEIN SHCBP1L', NULL, NULL, NULL, 15),
(119306, NULL, 'PTHR34309:SF2', NULL, NULL, NULL, NULL, 'BLL3419 PROTEIN', NULL, NULL, NULL, 15),
(119307, NULL, 'PTHR45277:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(119308, NULL, 'PTHR12802:SF134', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 7-RELATED', NULL, NULL, NULL, 15),
(119309, NULL, 'PTHR20855:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119310, NULL, 'PTHR11588:SF367', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(119311, NULL, 'PTHR10366:SF735', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL REDUCTASE', NULL, NULL, NULL, 15),
(119312, NULL, 'PTHR43222', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 23', NULL, NULL, NULL, 15),
(119313, NULL, 'PTHR35566:SF6', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119314, NULL, 'PTHR24347:SF113', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE 1B', NULL, NULL, NULL, 15),
(119315, NULL, 'PTHR21183', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L47, MITOCHONDRIAL-RELATED', NULL, NULL, 10328, 15),
(119316, NULL, 'PTHR31080:SF207', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 9', NULL, NULL, NULL, 15),
(119317, NULL, 'PTHR31676:SF28', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119318, NULL, 'PTHR23189:SF79', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN L2', NULL, NULL, NULL, 15),
(119319, NULL, 'PTHR43117:SF5', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE UPTAKE SYSTEM ATP-BINDING PROTEIN YEHX', NULL, NULL, NULL, 15),
(119320, NULL, 'PTHR48015:SF29', NULL, NULL, NULL, NULL, 'TRAF2 AND NCK-INTERACTING PROTEIN KINASE', NULL, NULL, NULL, 15),
(119321, NULL, 'PTHR43080:SF2', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(119322, NULL, 'PTHR10676:SF389', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(119323, NULL, 'PTHR32295:SF178', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 31', NULL, NULL, NULL, 15),
(119324, NULL, 'PTHR23508:SF9', NULL, NULL, NULL, NULL, 'CARBOXYLIC ACID TRANSPORT PROTEIN (AFU_ORTHOLOGUE AFUA_2G09450)', NULL, NULL, NULL, 15),
(119325, NULL, 'PTHR23503:SF91', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2 MEMBER 3A', NULL, NULL, NULL, 15),
(119326, NULL, 'PTHR30536', NULL, NULL, NULL, NULL, 'ALTRONATE/GALACTARATE DEHYDRATASE', NULL, NULL, NULL, 15),
(119327, NULL, 'PTHR31828:SF38', NULL, NULL, NULL, NULL, 'BNAC03G62710D PROTEIN', NULL, NULL, NULL, 15),
(119328, NULL, 'PTHR36174:SF1', NULL, NULL, NULL, NULL, 'LIPID II:GLYCINE GLYCYLTRANSFERASE', NULL, NULL, NULL, 15),
(119329, NULL, 'PTHR32295:SF113', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 13', NULL, NULL, NULL, 15),
(119330, NULL, 'PTHR15137', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID', NULL, NULL, 35894, 15),
(119331, NULL, 'PTHR11830:SF35', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', NULL, NULL, NULL, 15),
(119332, NULL, 'PTHR11926:SF1070', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119333, NULL, 'PTHR47041:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH11-LIKE', NULL, NULL, NULL, 15),
(119334, NULL, 'PTHR46623:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119335, NULL, 'PTHR45589:SF2', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 62', NULL, NULL, NULL, 15),
(119336, NULL, 'PTHR31063:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08668', NULL, NULL, NULL, 15),
(119337, NULL, 'PTHR42886:SF63', NULL, NULL, NULL, NULL, 'BLL5588 PROTEIN', NULL, NULL, NULL, 15),
(119338, NULL, 'PTHR10755:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119339, NULL, 'PTHR23430:SF288', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(119340, NULL, 'PTHR45624:SF37', NULL, NULL, NULL, NULL, 'CARNITINE/ACYLCARNITINE CARRIER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(119341, NULL, 'PTHR43205:SF24', NULL, NULL, NULL, NULL, 'ALLYL ALCOHOL DEHYDROGENASE, NADP-DEPENDENT OXIDOREDUCTASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119342, NULL, 'PTHR14237:SF72', NULL, NULL, NULL, NULL, 'BNAA09G17260D PROTEIN', NULL, NULL, NULL, 15),
(119343, NULL, 'PTHR32096:SF110', NULL, NULL, NULL, NULL, 'BNAA03G19190D PROTEIN', NULL, NULL, NULL, 15),
(119344, NULL, 'PTHR37865', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 23', NULL, NULL, 27758, 15),
(119345, NULL, 'PTHR33649:SF13', NULL, NULL, NULL, NULL, 'PAR1 PROTEIN', NULL, NULL, NULL, 15),
(119346, NULL, 'PTHR30486:SF5', NULL, NULL, NULL, NULL, 'TYPE IV SECRETION SYSTEM PROTEIN', NULL, NULL, NULL, 15),
(119347, NULL, 'PTHR10903:SF65', NULL, NULL, NULL, NULL, 'OS01G0356800 PROTEIN', NULL, NULL, NULL, 15),
(119348, NULL, 'PTHR46758:SF12', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, ZINC FINGER, MYND-TYPE, TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119349, NULL, 'PTHR10381:SF65', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', NULL, NULL, NULL, 15),
(119350, NULL, 'PTHR24034:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119351, NULL, 'PTHR11017:SF324', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(119352, NULL, 'PTHR16803:SF0', NULL, NULL, NULL, NULL, 'HIGH AFFINITY IMMUNOGLOBULIN EPSILON RECEPTOR SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(119353, NULL, 'PTHR11017:SF279', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE-LIKE PROTEIN DSC1', NULL, NULL, NULL, 15),
(119354, NULL, 'PTHR32419:SF6', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE OMEGA-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(119355, NULL, 'PTHR32133:SF277', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119356, NULL, 'PTHR21724:SF102', NULL, NULL, NULL, NULL, 'PROTEIN CBG23670', NULL, NULL, NULL, 15),
(119357, NULL, 'PTHR28023:SF1', NULL, NULL, NULL, NULL, 'UPF0357 PROTEIN YCL012C', NULL, NULL, NULL, 15),
(119358, NULL, 'PTHR22951:SF70', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119359, NULL, 'PTHR12845:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119360, NULL, 'PTHR43522:SF12', NULL, NULL, NULL, NULL, 'TRANSKETOLASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(119361, NULL, 'PTHR46089:SF3', NULL, NULL, NULL, NULL, 'ALSIN', NULL, NULL, NULL, 15),
(119362, NULL, 'PTHR43272:SF58', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 4-LIKE', NULL, NULL, NULL, 15),
(119363, NULL, 'PTHR28348', NULL, NULL, NULL, NULL, 'UPF0193 PROTEIN EVG1', NULL, NULL, 3407, 15),
(119364, NULL, 'PTHR47323', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(119365, NULL, 'PTHR11066:SF58', NULL, NULL, NULL, NULL, 'PROTEIN CBG02443', NULL, NULL, NULL, 15),
(119366, NULL, 'PTHR26450:SF384', NULL, NULL, NULL, NULL, 'OR56A5 ISOFORM 2', NULL, NULL, NULL, 15),
(119367, NULL, 'PTHR46632:SF14', NULL, NULL, NULL, NULL, 'OS01G0123800 PROTEIN', NULL, NULL, NULL, 15),
(119368, NULL, 'PTHR21495:SF182', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 4', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119369, NULL, 'PTHR31967:SF17', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)', NULL, NULL, NULL, 15),
(119370, NULL, 'PTHR31989:SF126', NULL, NULL, NULL, NULL, 'NAM PROTEIN', NULL, NULL, NULL, 15),
(119371, NULL, 'PTHR32133:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119372, NULL, 'PTHR16181:SF14', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 83 MEMBER FA', NULL, NULL, NULL, 15),
(119373, NULL, 'PTHR10969:SF82', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(119374, NULL, 'PTHR13377:SF8', NULL, NULL, NULL, NULL, 'OS07G0655400 PROTEIN', NULL, NULL, NULL, 15),
(119375, NULL, 'PTHR33166:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119376, NULL, 'PTHR24104:SF25', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM71', NULL, NULL, NULL, 15),
(119377, NULL, 'PTHR10795:SF701', NULL, NULL, NULL, NULL, 'SERINE PROTEINASE 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119378, NULL, 'PTHR23070:SF20', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE-LIKE', NULL, NULL, NULL, 15),
(119379, NULL, 'PTHR34834', NULL, NULL, NULL, NULL, 'SPERMATID MATURATION PROTEIN 1', NULL, NULL, NULL, 15),
(119380, NULL, 'PTHR38634', NULL, NULL, NULL, NULL, 'PROTEIN CBG16428', NULL, NULL, NULL, 15),
(119381, NULL, 'PTHR24286:SF101', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 26A1', NULL, NULL, NULL, 15),
(119382, NULL, 'PTHR47002:SF5', NULL, NULL, NULL, NULL, 'AQUAPORIN-LIKE', NULL, NULL, NULL, 15),
(119383, NULL, 'PTHR32037', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 12A', NULL, NULL, 15703, 15),
(119384, NULL, 'PTHR13994:SF32', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 10-LIKE', NULL, NULL, NULL, 15),
(119385, NULL, 'PTHR35349:SF4', NULL, NULL, NULL, NULL, 'DYNACTIN-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(119386, NULL, 'PTHR47018', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119387, NULL, 'PTHR35292', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(119388, NULL, 'PTHR20961:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119389, NULL, 'PTHR46461:SF1', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(119390, NULL, 'PTHR13465', NULL, NULL, NULL, NULL, 'UPF0183 PROTEIN', NULL, NULL, 35755, 15),
(119391, NULL, 'PTHR10209:SF243', NULL, NULL, NULL, NULL, 'FERULOYL COA ORTHO-HYDROXYLASE 1', NULL, NULL, NULL, 15),
(119392, NULL, 'PTHR21549:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 112', NULL, NULL, NULL, 15),
(119393, NULL, 'PTHR16255:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119394, NULL, 'PTHR48040:SF25', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(119395, NULL, 'PTHR47209:SF1', NULL, NULL, NULL, NULL, 'OS06G0639500 PROTEIN', NULL, NULL, NULL, 15),
(119396, NULL, 'PTHR11062:SF254', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY PROTEIN 64 C3', NULL, NULL, NULL, 15),
(119397, NULL, 'PTHR10809:SF131', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN-ASSOCIATED PROTEIN A', NULL, NULL, NULL, 15),
(119398, NULL, 'PTHR19411', NULL, NULL, NULL, NULL, 'PROTEIN BUD31-RELATED', NULL, NULL, 4635, 15),
(119399, NULL, 'PTHR44191:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KUA1', NULL, NULL, NULL, 15),
(119400, NULL, 'PTHR33207:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119401, NULL, 'PTHR11783:SF53', NULL, NULL, NULL, NULL, 'ESTROGEN SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(119402, NULL, 'PTHR30218', NULL, NULL, NULL, NULL, 'POLYPHOSPHATE KINASE', NULL, NULL, 5324, 15),
(119403, NULL, 'PTHR31450', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 19 LRRC19 FAMILY MEMBER', NULL, NULL, NULL, 15),
(119404, NULL, 'PTHR11616:SF129', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(119405, NULL, 'PTHR42678:SF28', NULL, NULL, NULL, NULL, 'AMIDASE C869.01-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119406, NULL, 'PTHR12741:SF13', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 7', NULL, NULL, NULL, 15),
(119407, NULL, 'PTHR30118:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR LYSR FAMILY', NULL, NULL, NULL, 15),
(119408, NULL, 'PTHR43139:SF31', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(119409, NULL, 'PTHR34408', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119410, NULL, 'PTHR24353:SF137', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE CATALYTIC SUBUNIT GAMMA', NULL, NULL, 31317, 15),
(119411, NULL, 'PTHR46371:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119412, NULL, 'PTHR14947:SF9', NULL, NULL, NULL, NULL, 'RIKEN CDNA D130040H23 GENE-RELATED', NULL, NULL, NULL, 15),
(119413, NULL, 'PTHR10336:SF102', NULL, NULL, NULL, NULL, 'INACTIVE PHOSPHOLIPASE C-LIKE PROTEIN 1', NULL, NULL, 38342, 15),
(119414, NULL, 'PTHR12894:SF29', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR-BETA RECEPTOR-ASSOCIATED PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(119415, NULL, 'PTHR26450:SF48', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52A5', NULL, NULL, NULL, 15),
(119416, NULL, 'PTHR13900', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID', NULL, NULL, 33625, 15),
(119417, NULL, 'PTHR10841', NULL, NULL, NULL, NULL, 'SYNAPSIN', NULL, NULL, NULL, 15),
(119418, NULL, 'PTHR10641:SF1077', NULL, NULL, NULL, NULL, 'MYB FACTOR', NULL, NULL, NULL, 15),
(119419, NULL, 'PTHR11671:SF1', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT D', NULL, NULL, NULL, 15),
(119420, NULL, 'PTHR47925:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119421, NULL, 'PTHR12483:SF89', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 6-LIKE', NULL, NULL, NULL, 15),
(119422, NULL, 'PTHR33108:SF65', NULL, NULL, NULL, NULL, 'BNAC03G42880D PROTEIN', NULL, NULL, NULL, 15),
(119423, NULL, 'PTHR23022:SF122', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT TC3 TRANSPOSASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(119424, NULL, 'PTHR11206:SF289', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(119425, NULL, 'PTHR30031:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE [ATP]', NULL, NULL, NULL, 15),
(119426, NULL, 'PTHR46994:SF2', NULL, NULL, NULL, NULL, '5''-METHYLTHIOADENOSINE/S-ADENOSYLHOMOCYSTEINE NUCLEOSIDASE 2', NULL, NULL, NULL, 15),
(119427, NULL, 'PTHR43005:SF2', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEM, INNER MEMBRANE COMPONENT-RELATED', NULL, NULL, NULL, 15),
(119428, NULL, 'PTHR11206:SF92', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 48', NULL, NULL, NULL, 15),
(119429, NULL, 'PTHR48062:SF33', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119430, NULL, 'PTHR43160', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE B', NULL, NULL, NULL, 15),
(119431, NULL, 'PTHR48052:SF40', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', NULL, NULL, NULL, 15),
(119432, NULL, 'PTHR33156:SF26', NULL, NULL, NULL, NULL, 'OS12G0592200 PROTEIN', NULL, NULL, NULL, 15),
(119433, NULL, 'PTHR15615:SF80', NULL, NULL, NULL, NULL, 'CYCLIN', NULL, NULL, NULL, 15),
(119434, NULL, 'PTHR36570', NULL, NULL, NULL, NULL, 'DISULFIDE BOND FORMATION PROTEIN B', NULL, NULL, NULL, 15),
(119435, NULL, 'PTHR47965:SF35', NULL, NULL, NULL, NULL, 'XYLANASE INHIBITOR', NULL, NULL, NULL, 15),
(119436, NULL, 'PTHR27005:SF258', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(119437, NULL, 'PTHR47979:SF38', NULL, NULL, NULL, NULL, 'RAB2A, MEMBER RAS ONCOGENE FAMILY', NULL, NULL, NULL, 15),
(119438, NULL, 'PTHR24343:SF418', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2C', NULL, NULL, NULL, 15),
(119439, NULL, 'PTHR26450:SF395', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119440, NULL, 'PTHR23120:SF44', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT-CONTAINING PROTEIN FAMILY MEMBER 1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119441, NULL, 'PTHR12174:SF75', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 2', NULL, NULL, NULL, 15),
(119442, NULL, 'PTHR33374:SF7', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 22', NULL, NULL, NULL, 15),
(119443, NULL, 'PTHR30387', NULL, NULL, NULL, NULL, 'MANNONATE DEHYDRATASE', NULL, NULL, 2548, 15),
(119444, NULL, 'PTHR22406:SF7', NULL, NULL, NULL, NULL, 'FLOCCULATION PROTEIN FLO11', NULL, NULL, NULL, 15),
(119445, NULL, 'PTHR48019:SF83', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 23 ISOFORM X1', NULL, NULL, NULL, 15),
(119446, NULL, 'PTHR13068:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119447, NULL, 'PTHR13318:SF168', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119448, NULL, 'PTHR11362:SF78', NULL, NULL, NULL, NULL, 'PROTEASE INHIBITOR', NULL, NULL, NULL, 15),
(119449, NULL, 'PTHR46354:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA2-LIKE', NULL, NULL, NULL, 15),
(119450, NULL, 'PTHR48097', NULL, NULL, NULL, NULL, 'L-THREONINE ALDOLASE-RELATED', NULL, NULL, NULL, 15),
(119451, NULL, 'PTHR43981:SF5', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119452, NULL, 'PTHR48047:SF65', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(119453, NULL, 'PTHR46027', NULL, NULL, NULL, NULL, 'PEROXISOMAL TARGETING SIGNAL 2 RECEPTOR', NULL, NULL, 37181, 15),
(119454, NULL, 'PTHR12704:SF3', NULL, NULL, NULL, NULL, 'GOLGI PHOSPHOPROTEIN 3', NULL, NULL, NULL, 15),
(119455, NULL, 'PTHR33349', NULL, NULL, NULL, NULL, 'EMB|CAB62594.1', NULL, NULL, NULL, 15),
(119456, NULL, 'PTHR47250:SF1', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(119457, NULL, 'PTHR24099:SF20', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 46', NULL, NULL, NULL, 15),
(119458, NULL, 'PTHR43391:SF34', NULL, NULL, NULL, NULL, 'CHAIN OXIDOREDUCTASE/DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01770)-RELATED', NULL, NULL, NULL, 15),
(119459, NULL, 'PTHR27006:SF401', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119460, NULL, 'PTHR21257:SF31', NULL, NULL, NULL, NULL, 'DELTA(24(24(1)))-STEROL REDUCTASE', NULL, NULL, NULL, 15),
(119461, NULL, 'PTHR45811:SF39', NULL, NULL, NULL, NULL, 'METAL-ASSOCIATED DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119462, NULL, 'PTHR13344:SF1', NULL, NULL, NULL, NULL, 'COX19-LIKE CHCH FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119463, NULL, 'PTHR47042:SF3', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(119464, NULL, 'PTHR19965:SF64', NULL, NULL, NULL, NULL, 'YALI0F19624P', NULL, NULL, NULL, 15),
(119465, NULL, 'PTHR43899:SF17', NULL, NULL, NULL, NULL, 'OS06G0299200 PROTEIN', NULL, NULL, NULL, 15),
(119466, NULL, 'PTHR25462', NULL, NULL, NULL, NULL, 'BONUS, ISOFORM C-RELATED', NULL, NULL, NULL, 15),
(119467, NULL, 'PTHR31506:SF4', NULL, NULL, NULL, NULL, 'PROTEIN BZR1 HOMOLOG 3-LIKE', NULL, NULL, NULL, 15),
(119468, NULL, 'PTHR31917:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119469, NULL, 'PTHR11247:SF44', NULL, NULL, NULL, NULL, 'PALMITOYL PROTEIN THIOESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(119470, NULL, 'PTHR47958:SF9', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 37', NULL, NULL, NULL, 15),
(119471, NULL, 'PTHR21724:SF94', NULL, NULL, NULL, NULL, 'PROTEIN CBG06864', NULL, NULL, NULL, 15),
(119472, NULL, 'PTHR31465:SF27', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01030)-RELATED', NULL, NULL, NULL, 15),
(119473, NULL, 'PTHR31343:SF52', NULL, NULL, NULL, NULL, 'BNAA09G01560D PROTEIN', NULL, NULL, NULL, 15),
(119474, NULL, 'PTHR24068:SF348', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATING ENZYME', NULL, NULL, NULL, 15),
(119475, NULL, 'PTHR48043:SF4', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(119476, NULL, 'PTHR11012:SF12', NULL, NULL, NULL, NULL, 'FI01822P-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119477, NULL, 'PTHR11214:SF105', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(119478, NULL, 'PTHR24417:SF7', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN EAF1', NULL, NULL, NULL, 15),
(119479, NULL, 'PTHR32448:SF118', NULL, NULL, NULL, NULL, 'PEPTIDE-METHIONINE (R)-S-OXIDE REDUCTASE', NULL, NULL, NULL, 15),
(119480, NULL, 'PTHR48097:SF9', NULL, NULL, NULL, NULL, 'L-THREONINE ALDOLASE', NULL, NULL, 16562, 15),
(119481, NULL, 'PTHR31707:SF201', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(119482, NULL, 'PTHR17223', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE-RELATED', NULL, NULL, 1359, 15),
(119483, NULL, 'PTHR31964:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119484, NULL, 'PTHR34116', NULL, NULL, NULL, NULL, 'PLASMINOGEN ACTIVATOR INHIBITOR', NULL, NULL, NULL, 15),
(119485, NULL, 'PTHR12603:SF14', NULL, NULL, NULL, NULL, 'RNA BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(119486, NULL, 'PTHR33463:SF71', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(119487, NULL, 'PTHR47212:SF8', NULL, NULL, NULL, NULL, 'BNAA04G26510D PROTEIN', NULL, NULL, NULL, 15),
(119488, NULL, 'PTHR33057:SF6', NULL, NULL, NULL, NULL, 'OS04G0577700 PROTEIN', NULL, NULL, NULL, 15),
(119489, NULL, 'PTHR31989:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119490, NULL, 'PTHR42799:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119491, NULL, 'PTHR31415:SF119', NULL, NULL, NULL, NULL, 'BNAANNG41110D PROTEIN', NULL, NULL, NULL, 15),
(119492, NULL, 'PTHR12210:SF166', NULL, NULL, NULL, NULL, 'BNAA06G00110D PROTEIN', NULL, NULL, NULL, 15),
(119493, NULL, 'PTHR10803:SF21', NULL, NULL, NULL, NULL, 'ATPASE LOC107826790', NULL, NULL, NULL, 15),
(119494, NULL, 'PTHR15976:SF15', NULL, NULL, NULL, NULL, 'CONSTITUTIVE COACTIVATOR OF PPAR-GAMMA-LIKE PROTEIN 2', NULL, NULL, 27879, 15),
(119495, NULL, 'PTHR28638:SF3', NULL, NULL, NULL, NULL, 'PRE-B-CELL LEUKEMIA HOMEOBOX-INTERACTING PROTEIN 1B', NULL, NULL, NULL, 15),
(119496, NULL, 'PTHR11945:SF682', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119497, NULL, 'PTHR31250:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119498, NULL, 'PTHR42692:SF1', NULL, NULL, NULL, NULL, 'NUCLEOTIDE PYROPHOSPHOHYDROLASE', NULL, NULL, 12903, 15),
(119499, NULL, 'PTHR11615:SF332', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(119500, NULL, 'PTHR22978:SF44', NULL, NULL, NULL, NULL, 'PROTEIN BTG3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(119501, NULL, 'PTHR38464:SF1', NULL, NULL, NULL, NULL, 'L-ARABINOSE ISOMERASE', NULL, NULL, NULL, 15),
(119502, NULL, 'PTHR47327:SF10', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(119503, NULL, 'PTHR23180:SF406', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD10', NULL, NULL, NULL, 15),
(119504, NULL, 'PTHR43848:SF5', NULL, NULL, NULL, NULL, 'SPERMIDINE/PUTRESCINE TRANSPORT SYSTEM PERMEASE PROTEIN POTC', NULL, NULL, NULL, 15),
(119505, NULL, 'PTHR23148:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119506, NULL, 'PTHR31561:SF81', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(119507, NULL, 'PTHR34396:SF1', NULL, NULL, NULL, NULL, 'OS03G0264950 PROTEIN', NULL, NULL, NULL, 15),
(119508, NULL, 'PTHR10334:SF493', NULL, NULL, NULL, NULL, 'BNAC03G12850D PROTEIN', NULL, NULL, NULL, 15),
(119509, NULL, 'PTHR46327:SF8', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(119510, NULL, 'PTHR24349:SF254', NULL, NULL, NULL, NULL, 'MAP KINASE-INTERACTING SERINE/THREONINE-PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(119511, NULL, 'PTHR23428:SF294', NULL, NULL, NULL, NULL, 'HISTONE H2B.1-RELATED', NULL, NULL, NULL, 15),
(119512, NULL, 'PTHR11225:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP93A', NULL, NULL, NULL, 15),
(119513, NULL, 'PTHR27007:SF231', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.1-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119514, NULL, 'PTHR23510:SF16', NULL, NULL, NULL, NULL, 'TRANSPORTER, MAJOR FACILITATOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(119515, NULL, 'PTHR15336:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(119516, NULL, 'PTHR31062:SF175', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(119517, NULL, 'PTHR23147:SF201', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SC35-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(119518, NULL, 'PTHR43027:SF2', NULL, NULL, NULL, NULL, 'TRANSPORT PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(119519, NULL, 'PTHR22950:SF644', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE', NULL, NULL, NULL, 15),
(119520, NULL, 'PTHR12832:SF15', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 11-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(119521, NULL, 'PTHR30572:SF9', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119522, NULL, 'PTHR48020:SF14', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119523, NULL, 'PTHR22921:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG20088', NULL, NULL, NULL, 15),
(119524, NULL, 'PTHR12873:SF1', NULL, NULL, NULL, NULL, 'ACID-BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119525, NULL, 'PTHR43900:SF17', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 4', NULL, NULL, NULL, 15),
(119526, NULL, 'PTHR33108:SF51', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN (DUF1677)', NULL, NULL, NULL, 15),
(119527, NULL, 'PTHR31960:SF2', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A15', NULL, NULL, NULL, 15),
(119528, NULL, 'PTHR33470:SF33', NULL, NULL, NULL, NULL, 'OS01G0726100 PROTEIN', NULL, NULL, NULL, 15),
(119529, NULL, 'PTHR38102', NULL, NULL, NULL, NULL, 'PERIPLASMIC CHAPERONE SPY', NULL, NULL, NULL, 15),
(119530, NULL, 'PTHR46560:SF2', NULL, NULL, NULL, NULL, 'DUSKY-LIKE, ISOFORM A', NULL, NULL, NULL, 15),
(119531, NULL, 'PTHR12010', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S29', NULL, NULL, 30723, 15),
(119532, NULL, 'PTHR33447:SF14', NULL, NULL, NULL, NULL, 'BNAC09G17830D PROTEIN', NULL, NULL, NULL, 15),
(119533, NULL, 'PTHR31871', NULL, NULL, NULL, NULL, 'OS02G0137100 PROTEIN', NULL, NULL, 6006, 15),
(119534, NULL, 'PTHR33184:SF32', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(119535, NULL, 'PTHR22619:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(119536, NULL, 'PTHR43625:SF5', NULL, NULL, NULL, NULL, 'PYRIDOXAL REDUCTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(119537, NULL, 'PTHR16296', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED HYPOTHALAMUS PROTEIN HT007', NULL, NULL, 13798, 15),
(119538, NULL, 'PTHR47005:SF10', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', NULL, NULL, NULL, 15),
(119539, NULL, 'PTHR33432:SF24', NULL, NULL, NULL, NULL, 'OS08G0328300 PROTEIN', NULL, NULL, NULL, 15),
(119540, NULL, 'PTHR15592:SF14', NULL, NULL, NULL, NULL, 'POLYPYRIMIDINE TRACT-BINDING PROTEIN HOMOLOG 1', NULL, NULL, NULL, 15),
(119541, NULL, 'PTHR33346:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119542, NULL, 'PTHR19957:SF294', NULL, NULL, NULL, NULL, 'SYNTAXIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(119543, NULL, 'PTHR12565:SF341', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBI1', NULL, NULL, NULL, 15),
(119544, NULL, 'PTHR24282:SF43', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 734A4', NULL, NULL, NULL, 15),
(119545, NULL, 'PTHR12302:SF23', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', NULL, NULL, NULL, 15),
(119546, NULL, 'PTHR37187:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(119547, NULL, 'PTHR10454:SF196', NULL, NULL, NULL, NULL, 'CASPASE DRONC', NULL, NULL, NULL, 15),
(119548, NULL, 'PTHR46896:SF3', NULL, NULL, NULL, NULL, 'FI06413P-RELATED', NULL, NULL, NULL, 15),
(119549, NULL, 'PTHR15111:SF1', NULL, NULL, NULL, NULL, 'BNAA08G27560D PROTEIN', NULL, NULL, NULL, 15),
(119550, NULL, 'PTHR31238:SF3', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 3 MEMBER 4', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119551, NULL, 'PTHR46281:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B-LIKE-RELATED', NULL, NULL, NULL, 15),
(119552, NULL, 'PTHR46836:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYGLUCOSAMINLYTRANSFERASE SUBUNIT P-RELATED', NULL, NULL, NULL, 15),
(119553, NULL, 'PTHR45657:SF51', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH13-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(119554, NULL, 'PTHR46895:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG15722', NULL, NULL, NULL, 15),
(119555, NULL, 'PTHR43489:SF3', NULL, NULL, NULL, NULL, 'XYLOSE ISOMERASE DOMAIN PROTEIN TIM BARREL', NULL, NULL, NULL, 15),
(119556, NULL, 'PTHR47269:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(119557, NULL, 'PTHR18945:SF80', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT BETA-2', NULL, NULL, 26933, 15),
(119558, NULL, 'PTHR12934:SF13', NULL, NULL, NULL, NULL, 'BNAA06G33230D PROTEIN', NULL, NULL, NULL, 15),
(119559, NULL, 'PTHR11079:SF172', NULL, NULL, NULL, NULL, 'PROTEIN CBG18226', NULL, NULL, NULL, 15),
(119560, NULL, 'PTHR47499:SF3', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 14', NULL, NULL, NULL, 15),
(119561, NULL, 'PTHR11596:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119562, NULL, 'PTHR21230:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119563, NULL, 'PTHR33651', NULL, NULL, NULL, NULL, 'PROTEIN CBG06246', NULL, NULL, NULL, 15),
(119564, NULL, 'PTHR24210:SF11', NULL, NULL, NULL, NULL, 'LIM AND SENESCENT CELL ANTIGEN-LIKE-CONTAINING DOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(119565, NULL, 'PTHR31602:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119566, NULL, 'PTHR11363:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L3', NULL, NULL, NULL, 15),
(119567, NULL, 'PTHR43120', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(119568, NULL, 'PTHR31717:SF87', NULL, NULL, NULL, NULL, 'OS06G0298200 PROTEIN', NULL, NULL, NULL, 15),
(119569, NULL, 'PTHR31238:SF195', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(119570, NULL, 'PTHR11132:SF414', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR TRANSPORTER-KT 1', NULL, NULL, NULL, 15),
(119571, NULL, 'PTHR11394:SF32', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 60', NULL, NULL, NULL, 15),
(119572, NULL, 'PTHR31662:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(119573, NULL, 'PTHR32099:SF73', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(119574, NULL, 'PTHR19446:SF436', NULL, NULL, NULL, NULL, 'OS06G0484800 PROTEIN', NULL, NULL, NULL, 15),
(119575, NULL, 'PTHR35519:SF2', NULL, NULL, NULL, NULL, 'BLL7046 PROTEIN', NULL, NULL, NULL, 15),
(119576, NULL, 'PTHR36440', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_8G07350)-RELATED', NULL, NULL, NULL, 15),
(119577, NULL, 'PTHR11895:SF109', NULL, NULL, NULL, NULL, 'AMIDASE', NULL, NULL, NULL, 15),
(119578, NULL, 'PTHR23155:SF901', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPM1', NULL, NULL, NULL, 15),
(119579, NULL, 'PTHR11691:SF33', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-5', NULL, NULL, NULL, 15),
(119580, NULL, 'PTHR33871:SF20', NULL, NULL, NULL, NULL, 'BNAC01G20710D PROTEIN', NULL, NULL, NULL, 15),
(119581, NULL, 'PTHR32285:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 5', NULL, NULL, 27314, 15),
(119582, NULL, 'PTHR43214:SF24', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE RESPONSE REGULATOR PROTEIN NARL', NULL, NULL, NULL, 15),
(119583, NULL, 'PTHR27001:SF152', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(119584, NULL, 'PTHR11437:SF20', NULL, NULL, NULL, NULL, 'INACTIVE RIBONUCLEASE-LIKE PROTEIN 12-RELATED', NULL, NULL, 24604, 15),
(119585, NULL, 'PTHR43092:SF6', NULL, NULL, NULL, NULL, 'BLR1280 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119586, NULL, 'PTHR43952:SF59', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(119587, NULL, 'PTHR12386:SF12', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT', NULL, NULL, NULL, 15),
(119588, NULL, 'PTHR11022:SF40', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN RECOGNITION PROTEIN 4', NULL, NULL, NULL, 15),
(119589, NULL, 'PTHR11913:SF80', NULL, NULL, NULL, NULL, 'ACTIN DEPOLYMERIZING FACTOR 6', NULL, NULL, NULL, 15),
(119590, NULL, 'PTHR22943:SF78', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(119591, NULL, 'PTHR48043:SF81', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 83A1-LIKE', NULL, NULL, NULL, 15),
(119592, NULL, 'PTHR11885:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S13', NULL, NULL, NULL, 15),
(119593, NULL, 'PTHR48052:SF9', NULL, NULL, NULL, NULL, 'BNAC05G03090D PROTEIN', NULL, NULL, NULL, 15),
(119594, NULL, 'PTHR40069', NULL, NULL, NULL, NULL, 'YWBE PROTEIN', NULL, NULL, 19454, 15),
(119595, NULL, 'PTHR24270:SF2', NULL, NULL, NULL, NULL, 'ATRIAL NATRIURETIC PEPTIDE-CONVERTING ENZYME', NULL, NULL, NULL, 15),
(119596, NULL, 'PTHR47989:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119597, NULL, 'PTHR23515:SF2', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 2.3', NULL, NULL, NULL, 15),
(119598, NULL, 'PTHR23024:SF368', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE', NULL, NULL, NULL, 15),
(119599, NULL, 'PTHR19378:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119600, NULL, 'PTHR30618:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119601, NULL, 'PTHR31852:SF238', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119602, NULL, 'PTHR31149:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119603, NULL, 'PTHR46142:SF10', NULL, NULL, NULL, NULL, 'OS01G0173600 PROTEIN', NULL, NULL, NULL, 15),
(119604, NULL, 'PTHR46575:SF1', NULL, NULL, NULL, NULL, 'AMYLOID PROTEIN-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(119605, NULL, 'PTHR40240:SF1', NULL, NULL, NULL, NULL, 'PLEXUS, ISOFORM A', NULL, NULL, NULL, 15),
(119606, NULL, 'PTHR35243:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119607, NULL, 'PTHR12157', NULL, NULL, NULL, NULL, 'REGULATING SYNAPTIC MEMBRANE EXOCYTOSIS PROTEIN', NULL, NULL, 31735, 15),
(119608, NULL, 'PTHR48014:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE OSR1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(119609, NULL, 'PTHR46863', NULL, NULL, NULL, NULL, 'OS09G0572100 PROTEIN', NULL, NULL, NULL, 15),
(119610, NULL, 'PTHR27008:SF368', NULL, NULL, NULL, NULL, 'OS06G0186100 PROTEIN', NULL, NULL, NULL, 15),
(119611, NULL, 'PTHR11973:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119612, NULL, 'PTHR23335:SF33', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', NULL, NULL, NULL, 15),
(119613, NULL, 'PTHR47985:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', NULL, NULL, NULL, 15),
(119614, NULL, 'PTHR10795:SF645', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3.5', NULL, NULL, NULL, 15),
(119615, NULL, 'PTHR13768:SF28', NULL, NULL, NULL, NULL, 'N-ETHYLMALEIMIDE SENSITIVE FACTOR (NSF) ATTACHMENT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119616, NULL, 'PTHR33107:SF68', NULL, NULL, NULL, NULL, 'BNAC08G19550D PROTEIN', NULL, NULL, NULL, 15),
(119617, NULL, 'PTHR27008:SF477', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119618, NULL, 'PTHR45762:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER RNA-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(119619, NULL, 'PTHR12673:SF79', NULL, NULL, NULL, NULL, 'FYVE, RHOGEF AND PH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(119620, NULL, 'PTHR33133:SF14', NULL, NULL, NULL, NULL, 'OS06G0653700 PROTEIN', NULL, NULL, NULL, 15),
(119621, NULL, 'PTHR47065:SF1', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119622, NULL, 'PTHR22996:SF12', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LUL4-RELATED', NULL, NULL, NULL, 15),
(119623, NULL, 'PTHR36449:SF2', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(119624, NULL, 'PTHR24247:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119625, NULL, 'PTHR10638:SF32', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(119626, NULL, 'PTHR24372', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONE RECEPTOR', NULL, NULL, NULL, 15),
(119627, NULL, 'PTHR22753:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119628, NULL, 'PTHR22930:SF142', NULL, NULL, NULL, NULL, 'PROTEIN ANTAGONIST OF LIKE HETEROCHROMATIN PROTEIN 1', NULL, NULL, NULL, 15),
(119629, NULL, 'PTHR47047:SF5', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119630, NULL, 'PTHR10366:SF696', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL-4-REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(119631, NULL, 'PTHR47958:SF78', NULL, NULL, NULL, NULL, 'BNAC03G15540D PROTEIN', NULL, NULL, NULL, 15),
(119632, NULL, 'PTHR36884', NULL, NULL, NULL, NULL, 'FIP1[III]-LIKE PROTEIN', NULL, NULL, 38304, 15),
(119633, NULL, 'PTHR12820:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 53 HOMOLOG', NULL, NULL, NULL, 15),
(119634, NULL, 'PTHR38008:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119635, NULL, 'PTHR31683:SF88', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(119636, NULL, 'PTHR33710:SF40', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(119637, NULL, 'PTHR11759:SF34', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S11, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(119638, NULL, 'PTHR43220:SF13', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119639, NULL, 'PTHR45621:SF140', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(119640, NULL, 'PTHR11017:SF398', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(119641, NULL, 'PTHR24223:SF391', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN ABC TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(119642, NULL, 'PTHR40088', NULL, NULL, NULL, NULL, 'PECTATE LYASE (EUROFUNG)', NULL, NULL, NULL, 15),
(119643, NULL, 'PTHR31682:SF34', NULL, NULL, NULL, NULL, 'UDP-ARABINOPYRANOSE MUTASE 3', NULL, NULL, NULL, 15),
(119644, NULL, 'PTHR23120:SF40', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT-CONTAINING PROTEIN FAMILY MEMBER 6', NULL, NULL, NULL, 15),
(119645, NULL, 'PTHR10127:SF849', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-36', NULL, NULL, 32743, 15),
(119646, NULL, 'PTHR43085:SF40', NULL, NULL, NULL, NULL, 'BNAA04G18320D PROTEIN', NULL, NULL, NULL, 15),
(119647, NULL, 'PTHR26452:SF816', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(119648, NULL, 'PTHR19353:SF67', NULL, NULL, NULL, NULL, 'DELTA(8)-FATTY-ACID DESATURASE 2', NULL, NULL, NULL, 15),
(119649, NULL, 'PTHR24274:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119650, NULL, 'PTHR33124:SF69', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH149', NULL, NULL, NULL, 15),
(119651, NULL, 'PTHR23267:SF411', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-13-RELATED', NULL, NULL, NULL, 15),
(119652, NULL, 'PTHR37550', NULL, NULL, NULL, NULL, 'ANTITOXIN VAPB1', NULL, NULL, NULL, 15),
(119653, NULL, 'PTHR12767', NULL, NULL, NULL, NULL, 'BCL7 RELATED', NULL, NULL, 3562, 15),
(119654, NULL, 'PTHR12320:SF62', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PHOSPHATASE FAMILY 2C', NULL, NULL, NULL, 15),
(119655, NULL, 'PTHR22844:SF348', NULL, NULL, NULL, NULL, 'BNAA03G52780D PROTEIN', NULL, NULL, NULL, 15),
(119656, NULL, 'PTHR47793:SF1', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT CTI6', NULL, NULL, NULL, 15),
(119657, NULL, 'PTHR23281:SF13', NULL, NULL, NULL, NULL, 'EZRIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119658, NULL, 'PTHR35832:SF7', NULL, NULL, NULL, NULL, 'OS06G0541600 PROTEIN', NULL, NULL, NULL, 15),
(119659, NULL, 'PTHR43157:SF9', NULL, NULL, NULL, NULL, 'SI:DKEY-174N20.1', NULL, NULL, NULL, 15),
(119660, NULL, 'PTHR21162', NULL, NULL, NULL, NULL, 'P53 AND DNA DAMAGE-REGULATED PROTEIN', NULL, NULL, 24799, 15),
(119661, NULL, 'PTHR47988:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119662, NULL, 'PTHR43381:SF4', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5B', NULL, NULL, NULL, 15),
(119663, NULL, 'PTHR46117', NULL, NULL, NULL, NULL, 'FI24210P1', NULL, NULL, NULL, 15),
(119664, NULL, 'PTHR44375:SF7', NULL, NULL, NULL, NULL, 'ENOYL-(ACYL CARRIER) REDUCTASE', NULL, NULL, NULL, 15),
(119665, NULL, 'PTHR47568:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SP1-RELATED', NULL, NULL, NULL, 15),
(119666, NULL, 'PTHR11514:SF116', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH28', NULL, NULL, NULL, 15),
(119667, NULL, 'PTHR11685:SF374', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(119668, NULL, 'PTHR19241', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER', NULL, NULL, NULL, 15),
(119669, NULL, 'PTHR10884:SF14', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(119670, NULL, 'PTHR22893:SF44', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 1', NULL, NULL, NULL, 15),
(119671, NULL, 'PTHR12011:SF453', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119672, NULL, 'PTHR43481', NULL, NULL, NULL, NULL, 'FRUCTOSE-1-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(119673, NULL, 'PTHR31213:SF142', NULL, NULL, NULL, NULL, 'BNAC03G22610D PROTEIN', NULL, NULL, NULL, 15),
(119674, NULL, 'PTHR33348:SF30', NULL, NULL, NULL, NULL, 'BNAA08G07800D PROTEIN', NULL, NULL, NULL, 15),
(119675, NULL, 'PTHR32099:SF59', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 9-RELATED', NULL, NULL, NULL, 15),
(119676, NULL, 'PTHR47926:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119677, NULL, 'PTHR47988:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119678, NULL, 'PTHR34191:SF26', NULL, NULL, NULL, NULL, 'BNAC09G21480D PROTEIN', NULL, NULL, NULL, 15),
(119679, NULL, 'PTHR12526', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(119680, NULL, 'PTHR13322', NULL, NULL, NULL, NULL, 'C1ORF73 PROTEIN', NULL, NULL, 35904, 15),
(119681, NULL, 'PTHR14237:SF27', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL AMIDOXIME REDUCING COMPONENT 2', NULL, NULL, NULL, 15),
(119682, NULL, 'PTHR28222:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD4', NULL, NULL, NULL, 15),
(119683, NULL, 'PTHR22950:SF458', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER PROTEIN', NULL, NULL, NULL, 15),
(119684, NULL, 'PTHR24177:SF195', NULL, NULL, NULL, NULL, 'OS11G0182900 PROTEIN', NULL, NULL, NULL, 15),
(119685, NULL, 'PTHR31319:SF68', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(119686, NULL, 'PTHR24412:SF461', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 24 ISOFORM X1', NULL, NULL, NULL, 15),
(119687, NULL, 'PTHR11926:SF1361', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119688, NULL, 'PTHR33415:SF16', NULL, NULL, NULL, NULL, 'BNAANNG24490D PROTEIN', NULL, NULL, NULL, 15),
(119689, NULL, 'PTHR16099:SF6', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119690, NULL, 'PTHR46244', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE-PROTEIN PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(119691, NULL, 'PTHR46085:SF10', NULL, NULL, NULL, NULL, 'NSP (NUCLEAR SHUTTLE PROTEIN)-INTERACTING GTPASE', NULL, NULL, NULL, 15),
(119692, NULL, 'PTHR43796', NULL, NULL, NULL, NULL, 'CARBOXYNORSPERMIDINE SYNTHASE', NULL, NULL, NULL, 15),
(119693, NULL, 'PTHR11017:SF212', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119694, NULL, 'PTHR38133', NULL, NULL, NULL, NULL, 'SLR1429 PROTEIN', NULL, NULL, NULL, 15),
(119695, NULL, 'PTHR23021:SF78', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(119696, NULL, 'PTHR10736:SF28', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 13', NULL, NULL, NULL, 15),
(119697, NULL, 'PTHR11592:SF107', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(119698, NULL, 'PTHR23273:SF73', NULL, NULL, NULL, NULL, 'BNAANNG17160D PROTEIN', NULL, NULL, NULL, 15),
(119699, NULL, 'PTHR10760:SF4', NULL, NULL, NULL, NULL, 'TORSIN-2A', NULL, NULL, NULL, 15),
(119700, NULL, 'PTHR31589:SF112', NULL, NULL, NULL, NULL, 'OS01G0834300 PROTEIN', NULL, NULL, NULL, 15),
(119701, NULL, 'PTHR12358:SF96', NULL, NULL, NULL, NULL, 'LIPID KINASE SAOUHSC_00736-RELATED', NULL, NULL, NULL, 15),
(119702, NULL, 'PTHR10791:SF161', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(119703, NULL, 'PTHR10683:SF34', NULL, NULL, NULL, NULL, 'TRANSALDOLASE', NULL, NULL, NULL, 15),
(119704, NULL, 'PTHR31384:SF75', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(119705, NULL, 'PTHR40623:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119706, NULL, 'PTHR45664:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119707, NULL, 'PTHR33374:SF27', NULL, NULL, NULL, NULL, 'OS01G0591400 PROTEIN', NULL, NULL, NULL, 15),
(119708, NULL, 'PTHR11538:SF67', NULL, NULL, NULL, NULL, 'DUF2431 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(119709, NULL, 'PTHR46309:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119710, NULL, 'PTHR22999:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119711, NULL, 'PTHR13271:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119712, NULL, 'PTHR38849:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119713, NULL, 'PTHR23036:SF89', NULL, NULL, NULL, NULL, 'INTERLEUKIN-13 RECEPTOR SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(119714, NULL, 'PTHR12756:SF11', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE 1', NULL, NULL, NULL, 15),
(119715, NULL, 'PTHR30443:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE TRANSFERASE EPTC', NULL, NULL, NULL, 15),
(119716, NULL, 'PTHR24015:SF1943', NULL, NULL, NULL, NULL, 'OJ991214_12.4 PROTEIN', NULL, NULL, NULL, 15),
(119717, NULL, 'PTHR22923:SF92', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(119718, NULL, 'PTHR31985:SF164', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF027', NULL, NULL, NULL, 15),
(119719, NULL, 'PTHR13802', NULL, NULL, NULL, NULL, 'MUCIN 4-RELATED', NULL, NULL, NULL, 15),
(119720, NULL, 'PTHR24128:SF63', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBOS32 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(119721, NULL, 'PTHR12687:SF4', NULL, NULL, NULL, NULL, 'NUCLEOLAR COMPLEX PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(119722, NULL, 'PTHR11106:SF27', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(119723, NULL, 'PTHR11452:SF21', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(119724, NULL, 'PTHR11909:SF317', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE', NULL, NULL, NULL, 15),
(119725, NULL, 'PTHR10353:SF290', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119726, NULL, 'PTHR44083:SF27', NULL, NULL, NULL, NULL, 'BNAA09G56690D PROTEIN', NULL, NULL, NULL, 15),
(119727, NULL, 'PTHR21631:SF3', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL GLYOXYLATE CYCLE PROTEIN', NULL, NULL, NULL, 15),
(119728, NULL, 'PTHR11709:SF67', NULL, NULL, NULL, NULL, 'LACCASE-11-RELATED', NULL, NULL, NULL, 15),
(119729, NULL, 'PTHR42831:SF3', NULL, NULL, NULL, NULL, '1,2-PHENYLACETYL-COA EPOXIDASE, SUBUNIT D-RELATED', NULL, NULL, NULL, 15),
(119730, NULL, 'PTHR27008:SF213', NULL, NULL, NULL, NULL, 'OS06G0638500 PROTEIN', NULL, NULL, NULL, 15),
(119731, NULL, 'PTHR47841:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119732, NULL, 'PTHR46246:SF1', NULL, NULL, NULL, NULL, 'GUANOSINE-3'',5''-BIS(DIPHOSPHATE) 3''-PYROPHOSPHOHYDROLASE MESH1', NULL, NULL, NULL, 15),
(119733, NULL, 'PTHR21660:SF11', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G04355)-RELATED', NULL, NULL, NULL, 15),
(119734, NULL, 'PTHR47258:SF3', NULL, NULL, NULL, NULL, 'F21J9.24-RELATED', NULL, NULL, NULL, 15),
(119735, NULL, 'PTHR45768:SF28', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL18-RELATED', NULL, NULL, NULL, 15),
(119736, NULL, 'PTHR32487:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119737, NULL, 'PTHR10383:SF50', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR 2', NULL, NULL, NULL, 15),
(119738, NULL, 'PTHR31060:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(119739, NULL, 'PTHR24115:SF833', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14T', NULL, NULL, NULL, 15),
(119740, NULL, 'PTHR33164', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, MARR FAMILY', NULL, NULL, NULL, 15),
(119741, NULL, 'PTHR15107:SF6', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-BINDING PROTEIN 8-LIKE', NULL, NULL, NULL, 15),
(119742, NULL, 'PTHR13878:SF139', NULL, NULL, NULL, NULL, 'ALCOHOL OXIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119743, NULL, 'PTHR10686:SF18', NULL, NULL, NULL, NULL, 'THIAMINE TRANSPORTER 2', NULL, NULL, NULL, 15),
(119744, NULL, 'PTHR23304', NULL, NULL, NULL, NULL, 'SPOT2-RELATED', NULL, NULL, NULL, 15),
(119745, NULL, 'PTHR15241:SF352', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119746, NULL, 'PTHR48049:SF95', NULL, NULL, NULL, NULL, 'SCOPOLETIN GLUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(119747, NULL, 'PTHR24282:SF215', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-LIKE', NULL, NULL, NULL, 15),
(119748, NULL, 'PTHR10209:SF690', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 2-LIKE', NULL, NULL, NULL, 15),
(119749, NULL, 'PTHR10366:SF406', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1', NULL, NULL, NULL, 15),
(119750, NULL, 'PTHR33576:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119751, NULL, 'PTHR48052:SF8', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(119752, NULL, 'PTHR24161', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119753, NULL, 'PTHR21654:SF14', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-2-LIKE', NULL, NULL, NULL, 15),
(119754, NULL, 'PTHR31645:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119755, NULL, 'PTHR43850:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT ATP-BINDING PROTEIN (CBIO-2) HOMOLOG, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(119756, NULL, 'PTHR34361:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(119757, NULL, 'PTHR35466:SF6', NULL, NULL, NULL, NULL, 'BNAA02G18430D PROTEIN', NULL, NULL, NULL, 15),
(119758, NULL, 'PTHR31747', NULL, NULL, NULL, NULL, 'PROTEIN LSD1', NULL, NULL, 33665, 15),
(119759, NULL, 'PTHR24326:SF574', NULL, NULL, NULL, NULL, 'BNAC05G48840D PROTEIN', NULL, NULL, NULL, 15),
(119760, NULL, 'PTHR27006:SF111', NULL, NULL, NULL, NULL, 'OS02G0639100 PROTEIN', NULL, NULL, NULL, 15),
(119761, NULL, 'PTHR13878:SF143', NULL, NULL, NULL, NULL, 'CYTOKININ OXIDASE 5-RELATED', NULL, NULL, NULL, 15),
(119762, NULL, 'PTHR45959:SF32', NULL, NULL, NULL, NULL, 'BNAA09G42390D PROTEIN', NULL, NULL, NULL, 15),
(119763, NULL, 'PTHR10292:SF22', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(119764, NULL, 'PTHR26452:SF800', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(119765, NULL, 'PTHR19241:SF566', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 40', NULL, NULL, NULL, 15),
(119766, NULL, 'PTHR32054', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE, EXPRESSED-RELATED-RELATED', NULL, NULL, NULL, 15),
(119767, NULL, 'PTHR48001:SF23', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(119768, NULL, 'PTHR19282:SF159', NULL, NULL, NULL, NULL, 'TETRASPANIN-15', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119769, NULL, 'PTHR33322:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119770, NULL, 'PTHR11711:SF372', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 3', NULL, NULL, NULL, 15),
(119771, NULL, 'PTHR21645:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN C35A5.5', NULL, NULL, NULL, 15),
(119772, NULL, 'PTHR12224:SF23', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 17-RELATED', NULL, NULL, NULL, 15),
(119773, NULL, 'PTHR22844:SF362', NULL, NULL, NULL, NULL, 'COATOMER ALPHA SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(119774, NULL, 'PTHR11599:SF48', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-11', NULL, NULL, 33674, 15),
(119775, NULL, 'PTHR10869:SF153', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 9-RELATED', NULL, NULL, NULL, 15),
(119776, NULL, 'PTHR32370:SF130', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(119777, NULL, 'PTHR45631:SF96', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(119778, NULL, 'PTHR24373:SF272', NULL, NULL, NULL, NULL, 'RETICULON-4 RECEPTOR-LIKE 2', NULL, NULL, NULL, 15),
(119779, NULL, 'PTHR12174:SF79', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 5', NULL, NULL, NULL, 15),
(119780, NULL, 'PTHR14398:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 41-LIKE', NULL, NULL, NULL, 15),
(119781, NULL, 'PTHR10110:SF59', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 1', NULL, NULL, 2311, 15),
(119782, NULL, 'PTHR31589:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119783, NULL, 'PTHR43150:SF10', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL BETA SUBUNIT 1-RELATED', NULL, NULL, NULL, 15),
(119784, NULL, 'PTHR31839:SF2', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1D', NULL, NULL, NULL, 15),
(119785, NULL, 'PTHR11474:SF102', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(119786, NULL, 'PTHR11195:SF21', NULL, NULL, NULL, NULL, 'RH48616P', NULL, NULL, NULL, 15),
(119787, NULL, 'PTHR23095:SF47', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(119788, NULL, 'PTHR36079', NULL, NULL, NULL, NULL, 'PROTEIN LEAFY', NULL, NULL, 6490, 15),
(119789, NULL, 'PTHR36941:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01621', NULL, NULL, NULL, 15),
(119790, NULL, 'PTHR31882', NULL, NULL, NULL, NULL, 'TNFAIP3-INTERACTING PROTEIN COILED COIL FAMILY MEMBER', NULL, NULL, NULL, 15),
(119791, NULL, 'PTHR48045:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(119792, NULL, 'PTHR23147:SF158', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SC35-LIKE SPLICING FACTOR SCL33', NULL, NULL, NULL, 15),
(119793, NULL, 'PTHR45993:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG18919', NULL, NULL, NULL, 15),
(119794, NULL, 'PTHR31867:SF92', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(119795, NULL, 'PTHR27002:SF802', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE CES101', NULL, NULL, NULL, 15),
(119796, NULL, 'PTHR31945:SF96', NULL, NULL, NULL, NULL, 'BNACNNG66200D PROTEIN', NULL, NULL, NULL, 15),
(119797, NULL, 'PTHR30239:SF18', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE SMALL SUBUNIT 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(119798, NULL, 'PTHR33270:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(119799, NULL, 'PTHR48228', NULL, NULL, NULL, NULL, 'SUCCINYL-COA--D-CITRAMALATE COA-TRANSFERASE', NULL, NULL, NULL, 15),
(119800, NULL, 'PTHR11817:SF76', NULL, NULL, NULL, NULL, 'PLASTIDIAL PYRUVATE KINASE 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(119801, NULL, 'PTHR22884:SF492', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASHH4-RELATED', NULL, NULL, NULL, 15),
(119802, NULL, 'PTHR11711:SF389', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 1-LIKE 2', NULL, NULL, NULL, 15),
(119803, NULL, 'PTHR35893', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, 7729, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119804, NULL, 'PTHR32133:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119805, NULL, 'PTHR13369:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE DOMAIN', NULL, NULL, NULL, 15),
(119806, NULL, 'PTHR35099:SF11', NULL, NULL, NULL, NULL, 'OS06G0646700 PROTEIN', NULL, NULL, NULL, 15),
(119807, NULL, 'PTHR23272:SF132', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(119808, NULL, 'PTHR45672:SF10', NULL, NULL, NULL, NULL, 'BNAC04G51940D PROTEIN', NULL, NULL, NULL, 15),
(119809, NULL, 'PTHR34372', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C-2-RELATED', NULL, NULL, 8959, 15),
(119810, NULL, 'PTHR12374:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119811, NULL, 'PTHR19384:SF109', NULL, NULL, NULL, NULL, 'SULFITE REDUCTASE [NADPH] FLAVOPROTEIN COMPONENT', NULL, NULL, NULL, 15),
(119812, NULL, 'PTHR23430:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119813, NULL, 'PTHR11931:SF23', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-DEPENDENT PHOSPHOGLYCERATE MUTASE-LIKE', NULL, NULL, NULL, 15),
(119814, NULL, 'PTHR11165:SF116', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 20', NULL, NULL, NULL, 15),
(119815, NULL, 'PTHR45675:SF12', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(119816, NULL, 'PTHR27000:SF736', NULL, NULL, NULL, NULL, 'OS01G0239700 PROTEIN', NULL, NULL, NULL, 15),
(119817, NULL, 'PTHR43867:SF6', NULL, NULL, NULL, NULL, 'BETA-MONOGLUCOSYLDIACYLGLYCEROL SYNTHASE', NULL, NULL, NULL, 15),
(119818, NULL, 'PTHR23315:SF311', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(119819, NULL, 'PTHR32468:SF140', NULL, NULL, NULL, NULL, 'BNAA04G16700D PROTEIN', NULL, NULL, NULL, 15),
(119820, NULL, 'PTHR13160', NULL, NULL, NULL, NULL, 'OLIGOSACCHARYLTRANSFERASE COMPLEX SUBUNIT OSTC', NULL, NULL, 36617, 15),
(119821, NULL, 'PTHR11699:SF207', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE X, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(119822, NULL, 'PTHR42957:SF2', NULL, NULL, NULL, NULL, 'CONSERVED WITHIN P. AEROPHILUM', NULL, NULL, NULL, 15),
(119823, NULL, 'PTHR22601:SF78', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(119824, NULL, 'PTHR14224:SF77', NULL, NULL, NULL, NULL, 'D5ERTD577E PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119825, NULL, 'PTHR19143:SF395', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN 4', NULL, NULL, NULL, 15),
(119826, NULL, 'PTHR10992:SF1027', NULL, NULL, NULL, NULL, 'METHYLESTERASE 1-RELATED', NULL, NULL, NULL, 15),
(119827, NULL, 'PTHR31916:SF45', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE CINV2', NULL, NULL, NULL, 15),
(119828, NULL, 'PTHR42751:SF3', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER FAMILY/TRKA DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(119829, NULL, 'PTHR19924:SF30', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 15 HOMOLOG', NULL, NULL, NULL, 15),
(119830, NULL, 'PTHR31936:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG18744', NULL, NULL, NULL, 15),
(119831, NULL, 'PTHR24056:SF428', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119832, NULL, 'PTHR41693:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-76L23.4', NULL, NULL, NULL, 15),
(119833, NULL, 'PTHR15288:SF5', NULL, NULL, NULL, NULL, 'SUPPRESSION OF TUMORIGENICITY 5 PROTEIN', NULL, NULL, NULL, 15),
(119834, NULL, 'PTHR12566:SF15', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATION ELEMENT-BINDING PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(119835, NULL, 'PTHR16007:SF42', NULL, NULL, NULL, NULL, '2310005G13RIK PROTEIN', NULL, NULL, NULL, 15),
(119836, NULL, 'PTHR38633', NULL, NULL, NULL, NULL, 'PROTEIN CBG15573-RELATED', NULL, NULL, NULL, 15),
(119837, NULL, 'PTHR37457:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO HUMAN CHROMOSOME 6 OPEN READING FRAME 52', NULL, NULL, NULL, 15),
(119838, NULL, 'PTHR11802:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119839, NULL, 'PTHR13780:SF124', NULL, NULL, NULL, NULL, 'OS01G0633400 PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119840, NULL, 'PTHR13462:SF49', NULL, NULL, NULL, NULL, 'BNAA09G07780D PROTEIN', NULL, NULL, NULL, 15),
(119841, NULL, 'PTHR14969:SF50', NULL, NULL, NULL, NULL, 'PHOSPHATIDIC ACID PHOSPHATASE TYPE 2/HALOPEROXIDASE-RELATED', NULL, NULL, NULL, 15),
(119842, NULL, 'PTHR11669:SF50', NULL, NULL, NULL, NULL, 'OS01G0730900 PROTEIN', NULL, NULL, NULL, 15),
(119843, NULL, 'PTHR48017:SF76', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(119844, NULL, 'PTHR31639:SF56', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FAMILY-LIKE', NULL, NULL, NULL, 15),
(119845, NULL, 'PTHR31490:SF52', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE 5-RELATED', NULL, NULL, NULL, 15),
(119846, NULL, 'PTHR46813:SF4', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 20', NULL, NULL, NULL, 15),
(119847, NULL, 'PTHR43072:SF20', NULL, NULL, NULL, NULL, 'ACETYL TRANSFERASE', NULL, NULL, NULL, 15),
(119848, NULL, 'PTHR10656:SF71', NULL, NULL, NULL, NULL, 'MAB-21 DOMAIN-CONTAINING 2', NULL, NULL, NULL, 15),
(119849, NULL, 'PTHR23275:SF94', NULL, NULL, NULL, NULL, 'VARIANT-SPECIFIC SURFACE PROTEIN', NULL, NULL, NULL, 15),
(119850, NULL, 'PTHR11017:SF238', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS CLASS)', NULL, NULL, NULL, 15),
(119851, NULL, 'PTHR33524:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119852, NULL, 'PTHR33138:SF57', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE CARBOXY-TERMINAL PROTEIN', NULL, NULL, NULL, 15),
(119853, NULL, 'PTHR11908:SF134', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE', NULL, NULL, NULL, 15),
(119854, NULL, 'PTHR28080:SF3', NULL, NULL, NULL, NULL, 'BNAANNG11100D PROTEIN', NULL, NULL, NULL, 15),
(119855, NULL, 'PTHR46532:SF8', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(119856, NULL, 'PTHR37340', NULL, NULL, NULL, NULL, 'GENE 7073-RELATED', NULL, NULL, 34640, 15),
(119857, NULL, 'PTHR12620:SF3', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF 26 KDA SUBUNIT', NULL, NULL, NULL, 15),
(119858, NULL, 'PTHR31080:SF122', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15),
(119859, NULL, 'PTHR10535:SF16', NULL, NULL, NULL, NULL, 'OS01G0805800 PROTEIN', NULL, NULL, NULL, 15),
(119860, NULL, 'PTHR45963:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119861, NULL, 'PTHR47992:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60-RELATED', NULL, NULL, NULL, 15),
(119862, NULL, 'PTHR13259:SF1', NULL, NULL, NULL, NULL, 'BLADDER CANCER-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(119863, NULL, 'PTHR23023:SF62', NULL, NULL, NULL, NULL, 'FLAVIN-BINDING MONOOXYGENASE-LIKE PROTEIN (AFU_ORTHOLOGUE AFUA_6G14280)', NULL, NULL, NULL, 15),
(119864, NULL, 'PTHR19855:SF24', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(119865, NULL, 'PTHR45730:SF72', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(119866, NULL, 'PTHR35005:SF1', NULL, NULL, NULL, NULL, '3-DEHYDRO-SCYLLO-INOSOSE HYDROLASE', NULL, NULL, NULL, 15),
(119867, NULL, 'PTHR24015:SF811', NULL, NULL, NULL, NULL, 'OS01G0959600 PROTEIN', NULL, NULL, NULL, 15),
(119868, NULL, 'PTHR31096:SF44', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN DS12, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(119869, NULL, 'PTHR43719:SF3', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE F', NULL, NULL, NULL, 15),
(119870, NULL, 'PTHR34299:SF1', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(119871, NULL, 'PTHR47925:SF30', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(119872, NULL, 'PTHR47928:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119873, NULL, 'PTHR22923:SF88', NULL, NULL, NULL, NULL, 'C1Q AND TNF RELATED 2', NULL, NULL, NULL, 15),
(119874, NULL, 'PTHR31545:SF2', NULL, NULL, NULL, NULL, 'SPEEDY PROTEIN C', NULL, NULL, NULL, 15),
(119875, NULL, 'PTHR24221:SF528', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 15', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119876, NULL, 'PTHR33265:SF38', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', NULL, NULL, NULL, 15),
(119877, NULL, 'PTHR11441', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE', NULL, NULL, 246, 15),
(119878, NULL, 'PTHR30160:SF22', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE CORE BIOSYNTHESIS PROTEIN', NULL, NULL, NULL, 15),
(119879, NULL, 'PTHR10292:SF19', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(119880, NULL, 'PTHR34121:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-11', NULL, NULL, NULL, 15),
(119881, NULL, 'PTHR25952:SF245', NULL, NULL, NULL, NULL, 'LINE-1 RETROTRANSPOSABLE ELEMENT ORF2 PROTEIN', NULL, NULL, NULL, 15),
(119882, NULL, 'PTHR47941:SF7', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(119883, NULL, 'PTHR31079:SF35', NULL, NULL, NULL, NULL, 'BNAA03G49310D PROTEIN', NULL, NULL, NULL, 15),
(119884, NULL, 'PTHR12015:SF161', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 7', NULL, NULL, NULL, 15),
(119885, NULL, 'PTHR33127:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119886, NULL, 'PTHR12173:SF1', NULL, NULL, NULL, NULL, 'GLIAL CELL LINE-DERIVED NEUROTROPHIC FACTOR', NULL, NULL, 19559, 15),
(119887, NULL, 'PTHR11759:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119888, NULL, 'PTHR43572:SF11', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPL', NULL, NULL, NULL, 15),
(119889, NULL, 'PTHR12419:SF70', NULL, NULL, NULL, NULL, 'BNAANNG23310D PROTEIN', NULL, NULL, NULL, 15),
(119890, NULL, 'PTHR22835:SF539', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119891, NULL, 'PTHR35708:SF6', NULL, NULL, NULL, NULL, 'BNAUNNG03850D PROTEIN', NULL, NULL, NULL, 15),
(119892, NULL, 'PTHR45637:SF42', NULL, NULL, NULL, NULL, 'PROTEIN KINASE G11A-LIKE', NULL, NULL, NULL, 15),
(119893, NULL, 'PTHR38138', NULL, NULL, NULL, NULL, 'VNG6441H', NULL, NULL, NULL, 15),
(119894, NULL, 'PTHR11654:SF363', NULL, NULL, NULL, NULL, 'OS10G0111300 PROTEIN', NULL, NULL, NULL, 15),
(119895, NULL, 'PTHR42757:SF39', NULL, NULL, NULL, NULL, 'OBSCURIN, CYTOSKELETAL CALMODULIN AND TITIN-INTERACTING RHOGEF', NULL, NULL, NULL, 15),
(119896, NULL, 'PTHR37019:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119897, NULL, 'PTHR26379:SF383', NULL, NULL, NULL, NULL, 'BNAA05G31070D PROTEIN', NULL, NULL, NULL, 15),
(119898, NULL, 'PTHR31210:SF73', NULL, NULL, NULL, NULL, 'OS06G0727800 PROTEIN', NULL, NULL, NULL, 15),
(119899, NULL, 'PTHR23239:SF105', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 16', NULL, NULL, NULL, 15),
(119900, NULL, 'PTHR10609:SF26', NULL, NULL, NULL, NULL, 'VANIN 1', NULL, NULL, NULL, 15),
(119901, NULL, 'PTHR46276', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR5', NULL, NULL, NULL, 15),
(119902, NULL, 'PTHR14226:SF74', NULL, NULL, NULL, NULL, 'BLR4684 PROTEIN', NULL, NULL, NULL, 15),
(119903, NULL, 'PTHR19969', NULL, NULL, NULL, NULL, 'SH2-SH3 ADAPTOR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119904, NULL, 'PTHR23310:SF117', NULL, NULL, NULL, NULL, 'BNAANNG25690D PROTEIN', NULL, NULL, NULL, 15),
(119905, NULL, 'PTHR10137:SF5', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C 1', NULL, NULL, NULL, 15),
(119906, NULL, 'PTHR31238:SF178', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(119907, NULL, 'PTHR33670:SF18', NULL, NULL, NULL, NULL, 'BNAA09G41050D PROTEIN', NULL, NULL, NULL, 15),
(119908, NULL, 'PTHR13585:SF20', NULL, NULL, NULL, NULL, 'PROTEIN AHC1', NULL, NULL, 33593, 15),
(119909, NULL, 'PTHR31639:SF97', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 13-LIKE', NULL, NULL, NULL, 15),
(119910, NULL, 'PTHR43108:SF14', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-O-SULFATASE', NULL, NULL, NULL, 15),
(119911, NULL, 'PTHR11461:SF157', NULL, NULL, NULL, NULL, 'SERPIN A12', NULL, NULL, NULL, 15),
(119912, NULL, 'PTHR45658:SF84', NULL, NULL, NULL, NULL, 'ZINC FINGER, NHR/GATA-TYPE-RELATED', NULL, NULL, NULL, 15),
(119913, NULL, 'PTHR35703:SF2', NULL, NULL, NULL, NULL, 'HEME OXYGENASE 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119914, NULL, 'PTHR12383:SF33', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE SUBUNIT 1', NULL, NULL, NULL, 15),
(119915, NULL, 'PTHR12763:SF7', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 15', NULL, NULL, NULL, 15),
(119916, NULL, 'PTHR11909:SF358', NULL, NULL, NULL, NULL, 'PROTEIN CBG14958', NULL, NULL, NULL, 15),
(119917, NULL, 'PTHR42861:SF98', NULL, NULL, NULL, NULL, 'P-TYPE ATPASE, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119918, NULL, 'PTHR13130:SF5', NULL, NULL, NULL, NULL, 'BNAC03G36240D PROTEIN', NULL, NULL, NULL, 15),
(119919, NULL, 'PTHR33122:SF67', NULL, NULL, NULL, NULL, 'BNAC03G14240D PROTEIN', NULL, NULL, NULL, 15),
(119920, NULL, 'PTHR45779:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP2', NULL, NULL, NULL, 15),
(119921, NULL, 'PTHR45125:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119922, NULL, 'PTHR24414:SF172', NULL, NULL, NULL, NULL, 'BNAANNG12840D PROTEIN', NULL, NULL, NULL, 15),
(119923, NULL, 'PTHR14672', NULL, NULL, NULL, NULL, 'MUCIN-16', NULL, NULL, 24519, 15),
(119924, NULL, 'PTHR33874:SF7', NULL, NULL, NULL, NULL, 'BNAA01G13970D PROTEIN', NULL, NULL, NULL, 15),
(119925, NULL, 'PTHR33203:SF51', NULL, NULL, NULL, NULL, 'BNAA01G26680D PROTEIN', NULL, NULL, NULL, 15),
(119926, NULL, 'PTHR22775:SF3', NULL, NULL, NULL, NULL, 'SORTING NEXIN-13', NULL, NULL, NULL, 15),
(119927, NULL, 'PTHR10108:SF1068', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT11-RELATED', NULL, NULL, NULL, 15),
(119928, NULL, 'PTHR11835', NULL, NULL, NULL, NULL, 'DECARBOXYLATING DEHYDROGENASES-ISOCITRATE, ISOPROPYLMALATE, TARTRATE', NULL, NULL, NULL, 15),
(119929, NULL, 'PTHR44489', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37259, 15),
(119930, NULL, 'PTHR48010:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119931, NULL, 'PTHR24078:SF561', NULL, NULL, NULL, NULL, 'BNAA03G49290D PROTEIN', NULL, NULL, NULL, 15),
(119932, NULL, 'PTHR31948:SF121', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 14', NULL, NULL, NULL, 15),
(119933, NULL, 'PTHR48084:SF5', NULL, NULL, NULL, NULL, 'BLR6744 PROTEIN', NULL, NULL, NULL, 15),
(119934, NULL, 'PTHR28592:SF3', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(119935, NULL, 'PTHR30432', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MODE', NULL, NULL, NULL, 15),
(119936, NULL, 'PTHR38681', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119937, NULL, 'PTHR43599:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119938, NULL, 'PTHR23007:SF12', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CBL-C', NULL, NULL, NULL, 15),
(119939, NULL, 'PTHR19241:SF179', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PERMEASE PDR10-RELATED', NULL, NULL, NULL, 15),
(119940, NULL, 'PTHR13832:SF606', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 39-RELATED', NULL, NULL, NULL, 15),
(119941, NULL, 'PTHR12889:SF3', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE SUBUNIT APH-1A', NULL, NULL, NULL, 15),
(119942, NULL, 'PTHR12394:SF12', NULL, NULL, NULL, NULL, 'LD08195P', NULL, NULL, NULL, 15),
(119943, NULL, 'PTHR10099', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE', NULL, NULL, NULL, 15),
(119944, NULL, 'PTHR46834:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH91-LIKE', NULL, NULL, NULL, 15),
(119945, NULL, 'PTHR28054:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I-SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN10', NULL, NULL, NULL, 15),
(119946, NULL, 'PTHR13547:SF11', NULL, NULL, NULL, NULL, 'LEUCINE-RICH PPR MOTIF-CONTAINING PROTEIN, MITOCHONDRIAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(119947, NULL, 'PTHR10639:SF1', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN A', NULL, NULL, NULL, 15),
(119948, NULL, 'PTHR33116', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE ZINC-BINDING DOMAIN-CONTAINING PROTEIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(119949, NULL, 'PTHR17502:SF4', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 27', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119950, NULL, 'PTHR19359:SF108', NULL, NULL, NULL, NULL, 'FLAVOHEMOPROTEIN B5+B5R', NULL, NULL, NULL, 15),
(119951, NULL, 'PTHR31889:SF54', NULL, NULL, NULL, NULL, 'OS02G0763200 PROTEIN', NULL, NULL, NULL, 15),
(119952, NULL, 'PTHR27005:SF165', NULL, NULL, NULL, NULL, 'OS03G0642600 PROTEIN', NULL, NULL, NULL, 15),
(119953, NULL, 'PTHR23092:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119954, NULL, 'PTHR32468:SF142', NULL, NULL, NULL, NULL, 'BNAA03G58740D PROTEIN', NULL, NULL, NULL, 15),
(119955, NULL, 'PTHR33258:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSL FOR INSERTION SEQUENCE ELEMENT IS186A-RELATED', NULL, NULL, NULL, 15),
(119956, NULL, 'PTHR37715:SF2', NULL, NULL, NULL, NULL, 'BNAA02G27170D PROTEIN', NULL, NULL, NULL, 15),
(119957, NULL, 'PTHR44013:SF9', NULL, NULL, NULL, NULL, 'ZINC-BINDING DEHYDROGENASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(119958, NULL, 'PTHR24356:SF143', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 32A', NULL, NULL, NULL, 15),
(119959, NULL, 'PTHR11709:SF342', NULL, NULL, NULL, NULL, 'LACCASE-10', NULL, NULL, NULL, 15),
(119960, NULL, 'PTHR13234:SF43', NULL, NULL, NULL, NULL, 'GAMMA-INTERFERON-INDUCIBLE LYSOSOMAL THIOL REDUCTASE', NULL, NULL, NULL, 15),
(119961, NULL, 'PTHR44191:SF43', NULL, NULL, NULL, NULL, 'BNAC01G21010D PROTEIN', NULL, NULL, NULL, 15),
(119962, NULL, 'PTHR47000:SF8', NULL, NULL, NULL, NULL, 'BNACNNG32930D PROTEIN', NULL, NULL, NULL, 15),
(119963, NULL, 'PTHR45617:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 32', NULL, NULL, NULL, 15),
(119964, NULL, 'PTHR47965:SF8', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(119965, NULL, 'PTHR33541:SF13', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE B-RELATED', NULL, NULL, NULL, 15),
(119966, NULL, 'PTHR33386:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119967, NULL, 'PTHR13230:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IIIC, SUBUNIT 5', NULL, NULL, NULL, 15),
(119968, NULL, 'PTHR24340:SF86', NULL, NULL, NULL, NULL, 'C. ELEGANS HOMEOBOX', NULL, NULL, NULL, 15),
(119969, NULL, 'PTHR45926', NULL, NULL, NULL, NULL, 'OSJNBA0053K19.4 PROTEIN', NULL, NULL, NULL, 15),
(119970, NULL, 'PTHR10994:SF148', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(119971, NULL, 'PTHR11618:SF53', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC TFIIB-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(119972, NULL, 'PTHR43422', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE', NULL, NULL, NULL, 15),
(119973, NULL, 'PTHR23128:SF29', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-38', NULL, NULL, NULL, 15),
(119974, NULL, 'PTHR43133:SF18', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGL', NULL, NULL, NULL, 15),
(119975, NULL, 'PTHR14609:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 219', NULL, NULL, NULL, 15),
(119976, NULL, 'PTHR47746:SF30', NULL, NULL, NULL, NULL, 'OS04G0659200 PROTEIN', NULL, NULL, NULL, 15),
(119977, NULL, 'PTHR22642:SF19', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G01480)', NULL, NULL, NULL, 15),
(119978, NULL, 'PTHR46224:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119979, NULL, 'PTHR12021:SF17', NULL, NULL, NULL, NULL, 'THYMOSIN BETA', NULL, NULL, NULL, 15),
(119980, NULL, 'PTHR46195:SF15', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(119981, NULL, 'PTHR32015:SF11', NULL, NULL, NULL, NULL, 'LIPASE RELATED', NULL, NULL, NULL, 15),
(119982, NULL, 'PTHR13586:SF14', NULL, NULL, NULL, NULL, 'PROTEIN DECAPPING 5-LIKE', NULL, NULL, NULL, 15),
(119983, NULL, 'PTHR14582', NULL, NULL, NULL, NULL, 'INNER KINETOCHORE SUBUNIT MAL2', NULL, NULL, 9450, 15),
(119984, NULL, 'PTHR14958:SF22', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD2', NULL, NULL, NULL, 15),
(119985, NULL, 'PTHR32361:SF12', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14340)-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(119986, NULL, 'PTHR19256:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119987, NULL, 'PTHR47988:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119988, NULL, 'PTHR43470:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PSTA', NULL, NULL, NULL, 15),
(119989, NULL, 'PTHR23004:SF11', NULL, NULL, NULL, NULL, 'PROTEIN RPI-1', NULL, NULL, NULL, 15),
(119990, NULL, 'PTHR33198', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119991, NULL, 'PTHR45881:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(119992, NULL, 'PTHR31883:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FRG2-LIKE-2', NULL, NULL, NULL, 15),
(119993, NULL, 'PTHR31897:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG04726', NULL, NULL, NULL, 15),
(119994, NULL, 'PTHR26374:SF409', NULL, NULL, NULL, NULL, 'C2H2 TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(119995, NULL, 'PTHR15954', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 11513, 15),
(119996, NULL, 'PTHR13798:SF5', NULL, NULL, NULL, NULL, 'SPLICING REGULATOR RBM11', NULL, NULL, NULL, 15),
(119997, NULL, 'PTHR31213:SF160', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN BET V 1-K-RELATED', NULL, NULL, NULL, 15),
(119998, NULL, 'PTHR16317', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA REPEAT DOMAIN-CONTAINING', NULL, NULL, 25131, 15),
(119999, NULL, 'PTHR11157:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120000, NULL, 'PTHR31375:SF177', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT2', NULL, NULL, NULL, 15),
(120001, NULL, 'PTHR46108:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT AND FYVE DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(120002, NULL, 'PTHR10686:SF19', NULL, NULL, NULL, NULL, 'THIAMINE TRANSPORTER 1', NULL, NULL, NULL, 15),
(120003, NULL, 'PTHR45922', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 2', NULL, NULL, 27177, 15),
(120004, NULL, 'PTHR35526:SF1', NULL, NULL, NULL, NULL, 'ANTI-SIGMA-F FACTOR RSBW', NULL, NULL, NULL, 15),
(120005, NULL, 'PTHR31929:SF127', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(120006, NULL, 'PTHR10768:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37', NULL, NULL, NULL, 15),
(120007, NULL, 'PTHR34107', NULL, NULL, NULL, NULL, 'SLL0198 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120008, NULL, 'PTHR33841', NULL, NULL, NULL, NULL, 'DNA METHYLTRANSFERASE YEEA-RELATED', NULL, NULL, NULL, 15),
(120009, NULL, 'PTHR46548:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120010, NULL, 'PTHR47521:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG08671', NULL, NULL, NULL, 15),
(120011, NULL, 'PTHR33322:SF17', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(120012, NULL, 'PTHR24543:SF283', NULL, NULL, NULL, NULL, 'EGF-LIKE REPEAT AND DISCOIDIN I-LIKE DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(120013, NULL, 'PTHR24068:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120014, NULL, 'PTHR11937:SF240', NULL, NULL, NULL, NULL, 'ACTIN, ALPHA SARCOMERIC/SKELETAL', NULL, NULL, NULL, 15),
(120015, NULL, 'PTHR48017:SF80', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 2 ISOFORM X1', NULL, NULL, NULL, 15),
(120016, NULL, 'PTHR46953:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR MTH-LIKE 5-RELATED', NULL, NULL, NULL, 15),
(120017, NULL, 'PTHR43853:SF13', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE 1, PEROXISOMAL', NULL, NULL, NULL, 15),
(120018, NULL, 'PTHR44027:SF7', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 5 HOMOLOG', NULL, NULL, NULL, 15),
(120019, NULL, 'PTHR45966:SF15', NULL, NULL, NULL, NULL, 'LIPASE SIL1', NULL, NULL, NULL, 15),
(120020, NULL, 'PTHR11588:SF372', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-2 CHAIN', NULL, NULL, NULL, 15),
(120021, NULL, 'PTHR45089:SF17', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120022, NULL, 'PTHR11260:SF556', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(120023, NULL, 'PTHR33222:SF30', NULL, NULL, NULL, NULL, 'CYANOBACTERIAL AMINOACYL-TRNA SYNTHETASE, CAAD DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120024, NULL, 'PTHR43342:SF1', NULL, NULL, NULL, NULL, 'NADH:UBIQUINONE OXIDOREDUCTASE, SUBUNIT E', NULL, NULL, NULL, 15),
(120025, NULL, 'PTHR47762', NULL, NULL, NULL, NULL, 'OSJNBB0079B02.4 PROTEIN', NULL, NULL, NULL, 15),
(120026, NULL, 'PTHR31642:SF169', NULL, NULL, NULL, NULL, '(Z)-3-HEXEN-1-OL ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(120027, NULL, 'PTHR45868:SF38', NULL, NULL, NULL, NULL, 'HEAVY-METAL-ASSOCIATED DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(120028, NULL, 'PTHR31252:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120029, NULL, 'PTHR45920:SF2', NULL, NULL, NULL, NULL, 'FH1/FH2 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 28488, 15),
(120030, NULL, 'PTHR22771:SF3', NULL, NULL, NULL, NULL, 'CULLIN-7', NULL, NULL, 26858, 15),
(120031, NULL, 'PTHR34992', NULL, NULL, NULL, NULL, 'HYPHAL ANASTAMOSIS-7 PROTEIN', NULL, NULL, NULL, 15),
(120032, NULL, 'PTHR48018:SF41', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8J3', NULL, NULL, NULL, 15),
(120033, NULL, 'PTHR32212:SF307', NULL, NULL, NULL, NULL, 'BNAA03G58990D PROTEIN', NULL, NULL, NULL, 15),
(120034, NULL, 'PTHR24231:SF15', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE RECEPTOR 1', NULL, NULL, NULL, 15),
(120035, NULL, 'PTHR46169:SF15', NULL, NULL, NULL, NULL, 'DNA REPLICATION-RELATED ELEMENT FACTOR, ISOFORM A', NULL, NULL, NULL, 15),
(120036, NULL, 'PTHR31080:SF218', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120037, NULL, 'PTHR21471:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG00619', NULL, NULL, NULL, 15),
(120038, NULL, 'PTHR11566:SF194', NULL, NULL, NULL, NULL, 'BNAA08G25850D PROTEIN', NULL, NULL, NULL, 15),
(120039, NULL, 'PTHR15140', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE E', NULL, NULL, 39008, 15),
(120040, NULL, 'PTHR37534:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120041, NULL, 'PTHR33265:SF1', NULL, NULL, NULL, NULL, 'OS01G0198500 PROTEIN', NULL, NULL, NULL, 15),
(120042, NULL, 'PTHR45654:SF21', NULL, NULL, NULL, NULL, 'HOMEOBOX LEUCINE ZIPPER PROTEIN', NULL, NULL, NULL, 15),
(120043, NULL, 'PTHR34892', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE CATALYTIC SUBUNIT-RELATED / V-ATPASE-RELATED / VACUOLAR PROTON PUMP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(120044, NULL, 'PTHR43053', NULL, NULL, NULL, NULL, 'GLYCOSIDASE FAMILY 31', NULL, NULL, NULL, 15),
(120045, NULL, 'PTHR31989:SF199', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 45', NULL, NULL, NULL, 15),
(120046, NULL, 'PTHR12169:SF21', NULL, NULL, NULL, NULL, 'AFG1-LIKE ATPASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120047, NULL, 'PTHR30537:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(120048, NULL, 'PTHR11923:SF47', NULL, NULL, NULL, NULL, 'PROTEIN CBR-SCAV-5', NULL, NULL, NULL, 15),
(120049, NULL, 'PTHR11878:SF65', NULL, NULL, NULL, NULL, 'NA/CA-EXCHANGE PROTEIN, ISOFORM G', NULL, NULL, NULL, 15),
(120050, NULL, 'PTHR21327:SF42', NULL, NULL, NULL, NULL, 'BNAA09G06790D PROTEIN', NULL, NULL, NULL, 15),
(120051, NULL, 'PTHR21497:SF24', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR1', NULL, NULL, NULL, 15),
(120052, NULL, 'PTHR42742:SF3', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE GMUF-RELATED', NULL, NULL, NULL, 15),
(120053, NULL, 'PTHR13058', NULL, NULL, NULL, NULL, 'THREE PRIME REPAIR EXONUCLEASE 1, 2', NULL, NULL, 29929, 15),
(120054, NULL, 'PTHR11654:SF198', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.4', NULL, NULL, NULL, 15),
(120055, NULL, 'PTHR24028:SF95', NULL, NULL, NULL, NULL, 'MCG141300', NULL, NULL, NULL, 15),
(120056, NULL, 'PTHR42833', NULL, NULL, NULL, NULL, 'URIDYLATE KINASE', NULL, NULL, NULL, 15),
(120057, NULL, 'PTHR36455', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 7745, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120058, NULL, 'PTHR10887:SF445', NULL, NULL, NULL, NULL, 'FINGER AND HELICASE DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120059, NULL, 'PTHR27002:SF810', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 33-RELATED', NULL, NULL, NULL, 15),
(120060, NULL, 'PTHR12241:SF147', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL6', NULL, NULL, NULL, 15),
(120061, NULL, 'PTHR24303', NULL, NULL, NULL, NULL, 'HEME-BINDING MONOOXYGENASE FAMILY', NULL, NULL, NULL, 15),
(120062, NULL, 'PTHR10151:SF77', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE FAMILY MEMBER 1', NULL, NULL, 28718, 15),
(120063, NULL, 'PTHR33069:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(120064, NULL, 'PTHR12612:SF33', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2', NULL, NULL, NULL, 15),
(120065, NULL, 'PTHR22741', NULL, NULL, NULL, NULL, 'P140CAP/SNIP-RELATED', NULL, NULL, NULL, 15),
(120066, NULL, 'PTHR24253:SF38', NULL, NULL, NULL, NULL, 'SERINE PROTEASE HEPSIN', NULL, NULL, 31810, 15),
(120067, NULL, 'PTHR34253:SF3', NULL, NULL, NULL, NULL, 'PROTEIN LLP HOMOLOG', NULL, NULL, NULL, 15),
(120068, NULL, 'PTHR24211:SF2', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(120069, NULL, 'PTHR10394:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', NULL, NULL, NULL, 15),
(120070, NULL, 'PTHR11877:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120071, NULL, 'PTHR33827:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120072, NULL, 'PTHR31276:SF6', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', NULL, NULL, NULL, 15),
(120073, NULL, 'PTHR24133:SF38', NULL, NULL, NULL, NULL, 'ANKYRIN-1', NULL, NULL, NULL, 15),
(120074, NULL, 'PTHR24418:SF219', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE TEC', NULL, NULL, NULL, 15),
(120075, NULL, 'PTHR10612:SF49', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN D-LIKE PROTEIN', NULL, NULL, NULL, 15),
(120076, NULL, 'PTHR31374:SF299', NULL, NULL, NULL, NULL, 'BNAANNG09080D PROTEIN', NULL, NULL, NULL, 15),
(120077, NULL, 'PTHR13859:SF27', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120078, NULL, 'PTHR43649:SF14', NULL, NULL, NULL, NULL, 'SOLUTE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(120079, NULL, 'PTHR12143:SF30', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120080, NULL, 'PTHR39613:SF1', NULL, NULL, NULL, NULL, 'ANCHORED CELL WALL PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G08960)-RELATED', NULL, NULL, NULL, 15),
(120081, NULL, 'PTHR10527:SF72', NULL, NULL, NULL, NULL, 'IMPORTIN-5-LIKE', NULL, NULL, NULL, 15),
(120082, NULL, 'PTHR34591:SF21', NULL, NULL, NULL, NULL, 'OS11G0634100 PROTEIN', NULL, NULL, NULL, 15),
(120083, NULL, 'PTHR47754:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(120084, NULL, 'PTHR33377:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120085, NULL, 'PTHR23081:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120086, NULL, 'PTHR12734:SF0', NULL, NULL, NULL, NULL, '18S RRNA (GUANINE-N(7))-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(120087, NULL, 'PTHR13417:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG05218', NULL, NULL, NULL, 15),
(120088, NULL, 'PTHR26452:SF140', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(120089, NULL, 'PTHR10851:SF3', NULL, NULL, NULL, NULL, 'PYRIDOXINE/PYRIDOXAMINE 5''-PHOSPHATE OXIDASE 2', NULL, NULL, NULL, 15),
(120090, NULL, 'PTHR36008', NULL, NULL, NULL, NULL, 'OS09G0478400 PROTEIN', NULL, NULL, NULL, 15),
(120091, NULL, 'PTHR11559:SF162', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(120092, NULL, 'PTHR45671:SF22', NULL, NULL, NULL, NULL, 'OS06G0210500 PROTEIN', NULL, NULL, NULL, 15),
(120093, NULL, 'PTHR23107:SF26', NULL, NULL, NULL, NULL, 'BNAA09G51550D PROTEIN', NULL, NULL, NULL, 15),
(120094, NULL, 'PTHR13844:SF67', NULL, NULL, NULL, NULL, 'PROTEIN TRI1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120095, NULL, 'PTHR24096:SF383', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 2', NULL, NULL, NULL, 15),
(120096, NULL, 'PTHR11581:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120097, NULL, 'PTHR31391:SF2', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS11G0197600', NULL, NULL, NULL, 15),
(120098, NULL, 'PTHR43186:SF3', NULL, NULL, NULL, NULL, 'BLR3900 PROTEIN', NULL, NULL, NULL, 15),
(120099, NULL, 'PTHR21143:SF109', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR 10A-RELATED', NULL, NULL, NULL, 15),
(120100, NULL, 'PTHR43840', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL METAL TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(120101, NULL, 'PTHR48049:SF53', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYLTRANSFERASE 73B2', NULL, NULL, NULL, 15),
(120102, NULL, 'PTHR34606:SF4', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120103, NULL, 'PTHR27000:SF723', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120104, NULL, 'PTHR32133:SF294', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120105, NULL, 'PTHR42904', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE, NUDC SUBFAMILY', NULL, NULL, NULL, 15),
(120106, NULL, 'PTHR48194', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120107, NULL, 'PTHR15486:SF57', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(120108, NULL, 'PTHR10634:SF38', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(120109, NULL, 'PTHR40467', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 30643, 15),
(120110, NULL, 'PTHR37035:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120111, NULL, 'PTHR23155:SF1062', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(120112, NULL, 'PTHR31657:SF35', NULL, NULL, NULL, NULL, 'AP2/EREBP TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120113, NULL, 'PTHR11043:SF28', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-1-LIKE', NULL, NULL, NULL, 15),
(120114, NULL, 'PTHR31155:SF15', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(120115, NULL, 'PTHR31089:SF41', NULL, NULL, NULL, NULL, 'DOF-TYPE ZINC FINGER DNA-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120116, NULL, 'PTHR15627:SF8', NULL, NULL, NULL, NULL, 'DTW DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(120117, NULL, 'PTHR10954:SF19', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', NULL, NULL, NULL, 15),
(120118, NULL, 'PTHR26453:SF659', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(120119, NULL, 'PTHR10663:SF338', NULL, NULL, NULL, NULL, 'PH AND SEC7 DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(120120, NULL, 'PTHR47838:SF1', NULL, NULL, NULL, NULL, '21.7 KDA CLASS VI HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(120121, NULL, 'PTHR33044:SF195', NULL, NULL, NULL, NULL, 'BNAC02G00930D PROTEIN', NULL, NULL, NULL, 15),
(120122, NULL, 'PTHR31009:SF49', NULL, NULL, NULL, NULL, 'OS05G0102000 PROTEIN', NULL, NULL, NULL, 15),
(120123, NULL, 'PTHR47985:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBS1', NULL, NULL, NULL, 15),
(120124, NULL, 'PTHR33179:SF60', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(120125, NULL, 'PTHR34597:SF3', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE TRANSPORTER CDIB', NULL, NULL, NULL, 15),
(120126, NULL, 'PTHR48011:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120127, NULL, 'PTHR44899:SF2', NULL, NULL, NULL, NULL, 'NIMA RELATED KINASE 1', NULL, NULL, NULL, 15),
(120128, NULL, 'PTHR46288:SF40', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120129, NULL, 'PTHR12652:SF47', NULL, NULL, NULL, NULL, 'BNAA08G03650D PROTEIN', NULL, NULL, NULL, 15),
(120130, NULL, 'PTHR31422:SF39', NULL, NULL, NULL, NULL, 'BNAA02G08060D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120131, NULL, 'PTHR27003:SF362', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(120132, NULL, 'PTHR34362:SF1', NULL, NULL, NULL, NULL, 'WPP DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(120133, NULL, 'PTHR45730:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120134, NULL, 'PTHR45708:SF46', NULL, NULL, NULL, NULL, 'ACIDIC ENDOCHITINASE', NULL, NULL, NULL, 15),
(120135, NULL, 'PTHR42256:SF1', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE', NULL, NULL, NULL, 15),
(120136, NULL, 'PTHR48012:SF12', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(120137, NULL, 'PTHR21114:SF0', NULL, NULL, NULL, NULL, 'INTERLEUKIN-33', NULL, NULL, NULL, 15),
(120138, NULL, 'PTHR22298:SF122', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 4', NULL, NULL, NULL, 15),
(120139, NULL, 'PTHR31621:SF66', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(120140, NULL, 'PTHR12619:SF18', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RFX5', NULL, NULL, 35606, 15),
(120141, NULL, 'PTHR31048:SF124', NULL, NULL, NULL, NULL, 'OS03G0663400 PROTEIN', NULL, NULL, NULL, 15),
(120142, NULL, 'PTHR24410:SF37', NULL, NULL, NULL, NULL, 'BTB DOMAIN CONTAINING 9', NULL, NULL, NULL, 15),
(120143, NULL, 'PTHR47342:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PTST, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(120144, NULL, 'PTHR45138:SF15', NULL, NULL, NULL, NULL, 'GGDEF DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(120145, NULL, 'PTHR47746', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120146, NULL, 'PTHR16083:SF30', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT KINASE 1', NULL, NULL, NULL, 15),
(120147, NULL, 'PTHR46279:SF21', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL21C-RELATED', NULL, NULL, NULL, 15),
(120148, NULL, 'PTHR24377:SF825', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 761', NULL, NULL, NULL, 15),
(120149, NULL, 'PTHR10196:SF80', NULL, NULL, NULL, NULL, 'D-RIBULOSE KINASE', NULL, NULL, NULL, 15),
(120150, NULL, 'PTHR30353:SF10', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YGHB', NULL, NULL, NULL, 15),
(120151, NULL, 'PTHR47993:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120152, NULL, 'PTHR43791:SF2', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00120)-RELATED', NULL, NULL, NULL, 15),
(120153, NULL, 'PTHR24249:SF398', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120154, NULL, 'PTHR31492', NULL, NULL, NULL, NULL, 'M CELL-TYPE AGGLUTINATION PROTEIN MAM3-RELATED', NULL, NULL, NULL, 15),
(120155, NULL, 'PTHR45974:SF153', NULL, NULL, NULL, NULL, 'TYROSINE-SULFATED GLYCOPEPTIDE RECEPTOR 1', NULL, NULL, NULL, 15),
(120156, NULL, 'PTHR13205:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120157, NULL, 'PTHR24296:SF189', NULL, NULL, NULL, NULL, 'BNAA08G06820D PROTEIN', NULL, NULL, NULL, 15),
(120158, NULL, 'PTHR14627', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 204', NULL, NULL, 33064, 15),
(120159, NULL, 'PTHR48049:SF52', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN 3-O-GLUCOSIDE 2''''-O-GLUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(120160, NULL, 'PTHR24210:SF12', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(120161, NULL, 'PTHR12766', NULL, NULL, NULL, NULL, 'DEATH DOMAIN-ASSOCIATED PROTEIN 6 DAXX', NULL, NULL, NULL, 15),
(120162, NULL, 'PTHR23226:SF255', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 883', NULL, NULL, NULL, 15),
(120163, NULL, 'PTHR24414:SF119', NULL, NULL, NULL, NULL, 'BNAA03G49760D PROTEIN', NULL, NULL, NULL, 15),
(120164, NULL, 'PTHR43739', NULL, NULL, NULL, NULL, 'XYLOGLUCANASE (EUROFUNG)', NULL, NULL, NULL, 15),
(120165, NULL, 'PTHR23262:SF55', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 16-1', NULL, NULL, NULL, 15),
(120166, NULL, 'PTHR46236:SF8', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE FAMILY C19-RELATED PROTEIN', NULL, NULL, NULL, 15),
(120167, NULL, 'PTHR31232:SF113', NULL, NULL, NULL, NULL, 'F11M15.10 PROTEIN-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120168, NULL, 'PTHR22835:SF542', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120169, NULL, 'PTHR13763:SF0', NULL, NULL, NULL, NULL, 'BREAST CANCER TYPE 1 SUSCEPTIBILITY PROTEIN', NULL, NULL, NULL, 15),
(120170, NULL, 'PTHR10408:SF17', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(120171, NULL, 'PTHR11877:SF85', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 3', NULL, NULL, NULL, 15),
(120172, NULL, 'PTHR42884:SF18', NULL, NULL, NULL, NULL, 'ENDOPROTEASE BLI-4', NULL, NULL, NULL, 15),
(120173, NULL, 'PTHR44170:SF26', NULL, NULL, NULL, NULL, 'MYOPALLADIN', NULL, NULL, NULL, 15),
(120174, NULL, 'PTHR40849:SF2', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT MEMBRANE TARGETING', NULL, NULL, NULL, 15),
(120175, NULL, 'PTHR42850:SF7', NULL, NULL, NULL, NULL, 'BIS(5''-NUCLEOSYL)-TETRAPHOSPHATASE PRPE [ASYMMETRICAL]', NULL, NULL, NULL, 15),
(120176, NULL, 'PTHR47630:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-4', NULL, NULL, NULL, 15),
(120177, NULL, 'PTHR14898:SF8', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB-LIKE PROTEIN', NULL, NULL, NULL, 15),
(120178, NULL, 'PTHR46288', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120179, NULL, 'PTHR18966:SF518', NULL, NULL, NULL, NULL, 'BNAA09G02980D PROTEIN', NULL, NULL, NULL, 15),
(120180, NULL, 'PTHR23272:SF124', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 4-LIKE', NULL, NULL, NULL, 15),
(120181, NULL, 'PTHR47981:SF22', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-7B', NULL, NULL, NULL, 15),
(120182, NULL, 'PTHR14389', NULL, NULL, NULL, NULL, 'SI:CH1073-475A24.1', NULL, NULL, NULL, 15),
(120183, NULL, 'PTHR32063:SF68', NULL, NULL, NULL, NULL, 'PROBALE CATION EFFLUX SYSTEM PROTEIN', NULL, NULL, NULL, 15),
(120184, NULL, 'PTHR47926:SF115', NULL, NULL, NULL, NULL, 'OS03G0271300 PROTEIN', NULL, NULL, NULL, 15),
(120185, NULL, 'PTHR10322', NULL, NULL, NULL, NULL, 'DNA POLYMERASE CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(120186, NULL, 'PTHR19321:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120187, NULL, 'PTHR35474', NULL, NULL, NULL, NULL, 'ATP PHOSPHORIBOSYLTRANSFERASE REGULATORY SUBUNIT', NULL, NULL, 29586, 15),
(120188, NULL, 'PTHR10739:SF48', NULL, NULL, NULL, NULL, 'CHOLINE-PHOSPHATE CYTIDYLYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(120189, NULL, 'PTHR39951:SF1', NULL, NULL, NULL, NULL, 'FI22632P1', NULL, NULL, NULL, 15),
(120190, NULL, 'PTHR24028:SF295', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-11 Y-LINKED', NULL, NULL, NULL, 15),
(120191, NULL, 'PTHR24336:SF11', NULL, NULL, NULL, NULL, 'LADYBIRD HOMEOBOX 1A-RELATED', NULL, NULL, NULL, 15),
(120192, NULL, 'PTHR12027:SF76', NULL, NULL, NULL, NULL, 'PROTEIN WNT-10B', NULL, NULL, NULL, 15),
(120193, NULL, 'PTHR15191:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120194, NULL, 'PTHR12461:SF80', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE FACTOR 1-ALPHA INHIBITOR', NULL, NULL, 24571, 15),
(120195, NULL, 'PTHR32175:SF13', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(120196, NULL, 'PTHR46891:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(120197, NULL, 'PTHR46285:SF7', NULL, NULL, NULL, NULL, 'OS06G0238900 PROTEIN', NULL, NULL, NULL, 15),
(120198, NULL, 'PTHR12174:SF38', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 2C', NULL, NULL, 8175, 15),
(120199, NULL, 'PTHR34740:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120200, NULL, 'PTHR31852:SF151', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(120201, NULL, 'PTHR24326:SF563', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-20', NULL, NULL, NULL, 15),
(120202, NULL, 'PTHR11588:SF391', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(120203, NULL, 'PTHR31209:SF4', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-INDEPENDENT PHOSPHOGLYCERATE MUTASE', NULL, NULL, NULL, 15),
(120204, NULL, 'PTHR10015:SF195', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-6A', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120205, NULL, 'PTHR34046:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120206, NULL, 'PTHR46506:SF39', NULL, NULL, NULL, NULL, 'JACALIN-LIKE LECTIN DOMAIN, TRANSPOSASE-ASSOCIATED DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120207, NULL, 'PTHR31499', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL11', NULL, NULL, 36737, 15),
(120208, NULL, 'PTHR43243:SF48', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120209, NULL, 'PTHR23128:SF139', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-1-RELATED', NULL, NULL, NULL, 15),
(120210, NULL, 'PTHR11592:SF92', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID HYDROPEROXIDE GLUTATHIONE PEROXIDASE-RELATED', NULL, NULL, NULL, 15),
(120211, NULL, 'PTHR33844', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120212, NULL, 'PTHR11709', NULL, NULL, NULL, NULL, 'MULTI-COPPER OXIDASE', NULL, NULL, 39220, 15),
(120213, NULL, 'PTHR22761:SF5', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 6', NULL, NULL, NULL, 15),
(120214, NULL, 'PTHR10285:SF186', NULL, NULL, NULL, NULL, 'URACIL PHOSPHORIBOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(120215, NULL, 'PTHR10168:SF232', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S4', NULL, NULL, NULL, 15),
(120216, NULL, 'PTHR45657:SF43', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH9', NULL, NULL, NULL, 15),
(120217, NULL, 'PTHR31096:SF67', NULL, NULL, NULL, NULL, 'BNAA08G24740D PROTEIN', NULL, NULL, NULL, 15),
(120218, NULL, 'PTHR23503:SF46', NULL, NULL, NULL, NULL, 'PROTEIN CBG02274', NULL, NULL, NULL, 15),
(120219, NULL, 'PTHR33443:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120220, NULL, 'PTHR33257:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120221, NULL, 'PTHR12489:SF12', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 6 PROTEIN', NULL, NULL, NULL, 15),
(120222, NULL, 'PTHR20899:SF8', NULL, NULL, NULL, NULL, 'UPF0691 PROTEIN C9ORF116', NULL, NULL, NULL, 15),
(120223, NULL, 'PTHR31744:SF148', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 72-LIKE', NULL, NULL, NULL, 15),
(120224, NULL, 'PTHR10168:SF257', NULL, NULL, NULL, NULL, 'BNAA03G52330D PROTEIN', NULL, NULL, NULL, 15),
(120225, NULL, 'PTHR47518:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(120226, NULL, 'PTHR11260:SF607', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GST 24', NULL, NULL, NULL, 15),
(120227, NULL, 'PTHR10153:SF33', NULL, NULL, NULL, NULL, 'SMALL CONDUCTANCE CALCIUM-ACTIVATED POTASSIUM CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(120228, NULL, 'PTHR24204', NULL, NULL, NULL, NULL, 'INSULIN GENE ENHANCER PROTEIN', NULL, NULL, NULL, 15),
(120229, NULL, 'PTHR46958:SF1', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR CD22', NULL, NULL, NULL, 15),
(120230, NULL, 'PTHR31657:SF24', NULL, NULL, NULL, NULL, 'AP DOMAIN DRE BINDING FACTOR', NULL, NULL, NULL, 15),
(120231, NULL, 'PTHR23235:SF77', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 7', NULL, NULL, NULL, 15),
(120232, NULL, 'PTHR12601:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120233, NULL, 'PTHR10846:SF44', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER NCKX30C', NULL, NULL, 28778, 15),
(120234, NULL, 'PTHR10949:SF33', NULL, NULL, NULL, NULL, 'LIPOYL SYNTHASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(120235, NULL, 'PTHR11911:SF123', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(120236, NULL, 'PTHR46044:SF12', NULL, NULL, NULL, NULL, 'HYDROLASE', NULL, NULL, NULL, 15),
(120237, NULL, 'PTHR46430:SF3', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE REGULATORY FACTOR 3', NULL, NULL, NULL, 15),
(120238, NULL, 'PTHR43400:SF9', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120239, NULL, 'PTHR35161:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120240, NULL, 'PTHR12506:SF59', NULL, NULL, NULL, NULL, 'BNAA04G19090D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120241, NULL, 'PTHR11893:SF17', NULL, NULL, NULL, NULL, 'INNEXIN', NULL, NULL, NULL, 15),
(120242, NULL, 'PTHR35381:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120243, NULL, 'PTHR31374:SF229', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120244, NULL, 'PTHR22948:SF14', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(120245, NULL, 'PTHR12357:SF92', NULL, NULL, NULL, NULL, 'OS03G0317000 PROTEIN', NULL, NULL, NULL, 15),
(120246, NULL, 'PTHR31642:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120247, NULL, 'PTHR31677:SF140', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF106', NULL, NULL, NULL, 15),
(120248, NULL, 'PTHR15591:SF13', NULL, NULL, NULL, NULL, 'UNC-14', NULL, NULL, NULL, 15),
(120249, NULL, 'PTHR38482:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120250, NULL, 'PTHR48001:SF126', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(120251, NULL, 'PTHR11596:SF30', NULL, NULL, NULL, NULL, 'INTESTINAL-TYPE ALKALINE PHOSPHATASE', NULL, NULL, NULL, 15),
(120252, NULL, 'PTHR33361:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120253, NULL, 'PTHR45637:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AGC1-5', NULL, NULL, NULL, 15),
(120254, NULL, 'PTHR43150:SF1', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED POTASSIUM CHANNEL SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(120255, NULL, 'PTHR33155:SF23', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(120256, NULL, 'PTHR11486:SF71', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 17', NULL, NULL, 28408, 15),
(120257, NULL, 'PTHR13593:SF108', NULL, NULL, NULL, NULL, 'SI:DKEY-66A8.7', NULL, NULL, NULL, 15),
(120258, NULL, 'PTHR35867:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RSEC', NULL, NULL, NULL, 15),
(120259, NULL, 'PTHR46711:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD2', NULL, NULL, NULL, 15),
(120260, NULL, 'PTHR45752:SF44', NULL, NULL, NULL, NULL, 'P53-INDUCED DEATH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(120261, NULL, 'PTHR31953:SF40', NULL, NULL, NULL, NULL, 'FRUCTAN 1-EXOHYDROLASE W2', NULL, NULL, NULL, 15),
(120262, NULL, 'PTHR13697:SF4', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(120263, NULL, 'PTHR33168:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120264, NULL, 'PTHR31374:SF243', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(120265, NULL, 'PTHR23021:SF22', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(120266, NULL, 'PTHR32044:SF44', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 12-RELATED', NULL, NULL, NULL, 15),
(120267, NULL, 'PTHR47929:SF15', NULL, NULL, NULL, NULL, 'BNAC04G08260D PROTEIN', NULL, NULL, NULL, 15),
(120268, NULL, 'PTHR24416:SF569', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120269, NULL, 'PTHR47982:SF19', NULL, NULL, NULL, NULL, 'BNAA08G05500D PROTEIN', NULL, NULL, NULL, 15),
(120270, NULL, 'PTHR11588:SF48', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-5 CHAIN', NULL, NULL, NULL, 15),
(120271, NULL, 'PTHR24343:SF423', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(120272, NULL, 'PTHR45084:SF1', NULL, NULL, NULL, NULL, 'ERAD-ASSOCIATED E3 UBIQUITIN-PROTEIN LIGASE COMPONENT HRD3A-RELATED', NULL, NULL, NULL, 15),
(120273, NULL, 'PTHR20956:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120274, NULL, 'PTHR18945:SF514', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(120275, NULL, 'PTHR45636:SF26', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-7', NULL, NULL, NULL, 15),
(120276, NULL, 'PTHR47086', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 35146, 15),
(120277, NULL, 'PTHR33168:SF51', NULL, NULL, NULL, NULL, 'OS06G0646100 PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120278, NULL, 'PTHR31790:SF302', NULL, NULL, NULL, NULL, 'BNAA09G27460D PROTEIN', NULL, NULL, NULL, 15),
(120279, NULL, 'PTHR21495:SF160', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(120280, NULL, 'PTHR28242:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120281, NULL, 'PTHR34779', NULL, NULL, NULL, NULL, 'OS09G0542900 PROTEIN', NULL, NULL, 34759, 15),
(120282, NULL, 'PTHR23189:SF46', NULL, NULL, NULL, NULL, 'RIBONUCLEOPROTEIN PTB-BINDING 1', NULL, NULL, 29583, 15),
(120283, NULL, 'PTHR38440', NULL, NULL, NULL, NULL, 'UPF0398 PROTEIN YPSA', NULL, NULL, 10287, 15),
(120284, NULL, 'PTHR47520:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG08816', NULL, NULL, NULL, 15),
(120285, NULL, 'PTHR38020', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III SYNTHASE', NULL, NULL, NULL, 15),
(120286, NULL, 'PTHR43859:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120287, NULL, 'PTHR11255:SF104', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 2', NULL, NULL, NULL, 15),
(120288, NULL, 'PTHR46914', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 1', NULL, NULL, 28164, 15),
(120289, NULL, 'PTHR34049:SF6', NULL, NULL, NULL, NULL, 'BNAC03G30070D PROTEIN', NULL, NULL, NULL, 15),
(120290, NULL, 'PTHR12444:SF9', NULL, NULL, NULL, NULL, 'AGAP013133-PA', NULL, NULL, NULL, 15),
(120291, NULL, 'PTHR48056:SF16', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HAIKU2', NULL, NULL, NULL, 15),
(120292, NULL, 'PTHR19241:SF628', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 33', NULL, NULL, NULL, 15),
(120293, NULL, 'PTHR23226:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(120294, NULL, 'PTHR47982:SF51', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK2-RELATED', NULL, NULL, NULL, 15),
(120295, NULL, 'PTHR19241:SF536', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 17', NULL, NULL, NULL, 15),
(120296, NULL, 'PTHR31841:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM72A-RELATED', NULL, NULL, NULL, 15),
(120297, NULL, 'PTHR12169:SF2', NULL, NULL, NULL, NULL, 'AFG1P', NULL, NULL, NULL, 15),
(120298, NULL, 'PTHR10826:SF30', NULL, NULL, NULL, NULL, 'ACIDIC PROTEIN MAM33, MITOCHONDRIAL, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120299, NULL, 'PTHR15151:SF2', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 13B', NULL, NULL, NULL, 15),
(120300, NULL, 'PTHR22706:SF0', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 17', NULL, NULL, NULL, 15),
(120301, NULL, 'PTHR32295:SF131', NULL, NULL, NULL, NULL, 'OS05G0521900 PROTEIN', NULL, NULL, NULL, 15),
(120302, NULL, 'PTHR45947:SF2', NULL, NULL, NULL, NULL, 'OS01G0142300 PROTEIN', NULL, NULL, NULL, 15),
(120303, NULL, 'PTHR34280:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120304, NULL, 'PTHR11349:SF106', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(120305, NULL, 'PTHR42266', NULL, NULL, NULL, NULL, 'GIM5B PROTEIN', NULL, NULL, NULL, 15),
(120306, NULL, 'PTHR31190:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120307, NULL, 'PTHR38649', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 33', NULL, NULL, 26947, 15),
(120308, NULL, 'PTHR33155:SF47', NULL, NULL, NULL, NULL, 'BNAA03G57340D PROTEIN', NULL, NULL, NULL, 15),
(120309, NULL, 'PTHR39596:SF4', NULL, NULL, NULL, NULL, 'HET DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G03140)', NULL, NULL, NULL, 15),
(120310, NULL, 'PTHR48002:SF120', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4N2', NULL, NULL, NULL, 15),
(120311, NULL, 'PTHR43829:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120312, NULL, 'PTHR36730:SF1', NULL, NULL, NULL, NULL, 'OS03G0210700 PROTEIN', NULL, NULL, NULL, 15),
(120313, NULL, 'PTHR47926:SF170', NULL, NULL, NULL, NULL, 'BNAA09G56000D PROTEIN', NULL, NULL, NULL, 15),
(120314, NULL, 'PTHR48048:SF34', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 88A1-LIKE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120315, NULL, 'PTHR31048:SF90', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(120316, NULL, 'PTHR31871:SF2', NULL, NULL, NULL, NULL, 'ARGININOSUCCINATE LYASE', NULL, NULL, NULL, 15),
(120317, NULL, 'PTHR31722:SF45', NULL, NULL, NULL, NULL, 'BNAA09G52580D PROTEIN', NULL, NULL, NULL, 15),
(120318, NULL, 'PTHR14388:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120319, NULL, 'PTHR37563:SF7', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE', NULL, NULL, NULL, 15),
(120320, NULL, 'PTHR45786:SF32', NULL, NULL, NULL, NULL, 'BNACNNG06910D PROTEIN', NULL, NULL, NULL, 15),
(120321, NULL, 'PTHR35566:SF1', NULL, NULL, NULL, NULL, 'BLR3599 PROTEIN', NULL, NULL, NULL, 15),
(120322, NULL, 'PTHR31472:SF18', NULL, NULL, NULL, NULL, 'BNAA04G19860D PROTEIN', NULL, NULL, NULL, 15),
(120323, NULL, 'PTHR23267:SF377', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-35', NULL, NULL, NULL, 15),
(120324, NULL, 'PTHR45752:SF117', NULL, NULL, NULL, NULL, 'SI:ZFOS-323E3.4', NULL, NULL, NULL, 15),
(120325, NULL, 'PTHR19308:SF47', NULL, NULL, NULL, NULL, 'BNAA01G19270D PROTEIN', NULL, NULL, NULL, 15),
(120326, NULL, 'PTHR10194:SF125', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120327, NULL, 'PTHR33346:SF2', NULL, NULL, NULL, NULL, 'DEHYDRIN ERD14', NULL, NULL, NULL, 15),
(120328, NULL, 'PTHR28593', NULL, NULL, NULL, NULL, 'METEORIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(120329, NULL, 'PTHR16524:SF2', NULL, NULL, NULL, NULL, 'CELL DEATH REGULATOR AVEN', NULL, NULL, NULL, 15),
(120330, NULL, 'PTHR11945:SF428', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN JOINTLESS', NULL, NULL, NULL, 15),
(120331, NULL, 'PTHR12321:SF39', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 1', NULL, NULL, NULL, 15),
(120332, NULL, 'PTHR12210:SF152', NULL, NULL, NULL, NULL, 'NLI INTERACTING FACTOR-LIKE PHOSPHATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120333, NULL, 'PTHR21642:SF4', NULL, NULL, NULL, NULL, 'CEREBRAL CAVERNOUS MALFORMATIONS 2 PROTEIN', NULL, NULL, NULL, 15),
(120334, NULL, 'PTHR31514', NULL, NULL, NULL, NULL, 'MUSCULAR LMNA-INTERACTING PROTEIN MLIP', NULL, NULL, 24707, 15),
(120335, NULL, 'PTHR30231:SF32', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT EPSILON', NULL, NULL, NULL, 15),
(120336, NULL, 'PTHR15503', NULL, NULL, NULL, NULL, 'LDOC1 RELATED', NULL, NULL, 22024, 15),
(120337, NULL, 'PTHR43671:SF67', NULL, NULL, NULL, NULL, 'POLARITY-DEFECTIVE 6', NULL, NULL, NULL, 15),
(120338, NULL, 'PTHR22714:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09521', NULL, NULL, NULL, 15),
(120339, NULL, 'PTHR33193:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120340, NULL, 'PTHR12542:SF106', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO70H1', NULL, NULL, NULL, 15),
(120341, NULL, 'PTHR24305:SF78', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(120342, NULL, 'PTHR46477:SF21', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120343, NULL, 'PTHR15184:SF63', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(120344, NULL, 'PTHR11669', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C / DNA POLYMERASE III GAMMA-TAU SUBUNIT', NULL, NULL, NULL, 15),
(120345, NULL, 'PTHR44329:SF93', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE', NULL, NULL, NULL, 15),
(120346, NULL, 'PTHR47295:SF4', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120347, NULL, 'PTHR13906:SF19', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(120348, NULL, 'PTHR45650:SF56', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120349, NULL, 'PTHR31790:SF166', NULL, NULL, NULL, NULL, 'F-BOX-LIKE PROTEIN', NULL, NULL, NULL, 15),
(120350, NULL, 'PTHR24300:SF200', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2C19', NULL, NULL, NULL, 15),
(120351, NULL, 'PTHR12363:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120352, NULL, 'PTHR36921:SF3', NULL, NULL, NULL, NULL, 'BLL6035 PROTEIN', NULL, NULL, NULL, 15),
(120353, NULL, 'PTHR23423:SF63', NULL, NULL, NULL, NULL, 'DUF300 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120354, NULL, 'PTHR46128:SF219', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(120355, NULL, 'PTHR22900:SF6', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE CHST-1', NULL, NULL, NULL, 15),
(120356, NULL, 'PTHR48027:SF5', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120357, NULL, 'PTHR48247:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120358, NULL, 'PTHR12250:SF0', NULL, NULL, NULL, NULL, 'GPI ETHANOLAMINE PHOSPHATE TRANSFERASE 1', NULL, NULL, NULL, 15),
(120359, NULL, 'PTHR18921', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN - RELATED', NULL, NULL, NULL, 15),
(120360, NULL, 'PTHR10129:SF46', NULL, NULL, NULL, NULL, 'MAF-S, ISOFORM B', NULL, NULL, NULL, 15),
(120361, NULL, 'PTHR45945', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING LOCO', NULL, NULL, NULL, 15),
(120362, NULL, 'PTHR48041:SF42', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 27', NULL, NULL, NULL, 15),
(120363, NULL, 'PTHR24377:SF640', NULL, NULL, NULL, NULL, 'MCG23335-RELATED', NULL, NULL, NULL, 15),
(120364, NULL, 'PTHR21470:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120365, NULL, 'PTHR11844:SF22', NULL, NULL, NULL, NULL, 'METALLOPROTEINASE INHIBITOR 3', NULL, NULL, 17780, 15),
(120366, NULL, 'PTHR24349:SF119', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 7', NULL, NULL, NULL, 15),
(120367, NULL, 'PTHR34387:SF1', NULL, NULL, NULL, NULL, 'PERIPLASMIC IMMUNOGENIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120368, NULL, 'PTHR11206', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(120369, NULL, 'PTHR21444:SF15', NULL, NULL, NULL, NULL, 'STIMULATED BY RETINOIC ACID GENE 6 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(120370, NULL, 'PTHR12305:SF88', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 3-PHOSPHATASE AND PROTEIN-TYROSINE-PHOSPHATASE PTEN2A-LIKE', NULL, NULL, NULL, 15),
(120371, NULL, 'PTHR31845:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120372, NULL, 'PTHR14503:SF9', NULL, NULL, NULL, NULL, 'BNAC06G17900D PROTEIN', NULL, NULL, NULL, 15),
(120373, NULL, 'PTHR22426', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(120374, NULL, 'PTHR24350:SF29', NULL, NULL, NULL, NULL, 'BNAC04G04240D PROTEIN', NULL, NULL, 26030, 15),
(120375, NULL, 'PTHR32295:SF42', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 31', NULL, NULL, NULL, 15),
(120376, NULL, 'PTHR34674:SF5', NULL, NULL, NULL, NULL, 'BNAA01G28480D PROTEIN', NULL, NULL, NULL, 15),
(120377, NULL, 'PTHR31852:SF5', NULL, NULL, NULL, NULL, 'GB|AAF18257.1', NULL, NULL, NULL, 15),
(120378, NULL, 'PTHR35768:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MULTIPOLAR SPINDLE 1', NULL, NULL, NULL, 15),
(120379, NULL, 'PTHR23334:SF43', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(120380, NULL, 'PTHR11732:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120381, NULL, 'PTHR46165:SF4', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN 4A', NULL, NULL, NULL, 15),
(120382, NULL, 'PTHR31998:SF31', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGIZED MEMBRANE PROTON PUMP 2-RELATED', NULL, NULL, NULL, 15),
(120383, NULL, 'PTHR14562', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT D', NULL, NULL, 26882, 15),
(120384, NULL, 'PTHR34968:SF1', NULL, NULL, NULL, NULL, 'AUGMIN SUBUNIT 5', NULL, NULL, NULL, 15),
(120385, NULL, 'PTHR23321:SF27', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S15, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(120386, NULL, 'PTHR31086:SF69', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(120387, NULL, 'PTHR23105:SF123', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120388, NULL, 'PTHR23415:SF37', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(120389, NULL, 'PTHR43808:SF10', NULL, NULL, NULL, NULL, 'BLL3749 PROTEIN', NULL, NULL, NULL, 15),
(120390, NULL, 'PTHR31696:SF14', NULL, NULL, NULL, NULL, 'OS01G0642600 PROTEIN', NULL, NULL, NULL, 15),
(120391, NULL, 'PTHR22765:SF251', NULL, NULL, NULL, NULL, 'EGF-LIKE CALCIUM-BINDING DOMAIN, PA DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120392, NULL, 'PTHR10683:SF31', NULL, NULL, NULL, NULL, 'ALDOLASE-TYPE TIM BARREL FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120393, NULL, 'PTHR34591:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120394, NULL, 'PTHR10390:SF44', NULL, NULL, NULL, NULL, 'GM13131P', NULL, NULL, NULL, 15),
(120395, NULL, 'PTHR10891:SF908', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML25/26-RELATED', NULL, NULL, NULL, 15),
(120396, NULL, 'PTHR31422:SF27', NULL, NULL, NULL, NULL, 'ZEIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(120397, NULL, 'PTHR36321:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120398, NULL, 'PTHR45930:SF3', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR A1', NULL, NULL, NULL, 15),
(120399, NULL, 'PTHR44575:SF7', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE DDB_G0268948-RELATED', NULL, NULL, NULL, 15),
(120400, NULL, 'PTHR11732:SF433', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1, MEMBER C19', NULL, NULL, NULL, 15),
(120401, NULL, 'PTHR24296:SF98', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94A1-LIKE', NULL, NULL, NULL, 15),
(120402, NULL, 'PTHR23155:SF1046', NULL, NULL, NULL, NULL, 'OS04G0219600 PROTEIN', NULL, NULL, NULL, 15),
(120403, NULL, 'PTHR46801:SF2', NULL, NULL, NULL, NULL, 'OS06G0309200 PROTEIN', NULL, NULL, NULL, 15),
(120404, NULL, 'PTHR21207:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120405, NULL, 'PTHR31734:SF113', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN AUX28', NULL, NULL, NULL, 15),
(120406, NULL, 'PTHR12459:SF16', NULL, NULL, NULL, NULL, 'AGAP013526-PA', NULL, NULL, NULL, 15),
(120407, NULL, 'PTHR11880:SF8', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S19, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(120408, NULL, 'PTHR33727:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120409, NULL, 'PTHR10168:SF267', NULL, NULL, NULL, NULL, 'BNAA01G25120D PROTEIN', NULL, NULL, NULL, 15),
(120410, NULL, 'PTHR33172:SF63', NULL, NULL, NULL, NULL, 'OS04G0583200 PROTEIN', NULL, NULL, NULL, 15),
(120411, NULL, 'PTHR33133:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(120412, NULL, 'PTHR11394:SF33', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 124', NULL, NULL, NULL, 15),
(120413, NULL, 'PTHR31072:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP4', NULL, NULL, NULL, 15),
(120414, NULL, 'PTHR46630:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 29', NULL, NULL, NULL, 15),
(120415, NULL, 'PTHR31078', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 300', NULL, NULL, 24914, 15),
(120416, NULL, 'PTHR23500:SF570', NULL, NULL, NULL, NULL, 'BNAA03G53530D PROTEIN', NULL, NULL, NULL, 15),
(120417, NULL, 'PTHR11206:SF385', NULL, NULL, NULL, NULL, 'MULTI ANTIMICROBIAL EXTRUSION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120418, NULL, 'PTHR24567:SF70', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CMR', NULL, NULL, NULL, 15),
(120419, NULL, 'PTHR31045:SF31', NULL, NULL, NULL, NULL, '(Z)-GAMMA-BISABOLENE SYNTHASE 1-RELATED', NULL, NULL, NULL, 15),
(120420, NULL, 'PTHR26450:SF98', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52A1', NULL, NULL, NULL, 15),
(120421, NULL, 'PTHR24322:SF730', NULL, NULL, NULL, NULL, 'FI02989P-RELATED', NULL, NULL, NULL, 15),
(120422, NULL, 'PTHR11439:SF268', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(120423, NULL, 'PTHR46339:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG00667', NULL, NULL, NULL, 15),
(120424, NULL, 'PTHR42058', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120425, NULL, 'PTHR10264:SF49', NULL, NULL, NULL, NULL, 'STOMATIN-LIKE PROTEIN 3', NULL, NULL, 23419, 15),
(120426, NULL, 'PTHR47411:SF1', NULL, NULL, NULL, NULL, 'B3GNT1, BETA-1,3-N-ACETYLGUCOSAMINYLTRANSFERASE 1, HOMOLOG', NULL, NULL, NULL, 15),
(120427, NULL, 'PTHR38692', NULL, NULL, NULL, NULL, 'PROTEIN SMG', NULL, NULL, 4875, 15),
(120428, NULL, 'PTHR24073:SF1133', NULL, NULL, NULL, NULL, 'RAB GTPASE-RELATED', NULL, NULL, NULL, 15),
(120429, NULL, 'PTHR34194', NULL, NULL, NULL, NULL, 'F14J8.16 PROTEIN', NULL, NULL, NULL, 15),
(120430, NULL, 'PTHR46291', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38074, 15),
(120431, NULL, 'PTHR11475:SF51', NULL, NULL, NULL, NULL, 'SHK DOMAIN AND PEROXIDASE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(120432, NULL, 'PTHR14413:SF24', NULL, NULL, NULL, NULL, 'BNAANNG37960D PROTEIN', NULL, NULL, NULL, 15),
(120433, NULL, 'PTHR24128:SF70', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(120434, NULL, 'PTHR43331', NULL, NULL, NULL, NULL, 'HOMOSERINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(120435, NULL, 'PTHR11614:SF169', NULL, NULL, NULL, NULL, 'MONOGLYCERIDE LIPASE', NULL, NULL, NULL, 15),
(120436, NULL, 'PTHR31238:SF107', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(120437, NULL, 'PTHR31722:SF60', NULL, NULL, NULL, NULL, 'BNAA07G24670D PROTEIN', NULL, NULL, NULL, 15),
(120438, NULL, 'PTHR33203:SF1', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(120439, NULL, 'PTHR47979:SF13', NULL, NULL, NULL, NULL, 'RAB_C22 PROTEIN', NULL, NULL, NULL, 15),
(120440, NULL, 'PTHR43009', NULL, NULL, NULL, NULL, 'HOMOGENTISATE SOLANESYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(120441, NULL, 'PTHR37227:SF2', NULL, NULL, NULL, NULL, 'OS01G0219000 PROTEIN', NULL, NULL, NULL, 15),
(120442, NULL, 'PTHR20974:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE 26 B', NULL, NULL, NULL, 15),
(120443, NULL, 'PTHR31734:SF107', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(120444, NULL, 'PTHR35243:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120445, NULL, 'PTHR13683:SF330', NULL, NULL, NULL, NULL, 'OS06G0118700 PROTEIN', NULL, NULL, NULL, 15),
(120446, NULL, 'PTHR44167:SF16', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G07950)-RELATED', NULL, NULL, NULL, 15),
(120447, NULL, 'PTHR32278:SF60', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10-LIKE', NULL, NULL, NULL, 15),
(120448, NULL, 'PTHR12447:SF0', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 13C', NULL, NULL, NULL, 15),
(120449, NULL, 'PTHR31867:SF159', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(120450, NULL, 'PTHR47975:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120451, NULL, 'PTHR22780:SF37', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(120452, NULL, 'PTHR45719:SF27', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14-RELATED', NULL, NULL, NULL, 15),
(120453, NULL, 'PTHR43349:SF65', NULL, NULL, NULL, NULL, 'PHENYLCOUMARAN BENZYLIC ETHER REDUCTASE TP7', NULL, NULL, NULL, 15),
(120454, NULL, 'PTHR23349', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX TRANSCRIPTION FACTOR, TWIST', NULL, NULL, NULL, 15),
(120455, NULL, 'PTHR10366:SF692', NULL, NULL, NULL, NULL, 'BNAA04G13980D PROTEIN', NULL, NULL, NULL, 15),
(120456, NULL, 'PTHR47992:SF93', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 37', NULL, NULL, NULL, 15),
(120457, NULL, 'PTHR15315:SF77', NULL, NULL, NULL, NULL, 'LON PEPTIDASE N-TERMINAL DOMAIN AND RING FINGER PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(120458, NULL, 'PTHR30290:SF71', NULL, NULL, NULL, NULL, 'DIPEPTIDE-BINDING PROTEIN DPPE', NULL, NULL, NULL, 15),
(120459, NULL, 'PTHR24403:SF67', NULL, NULL, NULL, NULL, 'LD13728P-RELATED', NULL, NULL, NULL, 15),
(120460, NULL, 'PTHR33370:SF3', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(120461, NULL, 'PTHR24115:SF899', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7D, MITOCHONDRIAL', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120462, NULL, 'PTHR20843:SF1', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(120463, NULL, 'PTHR15289:SF3', NULL, NULL, NULL, NULL, 'TASTIN', NULL, NULL, NULL, 15),
(120464, NULL, 'PTHR21495:SF143', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(120465, NULL, 'PTHR11802:SF383', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(120466, NULL, 'PTHR21225:SF0', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE, TYROSINE-INHIBITED', NULL, NULL, NULL, 15),
(120467, NULL, 'PTHR27003:SF268', NULL, NULL, NULL, NULL, 'INACTIVE LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(120468, NULL, 'PTHR24286:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 87, SUBFAMILY A, POLYPEPTIDE 2', NULL, NULL, NULL, 15),
(120469, NULL, 'PTHR15597:SF25', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN FOX-1 HOMOLOG 3', NULL, NULL, NULL, 15),
(120470, NULL, 'PTHR42861:SF80', NULL, NULL, NULL, NULL, 'ATPASE 4 PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(120471, NULL, 'PTHR10891:SF635', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML15-RELATED', NULL, NULL, NULL, 15),
(120472, NULL, 'PTHR24068:SF292', NULL, NULL, NULL, NULL, 'OS09G0321900 PROTEIN', NULL, NULL, NULL, 15),
(120473, NULL, 'PTHR31692:SF73', NULL, NULL, NULL, NULL, 'EXPANSIN-B4', NULL, NULL, NULL, 15),
(120474, NULL, 'PTHR45650:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120475, NULL, 'PTHR34682:SF9', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(120476, NULL, 'PTHR22811:SF127', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120477, NULL, 'PTHR12850:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120478, NULL, 'PTHR47159:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG02523', NULL, NULL, NULL, 15),
(120479, NULL, 'PTHR11741:SF0', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TS, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(120480, NULL, 'PTHR11132:SF393', NULL, NULL, NULL, NULL, 'BNAA03G01770D PROTEIN', NULL, NULL, NULL, 15),
(120481, NULL, 'PTHR12110:SF38', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G00240)-RELATED', NULL, NULL, NULL, 15),
(120482, NULL, 'PTHR48019:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120483, NULL, 'PTHR13068:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120484, NULL, 'PTHR21689:SF8', NULL, NULL, NULL, NULL, 'BNAC02G39780D PROTEIN', NULL, NULL, 24188, 15),
(120485, NULL, 'PTHR22870:SF404', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(120486, NULL, 'PTHR43091:SF3', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE III, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(120487, NULL, 'PTHR47925:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120488, NULL, 'PTHR36763:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(120489, NULL, 'PTHR47933:SF22', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120490, NULL, 'PTHR31061:SF32', NULL, NULL, NULL, NULL, 'HEPARAN-ALPHA-GLUCOSAMINIDE N-ACETYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(120491, NULL, 'PTHR11709:SF278', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(120492, NULL, 'PTHR10182:SF13', NULL, NULL, NULL, NULL, 'MO25-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(120493, NULL, 'PTHR11875:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120494, NULL, 'PTHR37817', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE EIS', NULL, NULL, NULL, 15),
(120495, NULL, 'PTHR48002:SF37', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(120496, NULL, 'PTHR24377:SF896', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 429', NULL, NULL, NULL, 15),
(120497, NULL, 'PTHR43903:SF9', NULL, NULL, NULL, NULL, 'NEUROLIGIN 1, ISOFORM D', NULL, NULL, NULL, 15),
(120498, NULL, 'PTHR47002:SF6', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN (MIP) FAMILY TRANSPORTER', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120499, NULL, 'PTHR11848:SF144', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 3', NULL, NULL, NULL, 15),
(120500, NULL, 'PTHR45631:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120501, NULL, 'PTHR30451:SF20', NULL, NULL, NULL, NULL, 'FIMBRIAE USHER-RELATED', NULL, NULL, NULL, 15),
(120502, NULL, 'PTHR33337:SF16', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G09754)', NULL, NULL, NULL, 15),
(120503, NULL, 'PTHR10357:SF184', NULL, NULL, NULL, NULL, 'OLIGO-1,6-GLUCOSIDASE 1', NULL, NULL, NULL, 15),
(120504, NULL, 'PTHR16675:SF199', NULL, NULL, NULL, NULL, 'UL16-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(120505, NULL, 'PTHR46265:SF7', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATION PROTEIN (RHOGAP) WITH PH DOMAIN', NULL, NULL, NULL, 15),
(120506, NULL, 'PTHR34198:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120507, NULL, 'PTHR46184:SF3', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IXA', NULL, NULL, 29027, 15),
(120508, NULL, 'PTHR31080:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120509, NULL, 'PTHR11588:SF4', NULL, NULL, NULL, NULL, 'TUBULIN DELTA CHAIN', NULL, NULL, 5136, 15),
(120510, NULL, 'PTHR47806', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L3 GLUTAMINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(120511, NULL, 'PTHR45863:SF34', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120512, NULL, 'PTHR10795:SF439', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.2', NULL, NULL, NULL, 15),
(120513, NULL, 'PTHR10623:SF35', NULL, NULL, NULL, NULL, 'BNAANNG27250D PROTEIN', NULL, NULL, NULL, 15),
(120514, NULL, 'PTHR31694:SF13', NULL, NULL, NULL, NULL, 'DESICCATION-LIKE PROTEIN', NULL, NULL, NULL, 15),
(120515, NULL, 'PTHR33287:SF3', NULL, NULL, NULL, NULL, 'OS03G0453550 PROTEIN', NULL, NULL, NULL, 15),
(120516, NULL, 'PTHR14167:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120517, NULL, 'PTHR13429', NULL, NULL, NULL, NULL, 'FERM DOMAIN (PROTEIN4.1-EZRIN-RADIXIN-MOESIN) FAMILY', NULL, NULL, NULL, 15),
(120518, NULL, 'PTHR14614:SF44', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE METHYLTRANSFERASE METTL21D', NULL, NULL, NULL, 15),
(120519, NULL, 'PTHR42721:SF30', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE/BETA-D-XYLOSIDASE', NULL, NULL, NULL, 15),
(120520, NULL, 'PTHR43719:SF34', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM PROTEIN B', NULL, NULL, NULL, 15),
(120521, NULL, 'PTHR33449', NULL, NULL, NULL, NULL, 'NUCLEOID-ASSOCIATED PROTEIN YBAB', NULL, NULL, 5894, 15),
(120522, NULL, 'PTHR47836', NULL, NULL, NULL, NULL, 'PROTEIN CBG09520-RELATED', NULL, NULL, NULL, 15),
(120523, NULL, 'PTHR23424:SF24', NULL, NULL, NULL, NULL, 'SERUM AMYLOID A PROTEIN', NULL, NULL, NULL, 15),
(120524, NULL, 'PTHR11931:SF27', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE/BISPHOSPHOGLYCERATE MUTASE', NULL, NULL, NULL, 15),
(120525, NULL, 'PTHR10219:SF85', NULL, NULL, NULL, NULL, 'BNAC06G30250D PROTEIN', NULL, NULL, NULL, 15),
(120526, NULL, 'PTHR37451:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120527, NULL, 'PTHR47746:SF26', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE (REVERSE TRANSCRIPTASE)-RELATED FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120528, NULL, 'PTHR11831:SF37', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(120529, NULL, 'PTHR34455:SF7', NULL, NULL, NULL, NULL, 'BNAA08G29910D PROTEIN', NULL, NULL, NULL, 15),
(120530, NULL, 'PTHR23180:SF402', NULL, NULL, NULL, NULL, 'ZGC:162872', NULL, NULL, NULL, 15),
(120531, NULL, 'PTHR11527:SF276', NULL, NULL, NULL, NULL, '18.3 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(120532, NULL, 'PTHR46178:SF6', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(120533, NULL, 'PTHR12496:SF6', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 25', NULL, NULL, NULL, 15),
(120534, NULL, 'PTHR23266:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120535, NULL, 'PTHR39219:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120536, NULL, 'PTHR47170:SF2', NULL, NULL, NULL, NULL, 'MALONYL-COA ACP TRANSACYLASE, ACP-BINDING', NULL, NULL, NULL, 15),
(120537, NULL, 'PTHR31218:SF342', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(120538, NULL, 'PTHR28376:SF1', NULL, NULL, NULL, NULL, 'RGD1562914', NULL, NULL, NULL, 15),
(120539, NULL, 'PTHR23257:SF866', NULL, NULL, NULL, NULL, 'BNAA09G56380D PROTEIN', NULL, NULL, NULL, 15),
(120540, NULL, 'PTHR10774:SF62', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-3', NULL, NULL, NULL, 15),
(120541, NULL, 'PTHR11383:SF3', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE-LINKED MOIETY X MOTIF 13', NULL, NULL, NULL, 15),
(120542, NULL, 'PTHR13793:SF19', NULL, NULL, NULL, NULL, 'BROMODOMAIN AND PHD FINGER-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(120543, NULL, 'PTHR18966:SF448', NULL, NULL, NULL, NULL, 'AGAP005527-PA', NULL, NULL, NULL, 15),
(120544, NULL, 'PTHR11849:SF297', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120545, NULL, 'PTHR31851:SF52', NULL, NULL, NULL, NULL, 'PROTEIN CCC1', NULL, NULL, NULL, 15),
(120546, NULL, 'PTHR36792:SF7', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120547, NULL, 'PTHR31734:SF115', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(120548, NULL, 'PTHR30097', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN CUSB', NULL, NULL, NULL, 15),
(120549, NULL, 'PTHR28583', NULL, NULL, NULL, NULL, 'ACID AMIDASE', NULL, NULL, NULL, 15),
(120550, NULL, 'PTHR31692:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120551, NULL, 'PTHR13252:SF9', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 28', NULL, NULL, NULL, 15),
(120552, NULL, 'PTHR33490:SF7', NULL, NULL, NULL, NULL, 'BLR2979 PROTEIN', NULL, NULL, NULL, 15),
(120553, NULL, 'PTHR31490:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120554, NULL, 'PTHR47114', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120555, NULL, 'PTHR31474:SF12', NULL, NULL, NULL, NULL, 'HR-LIKE LESION-INDUCING PROTEIN', NULL, NULL, NULL, 15),
(120556, NULL, 'PTHR21631:SF13', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 2-METHYLISOCITRATE LYASE', NULL, NULL, NULL, 15),
(120557, NULL, 'PTHR13068:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF15, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(120558, NULL, 'PTHR11339', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX GLYCOPROTEIN RELATED', NULL, NULL, NULL, 15),
(120559, NULL, 'PTHR33098:SF72', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(120560, NULL, 'PTHR27001:SF500', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(120561, NULL, 'PTHR31658', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 1', NULL, NULL, 29673, 15),
(120562, NULL, 'PTHR34574:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120563, NULL, 'PTHR10602:SF4', NULL, NULL, NULL, NULL, 'BNAC04G04870D PROTEIN', NULL, NULL, NULL, 15),
(120564, NULL, 'PTHR47002:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120565, NULL, 'PTHR28612', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE SMALL SUBUNIT B', NULL, NULL, NULL, 15),
(120566, NULL, 'PTHR15335', NULL, NULL, NULL, NULL, 'PROTEIN TFG', NULL, NULL, 31970, 15),
(120567, NULL, 'PTHR47946', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A7-RELATED', NULL, NULL, NULL, 15),
(120568, NULL, 'PTHR48095:SF4', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(120569, NULL, 'PTHR28163:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PET117 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(120570, NULL, 'PTHR31719:SF96', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 71', NULL, NULL, NULL, 15),
(120571, NULL, 'PTHR43811:SF37', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120572, NULL, 'PTHR11017:SF430', NULL, NULL, NULL, NULL, 'BNAA08G15560D PROTEIN', NULL, NULL, NULL, 15),
(120573, NULL, 'PTHR22870:SF390', NULL, NULL, NULL, NULL, 'OS01G0777800 PROTEIN', NULL, NULL, NULL, 15),
(120574, NULL, 'PTHR13018:SF125', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT CHANNEL, 7TM REGION, PUTATIVE PHOSPHATE-RELATED', NULL, NULL, NULL, 15),
(120575, NULL, 'PTHR31048:SF148', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN PWIR2', NULL, NULL, NULL, 15),
(120576, NULL, 'PTHR46038:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120577, NULL, 'PTHR28110:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(120578, NULL, 'PTHR14859:SF0', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(120579, NULL, 'PTHR10662:SF26', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR 5', NULL, NULL, NULL, 15),
(120580, NULL, 'PTHR45785:SF4', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR H-RELATED PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(120581, NULL, 'PTHR10332:SF69', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120582, NULL, 'PTHR46099:SF3', NULL, NULL, NULL, NULL, 'ENDOTHELIN RECEPTOR TYPE B', NULL, NULL, NULL, 15),
(120583, NULL, 'PTHR31218:SF295', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(120584, NULL, 'PTHR11675:SF3', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 16', NULL, NULL, NULL, 15),
(120585, NULL, 'PTHR47990:SF33', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE-RELATED', NULL, NULL, NULL, 15),
(120586, NULL, 'PTHR34284', NULL, NULL, NULL, NULL, 'FG-GAP REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(120587, NULL, 'PTHR11994:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120588, NULL, 'PTHR11669:SF58', NULL, NULL, NULL, NULL, 'OS12G0209300 PROTEIN', NULL, NULL, NULL, 15),
(120589, NULL, 'PTHR31549:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120590, NULL, 'PTHR32227:SF376', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17-RELATED', NULL, NULL, NULL, 15),
(120591, NULL, 'PTHR14499:SF110', NULL, NULL, NULL, NULL, 'PROTEIN CBG17532', NULL, NULL, NULL, 15),
(120592, NULL, 'PTHR47730:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 29', NULL, NULL, NULL, 15),
(120593, NULL, 'PTHR12232:SF8', NULL, NULL, NULL, NULL, 'ZGC:153284', NULL, NULL, NULL, 15),
(120594, NULL, 'PTHR47826', NULL, NULL, NULL, NULL, 'OS03G0164700 PROTEIN', NULL, NULL, NULL, 15),
(120595, NULL, 'PTHR43791:SF62', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120596, NULL, 'PTHR11240:SF61', NULL, NULL, NULL, NULL, 'EXTRACELLULAR RIBONUCLEASE LE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(120597, NULL, 'PTHR44927:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120598, NULL, 'PTHR11570:SF24', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', NULL, NULL, NULL, 15),
(120599, NULL, 'PTHR43174:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 2-EPIMERASE', NULL, NULL, NULL, 15),
(120600, NULL, 'PTHR39218:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 14 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12110)-RELATED', NULL, NULL, NULL, 15),
(120601, NULL, 'PTHR45886:SF9', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(120602, NULL, 'PTHR11848:SF175', NULL, NULL, NULL, NULL, 'LEFT-RIGHT DETERMINATION FACTOR 2', NULL, NULL, NULL, 15),
(120603, NULL, 'PTHR45959:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18-LIKE', NULL, NULL, NULL, 15),
(120604, NULL, 'PTHR37486', NULL, NULL, NULL, NULL, 'STRINGENT STARVATION PROTEIN B', NULL, NULL, 10110, 15),
(120605, NULL, 'PTHR22804:SF8', NULL, NULL, NULL, NULL, 'HYALURONAN AND PROTEOGLYCAN LINK PROTEIN 2', NULL, NULL, NULL, 15),
(120606, NULL, 'PTHR31223:SF47', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOGL10-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120607, NULL, 'PTHR46302', NULL, NULL, NULL, NULL, 'DOUBLECORTIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 37110, 15),
(120608, NULL, 'PTHR35788', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120609, NULL, 'PTHR45839:SF18', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', NULL, NULL, NULL, 15),
(120610, NULL, 'PTHR24114:SF37', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 74B', NULL, NULL, NULL, 15),
(120611, NULL, 'PTHR33646:SF12', NULL, NULL, NULL, NULL, 'F20H23.8 PROTEIN', NULL, NULL, NULL, 15),
(120612, NULL, 'PTHR48082:SF2', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ALPHA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(120613, NULL, 'PTHR43112:SF33', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(120614, NULL, 'PTHR46898', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED CARBOXYLESTERASE 101', NULL, NULL, 37468, 15),
(120615, NULL, 'PTHR11592:SF113', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(120616, NULL, 'PTHR31731:SF119', NULL, NULL, NULL, NULL, 'CELL DELINEATING PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(120617, NULL, 'PTHR31907:SF22', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(120618, NULL, 'PTHR43329:SF8', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(120619, NULL, 'PTHR46581:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(120620, NULL, 'PTHR43205:SF49', NULL, NULL, NULL, NULL, '2-ALKENAL REDUCTASE (NADP(+)-DEPENDENT)', NULL, NULL, NULL, 15),
(120621, NULL, 'PTHR46480:SF2', NULL, NULL, NULL, NULL, 'F20B24.22', NULL, NULL, NULL, 15),
(120622, NULL, 'PTHR31030', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE FUSION PROTEIN PRM1', NULL, NULL, 25068, 15),
(120623, NULL, 'PTHR47179:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIS3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(120624, NULL, 'PTHR44207:SF1', NULL, NULL, NULL, NULL, 'SURFACE ANTIGEN BSPA-LIKE', NULL, NULL, NULL, 15),
(120625, NULL, 'PTHR11214:SF285', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(120626, NULL, 'PTHR19384:SF112', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', NULL, NULL, NULL, 15),
(120627, NULL, 'PTHR11309:SF46', NULL, NULL, NULL, NULL, 'SECRETED FRIZZLED-RELATED PROTEIN 5', NULL, NULL, 19682, 15),
(120628, NULL, 'PTHR37184:SF6', NULL, NULL, NULL, NULL, 'BNAA09G54550D PROTEIN', NULL, NULL, NULL, 15),
(120629, NULL, 'PTHR42704:SF8', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE, LARGE SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(120630, NULL, 'PTHR13318:SF174', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120631, NULL, 'PTHR46525:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120632, NULL, 'PTHR11926:SF1188', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(120633, NULL, 'PTHR19368:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM9B', NULL, NULL, NULL, 15),
(120634, NULL, 'PTHR47151:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(120635, NULL, 'PTHR23147:SF53', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 14', NULL, NULL, NULL, 15),
(120636, NULL, 'PTHR15217:SF0', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING REGULATOR WTAP', NULL, NULL, NULL, 15),
(120637, NULL, 'PTHR31662:SF43', NULL, NULL, NULL, NULL, 'DNA-BINDING STOREKEEPER PROTEIN TRANSCRIPTIONAL REGULATOR-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120638, NULL, 'PTHR11636:SF81', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 2, TRANSCRIPTION FACTOR 3', NULL, NULL, NULL, 15),
(120639, NULL, 'PTHR24156:SF6', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 34C', NULL, NULL, NULL, 15),
(120640, NULL, 'PTHR22595:SF127', NULL, NULL, NULL, NULL, 'CLASS II CHITINASE', NULL, NULL, NULL, 15),
(120641, NULL, 'PTHR11524:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120642, NULL, 'PTHR11132:SF241', NULL, NULL, NULL, NULL, 'GDP-FUCOSE TRANSPORTER 1', NULL, NULL, NULL, 15),
(120643, NULL, 'PTHR19384:SF118', NULL, NULL, NULL, NULL, 'P450 REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120644, NULL, 'PTHR11539', NULL, NULL, NULL, NULL, 'VDJ RECOMBINATION ACTIVATING PROTEIN 1 RAG1', NULL, NULL, 17283, 15),
(120645, NULL, 'PTHR31153:SF20', NULL, NULL, NULL, NULL, 'BNAC04G13840D PROTEIN', NULL, NULL, NULL, 15),
(120646, NULL, 'PTHR14089:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 49-LIKE', NULL, NULL, NULL, 15),
(120647, NULL, 'PTHR33673:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120648, NULL, 'PTHR40780:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120649, NULL, 'PTHR44329:SF124', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0271682-RELATED', NULL, NULL, NULL, 15),
(120650, NULL, 'PTHR11014:SF122', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE AMHX', NULL, NULL, NULL, 15),
(120651, NULL, 'PTHR23147:SF107', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS2Z32', NULL, NULL, NULL, 15),
(120652, NULL, 'PTHR10165:SF158', NULL, NULL, NULL, NULL, 'PAP2 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G08970)', NULL, NULL, NULL, 15),
(120653, NULL, 'PTHR21600:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120654, NULL, 'PTHR16222:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120655, NULL, 'PTHR23114:SF17', NULL, NULL, NULL, NULL, 'M7GPPPN-MRNA HYDROLASE', NULL, NULL, NULL, 15),
(120656, NULL, 'PTHR45675:SF44', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 340-LIKE', NULL, NULL, NULL, 15),
(120657, NULL, 'PTHR24055:SF466', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 10-RELATED', NULL, NULL, NULL, 15),
(120658, NULL, 'PTHR33706:SF1', NULL, NULL, NULL, NULL, 'TPR REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120659, NULL, 'PTHR31072:SF118', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP12', NULL, NULL, NULL, 15),
(120660, NULL, 'PTHR31262', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN 1, CHLOROPLASTIC', NULL, NULL, 25880, 15),
(120661, NULL, 'PTHR43112:SF2', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(120662, NULL, 'PTHR45869:SF3', NULL, NULL, NULL, NULL, 'C-REACTIVE PROTEIN', NULL, NULL, NULL, 15),
(120663, NULL, 'PTHR33143:SF6', NULL, NULL, NULL, NULL, 'F16F4.1 PROTEIN', NULL, NULL, NULL, 15),
(120664, NULL, 'PTHR30294', NULL, NULL, NULL, NULL, 'MEMBRANE COMPONENT OF ABC TRANSPORTER YHHJ-RELATED', NULL, NULL, NULL, 15),
(120665, NULL, 'PTHR15285', NULL, NULL, NULL, NULL, 'NEURONATIN', NULL, NULL, 29164, 15),
(120666, NULL, 'PTHR24057:SF38', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE GSK4', NULL, NULL, NULL, 15),
(120667, NULL, 'PTHR46168:SF5', NULL, NULL, NULL, NULL, 'OS08G0548500 PROTEIN', NULL, NULL, NULL, 15),
(120668, NULL, 'PTHR11827:SF99', NULL, NULL, NULL, NULL, 'CATION-CHLORIDE COTRANSPORTER 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(120669, NULL, 'PTHR10994:SF165', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(120670, NULL, 'PTHR21600', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RNA PSEUDOURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(120671, NULL, 'PTHR14042', NULL, NULL, NULL, NULL, 'DOPEY-RELATED', NULL, NULL, 33833, 15),
(120672, NULL, 'PTHR22854:SF17', NULL, NULL, NULL, NULL, 'INDOLE-3-GLYCEROL PHOSPHATE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(120673, NULL, 'PTHR12035:SF107', NULL, NULL, NULL, NULL, 'MYELOID CELL SURFACE ANTIGEN CD33', NULL, NULL, NULL, 15),
(120674, NULL, 'PTHR15305', NULL, NULL, NULL, NULL, 'MELANOMA ANTIGEN RECOGNIZED BY T-CELLS 1', NULL, NULL, 22335, 15),
(120675, NULL, 'PTHR23193:SF43', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE PORE MEMBRANE PROTEIN POM 121', NULL, NULL, 25804, 15),
(120676, NULL, 'PTHR24305:SF157', NULL, NULL, NULL, NULL, 'N-ACETYLTRYPTOPHAN 6-HYDROXYLASE IVOC-RELATED', NULL, NULL, NULL, 15),
(120677, NULL, 'PTHR45707:SF18', NULL, NULL, NULL, NULL, 'OS07G0483500 PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120678, NULL, 'PTHR13476', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 7949, 15),
(120679, NULL, 'PTHR33070:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120680, NULL, 'PTHR10094', NULL, NULL, NULL, NULL, 'STEROL CARRIER PROTEIN 2  SCP-2  FAMILY PROTEIN', NULL, NULL, 29281, 15),
(120681, NULL, 'PTHR13016:SF3', NULL, NULL, NULL, NULL, 'BNAA04G22140D PROTEIN', NULL, NULL, NULL, 15),
(120682, NULL, 'PTHR47871:SF2', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(120683, NULL, 'PTHR43645:SF5', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(120684, NULL, 'PTHR33228:SF30', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 1', NULL, NULL, NULL, 15),
(120685, NULL, 'PTHR24343:SF383', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 4', NULL, NULL, NULL, 15),
(120686, NULL, 'PTHR14776:SF1', NULL, NULL, NULL, NULL, 'CADHERIN-LIKE AND PC-ESTERASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(120687, NULL, 'PTHR33565:SF25', NULL, NULL, NULL, NULL, 'BNAA05G09830D PROTEIN', NULL, NULL, NULL, 15),
(120688, NULL, 'PTHR18849:SF4', NULL, NULL, NULL, NULL, 'GENE 29133-RELATED', NULL, NULL, NULL, 15),
(120689, NULL, 'PTHR46782', NULL, NULL, NULL, NULL, 'OS01G0757700 PROTEIN', NULL, NULL, 38619, 15),
(120690, NULL, 'PTHR11461:SF339', NULL, NULL, NULL, NULL, 'BNAC04G44460D PROTEIN', NULL, NULL, NULL, 15),
(120691, NULL, 'PTHR24198:SF176', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 14', NULL, NULL, NULL, 15),
(120692, NULL, 'PTHR37287', NULL, NULL, NULL, NULL, 'INO EIGHTY SUBUNIT 1', NULL, NULL, 29265, 15),
(120693, NULL, 'PTHR31265:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120694, NULL, 'PTHR13045:SF13', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE', NULL, NULL, NULL, 15),
(120695, NULL, 'PTHR10334:SF359', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 18 MEMBER A-RELATED', NULL, NULL, NULL, 15),
(120696, NULL, 'PTHR11453:SF110', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 3-RELATED', NULL, NULL, NULL, 15),
(120697, NULL, 'PTHR22750:SF13', NULL, NULL, NULL, NULL, 'SPHINGOSINE 1-PHOSPHATE RECEPTOR 4', NULL, NULL, 749, 15),
(120698, NULL, 'PTHR10809:SF126', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 1-1-LIKE', NULL, NULL, NULL, 15),
(120699, NULL, 'PTHR20961:SF137', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', NULL, NULL, NULL, 15),
(120700, NULL, 'PTHR24373:SF278', NULL, NULL, NULL, NULL, 'PLATELET GLYCOPROTEIN IB ALPHA CHAIN', NULL, NULL, NULL, 15),
(120701, NULL, 'PTHR34364:SF11', NULL, NULL, NULL, NULL, 'WAS/WASL-INTERACTING PROTEIN FAMILY MEMBER 3-LIKE', NULL, NULL, NULL, 15),
(120702, NULL, 'PTHR10108:SF1131', NULL, NULL, NULL, NULL, 'BNAA02G34020D PROTEIN', NULL, NULL, NULL, 15),
(120703, NULL, 'PTHR33784:SF35', NULL, NULL, NULL, NULL, 'BNACNNG21980D PROTEIN', NULL, NULL, NULL, 15),
(120704, NULL, 'PTHR11802:SF399', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(120705, NULL, 'PTHR35307:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120706, NULL, 'PTHR14463:SF5', NULL, NULL, NULL, NULL, 'LIPASE MATURATION FACTOR 2', NULL, NULL, NULL, 15),
(120707, NULL, 'PTHR22957:SF504', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120708, NULL, 'PTHR45940:SF23', NULL, NULL, NULL, NULL, 'WUSCHEL, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120709, NULL, 'PTHR13301:SF195', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', NULL, NULL, NULL, 15),
(120710, NULL, 'PTHR11360:SF86', NULL, NULL, NULL, NULL, 'GH22266P', NULL, NULL, NULL, 15),
(120711, NULL, 'PTHR32468:SF96', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 26-RELATED', NULL, NULL, NULL, 15),
(120712, NULL, 'PTHR15615:SF98', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(120713, NULL, 'PTHR34849:SF3', NULL, NULL, NULL, NULL, 'SSL5025 PROTEIN', NULL, NULL, NULL, 15),
(120714, NULL, 'PTHR45683', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL NICOTINAMIDE ADENINE DINUCLEOTIDE TRANSPORTER 1-RELATED-RELATED', NULL, NULL, 37808, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120715, NULL, 'PTHR15615:SF101', NULL, NULL, NULL, NULL, 'CYCLIN', NULL, NULL, NULL, 15),
(120716, NULL, 'PTHR12483:SF81', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 3', NULL, NULL, NULL, 15),
(120717, NULL, 'PTHR13803:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC24C', NULL, NULL, NULL, 15),
(120718, NULL, 'PTHR31669:SF238', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120719, NULL, 'PTHR46697:SF1', NULL, NULL, NULL, NULL, 'FORMIN-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(120720, NULL, 'PTHR34496', NULL, NULL, NULL, NULL, 'GLCNAC TRANSFERASE-RELATED', NULL, NULL, 15212, 15),
(120721, NULL, 'PTHR22802:SF265', NULL, NULL, NULL, NULL, 'ASIALOGLYCOPROTEIN RECEPTOR 1', NULL, NULL, NULL, 15),
(120722, NULL, 'PTHR13318:SF95', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120723, NULL, 'PTHR48018:SF28', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8K3', NULL, NULL, NULL, 15),
(120724, NULL, 'PTHR24064:SF250', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(120725, NULL, 'PTHR10217:SF380', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 8', NULL, NULL, NULL, 15),
(120726, NULL, 'PTHR18945:SF429', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(120727, NULL, 'PTHR45798:SF60', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(120728, NULL, 'PTHR27006:SF236', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(120729, NULL, 'PTHR45842:SF4', NULL, NULL, NULL, NULL, 'MATRIX-REMODELING-ASSOCIATED PROTEIN 5', NULL, NULL, NULL, 15),
(120730, NULL, 'PTHR23132:SF22', NULL, NULL, NULL, NULL, 'BNAA01G23090D PROTEIN', NULL, NULL, NULL, 15),
(120731, NULL, 'PTHR31586', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE PROTEIN 20', NULL, NULL, 14535, 15),
(120732, NULL, 'PTHR39646:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE RPB4', NULL, NULL, NULL, 15),
(120733, NULL, 'PTHR13000:SF0', NULL, NULL, NULL, NULL, 'NUCLEOPORIN P54', NULL, NULL, NULL, 15),
(120734, NULL, 'PTHR31680', NULL, NULL, NULL, NULL, 'LONGIFOLIA PROTEIN', NULL, NULL, 32361, 15),
(120735, NULL, 'PTHR14307', NULL, NULL, NULL, NULL, 'C6ORF47 FAMILY MEMBER', NULL, NULL, 26290, 15),
(120736, NULL, 'PTHR47327:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG21204', NULL, NULL, NULL, 15),
(120737, NULL, 'PTHR24384:SF112', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 676', NULL, NULL, NULL, 15),
(120738, NULL, 'PTHR15749:SF6', NULL, NULL, NULL, NULL, 'FANCONI-ASSOCIATED NUCLEASE', NULL, NULL, NULL, 15),
(120739, NULL, 'PTHR15683:SF6', NULL, NULL, NULL, NULL, 'SCAFFOLD ATTACHMENT FACTOR B1', NULL, NULL, 19371, 15),
(120740, NULL, 'PTHR18945:SF76', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-5', NULL, NULL, NULL, 15),
(120741, NULL, 'PTHR23024:SF547', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120742, NULL, 'PTHR31650:SF27', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(120743, NULL, 'PTHR44115:SF6', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(120744, NULL, 'PTHR12236:SF8', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 72EA-RELATED', NULL, NULL, NULL, 15),
(120745, NULL, 'PTHR42861:SF87', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(120746, NULL, 'PTHR11604:SF46', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(120747, NULL, 'PTHR42912', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(120748, NULL, 'PTHR11738:SF158', NULL, NULL, NULL, NULL, 'KILLER CELL IMMUNOGLOBULIN-LIKE RECEPTOR 2DL4', NULL, NULL, NULL, 15),
(120749, NULL, 'PTHR22762:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120750, NULL, 'PTHR41153:SF2', NULL, NULL, NULL, NULL, 'RE41427P', NULL, NULL, NULL, 15),
(120751, NULL, 'PTHR24067:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120752, NULL, 'PTHR31622', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 218', NULL, NULL, 25284, 15),
(120753, NULL, 'PTHR47082', NULL, NULL, NULL, NULL, 'KERATIN-LIKE PROTEIN KRT222', NULL, NULL, NULL, 15),
(120754, NULL, 'PTHR27002:SF510', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(120755, NULL, 'PTHR26379:SF351', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(120756, NULL, 'PTHR10036:SF14', NULL, NULL, NULL, NULL, 'SI:CH211-113D22.2', NULL, NULL, NULL, 15),
(120757, NULL, 'PTHR33922:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120758, NULL, 'PTHR43201:SF6', NULL, NULL, NULL, NULL, 'ACYL COA SYNTHETASE (EUROFUNG)', NULL, NULL, NULL, 15),
(120759, NULL, 'PTHR27003:SF323', NULL, NULL, NULL, NULL, 'BNAC03G60370D PROTEIN', NULL, NULL, NULL, 15),
(120760, NULL, 'PTHR31717:SF83', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120761, NULL, 'PTHR31260:SF59', NULL, NULL, NULL, NULL, 'BNAA05G08490D PROTEIN', NULL, NULL, NULL, 15),
(120762, NULL, 'PTHR35357:SF4', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(120763, NULL, 'PTHR34708:SF5', NULL, NULL, NULL, NULL, 'OS07G0420900 PROTEIN', NULL, NULL, NULL, 15),
(120764, NULL, 'PTHR35666', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 4921536K21', NULL, NULL, 32496, 15),
(120765, NULL, 'PTHR10993:SF12', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P/MRP PROTEIN SUBUNIT POP5', NULL, NULL, NULL, 15),
(120766, NULL, 'PTHR11165:SF50', NULL, NULL, NULL, NULL, 'SKR-19', NULL, NULL, NULL, 15),
(120767, NULL, 'PTHR47159:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG07245', NULL, NULL, NULL, 15),
(120768, NULL, 'PTHR24132:SF23', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED RING DOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(120769, NULL, 'PTHR46595', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', NULL, NULL, NULL, 15),
(120770, NULL, 'PTHR13803:SF30', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC24-LIKE CEF', NULL, NULL, NULL, 15),
(120771, NULL, 'PTHR32063:SF34', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTC', NULL, NULL, NULL, 15),
(120772, NULL, 'PTHR46554:SF3', NULL, NULL, NULL, NULL, 'OS07G0642600 PROTEIN', NULL, NULL, NULL, 15),
(120773, NULL, 'PTHR22870:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120774, NULL, 'PTHR24100:SF119', NULL, NULL, NULL, NULL, 'SELECTION AND UPKEEP OF INTRAEPITHELIAL T-CELLS PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(120775, NULL, 'PTHR24113:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120776, NULL, 'PTHR46084:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MALE DISCOVERER 2', NULL, NULL, NULL, 15),
(120777, NULL, 'PTHR12473', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 36293, 15),
(120778, NULL, 'PTHR31802:SF21', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT1-LIKE', NULL, NULL, NULL, 15),
(120779, NULL, 'PTHR12450:SF22', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SERINE/THREONINE PROTEIN CG31145', NULL, NULL, NULL, 15),
(120780, NULL, 'PTHR23055:SF85', NULL, NULL, NULL, NULL, 'SI:CH211-245J22.3', NULL, NULL, NULL, 15),
(120781, NULL, 'PTHR23147:SF203', NULL, NULL, NULL, NULL, 'OS07G0673500 PROTEIN', NULL, NULL, NULL, 15),
(120782, NULL, 'PTHR33147:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120783, NULL, 'PTHR16471:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120784, NULL, 'PTHR47942:SF65', NULL, NULL, NULL, NULL, 'OS04G0618050 PROTEIN', NULL, NULL, NULL, 15),
(120785, NULL, 'PTHR34362', NULL, NULL, NULL, NULL, 'WPP DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, 37134, 15),
(120786, NULL, 'PTHR44305:SF14', NULL, NULL, NULL, NULL, 'EG:8D8.5 PROTEIN', NULL, NULL, NULL, 15),
(120787, NULL, 'PTHR48083:SF15', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE APDG', NULL, NULL, NULL, 15),
(120788, NULL, 'PTHR35022:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120789, NULL, 'PTHR31060:SF33', NULL, NULL, NULL, NULL, 'OS04G0278000 PROTEIN', NULL, NULL, NULL, 15),
(120790, NULL, 'PTHR23330:SF9', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 11', NULL, NULL, NULL, 15),
(120791, NULL, 'PTHR46017', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE 2C1', NULL, NULL, NULL, 15),
(120792, NULL, 'PTHR19324', NULL, NULL, NULL, NULL, 'PERFORIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(120793, NULL, 'PTHR11157:SF123', NULL, NULL, NULL, NULL, 'F25A4.4', NULL, NULL, NULL, 15),
(120794, NULL, 'PTHR15315:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', NULL, NULL, NULL, 15),
(120795, NULL, 'PTHR33021:SF323', NULL, NULL, NULL, NULL, 'BNAA08G12990D PROTEIN', NULL, NULL, NULL, 15),
(120796, NULL, 'PTHR20879:SF1', NULL, NULL, NULL, NULL, 'INTERLEUKIN-27 SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(120797, NULL, 'PTHR42704:SF7', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE LARGE CHAIN', NULL, NULL, NULL, 15),
(120798, NULL, 'PTHR31719:SF160', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29-LIKE', NULL, NULL, NULL, 15),
(120799, NULL, 'PTHR47857:SF1', NULL, NULL, NULL, NULL, 'OS04G0559200 PROTEIN', NULL, NULL, NULL, 15),
(120800, NULL, 'PTHR23147:SF164', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RSZ21A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(120801, NULL, 'PTHR22953:SF86', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 10', NULL, NULL, NULL, 15),
(120802, NULL, 'PTHR11005:SF112', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(120803, NULL, 'PTHR22814:SF301', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 22-LIKE', NULL, NULL, NULL, 15),
(120804, NULL, 'PTHR46080:SF5', NULL, NULL, NULL, NULL, 'OS01G0329400 PROTEIN', NULL, NULL, NULL, 15),
(120805, NULL, 'PTHR31080:SF245', NULL, NULL, NULL, NULL, 'INVERTASE INHIBITOR-RELATED', NULL, NULL, NULL, 15),
(120806, NULL, 'PTHR12231:SF226', NULL, NULL, NULL, NULL, 'DPR-INTERACTING PROTEIN ALPHA, ISOFORM A', NULL, NULL, NULL, 15),
(120807, NULL, 'PTHR24343:SF123', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 21-RELATED', NULL, NULL, NULL, 15),
(120808, NULL, 'PTHR15032:SF33', NULL, NULL, NULL, NULL, 'HYDROLASES OF THE BETA-LACTAMASE FOLD, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120809, NULL, 'PTHR31201:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120810, NULL, 'PTHR23050:SF371', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(120811, NULL, 'PTHR27004:SF325', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120812, NULL, 'PTHR24204:SF5', NULL, NULL, NULL, NULL, 'LIM DOMAIN ONLY 4', NULL, NULL, NULL, 15),
(120813, NULL, 'PTHR24412:SF455', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(120814, NULL, 'PTHR21659:SF77', NULL, NULL, NULL, NULL, 'BNAC04G36850D PROTEIN', NULL, NULL, NULL, 15),
(120815, NULL, 'PTHR12000', NULL, NULL, NULL, NULL, 'HEMOGLOBINASE FAMILY MEMBER', NULL, NULL, 1205, 15),
(120816, NULL, 'PTHR32429:SF19', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(120817, NULL, 'PTHR33670:SF14', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, PROLINE- AND GLUTAMINE-RICH-LIKE', NULL, NULL, NULL, 15),
(120818, NULL, 'PTHR31637:SF0', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-INDEPENDENT PHOSPHOGLYCERATE MUTASE', NULL, NULL, NULL, 15),
(120819, NULL, 'PTHR11941:SF154', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 1, PEROXISOMAL', NULL, NULL, NULL, 15),
(120820, NULL, 'PTHR16223:SF256', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH133', NULL, NULL, NULL, 15),
(120821, NULL, 'PTHR10681:SF121', NULL, NULL, NULL, NULL, 'ALKYL HYDROPEROXIDE REDUCTASE C', NULL, NULL, 15154, 15),
(120822, NULL, 'PTHR48130', NULL, NULL, NULL, NULL, 'OS12G0467600 PROTEIN', NULL, NULL, NULL, 15),
(120823, NULL, 'PTHR10366:SF575', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120824, NULL, 'PTHR11668:SF438', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(120825, NULL, 'PTHR23105:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120826, NULL, 'PTHR31064:SF5', NULL, NULL, NULL, NULL, 'POTASSIUM ION TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(120827, NULL, 'PTHR43197:SF1', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(120828, NULL, 'PTHR43139:SF5', NULL, NULL, NULL, NULL, 'SI:DKEY-122A22.2', NULL, NULL, NULL, 15),
(120829, NULL, 'PTHR47975:SF33', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120830, NULL, 'PTHR15241:SF349', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120831, NULL, 'PTHR33102:SF8', NULL, NULL, NULL, NULL, 'DVL FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120832, NULL, 'PTHR10965:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120833, NULL, 'PTHR31470:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120834, NULL, 'PTHR16207', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(120835, NULL, 'PTHR11334:SF36', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER B4-RELATED', NULL, NULL, NULL, 15),
(120836, NULL, 'PTHR10551:SF32', NULL, NULL, NULL, NULL, 'FASCIN', NULL, NULL, NULL, 15),
(120837, NULL, 'PTHR10252:SF102', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT GAMMA-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(120838, NULL, 'PTHR33021:SF311', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120839, NULL, 'PTHR24064:SF71', NULL, NULL, NULL, NULL, 'RH23644P', NULL, NULL, NULL, 15),
(120840, NULL, 'PTHR11802:SF338', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 11-RELATED', NULL, NULL, NULL, 15),
(120841, NULL, 'PTHR39964:SF2', NULL, NULL, NULL, NULL, 'UPF0292 PROTEIN TK1411', NULL, NULL, NULL, 15),
(120842, NULL, 'PTHR11474:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120843, NULL, 'PTHR46163:SF5', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(120844, NULL, 'PTHR24271:SF43', NULL, NULL, NULL, NULL, 'GRANZYME C', NULL, NULL, NULL, 15),
(120845, NULL, 'PTHR44981:SF1', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 9', NULL, NULL, NULL, 15),
(120846, NULL, 'PTHR14025:SF30', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE HOMOLOG RECG, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(120847, NULL, 'PTHR48203:SF1', NULL, NULL, NULL, NULL, 'BNAC01G40110D PROTEIN', NULL, NULL, NULL, 15),
(120848, NULL, 'PTHR24067:SF292', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120849, NULL, 'PTHR27006:SF222', NULL, NULL, NULL, NULL, 'REPEAT TRANSMEMBRANE PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120850, NULL, 'PTHR45635:SF30', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(120851, NULL, 'PTHR44520', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR RCP1-RELATED', NULL, NULL, NULL, 15),
(120852, NULL, 'PTHR12002:SF56', NULL, NULL, NULL, NULL, 'CLAUDIN-16', NULL, NULL, 6092, 15),
(120853, NULL, 'PTHR12348', NULL, NULL, NULL, NULL, 'TSC22', NULL, NULL, NULL, 15),
(120854, NULL, 'PTHR24068:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120855, NULL, 'PTHR31676:SF16', NULL, NULL, NULL, NULL, 'OS01G0565800 PROTEIN', NULL, NULL, NULL, 15),
(120856, NULL, 'PTHR31187:SF7', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN', NULL, NULL, NULL, 15),
(120857, NULL, 'PTHR31153:SF19', NULL, NULL, NULL, NULL, 'P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(120858, NULL, 'PTHR43968:SF10', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE OMEGA-1', NULL, NULL, NULL, 15),
(120859, NULL, 'PTHR11877:SF49', NULL, NULL, NULL, NULL, 'OS04G0304600 PROTEIN', NULL, NULL, NULL, 15),
(120860, NULL, 'PTHR35357:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120861, NULL, 'PTHR10353:SF191', NULL, NULL, NULL, NULL, 'INACTIVE BETA-GLUCOSIDASE 14-RELATED', NULL, NULL, NULL, 15),
(120862, NULL, 'PTHR30050:SF10', NULL, NULL, NULL, NULL, 'PHAGE-LIKE ELEMENT PBSX PROTEIN XKDC', NULL, NULL, NULL, 15),
(120863, NULL, 'PTHR13459', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(120864, NULL, 'PTHR31681:SF72', NULL, NULL, NULL, NULL, 'T25N20.19', NULL, NULL, NULL, 15),
(120865, NULL, 'PTHR34581', NULL, NULL, NULL, NULL, 'PTS SYSTEM N,N''-DIACETYLCHITOBIOSE-SPECIFIC EIIB COMPONENT', NULL, NULL, NULL, 15),
(120866, NULL, 'PTHR45715:SF6', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E-LIKE', NULL, NULL, NULL, 15),
(120867, NULL, 'PTHR13546', NULL, NULL, NULL, NULL, 'RE60986P', NULL, NULL, 15923, 15),
(120868, NULL, 'PTHR24221:SF503', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY B MEMBER 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(120869, NULL, 'PTHR35838', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(120870, NULL, 'PTHR12905:SF26', NULL, NULL, NULL, NULL, 'BLL0856 PROTEIN', NULL, NULL, NULL, 15),
(120871, NULL, 'PTHR23414:SF3', NULL, NULL, NULL, NULL, 'ADM', NULL, NULL, NULL, 15),
(120872, NULL, 'PTHR31346:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120873, NULL, 'PTHR23326:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120874, NULL, 'PTHR24366:SF48', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND FIBRONECTIN TYPE III DOMAIN CONTAINING 2', NULL, NULL, NULL, 15),
(120875, NULL, 'PTHR34153', NULL, NULL, NULL, NULL, 'SI:CH211-262H13.3-RELATED-RELATED', NULL, NULL, NULL, 15),
(120876, NULL, 'PTHR23003:SF30', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 3', NULL, NULL, NULL, 15),
(120877, NULL, 'PTHR11792:SF16', NULL, NULL, NULL, NULL, 'PHOSRESTIN-2', NULL, NULL, NULL, 15),
(120878, NULL, 'PTHR46666:SF6', NULL, NULL, NULL, NULL, 'BNAC08G12080D PROTEIN', NULL, NULL, NULL, 15),
(120879, NULL, 'PTHR31062:SF186', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(120880, NULL, 'PTHR43278:SF2', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120881, NULL, 'PTHR22811:SF72', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA7', NULL, NULL, NULL, 15),
(120882, NULL, 'PTHR23237:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 16415, 15),
(120883, NULL, 'PTHR34107:SF5', NULL, NULL, NULL, NULL, 'SLL1355 PROTEIN', NULL, NULL, NULL, 15),
(120884, NULL, 'PTHR15451:SF20', NULL, NULL, NULL, NULL, 'ERGOSTEROL BIOSYNTHETIC PROTEIN 28', NULL, NULL, NULL, 15),
(120885, NULL, 'PTHR10856:SF40', NULL, NULL, NULL, NULL, 'CORONIN', NULL, NULL, NULL, 15),
(120886, NULL, 'PTHR31985:SF195', NULL, NULL, NULL, NULL, 'BNACNNG48950D PROTEIN', NULL, NULL, NULL, 15),
(120887, NULL, 'PTHR33108:SF47', NULL, NULL, NULL, NULL, 'OS03G0665700 PROTEIN', NULL, NULL, NULL, 15),
(120888, NULL, 'PTHR46015:SF8', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE S-METHYLTRANSFERASE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(120889, NULL, 'PTHR11049:SF1', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 11', NULL, NULL, NULL, 15),
(120890, NULL, 'PTHR33168:SF65', NULL, NULL, NULL, NULL, 'OS02G0209400 PROTEIN', NULL, NULL, NULL, 15),
(120891, NULL, 'PTHR11135:SF2', NULL, NULL, NULL, NULL, 'ACETHYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120892, NULL, 'PTHR31651:SF34', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 7 ISOFORM X1', NULL, NULL, NULL, 15),
(120893, NULL, 'PTHR31220:SF10', NULL, NULL, NULL, NULL, 'HYCCIN', NULL, NULL, NULL, 15),
(120894, NULL, 'PTHR10658', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN', NULL, NULL, 5311, 15),
(120895, NULL, 'PTHR10648:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120896, NULL, 'PTHR26379:SF364', NULL, NULL, NULL, NULL, 'MAB1', NULL, NULL, NULL, 15),
(120897, NULL, 'PTHR33320:SF26', NULL, NULL, NULL, NULL, 'OSJNBA0035M09.6 PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120898, NULL, 'PTHR19321:SF39', NULL, NULL, NULL, NULL, 'BNAA02G26090D PROTEIN', NULL, NULL, NULL, 15),
(120899, NULL, 'PTHR34821', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YDCZ', NULL, NULL, 3398, 15),
(120900, NULL, 'PTHR48018:SF139', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1442', NULL, NULL, NULL, 15),
(120901, NULL, 'PTHR31077:SF1', NULL, NULL, NULL, NULL, 'U4/U6.U5 SMALL NUCLEAR RIBONUCLEOPROTEIN 27 KDA PROTEIN', NULL, NULL, NULL, 15),
(120902, NULL, 'PTHR24093:SF425', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(120903, NULL, 'PTHR45707:SF14', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120904, NULL, 'PTHR24256:SF488', NULL, NULL, NULL, NULL, 'TRYPTASE', NULL, NULL, NULL, 15),
(120905, NULL, 'PTHR31916:SF40', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE B-RELATED', NULL, NULL, NULL, 15),
(120906, NULL, 'PTHR12357:SF102', NULL, NULL, NULL, NULL, 'BNAC03G12510D PROTEIN', NULL, NULL, NULL, 15),
(120907, NULL, 'PTHR47911', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', NULL, NULL, NULL, 15),
(120908, NULL, 'PTHR10151:SF111', NULL, NULL, NULL, NULL, 'PROTEIN CBG02074', NULL, NULL, NULL, 15),
(120909, NULL, 'PTHR11259:SF5', NULL, NULL, NULL, NULL, 'RAS-RELATED GTP-BINDING PROTEIN D', NULL, NULL, NULL, 15),
(120910, NULL, 'PTHR43151', NULL, NULL, NULL, NULL, 'FEOA FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120911, NULL, 'PTHR43028:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120912, NULL, 'PTHR10809:SF129', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN (MSP) DOMAIN, VESICLE-ASSOCIATED MEMBRANE-PROTEIN-ASSOCIATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120913, NULL, 'PTHR12542:SF104', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(120914, NULL, 'PTHR31136:SF3', NULL, NULL, NULL, NULL, 'BNAA07G09270D PROTEIN', NULL, NULL, NULL, 15),
(120915, NULL, 'PTHR38394:SF1', NULL, NULL, NULL, NULL, 'NEUROFILAMENT LIGHT PROTEIN', NULL, NULL, NULL, 15),
(120916, NULL, 'PTHR24031:SF694', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 39-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(120917, NULL, 'PTHR31662:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120918, NULL, 'PTHR46008:SF27', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(120919, NULL, 'PTHR36480:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120920, NULL, 'PTHR12838:SF0', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 11-RELATED', NULL, NULL, NULL, 15),
(120921, NULL, 'PTHR38527:SF4', NULL, NULL, NULL, NULL, 'OS01G0838200 PROTEIN', NULL, NULL, NULL, 15),
(120922, NULL, 'PTHR23322:SF63', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(120923, NULL, 'PTHR22975:SF28', NULL, NULL, NULL, NULL, 'INACTIVE UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 53-LIKE', NULL, NULL, NULL, 15),
(120924, NULL, 'PTHR12433:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120925, NULL, 'PTHR11690:SF264', NULL, NULL, NULL, NULL, 'ACID-SENSING ION CHANNEL 1B', NULL, NULL, NULL, 15),
(120926, NULL, 'PTHR31194:SF90', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-11', NULL, NULL, NULL, 15),
(120927, NULL, 'PTHR32133:SF256', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(120928, NULL, 'PTHR12450', NULL, NULL, NULL, NULL, 'DENTIN MATRIX PROTEIN 4  PROTEIN FAM20', NULL, NULL, 22970, 15),
(120929, NULL, 'PTHR31828:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA', NULL, NULL, NULL, 15),
(120930, NULL, 'PTHR45680:SF10', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(120931, NULL, 'PTHR40072:SF1', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN-GUANINE DINUCLEOTIDE BIOSYNTHESIS ADAPTER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120932, NULL, 'PTHR16525', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 15299, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120933, NULL, 'PTHR36726', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 45', NULL, NULL, 33461, 15),
(120934, NULL, 'PTHR31616:SF0', NULL, NULL, NULL, NULL, 'TREHALASE', NULL, NULL, NULL, 15),
(120935, NULL, 'PTHR11200:SF272', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 13', NULL, NULL, NULL, 15),
(120936, NULL, 'PTHR14430', NULL, NULL, NULL, NULL, 'RABIN3-RELATED', NULL, NULL, 30065, 15),
(120937, NULL, 'PTHR43779:SF2', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT XANTHINE DIOXYGENASE XAN1', NULL, NULL, NULL, 15),
(120938, NULL, 'PTHR11003:SF293', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER-RELATED', NULL, NULL, NULL, 15),
(120939, NULL, 'PTHR11471:SF13', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA ISOFORM X1', NULL, NULL, NULL, 15),
(120940, NULL, 'PTHR13817:SF55', NULL, NULL, NULL, NULL, 'PROTEIN SIDEKICK-1', NULL, NULL, NULL, 15),
(120941, NULL, 'PTHR46128:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120942, NULL, 'PTHR24303:SF19', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 513F1-RELATED', NULL, NULL, NULL, 15),
(120943, NULL, 'PTHR31413:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120944, NULL, 'PTHR23246:SF18', NULL, NULL, NULL, NULL, 'GEO09102P1', NULL, NULL, NULL, 15),
(120945, NULL, 'PTHR31974', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 3', NULL, NULL, 15641, 15),
(120946, NULL, 'PTHR48002:SF49', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4D5', NULL, NULL, NULL, 15),
(120947, NULL, 'PTHR30555', NULL, NULL, NULL, NULL, 'HYDROPEROXIDASE I, BIFUNCTIONAL CATALASE-PEROXIDASE', NULL, NULL, 6556, 15),
(120948, NULL, 'PTHR13817:SF44', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN CONTAINING 3B', NULL, NULL, NULL, 15),
(120949, NULL, 'PTHR24256:SF514', NULL, NULL, NULL, NULL, 'TRYPTASE ALPHA/BETA-1-RELATED', NULL, NULL, NULL, 15),
(120950, NULL, 'PTHR36393:SF1', NULL, NULL, NULL, NULL, 'SULFATE ADENYLYLTRANSFERASE SUBUNIT', NULL, NULL, NULL, 15),
(120951, NULL, 'PTHR31639:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120952, NULL, 'PTHR13451:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120953, NULL, 'PTHR13936:SF14', NULL, NULL, NULL, NULL, 'PROFILIN-1', NULL, NULL, 26090, 15),
(120954, NULL, 'PTHR47473:SF1', NULL, NULL, NULL, NULL, 'BTA1P', NULL, NULL, NULL, 15),
(120955, NULL, 'PTHR24418:SF385', NULL, NULL, NULL, NULL, 'TYROSINE KINASE, NON-RECEPTOR, 1', NULL, NULL, NULL, 15),
(120956, NULL, 'PTHR12570:SF14', NULL, NULL, NULL, NULL, 'NIPA-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(120957, NULL, 'PTHR10984:SF29', NULL, NULL, NULL, NULL, 'SDBCAG84-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120958, NULL, 'PTHR14155:SF520', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3-LIKE', NULL, NULL, NULL, 15),
(120959, NULL, 'PTHR11685:SF312', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(120960, NULL, 'PTHR31734:SF178', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(120961, NULL, 'PTHR24123:SF75', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY ANKYRIN REPEAT SUBUNIT A', NULL, NULL, NULL, 15),
(120962, NULL, 'PTHR47958:SF60', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE HEL64, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120963, NULL, 'PTHR35788:SF1', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(120964, NULL, 'PTHR31238:SF122', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 8', NULL, NULL, NULL, 15),
(120965, NULL, 'PTHR21077:SF11', NULL, NULL, NULL, NULL, 'BNAA04G12480D PROTEIN', NULL, NULL, NULL, 15),
(120966, NULL, 'PTHR43349:SF1', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE HOMOLOG IRL', NULL, NULL, NULL, 15),
(120967, NULL, 'PTHR36372:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(120968, NULL, 'PTHR31917:SF58', NULL, NULL, NULL, NULL, 'AGENET AND BROMO-ADJACENT HOMOLOGY (BAH) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(120969, NULL, 'PTHR22903:SF4', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY H MEMBER 1', NULL, NULL, 34066, 15),
(120970, NULL, 'PTHR31826', NULL, NULL, NULL, NULL, 'NICALIN', NULL, NULL, 18117, 15),
(120971, NULL, 'PTHR47128:SF2', NULL, NULL, NULL, NULL, 'OS08G0553800 PROTEIN', NULL, NULL, NULL, 15),
(120972, NULL, 'PTHR47966:SF17', NULL, NULL, NULL, NULL, 'ZGC:63831', NULL, NULL, NULL, 15),
(120973, NULL, 'PTHR24343:SF435', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 17', NULL, NULL, NULL, 15),
(120974, NULL, 'PTHR23339:SF109', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(120975, NULL, 'PTHR31207:SF27', NULL, NULL, NULL, NULL, 'BNAA05G27070D PROTEIN', NULL, NULL, NULL, 15),
(120976, NULL, 'PTHR22738:SF15', NULL, NULL, NULL, NULL, 'LD40758P', NULL, NULL, NULL, 15),
(120977, NULL, 'PTHR33065:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120978, NULL, 'PTHR13778:SF62', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(120979, NULL, 'PTHR43874:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120980, NULL, 'PTHR11926:SF1409', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(120981, NULL, 'PTHR21136:SF187', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 726 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(120982, NULL, 'PTHR46851:SF11', NULL, NULL, NULL, NULL, 'OS01G0884500 PROTEIN', NULL, NULL, NULL, 15),
(120983, NULL, 'PTHR11472:SF63', NULL, NULL, NULL, NULL, 'HELICASE C2', NULL, NULL, NULL, 15),
(120984, NULL, 'PTHR14791:SF44', NULL, NULL, NULL, NULL, 'BNACNNG56470D PROTEIN', NULL, NULL, NULL, 15),
(120985, NULL, 'PTHR14379:SF35', NULL, NULL, NULL, NULL, 'BNAA03G46680D PROTEIN', NULL, NULL, NULL, 15),
(120986, NULL, 'PTHR47116:SF14', NULL, NULL, NULL, NULL, 'OS02G0278600 PROTEIN', NULL, NULL, NULL, 15),
(120987, NULL, 'PTHR34237:SF1', NULL, NULL, NULL, NULL, 'PAREP8', NULL, NULL, NULL, 15),
(120988, NULL, 'PTHR31851:SF64', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN FAMILY', NULL, NULL, NULL, 15),
(120989, NULL, 'PTHR16083:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120990, NULL, 'PTHR46501:SF2', NULL, NULL, NULL, NULL, 'MYOMEGALIN', NULL, NULL, NULL, 15),
(120991, NULL, 'PTHR47912', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 4, CHLOROPLASTIC', NULL, NULL, 39230, 15),
(120992, NULL, 'PTHR34193:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120993, NULL, 'PTHR27007:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120994, NULL, 'PTHR11351:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(120995, NULL, 'PTHR24543:SF291', NULL, NULL, NULL, NULL, 'LACTADHERIN', NULL, NULL, NULL, 15),
(120996, NULL, 'PTHR35011:SF2', NULL, NULL, NULL, NULL, '2,3-DIKETO-L-GULONATE TRAP TRANSPORTER SMALL PERMEASE PROTEIN YIAM', NULL, NULL, NULL, 15),
(120997, NULL, 'PTHR45623:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CHROMATIN REMODELING 4-LIKE', NULL, NULL, NULL, 15),
(120998, NULL, 'PTHR10218:SF217', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT ALPHA-15', NULL, NULL, NULL, 15),
(120999, NULL, 'PTHR11461:SF203', NULL, NULL, NULL, NULL, 'SERPIN-Z12-RELATED', NULL, NULL, NULL, 15),
(121000, NULL, 'PTHR31080:SF212', NULL, NULL, NULL, NULL, 'KDA PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121001, NULL, 'PTHR11711:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121002, NULL, 'PTHR33696', NULL, NULL, NULL, NULL, 'T22J18.15-RELATED', NULL, NULL, NULL, 15),
(121003, NULL, 'PTHR31374:SF113', NULL, NULL, NULL, NULL, 'SMALL AUXIN UP RNA1', NULL, NULL, NULL, 15),
(121004, NULL, 'PTHR45834:SF3', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 3, ISOFORM L', NULL, NULL, NULL, 15),
(121005, NULL, 'PTHR33401:SF20', NULL, NULL, NULL, NULL, 'NUCLEAR POLYADENYLATED RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(121006, NULL, 'PTHR33490', NULL, NULL, NULL, NULL, 'BLR5614 PROTEIN-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121007, NULL, 'PTHR21964:SF20', NULL, NULL, NULL, NULL, 'BRMS1-LIKE TRANSCRIPTIONAL REPRESSOR B-RELATED', NULL, NULL, NULL, 15),
(121008, NULL, 'PTHR46741:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121009, NULL, 'PTHR26379:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121010, NULL, 'PTHR33285:SF1', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 3', NULL, NULL, NULL, 15),
(121011, NULL, 'PTHR38926:SF13', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(121012, NULL, 'PTHR45680:SF9', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(121013, NULL, 'PTHR23503:SF50', NULL, NULL, NULL, NULL, 'PROTEIN CBG08372', NULL, NULL, NULL, 15),
(121014, NULL, 'PTHR46026:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121015, NULL, 'PTHR31662:SF75', NULL, NULL, NULL, NULL, 'STOREKEEPER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(121016, NULL, 'PTHR23257:SF755', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE', NULL, NULL, NULL, 15),
(121017, NULL, 'PTHR33044:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121018, NULL, 'PTHR33872:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121019, NULL, 'PTHR12015:SF82', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 3', NULL, NULL, 24128, 15),
(121020, NULL, 'PTHR31109', NULL, NULL, NULL, NULL, 'PROTEIN FAM207A', NULL, NULL, NULL, 15),
(121021, NULL, 'PTHR23201:SF58', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 7', NULL, NULL, NULL, 15),
(121022, NULL, 'PTHR46792:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 80', NULL, NULL, NULL, 15),
(121023, NULL, 'PTHR33057:SF130', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP15', NULL, NULL, NULL, 15),
(121024, NULL, 'PTHR37760:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE', NULL, NULL, NULL, 15),
(121025, NULL, 'PTHR31963:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121026, NULL, 'PTHR11616:SF67', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(121027, NULL, 'PTHR46824:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML48-RELATED', NULL, NULL, NULL, 15),
(121028, NULL, 'PTHR24418:SF181', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE BLK', NULL, NULL, NULL, 15),
(121029, NULL, 'PTHR35275:SF2', NULL, NULL, NULL, NULL, 'OS07G0585900 PROTEIN', NULL, NULL, NULL, 15),
(121030, NULL, 'PTHR21229:SF56', NULL, NULL, NULL, NULL, 'LUNG SEVEN TRANSMEMBRANE RECEPTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(121031, NULL, 'PTHR23327', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 127', NULL, NULL, NULL, 15),
(121032, NULL, 'PTHR46910:SF17', NULL, NULL, NULL, NULL, 'FUNGAL SPECIFIC TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(121033, NULL, 'PTHR27005:SF377', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121034, NULL, 'PTHR33453:SF8', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(121035, NULL, 'PTHR37069:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121036, NULL, 'PTHR11566:SF188', NULL, NULL, NULL, NULL, 'DYNAMIN CENTRAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121037, NULL, 'PTHR22835:SF549', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(121038, NULL, 'PTHR12092:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121039, NULL, 'PTHR11824:SF7', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT BETA-4', NULL, NULL, NULL, 15),
(121040, NULL, 'PTHR23262:SF71', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-5', NULL, NULL, NULL, 15),
(121041, NULL, 'PTHR24339:SF25', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN EMX2', NULL, NULL, NULL, 15),
(121042, NULL, 'PTHR43439:SF2', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (JCVI)-RELATED', NULL, NULL, NULL, 15),
(121043, NULL, 'PTHR22930:SF206', NULL, NULL, NULL, NULL, 'SI:DKEY-197C15.6-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121044, NULL, 'PTHR47941:SF3', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121045, NULL, 'PTHR33052:SF119', NULL, NULL, NULL, NULL, 'OS05G0165200 PROTEIN', NULL, NULL, NULL, 15),
(121046, NULL, 'PTHR11346:SF104', NULL, NULL, NULL, NULL, 'GALECTIN-2', NULL, NULL, NULL, 15),
(121047, NULL, 'PTHR21879:SF7', NULL, NULL, NULL, NULL, 'OSIRIS 11', NULL, NULL, NULL, 15),
(121048, NULL, 'PTHR44337:SF14', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 5', NULL, NULL, NULL, 15),
(121049, NULL, 'PTHR22811:SF178', NULL, NULL, NULL, NULL, 'BNAC05G29650D PROTEIN', NULL, NULL, NULL, 15),
(121050, NULL, 'PTHR23056:SF118', NULL, NULL, NULL, NULL, 'BNAC07G34450D PROTEIN', NULL, NULL, NULL, 15),
(121051, NULL, 'PTHR39608:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G08640)', NULL, NULL, NULL, 15),
(121052, NULL, 'PTHR42861:SF85', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 3', NULL, NULL, NULL, 15),
(121053, NULL, 'PTHR31346:SF4', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 8, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(121054, NULL, 'PTHR45959:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18', NULL, NULL, NULL, 15),
(121055, NULL, 'PTHR31044:SF107', NULL, NULL, NULL, NULL, 'BNAA09G05600D PROTEIN', NULL, NULL, NULL, 15),
(121056, NULL, 'PTHR13234:SF45', NULL, NULL, NULL, NULL, 'SI:DKEY-197I20.6', NULL, NULL, NULL, 15),
(121057, NULL, 'PTHR12357:SF106', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 45', NULL, NULL, NULL, 15),
(121058, NULL, 'PTHR24015:SF1856', NULL, NULL, NULL, NULL, 'OS05G0455900 PROTEIN', NULL, NULL, NULL, 15),
(121059, NULL, 'PTHR45647:SF77', NULL, NULL, NULL, NULL, 'BNAC04G12140D PROTEIN', NULL, NULL, NULL, 15),
(121060, NULL, 'PTHR11157:SF26', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(121061, NULL, 'PTHR11267:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121062, NULL, 'PTHR38886', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121063, NULL, 'PTHR47999:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB113-RELATED', NULL, NULL, NULL, 15),
(121064, NULL, 'PTHR47369', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(121065, NULL, 'PTHR36326:SF7', NULL, NULL, NULL, NULL, 'PROTEIN POLLENLESS 3-LIKE 2', NULL, NULL, NULL, 15),
(121066, NULL, 'PTHR31676:SF73', NULL, NULL, NULL, NULL, 'SIMILARITY TO UNKNOWN PROTEIN', NULL, NULL, NULL, 15),
(121067, NULL, 'PTHR27002:SF595', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-6-RELATED', NULL, NULL, NULL, 15),
(121068, NULL, 'PTHR10168:SF275', NULL, NULL, NULL, NULL, 'BNAA10G27940D PROTEIN', NULL, NULL, NULL, 15),
(121069, NULL, 'PTHR11588:SF339', NULL, NULL, NULL, NULL, 'TUBULIN BETA-7 CHAIN', NULL, NULL, NULL, 15),
(121070, NULL, 'PTHR23334:SF52', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 23-LIKE', NULL, NULL, NULL, 15),
(121071, NULL, 'PTHR18953:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121072, NULL, 'PTHR19328:SF54', NULL, NULL, NULL, NULL, 'HHIP-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(121073, NULL, 'PTHR45616:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121074, NULL, 'PTHR30482:SF4', NULL, NULL, NULL, NULL, 'SLR1201 PROTEIN', NULL, NULL, 19306, 15),
(121075, NULL, 'PTHR37994:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121076, NULL, 'PTHR11003:SF93', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBUNIT N2P16', NULL, NULL, NULL, 15),
(121077, NULL, 'PTHR22937:SF135', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR2-LIKE', NULL, NULL, NULL, 15),
(121078, NULL, 'PTHR13280:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOFURIN ACIDIC CLUSTER SORTING PROTEIN 2', NULL, NULL, NULL, 15),
(121079, NULL, 'PTHR37482:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN ASSEMBLY FACTOR BAME', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121080, NULL, 'PTHR33207:SF28', NULL, NULL, NULL, NULL, 'OS02G0199600 PROTEIN', NULL, NULL, NULL, 15),
(121081, NULL, 'PTHR37816:SF2', NULL, NULL, NULL, NULL, 'YALI0E33011P', NULL, NULL, NULL, 15),
(121082, NULL, 'PTHR24099:SF25', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 46B', NULL, NULL, NULL, 15),
(121083, NULL, 'PTHR44137:SF44', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(121084, NULL, 'PTHR26451:SF887', NULL, NULL, NULL, NULL, 'SI:DKEYP-3F10.17', NULL, NULL, NULL, 15),
(121085, NULL, 'PTHR10822:SF33', NULL, NULL, NULL, NULL, 'LONG', NULL, NULL, NULL, 15),
(121086, NULL, 'PTHR31707:SF280', NULL, NULL, NULL, NULL, 'PECTINESTERASE 3-LIKE', NULL, NULL, NULL, 15),
(121087, NULL, 'PTHR31022:SF6', NULL, NULL, NULL, NULL, 'CENTRIOLE, CILIA AND SPINDLE-ASSOCIATED PROTEIN A', NULL, NULL, NULL, 15),
(121088, NULL, 'PTHR46010', NULL, NULL, NULL, NULL, 'PROTEIN IWS1 HOMOLOG', NULL, NULL, NULL, 15),
(121089, NULL, 'PTHR12365:SF9', NULL, NULL, NULL, NULL, 'PROTEIN SPROUTY HOMOLOG 3', NULL, NULL, 25249, 15),
(121090, NULL, 'PTHR45974:SF97', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(121091, NULL, 'PTHR31769:SF6', NULL, NULL, NULL, NULL, 'PROTEIN MODIFYING WALL LIGNIN-1', NULL, NULL, NULL, 15),
(121092, NULL, 'PTHR13690:SF133', NULL, NULL, NULL, NULL, 'BNAA08G28440D PROTEIN', NULL, NULL, NULL, 15),
(121093, NULL, 'PTHR31048:SF142', NULL, NULL, NULL, NULL, 'OSMOTIN-LIKE PROTEIN OSML81', NULL, NULL, NULL, 15),
(121094, NULL, 'PTHR31790:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121095, NULL, 'PTHR42893:SF21', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(121096, NULL, 'PTHR12411:SF701', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE XCP1', NULL, NULL, NULL, 15),
(121097, NULL, 'PTHR22781:SF12', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT DELTA-1', NULL, NULL, NULL, 15),
(121098, NULL, 'PTHR35202:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121099, NULL, 'PTHR31422:SF28', NULL, NULL, NULL, NULL, 'F26K24.14 PROTEIN', NULL, NULL, NULL, 15),
(121100, NULL, 'PTHR10544:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28-1-LIKE', NULL, NULL, NULL, 15),
(121101, NULL, 'PTHR19375:SF464', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(121102, NULL, 'PTHR14076:SF3', NULL, NULL, NULL, NULL, 'RECEPTOR ACTIVITY-MODIFYING PROTEIN 1', NULL, NULL, NULL, 15),
(121103, NULL, 'PTHR46084:SF22', NULL, NULL, NULL, NULL, 'OS05G0560300 PROTEIN', NULL, NULL, NULL, 15),
(121104, NULL, 'PTHR31293:SF18', NULL, NULL, NULL, NULL, 'RNI-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(121105, NULL, 'PTHR10795:SF719', NULL, NULL, NULL, NULL, 'PEPTIDASE S8, SUBTILISIN-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121106, NULL, 'PTHR35746:SF3', NULL, NULL, NULL, NULL, 'BNAC03G76040D PROTEIN', NULL, NULL, NULL, 15),
(121107, NULL, 'PTHR18945:SF831', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-3', NULL, NULL, NULL, 15),
(121108, NULL, 'PTHR48012:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0283821-RELATED', NULL, NULL, NULL, 15),
(121109, NULL, 'PTHR33122:SF50', NULL, NULL, NULL, NULL, 'PVR3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121110, NULL, 'PTHR11576:SF18', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA GLYCOPROTEIN 3C-RELATED', NULL, NULL, NULL, 15),
(121111, NULL, 'PTHR36884:SF4', NULL, NULL, NULL, NULL, 'FIP1[III]-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121112, NULL, 'PTHR47007:SF1', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(121113, NULL, 'PTHR11937:SF13', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 8', NULL, NULL, 26443, 15),
(121114, NULL, 'PTHR31139:SF5', NULL, NULL, NULL, NULL, 'PROTEIN LIMB EXPRESSION 1 HOMOLOG', NULL, NULL, NULL, 15),
(121115, NULL, 'PTHR11005:SF15', NULL, NULL, NULL, NULL, 'GASTRIC TRIACYLGLYCEROL LIPASE', NULL, NULL, 35625, 15),
(121116, NULL, 'PTHR45770:SF21', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121117, NULL, 'PTHR11157:SF119', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(121118, NULL, 'PTHR43447:SF36', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE ISOZYME 3D', NULL, NULL, NULL, 15),
(121119, NULL, 'PTHR31966:SF13', NULL, NULL, NULL, NULL, 'OS03G0375000 PROTEIN', NULL, NULL, NULL, 15),
(121120, NULL, 'PTHR11802:SF132', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 40', NULL, NULL, NULL, 15),
(121121, NULL, 'PTHR12560:SF52', NULL, NULL, NULL, NULL, 'ASC1-LIKE PROTEIN ISOFORM X1', NULL, NULL, NULL, 15),
(121122, NULL, 'PTHR10024:SF351', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121123, NULL, 'PTHR11017:SF280', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121124, NULL, 'PTHR20858', NULL, NULL, NULL, NULL, 'PHOSPHOMETHYLPYRIMIDINE KINASE', NULL, NULL, 38069, 15),
(121125, NULL, 'PTHR23510:SF65', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING MEMBRANE PROTEIN OS04G0573000', NULL, NULL, NULL, 15),
(121126, NULL, 'PTHR10606:SF39', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE/FRUCTOSE-2,6-BISPHOSPHATASE YLR345W-RELATED', NULL, NULL, NULL, 15),
(121127, NULL, 'PTHR31790:SF312', NULL, NULL, NULL, NULL, 'F-BOX AND ASSOCIATED INTERACTION DOMAINS-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121128, NULL, 'PTHR11636:SF83', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 3, TRANSCRIPTION FACTOR 4', NULL, NULL, NULL, 15),
(121129, NULL, 'PTHR24092', NULL, NULL, NULL, NULL, 'PROBABLE PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(121130, NULL, 'PTHR31677:SF137', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 5-LIKE', NULL, NULL, NULL, 15),
(121131, NULL, 'PTHR12002:SF76', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED MULTIPASS TRANSMEMBRANE PROTEIN 3', NULL, NULL, NULL, 15),
(121132, NULL, 'PTHR33976:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121133, NULL, 'PTHR34277:SF18', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 25', NULL, NULL, NULL, 15),
(121134, NULL, 'PTHR31923:SF10', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(121135, NULL, 'PTHR48175', NULL, NULL, NULL, NULL, 'OS04G0581700 PROTEIN', NULL, NULL, NULL, 15),
(121136, NULL, 'PTHR32212:SF313', NULL, NULL, NULL, NULL, 'BNAC02G12140D PROTEIN', NULL, NULL, NULL, 15),
(121137, NULL, 'PTHR46301:SF44', NULL, NULL, NULL, NULL, 'BNAC06G02950D PROTEIN', NULL, NULL, NULL, 15),
(121138, NULL, 'PTHR42031:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121139, NULL, 'PTHR33872:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121140, NULL, 'PTHR10159:SF519', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY PROTEIN PHOSPHATASE SDP1-RELATED', NULL, NULL, NULL, 15),
(121141, NULL, 'PTHR10430:SF16', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(121142, NULL, 'PTHR47094:SF14', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE/ZINC ION BINDING PROTEIN', NULL, NULL, NULL, 15),
(121143, NULL, 'PTHR47990:SF10', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE', NULL, NULL, NULL, 15),
(121144, NULL, 'PTHR35117:SF4', NULL, NULL, NULL, NULL, 'MYOSIN-M HEAVY PROTEIN', NULL, NULL, NULL, 15),
(121145, NULL, 'PTHR31739:SF22', NULL, NULL, NULL, NULL, 'SYN-PIMARA-7,15-DIENE SYNTHASE', NULL, NULL, NULL, 15),
(121146, NULL, 'PTHR11926:SF1404', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(121147, NULL, 'PTHR10571:SF1', NULL, NULL, NULL, NULL, 'BNAC04G24510D PROTEIN', NULL, NULL, NULL, 15),
(121148, NULL, 'PTHR23147:SF17', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 2', NULL, NULL, NULL, 15),
(121149, NULL, 'PTHR11260:SF570', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121150, NULL, 'PTHR22765:SF282', NULL, NULL, NULL, NULL, 'FI17865P1', NULL, NULL, NULL, 15),
(121151, NULL, 'PTHR44329:SF65', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY8-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121152, NULL, 'PTHR34564', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE G', NULL, NULL, NULL, 15),
(121153, NULL, 'PTHR12900:SF6', NULL, NULL, NULL, NULL, 'PROTEIN LTO1 HOMOLOG', NULL, NULL, NULL, 15),
(121154, NULL, 'PTHR10642:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121155, NULL, 'PTHR11616:SF102', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT NEUTRAL AMINO ACID TRANSPORTER SLC6A17', NULL, NULL, NULL, 15),
(121156, NULL, 'PTHR10177:SF425', NULL, NULL, NULL, NULL, 'CYCLIN-J18', NULL, NULL, NULL, 15),
(121157, NULL, 'PTHR10682:SF10', NULL, NULL, NULL, NULL, 'HIIRAGI, ISOFORM D', NULL, NULL, NULL, 15),
(121158, NULL, 'PTHR31851:SF61', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(121159, NULL, 'PTHR43202', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE PYROPHOSPHORYLASE', NULL, NULL, NULL, 15),
(121160, NULL, 'PTHR11746:SF220', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(121161, NULL, 'PTHR43572:SF49', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 8', NULL, NULL, NULL, 15),
(121162, NULL, 'PTHR11206:SF311', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 52', NULL, NULL, NULL, 15),
(121163, NULL, 'PTHR24115:SF361', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF1A', NULL, NULL, NULL, 15),
(121164, NULL, 'PTHR10454:SF224', NULL, NULL, NULL, NULL, 'PYD AND CARD DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(121165, NULL, 'PTHR33052:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121166, NULL, 'PTHR46058', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 1', NULL, NULL, 37281, 15),
(121167, NULL, 'PTHR12276:SF103', NULL, NULL, NULL, NULL, 'ZGC:194578', NULL, NULL, NULL, 15),
(121168, NULL, 'PTHR31867:SF171', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(121169, NULL, 'PTHR48047:SF60', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(121170, NULL, 'PTHR24567:SF65', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN CYSR HOMOLOG', NULL, NULL, NULL, 15),
(121171, NULL, 'PTHR13935:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121172, NULL, 'PTHR24062:SF38', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(121173, NULL, 'PTHR23239:SF32', NULL, NULL, NULL, NULL, 'PHAKININ', NULL, NULL, 28478, 15),
(121174, NULL, 'PTHR31669:SF234', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 4-LIKE', NULL, NULL, NULL, 15),
(121175, NULL, 'PTHR24300:SF147', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(121176, NULL, 'PTHR12039:SF4', NULL, NULL, NULL, NULL, 'NICOTINAMIDE-NUCLEOTIDE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(121177, NULL, 'PTHR24068:SF33', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2Q FAMILY MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(121178, NULL, 'PTHR15592:SF11', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 20', NULL, NULL, 35425, 15),
(121179, NULL, 'PTHR24208:SF170', NULL, NULL, NULL, NULL, 'MECHANOSENSORY PROTEIN 3', NULL, NULL, NULL, 15),
(121180, NULL, 'PTHR11002:SF68', NULL, NULL, NULL, NULL, 'BETA CARBONIC ANHYDRASE 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(121181, NULL, 'PTHR24343:SF378', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(121182, NULL, 'PTHR12271:SF40', NULL, NULL, NULL, NULL, 'SPECKLE TARGETED PIP5K1A-REGULATED POLY(A) POLYMERASE', NULL, NULL, NULL, 15),
(121183, NULL, 'PTHR46929:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121184, NULL, 'PTHR24376:SF88', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 267', NULL, NULL, NULL, 15),
(121185, NULL, 'PTHR24150', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND MYND DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(121186, NULL, 'PTHR31375:SF245', NULL, NULL, NULL, NULL, 'OS01G0172900 PROTEIN', NULL, NULL, NULL, 15),
(121187, NULL, 'PTHR11640:SF119', NULL, NULL, NULL, NULL, 'IRREGULAR CHIASM C-ROUGHEST PROTEIN-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121188, NULL, 'PTHR16926:SF1', NULL, NULL, NULL, NULL, 'INTERLEUKIN-9', NULL, NULL, NULL, 15),
(121189, NULL, 'PTHR31793:SF24', NULL, NULL, NULL, NULL, 'NOVEL THIOESTERASE SUPERFAMILY DOMAIN AND SAPOSIN A-TYPE DOMAIN CONTAINING PROTEIN (0610012H03RIK)', NULL, NULL, NULL, 15),
(121190, NULL, 'PTHR10288', NULL, NULL, NULL, NULL, 'KH DOMAIN CONTAINING RNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(121191, NULL, 'PTHR24089:SF715', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121192, NULL, 'PTHR48177', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 189', NULL, NULL, NULL, 15),
(121193, NULL, 'PTHR31776:SF0', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE 1', NULL, NULL, NULL, 15),
(121194, NULL, 'PTHR46221:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE KINASE 2AA', NULL, NULL, NULL, 15),
(121195, NULL, 'PTHR36496:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121196, NULL, 'PTHR31089:SF29', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 3', NULL, NULL, NULL, 15),
(121197, NULL, 'PTHR43791:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121198, NULL, 'PTHR23280:SF36', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING 5', NULL, NULL, NULL, 15),
(121199, NULL, 'PTHR21077', NULL, NULL, NULL, NULL, 'EME1 PROTEIN', NULL, NULL, 36358, 15),
(121200, NULL, 'PTHR26453:SF128', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(121201, NULL, 'PTHR11771:SF100', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE B', NULL, NULL, NULL, 15),
(121202, NULL, 'PTHR15204', NULL, NULL, NULL, NULL, 'LARGE PROLINE-RICH PROTEIN BAG6', NULL, NULL, NULL, 15),
(121203, NULL, 'PTHR19957:SF267', NULL, NULL, NULL, NULL, 'SYNTAXIN-22-LIKE', NULL, NULL, NULL, 15),
(121204, NULL, 'PTHR21391:SF0', NULL, NULL, NULL, NULL, 'AT04489P-RELATED', NULL, NULL, NULL, 15),
(121205, NULL, 'PTHR15952:SF11', NULL, NULL, NULL, NULL, 'EXPORTIN-T', NULL, NULL, NULL, 15),
(121206, NULL, 'PTHR31213:SF118', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL9-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121207, NULL, 'PTHR11969:SF57', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH70', NULL, NULL, NULL, 15),
(121208, NULL, 'PTHR12682:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121209, NULL, 'PTHR23515:SF4', NULL, NULL, NULL, NULL, 'NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(121210, NULL, 'PTHR47747:SF2', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P38-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121211, NULL, 'PTHR33659:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121212, NULL, 'PTHR11709:SF326', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121213, NULL, 'PTHR46887', NULL, NULL, NULL, NULL, 'TANDEM C2 DOMAINS NUCLEAR PROTEIN', NULL, NULL, 26969, 15),
(121214, NULL, 'PTHR22443:SF16', NULL, NULL, NULL, NULL, 'KAT8 REGULATORY NSL COMPLEX SUBUNIT 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121215, NULL, 'PTHR30181', NULL, NULL, NULL, NULL, 'MANNITOL PERMEASE IIC COMPONENT', NULL, NULL, NULL, 15),
(121216, NULL, 'PTHR33782:SF22', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121217, NULL, 'PTHR45746:SF3', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 11', NULL, NULL, NULL, 15),
(121218, NULL, 'PTHR31625:SF36', NULL, NULL, NULL, NULL, 'AGMATINE COUMAROYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(121219, NULL, 'PTHR43696', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 157', NULL, NULL, 27276, 15),
(121220, NULL, 'PTHR14132:SF14', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR 5', NULL, NULL, NULL, 15),
(121221, NULL, 'PTHR22943:SF67', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(121222, NULL, 'PTHR12550:SF18', NULL, NULL, NULL, NULL, 'HEPATOMA-DERIVED GROWTH FACTOR-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(121223, NULL, 'PTHR31339:SF5', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', NULL, NULL, NULL, 15),
(121224, NULL, 'PTHR31981', NULL, NULL, NULL, NULL, 'GLYCOSYLATED LYSOSOMAL MEMBRANE PROTEIN', NULL, NULL, 28462, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121225, NULL, 'PTHR28076', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 71', NULL, NULL, 30347, 15),
(121226, NULL, 'PTHR35558', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121227, NULL, 'PTHR46631:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121228, NULL, 'PTHR36739', NULL, NULL, NULL, NULL, 'D-TAGATOSE-1,6-BISPHOSPHATE ALDOLASE SUBUNIT', NULL, NULL, NULL, 15),
(121229, NULL, 'PTHR32191:SF63', NULL, NULL, NULL, NULL, 'TETRASPANIN/PERIPHERIN-RELATED', NULL, NULL, NULL, 15),
(121230, NULL, 'PTHR33494:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121231, NULL, 'PTHR11527:SF319', NULL, NULL, NULL, NULL, '17.8 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(121232, NULL, 'PTHR37880', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 54', NULL, NULL, 35369, 15),
(121233, NULL, 'PTHR19960:SF27', NULL, NULL, NULL, NULL, 'TEKTIN-1', NULL, NULL, NULL, 15),
(121234, NULL, 'PTHR43633:SF1', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE YQHD', NULL, NULL, NULL, 15),
(121235, NULL, 'PTHR33779:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121236, NULL, 'PTHR46387:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121237, NULL, 'PTHR11588:SF62', NULL, NULL, NULL, NULL, 'TUBULIN GAMMA-1 CHAIN', NULL, NULL, NULL, 15),
(121238, NULL, 'PTHR45669:SF25', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN (GRX) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(121239, NULL, 'PTHR35110:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(121240, NULL, 'PTHR13546:SF12', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 85B', NULL, NULL, NULL, 15),
(121241, NULL, 'PTHR11620:SF52', NULL, NULL, NULL, NULL, 'GENE 6096-RELATED', NULL, NULL, NULL, 15),
(121242, NULL, 'PTHR24028:SF264', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 1 GAMMA 32', NULL, NULL, NULL, 15),
(121243, NULL, 'PTHR11064:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121244, NULL, 'PTHR23272:SF123', NULL, NULL, NULL, NULL, 'AC9 TRANSPOSASE-RELATED', NULL, NULL, NULL, 15),
(121245, NULL, 'PTHR31282:SF19', NULL, NULL, NULL, NULL, 'OS07G0680400 PROTEIN', NULL, NULL, NULL, 15),
(121246, NULL, 'PTHR31549:SF120', NULL, NULL, NULL, NULL, 'UPF0481 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121247, NULL, 'PTHR47988:SF38', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE 4-RELATED', NULL, NULL, 26665, 15),
(121248, NULL, 'PTHR10742:SF235', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(121249, NULL, 'PTHR31221:SF139', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 50-RELATED', NULL, NULL, NULL, 15),
(121250, NULL, 'PTHR10381:SF60', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', NULL, NULL, NULL, 15),
(121251, NULL, 'PTHR33279:SF15', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN YRKF-RELATED', NULL, NULL, NULL, 15),
(121252, NULL, 'PTHR30371:SF7', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATC, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(121253, NULL, 'PTHR48044:SF33', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(121254, NULL, 'PTHR31233:SF7', NULL, NULL, NULL, NULL, 'PROTEIN BICAUDAL D HOMOLOG 2', NULL, NULL, NULL, 15),
(121255, NULL, 'PTHR48010:SF29', NULL, NULL, NULL, NULL, 'BNACNNG22430D PROTEIN', NULL, NULL, NULL, 15),
(121256, NULL, 'PTHR23050:SF403', NULL, NULL, NULL, NULL, 'CALMODULIN-2', NULL, NULL, NULL, 15),
(121257, NULL, 'PTHR33480:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-51D8.9', NULL, NULL, NULL, 15),
(121258, NULL, 'PTHR40626:SF26', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(121259, NULL, 'PTHR12442:SF40', NULL, NULL, NULL, NULL, 'INTERMEDIATE CHAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121260, NULL, 'PTHR35687:SF4', NULL, NULL, NULL, NULL, 'BNAC03G29990D PROTEIN', NULL, NULL, NULL, 15),
(121261, NULL, 'PTHR31279:SF65', NULL, NULL, NULL, NULL, 'OS08G0485000 PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121262, NULL, 'PTHR23500:SF550', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 2', NULL, NULL, NULL, 15),
(121263, NULL, 'PTHR45863:SF9', NULL, NULL, NULL, NULL, 'OS03G0825300 PROTEIN', NULL, NULL, NULL, 15),
(121264, NULL, 'PTHR19282:SF368', NULL, NULL, NULL, NULL, 'TETRASPANIN FAMILY', NULL, NULL, NULL, 15),
(121265, NULL, 'PTHR32285:SF71', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 39', NULL, NULL, NULL, 15),
(121266, NULL, 'PTHR36128:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 117', NULL, NULL, NULL, 15),
(121267, NULL, 'PTHR32191:SF58', NULL, NULL, NULL, NULL, 'TETRASPANIN-8-LIKE', NULL, NULL, NULL, 15),
(121268, NULL, 'PTHR38815', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED, DUF373 FAMILY', NULL, NULL, 6951, 15),
(121269, NULL, 'PTHR46400:SF11', NULL, NULL, NULL, NULL, 'OS04G0571200 PROTEIN', NULL, NULL, NULL, 15),
(121270, NULL, 'PTHR43079', NULL, NULL, NULL, NULL, 'PROBABLE CADMIUM/ZINC-TRANSPORTING ATPASE HMA1', NULL, NULL, NULL, 15),
(121271, NULL, 'PTHR35512:SF1', NULL, NULL, NULL, NULL, 'OS11G0550900 PROTEIN', NULL, NULL, NULL, 15),
(121272, NULL, 'PTHR23403', NULL, NULL, NULL, NULL, 'TREHALASE', NULL, NULL, 3346, 15),
(121273, NULL, 'PTHR48077:SF8', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE BETA CHAIN 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(121274, NULL, 'PTHR21562:SF44', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(121275, NULL, 'PTHR38522:SF5', NULL, NULL, NULL, NULL, 'DREPP FAMILY-RELATED', NULL, NULL, NULL, 15),
(121276, NULL, 'PTHR10417', NULL, NULL, NULL, NULL, 'GLUCOCORTICOID MODULATORY ELEMENT-BINDING PROTEIN', NULL, NULL, 21358, 15),
(121277, NULL, 'PTHR45647:SF98', NULL, NULL, NULL, NULL, 'BNAA09G05690D PROTEIN', NULL, NULL, NULL, 15),
(121278, NULL, 'PTHR47957:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121279, NULL, 'PTHR18966:SF456', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(121280, NULL, 'PTHR15887', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 69', NULL, NULL, 20185, 15),
(121281, NULL, 'PTHR31471:SF72', NULL, NULL, NULL, NULL, 'BNAA03G53760D PROTEIN', NULL, NULL, NULL, 15),
(121282, NULL, 'PTHR47076:SF9', NULL, NULL, NULL, NULL, 'BNAA06G16930D PROTEIN', NULL, NULL, NULL, 15),
(121283, NULL, 'PTHR31080:SF112', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', NULL, NULL, NULL, 15),
(121284, NULL, 'PTHR45821:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121285, NULL, 'PTHR31089:SF39', NULL, NULL, NULL, NULL, 'BNAA07G02590D PROTEIN', NULL, NULL, NULL, 15),
(121286, NULL, 'PTHR23111:SF28', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 13D', NULL, NULL, NULL, 15),
(121287, NULL, 'PTHR10168:SF238', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S1', NULL, NULL, NULL, 15),
(121288, NULL, 'PTHR11566:SF199', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED GTP-BINDING PROTEIN MXC-RELATED', NULL, NULL, NULL, 15),
(121289, NULL, 'PTHR24255:SF24', NULL, NULL, NULL, NULL, 'DISCOIDIN, CUB AND LCCL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(121290, NULL, 'PTHR35697:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(121291, NULL, 'PTHR23226', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(121292, NULL, 'PTHR46740:SF4', NULL, NULL, NULL, NULL, 'OS12G0623300 PROTEIN', NULL, NULL, NULL, 15),
(121293, NULL, 'PTHR48004:SF34', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(121294, NULL, 'PTHR46145:SF4', NULL, NULL, NULL, NULL, 'HEPARANASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121295, NULL, 'PTHR45857:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121296, NULL, 'PTHR12942:SF4', NULL, NULL, NULL, NULL, 'BNAA01G23920D PROTEIN', NULL, NULL, NULL, 15),
(121297, NULL, 'PTHR31594:SF15', NULL, NULL, NULL, NULL, 'SI:DKEY-79I2.4', NULL, NULL, NULL, 15),
(121298, NULL, 'PTHR24347:SF373', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE 2, SKELETAL/CARDIAC MUSCLE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121299, NULL, 'PTHR45820', NULL, NULL, NULL, NULL, 'FI23527P1', NULL, NULL, NULL, 15),
(121300, NULL, 'PTHR12366', NULL, NULL, NULL, NULL, 'ASPARTYL/ASPARAGINYL BETA-HYDROXYLASE', NULL, NULL, 30349, 15),
(121301, NULL, 'PTHR11743:SF13', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL PROTEIN 1', NULL, NULL, 22192, 15),
(121302, NULL, 'PTHR45637:SF50', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL2-LIKE', NULL, NULL, NULL, 15),
(121303, NULL, 'PTHR31677:SF106', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR 4', NULL, NULL, NULL, 15),
(121304, NULL, 'PTHR11011:SF86', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(121305, NULL, 'PTHR46336:SF23', NULL, NULL, NULL, NULL, 'OS06G0507400 PROTEIN', NULL, NULL, NULL, 15),
(121306, NULL, 'PTHR43019:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121307, NULL, 'PTHR31696:SF57', NULL, NULL, NULL, NULL, 'OS05G0577100 PROTEIN', NULL, NULL, NULL, 15),
(121308, NULL, 'PTHR11009:SF27', NULL, NULL, NULL, NULL, 'DERLIN', NULL, NULL, NULL, 15),
(121309, NULL, 'PTHR44170:SF11', NULL, NULL, NULL, NULL, 'ROUNDABOUT HOMOLOG 4', NULL, NULL, NULL, 15),
(121310, NULL, 'PTHR33697:SF3', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(121311, NULL, 'PTHR33168:SF62', NULL, NULL, NULL, NULL, 'OS02G0665250 PROTEIN', NULL, NULL, NULL, 15),
(121312, NULL, 'PTHR46060:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121313, NULL, 'PTHR31734:SF195', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(121314, NULL, 'PTHR12363:SF47', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD', NULL, NULL, NULL, 15),
(121315, NULL, 'PTHR10102:SF7', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', NULL, NULL, NULL, 15),
(121316, NULL, 'PTHR47972:SF8', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14C', NULL, NULL, NULL, 15),
(121317, NULL, 'PTHR45751:SF22', NULL, NULL, NULL, NULL, 'BNACNNG23610D PROTEIN', NULL, NULL, NULL, 15),
(121318, NULL, 'PTHR33184:SF55', NULL, NULL, NULL, NULL, 'BNAA02G24080D PROTEIN', NULL, NULL, NULL, 15),
(121319, NULL, 'PTHR35826', NULL, NULL, NULL, NULL, 'PROTEIN ATP6V1FNB-LIKE', NULL, NULL, NULL, 15),
(121320, NULL, 'PTHR43050', NULL, NULL, NULL, NULL, 'SERINE / THREONINE RACEMASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(121321, NULL, 'PTHR37886', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(121322, NULL, 'PTHR31541:SF43', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121323, NULL, 'PTHR31246:SF18', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-1-LIKE', NULL, NULL, NULL, 15),
(121324, NULL, 'PTHR46600:SF4', NULL, NULL, NULL, NULL, 'ZGC:163143', NULL, NULL, NULL, 15),
(121325, NULL, 'PTHR24366:SF57', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT, IG-LIKE AND TRANSMEMBRANE DOMAINS 3', NULL, NULL, NULL, 15),
(121326, NULL, 'PTHR11576:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121327, NULL, 'PTHR23056:SF44', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(121328, NULL, 'PTHR46132', NULL, NULL, NULL, NULL, 'DIGALACTOSYLDIACYLGLYCEROL SYNTHASE 2, CHLOROPLASTIC', NULL, NULL, 37654, 15),
(121329, NULL, 'PTHR11802:SF323', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(121330, NULL, 'PTHR47158:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121331, NULL, 'PTHR11571', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(121332, NULL, 'PTHR24413:SF213', NULL, NULL, NULL, NULL, 'FI01029P-RELATED', NULL, NULL, NULL, 15),
(121333, NULL, 'PTHR32358:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL AND IMMUNE RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(121334, NULL, 'PTHR32002:SF44', NULL, NULL, NULL, NULL, 'PROTEIN NLP4', NULL, NULL, NULL, 15),
(121335, NULL, 'PTHR10027:SF39', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, SUBFAMILY T, MEMBER 1', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121336, NULL, 'PTHR31851:SF47', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN OF ER BODY-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121337, NULL, 'PTHR32116:SF20', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(121338, NULL, 'PTHR43019:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121339, NULL, 'PTHR23266:SF276', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-72', NULL, NULL, NULL, 15),
(121340, NULL, 'PTHR23257:SF826', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0276181-RELATED', NULL, NULL, NULL, 15),
(121341, NULL, 'PTHR32077:SF42', NULL, NULL, NULL, NULL, 'OS02G0308800 PROTEIN', NULL, NULL, NULL, 15),
(121342, NULL, 'PTHR11986:SF119', NULL, NULL, NULL, NULL, 'BNAA02G36300D PROTEIN', NULL, NULL, NULL, 15),
(121343, NULL, 'PTHR11802:SF276', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(121344, NULL, 'PTHR22814:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121345, NULL, 'PTHR22802:SF402', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER E', NULL, NULL, NULL, 15),
(121346, NULL, 'PTHR31517:SF14', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(121347, NULL, 'PTHR46556:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY M MEMBER 2', NULL, NULL, NULL, 15),
(121348, NULL, 'PTHR43084:SF1', NULL, NULL, NULL, NULL, 'PERSULFIDE DIOXYGENASE ETHE1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(121349, NULL, 'PTHR36135', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH CABYR-BINDING PROTEIN', NULL, NULL, 37327, 15),
(121350, NULL, 'PTHR35098:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121351, NULL, 'PTHR16833:SF0', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE TRANSCRIPT 3 PROTEIN', NULL, NULL, NULL, 15),
(121352, NULL, 'PTHR12992:SF30', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 11-LIKE', NULL, NULL, NULL, 15),
(121353, NULL, 'PTHR10108:SF1129', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(121354, NULL, 'PTHR22935:SF98', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(121355, NULL, 'PTHR34950:SF4', NULL, NULL, NULL, NULL, 'BNAA09G42820D PROTEIN', NULL, NULL, NULL, 15),
(121356, NULL, 'PTHR15893:SF10', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L27', NULL, NULL, NULL, 15),
(121357, NULL, 'PTHR35527:SF2', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(121358, NULL, 'PTHR24291:SF27', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4F12', NULL, NULL, NULL, 15),
(121359, NULL, 'PTHR11017:SF341', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN-CONTAINING DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(121360, NULL, 'PTHR11311:SF23', NULL, NULL, NULL, NULL, 'FAT-SPONDIN', NULL, NULL, NULL, 15),
(121361, NULL, 'PTHR22765:SF229', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121362, NULL, 'PTHR38441', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121363, NULL, 'PTHR11829:SF348', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN D1', NULL, NULL, NULL, 15),
(121364, NULL, 'PTHR33303:SF1', NULL, NULL, NULL, NULL, 'ACETATE-COA LIGASE (ADP-FORMING), SUBUNIT BETA', NULL, NULL, NULL, 15),
(121365, NULL, 'PTHR10015:SF296', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-6A', NULL, NULL, NULL, 15),
(121366, NULL, 'PTHR11306:SF43', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN E-SET-RELATED', NULL, NULL, NULL, 15),
(121367, NULL, 'PTHR24223:SF357', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 4', NULL, NULL, 27801, 15),
(121368, NULL, 'PTHR10422:SF38', NULL, NULL, NULL, NULL, 'CYTOCHROME B SUBUNIT OF NITRIC OXIDE REDUCTASE', NULL, NULL, NULL, 15),
(121369, NULL, 'PTHR15241:SF325', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN ARP1 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(121370, NULL, 'PTHR22811:SF138', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA9-LIKE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121371, NULL, 'PTHR15933:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 40', NULL, NULL, NULL, 15),
(121372, NULL, 'PTHR45844:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH106-RELATED', NULL, NULL, NULL, 15),
(121373, NULL, 'PTHR46922', NULL, NULL, NULL, NULL, 'DHHA1 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(121374, NULL, 'PTHR22811:SF40', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(121375, NULL, 'PTHR35696', NULL, NULL, NULL, NULL, 'ELECTRON CARRIER/IRON ION-BINDING PROTEIN', NULL, NULL, NULL, 15),
(121376, NULL, 'PTHR10634:SF70', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 8-RELATED', NULL, NULL, NULL, 15),
(121377, NULL, 'PTHR24015:SF1703', NULL, NULL, NULL, NULL, 'OS12G0289800 PROTEIN', NULL, NULL, NULL, 15),
(121378, NULL, 'PTHR33257:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(121379, NULL, 'PTHR31832:SF59', NULL, NULL, NULL, NULL, 'BNAC08G44590D PROTEIN', NULL, NULL, NULL, 15),
(121380, NULL, 'PTHR47482', NULL, NULL, NULL, NULL, 'OS11G0632001 PROTEIN', NULL, NULL, NULL, 15),
(121381, NULL, 'PTHR39463:SF1', NULL, NULL, NULL, NULL, 'MEDUSA', NULL, NULL, NULL, 15),
(121382, NULL, 'PTHR31251:SF141', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(121383, NULL, 'PTHR33227:SF24', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(121384, NULL, 'PTHR33057:SF16', NULL, NULL, NULL, NULL, 'OFP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(121385, NULL, 'PTHR45863:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK3-RELATED', NULL, NULL, NULL, 15),
(121386, NULL, 'PTHR24543:SF309', NULL, NULL, NULL, NULL, 'MFGE8L PROTEIN', NULL, NULL, NULL, 15),
(121387, NULL, 'PTHR36264:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121388, NULL, 'PTHR10672:SF38', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(121389, NULL, 'PTHR30126:SF68', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR BAUR', NULL, NULL, NULL, 15),
(121390, NULL, 'PTHR10127:SF844', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(121391, NULL, 'PTHR16295:SF25', NULL, NULL, NULL, NULL, 'XIAP-ASSOCIATED FACTOR 1-LIKE', NULL, NULL, NULL, 15),
(121392, NULL, 'PTHR36439', NULL, NULL, NULL, NULL, 'BLL4334 PROTEIN', NULL, NULL, 8540, 15),
(121393, NULL, 'PTHR33673:SF5', NULL, NULL, NULL, NULL, 'OS05G0196700 PROTEIN', NULL, NULL, NULL, 15),
(121394, NULL, 'PTHR23505:SF55', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(121395, NULL, 'PTHR31806:SF7', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04690)-RELATED', NULL, NULL, NULL, 15),
(121396, NULL, 'PTHR46065:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH3', NULL, NULL, NULL, 15),
(121397, NULL, 'PTHR48011:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121398, NULL, 'PTHR31561:SF70', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(121399, NULL, 'PTHR27005:SF337', NULL, NULL, NULL, NULL, 'BNACNNG40590D PROTEIN', NULL, NULL, NULL, 15),
(121400, NULL, 'PTHR31317:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(121401, NULL, 'PTHR13547:SF12', NULL, NULL, NULL, NULL, 'ANTIPORTER/ DRUG TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(121402, NULL, 'PTHR43085:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121403, NULL, 'PTHR15907:SF105', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 13', NULL, NULL, NULL, 15),
(121404, NULL, 'PTHR11802:SF78', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(121405, NULL, 'PTHR15343', NULL, NULL, NULL, NULL, 'CD7', NULL, NULL, 29088, 15),
(121406, NULL, 'PTHR13220:SF12', NULL, NULL, NULL, NULL, 'TIMELESS-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(121407, NULL, 'PTHR31568:SF21', NULL, NULL, NULL, NULL, 'RCG49325, ISOFORM CRA_A', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121408, NULL, 'PTHR45626:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0089N06.14 PROTEIN', NULL, NULL, NULL, 15),
(121409, NULL, 'PTHR10969:SF55', NULL, NULL, NULL, NULL, 'GABA(A) RECEPTOR ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(121410, NULL, 'PTHR45763:SF39', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(121411, NULL, 'PTHR11792:SF20', NULL, NULL, NULL, NULL, 'BETA-ARRESTIN-2', NULL, NULL, NULL, 15),
(121412, NULL, 'PTHR10795:SF631', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9 ISOFORM X2', NULL, NULL, NULL, 15),
(121413, NULL, 'PTHR11588:SF133', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1A CHAIN', NULL, NULL, NULL, 15),
(121414, NULL, 'PTHR31636:SF189', NULL, NULL, NULL, NULL, 'OS11G0141550 PROTEIN', NULL, NULL, NULL, 15),
(121415, NULL, 'PTHR10901:SF12', NULL, NULL, NULL, NULL, 'LEIOMODIN-2', NULL, NULL, 23690, 15),
(121416, NULL, 'PTHR23002:SF108', NULL, NULL, NULL, NULL, 'MINICIRCLE SEQUENCE BINDING PROTEIN (UMSBP), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121417, NULL, 'PTHR11523:SF50', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(121418, NULL, 'PTHR31459:SF15', NULL, NULL, NULL, NULL, 'DESICCATION PROTECTANT PROTEIN LEA14', NULL, NULL, NULL, 15),
(121419, NULL, 'PTHR18887:SF2', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY B MEMBER 1', NULL, NULL, NULL, 15),
(121420, NULL, 'PTHR11783:SF259', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(121421, NULL, 'PTHR14454:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121422, NULL, 'PTHR46915:SF11', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 1C', NULL, NULL, NULL, 15),
(121423, NULL, 'PTHR24298:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121424, NULL, 'PTHR33048:SF113', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11560)-RELATED', NULL, NULL, NULL, 15),
(121425, NULL, 'PTHR23430:SF291', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(121426, NULL, 'PTHR13693:SF95', NULL, NULL, NULL, NULL, 'LONG CHAIN BASE BIOSYNTHESIS PROTEIN 2A', NULL, NULL, NULL, 15),
(121427, NULL, 'PTHR43478:SF1', NULL, NULL, NULL, NULL, 'NA+/H+ ANTIPORTER-RELATED', NULL, NULL, NULL, 15),
(121428, NULL, 'PTHR10641:SF1275', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB30-LIKE', NULL, NULL, NULL, 15),
(121429, NULL, 'PTHR21499:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121430, NULL, 'PTHR34476', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT OMEGA', NULL, NULL, 2470, 15),
(121431, NULL, 'PTHR11920:SF274', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', NULL, NULL, NULL, 15),
(121432, NULL, 'PTHR38116:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121433, NULL, 'PTHR33915:SF13', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF/POINTED DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121434, NULL, 'PTHR10845:SF255', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN SIGNALING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G06860)', NULL, NULL, NULL, 15),
(121435, NULL, 'PTHR11863:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121436, NULL, 'PTHR12107:SF26', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-7 SUBUNIT', NULL, NULL, NULL, 15),
(121437, NULL, 'PTHR11709:SF298', NULL, NULL, NULL, NULL, 'MULTICOPPER OXIDASE LPR1', NULL, NULL, NULL, 15),
(121438, NULL, 'PTHR23359:SF212', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE', NULL, NULL, NULL, 15),
(121439, NULL, 'PTHR31171:SF0', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, 28556, 15),
(121440, NULL, 'PTHR10579:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121441, NULL, 'PTHR10783:SF102', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1-1', NULL, NULL, NULL, 15),
(121442, NULL, 'PTHR12441:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121443, NULL, 'PTHR31314:SF103', NULL, NULL, NULL, NULL, 'PROTEIN PHR1-LIKE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121444, NULL, 'PTHR31790:SF130', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121445, NULL, 'PTHR35981:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG17645', NULL, NULL, NULL, 15),
(121446, NULL, 'PTHR34347:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR-SCAFFOLDING PROTEIN', NULL, NULL, NULL, 15),
(121447, NULL, 'PTHR12002:SF123', NULL, NULL, NULL, NULL, '4930428D18RIK PROTEIN', NULL, NULL, NULL, 15),
(121448, NULL, 'PTHR46328:SF17', NULL, NULL, NULL, NULL, 'FAR-RED IMPAIRED RESPONSIVE (FAR1) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(121449, NULL, 'PTHR23070:SF163', NULL, NULL, NULL, NULL, 'BNAANNG17080D PROTEIN', NULL, NULL, NULL, 15),
(121450, NULL, 'PTHR31993', NULL, NULL, NULL, NULL, 'UBA-LIKE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 29237, 15),
(121451, NULL, 'PTHR18929:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121452, NULL, 'PTHR48044:SF44', NULL, NULL, NULL, NULL, 'ZEATIN O-GLUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(121453, NULL, 'PTHR46684:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPEECHLESS', NULL, NULL, NULL, 15),
(121454, NULL, 'PTHR44200:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121455, NULL, 'PTHR18945:SF840', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(121456, NULL, 'PTHR11157:SF118', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 7', NULL, NULL, 34412, 15),
(121457, NULL, 'PTHR48044:SF48', NULL, NULL, NULL, NULL, 'ZEATIN O-XYLOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(121458, NULL, 'PTHR14559:SF4', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, 31206, 15),
(121459, NULL, 'PTHR48041', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 28', NULL, NULL, NULL, 15),
(121460, NULL, 'PTHR11802:SF350', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 48-RELATED', NULL, NULL, NULL, 15),
(121461, NULL, 'PTHR31343:SF37', NULL, NULL, NULL, NULL, 'OSJNBA0038O10.24-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121462, NULL, 'PTHR38886:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121463, NULL, 'PTHR14950:SF65', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(121464, NULL, 'PTHR36923:SF3', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(121465, NULL, 'PTHR45719:SF6', NULL, NULL, NULL, NULL, 'BETA-1-3-GALACTOSYL-O-GLYCOSYL-GLYCOPROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(121466, NULL, 'PTHR45654:SF64', NULL, NULL, NULL, NULL, 'BNAC08G44100D PROTEIN', NULL, NULL, NULL, 15),
(121467, NULL, 'PTHR47502', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, 24130, 15),
(121468, NULL, 'PTHR23115:SF125', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR GTP-BINDING SUBUNIT ERF3A', NULL, NULL, NULL, 15),
(121469, NULL, 'PTHR31321:SF19', NULL, NULL, NULL, NULL, 'PECTINESTERASE 68-RELATED', NULL, NULL, NULL, 15),
(121470, NULL, 'PTHR32227:SF238', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 17 PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(121471, NULL, 'PTHR31009:SF117', NULL, NULL, NULL, NULL, 'BNAA05G27560D PROTEIN', NULL, NULL, NULL, 15),
(121472, NULL, 'PTHR14928:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 7A', NULL, NULL, NULL, 15),
(121473, NULL, 'PTHR35584:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121474, NULL, 'PTHR12755:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121475, NULL, 'PTHR11893:SF40', NULL, NULL, NULL, NULL, 'INNEXIN SHAKING-B', NULL, NULL, NULL, 15),
(121476, NULL, 'PTHR48017:SF29', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(121477, NULL, 'PTHR13068:SF179', NULL, NULL, NULL, NULL, 'BNAA09G10490D PROTEIN', NULL, NULL, NULL, 15),
(121478, NULL, 'PTHR36156:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121479, NULL, 'PTHR26379:SF234', NULL, NULL, NULL, NULL, 'OS11G0630700 PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121480, NULL, 'PTHR10257:SF59', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 57 KDA REGULATORY SUBUNIT B'' KAPPA ISOFORM', NULL, NULL, NULL, 15),
(121481, NULL, 'PTHR11005:SF132', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(121482, NULL, 'PTHR11851:SF164', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE CORE PROTEIN 2A', NULL, NULL, NULL, 15),
(121483, NULL, 'PTHR45668:SF10', NULL, NULL, NULL, NULL, 'BNAA02G14530D PROTEIN', NULL, NULL, NULL, 15),
(121484, NULL, 'PTHR23101:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121485, NULL, 'PTHR35977', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 71', NULL, NULL, 27063, 15),
(121486, NULL, 'PTHR33052:SF134', NULL, NULL, NULL, NULL, 'BNAC03G16710D PROTEIN', NULL, NULL, NULL, 15),
(121487, NULL, 'PTHR22227:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM122B', NULL, NULL, NULL, 15),
(121488, NULL, 'PTHR10840:SF2', NULL, NULL, NULL, NULL, 'PDCD5 ISOFORM 2', NULL, NULL, NULL, 15),
(121489, NULL, 'PTHR38594', NULL, NULL, NULL, NULL, 'PEP-DEPENDENT DIHYDROXYACETONE KINASE, PHOSPHORYL DONOR SUBUNIT DHAM', NULL, NULL, 29311, 15),
(121490, NULL, 'PTHR48048:SF48', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN 3-O-GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(121491, NULL, 'PTHR45702:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121492, NULL, 'PTHR36040:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121493, NULL, 'PTHR13227', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2A', NULL, NULL, 14942, 15),
(121494, NULL, 'PTHR21274:SF1', NULL, NULL, NULL, NULL, 'MECKELIN', NULL, NULL, NULL, 15),
(121495, NULL, 'PTHR37151:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 61', NULL, NULL, NULL, 15),
(121496, NULL, 'PTHR23116:SF37', NULL, NULL, NULL, NULL, 'WHIRLIN', NULL, NULL, 35910, 15),
(121497, NULL, 'PTHR24559:SF352', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121498, NULL, 'PTHR47968:SF10', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN NACK1', NULL, NULL, NULL, 15),
(121499, NULL, 'PTHR12509', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED 4-RELATED', NULL, NULL, NULL, 15),
(121500, NULL, 'PTHR37251', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM5 HOMOLOG', NULL, NULL, 426, 15),
(121501, NULL, 'PTHR10795:SF514', NULL, NULL, NULL, NULL, 'OS01G0868800 PROTEIN', NULL, NULL, NULL, 15),
(121502, NULL, 'PTHR10264:SF32', NULL, NULL, NULL, NULL, 'STOMATIN', NULL, NULL, NULL, 15),
(121503, NULL, 'PTHR34305', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(121504, NULL, 'PTHR11474:SF50', NULL, NULL, NULL, NULL, 'TYROSINASE', NULL, NULL, NULL, 15),
(121505, NULL, 'PTHR10015:SF373', NULL, NULL, NULL, NULL, 'BNAUNNG01080D PROTEIN', NULL, NULL, NULL, 15),
(121506, NULL, 'PTHR13439:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG22316', NULL, NULL, NULL, 15),
(121507, NULL, 'PTHR16133:SF5', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP9', NULL, NULL, NULL, 15),
(121508, NULL, 'PTHR31218:SF227', NULL, NULL, NULL, NULL, 'OS10G0197700 PROTEIN', NULL, NULL, NULL, 15),
(121509, NULL, 'PTHR42861:SF4', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 1, ENDOPLASMIC RETICULUM-TYPE-RELATED', NULL, NULL, NULL, 15),
(121510, NULL, 'PTHR19143', NULL, NULL, NULL, NULL, 'FIBRINOGEN/TENASCIN/ANGIOPOEITIN', NULL, NULL, NULL, 15),
(121511, NULL, 'PTHR37543', NULL, NULL, NULL, NULL, 'CCCH ZINC FINGER DNA BINDING PROTEIN (AFU_ORTHOLOGUE AFUA_5G12760)', NULL, NULL, NULL, 15),
(121512, NULL, 'PTHR13140:SF369', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-VIIA', NULL, NULL, NULL, 15),
(121513, NULL, 'PTHR45699:SF13', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0-LIKE', NULL, NULL, NULL, 15),
(121514, NULL, 'PTHR30540:SF124', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(121515, NULL, 'PTHR26454:SF9', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C4', NULL, NULL, NULL, 15),
(121516, NULL, 'PTHR43349:SF23', NULL, NULL, NULL, NULL, 'BLL0593 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121517, NULL, 'PTHR23226:SF141', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 23', NULL, NULL, NULL, 15),
(121518, NULL, 'PTHR46255', NULL, NULL, NULL, NULL, 'SHORT STATURE HOMEOBOX', NULL, NULL, NULL, 15),
(121519, NULL, 'PTHR48004:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121520, NULL, 'PTHR11206:SF273', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 26-RELATED', NULL, NULL, NULL, 15),
(121521, NULL, 'PTHR12782', NULL, NULL, NULL, NULL, 'MICROSOMAL PROSTAGLANDIN E SYNTHASE-2', NULL, NULL, NULL, 15),
(121522, NULL, 'PTHR11566:SF184', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 3A-LIKE', NULL, NULL, NULL, 15),
(121523, NULL, 'PTHR22951:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121524, NULL, 'PTHR23301:SF77', NULL, NULL, NULL, NULL, 'PROTEIN CBG05204', NULL, NULL, NULL, 15),
(121525, NULL, 'PTHR10183:SF407', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121526, NULL, 'PTHR11461:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121527, NULL, 'PTHR12489:SF18', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 5 PROTEIN', NULL, NULL, NULL, 15),
(121528, NULL, 'PTHR10666:SF377', NULL, NULL, NULL, NULL, 'UBIQUITIN-60S RIBOSOMAL PROTEIN L40-1', NULL, NULL, NULL, 15),
(121529, NULL, 'PTHR47287:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121530, NULL, 'PTHR24034:SF83', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C1Q RECEPTOR', NULL, NULL, NULL, 15),
(121531, NULL, 'PTHR46325:SF24', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC10-LIKE', NULL, NULL, NULL, 15),
(121532, NULL, 'PTHR37176', NULL, NULL, NULL, NULL, 'F10K1.23', NULL, NULL, 38404, 15),
(121533, NULL, 'PTHR30603:SF57', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGB', NULL, NULL, NULL, 15),
(121534, NULL, 'PTHR12701:SF38', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121535, NULL, 'PTHR24064:SF186', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 16', NULL, NULL, NULL, 15),
(121536, NULL, 'PTHR33148:SF33', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(121537, NULL, 'PTHR43771:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE', NULL, NULL, NULL, 15),
(121538, NULL, 'PTHR31736', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121539, NULL, 'PTHR24136:SF37', NULL, NULL, NULL, NULL, 'OS01G0942900 PROTEIN', NULL, NULL, NULL, 15),
(121540, NULL, 'PTHR26453:SF60', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(121541, NULL, 'PTHR19855:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR STERILE APETALA', NULL, NULL, NULL, 15),
(121542, NULL, 'PTHR32263:SF12', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE SRO4-RELATED', NULL, NULL, NULL, 15),
(121543, NULL, 'PTHR43840:SF40', NULL, NULL, NULL, NULL, 'CATION EFFLUX PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121544, NULL, 'PTHR33110:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121545, NULL, 'PTHR47698:SF3', NULL, NULL, NULL, NULL, 'CHALCONE ISOMERASE', NULL, NULL, NULL, 15),
(121546, NULL, 'PTHR33137:SF16', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15C-RELATED', NULL, NULL, NULL, 15),
(121547, NULL, 'PTHR45661:SF3', NULL, NULL, NULL, NULL, 'ANTIGEN BSP, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121548, NULL, 'PTHR47172:SF15', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 16-LIKE', NULL, NULL, NULL, 15),
(121549, NULL, 'PTHR24347:SF408', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE DDB_G0292624-RELATED', NULL, NULL, NULL, 15),
(121550, NULL, 'PTHR37332', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(121551, NULL, 'PTHR34774:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121552, NULL, 'PTHR23095:SF20', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN MA6E-RELATED', NULL, NULL, NULL, 15),
(121553, NULL, 'PTHR31282:SF139', NULL, NULL, NULL, NULL, 'OSJNBB0015N08.8 PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121554, NULL, 'PTHR25465:SF25', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 80', NULL, NULL, NULL, 15),
(121555, NULL, 'PTHR10509:SF82', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA 3-O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(121556, NULL, 'PTHR26453:SF263', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(121557, NULL, 'PTHR12029:SF47', NULL, NULL, NULL, NULL, 'TRNA/RRNA METHYLTRANSFERASE SPOU FAMILY PROTEIN', NULL, NULL, NULL, 15),
(121558, NULL, 'PTHR25465:SF19', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM8', NULL, NULL, NULL, 15),
(121559, NULL, 'PTHR43876:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06950)-RELATED', NULL, NULL, NULL, 15),
(121560, NULL, 'PTHR23032:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121561, NULL, 'PTHR47926:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121562, NULL, 'PTHR31213:SF106', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL4-LIKE', NULL, NULL, NULL, 15),
(121563, NULL, 'PTHR48063:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121564, NULL, 'PTHR15923:SF0', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING RECEPTOR 2', NULL, NULL, NULL, 15),
(121565, NULL, 'PTHR36760:SF1', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY B PROTEIN', NULL, NULL, NULL, 15),
(121566, NULL, 'PTHR10849:SF29', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 8-B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(121567, NULL, 'PTHR24112:SF61', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 37', NULL, NULL, NULL, 15),
(121568, NULL, 'PTHR32077:SF61', NULL, NULL, NULL, NULL, 'BNAC02G03320D PROTEIN', NULL, NULL, NULL, 15),
(121569, NULL, 'PTHR24327:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121570, NULL, 'PTHR23503:SF34', NULL, NULL, NULL, NULL, 'PROTEIN CBG14183', NULL, NULL, NULL, 15),
(121571, NULL, 'PTHR24221:SF466', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121572, NULL, 'PTHR37829:SF4', NULL, NULL, NULL, NULL, 'MU-LIKE PROPHAGE FLUMU PROTEIN GP46', NULL, NULL, NULL, 15),
(121573, NULL, 'PTHR31639:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121574, NULL, 'PTHR43284:SF1', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING] 1', NULL, NULL, NULL, 15),
(121575, NULL, 'PTHR11835:SF34', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT ALPHA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(121576, NULL, 'PTHR33659:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121577, NULL, 'PTHR20863:SF66', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(121578, NULL, 'PTHR34817:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121579, NULL, 'PTHR34932', NULL, NULL, NULL, NULL, 'TRPL TRANSLOCATION DEFECT PROTEIN 14', NULL, NULL, NULL, 15),
(121580, NULL, 'PTHR25462:SF229', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE', NULL, NULL, NULL, 15),
(121581, NULL, 'PTHR35277:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121582, NULL, 'PTHR22870:SF411', NULL, NULL, NULL, NULL, 'BNAA02G27780D PROTEIN', NULL, NULL, NULL, 15),
(121583, NULL, 'PTHR45965:SF1', NULL, NULL, NULL, NULL, 'INACTIVE RHOMBOID PROTEIN 1', NULL, NULL, NULL, 15),
(121584, NULL, 'PTHR46096:SF5', NULL, NULL, NULL, NULL, 'PERFORIN 1.2-RELATED', NULL, NULL, NULL, 15),
(121585, NULL, 'PTHR48062:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121586, NULL, 'PTHR19957:SF239', NULL, NULL, NULL, NULL, 'OS02G0119400 PROTEIN', NULL, NULL, NULL, 15),
(121587, NULL, 'PTHR11751:SF478', NULL, NULL, NULL, NULL, 'BNAA09G31220D PROTEIN', NULL, NULL, NULL, 15),
(121588, NULL, 'PTHR11609:SF5', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINOIMIDAZOLE CARBOXYLASE', NULL, NULL, NULL, 15),
(121589, NULL, 'PTHR12383', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY S26 MITOCHONDRIAL INNER MEMBRANE PROTEASE-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121590, NULL, 'PTHR11599:SF156', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(121591, NULL, 'PTHR10909:SF348', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, NULL, 15),
(121592, NULL, 'PTHR47997:SF10', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(121593, NULL, 'PTHR16156:SF10', NULL, NULL, NULL, NULL, 'AFTIPHILIN A-RELATED', NULL, NULL, NULL, 15),
(121594, NULL, 'PTHR10125:SF9', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR 1', NULL, NULL, 6659, 15),
(121595, NULL, 'PTHR48022:SF72', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G06720)-RELATED', NULL, NULL, NULL, 15),
(121596, NULL, 'PTHR11581:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', NULL, NULL, NULL, 15),
(121597, NULL, 'PTHR16188:SF14', NULL, NULL, NULL, NULL, 'GEO07393P1', NULL, NULL, NULL, 15),
(121598, NULL, 'PTHR24055:SF417', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(121599, NULL, 'PTHR22811:SF183', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(121600, NULL, 'PTHR14568:SF12', NULL, NULL, NULL, NULL, 'ZGC:85843', NULL, NULL, NULL, 15),
(121601, NULL, 'PTHR47991:SF45', NULL, NULL, NULL, NULL, 'SYNTHASE/FLAVANONE 3-HYDROXYLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121602, NULL, 'PTHR12277:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG20828', NULL, NULL, NULL, 15),
(121603, NULL, 'PTHR45751:SF31', NULL, NULL, NULL, NULL, 'COPINE (CALCIUM-DEPENDENT PHOSPHOLIPID-BINDING PROTEIN) FAMILY-RELATED', NULL, NULL, NULL, 15),
(121604, NULL, 'PTHR22237:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-244C8.4', NULL, NULL, NULL, 15),
(121605, NULL, 'PTHR45696:SF22', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1-1-RELATED', NULL, NULL, NULL, 15),
(121606, NULL, 'PTHR31625:SF68', NULL, NULL, NULL, NULL, 'BNAA04G11630D PROTEIN', NULL, NULL, NULL, 15),
(121607, NULL, 'PTHR23421:SF138', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 16-LIKE', NULL, NULL, NULL, 15),
(121608, NULL, 'PTHR21562:SF83', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 4', NULL, NULL, NULL, 15),
(121609, NULL, 'PTHR47980:SF3', NULL, NULL, NULL, NULL, 'BNAC03G27830D PROTEIN', NULL, NULL, NULL, 15),
(121610, NULL, 'PTHR19241:SF167', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 5-RELATED', NULL, NULL, NULL, 15),
(121611, NULL, 'PTHR18945:SF434', NULL, NULL, NULL, NULL, 'PROTON-GATED ION CHANNEL SUBUNIT PBO-6', NULL, NULL, NULL, 15),
(121612, NULL, 'PTHR43377:SF10', NULL, NULL, NULL, NULL, 'BILIVERDIN REDUCTASE', NULL, NULL, NULL, 15),
(121613, NULL, 'PTHR16840:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121614, NULL, 'PTHR33305:SF25', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE PROTEIN', NULL, NULL, NULL, 15),
(121615, NULL, 'PTHR46033:SF35', NULL, NULL, NULL, NULL, 'PROTEIN MAIN-LIKE 1', NULL, NULL, NULL, 15),
(121616, NULL, 'PTHR46342', NULL, NULL, NULL, NULL, 'ALPHA-CATULIN', NULL, NULL, 23359, 15),
(121617, NULL, 'PTHR43264', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121618, NULL, 'PTHR48001:SF143', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(121619, NULL, 'PTHR32455', NULL, NULL, NULL, NULL, 'SPERM ACROSOME-ASSOCIATED PROTEIN 9', NULL, NULL, 22084, 15),
(121620, NULL, 'PTHR13048:SF2', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(121621, NULL, 'PTHR10641:SF1215', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(121622, NULL, 'PTHR10210:SF102', NULL, NULL, NULL, NULL, 'SYNTHETASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121623, NULL, 'PTHR34987', NULL, NULL, NULL, NULL, 'C, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02880)-RELATED', NULL, NULL, NULL, 15),
(121624, NULL, 'PTHR12692:SF7', NULL, NULL, NULL, NULL, 'BNAA08G25260D PROTEIN', NULL, NULL, NULL, 15),
(121625, NULL, 'PTHR10725:SF37', NULL, NULL, NULL, NULL, 'THAP DOMAINCONTAINING PROTEIN', NULL, NULL, NULL, 15),
(121626, NULL, 'PTHR10209:SF720', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121627, NULL, 'PTHR34805:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MODIFIER OF SNC1 1', NULL, NULL, NULL, 15),
(121628, NULL, 'PTHR26450:SF40', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 56A3', NULL, NULL, NULL, 15),
(121629, NULL, 'PTHR33207:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121630, NULL, 'PTHR33994:SF10', NULL, NULL, NULL, NULL, 'OS02G0619300 PROTEIN', NULL, NULL, NULL, 15),
(121631, NULL, 'PTHR33750:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02727', NULL, NULL, NULL, 15),
(121632, NULL, 'PTHR11730:SF43', NULL, NULL, NULL, NULL, 'BLOOD GROUP RH(CE) POLYPEPTIDE-RELATED', NULL, NULL, NULL, 15),
(121633, NULL, 'PTHR47926:SF65', NULL, NULL, NULL, NULL, 'BNAANNG25350D PROTEIN', NULL, NULL, NULL, 15),
(121634, NULL, 'PTHR11588:SF290', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(121635, NULL, 'PTHR33429:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(121636, NULL, 'PTHR46204:SF14', NULL, NULL, NULL, NULL, 'CHITIN ELICITOR RECEPTOR KINASE 1-LIKE', NULL, NULL, NULL, 15),
(121637, NULL, 'PTHR32468:SF101', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 2', NULL, NULL, NULL, 15),
(121638, NULL, 'PTHR47949', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 703A2-RELATED-RELATED', NULL, NULL, NULL, 15),
(121639, NULL, 'PTHR22753', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 68', NULL, NULL, NULL, 15),
(121640, NULL, 'PTHR31235:SF19', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(121641, NULL, 'PTHR11062:SF278', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(121642, NULL, 'PTHR46910:SF8', NULL, NULL, NULL, NULL, 'SCFA-RELATED', NULL, NULL, NULL, 15),
(121643, NULL, 'PTHR24637:SF234', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(121644, NULL, 'PTHR10366:SF378', NULL, NULL, NULL, NULL, '3 BETA-HYDROXYSTEROID DEHYDROGENASE/DELTA 5--4-ISOMERASE TYPE 1', NULL, NULL, NULL, 15),
(121645, NULL, 'PTHR45743:SF31', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KAT3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(121646, NULL, 'PTHR24399:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING 38', NULL, NULL, NULL, 15),
(121647, NULL, 'PTHR47980:SF7', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN ARA-3-RELATED', NULL, NULL, NULL, 15),
(121648, NULL, 'PTHR32212:SF340', NULL, NULL, NULL, NULL, 'BNAC04G51540D PROTEIN', NULL, NULL, NULL, 15),
(121649, NULL, 'PTHR22883:SF353', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(121650, NULL, 'PTHR14388', NULL, NULL, NULL, NULL, 'T CELL-SPECIFIC ADAPTER PROTEIN TSAD', NULL, NULL, NULL, 15),
(121651, NULL, 'PTHR33880:SF12', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUPS, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121652, NULL, 'PTHR27007:SF201', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE, ERK3/4-RELATED', NULL, NULL, NULL, 15),
(121653, NULL, 'PTHR42721:SF36', NULL, NULL, NULL, NULL, 'BNAA02G30740D PROTEIN', NULL, NULL, NULL, 15),
(121654, NULL, 'PTHR27002:SF871', NULL, NULL, NULL, NULL, 'SERINE-THREONINE PROTEIN KINASE, PLANT-TYPE', NULL, NULL, NULL, 15),
(121655, NULL, 'PTHR11629:SF101', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(121656, NULL, 'PTHR32227:SF367', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 17 PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(121657, NULL, 'PTHR46193:SF16', NULL, NULL, NULL, NULL, 'BNAA04G22170D PROTEIN', NULL, NULL, NULL, 15),
(121658, NULL, 'PTHR19944:SF66', NULL, NULL, NULL, NULL, 'HISTOCOMPATIBILITY 2, CLASS II ANTIGEN E BETA2', NULL, NULL, NULL, 15),
(121659, NULL, 'PTHR24049:SF22', NULL, NULL, NULL, NULL, 'DROSOPHILA CRUMBS HOMOLOG', NULL, NULL, NULL, 15),
(121660, NULL, 'PTHR46373:SF19', NULL, NULL, NULL, NULL, 'BNAC02G06390D PROTEIN', NULL, NULL, NULL, 15),
(121661, NULL, 'PTHR31050:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121662, NULL, 'PTHR11373:SF25', NULL, NULL, NULL, NULL, 'DEOXYGUANOSINETRIPHOSPHATE TRIPHOSPHOHYDROLASE-LIKE PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121663, NULL, 'PTHR47868:SF2', NULL, NULL, NULL, NULL, 'OS05G0457700 PROTEIN', NULL, NULL, NULL, 15),
(121664, NULL, 'PTHR35731:SF5', NULL, NULL, NULL, NULL, 'BNAC01G39220D PROTEIN', NULL, NULL, NULL, 15),
(121665, NULL, 'PTHR36910', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121666, NULL, 'PTHR16134:SF66', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT INHIBITOR RESPONSE 1', NULL, NULL, NULL, 15),
(121667, NULL, 'PTHR11088:SF54', NULL, NULL, NULL, NULL, 'TRNA DIMETHYLALLYLTRANSFERASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(121668, NULL, 'PTHR24072:SF305', NULL, NULL, NULL, NULL, 'RAS-LIKE GTP-BINDING PROTEIN RHOL', NULL, NULL, NULL, 15),
(121669, NULL, 'PTHR23235:SF109', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 2', NULL, NULL, NULL, 15),
(121670, NULL, 'PTHR13773:SF25', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(121671, NULL, 'PTHR13605', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35012, 15),
(121672, NULL, 'PTHR26450:SF11', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52K2', NULL, NULL, NULL, 15),
(121673, NULL, 'PTHR21576:SF137', NULL, NULL, NULL, NULL, 'BNAC03G16790D PROTEIN', NULL, NULL, NULL, 15),
(121674, NULL, 'PTHR33193:SF36', NULL, NULL, NULL, NULL, 'FAMILY ABC TRANSPORTER, PUTATIVE (DUF3511)-RELATED', NULL, NULL, NULL, 15),
(121675, NULL, 'PTHR11926:SF1393', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(121676, NULL, 'PTHR24351:SF171', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE BETA-2', NULL, NULL, NULL, 15),
(121677, NULL, 'PTHR10169:SF50', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2', NULL, NULL, NULL, 15),
(121678, NULL, 'PTHR13023:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG14198', NULL, NULL, NULL, 15),
(121679, NULL, 'PTHR16166:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121680, NULL, 'PTHR10751:SF29', NULL, NULL, NULL, NULL, 'ATLASTIN', NULL, NULL, NULL, 15),
(121681, NULL, 'PTHR47984:SF17', NULL, NULL, NULL, NULL, 'BNAA02G35130D PROTEIN', NULL, NULL, NULL, 15),
(121682, NULL, 'PTHR31889:SF6', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(121683, NULL, 'PTHR23226:SF81', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN CONTAINING 10', NULL, NULL, NULL, 15),
(121684, NULL, 'PTHR46056:SF10', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE FAO3', NULL, NULL, NULL, 15),
(121685, NULL, 'PTHR12298:SF4', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 2', NULL, NULL, NULL, 15),
(121686, NULL, 'PTHR11746:SF226', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121687, NULL, 'PTHR47293:SF34', NULL, NULL, NULL, NULL, 'BNAA08G29580D PROTEIN', NULL, NULL, NULL, 15),
(121688, NULL, 'PTHR47993:SF137', NULL, NULL, NULL, NULL, 'BNAA01G27260D PROTEIN', NULL, NULL, NULL, 15),
(121689, NULL, 'PTHR31263:SF51', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 5 PROTEIN', NULL, NULL, NULL, 15),
(121690, NULL, 'PTHR12183:SF32', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL E3 UBIQUITIN PROTEIN LIGASE 1', NULL, NULL, NULL, 15),
(121691, NULL, 'PTHR10336:SF105', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C 1', NULL, NULL, NULL, 15),
(121692, NULL, 'PTHR42204', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(121693, NULL, 'PTHR35021:SF8', NULL, NULL, NULL, NULL, 'FIBER PROTEIN FB17', NULL, NULL, NULL, 15),
(121694, NULL, 'PTHR43330:SF6', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE-LIKE', NULL, NULL, NULL, 15),
(121695, NULL, 'PTHR10826:SF27', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCOPROTEIN-LIKE', NULL, NULL, NULL, 15),
(121696, NULL, 'PTHR27009:SF126', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', NULL, NULL, NULL, 15),
(121697, NULL, 'PTHR31852:SF211', NULL, NULL, NULL, NULL, 'OS06G0121300 PROTEIN', NULL, NULL, NULL, 15),
(121698, NULL, 'PTHR33102:SF24', NULL, NULL, NULL, NULL, 'OS01G0525800 PROTEIN', NULL, NULL, NULL, 15),
(121699, NULL, 'PTHR11937:SF452', NULL, NULL, NULL, NULL, 'BNACNNG31150D PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121700, NULL, 'PTHR15176:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121701, NULL, 'PTHR34483:SF2', NULL, NULL, NULL, NULL, 'OS09G0130700 PROTEIN', NULL, NULL, NULL, 15),
(121702, NULL, 'PTHR47946:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A9', NULL, NULL, NULL, 15),
(121703, NULL, 'PTHR10807:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121704, NULL, 'PTHR45613:SF149', NULL, NULL, NULL, NULL, 'OS07G0101200 PROTEIN', NULL, NULL, NULL, 15),
(121705, NULL, 'PTHR33709:SF20', NULL, NULL, NULL, NULL, 'OS04G0541900 PROTEIN', NULL, NULL, NULL, 15),
(121706, NULL, 'PTHR31852:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121707, NULL, 'PTHR10758:SF10', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 3-RELATED', NULL, NULL, NULL, 15),
(121708, NULL, 'PTHR38649:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 33', NULL, NULL, NULL, 15),
(121709, NULL, 'PTHR12357:SF64', NULL, NULL, NULL, NULL, 'OS08G0224200 PROTEIN', NULL, NULL, NULL, 15),
(121710, NULL, 'PTHR23316:SF73', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(121711, NULL, 'PTHR47475:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME TRANSMISSION FIDELITY PROTEIN 8', NULL, NULL, NULL, 15),
(121712, NULL, 'PTHR46506:SF23', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(121713, NULL, 'PTHR47206:SF1', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(121714, NULL, 'PTHR30146:SF50', NULL, NULL, NULL, NULL, 'NTD BIOSYNTHESIS OPERON REGULATOR NTDR', NULL, NULL, NULL, 15),
(121715, NULL, 'PTHR31102:SF1', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 9 MEMBER B2', NULL, NULL, NULL, 15),
(121716, NULL, 'PTHR48001:SF94', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7A5', NULL, NULL, NULL, 15),
(121717, NULL, 'PTHR43772:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04480)-RELATED', NULL, NULL, NULL, 15),
(121718, NULL, 'PTHR15907:SF161', NULL, NULL, NULL, NULL, 'DUF614 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G13250)', NULL, NULL, NULL, 15),
(121719, NULL, 'PTHR48047:SF110', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 86A2', NULL, NULL, NULL, 15),
(121720, NULL, 'PTHR10048:SF64', NULL, NULL, NULL, NULL, 'LD28067P', NULL, NULL, NULL, 15),
(121721, NULL, 'PTHR33065:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121722, NULL, 'PTHR31086:SF20', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 4-RELATED', NULL, NULL, NULL, 15),
(121723, NULL, 'PTHR11426:SF231', NULL, NULL, NULL, NULL, 'HISTONE H3.3', NULL, NULL, NULL, 15),
(121724, NULL, 'PTHR37576', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121725, NULL, 'PTHR21461:SF71', NULL, NULL, NULL, NULL, 'OS06G0328800 PROTEIN', NULL, NULL, NULL, 15),
(121726, NULL, 'PTHR34035', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 47', NULL, NULL, NULL, 15),
(121727, NULL, 'PTHR43423:SF10', NULL, NULL, NULL, NULL, 'PHOSPHATE IMPORT ATP-BINDING PROTEIN PSTB 2', NULL, NULL, NULL, 15),
(121728, NULL, 'PTHR48018:SF168', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(121729, NULL, 'PTHR11260:SF668', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121730, NULL, 'PTHR46433:SF3', NULL, NULL, NULL, NULL, 'RAB GTPASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(121731, NULL, 'PTHR13318:SF106', NULL, NULL, NULL, NULL, 'NODULIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121732, NULL, 'PTHR34207', NULL, NULL, NULL, NULL, 'PROTEIN BIC1', NULL, NULL, 30079, 15),
(121733, NULL, 'PTHR20275:SF11', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G12870)-RELATED', NULL, NULL, NULL, 15),
(121734, NULL, 'PTHR24300:SF319', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2K6-RELATED', NULL, NULL, NULL, 15),
(121735, NULL, 'PTHR32552:SF83', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(121736, NULL, 'PTHR10585:SF61', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR 1', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121737, NULL, 'PTHR11902:SF10', NULL, NULL, NULL, NULL, 'GAMMA-ENOLASE', NULL, NULL, NULL, 15),
(121738, NULL, 'PTHR11654:SF449', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.5-LIKE', NULL, NULL, NULL, 15),
(121739, NULL, 'PTHR47293:SF47', NULL, NULL, NULL, NULL, 'BNAC04G49270D PROTEIN', NULL, NULL, NULL, 15),
(121740, NULL, 'PTHR24055:SF488', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(121741, NULL, 'PTHR34649:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 99', NULL, NULL, NULL, 15),
(121742, NULL, 'PTHR27005:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121743, NULL, 'PTHR46965:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 19', NULL, NULL, NULL, 15),
(121744, NULL, 'PTHR14679', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 7', NULL, NULL, 19983, 15),
(121745, NULL, 'PTHR33167:SF44', NULL, NULL, NULL, NULL, 'BNAA09G07390D PROTEIN', NULL, NULL, NULL, 15),
(121746, NULL, 'PTHR14568:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 6 SUPERFAMILY MEMBER 1-LIKE', NULL, NULL, NULL, 15),
(121747, NULL, 'PTHR43592:SF15', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(121748, NULL, 'PTHR10801:SF11', NULL, NULL, NULL, NULL, 'STEROL SIDE CHAIN REDUCTASE', NULL, NULL, NULL, 15),
(121749, NULL, 'PTHR47024:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(121750, NULL, 'PTHR38926:SF40', NULL, NULL, NULL, NULL, 'BNAA09G01760D PROTEIN', NULL, NULL, NULL, 15),
(121751, NULL, 'PTHR42791:SF12', NULL, NULL, NULL, NULL, 'FAMILY ACETYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121752, NULL, 'PTHR10362:SF58', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(121753, NULL, 'PTHR47746:SF43', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE (REVERSE TRANSCRIPTASE)-RELATED FAMILY PROTEIN', NULL, NULL, NULL, 15),
(121754, NULL, 'PTHR11932:SF123', NULL, NULL, NULL, NULL, 'CULLIN 4, ISOFORM A', NULL, NULL, NULL, 15),
(121755, NULL, 'PTHR21328:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP8', NULL, NULL, NULL, 15),
(121756, NULL, 'PTHR43948:SF4', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 7', NULL, NULL, NULL, 15),
(121757, NULL, 'PTHR12381:SF41', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN U-LIKE PROTEIN 1', NULL, NULL, 27971, 15),
(121758, NULL, 'PTHR24271', NULL, NULL, NULL, NULL, 'KALLIKREIN-RELATED', NULL, NULL, NULL, 15),
(121759, NULL, 'PTHR23428:SF271', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(121760, NULL, 'PTHR33333:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121761, NULL, 'PTHR30354:SF6', NULL, NULL, NULL, NULL, 'D-SERINE TRANSPORTER DSDX', NULL, NULL, NULL, 15),
(121762, NULL, 'PTHR12599', NULL, NULL, NULL, NULL, 'PTERIN-4-ALPHA-CARBINOLAMINE DEHYDRATASE', NULL, NULL, 5796, 15),
(121763, NULL, 'PTHR14485', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 23', NULL, NULL, 38233, 15),
(121764, NULL, 'PTHR47240:SF4', NULL, NULL, NULL, NULL, 'BNAANNG15950D PROTEIN', NULL, NULL, NULL, 15),
(121765, NULL, 'PTHR43701:SF9', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN YTNM-RELATED', NULL, NULL, NULL, 15),
(121766, NULL, 'PTHR45824:SF12', NULL, NULL, NULL, NULL, 'CRAL/TRIO, N-TERMINAL DOMAIN', NULL, NULL, NULL, 15),
(121767, NULL, 'PTHR10534:SF12', NULL, NULL, NULL, NULL, 'PYRIDOXAL KINASE BUD17-RELATED', NULL, NULL, NULL, 15),
(121768, NULL, 'PTHR46565:SF15', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(121769, NULL, 'PTHR27007:SF155', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.2-LIKE', NULL, NULL, NULL, 15),
(121770, NULL, 'PTHR24067:SF296', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', NULL, NULL, NULL, 15),
(121771, NULL, 'PTHR31676:SF7', NULL, NULL, NULL, NULL, 'OS01G0210600 PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121772, NULL, 'PTHR45762:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121773, NULL, 'PTHR43273:SF2', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN CONTAINING PROTEIN', NULL, NULL, 8582, 15),
(121774, NULL, 'PTHR39611', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121775, NULL, 'PTHR27006:SF442', NULL, NULL, NULL, NULL, 'OS04G0616500 PROTEIN', NULL, NULL, NULL, 15),
(121776, NULL, 'PTHR13718:SF99', NULL, NULL, NULL, NULL, 'GENE 8225-RELATED', NULL, NULL, NULL, 15),
(121777, NULL, 'PTHR13680:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121778, NULL, 'PTHR27002:SF150', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', NULL, NULL, NULL, 15),
(121779, NULL, 'PTHR32123:SF9', NULL, NULL, NULL, NULL, 'PROTEIN SPINDLY', NULL, NULL, NULL, 15),
(121780, NULL, 'PTHR11062:SF296', NULL, NULL, NULL, NULL, 'XYLOGLUCAN-SPECIFIC GALACTURONOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(121781, NULL, 'PTHR15458:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(121782, NULL, 'PTHR47326:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT TC3 TRANSPOSASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121783, NULL, 'PTHR36770:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY FACTOR PSA3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(121784, NULL, 'PTHR44743:SF4', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(121785, NULL, 'PTHR35936:SF23', NULL, NULL, NULL, NULL, 'LYSINE/ARGININE/ORNITHINE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(121786, NULL, 'PTHR11661:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121787, NULL, 'PTHR21580:SF3', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 3-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(121788, NULL, 'PTHR20854:SF26', NULL, NULL, NULL, NULL, 'INOSITOL MONOPHOSPHATASE 1', NULL, NULL, NULL, 15),
(121789, NULL, 'PTHR10286:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121790, NULL, 'PTHR12619', NULL, NULL, NULL, NULL, 'RFX TRANSCRIPTION FACTOR FAMILY', NULL, NULL, 36125, 15),
(121791, NULL, 'PTHR14159:SF2', NULL, NULL, NULL, NULL, 'ATAXIN-3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121792, NULL, 'PTHR18964:SF162', NULL, NULL, NULL, NULL, 'N-ACETYL-D-GLUCOSAMINE KINASE', NULL, NULL, NULL, 15),
(121793, NULL, 'PTHR27007:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121794, NULL, 'PTHR22948:SF29', NULL, NULL, NULL, NULL, 'TAPAS, ISOFORM B', NULL, NULL, NULL, 15),
(121795, NULL, 'PTHR45027:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121796, NULL, 'PTHR44156:SF7', NULL, NULL, NULL, NULL, 'PROTEASOMAL ATPASE-ASSOCIATED FACTOR 1', NULL, NULL, NULL, 15),
(121797, NULL, 'PTHR22597:SF18', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN FERTILIZATION-INDEPENDENT SEED 2', NULL, NULL, NULL, 15),
(121798, NULL, 'PTHR33057:SF111', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP6', NULL, NULL, NULL, 15),
(121799, NULL, 'PTHR10894:SF30', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 58', NULL, NULL, NULL, 15),
(121800, NULL, 'PTHR43123:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121801, NULL, 'PTHR46421:SF1', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(121802, NULL, 'PTHR11785:SF240', NULL, NULL, NULL, NULL, 'GH08870P', NULL, NULL, NULL, 15),
(121803, NULL, 'PTHR24118:SF45', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930430A15', NULL, NULL, NULL, 15),
(121804, NULL, 'PTHR33562:SF15', NULL, NULL, NULL, NULL, 'IP04187P', NULL, NULL, NULL, 15),
(121805, NULL, 'PTHR11709:SF353', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(121806, NULL, 'PTHR10543:SF24', NULL, NULL, NULL, NULL, 'BETA,BETA-CAROTENE 15,15''-DIOXYGENASE', NULL, NULL, NULL, 15),
(121807, NULL, 'PTHR24221:SF477', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 20', NULL, NULL, NULL, 15),
(121808, NULL, 'PTHR36946', NULL, NULL, NULL, NULL, 'PROTEIN CBG13897-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121809, NULL, 'PTHR34479', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 30', NULL, NULL, NULL, 15),
(121810, NULL, 'PTHR34524:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121811, NULL, 'PTHR31232:SF96', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 24-RELATED', NULL, NULL, NULL, 15),
(121812, NULL, 'PTHR24543', NULL, NULL, NULL, NULL, 'MULTICOPPER OXIDASE-RELATED', NULL, NULL, NULL, 15),
(121813, NULL, 'PTHR13710:SF121', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(121814, NULL, 'PTHR47588:SF1', NULL, NULL, NULL, NULL, 'CHALCONE--FLAVONONE ISOMERASE 3-RELATED', NULL, NULL, NULL, 15),
(121815, NULL, 'PTHR10826:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121816, NULL, 'PTHR45724:SF30', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121817, NULL, 'PTHR23304:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121818, NULL, 'PTHR11486:SF21', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 10', NULL, NULL, 23340, 15),
(121819, NULL, 'PTHR23115:SF265', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR GTP-BINDING SUBUNIT ERF3A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(121820, NULL, 'PTHR31507:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG15923', NULL, NULL, NULL, 15),
(121821, NULL, 'PTHR33101:SF30', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 2', NULL, NULL, NULL, 15),
(121822, NULL, 'PTHR31752:SF18', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 1B-RELATED', NULL, NULL, NULL, 15),
(121823, NULL, 'PTHR13048:SF1', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121824, NULL, 'PTHR19134', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(121825, NULL, 'PTHR19964', NULL, NULL, NULL, NULL, 'MULTIPLE PDZ DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(121826, NULL, 'PTHR33729:SF8', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 11-LIKE', NULL, NULL, NULL, 15),
(121827, NULL, 'PTHR24064:SF171', NULL, NULL, NULL, NULL, 'EG:BACR7A4.13 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121828, NULL, 'PTHR33021:SF266', NULL, NULL, NULL, NULL, 'MAVICYANIN-LIKE', NULL, NULL, NULL, 15),
(121829, NULL, 'PTHR48000:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121830, NULL, 'PTHR35546:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121831, NULL, 'PTHR11510:SF17', NULL, NULL, NULL, NULL, 'INOSITOL 3-PHOSPHATE SYNTHASE ISOZYME 3-RELATED', NULL, NULL, NULL, 15),
(121832, NULL, 'PTHR30046', NULL, NULL, NULL, NULL, 'FLAGELLAR M-RING PROTEIN', NULL, NULL, 36547, 15),
(121833, NULL, 'PTHR24363:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0277989-RELATED', NULL, NULL, NULL, 15),
(121834, NULL, 'PTHR44472', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 4-RELATED', NULL, NULL, NULL, 15),
(121835, NULL, 'PTHR10182:SF31', NULL, NULL, NULL, NULL, 'BNAA02G25530D PROTEIN', NULL, NULL, NULL, 15),
(121836, NULL, 'PTHR33057:SF154', NULL, NULL, NULL, NULL, 'OS05G0324600 PROTEIN', NULL, NULL, NULL, 15),
(121837, NULL, 'PTHR46057:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121838, NULL, 'PTHR47993:SF116', NULL, NULL, NULL, NULL, 'BNAA01G24660D PROTEIN', NULL, NULL, NULL, 15),
(121839, NULL, 'PTHR10792:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24', NULL, NULL, NULL, 15),
(121840, NULL, 'PTHR20917', NULL, NULL, NULL, NULL, 'PNAS-RELATED', NULL, NULL, 13251, 15),
(121841, NULL, 'PTHR33115', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(121842, NULL, 'PTHR46496:SF6', NULL, NULL, NULL, NULL, 'ZEAXANTHIN EPOXIDASE, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(121843, NULL, 'PTHR45621:SF142', NULL, NULL, NULL, NULL, 'KINASE APK1B, CHLOROPLAST, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121844, NULL, 'PTHR47976:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121845, NULL, 'PTHR21145:SF8', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', NULL, NULL, NULL, 15),
(121846, NULL, 'PTHR27006:SF315', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(121847, NULL, 'PTHR10165:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121848, NULL, 'PTHR34188:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121849, NULL, 'PTHR12702', NULL, NULL, NULL, NULL, 'SEC15', NULL, NULL, 6846, 15),
(121850, NULL, 'PTHR10902:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35A-1-RELATED', NULL, NULL, NULL, 15),
(121851, NULL, 'PTHR36427:SF2', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(121852, NULL, 'PTHR31881:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121853, NULL, 'PTHR31474:SF9', NULL, NULL, NULL, NULL, 'HR-LIKE LESION-INDUCING PROTEIN', NULL, NULL, NULL, 15),
(121854, NULL, 'PTHR15704:SF7', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 37', NULL, NULL, NULL, 15),
(121855, NULL, 'PTHR33147:SF55', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(121856, NULL, 'PTHR30561', NULL, NULL, NULL, NULL, 'SMR FAMILY PROTON-DEPENDENT DRUG EFFLUX TRANSPORTER SUGE', NULL, NULL, 4636, 15),
(121857, NULL, 'PTHR12802:SF61', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX SUBUNIT SWI3C', NULL, NULL, NULL, 15),
(121858, NULL, 'PTHR11850:SF203', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 9', NULL, NULL, NULL, 15),
(121859, NULL, 'PTHR10966:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', NULL, NULL, NULL, 15),
(121860, NULL, 'PTHR31775:SF18', NULL, NULL, NULL, NULL, 'OS10G0503800 PROTEIN', NULL, NULL, NULL, 15),
(121861, NULL, 'PTHR24253:SF115', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 12', NULL, NULL, NULL, 15),
(121862, NULL, 'PTHR10797:SF42', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 11-RELATED', NULL, NULL, NULL, 15),
(121863, NULL, 'PTHR11514:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121864, NULL, 'PTHR31541:SF30', NULL, NULL, NULL, NULL, 'BNACNNG54020D PROTEIN', NULL, NULL, NULL, 15),
(121865, NULL, 'PTHR44420', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE DHAR2-RELATED', NULL, NULL, 38623, 15),
(121866, NULL, 'PTHR21515', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(121867, NULL, 'PTHR24314:SF21', NULL, NULL, NULL, NULL, 'CHLOROPHYLL(IDE) B REDUCTASE NYC1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(121868, NULL, 'PTHR24338:SF0', NULL, NULL, NULL, NULL, 'MUSCLE SEGMENTATION HOMEOBOX', NULL, NULL, NULL, 15),
(121869, NULL, 'PTHR46541', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN AEBP2', NULL, NULL, NULL, 15),
(121870, NULL, 'PTHR13526:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121871, NULL, 'PTHR32096:SF99', NULL, NULL, NULL, NULL, 'WRKY FAMILY TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(121872, NULL, 'PTHR22838:SF18', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 26-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(121873, NULL, 'PTHR14709', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(121874, NULL, 'PTHR47924:SF39', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121875, NULL, 'PTHR15857', NULL, NULL, NULL, NULL, 'COMM DOMAIN CONTAINING PROTEIN 2', NULL, NULL, 31345, 15),
(121876, NULL, 'PTHR11709:SF209', NULL, NULL, NULL, NULL, 'MULTICOPPER OXIDASE MMCO', NULL, NULL, NULL, 15),
(121877, NULL, 'PTHR24343:SF341', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(121878, NULL, 'PTHR36707:SF4', NULL, NULL, NULL, NULL, 'BNAC04G13120D PROTEIN', NULL, NULL, NULL, 15),
(121879, NULL, 'PTHR10091:SF27', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(121880, NULL, 'PTHR31044:SF36', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121881, NULL, 'PTHR24012:SF773', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(121882, NULL, 'PTHR43019:SF30', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(121883, NULL, 'PTHR23101:SF97', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10890)-RELATED', NULL, NULL, NULL, 15),
(121884, NULL, 'PTHR31282:SF114', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', NULL, NULL, NULL, 15),
(121885, NULL, 'PTHR42861:SF108', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(121886, NULL, 'PTHR31589:SF2', NULL, NULL, NULL, NULL, 'ASLB (DUF239)-RELATED', NULL, NULL, NULL, 15),
(121887, NULL, 'PTHR20968:SF0', NULL, NULL, NULL, NULL, 'RELAXIN-3', NULL, NULL, NULL, 15),
(121888, NULL, 'PTHR11588:SF312', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-2 CHAIN', NULL, NULL, NULL, 15),
(121889, NULL, 'PTHR37492:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-171H4.7-RELATED', NULL, NULL, NULL, 15),
(121890, NULL, 'PTHR19241:SF328', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(121891, NULL, 'PTHR43689:SF14', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE BODYGUARD 4-RELATED', NULL, NULL, NULL, 15),
(121892, NULL, 'PTHR21277:SF22', NULL, NULL, NULL, NULL, 'OS04G0284500 PROTEIN', NULL, NULL, NULL, 15),
(121893, NULL, 'PTHR24376:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121894, NULL, 'PTHR13962:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121895, NULL, 'PTHR45798:SF55', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121896, NULL, 'PTHR24296:SF199', NULL, NULL, NULL, NULL, 'CYTOCHROMEC1', NULL, NULL, NULL, 15),
(121897, NULL, 'PTHR15348:SF4', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(121898, NULL, 'PTHR10795:SF552', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.4', NULL, NULL, NULL, 15),
(121899, NULL, 'PTHR10891:SF796', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML30-RELATED', NULL, NULL, NULL, 15),
(121900, NULL, 'PTHR11260:SF637', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9-LIKE', NULL, NULL, NULL, 15),
(121901, NULL, 'PTHR46442:SF6', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 5', NULL, NULL, NULL, 15),
(121902, NULL, 'PTHR13683:SF797', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2-LIKE', NULL, NULL, NULL, 15),
(121903, NULL, 'PTHR43620:SF19', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121904, NULL, 'PTHR45977:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121905, NULL, 'PTHR11040:SF176', NULL, NULL, NULL, NULL, 'BNAA09G13960D PROTEIN', NULL, NULL, NULL, 15),
(121906, NULL, 'PTHR10766:SF126', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(121907, NULL, 'PTHR41686:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MYOMIXER', NULL, NULL, NULL, 15),
(121908, NULL, 'PTHR28158:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S35, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(121909, NULL, 'PTHR44376:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR LEUNIG_HOMOLOG', NULL, NULL, NULL, 15),
(121910, NULL, 'PTHR45979', NULL, NULL, NULL, NULL, 'PAP/OAS1 SUBSTRATE-BINDING DOMAIN SUPERFAMILY', NULL, NULL, NULL, 15),
(121911, NULL, 'PTHR46175:SF1', NULL, NULL, NULL, NULL, 'ADAGIO-LIKE PROTEIN 2-RELATED', NULL, NULL, 24503, 15),
(121912, NULL, 'PTHR31064:SF29', NULL, NULL, NULL, NULL, 'CATION TRANSPORTER HKT8', NULL, NULL, NULL, 15),
(121913, NULL, 'PTHR27003:SF384', NULL, NULL, NULL, NULL, 'ZINC FINGER, CHY-TYPE-RELATED', NULL, NULL, NULL, 15),
(121914, NULL, 'PTHR47315:SF3', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(121915, NULL, 'PTHR27007:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121916, NULL, 'PTHR18804:SF17', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(121917, NULL, 'PTHR48001:SF125', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1B1', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121918, NULL, 'PTHR48007:SF22', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 3 ISOFORM X1', NULL, NULL, NULL, 15),
(121919, NULL, 'PTHR31947:SF34', NULL, NULL, NULL, NULL, 'BNAC05G09730D PROTEIN', NULL, NULL, NULL, 15),
(121920, NULL, 'PTHR31104:SF15', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA-GLUCOSAMINYL)ASPARAGINE AMIDASE A', NULL, NULL, NULL, 15),
(121921, NULL, 'PTHR33021:SF346', NULL, NULL, NULL, NULL, 'OS03G0791300 PROTEIN', NULL, NULL, NULL, 15),
(121922, NULL, 'PTHR24414:SF104', NULL, NULL, NULL, NULL, 'BNACNNG53720D PROTEIN', NULL, NULL, NULL, 15),
(121923, NULL, 'PTHR32133:SF261', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(121924, NULL, 'PTHR31288:SF5', NULL, NULL, NULL, NULL, 'PROTEIN MANNAN SYNTHESIS-RELATED 1', NULL, NULL, NULL, 15),
(121925, NULL, 'PTHR10366:SF589', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE-LIKE SNL6', NULL, NULL, NULL, 15),
(121926, NULL, 'PTHR37781:SF1', NULL, NULL, NULL, NULL, 'TFIIH COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(121927, NULL, 'PTHR24317', NULL, NULL, NULL, NULL, 'PEROXISOMAL TRANS-2-ENOYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(121928, NULL, 'PTHR15938', NULL, NULL, NULL, NULL, 'TBP-1 INTERACTING PROTEIN', NULL, NULL, 31204, 15),
(121929, NULL, 'PTHR27008:SF455', NULL, NULL, NULL, NULL, 'OS02G0215900 PROTEIN', NULL, NULL, NULL, 15),
(121930, NULL, 'PTHR15204:SF6', NULL, NULL, NULL, NULL, 'UBIQUITIN-RELATED', NULL, NULL, NULL, 15),
(121931, NULL, 'PTHR10510:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A1', NULL, NULL, NULL, 15),
(121932, NULL, 'PTHR34269:SF17', NULL, NULL, NULL, NULL, 'BNACNNG54430D PROTEIN', NULL, NULL, NULL, 15),
(121933, NULL, 'PTHR16301:SF20', NULL, NULL, NULL, NULL, 'IMPACT FAMILY MEMBER YIGZ', NULL, NULL, NULL, 15),
(121934, NULL, 'PTHR46213:SF8', NULL, NULL, NULL, NULL, 'DEMETER-LIKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(121935, NULL, 'PTHR10285:SF173', NULL, NULL, NULL, NULL, 'URIDINE KINASE', NULL, NULL, NULL, 15),
(121936, NULL, 'PTHR38460', NULL, NULL, NULL, NULL, 'TAUTOMERASE YOLI-RELATED', NULL, NULL, 36056, 15),
(121937, NULL, 'PTHR11945:SF435', NULL, NULL, NULL, NULL, 'TRUNCATED TRANSCRIPTION FACTOR CAULIFLOWER A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(121938, NULL, 'PTHR22792:SF66', NULL, NULL, NULL, NULL, 'ACHILLES, ISOFORM A', NULL, NULL, NULL, 15),
(121939, NULL, 'PTHR11654:SF540', NULL, NULL, NULL, NULL, 'BNAA09G47380D PROTEIN', NULL, NULL, NULL, 15),
(121940, NULL, 'PTHR43464:SF25', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS O-METHYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(121941, NULL, 'PTHR31232:SF31', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(121942, NULL, 'PTHR15672:SF13', NULL, NULL, NULL, NULL, 'R3H DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(121943, NULL, 'PTHR27004:SF353', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRI1', NULL, NULL, NULL, 15),
(121944, NULL, 'PTHR33090:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121945, NULL, 'PTHR46128:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121946, NULL, 'PTHR30532:SF1', NULL, NULL, NULL, NULL, 'IRON(3+)-HYDROXAMATE-BINDING PROTEIN FHUD', NULL, NULL, NULL, 15),
(121947, NULL, 'PTHR44830', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1 ALPHA', NULL, NULL, NULL, 15),
(121948, NULL, 'PTHR11893:SF42', NULL, NULL, NULL, NULL, 'INNEXIN-5', NULL, NULL, NULL, 15),
(121949, NULL, 'PTHR23266:SF326', NULL, NULL, NULL, NULL, 'RCG64228', NULL, NULL, NULL, 15),
(121950, NULL, 'PTHR10168:SF271', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE, PLANT II, THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121951, NULL, 'PTHR46136:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121952, NULL, 'PTHR24414:SF26', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 8B', NULL, NULL, NULL, 15),
(121953, NULL, 'PTHR43806:SF13', NULL, NULL, NULL, NULL, 'SUBTILASE-TYPE PROTEINASE RRT12', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121954, NULL, 'PTHR48178:SF1', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS FACTOR 2', NULL, NULL, NULL, 15),
(121955, NULL, 'PTHR12147:SF17', NULL, NULL, NULL, NULL, 'PEPTIDE HYDROLASE', NULL, NULL, 22933, 15),
(121956, NULL, 'PTHR38812', NULL, NULL, NULL, NULL, 'MU-LIKE PROPHAGE FLUMU PROTEIN GP42', NULL, NULL, NULL, 15),
(121957, NULL, 'PTHR15511', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 13B', NULL, NULL, 15579, 15),
(121958, NULL, 'PTHR11969:SF46', NULL, NULL, NULL, NULL, 'OS05G0586300 PROTEIN', NULL, NULL, NULL, 15),
(121959, NULL, 'PTHR34946:SF10', NULL, NULL, NULL, NULL, 'PROTEIN SHOOT GRAVITROPISM 5', NULL, NULL, NULL, 15),
(121960, NULL, 'PTHR22893:SF62', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121961, NULL, 'PTHR12236:SF7', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 57A, ISOFORM A', NULL, NULL, NULL, 15),
(121962, NULL, 'PTHR10994:SF160', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121963, NULL, 'PTHR33059:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121964, NULL, 'PTHR48056:SF17', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1', NULL, NULL, NULL, 15),
(121965, NULL, 'PTHR22870:SF398', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HERC2', NULL, NULL, NULL, 15),
(121966, NULL, 'PTHR32295:SF10', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', NULL, NULL, NULL, 15),
(121967, NULL, 'PTHR43271', NULL, NULL, NULL, NULL, 'BLL2771 PROTEIN', NULL, NULL, NULL, 15),
(121968, NULL, 'PTHR45625:SF5', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE DOMAIN AND WD REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(121969, NULL, 'PTHR31321:SF88', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(121970, NULL, 'PTHR36919', NULL, NULL, NULL, NULL, 'BLR1215 PROTEIN', NULL, NULL, NULL, 15),
(121971, NULL, 'PTHR13068:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTEF1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(121972, NULL, 'PTHR43880:SF4', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE CLASS-3', NULL, NULL, NULL, 15),
(121973, NULL, 'PTHR10285:SF170', NULL, NULL, NULL, NULL, 'MIBP PROTEIN', NULL, NULL, NULL, 15),
(121974, NULL, 'PTHR24209:SF23', NULL, NULL, NULL, NULL, 'PROTEIN DA1-RELATED 2', NULL, NULL, NULL, 15),
(121975, NULL, 'PTHR45622:SF43', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECTD2-RELATED', NULL, NULL, NULL, 15),
(121976, NULL, 'PTHR32015:SF27', NULL, NULL, NULL, NULL, 'FASTING INDUCED LIPASE', NULL, NULL, NULL, 15),
(121977, NULL, 'PTHR23310:SF53', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(121978, NULL, 'PTHR43709:SF3', NULL, NULL, NULL, NULL, 'ISOMERASE YBHH-RELATED', NULL, NULL, NULL, 15),
(121979, NULL, 'PTHR18895:SF74', NULL, NULL, NULL, NULL, 'MTRF1L RELEASE FACTOR GLUTAMINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(121980, NULL, 'PTHR45816:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121981, NULL, 'PTHR13450', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 39S RIBOSOMAL PROTEIN L42', NULL, NULL, 15508, 15),
(121982, NULL, 'PTHR31375:SF158', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', NULL, NULL, NULL, 15),
(121983, NULL, 'PTHR31342:SF48', NULL, NULL, NULL, NULL, 'CHUP1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121984, NULL, 'PTHR10192', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN BIOSYNTHESIS PROTEIN', NULL, NULL, 30125, 15),
(121985, NULL, 'PTHR48044:SF22', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(121986, NULL, 'PTHR16483:SF3', NULL, NULL, NULL, NULL, 'GASTROKINE-2', NULL, NULL, NULL, 15),
(121987, NULL, 'PTHR22802:SF406', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 19 MEMBER A', NULL, NULL, NULL, 15),
(121988, NULL, 'PTHR31989:SF379', NULL, NULL, NULL, NULL, 'BNAA04G10830D PROTEIN', NULL, NULL, NULL, 15),
(121989, NULL, 'PTHR10071:SF149', NULL, NULL, NULL, NULL, 'ENDOTHELIAL TRANSCRIPTION FACTOR GATA-2', NULL, NULL, 25681, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(121990, NULL, 'PTHR43626', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE', NULL, NULL, 37098, 15),
(121991, NULL, 'PTHR22762:SF120', NULL, NULL, NULL, NULL, 'HETEROGLYCAN GLUCOSIDASE 1', NULL, NULL, NULL, 15),
(121992, NULL, 'PTHR46497', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(121993, NULL, 'PTHR33055:SF10', NULL, NULL, NULL, NULL, 'PUTATIVE TRANSPOSASE FOR IS117-RELATED', NULL, NULL, NULL, 15),
(121994, NULL, 'PTHR13683:SF827', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(121995, NULL, 'PTHR11848:SF143', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 2', NULL, NULL, NULL, 15),
(121996, NULL, 'PTHR45418', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN 55', NULL, NULL, NULL, 15),
(121997, NULL, 'PTHR12378:SF49', NULL, NULL, NULL, NULL, 'DESI-LIKE PROTEIN', NULL, NULL, NULL, 15),
(121998, NULL, 'PTHR32096:SF104', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(121999, NULL, 'PTHR19282:SF395', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(122000, NULL, 'PTHR24118:SF75', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 7', NULL, NULL, NULL, 15),
(122001, NULL, 'PTHR10707:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 4I1', NULL, NULL, NULL, 15),
(122002, NULL, 'PTHR31656:SF16', NULL, NULL, NULL, NULL, 'OS01G0968300 PROTEIN', NULL, NULL, NULL, 15),
(122003, NULL, 'PTHR47244:SF3', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE IBR5', NULL, NULL, NULL, 15),
(122004, NULL, 'PTHR31929:SF92', NULL, NULL, NULL, NULL, 'BNAC09G39840D PROTEIN', NULL, NULL, NULL, 15),
(122005, NULL, 'PTHR11527:SF290', NULL, NULL, NULL, NULL, '16.9 KDA CLASS I HEAT SHOCK PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(122006, NULL, 'PTHR42951:SF10', NULL, NULL, NULL, NULL, '2-AMINOBENZOYLACETYL-COA THIOESTERASE', NULL, NULL, NULL, 15),
(122007, NULL, 'PTHR12921:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN-FOLD MODIFIER-CONJUGATING ENZYME 1', NULL, NULL, NULL, 15),
(122008, NULL, 'PTHR46775', NULL, NULL, NULL, NULL, 'FLOCCULATION PROTEIN (DUF1296)', NULL, NULL, 38793, 15),
(122009, NULL, 'PTHR43791:SF70', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122010, NULL, 'PTHR40744', NULL, NULL, NULL, NULL, 'SODIUM STIBOGLUCONATE RESISTANCE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122011, NULL, 'PTHR11709:SF336', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(122012, NULL, 'PTHR31190:SF150', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 2-LIKE', NULL, NULL, NULL, 15),
(122013, NULL, 'PTHR11685:SF259', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(122014, NULL, 'PTHR19965:SF65', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4A', NULL, NULL, NULL, 15),
(122015, NULL, 'PTHR31889:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122016, NULL, 'PTHR24177:SF279', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(122017, NULL, 'PTHR36360:SF1', NULL, NULL, NULL, NULL, 'ACTIN T1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(122018, NULL, 'PTHR11247:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122019, NULL, 'PTHR48008:SF9', NULL, NULL, NULL, NULL, 'MERISTEMATIC RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(122020, NULL, 'PTHR38111:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122021, NULL, 'PTHR11075', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR', NULL, NULL, NULL, 15),
(122022, NULL, 'PTHR43503:SF4', NULL, NULL, NULL, NULL, 'MCG48959-RELATED', NULL, NULL, NULL, 15),
(122023, NULL, 'PTHR22761:SF10', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 4C', NULL, NULL, NULL, 15),
(122024, NULL, 'PTHR45660:SF30', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH4', NULL, NULL, NULL, 15),
(122025, NULL, 'PTHR45675:SF47', NULL, NULL, NULL, NULL, 'BNAA01G32800D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122026, NULL, 'PTHR42993', NULL, NULL, NULL, NULL, 'MAOC-LIKE DEHYDRATASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(122027, NULL, 'PTHR43130:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122028, NULL, 'PTHR23120:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122029, NULL, 'PTHR46754:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122030, NULL, 'PTHR46387:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122031, NULL, 'PTHR32370:SF153', NULL, NULL, NULL, NULL, 'BNAA09G06800D PROTEIN', NULL, NULL, 22072, 15),
(122032, NULL, 'PTHR31415:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122033, NULL, 'PTHR34702', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT F1', NULL, NULL, 1406, 15),
(122034, NULL, 'PTHR11937:SF192', NULL, NULL, NULL, NULL, 'ACTIN, CYTOPLASMIC 1', NULL, NULL, NULL, 15),
(122035, NULL, 'PTHR46330:SF8', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 10C', NULL, NULL, NULL, 15),
(122036, NULL, 'PTHR45940:SF11', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 3-LIKE', NULL, NULL, NULL, 15),
(122037, NULL, 'PTHR42829:SF10', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE SUBUNIT 5', NULL, NULL, NULL, 15),
(122038, NULL, 'PTHR12768:SF6', NULL, NULL, NULL, NULL, 'BECLIN-1', NULL, NULL, 25527, 15),
(122039, NULL, 'PTHR42684:SF15', NULL, NULL, NULL, NULL, 'BNAC06G05970D PROTEIN', NULL, NULL, NULL, 15),
(122040, NULL, 'PTHR43808:SF1', NULL, NULL, NULL, NULL, 'ACETYLORNITHINE DEACETYLASE', NULL, NULL, 10625, 15),
(122041, NULL, 'PTHR46073:SF4', NULL, NULL, NULL, NULL, 'CHITINASE', NULL, NULL, NULL, 15),
(122042, NULL, 'PTHR19282:SF357', NULL, NULL, NULL, NULL, 'TETRASPANIN FAMILY', NULL, NULL, NULL, 15),
(122043, NULL, 'PTHR33873:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR VOZ2', NULL, NULL, NULL, 15),
(122044, NULL, 'PTHR10896:SF21', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(122045, NULL, 'PTHR31945:SF78', NULL, NULL, NULL, NULL, 'OS05G0337200 PROTEIN', NULL, NULL, NULL, 15),
(122046, NULL, 'PTHR21654:SF65', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-2', NULL, NULL, NULL, 15),
(122047, NULL, 'PTHR37916:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122048, NULL, 'PTHR13124', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L46, MITOCHONDRIAL PRECURSOR-RELATED', NULL, NULL, 34134, 15),
(122049, NULL, 'PTHR32345:SF3', NULL, NULL, NULL, NULL, 'MYB-RELATED TRANSCRIPTION FACTOR, PARTNER OF PROFILIN', NULL, NULL, NULL, 15),
(122050, NULL, 'PTHR24247:SF238', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR 1', NULL, NULL, NULL, 15),
(122051, NULL, 'PTHR30294:SF40', NULL, NULL, NULL, NULL, 'ESX SECRETION SYSTEM PROTEIN YUEB', NULL, NULL, NULL, 15),
(122052, NULL, 'PTHR37385:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LOW PSII ACCUMULATION 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(122053, NULL, 'PTHR47984:SF20', NULL, NULL, NULL, NULL, 'OS01G0631700 PROTEIN', NULL, NULL, NULL, 15),
(122054, NULL, 'PTHR10353:SF261', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 17', NULL, NULL, NULL, 15),
(122055, NULL, 'PTHR13072', NULL, NULL, NULL, NULL, 'DYNACTIN 6', NULL, NULL, 26934, 15),
(122056, NULL, 'PTHR45652:SF10', NULL, NULL, NULL, NULL, 'SI:DKEY-27M7.4', NULL, NULL, NULL, 15),
(122057, NULL, 'PTHR22849:SF132', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PUB23', NULL, NULL, NULL, 15),
(122058, NULL, 'PTHR45631:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122059, NULL, 'PTHR15146', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR137', NULL, NULL, 25529, 15),
(122060, NULL, 'PTHR23155:SF935', NULL, NULL, NULL, NULL, 'OS08G0246300 PROTEIN', NULL, NULL, NULL, 15),
(122061, NULL, 'PTHR19288:SF75', NULL, NULL, NULL, NULL, 'FI11325P-RELATED', NULL, NULL, NULL, 15),
(122062, NULL, 'PTHR43082', NULL, NULL, NULL, NULL, 'FERREDOXIN-LIKE', NULL, NULL, 13749, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122063, NULL, 'PTHR46262:SF2', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN BINIOU', NULL, NULL, NULL, 15),
(122064, NULL, 'PTHR24377:SF667', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 184', NULL, NULL, NULL, 15),
(122065, NULL, 'PTHR37038:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR', NULL, NULL, NULL, 15),
(122066, NULL, 'PTHR31048:SF43', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1B', NULL, NULL, NULL, 15),
(122067, NULL, 'PTHR17597', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN MLC1', NULL, NULL, 29365, 15),
(122068, NULL, 'PTHR13872:SF43', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT STT3A', NULL, NULL, NULL, 15),
(122069, NULL, 'PTHR22916:SF68', NULL, NULL, NULL, NULL, 'UDP-GLCNAC:BETAGAL BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(122070, NULL, 'PTHR13902', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK  WITH NO LYSINE -RELATED', NULL, NULL, NULL, 15),
(122071, NULL, 'PTHR14221:SF47', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122072, NULL, 'PTHR23226:SF289', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 818-RELATED', NULL, NULL, NULL, 15),
(122073, NULL, 'PTHR24115:SF936', NULL, NULL, NULL, NULL, 'SI:CH73-375G18.1', NULL, NULL, NULL, 15),
(122074, NULL, 'PTHR46414:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR-ASSOCIATED SORTING PROTEIN 2', NULL, NULL, NULL, 15),
(122075, NULL, 'PTHR22916:SF62', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS GLYCOSYL TRANSFERASE WCAE-RELATED', NULL, NULL, NULL, 15),
(122076, NULL, 'PTHR10231:SF77', NULL, NULL, NULL, NULL, 'UDP-SUGAR TRANSPORTER PROTEIN SLC35A4-RELATED', NULL, NULL, NULL, 15),
(122077, NULL, 'PTHR23166:SF3', NULL, NULL, NULL, NULL, 'FILAMIN-A-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(122078, NULL, 'PTHR47997:SF2', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(122079, NULL, 'PTHR12611:SF6', NULL, NULL, NULL, NULL, 'PURINE-RICH ELEMENT-BINDING PROTEIN BA', NULL, NULL, NULL, 15),
(122080, NULL, 'PTHR31552:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-33', NULL, NULL, NULL, 15),
(122081, NULL, 'PTHR10333:SF101', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ING2', NULL, NULL, NULL, 15),
(122082, NULL, 'PTHR23239:SF360', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122083, NULL, 'PTHR14224:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122084, NULL, 'PTHR47917:SF2', NULL, NULL, NULL, NULL, 'F420-DEPENDENT OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(122085, NULL, 'PTHR42800', NULL, NULL, NULL, NULL, 'EXOINULINASE INUD (AFU_ORTHOLOGUE AFUA_5G00480)', NULL, NULL, NULL, 15),
(122086, NULL, 'PTHR11654:SF90', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 7.3', NULL, NULL, NULL, 15),
(122087, NULL, 'PTHR11831:SF30', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S4-RELATED', NULL, NULL, NULL, 15),
(122088, NULL, 'PTHR11203:SF11', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 3', NULL, NULL, NULL, 15),
(122089, NULL, 'PTHR46837:SF6', NULL, NULL, NULL, NULL, 'CASC3/BARENTSZ EIF4AIII BINDING PROTEIN', NULL, NULL, NULL, 15),
(122090, NULL, 'PTHR24361:SF711', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122091, NULL, 'PTHR19384:SF117', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', NULL, NULL, NULL, 15),
(122092, NULL, 'PTHR10353:SF249', NULL, NULL, NULL, NULL, 'BNAC08G10080D PROTEIN', NULL, NULL, NULL, 15),
(122093, NULL, 'PTHR24115:SF590', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-UC', NULL, NULL, 30728, 15),
(122094, NULL, 'PTHR23155:SF1134', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122095, NULL, 'PTHR24381:SF351', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 20', NULL, NULL, NULL, 15),
(122096, NULL, 'PTHR31656:SF0', NULL, NULL, NULL, NULL, 'ROOT CAP DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122097, NULL, 'PTHR23199:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SPAETZLE 4', NULL, NULL, NULL, 15),
(122098, NULL, 'PTHR46162:SF42', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122099, NULL, 'PTHR42861:SF25', NULL, NULL, NULL, NULL, 'ATPASE 8, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(122100, NULL, 'PTHR31707:SF193', NULL, NULL, NULL, NULL, 'PECTINESTERASE 2', NULL, NULL, NULL, 15),
(122101, NULL, 'PTHR11504:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6A1-RELATED', NULL, NULL, NULL, 15),
(122102, NULL, 'PTHR33730:SF4', NULL, NULL, NULL, NULL, 'OS05G0542732 PROTEIN', NULL, NULL, NULL, 15),
(122103, NULL, 'PTHR48041:SF10', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 6', NULL, NULL, NULL, 15),
(122104, NULL, 'PTHR23334:SF57', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN GAMMA', NULL, NULL, NULL, 15),
(122105, NULL, 'PTHR31509:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122106, NULL, 'PTHR11106:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122107, NULL, 'PTHR38758', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122108, NULL, 'PTHR21530:SF9', NULL, NULL, NULL, NULL, 'BNAC08G44160D PROTEIN', NULL, NULL, NULL, 15),
(122109, NULL, 'PTHR33538:SF2', NULL, NULL, NULL, NULL, 'PROTEIN GAMETE EXPRESSED 1', NULL, NULL, NULL, 15),
(122110, NULL, 'PTHR42760:SF78', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER PROTEIN] REDUCTASE FABG4 (3-KETOACYL-ACYL CARRIER PROTEIN REDUCTASE)-RELATED', NULL, NULL, NULL, 15),
(122111, NULL, 'PTHR11802:SF394', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(122112, NULL, 'PTHR26374:SF377', NULL, NULL, NULL, NULL, 'C2H2 ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(122113, NULL, 'PTHR31374:SF28', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(122114, NULL, 'PTHR45660:SF13', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETMAR', NULL, NULL, NULL, 15),
(122115, NULL, 'PTHR21349:SF4', NULL, NULL, NULL, NULL, 'BNAA01G06210D PROTEIN', NULL, NULL, NULL, 15),
(122116, NULL, 'PTHR43201:SF21', NULL, NULL, NULL, NULL, 'AMP DEPENDENT COA LIGASE', NULL, NULL, NULL, 15),
(122117, NULL, 'PTHR23503:SF22', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 11', NULL, NULL, NULL, 15),
(122118, NULL, 'PTHR42779', NULL, NULL, NULL, NULL, 'PROTEIN YNJB', NULL, NULL, NULL, 15),
(122119, NULL, 'PTHR16062:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122120, NULL, 'PTHR43871', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE YWHC-RELATED', NULL, NULL, NULL, 15),
(122121, NULL, 'PTHR11935:SF143', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE', NULL, NULL, NULL, 15),
(122122, NULL, 'PTHR23428:SF276', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(122123, NULL, 'PTHR23225', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, 30922, 15),
(122124, NULL, 'PTHR12654:SF25', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', NULL, NULL, NULL, 15),
(122125, NULL, 'PTHR12349:SF7', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(122126, NULL, 'PTHR11036:SF15', NULL, NULL, NULL, NULL, 'SEMAPHORIN-4A', NULL, NULL, NULL, 15),
(122127, NULL, 'PTHR15136:SF5', NULL, NULL, NULL, NULL, 'STROMAL INTERACTION MOLECULE HOMOLOG', NULL, NULL, NULL, 15),
(122128, NULL, 'PTHR24349:SF391', NULL, NULL, NULL, NULL, 'BNAC09G38250D PROTEIN', NULL, NULL, NULL, 15),
(122129, NULL, 'PTHR40704', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT4', NULL, NULL, 742, 15),
(122130, NULL, 'PTHR34709:SF11', NULL, NULL, NULL, NULL, 'OS07G0113600 PROTEIN', NULL, NULL, NULL, 15),
(122131, NULL, 'PTHR48107:SF5', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER PROTEIN] REDUCTASE', NULL, NULL, NULL, 15),
(122132, NULL, 'PTHR43580:SF5', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G13320)', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122133, NULL, 'PTHR18937', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES SMC FAMILY MEMBER', NULL, NULL, NULL, 15),
(122134, NULL, 'PTHR24056:SF159', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 15', NULL, NULL, NULL, 15),
(122135, NULL, 'PTHR48017:SF89', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 2', NULL, NULL, NULL, 15),
(122136, NULL, 'PTHR11937:SF370', NULL, NULL, NULL, NULL, 'ALPHA-CENTRACTIN', NULL, NULL, NULL, 15),
(122137, NULL, 'PTHR19877:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT I', NULL, NULL, NULL, 15),
(122138, NULL, 'PTHR10438:SF384', NULL, NULL, NULL, NULL, 'MONODEHYDROASCORBATE REDUCTASE (NADH)-RELATED', NULL, NULL, NULL, 15),
(122139, NULL, 'PTHR10585:SF76', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN RETAINING RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(122140, NULL, 'PTHR31080:SF94', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(122141, NULL, 'PTHR12406:SF4', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PHOSPHOLIPASE DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(122142, NULL, 'PTHR45894', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 8A', NULL, NULL, 6041, 15),
(122143, NULL, 'PTHR45619:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(122144, NULL, 'PTHR10131:SF21', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 2', NULL, NULL, 24967, 15),
(122145, NULL, 'PTHR10271:SF31', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 9', NULL, NULL, NULL, 15),
(122146, NULL, 'PTHR34986:SF4', NULL, NULL, NULL, NULL, 'TOXIN-ANTITOXIN BIOFILM PROTEIN TABA', NULL, NULL, NULL, 15),
(122147, NULL, 'PTHR27002:SF859', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122148, NULL, 'PTHR46033:SF45', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM HOMOLOG', NULL, NULL, NULL, 15),
(122149, NULL, 'PTHR31307:SF53', NULL, NULL, NULL, NULL, 'BNAA05G14030D PROTEIN', NULL, NULL, NULL, 15),
(122150, NULL, 'PTHR11668:SF449', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(122151, NULL, 'PTHR10177:SF225', NULL, NULL, NULL, NULL, 'CYCLIN-D5-2', NULL, NULL, NULL, 15),
(122152, NULL, 'PTHR24023:SF896', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(122153, NULL, 'PTHR22957:SF521', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(122154, NULL, 'PTHR47179:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(122155, NULL, 'PTHR22298:SF113', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(122156, NULL, 'PTHR24418:SF367', NULL, NULL, NULL, NULL, 'INACTIVE TYROSINE-PROTEIN KINASE KIN-32', NULL, NULL, NULL, 15),
(122157, NULL, 'PTHR32093:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122158, NULL, 'PTHR24203', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(122159, NULL, 'PTHR32057:SF16', NULL, NULL, NULL, NULL, 'UPF0061 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122160, NULL, 'PTHR33936:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG22545', NULL, NULL, NULL, 15),
(122161, NULL, 'PTHR12131:SF21', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE MER3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(122162, NULL, 'PTHR48005:SF11', NULL, NULL, NULL, NULL, 'BNAC09G50960D PROTEIN', NULL, NULL, NULL, 15),
(122163, NULL, 'PTHR11017:SF359', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(122164, NULL, 'PTHR24376:SF190', NULL, NULL, NULL, NULL, 'SI:DKEY-89B17.4', NULL, NULL, NULL, 15),
(122165, NULL, 'PTHR46632:SF23', NULL, NULL, NULL, NULL, 'BNAA04G28030D PROTEIN', NULL, NULL, NULL, 15),
(122166, NULL, 'PTHR46330:SF4', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 10D', NULL, NULL, NULL, 15),
(122167, NULL, 'PTHR33985:SF17', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122168, NULL, 'PTHR27009:SF74', NULL, NULL, NULL, NULL, 'OS01G0117200 PROTEIN', NULL, NULL, NULL, 15),
(122169, NULL, 'PTHR23268:SF99', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 5-8', NULL, NULL, NULL, 15),
(122170, NULL, 'PTHR10334:SF478', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED LEAF PROTEIN 6', NULL, NULL, NULL, 15),
(122171, NULL, 'PTHR20208:SF10', NULL, NULL, NULL, NULL, 'STRUCTURE-SPECIFIC ENDONUCLEASE SUBUNIT SLX1', NULL, NULL, NULL, 15),
(122172, NULL, 'PTHR35889:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122173, NULL, 'PTHR23107:SF0', NULL, NULL, NULL, NULL, 'GRF1-INTERACTING FACTOR 2-RELATED', NULL, NULL, NULL, 15),
(122174, NULL, 'PTHR38614:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG04040', NULL, NULL, NULL, 15),
(122175, NULL, 'PTHR46671:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG24931', NULL, NULL, NULL, 15),
(122176, NULL, 'PTHR31989:SF104', NULL, NULL, NULL, NULL, 'NAC DOMAIN TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122177, NULL, 'PTHR10994:SF85', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B9', NULL, NULL, NULL, 15),
(122178, NULL, 'PTHR35703:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122179, NULL, 'PTHR48019:SF89', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL16', NULL, NULL, NULL, 15),
(122180, NULL, 'PTHR46067', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(122181, NULL, 'PTHR47440:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA A430078G23 GENE', NULL, NULL, NULL, 15),
(122182, NULL, 'PTHR33511', NULL, NULL, NULL, NULL, 'OS06G0632400 PROTEIN', NULL, NULL, NULL, 15),
(122183, NULL, 'PTHR13593:SF89', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(122184, NULL, 'PTHR18934:SF225', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN CONTAINING 9', NULL, NULL, NULL, 15),
(122185, NULL, 'PTHR33346:SF33', NULL, NULL, NULL, NULL, 'DEHYDRIN RAB15', NULL, NULL, NULL, 15),
(122186, NULL, 'PTHR37264:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L31', NULL, NULL, NULL, 15),
(122187, NULL, 'PTHR37189', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122188, NULL, 'PTHR11945:SF603', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122189, NULL, 'PTHR11890', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR FAMILY MEMBER', NULL, NULL, 17985, 15),
(122190, NULL, 'PTHR30570', NULL, NULL, NULL, NULL, 'PERIPLASMIC PHOSPHATE BINDING COMPONENT OF PHOSPHATE ABC TRANSPORTER', NULL, NULL, NULL, 15),
(122191, NULL, 'PTHR35119:SF5', NULL, NULL, NULL, NULL, 'PROTEIN GIGAS CELL1', NULL, NULL, NULL, 15),
(122192, NULL, 'PTHR11850', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN TRANSCRIPTION FACTORS', NULL, NULL, NULL, 15),
(122193, NULL, 'PTHR31673:SF30', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(122194, NULL, 'PTHR31889:SF62', NULL, NULL, NULL, NULL, 'OS06G0211700 PROTEIN', NULL, NULL, NULL, 15),
(122195, NULL, 'PTHR23192:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CBG11927', NULL, NULL, NULL, 15),
(122196, NULL, 'PTHR48025:SF9', NULL, NULL, NULL, NULL, 'OS02G0815200 PROTEIN', NULL, NULL, NULL, 15),
(122197, NULL, 'PTHR11669:SF63', NULL, NULL, NULL, NULL, 'PROTEIN STICHEL-LIKE 1', NULL, NULL, NULL, 15),
(122198, NULL, 'PTHR15288:SF2', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 2D', NULL, NULL, NULL, 15),
(122199, NULL, 'PTHR15360:SF1', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR RECEPTOR-LIKE PROTEIN', NULL, NULL, 39218, 15),
(122200, NULL, 'PTHR47809:SF2', NULL, NULL, NULL, NULL, 'DNA-BINDING BROMODOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(122201, NULL, 'PTHR31218:SF188', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(122202, NULL, 'PTHR13878:SF125', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE 3', NULL, NULL, NULL, 15),
(122203, NULL, 'PTHR47775:SF1', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 14', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122204, NULL, 'PTHR21495:SF148', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(122205, NULL, 'PTHR31360:SF14', NULL, NULL, NULL, NULL, 'OIL BODY-ASSOCIATED PROTEIN 2B', NULL, NULL, NULL, 15),
(122206, NULL, 'PTHR43675:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122207, NULL, 'PTHR16146:SF21', NULL, NULL, NULL, NULL, 'INTELECTIN-2', NULL, NULL, NULL, 15),
(122208, NULL, 'PTHR45824:SF10', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(122209, NULL, 'PTHR35511', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(122210, NULL, 'PTHR10270:SF199', NULL, NULL, NULL, NULL, 'SEX-DETERMINING REGION Y PROTEIN', NULL, NULL, 15736, 15),
(122211, NULL, 'PTHR30032:SF5', NULL, NULL, NULL, NULL, 'GERMINATION-SPECIFIC N-ACETYLMURAMOYL-L-ALANINE AMIDASE', NULL, NULL, NULL, 15),
(122212, NULL, 'PTHR13061:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122213, NULL, 'PTHR35284:SF6', NULL, NULL, NULL, NULL, 'HOP-INTERACTING PROTEIN THI045', NULL, NULL, NULL, 15),
(122214, NULL, 'PTHR13114', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 17', NULL, NULL, 15141, 15),
(122215, NULL, 'PTHR45660:SF55', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, SUVH PROTEIN', NULL, NULL, NULL, 15),
(122216, NULL, 'PTHR30199', NULL, NULL, NULL, NULL, 'MFS FAMILY TRANSPORTER, PREDICTED SUBSTRATE BENZOATE', NULL, NULL, 3774, 15),
(122217, NULL, 'PTHR47997:SF45', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB83', NULL, NULL, NULL, 15),
(122218, NULL, 'PTHR11206:SF429', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(122219, NULL, 'PTHR46111', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE I', NULL, NULL, 7255, 15),
(122220, NULL, 'PTHR27005:SF250', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(122221, NULL, 'PTHR48040:SF8', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE SUBFAMILY PROTEIN', NULL, NULL, NULL, 15),
(122222, NULL, 'PTHR24326:SF577', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-40-LIKE', NULL, NULL, NULL, 15),
(122223, NULL, 'PTHR10792:SF39', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24-LIKE', NULL, NULL, NULL, 15),
(122224, NULL, 'PTHR47087:SF1', NULL, NULL, NULL, NULL, 'METHIONINE S-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(122225, NULL, 'PTHR43859:SF4', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 1, PEROXISOMAL-RELATED', NULL, NULL, NULL, 15),
(122226, NULL, 'PTHR45680:SF25', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(122227, NULL, 'PTHR22747', NULL, NULL, NULL, NULL, 'NUCLEOPLASMIN', NULL, NULL, 4626, 15),
(122228, NULL, 'PTHR33526:SF27', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(122229, NULL, 'PTHR24062:SF49', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(122230, NULL, 'PTHR14237:SF57', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE (PLP)-DEPENDENT TRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(122231, NULL, 'PTHR31080:SF244', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(122232, NULL, 'PTHR11814:SF216', NULL, NULL, NULL, NULL, 'HIGH AFFINITY SULFATE TRANSPORTER TYPE 1', NULL, NULL, NULL, 15),
(122233, NULL, 'PTHR10108:SF1121', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122234, NULL, 'PTHR12553:SF70', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE-LIKE', NULL, NULL, NULL, 15),
(122235, NULL, 'PTHR30151:SF20', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN HI_0355-RELATED', NULL, NULL, NULL, 15),
(122236, NULL, 'PTHR31876:SF15', NULL, NULL, NULL, NULL, 'COV-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(122237, NULL, 'PTHR48150:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE-ASSEMBLY FACTOR COX23, MITOCHONDRIAL', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122238, NULL, 'PTHR43349:SF70', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(122239, NULL, 'PTHR10562:SF92', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', NULL, NULL, NULL, 15),
(122240, NULL, 'PTHR21659:SF91', NULL, NULL, NULL, NULL, 'LOW TEMPERATURE AND SALT RESPONSIVE PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(122241, NULL, 'PTHR34045:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122242, NULL, 'PTHR10117:SF8', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 3', NULL, NULL, 979, 15),
(122243, NULL, 'PTHR31005:SF4', NULL, NULL, NULL, NULL, 'C.ELEGANS ORTHOLOGUE OF YEAST OLIGOSACCHARYLTRANSFERASE OST4P-RELATED', NULL, NULL, NULL, 15),
(122244, NULL, 'PTHR47031:SF3', NULL, NULL, NULL, NULL, 'SAP DNA-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(122245, NULL, 'PTHR32153:SF13', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', NULL, NULL, NULL, 15),
(122246, NULL, 'PTHR33990:SF2', NULL, NULL, NULL, NULL, 'BLL6663 PROTEIN', NULL, NULL, NULL, 15),
(122247, NULL, 'PTHR45763:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(122248, NULL, 'PTHR33472:SF20', NULL, NULL, NULL, NULL, 'BNAA04G27120D PROTEIN', NULL, NULL, NULL, 15),
(122249, NULL, 'PTHR12901:SF9', NULL, NULL, NULL, NULL, 'COENZYME Q-BINDING PROTEIN COQ10 HOMOLOG B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122250, NULL, 'PTHR43828:SF6', NULL, NULL, NULL, NULL, 'C.ELEGANS CHROMODOMAIN PROTEIN', NULL, NULL, NULL, 15),
(122251, NULL, 'PTHR44191:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DIVARICATA', NULL, NULL, NULL, 15),
(122252, NULL, 'PTHR37231', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(122253, NULL, 'PTHR14167:SF65', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(122254, NULL, 'PTHR24015:SF1903', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(122255, NULL, 'PTHR27001:SF881', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(122256, NULL, 'PTHR11963:SF41', NULL, NULL, NULL, NULL, 'LEUCINE AMINOPEPTIDASE 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(122257, NULL, 'PTHR46224:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122258, NULL, 'PTHR11071:SF502', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP18-4', NULL, NULL, NULL, 15),
(122259, NULL, 'PTHR43795:SF20', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(122260, NULL, 'PTHR10229:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122261, NULL, 'PTHR45642:SF83', NULL, NULL, NULL, NULL, 'BNAA09G15550D PROTEIN', NULL, NULL, NULL, 15),
(122262, NULL, 'PTHR10418', NULL, NULL, NULL, NULL, 'SECURIN-3', NULL, NULL, 5686, 15),
(122263, NULL, 'PTHR46991:SF20', NULL, NULL, NULL, NULL, 'BNAA02G24820D PROTEIN', NULL, NULL, NULL, 15),
(122264, NULL, 'PTHR43853:SF19', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE A, PEROXISOMAL', NULL, NULL, NULL, 15),
(122265, NULL, 'PTHR43574:SF47', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 3'',5''-EPIMERASE', NULL, NULL, NULL, 15),
(122266, NULL, 'PTHR33091:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122267, NULL, 'PTHR31096:SF69', NULL, NULL, NULL, NULL, 'BNAC06G29950D PROTEIN', NULL, NULL, NULL, 15),
(122268, NULL, 'PTHR46441:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EPIDIDYMAL PROTEIN 1', NULL, NULL, NULL, 15),
(122269, NULL, 'PTHR10985:SF12', NULL, NULL, NULL, NULL, 'ENHANCER OF SPLIT M3 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122270, NULL, 'PTHR21531:SF1', NULL, NULL, NULL, NULL, 'OS07G0634300 PROTEIN', NULL, NULL, NULL, 15),
(122271, NULL, 'PTHR11538:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122272, NULL, 'PTHR19433:SF76', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 5', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122273, NULL, 'PTHR24180:SF3', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE TANKYRASE-1', NULL, NULL, 23289, 15),
(122274, NULL, 'PTHR47979:SF60', NULL, NULL, NULL, NULL, 'RAS-RELATED SMALL GTP-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(122275, NULL, 'PTHR11486:SF140', NULL, NULL, NULL, NULL, 'EGL-17', NULL, NULL, NULL, 15),
(122276, NULL, 'PTHR45658:SF38', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 3', NULL, NULL, NULL, 15),
(122277, NULL, 'PTHR14754:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(122278, NULL, 'PTHR21026:SF4', NULL, NULL, NULL, NULL, 'OS03G0168900 PROTEIN', NULL, NULL, NULL, 15),
(122279, NULL, 'PTHR10887:SF442', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(122280, NULL, 'PTHR35101:SF17', NULL, NULL, NULL, NULL, 'BNAA03G58560D PROTEIN', NULL, NULL, NULL, 15),
(122281, NULL, 'PTHR26312:SF161', NULL, NULL, NULL, NULL, 'OSJNBA0067K08.11 PROTEIN', NULL, NULL, NULL, 15),
(122282, NULL, 'PTHR43078:SF7', NULL, NULL, NULL, NULL, 'UDP-D-GLUCURONATE CARBOXY-LYASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122283, NULL, 'PTHR22765:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122284, NULL, 'PTHR48041:SF74', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 6-LIKE', NULL, NULL, NULL, 15),
(122285, NULL, 'PTHR31190:SF303', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', NULL, NULL, NULL, 15),
(122286, NULL, 'PTHR18945:SF450', NULL, NULL, NULL, NULL, 'GABA/GLYCINE RECEPTOR FAMILY (SEE GBR)', NULL, NULL, NULL, 15),
(122287, NULL, 'PTHR24064:SF568', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122288, NULL, 'PTHR10509:SF64', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(122289, NULL, 'PTHR44259:SF38', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(122290, NULL, 'PTHR31674:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122291, NULL, 'PTHR24015:SF1780', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(122292, NULL, 'PTHR27001:SF864', NULL, NULL, NULL, NULL, 'LRR RECEPTOR KINASE SERL2', NULL, NULL, NULL, 15),
(122293, NULL, 'PTHR31657:SF33', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF055', NULL, NULL, NULL, 15),
(122294, NULL, 'PTHR35668:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SHORTAGE IN CHIASMATA 1 ORTHOLOG', NULL, NULL, NULL, 15),
(122295, NULL, 'PTHR30540:SF130', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(122296, NULL, 'PTHR11417:SF31', NULL, NULL, NULL, NULL, 'GROWTH HORMONE D5-RELATED', NULL, NULL, NULL, 15),
(122297, NULL, 'PTHR46905:SF17', NULL, NULL, NULL, NULL, 'BNAC06G02470D PROTEIN', NULL, NULL, NULL, 15),
(122298, NULL, 'PTHR11629:SF106', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(122299, NULL, 'PTHR22844:SF338', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN SEL-10-LIKE', NULL, NULL, NULL, 15),
(122300, NULL, 'PTHR32219', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN YLMH-RELATED', NULL, NULL, NULL, 15),
(122301, NULL, 'PTHR43785:SF3', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE-RELATED', NULL, NULL, NULL, 15),
(122302, NULL, 'PTHR47590:SF4', NULL, NULL, NULL, NULL, 'KAR-UP F-BOX 1-RELATED', NULL, NULL, NULL, 15),
(122303, NULL, 'PTHR18937:SF12', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN', NULL, NULL, NULL, 15),
(122304, NULL, 'PTHR31626:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM171A2', NULL, NULL, NULL, 15),
(122305, NULL, 'PTHR19303:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122306, NULL, 'PTHR18959:SF98', NULL, NULL, NULL, NULL, 'MUSCLE-SPECIFIC PROTEIN 20', NULL, NULL, NULL, 15),
(122307, NULL, 'PTHR11814:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122308, NULL, 'PTHR45648:SF102', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE LTL1-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122309, NULL, 'PTHR31642:SF174', NULL, NULL, NULL, NULL, 'BENZYL ALCOHOL O-BENZOYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(122310, NULL, 'PTHR46086:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122311, NULL, 'PTHR46215:SF9', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 25', NULL, NULL, NULL, 15),
(122312, NULL, 'PTHR31061:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122313, NULL, 'PTHR24132:SF17', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 6', NULL, NULL, NULL, 15),
(122314, NULL, 'PTHR31526:SF3', NULL, NULL, NULL, NULL, 'INTS3 AND NABP INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(122315, NULL, 'PTHR37721', NULL, NULL, NULL, NULL, 'OS05G0464200 PROTEIN', NULL, NULL, NULL, 15),
(122316, NULL, 'PTHR21112:SF0', NULL, NULL, NULL, NULL, 'CHEMOSENSORY PROTEIN A 29A-RELATED', NULL, NULL, NULL, 15),
(122317, NULL, 'PTHR46084:SF15', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(122318, NULL, 'PTHR11736:SF84', NULL, NULL, NULL, NULL, '4933402E13RIK PROTEIN', NULL, NULL, NULL, 15),
(122319, NULL, 'PTHR24416:SF520', NULL, NULL, NULL, NULL, 'DISCOIDIN DOMAIN RECEPTOR TYROSINE KINASE 2B', NULL, NULL, NULL, 15),
(122320, NULL, 'PTHR12910:SF12', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(122321, NULL, 'PTHR31373:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122322, NULL, 'PTHR22574:SF14', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122323, NULL, 'PTHR20986', NULL, NULL, NULL, NULL, 'FMRFAMIDE-RELATED PEPTIDES', NULL, NULL, NULL, 15),
(122324, NULL, 'PTHR31789:SF12', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(122325, NULL, 'PTHR10545:SF52', NULL, NULL, NULL, NULL, 'SPERMIDINE/SPERMINE N1-ACETYLTRANSFERASE FAMILY MEMBER 2B', NULL, NULL, NULL, 15),
(122326, NULL, 'PTHR14024:SF9', NULL, NULL, NULL, NULL, 'PERILIPIN-5', NULL, NULL, NULL, 15),
(122327, NULL, 'PTHR39190', NULL, NULL, NULL, NULL, 'FLAGELLAR ASSEMBLY FACTOR FLIW', NULL, NULL, 6147, 15),
(122328, NULL, 'PTHR35679:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4933402J07 GENE', NULL, NULL, NULL, 15),
(122329, NULL, 'PTHR16356', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 6 TMCO6', NULL, NULL, NULL, 15),
(122330, NULL, 'PTHR23213:SF374', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(122331, NULL, 'PTHR43795:SF32', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE GLII-RELATED', NULL, NULL, NULL, 15),
(122332, NULL, 'PTHR24115:SF829', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12F', NULL, NULL, NULL, 15),
(122333, NULL, 'PTHR31333', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING DNA REPAIR FACTOR 3 FAMILY MEMBER', NULL, NULL, 29752, 15),
(122334, NULL, 'PTHR10579:SF57', NULL, NULL, NULL, NULL, 'OS11G0687100 PROTEIN', NULL, NULL, NULL, 15),
(122335, NULL, 'PTHR11005:SF109', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(122336, NULL, 'PTHR31839:SF53', NULL, NULL, NULL, NULL, 'AP2/ERF DOMAIN-CONTAINING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(122337, NULL, 'PTHR12242:SF29', NULL, NULL, NULL, NULL, 'PLANT/MGF10-16 PROTEIN', NULL, NULL, NULL, 15),
(122338, NULL, 'PTHR23032:SF12', NULL, NULL, NULL, NULL, 'TARGETING BRO1-LIKE DOMAIN-CONTAINING PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(122339, NULL, 'PTHR33625:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(122340, NULL, 'PTHR12741:SF78', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 9', NULL, NULL, NULL, 15),
(122341, NULL, 'PTHR31375:SF166', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(122342, NULL, 'PTHR33976:SF14', NULL, NULL, NULL, NULL, 'BNAC03G34510D PROTEIN', NULL, NULL, NULL, 15),
(122343, NULL, 'PTHR10161:SF46', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(122344, NULL, 'PTHR14237:SF19', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122345, NULL, 'PTHR31865:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122346, NULL, 'PTHR40626:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR (AMDA), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122347, NULL, 'PTHR36406:SF3', NULL, NULL, NULL, NULL, 'BNAA09G06600D PROTEIN', NULL, NULL, NULL, 15),
(122348, NULL, 'PTHR32278:SF70', NULL, NULL, NULL, NULL, 'BNAC02G47870D PROTEIN', NULL, NULL, NULL, 15),
(122349, NULL, 'PTHR27002:SF442', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(122350, NULL, 'PTHR12598', NULL, NULL, NULL, NULL, 'COPPER HOMEOSTASIS PROTEIN CUTC', NULL, NULL, 2822, 15),
(122351, NULL, 'PTHR48046:SF1', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 72E1', NULL, NULL, NULL, 15),
(122352, NULL, 'PTHR34798:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TIME FOR COFFEE', NULL, NULL, NULL, 15),
(122353, NULL, 'PTHR23138:SF157', NULL, NULL, NULL, NULL, 'RAN-SPECIFIC GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, NULL, 15),
(122354, NULL, 'PTHR22958:SF29', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD2', NULL, NULL, NULL, 15),
(122355, NULL, 'PTHR33836:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122356, NULL, 'PTHR18953:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122357, NULL, 'PTHR24186:SF15', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PLANT PROTEIN', NULL, NULL, NULL, 15),
(122358, NULL, 'PTHR11875:SF108', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(122359, NULL, 'PTHR32332:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122360, NULL, 'PTHR44329:SF156', NULL, NULL, NULL, NULL, 'RECEPTOR (TNFRSF)-INTERACTING SERINE-THREONINE KINASE 1,-LIKE', NULL, NULL, NULL, 15),
(122361, NULL, 'PTHR11660:SF57', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 PROTEIN', NULL, NULL, NULL, 15),
(122362, NULL, 'PTHR10165:SF170', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE HOMOLOG', NULL, NULL, NULL, 15),
(122363, NULL, 'PTHR11122:SF19', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(122364, NULL, 'PTHR12191:SF14', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP10', NULL, NULL, NULL, 15),
(122365, NULL, 'PTHR10201:SF224', NULL, NULL, NULL, NULL, 'MATRIX METALLOPEPTIDASE 17B', NULL, NULL, NULL, 15),
(122366, NULL, 'PTHR12765', NULL, NULL, NULL, NULL, 'RED PROTEIN  IK FACTOR   CYTOKINE IK', NULL, NULL, 36120, 15),
(122367, NULL, 'PTHR47926:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122368, NULL, 'PTHR22600:SF45', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE', NULL, NULL, NULL, 15),
(122369, NULL, 'PTHR12411:SF57', NULL, NULL, NULL, NULL, 'CATHEPSIN L1', NULL, NULL, NULL, 15),
(122370, NULL, 'PTHR10926:SF30', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT', NULL, NULL, NULL, 15),
(122371, NULL, 'PTHR27007:SF350', NULL, NULL, NULL, NULL, 'BNAC09G35950D PROTEIN', NULL, NULL, NULL, 15),
(122372, NULL, 'PTHR31374:SF289', NULL, NULL, NULL, NULL, 'BNAA02G17300D PROTEIN', NULL, NULL, NULL, 15),
(122373, NULL, 'PTHR10891:SF901', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(122374, NULL, 'PTHR46166:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D8', NULL, NULL, NULL, 15),
(122375, NULL, 'PTHR32285:SF208', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 2', NULL, NULL, 27094, 15),
(122376, NULL, 'PTHR21700:SF18', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(122377, NULL, 'PTHR31903:SF4', NULL, NULL, NULL, NULL, 'OS02G0507600 PROTEIN', NULL, NULL, NULL, 15),
(122378, NULL, 'PTHR43719:SF11', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE G7-RELATED', NULL, NULL, NULL, 15),
(122379, NULL, 'PTHR36857:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 25', NULL, NULL, NULL, 15),
(122380, NULL, 'PTHR31342:SF4', NULL, NULL, NULL, NULL, 'ACTIN BINDING PROTEIN FAMILY', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122381, NULL, 'PTHR47758:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS M', NULL, NULL, NULL, 15),
(122382, NULL, 'PTHR33122:SF59', NULL, NULL, NULL, NULL, 'BNAC03G35270D PROTEIN', NULL, NULL, NULL, 15),
(122383, NULL, 'PTHR47459:SF3', NULL, NULL, NULL, NULL, 'OS03G0149400 PROTEIN', NULL, NULL, NULL, 15),
(122384, NULL, 'PTHR12388:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM16', NULL, NULL, NULL, 15),
(122385, NULL, 'PTHR10037:SF209', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT T-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1I', NULL, NULL, 27380, 15),
(122386, NULL, 'PTHR32096:SF36', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 30-RELATED', NULL, NULL, NULL, 15),
(122387, NULL, 'PTHR13800:SF40', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CHANNEL', NULL, NULL, NULL, 15),
(122388, NULL, 'PTHR10509:SF77', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(122389, NULL, 'PTHR24384:SF195', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 543', NULL, NULL, NULL, 15),
(122390, NULL, 'PTHR10579:SF128', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE EDA40-RELATED', NULL, NULL, NULL, 15),
(122391, NULL, 'PTHR12582:SF6', NULL, NULL, NULL, NULL, 'NETRIN RECEPTOR UNC5B', NULL, NULL, NULL, 15),
(122392, NULL, 'PTHR23037:SF36', NULL, NULL, NULL, NULL, 'MPL PROTO-ONCOGENE, THROMBOPOIETIN RECEPTOR', NULL, NULL, NULL, 15),
(122393, NULL, 'PTHR43088', NULL, NULL, NULL, NULL, 'SUBUNIT OF PYRUVATE:FLAVODOXIN OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(122394, NULL, 'PTHR24270:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122395, NULL, 'PTHR23213:SF177', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 11', NULL, NULL, NULL, 15),
(122396, NULL, 'PTHR24349:SF314', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 11-LIKE', NULL, NULL, NULL, 15),
(122397, NULL, 'PTHR10527:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122398, NULL, 'PTHR19860:SF24', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING PROTEIN DDB_G0287407', NULL, NULL, NULL, 15),
(122399, NULL, 'PTHR42813:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, ZINC-CONTAINING, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02810)-RELATED', NULL, NULL, NULL, 15),
(122400, NULL, 'PTHR12378:SF17', NULL, NULL, NULL, NULL, 'OS02G0788133 PROTEIN', NULL, NULL, NULL, 15),
(122401, NULL, 'PTHR11645:SF6', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122402, NULL, 'PTHR23267:SF325', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 5-39', NULL, NULL, NULL, 15),
(122403, NULL, 'PTHR12696:SF0', NULL, NULL, NULL, NULL, 'CULLIN-ASSOCIATED NEDD8-DISSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(122404, NULL, 'PTHR35021:SF7', NULL, NULL, NULL, NULL, 'PROTEIN FB17, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122405, NULL, 'PTHR48004:SF14', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122406, NULL, 'PTHR31448:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122407, NULL, 'PTHR24174:SF11', NULL, NULL, NULL, NULL, 'CASK-INTERACTING PROTEIN 1', NULL, NULL, 22621, 15),
(122408, NULL, 'PTHR11481:SF93', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(122409, NULL, 'PTHR31717:SF77', NULL, NULL, NULL, NULL, 'OS09G0509700 PROTEIN', NULL, NULL, NULL, 15),
(122410, NULL, 'PTHR33057:SF70', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP6', NULL, NULL, NULL, 15),
(122411, NULL, 'PTHR36116', NULL, NULL, NULL, NULL, 'UPF0060 MEMBRANE PROTEIN YNFA', NULL, NULL, 3283, 15),
(122412, NULL, 'PTHR46423:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122413, NULL, 'PTHR19969:SF14', NULL, NULL, NULL, NULL, 'DREADLOCKS, ISOFORM B', NULL, NULL, NULL, 15),
(122414, NULL, 'PTHR31707:SF249', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR', NULL, NULL, NULL, 15),
(122415, NULL, 'PTHR11675:SF122', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122416, NULL, 'PTHR31325:SF92', NULL, NULL, NULL, NULL, 'OS05G0324300 PROTEIN', NULL, NULL, NULL, 15),
(122417, NULL, 'PTHR21017', NULL, NULL, NULL, NULL, 'NIPSNAP-RELATED', NULL, NULL, NULL, 15),
(122418, NULL, 'PTHR46932:SF14', NULL, NULL, NULL, NULL, 'ATFP4', NULL, NULL, NULL, 15),
(122419, NULL, 'PTHR12937:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 28 HOMOLOG', NULL, NULL, NULL, 15),
(122420, NULL, 'PTHR33693:SF3', NULL, NULL, NULL, NULL, 'TYPE-5 URACIL-DNA GLYCOSYLASE', NULL, NULL, NULL, 15),
(122421, NULL, 'PTHR13467:SF3', NULL, NULL, NULL, NULL, 'CUE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(122422, NULL, 'PTHR10218:SF236', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-2 SUBUNIT', NULL, NULL, NULL, 15),
(122423, NULL, 'PTHR12315:SF0', NULL, NULL, NULL, NULL, '7SK SNRNA METHYLPHOSPHATE CAPPING ENZYME', NULL, NULL, NULL, 15),
(122424, NULL, 'PTHR22870:SF230', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACGG', NULL, NULL, NULL, 15),
(122425, NULL, 'PTHR15732:SF4', NULL, NULL, NULL, NULL, 'PROTEIN MOONRAKER', NULL, NULL, NULL, 15),
(122426, NULL, 'PTHR37184:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122427, NULL, 'PTHR42919:SF26', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(122428, NULL, 'PTHR10130:SF2', NULL, NULL, NULL, NULL, 'PEROXISOMAL TARGETING SIGNAL 1 RECEPTOR', NULL, NULL, 9868, 15),
(122429, NULL, 'PTHR33146:SF25', NULL, NULL, NULL, NULL, 'BNAC03G77000D PROTEIN', NULL, NULL, NULL, 15),
(122430, NULL, 'PTHR33312:SF30', NULL, NULL, NULL, NULL, 'BNAA10G12350D PROTEIN', NULL, NULL, NULL, 15),
(122431, NULL, 'PTHR10529:SF361', NULL, NULL, NULL, NULL, 'BNAC08G11670D PROTEIN', NULL, NULL, NULL, 15),
(122432, NULL, 'PTHR22847:SF711', NULL, NULL, NULL, NULL, 'OS08G0557500 PROTEIN', NULL, NULL, NULL, 15),
(122433, NULL, 'PTHR10994', NULL, NULL, NULL, NULL, 'RETICULON', NULL, NULL, 39327, 15),
(122434, NULL, 'PTHR47925:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122435, NULL, 'PTHR36940:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG23643', NULL, NULL, NULL, 15),
(122436, NULL, 'PTHR43176:SF5', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122437, NULL, 'PTHR10724:SF11', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(122438, NULL, 'PTHR11214:SF241', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT4', NULL, NULL, NULL, 15),
(122439, NULL, 'PTHR45817:SF5', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE HOMOLOG 4', NULL, NULL, NULL, 15),
(122440, NULL, 'PTHR46643:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GOOSECOID-2', NULL, NULL, NULL, 15),
(122441, NULL, 'PTHR43272:SF42', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 3', NULL, NULL, NULL, 15),
(122442, NULL, 'PTHR46128:SF5', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122443, NULL, 'PTHR46224:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122444, NULL, 'PTHR31677:SF123', NULL, NULL, NULL, NULL, 'ERF DOMAIN PROTEIN 12-RELATED', NULL, NULL, NULL, 15),
(122445, NULL, 'PTHR34038', NULL, NULL, NULL, NULL, 'ATP SYNTHASE MEMBRANE SUBUNIT DAPIT, MITOCHONDRIAL', NULL, NULL, 10870, 15),
(122446, NULL, 'PTHR38103', NULL, NULL, NULL, NULL, 'RECOMBINATION-ASSOCIATED PROTEIN RDGC', NULL, NULL, 2068, 15),
(122447, NULL, 'PTHR21749', NULL, NULL, NULL, NULL, 'PRION-LIKE- Q/N-RICH -DOMAIN-BEARING PROTEIN PROTEIN 24', NULL, NULL, NULL, 15),
(122448, NULL, 'PTHR24377:SF870', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 302', NULL, NULL, NULL, 15),
(122449, NULL, 'PTHR32191:SF42', NULL, NULL, NULL, NULL, 'TETRASPANIN-9', NULL, NULL, NULL, 15),
(122450, NULL, 'PTHR11465:SF39', NULL, NULL, NULL, NULL, 'CATALASE-1', NULL, NULL, NULL, 15),
(122451, NULL, 'PTHR31238:SF220', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(122452, NULL, 'PTHR31225:SF4', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE23', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122453, NULL, 'PTHR24326:SF595', NULL, NULL, NULL, NULL, 'BNAA02G34710D PROTEIN', NULL, NULL, NULL, 15),
(122454, NULL, 'PTHR12035:SF103', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 5', NULL, NULL, NULL, 15),
(122455, NULL, 'PTHR45720:SF10', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN 2', NULL, NULL, NULL, 15),
(122456, NULL, 'PTHR10579:SF55', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE WAV3', NULL, NULL, NULL, 15),
(122457, NULL, 'PTHR31558:SF26', NULL, NULL, NULL, NULL, 'BNAA09G45930D PROTEIN', NULL, NULL, NULL, 15),
(122458, NULL, 'PTHR31342:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122459, NULL, 'PTHR38218:SF11', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122460, NULL, 'PTHR36109:SF1', NULL, NULL, NULL, NULL, 'SLR0613 PROTEIN', NULL, NULL, NULL, 15),
(122461, NULL, 'PTHR33288', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122462, NULL, 'PTHR48149', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37A-2', NULL, NULL, NULL, 15),
(122463, NULL, 'PTHR13581', NULL, NULL, NULL, NULL, 'MRG-BINDING PROTEIN', NULL, NULL, 13913, 15),
(122464, NULL, 'PTHR33377:SF60', NULL, NULL, NULL, NULL, 'OS01G0720900 PROTEIN', NULL, NULL, NULL, 15),
(122465, NULL, 'PTHR21503:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG03576', NULL, NULL, NULL, 15),
(122466, NULL, 'PTHR13693:SF58', NULL, NULL, NULL, NULL, '5-AMINOLEVULINATE SYNTHASE, ERYTHROID-SPECIFIC, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122467, NULL, 'PTHR31972:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122468, NULL, 'PTHR38572', NULL, NULL, NULL, NULL, 'BCDNA.GH07269-RELATED', NULL, NULL, NULL, 15),
(122469, NULL, 'PTHR31062:SF214', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(122470, NULL, 'PTHR48020:SF19', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 2-RELATED', NULL, NULL, NULL, 15),
(122471, NULL, 'PTHR10992:SF1020', NULL, NULL, NULL, NULL, 'METHYLESTERASE 19-RELATED', NULL, NULL, NULL, 15),
(122472, NULL, 'PTHR10574:SF402', NULL, NULL, NULL, NULL, 'LAMININ, ALPHA 4', NULL, NULL, NULL, 15),
(122473, NULL, 'PTHR11728:SF1', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)] 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(122474, NULL, 'PTHR45684:SF30', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1A', NULL, NULL, NULL, 15),
(122475, NULL, 'PTHR13466:SF12', NULL, NULL, NULL, NULL, 'BNAC05G13780D PROTEIN', NULL, NULL, NULL, 15),
(122476, NULL, 'PTHR10139:SF7', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR PROTEIN', NULL, NULL, NULL, 15),
(122477, NULL, 'PTHR12547:SF63', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 37', NULL, NULL, NULL, 15),
(122478, NULL, 'PTHR15617', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35750, 15),
(122479, NULL, 'PTHR47529:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE D', NULL, NULL, NULL, 15),
(122480, NULL, 'PTHR15002:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL BIOGENESIS PROTEIN LAS1L', NULL, NULL, NULL, 15),
(122481, NULL, 'PTHR11254:SF67', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HUWE1', NULL, NULL, NULL, 15),
(122482, NULL, 'PTHR33543:SF19', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN TYPE 2', NULL, NULL, NULL, 15),
(122483, NULL, 'PTHR48077:SF4', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE', NULL, NULL, NULL, 15),
(122484, NULL, 'PTHR43019:SF38', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(122485, NULL, 'PTHR10159:SF503', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 1B', NULL, NULL, NULL, 15),
(122486, NULL, 'PTHR24061:SF415', NULL, NULL, NULL, NULL, 'SI:CH211-203B20.7', NULL, NULL, NULL, 15),
(122487, NULL, 'PTHR31213:SF113', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL6', NULL, NULL, NULL, 15),
(122488, NULL, 'PTHR39964', NULL, NULL, NULL, NULL, 'UPF0292 PROTEIN TK1411', NULL, NULL, NULL, 15),
(122489, NULL, 'PTHR11660:SF68', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 MEMBER 1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122490, NULL, 'PTHR33021:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122491, NULL, 'PTHR10775', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(122492, NULL, 'PTHR37360', NULL, NULL, NULL, NULL, 'FRAGILE X MENTAL RETARDATION 1 NEIGHBOR PROTEIN', NULL, NULL, NULL, 15),
(122493, NULL, 'PTHR12184', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE COMPLEX ASSEMBLY FACTOR 1 FAMILY MEMBER', NULL, NULL, 98, 15),
(122494, NULL, 'PTHR23024:SF365', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122495, NULL, 'PTHR31044:SF56', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E 10', NULL, NULL, NULL, 15),
(122496, NULL, 'PTHR43019:SF22', NULL, NULL, NULL, NULL, 'OS08G0146001 PROTEIN', NULL, NULL, NULL, 15),
(122497, NULL, 'PTHR31235:SF36', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(122498, NULL, 'PTHR14255:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122499, NULL, 'PTHR31929:SF54', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(122500, NULL, 'PTHR24082:SF496', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-2', NULL, NULL, NULL, 15),
(122501, NULL, 'PTHR12654', NULL, NULL, NULL, NULL, 'BILE ACID BETA-GLUCOSIDASE-RELATED', NULL, NULL, NULL, 15),
(122502, NULL, 'PTHR35392:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(122503, NULL, 'PTHR10026:SF130', NULL, NULL, NULL, NULL, 'CYCLIN-T1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(122504, NULL, 'PTHR20884:SF19', NULL, NULL, NULL, NULL, 'ASCORBATE BIOSYNTHESIS-RELATED PROTEIN', NULL, NULL, NULL, 15),
(122505, NULL, 'PTHR11599:SF62', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-3', NULL, NULL, 31854, 15),
(122506, NULL, 'PTHR47928:SF160', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(122507, NULL, 'PTHR23338:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG02959', NULL, NULL, NULL, 15),
(122508, NULL, 'PTHR48022:SF18', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(122509, NULL, 'PTHR44042:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DIVARICATA', NULL, NULL, NULL, 15),
(122510, NULL, 'PTHR10551:SF33', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122511, NULL, 'PTHR24240:SF17', NULL, NULL, NULL, NULL, 'LONG-WAVE-SENSITIVE OPSIN 1-RELATED', NULL, NULL, NULL, 15),
(122512, NULL, 'PTHR22367:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(122513, NULL, 'PTHR22952:SF419', NULL, NULL, NULL, NULL, 'BNAC04G56840D PROTEIN', NULL, NULL, NULL, 15),
(122514, NULL, 'PTHR42948:SF1', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(122515, NULL, 'PTHR10652:SF18', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(122516, NULL, 'PTHR33384:SF18', NULL, NULL, NULL, NULL, 'BNAA07G24630D PROTEIN', NULL, NULL, NULL, 15),
(122517, NULL, 'PTHR22834:SF9', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 37', NULL, NULL, NULL, 15),
(122518, NULL, 'PTHR32285:SF193', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 32-RELATED', NULL, NULL, 24900, 15),
(122519, NULL, 'PTHR31155:SF28', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE', NULL, NULL, NULL, 15),
(122520, NULL, 'PTHR32439:SF6', NULL, NULL, NULL, NULL, 'FERREDOXIN--NITRITE REDUCTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(122521, NULL, 'PTHR12110:SF46', NULL, NULL, NULL, NULL, '3-DEHYDROSHIKIMATE DEHYDRATASE', NULL, NULL, NULL, 15),
(122522, NULL, 'PTHR10136:SF6', NULL, NULL, NULL, NULL, 'UTEROGLOBIN', NULL, NULL, NULL, 15),
(122523, NULL, 'PTHR21663:SF0', NULL, NULL, NULL, NULL, 'SORTING OF APICAL PROTEINS', NULL, NULL, NULL, 15),
(122524, NULL, 'PTHR20338', NULL, NULL, NULL, NULL, 'NUCLEAR RESPIRATORY FACTOR 1', NULL, NULL, 31454, 15),
(122525, NULL, 'PTHR11727:SF7', NULL, NULL, NULL, NULL, 'DIMETHYLADENOSINE TRANSFERASE-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122526, NULL, 'PTHR31447', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN-RELATED', NULL, NULL, 38880, 15),
(122527, NULL, 'PTHR43300:SF4', NULL, NULL, NULL, NULL, '2,3,4,5-TETRAHYDROPYRIDINE-2,6-DICARBOXYLATE N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(122528, NULL, 'PTHR31265:SF38', NULL, NULL, NULL, NULL, 'GALACTOSE-BINDING DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122529, NULL, 'PTHR43721:SF26', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122530, NULL, 'PTHR12784:SF6', NULL, NULL, NULL, NULL, 'NEURON NAVIGATOR 2', NULL, NULL, NULL, 15),
(122531, NULL, 'PTHR12081:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F1', NULL, NULL, NULL, 15),
(122532, NULL, 'PTHR47666:SF1', NULL, NULL, NULL, NULL, 'PROTEIN VASCULAR ASSOCIATED DEATH 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(122533, NULL, 'PTHR12862', NULL, NULL, NULL, NULL, 'BADF TYPE ATPASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, 36291, 15),
(122534, NULL, 'PTHR22979:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 512B', NULL, NULL, NULL, 15),
(122535, NULL, 'PTHR11654:SF164', NULL, NULL, NULL, NULL, 'OS01G0872300 PROTEIN', NULL, NULL, NULL, 15),
(122536, NULL, 'PTHR21527', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP35', NULL, NULL, 18418, 15),
(122537, NULL, 'PTHR24366:SF27', NULL, NULL, NULL, NULL, 'NYCTALOPIN', NULL, NULL, NULL, 15),
(122538, NULL, 'PTHR22889:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 89', NULL, NULL, NULL, 15),
(122539, NULL, 'PTHR10277:SF57', NULL, NULL, NULL, NULL, 'ISOPROPYLMALATE/HOMOCITRATE/CITRAMALATE SYNTHASE', NULL, NULL, NULL, 15),
(122540, NULL, 'PTHR23176:SF116', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN AT 19D, ISOFORM D', NULL, NULL, NULL, 15),
(122541, NULL, 'PTHR22957:SF263', NULL, NULL, NULL, NULL, 'MITOTIC CHECK POINT PROTEIN BUB2', NULL, NULL, NULL, 15),
(122542, NULL, 'PTHR16675:SF130', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD1B', NULL, NULL, NULL, 15),
(122543, NULL, 'PTHR32141:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122544, NULL, 'PTHR11871:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B BETA ISOFORM', NULL, NULL, NULL, 15),
(122545, NULL, 'PTHR23077:SF9', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY FACTOR 2', NULL, NULL, NULL, 15),
(122546, NULL, 'PTHR47888:SF1', NULL, NULL, NULL, NULL, 'UPF0730 PROTEIN ENCODED BY LINC00643-RELATED', NULL, NULL, NULL, 15),
(122547, NULL, 'PTHR33136:SF64', NULL, NULL, NULL, NULL, 'BNAANNG39730D PROTEIN', NULL, NULL, NULL, 15),
(122548, NULL, 'PTHR45831:SF2', NULL, NULL, NULL, NULL, 'LD24721P', NULL, NULL, NULL, 15),
(122549, NULL, 'PTHR39683', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN TB16.3', NULL, NULL, NULL, 15),
(122550, NULL, 'PTHR35794:SF1', NULL, NULL, NULL, NULL, 'CELL CYCLE PROTEIN GPSB', NULL, NULL, 10686, 15),
(122551, NULL, 'PTHR31361:SF1', NULL, NULL, NULL, NULL, 'BETA-GLUCAN SYNTHESIS-ASSOCIATED PROTEIN KRE6-RELATED', NULL, NULL, NULL, 15),
(122552, NULL, 'PTHR23189:SF89', NULL, NULL, NULL, NULL, 'AML1', NULL, NULL, NULL, 15),
(122553, NULL, 'PTHR22765:SF160', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 38', NULL, NULL, NULL, 15),
(122554, NULL, 'PTHR11206:SF264', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EXTRUSION PROTEIN', NULL, NULL, NULL, 15),
(122555, NULL, 'PTHR31827:SF47', NULL, NULL, NULL, NULL, 'BNAA09G06880D PROTEIN', NULL, NULL, NULL, 15),
(122556, NULL, 'PTHR31818:SF25', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(122557, NULL, 'PTHR16214', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 260', NULL, NULL, NULL, 15),
(122558, NULL, 'PTHR44252:SF3', NULL, NULL, NULL, NULL, 'D-ERYTHRULOSE REDUCTASE', NULL, NULL, NULL, 15),
(122559, NULL, 'PTHR47956:SF41', NULL, NULL, NULL, NULL, 'OS01G0227500 PROTEIN', NULL, NULL, NULL, 15),
(122560, NULL, 'PTHR33052:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122561, NULL, 'PTHR15718', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 24450, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122562, NULL, 'PTHR24247', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR', NULL, NULL, NULL, 15),
(122563, NULL, 'PTHR22776:SF10', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(122564, NULL, 'PTHR16950:SF16', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP13', NULL, NULL, NULL, 15),
(122565, NULL, 'PTHR15503:SF6', NULL, NULL, NULL, NULL, 'PROTEIN LDOC1-RELATED', NULL, NULL, NULL, 15),
(122566, NULL, 'PTHR22870:SF349', NULL, NULL, NULL, NULL, 'GTPASE BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122567, NULL, 'PTHR47924:SF4', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(122568, NULL, 'PTHR39313:SF1', NULL, NULL, NULL, NULL, 'IM:7138239', NULL, NULL, NULL, 15),
(122569, NULL, 'PTHR30451:SF21', NULL, NULL, NULL, NULL, 'FIMBRIAL USHER DOMAIN-CONTAINING PROTEIN YDET-RELATED', NULL, NULL, NULL, 15),
(122570, NULL, 'PTHR13068:SF170', NULL, NULL, NULL, NULL, 'BNAC04G19840D PROTEIN', NULL, NULL, NULL, 15),
(122571, NULL, 'PTHR34277:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122572, NULL, 'PTHR12304:SF52', NULL, NULL, NULL, NULL, 'INOSINE-URIDINE PREFERRING NUCLEOSIDE HYDROLASE', NULL, NULL, NULL, 15),
(122573, NULL, 'PTHR33270:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122574, NULL, 'PTHR11206:SF292', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 23', NULL, NULL, NULL, 15),
(122575, NULL, 'PTHR23308:SF59', NULL, NULL, NULL, NULL, 'BNAA01G33000D PROTEIN', NULL, NULL, NULL, 15),
(122576, NULL, 'PTHR45617:SF105', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR TOLLO', NULL, NULL, NULL, 15),
(122577, NULL, 'PTHR12153:SF15', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE SELO, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122578, NULL, 'PTHR48060:SF4', NULL, NULL, NULL, NULL, 'BNACNNG62760D PROTEIN', NULL, NULL, NULL, 15),
(122579, NULL, 'PTHR33048:SF63', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00620)-RELATED', NULL, NULL, NULL, 15),
(122580, NULL, 'PTHR34273:SF2', NULL, NULL, NULL, NULL, 'METHYLTHIORIBOSE KINASE', NULL, NULL, NULL, 15),
(122581, NULL, 'PTHR43227:SF3', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEMS INNER MEMBRANE COMPONENT', NULL, NULL, NULL, 15),
(122582, NULL, 'PTHR10177:SF455', NULL, NULL, NULL, NULL, 'BNACNNG16030D PROTEIN', NULL, NULL, NULL, 15),
(122583, NULL, 'PTHR10258:SF4', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED POTASSIUM CHANNEL SUBUNIT BETA-3', NULL, NULL, NULL, 15),
(122584, NULL, 'PTHR43381:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122585, NULL, 'PTHR31238:SF97', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 2-1-RELATED', NULL, NULL, NULL, 15),
(122586, NULL, 'PTHR13723:SF27', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 6', NULL, NULL, NULL, 15),
(122587, NULL, 'PTHR31375:SF142', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(122588, NULL, 'PTHR30035:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122589, NULL, 'PTHR10956:SF38', NULL, NULL, NULL, NULL, 'OS06G0319700 PROTEIN', NULL, NULL, NULL, 15),
(122590, NULL, 'PTHR21576:SF136', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', NULL, NULL, NULL, 15),
(122591, NULL, 'PTHR45752:SF124', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122592, NULL, 'PTHR42655:SF1', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE', NULL, NULL, NULL, 15),
(122593, NULL, 'PTHR46026', NULL, NULL, NULL, NULL, 'RHO-TYPE GUANINE NUCLEOTIDE EXCHANGE FACTOR, ISOFORM F', NULL, NULL, NULL, 15),
(122594, NULL, 'PTHR11388:SF148', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER-RELATED', NULL, NULL, NULL, 15),
(122595, NULL, 'PTHR27000:SF146', NULL, NULL, NULL, NULL, 'OSJNBB0022F23.6 PROTEIN', NULL, NULL, NULL, 15),
(122596, NULL, 'PTHR11699:SF281', NULL, NULL, NULL, NULL, 'CYTOSOLIC ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122597, NULL, 'PTHR19359:SF107', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 ISOFORM B', NULL, NULL, NULL, 15),
(122598, NULL, 'PTHR11681:SF13', NULL, NULL, NULL, NULL, 'ISOTOCIN', NULL, NULL, NULL, 15),
(122599, NULL, 'PTHR23421:SF52', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 14', NULL, NULL, NULL, 15),
(122600, NULL, 'PTHR26452:SF227', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(122601, NULL, 'PTHR11353:SF26', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT DELTA', NULL, NULL, NULL, 15),
(122602, NULL, 'PTHR12147:SF48', NULL, NULL, NULL, NULL, 'BNAA07G25020D PROTEIN', NULL, NULL, NULL, 15),
(122603, NULL, 'PTHR45856', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(122604, NULL, 'PTHR31438:SF6', NULL, NULL, NULL, NULL, 'BIOSYNTHESIS ACETYLASE ACEI, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03400)-RELATED', NULL, NULL, NULL, 15),
(122605, NULL, 'PTHR45743', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT1', NULL, NULL, 38322, 15),
(122606, NULL, 'PTHR12589', NULL, NULL, NULL, NULL, 'PYRUVOYL TETRAHYDROBIOPTERIN SYNTHASE', NULL, NULL, 453, 15),
(122607, NULL, 'PTHR24334:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GBX-1', NULL, NULL, 28000, 15),
(122608, NULL, 'PTHR33272:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG22877', NULL, NULL, NULL, 15),
(122609, NULL, 'PTHR46301:SF5', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 6', NULL, NULL, NULL, 15),
(122610, NULL, 'PTHR45647:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122611, NULL, 'PTHR30546:SF43', NULL, NULL, NULL, NULL, 'OS01G0784800 PROTEIN', NULL, NULL, NULL, 15),
(122612, NULL, 'PTHR14791:SF48', NULL, NULL, NULL, NULL, 'BNAC03G58250D PROTEIN', NULL, NULL, NULL, 15),
(122613, NULL, 'PTHR47991:SF62', NULL, NULL, NULL, NULL, 'SYNTHASE/FLAVANONE 3-HYDROXYLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122614, NULL, 'PTHR13809:SF50', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(122615, NULL, 'PTHR11506:SF37', NULL, NULL, NULL, NULL, 'LAMP (LYSOSOME-ASSOCIATED MEMBRANE PROTEIN) HOMOLOG', NULL, NULL, NULL, 15),
(122616, NULL, 'PTHR11216:SF136', NULL, NULL, NULL, NULL, 'DYNAMIN ASSOCIATED PROTEIN 160, ISOFORM D', NULL, NULL, NULL, 15),
(122617, NULL, 'PTHR19321:SF30', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(122618, NULL, 'PTHR31713:SF40', NULL, NULL, NULL, NULL, 'OS02G0562300 PROTEIN', NULL, NULL, NULL, 15),
(122619, NULL, 'PTHR13794:SF58', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ENOLASE SUPERFAMILY MEMBER 1', NULL, NULL, NULL, 15),
(122620, NULL, 'PTHR47959:SF11', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DEAD BOX FAMILY', NULL, NULL, NULL, 15),
(122621, NULL, 'PTHR19854:SF19', NULL, NULL, NULL, NULL, 'BNAC02G06840D PROTEIN', NULL, NULL, NULL, 15),
(122622, NULL, 'PTHR11921:SF42', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] IRON-SULFUR SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122623, NULL, 'PTHR31415:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122624, NULL, 'PTHR22952:SF412', NULL, NULL, NULL, NULL, 'ABA RESPONSIVE ELEMENT BINDING FACTOR 3', NULL, NULL, NULL, 15),
(122625, NULL, 'PTHR43038:SF5', NULL, NULL, NULL, NULL, 'RE14039P', NULL, NULL, NULL, 15),
(122626, NULL, 'PTHR10725:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122627, NULL, 'PTHR46085:SF9', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD6-RELATED', NULL, NULL, NULL, 15),
(122628, NULL, 'PTHR36725:SF2', NULL, NULL, NULL, NULL, 'BNACNNG33590D PROTEIN', NULL, NULL, NULL, 15),
(122629, NULL, 'PTHR22588:SF6', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-4(VI) CHAIN', NULL, NULL, NULL, 15),
(122630, NULL, 'PTHR38494', NULL, NULL, NULL, NULL, 'STEROID RECEPTOR-ASSOCIATED AND REGULATED PROTEIN', NULL, NULL, 27923, 15),
(122631, NULL, 'PTHR45678:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 2-OXODICARBOXYLATE CARRIER 1-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122632, NULL, 'PTHR31989:SF247', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 94 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(122633, NULL, 'PTHR31391:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122634, NULL, 'PTHR27007:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122635, NULL, 'PTHR33103:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122636, NULL, 'PTHR31642:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122637, NULL, 'PTHR46775:SF3', NULL, NULL, NULL, NULL, 'GBF-INTERACTING PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(122638, NULL, 'PTHR14106:SF0', NULL, NULL, NULL, NULL, 'TRIADIN', NULL, NULL, NULL, 15),
(122639, NULL, 'PTHR43281:SF12', NULL, NULL, NULL, NULL, 'HETERODIMERIC GERANYLGERANYL PYROPHOSPHATE SYNTHASE LARGE SUBUNIT 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(122640, NULL, 'PTHR31221:SF240', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 10-RELATED', NULL, NULL, NULL, 15),
(122641, NULL, 'PTHR13703:SF54', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG', NULL, NULL, NULL, 15),
(122642, NULL, 'PTHR11413', NULL, NULL, NULL, NULL, 'CYSTATIN FAMILY MEMBER', NULL, NULL, 28605, 15),
(122643, NULL, 'PTHR45933:SF15', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT ARF-TYPE GTPASE ACTIVATING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(122644, NULL, 'PTHR11017:SF366', NULL, NULL, NULL, NULL, 'BNAC03G63700D PROTEIN', NULL, NULL, NULL, 15),
(122645, NULL, 'PTHR27002:SF848', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(122646, NULL, 'PTHR34406:SF2', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122647, NULL, 'PTHR31241:SF2', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2F', NULL, NULL, NULL, 15),
(122648, NULL, 'PTHR45860:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(122649, NULL, 'PTHR47992:SF98', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 6-RELATED', NULL, NULL, NULL, 15),
(122650, NULL, 'PTHR46496', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122651, NULL, 'PTHR31232:SF114', NULL, NULL, NULL, NULL, 'BNAC06G06100D PROTEIN', NULL, NULL, NULL, 15),
(122652, NULL, 'PTHR36056:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122653, NULL, 'PTHR24026:SF92', NULL, NULL, NULL, NULL, 'GENE 281-RELATED', NULL, NULL, NULL, 15),
(122654, NULL, 'PTHR46313', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 39162, 15),
(122655, NULL, 'PTHR22950:SF185', NULL, NULL, NULL, NULL, 'PROTON-COUPLED AMINO ACID TRANSPORTER 2', NULL, NULL, NULL, 15),
(122656, NULL, 'PTHR11863:SF167', NULL, NULL, NULL, NULL, 'BNAC03G12730D PROTEIN', NULL, NULL, NULL, 15),
(122657, NULL, 'PTHR11315:SF12', NULL, NULL, NULL, NULL, 'FOLATE GAMMA-GLUTAMYL HYDROLASE', NULL, NULL, NULL, 15),
(122658, NULL, 'PTHR33074:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122659, NULL, 'PTHR14905', NULL, NULL, NULL, NULL, 'NG37', NULL, NULL, NULL, 15),
(122660, NULL, 'PTHR46930:SF1', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(122661, NULL, 'PTHR43670:SF61', NULL, NULL, NULL, NULL, 'ALPHA-CRYSTALLIN DOMAIN 32.1', NULL, NULL, NULL, 15),
(122662, NULL, 'PTHR16052:SF2', NULL, NULL, NULL, NULL, 'BNAC04G02540D PROTEIN', NULL, NULL, NULL, 15),
(122663, NULL, 'PTHR45898', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN', NULL, NULL, 39397, 15),
(122664, NULL, 'PTHR35792', NULL, NULL, NULL, NULL, 'GENERAL STRESS PROTEIN', NULL, NULL, NULL, 15),
(122665, NULL, 'PTHR31301:SF7', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(122666, NULL, 'PTHR45844:SF6', NULL, NULL, NULL, NULL, 'BHLH PROTEIN FAMILY-LIKE', NULL, NULL, NULL, 15),
(122667, NULL, 'PTHR11534', NULL, NULL, NULL, NULL, 'MYOGENIC FACTOR', NULL, NULL, 30095, 15),
(122668, NULL, 'PTHR14194:SF103', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122669, NULL, 'PTHR24377:SF655', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 417-RELATED', NULL, NULL, NULL, 15),
(122670, NULL, 'PTHR15710:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122671, NULL, 'PTHR34459:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(122672, NULL, 'PTHR31314:SF108', NULL, NULL, NULL, NULL, 'OS06G0703900 PROTEIN', NULL, NULL, NULL, 15),
(122673, NULL, 'PTHR31099:SF25', NULL, NULL, NULL, NULL, 'BNAA08G06280D PROTEIN', NULL, NULL, NULL, 15),
(122674, NULL, 'PTHR33098:SF52', NULL, NULL, NULL, NULL, 'T28P6.11 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122675, NULL, 'PTHR43000:SF32', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL UDP-GLUCOSE 4,6-DEHYDRATASE/UDP-4-KETO-6-DEOXY-D-GLUCOSE 3,5-EPIMERASE/UDP-4-KETO-L-RHAMNOSE-REDUCTASE RHM1-LIKE', NULL, NULL, NULL, 15),
(122676, NULL, 'PTHR15561', NULL, NULL, NULL, NULL, 'CALCITONIN GENE-RELATED PEPTIDE-RECEPTOR COMPONENT PROTEIN', NULL, NULL, 35692, 15),
(122677, NULL, 'PTHR24068:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122678, NULL, 'PTHR32099:SF50', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 28', NULL, NULL, NULL, 15),
(122679, NULL, 'PTHR11216:SF29', NULL, NULL, NULL, NULL, 'INTERSECTIN-2', NULL, NULL, 25238, 15),
(122680, NULL, 'PTHR24368:SF210', NULL, NULL, NULL, NULL, 'ANTIGEN BSP, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122681, NULL, 'PTHR47926:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122682, NULL, 'PTHR47879:SF2', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B22', NULL, NULL, NULL, 15),
(122683, NULL, 'PTHR11206:SF194', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(122684, NULL, 'PTHR23291:SF100', NULL, NULL, NULL, NULL, 'BAX INHIBITOR 1-LIKE', NULL, NULL, NULL, 15),
(122685, NULL, 'PTHR23113:SF203', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR H', NULL, NULL, NULL, 15),
(122686, NULL, 'PTHR23273:SF79', NULL, NULL, NULL, NULL, 'OS11G0697050 PROTEIN', NULL, NULL, NULL, 15),
(122687, NULL, 'PTHR31618:SF18', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 7', NULL, NULL, NULL, 15),
(122688, NULL, 'PTHR11527:SF313', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONE-RELATED', NULL, NULL, NULL, 15),
(122689, NULL, 'PTHR47956:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122690, NULL, 'PTHR45635:SF28', NULL, NULL, NULL, NULL, 'BNACNNG32940D PROTEIN', NULL, NULL, NULL, 15),
(122691, NULL, 'PTHR24067:SF246', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 B', NULL, NULL, NULL, 15),
(122692, NULL, 'PTHR27000:SF740', NULL, NULL, NULL, NULL, 'OS01G0878300 PROTEIN', NULL, NULL, NULL, 15),
(122693, NULL, 'PTHR47535:SF5', NULL, NULL, NULL, NULL, 'CALMIN', NULL, NULL, NULL, 15),
(122694, NULL, 'PTHR28579:SF1', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT CDC26', NULL, NULL, NULL, 15),
(122695, NULL, 'PTHR34397:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122696, NULL, 'PTHR31949:SF30', NULL, NULL, NULL, NULL, 'BNAA05G29320D PROTEIN', NULL, NULL, NULL, 15),
(122697, NULL, 'PTHR10454:SF199', NULL, NULL, NULL, NULL, 'CASPASE-17/A', NULL, NULL, NULL, 15),
(122698, NULL, 'PTHR13068:SF98', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(122699, NULL, 'PTHR11923:SF56', NULL, NULL, NULL, NULL, 'LYSOSOME MEMBRANE PROTEIN II', NULL, NULL, NULL, 15),
(122700, NULL, 'PTHR47990:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122701, NULL, 'PTHR37820', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DIVIB', NULL, NULL, NULL, 15),
(122702, NULL, 'PTHR10430:SF32', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN', NULL, NULL, NULL, 15),
(122703, NULL, 'PTHR12021:SF23', NULL, NULL, NULL, NULL, 'THYMOSIN BETA', NULL, NULL, NULL, 15),
(122704, NULL, 'PTHR47332:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122705, NULL, 'PTHR33672:SF17', NULL, NULL, NULL, NULL, 'BNAANNG10210D PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122706, NULL, 'PTHR48195:SF1', NULL, NULL, NULL, NULL, 'FRIEND VIRUS SUSCEPTIBILITY PROTEIN 1', NULL, NULL, NULL, 15),
(122707, NULL, 'PTHR24073:SF1140', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RIC2', NULL, NULL, NULL, 15),
(122708, NULL, 'PTHR47662:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XERICO-RELATED', NULL, NULL, NULL, 15),
(122709, NULL, 'PTHR21022', NULL, NULL, NULL, NULL, 'PREPHENATE DEHYDRATASE  P PROTEIN', NULL, NULL, NULL, 15),
(122710, NULL, 'PTHR14534:SF3', NULL, NULL, NULL, NULL, 'VACUOLAR IMPORT AND DEGRADATION PROTEIN 24', NULL, NULL, NULL, 15),
(122711, NULL, 'PTHR47542', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(122712, NULL, 'PTHR19241:SF629', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 34', NULL, NULL, NULL, 15),
(122713, NULL, 'PTHR37350', NULL, NULL, NULL, NULL, 'PROTEIN GAPT', NULL, NULL, 18188, 15),
(122714, NULL, 'PTHR11571:SF141', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE P', NULL, NULL, NULL, 15),
(122715, NULL, 'PTHR45815', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE A6', NULL, NULL, 37151, 15),
(122716, NULL, 'PTHR39605', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122717, NULL, 'PTHR13313:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7C, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122718, NULL, 'PTHR34266', NULL, NULL, NULL, NULL, 'THIAZOLE SYNTHASE', NULL, NULL, 7883, 15),
(122719, NULL, 'PTHR19134:SF339', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE RECEPTOR TYPE UA', NULL, NULL, NULL, 15),
(122720, NULL, 'PTHR23263:SF132', NULL, NULL, NULL, NULL, 'LATE CORNIFIED ENVELOPE PROTEIN 2A', NULL, NULL, NULL, 15),
(122721, NULL, 'PTHR37910', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(122722, NULL, 'PTHR45743:SF3', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SKOR', NULL, NULL, NULL, 15),
(122723, NULL, 'PTHR10906:SF22', NULL, NULL, NULL, NULL, 'OS12G0625900 PROTEIN', NULL, NULL, NULL, 15),
(122724, NULL, 'PTHR47005:SF12', NULL, NULL, NULL, NULL, 'OS04G0400700 PROTEIN', NULL, NULL, NULL, 15),
(122725, NULL, 'PTHR47980:SF10', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABE1A', NULL, NULL, NULL, 15),
(122726, NULL, 'PTHR12848:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122727, NULL, 'PTHR33143:SF43', NULL, NULL, NULL, NULL, 'OS04G0665900 PROTEIN', NULL, NULL, NULL, 15),
(122728, NULL, 'PTHR43939:SF74', NULL, NULL, NULL, NULL, 'TAPE-MEASURE [BACTERIOPHAGE A118]-RELATED', NULL, NULL, NULL, 15),
(122729, NULL, 'PTHR39381', NULL, NULL, NULL, NULL, 'PROTEIN CBG14825-RELATED', NULL, NULL, NULL, 15),
(122730, NULL, 'PTHR33021:SF353', NULL, NULL, NULL, NULL, 'BNAA06G34960D PROTEIN', NULL, NULL, NULL, 15),
(122731, NULL, 'PTHR42851:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122732, NULL, 'PTHR32212:SF294', NULL, NULL, NULL, NULL, 'BNAC03G77960D PROTEIN', NULL, NULL, NULL, 15),
(122733, NULL, 'PTHR46128:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122734, NULL, 'PTHR46045:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(122735, NULL, 'PTHR13683:SF852', NULL, NULL, NULL, NULL, 'OS09G0482200 PROTEIN', NULL, NULL, NULL, 15),
(122736, NULL, 'PTHR30006:SF21', NULL, NULL, NULL, NULL, 'SLL0237 PROTEIN', NULL, NULL, NULL, 15),
(122737, NULL, 'PTHR31752:SF2', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 5', NULL, NULL, NULL, 15),
(122738, NULL, 'PTHR45985:SF6', NULL, NULL, NULL, NULL, 'FI03450P', NULL, NULL, NULL, 15),
(122739, NULL, 'PTHR11452:SF81', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE 8-RELATED', NULL, NULL, NULL, 15),
(122740, NULL, 'PTHR32141:SF89', NULL, NULL, NULL, NULL, 'OSJNBA0035O13.10 PROTEIN', NULL, NULL, NULL, 15),
(122741, NULL, 'PTHR45688:SF3', NULL, NULL, NULL, NULL, 'ALANINE--GLYOXYLATE AMINOTRANSFERASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122742, NULL, 'PTHR11851:SF160', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE CORE PROTEIN 2B', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122743, NULL, 'PTHR24221:SF203', NULL, NULL, NULL, NULL, 'ATP-BINDING/PERMEASE FUSION ABC TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(122744, NULL, 'PTHR10900', NULL, NULL, NULL, NULL, 'PERIOSTIN-RELATED', NULL, NULL, NULL, 15),
(122745, NULL, 'PTHR46419:SF3', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD15-RELATED', NULL, NULL, NULL, 15),
(122746, NULL, 'PTHR12447:SF19', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(122747, NULL, 'PTHR11362:SF77', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(122748, NULL, 'PTHR45635:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG17210', NULL, NULL, NULL, 15),
(122749, NULL, 'PTHR24012:SF823', NULL, NULL, NULL, NULL, 'PROTEIN HSH49', NULL, NULL, NULL, 15),
(122750, NULL, 'PTHR31790:SF261', NULL, NULL, NULL, NULL, 'OS08G0518300 PROTEIN', NULL, NULL, NULL, 15),
(122751, NULL, 'PTHR43895:SF56', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(122752, NULL, 'PTHR33077:SF101', NULL, NULL, NULL, NULL, 'BNAC05G13540D PROTEIN', NULL, NULL, NULL, 15),
(122753, NULL, 'PTHR45999:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122754, NULL, 'PTHR19991', NULL, NULL, NULL, NULL, 'L 2 01289', NULL, NULL, NULL, 15),
(122755, NULL, 'PTHR18860:SF69', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 LAMBDA', NULL, NULL, NULL, 15),
(122756, NULL, 'PTHR46008:SF19', NULL, NULL, NULL, NULL, 'BNAA09G28500D PROTEIN', NULL, NULL, NULL, 15),
(122757, NULL, 'PTHR33199:SF7', NULL, NULL, NULL, NULL, 'OS06G0251100 PROTEIN', NULL, NULL, NULL, 15),
(122758, NULL, 'PTHR10177:SF420', NULL, NULL, NULL, NULL, 'CYCLIN1', NULL, NULL, NULL, 15),
(122759, NULL, 'PTHR15079', NULL, NULL, NULL, NULL, 'MYD88', NULL, NULL, 16033, 15),
(122760, NULL, 'PTHR45811:SF59', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 58-LIKE', NULL, NULL, NULL, 15),
(122761, NULL, 'PTHR32246:SF110', NULL, NULL, NULL, NULL, 'BON1-ASSOCIATED PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(122762, NULL, 'PTHR33130:SF64', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE, PUTATIVE (DUF1639)-RELATED', NULL, NULL, NULL, 15),
(122763, NULL, 'PTHR24085', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR', NULL, NULL, NULL, 15),
(122764, NULL, 'PTHR10438:SF18', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(122765, NULL, 'PTHR48002:SF26', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(122766, NULL, 'PTHR23319:SF4', NULL, NULL, NULL, NULL, 'AT22714P', NULL, NULL, 32879, 15),
(122767, NULL, 'PTHR31429:SF41', NULL, NULL, NULL, NULL, 'OS05G0137500 PROTEIN', NULL, NULL, NULL, 15),
(122768, NULL, 'PTHR24349:SF243', NULL, NULL, NULL, NULL, 'MAP KINASE-ACTIVATED PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(122769, NULL, 'PTHR23359:SF165', NULL, NULL, NULL, NULL, 'GTP:AMP PHOSPHOTRANSFERASE AK3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122770, NULL, 'PTHR23149:SF23', NULL, NULL, NULL, NULL, 'BNAA09G11800D PROTEIN', NULL, NULL, NULL, 15),
(122771, NULL, 'PTHR42091', NULL, NULL, NULL, NULL, 'CONSERVED GLYCINE-RICH PROTEIN (AFU_ORTHOLOGUE AFUA_7G02440)', NULL, NULL, NULL, 15),
(122772, NULL, 'PTHR31242:SF2', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE SMALL SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122773, NULL, 'PTHR32054:SF32', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT-LIKE 2', NULL, NULL, NULL, 15),
(122774, NULL, 'PTHR11475:SF86', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, 26792, 15),
(122775, NULL, 'PTHR12309:SF25', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(122776, NULL, 'PTHR47985:SF39', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL23-RELATED', NULL, NULL, NULL, 15),
(122777, NULL, 'PTHR24390:SF88', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 239', NULL, NULL, NULL, 15),
(122778, NULL, 'PTHR47990:SF90', NULL, NULL, NULL, NULL, 'PLANT GIBBERELLIN 2-OXIDASE', NULL, NULL, NULL, 15),
(122779, NULL, 'PTHR30314:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DIVISION PROTEIN FSZB', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122780, NULL, 'PTHR24055:SF494', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(122781, NULL, 'PTHR13780:SF102', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT GAMMA-LIKE PV42B', NULL, NULL, NULL, 15),
(122782, NULL, 'PTHR30566:SF5', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(122783, NULL, 'PTHR30294:SF29', NULL, NULL, NULL, NULL, 'MULTIDRUG ABC TRANSPORTER PERMEASE YBHS-RELATED', NULL, NULL, NULL, 15),
(122784, NULL, 'PTHR24006:SF780', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(122785, NULL, 'PTHR13738:SF34', NULL, NULL, NULL, NULL, 'TROPONIN I 3', NULL, NULL, NULL, 15),
(122786, NULL, 'PTHR15598:SF7', NULL, NULL, NULL, NULL, 'ENHANCER OF MRNA-DECAPPING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(122787, NULL, 'PTHR31744:SF134', NULL, NULL, NULL, NULL, 'BNAC04G48620D PROTEIN', NULL, NULL, NULL, 15),
(122788, NULL, 'PTHR20870:SF0', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 1 PROTEIN', NULL, NULL, NULL, 15),
(122789, NULL, 'PTHR12191:SF4', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP12', NULL, NULL, NULL, 15),
(122790, NULL, 'PTHR31048:SF125', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(122791, NULL, 'PTHR37318', NULL, NULL, NULL, NULL, 'BSL7504 PROTEIN', NULL, NULL, NULL, 15),
(122792, NULL, 'PTHR11570:SF28', NULL, NULL, NULL, NULL, 'BNAC09G42020D PROTEIN', NULL, NULL, NULL, 15),
(122793, NULL, 'PTHR11139:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122794, NULL, 'PTHR33325:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', NULL, NULL, NULL, 15),
(122795, NULL, 'PTHR12064:SF57', NULL, NULL, NULL, NULL, 'AND COBALT EFFLUX PROTEIN CORC, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122796, NULL, 'PTHR26453:SF43', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(122797, NULL, 'PTHR24298:SF832', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A2-LIKE', NULL, NULL, NULL, 15),
(122798, NULL, 'PTHR12681', NULL, NULL, NULL, NULL, 'ZINC FINGER-CONTAINING PROTEIN P48ZNF', NULL, NULL, NULL, 15),
(122799, NULL, 'PTHR23399:SF2', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOTIDYLTRANSFERASE TERMINAL-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(122800, NULL, 'PTHR46105:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 7A', NULL, NULL, NULL, 15),
(122801, NULL, 'PTHR12411:SF795', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG12', NULL, NULL, NULL, 15),
(122802, NULL, 'PTHR12414:SF7', NULL, NULL, NULL, NULL, 'CHORION-SPECIFIC TRANSCRIPTION FACTOR GCMB', NULL, NULL, NULL, 15),
(122803, NULL, 'PTHR41139', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122804, NULL, 'PTHR11505:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122805, NULL, 'PTHR21700:SF1', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(122806, NULL, 'PTHR31867:SF2', NULL, NULL, NULL, NULL, 'EXPANSIN-A7', NULL, NULL, NULL, 15),
(122807, NULL, 'PTHR10426:SF93', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 5-LIKE', NULL, NULL, NULL, 15),
(122808, NULL, 'PTHR31096:SF59', NULL, NULL, NULL, NULL, '[PROTEIN-PII] URIDYLYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(122809, NULL, 'PTHR13487', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR', NULL, NULL, 29029, 15),
(122810, NULL, 'PTHR24377:SF214', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS 5', NULL, NULL, NULL, 15),
(122811, NULL, 'PTHR23501:SF47', NULL, NULL, NULL, NULL, 'VACUOLAR BASIC AMINO ACID TRANSPORTER 1', NULL, NULL, NULL, 15),
(122812, NULL, 'PTHR47991:SF68', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', NULL, NULL, NULL, 15),
(122813, NULL, 'PTHR36310:SF1', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR11', NULL, NULL, NULL, 15),
(122814, NULL, 'PTHR23051', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35, MEMBER F5', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122815, NULL, 'PTHR11817:SF14', NULL, NULL, NULL, NULL, 'PLASTIDIAL PYRUVATE KINASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(122816, NULL, 'PTHR33645:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122817, NULL, 'PTHR11214:SF307', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(122818, NULL, 'PTHR45684:SF12', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1A-LIKE', NULL, NULL, NULL, 15),
(122819, NULL, 'PTHR24291:SF134', NULL, NULL, NULL, NULL, 'CAROTENE EPSILON-MONOOXYGENASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(122820, NULL, 'PTHR11654:SF538', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122821, NULL, 'PTHR10501:SF68', NULL, NULL, NULL, NULL, 'BNAA06G15070D PROTEIN', NULL, NULL, NULL, 15),
(122822, NULL, 'PTHR30468', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT SULFONATE DIOXYGENASE', NULL, NULL, NULL, 15),
(122823, NULL, 'PTHR33450:SF27', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', NULL, NULL, NULL, 15),
(122824, NULL, 'PTHR45621:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122825, NULL, 'PTHR42815:SF2', NULL, NULL, NULL, NULL, 'FAD-BINDING, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G07600)-RELATED', NULL, NULL, NULL, 15),
(122826, NULL, 'PTHR31403:SF8', NULL, NULL, NULL, NULL, 'TRIGLYCERIDE LIPASE-RELATED', NULL, NULL, NULL, 15),
(122827, NULL, 'PTHR35992:SF5', NULL, NULL, NULL, NULL, 'BNAA08G31190D PROTEIN', NULL, NULL, NULL, 15),
(122828, NULL, 'PTHR43067:SF3', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE/DIPEPTIDE ABC TRANSPORTER, ATPASE SUBUNIT', NULL, NULL, NULL, 15),
(122829, NULL, 'PTHR28020', NULL, NULL, NULL, NULL, 'YAP1-BINDING PROTEIN 1-RELATED', NULL, NULL, 30273, 15),
(122830, NULL, 'PTHR39405:SF1', NULL, NULL, NULL, NULL, 'DSC E3 UBIQUITIN LIGASE COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(122831, NULL, 'PTHR12887:SF12', NULL, NULL, NULL, NULL, 'NANOS HOMOLOG 3', NULL, NULL, NULL, 15),
(122832, NULL, 'PTHR19359:SF114', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 ISOFORM E', NULL, NULL, NULL, 15),
(122833, NULL, 'PTHR24166:SF53', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(122834, NULL, 'PTHR48014:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122835, NULL, 'PTHR24223:SF273', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN A', NULL, NULL, NULL, 15),
(122836, NULL, 'PTHR24238', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(122837, NULL, 'PTHR23510:SF68', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(122838, NULL, 'PTHR47195', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 38065, 15),
(122839, NULL, 'PTHR12122', NULL, NULL, NULL, NULL, 'RETINAL CONE RHODOPSIN-SENSITIVE CGMP 3'',5''-CYCLIC PHOSPHODIESTERASE GAMMA-SUBUNIT-RELATED', NULL, NULL, 5520, 15),
(122840, NULL, 'PTHR10161:SF28', NULL, NULL, NULL, NULL, 'TARTRATE-RESISTANT ACID PHOSPHATASE TYPE 5', NULL, NULL, NULL, 15),
(122841, NULL, 'PTHR11947:SF15', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE (ACETYL-TRANSFERRING)] KINASE ISOZYME 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122842, NULL, 'PTHR12588:SF11', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE 4', NULL, NULL, NULL, 15),
(122843, NULL, 'PTHR46982:SF1', NULL, NULL, NULL, NULL, 'CITRATE/OXOGLUTARATE CARRIER PROTEIN', NULL, NULL, NULL, 15),
(122844, NULL, 'PTHR15741:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-4', NULL, NULL, NULL, 15),
(122845, NULL, 'PTHR23050:SF233', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(122846, NULL, 'PTHR26453:SF600', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(122847, NULL, 'PTHR11835:SF42', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT BETA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122848, NULL, 'PTHR48021:SF33', NULL, NULL, NULL, NULL, 'AT22075P-RELATED', NULL, NULL, NULL, 15),
(122849, NULL, 'PTHR46080:SF14', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 44-LIKE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122850, NULL, 'PTHR45752:SF47', NULL, NULL, NULL, NULL, 'ERBIN', NULL, NULL, NULL, 15),
(122851, NULL, 'PTHR39158:SF1', NULL, NULL, NULL, NULL, 'OS08G0560600 PROTEIN', NULL, NULL, NULL, 15),
(122852, NULL, 'PTHR43539:SF33', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(122853, NULL, 'PTHR36195:SF6', NULL, NULL, NULL, NULL, 'SECRETED THAUMATIN-LIKE PROTEIN CALA', NULL, NULL, NULL, 15),
(122854, NULL, 'PTHR42760:SF60', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(122855, NULL, 'PTHR10593:SF157', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 16-LIKE', NULL, NULL, NULL, 15),
(122856, NULL, 'PTHR12245:SF3', NULL, NULL, NULL, NULL, 'SPRY DOMAIN-CONTAINING SOCS BOX PROTEIN 4', NULL, NULL, NULL, 15),
(122857, NULL, 'PTHR11439:SF350', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122858, NULL, 'PTHR10194:SF4', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(122859, NULL, 'PTHR47998:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122860, NULL, 'PTHR12358:SF87', NULL, NULL, NULL, NULL, 'SPHINGOID LONG CHAIN BASE KINASE 4-RELATED', NULL, NULL, NULL, 15),
(122861, NULL, 'PTHR11685:SF247', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARI5-RELATED', NULL, NULL, NULL, 15),
(122862, NULL, 'PTHR10658:SF11', NULL, NULL, NULL, NULL, 'PITP-LESS RDGB-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(122863, NULL, 'PTHR31500:SF55', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 2', NULL, NULL, NULL, 15),
(122864, NULL, 'PTHR31852:SF204', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(122865, NULL, 'PTHR37250', NULL, NULL, NULL, NULL, 'OS05G0496000 PROTEIN', NULL, NULL, NULL, 15),
(122866, NULL, 'PTHR13523:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN-CONTAINING PROTEIN 10, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122867, NULL, 'PTHR46011:SF17', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(122868, NULL, 'PTHR43917:SF8', NULL, NULL, NULL, NULL, 'GH16740P-RELATED', NULL, NULL, NULL, 15),
(122869, NULL, 'PTHR46982', NULL, NULL, NULL, NULL, 'CITRATE/OXOGLUTARATE CARRIER PROTEIN', NULL, NULL, NULL, 15),
(122870, NULL, 'PTHR10165:SF91', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 4-RELATED', NULL, NULL, NULL, 15),
(122871, NULL, 'PTHR31604:SF44', NULL, NULL, NULL, NULL, 'BNAC04G26320D PROTEIN', NULL, NULL, NULL, 15),
(122872, NULL, 'PTHR31945:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ABORTED MICROSPORES', NULL, NULL, NULL, 15),
(122873, NULL, 'PTHR31867:SF91', NULL, NULL, NULL, NULL, 'EXPANSIN-A21', NULL, NULL, NULL, 15),
(122874, NULL, 'PTHR43223', NULL, NULL, NULL, NULL, 'ALKYL/ARYL-SULFATASE', NULL, NULL, NULL, 15),
(122875, NULL, 'PTHR10706:SF152', NULL, NULL, NULL, NULL, 'BNAC06G42890D PROTEIN', NULL, NULL, NULL, 15),
(122876, NULL, 'PTHR23262:SF148', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 12-3', NULL, NULL, NULL, 15),
(122877, NULL, 'PTHR24044:SF458', NULL, NULL, NULL, NULL, 'PROTEIN CBG10218', NULL, NULL, NULL, 15),
(122878, NULL, 'PTHR43078:SF13', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE DECARBOXYLASE-RELATED', NULL, NULL, NULL, 15),
(122879, NULL, 'PTHR10694:SF34', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 4E', NULL, NULL, NULL, 15),
(122880, NULL, 'PTHR11514:SF124', NULL, NULL, NULL, NULL, 'OS04G0300600 PROTEIN', NULL, NULL, NULL, 15),
(122881, NULL, 'PTHR11017:SF438', NULL, NULL, NULL, NULL, 'RCT1-LIKE RESISTANCE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122882, NULL, 'PTHR24305:SF180', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(122883, NULL, 'PTHR24339:SF57', NULL, NULL, NULL, NULL, 'GNOT1 HOMEODOMAIN PROTEIN', NULL, NULL, NULL, 15),
(122884, NULL, 'PTHR13061:SF14', NULL, NULL, NULL, NULL, 'CARNITINE OPERON PROTEIN CAIE-RELATED', NULL, NULL, NULL, 15),
(122885, NULL, 'PTHR27004:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122886, NULL, 'PTHR24326:SF579', NULL, NULL, NULL, NULL, 'BNAA06G39210D PROTEIN', NULL, NULL, NULL, 15),
(122887, NULL, 'PTHR20934:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(122888, NULL, 'PTHR42715:SF5', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE M-RELATED', NULL, NULL, NULL, 15),
(122889, NULL, 'PTHR24127:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND EF-HAND DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(122890, NULL, 'PTHR30309:SF0', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(122891, NULL, 'PTHR48086:SF2', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', NULL, NULL, NULL, 15),
(122892, NULL, 'PTHR46118:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ABHD11', NULL, NULL, NULL, 15),
(122893, NULL, 'PTHR33203:SF42', NULL, NULL, NULL, NULL, 'BNAC02G01560D PROTEIN', NULL, NULL, NULL, 15),
(122894, NULL, 'PTHR43939:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122895, NULL, 'PTHR31929:SF63', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR22-LIKE', NULL, NULL, NULL, 15),
(122896, NULL, 'PTHR21717:SF65', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(122897, NULL, 'PTHR31589:SF105', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', NULL, NULL, NULL, 15),
(122898, NULL, 'PTHR48017:SF37', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1B', NULL, NULL, NULL, 15),
(122899, NULL, 'PTHR24299:SF32', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82A4-LIKE', NULL, NULL, NULL, 15),
(122900, NULL, 'PTHR43768:SF35', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE 5-RELATED', NULL, NULL, NULL, 15),
(122901, NULL, 'PTHR37302', NULL, NULL, NULL, NULL, 'SLR1116 PROTEIN', NULL, NULL, 2434, 15),
(122902, NULL, 'PTHR46336:SF10', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(122903, NULL, 'PTHR46286', NULL, NULL, NULL, NULL, 'VIN3-LIKE PROTEIN 2-RELATED', NULL, NULL, 39063, 15),
(122904, NULL, 'PTHR14614:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122905, NULL, 'PTHR36848:SF2', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN (PUTATIVE SECRETED PROTEIN)-RELATED', NULL, NULL, NULL, 15),
(122906, NULL, 'PTHR10844:SF29', NULL, NULL, NULL, NULL, 'CAVEOLIN', NULL, NULL, NULL, 15),
(122907, NULL, 'PTHR32468:SF137', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 28', NULL, NULL, NULL, 15),
(122908, NULL, 'PTHR11223:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122909, NULL, 'PTHR38685:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN ZIPA', NULL, NULL, NULL, 15),
(122910, NULL, 'PTHR47171:SF4', NULL, NULL, NULL, NULL, 'ACETAMIDASE REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(122911, NULL, 'PTHR46301:SF2', NULL, NULL, NULL, NULL, 'PROTEIN UNUSUAL FLORAL ORGANS', NULL, NULL, NULL, 15),
(122912, NULL, 'PTHR31962:SF6', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(122913, NULL, 'PTHR46209:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122914, NULL, 'PTHR31723:SF5', NULL, NULL, NULL, NULL, 'OS01G0248500 PROTEIN', NULL, NULL, NULL, 15),
(122915, NULL, 'PTHR36488:SF8', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1U1', NULL, NULL, NULL, 15),
(122916, NULL, 'PTHR21139:SF19', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE B', NULL, NULL, NULL, 15),
(122917, NULL, 'PTHR11183:SF60', NULL, NULL, NULL, NULL, 'GLYCOGENIN GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(122918, NULL, 'PTHR47206:SF5', NULL, NULL, NULL, NULL, 'BNAA09G14920D PROTEIN', NULL, NULL, NULL, 15),
(122919, NULL, 'PTHR48001:SF17', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(122920, NULL, 'PTHR10551:SF24', NULL, NULL, NULL, NULL, 'FASCIN-2', NULL, NULL, 24734, 15),
(122921, NULL, 'PTHR15491:SF12', NULL, NULL, NULL, NULL, 'CDKN1A-INTERACTING ZINC FINGER PROTEIN 1B', NULL, NULL, NULL, 15),
(122922, NULL, 'PTHR28289:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT HSK3', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122923, NULL, 'PTHR10182:SF20', NULL, NULL, NULL, NULL, 'BNAC09G21490D PROTEIN', NULL, NULL, NULL, 15),
(122924, NULL, 'PTHR23349:SF48', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 24', NULL, NULL, NULL, 15),
(122925, NULL, 'PTHR11972:SF54', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN J-RELATED', NULL, NULL, NULL, 15),
(122926, NULL, 'PTHR24377:SF876', NULL, NULL, NULL, NULL, 'MCG61508', NULL, NULL, NULL, 15),
(122927, NULL, 'PTHR13112:SF2', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS 3A', NULL, NULL, 33942, 15),
(122928, NULL, 'PTHR32295:SF222', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 30-RELATED', NULL, NULL, NULL, 15),
(122929, NULL, 'PTHR48011:SF28', NULL, NULL, NULL, NULL, 'BNAA09G17230D PROTEIN', NULL, NULL, NULL, 15),
(122930, NULL, 'PTHR22692:SF28', NULL, NULL, NULL, NULL, 'MYOSIN VIIBB', NULL, NULL, NULL, 15),
(122931, NULL, 'PTHR47322', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(122932, NULL, 'PTHR12626:SF8', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(122933, NULL, 'PTHR15001:SF3', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 123', NULL, NULL, NULL, 15),
(122934, NULL, 'PTHR24353:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122935, NULL, 'PTHR12412', NULL, NULL, NULL, NULL, 'CAP BINDING PROTEIN', NULL, NULL, 27740, 15),
(122936, NULL, 'PTHR42898:SF12', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN LINE-1', NULL, NULL, NULL, 15),
(122937, NULL, 'PTHR31719:SF174', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(122938, NULL, 'PTHR46128:SF161', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122939, NULL, 'PTHR24118:SF37', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR EPSILON', NULL, NULL, NULL, 15),
(122940, NULL, 'PTHR11474:SF92', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE F, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(122941, NULL, 'PTHR14905:SF19', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(122942, NULL, 'PTHR20275', NULL, NULL, NULL, NULL, 'NAD KINASE', NULL, NULL, NULL, 15),
(122943, NULL, 'PTHR10666:SF375', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-LIKE', NULL, NULL, NULL, 15),
(122944, NULL, 'PTHR43613', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(122945, NULL, 'PTHR22948:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122946, NULL, 'PTHR48099:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122947, NULL, 'PTHR20992:SF9', NULL, NULL, NULL, NULL, 'AT15442P-RELATED', NULL, NULL, NULL, 15),
(122948, NULL, 'PTHR13318:SF124', NULL, NULL, NULL, NULL, 'F-BOX-LIKE PROTEIN', NULL, NULL, NULL, 15),
(122949, NULL, 'PTHR10088:SF4', NULL, NULL, NULL, NULL, 'GLUCOKINASE REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(122950, NULL, 'PTHR45717:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122951, NULL, 'PTHR10755:SF0', NULL, NULL, NULL, NULL, 'OXYGEN-DEPENDENT COPROPORPHYRINOGEN-III OXIDASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(122952, NULL, 'PTHR22959', NULL, NULL, NULL, NULL, 'PYM PROTEIN', NULL, NULL, 36334, 15),
(122953, NULL, 'PTHR30085:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE/ASPARTATE IMPORT SOLUTE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(122954, NULL, 'PTHR12289:SF40', NULL, NULL, NULL, NULL, 'CADMIUM-INDUCIBLE LYSOSOMAL PROTEIN CDR-5', NULL, NULL, NULL, 15),
(122955, NULL, 'PTHR45633:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122956, NULL, 'PTHR48012:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122957, NULL, 'PTHR13871:SF95', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN 1-2-RELATED', NULL, NULL, NULL, 15),
(122958, NULL, 'PTHR11604:SF29', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(122959, NULL, 'PTHR35460:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122960, NULL, 'PTHR47981:SF3', NULL, NULL, NULL, NULL, 'RAB7B, MEMBER RAS ONCOGENE FAMILY-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122961, NULL, 'PTHR10782:SF79', NULL, NULL, NULL, NULL, 'BNAA04G11220D PROTEIN', NULL, NULL, NULL, 15),
(122962, NULL, 'PTHR45716:SF4', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-LIKE PROTEIN 4', NULL, NULL, 23691, 15),
(122963, NULL, 'PTHR10352:SF30', NULL, NULL, NULL, NULL, 'OS12G0606800 PROTEIN', NULL, NULL, NULL, 15),
(122964, NULL, 'PTHR31509:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122965, NULL, 'PTHR43108:SF13', NULL, NULL, NULL, NULL, 'SD21168P', NULL, NULL, NULL, 15),
(122966, NULL, 'PTHR33331', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 162', NULL, NULL, 29611, 15),
(122967, NULL, 'PTHR45631:SF72', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122968, NULL, 'PTHR24068:SF365', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATING ENZYME', NULL, NULL, NULL, 15),
(122969, NULL, 'PTHR47982:SF33', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK15', NULL, NULL, NULL, 15),
(122970, NULL, 'PTHR47926:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122971, NULL, 'PTHR33052:SF149', NULL, NULL, NULL, NULL, 'BNAA03G55990D PROTEIN', NULL, NULL, NULL, 15),
(122972, NULL, 'PTHR34059:SF3', NULL, NULL, NULL, NULL, 'OS02G0656100 PROTEIN', NULL, NULL, NULL, 15),
(122973, NULL, 'PTHR35585', NULL, NULL, NULL, NULL, 'HHE DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G00730)', NULL, NULL, NULL, 15),
(122974, NULL, 'PTHR31123:SF1', NULL, NULL, NULL, NULL, 'ACCUMULATION OF DYADS PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(122975, NULL, 'PTHR31827:SF1', NULL, NULL, NULL, NULL, 'EMB|CAB89363.1', NULL, NULL, NULL, 15),
(122976, NULL, 'PTHR23255:SF51', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN SERINE/THREONINE KINASE', NULL, NULL, NULL, 15),
(122977, NULL, 'PTHR10410:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG16582', NULL, NULL, NULL, 15),
(122978, NULL, 'PTHR43133:SF35', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGZ', NULL, NULL, NULL, 15),
(122979, NULL, 'PTHR18849', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT PROTEIN', NULL, NULL, NULL, 15),
(122980, NULL, 'PTHR23086:SF106', NULL, NULL, NULL, NULL, '4-PHOSPHATE 5-KINASE ALPHA, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(122981, NULL, 'PTHR21622', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN CONTAINING 4', NULL, NULL, 35666, 15),
(122982, NULL, 'PTHR13890:SF40', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-10', NULL, NULL, NULL, 15),
(122983, NULL, 'PTHR24039:SF45', NULL, NULL, NULL, NULL, 'FBN-1A.1', NULL, NULL, NULL, 15),
(122984, NULL, 'PTHR33178:SF12', NULL, NULL, NULL, NULL, 'STRESS-RESPONSE A/B BARREL DOMAIN-CONTAINING PROTEIN DABB1', NULL, NULL, NULL, 15),
(122985, NULL, 'PTHR47270', NULL, NULL, NULL, NULL, 'PROTEIN MLP1-LIKE', NULL, NULL, NULL, 15),
(122986, NULL, 'PTHR23179:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122987, NULL, 'PTHR23098:SF4', NULL, NULL, NULL, NULL, 'AGAP001331-PA', NULL, NULL, NULL, 15),
(122988, NULL, 'PTHR32060:SF7', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL-PROCESSING PEPTIDASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(122989, NULL, 'PTHR22907:SF7', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(122990, NULL, 'PTHR22881:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122991, NULL, 'PTHR27009:SF156', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE', NULL, NULL, NULL, 15),
(122992, NULL, 'PTHR33420:SF12', NULL, NULL, NULL, NULL, 'TYPE-1 FIMBRIAL PROTEIN, A CHAIN', NULL, NULL, NULL, 15),
(122993, NULL, 'PTHR11556:SF32', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, CYTOSOLIC', NULL, NULL, NULL, 15),
(122994, NULL, 'PTHR35133', NULL, NULL, NULL, NULL, 'PROTEIN EFFECTOR OF TRANSCRIPTION 2-RELATED', NULL, NULL, 34172, 15),
(122995, NULL, 'PTHR46220:SF13', NULL, NULL, NULL, NULL, 'BNAA03G58510D PROTEIN', NULL, NULL, NULL, 15),
(122996, NULL, 'PTHR37168:SF2', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED EXONUCLEASE CAS4', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(122997, NULL, 'PTHR45290:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(122998, NULL, 'PTHR31717:SF102', NULL, NULL, NULL, NULL, 'BNAC05G44310D PROTEIN', NULL, NULL, NULL, 15),
(122999, NULL, 'PTHR33389:SF15', NULL, NULL, NULL, NULL, 'OS01G0677900 PROTEIN', NULL, NULL, NULL, 15),
(123000, NULL, 'PTHR23502:SF2', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123001, NULL, 'PTHR31867:SF86', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(123002, NULL, 'PTHR33743', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 36480, 15),
(123003, NULL, 'PTHR33033:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123004, NULL, 'PTHR24322:SF736', NULL, NULL, NULL, NULL, 'PKSB', NULL, NULL, NULL, 15),
(123005, NULL, 'PTHR10891:SF746', NULL, NULL, NULL, NULL, 'OS05G0147300 PROTEIN', NULL, NULL, NULL, 15),
(123006, NULL, 'PTHR24067:SF252', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 U', NULL, NULL, NULL, 15),
(123007, NULL, 'PTHR11206:SF79', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(123008, NULL, 'PTHR24223:SF396', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 10', NULL, NULL, NULL, 15),
(123009, NULL, 'PTHR16172:SF27', NULL, NULL, NULL, NULL, 'FI19426P1', NULL, NULL, NULL, 15),
(123010, NULL, 'PTHR31223:SF66', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15),
(123011, NULL, 'PTHR24298:SF554', NULL, NULL, NULL, NULL, 'INDOLIN-2-ONE MONOOXYGENASE', NULL, NULL, NULL, 15),
(123012, NULL, 'PTHR23024:SF178', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', NULL, NULL, NULL, 15),
(123013, NULL, 'PTHR35772', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN I', NULL, NULL, 1859, 15),
(123014, NULL, 'PTHR45863:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK6', NULL, NULL, NULL, 15),
(123015, NULL, 'PTHR46294:SF3', NULL, NULL, NULL, NULL, 'SEGMENTATION PROTEIN EVEN-SKIPPED', NULL, NULL, NULL, 15),
(123016, NULL, 'PTHR10165:SF87', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE 5', NULL, NULL, 23819, 15),
(123017, NULL, 'PTHR33986', NULL, NULL, NULL, NULL, 'OS02G0535700 PROTEIN', NULL, NULL, 14666, 15),
(123018, NULL, 'PTHR27000:SF215', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', NULL, NULL, NULL, 15),
(123019, NULL, 'PTHR13048', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 3', NULL, NULL, 21974, 15),
(123020, NULL, 'PTHR33786:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(123021, NULL, 'PTHR47173:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DR1 HOMOLOG', NULL, NULL, NULL, 15),
(123022, NULL, 'PTHR10091:SF33', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(123023, NULL, 'PTHR33704:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123024, NULL, 'PTHR47975:SF31', NULL, NULL, NULL, NULL, 'OS11G0274700 PROTEIN', NULL, NULL, NULL, 15),
(123025, NULL, 'PTHR15469:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123026, NULL, 'PTHR47431', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(123027, NULL, 'PTHR32467:SF91', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TOE3 ISOFORM X1', NULL, NULL, NULL, 15),
(123028, NULL, 'PTHR43795:SF82', NULL, NULL, NULL, NULL, 'BNAA06G15630D PROTEIN', NULL, NULL, NULL, 15),
(123029, NULL, 'PTHR24355:SF27', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE 5', NULL, NULL, NULL, 15),
(123030, NULL, 'PTHR10168:SF274', NULL, NULL, NULL, NULL, 'BNAA09G27230D PROTEIN', NULL, NULL, NULL, 15),
(123031, NULL, 'PTHR24381:SF336', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 669', NULL, NULL, NULL, 15),
(123032, NULL, 'PTHR11567:SF137', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123033, NULL, 'PTHR46128:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123034, NULL, 'PTHR30047:SF12', NULL, NULL, NULL, NULL, 'BCCT-FAMILY TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(123035, NULL, 'PTHR31024:SF5', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(123036, NULL, 'PTHR31263:SF48', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(123037, NULL, 'PTHR31989:SF191', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 103', NULL, NULL, NULL, 15),
(123038, NULL, 'PTHR47430', NULL, NULL, NULL, NULL, 'GB|AAC33480.1', NULL, NULL, NULL, 15),
(123039, NULL, 'PTHR45917', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 1-RELATED', NULL, NULL, 37710, 15),
(123040, NULL, 'PTHR46702', NULL, NULL, NULL, NULL, 'DNA LIGASE (DUF1666)-RELATED', NULL, NULL, NULL, 15),
(123041, NULL, 'PTHR36867', NULL, NULL, NULL, NULL, 'MCG131172, ISOFORM CRA_A', NULL, NULL, NULL, 15),
(123042, NULL, 'PTHR24221:SF564', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER TAP-LIKE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(123043, NULL, 'PTHR47637:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE SURA', NULL, NULL, NULL, 15),
(123044, NULL, 'PTHR33078:SF55', NULL, NULL, NULL, NULL, 'PROTEIN YCF2', NULL, NULL, NULL, 15),
(123045, NULL, 'PTHR36063:SF1', NULL, NULL, NULL, NULL, 'ARABIDOPSIS THALIANA GENOMIC DNA, CHROMOSOME 5, P1 CLONE:MOK16', NULL, NULL, NULL, 15),
(123046, NULL, 'PTHR12332:SF1', NULL, NULL, NULL, NULL, 'KEREN-RELATED', NULL, NULL, NULL, 15),
(123047, NULL, 'PTHR22997:SF0', NULL, NULL, NULL, NULL, 'PIH1 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(123048, NULL, 'PTHR39341:SF1', NULL, NULL, NULL, NULL, 'BSL7085 PROTEIN', NULL, NULL, NULL, 15),
(123049, NULL, 'PTHR21261:SF8', NULL, NULL, NULL, NULL, 'BEATEN PATH IA, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(123050, NULL, 'PTHR33228:SF60', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123051, NULL, 'PTHR43675:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123052, NULL, 'PTHR42757', NULL, NULL, NULL, NULL, 'IGLON FAMILY OF IMMUNOGLOBULIN SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(123053, NULL, 'PTHR43139:SF46', NULL, NULL, NULL, NULL, 'BNAC03G76680D PROTEIN', NULL, NULL, NULL, 15),
(123054, NULL, 'PTHR34135:SF2', NULL, NULL, NULL, NULL, 'LYSOZYME', NULL, NULL, NULL, 15),
(123055, NULL, 'PTHR34198:SF1', NULL, NULL, NULL, NULL, 'OS01G0175100 PROTEIN', NULL, NULL, NULL, 15),
(123056, NULL, 'PTHR12745:SF10', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TUMORIGENICITY 7 PROTEIN', NULL, NULL, NULL, 15),
(123057, NULL, 'PTHR45743:SF13', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT6', NULL, NULL, NULL, 15),
(123058, NULL, 'PTHR15282:SF8', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY E MEMBER 2', NULL, NULL, NULL, 15),
(123059, NULL, 'PTHR46560:SF4', NULL, NULL, NULL, NULL, 'DUSKY', NULL, NULL, NULL, 15),
(123060, NULL, 'PTHR33178:SF10', NULL, NULL, NULL, NULL, 'STRESS-RESPONSE A/B BARREL DOMAIN-CONTAINING PROTEIN HS1', NULL, NULL, NULL, 15),
(123061, NULL, 'PTHR23539', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER', NULL, NULL, NULL, 15),
(123062, NULL, 'PTHR13366:SF0', NULL, NULL, NULL, NULL, 'HEAT REPEAT-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(123063, NULL, 'PTHR24072:SF324', NULL, NULL, NULL, NULL, 'GTPASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123064, NULL, 'PTHR22883:SF342', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(123065, NULL, 'PTHR36936:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG25168', NULL, NULL, NULL, 15),
(123066, NULL, 'PTHR12741:SF77', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUPS, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123067, NULL, 'PTHR31636:SF14', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(123068, NULL, 'PTHR31845:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SEF1-RELATED', NULL, NULL, NULL, 15),
(123069, NULL, 'PTHR43599:SF3', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL PROTEIN ADE2', NULL, NULL, NULL, 15),
(123070, NULL, 'PTHR48229', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123071, NULL, 'PTHR19375:SF434', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 3', NULL, NULL, NULL, 15),
(123072, NULL, 'PTHR23025:SF2', NULL, NULL, NULL, NULL, 'LIPASE, HORMONE-SENSITIVE A', NULL, NULL, NULL, 15),
(123073, NULL, 'PTHR43447:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123074, NULL, 'PTHR43670:SF41', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(123075, NULL, 'PTHR12771:SF45', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN A', NULL, NULL, NULL, 15),
(123076, NULL, 'PTHR47956:SF66', NULL, NULL, NULL, NULL, 'P450 71E1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123077, NULL, 'PTHR43286:SF2', NULL, NULL, NULL, NULL, 'ENDONUCLEASE III HOMOLOG', NULL, NULL, NULL, 15),
(123078, NULL, 'PTHR31496:SF26', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123079, NULL, 'PTHR23203:SF9', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 4', NULL, NULL, NULL, 15),
(123080, NULL, 'PTHR48019:SF72', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 6', NULL, NULL, NULL, 15),
(123081, NULL, 'PTHR14237:SF63', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE (PLP)-DEPENDENT TRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(123082, NULL, 'PTHR43295:SF5', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE', NULL, NULL, NULL, 15),
(123083, NULL, 'PTHR20958:SF6', NULL, NULL, NULL, NULL, 'GH05617P-RELATED', NULL, NULL, NULL, 15),
(123084, NULL, 'PTHR23045', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 37A', NULL, NULL, 11798, 15),
(123085, NULL, 'PTHR11909:SF166', NULL, NULL, NULL, NULL, 'PROTEIN CBG01655', NULL, NULL, NULL, 15),
(123086, NULL, 'PTHR24281:SF35', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', NULL, NULL, NULL, 15),
(123087, NULL, 'PTHR47966:SF12', NULL, NULL, NULL, NULL, 'ASPARTIC-TYPE ENDOPEPTIDASE', NULL, NULL, NULL, 15),
(123088, NULL, 'PTHR45968:SF17', NULL, NULL, NULL, NULL, 'PROTEIN HOTHEAD-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(123089, NULL, 'PTHR43496:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LPLB', NULL, NULL, NULL, 15),
(123090, NULL, 'PTHR34985', NULL, NULL, NULL, NULL, 'SLR0554 PROTEIN', NULL, NULL, NULL, 15),
(123091, NULL, 'PTHR33377:SF67', NULL, NULL, NULL, NULL, 'OSJNBB0004G23.8-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123092, NULL, 'PTHR33697:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123093, NULL, 'PTHR11034:SF48', NULL, NULL, NULL, NULL, 'OS02G0224800 PROTEIN', NULL, NULL, NULL, 15),
(123094, NULL, 'PTHR11908:SF86', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE', NULL, NULL, NULL, 15),
(123095, NULL, 'PTHR19422:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123096, NULL, 'PTHR28216', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DUO1', NULL, NULL, 8400, 15),
(123097, NULL, 'PTHR13182:SF22', NULL, NULL, NULL, NULL, 'BNAA09G41330D PROTEIN', NULL, NULL, NULL, 15),
(123098, NULL, 'PTHR10745', NULL, NULL, NULL, NULL, 'GLYCYL-TRNA SYNTHETASE/DNA POLYMERASE SUBUNIT GAMMA-2', NULL, NULL, 24304, 15),
(123099, NULL, 'PTHR11972:SF149', NULL, NULL, NULL, NULL, 'FERRIC REDUCTION OXIDASE 4-LIKE', NULL, NULL, NULL, 15),
(123100, NULL, 'PTHR38390:SF2', NULL, NULL, NULL, NULL, 'OS01G0103900 PROTEIN', NULL, NULL, NULL, 15),
(123101, NULL, 'PTHR10857:SF106', NULL, NULL, NULL, NULL, 'COPINE-8', NULL, NULL, NULL, 15),
(123102, NULL, 'PTHR37484', NULL, NULL, NULL, NULL, 'ROD SHAPE-DETERMINING PROTEIN MRED', NULL, NULL, 24371, 15),
(123103, NULL, 'PTHR26454:SF158', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(123104, NULL, 'PTHR33199:SF13', NULL, NULL, NULL, NULL, 'MAC/PERFORIN DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(123105, NULL, 'PTHR43952:SF55', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 2', NULL, NULL, NULL, 15),
(123106, NULL, 'PTHR11256:SF42', NULL, NULL, NULL, NULL, 'APOPTOSIS REGULATOR BAX', NULL, NULL, 23955, 15),
(123107, NULL, 'PTHR32154:SF14', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE SYNTHASE SUBUNIT KORA', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123108, NULL, 'PTHR42647', NULL, NULL, NULL, NULL, 'SBP (S-RIBONUCLEASE BINDING PROTEIN) FAMILY PROTEIN', NULL, NULL, 19739, 15),
(123109, NULL, 'PTHR10173:SF56', NULL, NULL, NULL, NULL, 'METHIONINE-R-SULFOXIDE REDUCTASE B3', NULL, NULL, NULL, 15),
(123110, NULL, 'PTHR22166:SF30', NULL, NULL, NULL, NULL, 'LUNAPARK DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123111, NULL, 'PTHR31651:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123112, NULL, 'PTHR13800:SF15', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 6', NULL, NULL, 28557, 15),
(123113, NULL, 'PTHR32178:SF8', NULL, NULL, NULL, NULL, 'PROTEIN FAM187B', NULL, NULL, NULL, 15),
(123114, NULL, 'PTHR12242:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123115, NULL, 'PTHR10546:SF8', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL, VOLTAGE-GATED, TYPE I, BETA B', NULL, NULL, NULL, 15),
(123116, NULL, 'PTHR11845:SF18', NULL, NULL, NULL, NULL, 'BNAANNG28140D PROTEIN', NULL, NULL, NULL, 15),
(123117, NULL, 'PTHR16294:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123118, NULL, 'PTHR12151:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SCO2 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(123119, NULL, 'PTHR45650:SF35', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(123120, NULL, 'PTHR14662:SF2', NULL, NULL, NULL, NULL, 'PARTNER AND LOCALIZER OF BRCA2', NULL, NULL, NULL, 15),
(123121, NULL, 'PTHR13999:SF23', NULL, NULL, NULL, NULL, 'DISPANIN SUBFAMILY A MEMBER 2D-RELATED', NULL, NULL, NULL, 15),
(123122, NULL, 'PTHR48004:SF29', NULL, NULL, NULL, NULL, 'DNA-DAMAGE-REPAIR/TOLERATION PROTEIN DRT100-LIKE', NULL, NULL, NULL, 15),
(123123, NULL, 'PTHR11430', NULL, NULL, NULL, NULL, 'LIPOCALIN', NULL, NULL, 6656, 15),
(123124, NULL, 'PTHR11085:SF38', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE', NULL, NULL, NULL, 15),
(123125, NULL, 'PTHR48002:SF151', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(123126, NULL, 'PTHR33703:SF18', NULL, NULL, NULL, NULL, 'WOUND-INDUCED PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(123127, NULL, 'PTHR14269:SF35', NULL, NULL, NULL, NULL, 'PHOSPHATIDYL SYNTHASE (AFU_ORTHOLOGUE AFUA_3G12330)', NULL, NULL, NULL, 15),
(123128, NULL, 'PTHR11801:SF19', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION 4', NULL, NULL, 24756, 15),
(123129, NULL, 'PTHR19871:SF11', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 41-RELATED', NULL, NULL, NULL, 15),
(123130, NULL, 'PTHR14791:SF45', NULL, NULL, NULL, NULL, 'BNACNNG51740D PROTEIN', NULL, NULL, NULL, 15),
(123131, NULL, 'PTHR14047:SF35', NULL, NULL, NULL, NULL, 'X ANTIGEN FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(123132, NULL, 'PTHR42813', NULL, NULL, NULL, NULL, 'ZINC-TYPE ALCOHOL DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(123133, NULL, 'PTHR14340:SF2', NULL, NULL, NULL, NULL, 'MICROFIBRILLAR-ASSOCIATED PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(123134, NULL, 'PTHR27002:SF472', NULL, NULL, NULL, NULL, 'OS07G0534700 PROTEIN', NULL, NULL, NULL, 15),
(123135, NULL, 'PTHR31301:SF148', NULL, NULL, NULL, NULL, 'BNAA09G07740D PROTEIN', NULL, NULL, NULL, 15),
(123136, NULL, 'PTHR23278:SF28', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123137, NULL, 'PTHR31194:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123138, NULL, 'PTHR31867:SF3', NULL, NULL, NULL, NULL, 'EXPANSIN-A13', NULL, NULL, NULL, 15),
(123139, NULL, 'PTHR19957:SF78', NULL, NULL, NULL, NULL, 'SYNTAXIN-7B-RELATED', NULL, NULL, NULL, 15),
(123140, NULL, 'PTHR26453:SF145', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(123141, NULL, 'PTHR11814:SF223', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_4G12440)', NULL, NULL, NULL, 15),
(123142, NULL, 'PTHR31165:SF90', NULL, NULL, NULL, NULL, 'ALOG DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123143, NULL, 'PTHR47942:SF14', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123144, NULL, 'PTHR31152:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123145, NULL, 'PTHR31518', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH PROTEIN PNISR', NULL, NULL, 26312, 15),
(123146, NULL, 'PTHR45947:SF10', NULL, NULL, NULL, NULL, 'GDP-MANNOSE-DEPENDENT ALPHA-MANNOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(123147, NULL, 'PTHR21255:SF55', NULL, NULL, NULL, NULL, 'TCTEX1 DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(123148, NULL, 'PTHR23073:SF27', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT HOMOLOG MJ1494-RELATED', NULL, NULL, NULL, 15),
(123149, NULL, 'PTHR46128:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123150, NULL, 'PTHR31065:SF62', NULL, NULL, NULL, NULL, 'BNAA08G06760D PROTEIN', NULL, NULL, NULL, 15),
(123151, NULL, 'PTHR31878:SF0', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE PROTEIN TAFA-5', NULL, NULL, NULL, 15),
(123152, NULL, 'PTHR31692:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123153, NULL, 'PTHR24249:SF399', NULL, NULL, NULL, NULL, 'SI:DKEY-246E3.4-RELATED', NULL, NULL, NULL, 15),
(123154, NULL, 'PTHR24015:SF1832', NULL, NULL, NULL, NULL, 'OS03G0241800 PROTEIN', NULL, NULL, NULL, 15),
(123155, NULL, 'PTHR24073:SF269', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 27', NULL, NULL, NULL, 15),
(123156, NULL, 'PTHR34595', NULL, NULL, NULL, NULL, 'BLR5612 PROTEIN', NULL, NULL, NULL, 15),
(123157, NULL, 'PTHR15528', NULL, NULL, NULL, NULL, 'PEROXISOME PROLIFERATOR ACTIVATED RECEPTOR GAMMA COACTIVATOR 1  PGC-1 -RELATED', NULL, NULL, 1402, 15),
(123158, NULL, 'PTHR31468:SF11', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(123159, NULL, 'PTHR12606:SF11', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 2', NULL, NULL, NULL, 15),
(123160, NULL, 'PTHR48044:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(123161, NULL, 'PTHR46554:SF10', NULL, NULL, NULL, NULL, 'BNAA03G55180D PROTEIN', NULL, NULL, NULL, 15),
(123162, NULL, 'PTHR24186:SF26', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PLANT PROTEIN', NULL, NULL, NULL, 15),
(123163, NULL, 'PTHR43035', NULL, NULL, NULL, NULL, 'FATTY ACID REPRESSION MUTANT PROTEIN 2-RELATED', NULL, NULL, 33344, 15),
(123164, NULL, 'PTHR22948:SF15', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(123165, NULL, 'PTHR33148:SF32', NULL, NULL, NULL, NULL, 'OS09G0403000 PROTEIN', NULL, NULL, NULL, 15),
(123166, NULL, 'PTHR14084', NULL, NULL, NULL, NULL, 'KYNURENINASE', NULL, NULL, 2145, 15),
(123167, NULL, 'PTHR11661:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123168, NULL, 'PTHR46063', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(123169, NULL, 'PTHR10579:SF59', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE WAVH2-RELATED', NULL, NULL, NULL, 15),
(123170, NULL, 'PTHR46925:SF1', NULL, NULL, NULL, NULL, 'NEUROMEDIN-K RECEPTOR', NULL, NULL, NULL, 15),
(123171, NULL, 'PTHR10795:SF604', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE II-RELATED', NULL, NULL, NULL, 15),
(123172, NULL, 'PTHR11932:SF81', NULL, NULL, NULL, NULL, 'CULLIN-1', NULL, NULL, NULL, 15),
(123173, NULL, 'PTHR13388:SF26', NULL, NULL, NULL, NULL, 'SI:DKEY-1D7.3', NULL, NULL, NULL, 15),
(123174, NULL, 'PTHR12904:SF21', NULL, NULL, NULL, NULL, 'PROTEIN ZYG-11 HOMOLOG B', NULL, NULL, 34284, 15),
(123175, NULL, 'PTHR10380:SF2', NULL, NULL, NULL, NULL, 'AGAP003037-PA', NULL, NULL, NULL, 15),
(123176, NULL, 'PTHR11846:SF11', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE', NULL, NULL, NULL, 15),
(123177, NULL, 'PTHR27002:SF865', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123178, NULL, 'PTHR23023:SF228', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(123179, NULL, 'PTHR24322:SF741', NULL, NULL, NULL, NULL, 'ADR270CP', NULL, NULL, NULL, 15),
(123180, NULL, 'PTHR13878:SF120', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123181, NULL, 'PTHR31235:SF261', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(123182, NULL, 'PTHR45958:SF8', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 44-LIKE', NULL, NULL, NULL, 15),
(123183, NULL, 'PTHR27006:SF374', NULL, NULL, NULL, NULL, 'OS06G0689600 PROTEIN', NULL, NULL, NULL, 15),
(123184, NULL, 'PTHR34778:SF2', NULL, NULL, NULL, NULL, 'OS02G0580700 PROTEIN', NULL, NULL, NULL, 15),
(123185, NULL, 'PTHR10953:SF143', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME 7', NULL, NULL, NULL, 15),
(123186, NULL, 'PTHR32332:SF33', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(123187, NULL, 'PTHR46726:SF1', NULL, NULL, NULL, NULL, 'TWO PORE CHANNEL 3', NULL, NULL, NULL, 15),
(123188, NULL, 'PTHR10589:SF44', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(123189, NULL, 'PTHR48104:SF6', NULL, NULL, NULL, NULL, 'METACASPASE-2', NULL, NULL, 29089, 15),
(123190, NULL, 'PTHR22933:SF31', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN ANALOGOUS TO PERITROPHINS 1-H', NULL, NULL, NULL, 15),
(123191, NULL, 'PTHR25952:SF199', NULL, NULL, NULL, NULL, 'GENE, 17555-RELATED', NULL, NULL, NULL, 15),
(123192, NULL, 'PTHR13338:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123193, NULL, 'PTHR37367:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 4 OPEN READING FRAME 3', NULL, NULL, NULL, 15),
(123194, NULL, 'PTHR34576:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123195, NULL, 'PTHR15710:SF117', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE', NULL, NULL, NULL, 15),
(123196, NULL, 'PTHR44329:SF64', NULL, NULL, NULL, NULL, 'OS02G0120100 PROTEIN', NULL, NULL, NULL, 15),
(123197, NULL, 'PTHR37822', NULL, NULL, NULL, NULL, 'SPORE PHOTOPRODUCT LYASE-RELATED', NULL, NULL, NULL, 15),
(123198, NULL, 'PTHR31376:SF48', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.23 PROTEIN', NULL, NULL, NULL, 15),
(123199, NULL, 'PTHR45973:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 42', NULL, NULL, NULL, 15),
(123200, NULL, 'PTHR10362:SF53', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(123201, NULL, 'PTHR38013', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN/POLYSACCHARIDE METABOLISM', NULL, NULL, NULL, 15),
(123202, NULL, 'PTHR30050:SF8', NULL, NULL, NULL, NULL, 'PRIMOSOMAL PROTEIN DNAI', NULL, NULL, NULL, 15),
(123203, NULL, 'PTHR46513:SF13', NULL, NULL, NULL, NULL, 'VITELLOGENIN RECEPTOR-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123204, NULL, 'PTHR19877', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT I', NULL, NULL, NULL, 15),
(123205, NULL, 'PTHR12895', NULL, NULL, NULL, NULL, 'DYMECLIN', NULL, NULL, 18627, 15),
(123206, NULL, 'PTHR30146:SF123', NULL, NULL, NULL, NULL, 'LACI-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(123207, NULL, 'PTHR31210:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123208, NULL, 'PTHR28607:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN FAM174A', NULL, NULL, NULL, 15),
(123209, NULL, 'PTHR31225:SF120', NULL, NULL, NULL, NULL, 'GERMACRENE A SYNTHASE 3', NULL, NULL, NULL, 15),
(123210, NULL, 'PTHR35112:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123211, NULL, 'PTHR23299:SF47', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN', NULL, NULL, NULL, 15),
(123212, NULL, 'PTHR26312:SF138', NULL, NULL, NULL, NULL, 'PROTEIN SLOW GREEN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(123213, NULL, 'PTHR22777:SF4', NULL, NULL, NULL, NULL, 'UPF0053 PROTEIN SLL1254', NULL, NULL, NULL, 15),
(123214, NULL, 'PTHR47941:SF11', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123215, NULL, 'PTHR10983:SF57', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(123216, NULL, 'PTHR31734:SF194', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(123217, NULL, 'PTHR46736:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123218, NULL, 'PTHR24320:SF217', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER ON CHROMOSOME X', NULL, NULL, NULL, 15),
(123219, NULL, 'PTHR35763:SF1', NULL, NULL, NULL, NULL, 'COMPLEX 1 LYR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123220, NULL, 'PTHR31213:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123221, NULL, 'PTHR34124:SF16', NULL, NULL, NULL, NULL, 'OSJNBA0067K08.8 PROTEIN', NULL, NULL, NULL, 15),
(123222, NULL, 'PTHR12446:SF54', NULL, NULL, NULL, NULL, 'BNAA08G30730D PROTEIN', NULL, NULL, NULL, 15),
(123223, NULL, 'PTHR42985:SF13', NULL, NULL, NULL, NULL, 'GH19970P-RELATED', NULL, NULL, NULL, 15),
(123224, NULL, 'PTHR46506:SF34', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(123225, NULL, 'PTHR10381:SF48', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', NULL, NULL, NULL, 15),
(123226, NULL, 'PTHR40621:SF8', NULL, NULL, NULL, NULL, 'AP-1-LIKE TRANSCRIPTION FACTOR YAP3-RELATED', NULL, NULL, NULL, 15),
(123227, NULL, 'PTHR12114', NULL, NULL, NULL, NULL, 'PARVIN', NULL, NULL, 28641, 15),
(123228, NULL, 'PTHR43349:SF39', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 2-RELATED', NULL, NULL, NULL, 15),
(123229, NULL, 'PTHR14240:SF3', NULL, NULL, NULL, NULL, 'X-LINKED RETINITIS PIGMENTOSA GTPASE REGULATOR-INTERACTING PROTEIN 1', NULL, NULL, 25942, 15),
(123230, NULL, 'PTHR37317:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123231, NULL, 'PTHR48044:SF62', NULL, NULL, NULL, NULL, 'BETA-D-GLUCOSYL CROCETIN BETA-1,6-GLUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(123232, NULL, 'PTHR33184:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123233, NULL, 'PTHR43142', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(123234, NULL, 'PTHR11889:SF39', NULL, NULL, NULL, NULL, 'INDIAN HEDGEHOG PROTEIN', NULL, NULL, 34681, 15),
(123235, NULL, 'PTHR31190:SF174', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', NULL, NULL, NULL, 15),
(123236, NULL, 'PTHR24123:SF73', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123237, NULL, 'PTHR31903', NULL, NULL, NULL, NULL, 'F12F1.11-RELATED', NULL, NULL, NULL, 15),
(123238, NULL, 'PTHR21215', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(123239, NULL, 'PTHR16021:SF7', NULL, NULL, NULL, NULL, 'MANSC DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(123240, NULL, 'PTHR10394:SF24', NULL, NULL, NULL, NULL, 'CMV 1A INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(123241, NULL, 'PTHR18063:SF8', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE MINDY-2', NULL, NULL, NULL, 15),
(123242, NULL, 'PTHR32343:SF64', NULL, NULL, NULL, NULL, 'BNAA09G04860D PROTEIN', NULL, NULL, NULL, 15),
(123243, NULL, 'PTHR47992:SF132', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 51-RELATED', NULL, NULL, NULL, 15),
(123244, NULL, 'PTHR12884:SF28', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', NULL, NULL, NULL, 15),
(123245, NULL, 'PTHR47997:SF14', NULL, NULL, NULL, NULL, 'OSJNBB0039L24.8 PROTEIN', NULL, NULL, NULL, 15),
(123246, NULL, 'PTHR31218:SF194', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(123247, NULL, 'PTHR15350:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123248, NULL, 'PTHR21495:SF154', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(123249, NULL, 'PTHR31942:SF63', NULL, NULL, NULL, NULL, 'OS02G0562600 PROTEIN', NULL, NULL, NULL, 15),
(123250, NULL, 'PTHR15838:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN OF 40 KDA', NULL, NULL, 35953, 15),
(123251, NULL, 'PTHR31549:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123252, NULL, 'PTHR12353:SF1', NULL, NULL, NULL, NULL, 'DISKS LARGE-ASSOCIATED PROTEIN 5', NULL, NULL, NULL, 15),
(123253, NULL, 'PTHR46428:SF1', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(123254, NULL, 'PTHR12668:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FATTY ACID EXPORT 5-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123255, NULL, 'PTHR46346', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT P', NULL, NULL, NULL, 15),
(123256, NULL, 'PTHR31602:SF40', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 7', NULL, NULL, NULL, 15),
(123257, NULL, 'PTHR33044:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123258, NULL, 'PTHR13016:SF4', NULL, NULL, NULL, NULL, 'AMMECR1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123259, NULL, 'PTHR47992:SF56', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 20-RELATED', NULL, NULL, NULL, 15),
(123260, NULL, 'PTHR22973:SF12', NULL, NULL, NULL, NULL, 'LD35087P', NULL, NULL, NULL, 15),
(123261, NULL, 'PTHR24092:SF70', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(123262, NULL, 'PTHR33700:SF25', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123263, NULL, 'PTHR35022:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123264, NULL, 'PTHR38643', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PERMEASE C285.05-RELATED', NULL, NULL, 9223, 15),
(123265, NULL, 'PTHR37432:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG21304', NULL, NULL, NULL, 15),
(123266, NULL, 'PTHR15001:SF8', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 121', NULL, NULL, NULL, 15),
(123267, NULL, 'PTHR36106:SF3', NULL, NULL, NULL, NULL, 'ANAEROBIC C4-DICARBOXYLATE TRANSPORTER DCUB', NULL, NULL, NULL, 15),
(123268, NULL, 'PTHR24015:SF1725', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(123269, NULL, 'PTHR10064:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-RELATED', NULL, NULL, NULL, 15),
(123270, NULL, 'PTHR12821', NULL, NULL, NULL, NULL, 'BYSTIN', NULL, NULL, 4159, 15),
(123271, NULL, 'PTHR43618:SF13', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17650)-RELATED', NULL, NULL, NULL, 15),
(123272, NULL, 'PTHR45954:SF1', NULL, NULL, NULL, NULL, 'LD33695P', NULL, NULL, NULL, 15),
(123273, NULL, 'PTHR46512:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP8', NULL, NULL, NULL, 15),
(123274, NULL, 'PTHR46233:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(123275, NULL, 'PTHR40705', NULL, NULL, NULL, NULL, 'TRNA(ILE2) 2-AGMATINYLCYTIDINE SYNTHETASE TIAS', NULL, NULL, NULL, 15),
(123276, NULL, 'PTHR14927:SF1', NULL, NULL, NULL, NULL, 'BNAC06G42660D PROTEIN', NULL, NULL, NULL, 15),
(123277, NULL, 'PTHR31232:SF76', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 2', NULL, NULL, NULL, 15),
(123278, NULL, 'PTHR31044:SF62', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(123279, NULL, 'PTHR21290:SF59', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL:CERAMIDE INOSITOLPHOSPHOTRANSFERASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(123280, NULL, 'PTHR23267:SF328', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-9', NULL, NULL, NULL, 15),
(123281, NULL, 'PTHR13049:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 25', NULL, NULL, NULL, 15),
(123282, NULL, 'PTHR11618:SF56', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB 2', NULL, NULL, NULL, 15),
(123283, NULL, 'PTHR18952:SF104', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(123284, NULL, 'PTHR24057:SF63', NULL, NULL, NULL, NULL, 'OS05G0134000 PROTEIN', NULL, NULL, NULL, 15),
(123285, NULL, 'PTHR11141:SF7', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23A', NULL, NULL, NULL, 15),
(123286, NULL, 'PTHR26452:SF99', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(123287, NULL, 'PTHR38790:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123288, NULL, 'PTHR12714:SF9', NULL, NULL, NULL, NULL, 'PROTEIN-S-ISOPRENYLCYSTEINE O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(123289, NULL, 'PTHR48001:SF12', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(123290, NULL, 'PTHR19851:SF7', NULL, NULL, NULL, NULL, 'OS02G0203500 PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123291, NULL, 'PTHR30199:SF0', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YDCO', NULL, NULL, NULL, 15),
(123292, NULL, 'PTHR12741:SF84', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 9', NULL, NULL, NULL, 15),
(123293, NULL, 'PTHR45956:SF6', NULL, NULL, NULL, NULL, 'RUN AND FYVE DOMAIN-CONTAINING PROTEIN 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123294, NULL, 'PTHR43046:SF2', NULL, NULL, NULL, NULL, 'GDP-MANNOSE MANNOSYL HYDROLASE', NULL, NULL, NULL, 15),
(123295, NULL, 'PTHR35298:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN S1FA2', NULL, NULL, NULL, 15),
(123296, NULL, 'PTHR11732:SF286', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE A-RELATED', NULL, NULL, NULL, 15),
(123297, NULL, 'PTHR19961:SF30', NULL, NULL, NULL, NULL, 'LIVER STAGE ANTIGEN 1', NULL, NULL, NULL, 15),
(123298, NULL, 'PTHR45770:SF10', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(123299, NULL, 'PTHR21461:SF45', NULL, NULL, NULL, NULL, 'SI:DKEY-56I24.1-RELATED', NULL, NULL, NULL, 15),
(123300, NULL, 'PTHR31790:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123301, NULL, 'PTHR30531:SF13', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLHB', NULL, NULL, NULL, 15),
(123302, NULL, 'PTHR48049:SF75', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE:RHAMNOSYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(123303, NULL, 'PTHR43525:SF2', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-LYASE-RELATED', NULL, NULL, NULL, 15),
(123304, NULL, 'PTHR24637:SF302', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', NULL, NULL, NULL, 15),
(123305, NULL, 'PTHR13844:SF5', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY D MEMBER 3', NULL, NULL, 30250, 15),
(123306, NULL, 'PTHR31779:SF3', NULL, NULL, NULL, NULL, 'PROTEIN RDR1', NULL, NULL, 30323, 15),
(123307, NULL, 'PTHR24345:SF89', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK4', NULL, NULL, 31934, 15),
(123308, NULL, 'PTHR35607:SF10', NULL, NULL, NULL, NULL, 'GPI ANCHORED CFEM DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G10580)', NULL, NULL, NULL, 15),
(123309, NULL, 'PTHR22765:SF97', NULL, NULL, NULL, NULL, 'OS01G0633300 PROTEIN', NULL, NULL, NULL, 15),
(123310, NULL, 'PTHR13690:SF141', NULL, NULL, NULL, NULL, 'BNAA09G43300D PROTEIN', NULL, NULL, NULL, 15),
(123311, NULL, 'PTHR12787', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 2289, 15),
(123312, NULL, 'PTHR15729:SF13', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 32', NULL, NULL, NULL, 15),
(123313, NULL, 'PTHR33563:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123314, NULL, 'PTHR47293', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 3', NULL, NULL, NULL, 15),
(123315, NULL, 'PTHR27003:SF328', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123316, NULL, 'PTHR11945:SF599', NULL, NULL, NULL, NULL, 'BNAA09G30550D PROTEIN', NULL, NULL, NULL, 15),
(123317, NULL, 'PTHR24349:SF444', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 8', NULL, NULL, NULL, 15),
(123318, NULL, 'PTHR12080:SF55', NULL, NULL, NULL, NULL, 'SLAM FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(123319, NULL, 'PTHR23202:SF81', NULL, NULL, NULL, NULL, 'LD40663P', NULL, NULL, NULL, 15),
(123320, NULL, 'PTHR43807:SF20', NULL, NULL, NULL, NULL, 'FI04487P', NULL, NULL, NULL, 15),
(123321, NULL, 'PTHR17630:SF88', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(123322, NULL, 'PTHR33091:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123323, NULL, 'PTHR24223:SF423', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MRP-5', NULL, NULL, NULL, 15),
(123324, NULL, 'PTHR21700:SF24', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(123325, NULL, 'PTHR45613:SF360', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(123326, NULL, 'PTHR45995:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE NIMA-INTERACTING 4', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123327, NULL, 'PTHR15854:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG23515', NULL, NULL, NULL, 15),
(123328, NULL, 'PTHR10593:SF190', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 2-LIKE', NULL, NULL, NULL, 15),
(123329, NULL, 'PTHR24637:SF239', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(123330, NULL, 'PTHR11711:SF383', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR A1B', NULL, NULL, NULL, 15),
(123331, NULL, 'PTHR24416:SF551', NULL, NULL, NULL, NULL, 'COLONY-STIMULATING FACTOR 1 RECEPTOR, B', NULL, NULL, NULL, 15),
(123332, NULL, 'PTHR47227:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT K', NULL, NULL, NULL, 15),
(123333, NULL, 'PTHR48047:SF48', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(123334, NULL, 'PTHR23183:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 14', NULL, NULL, NULL, 15),
(123335, NULL, 'PTHR12117:SF0', NULL, NULL, NULL, NULL, 'PROLYL 3-HYDROXYLASE OGFOD1', NULL, NULL, NULL, 15),
(123336, NULL, 'PTHR32063:SF4', NULL, NULL, NULL, NULL, 'SLR6043 PROTEIN', NULL, NULL, NULL, 15),
(123337, NULL, 'PTHR10168:SF222', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C9', NULL, NULL, NULL, 15),
(123338, NULL, 'PTHR40836', NULL, NULL, NULL, NULL, 'RB1-INDUCIBLE COILED-COIL PROTEIN', NULL, NULL, NULL, 15),
(123339, NULL, 'PTHR10578:SF121', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE', NULL, NULL, NULL, 15),
(123340, NULL, 'PTHR11132:SF396', NULL, NULL, NULL, NULL, 'BNAC05G09350D PROTEIN', NULL, NULL, NULL, 15),
(123341, NULL, 'PTHR10992:SF1011', NULL, NULL, NULL, NULL, 'METHYLESTERASE 12, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(123342, NULL, 'PTHR10664:SF36', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS BC (CLASS B-LIKE)', NULL, NULL, NULL, 15),
(123343, NULL, 'PTHR32002:SF64', NULL, NULL, NULL, NULL, 'BNAC04G02980D PROTEIN', NULL, NULL, NULL, 15),
(123344, NULL, 'PTHR31050', NULL, NULL, NULL, NULL, 'OS08G0413200 PROTEIN', NULL, NULL, NULL, 15),
(123345, NULL, 'PTHR21454:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123346, NULL, 'PTHR11886:SF88', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(123347, NULL, 'PTHR13620:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123348, NULL, 'PTHR48054:SF17', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 5', NULL, NULL, NULL, 15),
(123349, NULL, 'PTHR31992:SF137', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.7', NULL, NULL, NULL, 15),
(123350, NULL, 'PTHR31905:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 58', NULL, NULL, NULL, 15),
(123351, NULL, 'PTHR47992:SF153', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 5-RELATED', NULL, NULL, NULL, 15),
(123352, NULL, 'PTHR46408:SF18', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(123353, NULL, 'PTHR43418', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL TRYPTOPHAN BIOSYNTHESIS PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123354, NULL, 'PTHR32089:SF55', NULL, NULL, NULL, NULL, 'METHYL ACCEPTING SENSORY TRANSDUCER WITH CACHE_2 SMALL MOLECULE BINDING DOMAIN', NULL, NULL, NULL, 15),
(123355, NULL, 'PTHR23077:SF138', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 48 HOMOLOG A', NULL, NULL, NULL, 15),
(123356, NULL, 'PTHR11113:SF6', NULL, NULL, NULL, NULL, 'ADENINE DEAMINASE YERA-RELATED', NULL, NULL, NULL, 15),
(123357, NULL, 'PTHR31623:SF51', NULL, NULL, NULL, NULL, 'N-BENZOYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123358, NULL, 'PTHR43135', NULL, NULL, NULL, NULL, 'ALPHA-D-RIBOSE 1-METHYLPHOSPHONATE 5-TRIPHOSPHATE DIPHOSPHATASE', NULL, NULL, NULL, 15),
(123359, NULL, 'PTHR45659:SF15', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN ULTRABITHORAX', NULL, NULL, NULL, 15),
(123360, NULL, 'PTHR34455:SF8', NULL, NULL, NULL, NULL, 'BNAA08G29920D PROTEIN', NULL, NULL, NULL, 15),
(123361, NULL, 'PTHR10554:SF12', NULL, NULL, NULL, NULL, 'IP02644P', NULL, NULL, 27504, 15),
(123362, NULL, 'PTHR43198', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL TH2 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123363, NULL, 'PTHR11571:SF242', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE P', NULL, NULL, NULL, 15),
(123364, NULL, 'PTHR31707:SF324', NULL, NULL, NULL, NULL, 'BNAC09G46910D PROTEIN', NULL, NULL, NULL, 15),
(123365, NULL, 'PTHR24559:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123366, NULL, 'PTHR33398:SF5', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S20, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(123367, NULL, 'PTHR47631:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(123368, NULL, 'PTHR47435:SF7', NULL, NULL, NULL, NULL, 'BNAC06G10450D PROTEIN', NULL, NULL, NULL, 15),
(123369, NULL, 'PTHR11132:SF320', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(123370, NULL, 'PTHR11961:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123371, NULL, 'PTHR47215', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123372, NULL, 'PTHR46612', NULL, NULL, NULL, NULL, 'XYLOSIDE XYLOSYLTRANSFERASE 1', NULL, NULL, 38326, 15),
(123373, NULL, 'PTHR45752:SF66', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN', NULL, NULL, NULL, 15),
(123374, NULL, 'PTHR24115:SF937', NULL, NULL, NULL, NULL, 'KINESIN HEAVY CHAIN ISOFORM 5A', NULL, NULL, NULL, 15),
(123375, NULL, 'PTHR47947:SF25', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82G1', NULL, NULL, NULL, 15),
(123376, NULL, 'PTHR10462:SF23', NULL, NULL, NULL, NULL, 'MCG21268', NULL, NULL, NULL, 15),
(123377, NULL, 'PTHR46224', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(123378, NULL, 'PTHR10161:SF52', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(123379, NULL, 'PTHR23430:SF23', NULL, NULL, NULL, NULL, 'HISTONE H2A-BBD TYPE 1-RELATED', NULL, NULL, NULL, 15),
(123380, NULL, 'PTHR11938:SF137', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE [NADPH] LARGE CHAIN-RELATED', NULL, NULL, NULL, 15),
(123381, NULL, 'PTHR21470:SF3', NULL, NULL, NULL, NULL, 'RAB6-INTERACTING GOLGIN (DUF662)', NULL, NULL, NULL, 15),
(123382, NULL, 'PTHR35708:SF7', NULL, NULL, NULL, NULL, 'BNAA09G16700D PROTEIN', NULL, NULL, NULL, 15),
(123383, NULL, 'PTHR24282:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123384, NULL, 'PTHR24423:SF615', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR 1', NULL, NULL, NULL, 15),
(123385, NULL, 'PTHR23426:SF34', NULL, NULL, NULL, NULL, 'FERREDOXIN-2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(123386, NULL, 'PTHR43327:SF40', NULL, NULL, NULL, NULL, 'BNAC02G13810D PROTEIN', NULL, NULL, NULL, 15),
(123387, NULL, 'PTHR13743:SF123', NULL, NULL, NULL, NULL, 'PROTEIN FAN', NULL, NULL, NULL, 15),
(123388, NULL, 'PTHR34235:SF3', NULL, NULL, NULL, NULL, 'SLR1203 PROTEIN', NULL, NULL, NULL, 15),
(123389, NULL, 'PTHR10264:SF72', NULL, NULL, NULL, NULL, 'PROTEIN UNC-1', NULL, NULL, 25790, 15),
(123390, NULL, 'PTHR43811:SF48', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(123391, NULL, 'PTHR10286:SF18', NULL, NULL, NULL, NULL, 'PYROPHOSPHATASE (INORGANIC) 1A', NULL, NULL, NULL, 15),
(123392, NULL, 'PTHR12064:SF69', NULL, NULL, NULL, NULL, 'BNAC05G01850D PROTEIN', NULL, NULL, NULL, 15),
(123393, NULL, 'PTHR35107:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(123394, NULL, 'PTHR47983:SF5', NULL, NULL, NULL, NULL, 'BNAA04G17810D PROTEIN', NULL, NULL, NULL, 15),
(123395, NULL, 'PTHR43511', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 19924, 15),
(123396, NULL, 'PTHR30097:SF14', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN', NULL, NULL, NULL, 15),
(123397, NULL, 'PTHR43845:SF1', NULL, NULL, NULL, NULL, 'BLR5969 PROTEIN', NULL, NULL, NULL, 15),
(123398, NULL, 'PTHR47877:SF2', NULL, NULL, NULL, NULL, 'SEED BIOTIN-CONTAINING PROTEIN SBP65-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(123399, NULL, 'PTHR11561:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOENOLYPYRUVATE CARBOXYKINASE', NULL, NULL, NULL, 15),
(123400, NULL, 'PTHR20900:SF2', NULL, NULL, NULL, NULL, 'BNAC09G20920D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123401, NULL, 'PTHR11783:SF172', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(123402, NULL, 'PTHR47991:SF36', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(123403, NULL, 'PTHR12147:SF23', NULL, NULL, NULL, NULL, 'PEPTIDE HYDROLASE', NULL, NULL, NULL, 15),
(123404, NULL, 'PTHR40388:SF2', NULL, NULL, NULL, NULL, 'ACTINOPORIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123405, NULL, 'PTHR11662:SF72', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', NULL, NULL, NULL, 15),
(123406, NULL, 'PTHR31595:SF44', NULL, NULL, NULL, NULL, 'ACYL-COA STEROL ACYL TRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(123407, NULL, 'PTHR12387:SF5', NULL, NULL, NULL, NULL, 'BNACNNG39010D PROTEIN', NULL, NULL, NULL, 15),
(123408, NULL, 'PTHR10615:SF187', NULL, NULL, NULL, NULL, 'BNAC07G32690D PROTEIN', NULL, NULL, NULL, 15),
(123409, NULL, 'PTHR31181:SF65', NULL, NULL, NULL, NULL, 'BNAA02G30020D PROTEIN', NULL, NULL, NULL, 15),
(123410, NULL, 'PTHR35819:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123411, NULL, 'PTHR10378:SF33', NULL, NULL, NULL, NULL, 'BNAA10G08930D PROTEIN', NULL, NULL, NULL, 15),
(123412, NULL, 'PTHR33076:SF120', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(123413, NULL, 'PTHR45868:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123414, NULL, 'PTHR15020:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123415, NULL, 'PTHR12444:SF1', NULL, NULL, NULL, NULL, 'PROTEIN EFR3 HOMOLOG A', NULL, NULL, NULL, 15),
(123416, NULL, 'PTHR33021:SF184', NULL, NULL, NULL, NULL, 'PLASTOCYANIN-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(123417, NULL, 'PTHR34371:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123418, NULL, 'PTHR11132:SF344', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(123419, NULL, 'PTHR46329', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR 2', NULL, NULL, NULL, 15),
(123420, NULL, 'PTHR40094:SF1', NULL, NULL, NULL, NULL, 'ALPHA-2-MACROGLOBULIN HOMOLOG', NULL, NULL, NULL, 15),
(123421, NULL, 'PTHR13301:SF197', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D3', NULL, NULL, NULL, 15),
(123422, NULL, 'PTHR10209:SF579', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(123423, NULL, 'PTHR47593:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(123424, NULL, 'PTHR31852:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123425, NULL, 'PTHR46309:SF1', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 12', NULL, NULL, NULL, 15),
(123426, NULL, 'PTHR32556:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123427, NULL, 'PTHR48011:SF9', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123428, NULL, 'PTHR33738:SF20', NULL, NULL, NULL, NULL, 'BNACNNG03760D PROTEIN', NULL, NULL, NULL, 15),
(123429, NULL, 'PTHR11206:SF435', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(123430, NULL, 'PTHR22763:SF21', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 24', NULL, NULL, 34238, 15),
(123431, NULL, 'PTHR43539:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123432, NULL, 'PTHR31922:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 215', NULL, NULL, NULL, 15),
(123433, NULL, 'PTHR18847', NULL, NULL, NULL, NULL, '20 KD NUCLEAR CAP BINDING PROTEIN', NULL, NULL, 28659, 15),
(123434, NULL, 'PTHR45900:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DNA REPAIR PROTEIN RECA HOMOLOG', NULL, NULL, NULL, 15),
(123435, NULL, 'PTHR14143:SF2', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY, Q2', NULL, NULL, NULL, 15),
(123436, NULL, 'PTHR31319:SF69', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE', NULL, NULL, NULL, 15),
(123437, NULL, 'PTHR45763:SF51', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123438, NULL, 'PTHR15593', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE REGULATORY SUBUNIT', NULL, NULL, 18540, 15),
(123439, NULL, 'PTHR46328:SF20', NULL, NULL, NULL, NULL, 'FAR1 DNA BINDING DOMAIN, FHY3/FAR1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(123440, NULL, 'PTHR48048:SF57', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(123441, NULL, 'PTHR11829:SF354', NULL, NULL, NULL, NULL, 'FORKHEAD TRANSCRIPTION FACTOR FAMILY', NULL, NULL, NULL, 15),
(123442, NULL, 'PTHR33491:SF28', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE, GALACTURONAN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123443, NULL, 'PTHR13142:SF1', NULL, NULL, NULL, NULL, 'INNER CENTROMERE PROTEIN', NULL, NULL, NULL, 15),
(123444, NULL, 'PTHR34491:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123445, NULL, 'PTHR45940:SF30', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123446, NULL, 'PTHR11548:SF13', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DIHYDROFOLATE REDUCTASE-THYMIDYLATE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(123447, NULL, 'PTHR31301:SF78', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 13', NULL, NULL, NULL, 15),
(123448, NULL, 'PTHR13343:SF29', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE 5''-PHOSPHATE OXIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(123449, NULL, 'PTHR11743:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123450, NULL, 'PTHR45772:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING/PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(123451, NULL, 'PTHR27008:SF425', NULL, NULL, NULL, NULL, 'BNAA09G15420D PROTEIN', NULL, NULL, NULL, 15),
(123452, NULL, 'PTHR43673', NULL, NULL, NULL, NULL, 'NAD(P)H NITROREDUCTASE YDGI-RELATED', NULL, NULL, NULL, 15),
(123453, NULL, 'PTHR27005:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123454, NULL, 'PTHR39083:SF1', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(123455, NULL, 'PTHR31984', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (DUF179)-RELATED', NULL, NULL, NULL, 15),
(123456, NULL, 'PTHR46031:SF7', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(123457, NULL, 'PTHR13861:SF10', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT F', NULL, NULL, NULL, 15),
(123458, NULL, 'PTHR10527:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123459, NULL, 'PTHR37705:SF2', NULL, NULL, NULL, NULL, 'BNAANNG40180D PROTEIN', NULL, NULL, NULL, 15),
(123460, NULL, 'PTHR33064:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123461, NULL, 'PTHR11360:SF164', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123462, NULL, 'PTHR22951:SF30', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(123463, NULL, 'PTHR24067:SF314', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 7', NULL, NULL, NULL, 15),
(123464, NULL, 'PTHR47588', NULL, NULL, NULL, NULL, 'CHALCONE--FLAVONONE ISOMERASE 3-RELATED', NULL, NULL, 37168, 15),
(123465, NULL, 'PTHR46083', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123466, NULL, 'PTHR33596:SF4', NULL, NULL, NULL, NULL, 'COLD-REGULATED 413 PLASMA MEMBRANE PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(123467, NULL, 'PTHR30537:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(123468, NULL, 'PTHR43205:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123469, NULL, 'PTHR11566:SF146', NULL, NULL, NULL, NULL, 'FAMILY GTPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14300)-RELATED', NULL, NULL, NULL, 15),
(123470, NULL, 'PTHR44329:SF89', NULL, NULL, NULL, NULL, 'OS02G0608500 PROTEIN', NULL, NULL, NULL, 15),
(123471, NULL, 'PTHR13078:SF56', NULL, NULL, NULL, NULL, 'PEROXISOMAL MULTIFUNCTIONAL ENZYME TYPE 2', NULL, NULL, NULL, 15),
(123472, NULL, 'PTHR33108:SF71', NULL, NULL, NULL, NULL, 'BNAA03G56060D PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123473, NULL, 'PTHR26374:SF407', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123474, NULL, 'PTHR36733', NULL, NULL, NULL, NULL, 'CELL WALL PROTEIN-RELATED', NULL, NULL, 3546, 15),
(123475, NULL, 'PTHR46224:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123476, NULL, 'PTHR11362', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN', NULL, NULL, 31199, 15),
(123477, NULL, 'PTHR13198', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 25', NULL, NULL, 30233, 15),
(123478, NULL, 'PTHR15588', NULL, NULL, NULL, NULL, 'LSM1', NULL, NULL, 37172, 15),
(123479, NULL, 'PTHR31970:SF0', NULL, NULL, NULL, NULL, 'MOLYBDATE TRANSPORTER 1', NULL, NULL, NULL, 15),
(123480, NULL, 'PTHR33021:SF405', NULL, NULL, NULL, NULL, 'CUPREDOXIN, BLUE (TYPE 1) COPPER PROTEIN, BINDING SITE-RELATED', NULL, NULL, NULL, 15),
(123481, NULL, 'PTHR35632:SF4', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E 6-LIKE', NULL, NULL, NULL, 15),
(123482, NULL, 'PTHR11702', NULL, NULL, NULL, NULL, 'DEVELOPMENTALLY REGULATED GTP-BINDING PROTEIN-RELATED', NULL, NULL, 38861, 15),
(123483, NULL, 'PTHR23291:SF93', NULL, NULL, NULL, NULL, 'BAX INHIBITOR 1-LIKE', NULL, NULL, NULL, 15),
(123484, NULL, 'PTHR12126:SF12', NULL, NULL, NULL, NULL, 'BNAANNG24990D PROTEIN', NULL, NULL, NULL, 15),
(123485, NULL, 'PTHR46159', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 2', NULL, NULL, 37426, 15),
(123486, NULL, 'PTHR43025:SF1', NULL, NULL, NULL, NULL, 'MONOGALACTOSYLDIACYLGLYCEROL SYNTHASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(123487, NULL, 'PTHR35303', NULL, NULL, NULL, NULL, 'OS02G0197800 PROTEIN', NULL, NULL, NULL, 15),
(123488, NULL, 'PTHR22792:SF130', NULL, NULL, NULL, NULL, 'BNAANNG08280D PROTEIN', NULL, NULL, NULL, 15),
(123489, NULL, 'PTHR13078:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123490, NULL, 'PTHR22751:SF33', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(123491, NULL, 'PTHR11685:SF301', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(123492, NULL, 'PTHR24270:SF23', NULL, NULL, NULL, NULL, 'PROLOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(123493, NULL, 'PTHR45676:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(123494, NULL, 'PTHR47991:SF58', NULL, NULL, NULL, NULL, 'CODEINE O-DEMETHYLASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(123495, NULL, 'PTHR31140:SF113', NULL, NULL, NULL, NULL, 'BNAA04G26820D PROTEIN', NULL, NULL, NULL, 15),
(123496, NULL, 'PTHR32556:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(123497, NULL, 'PTHR31062:SF208', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(123498, NULL, 'PTHR33788:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123499, NULL, 'PTHR46219:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG17919', NULL, NULL, NULL, 15),
(123500, NULL, 'PTHR14312:SF4', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER TRANSCRIPTION FACTOR A', NULL, NULL, NULL, 15),
(123501, NULL, 'PTHR13052:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR KAPPA-B-BINDING PROTEIN', NULL, NULL, NULL, 15),
(123502, NULL, 'PTHR11986:SF18', NULL, NULL, NULL, NULL, 'ORNITHINE AMINOTRANSFERASE, MITOCHONDRIAL', NULL, NULL, 10589, 15),
(123503, NULL, 'PTHR11618:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123504, NULL, 'PTHR43448:SF2', NULL, NULL, NULL, NULL, 'PROTOHEME IX FARNESYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(123505, NULL, 'PTHR31657:SF47', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123506, NULL, 'PTHR46722', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM7 HOMOLOG', NULL, NULL, NULL, 15),
(123507, NULL, 'PTHR21228:SF1', NULL, NULL, NULL, NULL, 'FAST KINASE DOMAIN-CONTAINING PROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(123508, NULL, 'PTHR10157:SF23', NULL, NULL, NULL, NULL, 'MOXD1 HOMOLOG 1', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123509, NULL, 'PTHR12560:SF6', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 4', NULL, NULL, NULL, 15),
(123510, NULL, 'PTHR34849:SF2', NULL, NULL, NULL, NULL, 'SSR2962 PROTEIN', NULL, NULL, NULL, 15),
(123511, NULL, 'PTHR15710:SF83', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHC1A-RELATED', NULL, NULL, NULL, 15),
(123512, NULL, 'PTHR22814:SF336', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 23', NULL, NULL, NULL, 15),
(123513, NULL, 'PTHR12850:SF31', NULL, NULL, NULL, NULL, 'BNAA04G12260D PROTEIN', NULL, NULL, NULL, 15),
(123514, NULL, 'PTHR11481:SF102', NULL, NULL, NULL, NULL, 'SI:CABZ01036022.1-RELATED', NULL, NULL, NULL, 15),
(123515, NULL, 'PTHR31267:SF7', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123516, NULL, 'PTHR47376', NULL, NULL, NULL, NULL, 'OS02G0597700 PROTEIN', NULL, NULL, NULL, 15),
(123517, NULL, 'PTHR35481:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(123518, NULL, 'PTHR27005:SF332', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-LIKE', NULL, NULL, NULL, 15),
(123519, NULL, 'PTHR10621:SF29', NULL, NULL, NULL, NULL, 'UV EXCISION REPAIR PROTEIN RAD23 HOMOLOG A', NULL, NULL, NULL, 15),
(123520, NULL, 'PTHR33878:SF5', NULL, NULL, NULL, NULL, 'OS08G0558900 PROTEIN', NULL, NULL, NULL, 15),
(123521, NULL, 'PTHR33076:SF114', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(123522, NULL, 'PTHR43301:SF4', NULL, NULL, NULL, NULL, 'ARABINAN ENDO-1,5-ALPHA-L-ARABINOSIDASE B', NULL, NULL, NULL, 15),
(123523, NULL, 'PTHR31988:SF10', NULL, NULL, NULL, NULL, 'CARBOHYDRATE ESTERASE-RELATED', NULL, NULL, NULL, 15),
(123524, NULL, 'PTHR23244:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123525, NULL, 'PTHR11712:SF226', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE I, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(123526, NULL, 'PTHR31610:SF0', NULL, NULL, NULL, NULL, 'SLR0360 PROTEIN', NULL, NULL, NULL, 15),
(123527, NULL, 'PTHR31126:SF62', NULL, NULL, NULL, NULL, 'BNACNNG05950D PROTEIN', NULL, NULL, NULL, 15),
(123528, NULL, 'PTHR33392:SF3', NULL, NULL, NULL, NULL, 'POLYISOPRENYL-TEICHOIC ACID--PEPTIDOGLYCAN TEICHOIC ACID TRANSFERASE TAGT', NULL, NULL, NULL, 15),
(123529, NULL, 'PTHR31009:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123530, NULL, 'PTHR23320:SF95', NULL, NULL, NULL, NULL, 'SI:CH1073-291C23.2', NULL, NULL, NULL, 15),
(123531, NULL, 'PTHR21506:SF0', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(123532, NULL, 'PTHR47322:SF2', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15),
(123533, NULL, 'PTHR47632', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(123534, NULL, 'PTHR27003:SF65', NULL, NULL, NULL, NULL, 'OS03G0281500 PROTEIN', NULL, NULL, NULL, 15),
(123535, NULL, 'PTHR43751:SF1', NULL, NULL, NULL, NULL, 'SULFATASE ATSG-RELATED', NULL, NULL, NULL, 15),
(123536, NULL, 'PTHR12538:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', NULL, NULL, NULL, 15),
(123537, NULL, 'PTHR31642:SF56', NULL, NULL, NULL, NULL, 'PUTRESCINE HYDROXYCINNAMOYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(123538, NULL, 'PTHR13032:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123539, NULL, 'PTHR22930:SF167', NULL, NULL, NULL, NULL, 'PROTEIN CBG22589', NULL, NULL, NULL, 15),
(123540, NULL, 'PTHR14363', NULL, NULL, NULL, NULL, 'HEPARANASE-RELATED', NULL, NULL, NULL, 15),
(123541, NULL, 'PTHR10108:SF1123', NULL, NULL, NULL, NULL, 'PMT16, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123542, NULL, 'PTHR42861:SF93', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(123543, NULL, 'PTHR12411:SF414', NULL, NULL, NULL, NULL, 'OS05G0508300 PROTEIN', NULL, NULL, NULL, 15),
(123544, NULL, 'PTHR11100:SF12', NULL, NULL, NULL, NULL, 'PROTEIN VEIN', NULL, NULL, NULL, 15),
(123545, NULL, 'PTHR11607:SF60', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123546, NULL, 'PTHR11740:SF27', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', NULL, NULL, NULL, 15),
(123547, NULL, 'PTHR21137:SF3', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 30A-RELATED', NULL, NULL, NULL, 15),
(123548, NULL, 'PTHR22844:SF356', NULL, NULL, NULL, NULL, 'BNAC07G31740D PROTEIN', NULL, NULL, NULL, 15),
(123549, NULL, 'PTHR12514:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION AND MRNA EXPORT FACTOR ENY2', NULL, NULL, NULL, 15),
(123550, NULL, 'PTHR47382:SF4', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', NULL, NULL, NULL, 15),
(123551, NULL, 'PTHR38928:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123552, NULL, 'PTHR34465:SF4', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL HYDROLASE-LIKE PROTEIN, PUTATIVE (DUF627 AND DUF629)-RELATED', NULL, NULL, NULL, 15),
(123553, NULL, 'PTHR23033:SF12', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(123554, NULL, 'PTHR12606:SF9', NULL, NULL, NULL, NULL, 'MCG1048453-RELATED', NULL, NULL, NULL, 15),
(123555, NULL, 'PTHR24282:SF95', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714B1', NULL, NULL, NULL, 15),
(123556, NULL, 'PTHR10108:SF1059', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT15-RELATED', NULL, NULL, NULL, 15),
(123557, NULL, 'PTHR38491', NULL, NULL, NULL, NULL, 'REGULATOR OF HEMOGLOBINIZATION AND ERYTHROID CELL EXPANSION PROTEIN', NULL, NULL, 28808, 15),
(123558, NULL, 'PTHR11574:SF0', NULL, NULL, NULL, NULL, 'KIT LIGAND', NULL, NULL, NULL, 15),
(123559, NULL, 'PTHR45642:SF116', NULL, NULL, NULL, NULL, 'BNAA03G01070D PROTEIN', NULL, NULL, NULL, 15),
(123560, NULL, 'PTHR34179:SF1', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P53-INDUCIBLE PROTEIN 13', NULL, NULL, NULL, 15),
(123561, NULL, 'PTHR45634:SF20', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, NULL, 15),
(123562, NULL, 'PTHR46162:SF38', NULL, NULL, NULL, NULL, 'BNAC03G28110D PROTEIN', NULL, NULL, NULL, 15),
(123563, NULL, 'PTHR46758:SF8', NULL, NULL, NULL, NULL, 'OJ1485_B09.11 PROTEIN', NULL, NULL, NULL, 15),
(123564, NULL, 'PTHR45614:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR MYB', NULL, NULL, NULL, 15),
(123565, NULL, 'PTHR47925:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123566, NULL, 'PTHR12752:SF9', NULL, NULL, NULL, NULL, 'PH DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G12150)', NULL, NULL, NULL, 15),
(123567, NULL, 'PTHR32488:SF77', NULL, NULL, NULL, NULL, 'UPF0746 PROTEIN DDB_G0280785-RELATED', NULL, NULL, NULL, 15),
(123568, NULL, 'PTHR43804:SF7', NULL, NULL, NULL, NULL, 'LD18447P', NULL, NULL, NULL, 15),
(123569, NULL, 'PTHR10543:SF101', NULL, NULL, NULL, NULL, '9-CIS-EPOXYCAROTENOID DIOXYGENASE NCED6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(123570, NULL, 'PTHR31223', NULL, NULL, NULL, NULL, 'LOG FAMILY PROTEIN YJL055W', NULL, NULL, NULL, 15),
(123571, NULL, 'PTHR22942:SF47', NULL, NULL, NULL, NULL, 'DNA REPAIR AND RECOMBINATION PROTEIN RADB', NULL, NULL, NULL, 15),
(123572, NULL, 'PTHR33602', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN RECX FAMILY PROTEIN', NULL, NULL, 3329, 15),
(123573, NULL, 'PTHR33156:SF58', NULL, NULL, NULL, NULL, 'BNAA09G43690D PROTEIN', NULL, NULL, NULL, 15),
(123574, NULL, 'PTHR47924:SF10', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(123575, NULL, 'PTHR32227:SF393', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17-RELATED', NULL, NULL, NULL, 15),
(123576, NULL, 'PTHR13902:SF12', NULL, NULL, NULL, NULL, 'WNK KINASE, ISOFORM M', NULL, NULL, NULL, 15),
(123577, NULL, 'PTHR33988:SF1', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE MAZF7-RELATED', NULL, NULL, NULL, 15),
(123578, NULL, 'PTHR11324:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123579, NULL, 'PTHR47938:SF12', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(123580, NULL, 'PTHR31273', NULL, NULL, NULL, NULL, 'PHOSPHOKETOLASE-RELATED', NULL, NULL, 2638, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123581, NULL, 'PTHR43083:SF4', NULL, NULL, NULL, NULL, 'N-GLYCOSYL-TRANSFERASE (AFU_ORTHOLOGUE AFUA_4G06870)', NULL, NULL, NULL, 15),
(123582, NULL, 'PTHR43019:SF29', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(123583, NULL, 'PTHR45738:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC2', NULL, NULL, NULL, 15),
(123584, NULL, 'PTHR10921', NULL, NULL, NULL, NULL, 'NUCLEAR DISTRIBUTION PROTEIN NUDE HOMOLOG 1', NULL, NULL, 33500, 15),
(123585, NULL, 'PTHR43859:SF53', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 4-RELATED', NULL, NULL, NULL, 15),
(123586, NULL, 'PTHR43509', NULL, NULL, NULL, NULL, 'PTHR43509', NULL, NULL, NULL, 15),
(123587, NULL, 'PTHR21576:SF22', NULL, NULL, NULL, NULL, 'F25A4.25 PROTEIN', NULL, NULL, NULL, 15),
(123588, NULL, 'PTHR47977:SF11', NULL, NULL, NULL, NULL, 'SI:DKEY-16L2.16', NULL, NULL, NULL, 15),
(123589, NULL, 'PTHR12863:SF13', NULL, NULL, NULL, NULL, 'DIHYDROCERAMIDE FATTY ACYL 2-HYDROXYLASE FAH2', NULL, NULL, NULL, 15),
(123590, NULL, 'PTHR31972:SF6', NULL, NULL, NULL, NULL, 'SULFATE/THIOSULFATE IMPORT ATP-BINDING PROTEIN CYSA', NULL, NULL, NULL, 15),
(123591, NULL, 'PTHR22923', NULL, NULL, NULL, NULL, 'CEREBELLIN-RELATED', NULL, NULL, NULL, 15),
(123592, NULL, 'PTHR12665:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123593, NULL, 'PTHR48112:SF4', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN B1-LIKE 1-RELATED', NULL, NULL, 26504, 15),
(123594, NULL, 'PTHR33793', NULL, NULL, NULL, NULL, 'ALPHA-AGGLUTININ', NULL, NULL, 30617, 15),
(123595, NULL, 'PTHR31238:SF113', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123596, NULL, 'PTHR33347:SF44', NULL, NULL, NULL, NULL, 'BNAUNNG01670D PROTEIN', NULL, NULL, NULL, 15),
(123597, NULL, 'PTHR22937:SF146', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR2-LIKE', NULL, NULL, NULL, 15),
(123598, NULL, 'PTHR13022:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT K', NULL, NULL, NULL, 15),
(123599, NULL, 'PTHR24182:SF17', NULL, NULL, NULL, NULL, 'LD18443P', NULL, NULL, NULL, 15),
(123600, NULL, 'PTHR33669:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123601, NULL, 'PTHR22775:SF43', NULL, NULL, NULL, NULL, 'SORTING NEXIN 29', NULL, NULL, NULL, 15),
(123602, NULL, 'PTHR21523:SF2', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', NULL, NULL, NULL, 15),
(123603, NULL, 'PTHR31072:SF31', NULL, NULL, NULL, NULL, 'OS02G0635800 PROTEIN', NULL, NULL, NULL, 15),
(123604, NULL, 'PTHR37445', NULL, NULL, NULL, NULL, 'PROTEIN CBG24663', NULL, NULL, NULL, 15),
(123605, NULL, 'PTHR43127:SF6', NULL, NULL, NULL, NULL, 'BNAA06G11750D PROTEIN', NULL, NULL, NULL, 15),
(123606, NULL, 'PTHR18896', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, 18211, 15),
(123607, NULL, 'PTHR10224:SF12', NULL, NULL, NULL, NULL, 'GLYOXALASE ELBB', NULL, NULL, 26085, 15),
(123608, NULL, 'PTHR24035:SF125', NULL, NULL, NULL, NULL, 'ZGC:158328', NULL, NULL, NULL, 15),
(123609, NULL, 'PTHR10177:SF462', NULL, NULL, NULL, NULL, 'CYCLIN-D4-1-RELATED', NULL, NULL, NULL, 15),
(123610, NULL, 'PTHR21654:SF81', NULL, NULL, NULL, NULL, 'BNAC02G02980D PROTEIN', NULL, NULL, NULL, 15),
(123611, NULL, 'PTHR43744:SF2', NULL, NULL, NULL, NULL, 'L-ARABINOSE TRANSPORT SYSTEM PERMEASE PROTEIN ARAQ', NULL, NULL, NULL, 15),
(123612, NULL, 'PTHR24418:SF297', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(123613, NULL, 'PTHR24230:SF10', NULL, NULL, NULL, NULL, 'CYSTEINYL LEUKOTRIENE RECEPTOR 2', NULL, NULL, NULL, 15),
(123614, NULL, 'PTHR47446', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(123615, NULL, 'PTHR11269:SF9', NULL, NULL, NULL, NULL, 'PERIOD CIRCADIAN PROTEIN HOMOLOG 2', NULL, NULL, NULL, 15),
(123616, NULL, 'PTHR31928:SF22', NULL, NULL, NULL, NULL, 'BNACNNG67110D PROTEIN', NULL, NULL, NULL, 15),
(123617, NULL, 'PTHR45657:SF48', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH5', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123618, NULL, 'PTHR34986:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YIAL', NULL, NULL, NULL, 15),
(123619, NULL, 'PTHR12346:SF34', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX PROTEIN SIN3-LIKE 1', NULL, NULL, NULL, 15),
(123620, NULL, 'PTHR36794', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(123621, NULL, 'PTHR33927:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(123622, NULL, 'PTHR31790:SF367', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123623, NULL, 'PTHR33413:SF6', NULL, NULL, NULL, NULL, 'OS06G0236300 PROTEIN', NULL, NULL, NULL, 15),
(123624, NULL, 'PTHR31422:SF35', NULL, NULL, NULL, NULL, 'BNAC01G44940D PROTEIN', NULL, NULL, NULL, 15),
(123625, NULL, 'PTHR33743:SF23', NULL, NULL, NULL, NULL, 'OS02G0799200 PROTEIN', NULL, NULL, NULL, 15),
(123626, NULL, 'PTHR12478:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123627, NULL, 'PTHR10286:SF69', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE PPA1', NULL, NULL, NULL, 15),
(123628, NULL, 'PTHR48001:SF132', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(123629, NULL, 'PTHR32123:SF13', NULL, NULL, NULL, NULL, 'BICAUDAL D-RELATED PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(123630, NULL, 'PTHR24184:SF15', NULL, NULL, NULL, NULL, 'PROTEASOME 26S SUBUNIT, NON-ATPASE 10', NULL, NULL, NULL, 15),
(123631, NULL, 'PTHR45765:SF9', NULL, NULL, NULL, NULL, 'SYNTHETASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(123632, NULL, 'PTHR40048:SF1', NULL, NULL, NULL, NULL, 'RHAMNOSYL O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(123633, NULL, 'PTHR10634:SF25', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 6', NULL, NULL, NULL, 15),
(123634, NULL, 'PTHR35317:SF12', NULL, NULL, NULL, NULL, 'OS04G0629600 PROTEIN', NULL, NULL, NULL, 15),
(123635, NULL, 'PTHR44240:SF10', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN (PROKARYOTIC HEAT SHOCK PROTEIN)-RELATED', NULL, NULL, NULL, 15),
(123636, NULL, 'PTHR11669:SF46', NULL, NULL, NULL, NULL, 'PROTEIN STICHEL-LIKE 3', NULL, NULL, NULL, 15),
(123637, NULL, 'PTHR38224:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123638, NULL, 'PTHR22937:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123639, NULL, 'PTHR10388:SF4', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR EIF1', NULL, NULL, NULL, 15),
(123640, NULL, 'PTHR31080:SF101', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', NULL, NULL, NULL, 15),
(123641, NULL, 'PTHR12289:SF72', NULL, NULL, NULL, NULL, 'PROTEIN CBG20931', NULL, NULL, NULL, 15),
(123642, NULL, 'PTHR34569:SF17', NULL, NULL, NULL, NULL, 'BNACNNG72770D PROTEIN', NULL, NULL, NULL, 15),
(123643, NULL, 'PTHR21616:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123644, NULL, 'PTHR22118:SF14', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 3, AXONEMAL', NULL, NULL, NULL, 15),
(123645, NULL, 'PTHR32191:SF76', NULL, NULL, NULL, NULL, 'BNAA09G09890D PROTEIN', NULL, NULL, NULL, 15),
(123646, NULL, 'PTHR33453:SF9', NULL, NULL, NULL, NULL, 'ALBUMIN B-32', NULL, NULL, NULL, 15),
(123647, NULL, 'PTHR11384:SF54', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER D FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(123648, NULL, 'PTHR45617:SF2', NULL, NULL, NULL, NULL, 'INSULIN LIKE GROWTH FACTOR BINDING PROTEIN ACID LABILE SUBUNIT', NULL, NULL, NULL, 15),
(123649, NULL, 'PTHR10634:SF124', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 8-RELATED', NULL, NULL, NULL, 15),
(123650, NULL, 'PTHR24023:SF848', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE V, ALPHA 3B', NULL, NULL, NULL, 15),
(123651, NULL, 'PTHR13483:SF14', NULL, NULL, NULL, NULL, 'BNAC06G02250D PROTEIN', NULL, NULL, NULL, 15),
(123652, NULL, 'PTHR21736', NULL, NULL, NULL, NULL, 'VERNALIZATION-INSENSITIVE PROTEIN 3', NULL, NULL, 1821, 15),
(123653, NULL, 'PTHR22576:SF40', NULL, NULL, NULL, NULL, 'MUCOSA-ASSOCIATED LYMPHOID TISSUE LYMPHOMA TRANSLOCATION PROTEIN 1', NULL, NULL, 35844, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123654, NULL, 'PTHR11353:SF207', NULL, NULL, NULL, NULL, 'THERMOSOME SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(123655, NULL, 'PTHR23070:SF34', NULL, NULL, NULL, NULL, 'OS01G0641800 PROTEIN', NULL, NULL, NULL, 15),
(123656, NULL, 'PTHR23122:SF73', NULL, NULL, NULL, NULL, 'MAGUK P55 SUBFAMILY MEMBER 5-A', NULL, NULL, NULL, 15),
(123657, NULL, 'PTHR15160:SF10', NULL, NULL, NULL, NULL, 'VON HIPPEL-LINDAU TUMOR SUPPRESSOR', NULL, NULL, 3985, 15),
(123658, NULL, 'PTHR47958:SF82', NULL, NULL, NULL, NULL, 'BNAA08G07020D PROTEIN', NULL, NULL, NULL, 15),
(123659, NULL, 'PTHR13544:SF7', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE-LIKE SELENOPROTEIN T1A-RELATED', NULL, NULL, NULL, 15),
(123660, NULL, 'PTHR45801:SF43', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(123661, NULL, 'PTHR10438:SF436', NULL, NULL, NULL, NULL, 'THIOREDOXIN-1-RELATED', NULL, NULL, NULL, 15),
(123662, NULL, 'PTHR11709:SF123', NULL, NULL, NULL, NULL, 'MONOCOPPER OXIDASE-LIKE PROTEIN SKU5', NULL, NULL, NULL, 15),
(123663, NULL, 'PTHR11588:SF88', NULL, NULL, NULL, NULL, 'TUBULIN BETA-6 CHAIN', NULL, NULL, NULL, 15),
(123664, NULL, 'PTHR45878:SF34', NULL, NULL, NULL, NULL, 'OS02G0196100 PROTEIN', NULL, NULL, NULL, 15),
(123665, NULL, 'PTHR38899:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123666, NULL, 'PTHR41282', NULL, NULL, NULL, NULL, 'CONSERVED TRANSMEMBRANE PROTEIN-RELATED', NULL, NULL, 14692, 15),
(123667, NULL, 'PTHR12894:SF40', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR-BETA RECEPTOR-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(123668, NULL, 'PTHR48011:SF70', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123669, NULL, 'PTHR48018:SF157', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(123670, NULL, 'PTHR46361:SF3', NULL, NULL, NULL, NULL, 'ELECTRON CARRIER/ PROTEIN DISULFIDE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(123671, NULL, 'PTHR14224:SF26', NULL, NULL, NULL, NULL, 'PRAMEL6', NULL, NULL, NULL, 15),
(123672, NULL, 'PTHR37544:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123673, NULL, 'PTHR21731:SF0', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX CENTRAL ELEMENT PROTEIN 1', NULL, NULL, NULL, 15),
(123674, NULL, 'PTHR23050:SF214', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML13-RELATED', NULL, NULL, NULL, 15),
(123675, NULL, 'PTHR47991:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123676, NULL, 'PTHR46199:SF3', NULL, NULL, NULL, NULL, 'FI24033P1-RELATED', NULL, NULL, NULL, 15),
(123677, NULL, 'PTHR34779:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123678, NULL, 'PTHR22902:SF37', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY J MEMBER 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123679, NULL, 'PTHR33270:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123680, NULL, 'PTHR46121:SF4', NULL, NULL, NULL, NULL, 'STEROIDOGENIC ACUTE REGULATORY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(123681, NULL, 'PTHR43139:SF4', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(123682, NULL, 'PTHR10572:SF38', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE 3', NULL, NULL, NULL, 15),
(123683, NULL, 'PTHR45800:SF28', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-/4-KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123684, NULL, 'PTHR23257:SF749', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF RAS (KSR), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123685, NULL, 'PTHR10681:SF157', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-4', NULL, NULL, NULL, 15),
(123686, NULL, 'PTHR26452:SF345', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(123687, NULL, 'PTHR12385:SF83', NULL, NULL, NULL, NULL, 'PLASMA-MEMBRANE CHOLINE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(123688, NULL, 'PTHR24033:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123689, NULL, 'PTHR24264:SF20', NULL, NULL, NULL, NULL, 'ZMP:0000001088', NULL, NULL, NULL, 15),
(123690, NULL, 'PTHR48230', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123691, NULL, 'PTHR24072:SF311', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE 2', NULL, NULL, NULL, 15),
(123692, NULL, 'PTHR46506:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123693, NULL, 'PTHR47990:SF70', NULL, NULL, NULL, NULL, 'PROTEIN DOWNY MILDEW RESISTANCE 6', NULL, NULL, NULL, 15),
(123694, NULL, 'PTHR46012', NULL, NULL, NULL, NULL, 'IP22168P', NULL, NULL, NULL, 15),
(123695, NULL, 'PTHR14217:SF18', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', NULL, NULL, NULL, 15),
(123696, NULL, 'PTHR33918:SF5', NULL, NULL, NULL, NULL, 'BNAA09G38610D PROTEIN', NULL, NULL, NULL, 15),
(123697, NULL, 'PTHR23514:SF6', NULL, NULL, NULL, NULL, 'MFS EFFLUX TRANSPORTER', NULL, NULL, NULL, 15),
(123698, NULL, 'PTHR33109:SF65', NULL, NULL, NULL, NULL, 'BNAC03G61250D PROTEIN', NULL, NULL, NULL, 15),
(123699, NULL, 'PTHR34131', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123700, NULL, 'PTHR24216:SF15', NULL, NULL, NULL, NULL, 'PAXILLIN-LIKE PROTEIN 1', NULL, NULL, 17167, 15),
(123701, NULL, 'PTHR12185:SF1', NULL, NULL, NULL, NULL, 'SYSTEMIC RNA INTERFERENCE DEFECTIVE PROTEIN 1', NULL, NULL, NULL, 15),
(123702, NULL, 'PTHR33356:SF23', NULL, NULL, NULL, NULL, 'BNAC06G15000D PROTEIN', NULL, NULL, NULL, 15),
(123703, NULL, 'PTHR42972:SF1', NULL, NULL, NULL, NULL, 'FERULOYL ESTERASE B', NULL, NULL, NULL, 15),
(123704, NULL, 'PTHR31168:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123705, NULL, 'PTHR24054:SF0', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(123706, NULL, 'PTHR23114:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123707, NULL, 'PTHR31851:SF11', NULL, NULL, NULL, NULL, 'FE(2+)/MN(2+) TRANSPORTER PCL1', NULL, NULL, NULL, 15),
(123708, NULL, 'PTHR19256:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123709, NULL, 'PTHR47976:SF63', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', NULL, NULL, NULL, 15),
(123710, NULL, 'PTHR24381:SF298', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(123711, NULL, 'PTHR28242:SF42', NULL, NULL, NULL, NULL, 'PSEUDO HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 5', NULL, NULL, NULL, 15),
(123712, NULL, 'PTHR23237:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123713, NULL, 'PTHR12763:SF50', NULL, NULL, NULL, NULL, 'BNAC02G03420D PROTEIN', NULL, NULL, NULL, 15),
(123714, NULL, 'PTHR32429:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123715, NULL, 'PTHR24221:SF465', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 9', NULL, NULL, NULL, 15),
(123716, NULL, 'PTHR13789:SF187', NULL, NULL, NULL, NULL, 'MONOOXYGENASE', NULL, NULL, NULL, 15),
(123717, NULL, 'PTHR31072:SF89', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PCF3', NULL, NULL, NULL, 15),
(123718, NULL, 'PTHR45715:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123719, NULL, 'PTHR12247:SF130', NULL, NULL, NULL, NULL, 'L3MBTL HISTONE METHYL-LYSINE-BINDING PROTEIN 1B', NULL, NULL, NULL, 15),
(123720, NULL, 'PTHR19317:SF50', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(123721, NULL, 'PTHR11566:SF193', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 4C-LIKE', NULL, NULL, NULL, 15),
(123722, NULL, 'PTHR46262:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN F1', NULL, NULL, NULL, 15),
(123723, NULL, 'PTHR23213:SF273', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123724, NULL, 'PTHR23278:SF19', NULL, NULL, NULL, NULL, 'HEMICENTIN 1', NULL, NULL, NULL, 15),
(123725, NULL, 'PTHR10701', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN-ASSOCIATED PROTEIN B AND N', NULL, NULL, NULL, 15),
(123726, NULL, 'PTHR10454:SF8', NULL, NULL, NULL, NULL, 'CASP8 AND FADD-LIKE APOPTOSIS REGULATOR', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123727, NULL, 'PTHR41523', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM SENSOR PROTEIN', NULL, NULL, NULL, 15),
(123728, NULL, 'PTHR12121:SF93', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE, MYND-LIKE ZINC FINGER, MRNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123729, NULL, 'PTHR31133:SF14', NULL, NULL, NULL, NULL, 'BNAC06G13090D PROTEIN', NULL, NULL, NULL, 15),
(123730, NULL, 'PTHR22597:SF5', NULL, NULL, NULL, NULL, 'LOCALIZATION PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G10600)-RELATED', NULL, NULL, NULL, 15),
(123731, NULL, 'PTHR11003:SF86', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(123732, NULL, 'PTHR45929:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123733, NULL, 'PTHR46005', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 190', NULL, NULL, NULL, 15),
(123734, NULL, 'PTHR13563:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG09110', NULL, NULL, NULL, 15),
(123735, NULL, 'PTHR24115:SF407', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF26A', NULL, NULL, NULL, 15),
(123736, NULL, 'PTHR31845', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123737, NULL, 'PTHR27000:SF679', NULL, NULL, NULL, NULL, 'OS01G0170300 PROTEIN', NULL, NULL, NULL, 15),
(123738, NULL, 'PTHR46741:SF2', NULL, NULL, NULL, NULL, 'OS09G0413600 PROTEIN', NULL, NULL, NULL, 15),
(123739, NULL, 'PTHR23428:SF282', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(123740, NULL, 'PTHR31248:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(123741, NULL, 'PTHR47600:SF2', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE NUCLEOTIDYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(123742, NULL, 'PTHR10828:SF17', NULL, NULL, NULL, NULL, 'CDC25-LIKE PROTEIN PHOSPHATASE TWINE-RELATED', NULL, NULL, NULL, 15),
(123743, NULL, 'PTHR31852:SF156', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(123744, NULL, 'PTHR24353:SF118', NULL, NULL, NULL, NULL, 'SI:DKEY-121J17.5', NULL, NULL, NULL, 15),
(123745, NULL, 'PTHR19375:SF201', NULL, NULL, NULL, NULL, 'OS06G0212900 PROTEIN', NULL, NULL, NULL, 15),
(123746, NULL, 'PTHR31235:SF255', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(123747, NULL, 'PTHR46794:SF2', NULL, NULL, NULL, NULL, 'AMELOGENIN, Y ISOFORM', NULL, NULL, NULL, 15),
(123748, NULL, 'PTHR31945:SF111', NULL, NULL, NULL, NULL, 'BNAA04G21020D PROTEIN', NULL, NULL, NULL, 15),
(123749, NULL, 'PTHR24347:SF370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123750, NULL, 'PTHR13087:SF0', NULL, NULL, NULL, NULL, 'FLJ22626-LIKE', NULL, NULL, NULL, 15),
(123751, NULL, 'PTHR33786:SF4', NULL, NULL, NULL, NULL, 'CRP7-CYSTEINE-RICH FAMILY PROTEIN EXPRESSED', NULL, NULL, NULL, 15),
(123752, NULL, 'PTHR11011:SF69', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 7-RELATED', NULL, NULL, NULL, 15),
(123753, NULL, 'PTHR23267:SF344', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 3-11-RELATED', NULL, NULL, NULL, 15),
(123754, NULL, 'PTHR34590:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.18 PROTEIN', NULL, NULL, NULL, 15),
(123755, NULL, 'PTHR33159:SF47', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(123756, NULL, 'PTHR33057', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP7-RELATED', NULL, NULL, 33475, 15),
(123757, NULL, 'PTHR37285:SF3', NULL, NULL, NULL, NULL, 'ISOCYANIDE SYNTHASE A', NULL, NULL, NULL, 15),
(123758, NULL, 'PTHR34709:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123759, NULL, 'PTHR31828:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIDELTA', NULL, NULL, NULL, 15),
(123760, NULL, 'PTHR11831:SF1', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RIBONUCLEOPROTEIN PROTEIN IMP3', NULL, NULL, NULL, 15),
(123761, NULL, 'PTHR33681:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123762, NULL, 'PTHR35161:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123763, NULL, 'PTHR33971', NULL, NULL, NULL, NULL, 'OS06G0232000 PROTEIN', NULL, NULL, 34215, 15),
(123764, NULL, 'PTHR48020:SF26', NULL, NULL, NULL, NULL, 'MYO-INOSITOL TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G01560)-RELATED', NULL, NULL, NULL, 15),
(123765, NULL, 'PTHR45940:SF29', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 3', NULL, NULL, NULL, 15),
(123766, NULL, 'PTHR47926:SF232', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123767, NULL, 'PTHR36682:SF1', NULL, NULL, NULL, NULL, 'RAB15 EFFECTOR PROTEIN', NULL, NULL, NULL, 15),
(123768, NULL, 'PTHR37187:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123769, NULL, 'PTHR13935:SF123', NULL, NULL, NULL, NULL, 'BNAC04G24680D PROTEIN', NULL, NULL, NULL, 15),
(123770, NULL, 'PTHR19853', NULL, NULL, NULL, NULL, 'WD REPEAT CONTAINING PROTEIN 3  WDR3', NULL, NULL, NULL, 15),
(123771, NULL, 'PTHR33781:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PHYTOCHROME KINASE SUBSTRATE 2', NULL, NULL, 29662, 15),
(123772, NULL, 'PTHR23404:SF3', NULL, NULL, NULL, NULL, 'MAP3K12-BINDING INHIBITORY PROTEIN 1', NULL, NULL, 21780, 15),
(123773, NULL, 'PTHR47573:SF1', NULL, NULL, NULL, NULL, 'PROTEIN AF-9 HOMOLOG', NULL, NULL, NULL, 15),
(123774, NULL, 'PTHR10740:SF16', NULL, NULL, NULL, NULL, 'AMPHIREGULIN', NULL, NULL, NULL, 15),
(123775, NULL, 'PTHR11214:SF291', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(123776, NULL, 'PTHR24286:SF208', NULL, NULL, NULL, NULL, 'ABSCISIC ACID 8''-HYDROXYLASE 3', NULL, NULL, NULL, 15),
(123777, NULL, 'PTHR21324', NULL, NULL, NULL, NULL, 'FASTING-INDUCIBLE INTEGRAL MEMBRANE PROTEIN TM6P1-RELATED', NULL, NULL, NULL, 15),
(123778, NULL, 'PTHR19957:SF278', NULL, NULL, NULL, NULL, 'SYNTAXIN-22-LIKE', NULL, NULL, NULL, 15),
(123779, NULL, 'PTHR13734', NULL, NULL, NULL, NULL, 'TRNA-NUCLEOTIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(123780, NULL, 'PTHR23349:SF63', NULL, NULL, NULL, NULL, 'FER3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123781, NULL, 'PTHR47797', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05805)-RELATED', NULL, NULL, NULL, 15),
(123782, NULL, 'PTHR43762', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE', NULL, NULL, 5154, 15),
(123783, NULL, 'PTHR13833', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123784, NULL, 'PTHR15821:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR MN1', NULL, NULL, NULL, 15),
(123785, NULL, 'PTHR12234', NULL, NULL, NULL, NULL, 'FORMIMINOTRANSFERASE-CYCLODEAMINASE', NULL, NULL, NULL, 15),
(123786, NULL, 'PTHR47947:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP81N4', NULL, NULL, NULL, 15),
(123787, NULL, 'PTHR13234:SF15', NULL, NULL, NULL, NULL, 'GILT-LIKE PROTEIN F37H8.5', NULL, NULL, NULL, 15),
(123788, NULL, 'PTHR12447:SF25', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(123789, NULL, 'PTHR24012:SF833', NULL, NULL, NULL, NULL, 'PROTEIN MEI2 HOMOLOGUE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123790, NULL, 'PTHR35107:SF7', NULL, NULL, NULL, NULL, 'BNAC02G45580D PROTEIN', NULL, NULL, NULL, 15),
(123791, NULL, 'PTHR19338:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8 A', NULL, NULL, NULL, 15),
(123792, NULL, 'PTHR17972:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 6', NULL, NULL, NULL, 15),
(123793, NULL, 'PTHR24422:SF21', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(123794, NULL, 'PTHR11711:SF390', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR A1E', NULL, NULL, NULL, 15),
(123795, NULL, 'PTHR14387:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123796, NULL, 'PTHR24223:SF176', NULL, NULL, NULL, NULL, 'CANALICULAR MULTISPECIFIC ORGANIC ANION TRANSPORTER 1', NULL, NULL, 22041, 15),
(123797, NULL, 'PTHR48044:SF13', NULL, NULL, NULL, NULL, 'OSJNBB0012E24.10 PROTEIN', NULL, NULL, NULL, 15),
(123798, NULL, 'PTHR22811:SF174', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24BETA2-LIKE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123799, NULL, 'PTHR47993:SF117', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF NIM1 1', NULL, NULL, NULL, 15),
(123800, NULL, 'PTHR24408:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER Y-CHROMOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(123801, NULL, 'PTHR24230:SF136', NULL, NULL, NULL, NULL, 'GONADOTROPIN-RELEASING HORMONE RECEPTOR (GNRHR) RELATED', NULL, NULL, NULL, 15),
(123802, NULL, 'PTHR10671:SF6', NULL, NULL, NULL, NULL, 'EPITHELIAL MEMBRANE PROTEIN 1', NULL, NULL, 6168, 15),
(123803, NULL, 'PTHR35751:SF1', NULL, NULL, NULL, NULL, 'BNAA02G37040D PROTEIN', NULL, NULL, NULL, 15),
(123804, NULL, 'PTHR11334:SF34', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER X3', NULL, NULL, NULL, 15),
(123805, NULL, 'PTHR31747:SF5', NULL, NULL, NULL, NULL, 'PROTEIN LOL4', NULL, NULL, NULL, 15),
(123806, NULL, 'PTHR11012:SF48', NULL, NULL, NULL, NULL, 'IP12580P1-RELATED', NULL, NULL, NULL, 15),
(123807, NULL, 'PTHR12804:SF9', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 3-RELATED', NULL, NULL, NULL, 15),
(123808, NULL, 'PTHR22017:SF1', NULL, NULL, NULL, NULL, 'SI:CH1073-155H21.2', NULL, NULL, NULL, 15),
(123809, NULL, 'PTHR33435:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG02124', NULL, NULL, NULL, 15),
(123810, NULL, 'PTHR30420:SF1', NULL, NULL, NULL, NULL, 'ARGININE N-SUCCINYLTRANSFERASE', NULL, NULL, NULL, 15),
(123811, NULL, 'PTHR31989:SF101', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(123812, NULL, 'PTHR16223:SF109', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH66-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(123813, NULL, 'PTHR19134:SF41', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 7', NULL, NULL, NULL, 15),
(123814, NULL, 'PTHR11359:SF6', NULL, NULL, NULL, NULL, 'DEAMINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123815, NULL, 'PTHR24291:SF156', NULL, NULL, NULL, NULL, 'OS02G0186300 PROTEIN', NULL, NULL, NULL, 15),
(123816, NULL, 'PTHR13168:SF2', NULL, NULL, NULL, NULL, 'C-MYC-BINDING PROTEIN', NULL, NULL, NULL, 15),
(123817, NULL, 'PTHR43099:SF2', NULL, NULL, NULL, NULL, 'UPF0053 PROTEIN YRKA', NULL, NULL, NULL, 15),
(123818, NULL, 'PTHR11792:SF23', NULL, NULL, NULL, NULL, 'PHOSRESTIN-1', NULL, NULL, NULL, 15),
(123819, NULL, 'PTHR31541:SF42', NULL, NULL, NULL, NULL, 'BNAC03G22430D PROTEIN', NULL, NULL, NULL, 15),
(123820, NULL, 'PTHR24414:SF144', NULL, NULL, NULL, NULL, 'BNAA01G06720D PROTEIN', NULL, NULL, NULL, 15),
(123821, NULL, 'PTHR12776', NULL, NULL, NULL, NULL, 'KAZRIN-RELATED', NULL, NULL, 33234, 15),
(123822, NULL, 'PTHR47715', NULL, NULL, NULL, NULL, 'TRYPTOPHAN/TYROSINE PERMEASE', NULL, NULL, NULL, 15),
(123823, NULL, 'PTHR13593:SF111', NULL, NULL, NULL, NULL, 'C, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123824, NULL, 'PTHR30620:SF75', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123825, NULL, 'PTHR35007:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123826, NULL, 'PTHR24240:SF165', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 88-RELATED', NULL, NULL, NULL, 15),
(123827, NULL, 'PTHR36945', NULL, NULL, NULL, NULL, 'HIGH INCIDENCE OF MALES (INCREASED X CHROMOSOME LOSS)-RELATED-RELATED', NULL, NULL, NULL, 15),
(123828, NULL, 'PTHR34045:SF3', NULL, NULL, NULL, NULL, 'OS03G0406300 PROTEIN', NULL, NULL, NULL, 15),
(123829, NULL, 'PTHR35167:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123830, NULL, 'PTHR43685:SF4', NULL, NULL, NULL, NULL, 'O ANTIGEN BIOSYNTHESIS RHAMNOSYLTRANSFERASE RFBN', NULL, NULL, NULL, 15),
(123831, NULL, 'PTHR10358:SF28', NULL, NULL, NULL, NULL, 'BNAA06G23280D PROTEIN', NULL, NULL, NULL, 15),
(123832, NULL, 'PTHR31375:SF17', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE', NULL, NULL, NULL, 15),
(123833, NULL, 'PTHR15724', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 25691, 15),
(123834, NULL, 'PTHR31963:SF10', NULL, NULL, NULL, NULL, 'OS04G0448000 PROTEIN', NULL, NULL, NULL, 15),
(123835, NULL, 'PTHR11362:SF82', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE BINDING PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123836, NULL, 'PTHR12610:SF12', NULL, NULL, NULL, NULL, 'SEQUENCE-SPECIFIC SINGLE-STRANDED DNA-BINDING PROTEIN, ISOFORM D', NULL, NULL, NULL, 15),
(123837, NULL, 'PTHR46705:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG04322', NULL, NULL, NULL, 15),
(123838, NULL, 'PTHR24028:SF262', NULL, NULL, NULL, NULL, 'CADHERIN-RELATED FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(123839, NULL, 'PTHR47489', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(123840, NULL, 'PTHR32429:SF26', NULL, NULL, NULL, NULL, 'CHLOROPLAST RIBULOSE BISPHOSPHATE CARBOXYLASE/OXYGENASE ACTIVASE', NULL, NULL, NULL, 15),
(123841, NULL, 'PTHR16127:SF10', NULL, NULL, NULL, NULL, 'BETA-TAXILIN', NULL, NULL, NULL, 15),
(123842, NULL, 'PTHR24026:SF38', NULL, NULL, NULL, NULL, 'CADHERIN EGF LAG SEVEN-PASS G-TYPE RECEPTOR 3', NULL, NULL, NULL, 15),
(123843, NULL, 'PTHR47926:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123844, NULL, 'PTHR11801:SF66', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION', NULL, NULL, NULL, 15),
(123845, NULL, 'PTHR12242:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123846, NULL, 'PTHR33345:SF6', NULL, NULL, NULL, NULL, 'ADAPTER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123847, NULL, 'PTHR11017:SF311', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 19 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(123848, NULL, 'PTHR24298:SF219', NULL, NULL, NULL, NULL, 'OS06G0325900 PROTEIN', NULL, NULL, NULL, 15),
(123849, NULL, 'PTHR11492:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR I, ISOFORM B', NULL, NULL, NULL, 15),
(123850, NULL, 'PTHR40068:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR NIAR-RELATED', NULL, NULL, NULL, 15),
(123851, NULL, 'PTHR48001:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123852, NULL, 'PTHR37209:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123853, NULL, 'PTHR22939:SF125', NULL, NULL, NULL, NULL, 'SERINE PROTEASE HTRA2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(123854, NULL, 'PTHR24652', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR CLASS A DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 38320, 15),
(123855, NULL, 'PTHR14728:SF2', NULL, NULL, NULL, NULL, 'PROTEIN AURORA BOREALIS', NULL, NULL, NULL, 15),
(123856, NULL, 'PTHR14199:SF35', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA BREAKPOINT FAMILY MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(123857, NULL, 'PTHR46762', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN-LIKE PROTEIN 2', NULL, NULL, 22977, 15),
(123858, NULL, 'PTHR19842:SF3', NULL, NULL, NULL, NULL, 'BNAA09G42880D PROTEIN', NULL, NULL, NULL, 15),
(123859, NULL, 'PTHR31446:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123860, NULL, 'PTHR34355:SF4', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1-RELATED', NULL, NULL, NULL, 15),
(123861, NULL, 'PTHR43943:SF6', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE MEMBER 2', NULL, NULL, NULL, 15),
(123862, NULL, 'PTHR12210:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123863, NULL, 'PTHR24356:SF364', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE IRE-RELATED', NULL, NULL, NULL, 15),
(123864, NULL, 'PTHR33730:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123865, NULL, 'PTHR11850:SF304', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123866, NULL, 'PTHR12663:SF36', NULL, NULL, NULL, NULL, 'BNAA05G13160D PROTEIN', NULL, NULL, NULL, 15),
(123867, NULL, 'PTHR12320:SF40', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE PTC7 HOMOLOG', NULL, NULL, NULL, 15),
(123868, NULL, 'PTHR10797:SF2', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 7', NULL, NULL, 29413, 15),
(123869, NULL, 'PTHR47467', NULL, NULL, NULL, NULL, 'OS01G0867200 PROTEIN', NULL, NULL, NULL, 15),
(123870, NULL, 'PTHR46128:SF104', NULL, NULL, NULL, NULL, 'BNACNNG18110D PROTEIN', NULL, NULL, NULL, 15),
(123871, NULL, 'PTHR31606:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG14242', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123872, NULL, 'PTHR13832:SF735', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123873, NULL, 'PTHR34672:SF7', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 1', NULL, NULL, NULL, 15),
(123874, NULL, 'PTHR32411:SF61', NULL, NULL, NULL, NULL, '33-KDA SECRETORY PROTEIN', NULL, NULL, NULL, 15),
(123875, NULL, 'PTHR24073:SF1144', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-28', NULL, NULL, NULL, 15),
(123876, NULL, 'PTHR46214:SF14', NULL, NULL, NULL, NULL, 'BNAA06G22890D PROTEIN', NULL, NULL, NULL, 15),
(123877, NULL, 'PTHR36528:SF1', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM SINGLE-STRAND-SPECIFIC DEOXYRIBONUCLEASE CAS10/CSM1 (SUBTYPE III-A)', NULL, NULL, NULL, 15),
(123878, NULL, 'PTHR40065:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN YHBY', NULL, NULL, NULL, 15),
(123879, NULL, 'PTHR35311:SF1', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN KNL-2 HOMOLOG', NULL, NULL, NULL, 15),
(123880, NULL, 'PTHR45640:SF1', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP-16.1/HSP-16.11-RELATED', NULL, NULL, NULL, 15),
(123881, NULL, 'PTHR24092:SF145', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(123882, NULL, 'PTHR31953:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123883, NULL, 'PTHR13878:SF118', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE 2', NULL, NULL, NULL, 15),
(123884, NULL, 'PTHR31802:SF27', NULL, NULL, NULL, NULL, 'DEACETYLASE 2A, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123885, NULL, 'PTHR15852:SF13', NULL, NULL, NULL, NULL, 'DNAJ/HSP40 CYSTEINE-RICH DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(123886, NULL, 'PTHR45651:SF4', NULL, NULL, NULL, NULL, 'OS12G0468500 PROTEIN', NULL, NULL, NULL, 15),
(123887, NULL, 'PTHR48057:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123888, NULL, 'PTHR23086:SF90', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(123889, NULL, 'PTHR10527:SF5', NULL, NULL, NULL, NULL, 'KARYOPHERIN (IMPORTIN) BETA 3', NULL, NULL, NULL, 15),
(123890, NULL, 'PTHR35345:SF1', NULL, NULL, NULL, NULL, 'TELOMERE REPEATS-BINDING BOUQUET FORMATION PROTEIN 2', NULL, NULL, NULL, 15),
(123891, NULL, 'PTHR10768:SF33', NULL, NULL, NULL, NULL, 'BNAA02G30880D PROTEIN', NULL, NULL, NULL, 15),
(123892, NULL, 'PTHR31300:SF5', NULL, NULL, NULL, NULL, 'LIPASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123893, NULL, 'PTHR35936:SF25', NULL, NULL, NULL, NULL, 'ABC-TYPE TRANSPORT SYSTEM SUBSTRATE-BINDING COMPONENT', NULL, NULL, NULL, 15),
(123894, NULL, 'PTHR11615:SF242', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123895, NULL, 'PTHR27006:SF218', NULL, NULL, NULL, NULL, 'OS05G0256100 PROTEIN', NULL, NULL, NULL, 15),
(123896, NULL, 'PTHR10529:SF362', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT MU-1-I', NULL, NULL, NULL, 15),
(123897, NULL, 'PTHR48043:SF16', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(123898, NULL, 'PTHR45667:SF9', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE MITOCHONDRIAL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(123899, NULL, 'PTHR31734:SF138', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA8', NULL, NULL, NULL, 15),
(123900, NULL, 'PTHR24123:SF82', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY ANKYRIN REPEAT SUBUNIT B', NULL, NULL, NULL, 15),
(123901, NULL, 'PTHR10019:SF5', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY B MEMBER 1', NULL, NULL, NULL, 15),
(123902, NULL, 'PTHR45950:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-15', NULL, NULL, NULL, 15),
(123903, NULL, 'PTHR11482:SF63', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(123904, NULL, 'PTHR24068:SF332', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-23 KDA-LIKE', NULL, NULL, NULL, 15),
(123905, NULL, 'PTHR24418:SF191', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(123906, NULL, 'PTHR13697:SF13', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE, MUSCLE TYPE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123907, NULL, 'PTHR10209:SF535', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(123908, NULL, 'PTHR45663:SF15', NULL, NULL, NULL, NULL, 'THIOREDOXIN Y1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(123909, NULL, 'PTHR43065:SF37', NULL, NULL, NULL, NULL, 'SENSORY BOX HISTIDINE KINASE', NULL, NULL, NULL, 15),
(123910, NULL, 'PTHR44137:SF3', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(123911, NULL, 'PTHR10894:SF25', NULL, NULL, NULL, NULL, 'BNAANNG11410D PROTEIN', NULL, NULL, NULL, 15),
(123912, NULL, 'PTHR31207:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123913, NULL, 'PTHR46212:SF3', NULL, NULL, NULL, NULL, 'PEFLIN', NULL, NULL, NULL, 15),
(123914, NULL, 'PTHR31180', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35198, 15),
(123915, NULL, 'PTHR31875:SF9', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 6', NULL, NULL, NULL, 15),
(123916, NULL, 'PTHR42968:SF32', NULL, NULL, NULL, NULL, 'P21-ACTIVATED PROTEIN KINASE-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(123917, NULL, 'PTHR10417:SF11', NULL, NULL, NULL, NULL, 'GMEB (GLUCOCORTICOID MODULATORY ELEMENT BINDING PROTEIN) TRANSCRIPTIONAL REGULATOR HOMOLOG', NULL, NULL, NULL, 15),
(123918, NULL, 'PTHR31283:SF7', NULL, NULL, NULL, NULL, 'GENE 6890-RELATED', NULL, NULL, NULL, 15),
(123919, NULL, 'PTHR23501:SF92', NULL, NULL, NULL, NULL, 'GLUTATHIONE EXCHANGER 1-RELATED', NULL, NULL, NULL, 15),
(123920, NULL, 'PTHR48043:SF68', NULL, NULL, NULL, NULL, 'PROTEIN CBG10769', NULL, NULL, NULL, 15),
(123921, NULL, 'PTHR45998:SF1', NULL, NULL, NULL, NULL, 'OS09G0237600 PROTEIN', NULL, NULL, NULL, 15),
(123922, NULL, 'PTHR26379:SF249', NULL, NULL, NULL, NULL, 'TRAF TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(123923, NULL, 'PTHR43880:SF32', NULL, NULL, NULL, NULL, 'ZGC:63568-RELATED', NULL, NULL, NULL, 15),
(123924, NULL, 'PTHR45810:SF12', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(123925, NULL, 'PTHR47546:SF3', NULL, NULL, NULL, NULL, 'S15/NS1, RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(123926, NULL, 'PTHR11176:SF10', NULL, NULL, NULL, NULL, 'PROTEIN BOULE-LIKE', NULL, NULL, NULL, 15),
(123927, NULL, 'PTHR26450:SF124', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(123928, NULL, 'PTHR13780:SF116', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSCBSPB3', NULL, NULL, 20431, 15),
(123929, NULL, 'PTHR35339:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123930, NULL, 'PTHR37079:SF6', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(123931, NULL, 'PTHR47954', NULL, NULL, NULL, NULL, 'OS09G0275400 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(123932, NULL, 'PTHR31625:SF69', NULL, NULL, NULL, NULL, 'BNAC06G31630D PROTEIN', NULL, NULL, NULL, 15),
(123933, NULL, 'PTHR34778', NULL, NULL, NULL, NULL, 'OS02G0580700 PROTEIN', NULL, NULL, NULL, 15),
(123934, NULL, 'PTHR45617:SF48', NULL, NULL, NULL, NULL, 'CHAOPTIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123935, NULL, 'PTHR11827:SF73', NULL, NULL, NULL, NULL, 'KAZACHOC, ISOFORM G', NULL, NULL, NULL, 15),
(123936, NULL, 'PTHR14005:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT A', NULL, NULL, NULL, 15),
(123937, NULL, 'PTHR31388:SF171', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(123938, NULL, 'PTHR46423:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(123939, NULL, 'PTHR32254:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123940, NULL, 'PTHR13316', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC DOMAIN CONTAINING 8', NULL, NULL, NULL, 15),
(123941, NULL, 'PTHR38031', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN SLR0821-RELATED', NULL, NULL, NULL, 15),
(123942, NULL, 'PTHR24346:SF67', NULL, NULL, NULL, NULL, 'MAP/MICROTUBULE AFFINITY-REGULATING KINASE 4', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123943, NULL, 'PTHR24096:SF347', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13110)-RELATED', NULL, NULL, NULL, 15),
(123944, NULL, 'PTHR24096:SF370', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 2-RELATED', NULL, NULL, NULL, 15),
(123945, NULL, 'PTHR31656:SF52', NULL, NULL, NULL, NULL, 'ROOT CAP PERIPHERY GENE2', NULL, NULL, NULL, 15),
(123946, NULL, 'PTHR45830', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(123947, NULL, 'PTHR22891:SF143', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 2C, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(123948, NULL, 'PTHR15691:SF6', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(123949, NULL, 'PTHR48061:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123950, NULL, 'PTHR33929:SF6', NULL, NULL, NULL, NULL, 'OS01G0623900 PROTEIN', NULL, NULL, NULL, 15),
(123951, NULL, 'PTHR48010:SF49', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE-RELATED', NULL, NULL, NULL, 15),
(123952, NULL, 'PTHR11721:SF24', NULL, NULL, NULL, NULL, 'BNAC06G24660D PROTEIN', NULL, NULL, NULL, 15),
(123953, NULL, 'PTHR40855:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123954, NULL, 'PTHR24414:SF146', NULL, NULL, NULL, NULL, 'BNAC01G00450D PROTEIN', NULL, NULL, NULL, 15),
(123955, NULL, 'PTHR48107:SF12', NULL, NULL, NULL, NULL, 'SHORT-CHAIN TYPE DEHYDROGENASE/REDUCTASE', NULL, NULL, NULL, 15),
(123956, NULL, 'PTHR11439:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123957, NULL, 'PTHR24253:SF21', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE SERINE PROTEASE 5', NULL, NULL, NULL, 15),
(123958, NULL, 'PTHR46709:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG24086', NULL, NULL, NULL, 15),
(123959, NULL, 'PTHR24418:SF430', NULL, NULL, NULL, NULL, 'TYROSINE PROTEIN-KINASE SRC-1', NULL, NULL, NULL, 15),
(123960, NULL, 'PTHR22957:SF580', NULL, NULL, NULL, NULL, 'SMALL G PROTEIN SIGNALING MODULATOR 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(123961, NULL, 'PTHR33059:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123962, NULL, 'PTHR31525:SF2', NULL, NULL, NULL, NULL, 'HEME TRANSPORTER HRG-6', NULL, NULL, NULL, 15),
(123963, NULL, 'PTHR31489', NULL, NULL, NULL, NULL, 'LIN52 FAMILY MEMBER', NULL, NULL, 18789, 15),
(123964, NULL, 'PTHR31232:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123965, NULL, 'PTHR24416:SF323', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR UFO', NULL, NULL, NULL, 15),
(123966, NULL, 'PTHR31872:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 179', NULL, NULL, NULL, 15),
(123967, NULL, 'PTHR34524:SF6', NULL, NULL, NULL, NULL, 'CALCYPHOSINE-LIKE A', NULL, NULL, NULL, 15),
(123968, NULL, 'PTHR34537:SF1', NULL, NULL, NULL, NULL, 'OS08G0459300 PROTEIN', NULL, NULL, NULL, 15),
(123969, NULL, 'PTHR13250', NULL, NULL, NULL, NULL, 'TF-1 CELL APOPTOSIS RELATED PROTEIN-15', NULL, NULL, 11045, 15),
(123970, NULL, 'PTHR35732', NULL, NULL, NULL, NULL, 'OS10G0545100 PROTEIN', NULL, NULL, NULL, 15),
(123971, NULL, 'PTHR12801:SF141', NULL, NULL, NULL, NULL, 'EXONUCLEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(123972, NULL, 'PTHR13976:SF36', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN H3', NULL, NULL, NULL, 15),
(123973, NULL, 'PTHR11439:SF324', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN, GAG-PRE-INTEGRASE DOMAIN, GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', NULL, NULL, NULL, 15),
(123974, NULL, 'PTHR27002:SF709', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(123975, NULL, 'PTHR45510:SF1', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(123976, NULL, 'PTHR46072:SF11', NULL, NULL, NULL, NULL, 'AMIDASE-RELATED', NULL, NULL, NULL, 15),
(123977, NULL, 'PTHR21535', NULL, NULL, NULL, NULL, 'MAGNESIUM AND COBALT TRANSPORT PROTEIN/MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8', NULL, NULL, NULL, 15),
(123978, NULL, 'PTHR26453:SF252', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(123979, NULL, 'PTHR12377:SF9', NULL, NULL, NULL, NULL, 'BNAANNG13090D PROTEIN', NULL, NULL, NULL, 15),
(123980, NULL, 'PTHR33057:SF129', NULL, NULL, NULL, NULL, 'OVATE PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(123981, NULL, 'PTHR12751', NULL, NULL, NULL, NULL, 'PHOSPHATASE AND ACTIN REGULATOR  PHACTR', NULL, NULL, NULL, 15),
(123982, NULL, 'PTHR31639:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123983, NULL, 'PTHR32010:SF18', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II STABILITY/ASSEMBLY FACTOR HCF136, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(123984, NULL, 'PTHR43191:SF2', NULL, NULL, NULL, NULL, 'RRNA METHYLTRANSFERASE 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(123985, NULL, 'PTHR45717:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123986, NULL, 'PTHR33052:SF70', NULL, NULL, NULL, NULL, 'OS07G0659300 PROTEIN', NULL, NULL, NULL, 15),
(123987, NULL, 'PTHR34411:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123988, NULL, 'PTHR11073:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(123989, NULL, 'PTHR13439:SF60', NULL, NULL, NULL, NULL, 'TRAM, LAG1 AND CLN8 (TLC) LIPID-SENSING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(123990, NULL, 'PTHR33384:SF38', NULL, NULL, NULL, NULL, 'BNAA05G33450D PROTEIN', NULL, NULL, NULL, 15),
(123991, NULL, 'PTHR13703:SF60', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG', NULL, NULL, NULL, 15),
(123992, NULL, 'PTHR21029:SF18', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN-SIGNALING 9-BINDING PROTEIN', NULL, NULL, 24063, 15),
(123993, NULL, 'PTHR32278:SF84', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(123994, NULL, 'PTHR33593:SF23', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(123995, NULL, 'PTHR10457:SF12', NULL, NULL, NULL, NULL, 'GHMP KINASE-LIKE', NULL, NULL, NULL, 15),
(123996, NULL, 'PTHR16181:SF18', NULL, NULL, NULL, NULL, 'PROTEIN FAM83A-RELATED', NULL, NULL, NULL, 15),
(123997, NULL, 'PTHR42978:SF6', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(123998, NULL, 'PTHR21152:SF35', NULL, NULL, NULL, NULL, 'SERINE-PYRUVATE AMINOTRANSFERASE (AGXT)', NULL, NULL, NULL, 15),
(123999, NULL, 'PTHR26452:SF783', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(124000, NULL, 'PTHR11559:SF403', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(124001, NULL, 'PTHR33101:SF38', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124002, NULL, 'PTHR46913:SF7', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL16-LIKE', NULL, NULL, NULL, 15),
(124003, NULL, 'PTHR48104:SF5', NULL, NULL, NULL, NULL, 'METACASPASE-1-LIKE', NULL, NULL, NULL, 15),
(124004, NULL, 'PTHR11767:SF61', NULL, NULL, NULL, NULL, 'INWARD RECTIFYING K (POTASSIUM) CHANNEL FAMILY', NULL, NULL, NULL, 15),
(124005, NULL, 'PTHR40250', NULL, NULL, NULL, NULL, 'CHROMOSOME 11 OPEN READING FRAME 96', NULL, NULL, 28528, 15),
(124006, NULL, 'PTHR15000:SF1', NULL, NULL, NULL, NULL, 'ERYTHROID DIFFERENTIATION-RELATED FACTOR 1', NULL, NULL, NULL, 15),
(124007, NULL, 'PTHR45619:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(124008, NULL, 'PTHR48043:SF110', NULL, NULL, NULL, NULL, 'OS03G0757500 PROTEIN', NULL, NULL, NULL, 15),
(124009, NULL, 'PTHR13609:SF29', NULL, NULL, NULL, NULL, 'BNAA06G00950D PROTEIN', NULL, NULL, NULL, 15),
(124010, NULL, 'PTHR43194:SF2', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(124011, NULL, 'PTHR11206:SF356', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 19-LIKE', NULL, NULL, NULL, 15),
(124012, NULL, 'PTHR11814:SF219', NULL, NULL, NULL, NULL, 'SLC26A/SULP TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(124013, NULL, 'PTHR34138:SF1', NULL, NULL, NULL, NULL, 'CELL SHAPE-DETERMINING PROTEIN MREC', NULL, NULL, NULL, 15),
(124014, NULL, 'PTHR31832:SF65', NULL, NULL, NULL, NULL, 'OS06G0713000 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124015, NULL, 'PTHR43004:SF6', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(124016, NULL, 'PTHR46061:SF3', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE RECEPTOR', NULL, NULL, NULL, 15),
(124017, NULL, 'PTHR31066:SF33', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P', NULL, NULL, NULL, 15),
(124018, NULL, 'PTHR11011:SF64', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(124019, NULL, 'PTHR48043:SF98', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(124020, NULL, 'PTHR46277:SF20', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124021, NULL, 'PTHR31852:SF222', NULL, NULL, NULL, NULL, 'OS01G0655600 PROTEIN', NULL, NULL, NULL, 15),
(124022, NULL, 'PTHR35317:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(124023, NULL, 'PTHR47967:SF71', NULL, NULL, NULL, NULL, 'OS07G0533500 PROTEIN', NULL, NULL, NULL, 15),
(124024, NULL, 'PTHR43580:SF6', NULL, NULL, NULL, NULL, 'GLYOXYLATE/SUCCINIC SEMIALDEHYDE REDUCTASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(124025, NULL, 'PTHR47640:SF39', NULL, NULL, NULL, NULL, 'OS07G0615400 PROTEIN', NULL, NULL, NULL, 15),
(124026, NULL, 'PTHR21145:SF11', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(124027, NULL, 'PTHR43210:SF2', NULL, NULL, NULL, NULL, 'DETHIOBIOTIN SYNTHETASE', NULL, NULL, NULL, 15),
(124028, NULL, 'PTHR43124:SF8', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YDHP', NULL, NULL, NULL, 15),
(124029, NULL, 'PTHR10815', NULL, NULL, NULL, NULL, 'METHYLATED-DNA--PROTEIN-CYSTEINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(124030, NULL, 'PTHR47495:SF3', NULL, NULL, NULL, NULL, 'BLR6219 PROTEIN', NULL, NULL, NULL, 15),
(124031, NULL, 'PTHR45695:SF10', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE CCHAMIDE-2 RECEPTOR', NULL, NULL, NULL, 15),
(124032, NULL, 'PTHR31790:SF379', NULL, NULL, NULL, NULL, 'BNAA04G18720D PROTEIN', NULL, NULL, NULL, 15),
(124033, NULL, 'PTHR31356:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C PEROXIDASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(124034, NULL, 'PTHR26312:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124035, NULL, 'PTHR39332:SF7', NULL, NULL, NULL, NULL, 'BLL4707 PROTEIN', NULL, NULL, NULL, 15),
(124036, NULL, 'PTHR31909:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2410004P03 GENE', NULL, NULL, NULL, 15),
(124037, NULL, 'PTHR10224:SF9', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE-LIKE CLASS 1 DOMAIN-CONTAINING PROTEIN 3A, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(124038, NULL, 'PTHR11502:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6-LIKE', NULL, NULL, NULL, 15),
(124039, NULL, 'PTHR27001:SF660', NULL, NULL, NULL, NULL, 'SALT TOLERANCE RECEPTOR-LIKE CYTOPLASMIC KINASE 1', NULL, NULL, NULL, 15),
(124040, NULL, 'PTHR31836:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124041, NULL, 'PTHR45613:SF386', NULL, NULL, NULL, NULL, 'LEAF PROTEIN-LIKE', NULL, NULL, NULL, 15),
(124042, NULL, 'PTHR42908:SF31', NULL, NULL, NULL, NULL, 'BNAC09G43450D PROTEIN', NULL, NULL, NULL, 15),
(124043, NULL, 'PTHR23095:SF17', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN MA1', NULL, NULL, 24464, 15),
(124044, NULL, 'PTHR45738:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC5', NULL, NULL, NULL, 15),
(124045, NULL, 'PTHR32370:SF145', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(124046, NULL, 'PTHR15710:SF61', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHC2A-RELATED', NULL, NULL, NULL, 15),
(124047, NULL, 'PTHR10165:SF35', NULL, NULL, NULL, NULL, 'RE23632P', NULL, NULL, NULL, 15),
(124048, NULL, 'PTHR10083', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR-RELATED', NULL, NULL, NULL, 15),
(124049, NULL, 'PTHR19134:SF209', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE KAPPA', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124050, NULL, 'PTHR24015:SF1799', NULL, NULL, NULL, NULL, 'OS05G0581300 PROTEIN', NULL, NULL, NULL, 15),
(124051, NULL, 'PTHR46091:SF3', NULL, NULL, NULL, NULL, 'BLR7054 PROTEIN', NULL, NULL, NULL, 15),
(124052, NULL, 'PTHR47097', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-3', NULL, NULL, 35430, 15),
(124053, NULL, 'PTHR24281:SF175', NULL, NULL, NULL, NULL, '3,9-DIHYDROXYPTEROCARPAN 6A-MONOOXYGENASE', NULL, NULL, NULL, 15),
(124054, NULL, 'PTHR11165:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124055, NULL, 'PTHR34474', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION PROTEIN TRAP', NULL, NULL, NULL, 15),
(124056, NULL, 'PTHR11851:SF103', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT BETA', NULL, NULL, 30949, 15),
(124057, NULL, 'PTHR45988:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT10', NULL, NULL, NULL, 15),
(124058, NULL, 'PTHR23285:SF7', NULL, NULL, NULL, NULL, 'LD09246P1', NULL, NULL, NULL, 15),
(124059, NULL, 'PTHR34683:SF5', NULL, NULL, NULL, NULL, 'BNAA08G13800D PROTEIN', NULL, NULL, NULL, 15),
(124060, NULL, 'PTHR42770:SF15', NULL, NULL, NULL, NULL, 'GLUTAMATE/GAMMA-AMINOBUTYRATE ANTIPORTER-RELATED', NULL, NULL, NULL, 15),
(124061, NULL, 'PTHR11266:SF36', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, MPV17/PMP22 FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03910)-RELATED', NULL, NULL, NULL, 15),
(124062, NULL, 'PTHR43176:SF1', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(124063, NULL, 'PTHR22754:SF38', NULL, NULL, NULL, NULL, 'DISCO-INTERACTING PROTEIN 2 HOMOLOG B', NULL, NULL, NULL, 15),
(124064, NULL, 'PTHR11557', NULL, NULL, NULL, NULL, 'PORPHOBILINOGEN DEAMINASE', NULL, NULL, 3193, 15),
(124065, NULL, 'PTHR10108:SF1120', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT1-RELATED', NULL, NULL, NULL, 15),
(124066, NULL, 'PTHR43097:SF5', NULL, NULL, NULL, NULL, 'GLUTAMATE--TRNA LIGASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(124067, NULL, 'PTHR24347:SF404', NULL, NULL, NULL, NULL, 'KALIRIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(124068, NULL, 'PTHR34448:SF1', NULL, NULL, NULL, NULL, 'BLL6088 PROTEIN', NULL, NULL, NULL, 15),
(124069, NULL, 'PTHR35190:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DCD1B', NULL, NULL, NULL, 15),
(124070, NULL, 'PTHR36367:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(124071, NULL, 'PTHR33508:SF1', NULL, NULL, NULL, NULL, 'UPF0056 MEMBRANE PROTEIN YHCE', NULL, NULL, NULL, 15),
(124072, NULL, 'PTHR14324:SF4', NULL, NULL, NULL, NULL, 'BNAC01G35150D PROTEIN', NULL, NULL, NULL, 15),
(124073, NULL, 'PTHR24089:SF702', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124074, NULL, 'PTHR34207:SF11', NULL, NULL, NULL, NULL, 'OS02G0532800 PROTEIN', NULL, NULL, NULL, 15),
(124075, NULL, 'PTHR11352:SF8', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN', NULL, NULL, NULL, 15),
(124076, NULL, 'PTHR21676:SF3', NULL, NULL, NULL, NULL, 'PROTEIN STUM', NULL, NULL, NULL, 15),
(124077, NULL, 'PTHR23277:SF69', NULL, NULL, NULL, NULL, 'NECTIN-1', NULL, NULL, 35314, 15),
(124078, NULL, 'PTHR43341:SF20', NULL, NULL, NULL, NULL, 'AAT FAMILY AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(124079, NULL, 'PTHR10201:SF25', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-15', NULL, NULL, 24575, 15),
(124080, NULL, 'PTHR10219:SF87', NULL, NULL, NULL, NULL, 'BNAA06G15100D PROTEIN', NULL, NULL, NULL, 15),
(124081, NULL, 'PTHR35201:SF3', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE', NULL, NULL, NULL, 15),
(124082, NULL, 'PTHR44329:SF171', NULL, NULL, NULL, NULL, 'KINASE AND PP2C-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(124083, NULL, 'PTHR11877', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA SYNTHASE', NULL, NULL, 10134, 15),
(124084, NULL, 'PTHR43150:SF9', NULL, NULL, NULL, NULL, 'BNAA08G28020D PROTEIN', NULL, NULL, NULL, 15),
(124085, NULL, 'PTHR18956', NULL, NULL, NULL, NULL, 'HYALURONAN MEDIATED MOTILITY RECEPTOR', NULL, NULL, 25617, 15),
(124086, NULL, 'PTHR45621:SF99', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124087, NULL, 'PTHR33070:SF64', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(124088, NULL, 'PTHR19957:SF279', NULL, NULL, NULL, NULL, 'SYNTAXIN-52-LIKE', NULL, NULL, NULL, 15),
(124089, NULL, 'PTHR19354:SF4', NULL, NULL, NULL, NULL, 'ZIPPER PUTATIVE TUMOR SUPPRESSOR 2-RELATED', NULL, NULL, 27673, 15),
(124090, NULL, 'PTHR15948:SF0', NULL, NULL, NULL, NULL, 'GOLGI PH REGULATOR A-RELATED', NULL, NULL, NULL, 15),
(124091, NULL, 'PTHR31789:SF1', NULL, NULL, NULL, NULL, 'OS05G0482600 PROTEIN', NULL, NULL, NULL, 15),
(124092, NULL, 'PTHR46695:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 20', NULL, NULL, NULL, 15),
(124093, NULL, 'PTHR24349:SF426', NULL, NULL, NULL, NULL, 'BNAA09G05220D PROTEIN', NULL, NULL, NULL, 15),
(124094, NULL, 'PTHR14739', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 9', NULL, NULL, 26353, 15),
(124095, NULL, 'PTHR35850', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, 7950, 15),
(124096, NULL, 'PTHR43567', NULL, NULL, NULL, NULL, 'FLAVOREDOXIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(124097, NULL, 'PTHR20952:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124098, NULL, 'PTHR45844:SF11', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(124099, NULL, 'PTHR22814:SF145', NULL, NULL, NULL, NULL, 'COPPER ION BINDING PROTEIN', NULL, NULL, NULL, 15),
(124100, NULL, 'PTHR10795:SF687', NULL, NULL, NULL, NULL, 'PA-DOMAIN CONTAINING SUBTILASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124101, NULL, 'PTHR10887:SF461', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(124102, NULL, 'PTHR33214', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, 33096, 15),
(124103, NULL, 'PTHR39671:SF1', NULL, NULL, NULL, NULL, 'RNA EDITING COMPLEX PROTEIN MP67', NULL, NULL, NULL, 15),
(124104, NULL, 'PTHR47659', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(124105, NULL, 'PTHR31707:SF227', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(124106, NULL, 'PTHR31205:SF11', NULL, NULL, NULL, NULL, 'OS05G0115500 PROTEIN', NULL, NULL, NULL, 15),
(124107, NULL, 'PTHR48062:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124108, NULL, 'PTHR33453:SF10', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(124109, NULL, 'PTHR23322:SF28', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(124110, NULL, 'PTHR45799:SF5', NULL, NULL, NULL, NULL, 'RETICULON-1', NULL, NULL, NULL, 15),
(124111, NULL, 'PTHR45687:SF39', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-4-RELATED', NULL, NULL, NULL, 15),
(124112, NULL, 'PTHR46298', NULL, NULL, NULL, NULL, 'ANDROGLOBIN', NULL, NULL, NULL, 15),
(124113, NULL, 'PTHR24078:SF549', NULL, NULL, NULL, NULL, 'PROTEIN SIS1', NULL, NULL, NULL, 15),
(124114, NULL, 'PTHR17630:SF93', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124115, NULL, 'PTHR23036:SF96', NULL, NULL, NULL, NULL, 'INTERLEUKIN-31 RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(124116, NULL, 'PTHR43445:SF1', NULL, NULL, NULL, NULL, 'PGA SYNTHASE CAPB', NULL, NULL, NULL, 15),
(124117, NULL, 'PTHR47924:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124118, NULL, 'PTHR11709:SF312', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(124119, NULL, 'PTHR11017:SF385', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)-RELATED', NULL, NULL, NULL, 15),
(124120, NULL, 'PTHR34451:SF13', NULL, NULL, NULL, NULL, 'BNAANNG25860D PROTEIN', NULL, NULL, NULL, 15),
(124121, NULL, 'PTHR33138:SF27', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE GALACTURONAN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(124122, NULL, 'PTHR15950:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION COFACTOR VESTIGIAL-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(124123, NULL, 'PTHR10372:SF6', NULL, NULL, NULL, NULL, 'CATENIN DELTA-1', NULL, NULL, 22478, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124124, NULL, 'PTHR34207:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124125, NULL, 'PTHR48018:SF61', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8B2-RELATED', NULL, NULL, NULL, 15),
(124126, NULL, 'PTHR28092:SF1', NULL, NULL, NULL, NULL, 'FACTOR-INDUCED GENE 1 PROTEIN', NULL, NULL, NULL, 15),
(124127, NULL, 'PTHR11036:SF136', NULL, NULL, NULL, NULL, 'SEMA DOMAIN, TRANSMEMBRANE DOMAIN (TM), AND CYTOPLASMIC DOMAIN, (SEMAPHORIN) 6D', NULL, NULL, NULL, 15),
(124128, NULL, 'PTHR12280:SF38', NULL, NULL, NULL, NULL, 'BNAC03G47610D PROTEIN', NULL, NULL, NULL, 15),
(124129, NULL, 'PTHR43063', NULL, NULL, NULL, NULL, '4FE-4S CLUSTER CONTAINING PARA FAMILY ATPASE PROTEIN', NULL, NULL, NULL, 15),
(124130, NULL, 'PTHR45614:SF176', NULL, NULL, NULL, NULL, 'OS08G0435700 PROTEIN', NULL, NULL, NULL, 15),
(124131, NULL, 'PTHR38097:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN H-NS', NULL, NULL, NULL, 15),
(124132, NULL, 'PTHR27009:SF245', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK1', NULL, NULL, NULL, 15),
(124133, NULL, 'PTHR24099:SF9', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 3A', NULL, NULL, NULL, 15),
(124134, NULL, 'PTHR10640:SF9', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL METHYLTHIORIBULOSE-1-PHOSPHATE DEHYDRATASE/ENOLASE-PHOSPHATASE E1 2-RELATED', NULL, NULL, NULL, 15),
(124135, NULL, 'PTHR45958:SF17', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(124136, NULL, 'PTHR36478:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124137, NULL, 'PTHR43948:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124138, NULL, 'PTHR24412:SF433', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, 22407, 15),
(124139, NULL, 'PTHR11009:SF25', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 15', NULL, NULL, NULL, 15),
(124140, NULL, 'PTHR45982', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124141, NULL, 'PTHR12505:SF21', NULL, NULL, NULL, NULL, 'TRINUCLEOTIDE REPEAT-CONTAINING GENE 18 PROTEIN', NULL, NULL, NULL, 15),
(124142, NULL, 'PTHR46350:SF1', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN FAMILY MEMBER 10B', NULL, NULL, NULL, 15),
(124143, NULL, 'PTHR35485:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(124144, NULL, 'PTHR31639:SF113', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', NULL, NULL, NULL, 15),
(124145, NULL, 'PTHR44176', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 25', NULL, NULL, 38846, 15),
(124146, NULL, 'PTHR48043:SF106', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(124147, NULL, 'PTHR24377:SF829', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 542-RELATED', NULL, NULL, NULL, 15),
(124148, NULL, 'PTHR33210:SF19', NULL, NULL, NULL, NULL, 'BNAA09G08790D PROTEIN', NULL, NULL, NULL, 15),
(124149, NULL, 'PTHR33375:SF7', NULL, NULL, NULL, NULL, 'CHROMOSOME 2-PARTITIONING PROTEIN PARB-RELATED', NULL, NULL, NULL, 15),
(124150, NULL, 'PTHR46150', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 100F', NULL, NULL, NULL, 15),
(124151, NULL, 'PTHR31642:SF180', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(124152, NULL, 'PTHR32227:SF320', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', NULL, NULL, NULL, 15),
(124153, NULL, 'PTHR48155', NULL, NULL, NULL, NULL, 'OS09G0497600 PROTEIN', NULL, NULL, NULL, 15),
(124154, NULL, 'PTHR10582:SF11', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY V MEMBER 5', NULL, NULL, NULL, 15),
(124155, NULL, 'PTHR31752:SF60', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 3', NULL, NULL, NULL, 15),
(124156, NULL, 'PTHR23336:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124157, NULL, 'PTHR31595:SF55', NULL, NULL, NULL, NULL, 'ACYL-COA--STEROL O-ACYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(124158, NULL, 'PTHR11592:SF94', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124159, NULL, 'PTHR31100:SF54', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 28-LIKE', NULL, NULL, NULL, 15),
(124160, NULL, 'PTHR13308:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124161, NULL, 'PTHR16134:SF28', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 6', NULL, NULL, NULL, 15),
(124162, NULL, 'PTHR11654:SF533', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', NULL, NULL, NULL, 15),
(124163, NULL, 'PTHR47925', NULL, NULL, NULL, NULL, 'OS01G0913400 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124164, NULL, 'PTHR45730:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 7', NULL, NULL, NULL, 15),
(124165, NULL, 'PTHR31301:SF79', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 6-LIKE', NULL, NULL, NULL, 15),
(124166, NULL, 'PTHR34369', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 10 KDA POLYPEPTIDE, CHLOROPLASTIC', NULL, NULL, 3954, 15),
(124167, NULL, 'PTHR11731', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY S9B,C DIPEPTIDYL-PEPTIDASE IV-RELATED', NULL, NULL, NULL, 15),
(124168, NULL, 'PTHR48139:SF2', NULL, NULL, NULL, NULL, 'YALI0D13266P', NULL, NULL, NULL, 15),
(124169, NULL, 'PTHR33463:SF96', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124170, NULL, 'PTHR43191:SF10', NULL, NULL, NULL, NULL, 'BNAA01G18460D PROTEIN', NULL, NULL, NULL, 15),
(124171, NULL, 'PTHR42898:SF62', NULL, NULL, NULL, NULL, 'BNAA04G17090D PROTEIN', NULL, NULL, NULL, 15),
(124172, NULL, 'PTHR31338:SF22', NULL, NULL, NULL, NULL, 'MAJOR LATEX HOMOLOGUE TYPE2', NULL, NULL, NULL, 15),
(124173, NULL, 'PTHR15859:SF2', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD3', NULL, NULL, NULL, 15),
(124174, NULL, 'PTHR47200', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 15 KDA PROTEIN 1, CHLOROPLASTIC', NULL, NULL, 37955, 15),
(124175, NULL, 'PTHR31913:SF6', NULL, NULL, NULL, NULL, 'BNACNNG66970D PROTEIN', NULL, NULL, NULL, 15),
(124176, NULL, 'PTHR14456:SF8', NULL, NULL, NULL, NULL, 'INOSITOL-PENTAKISPHOSPHATE 2-KINASE', NULL, NULL, NULL, 15),
(124177, NULL, 'PTHR34224:SF13', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 5', NULL, NULL, NULL, 15),
(124178, NULL, 'PTHR11236:SF39', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE ALPHA SUBUNIT 1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(124179, NULL, 'PTHR23500:SF574', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 1', NULL, NULL, NULL, 15),
(124180, NULL, 'PTHR32191:SF59', NULL, NULL, NULL, NULL, 'PROTEIN TORNADO 2-LIKE', NULL, NULL, NULL, 15),
(124181, NULL, 'PTHR21229:SF68', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 87A-LIKE', NULL, NULL, NULL, 15),
(124182, NULL, 'PTHR19229:SF139', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY A (ABC1), MEMBER 14', NULL, NULL, NULL, 15),
(124183, NULL, 'PTHR45830:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(124184, NULL, 'PTHR10869:SF176', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(124185, NULL, 'PTHR24393:SF36', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 683', NULL, NULL, NULL, 15),
(124186, NULL, 'PTHR10878:SF8', NULL, NULL, NULL, NULL, 'SEGMENT POLARITY PROTEIN DISHEVELLED HOMOLOG DVL-2', NULL, NULL, 7924, 15),
(124187, NULL, 'PTHR11820:SF108', NULL, NULL, NULL, NULL, 'ACYLPYRUVASE FAHD2, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(124188, NULL, 'PTHR24349:SF411', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE KINASE 1-LIKE', NULL, NULL, NULL, 15),
(124189, NULL, 'PTHR10357:SF207', NULL, NULL, NULL, NULL, 'LP11544P-RELATED', NULL, NULL, NULL, 15),
(124190, NULL, 'PTHR26454:SF33', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(124191, NULL, 'PTHR24126:SF40', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(124192, NULL, 'PTHR35997:SF10', NULL, NULL, NULL, NULL, 'BNAA07G07450D PROTEIN', NULL, NULL, NULL, 15),
(124193, NULL, 'PTHR11880:SF36', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19, MITOCHONDRIAL', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124194, NULL, 'PTHR43976:SF16', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE', NULL, NULL, NULL, 15),
(124195, NULL, 'PTHR43097:SF11', NULL, NULL, NULL, NULL, 'OS05G0182800 PROTEIN', NULL, NULL, NULL, 15),
(124196, NULL, 'PTHR15556:SF5', NULL, NULL, NULL, NULL, 'EP300-INTERACTING INHIBITOR OF DIFFERENTIATION 1', NULL, NULL, 32881, 15),
(124197, NULL, 'PTHR45668:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 INACTIVE HOMOLOG', NULL, NULL, NULL, 15),
(124198, NULL, 'PTHR32295:SF93', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 9', NULL, NULL, NULL, 15),
(124199, NULL, 'PTHR43431:SF6', NULL, NULL, NULL, NULL, 'BNACNNG45710D PROTEIN', NULL, NULL, NULL, 15),
(124200, NULL, 'PTHR24009', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS)', NULL, NULL, NULL, 15),
(124201, NULL, 'PTHR12701', NULL, NULL, NULL, NULL, 'BCR-ASSOCIATED PROTEIN, BAP', NULL, NULL, 8558, 15),
(124202, NULL, 'PTHR11571:SF230', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, ALPHA TANDEM DUPLICATE 1-RELATED', NULL, NULL, NULL, 15),
(124203, NULL, 'PTHR31846:SF21', NULL, NULL, NULL, NULL, 'BNAA01G26770D PROTEIN', NULL, NULL, NULL, 15),
(124204, NULL, 'PTHR23500:SF446', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124205, NULL, 'PTHR10317:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT E', NULL, NULL, NULL, 15),
(124206, NULL, 'PTHR33065:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124207, NULL, 'PTHR23428:SF214', NULL, NULL, NULL, NULL, 'HISTONE H2B.3', NULL, NULL, NULL, 15),
(124208, NULL, 'PTHR14628', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, 32704, 15),
(124209, NULL, 'PTHR14379:SF56', NULL, NULL, NULL, NULL, 'BNAA03G58440D PROTEIN', NULL, NULL, NULL, 15),
(124210, NULL, 'PTHR31992:SF12', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.4', NULL, NULL, NULL, 15),
(124211, NULL, 'PTHR27006:SF313', NULL, NULL, NULL, NULL, 'BNAC05G08670D PROTEIN', NULL, NULL, NULL, 15),
(124212, NULL, 'PTHR31731:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124213, NULL, 'PTHR10257', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A  PP2A  REGULATORY SUBUNIT B', NULL, NULL, 1710, 15),
(124214, NULL, 'PTHR31636:SF241', NULL, NULL, NULL, NULL, 'OS05G0377900 PROTEIN', NULL, NULL, NULL, 15),
(124215, NULL, 'PTHR31973:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124216, NULL, 'PTHR10641:SF1297', NULL, NULL, NULL, NULL, 'OS06G0112700 PROTEIN', NULL, NULL, NULL, 15),
(124217, NULL, 'PTHR19364:SF2', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY Q PROTEIN', NULL, NULL, NULL, 15),
(124218, NULL, 'PTHR47977:SF10', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-36', NULL, NULL, NULL, 15),
(124219, NULL, 'PTHR16305', NULL, NULL, NULL, NULL, 'TESTICULAR SOLUBLE ADENYLYL CYCLASE', NULL, NULL, NULL, 15),
(124220, NULL, 'PTHR37247', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(124221, NULL, 'PTHR46233:SF4', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(124222, NULL, 'PTHR11145', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING ADAPTER FOR CUL3-MEDIATED RHOA DEGRADATION PROTEIN FAMILY MEMBER', NULL, NULL, 39382, 15),
(124223, NULL, 'PTHR10270:SF287', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-21', NULL, NULL, NULL, 15),
(124224, NULL, 'PTHR12411:SF328', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RELATED', NULL, NULL, NULL, 15),
(124225, NULL, 'PTHR47265:SF2', NULL, NULL, NULL, NULL, 'HESB-LIKE DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(124226, NULL, 'PTHR46468:SF1', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 8', NULL, NULL, NULL, 15),
(124227, NULL, 'PTHR24252:SF5', NULL, NULL, NULL, NULL, 'ACROSIN', NULL, NULL, NULL, 15),
(124228, NULL, 'PTHR12011:SF458', NULL, NULL, NULL, NULL, 'METHUSELAH (DROSOPHILA AGING-ASSOCIATED GPCR) HOMOLOG', NULL, NULL, NULL, 15),
(124229, NULL, 'PTHR13773:SF19', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124230, NULL, 'PTHR36788:SF6', NULL, NULL, NULL, NULL, 'BNACNNG68100D PROTEIN', NULL, NULL, NULL, 15),
(124231, NULL, 'PTHR33021:SF332', NULL, NULL, NULL, NULL, 'BNAC03G17230D PROTEIN', NULL, NULL, NULL, 15),
(124232, NULL, 'PTHR42647:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124233, NULL, 'PTHR10780:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER HOMOLOG 1', NULL, NULL, NULL, 15),
(124234, NULL, 'PTHR11817:SF61', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(124235, NULL, 'PTHR31218:SF197', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(124236, NULL, 'PTHR11818:SF15', NULL, NULL, NULL, NULL, 'CRYSTALLIN BETA GAMMA X', NULL, NULL, NULL, 15),
(124237, NULL, 'PTHR23189:SF87', NULL, NULL, NULL, NULL, 'INTERAPTIN', NULL, NULL, NULL, 15),
(124238, NULL, 'PTHR22896:SF0', NULL, NULL, NULL, NULL, 'CYCLIN DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(124239, NULL, 'PTHR47958:SF71', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX5-RELATED', NULL, NULL, NULL, 15),
(124240, NULL, 'PTHR10454:SF138', NULL, NULL, NULL, NULL, 'CASPASE 16, APOPTOSIS-RELATED CYSTEINE PEPTIDASE', NULL, NULL, NULL, 15),
(124241, NULL, 'PTHR30069:SF10', NULL, NULL, NULL, NULL, 'COLICIN I RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(124242, NULL, 'PTHR15627:SF14', NULL, NULL, NULL, NULL, 'PROTEIN YIPF3', NULL, NULL, 24424, 15),
(124243, NULL, 'PTHR34890:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124244, NULL, 'PTHR12395:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG03179', NULL, NULL, NULL, 15),
(124245, NULL, 'PTHR10405:SF29', NULL, NULL, NULL, NULL, 'ZMP:0000000521', NULL, NULL, NULL, 15),
(124246, NULL, 'PTHR33203:SF50', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(124247, NULL, 'PTHR48063:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124248, NULL, 'PTHR11945:SF459', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN AGL72', NULL, NULL, NULL, 15),
(124249, NULL, 'PTHR31419:SF8', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 2-LIKE', NULL, NULL, NULL, 15),
(124250, NULL, 'PTHR33398:SF1', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S20', NULL, NULL, NULL, 15),
(124251, NULL, 'PTHR42781:SF4', NULL, NULL, NULL, NULL, 'SPERMIDINE/PUTRESCINE IMPORT ATP-BINDING PROTEIN POTA', NULL, NULL, NULL, 15),
(124252, NULL, 'PTHR36508', NULL, NULL, NULL, NULL, 'PROTEIN SLYX', NULL, NULL, 6717, 15),
(124253, NULL, 'PTHR46161:SF1', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE HOMOLOG 5', NULL, NULL, NULL, 15),
(124254, NULL, 'PTHR32448:SF96', NULL, NULL, NULL, NULL, 'BERBERINE/BERBERINE-LIKE, ALDEHYDE OXIDASE, FAD-BINDING, TYPE 2-RELATED', NULL, NULL, NULL, 15),
(124255, NULL, 'PTHR13140:SF313', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-VC', NULL, NULL, NULL, 15),
(124256, NULL, 'PTHR33826:SF1', NULL, NULL, NULL, NULL, 'OS02G0768000 PROTEIN', NULL, NULL, NULL, 15),
(124257, NULL, 'PTHR11987:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124258, NULL, 'PTHR11731:SF109', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE 9', NULL, NULL, NULL, 15),
(124259, NULL, 'PTHR37865:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 23', NULL, NULL, NULL, 15),
(124260, NULL, 'PTHR47148:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(124261, NULL, 'PTHR47952:SF1', NULL, NULL, NULL, NULL, 'TRYPTAMINE 5-HYDROXYLASE', NULL, NULL, NULL, 15),
(124262, NULL, 'PTHR12824:SF2', NULL, NULL, NULL, NULL, 'GROUP XIIB SECRETORY PHOSPHOLIPASE A2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(124263, NULL, 'PTHR44259:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124264, NULL, 'PTHR23324:SF83', NULL, NULL, NULL, NULL, 'SEC14-LIKE LIPID-BINDING 7-RELATED', NULL, NULL, NULL, 15),
(124265, NULL, 'PTHR31042:SF94', NULL, NULL, NULL, NULL, 'BNAC08G41640D PROTEIN', NULL, NULL, NULL, 15),
(124266, NULL, 'PTHR21281', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124267, NULL, 'PTHR34998:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(124268, NULL, 'PTHR31190:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124269, NULL, 'PTHR24276:SF88', NULL, NULL, NULL, NULL, 'INTREPID', NULL, NULL, NULL, 15),
(124270, NULL, 'PTHR43364:SF5', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(124271, NULL, 'PTHR24006:SF756', NULL, NULL, NULL, NULL, 'OS02G0573400 PROTEIN', NULL, NULL, NULL, 15),
(124272, NULL, 'PTHR46821:SF8', NULL, NULL, NULL, NULL, 'OS03G0251700 PROTEIN', NULL, NULL, NULL, 15),
(124273, NULL, 'PTHR10257:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(124274, NULL, 'PTHR10231:SF3', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE TRANSPORTER ROCK1', NULL, NULL, NULL, 15),
(124275, NULL, 'PTHR35703:SF4', NULL, NULL, NULL, NULL, 'HEME OXYGENASE 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(124276, NULL, 'PTHR31072:SF143', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124277, NULL, 'PTHR45668:SF12', NULL, NULL, NULL, NULL, 'BNAC09G39960D PROTEIN', NULL, NULL, NULL, 15),
(124278, NULL, 'PTHR12064:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124279, NULL, 'PTHR24366', NULL, NULL, NULL, NULL, 'IG(IMMUNOGLOBULIN) AND LRR(LEUCINE RICH REPEAT) DOMAINS', NULL, NULL, NULL, 15),
(124280, NULL, 'PTHR15933', NULL, NULL, NULL, NULL, 'PROTEIN CBG16327', NULL, NULL, 22716, 15),
(124281, NULL, 'PTHR19441:SF22', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 13', NULL, NULL, 25433, 15),
(124282, NULL, 'PTHR34117:SF1', NULL, NULL, NULL, NULL, 'STYLE CELL-CYCLE INHIBITOR 1', NULL, NULL, NULL, 15),
(124283, NULL, 'PTHR38097', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124284, NULL, 'PTHR23079:SF44', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(124285, NULL, 'PTHR23020:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG15070', NULL, NULL, NULL, 15),
(124286, NULL, 'PTHR48206:SF1', NULL, NULL, NULL, NULL, 'CHLOROPLAST SENSOR KINASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(124287, NULL, 'PTHR46083:SF7', NULL, NULL, NULL, NULL, 'OS04G0624600 PROTEIN', NULL, NULL, NULL, 15),
(124288, NULL, 'PTHR46128:SF204', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(124289, NULL, 'PTHR30545:SF3', NULL, NULL, NULL, NULL, 'SUGAR FERMENTATION STIMULATION PROTEIN', NULL, NULL, NULL, 15),
(124290, NULL, 'PTHR48047:SF118', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 89C1', NULL, NULL, NULL, 15),
(124291, NULL, 'PTHR46133:SF21', NULL, NULL, NULL, NULL, 'BNAC03G14420D PROTEIN', NULL, NULL, NULL, 15),
(124292, NULL, 'PTHR24177:SF226', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124293, NULL, 'PTHR24089:SF707', NULL, NULL, NULL, NULL, 'BNAA09G40900D PROTEIN', NULL, NULL, NULL, 15),
(124294, NULL, 'PTHR11216:SF57', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 22362, 15),
(124295, NULL, 'PTHR39673:SF5', NULL, NULL, NULL, NULL, 'TUNGSTEN FORMYLMETHANOFURAN DEHYDROGENASE, SUBUNIT C (FWDC)', NULL, NULL, NULL, 15),
(124296, NULL, 'PTHR21716:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124297, NULL, 'PTHR11062:SF60', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(124298, NULL, 'PTHR32099:SF61', NULL, NULL, NULL, NULL, 'OS04G0316200 PROTEIN', NULL, NULL, NULL, 15),
(124299, NULL, 'PTHR30239:SF19', NULL, NULL, NULL, NULL, 'BNAC04G12850D PROTEIN', NULL, NULL, NULL, 15),
(124300, NULL, 'PTHR43828:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR XBP1 (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(124301, NULL, 'PTHR28204', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 12', NULL, NULL, 26876, 15),
(124302, NULL, 'PTHR10660:SF5', NULL, NULL, NULL, NULL, 'PROTEASOME ACTIVATOR COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(124303, NULL, 'PTHR34272', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124304, NULL, 'PTHR11831:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9-2', NULL, NULL, NULL, 15),
(124305, NULL, 'PTHR43620:SF29', NULL, NULL, NULL, NULL, 'BNAC02G47600D PROTEIN', NULL, NULL, NULL, 15),
(124306, NULL, 'PTHR43415:SF3', NULL, NULL, NULL, NULL, 'SPERMIDINE N(1)-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(124307, NULL, 'PTHR45678:SF9', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN ARALAR1', NULL, NULL, NULL, 15),
(124308, NULL, 'PTHR10678:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124309, NULL, 'PTHR11893:SF14', NULL, NULL, NULL, NULL, 'INNEXIN-10', NULL, NULL, NULL, 15),
(124310, NULL, 'PTHR19375:SF439', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN HSCC', NULL, NULL, NULL, 15),
(124311, NULL, 'PTHR44920:SF1', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 14, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(124312, NULL, 'PTHR24055:SF506', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 6', NULL, NULL, NULL, 15),
(124313, NULL, 'PTHR31210:SF38', NULL, NULL, NULL, NULL, 'STORAGE PROTEIN', NULL, NULL, NULL, 15),
(124314, NULL, 'PTHR24115:SF9', NULL, NULL, NULL, NULL, 'KINESIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(124315, NULL, 'PTHR13107', NULL, NULL, NULL, NULL, 'N6-ADENOSINE-METHYLTRANSFERASE NON-CATALYTIC SUBUNIT', NULL, NULL, 39321, 15),
(124316, NULL, 'PTHR11486:SF143', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 8B', NULL, NULL, 22424, 15),
(124317, NULL, 'PTHR21694:SF35', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 114', NULL, NULL, NULL, 15),
(124318, NULL, 'PTHR33639:SF2', NULL, NULL, NULL, NULL, 'THIOL-DISULFIDE OXIDOREDUCTASE DCC', NULL, NULL, NULL, 15),
(124319, NULL, 'PTHR24281:SF23', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D7', NULL, NULL, NULL, 15),
(124320, NULL, 'PTHR17469:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ITPRID2', NULL, NULL, 24346, 15),
(124321, NULL, 'PTHR31790:SF119', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, KELCH-TYPE BETA PROPELLER-RELATED', NULL, NULL, NULL, 15),
(124322, NULL, 'PTHR47942:SF10', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN ATP4 HOMOLOG, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(124323, NULL, 'PTHR24068:SF144', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 C', NULL, NULL, NULL, 15),
(124324, NULL, 'PTHR12669:SF15', NULL, NULL, NULL, NULL, 'GRANULITO', NULL, NULL, NULL, 15),
(124325, NULL, 'PTHR18806:SF4', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 25', NULL, NULL, NULL, 15),
(124326, NULL, 'PTHR43900:SF84', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 3', NULL, NULL, NULL, 15),
(124327, NULL, 'PTHR14224', NULL, NULL, NULL, NULL, 'SIMILAR TO PREFERENTIALLY EXPRESSED ANTIGEN IN MELANOMA-LIKE 3', NULL, NULL, NULL, 15),
(124328, NULL, 'PTHR33384:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(124329, NULL, 'PTHR14002:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124330, NULL, 'PTHR11079:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124331, NULL, 'PTHR32285:SF36', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 38', NULL, NULL, NULL, 15),
(124332, NULL, 'PTHR31645:SF14', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL18-RELATED', NULL, NULL, NULL, 15),
(124333, NULL, 'PTHR31376', NULL, NULL, NULL, NULL, 'OS09G0467300 PROTEIN-RELATED', NULL, NULL, 24534, 15),
(124334, NULL, 'PTHR10983:SF55', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(124335, NULL, 'PTHR21208', NULL, NULL, NULL, NULL, 'ADP-DEPENDENT GLUCOKINASE', NULL, NULL, 40, 15),
(124336, NULL, 'PTHR10926:SF56', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT', NULL, NULL, NULL, 15),
(124337, NULL, 'PTHR15756:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 176B', NULL, NULL, NULL, 15),
(124338, NULL, 'PTHR13341:SF9', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', NULL, NULL, NULL, 15),
(124339, NULL, 'PTHR31621:SF3', NULL, NULL, NULL, NULL, 'OS06G0352200 PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124340, NULL, 'PTHR47970:SF17', NULL, NULL, NULL, NULL, 'KINESIN MOTOR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124341, NULL, 'PTHR21087:SF24', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(124342, NULL, 'PTHR46932', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 47', NULL, NULL, NULL, 15),
(124343, NULL, 'PTHR31989:SF193', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 49', NULL, NULL, NULL, 15),
(124344, NULL, 'PTHR12223:SF32', NULL, NULL, NULL, NULL, 'PROTEIN ERGIC-53', NULL, NULL, 34714, 15),
(124345, NULL, 'PTHR23428:SF190', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-L', NULL, NULL, NULL, 15),
(124346, NULL, 'PTHR32343', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR', NULL, NULL, NULL, 15),
(124347, NULL, 'PTHR24559:SF384', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124348, NULL, 'PTHR22765:SF192', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(124349, NULL, 'PTHR31325:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124350, NULL, 'PTHR11440:SF50', NULL, NULL, NULL, NULL, 'LECITHIN:CHOLESTEROL ACYLTRANSFERASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(124351, NULL, 'PTHR12450:SF14', NULL, NULL, NULL, NULL, 'GLYCOSAMINOGLYCAN XYLOSYLKINASE', NULL, NULL, NULL, 15),
(124352, NULL, 'PTHR23024:SF223', NULL, NULL, NULL, NULL, 'ARYLACETAMIDE DEACETYLASE-LIKE 2', NULL, NULL, NULL, 15),
(124353, NULL, 'PTHR11506:SF2', NULL, NULL, NULL, NULL, 'MACROSIALIN', NULL, NULL, NULL, 15),
(124354, NULL, 'PTHR34107:SF7', NULL, NULL, NULL, NULL, 'SLR2092 PROTEIN', NULL, NULL, NULL, 15),
(124355, NULL, 'PTHR30478:SF0', NULL, NULL, NULL, NULL, 'BETA SLIDING CLAMP', NULL, NULL, NULL, 15),
(124356, NULL, 'PTHR11002:SF51', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(124357, NULL, 'PTHR11467:SF121', NULL, NULL, NULL, NULL, 'HISTONE H1.2', NULL, NULL, NULL, 15),
(124358, NULL, 'PTHR33165:SF57', NULL, NULL, NULL, NULL, 'OS04G0280100 PROTEIN', NULL, NULL, NULL, 15),
(124359, NULL, 'PTHR46576:SF1', NULL, NULL, NULL, NULL, 'BROMO ADJACENT HOMOLOGY DOMAIN-CONTAINING 1 PROTEIN', NULL, NULL, NULL, 15),
(124360, NULL, 'PTHR18945:SF857', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(124361, NULL, 'PTHR34311:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG21704', NULL, NULL, NULL, 15),
(124362, NULL, 'PTHR24006:SF792', NULL, NULL, NULL, NULL, 'OS08G0527800 PROTEIN', NULL, NULL, NULL, 15),
(124363, NULL, 'PTHR46704:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124364, NULL, 'PTHR14237:SF28', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE', NULL, NULL, NULL, 15),
(124365, NULL, 'PTHR10201:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124366, NULL, 'PTHR11266:SF108', NULL, NULL, NULL, NULL, 'BNACNNG22360D PROTEIN', NULL, NULL, NULL, 15),
(124367, NULL, 'PTHR35546:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124368, NULL, 'PTHR27007:SF224', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1', NULL, NULL, NULL, 15),
(124369, NULL, 'PTHR24305:SF112', NULL, NULL, NULL, NULL, 'L-ORNITHINE-N5-MONOOXYGENASE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(124370, NULL, 'PTHR23354:SF74', NULL, NULL, NULL, NULL, 'TLD-DOMAIN CONTAINING NUCLEOLAR PROTEIN', NULL, NULL, NULL, 15),
(124371, NULL, 'PTHR31378:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124372, NULL, 'PTHR15241:SF283', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124373, NULL, 'PTHR11246:SF24', NULL, NULL, NULL, NULL, 'BNACNNG15970D PROTEIN', NULL, NULL, NULL, 15),
(124374, NULL, 'PTHR47070:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(124375, NULL, 'PTHR11132:SF279', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSPORTER 1', NULL, NULL, NULL, 15),
(124376, NULL, 'PTHR11038:SF21', NULL, NULL, NULL, NULL, 'OS07G0243100 PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124377, NULL, 'PTHR13215:SF9', NULL, NULL, NULL, NULL, 'BNAC09G47220D PROTEIN', NULL, NULL, NULL, 15),
(124378, NULL, 'PTHR11260:SF638', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124379, NULL, 'PTHR46413:SF10', NULL, NULL, NULL, NULL, 'OS03G0829466 PROTEIN', NULL, NULL, NULL, 15),
(124380, NULL, 'PTHR23176:SF96', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN BEM2/IPL2', NULL, NULL, NULL, 15),
(124381, NULL, 'PTHR40086:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE YTMP-RELATED', NULL, NULL, NULL, 15),
(124382, NULL, 'PTHR42846:SF1', NULL, NULL, NULL, NULL, 'NI-SIROHYDROCHLORIN A,C-DIAMIDE REDUCTIVE CYCLASE COMPLEX, COMPONENT CFBD', NULL, NULL, NULL, 15),
(124383, NULL, 'PTHR23503:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124384, NULL, 'PTHR31126:SF48', NULL, NULL, NULL, NULL, 'OS09G0135700 PROTEIN', NULL, NULL, NULL, 15),
(124385, NULL, 'PTHR24103:SF561', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIML2-RELATED', NULL, NULL, NULL, 15),
(124386, NULL, 'PTHR12646:SF0', NULL, NULL, NULL, NULL, 'DOL-P-MAN:MAN(5)GLCNAC(2)-PP-DOL ALPHA-1,3-MANNOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(124387, NULL, 'PTHR42200', NULL, NULL, NULL, NULL, 'ARCHAEAL FLAGELLA-RELATED PROTEIN F-RELATED', NULL, NULL, 4969, 15),
(124388, NULL, 'PTHR14140:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER, PHD-TYPE, SRA-YDG, ZINC FINGER, RING/FYVE/PHD-TYPE, PUA-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124389, NULL, 'PTHR15672:SF25', NULL, NULL, NULL, NULL, 'RNA-BINDING SUPPRESSOR OF PAS KINASE PROTEIN 1', NULL, NULL, NULL, 15),
(124390, NULL, 'PTHR24177:SF105', NULL, NULL, NULL, NULL, 'OS09G0329266 PROTEIN', NULL, NULL, NULL, 15),
(124391, NULL, 'PTHR24221:SF169', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 28', NULL, NULL, NULL, 15),
(124392, NULL, 'PTHR13312:SF3', NULL, NULL, NULL, NULL, 'OTU-LIKE CYSTEINE PROTEASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(124393, NULL, 'PTHR46242:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(124394, NULL, 'PTHR23138:SF156', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 1 HOMOLOG C-LIKE', NULL, NULL, NULL, 15),
(124395, NULL, 'PTHR23402', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY C15 PYROGLUTAMYL-PEPTIDASE I-RELATED', NULL, NULL, 11428, 15),
(124396, NULL, 'PTHR45936', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(20) SYNTHASE [NAD(P)+]-LIKE', NULL, NULL, NULL, 15),
(124397, NULL, 'PTHR46236:SF9', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE FAMILY C19-RELATED PROTEIN', NULL, NULL, NULL, 15),
(124398, NULL, 'PTHR24338:SF10', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MSX-2', NULL, NULL, NULL, 15),
(124399, NULL, 'PTHR48040:SF24', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 1', NULL, NULL, NULL, 15),
(124400, NULL, 'PTHR12916:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6C', NULL, NULL, NULL, 15),
(124401, NULL, 'PTHR11239:SF16', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', NULL, NULL, NULL, 15),
(124402, NULL, 'PTHR12111:SF1', NULL, NULL, NULL, NULL, 'SPLICING FACTOR YJU2', NULL, NULL, NULL, 15),
(124403, NULL, 'PTHR31683:SF129', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(124404, NULL, 'PTHR31096:SF55', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR6', NULL, NULL, NULL, 15),
(124405, NULL, 'PTHR35351:SF2', NULL, NULL, NULL, NULL, 'GERMINAL CENTER-ASSOCIATED SIGNALING AND MOTILITY PROTEIN', NULL, NULL, NULL, 15),
(124406, NULL, 'PTHR31422:SF42', NULL, NULL, NULL, NULL, 'ZEIN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124407, NULL, 'PTHR33074:SF108', NULL, NULL, NULL, NULL, 'OS11G0174700 PROTEIN', NULL, NULL, NULL, 15),
(124408, NULL, 'PTHR11267:SF107', NULL, NULL, NULL, NULL, 'OPTOMOTOR-BLIND PROTEIN', NULL, NULL, NULL, 15),
(124409, NULL, 'PTHR45967:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124410, NULL, 'PTHR19446:SF437', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124411, NULL, 'PTHR24418:SF194', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE SRC64B', NULL, NULL, NULL, 15),
(124412, NULL, 'PTHR32246:SF138', NULL, NULL, NULL, NULL, 'BNAC05G02650D PROTEIN', NULL, NULL, NULL, 15),
(124413, NULL, 'PTHR47990:SF55', NULL, NULL, NULL, NULL, 'OS05G0560900 PROTEIN', NULL, NULL, NULL, 15),
(124414, NULL, 'PTHR32309:SF13', NULL, NULL, NULL, NULL, 'CHAIN LENGTH DETERMINANT PROTEIN', NULL, NULL, NULL, 15),
(124415, NULL, 'PTHR22937:SF113', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR1-LIKE', NULL, NULL, NULL, 15),
(124416, NULL, 'PTHR11467:SF127', NULL, NULL, NULL, NULL, 'HISTONE H5-RELATED', NULL, NULL, NULL, 15),
(124417, NULL, 'PTHR24349:SF292', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 8-LIKE', NULL, NULL, NULL, 15),
(124418, NULL, 'PTHR44442:SF1', NULL, NULL, NULL, NULL, '3-KETO-STEROID REDUCTASE', NULL, NULL, NULL, 15),
(124419, NULL, 'PTHR43876:SF20', NULL, NULL, NULL, NULL, 'LYCOPENE BETA CYCLASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(124420, NULL, 'PTHR33132:SF53', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(124421, NULL, 'PTHR43142:SF1', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(124422, NULL, 'PTHR48245:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124423, NULL, 'PTHR46128:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124424, NULL, 'PTHR42698:SF2', NULL, NULL, NULL, NULL, 'GTPASE ERA-LIKE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(124425, NULL, 'PTHR18905:SF11', NULL, NULL, NULL, NULL, 'NINEIN', NULL, NULL, 26209, 15),
(124426, NULL, 'PTHR22166:SF26', NULL, NULL, NULL, NULL, 'OS02G0830500 PROTEIN', NULL, NULL, NULL, 15),
(124427, NULL, 'PTHR43052:SF1', NULL, NULL, NULL, NULL, 'TRNA (5-METHYLAMINOMETHYL-2-THIOURIDYLATE)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(124428, NULL, 'PTHR45862:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124429, NULL, 'PTHR45642:SF106', NULL, NULL, NULL, NULL, 'BNAA01G29160D PROTEIN', NULL, NULL, NULL, 15),
(124430, NULL, 'PTHR11576:SF15', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA GLYCOPROTEIN 3D TANDEM DUPLICATE 1', NULL, NULL, NULL, 15),
(124431, NULL, 'PTHR10155:SF24', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 5-RELATED', NULL, NULL, NULL, 15),
(124432, NULL, 'PTHR31683:SF101', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(124433, NULL, 'PTHR24291:SF20', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(124434, NULL, 'PTHR36923', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(124435, NULL, 'PTHR46019:SF5', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B MEMBER 3', NULL, NULL, 27263, 15),
(124436, NULL, 'PTHR12446:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124437, NULL, 'PTHR36114', NULL, NULL, NULL, NULL, '16.7 KDA PROTEIN IN WHIE LOCUS', NULL, NULL, NULL, 15),
(124438, NULL, 'PTHR22950:SF646', NULL, NULL, NULL, NULL, 'VACUOLAR AMINO ACID TRANSPORTER 5-RELATED', NULL, NULL, NULL, 15),
(124439, NULL, 'PTHR43900:SF79', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(124440, NULL, 'PTHR31374:SF222', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124441, NULL, 'PTHR23287:SF18', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 5 PROTEIN', NULL, NULL, NULL, 15),
(124442, NULL, 'PTHR47672:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SNT2', NULL, NULL, NULL, 15),
(124443, NULL, 'PTHR24379:SF102', NULL, NULL, NULL, NULL, 'EG636741 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124444, NULL, 'PTHR13232', NULL, NULL, NULL, NULL, 'NAD(P)H-HYDRATE EPIMERASE', NULL, NULL, 27466, 15),
(124445, NULL, 'PTHR47926:SF224', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(124446, NULL, 'PTHR24012:SF698', NULL, NULL, NULL, NULL, 'FLOWERING TIME CONTROL FCA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(124447, NULL, 'PTHR31321:SF81', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124448, NULL, 'PTHR11550:SF29', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', NULL, NULL, NULL, 15),
(124449, NULL, 'PTHR33214:SF60', NULL, NULL, NULL, NULL, 'BNAA07G39070D PROTEIN', NULL, NULL, NULL, 15),
(124450, NULL, 'PTHR26312:SF178', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY PROTEIN YCF3', NULL, NULL, NULL, 15),
(124451, NULL, 'PTHR34289:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124452, NULL, 'PTHR12771:SF49', NULL, NULL, NULL, NULL, 'ELMO/CED-12 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(124453, NULL, 'PTHR43420:SF36', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(124454, NULL, 'PTHR31722:SF58', NULL, NULL, NULL, NULL, 'OS02G0762600 PROTEIN', NULL, NULL, NULL, 15),
(124455, NULL, 'PTHR26379:SF298', NULL, NULL, NULL, NULL, 'SPECKLE-TYPE POZ PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(124456, NULL, 'PTHR31251:SF142', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER BINDING PROTEIN NTABSPL6-1', NULL, NULL, NULL, 15),
(124457, NULL, 'PTHR47789:SF1', NULL, NULL, NULL, NULL, 'LAS SEVENTEEN-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(124458, NULL, 'PTHR24346:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124459, NULL, 'PTHR37349', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 12', NULL, NULL, 21670, 15),
(124460, NULL, 'PTHR11860', NULL, NULL, NULL, NULL, 'POLYMERIC-IMMUNOGLOBULIN RECEPTOR', NULL, NULL, NULL, 15),
(124461, NULL, 'PTHR23137:SF34', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(124462, NULL, 'PTHR33541:SF16', NULL, NULL, NULL, NULL, 'BNAA02G14570D PROTEIN', NULL, NULL, NULL, 15),
(124463, NULL, 'PTHR45837:SF3', NULL, NULL, NULL, NULL, 'VESICLE-TRAFFICKING PROTEIN SEC22B', NULL, NULL, NULL, 15),
(124464, NULL, 'PTHR45613:SF248', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(124465, NULL, 'PTHR43583', NULL, NULL, NULL, NULL, '2-IMINOACETATE SYNTHASE', NULL, NULL, 6125, 15),
(124466, NULL, 'PTHR10621:SF48', NULL, NULL, NULL, NULL, 'BNAC09G41750D PROTEIN', NULL, NULL, NULL, 15),
(124467, NULL, 'PTHR45927:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124468, NULL, 'PTHR13064:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 9B', NULL, NULL, NULL, 15),
(124469, NULL, 'PTHR15615:SF27', NULL, NULL, NULL, NULL, 'PHO85 CYCLIN CLG1', NULL, NULL, NULL, 15),
(124470, NULL, 'PTHR28664', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION-ASSOCIATED PROTEIN 1', NULL, NULL, 38183, 15),
(124471, NULL, 'PTHR31210:SF8', NULL, NULL, NULL, NULL, 'BNAA04G07220D PROTEIN', NULL, NULL, NULL, 15),
(124472, NULL, 'PTHR43671:SF61', NULL, NULL, NULL, NULL, 'BNAANNG10650D PROTEIN', NULL, NULL, NULL, 15),
(124473, NULL, 'PTHR26450:SF94', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(124474, NULL, 'PTHR31282:SF170', NULL, NULL, NULL, NULL, 'BNAA08G12420D PROTEIN', NULL, NULL, NULL, 15),
(124475, NULL, 'PTHR43771', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE', NULL, NULL, NULL, 15),
(124476, NULL, 'PTHR46664', NULL, NULL, NULL, NULL, 'ATM INTERACTOR', NULL, NULL, NULL, 15),
(124477, NULL, 'PTHR37477', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-5A HYDROLASE', NULL, NULL, NULL, 15),
(124478, NULL, 'PTHR10553:SF30', NULL, NULL, NULL, NULL, 'BNAA06G33630D PROTEIN', NULL, NULL, NULL, 15),
(124479, NULL, 'PTHR38016:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(124480, NULL, 'PTHR48011:SF47', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124481, NULL, 'PTHR46105:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 7C', NULL, NULL, NULL, 15),
(124482, NULL, 'PTHR45783:SF7', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN 1', NULL, NULL, NULL, 15),
(124483, NULL, 'PTHR31110:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(124484, NULL, 'PTHR28113:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAM1', NULL, NULL, NULL, 15),
(124485, NULL, 'PTHR24070:SF419', NULL, NULL, NULL, NULL, 'RAP2A, MEMBER OF RAS ONCOGENE FAMILY A', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124486, NULL, 'PTHR12770:SF29', NULL, NULL, NULL, NULL, 'PROTEIN ROOT UVB SENSITIVE 4', NULL, NULL, NULL, 15),
(124487, NULL, 'PTHR48019:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124488, NULL, 'PTHR39400', NULL, NULL, NULL, NULL, 'YALI0E29227P', NULL, NULL, NULL, 15),
(124489, NULL, 'PTHR31985:SF184', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TINY-LIKE', NULL, NULL, NULL, 15),
(124490, NULL, 'PTHR45738:SF19', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(124491, NULL, 'PTHR24383:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 579', NULL, NULL, NULL, 15),
(124492, NULL, 'PTHR48053:SF63', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(124493, NULL, 'PTHR44889', NULL, NULL, NULL, NULL, 'INACTIVE HYDROXYSTEROID DEHYDROGENASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(124494, NULL, 'PTHR11431:SF94', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(124495, NULL, 'PTHR45934:SF23', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(124496, NULL, 'PTHR33108:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124497, NULL, 'PTHR34663:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124498, NULL, 'PTHR42673:SF9', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(124499, NULL, 'PTHR24381:SF311', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 440', NULL, NULL, NULL, 15),
(124500, NULL, 'PTHR12375:SF30', NULL, NULL, NULL, NULL, 'LD04387P', NULL, NULL, NULL, 15),
(124501, NULL, 'PTHR45682:SF5', NULL, NULL, NULL, NULL, 'AGAP008228-PA', NULL, NULL, NULL, 15),
(124502, NULL, 'PTHR11103:SF14', NULL, NULL, NULL, NULL, 'SLR1189 PROTEIN', NULL, NULL, NULL, 15),
(124503, NULL, 'PTHR10505:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124504, NULL, 'PTHR34564:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE G', NULL, NULL, NULL, 15),
(124505, NULL, 'PTHR36484:SF1', NULL, NULL, NULL, NULL, 'OS05G0542001 PROTEIN', NULL, NULL, NULL, 15),
(124506, NULL, 'PTHR37768:SF3', NULL, NULL, NULL, NULL, 'BNAC09G32860D PROTEIN', NULL, NULL, NULL, 15),
(124507, NULL, 'PTHR11709:SF284', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(124508, NULL, 'PTHR24103:SF653', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 30B-RELATED', NULL, NULL, NULL, 15),
(124509, NULL, 'PTHR23500:SF566', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER', NULL, NULL, NULL, 15),
(124510, NULL, 'PTHR45825:SF3', NULL, NULL, NULL, NULL, 'GRANULE-BOUND STARCH SYNTHASE 1, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(124511, NULL, 'PTHR31650:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124512, NULL, 'PTHR24286', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 26', NULL, NULL, NULL, 15),
(124513, NULL, 'PTHR43128:SF5', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE C CHAIN', NULL, NULL, NULL, 15),
(124514, NULL, 'PTHR33083:SF71', NULL, NULL, NULL, NULL, 'OS05G0531000 PROTEIN', NULL, NULL, NULL, 15),
(124515, NULL, 'PTHR24216:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124516, NULL, 'PTHR11771:SF131', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(124517, NULL, 'PTHR47365:SF2', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 23', NULL, NULL, NULL, 15),
(124518, NULL, 'PTHR24258', NULL, NULL, NULL, NULL, 'SERINE PROTEASE-RELATED', NULL, NULL, NULL, 15),
(124519, NULL, 'PTHR47932:SF17', NULL, NULL, NULL, NULL, 'OS06G0172000 PROTEIN', NULL, NULL, NULL, 15),
(124520, NULL, 'PTHR38120:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(124521, NULL, 'PTHR37238:SF1', NULL, NULL, NULL, NULL, 'OS05G0532500 PROTEIN', NULL, NULL, NULL, 15),
(124522, NULL, 'PTHR45636:SF29', NULL, NULL, NULL, NULL, 'GH14454P', NULL, NULL, NULL, 15),
(124523, NULL, 'PTHR46044:SF5', NULL, NULL, NULL, NULL, 'NITRILASE (AFU_ORTHOLOGUE AFUA_6G13450)', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124524, NULL, 'PTHR36488:SF9', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(124525, NULL, 'PTHR11926:SF1161', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(124526, NULL, 'PTHR11527:SF284', NULL, NULL, NULL, NULL, '18.1 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(124527, NULL, 'PTHR46373:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124528, NULL, 'PTHR31144:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124529, NULL, 'PTHR30371:SF6', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PERIPLASMIC PROTEIN TRANSLOCASE TATC-RELATED', NULL, NULL, NULL, 15),
(124530, NULL, 'PTHR46663', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCT-RELATED', NULL, NULL, NULL, 15),
(124531, NULL, 'PTHR32227:SF379', NULL, NULL, NULL, NULL, 'BNAA02G07850D PROTEIN', NULL, NULL, NULL, 15),
(124532, NULL, 'PTHR30346', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL DUAL REGULATOR HCAR-RELATED', NULL, NULL, NULL, 15),
(124533, NULL, 'PTHR13817:SF66', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-LIKE AND FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(124534, NULL, 'PTHR23226:SF295', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 22', NULL, NULL, NULL, 15),
(124535, NULL, 'PTHR46162:SF43', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(124536, NULL, 'PTHR16768', NULL, NULL, NULL, NULL, 'DOWN REGULATED IN RENAL CARCINOMA 1/TU3A', NULL, NULL, 10376, 15),
(124537, NULL, 'PTHR23155:SF1138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124538, NULL, 'PTHR33228:SF56', NULL, NULL, NULL, NULL, 'GLUTAMINE DUMPER 1-RELATED', NULL, NULL, NULL, 15),
(124539, NULL, 'PTHR11909:SF364', NULL, NULL, NULL, NULL, 'PROTEIN CBG04011', NULL, NULL, NULL, 15),
(124540, NULL, 'PTHR47946:SF11', NULL, NULL, NULL, NULL, 'BNAA09G51270D PROTEIN', NULL, NULL, NULL, 15),
(124541, NULL, 'PTHR12701:SF51', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED PROTEIN 29/31-RELATED', NULL, NULL, NULL, 15),
(124542, NULL, 'PTHR45925:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 536', NULL, NULL, NULL, 15),
(124543, NULL, 'PTHR32039:SF18', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLI-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(124544, NULL, 'PTHR13808:SF43', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE HAC2', NULL, NULL, NULL, 15),
(124545, NULL, 'PTHR48005:SF7', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 3', NULL, NULL, NULL, 15),
(124546, NULL, 'PTHR24074:SF35', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DNAJ FAMILY PROTEIN', NULL, NULL, NULL, 15),
(124547, NULL, 'PTHR14652:SF2', NULL, NULL, NULL, NULL, 'TYPE 2 DNA TOPOISOMERASE 6 SUBUNIT B-LIKE', NULL, NULL, NULL, 15),
(124548, NULL, 'PTHR14464:SF5', NULL, NULL, NULL, NULL, 'DEFECTS IN MORPHOLOGY PROTEIN 1', NULL, NULL, NULL, 15),
(124549, NULL, 'PTHR10797:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124550, NULL, 'PTHR42723', NULL, NULL, NULL, NULL, 'CHLOROPHYLL SYNTHASE', NULL, NULL, NULL, 15),
(124551, NULL, 'PTHR22835:SF559', NULL, NULL, NULL, NULL, 'OS01G0215500 PROTEIN', NULL, NULL, NULL, 15),
(124552, NULL, 'PTHR33202:SF7', NULL, NULL, NULL, NULL, 'FERRIC UPTAKE REGULATION PROTEIN', NULL, NULL, NULL, 15),
(124553, NULL, 'PTHR35577:SF1', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(124554, NULL, 'PTHR11721:SF11', NULL, NULL, NULL, NULL, 'OS07G0613200 PROTEIN', NULL, NULL, NULL, 15),
(124555, NULL, 'PTHR42749:SF1', NULL, NULL, NULL, NULL, 'CELL SHAPE-DETERMINING PROTEIN MREB', NULL, NULL, NULL, 15),
(124556, NULL, 'PTHR31257:SF7', NULL, NULL, NULL, NULL, 'RICIN B-LIKE LECTIN R40G2', NULL, NULL, NULL, 15),
(124557, NULL, 'PTHR31315', NULL, NULL, NULL, NULL, 'PROTEIN SIP5', NULL, NULL, 29486, 15),
(124558, NULL, 'PTHR34716:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124559, NULL, 'PTHR11012:SF51', NULL, NULL, NULL, NULL, 'IP11764P', NULL, NULL, NULL, 15),
(124560, NULL, 'PTHR12756', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124561, NULL, 'PTHR10177:SF71', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN-E1', NULL, NULL, 21928, 15),
(124562, NULL, 'PTHR46801', NULL, NULL, NULL, NULL, 'OS06G0309200 PROTEIN', NULL, NULL, 37232, 15),
(124563, NULL, 'PTHR11929:SF216', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE FUT-5-RELATED', NULL, NULL, NULL, 15),
(124564, NULL, 'PTHR19970', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L39E', NULL, NULL, NULL, 15),
(124565, NULL, 'PTHR43382:SF1', NULL, NULL, NULL, NULL, 'GLUTAMYL(E) AMINO-ACYL TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(124566, NULL, 'PTHR31807:SF40', NULL, NULL, NULL, NULL, 'QWRF MOTIF-CONTAINING PROTEIN 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(124567, NULL, 'PTHR24377:SF828', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 37A', NULL, NULL, NULL, 15),
(124568, NULL, 'PTHR10367:SF9', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY PHOSPHATASE 11 (RNA/RNP COMPLEX 1-INTERACTING)', NULL, NULL, NULL, 15),
(124569, NULL, 'PTHR16311', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN TYPE I DOMAIN-CONTAINING 1', NULL, NULL, 33355, 15),
(124570, NULL, 'PTHR18966:SF350', NULL, NULL, NULL, NULL, 'CLUMSY, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(124571, NULL, 'PTHR11255:SF36', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE GAMMA', NULL, NULL, NULL, 15),
(124572, NULL, 'PTHR15932', NULL, NULL, NULL, NULL, 'UBIQUITIN INTERACTION MOTIF-CONTAINING PROTEIN 1', NULL, NULL, 34166, 15),
(124573, NULL, 'PTHR48017:SF86', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124574, NULL, 'PTHR27008:SF461', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124575, NULL, 'PTHR34740:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124576, NULL, 'PTHR33607', NULL, NULL, NULL, NULL, 'ENDONUCLEASE-1', NULL, NULL, 5556, 15),
(124577, NULL, 'PTHR14359:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124578, NULL, 'PTHR14898:SF4', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB HOMOLOG 2', NULL, NULL, NULL, 15),
(124579, NULL, 'PTHR23430:SF305', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(124580, NULL, 'PTHR43463', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE--DIMETHYLBENZIMIDAZOLE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(124581, NULL, 'PTHR24305:SF196', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(124582, NULL, 'PTHR11353:SF22', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ETA', NULL, NULL, 11964, 15),
(124583, NULL, 'PTHR14699:SF2', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 21A', NULL, NULL, NULL, 15),
(124584, NULL, 'PTHR10640:SF8', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL METHYLTHIORIBULOSE-1-PHOSPHATE DEHYDRATASE/ENOLASE-PHOSPHATASE E1-RELATED', NULL, NULL, NULL, 15),
(124585, NULL, 'PTHR35708:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124586, NULL, 'PTHR36328:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124587, NULL, 'PTHR32419:SF27', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE C-TERMINAL DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(124588, NULL, 'PTHR31268', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 14353, 15),
(124589, NULL, 'PTHR43000:SF4', NULL, NULL, NULL, NULL, 'STEROL-4-ALPHA-CARBOXYLATE 3-DEHYDROGENASE, DECARBOXYLATING', NULL, NULL, NULL, 15),
(124590, NULL, 'PTHR24100:SF64', NULL, NULL, NULL, NULL, 'BUTYROPHILIN, SUBFAMILY 3, MEMBER A3-RELATED', NULL, NULL, NULL, 15),
(124591, NULL, 'PTHR21621:SF5', NULL, NULL, NULL, NULL, 'BETA-CITRYLGLUTAMATE SYNTHASE B', NULL, NULL, NULL, 15),
(124592, NULL, 'PTHR32054:SF63', NULL, NULL, NULL, NULL, 'BNAA04G21980D PROTEIN', NULL, NULL, NULL, 15),
(124593, NULL, 'PTHR31194:SF133', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-11', NULL, NULL, NULL, 15),
(124594, NULL, 'PTHR23069:SF0', NULL, NULL, NULL, NULL, 'TAT-BINDING HOMOLOG 7', NULL, NULL, NULL, 15),
(124595, NULL, 'PTHR39425', NULL, NULL, NULL, NULL, 'LIPOPROTEIN CYTOCHROME C', NULL, NULL, 35552, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124596, NULL, 'PTHR34472:SF1', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN THIS', NULL, NULL, NULL, 15),
(124597, NULL, 'PTHR10334:SF355', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN 3', NULL, NULL, NULL, 15),
(124598, NULL, 'PTHR22744:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG00185', NULL, NULL, NULL, 15),
(124599, NULL, 'PTHR33124:SF72', NULL, NULL, NULL, NULL, 'BNACNNG30130D PROTEIN', NULL, NULL, NULL, 15),
(124600, NULL, 'PTHR24206:SF87', NULL, NULL, NULL, NULL, 'MICAL LIKE 1', NULL, NULL, NULL, 15),
(124601, NULL, 'PTHR11699:SF223', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(124602, NULL, 'PTHR14256:SF1', NULL, NULL, NULL, NULL, 'GEO09626P1', NULL, NULL, NULL, 15),
(124603, NULL, 'PTHR30042:SF2', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE KDPC SUBUNIT', NULL, NULL, NULL, 15),
(124604, NULL, 'PTHR46055', NULL, NULL, NULL, NULL, 'CIRCADIAN LOCOMOTER OUTPUT CYCLES PROTEIN KAPUT', NULL, NULL, NULL, 15),
(124605, NULL, 'PTHR24006:SF805', NULL, NULL, NULL, NULL, 'RE52890P', NULL, NULL, NULL, 15),
(124606, NULL, 'PTHR11339:SF385', NULL, NULL, NULL, NULL, 'ZONADHESIN (GENE/PSEUDOGENE)', NULL, NULL, NULL, 15),
(124607, NULL, 'PTHR11654:SF525', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124608, NULL, 'PTHR48012:SF17', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE KINASE 3', NULL, NULL, NULL, 15),
(124609, NULL, 'PTHR12146:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124610, NULL, 'PTHR46128:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124611, NULL, 'PTHR36131:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124612, NULL, 'PTHR18966:SF465', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(124613, NULL, 'PTHR12400:SF85', NULL, NULL, NULL, NULL, 'KINASE', NULL, NULL, NULL, 15),
(124614, NULL, 'PTHR21146:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124615, NULL, 'PTHR22814:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124616, NULL, 'PTHR43900:SF51', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(124617, NULL, 'PTHR48107:SF14', NULL, NULL, NULL, NULL, 'OS07G0170000 PROTEIN', NULL, NULL, NULL, 15),
(124618, NULL, 'PTHR31790:SF377', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(124619, NULL, 'PTHR23257:SF812', NULL, NULL, NULL, NULL, 'ATP BINDING PROTEIN', NULL, NULL, NULL, 15),
(124620, NULL, 'PTHR15336:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(124621, NULL, 'PTHR31260:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124622, NULL, 'PTHR11228:SF27', NULL, NULL, NULL, NULL, 'GLYCYL-RADICAL ENZYME ACTIVATING ENZYME MJ1227-RELATED', NULL, NULL, NULL, 15),
(124623, NULL, 'PTHR10117:SF51', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL PROTEIN', NULL, NULL, NULL, 15),
(124624, NULL, 'PTHR32258:SF31', NULL, NULL, NULL, NULL, 'BNACNNG72560D PROTEIN', NULL, NULL, NULL, 15),
(124625, NULL, 'PTHR13251', NULL, NULL, NULL, NULL, 'EPILEPSY HOLOPROSENCEPHALY CANDIDATE 1/TMEM1', NULL, NULL, 39258, 15),
(124626, NULL, 'PTHR46270', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD-RELATED', NULL, NULL, NULL, 15),
(124627, NULL, 'PTHR11348:SF7', NULL, NULL, NULL, NULL, 'CONNECTIVE TISSUE GROWTH FACTOR', NULL, NULL, NULL, 15),
(124628, NULL, 'PTHR23417:SF14', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(7)-)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(124629, NULL, 'PTHR47932:SF46', NULL, NULL, NULL, NULL, 'FERTILITY RESTORER HOMOLOGUE-LIKE', NULL, NULL, NULL, 15),
(124630, NULL, 'PTHR31194:SF105', NULL, NULL, NULL, NULL, 'AP2/ERF TRANSCRIPTION FACTOR ERF/PTI6-RELATED', NULL, NULL, NULL, 15),
(124631, NULL, 'PTHR31264:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124632, NULL, 'PTHR42907', NULL, NULL, NULL, NULL, 'FMN-LINKED OXIDOREDUCTASES SUPERFAMILY PROTEIN', NULL, NULL, 2584, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124633, NULL, 'PTHR10627:SF68', NULL, NULL, NULL, NULL, 'F26K24.15 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124634, NULL, 'PTHR47967:SF82', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(124635, NULL, 'PTHR45621:SF42', NULL, NULL, NULL, NULL, 'OS02G0670100 PROTEIN', NULL, NULL, NULL, 15),
(124636, NULL, 'PTHR24025:SF21', NULL, NULL, NULL, NULL, 'FAT ATYPICAL CADHERIN 3', NULL, NULL, NULL, 15),
(124637, NULL, 'PTHR48051:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND CALPONIN HOMOLOGY DOMAIN-CONTAINING PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(124638, NULL, 'PTHR24250:SF35', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-C', NULL, NULL, NULL, 15),
(124639, NULL, 'PTHR46632:SF9', NULL, NULL, NULL, NULL, 'OS05G0152900 PROTEIN', NULL, NULL, NULL, 15),
(124640, NULL, 'PTHR34591:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124641, NULL, 'PTHR31881:SF14', NULL, NULL, NULL, NULL, 'PLANT/F12B17-70 PROTEIN', NULL, NULL, NULL, 15),
(124642, NULL, 'PTHR46366:SF5', NULL, NULL, NULL, NULL, 'BNAA05G32590D PROTEIN', NULL, NULL, NULL, 15),
(124643, NULL, 'PTHR11969:SF66', NULL, NULL, NULL, NULL, 'MAD-LIKE', NULL, NULL, NULL, 15),
(124644, NULL, 'PTHR10353:SF145', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 13-LIKE ISOFORM X2', NULL, NULL, NULL, 15),
(124645, NULL, 'PTHR37616', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 60-LIKE', NULL, NULL, NULL, 15),
(124646, NULL, 'PTHR13167:SF42', NULL, NULL, NULL, NULL, 'BNACNNG28330D PROTEIN', NULL, NULL, NULL, 15),
(124647, NULL, 'PTHR34322', NULL, NULL, NULL, NULL, 'TRANSPOSASE, Y1_TNP DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(124648, NULL, 'PTHR47942:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124649, NULL, 'PTHR46796:SF1', NULL, NULL, NULL, NULL, 'ARAC-FAMILY TRANSCRIPTIONAL REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124650, NULL, 'PTHR10093:SF15', NULL, NULL, NULL, NULL, 'ISCU ISOFORM 5', NULL, NULL, NULL, 15),
(124651, NULL, 'PTHR11614:SF149', NULL, NULL, NULL, NULL, 'OS01G0315600 PROTEIN', NULL, NULL, NULL, 15),
(124652, NULL, 'PTHR22870:SF406', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION 1/BETA-LACTAMASE-INHIBITOR PROTEIN II-RELATED', NULL, NULL, NULL, 15),
(124653, NULL, 'PTHR24092:SF165', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 8-RELATED', NULL, NULL, NULL, 15),
(124654, NULL, 'PTHR45974:SF49', NULL, NULL, NULL, NULL, 'BNAA07G03560D PROTEIN', NULL, NULL, NULL, 15),
(124655, NULL, 'PTHR33432:SF22', NULL, NULL, NULL, NULL, 'OS10G0436850 PROTEIN', NULL, NULL, NULL, 15),
(124656, NULL, 'PTHR34268:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(124657, NULL, 'PTHR24015:SF1687', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(124658, NULL, 'PTHR21700:SF111', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(124659, NULL, 'PTHR33239:SF4', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(124660, NULL, 'PTHR22957:SF212', NULL, NULL, NULL, NULL, 'ECOTROPIC VIRAL INTEGRATION SITE 5 ORTHOLOG', NULL, NULL, NULL, 15),
(124661, NULL, 'PTHR13586:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LSM14 HOMOLOG B', NULL, NULL, NULL, 15),
(124662, NULL, 'PTHR44240:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124663, NULL, 'PTHR42898:SF57', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE 2', NULL, NULL, NULL, 15),
(124664, NULL, 'PTHR36787:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(124665, NULL, 'PTHR11937:SF479', NULL, NULL, NULL, NULL, 'BNAC02G00690D PROTEIN', NULL, NULL, NULL, 15),
(124666, NULL, 'PTHR10858:SF24', NULL, NULL, NULL, NULL, 'CELL DEATH-RELATED NUCLEASE 6', NULL, NULL, NULL, 15),
(124667, NULL, 'PTHR43744:SF1', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEMS INNER MEMBRANE COMPONENT', NULL, NULL, NULL, 15),
(124668, NULL, 'PTHR33155:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAF-LIKE, CHLOROPLASTIC', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124669, NULL, 'PTHR10024:SF46', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-10', NULL, NULL, 23916, 15),
(124670, NULL, 'PTHR36055:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124671, NULL, 'PTHR48005:SF30', NULL, NULL, NULL, NULL, 'OS02G0468900 PROTEIN', NULL, NULL, NULL, 15),
(124672, NULL, 'PTHR31683:SF164', NULL, NULL, NULL, NULL, 'PECTATE LYASE 5-RELATED', NULL, NULL, NULL, 15),
(124673, NULL, 'PTHR13780:SF95', NULL, NULL, NULL, NULL, 'AMP-ACTIVATED PROTEIN KINASE GAMMA SUBUNIT', NULL, NULL, NULL, 15),
(124674, NULL, 'PTHR12173:SF3', NULL, NULL, NULL, NULL, 'NEURTURIN', NULL, NULL, NULL, 15),
(124675, NULL, 'PTHR24056:SF471', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124676, NULL, 'PTHR11334:SF17', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER X1', NULL, NULL, NULL, 15),
(124677, NULL, 'PTHR42760:SF89', NULL, NULL, NULL, NULL, 'BLR8120 PROTEIN', NULL, NULL, NULL, 15),
(124678, NULL, 'PTHR24068:SF372', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2', NULL, NULL, NULL, 15),
(124679, NULL, 'PTHR30203:SF18', NULL, NULL, NULL, NULL, 'SLR1270 PROTEIN', NULL, NULL, NULL, 15),
(124680, NULL, 'PTHR32409:SF9', NULL, NULL, NULL, NULL, 'BNAA07G08810D PROTEIN', NULL, NULL, NULL, 15),
(124681, NULL, 'PTHR23110:SF89', NULL, NULL, NULL, NULL, 'BROAD-COMPLEX CORE PROTEIN ISOFORM 6', NULL, NULL, NULL, 15),
(124682, NULL, 'PTHR15835:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(124683, NULL, 'PTHR32176:SF43', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(124684, NULL, 'PTHR11129:SF6', NULL, NULL, NULL, NULL, 'BNAA09G17110D PROTEIN', NULL, NULL, NULL, 15),
(124685, NULL, 'PTHR22780:SF42', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(124686, NULL, 'PTHR35163', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124687, NULL, 'PTHR31496:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RL9-RELATED', NULL, NULL, NULL, 15),
(124688, NULL, 'PTHR18919:SF83', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G06380)-RELATED', NULL, NULL, NULL, 15),
(124689, NULL, 'PTHR34924', NULL, NULL, NULL, NULL, 'UPF0573 PROTEIN C2ORF70', NULL, NULL, NULL, 15),
(124690, NULL, 'PTHR28124:SF1', NULL, NULL, NULL, NULL, 'DNA REPLICATION REGULATOR SLD2', NULL, NULL, NULL, 15),
(124691, NULL, 'PTHR10316:SF10', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED GUANYLATE KINASE, WW AND PDZ DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 26855, 15),
(124692, NULL, 'PTHR31992:SF123', NULL, NULL, NULL, NULL, 'DOF30 TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(124693, NULL, 'PTHR48041:SF52', NULL, NULL, NULL, NULL, 'WHITE (DROSOPHILA) RELATED ABC TRANSPORTER', NULL, NULL, NULL, 15),
(124694, NULL, 'PTHR11525:SF11', NULL, NULL, NULL, NULL, 'FARNESYL PYROPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(124695, NULL, 'PTHR13268:SF9', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18F-LIKE', NULL, NULL, NULL, 15),
(124696, NULL, 'PTHR33801:SF11', NULL, NULL, NULL, NULL, 'OS02G0543000 PROTEIN', NULL, NULL, NULL, 15),
(124697, NULL, 'PTHR10696:SF38', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124698, NULL, 'PTHR33597:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR Y SUBUNIT C-4, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124699, NULL, 'PTHR23336:SF50', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 1-RELATED', NULL, NULL, NULL, 15),
(124700, NULL, 'PTHR48100:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN 1 ISOFORM X1', NULL, NULL, NULL, 15),
(124701, NULL, 'PTHR38011', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G06820)', NULL, NULL, NULL, 15),
(124702, NULL, 'PTHR21614:SF0', NULL, NULL, NULL, NULL, 'GEO08385P1', NULL, NULL, NULL, 15),
(124703, NULL, 'PTHR11706:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124704, NULL, 'PTHR33239:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124705, NULL, 'PTHR45977:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SDIR1', NULL, NULL, NULL, 15),
(124706, NULL, 'PTHR42954:SF1', NULL, NULL, NULL, NULL, 'FERROUS IRON TRANSPORT PROTEIN A', NULL, NULL, NULL, 15),
(124707, NULL, 'PTHR33085:SF43', NULL, NULL, NULL, NULL, 'OS03G0781800 PROTEIN', NULL, NULL, NULL, 15),
(124708, NULL, 'PTHR46368:SF9', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(124709, NULL, 'PTHR21513:SF20', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(124710, NULL, 'PTHR10732:SF16', NULL, NULL, NULL, NULL, 'BNAA04G26860D PROTEIN', NULL, NULL, NULL, 15),
(124711, NULL, 'PTHR10165:SF177', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(124712, NULL, 'PTHR11709:SF258', NULL, NULL, NULL, NULL, 'LACCASE-9-RELATED', NULL, NULL, NULL, 15),
(124713, NULL, 'PTHR13068', NULL, NULL, NULL, NULL, 'CGI-12 PROTEIN-RELATED', NULL, NULL, 4855, 15),
(124714, NULL, 'PTHR11005:SF11', NULL, NULL, NULL, NULL, 'LIPASE MEMBER J', NULL, NULL, NULL, 15),
(124715, NULL, 'PTHR34308:SF1', NULL, NULL, NULL, NULL, 'COBALAMIN BIOSYNTHESIS PROTEIN CBIB', NULL, NULL, NULL, 15),
(124716, NULL, 'PTHR22814:SF313', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(124717, NULL, 'PTHR31604:SF29', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 5', NULL, NULL, NULL, 15),
(124718, NULL, 'PTHR47447:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124719, NULL, 'PTHR45648:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124720, NULL, 'PTHR12850:SF25', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S25', NULL, NULL, NULL, 15),
(124721, NULL, 'PTHR18945:SF855', NULL, NULL, NULL, NULL, 'NICOTINIC ACETYLCHOLINE RECEPTOR SUBUNIT', NULL, NULL, NULL, 15),
(124722, NULL, 'PTHR47047:SF8', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124723, NULL, 'PTHR24242:SF218', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(124724, NULL, 'PTHR11455:SF17', NULL, NULL, NULL, NULL, 'CRYPTOCHROME-1', NULL, NULL, NULL, 15),
(124725, NULL, 'PTHR48018:SF115', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(124726, NULL, 'PTHR36715:SF1', NULL, NULL, NULL, NULL, 'BNAANNG41370D PROTEIN', NULL, NULL, NULL, 15),
(124727, NULL, 'PTHR10003:SF37', NULL, NULL, NULL, NULL, 'CU/ZN SUPEROXIDE DISMUTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G11640)-RELATED', NULL, NULL, NULL, 15),
(124728, NULL, 'PTHR22829:SF29', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE-DEPENDENT RAC EXCHANGER 1 PROTEIN', NULL, NULL, NULL, 15),
(124729, NULL, 'PTHR33147:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124730, NULL, 'PTHR24282:SF30', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 721, SUBFAMILY A, POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(124731, NULL, 'PTHR37978:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG22381', NULL, NULL, NULL, 15),
(124732, NULL, 'PTHR48111:SF19', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR SAER', NULL, NULL, NULL, 15),
(124733, NULL, 'PTHR31190:SF172', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', NULL, NULL, NULL, 15),
(124734, NULL, 'PTHR10984:SF57', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM VESICLE TRANSPORTER PROTEIN', NULL, NULL, NULL, 15),
(124735, NULL, 'PTHR43081:SF15', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE, TERMINAL-DIFFERENTIATION SPECIFIC', NULL, NULL, NULL, 15),
(124736, NULL, 'PTHR47982:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124737, NULL, 'PTHR34721:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG09734', NULL, NULL, NULL, 15),
(124738, NULL, 'PTHR13516:SF18', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(124739, NULL, 'PTHR31132:SF22', NULL, NULL, NULL, NULL, 'BNAA03G54450D PROTEIN', NULL, NULL, NULL, 15),
(124740, NULL, 'PTHR23202:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124741, NULL, 'PTHR23294:SF55', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17480)-RELATED', NULL, NULL, NULL, 15),
(124742, NULL, 'PTHR33159:SF39', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(124743, NULL, 'PTHR31509:SF80', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF793)-RELATED', NULL, NULL, NULL, 15),
(124744, NULL, 'PTHR10791:SF111', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET2', NULL, NULL, NULL, 15),
(124745, NULL, 'PTHR10846:SF65', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 24 MEMBER 2', NULL, NULL, NULL, 15),
(124746, NULL, 'PTHR36798', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN 6, CHLOROPLASTIC', NULL, NULL, 19727, 15),
(124747, NULL, 'PTHR23023:SF271', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(124748, NULL, 'PTHR10615:SF193', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE OF THE MYST FAMILY 2', NULL, NULL, NULL, 15),
(124749, NULL, 'PTHR11461:SF306', NULL, NULL, NULL, NULL, 'SERPIN-Z1', NULL, NULL, NULL, 15),
(124750, NULL, 'PTHR48005:SF6', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 8', NULL, NULL, NULL, 15),
(124751, NULL, 'PTHR11937', NULL, NULL, NULL, NULL, 'ACTIN', NULL, NULL, 974, 15),
(124752, NULL, 'PTHR12396:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124753, NULL, 'PTHR48001:SF144', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(124754, NULL, 'PTHR36143:SF4', NULL, NULL, NULL, NULL, 'OS08G0177500 PROTEIN', NULL, NULL, NULL, 15),
(124755, NULL, 'PTHR11690:SF187', NULL, NULL, NULL, NULL, 'DEGENERIN MEC-10', NULL, NULL, NULL, 15),
(124756, NULL, 'PTHR23074:SF151', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF K(+) TRANSPORT GROWTH DEFECT 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(124757, NULL, 'PTHR43202:SF1', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE PYROPHOSPHORYLASE', NULL, NULL, NULL, 15),
(124758, NULL, 'PTHR24399:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E4F1', NULL, NULL, NULL, 15),
(124759, NULL, 'PTHR47414:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP20-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(124760, NULL, 'PTHR10891:SF798', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(124761, NULL, 'PTHR22750:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124762, NULL, 'PTHR24248:SF177', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR D1A', NULL, NULL, NULL, 15),
(124763, NULL, 'PTHR46043:SF18', NULL, NULL, NULL, NULL, 'BNAC04G04430D PROTEIN', NULL, NULL, NULL, 15),
(124764, NULL, 'PTHR47985:SF13', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE LIP2', NULL, NULL, NULL, 15),
(124765, NULL, 'PTHR31128:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG02793', NULL, NULL, NULL, 15),
(124766, NULL, 'PTHR44186:SF1', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 4 PROTEIN', NULL, NULL, NULL, 15),
(124767, NULL, 'PTHR31744:SF96', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 21/22', NULL, NULL, NULL, 15),
(124768, NULL, 'PTHR43591:SF68', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 27', NULL, NULL, NULL, 15),
(124769, NULL, 'PTHR13710:SF138', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(124770, NULL, 'PTHR42755:SF1', NULL, NULL, NULL, NULL, '3-DEOXY-D-MANNO-OCTULOSONIC ACID TRANSFERASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(124771, NULL, 'PTHR47008', NULL, NULL, NULL, NULL, 'PROTEIN CORDON-BLEU', NULL, NULL, 34741, 15),
(124772, NULL, 'PTHR43441:SF6', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(124773, NULL, 'PTHR27006:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124774, NULL, 'PTHR45868:SF14', NULL, NULL, NULL, NULL, 'OS08G0205500 PROTEIN', NULL, NULL, NULL, 15),
(124775, NULL, 'PTHR24372:SF77', NULL, NULL, NULL, NULL, 'FI21465P1', NULL, NULL, NULL, 15),
(124776, NULL, 'PTHR31057', NULL, NULL, NULL, NULL, 'E3 UFM1-PROTEIN LIGASE 1', NULL, NULL, 16308, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124777, NULL, 'PTHR33447', NULL, NULL, NULL, NULL, 'GLUTATHIONE GAMMA-GLUTAMYLCYSTEINYLTRANSFERASE', NULL, NULL, 29852, 15),
(124778, NULL, 'PTHR31985:SF179', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124779, NULL, 'PTHR43649:SF15', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER-BINDING PROTEIN DR_1438-RELATED', NULL, NULL, NULL, 15),
(124780, NULL, 'PTHR47097:SF1', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-3', NULL, NULL, NULL, 15),
(124781, NULL, 'PTHR46548:SF2', NULL, NULL, NULL, NULL, 'BAH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(124782, NULL, 'PTHR43895:SF104', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(124783, NULL, 'PTHR13382:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124784, NULL, 'PTHR14516:SF6', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE DEHYDROGENASE, MITOCHONDRIAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(124785, NULL, 'PTHR21119:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG14248', NULL, NULL, NULL, 15),
(124786, NULL, 'PTHR11477:SF18', NULL, NULL, NULL, NULL, 'SPOC DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(124787, NULL, 'PTHR12859:SF4', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN A2', NULL, NULL, NULL, 15),
(124788, NULL, 'PTHR27002:SF214', NULL, NULL, NULL, NULL, 'KINASE 3, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124789, NULL, 'PTHR35903:SF1', NULL, NULL, NULL, NULL, 'FLAGELLIN B1', NULL, NULL, NULL, 15),
(124790, NULL, 'PTHR31920:SF61', NULL, NULL, NULL, NULL, 'BNAA03G53170D PROTEIN', NULL, NULL, NULL, 15),
(124791, NULL, 'PTHR31582', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS A (ALPHA)-RELATED-RELATED', NULL, NULL, NULL, 15),
(124792, NULL, 'PTHR43706:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124793, NULL, 'PTHR11003:SF11', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 12', NULL, NULL, NULL, 15),
(124794, NULL, 'PTHR38505', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC100362176', NULL, NULL, 28437, 15),
(124795, NULL, 'PTHR22897:SF19', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE', NULL, NULL, NULL, 15),
(124796, NULL, 'PTHR46833', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR 2 TERF2', NULL, NULL, 23828, 15),
(124797, NULL, 'PTHR34197:SF3', NULL, NULL, NULL, NULL, 'BNACNNG49610D PROTEIN', NULL, NULL, NULL, 15),
(124798, NULL, 'PTHR10353:SF28', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 44', NULL, NULL, NULL, 15),
(124799, NULL, 'PTHR33191:SF45', NULL, NULL, NULL, NULL, 'KIWELLIN', NULL, NULL, NULL, 15),
(124800, NULL, 'PTHR15364', NULL, NULL, NULL, NULL, '2''-DEOXYNUCLEOSIDE 5''-PHOSPHATE N-HYDROLASE 1', NULL, NULL, NULL, 15),
(124801, NULL, 'PTHR12565:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124802, NULL, 'PTHR37519:SF1', NULL, NULL, NULL, NULL, 'DIHYDROXYBIPHENYL DIOXYGENASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(124803, NULL, 'PTHR11706:SF2', NULL, NULL, NULL, NULL, 'TRANSPORTER PROTEIN', NULL, NULL, NULL, 15),
(124804, NULL, 'PTHR33128:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124805, NULL, 'PTHR10641:SF1294', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39-LIKE', NULL, NULL, NULL, 15),
(124806, NULL, 'PTHR24281:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124807, NULL, 'PTHR45624:SF23', NULL, NULL, NULL, NULL, 'SI:DKEY-150I13.2', NULL, NULL, NULL, 15),
(124808, NULL, 'PTHR28075', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, 14130, 15),
(124809, NULL, 'PTHR23130:SF154', NULL, NULL, NULL, NULL, 'OS01G0895200 PROTEIN', NULL, NULL, NULL, 15),
(124810, NULL, 'PTHR11440:SF45', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(124811, NULL, 'PTHR34821:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124812, NULL, 'PTHR31721:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124813, NULL, 'PTHR33101', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 1', NULL, NULL, 34451, 15),
(124814, NULL, 'PTHR13878:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124815, NULL, 'PTHR11647:SF65', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINASE 1', NULL, NULL, 25188, 15),
(124816, NULL, 'PTHR31375:SF221', NULL, NULL, NULL, NULL, 'OS01G0891100 PROTEIN', NULL, NULL, NULL, 15),
(124817, NULL, 'PTHR43452:SF25', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 1', NULL, NULL, NULL, 15),
(124818, NULL, 'PTHR31769:SF53', NULL, NULL, NULL, NULL, 'OS02G0608000 PROTEIN', NULL, NULL, NULL, 15),
(124819, NULL, 'PTHR46773:SF5', NULL, NULL, NULL, NULL, 'OJ991113_30.6 PROTEIN', NULL, NULL, NULL, 15),
(124820, NULL, 'PTHR13140:SF289', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-XIX', NULL, NULL, NULL, 15),
(124821, NULL, 'PTHR36726:SF5', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER MTCLE11', NULL, NULL, NULL, 15),
(124822, NULL, 'PTHR34835:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124823, NULL, 'PTHR34945', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(124824, NULL, 'PTHR22939:SF14', NULL, NULL, NULL, NULL, 'SERINE PROTEASE HTRA3', NULL, NULL, NULL, 15),
(124825, NULL, 'PTHR11890:SF23', NULL, NULL, NULL, NULL, 'INTERLEUKIN-18 RECEPTOR ACCESSORY PROTEIN', NULL, NULL, NULL, 15),
(124826, NULL, 'PTHR10686:SF34', NULL, NULL, NULL, NULL, 'CELL-SURFACE THIAMINE TRANSPORTER 2', NULL, NULL, NULL, 15),
(124827, NULL, 'PTHR31300:SF33', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(124828, NULL, 'PTHR31062:SF235', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 27-RELATED', NULL, NULL, NULL, 15),
(124829, NULL, 'PTHR10177:SF430', NULL, NULL, NULL, NULL, 'CYCLIN A2, CHORDATE-RELATED', NULL, NULL, NULL, 15),
(124830, NULL, 'PTHR48019:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124831, NULL, 'PTHR48017:SF172', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 1-LIKE', NULL, NULL, NULL, 15),
(124832, NULL, 'PTHR43895:SF79', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(124833, NULL, 'PTHR30546:SF41', NULL, NULL, NULL, NULL, 'BNAA09G29420D PROTEIN', NULL, NULL, NULL, 15),
(124834, NULL, 'PTHR10290:SF14', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE I', NULL, NULL, NULL, 15),
(124835, NULL, 'PTHR48017:SF93', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 2', NULL, NULL, NULL, 15),
(124836, NULL, 'PTHR39614', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124837, NULL, 'PTHR13609:SF26', NULL, NULL, NULL, NULL, 'UBIQUITIN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124838, NULL, 'PTHR11814:SF240', NULL, NULL, NULL, NULL, 'BNAA03G46110D PROTEIN', NULL, NULL, 23043, 15),
(124839, NULL, 'PTHR43725:SF15', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL UDP-GLUCOSE 4-EPIMERASE AND UDP-XYLOSE 4-EPIMERASE 1', NULL, NULL, NULL, 15),
(124840, NULL, 'PTHR10015:SF337', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-3', NULL, NULL, NULL, 15),
(124841, NULL, 'PTHR32295:SF116', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', NULL, NULL, NULL, 15),
(124842, NULL, 'PTHR48010:SF53', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE-RELATED', NULL, NULL, NULL, 15),
(124843, NULL, 'PTHR33745:SF8', NULL, NULL, NULL, NULL, 'BLUE-LIGHT PHOTORECEPTOR', NULL, NULL, NULL, 15),
(124844, NULL, 'PTHR11206:SF410', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(124845, NULL, 'PTHR27009:SF220', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE-RELATED', NULL, NULL, NULL, 15),
(124846, NULL, 'PTHR24260:SF132', NULL, NULL, NULL, NULL, 'IP10340P', NULL, NULL, NULL, 15),
(124847, NULL, 'PTHR47973:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(124848, NULL, 'PTHR14950:SF31', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE DICER HOMOLOG 3B', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124849, NULL, 'PTHR43108:SF1', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SULFATASE SULF-1', NULL, NULL, NULL, 15),
(124850, NULL, 'PTHR48047:SF28', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 89A2', NULL, NULL, NULL, 15),
(124851, NULL, 'PTHR16514:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TMEPAI', NULL, NULL, 35585, 15),
(124852, NULL, 'PTHR31719:SF105', NULL, NULL, NULL, NULL, 'NAC DOMAIN TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(124853, NULL, 'PTHR31896:SF46', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(124854, NULL, 'PTHR10715', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', NULL, NULL, 3264, 15),
(124855, NULL, 'PTHR12027:SF73', NULL, NULL, NULL, NULL, 'PROTEIN WNT-7B', NULL, NULL, NULL, 15),
(124856, NULL, 'PTHR33939', NULL, NULL, NULL, NULL, 'PROTEIN CBG22215', NULL, NULL, NULL, 15),
(124857, NULL, 'PTHR45625:SF10', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(124858, NULL, 'PTHR38580', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 192', NULL, NULL, 33153, 15),
(124859, NULL, 'PTHR45650:SF26', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(124860, NULL, 'PTHR27006:SF412', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124861, NULL, 'PTHR47019', NULL, NULL, NULL, NULL, 'LIPID II FLIPPASE MURJ', NULL, NULL, NULL, 15),
(124862, NULL, 'PTHR21649:SF105', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 21, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(124863, NULL, 'PTHR48044:SF26', NULL, NULL, NULL, NULL, 'ZEATIN O-XYLOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(124864, NULL, 'PTHR11413:SF104', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 2', NULL, NULL, NULL, 15),
(124865, NULL, 'PTHR30036:SF7', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERIPLASMIC-BINDING PROTEIN YPHF', NULL, NULL, NULL, 15),
(124866, NULL, 'PTHR32285:SF63', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE RELATED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(124867, NULL, 'PTHR10168:SF294', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124868, NULL, 'PTHR28077', NULL, NULL, NULL, NULL, 'INOSITOL PHOSPHORYLCERAMIDE SYNTHASE REGULATORY SUBUNIT KEI1', NULL, NULL, 9637, 15),
(124869, NULL, 'PTHR31707:SF304', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(124870, NULL, 'PTHR15302', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF103', NULL, NULL, 36133, 15),
(124871, NULL, 'PTHR24062:SF5', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 52-RELATED', NULL, NULL, NULL, 15),
(124872, NULL, 'PTHR11588:SF304', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(124873, NULL, 'PTHR24055:SF387', NULL, NULL, NULL, NULL, 'KINASE FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(124874, NULL, 'PTHR33699:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(124875, NULL, 'PTHR22765:SF264', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124876, NULL, 'PTHR35546:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124877, NULL, 'PTHR12482:SF47', NULL, NULL, NULL, NULL, 'ESTERASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124878, NULL, 'PTHR10715:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', NULL, NULL, NULL, 15),
(124879, NULL, 'PTHR33389:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124880, NULL, 'PTHR31604:SF30', NULL, NULL, NULL, NULL, 'PROTEIN LATERAL ROOT PRIMORDIUM 1', NULL, NULL, NULL, 15),
(124881, NULL, 'PTHR31024:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG06646', NULL, NULL, NULL, 15),
(124882, NULL, 'PTHR47584:SF2', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(124883, NULL, 'PTHR48136', NULL, NULL, NULL, NULL, 'RUBREDOXIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(124884, NULL, 'PTHR46405:SF2', NULL, NULL, NULL, NULL, 'OS05G0141500 PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124885, NULL, 'PTHR46619:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(124886, NULL, 'PTHR11802:SF3', NULL, NULL, NULL, NULL, 'RETINOID-INDUCIBLE SERINE CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(124887, NULL, 'PTHR23118:SF16', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE', NULL, NULL, NULL, 15),
(124888, NULL, 'PTHR20855:SF120', NULL, NULL, NULL, NULL, 'BNAA02G04790D PROTEIN', NULL, NULL, NULL, 15),
(124889, NULL, 'PTHR45856:SF14', NULL, NULL, NULL, NULL, 'BNAANNG08480D PROTEIN', NULL, NULL, NULL, 15),
(124890, NULL, 'PTHR12644', NULL, NULL, NULL, NULL, 'ARP2/3 COMPLEX 16 KD SUBUNIT  P16-ARC', NULL, NULL, 3098, 15),
(124891, NULL, 'PTHR31969:SF3', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(124892, NULL, 'PTHR34196:SF2', NULL, NULL, NULL, NULL, 'OS02G0697700 PROTEIN', NULL, NULL, NULL, 15),
(124893, NULL, 'PTHR36071', NULL, NULL, NULL, NULL, 'DNA DOUBLE-STRAND BREAK REPAIR PROTEIN', NULL, NULL, NULL, 15),
(124894, NULL, 'PTHR31321:SF96', NULL, NULL, NULL, NULL, 'PECTINESTERASE QRT1-LIKE', NULL, NULL, NULL, 15),
(124895, NULL, 'PTHR34672', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC ARABINOGALACTA PROTEIN BAN102', NULL, NULL, 37046, 15),
(124896, NULL, 'PTHR12190:SF1', NULL, NULL, NULL, NULL, 'DBIRD COMPLEX SUBUNIT ZNF326', NULL, NULL, NULL, 15),
(124897, NULL, 'PTHR31235:SF231', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(124898, NULL, 'PTHR47985:SF20', NULL, NULL, NULL, NULL, 'RECEPTOR SERINE/THREONINE KINASE', NULL, NULL, NULL, 15),
(124899, NULL, 'PTHR21736:SF38', NULL, NULL, NULL, NULL, 'PROTEIN OBERON 3', NULL, NULL, NULL, 15),
(124900, NULL, 'PTHR31662:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124901, NULL, 'PTHR23007:SF13', NULL, NULL, NULL, NULL, 'CBL PROTO-ONCOGENE C, E3 UBIQUITIN PROTEIN LIGASE', NULL, NULL, NULL, 15),
(124902, NULL, 'PTHR11848:SF166', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 11', NULL, NULL, NULL, 15),
(124903, NULL, 'PTHR46662:SF27', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1-LIKE', NULL, NULL, NULL, 15),
(124904, NULL, 'PTHR23500:SF560', NULL, NULL, NULL, NULL, 'OS07G0582850 PROTEIN', NULL, NULL, NULL, 15),
(124905, NULL, 'PTHR24034:SF97', NULL, NULL, NULL, NULL, 'FIBULIN-1', NULL, NULL, NULL, 15),
(124906, NULL, 'PTHR11266:SF103', NULL, NULL, NULL, NULL, 'PXMP2/4 FAMILY PROTEIN 1', NULL, NULL, NULL, 15),
(124907, NULL, 'PTHR24241:SF137', NULL, NULL, NULL, NULL, 'PROKINETICIN RECEPTOR 1', NULL, NULL, NULL, 15),
(124908, NULL, 'PTHR31500:SF98', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124909, NULL, 'PTHR11654:SF490', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.6-LIKE', NULL, NULL, NULL, 15),
(124910, NULL, 'PTHR21258:SF45', NULL, NULL, NULL, NULL, 'DOCKING PROTEIN 5', NULL, NULL, NULL, 15),
(124911, NULL, 'PTHR31671:SF2', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P53-INDUCIBLE NUCLEAR PROTEIN 2', NULL, NULL, 26625, 15),
(124912, NULL, 'PTHR33021:SF304', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(124913, NULL, 'PTHR33337:SF36', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G15290)', NULL, NULL, NULL, 15),
(124914, NULL, 'PTHR43180:SF66', NULL, NULL, NULL, NULL, '3-OXOACYL-(ACYL-CARRIER-PROTEIN) REDUCTASE (AFU_ORTHOLOGUE AFUA_6G11210)', NULL, NULL, NULL, 15),
(124915, NULL, 'PTHR46215:SF21', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(124916, NULL, 'PTHR12236:SF29', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 64AC', NULL, NULL, NULL, 15),
(124917, NULL, 'PTHR19964:SF20', NULL, NULL, NULL, NULL, 'PATJ HOMOLOG-LIKE PROTEIN', NULL, NULL, NULL, 15),
(124918, NULL, 'PTHR13018:SF108', NULL, NULL, NULL, NULL, 'PROTEIN OSCA1', NULL, NULL, NULL, 15),
(124919, NULL, 'PTHR47841:SF2', NULL, NULL, NULL, NULL, 'OS07G0609800 PROTEIN', NULL, NULL, NULL, 15),
(124920, NULL, 'PTHR24111:SF0', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 34', NULL, NULL, NULL, 15),
(124921, NULL, 'PTHR11260:SF635', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124922, NULL, 'PTHR45778:SF16', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE 1-RELATED', NULL, NULL, NULL, 15),
(124923, NULL, 'PTHR15371:SF2', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 16-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(124924, NULL, 'PTHR11588:SF352', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(124925, NULL, 'PTHR47756', NULL, NULL, NULL, NULL, 'BLL6612 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124926, NULL, 'PTHR19139:SF268', NULL, NULL, NULL, NULL, 'NEUROGENIC PROTEIN BIG BRAIN', NULL, NULL, NULL, 15),
(124927, NULL, 'PTHR45987:SF10', NULL, NULL, NULL, NULL, 'OS07G0626100 PROTEIN', NULL, NULL, NULL, 15),
(124928, NULL, 'PTHR24299:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 1A2', NULL, NULL, NULL, 15),
(124929, NULL, 'PTHR31927', NULL, NULL, NULL, NULL, 'FI07246P-RELATED-RELATED', NULL, NULL, NULL, 15),
(124930, NULL, 'PTHR18871:SF2', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 112 KDA', NULL, NULL, NULL, 15),
(124931, NULL, 'PTHR26452:SF142', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1358', NULL, NULL, NULL, 15),
(124932, NULL, 'PTHR46779:SF1', NULL, NULL, NULL, NULL, 'BETA-1,6-GALACTOSYLTRANSFERASE GALT29A', NULL, NULL, NULL, 15),
(124933, NULL, 'PTHR43272:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124934, NULL, 'PTHR35475:SF2', NULL, NULL, NULL, NULL, 'OS11G0167400 PROTEIN', NULL, NULL, NULL, 15),
(124935, NULL, 'PTHR31692:SF95', NULL, NULL, NULL, NULL, 'EXPANSIN-B2-RELATED', NULL, NULL, NULL, 15),
(124936, NULL, 'PTHR46162:SF9', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124937, NULL, 'PTHR34370', NULL, NULL, NULL, NULL, 'OS04G0600100 PROTEIN', NULL, NULL, NULL, 15),
(124938, NULL, 'PTHR27003:SF373', NULL, NULL, NULL, NULL, 'BNAANNG27910D PROTEIN', NULL, NULL, NULL, 15),
(124939, NULL, 'PTHR10366:SF659', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(124940, NULL, 'PTHR23105:SF159', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A', NULL, NULL, NULL, 15),
(124941, NULL, 'PTHR45645:SF22', NULL, NULL, NULL, NULL, 'NEUROPILIN AND TOLLOID-LIKE PROTEIN 2', NULL, NULL, 28705, 15),
(124942, NULL, 'PTHR12550:SF71', NULL, NULL, NULL, NULL, 'ENHANCER OF AG-4 PROTEIN 2', NULL, NULL, NULL, 15),
(124943, NULL, 'PTHR45690:SF12', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 4B', NULL, NULL, NULL, 15),
(124944, NULL, 'PTHR13159:SF1', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD PROTEIN 6 HOMOLOG A', NULL, NULL, NULL, 15),
(124945, NULL, 'PTHR31992:SF200', NULL, NULL, NULL, NULL, 'DOF-TYPE ZINC FINGER DNA-BINDING FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124946, NULL, 'PTHR45348:SF1', NULL, NULL, NULL, NULL, 'BINDING ENOYL REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124947, NULL, 'PTHR10704:SF40', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 4', NULL, NULL, NULL, 15),
(124948, NULL, 'PTHR46236:SF20', NULL, NULL, NULL, NULL, 'BNAC05G01990D PROTEIN', NULL, NULL, NULL, 15),
(124949, NULL, 'PTHR33879', NULL, NULL, NULL, NULL, '17.6 KDA CLASS II HEAT SHOCK PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124950, NULL, 'PTHR11387', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B', NULL, NULL, 2366, 15),
(124951, NULL, 'PTHR10963:SF64', NULL, NULL, NULL, NULL, 'GLYCOSIDASE', NULL, NULL, NULL, 15),
(124952, NULL, 'PTHR44846', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124953, NULL, 'PTHR30251', NULL, NULL, NULL, NULL, 'PILUS ASSEMBLY CHAPERONE', NULL, NULL, NULL, 15),
(124954, NULL, 'PTHR24414:SF102', NULL, NULL, NULL, NULL, 'BNAA04G11840D PROTEIN', NULL, NULL, NULL, 15),
(124955, NULL, 'PTHR31218:SF50', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(124956, NULL, 'PTHR45798:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124957, NULL, 'PTHR38079:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124958, NULL, 'PTHR37192:SF4', NULL, NULL, NULL, NULL, 'BNAA05G15690D PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124959, NULL, 'PTHR33735:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124960, NULL, 'PTHR24413:SF97', NULL, NULL, NULL, NULL, 'SPECKLE-TYPE POZ PROTEIN', NULL, NULL, NULL, 15),
(124961, NULL, 'PTHR23023:SF78', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING] 5', NULL, NULL, NULL, 15),
(124962, NULL, 'PTHR13976:SF28', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 12B', NULL, NULL, NULL, 15),
(124963, NULL, 'PTHR31190:SF245', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', NULL, NULL, NULL, 15),
(124964, NULL, 'PTHR11266:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124965, NULL, 'PTHR23268:SF80', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 10-1', NULL, NULL, NULL, 15),
(124966, NULL, 'PTHR36762:SF3', NULL, NULL, NULL, NULL, 'LIGHT-REGULATED PROTEIN', NULL, NULL, NULL, 15),
(124967, NULL, 'PTHR45974:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 55', NULL, NULL, NULL, 15),
(124968, NULL, 'PTHR31529:SF40', NULL, NULL, NULL, NULL, 'BNAA04G18380D PROTEIN', NULL, NULL, NULL, 15),
(124969, NULL, 'PTHR38226:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124970, NULL, 'PTHR23023:SF224', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE', NULL, NULL, NULL, 15),
(124971, NULL, 'PTHR31066:SF60', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124972, NULL, 'PTHR10638:SF33', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(124973, NULL, 'PTHR43289:SF17', NULL, NULL, NULL, NULL, 'AGC FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(124974, NULL, 'PTHR47926:SF167', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(124975, NULL, 'PTHR45621:SF185', NULL, NULL, NULL, NULL, 'BNAA08G14950D PROTEIN', NULL, NULL, NULL, 15),
(124976, NULL, 'PTHR24286:SF216', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 87 SUBFAMILY A POLYPEPTIDE 2', NULL, NULL, NULL, 15),
(124977, NULL, 'PTHR45029:SF3', NULL, NULL, NULL, NULL, 'ESTERASE CM06B1', NULL, NULL, NULL, 15),
(124978, NULL, 'PTHR24365:SF537', NULL, NULL, NULL, NULL, 'PROTEIN TOLL-RELATED', NULL, NULL, NULL, 15),
(124979, NULL, 'PTHR33155:SF19', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 2', NULL, NULL, NULL, 15),
(124980, NULL, 'PTHR23065:SF16', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C AND CASEIN KINASE SUBSTRATE IN NEURONS PROTEIN 1', NULL, NULL, 23643, 15),
(124981, NULL, 'PTHR14304:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124982, NULL, 'PTHR33527:SF18', NULL, NULL, NULL, NULL, 'F13O11.17 PROTEIN', NULL, NULL, NULL, 15),
(124983, NULL, 'PTHR46513:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124984, NULL, 'PTHR22902:SF41', NULL, NULL, NULL, NULL, 'PH DOMAIN CONTAINING ENDOCYTIC TRAFFICKING ADAPTOR 2', NULL, NULL, NULL, 15),
(124985, NULL, 'PTHR23505:SF84', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(124986, NULL, 'PTHR31589:SF171', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', NULL, NULL, NULL, 15),
(124987, NULL, 'PTHR23213:SF235', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(124988, NULL, 'PTHR10199:SF112', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-4-B', NULL, NULL, NULL, 15),
(124989, NULL, 'PTHR12848', NULL, NULL, NULL, NULL, 'REGULATORY-ASSOCIATED PROTEIN OF MTOR', NULL, NULL, 1667, 15),
(124990, NULL, 'PTHR48002:SF23', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4D6', NULL, NULL, NULL, 15),
(124991, NULL, 'PTHR10177:SF424', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN CYCLIN', NULL, NULL, NULL, 15),
(124992, NULL, 'PTHR28094:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(124993, NULL, 'PTHR22663:SF26', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN VILYA', NULL, NULL, NULL, 15),
(124994, NULL, 'PTHR33021:SF384', NULL, NULL, NULL, NULL, 'BASIC BLUE PROTEIN', NULL, NULL, NULL, 15),
(124995, NULL, 'PTHR31375:SF132', NULL, NULL, NULL, NULL, 'OS06G0509600 PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(124996, NULL, 'PTHR38496', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 28430, 15),
(124997, NULL, 'PTHR11926:SF1382', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(124998, NULL, 'PTHR24326:SF569', NULL, NULL, NULL, NULL, 'HOMEOBOX LEUCINE ZIPPER ATHB-LIKE PROTEIN', NULL, NULL, NULL, 15),
(124999, NULL, 'PTHR22778:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125000, NULL, 'PTHR34115', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(125001, NULL, 'PTHR24198:SF180', NULL, NULL, NULL, NULL, 'ANKYRIN-3', NULL, NULL, NULL, 15),
(125002, NULL, 'PTHR24068:SF345', NULL, NULL, NULL, NULL, 'OS01G0819400 PROTEIN', NULL, NULL, NULL, 15),
(125003, NULL, 'PTHR10024:SF361', NULL, NULL, NULL, NULL, 'MIP05618P', NULL, NULL, NULL, 15),
(125004, NULL, 'PTHR21629:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG01909', NULL, NULL, NULL, 15),
(125005, NULL, 'PTHR23430:SF267', NULL, NULL, NULL, NULL, 'HISTONE H2A.5-RELATED', NULL, NULL, NULL, 15),
(125006, NULL, 'PTHR46142:SF15', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE-LIKE', NULL, NULL, NULL, 15),
(125007, NULL, 'PTHR34093:SF1', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL CLIC-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(125008, NULL, 'PTHR47990:SF160', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(125009, NULL, 'PTHR13778:SF51', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(125010, NULL, 'PTHR43349:SF77', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-DIPHOSPHATE-SUGAR EPIMERASE', NULL, NULL, NULL, 15),
(125011, NULL, 'PTHR46675:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125012, NULL, 'PTHR34057:SF13', NULL, NULL, NULL, NULL, 'OS05G0365200 PROTEIN', NULL, NULL, NULL, 15),
(125013, NULL, 'PTHR24296:SF220', NULL, NULL, NULL, NULL, 'BNAANNG34510D PROTEIN', NULL, NULL, NULL, 15),
(125014, NULL, 'PTHR32054:SF42', NULL, NULL, NULL, NULL, 'PREFOLDIN', NULL, NULL, NULL, 15),
(125015, NULL, 'PTHR31371:SF20', NULL, NULL, NULL, NULL, 'BNAC09G50660D PROTEIN', NULL, NULL, NULL, 15),
(125016, NULL, 'PTHR23115:SF254', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(125017, NULL, 'PTHR28658:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 180', NULL, NULL, NULL, 15),
(125018, NULL, 'PTHR24349:SF381', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE-LIKE', NULL, NULL, NULL, 15),
(125019, NULL, 'PTHR10209:SF518', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125020, NULL, 'PTHR47275:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT I, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(125021, NULL, 'PTHR12027:SF94', NULL, NULL, NULL, NULL, 'PROTEIN WNT-8B', NULL, NULL, 10741, 15),
(125022, NULL, 'PTHR31072:SF108', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP23-LIKE', NULL, NULL, NULL, 15),
(125023, NULL, 'PTHR40631:SF1', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE AXHA-2-RELATED', NULL, NULL, NULL, 15),
(125024, NULL, 'PTHR11559', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE', NULL, NULL, NULL, 15),
(125025, NULL, 'PTHR33728:SF7', NULL, NULL, NULL, NULL, 'OS05G0426800 PROTEIN', NULL, NULL, NULL, 15),
(125026, NULL, 'PTHR12550:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125027, NULL, 'PTHR26450:SF392', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(125028, NULL, 'PTHR23516:SF22', NULL, NULL, NULL, NULL, 'BNAANNG13850D PROTEIN', NULL, NULL, NULL, 15),
(125029, NULL, 'PTHR31238:SF173', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 2 MEMBER 2', NULL, NULL, NULL, 15),
(125030, NULL, 'PTHR46508:SF12', NULL, NULL, NULL, NULL, 'DDT DOMAIN-CONTAINING PROTEIN PTM-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(125031, NULL, 'PTHR35602:SF2', NULL, NULL, NULL, NULL, 'UPF0227 PROTEIN YCFP', NULL, NULL, NULL, 15),
(125032, NULL, 'PTHR35749:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125033, NULL, 'PTHR21634', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(125034, NULL, 'PTHR24373:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125035, NULL, 'PTHR21682', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 18677, 15),
(125036, NULL, 'PTHR13832:SF774', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G13740)-RELATED', NULL, NULL, NULL, 15),
(125037, NULL, 'PTHR23017:SF19', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(125038, NULL, 'PTHR10943:SF18', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 1 HOMOLOG', NULL, NULL, NULL, 15),
(125039, NULL, 'PTHR47052', NULL, NULL, NULL, NULL, 'CONSERVED SERINE PROLINE-RICH PROTEIN (AFU_ORTHOLOGUE AFUA_2G01790)', NULL, NULL, NULL, 15),
(125040, NULL, 'PTHR13773:SF17', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(125041, NULL, 'PTHR24224:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG16999', NULL, NULL, NULL, 15),
(125042, NULL, 'PTHR19241:SF530', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(125043, NULL, 'PTHR46224:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125044, NULL, 'PTHR11909:SF75', NULL, NULL, NULL, NULL, 'PROTEIN CBG03054', NULL, NULL, NULL, 15),
(125045, NULL, 'PTHR34272:SF3', NULL, NULL, NULL, NULL, 'OS01G0693100 PROTEIN', NULL, NULL, NULL, 15),
(125046, NULL, 'PTHR11746:SF150', NULL, NULL, NULL, NULL, 'ACETYLSEROTONIN O-METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(125047, NULL, 'PTHR48078:SF10', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE 2 BIOSYNTHETIC, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(125048, NULL, 'PTHR35706:SF1', NULL, NULL, NULL, NULL, 'F14O23.11 PROTEIN', NULL, NULL, NULL, 15),
(125049, NULL, 'PTHR34291', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, 30885, 15),
(125050, NULL, 'PTHR46341:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM84B', NULL, NULL, 27831, 15),
(125051, NULL, 'PTHR48022:SF21', NULL, NULL, NULL, NULL, 'QUINATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06960)-RELATED', NULL, NULL, NULL, 15),
(125052, NULL, 'PTHR11206:SF261', NULL, NULL, NULL, NULL, 'OS03G0571700 PROTEIN', NULL, NULL, NULL, 15),
(125053, NULL, 'PTHR42861:SF104', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(125054, NULL, 'PTHR10264:SF118', NULL, NULL, NULL, NULL, 'PODOCIN', NULL, NULL, NULL, 15),
(125055, NULL, 'PTHR10060:SF44', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE TATDN1-RELATED', NULL, NULL, NULL, 15),
(125056, NULL, 'PTHR14520:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN 63, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(125057, NULL, 'PTHR23315:SF312', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(125058, NULL, 'PTHR10992:SF1042', NULL, NULL, NULL, NULL, 'BNAC08G47900D PROTEIN', NULL, NULL, NULL, 15),
(125059, NULL, 'PTHR13555:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER C2HC DOMAIN-CONTAINING PROTEIN 1B', NULL, NULL, NULL, 15),
(125060, NULL, 'PTHR25466:SF11', NULL, NULL, NULL, NULL, 'GALECTIN 17-RELATED', NULL, NULL, NULL, 15),
(125061, NULL, 'PTHR14226:SF69', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN WITH A CONSERVED PATATIN-LIKE PHOSPHOLIPASE DOMAIN', NULL, NULL, NULL, 15),
(125062, NULL, 'PTHR43941:SF1', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 2', NULL, NULL, NULL, 15),
(125063, NULL, 'PTHR13440', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 15040, 15),
(125064, NULL, 'PTHR47990:SF164', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 8-LIKE', NULL, NULL, NULL, 15),
(125065, NULL, 'PTHR13743:SF141', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN C2', NULL, NULL, NULL, 15),
(125066, NULL, 'PTHR26374:SF401', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(125067, NULL, 'PTHR15026:SF0', NULL, NULL, NULL, NULL, 'CALCIUM SIGNAL-MODULATING CYCLOPHILIN LIGAND', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125068, NULL, 'PTHR19305:SF33', NULL, NULL, NULL, NULL, 'BNAANNG06850D PROTEIN', NULL, NULL, NULL, 15),
(125069, NULL, 'PTHR31194:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125070, NULL, 'PTHR36395', NULL, NULL, NULL, NULL, 'RING-H2 ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(125071, NULL, 'PTHR12136:SF100', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2-LIKE', NULL, NULL, NULL, 15),
(125072, NULL, 'PTHR43539:SF76', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(125073, NULL, 'PTHR45626:SF36', NULL, NULL, NULL, NULL, 'PROTEIN CBG13225', NULL, NULL, NULL, 15),
(125074, NULL, 'PTHR42803:SF2', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(125075, NULL, 'PTHR10545:SF59', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE NATA1-LIKE-RELATED', NULL, NULL, 35688, 15),
(125076, NULL, 'PTHR13107:SF3', NULL, NULL, NULL, NULL, 'MT-A70 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(125077, NULL, 'PTHR46325:SF29', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC5-LIKE', NULL, NULL, NULL, 15),
(125078, NULL, 'PTHR11377:SF20', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE', NULL, NULL, NULL, 15),
(125079, NULL, 'PTHR12305:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125080, NULL, 'PTHR47413', NULL, NULL, NULL, NULL, 'LIPASE-LIKE PAD4', NULL, NULL, NULL, 15),
(125081, NULL, 'PTHR10774:SF182', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(125082, NULL, 'PTHR11157:SF21', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(125083, NULL, 'PTHR24223:SF263', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 10-LIKE', NULL, NULL, NULL, 15),
(125084, NULL, 'PTHR21451', NULL, NULL, NULL, NULL, 'HISTONE H3 METHYLTRANSFERASE', NULL, NULL, 23432, 15),
(125085, NULL, 'PTHR24072:SF339', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE', NULL, NULL, NULL, 15),
(125086, NULL, 'PTHR32002:SF49', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(125087, NULL, 'PTHR46296:SF6', NULL, NULL, NULL, NULL, 'C2 AND GRAM DOMAIN PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(125088, NULL, 'PTHR11685:SF330', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(125089, NULL, 'PTHR22298:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125090, NULL, 'PTHR13344', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE', NULL, NULL, 20885, 15),
(125091, NULL, 'PTHR33236:SF1', NULL, NULL, NULL, NULL, 'AGAP006913-PA', NULL, NULL, NULL, 15),
(125092, NULL, 'PTHR26379:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125093, NULL, 'PTHR47965:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125094, NULL, 'PTHR23112:SF45', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR GPR1', NULL, NULL, NULL, 15),
(125095, NULL, 'PTHR19317:SF51', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125096, NULL, 'PTHR43065:SF33', NULL, NULL, NULL, NULL, 'SPORULATION KINASE D', NULL, NULL, NULL, 15),
(125097, NULL, 'PTHR12613:SF1', NULL, NULL, NULL, NULL, 'ERO1-LIKE PROTEIN ALPHA', NULL, NULL, NULL, 15),
(125098, NULL, 'PTHR10460:SF42', NULL, NULL, NULL, NULL, 'BNACNNG65090D PROTEIN', NULL, NULL, NULL, 15),
(125099, NULL, 'PTHR21343:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125100, NULL, 'PTHR47848', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(125101, NULL, 'PTHR28039:SF13', NULL, NULL, NULL, NULL, 'CHALCONE-FLAVONONE ISOMERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125102, NULL, 'PTHR31406', NULL, NULL, NULL, NULL, 'PROTEIN CBG06702-RELATED', NULL, NULL, NULL, 15),
(125103, NULL, 'PTHR21740:SF8', NULL, NULL, NULL, NULL, 'AGAP005230-PA', NULL, NULL, NULL, 15),
(125104, NULL, 'PTHR31762:SF10', NULL, NULL, NULL, NULL, 'FAS-BINDING FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125105, NULL, 'PTHR43591:SF61', NULL, NULL, NULL, NULL, '2-METHOXY-6-POLYPRENYL-1,4-BENZOQUINOL METHYLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(125106, NULL, 'PTHR33788:SF1', NULL, NULL, NULL, NULL, 'OS07G0114300 PROTEIN', NULL, NULL, NULL, 15),
(125107, NULL, 'PTHR43091:SF5', NULL, NULL, NULL, NULL, '3-OXOACYL-(ACYL CARRIER) SYNTHASE III', NULL, NULL, NULL, 15),
(125108, NULL, 'PTHR23501:SF5', NULL, NULL, NULL, NULL, 'TETRACYCLINE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(125109, NULL, 'PTHR10638:SF81', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(125110, NULL, 'PTHR46091:SF1', NULL, NULL, NULL, NULL, 'ALL-TRANS-RETINOL 13,14-REDUCTASE', NULL, NULL, NULL, 15),
(125111, NULL, 'PTHR26453:SF106', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(125112, NULL, 'PTHR46258:SF2', NULL, NULL, NULL, NULL, 'VESICLE-TRAFFICKING PROTEIN SEC22C', NULL, NULL, NULL, 15),
(125113, NULL, 'PTHR33541:SF17', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE', NULL, NULL, NULL, 15),
(125114, NULL, 'PTHR19229:SF36', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY A (ABC1), MEMBER 3B', NULL, NULL, NULL, 15),
(125115, NULL, 'PTHR11945:SF584', NULL, NULL, NULL, NULL, 'BNAA05G20520D PROTEIN', NULL, NULL, NULL, 15),
(125116, NULL, 'PTHR33130:SF62', NULL, NULL, NULL, NULL, 'BNAC01G27380D PROTEIN', NULL, NULL, NULL, 15),
(125117, NULL, 'PTHR21091:SF169', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN DECARBOXYLASE', NULL, NULL, NULL, 15),
(125118, NULL, 'PTHR19944:SF63', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DR ALPHA CHAIN', NULL, NULL, NULL, 15),
(125119, NULL, 'PTHR47837:SF1', NULL, NULL, NULL, NULL, 'GTP PYROPHOSPHOKINASE YJBM', NULL, NULL, NULL, 15),
(125120, NULL, 'PTHR10736:SF20', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 22', NULL, NULL, NULL, 15),
(125121, NULL, 'PTHR34576:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125122, NULL, 'PTHR24377:SF603', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 136', NULL, NULL, NULL, 15),
(125123, NULL, 'PTHR24128:SF18', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBOS36-RELATED', NULL, NULL, NULL, 15),
(125124, NULL, 'PTHR31578:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08965', NULL, NULL, NULL, 15),
(125125, NULL, 'PTHR15646:SF5', NULL, NULL, NULL, NULL, 'LINKER FOR ACTIVATION OF T-CELLS FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(125126, NULL, 'PTHR40063:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(125127, NULL, 'PTHR45827:SF3', NULL, NULL, NULL, NULL, 'SORTING NEXIN-33', NULL, NULL, 29485, 15),
(125128, NULL, 'PTHR10688:SF6', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(125129, NULL, 'PTHR46371:SF9', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(125130, NULL, 'PTHR23309:SF16', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE', NULL, NULL, NULL, 15),
(125131, NULL, 'PTHR31612', NULL, NULL, NULL, NULL, 'MULTIVESICULAR BODY SUBUNIT 12A', NULL, NULL, 29970, 15),
(125132, NULL, 'PTHR23322:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125133, NULL, 'PTHR45687:SF36', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-6', NULL, NULL, NULL, 15),
(125134, NULL, 'PTHR24115:SF458', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF13A', NULL, NULL, 26973, 15),
(125135, NULL, 'PTHR46377:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 19', NULL, NULL, NULL, 15),
(125136, NULL, 'PTHR38020:SF1', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III SYNTHASE', NULL, NULL, NULL, 15),
(125137, NULL, 'PTHR48016:SF16', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(125138, NULL, 'PTHR32134:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125139, NULL, 'PTHR45650:SF13', NULL, NULL, NULL, NULL, 'OS05G0518300 PROTEIN', NULL, NULL, NULL, 15),
(125140, NULL, 'PTHR11533:SF253', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(125141, NULL, 'PTHR31509:SF56', NULL, NULL, NULL, NULL, 'OS11G0241000 PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125142, NULL, 'PTHR22793:SF5', NULL, NULL, NULL, NULL, 'MYOCARDIN-RELATED TRANSCRIPTION FACTOR B', NULL, NULL, NULL, 15),
(125143, NULL, 'PTHR15704', NULL, NULL, NULL, NULL, 'SUPERKILLER 3 PROTEIN-RELATED', NULL, NULL, 35714, 15),
(125144, NULL, 'PTHR11088:SF67', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(125145, NULL, 'PTHR47400:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH TRANSMEMBRANE PROTEIN 3', NULL, NULL, NULL, 15),
(125146, NULL, 'PTHR19957:SF284', NULL, NULL, NULL, NULL, 'T-SNARE-RELATED', NULL, NULL, NULL, 15),
(125147, NULL, 'PTHR46128:SF176', NULL, NULL, NULL, NULL, 'BNAC07G48150D PROTEIN', NULL, NULL, NULL, 15),
(125148, NULL, 'PTHR38709', NULL, NULL, NULL, NULL, 'SI:CH73-193C12.2-RELATED', NULL, NULL, NULL, 15),
(125149, NULL, 'PTHR26453:SF89', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(125150, NULL, 'PTHR45651:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125151, NULL, 'PTHR44329:SF203', NULL, NULL, NULL, NULL, 'PAS DOMAIN-CONTAINING PROTEIN TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125152, NULL, 'PTHR33509:SF26', NULL, NULL, NULL, NULL, 'PROTEIN SENESCENCE-ASSOCIATED GENE 21, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(125153, NULL, 'PTHR11913:SF93', NULL, NULL, NULL, NULL, 'COFILIN/ACTIN-DEPOLYMERIZING FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(125154, NULL, 'PTHR46220:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD11-RELATED', NULL, NULL, NULL, 15),
(125155, NULL, 'PTHR33675:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125156, NULL, 'PTHR37831', NULL, NULL, NULL, NULL, 'D-RIBOSE PYRANASE', NULL, NULL, 15294, 15),
(125157, NULL, 'PTHR19278:SF43', NULL, NULL, NULL, NULL, 'BNAC04G26270D PROTEIN', NULL, NULL, NULL, 15),
(125158, NULL, 'PTHR23086:SF65', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125159, NULL, 'PTHR31989:SF297', NULL, NULL, NULL, NULL, 'BNAANNG39480D PROTEIN', NULL, NULL, 34649, 15),
(125160, NULL, 'PTHR34456:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125161, NULL, 'PTHR45680:SF23', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(125162, NULL, 'PTHR46338:SF12', NULL, NULL, NULL, NULL, 'BROMODOMAIN ASSOCIATED DOMAIN, HISTONE-FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(125163, NULL, 'PTHR27006:SF242', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE RECEPTOR 2-LIKE', NULL, NULL, NULL, 15),
(125164, NULL, 'PTHR35166:SF12', NULL, NULL, NULL, NULL, 'PROTEIN-RELATED', NULL, NULL, NULL, 15),
(125165, NULL, 'PTHR33057:SF72', NULL, NULL, NULL, NULL, 'OS01G0592800 PROTEIN', NULL, NULL, NULL, 15),
(125166, NULL, 'PTHR10159:SF111', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 4', NULL, NULL, NULL, 15),
(125167, NULL, 'PTHR11046:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125168, NULL, 'PTHR12691:SF11', NULL, NULL, NULL, NULL, 'BNAA09G30010D PROTEIN', NULL, NULL, NULL, 15),
(125169, NULL, 'PTHR38687', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DEDD-RELATED', NULL, NULL, NULL, 15),
(125170, NULL, 'PTHR38036:SF1', NULL, NULL, NULL, NULL, 'UPF0250 PROTEIN YBED', NULL, NULL, NULL, 15),
(125171, NULL, 'PTHR32102:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125172, NULL, 'PTHR35508:SF2', NULL, NULL, NULL, NULL, 'OS09G0395000 PROTEIN', NULL, NULL, NULL, 15),
(125173, NULL, 'PTHR42834:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G09210)', NULL, NULL, NULL, 15),
(125174, NULL, 'PTHR12956:SF55', NULL, NULL, NULL, NULL, 'OS05G0531500 PROTEIN', NULL, NULL, NULL, 15),
(125175, NULL, 'PTHR45616:SF5', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 74', NULL, NULL, NULL, 15),
(125176, NULL, 'PTHR14926:SF1', NULL, NULL, NULL, NULL, 'M-PHASE PHOSPHOPROTEIN 9', NULL, NULL, NULL, 15),
(125177, NULL, 'PTHR47990:SF163', NULL, NULL, NULL, NULL, 'BNAA07G39210D PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125178, NULL, 'PTHR22990:SF15', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 10', NULL, NULL, NULL, 15),
(125179, NULL, 'PTHR43775:SF27', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE (JCVI)-RELATED', NULL, NULL, NULL, 15),
(125180, NULL, 'PTHR11814:SF242', NULL, NULL, NULL, NULL, 'BNAA02G18690D PROTEIN', NULL, NULL, NULL, 15),
(125181, NULL, 'PTHR24092:SF191', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(125182, NULL, 'PTHR47967:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125183, NULL, 'PTHR45914:SF33', NULL, NULL, NULL, NULL, 'BHLH PROTEIN FAMILY-LIKE', NULL, NULL, NULL, 15),
(125184, NULL, 'PTHR13622', NULL, NULL, NULL, NULL, 'THIAMIN PYROPHOSPHOKINASE', NULL, NULL, NULL, 15),
(125185, NULL, 'PTHR10802:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM40 HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(125186, NULL, 'PTHR46486:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125187, NULL, 'PTHR31339:SF67', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', NULL, NULL, NULL, 15),
(125188, NULL, 'PTHR43717', NULL, NULL, NULL, NULL, 'ANAEROBIC NITRIC OXIDE REDUCTASE FLAVORUBREDOXIN', NULL, NULL, NULL, 15),
(125189, NULL, 'PTHR43669:SF9', NULL, NULL, NULL, NULL, '5-KETO-D-GLUCONATE 5-REDUCTASE', NULL, NULL, NULL, 15),
(125190, NULL, 'PTHR24381:SF122', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 157', NULL, NULL, NULL, 15),
(125191, NULL, 'PTHR23502:SF5', NULL, NULL, NULL, NULL, 'QUINIDINE RESISTANCE PROTEIN 3', NULL, NULL, NULL, 15),
(125192, NULL, 'PTHR33358:SF5', NULL, NULL, NULL, NULL, 'PLANT-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(125193, NULL, 'PTHR31777', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 169', NULL, NULL, 28466, 15),
(125194, NULL, 'PTHR34477:SF5', NULL, NULL, NULL, NULL, 'BSL5627 PROTEIN', NULL, NULL, NULL, 15),
(125195, NULL, 'PTHR11266:SF88', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE 22 KDA (MPV17/PMP22) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125196, NULL, 'PTHR43322:SF4', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE-5-PHOSPHATE SYNTHASE 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(125197, NULL, 'PTHR31469:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(125198, NULL, 'PTHR32468:SF130', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE ALPHA 1', NULL, NULL, NULL, 15),
(125199, NULL, 'PTHR13609:SF21', NULL, NULL, NULL, NULL, 'OS09G0345000 PROTEIN', NULL, NULL, NULL, 15),
(125200, NULL, 'PTHR31245:SF26', NULL, NULL, NULL, NULL, 'OS09G0119100 PROTEIN', NULL, NULL, NULL, 15),
(125201, NULL, 'PTHR22802:SF238', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER F', NULL, NULL, NULL, 15),
(125202, NULL, 'PTHR31183:SF2', NULL, NULL, NULL, NULL, 'TRICHOPLEIN KERATIN FILAMENT-BINDING PROTEIN', NULL, NULL, 25321, 15),
(125203, NULL, 'PTHR32361:SF23', NULL, NULL, NULL, NULL, 'FERRIC-CHELATE REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(125204, NULL, 'PTHR45614:SF129', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(125205, NULL, 'PTHR23428:SF208', NULL, NULL, NULL, NULL, 'HISTONE H2B.1', NULL, NULL, NULL, 15),
(125206, NULL, 'PTHR34290:SF2', NULL, NULL, NULL, NULL, 'SI:CH73-390P7.2', NULL, NULL, NULL, 15),
(125207, NULL, 'PTHR31664', NULL, NULL, NULL, NULL, 'PROTEIN CBG16427', NULL, NULL, NULL, 15),
(125208, NULL, 'PTHR45644:SF45', NULL, NULL, NULL, NULL, 'BNAC03G14970D PROTEIN', NULL, NULL, NULL, 15),
(125209, NULL, 'PTHR15880', NULL, NULL, NULL, NULL, 'ASPARTATE-RICH PROTEIN 1', NULL, NULL, 38413, 15),
(125210, NULL, 'PTHR47910', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE LARGE CHAIN, CATALYTIC DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(125211, NULL, 'PTHR27009:SF232', NULL, NULL, NULL, NULL, 'BNAA02G12700D PROTEIN', NULL, NULL, NULL, 15),
(125212, NULL, 'PTHR34656:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125213, NULL, 'PTHR31500:SF62', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 10-LIKE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125214, NULL, 'PTHR11630:SF44', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM2', NULL, NULL, 5468, 15),
(125215, NULL, 'PTHR31248:SF2', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G04290)-RELATED', NULL, NULL, NULL, 15),
(125216, NULL, 'PTHR10984:SF69', NULL, NULL, NULL, NULL, 'BNAA05G17300D PROTEIN', NULL, NULL, NULL, 15),
(125217, NULL, 'PTHR23110:SF90', NULL, NULL, NULL, NULL, 'LD19131P', NULL, NULL, NULL, 15),
(125218, NULL, 'PTHR10332:SF8', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER 2', NULL, NULL, 25933, 15),
(125219, NULL, 'PTHR27008:SF442', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(125220, NULL, 'PTHR45649:SF21', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(125221, NULL, 'PTHR22777:SF16', NULL, NULL, NULL, NULL, 'UPF0053 INNER MEMBRANE PROTEIN YTFL', NULL, NULL, NULL, 15),
(125222, NULL, 'PTHR33647:SF15', NULL, NULL, NULL, NULL, 'OS07G0516400 PROTEIN', NULL, NULL, NULL, 15),
(125223, NULL, 'PTHR45631:SF100', NULL, NULL, NULL, NULL, 'BNAANNG20660D PROTEIN', NULL, NULL, NULL, 15),
(125224, NULL, 'PTHR10291:SF23', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(125225, NULL, 'PTHR47982:SF21', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK12', NULL, NULL, NULL, 15),
(125226, NULL, 'PTHR23120', NULL, NULL, NULL, NULL, 'MAESTRO-RELATED HEAT DOMAIN-CONTAINING', NULL, NULL, 39108, 15),
(125227, NULL, 'PTHR14154:SF15', NULL, NULL, NULL, NULL, 'FKBP-TYPE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(125228, NULL, 'PTHR21717:SF79', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 6', NULL, NULL, NULL, 15),
(125229, NULL, 'PTHR24296:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125230, NULL, 'PTHR38049', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125231, NULL, 'PTHR10766:SF141', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(125232, NULL, 'PTHR13291:SF0', NULL, NULL, NULL, NULL, 'JOSEPHIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(125233, NULL, 'PTHR37400', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125234, NULL, 'PTHR10543:SF94', NULL, NULL, NULL, NULL, 'CAROTENOID CLEAVAGE DIOXYGENASE 8 HOMOLOG A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(125235, NULL, 'PTHR32133:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125236, NULL, 'PTHR22166', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM JUNCTION FORMATION PROTEIN LUNAPARK', NULL, NULL, 29653, 15),
(125237, NULL, 'PTHR31694:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125238, NULL, 'PTHR47926:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125239, NULL, 'PTHR27001:SF884', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE RECEPTOR', NULL, NULL, NULL, 15),
(125240, NULL, 'PTHR27004:SF373', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125241, NULL, 'PTHR10849:SF24', NULL, NULL, NULL, NULL, 'FORMATE HYDROGENLYASE SUBUNIT 6-RELATED', NULL, NULL, NULL, 15),
(125242, NULL, 'PTHR21649:SF115', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(125243, NULL, 'PTHR23267:SF430', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 5-37', NULL, NULL, NULL, 15),
(125244, NULL, 'PTHR13999:SF9', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 10', NULL, NULL, NULL, 15),
(125245, NULL, 'PTHR35472:SF4', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 14', NULL, NULL, NULL, 15),
(125246, NULL, 'PTHR11769:SF9', NULL, NULL, NULL, NULL, 'HYALURONIDASE', NULL, NULL, NULL, 15),
(125247, NULL, 'PTHR37455:SF1', NULL, NULL, NULL, NULL, 'GENE, 27021-RELATED', NULL, NULL, NULL, 15),
(125248, NULL, 'PTHR33179:SF35', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(125249, NULL, 'PTHR32212:SF297', NULL, NULL, NULL, NULL, 'F-BOX/FBD/LRR PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125250, NULL, 'PTHR12231:SF219', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(125251, NULL, 'PTHR36874:SF1', NULL, NULL, NULL, NULL, 'EQUATORIN', NULL, NULL, NULL, 15),
(125252, NULL, 'PTHR31929:SF39', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(125253, NULL, 'PTHR22772:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER ZZ-TYPE AND EF-HAND DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 34477, 15),
(125254, NULL, 'PTHR20961:SF117', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(125255, NULL, 'PTHR11232:SF34', NULL, NULL, NULL, NULL, 'PROTEIN FAM43B', NULL, NULL, NULL, 15),
(125256, NULL, 'PTHR31374:SF239', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(125257, NULL, 'PTHR43792:SF9', NULL, NULL, NULL, NULL, 'RIBOSOMAL-PROTEIN-ALANINE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(125258, NULL, 'PTHR34564:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(125259, NULL, 'PTHR33494:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125260, NULL, 'PTHR31636:SF231', NULL, NULL, NULL, NULL, 'BNAA04G16850D PROTEIN', NULL, NULL, NULL, 15),
(125261, NULL, 'PTHR31218:SF273', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(125262, NULL, 'PTHR21236:SF7', NULL, NULL, NULL, NULL, 'PROTEIN YIPF4', NULL, NULL, NULL, 15),
(125263, NULL, 'PTHR43726', NULL, NULL, NULL, NULL, '3-METHYLORNITHINE SYNTHASE', NULL, NULL, 6193, 15),
(125264, NULL, 'PTHR11306:SF39', NULL, NULL, NULL, NULL, 'MD-2-RELATED LIPID RECOGNITION DOMAIN-CONTAINING PROTEIN / ML DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(125265, NULL, 'PTHR43883:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125266, NULL, 'PTHR27002:SF868', NULL, NULL, NULL, NULL, 'RLK (RECEPTOR-LIKE PROTEIN KINASE) 14, PUTATIVE ISOFORM 2-RELATED', NULL, NULL, NULL, 15),
(125267, NULL, 'PTHR24184:SF20', NULL, NULL, NULL, NULL, 'ANKYRIN-3-LIKE', NULL, NULL, NULL, 15),
(125268, NULL, 'PTHR48041:SF94', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 22', NULL, NULL, NULL, 15),
(125269, NULL, 'PTHR23054:SF70', NULL, NULL, NULL, NULL, 'OS06G0692800 PROTEIN', NULL, NULL, NULL, 15),
(125270, NULL, 'PTHR47928:SF159', NULL, NULL, NULL, NULL, 'OS05G0572900 PROTEIN', NULL, NULL, NULL, 15),
(125271, NULL, 'PTHR33528', NULL, NULL, NULL, NULL, 'OS07G0239500 PROTEIN', NULL, NULL, NULL, 15),
(125272, NULL, 'PTHR27002:SF527', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE', NULL, NULL, NULL, 15),
(125273, NULL, 'PTHR24068:SF342', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125274, NULL, 'PTHR31072:SF168', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP5', NULL, NULL, NULL, 15),
(125275, NULL, 'PTHR10956:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125276, NULL, 'PTHR10050:SF50', NULL, NULL, NULL, NULL, 'DOLICHYL-PHOSPHATE-MANNOSE--PROTEIN MANNOSYLTRANSFERASE 1-RELATED', NULL, NULL, 28417, 15),
(125277, NULL, 'PTHR30128:SF66', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I PSAA/PSAB-RELATED', NULL, NULL, NULL, 15),
(125278, NULL, 'PTHR13068:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(125279, NULL, 'PTHR15071:SF0', NULL, NULL, NULL, NULL, 'AUTOPHAGY-LIKE PROTEIN', NULL, NULL, NULL, 15),
(125280, NULL, 'PTHR30540:SF116', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(125281, NULL, 'PTHR19877:SF4', NULL, NULL, NULL, NULL, 'SERINE-THREONINE KINASE RECEPTOR-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(125282, NULL, 'PTHR31418:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG06286', NULL, NULL, NULL, 15),
(125283, NULL, 'PTHR33353:SF19', NULL, NULL, NULL, NULL, 'GLYCOSYLHYDROLASE FAMILY 61-8 PROTEIN', NULL, NULL, NULL, 15),
(125284, NULL, 'PTHR10807:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125285, NULL, 'PTHR10381:SF49', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125286, NULL, 'PTHR24329:SF354', NULL, NULL, NULL, NULL, 'SI:DKEY-43P13.5', NULL, NULL, NULL, 15),
(125287, NULL, 'PTHR35089:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN SKP', NULL, NULL, NULL, 15),
(125288, NULL, 'PTHR33059:SF78', NULL, NULL, NULL, NULL, 'OS02G0751300 PROTEIN', NULL, NULL, NULL, 15),
(125289, NULL, 'PTHR12329:SF34', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 3', NULL, NULL, NULL, 15),
(125290, NULL, 'PTHR22765:SF262', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', NULL, NULL, NULL, 15),
(125291, NULL, 'PTHR45917:SF6', NULL, NULL, NULL, NULL, 'CALCIUM BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(125292, NULL, 'PTHR47963:SF6', NULL, NULL, NULL, NULL, 'DNA REPAIR HELICASE-RELATED', NULL, NULL, NULL, 15),
(125293, NULL, 'PTHR31351:SF28', NULL, NULL, NULL, NULL, 'AUXIN CANALIZATION PROTEIN', NULL, NULL, NULL, 15),
(125294, NULL, 'PTHR31300:SF34', NULL, NULL, NULL, NULL, 'PLANT/T8K14-16 PROTEIN', NULL, NULL, NULL, 15),
(125295, NULL, 'PTHR22718:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(125296, NULL, 'PTHR30011:SF4', NULL, NULL, NULL, NULL, 'COENZYME F420-DEPENDENT OXIDOREDUCTASE RV3520C-RELATED', NULL, NULL, NULL, 15),
(125297, NULL, 'PTHR10264:SF125', NULL, NULL, NULL, NULL, 'STOMATIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(125298, NULL, 'PTHR19321:SF34', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN, MAP65/ASE1/PRC1-RELATED', NULL, NULL, NULL, 15),
(125299, NULL, 'PTHR11571:SF248', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE P', NULL, NULL, NULL, 15),
(125300, NULL, 'PTHR23155:SF1101', NULL, NULL, NULL, NULL, 'OS06G0524900 PROTEIN', NULL, NULL, NULL, 15),
(125301, NULL, 'PTHR30096', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(125302, NULL, 'PTHR13237', NULL, NULL, NULL, NULL, 'SOMETHING ABOUT SILENCING PROTEIN 10-RELATED', NULL, NULL, 42, 15),
(125303, NULL, 'PTHR40057:SF1', NULL, NULL, NULL, NULL, 'SLR1162 PROTEIN', NULL, NULL, NULL, 15),
(125304, NULL, 'PTHR10783:SF116', NULL, NULL, NULL, NULL, 'BNAA09G45890D PROTEIN', NULL, NULL, NULL, 15),
(125305, NULL, 'PTHR18945:SF471', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT BETA-TYPE UNC-29', NULL, NULL, NULL, 15),
(125306, NULL, 'PTHR46826:SF1', NULL, NULL, NULL, NULL, 'TVP38/TMEM64 FAMILY MEMBRANE PROTEIN YDJX', NULL, NULL, NULL, 15),
(125307, NULL, 'PTHR24073:SF1050', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125308, NULL, 'PTHR43795:SF92', NULL, NULL, NULL, NULL, 'BNAA07G38380D PROTEIN', NULL, NULL, NULL, 15),
(125309, NULL, 'PTHR30086', NULL, NULL, NULL, NULL, 'ARGININE EXPORTER PROTEIN ARGO', NULL, NULL, 1368, 15),
(125310, NULL, 'PTHR23070:SF107', NULL, NULL, NULL, NULL, 'BNAC06G41240D PROTEIN', NULL, NULL, NULL, 15),
(125311, NULL, 'PTHR11559:SF254', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 4A', NULL, NULL, NULL, 15),
(125312, NULL, 'PTHR38697', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN SIMILAR TO S. CEREVISIAE NUP2 (EUROFUNG)', NULL, NULL, NULL, 15),
(125313, NULL, 'PTHR23282:SF133', NULL, NULL, NULL, NULL, 'MAM DOMAIN-CONTAINING 2B', NULL, NULL, NULL, 15),
(125314, NULL, 'PTHR48021:SF60', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN LINE-1', NULL, NULL, NULL, 15),
(125315, NULL, 'PTHR24246:SF51', NULL, NULL, NULL, NULL, 'GPCR THERMAL RECEPTOR', NULL, NULL, NULL, 15),
(125316, NULL, 'PTHR12835:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 10152, 15),
(125317, NULL, 'PTHR46326', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT1-RELATED', NULL, NULL, 38965, 15),
(125318, NULL, 'PTHR31839:SF21', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1E', NULL, NULL, NULL, 15),
(125319, NULL, 'PTHR24241:SF4', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE FF RECEPTOR 1', NULL, NULL, NULL, 15),
(125320, NULL, 'PTHR11486:SF26', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 3', NULL, NULL, 25370, 15),
(125321, NULL, 'PTHR14167:SF52', NULL, NULL, NULL, NULL, 'ENDOPHILIN-B1', NULL, NULL, 26686, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125322, NULL, 'PTHR35699:SF2', NULL, NULL, NULL, NULL, 'BNAC06G03050D PROTEIN', NULL, NULL, NULL, 15),
(125323, NULL, 'PTHR12411:SF369', NULL, NULL, NULL, NULL, 'CATHEPSIN B-LIKE CYSTEINE PROTEINASE 4', NULL, NULL, NULL, 15),
(125324, NULL, 'PTHR12321:SF130', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 1-LIKE', NULL, NULL, NULL, 15),
(125325, NULL, 'PTHR23326:SF16', NULL, NULL, NULL, NULL, 'GENERAL NEGATIVE REGULATOR OF TRANSCRIPTION SUBUNIT 3', NULL, NULL, NULL, 15),
(125326, NULL, 'PTHR11224:SF43', NULL, NULL, NULL, NULL, 'MAKORIN RING-ZINC-FINGER PROTEIN', NULL, NULL, NULL, 15),
(125327, NULL, 'PTHR22913', NULL, NULL, NULL, NULL, 'HYALURONAN SYNTHASE', NULL, NULL, NULL, 15),
(125328, NULL, 'PTHR45752:SF40', NULL, NULL, NULL, NULL, 'VOLUME-REGULATED ANION CHANNEL SUBUNIT LRRC8B', NULL, NULL, NULL, 15),
(125329, NULL, 'PTHR11452', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE/ALPHA-N-ACETYLGALACTOSAMINIDASE', NULL, NULL, 6188, 15),
(125330, NULL, 'PTHR33077:SF77', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10A-LIKE', NULL, NULL, NULL, 15),
(125331, NULL, 'PTHR40457:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1', NULL, NULL, NULL, 15),
(125332, NULL, 'PTHR24123', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING', NULL, NULL, NULL, 15),
(125333, NULL, 'PTHR46506:SF11', NULL, NULL, NULL, NULL, 'OS11G0524601 PROTEIN', NULL, NULL, NULL, 15),
(125334, NULL, 'PTHR10066', NULL, NULL, NULL, NULL, 'BETA-GLUCURONIDASE', NULL, NULL, NULL, 15),
(125335, NULL, 'PTHR47123', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23', NULL, NULL, NULL, 15),
(125336, NULL, 'PTHR11232:SF40', NULL, NULL, NULL, NULL, 'DISABLED HOMOLOG 1', NULL, NULL, NULL, 15),
(125337, NULL, 'PTHR12241:SF145', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL4', NULL, NULL, 26398, 15),
(125338, NULL, 'PTHR45656:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBR-CLEC-78', NULL, NULL, NULL, 15),
(125339, NULL, 'PTHR31072:SF105', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP8', NULL, NULL, NULL, 15),
(125340, NULL, 'PTHR30183', NULL, NULL, NULL, NULL, 'MOLYBDENUM TRANSPORT SYSTEM PERMEASE PROTEIN MODB', NULL, NULL, NULL, 15),
(125341, NULL, 'PTHR15710:SF138', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(125342, NULL, 'PTHR34943', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37608, 15),
(125343, NULL, 'PTHR10788:SF77', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 9-RELATED', NULL, NULL, NULL, 15),
(125344, NULL, 'PTHR46128:SF164', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(125345, NULL, 'PTHR36812:SF2', NULL, NULL, NULL, NULL, 'NEUROFILAMENT TRIPLET M PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(125346, NULL, 'PTHR47425:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(125347, NULL, 'PTHR10836:SF76', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(125348, NULL, 'PTHR42757:SF9', NULL, NULL, NULL, NULL, 'NEUROTRIMIN', NULL, NULL, NULL, 15),
(125349, NULL, 'PTHR10742:SF260', NULL, NULL, NULL, NULL, 'PROTEIN FLOWERING LOCUS D', NULL, NULL, NULL, 15),
(125350, NULL, 'PTHR10856:SF2', NULL, NULL, NULL, NULL, 'CORONIN-2A', NULL, NULL, 26410, 15),
(125351, NULL, 'PTHR11604:SF50', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(125352, NULL, 'PTHR32054:SF62', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE', NULL, NULL, NULL, 15),
(125353, NULL, 'PTHR18966:SF361', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, NMDA 2C', NULL, NULL, NULL, 15),
(125354, NULL, 'PTHR33734:SF9', NULL, NULL, NULL, NULL, 'OS09G0548200 PROTEIN', NULL, NULL, NULL, 15),
(125355, NULL, 'PTHR47934:SF9', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(125356, NULL, 'PTHR39490:SF6', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN D', NULL, NULL, NULL, 15),
(125357, NULL, 'PTHR45976:SF6', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN WRM-1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125358, NULL, 'PTHR31503:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125359, NULL, 'PTHR36365:SF1', NULL, NULL, NULL, NULL, 'OS05G0500400 PROTEIN', NULL, NULL, NULL, 15),
(125360, NULL, 'PTHR10778:SF13', NULL, NULL, NULL, NULL, 'ADENOSINE 3''-PHOSPHO 5''-PHOSPHOSULFATE TRANSPORTER 1', NULL, NULL, NULL, 15),
(125361, NULL, 'PTHR45708:SF33', NULL, NULL, NULL, NULL, 'CHITINASE', NULL, NULL, NULL, 15),
(125362, NULL, 'PTHR47410:SF3', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 9', NULL, NULL, 26907, 15),
(125363, NULL, 'PTHR22835:SF538', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(125364, NULL, 'PTHR11864', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING PROTEIN PRP40', NULL, NULL, 36456, 15),
(125365, NULL, 'PTHR45090:SF8', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(125366, NULL, 'PTHR12027:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MOM-2', NULL, NULL, NULL, 15),
(125367, NULL, 'PTHR10747:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125368, NULL, 'PTHR48063:SF52', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125369, NULL, 'PTHR42180:SF4', NULL, NULL, NULL, NULL, 'HOMOLOGY DOMAIN-CONTAINING PROTEIN,PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(125370, NULL, 'PTHR48171:SF1', NULL, NULL, NULL, NULL, 'DUF946 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125371, NULL, 'PTHR37394', NULL, NULL, NULL, NULL, 'PROTEIN PARTING DANCERS', NULL, NULL, 35565, 15),
(125372, NULL, 'PTHR16092:SF29', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(125373, NULL, 'PTHR33912:SF5', NULL, NULL, NULL, NULL, 'F22G5.17', NULL, NULL, NULL, 15),
(125374, NULL, 'PTHR21437:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND FIBRONECTIN TYPE III DOMAIN CONTAINING 1', NULL, NULL, NULL, 15),
(125375, NULL, 'PTHR45842:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, 28874, 15),
(125376, NULL, 'PTHR32285:SF267', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 16', NULL, NULL, NULL, 15),
(125377, NULL, 'PTHR47640:SF34', NULL, NULL, NULL, NULL, 'OLIGOURIDYLATE-BINDING PROTEIN 1B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(125378, NULL, 'PTHR45647:SF56', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 50-RELATED', NULL, NULL, NULL, 15),
(125379, NULL, 'PTHR12015:SF157', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 23', NULL, NULL, NULL, 15),
(125380, NULL, 'PTHR10578:SF113', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO5', NULL, NULL, NULL, 15),
(125381, NULL, 'PTHR24028:SF106', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-B1-RELATED', NULL, NULL, NULL, 15),
(125382, NULL, 'PTHR27002:SF850', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125383, NULL, 'PTHR21662:SF15', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(125384, NULL, 'PTHR10795', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE SUBTILISIN/KEXIN', NULL, NULL, 38424, 15),
(125385, NULL, 'PTHR12429:SF14', NULL, NULL, NULL, NULL, 'NEURALIZED-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(125386, NULL, 'PTHR45752:SF105', NULL, NULL, NULL, NULL, 'NB-ARC-RELATED', NULL, NULL, NULL, 15),
(125387, NULL, 'PTHR46407', NULL, NULL, NULL, NULL, 'OS02G0208700 PROTEIN', NULL, NULL, 36711, 15),
(125388, NULL, 'PTHR10075:SF49', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 141', NULL, NULL, NULL, 15),
(125389, NULL, 'PTHR42866:SF9', NULL, NULL, NULL, NULL, 'BNAA05G35640D PROTEIN', NULL, NULL, NULL, 15),
(125390, NULL, 'PTHR16675:SF169', NULL, NULL, NULL, NULL, 'HLA CLASS I HISTOCOMPATIBILITY ANTIGEN, ALPHA CHAIN G', NULL, NULL, NULL, 15),
(125391, NULL, 'PTHR11743:SF34', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 2', NULL, NULL, NULL, 15),
(125392, NULL, 'PTHR10082:SF42', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-4', NULL, NULL, 11192, 15),
(125393, NULL, 'PTHR11362:SF10', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN 1', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125394, NULL, 'PTHR42029:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125395, NULL, 'PTHR16223:SF120', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH69', NULL, NULL, NULL, 15),
(125396, NULL, 'PTHR23001:SF30', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5-1-RELATED', NULL, NULL, NULL, 15),
(125397, NULL, 'PTHR24377:SF430', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 155', NULL, NULL, NULL, 15),
(125398, NULL, 'PTHR45857', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, 37812, 15),
(125399, NULL, 'PTHR23266:SF285', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-45', NULL, NULL, NULL, 15),
(125400, NULL, 'PTHR33180:SF7', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP43 REACTION CENTER PROTEIN', NULL, NULL, NULL, 15),
(125401, NULL, 'PTHR40131', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125402, NULL, 'PTHR11808:SF61', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE', NULL, NULL, NULL, 15),
(125403, NULL, 'PTHR47925:SF55', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(125404, NULL, 'PTHR10126:SF37', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(125405, NULL, 'PTHR37751:SF6', NULL, NULL, NULL, NULL, 'BNAA09G05910D PROTEIN', NULL, NULL, NULL, 15),
(125406, NULL, 'PTHR31689', NULL, NULL, NULL, NULL, 'DIAMINOPIMELATE EPIMERASE, CHLOROPLASTIC', NULL, NULL, 11297, 15),
(125407, NULL, 'PTHR43148:SF10', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(125408, NULL, 'PTHR47958:SF32', NULL, NULL, NULL, NULL, 'DEAD-BOX HELICASE 3,X-LINKED', NULL, NULL, NULL, 15),
(125409, NULL, 'PTHR24390:SF152', NULL, NULL, NULL, NULL, 'SI:DKEYP-69B9.6-RELATED', NULL, NULL, NULL, 15),
(125410, NULL, 'PTHR11063:SF24', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(125411, NULL, 'PTHR33021:SF356', NULL, NULL, NULL, NULL, 'OS07G0570600 PROTEIN', NULL, NULL, NULL, 15),
(125412, NULL, 'PTHR43117:SF3', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE/CARNITINE/CHOLINE TRANSPORT ATP-BINDING PROTEIN OPUCA', NULL, NULL, NULL, 15),
(125413, NULL, 'PTHR20963:SF23', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11330)-RELATED', NULL, NULL, NULL, 15),
(125414, NULL, 'PTHR19836:SF19', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S14, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(125415, NULL, 'PTHR48111:SF9', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR RECEIVER PROTEIN', NULL, NULL, NULL, 15),
(125416, NULL, 'PTHR12709:SF5', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA43', NULL, NULL, NULL, 15),
(125417, NULL, 'PTHR11766:SF1', NULL, NULL, NULL, NULL, 'TYROSINE--TRNA LIGASE', NULL, NULL, 13043, 15),
(125418, NULL, 'PTHR47167:SF1', NULL, NULL, NULL, NULL, 'TAO KINASE 1', NULL, NULL, NULL, 15),
(125419, NULL, 'PTHR11017:SF396', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(125420, NULL, 'PTHR14115', NULL, NULL, NULL, NULL, 'AMELOBLASTIN', NULL, NULL, 2394, 15),
(125421, NULL, 'PTHR47348:SF3', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 190 PROTEIN', NULL, NULL, NULL, 15),
(125422, NULL, 'PTHR47992:SF40', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 24-RELATED', NULL, NULL, NULL, 15),
(125423, NULL, 'PTHR13027:SF16', NULL, NULL, NULL, NULL, 'BNAC04G15860D PROTEIN', NULL, NULL, NULL, 15),
(125424, NULL, 'PTHR12447', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED WITH ANKYRIN REPEAT DOMAIN', NULL, NULL, 20200, 15),
(125425, NULL, 'PTHR23192:SF47', NULL, NULL, NULL, NULL, 'FI21454P1', NULL, NULL, NULL, 15),
(125426, NULL, 'PTHR12570:SF9', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA8-RELATED', NULL, NULL, NULL, 15),
(125427, NULL, 'PTHR31956:SF27', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE-RELATED', NULL, NULL, NULL, 15),
(125428, NULL, 'PTHR27003:SF386', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE THESEUS 1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125429, NULL, 'PTHR24637:SF299', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(125430, NULL, 'PTHR11334:SF3', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER F', NULL, NULL, 28764, 15),
(125431, NULL, 'PTHR45776', NULL, NULL, NULL, NULL, 'MIP04163P', NULL, NULL, NULL, 15),
(125432, NULL, 'PTHR11153:SF3', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-4', NULL, NULL, 24032, 15),
(125433, NULL, 'PTHR35039', NULL, NULL, NULL, NULL, '3-KETO-L-GULONATE-6-PHOSPHATE DECARBOXYLASE SGBH-RELATED', NULL, NULL, NULL, 15),
(125434, NULL, 'PTHR45752:SF38', NULL, NULL, NULL, NULL, 'LOC100145243 PROTEIN', NULL, NULL, NULL, 15),
(125435, NULL, 'PTHR43572:SF44', NULL, NULL, NULL, NULL, 'OS02G0464900 PROTEIN', NULL, NULL, NULL, 15),
(125436, NULL, 'PTHR31632', NULL, NULL, NULL, NULL, 'IRON TRANSPORTER FTH1', NULL, NULL, 1829, 15),
(125437, NULL, 'PTHR31225:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125438, NULL, 'PTHR45944:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 40', NULL, NULL, NULL, 15),
(125439, NULL, 'PTHR10829:SF9', NULL, NULL, NULL, NULL, 'SI:DKEY-40C11.2', NULL, NULL, NULL, 15),
(125440, NULL, 'PTHR10641:SF1238', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 15-RELATED', NULL, NULL, NULL, 15),
(125441, NULL, 'PTHR40640:SF2', NULL, NULL, NULL, NULL, 'ANCHORED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00450)-RELATED', NULL, NULL, NULL, 15),
(125442, NULL, 'PTHR34039', NULL, NULL, NULL, NULL, 'UPF0102 PROTEIN YRAN', NULL, NULL, 6270, 15),
(125443, NULL, 'PTHR30540:SF111', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(125444, NULL, 'PTHR31852:SF2', NULL, NULL, NULL, NULL, 'GRPE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(125445, NULL, 'PTHR23341:SF8', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP AT-HOOK 1', NULL, NULL, NULL, 15),
(125446, NULL, 'PTHR31194:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125447, NULL, 'PTHR13847:SF213', NULL, NULL, NULL, NULL, 'DEPENDENT OXIDOREDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(125448, NULL, 'PTHR36220', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(125449, NULL, 'PTHR32499:SF14', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(125450, NULL, 'PTHR24028:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125451, NULL, 'PTHR24221:SF544', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-LIKE ATP-BINDING PROTEIN MDLB', NULL, NULL, NULL, 15),
(125452, NULL, 'PTHR43303:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125453, NULL, 'PTHR33509:SF15', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(125454, NULL, 'PTHR10353:SF156', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(125455, NULL, 'PTHR31260:SF55', NULL, NULL, NULL, NULL, 'BNAA10G11000D PROTEIN', NULL, NULL, NULL, 15),
(125456, NULL, 'PTHR38659', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(125457, NULL, 'PTHR21327:SF34', NULL, NULL, NULL, NULL, '3,4-DIHYDROXY-2-BUTANONE 4-PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(125458, NULL, 'PTHR21576:SF82', NULL, NULL, NULL, NULL, 'F4P13.17 PROTEIN', NULL, NULL, NULL, 15),
(125459, NULL, 'PTHR34780:SF2', NULL, NULL, NULL, NULL, 'BNAA07G38580D PROTEIN', NULL, NULL, NULL, 15),
(125460, NULL, 'PTHR23011:SF32', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-BINDING DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(125461, NULL, 'PTHR10270:SF216', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-17', NULL, NULL, NULL, 15),
(125462, NULL, 'PTHR43811:SF46', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(125463, NULL, 'PTHR12461:SF84', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING PROTEIN B', NULL, NULL, NULL, 15),
(125464, NULL, 'PTHR36516', NULL, NULL, NULL, NULL, 'PROTEIN CBG04168-RELATED', NULL, NULL, NULL, 15),
(125465, NULL, 'PTHR23288:SF8', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II ELONGATION FACTOR ELL2', NULL, NULL, 27584, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125466, NULL, 'PTHR24035:SF132', NULL, NULL, NULL, NULL, 'MULTIPLE EGF-LIKE-DOMAINS 11', NULL, NULL, NULL, 15),
(125467, NULL, 'PTHR31218:SF309', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(125468, NULL, 'PTHR21148:SF25', NULL, NULL, NULL, NULL, 'PHOSDUCIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(125469, NULL, 'PTHR47551', NULL, NULL, NULL, NULL, 'TUBULIN--TYROSINE LIGASE PBY1-RELATED', NULL, NULL, 26178, 15),
(125470, NULL, 'PTHR48070:SF8', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(125471, NULL, 'PTHR43337', NULL, NULL, NULL, NULL, 'XANTHINE/URACIL PERMEASE C887.17-RELATED', NULL, NULL, 39297, 15),
(125472, NULL, 'PTHR16290:SF17', NULL, NULL, NULL, NULL, 'OS07G0249600 PROTEIN', NULL, NULL, NULL, 15),
(125473, NULL, 'PTHR12521', NULL, NULL, NULL, NULL, 'PROTEIN C6ORF130', NULL, NULL, NULL, 15),
(125474, NULL, 'PTHR21497:SF27', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR1', NULL, NULL, NULL, 15),
(125475, NULL, 'PTHR13878:SF102', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 5', NULL, NULL, NULL, 15),
(125476, NULL, 'PTHR11675:SF120', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(125477, NULL, 'PTHR33936:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG23509', NULL, NULL, NULL, 15),
(125478, NULL, 'PTHR32295:SF147', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', NULL, NULL, NULL, 15),
(125479, NULL, 'PTHR15885', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22577, 15),
(125480, NULL, 'PTHR19850:SF39', NULL, NULL, NULL, NULL, 'BNAC03G66080D PROTEIN', NULL, NULL, NULL, 15),
(125481, NULL, 'PTHR34857', NULL, NULL, NULL, NULL, 'SLL0384 PROTEIN', NULL, NULL, NULL, 15),
(125482, NULL, 'PTHR34481:SF14', NULL, NULL, NULL, NULL, 'GLUTENIN, HIGH MOLECULAR WEIGHT SUBUNIT DY10', NULL, NULL, NULL, 15),
(125483, NULL, 'PTHR28674:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO DNA SEGMENT, CHR 10, WAYNE STATE UNIVERSITY 102,-EXPRESSED', NULL, NULL, NULL, 15),
(125484, NULL, 'PTHR45648:SF65', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(125485, NULL, 'PTHR13593:SF110', NULL, NULL, NULL, NULL, 'BNAA08G02520D PROTEIN', NULL, NULL, NULL, 15),
(125486, NULL, 'PTHR48002:SF10', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(125487, NULL, 'PTHR43366', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE SUBUNIT PORC', NULL, NULL, NULL, 15),
(125488, NULL, 'PTHR45619:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(125489, NULL, 'PTHR33459:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125490, NULL, 'PTHR10887:SF322', NULL, NULL, NULL, NULL, 'HELICASE MOV-10', NULL, NULL, 23144, 15),
(125491, NULL, 'PTHR24073:SF1089', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-6A-RELATED', NULL, NULL, NULL, 15),
(125492, NULL, 'PTHR31142:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125493, NULL, 'PTHR15664:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 230', NULL, NULL, NULL, 15),
(125494, NULL, 'PTHR39741:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125495, NULL, 'PTHR11871:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125496, NULL, 'PTHR11913:SF50', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 4', NULL, NULL, NULL, 15),
(125497, NULL, 'PTHR11629:SF104', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(125498, NULL, 'PTHR24637:SF294', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(125499, NULL, 'PTHR43349:SF83', NULL, NULL, NULL, NULL, 'BNAA02G35970D PROTEIN', NULL, NULL, NULL, 15),
(125500, NULL, 'PTHR33729:SF2', NULL, NULL, NULL, NULL, 'METHYL-CPG BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(125501, NULL, 'PTHR46116:SF13', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125502, NULL, 'PTHR20971:SF4', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM5', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125503, NULL, 'PTHR31375:SF10', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 28 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(125504, NULL, 'PTHR16294:SF8', NULL, NULL, NULL, NULL, 'DYSBINDIN-A', NULL, NULL, NULL, 15),
(125505, NULL, 'PTHR24399:SF29', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA 6 PROTEIN', NULL, NULL, NULL, 15),
(125506, NULL, 'PTHR30137:SF16', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, MMYO-RELATED', NULL, NULL, NULL, 15),
(125507, NULL, 'PTHR23024:SF478', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(125508, NULL, 'PTHR13068:SF153', NULL, NULL, NULL, NULL, 'MITOCHODRIAL TRANSCRIPTION TERMINATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(125509, NULL, 'PTHR24026:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125510, NULL, 'PTHR46021:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125511, NULL, 'PTHR13848:SF58', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE 5', NULL, NULL, NULL, 15),
(125512, NULL, 'PTHR45650:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125513, NULL, 'PTHR12395:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG23851', NULL, NULL, NULL, 15),
(125514, NULL, 'PTHR12419:SF26', NULL, NULL, NULL, NULL, 'OTU-LIKE CYSTEINE PROTEASE', NULL, NULL, NULL, 15),
(125515, NULL, 'PTHR32009:SF81', NULL, NULL, NULL, NULL, 'BNAC06G01310D PROTEIN', NULL, NULL, NULL, 15),
(125516, NULL, 'PTHR45875:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE N6AMT1', NULL, NULL, NULL, 15),
(125517, NULL, 'PTHR31282:SF167', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 69-RELATED', NULL, NULL, NULL, 15),
(125518, NULL, 'PTHR11043:SF26', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-3', NULL, NULL, NULL, 15),
(125519, NULL, 'PTHR32227:SF391', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', NULL, NULL, NULL, 15),
(125520, NULL, 'PTHR31677:SF102', NULL, NULL, NULL, NULL, 'BNAC08G40750D PROTEIN', NULL, NULL, NULL, 15),
(125521, NULL, 'PTHR14270:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SMG9', NULL, NULL, NULL, 15),
(125522, NULL, 'PTHR42951:SF16', NULL, NULL, NULL, NULL, 'BETA LACTAMASE', NULL, NULL, NULL, 15),
(125523, NULL, 'PTHR43351', NULL, NULL, NULL, NULL, 'L(+)-TARTRATE DEHYDRATASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(125524, NULL, 'PTHR23015:SF11', NULL, NULL, NULL, NULL, 'F-BOX A PROTEIN', NULL, NULL, NULL, 15),
(125525, NULL, 'PTHR34067:SF9', NULL, NULL, NULL, NULL, 'OS04G0266400 PROTEIN', NULL, NULL, NULL, 15),
(125526, NULL, 'PTHR11467:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125527, NULL, 'PTHR43884:SF19', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(125528, NULL, 'PTHR24423:SF619', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125529, NULL, 'PTHR12287:SF21', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR KINASE SUBSTRATE 8', NULL, NULL, 23871, 15),
(125530, NULL, 'PTHR43025', NULL, NULL, NULL, NULL, 'MONOGALACTOSYLDIACYLGLYCEROL SYNTHASE', NULL, NULL, NULL, 15),
(125531, NULL, 'PTHR31966:SF23', NULL, NULL, NULL, NULL, 'OS05G0501700 PROTEIN', NULL, NULL, NULL, 15),
(125532, NULL, 'PTHR34726:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125533, NULL, 'PTHR42877:SF7', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03020)-RELATED', NULL, NULL, NULL, 15),
(125534, NULL, 'PTHR27000:SF732', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125535, NULL, 'PTHR46581:SF7', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(125536, NULL, 'PTHR43511:SF4', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(125537, NULL, 'PTHR43433:SF5', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125538, NULL, 'PTHR24071:SF18', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN-3', NULL, NULL, NULL, 15),
(125539, NULL, 'PTHR33354:SF9', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G01540)', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125540, NULL, 'PTHR31859', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 39 FAMILY MEMBER', NULL, NULL, 16780, 15),
(125541, NULL, 'PTHR10666:SF373', NULL, NULL, NULL, NULL, 'OS09G0452700 PROTEIN', NULL, NULL, NULL, 15),
(125542, NULL, 'PTHR33033:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125543, NULL, 'PTHR12403:SF28', NULL, NULL, NULL, NULL, 'BNAC06G40500D PROTEIN', NULL, NULL, NULL, 15),
(125544, NULL, 'PTHR34926:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125545, NULL, 'PTHR31429:SF81', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 6-LIKE', NULL, NULL, NULL, 15),
(125546, NULL, 'PTHR33597:SF19', NULL, NULL, NULL, NULL, 'OS02G0760400 PROTEIN', NULL, NULL, NULL, 15),
(125547, NULL, 'PTHR31319:SF61', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 5', NULL, NULL, NULL, 15),
(125548, NULL, 'PTHR35104', NULL, NULL, NULL, NULL, 'OS03G0807000 PROTEIN', NULL, NULL, NULL, 15),
(125549, NULL, 'PTHR32411:SF53', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 18-RELATED', NULL, NULL, NULL, 15),
(125550, NULL, 'PTHR21319:SF49', NULL, NULL, NULL, NULL, 'BNAC09G36140D PROTEIN', NULL, NULL, NULL, 15),
(125551, NULL, 'PTHR39211', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(125552, NULL, 'PTHR31948:SF93', NULL, NULL, NULL, NULL, 'BNACNNG08060D PROTEIN', NULL, NULL, NULL, 15),
(125553, NULL, 'PTHR14255:SF49', NULL, NULL, NULL, NULL, 'BNAA04G15090D PROTEIN', NULL, NULL, NULL, 15),
(125554, NULL, 'PTHR12542:SF155', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125555, NULL, 'PTHR18884:SF115', NULL, NULL, NULL, NULL, 'SEPTIN 15', NULL, NULL, NULL, 15),
(125556, NULL, 'PTHR45715:SF17', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E3', NULL, NULL, NULL, 15),
(125557, NULL, 'PTHR48004:SF31', NULL, NULL, NULL, NULL, 'OS11G0568800 PROTEIN', NULL, NULL, NULL, 15),
(125558, NULL, 'PTHR24106:SF275', NULL, NULL, NULL, NULL, 'NLR FAMILY CARD DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(125559, NULL, 'PTHR20838', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 86', NULL, NULL, 34561, 15),
(125560, NULL, 'PTHR15422:SF35', NULL, NULL, NULL, NULL, 'IP07844P-RELATED', NULL, NULL, NULL, 15),
(125561, NULL, 'PTHR43381:SF15', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5B-LIKE', NULL, NULL, NULL, 15),
(125562, NULL, 'PTHR46023:SF6', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125563, NULL, 'PTHR11474:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125564, NULL, 'PTHR31099:SF20', NULL, NULL, NULL, NULL, 'OS02G0307900 PROTEIN', NULL, NULL, NULL, 15),
(125565, NULL, 'PTHR31033:SF24', NULL, NULL, NULL, NULL, 'BNAA09G17680D PROTEIN', NULL, NULL, NULL, 15),
(125566, NULL, 'PTHR16134:SF70', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP17', NULL, NULL, NULL, 15),
(125567, NULL, 'PTHR35157:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM209B', NULL, NULL, NULL, 15),
(125568, NULL, 'PTHR23044:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125569, NULL, 'PTHR10811:SF85', NULL, NULL, NULL, NULL, 'BNACNNG24830D PROTEIN', NULL, NULL, NULL, 15),
(125570, NULL, 'PTHR11140', NULL, NULL, NULL, NULL, 'PRE-MRNA SPLICING FACTOR PRP8', NULL, NULL, 28088, 15),
(125571, NULL, 'PTHR23226:SF282', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 566', NULL, NULL, NULL, 15),
(125572, NULL, 'PTHR42146:SF1', NULL, NULL, NULL, NULL, '3'',5''-CYCLIC-NUCLEOTIDE PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(125573, NULL, 'PTHR31250:SF10', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM3', NULL, NULL, NULL, 15),
(125574, NULL, 'PTHR31339:SF62', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', NULL, NULL, NULL, 15),
(125575, NULL, 'PTHR13140', NULL, NULL, NULL, NULL, 'MYOSIN', NULL, NULL, NULL, 15),
(125576, NULL, 'PTHR30619:SF8', NULL, NULL, NULL, NULL, 'COME OPERON PROTEIN 3', NULL, NULL, NULL, 15),
(125577, NULL, 'PTHR11654:SF464', NULL, NULL, NULL, NULL, 'BNACNNG48110D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125578, NULL, 'PTHR34672:SF9', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC ARABINOGALACTA PROTEIN BAN102', NULL, NULL, NULL, 15),
(125579, NULL, 'PTHR47983:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125580, NULL, 'PTHR16108:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 40', NULL, NULL, NULL, 15),
(125581, NULL, 'PTHR12040:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125582, NULL, 'PTHR45800:SF19', NULL, NULL, NULL, NULL, 'OSJNBA0043A12.14 PROTEIN', NULL, NULL, NULL, 15),
(125583, NULL, 'PTHR37353:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4921517D22 GENE', NULL, NULL, NULL, 15),
(125584, NULL, 'PTHR31998:SF30', NULL, NULL, NULL, NULL, 'OS02G0802500 PROTEIN', NULL, NULL, NULL, 15),
(125585, NULL, 'PTHR34223:SF40', NULL, NULL, NULL, NULL, 'OS08G0197900 PROTEIN', NULL, NULL, NULL, 15),
(125586, NULL, 'PTHR48021:SF11', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 12', NULL, NULL, NULL, 15),
(125587, NULL, 'PTHR21470:SF10', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT 30A-LIKE PROTEIN (DUF662)', NULL, NULL, NULL, 15),
(125588, NULL, 'PTHR11848:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125589, NULL, 'PTHR10168:SF240', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S1-LIKE', NULL, NULL, NULL, 15),
(125590, NULL, 'PTHR24086:SF46', NULL, NULL, NULL, NULL, 'FF1D-RELATED', NULL, NULL, NULL, 15),
(125591, NULL, 'PTHR12015:SF169', NULL, NULL, NULL, NULL, 'CHEMOKINE', NULL, NULL, NULL, 15),
(125592, NULL, 'PTHR42749', NULL, NULL, NULL, NULL, 'CELL SHAPE-DETERMINING PROTEIN MREB', NULL, NULL, NULL, 15),
(125593, NULL, 'PTHR45855:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH109', NULL, NULL, NULL, 15),
(125594, NULL, 'PTHR24015:SF1998', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125595, NULL, 'PTHR24637:SF327', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(125596, NULL, 'PTHR20883:SF39', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE', NULL, NULL, NULL, 15),
(125597, NULL, 'PTHR23255:SF62', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN RECEPTOR TYPE-1B', NULL, NULL, NULL, 15),
(125598, NULL, 'PTHR33065:SF96', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(125599, NULL, 'PTHR47991:SF46', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE', NULL, NULL, NULL, 15),
(125600, NULL, 'PTHR12341:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125601, NULL, 'PTHR12844:SF21', NULL, NULL, NULL, NULL, 'CONNECTOR ENHANCER OF KINASE SUPPRESSOR OF RAS 2', NULL, NULL, NULL, 15),
(125602, NULL, 'PTHR38218', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED-RELATED', NULL, NULL, NULL, 15),
(125603, NULL, 'PTHR33976:SF9', NULL, NULL, NULL, NULL, 'BNAANNG08770D PROTEIN', NULL, NULL, NULL, 15),
(125604, NULL, 'PTHR31082:SF10', NULL, NULL, NULL, NULL, 'DUF1212 DOMAIN MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_3G01440)', NULL, NULL, NULL, 15),
(125605, NULL, 'PTHR48060', NULL, NULL, NULL, NULL, 'DNA DAMAGE-REPAIR/TOLERATION PROTEIN DRT100', NULL, NULL, NULL, 15),
(125606, NULL, 'PTHR48021:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125607, NULL, 'PTHR33078:SF22', NULL, NULL, NULL, NULL, 'PROTEIN YCF2', NULL, NULL, 13073, 15),
(125608, NULL, 'PTHR47625:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125609, NULL, 'PTHR21603:SF17', NULL, NULL, NULL, NULL, 'PROLIFERATION MARKER PROTEIN KI-67', NULL, NULL, NULL, 15),
(125610, NULL, 'PTHR48001:SF121', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(125611, NULL, 'PTHR45832:SF9', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(125612, NULL, 'PTHR48057:SF2', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(125613, NULL, 'PTHR43700', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINOIMIDAZOLE-SUCCINOCARBOXAMIDE SYNTHASE', NULL, NULL, NULL, 15),
(125614, NULL, 'PTHR26450:SF157', NULL, NULL, NULL, NULL, 'MCG1046646-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125615, NULL, 'PTHR19338:SF13', NULL, NULL, NULL, NULL, 'BNAA01G14370D PROTEIN', NULL, NULL, NULL, 15),
(125616, NULL, 'PTHR13871:SF7', NULL, NULL, NULL, NULL, 'THIOREDOXIN [SEE ALSO XTR]', NULL, NULL, NULL, 15),
(125617, NULL, 'PTHR48007:SF50', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(125618, NULL, 'PTHR46053', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH4-LIKE', NULL, NULL, NULL, 15),
(125619, NULL, 'PTHR31213:SF19', NULL, NULL, NULL, NULL, 'OS04G0593500 PROTEIN', NULL, NULL, NULL, 15),
(125620, NULL, 'PTHR28259', NULL, NULL, NULL, NULL, 'FLUORIDE EXPORT PROTEIN 1-RELATED', NULL, NULL, 1798, 15),
(125621, NULL, 'PTHR32278:SF52', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B13-LIKE', NULL, NULL, NULL, 15),
(125622, NULL, 'PTHR24006:SF819', NULL, NULL, NULL, NULL, 'T23K8.6-RELATED', NULL, NULL, NULL, 15),
(125623, NULL, 'PTHR26452:SF418', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5J2', NULL, NULL, NULL, 15),
(125624, NULL, 'PTHR31089:SF48', NULL, NULL, NULL, NULL, 'BNAANNG41280D PROTEIN', NULL, NULL, NULL, 15),
(125625, NULL, 'PTHR23024:SF484', NULL, NULL, NULL, NULL, 'TRANSPORT OF MEMBRANE TO CELL SURFACE', NULL, NULL, NULL, 15),
(125626, NULL, 'PTHR41752', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125627, NULL, 'PTHR33577:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125628, NULL, 'PTHR21495:SF152', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(125629, NULL, 'PTHR42913:SF4', NULL, NULL, NULL, NULL, 'ALTERNATIVE NAD(P)H-UBIQUINONE OXIDOREDUCTASE C1, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(125630, NULL, 'PTHR30632:SF16', NULL, NULL, NULL, NULL, 'MOLYBDATE/TUNGSTATE-BINDING PROTEIN WTPA', NULL, NULL, NULL, 15),
(125631, NULL, 'PTHR35308:SF12', NULL, NULL, NULL, NULL, 'COX VIIA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(125632, NULL, 'PTHR45640:SF2', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-6', NULL, NULL, NULL, 15),
(125633, NULL, 'PTHR48043:SF104', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(125634, NULL, 'PTHR44170:SF19', NULL, NULL, NULL, NULL, 'PROTEIN TURTLE HOMOLOG A', NULL, NULL, NULL, 15),
(125635, NULL, 'PTHR33430:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125636, NULL, 'PTHR45730:SF67', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(125637, NULL, 'PTHR11267:SF182', NULL, NULL, NULL, NULL, 'T-BOX PROTEIN 7-RELATED', NULL, NULL, NULL, 15),
(125638, NULL, 'PTHR31901:SF56', NULL, NULL, NULL, NULL, 'JASMONOYL--L-AMINO ACID SYNTHETASE GH3.3', NULL, NULL, NULL, 15),
(125639, NULL, 'PTHR33191:SF60', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(125640, NULL, 'PTHR34680:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125641, NULL, 'PTHR10796:SF60', NULL, NULL, NULL, NULL, 'PATCHED DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(125642, NULL, 'PTHR22770:SF35', NULL, NULL, NULL, NULL, 'RANBP-TYPE AND C3HC4-TYPE ZINC FINGER-CONTAINING PROTEIN 1', NULL, NULL, 28227, 15),
(125643, NULL, 'PTHR34078:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN DDB_G0267530-RELATED', NULL, NULL, NULL, 15),
(125644, NULL, 'PTHR24068:SF299', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 8', NULL, NULL, NULL, 15),
(125645, NULL, 'PTHR14379:SF53', NULL, NULL, NULL, NULL, 'BNAANNG24850D PROTEIN', NULL, NULL, NULL, 15),
(125646, NULL, 'PTHR19303:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125647, NULL, 'PTHR43416:SF26', NULL, NULL, NULL, NULL, 'BNAA02G09300D PROTEIN', NULL, NULL, NULL, 15),
(125648, NULL, 'PTHR43900:SF64', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F11', NULL, NULL, NULL, 15),
(125649, NULL, 'PTHR24356:SF378', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(125650, NULL, 'PTHR12131:SF16', NULL, NULL, NULL, NULL, 'ACTIVATING SIGNAL COINTEGRATOR 1 COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125651, NULL, 'PTHR21236:SF23', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', NULL, NULL, NULL, 15),
(125652, NULL, 'PTHR46496:SF9', NULL, NULL, NULL, NULL, 'BNAC08G48380D PROTEIN', NULL, NULL, NULL, 15),
(125653, NULL, 'PTHR16470', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN UBFD1', NULL, NULL, 35570, 15),
(125654, NULL, 'PTHR19302:SF13', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT 2', NULL, NULL, NULL, 15),
(125655, NULL, 'PTHR13723:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125656, NULL, 'PTHR24070:SF263', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAP1', NULL, NULL, NULL, 15),
(125657, NULL, 'PTHR47993:SF129', NULL, NULL, NULL, NULL, 'BNAA01G23720D PROTEIN', NULL, NULL, NULL, 15),
(125658, NULL, 'PTHR12875', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 4815, 15),
(125659, NULL, 'PTHR34678:SF2', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN 5 ALPHA, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(125660, NULL, 'PTHR24373:SF156', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING NOGO RECEPTOR-INTERACTING PROTEIN 4', NULL, NULL, NULL, 15),
(125661, NULL, 'PTHR19328:SF69', NULL, NULL, NULL, NULL, 'SIX-BLADED BETA-PROPELLER, TOLB-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(125662, NULL, 'PTHR39380:SF2', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED', NULL, NULL, NULL, 15),
(125663, NULL, 'PTHR14255:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125664, NULL, 'PTHR45968:SF21', NULL, NULL, NULL, NULL, 'PROTEIN HOTHEAD-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(125665, NULL, 'PTHR31388:SF177', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(125666, NULL, 'PTHR14398:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 27', NULL, NULL, NULL, 15),
(125667, NULL, 'PTHR15502', NULL, NULL, NULL, NULL, 'CALCINEURIN-BINDING PROTEIN CABIN 1-RELATED', NULL, NULL, 33459, 15),
(125668, NULL, 'PTHR21029:SF20', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 7-BINDING PROTEIN B', NULL, NULL, NULL, 15),
(125669, NULL, 'PTHR23114:SF25', NULL, NULL, NULL, NULL, 'BNAC04G32430D PROTEIN', NULL, NULL, NULL, 15),
(125670, NULL, 'PTHR33021:SF389', NULL, NULL, NULL, NULL, 'NODULIN 55-2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(125671, NULL, 'PTHR11934:SF0', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(125672, NULL, 'PTHR22941:SF27', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(125673, NULL, 'PTHR34999:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125674, NULL, 'PTHR13817:SF141', NULL, NULL, NULL, NULL, 'NEURONAL IGCAM', NULL, NULL, NULL, 15),
(125675, NULL, 'PTHR38795:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125676, NULL, 'PTHR13814:SF3', NULL, NULL, NULL, NULL, 'HISTIDINE-RICH GLYCOPROTEIN', NULL, NULL, NULL, 15),
(125677, NULL, 'PTHR31719:SF83', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(125678, NULL, 'PTHR33404:SF1', NULL, NULL, NULL, NULL, 'SLL0497 PROTEIN', NULL, NULL, NULL, 15),
(125679, NULL, 'PTHR44757:SF4', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCE-RELATED', NULL, NULL, NULL, 15),
(125680, NULL, 'PTHR31080:SF187', NULL, NULL, NULL, NULL, 'C/VIF2', NULL, NULL, NULL, 15),
(125681, NULL, 'PTHR43323:SF13', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', NULL, NULL, NULL, 15),
(125682, NULL, 'PTHR46369:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CELLULOSE SYNTHASE INTERACTIVE 3', NULL, NULL, NULL, 15),
(125683, NULL, 'PTHR46511:SF1', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(125684, NULL, 'PTHR37542:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125685, NULL, 'PTHR24412:SF146', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 41', NULL, NULL, 28995, 15),
(125686, NULL, 'PTHR31235:SF340', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(125687, NULL, 'PTHR18860:SF104', NULL, NULL, NULL, NULL, 'BNAA07G10500D PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125688, NULL, 'PTHR46890:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125689, NULL, 'PTHR17537:SF5', NULL, NULL, NULL, NULL, 'TOB, ISOFORM A', NULL, NULL, NULL, 15),
(125690, NULL, 'PTHR43173:SF21', NULL, NULL, NULL, NULL, 'ALPHA 1,3 GLUCANASE GH71 (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(125691, NULL, 'PTHR11652:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125692, NULL, 'PTHR33147:SF12', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(125693, NULL, 'PTHR35290', NULL, NULL, NULL, NULL, 'PROTEIN CASPARIAN STRIP INTEGRITY FACTOR 1-RELATED', NULL, NULL, 33035, 15),
(125694, NULL, 'PTHR10292:SF11', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN LINKER DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 15594, 15),
(125695, NULL, 'PTHR10177:SF253', NULL, NULL, NULL, NULL, 'CYCLIN-B1-4', NULL, NULL, NULL, 15),
(125696, NULL, 'PTHR43119', NULL, NULL, NULL, NULL, 'ABC TRANSPORT PROTEIN ATP-BINDING COMPONENT-RELATED', NULL, NULL, NULL, 15),
(125697, NULL, 'PTHR38689', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE HYDROPHOBIC MEMBRANE ANCHOR SUBUNIT', NULL, NULL, 9961, 15),
(125698, NULL, 'PTHR33156:SF30', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 6, CHLOROPLASTIC/MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(125699, NULL, 'PTHR43280:SF13', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR RHAR', NULL, NULL, NULL, 15),
(125700, NULL, 'PTHR11830:SF33', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', NULL, NULL, NULL, 15),
(125701, NULL, 'PTHR18934:SF111', NULL, NULL, NULL, NULL, 'RNA HELICASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(125702, NULL, 'PTHR48017:SF108', NULL, NULL, NULL, NULL, 'BNACNNG74340D PROTEIN', NULL, NULL, NULL, 15),
(125703, NULL, 'PTHR31376:SF38', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 11-RELATED', NULL, NULL, NULL, 15),
(125704, NULL, 'PTHR24089:SF718', NULL, NULL, NULL, NULL, 'BNAA02G34490D PROTEIN', NULL, NULL, NULL, 15),
(125705, NULL, 'PTHR28590', NULL, NULL, NULL, NULL, 'SPEXIN', NULL, NULL, 22564, 15),
(125706, NULL, 'PTHR23130:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125707, NULL, 'PTHR33127:SF61', NULL, NULL, NULL, NULL, 'BNAC07G15790D PROTEIN', NULL, NULL, NULL, 15),
(125708, NULL, 'PTHR46821:SF7', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(125709, NULL, 'PTHR46330:SF5', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 22-RELATED', NULL, NULL, NULL, 15),
(125710, NULL, 'PTHR32246:SF125', NULL, NULL, NULL, NULL, 'BNAA08G05770D PROTEIN', NULL, NULL, NULL, 15),
(125711, NULL, 'PTHR38444', NULL, NULL, NULL, NULL, 'ENTEROBACTIN BIOSYNTHESIS PROTEIN YBDZ', NULL, NULL, 35961, 15),
(125712, NULL, 'PTHR33214:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125713, NULL, 'PTHR23419:SF8', NULL, NULL, NULL, NULL, 'FI09726P', NULL, NULL, NULL, 15),
(125714, NULL, 'PTHR47992:SF89', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 75 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(125715, NULL, 'PTHR47925:SF100', NULL, NULL, NULL, NULL, 'BNAC09G13830D PROTEIN', NULL, NULL, NULL, 15),
(125716, NULL, 'PTHR47537:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125717, NULL, 'PTHR23159:SF42', NULL, NULL, NULL, NULL, 'LIN-5 (FIVE) INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(125718, NULL, 'PTHR31052:SF12', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(125719, NULL, 'PTHR11227:SF53', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18A-LIKE', NULL, NULL, NULL, 15),
(125720, NULL, 'PTHR43816', NULL, NULL, NULL, NULL, 'NICOTINAMIDE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, 15573, 15),
(125721, NULL, 'PTHR11188:SF137', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(125722, NULL, 'PTHR48100', NULL, NULL, NULL, NULL, 'BROAD-SPECIFICITY PHOSPHATASE YOR283W-RELATED', NULL, NULL, NULL, 15),
(125723, NULL, 'PTHR11477:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125724, NULL, 'PTHR31062:SF125', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(125725, NULL, 'PTHR32468:SF98', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', NULL, NULL, NULL, 15),
(125726, NULL, 'PTHR42788:SF17', NULL, NULL, NULL, NULL, 'ALIPHATIC SULFONATES IMPORT ATP-BINDING PROTEIN SSUB', NULL, NULL, NULL, 15),
(125727, NULL, 'PTHR43883:SF1', NULL, NULL, NULL, NULL, 'SLR0207 PROTEIN', NULL, NULL, NULL, 15),
(125728, NULL, 'PTHR19282:SF51', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(125729, NULL, 'PTHR12606:SF114', NULL, NULL, NULL, NULL, 'OS01G0113000 PROTEIN', NULL, NULL, NULL, 15),
(125730, NULL, 'PTHR31435', NULL, NULL, NULL, NULL, 'PROTEIN NATD1', NULL, NULL, 38926, 15),
(125731, NULL, 'PTHR31636:SF186', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', NULL, NULL, 22510, 15),
(125732, NULL, 'PTHR31221:SF247', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(125733, NULL, 'PTHR10239:SF30', NULL, NULL, NULL, NULL, 'ISTHMIN-1', NULL, NULL, 36580, 15),
(125734, NULL, 'PTHR45725:SF3', NULL, NULL, NULL, NULL, 'DELPHILIN', NULL, NULL, NULL, 15),
(125735, NULL, 'PTHR43920:SF3', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 3', NULL, NULL, 24693, 15),
(125736, NULL, 'PTHR33546', NULL, NULL, NULL, NULL, 'LARGE, MULTIFUNCTIONAL SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(125737, NULL, 'PTHR47928:SF94', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(125738, NULL, 'PTHR33914:SF3', NULL, NULL, NULL, NULL, 'PROTEIN BREAKING OF ASYMMETRY IN THE STOMATAL LINEAGE', NULL, NULL, NULL, 15),
(125739, NULL, 'PTHR26451:SF312', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(125740, NULL, 'PTHR21143:SF112', NULL, NULL, NULL, NULL, 'HIGH-ENERGY LIGHT UNRESPONSIVE PROTEIN 1', NULL, NULL, NULL, 15),
(125741, NULL, 'PTHR46737:SF2', NULL, NULL, NULL, NULL, 'OS02G0827600 PROTEIN', NULL, NULL, NULL, 15),
(125742, NULL, 'PTHR10891:SF797', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125743, NULL, 'PTHR22943:SF112', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(125744, NULL, 'PTHR15010', NULL, NULL, NULL, NULL, 'ACYLOXYACYL HYDROLASE', NULL, NULL, 35527, 15),
(125745, NULL, 'PTHR28034:SF1', NULL, NULL, NULL, NULL, 'SET1 COMPLEX COMPONENT SHG1', NULL, NULL, NULL, 15),
(125746, NULL, 'PTHR45664:SF13', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A3', NULL, NULL, NULL, 15),
(125747, NULL, 'PTHR11165:SF125', NULL, NULL, NULL, NULL, 'OS12G0595600 PROTEIN', NULL, NULL, NULL, 15),
(125748, NULL, 'PTHR15665', NULL, NULL, NULL, NULL, 'ASTEROID PROTEIN', NULL, NULL, 22519, 15),
(125749, NULL, 'PTHR48002:SF135', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(125750, NULL, 'PTHR22874', NULL, NULL, NULL, NULL, 'ACTIVATING MOLECULE IN BECN1-REGULATED AUTOPHAGY PROTEIN 1', NULL, NULL, NULL, 15),
(125751, NULL, 'PTHR45798:SF42', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL8-LIKE', NULL, NULL, NULL, 15),
(125752, NULL, 'PTHR33450:SF26', NULL, NULL, NULL, NULL, 'BNACNNG71050D PROTEIN', NULL, NULL, NULL, 15),
(125753, NULL, 'PTHR10492:SF75', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(125754, NULL, 'PTHR11685:SF358', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(125755, NULL, 'PTHR11360:SF93', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 7-LIKE PROTEIN', NULL, NULL, NULL, 15),
(125756, NULL, 'PTHR48160:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37A', NULL, NULL, NULL, 15),
(125757, NULL, 'PTHR15692:SF8', NULL, NULL, NULL, NULL, 'MASTERMIND-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(125758, NULL, 'PTHR37249:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125759, NULL, 'PTHR34723:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125760, NULL, 'PTHR40618:SF1', NULL, NULL, NULL, NULL, 'B-ZIP TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125761, NULL, 'PTHR10012', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B', NULL, NULL, 4904, 15),
(125762, NULL, 'PTHR43391:SF5', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125763, NULL, 'PTHR33164:SF44', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(125764, NULL, 'PTHR14317:SF0', NULL, NULL, NULL, NULL, 'PROTAMINE-3', NULL, NULL, NULL, 15),
(125765, NULL, 'PTHR33879:SF8', NULL, NULL, NULL, NULL, 'OS07G0173100 PROTEIN', NULL, NULL, NULL, 15),
(125766, NULL, 'PTHR24329:SF531', NULL, NULL, NULL, NULL, 'PROTEIN CBR-UNC-42', NULL, NULL, NULL, 15),
(125767, NULL, 'PTHR43880:SF35', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1-LIKE', NULL, NULL, NULL, 15),
(125768, NULL, 'PTHR46196:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LHW', NULL, NULL, 34430, 15),
(125769, NULL, 'PTHR21143:SF118', NULL, NULL, NULL, NULL, 'GUSTATORY AND PHEROMONE RECEPTOR 33A-RELATED', NULL, NULL, NULL, 15),
(125770, NULL, 'PTHR11799:SF1', NULL, NULL, NULL, NULL, 'PON (PARAOXONASE) AND MEC-6 LIKE', NULL, NULL, NULL, 15),
(125771, NULL, 'PTHR35832:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(125772, NULL, 'PTHR10562:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125773, NULL, 'PTHR19375:SF449', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70 FAMILY-RELATED', NULL, NULL, NULL, 15),
(125774, NULL, 'PTHR12839:SF7', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS 2', NULL, NULL, NULL, 15),
(125775, NULL, 'PTHR36788:SF5', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 172', NULL, NULL, NULL, 15),
(125776, NULL, 'PTHR21453:SF28', NULL, NULL, NULL, NULL, 'UPF0376 PROTEIN C03G6.5-RELATED', NULL, NULL, NULL, 15),
(125777, NULL, 'PTHR30614', NULL, NULL, NULL, NULL, 'MEMBRANE COMPONENT OF AMINO ACID ABC TRANSPORTER', NULL, NULL, 37491, 15),
(125778, NULL, 'PTHR46673:SF1', NULL, NULL, NULL, NULL, '4F2 CELL-SURFACE ANTIGEN HEAVY CHAIN', NULL, NULL, NULL, 15),
(125779, NULL, 'PTHR42790:SF1', NULL, NULL, NULL, NULL, 'AROMATIC AMINO ACID AMINOTRANSFERASE, HYPOTHETICAL (EUROFUNG)', NULL, NULL, NULL, 15),
(125780, NULL, 'PTHR34236:SF1', NULL, NULL, NULL, NULL, 'DIMETHYL SULFOXIDE REDUCTASE TRANSCRIPTIONAL ACTIVATOR', NULL, NULL, NULL, 15),
(125781, NULL, 'PTHR45331', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, IRON-SULPHUR BINDING SUBUNIT-RELATED-RELATED', NULL, NULL, NULL, 15),
(125782, NULL, 'PTHR15375:SF24', NULL, NULL, NULL, NULL, 'PROTEIN DBF4 HOMOLOG B', NULL, NULL, NULL, 15),
(125783, NULL, 'PTHR32234:SF0', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBD', NULL, NULL, 17498, 15),
(125784, NULL, 'PTHR10159:SF343', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 16', NULL, NULL, NULL, 15),
(125785, NULL, 'PTHR34630:SF21', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (NBS-LRR CLASS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125786, NULL, 'PTHR24276:SF91', NULL, NULL, NULL, NULL, 'FI18310P1', NULL, NULL, NULL, 15),
(125787, NULL, 'PTHR34118', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(125788, NULL, 'PTHR46581:SF3', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE RRA3', NULL, NULL, NULL, 15),
(125789, NULL, 'PTHR38702:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125790, NULL, 'PTHR31089:SF43', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 2', NULL, NULL, NULL, 15),
(125791, NULL, 'PTHR48057:SF1', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO2', NULL, NULL, NULL, 15),
(125792, NULL, 'PTHR10285:SF66', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE 1', NULL, NULL, 27629, 15),
(125793, NULL, 'PTHR26453:SF38', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13J1', NULL, NULL, NULL, 15),
(125794, NULL, 'PTHR24044:SF461', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(125795, NULL, 'PTHR31238:SF226', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125796, NULL, 'PTHR48138:SF1', NULL, NULL, NULL, NULL, 'HISTIDINE-RICH PROTEIN II', NULL, NULL, NULL, 15),
(125797, NULL, 'PTHR44329:SF189', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(125798, NULL, 'PTHR11394:SF43', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 50', NULL, NULL, NULL, 15),
(125799, NULL, 'PTHR43539:SF57', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE', NULL, NULL, NULL, 15),
(125800, NULL, 'PTHR11949', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR', NULL, NULL, 2241, 15),
(125801, NULL, 'PTHR12106:SF27', NULL, NULL, NULL, NULL, 'VPS10 HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(125802, NULL, 'PTHR34719', NULL, NULL, NULL, NULL, 'NICKEL-RESPONSIVE REGULATOR', NULL, NULL, NULL, 15),
(125803, NULL, 'PTHR15953:SF0', NULL, NULL, NULL, NULL, 'APELIN', NULL, NULL, NULL, 15),
(125804, NULL, 'PTHR36050:SF1', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 30', NULL, NULL, NULL, 15),
(125805, NULL, 'PTHR31814:SF5', NULL, NULL, NULL, NULL, 'PHOSPHOMEVALONATE KINASE, ERG8-RELATED', NULL, NULL, NULL, 15),
(125806, NULL, 'PTHR24414:SF135', NULL, NULL, NULL, NULL, 'BNAC03G16610D PROTEIN', NULL, NULL, NULL, 15),
(125807, NULL, 'PTHR24068:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125808, NULL, 'PTHR36452:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 12, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(125809, NULL, 'PTHR45944', NULL, NULL, NULL, NULL, 'SCHNURRI, ISOFORM F', NULL, NULL, NULL, 15),
(125810, NULL, 'PTHR24073:SF1092', NULL, NULL, NULL, NULL, 'OS01G0667600 PROTEIN', NULL, NULL, NULL, 15),
(125811, NULL, 'PTHR24093:SF468', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(125812, NULL, 'PTHR11599:SF59', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-1', NULL, NULL, 9280, 15),
(125813, NULL, 'PTHR31500:SF7', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 1', NULL, NULL, NULL, 15),
(125814, NULL, 'PTHR33147:SF46', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 18-RELATED', NULL, NULL, NULL, 15),
(125815, NULL, 'PTHR23068:SF9', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE 3B', NULL, NULL, NULL, 15),
(125816, NULL, 'PTHR43205:SF12', NULL, NULL, NULL, NULL, 'OS06G0602900 PROTEIN', NULL, NULL, NULL, 15),
(125817, NULL, 'PTHR22792:SF48', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 4', NULL, NULL, NULL, 15),
(125818, NULL, 'PTHR10285:SF75', NULL, NULL, NULL, NULL, 'URIDINE KINASE-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(125819, NULL, 'PTHR43138', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, GNAT FAMILY', NULL, NULL, NULL, 15),
(125820, NULL, 'PTHR31118:SF16', NULL, NULL, NULL, NULL, 'CYCLASE-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(125821, NULL, 'PTHR10551:SF14', NULL, NULL, NULL, NULL, 'CELLULASE CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(125822, NULL, 'PTHR42061', NULL, NULL, NULL, NULL, 'ENDO-CHITOSANASE', NULL, NULL, 8306, 15),
(125823, NULL, 'PTHR11206:SF141', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(125824, NULL, 'PTHR42345', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125825, NULL, 'PTHR31325:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125826, NULL, 'PTHR47426:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(125827, NULL, 'PTHR42990:SF1', NULL, NULL, NULL, NULL, 'ATPASE', NULL, NULL, NULL, 15),
(125828, NULL, 'PTHR21208:SF0', NULL, NULL, NULL, NULL, 'ADP-DEPENDENT GLUCOKINASE', NULL, NULL, NULL, 15),
(125829, NULL, 'PTHR12001:SF71', NULL, NULL, NULL, NULL, '(2E,6E)-FARNESYL DIPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(125830, NULL, 'PTHR31815:SF1', NULL, NULL, NULL, NULL, 'AGAP005329-PA', NULL, NULL, NULL, 15),
(125831, NULL, 'PTHR23318:SF20', NULL, NULL, NULL, NULL, 'BINDING', NULL, NULL, NULL, 15),
(125832, NULL, 'PTHR45693:SF51', NULL, NULL, NULL, NULL, '80A08_2', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125833, NULL, 'PTHR31719:SF43', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 56', NULL, NULL, NULL, 15),
(125834, NULL, 'PTHR10414:SF36', NULL, NULL, NULL, NULL, 'GH11618P', NULL, NULL, NULL, 15),
(125835, NULL, 'PTHR47475', NULL, NULL, NULL, NULL, 'CHROMOSOME TRANSMISSION FIDELITY PROTEIN 8', NULL, NULL, NULL, 15),
(125836, NULL, 'PTHR47951:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 - LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(125837, NULL, 'PTHR47689:SF2', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(125838, NULL, 'PTHR12277:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125839, NULL, 'PTHR31260:SF31', NULL, NULL, NULL, NULL, 'BNAC02G16770D PROTEIN', NULL, NULL, NULL, 15),
(125840, NULL, 'PTHR33983:SF12', NULL, NULL, NULL, NULL, 'BNAANNG30110D PROTEIN', NULL, NULL, NULL, 15),
(125841, NULL, 'PTHR15566:SF4', NULL, NULL, NULL, NULL, 'POM121-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(125842, NULL, 'PTHR31087:SF66', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 8', NULL, NULL, NULL, 15),
(125843, NULL, 'PTHR37898', NULL, NULL, NULL, NULL, 'OS05G0540200 PROTEIN', NULL, NULL, 35032, 15),
(125844, NULL, 'PTHR47958:SF83', NULL, NULL, NULL, NULL, 'MEL-46', NULL, NULL, NULL, 15),
(125845, NULL, 'PTHR35735:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125846, NULL, 'PTHR15427:SF21', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q AND TUMOR NECROSIS FACTOR-RELATED PROTEIN 9A-RELATED', NULL, NULL, NULL, 15),
(125847, NULL, 'PTHR23069:SF4', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 27433, 15),
(125848, NULL, 'PTHR32467:SF104', NULL, NULL, NULL, NULL, 'AP2/EREBP TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(125849, NULL, 'PTHR33021:SF58', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN', NULL, NULL, NULL, 15),
(125850, NULL, 'PTHR45642:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125851, NULL, 'PTHR42683:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125852, NULL, 'PTHR10127:SF785', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-8', NULL, NULL, NULL, 15),
(125853, NULL, 'PTHR31311:SF22', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 4-RELATED', NULL, NULL, NULL, 15),
(125854, NULL, 'PTHR45620:SF18', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE 1 RECEPTOR B', NULL, NULL, NULL, 15),
(125855, NULL, 'PTHR24390:SF162', NULL, NULL, NULL, NULL, 'FEZ FAMILY ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(125856, NULL, 'PTHR16223:SF233', NULL, NULL, NULL, NULL, 'OS09G0487900 PROTEIN', NULL, NULL, NULL, 15),
(125857, NULL, 'PTHR12730', NULL, NULL, NULL, NULL, 'HSDA/SDA1-RELATED', NULL, NULL, 25794, 15),
(125858, NULL, 'PTHR46441:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125859, NULL, 'PTHR47968:SF20', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(125860, NULL, 'PTHR34045', NULL, NULL, NULL, NULL, 'OS03G0406300 PROTEIN', NULL, NULL, 39318, 15),
(125861, NULL, 'PTHR21445:SF0', NULL, NULL, NULL, NULL, 'SI:CH211-141O9.10', NULL, NULL, NULL, 15),
(125862, NULL, 'PTHR30289:SF1', NULL, NULL, NULL, NULL, 'PEBP (PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125863, NULL, 'PTHR28005', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 17', NULL, NULL, 6572, 15),
(125864, NULL, 'PTHR24377:SF819', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 607', NULL, NULL, NULL, 15),
(125865, NULL, 'PTHR31375:SF43', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE/GLYCOSIDE HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125866, NULL, 'PTHR11945:SF608', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 26-LIKE', NULL, NULL, NULL, 15),
(125867, NULL, 'PTHR20961:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', NULL, NULL, NULL, 15),
(125868, NULL, 'PTHR11596:SF74', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE, TISSUE-NONSPECIFIC ISOZYME', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125869, NULL, 'PTHR14255:SF32', NULL, NULL, NULL, NULL, 'SULFITE EXPORTER TAUE/SAFE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125870, NULL, 'PTHR31962:SF1', NULL, NULL, NULL, NULL, 'SPHINGOLIPID LONG CHAIN BASE-RESPONSIVE PROTEIN PIL1', NULL, NULL, NULL, 15),
(125871, NULL, 'PTHR10426:SF90', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 9', NULL, NULL, NULL, 15),
(125872, NULL, 'PTHR35356:SF1', NULL, NULL, NULL, NULL, 'OS01G0157500 PROTEIN', NULL, NULL, NULL, 15),
(125873, NULL, 'PTHR43243:SF51', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 1-LIKE', NULL, NULL, NULL, 15),
(125874, NULL, 'PTHR11783:SF180', NULL, NULL, NULL, NULL, 'GH11818P-RELATED', NULL, NULL, NULL, 15),
(125875, NULL, 'PTHR10822:SF31', NULL, NULL, NULL, NULL, 'GLYPICAN-6', NULL, NULL, 27025, 15),
(125876, NULL, 'PTHR11003:SF285', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR, POTASSIUM CHANNEL DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(125877, NULL, 'PTHR33346:SF34', NULL, NULL, NULL, NULL, 'BNAC07G15380D PROTEIN', NULL, NULL, NULL, 15),
(125878, NULL, 'PTHR10288:SF134', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN RCF3', NULL, NULL, NULL, 15),
(125879, NULL, 'PTHR32322:SF13', NULL, NULL, NULL, NULL, 'TRANSPORTER, DRUG/METABOLITE EXPORTER FAMILY', NULL, NULL, NULL, 15),
(125880, NULL, 'PTHR15478:SF8', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN FAMILY A MEMBER 2', NULL, NULL, NULL, 15),
(125881, NULL, 'PTHR27000:SF637', NULL, NULL, NULL, NULL, 'OS02G0228300 PROTEIN', NULL, NULL, NULL, 15),
(125882, NULL, 'PTHR37702:SF12', NULL, NULL, NULL, NULL, 'BNAA02G30680D PROTEIN', NULL, NULL, NULL, 15),
(125883, NULL, 'PTHR36447:SF1', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE GANA', NULL, NULL, NULL, 15),
(125884, NULL, 'PTHR11909:SF291', NULL, NULL, NULL, NULL, 'PROTEIN CBG12889', NULL, NULL, NULL, 15),
(125885, NULL, 'PTHR31009:SF54', NULL, NULL, NULL, NULL, 'OS02G0719600 PROTEIN', NULL, NULL, NULL, 15),
(125886, NULL, 'PTHR31896:SF9', NULL, NULL, NULL, NULL, 'OS08G0111500 PROTEIN', NULL, NULL, NULL, 15),
(125887, NULL, 'PTHR32158:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125888, NULL, 'PTHR47990:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125889, NULL, 'PTHR33909:SF1', NULL, NULL, NULL, NULL, 'SEC TRANSLOCON ACCESSORY COMPLEX SUBUNIT YAJC', NULL, NULL, NULL, 15),
(125890, NULL, 'PTHR28436', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM5 HOMOLOG', NULL, NULL, 21946, 15),
(125891, NULL, 'PTHR11440:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125892, NULL, 'PTHR31301:SF69', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN 12, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(125893, NULL, 'PTHR11913:SF88', NULL, NULL, NULL, NULL, 'ACTIN DEPOLYMERIZING FACTOR 3-RELATED', NULL, NULL, NULL, 15),
(125894, NULL, 'PTHR46013', NULL, NULL, NULL, NULL, 'VASCULAR CELL ADHESION MOLECULE 1', NULL, NULL, NULL, 15),
(125895, NULL, 'PTHR23024:SF521', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(125896, NULL, 'PTHR12156:SF5', NULL, NULL, NULL, NULL, 'FI18040P1', NULL, NULL, NULL, 15),
(125897, NULL, 'PTHR30523:SF32', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE', NULL, NULL, NULL, 15),
(125898, NULL, 'PTHR33472:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125899, NULL, 'PTHR15315:SF72', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(125900, NULL, 'PTHR46132:SF6', NULL, NULL, NULL, NULL, 'DIGALACTOSYLDIACYLGLYCEROL SYNTHASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(125901, NULL, 'PTHR10966:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', NULL, NULL, NULL, 15),
(125902, NULL, 'PTHR32002:SF53', NULL, NULL, NULL, NULL, 'BNAC07G15260D PROTEIN', NULL, NULL, NULL, 15),
(125903, NULL, 'PTHR46548:SF8', NULL, NULL, NULL, NULL, 'BAH DOMAIN', NULL, NULL, NULL, 15),
(125904, NULL, 'PTHR11183:SF100', NULL, NULL, NULL, NULL, 'GLYCOGENIN-2', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125905, NULL, 'PTHR43404', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE CHOLINEPHOSPHOTRANSFERASE LICD', NULL, NULL, NULL, 15),
(125906, NULL, 'PTHR31100:SF70', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(125907, NULL, 'PTHR43811:SF23', NULL, NULL, NULL, NULL, 'FKBP-TYPE 22 KDA PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(125908, NULL, 'PTHR43280:SF6', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR RHAS', NULL, NULL, NULL, 15),
(125909, NULL, 'PTHR34994:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM25E', NULL, NULL, NULL, 15),
(125910, NULL, 'PTHR31676:SF3', NULL, NULL, NULL, NULL, 'OS05G0362300 PROTEIN', NULL, NULL, NULL, 15),
(125911, NULL, 'PTHR31677:SF125', NULL, NULL, NULL, NULL, 'OSJNBA0043A12.18 PROTEIN', NULL, NULL, NULL, 15),
(125912, NULL, 'PTHR22765:SF247', NULL, NULL, NULL, NULL, 'RECEPTOR HOMOLOGY REGION, TRANSMEMBRANE DOMAIN- AND RING DOMAIN-CONTAINING PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(125913, NULL, 'PTHR16509', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125914, NULL, 'PTHR23226:SF227', NULL, NULL, NULL, NULL, 'MCG112779-RELATED', NULL, NULL, NULL, 15),
(125915, NULL, 'PTHR45824:SF22', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125916, NULL, 'PTHR11817:SF89', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(125917, NULL, 'PTHR31503:SF65', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', NULL, NULL, NULL, 15),
(125918, NULL, 'PTHR12271:SF124', NULL, NULL, NULL, NULL, 'GH05885P', NULL, NULL, NULL, 15),
(125919, NULL, 'PTHR11952:SF14', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(125920, NULL, 'PTHR10562:SF58', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', NULL, NULL, NULL, 15),
(125921, NULL, 'PTHR47947', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82C3-RELATED', NULL, NULL, NULL, 15),
(125922, NULL, 'PTHR33021:SF297', NULL, NULL, NULL, NULL, 'BNAA05G20350D PROTEIN', NULL, NULL, NULL, 15),
(125923, NULL, 'PTHR13723:SF197', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 19', NULL, NULL, NULL, 15),
(125924, NULL, 'PTHR39411', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 113', NULL, NULL, NULL, 15),
(125925, NULL, 'PTHR14261:SF0', NULL, NULL, NULL, NULL, 'ONCOSTATIN-M', NULL, NULL, NULL, 15),
(125926, NULL, 'PTHR43880:SF52', NULL, NULL, NULL, NULL, 'S-(HYDROXYMETHYL)GLUTATHIONE DEHYDROGENASE', NULL, NULL, NULL, 15),
(125927, NULL, 'PTHR11955:SF61', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN, HEART', NULL, NULL, NULL, 15),
(125928, NULL, 'PTHR43570:SF12', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 3 MEMBER B2-RELATED', NULL, NULL, NULL, 15),
(125929, NULL, 'PTHR45768:SF49', NULL, NULL, NULL, NULL, 'OS02G0743100 PROTEIN', NULL, NULL, NULL, 15),
(125930, NULL, 'PTHR10827:SF81', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN', NULL, NULL, NULL, 15),
(125931, NULL, 'PTHR48018:SF83', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5M8', NULL, NULL, NULL, 15),
(125932, NULL, 'PTHR37177:SF5', NULL, NULL, NULL, NULL, 'ALTERNATIVE NAD(P)H DEHYDROGENASE', NULL, NULL, NULL, 15),
(125933, NULL, 'PTHR31352:SF36', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', NULL, NULL, NULL, 15),
(125934, NULL, 'PTHR30371:SF9', NULL, NULL, NULL, NULL, 'BNAA06G35150D PROTEIN', NULL, NULL, NULL, 15),
(125935, NULL, 'PTHR31639:SF143', NULL, NULL, NULL, NULL, 'BNAA03G50920D PROTEIN', NULL, NULL, NULL, 15),
(125936, NULL, 'PTHR31388:SF34', NULL, NULL, NULL, NULL, 'PEROXIDASE 10', NULL, NULL, NULL, 15),
(125937, NULL, 'PTHR10903:SF146', NULL, NULL, NULL, NULL, 'IMMUNE-ASSOCIATED NUCLEOTIDE-BINDING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(125938, NULL, 'PTHR19876:SF46', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(125939, NULL, 'PTHR31449:SF3', NULL, NULL, NULL, NULL, 'UPF0598 PROTEIN C8ORF82', NULL, NULL, NULL, 15),
(125940, NULL, 'PTHR47970:SF3', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125941, NULL, 'PTHR35490:SF7', NULL, NULL, NULL, NULL, 'BNAC01G42400D PROTEIN', NULL, NULL, NULL, 15),
(125942, NULL, 'PTHR46566:SF1', NULL, NULL, NULL, NULL, '1-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(125943, NULL, 'PTHR43851:SF3', NULL, NULL, NULL, NULL, 'LD23884P', NULL, NULL, NULL, 15),
(125944, NULL, 'PTHR26379:SF384', NULL, NULL, NULL, NULL, 'BNAC09G38850D PROTEIN', NULL, NULL, NULL, 15),
(125945, NULL, 'PTHR12682:SF12', NULL, NULL, NULL, NULL, 'PROTEIN ARCHEASE', NULL, NULL, NULL, 15),
(125946, NULL, 'PTHR10693:SF52', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING BINDING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(125947, NULL, 'PTHR13068:SF84', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR-LIKE', NULL, NULL, NULL, 15),
(125948, NULL, 'PTHR11764:SF72', NULL, NULL, NULL, NULL, 'BNAC04G13210D PROTEIN', NULL, NULL, NULL, 15),
(125949, NULL, 'PTHR11814:SF243', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 1,3-RELATED', NULL, NULL, NULL, 15),
(125950, NULL, 'PTHR10807:SF51', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 11', NULL, NULL, 24728, 15),
(125951, NULL, 'PTHR18966:SF157', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 1', NULL, NULL, NULL, 15),
(125952, NULL, 'PTHR23023:SF243', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(125953, NULL, 'PTHR14037', NULL, NULL, NULL, NULL, 'MAMMAGLOBIN-RELATED', NULL, NULL, NULL, 15),
(125954, NULL, 'PTHR19923:SF1', NULL, NULL, NULL, NULL, 'BNAA01G27690D PROTEIN', NULL, NULL, NULL, 15),
(125955, NULL, 'PTHR46038:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125956, NULL, 'PTHR10114', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', NULL, NULL, 5765, 15),
(125957, NULL, 'PTHR45849:SF3', NULL, NULL, NULL, NULL, 'HISTONE CHAPERONE RTT106', NULL, NULL, NULL, 15),
(125958, NULL, 'PTHR12398:SF20', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1, REGULATORY (INHIBITOR) SUBUNIT 2', NULL, NULL, NULL, 15),
(125959, NULL, 'PTHR44516:SF8', NULL, NULL, NULL, NULL, '2-METHYL-6-PHYTYL-1,4-HYDROQUINONE METHYLTRANSFERASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(125960, NULL, 'PTHR24031:SF700', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125961, NULL, 'PTHR33110:SF64', NULL, NULL, NULL, NULL, 'RESPONSIVE TO DEHYDRATION 22', NULL, NULL, NULL, 15),
(125962, NULL, 'PTHR48032', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MUSASHI HOMOLOG RBP6', NULL, NULL, NULL, 15),
(125963, NULL, 'PTHR11351:SF20', NULL, NULL, NULL, NULL, 'ACYL-COA DESATURASE 4', NULL, NULL, NULL, 15),
(125964, NULL, 'PTHR23245:SF35', NULL, NULL, NULL, NULL, 'TRNA (GUANINE(37)-N1)-METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(125965, NULL, 'PTHR24221:SF438', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', NULL, NULL, NULL, 15),
(125966, NULL, 'PTHR15641', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 5', NULL, NULL, 18580, 15),
(125967, NULL, 'PTHR31190:SF270', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF071', NULL, NULL, NULL, 15),
(125968, NULL, 'PTHR24226:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 146-RELATED', NULL, NULL, 36440, 15),
(125969, NULL, 'PTHR18868:SF43', NULL, NULL, NULL, NULL, 'OS01G0776500 PROTEIN', NULL, NULL, NULL, 15),
(125970, NULL, 'PTHR31346', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 2, CHLOROPLASTIC-RELATED-RELATED', NULL, NULL, 34109, 15),
(125971, NULL, 'PTHR23024:SF96', NULL, NULL, NULL, NULL, 'ARYLFORMAMIDASE', NULL, NULL, NULL, 15),
(125972, NULL, 'PTHR47993:SF170', NULL, NULL, NULL, NULL, 'BNAA03G01620D PROTEIN', NULL, NULL, NULL, 15),
(125973, NULL, 'PTHR24298:SF47', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 77A4', NULL, NULL, NULL, 15),
(125974, NULL, 'PTHR46387:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125975, NULL, 'PTHR47336:SF3', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN TYE7', NULL, NULL, NULL, 15),
(125976, NULL, 'PTHR46854:SF4', NULL, NULL, NULL, NULL, 'BNAA05G18330D PROTEIN', NULL, NULL, NULL, 15),
(125977, NULL, 'PTHR34196', NULL, NULL, NULL, NULL, 'OS02G0697700 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(125978, NULL, 'PTHR12632:SF41', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-10', NULL, NULL, NULL, 15),
(125979, NULL, 'PTHR31221:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125980, NULL, 'PTHR14002:SF36', NULL, NULL, NULL, NULL, 'CUB AND ZONA PELLUCIDA-LIKE DOMAINS 1, TANDEM DUPLICATE 2', NULL, NULL, NULL, 15),
(125981, NULL, 'PTHR23515:SF27', NULL, NULL, NULL, NULL, 'BNAC08G43370D PROTEIN', NULL, NULL, NULL, 15),
(125982, NULL, 'PTHR23067:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125983, NULL, 'PTHR31683:SF86', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(125984, NULL, 'PTHR23240:SF26', NULL, NULL, NULL, NULL, '5'' EXONUCLEASE APOLLO', NULL, NULL, NULL, 15),
(125985, NULL, 'PTHR11254', NULL, NULL, NULL, NULL, 'HECT DOMAIN UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(125986, NULL, 'PTHR27000:SF603', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(125987, NULL, 'PTHR47995:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125988, NULL, 'PTHR37996', NULL, NULL, NULL, NULL, 'B- AND T-LYMPHOCYTE ATTENUATOR', NULL, NULL, 34276, 15),
(125989, NULL, 'PTHR31325:SF185', NULL, NULL, NULL, NULL, 'OS10G0482200 PROTEIN', NULL, NULL, NULL, 15),
(125990, NULL, 'PTHR35862:SF2', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', NULL, NULL, NULL, 15),
(125991, NULL, 'PTHR31973:SF142', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(125992, NULL, 'PTHR46634:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125993, NULL, 'PTHR22748:SF4', NULL, NULL, NULL, NULL, 'DNA-(APURINIC OR APYRIMIDINIC SITE) LYASE 2', NULL, NULL, NULL, 15),
(125994, NULL, 'PTHR10894:SF19', NULL, NULL, NULL, NULL, 'PROTEIN NOP56, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(125995, NULL, 'PTHR47849:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(125996, NULL, 'PTHR32382:SF34', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 3', NULL, NULL, NULL, 15),
(125997, NULL, 'PTHR37342', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689959', NULL, NULL, 26348, 15),
(125998, NULL, 'PTHR33696:SF5', NULL, NULL, NULL, NULL, 'OS02G0551600 PROTEIN', NULL, NULL, NULL, 15),
(125999, NULL, 'PTHR21660:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126000, NULL, 'PTHR33337:SF30', NULL, NULL, NULL, NULL, 'GLUTATHIONE-DEPENDENT FORMALDEHYDE-ACTIVATING ENZYME', NULL, NULL, NULL, 15),
(126001, NULL, 'PTHR24292:SF96', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(126002, NULL, 'PTHR24034:SF130', NULL, NULL, NULL, NULL, 'LATENT TRANSFORMING GROWTH FACTOR BETA BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(126003, NULL, 'PTHR14491:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126004, NULL, 'PTHR15599', NULL, NULL, NULL, NULL, 'RTDR1', NULL, NULL, NULL, 15),
(126005, NULL, 'PTHR45708:SF28', NULL, NULL, NULL, NULL, 'A, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(126006, NULL, 'PTHR14647:SF61', NULL, NULL, NULL, NULL, 'SYNDECAN', NULL, NULL, NULL, 15),
(126007, NULL, 'PTHR10869:SF158', NULL, NULL, NULL, NULL, 'PROLINE HYDROXYLASE', NULL, NULL, NULL, 15),
(126008, NULL, 'PTHR10666:SF327', NULL, NULL, NULL, NULL, 'UBIQUITIN-40S RIBOSOMAL PROTEIN S27A-1', NULL, NULL, NULL, 15),
(126009, NULL, 'PTHR34780:SF9', NULL, NULL, NULL, NULL, 'OS02G0733900 PROTEIN', NULL, NULL, NULL, 15),
(126010, NULL, 'PTHR47640:SF46', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126011, NULL, 'PTHR11654:SF393', NULL, NULL, NULL, NULL, 'OS06G0632100 PROTEIN', NULL, NULL, NULL, 15),
(126012, NULL, 'PTHR24567:SF13', NULL, NULL, NULL, NULL, 'ANAEROBIC REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(126013, NULL, 'PTHR18953:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126014, NULL, 'PTHR28222', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD4', NULL, NULL, 8032, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126015, NULL, 'PTHR31790:SF387', NULL, NULL, NULL, NULL, 'BNAA04G18280D PROTEIN', NULL, NULL, NULL, 15),
(126016, NULL, 'PTHR11388:SF150', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', NULL, NULL, NULL, 15),
(126017, NULL, 'PTHR24381:SF333', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2810021J22 GENE', NULL, NULL, NULL, 15),
(126018, NULL, 'PTHR13126:SF1', NULL, NULL, NULL, NULL, 'BNAA04G19940D PROTEIN', NULL, NULL, NULL, 15),
(126019, NULL, 'PTHR43647:SF5', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(126020, NULL, 'PTHR18945:SF776', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE-GATED CHLORIDE CHANNEL SUBUNIT ACC-1', NULL, NULL, NULL, 15),
(126021, NULL, 'PTHR24292', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(126022, NULL, 'PTHR23291:SF31', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 4', NULL, NULL, NULL, 15),
(126023, NULL, 'PTHR24361:SF830', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(126024, NULL, 'PTHR45705:SF9', NULL, NULL, NULL, NULL, 'PROTEIN GTS1', NULL, NULL, NULL, 15),
(126025, NULL, 'PTHR23501:SF175', NULL, NULL, NULL, NULL, 'SIDEROPHORE IRON TRANSPORTER MIRC-RELATED', NULL, NULL, NULL, 15),
(126026, NULL, 'PTHR12411:SF16', NULL, NULL, NULL, NULL, 'TUBULOINTERSTITIAL NEPHRITIS ANTIGEN-LIKE 1', NULL, NULL, NULL, 15),
(126027, NULL, 'PTHR32102', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126028, NULL, 'PTHR12566:SF8', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATION ELEMENT-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(126029, NULL, 'PTHR23073:SF103', NULL, NULL, NULL, NULL, 'BNAA05G31700D PROTEIN', NULL, NULL, NULL, 15),
(126030, NULL, 'PTHR15606:SF4', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 8', NULL, NULL, NULL, 15),
(126031, NULL, 'PTHR33021:SF364', NULL, NULL, NULL, NULL, 'CUPREDOXIN-RELATED', NULL, NULL, NULL, 15),
(126032, NULL, 'PTHR43040:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE D', NULL, NULL, NULL, 15),
(126033, NULL, 'PTHR45649:SF6', NULL, NULL, NULL, NULL, 'GABA-SPECIFIC PERMEASE', NULL, NULL, NULL, 15),
(126034, NULL, 'PTHR10782:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126035, NULL, 'PTHR12002:SF27', NULL, NULL, NULL, NULL, 'CLAUDIN-19', NULL, NULL, NULL, 15),
(126036, NULL, 'PTHR15964', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN B48 RECEPTOR', NULL, NULL, 24059, 15),
(126037, NULL, 'PTHR11807:SF27', NULL, NULL, NULL, NULL, 'TRNA-5-METHYLURIDINE(54) 2-SULFURTRANSFERASE', NULL, NULL, NULL, 15),
(126038, NULL, 'PTHR47968:SF5', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(126039, NULL, 'PTHR24271:SF69', NULL, NULL, NULL, NULL, 'GRANZYME A', NULL, NULL, NULL, 15),
(126040, NULL, 'PTHR31086:SF54', NULL, NULL, NULL, NULL, 'ALUMINUM ACTIVATED MALATE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(126041, NULL, 'PTHR10366:SF404', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1', NULL, NULL, NULL, 15),
(126042, NULL, 'PTHR21700:SF13', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(126043, NULL, 'PTHR33600:SF3', NULL, NULL, NULL, NULL, 'PLASTID DIVISION PROTEIN PDV2', NULL, NULL, NULL, 15),
(126044, NULL, 'PTHR33110:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126045, NULL, 'PTHR43706:SF21', NULL, NULL, NULL, NULL, 'INTERNAL ALTERNATIVE NAD(P)H-UBIQUINONE OXIDOREDUCTASE A1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(126046, NULL, 'PTHR11926:SF1354', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(126047, NULL, 'PTHR48063:SF11', NULL, NULL, NULL, NULL, 'HCRVF1 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(126048, NULL, 'PTHR11176:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126049, NULL, 'PTHR19443:SF1', NULL, NULL, NULL, NULL, 'HEXOKINASE-3', NULL, NULL, NULL, 15),
(126050, NULL, 'PTHR24206:SF59', NULL, NULL, NULL, NULL, '[F-ACTIN]-MONOOXYGENASE MICAL1', NULL, NULL, 29045, 15),
(126051, NULL, 'PTHR43768:SF27', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE A', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126052, NULL, 'PTHR45717:SF15', NULL, NULL, NULL, NULL, 'OS01G0280400 PROTEIN', NULL, NULL, NULL, 15),
(126053, NULL, 'PTHR45850:SF4', NULL, NULL, NULL, NULL, 'SORTING NEXIN-6', NULL, NULL, 24307, 15),
(126054, NULL, 'PTHR11132:SF270', NULL, NULL, NULL, NULL, 'GDP-MANNOSE TRANSPORTER GONST3', NULL, NULL, 27101, 15),
(126055, NULL, 'PTHR13825', NULL, NULL, NULL, NULL, 'SCHNURRI', NULL, NULL, NULL, 15),
(126056, NULL, 'PTHR12815:SF44', NULL, NULL, NULL, NULL, 'SORTING AND ASSEMBLY MACHINERY COMPONENT 50 HOMOLOG A', NULL, NULL, NULL, 15),
(126057, NULL, 'PTHR33070:SF62', NULL, NULL, NULL, NULL, 'BNAA09G54690D PROTEIN', NULL, NULL, NULL, 15),
(126058, NULL, 'PTHR31579:SF8', NULL, NULL, NULL, NULL, 'OS10G0417800 PROTEIN', NULL, NULL, NULL, 15),
(126059, NULL, 'PTHR48079:SF5', NULL, NULL, NULL, NULL, 'DEPENDENT EPIMERASE/DEHYDRATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00180)-RELATED', NULL, NULL, NULL, 15),
(126060, NULL, 'PTHR33309:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126061, NULL, 'PTHR45974:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126062, NULL, 'PTHR21621:SF0', NULL, NULL, NULL, NULL, 'BETA-CITRYLGLUTAMATE SYNTHASE B', NULL, NULL, NULL, 15),
(126063, NULL, 'PTHR14445:SF38', NULL, NULL, NULL, NULL, 'GRB10-INTERACTING GYF PROTEIN 2', NULL, NULL, NULL, 15),
(126064, NULL, 'PTHR23408:SF3', NULL, NULL, NULL, NULL, 'METHYLMALONIC ACIDURIA TYPE A PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(126065, NULL, 'PTHR42535:SF2', NULL, NULL, NULL, NULL, 'OOKINETE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(126066, NULL, 'PTHR10458', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE', NULL, NULL, 6236, 15),
(126067, NULL, 'PTHR43795:SF86', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 7-LIKE', NULL, NULL, NULL, 15),
(126068, NULL, 'PTHR24123:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126069, NULL, 'PTHR45779', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37011, 15),
(126070, NULL, 'PTHR13890:SF26', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-1', NULL, NULL, NULL, 15),
(126071, NULL, 'PTHR35495:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126072, NULL, 'PTHR40641', NULL, NULL, NULL, NULL, 'INVOLUCRIN REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_2G08060)', NULL, NULL, NULL, 15),
(126073, NULL, 'PTHR22753:SF14', NULL, NULL, NULL, NULL, 'ESTERASE/LIPASE/THIOESTERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(126074, NULL, 'PTHR31376:SF49', NULL, NULL, NULL, NULL, 'OS09G0548600 PROTEIN', NULL, NULL, NULL, 15),
(126075, NULL, 'PTHR46077:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126076, NULL, 'PTHR46110:SF5', NULL, NULL, NULL, NULL, 'H6 FAMILY HOMEOBOX 4', NULL, NULL, NULL, 15),
(126077, NULL, 'PTHR24226:SF0', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 182', NULL, NULL, NULL, 15),
(126078, NULL, 'PTHR16517:SF124', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(126079, NULL, 'PTHR31321:SF100', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(126080, NULL, 'PTHR37613:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126081, NULL, 'PTHR22572:SF104', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLTRANSFERASE ALPHA', NULL, NULL, NULL, 15),
(126082, NULL, 'PTHR16489:SF11', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 15B', NULL, NULL, NULL, 15),
(126083, NULL, 'PTHR16655:SF4', NULL, NULL, NULL, NULL, 'COCAINE-AND AMPHETAMINE-REGULATED TRANSCRIPT CH22', NULL, NULL, NULL, 15),
(126084, NULL, 'PTHR32071:SF38', NULL, NULL, NULL, NULL, 'PSP OPERON TRANSCRIPTIONAL ACTIVATOR', NULL, NULL, NULL, 15),
(126085, NULL, 'PTHR11431:SF91', NULL, NULL, NULL, NULL, 'FERRITIN-2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(126086, NULL, 'PTHR13140:SF804', NULL, NULL, NULL, NULL, 'MYOSIN IC HEAVY CHAIN', NULL, NULL, NULL, 15),
(126087, NULL, 'PTHR12411:SF782', NULL, NULL, NULL, NULL, 'CATHEPSIN B', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126088, NULL, 'PTHR48013:SF10', NULL, NULL, NULL, NULL, 'STE20-RELATED KINASE ADAPTER PROTEIN STRD-1', NULL, NULL, NULL, 15),
(126089, NULL, 'PTHR19134:SF498', NULL, NULL, NULL, NULL, 'LD27988P', NULL, NULL, NULL, 15),
(126090, NULL, 'PTHR22765:SF180', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126091, NULL, 'PTHR14211:SF8', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NOP53', NULL, NULL, NULL, 15),
(126092, NULL, 'PTHR14554:SF1', NULL, NULL, NULL, NULL, 'GENE, 49416-RELATED', NULL, NULL, NULL, 15),
(126093, NULL, 'PTHR35532:SF5', NULL, NULL, NULL, NULL, 'SIMILAR TO POLYHYDROXYALKANOATE DEPOLYMERASE', NULL, NULL, NULL, 15),
(126094, NULL, 'PTHR46941:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 126', NULL, NULL, NULL, 15),
(126095, NULL, 'PTHR23503', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 39646, 15),
(126096, NULL, 'PTHR46128:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126097, NULL, 'PTHR10485:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM17-B', NULL, NULL, NULL, 15),
(126098, NULL, 'PTHR32285:SF177', NULL, NULL, NULL, NULL, 'OS01G0217000 PROTEIN', NULL, NULL, NULL, 15),
(126099, NULL, 'PTHR31352:SF40', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 6', NULL, NULL, NULL, 15),
(126100, NULL, 'PTHR47993:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126101, NULL, 'PTHR31929:SF34', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR19-RELATED', NULL, NULL, NULL, 15),
(126102, NULL, 'PTHR37959:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01966', NULL, NULL, NULL, 15),
(126103, NULL, 'PTHR45811:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126104, NULL, 'PTHR13844:SF57', NULL, NULL, NULL, NULL, 'LD45195P', NULL, NULL, NULL, 15),
(126105, NULL, 'PTHR12143:SF41', NULL, NULL, NULL, NULL, 'PUTATIVE SUBFAMILY (AFU_ORTHOLOGUE AFUA_6G13760)-RELATED', NULL, NULL, NULL, 15),
(126106, NULL, 'PTHR31325:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(126107, NULL, 'PTHR12526:SF592', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(126108, NULL, 'PTHR32018:SF40', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-RELATED', NULL, NULL, NULL, 15),
(126109, NULL, 'PTHR31350:SF19', NULL, NULL, NULL, NULL, 'TRANSGLUTAMINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(126110, NULL, 'PTHR33164:SF56', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MHQR', NULL, NULL, NULL, 15),
(126111, NULL, 'PTHR22802:SF325', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 10 MEMBER A', NULL, NULL, NULL, 15),
(126112, NULL, 'PTHR31945:SF117', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126113, NULL, 'PTHR11010:SF38', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE 2', NULL, NULL, NULL, 15),
(126114, NULL, 'PTHR24012:SF827', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(126115, NULL, 'PTHR13817:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126116, NULL, 'PTHR14233:SF20', NULL, NULL, NULL, NULL, 'OS09G0513200 PROTEIN', NULL, NULL, NULL, 15),
(126117, NULL, 'PTHR26450:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126118, NULL, 'PTHR13271:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126119, NULL, 'PTHR10194:SF53', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN 3', NULL, NULL, NULL, 15),
(126120, NULL, 'PTHR24089:SF710', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL3-RELATED', NULL, NULL, NULL, 15),
(126121, NULL, 'PTHR15362:SF28', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--SERINE O-PHOSPHATIDYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(126122, NULL, 'PTHR31852:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126123, NULL, 'PTHR47958:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-11', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126124, NULL, 'PTHR24231:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126125, NULL, 'PTHR31113:SF29', NULL, NULL, NULL, NULL, 'UPF0496 PROTEIN 1', NULL, NULL, NULL, 15),
(126126, NULL, 'PTHR31096:SF16', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR11', NULL, NULL, NULL, 15),
(126127, NULL, 'PTHR10676:SF242', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 3, AXONEMAL', NULL, NULL, NULL, 15),
(126128, NULL, 'PTHR24015:SF1875', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(126129, NULL, 'PTHR16592:SF2', NULL, NULL, NULL, NULL, 'ASTROTACTIN-2', NULL, NULL, NULL, 15),
(126130, NULL, 'PTHR31415:SF64', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(126131, NULL, 'PTHR31989:SF230', NULL, NULL, NULL, NULL, 'OS02G0252200 PROTEIN', NULL, NULL, NULL, 15),
(126132, NULL, 'PTHR37900:SF5', NULL, NULL, NULL, NULL, 'OS06G0686900 PROTEIN', NULL, NULL, NULL, 15),
(126133, NULL, 'PTHR34512:SF30', NULL, NULL, NULL, NULL, 'CELL SURFACE PROTEIN', NULL, NULL, NULL, 15),
(126134, NULL, 'PTHR34191:SF23', NULL, NULL, NULL, NULL, 'STRESS-INDUCED PROTEIN KIN1-RELATED', NULL, NULL, NULL, 15),
(126135, NULL, 'PTHR26452:SF115', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(126136, NULL, 'PTHR45648:SF4', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(126137, NULL, 'PTHR11528:SF117', NULL, NULL, NULL, NULL, 'BNAA06G33590D PROTEIN', NULL, NULL, NULL, 15),
(126138, NULL, 'PTHR11528:SF99', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90', NULL, NULL, NULL, 15),
(126139, NULL, 'PTHR10666:SF325', NULL, NULL, NULL, NULL, 'BNAA08G07930D PROTEIN', NULL, NULL, NULL, 15),
(126140, NULL, 'PTHR23063:SF43', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID:OLEOYL-COA ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(126141, NULL, 'PTHR23428:SF280', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(126142, NULL, 'PTHR46836:SF11', NULL, NULL, NULL, NULL, 'BNAA07G37650D PROTEIN', NULL, NULL, NULL, 15),
(126143, NULL, 'PTHR11071:SF431', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP26-1', NULL, NULL, NULL, 15),
(126144, NULL, 'PTHR11767:SF106', NULL, NULL, NULL, NULL, 'ZGC:162160', NULL, NULL, NULL, 15),
(126145, NULL, 'PTHR31929:SF42', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN X10A-RELATED', NULL, NULL, NULL, 15),
(126146, NULL, 'PTHR26453:SF667', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-LIKE PROTEIN OLF3', NULL, NULL, NULL, 15),
(126147, NULL, 'PTHR19423:SF11', NULL, NULL, NULL, NULL, 'SH3-DOMAIN-BINDING PROTEIN 5B (BTK-ASSOCIATED)', NULL, NULL, NULL, 15),
(126148, NULL, 'PTHR33696:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126149, NULL, 'PTHR26453:SF607', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 701', NULL, NULL, NULL, 15),
(126150, NULL, 'PTHR33895:SF15', NULL, NULL, NULL, NULL, 'HUMANIN-RELATED', NULL, NULL, NULL, 15),
(126151, NULL, 'PTHR14093:SF17', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN GAMMA CHAIN', NULL, NULL, NULL, 15),
(126152, NULL, 'PTHR27005:SF379', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL PSEUDOKINASE ZED1-LIKE', NULL, NULL, NULL, 15),
(126153, NULL, 'PTHR45844:SF21', NULL, NULL, NULL, NULL, 'BNAA03G18960D PROTEIN', NULL, NULL, NULL, 15),
(126154, NULL, 'PTHR11736:SF24', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B16', NULL, NULL, NULL, 15),
(126155, NULL, 'PTHR13871:SF27', NULL, NULL, NULL, NULL, 'THIOREDOXIN [SEE ALSO XTR]', NULL, NULL, NULL, 15),
(126156, NULL, 'PTHR12335:SF7', NULL, NULL, NULL, NULL, 'RT03134P', NULL, NULL, NULL, 15),
(126157, NULL, 'PTHR11850:SF277', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126158, NULL, 'PTHR23056:SF114', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(126159, NULL, 'PTHR12176:SF68', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(126160, NULL, 'PTHR14002:SF41', NULL, NULL, NULL, NULL, 'ENDOGLIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126161, NULL, 'PTHR48044:SF20', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(126162, NULL, 'PTHR23142:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126163, NULL, 'PTHR11849:SF170', NULL, NULL, NULL, NULL, 'ETS-RELATED TRANSCRIPTION FACTOR ELF-4', NULL, NULL, 35614, 15),
(126164, NULL, 'PTHR44329:SF71', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CTR1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(126165, NULL, 'PTHR33132:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126166, NULL, 'PTHR45940:SF28', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 2', NULL, NULL, NULL, 15),
(126167, NULL, 'PTHR45782:SF5', NULL, NULL, NULL, NULL, 'DAR GTPASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(126168, NULL, 'PTHR46662:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126169, NULL, 'PTHR47990:SF56', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(126170, NULL, 'PTHR33862:SF3', NULL, NULL, NULL, NULL, 'OROFACIAL CLEFT 1 CANDIDATE GENE 1 PROTEIN', NULL, NULL, NULL, 15),
(126171, NULL, 'PTHR48077:SF5', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE', NULL, NULL, NULL, 15),
(126172, NULL, 'PTHR34787:SF4', NULL, NULL, NULL, NULL, 'BNAA06G01680D PROTEIN', NULL, NULL, NULL, 15),
(126173, NULL, 'PTHR45752:SF80', NULL, NULL, NULL, NULL, 'LEUCINE-RICH-REPEATS AND CALPONIN HOMOLOGY DOMAIN PROTEIN, ISOFORM B', NULL, NULL, NULL, 15),
(126174, NULL, 'PTHR34403:SF8', NULL, NULL, NULL, NULL, 'CEREBELLAR DEGENERATION-RELATED ANTIGEN 1', NULL, NULL, NULL, 15),
(126175, NULL, 'PTHR30603:SF51', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-K FACTOR', NULL, NULL, NULL, 15),
(126176, NULL, 'PTHR11010:SF34', NULL, NULL, NULL, NULL, 'PROTEIN CBG01710', NULL, NULL, NULL, 15),
(126177, NULL, 'PTHR45832:SF1', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, 14012, 15),
(126178, NULL, 'PTHR24286:SF222', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 90B2-LIKE', NULL, NULL, NULL, 15),
(126179, NULL, 'PTHR23344', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHORYL DIESTER PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(126180, NULL, 'PTHR43108:SF6', NULL, NULL, NULL, NULL, 'N-SULPHOGLUCOSAMINE SULPHOHYDROLASE', NULL, NULL, NULL, 15),
(126181, NULL, 'PTHR10996:SF248', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3', NULL, NULL, NULL, 15),
(126182, NULL, 'PTHR14898:SF7', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB-LIKE TRANSCRIPTION FACTOR PROTEIN', NULL, NULL, NULL, 15),
(126183, NULL, 'PTHR10774:SF188', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-2', NULL, NULL, NULL, 15),
(126184, NULL, 'PTHR10585:SF81', NULL, NULL, NULL, NULL, 'OS08G0548200 PROTEIN', NULL, NULL, NULL, 15),
(126185, NULL, 'PTHR31917:SF95', NULL, NULL, NULL, NULL, 'OS02G0204500 PROTEIN', NULL, NULL, NULL, 15),
(126186, NULL, 'PTHR43689:SF8', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN CONTAINING HOMOLOG', NULL, NULL, NULL, 15),
(126187, NULL, 'PTHR47956:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126188, NULL, 'PTHR31822:SF1', NULL, NULL, NULL, NULL, 'SERINE-RICH SINGLE-PASS MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(126189, NULL, 'PTHR31232:SF43', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 18-RELATED', NULL, NULL, NULL, 15),
(126190, NULL, 'PTHR46290:SF1', NULL, NULL, NULL, NULL, 'DI-N-ACETYLCHITOBIASE', NULL, NULL, NULL, 15),
(126191, NULL, 'PTHR34052:SF5', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(126192, NULL, 'PTHR11743:SF70', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 1', NULL, NULL, NULL, 15),
(126193, NULL, 'PTHR24055:SF162', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(126194, NULL, 'PTHR31375:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126195, NULL, 'PTHR11017:SF300', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126196, NULL, 'PTHR10015:SF324', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-1E', NULL, NULL, NULL, 15),
(126197, NULL, 'PTHR22984:SF22', NULL, NULL, NULL, NULL, 'PIM (MAMMALIAN ONCOGENE) RELATED KINASE', NULL, NULL, NULL, 15),
(126198, NULL, 'PTHR15678:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ABERRANT POLLEN TRANSMISSION 1', NULL, NULL, NULL, 15),
(126199, NULL, 'PTHR22595:SF155', NULL, NULL, NULL, NULL, 'BNAC09G51720D PROTEIN', NULL, NULL, NULL, 15),
(126200, NULL, 'PTHR31284:SF34', NULL, NULL, NULL, NULL, 'HAD SUPERFAMILY, SUBFAMILY IIIB ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(126201, NULL, 'PTHR43650:SF7', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(126202, NULL, 'PTHR36475:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH SINGLE-PASS MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(126203, NULL, 'PTHR33491', NULL, NULL, NULL, NULL, 'OSJNBA0016N04.9 PROTEIN', NULL, NULL, NULL, 15),
(126204, NULL, 'PTHR34397:SF26', NULL, NULL, NULL, NULL, 'OS05G0567000 PROTEIN', NULL, NULL, NULL, 15),
(126205, NULL, 'PTHR37610:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126206, NULL, 'PTHR21381:SF3', NULL, NULL, NULL, NULL, 'ZGC:162297', NULL, NULL, NULL, 15),
(126207, NULL, 'PTHR12320:SF66', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(126208, NULL, 'PTHR33021:SF402', NULL, NULL, NULL, NULL, 'BNAC09G41380D PROTEIN', NULL, NULL, NULL, 15),
(126209, NULL, 'PTHR10891:SF896', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126210, NULL, 'PTHR27002:SF716', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE B120', NULL, NULL, NULL, 15),
(126211, NULL, 'PTHR10457:SF24', NULL, NULL, NULL, NULL, 'MEVALONATE/GALACTOKINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(126212, NULL, 'PTHR13647:SF4', NULL, NULL, NULL, NULL, 'INSULIN-LIKE PEPTIDE 2-RELATED', NULL, NULL, NULL, 15),
(126213, NULL, 'PTHR46610:SF18', NULL, NULL, NULL, NULL, 'OS01G0183850 PROTEIN', NULL, NULL, NULL, 15),
(126214, NULL, 'PTHR27006:SF303', NULL, NULL, NULL, NULL, 'BNAC05G14750D PROTEIN', NULL, NULL, NULL, 15),
(126215, NULL, 'PTHR15666:SF1', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(126216, NULL, 'PTHR15241:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126217, NULL, 'PTHR34797:SF5', NULL, NULL, NULL, NULL, 'ATG8-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(126218, NULL, 'PTHR11070:SF7', NULL, NULL, NULL, NULL, 'DNA HELICASE II', NULL, NULL, NULL, 15),
(126219, NULL, 'PTHR33402:SF16', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 13-RELATED', NULL, NULL, 31393, 15),
(126220, NULL, 'PTHR10338:SF115', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN H3', NULL, NULL, NULL, 15),
(126221, NULL, 'PTHR31190:SF144', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', NULL, NULL, NULL, 15),
(126222, NULL, 'PTHR47391:SF1', NULL, NULL, NULL, NULL, 'BIORIENTATION OF CHROMOSOMES IN CELL DIVISION 1 LIKE 1', NULL, NULL, NULL, 15),
(126223, NULL, 'PTHR15422:SF21', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(126224, NULL, 'PTHR30333:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE PROTEIN TORY', NULL, NULL, NULL, 15),
(126225, NULL, 'PTHR13890:SF47', NULL, NULL, NULL, NULL, 'BNAA06G23540D PROTEIN', NULL, NULL, NULL, 15),
(126226, NULL, 'PTHR47990:SF9', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20-OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(126227, NULL, 'PTHR10067:SF15', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE DECARBOXYLASE PROENZYME 2', NULL, NULL, NULL, 15),
(126228, NULL, 'PTHR10612:SF15', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN DB', NULL, NULL, NULL, 15),
(126229, NULL, 'PTHR13803:SF41', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR, TYPE A-RELATED', NULL, NULL, NULL, 15),
(126230, NULL, 'PTHR32285:SF252', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 19', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126231, NULL, 'PTHR47990:SF117', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(126232, NULL, 'PTHR46450:SF14', NULL, NULL, NULL, NULL, 'INACTIVE HISTONE-LYSINE N-METHYLTRANSFERASE SUVR2 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(126233, NULL, 'PTHR38039', NULL, NULL, NULL, NULL, 'TOXIN YOEB', NULL, NULL, 1642, 15),
(126234, NULL, 'PTHR11905:SF231', NULL, NULL, NULL, NULL, 'ADAM METALLOPEPTIDASE DOMAIN 21', NULL, NULL, NULL, 15),
(126235, NULL, 'PTHR24072:SF322', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(126236, NULL, 'PTHR31929:SF44', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR22-LIKE', NULL, NULL, NULL, 15),
(126237, NULL, 'PTHR38398', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(126238, NULL, 'PTHR11414:SF21', NULL, NULL, NULL, NULL, 'CYSTATIN 14A, TANDEM DUPLICATE 1-RELATED', NULL, NULL, NULL, 15),
(126239, NULL, 'PTHR11926:SF1377', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(126240, NULL, 'PTHR24115:SF817', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12A-RELATED', NULL, NULL, NULL, 15),
(126241, NULL, 'PTHR19303:SF20', NULL, NULL, NULL, NULL, 'TIGGER TRANSPOSABLE ELEMENT-DERIVED PROTEIN 6', NULL, NULL, NULL, 15),
(126242, NULL, 'PTHR47992:SF135', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C', NULL, NULL, NULL, 15),
(126243, NULL, 'PTHR31159', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 31251, 15),
(126244, NULL, 'PTHR37014:SF9', NULL, NULL, NULL, NULL, 'CONSERVED HISTIDINE-RICH PROTEIN (AFU_ORTHOLOGUE AFUA_1G11910)', NULL, NULL, NULL, 15),
(126245, NULL, 'PTHR10270:SF210', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-7', NULL, NULL, NULL, 15),
(126246, NULL, 'PTHR46057:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126247, NULL, 'PTHR11418', NULL, NULL, NULL, NULL, 'GLUCAGON', NULL, NULL, 8040, 15),
(126248, NULL, 'PTHR47966:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126249, NULL, 'PTHR30390:SF6', NULL, NULL, NULL, NULL, 'DNAA INITIATOR-ASSOCIATING PROTEIN DIAA', NULL, NULL, NULL, 15),
(126250, NULL, 'PTHR31001:SF47', NULL, NULL, NULL, NULL, 'FUNGAL SPECIFIC TRANSCRIPTION FACTOR DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(126251, NULL, 'PTHR33270:SF5', NULL, NULL, NULL, NULL, 'GB|AAC00605.1', NULL, NULL, NULL, 15),
(126252, NULL, 'PTHR15706:SF2', NULL, NULL, NULL, NULL, 'BUD EMERGENCE PROTEIN 1', NULL, NULL, 28519, 15),
(126253, NULL, 'PTHR36142:SF2', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE/OXIDOREDUCTASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(126254, NULL, 'PTHR48017:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126255, NULL, 'PTHR46200:SF1', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN WDR24', NULL, NULL, NULL, 15),
(126256, NULL, 'PTHR23421:SF74', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 1', NULL, NULL, NULL, 15),
(126257, NULL, 'PTHR15852:SF63', NULL, NULL, NULL, NULL, 'BNAA02G17140D PROTEIN', NULL, NULL, NULL, 15),
(126258, NULL, 'PTHR15725', NULL, NULL, NULL, NULL, 'ZN-FINGER, C-X8-C-X5-C-X3-H TYPE-CONTAINING', NULL, NULL, NULL, 15),
(126259, NULL, 'PTHR33270:SF18', NULL, NULL, NULL, NULL, 'BNAC05G50380D PROTEIN', NULL, NULL, NULL, 15),
(126260, NULL, 'PTHR10638:SF73', NULL, NULL, NULL, NULL, 'AMINE OXIDASE-RELATED', NULL, NULL, NULL, 15),
(126261, NULL, 'PTHR13544:SF0', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE-LIKE SELENOPROTEIN T', NULL, NULL, NULL, 15),
(126262, NULL, 'PTHR42861:SF65', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(126263, NULL, 'PTHR38685', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN ZIPA', NULL, NULL, 11170, 15),
(126264, NULL, 'PTHR23320:SF10', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 14', NULL, NULL, NULL, 15),
(126265, NULL, 'PTHR43507:SF12', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE CHAIN 4, CHLOROPLASTIC', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126266, NULL, 'PTHR40448:SF1', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SENSOR HISTIDINE KINASE', NULL, NULL, NULL, 15),
(126267, NULL, 'PTHR33495:SF13', NULL, NULL, NULL, NULL, 'ANTI-SIGMA-F FACTOR ANTAGONIST RSFB', NULL, NULL, NULL, 15),
(126268, NULL, 'PTHR44119', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLH, CHLOROPLASTIC', NULL, NULL, 6372, 15),
(126269, NULL, 'PTHR22745:SF13', NULL, NULL, NULL, NULL, 'PROTHYMOSIN ALPHA-B', NULL, NULL, NULL, 15),
(126270, NULL, 'PTHR46506:SF18', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(126271, NULL, 'PTHR10551:SF26', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 5 PROTEIN', NULL, NULL, NULL, 15),
(126272, NULL, 'PTHR31236:SF50', NULL, NULL, NULL, NULL, 'BNAC06G02550D PROTEIN', NULL, NULL, NULL, 15),
(126273, NULL, 'PTHR23111:SF23', NULL, NULL, NULL, NULL, 'RAN BP2/NZF ZINC FINGER-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(126274, NULL, 'PTHR27004:SF351', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(126275, NULL, 'PTHR27002:SF820', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE B120', NULL, NULL, NULL, 15),
(126276, NULL, 'PTHR31790:SF189', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(126277, NULL, 'PTHR37079', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATM', NULL, NULL, 33078, 15),
(126278, NULL, 'PTHR46721:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N1', NULL, NULL, NULL, 15),
(126279, NULL, 'PTHR24356:SF214', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C IOTA TYPE', NULL, NULL, NULL, 15),
(126280, NULL, 'PTHR11374:SF50', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', NULL, NULL, NULL, 15),
(126281, NULL, 'PTHR34808', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(126282, NULL, 'PTHR45614:SF161', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(126283, NULL, 'PTHR43670:SF73', NULL, NULL, NULL, NULL, 'OS03G0656000 PROTEIN', NULL, NULL, NULL, 15),
(126284, NULL, 'PTHR23266:SF331', NULL, NULL, NULL, NULL, 'IG GAMMA-1 CHAIN C REGION, MEMBRANE-BOUND FORM', NULL, NULL, NULL, 15),
(126285, NULL, 'PTHR12560:SF53', NULL, NULL, NULL, NULL, 'BNAA01G26210D PROTEIN', NULL, NULL, NULL, 15),
(126286, NULL, 'PTHR32285:SF11', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 34', NULL, NULL, NULL, 15),
(126287, NULL, 'PTHR11040:SF156', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 9', NULL, NULL, NULL, 15),
(126288, NULL, 'PTHR12317:SF67', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 2D-LIKE', NULL, NULL, NULL, 15),
(126289, NULL, 'PTHR31339:SF72', NULL, NULL, NULL, NULL, 'BNAA02G30650D PROTEIN', NULL, NULL, NULL, 15),
(126290, NULL, 'PTHR14332', NULL, NULL, NULL, NULL, 'DISRUPTED IN SCHIZOPHRENIA 1 PROTEIN', NULL, NULL, 21830, 15),
(126291, NULL, 'PTHR31391:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126292, NULL, 'PTHR10985:SF135', NULL, NULL, NULL, NULL, 'HAIRY AND ENHANCER OF SPLIT-RELATED-7', NULL, NULL, NULL, 15),
(126293, NULL, 'PTHR48017:SF38', NULL, NULL, NULL, NULL, 'GABA TRANSPORTER 1-LIKE', NULL, NULL, NULL, 15),
(126294, NULL, 'PTHR35698:SF2', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RHL1', NULL, NULL, NULL, 15),
(126295, NULL, 'PTHR33388:SF18', NULL, NULL, NULL, NULL, 'PROTEIN SPEAR1', NULL, NULL, NULL, 15),
(126296, NULL, 'PTHR47989:SF13', NULL, NULL, NULL, NULL, 'BNAA02G08470D PROTEIN', NULL, NULL, NULL, 15),
(126297, NULL, 'PTHR46756', NULL, NULL, NULL, NULL, 'TRANSGELIN', NULL, NULL, NULL, 15),
(126298, NULL, 'PTHR45637:SF40', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIPK1', NULL, NULL, NULL, 15),
(126299, NULL, 'PTHR46164:SF4', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER TRANSCRIPTION FACTOR C-RELATED', NULL, NULL, NULL, 15),
(126300, NULL, 'PTHR12411:SF734', NULL, NULL, NULL, NULL, 'CATHEPSIN S, ORTHOLOG 1', NULL, NULL, NULL, 15),
(126301, NULL, 'PTHR10209:SF765', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126302, NULL, 'PTHR11785:SF519', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126303, NULL, 'PTHR22923:SF52', NULL, NULL, NULL, NULL, 'CEREBELLIN 12', NULL, NULL, NULL, 15),
(126304, NULL, 'PTHR13326:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126305, NULL, 'PTHR34224', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 2, CHLOROPLASTIC-RELATED', NULL, NULL, 27482, 15),
(126306, NULL, 'PTHR10241:SF22', NULL, NULL, NULL, NULL, 'SYNTAXIN-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(126307, NULL, 'PTHR21337:SF4', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', NULL, NULL, NULL, 15),
(126308, NULL, 'PTHR31722:SF43', NULL, NULL, NULL, NULL, 'BNAA05G26250D PROTEIN', NULL, NULL, NULL, 15),
(126309, NULL, 'PTHR33348:SF12', NULL, NULL, NULL, NULL, 'ENCODED PEPTIDE-RELATED', NULL, NULL, NULL, 15),
(126310, NULL, 'PTHR45804:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B13', NULL, NULL, NULL, 15),
(126311, NULL, 'PTHR24054:SF44', NULL, NULL, NULL, NULL, 'BNAA04G13490D PROTEIN', NULL, NULL, NULL, 15),
(126312, NULL, 'PTHR22893:SF104', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 2', NULL, NULL, NULL, 15),
(126313, NULL, 'PTHR11908:SF125', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(126314, NULL, 'PTHR43350:SF11', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(126315, NULL, 'PTHR31341:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126316, NULL, 'PTHR46128:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126317, NULL, 'PTHR24390:SF90', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 652', NULL, NULL, NULL, 15),
(126318, NULL, 'PTHR22803:SF109', NULL, NULL, NULL, NULL, 'COLLECTIN-12', NULL, NULL, NULL, 15),
(126319, NULL, 'PTHR23101:SF100', NULL, NULL, NULL, NULL, 'PROTEIN MUK1', NULL, NULL, NULL, 15),
(126320, NULL, 'PTHR22692:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG27527', NULL, NULL, NULL, 15),
(126321, NULL, 'PTHR13848:SF82', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(126322, NULL, 'PTHR43539:SF68', NULL, NULL, NULL, NULL, 'FLAVIN-BINDING MONOOXYGENASE-LIKE PROTEIN (AFU_ORTHOLOGUE AFUA_4G09220)', NULL, NULL, NULL, 15),
(126323, NULL, 'PTHR24006:SF644', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 40', NULL, NULL, 34861, 15),
(126324, NULL, 'PTHR48005:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126325, NULL, 'PTHR21576:SF123', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', NULL, NULL, NULL, 15),
(126326, NULL, 'PTHR24056:SF404', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126327, NULL, 'PTHR33074:SF51', NULL, NULL, NULL, NULL, 'OS06G0489900 PROTEIN', NULL, NULL, NULL, 15),
(126328, NULL, 'PTHR12302', NULL, NULL, NULL, NULL, 'EBNA2 BINDING PROTEIN P100', NULL, NULL, NULL, 15),
(126329, NULL, 'PTHR31614:SF7', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC PROTEIN-LIKE', NULL, NULL, NULL, 15),
(126330, NULL, 'PTHR30305:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YJDM', NULL, NULL, 2070, 15),
(126331, NULL, 'PTHR32285:SF278', NULL, NULL, NULL, NULL, 'BNAA03G56050D PROTEIN', NULL, NULL, 27140, 15),
(126332, NULL, 'PTHR23011:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126333, NULL, 'PTHR32134:SF23', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN CMBB', NULL, NULL, NULL, 15),
(126334, NULL, 'PTHR11437:SF26', NULL, NULL, NULL, NULL, 'EOSINOPHIL CATIONIC PROTEIN', NULL, NULL, NULL, 15),
(126335, NULL, 'PTHR36161:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG06377', NULL, NULL, NULL, 15),
(126336, NULL, 'PTHR28546:SF1', NULL, NULL, NULL, NULL, 'NEURON-SPECIFIC VESICULAR PROTEIN CALCYON', NULL, NULL, NULL, 15),
(126337, NULL, 'PTHR47817', NULL, NULL, NULL, NULL, 'OS04G0686300 PROTEIN', NULL, NULL, NULL, 15),
(126338, NULL, 'PTHR14413:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126339, NULL, 'PTHR33044:SF158', NULL, NULL, NULL, NULL, 'BNAA06G12430D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126340, NULL, 'PTHR27007:SF291', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', NULL, NULL, NULL, 15),
(126341, NULL, 'PTHR31062:SF209', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(126342, NULL, 'PTHR19282:SF457', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(126343, NULL, 'PTHR31719:SF150', NULL, NULL, NULL, NULL, 'BNAC08G43050D PROTEIN', NULL, NULL, NULL, 15),
(126344, NULL, 'PTHR33592:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(126345, NULL, 'PTHR12327', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 34388, 15),
(126346, NULL, 'PTHR10127:SF831', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-16-RELATED', NULL, NULL, NULL, 15),
(126347, NULL, 'PTHR12354:SF13', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL REGULATOR FAMILY PROTEIN / IFRD FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(126348, NULL, 'PTHR28641:SF1', NULL, NULL, NULL, NULL, 'MALONYL-COA DECARBOXYLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(126349, NULL, 'PTHR11223', NULL, NULL, NULL, NULL, 'EXPORTIN 1/5', NULL, NULL, 39199, 15),
(126350, NULL, 'PTHR31235:SF41', NULL, NULL, NULL, NULL, 'OS01G0327000 PROTEIN', NULL, NULL, NULL, 15),
(126351, NULL, 'PTHR31048:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126352, NULL, 'PTHR24248:SF125', NULL, NULL, NULL, NULL, 'DOPAMINE D2-LIKE RECEPTOR', NULL, NULL, NULL, 15),
(126353, NULL, 'PTHR10621:SF49', NULL, NULL, NULL, NULL, 'BNACNNG32650D PROTEIN', NULL, NULL, NULL, 15),
(126354, NULL, 'PTHR46484:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-171H4.5-RELATED', NULL, NULL, NULL, 15),
(126355, NULL, 'PTHR34941', NULL, NULL, NULL, NULL, 'DEHYDRIN HIRD11', NULL, NULL, 35543, 15),
(126356, NULL, 'PTHR34835:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126357, NULL, 'PTHR15629:SF33', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD-TYPE ZINC FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(126358, NULL, 'PTHR23213:SF357', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(126359, NULL, 'PTHR31852:SF1', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(126360, NULL, 'PTHR13318:SF87', NULL, NULL, NULL, NULL, 'OS08G0499900 PROTEIN', NULL, NULL, NULL, 15),
(126361, NULL, 'PTHR14754', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A', NULL, NULL, NULL, 15),
(126362, NULL, 'PTHR11267:SF88', NULL, NULL, NULL, NULL, 'T-BOX BRAIN PROTEIN 1', NULL, NULL, NULL, 15),
(126363, NULL, 'PTHR10992:SF1038', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126364, NULL, 'PTHR15196', NULL, NULL, NULL, NULL, 'CILIARY NEUROTROPHIC FACTOR', NULL, NULL, 1908, 15),
(126365, NULL, 'PTHR13683:SF680', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(126366, NULL, 'PTHR23421:SF128', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 13', NULL, NULL, NULL, 15),
(126367, NULL, 'PTHR31422:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126368, NULL, 'PTHR46905:SF11', NULL, NULL, NULL, NULL, 'BNAA01G26510D PROTEIN', NULL, NULL, NULL, 15),
(126369, NULL, 'PTHR47447:SF4', NULL, NULL, NULL, NULL, 'BNAA07G31720D PROTEIN', NULL, NULL, NULL, 15),
(126370, NULL, 'PTHR46895:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG13561', NULL, NULL, NULL, 15),
(126371, NULL, 'PTHR11595:SF74', NULL, NULL, NULL, NULL, 'BNAC09G38180D PROTEIN', NULL, NULL, NULL, 15),
(126372, NULL, 'PTHR24056:SF384', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(126373, NULL, 'PTHR21540:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZSWIM2', NULL, NULL, NULL, 15),
(126374, NULL, 'PTHR23070:SF165', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE-RELATED', NULL, NULL, NULL, 15),
(126375, NULL, 'PTHR12411:SF773', NULL, NULL, NULL, NULL, 'OS02G0469600 PROTEIN', NULL, NULL, NULL, 15),
(126376, NULL, 'PTHR11802:SF236', NULL, NULL, NULL, NULL, 'OS02G0463500 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126377, NULL, 'PTHR10177:SF391', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126378, NULL, 'PTHR45714:SF7', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX2', NULL, NULL, NULL, 15),
(126379, NULL, 'PTHR23024:SF464', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', NULL, NULL, NULL, 15),
(126380, NULL, 'PTHR46617:SF3', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN G1', NULL, NULL, NULL, 15),
(126381, NULL, 'PTHR48063:SF29', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(126382, NULL, 'PTHR45854:SF2', NULL, NULL, NULL, NULL, 'ARF-GAP WITH SH3 DOMAIN, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(126383, NULL, 'PTHR12573:SF4', NULL, NULL, NULL, NULL, 'AT09986P-RELATED', NULL, NULL, NULL, 15),
(126384, NULL, 'PTHR10210:SF36', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 5', NULL, NULL, NULL, 15),
(126385, NULL, 'PTHR11351:SF94', NULL, NULL, NULL, NULL, 'BNAC05G37460D PROTEIN', NULL, NULL, NULL, 15),
(126386, NULL, 'PTHR11877:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126387, NULL, 'PTHR31639:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126388, NULL, 'PTHR22298:SF147', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(126389, NULL, 'PTHR15710:SF101', NULL, NULL, NULL, NULL, 'RING-H2 FINGER C2A-RELATED', NULL, NULL, NULL, 15),
(126390, NULL, 'PTHR27005:SF195', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(126391, NULL, 'PTHR31376:SF36', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.22 PROTEIN', NULL, NULL, NULL, 15),
(126392, NULL, 'PTHR12565:SF403', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH49', NULL, NULL, NULL, 15),
(126393, NULL, 'PTHR24281:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126394, NULL, 'PTHR12167:SF5', NULL, NULL, NULL, NULL, 'SIMILAR TO C-TYPE NATRIURETIC PEPTIDE 3', NULL, NULL, NULL, 15),
(126395, NULL, 'PTHR24028:SF104', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-6', NULL, NULL, NULL, 15),
(126396, NULL, 'PTHR11769:SF36', NULL, NULL, NULL, NULL, 'HYALURONIDASE', NULL, NULL, NULL, 15),
(126397, NULL, 'PTHR12750', NULL, NULL, NULL, NULL, 'DIPHOSPHOINOSITOL PENTAKISPHOSPHATE KINASE', NULL, NULL, 34731, 15),
(126398, NULL, 'PTHR24089:SF685', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126399, NULL, 'PTHR46851:SF5', NULL, NULL, NULL, NULL, 'ZINC ION BINDING / DNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(126400, NULL, 'PTHR35848:SF7', NULL, NULL, NULL, NULL, 'BLL1134 PROTEIN', NULL, NULL, NULL, 15),
(126401, NULL, 'PTHR11102:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126402, NULL, 'PTHR46371:SF7', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 46', NULL, NULL, NULL, 15),
(126403, NULL, 'PTHR11193:SF10', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', NULL, NULL, NULL, 15),
(126404, NULL, 'PTHR33265:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126405, NULL, 'PTHR24082:SF115', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR ALPHA', NULL, NULL, NULL, 15),
(126406, NULL, 'PTHR31218:SF169', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(126407, NULL, 'PTHR46372:SF18', NULL, NULL, NULL, NULL, 'BNAC03G33810D PROTEIN', NULL, NULL, NULL, 15),
(126408, NULL, 'PTHR10209:SF755', NULL, NULL, NULL, NULL, 'BNAA09G50540D PROTEIN', NULL, NULL, NULL, 15),
(126409, NULL, 'PTHR12625:SF0', NULL, NULL, NULL, NULL, 'PROTEIN LILIPOD', NULL, NULL, NULL, 15),
(126410, NULL, 'PTHR12296:SF18', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 4B', NULL, NULL, NULL, 15),
(126411, NULL, 'PTHR33124:SF60', NULL, NULL, NULL, NULL, 'BNAC04G00300D PROTEIN', NULL, NULL, NULL, 15),
(126412, NULL, 'PTHR24182', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 4', NULL, NULL, NULL, 15),
(126413, NULL, 'PTHR31282:SF78', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 15-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126414, NULL, 'PTHR31676:SF102', NULL, NULL, NULL, NULL, 'DUF538 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(126415, NULL, 'PTHR11716:SF96', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(2)', NULL, NULL, NULL, 15),
(126416, NULL, 'PTHR13003', NULL, NULL, NULL, NULL, 'NUP107-RELATED', NULL, NULL, 6503, 15),
(126417, NULL, 'PTHR16967', NULL, NULL, NULL, NULL, 'LEYDIG CELL TUMOR 10 KDA PROTEIN HOMOLOG', NULL, NULL, 16419, 15),
(126418, NULL, 'PTHR23189:SF14', NULL, NULL, NULL, NULL, 'PARASPECKLE COMPONENT 1', NULL, NULL, NULL, 15),
(126419, NULL, 'PTHR11567:SF110', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID PHOSPHATASE TYPE 6', NULL, NULL, NULL, 15),
(126420, NULL, 'PTHR34124:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126421, NULL, 'PTHR31989:SF148', NULL, NULL, NULL, NULL, 'OS09G0552900 PROTEIN', NULL, NULL, NULL, 15),
(126422, NULL, 'PTHR46028', NULL, NULL, NULL, NULL, 'KYNURENINE 3-MONOOXYGENASE', NULL, NULL, NULL, 15),
(126423, NULL, 'PTHR31620:SF21', NULL, NULL, NULL, NULL, 'OS05G0474600 PROTEIN', NULL, NULL, NULL, 15),
(126424, NULL, 'PTHR31391:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126425, NULL, 'PTHR11783:SF237', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(126426, NULL, 'PTHR19957:SF256', NULL, NULL, NULL, NULL, 'SYNTAXIN-22-LIKE', NULL, NULL, NULL, 15),
(126427, NULL, 'PTHR31064:SF25', NULL, NULL, NULL, NULL, 'CATION TRANSPORTER HKT1', NULL, NULL, NULL, 15),
(126428, NULL, 'PTHR47977:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG00431', NULL, NULL, NULL, 15),
(126429, NULL, 'PTHR31683:SF157', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(126430, NULL, 'PTHR47926:SF2', NULL, NULL, NULL, NULL, 'BNAC03G66750D PROTEIN', NULL, NULL, NULL, 15),
(126431, NULL, 'PTHR12000:SF23', NULL, NULL, NULL, NULL, 'LEGUMAIN', NULL, NULL, NULL, 15),
(126432, NULL, 'PTHR46772:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH95', NULL, NULL, NULL, 15),
(126433, NULL, 'PTHR11700:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S20', NULL, NULL, NULL, 15),
(126434, NULL, 'PTHR10797:SF61', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126435, NULL, 'PTHR10853', NULL, NULL, NULL, NULL, 'PELOTA', NULL, NULL, 5693, 15),
(126436, NULL, 'PTHR21645:SF12', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(126437, NULL, 'PTHR47978:SF18', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RGP1-LIKE', NULL, NULL, NULL, 15),
(126438, NULL, 'PTHR18945:SF455', NULL, NULL, NULL, NULL, 'GLYCINE RECEPTOR SUBUNIT ALPHA-3', NULL, NULL, NULL, 15),
(126439, NULL, 'PTHR43411:SF1', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE LYASE', NULL, NULL, NULL, 15),
(126440, NULL, 'PTHR31920:SF41', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS12G0592300', NULL, NULL, NULL, 15),
(126441, NULL, 'PTHR14005:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT A', NULL, NULL, NULL, 15),
(126442, NULL, 'PTHR32055:SF1', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-1-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(126443, NULL, 'PTHR13832:SF535', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1E', NULL, NULL, NULL, 15),
(126444, NULL, 'PTHR21481:SF3', NULL, NULL, NULL, NULL, 'BNAANNG34790D PROTEIN', NULL, NULL, NULL, 15),
(126445, NULL, 'PTHR23430:SF300', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(126446, NULL, 'PTHR47926:SF278', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126447, NULL, 'PTHR47926:SF4', NULL, NULL, NULL, NULL, 'BNAC05G02860D PROTEIN', NULL, NULL, NULL, 15),
(126448, NULL, 'PTHR11802:SF59', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(126449, NULL, 'PTHR47389:SF2', NULL, NULL, NULL, NULL, 'OS01G0278600 PROTEIN', NULL, NULL, NULL, 15),
(126450, NULL, 'PTHR48017:SF31', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(126451, NULL, 'PTHR13492:SF2', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 37', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126452, NULL, 'PTHR46433:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(126453, NULL, 'PTHR18860:SF108', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126454, NULL, 'PTHR44329:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126455, NULL, 'PTHR47984:SF19', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', NULL, NULL, NULL, 15),
(126456, NULL, 'PTHR31692:SF110', NULL, NULL, NULL, NULL, 'BETA-EXPANSIN 1A', NULL, NULL, NULL, 15),
(126457, NULL, 'PTHR15710:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF115', NULL, NULL, NULL, 15),
(126458, NULL, 'PTHR37235:SF2', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE AUREOLYSIN', NULL, NULL, NULL, 15),
(126459, NULL, 'PTHR34061:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(126460, NULL, 'PTHR33184:SF53', NULL, NULL, NULL, NULL, 'TPD1 PROTEIN HOMOLOG 1A', NULL, NULL, NULL, 15),
(126461, NULL, 'PTHR31415:SF123', NULL, NULL, NULL, NULL, 'BNAA03G60690D PROTEIN', NULL, NULL, NULL, 15),
(126462, NULL, 'PTHR31080:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126463, NULL, 'PTHR11877:SF58', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE', NULL, NULL, NULL, 15),
(126464, NULL, 'PTHR11670:SF64', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE', NULL, NULL, NULL, 15),
(126465, NULL, 'PTHR10891:SF883', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126466, NULL, 'PTHR33347:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126467, NULL, 'PTHR12663:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126468, NULL, 'PTHR10788:SF95', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE (UDP-FORMING), TREHALOSE-PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(126469, NULL, 'PTHR31325:SF13', NULL, NULL, NULL, NULL, 'OS12G0184400 PROTEIN', NULL, NULL, NULL, 15),
(126470, NULL, 'PTHR24072:SF309', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC4', NULL, NULL, NULL, 15),
(126471, NULL, 'PTHR22883:SF257', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC18', NULL, NULL, NULL, 15),
(126472, NULL, 'PTHR12002:SF6', NULL, NULL, NULL, NULL, 'CLAUDIN-11', NULL, NULL, 6173, 15),
(126473, NULL, 'PTHR47990:SF105', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE', NULL, NULL, NULL, 15),
(126474, NULL, 'PTHR18966:SF497', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, N-METHYL D-ASPARTATE 1B', NULL, NULL, NULL, 15),
(126475, NULL, 'PTHR39414', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 5-RELATED', NULL, NULL, 35255, 15),
(126476, NULL, 'PTHR33349:SF23', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(126477, NULL, 'PTHR31631:SF9', NULL, NULL, NULL, NULL, 'KINASE-INTERACTING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(126478, NULL, 'PTHR34270:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126479, NULL, 'PTHR12191:SF22', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP6', NULL, NULL, NULL, 15),
(126480, NULL, 'PTHR48071:SF6', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS A MEMBER 5', NULL, NULL, NULL, 15),
(126481, NULL, 'PTHR47960', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 50', NULL, NULL, NULL, 15),
(126482, NULL, 'PTHR12161:SF49', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', NULL, NULL, NULL, 15),
(126483, NULL, 'PTHR35995:SF3', NULL, NULL, NULL, NULL, 'BNAA06G15550D PROTEIN', NULL, NULL, NULL, 15),
(126484, NULL, 'PTHR37423:SF2', NULL, NULL, NULL, NULL, 'SOLUBLE LYTIC MUREIN TRANSGLYCOSYLASE', NULL, NULL, NULL, 15),
(126485, NULL, 'PTHR45828:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME B561/FERRIC REDUCTASE TRANSMEMBRANE', NULL, NULL, NULL, 15),
(126486, NULL, 'PTHR43124:SF5', NULL, NULL, NULL, NULL, 'PURINE RIBONUCLEOSIDE EFFLUX PUMP NEPI', NULL, NULL, NULL, 15),
(126487, NULL, 'PTHR45181:SF9', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN, TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126488, NULL, 'PTHR11731:SF118', NULL, NULL, NULL, NULL, 'BLR1971 PROTEIN', NULL, NULL, NULL, 15),
(126489, NULL, 'PTHR11540:SF18', NULL, NULL, NULL, NULL, 'GLYCOSOMAL MALATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(126490, NULL, 'PTHR31247', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 198 FAMILY MEMBER', NULL, NULL, 29968, 15),
(126491, NULL, 'PTHR24166:SF27', NULL, NULL, NULL, NULL, 'CORTACTIN-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(126492, NULL, 'PTHR30250:SF15', NULL, NULL, NULL, NULL, 'PSMA PROTEIN', NULL, NULL, NULL, 15),
(126493, NULL, 'PTHR12756:SF12', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(126494, NULL, 'PTHR31142:SF36', NULL, NULL, NULL, NULL, 'BNACNNG61220D PROTEIN', NULL, NULL, NULL, 15),
(126495, NULL, 'PTHR24416:SF53', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR RECEPTOR BETA', NULL, NULL, NULL, 15),
(126496, NULL, 'PTHR23024:SF498', NULL, NULL, NULL, NULL, 'CARBOXYESTERASE 17-RELATED', NULL, NULL, NULL, 15),
(126497, NULL, 'PTHR13140:SF803', NULL, NULL, NULL, NULL, 'MYOSIN X', NULL, NULL, NULL, 15),
(126498, NULL, 'PTHR33264:SF44', NULL, NULL, NULL, NULL, 'BNACNNG34780D PROTEIN', NULL, NULL, NULL, 15),
(126499, NULL, 'PTHR31225:SF154', NULL, NULL, NULL, NULL, '(-)-GERMACRENE D SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(126500, NULL, 'PTHR24637:SF246', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(126501, NULL, 'PTHR23235:SF104', NULL, NULL, NULL, NULL, 'KRUPPEL-LIKE FACTOR 4', NULL, NULL, NULL, 15),
(126502, NULL, 'PTHR11132:SF375', NULL, NULL, NULL, NULL, 'UDP-XYLOSE TRANSPORTER 2', NULL, NULL, NULL, 15),
(126503, NULL, 'PTHR47925:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126504, NULL, 'PTHR42076', NULL, NULL, NULL, NULL, 'CYANOVIRIN-N HOMOLOG', NULL, NULL, NULL, 15),
(126505, NULL, 'PTHR42699:SF1', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(126506, NULL, 'PTHR45836:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G-PROTEIN COUPLED RECEPTOR 4', NULL, NULL, NULL, 15),
(126507, NULL, 'PTHR12316:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126508, NULL, 'PTHR21584:SF1', NULL, NULL, NULL, NULL, 'PROLINE/SERINE-RICH COILED-COIL PROTEIN 1', NULL, NULL, 27279, 15),
(126509, NULL, 'PTHR32191:SF49', NULL, NULL, NULL, NULL, 'TETRASPANIN/PERIPHERIN-RELATED', NULL, NULL, NULL, 15),
(126510, NULL, 'PTHR45678:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLUTAMATE CARRIER 1', NULL, NULL, NULL, 15),
(126511, NULL, 'PTHR24384:SF204', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 726', NULL, NULL, NULL, 15),
(126512, NULL, 'PTHR10334:SF346', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN LCCL DOMAIN-CONTAINING 1A', NULL, NULL, NULL, 15),
(126513, NULL, 'PTHR32444:SF58', NULL, NULL, NULL, NULL, 'CURCULIN-LIKE (MANNOSE-BINDING) LECTIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126514, NULL, 'PTHR33872:SF2', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON CATALYTIC SUBUNIT A', NULL, NULL, NULL, 15),
(126515, NULL, 'PTHR10891:SF780', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML24-RELATED', NULL, NULL, NULL, 15),
(126516, NULL, 'PTHR31374:SF250', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(126517, NULL, 'PTHR21765', NULL, NULL, NULL, NULL, 'SIMILAR TO CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 1 (CHD-1)', NULL, NULL, 29989, 15),
(126518, NULL, 'PTHR13690:SF128', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR POSF21-RELATED', NULL, NULL, NULL, 15),
(126519, NULL, 'PTHR33563:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126520, NULL, 'PTHR11567:SF189', NULL, NULL, NULL, NULL, 'INTESTINAL ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(126521, NULL, 'PTHR10075:SF52', NULL, NULL, NULL, NULL, 'NEXILIN', NULL, NULL, NULL, 15),
(126522, NULL, 'PTHR28022', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 2 SUBUNIT PGA1', NULL, NULL, 17892, 15),
(126523, NULL, 'PTHR39160', NULL, NULL, NULL, NULL, 'CELL WALL-BINDING PROTEIN YOCH', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126524, NULL, 'PTHR24404:SF65', NULL, NULL, NULL, NULL, 'FINGER PUTATIVE TRANSCRIPTION FACTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(126525, NULL, 'PTHR12136:SF102', NULL, NULL, NULL, NULL, 'BNAA04G27680D PROTEIN', NULL, NULL, NULL, 15),
(126526, NULL, 'PTHR31376:SF51', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 2', NULL, NULL, NULL, 15),
(126527, NULL, 'PTHR22765:SF47', NULL, NULL, NULL, NULL, 'OS03G0335300 PROTEIN', NULL, NULL, NULL, 15),
(126528, NULL, 'PTHR11394:SF28', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 13', NULL, NULL, NULL, 15),
(126529, NULL, 'PTHR10943:SF12', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2 HOMOLOG', NULL, NULL, NULL, 15),
(126530, NULL, 'PTHR16161', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(126531, NULL, 'PTHR12714:SF11', NULL, NULL, NULL, NULL, 'PROTEIN C-TERMINAL S-ISOPRENYLCYSTEINE CARBOXYL O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(126532, NULL, 'PTHR31742', NULL, NULL, NULL, NULL, 'RPA-INTERACTING PROTEIN RPAIN', NULL, NULL, 24741, 15),
(126533, NULL, 'PTHR23500:SF474', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126534, NULL, 'PTHR35824:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED JUNCTION PROTEIN', NULL, NULL, NULL, 15),
(126535, NULL, 'PTHR21654:SF77', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR PTL-LIKE', NULL, NULL, NULL, 15),
(126536, NULL, 'PTHR46606:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-280E21.3', NULL, NULL, NULL, 15),
(126537, NULL, 'PTHR14049:SF1', NULL, NULL, NULL, NULL, 'PROLYL 3-HYDROXYLASE 2', NULL, NULL, 31717, 15),
(126538, NULL, 'PTHR22989', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED DUF13  C.ELEGANS', NULL, NULL, NULL, 15),
(126539, NULL, 'PTHR11738:SF98', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY A MEMBER 4', NULL, NULL, NULL, 15),
(126540, NULL, 'PTHR12629:SF40', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 16 MITOCHONDRIAL', NULL, NULL, NULL, 15),
(126541, NULL, 'PTHR10332:SF59', NULL, NULL, NULL, NULL, 'OS07G0557200 PROTEIN', NULL, NULL, NULL, 15),
(126542, NULL, 'PTHR45689:SF12', NULL, NULL, NULL, NULL, 'HYPERPOLARIZATION-ACTIVATED CYCLIC NUCLEOTIDE-GATED POTASSIUM CHANNEL 3', NULL, NULL, NULL, 15),
(126543, NULL, 'PTHR27006:SF422', NULL, NULL, NULL, NULL, 'BNAA08G00070D PROTEIN', NULL, NULL, NULL, 15),
(126544, NULL, 'PTHR45822:SF6', NULL, NULL, NULL, NULL, 'FREE FATTY ACID RECEPTOR 3-RELATED', NULL, NULL, NULL, 15),
(126545, NULL, 'PTHR14155:SF563', NULL, NULL, NULL, NULL, 'BNAC02G39700D PROTEIN', NULL, NULL, NULL, 15),
(126546, NULL, 'PTHR23050:SF425', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126547, NULL, 'PTHR44006:SF2', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(126548, NULL, 'PTHR10954:SF7', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H2 SUBUNIT A', NULL, NULL, NULL, 15),
(126549, NULL, 'PTHR42684:SF9', NULL, NULL, NULL, NULL, 'GAMMA AMINOBUTYRATE TRANSAMINASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(126550, NULL, 'PTHR30085:SF6', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER GLUTAMINE-BINDING PROTEIN GLNH', NULL, NULL, NULL, 15),
(126551, NULL, 'PTHR31942:SF84', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(126552, NULL, 'PTHR31606', NULL, NULL, NULL, NULL, 'WW DOMAIN BINDING PROTEIN 2, ISOFORM E', NULL, NULL, 37494, 15),
(126553, NULL, 'PTHR16148:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126554, NULL, 'PTHR15371:SF21', NULL, NULL, NULL, NULL, 'OSJNBA0005N02.5 PROTEIN', NULL, NULL, NULL, 15),
(126555, NULL, 'PTHR47434', NULL, NULL, NULL, NULL, 'PROTEIN PTST HOMOLOG 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(126556, NULL, 'PTHR11783:SF48', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 1 FAMILY MEMBER D1', NULL, NULL, NULL, 15),
(126557, NULL, 'PTHR21250:SF4', NULL, NULL, NULL, NULL, 'PRE-RRNA-PROCESSING PROTEIN TSR2, MOTIF PROTEIN', NULL, NULL, NULL, 15),
(126558, NULL, 'PTHR46642:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCAN PHOSPHATASE DSP4, CHLOROPLASTIC', NULL, NULL, 23230, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126559, NULL, 'PTHR23510:SF58', NULL, NULL, NULL, NULL, 'SI:CH211-38M6.6', NULL, NULL, NULL, 15),
(126560, NULL, 'PTHR31636:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126561, NULL, 'PTHR24177:SF330', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS TRANSMEMBRANE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(126562, NULL, 'PTHR10694:SF30', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 4B', NULL, NULL, NULL, 15),
(126563, NULL, 'PTHR24376:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126564, NULL, 'PTHR31562:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG18974', NULL, NULL, NULL, 15),
(126565, NULL, 'PTHR21646:SF63', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE USP2', NULL, NULL, NULL, 15),
(126566, NULL, 'PTHR24027:SF428', NULL, NULL, NULL, NULL, 'CADHERIN 6', NULL, NULL, NULL, 15),
(126567, NULL, 'PTHR48042:SF19', NULL, NULL, NULL, NULL, 'OS09G0472100 PROTEIN', NULL, NULL, NULL, 15),
(126568, NULL, 'PTHR33670:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126569, NULL, 'PTHR12111:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126570, NULL, 'PTHR43377:SF6', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(126571, NULL, 'PTHR28145:SF4', NULL, NULL, NULL, NULL, 'CHAPERONE/HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(126572, NULL, 'PTHR43670:SF23', NULL, NULL, NULL, NULL, 'HEAT-SHOCK PROTEIN (EUROFUNG)', NULL, NULL, NULL, 15),
(126573, NULL, 'PTHR42760:SF40', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE', NULL, NULL, NULL, 15),
(126574, NULL, 'PTHR32410:SF197', NULL, NULL, NULL, NULL, 'BNAA05G28670D PROTEIN', NULL, NULL, NULL, 15),
(126575, NULL, 'PTHR44998', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126576, NULL, 'PTHR47509', NULL, NULL, NULL, NULL, 'MCG1612', NULL, NULL, 29552, 15),
(126577, NULL, 'PTHR33830:SF4', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 122-RELATED', NULL, NULL, NULL, 15),
(126578, NULL, 'PTHR47000', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(126579, NULL, 'PTHR11804:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INTERMEDIATE PEPTIDASE', NULL, NULL, NULL, 15),
(126580, NULL, 'PTHR10553:SF27', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', NULL, NULL, NULL, 15),
(126581, NULL, 'PTHR24232:SF82', NULL, NULL, NULL, NULL, 'P2Y RECEPTOR FAMILY MEMBER 8', NULL, NULL, NULL, 15),
(126582, NULL, 'PTHR22741:SF10', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN CG32809', NULL, NULL, NULL, 15),
(126583, NULL, 'PTHR23300:SF3', NULL, NULL, NULL, NULL, 'SELENIUM-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126584, NULL, 'PTHR43539:SF20', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(126585, NULL, 'PTHR48012:SF18', NULL, NULL, NULL, NULL, 'HAPPYHOUR, ISOFORM A', NULL, NULL, NULL, 15),
(126586, NULL, 'PTHR12039', NULL, NULL, NULL, NULL, 'NICOTINAMIDE MONONUCLEOTIDE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(126587, NULL, 'PTHR24070:SF418', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN RASD', NULL, NULL, NULL, 15),
(126588, NULL, 'PTHR47611', NULL, NULL, NULL, NULL, 'HAT DIMERISATION DOMAIN, C-TERMINAL', NULL, NULL, NULL, 15),
(126589, NULL, 'PTHR11736:SF65', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 8', NULL, NULL, 23477, 15),
(126590, NULL, 'PTHR11505:SF203', NULL, NULL, NULL, NULL, 'LINE-1 TYPE TRANSPOSASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(126591, NULL, 'PTHR28670', NULL, NULL, NULL, NULL, 'UV-STIMULATED SCAFFOLD PROTEIN A', NULL, NULL, 16370, 15),
(126592, NULL, 'PTHR37996:SF1', NULL, NULL, NULL, NULL, 'B- AND T-LYMPHOCYTE ATTENUATOR', NULL, NULL, NULL, 15),
(126593, NULL, 'PTHR14351', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE KINASE SUBSTRATE', NULL, NULL, 22776, 15),
(126594, NULL, 'PTHR26379:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126595, NULL, 'PTHR31241:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126596, NULL, 'PTHR24258:SF135', NULL, NULL, NULL, NULL, 'GH06673P-RELATED', NULL, NULL, NULL, 15),
(126597, NULL, 'PTHR21678:SF10', NULL, NULL, NULL, NULL, 'R3H DOMAIN AND COILED-COIL-CONTAINING 1', NULL, NULL, NULL, 15),
(126598, NULL, 'PTHR31677:SF50', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF104', NULL, NULL, NULL, 15),
(126599, NULL, 'PTHR47755', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSX', NULL, NULL, 1581, 15),
(126600, NULL, 'PTHR19842:SF2', NULL, NULL, NULL, NULL, 'DEFECTIVE IN DNA METHYLATION-9 PROTEIN', NULL, NULL, NULL, 15),
(126601, NULL, 'PTHR46116:SF31', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(126602, NULL, 'PTHR24377:SF610', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 772', NULL, NULL, NULL, 15),
(126603, NULL, 'PTHR16284', NULL, NULL, NULL, NULL, 'PROTEIN CDV3 HOMOLOG', NULL, NULL, 22833, 15),
(126604, NULL, 'PTHR24230:SF78', NULL, NULL, NULL, NULL, 'KISS-1 RECEPTOR', NULL, NULL, NULL, 15),
(126605, NULL, 'PTHR31676:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126606, NULL, 'PTHR32241:SF24', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(126607, NULL, 'PTHR33832:SF18', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR TYPE-2 CEVI57', NULL, NULL, NULL, 15),
(126608, NULL, 'PTHR47099', NULL, NULL, NULL, NULL, 'METHYLCOBAMIDE:COM METHYLTRANSFERASE MTBA', NULL, NULL, NULL, 15),
(126609, NULL, 'PTHR34109', NULL, NULL, NULL, NULL, 'BNAUNNG04460D PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126610, NULL, 'PTHR47942:SF28', NULL, NULL, NULL, NULL, 'OSJNBA0019D11.15 PROTEIN', NULL, NULL, NULL, 15),
(126611, NULL, 'PTHR47926:SF107', NULL, NULL, NULL, NULL, 'BNACNNG53370D PROTEIN', NULL, NULL, NULL, 15),
(126612, NULL, 'PTHR11615:SF6', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE 75 KDA SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(126613, NULL, 'PTHR16048:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MSL2', NULL, NULL, NULL, 15),
(126614, NULL, 'PTHR11736:SF79', NULL, NULL, NULL, NULL, 'ASSOCIATED PROTEIN CAP20, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06350)-RELATED', NULL, NULL, NULL, 15),
(126615, NULL, 'PTHR47975:SF20', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 4', NULL, NULL, NULL, 15),
(126616, NULL, 'PTHR46128:SF122', NULL, NULL, NULL, NULL, 'BNAC09G32390D PROTEIN', NULL, NULL, NULL, 15),
(126617, NULL, 'PTHR31181:SF52', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED PROTEIN 1.4-LIKE', NULL, NULL, NULL, 15),
(126618, NULL, 'PTHR38613:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11062', NULL, NULL, NULL, 15),
(126619, NULL, 'PTHR46029:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126620, NULL, 'PTHR33377:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126621, NULL, 'PTHR47235', NULL, NULL, NULL, NULL, 'BLR6548 PROTEIN', NULL, NULL, NULL, 15),
(126622, NULL, 'PTHR45714:SF20', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT1', NULL, NULL, NULL, 15),
(126623, NULL, 'PTHR27004:SF327', NULL, NULL, NULL, NULL, 'BNAA05G10510D PROTEIN', NULL, NULL, NULL, 15),
(126624, NULL, 'PTHR23255:SF97', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN SERINE/THREONINE KINASE', NULL, NULL, 12551, 15),
(126625, NULL, 'PTHR10113:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126626, NULL, 'PTHR12243:SF17', NULL, NULL, NULL, NULL, 'LD22971P-RELATED', NULL, NULL, NULL, 15),
(126627, NULL, 'PTHR31150', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(126628, NULL, 'PTHR23274:SF19', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE PIF1', NULL, NULL, NULL, 15),
(126629, NULL, 'PTHR13869:SF14', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL SUBUNIT BETA-4', NULL, NULL, 37500, 15),
(126630, NULL, 'PTHR15739:SF5', NULL, NULL, NULL, NULL, 'LD23158P', NULL, NULL, NULL, 15),
(126631, NULL, 'PTHR43349:SF43', NULL, NULL, NULL, NULL, 'ISOEUGENOL SYNTHASE 1-LIKE', NULL, NULL, NULL, 15),
(126632, NULL, 'PTHR10891:SF744', NULL, NULL, NULL, NULL, 'CALCYPHOSINE LIKE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126633, NULL, 'PTHR13148:SF11', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', NULL, NULL, NULL, 15),
(126634, NULL, 'PTHR33065:SF81', NULL, NULL, NULL, NULL, 'OS03G0703700 PROTEIN', NULL, NULL, NULL, 15),
(126635, NULL, 'PTHR46344:SF16', NULL, NULL, NULL, NULL, 'OS02G0202900 PROTEIN', NULL, NULL, NULL, 15),
(126636, NULL, 'PTHR37977:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG25408', NULL, NULL, NULL, 15),
(126637, NULL, 'PTHR24068:SF298', NULL, NULL, NULL, NULL, 'BNAA10G28230D PROTEIN', NULL, NULL, NULL, 15),
(126638, NULL, 'PTHR24356:SF384', NULL, NULL, NULL, NULL, 'BNAA05G28300D PROTEIN', NULL, NULL, NULL, 15),
(126639, NULL, 'PTHR12771:SF62', NULL, NULL, NULL, NULL, 'ELMO/CED-12 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126640, NULL, 'PTHR23070:SF110', NULL, NULL, NULL, NULL, 'BNACNNG58650D PROTEIN', NULL, NULL, NULL, 15),
(126641, NULL, 'PTHR45996:SF4', NULL, NULL, NULL, NULL, 'CYCLIC AMP-RESPONSIVE ELEMENT-BINDING PROTEIN 3', NULL, NULL, 27522, 15),
(126642, NULL, 'PTHR23081:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13622', NULL, NULL, NULL, 15),
(126643, NULL, 'PTHR47926:SF145', NULL, NULL, NULL, NULL, 'BNAA07G12570D PROTEIN', NULL, NULL, NULL, 15),
(126644, NULL, 'PTHR31472:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126645, NULL, 'PTHR10811:SF77', NULL, NULL, NULL, NULL, 'OS08G0165501 PROTEIN', NULL, NULL, NULL, 15),
(126646, NULL, 'PTHR10983:SF66', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDYL ACYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(126647, NULL, 'PTHR24070:SF414', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126648, NULL, 'PTHR24028:SF227', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A12', NULL, NULL, NULL, 15),
(126649, NULL, 'PTHR22951:SF83', NULL, NULL, NULL, NULL, 'BNAANNG04860D PROTEIN', NULL, NULL, NULL, 15),
(126650, NULL, 'PTHR11005:SF126', NULL, NULL, NULL, NULL, 'BNAA08G31330D PROTEIN', NULL, NULL, NULL, 15),
(126651, NULL, 'PTHR46201:SF10', NULL, NULL, NULL, NULL, 'BNAC02G47750D PROTEIN', NULL, NULL, NULL, 15),
(126652, NULL, 'PTHR24055:SF187', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 8', NULL, NULL, NULL, 15),
(126653, NULL, 'PTHR32011:SF4', NULL, NULL, NULL, NULL, 'OS09G0456700 PROTEIN', NULL, NULL, NULL, 15),
(126654, NULL, 'PTHR33184:SF63', NULL, NULL, NULL, NULL, 'BNAA01G34870D PROTEIN', NULL, NULL, NULL, 15),
(126655, NULL, 'PTHR30094:SF4', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL GLUTATHIONYLSPERMIDINE SYNTHETASE/AMIDASE', NULL, NULL, NULL, 15),
(126656, NULL, 'PTHR33172:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126657, NULL, 'PTHR22988:SF70', NULL, NULL, NULL, NULL, 'SLOW MYOSIN HEAVY CHAIN 1', NULL, NULL, NULL, 15),
(126658, NULL, 'PTHR39933', NULL, NULL, NULL, NULL, 'CENTAURIN-GAMMA-1A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(126659, NULL, 'PTHR34224:SF14', NULL, NULL, NULL, NULL, 'BNAA10G13040D PROTEIN', NULL, NULL, NULL, 15),
(126660, NULL, 'PTHR45080:SF16', NULL, NULL, NULL, NULL, 'TWITCHIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(126661, NULL, 'PTHR11178:SF46', NULL, NULL, NULL, NULL, 'NFU1 IRON-SULFUR CLUSTER SCAFFOLD HOMOLOG (S. CEREVISIAE)', NULL, NULL, NULL, 15),
(126662, NULL, 'PTHR22599:SF62', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 1 HOMOLOG B', NULL, NULL, NULL, 15),
(126663, NULL, 'PTHR10457:SF28', NULL, NULL, NULL, NULL, 'BNAA01G32760D PROTEIN', NULL, NULL, NULL, 15),
(126664, NULL, 'PTHR10126:SF54', NULL, NULL, NULL, NULL, 'TATA-BOX-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(126665, NULL, 'PTHR13068:SF126', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(126666, NULL, 'PTHR17070:SF0', NULL, NULL, NULL, NULL, 'DEXAMETHASONE-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(126667, NULL, 'PTHR47845:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR SPECKLE SPLICING REGULATORY PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(126668, NULL, 'PTHR31623:SF52', NULL, NULL, NULL, NULL, 'AT1', NULL, NULL, NULL, 15),
(126669, NULL, 'PTHR11709:SF119', NULL, NULL, NULL, NULL, 'LACCASE-7', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126670, NULL, 'PTHR31046:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126671, NULL, 'PTHR31642:SF216', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(126672, NULL, 'PTHR46874', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 6', NULL, NULL, 5220, 15),
(126673, NULL, 'PTHR33159:SF68', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126674, NULL, 'PTHR11206:SF354', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(126675, NULL, 'PTHR24023:SF892', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXV) CHAIN', NULL, NULL, NULL, 15),
(126676, NULL, 'PTHR12663', NULL, NULL, NULL, NULL, 'ANDROGEN INDUCED INHIBITOR OF PROLIFERATION  AS3  / PDS5-RELATED', NULL, NULL, 36002, 15),
(126677, NULL, 'PTHR10459', NULL, NULL, NULL, NULL, 'DNA LIGASE', NULL, NULL, NULL, 15),
(126678, NULL, 'PTHR24023:SF965', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE XVIII ALPHA 1 CHAIN B', NULL, NULL, NULL, 15),
(126679, NULL, 'PTHR42901:SF1', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(126680, NULL, 'PTHR11592:SF114', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE, SWEET SUGAR TRANSPORTER, THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126681, NULL, 'PTHR45774:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(126682, NULL, 'PTHR31218:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126683, NULL, 'PTHR14155:SF550', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL40', NULL, NULL, NULL, 15),
(126684, NULL, 'PTHR46994', NULL, NULL, NULL, NULL, '5''-METHYLTHIOADENOSINE/S-ADENOSYLHOMOCYSTEINE NUCLEOSIDASE 1', NULL, NULL, 39250, 15),
(126685, NULL, 'PTHR31194:SF93', NULL, NULL, NULL, NULL, 'OS06G0181700 PROTEIN', NULL, NULL, NULL, 15),
(126686, NULL, 'PTHR34222:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126687, NULL, 'PTHR16201:SF37', NULL, NULL, NULL, NULL, 'PQ LOOP REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_5G08410)', NULL, NULL, NULL, 15),
(126688, NULL, 'PTHR33207:SF72', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(126689, NULL, 'PTHR46588:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/TYROSINE-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(126690, NULL, 'PTHR48100:SF36', NULL, NULL, NULL, NULL, 'ADENOSYLCOBALAMIN/ALPHA-RIBAZOLE PHOSPHATASE', NULL, NULL, NULL, 15),
(126691, NULL, 'PTHR23024:SF561', NULL, NULL, NULL, NULL, 'RECEPTOR GID1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(126692, NULL, 'PTHR24390:SF70', NULL, NULL, NULL, NULL, 'FEZ FAMILY ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(126693, NULL, 'PTHR35035:SF3', NULL, NULL, NULL, NULL, 'DISCOIDIN-INDUCING COMPLEX SUBUNIT B', NULL, NULL, NULL, 15),
(126694, NULL, 'PTHR12080:SF94', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 5-RELATED', NULL, NULL, NULL, 15),
(126695, NULL, 'PTHR43428', NULL, NULL, NULL, NULL, 'ARSENATE REDUCTASE', NULL, NULL, NULL, 15),
(126696, NULL, 'PTHR45884:SF3', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE ESCO2', NULL, NULL, NULL, 15),
(126697, NULL, 'PTHR22175:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126698, NULL, 'PTHR45687:SF48', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-1', NULL, NULL, NULL, 15),
(126699, NULL, 'PTHR12002:SF183', NULL, NULL, NULL, NULL, 'CLAUDIN-16-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(126700, NULL, 'PTHR26450:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126701, NULL, 'PTHR10574:SF375', NULL, NULL, NULL, NULL, 'AGRIN', NULL, NULL, NULL, 15),
(126702, NULL, 'PTHR37960:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG20683', NULL, NULL, NULL, 15),
(126703, NULL, 'PTHR24074:SF33', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G06020)', NULL, NULL, NULL, 15),
(126704, NULL, 'PTHR10791:SF58', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET3A', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126705, NULL, 'PTHR23272:SF130', NULL, NULL, NULL, NULL, 'OS01G0698300 PROTEIN', NULL, NULL, NULL, 15),
(126706, NULL, 'PTHR31907:SF26', NULL, NULL, NULL, NULL, 'BNAC07G13250D PROTEIN', NULL, NULL, NULL, 15),
(126707, NULL, 'PTHR33142:SF39', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR8', NULL, NULL, NULL, 15),
(126708, NULL, 'PTHR24406:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 276', NULL, NULL, NULL, 15),
(126709, NULL, 'PTHR11673:SF27', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', NULL, NULL, NULL, 15),
(126710, NULL, 'PTHR43108:SF5', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-SULFATASE', NULL, NULL, 9474, 15),
(126711, NULL, 'PTHR16517:SF129', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(126712, NULL, 'PTHR47756:SF1', NULL, NULL, NULL, NULL, 'BLL0085 PROTEIN', NULL, NULL, NULL, 15),
(126713, NULL, 'PTHR12953:SF4', NULL, NULL, NULL, NULL, 'GALACTOSE-BINDING DOMAIN-LIKE, SUN DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126714, NULL, 'PTHR31218:SF199', NULL, NULL, NULL, NULL, 'MTN21/EAMA-LIKE TRANSPORTER FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(126715, NULL, 'PTHR11223:SF14', NULL, NULL, NULL, NULL, 'EXPORTIN 1A-RELATED', NULL, NULL, NULL, 15),
(126716, NULL, 'PTHR24169:SF9', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR NF-KAPPA-B P105 SUBUNIT', NULL, NULL, 23849, 15),
(126717, NULL, 'PTHR23130:SF185', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(126718, NULL, 'PTHR46225:SF3', NULL, NULL, NULL, NULL, 'OS09G0323100 PROTEIN', NULL, NULL, NULL, 15),
(126719, NULL, 'PTHR12305:SF89', NULL, NULL, NULL, NULL, 'LIM-DOMAIN CONTAINING PHOSPHATASE', NULL, NULL, NULL, 15),
(126720, NULL, 'PTHR24015:SF1854', NULL, NULL, NULL, NULL, 'OS07G0578800 PROTEIN', NULL, NULL, NULL, 15),
(126721, NULL, 'PTHR23232:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126722, NULL, 'PTHR24286:SF272', NULL, NULL, NULL, NULL, 'PULCHERRIMINIC ACID SYNTHASE', NULL, NULL, NULL, 15),
(126723, NULL, 'PTHR18945:SF817', NULL, NULL, NULL, NULL, 'CHOLINERGIC RECEPTOR, NICOTINIC, ALPHA 10A', NULL, NULL, NULL, 15),
(126724, NULL, 'PTHR30465:SF55', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(126725, NULL, 'PTHR45617:SF7', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA ACTIVATOR LRRC33', NULL, NULL, NULL, 15),
(126726, NULL, 'PTHR43302', NULL, NULL, NULL, NULL, 'TRANSPORTER ARSB-RELATED', NULL, NULL, NULL, 15),
(126727, NULL, 'PTHR13009:SF28', NULL, NULL, NULL, NULL, 'AHA1, ACTIVATOR OF HEAT SHOCK PROTEIN ATPASE HOMOLOG 1A', NULL, NULL, NULL, 15),
(126728, NULL, 'PTHR11021:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126729, NULL, 'PTHR24296:SF169', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126730, NULL, 'PTHR10129:SF45', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PROTEIN', NULL, NULL, NULL, 15),
(126731, NULL, 'PTHR24369:SF189', NULL, NULL, NULL, NULL, 'SLIT HOMOLOG 1B (DROSOPHILA)', NULL, NULL, NULL, 15),
(126732, NULL, 'PTHR34230', NULL, NULL, NULL, NULL, 'ASSEMBLY ABNORMAL PROTEIN 6, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(126733, NULL, 'PTHR34679', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126734, NULL, 'PTHR11850:SF213', NULL, NULL, NULL, NULL, 'PBX4 HOMEODOMAIN PROTEIN', NULL, NULL, NULL, 15),
(126735, NULL, 'PTHR27007:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126736, NULL, 'PTHR12322:SF49', NULL, NULL, NULL, NULL, 'DM (DOUBLESEX/MAB-3) DOMAIN FAMILY', NULL, NULL, NULL, 15),
(126737, NULL, 'PTHR10267', NULL, NULL, NULL, NULL, 'DNA POLYMERASE SUBUNIT GAMMA-1', NULL, NULL, 307, 15),
(126738, NULL, 'PTHR21145:SF9', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', NULL, NULL, NULL, 15),
(126739, NULL, 'PTHR34291:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(126740, NULL, 'PTHR43625:SF60', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126741, NULL, 'PTHR31421:SF0', NULL, NULL, NULL, NULL, 'PROTEIN BASIC PENTACYSTEINE1-RELATED', NULL, NULL, NULL, 15),
(126742, NULL, 'PTHR25465:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126743, NULL, 'PTHR26450:SF362', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 56 SUBFAMILY A MEMBER 1', NULL, NULL, NULL, 15),
(126744, NULL, 'PTHR19847:SF22', NULL, NULL, NULL, NULL, 'BNAA03G57240D PROTEIN', NULL, NULL, NULL, 15),
(126745, NULL, 'PTHR45815:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE A6', NULL, NULL, NULL, 15),
(126746, NULL, 'PTHR23530:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126747, NULL, 'PTHR21562:SF87', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(126748, NULL, 'PTHR15904:SF16', NULL, NULL, NULL, NULL, 'PROTEIN FAM13B', NULL, NULL, NULL, 15),
(126749, NULL, 'PTHR24298:SF812', NULL, NULL, NULL, NULL, 'OS09G0447300 PROTEIN', NULL, NULL, NULL, 15),
(126750, NULL, 'PTHR31636:SF271', NULL, NULL, NULL, NULL, 'DELLA PROTEIN GAI-RELATED', NULL, NULL, NULL, 15),
(126751, NULL, 'PTHR31506:SF31', NULL, NULL, NULL, NULL, 'BES1/BZR1 PLANT TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(126752, NULL, 'PTHR38932:SF1', NULL, NULL, NULL, NULL, 'BNAC03G64660D PROTEIN', NULL, NULL, NULL, 15),
(126753, NULL, 'PTHR14380', NULL, NULL, NULL, NULL, 'PLACENTA-SPECIFIC PROTEIN 1', NULL, NULL, 31283, 15),
(126754, NULL, 'PTHR47000:SF9', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(126755, NULL, 'PTHR18919:SF138', NULL, NULL, NULL, NULL, 'ACETYL-COA C-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(126756, NULL, 'PTHR10277:SF71', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(126757, NULL, 'PTHR17130', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN 25', NULL, NULL, NULL, 15),
(126758, NULL, 'PTHR32227:SF227', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 7', NULL, NULL, NULL, 15),
(126759, NULL, 'PTHR11101:SF61', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(126760, NULL, 'PTHR12546:SF57', NULL, NULL, NULL, NULL, 'OTOFERLIN B', NULL, NULL, NULL, 15),
(126761, NULL, 'PTHR31769:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126762, NULL, 'PTHR47991:SF120', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 5-LIKE', NULL, NULL, NULL, 15),
(126763, NULL, 'PTHR11961', NULL, NULL, NULL, NULL, 'CYTOCHROME C', NULL, NULL, 6455, 15),
(126764, NULL, 'PTHR36348:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(126765, NULL, 'PTHR39966:SF1', NULL, NULL, NULL, NULL, 'BLL2471 PROTEIN', NULL, NULL, NULL, 15),
(126766, NULL, 'PTHR11073:SF31', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(126767, NULL, 'PTHR10000', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE', NULL, NULL, NULL, 15),
(126768, NULL, 'PTHR35546:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126769, NULL, 'PTHR12321:SF119', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 1', NULL, NULL, NULL, 15),
(126770, NULL, 'PTHR24023:SF871', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XIII) CHAIN', NULL, NULL, NULL, 15),
(126771, NULL, 'PTHR32295:SF129', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', NULL, NULL, NULL, 15),
(126772, NULL, 'PTHR24393:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126773, NULL, 'PTHR13045:SF12', NULL, NULL, NULL, NULL, 'CYTOSOLIC 5''-NUCLEOTIDASE 3A', NULL, NULL, NULL, 15),
(126774, NULL, 'PTHR31905:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 58', NULL, NULL, NULL, 15),
(126775, NULL, 'PTHR16290:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126776, NULL, 'PTHR31080:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126777, NULL, 'PTHR36577', NULL, NULL, NULL, NULL, 'DUF521 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G00490)', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126778, NULL, 'PTHR26454', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(126779, NULL, 'PTHR24326:SF592', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT5-LIKE', NULL, NULL, NULL, 15),
(126780, NULL, 'PTHR31648:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126781, NULL, 'PTHR48049:SF18', NULL, NULL, NULL, NULL, 'SOYASAPOGENOL B GLUCURONIDE GALACTOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(126782, NULL, 'PTHR42731:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126783, NULL, 'PTHR33696:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126784, NULL, 'PTHR16238', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 8', NULL, NULL, 8733, 15),
(126785, NULL, 'PTHR13780:SF31', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE SUBUNIT GAMMA-3', NULL, NULL, 30910, 15),
(126786, NULL, 'PTHR14167:SF60', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SH3RF2', NULL, NULL, 26641, 15),
(126787, NULL, 'PTHR31744:SF124', NULL, NULL, NULL, NULL, 'NAC (NO APICAL MERISTEM) DOMAIN TRANSCRIPTIONAL REGULATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(126788, NULL, 'PTHR11132:SF298', NULL, NULL, NULL, NULL, 'UDP-SUGAR TRANSPORTER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(126789, NULL, 'PTHR33930', NULL, NULL, NULL, NULL, 'ALKYL HYDROPEROXIDE REDUCTASE AHPD', NULL, NULL, NULL, 15),
(126790, NULL, 'PTHR10201:SF252', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 5-MMP', NULL, NULL, NULL, 15),
(126791, NULL, 'PTHR23291:SF82', NULL, NULL, NULL, NULL, 'BI1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(126792, NULL, 'PTHR18966:SF484', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, N-METHYL D-ASPARTATE 2D, A', NULL, NULL, NULL, 15),
(126793, NULL, 'PTHR33916:SF7', NULL, NULL, NULL, NULL, 'OS05G0272800 PROTEIN', NULL, NULL, NULL, 15),
(126794, NULL, 'PTHR10655:SF67', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE/CARBOXYLESTERASE SUPERFAMILY (AFU_ORTHOLOGUE AFUA_5G09340)', NULL, NULL, NULL, 15),
(126795, NULL, 'PTHR34452', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(126796, NULL, 'PTHR33985:SF26', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN', NULL, NULL, NULL, 15),
(126797, NULL, 'PTHR15574:SF21', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 8-RELATED', NULL, NULL, NULL, 15),
(126798, NULL, 'PTHR32285:SF294', NULL, NULL, NULL, NULL, 'BNAANNG39690D PROTEIN', NULL, NULL, 27692, 15),
(126799, NULL, 'PTHR23406:SF70', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME 2', NULL, NULL, NULL, 15),
(126800, NULL, 'PTHR24343:SF449', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE, VARIANT', NULL, NULL, NULL, 15),
(126801, NULL, 'PTHR13763', NULL, NULL, NULL, NULL, 'BREAST CANCER TYPE 1 SUSCEPTIBILITY PROTEIN BRCA1', NULL, NULL, 22252, 15),
(126802, NULL, 'PTHR11439:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126803, NULL, 'PTHR31992:SF166', NULL, NULL, NULL, NULL, 'BNAANNG04950D PROTEIN', NULL, NULL, NULL, 15),
(126804, NULL, 'PTHR24089:SF678', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN COAC1', NULL, NULL, NULL, 15),
(126805, NULL, 'PTHR31734:SF136', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA10', NULL, NULL, NULL, 15),
(126806, NULL, 'PTHR30537:SF70', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR AMPR', NULL, NULL, NULL, 15),
(126807, NULL, 'PTHR26453:SF230', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(126808, NULL, 'PTHR22945:SF48', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(126809, NULL, 'PTHR18968', NULL, NULL, NULL, NULL, 'THIAMINE PYROPHOSPHATE ENZYMES', NULL, NULL, 37480, 15),
(126810, NULL, 'PTHR33136:SF44', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 33', NULL, NULL, NULL, 15),
(126811, NULL, 'PTHR16631', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(126812, NULL, 'PTHR28556:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 106C', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126813, NULL, 'PTHR11383', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE-LINKED MOIETY X MOTIF 13', NULL, NULL, NULL, 15),
(126814, NULL, 'PTHR12350:SF20', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(126815, NULL, 'PTHR23033:SF9', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1-B', NULL, NULL, 22717, 15),
(126816, NULL, 'PTHR21649:SF123', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 1C, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(126817, NULL, 'PTHR12903:SF10', NULL, NULL, NULL, NULL, 'BNAA03G11790D PROTEIN', NULL, NULL, NULL, 15),
(126818, NULL, 'PTHR14281:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126819, NULL, 'PTHR13354', NULL, NULL, NULL, NULL, 'ROUND SPERMATID BASIC PROTEIN 1', NULL, NULL, 27898, 15),
(126820, NULL, 'PTHR10589:SF28', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE BAP1', NULL, NULL, NULL, 15),
(126821, NULL, 'PTHR46224:SF20', NULL, NULL, NULL, NULL, 'OS12G0153600 PROTEIN', NULL, NULL, NULL, 15),
(126822, NULL, 'PTHR27007:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126823, NULL, 'PTHR46777:SF6', NULL, NULL, NULL, NULL, 'BNAA08G14960D PROTEIN', NULL, NULL, NULL, 15),
(126824, NULL, 'PTHR43731:SF14', NULL, NULL, NULL, NULL, 'PRESENILINS-ASSOCIATED RHOMBOID-LIKE PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(126825, NULL, 'PTHR33285:SF42', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 4-RELATED', NULL, NULL, NULL, 15),
(126826, NULL, 'PTHR13822:SF20', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT DELTA'', MITOCHONDRIAL', NULL, NULL, NULL, 15),
(126827, NULL, 'PTHR24027:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126828, NULL, 'PTHR48032:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(126829, NULL, 'PTHR21450:SF50', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: NITRATE REGULATORY GENE2 PROTEIN', NULL, NULL, NULL, 15),
(126830, NULL, 'PTHR46558:SF7', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126831, NULL, 'PTHR35161:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126832, NULL, 'PTHR11654:SF474', NULL, NULL, NULL, NULL, 'BNACNNG33950D PROTEIN', NULL, NULL, NULL, 15),
(126833, NULL, 'PTHR19918:SF52', NULL, NULL, NULL, NULL, 'PROTEIN CORTEX', NULL, NULL, NULL, 15),
(126834, NULL, 'PTHR18945:SF516', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE-GATED ION CHANNEL ACC-4', NULL, NULL, NULL, 15),
(126835, NULL, 'PTHR34283:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RESPONSE TO LOW SULFUR 1', NULL, NULL, NULL, 15),
(126836, NULL, 'PTHR12450:SF11', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SERINE/THREONINE PROTEIN KINASE FAM20C', NULL, NULL, NULL, 15),
(126837, NULL, 'PTHR46178:SF4', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(126838, NULL, 'PTHR24064:SF528', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-4-LIKE', NULL, NULL, NULL, 15),
(126839, NULL, 'PTHR10342:SF270', NULL, NULL, NULL, NULL, 'N-ACETYL-GALACTOSAMINE-6-SULFATASE (GALNS)', NULL, NULL, NULL, 15),
(126840, NULL, 'PTHR36313:SF4', NULL, NULL, NULL, NULL, 'ROOT MERISTEM GROWTH FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(126841, NULL, 'PTHR31286:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126842, NULL, 'PTHR46107:SF3', NULL, NULL, NULL, NULL, 'DUMPY: SHORTER THAN WILD-TYPE', NULL, NULL, NULL, 15),
(126843, NULL, 'PTHR24177:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126844, NULL, 'PTHR23320:SF125', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 176L.1-RELATED', NULL, NULL, NULL, 15),
(126845, NULL, 'PTHR19343:SF18', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 12-1', NULL, NULL, NULL, 15),
(126846, NULL, 'PTHR37811:SF2', NULL, NULL, NULL, NULL, 'BLL5343 PROTEIN', NULL, NULL, NULL, 15),
(126847, NULL, 'PTHR46781:SF7', NULL, NULL, NULL, NULL, 'ALPHA 1,4-GLYCOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126848, NULL, 'PTHR37839:SF1', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT A', NULL, NULL, NULL, 15),
(126849, NULL, 'PTHR21403', NULL, NULL, NULL, NULL, 'ATP PHOSPHORIBOSYLTRANSFERASE  ATP-PRTASE', NULL, NULL, 7011, 15),
(126850, NULL, 'PTHR31472:SF5', NULL, NULL, NULL, NULL, 'OS05G0244600 PROTEIN', NULL, NULL, NULL, 15),
(126851, NULL, 'PTHR33361:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126852, NULL, 'PTHR34933:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR L-RING PROTEIN', NULL, NULL, NULL, 15),
(126853, NULL, 'PTHR11132:SF423', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126854, NULL, 'PTHR23139:SF9', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF 65 KDA SUBUNIT', NULL, NULL, NULL, 15),
(126855, NULL, 'PTHR48042:SF18', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 15', NULL, NULL, NULL, 15),
(126856, NULL, 'PTHR48057:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT SERINE/THREONINE-PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(126857, NULL, 'PTHR34204:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING ASCH DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(126858, NULL, 'PTHR33065:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126859, NULL, 'PTHR21528:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126860, NULL, 'PTHR33479:SF13', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE TRYPSIN INHIBITOR', NULL, NULL, NULL, 15),
(126861, NULL, 'PTHR24023:SF938', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XIX) CHAIN', NULL, NULL, NULL, 15),
(126862, NULL, 'PTHR15750:SF5', NULL, NULL, NULL, NULL, 'TUBULINYL-TYR CARBOXYPEPTIDASE 1', NULL, NULL, 22995, 15),
(126863, NULL, 'PTHR11827:SF93', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 1', NULL, NULL, NULL, 15),
(126864, NULL, 'PTHR32212:SF276', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(126865, NULL, 'PTHR22601:SF47', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 3', NULL, NULL, NULL, 15),
(126866, NULL, 'PTHR11849:SF203', NULL, NULL, NULL, NULL, 'PROTEIN FEV', NULL, NULL, NULL, 15),
(126867, NULL, 'PTHR46508:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126868, NULL, 'PTHR43112:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 DOMAIN-CONTAINING PROTEIN RLF', NULL, NULL, NULL, 15),
(126869, NULL, 'PTHR11771:SF139', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(126870, NULL, 'PTHR11783:SF217', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(126871, NULL, 'PTHR31639:SF171', NULL, NULL, NULL, NULL, 'OS06G0716467 PROTEIN', NULL, NULL, NULL, 15),
(126872, NULL, 'PTHR46496:SF1', NULL, NULL, NULL, NULL, 'ZEAXANTHIN EPOXIDASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(126873, NULL, 'PTHR46511', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(126874, NULL, 'PTHR35533', NULL, NULL, NULL, NULL, 'CONSERVED REPEAT DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(126875, NULL, 'PTHR10649', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR', NULL, NULL, 29084, 15),
(126876, NULL, 'PTHR10516:SF430', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(126877, NULL, 'PTHR28544:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM45A-RELATED', NULL, NULL, NULL, 15),
(126878, NULL, 'PTHR47820', NULL, NULL, NULL, NULL, 'BNAC05G24000D PROTEIN', NULL, NULL, NULL, 15),
(126879, NULL, 'PTHR24240:SF151', NULL, NULL, NULL, NULL, 'NOVOPSIN-4', NULL, NULL, NULL, 15),
(126880, NULL, 'PTHR22726:SF4', NULL, NULL, NULL, NULL, 'METALLOPROTEASE LOIP', NULL, NULL, NULL, 15),
(126881, NULL, 'PTHR47520:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126882, NULL, 'PTHR27006:SF323', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(126883, NULL, 'PTHR45693:SF37', NULL, NULL, NULL, NULL, 'TGACG-SEQUENCE-SPECIFIC DNA-BINDING PROTEIN TGA-1A-LIKE', NULL, NULL, NULL, 15),
(126884, NULL, 'PTHR34825:SF1', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN, WITH A WEAK D-GALACTARATE DEHYDRATASE/ALTRONATE HYDROLASE DOMAIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126885, NULL, 'PTHR35728', NULL, NULL, NULL, NULL, 'MICROTUBULE-BINDING PROTEIN TANGLED-RELATED', NULL, NULL, 37647, 15),
(126886, NULL, 'PTHR10291:SF36', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN CRTB/UPPS', NULL, NULL, NULL, 15),
(126887, NULL, 'PTHR23389:SF9', NULL, NULL, NULL, NULL, 'BRCT DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(126888, NULL, 'PTHR47569:SF2', NULL, NULL, NULL, NULL, 'NO-ASSOCIATED PROTEIN 1, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(126889, NULL, 'PTHR33138', NULL, NULL, NULL, NULL, 'OS01G0690200 PROTEIN', NULL, NULL, NULL, 15),
(126890, NULL, 'PTHR10336:SF178', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(126891, NULL, 'PTHR14025', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP M FANCM FAMILY MEMBER', NULL, NULL, NULL, 15),
(126892, NULL, 'PTHR31722:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126893, NULL, 'PTHR10083:SF217', NULL, NULL, NULL, NULL, 'IP20435P', NULL, NULL, NULL, 15),
(126894, NULL, 'PTHR11932:SF133', NULL, NULL, NULL, NULL, 'CULLIN 3B', NULL, NULL, NULL, 15),
(126895, NULL, 'PTHR24282:SF184', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(126896, NULL, 'PTHR32523:SF14', NULL, NULL, NULL, NULL, 'PHYTOL KINASE 2 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126897, NULL, 'PTHR19308:SF13', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(126898, NULL, 'PTHR11905:SF161', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPEPTIDASE DOMAIN 26B-RELATED', NULL, NULL, NULL, 15),
(126899, NULL, 'PTHR23107:SF24', NULL, NULL, NULL, NULL, 'BNAA09G03450D PROTEIN', NULL, NULL, NULL, 15),
(126900, NULL, 'PTHR10366:SF737', NULL, NULL, NULL, NULL, 'TETRAKETIDE ALPHA-PYRONE REDUCTASE 1-LIKE', NULL, NULL, NULL, 15),
(126901, NULL, 'PTHR31636:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126902, NULL, 'PTHR47490', NULL, NULL, NULL, NULL, 'PROTEIN BLISTER', NULL, NULL, 37053, 15),
(126903, NULL, 'PTHR15934:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126904, NULL, 'PTHR38588:SF1', NULL, NULL, NULL, NULL, 'BLL0334 PROTEIN', NULL, NULL, NULL, 15),
(126905, NULL, 'PTHR11017:SF370', NULL, NULL, NULL, NULL, 'BNAA02G24500D PROTEIN', NULL, NULL, NULL, 15),
(126906, NULL, 'PTHR19433:SF84', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 34', NULL, NULL, NULL, 15),
(126907, NULL, 'PTHR12147:SF22', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM METALLOPEPTIDASE 1', NULL, NULL, NULL, 15),
(126908, NULL, 'PTHR23236:SF21', NULL, NULL, NULL, NULL, 'PABPN1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(126909, NULL, 'PTHR11581:SF32', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', NULL, NULL, NULL, 15),
(126910, NULL, 'PTHR11206:SF361', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 51', NULL, NULL, NULL, 15),
(126911, NULL, 'PTHR43787:SF3', NULL, NULL, NULL, NULL, 'FEMO COFACTOR BIOSYNTHESIS PROTEIN NIFB', NULL, NULL, 1124, 15),
(126912, NULL, 'PTHR43895:SF110', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE SAMKD-RELATED', NULL, NULL, NULL, 15),
(126913, NULL, 'PTHR11276:SF28', NULL, NULL, NULL, NULL, 'DNA POLYMERASE LAMBDA', NULL, NULL, NULL, 15),
(126914, NULL, 'PTHR31568:SF105', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', NULL, NULL, NULL, 15),
(126915, NULL, 'PTHR45798:SF29', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 11 RING-H2 FINGER PROTEIN', NULL, NULL, NULL, 15),
(126916, NULL, 'PTHR22966:SF37', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 5', NULL, NULL, NULL, 15),
(126917, NULL, 'PTHR24055:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126918, NULL, 'PTHR12606:SF118', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 1A', NULL, NULL, NULL, 15),
(126919, NULL, 'PTHR46017:SF1', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE 2C1', NULL, NULL, NULL, 15),
(126920, NULL, 'PTHR33459:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126921, NULL, 'PTHR24177:SF316', NULL, NULL, NULL, NULL, 'OS11G0435100 PROTEIN', NULL, NULL, NULL, 15),
(126922, NULL, 'PTHR45968:SF10', NULL, NULL, NULL, NULL, 'OS03G0118700 PROTEIN', NULL, NULL, NULL, 15),
(126923, NULL, 'PTHR27006:SF311', NULL, NULL, NULL, NULL, 'INACTIVE LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BIR2', NULL, NULL, NULL, 15),
(126924, NULL, 'PTHR35185:SF2', NULL, NULL, NULL, NULL, 'EXTRACELLULAR PROLINE-SERINE RICH PROTEIN (AFU_ORTHOLOGUE AFUA_8G07090)', NULL, NULL, NULL, 15),
(126925, NULL, 'PTHR13363', NULL, NULL, NULL, NULL, 'RING FINGER AND SRY DOMAIN-CONTAINING', NULL, NULL, 39352, 15),
(126926, NULL, 'PTHR11654:SF413', NULL, NULL, NULL, NULL, 'OS05G0411100 PROTEIN', NULL, NULL, NULL, 15),
(126927, NULL, 'PTHR31680:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126928, NULL, 'PTHR23037:SF28', NULL, NULL, NULL, NULL, 'ERYTHROPOIETIN RECEPTOR', NULL, NULL, 9508, 15),
(126929, NULL, 'PTHR13479', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S18', NULL, NULL, 5234, 15),
(126930, NULL, 'PTHR34846', NULL, NULL, NULL, NULL, '4-CARBOXYMUCONOLACTONE DECARBOXYLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G11590)', NULL, NULL, NULL, 15),
(126931, NULL, 'PTHR31718:SF38', NULL, NULL, NULL, NULL, 'BNAA04G12650D PROTEIN', NULL, NULL, NULL, 15),
(126932, NULL, 'PTHR27009:SF146', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(126933, NULL, 'PTHR45768:SF15', NULL, NULL, NULL, NULL, 'OS05G0352750 PROTEIN', NULL, NULL, NULL, 15),
(126934, NULL, 'PTHR18945:SF794', NULL, NULL, NULL, NULL, 'CHOLINERGIC RECEPTOR, NICOTINIC, BETA 1 (MUSCLE)', NULL, NULL, NULL, 15),
(126935, NULL, 'PTHR31321:SF95', NULL, NULL, NULL, NULL, 'BNAA02G08960D PROTEIN', NULL, NULL, NULL, 15),
(126936, NULL, 'PTHR32448:SF128', NULL, NULL, NULL, NULL, 'RETICULINE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(126937, NULL, 'PTHR32444:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126938, NULL, 'PTHR37981', NULL, NULL, NULL, NULL, 'LIPASE 2', NULL, NULL, 35578, 15),
(126939, NULL, 'PTHR12489:SF21', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 5B', NULL, NULL, NULL, 15),
(126940, NULL, 'PTHR11945:SF414', NULL, NULL, NULL, NULL, 'BOX PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(126941, NULL, 'PTHR46413:SF7', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(126942, NULL, 'PTHR31474:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126943, NULL, 'PTHR11801:SF18', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION 1-ALPHA/BETA', NULL, NULL, NULL, 15),
(126944, NULL, 'PTHR13460:SF0', NULL, NULL, NULL, NULL, 'MALECTIN', NULL, NULL, NULL, 15),
(126945, NULL, 'PTHR10003:SF81', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN]', NULL, NULL, NULL, 15),
(126946, NULL, 'PTHR46186:SF3', NULL, NULL, NULL, NULL, 'CYSTATIN-S-RELATED', NULL, NULL, NULL, 15),
(126947, NULL, 'PTHR42197', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE(56)-2''-O)-METHYLTRANSFERASE', NULL, NULL, 5718, 15),
(126948, NULL, 'PTHR14677:SF35', NULL, NULL, NULL, NULL, 'ZINC FINGER AN1 AND C2H2 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 16-RELATED', NULL, NULL, NULL, 15),
(126949, NULL, 'PTHR48056:SF30', NULL, NULL, NULL, NULL, 'BNAC01G23060D PROTEIN', NULL, NULL, NULL, 15),
(126950, NULL, 'PTHR36157:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG01818', NULL, NULL, NULL, 15),
(126951, NULL, 'PTHR33305:SF40', NULL, NULL, NULL, NULL, 'BNAC06G23450D PROTEIN', NULL, NULL, NULL, 15),
(126952, NULL, 'PTHR43440:SF1', NULL, NULL, NULL, NULL, 'UREASE', NULL, NULL, NULL, 15),
(126953, NULL, 'PTHR47074:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126954, NULL, 'PTHR46071:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND BTB/POZ DOMAIN-CONTAINING PROTEIN 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(126955, NULL, 'PTHR46101:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126956, NULL, 'PTHR34115:SF8', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126957, NULL, 'PTHR13479:SF60', NULL, NULL, NULL, NULL, 'BNAC08G45180D PROTEIN', NULL, NULL, NULL, 15),
(126958, NULL, 'PTHR42811:SF10', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(126959, NULL, 'PTHR31301:SF74', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 24-LIKE', NULL, NULL, NULL, 15),
(126960, NULL, 'PTHR48011:SF1', NULL, NULL, NULL, NULL, 'NPK1-RELATED PROTEIN KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(126961, NULL, 'PTHR31852:SF7', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(126962, NULL, 'PTHR24064:SF577', NULL, NULL, NULL, NULL, 'ORGANIC CATION TRANSPORTER', NULL, NULL, NULL, 15),
(126963, NULL, 'PTHR15678:SF12', NULL, NULL, NULL, NULL, 'PROTEIN SABRE', NULL, NULL, NULL, 15),
(126964, NULL, 'PTHR13596:SF2', NULL, NULL, NULL, NULL, 'SMALL EDRK-RICH FACTOR 2', NULL, NULL, NULL, 15),
(126965, NULL, 'PTHR24343:SF439', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2E', NULL, NULL, NULL, 15),
(126966, NULL, 'PTHR32295:SF218', NULL, NULL, NULL, NULL, 'OS10G0420200 PROTEIN', NULL, NULL, NULL, 15),
(126967, NULL, 'PTHR31734:SF120', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA25', NULL, NULL, NULL, 15),
(126968, NULL, 'PTHR33136:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126969, NULL, 'PTHR10314:SF180', NULL, NULL, NULL, NULL, 'OS06G0564400 PROTEIN', NULL, NULL, NULL, 15),
(126970, NULL, 'PTHR42951:SF2', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(126971, NULL, 'PTHR24300:SF177', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2J2', NULL, NULL, NULL, 15),
(126972, NULL, 'PTHR13228:SF3', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(126973, NULL, 'PTHR13718:SF61', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(126974, NULL, 'PTHR37012:SF2', NULL, NULL, NULL, NULL, 'B-ZIP TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(126975, NULL, 'PTHR46928', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126976, NULL, 'PTHR46277:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN CSR1', NULL, NULL, NULL, 15),
(126977, NULL, 'PTHR31321:SF86', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(126978, NULL, 'PTHR45952:SF21', NULL, NULL, NULL, NULL, 'BNAANNG08700D PROTEIN', NULL, NULL, NULL, 15),
(126979, NULL, 'PTHR23359:SF202', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', NULL, NULL, NULL, 15),
(126980, NULL, 'PTHR37761', NULL, NULL, NULL, NULL, 'OS09G0108400 PROTEIN', NULL, NULL, NULL, 15),
(126981, NULL, 'PTHR16485:SF6', NULL, NULL, NULL, NULL, 'MICROFIBRILLAR-ASSOCIATED PROTEIN 5', NULL, NULL, NULL, 15),
(126982, NULL, 'PTHR46627', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE O', NULL, NULL, 33139, 15),
(126983, NULL, 'PTHR43381:SF16', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', NULL, NULL, NULL, 15),
(126984, NULL, 'PTHR45872:SF4', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 1', NULL, NULL, NULL, 15),
(126985, NULL, 'PTHR35186', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(126986, NULL, 'PTHR23282:SF132', NULL, NULL, NULL, NULL, 'MAM DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(126987, NULL, 'PTHR19282:SF431', NULL, NULL, NULL, NULL, 'IP01824P-RELATED', NULL, NULL, NULL, 15),
(126988, NULL, 'PTHR34294:SF11', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEOSIDE REGULATOR', NULL, NULL, NULL, 15),
(126989, NULL, 'PTHR27007:SF4', NULL, NULL, NULL, NULL, 'OS07G0131500 PROTEIN', NULL, NULL, NULL, 15),
(126990, NULL, 'PTHR43176:SF9', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(126991, NULL, 'PTHR15444:SF4', NULL, NULL, NULL, NULL, 'SECRETED PHOSPHOPROTEIN 24', NULL, NULL, NULL, 15),
(126992, NULL, 'PTHR15241:SF334', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 4, MITOCHONDRIAL', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(126993, NULL, 'PTHR43670:SF32', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 2-LIKE', NULL, NULL, NULL, 15),
(126994, NULL, 'PTHR10572:SF44', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', NULL, NULL, NULL, 15),
(126995, NULL, 'PTHR32266:SF26', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE, S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(126996, NULL, 'PTHR19370:SF200', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', NULL, NULL, NULL, 15),
(126997, NULL, 'PTHR31100:SF78', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(126998, NULL, 'PTHR11588:SF379', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(126999, NULL, 'PTHR37534:SF31', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(127000, NULL, 'PTHR47942:SF39', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(127001, NULL, 'PTHR13018:SF83', NULL, NULL, NULL, NULL, 'HYPOTHETICAL TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(127002, NULL, 'PTHR27001:SF764', NULL, NULL, NULL, NULL, 'OS05G0387600 PROTEIN', NULL, NULL, NULL, 15),
(127003, NULL, 'PTHR15319', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT C', NULL, NULL, 34814, 15),
(127004, NULL, 'PTHR43176:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127005, NULL, 'PTHR31260:SF53', NULL, NULL, NULL, NULL, 'BNAA10G29010D PROTEIN', NULL, NULL, NULL, 15),
(127006, NULL, 'PTHR43520', NULL, NULL, NULL, NULL, 'ATP7, ISOFORM B', NULL, NULL, NULL, 15),
(127007, NULL, 'PTHR15337', NULL, NULL, NULL, NULL, 'ANTERIOR GRADIENT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127008, NULL, 'PTHR24064:SF546', NULL, NULL, NULL, NULL, 'BNAC05G12500D PROTEIN', NULL, NULL, NULL, 15),
(127009, NULL, 'PTHR45714:SF44', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER, HOMEOBOX-ASSOCIATED, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127010, NULL, 'PTHR43056:SF11', NULL, NULL, NULL, NULL, 'OS06G0215400 PROTEIN', NULL, NULL, NULL, 15),
(127011, NULL, 'PTHR14596:SF72', NULL, NULL, NULL, NULL, 'DEFECTIVE CHORION-1 PROTEIN, FC177 ISOFORM', NULL, NULL, NULL, 15),
(127012, NULL, 'PTHR43375', NULL, NULL, NULL, NULL, 'OROTIDINE 5''-PHOSPHATE DECARBOXYLASE', NULL, NULL, 12240, 15),
(127013, NULL, 'PTHR31972:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127014, NULL, 'PTHR44027', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 5 HOMOLOG', NULL, NULL, NULL, 15),
(127015, NULL, 'PTHR45666:SF40', NULL, NULL, NULL, NULL, 'DNASE I-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127016, NULL, 'PTHR24072:SF179', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC1', NULL, NULL, NULL, 15),
(127017, NULL, 'PTHR37492', NULL, NULL, NULL, NULL, 'SI:CH211-171H4.7-RELATED', NULL, NULL, NULL, 15),
(127018, NULL, 'PTHR23028:SF3', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(127019, NULL, 'PTHR48048:SF42', NULL, NULL, NULL, NULL, 'OS07G0502900 PROTEIN', NULL, NULL, NULL, 15),
(127020, NULL, 'PTHR48050:SF9', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE UGT80A2-LIKE', NULL, NULL, NULL, 15),
(127021, NULL, 'PTHR11767:SF53', NULL, NULL, NULL, NULL, 'INWARD RECTIFIER POTASSIUM CHANNEL 4', NULL, NULL, 3083, 15),
(127022, NULL, 'PTHR31645:SF63', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL4-RELATED', NULL, NULL, NULL, 15),
(127023, NULL, 'PTHR14593:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(127024, NULL, 'PTHR43159:SF9', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE [NADH], CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(127025, NULL, 'PTHR34995', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(127026, NULL, 'PTHR18945:SF859', NULL, NULL, NULL, NULL, 'GLYCINE RECEPTOR SUBUNIT ALPHAZ1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127027, NULL, 'PTHR33801:SF10', NULL, NULL, NULL, NULL, 'ABSCISIC ACID STRESS RIPENING5', NULL, NULL, NULL, 15),
(127028, NULL, 'PTHR13847:SF200', NULL, NULL, NULL, NULL, 'SARCOSINE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(127029, NULL, 'PTHR12265:SF13', NULL, NULL, NULL, NULL, 'OS06G0213400 PROTEIN', NULL, NULL, NULL, 15),
(127030, NULL, 'PTHR16631:SF17', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(127031, NULL, 'PTHR10969:SF67', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8A', NULL, NULL, NULL, 15),
(127032, NULL, 'PTHR33573:SF3', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127033, NULL, 'PTHR13292:SF1', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 101-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(127034, NULL, 'PTHR22957:SF485', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 26', NULL, NULL, NULL, 15),
(127035, NULL, 'PTHR31947:SF18', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(127036, NULL, 'PTHR31544:SF13', NULL, NULL, NULL, NULL, 'BNAC06G12680D PROTEIN', NULL, NULL, NULL, 15),
(127037, NULL, 'PTHR31468:SF4', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE GAS4', NULL, NULL, NULL, 15),
(127038, NULL, 'PTHR19268:SF7', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 85-RELATED', NULL, NULL, NULL, 15),
(127039, NULL, 'PTHR47263', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE ACTIVATION PROTEIN GIT1', NULL, NULL, NULL, 15),
(127040, NULL, 'PTHR33320:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127041, NULL, 'PTHR13202:SF4', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 1-RELATED', NULL, NULL, NULL, 15),
(127042, NULL, 'PTHR11761:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127043, NULL, 'PTHR47968:SF28', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7C', NULL, NULL, NULL, 15),
(127044, NULL, 'PTHR31790:SF341', NULL, NULL, NULL, NULL, 'BNAA01G18940D PROTEIN', NULL, NULL, NULL, 15),
(127045, NULL, 'PTHR13832:SF534', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE DDB_G0279461-RELATED', NULL, NULL, NULL, 15),
(127046, NULL, 'PTHR45086:SF3', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 4 HOMOLOG', NULL, NULL, NULL, 15),
(127047, NULL, 'PTHR17098:SF3', NULL, NULL, NULL, NULL, 'BNAC05G43940D PROTEIN', NULL, NULL, NULL, 15),
(127048, NULL, 'PTHR47976:SF43', NULL, NULL, NULL, NULL, 'OS06G0575400 PROTEIN', NULL, NULL, NULL, 15),
(127049, NULL, 'PTHR23128:SF71', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)-RELATED', NULL, NULL, NULL, 15),
(127050, NULL, 'PTHR33784:SF12', NULL, NULL, NULL, NULL, 'BNAA01G27070D PROTEIN', NULL, NULL, NULL, 15),
(127051, NULL, 'PTHR13568:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 185-LIKE', NULL, NULL, NULL, 15),
(127052, NULL, 'PTHR21314', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 17681, 15),
(127053, NULL, 'PTHR42692', NULL, NULL, NULL, NULL, 'NUCLEOTIDE PYROPHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(127054, NULL, 'PTHR10749:SF7', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE B KINASE REGULATORY SUBUNIT ALPHA-RELATED', NULL, NULL, NULL, 15),
(127055, NULL, 'PTHR21576:SF118', NULL, NULL, NULL, NULL, 'BNAA06G13140D PROTEIN', NULL, NULL, NULL, 15),
(127056, NULL, 'PTHR10366:SF697', NULL, NULL, NULL, NULL, 'OS09G0491820 PROTEIN', NULL, NULL, NULL, 15),
(127057, NULL, 'PTHR45855:SF37', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPATULA-LIKE', NULL, NULL, NULL, 15),
(127058, NULL, 'PTHR10218:SF326', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127059, NULL, 'PTHR16040:SF7', NULL, NULL, NULL, NULL, 'AUSTRALIN, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(127060, NULL, 'PTHR33768:SF6', NULL, NULL, NULL, NULL, 'SI:CH211-284K5.2', NULL, NULL, NULL, 15),
(127061, NULL, 'PTHR42693:SF31', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED METAL-DEPENDENT HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(127062, NULL, 'PTHR36586:SF16', NULL, NULL, NULL, NULL, 'EXTENSIN-2-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127063, NULL, 'PTHR33193:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127064, NULL, 'PTHR46816:SF3', NULL, NULL, NULL, NULL, 'T14P4.7 PROTEIN', NULL, NULL, NULL, 15),
(127065, NULL, 'PTHR14554', NULL, NULL, NULL, NULL, 'GENE, 49416-RELATED', NULL, NULL, 30644, 15),
(127066, NULL, 'PTHR24410:SF8', NULL, NULL, NULL, NULL, 'ECTODERMAL-NEURAL CORTEX 3', NULL, NULL, NULL, 15),
(127067, NULL, 'PTHR12151:SF8', NULL, NULL, NULL, NULL, 'SCO1/SENC/PRRC FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127068, NULL, 'PTHR46148:SF11', NULL, NULL, NULL, NULL, 'CCHC-TYPE INTEGRASE', NULL, NULL, NULL, 15),
(127069, NULL, 'PTHR19229:SF148', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 8', NULL, NULL, 24682, 15),
(127070, NULL, 'PTHR31744:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127071, NULL, 'PTHR47209:SF7', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE KEG-LIKE', NULL, NULL, NULL, 15),
(127072, NULL, 'PTHR24012:SF620', NULL, NULL, NULL, NULL, 'POLY(A) BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127073, NULL, 'PTHR12688:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 1 LIGHT INTERMEDIATE CHAIN 2', NULL, NULL, NULL, 15),
(127074, NULL, 'PTHR12420:SF40', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 7', NULL, NULL, NULL, 15),
(127075, NULL, 'PTHR11359:SF1', NULL, NULL, NULL, NULL, 'AMP DEAMINASE 1', NULL, NULL, 23648, 15),
(127076, NULL, 'PTHR26452:SF727', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(127077, NULL, 'PTHR24118:SF83', NULL, NULL, NULL, NULL, 'NFKB INHIBITOR BETA', NULL, NULL, NULL, 15),
(127078, NULL, 'PTHR46288:SF48', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127079, NULL, 'PTHR10772:SF24', NULL, NULL, NULL, NULL, '10 KDA CHAPERONIN', NULL, NULL, NULL, 15),
(127080, NULL, 'PTHR43785:SF10', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE GLNA3 (GLUTAMINE SYNTHASE) (GS-I)-RELATED', NULL, NULL, NULL, 15),
(127081, NULL, 'PTHR12011:SF305', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR G7', NULL, NULL, NULL, 15),
(127082, NULL, 'PTHR37383:SF1', NULL, NULL, NULL, NULL, 'OS01G0694200 PROTEIN', NULL, NULL, NULL, 15),
(127083, NULL, 'PTHR45689:SF4', NULL, NULL, NULL, NULL, 'POTASSIUM/SODIUM HYPERPOLARIZATION-ACTIVATED CYCLIC NUCLEOTIDE-GATED CHANNEL 4', NULL, NULL, NULL, 15),
(127084, NULL, 'PTHR11886:SF69', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(127085, NULL, 'PTHR24379:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 625', NULL, NULL, NULL, 15),
(127086, NULL, 'PTHR43827:SF5', NULL, NULL, NULL, NULL, 'ZGC:101765-RELATED', NULL, NULL, NULL, 15),
(127087, NULL, 'PTHR23266:SF309', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA CONSTANT 1', NULL, NULL, NULL, 15),
(127088, NULL, 'PTHR46325:SF7', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC10', NULL, NULL, NULL, 15),
(127089, NULL, 'PTHR32080:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127090, NULL, 'PTHR35185:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-RICH PROTEIN ADG2-RELATED', NULL, NULL, NULL, 15),
(127091, NULL, 'PTHR24100:SF126', NULL, NULL, NULL, NULL, 'BUTYROPHILIN SUBFAMILY 3 MEMBER A3', NULL, NULL, NULL, 15),
(127092, NULL, 'PTHR10261', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA', NULL, NULL, 20839, 15),
(127093, NULL, 'PTHR37256:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127094, NULL, 'PTHR10165:SF178', NULL, NULL, NULL, NULL, 'BNAA05G33490D PROTEIN', NULL, NULL, NULL, 15),
(127095, NULL, 'PTHR11183:SF140', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(127096, NULL, 'PTHR20855:SF115', NULL, NULL, NULL, NULL, 'HEPTAHELICAL TRANSMEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(127097, NULL, 'PTHR11119:SF21', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 23 MEMBER 1', NULL, NULL, 23482, 15),
(127098, NULL, 'PTHR13341:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG15841', NULL, NULL, NULL, 15),
(127099, NULL, 'PTHR12577:SF6', NULL, NULL, NULL, NULL, 'DACHSHUND, ISOFORM B', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127100, NULL, 'PTHR24270:SF16', NULL, NULL, NULL, NULL, 'VERY LOW-DENSITY LIPOPROTEIN RECEPTOR', NULL, NULL, 26954, 15),
(127101, NULL, 'PTHR36024', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN SKIP35', NULL, NULL, 39313, 15),
(127102, NULL, 'PTHR16199', NULL, NULL, NULL, NULL, 'CONDENSIN-2 COMPLEX SUBUNIT G2', NULL, NULL, NULL, 15),
(127103, NULL, 'PTHR11562:SF92', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(127104, NULL, 'PTHR33147:SF101', NULL, NULL, NULL, NULL, 'BNAC02G23400D PROTEIN', NULL, NULL, NULL, 15),
(127105, NULL, 'PTHR11909:SF380', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM EPSILON', NULL, NULL, NULL, 15),
(127106, NULL, 'PTHR11843:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15),
(127107, NULL, 'PTHR14149:SF16', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING-LIKE PROTEIN GAPA', NULL, NULL, NULL, 15),
(127108, NULL, 'PTHR18896:SF158', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(127109, NULL, 'PTHR18929:SF195', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', NULL, NULL, NULL, 15),
(127110, NULL, 'PTHR26453:SF634', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(127111, NULL, 'PTHR24027:SF99', NULL, NULL, NULL, NULL, 'CADHERIN-9', NULL, NULL, NULL, 15),
(127112, NULL, 'PTHR42091:SF1', NULL, NULL, NULL, NULL, 'CONSERVED GLYCINE-RICH PROTEIN (AFU_ORTHOLOGUE AFUA_7G02440)', NULL, NULL, NULL, 15),
(127113, NULL, 'PTHR19956:SF5', NULL, NULL, NULL, NULL, 'LAMIN TAIL DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(127114, NULL, 'PTHR22768:SF0', NULL, NULL, NULL, NULL, 'DNA REPLICATION COMPLEX GINS PROTEIN PSF3', NULL, NULL, NULL, 15),
(127115, NULL, 'PTHR24153:SF14', NULL, NULL, NULL, NULL, 'ESPIN', NULL, NULL, 27361, 15),
(127116, NULL, 'PTHR32448:SF89', NULL, NULL, NULL, NULL, 'CANNABIDIOLIC ACID SYNTHASE-LIKE 1', NULL, NULL, NULL, 15),
(127117, NULL, 'PTHR18902:SF25', NULL, NULL, NULL, NULL, 'GRIP AND COILED-COIL DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(127118, NULL, 'PTHR11937:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127119, NULL, 'PTHR11439:SF357', NULL, NULL, NULL, NULL, 'ORF490 PROTEIN', NULL, NULL, NULL, 15),
(127120, NULL, 'PTHR46235:SF12', NULL, NULL, NULL, NULL, 'ENHANCED DOWNY MILDEW PROTEIN', NULL, NULL, NULL, 15),
(127121, NULL, 'PTHR33411:SF11', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN NST1-LIKE', NULL, NULL, NULL, 15),
(127122, NULL, 'PTHR48111:SF26', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(127123, NULL, 'PTHR14081:SF1', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 11A-RELATED', NULL, NULL, NULL, 15),
(127124, NULL, 'PTHR10160', NULL, NULL, NULL, NULL, 'NAD(P) TRANSHYDROGENASE', NULL, NULL, NULL, 15),
(127125, NULL, 'PTHR10625:SF187', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, NULL, 15),
(127126, NULL, 'PTHR12606:SF123', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE ESD4', NULL, NULL, NULL, 15),
(127127, NULL, 'PTHR46181:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCINE TRANSPORTER', NULL, NULL, NULL, 15),
(127128, NULL, 'PTHR31545', NULL, NULL, NULL, NULL, 'SEEDY PROTEIN A/C FAMILY MEMBER', NULL, NULL, NULL, 15),
(127129, NULL, 'PTHR31621:SF28', NULL, NULL, NULL, NULL, 'DUF679 DOMAIN MEMBRANE PROTEIN 7', NULL, NULL, NULL, 15),
(127130, NULL, 'PTHR28272', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP3', NULL, NULL, 12801, 15),
(127131, NULL, 'PTHR45723:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RIO3', NULL, NULL, NULL, 15),
(127132, NULL, 'PTHR46175:SF6', NULL, NULL, NULL, NULL, 'ADAGIO PROTEIN 2', NULL, NULL, NULL, 15),
(127133, NULL, 'PTHR19290:SF153', NULL, NULL, NULL, NULL, 'ATONAL BHLH TRANSCRIPTION FACTOR 1A', NULL, NULL, NULL, 15),
(127134, NULL, 'PTHR31561:SF132', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(127135, NULL, 'PTHR33170:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127136, NULL, 'PTHR24114:SF31', NULL, NULL, NULL, NULL, 'NLR FAMILY MEMBER X1', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127137, NULL, 'PTHR47481:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127138, NULL, 'PTHR31707:SF303', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 12', NULL, NULL, NULL, 15),
(127139, NULL, 'PTHR11618:SF60', NULL, NULL, NULL, NULL, 'BNAA06G15840D PROTEIN', NULL, NULL, NULL, 15),
(127140, NULL, 'PTHR22050:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 131 HOMOLOG', NULL, NULL, NULL, 15),
(127141, NULL, 'PTHR46801:SF7', NULL, NULL, NULL, NULL, 'LIPID-BINDING SERUM GLYCOPROTEIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127142, NULL, 'PTHR12161:SF72', NULL, NULL, NULL, NULL, 'BNAA05G14960D PROTEIN', NULL, NULL, NULL, 15),
(127143, NULL, 'PTHR42985:SF23', NULL, NULL, NULL, NULL, 'GH20226P', NULL, NULL, NULL, 15),
(127144, NULL, 'PTHR21087', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE', NULL, NULL, NULL, 15),
(127145, NULL, 'PTHR12632:SF59', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-9', NULL, NULL, NULL, 15),
(127146, NULL, 'PTHR24384:SF108', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 492-RELATED', NULL, NULL, NULL, 15),
(127147, NULL, 'PTHR33881:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127148, NULL, 'PTHR46000:SF9', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(127149, NULL, 'PTHR37944:SF1', NULL, NULL, NULL, NULL, 'PORIN B', NULL, NULL, NULL, 15),
(127150, NULL, 'PTHR46137:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127151, NULL, 'PTHR47425', NULL, NULL, NULL, NULL, 'FARB-RELATED', NULL, NULL, NULL, 15),
(127152, NULL, 'PTHR31707:SF318', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 60-RELATED', NULL, NULL, NULL, 15),
(127153, NULL, 'PTHR12542:SF87', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127154, NULL, 'PTHR27006:SF226', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(127155, NULL, 'PTHR12015:SF87', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 6', NULL, NULL, NULL, 15),
(127156, NULL, 'PTHR14383:SF2', NULL, NULL, NULL, NULL, 'DIFFERENTIALLY EXPRESSED IN FDCP 6 HOMOLOG', NULL, NULL, NULL, 15),
(127157, NULL, 'PTHR33149:SF32', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', NULL, NULL, NULL, 15),
(127158, NULL, 'PTHR12692:SF2', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER PROTEIN 1', NULL, NULL, 4139, 15),
(127159, NULL, 'PTHR31521:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127160, NULL, 'PTHR13578:SF20', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN ASX', NULL, NULL, 22844, 15),
(127161, NULL, 'PTHR10157:SF29', NULL, NULL, NULL, NULL, 'DOPAMINE BETA-HYDROXYLASE', NULL, NULL, NULL, 15),
(127162, NULL, 'PTHR47997:SF39', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LAF1', NULL, NULL, NULL, 15),
(127163, NULL, 'PTHR10422', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 1', NULL, NULL, 406, 15),
(127164, NULL, 'PTHR32096:SF102', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 46-RELATED', NULL, NULL, NULL, 15),
(127165, NULL, 'PTHR37014:SF1', NULL, NULL, NULL, NULL, 'EXPRESSION LETHALITY PROTEIN HEL10, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06580)-RELATED', NULL, NULL, NULL, 15),
(127166, NULL, 'PTHR26374:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127167, NULL, 'PTHR24291:SF140', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4C3-RELATED', NULL, NULL, NULL, 15),
(127168, NULL, 'PTHR12346:SF8', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX SIN3-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127169, NULL, 'PTHR24320:SF229', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(127170, NULL, 'PTHR45729:SF7', NULL, NULL, NULL, NULL, 'DOUBLE C2-LIKE DOMAIN-CONTAINING PROTEIN GAMMA', NULL, NULL, 27851, 15),
(127171, NULL, 'PTHR24349:SF386', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 21-LIKE', NULL, NULL, NULL, 15),
(127172, NULL, 'PTHR10574:SF197', NULL, NULL, NULL, NULL, 'LAMININ, BETA 2-LIKE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127173, NULL, 'PTHR38444:SF1', NULL, NULL, NULL, NULL, 'ENTEROBACTIN BIOSYNTHESIS PROTEIN YBDZ', NULL, NULL, NULL, 15),
(127174, NULL, 'PTHR23024:SF180', NULL, NULL, NULL, NULL, 'OS02G0567800 PROTEIN', NULL, NULL, NULL, 15),
(127175, NULL, 'PTHR23430:SF292', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(127176, NULL, 'PTHR46011:SF25', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(127177, NULL, 'PTHR14759:SF9', NULL, NULL, NULL, NULL, 'MAP6 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(127178, NULL, 'PTHR10701:SF3', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN-ASSOCIATED PROTEIN N', NULL, NULL, NULL, 15),
(127179, NULL, 'PTHR33077:SF74', NULL, NULL, NULL, NULL, 'PROTEIN JAZ7', NULL, NULL, NULL, 15),
(127180, NULL, 'PTHR23266:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127181, NULL, 'PTHR11873', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN 4', NULL, NULL, 7088, 15),
(127182, NULL, 'PTHR21137:SF40', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 56A', NULL, NULL, NULL, 15),
(127183, NULL, 'PTHR22923:SF84', NULL, NULL, NULL, NULL, 'SI:DKEYP-74B6.2', NULL, NULL, NULL, 15),
(127184, NULL, 'PTHR31549:SF162', NULL, NULL, NULL, NULL, 'PPPDE THIOL PEPTIDASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127185, NULL, 'PTHR47518:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG06692', NULL, NULL, NULL, 15),
(127186, NULL, 'PTHR12390', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN III SYNTHASE', NULL, NULL, 33937, 15),
(127187, NULL, 'PTHR31175:SF51', NULL, NULL, NULL, NULL, 'OS08G0550700 PROTEIN', NULL, NULL, NULL, 15),
(127188, NULL, 'PTHR37713', NULL, NULL, NULL, NULL, 'OS05G0176600 PROTEIN', NULL, NULL, NULL, 15),
(127189, NULL, 'PTHR24299:SF13', NULL, NULL, NULL, NULL, 'OS08G0226300 PROTEIN', NULL, NULL, NULL, 15),
(127190, NULL, 'PTHR46808', NULL, NULL, NULL, NULL, 'H2.0-LIKE HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(127191, NULL, 'PTHR22929:SF2', NULL, NULL, NULL, NULL, 'MOBILITY GROUP PROTEIN B3, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(127192, NULL, 'PTHR35468', NULL, NULL, NULL, NULL, 'MYOSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127193, NULL, 'PTHR10891:SF877', NULL, NULL, NULL, NULL, 'ION BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(127194, NULL, 'PTHR47934:SF15', NULL, NULL, NULL, NULL, 'OS02G0644600 PROTEIN', NULL, NULL, NULL, 15),
(127195, NULL, 'PTHR11958:SF93', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER 2', NULL, NULL, NULL, 15),
(127196, NULL, 'PTHR11515:SF25', NULL, NULL, NULL, NULL, 'CHORIOGONADOTROPIN SUBUNIT BETA 7', NULL, NULL, NULL, 15),
(127197, NULL, 'PTHR23143', NULL, NULL, NULL, NULL, 'TRICHOHYALIN-RELATED', NULL, NULL, 22242, 15),
(127198, NULL, 'PTHR34371:SF14', NULL, NULL, NULL, NULL, 'BNAC09G29070D PROTEIN', NULL, NULL, NULL, 15),
(127199, NULL, 'PTHR31953:SF87', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127200, NULL, 'PTHR24377:SF809', NULL, NULL, NULL, NULL, 'IP01015P-RELATED', NULL, NULL, NULL, 15),
(127201, NULL, 'PTHR10108', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE', NULL, NULL, 2644, 15),
(127202, NULL, 'PTHR24177:SF103', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', NULL, NULL, NULL, 15),
(127203, NULL, 'PTHR12354:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127204, NULL, 'PTHR24072:SF347', NULL, NULL, NULL, NULL, 'BNAA09G03750D PROTEIN', NULL, NULL, NULL, 15),
(127205, NULL, 'PTHR46823:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700008P20', NULL, NULL, NULL, 15),
(127206, NULL, 'PTHR32227:SF321', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASE FAMILY 17 PROTEIN', NULL, NULL, NULL, 15),
(127207, NULL, 'PTHR11864:SF1', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 40 HOMOLOG B', NULL, NULL, NULL, 15),
(127208, NULL, 'PTHR12771:SF8', NULL, NULL, NULL, NULL, 'ENGULFMENT AND CELL MOTILITY PROTEIN 2', NULL, NULL, 24703, 15),
(127209, NULL, 'PTHR12015:SF102', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 22', NULL, NULL, 24182, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127210, NULL, 'PTHR31435:SF8', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(127211, NULL, 'PTHR33431:SF8', NULL, NULL, NULL, NULL, 'DUF1635 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127212, NULL, 'PTHR11604:SF3', NULL, NULL, NULL, NULL, 'PROFILIN-2', NULL, NULL, NULL, 15),
(127213, NULL, 'PTHR33657:SF8', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00600)-RELATED', NULL, NULL, NULL, 15),
(127214, NULL, 'PTHR30383:SF24', NULL, NULL, NULL, NULL, 'THIOESTERASE 1/PROTEASE 1/LYSOPHOSPHOLIPASE L1', NULL, NULL, NULL, 15),
(127215, NULL, 'PTHR11573:SF26', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE', NULL, NULL, NULL, 15),
(127216, NULL, 'PTHR32021:SF30', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5C1', NULL, NULL, NULL, 15),
(127217, NULL, 'PTHR28018:SF2', NULL, NULL, NULL, NULL, 'F18C1.18 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127218, NULL, 'PTHR33044:SF16', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN (WITH ALTERNATIVE SPLICING)', NULL, NULL, NULL, 15),
(127219, NULL, 'PTHR31743', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CHANNEL 4-ASSOCIATED PROTEIN TCPC4AP', NULL, NULL, 21420, 15),
(127220, NULL, 'PTHR12668:SF49', NULL, NULL, NULL, NULL, 'BNAC06G41000D PROTEIN', NULL, NULL, NULL, 15),
(127221, NULL, 'PTHR10126:SF49', NULL, NULL, NULL, NULL, 'BNAA03G55430D PROTEIN', NULL, NULL, NULL, 15),
(127222, NULL, 'PTHR10751:SF92', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 7', NULL, NULL, NULL, 15),
(127223, NULL, 'PTHR22765:SF260', NULL, NULL, NULL, NULL, 'GB|AAD18119.1-RELATED', NULL, NULL, NULL, 15),
(127224, NULL, 'PTHR46128:SF48', NULL, NULL, NULL, NULL, 'BNAA06G28500D PROTEIN', NULL, NULL, NULL, 15),
(127225, NULL, 'PTHR11132:SF328', NULL, NULL, NULL, NULL, 'TRIOSE-PHOSPHATE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127226, NULL, 'PTHR11731:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127227, NULL, 'PTHR22589:SF69', NULL, NULL, NULL, NULL, 'CARNITINE O-PALMITOYLTRANSFERASE 1, MUSCLE ISOFORM', NULL, NULL, NULL, 15),
(127228, NULL, 'PTHR24083:SF155', NULL, NULL, NULL, NULL, 'HORMONE RECEPTOR 83', NULL, NULL, NULL, 15),
(127229, NULL, 'PTHR24221:SF467', NULL, NULL, NULL, NULL, 'OS01G0695700 PROTEIN', NULL, NULL, NULL, 15),
(127230, NULL, 'PTHR36773', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(127231, NULL, 'PTHR47219', NULL, NULL, NULL, NULL, 'RAB GTPASE-ACTIVATING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(127232, NULL, 'PTHR42968:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127233, NULL, 'PTHR31343:SF5', NULL, NULL, NULL, NULL, 'DUF789 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127234, NULL, 'PTHR47131', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(127235, NULL, 'PTHR48011:SF22', NULL, NULL, NULL, NULL, 'BNACNNG25820D PROTEIN', NULL, NULL, NULL, 15),
(127236, NULL, 'PTHR43900:SF52', NULL, NULL, NULL, NULL, 'OS01G0371400 PROTEIN', NULL, NULL, NULL, 15),
(127237, NULL, 'PTHR31279:SF54', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-RELATED', NULL, NULL, NULL, 15),
(127238, NULL, 'PTHR11188:SF135', NULL, NULL, NULL, NULL, 'SI:CH211-130M23.2-RELATED', NULL, NULL, NULL, 15),
(127239, NULL, 'PTHR28593:SF1', NULL, NULL, NULL, NULL, 'METEORIN-LIKE PROTEIN', NULL, NULL, 34389, 15),
(127240, NULL, 'PTHR31190:SF211', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(127241, NULL, 'PTHR43047:SF2', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE M7', NULL, NULL, NULL, 15),
(127242, NULL, 'PTHR24260:SF90', NULL, NULL, NULL, NULL, 'AT07769P-RELATED', NULL, NULL, NULL, 15),
(127243, NULL, 'PTHR30363:SF8', NULL, NULL, NULL, NULL, 'DEOXYRIBOSE OPERON REPRESSOR', NULL, NULL, NULL, 15),
(127244, NULL, 'PTHR47086:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127245, NULL, 'PTHR37753', NULL, NULL, NULL, NULL, 'OS01G0940600 PROTEIN', NULL, NULL, NULL, 15),
(127246, NULL, 'PTHR43874:SF73', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR4-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127247, NULL, 'PTHR33565:SF26', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN HOMOLOG 4', NULL, NULL, NULL, 15),
(127248, NULL, 'PTHR33143:SF35', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(127249, NULL, 'PTHR24054:SF35', NULL, NULL, NULL, NULL, 'KINASE II, ALPHA CHAIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(127250, NULL, 'PTHR33588', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 299', NULL, NULL, 27918, 15),
(127251, NULL, 'PTHR14879:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127252, NULL, 'PTHR15876', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN ADIPOCYTE-ASSOCIATED 1', NULL, NULL, 19164, 15),
(127253, NULL, 'PTHR22527:SF2', NULL, NULL, NULL, NULL, 'PLACENTA-EXPRESSED TRANSCRIPT 1 PROTEIN', NULL, NULL, NULL, 15),
(127254, NULL, 'PTHR32212:SF295', NULL, NULL, NULL, NULL, 'BNAA08G26460D PROTEIN', NULL, NULL, NULL, 15),
(127255, NULL, 'PTHR23048:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127256, NULL, 'PTHR45694:SF17', NULL, NULL, NULL, NULL, 'BNAA04G11830D PROTEIN', NULL, NULL, NULL, 15),
(127257, NULL, 'PTHR46347:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127258, NULL, 'PTHR46044:SF9', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NITRILASE/NITRILE HYDRATASE NIT4B-RELATED', NULL, NULL, NULL, 15),
(127259, NULL, 'PTHR38048:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127260, NULL, 'PTHR46791:SF2', NULL, NULL, NULL, NULL, 'ZMP:0000000984', NULL, NULL, NULL, 15),
(127261, NULL, 'PTHR48008:SF3', NULL, NULL, NULL, NULL, 'BNAC06G15740D PROTEIN', NULL, NULL, NULL, 15),
(127262, NULL, 'PTHR11362:SF23', NULL, NULL, NULL, NULL, 'OJ991113_30.17 PROTEIN', NULL, NULL, NULL, 15),
(127263, NULL, 'PTHR24404:SF28', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN EOS', NULL, NULL, NULL, 15),
(127264, NULL, 'PTHR12473:SF13', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE MINDY-4-RELATED', NULL, NULL, NULL, 15),
(127265, NULL, 'PTHR13068:SF194', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(127266, NULL, 'PTHR12356:SF19', NULL, NULL, NULL, NULL, 'NUDC DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 26825, 15),
(127267, NULL, 'PTHR11532:SF89', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE D FAMILY', NULL, NULL, NULL, 15),
(127268, NULL, 'PTHR11062:SF75', NULL, NULL, NULL, NULL, 'OS01G0640600 PROTEIN', NULL, NULL, NULL, 15),
(127269, NULL, 'PTHR31636:SF25', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 26', NULL, NULL, 24003, 15),
(127270, NULL, 'PTHR21530', NULL, NULL, NULL, NULL, 'PHEROMONE SHUTDOWN PROTEIN', NULL, NULL, NULL, 15),
(127271, NULL, 'PTHR10725:SF33', NULL, NULL, NULL, NULL, 'THAP DOMAIN CONTAINING 2', NULL, NULL, NULL, 15),
(127272, NULL, 'PTHR21053:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(127273, NULL, 'PTHR10165:SF79', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE 3', NULL, NULL, 23695, 15),
(127274, NULL, 'PTHR10788:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127275, NULL, 'PTHR31495:SF5', NULL, NULL, NULL, NULL, 'PEROXYGENASE', NULL, NULL, NULL, 15),
(127276, NULL, 'PTHR47990:SF66', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE', NULL, NULL, NULL, 15),
(127277, NULL, 'PTHR43795:SF39', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 7', NULL, NULL, NULL, 15),
(127278, NULL, 'PTHR12170:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127279, NULL, 'PTHR45639:SF3', NULL, NULL, NULL, NULL, 'HYPOXIA UP-REGULATED PROTEIN 1', NULL, NULL, NULL, 15),
(127280, NULL, 'PTHR45645:SF15', NULL, NULL, NULL, NULL, 'TOLLOID-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(127281, NULL, 'PTHR31038', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127282, NULL, 'PTHR21345:SF9', NULL, NULL, NULL, NULL, 'SPIRE-TYPE ACTIN NUCLEATION FACTOR 1', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127283, NULL, 'PTHR48062:SF20', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 45-RELATED', NULL, NULL, NULL, 15),
(127284, NULL, 'PTHR15241:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127285, NULL, 'PTHR22739:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG12421', NULL, NULL, NULL, 15),
(127286, NULL, 'PTHR11700', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S10 FAMILY MEMBER', NULL, NULL, 4233, 15),
(127287, NULL, 'PTHR11571:SF160', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 6-RELATED', NULL, NULL, NULL, 15),
(127288, NULL, 'PTHR46192:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE/BISPHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127289, NULL, 'PTHR46371:SF1', NULL, NULL, NULL, NULL, 'OS04G0464100 PROTEIN', NULL, NULL, NULL, 15),
(127290, NULL, 'PTHR45636:SF13', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-9', NULL, NULL, 34842, 15),
(127291, NULL, 'PTHR34197:SF6', NULL, NULL, NULL, NULL, 'DUF740 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127292, NULL, 'PTHR23136:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127293, NULL, 'PTHR45969:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0064M23.12 PROTEIN', NULL, NULL, NULL, 15),
(127294, NULL, 'PTHR19860:SF8', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 12-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(127295, NULL, 'PTHR45648:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127296, NULL, 'PTHR31741:SF8', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 35', NULL, NULL, NULL, 15),
(127297, NULL, 'PTHR33513:SF24', NULL, NULL, NULL, NULL, 'CYTOPLASMIC TRNA 2-THIOLATION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127298, NULL, 'PTHR31325:SF222', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF594)-RELATED', NULL, NULL, NULL, 15),
(127299, NULL, 'PTHR45800:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 2', NULL, NULL, NULL, 15),
(127300, NULL, 'PTHR35361:SF1', NULL, NULL, NULL, NULL, 'OS08G0443700 PROTEIN', NULL, NULL, NULL, 15),
(127301, NULL, 'PTHR43794:SF11', NULL, NULL, NULL, NULL, 'AMINOHYDROLASE SSNA-RELATED', NULL, NULL, NULL, 15),
(127302, NULL, 'PTHR47436', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATXR2', NULL, NULL, 37498, 15),
(127303, NULL, 'PTHR45707:SF33', NULL, NULL, NULL, NULL, 'PROTEIN QUIRKY-LIKE', NULL, NULL, NULL, 15),
(127304, NULL, 'PTHR35022:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127305, NULL, 'PTHR43259', NULL, NULL, NULL, NULL, 'SPT10P', NULL, NULL, NULL, 15),
(127306, NULL, 'PTHR31165:SF57', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 6-LIKE', NULL, NULL, NULL, 15),
(127307, NULL, 'PTHR47878:SF2', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE FAD/NAD(P)-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(127308, NULL, 'PTHR31683:SF121', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(127309, NULL, 'PTHR31977:SF1', NULL, NULL, NULL, NULL, 'UPF0696 PROTEIN C11ORF68', NULL, NULL, NULL, 15),
(127310, NULL, 'PTHR24372:SF67', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G-PROTEIN COUPLED RECEPTOR 4', NULL, NULL, NULL, 15),
(127311, NULL, 'PTHR33527:SF28', NULL, NULL, NULL, NULL, 'GB|AAD43168.1', NULL, NULL, NULL, 15),
(127312, NULL, 'PTHR13628', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22318, 15),
(127313, NULL, 'PTHR19290:SF7', NULL, NULL, NULL, NULL, 'OLIGODENDROCYTE TRANSCRIPTION FACTOR 1', NULL, NULL, 22257, 15),
(127314, NULL, 'PTHR46198:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE R', NULL, NULL, NULL, 15),
(127315, NULL, 'PTHR31929:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127316, NULL, 'PTHR46193:SF9', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE DOMAIN-CONTAINING PROTEIN SGPP', NULL, NULL, NULL, 15),
(127317, NULL, 'PTHR31677:SF153', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 5', NULL, NULL, NULL, 15),
(127318, NULL, 'PTHR28360', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 3', NULL, NULL, 9433, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127319, NULL, 'PTHR12064:SF4', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER CNNM-4', NULL, NULL, NULL, 15),
(127320, NULL, 'PTHR18937:SF147', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 1B', NULL, NULL, NULL, 15),
(127321, NULL, 'PTHR31677:SF116', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 12-LIKE', NULL, NULL, NULL, 15),
(127322, NULL, 'PTHR31301:SF91', NULL, NULL, NULL, NULL, 'PROTEIN LATERAL ORGAN BOUNDARIES', NULL, NULL, NULL, 15),
(127323, NULL, 'PTHR11913:SF99', NULL, NULL, NULL, NULL, 'ACTIN DEPOLYMERIZING FACTOR 10-RELATED', NULL, NULL, NULL, 15),
(127324, NULL, 'PTHR32263:SF14', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE SRO2-RELATED', NULL, NULL, NULL, 15),
(127325, NULL, 'PTHR43840:SF29', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 3', NULL, NULL, NULL, 15),
(127326, NULL, 'PTHR14870', NULL, NULL, NULL, NULL, 'TUBULIN EPSILON AND DELTA COMPLEX PROTEIN 2', NULL, NULL, 28724, 15),
(127327, NULL, 'PTHR10013:SF6', NULL, NULL, NULL, NULL, 'BNACNNG51860D PROTEIN', NULL, NULL, NULL, 15),
(127328, NULL, 'PTHR32285:SF282', NULL, NULL, NULL, NULL, 'PMR5 DOMAIN, PC-ESTERASE, PROTEIN TRICHOME BIREFRINGENCE-LIKE 32/46-RELATED', NULL, NULL, NULL, 15),
(127329, NULL, 'PTHR10882:SF0', NULL, NULL, NULL, NULL, 'DIPHTHINE METHYL ESTER SYNTHASE', NULL, NULL, NULL, 15),
(127330, NULL, 'PTHR11178:SF15', NULL, NULL, NULL, NULL, 'NIFU-LIKE PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(127331, NULL, 'PTHR31992:SF193', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.4', NULL, NULL, NULL, 15),
(127332, NULL, 'PTHR24220:SF583', NULL, NULL, NULL, NULL, 'ATPASE COMPONENT OF TUNGSTATE ABC TRANSPORTER', NULL, NULL, NULL, 15),
(127333, NULL, 'PTHR13690:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127334, NULL, 'PTHR24384:SF128', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 737', NULL, NULL, NULL, 15),
(127335, NULL, 'PTHR18945:SF841', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID (GABA) A RECEPTOR, PI', NULL, NULL, NULL, 15),
(127336, NULL, 'PTHR33920:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127337, NULL, 'PTHR45618:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127338, NULL, 'PTHR31713:SF45', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(127339, NULL, 'PTHR10544:SF23', NULL, NULL, NULL, NULL, 'BNAA02G23560D PROTEIN', NULL, NULL, NULL, 15),
(127340, NULL, 'PTHR46484:SF2', NULL, NULL, NULL, NULL, 'SI:CH73-380L3.3-RELATED', NULL, NULL, NULL, 15),
(127341, NULL, 'PTHR33083:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127342, NULL, 'PTHR47671', NULL, NULL, NULL, NULL, 'PLECKSTRIN DOMAIN-CONTAINING FAMILY G MEMBER 6', NULL, NULL, 36622, 15),
(127343, NULL, 'PTHR35129', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 1', NULL, NULL, 39900, 15),
(127344, NULL, 'PTHR13832:SF766', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', NULL, NULL, NULL, 15),
(127345, NULL, 'PTHR34970:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127346, NULL, 'PTHR44329:SF115', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127347, NULL, 'PTHR31204:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127348, NULL, 'PTHR22850:SF209', NULL, NULL, NULL, NULL, 'BNAA10G29210D PROTEIN', NULL, NULL, NULL, 15),
(127349, NULL, 'PTHR46813:SF12', NULL, NULL, NULL, NULL, 'BNAC07G16680D PROTEIN', NULL, NULL, NULL, 15),
(127350, NULL, 'PTHR45644:SF47', NULL, NULL, NULL, NULL, 'BNAC09G28950D PROTEIN', NULL, NULL, NULL, 15),
(127351, NULL, 'PTHR35985', NULL, NULL, NULL, NULL, 'OS07G0675200 PROTEIN', NULL, NULL, NULL, 15),
(127352, NULL, 'PTHR45660:SF23', NULL, NULL, NULL, NULL, 'BNAC02G33250D PROTEIN', NULL, NULL, NULL, 15),
(127353, NULL, 'PTHR11012:SF14', NULL, NULL, NULL, NULL, 'AT04491P', NULL, NULL, NULL, 15),
(127354, NULL, 'PTHR10768:SF25', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127355, NULL, 'PTHR43214:SF3', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR UVRY', NULL, NULL, NULL, 15),
(127356, NULL, 'PTHR36809:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(127357, NULL, 'PTHR37536:SF2', NULL, NULL, NULL, NULL, 'ASPERGILLOPEPSIN, PUTAITVE (AFU_ORTHOLOGUE AFUA_7G01200)', NULL, NULL, NULL, 15),
(127358, NULL, 'PTHR10388:SF59', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLATION FACTOR SUI1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127359, NULL, 'PTHR30146:SF95', NULL, NULL, NULL, NULL, 'RIBOSE OPERON REPRESSOR', NULL, NULL, NULL, 15),
(127360, NULL, 'PTHR30050:SF9', NULL, NULL, NULL, NULL, 'DNA REPLICATION PROTEIN DNAC', NULL, NULL, NULL, 15),
(127361, NULL, 'PTHR22983', NULL, NULL, NULL, NULL, 'PROTEIN KINASE RELATED', NULL, NULL, 37823, 15),
(127362, NULL, 'PTHR12377:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127363, NULL, 'PTHR31929:SF38', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(127364, NULL, 'PTHR22791:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG11962', NULL, NULL, NULL, 15),
(127365, NULL, 'PTHR46000:SF4', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(127366, NULL, 'PTHR23064:SF60', NULL, NULL, NULL, NULL, 'POLCALCIN NIC T 1', NULL, NULL, NULL, 15),
(127367, NULL, 'PTHR46775:SF8', NULL, NULL, NULL, NULL, 'UBA-LIKE, GBF-INTERACTING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(127368, NULL, 'PTHR31529:SF4', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(127369, NULL, 'PTHR10159:SF108', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 8', NULL, NULL, NULL, 15),
(127370, NULL, 'PTHR21022:SF31', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', NULL, NULL, NULL, 15),
(127371, NULL, 'PTHR25465:SF26', NULL, NULL, NULL, NULL, 'FINTRIM FAMILY, MEMBER 99', NULL, NULL, NULL, 15),
(127372, NULL, 'PTHR31165:SF43', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE3', NULL, NULL, NULL, 15),
(127373, NULL, 'PTHR10816:SF11', NULL, NULL, NULL, NULL, 'MYELIN TRANSCRIPTION FACTOR 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127374, NULL, 'PTHR31717:SF89', NULL, NULL, NULL, NULL, 'B-BOX-TYPE ZINC FINGER-RELATED', NULL, NULL, NULL, 15),
(127375, NULL, 'PTHR47979:SF74', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA2C', NULL, NULL, NULL, 15),
(127376, NULL, 'PTHR36474:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LIAT1', NULL, NULL, NULL, 15),
(127377, NULL, 'PTHR47967:SF31', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE PCS1-LIKE', NULL, NULL, NULL, 15),
(127378, NULL, 'PTHR30183:SF9', NULL, NULL, NULL, NULL, 'THIAMINE TRANSPORT SYSTEM PERMEASE PROTEIN THIP', NULL, NULL, NULL, 15),
(127379, NULL, 'PTHR10496:SF10', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', NULL, NULL, NULL, 15),
(127380, NULL, 'PTHR22536:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127381, NULL, 'PTHR46692:SF5', NULL, NULL, NULL, NULL, 'OS05G0406100 PROTEIN', NULL, NULL, NULL, 15),
(127382, NULL, 'PTHR24028:SF40', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-19', NULL, NULL, 25683, 15),
(127383, NULL, 'PTHR36607:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127384, NULL, 'PTHR32467:SF155', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR AIL6', NULL, NULL, NULL, 15),
(127385, NULL, 'PTHR22945:SF91', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-50', NULL, NULL, NULL, 15),
(127386, NULL, 'PTHR11654:SF482', NULL, NULL, NULL, NULL, 'BNACNNG65650D PROTEIN', NULL, NULL, NULL, 15),
(127387, NULL, 'PTHR24256:SF516', NULL, NULL, NULL, NULL, 'FI20229P1-RELATED', NULL, NULL, NULL, 15),
(127388, NULL, 'PTHR24329:SF322', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ARISTALESS-LIKE 4', NULL, NULL, 35000, 15),
(127389, NULL, 'PTHR43332:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(127390, NULL, 'PTHR24082:SF197', NULL, NULL, NULL, NULL, 'PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR ALPHA', NULL, NULL, NULL, 15),
(127391, NULL, 'PTHR11863:SF122', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 1-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127392, NULL, 'PTHR31660', NULL, NULL, NULL, NULL, 'GAG-POL POLYPROTEIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127393, NULL, 'PTHR37610:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127394, NULL, 'PTHR48017:SF184', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127395, NULL, 'PTHR30153', NULL, NULL, NULL, NULL, 'REPLICATIVE DNA HELICASE DNAB', NULL, NULL, NULL, 15),
(127396, NULL, 'PTHR24404:SF58', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 845', NULL, NULL, NULL, 15),
(127397, NULL, 'PTHR46770:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ORTHOPEDIA', NULL, NULL, NULL, 15),
(127398, NULL, 'PTHR22924:SF94', NULL, NULL, NULL, NULL, 'HEMOGLOBIN 1, GLB1,NSHB1,ATGLB1,HB1', NULL, NULL, NULL, 15),
(127399, NULL, 'PTHR26452:SF219', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(127400, NULL, 'PTHR24083:SF81', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(127401, NULL, 'PTHR44067:SF3', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(127402, NULL, 'PTHR11668:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(127403, NULL, 'PTHR13923:SF31', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC31 HOMOLOG A', NULL, NULL, NULL, 15),
(127404, NULL, 'PTHR47590:SF2', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP25-LIKE', NULL, NULL, NULL, 15),
(127405, NULL, 'PTHR19375:SF211', NULL, NULL, NULL, NULL, '70 KDA HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(127406, NULL, 'PTHR43735:SF22', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR HOMOLOG B-LIKE', NULL, NULL, NULL, 15),
(127407, NULL, 'PTHR33076:SF125', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN LAC S 1', NULL, NULL, NULL, 15),
(127408, NULL, 'PTHR31998:SF27', NULL, NULL, NULL, NULL, 'BNAC06G40530D PROTEIN', NULL, NULL, NULL, 15),
(127409, NULL, 'PTHR46020:SF26', NULL, NULL, NULL, NULL, 'OS09G0567800 PROTEIN', NULL, NULL, NULL, 15),
(127410, NULL, 'PTHR14221:SF42', NULL, NULL, NULL, NULL, 'OS02G0539900 PROTEIN', NULL, NULL, NULL, 15),
(127411, NULL, 'PTHR35094:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(127412, NULL, 'PTHR43895:SF99', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(127413, NULL, 'PTHR10695:SF45', NULL, NULL, NULL, NULL, 'PHOSPHOPANTETHEINE ADENYLYLTRANSFERASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(127414, NULL, 'PTHR10174:SF218', NULL, NULL, NULL, NULL, 'SD01558P', NULL, NULL, NULL, 15),
(127415, NULL, 'PTHR24102:SF6', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 21A', NULL, NULL, NULL, 15),
(127416, NULL, 'PTHR44240:SF22', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 11, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(127417, NULL, 'PTHR13690:SF112', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RF2A-LIKE', NULL, NULL, NULL, 15),
(127418, NULL, 'PTHR31325:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127419, NULL, 'PTHR24068:SF208', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 11', NULL, NULL, NULL, 15),
(127420, NULL, 'PTHR10724:SF10', NULL, NULL, NULL, NULL, 'S1 RNA-BINDING DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(127421, NULL, 'PTHR23344:SF6', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(127422, NULL, 'PTHR10593:SF176', NULL, NULL, NULL, NULL, 'OS03G0237250 PROTEIN', NULL, NULL, NULL, 15),
(127423, NULL, 'PTHR23322:SF80', NULL, NULL, NULL, NULL, 'OS09G0525600 PROTEIN', NULL, NULL, NULL, 15),
(127424, NULL, 'PTHR31731:SF70', NULL, NULL, NULL, NULL, '14 KDA PROLINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(127425, NULL, 'PTHR23502:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127426, NULL, 'PTHR31518:SF3', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH PROTEIN PNISR', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127427, NULL, 'PTHR31917:SF93', NULL, NULL, NULL, NULL, 'BNAA01G33820D PROTEIN', NULL, NULL, NULL, 15),
(127428, NULL, 'PTHR34278:SF5', NULL, NULL, NULL, NULL, 'SITE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(127429, NULL, 'PTHR48018:SF38', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8U1', NULL, NULL, NULL, 15),
(127430, NULL, 'PTHR32060:SF27', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL PROCESSING PROTEASE CTPB', NULL, NULL, NULL, 15),
(127431, NULL, 'PTHR37929', NULL, NULL, NULL, NULL, 'GRIP AND COILED-COIL DOMAIN-CONTAINING PROTEIN PFC0235W', NULL, NULL, NULL, 15),
(127432, NULL, 'PTHR10795:SF562', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.5-RELATED', NULL, NULL, NULL, 15),
(127433, NULL, 'PTHR31707:SF331', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(127434, NULL, 'PTHR11475:SF22', NULL, NULL, NULL, NULL, 'PEROXIDASE SKPO-1', NULL, NULL, NULL, 15),
(127435, NULL, 'PTHR21698:SF1', NULL, NULL, NULL, NULL, 'IP17715P', NULL, NULL, NULL, 15),
(127436, NULL, 'PTHR33463:SF49', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(127437, NULL, 'PTHR12354:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127438, NULL, 'PTHR23277', NULL, NULL, NULL, NULL, 'NECTIN-RELATED', NULL, NULL, NULL, 15),
(127439, NULL, 'PTHR46042', NULL, NULL, NULL, NULL, 'DIPHTHINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(127440, NULL, 'PTHR31189:SF30', NULL, NULL, NULL, NULL, '12S SEED STORAGE PROTEIN CRA1', NULL, NULL, NULL, 15),
(127441, NULL, 'PTHR11849:SF190', NULL, NULL, NULL, NULL, 'PROTEIN CBG25628', NULL, NULL, NULL, 15),
(127442, NULL, 'PTHR22961:SF13', NULL, NULL, NULL, NULL, 'TRIBBLES', NULL, NULL, NULL, 15),
(127443, NULL, 'PTHR14167:SF83', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127444, NULL, 'PTHR14215:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION REGULATOR 1', NULL, NULL, NULL, 15),
(127445, NULL, 'PTHR45748:SF8', NULL, NULL, NULL, NULL, 'OS09G0278300 PROTEIN', NULL, NULL, NULL, 15),
(127446, NULL, 'PTHR30557:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOMETHYLPYRIMIDINE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(127447, NULL, 'PTHR32227:SF338', NULL, NULL, NULL, NULL, 'BETA 1,3-GLUCANASE-LIKE', NULL, NULL, NULL, 15),
(127448, NULL, 'PTHR44103:SF1', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE P', NULL, NULL, NULL, 15),
(127449, NULL, 'PTHR11941:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127450, NULL, 'PTHR46368:SF4', NULL, NULL, NULL, NULL, 'OS10G0403700 PROTEIN', NULL, NULL, NULL, 15),
(127451, NULL, 'PTHR31989:SF29', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 50-RELATED', NULL, NULL, NULL, 15),
(127452, NULL, 'PTHR21689', NULL, NULL, NULL, NULL, 'LIN-9', NULL, NULL, 8313, 15),
(127453, NULL, 'PTHR15583:SF5', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR E', NULL, NULL, NULL, 15),
(127454, NULL, 'PTHR12081:SF75', NULL, NULL, NULL, NULL, 'OS06G0245900 PROTEIN', NULL, NULL, NULL, 15),
(127455, NULL, 'PTHR11005:SF122', NULL, NULL, NULL, NULL, 'STEROL ESTERASE 1-RELATED', NULL, NULL, NULL, 15),
(127456, NULL, 'PTHR11452:SF77', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE D', NULL, NULL, NULL, 15),
(127457, NULL, 'PTHR28441:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127458, NULL, 'PTHR11685:SF335', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(127459, NULL, 'PTHR21450:SF47', NULL, NULL, NULL, NULL, 'OS01G0500500 PROTEIN', NULL, NULL, NULL, 15),
(127460, NULL, 'PTHR39936', NULL, NULL, NULL, NULL, 'SI:CH211-253P2.2-RELATED', NULL, NULL, NULL, 15),
(127461, NULL, 'PTHR11802:SF381', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(127462, NULL, 'PTHR24281:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127463, NULL, 'PTHR21007', NULL, NULL, NULL, NULL, 'LIVER EXPRESSED ANTIMICROBIAL PEPTIDE 2', NULL, NULL, 8464, 15),
(127464, NULL, 'PTHR10293:SF58', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S1, MITOCHONDRIAL', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127465, NULL, 'PTHR12622:SF21', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DTX2-RELATED', NULL, NULL, NULL, 15),
(127466, NULL, 'PTHR34378:SF4', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE', NULL, NULL, NULL, 15),
(127467, NULL, 'PTHR15710:SF110', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE', NULL, NULL, NULL, 15),
(127468, NULL, 'PTHR10828:SF43', NULL, NULL, NULL, NULL, 'M-PHASE INDUCER PHOSPHATASE CDC-25.1', NULL, NULL, NULL, 15),
(127469, NULL, 'PTHR43756', NULL, NULL, NULL, NULL, 'CHOLINE MONOOXYGENASE, CHLOROPLASTIC', NULL, NULL, 3234, 15),
(127470, NULL, 'PTHR48022:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127471, NULL, 'PTHR23120:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127472, NULL, 'PTHR16171', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN COMPLEMENTING XP-G CELLS-RELATED', NULL, NULL, NULL, 15),
(127473, NULL, 'PTHR31205', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN (DUF569)', NULL, NULL, NULL, 15),
(127474, NULL, 'PTHR31099:SF16', NULL, NULL, NULL, NULL, 'BNAA05G16400D PROTEIN', NULL, NULL, NULL, 15),
(127475, NULL, 'PTHR39420:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127476, NULL, 'PTHR11414', NULL, NULL, NULL, NULL, 'CYSTATIN FAMILY MEMBER', NULL, NULL, 3441, 15),
(127477, NULL, 'PTHR31421:SF14', NULL, NULL, NULL, NULL, 'BNAA01G05230D PROTEIN', NULL, NULL, NULL, 15),
(127478, NULL, 'PTHR10527:SF66', NULL, NULL, NULL, NULL, 'OS03G0701000 PROTEIN', NULL, NULL, NULL, 15),
(127479, NULL, 'PTHR46325:SF18', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC10', NULL, NULL, NULL, 15),
(127480, NULL, 'PTHR21104:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127481, NULL, 'PTHR39227:SF1', NULL, NULL, NULL, NULL, 'ADIPOGENESIS REGULATORY FACTOR', NULL, NULL, NULL, 15),
(127482, NULL, 'PTHR10502:SF186', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(127483, NULL, 'PTHR13009:SF8', NULL, NULL, NULL, NULL, 'LD43819P', NULL, NULL, NULL, 15),
(127484, NULL, 'PTHR24082:SF491', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR ISOFORM X1', NULL, NULL, NULL, 15),
(127485, NULL, 'PTHR43000:SF10', NULL, NULL, NULL, NULL, 'UDP-SULFOQUINOVOSE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(127486, NULL, 'PTHR32071:SF77', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(127487, NULL, 'PTHR35735', NULL, NULL, NULL, NULL, 'PROTEIN NIM1-INTERACTING 2', NULL, NULL, 63, 15),
(127488, NULL, 'PTHR47926:SF129', NULL, NULL, NULL, NULL, 'BNACNNG05390D PROTEIN', NULL, NULL, NULL, 15),
(127489, NULL, 'PTHR31989:SF344', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 53-RELATED', NULL, NULL, NULL, 15),
(127490, NULL, 'PTHR43527:SF1', NULL, NULL, NULL, NULL, 'L-THREONINE KINASE', NULL, NULL, 12914, 15),
(127491, NULL, 'PTHR12433:SF3', NULL, NULL, NULL, NULL, 'PROSTATE TUMOR-OVEREXPRESSED GENE 1 PROTEIN', NULL, NULL, NULL, 15),
(127492, NULL, 'PTHR26379:SF353', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(127493, NULL, 'PTHR31388:SF109', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(127494, NULL, 'PTHR36481', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(127495, NULL, 'PTHR13856:SF31', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 2', NULL, NULL, 26407, 15),
(127496, NULL, 'PTHR33021:SF317', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127497, NULL, 'PTHR11388:SF86', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 3A1', NULL, NULL, NULL, 15),
(127498, NULL, 'PTHR11412:SF161', NULL, NULL, NULL, NULL, 'ALPHA-2-MACROGLOBULIN-RELATED', NULL, NULL, NULL, 15),
(127499, NULL, 'PTHR21567:SF56', NULL, NULL, NULL, NULL, 'PROTEIN CLASP-1', NULL, NULL, NULL, 15),
(127500, NULL, 'PTHR45884:SF6', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE ESCO2', NULL, NULL, NULL, 15),
(127501, NULL, 'PTHR10314:SF135', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE/CYSTATHIONINE BETA-SYNTHASE-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127502, NULL, 'PTHR13308:SF5', NULL, NULL, NULL, NULL, 'NEDD4-BINDING PROTEIN 2-LIKE 1', NULL, NULL, NULL, 15),
(127503, NULL, 'PTHR47712', NULL, NULL, NULL, NULL, 'OS09G0555300 PROTEIN', NULL, NULL, NULL, 15),
(127504, NULL, 'PTHR11709:SF307', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE PECTINESTERASE-LIKE PROTEIN POLLEN-SPECIFIC PROTEIN-LIKE', NULL, NULL, NULL, 15),
(127505, NULL, 'PTHR24559:SF290', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127506, NULL, 'PTHR33971:SF13', NULL, NULL, NULL, NULL, 'BNAA09G02540D PROTEIN', NULL, NULL, NULL, 15),
(127507, NULL, 'PTHR33170:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127508, NULL, 'PTHR19441:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127509, NULL, 'PTHR35321', NULL, NULL, NULL, NULL, 'OS02G0753200 PROTEIN', NULL, NULL, 30279, 15),
(127510, NULL, 'PTHR31235:SF26', NULL, NULL, NULL, NULL, 'PEROXIDASE 2', NULL, NULL, NULL, 15),
(127511, NULL, 'PTHR46744', NULL, NULL, NULL, NULL, 'PROTEIN UNC-93 HOMOLOG B1', NULL, NULL, 37148, 15),
(127512, NULL, 'PTHR33526:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127513, NULL, 'PTHR11040:SF127', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP11', NULL, NULL, NULL, 15),
(127514, NULL, 'PTHR15549:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127515, NULL, 'PTHR12429:SF30', NULL, NULL, NULL, NULL, 'CI-NEURALIZED-B PROTEIN', NULL, NULL, NULL, 15),
(127516, NULL, 'PTHR24361:SF816', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 6', NULL, NULL, NULL, 15),
(127517, NULL, 'PTHR43719:SF28', NULL, NULL, NULL, NULL, 'LP18708P', NULL, NULL, NULL, 15),
(127518, NULL, 'PTHR11527:SF329', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(127519, NULL, 'PTHR47491', NULL, NULL, NULL, NULL, 'CAP-GLY DOMAIN LINKER', NULL, NULL, NULL, 15),
(127520, NULL, 'PTHR47990:SF69', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(127521, NULL, 'PTHR33085:SF2', NULL, NULL, NULL, NULL, 'OS03G0817600 PROTEIN', NULL, NULL, NULL, 15),
(127522, NULL, 'PTHR18896:SF152', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D GAMMA 1-RELATED', NULL, NULL, NULL, 15),
(127523, NULL, 'PTHR47992:SF61', NULL, NULL, NULL, NULL, 'BNAA03G50740D PROTEIN', NULL, NULL, NULL, 15),
(127524, NULL, 'PTHR27003:SF334', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127525, NULL, 'PTHR12736:SF14', NULL, NULL, NULL, NULL, 'LANC-LIKE PROTEIN GCL1', NULL, NULL, NULL, 15),
(127526, NULL, 'PTHR27004:SF307', NULL, NULL, NULL, NULL, 'OS01G0160200 PROTEIN', NULL, NULL, NULL, 15),
(127527, NULL, 'PTHR11165:SF121', NULL, NULL, NULL, NULL, 'BNACNNG41550D PROTEIN', NULL, NULL, NULL, 15),
(127528, NULL, 'PTHR23257:SF772', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(127529, NULL, 'PTHR31342:SF32', NULL, NULL, NULL, NULL, 'BNAC09G22360D PROTEIN', NULL, NULL, NULL, 15),
(127530, NULL, 'PTHR45651:SF74', NULL, NULL, NULL, NULL, 'BNAA10G07330D PROTEIN', NULL, NULL, NULL, 15),
(127531, NULL, 'PTHR13112:SF0', NULL, NULL, NULL, NULL, 'FI21285P1', NULL, NULL, NULL, 15),
(127532, NULL, 'PTHR47193', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN 1', NULL, NULL, 24196, 15),
(127533, NULL, 'PTHR11959', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE', NULL, NULL, 430, 15),
(127534, NULL, 'PTHR35742', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 16.5 KDA PROTEIN, CHLOROPLASTIC', NULL, NULL, 35070, 15),
(127535, NULL, 'PTHR12233:SF19', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING 26A-RELATED', NULL, NULL, NULL, 15),
(127536, NULL, 'PTHR45706:SF1', NULL, NULL, NULL, NULL, 'PEZ, ISOFORM A', NULL, NULL, NULL, 15),
(127537, NULL, 'PTHR38223:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127538, NULL, 'PTHR36460', NULL, NULL, NULL, NULL, 'UPF0132 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G10255)', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127539, NULL, 'PTHR31902:SF14', NULL, NULL, NULL, NULL, 'SUCRASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127540, NULL, 'PTHR12191:SF30', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER FOI', NULL, NULL, NULL, 15),
(127541, NULL, 'PTHR12001:SF70', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE SYNTHETASE ATMG, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02400)-RELATED', NULL, NULL, NULL, 15),
(127542, NULL, 'PTHR46475:SF9', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(127543, NULL, 'PTHR11040:SF67', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 5', NULL, NULL, NULL, 15),
(127544, NULL, 'PTHR42973:SF39', NULL, NULL, NULL, NULL, 'BINDING OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17690)-RELATED', NULL, NULL, NULL, 15),
(127545, NULL, 'PTHR47628:SF1', NULL, NULL, NULL, NULL, 'ALIPHATIC AMIDASE EXPRESSION-REGULATING PROTEIN', NULL, NULL, NULL, 15),
(127546, NULL, 'PTHR10783:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127547, NULL, 'PTHR33191', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 2-RELATED', NULL, NULL, 33390, 15),
(127548, NULL, 'PTHR32002:SF48', NULL, NULL, NULL, NULL, 'OS09G0549450 PROTEIN', NULL, NULL, NULL, 15),
(127549, NULL, 'PTHR13659:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127550, NULL, 'PTHR45996', NULL, NULL, NULL, NULL, 'AGAP001464-PB', NULL, NULL, NULL, 15),
(127551, NULL, 'PTHR48019:SF96', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN DEFICIENS ISOFORM X1', NULL, NULL, NULL, 15),
(127552, NULL, 'PTHR11060:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MEMO1', NULL, NULL, NULL, 15),
(127553, NULL, 'PTHR26453:SF102', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2L13', NULL, NULL, 22386, 15),
(127554, NULL, 'PTHR33971:SF3', NULL, NULL, NULL, NULL, 'OS02G0743600 PROTEIN', NULL, NULL, NULL, 15),
(127555, NULL, 'PTHR24242:SF365', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(127556, NULL, 'PTHR35489:SF2', NULL, NULL, NULL, NULL, 'TITAN9', NULL, NULL, NULL, 15),
(127557, NULL, 'PTHR31828:SF41', NULL, NULL, NULL, NULL, 'BNAA05G11620D PROTEIN', NULL, NULL, NULL, 15),
(127558, NULL, 'PTHR40472:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127559, NULL, 'PTHR16676', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER CD24', NULL, NULL, 22053, 15),
(127560, NULL, 'PTHR14577', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 12', NULL, NULL, 18886, 15),
(127561, NULL, 'PTHR47413:SF3', NULL, NULL, NULL, NULL, 'BNAA04G05420D PROTEIN', NULL, NULL, NULL, 15),
(127562, NULL, 'PTHR11627:SF60', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(127563, NULL, 'PTHR48065:SF23', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', NULL, NULL, NULL, 15),
(127564, NULL, 'PTHR48094:SF16', NULL, NULL, NULL, NULL, 'PROTEIN/NUCLEIC ACID DEGLYCASE DJ-1', NULL, NULL, NULL, 15),
(127565, NULL, 'PTHR24036:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG07437', NULL, NULL, NULL, 15),
(127566, NULL, 'PTHR12952', NULL, NULL, NULL, NULL, 'SYS1', NULL, NULL, 18708, 15),
(127567, NULL, 'PTHR10496:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', NULL, NULL, NULL, 15),
(127568, NULL, 'PTHR46297:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH-TYPE WITH G PATCH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(127569, NULL, 'PTHR42861:SF78', NULL, NULL, NULL, NULL, 'BNACNNG37700D PROTEIN', NULL, NULL, NULL, 15),
(127570, NULL, 'PTHR20884', NULL, NULL, NULL, NULL, 'GDP-D-GLUCOSE PHOSPHORYLASE 1', NULL, NULL, 24385, 15),
(127571, NULL, 'PTHR32091:SF23', NULL, NULL, NULL, NULL, 'BNAA08G24470D PROTEIN', NULL, NULL, NULL, 15),
(127572, NULL, 'PTHR47992:SF26', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 50-RELATED', NULL, NULL, NULL, 15),
(127573, NULL, 'PTHR12656:SF12', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 1A', NULL, NULL, 27251, 15),
(127574, NULL, 'PTHR11334:SF30', NULL, NULL, NULL, NULL, 'MAS-RELATED 7-TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(127575, NULL, 'PTHR32212:SF320', NULL, NULL, NULL, NULL, 'BNAA09G31230D PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127576, NULL, 'PTHR11360:SF276', NULL, NULL, NULL, NULL, 'GON-2 EXTRAGENIC MODIFIER', NULL, NULL, NULL, 15),
(127577, NULL, 'PTHR43205:SF59', NULL, NULL, NULL, NULL, '2-ALKENAL REDUCTASE (NADP(+)-DEPENDENT)-LIKE', NULL, NULL, NULL, 15),
(127578, NULL, 'PTHR31214', NULL, NULL, NULL, NULL, 'PROTEIN FAM221A-RELATED', NULL, NULL, 25263, 15),
(127579, NULL, 'PTHR31707:SF336', NULL, NULL, NULL, NULL, 'BNAA05G13610D PROTEIN', NULL, NULL, NULL, 15),
(127580, NULL, 'PTHR47544', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 4', NULL, NULL, NULL, 15),
(127581, NULL, 'PTHR24073:SF1151', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1C', NULL, NULL, NULL, 15),
(127582, NULL, 'PTHR31673:SF51', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127583, NULL, 'PTHR38110:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127584, NULL, 'PTHR43725:SF26', NULL, NULL, NULL, NULL, 'BNAA06G38100D PROTEIN', NULL, NULL, NULL, 15),
(127585, NULL, 'PTHR23113:SF187', NULL, NULL, NULL, NULL, 'RAS-SPECIFIC GUANINE NUCLEOTIDE-RELEASING FACTOR 2', NULL, NULL, 26877, 15),
(127586, NULL, 'PTHR12369:SF5', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(127587, NULL, 'PTHR11431:SF92', NULL, NULL, NULL, NULL, 'FERRITIN-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(127588, NULL, 'PTHR24106:SF267', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127589, NULL, 'PTHR27007:SF161', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.1', NULL, NULL, NULL, 15),
(127590, NULL, 'PTHR15109', NULL, NULL, NULL, NULL, 'AGAP004327-PA', NULL, NULL, 25813, 15),
(127591, NULL, 'PTHR24055:SF341', NULL, NULL, NULL, NULL, 'STRESS-ACTIVATED PROTEIN KINASE JNK', NULL, NULL, NULL, 15),
(127592, NULL, 'PTHR24056:SF410', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE B2-1', NULL, NULL, NULL, 15),
(127593, NULL, 'PTHR13200:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127594, NULL, 'PTHR34270:SF7', NULL, NULL, NULL, NULL, 'BNAC05G47090D PROTEIN', NULL, NULL, NULL, 15),
(127595, NULL, 'PTHR45708:SF18', NULL, NULL, NULL, NULL, 'XYLANASE INHIBITOR PROTEIN 1', NULL, NULL, NULL, 15),
(127596, NULL, 'PTHR23253:SF69', NULL, NULL, NULL, NULL, 'BNAANNG29900D PROTEIN', NULL, NULL, NULL, 15),
(127597, NULL, 'PTHR23320:SF72', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 12', NULL, NULL, 28367, 15),
(127598, NULL, 'PTHR21328', NULL, NULL, NULL, NULL, 'POLY  ADP-RIBOSE  POLYMERASE FAMILY, MEMBER  PARP', NULL, NULL, NULL, 15),
(127599, NULL, 'PTHR45881:SF2', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J1.2', NULL, NULL, NULL, 15),
(127600, NULL, 'PTHR33784:SF22', NULL, NULL, NULL, NULL, 'BNACNNG17550D PROTEIN', NULL, NULL, NULL, 15),
(127601, NULL, 'PTHR10655:SF62', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE SOBER1', NULL, NULL, NULL, 15),
(127602, NULL, 'PTHR42890', NULL, NULL, NULL, NULL, '15-HYDROXYPROSTAGLANDIN DEHYDROGENASE (NAD)', NULL, NULL, NULL, 15),
(127603, NULL, 'PTHR24232:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127604, NULL, 'PTHR47038:SF2', NULL, NULL, NULL, NULL, 'BAG-ASSOCIATED GRAM PROTEIN 1', NULL, NULL, NULL, 15),
(127605, NULL, 'PTHR35132:SF2', NULL, NULL, NULL, NULL, 'OS01G0922100 PROTEIN', NULL, NULL, NULL, 15),
(127606, NULL, 'PTHR33203:SF58', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(127607, NULL, 'PTHR21649:SF110', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(127608, NULL, 'PTHR48048:SF30', NULL, NULL, NULL, NULL, 'OS07G0510400 PROTEIN', NULL, NULL, NULL, 15),
(127609, NULL, 'PTHR30560:SF4', NULL, NULL, NULL, NULL, 'OS01G0894700 PROTEIN', NULL, NULL, NULL, 15),
(127610, NULL, 'PTHR18966:SF99', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2', NULL, NULL, NULL, 15),
(127611, NULL, 'PTHR21353:SF2', NULL, NULL, NULL, NULL, 'CARDIOTROPHIN-1', NULL, NULL, NULL, 15),
(127612, NULL, 'PTHR16509:SF6', NULL, NULL, NULL, NULL, 'MANGANESE-DEPENDENT ADP-RIBOSE/CDP-ALCOHOL DIPHOSPHATASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127613, NULL, 'PTHR13318:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127614, NULL, 'PTHR11206:SF306', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(127615, NULL, 'PTHR31062:SF201', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(127616, NULL, 'PTHR10885:SF2', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE 2', NULL, NULL, NULL, 15),
(127617, NULL, 'PTHR34227:SF11', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN TORD', NULL, NULL, NULL, 15),
(127618, NULL, 'PTHR31356:SF44', NULL, NULL, NULL, NULL, 'CYTOSOLIC ASCORBATE PEROXIDASE 1', NULL, NULL, NULL, 15),
(127619, NULL, 'PTHR24028:SF60', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-2', NULL, NULL, NULL, 15),
(127620, NULL, 'PTHR11893:SF38', NULL, NULL, NULL, NULL, 'INNEXIN INX7', NULL, NULL, NULL, 15),
(127621, NULL, 'PTHR34396:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127622, NULL, 'PTHR30468:SF10', NULL, NULL, NULL, NULL, 'TAURINE DIOXYGENASE', NULL, NULL, NULL, 15),
(127623, NULL, 'PTHR11098:SF1', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(127624, NULL, 'PTHR33228:SF24', NULL, NULL, NULL, NULL, 'OS06G0654400 PROTEIN', NULL, NULL, NULL, 15),
(127625, NULL, 'PTHR48017:SF153', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 2', NULL, NULL, NULL, 15),
(127626, NULL, 'PTHR31317:SF14', NULL, NULL, NULL, NULL, 'DUF1005 FAMILY PROTEIN (DUF1005)', NULL, NULL, NULL, 15),
(127627, NULL, 'PTHR33935:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127628, NULL, 'PTHR34481:SF15', NULL, NULL, NULL, NULL, 'TRYPSIN/ALPHA-AMYLASE INHIBITOR CMX2', NULL, NULL, NULL, 15),
(127629, NULL, 'PTHR37764', NULL, NULL, NULL, NULL, 'KETOSE/ALDOSE ISOMERASE, PUTATIVE (MOG1/PSBP/DUF1795-LIKE PHOTOSYSTEM II REACTION CENTER PSBP FAMILY PROTEIN)-RELATED', NULL, NULL, NULL, 15),
(127630, NULL, 'PTHR33083:SF64', NULL, NULL, NULL, NULL, 'OS01G0727700 PROTEIN', NULL, NULL, NULL, 15),
(127631, NULL, 'PTHR15180', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 1', NULL, NULL, 37071, 15),
(127632, NULL, 'PTHR11439:SF327', NULL, NULL, NULL, NULL, 'FLOCCULATION PROTEIN FLO11-LIKE', NULL, NULL, NULL, 15),
(127633, NULL, 'PTHR16208:SF1', NULL, NULL, NULL, NULL, 'SYNTAPHILIN', NULL, NULL, 21761, 15),
(127634, NULL, 'PTHR11945:SF646', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127635, NULL, 'PTHR38454:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127636, NULL, 'PTHR10489:SF936', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127637, NULL, 'PTHR42683:SF74', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(127638, NULL, 'PTHR14017:SF1', NULL, NULL, NULL, NULL, 'LD02225P', NULL, NULL, NULL, 15),
(127639, NULL, 'PTHR30053:SF14', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR P (EF-P) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127640, NULL, 'PTHR33057:SF132', NULL, NULL, NULL, NULL, 'OVATE TRANSCRIPTIONAL REPRESSOR', NULL, NULL, NULL, 15),
(127641, NULL, 'PTHR24351:SF219', NULL, NULL, NULL, NULL, 'AGC FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(127642, NULL, 'PTHR31251:SF74', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(127643, NULL, 'PTHR24078:SF524', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127644, NULL, 'PTHR23425:SF8', NULL, NULL, NULL, NULL, 'NUCLEOPORIN AMO1-LIKE', NULL, NULL, NULL, 15),
(127645, NULL, 'PTHR45764:SF24', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127646, NULL, 'PTHR12700:SF17', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(127647, NULL, 'PTHR15398:SF11', NULL, NULL, NULL, NULL, 'BROMODOMAIN PROTEIN', NULL, NULL, NULL, 15),
(127648, NULL, 'PTHR46057:SF36', NULL, NULL, NULL, NULL, 'BNAC01G10250D PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127649, NULL, 'PTHR12565:SF393', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX 7', NULL, NULL, NULL, 15),
(127650, NULL, 'PTHR23316:SF71', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-7', NULL, NULL, NULL, 15),
(127651, NULL, 'PTHR23315:SF63', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 16', NULL, NULL, NULL, 15),
(127652, NULL, 'PTHR44920', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 14, CHLOROPLASTIC-RELATED', NULL, NULL, 37560, 15),
(127653, NULL, 'PTHR46876', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 11', NULL, NULL, 38453, 15),
(127654, NULL, 'PTHR33304:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127655, NULL, 'PTHR19957:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127656, NULL, 'PTHR24381:SF282', NULL, NULL, NULL, NULL, 'ZNF721 ISOFORM 1', NULL, NULL, NULL, 15),
(127657, NULL, 'PTHR33115:SF50', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(127658, NULL, 'PTHR12013:SF5', NULL, NULL, NULL, NULL, 'BNAC03G24370D PROTEIN', NULL, NULL, NULL, 15),
(127659, NULL, 'PTHR13865:SF11', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION PROTEIN ZO-3', NULL, NULL, 7292, 15),
(127660, NULL, 'PTHR23420:SF26', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', NULL, NULL, NULL, 15),
(127661, NULL, 'PTHR45623:SF37', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 3 HOMOLOG', NULL, NULL, NULL, 15),
(127662, NULL, 'PTHR42792:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(127663, NULL, 'PTHR12271:SF66', NULL, NULL, NULL, NULL, 'MUTATOR', NULL, NULL, NULL, 15),
(127664, NULL, 'PTHR31656:SF44', NULL, NULL, NULL, NULL, 'BNAA08G14110D PROTEIN', NULL, NULL, NULL, 15),
(127665, NULL, 'PTHR24381:SF304', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 551', NULL, NULL, NULL, 15),
(127666, NULL, 'PTHR24064:SF539', NULL, NULL, NULL, NULL, 'HIGH AFFINITY INORGANIC PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(127667, NULL, 'PTHR10795:SF656', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE GLYMA18G48580', NULL, NULL, NULL, 15),
(127668, NULL, 'PTHR12132', NULL, NULL, NULL, NULL, 'DNA REPAIR AND RECOMBINATION PROTEIN RAD52, RAD59', NULL, NULL, 6927, 15),
(127669, NULL, 'PTHR13068:SF123', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127670, NULL, 'PTHR41317:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127671, NULL, 'PTHR33076:SF62', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 8', NULL, NULL, NULL, 15),
(127672, NULL, 'PTHR46038:SF23', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(127673, NULL, 'PTHR13526:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127674, NULL, 'PTHR31236:SF10', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 13', NULL, NULL, NULL, 15),
(127675, NULL, 'PTHR22590', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(127676, NULL, 'PTHR33735', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(127677, NULL, 'PTHR13196:SF22', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 1A', NULL, NULL, NULL, 15),
(127678, NULL, 'PTHR11011:SF84', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(127679, NULL, 'PTHR43321:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(127680, NULL, 'PTHR23222:SF26', NULL, NULL, NULL, NULL, 'PROHIBITIN-3, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(127681, NULL, 'PTHR12581', NULL, NULL, NULL, NULL, 'HIV-1 REV BINDING PROTEIN 2, 3', NULL, NULL, 13496, 15),
(127682, NULL, 'PTHR13463:SF3', NULL, NULL, NULL, NULL, 'PROTEIN C10', NULL, NULL, NULL, 15),
(127683, NULL, 'PTHR31734:SF25', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA12', NULL, NULL, NULL, 15),
(127684, NULL, 'PTHR36690:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM237A', NULL, NULL, NULL, 15),
(127685, NULL, 'PTHR33222:SF31', NULL, NULL, NULL, NULL, 'MEMBRANE PHOSPHOPROTEIN 14 KDA, CHLOROPLAST, PUTATIVE-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127686, NULL, 'PTHR45777', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2', NULL, NULL, NULL, 15),
(127687, NULL, 'PTHR15726:SF7', NULL, NULL, NULL, NULL, 'NUCLEAR FALLOUT, ISOFORM J', NULL, NULL, NULL, 15),
(127688, NULL, 'PTHR10783:SF114', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127689, NULL, 'PTHR32241:SF13', NULL, NULL, NULL, NULL, 'INACTIVE PATATIN-LIKE PROTEIN 9-RELATED', NULL, NULL, NULL, 15),
(127690, NULL, 'PTHR43563:SF9', NULL, NULL, NULL, NULL, 'AMINE OXIDASEDEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11670)-RELATED', NULL, NULL, NULL, 15),
(127691, NULL, 'PTHR18034', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN CWF22-RELATED', NULL, NULL, NULL, 15),
(127692, NULL, 'PTHR10476:SF55', NULL, NULL, NULL, NULL, 'ESCRT-RELATED PROTEIN CHMP1-LIKE', NULL, NULL, NULL, 15),
(127693, NULL, 'PTHR21668:SF7', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A', NULL, NULL, NULL, 15),
(127694, NULL, 'PTHR22437:SF2', NULL, NULL, NULL, NULL, 'STORKHEAD-BOX PROTEIN 2', NULL, NULL, NULL, 15),
(127695, NULL, 'PTHR31561:SF88', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 18', NULL, NULL, NULL, 15),
(127696, NULL, 'PTHR23421:SF161', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(127697, NULL, 'PTHR31181:SF75', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED-LIKE PROTEIN (DUF1278)', NULL, NULL, NULL, 15),
(127698, NULL, 'PTHR21588:SF19', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(127699, NULL, 'PTHR37001:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127700, NULL, 'PTHR24062:SF173', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(127701, NULL, 'PTHR31630:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127702, NULL, 'PTHR11058', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 3', NULL, NULL, 5593, 15),
(127703, NULL, 'PTHR31500:SF82', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 6', NULL, NULL, NULL, 15),
(127704, NULL, 'PTHR33353', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12560)-RELATED', NULL, NULL, NULL, 15),
(127705, NULL, 'PTHR10509:SF34', NULL, NULL, NULL, NULL, 'TAPETUM-SPECIFIC METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(127706, NULL, 'PTHR46004:SF3', NULL, NULL, NULL, NULL, 'CYCLIC AMP RESPONSE ELEMENT-BINDING PROTEIN A', NULL, NULL, NULL, 15),
(127707, NULL, 'PTHR11588:SF385', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1 CHAIN', NULL, NULL, NULL, 15),
(127708, NULL, 'PTHR46045:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS U-26', NULL, NULL, NULL, 15),
(127709, NULL, 'PTHR10366:SF688', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127710, NULL, 'PTHR22835:SF220', NULL, NULL, NULL, NULL, 'OS06G0156600 PROTEIN', NULL, NULL, NULL, 15),
(127711, NULL, 'PTHR11771:SF112', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE 5', NULL, NULL, NULL, 15),
(127712, NULL, 'PTHR38459:SF5', NULL, NULL, NULL, NULL, 'CELL WALL TEICHOIC ACID GLYCOSYLATION PROTEIN GTCA', NULL, NULL, NULL, 15),
(127713, NULL, 'PTHR10996:SF207', NULL, NULL, NULL, NULL, 'GLYOXYLATE REDUCTASE', NULL, NULL, NULL, 15),
(127714, NULL, 'PTHR10353:SF224', NULL, NULL, NULL, NULL, 'BNAA08G03680D PROTEIN', NULL, NULL, NULL, 15),
(127715, NULL, 'PTHR23115:SF222', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA 1-RELATED', NULL, NULL, NULL, 15),
(127716, NULL, 'PTHR23504:SF89', NULL, NULL, NULL, NULL, 'TETRACYCLINE RESISTANCE PROTEIN, CLASS A-LIKE', NULL, NULL, NULL, 15),
(127717, NULL, 'PTHR45946:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ROUGH-RELATED', NULL, NULL, NULL, 15),
(127718, NULL, 'PTHR43793:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN HLDE', NULL, NULL, NULL, 15),
(127719, NULL, 'PTHR47658:SF5', NULL, NULL, NULL, NULL, 'BNAC02G41640D PROTEIN', NULL, NULL, NULL, 15),
(127720, NULL, 'PTHR14768', NULL, NULL, NULL, NULL, 'UPF0338 PROTEIN', NULL, NULL, NULL, 15),
(127721, NULL, 'PTHR13468:SF11', NULL, NULL, NULL, NULL, 'DNA LIGASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127722, NULL, 'PTHR45613:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127723, NULL, 'PTHR23213:SF372', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127724, NULL, 'PTHR45858:SF5', NULL, NULL, NULL, NULL, 'CHONDROCYTE-DERIVED EZRIN-LIKE DOMAIN CONTAINING PROTEIN, ISOFORM G', NULL, NULL, NULL, 15),
(127725, NULL, 'PTHR44102:SF5', NULL, NULL, NULL, NULL, 'PROTEIN NPG1', NULL, NULL, NULL, 15),
(127726, NULL, 'PTHR21444:SF14', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 180', NULL, NULL, 25339, 15),
(127727, NULL, 'PTHR10315:SF98', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(127728, NULL, 'PTHR22811:SF117', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, 11934, 15),
(127729, NULL, 'PTHR11863:SF66', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE CER3', NULL, NULL, NULL, 15),
(127730, NULL, 'PTHR31228', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(127731, NULL, 'PTHR13596:SF0', NULL, NULL, NULL, NULL, 'SI:CH211-39K3.2-RELATED', NULL, NULL, NULL, 15),
(127732, NULL, 'PTHR10593:SF177', NULL, NULL, NULL, NULL, 'BNAA06G09400D PROTEIN', NULL, NULL, NULL, 15),
(127733, NULL, 'PTHR43595:SF2', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S26, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(127734, NULL, 'PTHR33985:SF23', NULL, NULL, NULL, NULL, 'BNAA02G27190D PROTEIN', NULL, NULL, NULL, 15),
(127735, NULL, 'PTHR23160:SF6', NULL, NULL, NULL, NULL, 'OSJNBA0009P12.17 PROTEIN', NULL, NULL, NULL, 15),
(127736, NULL, 'PTHR11165:SF133', NULL, NULL, NULL, NULL, 'BNAC06G02270D PROTEIN', NULL, NULL, NULL, 15),
(127737, NULL, 'PTHR43106', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(127738, NULL, 'PTHR25462:SF276', NULL, NULL, NULL, NULL, 'MEIOTIC P26, ISOFORM C', NULL, NULL, NULL, 15),
(127739, NULL, 'PTHR19241:SF631', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(127740, NULL, 'PTHR12333:SF0', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(127741, NULL, 'PTHR36884:SF2', NULL, NULL, NULL, NULL, 'FIP1[III]-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127742, NULL, 'PTHR45817:SF6', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE 6-OXIDASE', NULL, NULL, NULL, 15),
(127743, NULL, 'PTHR31953:SF72', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV5', NULL, NULL, NULL, 15),
(127744, NULL, 'PTHR11017:SF404', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(127745, NULL, 'PTHR11994:SF25', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11-1', NULL, NULL, NULL, 15),
(127746, NULL, 'PTHR10826:SF26', NULL, NULL, NULL, NULL, 'OS08G0439900 PROTEIN', NULL, NULL, NULL, 15),
(127747, NULL, 'PTHR23257:SF876', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127748, NULL, 'PTHR24320:SF220', NULL, NULL, NULL, NULL, 'BNAC03G71290D PROTEIN', NULL, NULL, NULL, 15),
(127749, NULL, 'PTHR13301:SF179', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127750, NULL, 'PTHR33376:SF7', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLATE-BINDING PROTEIN DCTB', NULL, NULL, NULL, 15),
(127751, NULL, 'PTHR31100:SF75', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(127752, NULL, 'PTHR45724:SF11', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP5-1-RELATED', NULL, NULL, NULL, 15),
(127753, NULL, 'PTHR45655:SF1', NULL, NULL, NULL, NULL, 'SOLUBLE GUANYLATE CYCLASE GCY-37', NULL, NULL, NULL, 15),
(127754, NULL, 'PTHR42757:SF32', NULL, NULL, NULL, NULL, 'PROTEIN AMALGAM', NULL, NULL, NULL, 15),
(127755, NULL, 'PTHR31989:SF146', NULL, NULL, NULL, NULL, 'OS06G0104200 PROTEIN', NULL, NULL, NULL, 15),
(127756, NULL, 'PTHR13526:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127757, NULL, 'PTHR24015:SF2000', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127758, NULL, 'PTHR34821:SF8', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127759, NULL, 'PTHR31707:SF275', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(127760, NULL, 'PTHR39290:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127761, NULL, 'PTHR24414:SF163', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP30-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(127762, NULL, 'PTHR11842', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE ASSEMBLY CHECKPOINT PROTEIN MAD2', NULL, NULL, 39205, 15),
(127763, NULL, 'PTHR31326:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CLT1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(127764, NULL, 'PTHR10676:SF318', NULL, NULL, NULL, NULL, 'MALE FERTILITY FACTOR KL3', NULL, NULL, NULL, 15),
(127765, NULL, 'PTHR24305', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(127766, NULL, 'PTHR34491:SF19', NULL, NULL, NULL, NULL, 'GAG-PRO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127767, NULL, 'PTHR46032:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127768, NULL, 'PTHR31262:SF18', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN', NULL, NULL, NULL, 15),
(127769, NULL, 'PTHR46847', NULL, NULL, NULL, NULL, 'D-ALLOSE-BINDING PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127770, NULL, 'PTHR12478', NULL, NULL, NULL, NULL, 'DNA-DAMAGE-INDUCIBLE TRANSCRIPT 4 PROTEIN DDIT4', NULL, NULL, 8405, 15),
(127771, NULL, 'PTHR13287:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-74F19.2', NULL, NULL, NULL, 15),
(127772, NULL, 'PTHR11540:SF61', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(127773, NULL, 'PTHR24347:SF421', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127774, NULL, 'PTHR43391:SF51', NULL, NULL, NULL, NULL, 'GENE 4756-RELATED', NULL, NULL, NULL, 15),
(127775, NULL, 'PTHR47925:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127776, NULL, 'PTHR31669:SF166', NULL, NULL, NULL, NULL, 'OS01G0852650 PROTEIN', NULL, NULL, NULL, 15),
(127777, NULL, 'PTHR46431:SF8', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN FAMILY', NULL, NULL, NULL, 15),
(127778, NULL, 'PTHR45669:SF32', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN (GRX) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127779, NULL, 'PTHR15486:SF76', NULL, NULL, NULL, NULL, 'OS03G0166600 PROTEIN', NULL, NULL, NULL, 15),
(127780, NULL, 'PTHR31279', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 5', NULL, NULL, 3012, 15),
(127781, NULL, 'PTHR43141:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME BD2 SUBUNIT II', NULL, NULL, NULL, 15),
(127782, NULL, 'PTHR48011:SF57', NULL, NULL, NULL, NULL, 'BNAANNG03700D PROTEIN', NULL, NULL, NULL, 15),
(127783, NULL, 'PTHR46224:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127784, NULL, 'PTHR30441', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(127785, NULL, 'PTHR11945:SF481', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127786, NULL, 'PTHR10811:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127787, NULL, 'PTHR31131:SF6', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(127788, NULL, 'PTHR11802:SF386', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(127789, NULL, 'PTHR10579:SF47', NULL, NULL, NULL, NULL, 'OS09G0298500 PROTEIN', NULL, NULL, NULL, 15),
(127790, NULL, 'PTHR31549:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127791, NULL, 'PTHR22605:SF18', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF213-ALPHA', NULL, NULL, NULL, 15),
(127792, NULL, 'PTHR22536:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127793, NULL, 'PTHR33915:SF3', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(127794, NULL, 'PTHR43908:SF6', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN DDB_G0295729', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127795, NULL, 'PTHR33052:SF19', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(127796, NULL, 'PTHR10736:SF0', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 24', NULL, NULL, NULL, 15),
(127797, NULL, 'PTHR14154:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127798, NULL, 'PTHR11771:SF148', NULL, NULL, NULL, NULL, 'LIPOXYGENASE 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(127799, NULL, 'PTHR12550:SF45', NULL, NULL, NULL, NULL, 'HEPATOMA-DERIVED GROWTH FACTOR-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(127800, NULL, 'PTHR40572', NULL, NULL, NULL, NULL, 'PROTEIN BAX', NULL, NULL, NULL, 15),
(127801, NULL, 'PTHR35277:SF7', NULL, NULL, NULL, NULL, 'BNAC03G13190D PROTEIN', NULL, NULL, NULL, 15),
(127802, NULL, 'PTHR28535', NULL, NULL, NULL, NULL, 'ZINC FINGER GRF-TYPE CONTAINING 1', NULL, NULL, NULL, 15),
(127803, NULL, 'PTHR12002:SF182', NULL, NULL, NULL, NULL, 'SI:DKEY-221L4.11', NULL, NULL, NULL, 15),
(127804, NULL, 'PTHR10165:SF172', NULL, NULL, NULL, NULL, 'BNAA09G18500D PROTEIN', NULL, NULL, NULL, 15),
(127805, NULL, 'PTHR45614:SF78', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB44-LIKE', NULL, NULL, NULL, 15),
(127806, NULL, 'PTHR24082:SF39', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP I MEMBER 2', NULL, NULL, NULL, 15),
(127807, NULL, 'PTHR10075:SF31', NULL, NULL, NULL, NULL, 'CONTACTIN RIG-6-RELATED', NULL, NULL, NULL, 15),
(127808, NULL, 'PTHR10166:SF61', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL SUBUNIT ALPHA-2/DELTA-3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127809, NULL, 'PTHR14517:SF11', NULL, NULL, NULL, NULL, 'RIB43A-LIKE WITH COILED-COILS PROTEIN 1', NULL, NULL, NULL, 15),
(127810, NULL, 'PTHR10480:SF1', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG A', NULL, NULL, 26596, 15),
(127811, NULL, 'PTHR31948:SF123', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 4', NULL, NULL, NULL, 15),
(127812, NULL, 'PTHR34834:SF1', NULL, NULL, NULL, NULL, 'SPERMATID MATURATION PROTEIN 1', NULL, NULL, NULL, 15),
(127813, NULL, 'PTHR40082', NULL, NULL, NULL, NULL, 'BLR5956 PROTEIN', NULL, NULL, 33937, 15),
(127814, NULL, 'PTHR32102:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127815, NULL, 'PTHR45908:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG12141', NULL, NULL, NULL, 15),
(127816, NULL, 'PTHR10974:SF33', NULL, NULL, NULL, NULL, 'PROTEIN CBG11140', NULL, NULL, NULL, 15),
(127817, NULL, 'PTHR35744', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127818, NULL, 'PTHR22844:SF213', NULL, NULL, NULL, NULL, 'OS01G0232200 PROTEIN', NULL, NULL, NULL, 15),
(127819, NULL, 'PTHR10641:SF1261', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127820, NULL, 'PTHR23054:SF64', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(127821, NULL, 'PTHR32263:SF23', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE SRO4', NULL, NULL, NULL, 15),
(127822, NULL, 'PTHR31079:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127823, NULL, 'PTHR10517:SF19', NULL, NULL, NULL, NULL, 'RETBINDIN', NULL, NULL, NULL, 15),
(127824, NULL, 'PTHR20961:SF94', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(127825, NULL, 'PTHR10218:SF245', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-2 SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(127826, NULL, 'PTHR43181:SF2', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 2,4-CYCLODIPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(127827, NULL, 'PTHR11960:SF30', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 4E, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(127828, NULL, 'PTHR30272:SF11', NULL, NULL, NULL, NULL, 'OS08G0225000 PROTEIN', NULL, NULL, NULL, 15),
(127829, NULL, 'PTHR31415:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127830, NULL, 'PTHR12910:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 12', NULL, NULL, NULL, 15),
(127831, NULL, 'PTHR35890:SF3', NULL, NULL, NULL, NULL, 'ECOTIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127832, NULL, 'PTHR31375:SF155', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(127833, NULL, 'PTHR23315:SF236', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SPL11', NULL, NULL, NULL, 15),
(127834, NULL, 'PTHR27003:SF298', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(127835, NULL, 'PTHR22761:SF4', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 4B', NULL, NULL, NULL, 15),
(127836, NULL, 'PTHR47958:SF63', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 22', NULL, NULL, NULL, 15),
(127837, NULL, 'PTHR23430:SF249', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(127838, NULL, 'PTHR11351:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127839, NULL, 'PTHR15680', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', NULL, NULL, 4364, 15),
(127840, NULL, 'PTHR33403:SF30', NULL, NULL, NULL, NULL, 'BNAA01G13110D PROTEIN', NULL, NULL, NULL, 15),
(127841, NULL, 'PTHR31988:SF5', NULL, NULL, NULL, NULL, 'OS04G0110400 PROTEIN', NULL, NULL, NULL, 15),
(127842, NULL, 'PTHR39192', NULL, NULL, NULL, NULL, 'IRON UPTAKE SYSTEM COMPONENT EFEO', NULL, NULL, NULL, 15),
(127843, NULL, 'PTHR33377:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127844, NULL, 'PTHR33781:SF2', NULL, NULL, NULL, NULL, 'OS05G0220500 PROTEIN', NULL, NULL, NULL, 15),
(127845, NULL, 'PTHR24062:SF42', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(127846, NULL, 'PTHR45637:SF65', NULL, NULL, NULL, NULL, 'TELOKIN/MYOSIN LIGHT CHAIN KINASE-RELATED', NULL, NULL, NULL, 15),
(127847, NULL, 'PTHR46506:SF54', NULL, NULL, NULL, NULL, 'JACALIN-LIKE LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127848, NULL, 'PTHR48053:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127849, NULL, 'PTHR48022:SF70', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14540)-RELATED', NULL, NULL, NULL, 15),
(127850, NULL, 'PTHR22849:SF140', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(127851, NULL, 'PTHR32096:SF109', NULL, NULL, NULL, NULL, 'BNAC03G65200D PROTEIN', NULL, NULL, NULL, 15),
(127852, NULL, 'PTHR46482', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(127853, NULL, 'PTHR24361:SF769', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE C01C4.3-RELATED', NULL, NULL, NULL, 15),
(127854, NULL, 'PTHR24082:SF493', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-7', NULL, NULL, NULL, 15),
(127855, NULL, 'PTHR45834:SF5', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 13', NULL, NULL, NULL, 15),
(127856, NULL, 'PTHR45589', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 62, ISOFORM G', NULL, NULL, NULL, 15),
(127857, NULL, 'PTHR11566:SF186', NULL, NULL, NULL, NULL, 'DYNAMIN RELATED PROTEIN 4C-RELATED', NULL, NULL, NULL, 15),
(127858, NULL, 'PTHR30195:SF15', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME HINDVIIP R PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127859, NULL, 'PTHR13902:SF127', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK11-RELATED', NULL, NULL, NULL, 15),
(127860, NULL, 'PTHR12294:SF10', NULL, NULL, NULL, NULL, 'CALCIUM UPTAKE PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(127861, NULL, 'PTHR47993:SF181', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127862, NULL, 'PTHR11439:SF299', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', NULL, NULL, NULL, 15),
(127863, NULL, 'PTHR11878:SF69', NULL, NULL, NULL, NULL, 'SODIUM CALCIUM EXCHANGER 1H', NULL, NULL, NULL, 15),
(127864, NULL, 'PTHR37711:SF3', NULL, NULL, NULL, NULL, 'BNAA07G38640D PROTEIN', NULL, NULL, NULL, 15),
(127865, NULL, 'PTHR31238:SF111', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 17', NULL, NULL, NULL, 15),
(127866, NULL, 'PTHR10891:SF906', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127867, NULL, 'PTHR32429:SF11', NULL, NULL, NULL, NULL, 'OSJNBA0011F23.7 PROTEIN', NULL, NULL, NULL, 15),
(127868, NULL, 'PTHR24173:SF75', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 33BB', NULL, NULL, NULL, 15),
(127869, NULL, 'PTHR23059', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH PROTEIN 1', NULL, NULL, 36110, 15),
(127870, NULL, 'PTHR48036:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 23-RELATED', NULL, NULL, NULL, 15),
(127871, NULL, 'PTHR23320', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A  MS4A -RELATED', NULL, NULL, 25356, 15),
(127872, NULL, 'PTHR41368', NULL, NULL, NULL, NULL, 'PROTEIN YGHO', NULL, NULL, 30924, 15),
(127873, NULL, 'PTHR43542:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(127874, NULL, 'PTHR31137:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127875, NULL, 'PTHR24393:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127876, NULL, 'PTHR31403:SF48', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1', NULL, NULL, NULL, 15),
(127877, NULL, 'PTHR47058:SF1', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127878, NULL, 'PTHR15141:SF75', NULL, NULL, NULL, NULL, 'ELONGIN-A', NULL, NULL, NULL, 15),
(127879, NULL, 'PTHR47057:SF2', NULL, NULL, NULL, NULL, 'AFADIN/ALPHA-ACTININ-BINDING PROTEIN', NULL, NULL, NULL, 15),
(127880, NULL, 'PTHR11200:SF176', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE 5-PHOSPHATASE OCRL-1', NULL, NULL, NULL, 15),
(127881, NULL, 'PTHR15346', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT', NULL, NULL, 27389, 15),
(127882, NULL, 'PTHR45938:SF7', NULL, NULL, NULL, NULL, 'WAP, KAZAL, IMMUNOGLOBULIN, KUNITZ AND NTR DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(127883, NULL, 'PTHR11017:SF369', NULL, NULL, NULL, NULL, 'BNAA02G24540D PROTEIN', NULL, NULL, NULL, 15),
(127884, NULL, 'PTHR13286:SF17', NULL, NULL, NULL, NULL, 'BNACNNG08160D PROTEIN', NULL, NULL, NULL, 15),
(127885, NULL, 'PTHR43670:SF77', NULL, NULL, NULL, NULL, 'BNAC09G36900D PROTEIN', NULL, NULL, NULL, 15),
(127886, NULL, 'PTHR12286:SF9', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SACCHAROPINE DEHYDROGENASE-LIKE OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(127887, NULL, 'PTHR22870:SF407', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127888, NULL, 'PTHR23430:SF286', NULL, NULL, NULL, NULL, 'HISTONE H2A.6', NULL, NULL, NULL, 15),
(127889, NULL, 'PTHR48041:SF70', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY G MEMBER 3', NULL, NULL, NULL, 15),
(127890, NULL, 'PTHR43874:SF18', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR7', NULL, NULL, NULL, 15),
(127891, NULL, 'PTHR11673:SF49', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-1', NULL, NULL, NULL, 15),
(127892, NULL, 'PTHR47967:SF84', NULL, NULL, NULL, NULL, 'OS05G0596000 PROTEIN', NULL, NULL, NULL, 15),
(127893, NULL, 'PTHR22883:SF385', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(127894, NULL, 'PTHR15720:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127895, NULL, 'PTHR23086:SF131', NULL, NULL, NULL, NULL, 'BNAC08G42290D PROTEIN', NULL, NULL, NULL, 15),
(127896, NULL, 'PTHR24221:SF241', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE TRANSLOCATOR ABCB4', NULL, NULL, 22750, 15),
(127897, NULL, 'PTHR14000:SF31', NULL, NULL, NULL, NULL, 'BNAC08G42330D PROTEIN', NULL, NULL, NULL, 15),
(127898, NULL, 'PTHR10378:SF42', NULL, NULL, NULL, NULL, 'BNAC08G47250D PROTEIN', NULL, NULL, NULL, 15),
(127899, NULL, 'PTHR11652:SF43', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S23', NULL, NULL, NULL, 15),
(127900, NULL, 'PTHR22937:SF171', NULL, NULL, NULL, NULL, 'BNAC02G00210D PROTEIN', NULL, NULL, NULL, 15),
(127901, NULL, 'PTHR31992:SF144', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.8', NULL, NULL, NULL, 15),
(127902, NULL, 'PTHR11851:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127903, NULL, 'PTHR30535:SF35', NULL, NULL, NULL, NULL, 'PERIPLASMIC BINDING PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127904, NULL, 'PTHR13780:SF120', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSCBSPB1-LIKE', NULL, NULL, NULL, 15),
(127905, NULL, 'PTHR31260:SF48', NULL, NULL, NULL, NULL, 'BNAC02G24000D PROTEIN', NULL, NULL, NULL, 15),
(127906, NULL, 'PTHR35024', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, 2663, 15),
(127907, NULL, 'PTHR35365', NULL, NULL, NULL, NULL, 'LP04239P', NULL, NULL, NULL, 15),
(127908, NULL, 'PTHR28641', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 29012, 15),
(127909, NULL, 'PTHR13865:SF25', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION PROTEIN ZO-1', NULL, NULL, 7225, 15),
(127910, NULL, 'PTHR37490', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(127911, NULL, 'PTHR23044:SF61', NULL, NULL, NULL, NULL, '3''-5'' EXORIBONUCLEASE 1', NULL, NULL, NULL, 15),
(127912, NULL, 'PTHR31469:SF14', NULL, NULL, NULL, NULL, 'N-(5''-PHOSPHORIBOSYL)ANTHRANILATE ISOMERASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(127913, NULL, 'PTHR45915', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INTERMEDIARY FACTOR', NULL, NULL, NULL, 15),
(127914, NULL, 'PTHR45620:SF13', NULL, NULL, NULL, NULL, 'SECRETIN RECEPTOR', NULL, NULL, 1158, 15),
(127915, NULL, 'PTHR46120:SF1', NULL, NULL, NULL, NULL, 'BETAINE--HOMOCYSTEINE S-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(127916, NULL, 'PTHR31889:SF46', NULL, NULL, NULL, NULL, 'OS08G0334900 PROTEIN', NULL, NULL, NULL, 15),
(127917, NULL, 'PTHR31391:SF88', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127918, NULL, 'PTHR10424:SF8', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP V MEMBER 2 ENV POLYPROTEIN', NULL, NULL, NULL, 15),
(127919, NULL, 'PTHR10835:SF8', NULL, NULL, NULL, NULL, 'SQUALENE MONOOXYGENASE-LIKE ISOFORM X2', NULL, NULL, NULL, 15),
(127920, NULL, 'PTHR23076:SF112', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 9, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(127921, NULL, 'PTHR33133:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127922, NULL, 'PTHR11014:SF161', NULL, NULL, NULL, NULL, 'LMO2819 PROTEIN', NULL, NULL, NULL, 15),
(127923, NULL, 'PTHR47851:SF1', NULL, NULL, NULL, NULL, 'OS06G0588700 PROTEIN', NULL, NULL, NULL, 15),
(127924, NULL, 'PTHR47949:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 703A2-RELATED', NULL, NULL, NULL, 15),
(127925, NULL, 'PTHR11860:SF62', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 9', NULL, NULL, NULL, 15),
(127926, NULL, 'PTHR16079', NULL, NULL, NULL, NULL, 'UBIQUITIN LIGASE PROTEIN CHFR', NULL, NULL, NULL, 15),
(127927, NULL, 'PTHR32457:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127928, NULL, 'PTHR42770:SF13', NULL, NULL, NULL, NULL, 'L-METHIONINE/BRANCHED-CHAIN AMINO ACID EXPORTER YJEH', NULL, NULL, NULL, 15),
(127929, NULL, 'PTHR34220:SF10', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE BTSS', NULL, NULL, NULL, 15),
(127930, NULL, 'PTHR30468:SF18', NULL, NULL, NULL, NULL, 'TAURINE DIOXYGENASE', NULL, NULL, NULL, 15),
(127931, NULL, 'PTHR11260:SF549', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U24', NULL, NULL, NULL, 15),
(127932, NULL, 'PTHR24361:SF256', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MKCB-RELATED', NULL, NULL, NULL, 15),
(127933, NULL, 'PTHR23353:SF16', NULL, NULL, NULL, NULL, 'COUNTIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127934, NULL, 'PTHR10836:SF116', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(127935, NULL, 'PTHR24242:SF158', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9G1-RELATED', NULL, NULL, NULL, 15),
(127936, NULL, 'PTHR45089:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127937, NULL, 'PTHR11599:SF163', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(127938, NULL, 'PTHR34114:SF16', NULL, NULL, NULL, NULL, 'BNAA05G13800D PROTEIN', NULL, NULL, NULL, 15),
(127939, NULL, 'PTHR37544:SF3', NULL, NULL, NULL, NULL, 'SPRAY', NULL, NULL, NULL, 15),
(127940, NULL, 'PTHR12992', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE', NULL, NULL, 38455, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127941, NULL, 'PTHR31750:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG17929', NULL, NULL, NULL, 15),
(127942, NULL, 'PTHR11640:SF135', NULL, NULL, NULL, NULL, 'PROTEIN TURTLE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127943, NULL, 'PTHR47965:SF19', NULL, NULL, NULL, NULL, '7S GLOBULIN 2 SMALL SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(127944, NULL, 'PTHR11439:SF355', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', NULL, NULL, NULL, 15),
(127945, NULL, 'PTHR43490:SF101', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(127946, NULL, 'PTHR23077:SF158', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 48 HOMOLOG', NULL, NULL, NULL, 15),
(127947, NULL, 'PTHR46813:SF10', NULL, NULL, NULL, NULL, 'BNAC07G31920D PROTEIN', NULL, NULL, NULL, 15),
(127948, NULL, 'PTHR23504:SF86', NULL, NULL, NULL, NULL, 'HIPPOCAMPUS ABUNDANT TRANSCRIPT-LIKE PROTEIN 1 ISOFORM X1', NULL, NULL, NULL, 15),
(127949, NULL, 'PTHR31621:SF65', NULL, NULL, NULL, NULL, 'BNAC03G76810D PROTEIN', NULL, NULL, NULL, 15),
(127950, NULL, 'PTHR10426:SF96', NULL, NULL, NULL, NULL, 'BNAC01G23420D PROTEIN', NULL, NULL, NULL, 15),
(127951, NULL, 'PTHR33168:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127952, NULL, 'PTHR35318:SF12', NULL, NULL, NULL, NULL, 'OS08G0138900 PROTEIN', NULL, NULL, NULL, 15),
(127953, NULL, 'PTHR13992:SF39', NULL, NULL, NULL, NULL, 'SMRTER, ISOFORM G', NULL, NULL, NULL, 15),
(127954, NULL, 'PTHR13282:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAM32A', NULL, NULL, NULL, 15),
(127955, NULL, 'PTHR15825', NULL, NULL, NULL, NULL, 'UBIQUITIN-FOLD MODIFIER 1', NULL, NULL, 6537, 15),
(127956, NULL, 'PTHR32468:SF127', NULL, NULL, NULL, NULL, 'BNAC04G53650D PROTEIN', NULL, NULL, NULL, 15),
(127957, NULL, 'PTHR16675:SF243', NULL, NULL, NULL, NULL, 'HISTOCOMPATIBILITY 2, M REGION LOCUS 5', NULL, NULL, NULL, 15),
(127958, NULL, 'PTHR27000:SF730', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127959, NULL, 'PTHR46662:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127960, NULL, 'PTHR11559:SF181', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 1F-RELATED', NULL, NULL, NULL, 15),
(127961, NULL, 'PTHR16469:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG20630', NULL, NULL, NULL, 15),
(127962, NULL, 'PTHR35980:SF1', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE CCHAMIDE-1-RELATED', NULL, NULL, NULL, 15),
(127963, NULL, 'PTHR42733:SF8', NULL, NULL, NULL, NULL, 'DJ-1 PROTEIN HOMOLOG F', NULL, NULL, NULL, 15),
(127964, NULL, 'PTHR31985:SF159', NULL, NULL, NULL, NULL, 'ERF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(127965, NULL, 'PTHR47968:SF33', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7C, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(127966, NULL, 'PTHR24208', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX', NULL, NULL, NULL, 15),
(127967, NULL, 'PTHR45830:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(127968, NULL, 'PTHR19282:SF168', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(127969, NULL, 'PTHR34213:SF3', NULL, NULL, NULL, NULL, 'BNAA03G01470D PROTEIN', NULL, NULL, NULL, 15),
(127970, NULL, 'PTHR15679:SF8', NULL, NULL, NULL, NULL, 'PCNA-ASSOCIATED FACTOR', NULL, NULL, NULL, 15),
(127971, NULL, 'PTHR10366:SF598', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(127972, NULL, 'PTHR33402:SF29', NULL, NULL, NULL, NULL, 'VQ-RELATED', NULL, NULL, NULL, 15),
(127973, NULL, 'PTHR31150:SF19', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(127974, NULL, 'PTHR31375:SF230', NULL, NULL, NULL, NULL, 'PECTIN LYASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(127975, NULL, 'PTHR12039:SF13', NULL, NULL, NULL, NULL, 'NICOTINAMIDE-NUCLEOTIDE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(127976, NULL, 'PTHR13832:SF620', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 13-RELATED', NULL, NULL, NULL, 15),
(127977, NULL, 'PTHR24543:SF293', NULL, NULL, NULL, NULL, 'NEUROPILIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(127978, NULL, 'PTHR45617:SF100', NULL, NULL, NULL, NULL, 'AGAP004016-PA', NULL, NULL, NULL, 15),
(127979, NULL, 'PTHR43228:SF17', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE RESPONSE REGULATOR AND TRANSCRIPTION FACTOR RR-A-TYPE FAMILY-RELATED', NULL, NULL, NULL, 15),
(127980, NULL, 'PTHR22847:SF689', NULL, NULL, NULL, NULL, 'WD REPEAT, STERILE ALPHA MOTIF AND U-BOX DOMAIN CONTAINING 1', NULL, NULL, NULL, 15),
(127981, NULL, 'PTHR42727:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(127982, NULL, 'PTHR19300:SF5', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(127983, NULL, 'PTHR13683:SF331', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE ASP1', NULL, NULL, NULL, 15),
(127984, NULL, 'PTHR36963:SF2', NULL, NULL, NULL, NULL, 'HELICASE', NULL, NULL, NULL, 15),
(127985, NULL, 'PTHR31568:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(127986, NULL, 'PTHR12329:SF43', NULL, NULL, NULL, NULL, 'MOLECULAR CHAPERONE REGULATOR BAG-1, UBIQUITIN-RELATED DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(127987, NULL, 'PTHR31087:SF123', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 14-LIKE', NULL, NULL, NULL, 15),
(127988, NULL, 'PTHR16736:SF3', NULL, NULL, NULL, NULL, 'CORTEXIN-1', NULL, NULL, NULL, 15),
(127989, NULL, 'PTHR11802:SF347', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 18 ISOFORM X1', NULL, NULL, NULL, 15),
(127990, NULL, 'PTHR46031:SF23', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(127991, NULL, 'PTHR23150:SF19', NULL, NULL, NULL, NULL, 'FORMYLGLYCINE-GENERATING ENZYME', NULL, NULL, NULL, 15),
(127992, NULL, 'PTHR20855:SF110', NULL, NULL, NULL, NULL, 'HEMOLYSIN-III-LIKE PROTEIN', NULL, NULL, NULL, 15),
(127993, NULL, 'PTHR11183:SF148', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, 26177, 15),
(127994, NULL, 'PTHR36574:SF1', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE-RELATED', NULL, NULL, NULL, 15),
(127995, NULL, 'PTHR14564:SF4', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(127996, NULL, 'PTHR11945:SF675', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 31', NULL, NULL, NULL, 15),
(127997, NULL, 'PTHR43298:SF2', NULL, NULL, NULL, NULL, 'FMN/FAD EXPORTER YEEO-RELATED', NULL, NULL, NULL, 15),
(127998, NULL, 'PTHR16716:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7B2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(127999, NULL, 'PTHR31376:SF89', NULL, NULL, NULL, NULL, 'PURINE PERMEASE, PLANT-RELATED', NULL, NULL, NULL, 15),
(128000, NULL, 'PTHR11206:SF357', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(128001, NULL, 'PTHR33207:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128002, NULL, 'PTHR10383:SF49', NULL, NULL, NULL, NULL, 'SERINC-DOMAIN CONTAINING SERINE AND SPHINGOLIPID BIOSYNTHESIS PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128003, NULL, 'PTHR15967:SF0', NULL, NULL, NULL, NULL, 'E2F-ASSOCIATED PHOSPHOPROTEIN', NULL, NULL, NULL, 15),
(128004, NULL, 'PTHR24115:SF820', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128005, NULL, 'PTHR44329:SF83', NULL, NULL, NULL, NULL, 'OS05G0519200 PROTEIN', NULL, NULL, NULL, 15),
(128006, NULL, 'PTHR37900', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128007, NULL, 'PTHR38459', NULL, NULL, NULL, NULL, 'PROPHAGE BACTOPRENOL-LINKED GLUCOSE TRANSLOCASE HOMOLOG', NULL, NULL, NULL, 15),
(128008, NULL, 'PTHR18966:SF500', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128009, NULL, 'PTHR24230:SF8', NULL, NULL, NULL, NULL, 'LEUKOTRIENE B4 RECEPTOR 2', NULL, NULL, NULL, 15),
(128010, NULL, 'PTHR10332', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER', NULL, NULL, 6427, 15),
(128011, NULL, 'PTHR10534:SF2', NULL, NULL, NULL, NULL, 'PYRIDOXAL KINASE', NULL, NULL, NULL, 15),
(128012, NULL, 'PTHR46178:SF1', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128013, NULL, 'PTHR38119:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128014, NULL, 'PTHR24031:SF25', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX46-RELATED', NULL, NULL, NULL, 15),
(128015, NULL, 'PTHR34270:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 16-RELATED', NULL, NULL, NULL, 15),
(128016, NULL, 'PTHR39532:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128017, NULL, 'PTHR10218:SF208', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-14 SUBUNIT', NULL, NULL, NULL, 15),
(128018, NULL, 'PTHR31803:SF8', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE 1B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(128019, NULL, 'PTHR33207:SF43', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(128020, NULL, 'PTHR31140:SF14', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS08G0157700-RELATED', NULL, NULL, NULL, 15),
(128021, NULL, 'PTHR45974:SF163', NULL, NULL, NULL, NULL, 'BNAA09G13340D PROTEIN', NULL, NULL, NULL, 15),
(128022, NULL, 'PTHR48011:SF81', NULL, NULL, NULL, NULL, 'BNAC04G13360D PROTEIN', NULL, NULL, NULL, 15),
(128023, NULL, 'PTHR19241:SF584', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128024, NULL, 'PTHR15710:SF84', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', NULL, NULL, NULL, 15),
(128025, NULL, 'PTHR48014', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FRAY2', NULL, NULL, NULL, 15),
(128026, NULL, 'PTHR10887:SF325', NULL, NULL, NULL, NULL, 'PROTEIN ZGRF1', NULL, NULL, NULL, 15),
(128027, NULL, 'PTHR13817:SF86', NULL, NULL, NULL, NULL, 'NEOGENIN 1', NULL, NULL, NULL, 15),
(128028, NULL, 'PTHR33703:SF9', NULL, NULL, NULL, NULL, 'SENESCENCE ASSOCIATED GENE 20', NULL, NULL, NULL, 15),
(128029, NULL, 'PTHR43976:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128030, NULL, 'PTHR21974', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(128031, NULL, 'PTHR15140:SF24', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE COFACTOR E-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128032, NULL, 'PTHR23257:SF795', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128033, NULL, 'PTHR33675:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128034, NULL, 'PTHR10300', NULL, NULL, NULL, NULL, 'CALCIPRESSIN', NULL, NULL, 5431, 15),
(128035, NULL, 'PTHR19353:SF28', NULL, NULL, NULL, NULL, 'DELTA(8)-FATTY-ACID DESATURASE 2', NULL, NULL, NULL, 15),
(128036, NULL, 'PTHR43167', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G01830)-RELATED', NULL, NULL, NULL, 15),
(128037, NULL, 'PTHR31182:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128038, NULL, 'PTHR45969:SF17', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHA2A-LIKE', NULL, NULL, NULL, 15),
(128039, NULL, 'PTHR22761:SF18', NULL, NULL, NULL, NULL, 'SORTING PROTEIN SNF7 FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G16692)-RELATED', NULL, NULL, NULL, 15),
(128040, NULL, 'PTHR11036:SF65', NULL, NULL, NULL, NULL, 'SEMAPHORIN-6D', NULL, NULL, NULL, 15),
(128041, NULL, 'PTHR31451:SF49', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 5 PROTEIN', NULL, NULL, NULL, 15),
(128042, NULL, 'PTHR33239:SF11', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128043, NULL, 'PTHR31218:SF278', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(128044, NULL, 'PTHR34042:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP17-LIKE', NULL, NULL, NULL, 15),
(128045, NULL, 'PTHR10037:SF280', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 1 SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(128046, NULL, 'PTHR31230:SF1', NULL, NULL, NULL, NULL, 'MYELOID-DERIVED GROWTH FACTOR', NULL, NULL, NULL, 15),
(128047, NULL, 'PTHR23289', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX15', NULL, NULL, 11395, 15),
(128048, NULL, 'PTHR34660:SF13', NULL, NULL, NULL, NULL, 'BNAA07G03010D PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128049, NULL, 'PTHR14494:SF0', NULL, NULL, NULL, NULL, 'ALADIN', NULL, NULL, NULL, 15),
(128050, NULL, 'PTHR11946:SF57', NULL, NULL, NULL, NULL, 'VALINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(128051, NULL, 'PTHR45647:SF68', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(128052, NULL, 'PTHR46162:SF5', NULL, NULL, NULL, NULL, 'TRAF FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128053, NULL, 'PTHR24190', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128054, NULL, 'PTHR48127:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128055, NULL, 'PTHR33059:SF89', NULL, NULL, NULL, NULL, 'BNAA09G30830D PROTEIN', NULL, NULL, NULL, 15),
(128056, NULL, 'PTHR35748', NULL, NULL, NULL, NULL, 'OS05G0358400 PROTEIN', NULL, NULL, NULL, 15),
(128057, NULL, 'PTHR21678:SF6', NULL, NULL, NULL, NULL, 'R3H AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(128058, NULL, 'PTHR36310', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR11', NULL, NULL, 31628, 15),
(128059, NULL, 'PTHR44137:SF23', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(128060, NULL, 'PTHR31657:SF45', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF060-LIKE', NULL, NULL, NULL, 15),
(128061, NULL, 'PTHR10410:SF28', NULL, NULL, NULL, NULL, 'OS06G0703600 PROTEIN', NULL, NULL, NULL, 15),
(128062, NULL, 'PTHR32343:SF49', NULL, NULL, NULL, NULL, 'BNAA06G00790D PROTEIN', NULL, NULL, NULL, 15),
(128063, NULL, 'PTHR31378:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128064, NULL, 'PTHR45125:SF19', NULL, NULL, NULL, NULL, 'NAM-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128065, NULL, 'PTHR13170:SF16', NULL, NULL, NULL, NULL, 'PROTEIN O-GLCNACASE', NULL, NULL, NULL, 15),
(128066, NULL, 'PTHR12741:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128067, NULL, 'PTHR33454:SF6', NULL, NULL, NULL, NULL, 'GLUTENIN, LOW MOLECULAR WEIGHT SUBUNIT', NULL, NULL, NULL, 15),
(128068, NULL, 'PTHR27007:SF261', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.9', NULL, NULL, NULL, 15),
(128069, NULL, 'PTHR46193:SF1', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE DOMAIN-CONTAINING PROTEIN SGPP', NULL, NULL, NULL, 15),
(128070, NULL, 'PTHR42742:SF8', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(128071, NULL, 'PTHR10788:SF24', NULL, NULL, NULL, NULL, 'OS08G0445700 PROTEIN', NULL, NULL, NULL, 15),
(128072, NULL, 'PTHR31639:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128073, NULL, 'PTHR10233:SF16', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT DELTA-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(128074, NULL, 'PTHR10516:SF438', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(128075, NULL, 'PTHR33782:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128076, NULL, 'PTHR31084:SF3', NULL, NULL, NULL, NULL, 'ALPHA-FUCOSIDASE A', NULL, NULL, NULL, 15),
(128077, NULL, 'PTHR47306', NULL, NULL, NULL, NULL, 'SI:CH211-178J18.4-RELATED', NULL, NULL, NULL, 15),
(128078, NULL, 'PTHR46128:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128079, NULL, 'PTHR23415:SF38', NULL, NULL, NULL, NULL, '60S RIBOSOME SUBUNIT BIOGENESIS PROTEIN NIP7 HOMOLOG', NULL, NULL, NULL, 15),
(128080, NULL, 'PTHR22953:SF111', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(128081, NULL, 'PTHR46153:SF17', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(128082, NULL, 'PTHR24092:SF181', NULL, NULL, NULL, NULL, 'OS10G0412050 PROTEIN', NULL, NULL, NULL, 15),
(128083, NULL, 'PTHR15398:SF6', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 8', NULL, NULL, 36001, 15),
(128084, NULL, 'PTHR30625:SF14', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBB', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128085, NULL, 'PTHR31734:SF169', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA13', NULL, NULL, NULL, 15),
(128086, NULL, 'PTHR10953:SF204', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 2', NULL, NULL, NULL, 15),
(128087, NULL, 'PTHR10722:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128088, NULL, 'PTHR35537:SF1', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCED APOPTOSIS SUPPRESSOR PROTEIN', NULL, NULL, NULL, 15),
(128089, NULL, 'PTHR31390:SF13', NULL, NULL, NULL, NULL, 'DUF3527 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(128090, NULL, 'PTHR23050:SF446', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(128091, NULL, 'PTHR24064:SF494', NULL, NULL, NULL, NULL, 'BETA-ALANINE TRANSPORTER', NULL, NULL, NULL, 15),
(128092, NULL, 'PTHR31137:SF29', NULL, NULL, NULL, NULL, 'PROTEIN PSIA-RELATED', NULL, NULL, NULL, 15),
(128093, NULL, 'PTHR33127:SF42', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN', NULL, NULL, NULL, 15),
(128094, NULL, 'PTHR46617:SF6', NULL, NULL, NULL, NULL, 'FORKHEAD BOX G1C', NULL, NULL, NULL, 15),
(128095, NULL, 'PTHR22599', NULL, NULL, NULL, NULL, 'MPS ONE BINDER KINASE ACTIVATOR-LIKE  MOB', NULL, NULL, 5487, 15),
(128096, NULL, 'PTHR21237:SF33', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(128097, NULL, 'PTHR43895:SF115', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(128098, NULL, 'PTHR24305:SF178', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE ATNE', NULL, NULL, NULL, 15),
(128099, NULL, 'PTHR21530:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128100, NULL, 'PTHR34788:SF10', NULL, NULL, NULL, NULL, 'OS02G0779400 PROTEIN', NULL, NULL, NULL, 15),
(128101, NULL, 'PTHR11431:SF110', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(128102, NULL, 'PTHR47630:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(128103, NULL, 'PTHR31260:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128104, NULL, 'PTHR43948:SF5', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK PROTEIN FAMILY (HSP40) MEMBER B2', NULL, NULL, NULL, 15),
(128105, NULL, 'PTHR31761', NULL, NULL, NULL, NULL, 'GROWTH ARREST AND DNA DAMAGE-INDUCIBLE PROTEINS-INTERACTING PROTEIN 1 GADD45GIP1', NULL, NULL, 21872, 15),
(128106, NULL, 'PTHR13423:SF2', NULL, NULL, NULL, NULL, 'OUT AT FIRST PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(128107, NULL, 'PTHR11875:SF127', NULL, NULL, NULL, NULL, 'NAP1-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(128108, NULL, 'PTHR33305:SF45', NULL, NULL, NULL, NULL, 'BNAA02G05250D PROTEIN', NULL, NULL, NULL, 15),
(128109, NULL, 'PTHR46781:SF2', NULL, NULL, NULL, NULL, 'ALPHA 1,4-GLYCOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(128110, NULL, 'PTHR21040:SF2', NULL, NULL, NULL, NULL, 'HEXOSAMINIDASE', NULL, NULL, NULL, 15),
(128111, NULL, 'PTHR45617:SF92', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN EGG-6', NULL, NULL, NULL, 15),
(128112, NULL, 'PTHR37358:SF1', NULL, NULL, NULL, NULL, 'MUCIN-20', NULL, NULL, NULL, 15),
(128113, NULL, 'PTHR19854', NULL, NULL, NULL, NULL, 'TRANSDUCIN BETA-LIKE 3', NULL, NULL, NULL, 15),
(128114, NULL, 'PTHR35011:SF4', NULL, NULL, NULL, NULL, 'BLL3751 PROTEIN', NULL, NULL, NULL, 15),
(128115, NULL, 'PTHR19282:SF154', NULL, NULL, NULL, NULL, 'TETRASPANIN-33', NULL, NULL, NULL, 15),
(128116, NULL, 'PTHR19290:SF148', NULL, NULL, NULL, NULL, 'PROTEIN ATONAL', NULL, NULL, NULL, 15),
(128117, NULL, 'PTHR32322:SF9', NULL, NULL, NULL, NULL, 'AMINO-ACID METABOLITE EFFLUX PUMP-RELATED', NULL, NULL, NULL, 15),
(128118, NULL, 'PTHR10578:SF125', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(128119, NULL, 'PTHR11362:SF113', NULL, NULL, NULL, NULL, 'OS01G0218500 PROTEIN', NULL, NULL, 26225, 15),
(128120, NULL, 'PTHR45806:SF9', NULL, NULL, NULL, NULL, 'BNAA02G07910D PROTEIN', NULL, NULL, NULL, 15),
(128121, NULL, 'PTHR46128:SF72', NULL, NULL, NULL, NULL, 'BNAC05G49370D PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128122, NULL, 'PTHR14614:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128123, NULL, 'PTHR26454:SF53', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6J1', NULL, NULL, NULL, 15),
(128124, NULL, 'PTHR43601:SF10', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 2-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(128125, NULL, 'PTHR22870:SF414', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY WITH FYVE ZINC FINGER DOMAIN ISOFORM 1', NULL, NULL, NULL, 15),
(128126, NULL, 'PTHR11863:SF148', NULL, NULL, NULL, NULL, 'C-4 METHYLSTEROL OXIDASE', NULL, NULL, NULL, 15),
(128127, NULL, 'PTHR10314:SF102', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(128128, NULL, 'PTHR31755:SF3', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR-LIKE', NULL, NULL, NULL, 15),
(128129, NULL, 'PTHR31907:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128130, NULL, 'PTHR47974:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(128131, NULL, 'PTHR31642:SF256', NULL, NULL, NULL, NULL, 'BNACNNG59260D PROTEIN', NULL, NULL, NULL, 15),
(128132, NULL, 'PTHR24384:SF191', NULL, NULL, NULL, NULL, 'GDNF-INDUCIBLE ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(128133, NULL, 'PTHR46855:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128134, NULL, 'PTHR12789:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 22-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(128135, NULL, 'PTHR14740:SF3', NULL, NULL, NULL, NULL, 'CASPASE ACTIVITY AND APOPTOSIS INHIBITOR 1', NULL, NULL, NULL, 15),
(128136, NULL, 'PTHR47928:SF84', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN ELI1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(128137, NULL, 'PTHR44329:SF182', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE 1-RELATED', NULL, NULL, NULL, 15),
(128138, NULL, 'PTHR31578:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128139, NULL, 'PTHR44321', NULL, NULL, NULL, NULL, 'TRANSDUCIN BETA-LIKE PROTEIN 2', NULL, NULL, 39744, 15),
(128140, NULL, 'PTHR34696:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE SUBUNIT PURS', NULL, NULL, NULL, 15),
(128141, NULL, 'PTHR21066:SF17', NULL, NULL, NULL, NULL, 'AGAP011368-PA', NULL, NULL, NULL, 15),
(128142, NULL, 'PTHR42886:SF53', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(128143, NULL, 'PTHR37464:SF1', NULL, NULL, NULL, NULL, 'BLL2463 PROTEIN', NULL, NULL, NULL, 15),
(128144, NULL, 'PTHR27007:SF187', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.5-RELATED', NULL, NULL, NULL, 15),
(128145, NULL, 'PTHR35295:SF2', NULL, NULL, NULL, NULL, 'OS07G0256300 PROTEIN', NULL, NULL, NULL, 15),
(128146, NULL, 'PTHR23414:SF7', NULL, NULL, NULL, NULL, 'ADRENOMEDULLIN-5-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128147, NULL, 'PTHR11260:SF528', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128148, NULL, 'PTHR14255:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128149, NULL, 'PTHR11946', NULL, NULL, NULL, NULL, 'VALYL-TRNA SYNTHETASES', NULL, NULL, 4489, 15),
(128150, NULL, 'PTHR31790:SF410', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128151, NULL, 'PTHR24023:SF1015', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128152, NULL, 'PTHR31668:SF20', NULL, NULL, NULL, NULL, 'MALTOSE FERMENTATION REGULATORY PROTEIN MAL13-RELATED', NULL, NULL, NULL, 15),
(128153, NULL, 'PTHR32022', NULL, NULL, NULL, NULL, 'D-GLUTAMATE CYCLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(128154, NULL, 'PTHR18966:SF445', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(128155, NULL, 'PTHR45765:SF8', NULL, NULL, NULL, NULL, 'METHIONINE--TRNA LIGASE, CYTOPLASMIC-LIKE', NULL, NULL, NULL, 15),
(128156, NULL, 'PTHR31278', NULL, NULL, NULL, NULL, 'CHCHD1', NULL, NULL, 33748, 15),
(128157, NULL, 'PTHR12673:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128158, NULL, 'PTHR41259:SF1', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR RAD50 ATPASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(128159, NULL, 'PTHR40042', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', NULL, NULL, 13545, 15),
(128160, NULL, 'PTHR11654:SF423', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 1.1', NULL, NULL, NULL, 15),
(128161, NULL, 'PTHR32227:SF129', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(128162, NULL, 'PTHR39671:SF3', NULL, NULL, NULL, NULL, 'RNA EDITING COMPLEX PROTEIN MP61', NULL, NULL, NULL, 15),
(128163, NULL, 'PTHR13639', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 4 HOMOLOG, MITOCHONDRIAL', NULL, NULL, 34981, 15),
(128164, NULL, 'PTHR35868:SF4', NULL, NULL, NULL, NULL, 'YALI0F05654P', NULL, NULL, NULL, 15),
(128165, NULL, 'PTHR42861:SF88', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(128166, NULL, 'PTHR14226:SF23', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PHOSPHOLIPASE DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(128167, NULL, 'PTHR23259:SF63', NULL, NULL, NULL, NULL, 'PROTEIN CBG03721', NULL, NULL, NULL, 15),
(128168, NULL, 'PTHR43752:SF4', NULL, NULL, NULL, NULL, 'ALPHA-RHAMNOSIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128169, NULL, 'PTHR33303:SF2', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128170, NULL, 'PTHR11243', NULL, NULL, NULL, NULL, 'GROWTH FACTOR RECEPTOR-BOUND PROTEIN', NULL, NULL, 29312, 15),
(128171, NULL, 'PTHR22811:SF136', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA9-LIKE', NULL, NULL, NULL, 15),
(128172, NULL, 'PTHR45658:SF66', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 2', NULL, NULL, NULL, 15),
(128173, NULL, 'PTHR14097:SF7', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE HTATIP2', NULL, NULL, NULL, 15),
(128174, NULL, 'PTHR11759', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14/30S RIBOSOMAL PROTEIN S11', NULL, NULL, 2243, 15),
(128175, NULL, 'PTHR31205:SF54', NULL, NULL, NULL, NULL, 'OS07G0171500 PROTEIN', NULL, NULL, NULL, 15),
(128176, NULL, 'PTHR23343', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA SPERM-BINDING PROTEIN', NULL, NULL, NULL, 15),
(128177, NULL, 'PTHR13305', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NOP10', NULL, NULL, 6539, 15),
(128178, NULL, 'PTHR11679:SF3', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 45', NULL, NULL, NULL, 15),
(128179, NULL, 'PTHR48137:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128180, NULL, 'PTHR33573:SF15', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4A4', NULL, NULL, NULL, 15),
(128181, NULL, 'PTHR22945', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D  DELTA', NULL, NULL, NULL, 15),
(128182, NULL, 'PTHR12352:SF13', NULL, NULL, NULL, NULL, 'SPARC-RELATED MODULAR CALCIUM-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(128183, NULL, 'PTHR12542:SF127', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(128184, NULL, 'PTHR12290:SF34', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENATE-CYSTEINE LIGASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128185, NULL, 'PTHR31992:SF163', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.6', NULL, NULL, NULL, 15),
(128186, NULL, 'PTHR46661', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZNRF1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128187, NULL, 'PTHR43670:SF62', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONE-RELATED', NULL, NULL, NULL, 15),
(128188, NULL, 'PTHR10579:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128189, NULL, 'PTHR31048:SF117', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(128190, NULL, 'PTHR31589:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128191, NULL, 'PTHR43032:SF3', NULL, NULL, NULL, NULL, 'PROTEIN-METHIONINE-SULFOXIDE REDUCTASE CATALYTIC SUBUNIT MSRP', NULL, NULL, NULL, 15),
(128192, NULL, 'PTHR34280', NULL, NULL, NULL, NULL, 'OS01G0920100 PROTEIN', NULL, NULL, 34086, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128193, NULL, 'PTHR30283', NULL, NULL, NULL, NULL, 'PEROXIDE STRESS RESPONSE PROTEIN YAAA', NULL, NULL, 1650, 15),
(128194, NULL, 'PTHR31422:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FLOURY 1-LIKE', NULL, NULL, 34373, 15),
(128195, NULL, 'PTHR11260:SF683', NULL, NULL, NULL, NULL, 'OS05G0412800 PROTEIN', NULL, NULL, NULL, 15),
(128196, NULL, 'PTHR13068:SF173', NULL, NULL, NULL, NULL, 'EMB|CAB62602.1', NULL, NULL, NULL, 15),
(128197, NULL, 'PTHR43159:SF7', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE [NADH] 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(128198, NULL, 'PTHR11728:SF39', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)]', NULL, NULL, NULL, 15),
(128199, NULL, 'PTHR11003:SF250', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(128200, NULL, 'PTHR14456:SF5', NULL, NULL, NULL, NULL, 'INOSITOL-PENTAKISPHOSPHATE 2-KINASE-RELATED', NULL, NULL, NULL, 15),
(128201, NULL, 'PTHR11127:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128202, NULL, 'PTHR11375:SF5', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY MEMBER E', NULL, NULL, NULL, 15),
(128203, NULL, 'PTHR46162:SF30', NULL, NULL, NULL, NULL, 'BNAA09G04280D PROTEIN', NULL, NULL, NULL, 15),
(128204, NULL, 'PTHR24356:SF347', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C DELTA TYPE HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(128205, NULL, 'PTHR23401:SF3', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 5 ACTIVATOR 2', NULL, NULL, NULL, 15),
(128206, NULL, 'PTHR37442', NULL, NULL, NULL, NULL, 'F18A1.7 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128207, NULL, 'PTHR31375:SF235', NULL, NULL, NULL, NULL, 'BNAA09G51170D PROTEIN', NULL, NULL, NULL, 15),
(128208, NULL, 'PTHR11738:SF14', NULL, NULL, NULL, NULL, 'NATURAL CYTOTOXICITY TRIGGERING RECEPTOR 1', NULL, NULL, NULL, 15),
(128209, NULL, 'PTHR35162:SF9', NULL, NULL, NULL, NULL, 'OS02G0176600 PROTEIN', NULL, NULL, NULL, 15),
(128210, NULL, 'PTHR33929:SF9', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 2-RELATED', NULL, NULL, NULL, 15),
(128211, NULL, 'PTHR13634:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128212, NULL, 'PTHR45763:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128213, NULL, 'PTHR37000', NULL, NULL, NULL, NULL, 'MUCIN-22', NULL, NULL, NULL, 15),
(128214, NULL, 'PTHR27002:SF856', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128215, NULL, 'PTHR19375:SF163', NULL, NULL, NULL, NULL, 'PROTEIN CBG07033', NULL, NULL, NULL, 15),
(128216, NULL, 'PTHR31029:SF9', NULL, NULL, NULL, NULL, 'BNACNNG56180D PROTEIN', NULL, NULL, NULL, 15),
(128217, NULL, 'PTHR11802:SF330', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(128218, NULL, 'PTHR16515:SF21', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 13', NULL, NULL, NULL, 15),
(128219, NULL, 'PTHR23086:SF113', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 6', NULL, NULL, NULL, 15),
(128220, NULL, 'PTHR48055:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1', NULL, NULL, NULL, 15),
(128221, NULL, 'PTHR33021:SF284', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 15', NULL, NULL, NULL, 15),
(128222, NULL, 'PTHR10245', NULL, NULL, NULL, NULL, 'ENDOTHELIAL DIFFERENTIATION-RELATED FACTOR 1  MULTIPROTEIN BRIDGING FACTOR 1', NULL, NULL, NULL, 15),
(128223, NULL, 'PTHR31901:SF83', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6-LIKE', NULL, NULL, NULL, 15),
(128224, NULL, 'PTHR12373:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128225, NULL, 'PTHR31718:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128226, NULL, 'PTHR35094', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(128227, NULL, 'PTHR27006:SF436', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128228, NULL, 'PTHR31985:SF218', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128229, NULL, 'PTHR43785:SF2', NULL, NULL, NULL, NULL, 'TYPE-1 GLUTAMINE SYNTHETASE 1-RELATED', NULL, NULL, NULL, 15),
(128230, NULL, 'PTHR10027:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128231, NULL, 'PTHR12886', NULL, NULL, NULL, NULL, 'PIG-M MANNOSYLTRANSFERASE', NULL, NULL, 1365, 15),
(128232, NULL, 'PTHR24255:SF10', NULL, NULL, NULL, NULL, 'MANNAN-BINDING LECTIN SERINE PROTEASE 2', NULL, NULL, 35107, 15),
(128233, NULL, 'PTHR46475:SF14', NULL, NULL, NULL, NULL, 'BNAA08G14460D PROTEIN', NULL, NULL, NULL, 15),
(128234, NULL, 'PTHR10394:SF3', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', NULL, NULL, NULL, 15),
(128235, NULL, 'PTHR31126:SF18', NULL, NULL, NULL, NULL, 'PROTEIN OCA4', NULL, NULL, NULL, 15),
(128236, NULL, 'PTHR12215:SF21', NULL, NULL, NULL, NULL, '4''-PHOSPHOPANTETHEINYL TRANSFERASE SUPERFAMILY', NULL, NULL, NULL, 15),
(128237, NULL, 'PTHR35715:SF8', NULL, NULL, NULL, NULL, 'OS09G0491692 PROTEIN', NULL, NULL, NULL, 15),
(128238, NULL, 'PTHR24377:SF826', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 30', NULL, NULL, NULL, 15),
(128239, NULL, 'PTHR46643:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN GOOSECOID', NULL, NULL, NULL, 15),
(128240, NULL, 'PTHR45752:SF24', NULL, NULL, NULL, NULL, 'VOLUME-REGULATED ANION CHANNEL SUBUNIT LRRC8C', NULL, NULL, NULL, 15),
(128241, NULL, 'PTHR11485:SF29', NULL, NULL, NULL, NULL, 'LD22449P', NULL, NULL, NULL, 15),
(128242, NULL, 'PTHR46116:SF28', NULL, NULL, NULL, NULL, 'BNAC06G41980D PROTEIN', NULL, NULL, NULL, 15),
(128243, NULL, 'PTHR13952:SF5', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN 70 KDA', NULL, NULL, NULL, 15),
(128244, NULL, 'PTHR14614:SF117', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE EEF2KMT', NULL, NULL, NULL, 15),
(128245, NULL, 'PTHR42687:SF4', NULL, NULL, NULL, NULL, 'L-THREONINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(128246, NULL, 'PTHR43112:SF36', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(128247, NULL, 'PTHR24049:SF23', NULL, NULL, NULL, NULL, 'NOTCH RECEPTOR 1B', NULL, NULL, NULL, 15),
(128248, NULL, 'PTHR21377:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128249, NULL, 'PTHR47206', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(128250, NULL, 'PTHR15917:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128251, NULL, 'PTHR42336:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128252, NULL, 'PTHR24403:SF73', NULL, NULL, NULL, NULL, 'CCCTC-BINDING FACTOR', NULL, NULL, NULL, 15),
(128253, NULL, 'PTHR11453:SF99', NULL, NULL, NULL, NULL, 'BICARBONATE TRANSPORTER, EUKARYOTIC-RELATED', NULL, NULL, NULL, 15),
(128254, NULL, 'PTHR21716:SF51', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YDIK-RELATED', NULL, NULL, NULL, 15),
(128255, NULL, 'PTHR38777', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', NULL, NULL, NULL, 15),
(128256, NULL, 'PTHR26453:SF570', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(128257, NULL, 'PTHR31509:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128258, NULL, 'PTHR36815', NULL, NULL, NULL, NULL, 'BNAC03G48760D PROTEIN', NULL, NULL, NULL, 15),
(128259, NULL, 'PTHR23226:SF170', NULL, NULL, NULL, NULL, 'MYONEURIN', NULL, NULL, NULL, 15),
(128260, NULL, 'PTHR31001:SF41', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(128261, NULL, 'PTHR33074:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128262, NULL, 'PTHR34921', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN REC114', NULL, NULL, 21861, 15),
(128263, NULL, 'PTHR14791:SF47', NULL, NULL, NULL, NULL, 'BNAA07G10590D PROTEIN', NULL, NULL, NULL, 15),
(128264, NULL, 'PTHR19855:SF11', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN WDR12', NULL, NULL, NULL, 15),
(128265, NULL, 'PTHR10218:SF332', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-2 SUBUNIT', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128266, NULL, 'PTHR45632:SF9', NULL, NULL, NULL, NULL, 'SI:RP71-68N21.9', NULL, NULL, NULL, 15),
(128267, NULL, 'PTHR10877', NULL, NULL, NULL, NULL, 'POLYCYSTIN FAMILY MEMBER', NULL, NULL, NULL, 15),
(128268, NULL, 'PTHR33021:SF326', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(128269, NULL, 'PTHR19338:SF14', NULL, NULL, NULL, NULL, 'OSJNBA0064M23.16 PROTEIN', NULL, NULL, NULL, 15),
(128270, NULL, 'PTHR11214:SF133', NULL, NULL, NULL, NULL, 'OS02G0577300 PROTEIN', NULL, NULL, NULL, 15),
(128271, NULL, 'PTHR47967:SF13', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE UND-RELATED', NULL, NULL, NULL, 15),
(128272, NULL, 'PTHR10795:SF572', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE PROTEASE', NULL, NULL, NULL, 15),
(128273, NULL, 'PTHR11521', NULL, NULL, NULL, NULL, 'TROPONIN T', NULL, NULL, 26570, 15),
(128274, NULL, 'PTHR14196:SF0', NULL, NULL, NULL, NULL, 'PROTEIN BOWEL-RELATED', NULL, NULL, NULL, 15),
(128275, NULL, 'PTHR12741:SF75', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 48-RELATED', NULL, NULL, NULL, 15),
(128276, NULL, 'PTHR47934:SF3', NULL, NULL, NULL, NULL, 'CHROMATIN-REMODELING COMPLEX ATPASE', NULL, NULL, NULL, 15),
(128277, NULL, 'PTHR22762:SF67', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCOSIDASE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(128278, NULL, 'PTHR45614:SF74', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 118', NULL, NULL, NULL, 15),
(128279, NULL, 'PTHR26450:SF355', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52J3', NULL, NULL, NULL, 15),
(128280, NULL, 'PTHR22951:SF80', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-BINDING CLATHRIN ASSEMBLY PROTEIN B', NULL, NULL, NULL, 15),
(128281, NULL, 'PTHR33021:SF197', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(128282, NULL, 'PTHR48009:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(128283, NULL, 'PTHR11537:SF252', NULL, NULL, NULL, NULL, 'SHAW-LIKE, ISOFORM C', NULL, NULL, NULL, 15),
(128284, NULL, 'PTHR10869:SF165', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 2', NULL, NULL, NULL, 15),
(128285, NULL, 'PTHR40280:SF1', NULL, NULL, NULL, NULL, 'BLR6907 PROTEIN', NULL, NULL, NULL, 15),
(128286, NULL, 'PTHR33147:SF91', NULL, NULL, NULL, NULL, 'BNAC09G20670D PROTEIN', NULL, NULL, NULL, 15),
(128287, NULL, 'PTHR23502:SF167', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G08910)-RELATED', NULL, NULL, NULL, 15),
(128288, NULL, 'PTHR48048:SF35', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(128289, NULL, 'PTHR46276:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR5', NULL, NULL, NULL, 15),
(128290, NULL, 'PTHR32141:SF97', NULL, NULL, NULL, NULL, 'OSJNBA0028M15.13 PROTEIN', NULL, NULL, NULL, 15),
(128291, NULL, 'PTHR11584:SF369', NULL, NULL, NULL, NULL, 'APOPTOTIC SIGNAL-REGULATING KINASE 1, ISOFORM C', NULL, NULL, NULL, 15),
(128292, NULL, 'PTHR10293:SF68', NULL, NULL, NULL, NULL, 'BNAC03G30060D PROTEIN', NULL, NULL, NULL, 15),
(128293, NULL, 'PTHR31100:SF46', NULL, NULL, NULL, NULL, 'OS06G0136900 PROTEIN', NULL, NULL, NULL, 15),
(128294, NULL, 'PTHR33193:SF49', NULL, NULL, NULL, NULL, 'BNAC01G37350D PROTEIN', NULL, NULL, NULL, 15),
(128295, NULL, 'PTHR24347:SF359', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE DDB_G0282429-RELATED', NULL, NULL, NULL, 15),
(128296, NULL, 'PTHR24257:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128297, NULL, 'PTHR30304:SF0', NULL, NULL, NULL, NULL, 'D-TAGATOSE-1,6-BISPHOSPHATE ALDOLASE SUBUNIT GATY-RELATED', NULL, NULL, NULL, 15),
(128298, NULL, 'PTHR11614:SF150', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(128299, NULL, 'PTHR47171:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(128300, NULL, 'PTHR11846:SF15', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(128301, NULL, 'PTHR12276:SF97', NULL, NULL, NULL, NULL, 'ENTH DOMAIN-CONTAINING PROTEIN C794.11C-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128302, NULL, 'PTHR30540:SF93', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 12-RELATED', NULL, NULL, NULL, 15),
(128303, NULL, 'PTHR22168:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128304, NULL, 'PTHR10732:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17', NULL, NULL, NULL, 15),
(128305, NULL, 'PTHR10378:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR SEUSS-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(128306, NULL, 'PTHR42783:SF3', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE [NADPH] SMALL CHAIN', NULL, NULL, NULL, 15),
(128307, NULL, 'PTHR15375:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128308, NULL, 'PTHR10108:SF1134', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT18-RELATED', NULL, NULL, NULL, 15),
(128309, NULL, 'PTHR14155:SF516', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL9', NULL, NULL, NULL, 15),
(128310, NULL, 'PTHR43194:SF3', NULL, NULL, NULL, NULL, 'SIGMA FACTOR SIGB REGULATION PROTEIN RSBQ', NULL, NULL, NULL, 15),
(128311, NULL, 'PTHR12429:SF6', NULL, NULL, NULL, NULL, 'PROTEIN NEURALIZED', NULL, NULL, NULL, 15),
(128312, NULL, 'PTHR21859:SF53', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4931408C20 GENE-RELATED', NULL, NULL, NULL, 15),
(128313, NULL, 'PTHR14002:SF10', NULL, NULL, NULL, NULL, 'SI:CH73-261I21.5-RELATED', NULL, NULL, NULL, 15),
(128314, NULL, 'PTHR33356:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128315, NULL, 'PTHR35283:SF3', NULL, NULL, NULL, NULL, 'T12C22.21 PROTEIN', NULL, NULL, NULL, 15),
(128316, NULL, 'PTHR33210:SF18', NULL, NULL, NULL, NULL, 'PROTODERMAL FACTOR 1', NULL, NULL, NULL, 15),
(128317, NULL, 'PTHR48018:SF16', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5L2', NULL, NULL, NULL, 15),
(128318, NULL, 'PTHR11207:SF27', NULL, NULL, NULL, NULL, 'BNAC08G13800D PROTEIN', NULL, NULL, NULL, 15),
(128319, NULL, 'PTHR47928:SF162', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(128320, NULL, 'PTHR44942:SF6', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN', NULL, NULL, NULL, 15),
(128321, NULL, 'PTHR42790', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(128322, NULL, 'PTHR33204:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(128323, NULL, 'PTHR22883:SF337', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(128324, NULL, 'PTHR11240:SF65', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(128325, NULL, 'PTHR10980:SF3', NULL, NULL, NULL, NULL, 'LD16419P', NULL, NULL, NULL, 15),
(128326, NULL, 'PTHR11723:SF17', NULL, NULL, NULL, NULL, 'PROTEIN EXTRA-MACROCHAETAE', NULL, NULL, NULL, 15),
(128327, NULL, 'PTHR15451:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128328, NULL, 'PTHR46517', NULL, NULL, NULL, NULL, 'FRUCTOSE-2,6-BISPHOSPHATASE TIGAR', NULL, NULL, NULL, 15),
(128329, NULL, 'PTHR10285:SF162', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT KINASE TDA10-RELATED', NULL, NULL, NULL, 15),
(128330, NULL, 'PTHR47979:SF57', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN GTP1', NULL, NULL, NULL, 15),
(128331, NULL, 'PTHR23505:SF64', NULL, NULL, NULL, NULL, 'PROTEIN SPINSTER-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(128332, NULL, 'PTHR40389:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128333, NULL, 'PTHR43055', NULL, NULL, NULL, NULL, 'FORMATE-DEPENDENT PHOSPHORIBOSYLGLYCINAMIDE FORMYLTRANSFERASE', NULL, NULL, NULL, 15),
(128334, NULL, 'PTHR13878:SF140', NULL, NULL, NULL, NULL, 'BNAA07G35940D PROTEIN', NULL, NULL, NULL, 15),
(128335, NULL, 'PTHR47980:SF17', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-3D', NULL, NULL, NULL, 15),
(128336, NULL, 'PTHR21545:SF13', NULL, NULL, NULL, NULL, 'ECDYSONE-INDUCED PROTEIN 93F, ISOFORM C', NULL, NULL, NULL, 15),
(128337, NULL, 'PTHR26453:SF7', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10G8', NULL, NULL, NULL, 15),
(128338, NULL, 'PTHR47730', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 29', NULL, NULL, 36696, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128339, NULL, 'PTHR11884', NULL, NULL, NULL, NULL, 'SELECTIN LIGAND RELATED', NULL, NULL, 36325, 15),
(128340, NULL, 'PTHR30231:SF23', NULL, NULL, NULL, NULL, 'PROTEIN NEN2', NULL, NULL, NULL, 15),
(128341, NULL, 'PTHR21022:SF21', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(128342, NULL, 'PTHR24409:SF331', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 17', NULL, NULL, NULL, 15),
(128343, NULL, 'PTHR11633:SF14', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR BETA POLYPEPTIDE B', NULL, NULL, NULL, 15),
(128344, NULL, 'PTHR11467:SF20', NULL, NULL, NULL, NULL, 'HISTONE H1.1-RELATED', NULL, NULL, NULL, 15),
(128345, NULL, 'PTHR48010:SF23', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HAIKU2', NULL, NULL, NULL, 15),
(128346, NULL, 'PTHR24062:SF90', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(128347, NULL, 'PTHR22988', NULL, NULL, NULL, NULL, 'MYOTONIC DYSTROPHY S/T KINASE-RELATED', NULL, NULL, NULL, 15),
(128348, NULL, 'PTHR10554:SF11', NULL, NULL, NULL, NULL, 'BETA-1-SYNTROPHIN', NULL, NULL, NULL, 15),
(128349, NULL, 'PTHR38160', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 40', NULL, NULL, 39182, 15),
(128350, NULL, 'PTHR14167:SF80', NULL, NULL, NULL, NULL, 'BNAC03G60300D PROTEIN', NULL, NULL, NULL, 15),
(128351, NULL, 'PTHR46732:SF5', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE LA (LON) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(128352, NULL, 'PTHR47982:SF40', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(128353, NULL, 'PTHR31499:SF64', NULL, NULL, NULL, NULL, 'BNAC05G40460D PROTEIN', NULL, NULL, NULL, 15),
(128354, NULL, 'PTHR32295:SF208', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', NULL, NULL, NULL, 15),
(128355, NULL, 'PTHR26379:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128356, NULL, 'PTHR48063:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128357, NULL, 'PTHR22945:SF40', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(128358, NULL, 'PTHR47104:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128359, NULL, 'PTHR19300:SF33', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(128360, NULL, 'PTHR46128:SF166', NULL, NULL, NULL, NULL, 'BNAA05G15090D PROTEIN', NULL, NULL, NULL, 15),
(128361, NULL, 'PTHR47720:SF5', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN, AQUAPORIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128362, NULL, 'PTHR31111:SF30', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(128363, NULL, 'PTHR24343:SF130', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRSK1', NULL, NULL, NULL, 15),
(128364, NULL, 'PTHR45642:SF46', NULL, NULL, NULL, NULL, 'ANTER-SPECIFIC PROLINE-RICH PROTEIN APG-LIKE', NULL, NULL, NULL, 15),
(128365, NULL, 'PTHR24394:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(128366, NULL, 'PTHR43264:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO NUCLEOSIDE HYDROLASE', NULL, NULL, NULL, 15),
(128367, NULL, 'PTHR30268', NULL, NULL, NULL, NULL, 'L-RHAMNOSE ISOMERASE', NULL, NULL, NULL, 15),
(128368, NULL, 'PTHR19961:SF24', NULL, NULL, NULL, NULL, 'FIMBRIN', NULL, NULL, NULL, 15),
(128369, NULL, 'PTHR30137:SF6', NULL, NULL, NULL, NULL, 'LUCIFERASE-LIKE MONOOXYGENASE', NULL, NULL, NULL, 15),
(128370, NULL, 'PTHR10533:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128371, NULL, 'PTHR13939:SF6', NULL, NULL, NULL, NULL, 'NMN AMIDOHYDROLASE-LIKE PROTEIN YFAY', NULL, NULL, NULL, 15),
(128372, NULL, 'PTHR16515', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(128373, NULL, 'PTHR12620:SF38', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN AUXILIARY FACTOR 35 KDA SUBUNIT-RELATED PROTEIN 2', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128374, NULL, 'PTHR31802:SF11', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT1', NULL, NULL, NULL, 15),
(128375, NULL, 'PTHR11608:SF0', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN PYRR', NULL, NULL, NULL, 15),
(128376, NULL, 'PTHR34709:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128377, NULL, 'PTHR42776:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128378, NULL, 'PTHR14991', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 32', NULL, NULL, 36854, 15),
(128379, NULL, 'PTHR11442:SF8', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT MU', NULL, NULL, NULL, 15),
(128380, NULL, 'PTHR34820', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YEBZ', NULL, NULL, 29256, 15),
(128381, NULL, 'PTHR47225:SF1', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(128382, NULL, 'PTHR34859', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(128383, NULL, 'PTHR31591:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128384, NULL, 'PTHR30546:SF36', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(128385, NULL, 'PTHR45714:SF50', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX11-LIKE', NULL, NULL, NULL, 15),
(128386, NULL, 'PTHR10730:SF5', NULL, NULL, NULL, NULL, 'PROCOLLAGEN-LYSINE,2-OXOGLUTARATE 5-DIOXYGENASE 1', NULL, NULL, NULL, 15),
(128387, NULL, 'PTHR33033:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128388, NULL, 'PTHR16001:SF6', NULL, NULL, NULL, NULL, 'ECTO-NOX DISULFIDE-THIOL EXCHANGER 1', NULL, NULL, NULL, 15),
(128389, NULL, 'PTHR33699:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128390, NULL, 'PTHR12547:SF138', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 9-RELATED', NULL, NULL, NULL, 15),
(128391, NULL, 'PTHR12042', NULL, NULL, NULL, NULL, 'LACTOSYLCERAMIDE 4-ALPHA-GALACTOSYLTRANSFERASE  ALPHA- 1,4-GALACTOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(128392, NULL, 'PTHR46616:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(128393, NULL, 'PTHR33132:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128394, NULL, 'PTHR12258:SF10', NULL, NULL, NULL, NULL, '14 KDA PHOSPHOHISTIDINE PHOSPHATASE', NULL, NULL, 28602, 15),
(128395, NULL, 'PTHR31492:SF14', NULL, NULL, NULL, NULL, 'M CELL-TYPE AGGLUTINATION PROTEIN MAM3-RELATED', NULL, NULL, NULL, 15),
(128396, NULL, 'PTHR11255:SF30', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE DELTA', NULL, NULL, NULL, 15),
(128397, NULL, 'PTHR45800:SF27', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-AND 4-KINASE', NULL, NULL, NULL, 15),
(128398, NULL, 'PTHR23004:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG11112', NULL, NULL, NULL, 15),
(128399, NULL, 'PTHR31659:SF20', NULL, NULL, NULL, NULL, 'PROTEIN OCTOPUS-LIKE', NULL, NULL, NULL, 15),
(128400, NULL, 'PTHR26453:SF86', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(128401, NULL, 'PTHR35755:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(128402, NULL, 'PTHR31190:SF241', NULL, NULL, NULL, NULL, 'BNAA04G25900D PROTEIN', NULL, NULL, NULL, 15),
(128403, NULL, 'PTHR42703:SF3', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE SUBUNIT 4', NULL, NULL, NULL, 15),
(128404, NULL, 'PTHR11485:SF49', NULL, NULL, NULL, NULL, 'OTOLITH MATRIX PROTEIN 1', NULL, NULL, NULL, 15),
(128405, NULL, 'PTHR26452:SF285', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1009', NULL, NULL, NULL, 15),
(128406, NULL, 'PTHR33179:SF62', NULL, NULL, NULL, NULL, 'BNAA01G05730D PROTEIN', NULL, NULL, NULL, 15),
(128407, NULL, 'PTHR24247:SF20', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 1A', NULL, NULL, 5674, 15),
(128408, NULL, 'PTHR33124:SF57', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UPBEAT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128409, NULL, 'PTHR47461:SF1', NULL, NULL, NULL, NULL, 'PHYTOLONGIN PHYL1.2', NULL, NULL, NULL, 15),
(128410, NULL, 'PTHR15238', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L39, MITOCHONDRIAL', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128411, NULL, 'PTHR21495:SF170', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 20', NULL, NULL, NULL, 15),
(128412, NULL, 'PTHR23155:SF955', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128413, NULL, 'PTHR24298:SF818', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 9', NULL, NULL, NULL, 15),
(128414, NULL, 'PTHR23201:SF101', NULL, NULL, NULL, NULL, 'GIBBERELLIN REGULATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128415, NULL, 'PTHR23502:SF34', NULL, NULL, NULL, NULL, 'PROTEIN HOL1', NULL, NULL, NULL, 15),
(128416, NULL, 'PTHR22625:SF33', NULL, NULL, NULL, NULL, 'PLEXIN-B3', NULL, NULL, NULL, 15),
(128417, NULL, 'PTHR47965:SF70', NULL, NULL, NULL, NULL, 'BASIC 7S GLOBULIN-LIKE', NULL, NULL, NULL, 15),
(128418, NULL, 'PTHR46301:SF4', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PLANT PROTEIN', NULL, NULL, NULL, 15),
(128419, NULL, 'PTHR30487:SF0', NULL, NULL, NULL, NULL, 'PREPILIN PEPTIDASE PPPA-RELATED', NULL, NULL, NULL, 15),
(128420, NULL, 'PTHR18934:SF148', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX34-RELATED', NULL, NULL, NULL, 15),
(128421, NULL, 'PTHR31251:SF126', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 13A-RELATED', NULL, NULL, NULL, 15),
(128422, NULL, 'PTHR30546:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128423, NULL, 'PTHR21290', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN SYNTHETASE', NULL, NULL, 38994, 15),
(128424, NULL, 'PTHR32294:SF0', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(128425, NULL, 'PTHR11945:SF523', NULL, NULL, NULL, NULL, 'MADS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(128426, NULL, 'PTHR11709:SF280', NULL, NULL, NULL, NULL, 'MULTI-COPPER OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128427, NULL, 'PTHR31282:SF143', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 70-RELATED', NULL, NULL, NULL, 15),
(128428, NULL, 'PTHR27001:SF487', NULL, NULL, NULL, NULL, 'PROTEIN WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(128429, NULL, 'PTHR47261:SF2', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(128430, NULL, 'PTHR30509:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', NULL, NULL, NULL, 15),
(128431, NULL, 'PTHR24338:SF8', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MSX-1', NULL, NULL, NULL, 15),
(128432, NULL, 'PTHR38631:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG12791', NULL, NULL, NULL, 15),
(128433, NULL, 'PTHR21471:SF48', NULL, NULL, NULL, NULL, 'PROTEIN CBG19612', NULL, NULL, NULL, 15),
(128434, NULL, 'PTHR31989:SF285', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 86', NULL, NULL, NULL, 15),
(128435, NULL, 'PTHR37560:SF1', NULL, NULL, NULL, NULL, 'UPF0210 PROTEIN MJ1665', NULL, NULL, NULL, 15),
(128436, NULL, 'PTHR38690:SF1', NULL, NULL, NULL, NULL, 'PROTEASE-RELATED', NULL, NULL, NULL, 15),
(128437, NULL, 'PTHR45621:SF109', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 2B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(128438, NULL, 'PTHR24412:SF75', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(128439, NULL, 'PTHR47158:SF3', NULL, NULL, NULL, NULL, 'COMPLEX 1 LYR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128440, NULL, 'PTHR31681:SF76', NULL, NULL, NULL, NULL, 'BNAA10G10050D PROTEIN', NULL, NULL, NULL, 15),
(128441, NULL, 'PTHR28035', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 10', NULL, NULL, 24939, 15),
(128442, NULL, 'PTHR10027:SF14', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY T MEMBER 1', NULL, NULL, NULL, 15),
(128443, NULL, 'PTHR47590:SF5', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP25-LIKE', NULL, NULL, NULL, 15),
(128444, NULL, 'PTHR11863:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128445, NULL, 'PTHR24205:SF3', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS PROTEIN 2', NULL, NULL, NULL, 15),
(128446, NULL, 'PTHR44598:SF2', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE C', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128447, NULL, 'PTHR46920', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128448, NULL, 'PTHR11260:SF523', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE GST 23-LIKE', NULL, NULL, NULL, 15),
(128449, NULL, 'PTHR33271:SF17', NULL, NULL, NULL, NULL, 'RMLC-LIKE CUPINS SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(128450, NULL, 'PTHR10057', NULL, NULL, NULL, NULL, 'PERIPHERAL-TYPE BENZODIAZEPINE RECEPTOR', NULL, NULL, 4541, 15),
(128451, NULL, 'PTHR47990:SF141', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', NULL, NULL, NULL, 15),
(128452, NULL, 'PTHR44419:SF7', NULL, NULL, NULL, NULL, 'PROTOCHLOROPHYLLIDE REDUCTASE B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(128453, NULL, 'PTHR23002:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128454, NULL, 'PTHR41307:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128455, NULL, 'PTHR40622:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128456, NULL, 'PTHR22792:SF140', NULL, NULL, NULL, NULL, 'LUPUS LA PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(128457, NULL, 'PTHR38624:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07579', NULL, NULL, NULL, 15),
(128458, NULL, 'PTHR10240', NULL, NULL, NULL, NULL, 'ALPHA-S1-CASEIN', NULL, NULL, 24149, 15),
(128459, NULL, 'PTHR43757:SF2', NULL, NULL, NULL, NULL, 'AMINOMETHYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(128460, NULL, 'PTHR21310:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128461, NULL, 'PTHR34201:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128462, NULL, 'PTHR12581:SF0', NULL, NULL, NULL, NULL, 'KRR1 SMALL SUBUNIT PROCESSOME COMPONENT HOMOLOG', NULL, NULL, NULL, 15),
(128463, NULL, 'PTHR10264:SF116', NULL, NULL, NULL, NULL, 'STOMATIN-3', NULL, NULL, 25842, 15),
(128464, NULL, 'PTHR45810:SF10', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(128465, NULL, 'PTHR12632:SF51', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-1-LIKE', NULL, NULL, NULL, 15),
(128466, NULL, 'PTHR21109:SF13', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S21, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(128467, NULL, 'PTHR36053', NULL, NULL, NULL, NULL, 'OSJNBB0017I01.18 PROTEIN', NULL, NULL, NULL, 15),
(128468, NULL, 'PTHR45933', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 4', NULL, NULL, 38912, 15),
(128469, NULL, 'PTHR22952:SF385', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(128470, NULL, 'PTHR21580:SF55', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(128471, NULL, 'PTHR23023:SF248', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(128472, NULL, 'PTHR47472', NULL, NULL, NULL, NULL, 'PROPIONYL-COA CARBOXYLASE', NULL, NULL, NULL, 15),
(128473, NULL, 'PTHR46407:SF15', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT PROTEIN', NULL, NULL, NULL, 15),
(128474, NULL, 'PTHR11214:SF235', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(128475, NULL, 'PTHR27006:SF270', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128476, NULL, 'PTHR22996:SF19', NULL, NULL, NULL, NULL, 'BNACNNG03010D PROTEIN', NULL, NULL, NULL, 15),
(128477, NULL, 'PTHR47932:SF6', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(128478, NULL, 'PTHR48002:SF18', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(128479, NULL, 'PTHR21668:SF12', NULL, NULL, NULL, NULL, 'BNAC03G44260D PROTEIN', NULL, NULL, NULL, 15),
(128480, NULL, 'PTHR30540:SF119', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(128481, NULL, 'PTHR42943', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE KAPPA', NULL, NULL, NULL, 15),
(128482, NULL, 'PTHR18887:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-220F16.2', NULL, NULL, NULL, 15),
(128483, NULL, 'PTHR11709:SF101', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128484, NULL, 'PTHR12665:SF22', NULL, NULL, NULL, NULL, 'BNACNNG08600D PROTEIN', NULL, NULL, NULL, 15),
(128485, NULL, 'PTHR46610:SF5', NULL, NULL, NULL, NULL, 'OS06G0580100 PROTEIN', NULL, NULL, NULL, 15),
(128486, NULL, 'PTHR11808:SF80', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA LYASE', NULL, NULL, NULL, 15),
(128487, NULL, 'PTHR10102:SF12', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(128488, NULL, 'PTHR31677:SF117', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 11', NULL, NULL, NULL, 15),
(128489, NULL, 'PTHR31048:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128490, NULL, 'PTHR40288:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG00647', NULL, NULL, NULL, 15),
(128491, NULL, 'PTHR11945:SF537', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', NULL, NULL, 27755, 15),
(128492, NULL, 'PTHR31650:SF40', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE', NULL, NULL, NULL, 15),
(128493, NULL, 'PTHR31238:SF145', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128494, NULL, 'PTHR24023:SF1005', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(IV) CHAIN', NULL, NULL, NULL, 15),
(128495, NULL, 'PTHR31083:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128496, NULL, 'PTHR45724:SF21', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN', NULL, NULL, NULL, 15),
(128497, NULL, 'PTHR36780:SF1', NULL, NULL, NULL, NULL, 'OS05G0241400 PROTEIN', NULL, NULL, NULL, 15),
(128498, NULL, 'PTHR22796:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SEY1 HOMOLOG 1', NULL, NULL, NULL, 15),
(128499, NULL, 'PTHR46268:SF6', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN NHAX', NULL, NULL, NULL, 15),
(128500, NULL, 'PTHR19241:SF627', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(128501, NULL, 'PTHR14239:SF3', NULL, NULL, NULL, NULL, 'METALLOREDUCTASE STEAP1', NULL, NULL, NULL, 15),
(128502, NULL, 'PTHR15090:SF0', NULL, NULL, NULL, NULL, 'SEQUESTOSOME-1', NULL, NULL, NULL, 15),
(128503, NULL, 'PTHR43189', NULL, NULL, NULL, NULL, 'ZINC-TYPE ALCOHOL DEHYDROGENASE-LIKE PROTEIN C1198.01-RELATED', NULL, NULL, NULL, 15),
(128504, NULL, 'PTHR27005', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 21', NULL, NULL, 39848, 15),
(128505, NULL, 'PTHR31681:SF62', NULL, NULL, NULL, NULL, 'BNAA07G02210D PROTEIN', NULL, NULL, NULL, 15),
(128506, NULL, 'PTHR11552:SF188', NULL, NULL, NULL, NULL, 'NEITHER INACTIVATION NOR AFTERPOTENTIAL PROTEIN G', NULL, NULL, NULL, 15),
(128507, NULL, 'PTHR10903:SF132', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST 120, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(128508, NULL, 'PTHR42087:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128509, NULL, 'PTHR24327:SF25', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CEH-23', NULL, NULL, NULL, 15),
(128510, NULL, 'PTHR11260:SF525', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, N-TERMINAL DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(128511, NULL, 'PTHR10953:SF214', NULL, NULL, NULL, NULL, 'ENZYME E1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(128512, NULL, 'PTHR33052:SF161', NULL, NULL, NULL, NULL, 'OS06G0259800 PROTEIN', NULL, NULL, NULL, 15),
(128513, NULL, 'PTHR12751:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATASE AND ACTIN REGULATOR 3', NULL, NULL, 24815, 15),
(128514, NULL, 'PTHR19443:SF63', NULL, NULL, NULL, NULL, 'HEXOKINASE-LIKE 1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128515, NULL, 'PTHR45624:SF35', NULL, NULL, NULL, NULL, 'OS10G0573800 PROTEIN', NULL, NULL, NULL, 15),
(128516, NULL, 'PTHR48042:SF16', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 11-LIKE', NULL, NULL, NULL, 15),
(128517, NULL, 'PTHR47974:SF2', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(128518, NULL, 'PTHR47487:SF12', NULL, NULL, NULL, NULL, 'GLUTENIN, HIGH MOLECULAR WEIGHT SUBUNIT DX5-LIKE', NULL, NULL, NULL, 15),
(128519, NULL, 'PTHR32134:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128520, NULL, 'PTHR30050:SF5', NULL, NULL, NULL, NULL, 'DNAA REGULATORY INACTIVATOR HDA', NULL, NULL, NULL, 15),
(128521, NULL, 'PTHR26379:SF352', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128522, NULL, 'PTHR31549:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128523, NULL, 'PTHR45638:SF9', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CHANNEL ROD PHOTORECEPTOR SUBUNIT ALPHA', NULL, NULL, 26642, 15),
(128524, NULL, 'PTHR18952:SF91', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE-RELATED PROTEIN 10', NULL, NULL, 21601, 15),
(128525, NULL, 'PTHR13078', NULL, NULL, NULL, NULL, 'PEROXISOMAL MULTIFUNCTIONAL ENZYME TYPE 2-RELATED', NULL, NULL, NULL, 15),
(128526, NULL, 'PTHR45845:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN D630003M21', NULL, NULL, NULL, 15),
(128527, NULL, 'PTHR22835:SF593', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE LIP-4', NULL, NULL, NULL, 15),
(128528, NULL, 'PTHR46000:SF1', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(128529, NULL, 'PTHR11700:SF30', NULL, NULL, NULL, NULL, 'BNAC03G42750D PROTEIN', NULL, NULL, NULL, 15),
(128530, NULL, 'PTHR47998:SF32', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 308-LIKE', NULL, NULL, NULL, 15),
(128531, NULL, 'PTHR34119:SF8', NULL, NULL, NULL, NULL, 'OS09G0509300 PROTEIN', NULL, NULL, NULL, 15),
(128532, NULL, 'PTHR16320:SF9', NULL, NULL, NULL, NULL, 'MCG22096', NULL, NULL, NULL, 15),
(128533, NULL, 'PTHR13186:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 31', NULL, NULL, NULL, 15),
(128534, NULL, 'PTHR11746:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128535, NULL, 'PTHR35902:SF3', NULL, NULL, NULL, NULL, 'S-LAYER DOMAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128536, NULL, 'PTHR42848', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 984, 15),
(128537, NULL, 'PTHR35182:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG20876', NULL, NULL, NULL, 15),
(128538, NULL, 'PTHR48018:SF137', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8D4', NULL, NULL, NULL, 15),
(128539, NULL, 'PTHR31354:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(128540, NULL, 'PTHR33053:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128541, NULL, 'PTHR43484', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128542, NULL, 'PTHR21237:SF27', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(128543, NULL, 'PTHR15337:SF11', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN CONTAINING PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(128544, NULL, 'PTHR21290:SF27', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:CERAMIDE CHOLINEPHOSPHOTRANSFERASE 1', NULL, NULL, NULL, 15),
(128545, NULL, 'PTHR22420:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FAM81B', NULL, NULL, 24102, 15),
(128546, NULL, 'PTHR19338:SF3', NULL, NULL, NULL, NULL, 'OS11G0131700 PROTEIN', NULL, NULL, NULL, 15),
(128547, NULL, 'PTHR15454:SF33', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN 1, AXONEMAL', NULL, NULL, NULL, 15),
(128548, NULL, 'PTHR23333:SF14', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 2B', NULL, NULL, NULL, 15),
(128549, NULL, 'PTHR33463:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128550, NULL, 'PTHR12305', NULL, NULL, NULL, NULL, 'PHOSPHATASE WITH HOMOLOGY TO TENSIN', NULL, NULL, NULL, 15),
(128551, NULL, 'PTHR31113:SF26', NULL, NULL, NULL, NULL, 'BNAC09G51110D PROTEIN', NULL, NULL, NULL, 15),
(128552, NULL, 'PTHR31656:SF24', NULL, NULL, NULL, NULL, 'ROOT-CAP PERIPHERY1', NULL, NULL, NULL, 15),
(128553, NULL, 'PTHR43859:SF24', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 1, PEROXISOMAL-RELATED', NULL, NULL, NULL, 15),
(128554, NULL, 'PTHR33095:SF84', NULL, NULL, NULL, NULL, 'DUF1645 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(128555, NULL, 'PTHR32502:SF27', NULL, NULL, NULL, NULL, 'PTS SYSTEM, MANNOSE-SPECIFIC IID COMPONENT', NULL, NULL, NULL, 15),
(128556, NULL, 'PTHR32215', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 57', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128557, NULL, 'PTHR15706:SF22', NULL, NULL, NULL, NULL, 'SH3 AND PX DOMAIN-CONTAINING PROTEIN 2A', NULL, NULL, 33324, 15),
(128558, NULL, 'PTHR22850:SF90', NULL, NULL, NULL, NULL, 'HISTONE-BINDING PROTEIN RBBP4', NULL, NULL, NULL, 15),
(128559, NULL, 'PTHR46931:SF5', NULL, NULL, NULL, NULL, 'OS11G0472600 PROTEIN', NULL, NULL, NULL, 15),
(128560, NULL, 'PTHR46553:SF12', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128561, NULL, 'PTHR34992:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128562, NULL, 'PTHR10792:SF26', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN RLP24-RELATED', NULL, NULL, NULL, 15),
(128563, NULL, 'PTHR11748:SF114', NULL, NULL, NULL, NULL, 'ARYL-ALCOHOL OXIDASE VANILLYL-ALCOHOL OXIDASE (AFU_ORTHOLOGUE AFUA_3G09500)', NULL, NULL, NULL, 15),
(128564, NULL, 'PTHR11567:SF140', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1-RELATED', NULL, NULL, NULL, 15),
(128565, NULL, 'PTHR34944:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM7', NULL, NULL, NULL, 15),
(128566, NULL, 'PTHR14699:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 21B', NULL, NULL, NULL, 15),
(128567, NULL, 'PTHR10127:SF842', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(128568, NULL, 'PTHR19317:SF61', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN F3-RELATED', NULL, NULL, NULL, 15),
(128569, NULL, 'PTHR46593', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 64', NULL, NULL, NULL, 15),
(128570, NULL, 'PTHR11486:SF141', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 3/7/10/22', NULL, NULL, NULL, 15),
(128571, NULL, 'PTHR21000', NULL, NULL, NULL, NULL, 'DIHYDROXY-ACID DEHYDRATASE  DAD', NULL, NULL, NULL, 15),
(128572, NULL, 'PTHR31025:SF18', NULL, NULL, NULL, NULL, 'SI:DKEY-286J15.1', NULL, NULL, NULL, 15),
(128573, NULL, 'PTHR31375:SF122', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', NULL, NULL, NULL, 15),
(128574, NULL, 'PTHR24203:SF49', NULL, NULL, NULL, NULL, 'TGB12K INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(128575, NULL, 'PTHR36955:SF1', NULL, NULL, NULL, NULL, 'SECRETED NEMATODE CLADE V PROTEIN GENE FAMILY', NULL, NULL, NULL, 15),
(128576, NULL, 'PTHR31992:SF155', NULL, NULL, NULL, NULL, 'BNAA09G07670D PROTEIN', NULL, NULL, NULL, 15),
(128577, NULL, 'PTHR46719:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(128578, NULL, 'PTHR21068:SF39', NULL, NULL, NULL, NULL, 'SENESCENCE/DEHYDRATION-ASSOCIATED-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128579, NULL, 'PTHR31192:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128580, NULL, 'PTHR33454:SF12', NULL, NULL, NULL, NULL, 'AVENIN-LIKE A4', NULL, NULL, NULL, 15),
(128581, NULL, 'PTHR14386', NULL, NULL, NULL, NULL, 'PROTEIN FAM204A', NULL, NULL, 30679, 15),
(128582, NULL, 'PTHR22988:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128583, NULL, 'PTHR10366:SF685', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128584, NULL, 'PTHR20914:SF9', NULL, NULL, NULL, NULL, 'COILED, ISOFORM A', NULL, NULL, NULL, 15),
(128585, NULL, 'PTHR24291:SF163', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D7', NULL, NULL, NULL, 15),
(128586, NULL, 'PTHR22891:SF156', NULL, NULL, NULL, NULL, 'AGO4A', NULL, NULL, NULL, 15),
(128587, NULL, 'PTHR21053', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35657, 15),
(128588, NULL, 'PTHR31282:SF34', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128589, NULL, 'PTHR26451:SF228', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(128590, NULL, 'PTHR28630:SF25', NULL, NULL, NULL, NULL, 'AHPC/TSA ANTIOXIDANT ENZYME', NULL, NULL, NULL, 15),
(128591, NULL, 'PTHR12112:SF12', NULL, NULL, NULL, NULL, 'BCL2/ADENOVIRUS E1B 19 KDA PROTEIN-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(128592, NULL, 'PTHR36383:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128593, NULL, 'PTHR33156:SF2', NULL, NULL, NULL, NULL, 'OS01G0738000 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128594, NULL, 'PTHR10219:SF91', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN (GLTP) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(128595, NULL, 'PTHR30385:SF8', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-E FACTOR', NULL, NULL, NULL, 15),
(128596, NULL, 'PTHR46513', NULL, NULL, NULL, NULL, 'VITELLOGENIN RECEPTOR-LIKE PROTEIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(128597, NULL, 'PTHR46351:SF16', NULL, NULL, NULL, NULL, 'BNAC03G33880D PROTEIN', NULL, NULL, NULL, 15),
(128598, NULL, 'PTHR23167:SF37', NULL, NULL, NULL, NULL, 'SMOOTHELIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(128599, NULL, 'PTHR10015:SF333', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-2A', NULL, NULL, NULL, 15),
(128600, NULL, 'PTHR35485:SF4', NULL, NULL, NULL, NULL, 'OS01G0888900 PROTEIN', NULL, NULL, NULL, 15),
(128601, NULL, 'PTHR47336', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HMS1-RELATED', NULL, NULL, NULL, 15),
(128602, NULL, 'PTHR31379', NULL, NULL, NULL, NULL, 'F-BOX C PROTEIN-RELATED-RELATED', NULL, NULL, 20211, 15),
(128603, NULL, 'PTHR11347:SF34', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT 3'',5''-CYCLIC NUCLEOTIDE PHOSPHODIESTERASE 1A', NULL, NULL, NULL, 15),
(128604, NULL, 'PTHR23033:SF38', NULL, NULL, NULL, NULL, 'C1GALT1-SPECIFIC CHAPERONE 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128605, NULL, 'PTHR27002:SF423', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(128606, NULL, 'PTHR33048:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128607, NULL, 'PTHR11533:SF40', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE-DEGRADING ECTOENZYME', NULL, NULL, 9570, 15),
(128608, NULL, 'PTHR37229:SF2', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE', NULL, NULL, NULL, 15),
(128609, NULL, 'PTHR15240:SF1', NULL, NULL, NULL, NULL, 'CAVEOLAE-ASSOCIATED PROTEIN 2', NULL, NULL, 31212, 15),
(128610, NULL, 'PTHR24200:SF14', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED TUMOR SUPPRESSOR CANDIDATE 2', NULL, NULL, 32064, 15),
(128611, NULL, 'PTHR46872:SF4', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(128612, NULL, 'PTHR33177:SF42', NULL, NULL, NULL, NULL, 'BNAA02G29440D PROTEIN', NULL, NULL, NULL, 15),
(128613, NULL, 'PTHR24106:SF16', NULL, NULL, NULL, NULL, 'PROTEIN NLRC5', NULL, NULL, NULL, 15),
(128614, NULL, 'PTHR11685:SF210', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARIH2', NULL, NULL, 24848, 15),
(128615, NULL, 'PTHR30586', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT COMPLEX PROTEIN RNFE', NULL, NULL, NULL, 15),
(128616, NULL, 'PTHR45757:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG01018', NULL, NULL, NULL, 15),
(128617, NULL, 'PTHR45984:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM34', NULL, NULL, NULL, 15),
(128618, NULL, 'PTHR45933:SF35', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(128619, NULL, 'PTHR22849:SF117', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(128620, NULL, 'PTHR47988:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(128621, NULL, 'PTHR12419:SF79', NULL, NULL, NULL, NULL, 'OS02G0168600 PROTEIN', NULL, NULL, NULL, 15),
(128622, NULL, 'PTHR28567:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128623, NULL, 'PTHR37811', NULL, NULL, NULL, NULL, 'BLL5343 PROTEIN', NULL, NULL, NULL, 15),
(128624, NULL, 'PTHR13683:SF784', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(128625, NULL, 'PTHR20855:SF22', NULL, NULL, NULL, NULL, 'MEMBRANE PROGESTIN RECEPTOR BETA', NULL, NULL, NULL, 15),
(128626, NULL, 'PTHR11830:SF30', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', NULL, NULL, NULL, 15),
(128627, NULL, 'PTHR27006:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128628, NULL, 'PTHR13505:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 208', NULL, NULL, NULL, 15),
(128629, NULL, 'PTHR31376:SF35', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 11-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128630, NULL, 'PTHR48007:SF32', NULL, NULL, NULL, NULL, 'KINASE-LIKE PROTEIN TMKL1-RELATED', NULL, NULL, NULL, 15),
(128631, NULL, 'PTHR33870:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128632, NULL, 'PTHR15116', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN SATB FAMILY MEMBER', NULL, NULL, 35349, 15),
(128633, NULL, 'PTHR44427:SF10', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 16', NULL, NULL, NULL, 15),
(128634, NULL, 'PTHR14150:SF17', NULL, NULL, NULL, NULL, 'BNAA09G00760D PROTEIN', NULL, NULL, NULL, 15),
(128635, NULL, 'PTHR34762', NULL, NULL, NULL, NULL, 'SMALL VASOHIBIN-BINDING PROTEIN', NULL, NULL, 27106, 15),
(128636, NULL, 'PTHR24072:SF320', NULL, NULL, NULL, NULL, 'BNACNNG35340D PROTEIN', NULL, NULL, NULL, 15),
(128637, NULL, 'PTHR22894:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF170-LIKE', NULL, NULL, NULL, 15),
(128638, NULL, 'PTHR31901:SF55', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.3', NULL, NULL, NULL, 15),
(128639, NULL, 'PTHR24296:SF85', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(128640, NULL, 'PTHR13168', NULL, NULL, NULL, NULL, 'ASSOCIATE OF C-MYC  AMY-1', NULL, NULL, 25817, 15),
(128641, NULL, 'PTHR46739:SF3', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP1-1', NULL, NULL, NULL, 15),
(128642, NULL, 'PTHR22930:SF131', NULL, NULL, NULL, NULL, 'ELONGIN B', NULL, NULL, NULL, 15),
(128643, NULL, 'PTHR12802:SF119', NULL, NULL, NULL, NULL, 'BNAA03G00640D PROTEIN', NULL, NULL, NULL, 15),
(128644, NULL, 'PTHR33332:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128645, NULL, 'PTHR24223:SF353', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN/PERMEASE VMR1-RELATED', NULL, NULL, NULL, 15),
(128646, NULL, 'PTHR44147:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG19152', NULL, NULL, NULL, 15),
(128647, NULL, 'PTHR45676:SF110', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(128648, NULL, 'PTHR13563:SF13', NULL, NULL, NULL, NULL, 'TRNA METHYLTRANSFERASE 10 HOMOLOG A', NULL, NULL, 19871, 15),
(128649, NULL, 'PTHR33177:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128650, NULL, 'PTHR13140:SF713', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN ID', NULL, NULL, NULL, 15),
(128651, NULL, 'PTHR47972:SF21', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128652, NULL, 'PTHR48107:SF4', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALDEHYDE REDUCTASE-LIKE PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(128653, NULL, 'PTHR21496:SF23', NULL, NULL, NULL, NULL, 'ASSIMILATORY NITRITE REDUCTASE [NAD(P)H] SMALL SUBUNIT', NULL, NULL, NULL, 15),
(128654, NULL, 'PTHR36879:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 4', NULL, NULL, NULL, 15),
(128655, NULL, 'PTHR45732:SF13', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8B', NULL, NULL, NULL, 15),
(128656, NULL, 'PTHR32096:SF91', NULL, NULL, NULL, NULL, 'BNAC04G21660D PROTEIN', NULL, NULL, NULL, 15),
(128657, NULL, 'PTHR46133:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH34', NULL, NULL, NULL, 15),
(128658, NULL, 'PTHR34593:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128659, NULL, 'PTHR11760:SF47', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3-3', NULL, NULL, NULL, 15),
(128660, NULL, 'PTHR24068:SF294', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-21 KDA 1', NULL, NULL, NULL, 15),
(128661, NULL, 'PTHR43246:SF11', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE B', NULL, NULL, NULL, 15),
(128662, NULL, 'PTHR28664:SF4', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(128663, NULL, 'PTHR31190:SF312', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', NULL, NULL, NULL, 15),
(128664, NULL, 'PTHR28333:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-214J24.10', NULL, NULL, NULL, 15),
(128665, NULL, 'PTHR10614:SF8', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR SUBSTRATE 3', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128666, NULL, 'PTHR31194:SF100', NULL, NULL, NULL, NULL, 'BNAA09G04650D PROTEIN', NULL, NULL, NULL, 15),
(128667, NULL, 'PTHR36100:SF1', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 4', NULL, NULL, NULL, 15),
(128668, NULL, 'PTHR35347:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 175', NULL, NULL, NULL, 15),
(128669, NULL, 'PTHR36362:SF2', NULL, NULL, NULL, NULL, 'BNAC05G37190D PROTEIN', NULL, NULL, NULL, 15),
(128670, NULL, 'PTHR13703:SF23', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 1', NULL, NULL, NULL, 15),
(128671, NULL, 'PTHR12300:SF99', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN F', NULL, NULL, NULL, 15),
(128672, NULL, 'PTHR34962:SF3', NULL, NULL, NULL, NULL, 'ABC SUBFAMILY C PROTEIN', NULL, NULL, NULL, 15),
(128673, NULL, 'PTHR33172:SF42', NULL, NULL, NULL, NULL, 'OXIDATIVE STRESS 3', NULL, NULL, NULL, 15),
(128674, NULL, 'PTHR13947:SF11', NULL, NULL, NULL, NULL, 'N-ACETYLASPARTATE SYNTHETASE', NULL, NULL, NULL, 15),
(128675, NULL, 'PTHR11465:SF43', NULL, NULL, NULL, NULL, 'CATALASE-3', NULL, NULL, NULL, 15),
(128676, NULL, 'PTHR31490:SF74', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 10 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128677, NULL, 'PTHR31391:SF99', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS06G0194400', NULL, NULL, NULL, 15),
(128678, NULL, 'PTHR34066:SF1', NULL, NULL, NULL, NULL, 'GROWTH FACTOR 2', NULL, NULL, NULL, 15),
(128679, NULL, 'PTHR45801:SF37', NULL, NULL, NULL, NULL, 'RAMOSA 1', NULL, NULL, NULL, 15),
(128680, NULL, 'PTHR31194:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128681, NULL, 'PTHR45740:SF4', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP11', NULL, NULL, NULL, 15),
(128682, NULL, 'PTHR42838', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT II', NULL, NULL, NULL, 15),
(128683, NULL, 'PTHR27002:SF776', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', NULL, NULL, NULL, 15),
(128684, NULL, 'PTHR16301:SF17', NULL, NULL, NULL, NULL, 'IMPACT FAMILY MEMBER YDL177C', NULL, NULL, NULL, 15),
(128685, NULL, 'PTHR10983:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128686, NULL, 'PTHR47172:SF13', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 15-LIKE', NULL, NULL, NULL, 15),
(128687, NULL, 'PTHR47926:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128688, NULL, 'PTHR21522:SF35', NULL, NULL, NULL, NULL, 'PROTON CHANNEL OTOP2', NULL, NULL, NULL, 15),
(128689, NULL, 'PTHR24412:SF435', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 7', NULL, NULL, 22639, 15),
(128690, NULL, 'PTHR10426:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128691, NULL, 'PTHR21277:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128692, NULL, 'PTHR11783:SF166', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 18', NULL, NULL, NULL, 15),
(128693, NULL, 'PTHR31739:SF21', NULL, NULL, NULL, NULL, 'CIS-ABIENOL SYNTHASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(128694, NULL, 'PTHR11359:SF5', NULL, NULL, NULL, NULL, 'MONOPHOSPHATE DEAMINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(128695, NULL, 'PTHR21229:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128696, NULL, 'PTHR10438:SF389', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(128697, NULL, 'PTHR33227:SF22', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(128698, NULL, 'PTHR22726:SF1', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE OMA1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(128699, NULL, 'PTHR31582:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-28-RELATED', NULL, NULL, NULL, 15),
(128700, NULL, 'PTHR14379:SF14', NULL, NULL, NULL, NULL, 'EMB|CAB71865.1-RELATED', NULL, NULL, NULL, 15),
(128701, NULL, 'PTHR21047:SF3', NULL, NULL, NULL, NULL, 'DTDP-6-DEOXY-L-MANNOSE-DEHYDROGENASE', NULL, NULL, NULL, 15),
(128702, NULL, 'PTHR31774:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-6', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128703, NULL, 'PTHR15508', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE', NULL, NULL, NULL, 15),
(128704, NULL, 'PTHR42770:SF1', NULL, NULL, NULL, NULL, 'LOW-AFFINITY PUTRESCINE IMPORTER PLAP', NULL, NULL, NULL, 15),
(128705, NULL, 'PTHR10956:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128706, NULL, 'PTHR31408', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689986', NULL, NULL, 27953, 15),
(128707, NULL, 'PTHR31213:SF18', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORTER', NULL, NULL, NULL, 15),
(128708, NULL, 'PTHR10099:SF12', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE CHLOROPLASTIC/MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(128709, NULL, 'PTHR26374:SF342', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT11', NULL, NULL, NULL, 15),
(128710, NULL, 'PTHR31302:SF19', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE', NULL, NULL, NULL, 15),
(128711, NULL, 'PTHR45614:SF61', NULL, NULL, NULL, NULL, 'OS05G0459000 PROTEIN', NULL, NULL, NULL, 15),
(128712, NULL, 'PTHR22957:SF590', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128713, NULL, 'PTHR30481', NULL, NULL, NULL, NULL, 'DNA ADENINE METHYLASE', NULL, NULL, 11731, 15),
(128714, NULL, 'PTHR10110:SF181', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 6', NULL, NULL, NULL, 15),
(128715, NULL, 'PTHR31189:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128716, NULL, 'PTHR48216', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128717, NULL, 'PTHR35106:SF1', NULL, NULL, NULL, NULL, 'BNAA07G25190D PROTEIN', NULL, NULL, NULL, 15),
(128718, NULL, 'PTHR13182', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 622', NULL, NULL, 29320, 15),
(128719, NULL, 'PTHR11157:SF61', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 4', NULL, NULL, NULL, 15),
(128720, NULL, 'PTHR11064:SF147', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-4-LIKE', NULL, NULL, NULL, 15),
(128721, NULL, 'PTHR23226:SF270', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 684', NULL, NULL, NULL, 15),
(128722, NULL, 'PTHR46120:SF4', NULL, NULL, NULL, NULL, 'BETAINE--HOMOCYSTEINE S-METHYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(128723, NULL, 'PTHR42881:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128724, NULL, 'PTHR47969:SF15', NULL, NULL, NULL, NULL, 'CHROMOSOME-ASSOCIATED KINESIN KIF4A-RELATED', NULL, NULL, NULL, 15),
(128725, NULL, 'PTHR31307:SF7', NULL, NULL, NULL, NULL, 'SEQUENCE-SPECIFIC DNA BINDING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(128726, NULL, 'PTHR10217:SF466', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 7', NULL, NULL, NULL, 15),
(128727, NULL, 'PTHR23086:SF94', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 5', NULL, NULL, NULL, 15),
(128728, NULL, 'PTHR46182:SF2', NULL, NULL, NULL, NULL, 'FI19480P1', NULL, NULL, NULL, 15),
(128729, NULL, 'PTHR43379:SF1', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(128730, NULL, 'PTHR31844:SF2', NULL, NULL, NULL, NULL, 'MYELIN-ASSOCIATED NEURITE-OUTGROWTH INHIBITOR', NULL, NULL, NULL, 15),
(128731, NULL, 'PTHR45650:SF30', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(128732, NULL, 'PTHR42709', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE LIKE PROTEIN', NULL, NULL, NULL, 15),
(128733, NULL, 'PTHR11165:SF110', NULL, NULL, NULL, NULL, 'SCF UBIQUITIN LIGASE, SKP1 COMPONENT', NULL, NULL, NULL, 15),
(128734, NULL, 'PTHR31175:SF65', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR67-LIKE', NULL, NULL, NULL, 15),
(128735, NULL, 'PTHR45739:SF4', NULL, NULL, NULL, NULL, 'FRAS1-RELATED EXTRACELLULAR MATRIX PROTEIN 2', NULL, NULL, NULL, 15),
(128736, NULL, 'PTHR13140:SF790', NULL, NULL, NULL, NULL, 'MYOSIN IIIA', NULL, NULL, NULL, 15),
(128737, NULL, 'PTHR43144', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', NULL, NULL, 18234, 15),
(128738, NULL, 'PTHR13138', NULL, NULL, NULL, NULL, 'PROTEIN LIN1', NULL, NULL, 29863, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128739, NULL, 'PTHR12386', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT', NULL, NULL, 3514, 15),
(128740, NULL, 'PTHR11767:SF99', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY J MEMBER 19A-RELATED', NULL, NULL, NULL, 15),
(128741, NULL, 'PTHR11709:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128742, NULL, 'PTHR43791:SF72', NULL, NULL, NULL, NULL, 'ALLANTOATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14700)-RELATED', NULL, NULL, NULL, 15),
(128743, NULL, 'PTHR47980:SF8', NULL, NULL, NULL, NULL, 'SMALL MONOMERIC GTPASE-RELATED', NULL, NULL, NULL, 15),
(128744, NULL, 'PTHR10909:SF376', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACYL-COENZYME A OXIDASE 1.2-RELATED', NULL, NULL, NULL, 15),
(128745, NULL, 'PTHR19321:SF32', NULL, NULL, NULL, NULL, 'BNAA02G09170D PROTEIN', NULL, NULL, NULL, 15),
(128746, NULL, 'PTHR32046', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128747, NULL, 'PTHR32468:SF66', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 2', NULL, NULL, NULL, 15),
(128748, NULL, 'PTHR12411:SF570', NULL, NULL, NULL, NULL, 'CATHEPSIN L 1', NULL, NULL, NULL, 15),
(128749, NULL, 'PTHR48047:SF95', NULL, NULL, NULL, NULL, 'CYANOHYDRIN BETA-GLUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(128750, NULL, 'PTHR46539:SF12', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL42-LIKE', NULL, NULL, NULL, 15),
(128751, NULL, 'PTHR15076:SF12', NULL, NULL, NULL, NULL, 'CD99 ANTIGEN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(128752, NULL, 'PTHR12858:SF4', NULL, NULL, NULL, NULL, 'BNAC08G44910D PROTEIN', NULL, NULL, NULL, 15),
(128753, NULL, 'PTHR31147:SF50', NULL, NULL, NULL, NULL, 'BNAA08G13330D PROTEIN', NULL, NULL, NULL, 15),
(128754, NULL, 'PTHR21646:SF66', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', NULL, NULL, NULL, 15),
(128755, NULL, 'PTHR23105:SF162', NULL, NULL, NULL, NULL, 'NHP2-LIKE PROTEIN 1 ISOFORM X1', NULL, NULL, NULL, 15),
(128756, NULL, 'PTHR47372:SF22', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN GROUP 3 PROTEIN', NULL, NULL, NULL, 15),
(128757, NULL, 'PTHR21213:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128758, NULL, 'PTHR47455:SF1', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE BETA', NULL, NULL, NULL, 15),
(128759, NULL, 'PTHR22958:SF1', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHOCHOLINE PHOSPHODIESTERASE GPCPD1', NULL, NULL, 34147, 15),
(128760, NULL, 'PTHR12080:SF58', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 7', NULL, NULL, NULL, 15),
(128761, NULL, 'PTHR31241:SF45', NULL, NULL, NULL, NULL, 'BNAANNG13220D PROTEIN', NULL, NULL, NULL, 15),
(128762, NULL, 'PTHR22814:SF333', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 23-LIKE', NULL, NULL, NULL, 15),
(128763, NULL, 'PTHR46454', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 7-RELATED', NULL, NULL, NULL, 15),
(128764, NULL, 'PTHR31945:SF91', NULL, NULL, NULL, NULL, 'BNAA09G47740D PROTEIN', NULL, NULL, NULL, 15),
(128765, NULL, 'PTHR35021:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128766, NULL, 'PTHR24296:SF97', NULL, NULL, NULL, NULL, 'OS01G0951500 PROTEIN', NULL, NULL, NULL, 15),
(128767, NULL, 'PTHR36869:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 46', NULL, NULL, NULL, 15),
(128768, NULL, 'PTHR13946:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128769, NULL, 'PTHR19957:SF106', NULL, NULL, NULL, NULL, 'SYNTAXIN-10', NULL, NULL, NULL, 15),
(128770, NULL, 'PTHR39338:SF5', NULL, NULL, NULL, NULL, 'BLR6139 PROTEIN', NULL, NULL, NULL, 15),
(128771, NULL, 'PTHR27009:SF234', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(128772, NULL, 'PTHR24298:SF547', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 79, SUBFAMILY C, POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(128773, NULL, 'PTHR12011:SF285', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR G3', NULL, NULL, NULL, 15),
(128774, NULL, 'PTHR24115:SF534', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF20B', NULL, NULL, 24410, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128775, NULL, 'PTHR15921:SF11', NULL, NULL, NULL, NULL, 'POLYADENYLATION AND CLEAVAGE FACTOR HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(128776, NULL, 'PTHR46019:SF4', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B MEMBER 4', NULL, NULL, NULL, 15),
(128777, NULL, 'PTHR19325', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT-RELATED SUSHI DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(128778, NULL, 'PTHR46033:SF33', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-LIKE, PLANT MOBILE DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(128779, NULL, 'PTHR10281:SF86', NULL, NULL, NULL, NULL, 'DAMAGE RESPONSE PROTEIN (DAP1), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10490)-RELATED', NULL, NULL, NULL, 15),
(128780, NULL, 'PTHR31813', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 23B', NULL, NULL, NULL, 15),
(128781, NULL, 'PTHR43537:SF32', NULL, NULL, NULL, NULL, 'GNTR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(128782, NULL, 'PTHR10373:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 7', NULL, NULL, 28060, 15),
(128783, NULL, 'PTHR12687', NULL, NULL, NULL, NULL, 'NUCLEOLAR COMPLEX 2 AND RAD4-RELATED', NULL, NULL, 6330, 15),
(128784, NULL, 'PTHR12216:SF4', NULL, NULL, NULL, NULL, 'UROCANATE HYDRATASE', NULL, NULL, NULL, 15),
(128785, NULL, 'PTHR12396:SF26', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(128786, NULL, 'PTHR11502:SF25', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', NULL, NULL, NULL, 15),
(128787, NULL, 'PTHR31348:SF2', NULL, NULL, NULL, NULL, 'EID1-LIKE F-BOX PROTEIN 2', NULL, NULL, NULL, 15),
(128788, NULL, 'PTHR19143:SF232', NULL, NULL, NULL, NULL, 'FIBRINOGEN ALPHA CHAIN', NULL, NULL, 29644, 15),
(128789, NULL, 'PTHR31402', NULL, NULL, NULL, NULL, 'UPF0711 PROTEIN C18ORF21', NULL, NULL, 28831, 15),
(128790, NULL, 'PTHR19376:SF58', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA''''', NULL, NULL, NULL, 15),
(128791, NULL, 'PTHR31282:SF36', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 38-RELATED', NULL, NULL, NULL, 15),
(128792, NULL, 'PTHR14437', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 168', NULL, NULL, 25866, 15),
(128793, NULL, 'PTHR11206:SF298', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(128794, NULL, 'PTHR33178:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(128795, NULL, 'PTHR31410', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 246', NULL, NULL, 25720, 15),
(128796, NULL, 'PTHR10015:SF278', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR PROTEIN 5', NULL, NULL, 24511, 15),
(128797, NULL, 'PTHR31607:SF22', NULL, NULL, NULL, NULL, 'BNAA02G29430D PROTEIN', NULL, NULL, NULL, 15),
(128798, NULL, 'PTHR10696:SF23', NULL, NULL, NULL, NULL, 'TAURINE CATABOLISM DIOXYGENASE TAUD', NULL, NULL, NULL, 15),
(128799, NULL, 'PTHR47990:SF124', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', NULL, NULL, NULL, 15),
(128800, NULL, 'PTHR13820:SF4', NULL, NULL, NULL, NULL, 'BETA-SYNUCLEIN', NULL, NULL, 7284, 15),
(128801, NULL, 'PTHR11926:SF1328', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128802, NULL, 'PTHR10015:SF370', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX DNA-BINDING DOMAIN, HEAT SHOCK TRANSCRIPTION FACTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(128803, NULL, 'PTHR31009:SF69', NULL, NULL, NULL, NULL, '7-METHYLXANTHOSINE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(128804, NULL, 'PTHR44042:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DIVARICATA', NULL, NULL, NULL, 15),
(128805, NULL, 'PTHR47052:SF8', NULL, NULL, NULL, NULL, 'BNAC03G77080D PROTEIN', NULL, NULL, NULL, 15),
(128806, NULL, 'PTHR22834:SF17', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 38', NULL, NULL, NULL, 15),
(128807, NULL, 'PTHR24062:SF95', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(128808, NULL, 'PTHR33172:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128809, NULL, 'PTHR45707:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128810, NULL, 'PTHR24559:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128811, NULL, 'PTHR10041:SF3', NULL, NULL, NULL, NULL, 'COLIPASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(128812, NULL, 'PTHR22808:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128813, NULL, 'PTHR33214:SF36', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(128814, NULL, 'PTHR21596:SF21', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 1', NULL, NULL, NULL, 15),
(128815, NULL, 'PTHR37408', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128816, NULL, 'PTHR12011:SF39', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR B1', NULL, NULL, NULL, 15),
(128817, NULL, 'PTHR48225', NULL, NULL, NULL, NULL, 'HORMA DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(128818, NULL, 'PTHR10766:SF118', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(128819, NULL, 'PTHR48052:SF26', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE BRI1-LIKE 3', NULL, NULL, NULL, 15),
(128820, NULL, 'PTHR46288:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128821, NULL, 'PTHR14363:SF21', NULL, NULL, NULL, NULL, 'HEPARANASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(128822, NULL, 'PTHR43205:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128823, NULL, 'PTHR32176:SF26', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(128824, NULL, 'PTHR47989:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128825, NULL, 'PTHR18806', NULL, NULL, NULL, NULL, 'RBM25 PROTEIN', NULL, NULL, NULL, 15),
(128826, NULL, 'PTHR11850:SF297', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128827, NULL, 'PTHR46157:SF7', NULL, NULL, NULL, NULL, 'BNAC05G00280D PROTEIN', NULL, NULL, NULL, 15),
(128828, NULL, 'PTHR45651:SF83', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, VOLTAGE-DEPENDENT, EAG/ELK/ERG-RELATED', NULL, NULL, NULL, 15),
(128829, NULL, 'PTHR43670:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128830, NULL, 'PTHR46905:SF7', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL78', NULL, NULL, NULL, 15),
(128831, NULL, 'PTHR12921:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128832, NULL, 'PTHR24390', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(128833, NULL, 'PTHR16263:SF8', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(128834, NULL, 'PTHR38925:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(128835, NULL, 'PTHR40637', NULL, NULL, NULL, NULL, 'ESSS SUBUNIT OF NADH:UBIQUINONE OXIDOREDUCTASE (COMPLEX I) PROTEIN', NULL, NULL, NULL, 15),
(128836, NULL, 'PTHR31973:SF118', NULL, NULL, NULL, NULL, 'MUDR FAMILY TRANSPOSASE', NULL, NULL, NULL, 15),
(128837, NULL, 'PTHR33179:SF9', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 25', NULL, NULL, NULL, 15),
(128838, NULL, 'PTHR43184:SF9', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE EXCHANGER SLC37A2', NULL, NULL, NULL, 15),
(128839, NULL, 'PTHR47956:SF87', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 HYDROXYLASE', NULL, NULL, NULL, 15),
(128840, NULL, 'PTHR11431:SF43', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(128841, NULL, 'PTHR22914:SF16', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 3', NULL, NULL, NULL, 15),
(128842, NULL, 'PTHR12103:SF33', NULL, NULL, NULL, NULL, 'CYTOSOLIC PURINE 5-NUCLEOTIDASE', NULL, NULL, NULL, 15),
(128843, NULL, 'PTHR22590:SF4', NULL, NULL, NULL, NULL, 'ABNORMAL SPINDLE-LIKE MICROCEPHALY-ASSOCIATED PROTEIN', NULL, NULL, 22482, 15),
(128844, NULL, 'PTHR14221:SF38', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 44-LIKE', NULL, NULL, NULL, 15),
(128845, NULL, 'PTHR24412:SF179', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 3', NULL, NULL, 28568, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128846, NULL, 'PTHR43795:SF93', NULL, NULL, NULL, NULL, 'BNAA02G19790D PROTEIN', NULL, NULL, NULL, 15),
(128847, NULL, 'PTHR13482', NULL, NULL, NULL, NULL, 'MICRORNA PROCESSOR COMPLEX SUBUNIT DGCR8', NULL, NULL, 30739, 15),
(128848, NULL, 'PTHR11946:SF113', NULL, NULL, NULL, NULL, 'BNAA08G31530D PROTEIN', NULL, NULL, NULL, 15),
(128849, NULL, 'PTHR31496:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAN2-RELATED', NULL, NULL, NULL, 15),
(128850, NULL, 'PTHR11999:SF76', NULL, NULL, NULL, NULL, 'FI02861P', NULL, NULL, NULL, 15),
(128851, NULL, 'PTHR31190:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128852, NULL, 'PTHR45625:SF11', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE B', NULL, NULL, NULL, 15),
(128853, NULL, 'PTHR10032', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS', NULL, NULL, 24816, 15),
(128854, NULL, 'PTHR35510:SF1', NULL, NULL, NULL, NULL, 'DBH-LIKE MONOOXYGENASE', NULL, NULL, NULL, 15),
(128855, NULL, 'PTHR11260:SF644', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(128856, NULL, 'PTHR46279:SF9', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL21A-RELATED', NULL, NULL, NULL, 15),
(128857, NULL, 'PTHR13055:SF10', NULL, NULL, NULL, NULL, 'PLEXIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 27072, 15),
(128858, NULL, 'PTHR31671:SF4', NULL, NULL, NULL, NULL, 'SI:CH211-260E23.9', NULL, NULL, NULL, 15),
(128859, NULL, 'PTHR45847:SF6', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE', NULL, NULL, NULL, 15),
(128860, NULL, 'PTHR21450:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128861, NULL, 'PTHR13871:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128862, NULL, 'PTHR12205:SF0', NULL, NULL, NULL, NULL, 'CENTROMERE/KINETOCHORE PROTEIN ZW10 HOMOLOG', NULL, NULL, NULL, 15),
(128863, NULL, 'PTHR33120:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128864, NULL, 'PTHR18763:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ROOT INITIATION DEFECTIVE 3-LIKE', NULL, NULL, NULL, 15),
(128865, NULL, 'PTHR38377', NULL, NULL, NULL, NULL, 'THREONINE-TRNA LIGASE 2', NULL, NULL, NULL, 15),
(128866, NULL, 'PTHR10353:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128867, NULL, 'PTHR31683:SF152', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(128868, NULL, 'PTHR32086:SF0', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP D2 PROTEIN', NULL, NULL, NULL, 15),
(128869, NULL, 'PTHR47987:SF22', NULL, NULL, NULL, NULL, 'BNAA08G07090D PROTEIN', NULL, NULL, NULL, 15),
(128870, NULL, 'PTHR13620:SF51', NULL, NULL, NULL, NULL, '3-5 EXONUCLEASE/ NUCLEIC ACID BINDING PROTEIN', NULL, NULL, NULL, 15),
(128871, NULL, 'PTHR22844:SF368', NULL, NULL, NULL, NULL, 'BNAA09G28200D PROTEIN', NULL, NULL, NULL, 15),
(128872, NULL, 'PTHR11777:SF9', NULL, NULL, NULL, NULL, 'ALANINE--TRNA LIGASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(128873, NULL, 'PTHR48017:SF137', NULL, NULL, NULL, NULL, 'OS02G0695500 PROTEIN', NULL, NULL, NULL, 15),
(128874, NULL, 'PTHR31602:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128875, NULL, 'PTHR31433', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 34137, 15),
(128876, NULL, 'PTHR45871:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYL-PHOSPHATIDYLINOSITOL BIOSYNTHETIC PROTEIN', NULL, NULL, NULL, 15),
(128877, NULL, 'PTHR43791:SF20', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14670)-RELATED', NULL, NULL, NULL, 15),
(128878, NULL, 'PTHR34859:SF2', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(128879, NULL, 'PTHR33110:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128880, NULL, 'PTHR23419:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CUTA CHLOROPLASTIC', NULL, NULL, NULL, 15),
(128881, NULL, 'PTHR46955:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG01349', NULL, NULL, NULL, 15),
(128882, NULL, 'PTHR24329', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ARISTALESS', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128883, NULL, 'PTHR24161:SF41', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(128884, NULL, 'PTHR19143:SF189', NULL, NULL, NULL, NULL, 'FIBROLEUKIN', NULL, NULL, 35924, 15),
(128885, NULL, 'PTHR44167:SF7', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE KINASE CATALYTIC SUBUNIT GAMMA 1', NULL, NULL, NULL, 15),
(128886, NULL, 'PTHR35274:SF6', NULL, NULL, NULL, NULL, 'F3M18.16', NULL, NULL, NULL, 15),
(128887, NULL, 'PTHR24033:SF192', NULL, NULL, NULL, NULL, 'LOCUS NOTCH, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(128888, NULL, 'PTHR10242:SF2', NULL, NULL, NULL, NULL, 'N-GLYCOSYLASE/DNA LYASE', NULL, NULL, NULL, 15),
(128889, NULL, 'PTHR18929:SF229', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 1-2', NULL, NULL, NULL, 15),
(128890, NULL, 'PTHR24072:SF281', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAC1-RELATED', NULL, NULL, NULL, 15),
(128891, NULL, 'PTHR23523', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128892, NULL, 'PTHR31949:SF3', NULL, NULL, NULL, NULL, 'RUN/FYVE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(128893, NULL, 'PTHR10701:SF17', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 38, NATC AUXILIARY SUBUNIT', NULL, NULL, 21507, 15),
(128894, NULL, 'PTHR24177:SF294', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128895, NULL, 'PTHR23282:SF116', NULL, NULL, NULL, NULL, 'MAM DOMAIN-CONTAINING GLYCOSYLPHOSPHATIDYLINOSITOL ANCHOR PROTEIN 2', NULL, NULL, NULL, 15),
(128896, NULL, 'PTHR11721:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128897, NULL, 'PTHR33832:SF16', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR PSI-1.2-LIKE', NULL, NULL, NULL, 15),
(128898, NULL, 'PTHR31225:SF0', NULL, NULL, NULL, NULL, 'S-(+)-LINALOOL SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(128899, NULL, 'PTHR23113:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128900, NULL, 'PTHR47928:SF67', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(128901, NULL, 'PTHR11465:SF49', NULL, NULL, NULL, NULL, 'CATALASE', NULL, NULL, NULL, 15),
(128902, NULL, 'PTHR44927', NULL, NULL, NULL, NULL, 'FK506-BINDING PROTEIN 15', NULL, NULL, NULL, 15),
(128903, NULL, 'PTHR45935:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FAM200A', NULL, NULL, NULL, 15),
(128904, NULL, 'PTHR24134:SF9', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN DDB_G0279043', NULL, NULL, NULL, 15),
(128905, NULL, 'PTHR43383', NULL, NULL, NULL, NULL, 'NODULIN 6', NULL, NULL, NULL, 15),
(128906, NULL, 'PTHR12366:SF31', NULL, NULL, NULL, NULL, 'UN-NAMED HU7910', NULL, NULL, NULL, 15),
(128907, NULL, 'PTHR10070', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN J CHAIN', NULL, NULL, 9836, 15),
(128908, NULL, 'PTHR31867:SF197', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(128909, NULL, 'PTHR12608:SF13', NULL, NULL, NULL, NULL, 'GDT1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(128910, NULL, 'PTHR28607:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN FAM174B', NULL, NULL, NULL, 15),
(128911, NULL, 'PTHR33543:SF7', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(128912, NULL, 'PTHR45633:SF23', NULL, NULL, NULL, NULL, 'CHAPERONIN 60 SUBUNIT BETA 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(128913, NULL, 'PTHR14499:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128914, NULL, 'PTHR47975:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128915, NULL, 'PTHR33703:SF1', NULL, NULL, NULL, NULL, 'OS07G0691300 PROTEIN', NULL, NULL, NULL, 15),
(128916, NULL, 'PTHR42687:SF1', NULL, NULL, NULL, NULL, 'INACTIVE L-THREONINE 3-DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(128917, NULL, 'PTHR10110:SF91', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 11', NULL, NULL, NULL, 15),
(128918, NULL, 'PTHR14057:SF34', NULL, NULL, NULL, NULL, 'ONE CUT DOMAIN FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(128919, NULL, 'PTHR31314:SF79', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL13', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128920, NULL, 'PTHR33648:SF29', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-BINDING LYSM DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(128921, NULL, 'PTHR14555:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(128922, NULL, 'PTHR27006:SF260', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', NULL, NULL, NULL, 15),
(128923, NULL, 'PTHR12299:SF64', NULL, NULL, NULL, NULL, 'PLASMINOGEN ACTIVATOR INHIBITOR 1 RNA-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(128924, NULL, 'PTHR32141:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128925, NULL, 'PTHR11599:SF140', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(128926, NULL, 'PTHR13132:SF31', NULL, NULL, NULL, NULL, 'N-ACETYL-BETA-D-GLUCOSAMINIDE ALPHA-1,6-FUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(128927, NULL, 'PTHR11843:SF25', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15),
(128928, NULL, 'PTHR11615:SF327', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN BLE3', NULL, NULL, NULL, 15),
(128929, NULL, 'PTHR11035:SF39', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE', NULL, NULL, NULL, 15),
(128930, NULL, 'PTHR15692:SF9', NULL, NULL, NULL, NULL, 'MASTERMIND-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(128931, NULL, 'PTHR31009:SF56', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(128932, NULL, 'PTHR32080:SF52', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128933, NULL, 'PTHR48045:SF5', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 72B2-RELATED', NULL, NULL, NULL, 15),
(128934, NULL, 'PTHR38421:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN USGS', NULL, NULL, NULL, 15),
(128935, NULL, 'PTHR33022:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128936, NULL, 'PTHR19143:SF45', NULL, NULL, NULL, NULL, 'FIBRINOGEN C DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(128937, NULL, 'PTHR22936:SF89', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128938, NULL, 'PTHR47194:SF2', NULL, NULL, NULL, NULL, 'SORTING NEXIN-29-RELATED', NULL, NULL, NULL, 15),
(128939, NULL, 'PTHR33295:SF19', NULL, NULL, NULL, NULL, 'ARCHAEAL ATPASE', NULL, NULL, NULL, 15),
(128940, NULL, 'PTHR43592', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE', NULL, NULL, NULL, 15),
(128941, NULL, 'PTHR26450:SF43', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(128942, NULL, 'PTHR33915:SF5', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(128943, NULL, 'PTHR24064:SF338', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER', NULL, NULL, NULL, 15),
(128944, NULL, 'PTHR45798:SF48', NULL, NULL, NULL, NULL, 'BNAC08G19480D PROTEIN', NULL, NULL, NULL, 15),
(128945, NULL, 'PTHR31406:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG09423', NULL, NULL, NULL, 15),
(128946, NULL, 'PTHR33286:SF23', NULL, NULL, NULL, NULL, 'BNAANNG41090D PROTEIN', NULL, NULL, NULL, 15),
(128947, NULL, 'PTHR32552:SF81', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT OUTER MEMBRANE RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(128948, NULL, 'PTHR43765:SF2', NULL, NULL, NULL, NULL, '2-DEHYDROPANTOATE 2-REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(128949, NULL, 'PTHR43689:SF38', NULL, NULL, NULL, NULL, 'POSSIBLE EPOXIDE HYDROLASE EPHE (EPOXIDE HYDRATASE) (ARENE-OXIDE HYDRATASE)', NULL, NULL, NULL, 15),
(128950, NULL, 'PTHR47116:SF10', NULL, NULL, NULL, NULL, 'CYSTATIN', NULL, NULL, NULL, 15),
(128951, NULL, 'PTHR23502:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128952, NULL, 'PTHR45974:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128953, NULL, 'PTHR11442:SF7', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT EPSILON', NULL, NULL, NULL, 15),
(128954, NULL, 'PTHR24242:SF264', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10X1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128955, NULL, 'PTHR46287:SF9', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(128956, NULL, 'PTHR24281:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128957, NULL, 'PTHR33075:SF5', NULL, NULL, NULL, NULL, 'OS02G0499800 PROTEIN', NULL, NULL, NULL, 15),
(128958, NULL, 'PTHR21356', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT CONTAINING 2', NULL, NULL, 33804, 15),
(128959, NULL, 'PTHR21552:SF2', NULL, NULL, NULL, NULL, 'CREB3 REGULATORY FACTOR', NULL, NULL, NULL, 15),
(128960, NULL, 'PTHR43939:SF30', NULL, NULL, NULL, NULL, 'GOLGIN IMH1', NULL, NULL, 27052, 15),
(128961, NULL, 'PTHR21646:SF24', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(128962, NULL, 'PTHR11516:SF2', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE ALPHA SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(128963, NULL, 'PTHR35551', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 17854, 15),
(128964, NULL, 'PTHR43899:SF7', NULL, NULL, NULL, NULL, 'TESTOSTERONE 17-BETA-DEHYDROGENASE 3', NULL, NULL, 29558, 15),
(128965, NULL, 'PTHR32020:SF3', NULL, NULL, NULL, NULL, 'LIN-8 DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(128966, NULL, 'PTHR24300:SF110', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 508D1-RELATED', NULL, NULL, NULL, 15),
(128967, NULL, 'PTHR40399', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCITOL/SORBITOL-SPECIFIC EIIC COMPONENT', NULL, NULL, 3958, 15),
(128968, NULL, 'PTHR13119', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEI', NULL, NULL, 39448, 15),
(128969, NULL, 'PTHR40255:SF1', NULL, NULL, NULL, NULL, 'UPF0093 MEMBRANE PROTEIN SLR1790', NULL, NULL, NULL, 15),
(128970, NULL, 'PTHR47965:SF73', NULL, NULL, NULL, NULL, 'XYLANASE INHIBITOR 725OS', NULL, NULL, NULL, 15),
(128971, NULL, 'PTHR30282:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE EFFLUX PROTEIN-RELATED', NULL, NULL, NULL, 15),
(128972, NULL, 'PTHR43875', NULL, NULL, NULL, NULL, 'MALTODEXTRIN IMPORT ATP-BINDING PROTEIN MSMX', NULL, NULL, NULL, 15),
(128973, NULL, 'PTHR23064:SF23', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML21-RELATED', NULL, NULL, NULL, 15),
(128974, NULL, 'PTHR31415:SF113', NULL, NULL, NULL, NULL, 'BNACNNG62320D PROTEIN', NULL, NULL, NULL, 15),
(128975, NULL, 'PTHR43489', NULL, NULL, NULL, NULL, 'ISOMERASE', NULL, NULL, NULL, 15),
(128976, NULL, 'PTHR34740:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128977, NULL, 'PTHR14237:SF60', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE-LIKE', NULL, NULL, NULL, 15),
(128978, NULL, 'PTHR31596', NULL, NULL, NULL, NULL, 'T-CELL ACTIVATION INHIBITOR, MITOCHONDRIAL', NULL, NULL, 25672, 15),
(128979, NULL, 'PTHR10177:SF203', NULL, NULL, NULL, NULL, 'CYCLIN D, ISOFORM D', NULL, NULL, NULL, 15),
(128980, NULL, 'PTHR35155', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 24', NULL, NULL, 21613, 15),
(128981, NULL, 'PTHR24041:SF30', NULL, NULL, NULL, NULL, 'MUCIN-13', NULL, NULL, NULL, 15),
(128982, NULL, 'PTHR11654:SF336', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.2', NULL, NULL, NULL, 15),
(128983, NULL, 'PTHR24377:SF636', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 132', NULL, NULL, NULL, 15),
(128984, NULL, 'PTHR33434:SF3', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN TM_1468', NULL, NULL, NULL, 15),
(128985, NULL, 'PTHR46210', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128986, NULL, 'PTHR31770:SF2', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE PROTEIN TAFA-1', NULL, NULL, NULL, 15),
(128987, NULL, 'PTHR11932:SF155', NULL, NULL, NULL, NULL, 'CULLIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(128988, NULL, 'PTHR24112:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(128989, NULL, 'PTHR46427:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND LEM DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(128990, NULL, 'PTHR19290:SF147', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX PROTEIN DELILAH', NULL, NULL, NULL, 15),
(128991, NULL, 'PTHR43065:SF27', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(128992, NULL, 'PTHR24020:SF20', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXI) CHAIN-RELATED', NULL, NULL, NULL, 15),
(128993, NULL, 'PTHR31989:SF287', NULL, NULL, NULL, NULL, 'BNAC05G00940D PROTEIN', NULL, NULL, NULL, 15),
(128994, NULL, 'PTHR10791:SF133', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET11', NULL, NULL, NULL, 15),
(128995, NULL, 'PTHR47889:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENIC LEUCINE ZIPPER PROTEIN 1', NULL, NULL, NULL, 15),
(128996, NULL, 'PTHR24403', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(128997, NULL, 'PTHR47605', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ELONGATION REGULATOR MINIYO', NULL, NULL, NULL, 15),
(128998, NULL, 'PTHR44086', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE RDL2, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(128999, NULL, 'PTHR31447:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129000, NULL, 'PTHR23347:SF7', NULL, NULL, NULL, NULL, 'MCC REGULATOR OF WNT-SIGNALING PATHWAY', NULL, NULL, NULL, 15),
(129001, NULL, 'PTHR22847:SF668', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(129002, NULL, 'PTHR15357:SF1', NULL, NULL, NULL, NULL, 'OLFACTORY MARKER PROTEIN A', NULL, NULL, NULL, 15),
(129003, NULL, 'PTHR10438:SF412', NULL, NULL, NULL, NULL, 'THIOREDOXIN F1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(129004, NULL, 'PTHR14309:SF7', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY B MEMBER 1', NULL, NULL, 34776, 15),
(129005, NULL, 'PTHR37323:SF1', NULL, NULL, NULL, NULL, 'GCN5-RELATED N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(129006, NULL, 'PTHR24093:SF465', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(129007, NULL, 'PTHR23325', NULL, NULL, NULL, NULL, 'SERUM RESPONSE FACTOR-BINDING', NULL, NULL, 32974, 15),
(129008, NULL, 'PTHR24349:SF438', NULL, NULL, NULL, NULL, 'PARVALBUMIN, PROTEIN KINASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129009, NULL, 'PTHR15710:SF130', NULL, NULL, NULL, NULL, 'BNAC05G10460D PROTEIN', NULL, NULL, NULL, 15),
(129010, NULL, 'PTHR31235:SF211', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(129011, NULL, 'PTHR10209:SF747', NULL, NULL, NULL, NULL, 'BNAA04G17890D PROTEIN', NULL, NULL, NULL, 15),
(129012, NULL, 'PTHR46051:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 5-PHOSPHATASE 2', NULL, NULL, NULL, 15),
(129013, NULL, 'PTHR43105', NULL, NULL, NULL, NULL, 'RESPIRATORY NITRATE REDUCTASE', NULL, NULL, NULL, 15),
(129014, NULL, 'PTHR31721:SF6', NULL, NULL, NULL, NULL, 'BNAC09G42950D PROTEIN', NULL, NULL, NULL, 15),
(129015, NULL, 'PTHR43019:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129016, NULL, 'PTHR11913:SF72', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 9', NULL, NULL, NULL, 15),
(129017, NULL, 'PTHR24377:SF412', NULL, NULL, NULL, NULL, 'REGULATOR OF SEX LIMITED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(129018, NULL, 'PTHR34068:SF1', NULL, NULL, NULL, NULL, 'UPF0145 PROTEIN YBJQ', NULL, NULL, NULL, 15),
(129019, NULL, 'PTHR48001:SF139', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 3A2', NULL, NULL, NULL, 15),
(129020, NULL, 'PTHR22603:SF81', NULL, NULL, NULL, NULL, 'CHOLINE KINASE 2-RELATED', NULL, NULL, NULL, 15),
(129021, NULL, 'PTHR45752:SF8', NULL, NULL, NULL, NULL, 'VOLUME-REGULATED ANION CHANNEL SUBUNIT LRRC8E', NULL, NULL, NULL, 15),
(129022, NULL, 'PTHR35450', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129023, NULL, 'PTHR41271:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129024, NULL, 'PTHR36405:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129025, NULL, 'PTHR37955:SF1', NULL, NULL, NULL, NULL, 'TELLURITE RESISTANCE PROTEIN TEHA', NULL, NULL, NULL, 15),
(129026, NULL, 'PTHR46548', NULL, NULL, NULL, NULL, 'BAH AND TFIIS DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129027, NULL, 'PTHR48017:SF82', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 2', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129028, NULL, 'PTHR23320:SF143', NULL, NULL, NULL, NULL, 'SI:CH211-212K18.8-RELATED', NULL, NULL, NULL, 15),
(129029, NULL, 'PTHR35391', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129030, NULL, 'PTHR39332', NULL, NULL, NULL, NULL, 'BLL4707 PROTEIN', NULL, NULL, NULL, 15),
(129031, NULL, 'PTHR24068:SF322', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 28-LIKE', NULL, NULL, NULL, 15),
(129032, NULL, 'PTHR47993:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129033, NULL, 'PTHR19241:SF598', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(129034, NULL, 'PTHR47603:SF1', NULL, NULL, NULL, NULL, 'PPR CONTAINING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(129035, NULL, 'PTHR43625:SF30', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN PCNT115-LIKE', NULL, NULL, NULL, 15),
(129036, NULL, 'PTHR23272:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129037, NULL, 'PTHR10516:SF326', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(129038, NULL, 'PTHR23189:SF90', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF 2, NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129039, NULL, 'PTHR46090:SF3', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 13B', NULL, NULL, NULL, 15),
(129040, NULL, 'PTHR12346:SF41', NULL, NULL, NULL, NULL, 'BNACNNG44190D PROTEIN', NULL, NULL, NULL, 15),
(129041, NULL, 'PTHR45138:SF7', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCN', NULL, NULL, NULL, 15),
(129042, NULL, 'PTHR16024:SF24', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', NULL, NULL, NULL, 15),
(129043, NULL, 'PTHR13208:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 4', NULL, NULL, NULL, 15),
(129044, NULL, 'PTHR45744:SF13', NULL, NULL, NULL, NULL, 'OS02G0302200 PROTEIN', NULL, NULL, NULL, 15),
(129045, NULL, 'PTHR13318:SF141', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 17', NULL, NULL, NULL, 15),
(129046, NULL, 'PTHR24118:SF89', NULL, NULL, NULL, NULL, 'PROTEIN CBG04367', NULL, NULL, NULL, 15),
(129047, NULL, 'PTHR46758:SF15', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, ZINC FINGER, MYND-TYPE, TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129048, NULL, 'PTHR15615:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129049, NULL, 'PTHR31087:SF69', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 8', NULL, NULL, NULL, 15),
(129050, NULL, 'PTHR12299:SF54', NULL, NULL, NULL, NULL, 'BNAANNG07070D PROTEIN', NULL, NULL, NULL, 15),
(129051, NULL, 'PTHR35852:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG16246', NULL, NULL, NULL, 15),
(129052, NULL, 'PTHR14491:SF8', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN SOWAHD', NULL, NULL, NULL, 15),
(129053, NULL, 'PTHR11654:SF368', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.13', NULL, NULL, NULL, 15),
(129054, NULL, 'PTHR27004:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129055, NULL, 'PTHR11017:SF415', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129056, NULL, 'PTHR31642:SF171', NULL, NULL, NULL, NULL, 'BENZYL ALCOHOL O-BENZOYLTRANSFERASE', NULL, NULL, NULL, 15),
(129057, NULL, 'PTHR31750', NULL, NULL, NULL, NULL, 'PROTEIN STAY-GREEN 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(129058, NULL, 'PTHR11005:SF102', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129059, NULL, 'PTHR11685:SF251', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(129060, NULL, 'PTHR23349:SF67', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 21', NULL, NULL, NULL, 15),
(129061, NULL, 'PTHR10545:SF54', NULL, NULL, NULL, NULL, 'TYRAMINE N-FERULOYLTRANSFERASE 4/11', NULL, NULL, 27311, 15),
(129062, NULL, 'PTHR31549:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129063, NULL, 'PTHR45979:SF18', NULL, NULL, NULL, NULL, 'BNAC06G17980D PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129064, NULL, 'PTHR43553:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN MODF', NULL, NULL, NULL, 15),
(129065, NULL, 'PTHR42073', NULL, NULL, NULL, NULL, 'MEIOTIC EXPRESSION UP-REGULATED PROTEIN 6', NULL, NULL, 30502, 15),
(129066, NULL, 'PTHR33428:SF13', NULL, NULL, NULL, NULL, 'CHLOROPHYLLASE-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(129067, NULL, 'PTHR36899', NULL, NULL, NULL, NULL, 'OS04G0395700 PROTEIN', NULL, NULL, NULL, 15),
(129068, NULL, 'PTHR33077:SF66', NULL, NULL, NULL, NULL, 'TIFY DOMAIN, CO/COL/TOC1, CONSERVED SITE-RELATED', NULL, NULL, NULL, 15),
(129069, NULL, 'PTHR10889', NULL, NULL, NULL, NULL, 'DEOXYRIBOSE-PHOSPHATE ALDOLASE', NULL, NULL, 9308, 15),
(129070, NULL, 'PTHR43797', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE/CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(129071, NULL, 'PTHR38644:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(129072, NULL, 'PTHR21180:SF9', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', NULL, NULL, 17290, 15),
(129073, NULL, 'PTHR21470:SF7', NULL, NULL, NULL, NULL, 'BNACNNG02670D PROTEIN', NULL, NULL, NULL, 15),
(129074, NULL, 'PTHR47307:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE-REGULATED POTASSIUM-EFFLUX SYSTEM ANCILLARY PROTEIN KEFF', NULL, NULL, 8869, 15),
(129075, NULL, 'PTHR11346:SF21', NULL, NULL, NULL, NULL, 'GRIFIN', NULL, NULL, 22973, 15),
(129076, NULL, 'PTHR33347:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129077, NULL, 'PTHR31218:SF337', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(129078, NULL, 'PTHR48049:SF86', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(129079, NULL, 'PTHR33088:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129080, NULL, 'PTHR36010:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C BIOGENESIS CCMF C-TERMINAL-LIKE MITOCHONDRIAL PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129081, NULL, 'PTHR22804:SF42', NULL, NULL, NULL, NULL, 'AGGRECAN CORE PROTEIN', NULL, NULL, NULL, 15),
(129082, NULL, 'PTHR31388:SF197', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(129083, NULL, 'PTHR30069:SF42', NULL, NULL, NULL, NULL, 'FERRIC AEROBACTIN RECEPTOR', NULL, NULL, NULL, 15),
(129084, NULL, 'PTHR14030', NULL, NULL, NULL, NULL, 'MITOTIC CHECKPOINT SERINE/THREONINE-PROTEIN KINASE BUB1', NULL, NULL, 18439, 15),
(129085, NULL, 'PTHR23410:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L5-LIKE', NULL, NULL, NULL, 15),
(129086, NULL, 'PTHR43768:SF28', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(129087, NULL, 'PTHR31246:SF11', NULL, NULL, NULL, NULL, 'MYOSIN II HEAVY CHAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(129088, NULL, 'PTHR11567:SF180', NULL, NULL, NULL, NULL, 'LYSOSOMAL ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(129089, NULL, 'PTHR31618:SF22', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(129090, NULL, 'PTHR45675:SF54', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB21-RELATED', NULL, NULL, NULL, 15),
(129091, NULL, 'PTHR24281:SF123', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(129092, NULL, 'PTHR19134:SF503', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE 99A', NULL, NULL, NULL, 15),
(129093, NULL, 'PTHR10827:SF46', NULL, NULL, NULL, NULL, 'GH15296P', NULL, NULL, NULL, 15),
(129094, NULL, 'PTHR46195:SF10', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(129095, NULL, 'PTHR10742:SF380', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129096, NULL, 'PTHR10209:SF762', NULL, NULL, NULL, NULL, 'PROTEIN DOWNY MILDEW RESISTANCE 6', NULL, NULL, NULL, 15),
(129097, NULL, 'PTHR46975:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SWEETIE', NULL, NULL, NULL, 15),
(129098, NULL, 'PTHR43884:SF17', NULL, NULL, NULL, NULL, 'ACYL COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(129099, NULL, 'PTHR11926:SF1402', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129100, NULL, 'PTHR43302:SF7', NULL, NULL, NULL, NULL, 'OS03G0147400 PROTEIN', NULL, NULL, NULL, 15),
(129101, NULL, 'PTHR22894:SF10', NULL, NULL, NULL, NULL, 'BNAC07G13660D PROTEIN', NULL, NULL, NULL, 15),
(129102, NULL, 'PTHR47971:SF2', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(129103, NULL, 'PTHR26312:SF175', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(129104, NULL, 'PTHR31973:SF140', NULL, NULL, NULL, NULL, 'OS06G0704400 PROTEIN', NULL, NULL, NULL, 15),
(129105, NULL, 'PTHR46903:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129106, NULL, 'PTHR24377:SF823', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 624', NULL, NULL, NULL, 15),
(129107, NULL, 'PTHR11109:SF10', NULL, NULL, NULL, NULL, 'BNAC05G44750D PROTEIN', NULL, NULL, NULL, 15),
(129108, NULL, 'PTHR42968:SF20', NULL, NULL, NULL, NULL, 'PROTEASOMAL ATPASE-ASSOCIATED FACTOR 1', NULL, NULL, NULL, 15),
(129109, NULL, 'PTHR31517:SF48', NULL, NULL, NULL, NULL, 'PEROXIDASE 16-RELATED', NULL, NULL, NULL, 15),
(129110, NULL, 'PTHR10687:SF69', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(129111, NULL, 'PTHR20857:SF22', NULL, NULL, NULL, NULL, 'THIAZOLE TAUTOMERASE', NULL, NULL, NULL, 15),
(129112, NULL, 'PTHR31221', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR PROTEIN 1-RELATED', NULL, NULL, 37984, 15),
(129113, NULL, 'PTHR28249', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN SPO7', NULL, NULL, 2838, 15),
(129114, NULL, 'PTHR24015:SF1603', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(129115, NULL, 'PTHR34121:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129116, NULL, 'PTHR32468:SF90', NULL, NULL, NULL, NULL, 'OS05G0473400 PROTEIN', NULL, NULL, NULL, 15),
(129117, NULL, 'PTHR12169:SF24', NULL, NULL, NULL, NULL, 'AFG1-LIKE ATPASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129118, NULL, 'PTHR12688:SF2', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 1 LIGHT INTERMEDIATE CHAIN 1', NULL, NULL, NULL, 15),
(129119, NULL, 'PTHR31631:SF8', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 2C', NULL, NULL, NULL, 15),
(129120, NULL, 'PTHR10887:SF459', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(129121, NULL, 'PTHR12506:SF62', NULL, NULL, NULL, NULL, 'ZINC FINGER C-X8-C-X5-C-X3-H TYPE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129122, NULL, 'PTHR23338:SF54', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D3', NULL, NULL, NULL, 15),
(129123, NULL, 'PTHR34349', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 32', NULL, NULL, 26469, 15),
(129124, NULL, 'PTHR12107:SF4', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-5 SUBUNIT', NULL, NULL, 7870, 15),
(129125, NULL, 'PTHR43429:SF1', NULL, NULL, NULL, NULL, 'COENZYME A DISULFIDE REDUCTASE', NULL, NULL, NULL, 15),
(129126, NULL, 'PTHR43991:SF21', NULL, NULL, NULL, NULL, 'GAMYB-BINDING PROTEIN', NULL, NULL, NULL, 15),
(129127, NULL, 'PTHR35245:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129128, NULL, 'PTHR24177:SF76', NULL, NULL, NULL, NULL, 'SI:CH211-119C20.2', NULL, NULL, NULL, 15),
(129129, NULL, 'PTHR19443:SF64', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(129130, NULL, 'PTHR31218:SF293', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(129131, NULL, 'PTHR11795', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT SYSTEM PERMEASE PROTEIN LIVH', NULL, NULL, NULL, 15),
(129132, NULL, 'PTHR47967:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129133, NULL, 'PTHR48009:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(129134, NULL, 'PTHR22741:SF11', NULL, NULL, NULL, NULL, 'SICKLE TAIL PROTEIN HOMOLOG', NULL, NULL, 22312, 15),
(129135, NULL, 'PTHR42748', NULL, NULL, NULL, NULL, 'NITROGEN METABOLITE REPRESSION PROTEIN NMRA FAMILY MEMBER', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129136, NULL, 'PTHR39112', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 27-RELATED', NULL, NULL, 30033, 15),
(129137, NULL, 'PTHR15715:SF42', NULL, NULL, NULL, NULL, 'TO VACUOLE TARGETING VPS64, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02420)-RELATED', NULL, NULL, NULL, 15),
(129138, NULL, 'PTHR47841:SF12', NULL, NULL, NULL, NULL, 'C1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129139, NULL, 'PTHR34123', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129140, NULL, 'PTHR31316:SF0', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE-LIKE PROTEIN NCA3, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(129141, NULL, 'PTHR33136:SF40', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 4', NULL, NULL, NULL, 15),
(129142, NULL, 'PTHR34709:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129143, NULL, 'PTHR31549:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129144, NULL, 'PTHR10502:SF99', NULL, NULL, NULL, NULL, 'ANNEXIN D3', NULL, NULL, NULL, 15),
(129145, NULL, 'PTHR31358:SF30', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 4', NULL, NULL, NULL, 15),
(129146, NULL, 'PTHR24418:SF205', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(129147, NULL, 'PTHR22752:SF11', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 61-LIKE-RELATED', NULL, NULL, NULL, 15),
(129148, NULL, 'PTHR15622', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(129149, NULL, 'PTHR12565:SF387', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH63-RELATED', NULL, NULL, NULL, 15),
(129150, NULL, 'PTHR44094:SF9', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129151, NULL, 'PTHR24343:SF120', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE/THREONINE-PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(129152, NULL, 'PTHR33257:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129153, NULL, 'PTHR15907:SF184', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(129154, NULL, 'PTHR12544:SF29', NULL, NULL, NULL, NULL, 'GLUTAMINASE, ISOFORM H', NULL, NULL, NULL, 15),
(129155, NULL, 'PTHR22792:SF50', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 1B', NULL, NULL, NULL, 15),
(129156, NULL, 'PTHR33512:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129157, NULL, 'PTHR31111:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129158, NULL, 'PTHR12743', NULL, NULL, NULL, NULL, 'CYTOCHROME C1 HEME LYASE', NULL, NULL, 6648, 15),
(129159, NULL, 'PTHR33916:SF8', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(129160, NULL, 'PTHR31558:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129161, NULL, 'PTHR11746:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129162, NULL, 'PTHR45645:SF3', NULL, NULL, NULL, NULL, 'NEUROPILIN AND TOLLOID-LIKE PROTEIN 1', NULL, NULL, 28947, 15),
(129163, NULL, 'PTHR11062:SF294', NULL, NULL, NULL, NULL, 'GALACTOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(129164, NULL, 'PTHR21646:SF43', NULL, NULL, NULL, NULL, 'FI20021P1', NULL, NULL, NULL, 15),
(129165, NULL, 'PTHR14241:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129166, NULL, 'PTHR11771:SF113', NULL, NULL, NULL, NULL, 'LIPOXYGENASE 6-RELATED', NULL, NULL, NULL, 15),
(129167, NULL, 'PTHR22698:SF1', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(129168, NULL, 'PTHR34150:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG09626', NULL, NULL, NULL, 15),
(129169, NULL, 'PTHR22902:SF27', NULL, NULL, NULL, NULL, 'SI:CH73-111K22.3', NULL, NULL, NULL, 15),
(129170, NULL, 'PTHR23347:SF8', NULL, NULL, NULL, NULL, 'USHER SYNDROME 1C-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(129171, NULL, 'PTHR45915:SF2', NULL, NULL, NULL, NULL, 'TOUTATIS, ISOFORM E', NULL, NULL, NULL, 15),
(129172, NULL, 'PTHR48100:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE PMU1-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129173, NULL, 'PTHR48048:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(129174, NULL, 'PTHR24064:SF294', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 6', NULL, NULL, NULL, 15),
(129175, NULL, 'PTHR48111:SF38', NULL, NULL, NULL, NULL, 'TWO COMPONENT SYSTEM RESPONSE REGULATOR-RELATED', NULL, NULL, NULL, 15),
(129176, NULL, 'PTHR47191', NULL, NULL, NULL, NULL, 'OS05G0170800 PROTEIN', NULL, NULL, NULL, 15),
(129177, NULL, 'PTHR24298:SF821', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A9', NULL, NULL, NULL, 15),
(129178, NULL, 'PTHR15478:SF4', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN FAMILY A MEMBER 1', NULL, NULL, NULL, 15),
(129179, NULL, 'PTHR31791:SF38', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(129180, NULL, 'PTHR42886:SF59', NULL, NULL, NULL, NULL, 'BNAA01G13630D PROTEIN', NULL, NULL, NULL, 15),
(129181, NULL, 'PTHR12371:SF9', NULL, NULL, NULL, NULL, 'TRANSLOCATING CHAIN-ASSOCIATED MEMBRANE PROTEIN 1-LIKE 1', NULL, NULL, NULL, 15),
(129182, NULL, 'PTHR28671:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129183, NULL, 'PTHR31929:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129184, NULL, 'PTHR28495', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC100359752', NULL, NULL, 24737, 15),
(129185, NULL, 'PTHR48044:SF60', NULL, NULL, NULL, NULL, 'BETA-D-GLUCOSYL CROCETIN BETA-1,6-GLUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(129186, NULL, 'PTHR43806:SF37', NULL, NULL, NULL, NULL, 'SUBTILASE-TYPE SERINE PROTEASE DR_A0283-RELATED', NULL, NULL, NULL, 15),
(129187, NULL, 'PTHR43523:SF24', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(129188, NULL, 'PTHR10974:SF9', NULL, NULL, NULL, NULL, 'FI02830P-RELATED', NULL, NULL, NULL, 15),
(129189, NULL, 'PTHR32009:SF68', NULL, NULL, NULL, NULL, 'BNAA09G17530D PROTEIN', NULL, NULL, NULL, 15),
(129190, NULL, 'PTHR11685:SF203', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(129191, NULL, 'PTHR31490:SF68', NULL, NULL, NULL, NULL, '1,4-BETA-XYLANASE-RELATED', NULL, NULL, NULL, 15),
(129192, NULL, 'PTHR31832:SF64', NULL, NULL, NULL, NULL, 'BNAA04G18330D PROTEIN', NULL, NULL, NULL, 15),
(129193, NULL, 'PTHR27001:SF779', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129194, NULL, 'PTHR43531', NULL, NULL, NULL, NULL, 'PROTEIN ICFG', NULL, NULL, NULL, 15),
(129195, NULL, 'PTHR10177:SF457', NULL, NULL, NULL, NULL, 'CYCLIN-D4-2', NULL, NULL, NULL, 15),
(129196, NULL, 'PTHR11017:SF226', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(129197, NULL, 'PTHR48104:SF3', NULL, NULL, NULL, NULL, 'METACASPASE TYPE II', NULL, NULL, NULL, 15),
(129198, NULL, 'PTHR20939', NULL, NULL, NULL, NULL, 'SORTING NEXIN 20, 21', NULL, NULL, 34869, 15),
(129199, NULL, 'PTHR33420:SF31', NULL, NULL, NULL, NULL, 'TYPE 1 FIMBRIN D-MANNOSE SPECIFIC ADHESIN', NULL, NULL, NULL, 15),
(129200, NULL, 'PTHR10983:SF59', NULL, NULL, NULL, NULL, 'LYSOCARDIOLIPIN ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(129201, NULL, 'PTHR12474:SF2', NULL, NULL, NULL, NULL, 'SESTRIN-2', NULL, NULL, NULL, 15),
(129202, NULL, 'PTHR24147:SF57', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 26-RELATED', NULL, NULL, NULL, 15),
(129203, NULL, 'PTHR11977:SF51', NULL, NULL, NULL, NULL, 'VILLIN-4', NULL, NULL, NULL, 15),
(129204, NULL, 'PTHR10687:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129205, NULL, 'PTHR24390:SF159', NULL, NULL, NULL, NULL, 'GH23506P-RELATED', NULL, NULL, NULL, 15),
(129206, NULL, 'PTHR30426:SF0', NULL, NULL, NULL, NULL, '4-HYDROXY-3-METHYLBUT-2-ENYL DIPHOSPHATE REDUCTASE', NULL, NULL, NULL, 15),
(129207, NULL, 'PTHR12444:SF8', NULL, NULL, NULL, NULL, 'PROTEIN EFR3 HOMOLOG CMP44E', NULL, NULL, NULL, 15),
(129208, NULL, 'PTHR44167:SF1', NULL, NULL, NULL, NULL, 'OVARIAN-SPECIFIC SERINE/THREONINE-PROTEIN KINASE LOK', NULL, NULL, NULL, 15),
(129209, NULL, 'PTHR24281:SF142', NULL, NULL, NULL, NULL, '(S)-N-METHYLCOCLAURINE 3''-HYDROXYLASE ISOZYME 2', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129210, NULL, 'PTHR24356:SF318', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE N3', NULL, NULL, NULL, 15),
(129211, NULL, 'PTHR46611', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X-RELATED', NULL, NULL, NULL, 15),
(129212, NULL, 'PTHR14221:SF29', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(129213, NULL, 'PTHR31170:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129214, NULL, 'PTHR12011:SF59', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L4', NULL, NULL, NULL, 15),
(129215, NULL, 'PTHR22802:SF407', NULL, NULL, NULL, NULL, 'CD209 ANTIGEN-LIKE PROTEIN A', NULL, NULL, NULL, 15),
(129216, NULL, 'PTHR43620:SF33', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL3', NULL, NULL, NULL, 15),
(129217, NULL, 'PTHR31866:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 8030474K03 GENE', NULL, NULL, NULL, 15),
(129218, NULL, 'PTHR34203:SF12', NULL, NULL, NULL, NULL, 'SLR0909 PROTEIN', NULL, NULL, NULL, 15),
(129219, NULL, 'PTHR12411:SF749', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE', NULL, NULL, NULL, 15),
(129220, NULL, 'PTHR31415:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129221, NULL, 'PTHR10527:SF32', NULL, NULL, NULL, NULL, 'IMPORTIN BETA 3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(129222, NULL, 'PTHR45868:SF32', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129223, NULL, 'PTHR33452', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE CATD-RELATED', NULL, NULL, NULL, 15),
(129224, NULL, 'PTHR28604:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 29', NULL, NULL, NULL, 15),
(129225, NULL, 'PTHR31165', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE2', NULL, NULL, 33576, 15),
(129226, NULL, 'PTHR31680:SF19', NULL, NULL, NULL, NULL, 'DUF3741-ASSOCIATED SEQUENCE MOTIF PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129227, NULL, 'PTHR31142:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129228, NULL, 'PTHR11439:SF336', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129229, NULL, 'PTHR22958:SF37', NULL, NULL, NULL, NULL, 'BNACNNG46190D PROTEIN', NULL, NULL, NULL, 15),
(129230, NULL, 'PTHR33287:SF11', NULL, NULL, NULL, NULL, 'OS03G0778400 PROTEIN', NULL, NULL, NULL, 15),
(129231, NULL, 'PTHR47319:SF8', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1-LIKE', NULL, NULL, NULL, 15),
(129232, NULL, 'PTHR16797', NULL, NULL, NULL, NULL, 'FACTOR VIII-ASSOCIATED GENE 1', NULL, NULL, 31211, 15),
(129233, NULL, 'PTHR31707:SF247', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(129234, NULL, 'PTHR10641:SF1262', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB13', NULL, NULL, NULL, 15),
(129235, NULL, 'PTHR46067:SF18', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(129236, NULL, 'PTHR31282:SF156', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 11-RELATED', NULL, NULL, NULL, 15),
(129237, NULL, 'PTHR41386', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, 9683, 15),
(129238, NULL, 'PTHR48017:SF46', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 1', NULL, NULL, NULL, 15),
(129239, NULL, 'PTHR31499:SF42', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL12', NULL, NULL, NULL, 15),
(129240, NULL, 'PTHR39142', NULL, NULL, NULL, NULL, 'MID1P', NULL, NULL, 25673, 15),
(129241, NULL, 'PTHR16004:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF31', NULL, NULL, NULL, 15),
(129242, NULL, 'PTHR31189:SF59', NULL, NULL, NULL, NULL, '11S GLOBULIN SUBUNIT BETA-LIKE', NULL, NULL, NULL, 15),
(129243, NULL, 'PTHR48157', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129244, NULL, 'PTHR22870:SF194', NULL, NULL, NULL, NULL, 'OSJNBA0070M12.5 PROTEIN', NULL, NULL, NULL, 15),
(129245, NULL, 'PTHR30575:SF8', NULL, NULL, NULL, NULL, 'PEPTIDASE M20 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(129246, NULL, 'PTHR46339:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG15281', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129247, NULL, 'PTHR37726:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(129248, NULL, 'PTHR24128:SF59', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE, ANKYRIN REPEAT-CONTAINING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129249, NULL, 'PTHR20932:SF42', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129250, NULL, 'PTHR48057:SF8', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129251, NULL, 'PTHR24028:SF107', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A6', NULL, NULL, NULL, 15),
(129252, NULL, 'PTHR31234:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(129253, NULL, 'PTHR47953:SF3', NULL, NULL, NULL, NULL, 'PREMNASPIRODIENE OXYGENASE', NULL, NULL, NULL, 15),
(129254, NULL, 'PTHR15710:SF140', NULL, NULL, NULL, NULL, 'BNAC02G09910D PROTEIN', NULL, NULL, NULL, 15),
(129255, NULL, 'PTHR24300:SF114', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(129256, NULL, 'PTHR23116', NULL, NULL, NULL, NULL, 'PDZ DOMAIN CONTAINING WHIRLIN AND HARMONIN-RELATED', NULL, NULL, NULL, 15),
(129257, NULL, 'PTHR48024:SF29', NULL, NULL, NULL, NULL, 'GEO13361P1', NULL, NULL, NULL, 15),
(129258, NULL, 'PTHR12761', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME PROTEIN 1', NULL, NULL, 26937, 15),
(129259, NULL, 'PTHR46604:SF6', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129260, NULL, 'PTHR13872:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129261, NULL, 'PTHR31286:SF87', NULL, NULL, NULL, NULL, 'BNAA09G29260D PROTEIN', NULL, NULL, NULL, 15),
(129262, NULL, 'PTHR15599:SF1', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD 14 HOMOLOG', NULL, NULL, 38231, 15),
(129263, NULL, 'PTHR23192:SF37', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-LIKE PROTEIN 2B', NULL, NULL, 24542, 15),
(129264, NULL, 'PTHR46262', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN BINIOU', NULL, NULL, NULL, 15),
(129265, NULL, 'PTHR10059', NULL, NULL, NULL, NULL, 'GRANULOCYTE-MACROPHAGE COLONY-STIMULATING FACTOR  GM-CSF', NULL, NULL, 6706, 15),
(129266, NULL, 'PTHR33642:SF6', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129267, NULL, 'PTHR16223:SF14', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS- AND OOGENESIS-SPECIFIC BASIC HELIX-LOOP-HELIX-CONTAINING PROTEIN 1', NULL, NULL, 22276, 15),
(129268, NULL, 'PTHR31414', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN DDB_G0292058', NULL, NULL, 29743, 15),
(129269, NULL, 'PTHR47993:SF125', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN LINE-1', NULL, NULL, NULL, 15),
(129270, NULL, 'PTHR24559:SF387', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129271, NULL, 'PTHR10641:SF1230', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(129272, NULL, 'PTHR15551:SF3', NULL, NULL, NULL, NULL, 'LIM AND CALPONIN HOMOLOGY DOMAINS-CONTAINING PROTEIN 1', NULL, NULL, 22153, 15),
(129273, NULL, 'PTHR42914', NULL, NULL, NULL, NULL, '7-CYANO-7-DEAZAGUANINE SYNTHASE', NULL, NULL, 16742, 15),
(129274, NULL, 'PTHR12313:SF57', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA2', NULL, NULL, NULL, 15),
(129275, NULL, 'PTHR47928:SF43', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN CHLOROPLASTIC', NULL, NULL, NULL, 15),
(129276, NULL, 'PTHR47967:SF14', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(129277, NULL, 'PTHR10334:SF447', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129278, NULL, 'PTHR24390:SF161', NULL, NULL, NULL, NULL, 'KRUEPPEL HOMOLOG 1', NULL, NULL, NULL, 15),
(129279, NULL, 'PTHR48062:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129280, NULL, 'PTHR33527:SF29', NULL, NULL, NULL, NULL, 'F13F21.27 PROTEIN', NULL, NULL, NULL, 15),
(129281, NULL, 'PTHR45678:SF6', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129282, NULL, 'PTHR39179:SF3', NULL, NULL, NULL, NULL, 'COTS-RELATED PROTEIN', NULL, NULL, NULL, 15),
(129283, NULL, 'PTHR20544', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129284, NULL, 'PTHR48022:SF79', NULL, NULL, NULL, NULL, 'LACTOSE PERMEASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G01860)-RELATED', NULL, NULL, NULL, 15),
(129285, NULL, 'PTHR47523', NULL, NULL, NULL, NULL, 'F21O3.11 PROTEIN', NULL, NULL, NULL, 15),
(129286, NULL, 'PTHR31677:SF49', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF086', NULL, NULL, NULL, 15),
(129287, NULL, 'PTHR42792:SF2', NULL, NULL, NULL, NULL, 'FLAGELLIN', NULL, NULL, NULL, 15),
(129288, NULL, 'PTHR31669:SF37', NULL, NULL, NULL, NULL, 'OS06G0597800 PROTEIN', NULL, NULL, NULL, 15),
(129289, NULL, 'PTHR23068:SF43', NULL, NULL, NULL, NULL, 'BNAA09G43190D PROTEIN', NULL, NULL, NULL, 15),
(129290, NULL, 'PTHR34722:SF8', NULL, NULL, NULL, NULL, 'HOMOLOG OF ODR-2 (TWO)', NULL, NULL, NULL, 15),
(129291, NULL, 'PTHR24067:SF243', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 A', NULL, NULL, NULL, 15),
(129292, NULL, 'PTHR31086:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129293, NULL, 'PTHR15545:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PDZRN3', NULL, NULL, NULL, 15),
(129294, NULL, 'PTHR38828:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129295, NULL, 'PTHR11599:SF144', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA-TYPE 8', NULL, NULL, NULL, 15),
(129296, NULL, 'PTHR23310:SF94', NULL, NULL, NULL, NULL, 'GEO10176P1', NULL, NULL, NULL, 15),
(129297, NULL, 'PTHR33033:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129298, NULL, 'PTHR24044:SF418', NULL, NULL, NULL, NULL, 'C901', NULL, NULL, NULL, 15),
(129299, NULL, 'PTHR30451:SF3', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE USHER PROTEIN HTRE-RELATED', NULL, NULL, NULL, 15),
(129300, NULL, 'PTHR28573:SF1', NULL, NULL, NULL, NULL, 'SPINDLE AND KINETOCHORE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(129301, NULL, 'PTHR34663:SF13', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP16', NULL, NULL, NULL, 15),
(129302, NULL, 'PTHR27007:SF175', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.5-RELATED', NULL, NULL, NULL, 15),
(129303, NULL, 'PTHR11926:SF928', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 85A4', NULL, NULL, NULL, 15),
(129304, NULL, 'PTHR12305:SF92', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 3-PHOSPHATASE AND PROTEIN-TYROSINE-PHOSPHATASE PTEN2A', NULL, NULL, NULL, 15),
(129305, NULL, 'PTHR11654:SF484', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.6', NULL, NULL, NULL, 15),
(129306, NULL, 'PTHR33511:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129307, NULL, 'PTHR14614:SF39', NULL, NULL, NULL, NULL, 'HISTIDINE PROTEIN METHYLTRANSFERASE 1 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(129308, NULL, 'PTHR34722:SF3', NULL, NULL, NULL, NULL, 'LY-6-RELATED PROTEIN ODR-2 ISOFORM 2B', NULL, NULL, NULL, 15),
(129309, NULL, 'PTHR21257:SF38', NULL, NULL, NULL, NULL, '7-DEHYDROCHOLESTEROL REDUCTASE', NULL, NULL, NULL, 15),
(129310, NULL, 'PTHR23335:SF22', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR', NULL, NULL, NULL, 15),
(129311, NULL, 'PTHR33971:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129312, NULL, 'PTHR30146:SF45', NULL, NULL, NULL, NULL, 'CATABOLITE REPRESSOR/ACTIVATOR', NULL, NULL, NULL, 15),
(129313, NULL, 'PTHR21419:SF25', NULL, NULL, NULL, NULL, 'PROTEIN FAM234B', NULL, NULL, NULL, 15),
(129314, NULL, 'PTHR10283:SF84', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT HIGH-AFFINITY DICARBOXYLATE TRANSPORTER 2', NULL, NULL, NULL, 15),
(129315, NULL, 'PTHR16260:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129316, NULL, 'PTHR11054:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129317, NULL, 'PTHR46193:SF10', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE PHOSPHATASE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129318, NULL, 'PTHR19139', NULL, NULL, NULL, NULL, 'AQUAPORIN TRANSPORTER', NULL, NULL, 25369, 15),
(129319, NULL, 'PTHR22952:SF406', NULL, NULL, NULL, NULL, 'OS06G0720900 PROTEIN', NULL, NULL, NULL, 15),
(129320, NULL, 'PTHR22849:SF148', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(129321, NULL, 'PTHR13568:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 185B', NULL, NULL, NULL, 15),
(129322, NULL, 'PTHR43719:SF17', NULL, NULL, NULL, NULL, 'PHYTOCHROME E', NULL, NULL, NULL, 15),
(129323, NULL, 'PTHR33309:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129324, NULL, 'PTHR31592:SF4', NULL, NULL, NULL, NULL, 'TMEM192 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(129325, NULL, 'PTHR31111:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129326, NULL, 'PTHR23043:SF34', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE FACTOR 1 SUBUNIT ALPHA,-LIKE', NULL, NULL, NULL, 15),
(129327, NULL, 'PTHR31444', NULL, NULL, NULL, NULL, 'OS11G0490100 PROTEIN', NULL, NULL, 6531, 15),
(129328, NULL, 'PTHR31989:SF153', NULL, NULL, NULL, NULL, 'F11O4.3-RELATED', NULL, NULL, NULL, 15),
(129329, NULL, 'PTHR47932:SF42', NULL, NULL, NULL, NULL, 'OSJNBA0060P14.6 PROTEIN', NULL, NULL, NULL, 15),
(129330, NULL, 'PTHR11903:SF30', NULL, NULL, NULL, NULL, 'BNAA07G38980D PROTEIN', NULL, NULL, NULL, 15),
(129331, NULL, 'PTHR24271:SF48', NULL, NULL, NULL, NULL, 'KALLIKREIN-14', NULL, NULL, NULL, 15),
(129332, NULL, 'PTHR31239:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129333, NULL, 'PTHR12286:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129334, NULL, 'PTHR10891:SF530', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML44-RELATED', NULL, NULL, NULL, 15),
(129335, NULL, 'PTHR23087:SF12', NULL, NULL, NULL, NULL, 'NON-HISTONE CHROMOSOMAL PROTEIN HMG-14', NULL, NULL, NULL, 15),
(129336, NULL, 'PTHR11802:SF261', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 45', NULL, NULL, NULL, 15),
(129337, NULL, 'PTHR30441:SF6', NULL, NULL, NULL, NULL, 'BLL6536 PROTEIN', NULL, NULL, NULL, 15),
(129338, NULL, 'PTHR31896:SF40', NULL, NULL, NULL, NULL, 'ANTHRANILATE N-HYDROXYCINNAMOYL/BENZOYLTRANSFERASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129339, NULL, 'PTHR43020', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(129340, NULL, 'PTHR48043:SF21', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(129341, NULL, 'PTHR47942:SF16', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(129342, NULL, 'PTHR21556:SF2', NULL, NULL, NULL, NULL, 'TRESLIN', NULL, NULL, NULL, 15),
(129343, NULL, 'PTHR38698', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 2508, 15),
(129344, NULL, 'PTHR10219:SF19', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(129345, NULL, 'PTHR31317:SF16', NULL, NULL, NULL, NULL, 'BNAC05G33040D PROTEIN', NULL, NULL, NULL, 15),
(129346, NULL, 'PTHR10210:SF94', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(129347, NULL, 'PTHR13108:SF11', NULL, NULL, NULL, NULL, 'CONDENSIN COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(129348, NULL, 'PTHR42002:SF2', NULL, NULL, NULL, NULL, 'ANAEROBIC C4-DICARBOXYLATE TRANSPORTER DCUC-RELATED', NULL, NULL, NULL, 15),
(129349, NULL, 'PTHR11451:SF16', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE 2, CYTOPLASMIC-RELATED', NULL, NULL, NULL, 15),
(129350, NULL, 'PTHR46836:SF8', NULL, NULL, NULL, NULL, 'AFADIN', NULL, NULL, NULL, 15),
(129351, NULL, 'PTHR34145:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129352, NULL, 'PTHR30429:SF1', NULL, NULL, NULL, NULL, 'D-METHIONINE-BINDING LIPOPROTEIN METQ-RELATED', NULL, NULL, NULL, 15),
(129353, NULL, 'PTHR27002:SF870', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(129354, NULL, 'PTHR16517:SF121', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129355, NULL, 'PTHR13018:SF123', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT CHANNEL, 7TM REGION, PUTATIVE PHOSPHATE-RELATED', NULL, NULL, NULL, 15),
(129356, NULL, 'PTHR46134:SF1', NULL, NULL, NULL, NULL, 'ARF-GAP DOMAIN AND FG REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(129357, NULL, 'PTHR31286:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129358, NULL, 'PTHR12538:SF11', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', NULL, NULL, NULL, 15),
(129359, NULL, 'PTHR47746:SF27', NULL, NULL, NULL, NULL, 'OS05G0107801 PROTEIN', NULL, NULL, NULL, 15),
(129360, NULL, 'PTHR10288:SF291', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS K HOMOLOGY DOMAIN', NULL, NULL, NULL, 15),
(129361, NULL, 'PTHR11214:SF283', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(129362, NULL, 'PTHR10671:SF97', NULL, NULL, NULL, NULL, 'PROTEIN CBG24230', NULL, NULL, NULL, 15),
(129363, NULL, 'PTHR47928:SF106', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(129364, NULL, 'PTHR45830:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(129365, NULL, 'PTHR23155:SF1079', NULL, NULL, NULL, NULL, 'OS07G0117900 PROTEIN', NULL, NULL, NULL, 15),
(129366, NULL, 'PTHR48002:SF35', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(129367, NULL, 'PTHR12663:SF1', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PROTEIN PDS5 HOMOLOG B', NULL, NULL, NULL, 15),
(129368, NULL, 'PTHR35828:SF3', NULL, NULL, NULL, NULL, 'OS11G0201480 PROTEIN', NULL, NULL, NULL, 15),
(129369, NULL, 'PTHR10992:SF1021', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD HYDROLASE', NULL, NULL, NULL, 15),
(129370, NULL, 'PTHR37038:SF13', NULL, NULL, NULL, NULL, 'LMO2447 PROTEIN', NULL, NULL, NULL, 15),
(129371, NULL, 'PTHR12709:SF6', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT 7-LIKE PROTEIN', NULL, NULL, NULL, 15),
(129372, NULL, 'PTHR33103:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129373, NULL, 'PTHR23282', NULL, NULL, NULL, NULL, 'APICAL ENDOSOMAL GLYCOPROTEIN PRECURSOR.', NULL, NULL, NULL, 15),
(129374, NULL, 'PTHR11070:SF50', NULL, NULL, NULL, NULL, 'DNA HELICASE', NULL, NULL, NULL, 15),
(129375, NULL, 'PTHR31865:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129376, NULL, 'PTHR36329:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(129377, NULL, 'PTHR43719:SF36', NULL, NULL, NULL, NULL, 'PROTEIN EIN4', NULL, NULL, NULL, 15),
(129378, NULL, 'PTHR44835', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--PEPTIDE N-ACETYLGLUCOSAMINYLTRANSFERASE SPINDLY-RELATED', NULL, NULL, NULL, 15),
(129379, NULL, 'PTHR42077:SF1', NULL, NULL, NULL, NULL, 'YALI0F30239P', NULL, NULL, NULL, 15),
(129380, NULL, 'PTHR15337:SF20', NULL, NULL, NULL, NULL, 'AG1', NULL, NULL, NULL, 15),
(129381, NULL, 'PTHR21327:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129382, NULL, 'PTHR31485:SF22', NULL, NULL, NULL, NULL, 'OS01G0272600 PROTEIN', NULL, NULL, NULL, 15),
(129383, NULL, 'PTHR30461:SF4', NULL, NULL, NULL, NULL, 'RESOLVASE-RELATED', NULL, NULL, NULL, 15),
(129384, NULL, 'PTHR48040:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129385, NULL, 'PTHR31852:SF199', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA-14-RELATED', NULL, NULL, NULL, 15),
(129386, NULL, 'PTHR11257:SF8', NULL, NULL, NULL, NULL, 'GEO08457P1', NULL, NULL, NULL, 15),
(129387, NULL, 'PTHR45747:SF17', NULL, NULL, NULL, NULL, 'BNAC08G46050D PROTEIN', NULL, NULL, NULL, 15),
(129388, NULL, 'PTHR40633:SF5', NULL, NULL, NULL, NULL, 'ANCHORED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04370)-RELATED', NULL, NULL, NULL, 15),
(129389, NULL, 'PTHR37774:SF2', NULL, NULL, NULL, NULL, 'ATPASE SUBUNIT 4', NULL, NULL, NULL, 15),
(129390, NULL, 'PTHR33052:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129391, NULL, 'PTHR15710:SF103', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CIP8-LIKE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129392, NULL, 'PTHR31889:SF77', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(129393, NULL, 'PTHR47331', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129394, NULL, 'PTHR31561:SF98', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(129395, NULL, 'PTHR31236:SF3', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 15', NULL, NULL, NULL, 15),
(129396, NULL, 'PTHR47112', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129397, NULL, 'PTHR31300:SF6', NULL, NULL, NULL, NULL, 'OS05G0252100 PROTEIN', NULL, NULL, NULL, 15),
(129398, NULL, 'PTHR35729:SF2', NULL, NULL, NULL, NULL, 'OS08G0528800 PROTEIN', NULL, NULL, NULL, 15),
(129399, NULL, 'PTHR10556:SF55', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(129400, NULL, 'PTHR12538:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26-RELATED', NULL, NULL, NULL, 15),
(129401, NULL, 'PTHR10161:SF49', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 8', NULL, NULL, NULL, 15),
(129402, NULL, 'PTHR28637:SF9', NULL, NULL, NULL, NULL, 'CDT1-LIKE PROTEIN A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(129403, NULL, 'PTHR47833:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF LUMENAL LOCATION 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(129404, NULL, 'PTHR23212:SF0', NULL, NULL, NULL, NULL, 'BRAIN ACID SOLUBLE PROTEIN 1', NULL, NULL, NULL, 15),
(129405, NULL, 'PTHR46065:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH2', NULL, NULL, NULL, 15),
(129406, NULL, 'PTHR33929:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 5-RELATED', NULL, NULL, NULL, 15),
(129407, NULL, 'PTHR47640:SF6', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP45A-RELATED', NULL, NULL, NULL, 15),
(129408, NULL, 'PTHR46913:SF11', NULL, NULL, NULL, NULL, 'BNAANNG39970D PROTEIN', NULL, NULL, NULL, 15),
(129409, NULL, 'PTHR11260:SF676', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U8', NULL, NULL, NULL, 15),
(129410, NULL, 'PTHR47477:SF10', NULL, NULL, NULL, NULL, 'MATH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(129411, NULL, 'PTHR10511', NULL, NULL, NULL, NULL, 'GRANULOCYTE COLONY-STIMULATING FACTOR', NULL, NULL, 26206, 15),
(129412, NULL, 'PTHR33057:SF104', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP7-LIKE', NULL, NULL, NULL, 15),
(129413, NULL, 'PTHR33086:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129414, NULL, 'PTHR19384:SF107', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', NULL, NULL, NULL, 15),
(129415, NULL, 'PTHR33083:SF82', NULL, NULL, NULL, NULL, 'CYTOSKELETON-REGULATORY COMPLEX PROTEIN END3, PUTATIVE ISOFORM 9-RELATED', NULL, NULL, NULL, 15),
(129416, NULL, 'PTHR47277:SF1', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 7', NULL, NULL, NULL, 15),
(129417, NULL, 'PTHR13040', NULL, NULL, NULL, NULL, 'AUTOPHAGY PROTEIN 5', NULL, NULL, 6873, 15),
(129418, NULL, 'PTHR23226:SF285', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 58', NULL, NULL, NULL, 15),
(129419, NULL, 'PTHR12725:SF81', NULL, NULL, NULL, NULL, 'HYDROLASE, SUBFAMILY IA, VARIANT 3, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129420, NULL, 'PTHR24206:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129421, NULL, 'PTHR32285:SF279', NULL, NULL, NULL, NULL, 'TRICHOME BIREFRINGENCE-LIKE 26-RELATED', NULL, NULL, NULL, 15),
(129422, NULL, 'PTHR23075:SF2', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 3B', NULL, NULL, NULL, 15),
(129423, NULL, 'PTHR23105:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129424, NULL, 'PTHR47074:SF37', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129425, NULL, 'PTHR33077:SF90', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 7', NULL, NULL, NULL, 15),
(129426, NULL, 'PTHR46008:SF32', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129427, NULL, 'PTHR31152:SF14', NULL, NULL, NULL, NULL, 'BASIC SALIVARY PROLINE-RICH PROTEIN 2-LIKE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129428, NULL, 'PTHR43888:SF24', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN HOMOLOG 2-LIKE', NULL, NULL, NULL, 15),
(129429, NULL, 'PTHR13523:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129430, NULL, 'PTHR31948:SF91', NULL, NULL, NULL, NULL, 'BNAC03G49000D PROTEIN', NULL, NULL, NULL, 15),
(129431, NULL, 'PTHR23186:SF4', NULL, NULL, NULL, NULL, 'GH22790P', NULL, NULL, NULL, 15),
(129432, NULL, 'PTHR36940:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG20338', NULL, NULL, NULL, 15),
(129433, NULL, 'PTHR11442:SF15', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT THETA-1', NULL, NULL, NULL, 15),
(129434, NULL, 'PTHR46700:SF2', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(129435, NULL, 'PTHR45615:SF23', NULL, NULL, NULL, NULL, 'MYOSIN-11', NULL, NULL, NULL, 15),
(129436, NULL, 'PTHR31210:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129437, NULL, 'PTHR31251:SF116', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 16', NULL, NULL, NULL, 15),
(129438, NULL, 'PTHR32285:SF287', NULL, NULL, NULL, NULL, 'BNAANNG26300D PROTEIN', NULL, NULL, NULL, 15),
(129439, NULL, 'PTHR11206:SF268', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EXTRUSION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129440, NULL, 'PTHR47851', NULL, NULL, NULL, NULL, 'OS06G0588700 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129441, NULL, 'PTHR39297', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129442, NULL, 'PTHR31541:SF52', NULL, NULL, NULL, NULL, 'BNAC04G05670D PROTEIN', NULL, NULL, NULL, 15),
(129443, NULL, 'PTHR15829:SF2', NULL, NULL, NULL, NULL, 'RHO FAMILY-INTERACTING CELL POLARIZATION REGULATOR 2', NULL, NULL, 30020, 15),
(129444, NULL, 'PTHR32094', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP E PROTEIN', NULL, NULL, 30066, 15),
(129445, NULL, 'PTHR45708:SF44', NULL, NULL, NULL, NULL, 'ACIDIC ENDOCHITINASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(129446, NULL, 'PTHR11352:SF5', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN', NULL, NULL, NULL, 15),
(129447, NULL, 'PTHR48100:SF39', NULL, NULL, NULL, NULL, 'HISTIDINE PHOSPHATASE SUPERFAMILY, CLADE-1', NULL, NULL, NULL, 15),
(129448, NULL, 'PTHR10783:SF98', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 7-RELATED', NULL, NULL, NULL, 15),
(129449, NULL, 'PTHR44542:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129450, NULL, 'PTHR11014:SF154', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129451, NULL, 'PTHR48016:SF2', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', NULL, NULL, NULL, 15),
(129452, NULL, 'PTHR12301:SF8', NULL, NULL, NULL, NULL, 'SHAL K[+] CHANNEL INTERACTING PROTEIN, ISOFORM I', NULL, NULL, NULL, 15),
(129453, NULL, 'PTHR23273:SF62', NULL, NULL, NULL, NULL, 'RPA1 DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129454, NULL, 'PTHR15224:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 5', NULL, NULL, NULL, 15),
(129455, NULL, 'PTHR23050:SF356', NULL, NULL, NULL, NULL, 'CALCIUM BINDING', NULL, NULL, NULL, 15),
(129456, NULL, 'PTHR35399', NULL, NULL, NULL, NULL, 'SLR8030 PROTEIN', NULL, NULL, NULL, 15),
(129457, NULL, 'PTHR45896', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 30', NULL, NULL, 37054, 15),
(129458, NULL, 'PTHR43684:SF6', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC CHROMODOMAIN PROTEIN Y 1-RELATED', NULL, NULL, NULL, 15),
(129459, NULL, 'PTHR23504:SF95', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(129460, NULL, 'PTHR33505:SF4', NULL, NULL, NULL, NULL, 'ZGC:162634', NULL, NULL, NULL, 15),
(129461, NULL, 'PTHR31016:SF13', NULL, NULL, NULL, NULL, 'BNAC03G17000D PROTEIN', NULL, NULL, NULL, 15),
(129462, NULL, 'PTHR16501:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG27852', NULL, NULL, NULL, 15),
(129463, NULL, 'PTHR12411:SF692', NULL, NULL, NULL, NULL, 'OS09G0564900 PROTEIN', NULL, NULL, NULL, 15),
(129464, NULL, 'PTHR20899:SF4', NULL, NULL, NULL, NULL, 'CELL CYCLE PROGRESSION 1, OPPOSITE STRAND', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129465, NULL, 'PTHR13271:SF76', NULL, NULL, NULL, NULL, 'CYTOCHROME C LYSINE N-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(129466, NULL, 'PTHR11394:SF132', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 105', NULL, NULL, NULL, 15),
(129467, NULL, 'PTHR31044:SF75', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 5-LIKE', NULL, NULL, NULL, 15),
(129468, NULL, 'PTHR24282:SF135', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 709B2', NULL, NULL, NULL, 15),
(129469, NULL, 'PTHR23063:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129470, NULL, 'PTHR30419:SF14', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(129471, NULL, 'PTHR12300:SF137', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(129472, NULL, 'PTHR11351:SF75', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE, TYPE 1, CORE-RELATED', NULL, NULL, NULL, 15),
(129473, NULL, 'PTHR48043:SF54', NULL, NULL, NULL, NULL, '2-HYDROXYACYLSPHINGOSINE 1-BETA-GALACTOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(129474, NULL, 'PTHR34223:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129475, NULL, 'PTHR11904:SF26', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(129476, NULL, 'PTHR21715', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(129477, NULL, 'PTHR13817:SF20', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN C, CARDIAC-TYPE', NULL, NULL, NULL, 15),
(129478, NULL, 'PTHR26454:SF148', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(129479, NULL, 'PTHR21600:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129480, NULL, 'PTHR12411:SF731', NULL, NULL, NULL, NULL, 'PROTEASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129481, NULL, 'PTHR11909:SF97', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(129482, NULL, 'PTHR11758:SF11', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15A-5', NULL, NULL, NULL, 15),
(129483, NULL, 'PTHR11739:SF28', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', NULL, NULL, NULL, 15),
(129484, NULL, 'PTHR45653:SF4', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 3', NULL, NULL, 23147, 15),
(129485, NULL, 'PTHR22933:SF32', NULL, NULL, NULL, NULL, 'MIND THE GAP, ISOFORM E', NULL, NULL, NULL, 15),
(129486, NULL, 'PTHR47991:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129487, NULL, 'PTHR10334:SF421', NULL, NULL, NULL, NULL, 'OSJNBB0096E05.10 PROTEIN', NULL, NULL, NULL, 15),
(129488, NULL, 'PTHR23315:SF112', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(129489, NULL, 'PTHR31719:SF157', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 47', NULL, NULL, NULL, 15),
(129490, NULL, 'PTHR46988:SF2', NULL, NULL, NULL, NULL, 'TWO PORE CALCIUM CHANNEL PROTEIN 1', NULL, NULL, NULL, 15),
(129491, NULL, 'PTHR18896:SF73', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(129492, NULL, 'PTHR31225:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129493, NULL, 'PTHR34207:SF13', NULL, NULL, NULL, NULL, 'BNAA04G05270D PROTEIN', NULL, NULL, NULL, 15),
(129494, NULL, 'PTHR34156:SF10', NULL, NULL, NULL, NULL, 'MULTIPLE STRESS RESISTANCE PROTEIN BHSA', NULL, NULL, NULL, 15),
(129495, NULL, 'PTHR31989:SF215', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(129496, NULL, 'PTHR20961:SF23', NULL, NULL, NULL, NULL, 'OS06G0475400 PROTEIN', NULL, NULL, NULL, 15),
(129497, NULL, 'PTHR37342:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689959', NULL, NULL, NULL, 15),
(129498, NULL, 'PTHR12694:SF16', NULL, NULL, NULL, NULL, 'BNAC08G45360D PROTEIN', NULL, NULL, NULL, 15),
(129499, NULL, 'PTHR18966:SF434', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 1.2-RELATED', NULL, NULL, NULL, 15),
(129500, NULL, 'PTHR11133:SF21', NULL, NULL, NULL, NULL, 'ALPHA-AMINOADIPIC SEMIALDEHYDE SYNTHASE, MITOCHONDRIAL', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129501, NULL, 'PTHR22298:SF150', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 9', NULL, NULL, NULL, 15),
(129502, NULL, 'PTHR10544:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28', NULL, NULL, NULL, 15),
(129503, NULL, 'PTHR33057:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP11', NULL, NULL, NULL, 15),
(129504, NULL, 'PTHR48111:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN TCTD', NULL, NULL, NULL, 15),
(129505, NULL, 'PTHR34478', NULL, NULL, NULL, NULL, 'PROTEIN LEMA', NULL, NULL, 84, 15),
(129506, NULL, 'PTHR30532:SF21', NULL, NULL, NULL, NULL, 'SIDEROPHORE-BINDING LIPOPROTEIN YFIY-RELATED', NULL, NULL, NULL, 15),
(129507, NULL, 'PTHR19375:SF223', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 1A-RELATED', NULL, NULL, NULL, 15),
(129508, NULL, 'PTHR12566', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATION ELEMENT BINDING PROTEIN  CPEB', NULL, NULL, 36348, 15),
(129509, NULL, 'PTHR14037:SF6', NULL, NULL, NULL, NULL, 'MAMMAGLOBIN-B', NULL, NULL, NULL, 15),
(129510, NULL, 'PTHR45768:SF62', NULL, NULL, NULL, NULL, 'BNAANNG18870D PROTEIN', NULL, NULL, NULL, 15),
(129511, NULL, 'PTHR33512:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1191)-RELATED', NULL, NULL, NULL, 15),
(129512, NULL, 'PTHR19957:SF276', NULL, NULL, NULL, NULL, 'SYNTAXIN PROTEIN', NULL, NULL, NULL, 15),
(129513, NULL, 'PTHR10129:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAF', NULL, NULL, 22418, 15),
(129514, NULL, 'PTHR35484', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 37, CHLOROPLASTIC', NULL, NULL, 33275, 15),
(129515, NULL, 'PTHR24377:SF669', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 41', NULL, NULL, NULL, 15),
(129516, NULL, 'PTHR33346:SF18', NULL, NULL, NULL, NULL, 'ABSCISIC ACID AND ENVIRONMENTAL STRESS-INDUCIBLE PROTEIN TAS14-LIKE', NULL, NULL, NULL, 15),
(129517, NULL, 'PTHR35243:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129518, NULL, 'PTHR43669:SF11', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(129519, NULL, 'PTHR23414:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ADM2', NULL, NULL, NULL, 15),
(129520, NULL, 'PTHR42711:SF6', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(129521, NULL, 'PTHR47171:SF3', NULL, NULL, NULL, NULL, 'FARA-RELATED', NULL, NULL, NULL, 15),
(129522, NULL, 'PTHR24083:SF90', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR RXR-BETA', NULL, NULL, NULL, 15),
(129523, NULL, 'PTHR47768:SF2', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', NULL, NULL, NULL, 15),
(129524, NULL, 'PTHR11439:SF328', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON RE1-RELATED', NULL, NULL, NULL, 15),
(129525, NULL, 'PTHR13168:SF0', NULL, NULL, NULL, NULL, 'C-MYC-BINDING PROTEIN', NULL, NULL, NULL, 15),
(129526, NULL, 'PTHR15825:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN-FOLD MODIFIER 1', NULL, NULL, NULL, 15),
(129527, NULL, 'PTHR10188:SF30', NULL, NULL, NULL, NULL, 'ISOASPARTYL PEPTIDASE/L-ASPARAGINASE', NULL, NULL, NULL, 15),
(129528, NULL, 'PTHR22896:SF3', NULL, NULL, NULL, NULL, 'CDK5 AND ABL1 ENZYME SUBSTRATE 2', NULL, NULL, NULL, 15),
(129529, NULL, 'PTHR32212:SF327', NULL, NULL, NULL, NULL, 'BNAA09G52230D PROTEIN', NULL, NULL, NULL, 15),
(129530, NULL, 'PTHR37175:SF1', NULL, NULL, NULL, NULL, 'BNAA08G28800D PROTEIN', NULL, NULL, NULL, 15),
(129531, NULL, 'PTHR21477:SF29', NULL, NULL, NULL, NULL, 'BNACNNG24930D PROTEIN', NULL, NULL, NULL, 15),
(129532, NULL, 'PTHR30040', NULL, NULL, NULL, NULL, 'THIAMINE BIOSYNTHESIS LIPOPROTEIN APBE', NULL, NULL, 21558, 15),
(129533, NULL, 'PTHR42985:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG02091', NULL, NULL, NULL, 15),
(129534, NULL, 'PTHR18945:SF784', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT BETA-LIKE 1', NULL, NULL, NULL, 15),
(129535, NULL, 'PTHR10050:SF51', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSYL-TRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(129536, NULL, 'PTHR23160:SF21', NULL, NULL, NULL, NULL, 'CINGULIN-LIKE', NULL, NULL, NULL, 15),
(129537, NULL, 'PTHR48049:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129538, NULL, 'PTHR11359:SF10', NULL, NULL, NULL, NULL, 'AMP DEAMINASE-RELATED', NULL, NULL, NULL, 15),
(129539, NULL, 'PTHR11347:SF207', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(129540, NULL, 'PTHR10605:SF66', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(129541, NULL, 'PTHR27009:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129542, NULL, 'PTHR10639:SF7', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(129543, NULL, 'PTHR46920:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MSS51 HOMOLOG, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(129544, NULL, 'PTHR31956:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129545, NULL, 'PTHR18934:SF85', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX8', NULL, NULL, NULL, 15),
(129546, NULL, 'PTHR24326:SF570', NULL, NULL, NULL, NULL, 'BNAA07G24100D PROTEIN', NULL, NULL, NULL, 15),
(129547, NULL, 'PTHR14409:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MANBAL', NULL, NULL, NULL, 15),
(129548, NULL, 'PTHR31790:SF304', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129549, NULL, 'PTHR10285:SF177', NULL, NULL, NULL, NULL, 'BNAA09G54930D PROTEIN', NULL, NULL, NULL, 15),
(129550, NULL, 'PTHR24559:SF364', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129551, NULL, 'PTHR10501:SF54', NULL, NULL, NULL, NULL, 'SMOOTH, ISOFORM T', NULL, NULL, NULL, 15),
(129552, NULL, 'PTHR10039:SF9', NULL, NULL, NULL, NULL, 'NACHT DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G01760)', NULL, NULL, NULL, 15),
(129553, NULL, 'PTHR12214:SF0', NULL, NULL, NULL, NULL, 'LD29489P', NULL, NULL, NULL, 15),
(129554, NULL, 'PTHR12219:SF23', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 4, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(129555, NULL, 'PTHR47965:SF57', NULL, NULL, NULL, NULL, 'OS09G0423500 PROTEIN', NULL, NULL, NULL, 15),
(129556, NULL, 'PTHR31998:SF43', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGIZED VACUOLAR MEMBRANE PROTON PUMP', NULL, NULL, NULL, 15),
(129557, NULL, 'PTHR23505:SF82', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', NULL, NULL, NULL, 15),
(129558, NULL, 'PTHR34188:SF8', NULL, NULL, NULL, NULL, 'T6A9.7 PROTEIN', NULL, NULL, NULL, 15),
(129559, NULL, 'PTHR23428:SF238', NULL, NULL, NULL, NULL, 'HISTONE H2B.2', NULL, NULL, NULL, 15),
(129560, NULL, 'PTHR45654:SF57', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(129561, NULL, 'PTHR48001:SF169', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(129562, NULL, 'PTHR23349:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 15', NULL, NULL, NULL, 15),
(129563, NULL, 'PTHR36030:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129564, NULL, 'PTHR33184:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129565, NULL, 'PTHR16797:SF4', NULL, NULL, NULL, NULL, 'FACTOR VIII INTRON 22 PROTEIN', NULL, NULL, NULL, 15),
(129566, NULL, 'PTHR11550:SF21', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', NULL, NULL, NULL, 15),
(129567, NULL, 'PTHR14256:SF5', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 4-LIKE 2', NULL, NULL, NULL, 15),
(129568, NULL, 'PTHR24419:SF35', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE 4', NULL, NULL, NULL, 15),
(129569, NULL, 'PTHR11814:SF210', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 1.1', NULL, NULL, 24314, 15),
(129570, NULL, 'PTHR31375:SF147', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE-LIKE', NULL, NULL, NULL, 15),
(129571, NULL, 'PTHR11783:SF155', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 4A1', NULL, NULL, NULL, 15),
(129572, NULL, 'PTHR33067:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129573, NULL, 'PTHR32141:SF102', NULL, NULL, NULL, NULL, 'OS07G0286400 PROTEIN', NULL, NULL, NULL, 15),
(129574, NULL, 'PTHR48019:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129575, NULL, 'PTHR46277:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129576, NULL, 'PTHR21248:SF7', NULL, NULL, NULL, NULL, 'MINOR CARDIOLIPIN SYNTHASE CLSB', NULL, NULL, NULL, 15),
(129577, NULL, 'PTHR13817:SF67', NULL, NULL, NULL, NULL, 'MYOPALLADIN', NULL, NULL, NULL, 15),
(129578, NULL, 'PTHR31194:SF117', NULL, NULL, NULL, NULL, 'BNAA02G10340D PROTEIN', NULL, NULL, NULL, 15),
(129579, NULL, 'PTHR15715:SF37', NULL, NULL, NULL, NULL, 'LD47843P', NULL, NULL, NULL, 15),
(129580, NULL, 'PTHR12271:SF120', NULL, NULL, NULL, NULL, 'TERMINAL URIDYLYLTRANSFERASE 4 ISOFORM X1', NULL, NULL, NULL, 15),
(129581, NULL, 'PTHR31132:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(129582, NULL, 'PTHR10263:SF59', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C''''1', NULL, NULL, NULL, 15),
(129583, NULL, 'PTHR31319:SF78', NULL, NULL, NULL, NULL, 'BNAC09G32640D PROTEIN', NULL, NULL, NULL, 15),
(129584, NULL, 'PTHR47216:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE, CATALYTIC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(129585, NULL, 'PTHR24068:SF289', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 16-RELATED', NULL, NULL, NULL, 15),
(129586, NULL, 'PTHR45811:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129587, NULL, 'PTHR22883:SF236', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(129588, NULL, 'PTHR34964:SF6', NULL, NULL, NULL, NULL, 'BNAC03G67890D PROTEIN', NULL, NULL, NULL, 15),
(129589, NULL, 'PTHR14379:SF59', NULL, NULL, NULL, NULL, 'BNAC02G02800D PROTEIN', NULL, NULL, NULL, 15),
(129590, NULL, 'PTHR24123:SF109', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129591, NULL, 'PTHR48054', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21', NULL, NULL, NULL, 15),
(129592, NULL, 'PTHR11010:SF96', NULL, NULL, NULL, NULL, 'PROLYLCARBOXYPEPTIDASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129593, NULL, 'PTHR21593:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG17730', NULL, NULL, NULL, 15),
(129594, NULL, 'PTHR45867:SF2', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(129595, NULL, 'PTHR15852:SF59', NULL, NULL, NULL, NULL, 'BNAA02G17390D PROTEIN', NULL, NULL, NULL, 15),
(129596, NULL, 'PTHR20963:SF37', NULL, NULL, NULL, NULL, 'MULTIPLE INOSITOL-POLYPHOSPHATE PHOSPHATASE 1B', NULL, NULL, NULL, 15),
(129597, NULL, 'PTHR48018:SF162', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8U8', NULL, NULL, NULL, 15),
(129598, NULL, 'PTHR10742:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129599, NULL, 'PTHR33453:SF13', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(129600, NULL, 'PTHR10157:SF41', NULL, NULL, NULL, NULL, 'DBH-LIKE MONOOXYGENASE PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(129601, NULL, 'PTHR35162:SF10', NULL, NULL, NULL, NULL, 'OS06G0659800 PROTEIN', NULL, NULL, NULL, 15),
(129602, NULL, 'PTHR16487:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 2', NULL, NULL, NULL, 15),
(129603, NULL, 'PTHR10614:SF11', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR SUBSTRATE 1', NULL, NULL, NULL, 15),
(129604, NULL, 'PTHR46224:SF10', NULL, NULL, NULL, NULL, 'ANKYRIN-LIKE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(129605, NULL, 'PTHR12995:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 39A', NULL, NULL, NULL, 15),
(129606, NULL, 'PTHR11017:SF403', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(129607, NULL, 'PTHR45676:SF99', NULL, NULL, NULL, NULL, 'CHROMATIN REGULATOR PHD FAMILY-RELATED', NULL, NULL, NULL, 15),
(129608, NULL, 'PTHR11863:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129609, NULL, 'PTHR24230:SF12', NULL, NULL, NULL, NULL, 'CYSTEINYL LEUKOTRIENE RECEPTOR 1', NULL, NULL, NULL, 15),
(129610, NULL, 'PTHR34473', NULL, NULL, NULL, NULL, 'UPF0699 TRANSMEMBRANE PROTEIN YDBS', NULL, NULL, NULL, 15),
(129611, NULL, 'PTHR10634:SF85', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 7', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129612, NULL, 'PTHR11771:SF118', NULL, NULL, NULL, NULL, 'SEED LINOLEATE 9S-LIPOXYGENASE-3', NULL, NULL, NULL, 15),
(129613, NULL, 'PTHR43620:SF27', NULL, NULL, NULL, NULL, 'BNAC03G14220D PROTEIN', NULL, NULL, NULL, 15),
(129614, NULL, 'PTHR16528:SF2', NULL, NULL, NULL, NULL, 'GOLGI-ASSOCIATED PDZ AND COILED-COIL MOTIF-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(129615, NULL, 'PTHR30528', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(129616, NULL, 'PTHR10909:SF380', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, NULL, 15),
(129617, NULL, 'PTHR31790:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129618, NULL, 'PTHR11895:SF167', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT A-RELATED', NULL, NULL, NULL, 15),
(129619, NULL, 'PTHR10177:SF456', NULL, NULL, NULL, NULL, 'CYCLIN-F2-2', NULL, NULL, NULL, 15),
(129620, NULL, 'PTHR10992:SF1057', NULL, NULL, NULL, NULL, 'BNAA04G13770D PROTEIN', NULL, NULL, NULL, 15),
(129621, NULL, 'PTHR15657', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 7784, 15),
(129622, NULL, 'PTHR38436', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE SNOAL-LIKE DOMAIN', NULL, NULL, 8339, 15),
(129623, NULL, 'PTHR30540:SF20', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 6', NULL, NULL, NULL, 15),
(129624, NULL, 'PTHR11771:SF169', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE 5-RELATED', NULL, NULL, NULL, 15),
(129625, NULL, 'PTHR43304:SF1', NULL, NULL, NULL, NULL, 'PHYTOCHROME-LIKE PROTEIN CPH1', NULL, NULL, NULL, 15),
(129626, NULL, 'PTHR31561:SF157', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(129627, NULL, 'PTHR43624:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FIXC', NULL, NULL, NULL, 15),
(129628, NULL, 'PTHR24061:SF441', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR, TYPE 1, MEMBER 2, TANDEM DUPLICATE 2', NULL, NULL, NULL, 15),
(129629, NULL, 'PTHR31165:SF96', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 5', NULL, NULL, NULL, 15),
(129630, NULL, 'PTHR24056:SF475', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 2 HOMOLOG A-LIKE', NULL, NULL, NULL, 15),
(129631, NULL, 'PTHR21646:SF70', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(129632, NULL, 'PTHR42886:SF60', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(129633, NULL, 'PTHR11453:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129634, NULL, 'PTHR24296:SF207', NULL, NULL, NULL, NULL, 'BNAC02G24410D PROTEIN', NULL, NULL, NULL, 15),
(129635, NULL, 'PTHR36987', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 2-LIKE', NULL, NULL, 38287, 15),
(129636, NULL, 'PTHR24228:SF59', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(129637, NULL, 'PTHR33184:SF36', NULL, NULL, NULL, NULL, 'BNAA08G31750D PROTEIN', NULL, NULL, NULL, 15),
(129638, NULL, 'PTHR31790:SF412', NULL, NULL, NULL, NULL, 'BNACNNG39260D PROTEIN', NULL, NULL, NULL, 15),
(129639, NULL, 'PTHR43520:SF6', NULL, NULL, NULL, NULL, 'COPPER-EXPORTING P-TYPE ATPASE', NULL, NULL, NULL, 15),
(129640, NULL, 'PTHR23359:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129641, NULL, 'PTHR46022', NULL, NULL, NULL, NULL, 'PROTEIN PATCHED', NULL, NULL, NULL, 15),
(129642, NULL, 'PTHR45998:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129643, NULL, 'PTHR24305:SF164', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(129644, NULL, 'PTHR22084:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG15707', NULL, NULL, NULL, 15),
(129645, NULL, 'PTHR33021:SF254', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(129646, NULL, 'PTHR32429:SF28', NULL, NULL, NULL, NULL, 'BNAA03G57530D PROTEIN', NULL, NULL, NULL, 15),
(129647, NULL, 'PTHR11871:SF35', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B ALPHA ISOFORM', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129648, NULL, 'PTHR31079:SF31', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 75', NULL, NULL, NULL, 15),
(129649, NULL, 'PTHR10615:SF176', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD-TYPE ZINC FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(129650, NULL, 'PTHR12565:SF327', NULL, NULL, NULL, NULL, 'BHLH-TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(129651, NULL, 'PTHR36049:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(129652, NULL, 'PTHR23349:SF66', NULL, NULL, NULL, NULL, 'TWIST3', NULL, NULL, NULL, 15),
(129653, NULL, 'PTHR34145:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129654, NULL, 'PTHR31175:SF73', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR65', NULL, NULL, NULL, 15),
(129655, NULL, 'PTHR12509:SF9', NULL, NULL, NULL, NULL, 'ZGC:66426', NULL, NULL, NULL, 15),
(129656, NULL, 'PTHR12447:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 13D', NULL, NULL, NULL, 15),
(129657, NULL, 'PTHR47997:SF15', NULL, NULL, NULL, NULL, 'BNACNNG41840D PROTEIN', NULL, NULL, NULL, 15),
(129658, NULL, 'PTHR22924', NULL, NULL, NULL, NULL, 'LEGHEMOGLOBIN-RELATED', NULL, NULL, 2558, 15),
(129659, NULL, 'PTHR19431:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L4', NULL, NULL, NULL, 15),
(129660, NULL, 'PTHR23159:SF39', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129661, NULL, 'PTHR46373:SF2', NULL, NULL, NULL, NULL, 'PROTEIN RKD4', NULL, NULL, NULL, 15),
(129662, NULL, 'PTHR12790:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I SPECIFIC TRANSCRIPTION INITIATION FACTOR RRN3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(129663, NULL, 'PTHR10751:SF42', NULL, NULL, NULL, NULL, 'ATLASTIN-2', NULL, NULL, NULL, 15),
(129664, NULL, 'PTHR34523:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 138', NULL, NULL, NULL, 15),
(129665, NULL, 'PTHR30543:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129666, NULL, 'PTHR10871:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129667, NULL, 'PTHR47959:SF6', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE RECG', NULL, NULL, NULL, 15),
(129668, NULL, 'PTHR22767:SF10', NULL, NULL, NULL, NULL, 'BNAA02G19750D PROTEIN', NULL, NULL, NULL, 15),
(129669, NULL, 'PTHR32116:SF72', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(129670, NULL, 'PTHR33433:SF22', NULL, NULL, NULL, NULL, 'BNAA01G05860D PROTEIN', NULL, NULL, NULL, 15),
(129671, NULL, 'PTHR10912:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129672, NULL, 'PTHR46119', NULL, NULL, NULL, NULL, 'OS08G0405700 PROTEIN', NULL, NULL, 37442, 15),
(129673, NULL, 'PTHR42909', NULL, NULL, NULL, NULL, 'ZGC:136858', NULL, NULL, 5583, 15),
(129674, NULL, 'PTHR11405:SF50', NULL, NULL, NULL, NULL, 'CPSASE', NULL, NULL, NULL, 15),
(129675, NULL, 'PTHR43888:SF12', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN HOMOLOG XDJ1', NULL, NULL, NULL, 15),
(129676, NULL, 'PTHR10684:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 3', NULL, NULL, 27517, 15),
(129677, NULL, 'PTHR33678', NULL, NULL, NULL, NULL, 'BLL1576 PROTEIN', NULL, NULL, NULL, 15),
(129678, NULL, 'PTHR19422:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129679, NULL, 'PTHR23074:SF154', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF K(+) TRANSPORT GROWTH DEFECT 1', NULL, NULL, NULL, 15),
(129680, NULL, 'PTHR31238:SF193', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(129681, NULL, 'PTHR35334:SF4', NULL, NULL, NULL, NULL, 'SERINE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(129682, NULL, 'PTHR31948:SF87', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 12', NULL, NULL, NULL, 15),
(129683, NULL, 'PTHR30111', NULL, NULL, NULL, NULL, '33 KDA CHAPERONIN', NULL, NULL, 4656, 15),
(129684, NULL, 'PTHR11559:SF376', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(129685, NULL, 'PTHR11157:SF69', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129686, NULL, 'PTHR33086:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129687, NULL, 'PTHR33286:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129688, NULL, 'PTHR47321:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(129689, NULL, 'PTHR46326:SF9', NULL, NULL, NULL, NULL, 'CYS2/HIS2 ZINC-FINGER TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(129690, NULL, 'PTHR42794:SF1', NULL, NULL, NULL, NULL, 'HEMIN IMPORT ATP-BINDING PROTEIN HMUV', NULL, NULL, NULL, 15),
(129691, NULL, 'PTHR46116:SF21', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 23-RELATED', NULL, NULL, NULL, 15),
(129692, NULL, 'PTHR33070:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129693, NULL, 'PTHR15446:SF15', NULL, NULL, NULL, NULL, 'UROPLAKIN-3B', NULL, NULL, 21386, 15),
(129694, NULL, 'PTHR15231:SF3', NULL, NULL, NULL, NULL, 'OS01G0166300 PROTEIN', NULL, NULL, NULL, 15),
(129695, NULL, 'PTHR12320:SF63', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(129696, NULL, 'PTHR34777:SF16', NULL, NULL, NULL, NULL, 'BNAA07G39230D PROTEIN', NULL, NULL, NULL, 15),
(129697, NULL, 'PTHR11132:SF394', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129698, NULL, 'PTHR34156:SF6', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129699, NULL, 'PTHR24414:SF164', NULL, NULL, NULL, NULL, 'BNAA05G09230D PROTEIN', NULL, NULL, NULL, 15),
(129700, NULL, 'PTHR10836:SF111', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(129701, NULL, 'PTHR47950:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(129702, NULL, 'PTHR43112:SF16', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(129703, NULL, 'PTHR31235:SF239', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(129704, NULL, 'PTHR24178:SF16', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN-LIKE', NULL, NULL, NULL, 15),
(129705, NULL, 'PTHR21163:SF0', NULL, NULL, NULL, NULL, 'GH08205P-RELATED', NULL, NULL, NULL, 15),
(129706, NULL, 'PTHR10353:SF161', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 43', NULL, NULL, NULL, 15),
(129707, NULL, 'PTHR22930:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129708, NULL, 'PTHR22930:SF211', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1-RELATED', NULL, NULL, NULL, 15),
(129709, NULL, 'PTHR23403:SF6', NULL, NULL, NULL, NULL, 'NEUTRAL TREHALASE-RELATED', NULL, NULL, NULL, 15),
(129710, NULL, 'PTHR10131:SF134', NULL, NULL, NULL, NULL, 'OS12G0181300 PROTEIN', NULL, NULL, NULL, 15),
(129711, NULL, 'PTHR39069:SF4', NULL, NULL, NULL, NULL, 'LD24340P', NULL, NULL, NULL, 15),
(129712, NULL, 'PTHR24418:SF222', NULL, NULL, NULL, NULL, 'SPERMATOCYTE PROTEIN SPE-8', NULL, NULL, NULL, 15),
(129713, NULL, 'PTHR42053:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129714, NULL, 'PTHR23361', NULL, NULL, NULL, NULL, 'MUCIN', NULL, NULL, NULL, 15),
(129715, NULL, 'PTHR10704:SF4', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 6', NULL, NULL, NULL, 15),
(129716, NULL, 'PTHR36410:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(129717, NULL, 'PTHR33077:SF88', NULL, NULL, NULL, NULL, 'BNAC09G36990D PROTEIN', NULL, NULL, NULL, 15),
(129718, NULL, 'PTHR23003:SF36', NULL, NULL, NULL, NULL, 'SERINE AND ARGININE-RICH-SPLICING FACTOR 5A-RELATED', NULL, NULL, NULL, 15),
(129719, NULL, 'PTHR47497:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 8', NULL, NULL, NULL, 15),
(129720, NULL, 'PTHR42264', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129721, NULL, 'PTHR47116:SF13', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(129722, NULL, 'PTHR31325:SF174', NULL, NULL, NULL, NULL, 'OS11G0650250 PROTEIN', NULL, NULL, NULL, 15),
(129723, NULL, 'PTHR24410:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129724, NULL, 'PTHR43550:SF6', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G08050)', NULL, NULL, NULL, 15),
(129725, NULL, 'PTHR31286:SF47', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE CX2CX4HX4C-RELATED', NULL, NULL, NULL, 15),
(129726, NULL, 'PTHR23119', NULL, NULL, NULL, NULL, 'DISCS LARGE', NULL, NULL, NULL, 15),
(129727, NULL, 'PTHR39200', NULL, NULL, NULL, NULL, 'HYPOTHETICAL EXPORTED PROTEIN', NULL, NULL, NULL, 15),
(129728, NULL, 'PTHR47074:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129729, NULL, 'PTHR27008:SF453', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129730, NULL, 'PTHR22907:SF53', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(129731, NULL, 'PTHR23356:SF3', NULL, NULL, NULL, NULL, 'DPY30 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(129732, NULL, 'PTHR24376:SF138', NULL, NULL, NULL, NULL, 'OOCYTE ZINC FINGER PROTEIN XLCOF6-LIKE', NULL, NULL, NULL, 15),
(129733, NULL, 'PTHR11461:SF300', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129734, NULL, 'PTHR12386:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129735, NULL, 'PTHR47673', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(129736, NULL, 'PTHR12628:SF13', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HAT3.1', NULL, NULL, NULL, 15),
(129737, NULL, 'PTHR12741:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129738, NULL, 'PTHR11751:SF311', NULL, NULL, NULL, NULL, 'ALANINE AMINOTRANSFERASE 2', NULL, NULL, NULL, 15),
(129739, NULL, 'PTHR47926:SF72', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129740, NULL, 'PTHR34630:SF22', NULL, NULL, NULL, NULL, 'NBS-LRR RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(129741, NULL, 'PTHR18957', NULL, NULL, NULL, NULL, 'CENTLEIN', NULL, NULL, 34588, 15),
(129742, NULL, 'PTHR11200:SF185', NULL, NULL, NULL, NULL, 'EG:86E4.5 PROTEIN', NULL, NULL, NULL, 15),
(129743, NULL, 'PTHR23213:SF377', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(129744, NULL, 'PTHR33443:SF21', NULL, NULL, NULL, NULL, 'BNAA03G12000D PROTEIN', NULL, NULL, NULL, 15),
(129745, NULL, 'PTHR34931:SF4', NULL, NULL, NULL, NULL, 'GEO12049P1-RELATED', NULL, NULL, NULL, 15),
(129746, NULL, 'PTHR47967:SF17', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(129747, NULL, 'PTHR12320:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129748, NULL, 'PTHR33431:SF12', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP BOX PROTEIN, PUTATIVE (DUF1635)-RELATED', NULL, NULL, NULL, 15),
(129749, NULL, 'PTHR10614:SF9', NULL, NULL, NULL, NULL, 'SI:CH73-335L21.1', NULL, NULL, NULL, 15),
(129750, NULL, 'PTHR15034:SF5', NULL, NULL, NULL, NULL, 'DEATH DOMAIN-CONTAINING PROTEIN CRADD', NULL, NULL, NULL, 15),
(129751, NULL, 'PTHR45807:SF2', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(129752, NULL, 'PTHR14819:SF3', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED VERY LARGE GTPASE 1', NULL, NULL, NULL, 15),
(129753, NULL, 'PTHR10707:SF9', NULL, NULL, NULL, NULL, 'MAINTENANCE OF TELOMERE CAPPING PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(129754, NULL, 'PTHR46425', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR RHO', NULL, NULL, 2999, 15),
(129755, NULL, 'PTHR31871:SF1', NULL, NULL, NULL, NULL, 'OS02G0137100 PROTEIN', NULL, NULL, NULL, 15),
(129756, NULL, 'PTHR22943:SF76', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(129757, NULL, 'PTHR32093:SF135', NULL, NULL, NULL, NULL, 'BNAA01G26320D PROTEIN', NULL, NULL, NULL, 15),
(129758, NULL, 'PTHR11751:SF474', NULL, NULL, NULL, NULL, 'BNAA08G20540D PROTEIN', NULL, NULL, NULL, 15),
(129759, NULL, 'PTHR33076:SF107', NULL, NULL, NULL, NULL, 'LIPID-TRANSFER PROTEIN 3, PUTATIVE-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129760, NULL, 'PTHR46325:SF27', NULL, NULL, NULL, NULL, 'BNAA09G43770D PROTEIN', NULL, NULL, NULL, 15),
(129761, NULL, 'PTHR10281:SF92', NULL, NULL, NULL, NULL, 'NEUDESIN', NULL, NULL, NULL, 15),
(129762, NULL, 'PTHR24300:SF99', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 516A1-RELATED', NULL, NULL, NULL, 15),
(129763, NULL, 'PTHR34223:SF23', NULL, NULL, NULL, NULL, 'OS06G0493266 PROTEIN', NULL, NULL, NULL, 15),
(129764, NULL, 'PTHR22776:SF52', NULL, NULL, NULL, NULL, 'PROTEIN CBG19314', NULL, NULL, NULL, 15),
(129765, NULL, 'PTHR15711:SF54', NULL, NULL, NULL, NULL, 'SIPA (VERTEBRATE SIGNAL-INDUCED PROLIFERATION-ASSOCIATED) HOMOLOG', NULL, NULL, NULL, 15),
(129766, NULL, 'PTHR23358:SF6', NULL, NULL, NULL, NULL, 'DNA N6-METHYL ADENINE DEMETHYLASE', NULL, NULL, NULL, 15),
(129767, NULL, 'PTHR10270:SF107', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-14', NULL, NULL, 26501, 15),
(129768, NULL, 'PTHR22814:SF341', NULL, NULL, NULL, NULL, 'BNAC04G24790D PROTEIN', NULL, NULL, NULL, 15),
(129769, NULL, 'PTHR33348:SF27', NULL, NULL, NULL, NULL, 'BNAA02G34620D PROTEIN', NULL, NULL, NULL, 15),
(129770, NULL, 'PTHR19871:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129771, NULL, 'PTHR10890:SF27', NULL, NULL, NULL, NULL, 'CYSTEINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(129772, NULL, 'PTHR15371:SF23', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM23-3', NULL, NULL, NULL, 15),
(129773, NULL, 'PTHR23257:SF774', NULL, NULL, NULL, NULL, 'KINASE SUPERFAMILY WITH OCTICOSAPEPTIDE/PHOX/BEM1P DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(129774, NULL, 'PTHR10540:SF12', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 7', NULL, NULL, NULL, 15),
(129775, NULL, 'PTHR43574:SF28', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 6', NULL, NULL, NULL, 15),
(129776, NULL, 'PTHR45755:SF4', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 7', NULL, NULL, NULL, 15),
(129777, NULL, 'PTHR45671:SF17', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(129778, NULL, 'PTHR13088', NULL, NULL, NULL, NULL, 'FAS APOPTOTIC INHIBITORY MOLECULE FAIM', NULL, NULL, 10307, 15),
(129779, NULL, 'PTHR30055:SF160', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY ASNC-FAMILY)-RELATED', NULL, NULL, NULL, 15),
(129780, NULL, 'PTHR36131:SF1', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 8-1', NULL, NULL, NULL, 15),
(129781, NULL, 'PTHR10460:SF0', NULL, NULL, NULL, NULL, 'ABELSON INTERACTING PROTEIN, ISOFORM D', NULL, NULL, NULL, 15),
(129782, NULL, 'PTHR47694:SF1', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(129783, NULL, 'PTHR11588:SF43', NULL, NULL, NULL, NULL, 'TUBULIN BETA-3 CHAIN', NULL, NULL, NULL, 15),
(129784, NULL, 'PTHR23222:SF21', NULL, NULL, NULL, NULL, 'PROHIBITIN-3, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(129785, NULL, 'PTHR34693', NULL, NULL, NULL, NULL, 'PROTEIN PAR32', NULL, NULL, NULL, 15),
(129786, NULL, 'PTHR23320:SF139', NULL, NULL, NULL, NULL, 'MCG12892', NULL, NULL, NULL, 15),
(129787, NULL, 'PTHR11685:SF274', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(129788, NULL, 'PTHR31286:SF80', NULL, NULL, NULL, NULL, 'BNAA09G38560D PROTEIN', NULL, NULL, NULL, 15),
(129789, NULL, 'PTHR46033:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(129790, NULL, 'PTHR31325:SF212', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129791, NULL, 'PTHR35828:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129792, NULL, 'PTHR48016:SF9', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 14', NULL, NULL, 18821, 15),
(129793, NULL, 'PTHR22792:SF108', NULL, NULL, NULL, NULL, 'LA DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(129794, NULL, 'PTHR33221:SF4', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR NSRR', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129795, NULL, 'PTHR11571:SF101', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE A4', NULL, NULL, NULL, 15),
(129796, NULL, 'PTHR33740:SF1', NULL, NULL, NULL, NULL, 'SLH DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(129797, NULL, 'PTHR10974:SF66', NULL, NULL, NULL, NULL, 'PROTEIN CBG09726', NULL, NULL, NULL, 15),
(129798, NULL, 'PTHR30352:SF13', NULL, NULL, NULL, NULL, 'GLYCYL-RADICAL ENZYME ACTIVATING ENZYME YJJW-RELATED', NULL, NULL, NULL, 15),
(129799, NULL, 'PTHR10339:SF19', NULL, NULL, NULL, NULL, 'GPI-LINKED NAD(P)(+)--ARGININE ADP-RIBOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(129800, NULL, 'PTHR11177:SF370', NULL, NULL, NULL, NULL, 'CLASS V CHITINASE CHIB1 (AFU_ORTHOLOGUE AFUA_8G01410)', NULL, NULL, NULL, 15),
(129801, NULL, 'PTHR48012:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 24', NULL, NULL, NULL, 15),
(129802, NULL, 'PTHR12137:SF15', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(129803, NULL, 'PTHR46301:SF9', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 13', NULL, NULL, NULL, 15),
(129804, NULL, 'PTHR10963:SF32', NULL, NULL, NULL, NULL, 'TRANSGLYCOSIDASE, GH16 FAMILY (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(129805, NULL, 'PTHR48002:SF66', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(129806, NULL, 'PTHR48015:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129807, NULL, 'PTHR11588:SF404', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(129808, NULL, 'PTHR24062:SF22', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(129809, NULL, 'PTHR43327:SF41', NULL, NULL, NULL, NULL, 'BAND 7 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129810, NULL, 'PTHR47584', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129811, NULL, 'PTHR46240:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ULK4', NULL, NULL, NULL, 15),
(129812, NULL, 'PTHR14974:SF3', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 1700025G04 GENE', NULL, NULL, NULL, 15),
(129813, NULL, 'PTHR34862', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129814, NULL, 'PTHR38122', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129815, NULL, 'PTHR11640:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129816, NULL, 'PTHR23302:SF43', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(129817, NULL, 'PTHR14949:SF21', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(129818, NULL, 'PTHR43148', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE 2', NULL, NULL, 19650, 15),
(129819, NULL, 'PTHR31233:SF3', NULL, NULL, NULL, NULL, 'PROTEIN BICAUDAL D HOMOLOG 1', NULL, NULL, NULL, 15),
(129820, NULL, 'PTHR13620:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129821, NULL, 'PTHR46994:SF1', NULL, NULL, NULL, NULL, '5''-METHYLTHIOADENOSINE/S-ADENOSYLHOMOCYSTEINE NUCLEOSIDASE 1', NULL, NULL, NULL, 15),
(129822, NULL, 'PTHR13146:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(129823, NULL, 'PTHR22762:SF127', NULL, NULL, NULL, NULL, 'ALPHA-XYLOSIDASE 1-RELATED', NULL, NULL, NULL, 15),
(129824, NULL, 'PTHR16231:SF11', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(129825, NULL, 'PTHR24383:SF13', NULL, NULL, NULL, NULL, 'FLT3-INTERACTING ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(129826, NULL, 'PTHR45654:SF25', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG7', NULL, NULL, NULL, 15),
(129827, NULL, 'PTHR31656:SF45', NULL, NULL, NULL, NULL, 'BNAA01G26120D PROTEIN', NULL, NULL, NULL, 15),
(129828, NULL, 'PTHR23267:SF438', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 18', NULL, NULL, NULL, 15),
(129829, NULL, 'PTHR43859:SF28', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 10-RELATED', NULL, NULL, NULL, 15),
(129830, NULL, 'PTHR38973', NULL, NULL, NULL, NULL, 'PLASMID PARTITIONING CONTROL PROTEIN-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129831, NULL, 'PTHR11746:SF161', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE ZRP4', NULL, NULL, NULL, 15),
(129832, NULL, 'PTHR20855:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129833, NULL, 'PTHR47003:SF3', NULL, NULL, NULL, NULL, 'BNAC09G41880D PROTEIN', NULL, NULL, NULL, 15),
(129834, NULL, 'PTHR10174:SF73', NULL, NULL, NULL, NULL, 'CLAVESIN-2', NULL, NULL, 24482, 15),
(129835, NULL, 'PTHR33162:SF7', NULL, NULL, NULL, NULL, 'BNAA03G12600D PROTEIN', NULL, NULL, NULL, 15),
(129836, NULL, 'PTHR19229:SF237', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 10', NULL, NULL, NULL, 15),
(129837, NULL, 'PTHR34404:SF1', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, FMDB FAMILY', NULL, NULL, NULL, 15),
(129838, NULL, 'PTHR12062:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129839, NULL, 'PTHR13058:SF24', NULL, NULL, NULL, NULL, 'THREE PRIME REPAIR EXONUCLEASE 2', NULL, NULL, 31282, 15),
(129840, NULL, 'PTHR31325:SF35', NULL, NULL, NULL, NULL, 'OS06G0703300 PROTEIN', NULL, NULL, NULL, 15),
(129841, NULL, 'PTHR31376:SF60', NULL, NULL, NULL, NULL, 'OS09G0467400 PROTEIN', NULL, NULL, NULL, 15),
(129842, NULL, 'PTHR46168:SF20', NULL, NULL, NULL, NULL, 'BNAA04G26900D PROTEIN', NULL, NULL, NULL, 15),
(129843, NULL, 'PTHR24355:SF22', NULL, NULL, NULL, NULL, 'BETA-ADRENERGIC RECEPTOR KINASE 1', NULL, NULL, NULL, 15),
(129844, NULL, 'PTHR47784:SF7', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(129845, NULL, 'PTHR43205:SF40', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129846, NULL, 'PTHR31718:SF44', NULL, NULL, NULL, NULL, 'BNAC04G47710D PROTEIN', NULL, NULL, NULL, 15),
(129847, NULL, 'PTHR24177:SF299', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129848, NULL, 'PTHR21654:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129849, NULL, 'PTHR32263:SF30', NULL, NULL, NULL, NULL, 'BNAA09G30950D PROTEIN', NULL, NULL, NULL, 15),
(129850, NULL, 'PTHR43039:SF12', NULL, NULL, NULL, NULL, 'ESTERASE D14L-RELATED', NULL, NULL, NULL, 15),
(129851, NULL, 'PTHR11214:SF93', NULL, NULL, NULL, NULL, 'UDP-GLCNAC:BETAGAL BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE 7', NULL, NULL, NULL, 15),
(129852, NULL, 'PTHR11911:SF122', NULL, NULL, NULL, NULL, 'GMP REDUCTASE', NULL, NULL, NULL, 15),
(129853, NULL, 'PTHR34271:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129854, NULL, 'PTHR43645', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(129855, NULL, 'PTHR48105:SF12', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE', NULL, NULL, NULL, 15),
(129856, NULL, 'PTHR11339:SF371', NULL, NULL, NULL, NULL, 'MUCIN-5AC', NULL, NULL, NULL, 15),
(129857, NULL, 'PTHR33326:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129858, NULL, 'PTHR10788:SF55', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE (UDP-FORMING)-RELATED', NULL, NULL, NULL, 15),
(129859, NULL, 'PTHR33446:SF11', NULL, NULL, NULL, NULL, 'TONB PROTEIN', NULL, NULL, NULL, 15),
(129860, NULL, 'PTHR33509:SF21', NULL, NULL, NULL, NULL, 'OS02G0564600 PROTEIN', NULL, NULL, NULL, 15),
(129861, NULL, 'PTHR46762:SF1', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(129862, NULL, 'PTHR19959', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(129863, NULL, 'PTHR19282:SF442', NULL, NULL, NULL, NULL, 'CD151 ANTIGEN', NULL, NULL, NULL, 15),
(129864, NULL, 'PTHR15241:SF346', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1 ISOFORM X1', NULL, NULL, NULL, 15),
(129865, NULL, 'PTHR31124:SF8', NULL, NULL, NULL, NULL, 'BNAA09G19790D PROTEIN', NULL, NULL, NULL, 15),
(129866, NULL, 'PTHR32175:SF20', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(129867, NULL, 'PTHR24073:SF1136', NULL, NULL, NULL, NULL, 'RAB38B, MEMBER OF RAS ONCOGENE FAMILY', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129868, NULL, 'PTHR31045:SF24', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(129869, NULL, 'PTHR26453:SF15', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(129870, NULL, 'PTHR11012:SF56', NULL, NULL, NULL, NULL, 'EG:34F3.5 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129871, NULL, 'PTHR30258:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN HOFB HOMOLOG', NULL, NULL, NULL, 15),
(129872, NULL, 'PTHR39193:SF1', NULL, NULL, NULL, NULL, '5-DEOXY-GLUCURONATE ISOMERASE', NULL, NULL, NULL, 15),
(129873, NULL, 'PTHR10224:SF16', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE-LIKE CLASS 1 DOMAIN-CONTAINING PROTEIN 3A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(129874, NULL, 'PTHR24637:SF243', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(129875, NULL, 'PTHR43394', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PERMEASE MDL1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(129876, NULL, 'PTHR23001:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129877, NULL, 'PTHR19282:SF28', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(129878, NULL, 'PTHR46621', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(129879, NULL, 'PTHR22751:SF285', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(129880, NULL, 'PTHR10795:SF682', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129881, NULL, 'PTHR43439:SF1', NULL, NULL, NULL, NULL, 'PHENYLACETATE-COENZYME A LIGASE', NULL, NULL, NULL, 15),
(129882, NULL, 'PTHR28236', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L44, MITOCHONDRIAL', NULL, NULL, 39076, 15),
(129883, NULL, 'PTHR33091:SF62', NULL, NULL, NULL, NULL, 'PROTEASE INHIBITOR PROTEIN', NULL, NULL, NULL, 15),
(129884, NULL, 'PTHR24637:SF350', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(129885, NULL, 'PTHR12448:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT EPSILON, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(129886, NULL, 'PTHR47928:SF110', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(129887, NULL, 'PTHR12815:SF43', NULL, NULL, NULL, NULL, 'SORTING AND ASSEMBLY MACHINERY COMPONENT 50 HOMOLOG B', NULL, NULL, NULL, 15),
(129888, NULL, 'PTHR43859:SF42', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 8-RELATED', NULL, NULL, NULL, 15),
(129889, NULL, 'PTHR30582:SF13', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE ERFK/SRFK-RELATED', NULL, NULL, NULL, 15),
(129890, NULL, 'PTHR31221:SF146', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 68', NULL, NULL, NULL, 15),
(129891, NULL, 'PTHR43859:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129892, NULL, 'PTHR12474:SF4', NULL, NULL, NULL, NULL, 'SESTRIN-3', NULL, NULL, NULL, 15),
(129893, NULL, 'PTHR33021:SF361', NULL, NULL, NULL, NULL, 'NTEPC', NULL, NULL, NULL, 15),
(129894, NULL, 'PTHR24006:SF814', NULL, NULL, NULL, NULL, 'BNAA03G46800D PROTEIN', NULL, NULL, NULL, 15),
(129895, NULL, 'PTHR31062:SF194', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 3', NULL, NULL, NULL, 15),
(129896, NULL, 'PTHR45614:SF119', NULL, NULL, NULL, NULL, 'BNAA04G10300D PROTEIN', NULL, NULL, NULL, 15),
(129897, NULL, 'PTHR30189', NULL, NULL, NULL, NULL, 'LPS-ASSEMBLY PROTEIN', NULL, NULL, NULL, 15),
(129898, NULL, 'PTHR31604:SF28', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 6', NULL, NULL, NULL, 15),
(129899, NULL, 'PTHR12300:SF139', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN E', NULL, NULL, NULL, 15),
(129900, NULL, 'PTHR45883:SF2', NULL, NULL, NULL, NULL, 'HSC70-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(129901, NULL, 'PTHR11927:SF10', NULL, NULL, NULL, NULL, 'L-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(129902, NULL, 'PTHR48002:SF75', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C45', NULL, NULL, NULL, 15),
(129903, NULL, 'PTHR16320:SF1', NULL, NULL, NULL, NULL, 'SPHINGOMYELINASE DDB_G0288017', NULL, NULL, NULL, 15),
(129904, NULL, 'PTHR24056:SF171', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 20', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129905, NULL, 'PTHR37425', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 7774, 15),
(129906, NULL, 'PTHR11746:SF243', NULL, NULL, NULL, NULL, 'BNAC07G48680D PROTEIN', NULL, NULL, NULL, 15),
(129907, NULL, 'PTHR38613:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG03047', NULL, NULL, NULL, 15),
(129908, NULL, 'PTHR11360:SF229', NULL, NULL, NULL, NULL, 'AGAP007601-PA', NULL, NULL, NULL, 15),
(129909, NULL, 'PTHR14519:SF0', NULL, NULL, NULL, NULL, 'VITAMIN K EPOXIDE REDUCTASE COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(129910, NULL, 'PTHR10003:SF85', NULL, NULL, NULL, NULL, 'BNAA08G24700D PROTEIN', NULL, NULL, NULL, 15),
(129911, NULL, 'PTHR46283:SF2', NULL, NULL, NULL, NULL, 'AT07234P-RELATED', NULL, NULL, NULL, 15),
(129912, NULL, 'PTHR10969:SF33', NULL, NULL, NULL, NULL, 'GABA(A) RECEPTOR-ASSOCIATED PROTEIN B', NULL, NULL, NULL, 15),
(129913, NULL, 'PTHR31659:SF32', NULL, NULL, NULL, NULL, 'BNAC01G39210D PROTEIN', NULL, NULL, NULL, 15),
(129914, NULL, 'PTHR23147:SF63', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SR34A', NULL, NULL, NULL, 15),
(129915, NULL, 'PTHR12304:SF53', NULL, NULL, NULL, NULL, 'URIDINE NUCLEOSIDASE 2-RELATED', NULL, NULL, NULL, 15),
(129916, NULL, 'PTHR31481', NULL, NULL, NULL, NULL, 'RELT-LIKE PROTEIN 2 RELL2', NULL, NULL, 38118, 15),
(129917, NULL, 'PTHR28088:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRISEA, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13190)-RELATED', NULL, NULL, NULL, 15),
(129918, NULL, 'PTHR11772:SF42', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING]', NULL, NULL, NULL, 15),
(129919, NULL, 'PTHR10366:SF689', NULL, NULL, NULL, NULL, 'PROTEIN BRI1-5 ENHANCED 1', NULL, NULL, NULL, 15),
(129920, NULL, 'PTHR24006:SF795', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(129921, NULL, 'PTHR21576:SF86', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', NULL, NULL, NULL, 15),
(129922, NULL, 'PTHR31087:SF80', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 2', NULL, NULL, NULL, 15),
(129923, NULL, 'PTHR38614:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG03529', NULL, NULL, NULL, 15),
(129924, NULL, 'PTHR43236:SF1', NULL, NULL, NULL, NULL, 'ANTITOXIN HIGA1', NULL, NULL, NULL, 15),
(129925, NULL, 'PTHR45871', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYL-PHOSPHATIDYLINOSITOL BIOSYNTHETIC PROTEIN', NULL, NULL, NULL, 15),
(129926, NULL, 'PTHR32295:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129927, NULL, 'PTHR31650:SF44', NULL, NULL, NULL, NULL, 'EMB|CAB66399.1-RELATED', NULL, NULL, NULL, 15),
(129928, NULL, 'PTHR13814:SF15', NULL, NULL, NULL, NULL, 'SI:CH211-262H13.5', NULL, NULL, NULL, 15),
(129929, NULL, 'PTHR47967:SF25', NULL, NULL, NULL, NULL, 'OS06G0209100 PROTEIN', NULL, NULL, NULL, 15),
(129930, NULL, 'PTHR42281', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 7364, 15),
(129931, NULL, 'PTHR22802:SF194', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(129932, NULL, 'PTHR43874:SF135', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(129933, NULL, 'PTHR13697:SF54', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(129934, NULL, 'PTHR24070:SF429', NULL, NULL, NULL, NULL, 'PROTEIN CBG01632', NULL, NULL, NULL, 15),
(129935, NULL, 'PTHR30146:SF119', NULL, NULL, NULL, NULL, 'LACI FAMILY REGULATOR-RELATED', NULL, NULL, NULL, 15),
(129936, NULL, 'PTHR15223:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(129937, NULL, 'PTHR47058:SF4', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 14 KDA SUBUNIT A', NULL, NULL, NULL, 15),
(129938, NULL, 'PTHR22974:SF20', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TOUSLED-LIKE 2', NULL, NULL, 27850, 15),
(129939, NULL, 'PTHR11070:SF30', NULL, NULL, NULL, NULL, 'F-BOX DNA HELICASE 1', NULL, NULL, NULL, 15),
(129940, NULL, 'PTHR47791', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 191 PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129941, NULL, 'PTHR33214:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129942, NULL, 'PTHR35819:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129943, NULL, 'PTHR10906', NULL, NULL, NULL, NULL, 'SECY/SEC61-ALPHA FAMILY MEMBER', NULL, NULL, 147, 15),
(129944, NULL, 'PTHR20937:SF17', NULL, NULL, NULL, NULL, 'MESODERM POSTERIOR PROTEIN 2', NULL, NULL, NULL, 15),
(129945, NULL, 'PTHR47995', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB33-RELATED', NULL, NULL, NULL, 15),
(129946, NULL, 'PTHR37192:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129947, NULL, 'PTHR46991:SF8', NULL, NULL, NULL, NULL, 'HEAT SHOCK 22 KDA PROTEIN, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(129948, NULL, 'PTHR33179', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', NULL, NULL, 29443, 15),
(129949, NULL, 'PTHR13415', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR-RELATED', NULL, NULL, NULL, 15),
(129950, NULL, 'PTHR31197:SF23', NULL, NULL, NULL, NULL, 'OSJNBA0064H22.8 PROTEIN', NULL, NULL, NULL, 15),
(129951, NULL, 'PTHR45621:SF111', NULL, NULL, NULL, NULL, 'OS07G0686800 PROTEIN', NULL, NULL, NULL, 15),
(129952, NULL, 'PTHR24377:SF436', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 940', NULL, NULL, NULL, 15),
(129953, NULL, 'PTHR33600:SF4', NULL, NULL, NULL, NULL, 'PLASTID DIVISION PROTEIN PDV1', NULL, NULL, NULL, 15),
(129954, NULL, 'PTHR46397:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(129955, NULL, 'PTHR24089:SF59', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL THIAMINE PYROPHOSPHATE CARRIER', NULL, NULL, NULL, 15),
(129956, NULL, 'PTHR12801:SF138', NULL, NULL, NULL, NULL, 'FI18136P1-RELATED', NULL, NULL, NULL, 15),
(129957, NULL, 'PTHR45764', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 44', NULL, NULL, NULL, 15),
(129958, NULL, 'PTHR11461:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129959, NULL, 'PTHR31998:SF48', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGIZED VACUOLAR MEMBRANE PROTON PUMP', NULL, NULL, NULL, 15),
(129960, NULL, 'PTHR31147:SF12', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 8', NULL, NULL, NULL, 15),
(129961, NULL, 'PTHR38438:SF1', NULL, NULL, NULL, NULL, 'RIBOFLAVIN TRANSPORTER RIBU', NULL, NULL, NULL, 15),
(129962, NULL, 'PTHR31871:SF28', NULL, NULL, NULL, NULL, 'BNAC04G01240D PROTEIN', NULL, NULL, NULL, 15),
(129963, NULL, 'PTHR22574:SF13', NULL, NULL, NULL, NULL, 'PROTEIN FAM71F1', NULL, NULL, NULL, 15),
(129964, NULL, 'PTHR13026', NULL, NULL, NULL, NULL, 'NNP-1 PROTEIN  NOVEL NUCLEAR PROTEIN 1   NOP52', NULL, NULL, 7914, 15),
(129965, NULL, 'PTHR31579:SF38', NULL, NULL, NULL, NULL, 'OS07G0181500 PROTEIN', NULL, NULL, NULL, 15),
(129966, NULL, 'PTHR47979:SF7', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 27 HOMOLOG', NULL, NULL, NULL, 15),
(129967, NULL, 'PTHR33132:SF61', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129968, NULL, 'PTHR23500:SF452', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(129969, NULL, 'PTHR15298:SF4', NULL, NULL, NULL, NULL, 'GLYCINE N-ACYLTRANSFERASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(129970, NULL, 'PTHR36495', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129971, NULL, 'PTHR33248:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129972, NULL, 'PTHR40065', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN YHBY', NULL, NULL, NULL, 15),
(129973, NULL, 'PTHR10110:SF99', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15),
(129974, NULL, 'PTHR31599:SF2', NULL, NULL, NULL, NULL, 'CALCIUM UP-REGULATED PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(129975, NULL, 'PTHR47985:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDG1', NULL, NULL, NULL, 15),
(129976, NULL, 'PTHR16784:SF2', NULL, NULL, NULL, NULL, 'ENAMELIN', NULL, NULL, NULL, 15),
(129977, NULL, 'PTHR12537:SF117', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(129978, NULL, 'PTHR30093:SF33', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN G', NULL, NULL, NULL, 15),
(129979, NULL, 'PTHR43243:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE AU018091', NULL, NULL, NULL, 15),
(129980, NULL, 'PTHR23032:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(129981, NULL, 'PTHR11984:SF6', NULL, NULL, NULL, NULL, 'GAP JUNCTION GAMMA-1 PROTEIN', NULL, NULL, NULL, 15),
(129982, NULL, 'PTHR13018:SF109', NULL, NULL, NULL, NULL, 'CSC1-LIKE PROTEIN HYP1', NULL, NULL, NULL, 15),
(129983, NULL, 'PTHR12317:SF70', NULL, NULL, NULL, NULL, '2-ACYLGLYCEROL O-ACYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(129984, NULL, 'PTHR43976', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE', NULL, NULL, NULL, 15),
(129985, NULL, 'PTHR31602:SF42', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 2', NULL, NULL, NULL, 15),
(129986, NULL, 'PTHR11743:SF64', NULL, NULL, NULL, NULL, 'BNAA05G37480D PROTEIN', NULL, NULL, NULL, 15),
(129987, NULL, 'PTHR34450:SF3', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 242-RELATED', NULL, NULL, NULL, 15),
(129988, NULL, 'PTHR48048:SF7', NULL, NULL, NULL, NULL, 'OS05G0527700 PROTEIN', NULL, NULL, NULL, 15),
(129989, NULL, 'PTHR45707:SF61', NULL, NULL, NULL, NULL, 'PROTEIN QUIRKY-LIKE', NULL, NULL, NULL, 15),
(129990, NULL, 'PTHR34129', NULL, NULL, NULL, NULL, 'BLR1139 PROTEIN', NULL, NULL, 13869, 15),
(129991, NULL, 'PTHR31683:SF120', NULL, NULL, NULL, NULL, 'OS04G0137100 PROTEIN', NULL, NULL, NULL, 15),
(129992, NULL, 'PTHR31669:SF208', NULL, NULL, NULL, NULL, 'OS06G0517100 PROTEIN', NULL, NULL, NULL, 15),
(129993, NULL, 'PTHR43243:SF61', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 6 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(129994, NULL, 'PTHR22951:SF96', NULL, NULL, NULL, NULL, 'BNAA02G25770D PROTEIN', NULL, NULL, NULL, 15),
(129995, NULL, 'PTHR47992:SF67', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C', NULL, NULL, NULL, 15),
(129996, NULL, 'PTHR19965:SF75', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(129997, NULL, 'PTHR22802:SF342', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN WITH A LECTIN C-TYPE DOMAIN', NULL, NULL, NULL, 15),
(129998, NULL, 'PTHR43670:SF63', NULL, NULL, NULL, NULL, 'HEAT-SHOCK PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(129999, NULL, 'PTHR45771:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A4', NULL, NULL, NULL, 15),
(130000, NULL, 'PTHR24056:SF484', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130001, NULL, 'PTHR33128:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130002, NULL, 'PTHR28043', NULL, NULL, NULL, NULL, 'INCREASED RECOMBINATION CENTERS PROTEIN 6', NULL, NULL, 17959, 15),
(130003, NULL, 'PTHR45770:SF34', NULL, NULL, NULL, NULL, 'BNAANNG40390D PROTEIN', NULL, NULL, NULL, 15),
(130004, NULL, 'PTHR24222:SF50', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 9-LIKE ISOFORM X2', NULL, NULL, NULL, 15),
(130005, NULL, 'PTHR23070:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130006, NULL, 'PTHR33149:SF12', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', NULL, NULL, NULL, 15),
(130007, NULL, 'PTHR10204:SF33', NULL, NULL, NULL, NULL, 'RIBOSYLDIHYDRONICOTINAMIDE DEHYDROGENASE [QUINONE]', NULL, NULL, NULL, 15),
(130008, NULL, 'PTHR34098:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02863', NULL, NULL, NULL, 15),
(130009, NULL, 'PTHR47883:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130010, NULL, 'PTHR23092:SF48', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(130011, NULL, 'PTHR11426:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130012, NULL, 'PTHR37002:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130013, NULL, 'PTHR31008:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130014, NULL, 'PTHR23277:SF107', NULL, NULL, NULL, NULL, 'HEMICENTIN-1', NULL, NULL, NULL, 15),
(130015, NULL, 'PTHR45764:SF14', NULL, NULL, NULL, NULL, 'OS09G0474000 PROTEIN', NULL, NULL, NULL, 15),
(130016, NULL, 'PTHR24349:SF312', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 26-LIKE', NULL, NULL, NULL, 15),
(130017, NULL, 'PTHR43514:SF4', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 10', NULL, NULL, NULL, 15),
(130018, NULL, 'PTHR21446', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130019, NULL, 'PTHR23073:SF24', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 4', NULL, NULL, NULL, 15),
(130020, NULL, 'PTHR33416:SF17', NULL, NULL, NULL, NULL, 'PROTEIN KAKU4', NULL, NULL, NULL, 15),
(130021, NULL, 'PTHR21343', NULL, NULL, NULL, NULL, 'DETHIOBIOTIN SYNTHETASE', NULL, NULL, NULL, 15),
(130022, NULL, 'PTHR31307:SF49', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE TRANSCRIPTION FACTOR MYB/SANT-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(130023, NULL, 'PTHR31942:SF83', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(130024, NULL, 'PTHR25465:SF11', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF CONTAINING 14', NULL, NULL, NULL, 15),
(130025, NULL, 'PTHR47504:SF6', NULL, NULL, NULL, NULL, 'ARAC-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(130026, NULL, 'PTHR33143:SF3', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 17-RELATED', NULL, NULL, 31236, 15),
(130027, NULL, 'PTHR33734:SF21', NULL, NULL, NULL, NULL, 'TRANSGLYCOSYLASE SLT DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(130028, NULL, 'PTHR34377:SF3', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(130029, NULL, 'PTHR35882', NULL, NULL, NULL, NULL, 'PELA', NULL, NULL, NULL, 15),
(130030, NULL, 'PTHR10328', NULL, NULL, NULL, NULL, 'PROTEIN MAX  MYC-ASSOCIATED FACTOR X', NULL, NULL, 35735, 15),
(130031, NULL, 'PTHR11452:SF78', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(130032, NULL, 'PTHR14113:SF11', NULL, NULL, NULL, NULL, 'PICCOLO PRESYNAPTIC CYTOMATRIX PROTEIN A', NULL, NULL, NULL, 15),
(130033, NULL, 'PTHR31356:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130034, NULL, 'PTHR19232:SF10', NULL, NULL, NULL, NULL, 'CEREBELLAR DEGENERATION-RELATED PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(130035, NULL, 'PTHR33257:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130036, NULL, 'PTHR14493:SF87', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 66', NULL, NULL, NULL, 15),
(130037, NULL, 'PTHR11002:SF54', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(130038, NULL, 'PTHR10201:SF275', NULL, NULL, NULL, NULL, 'BNAC06G31300D PROTEIN', NULL, NULL, NULL, 15),
(130039, NULL, 'PTHR11886', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, 464, 15),
(130040, NULL, 'PTHR43364:SF13', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT OXIDOREDUCTASE DOMAIN', NULL, NULL, NULL, 15),
(130041, NULL, 'PTHR46923:SF1', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(130042, NULL, 'PTHR22943:SF59', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(130043, NULL, 'PTHR10795:SF664', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9', NULL, NULL, NULL, 15),
(130044, NULL, 'PTHR22298:SF52', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 16', NULL, NULL, NULL, 15),
(130045, NULL, 'PTHR33377:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130046, NULL, 'PTHR15892:SF2', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L30, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(130047, NULL, 'PTHR43547:SF14', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE C', NULL, NULL, NULL, 15),
(130048, NULL, 'PTHR24062:SF47', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(130049, NULL, 'PTHR46084:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130050, NULL, 'PTHR43152:SF3', NULL, NULL, NULL, NULL, 'UVRABC SYSTEM PROTEIN A', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130051, NULL, 'PTHR43574:SF38', NULL, NULL, NULL, NULL, 'OS01G0367400 PROTEIN', NULL, NULL, NULL, 15),
(130052, NULL, 'PTHR48056:SF21', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IRK-RELATED', NULL, NULL, NULL, 15),
(130053, NULL, 'PTHR12161:SF46', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN IST1-RELATED', NULL, NULL, NULL, 15),
(130054, NULL, 'PTHR21717:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130055, NULL, 'PTHR10361:SF61', NULL, NULL, NULL, NULL, 'SODIUM/METABOLITE COTRANSPORTER BASS5, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(130056, NULL, 'PTHR24416:SF125', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-1 RECEPTOR', NULL, NULL, NULL, 15),
(130057, NULL, 'PTHR47972:SF3', NULL, NULL, NULL, NULL, 'KINESIN-4-LIKE', NULL, NULL, NULL, 15),
(130058, NULL, 'PTHR12398:SF8', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2810408A11 GENE', NULL, NULL, NULL, 15),
(130059, NULL, 'PTHR24240:SF59', NULL, NULL, NULL, NULL, 'OPSIN 4XB', NULL, NULL, NULL, 15),
(130060, NULL, 'PTHR47933:SF29', NULL, NULL, NULL, NULL, 'OS03G0208600 PROTEIN', NULL, NULL, NULL, 15),
(130061, NULL, 'PTHR11932', NULL, NULL, NULL, NULL, 'CULLIN', NULL, NULL, 39163, 15),
(130062, NULL, 'PTHR45933:SF29', NULL, NULL, NULL, NULL, 'BNAC07G48820D PROTEIN', NULL, NULL, NULL, 15),
(130063, NULL, 'PTHR11886:SF86', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(130064, NULL, 'PTHR30065:SF7', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS PROTEIN SSAT', NULL, NULL, NULL, 15),
(130065, NULL, 'PTHR31238:SF102', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 8-7', NULL, NULL, NULL, 15),
(130066, NULL, 'PTHR19932:SF10', NULL, NULL, NULL, NULL, 'WD REPEAT AND HMG-BOX DNA-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(130067, NULL, 'PTHR12570:SF75', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(130068, NULL, 'PTHR10372:SF8', NULL, NULL, NULL, NULL, 'PLAKOPHILIN-4', NULL, NULL, 22133, 15),
(130069, NULL, 'PTHR23226:SF229', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 234', NULL, NULL, NULL, 15),
(130070, NULL, 'PTHR48041:SF66', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 22-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(130071, NULL, 'PTHR11863:SF51', NULL, NULL, NULL, NULL, 'OS03G0108500 PROTEIN', NULL, NULL, NULL, 15),
(130072, NULL, 'PTHR23333:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130073, NULL, 'PTHR24349:SF370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130074, NULL, 'PTHR42873:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(130075, NULL, 'PTHR13096:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL OXYGENASE 1', NULL, NULL, 18640, 15),
(130076, NULL, 'PTHR11537:SF263', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, KQT-LIKE SUBFAMILY, MEMBER 2A', NULL, NULL, NULL, 15),
(130077, NULL, 'PTHR13809:SF53', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(130078, NULL, 'PTHR48032:SF6', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MUSASHI HOMOLOG RBP6', NULL, NULL, NULL, 15),
(130079, NULL, 'PTHR27008:SF337', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130080, NULL, 'PTHR24015:SF1795', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(130081, NULL, 'PTHR12565:SF354', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BEE 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(130082, NULL, 'PTHR13675:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE ASSEMBLY FACTOR 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(130083, NULL, 'PTHR24326:SF593', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130084, NULL, 'PTHR47955:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A22-LIKE', NULL, NULL, NULL, 15),
(130085, NULL, 'PTHR21576:SF78', NULL, NULL, NULL, NULL, 'OS09G0536700 PROTEIN', NULL, NULL, NULL, 15),
(130086, NULL, 'PTHR13117:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RFT1 HOMOLOG', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130087, NULL, 'PTHR31221:SF213', NULL, NULL, NULL, NULL, 'OS05G0565900 PROTEIN', NULL, NULL, NULL, 15),
(130088, NULL, 'PTHR31218:SF320', NULL, NULL, NULL, NULL, 'OS05G0409500 PROTEIN', NULL, NULL, NULL, 15),
(130089, NULL, 'PTHR24207:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130090, NULL, 'PTHR24055:SF483', NULL, NULL, NULL, NULL, 'BNAC04G04740D PROTEIN', NULL, NULL, NULL, 15),
(130091, NULL, 'PTHR21277:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COACTIVATOR HFI1/TRANSCRIPTIONAL ADAPTER 1-RELATED', NULL, NULL, NULL, 15),
(130092, NULL, 'PTHR10877:SF188', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY DISEASE 1A-RELATED', NULL, NULL, NULL, 15),
(130093, NULL, 'PTHR33671:SF8', NULL, NULL, NULL, NULL, 'OS05G0514400 PROTEIN', NULL, NULL, NULL, 15),
(130094, NULL, 'PTHR11746:SF194', NULL, NULL, NULL, NULL, 'INDOLE GLUCOSINOLATE O-METHYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(130095, NULL, 'PTHR43207:SF9', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDROGENASE 2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(130096, NULL, 'PTHR11655:SF14', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C SUBUNIT 1', NULL, NULL, 12438, 15),
(130097, NULL, 'PTHR12726:SF1', NULL, NULL, NULL, NULL, 'CERAMIDE GLUCOSYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(130098, NULL, 'PTHR10182:SF17', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130099, NULL, 'PTHR15140:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130100, NULL, 'PTHR23421:SF166', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(130101, NULL, 'PTHR47990:SF44', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP1-RELATED', NULL, NULL, NULL, 15),
(130102, NULL, 'PTHR21600:SF66', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130103, NULL, 'PTHR11353:SF21', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ZETA', NULL, NULL, NULL, 15),
(130104, NULL, 'PTHR24015:SF297', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(130105, NULL, 'PTHR47991:SF90', NULL, NULL, NULL, NULL, 'BNAA03G47270D PROTEIN', NULL, NULL, NULL, 15),
(130106, NULL, 'PTHR36138:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(130107, NULL, 'PTHR23288:SF34', NULL, NULL, NULL, NULL, 'OCCLUDIN B', NULL, NULL, NULL, 15),
(130108, NULL, 'PTHR39401', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130109, NULL, 'PTHR11774:SF11', NULL, NULL, NULL, NULL, 'GERANYLGERANYL TRANSFERASE TYPE-2 SUBUNIT BETA', NULL, NULL, NULL, 15),
(130110, NULL, 'PTHR10257:SF51', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(130111, NULL, 'PTHR15110:SF2', NULL, NULL, NULL, NULL, 'REGULATORY FACTOR X-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(130112, NULL, 'PTHR27006:SF249', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(130113, NULL, 'PTHR24286:SF253', NULL, NULL, NULL, NULL, '9-DIVINYL ETHER SYNTHASE', NULL, NULL, NULL, 15),
(130114, NULL, 'PTHR45669:SF41', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130115, NULL, 'PTHR38603', NULL, NULL, NULL, NULL, 'CHAPERONE NAPD', NULL, NULL, 2740, 15),
(130116, NULL, 'PTHR47565:SF5', NULL, NULL, NULL, NULL, 'BNAA07G24120D PROTEIN', NULL, NULL, NULL, 15),
(130117, NULL, 'PTHR10106:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME B REDUCTASE 1', NULL, NULL, 25331, 15),
(130118, NULL, 'PTHR12706:SF31', NULL, NULL, NULL, NULL, 'OS08G0223700 PROTEIN', NULL, NULL, NULL, 15),
(130119, NULL, 'PTHR32227:SF369', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASE FAMILY 17 PROTEIN', NULL, NULL, NULL, 15),
(130120, NULL, 'PTHR31917:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130121, NULL, 'PTHR34914:SF1', NULL, NULL, NULL, NULL, 'LYMPHOCYTE EXPANSION MOLECULE', NULL, NULL, NULL, 15),
(130122, NULL, 'PTHR31215:SF19', NULL, NULL, NULL, NULL, 'BNAA09G26370D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130123, NULL, 'PTHR20515:SF0', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 103', NULL, NULL, NULL, 15),
(130124, NULL, 'PTHR11527:SF135', NULL, NULL, NULL, NULL, '21.9 KDA HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(130125, NULL, 'PTHR31218:SF192', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(130126, NULL, 'PTHR11183:SF102', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 5-RELATED', NULL, NULL, 26177, 15),
(130127, NULL, 'PTHR10039:SF11', NULL, NULL, NULL, NULL, 'NACHT DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G01490)', NULL, NULL, NULL, 15),
(130128, NULL, 'PTHR31517:SF71', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(130129, NULL, 'PTHR19964:SF44', NULL, NULL, NULL, NULL, 'PATJ HOMOLOG', NULL, NULL, NULL, 15),
(130130, NULL, 'PTHR14233:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130131, NULL, 'PTHR33334:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130132, NULL, 'PTHR33204:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, MARR FAMILY', NULL, NULL, NULL, 15),
(130133, NULL, 'PTHR45977:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(130134, NULL, 'PTHR22989:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG11330', NULL, NULL, NULL, 15),
(130135, NULL, 'PTHR44329:SF168', NULL, NULL, NULL, NULL, 'BNAC03G17200D PROTEIN', NULL, NULL, NULL, 15),
(130136, NULL, 'PTHR15922', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA-AMPLIFIED SEQUENCE', NULL, NULL, NULL, 15),
(130137, NULL, 'PTHR31580:SF24', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 6', NULL, NULL, NULL, 15),
(130138, NULL, 'PTHR45627:SF21', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', NULL, NULL, NULL, 15),
(130139, NULL, 'PTHR12174:SF35', NULL, NULL, NULL, NULL, 'INTRAMEMBRANE PROTEASE (IMPAS) FAMILY', NULL, NULL, NULL, 15),
(130140, NULL, 'PTHR11157:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130141, NULL, 'PTHR10314:SF213', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(130142, NULL, 'PTHR22621:SF3', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 4A', NULL, NULL, NULL, 15),
(130143, NULL, 'PTHR47533', NULL, NULL, NULL, NULL, 'PROTEIN CBG21859', NULL, NULL, NULL, 15),
(130144, NULL, 'PTHR45666:SF35', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 6', NULL, NULL, NULL, 15),
(130145, NULL, 'PTHR31642:SF259', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 2', NULL, NULL, NULL, 15),
(130146, NULL, 'PTHR37813', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', NULL, NULL, NULL, 15),
(130147, NULL, 'PTHR23056:SF117', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(130148, NULL, 'PTHR22826:SF146', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE DBL', NULL, NULL, NULL, 15),
(130149, NULL, 'PTHR12143', NULL, NULL, NULL, NULL, 'PEPTIDE N-GLYCANASE  PNGASE -RELATED', NULL, NULL, NULL, 15),
(130150, NULL, 'PTHR10129:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAFB', NULL, NULL, 22037, 15),
(130151, NULL, 'PTHR38218:SF14', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130152, NULL, 'PTHR15026', NULL, NULL, NULL, NULL, 'CALCIUM-SIGNAL MODULATING CYCLOPHILIN LIGAND  CAML', NULL, NULL, 21631, 15),
(130153, NULL, 'PTHR42757:SF34', NULL, NULL, NULL, NULL, 'MAM DOMAIN CONTAINING GLYCOSYLPHOSPHATIDYLINOSITOL ANCHOR 2', NULL, NULL, NULL, 15),
(130154, NULL, 'PTHR12663:SF43', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PROTEIN PDS5 HOMOLOG A-LIKE', NULL, NULL, NULL, 15),
(130155, NULL, 'PTHR47364:SF18', NULL, NULL, NULL, NULL, 'BNAC07G33740D PROTEIN', NULL, NULL, NULL, 15),
(130156, NULL, 'PTHR31669:SF206', NULL, NULL, NULL, NULL, 'OS12G0160900 PROTEIN', NULL, NULL, NULL, 15),
(130157, NULL, 'PTHR34291:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130158, NULL, 'PTHR13247:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION 1 PROTEIN', NULL, NULL, NULL, 15),
(130159, NULL, 'PTHR24055:SF453', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 1A-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130160, NULL, 'PTHR36578', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(130161, NULL, 'PTHR13495:SF0', NULL, NULL, NULL, NULL, 'PSME3-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(130162, NULL, 'PTHR31834:SF10', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02040)-RELATED', NULL, NULL, NULL, 15),
(130163, NULL, 'PTHR11849', NULL, NULL, NULL, NULL, 'ETS', NULL, NULL, 39046, 15),
(130164, NULL, 'PTHR31673:SF44', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(130165, NULL, 'PTHR33710:SF29', NULL, NULL, NULL, NULL, 'BNACNNG47630D PROTEIN', NULL, NULL, NULL, 15),
(130166, NULL, 'PTHR37451:SF1', NULL, NULL, NULL, NULL, 'MRV2P', NULL, NULL, NULL, 15),
(130167, NULL, 'PTHR11486', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', NULL, NULL, 6380, 15),
(130168, NULL, 'PTHR46038:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(130169, NULL, 'PTHR32467:SF152', NULL, NULL, NULL, NULL, 'SISTER OF INDETERMINATE SPIKELET1', NULL, NULL, NULL, 15),
(130170, NULL, 'PTHR48204:SF1', NULL, NULL, NULL, NULL, 'OS07G0265100 PROTEIN', NULL, NULL, NULL, 15),
(130171, NULL, 'PTHR33526:SF13', NULL, NULL, NULL, NULL, 'BNAC09G15340D PROTEIN', NULL, NULL, NULL, 15),
(130172, NULL, 'PTHR12131:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE SUPV3L1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(130173, NULL, 'PTHR31595:SF33', NULL, NULL, NULL, NULL, 'OS02G0468100 PROTEIN', NULL, NULL, NULL, 15),
(130174, NULL, 'PTHR46382', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(130175, NULL, 'PTHR28268', NULL, NULL, NULL, NULL, 'MICOS SUBUNIT MIC26', NULL, NULL, 35268, 15),
(130176, NULL, 'PTHR31948:SF120', NULL, NULL, NULL, NULL, 'BNAA09G52500D PROTEIN', NULL, NULL, NULL, 15),
(130177, NULL, 'PTHR24343:SF455', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE UNC-51-RELATED', NULL, NULL, NULL, 15),
(130178, NULL, 'PTHR22957:SF573', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130179, NULL, 'PTHR33065:SF117', NULL, NULL, NULL, NULL, 'OS01G0590200 PROTEIN', NULL, NULL, NULL, 15),
(130180, NULL, 'PTHR48048:SF55', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(130181, NULL, 'PTHR45940:SF18', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 2-RELATED', NULL, NULL, NULL, 15),
(130182, NULL, 'PTHR13271:SF54', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 14', NULL, NULL, NULL, 15),
(130183, NULL, 'PTHR48020:SF1', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 4-LIKE', NULL, NULL, NULL, 15),
(130184, NULL, 'PTHR12309:SF28', NULL, NULL, NULL, NULL, 'OS06G0653900 PROTEIN', NULL, NULL, NULL, 15),
(130185, NULL, 'PTHR31194:SF56', NULL, NULL, NULL, NULL, 'AP2 DOMAIN TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(130186, NULL, 'PTHR48000:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX3-LIKE', NULL, NULL, NULL, 15),
(130187, NULL, 'PTHR12245:SF5', NULL, NULL, NULL, NULL, 'SPRY DOMAIN-CONTAINING SOCS BOX PROTEIN 3', NULL, NULL, NULL, 15),
(130188, NULL, 'PTHR13710:SF124', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE Q5', NULL, NULL, NULL, 15),
(130189, NULL, 'PTHR34960:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130190, NULL, 'PTHR28613', NULL, NULL, NULL, NULL, 'SI:CH211-232M10.4-RELATED', NULL, NULL, 28440, 15),
(130191, NULL, 'PTHR44843:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130192, NULL, 'PTHR33372:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CHAPERONE-LIKE PROTEIN OF POR1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(130193, NULL, 'PTHR31662:SF41', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GEBP FAMILY-RELATED', NULL, NULL, NULL, 15),
(130194, NULL, 'PTHR12622:SF39', NULL, NULL, NULL, NULL, 'ZGC:66440', NULL, NULL, NULL, 15),
(130195, NULL, 'PTHR31985:SF45', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF020', NULL, NULL, NULL, 15),
(130196, NULL, 'PTHR47053:SF1', NULL, NULL, NULL, NULL, 'MUREIN DD-ENDOPEPTIDASE MEPH-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130197, NULL, 'PTHR31339:SF73', NULL, NULL, NULL, NULL, 'BNAA01G13460D PROTEIN', NULL, NULL, NULL, 15),
(130198, NULL, 'PTHR45786:SF24', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(130199, NULL, 'PTHR37345', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 107', NULL, NULL, 32672, 15),
(130200, NULL, 'PTHR38166:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130201, NULL, 'PTHR31744:SF144', NULL, NULL, NULL, NULL, 'BNAA01G28990D PROTEIN', NULL, NULL, NULL, 15),
(130202, NULL, 'PTHR13832:SF673', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 27-RELATED', NULL, NULL, NULL, 15),
(130203, NULL, 'PTHR11908:SF130', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(130204, NULL, 'PTHR21596:SF52', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 3', NULL, NULL, NULL, 15),
(130205, NULL, 'PTHR47068:SF1', NULL, NULL, NULL, NULL, 'OS02G0659100 PROTEIN', NULL, NULL, NULL, 15),
(130206, NULL, 'PTHR31221:SF189', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(130207, NULL, 'PTHR47248:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG08650', NULL, NULL, NULL, 15),
(130208, NULL, 'PTHR24096:SF368', NULL, NULL, NULL, NULL, 'BNAC03G74270D PROTEIN', NULL, NULL, NULL, 15),
(130209, NULL, 'PTHR47977:SF28', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-44', NULL, NULL, NULL, 15),
(130210, NULL, 'PTHR24089:SF714', NULL, NULL, NULL, NULL, 'BNAA09G39370D PROTEIN', NULL, NULL, NULL, 15),
(130211, NULL, 'PTHR10394:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', NULL, NULL, NULL, 15),
(130212, NULL, 'PTHR13848', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE CG15309-RELATED', NULL, NULL, 35958, 15),
(130213, NULL, 'PTHR22844:SF359', NULL, NULL, NULL, NULL, 'BNACNNG62130D PROTEIN', NULL, NULL, NULL, 15),
(130214, NULL, 'PTHR43170:SF3', NULL, NULL, NULL, NULL, 'GMP REDUCTASE 1', NULL, NULL, NULL, 15),
(130215, NULL, 'PTHR24282:SF94', NULL, NULL, NULL, NULL, 'BNAC01G36690D PROTEIN', NULL, NULL, NULL, 15),
(130216, NULL, 'PTHR14074:SF35', NULL, NULL, NULL, NULL, 'BOX HELICASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130217, NULL, 'PTHR24343:SF421', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2H', NULL, NULL, NULL, 15),
(130218, NULL, 'PTHR38222:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130219, NULL, 'PTHR10516:SF433', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(130220, NULL, 'PTHR30558:SF9', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBD', NULL, NULL, NULL, 15),
(130221, NULL, 'PTHR30509:SF31', NULL, NULL, NULL, NULL, 'BNAA04G16670D PROTEIN', NULL, NULL, NULL, 15),
(130222, NULL, 'PTHR35936:SF17', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ARGININE-BINDING PROTEIN ARTJ-RELATED', NULL, NULL, NULL, 15),
(130223, NULL, 'PTHR47195:SF1', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(130224, NULL, 'PTHR46672:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130225, NULL, 'PTHR10288:SF280', NULL, NULL, NULL, NULL, 'BNAC02G02730D PROTEIN', NULL, NULL, NULL, 15),
(130226, NULL, 'PTHR33672:SF2', NULL, NULL, NULL, NULL, 'OS07G0499850 PROTEIN', NULL, NULL, NULL, 15),
(130227, NULL, 'PTHR11566:SF57', NULL, NULL, NULL, NULL, 'OS02G0738900 PROTEIN', NULL, NULL, NULL, 15),
(130228, NULL, 'PTHR43406:SF6', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE ALPHA CHAIN', NULL, NULL, NULL, 15),
(130229, NULL, 'PTHR39646', NULL, NULL, NULL, NULL, 'RNA POLYMERASE RPB4', NULL, NULL, 9088, 15),
(130230, NULL, 'PTHR42973:SF14', NULL, NULL, NULL, NULL, 'FAD-LINKED OXIDOREDUCTASE DDB_G0289697', NULL, NULL, NULL, 15),
(130231, NULL, 'PTHR14047:SF31', NULL, NULL, NULL, NULL, 'X ANTIGEN FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(130232, NULL, 'PTHR11654:SF445', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.12', NULL, NULL, NULL, 15),
(130233, NULL, 'PTHR34707', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130234, NULL, 'PTHR23004:SF7', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130235, NULL, 'PTHR12692', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE-RELATED', NULL, NULL, 15554, 15),
(130236, NULL, 'PTHR48047:SF15', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(130237, NULL, 'PTHR11011:SF89', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(130238, NULL, 'PTHR11977:SF45', NULL, NULL, NULL, NULL, 'SUPERVILLIN', NULL, NULL, NULL, 15),
(130239, NULL, 'PTHR43002:SF1', NULL, NULL, NULL, NULL, 'ISOAMYLASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(130240, NULL, 'PTHR31985:SF130', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF043', NULL, NULL, NULL, 15),
(130241, NULL, 'PTHR48015:SF11', NULL, NULL, NULL, NULL, 'MISSHAPEN-LIKE KINASE 1', NULL, NULL, NULL, 15),
(130242, NULL, 'PTHR10728:SF39', NULL, NULL, NULL, NULL, 'CYTOSOLIC PHOSPHOLIPASE A2 GAMMA', NULL, NULL, NULL, 15),
(130243, NULL, 'PTHR13131:SF11', NULL, NULL, NULL, NULL, 'LYSOSOMAL CYSTINE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(130244, NULL, 'PTHR48010:SF7', NULL, NULL, NULL, NULL, 'OS09G0400500 PROTEIN', NULL, NULL, NULL, 15),
(130245, NULL, 'PTHR21495:SF216', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(130246, NULL, 'PTHR13890:SF29', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-F', NULL, NULL, NULL, 15),
(130247, NULL, 'PTHR12642:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130248, NULL, 'PTHR15673', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF CONTAINING PROTEIN 1', NULL, NULL, 22295, 15),
(130249, NULL, 'PTHR13793:SF142', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(130250, NULL, 'PTHR12566:SF9', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATION ELEMENT-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(130251, NULL, 'PTHR28139:SF1', NULL, NULL, NULL, NULL, 'UPF0768 PROTEIN YBL029C-A', NULL, NULL, NULL, 15),
(130252, NULL, 'PTHR46085:SF13', NULL, NULL, NULL, NULL, 'OS03G0323500 PROTEIN', NULL, NULL, NULL, 15),
(130253, NULL, 'PTHR34223:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130254, NULL, 'PTHR33057:SF68', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP7-LIKE', NULL, NULL, NULL, 15),
(130255, NULL, 'PTHR31636:SF267', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', NULL, NULL, NULL, 15),
(130256, NULL, 'PTHR48200', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130257, NULL, 'PTHR46030', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB HOMOLOG 6', NULL, NULL, 24237, 15),
(130258, NULL, 'PTHR13068:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130259, NULL, 'PTHR46179:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER X-LINKED PROTEIN ZXDB', NULL, NULL, NULL, 15),
(130260, NULL, 'PTHR11334:SF56', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER B1-RELATED', NULL, NULL, NULL, 15),
(130261, NULL, 'PTHR10263:SF62', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 16 KDA PROTEOLIPID SUBUNIT 2-RELATED', NULL, NULL, NULL, 15),
(130262, NULL, 'PTHR48011:SF20', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130263, NULL, 'PTHR33065:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130264, NULL, 'PTHR13068:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130265, NULL, 'PTHR10106:SF15', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE ASCORBATE FERRIREDUCTASE 3-RELATED', NULL, NULL, NULL, 15),
(130266, NULL, 'PTHR31186:SF1', NULL, NULL, NULL, NULL, 'MODULATOR OF SMOOTHENED PROTEIN', NULL, NULL, NULL, 15),
(130267, NULL, 'PTHR16469:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG23349', NULL, NULL, NULL, 15),
(130268, NULL, 'PTHR19368:SF16', NULL, NULL, NULL, NULL, 'PROTEIN FAM9A', NULL, NULL, NULL, 15),
(130269, NULL, 'PTHR24089:SF681', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL1-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130270, NULL, 'PTHR38092:SF5', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL GENE 1062 PROTEIN', NULL, NULL, NULL, 15),
(130271, NULL, 'PTHR33830:SF24', NULL, NULL, NULL, NULL, 'BNACNNG45740D PROTEIN', NULL, NULL, NULL, 15),
(130272, NULL, 'PTHR30620:SF91', NULL, NULL, NULL, NULL, 'BETA-D-GLUCOSIDE GLUCOHYDROLASE', NULL, NULL, NULL, 15),
(130273, NULL, 'PTHR31989:SF138', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(130274, NULL, 'PTHR44444:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130275, NULL, 'PTHR48021:SF79', NULL, NULL, NULL, NULL, 'OS11G0643800 PROTEIN', NULL, NULL, NULL, 15),
(130276, NULL, 'PTHR23338:SF48', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', NULL, NULL, NULL, 15),
(130277, NULL, 'PTHR44102:SF15', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 7A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(130278, NULL, 'PTHR12459', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 25045, 15),
(130279, NULL, 'PTHR11017:SF293', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPP2B', NULL, NULL, NULL, 15),
(130280, NULL, 'PTHR45798:SF23', NULL, NULL, NULL, NULL, 'OS09G0554200 PROTEIN', NULL, NULL, NULL, 15),
(130281, NULL, 'PTHR21274:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130282, NULL, 'PTHR18919:SF107', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(130283, NULL, 'PTHR33445', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B'', CHLOROPLASTIC', NULL, NULL, NULL, 15),
(130284, NULL, 'PTHR46539', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL42', NULL, NULL, NULL, 15),
(130285, NULL, 'PTHR47364:SF20', NULL, NULL, NULL, NULL, 'BNAA01G17290D PROTEIN', NULL, NULL, NULL, 15),
(130286, NULL, 'PTHR13421', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 3', NULL, NULL, 20882, 15),
(130287, NULL, 'PTHR11709:SF281', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(130288, NULL, 'PTHR37708:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130289, NULL, 'PTHR31325:SF115', NULL, NULL, NULL, NULL, 'OS07G0116300 PROTEIN', NULL, NULL, NULL, 15),
(130290, NULL, 'PTHR33228:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130291, NULL, 'PTHR35572', NULL, NULL, NULL, NULL, 'PROTEIN CBG04538-RELATED', NULL, NULL, 29941, 15),
(130292, NULL, 'PTHR32258', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 4A', NULL, NULL, NULL, 15),
(130293, NULL, 'PTHR10811:SF95', NULL, NULL, NULL, NULL, 'BNAA10G29920D PROTEIN', NULL, NULL, NULL, 15),
(130294, NULL, 'PTHR47525', NULL, NULL, NULL, NULL, 'OS07G0295200 PROTEIN', NULL, NULL, NULL, 15),
(130295, NULL, 'PTHR48002:SF122', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4F6', NULL, NULL, NULL, 15),
(130296, NULL, 'PTHR45614:SF135', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB88', NULL, NULL, NULL, 15),
(130297, NULL, 'PTHR22772', NULL, NULL, NULL, NULL, 'NOVEL ZZ TYPE ZINC FINGER DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(130298, NULL, 'PTHR45613:SF4', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(130299, NULL, 'PTHR10334:SF373', NULL, NULL, NULL, NULL, 'OS12G0633400 PROTEIN', NULL, NULL, NULL, 15),
(130300, NULL, 'PTHR45631:SF97', NULL, NULL, NULL, NULL, 'BNAC04G15240D PROTEIN', NULL, NULL, NULL, 15),
(130301, NULL, 'PTHR23257:SF760', NULL, NULL, NULL, NULL, 'KINASE SUPPRESSOR OF RAS B', NULL, NULL, NULL, 15),
(130302, NULL, 'PTHR31384:SF3', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 25', NULL, NULL, NULL, 15),
(130303, NULL, 'PTHR13025:SF8', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN FAMILY, MEMBER D1', NULL, NULL, NULL, 15),
(130304, NULL, 'PTHR24056:SF493', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BUR1', NULL, NULL, NULL, 15),
(130305, NULL, 'PTHR33052:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130306, NULL, 'PTHR27007:SF170', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.7', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130307, NULL, 'PTHR43881:SF4', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLTRANSPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(130308, NULL, 'PTHR45927:SF13', NULL, NULL, NULL, NULL, 'PROTEIN LYK2', NULL, NULL, NULL, 15),
(130309, NULL, 'PTHR23506:SF34', NULL, NULL, NULL, NULL, 'AMINE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G10790)-RELATED', NULL, NULL, NULL, 15),
(130310, NULL, 'PTHR26379:SF277', NULL, NULL, NULL, NULL, 'OS10G0435100 PROTEIN', NULL, NULL, NULL, 15),
(130311, NULL, 'PTHR22792:SF133', NULL, NULL, NULL, NULL, 'LA RIBONUCLEOPROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130312, NULL, 'PTHR33700', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN X', NULL, NULL, NULL, 15),
(130313, NULL, 'PTHR47365:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130314, NULL, 'PTHR47629:SF11', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(130315, NULL, 'PTHR16236:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 160', NULL, NULL, NULL, 15),
(130316, NULL, 'PTHR32468:SF124', NULL, NULL, NULL, NULL, 'BNAA02G07610D PROTEIN', NULL, NULL, NULL, 15),
(130317, NULL, 'PTHR11746:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130318, NULL, 'PTHR22881:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130319, NULL, 'PTHR14421', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 1', NULL, NULL, 35236, 15),
(130320, NULL, 'PTHR40743', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130321, NULL, 'PTHR13093', NULL, NULL, NULL, NULL, 'ZINC FINGER HIT DOMAIN CONTAINING PROTEIN 1', NULL, NULL, 33817, 15),
(130322, NULL, 'PTHR31734:SF170', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(130323, NULL, 'PTHR11328:SF33', NULL, NULL, NULL, NULL, 'ZGC:171489', NULL, NULL, NULL, 15),
(130324, NULL, 'PTHR12400:SF88', NULL, NULL, NULL, NULL, 'KINASE', NULL, NULL, NULL, 15),
(130325, NULL, 'PTHR46204:SF12', NULL, NULL, NULL, NULL, 'LYSM RECEPTOR KINASE 1B', NULL, NULL, NULL, 15),
(130326, NULL, 'PTHR10544:SF21', NULL, NULL, NULL, NULL, 'OS01G0706500 PROTEIN', NULL, NULL, NULL, 15),
(130327, NULL, 'PTHR45999', NULL, NULL, NULL, NULL, 'UNC-13-4A, ISOFORM B', NULL, NULL, NULL, 15),
(130328, NULL, 'PTHR43969:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE S TRANSFERASE D11, ISOFORM B', NULL, NULL, NULL, 15),
(130329, NULL, 'PTHR11516:SF52', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA, SOMATIC FORM, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(130330, NULL, 'PTHR33207:SF69', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(130331, NULL, 'PTHR37253', NULL, NULL, NULL, NULL, 'PROTEIN GAMETE EXPRESSED 3', NULL, NULL, 39523, 15),
(130332, NULL, 'PTHR34835:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130333, NULL, 'PTHR24012:SF721', NULL, NULL, NULL, NULL, 'CUGBP ELAV-LIKE FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(130334, NULL, 'PTHR11771:SF111', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(130335, NULL, 'PTHR46133:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILR3', NULL, NULL, NULL, 15),
(130336, NULL, 'PTHR11819:SF110', NULL, NULL, NULL, NULL, 'GENE 5134-RELATED', NULL, NULL, NULL, 15),
(130337, NULL, 'PTHR24366:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130338, NULL, 'PTHR15337:SF5', NULL, NULL, NULL, NULL, 'ANTERIOR GRADIENT PROTEIN 3', NULL, NULL, NULL, 15),
(130339, NULL, 'PTHR46671', NULL, NULL, NULL, NULL, 'PROTEIN CBG11221', NULL, NULL, NULL, 15),
(130340, NULL, 'PTHR36108', NULL, NULL, NULL, NULL, 'COLOSSIN-B-RELATED', NULL, NULL, NULL, 15),
(130341, NULL, 'PTHR21148', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, 38018, 15),
(130342, NULL, 'PTHR11071:SF474', NULL, NULL, NULL, NULL, 'RAN BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(130343, NULL, 'PTHR24028:SF114', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 1 GAMMA 1-RELATED', NULL, NULL, NULL, 15),
(130344, NULL, 'PTHR24362', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130345, NULL, 'PTHR43822:SF13', NULL, NULL, NULL, NULL, 'DEHYDRATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130346, NULL, 'PTHR23510:SF19', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING MEMBRANE PROTEIN OS06G0129400', NULL, NULL, NULL, 15),
(130347, NULL, 'PTHR45878:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP2-LIKE', NULL, NULL, NULL, 15),
(130348, NULL, 'PTHR47992:SF161', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 65-RELATED', NULL, NULL, NULL, 15),
(130349, NULL, 'PTHR22893:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130350, NULL, 'PTHR26453:SF250', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(130351, NULL, 'PTHR31554:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 184', NULL, NULL, NULL, 15),
(130352, NULL, 'PTHR11746:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130353, NULL, 'PTHR13992:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COREPRESSOR 1-RELATED', NULL, NULL, NULL, 15),
(130354, NULL, 'PTHR47180:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-BINDING PROTEIN GGA1-RELATED', NULL, NULL, NULL, 15),
(130355, NULL, 'PTHR11877:SF74', NULL, NULL, NULL, NULL, 'OS11G0529100 PROTEIN', NULL, NULL, NULL, 15),
(130356, NULL, 'PTHR10177:SF470', NULL, NULL, NULL, NULL, 'BNAA09G52480D PROTEIN', NULL, NULL, NULL, 15),
(130357, NULL, 'PTHR43795:SF70', NULL, NULL, NULL, NULL, 'ACC SYNTHASE 10-RELATED', NULL, NULL, NULL, 15),
(130358, NULL, 'PTHR11685:SF234', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(130359, NULL, 'PTHR11871:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', NULL, NULL, NULL, 15),
(130360, NULL, 'PTHR11538:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130361, NULL, 'PTHR12978:SF0', NULL, NULL, NULL, NULL, 'M7GPPPX DIPHOSPHATASE', NULL, NULL, NULL, 15),
(130362, NULL, 'PTHR46271:SF1', NULL, NULL, NULL, NULL, 'RETINAL HOMEOBOX PROTEIN RX1', NULL, NULL, NULL, 15),
(130363, NULL, 'PTHR48043:SF93', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(130364, NULL, 'PTHR31276:SF13', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1-LIKE', NULL, NULL, NULL, 15),
(130365, NULL, 'PTHR47926:SF116', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(130366, NULL, 'PTHR13205:SF19', NULL, NULL, NULL, NULL, 'BNAC04G12540D PROTEIN', NULL, NULL, 22045, 15),
(130367, NULL, 'PTHR33285', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 3', NULL, NULL, 8373, 15),
(130368, NULL, 'PTHR11654:SF493', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.6-LIKE', NULL, NULL, NULL, 15),
(130369, NULL, 'PTHR11711:SF394', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 6', NULL, NULL, NULL, 15),
(130370, NULL, 'PTHR31896:SF47', NULL, NULL, NULL, NULL, 'ACYL-TRANSFERASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130371, NULL, 'PTHR47958:SF72', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX3Y', NULL, NULL, NULL, 15),
(130372, NULL, 'PTHR34493:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG13422', NULL, NULL, NULL, 15),
(130373, NULL, 'PTHR11467:SF107', NULL, NULL, NULL, NULL, 'BNAC06G02160D PROTEIN', NULL, NULL, NULL, 15),
(130374, NULL, 'PTHR23113:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130375, NULL, 'PTHR19332:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX13', NULL, NULL, NULL, 15),
(130376, NULL, 'PTHR34545', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 22', NULL, NULL, 31906, 15),
(130377, NULL, 'PTHR14167:SF30', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(130378, NULL, 'PTHR47785:SF6', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(130379, NULL, 'PTHR23235:SF92', NULL, NULL, NULL, NULL, 'SI:CH211-117K10.3', NULL, NULL, NULL, 15),
(130380, NULL, 'PTHR33873:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR VOZ1', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130381, NULL, 'PTHR22601:SF73', NULL, NULL, NULL, NULL, 'BNAA03G12220D PROTEIN', NULL, NULL, NULL, 15),
(130382, NULL, 'PTHR11374', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE DEHYDROGENASE/UDP-MANNAC DEHYDROGENASE', NULL, NULL, 28018, 15),
(130383, NULL, 'PTHR26453:SF117', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2C3', NULL, NULL, NULL, 15),
(130384, NULL, 'PTHR48082:SF5', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ALPHA, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(130385, NULL, 'PTHR43748:SF7', NULL, NULL, NULL, NULL, 'BNAA06G35020D PROTEIN', NULL, NULL, NULL, 15),
(130386, NULL, 'PTHR33057:SF89', NULL, NULL, NULL, NULL, 'OS08G0102400 PROTEIN', NULL, NULL, NULL, 15),
(130387, NULL, 'PTHR44102:SF6', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(130388, NULL, 'PTHR10443:SF40', NULL, NULL, NULL, NULL, 'DIPEPTIDASE', NULL, NULL, NULL, 15),
(130389, NULL, 'PTHR24025:SF12', NULL, NULL, NULL, NULL, 'DESMOCOLLIN-3', NULL, NULL, NULL, 15),
(130390, NULL, 'PTHR47760:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR B0563.6-RELATED', NULL, NULL, NULL, 15),
(130391, NULL, 'PTHR24637:SF291', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(130392, NULL, 'PTHR27006:SF271', NULL, NULL, NULL, NULL, 'BNAA09G26680D PROTEIN', NULL, NULL, NULL, 15),
(130393, NULL, 'PTHR16188', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 INHIBITOR POTENTIATED BY PROTEIN KINASE C', NULL, NULL, 5443, 15),
(130394, NULL, 'PTHR31992:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130395, NULL, 'PTHR12369:SF20', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE N-ACETYLGALACTOSAMINYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(130396, NULL, 'PTHR24281:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130397, NULL, 'PTHR34268', NULL, NULL, NULL, NULL, 'OS01G0321850 PROTEIN', NULL, NULL, NULL, 15),
(130398, NULL, 'PTHR48034:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130399, NULL, 'PTHR10286:SF52', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE-LIKE', NULL, NULL, NULL, 15),
(130400, NULL, 'PTHR24027:SF96', NULL, NULL, NULL, NULL, 'CADHERIN-12', NULL, NULL, NULL, 15),
(130401, NULL, 'PTHR10953:SF201', NULL, NULL, NULL, NULL, 'SUMO-ACTIVATING ENZYME SUBUNIT 1', NULL, NULL, NULL, 15),
(130402, NULL, 'PTHR18945:SF529', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR (51.1 KD) (ACR-22)-RELATED', NULL, NULL, NULL, 15),
(130403, NULL, 'PTHR11835:SF61', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] CATALYTIC SUBUNIT 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(130404, NULL, 'PTHR31407:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130405, NULL, 'PTHR20908', NULL, NULL, NULL, NULL, 'LD15586P', NULL, NULL, NULL, 15),
(130406, NULL, 'PTHR24320:SF205', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130407, NULL, 'PTHR23023:SF38', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', NULL, NULL, NULL, 15),
(130408, NULL, 'PTHR45867', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(130409, NULL, 'PTHR13989:SF42', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 32 KDA SUBUNIT A-LIKE', NULL, NULL, NULL, 15),
(130410, NULL, 'PTHR23299:SF51', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1B', NULL, NULL, NULL, 15),
(130411, NULL, 'PTHR27003:SF363', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 8-RELATED', NULL, NULL, NULL, 15),
(130412, NULL, 'PTHR33399:SF5', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF LUMENAL LOCATION 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(130413, NULL, 'PTHR13935:SF135', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX PROTEIN 4', NULL, NULL, NULL, 15),
(130414, NULL, 'PTHR46927:SF2', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, 24430, 15),
(130415, NULL, 'PTHR34755', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130416, NULL, 'PTHR11685:SF329', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130417, NULL, 'PTHR28625:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 35', NULL, NULL, NULL, 15),
(130418, NULL, 'PTHR11258:SF7', NULL, NULL, NULL, NULL, '2''-5''-OLIGOADENYLATE SYNTHASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(130419, NULL, 'PTHR30472:SF58', NULL, NULL, NULL, NULL, 'IRON(3+)-HYDROXAMATE IMPORT SYSTEM PERMEASE PROTEIN FHUB', NULL, NULL, NULL, 15),
(130420, NULL, 'PTHR11468:SF29', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE, BRAIN FORM', NULL, NULL, NULL, 15),
(130421, NULL, 'PTHR31642:SF139', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', NULL, NULL, NULL, 15),
(130422, NULL, 'PTHR23266:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130423, NULL, 'PTHR20961:SF74', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(130424, NULL, 'PTHR45795:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130425, NULL, 'PTHR43277', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE', NULL, NULL, NULL, 15),
(130426, NULL, 'PTHR46479:SF1', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 2', NULL, NULL, NULL, 15),
(130427, NULL, 'PTHR27006:SF343', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 25', NULL, NULL, NULL, 15),
(130428, NULL, 'PTHR10903:SF154', NULL, NULL, NULL, NULL, 'SI:CH211-280C16.1-RELATED', NULL, NULL, NULL, 15),
(130429, NULL, 'PTHR12411:SF619', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE', NULL, NULL, NULL, 15),
(130430, NULL, 'PTHR40524', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130431, NULL, 'PTHR22930:SF213', NULL, NULL, NULL, NULL, 'NUCLEASE', NULL, NULL, NULL, 15),
(130432, NULL, 'PTHR36159:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG23766', NULL, NULL, NULL, 15),
(130433, NULL, 'PTHR12203:SF18', NULL, NULL, NULL, NULL, 'PROTEIN O-GLUCOSYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(130434, NULL, 'PTHR38620:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07292', NULL, NULL, NULL, 15),
(130435, NULL, 'PTHR47947:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130436, NULL, 'PTHR46038:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130437, NULL, 'PTHR46733:SF7', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(130438, NULL, 'PTHR27000:SF162', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IRK-RELATED', NULL, NULL, NULL, 15),
(130439, NULL, 'PTHR31374:SF175', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(130440, NULL, 'PTHR33591:SF4', NULL, NULL, NULL, NULL, 'OS08G0114100 PROTEIN', NULL, NULL, NULL, 15),
(130441, NULL, 'PTHR24281:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130442, NULL, 'PTHR45798:SF34', NULL, NULL, NULL, NULL, 'OS12G0148000 PROTEIN', NULL, NULL, NULL, 15),
(130443, NULL, 'PTHR45974:SF197', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE', NULL, NULL, NULL, 15),
(130444, NULL, 'PTHR45868:SF54', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION PROTEIN', NULL, NULL, NULL, 15),
(130445, NULL, 'PTHR12448:SF6', NULL, NULL, NULL, NULL, 'BNAC01G32170D PROTEIN', NULL, NULL, NULL, 15),
(130446, NULL, 'PTHR47064:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_1G08990)-RELATED', NULL, NULL, NULL, 15),
(130447, NULL, 'PTHR11785:SF382', NULL, NULL, NULL, NULL, 'LOW-AFFINITY METHIONINE PERMEASE', NULL, NULL, NULL, 15),
(130448, NULL, 'PTHR47561:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL POLYSACCHARIDE DEACETYLASE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(130449, NULL, 'PTHR21277:SF34', NULL, NULL, NULL, NULL, 'BNAA03G51500D PROTEIN', NULL, NULL, NULL, 15),
(130450, NULL, 'PTHR33337:SF11', NULL, NULL, NULL, NULL, 'BLR7301 PROTEIN', NULL, NULL, NULL, 15),
(130451, NULL, 'PTHR11814:SF93', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.3-RELATED', NULL, NULL, 28885, 15),
(130452, NULL, 'PTHR21450:SF16', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130453, NULL, 'PTHR11711:SF336', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR', NULL, NULL, NULL, 15),
(130454, NULL, 'PTHR31595:SF53', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE SIRH', NULL, NULL, NULL, 15),
(130455, NULL, 'PTHR11926:SF732', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYLTRANSFERASE UGT13248', NULL, NULL, NULL, 15),
(130456, NULL, 'PTHR27005:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130457, NULL, 'PTHR45660:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130458, NULL, 'PTHR34226:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130459, NULL, 'PTHR43572:SF37', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPC2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(130460, NULL, 'PTHR31062:SF206', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(130461, NULL, 'PTHR47925:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130462, NULL, 'PTHR31315:SF10', NULL, NULL, NULL, NULL, 'OS06G0154900 PROTEIN', NULL, NULL, NULL, 15),
(130463, NULL, 'PTHR15315:SF80', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS FACTOR 10-LIKE', NULL, NULL, NULL, 15),
(130464, NULL, 'PTHR22912:SF210', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(130465, NULL, 'PTHR47993:SF55', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(130466, NULL, 'PTHR31719:SF130', NULL, NULL, NULL, NULL, 'NO APICAL MERISTEM PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(130467, NULL, 'PTHR16105:SF0', NULL, NULL, NULL, NULL, 'RNA-BINDING REGION-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(130468, NULL, 'PTHR33890', NULL, NULL, NULL, NULL, 'OS10G0571000 PROTEIN', NULL, NULL, NULL, 15),
(130469, NULL, 'PTHR31228:SF25', NULL, NULL, NULL, NULL, 'CYSTATIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130470, NULL, 'PTHR22774:SF17', NULL, NULL, NULL, NULL, 'UHRF1-BINDING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(130471, NULL, 'PTHR31018:SF3', NULL, NULL, NULL, NULL, 'CELL WALL MANNOPROTEIN PST1-RELATED', NULL, NULL, NULL, 15),
(130472, NULL, 'PTHR19443:SF17', NULL, NULL, NULL, NULL, 'HEXOKINASE-8', NULL, NULL, NULL, 15),
(130473, NULL, 'PTHR33147:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130474, NULL, 'PTHR31311:SF18', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(130475, NULL, 'PTHR48065:SF21', NULL, NULL, NULL, NULL, 'ELICITOR-INDUCIBLE LRR RECEPTOR-LIKE PROTEIN EILP', NULL, NULL, NULL, 15),
(130476, NULL, 'PTHR13035:SF0', NULL, NULL, NULL, NULL, 'PROTEIN N-TERMINAL GLUTAMINE AMIDOHYDROLASE', NULL, NULL, NULL, 15),
(130477, NULL, 'PTHR45844:SF24', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130478, NULL, 'PTHR10671', NULL, NULL, NULL, NULL, 'EPITHELIAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130479, NULL, 'PTHR45644:SF4', NULL, NULL, NULL, NULL, 'OS05G0584600 PROTEIN', NULL, NULL, NULL, 15),
(130480, NULL, 'PTHR16866:SF3', NULL, NULL, NULL, NULL, 'NEUROMEDIN-B', NULL, NULL, NULL, 15),
(130481, NULL, 'PTHR31956:SF1', NULL, NULL, NULL, NULL, 'NON-SPECIFIC PHOSPHOLIPASE C1', NULL, NULL, NULL, 15),
(130482, NULL, 'PTHR31865:SF52', NULL, NULL, NULL, NULL, 'BNAA04G18200D PROTEIN', NULL, NULL, NULL, 15),
(130483, NULL, 'PTHR15718:SF5', NULL, NULL, NULL, NULL, 'G PROTEIN-REGULATED INDUCER OF NEURITE OUTGROWTH 2', NULL, NULL, NULL, 15),
(130484, NULL, 'PTHR11604:SF0', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(130485, NULL, 'PTHR12565:SF390', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BPE', NULL, NULL, NULL, 15),
(130486, NULL, 'PTHR47926:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130487, NULL, 'PTHR48061:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130488, NULL, 'PTHR24418:SF87', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE ABL2', NULL, NULL, NULL, 15),
(130489, NULL, 'PTHR46546:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130490, NULL, 'PTHR47074:SF28', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(130491, NULL, 'PTHR12411:SF636', NULL, NULL, NULL, NULL, 'PROTEIN CBG02822', NULL, NULL, NULL, 15),
(130492, NULL, 'PTHR22973:SF14', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A-BINDING DOMAIN-CONTAINING 3-RELATED', NULL, NULL, NULL, 15),
(130493, NULL, 'PTHR12398:SF28', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE INHIBITOR 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(130494, NULL, 'PTHR31044:SF55', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 4', NULL, NULL, NULL, 15),
(130495, NULL, 'PTHR33165:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130496, NULL, 'PTHR24377:SF875', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 468', NULL, NULL, NULL, 15),
(130497, NULL, 'PTHR44942', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130498, NULL, 'PTHR11955:SF56', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN 1', NULL, NULL, 26870, 15),
(130499, NULL, 'PTHR11845:SF17', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(130500, NULL, 'PTHR22911', NULL, NULL, NULL, NULL, 'ACYL-MALONYL CONDENSING ENZYME-RELATED', NULL, NULL, NULL, 15),
(130501, NULL, 'PTHR13748:SF40', NULL, NULL, NULL, NULL, 'OSJNBA0083N12.6 PROTEIN', NULL, NULL, NULL, 15),
(130502, NULL, 'PTHR33985:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130503, NULL, 'PTHR31972:SF12', NULL, NULL, NULL, NULL, 'OS01G0909400 PROTEIN', NULL, NULL, NULL, 15),
(130504, NULL, 'PTHR13417:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG22173', NULL, NULL, NULL, 15),
(130505, NULL, 'PTHR11945:SF460', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', NULL, NULL, NULL, 15),
(130506, NULL, 'PTHR12570:SF6', NULL, NULL, NULL, NULL, 'DUF803 DOMAIN MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G07070)', NULL, NULL, NULL, 15),
(130507, NULL, 'PTHR23268:SF38', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 14', NULL, NULL, NULL, 15),
(130508, NULL, 'PTHR33210:SF24', NULL, NULL, NULL, NULL, 'OS05G0346700 PROTEIN', NULL, NULL, NULL, 15),
(130509, NULL, 'PTHR46139:SF2', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE 1', NULL, NULL, NULL, 15),
(130510, NULL, 'PTHR46468:SF2', NULL, NULL, NULL, NULL, 'PROTEASE, SENP8, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130511, NULL, 'PTHR21596:SF69', NULL, NULL, NULL, NULL, 'XS DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130512, NULL, 'PTHR13832:SF287', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1H', NULL, NULL, NULL, 15),
(130513, NULL, 'PTHR31279:SF59', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 2', NULL, NULL, NULL, 15),
(130514, NULL, 'PTHR11767:SF40', NULL, NULL, NULL, NULL, 'ATP-SENSITIVE INWARD RECTIFIER POTASSIUM CHANNEL 14', NULL, NULL, NULL, 15),
(130515, NULL, 'PTHR33334:SF8', NULL, NULL, NULL, NULL, 'PROTEIN LNK1', NULL, NULL, NULL, 15),
(130516, NULL, 'PTHR35601:SF2', NULL, NULL, NULL, NULL, 'MRNA INTERFERASE TOXIN RELE', NULL, NULL, NULL, 15),
(130517, NULL, 'PTHR15298:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07665', NULL, NULL, NULL, 15),
(130518, NULL, 'PTHR46128:SF148', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(130519, NULL, 'PTHR12604:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130520, NULL, 'PTHR11157:SF139', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(130521, NULL, 'PTHR44068:SF9', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(130522, NULL, 'PTHR47975:SF36', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 1-1', NULL, NULL, NULL, 15),
(130523, NULL, 'PTHR12859', NULL, NULL, NULL, NULL, 'PRA1 PROTEIN', NULL, NULL, 365, 15),
(130524, NULL, 'PTHR32071:SF101', NULL, NULL, NULL, NULL, 'ACETOIN DEHYDROGENASE OPERON TRANSCRIPTIONAL ACTIVATOR ACOR', NULL, NULL, NULL, 15),
(130525, NULL, 'PTHR11101:SF81', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORTER 1-A', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130526, NULL, 'PTHR11413:SF113', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(130527, NULL, 'PTHR28189:SF1', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(130528, NULL, 'PTHR32432:SF4', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSA', NULL, NULL, NULL, 15),
(130529, NULL, 'PTHR11482:SF61', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE-LIKE', NULL, NULL, NULL, 15),
(130530, NULL, 'PTHR33064:SF27', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP K MEMBER 25 POL', NULL, NULL, NULL, 15),
(130531, NULL, 'PTHR24103:SF637', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 49-RELATED', NULL, NULL, NULL, 15),
(130532, NULL, 'PTHR21726:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130533, NULL, 'PTHR19300:SF46', NULL, NULL, NULL, NULL, 'N-ACETYLLACTOSAMINE SYNTHASE', NULL, NULL, NULL, 15),
(130534, NULL, 'PTHR30565:SF9', NULL, NULL, NULL, NULL, 'PROTEIN YCIF', NULL, NULL, NULL, 15),
(130535, NULL, 'PTHR36480:SF3', NULL, NULL, NULL, NULL, 'OS06G0118900 PROTEIN', NULL, NULL, NULL, 15),
(130536, NULL, 'PTHR13773:SF16', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(130537, NULL, 'PTHR41709', NULL, NULL, NULL, NULL, 'KAIB-LIKE PROTEIN 1', NULL, NULL, 34499, 15),
(130538, NULL, 'PTHR11632:SF72', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN SUBUNIT 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(130539, NULL, 'PTHR10209:SF752', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(130540, NULL, 'PTHR11214:SF151', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(130541, NULL, 'PTHR24023:SF905', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(130542, NULL, 'PTHR37888:SF13', NULL, NULL, NULL, NULL, 'BNAA09G55480D PROTEIN', NULL, NULL, NULL, 15),
(130543, NULL, 'PTHR47841:SF11', NULL, NULL, NULL, NULL, 'BNAUNNG00260D PROTEIN', NULL, NULL, NULL, 15),
(130544, NULL, 'PTHR31683:SF130', NULL, NULL, NULL, NULL, 'PECTATE LYASE 1-RELATED', NULL, NULL, NULL, 15),
(130545, NULL, 'PTHR24210:SF7', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN PIN-2', NULL, NULL, NULL, 15),
(130546, NULL, 'PTHR31024:SF3', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(130547, NULL, 'PTHR10796:SF103', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(130548, NULL, 'PTHR35442:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 249', NULL, NULL, NULL, 15),
(130549, NULL, 'PTHR14130:SF13', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 44', NULL, NULL, NULL, 15),
(130550, NULL, 'PTHR27003:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130551, NULL, 'PTHR47030:SF3', NULL, NULL, NULL, NULL, 'OS04G0489100 PROTEIN', NULL, NULL, NULL, 15),
(130552, NULL, 'PTHR24067:SF274', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 2', NULL, NULL, NULL, 15),
(130553, NULL, 'PTHR33133:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130554, NULL, 'PTHR12506:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 58', NULL, NULL, NULL, 15),
(130555, NULL, 'PTHR14297:SF9', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(130556, NULL, 'PTHR10799:SF989', NULL, NULL, NULL, NULL, 'BNAA05G30940D PROTEIN', NULL, NULL, NULL, 15),
(130557, NULL, 'PTHR24056:SF495', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE E-1', NULL, NULL, NULL, 15),
(130558, NULL, 'PTHR32467:SF156', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR AIL1', NULL, NULL, NULL, 15),
(130559, NULL, 'PTHR31636:SF131', NULL, NULL, NULL, NULL, 'OS01G0842200 PROTEIN', NULL, NULL, NULL, 15),
(130560, NULL, 'PTHR46033:SF16', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM-LIKE PROTEIN', NULL, NULL, NULL, 15),
(130561, NULL, 'PTHR31867:SF126', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130562, NULL, 'PTHR13159', NULL, NULL, NULL, NULL, 'RADIAL SPOKEHEAD-RELATED', NULL, NULL, 3618, 15),
(130563, NULL, 'PTHR46452', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 3', NULL, NULL, NULL, 15),
(130564, NULL, 'PTHR24067:SF280', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME UBC9', NULL, NULL, NULL, 15),
(130565, NULL, 'PTHR46937:SF3', NULL, NULL, NULL, NULL, 'FERREDOXIN/THIOREDOXIN REDUCTASE SUBUNIT A (VARIABLE SUBUNIT) 2', NULL, NULL, NULL, 15),
(130566, NULL, 'PTHR35997:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130567, NULL, 'PTHR31388:SF121', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(130568, NULL, 'PTHR10201:SF76', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-26', NULL, NULL, 24913, 15),
(130569, NULL, 'PTHR24343:SF452', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(130570, NULL, 'PTHR45631:SF39', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(130571, NULL, 'PTHR46284:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KINESIN LIGHT CHAIN-RELATED 1', NULL, NULL, NULL, 15),
(130572, NULL, 'PTHR33558:SF3', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(130573, NULL, 'PTHR45708:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130574, NULL, 'PTHR42811:SF8', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(130575, NULL, 'PTHR33214:SF42', NULL, NULL, NULL, NULL, 'BNAA09G13990D PROTEIN', NULL, NULL, NULL, 15),
(130576, NULL, 'PTHR18934:SF135', NULL, NULL, NULL, NULL, 'DNA HELICASE B', NULL, NULL, 26902, 15),
(130577, NULL, 'PTHR27005:SF306', NULL, NULL, NULL, NULL, 'WALL ASSOCIATED KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(130578, NULL, 'PTHR12081:SF51', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2FC', NULL, NULL, NULL, 15),
(130579, NULL, 'PTHR22684', NULL, NULL, NULL, NULL, 'NULP1-RELATED', NULL, NULL, 5710, 15),
(130580, NULL, 'PTHR12506:SF48', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 67-LIKE', NULL, NULL, NULL, 15),
(130581, NULL, 'PTHR13146:SF0', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER F6', NULL, NULL, NULL, 15),
(130582, NULL, 'PTHR11732:SF465', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(130583, NULL, 'PTHR22731:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130584, NULL, 'PTHR28650:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-GLYCAN BIOSYNTHESIS CLASS X PROTEIN', NULL, NULL, NULL, 15),
(130585, NULL, 'PTHR14057:SF10', NULL, NULL, NULL, NULL, 'ONE CUT DOMAIN FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(130586, NULL, 'PTHR12876:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG20097', NULL, NULL, NULL, 15),
(130587, NULL, 'PTHR23423:SF64', NULL, NULL, NULL, NULL, 'OSJNBB0078D11.6 PROTEIN', NULL, NULL, NULL, 15),
(130588, NULL, 'PTHR21700:SF119', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(130589, NULL, 'PTHR21035:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S26, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(130590, NULL, 'PTHR24232:SF49', NULL, NULL, NULL, NULL, 'PSYCHOSINE RECEPTOR', NULL, NULL, NULL, 15),
(130591, NULL, 'PTHR48054:SF14', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(130592, NULL, 'PTHR47992:SF128', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60-RELATED', NULL, NULL, NULL, 15),
(130593, NULL, 'PTHR46076:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1', NULL, NULL, NULL, 15),
(130594, NULL, 'PTHR43728', NULL, NULL, NULL, NULL, 'SLR0304 PROTEIN', NULL, NULL, 24216, 15),
(130595, NULL, 'PTHR21462', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN OX2 RECEPTOR PRECURSOR', NULL, NULL, 34943, 15),
(130596, NULL, 'PTHR27002:SF835', NULL, NULL, NULL, NULL, 'OS04G0632500 PROTEIN', NULL, NULL, NULL, 15),
(130597, NULL, 'PTHR31080:SF113', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 1-LIKE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130598, NULL, 'PTHR13800:SF7', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 3', NULL, NULL, 28516, 15),
(130599, NULL, 'PTHR45772:SF7', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN LIVG', NULL, NULL, NULL, 15),
(130600, NULL, 'PTHR11097:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130601, NULL, 'PTHR22595:SF101', NULL, NULL, NULL, NULL, 'OS05G0138200 PROTEIN', NULL, NULL, NULL, 15),
(130602, NULL, 'PTHR46453:SF1', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C-BINDING PROTEIN 1,-LIKE', NULL, NULL, NULL, 15),
(130603, NULL, 'PTHR36437:SF2', NULL, NULL, NULL, NULL, 'GLYOXALASE/BLEOMYCIN RESISTANCE PROTEIN/DIOXYGENASE', NULL, NULL, NULL, 15),
(130604, NULL, 'PTHR24124', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY A', NULL, NULL, NULL, 15),
(130605, NULL, 'PTHR11640:SF83', NULL, NULL, NULL, NULL, 'AGAP011094-PA', NULL, NULL, NULL, 15),
(130606, NULL, 'PTHR47232:SF3', NULL, NULL, NULL, NULL, 'BNAC09G37710D PROTEIN', NULL, NULL, NULL, 15),
(130607, NULL, 'PTHR32044:SF79', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(130608, NULL, 'PTHR34494', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130609, NULL, 'PTHR31194:SF95', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF118', NULL, NULL, NULL, 15),
(130610, NULL, 'PTHR28491:SF1', NULL, NULL, NULL, NULL, 'UPF0688 PROTEIN C1ORF174', NULL, NULL, NULL, 15),
(130611, NULL, 'PTHR37540:SF10', NULL, NULL, NULL, NULL, 'SIGMA-70 REGION 2 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(130612, NULL, 'PTHR33601:SF4', NULL, NULL, NULL, NULL, 'PROTEIN LITTLE ZIPPER 4-LIKE', NULL, NULL, NULL, 15),
(130613, NULL, 'PTHR21660:SF4', NULL, NULL, NULL, NULL, 'THIOESTERASE', NULL, NULL, NULL, 15),
(130614, NULL, 'PTHR13878:SF141', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130615, NULL, 'PTHR31867:SF202', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(130616, NULL, 'PTHR24372:SF73', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G-PROTEIN COUPLED RECEPTOR 6', NULL, NULL, NULL, 15),
(130617, NULL, 'PTHR46413:SF17', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(130618, NULL, 'PTHR42100:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 178 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04320)-RELATED', NULL, NULL, NULL, 15),
(130619, NULL, 'PTHR24406:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 711', NULL, NULL, NULL, 15),
(130620, NULL, 'PTHR16308:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(130621, NULL, 'PTHR21724:SF105', NULL, NULL, NULL, NULL, 'PROTEIN CBG03259', NULL, NULL, NULL, 15),
(130622, NULL, 'PTHR21237:SF23', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(130623, NULL, 'PTHR27006:SF228', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130624, NULL, 'PTHR21717:SF80', NULL, NULL, NULL, NULL, 'BNAA05G26590D PROTEIN', NULL, NULL, NULL, 15),
(130625, NULL, 'PTHR21399:SF3', NULL, NULL, NULL, NULL, 'METHYLOSOME SUBUNIT PICLN', NULL, NULL, NULL, 15),
(130626, NULL, 'PTHR24064:SF33', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 7', NULL, NULL, NULL, 15),
(130627, NULL, 'PTHR34206', NULL, NULL, NULL, NULL, 'OS06G0193300 PROTEIN', NULL, NULL, NULL, 15),
(130628, NULL, 'PTHR22957:SF553', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(130629, NULL, 'PTHR14499:SF122', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD7', NULL, NULL, NULL, 15),
(130630, NULL, 'PTHR30055:SF178', NULL, NULL, NULL, NULL, 'TETR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(130631, NULL, 'PTHR36287', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130632, NULL, 'PTHR33127:SF63', NULL, NULL, NULL, NULL, 'BNAA02G10430D PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130633, NULL, 'PTHR46249:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130634, NULL, 'PTHR35345', NULL, NULL, NULL, NULL, 'TELOMERE REPEATS-BINDING BOUQUET FORMATION PROTEIN 2', NULL, NULL, 28590, 15),
(130635, NULL, 'PTHR31096:SF58', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR10-LIKE', NULL, NULL, NULL, 15),
(130636, NULL, 'PTHR33091:SF51', NULL, NULL, NULL, NULL, 'SUBTILISIN-CHYMOTRYPSIN INHIBITOR CI-1C', NULL, NULL, NULL, 15),
(130637, NULL, 'PTHR10814:SF2', NULL, NULL, NULL, NULL, 'TRANSDUCIN-LIKE ENHANCER PROTEIN 6', NULL, NULL, NULL, 15),
(130638, NULL, 'PTHR46836', NULL, NULL, NULL, NULL, 'AFADIN', NULL, NULL, NULL, 15),
(130639, NULL, 'PTHR31024:SF8', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(130640, NULL, 'PTHR23502:SF157', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G11780)-RELATED', NULL, NULL, NULL, 15),
(130641, NULL, 'PTHR24128:SF67', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT31-RELATED', NULL, NULL, NULL, 15),
(130642, NULL, 'PTHR43620:SF21', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL3 ISOFORM X1', NULL, NULL, NULL, 15),
(130643, NULL, 'PTHR46796:SF2', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR RHAS', NULL, NULL, NULL, 15),
(130644, NULL, 'PTHR44666', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 53', NULL, NULL, 36965, 15),
(130645, NULL, 'PTHR42688', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(130646, NULL, 'PTHR11540:SF52', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE 2, PEROXISOMAL', NULL, NULL, NULL, 15),
(130647, NULL, 'PTHR47074:SF32', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130648, NULL, 'PTHR45921', NULL, NULL, NULL, NULL, 'IP01054P', NULL, NULL, 37152, 15),
(130649, NULL, 'PTHR46391:SF20', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 2', NULL, NULL, NULL, 15),
(130650, NULL, 'PTHR24115:SF355', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF17', NULL, NULL, NULL, 15),
(130651, NULL, 'PTHR31175:SF43', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR61-RELATED', NULL, NULL, NULL, 15),
(130652, NULL, 'PTHR10824:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG12559', NULL, NULL, NULL, 15),
(130653, NULL, 'PTHR11645:SF60', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE 2', NULL, NULL, NULL, 15),
(130654, NULL, 'PTHR36488', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1U1', NULL, NULL, 37072, 15),
(130655, NULL, 'PTHR10110', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, 21994, 15),
(130656, NULL, 'PTHR11863:SF169', NULL, NULL, NULL, NULL, 'BNAA05G33480D PROTEIN', NULL, NULL, NULL, 15),
(130657, NULL, 'PTHR14221:SF49', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 44-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(130658, NULL, 'PTHR31032:SF13', NULL, NULL, NULL, NULL, 'PGR5-LIKE PROTEIN 1A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(130659, NULL, 'PTHR17601', NULL, NULL, NULL, NULL, 'RAFTLIN-RELATED', NULL, NULL, 26240, 15),
(130660, NULL, 'PTHR31111:SF15', NULL, NULL, NULL, NULL, 'BNAA03G19310D PROTEIN', NULL, NULL, NULL, 15),
(130661, NULL, 'PTHR32332:SF34', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE FAMILY, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130662, NULL, 'PTHR45880', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, X-LINKED 2', NULL, NULL, NULL, 15),
(130663, NULL, 'PTHR32134:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130664, NULL, 'PTHR45894:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 8A', NULL, NULL, NULL, 15),
(130665, NULL, 'PTHR32093:SF150', NULL, NULL, NULL, NULL, 'BNAA09G55960D PROTEIN', NULL, NULL, NULL, 15),
(130666, NULL, 'PTHR47997:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130667, NULL, 'PTHR10209:SF693', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130668, NULL, 'PTHR19965:SF80', NULL, NULL, NULL, NULL, 'CHROMATIN TARGET OF PRMT1 PROTEIN', NULL, NULL, NULL, 15),
(130669, NULL, 'PTHR42884:SF17', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE 2 HOMOLOG', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130670, NULL, 'PTHR31371:SF14', NULL, NULL, NULL, NULL, 'SIMILARITY TO UNKNOWN PROTEIN', NULL, NULL, NULL, 15),
(130671, NULL, 'PTHR45691:SF6', NULL, NULL, NULL, NULL, 'PROTEIN DIAPHANOUS', NULL, NULL, NULL, 15),
(130672, NULL, 'PTHR11064:SF136', NULL, NULL, NULL, NULL, 'BNAA01G28350D PROTEIN', NULL, NULL, NULL, 15),
(130673, NULL, 'PTHR10666:SF336', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-LIKE', NULL, NULL, NULL, 15),
(130674, NULL, 'PTHR24220:SF670', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER H FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(130675, NULL, 'PTHR28155:SF1', NULL, NULL, NULL, NULL, 'ACR243WP', NULL, NULL, NULL, 15),
(130676, NULL, 'PTHR11216:SF141', NULL, NULL, NULL, NULL, 'ACTIN CYTOSKELETON-REGULATORY COMPLEX PROTEIN PAN1-LIKE', NULL, NULL, NULL, 15),
(130677, NULL, 'PTHR34208:SF15', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130678, NULL, 'PTHR43690', NULL, NULL, NULL, NULL, 'NARDILYSIN', NULL, NULL, NULL, 15),
(130679, NULL, 'PTHR35714:SF2', NULL, NULL, NULL, NULL, 'OS08G0511400 PROTEIN', NULL, NULL, NULL, 15),
(130680, NULL, 'PTHR32133:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130681, NULL, 'PTHR31721:SF4', NULL, NULL, NULL, NULL, 'OS06G0710300 PROTEIN', NULL, NULL, NULL, 15),
(130682, NULL, 'PTHR43537:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR PHNF-RELATED', NULL, NULL, NULL, 15),
(130683, NULL, 'PTHR42721:SF17', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130684, NULL, 'PTHR15441', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P14', NULL, NULL, NULL, 15),
(130685, NULL, 'PTHR30502', NULL, NULL, NULL, NULL, '2-KETO-3-DEOXY-L-RHAMNONATE ALDOLASE', NULL, NULL, NULL, 15),
(130686, NULL, 'PTHR15653:SF3', NULL, NULL, NULL, NULL, 'STRIATIN-3', NULL, NULL, NULL, 15),
(130687, NULL, 'PTHR14379:SF27', NULL, NULL, NULL, NULL, 'BNAA01G07770D PROTEIN', NULL, NULL, NULL, 15),
(130688, NULL, 'PTHR12459:SF18', NULL, NULL, NULL, NULL, 'BNAANNG02190D PROTEIN', NULL, NULL, NULL, 15),
(130689, NULL, 'PTHR24233:SF6', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR RECEPTOR', NULL, NULL, NULL, 15),
(130690, NULL, 'PTHR34135', NULL, NULL, NULL, NULL, 'LYSOZYME', NULL, NULL, NULL, 15),
(130691, NULL, 'PTHR46201:SF7', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130692, NULL, 'PTHR45993:SF3', NULL, NULL, NULL, NULL, 'BAF CHROMATIN-REMODELING COMPLEX SUBUNIT BCL11A B', NULL, NULL, NULL, 15),
(130693, NULL, 'PTHR12478:SF17', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE TRANSCRIPT 4-LIKE PROTEIN', NULL, NULL, NULL, 15),
(130694, NULL, 'PTHR47330:SF3', NULL, NULL, NULL, NULL, 'POLY(U) BINDING SPLICING FACTOR 60', NULL, NULL, NULL, 15),
(130695, NULL, 'PTHR11877:SF83', NULL, NULL, NULL, NULL, 'BNAA09G41780D PROTEIN', NULL, NULL, NULL, 15),
(130696, NULL, 'PTHR46939:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(130697, NULL, 'PTHR46623:SF6', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(130698, NULL, 'PTHR45726', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 24710, 15),
(130699, NULL, 'PTHR12725:SF113', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE', NULL, NULL, NULL, 15),
(130700, NULL, 'PTHR16134:SF17', NULL, NULL, NULL, NULL, 'OS08G0195900 PROTEIN', NULL, NULL, NULL, 15),
(130701, NULL, 'PTHR12112:SF11', NULL, NULL, NULL, NULL, 'PROTEIN PRUNE HOMOLOG 2', NULL, NULL, NULL, 15),
(130702, NULL, 'PTHR47976:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130703, NULL, 'PTHR11866:SF37', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E RECEPTOR 4 (SUBTYPE EP4) B', NULL, NULL, NULL, 15),
(130704, NULL, 'PTHR11850:SF96', NULL, NULL, NULL, NULL, 'ASSOCIATED WITH HOX FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(130705, NULL, 'PTHR31150:SF37', NULL, NULL, NULL, NULL, 'BNAA06G40780D PROTEIN', NULL, NULL, NULL, 15),
(130706, NULL, 'PTHR48002', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130707, NULL, 'PTHR12103:SF35', NULL, NULL, NULL, NULL, 'BNAA07G31970D PROTEIN', NULL, NULL, NULL, 15),
(130708, NULL, 'PTHR42861:SF31', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE-RELATED', NULL, NULL, NULL, 15),
(130709, NULL, 'PTHR47515:SF2', NULL, NULL, NULL, NULL, 'LOW CALCIUM RESPONSE LOCUS PROTEIN T', NULL, NULL, NULL, 15),
(130710, NULL, 'PTHR37378:SF6', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE WOUND-INDUCED PROTEINASE INHIBITOR WIP1', NULL, NULL, NULL, 15),
(130711, NULL, 'PTHR10652:SF16', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(130712, NULL, 'PTHR16134:SF43', NULL, NULL, NULL, NULL, 'CORONATINE-INSENSITIVE PROTEIN 1', NULL, NULL, NULL, 15),
(130713, NULL, 'PTHR24026:SF100', NULL, NULL, NULL, NULL, 'DACHSOUS CADHERIN-RELATED 1A', NULL, NULL, NULL, 15),
(130714, NULL, 'PTHR27008:SF405', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130715, NULL, 'PTHR10687:SF5', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 5', NULL, NULL, NULL, 15),
(130716, NULL, 'PTHR31549:SF144', NULL, NULL, NULL, NULL, 'EMB|CAB72473.1-RELATED', NULL, NULL, NULL, 15),
(130717, NULL, 'PTHR33286:SF4', NULL, NULL, NULL, NULL, 'OS01G0800600 PROTEIN', NULL, NULL, NULL, 15),
(130718, NULL, 'PTHR27007:SF227', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.5-RELATED', NULL, NULL, NULL, 15),
(130719, NULL, 'PTHR12601:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130720, NULL, 'PTHR31642:SF238', NULL, NULL, NULL, NULL, 'BNAC03G58010D PROTEIN', NULL, NULL, NULL, 15),
(130721, NULL, 'PTHR11206:SF433', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(130722, NULL, 'PTHR23024:SF492', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1C', NULL, NULL, NULL, 15),
(130723, NULL, 'PTHR47951:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 706 SUBFAMILY A POLYPEPTIDE 5', NULL, NULL, NULL, 15),
(130724, NULL, 'PTHR10969:SF54', NULL, NULL, NULL, NULL, 'ZGC:92606', NULL, NULL, NULL, 15),
(130725, NULL, 'PTHR35577:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130726, NULL, 'PTHR31319:SF76', NULL, NULL, NULL, NULL, 'CCT MOTIF PROTEIN', NULL, NULL, NULL, 15),
(130727, NULL, 'PTHR47993', NULL, NULL, NULL, NULL, 'OS09G0372900 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130728, NULL, 'PTHR31140:SF1', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING TRANSCRIPTION REPRESSOR TEM1', NULL, NULL, NULL, 15),
(130729, NULL, 'PTHR13871:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG00891', NULL, NULL, NULL, 15),
(130730, NULL, 'PTHR11527:SF283', NULL, NULL, NULL, NULL, '17.1 KDA CLASS II HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(130731, NULL, 'PTHR31734:SF114', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA34', NULL, NULL, NULL, 15),
(130732, NULL, 'PTHR33147:SF47', NULL, NULL, NULL, NULL, 'DEFENSIN', NULL, NULL, NULL, 15),
(130733, NULL, 'PTHR45675:SF65', NULL, NULL, NULL, NULL, 'BNAA02G30960D PROTEIN', NULL, NULL, NULL, 15),
(130734, NULL, 'PTHR24123:SF116', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL, SUBFAMILY A, MEMBER 1B', NULL, NULL, NULL, 15),
(130735, NULL, 'PTHR11256:SF41', NULL, NULL, NULL, NULL, 'BCL-2 HOMOLOGOUS ANTAGONIST/KILLER', NULL, NULL, 23981, 15),
(130736, NULL, 'PTHR23131:SF2', NULL, NULL, NULL, NULL, 'LACTAMASE-LIKE PROTEIN APTB', NULL, NULL, NULL, 15),
(130737, NULL, 'PTHR11668:SF453', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(130738, NULL, 'PTHR23086:SF119', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(130739, NULL, 'PTHR46773:SF7', NULL, NULL, NULL, NULL, 'BNAC03G41890D PROTEIN', NULL, NULL, NULL, 15),
(130740, NULL, 'PTHR22899:SF0', NULL, NULL, NULL, NULL, 'F-BOX B PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130741, NULL, 'PTHR14949:SF42', NULL, NULL, NULL, NULL, 'SCHWANN CELL-SPECIFIC EGF-LIKE REPEAT AUTOCRINE FACTOR', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130742, NULL, 'PTHR11073:SF35', NULL, NULL, NULL, NULL, 'BNAANNG07030D PROTEIN', NULL, NULL, NULL, 15),
(130743, NULL, 'PTHR21668:SF18', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A-LIKE', NULL, NULL, NULL, 15),
(130744, NULL, 'PTHR23232:SF85', NULL, NULL, NULL, NULL, 'ZNF91 ISOFORM 3', NULL, NULL, NULL, 15),
(130745, NULL, 'PTHR12128:SF38', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE SYNTHETASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G00110)', NULL, NULL, NULL, 15),
(130746, NULL, 'PTHR24305:SF70', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(130747, NULL, 'PTHR23520:SF5', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G04000)-RELATED', NULL, NULL, NULL, 15),
(130748, NULL, 'PTHR23079:SF5', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE 2', NULL, NULL, NULL, 15),
(130749, NULL, 'PTHR10272:SF12', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE', NULL, NULL, NULL, 15),
(130750, NULL, 'PTHR43339', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN-RELATED', NULL, NULL, NULL, 15),
(130751, NULL, 'PTHR11566:SF50', NULL, NULL, NULL, NULL, 'SI:DKEY-32E23.4', NULL, NULL, NULL, 15),
(130752, NULL, 'PTHR23421:SF50', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE-1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(130753, NULL, 'PTHR12751:SF19', NULL, NULL, NULL, NULL, 'PHOSPHATASE AND ACTIN REGULATOR', NULL, NULL, NULL, 15),
(130754, NULL, 'PTHR45631:SF77', NULL, NULL, NULL, NULL, 'BNAC07G41790D PROTEIN', NULL, NULL, NULL, 15),
(130755, NULL, 'PTHR30535:SF28', NULL, NULL, NULL, NULL, 'IRON ABC TRANSPORTER, SUBSTRATE-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130756, NULL, 'PTHR12146:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10-2', NULL, NULL, NULL, 15),
(130757, NULL, 'PTHR16716:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130758, NULL, 'PTHR10980:SF37', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 1-LIKE', NULL, NULL, NULL, 15),
(130759, NULL, 'PTHR23189', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF-CONTAINING', NULL, NULL, NULL, 15),
(130760, NULL, 'PTHR34732:SF3', NULL, NULL, NULL, NULL, 'ROD PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130761, NULL, 'PTHR21213:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG14140', NULL, NULL, NULL, 15),
(130762, NULL, 'PTHR28596:SF1', NULL, NULL, NULL, NULL, 'BBSOME-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(130763, NULL, 'PTHR42795:SF1', NULL, NULL, NULL, NULL, 'ALANINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(130764, NULL, 'PTHR31517:SF54', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(130765, NULL, 'PTHR21596:SF57', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 1-LIKE', NULL, NULL, NULL, 15),
(130766, NULL, 'PTHR45644:SF18', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(130767, NULL, 'PTHR15746:SF20', NULL, NULL, NULL, NULL, 'RAB11 FAMILY-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(130768, NULL, 'PTHR45714:SF49', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX19', NULL, NULL, NULL, 15),
(130769, NULL, 'PTHR46354:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA1-LIKE', NULL, NULL, NULL, 15),
(130770, NULL, 'PTHR37982:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130771, NULL, 'PTHR23017:SF25', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS X 45', NULL, NULL, NULL, 15),
(130772, NULL, 'PTHR24286:SF312', NULL, NULL, NULL, NULL, 'ABSCISIC ACID 8''-HYDROXYLASE 4-LIKE', NULL, NULL, NULL, 15),
(130773, NULL, 'PTHR48047:SF56', NULL, NULL, NULL, NULL, 'OS08G0488800 PROTEIN', NULL, NULL, NULL, 15),
(130774, NULL, 'PTHR22943:SF28', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(130775, NULL, 'PTHR31734:SF198', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(130776, NULL, 'PTHR11502:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', NULL, NULL, NULL, 15),
(130777, NULL, 'PTHR31341:SF4', NULL, NULL, NULL, NULL, 'IPT/TIG DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130778, NULL, 'PTHR45621:SF32', NULL, NULL, NULL, NULL, 'OS10G0431900 PROTEIN', NULL, NULL, NULL, 15),
(130779, NULL, 'PTHR30231:SF34', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III, EPSILON CHAIN', NULL, NULL, NULL, 15),
(130780, NULL, 'PTHR34929:SF5', NULL, NULL, NULL, NULL, 'INAF-D', NULL, NULL, NULL, 15),
(130781, NULL, 'PTHR11430:SF10', NULL, NULL, NULL, NULL, 'EPIDIDYMAL-SPECIFIC LIPOCALIN-6', NULL, NULL, NULL, 15),
(130782, NULL, 'PTHR11527:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130783, NULL, 'PTHR23524:SF1', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04850)-RELATED', NULL, NULL, NULL, 15),
(130784, NULL, 'PTHR45927:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE RECEPTOR-LIKE KINASE NFP', NULL, NULL, NULL, 15),
(130785, NULL, 'PTHR45621:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL15-RELATED', NULL, NULL, NULL, 15),
(130786, NULL, 'PTHR10183:SF268', NULL, NULL, NULL, NULL, 'CALPAIN-2 CATALYTIC SUBUNIT', NULL, NULL, 25548, 15),
(130787, NULL, 'PTHR35896:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130788, NULL, 'PTHR31288:SF8', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 10-RELATED', NULL, NULL, NULL, 15),
(130789, NULL, 'PTHR11889:SF56', NULL, NULL, NULL, NULL, 'DESERT HEDGEHOG PROTEIN', NULL, NULL, NULL, 15),
(130790, NULL, 'PTHR43051:SF6', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE ADENYLYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(130791, NULL, 'PTHR14326:SF40', NULL, NULL, NULL, NULL, 'PROTEIN TPX2-LIKE', NULL, NULL, NULL, 15),
(130792, NULL, 'PTHR35292:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(130793, NULL, 'PTHR14224:SF92', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE AV320801-RELATED', NULL, NULL, NULL, 15),
(130794, NULL, 'PTHR33721:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 255B', NULL, NULL, NULL, 15),
(130795, NULL, 'PTHR11886:SF49', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(130796, NULL, 'PTHR10015:SF356', NULL, NULL, NULL, NULL, 'BNAC09G41040D PROTEIN', NULL, NULL, NULL, 15),
(130797, NULL, 'PTHR31343:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(130798, NULL, 'PTHR42684:SF3', NULL, NULL, NULL, NULL, 'ADENOSYLMETHIONINE-8-AMINO-7-OXONONANOATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(130799, NULL, 'PTHR16223:SF221', NULL, NULL, NULL, NULL, 'BNAA05G18250D PROTEIN', NULL, NULL, NULL, 15),
(130800, NULL, 'PTHR21576:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130801, NULL, 'PTHR19847:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130802, NULL, 'PTHR21106', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(130803, NULL, 'PTHR35489', NULL, NULL, NULL, NULL, 'TITAN9', NULL, NULL, NULL, 15),
(130804, NULL, 'PTHR19860:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130805, NULL, 'PTHR24093:SF488', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(130806, NULL, 'PTHR14592:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG13870', NULL, NULL, NULL, 15),
(130807, NULL, 'PTHR12750:SF20', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(130808, NULL, 'PTHR11673:SF30', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', NULL, NULL, NULL, 15),
(130809, NULL, 'PTHR28436:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM5 HOMOLOG', NULL, NULL, NULL, 15),
(130810, NULL, 'PTHR45701:SF17', NULL, NULL, NULL, NULL, 'VAMP/SYNAPTOBREVIN-RELATED', NULL, NULL, NULL, 15),
(130811, NULL, 'PTHR14790', NULL, NULL, NULL, NULL, 'RECQ-MEDIATED GENOME INSTABILITY PROTEIN 1 RMI1', NULL, NULL, 35455, 15),
(130812, NULL, 'PTHR48094', NULL, NULL, NULL, NULL, 'PROTEIN/NUCLEIC ACID DEGLYCASE DJ-1-RELATED', NULL, NULL, NULL, 15),
(130813, NULL, 'PTHR38742:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GP17', NULL, NULL, NULL, 15),
(130814, NULL, 'PTHR43390:SF2', NULL, NULL, NULL, NULL, 'THYLAKOIDAL PROCESSING PEPTIDASE 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130815, NULL, 'PTHR45768:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130816, NULL, 'PTHR12219:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130817, NULL, 'PTHR18934:SF236', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX37-RELATED', NULL, NULL, NULL, 15),
(130818, NULL, 'PTHR11062:SF267', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(130819, NULL, 'PTHR45803:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-9', NULL, NULL, 26844, 15),
(130820, NULL, 'PTHR24390:SF124', NULL, NULL, NULL, NULL, 'TISSUE-RESIDENT T-CELL TRANSCRIPTION REGULATOR PROTEIN ZNF683', NULL, NULL, NULL, 15),
(130821, NULL, 'PTHR31238:SF34', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 1-2', NULL, NULL, NULL, 15),
(130822, NULL, 'PTHR22961:SF16', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 40', NULL, NULL, NULL, 15),
(130823, NULL, 'PTHR47819:SF1', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN', NULL, NULL, NULL, 15),
(130824, NULL, 'PTHR31781', NULL, NULL, NULL, NULL, 'UNC80', NULL, NULL, NULL, 15),
(130825, NULL, 'PTHR46163:SF8', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(130826, NULL, 'PTHR39225:SF1', NULL, NULL, NULL, NULL, 'GENE 28434-RELATED', NULL, NULL, NULL, 15),
(130827, NULL, 'PTHR35545:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130828, NULL, 'PTHR46899:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1, REGULATORY SUBUNIT 27B', NULL, NULL, NULL, 15),
(130829, NULL, 'PTHR24324:SF10', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN PHO2', NULL, NULL, NULL, 15),
(130830, NULL, 'PTHR10615:SF185', NULL, NULL, NULL, NULL, 'D4, ZINC AND DOUBLE PHD FINGERS FAMILY 2,-LIKE', NULL, NULL, NULL, 15),
(130831, NULL, 'PTHR10134:SF30', NULL, NULL, NULL, NULL, 'RIESKE-I IRON SULFUR PROTEIN', NULL, NULL, NULL, 15),
(130832, NULL, 'PTHR31311:SF20', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(130833, NULL, 'PTHR11699:SF291', NULL, NULL, NULL, NULL, 'NADP/NAD-DEPENDENT ALDEHYDE DEHYDROGENASE PUUC', NULL, NULL, NULL, 15),
(130834, NULL, 'PTHR24320:SF158', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00440)-RELATED', NULL, NULL, NULL, 15),
(130835, NULL, 'PTHR46571', NULL, NULL, NULL, NULL, 'SORTING NEXIN-8', NULL, NULL, 23595, 15),
(130836, NULL, 'PTHR31375:SF29', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(130837, NULL, 'PTHR42678:SF18', NULL, NULL, NULL, NULL, 'OS10G0155400 PROTEIN', NULL, NULL, NULL, 15),
(130838, NULL, 'PTHR31681:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130839, NULL, 'PTHR24377:SF107', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 568', NULL, NULL, NULL, 15),
(130840, NULL, 'PTHR24320:SF225', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR', NULL, NULL, NULL, 15),
(130841, NULL, 'PTHR10809:SF127', NULL, NULL, NULL, NULL, 'OS08G0156700 PROTEIN', NULL, NULL, NULL, 15),
(130842, NULL, 'PTHR11260:SF593', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U25', NULL, NULL, NULL, 15),
(130843, NULL, 'PTHR37429:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG19148', NULL, NULL, NULL, 15),
(130844, NULL, 'PTHR22970:SF14', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(130845, NULL, 'PTHR10501:SF43', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130846, NULL, 'PTHR47658:SF1', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 12-RELATED', NULL, NULL, NULL, 15),
(130847, NULL, 'PTHR22573', NULL, NULL, NULL, NULL, 'PHOSPHOHEXOMUTASE FAMILY MEMBER', NULL, NULL, 39585, 15),
(130848, NULL, 'PTHR31314:SF74', NULL, NULL, NULL, NULL, 'PROTEIN PHR1-LIKE 1', NULL, NULL, NULL, 15),
(130849, NULL, 'PTHR11003:SF299', NULL, NULL, NULL, NULL, 'TWO PORE DOMAIN POTASSIUM CHANNEL-RELATED', NULL, NULL, NULL, 15),
(130850, NULL, 'PTHR22950:SF224', NULL, NULL, NULL, NULL, 'VACUOLAR AMINO ACID TRANSPORTER 7', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130851, NULL, 'PTHR14633:SF3', NULL, NULL, NULL, NULL, 'LITTLE ELONGATION COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(130852, NULL, 'PTHR21454:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130853, NULL, 'PTHR24064:SF487', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 2', NULL, NULL, NULL, 15),
(130854, NULL, 'PTHR33147:SF30', NULL, NULL, NULL, NULL, 'LOW-MOLECULAR-WEIGHT CYSTEINE-RICH PROTEIN LCR70', NULL, NULL, NULL, 15),
(130855, NULL, 'PTHR31225:SF109', NULL, NULL, NULL, NULL, 'ALPHA-HUMULENE/(-)-(E)-BETA-CARYOPHYLLENE SYNTHASE', NULL, NULL, NULL, 15),
(130856, NULL, 'PTHR30474:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE CELL-CYCLE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130857, NULL, 'PTHR31907:SF68', NULL, NULL, NULL, NULL, 'BNAC05G19070D PROTEIN', NULL, NULL, NULL, 15),
(130858, NULL, 'PTHR10519:SF67', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID TYPE B RECEPTOR SUBUNIT 2', NULL, NULL, NULL, 15),
(130859, NULL, 'PTHR31218:SF332', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(130860, NULL, 'PTHR37089:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130861, NULL, 'PTHR35710:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130862, NULL, 'PTHR42968:SF10', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN WDR-5.2-RELATED', NULL, NULL, NULL, 15),
(130863, NULL, 'PTHR11571:SF120', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(130864, NULL, 'PTHR31251:SF109', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(130865, NULL, 'PTHR12299:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130866, NULL, 'PTHR22765:SF209', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PLR-1-RELATED', NULL, NULL, NULL, 15),
(130867, NULL, 'PTHR48002:SF30', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(130868, NULL, 'PTHR10795:SF647', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.1', NULL, NULL, NULL, 15),
(130869, NULL, 'PTHR19353:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130870, NULL, 'PTHR10971:SF33', NULL, NULL, NULL, NULL, 'BNAA02G19480D PROTEIN', NULL, NULL, NULL, 15),
(130871, NULL, 'PTHR46128:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130872, NULL, 'PTHR12320:SF39', NULL, NULL, NULL, NULL, 'PTC7 PROTEIN PHOSPHATASE HOMOLOG B', NULL, NULL, NULL, 15),
(130873, NULL, 'PTHR47391', NULL, NULL, NULL, NULL, 'BIORIENTATION OF CHROMOSOMES IN CELL DIVISION 1 LIKE 1', NULL, NULL, 38314, 15),
(130874, NULL, 'PTHR43323:SF16', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', NULL, NULL, NULL, 15),
(130875, NULL, 'PTHR31945:SF119', NULL, NULL, NULL, NULL, 'BNAC05G19400D PROTEIN', NULL, NULL, NULL, 15),
(130876, NULL, 'PTHR23110:SF99', NULL, NULL, NULL, NULL, 'PRE-MOD(MDG4)-T-RELATED', NULL, NULL, NULL, 15),
(130877, NULL, 'PTHR24073:SF1157', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN YPT11', NULL, NULL, NULL, 15),
(130878, NULL, 'PTHR36489', NULL, NULL, NULL, NULL, 'PROTEIN-COUPLED RECEPTOR GPR1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130879, NULL, 'PTHR33452:SF10', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE MHQP-RELATED', NULL, NULL, NULL, 15),
(130880, NULL, 'PTHR48070:SF2', NULL, NULL, NULL, NULL, 'UPF0483 PROTEIN C25G4.2-LIKE', NULL, NULL, NULL, 15),
(130881, NULL, 'PTHR23204:SF12', NULL, NULL, NULL, NULL, 'BNAA02G08930D PROTEIN', NULL, NULL, NULL, 15),
(130882, NULL, 'PTHR20889:SF14', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE 1-LIKE', NULL, NULL, NULL, 15),
(130883, NULL, 'PTHR33052', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130884, NULL, 'PTHR11893:SF27', NULL, NULL, NULL, NULL, 'INNEXIN-17', NULL, NULL, NULL, 15),
(130885, NULL, 'PTHR12629:SF56', NULL, NULL, NULL, NULL, 'BNAA02G25850D PROTEIN', NULL, NULL, NULL, 15),
(130886, NULL, 'PTHR11088:SF70', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130887, NULL, 'PTHR44102:SF4', NULL, NULL, NULL, NULL, 'PROTEIN NPGR1', NULL, NULL, NULL, 15),
(130888, NULL, 'PTHR10037:SF223', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 4 SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(130889, NULL, 'PTHR24225:SF28', NULL, NULL, NULL, NULL, 'C3A ANAPHYLATOXIN CHEMOTACTIC RECEPTOR', NULL, NULL, 3847, 15),
(130890, NULL, 'PTHR13388:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 132C', NULL, NULL, NULL, 15),
(130891, NULL, 'PTHR33133:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130892, NULL, 'PTHR45707:SF46', NULL, NULL, NULL, NULL, 'OS11G0608700 PROTEIN', NULL, NULL, NULL, 15),
(130893, NULL, 'PTHR33021:SF319', NULL, NULL, NULL, NULL, 'CUPREDOXIN-RELATED', NULL, NULL, NULL, 15),
(130894, NULL, 'PTHR48077:SF2', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE', NULL, NULL, NULL, 15),
(130895, NULL, 'PTHR13944:SF23', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 18', NULL, NULL, NULL, 15),
(130896, NULL, 'PTHR33228:SF46', NULL, NULL, NULL, NULL, 'BNAA06G39670D PROTEIN', NULL, NULL, NULL, 15),
(130897, NULL, 'PTHR24414:SF34', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP20', NULL, NULL, NULL, 15),
(130898, NULL, 'PTHR47491:SF5', NULL, NULL, NULL, NULL, 'CAP-GLY DOMAIN LINKER', NULL, NULL, NULL, 15),
(130899, NULL, 'PTHR12027', NULL, NULL, NULL, NULL, 'WNT RELATED', NULL, NULL, 5666, 15),
(130900, NULL, 'PTHR31929:SF112', NULL, NULL, NULL, NULL, 'BNAC09G39410D PROTEIN', NULL, NULL, NULL, 15),
(130901, NULL, 'PTHR26453:SF213', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(130902, NULL, 'PTHR37989:SF39', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 9', NULL, NULL, NULL, 15),
(130903, NULL, 'PTHR10801:SF14', NULL, NULL, NULL, NULL, 'BNAC06G03470D PROTEIN', NULL, NULL, NULL, 15),
(130904, NULL, 'PTHR16451:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DYNAMICS PROTEIN MID49', NULL, NULL, NULL, 15),
(130905, NULL, 'PTHR10693', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN-BINDING PROTEIN', NULL, NULL, 29128, 15),
(130906, NULL, 'PTHR15588:SF13', NULL, NULL, NULL, NULL, 'SM-LIKE PROTEIN LSM1A', NULL, NULL, NULL, 15),
(130907, NULL, 'PTHR14255:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130908, NULL, 'PTHR45089:SF10', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(130909, NULL, 'PTHR30013', NULL, NULL, NULL, NULL, 'NIFE / NIFESE HYDROGENASE SMALL SUBUNIT FAMILY MEMBER', NULL, NULL, 4486, 15),
(130910, NULL, 'PTHR10663:SF316', NULL, NULL, NULL, NULL, 'GOLGI-SPECIFIC BREFELDIN A-RESISTANCE GUANINE NUCLEOTIDE EXCHANGE FACTOR 1', NULL, NULL, NULL, 15),
(130911, NULL, 'PTHR32134:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130912, NULL, 'PTHR45621:SF33', NULL, NULL, NULL, NULL, 'OS03G0821900 PROTEIN', NULL, NULL, NULL, 15),
(130913, NULL, 'PTHR43792:SF8', NULL, NULL, NULL, NULL, '[RIBOSOMAL PROTEIN S5]-ALANINE N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(130914, NULL, 'PTHR46366', NULL, NULL, NULL, NULL, 'PRO-APOPTOTIC SERINE PROTEASE NMA111', NULL, NULL, NULL, 15),
(130915, NULL, 'PTHR31235:SF317', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(130916, NULL, 'PTHR11599:SF179', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-3-B', NULL, NULL, NULL, 15),
(130917, NULL, 'PTHR10972:SF169', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 5', NULL, NULL, NULL, 15),
(130918, NULL, 'PTHR11055:SF17', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3''-PHOSPHOADENOSINE 5''-PHOSPHOSULFATE SYNTHASE 1', NULL, NULL, NULL, 15),
(130919, NULL, 'PTHR11848:SF160', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 7', NULL, NULL, NULL, 15),
(130920, NULL, 'PTHR11471:SF52', NULL, NULL, NULL, NULL, 'TNF SUPERFAMILY MEMBER 11', NULL, NULL, NULL, 15),
(130921, NULL, 'PTHR10980:SF50', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 1', NULL, NULL, NULL, 15),
(130922, NULL, 'PTHR31356:SF8', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 6-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130923, NULL, 'PTHR10806:SF22', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX CATALYTIC SUBUNIT SEC11A-LIKE', NULL, NULL, NULL, 15),
(130924, NULL, 'PTHR13301:SF160', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN G1-RELATED', NULL, NULL, NULL, 15),
(130925, NULL, 'PTHR33136:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130926, NULL, 'PTHR34630:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130927, NULL, 'PTHR11817:SF84', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(130928, NULL, 'PTHR42647:SF60', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BOI-RELATED', NULL, NULL, NULL, 15),
(130929, NULL, 'PTHR10795:SF665', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.1', NULL, NULL, NULL, 15),
(130930, NULL, 'PTHR18860:SF80', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(130931, NULL, 'PTHR11304:SF71', NULL, NULL, NULL, NULL, 'EPHRIN A-L1', NULL, NULL, NULL, 15),
(130932, NULL, 'PTHR33709:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130933, NULL, 'PTHR31942:SF66', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(130934, NULL, 'PTHR40077:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(130935, NULL, 'PTHR31228:SF3', NULL, NULL, NULL, NULL, 'CYSTATIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(130936, NULL, 'PTHR43335:SF9', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER RELATED', NULL, NULL, NULL, 15),
(130937, NULL, 'PTHR45977:SF37', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(130938, NULL, 'PTHR43490:SF73', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(130939, NULL, 'PTHR47273:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130940, NULL, 'PTHR43350:SF14', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE (ZN CONTAINING) (ADH-8)', NULL, NULL, NULL, 15),
(130941, NULL, 'PTHR46609:SF4', NULL, NULL, NULL, NULL, 'RESTRICTION ENDONUCLEASE, TYPE II-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(130942, NULL, 'PTHR13902:SF150', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK7-RELATED', NULL, NULL, NULL, 15),
(130943, NULL, 'PTHR31374:SF137', NULL, NULL, NULL, NULL, 'OSJNBA0060N03.10 PROTEIN', NULL, NULL, NULL, 15),
(130944, NULL, 'PTHR41302:SF2', NULL, NULL, NULL, NULL, 'PRESPORE SPECIFIC TRANSCRIPTIONAL ACTIVATOR RSFA', NULL, NULL, NULL, 15),
(130945, NULL, 'PTHR32285:SF272', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(130946, NULL, 'PTHR10336:SF84', NULL, NULL, NULL, NULL, 'INACTIVE PHOSPHOLIPASE C-LIKE PROTEIN 2', NULL, NULL, 22535, 15),
(130947, NULL, 'PTHR34415:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130948, NULL, 'PTHR48010:SF35', NULL, NULL, NULL, NULL, 'OS05G0595800 PROTEIN', NULL, NULL, NULL, 15),
(130949, NULL, 'PTHR34481:SF4', NULL, NULL, NULL, NULL, '17KDA ALPHA-AMYLASE/TRYPSIN INHIBITOR 2', NULL, NULL, NULL, 15),
(130950, NULL, 'PTHR31009:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130951, NULL, 'PTHR12982:SF0', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT C', NULL, NULL, NULL, 15),
(130952, NULL, 'PTHR46852:SF6', NULL, NULL, NULL, NULL, 'CERAMIDASE-RELATED', NULL, NULL, NULL, 15),
(130953, NULL, 'PTHR11722:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', NULL, NULL, NULL, 15),
(130954, NULL, 'PTHR33164:SF69', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(130955, NULL, 'PTHR24281:SF55', NULL, NULL, NULL, NULL, 'CYTOCHROME 98A1', NULL, NULL, NULL, 15),
(130956, NULL, 'PTHR33443:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130957, NULL, 'PTHR45647:SF36', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE DOMAIN KINASE', NULL, NULL, NULL, 15),
(130958, NULL, 'PTHR11564:SF31', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130959, NULL, 'PTHR35936:SF20', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ARGININE-BINDING PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(130960, NULL, 'PTHR38831:SF1', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN K-RELATED', NULL, NULL, NULL, 15),
(130961, NULL, 'PTHR18945:SF221', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(130962, NULL, 'PTHR21327:SF37', NULL, NULL, NULL, NULL, '3,4-DIHYDROXY-2-BUTANONE 4-PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(130963, NULL, 'PTHR47983:SF6', NULL, NULL, NULL, NULL, 'BNAA05G11820D PROTEIN', NULL, NULL, NULL, 15),
(130964, NULL, 'PTHR46792', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 80', NULL, NULL, NULL, 15),
(130965, NULL, 'PTHR46163:SF19', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(130966, NULL, 'PTHR31466:SF1', NULL, NULL, NULL, NULL, 'GENE 5591-RELATED', NULL, NULL, NULL, 15),
(130967, NULL, 'PTHR19303:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130968, NULL, 'PTHR13047:SF2', NULL, NULL, NULL, NULL, 'PRE-MRNA CLEAVAGE FACTOR IM 25 KDA SUBUNIT 2-LIKE', NULL, NULL, NULL, 15),
(130969, NULL, 'PTHR17130:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX16 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(130970, NULL, 'PTHR33222:SF29', NULL, NULL, NULL, NULL, 'BNAC04G00600D PROTEIN', NULL, NULL, NULL, 15),
(130971, NULL, 'PTHR43053:SF10', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GALACTOSIDASE (EUROFUNG)', NULL, NULL, NULL, 15),
(130972, NULL, 'PTHR33021:SF348', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(130973, NULL, 'PTHR12345:SF3', NULL, NULL, NULL, NULL, 'SYNTENIN-1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(130974, NULL, 'PTHR21576:SF91', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4', NULL, NULL, NULL, 15),
(130975, NULL, 'PTHR21600:SF61', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(130976, NULL, 'PTHR48084:SF1', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE SYNTHASE SUBUNIT KORB', NULL, NULL, NULL, 15),
(130977, NULL, 'PTHR11426:SF212', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(130978, NULL, 'PTHR27005:SF348', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(130979, NULL, 'PTHR47783', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(130980, NULL, 'PTHR11808:SF50', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-LYASE', NULL, NULL, NULL, 15),
(130981, NULL, 'PTHR26450:SF76', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51B5', NULL, NULL, NULL, 15),
(130982, NULL, 'PTHR47938:SF1', NULL, NULL, NULL, NULL, 'OS02G0304800 PROTEIN', NULL, NULL, NULL, 15),
(130983, NULL, 'PTHR21284:SF11', NULL, NULL, NULL, NULL, 'KUNE-KUNE', NULL, NULL, NULL, 15),
(130984, NULL, 'PTHR31618:SF11', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(130985, NULL, 'PTHR13042:SF13', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(130986, NULL, 'PTHR15151:SF20', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 12', NULL, NULL, NULL, 15),
(130987, NULL, 'PTHR45623:SF22', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(130988, NULL, 'PTHR45641:SF10', NULL, NULL, NULL, NULL, 'NEPHROCYSTIN-3', NULL, NULL, NULL, 15),
(130989, NULL, 'PTHR23220:SF118', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-X', NULL, NULL, NULL, 15),
(130990, NULL, 'PTHR39463', NULL, NULL, NULL, NULL, 'MEDUSA', NULL, NULL, NULL, 15),
(130991, NULL, 'PTHR12411:SF527', NULL, NULL, NULL, NULL, 'OS01G0330200 PROTEIN', NULL, NULL, NULL, 15),
(130992, NULL, 'PTHR10336:SF158', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(130993, NULL, 'PTHR38607', NULL, NULL, NULL, NULL, 'PROTEIN CBG00180-RELATED', NULL, NULL, NULL, 15),
(130994, NULL, 'PTHR31683:SF159', NULL, NULL, NULL, NULL, 'PECTIN LYASE FOLD/VIRULENCE FACTOR, AMBALLERGEN-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(130995, NULL, 'PTHR43321:SF26', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(130996, NULL, 'PTHR12345:SF11', NULL, NULL, NULL, NULL, 'FI13065P', NULL, NULL, NULL, 15),
(130997, NULL, 'PTHR48054:SF10', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RPK2', NULL, NULL, NULL, 15),
(130998, NULL, 'PTHR34114:SF11', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 1', NULL, NULL, NULL, 15),
(130999, NULL, 'PTHR47993:SF45', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(131000, NULL, 'PTHR37014:SF8', NULL, NULL, NULL, NULL, 'RICH PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04870)-RELATED', NULL, NULL, NULL, 15),
(131001, NULL, 'PTHR11709:SF368', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(131002, NULL, 'PTHR45637:SF18', NULL, NULL, NULL, NULL, 'OS05G0237400 PROTEIN', NULL, NULL, NULL, 15),
(131003, NULL, 'PTHR23291:SF97', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 1', NULL, NULL, NULL, 15),
(131004, NULL, 'PTHR12930:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF113A', NULL, NULL, NULL, 15),
(131005, NULL, 'PTHR47848:SF1', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(131006, NULL, 'PTHR10209:SF618', NULL, NULL, NULL, NULL, 'OS08G0480200 PROTEIN', NULL, NULL, NULL, 15),
(131007, NULL, 'PTHR11353:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131008, NULL, 'PTHR11062:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131009, NULL, 'PTHR33623:SF19', NULL, NULL, NULL, NULL, 'BNAANNG07330D PROTEIN', NULL, NULL, NULL, 15),
(131010, NULL, 'PTHR43139:SF28', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(131011, NULL, 'PTHR21738', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 13804, 15),
(131012, NULL, 'PTHR11260:SF576', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9-LIKE', NULL, NULL, NULL, 15),
(131013, NULL, 'PTHR22595:SF171', NULL, NULL, NULL, NULL, 'CHITINASE (CLASS IB) / HEVEIN', NULL, NULL, NULL, 15),
(131014, NULL, 'PTHR33401:SF1', NULL, NULL, NULL, NULL, 'LIGHT-HARVESTING COMPLEX-LIKE PROTEIN OHP2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(131015, NULL, 'PTHR17125', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 1', NULL, NULL, 31530, 15),
(131016, NULL, 'PTHR15907:SF155', NULL, NULL, NULL, NULL, 'BNAA06G09660D PROTEIN', NULL, NULL, NULL, 15),
(131017, NULL, 'PTHR11527:SF335', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(131018, NULL, 'PTHR12192', NULL, NULL, NULL, NULL, 'CATION TRANSPORT PROTEIN CHAC-RELATED', NULL, NULL, 4387, 15),
(131019, NULL, 'PTHR18945:SF845', NULL, NULL, NULL, NULL, 'CHOLINERGIC RECEPTOR, NICOTINIC, ALPHA 7 (NEURONAL)', NULL, NULL, NULL, 15),
(131020, NULL, 'PTHR34223:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131021, NULL, 'PTHR24064:SF576', NULL, NULL, NULL, NULL, 'CARCININE TRANSPORTER', NULL, NULL, NULL, 15),
(131022, NULL, 'PTHR24351:SF206', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(131023, NULL, 'PTHR45676:SF115', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(131024, NULL, 'PTHR12901:SF10', NULL, NULL, NULL, NULL, 'COENZYME Q-BINDING PROTEIN COQ10, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(131025, NULL, 'PTHR23510:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG18912', NULL, NULL, NULL, 15),
(131026, NULL, 'PTHR13608', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 34905, 15),
(131027, NULL, 'PTHR44191:SF18', NULL, NULL, NULL, NULL, 'OS04G0341900 PROTEIN', NULL, NULL, NULL, 15),
(131028, NULL, 'PTHR10405:SF13', NULL, NULL, NULL, NULL, 'SPINDLIN-2A-RELATED', NULL, NULL, 22106, 15),
(131029, NULL, 'PTHR19957:SF304', NULL, NULL, NULL, NULL, 'SYNTAXIN-22-LIKE', NULL, NULL, NULL, 15),
(131030, NULL, 'PTHR13009:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131031, NULL, 'PTHR10996:SF254', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131032, NULL, 'PTHR43544:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG23231', NULL, NULL, NULL, 15),
(131033, NULL, 'PTHR31048:SF18', NULL, NULL, NULL, NULL, 'OS11G0703000 PROTEIN', NULL, NULL, NULL, 15),
(131034, NULL, 'PTHR33179:SF56', NULL, NULL, NULL, NULL, 'BNAANNG04670D PROTEIN', NULL, NULL, NULL, 15),
(131035, NULL, 'PTHR31210:SF11', NULL, NULL, NULL, NULL, 'KETOGLUTARATE REDUCTASE TRANS-SPLICING-LIKE PROTEIN, PUTATIVE (DUF707)-RELATED', NULL, NULL, NULL, 15),
(131036, NULL, 'PTHR45934:SF4', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(131037, NULL, 'PTHR46952:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(131038, NULL, 'PTHR16189:SF14', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(131039, NULL, 'PTHR31374:SF260', NULL, NULL, NULL, NULL, 'BNAANNG07560D PROTEIN', NULL, NULL, NULL, 15),
(131040, NULL, 'PTHR11850:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131041, NULL, 'PTHR31500:SF85', NULL, NULL, NULL, NULL, 'PPC DOMAIN, AT HOOK-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131042, NULL, 'PTHR31656:SF41', NULL, NULL, NULL, NULL, 'OS05G0552600 PROTEIN', NULL, NULL, NULL, 15),
(131043, NULL, 'PTHR12603:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131044, NULL, 'PTHR32044:SF70', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 8-RELATED', NULL, NULL, NULL, 15),
(131045, NULL, 'PTHR37473', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131046, NULL, 'PTHR33147:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131047, NULL, 'PTHR47346:SF2', NULL, NULL, NULL, NULL, 'BNACNNG16160D PROTEIN', NULL, NULL, NULL, 15),
(131048, NULL, 'PTHR31221:SF96', NULL, NULL, NULL, NULL, 'OS05G0343400 PROTEIN', NULL, NULL, NULL, 15),
(131049, NULL, 'PTHR21586:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131050, NULL, 'PTHR47983:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(131051, NULL, 'PTHR28242:SF43', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 4', NULL, NULL, NULL, 15),
(131052, NULL, 'PTHR44042:SF39', NULL, NULL, NULL, NULL, 'MYB DOMAIN, PLANT, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131053, NULL, 'PTHR11430:SF126', NULL, NULL, NULL, NULL, 'BETA-LACTOGLOBULIN-1', NULL, NULL, NULL, 15),
(131054, NULL, 'PTHR13872:SF1', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT STT3B', NULL, NULL, NULL, 15),
(131055, NULL, 'PTHR16223:SF185', NULL, NULL, NULL, NULL, 'OSJNBB0015D13.17 PROTEIN', NULL, NULL, NULL, 15),
(131056, NULL, 'PTHR22914:SF41', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 8', NULL, NULL, NULL, 15),
(131057, NULL, 'PTHR14186:SF19', NULL, NULL, NULL, NULL, 'KAZAL-TYPE SERINE PROTEASE INHIBITOR DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(131058, NULL, 'PTHR24347:SF255', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE H2', NULL, NULL, NULL, 15),
(131059, NULL, 'PTHR47820:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131060, NULL, 'PTHR31066:SF10', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P FAMILY PROTEIN', NULL, NULL, NULL, 15),
(131061, NULL, 'PTHR22941:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(131062, NULL, 'PTHR23036:SF94', NULL, NULL, NULL, NULL, 'GRANULOCYTE-MACROPHAGE COLONY-STIMULATING FACTOR RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(131063, NULL, 'PTHR43120:SF11', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', NULL, NULL, NULL, 15),
(131064, NULL, 'PTHR12299:SF60', NULL, NULL, NULL, NULL, 'OS01G0603000 PROTEIN', NULL, NULL, NULL, 15),
(131065, NULL, 'PTHR24031:SF713', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(131066, NULL, 'PTHR11309:SF35', NULL, NULL, NULL, NULL, 'SMOOTHENED HOMOLOG', NULL, NULL, 22419, 15),
(131067, NULL, 'PTHR43546', NULL, NULL, NULL, NULL, 'UPF0173 METAL-DEPENDENT HYDROLASE MJ1163-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131068, NULL, 'PTHR22950:SF655', NULL, NULL, NULL, NULL, 'OS02G0191300 PROTEIN', NULL, NULL, NULL, 15),
(131069, NULL, 'PTHR31346:SF21', NULL, NULL, NULL, NULL, 'BNAC01G36450D PROTEIN', NULL, NULL, NULL, 15),
(131070, NULL, 'PTHR31907:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131071, NULL, 'PTHR10285:SF169', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE', NULL, NULL, NULL, 15),
(131072, NULL, 'PTHR45927:SF14', NULL, NULL, NULL, NULL, 'OS06G0625300 PROTEIN', NULL, NULL, NULL, 15),
(131073, NULL, 'PTHR11699:SF263', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G02830)-RELATED', NULL, NULL, NULL, 15),
(131074, NULL, 'PTHR10270:SF111', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-3', NULL, NULL, 26893, 15),
(131075, NULL, 'PTHR23235:SF105', NULL, NULL, NULL, NULL, 'SP (SPECIFICITY PROTEIN) TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(131076, NULL, 'PTHR11205:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131077, NULL, 'PTHR12289:SF71', NULL, NULL, NULL, NULL, 'FAILED AXON CONNECTIONS', NULL, NULL, NULL, 15),
(131078, NULL, 'PTHR23354:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131079, NULL, 'PTHR10934:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18-2-LIKE', NULL, NULL, NULL, 15),
(131080, NULL, 'PTHR45768:SF36', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL46-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(131081, NULL, 'PTHR10937:SF0', NULL, NULL, NULL, NULL, 'GH12731P-RELATED', NULL, NULL, 6642, 15),
(131082, NULL, 'PTHR22957:SF289', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 30', NULL, NULL, NULL, 15),
(131083, NULL, 'PTHR34663:SF10', NULL, NULL, NULL, NULL, 'PAMP-INDUCED SECRETED PEPTIDE 2', NULL, NULL, NULL, 15),
(131084, NULL, 'PTHR47540', NULL, NULL, NULL, NULL, 'THIAMINE REPRESSIBLE GENES REGULATORY PROTEIN THI5', NULL, NULL, NULL, 15),
(131085, NULL, 'PTHR11690', NULL, NULL, NULL, NULL, 'AMILORIDE-SENSITIVE SODIUM CHANNEL-RELATED', NULL, NULL, 4224, 15),
(131086, NULL, 'PTHR31717:SF45', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 14-RELATED', NULL, NULL, NULL, 15),
(131087, NULL, 'PTHR40620:SF1', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN CRD2, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G04318)-RELATED', NULL, NULL, NULL, 15),
(131088, NULL, 'PTHR46492', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 4, AXONEMAL', NULL, NULL, NULL, 15),
(131089, NULL, 'PTHR14557:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND UBIQUITIN-LIKE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(131090, NULL, 'PTHR26374:SF334', NULL, NULL, NULL, NULL, 'OS09G0122000 PROTEIN', NULL, NULL, NULL, 15),
(131091, NULL, 'PTHR18953:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131092, NULL, 'PTHR12374:SF68', NULL, NULL, NULL, NULL, 'BNAA02G17000D PROTEIN', NULL, NULL, NULL, 15),
(131093, NULL, 'PTHR27001:SF825', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RKF3-RELATED', NULL, NULL, NULL, 15),
(131094, NULL, 'PTHR33470:SF22', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(131095, NULL, 'PTHR47697:SF1', NULL, NULL, NULL, NULL, 'OS03G0340700 PROTEIN', NULL, NULL, NULL, 15),
(131096, NULL, 'PTHR23023:SF274', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(131097, NULL, 'PTHR10671:SF40', NULL, NULL, NULL, NULL, 'GERM CELL-SPECIFIC GENE 1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(131098, NULL, 'PTHR11417:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131099, NULL, 'PTHR43860:SF7', NULL, NULL, NULL, NULL, 'BETAINE ALDEHYDE DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(131100, NULL, 'PTHR23292:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06368', NULL, NULL, NULL, 15),
(131101, NULL, 'PTHR45801:SF45', NULL, NULL, NULL, NULL, 'BNACNNG19660D PROTEIN', NULL, NULL, NULL, 15),
(131102, NULL, 'PTHR43669', NULL, NULL, NULL, NULL, '5-KETO-D-GLUCONATE 5-REDUCTASE', NULL, NULL, NULL, 15),
(131103, NULL, 'PTHR47272', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131104, NULL, 'PTHR12566:SF14', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATION ELEMENT-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(131105, NULL, 'PTHR24349:SF437', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR, DEATH-ASSOCIATED PROTEIN KINASE 1-RELATED', NULL, NULL, NULL, 15),
(131106, NULL, 'PTHR11668:SF416', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(131107, NULL, 'PTHR33493:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131108, NULL, 'PTHR12855:SF10', NULL, NULL, NULL, NULL, 'DNA METHYLTRANSFERASE 1-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(131109, NULL, 'PTHR46162:SF26', NULL, NULL, NULL, NULL, 'BNAA07G24190D PROTEIN', NULL, NULL, NULL, 15),
(131110, NULL, 'PTHR47998:SF24', NULL, NULL, NULL, NULL, 'BNAA04G29720D PROTEIN', NULL, NULL, NULL, 15),
(131111, NULL, 'PTHR24015:SF1774', NULL, NULL, NULL, NULL, 'OS01G0355000 PROTEIN', NULL, NULL, NULL, 15),
(131112, NULL, 'PTHR47947:SF12', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(131113, NULL, 'PTHR45634', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, NULL, 15),
(131114, NULL, 'PTHR35176', NULL, NULL, NULL, NULL, 'HEME OXYGENASE HI_0854-RELATED', NULL, NULL, NULL, 15),
(131115, NULL, 'PTHR48006:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131116, NULL, 'PTHR47956:SF13', NULL, NULL, NULL, NULL, 'ENT-ISOKAURENE C2/C3-HYDROXYLASE', NULL, NULL, NULL, 15),
(131117, NULL, 'PTHR47932:SF44', NULL, NULL, NULL, NULL, 'ATPASE EXPRESSION PROTEIN 3', NULL, NULL, NULL, 15),
(131118, NULL, 'PTHR10210:SF103', NULL, NULL, NULL, NULL, 'BNACNNG35810D PROTEIN', NULL, NULL, NULL, 15),
(131119, NULL, 'PTHR44375:SF18', NULL, NULL, NULL, NULL, 'BNAA06G25540D PROTEIN', NULL, NULL, NULL, 15),
(131120, NULL, 'PTHR12983:SF9', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 10', NULL, NULL, NULL, 15),
(131121, NULL, 'PTHR30451:SF6', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE USHER PROTEIN SFMD', NULL, NULL, NULL, 15),
(131122, NULL, 'PTHR11048:SF41', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOATE POLYPRENYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(131123, NULL, 'PTHR45642:SF35', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE APG', NULL, NULL, NULL, 15),
(131124, NULL, 'PTHR21277:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131125, NULL, 'PTHR33065:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131126, NULL, 'PTHR11504:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6A1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(131127, NULL, 'PTHR31140:SF67', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(131128, NULL, 'PTHR33881:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131129, NULL, 'PTHR31096:SF40', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR4-LIKE', NULL, NULL, NULL, 15),
(131130, NULL, 'PTHR11802:SF354', NULL, NULL, NULL, NULL, 'BNAA04G13410D PROTEIN', NULL, NULL, NULL, 15),
(131131, NULL, 'PTHR10362:SF51', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(131132, NULL, 'PTHR24305:SF195', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(131133, NULL, 'PTHR46504', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131134, NULL, 'PTHR31790:SF27', NULL, NULL, NULL, NULL, 'OS02G0199500 PROTEIN', NULL, NULL, NULL, 15),
(131135, NULL, 'PTHR24223:SF277', NULL, NULL, NULL, NULL, 'ABC PROTEIN, SUBFAMILY ABCC', NULL, NULL, NULL, 15),
(131136, NULL, 'PTHR31235:SF287', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(131137, NULL, 'PTHR32018:SF33', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131138, NULL, 'PTHR21089:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3-DEHYDROQUINATE DEHYDRATASE/SHIKIMATE DEHYDROGENASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(131139, NULL, 'PTHR46078:SF4', NULL, NULL, NULL, NULL, 'FORKHEAD BOX J2', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131140, NULL, 'PTHR47995:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131141, NULL, 'PTHR23315:SF283', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 39', NULL, NULL, NULL, 15),
(131142, NULL, 'PTHR11240', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2', NULL, NULL, 5192, 15),
(131143, NULL, 'PTHR10015:SF384', NULL, NULL, NULL, NULL, 'BNAA01G35560D PROTEIN', NULL, NULL, NULL, 15),
(131144, NULL, 'PTHR32258:SF3', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 4A', NULL, NULL, NULL, 15),
(131145, NULL, 'PTHR31116:SF25', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(131146, NULL, 'PTHR33088:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131147, NULL, 'PTHR12101:SF1', NULL, NULL, NULL, NULL, 'BVES', NULL, NULL, NULL, 15),
(131148, NULL, 'PTHR23299:SF49', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1A', NULL, NULL, NULL, 15),
(131149, NULL, 'PTHR33927:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(131150, NULL, 'PTHR34928', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 217', NULL, NULL, 27647, 15),
(131151, NULL, 'PTHR15207', NULL, NULL, NULL, NULL, 'NONSYNDROMIC HEARING IMPAIRMENT PROTEIN', NULL, NULL, 40032, 15),
(131152, NULL, 'PTHR40636', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131153, NULL, 'PTHR26379:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131154, NULL, 'PTHR23503:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG09397', NULL, NULL, NULL, 15),
(131155, NULL, 'PTHR31439:SF3', NULL, NULL, NULL, NULL, 'OS07G0231800 PROTEIN', NULL, NULL, NULL, 15),
(131156, NULL, 'PTHR47990:SF61', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP1-RELATED', NULL, NULL, NULL, 15),
(131157, NULL, 'PTHR34555:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131158, NULL, 'PTHR12277:SF148', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(131159, NULL, 'PTHR11533:SF172', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE N', NULL, NULL, NULL, 15),
(131160, NULL, 'PTHR30065', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLIR', NULL, NULL, 5173, 15),
(131161, NULL, 'PTHR10891:SF882', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(131162, NULL, 'PTHR45642:SF84', NULL, NULL, NULL, NULL, 'BNAC03G75690D PROTEIN', NULL, NULL, NULL, 15),
(131163, NULL, 'PTHR45978:SF9', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(131164, NULL, 'PTHR23107:SF23', NULL, NULL, NULL, NULL, 'BNAA02G31040D PROTEIN', NULL, NULL, NULL, 15),
(131165, NULL, 'PTHR11746:SF251', NULL, NULL, NULL, NULL, 'BNAA03G48770D PROTEIN', NULL, NULL, NULL, 15),
(131166, NULL, 'PTHR10210:SF99', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE DIPHOSPHOKINASE-RELATED', NULL, NULL, NULL, 15),
(131167, NULL, 'PTHR47926:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131168, NULL, 'PTHR43580', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE GLYR1-RELATED', NULL, NULL, NULL, 15),
(131169, NULL, 'PTHR31016:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131170, NULL, 'PTHR10015:SF385', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-1D', NULL, NULL, NULL, 15),
(131171, NULL, 'PTHR11540:SF50', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE, GLYOXYSOMAL', NULL, NULL, NULL, 15),
(131172, NULL, 'PTHR47990:SF162', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 4', NULL, NULL, NULL, 15),
(131173, NULL, 'PTHR31137:SF5', NULL, NULL, NULL, NULL, 'PA14 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131174, NULL, 'PTHR24258:SF134', NULL, NULL, NULL, NULL, 'AGAP011908-PA', NULL, NULL, NULL, 15),
(131175, NULL, 'PTHR44586:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131176, NULL, 'PTHR10858:SF2', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE-2-BETA', NULL, NULL, NULL, 15),
(131177, NULL, 'PTHR24044:SF460', NULL, NULL, NULL, NULL, 'NOTCH HOMOLOG 2 N-TERMINAL-LIKE PROTEIN A', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131178, NULL, 'PTHR21355:SF11', NULL, NULL, NULL, NULL, 'LMBR1 DOMAIN-CONTAINING PROTEIN 2 HOMOLOG B', NULL, NULL, NULL, 15),
(131179, NULL, 'PTHR33449:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131180, NULL, 'PTHR35509', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF1995)-RELATED', NULL, NULL, NULL, 15),
(131181, NULL, 'PTHR11685:SF318', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF19B', NULL, NULL, NULL, 15),
(131182, NULL, 'PTHR31374:SF254', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR41', NULL, NULL, NULL, 15),
(131183, NULL, 'PTHR36586:SF21', NULL, NULL, NULL, NULL, 'PROLINE-RICH EXTENSIN-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(131184, NULL, 'PTHR10974:SF48', NULL, NULL, NULL, NULL, 'PROTEIN CBG23355', NULL, NULL, NULL, 15),
(131185, NULL, 'PTHR14155:SF86', NULL, NULL, NULL, NULL, 'OS06G0534500 PROTEIN', NULL, NULL, NULL, 15),
(131186, NULL, 'PTHR34131:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131187, NULL, 'PTHR24067:SF294', NULL, NULL, NULL, NULL, 'PROTEIN CROSSBRONX-RELATED', NULL, NULL, NULL, 15),
(131188, NULL, 'PTHR43051:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131189, NULL, 'PTHR31066:SF37', NULL, NULL, NULL, NULL, 'PB1 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(131190, NULL, 'PTHR15995', NULL, NULL, NULL, NULL, 'PROTEIN ZWILCH HOMOLOG', NULL, NULL, 16196, 15),
(131191, NULL, 'PTHR45734', NULL, NULL, NULL, NULL, 'TENSIN', NULL, NULL, NULL, 15),
(131192, NULL, 'PTHR48013:SF5', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 1', NULL, NULL, NULL, 15),
(131193, NULL, 'PTHR22767:SF9', NULL, NULL, NULL, NULL, 'BNAC02G23120D PROTEIN', NULL, NULL, NULL, 15),
(131194, NULL, 'PTHR45675:SF77', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(131195, NULL, 'PTHR23073:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131196, NULL, 'PTHR31639:SF164', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(131197, NULL, 'PTHR10943', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(131198, NULL, 'PTHR34144:SF2', NULL, NULL, NULL, NULL, 'CAPSULAR ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(131199, NULL, 'PTHR43791:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131200, NULL, 'PTHR45714:SF48', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(131201, NULL, 'PTHR45974:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131202, NULL, 'PTHR10859:SF105', NULL, NULL, NULL, NULL, 'DOLICHYL-PHOSPHATE BETA-D-MANNOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(131203, NULL, 'PTHR41404', NULL, NULL, NULL, NULL, 'SHIELDIN COMPLEX SUBUNIT 3', NULL, NULL, 29672, 15),
(131204, NULL, 'PTHR47992:SF86', NULL, NULL, NULL, NULL, 'BNAA02G13380D PROTEIN', NULL, NULL, NULL, 15),
(131205, NULL, 'PTHR28027', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MIT1', NULL, NULL, 16334, 15),
(131206, NULL, 'PTHR31322:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TM129', NULL, NULL, NULL, 15),
(131207, NULL, 'PTHR47543', NULL, NULL, NULL, NULL, 'OS08G0169600 PROTEIN', NULL, NULL, NULL, 15),
(131208, NULL, 'PTHR15288:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131209, NULL, 'PTHR24177:SF307', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS TRANSMEMBRANE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(131210, NULL, 'PTHR11961:SF39', NULL, NULL, NULL, NULL, 'CYTOCHROME C HOMOLOG', NULL, NULL, NULL, 15),
(131211, NULL, 'PTHR22936:SF84', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131212, NULL, 'PTHR13367:SF30', NULL, NULL, NULL, NULL, 'OTU DEUBIQUITINASE 7B', NULL, NULL, NULL, 15),
(131213, NULL, 'PTHR46158:SF2', NULL, NULL, NULL, NULL, 'OS02G0165000 PROTEIN', NULL, NULL, NULL, 15),
(131214, NULL, 'PTHR20884:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131215, NULL, 'PTHR31375:SF139', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131216, NULL, 'PTHR36264:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131217, NULL, 'PTHR48041:SF57', NULL, NULL, NULL, NULL, 'FI02074P', NULL, NULL, NULL, 15),
(131218, NULL, 'PTHR35687:SF1', NULL, NULL, NULL, NULL, 'OS07G0516700 PROTEIN', NULL, NULL, NULL, 15),
(131219, NULL, 'PTHR43180:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131220, NULL, 'PTHR36868', NULL, NULL, NULL, NULL, 'NUTRITIONALLY-REGULATED ADIPOSE AND CARDIAC ENRICHED PROTEIN HOMOLOG', NULL, NULL, 26430, 15),
(131221, NULL, 'PTHR12670:SF15', NULL, NULL, NULL, NULL, 'NEUTRAL CERAMIDASE', NULL, NULL, NULL, 15),
(131222, NULL, 'PTHR43719:SF41', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', NULL, NULL, NULL, 15),
(131223, NULL, 'PTHR12416:SF8', NULL, NULL, NULL, NULL, 'RRNA-PROCESSING PROTEIN FCF1 HOMOLOG', NULL, NULL, NULL, 15),
(131224, NULL, 'PTHR23033:SF15', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(131225, NULL, 'PTHR16500', NULL, NULL, NULL, NULL, 'BRCA2-INTERACTING TRANSCRIPTIONAL REPRESSOR EMSY', NULL, NULL, 34910, 15),
(131226, NULL, 'PTHR24242:SF216', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9A4', NULL, NULL, NULL, 15),
(131227, NULL, 'PTHR24055:SF155', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE PMK-3', NULL, NULL, NULL, 15),
(131228, NULL, 'PTHR45830:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(131229, NULL, 'PTHR22947:SF20', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(131230, NULL, 'PTHR23004:SF10', NULL, NULL, NULL, NULL, 'DOUBLECORTIN DOMAIN-CONTAINING PROTEIN 2B', NULL, NULL, NULL, 15),
(131231, NULL, 'PTHR23226:SF288', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131232, NULL, 'PTHR43391:SF42', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(131233, NULL, 'PTHR24120:SF5', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX-CONTAINING 12B', NULL, NULL, NULL, 15),
(131234, NULL, 'PTHR10340:SF29', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(131235, NULL, 'PTHR31238', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 3 MEMBER 3', NULL, NULL, NULL, 15),
(131236, NULL, 'PTHR15189', NULL, NULL, NULL, NULL, 'BRISC AND BRCA1-A COMPLEX MEMBER 2', NULL, NULL, 8969, 15),
(131237, NULL, 'PTHR46040:SF1', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN 20A', NULL, NULL, NULL, 15),
(131238, NULL, 'PTHR46651', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 7', NULL, NULL, NULL, 15),
(131239, NULL, 'PTHR24300:SF317', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2C8', NULL, NULL, NULL, 15),
(131240, NULL, 'PTHR48057', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT SERINE/THREONINE-PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(131241, NULL, 'PTHR45676:SF130', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL60-LIKE', NULL, NULL, NULL, 15),
(131242, NULL, 'PTHR31804', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131243, NULL, 'PTHR42683:SF66', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 6-RELATED', NULL, NULL, NULL, 15),
(131244, NULL, 'PTHR24289:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 84A1-LIKE', NULL, NULL, NULL, 15),
(131245, NULL, 'PTHR47571', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 3-3', NULL, NULL, 39145, 15),
(131246, NULL, 'PTHR10953:SF202', NULL, NULL, NULL, NULL, 'SUMO-ACTIVATING ENZYME SUBUNIT 1B-1-LIKE', NULL, NULL, NULL, 15),
(131247, NULL, 'PTHR40106', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN RCLC', NULL, NULL, 5629, 15),
(131248, NULL, 'PTHR23316:SF63', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(131249, NULL, 'PTHR45734:SF8', NULL, NULL, NULL, NULL, 'BLISTERY, ISOFORM A', NULL, NULL, NULL, 15),
(131250, NULL, 'PTHR11685:SF310', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(131251, NULL, 'PTHR23014:SF1', NULL, NULL, NULL, NULL, 'F-BOX A PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131252, NULL, 'PTHR43140', NULL, NULL, NULL, NULL, 'TYPE-1 RESTRICTION ENZYME ECOKI SPECIFICITY PROTEIN', NULL, NULL, NULL, 15),
(131253, NULL, 'PTHR48020:SF7', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12580)-RELATED', NULL, NULL, NULL, 15),
(131254, NULL, 'PTHR37180:SF2', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP14', NULL, NULL, NULL, 15),
(131255, NULL, 'PTHR46195:SF26', NULL, NULL, NULL, NULL, 'BNAC02G42560D PROTEIN', NULL, NULL, NULL, 15),
(131256, NULL, 'PTHR10972:SF176', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 8', NULL, NULL, NULL, 15),
(131257, NULL, 'PTHR33676:SF17', NULL, NULL, NULL, NULL, 'REGULATED GENE 27, PUTATIVE ISOFORM 2-RELATED', NULL, NULL, NULL, 15),
(131258, NULL, 'PTHR11817:SF101', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE PKM', NULL, NULL, NULL, 15),
(131259, NULL, 'PTHR11545:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13A-4', NULL, NULL, NULL, 15),
(131260, NULL, 'PTHR23201:SF86', NULL, NULL, NULL, NULL, 'SNAKIN-2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(131261, NULL, 'PTHR32116:SF77', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(131262, NULL, 'PTHR36705:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131263, NULL, 'PTHR11153:SF22', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-1.1-RELATED', NULL, NULL, NULL, 15),
(131264, NULL, 'PTHR27007:SF149', NULL, NULL, NULL, NULL, 'OS07G0575700 PROTEIN', NULL, NULL, NULL, 15),
(131265, NULL, 'PTHR33021:SF303', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(131266, NULL, 'PTHR31080:SF192', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 11', NULL, NULL, NULL, 15),
(131267, NULL, 'PTHR32077:SF45', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(131268, NULL, 'PTHR32243:SF24', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN AMYC-RELATED', NULL, NULL, NULL, 15),
(131269, NULL, 'PTHR10277:SF63', NULL, NULL, NULL, NULL, 'HOMOCITRATE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(131270, NULL, 'PTHR32444:SF86', NULL, NULL, NULL, NULL, 'OS06G0619200 PROTEIN', NULL, NULL, NULL, 15),
(131271, NULL, 'PTHR10641:SF1257', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 306-LIKE', NULL, NULL, NULL, 15),
(131272, NULL, 'PTHR14773:SF2', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR-RELATED WD40PROTEIN', NULL, NULL, NULL, 15),
(131273, NULL, 'PTHR34721:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG09158', NULL, NULL, NULL, 15),
(131274, NULL, 'PTHR31246:SF21', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-1', NULL, NULL, NULL, 15),
(131275, NULL, 'PTHR14155:SF504', NULL, NULL, NULL, NULL, 'OS05G0426066 PROTEIN', NULL, NULL, NULL, 15),
(131276, NULL, 'PTHR13449:SF2', NULL, NULL, NULL, NULL, 'PROTEIN WNTLESS HOMOLOG', NULL, NULL, NULL, 15),
(131277, NULL, 'PTHR46128:SF187', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(131278, NULL, 'PTHR47557:SF4', NULL, NULL, NULL, NULL, 'BNAA09G01990D PROTEIN', NULL, NULL, NULL, 15),
(131279, NULL, 'PTHR11017:SF314', NULL, NULL, NULL, NULL, 'BNACNNG16130D PROTEIN', NULL, NULL, NULL, 15),
(131280, NULL, 'PTHR40260', NULL, NULL, NULL, NULL, 'BLR8190 PROTEIN', NULL, NULL, NULL, 15),
(131281, NULL, 'PTHR48105:SF17', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE', NULL, NULL, NULL, 15),
(131282, NULL, 'PTHR33286:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131283, NULL, 'PTHR19308:SF35', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 7, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(131284, NULL, 'PTHR31002:SF34', NULL, NULL, NULL, NULL, 'CELL WALL PROTEIN CWP1-RELATED', NULL, NULL, NULL, 15),
(131285, NULL, 'PTHR31351:SF36', NULL, NULL, NULL, NULL, 'BNAA02G22400D PROTEIN', NULL, NULL, NULL, 15),
(131286, NULL, 'PTHR33493:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131287, NULL, 'PTHR31451:SF39', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131288, NULL, 'PTHR26450:SF142', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 56B4', NULL, NULL, NULL, 15),
(131289, NULL, 'PTHR36064', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 2735', NULL, NULL, NULL, 15),
(131290, NULL, 'PTHR43840:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG00606', NULL, NULL, NULL, 15),
(131291, NULL, 'PTHR22550:SF17', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN B1', NULL, NULL, NULL, 15),
(131292, NULL, 'PTHR27000:SF718', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(131293, NULL, 'PTHR35457', NULL, NULL, NULL, NULL, 'HEME A SYNTHASE', NULL, NULL, NULL, 15),
(131294, NULL, 'PTHR41283', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(131295, NULL, 'PTHR31790:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131296, NULL, 'PTHR48111:SF49', NULL, NULL, NULL, NULL, 'HEME RESPONSE REGULATOR HSSR', NULL, NULL, NULL, 15),
(131297, NULL, 'PTHR31414:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131298, NULL, 'PTHR11387:SF32', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT', NULL, NULL, NULL, 15),
(131299, NULL, 'PTHR23147:SF96', NULL, NULL, NULL, NULL, 'OS02G0252100 PROTEIN', NULL, NULL, NULL, 15),
(131300, NULL, 'PTHR46798:SF3', NULL, NULL, NULL, NULL, 'RING FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(131301, NULL, 'PTHR31223:SF41', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOGL2-RELATED', NULL, NULL, NULL, 15),
(131302, NULL, 'PTHR45730:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131303, NULL, 'PTHR39662', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 471, 15),
(131304, NULL, 'PTHR13605:SF4', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(131305, NULL, 'PTHR47987:SF12', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(131306, NULL, 'PTHR10334:SF253', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', NULL, NULL, NULL, 15),
(131307, NULL, 'PTHR23124:SF130', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(131308, NULL, 'PTHR33450:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131309, NULL, 'PTHR23504:SF1', NULL, NULL, NULL, NULL, 'GH21943P', NULL, NULL, NULL, 15),
(131310, NULL, 'PTHR14947', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, 31011, 15),
(131311, NULL, 'PTHR23520', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G04000)-RELATED', NULL, NULL, NULL, 15),
(131312, NULL, 'PTHR24238:SF26', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(131313, NULL, 'PTHR32212:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131314, NULL, 'PTHR32518', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131315, NULL, 'PTHR31284:SF21', NULL, NULL, NULL, NULL, 'PLANT ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(131316, NULL, 'PTHR21559', NULL, NULL, NULL, NULL, 'DYSTROGLYCAN-RELATED', NULL, NULL, NULL, 15),
(131317, NULL, 'PTHR47071:SF3', NULL, NULL, NULL, NULL, 'DUF4378 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(131318, NULL, 'PTHR24229:SF18', NULL, NULL, NULL, NULL, 'NEUROPEPTIDES B/W RECEPTOR TYPE 2', NULL, NULL, 27168, 15),
(131319, NULL, 'PTHR47926:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131320, NULL, 'PTHR30480:SF8', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04060)-RELATED', NULL, NULL, NULL, 15),
(131321, NULL, 'PTHR31471:SF16', NULL, NULL, NULL, NULL, 'OS02G0602000 PROTEIN', NULL, NULL, NULL, 15),
(131322, NULL, 'PTHR12854:SF12', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(131323, NULL, 'PTHR42693:SF30', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCEROL TRANSFERASE I', NULL, NULL, NULL, 15),
(131324, NULL, 'PTHR43866:SF10', NULL, NULL, NULL, NULL, 'METHYLMALONATE-SEMIALDEHYDE DEHYDROGENASE, ALDEHYDE/HISTIDINOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131325, NULL, 'PTHR44329:SF137', NULL, NULL, NULL, NULL, 'OS02G0527600 PROTEIN', NULL, NULL, NULL, 15),
(131326, NULL, 'PTHR22911:SF123', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(131327, NULL, 'PTHR31839:SF31', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1H', NULL, NULL, NULL, 15),
(131328, NULL, 'PTHR11003:SF87', NULL, NULL, NULL, NULL, 'AGAP000079-PA', NULL, NULL, NULL, 15),
(131329, NULL, 'PTHR47991:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131330, NULL, 'PTHR36157', NULL, NULL, NULL, NULL, 'PROTEIN CBG12671-RELATED', NULL, NULL, NULL, 15),
(131331, NULL, 'PTHR11394:SF60', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 102', NULL, NULL, NULL, 15),
(131332, NULL, 'PTHR12565:SF359', NULL, NULL, NULL, NULL, 'BASIC HELIX LOOP HELIX PROTEIN BHLH8', NULL, NULL, NULL, 15),
(131333, NULL, 'PTHR43017', NULL, NULL, NULL, NULL, 'GALACTOSIDE O-ACETYLTRANSFERASE', NULL, NULL, 33179, 15),
(131334, NULL, 'PTHR32141:SF105', NULL, NULL, NULL, NULL, 'OS01G0578500 PROTEIN', NULL, NULL, NULL, 15),
(131335, NULL, 'PTHR24377:SF120', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 605', NULL, NULL, NULL, 15),
(131336, NULL, 'PTHR32468:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131337, NULL, 'PTHR11544:SF124', NULL, NULL, NULL, NULL, 'COLD SHOCK-LIKE PROTEIN B CSPB-RELATED', NULL, NULL, NULL, 15),
(131338, NULL, 'PTHR34983:SF1', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN ENDO-BETA-1,4-GALACTANASE A', NULL, NULL, NULL, 15),
(131339, NULL, 'PTHR15241:SF288', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131340, NULL, 'PTHR12893', NULL, NULL, NULL, NULL, 'GOLGI REASSEMBLY STACKING PROTEIN  GRASP', NULL, NULL, 2826, 15),
(131341, NULL, 'PTHR33662:SF3', NULL, NULL, NULL, NULL, 'OTU DEUBIQUITINASE WITH LINEAR LINKAGE-SPECIFICITY A-RELATED', NULL, NULL, NULL, 15),
(131342, NULL, 'PTHR24029:SF0', NULL, NULL, NULL, NULL, 'UVRABC SYSTEM PROTEIN B', NULL, NULL, NULL, 15),
(131343, NULL, 'PTHR13318:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131344, NULL, 'PTHR24128:SF61', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', NULL, NULL, NULL, 15),
(131345, NULL, 'PTHR11689:SF154', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(131346, NULL, 'PTHR45717:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131347, NULL, 'PTHR10336:SF82', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(131348, NULL, 'PTHR24015:SF424', NULL, NULL, NULL, NULL, 'OS09G0327200 PROTEIN', NULL, NULL, NULL, 15),
(131349, NULL, 'PTHR13354:SF11', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 9', NULL, NULL, NULL, 15),
(131350, NULL, 'PTHR11746:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131351, NULL, 'PTHR11003:SF90', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(131352, NULL, 'PTHR24028:SF282', NULL, NULL, NULL, NULL, 'STARRY NIGHT', NULL, NULL, NULL, 15),
(131353, NULL, 'PTHR24067:SF260', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 A,-LIKE', NULL, NULL, NULL, 15),
(131354, NULL, 'PTHR30290:SF28', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERIPLASMIC-BINDING PROTEIN SAPA-RELATED', NULL, NULL, NULL, 15),
(131355, NULL, 'PTHR27000:SF681', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(131356, NULL, 'PTHR10926:SF59', NULL, NULL, NULL, NULL, 'CDC50/LEM3 FAMILY-RELATED', NULL, NULL, NULL, 15),
(131357, NULL, 'PTHR46974:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GTP/GDP CARRIER PROTEIN 1', NULL, NULL, NULL, 15),
(131358, NULL, 'PTHR39653', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 20-2', NULL, NULL, NULL, 15),
(131359, NULL, 'PTHR46386:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR AUTOANTIGEN SP-100', NULL, NULL, NULL, 15),
(131360, NULL, 'PTHR12111', NULL, NULL, NULL, NULL, 'SPLICING FACTOR YJU2', NULL, NULL, 2818, 15),
(131361, NULL, 'PTHR43111:SF1', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE B-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131362, NULL, 'PTHR10458:SF8', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE', NULL, NULL, NULL, 15),
(131363, NULL, 'PTHR12277:SF155', NULL, NULL, NULL, NULL, 'PROTEIN ABHD17C-LIKE', NULL, NULL, NULL, 15),
(131364, NULL, 'PTHR11353:SF94', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT EPSILON', NULL, NULL, NULL, 15),
(131365, NULL, 'PTHR37616:SF1', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(131366, NULL, 'PTHR34656:SF1', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE', NULL, NULL, NULL, 15),
(131367, NULL, 'PTHR33122:SF63', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(131368, NULL, 'PTHR43671:SF35', NULL, NULL, NULL, NULL, 'KINASE A, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(131369, NULL, 'PTHR48015:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAK 2', NULL, NULL, NULL, 15),
(131370, NULL, 'PTHR48001:SF63', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(131371, NULL, 'PTHR14155:SF481', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131372, NULL, 'PTHR11818:SF118', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN E-RELATED', NULL, NULL, NULL, 15),
(131373, NULL, 'PTHR48001:SF15', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(131374, NULL, 'PTHR43065:SF20', NULL, NULL, NULL, NULL, 'SPORULATION KINASE E', NULL, NULL, NULL, 15),
(131375, NULL, 'PTHR32093', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(131376, NULL, 'PTHR19871:SF29', NULL, NULL, NULL, NULL, 'NACHT AND WD REPEAT DOMAIN-CONTAINING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(131377, NULL, 'PTHR31152:SF15', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(131378, NULL, 'PTHR33645:SF10', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(131379, NULL, 'PTHR46878:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN M1', NULL, NULL, NULL, 15),
(131380, NULL, 'PTHR15468:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131381, NULL, 'PTHR46444:SF15', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN-LIKE PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(131382, NULL, 'PTHR31448:SF36', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(131383, NULL, 'PTHR24235:SF27', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(131384, NULL, 'PTHR15601:SF14', NULL, NULL, NULL, NULL, 'STRESS-ASSOCIATED ENDOPLASMIC RETICULUM PROTEIN 1', NULL, NULL, NULL, 15),
(131385, NULL, 'PTHR32370:SF152', NULL, NULL, NULL, NULL, 'BNAA03G54110D PROTEIN', NULL, NULL, NULL, 15),
(131386, NULL, 'PTHR13713:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131387, NULL, 'PTHR10165:SF184', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE HOMOLOG 1.2 HOMOLOG', NULL, NULL, NULL, 15),
(131388, NULL, 'PTHR11132:SF424', NULL, NULL, NULL, NULL, 'BNAA01G29430D PROTEIN', NULL, NULL, NULL, 15),
(131389, NULL, 'PTHR11785:SF340', NULL, NULL, NULL, NULL, 'AROMATIC-PREFERRING AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(131390, NULL, 'PTHR13109:SF7', NULL, NULL, NULL, NULL, 'NEUROCHONDRIN', NULL, NULL, NULL, 15),
(131391, NULL, 'PTHR22883:SF380', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(131392, NULL, 'PTHR13620:SF85', NULL, NULL, NULL, NULL, 'WERNER SYNDROME-LIKE EXONUCLEASE', NULL, NULL, NULL, 15),
(131393, NULL, 'PTHR11521:SF23', NULL, NULL, NULL, NULL, 'SLOW TROPONIN T', NULL, NULL, NULL, 15),
(131394, NULL, 'PTHR31650:SF65', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE', NULL, NULL, NULL, 15),
(131395, NULL, 'PTHR26453:SF592', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13', NULL, NULL, NULL, 15),
(131396, NULL, 'PTHR38572:SF1', NULL, NULL, NULL, NULL, 'BCDNA.GH07269-RELATED', NULL, NULL, NULL, 15),
(131397, NULL, 'PTHR31232:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131398, NULL, 'PTHR46865', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(131399, NULL, 'PTHR33021:SF179', NULL, NULL, NULL, NULL, 'BLUE COPPER BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(131400, NULL, 'PTHR11005:SF10', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(131401, NULL, 'PTHR36346:SF3', NULL, NULL, NULL, NULL, 'BNACNNG66800D PROTEIN', NULL, NULL, NULL, 15),
(131402, NULL, 'PTHR21562:SF54', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 1', NULL, NULL, NULL, 15),
(131403, NULL, 'PTHR23257:SF843', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131404, NULL, 'PTHR12203:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131405, NULL, 'PTHR32370:SF119', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(131406, NULL, 'PTHR11590:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131407, NULL, 'PTHR32227:SF243', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE', NULL, NULL, NULL, 15),
(131408, NULL, 'PTHR15046:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131409, NULL, 'PTHR27005:SF342', NULL, NULL, NULL, NULL, 'OS02G0632800 PROTEIN', NULL, NULL, NULL, 15),
(131410, NULL, 'PTHR45863:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131411, NULL, 'PTHR45527:SF1', NULL, NULL, NULL, NULL, 'NONRIBOSOMAL PEPTIDE SYNTHETASE', NULL, NULL, NULL, 15),
(131412, NULL, 'PTHR31917:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131413, NULL, 'PTHR35729:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131414, NULL, 'PTHR36683', NULL, NULL, NULL, NULL, 'CELL CYCLE EXIT AND NEURONAL DIFFERENTIATION PROTEIN 1', NULL, NULL, 13799, 15),
(131415, NULL, 'PTHR11588:SF405', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(131416, NULL, 'PTHR20968', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131417, NULL, 'PTHR43214:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN UHPA', NULL, NULL, NULL, 15),
(131418, NULL, 'PTHR27007:SF68', NULL, NULL, NULL, NULL, 'OS01G0779300 PROTEIN', NULL, NULL, NULL, 15),
(131419, NULL, 'PTHR32401:SF13', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(131420, NULL, 'PTHR14611:SF0', NULL, NULL, NULL, NULL, 'TECTONIC', NULL, NULL, NULL, 15),
(131421, NULL, 'PTHR24032:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131422, NULL, 'PTHR24281:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131423, NULL, 'PTHR33352', NULL, NULL, NULL, NULL, 'SLR1095 PROTEIN', NULL, NULL, NULL, 15),
(131424, NULL, 'PTHR23138:SF145', NULL, NULL, NULL, NULL, 'BNAA08G28880D PROTEIN', NULL, NULL, NULL, 15),
(131425, NULL, 'PTHR37013:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_1G05950)', NULL, NULL, NULL, 15),
(131426, NULL, 'PTHR24068:SF317', NULL, NULL, NULL, NULL, 'OS01G0673600 PROTEIN', NULL, NULL, NULL, 15),
(131427, NULL, 'PTHR11731:SF160', NULL, NULL, NULL, NULL, 'DIPEPTIDYL AMINOPEPTIDASE A', NULL, NULL, NULL, 15),
(131428, NULL, 'PTHR14898:SF10', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131429, NULL, 'PTHR12654:SF23', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', NULL, NULL, NULL, 15),
(131430, NULL, 'PTHR35702:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(131431, NULL, 'PTHR45683:SF11', NULL, NULL, NULL, NULL, 'BNAC06G30010D PROTEIN', NULL, NULL, NULL, 15),
(131432, NULL, 'PTHR48036:SF5', NULL, NULL, NULL, NULL, 'CC1-LIKE SPLICING FACTOR', NULL, NULL, NULL, 15),
(131433, NULL, 'PTHR10514:SF41', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME-LIKE PROTEIN ACE3', NULL, NULL, NULL, 15),
(131434, NULL, 'PTHR46325:SF20', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC11', NULL, NULL, NULL, 15),
(131435, NULL, 'PTHR15710:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131436, NULL, 'PTHR33095:SF14', NULL, NULL, NULL, NULL, 'AR781', NULL, NULL, NULL, 15),
(131437, NULL, 'PTHR11255:SF107', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(131438, NULL, 'PTHR20993:SF0', NULL, NULL, NULL, NULL, 'GH07914P', NULL, NULL, NULL, 15),
(131439, NULL, 'PTHR43859', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME', NULL, NULL, NULL, 15),
(131440, NULL, 'PTHR30239:SF0', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE ISOZYME 3 SMALL SUBUNIT', NULL, NULL, NULL, 15),
(131441, NULL, 'PTHR24056:SF241', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE 2', NULL, NULL, NULL, 15),
(131442, NULL, 'PTHR31048:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131443, NULL, 'PTHR23055:SF164', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE ACTIVATOR 1A', NULL, NULL, NULL, 15),
(131444, NULL, 'PTHR33167:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131445, NULL, 'PTHR21660:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131446, NULL, 'PTHR34396:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 4-LIKE', NULL, NULL, NULL, 15),
(131447, NULL, 'PTHR43464:SF57', NULL, NULL, NULL, NULL, 'UBIE/COQ5 METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(131448, NULL, 'PTHR34786:SF2', NULL, NULL, NULL, NULL, 'BNAA05G15570D PROTEIN', NULL, NULL, NULL, 15),
(131449, NULL, 'PTHR10701:SF5', NULL, NULL, NULL, NULL, 'FI06540P', NULL, NULL, 21507, 15),
(131450, NULL, 'PTHR24249:SF220', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 10A-RELATED', NULL, NULL, NULL, 15),
(131451, NULL, 'PTHR31713:SF69', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN60-RELATED', NULL, NULL, NULL, 15),
(131452, NULL, 'PTHR13964:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131453, NULL, 'PTHR28232:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RXT2', NULL, NULL, NULL, 15),
(131454, NULL, 'PTHR15897', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND MYND DOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(131455, NULL, 'PTHR23227:SF67', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN LINE-1', NULL, NULL, NULL, 15),
(131456, NULL, 'PTHR10693:SF65', NULL, NULL, NULL, NULL, 'BNAC07G30950D PROTEIN', NULL, NULL, NULL, 15),
(131457, NULL, 'PTHR11474:SF83', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE', NULL, NULL, NULL, 15),
(131458, NULL, 'PTHR45676:SF57', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(131459, NULL, 'PTHR30427', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN LYSR', NULL, NULL, NULL, 15),
(131460, NULL, 'PTHR46779:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE FAMILY 29-RELATED', NULL, NULL, NULL, 15),
(131461, NULL, 'PTHR10822:SF25', NULL, NULL, NULL, NULL, 'GLYPICAN-4', NULL, NULL, 25759, 15),
(131462, NULL, 'PTHR14559:SF1', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(131463, NULL, 'PTHR45978:SF12', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131464, NULL, 'PTHR47978:SF17', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(131465, NULL, 'PTHR43033', NULL, NULL, NULL, NULL, 'TRNA(ILE)-LYSIDINE SYNTHASE-RELATED', NULL, NULL, 13062, 15),
(131466, NULL, 'PTHR31673:SF31', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131467, NULL, 'PTHR45842:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131468, NULL, 'PTHR27006:SF340', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(131469, NULL, 'PTHR13080', NULL, NULL, NULL, NULL, 'ATP SYNTHASE F CHAIN, MITOCHONDRIAL-RELATED', NULL, NULL, 15693, 15),
(131470, NULL, 'PTHR43173:SF19', NULL, NULL, NULL, NULL, 'OS03G0698350 PROTEIN', NULL, NULL, NULL, 15),
(131471, NULL, 'PTHR43561:SF3', NULL, NULL, NULL, NULL, 'HYDROXYACYL-COENZYME A DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131472, NULL, 'PTHR20994:SF1', NULL, NULL, NULL, NULL, 'OS01G0683600 PROTEIN', NULL, NULL, NULL, 15),
(131473, NULL, 'PTHR42861:SF48', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(131474, NULL, 'PTHR47999:SF78', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB6-LIKE', NULL, NULL, NULL, 15),
(131475, NULL, 'PTHR20859:SF22', NULL, NULL, NULL, NULL, 'TISSUE FACTOR', NULL, NULL, 1471, 15),
(131476, NULL, 'PTHR31429', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 36-RELATED', NULL, NULL, 37984, 15),
(131477, NULL, 'PTHR19143:SF393', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131478, NULL, 'PTHR46236:SF30', NULL, NULL, NULL, NULL, 'BNAC09G38390D PROTEIN', NULL, NULL, NULL, 15),
(131479, NULL, 'PTHR31225:SF105', NULL, NULL, NULL, NULL, 'ISOPRENOID SYNTHASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131480, NULL, 'PTHR46245:SF9', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: B3 DOMAIN-CONTAINING TRANSCRIPTION REPRESSOR VAL1-LIKE', NULL, NULL, NULL, 15),
(131481, NULL, 'PTHR44083:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131482, NULL, 'PTHR13112:SF10', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE-MEDIATED DECAY, UPF3-RELATED', NULL, NULL, NULL, 15),
(131483, NULL, 'PTHR19981:SF7', NULL, NULL, NULL, NULL, 'TALIN-1', NULL, NULL, NULL, 15),
(131484, NULL, 'PTHR21713:SF32', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(131485, NULL, 'PTHR31802:SF25', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT3', NULL, NULL, NULL, 15),
(131486, NULL, 'PTHR33697:SF7', NULL, NULL, NULL, NULL, 'BNAC04G49890D PROTEIN', NULL, NULL, NULL, 15),
(131487, NULL, 'PTHR17630:SF97', NULL, NULL, NULL, NULL, 'ENDO-1,3-1,4-BETA-D-GLUCANASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131488, NULL, 'PTHR21495:SF190', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 7', NULL, NULL, NULL, 15),
(131489, NULL, 'PTHR11552:SF138', NULL, NULL, NULL, NULL, 'DEHYDROGENASE PKFF-RELATED', NULL, NULL, NULL, 15),
(131490, NULL, 'PTHR45648:SF61', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(131491, NULL, 'PTHR47942:SF23', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN CRP1 HOMOLOG, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(131492, NULL, 'PTHR10556:SF43', NULL, NULL, NULL, NULL, 'STEROID 5-ALPHA-REDUCTASE DET2', NULL, NULL, NULL, 15),
(131493, NULL, 'PTHR36368', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CASEINOLYTIC PROTEASE/CROTONASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(131494, NULL, 'PTHR10024:SF114', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-4', NULL, NULL, 23808, 15),
(131495, NULL, 'PTHR33443:SF20', NULL, NULL, NULL, NULL, 'BNAA09G10200D PROTEIN', NULL, NULL, NULL, 15),
(131496, NULL, 'PTHR10578:SF101', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(131497, NULL, 'PTHR26379:SF322', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(131498, NULL, 'PTHR44420:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131499, NULL, 'PTHR18934:SF109', NULL, NULL, NULL, NULL, 'DEAH-BOX HELICASE 15, ISOFORM A', NULL, NULL, NULL, 15),
(131500, NULL, 'PTHR22706:SF1', NULL, NULL, NULL, NULL, 'ABNORMAL SPINDLE MICROTUBULE ASSEMBLY', NULL, NULL, NULL, 15),
(131501, NULL, 'PTHR23429:SF13', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(131502, NULL, 'PTHR21567:SF67', NULL, NULL, NULL, NULL, 'CLIP-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(131503, NULL, 'PTHR16435:SF6', NULL, NULL, NULL, NULL, 'IP09370P', NULL, NULL, NULL, 15),
(131504, NULL, 'PTHR12677:SF24', NULL, NULL, NULL, NULL, 'TVP38/TMEM64 FAMILY INNER MEMBRANE PROTEIN YDJZ', NULL, NULL, NULL, 15),
(131505, NULL, 'PTHR11525:SF16', NULL, NULL, NULL, NULL, 'BNAA06G35250D PROTEIN', NULL, NULL, NULL, 15),
(131506, NULL, 'PTHR13683:SF398', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1-LIKE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131507, NULL, 'PTHR47958:SF69', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-10', NULL, NULL, NULL, 15),
(131508, NULL, 'PTHR13986:SF8', NULL, NULL, NULL, NULL, 'PROLYL 3-HYDROXYLASE 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131509, NULL, 'PTHR47369:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(131510, NULL, 'PTHR27002:SF518', NULL, NULL, NULL, NULL, 'PROTEIN KINASE DOMAIN', NULL, NULL, NULL, 15),
(131511, NULL, 'PTHR45908:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG11730', NULL, NULL, NULL, 15),
(131512, NULL, 'PTHR14255:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CEREBLON', NULL, NULL, NULL, 15),
(131513, NULL, 'PTHR47966:SF36', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE ORYZASIN-1-LIKE', NULL, NULL, NULL, 15),
(131514, NULL, 'PTHR24249:SF400', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 21-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131515, NULL, 'PTHR27006:SF383', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 35-RELATED', NULL, NULL, NULL, 15),
(131516, NULL, 'PTHR33067:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131517, NULL, 'PTHR11260:SF689', NULL, NULL, NULL, NULL, 'BNAA02G35760D PROTEIN', NULL, NULL, NULL, 15),
(131518, NULL, 'PTHR14379:SF58', NULL, NULL, NULL, NULL, 'BNAC05G51950D PROTEIN', NULL, NULL, NULL, 15),
(131519, NULL, 'PTHR11937:SF456', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 8', NULL, NULL, NULL, 15),
(131520, NULL, 'PTHR10693:SF51', NULL, NULL, NULL, NULL, 'G3BP-LIKE PROTEIN ISOFORM X2-RELATED', NULL, NULL, NULL, 15),
(131521, NULL, 'PTHR36114:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131522, NULL, 'PTHR36032', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENATE--CYSTEINE LIGASE 2', NULL, NULL, NULL, 15),
(131523, NULL, 'PTHR12461:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131524, NULL, 'PTHR24031:SF125', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX42', NULL, NULL, NULL, 15),
(131525, NULL, 'PTHR11267:SF100', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX6', NULL, NULL, NULL, 15),
(131526, NULL, 'PTHR42857:SF1', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE-RELATED', NULL, NULL, NULL, 15),
(131527, NULL, 'PTHR22835:SF233', NULL, NULL, NULL, NULL, 'OS06G0531600 PROTEIN', NULL, NULL, NULL, 15),
(131528, NULL, 'PTHR10682:SF9', NULL, NULL, NULL, NULL, 'POLY(A) POLYMERASE ALPHA', NULL, NULL, NULL, 15),
(131529, NULL, 'PTHR10562:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131530, NULL, 'PTHR12224', NULL, NULL, NULL, NULL, 'BETA-1,4-MANNOSYL-GLYCOPROTEIN BETA-1,4-N-ACETYLGLUCOSAMINYL-TRANSFERASE', NULL, NULL, 3745, 15),
(131531, NULL, 'PTHR23155:SF1080', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(131532, NULL, 'PTHR11850:SF222', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G07090)-RELATED', NULL, NULL, NULL, 15),
(131533, NULL, 'PTHR15241:SF342', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131534, NULL, 'PTHR11132:SF307', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE/PHOSPHATE TRANSLOCATOR 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(131535, NULL, 'PTHR11360:SF248', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER FAMILY', NULL, NULL, NULL, 15),
(131536, NULL, 'PTHR12791:SF36', NULL, NULL, NULL, NULL, 'BET1-LIKE SNARE 1-2', NULL, NULL, NULL, 15),
(131537, NULL, 'PTHR47443:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(131538, NULL, 'PTHR13337:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] CYTOCHROME B SMALL SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(131539, NULL, 'PTHR45691:SF2', NULL, NULL, NULL, NULL, 'FH2 DOMAIN-CONTAINING 4', NULL, NULL, NULL, 15),
(131540, NULL, 'PTHR14963', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN 18,19-RELATED', NULL, NULL, NULL, 15),
(131541, NULL, 'PTHR11157:SF9', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131542, NULL, 'PTHR35704:SF8', NULL, NULL, NULL, NULL, 'BNAA01G13490D PROTEIN', NULL, NULL, NULL, 15),
(131543, NULL, 'PTHR36129:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-245N4.2', NULL, NULL, NULL, 15),
(131544, NULL, 'PTHR13271:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131545, NULL, 'PTHR16897:SF16', NULL, NULL, NULL, NULL, 'BNAA03G19680D PROTEIN', NULL, NULL, NULL, 15),
(131546, NULL, 'PTHR15146:SF6', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 137BB', NULL, NULL, NULL, 15),
(131547, NULL, 'PTHR32134:SF114', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN DDB_G0274063/DDB_G0272642-RELATED', NULL, NULL, NULL, 15),
(131548, NULL, 'PTHR21235:SF2', NULL, NULL, NULL, NULL, 'IMIDAZOLE GLYCEROL PHOSPHATE SYNTHASE HISHF', NULL, NULL, NULL, 15),
(131549, NULL, 'PTHR42055:SF1', NULL, NULL, NULL, NULL, 'YALI0E03476P', NULL, NULL, NULL, 15),
(131550, NULL, 'PTHR35115', NULL, NULL, NULL, NULL, 'CYCLIN DELTA-3', NULL, NULL, 38022, 15),
(131551, NULL, 'PTHR33499:SF17', NULL, NULL, NULL, NULL, 'OS12G0231700 PROTEIN', NULL, NULL, NULL, 15),
(131552, NULL, 'PTHR46964:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(131553, NULL, 'PTHR30183:SF8', NULL, NULL, NULL, NULL, 'MOLYBDENUM TRANSPORT SYSTEM PERMEASE', NULL, NULL, NULL, 15),
(131554, NULL, 'PTHR33964', NULL, NULL, NULL, NULL, 'RE45066P-RELATED', NULL, NULL, NULL, 15),
(131555, NULL, 'PTHR11165:SF102', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 21', NULL, NULL, NULL, 15),
(131556, NULL, 'PTHR31895:SF12', NULL, NULL, NULL, NULL, 'ACTIVATED IN BLOCKED UNFOLDED PROTEIN RESPONSE', NULL, NULL, NULL, 15),
(131557, NULL, 'PTHR47924:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131558, NULL, 'PTHR32303:SF8', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN ASSEMBLY FACTOR BAMB', NULL, NULL, NULL, 15),
(131559, NULL, 'PTHR31044:SF81', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY PROTEIN 17-LIKE', NULL, NULL, NULL, 15),
(131560, NULL, 'PTHR31948:SF116', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 2', NULL, NULL, NULL, 15),
(131561, NULL, 'PTHR46716:SF1', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 7', NULL, NULL, NULL, 15),
(131562, NULL, 'PTHR31156:SF11', NULL, NULL, NULL, NULL, 'SPEEDY PROTEIN E4', NULL, NULL, NULL, 15),
(131563, NULL, 'PTHR34366:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131564, NULL, 'PTHR14388:SF7', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 4B', NULL, NULL, NULL, 15),
(131565, NULL, 'PTHR33512:SF10', NULL, NULL, NULL, NULL, 'PLANT/F17O14-7 PROTEIN', NULL, NULL, NULL, 15),
(131566, NULL, 'PTHR31563', NULL, NULL, NULL, NULL, 'ION CHANNEL POLLUX-RELATED', NULL, NULL, 38209, 15),
(131567, NULL, 'PTHR11017:SF297', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(131568, NULL, 'PTHR46039:SF4', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE 3-RELATED', NULL, NULL, NULL, 15),
(131569, NULL, 'PTHR45295:SF3', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(131570, NULL, 'PTHR48034:SF16', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, X CHROMOSOME', NULL, NULL, NULL, 15),
(131571, NULL, 'PTHR11547:SF27', NULL, NULL, NULL, NULL, 'CREATINE KINASE M-TYPE', NULL, NULL, NULL, 15),
(131572, NULL, 'PTHR46234:SF6', NULL, NULL, NULL, NULL, 'ACYL THIOESTERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131573, NULL, 'PTHR32246:SF74', NULL, NULL, NULL, NULL, 'BON1-ASSOCIATED-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131574, NULL, 'PTHR33640:SF19', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(131575, NULL, 'PTHR30540:SF4', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 12-RELATED', NULL, NULL, NULL, 15),
(131576, NULL, 'PTHR31374:SF45', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(131577, NULL, 'PTHR47090:SF5', NULL, NULL, NULL, NULL, 'ENHANCED DISEASE SUSCEPTIBILITY PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131578, NULL, 'PTHR31190:SF296', NULL, NULL, NULL, NULL, 'BNAC08G43940D PROTEIN', NULL, NULL, NULL, 15),
(131579, NULL, 'PTHR23337:SF5', NULL, NULL, NULL, NULL, 'ATPASE MORC2B', NULL, NULL, NULL, 15),
(131580, NULL, 'PTHR12290:SF20', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENATE--CYSTEINE LIGASE 2', NULL, NULL, NULL, 15),
(131581, NULL, 'PTHR12002:SF198', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, NULL, 15),
(131582, NULL, 'PTHR15468:SF7', NULL, NULL, NULL, NULL, 'SCIELLIN', NULL, NULL, NULL, 15),
(131583, NULL, 'PTHR35490:SF2', NULL, NULL, NULL, NULL, 'BACTERIOPHAGE N4 ADSORPTION B PROTEIN', NULL, NULL, NULL, 15),
(131584, NULL, 'PTHR23344:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131585, NULL, 'PTHR19944:SF68', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DQ BETA 2 CHAIN', NULL, NULL, NULL, 15),
(131586, NULL, 'PTHR11098:SF22', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE 2-LIKE', NULL, NULL, NULL, 15),
(131587, NULL, 'PTHR38813', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131588, NULL, 'PTHR24020:SF8', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE VII ALPHA 1-LIKE', NULL, NULL, NULL, 15),
(131589, NULL, 'PTHR31625:SF33', NULL, NULL, NULL, NULL, 'COUMAROYL-COA:ANTHOCYANIDIN 3-O-GLUCOSIDE-6''''-O-COUMAROYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(131590, NULL, 'PTHR21398:SF1', NULL, NULL, NULL, NULL, 'FI03705P', NULL, NULL, NULL, 15),
(131591, NULL, 'PTHR11972:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 26307, 15),
(131592, NULL, 'PTHR12411:SF597', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE', NULL, NULL, NULL, 15),
(131593, NULL, 'PTHR37009:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-REGULATED ACTIN-BUNDLING PROTEIN', NULL, NULL, NULL, 15),
(131594, NULL, 'PTHR43381:SF6', NULL, NULL, NULL, NULL, 'INITIATION FACTOR IF-2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(131595, NULL, 'PTHR33347:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131596, NULL, 'PTHR43160:SF3', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(131597, NULL, 'PTHR14155:SF541', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL34', NULL, NULL, NULL, 15),
(131598, NULL, 'PTHR31071:SF34', NULL, NULL, NULL, NULL, 'ACTIN CYTOSKELETON-REGULATORY COMPLEX PAN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131599, NULL, 'PTHR45920', NULL, NULL, NULL, NULL, 'FORMIN HOMOLOGY 2 DOMAIN CONTAINING, ISOFORM I', NULL, NULL, NULL, 15),
(131600, NULL, 'PTHR24423:SF628', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', NULL, NULL, NULL, 15),
(131601, NULL, 'PTHR46041:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE SUBUNIT 2', NULL, NULL, NULL, 15),
(131602, NULL, 'PTHR31766:SF9', NULL, NULL, NULL, NULL, 'TRAM/LAG1/CLN8-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131603, NULL, 'PTHR11969:SF74', NULL, NULL, NULL, NULL, 'BNAC04G00610D PROTEIN', NULL, NULL, NULL, 15),
(131604, NULL, 'PTHR31218:SF202', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(131605, NULL, 'PTHR47364:SF17', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(131606, NULL, 'PTHR27003:SF377', NULL, NULL, NULL, NULL, 'BNAA03G11880D PROTEIN', NULL, NULL, NULL, 15),
(131607, NULL, 'PTHR47981:SF14', NULL, NULL, NULL, NULL, 'BNAA05G14990D PROTEIN', NULL, NULL, NULL, 15),
(131608, NULL, 'PTHR31960:SF21', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(131609, NULL, 'PTHR31792:SF3', NULL, NULL, NULL, NULL, 'VACUOLAR ATPASE ASSEMBLY INTEGRAL MEMBRANE PROTEIN VMA21', NULL, NULL, NULL, 15),
(131610, NULL, 'PTHR10194:SF60', NULL, NULL, NULL, NULL, 'NEUROFIBROMIN', NULL, NULL, NULL, 15),
(131611, NULL, 'PTHR44305:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STE7 HOMOLOG', NULL, NULL, NULL, 15),
(131612, NULL, 'PTHR33371:SF17', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131613, NULL, 'PTHR11673:SF47', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131614, NULL, 'PTHR19282:SF136', NULL, NULL, NULL, NULL, 'TETRASPANIN TSPA-RELATED', NULL, NULL, NULL, 15),
(131615, NULL, 'PTHR35757:SF1', NULL, NULL, NULL, NULL, 'THERMOSOME SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(131616, NULL, 'PTHR10877:SF187', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY DISEASE 2-LIKE 1 PROTEIN', NULL, NULL, NULL, 15),
(131617, NULL, 'PTHR34384', NULL, NULL, NULL, NULL, 'L-2,3-DIAMINOPROPANOATE--CITRATE LIGASE', NULL, NULL, 29004, 15),
(131618, NULL, 'PTHR33021:SF300', NULL, NULL, NULL, NULL, 'BNAUNNG03630D PROTEIN', NULL, NULL, NULL, 15),
(131619, NULL, 'PTHR33085:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131620, NULL, 'PTHR26454:SF61', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(131621, NULL, 'PTHR34265:SF1', NULL, NULL, NULL, NULL, 'TYPE III PANTOTHENATE KINASE', NULL, NULL, NULL, 15),
(131622, NULL, 'PTHR46049:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131623, NULL, 'PTHR31297:SF37', NULL, NULL, NULL, NULL, 'EXO-1,3-BETA-GLUCANASE-RELATED', NULL, NULL, NULL, 15),
(131624, NULL, 'PTHR39226:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700013G24 GENE', NULL, NULL, NULL, 15),
(131625, NULL, 'PTHR32227:SF375', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE', NULL, NULL, NULL, 15),
(131626, NULL, 'PTHR42923:SF28', NULL, NULL, NULL, NULL, 'ZETA-CAROTENE DESATURASE, CHLOROPLASTIC/CHROMOPLASTIC', NULL, NULL, NULL, 15),
(131627, NULL, 'PTHR21277:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF RNA POLII, SAGA, SUBUNIT', NULL, NULL, NULL, 15),
(131628, NULL, 'PTHR32134:SF91', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN DDB_G0277323', NULL, NULL, NULL, 15),
(131629, NULL, 'PTHR18945:SF453', NULL, NULL, NULL, NULL, 'NTR, ISOFORM A', NULL, NULL, NULL, 15),
(131630, NULL, 'PTHR10824:SF1', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A AMINO ACID N-ACYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(131631, NULL, 'PTHR24418:SF419', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE FRK', NULL, NULL, NULL, 15),
(131632, NULL, 'PTHR24281:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131633, NULL, 'PTHR11388:SF146', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 4A1', NULL, NULL, NULL, 15),
(131634, NULL, 'PTHR11243:SF23', NULL, NULL, NULL, NULL, 'LD06925P', NULL, NULL, NULL, 15),
(131635, NULL, 'PTHR47971:SF13', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF24', NULL, NULL, NULL, 15),
(131636, NULL, 'PTHR31476:SF10', NULL, NULL, NULL, NULL, 'OS04G0546100 PROTEIN', NULL, NULL, NULL, 15),
(131637, NULL, 'PTHR46774', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN EAF1 A-RELATED', NULL, NULL, 38486, 15),
(131638, NULL, 'PTHR19307:SF12', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN D52', NULL, NULL, NULL, 15),
(131639, NULL, 'PTHR31465:SF15', NULL, NULL, NULL, NULL, 'LIPID TRANSPORTER ATNI-RELATED', NULL, NULL, NULL, 15),
(131640, NULL, 'PTHR44366:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--PEPTIDE N-ACETYLGLUCOSAMINYLTRANSFERASE 110 KDA SUBUNIT', NULL, NULL, NULL, 15),
(131641, NULL, 'PTHR12035:SF118', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN H', NULL, NULL, NULL, 15),
(131642, NULL, 'PTHR31104:SF5', NULL, NULL, NULL, NULL, 'OS05G0395000 PROTEIN', NULL, NULL, NULL, 15),
(131643, NULL, 'PTHR45615:SF34', NULL, NULL, NULL, NULL, 'NON-MUSCLE MYOSIN', NULL, NULL, NULL, 15),
(131644, NULL, 'PTHR13884', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131645, NULL, 'PTHR31920:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131646, NULL, 'PTHR10199', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN', NULL, NULL, NULL, 15),
(131647, NULL, 'PTHR47232:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131648, NULL, 'PTHR33452:SF4', NULL, NULL, NULL, NULL, 'BLL4328 PROTEIN', NULL, NULL, NULL, 15),
(131649, NULL, 'PTHR24023:SF1020', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXVII) CHAIN B', NULL, NULL, NULL, 15),
(131650, NULL, 'PTHR33572:SF15', NULL, NULL, NULL, NULL, 'CHROMOSOME 12, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131651, NULL, 'PTHR12980', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE COMPLEX, SUBUNIT X', NULL, NULL, 5226, 15),
(131652, NULL, 'PTHR30133', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER, MEMBRANE COMPONENT', NULL, NULL, NULL, 15),
(131653, NULL, 'PTHR11905:SF234', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN UNC-71', NULL, NULL, NULL, 15),
(131654, NULL, 'PTHR47160', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131655, NULL, 'PTHR31351:SF30', NULL, NULL, NULL, NULL, 'OS10G0568300 PROTEIN', NULL, NULL, NULL, 15),
(131656, NULL, 'PTHR13832:SF750', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131657, NULL, 'PTHR38928', NULL, NULL, NULL, NULL, 'ARGOS7', NULL, NULL, NULL, 15),
(131658, NULL, 'PTHR12499:SF11', NULL, NULL, NULL, NULL, 'OPA3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131659, NULL, 'PTHR11740:SF31', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', NULL, NULL, NULL, 15),
(131660, NULL, 'PTHR47376:SF2', NULL, NULL, NULL, NULL, 'OS02G0597700 PROTEIN', NULL, NULL, NULL, 15),
(131661, NULL, 'PTHR48019:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131662, NULL, 'PTHR13723:SF20', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 13', NULL, NULL, NULL, 15),
(131663, NULL, 'PTHR35129:SF6', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 2', NULL, NULL, NULL, 15),
(131664, NULL, 'PTHR33326:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131665, NULL, 'PTHR34938:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FERTILITY RESTORER RF2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(131666, NULL, 'PTHR12446:SF56', NULL, NULL, NULL, NULL, 'BNAA07G00040D PROTEIN', NULL, NULL, NULL, 15),
(131667, NULL, 'PTHR13723:SF169', NULL, NULL, NULL, NULL, 'ADAMTS-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(131668, NULL, 'PTHR34795', NULL, NULL, NULL, NULL, 'NEMATODE RESISTANCE PROTEIN-LIKE HSPRO1', NULL, NULL, 35782, 15),
(131669, NULL, 'PTHR43150:SF2', NULL, NULL, NULL, NULL, 'HYPERKINETIC, ISOFORM M', NULL, NULL, NULL, 15),
(131670, NULL, 'PTHR45615:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131671, NULL, 'PTHR16517:SF109', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(131672, NULL, 'PTHR46067:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131673, NULL, 'PTHR11732:SF420', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131674, NULL, 'PTHR31692:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131675, NULL, 'PTHR24026:SF89', NULL, NULL, NULL, NULL, 'CADHERIN-89D', NULL, NULL, NULL, 15),
(131676, NULL, 'PTHR11260:SF234', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE19', NULL, NULL, NULL, 15),
(131677, NULL, 'PTHR36019:SF2', NULL, NULL, NULL, NULL, 'BNAA02G24660D PROTEIN', NULL, NULL, NULL, 15),
(131678, NULL, 'PTHR11736:SF148', NULL, NULL, NULL, NULL, 'MELANOMA ANTIGEN, FAMILY B, 5-RELATED', NULL, NULL, NULL, 15),
(131679, NULL, 'PTHR33021:SF208', NULL, NULL, NULL, NULL, 'OS06G0266400 PROTEIN', NULL, NULL, NULL, 15),
(131680, NULL, 'PTHR24367:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131681, NULL, 'PTHR23382:SF27', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE 1, CYTOPLASMIC', NULL, NULL, NULL, 15),
(131682, NULL, 'PTHR30347:SF1', NULL, NULL, NULL, NULL, 'MINICONDUCTANCE MECHANOSENSITIVE CHANNEL MSCM', NULL, NULL, NULL, 15),
(131683, NULL, 'PTHR40470:SF1', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G15850)', NULL, NULL, NULL, 15),
(131684, NULL, 'PTHR48063:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131685, NULL, 'PTHR11783:SF240', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(131686, NULL, 'PTHR45884', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE ECO', NULL, NULL, NULL, 15),
(131687, NULL, 'PTHR33178:SF3', NULL, NULL, NULL, NULL, 'STRESS-RESPONSE A/B BARREL DOMAIN-CONTAINING PROTEIN UP3', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131688, NULL, 'PTHR11615:SF315', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131689, NULL, 'PTHR10498:SF23', NULL, NULL, NULL, NULL, 'PARALEMMIN 2', NULL, NULL, NULL, 15),
(131690, NULL, 'PTHR33248:SF28', NULL, NULL, NULL, NULL, 'BNAA06G37630D PROTEIN', NULL, NULL, NULL, 15),
(131691, NULL, 'PTHR23001:SF32', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5-2-RELATED', NULL, NULL, NULL, 15),
(131692, NULL, 'PTHR23003:SF37', NULL, NULL, NULL, NULL, 'OLIGOURIDYLATE-BINDING PROTEIN 1C', NULL, NULL, NULL, 15),
(131693, NULL, 'PTHR46460', NULL, NULL, NULL, NULL, 'METHYLATED-DNA--PROTEIN-CYSTEINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(131694, NULL, 'PTHR31339:SF20', NULL, NULL, NULL, NULL, 'OS07G0245200 PROTEIN', NULL, NULL, NULL, 15),
(131695, NULL, 'PTHR15710:SF86', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHC1A-RELATED', NULL, NULL, NULL, 15),
(131696, NULL, 'PTHR10791:SF188', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET12', NULL, NULL, NULL, 15),
(131697, NULL, 'PTHR46927', NULL, NULL, NULL, NULL, 'AGAP005574-PA', NULL, NULL, NULL, 15),
(131698, NULL, 'PTHR31307', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASIL2', NULL, NULL, 37503, 15),
(131699, NULL, 'PTHR11654:SF192', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER FAMILY 1', NULL, NULL, NULL, 15),
(131700, NULL, 'PTHR45704:SF2', NULL, NULL, NULL, NULL, 'RERG/RAS-LIKE B', NULL, NULL, NULL, 15),
(131701, NULL, 'PTHR24083:SF82', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-64', NULL, NULL, NULL, 15),
(131702, NULL, 'PTHR12483:SF104', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 6-LIKE', NULL, NULL, NULL, 15),
(131703, NULL, 'PTHR28037', NULL, NULL, NULL, NULL, 'ALCOHOL O-ACETYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(131704, NULL, 'PTHR11567:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131705, NULL, 'PTHR32258:SF17', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1A-LIKE', NULL, NULL, NULL, 15),
(131706, NULL, 'PTHR14470', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(131707, NULL, 'PTHR33385:SF4', NULL, NULL, NULL, NULL, 'PROTEIN XRI1', NULL, NULL, NULL, 15),
(131708, NULL, 'PTHR46559', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 11', NULL, NULL, NULL, 15),
(131709, NULL, 'PTHR23309:SF9', NULL, NULL, NULL, NULL, 'PEROXISOMAL BIFUNCTIONAL ENZYME', NULL, NULL, NULL, 15),
(131710, NULL, 'PTHR10782:SF66', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE SIZ1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(131711, NULL, 'PTHR11961:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME C', NULL, NULL, NULL, 15),
(131712, NULL, 'PTHR11528:SF111', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90-1', NULL, NULL, NULL, 15),
(131713, NULL, 'PTHR22603:SF76', NULL, NULL, NULL, NULL, 'ETHANOLAMINE KINASE 2', NULL, NULL, NULL, 15),
(131714, NULL, 'PTHR24282:SF163', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP749A22-LIKE', NULL, NULL, NULL, 15),
(131715, NULL, 'PTHR13817:SF136', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE L1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131716, NULL, 'PTHR10361:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131717, NULL, 'PTHR40516:SF1', NULL, NULL, NULL, NULL, 'ANTITOXIN CHPS-RELATED', NULL, NULL, NULL, 15),
(131718, NULL, 'PTHR45629:SF8', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL HELICASE AND THYMINE DIOXYGENASE JBP2', NULL, NULL, NULL, 15),
(131719, NULL, 'PTHR31374:SF160', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(131720, NULL, 'PTHR45668:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(131721, NULL, 'PTHR10722:SF26', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', NULL, NULL, NULL, 15),
(131722, NULL, 'PTHR46174:SF5', NULL, NULL, NULL, NULL, 'CXXC FINGER PROTEIN 1A', NULL, NULL, NULL, 15),
(131723, NULL, 'PTHR12265:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG03927', NULL, NULL, NULL, 15),
(131724, NULL, 'PTHR48180', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131725, NULL, 'PTHR11986:SF120', NULL, NULL, NULL, NULL, 'BNAA02G19550D PROTEIN', NULL, NULL, NULL, 15),
(131726, NULL, 'PTHR31549:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131727, NULL, 'PTHR31707:SF123', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(131728, NULL, 'PTHR10621:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131729, NULL, 'PTHR47842', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(131730, NULL, 'PTHR11374:SF35', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', NULL, NULL, NULL, 15),
(131731, NULL, 'PTHR10791:SF153', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(131732, NULL, 'PTHR46204:SF11', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(131733, NULL, 'PTHR11514:SF102', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC4-LIKE', NULL, NULL, NULL, 15),
(131734, NULL, 'PTHR45614', NULL, NULL, NULL, NULL, 'MYB PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131735, NULL, 'PTHR42781:SF5', NULL, NULL, NULL, NULL, 'PUTRESCINE TRANSPORT ATP-BINDING PROTEIN POTG', NULL, NULL, NULL, 15),
(131736, NULL, 'PTHR45940:SF27', NULL, NULL, NULL, NULL, 'BNAANNG11050D PROTEIN', NULL, NULL, NULL, 15),
(131737, NULL, 'PTHR31529:SF44', NULL, NULL, NULL, NULL, 'BNACNNG65080D PROTEIN', NULL, NULL, NULL, 15),
(131738, NULL, 'PTHR14221:SF51', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131739, NULL, 'PTHR21593:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG21288', NULL, NULL, NULL, 15),
(131740, NULL, 'PTHR32080:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131741, NULL, 'PTHR11954:SF22', NULL, NULL, NULL, NULL, 'D-DOPACHROME DECARBOXYLASE', NULL, NULL, NULL, 15),
(131742, NULL, 'PTHR21228:SF59', NULL, NULL, NULL, NULL, 'FAST KINASE DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(131743, NULL, 'PTHR11629:SF21', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 116 KDA SUBUNIT A ISOFORM 3', NULL, NULL, NULL, 15),
(131744, NULL, 'PTHR10612:SF42', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN DA, DUPLICATE 2', NULL, NULL, NULL, 15),
(131745, NULL, 'PTHR31351:SF33', NULL, NULL, NULL, NULL, 'BNAA08G29430D PROTEIN', NULL, NULL, NULL, 15),
(131746, NULL, 'PTHR11524:SF40', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L7, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(131747, NULL, 'PTHR35461:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131748, NULL, 'PTHR22922:SF3', NULL, NULL, NULL, NULL, 'CAPRIN-1', NULL, NULL, NULL, 15),
(131749, NULL, 'PTHR15315:SF93', NULL, NULL, NULL, NULL, 'EARLY GIRL, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(131750, NULL, 'PTHR11040:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131751, NULL, 'PTHR46444:SF7', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(131752, NULL, 'PTHR44549:SF1', NULL, NULL, NULL, NULL, 'ENDOTHELIAL CELL-SELECTIVE ADHESION MOLECULE', NULL, NULL, NULL, 15),
(131753, NULL, 'PTHR31009:SF73', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE:SALICYLIC ACID CARBOXYL METHYLTRANSFERASE, 41514-39166-RELATED', NULL, NULL, NULL, 15),
(131754, NULL, 'PTHR22792:SF135', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131755, NULL, 'PTHR16484:SF10', NULL, NULL, NULL, NULL, 'PARTITIONING DEFECTIVE 3 HOMOLOG', NULL, NULL, NULL, 15),
(131756, NULL, 'PTHR28288', NULL, NULL, NULL, NULL, 'PROTEASE B INHIBITOR 2', NULL, NULL, NULL, 15),
(131757, NULL, 'PTHR43880:SF38', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(131758, NULL, 'PTHR21213:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 706', NULL, NULL, NULL, 15),
(131759, NULL, 'PTHR11360:SF25', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 2', NULL, NULL, 25442, 15),
(131760, NULL, 'PTHR12406:SF42', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE/ACYL HYDROLASE/LYSOPHOSPHOLIPASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131761, NULL, 'PTHR23257:SF712', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0281745-RELATED', NULL, NULL, NULL, 15),
(131762, NULL, 'PTHR46045:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(131763, NULL, 'PTHR14043:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CUT-LIKE 2', NULL, NULL, NULL, 15),
(131764, NULL, 'PTHR31636:SF166', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 34', NULL, NULL, NULL, 15),
(131765, NULL, 'PTHR33184:SF66', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUPS, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(131766, NULL, 'PTHR26452:SF803', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(131767, NULL, 'PTHR13683:SF832', NULL, NULL, NULL, NULL, 'PROTEIN ASPARTIC PROTEASE IN GUARD CELL 1-LIKE', NULL, NULL, NULL, 15),
(131768, NULL, 'PTHR35280:SF2', NULL, NULL, NULL, NULL, 'BNAA07G08930D PROTEIN', NULL, NULL, NULL, 15),
(131769, NULL, 'PTHR22595:SF150', NULL, NULL, NULL, NULL, 'CHITINASE', NULL, NULL, NULL, 15),
(131770, NULL, 'PTHR46112:SF1', NULL, NULL, NULL, NULL, 'XAA-PRO DIPEPTIDASE (COBALT-DEPENDENT)', NULL, NULL, NULL, 15),
(131771, NULL, 'PTHR24028:SF91', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-12', NULL, NULL, 27892, 15),
(131772, NULL, 'PTHR12537:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131773, NULL, 'PTHR24377:SF670', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 324B', NULL, NULL, NULL, 15),
(131774, NULL, 'PTHR31867:SF149', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(131775, NULL, 'PTHR47066', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 9', NULL, NULL, 37577, 15),
(131776, NULL, 'PTHR45656', NULL, NULL, NULL, NULL, 'PROTEIN CBR-CLEC-78', NULL, NULL, NULL, 15),
(131777, NULL, 'PTHR11176:SF42', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(131778, NULL, 'PTHR43103:SF4', NULL, NULL, NULL, NULL, 'EPIMERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12770)-RELATED', NULL, NULL, NULL, 15),
(131779, NULL, 'PTHR31568:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131780, NULL, 'PTHR44590:SF1', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(131781, NULL, 'PTHR15635', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN CONTAINING PROTEIN 9', NULL, NULL, 24596, 15),
(131782, NULL, 'PTHR23309:SF34', NULL, NULL, NULL, NULL, 'PEROXISOMAL FATTY ACID BETA-OXIDATION MULTIFUNCTIONAL PROTEIN AIM1-LIKE', NULL, NULL, NULL, 15),
(131783, NULL, 'PTHR31375:SF229', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', NULL, NULL, NULL, 15),
(131784, NULL, 'PTHR42188:SF1', NULL, NULL, NULL, NULL, '23S RRNA-SPECIFIC ENDONUCLEASE VAPC20', NULL, NULL, NULL, 15),
(131785, NULL, 'PTHR24353:SF127', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C AND CYCLIC NUCLEOTIDE-BINDING/KINASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(131786, NULL, 'PTHR32387:SF3', NULL, NULL, NULL, NULL, 'ATP/DNA BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131787, NULL, 'PTHR33033:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131788, NULL, 'PTHR47683:SF2', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131789, NULL, 'PTHR31009:SF87', NULL, NULL, NULL, NULL, 'PROTEINKINASE ATPP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131790, NULL, 'PTHR23201:SF104', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 1', NULL, NULL, NULL, 15),
(131791, NULL, 'PTHR12015:SF77', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 15', NULL, NULL, NULL, 15),
(131792, NULL, 'PTHR47928:SF139', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(131793, NULL, 'PTHR12419:SF49', NULL, NULL, NULL, NULL, 'OTU-LIKE CYSTEINE PROTEASE-LIKE', NULL, NULL, NULL, 15),
(131794, NULL, 'PTHR27009:SF198', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(131795, NULL, 'PTHR22298:SF105', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 15', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131796, NULL, 'PTHR32141:SF27', NULL, NULL, NULL, NULL, 'OS07G0277500 PROTEIN', NULL, NULL, NULL, 15),
(131797, NULL, 'PTHR11913:SF87', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 2-LIKE', NULL, NULL, NULL, 15),
(131798, NULL, 'PTHR24118:SF56', NULL, NULL, NULL, NULL, 'POTE ANKYRIN DOMAIN FAMILY MEMBER E-RELATED', NULL, NULL, NULL, 15),
(131799, NULL, 'PTHR30252:SF2', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER CSTA', NULL, NULL, NULL, 15),
(131800, NULL, 'PTHR31314:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131801, NULL, 'PTHR31621:SF38', NULL, NULL, NULL, NULL, 'PROTEIN DMP4', NULL, NULL, NULL, 15),
(131802, NULL, 'PTHR33673:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131803, NULL, 'PTHR43238', NULL, NULL, NULL, NULL, 'GDP-L-FUCOSE SYNTHASE', NULL, NULL, NULL, 15),
(131804, NULL, 'PTHR33564:SF18', NULL, NULL, NULL, NULL, 'BNAC01G35820D PROTEIN', NULL, NULL, NULL, 15),
(131805, NULL, 'PTHR10994:SF163', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131806, NULL, 'PTHR43407', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', NULL, NULL, NULL, 15),
(131807, NULL, 'PTHR45698:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131808, NULL, 'PTHR33102:SF54', NULL, NULL, NULL, NULL, 'DVL FAMILY PROTEIN', NULL, NULL, NULL, 15),
(131809, NULL, 'PTHR24376:SF136', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(131810, NULL, 'PTHR24177:SF292', NULL, NULL, NULL, NULL, 'PROTEIN ACCELERATED CELL DEATH 6', NULL, NULL, NULL, 15),
(131811, NULL, 'PTHR43667', NULL, NULL, NULL, NULL, 'CYCLOPROPANE-FATTY-ACYL-PHOSPHOLIPID SYNTHASE', NULL, NULL, NULL, 15),
(131812, NULL, 'PTHR31032', NULL, NULL, NULL, NULL, 'PGR5-LIKE PROTEIN 1B, CHLOROPLASTIC', NULL, NULL, 36259, 15),
(131813, NULL, 'PTHR11119:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG01749', NULL, NULL, NULL, 15),
(131814, NULL, 'PTHR11877:SF10', NULL, NULL, NULL, NULL, 'TYPE III POLYKETIDE SYNTHASE B', NULL, NULL, NULL, 15),
(131815, NULL, 'PTHR45814:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD1B', NULL, NULL, 36404, 15),
(131816, NULL, 'PTHR42757:SF6', NULL, NULL, NULL, NULL, 'NEURONAL GROWTH REGULATOR 1', NULL, NULL, NULL, 15),
(131817, NULL, 'PTHR46641:SF7', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(131818, NULL, 'PTHR47307:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE-REGULATED POTASSIUM-EFFLUX SYSTEM ANCILLARY PROTEIN KEFG', NULL, NULL, NULL, 15),
(131819, NULL, 'PTHR32467:SF159', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WRI1-LIKE', NULL, NULL, NULL, 15),
(131820, NULL, 'PTHR14113', NULL, NULL, NULL, NULL, 'PICCOLO/BASSOON', NULL, NULL, NULL, 15),
(131821, NULL, 'PTHR31264:SF11', NULL, NULL, NULL, NULL, 'OS07G0555100 PROTEIN', NULL, NULL, NULL, 15),
(131822, NULL, 'PTHR35116', NULL, NULL, NULL, NULL, 'HELICASE PROTEIN MOM1', NULL, NULL, 29724, 15),
(131823, NULL, 'PTHR12353:SF3', NULL, NULL, NULL, NULL, 'DISKS LARGE-ASSOCIATED PROTEIN 2', NULL, NULL, 26281, 15),
(131824, NULL, 'PTHR28643', NULL, NULL, NULL, NULL, 'SWI5-DEPENDENT RECOMBINATION DNA REPAIR PROTEIN 1 HOMOLOG', NULL, NULL, 36576, 15),
(131825, NULL, 'PTHR47888', NULL, NULL, NULL, NULL, 'UPF0730 PROTEIN ENCODED BY LINC00643-RELATED', NULL, NULL, 27930, 15),
(131826, NULL, 'PTHR10795:SF598', NULL, NULL, NULL, NULL, 'CO(2)-RESPONSE SECRETED PROTEASE', NULL, NULL, NULL, 15),
(131827, NULL, 'PTHR11132:SF395', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131828, NULL, 'PTHR13390:SF2', NULL, NULL, NULL, NULL, 'BNAA05G27450D PROTEIN', NULL, NULL, NULL, 15),
(131829, NULL, 'PTHR15241:SF309', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(131830, NULL, 'PTHR45719:SF34', NULL, NULL, NULL, NULL, 'BNACNNG43180D PROTEIN', NULL, NULL, NULL, 15),
(131831, NULL, 'PTHR34464:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131832, NULL, 'PTHR19443:SF69', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131833, NULL, 'PTHR10795:SF558', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131834, NULL, 'PTHR46757:SF1', NULL, NULL, NULL, NULL, 'OS05G0474500 PROTEIN', NULL, NULL, NULL, 15),
(131835, NULL, 'PTHR39947', NULL, NULL, NULL, NULL, 'IP19862P', NULL, NULL, NULL, 15),
(131836, NULL, 'PTHR24353:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131837, NULL, 'PTHR12236', NULL, NULL, NULL, NULL, 'STRUCTURAL CONTITUENT OF CUTICLE', NULL, NULL, NULL, 15),
(131838, NULL, 'PTHR37164', NULL, NULL, NULL, NULL, 'BACTERIOHEMERYTHRIN', NULL, NULL, NULL, 15),
(131839, NULL, 'PTHR12750:SF14', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(131840, NULL, 'PTHR22718:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(131841, NULL, 'PTHR45764:SF49', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131842, NULL, 'PTHR46317:SF3', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE TATDN3-RELATED', NULL, NULL, NULL, 15),
(131843, NULL, 'PTHR10811:SF13', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(131844, NULL, 'PTHR36035', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE SCO2', NULL, NULL, 34432, 15),
(131845, NULL, 'PTHR47967:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131846, NULL, 'PTHR38439:SF3', NULL, NULL, NULL, NULL, 'AURACYANIN-B', NULL, NULL, NULL, 15),
(131847, NULL, 'PTHR33124', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IBH1-LIKE 1', NULL, NULL, 37975, 15),
(131848, NULL, 'PTHR12681:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCCH-TYPE, ZC3H15/TMA46 FAMILY-RELATED', NULL, NULL, NULL, 15),
(131849, NULL, 'PTHR11802:SF372', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(131850, NULL, 'PTHR22844:SF357', NULL, NULL, NULL, NULL, 'BNAA08G19140D PROTEIN', NULL, NULL, NULL, 15),
(131851, NULL, 'PTHR31730:SF30', NULL, NULL, NULL, NULL, 'BNAC09G47350D PROTEIN', NULL, NULL, NULL, 15),
(131852, NULL, 'PTHR36003', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT HEME RECEPTOR A', NULL, NULL, NULL, 15),
(131853, NULL, 'PTHR10015:SF258', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-2C', NULL, NULL, NULL, 15),
(131854, NULL, 'PTHR18968:SF120', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE LARGE SUBUNIT', NULL, NULL, NULL, 15),
(131855, NULL, 'PTHR23292:SF32', NULL, NULL, NULL, NULL, 'GENE 5767-RELATED', NULL, NULL, NULL, 15),
(131856, NULL, 'PTHR16181', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(131857, NULL, 'PTHR31218:SF326', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(131858, NULL, 'PTHR46800:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(131859, NULL, 'PTHR14167:SF45', NULL, NULL, NULL, NULL, 'ENDOPHILIN-A3', NULL, NULL, 26729, 15),
(131860, NULL, 'PTHR24173:SF59', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX-CONTAINING PROTEIN-LIKE PROTEIN 13', NULL, NULL, NULL, 15),
(131861, NULL, 'PTHR40841:SF2', NULL, NULL, NULL, NULL, 'SIDEROPHORE TRIACETYLFUSARININE C ESTERASE', NULL, NULL, NULL, 15),
(131862, NULL, 'PTHR24221:SF571', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131863, NULL, 'PTHR47640:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131864, NULL, 'PTHR12473:SF15', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE MINDY-3', NULL, NULL, NULL, 15),
(131865, NULL, 'PTHR10285:SF176', NULL, NULL, NULL, NULL, 'URIDINE KINASE', NULL, NULL, NULL, 15),
(131866, NULL, 'PTHR11571:SF98', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 7-RELATED', NULL, NULL, NULL, 15),
(131867, NULL, 'PTHR26453:SF261', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(131868, NULL, 'PTHR46777:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131869, NULL, 'PTHR44444:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-24P1.6', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131870, NULL, 'PTHR31246:SF29', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEINS 70-2-RELATED', NULL, NULL, NULL, 15),
(131871, NULL, 'PTHR11002:SF59', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(131872, NULL, 'PTHR11909:SF126', NULL, NULL, NULL, NULL, 'PROTEIN CBG06004', NULL, NULL, NULL, 15),
(131873, NULL, 'PTHR43173:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131874, NULL, 'PTHR31671:SF0', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P53-INDUCIBLE NUCLEAR PROTEIN 1', NULL, NULL, 26681, 15),
(131875, NULL, 'PTHR11654:SF80', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 15 MEMBER 4', NULL, NULL, NULL, 15),
(131876, NULL, 'PTHR37885', NULL, NULL, NULL, NULL, 'CMT1A DUPLICATED REGION TRANSCRIPT 4 PROTEIN', NULL, NULL, 21628, 15),
(131877, NULL, 'PTHR48041:SF14', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 25', NULL, NULL, NULL, 15),
(131878, NULL, 'PTHR46544', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN 2-RELATED', NULL, NULL, 37276, 15),
(131879, NULL, 'PTHR10516:SF298', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(131880, NULL, 'PTHR31087:SF113', NULL, NULL, NULL, NULL, 'BNAA03G17960D PROTEIN', NULL, NULL, NULL, 15),
(131881, NULL, 'PTHR23201:SF20', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 9', NULL, NULL, NULL, 15),
(131882, NULL, 'PTHR11706:SF54', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP6', NULL, NULL, NULL, 15),
(131883, NULL, 'PTHR11632:SF53', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE FLAVOPROTEIN SUBUNIT', NULL, NULL, 10382, 15),
(131884, NULL, 'PTHR47982:SF35', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK1', NULL, NULL, NULL, 15),
(131885, NULL, 'PTHR21230:SF72', NULL, NULL, NULL, NULL, 'BNAA08G03440D PROTEIN', NULL, NULL, NULL, 15),
(131886, NULL, 'PTHR11266:SF105', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE 22 KDA (MPV17/PMP22) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131887, NULL, 'PTHR47960:SF1', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 50', NULL, NULL, NULL, 15),
(131888, NULL, 'PTHR44404', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE 1M', NULL, NULL, NULL, 15),
(131889, NULL, 'PTHR12124:SF69', NULL, NULL, NULL, NULL, 'PROTEIN RRP6-LIKE 1', NULL, NULL, NULL, 15),
(131890, NULL, 'PTHR10891:SF857', NULL, NULL, NULL, NULL, 'POLCALCIN NIC T 1-RELATED', NULL, NULL, NULL, 15),
(131891, NULL, 'PTHR24332:SF15', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CDX-4', NULL, NULL, NULL, 15),
(131892, NULL, 'PTHR36844:SF1', NULL, NULL, NULL, NULL, 'PROTEASE PRSW', NULL, NULL, NULL, 15),
(131893, NULL, 'PTHR31373:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131894, NULL, 'PTHR12411:SF577', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE 3', NULL, NULL, NULL, 15),
(131895, NULL, 'PTHR40849', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT MEMBRANE TARGETING', NULL, NULL, NULL, 15),
(131896, NULL, 'PTHR18929:SF225', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', NULL, NULL, NULL, 15),
(131897, NULL, 'PTHR22835:SF580', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131898, NULL, 'PTHR11829:SF363', NULL, NULL, NULL, NULL, 'FORKHEAD TRANSCRIPTION FACTOR FAMILY', NULL, NULL, NULL, 15),
(131899, NULL, 'PTHR10836', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE 3-PHOSPHATE DEHYDROGENASE', NULL, NULL, 19650, 15),
(131900, NULL, 'PTHR13947:SF2', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE FAMILY 8 MEMBER 3-RELATED', NULL, NULL, NULL, 15),
(131901, NULL, 'PTHR10903:SF141', NULL, NULL, NULL, NULL, 'PROTEIN AIG1-LIKE', NULL, NULL, NULL, 15),
(131902, NULL, 'PTHR31300:SF2', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(131903, NULL, 'PTHR22625:SF7', NULL, NULL, NULL, NULL, 'PLEXIN-D1', NULL, NULL, NULL, 15),
(131904, NULL, 'PTHR14155:SF574', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL28', NULL, NULL, NULL, 15),
(131905, NULL, 'PTHR11615:SF251', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131906, NULL, 'PTHR26453:SF154', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131907, NULL, 'PTHR23055:SF166', NULL, NULL, NULL, NULL, 'RECOVERIN-RELATED', NULL, NULL, NULL, 15),
(131908, NULL, 'PTHR24960:SF71', NULL, NULL, NULL, NULL, 'BSR3197 PROTEIN', NULL, NULL, NULL, 15),
(131909, NULL, 'PTHR10894:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 58', NULL, NULL, NULL, 15),
(131910, NULL, 'PTHR34271:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131911, NULL, 'PTHR11636:SF47', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 2, TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(131912, NULL, 'PTHR46865:SF7', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G07040)-RELATED', NULL, NULL, NULL, 15),
(131913, NULL, 'PTHR48017:SF114', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER ANT1-LIKE', NULL, NULL, NULL, 15),
(131914, NULL, 'PTHR21562:SF50', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 6', NULL, NULL, NULL, 15),
(131915, NULL, 'PTHR23226:SF271', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 34', NULL, NULL, NULL, 15),
(131916, NULL, 'PTHR11653', NULL, NULL, NULL, NULL, 'PARVALBUMIN ALPHA', NULL, NULL, 6180, 15),
(131917, NULL, 'PTHR45757:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG01833', NULL, NULL, NULL, 15),
(131918, NULL, 'PTHR12300:SF154', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131919, NULL, 'PTHR11802:SF279', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 46', NULL, NULL, NULL, 15),
(131920, NULL, 'PTHR43570:SF22', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(131921, NULL, 'PTHR32212:SF296', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(131922, NULL, 'PTHR16017', NULL, NULL, NULL, NULL, 'GASTRULATION DEFECTIVE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(131923, NULL, 'PTHR45727:SF6', NULL, NULL, NULL, NULL, 'NPC INTRACELLULAR CHOLESTEROL TRANSPORTER 1 HOMOLOG 1B', NULL, NULL, NULL, 15),
(131924, NULL, 'PTHR14009:SF35', NULL, NULL, NULL, NULL, 'LETM1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(131925, NULL, 'PTHR13234', NULL, NULL, NULL, NULL, 'GAMMA-INTERFERON INDUCIBLE LYSOSOMAL THIOL REDUCTASE  GILT', NULL, NULL, 1967, 15),
(131926, NULL, 'PTHR12436:SF31', NULL, NULL, NULL, NULL, 'SAC3 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(131927, NULL, 'PTHR45642:SF110', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL3', NULL, NULL, NULL, 15),
(131928, NULL, 'PTHR45651:SF88', NULL, NULL, NULL, NULL, 'BNAC01G42610D PROTEIN', NULL, NULL, NULL, 15),
(131929, NULL, 'PTHR19353:SF35', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT STEAROYL-COA 9-DESATURASE', NULL, NULL, NULL, 15),
(131930, NULL, 'PTHR14110:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM22', NULL, NULL, NULL, 15),
(131931, NULL, 'PTHR33076:SF98', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 13-LIKE', NULL, NULL, NULL, 15),
(131932, NULL, 'PTHR12629:SF48', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 18, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(131933, NULL, 'PTHR33086:SF70', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(131934, NULL, 'PTHR38218:SF5', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(131935, NULL, 'PTHR42826:SF3', NULL, NULL, NULL, NULL, 'DICARBOXYLATE TRANSPORTER 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(131936, NULL, 'PTHR23203:SF14', NULL, NULL, NULL, NULL, 'BASIC SALIVARY PROLINE-RICH PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(131937, NULL, 'PTHR33401:SF2', NULL, NULL, NULL, NULL, 'OS03G0138400 PROTEIN', NULL, NULL, NULL, 15),
(131938, NULL, 'PTHR48017:SF2', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 8-LIKE', NULL, NULL, NULL, 15),
(131939, NULL, 'PTHR10992:SF1018', NULL, NULL, NULL, NULL, 'ESTERASE PIR7B', NULL, NULL, NULL, 15),
(131940, NULL, 'PTHR12570:SF70', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(131941, NULL, 'PTHR23024:SF557', NULL, NULL, NULL, NULL, 'AB HYDROLASE SUPERFAMILY PROTEIN C1039.03', NULL, NULL, NULL, 15),
(131942, NULL, 'PTHR11783:SF257', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131943, NULL, 'PTHR31730:SF26', NULL, NULL, NULL, NULL, 'DUF668 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(131944, NULL, 'PTHR23290', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(131945, NULL, 'PTHR24326:SF575', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT5-LIKE', NULL, NULL, NULL, 15),
(131946, NULL, 'PTHR48016:SF8', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 3', NULL, NULL, NULL, 15),
(131947, NULL, 'PTHR34311:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG15354', NULL, NULL, NULL, 15),
(131948, NULL, 'PTHR31415:SF88', NULL, NULL, NULL, NULL, 'OS11G0587400 PROTEIN', NULL, NULL, NULL, 15),
(131949, NULL, 'PTHR26312:SF158', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY PROTEIN YCF3', NULL, NULL, NULL, 15),
(131950, NULL, 'PTHR36619:SF2', NULL, NULL, NULL, NULL, 'OS04G0208900 PROTEIN', NULL, NULL, NULL, 15),
(131951, NULL, 'PTHR12181:SF63', NULL, NULL, NULL, NULL, 'BNAA09G15750D PROTEIN', NULL, NULL, NULL, 15),
(131952, NULL, 'PTHR46045:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(131953, NULL, 'PTHR12345:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131954, NULL, 'PTHR31194', NULL, NULL, NULL, NULL, 'SHN  SHINE , DNA BINDING / TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(131955, NULL, 'PTHR24419:SF1', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE 1', NULL, NULL, 34090, 15),
(131956, NULL, 'PTHR31311:SF14', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(131957, NULL, 'PTHR48092:SF17', NULL, NULL, NULL, NULL, 'KNIRPS-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131958, NULL, 'PTHR31221:SF1', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(131959, NULL, 'PTHR34958:SF1', NULL, NULL, NULL, NULL, 'CONDITIONAL LOSS-OF-GROWTH 1', NULL, NULL, NULL, 15),
(131960, NULL, 'PTHR47067:SF5', NULL, NULL, NULL, NULL, 'OS02G0558600 PROTEIN', NULL, NULL, NULL, 15),
(131961, NULL, 'PTHR37886:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(131962, NULL, 'PTHR11062:SF8', NULL, NULL, NULL, NULL, 'EXOSTOSIN-LIKE 1', NULL, NULL, 24942, 15),
(131963, NULL, 'PTHR48047:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(131964, NULL, 'PTHR14379:SF63', NULL, NULL, NULL, NULL, 'ENDONUCLEASE OR GLYCOSYL HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(131965, NULL, 'PTHR46672', NULL, NULL, NULL, NULL, 'OS08G0495500 PROTEIN-RELATED', NULL, NULL, 36611, 15),
(131966, NULL, 'PTHR24410:SF16', NULL, NULL, NULL, NULL, 'GALECTIN-3-BINDING PROTEIN', NULL, NULL, NULL, 15),
(131967, NULL, 'PTHR19317:SF76', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(131968, NULL, 'PTHR11732:SF449', NULL, NULL, NULL, NULL, 'GLD1', NULL, NULL, NULL, 15),
(131969, NULL, 'PTHR24351:SF175', NULL, NULL, NULL, NULL, 'CHROMOSOMAL SERINE/THREONINE-PROTEIN KINASE JIL-1', NULL, NULL, NULL, 15),
(131970, NULL, 'PTHR24020:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131971, NULL, 'PTHR32154:SF0', NULL, NULL, NULL, NULL, 'PYRUVATE-FLAVODOXIN OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(131972, NULL, 'PTHR24038:SF8', NULL, NULL, NULL, NULL, 'STABILIN-1', NULL, NULL, NULL, 15),
(131973, NULL, 'PTHR22870:SF380', NULL, NULL, NULL, NULL, 'CHROMOSOME CONDENSATION REGULATOR RCC1 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(131974, NULL, 'PTHR35792:SF3', NULL, NULL, NULL, NULL, 'IG HYPOTHETICAL 17707', NULL, NULL, NULL, 15),
(131975, NULL, 'PTHR31451:SF21', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE C', NULL, NULL, NULL, 15),
(131976, NULL, 'PTHR23267:SF323', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 4-60', NULL, NULL, NULL, 15),
(131977, NULL, 'PTHR47958:SF105', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 37', NULL, NULL, NULL, 15),
(131978, NULL, 'PTHR23518:SF2', NULL, NULL, NULL, NULL, 'C-METHYLTRANSFERASE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(131979, NULL, 'PTHR35401:SF1', NULL, NULL, NULL, NULL, 'COPG FAMILY HELIX-TURN-HELIX PROTEIN-RELATED', NULL, NULL, NULL, 15),
(131980, NULL, 'PTHR31192', NULL, NULL, NULL, NULL, 'SPERM-SPECIFIC FAMILY, CLASS Q', NULL, NULL, NULL, 15),
(131981, NULL, 'PTHR48043:SF71', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(131982, NULL, 'PTHR31952:SF3', NULL, NULL, NULL, NULL, 'CANNABINOID RECEPTOR-INTERACTING PROTEIN 1B', NULL, NULL, NULL, 15),
(131983, NULL, 'PTHR14484', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 71', NULL, NULL, 25375, 15),
(131984, NULL, 'PTHR46128:SF128', NULL, NULL, NULL, NULL, 'BNAA09G26250D PROTEIN', NULL, NULL, NULL, 15),
(131985, NULL, 'PTHR24193:SF76', NULL, NULL, NULL, NULL, 'GA-BINDING PROTEIN SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(131986, NULL, 'PTHR46563:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131987, NULL, 'PTHR11829:SF338', NULL, NULL, NULL, NULL, 'PES-1 PROTEIN', NULL, NULL, NULL, 15),
(131988, NULL, 'PTHR15487:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(131989, NULL, 'PTHR16223:SF151', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH128', NULL, NULL, NULL, 15),
(131990, NULL, 'PTHR33202:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR FURA', NULL, NULL, NULL, 15),
(131991, NULL, 'PTHR30096:SF14', NULL, NULL, NULL, NULL, 'AROMATIC RING-OPENING DIOXYGENASE, CATALYTIC PROTEIN', NULL, NULL, NULL, 15),
(131992, NULL, 'PTHR14155:SF485', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL41', NULL, NULL, NULL, 15),
(131993, NULL, 'PTHR10788:SF108', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 7-RELATED', NULL, NULL, NULL, 15),
(131994, NULL, 'PTHR11017:SF345', NULL, NULL, NULL, NULL, 'BNAC03G34840D PROTEIN', NULL, NULL, NULL, 15),
(131995, NULL, 'PTHR11462:SF53', NULL, NULL, NULL, NULL, 'B-ZIP TRANSCRIPTION FACTOR (EUROFUNG)', NULL, NULL, NULL, 15),
(131996, NULL, 'PTHR21319:SF53', NULL, NULL, NULL, NULL, 'CHY-TYPE/CTCHY-TYPE/RING-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(131997, NULL, 'PTHR43389:SF5', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT B, BRAIN ISOFORM', NULL, NULL, NULL, 15),
(131998, NULL, 'PTHR24377:SF759', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 418', NULL, NULL, NULL, 15),
(131999, NULL, 'PTHR14154:SF18', NULL, NULL, NULL, NULL, 'STRESS ENHANCED PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(132000, NULL, 'PTHR34947:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132001, NULL, 'PTHR24081:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 0 GROUP B MEMBER 2', NULL, NULL, NULL, 15),
(132002, NULL, 'PTHR46719:SF5', NULL, NULL, NULL, NULL, 'C3HC4-TYPE RING ZINC FINGER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(132003, NULL, 'PTHR10996:SF137', NULL, NULL, NULL, NULL, 'GLYOXYLATE REDUCTASE/HYDROXYPYRUVATE REDUCTASE', NULL, NULL, NULL, 15),
(132004, NULL, 'PTHR31342:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132005, NULL, 'PTHR24055:SF396', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(132006, NULL, 'PTHR31391:SF116', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(132007, NULL, 'PTHR43176:SF23', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE 1', NULL, NULL, NULL, 15),
(132008, NULL, 'PTHR44575:SF6', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(132009, NULL, 'PTHR43689:SF37', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(132010, NULL, 'PTHR45709', NULL, NULL, NULL, NULL, 'LARGE SUBUNIT GTPASE 1 HOMOLOG-RELATED', NULL, NULL, 37452, 15),
(132011, NULL, 'PTHR43188:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132012, NULL, 'PTHR22789:SF0', NULL, NULL, NULL, NULL, '3-OXO-TETRONATE 4-PHOSPHATE DECARBOXYLASE-RELATED', NULL, NULL, NULL, 15),
(132013, NULL, 'PTHR33133:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132014, NULL, 'PTHR34315:SF9', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14630)-RELATED', NULL, NULL, NULL, 15),
(132015, NULL, 'PTHR23315:SF263', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(132016, NULL, 'PTHR11003:SF106', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(132017, NULL, 'PTHR24347:SF383', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE II ALPHA CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(132018, NULL, 'PTHR26454:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132019, NULL, 'PTHR31945:SF79', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH93-LIKE', NULL, NULL, NULL, 15),
(132020, NULL, 'PTHR12654:SF28', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', NULL, NULL, NULL, 15),
(132021, NULL, 'PTHR12247:SF72', NULL, NULL, NULL, NULL, 'LETHAL(3)MALIGNANT BRAIN TUMOR-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(132022, NULL, 'PTHR18879:SF20', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 290 KDA', NULL, NULL, NULL, 15),
(132023, NULL, 'PTHR31707:SF146', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR', NULL, NULL, NULL, 15),
(132024, NULL, 'PTHR48034:SF15', NULL, NULL, NULL, NULL, 'OS06G0724600 PROTEIN', NULL, NULL, NULL, 15),
(132025, NULL, 'PTHR22814:SF332', NULL, NULL, NULL, NULL, 'FARNESYLATED PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(132026, NULL, 'PTHR11732:SF5', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE YHDN', NULL, NULL, NULL, 15),
(132027, NULL, 'PTHR43727:SF2', NULL, NULL, NULL, NULL, 'DIAMINOPIMELATE DECARBOXYLASE 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(132028, NULL, 'PTHR35035:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132029, NULL, 'PTHR13356:SF5', NULL, NULL, NULL, NULL, 'SOSS COMPLEX SUBUNIT B2', NULL, NULL, NULL, 15),
(132030, NULL, 'PTHR31719:SF172', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 55', NULL, NULL, NULL, 15),
(132031, NULL, 'PTHR42929:SF5', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(132032, NULL, 'PTHR35323:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 62-LIKE', NULL, NULL, NULL, 15),
(132033, NULL, 'PTHR46159:SF7', NULL, NULL, NULL, NULL, 'OS12G0605500 PROTEIN', NULL, NULL, NULL, 15),
(132034, NULL, 'PTHR30081:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLOCASE SUBUNIT SECD', NULL, NULL, NULL, 15),
(132035, NULL, 'PTHR11214:SF246', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(132036, NULL, 'PTHR10666:SF346', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 11', NULL, NULL, NULL, 15),
(132037, NULL, 'PTHR31898:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132038, NULL, 'PTHR23238:SF30', NULL, NULL, NULL, NULL, 'TAF15 RNA POLYMERASE II, TATA BOX-BINDING PROTEIN (TBP)-ASSOCIATED FACTOR', NULL, NULL, NULL, 15),
(132039, NULL, 'PTHR11639:SF67', NULL, NULL, NULL, NULL, 'PROTEIN S100-A7A', NULL, NULL, 28431, 15),
(132040, NULL, 'PTHR36527:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132041, NULL, 'PTHR12002:SF92', NULL, NULL, NULL, NULL, 'CLAUDIN-1', NULL, NULL, 7356, 15),
(132042, NULL, 'PTHR30509:SF33', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132043, NULL, 'PTHR22835:SF526', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132044, NULL, 'PTHR45703:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132045, NULL, 'PTHR31513:SF11', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(132046, NULL, 'PTHR23050:SF441', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML19-RELATED', NULL, NULL, NULL, 15),
(132047, NULL, 'PTHR24282:SF155', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 734A1-LIKE', NULL, NULL, NULL, 15),
(132048, NULL, 'PTHR47947:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(132049, NULL, 'PTHR43205', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN REDUCTASE', NULL, NULL, 36584, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132050, NULL, 'PTHR31235:SF323', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(132051, NULL, 'PTHR37077', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132052, NULL, 'PTHR24128:SF40', NULL, NULL, NULL, NULL, 'ALPHA-LATROINSECTOTOXIN-LT1A-LIKE', NULL, NULL, NULL, 15),
(132053, NULL, 'PTHR24177:SF223', NULL, NULL, NULL, NULL, 'OS06G0297300 PROTEIN', NULL, NULL, NULL, 15),
(132054, NULL, 'PTHR14709:SF3', NULL, NULL, NULL, NULL, 'PROLINE-RICH 12A', NULL, NULL, NULL, 15),
(132055, NULL, 'PTHR37201', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN', NULL, NULL, NULL, 15),
(132056, NULL, 'PTHR12419:SF53', NULL, NULL, NULL, NULL, 'OS01G0900900 PROTEIN', NULL, NULL, NULL, 15),
(132057, NULL, 'PTHR11767:SF100', NULL, NULL, NULL, NULL, 'SI:CH211-113J13.2', NULL, NULL, NULL, 15),
(132058, NULL, 'PTHR47761:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(132059, NULL, 'PTHR31293:SF20', NULL, NULL, NULL, NULL, 'BNAA08G03590D PROTEIN', NULL, NULL, NULL, 15),
(132060, NULL, 'PTHR31190:SF249', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(132061, NULL, 'PTHR35615', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132062, NULL, 'PTHR32116:SF4', NULL, NULL, NULL, NULL, 'POLYGALACTURONATE 4-ALPHA-GALACTURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(132063, NULL, 'PTHR43039:SF10', NULL, NULL, NULL, NULL, 'FACTOR SIGB REGULATION PROTEIN RSBQ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132064, NULL, 'PTHR31066:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132065, NULL, 'PTHR21659:SF98', NULL, NULL, NULL, NULL, 'LOW TEMPERATURE AND SALT RESPONSIVE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(132066, NULL, 'PTHR31319:SF71', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(132067, NULL, 'PTHR40695:SF1', NULL, NULL, NULL, NULL, '4-PHOSPHOPANTOATE--BETA-ALANINE LIGASE', NULL, NULL, NULL, 15),
(132068, NULL, 'PTHR46489:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132069, NULL, 'PTHR11573:SF6', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE LARGE SUBUNIT', NULL, NULL, NULL, 15),
(132070, NULL, 'PTHR10795:SF565', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.11', NULL, NULL, NULL, 15),
(132071, NULL, 'PTHR32258:SF22', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 3A-LIKE', NULL, NULL, NULL, 15),
(132072, NULL, 'PTHR44375:SF11', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(132073, NULL, 'PTHR46372:SF17', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 3', NULL, NULL, NULL, 15),
(132074, NULL, 'PTHR31552:SF23', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(132075, NULL, 'PTHR12161:SF69', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', NULL, NULL, NULL, 15),
(132076, NULL, 'PTHR45892:SF4', NULL, NULL, NULL, NULL, 'BNAA06G40880D PROTEIN', NULL, NULL, NULL, 15),
(132077, NULL, 'PTHR14879:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CBLA', NULL, NULL, NULL, 15),
(132078, NULL, 'PTHR13950:SF12', NULL, NULL, NULL, NULL, 'DMX-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(132079, NULL, 'PTHR15360:SF2', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR RECEPTOR-LIKE, GENE 2', NULL, NULL, NULL, 15),
(132080, NULL, 'PTHR13582:SF0', NULL, NULL, NULL, NULL, 'M-PHASE PHOSPHOPROTEIN 6', NULL, NULL, NULL, 15),
(132081, NULL, 'PTHR42698:SF1', NULL, NULL, NULL, NULL, 'GTPASE ERA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(132082, NULL, 'PTHR11073:SF25', NULL, NULL, NULL, NULL, 'CALRETICULIN-2', NULL, NULL, NULL, 15),
(132083, NULL, 'PTHR43625:SF56', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132084, NULL, 'PTHR11206:SF379', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(132085, NULL, 'PTHR32261:SF3', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN 2', NULL, NULL, 28178, 15),
(132086, NULL, 'PTHR24091', NULL, NULL, NULL, NULL, 'LYMPHOCYTE TRANSMEMBRANE ADAPTER 1', NULL, NULL, 27002, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132087, NULL, 'PTHR10024:SF363', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN VIIA', NULL, NULL, NULL, 15),
(132088, NULL, 'PTHR32116:SF7', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 4-RELATED', NULL, NULL, NULL, 15),
(132089, NULL, 'PTHR40627:SF3', NULL, NULL, NULL, NULL, 'INDOLE PRENYLTRANSFERASE TDIB-RELATED', NULL, NULL, NULL, 15),
(132090, NULL, 'PTHR23335:SF27', NULL, NULL, NULL, NULL, 'BNAC06G26850D PROTEIN', NULL, NULL, NULL, 15),
(132091, NULL, 'PTHR10903:SF120', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST 159, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(132092, NULL, 'PTHR45628:SF15', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT T-TYPE CALCIUM CHANNEL SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(132093, NULL, 'PTHR16120:SF0', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT SIGMA-1', NULL, NULL, NULL, 15),
(132094, NULL, 'PTHR37187:SF10', NULL, NULL, NULL, NULL, 'BNAA07G07940D PROTEIN', NULL, NULL, NULL, 15),
(132095, NULL, 'PTHR24349:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132096, NULL, 'PTHR42737', NULL, NULL, NULL, NULL, 'GLUTATHIONE REDUCTASE', NULL, NULL, 4536, 15),
(132097, NULL, 'PTHR12385:SF85', NULL, NULL, NULL, NULL, 'GB|AAF63775.1', NULL, NULL, NULL, 15),
(132098, NULL, 'PTHR35975', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 11A', NULL, NULL, 36922, 15),
(132099, NULL, 'PTHR23257:SF797', NULL, NULL, NULL, NULL, 'KINASE SUPERFAMILY WITH OCTICOSAPEPTIDE/PHOX/BEM1P DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(132100, NULL, 'PTHR46336:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132101, NULL, 'PTHR42704', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE', NULL, NULL, 31950, 15),
(132102, NULL, 'PTHR27006:SF178', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(132103, NULL, 'PTHR43142:SF4', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(132104, NULL, 'PTHR44329:SF179', NULL, NULL, NULL, NULL, 'ATMRK1', NULL, NULL, NULL, 15),
(132105, NULL, 'PTHR36076', NULL, NULL, NULL, NULL, 'THIOREDOXIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(132106, NULL, 'PTHR27006:SF209', NULL, NULL, NULL, NULL, 'BNACNNG35830D PROTEIN', NULL, NULL, NULL, 15),
(132107, NULL, 'PTHR31802:SF7', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT1', NULL, NULL, NULL, 15),
(132108, NULL, 'PTHR18911:SF5', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 186', NULL, NULL, NULL, 15),
(132109, NULL, 'PTHR46719:SF2', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL70-LIKE', NULL, NULL, NULL, 15),
(132110, NULL, 'PTHR13258:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132111, NULL, 'PTHR15917:SF3', NULL, NULL, NULL, NULL, 'INHIBITORY SYNAPTIC FACTOR 1', NULL, NULL, NULL, 15),
(132112, NULL, 'PTHR24072:SF327', NULL, NULL, NULL, NULL, 'BNAA01G19510D PROTEIN', NULL, NULL, NULL, 15),
(132113, NULL, 'PTHR31044:SF50', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(132114, NULL, 'PTHR11070:SF45', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE UVRD2', NULL, NULL, NULL, 15),
(132115, NULL, 'PTHR47925:SF54', NULL, NULL, NULL, NULL, 'BNAA06G16120D PROTEIN', NULL, NULL, NULL, 15),
(132116, NULL, 'PTHR40891:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132117, NULL, 'PTHR14255:SF37', NULL, NULL, NULL, NULL, 'SULFITE EXPORTER TAUE/SAFE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(132118, NULL, 'PTHR33164:SF75', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(132119, NULL, 'PTHR12623:SF10', NULL, NULL, NULL, NULL, 'NGFI-A-BINDING PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(132120, NULL, 'PTHR43952:SF52', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(132121, NULL, 'PTHR37303:SF2', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132122, NULL, 'PTHR43633', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE YQHD', NULL, NULL, 39450, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132123, NULL, 'PTHR24104:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132124, NULL, 'PTHR11206:SF331', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 33-LIKE', NULL, NULL, NULL, 15),
(132125, NULL, 'PTHR31388:SF126', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(132126, NULL, 'PTHR32294:SF4', NULL, NULL, NULL, NULL, 'ERROR-PRONE DNA POLYMERASE', NULL, NULL, 15400, 15),
(132127, NULL, 'PTHR47933:SF8', NULL, NULL, NULL, NULL, 'OS02G0601600 PROTEIN', NULL, NULL, NULL, 15),
(132128, NULL, 'PTHR11362:SF134', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L35, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(132129, NULL, 'PTHR47633:SF1', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE, SMOOTH MUSCLE', NULL, NULL, NULL, 15),
(132130, NULL, 'PTHR48010:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132131, NULL, 'PTHR43943:SF14', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE 3', NULL, NULL, NULL, 15),
(132132, NULL, 'PTHR11066:SF34', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 8', NULL, NULL, NULL, 15),
(132133, NULL, 'PTHR34270:SF6', NULL, NULL, NULL, NULL, 'BNACNNG22730D PROTEIN', NULL, NULL, NULL, 15),
(132134, NULL, 'PTHR47068:SF6', NULL, NULL, NULL, NULL, 'BNACNNG09030D PROTEIN', NULL, NULL, NULL, 15),
(132135, NULL, 'PTHR11782:SF106', NULL, NULL, NULL, NULL, 'BNAA06G09030D PROTEIN', NULL, NULL, NULL, 15),
(132136, NULL, 'PTHR46144:SF2', NULL, NULL, NULL, NULL, 'ZGC:171482', NULL, NULL, NULL, 15),
(132137, NULL, 'PTHR19321:SF21', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(132138, NULL, 'PTHR47984:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(132139, NULL, 'PTHR31263:SF52', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(132140, NULL, 'PTHR12313:SF72', NULL, NULL, NULL, NULL, 'BNAA03G19710D PROTEIN', NULL, NULL, NULL, 15),
(132141, NULL, 'PTHR47155', NULL, NULL, NULL, NULL, 'DOWNSTREAM OF DAF-16 (REGULATED BY DAF-16)-RELATED', NULL, NULL, NULL, 15),
(132142, NULL, 'PTHR24056:SF480', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132143, NULL, 'PTHR35546:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132144, NULL, 'PTHR35828:SF28', NULL, NULL, NULL, NULL, 'OS03G0776500 PROTEIN', NULL, NULL, NULL, 15),
(132145, NULL, 'PTHR45708:SF21', NULL, NULL, NULL, NULL, 'ACIDIC ENDOCHITINASE', NULL, NULL, NULL, 15),
(132146, NULL, 'PTHR21652:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132147, NULL, 'PTHR28250:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B PRE-MRNA-PROCESSING PROTEIN 6', NULL, NULL, NULL, 15),
(132148, NULL, 'PTHR12027:SF101', NULL, NULL, NULL, NULL, 'PROTEIN WNT-4', NULL, NULL, NULL, 15),
(132149, NULL, 'PTHR31374:SF286', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132150, NULL, 'PTHR10791:SF206', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(132151, NULL, 'PTHR31875:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132152, NULL, 'PTHR20996:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE PHOSPHATASE-REGULATORY SUBUNIT 1', NULL, NULL, NULL, 15),
(132153, NULL, 'PTHR12387:SF0', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 8', NULL, NULL, NULL, 15),
(132154, NULL, 'PTHR15948:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG23048', NULL, NULL, NULL, 15),
(132155, NULL, 'PTHR24073:SF1124', NULL, NULL, NULL, NULL, 'RAB18S', NULL, NULL, NULL, 15),
(132156, NULL, 'PTHR11005:SF124', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(132157, NULL, 'PTHR46043:SF17', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132158, NULL, 'PTHR31681:SF30', NULL, NULL, NULL, NULL, 'SULFATED SURFACE-LIKE GLYCOPROTEIN', NULL, NULL, NULL, 15),
(132159, NULL, 'PTHR10366:SF668', NULL, NULL, NULL, NULL, 'VESTITONE REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(132160, NULL, 'PTHR35288', NULL, NULL, NULL, NULL, 'TAIL FIBER', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132161, NULL, 'PTHR12603:SF27', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(132162, NULL, 'PTHR44586:SF10', NULL, NULL, NULL, NULL, 'OS08G0426100 PROTEIN', NULL, NULL, NULL, 15),
(132163, NULL, 'PTHR45667:SF5', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G09980)-RELATED', NULL, NULL, NULL, 15),
(132164, NULL, 'PTHR46129:SF2', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN 14, ISOFORM D', NULL, NULL, NULL, 15),
(132165, NULL, 'PTHR24089:SF721', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FUSION AND TRANSPORT PROTEIN UGO1', NULL, NULL, NULL, 15),
(132166, NULL, 'PTHR31284:SF35', NULL, NULL, NULL, NULL, 'BNAC03G77680D PROTEIN', NULL, NULL, NULL, 15),
(132167, NULL, 'PTHR43646', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(132168, NULL, 'PTHR11910:SF16', NULL, NULL, NULL, NULL, 'ATP SYNTHASE F1, DELTA SUBUNIT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(132169, NULL, 'PTHR34512', NULL, NULL, NULL, NULL, 'CELL SURFACE PROTEIN', NULL, NULL, NULL, 15),
(132170, NULL, 'PTHR46351:SF15', NULL, NULL, NULL, NULL, 'WHEATWIN-1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(132171, NULL, 'PTHR18952:SF229', NULL, NULL, NULL, NULL, 'BNACNNG30610D PROTEIN', NULL, NULL, NULL, 15),
(132172, NULL, 'PTHR24020:SF52', NULL, NULL, NULL, NULL, 'MULTIPLEXIN, ISOFORM R', NULL, NULL, NULL, 15),
(132173, NULL, 'PTHR18945:SF61', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT DELTA', NULL, NULL, NULL, 15),
(132174, NULL, 'PTHR24300:SF201', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 515B1-RELATED', NULL, NULL, NULL, 15),
(132175, NULL, 'PTHR48001:SF44', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1D2', NULL, NULL, NULL, 15),
(132176, NULL, 'PTHR33070:SF50', NULL, NULL, NULL, NULL, 'OS08G0553750 PROTEIN', NULL, NULL, NULL, 15),
(132177, NULL, 'PTHR32439', NULL, NULL, NULL, NULL, 'FERREDOXIN--NITRITE REDUCTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(132178, NULL, 'PTHR43747:SF5', NULL, NULL, NULL, NULL, 'HALOGENASE-RELATED', NULL, NULL, NULL, 15),
(132179, NULL, 'PTHR33077:SF50', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10C', NULL, NULL, NULL, 15),
(132180, NULL, 'PTHR45090', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 20 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(132181, NULL, 'PTHR43475:SF1', NULL, NULL, NULL, NULL, 'METHYLTHIORIBOSE-1-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(132182, NULL, 'PTHR42985:SF20', NULL, NULL, NULL, NULL, 'FI02016P', NULL, NULL, NULL, 15),
(132183, NULL, 'PTHR11562:SF94', NULL, NULL, NULL, NULL, 'BNAC04G00620D PROTEIN', NULL, NULL, NULL, 15),
(132184, NULL, 'PTHR30294:SF31', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PERMEASE YHHJ', NULL, NULL, NULL, 15),
(132185, NULL, 'PTHR27003:SF325', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132186, NULL, 'PTHR48018:SF144', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9Q2', NULL, NULL, NULL, 15),
(132187, NULL, 'PTHR36836:SF1', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS PROTEIN WCAK', NULL, NULL, NULL, 15),
(132188, NULL, 'PTHR23428:SF237', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(132189, NULL, 'PTHR13140:SF519', NULL, NULL, NULL, NULL, 'MYOSIN IF HEAVY CHAIN', NULL, NULL, NULL, 15),
(132190, NULL, 'PTHR11538:SF81', NULL, NULL, NULL, NULL, 'BNAA02G35450D PROTEIN', NULL, NULL, NULL, 15),
(132191, NULL, 'PTHR10380:SF221', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 47EF, ISOFORM C-RELATED', NULL, NULL, NULL, 15),
(132192, NULL, 'PTHR45921:SF4', NULL, NULL, NULL, NULL, 'IP01054P', NULL, NULL, NULL, 15),
(132193, NULL, 'PTHR10732:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132194, NULL, 'PTHR33107:SF15', NULL, NULL, NULL, NULL, 'MIRACULIN-LIKE', NULL, NULL, NULL, 15),
(132195, NULL, 'PTHR22953:SF136', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(132196, NULL, 'PTHR11476:SF11', NULL, NULL, NULL, NULL, 'HARS ISOFORM 1', NULL, NULL, NULL, 15),
(132197, NULL, 'PTHR31895', NULL, NULL, NULL, NULL, 'PROTEIN CBG03177-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132198, NULL, 'PTHR23169:SF23', NULL, NULL, NULL, NULL, 'SHORT STOP, ISOFORM H', NULL, NULL, NULL, 15),
(132199, NULL, 'PTHR14969:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132200, NULL, 'PTHR24347:SF417', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE (CAM KINASE) II GAMMA 1', NULL, NULL, NULL, 15),
(132201, NULL, 'PTHR24092:SF144', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 10', NULL, NULL, NULL, 15),
(132202, NULL, 'PTHR33086:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132203, NULL, 'PTHR13715:SF15', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 1', NULL, NULL, 33328, 15),
(132204, NULL, 'PTHR28112:SF1', NULL, NULL, NULL, NULL, 'SRP-INDEPENDENT TARGETING PROTEIN 3', NULL, NULL, NULL, 15),
(132205, NULL, 'PTHR13301:SF222', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 2 [UDP-FORMING]-LIKE', NULL, NULL, NULL, 15),
(132206, NULL, 'PTHR31776:SF22', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE C-TERMINUS FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(132207, NULL, 'PTHR11206:SF321', NULL, NULL, NULL, NULL, 'OS05G0554000 PROTEIN', NULL, NULL, NULL, 15),
(132208, NULL, 'PTHR21765:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 1 (CHD-1)', NULL, NULL, NULL, 15),
(132209, NULL, 'PTHR11848:SF245', NULL, NULL, NULL, NULL, 'MAVERICK', NULL, NULL, NULL, 15),
(132210, NULL, 'PTHR48018:SF31', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(132211, NULL, 'PTHR32278:SF34', NULL, NULL, NULL, NULL, 'PHLOEM PROTEIN 2-A10', NULL, NULL, NULL, 15),
(132212, NULL, 'PTHR13068:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132213, NULL, 'PTHR33416:SF20', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP1', NULL, NULL, NULL, 15),
(132214, NULL, 'PTHR46419:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD5-RELATED', NULL, NULL, NULL, 15),
(132215, NULL, 'PTHR11211:SF17', NULL, NULL, NULL, NULL, 'IROQUOIS-CLASS HOMEODOMAIN PROTEIN IRX-5', NULL, NULL, NULL, 15),
(132216, NULL, 'PTHR43178:SF2', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX', NULL, NULL, 3781, 15),
(132217, NULL, 'PTHR38848:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132218, NULL, 'PTHR30047:SF7', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY CHOLINE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(132219, NULL, 'PTHR21649:SF97', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(132220, NULL, 'PTHR45686:SF17', NULL, NULL, NULL, NULL, 'FACTOR GTPASE ACTIVATING PROTEIN 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132221, NULL, 'PTHR13832:SF740', NULL, NULL, NULL, NULL, 'BNAC03G16540D PROTEIN', NULL, NULL, NULL, 15),
(132222, NULL, 'PTHR37612:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132223, NULL, 'PTHR11654:SF499', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.3', NULL, NULL, NULL, 15),
(132224, NULL, 'PTHR33138:SF59', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.2', NULL, NULL, NULL, 15),
(132225, NULL, 'PTHR33177:SF30', NULL, NULL, NULL, NULL, 'BNAA02G05520D PROTEIN', NULL, NULL, NULL, 15),
(132226, NULL, 'PTHR11732:SF383', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER C15', NULL, NULL, NULL, 15),
(132227, NULL, 'PTHR31741:SF61', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 24-LIKE', NULL, NULL, NULL, 15),
(132228, NULL, 'PTHR13874:SF9', NULL, NULL, NULL, NULL, 'ENDOTHELIN-2', NULL, NULL, 18145, 15),
(132229, NULL, 'PTHR28574', NULL, NULL, NULL, NULL, 'RIKEN CDNA 6820408C15', NULL, NULL, 22002, 15),
(132230, NULL, 'PTHR24343:SF382', NULL, NULL, NULL, NULL, 'PROTEIN CBG25248', NULL, NULL, NULL, 15),
(132231, NULL, 'PTHR31562:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG18973', NULL, NULL, NULL, 15),
(132232, NULL, 'PTHR21477:SF30', NULL, NULL, NULL, NULL, 'BNAC08G42360D PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132233, NULL, 'PTHR31371:SF22', NULL, NULL, NULL, NULL, 'PLANT/T32M21-140 PROTEIN', NULL, NULL, NULL, 15),
(132234, NULL, 'PTHR45898:SF1', NULL, NULL, NULL, NULL, 'OS02G0273700 PROTEIN', NULL, NULL, NULL, 15),
(132235, NULL, 'PTHR11034:SF42', NULL, NULL, NULL, NULL, 'OS06G0563000 PROTEIN', NULL, NULL, NULL, 15),
(132236, NULL, 'PTHR37754:SF2', NULL, NULL, NULL, NULL, 'ION-BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132237, NULL, 'PTHR11595:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132238, NULL, 'PTHR23142:SF7', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR 38A', NULL, NULL, NULL, 15),
(132239, NULL, 'PTHR12346:SF40', NULL, NULL, NULL, NULL, 'BNAA05G13180D PROTEIN', NULL, NULL, NULL, 15),
(132240, NULL, 'PTHR47456:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132241, NULL, 'PTHR31734:SF161', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(132242, NULL, 'PTHR43917:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE THETA-1', NULL, NULL, NULL, 15),
(132243, NULL, 'PTHR15184', NULL, NULL, NULL, NULL, 'ATP SYNTHASE', NULL, NULL, NULL, 15),
(132244, NULL, 'PTHR43799:SF1', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132245, NULL, 'PTHR31861:SF20', NULL, NULL, NULL, NULL, 'BNAC04G56010D PROTEIN', NULL, NULL, NULL, 15),
(132246, NULL, 'PTHR24209:SF12', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(132247, NULL, 'PTHR26453:SF651', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(132248, NULL, 'PTHR46858:SF10', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED INHIBITOR OF APOPTOSIS 1-LIKE', NULL, NULL, NULL, 15),
(132249, NULL, 'PTHR24356:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132250, NULL, 'PTHR24023:SF914', NULL, NULL, NULL, NULL, 'OTOLIN-1', NULL, NULL, NULL, 15),
(132251, NULL, 'PTHR12533:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR OF ACTIVATED T-CELLS, CYTOPLASMIC 2', NULL, NULL, NULL, 15),
(132252, NULL, 'PTHR45684:SF33', NULL, NULL, NULL, NULL, 'BNAA09G15410D PROTEIN', NULL, NULL, NULL, 15),
(132253, NULL, 'PTHR47720:SF3', NULL, NULL, NULL, NULL, 'BNAC03G54990D PROTEIN', NULL, NULL, NULL, 15),
(132254, NULL, 'PTHR22943:SF71', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(132255, NULL, 'PTHR16290:SF0', NULL, NULL, NULL, NULL, 'DECAPPING PROTEIN 1, ISOFORM A', NULL, NULL, NULL, 15),
(132256, NULL, 'PTHR11709:SF338', NULL, NULL, NULL, NULL, 'SKU5 SIMILAR 1-RELATED', NULL, NULL, NULL, 15),
(132257, NULL, 'PTHR10057:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132258, NULL, 'PTHR14217:SF27', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', NULL, NULL, NULL, 15),
(132259, NULL, 'PTHR13162:SF8', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(132260, NULL, 'PTHR10546:SF1', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL SUBUNIT BETA-3', NULL, NULL, 22204, 15),
(132261, NULL, 'PTHR46015:SF5', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE S-METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(132262, NULL, 'PTHR31190:SF297', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(132263, NULL, 'PTHR10943:SF13', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 1 HOMOLOG', NULL, NULL, NULL, 15),
(132264, NULL, 'PTHR32341:SF10', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9930111J21 GENE 1-RELATED', NULL, NULL, NULL, 15),
(132265, NULL, 'PTHR43876:SF19', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS MONOOXYGENASE COQ6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(132266, NULL, 'PTHR23023:SF74', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING] 4', NULL, NULL, NULL, 15),
(132267, NULL, 'PTHR23120:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132268, NULL, 'PTHR31094:SF6', NULL, NULL, NULL, NULL, 'BNAC03G72730D PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132269, NULL, 'PTHR23111:SF72', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 13C-RELATED', NULL, NULL, NULL, 15),
(132270, NULL, 'PTHR10641:SF1239', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB102', NULL, NULL, NULL, 15),
(132271, NULL, 'PTHR47276:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 22', NULL, NULL, NULL, 15),
(132272, NULL, 'PTHR13370', NULL, NULL, NULL, NULL, 'RNA METHYLASE-RELATED', NULL, NULL, NULL, 15),
(132273, NULL, 'PTHR32096:SF111', NULL, NULL, NULL, NULL, 'BNAC02G47400D PROTEIN', NULL, NULL, NULL, 15),
(132274, NULL, 'PTHR19134:SF501', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE', NULL, NULL, NULL, 15),
(132275, NULL, 'PTHR12542:SF150', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(132276, NULL, 'PTHR15377:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION REGULATOR 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(132277, NULL, 'PTHR36135:SF1', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH CABYR-BINDING PROTEIN', NULL, NULL, NULL, 15),
(132278, NULL, 'PTHR33102:SF49', NULL, NULL, NULL, NULL, 'OS12G0573600 PROTEIN', NULL, NULL, NULL, 15),
(132279, NULL, 'PTHR24286:SF243', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 702, SUBFAMILY A, POLYPEPTIDE 3', NULL, NULL, NULL, 15),
(132280, NULL, 'PTHR24056:SF462', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 3', NULL, NULL, NULL, 15),
(132281, NULL, 'PTHR18952:SF239', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL MONODEHYDROASCORBATE REDUCTASE AND CARBONIC ANHYDRASE NECTARIN-3', NULL, NULL, NULL, 15),
(132282, NULL, 'PTHR11863:SF121', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 1-1-LIKE', NULL, NULL, NULL, 15),
(132283, NULL, 'PTHR31798', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', NULL, NULL, 31017, 15),
(132284, NULL, 'PTHR16223:SF255', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH69', NULL, NULL, NULL, 15),
(132285, NULL, 'PTHR33413:SF25', NULL, NULL, NULL, NULL, 'OS02G0741700 PROTEIN', NULL, NULL, NULL, 15),
(132286, NULL, 'PTHR11709:SF322', NULL, NULL, NULL, NULL, 'OS06G0567900 PROTEIN', NULL, NULL, NULL, 15),
(132287, NULL, 'PTHR22884:SF495', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE MES-4-RELATED', NULL, NULL, NULL, 15),
(132288, NULL, 'PTHR33645:SF2', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF3754)-RELATED', NULL, NULL, NULL, 15),
(132289, NULL, 'PTHR28652', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 59-LIKE PROTEIN', NULL, NULL, 20553, 15),
(132290, NULL, 'PTHR22776:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132291, NULL, 'PTHR13800:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CED-11', NULL, NULL, NULL, 15),
(132292, NULL, 'PTHR10658:SF58', NULL, NULL, NULL, NULL, 'VIBRATOR, ISOFORM B', NULL, NULL, NULL, 15),
(132293, NULL, 'PTHR43637:SF3', NULL, NULL, NULL, NULL, 'FLAGELLA-RELATED PROTEIN H-RELATED', NULL, NULL, NULL, 15),
(132294, NULL, 'PTHR43477', NULL, NULL, NULL, NULL, 'DIHYDROANTICAPSIN 7-DEHYDROGENASE', NULL, NULL, NULL, 15),
(132295, NULL, 'PTHR31350:SF11', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 21', NULL, NULL, NULL, 15),
(132296, NULL, 'PTHR31029', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE PROTEIN', NULL, NULL, 37132, 15),
(132297, NULL, 'PTHR48019:SF90', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2C', NULL, NULL, NULL, 15),
(132298, NULL, 'PTHR10739:SF51', NULL, NULL, NULL, NULL, 'CHOLINE-PHOSPHATE CYTIDYLYLTRANSFERASE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(132299, NULL, 'PTHR11685:SF257', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(132300, NULL, 'PTHR46945:SF4', NULL, NULL, NULL, NULL, 'CYSTATIN-9', NULL, NULL, NULL, 15),
(132301, NULL, 'PTHR36561:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132302, NULL, 'PTHR11003:SF277', NULL, NULL, NULL, NULL, 'TWO-PORE POTASSIUM CHANNEL 1-LIKE', NULL, NULL, NULL, 15),
(132303, NULL, 'PTHR35102:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(132304, NULL, 'PTHR47197:SF3', NULL, NULL, NULL, NULL, 'PROTEIN NIRF', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132305, NULL, 'PTHR23359:SF194', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE ISOENZYME 5-LIKE PROTEIN', NULL, NULL, NULL, 15),
(132306, NULL, 'PTHR10694:SF111', NULL, NULL, NULL, NULL, 'BNAA04G20920D PROTEIN', NULL, NULL, NULL, 15),
(132307, NULL, 'PTHR43482', NULL, NULL, NULL, NULL, 'PROTEIN AST1-RELATED', NULL, NULL, NULL, 15),
(132308, NULL, 'PTHR16100:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132309, NULL, 'PTHR24068:SF72', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2Q-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(132310, NULL, 'PTHR27008:SF473', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(132311, NULL, 'PTHR12378:SF68', NULL, NULL, NULL, NULL, 'PPPDE PUTATIVE THIOL PEPTIDASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132312, NULL, 'PTHR12550', NULL, NULL, NULL, NULL, 'HEPATOMA-DERIVED GROWTH FACTOR-RELATED', NULL, NULL, NULL, 15),
(132313, NULL, 'PTHR23023:SF44', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING] 3', NULL, NULL, NULL, 15),
(132314, NULL, 'PTHR48019:SF30', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(132315, NULL, 'PTHR31232:SF98', NULL, NULL, NULL, NULL, 'BNAC08G41870D PROTEIN', NULL, NULL, NULL, 15),
(132316, NULL, 'PTHR11937:SF451', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN ARP9', NULL, NULL, NULL, 15),
(132317, NULL, 'PTHR11079:SF170', NULL, NULL, NULL, NULL, 'CYTIDINE/DEOXYCYTIDYLATE DEAMINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(132318, NULL, 'PTHR31286:SF81', NULL, NULL, NULL, NULL, 'ZINC ION BINDING / NUCLEIC ACID BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132319, NULL, 'PTHR46551:SF1', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING RIBONUCLEOPROTEIN', NULL, NULL, NULL, 15),
(132320, NULL, 'PTHR24381:SF145', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 557', NULL, NULL, NULL, 15),
(132321, NULL, 'PTHR33270:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132322, NULL, 'PTHR11830', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', NULL, NULL, NULL, 15),
(132323, NULL, 'PTHR10942:SF44', NULL, NULL, NULL, NULL, 'PROTEIN CBG03424', NULL, NULL, NULL, 15),
(132324, NULL, 'PTHR11875:SF105', NULL, NULL, NULL, NULL, 'PROTEIN SETSIP', NULL, NULL, NULL, 15),
(132325, NULL, 'PTHR48018:SF84', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(132326, NULL, 'PTHR23316:SF67', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(132327, NULL, 'PTHR47488:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132328, NULL, 'PTHR23253:SF58', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR ISOFORM 4G-1', NULL, NULL, NULL, 15),
(132329, NULL, 'PTHR31549', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED-RELATED', NULL, NULL, 2687, 15),
(132330, NULL, 'PTHR24305:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132331, NULL, 'PTHR10121:SF5', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(132332, NULL, 'PTHR39468:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(132333, NULL, 'PTHR24112:SF50', NULL, NULL, NULL, NULL, 'SI:CH211-127B6.2-RELATED', NULL, NULL, NULL, 15),
(132334, NULL, 'PTHR11746:SF235', NULL, NULL, NULL, NULL, '(R,S)-RETICULINE 7-O-METHYLTRANSFERASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(132335, NULL, 'PTHR26452:SF48', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 482-RELATED', NULL, NULL, NULL, 15),
(132336, NULL, 'PTHR43176:SF22', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CASEINOLYTIC (CLP) PROTEASE/CROTONASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132337, NULL, 'PTHR23023:SF220', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(132338, NULL, 'PTHR22227', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22152, 15),
(132339, NULL, 'PTHR33539:SF1', NULL, NULL, NULL, NULL, 'UPF0764 PROTEIN C16ORF89', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132340, NULL, 'PTHR31917:SF94', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE WITH RING/FYVE/PHD-TYPE ZINC FINGER DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(132341, NULL, 'PTHR48054:SF11', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(132342, NULL, 'PTHR32212:SF249', NULL, NULL, NULL, NULL, 'BNAC02G09730D PROTEIN', NULL, NULL, NULL, 15),
(132343, NULL, 'PTHR14224:SF84', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 12', NULL, NULL, NULL, 15),
(132344, NULL, 'PTHR22849:SF109', NULL, NULL, NULL, NULL, 'OS01G0787300 PROTEIN', NULL, NULL, NULL, 15),
(132345, NULL, 'PTHR11802:SF275', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 32', NULL, NULL, NULL, 15),
(132346, NULL, 'PTHR14741:SF37', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(132347, NULL, 'PTHR24373:SF301', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 17', NULL, NULL, NULL, 15),
(132348, NULL, 'PTHR43860:SF9', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT ALDEHYDE DEHYDROGENASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(132349, NULL, 'PTHR12126:SF11', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 9, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(132350, NULL, 'PTHR46087:SF15', NULL, NULL, NULL, NULL, 'BNAC04G02200D PROTEIN', NULL, NULL, NULL, 15),
(132351, NULL, 'PTHR11938:SF134', NULL, NULL, NULL, NULL, 'FERREDOXIN-DEPENDENT GLUTAMATE SYNTHASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(132352, NULL, 'PTHR12542:SF102', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(132353, NULL, 'PTHR32044:SF87', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN A1', NULL, NULL, NULL, 15),
(132354, NULL, 'PTHR10795:SF331', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.4', NULL, NULL, NULL, 15),
(132355, NULL, 'PTHR18959:SF96', NULL, NULL, NULL, NULL, 'GH21596P', NULL, NULL, NULL, 15),
(132356, NULL, 'PTHR10942:SF42', NULL, NULL, NULL, NULL, 'HIGH CYSTEINE MEMBRANE PROTEIN GROUP 2', NULL, NULL, NULL, 15),
(132357, NULL, 'PTHR11177:SF334', NULL, NULL, NULL, NULL, 'CHITINASE 6, ISOFORM C', NULL, NULL, NULL, 15),
(132358, NULL, 'PTHR38614:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG09954', NULL, NULL, NULL, 15),
(132359, NULL, 'PTHR24078:SF519', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 13', NULL, NULL, NULL, 15),
(132360, NULL, 'PTHR31639:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132361, NULL, 'PTHR47123:SF9', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', NULL, NULL, NULL, 15),
(132362, NULL, 'PTHR22930:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132363, NULL, 'PTHR36509:SF3', NULL, NULL, NULL, NULL, 'LMO1241 PROTEIN', NULL, NULL, NULL, 15),
(132364, NULL, 'PTHR47010:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-8', NULL, NULL, NULL, 15),
(132365, NULL, 'PTHR46245:SF3', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION REPRESSOR VAL1', NULL, NULL, NULL, 15),
(132366, NULL, 'PTHR31403:SF58', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1 EG1, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(132367, NULL, 'PTHR48223', NULL, NULL, NULL, NULL, 'DEFECTIVE 2759, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(132368, NULL, 'PTHR10516:SF268', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE PASTICCINO1', NULL, NULL, 27170, 15),
(132369, NULL, 'PTHR11945:SF455', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(132370, NULL, 'PTHR48021:SF72', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE-SENSING PROTEIN 1', NULL, NULL, NULL, 15),
(132371, NULL, 'PTHR11929:SF10', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE 9', NULL, NULL, NULL, 15),
(132372, NULL, 'PTHR23361:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132373, NULL, 'PTHR31933:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PECTIC ARABINOGALACTAN SYNTHESIS-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132374, NULL, 'PTHR31928:SF21', NULL, NULL, NULL, NULL, 'BNAANNG29710D PROTEIN', NULL, NULL, NULL, 15),
(132375, NULL, 'PTHR31579:SF2', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC DOMAIN TIGR01615 FAMILY PROTEIN EXPRESSED', NULL, NULL, NULL, 15),
(132376, NULL, 'PTHR35281:SF3', NULL, NULL, NULL, NULL, 'BNAA07G07520D PROTEIN', NULL, NULL, NULL, 15),
(132377, NULL, 'PTHR22750:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132378, NULL, 'PTHR11352:SF0', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN', NULL, NULL, 6893, 15),
(132379, NULL, 'PTHR10663:SF365', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132380, NULL, 'PTHR36041', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 7A, MITOCHONDRIAL-RELATED', NULL, NULL, 4318, 15),
(132381, NULL, 'PTHR48044:SF42', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE:2-HYDROXYFLAVANONE C-GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(132382, NULL, 'PTHR32134:SF148', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(132383, NULL, 'PTHR13947:SF43', NULL, NULL, NULL, NULL, 'SI:CH211-81N22.1', NULL, NULL, NULL, 15),
(132384, NULL, 'PTHR45879', NULL, NULL, NULL, NULL, 'CYCLIC AMP RESPONSE ELEMENT-BINDING PROTEIN B', NULL, NULL, 3108, 15),
(132385, NULL, 'PTHR10168:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132386, NULL, 'PTHR24388:SF52', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 423', NULL, NULL, NULL, 15),
(132387, NULL, 'PTHR10159:SF314', NULL, NULL, NULL, NULL, 'SI:DKEY-175M17.7', NULL, NULL, NULL, 15),
(132388, NULL, 'PTHR19863', NULL, NULL, NULL, NULL, 'NEMITIN (NEURONAL ENRICHED MAP INTERACTING PROTEIN) HOMOLOG', NULL, NULL, 33710, 15),
(132389, NULL, 'PTHR43562:SF1', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER YJBQ-RELATED', NULL, NULL, NULL, 15),
(132390, NULL, 'PTHR20961:SF129', NULL, NULL, NULL, NULL, 'BETA-1,2-XYLOSYLTRANSFERASE XYXT1', NULL, NULL, NULL, 15),
(132391, NULL, 'PTHR11782:SF87', NULL, NULL, NULL, NULL, 'APYRASE', NULL, NULL, NULL, 15),
(132392, NULL, 'PTHR36402', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(132393, NULL, 'PTHR24349:SF338', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE IV', NULL, NULL, NULL, 15),
(132394, NULL, 'PTHR33207:SF22', NULL, NULL, NULL, NULL, 'OSJNBA0054D14.5 PROTEIN', NULL, NULL, NULL, 15),
(132395, NULL, 'PTHR46038:SF19', NULL, NULL, NULL, NULL, 'BNAC07G18240D PROTEIN', NULL, NULL, NULL, 15),
(132396, NULL, 'PTHR11945:SF469', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL15', NULL, NULL, NULL, 15),
(132397, NULL, 'PTHR16875', NULL, NULL, NULL, NULL, 'SELENOPROTEIN K', NULL, NULL, 25987, 15),
(132398, NULL, 'PTHR13817:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132399, NULL, 'PTHR24220:SF614', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN SCO2324-RELATED', NULL, NULL, NULL, 15),
(132400, NULL, 'PTHR31175:SF57', NULL, NULL, NULL, NULL, 'BNAA09G26800D PROTEIN', NULL, NULL, NULL, 15),
(132401, NULL, 'PTHR12993:SF16', NULL, NULL, NULL, NULL, 'MYCOTHIOL S-CONJUGATE AMIDASE', NULL, NULL, 19904, 15),
(132402, NULL, 'PTHR22966', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 12814, 15),
(132403, NULL, 'PTHR32141:SF58', NULL, NULL, NULL, NULL, 'OS08G0328600 PROTEIN', NULL, NULL, NULL, 15),
(132404, NULL, 'PTHR19265:SF0', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC NUCLEAR STRUCTURAL PROTEIN 1', NULL, NULL, NULL, 15),
(132405, NULL, 'PTHR22849:SF142', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 30', NULL, NULL, NULL, 15),
(132406, NULL, 'PTHR37184', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 27', NULL, NULL, 29922, 15),
(132407, NULL, 'PTHR45046:SF1', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(132408, NULL, 'PTHR31985:SF197', NULL, NULL, NULL, NULL, 'INTEGRASE-TYPE DNA-BINDING SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132409, NULL, 'PTHR24278:SF33', NULL, NULL, NULL, NULL, 'PROTEIN Z, VITAMIN K-DEPENDENT PLASMA GLYCOPROTEIN A', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132410, NULL, 'PTHR14950:SF58', NULL, NULL, NULL, NULL, 'BNAC01G31400D PROTEIN', NULL, NULL, NULL, 15),
(132411, NULL, 'PTHR10358:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132412, NULL, 'PTHR21576:SF44', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(132413, NULL, 'PTHR33070:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132414, NULL, 'PTHR24305:SF147', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(132415, NULL, 'PTHR10264:SF19', NULL, NULL, NULL, NULL, 'AT06885P-RELATED', NULL, NULL, NULL, 15),
(132416, NULL, 'PTHR10579:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132417, NULL, 'PTHR46757:SF9', NULL, NULL, NULL, NULL, 'SORTING NEXIN 2B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(132418, NULL, 'PTHR10658:SF41', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 2', NULL, NULL, NULL, 15),
(132419, NULL, 'PTHR12375:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132420, NULL, 'PTHR48062:SF19', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 13', NULL, NULL, NULL, 15),
(132421, NULL, 'PTHR43468:SF1', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(132422, NULL, 'PTHR15710:SF139', NULL, NULL, NULL, NULL, 'ABI3-INTERACTING PROTEIN 2-1', NULL, NULL, NULL, 15),
(132423, NULL, 'PTHR31025:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132424, NULL, 'PTHR43775:SF18', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (JCVI)-RELATED', NULL, NULL, NULL, 15),
(132425, NULL, 'PTHR23266:SF263', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132426, NULL, 'PTHR31901:SF70', NULL, NULL, NULL, NULL, 'BNAC03G14570D PROTEIN', NULL, NULL, NULL, 15),
(132427, NULL, 'PTHR11802:SF295', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 14-RELATED', NULL, NULL, NULL, 15),
(132428, NULL, 'PTHR45898:SF14', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(132429, NULL, 'PTHR32444:SF116', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN, PAN/APPLE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132430, NULL, 'PTHR33726:SF18', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132431, NULL, 'PTHR28575:SF1', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC PROTEIN MEI4', NULL, NULL, NULL, 15),
(132432, NULL, 'PTHR16471:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132433, NULL, 'PTHR32089:SF92', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN MCPB', NULL, NULL, NULL, 15),
(132434, NULL, 'PTHR37946', NULL, NULL, NULL, NULL, 'SLL1969 PROTEIN', NULL, NULL, NULL, 15),
(132435, NULL, 'PTHR11599:SF5', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-4', NULL, NULL, 19979, 15),
(132436, NULL, 'PTHR31692:SF21', NULL, NULL, NULL, NULL, 'EXPANSIN-B1', NULL, NULL, NULL, 15),
(132437, NULL, 'PTHR24223:SF424', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(132438, NULL, 'PTHR23155:SF1052', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132439, NULL, 'PTHR18945:SF409', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132440, NULL, 'PTHR23197:SF10', NULL, NULL, NULL, NULL, 'TARGET OF NESH-SH3', NULL, NULL, NULL, 15),
(132441, NULL, 'PTHR46128:SF215', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(132442, NULL, 'PTHR10509:SF79', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132443, NULL, 'PTHR31388:SF132', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(132444, NULL, 'PTHR10814:SF19', NULL, NULL, NULL, NULL, 'TRANSDUCIN-LIKE ENHANCER PROTEIN 7', NULL, NULL, NULL, 15),
(132445, NULL, 'PTHR48052:SF34', NULL, NULL, NULL, NULL, 'OS06G0186300 PROTEIN', NULL, NULL, NULL, 15),
(132446, NULL, 'PTHR31951:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132447, NULL, 'PTHR22890:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 11', NULL, NULL, NULL, 15),
(132448, NULL, 'PTHR24064:SF572', NULL, NULL, NULL, NULL, 'BNAANNG20110D PROTEIN', NULL, NULL, NULL, 15),
(132449, NULL, 'PTHR12450:SF12', NULL, NULL, NULL, NULL, 'PSEUDOKINASE FAM20A', NULL, NULL, NULL, 15),
(132450, NULL, 'PTHR48053:SF42', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(132451, NULL, 'PTHR34946:SF14', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132452, NULL, 'PTHR43358:SF8', NULL, NULL, NULL, NULL, 'ALPHA/BETA SUPERFAMILY HYDROLASE', NULL, NULL, NULL, 15),
(132453, NULL, 'PTHR31235:SF8', NULL, NULL, NULL, NULL, 'PEROXIDASE 7', NULL, NULL, NULL, 15),
(132454, NULL, 'PTHR15241:SF336', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MUSASHI-1', NULL, NULL, NULL, 15),
(132455, NULL, 'PTHR11639:SF137', NULL, NULL, NULL, NULL, 'UPF0607 PROTEIN ENSP00000383144-RELATED', NULL, NULL, NULL, 15),
(132456, NULL, 'PTHR48052:SF17', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21', NULL, NULL, NULL, 15),
(132457, NULL, 'PTHR31676:SF109', NULL, NULL, NULL, NULL, 'OS05G0346400 PROTEIN', NULL, NULL, NULL, 15),
(132458, NULL, 'PTHR12239:SF44', NULL, NULL, NULL, NULL, 'TOLA PROTEIN', NULL, NULL, NULL, 15),
(132459, NULL, 'PTHR43578:SF2', NULL, NULL, NULL, NULL, 'FE-HYDROGENASE, SUBUNIT BETA', NULL, NULL, NULL, 15),
(132460, NULL, 'PTHR23160:SF1', NULL, NULL, NULL, NULL, 'CROSSOVER SUPPRESSOR ON 3 OF GOWEN', NULL, NULL, NULL, 15),
(132461, NULL, 'PTHR32219:SF13', NULL, NULL, NULL, NULL, 'CALPONIN-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(132462, NULL, 'PTHR42918:SF13', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(132463, NULL, 'PTHR43900:SF27', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(132464, NULL, 'PTHR22028:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SFI1 HOMOLOG', NULL, NULL, 24536, 15),
(132465, NULL, 'PTHR43236', NULL, NULL, NULL, NULL, 'ANTITOXIN HIGA1', NULL, NULL, NULL, 15),
(132466, NULL, 'PTHR35736', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(132467, NULL, 'PTHR10891:SF872', NULL, NULL, NULL, NULL, 'BNAC05G13970D PROTEIN', NULL, NULL, NULL, 15),
(132468, NULL, 'PTHR35828:SF22', NULL, NULL, NULL, NULL, 'OS10G0103633 PROTEIN', NULL, NULL, NULL, 15),
(132469, NULL, 'PTHR31752:SF56', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 6', NULL, NULL, NULL, 15),
(132470, NULL, 'PTHR28208:SF1', NULL, NULL, NULL, NULL, 'FILAMENT ORGANIZATION PROTEIN APP1-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06650)-RELATED', NULL, NULL, NULL, 15),
(132471, NULL, 'PTHR45224:SF3', NULL, NULL, NULL, NULL, 'OS11G0506300 PROTEIN', NULL, NULL, NULL, 15),
(132472, NULL, 'PTHR12459:SF17', NULL, NULL, NULL, NULL, 'BNAC03G16050D PROTEIN', NULL, NULL, NULL, 15),
(132473, NULL, 'PTHR46352:SF15', NULL, NULL, NULL, NULL, 'BNAA02G06040D PROTEIN', NULL, NULL, NULL, 15),
(132474, NULL, 'PTHR27008:SF440', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HAIKU2', NULL, NULL, NULL, 15),
(132475, NULL, 'PTHR47261:SF3', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132476, NULL, 'PTHR19256:SF45', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR GAMMA VARIABLE 3-RELATED', NULL, NULL, NULL, 15),
(132477, NULL, 'PTHR24115:SF747', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(132478, NULL, 'PTHR10380:SF206', NULL, NULL, NULL, NULL, 'GH27759P', NULL, NULL, NULL, 15),
(132479, NULL, 'PTHR22975:SF26', NULL, NULL, NULL, NULL, 'F6D8.33-RELATED', NULL, NULL, NULL, 15),
(132480, NULL, 'PTHR42967:SF1', NULL, NULL, NULL, NULL, 'METAL DEPENDENT HYDROLASE', NULL, NULL, NULL, 15),
(132481, NULL, 'PTHR24322', NULL, NULL, NULL, NULL, 'PKSB', NULL, NULL, NULL, 15),
(132482, NULL, 'PTHR19433:SF72', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA CONSTANT', NULL, NULL, NULL, 15),
(132483, NULL, 'PTHR24340:SF35', NULL, NULL, NULL, NULL, 'GTX/NKX6B-LIKE HOMEODOMAIN PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132484, NULL, 'PTHR23105:SF165', NULL, NULL, NULL, NULL, 'BNAC06G18630D PROTEIN', NULL, NULL, NULL, 15),
(132485, NULL, 'PTHR21642:SF2', NULL, NULL, NULL, NULL, 'CEREBRAL CAVERNOUS MALFORMATIONS 2 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(132486, NULL, 'PTHR11690:SF124', NULL, NULL, NULL, NULL, 'AMILORIDE-SENSITIVE SODIUM CHANNEL SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(132487, NULL, 'PTHR11616:SF278', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT ACETYLCHOLINE TRANSPORTER', NULL, NULL, NULL, 15),
(132488, NULL, 'PTHR23073', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(132489, NULL, 'PTHR33052:SF91', NULL, NULL, NULL, NULL, 'F3H9.15 PROTEIN', NULL, NULL, NULL, 15),
(132490, NULL, 'PTHR10707:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 4 ISOFORM 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(132491, NULL, 'PTHR37840:SF1', NULL, NULL, NULL, NULL, 'L-FUCOSE ISOMERASE', NULL, NULL, NULL, 15),
(132492, NULL, 'PTHR45614:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB44-LIKE', NULL, NULL, NULL, 15),
(132493, NULL, 'PTHR12081:SF89', NULL, NULL, NULL, NULL, 'OS04G0112200 PROTEIN', NULL, NULL, NULL, 15),
(132494, NULL, 'PTHR24072:SF317', NULL, NULL, NULL, NULL, 'PROTEIN RACG, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132495, NULL, 'PTHR33136:SF13', NULL, NULL, NULL, NULL, 'OS01G0257100 PROTEIN', NULL, NULL, NULL, 15),
(132496, NULL, 'PTHR10641:SF1149', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', NULL, NULL, NULL, 15),
(132497, NULL, 'PTHR14618:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX-CONTAINING 1A', NULL, NULL, NULL, 15),
(132498, NULL, 'PTHR21447:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09351', NULL, NULL, NULL, 15),
(132499, NULL, 'PTHR46314:SF1', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 44B', NULL, NULL, NULL, 15),
(132500, NULL, 'PTHR46036:SF14', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE', NULL, NULL, NULL, 15),
(132501, NULL, 'PTHR10067:SF14', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE DECARBOXYLASE PROENZYME 3', NULL, NULL, NULL, 15),
(132502, NULL, 'PTHR14060:SF2', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA/LYMPHOMA PROTEIN 1B', NULL, NULL, NULL, 15),
(132503, NULL, 'PTHR23315:SF298', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(132504, NULL, 'PTHR31100:SF3', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 20', NULL, NULL, NULL, 15),
(132505, NULL, 'PTHR11206:SF438', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(132506, NULL, 'PTHR21717:SF70', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(132507, NULL, 'PTHR39447:SF2', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE B', NULL, NULL, NULL, 15),
(132508, NULL, 'PTHR24123:SF71', NULL, NULL, NULL, NULL, 'ANKYRIN 1, ERYTHROCYTIC A', NULL, NULL, NULL, 15),
(132509, NULL, 'PTHR48017:SF61', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132510, NULL, 'PTHR19919:SF0', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 7', NULL, NULL, NULL, 15),
(132511, NULL, 'PTHR24020:SF12', NULL, NULL, NULL, NULL, 'MATRILIN-3', NULL, NULL, NULL, 15),
(132512, NULL, 'PTHR42790:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(132513, NULL, 'PTHR18934:SF231', NULL, NULL, NULL, NULL, 'BNAA08G19730D PROTEIN', NULL, NULL, NULL, 15),
(132514, NULL, 'PTHR37516', NULL, NULL, NULL, NULL, 'SCA1 COMPLEX SCAFFOLD PROTEIN SCAA', NULL, NULL, 31051, 15),
(132515, NULL, 'PTHR33076:SF123', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(132516, NULL, 'PTHR43464:SF51', NULL, NULL, NULL, NULL, 'SLL0487 PROTEIN', NULL, NULL, NULL, 15),
(132517, NULL, 'PTHR12613:SF6', NULL, NULL, NULL, NULL, 'ERO1-LIKE PROTEIN BETA-RELATED', NULL, NULL, NULL, 15),
(132518, NULL, 'PTHR48018:SF36', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(132519, NULL, 'PTHR40942:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132520, NULL, 'PTHR34464:SF9', NULL, NULL, NULL, NULL, 'BNAC03G48890D PROTEIN', NULL, NULL, NULL, 15),
(132521, NULL, 'PTHR47857', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132522, NULL, 'PTHR12299:SF59', NULL, NULL, NULL, NULL, 'BNAC07G34390D PROTEIN', NULL, NULL, NULL, 15),
(132523, NULL, 'PTHR30443:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE TRANSFERASE EPTA', NULL, NULL, NULL, 15),
(132524, NULL, 'PTHR33103:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132525, NULL, 'PTHR23252:SF29', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR180', NULL, NULL, NULL, 15),
(132526, NULL, 'PTHR24056:SF107', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 10', NULL, NULL, NULL, 15),
(132527, NULL, 'PTHR33021:SF379', NULL, NULL, NULL, NULL, 'BLUE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132528, NULL, 'PTHR11670:SF32', NULL, NULL, NULL, NULL, 'CYTOPLASMIC ACONITATE HYDRATASE', NULL, NULL, 27359, 15),
(132529, NULL, 'PTHR33076:SF53', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN B-LIKE', NULL, NULL, NULL, 15),
(132530, NULL, 'PTHR31707:SF300', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(132531, NULL, 'PTHR45649:SF41', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(132532, NULL, 'PTHR10094:SF28', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(132533, NULL, 'PTHR23236:SF9', NULL, NULL, NULL, NULL, 'FI01540P', NULL, NULL, NULL, 15),
(132534, NULL, 'PTHR27007:SF238', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.9', NULL, NULL, NULL, 15),
(132535, NULL, 'PTHR43952:SF67', NULL, NULL, NULL, NULL, 'BNAA01G34510D PROTEIN', NULL, NULL, NULL, 15),
(132536, NULL, 'PTHR11945:SF666', NULL, NULL, NULL, NULL, 'BNAA05G34910D PROTEIN', NULL, NULL, NULL, 15),
(132537, NULL, 'PTHR31213:SF60', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL3-LIKE', NULL, NULL, NULL, 15),
(132538, NULL, 'PTHR33122:SF68', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(132539, NULL, 'PTHR11932:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132540, NULL, 'PTHR43782:SF3', NULL, NULL, NULL, NULL, 'ARGINASE', NULL, NULL, NULL, 15),
(132541, NULL, 'PTHR43840:SF16', NULL, NULL, NULL, NULL, 'CATION DIFFUSION FACILITATOR FAMILY TRANSPORTER', NULL, NULL, NULL, 15),
(132542, NULL, 'PTHR24096:SF380', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE/LIGASE, AMP-BINDING ENZYME C-TERMINAL DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132543, NULL, 'PTHR11021:SF9', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN F', NULL, NULL, NULL, 15),
(132544, NULL, 'PTHR31356:SF46', NULL, NULL, NULL, NULL, 'HEME PEROXIDASE-RELATED', NULL, NULL, NULL, 15),
(132545, NULL, 'PTHR34482:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132546, NULL, 'PTHR26450:SF181', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(132547, NULL, 'PTHR44329:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132548, NULL, 'PTHR32071:SF15', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL REGULATOR NTRC', NULL, NULL, NULL, 15),
(132549, NULL, 'PTHR23196:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF DNA DAMAGE CHECKPOINT PROTEIN 1', NULL, NULL, NULL, 15),
(132550, NULL, 'PTHR34732', NULL, NULL, NULL, NULL, '69 KDA PARAFLAGELLAR ROD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132551, NULL, 'PTHR46945:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-9-LIKE', NULL, NULL, NULL, 15),
(132552, NULL, 'PTHR32212:SF242', NULL, NULL, NULL, NULL, 'FBD PROTEIN', NULL, NULL, NULL, 15),
(132553, NULL, 'PTHR33415:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132554, NULL, 'PTHR45712:SF22', NULL, NULL, NULL, NULL, 'AGAP008170-PA', NULL, NULL, NULL, 15),
(132555, NULL, 'PTHR35572:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04538', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132556, NULL, 'PTHR24173:SF23', NULL, NULL, NULL, NULL, 'UVEAL AUTOANTIGEN WITH COILED-COIL DOMAINS AND ANKYRIN REPEATS', NULL, NULL, 28533, 15),
(132557, NULL, 'PTHR32499:SF5', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 17', NULL, NULL, NULL, 15),
(132558, NULL, 'PTHR31731:SF123', NULL, NULL, NULL, NULL, 'LIPID-BINDING PROTEIN AIR1-RELATED', NULL, NULL, NULL, 15),
(132559, NULL, 'PTHR15348:SF21', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTION DOMAIN 3C', NULL, NULL, NULL, 15),
(132560, NULL, 'PTHR35491', NULL, NULL, NULL, NULL, 'OS12G0638500-LIKE PROTEIN', NULL, NULL, NULL, 15),
(132561, NULL, 'PTHR14241:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132562, NULL, 'PTHR11863:SF179', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 1', NULL, NULL, NULL, 15),
(132563, NULL, 'PTHR23017:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG14836', NULL, NULL, NULL, 15),
(132564, NULL, 'PTHR33348:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132565, NULL, 'PTHR24034:SF43', NULL, NULL, NULL, NULL, 'LATENT-TRANSFORMING GROWTH FACTOR BETA-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(132566, NULL, 'PTHR24390:SF119', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 383', NULL, NULL, NULL, 15),
(132567, NULL, 'PTHR34876:SF2', NULL, NULL, NULL, NULL, 'GLUCANASE', NULL, NULL, NULL, 15),
(132568, NULL, 'PTHR21327:SF13', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE-2', NULL, NULL, NULL, 15),
(132569, NULL, 'PTHR31080:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132570, NULL, 'PTHR10535', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC1', NULL, NULL, 12714, 15),
(132571, NULL, 'PTHR13608:SF3', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(132572, NULL, 'PTHR24296:SF194', NULL, NULL, NULL, NULL, 'BNAC03G60620D PROTEIN', NULL, NULL, NULL, 15),
(132573, NULL, 'PTHR48007:SF51', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 3-LIKE', NULL, NULL, NULL, 15),
(132574, NULL, 'PTHR48063:SF12', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(132575, NULL, 'PTHR45224', NULL, NULL, NULL, NULL, 'OS01G0527900 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132576, NULL, 'PTHR24390:SF65', NULL, NULL, NULL, NULL, 'GH09339P-RELATED', NULL, NULL, NULL, 15),
(132577, NULL, 'PTHR13217:SF11', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 5', NULL, NULL, NULL, 15),
(132578, NULL, 'PTHR46513:SF12', NULL, NULL, NULL, NULL, 'RECEPTOR MEDIATED ENDOCYTOSIS', NULL, NULL, NULL, 15),
(132579, NULL, 'PTHR47372:SF16', NULL, NULL, NULL, NULL, 'BNAA01G28600D PROTEIN', NULL, NULL, NULL, 15),
(132580, NULL, 'PTHR47294', NULL, NULL, NULL, NULL, 'OS08G0431150 PROTEIN', NULL, NULL, NULL, 15),
(132581, NULL, 'PTHR47967:SF7', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE CDR1-LIKE', NULL, NULL, NULL, 15),
(132582, NULL, 'PTHR11824:SF17', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(132583, NULL, 'PTHR47244', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE IBR5', NULL, NULL, 37216, 15),
(132584, NULL, 'PTHR33672:SF14', NULL, NULL, NULL, NULL, 'BNAC03G63750D PROTEIN', NULL, NULL, NULL, 15),
(132585, NULL, 'PTHR40708:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700113H08 GENE', NULL, NULL, NULL, 15),
(132586, NULL, 'PTHR11361:SF35', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MSH2', NULL, NULL, 22374, 15),
(132587, NULL, 'PTHR32133:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132588, NULL, 'PTHR27009:SF242', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(132589, NULL, 'PTHR12403:SF11', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(132590, NULL, 'PTHR15451:SF23', NULL, NULL, NULL, NULL, 'BNAA08G26030D PROTEIN', NULL, NULL, NULL, 15),
(132591, NULL, 'PTHR10362:SF56', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132592, NULL, 'PTHR46352:SF7', NULL, NULL, NULL, NULL, 'OS02G0572900 PROTEIN', NULL, NULL, NULL, 15),
(132593, NULL, 'PTHR47632:SF3', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(132594, NULL, 'PTHR24356:SF160', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 38-LIKE', NULL, NULL, NULL, 15),
(132595, NULL, 'PTHR24056:SF494', NULL, NULL, NULL, NULL, 'BNAA07G38990D PROTEIN', NULL, NULL, NULL, 15),
(132596, NULL, 'PTHR11709:SF11', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE HOMOLOG', NULL, NULL, NULL, 15),
(132597, NULL, 'PTHR38504', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 7-1', NULL, NULL, 18285, 15),
(132598, NULL, 'PTHR22883:SF304', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE SPE-10', NULL, NULL, NULL, 15),
(132599, NULL, 'PTHR10804:SF130', NULL, NULL, NULL, NULL, 'PROLIFERATION-ASSOCIATED PROTEIN 2G4', NULL, NULL, NULL, 15),
(132600, NULL, 'PTHR24286:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132601, NULL, 'PTHR33711:SF7', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02910)-RELATED', NULL, NULL, NULL, 15),
(132602, NULL, 'PTHR34267:SF11', NULL, NULL, NULL, NULL, 'AT0ZI1 PROTEIN', NULL, NULL, NULL, 15),
(132603, NULL, 'PTHR46301:SF16', NULL, NULL, NULL, NULL, 'OSJNBA0043A12.13 PROTEIN', NULL, NULL, NULL, 15),
(132604, NULL, 'PTHR40051', NULL, NULL, NULL, NULL, 'IG HYPOTHETICAL 15966', NULL, NULL, NULL, 15),
(132605, NULL, 'PTHR47976:SF54', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE SD2-5', NULL, NULL, NULL, 15),
(132606, NULL, 'PTHR34768:SF3', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR CANDIDATE GENE 1 PROTEIN', NULL, NULL, NULL, 15),
(132607, NULL, 'PTHR14000:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132608, NULL, 'PTHR31048:SF119', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1B', NULL, NULL, NULL, 15),
(132609, NULL, 'PTHR10896:SF26', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX9-RELATED', NULL, NULL, NULL, 15),
(132610, NULL, 'PTHR35300', NULL, NULL, NULL, NULL, 'COACTIVATOR CBP, KIX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132611, NULL, 'PTHR31945:SF106', NULL, NULL, NULL, NULL, 'BNAA06G00330D PROTEIN', NULL, NULL, NULL, 15),
(132612, NULL, 'PTHR24346:SF59', NULL, NULL, NULL, NULL, 'BNAA02G06210D PROTEIN', NULL, NULL, NULL, 15),
(132613, NULL, 'PTHR11260:SF655', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, C-TERMINAL DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(132614, NULL, 'PTHR12570:SF64', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(132615, NULL, 'PTHR23503:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG23814', NULL, NULL, NULL, 15),
(132616, NULL, 'PTHR10271:SF3', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 3', NULL, NULL, 8479, 15),
(132617, NULL, 'PTHR11802:SF355', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(132618, NULL, 'PTHR24292:SF90', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 317A1-RELATED', NULL, NULL, NULL, 15),
(132619, NULL, 'PTHR31071:SF9', NULL, NULL, NULL, NULL, 'INTRACELLULAR PROTEIN TRANSPORTER USO1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(132620, NULL, 'PTHR17602:SF4', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS REGULATORY PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(132621, NULL, 'PTHR24388:SF80', NULL, NULL, NULL, NULL, 'SCRATCH FAMILY ZINC FINGER 1A-RELATED', NULL, NULL, NULL, 15),
(132622, NULL, 'PTHR32044:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132623, NULL, 'PTHR37419:SF7', NULL, NULL, NULL, NULL, 'TOXIN YJJJ', NULL, NULL, NULL, 15),
(132624, NULL, 'PTHR31265:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132625, NULL, 'PTHR34202:SF4', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR EL2', NULL, NULL, NULL, 15),
(132626, NULL, 'PTHR47926:SF131', NULL, NULL, NULL, NULL, 'OS02G0529900 PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132627, NULL, 'PTHR31793', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOYL-COA THIOESTERASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(132628, NULL, 'PTHR44688:SF9', NULL, NULL, NULL, NULL, 'CSGBAC OPERON TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(132629, NULL, 'PTHR48050:SF11', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(132630, NULL, 'PTHR23505:SF80', NULL, NULL, NULL, NULL, 'SPHINGOLIPID TRANSPORTER SPINSTER HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(132631, NULL, 'PTHR43034', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT C', NULL, NULL, 4093, 15),
(132632, NULL, 'PTHR45798:SF21', NULL, NULL, NULL, NULL, 'OS02G0832150 PROTEIN', NULL, NULL, NULL, 15),
(132633, NULL, 'PTHR13651', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 33675, 15),
(132634, NULL, 'PTHR11818:SF6', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN S', NULL, NULL, NULL, 15),
(132635, NULL, 'PTHR11850:SF289', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN', NULL, NULL, NULL, 15),
(132636, NULL, 'PTHR48043:SF23', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(132637, NULL, 'PTHR13289', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1-BINDING PROTEIN BIFOCAL', NULL, NULL, 17572, 15),
(132638, NULL, 'PTHR10353:SF254', NULL, NULL, NULL, NULL, 'BNAA07G08740D PROTEIN', NULL, NULL, NULL, 15),
(132639, NULL, 'PTHR30126:SF2', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YJIE', NULL, NULL, NULL, 15),
(132640, NULL, 'PTHR24320:SF167', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132641, NULL, 'PTHR48109:SF1', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE (FUMARATE)', NULL, NULL, NULL, 15),
(132642, NULL, 'PTHR11711:SF392', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 1', NULL, NULL, NULL, 15),
(132643, NULL, 'PTHR33120:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132644, NULL, 'PTHR40079:SF4', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE E-RELATED', NULL, NULL, NULL, 15),
(132645, NULL, 'PTHR10410:SF2', NULL, NULL, NULL, NULL, 'LYS-63-SPECIFIC DEUBIQUITINASE BRCC36-RELATED', NULL, NULL, NULL, 15),
(132646, NULL, 'PTHR10992:SF1041', NULL, NULL, NULL, NULL, 'METHYLESTERASE 10-LIKE', NULL, NULL, NULL, 15),
(132647, NULL, 'PTHR24281:SF204', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D7', NULL, NULL, NULL, 15),
(132648, NULL, 'PTHR23024:SF490', NULL, NULL, NULL, NULL, 'OS07G0643400 PROTEIN', NULL, NULL, NULL, 15),
(132649, NULL, 'PTHR34829:SF2', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 3A MEMBER 2', NULL, NULL, NULL, 15),
(132650, NULL, 'PTHR40067:SF1', NULL, NULL, NULL, NULL, 'UPF0297 PROTEIN YRZL', NULL, NULL, NULL, 15),
(132651, NULL, 'PTHR33021:SF186', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(132652, NULL, 'PTHR47976:SF64', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(132653, NULL, 'PTHR33606:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YCII', NULL, NULL, NULL, 15),
(132654, NULL, 'PTHR12378', NULL, NULL, NULL, NULL, 'DESUMOYLATING ISOPEPTIDASE', NULL, NULL, 13743, 15),
(132655, NULL, 'PTHR33044:SF157', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(132656, NULL, 'PTHR40535', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132657, NULL, 'PTHR36974', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132658, NULL, 'PTHR45764:SF51', NULL, NULL, NULL, NULL, 'BNACNNG21630D PROTEIN', NULL, NULL, NULL, 15),
(132659, NULL, 'PTHR34379', NULL, NULL, NULL, NULL, 'OS07G0553800 PROTEIN', NULL, NULL, 30404, 15),
(132660, NULL, 'PTHR12338', NULL, NULL, NULL, NULL, 'AUTOTRANSPORTER', NULL, NULL, NULL, 15),
(132661, NULL, 'PTHR23322:SF55', NULL, NULL, NULL, NULL, 'ARA4-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(132662, NULL, 'PTHR11453:SF40', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 4-RELATED', NULL, NULL, NULL, 15),
(132663, NULL, 'PTHR39193', NULL, NULL, NULL, NULL, '5-DEOXY-GLUCURONATE ISOMERASE', NULL, NULL, 14057, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132664, NULL, 'PTHR43866:SF1', NULL, NULL, NULL, NULL, 'METHYLMALONATE-SEMIALDEHYDE DEHYDROGENASE [ACYLATING], MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(132665, NULL, 'PTHR10768:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37-1-RELATED', NULL, NULL, NULL, 15),
(132666, NULL, 'PTHR47926:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132667, NULL, 'PTHR46739:SF8', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP1-1', NULL, NULL, NULL, 15),
(132668, NULL, 'PTHR30367:SF6', NULL, NULL, NULL, NULL, 'SECRETION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132669, NULL, 'PTHR17384', NULL, NULL, NULL, NULL, 'P-SELECTIN GLYCOPROTEIN LIGAND-1', NULL, NULL, 26671, 15),
(132670, NULL, 'PTHR32263:SF16', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE SRO3-RELATED', NULL, NULL, NULL, 15),
(132671, NULL, 'PTHR31549:SF9', NULL, NULL, NULL, NULL, 'OS08G0167400 PROTEIN', NULL, NULL, NULL, 15),
(132672, NULL, 'PTHR31165:SF50', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 6', NULL, NULL, NULL, 15),
(132673, NULL, 'PTHR46133:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILR3-LIKE', NULL, NULL, NULL, 15),
(132674, NULL, 'PTHR31280:SF16', NULL, NULL, NULL, NULL, 'GLS PROTEIN (DUF810)', NULL, NULL, NULL, 15),
(132675, NULL, 'PTHR23024:SF507', NULL, NULL, NULL, NULL, 'BNAA08G02460D PROTEIN', NULL, NULL, NULL, 15),
(132676, NULL, 'PTHR10209:SF745', NULL, NULL, NULL, NULL, 'DEACETOXYVINDOLINE 4-HYDROXYLASE-RELATED', NULL, NULL, NULL, 15),
(132677, NULL, 'PTHR48018:SF118', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(132678, NULL, 'PTHR38736:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132679, NULL, 'PTHR34222:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132680, NULL, 'PTHR12411:SF627', NULL, NULL, NULL, NULL, 'THIOL PROTEASE', NULL, NULL, NULL, 15),
(132681, NULL, 'PTHR27000:SF707', NULL, NULL, NULL, NULL, 'OS02G0155400 PROTEIN', NULL, NULL, NULL, 15),
(132682, NULL, 'PTHR34491:SF39', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132683, NULL, 'PTHR14709:SF2', NULL, NULL, NULL, NULL, 'GLUTAMINE AND SERINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(132684, NULL, 'PTHR34777:SF9', NULL, NULL, NULL, NULL, 'OS01G0653300 PROTEIN', NULL, NULL, NULL, 15),
(132685, NULL, 'PTHR30620:SF80', NULL, NULL, NULL, NULL, 'BETA-D-GLUCOSIDE GLUCOHYDROLASE', NULL, NULL, NULL, 15),
(132686, NULL, 'PTHR23115:SF257', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(132687, NULL, 'PTHR11101:SF89', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(132688, NULL, 'PTHR24223:SF395', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 10-LIKE', NULL, NULL, NULL, 15),
(132689, NULL, 'PTHR19857:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DIVISION PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(132690, NULL, 'PTHR18966:SF411', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 25A', NULL, NULL, NULL, 15),
(132691, NULL, 'PTHR46043:SF2', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(132692, NULL, 'PTHR13165:SF0', NULL, NULL, NULL, NULL, 'SERRATE RNA EFFECTOR MOLECULE HOMOLOG', NULL, NULL, NULL, 15),
(132693, NULL, 'PTHR32295:SF175', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', NULL, NULL, NULL, 15),
(132694, NULL, 'PTHR10337', NULL, NULL, NULL, NULL, 'SHC TRANSFORMING PROTEIN', NULL, NULL, NULL, 15),
(132695, NULL, 'PTHR24055:SF461', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132696, NULL, 'PTHR38436:SF1', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE SNOAL-LIKE DOMAIN', NULL, NULL, NULL, 15),
(132697, NULL, 'PTHR33077:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132698, NULL, 'PTHR35798:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN SEPF', NULL, NULL, NULL, 15),
(132699, NULL, 'PTHR13774:SF32', NULL, NULL, NULL, NULL, 'ANTISENSE-ENHANCING SEQUENCE 1', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132700, NULL, 'PTHR19303:SF26', NULL, NULL, NULL, NULL, 'TIGGER TRANSPOSABLE ELEMENT-DERIVED PROTEIN 1', NULL, NULL, NULL, 15),
(132701, NULL, 'PTHR24200', NULL, NULL, NULL, NULL, 'TOUCAN, ISOFORM A', NULL, NULL, NULL, 15),
(132702, NULL, 'PTHR45436:SF10', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM SENSOR PROTEIN', NULL, NULL, NULL, 15),
(132703, NULL, 'PTHR13145:SF7', NULL, NULL, NULL, NULL, 'BNAA05G27630D PROTEIN', NULL, NULL, NULL, 15),
(132704, NULL, 'PTHR32329:SF7', NULL, NULL, NULL, NULL, 'ACTIVATOR OF 2-HYDROXYACYL-COA-HYDRATASE-RELATED', NULL, NULL, NULL, 15),
(132705, NULL, 'PTHR30204:SF76', NULL, NULL, NULL, NULL, 'MULTIDRUG-EFFLUX TRANSPORTER 1 REGULATOR', NULL, NULL, NULL, 15),
(132706, NULL, 'PTHR22923:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132707, NULL, 'PTHR34462', NULL, NULL, NULL, NULL, 'OS05G0587400 PROTEIN', NULL, NULL, NULL, 15),
(132708, NULL, 'PTHR48049:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(132709, NULL, 'PTHR10666:SF321', NULL, NULL, NULL, NULL, 'UBIQUITIN FUSION PROTEIN', NULL, NULL, NULL, 15),
(132710, NULL, 'PTHR33426', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132711, NULL, 'PTHR24198:SF165', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(132712, NULL, 'PTHR13800:SF9', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 8', NULL, NULL, 26176, 15),
(132713, NULL, 'PTHR13439:SF5', NULL, NULL, NULL, NULL, 'TLC DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(132714, NULL, 'PTHR47362:SF1', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE THEM5', NULL, NULL, NULL, 15),
(132715, NULL, 'PTHR12207:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 26022, 15),
(132716, NULL, 'PTHR35894:SF1', NULL, NULL, NULL, NULL, 'GENERAL SECRETION PATHWAY PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(132717, NULL, 'PTHR20963:SF50', NULL, NULL, NULL, NULL, '3-PHYTASE A', NULL, NULL, NULL, 15),
(132718, NULL, 'PTHR12266:SF25', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER 6-RELATED', NULL, NULL, NULL, 15),
(132719, NULL, 'PTHR48001:SF141', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(132720, NULL, 'PTHR11685:SF221', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF14', NULL, NULL, NULL, 15),
(132721, NULL, 'PTHR23341:SF2', NULL, NULL, NULL, NULL, 'HMG', NULL, NULL, NULL, 15),
(132722, NULL, 'PTHR31561:SF103', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 11', NULL, NULL, NULL, 15),
(132723, NULL, 'PTHR42743:SF16', NULL, NULL, NULL, NULL, 'BNACNNG24680D PROTEIN', NULL, NULL, NULL, 15),
(132724, NULL, 'PTHR42718:SF36', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13820)-RELATED', NULL, NULL, NULL, 15),
(132725, NULL, 'PTHR21230:SF41', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT THROUGH INTERACTION WITH T-SNARES HOMOLOG 1A', NULL, NULL, NULL, 15),
(132726, NULL, 'PTHR31311:SF29', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 34-RELATED', NULL, NULL, NULL, 15),
(132727, NULL, 'PTHR34287:SF4', NULL, NULL, NULL, NULL, 'OSJNBB0116K07.5 PROTEIN', NULL, NULL, NULL, 15),
(132728, NULL, 'PTHR43008:SF8', NULL, NULL, NULL, NULL, 'BENZIL REDUCTASE ((S)-BENZOIN FORMING) IRC24', NULL, NULL, NULL, 15),
(132729, NULL, 'PTHR13774:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132730, NULL, 'PTHR13318:SF32', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 29', NULL, NULL, NULL, 15),
(132731, NULL, 'PTHR46240', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN KINASE ULK4', NULL, NULL, 40023, 15),
(132732, NULL, 'PTHR11638:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132733, NULL, 'PTHR34046:SF11', NULL, NULL, NULL, NULL, 'BNAA09G30640D PROTEIN', NULL, NULL, NULL, 15),
(132734, NULL, 'PTHR23504:SF94', NULL, NULL, NULL, NULL, 'OS12G0133100 PROTEIN', NULL, NULL, NULL, 15),
(132735, NULL, 'PTHR23024:SF543', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132736, NULL, 'PTHR39470:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(132737, NULL, 'PTHR24301:SF8', NULL, NULL, NULL, NULL, 'OS02G0221900 PROTEIN', NULL, NULL, NULL, 15),
(132738, NULL, 'PTHR31989:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132739, NULL, 'PTHR35441:SF1', NULL, NULL, NULL, NULL, 'CIRCADIAN-ASSOCIATED TRANSCRIPTIONAL REPRESSOR', NULL, NULL, NULL, 15),
(132740, NULL, 'PTHR46408:SF7', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN OPAQUE-2', NULL, NULL, NULL, 15),
(132741, NULL, 'PTHR13231', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN S31', NULL, NULL, 27822, 15),
(132742, NULL, 'PTHR15859:SF1', NULL, NULL, NULL, NULL, 'LD44003P', NULL, NULL, NULL, 15),
(132743, NULL, 'PTHR30528:SF0', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132744, NULL, 'PTHR10489:SF913', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(132745, NULL, 'PTHR16134:SF112', NULL, NULL, NULL, NULL, 'BNAA08G24570D PROTEIN', NULL, NULL, NULL, 15),
(132746, NULL, 'PTHR24208:SF117', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX8', NULL, NULL, NULL, 15),
(132747, NULL, 'PTHR10108:SF1116', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT21-RELATED', NULL, NULL, NULL, 15),
(132748, NULL, 'PTHR10353:SF274', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 29', NULL, NULL, NULL, 15),
(132749, NULL, 'PTHR10253:SF10', NULL, NULL, NULL, NULL, 'BNAA05G20180D PROTEIN', NULL, NULL, NULL, 15),
(132750, NULL, 'PTHR11017:SF395', NULL, NULL, NULL, NULL, 'BNAC09G39550D PROTEIN', NULL, NULL, NULL, 15),
(132751, NULL, 'PTHR12280:SF39', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE 2', NULL, NULL, NULL, 15),
(132752, NULL, 'PTHR10678:SF4', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 11B', NULL, NULL, NULL, 15),
(132753, NULL, 'PTHR34197:SF2', NULL, NULL, NULL, NULL, 'OS04G0591300 PROTEIN', NULL, NULL, NULL, 15),
(132754, NULL, 'PTHR10219:SF86', NULL, NULL, NULL, NULL, 'BNAA05G10120D PROTEIN', NULL, NULL, NULL, 15),
(132755, NULL, 'PTHR12725:SF111', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132756, NULL, 'PTHR12149:SF9', NULL, NULL, NULL, NULL, 'FRUCTOSAMINE-3-KINASE', NULL, NULL, NULL, 15),
(132757, NULL, 'PTHR46565:SF14', NULL, NULL, NULL, NULL, 'BNAA09G43450D PROTEIN', NULL, NULL, NULL, 15),
(132758, NULL, 'PTHR11232:SF69', NULL, NULL, NULL, NULL, 'SI:DKEY-34E4.1', NULL, NULL, NULL, 15),
(132759, NULL, 'PTHR10791:SF57', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET2A', NULL, NULL, NULL, 15),
(132760, NULL, 'PTHR10509:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132761, NULL, 'PTHR13976:SF33', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN H2', NULL, NULL, NULL, 15),
(132762, NULL, 'PTHR13318:SF183', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKP2B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(132763, NULL, 'PTHR30154:SF17', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL ACTIVATOR DECR', NULL, NULL, NULL, 15),
(132764, NULL, 'PTHR33293', NULL, NULL, NULL, NULL, 'INSERTION ELEMENT IS1 1 PROTEIN INSB-RELATED', NULL, NULL, NULL, 15),
(132765, NULL, 'PTHR21562:SF59', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(132766, NULL, 'PTHR11009:SF4', NULL, NULL, NULL, NULL, 'DERLIN-3', NULL, NULL, NULL, 15),
(132767, NULL, 'PTHR36757:SF1', NULL, NULL, NULL, NULL, 'BNAANNG22500D PROTEIN', NULL, NULL, NULL, 15),
(132768, NULL, 'PTHR33861', NULL, NULL, NULL, NULL, 'PROTEIN CBG18333', NULL, NULL, 25107, 15),
(132769, NULL, 'PTHR31279:SF18', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 7', NULL, NULL, NULL, 15),
(132770, NULL, 'PTHR31235:SF216', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(132771, NULL, 'PTHR30390', NULL, NULL, NULL, NULL, 'SEDOHEPTULOSE 7-PHOSPHATE ISOMERASE / DNAA INITIATOR-ASSOCIATING FACTOR FOR REPLICATION INITIATION', NULL, NULL, NULL, 15),
(132772, NULL, 'PTHR24369:SF154', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 4.1', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132773, NULL, 'PTHR23088', NULL, NULL, NULL, NULL, 'NITRILASE-RELATED', NULL, NULL, NULL, 15),
(132774, NULL, 'PTHR11804:SF71', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INTERMEDIATE PEPTIDASE', NULL, NULL, NULL, 15),
(132775, NULL, 'PTHR11537:SF255', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, SHAKER-RELATED, SUBFAMILY, MEMBER 6 A', NULL, NULL, NULL, 15),
(132776, NULL, 'PTHR11487:SF0', NULL, NULL, NULL, NULL, 'S-ACYL FATTY ACID SYNTHASE THIOESTERASE, MEDIUM CHAIN', NULL, NULL, NULL, 15),
(132777, NULL, 'PTHR31339:SF12', NULL, NULL, NULL, NULL, 'ENDO-POLYGALACTURONASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(132778, NULL, 'PTHR31232:SF40', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(132779, NULL, 'PTHR21576:SF98', NULL, NULL, NULL, NULL, 'BNAANNG22870D PROTEIN', NULL, NULL, NULL, 15),
(132780, NULL, 'PTHR43899:SF27', NULL, NULL, NULL, NULL, 'B-KETO ACYL REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(132781, NULL, 'PTHR13603', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22486, 15),
(132782, NULL, 'PTHR32219:SF7', NULL, NULL, NULL, NULL, 'PUMP INTERACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132783, NULL, 'PTHR24073:SF572', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-28', NULL, NULL, NULL, 15),
(132784, NULL, 'PTHR46674', NULL, NULL, NULL, NULL, 'INACTIVE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP6', NULL, NULL, 37051, 15),
(132785, NULL, 'PTHR36925', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-6A REDUCTASE', NULL, NULL, 2199, 15),
(132786, NULL, 'PTHR31060:SF30', NULL, NULL, NULL, NULL, 'OS07G0668800 PROTEIN', NULL, NULL, NULL, 15),
(132787, NULL, 'PTHR23426:SF62', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132788, NULL, 'PTHR28181', NULL, NULL, NULL, NULL, 'UPF0655 PROTEIN YCR015C', NULL, NULL, NULL, 15),
(132789, NULL, 'PTHR36069', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132790, NULL, 'PTHR48021:SF75', NULL, NULL, NULL, NULL, 'BNAC02G48280D PROTEIN', NULL, NULL, NULL, 15),
(132791, NULL, 'PTHR12411:SF638', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132792, NULL, 'PTHR21301:SF3', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN', NULL, NULL, NULL, 15),
(132793, NULL, 'PTHR31676:SF135', NULL, NULL, NULL, NULL, 'PLANT/F25P12-18 PROTEIN', NULL, NULL, NULL, 15),
(132794, NULL, 'PTHR10562:SF74', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 2', NULL, NULL, NULL, 15),
(132795, NULL, 'PTHR27006:SF299', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132796, NULL, 'PTHR34478:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LEMA', NULL, NULL, NULL, 15),
(132797, NULL, 'PTHR26379:SF295', NULL, NULL, NULL, NULL, 'OS10G0429300 PROTEIN', NULL, NULL, NULL, 15),
(132798, NULL, 'PTHR48023:SF5', NULL, NULL, NULL, NULL, 'BNACNNG18320D PROTEIN', NULL, NULL, NULL, 15),
(132799, NULL, 'PTHR34558:SF14', NULL, NULL, NULL, NULL, 'OS07G0549100 PROTEIN', NULL, NULL, NULL, 15),
(132800, NULL, 'PTHR10157:SF42', NULL, NULL, NULL, NULL, 'DBH-LIKE MONOOXYGENASE PROTEIN 1 HOMOLOG', NULL, NULL, 22208, 15),
(132801, NULL, 'PTHR21461:SF62', NULL, NULL, NULL, NULL, 'OS06G0624700 PROTEIN', NULL, NULL, NULL, 15),
(132802, NULL, 'PTHR38602', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, 19021, 15),
(132803, NULL, 'PTHR10663:SF318', NULL, NULL, NULL, NULL, 'IQ MOTIF AND SEC7 DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(132804, NULL, 'PTHR43539:SF23', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(132805, NULL, 'PTHR33076:SF81', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132806, NULL, 'PTHR43853:SF14', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(132807, NULL, 'PTHR47942:SF58', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN PPR5 HOMOLOG, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(132808, NULL, 'PTHR45636:SF28', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-2A', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132809, NULL, 'PTHR10366:SF470', NULL, NULL, NULL, NULL, 'OS01G0283600 PROTEIN', NULL, NULL, NULL, 15),
(132810, NULL, 'PTHR14969:SF28', NULL, NULL, NULL, NULL, 'DIHYDROSPHINGOSINE 1-PHOSPHATE PHOSPHATASE LCB3-RELATED', NULL, NULL, NULL, 15),
(132811, NULL, 'PTHR24343:SF462', NULL, NULL, NULL, NULL, 'AGC FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(132812, NULL, 'PTHR24039:SF32', NULL, NULL, NULL, NULL, 'FIBULIN-2', NULL, NULL, 34491, 15),
(132813, NULL, 'PTHR15241:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132814, NULL, 'PTHR38506', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930544D05 GENE', NULL, NULL, 32634, 15),
(132815, NULL, 'PTHR22870:SF352', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY WITH FYVE ZINC FINGER DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(132816, NULL, 'PTHR39654:SF3', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 75A', NULL, NULL, NULL, 15),
(132817, NULL, 'PTHR16206:SF10', NULL, NULL, NULL, NULL, 'DEP DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(132818, NULL, 'PTHR23086:SF89', NULL, NULL, NULL, NULL, 'OS03G0262000 PROTEIN', NULL, NULL, NULL, 15),
(132819, NULL, 'PTHR10257:SF79', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 59 KDA REGULATORY SUBUNIT B'' ZETA ISOFORM', NULL, NULL, NULL, 15),
(132820, NULL, 'PTHR11461:SF162', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR 77BA', NULL, NULL, NULL, 15),
(132821, NULL, 'PTHR35243:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132822, NULL, 'PTHR24028:SF92', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-1', NULL, NULL, 22229, 15),
(132823, NULL, 'PTHR37875:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC685964', NULL, NULL, NULL, 15),
(132824, NULL, 'PTHR13234:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG18077', NULL, NULL, NULL, 15),
(132825, NULL, 'PTHR47094:SF1', NULL, NULL, NULL, NULL, 'RING ZINC FINGER-RELATED', NULL, NULL, NULL, 15),
(132826, NULL, 'PTHR31009:SF5', NULL, NULL, NULL, NULL, 'GIBBERELLIC ACID METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(132827, NULL, 'PTHR23050:SF401', NULL, NULL, NULL, NULL, 'CALMODULIN', NULL, NULL, 33684, 15),
(132828, NULL, 'PTHR34709:SF25', NULL, NULL, NULL, NULL, 'OS07G0550300 PROTEIN', NULL, NULL, NULL, 15),
(132829, NULL, 'PTHR33491:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0016N04.9 PROTEIN', NULL, NULL, NULL, 15),
(132830, NULL, 'PTHR21879:SF5', NULL, NULL, NULL, NULL, 'OSIRIS 15', NULL, NULL, NULL, 15),
(132831, NULL, 'PTHR31992:SF194', NULL, NULL, NULL, NULL, 'BNAA09G34950D PROTEIN', NULL, NULL, NULL, 15),
(132832, NULL, 'PTHR11206:SF81', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EXTRUSION PROTEIN 2', NULL, NULL, NULL, 15),
(132833, NULL, 'PTHR33110:SF39', NULL, NULL, NULL, NULL, 'OS04G0514700 PROTEIN', NULL, NULL, NULL, 15),
(132834, NULL, 'PTHR43895:SF42', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(132835, NULL, 'PTHR24403:SF63', NULL, NULL, NULL, NULL, 'SI:DKEY-154P10.3', NULL, NULL, NULL, 15),
(132836, NULL, 'PTHR10468:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLATION RELATED', NULL, NULL, NULL, 15),
(132837, NULL, 'PTHR47132:SF1', NULL, NULL, NULL, NULL, 'MYOGLOBIN', NULL, NULL, NULL, 15),
(132838, NULL, 'PTHR11902:SF5', NULL, NULL, NULL, NULL, 'BETA-ENOLASE', NULL, NULL, NULL, 15),
(132839, NULL, 'PTHR27003:SF388', NULL, NULL, NULL, NULL, 'GPCR KINASE, MITOGEN-ACTIVATED PROTEIN (MAP) KINASE KINASE KINASE 7-RELATED', NULL, NULL, NULL, 15),
(132840, NULL, 'PTHR33402:SF21', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 19', NULL, NULL, NULL, 15),
(132841, NULL, 'PTHR12606:SF112', NULL, NULL, NULL, NULL, 'OS02G0479700 PROTEIN', NULL, NULL, NULL, 15),
(132842, NULL, 'PTHR31009:SF50', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT CARBOXYL METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(132843, NULL, 'PTHR38096', NULL, NULL, NULL, NULL, 'ENTEROBACTIN SYNTHASE COMPONENT D', NULL, NULL, 7402, 15),
(132844, NULL, 'PTHR13140:SF799', NULL, NULL, NULL, NULL, 'MYOSIN-7', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132845, NULL, 'PTHR30514:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR HEXR-RELATED', NULL, NULL, NULL, 15),
(132846, NULL, 'PTHR15615:SF102', NULL, NULL, NULL, NULL, 'CYCLIN', NULL, NULL, NULL, 15),
(132847, NULL, 'PTHR31561:SF121', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(132848, NULL, 'PTHR31194:SF78', NULL, NULL, NULL, NULL, 'AP2/ERF DOMAIN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(132849, NULL, 'PTHR23257:SF775', NULL, NULL, NULL, NULL, 'KINASE SUPPRESSOR OF RAS 2', NULL, NULL, NULL, 15),
(132850, NULL, 'PTHR10634:SF125', NULL, NULL, NULL, NULL, 'RE70963P', NULL, NULL, NULL, 15),
(132851, NULL, 'PTHR24296:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132852, NULL, 'PTHR24166:SF21', NULL, NULL, NULL, NULL, 'PROTEIN TANC2', NULL, NULL, NULL, 15),
(132853, NULL, 'PTHR47965:SF18', NULL, NULL, NULL, NULL, '7S GLOBULIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132854, NULL, 'PTHR11757:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132855, NULL, 'PTHR15016', NULL, NULL, NULL, NULL, 'BREAST CARCINOMA-AMPLIFIED SEQUENCE 1', NULL, NULL, 27774, 15),
(132856, NULL, 'PTHR16166', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN  VPS13', NULL, NULL, 26161, 15),
(132857, NULL, 'PTHR31175:SF55', NULL, NULL, NULL, NULL, 'SAUR55-AUXIN-RESPONSIVE SAUR FAMILY MEMBER', NULL, NULL, NULL, 15),
(132858, NULL, 'PTHR46664:SF1', NULL, NULL, NULL, NULL, 'ATM INTERACTOR', NULL, NULL, NULL, 15),
(132859, NULL, 'PTHR46159:SF14', NULL, NULL, NULL, NULL, 'BNAA05G16940D PROTEIN', NULL, NULL, NULL, 15),
(132860, NULL, 'PTHR23245:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132861, NULL, 'PTHR24106:SF152', NULL, NULL, NULL, NULL, 'NLR FAMILY MEMBER X1', NULL, NULL, NULL, 15),
(132862, NULL, 'PTHR31984:SF1', NULL, NULL, NULL, NULL, 'OS10G0330400 PROTEIN', NULL, NULL, NULL, 15),
(132863, NULL, 'PTHR34386', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN', NULL, NULL, NULL, 15),
(132864, NULL, 'PTHR13103:SF2', NULL, NULL, NULL, NULL, 'IQCJ-SCHIP1 READTHROUGH TRANSCRIPT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132865, NULL, 'PTHR13593:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132866, NULL, 'PTHR24361:SF829', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132867, NULL, 'PTHR13768:SF27', NULL, NULL, NULL, NULL, 'ALPHA-SOLUBLE NSF ATTACHMENT PROTEIN', NULL, NULL, NULL, 15),
(132868, NULL, 'PTHR47992:SF65', NULL, NULL, NULL, NULL, 'PHYTOCHROME-ASSOCIATED PROTEIN PHOSPHATASE TYPE 2C', NULL, NULL, NULL, 15),
(132869, NULL, 'PTHR11915:SF226', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN, NON-ERYTHROCYTIC 1', NULL, NULL, NULL, 15),
(132870, NULL, 'PTHR11945:SF601', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132871, NULL, 'PTHR18929:SF58', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE-LIKE PROTEIN OF THE TESTIS', NULL, NULL, NULL, 15),
(132872, NULL, 'PTHR45616:SF2', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 72', NULL, NULL, NULL, 15),
(132873, NULL, 'PTHR36173:SF2', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC16', NULL, NULL, NULL, 15),
(132874, NULL, 'PTHR40072', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN-GUANINE DINUCLEOTIDE BIOSYNTHESIS ADAPTER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132875, NULL, 'PTHR31175:SF58', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR61', NULL, NULL, NULL, 15),
(132876, NULL, 'PTHR31989:SF273', NULL, NULL, NULL, NULL, 'BNAC03G71470D PROTEIN', NULL, NULL, NULL, 15),
(132877, NULL, 'PTHR21356:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(132878, NULL, 'PTHR48022:SF33', NULL, NULL, NULL, NULL, 'SUGAR PERMEASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G12040)-RELATED', NULL, NULL, NULL, 15),
(132879, NULL, 'PTHR43651:SF9', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN-BRANCHING ENZYME 2-1, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(132880, NULL, 'PTHR23236:SF81', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING, ALPHA-BETA PLAIT', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132881, NULL, 'PTHR48011:SF59', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE NPK1', NULL, NULL, NULL, 15),
(132882, NULL, 'PTHR45675:SF70', NULL, NULL, NULL, NULL, 'ATMYB2', NULL, NULL, NULL, 15),
(132883, NULL, 'PTHR31460:SF0', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PHOSPHOTRIESTERASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132884, NULL, 'PTHR10539:SF6', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 13 HOMOLOG B-LIKE', NULL, NULL, NULL, 15),
(132885, NULL, 'PTHR34997:SF1', NULL, NULL, NULL, NULL, 'AM15', NULL, NULL, NULL, 15),
(132886, NULL, 'PTHR37739:SF12', NULL, NULL, NULL, NULL, 'KINESIN FAMILY MEMBER 1A', NULL, NULL, NULL, 15),
(132887, NULL, 'PTHR47933:SF30', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(132888, NULL, 'PTHR43995:SF1', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 19', NULL, NULL, NULL, 15),
(132889, NULL, 'PTHR42726', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE FAMILY MEMBER 6', NULL, NULL, NULL, 15),
(132890, NULL, 'PTHR10578:SF82', NULL, NULL, NULL, NULL, 'CYTOCHROME B2, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G07200)-RELATED', NULL, NULL, NULL, 15),
(132891, NULL, 'PTHR23410:SF24', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L5', NULL, NULL, NULL, 15),
(132892, NULL, 'PTHR22599:SF12', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR 3C', NULL, NULL, NULL, 15),
(132893, NULL, 'PTHR12035:SF120', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 10', NULL, NULL, NULL, 15),
(132894, NULL, 'PTHR10625:SF206', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 2-RELATED', NULL, NULL, NULL, 15),
(132895, NULL, 'PTHR35165:SF3', NULL, NULL, NULL, NULL, 'OS04G0577375 PROTEIN', NULL, NULL, NULL, 15),
(132896, NULL, 'PTHR48001:SF41', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(132897, NULL, 'PTHR23507:SF2', NULL, NULL, NULL, NULL, 'PROTON-COUPLED FOLATE TRANSPORTER', NULL, NULL, NULL, 15),
(132898, NULL, 'PTHR24366:SF60', NULL, NULL, NULL, NULL, 'WNT-ACTIVATED INHIBITORY FACTOR 2', NULL, NULL, NULL, 15),
(132899, NULL, 'PTHR11802:SF248', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132900, NULL, 'PTHR33098:SF75', NULL, NULL, NULL, NULL, 'OS07G0563400 PROTEIN', NULL, NULL, NULL, 15),
(132901, NULL, 'PTHR10168:SF277', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132902, NULL, 'PTHR12253:SF37', NULL, NULL, NULL, NULL, 'PROTEIN-INTERACTING WITH CYCLIN A1', NULL, NULL, NULL, 15),
(132903, NULL, 'PTHR10742:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132904, NULL, 'PTHR10083:SF359', NULL, NULL, NULL, NULL, 'SERINE PEPTIDASE INHIBITOR, KUNITZ TYPE, 3', NULL, NULL, NULL, 15),
(132905, NULL, 'PTHR43880:SF21', NULL, NULL, NULL, NULL, 'S-(HYDROXYMETHYL)GLUTATHIONE DEHYDROGENASE', NULL, NULL, NULL, 15),
(132906, NULL, 'PTHR18966:SF525', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132907, NULL, 'PTHR22692:SF21', NULL, NULL, NULL, NULL, 'MYOSIN XVA', NULL, NULL, 16711, 15),
(132908, NULL, 'PTHR15025:SF6', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-6 SUBUNIT', NULL, NULL, NULL, 15),
(132909, NULL, 'PTHR24180:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132910, NULL, 'PTHR38218:SF2', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132911, NULL, 'PTHR31676:SF123', NULL, NULL, NULL, NULL, 'BNAA04G21950D PROTEIN', NULL, NULL, NULL, 15),
(132912, NULL, 'PTHR12442:SF22', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 1 INTERMEDIATE CHAIN-RELATED', NULL, NULL, NULL, 15),
(132913, NULL, 'PTHR43243:SF11', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(132914, NULL, 'PTHR27006:SF134', NULL, NULL, NULL, NULL, 'OS11G0669200 PROTEIN', NULL, NULL, NULL, 15),
(132915, NULL, 'PTHR12378:SF45', NULL, NULL, NULL, NULL, 'THIOL PEPTIDASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(132916, NULL, 'PTHR31989:SF378', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 94-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132917, NULL, 'PTHR22918', NULL, NULL, NULL, NULL, 'SEMINAL PLASMA PROTEIN', NULL, NULL, NULL, 15),
(132918, NULL, 'PTHR12085:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132919, NULL, 'PTHR21325:SF44', NULL, NULL, NULL, NULL, 'PROTEIN CBG16394', NULL, NULL, NULL, 15),
(132920, NULL, 'PTHR31552:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(132921, NULL, 'PTHR11157:SF149', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN A-LIKE', NULL, NULL, NULL, 15),
(132922, NULL, 'PTHR31299:SF0', NULL, NULL, NULL, NULL, 'ESTERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G05850)-RELATED', NULL, NULL, NULL, 15),
(132923, NULL, 'PTHR31052:SF21', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(132924, NULL, 'PTHR45967', NULL, NULL, NULL, NULL, 'G-BOX-BINDING FACTOR 3-RELATED', NULL, NULL, 39209, 15),
(132925, NULL, 'PTHR11373:SF26', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(132926, NULL, 'PTHR33694:SF1', NULL, NULL, NULL, NULL, 'UDP-3-O-ACYL-N-ACETYLGLUCOSAMINE DEACETYLASE 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(132927, NULL, 'PTHR22951:SF28', NULL, NULL, NULL, NULL, 'SI:CH211-214J24.9', NULL, NULL, NULL, 15),
(132928, NULL, 'PTHR13475', NULL, NULL, NULL, NULL, 'NEUGRIN', NULL, NULL, 10129, 15),
(132929, NULL, 'PTHR37842:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(132930, NULL, 'PTHR24414:SF157', NULL, NULL, NULL, NULL, 'BNAA06G39880D PROTEIN', NULL, NULL, NULL, 15),
(132931, NULL, 'PTHR12650:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S30', NULL, NULL, NULL, 15),
(132932, NULL, 'PTHR37209:SF1', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 9', NULL, NULL, NULL, 15),
(132933, NULL, 'PTHR45080:SF5', NULL, NULL, NULL, NULL, 'FI23916P1', NULL, NULL, NULL, 15),
(132934, NULL, 'PTHR40055:SF2', NULL, NULL, NULL, NULL, 'DNA GYRASE INHIBITOR', NULL, NULL, NULL, 15),
(132935, NULL, 'PTHR31232:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132936, NULL, 'PTHR45707:SF35', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132937, NULL, 'PTHR25465:SF13', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 42', NULL, NULL, NULL, 15),
(132938, NULL, 'PTHR10795:SF546', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', NULL, NULL, NULL, 15),
(132939, NULL, 'PTHR43725:SF18', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE', NULL, NULL, NULL, 15),
(132940, NULL, 'PTHR48094:SF9', NULL, NULL, NULL, NULL, 'THIJ/PFPI FAMILY PROTEIN', NULL, NULL, NULL, 15),
(132941, NULL, 'PTHR14482:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CUSTOS', NULL, NULL, NULL, 15),
(132942, NULL, 'PTHR30615:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132943, NULL, 'PTHR46915:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 1D', NULL, NULL, NULL, 15),
(132944, NULL, 'PTHR11412:SF162', NULL, NULL, NULL, NULL, 'CD109 ANTIGEN', NULL, NULL, NULL, 15),
(132945, NULL, 'PTHR23500:SF554', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 8-LIKE', NULL, NULL, NULL, 15),
(132946, NULL, 'PTHR24221:SF476', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY PROTEIN', NULL, NULL, NULL, 15),
(132947, NULL, 'PTHR31739:SF30', NULL, NULL, NULL, NULL, 'COPAL-8-OL DIPHOSPHATE HYDRATASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(132948, NULL, 'PTHR11787:SF11', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', NULL, NULL, NULL, 15),
(132949, NULL, 'PTHR30620:SF107', NULL, NULL, NULL, NULL, 'OS01G0771900 PROTEIN', NULL, NULL, NULL, 15),
(132950, NULL, 'PTHR12175', NULL, NULL, NULL, NULL, 'AD039  HT014   THIOREDOXIN FAMILY TRP26', NULL, NULL, 38249, 15),
(132951, NULL, 'PTHR34268:SF8', NULL, NULL, NULL, NULL, 'OS01G0321850 PROTEIN', NULL, NULL, NULL, 15),
(132952, NULL, 'PTHR34151', NULL, NULL, NULL, NULL, 'PROTEIN CBG24195', NULL, NULL, NULL, 15),
(132953, NULL, 'PTHR15398', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132954, NULL, 'PTHR23180:SF407', NULL, NULL, NULL, NULL, 'ARF-GAP WITH COILED-COIL, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(132955, NULL, 'PTHR46344:SF3', NULL, NULL, NULL, NULL, 'KELCH MOTIF FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(132956, NULL, 'PTHR45690:SF8', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(132957, NULL, 'PTHR23074:SF72', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 4B', NULL, NULL, 26502, 15),
(132958, NULL, 'PTHR22912:SF212', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', NULL, NULL, NULL, 15),
(132959, NULL, 'PTHR11615:SF243', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 3A2', NULL, NULL, NULL, 15),
(132960, NULL, 'PTHR27003:SF344', NULL, NULL, NULL, NULL, 'BNAC03G45050D PROTEIN', NULL, NULL, NULL, 15),
(132961, NULL, 'PTHR24300:SF281', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 1A2-LIKE', NULL, NULL, NULL, 15),
(132962, NULL, 'PTHR45638:SF20', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CHANNEL ALPHA 1A', NULL, NULL, NULL, 15),
(132963, NULL, 'PTHR18945:SF526', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-TYPE ACR-5', NULL, NULL, NULL, 15),
(132964, NULL, 'PTHR13371:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132965, NULL, 'PTHR45894:SF4', NULL, NULL, NULL, NULL, 'BNAC06G04600D PROTEIN', NULL, NULL, NULL, 15),
(132966, NULL, 'PTHR13690:SF120', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER (BZIP) TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(132967, NULL, 'PTHR31549:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132968, NULL, 'PTHR14596:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN MSN2-RELATED', NULL, NULL, NULL, 15),
(132969, NULL, 'PTHR45657:SF50', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH11', NULL, NULL, NULL, 15),
(132970, NULL, 'PTHR40697:SF2', NULL, NULL, NULL, NULL, 'ATP-NAD KINASE-RELATED', NULL, NULL, NULL, 15),
(132971, NULL, 'PTHR21592:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG03732', NULL, NULL, NULL, 15),
(132972, NULL, 'PTHR42970', NULL, NULL, NULL, NULL, 'PECTATE LYASE C-RELATED', NULL, NULL, NULL, 15),
(132973, NULL, 'PTHR47415:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM47B', NULL, NULL, NULL, 15),
(132974, NULL, 'PTHR19860', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 12-RELATED', NULL, NULL, NULL, 15),
(132975, NULL, 'PTHR46128:SF193', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(132976, NULL, 'PTHR10903:SF124', NULL, NULL, NULL, NULL, '50S RIBOSOME-BINDING GTPASE', NULL, NULL, NULL, 15),
(132977, NULL, 'PTHR47926:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132978, NULL, 'PTHR22814:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132979, NULL, 'PTHR31568:SF89', NULL, NULL, NULL, NULL, 'BNACNNG26620D PROTEIN', NULL, NULL, NULL, 15),
(132980, NULL, 'PTHR31375:SF192', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(132981, NULL, 'PTHR12899:SF13', NULL, NULL, NULL, NULL, '50S RIBOSOMAL L18-LIKE PROTEIN', NULL, NULL, NULL, 15),
(132982, NULL, 'PTHR43539:SF59', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(132983, NULL, 'PTHR21450:SF7', NULL, NULL, NULL, NULL, 'DNA LIGASE (DUF630 AND DUF632)', NULL, NULL, NULL, 15),
(132984, NULL, 'PTHR11178:SF48', NULL, NULL, NULL, NULL, 'NIFU-LIKE PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(132985, NULL, 'PTHR45988:SF47', NULL, NULL, NULL, NULL, 'OSJNBA0089K21.8-LIKE PROTEIN', NULL, NULL, NULL, 15),
(132986, NULL, 'PTHR33121:SF40', NULL, NULL, NULL, NULL, 'ANTI-FLHC(2)FLHD(4) FACTOR YDIV-RELATED', NULL, NULL, NULL, 15),
(132987, NULL, 'PTHR24410:SF12', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 17', NULL, NULL, NULL, 15),
(132988, NULL, 'PTHR11260:SF677', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(132989, NULL, 'PTHR46715', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 3-PHOSPHATE 5-KINASE', NULL, NULL, 38918, 15),
(132990, NULL, 'PTHR12461:SF52', NULL, NULL, NULL, NULL, 'MYC-INDUCED NUCLEAR ANTIGEN WITH A MOLECULAR MASS OF 53 KDA-LIKE 1 ISOFORM X2', NULL, NULL, NULL, 15),
(132991, NULL, 'PTHR31239', NULL, NULL, NULL, NULL, 'NICOLIN 1', NULL, NULL, 33895, 15),
(132992, NULL, 'PTHR24220:SF364', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE ABC TRANSPORTER,ATP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132993, NULL, 'PTHR16171:SF7', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN COMPLEMENTING XP-G CELLS', NULL, NULL, NULL, 15),
(132994, NULL, 'PTHR32208:SF57', NULL, NULL, NULL, NULL, 'F14L17.20 PROTEIN', NULL, NULL, NULL, 15),
(132995, NULL, 'PTHR19343:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(132996, NULL, 'PTHR45933:SF28', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(132997, NULL, 'PTHR45706', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(132998, NULL, 'PTHR47364:SF22', NULL, NULL, NULL, NULL, 'BNAA01G17260D PROTEIN', NULL, NULL, NULL, 15),
(132999, NULL, 'PTHR11764:SF66', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(133000, NULL, 'PTHR24412:SF168', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN DIABLO', NULL, NULL, NULL, 15),
(133001, NULL, 'PTHR32212:SF366', NULL, NULL, NULL, NULL, 'BNAC02G44930D PROTEIN', NULL, NULL, NULL, 15),
(133002, NULL, 'PTHR46736:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133003, NULL, 'PTHR12289', NULL, NULL, NULL, NULL, 'METAXIN RELATED', NULL, NULL, NULL, 15),
(133004, NULL, 'PTHR48040:SF21', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(133005, NULL, 'PTHR24414:SF123', NULL, NULL, NULL, NULL, 'BNAC04G53970D PROTEIN', NULL, NULL, NULL, 15),
(133006, NULL, 'PTHR23342:SF15', NULL, NULL, NULL, NULL, '[LYSW]-AMINOADIPATE KINASE', NULL, NULL, NULL, 15),
(133007, NULL, 'PTHR43840:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG16727', NULL, NULL, NULL, 15),
(133008, NULL, 'PTHR35786', NULL, NULL, NULL, NULL, 'REDOX-SENSING TRANSCRIPTIONAL REPRESSOR REX', NULL, NULL, 14730, 15),
(133009, NULL, 'PTHR31269:SF52', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, VOLTAGE-DEPENDENT ANION CHANNEL-RELATED', NULL, NULL, NULL, 15),
(133010, NULL, 'PTHR43806:SF34', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.4', NULL, NULL, NULL, 15),
(133011, NULL, 'PTHR10286:SF58', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE 5', NULL, NULL, NULL, 15),
(133012, NULL, 'PTHR31459:SF22', NULL, NULL, NULL, NULL, 'DESICCATION PROTECTANT PROTEIN LEA14 HOMOLOG', NULL, NULL, NULL, 15),
(133013, NULL, 'PTHR24406:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(133014, NULL, 'PTHR23242', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(133015, NULL, 'PTHR11351:SF83', NULL, NULL, NULL, NULL, 'BNAC08G44600D PROTEIN', NULL, NULL, NULL, 15),
(133016, NULL, 'PTHR36214:SF5', NULL, NULL, NULL, NULL, 'ACETYL-COA DECARBONYLASE/SYNTHASE COMPLEX SUBUNIT DELTA', NULL, NULL, NULL, 15),
(133017, NULL, 'PTHR37285', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 2382, 15),
(133018, NULL, 'PTHR33577:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133019, NULL, 'PTHR44086:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-34L15.1', NULL, NULL, NULL, 15),
(133020, NULL, 'PTHR33800:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133021, NULL, 'PTHR10361:SF3', NULL, NULL, NULL, NULL, 'P3 PROTEIN', NULL, NULL, 27299, 15),
(133022, NULL, 'PTHR43725:SF28', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE GALE, NUCLEOTIDE SUGAR EPIMERASE-RELATED', NULL, NULL, NULL, 15),
(133023, NULL, 'PTHR47574:SF3', NULL, NULL, NULL, NULL, 'CANCER-RELATED REGULATOR OF ACTIN DYNAMICS', NULL, NULL, NULL, 15),
(133024, NULL, 'PTHR23273:SF54', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT A-LIKE ISOFORM X1', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133025, NULL, 'PTHR45743:SF28', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KAT2', NULL, NULL, NULL, 15),
(133026, NULL, 'PTHR36344:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133027, NULL, 'PTHR31062:SF142', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(133028, NULL, 'PTHR23117:SF17', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(133029, NULL, 'PTHR37742', NULL, NULL, NULL, NULL, 'OS01G0810200 PROTEIN', NULL, NULL, NULL, 15),
(133030, NULL, 'PTHR11709:SF385', NULL, NULL, NULL, NULL, 'BNAC03G70650D PROTEIN', NULL, NULL, NULL, 15),
(133031, NULL, 'PTHR38646:SF1', NULL, NULL, NULL, NULL, 'YALI0F00814P', NULL, NULL, NULL, 15),
(133032, NULL, 'PTHR33021:SF256', NULL, NULL, NULL, NULL, 'OS09G0541100 PROTEIN', NULL, NULL, NULL, 15),
(133033, NULL, 'PTHR36028:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133034, NULL, 'PTHR42925:SF1', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EFFLUX PROTEIN MATE FAMILY', NULL, NULL, NULL, 15),
(133035, NULL, 'PTHR12542:SF124', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(133036, NULL, 'PTHR10791:SF183', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET16', NULL, NULL, NULL, 15),
(133037, NULL, 'PTHR47258:SF5', NULL, NULL, NULL, NULL, 'BNAA03G57680D PROTEIN', NULL, NULL, NULL, 15),
(133038, NULL, 'PTHR48002:SF2', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4B1', NULL, NULL, NULL, 15),
(133039, NULL, 'PTHR33377:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133040, NULL, 'PTHR43559:SF3', NULL, NULL, NULL, NULL, 'HYDROLASE YCAC-RELATED', NULL, NULL, NULL, 15),
(133041, NULL, 'PTHR48017:SF169', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1H', NULL, NULL, NULL, 15),
(133042, NULL, 'PTHR47572:SF4', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(133043, NULL, 'PTHR38503', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 1', NULL, NULL, 24501, 15),
(133044, NULL, 'PTHR31151:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133045, NULL, 'PTHR33090:SF53', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(133046, NULL, 'PTHR31731:SF8', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(133047, NULL, 'PTHR46120:SF3', NULL, NULL, NULL, NULL, 'S-METHYLMETHIONINE--HOMOCYSTEINE S-METHYLTRANSFERASE BHMT2', NULL, NULL, NULL, 15),
(133048, NULL, 'PTHR11787:SF25', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', NULL, NULL, NULL, 15),
(133049, NULL, 'PTHR31340:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GENOME MAINTENANCE EXONUCLEASE 1', NULL, NULL, NULL, 15),
(133050, NULL, 'PTHR24115:SF746', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF13B', NULL, NULL, NULL, 15),
(133051, NULL, 'PTHR32191:SF55', NULL, NULL, NULL, NULL, 'TETRASPANIN-8', NULL, NULL, NULL, 15),
(133052, NULL, 'PTHR31969:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0038O10.18 PROTEIN', NULL, NULL, NULL, 15),
(133053, NULL, 'PTHR31627:SF35', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(133054, NULL, 'PTHR27009:SF106', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.1', NULL, NULL, NULL, 15),
(133055, NULL, 'PTHR31707:SF230', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(133056, NULL, 'PTHR23107:SF8', NULL, NULL, NULL, NULL, 'OS11G0615200 PROTEIN', NULL, NULL, NULL, 15),
(133057, NULL, 'PTHR11480:SF67', NULL, NULL, NULL, NULL, 'SAPOSIN-RELATED', NULL, NULL, NULL, 15),
(133058, NULL, 'PTHR43157:SF34', NULL, NULL, NULL, NULL, 'WW DOMAIN-CONTAINING OXIDOREDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(133059, NULL, 'PTHR45961:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG00285', NULL, NULL, NULL, 15),
(133060, NULL, 'PTHR24056:SF474', NULL, NULL, NULL, NULL, 'BNACNNG19830D PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133061, NULL, 'PTHR24223:SF425', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(133062, NULL, 'PTHR33181:SF17', NULL, NULL, NULL, NULL, 'OS01G0778500 PROTEIN', NULL, NULL, NULL, 15),
(133063, NULL, 'PTHR45645:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133064, NULL, 'PTHR43981:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133065, NULL, 'PTHR33531:SF7', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN SUBFAMILY', NULL, NULL, NULL, 15),
(133066, NULL, 'PTHR12027:SF84', NULL, NULL, NULL, NULL, 'PROTEIN WNT-9B', NULL, NULL, 28108, 15),
(133067, NULL, 'PTHR24068:SF263', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 36-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(133068, NULL, 'PTHR24068:SF359', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-17 KDA', NULL, NULL, NULL, 15),
(133069, NULL, 'PTHR19237', NULL, NULL, NULL, NULL, 'NUCLEOBINDIN', NULL, NULL, 33919, 15),
(133070, NULL, 'PTHR46891:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(133071, NULL, 'PTHR45666:SF31', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 3 ISOFORM X1', NULL, NULL, NULL, 15),
(133072, NULL, 'PTHR11802:SF303', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE 1', NULL, NULL, NULL, 15),
(133073, NULL, 'PTHR31246:SF24', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(133074, NULL, 'PTHR46139:SF1', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE 2', NULL, NULL, NULL, 15),
(133075, NULL, 'PTHR30543:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133076, NULL, 'PTHR33745:SF7', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133077, NULL, 'PTHR47377', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 4, CHLOROPLASTIC', NULL, NULL, 38658, 15),
(133078, NULL, 'PTHR23337:SF7', NULL, NULL, NULL, NULL, 'ATPASE MORC2', NULL, NULL, NULL, 15),
(133079, NULL, 'PTHR45654:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ANTHOCYANINLESS 2', NULL, NULL, NULL, 15),
(133080, NULL, 'PTHR48047:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133081, NULL, 'PTHR31915:SF4', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING AND COILED-COIL DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(133082, NULL, 'PTHR14155:SF547', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL35-RELATED', NULL, NULL, NULL, 15),
(133083, NULL, 'PTHR28592:SF4', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(133084, NULL, 'PTHR21093:SF8', NULL, NULL, NULL, NULL, 'DIVERGENT PROTEIN KINASE DOMAIN 1A', NULL, NULL, NULL, 15),
(133085, NULL, 'PTHR43166:SF14', NULL, NULL, NULL, NULL, 'GLUTAMINE TRANSPORT ATP-BINDING PROTEIN GLNQ', NULL, NULL, NULL, 15),
(133086, NULL, 'PTHR19375:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133087, NULL, 'PTHR21683:SF7', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 38', NULL, NULL, NULL, 15),
(133088, NULL, 'PTHR43420:SF3', NULL, NULL, NULL, NULL, 'BLR4025 PROTEIN', NULL, NULL, NULL, 15),
(133089, NULL, 'PTHR21388', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN-RELATED', NULL, NULL, NULL, 15),
(133090, NULL, 'PTHR31384:SF127', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(133091, NULL, 'PTHR45648:SF121', NULL, NULL, NULL, NULL, 'BNAA03G11610D PROTEIN', NULL, NULL, NULL, 15),
(133092, NULL, 'PTHR10271:SF29', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS-RELATED', NULL, NULL, NULL, 15),
(133093, NULL, 'PTHR13595:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133094, NULL, 'PTHR46480:SF1', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED HYDROGEN CHANNEL 1', NULL, NULL, NULL, 15),
(133095, NULL, 'PTHR19446:SF438', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE FROM TRANSPOSON X-ELEMENT-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133096, NULL, 'PTHR12435:SF4', NULL, NULL, NULL, NULL, 'BNAC08G40070D PROTEIN', NULL, NULL, NULL, 15),
(133097, NULL, 'PTHR12599:SF0', NULL, NULL, NULL, NULL, 'PTERIN-4-ALPHA-CARBINOLAMINE DEHYDRATASE', NULL, NULL, NULL, 15),
(133098, NULL, 'PTHR27005:SF370', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 16-RELATED', NULL, NULL, NULL, 15),
(133099, NULL, 'PTHR46158:SF10', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', NULL, NULL, NULL, 15),
(133100, NULL, 'PTHR11830:SF16', NULL, NULL, NULL, NULL, 'CYLINDROMATOSIS (TURBAN TUMOR SYNDROME),-LIKE', NULL, NULL, NULL, 15),
(133101, NULL, 'PTHR24072:SF169', NULL, NULL, NULL, NULL, 'RAS-RELATED C3 BOTULINUM TOXIN SUBSTRATE 2', NULL, NULL, NULL, 15),
(133102, NULL, 'PTHR23539:SF1', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER', NULL, NULL, NULL, 15),
(133103, NULL, 'PTHR12313:SF49', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF185-LIKE', NULL, NULL, NULL, 15),
(133104, NULL, 'PTHR11452:SF63', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE-RELATED', NULL, NULL, NULL, 15),
(133105, NULL, 'PTHR36755:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133106, NULL, 'PTHR12161:SF17', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(133107, NULL, 'PTHR46473:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 38', NULL, NULL, NULL, 15),
(133108, NULL, 'PTHR10744:SF9', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11', NULL, NULL, NULL, 15),
(133109, NULL, 'PTHR44170:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133110, NULL, 'PTHR37402', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 34897, 15),
(133111, NULL, 'PTHR19375:SF157', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM CHAPERONE BIP HOMOLOG', NULL, NULL, NULL, 15),
(133112, NULL, 'PTHR31140:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133113, NULL, 'PTHR16932:SF15', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-INDUCIBLE PROTEIN 27, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(133114, NULL, 'PTHR10064:SF29', NULL, NULL, NULL, NULL, 'BNAA09G51140D PROTEIN', NULL, NULL, NULL, 15),
(133115, NULL, 'PTHR46293:SF12', NULL, NULL, NULL, NULL, 'BNAA04G17680D PROTEIN', NULL, NULL, NULL, 15),
(133116, NULL, 'PTHR45580:SF7', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(133117, NULL, 'PTHR32093:SF153', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', NULL, NULL, NULL, 15),
(133118, NULL, 'PTHR31003:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HRS1', NULL, NULL, NULL, 15),
(133119, NULL, 'PTHR11668:SF458', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(133120, NULL, 'PTHR22923:SF101', NULL, NULL, NULL, NULL, 'ALPHA-METHYLACYL-COA RACEMASE', NULL, NULL, NULL, 15),
(133121, NULL, 'PTHR23345:SF12', NULL, NULL, NULL, NULL, 'VITELLOGENIN-1-RELATED', NULL, NULL, NULL, 15),
(133122, NULL, 'PTHR31003:SF32', NULL, NULL, NULL, NULL, 'BNAA06G39930D PROTEIN', NULL, NULL, NULL, 15),
(133123, NULL, 'PTHR44419', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 1339, 15),
(133124, NULL, 'PTHR11558:SF47', NULL, NULL, NULL, NULL, 'SPERMIDINE/SPERMINE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(133125, NULL, 'PTHR13343:SF23', NULL, NULL, NULL, NULL, 'OS08G0517500 PROTEIN', NULL, NULL, NULL, 15),
(133126, NULL, 'PTHR31790:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133127, NULL, 'PTHR11599:SF174', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(133128, NULL, 'PTHR35543', NULL, NULL, NULL, NULL, 'PROTEIN C11ORF74', NULL, NULL, 29335, 15),
(133129, NULL, 'PTHR22957:SF569', NULL, NULL, NULL, NULL, 'RAB-GTPASE-TBC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133130, NULL, 'PTHR12565:SF363', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(133131, NULL, 'PTHR31190:SF242', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133132, NULL, 'PTHR43825:SF4', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT', NULL, NULL, NULL, 15),
(133133, NULL, 'PTHR23503:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133134, NULL, 'PTHR33304:SF9', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(133135, NULL, 'PTHR32448:SF95', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 23', NULL, NULL, NULL, 15),
(133136, NULL, 'PTHR11003:SF75', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 9', NULL, NULL, NULL, 15),
(133137, NULL, 'PTHR32176:SF60', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(133138, NULL, 'PTHR34775:SF5', NULL, NULL, NULL, NULL, 'BNAC05G12700D PROTEIN', NULL, NULL, NULL, 15),
(133139, NULL, 'PTHR31232:SF54', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(133140, NULL, 'PTHR30193:SF38', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(133141, NULL, 'PTHR24384:SF206', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 727-RELATED', NULL, NULL, NULL, 15),
(133142, NULL, 'PTHR37940:SF1', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(133143, NULL, 'PTHR11003:SF98', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(133144, NULL, 'PTHR24376:SF185', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 786', NULL, NULL, NULL, 15),
(133145, NULL, 'PTHR15271:SF4', NULL, NULL, NULL, NULL, 'CHROMATIN ASSEMBLY FACTOR 1 SUBUNIT B', NULL, NULL, NULL, 15),
(133146, NULL, 'PTHR12169', NULL, NULL, NULL, NULL, 'ATPASE N2B', NULL, NULL, 2912, 15),
(133147, NULL, 'PTHR31625:SF54', NULL, NULL, NULL, NULL, 'PHENOLIC GLUCOSIDE MALONYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(133148, NULL, 'PTHR12146:SF8', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10-LIKE-RELATED', NULL, NULL, NULL, 15),
(133149, NULL, 'PTHR32142', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133150, NULL, 'PTHR25462:SF265', NULL, NULL, NULL, NULL, 'THIOREDOXIN-RELATED TRANSMEMBRANE PROTEIN 2 HOMOLOG-LIKE PROTEIN', NULL, NULL, NULL, 15),
(133151, NULL, 'PTHR22166:SF12', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM JUNCTION FORMATION PROTEIN LUNAPARK', NULL, NULL, NULL, 15),
(133152, NULL, 'PTHR20765:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133153, NULL, 'PTHR33994:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133154, NULL, 'PTHR47950:SF2', NULL, NULL, NULL, NULL, 'OS06G0294600 PROTEIN', NULL, NULL, NULL, 15),
(133155, NULL, 'PTHR22792:SF71', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 6', NULL, NULL, 9452, 15),
(133156, NULL, 'PTHR46272:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 142-RELATED', NULL, NULL, NULL, 15),
(133157, NULL, 'PTHR31052:SF14', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 11', NULL, NULL, NULL, 15),
(133158, NULL, 'PTHR34997:SF13', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133159, NULL, 'PTHR13598:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE INTEGRAL MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(133160, NULL, 'PTHR45647:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133161, NULL, 'PTHR31065:SF57', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(133162, NULL, 'PTHR14379:SF36', NULL, NULL, NULL, NULL, 'BNAA01G25030D PROTEIN', NULL, NULL, NULL, 15),
(133163, NULL, 'PTHR24559:SF323', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN, ZINC FINGER, CCHC-TYPE, ASPARTIC PEPTIDASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133164, NULL, 'PTHR11017:SF229', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(133165, NULL, 'PTHR27007:SF139', NULL, NULL, NULL, NULL, 'OS04G0145901 PROTEIN', NULL, NULL, NULL, 15),
(133166, NULL, 'PTHR10807:SF34', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 6', NULL, NULL, 24671, 15),
(133167, NULL, 'PTHR47582', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133168, NULL, 'PTHR31992:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133169, NULL, 'PTHR34591:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133170, NULL, 'PTHR45757:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG18995', NULL, NULL, NULL, 15),
(133171, NULL, 'PTHR43539:SF45', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(133172, NULL, 'PTHR11746:SF237', NULL, NULL, NULL, NULL, 'BNAA02G19270D PROTEIN', NULL, NULL, NULL, 15),
(133173, NULL, 'PTHR33624:SF20', NULL, NULL, NULL, NULL, 'OS05G0491700 PROTEIN', NULL, NULL, NULL, 15),
(133174, NULL, 'PTHR31315:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133175, NULL, 'PTHR13878:SF136', NULL, NULL, NULL, NULL, 'BNAC03G23380D PROTEIN', NULL, NULL, NULL, 15),
(133176, NULL, 'PTHR10527', NULL, NULL, NULL, NULL, 'IMPORTIN BETA', NULL, NULL, 31541, 15),
(133177, NULL, 'PTHR12903', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN L24', NULL, NULL, 2957, 15),
(133178, NULL, 'PTHR47872:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SILENCING DEFECTIVE PROTEIN', NULL, NULL, NULL, 15),
(133179, NULL, 'PTHR31636:SF252', NULL, NULL, NULL, NULL, 'PROTEIN RGL2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(133180, NULL, 'PTHR33413:SF32', NULL, NULL, NULL, NULL, 'BNAANNG05050D PROTEIN', NULL, NULL, NULL, 15),
(133181, NULL, 'PTHR22847:SF705', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133182, NULL, 'PTHR48001:SF161', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(133183, NULL, 'PTHR46213:SF15', NULL, NULL, NULL, NULL, 'PROTEIN ROS1-LIKE', NULL, NULL, NULL, 15),
(133184, NULL, 'PTHR11429:SF0', NULL, NULL, NULL, NULL, 'MYELIN BASIC PROTEIN', NULL, NULL, NULL, 15),
(133185, NULL, 'PTHR31561:SF135', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(133186, NULL, 'PTHR21447:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG11490', NULL, NULL, NULL, 15),
(133187, NULL, 'PTHR44191:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SRM1', NULL, NULL, NULL, 15),
(133188, NULL, 'PTHR46332:SF3', NULL, NULL, NULL, NULL, 'ASPARTATE BETA-HYDROXYLASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(133189, NULL, 'PTHR23055:SF171', NULL, NULL, NULL, NULL, 'NEURONAL CALCIUM SENSOR FAMILY', NULL, NULL, NULL, 15),
(133190, NULL, 'PTHR30389:SF14', NULL, NULL, NULL, NULL, 'FUMARATE HYDRATASE CLASS I, AEROBIC', NULL, NULL, NULL, 15),
(133191, NULL, 'PTHR35373', NULL, NULL, NULL, NULL, 'PROTEIN CBG16894', NULL, NULL, NULL, 15),
(133192, NULL, 'PTHR30314:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133193, NULL, 'PTHR14209:SF10', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(133194, NULL, 'PTHR45863:SF35', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133195, NULL, 'PTHR18959:SF40', NULL, NULL, NULL, NULL, 'TRANSGELIN', NULL, NULL, 22405, 15),
(133196, NULL, 'PTHR24343:SF357', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN DEPENDENT PROTEIN KINASE KINASE 1', NULL, NULL, NULL, 15),
(133197, NULL, 'PTHR32285:SF195', NULL, NULL, NULL, NULL, 'DUF231 DOMAIN CONTAINING FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133198, NULL, 'PTHR22765:SF287', NULL, NULL, NULL, NULL, 'OS11G0142600 PROTEIN', NULL, NULL, NULL, 15),
(133199, NULL, 'PTHR24208:SF168', NULL, NULL, NULL, NULL, 'PROTEIN APTEROUS', NULL, NULL, NULL, 15),
(133200, NULL, 'PTHR31692:SF107', NULL, NULL, NULL, NULL, 'EXPANSIN-B14-RELATED', NULL, NULL, NULL, 15),
(133201, NULL, 'PTHR19432:SF80', NULL, NULL, NULL, NULL, 'BNAA03G01930D PROTEIN', NULL, NULL, NULL, 15),
(133202, NULL, 'PTHR22765:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133203, NULL, 'PTHR22811:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, 11849, 15),
(133204, NULL, 'PTHR46288:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133205, NULL, 'PTHR36487:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133206, NULL, 'PTHR11161:SF62', NULL, NULL, NULL, NULL, 'NOSE RESISTANT TO FLUOXETINE PROTEIN 6', NULL, NULL, NULL, 15),
(133207, NULL, 'PTHR24377:SF804', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133208, NULL, 'PTHR26450:SF77', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(133209, NULL, 'PTHR28626:SF4', NULL, NULL, NULL, NULL, 'OS04G0588900 PROTEIN', NULL, NULL, NULL, 15),
(133210, NULL, 'PTHR47514', NULL, NULL, NULL, NULL, 'TRANSKETOLASE N-TERMINAL SECTION-RELATED', NULL, NULL, NULL, 15),
(133211, NULL, 'PTHR47500:SF2', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(133212, NULL, 'PTHR11972:SF69', NULL, NULL, NULL, NULL, 'NADPH OXIDASE 4', NULL, NULL, NULL, 15),
(133213, NULL, 'PTHR32212:SF319', NULL, NULL, NULL, NULL, 'BNAC01G22540D PROTEIN', NULL, NULL, NULL, 15),
(133214, NULL, 'PTHR11260:SF531', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133215, NULL, 'PTHR24336:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR LBX1', NULL, NULL, NULL, 15),
(133216, NULL, 'PTHR34693:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PAR32', NULL, NULL, NULL, 15),
(133217, NULL, 'PTHR24023:SF999', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133218, NULL, 'PTHR13068:SF163', NULL, NULL, NULL, NULL, 'BNAC09G13890D PROTEIN', NULL, NULL, NULL, 15),
(133219, NULL, 'PTHR15321:SF3', NULL, NULL, NULL, NULL, 'TP53-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(133220, NULL, 'PTHR22917', NULL, NULL, NULL, NULL, 'HEMOPEXIN DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(133221, NULL, 'PTHR38370:SF3', NULL, NULL, NULL, NULL, 'BNAA01G26000D PROTEIN', NULL, NULL, NULL, 15),
(133222, NULL, 'PTHR13284', NULL, NULL, NULL, NULL, 'GH01354P', NULL, NULL, 29971, 15),
(133223, NULL, 'PTHR27007:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133224, NULL, 'PTHR33142:SF78', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SIM', NULL, NULL, NULL, 15),
(133225, NULL, 'PTHR33237:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133226, NULL, 'PTHR18919:SF134', NULL, NULL, NULL, NULL, 'BETA-KETOACYL COA THIOLASE FADA3-RELATED', NULL, NULL, NULL, 15),
(133227, NULL, 'PTHR43004:SF13', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00140)-RELATED', NULL, NULL, NULL, 15),
(133228, NULL, 'PTHR23155:SF1023', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133229, NULL, 'PTHR45621:SF186', NULL, NULL, NULL, NULL, 'BNAANNG25790D PROTEIN', NULL, NULL, NULL, 15),
(133230, NULL, 'PTHR18841', NULL, NULL, NULL, NULL, 'VITELLINE MEMBRANE OUTER LAYER PROTEIN I-RELATED', NULL, NULL, 1837, 15),
(133231, NULL, 'PTHR31528:SF3', NULL, NULL, NULL, NULL, 'THIAMINE BIOSYNTHESIS PROTEIN HI_0357-RELATED', NULL, NULL, NULL, 15),
(133232, NULL, 'PTHR30492', NULL, NULL, NULL, NULL, 'METHYLGLYOXAL SYNTHASE', NULL, NULL, 5781, 15),
(133233, NULL, 'PTHR11524:SF26', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN RLP7', NULL, NULL, NULL, 15),
(133234, NULL, 'PTHR46734:SF4', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR', NULL, NULL, NULL, 15),
(133235, NULL, 'PTHR10185:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D4', NULL, NULL, NULL, 15),
(133236, NULL, 'PTHR12304', NULL, NULL, NULL, NULL, 'INOSINE-URIDINE PREFERRING NUCLEOSIDE HYDROLASE', NULL, NULL, 13502, 15),
(133237, NULL, 'PTHR24064:SF477', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-4-RELATED', NULL, NULL, NULL, 15),
(133238, NULL, 'PTHR37259:SF3', NULL, NULL, NULL, NULL, 'BNAC09G38370D PROTEIN', NULL, NULL, NULL, 15),
(133239, NULL, 'PTHR45618:SF20', NULL, NULL, NULL, NULL, 'BRAIN MITOCHONDRIAL CARRIER PROTEIN 1', NULL, NULL, 26913, 15),
(133240, NULL, 'PTHR42923:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133241, NULL, 'PTHR33070:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133242, NULL, 'PTHR10183:SF385', NULL, NULL, NULL, NULL, 'CALPAIN-9', NULL, NULL, 25524, 15),
(133243, NULL, 'PTHR11394:SF75', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 103', NULL, NULL, NULL, 15),
(133244, NULL, 'PTHR24349:SF404', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 20-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(133245, NULL, 'PTHR33130:SF58', NULL, NULL, NULL, NULL, 'DUF1639 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(133246, NULL, 'PTHR11394:SF76', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(133247, NULL, 'PTHR34952:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133248, NULL, 'PTHR11589:SF10', NULL, NULL, NULL, NULL, 'BETA-NERVE GROWTH FACTOR', NULL, NULL, NULL, 15),
(133249, NULL, 'PTHR46748:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133250, NULL, 'PTHR12173:SF8', NULL, NULL, NULL, NULL, 'PERSEPHIN', NULL, NULL, NULL, 15),
(133251, NULL, 'PTHR11783:SF263', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(133252, NULL, 'PTHR16223:SF257', NULL, NULL, NULL, NULL, 'OSJNBA0017B10.16 PROTEIN', NULL, NULL, NULL, 15),
(133253, NULL, 'PTHR10388:SF64', NULL, NULL, NULL, NULL, 'BNAA09G12640D PROTEIN', NULL, NULL, NULL, 15),
(133254, NULL, 'PTHR45717:SF9', NULL, NULL, NULL, NULL, 'OS01G0301700 PROTEIN', NULL, NULL, NULL, 15),
(133255, NULL, 'PTHR36346', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(133256, NULL, 'PTHR30149', NULL, NULL, NULL, NULL, 'HYDROGENASE PROTEIN ASSEMBLY PROTEIN HYPD', NULL, NULL, 4587, 15),
(133257, NULL, 'PTHR31116:SF5', NULL, NULL, NULL, NULL, 'OS04G0501200 PROTEIN', NULL, NULL, NULL, 15),
(133258, NULL, 'PTHR33148:SF54', NULL, NULL, NULL, NULL, 'BNAA09G18570D PROTEIN', NULL, NULL, NULL, 15),
(133259, NULL, 'PTHR11017:SF351', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(133260, NULL, 'PTHR22422:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 5A', NULL, NULL, NULL, 15),
(133261, NULL, 'PTHR18860:SF105', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN D', NULL, NULL, NULL, 15),
(133262, NULL, 'PTHR11165:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133263, NULL, 'PTHR10026:SF61', NULL, NULL, NULL, NULL, 'CYCLIN-T1.2', NULL, NULL, NULL, 15),
(133264, NULL, 'PTHR33021:SF9', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(133265, NULL, 'PTHR34064:SF6', NULL, NULL, NULL, NULL, 'OS07G0530700 PROTEIN', NULL, NULL, NULL, 15),
(133266, NULL, 'PTHR46954', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133267, NULL, 'PTHR31451:SF42', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 3-RELATED', NULL, NULL, NULL, 15),
(133268, NULL, 'PTHR13027', NULL, NULL, NULL, NULL, 'SAND PROTEIN-RELATED', NULL, NULL, 5754, 15),
(133269, NULL, 'PTHR47834:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CITRX, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(133270, NULL, 'PTHR45671:SF14', NULL, NULL, NULL, NULL, 'PHOSPHATE CARRIER PROTEIN', NULL, NULL, NULL, 15),
(133271, NULL, 'PTHR47271:SF2', NULL, NULL, NULL, NULL, 'ARGININE DEIMINASE', NULL, NULL, NULL, 15),
(133272, NULL, 'PTHR31839:SF32', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1A', NULL, NULL, NULL, 15),
(133273, NULL, 'PTHR45914:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133274, NULL, 'PTHR42647:SF18', NULL, NULL, NULL, NULL, 'SBP (S-RIBONUCLEASE BINDING PROTEIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(133275, NULL, 'PTHR21477:SF12', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A10', NULL, NULL, NULL, 15),
(133276, NULL, 'PTHR36851:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(133277, NULL, 'PTHR24221:SF531', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133278, NULL, 'PTHR46261:SF10', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 3-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133279, NULL, 'PTHR46316:SF11', NULL, NULL, NULL, NULL, 'BNAA02G05310D PROTEIN', NULL, NULL, 30370, 15),
(133280, NULL, 'PTHR24393:SF62', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 732', NULL, NULL, NULL, 15),
(133281, NULL, 'PTHR36075:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(133282, NULL, 'PTHR24343:SF342', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(133283, NULL, 'PTHR32285:SF297', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 33 ISOFORM X1', NULL, NULL, NULL, 15),
(133284, NULL, 'PTHR31474:SF10', NULL, NULL, NULL, NULL, 'HR-LIKE LESION-INDUCING PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(133285, NULL, 'PTHR23078:SF4', NULL, NULL, NULL, NULL, 'BNAA01G17650D PROTEIN', NULL, NULL, NULL, 15),
(133286, NULL, 'PTHR15505:SF1', NULL, NULL, NULL, NULL, 'BMP AND ACTIVIN MEMBRANE-BOUND INHIBITOR HOMOLOG', NULL, NULL, 14878, 15),
(133287, NULL, 'PTHR11728:SF33', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)]', NULL, NULL, NULL, 15),
(133288, NULL, 'PTHR11062:SF43', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(133289, NULL, 'PTHR13305:SF3', NULL, NULL, NULL, NULL, 'BNAA09G10290D PROTEIN', NULL, NULL, NULL, 15),
(133290, NULL, 'PTHR33676:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133291, NULL, 'PTHR23147:SF170', NULL, NULL, NULL, NULL, 'BNAA07G08020D PROTEIN', NULL, NULL, NULL, 15),
(133292, NULL, 'PTHR23079:SF27', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(133293, NULL, 'PTHR23264:SF33', NULL, NULL, NULL, NULL, 'CYTOSOLIC FE-S CLUSTER ASSEMBLY FACTOR NBP35', NULL, NULL, NULL, 15),
(133294, NULL, 'PTHR12937:SF3', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 28 HOMOLOG 1', NULL, NULL, NULL, 15),
(133295, NULL, 'PTHR45654:SF29', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG2-LIKE', NULL, NULL, NULL, 15),
(133296, NULL, 'PTHR46321:SF1', NULL, NULL, NULL, NULL, 'KIF1-BINDING PROTEIN', NULL, NULL, NULL, 15),
(133297, NULL, 'PTHR24322:SF734', NULL, NULL, NULL, NULL, 'SI:DKEY-221H15.4', NULL, NULL, NULL, 15),
(133298, NULL, 'PTHR40518:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133299, NULL, 'PTHR34524:SF2', NULL, NULL, NULL, NULL, 'CALCYPHOSIN', NULL, NULL, NULL, 15),
(133300, NULL, 'PTHR10257:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(133301, NULL, 'PTHR31731:SF83', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(133302, NULL, 'PTHR18945:SF850', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID (GABA) A RECEPTOR, RHO 3A', NULL, NULL, NULL, 15),
(133303, NULL, 'PTHR10683:SF16', NULL, NULL, NULL, NULL, 'TRANSALDOLASE A', NULL, NULL, NULL, 15),
(133304, NULL, 'PTHR32295:SF23', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(133305, NULL, 'PTHR11909:SF324', NULL, NULL, NULL, NULL, 'CK1 FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(133306, NULL, 'PTHR31042:SF113', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING ENZYME', NULL, NULL, NULL, 15),
(133307, NULL, 'PTHR45696:SF10', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1', NULL, NULL, NULL, 15),
(133308, NULL, 'PTHR14113:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133309, NULL, 'PTHR31589:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133310, NULL, 'PTHR13778', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 8 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(133311, NULL, 'PTHR23503:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG01151', NULL, NULL, NULL, 15),
(133312, NULL, 'PTHR31594:SF11', NULL, NULL, NULL, NULL, 'SI:CH1073-464P5.5-RELATED', NULL, NULL, NULL, 15),
(133313, NULL, 'PTHR12138:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133314, NULL, 'PTHR22930:SF219', NULL, NULL, NULL, NULL, 'OS09G0292300 PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133315, NULL, 'PTHR22751:SF102', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(133316, NULL, 'PTHR24078:SF555', NULL, NULL, NULL, NULL, 'FAMILY B PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(133317, NULL, 'PTHR34537:SF2', NULL, NULL, NULL, NULL, 'FERREDOXIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(133318, NULL, 'PTHR23524', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04850)-RELATED', NULL, NULL, NULL, 15),
(133319, NULL, 'PTHR28154', NULL, NULL, NULL, NULL, 'CELL WALL SYNTHESIS PROTEIN KNH1-RELATED', NULL, NULL, 38522, 15),
(133320, NULL, 'PTHR24351:SF189', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C', NULL, NULL, NULL, 15),
(133321, NULL, 'PTHR48056:SF10', NULL, NULL, NULL, NULL, 'BNAC07G16060D PROTEIN', NULL, NULL, NULL, 15),
(133322, NULL, 'PTHR37459', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133323, NULL, 'PTHR31194:SF79', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-11-LIKE', NULL, NULL, NULL, 15),
(133324, NULL, 'PTHR24416:SF489', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', NULL, NULL, NULL, 15),
(133325, NULL, 'PTHR45081:SF2', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133326, NULL, 'PTHR10891:SF815', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML35-RELATED', NULL, NULL, NULL, 15),
(133327, NULL, 'PTHR43047:SF47', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE/RESPONSE REGULATOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(133328, NULL, 'PTHR10917', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC3', NULL, NULL, 1541, 15),
(133329, NULL, 'PTHR12725:SF119', NULL, NULL, NULL, NULL, 'OS07G0634400 PROTEIN', NULL, NULL, NULL, 15),
(133330, NULL, 'PTHR47008:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CORDON-BLEU', NULL, NULL, NULL, 15),
(133331, NULL, 'PTHR48002:SF55', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(133332, NULL, 'PTHR10000:SF53', NULL, NULL, NULL, NULL, '5-AMINO-6-(5-PHOSPHO-D-RIBITYLAMINO)URACIL PHOSPHATASE YBJI-RELATED', NULL, NULL, NULL, 15),
(133333, NULL, 'PTHR13808:SF30', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE HAC4-RELATED', NULL, NULL, NULL, 15),
(133334, NULL, 'PTHR24320:SF199', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G15915)', NULL, NULL, NULL, 15),
(133335, NULL, 'PTHR47970:SF2', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-5D', NULL, NULL, NULL, 15),
(133336, NULL, 'PTHR33186:SF18', NULL, NULL, NULL, NULL, 'OS10G0136150 PROTEIN', NULL, NULL, NULL, 15),
(133337, NULL, 'PTHR10339:SF24', NULL, NULL, NULL, NULL, 'T-CELL ECTO-ADP-RIBOSYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(133338, NULL, 'PTHR24384:SF116', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 682', NULL, NULL, NULL, 15),
(133339, NULL, 'PTHR47923:SF1', NULL, NULL, NULL, NULL, 'INSERTION ELEMENT IS1 1 PROTEIN INSA-RELATED', NULL, NULL, NULL, 15),
(133340, NULL, 'PTHR31674:SF28', NULL, NULL, NULL, NULL, 'AMINOACYLASE', NULL, NULL, NULL, 15),
(133341, NULL, 'PTHR47993:SF26', NULL, NULL, NULL, NULL, 'BNAA01G26420D PROTEIN', NULL, NULL, NULL, 15),
(133342, NULL, 'PTHR17068:SF11', NULL, NULL, NULL, NULL, 'MYELOID-ASSOCIATED DIFFERENTIATION MARKER-LIKE PROTEIN 2 ISOFORM X1', NULL, NULL, NULL, 15),
(133343, NULL, 'PTHR10783:SF107', NULL, NULL, NULL, NULL, 'BNAC08G39940D PROTEIN', NULL, NULL, NULL, 15),
(133344, NULL, 'PTHR30238:SF6', NULL, NULL, NULL, NULL, 'TERC-LIKE PROTEIN', NULL, NULL, NULL, 15),
(133345, NULL, 'PTHR46373:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133346, NULL, 'PTHR27001:SF561', NULL, NULL, NULL, NULL, 'OS02G0821400 PROTEIN', NULL, NULL, NULL, 15),
(133347, NULL, 'PTHR10291:SF2', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE COMPLEX SUBUNIT SRT1', NULL, NULL, NULL, 15),
(133348, NULL, 'PTHR47527:SF4', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(133349, NULL, 'PTHR21139:SF23', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133350, NULL, 'PTHR43671:SF65', NULL, NULL, NULL, NULL, 'NIMA-RELATED KINASE 1-RELATED', NULL, NULL, NULL, 15),
(133351, NULL, 'PTHR22884:SF499', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(133352, NULL, 'PTHR47202:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133353, NULL, 'PTHR11960:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E CLASS II 2B', NULL, NULL, NULL, 15),
(133354, NULL, 'PTHR31282:SF73', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 30-RELATED', NULL, NULL, NULL, 15),
(133355, NULL, 'PTHR23085', NULL, NULL, NULL, NULL, 'GH28348P', NULL, NULL, 21924, 15),
(133356, NULL, 'PTHR43738:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133357, NULL, 'PTHR10127:SF843', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-13', NULL, NULL, NULL, 15),
(133358, NULL, 'PTHR47284:SF3', NULL, NULL, NULL, NULL, 'FATTY-ACID-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(133359, NULL, 'PTHR14873', NULL, NULL, NULL, NULL, 'OS06G0694100 PROTEIN', NULL, NULL, NULL, 15),
(133360, NULL, 'PTHR10539:SF0', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 13', NULL, NULL, NULL, 15),
(133361, NULL, 'PTHR32183:SF6', NULL, NULL, NULL, NULL, 'CYANOBACTERIA-SPECIFIC PROTEIN-LIKE', NULL, NULL, NULL, 15),
(133362, NULL, 'PTHR14206:SF3', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC ANGIOGENESIS INHIBITOR 1-ASSOCIATED PROTEIN 2', NULL, NULL, 22329, 15),
(133363, NULL, 'PTHR13468:SF15', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER F FAMILY MEMBER 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(133364, NULL, 'PTHR23065:SF7', NULL, NULL, NULL, NULL, 'CYTOKINESIS PROTEIN 2', NULL, NULL, NULL, 15),
(133365, NULL, 'PTHR24399:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(133366, NULL, 'PTHR24012:SF831', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN 28', NULL, NULL, NULL, 15),
(133367, NULL, 'PTHR11949:SF24', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 10', NULL, NULL, NULL, 15),
(133368, NULL, 'PTHR43205:SF52', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT ALKENAL DOUBLE BOND REDUCTASE', NULL, NULL, NULL, 15),
(133369, NULL, 'PTHR31766:SF8', NULL, NULL, NULL, NULL, 'TRAM, LAG1 AND CLN8 (TLC) LIPID-SENSING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(133370, NULL, 'PTHR47293:SF11', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 13-RELATED', NULL, NULL, NULL, 15),
(133371, NULL, 'PTHR40351:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG19321', NULL, NULL, NULL, 15),
(133372, NULL, 'PTHR22621:SF6', NULL, NULL, NULL, NULL, 'RAS AND EF-HAND DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(133373, NULL, 'PTHR10048:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133374, NULL, 'PTHR42861:SF79', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE 1', NULL, NULL, NULL, 15),
(133375, NULL, 'PTHR33696:SF1', NULL, NULL, NULL, NULL, 'T22J18.15', NULL, NULL, NULL, 15),
(133376, NULL, 'PTHR19304:SF40', NULL, NULL, NULL, NULL, 'ATF/CREB ACTIVATOR 1', NULL, NULL, 28690, 15),
(133377, NULL, 'PTHR47340:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133378, NULL, 'PTHR31803:SF27', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE', NULL, NULL, NULL, 15),
(133379, NULL, 'PTHR31496:SF39', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR KAN1', NULL, NULL, NULL, 15),
(133380, NULL, 'PTHR24349:SF412', NULL, NULL, NULL, NULL, 'BNAA09G09050D PROTEIN', NULL, NULL, NULL, 15),
(133381, NULL, 'PTHR24006:SF665', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', NULL, NULL, NULL, 15),
(133382, NULL, 'PTHR24228:SF55', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 75-RELATED', NULL, NULL, NULL, 15),
(133383, NULL, 'PTHR12887:SF13', NULL, NULL, NULL, NULL, 'NANOS HOMOLOG 1', NULL, NULL, NULL, 15),
(133384, NULL, 'PTHR46179:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER X-LINKED PROTEIN ZXDA', NULL, NULL, NULL, 15),
(133385, NULL, 'PTHR10283:SF82', NULL, NULL, NULL, NULL, 'PROTEIN I''M NOT DEAD YET-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133386, NULL, 'PTHR12131:SF19', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH15 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(133387, NULL, 'PTHR31901:SF52', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE GH3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(133388, NULL, 'PTHR43245:SF18', NULL, NULL, NULL, NULL, 'BLR2818 PROTEIN', NULL, NULL, NULL, 15),
(133389, NULL, 'PTHR10707:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 4I1,-LIKE', NULL, NULL, NULL, 15),
(133390, NULL, 'PTHR13140:SF291', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IA', NULL, NULL, NULL, 15),
(133391, NULL, 'PTHR45125:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133392, NULL, 'PTHR10485:SF21', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSLOCASE COMPLEX, SUBUNIT TIM17-RELATED', NULL, NULL, NULL, 15),
(133393, NULL, 'PTHR12632:SF57', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR Y SUBUNIT A-1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(133394, NULL, 'PTHR10953:SF162', NULL, NULL, NULL, NULL, 'SUMO-ACTIVATING ENZYME SUBUNIT 1', NULL, NULL, NULL, 15),
(133395, NULL, 'PTHR39456:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133396, NULL, 'PTHR45635', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1-RELATED-RELATED', NULL, NULL, 1080, 15),
(133397, NULL, 'PTHR11014:SF153', NULL, NULL, NULL, NULL, 'PEPTIDASE M20, DIMERIZATION DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133398, NULL, 'PTHR47972:SF40', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14J', NULL, NULL, NULL, 15),
(133399, NULL, 'PTHR31901:SF80', NULL, NULL, NULL, NULL, 'BNAA04G16140D PROTEIN', NULL, NULL, NULL, 15),
(133400, NULL, 'PTHR22846:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133401, NULL, 'PTHR21230:SF66', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE 12', NULL, NULL, NULL, 15),
(133402, NULL, 'PTHR46082:SF8', NULL, NULL, NULL, NULL, 'PFS, NB-ARC AND TPR DOMAIN PROTEIN (JCVI)', NULL, NULL, NULL, 15),
(133403, NULL, 'PTHR24247:SF221', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 1', NULL, NULL, NULL, 15),
(133404, NULL, 'PTHR38048:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(133405, NULL, 'PTHR11685:SF299', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(133406, NULL, 'PTHR15478:SF11', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY LIKE DOMAIN FAMILY A MEMBER 3', NULL, NULL, NULL, 15),
(133407, NULL, 'PTHR46776:SF15', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 7-LIKE', NULL, NULL, NULL, 15),
(133408, NULL, 'PTHR31139:SF6', NULL, NULL, NULL, NULL, 'PROTEIN LIMB EXPRESSION 1 HOMOLOG', NULL, NULL, NULL, 15),
(133409, NULL, 'PTHR48081:SF13', NULL, NULL, NULL, NULL, 'BLR7622 PROTEIN', NULL, NULL, NULL, 15),
(133410, NULL, 'PTHR10127:SF823', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-33', NULL, NULL, NULL, 15),
(133411, NULL, 'PTHR11269:SF13', NULL, NULL, NULL, NULL, 'PERIOD CIRCADIAN PROTEIN HOMOLOG 3', NULL, NULL, 8454, 15),
(133412, NULL, 'PTHR24203:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133413, NULL, 'PTHR46249:SF33', NULL, NULL, NULL, NULL, 'VIRAL MOVEMENT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133414, NULL, 'PTHR44191:SF4', NULL, NULL, NULL, NULL, 'OS01G0187900 PROTEIN', NULL, NULL, NULL, 15),
(133415, NULL, 'PTHR21174', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 10866, 15),
(133416, NULL, 'PTHR23315:SF7', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(133417, NULL, 'PTHR31744:SF12', NULL, NULL, NULL, NULL, 'OS02G0579000 PROTEIN', NULL, NULL, NULL, 15),
(133418, NULL, 'PTHR48043:SF40', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(133419, NULL, 'PTHR32370', NULL, NULL, NULL, NULL, 'OS12G0117600 PROTEIN', NULL, NULL, 38063, 15),
(133420, NULL, 'PTHR46206:SF8', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(133421, NULL, 'PTHR45935:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133422, NULL, 'PTHR11767:SF51', NULL, NULL, NULL, NULL, 'INWARD RECTIFIER POTASSIUM CHANNEL IRK-1', NULL, NULL, NULL, 15),
(133423, NULL, 'PTHR32370:SF102', NULL, NULL, NULL, NULL, 'ROOT PHOTOTROPISM PROTEIN 3', NULL, NULL, NULL, 15),
(133424, NULL, 'PTHR10758:SF11', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 3-RELATED', NULL, NULL, NULL, 15),
(133425, NULL, 'PTHR26453:SF657', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 10 SUBFAMILY H MEMBER 1', NULL, NULL, NULL, 15),
(133426, NULL, 'PTHR45627:SF15', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', NULL, NULL, NULL, 15),
(133427, NULL, 'PTHR11021:SF8', NULL, NULL, NULL, NULL, 'SM-LIKE PROTEIN LSM36B-RELATED', NULL, NULL, NULL, 15),
(133428, NULL, 'PTHR13720:SF40', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 54', NULL, NULL, NULL, 15),
(133429, NULL, 'PTHR38007:SF1', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMS PROTEIN CSM5', NULL, NULL, NULL, 15),
(133430, NULL, 'PTHR19422:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133431, NULL, 'PTHR24067:SF307', NULL, NULL, NULL, NULL, 'BNAC09G21080D PROTEIN', NULL, NULL, NULL, 15),
(133432, NULL, 'PTHR31579:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133433, NULL, 'PTHR47967:SF23', NULL, NULL, NULL, NULL, 'OS08G0469000 PROTEIN', NULL, NULL, NULL, 15),
(133434, NULL, 'PTHR19338:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133435, NULL, 'PTHR33835', NULL, NULL, NULL, NULL, 'YALI0C07656P', NULL, NULL, 26426, 15),
(133436, NULL, 'PTHR37010:SF1', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE TUSE', NULL, NULL, NULL, 15),
(133437, NULL, 'PTHR23426:SF54', NULL, NULL, NULL, NULL, 'ADRENODOXIN-LIKE PROTEIN 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(133438, NULL, 'PTHR12001:SF75', NULL, NULL, NULL, NULL, 'SOLANESYL DIPHOSPHATE SYNTHASE 2 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(133439, NULL, 'PTHR12112:SF22', NULL, NULL, NULL, NULL, 'MANGANESE-DEPENDENT INORGANIC PYROPHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(133440, NULL, 'PTHR31731:SF107', NULL, NULL, NULL, NULL, 'BNAANNG07290D PROTEIN', NULL, NULL, NULL, 15),
(133441, NULL, 'PTHR34310:SF8', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(133442, NULL, 'PTHR15735:SF13', NULL, NULL, NULL, NULL, 'FORMIN-BINDING PROTEIN 1', NULL, NULL, 24034, 15),
(133443, NULL, 'PTHR43670:SF76', NULL, NULL, NULL, NULL, 'BNAANNG33010D PROTEIN', NULL, NULL, NULL, 15),
(133444, NULL, 'PTHR30024:SF36', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(133445, NULL, 'PTHR31901:SF91', NULL, NULL, NULL, NULL, 'BNAA03G52600D PROTEIN', NULL, NULL, NULL, 15),
(133446, NULL, 'PTHR24006:SF771', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 13', NULL, NULL, NULL, 15),
(133447, NULL, 'PTHR21083:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PIH1D3', NULL, NULL, NULL, 15),
(133448, NULL, 'PTHR11654:SF375', NULL, NULL, NULL, NULL, 'OS03G0286700 PROTEIN', NULL, NULL, NULL, 15),
(133449, NULL, 'PTHR24155:SF10', NULL, NULL, NULL, NULL, 'OSTEOCLAST-STIMULATING FACTOR 1', NULL, NULL, NULL, 15),
(133450, NULL, 'PTHR21576:SF95', NULL, NULL, NULL, NULL, 'NODULIN-LIKE/MFS TRANSPORTER', NULL, NULL, NULL, 15),
(133451, NULL, 'PTHR24104:SF21', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(133452, NULL, 'PTHR48017:SF87', NULL, NULL, NULL, NULL, 'PROLINE TRANSPORTER 2', NULL, NULL, NULL, 15),
(133453, NULL, 'PTHR12120:SF8', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 27', NULL, NULL, 15951, 15),
(133454, NULL, 'PTHR12411:SF14', NULL, NULL, NULL, NULL, 'CATHEPSIN Z', NULL, NULL, NULL, 15),
(133455, NULL, 'PTHR42724:SF1', NULL, NULL, NULL, NULL, 'TETRAACYLDISACCHARIDE 4''-KINASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(133456, NULL, 'PTHR11165:SF135', NULL, NULL, NULL, NULL, 'BNAANNG29490D PROTEIN', NULL, NULL, NULL, 15),
(133457, NULL, 'PTHR10476:SF23', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 2A HOMOLOG 2', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133458, NULL, 'PTHR23421:SF172', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(133459, NULL, 'PTHR10912:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYL CYCLASE/CYCLIC ADP-RIBOSE HYDROLASE 2', NULL, NULL, NULL, 15),
(133460, NULL, 'PTHR45967:SF17', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(133461, NULL, 'PTHR12801:SF143', NULL, NULL, NULL, NULL, 'BNAA09G02180D PROTEIN', NULL, NULL, NULL, 15),
(133462, NULL, 'PTHR30329', NULL, NULL, NULL, NULL, 'STATOR ELEMENT OF FLAGELLAR MOTOR COMPLEX', NULL, NULL, NULL, 15),
(133463, NULL, 'PTHR32120', NULL, NULL, NULL, NULL, 'SMALL RIBOSOMAL SUBUNIT BIOGENESIS GTPASE RSGA', NULL, NULL, 7077, 15),
(133464, NULL, 'PTHR34631:SF3', NULL, NULL, NULL, NULL, 'ISSOD12 TRANSPOSASE TNPA_ISSOD12', NULL, NULL, NULL, 15),
(133465, NULL, 'PTHR24369:SF156', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND IG DOMAIN CONTAINING 2', NULL, NULL, NULL, 15),
(133466, NULL, 'PTHR30354:SF24', NULL, NULL, NULL, NULL, 'GLUCONATE PERMEASE', NULL, NULL, NULL, 15),
(133467, NULL, 'PTHR37577', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133468, NULL, 'PTHR12867:SF8', NULL, NULL, NULL, NULL, 'ALG13 UDP-N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT', NULL, NULL, NULL, 15),
(133469, NULL, 'PTHR33349:SF21', NULL, NULL, NULL, NULL, 'OS02G0462200 PROTEIN', NULL, NULL, NULL, 15),
(133470, NULL, 'PTHR21495:SF85', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(133471, NULL, 'PTHR21136:SF209', NULL, NULL, NULL, NULL, 'BNAC04G43180D PROTEIN', NULL, NULL, NULL, 15),
(133472, NULL, 'PTHR28626:SF5', NULL, NULL, NULL, NULL, 'BNAA10G12530D PROTEIN', NULL, NULL, NULL, 15),
(133473, NULL, 'PTHR10641:SF1276', NULL, NULL, NULL, NULL, 'MYB-RELATED TRANSCRIPTION FACTOR LBM1', NULL, NULL, NULL, 15),
(133474, NULL, 'PTHR48050:SF13', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE UGT80A2', NULL, NULL, NULL, 15),
(133475, NULL, 'PTHR13169:SF11', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN', NULL, NULL, NULL, 15),
(133476, NULL, 'PTHR35081:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 105', NULL, NULL, NULL, 15),
(133477, NULL, 'PTHR43977:SF4', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN', NULL, NULL, NULL, 15),
(133478, NULL, 'PTHR43918:SF3', NULL, NULL, NULL, NULL, 'ACETYLCHOLINESTERASE', NULL, NULL, NULL, 15),
(133479, NULL, 'PTHR48018:SF3', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5D16', NULL, NULL, NULL, 15),
(133480, NULL, 'PTHR11537:SF167', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY G MEMBER 4', NULL, NULL, NULL, 15),
(133481, NULL, 'PTHR23017:SF22', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(133482, NULL, 'PTHR13833:SF73', NULL, NULL, NULL, NULL, 'NHL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(133483, NULL, 'PTHR19845:SF14', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1 HOMOLOG', NULL, NULL, NULL, 15),
(133484, NULL, 'PTHR47224', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 25', NULL, NULL, 36620, 15),
(133485, NULL, 'PTHR31642:SF196', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(133486, NULL, 'PTHR37745:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(133487, NULL, 'PTHR33136:SF4', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 32', NULL, NULL, NULL, 15),
(133488, NULL, 'PTHR21213:SF19', NULL, NULL, NULL, NULL, 'PROTEIN METHYLENE BLUE SENSITIVITY 1', NULL, NULL, NULL, 15),
(133489, NULL, 'PTHR46128:SF170', NULL, NULL, NULL, NULL, 'BNAC04G31760D PROTEIN', NULL, NULL, NULL, 15),
(133490, NULL, 'PTHR23500:SF463', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 5', NULL, NULL, NULL, 15),
(133491, NULL, 'PTHR34198:SF18', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(133492, NULL, 'PTHR48151', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(133493, NULL, 'PTHR31871:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133494, NULL, 'PTHR10980:SF54', NULL, NULL, NULL, NULL, 'BNAC08G15330D PROTEIN', NULL, NULL, NULL, 15),
(133495, NULL, 'PTHR42760:SF96', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE FABG', NULL, NULL, NULL, 15),
(133496, NULL, 'PTHR33994:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133497, NULL, 'PTHR11706:SF95', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 2', NULL, NULL, NULL, 15),
(133498, NULL, 'PTHR43795:SF44', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 11', NULL, NULL, NULL, 15),
(133499, NULL, 'PTHR47746:SF19', NULL, NULL, NULL, NULL, 'H PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(133500, NULL, 'PTHR33191:SF35', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(133501, NULL, 'PTHR10648:SF29', NULL, NULL, NULL, NULL, 'BNAA07G37150D PROTEIN', NULL, NULL, NULL, 15),
(133502, NULL, 'PTHR33133:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133503, NULL, 'PTHR23272:SF143', NULL, NULL, NULL, NULL, 'HAT FAMILY DIMERISATION DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(133504, NULL, 'PTHR22599:SF52', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 1 HOMOLOG C', NULL, NULL, NULL, 15),
(133505, NULL, 'PTHR46473:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 52', NULL, NULL, NULL, 15),
(133506, NULL, 'PTHR43243:SF67', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(133507, NULL, 'PTHR12313:SF70', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(133508, NULL, 'PTHR30474:SF2', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN GLYCOSYLTRANSFERASE FTSW-RELATED', NULL, NULL, NULL, 15),
(133509, NULL, 'PTHR47324:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG04432', NULL, NULL, NULL, 15),
(133510, NULL, 'PTHR24070:SF252', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN FAMILY MEMBER 12', NULL, NULL, NULL, 15),
(133511, NULL, 'PTHR46502:SF20', NULL, NULL, NULL, NULL, 'BNACNNG14820D PROTEIN', NULL, NULL, NULL, 15),
(133512, NULL, 'PTHR45632:SF18', NULL, NULL, NULL, NULL, 'KELCH-LIKE FAMILY MEMBER 43', NULL, NULL, NULL, 15),
(133513, NULL, 'PTHR30478', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT BETA', NULL, NULL, 4469, 15),
(133514, NULL, 'PTHR10915:SF6', NULL, NULL, NULL, NULL, 'SYNDECAN-2', NULL, NULL, 24949, 15),
(133515, NULL, 'PTHR12035:SF122', NULL, NULL, NULL, NULL, 'SI:DKEY-238D18.7-RELATED', NULL, NULL, NULL, 15),
(133516, NULL, 'PTHR16254:SF18', NULL, NULL, NULL, NULL, 'K(+) EFFLUX ANTIPORTER 4-LIKE', NULL, NULL, NULL, 15),
(133517, NULL, 'PTHR31562:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133518, NULL, 'PTHR11848:SF117', NULL, NULL, NULL, NULL, 'INHIBIN ALPHA CHAIN', NULL, NULL, 21512, 15),
(133519, NULL, 'PTHR24286:SF217', NULL, NULL, NULL, NULL, 'DAMMARENEDIOL 12-HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(133520, NULL, 'PTHR45863:SF33', NULL, NULL, NULL, NULL, 'BNAA02G07320D PROTEIN', NULL, NULL, NULL, 15),
(133521, NULL, 'PTHR21660:SF7', NULL, NULL, NULL, NULL, 'ESTERASE PA0474-RELATED', NULL, NULL, NULL, 15),
(133522, NULL, 'PTHR32071:SF88', NULL, NULL, NULL, NULL, 'SIGMA L-DEPENDENT TRANSCRIPTIONAL REGULATOR YQIR-RELATED', NULL, NULL, NULL, 15),
(133523, NULL, 'PTHR13793:SF133', NULL, NULL, NULL, NULL, 'BROMODOMAIN AND PHD FINGER-CONTAINING, 3A', NULL, NULL, NULL, 15),
(133524, NULL, 'PTHR11849:SF275', NULL, NULL, NULL, NULL, 'FLI-1 PROTO-ONCOGENE, ETS TRANSCRIPTION FACTOR B', NULL, NULL, NULL, 15),
(133525, NULL, 'PTHR11412:SF81', NULL, NULL, NULL, NULL, 'COMPLEMENT C3', NULL, NULL, 32963, 15),
(133526, NULL, 'PTHR13140:SF747', NULL, NULL, NULL, NULL, 'MYOSIN IEB', NULL, NULL, NULL, 15),
(133527, NULL, 'PTHR24064:SF205', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 12', NULL, NULL, NULL, 15),
(133528, NULL, 'PTHR10369:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L44-LIKE', NULL, NULL, NULL, 15),
(133529, NULL, 'PTHR46662:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133530, NULL, 'PTHR11850:SF142', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 11', NULL, NULL, NULL, 15),
(133531, NULL, 'PTHR31444:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133532, NULL, 'PTHR33740:SF7', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE/TRANSITION METAL ION-BINDING PROTEIN', NULL, NULL, NULL, 15),
(133533, NULL, 'PTHR39235:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT Y', NULL, NULL, NULL, 15),
(133534, NULL, 'PTHR31258:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 54A-RELATED', NULL, NULL, NULL, 15),
(133535, NULL, 'PTHR47858:SF2', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(133536, NULL, 'PTHR31232:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133537, NULL, 'PTHR48017:SF36', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1F-RELATED', NULL, NULL, NULL, 15),
(133538, NULL, 'PTHR33373:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133539, NULL, 'PTHR46050:SF17', NULL, NULL, NULL, NULL, 'BNAC01G31360D PROTEIN', NULL, NULL, NULL, 15),
(133540, NULL, 'PTHR33221:SF10', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ISCR', NULL, NULL, NULL, 15),
(133541, NULL, 'PTHR34563:SF5', NULL, NULL, NULL, NULL, 'OS09G0380100 PROTEIN', NULL, NULL, NULL, 15),
(133542, NULL, 'PTHR31579:SF39', NULL, NULL, NULL, NULL, 'OS01G0973600 PROTEIN', NULL, NULL, NULL, 15),
(133543, NULL, 'PTHR24559:SF348', NULL, NULL, NULL, NULL, 'PROTEIN NYNRIN-LIKE', NULL, NULL, NULL, 15),
(133544, NULL, 'PTHR31072:SF132', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP17-LIKE', NULL, NULL, NULL, 15),
(133545, NULL, 'PTHR27008:SF444', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133546, NULL, 'PTHR10722:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L19', NULL, NULL, NULL, 15),
(133547, NULL, 'PTHR45684:SF35', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1A-LIKE', NULL, NULL, NULL, 15),
(133548, NULL, 'PTHR32077:SF73', NULL, NULL, NULL, NULL, 'OS09G0482780 PROTEIN', NULL, NULL, NULL, 15),
(133549, NULL, 'PTHR47255', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 22-RELATED', NULL, NULL, NULL, 15),
(133550, NULL, 'PTHR43173:SF27', NULL, NULL, NULL, NULL, 'AARF DOMAIN-CONTAINING KINASE 5', NULL, NULL, NULL, 15),
(133551, NULL, 'PTHR12957:SF22', NULL, NULL, NULL, NULL, 'SAGE1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133552, NULL, 'PTHR33265:SF42', NULL, NULL, NULL, NULL, 'BNAC05G37030D PROTEIN', NULL, NULL, NULL, 15),
(133553, NULL, 'PTHR36048:SF2', NULL, NULL, NULL, NULL, 'BNAA01G13530D PROTEIN', NULL, NULL, NULL, 15),
(133554, NULL, 'PTHR15241:SF344', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 44', NULL, NULL, NULL, 15),
(133555, NULL, 'PTHR11732:SF418', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL NADPH-DEPENDENT CODEINONE REDUCTASE 2-LIKE', NULL, NULL, NULL, 15),
(133556, NULL, 'PTHR11926:SF508', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(133557, NULL, 'PTHR24123:SF74', NULL, NULL, NULL, NULL, 'ANKYRIN 3', NULL, NULL, NULL, 15),
(133558, NULL, 'PTHR24096:SF169', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 3', NULL, NULL, NULL, 15),
(133559, NULL, 'PTHR15221', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 3', NULL, NULL, 24133, 15),
(133560, NULL, 'PTHR10209:SF768', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(133561, NULL, 'PTHR43323:SF2', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', NULL, NULL, NULL, 15),
(133562, NULL, 'PTHR27004:SF324', NULL, NULL, NULL, NULL, 'BNAC05G19280D PROTEIN', NULL, NULL, NULL, 15),
(133563, NULL, 'PTHR46758:SF14', NULL, NULL, NULL, NULL, 'BNAC06G26790D PROTEIN', NULL, NULL, NULL, 15),
(133564, NULL, 'PTHR11945:SF535', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL29', NULL, NULL, NULL, 15),
(133565, NULL, 'PTHR33172:SF40', NULL, NULL, NULL, NULL, 'MAJOR CENTROMERE AUTOANTIGEN B-LIKE PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133566, NULL, 'PTHR27002:SF860', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8 ISOFORM X1', NULL, NULL, NULL, 15),
(133567, NULL, 'PTHR14955:SF4', NULL, NULL, NULL, NULL, 'AGAP005259-PA', NULL, NULL, NULL, 15),
(133568, NULL, 'PTHR47148', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(133569, NULL, 'PTHR33021:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133570, NULL, 'PTHR43128:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133571, NULL, 'PTHR11993:SF36', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT C/D', NULL, NULL, NULL, 15),
(133572, NULL, 'PTHR23003:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133573, NULL, 'PTHR13645:SF0', NULL, NULL, NULL, NULL, 'DEFENSIN', NULL, NULL, NULL, 15),
(133574, NULL, 'PTHR10807:SF122', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133575, NULL, 'PTHR26453:SF269', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(133576, NULL, 'PTHR23043:SF19', NULL, NULL, NULL, NULL, 'SINGLE-MINDED HOMOLOG 2', NULL, NULL, NULL, 15),
(133577, NULL, 'PTHR15454:SF51', NULL, NULL, NULL, NULL, 'OUTER ARM DYNEIN LIGHT CHAIN 1 PROTEIN', NULL, NULL, NULL, 15),
(133578, NULL, 'PTHR31096:SF66', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133579, NULL, 'PTHR23429:SF15', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE', NULL, NULL, NULL, 15),
(133580, NULL, 'PTHR48015:SF21', NULL, NULL, NULL, NULL, 'MISSHAPEN, ISOFORM A', NULL, NULL, NULL, 15),
(133581, NULL, 'PTHR12406:SF29', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PHOSPHOLIPASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(133582, NULL, 'PTHR12172:SF4', NULL, NULL, NULL, NULL, 'CHECKPOINT PROTEIN RAD17/RAD24-RELATED', NULL, NULL, NULL, 15),
(133583, NULL, 'PTHR43447:SF6', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE ISOZYME 3A', NULL, NULL, NULL, 15),
(133584, NULL, 'PTHR21660:SF46', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(133585, NULL, 'PTHR38926:SF31', NULL, NULL, NULL, NULL, 'BNAA09G01730D PROTEIN', NULL, NULL, NULL, 15),
(133586, NULL, 'PTHR42718:SF17', NULL, NULL, NULL, NULL, 'TETRACENOMYCIN C EFFLUX PROTEIN', NULL, NULL, NULL, 15),
(133587, NULL, 'PTHR30502:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(133588, NULL, 'PTHR38357:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(133589, NULL, 'PTHR24637:SF353', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(133590, NULL, 'PTHR43323', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A SYNTHASE', NULL, NULL, NULL, 15),
(133591, NULL, 'PTHR46699', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STN8, CHLOROPLASTIC-RELATED', NULL, NULL, 36826, 15),
(133592, NULL, 'PTHR31867:SF82', NULL, NULL, NULL, NULL, 'EXPANSIN-A26', NULL, NULL, NULL, 15),
(133593, NULL, 'PTHR41309', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133594, NULL, 'PTHR43141', NULL, NULL, NULL, NULL, 'CYTOCHROME BD2 SUBUNIT II', NULL, NULL, 4388, 15),
(133595, NULL, 'PTHR10380:SF196', NULL, NULL, NULL, NULL, 'AGAP006497-PA', NULL, NULL, NULL, 15),
(133596, NULL, 'PTHR38033:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133597, NULL, 'PTHR23012:SF191', NULL, NULL, NULL, NULL, 'BNAA02G27020D PROTEIN', NULL, NULL, NULL, 15),
(133598, NULL, 'PTHR46760:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 1', NULL, NULL, NULL, 15),
(133599, NULL, 'PTHR47966:SF8', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE-RELATED', NULL, NULL, NULL, 15),
(133600, NULL, 'PTHR23018:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', NULL, NULL, NULL, 15),
(133601, NULL, 'PTHR18860:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133602, NULL, 'PTHR10331', NULL, NULL, NULL, NULL, 'T COMPLEX PROTEIN 10', NULL, NULL, 28578, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133603, NULL, 'PTHR22993:SF9', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 8-LIKE 1', NULL, NULL, NULL, 15),
(133604, NULL, 'PTHR11014:SF140', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 3', NULL, NULL, NULL, 15),
(133605, NULL, 'PTHR45521', NULL, NULL, NULL, NULL, 'TSET COMPLEX MEMBER TSTF', NULL, NULL, NULL, 15),
(133606, NULL, 'PTHR48002:SF4', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(133607, NULL, 'PTHR34468:SF3', NULL, NULL, NULL, NULL, 'MEDIATOR OF DNA DAMAGE CHECKPOINT PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(133608, NULL, 'PTHR47842:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133609, NULL, 'PTHR15592:SF18', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN L', NULL, NULL, NULL, 15),
(133610, NULL, 'PTHR35272:SF5', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN', NULL, NULL, NULL, 15),
(133611, NULL, 'PTHR43762:SF5', NULL, NULL, NULL, NULL, 'FAD LINKED OXIDASE, N-TERMINAL', NULL, NULL, NULL, 15),
(133612, NULL, 'PTHR30627', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN D,D-TRANSPEPTIDASE', NULL, NULL, NULL, 15),
(133613, NULL, 'PTHR31620:SF24', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(133614, NULL, 'PTHR47058:SF3', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 14 KDA SUBUNIT A-RELATED', NULL, NULL, NULL, 15),
(133615, NULL, 'PTHR24057:SF55', NULL, NULL, NULL, NULL, 'BNAA08G26100D PROTEIN', NULL, NULL, NULL, 15),
(133616, NULL, 'PTHR31418:SF3', NULL, NULL, NULL, NULL, 'FATTY ACID/RETINOL BINDING PROTEIN', NULL, NULL, NULL, 15),
(133617, NULL, 'PTHR43853:SF10', NULL, NULL, NULL, NULL, 'KETOTHIOLASE (KAT1), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12650)-RELATED', NULL, NULL, NULL, 15),
(133618, NULL, 'PTHR47928:SF50', NULL, NULL, NULL, NULL, 'OS01G0390600 PROTEIN', NULL, NULL, NULL, 15),
(133619, NULL, 'PTHR47999:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB11-RELATED', NULL, NULL, NULL, 15),
(133620, NULL, 'PTHR47965:SF47', NULL, NULL, NULL, NULL, 'OS01G0937600 PROTEIN', NULL, NULL, NULL, 15),
(133621, NULL, 'PTHR10438:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133622, NULL, 'PTHR31251:SF59', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 17', NULL, NULL, NULL, 15),
(133623, NULL, 'PTHR37329', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SOS7', NULL, NULL, 34088, 15),
(133624, NULL, 'PTHR46905:SF14', NULL, NULL, NULL, NULL, 'BNAA06G03250D PROTEIN', NULL, NULL, NULL, 15),
(133625, NULL, 'PTHR47025:SF2', NULL, NULL, NULL, NULL, 'AUTOIMMUNE REGULATOR', NULL, NULL, NULL, 15),
(133626, NULL, 'PTHR12820:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE TRAFFICKING VPS53 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133627, NULL, 'PTHR12674:SF8', NULL, NULL, NULL, NULL, 'BNAA09G05390D PROTEIN', NULL, NULL, NULL, 15),
(133628, NULL, 'PTHR21964:SF17', NULL, NULL, NULL, NULL, 'BRMS1 TRANSCRIPTIONAL REPRESSOR AND ANOIKIS REGULATOR', NULL, NULL, NULL, 15),
(133629, NULL, 'PTHR31374:SF228', NULL, NULL, NULL, NULL, 'OS02G0769100 PROTEIN', NULL, NULL, NULL, 15),
(133630, NULL, 'PTHR11607:SF61', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE', NULL, NULL, NULL, 15),
(133631, NULL, 'PTHR23273:SF78', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', NULL, NULL, NULL, 15),
(133632, NULL, 'PTHR24073:SF839', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-38', NULL, NULL, NULL, 15),
(133633, NULL, 'PTHR37487:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(133634, NULL, 'PTHR24296:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133635, NULL, 'PTHR22811:SF46', NULL, NULL, NULL, NULL, 'PROTEIN ERP3', NULL, NULL, NULL, 15),
(133636, NULL, 'PTHR12750:SF10', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE 2', NULL, NULL, NULL, 15),
(133637, NULL, 'PTHR48012', NULL, NULL, NULL, NULL, 'STERILE20-LIKE KINASE, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(133638, NULL, 'PTHR22950:SF498', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133639, NULL, 'PTHR10362:SF59', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(133640, NULL, 'PTHR37305:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133641, NULL, 'PTHR22670:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG17941', NULL, NULL, NULL, 15),
(133642, NULL, 'PTHR32444:SF74', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(133643, NULL, 'PTHR33203:SF21', NULL, NULL, NULL, NULL, 'OLEOSIN 1-LIKE', NULL, NULL, NULL, 15),
(133644, NULL, 'PTHR12829:SF4', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(133645, NULL, 'PTHR44329:SF186', NULL, NULL, NULL, NULL, 'BNAA05G30750D PROTEIN', NULL, NULL, NULL, 15),
(133646, NULL, 'PTHR47657:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133647, NULL, 'PTHR10290:SF16', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 1 ALPHA', NULL, NULL, NULL, 15),
(133648, NULL, 'PTHR12313:SF54', NULL, NULL, NULL, NULL, 'BNAC04G52420D PROTEIN', NULL, NULL, NULL, 15),
(133649, NULL, 'PTHR10811:SF27', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(133650, NULL, 'PTHR17498', NULL, NULL, NULL, NULL, 'SEMINAL VESICLE SECRETORY PROTEIN 6-RELATED', NULL, NULL, 16877, 15),
(133651, NULL, 'PTHR31081:SF16', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 5', NULL, NULL, NULL, 15),
(133652, NULL, 'PTHR34359:SF15', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN FON2 SPARE1', NULL, NULL, NULL, 15),
(133653, NULL, 'PTHR40626:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN YGR067C', NULL, NULL, NULL, 15),
(133654, NULL, 'PTHR16922', NULL, NULL, NULL, NULL, 'INTERLEUKIN 11', NULL, NULL, 20515, 15),
(133655, NULL, 'PTHR10706:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133656, NULL, 'PTHR10799:SF541', NULL, NULL, NULL, NULL, 'GLOBAL TRANSCRIPTION ACTIVATOR SNF2L2-RELATED', NULL, NULL, 27050, 15),
(133657, NULL, 'PTHR26374:SF393', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(133658, NULL, 'PTHR11964:SF40', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(133659, NULL, 'PTHR40380:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133660, NULL, 'PTHR25462:SF264', NULL, NULL, NULL, NULL, 'BRAIN TUMOR PROTEIN', NULL, NULL, NULL, 15),
(133661, NULL, 'PTHR14577:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 12', NULL, NULL, NULL, 15),
(133662, NULL, 'PTHR34040:SF6', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLIQ', NULL, NULL, NULL, 15),
(133663, NULL, 'PTHR24221:SF572', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN 16-RELATED', NULL, NULL, NULL, 15),
(133664, NULL, 'PTHR34358:SF3', NULL, NULL, NULL, NULL, 'OS07G0607500 PROTEIN', NULL, NULL, NULL, 15),
(133665, NULL, 'PTHR24326:SF543', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-7-LIKE', NULL, NULL, NULL, 15),
(133666, NULL, 'PTHR48018:SF44', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8J1', NULL, NULL, NULL, 15),
(133667, NULL, 'PTHR10688:SF3', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(133668, NULL, 'PTHR24055:SF109', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 11', NULL, NULL, NULL, 15),
(133669, NULL, 'PTHR11851:SF196', NULL, NULL, NULL, NULL, 'OS01G0711100 PROTEIN', NULL, NULL, NULL, 15),
(133670, NULL, 'PTHR34224:SF2', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 4', NULL, NULL, NULL, 15),
(133671, NULL, 'PTHR24351:SF102', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(133672, NULL, 'PTHR14338:SF8', NULL, NULL, NULL, NULL, 'ACTIN FILAMENT-ASSOCIATED PROTEIN 1', NULL, NULL, 26822, 15),
(133673, NULL, 'PTHR32254:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133674, NULL, 'PTHR16073:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133675, NULL, 'PTHR31683:SF132', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133676, NULL, 'PTHR31140:SF64', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR NGA4', NULL, NULL, NULL, 15),
(133677, NULL, 'PTHR44874', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 34', NULL, NULL, 37306, 15),
(133678, NULL, 'PTHR43728:SF1', NULL, NULL, NULL, NULL, 'SLR0304 PROTEIN', NULL, NULL, NULL, 15),
(133679, NULL, 'PTHR11802:SF223', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(133680, NULL, 'PTHR31988:SF15', NULL, NULL, NULL, NULL, 'ESTERASE, PUTATIVE (DUF303)-RELATED', NULL, NULL, NULL, 15),
(133681, NULL, 'PTHR12460:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133682, NULL, 'PTHR32285:SF205', NULL, NULL, NULL, NULL, 'PROTEIN ESKIMO 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(133683, NULL, 'PTHR43982:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 14', NULL, NULL, NULL, 15),
(133684, NULL, 'PTHR46519:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(133685, NULL, 'PTHR10574:SF268', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT BETA-3', NULL, NULL, NULL, 15),
(133686, NULL, 'PTHR31218:SF256', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(133687, NULL, 'PTHR15633:SF3', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 11', NULL, NULL, NULL, 15),
(133688, NULL, 'PTHR48032:SF1', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(133689, NULL, 'PTHR24298:SF461', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81F3', NULL, NULL, NULL, 15),
(133690, NULL, 'PTHR45773:SF8', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE FAMILY, MEMBER 5B', NULL, NULL, NULL, 15),
(133691, NULL, 'PTHR15157:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133692, NULL, 'PTHR26374:SF410', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT5-LIKE', NULL, NULL, NULL, 15),
(133693, NULL, 'PTHR46279:SF10', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(133694, NULL, 'PTHR23138:SF141', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP50', NULL, NULL, NULL, 15),
(133695, NULL, 'PTHR43540:SF9', NULL, NULL, NULL, NULL, 'FAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G08700)-RELATED', NULL, NULL, NULL, 15),
(133696, NULL, 'PTHR43161:SF11', NULL, NULL, NULL, NULL, 'STARVATION-SENSING PROTEIN RSPB', NULL, NULL, NULL, 15),
(133697, NULL, 'PTHR12670', NULL, NULL, NULL, NULL, 'CERAMIDASE', NULL, NULL, 3584, 15),
(133698, NULL, 'PTHR10822:SF30', NULL, NULL, NULL, NULL, 'DALLY-LIKE, ISOFORM A', NULL, NULL, NULL, 15),
(133699, NULL, 'PTHR18945:SF839', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133700, NULL, 'PTHR47928:SF77', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(133701, NULL, 'PTHR48092:SF11', NULL, NULL, NULL, NULL, 'ESR2A PROTEIN', NULL, NULL, NULL, 15),
(133702, NULL, 'PTHR35545:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133703, NULL, 'PTHR10795:SF732', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133704, NULL, 'PTHR47657:SF8', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(133705, NULL, 'PTHR36043', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-INDEPENDENT PHOSPHOGLYCERATE MUTASE', NULL, NULL, NULL, 15),
(133706, NULL, 'PTHR10663:SF324', NULL, NULL, NULL, NULL, 'ARF GUANINE-NUCLEOTIDE EXCHANGE FACTOR GNOM', NULL, NULL, NULL, 15),
(133707, NULL, 'PTHR11363:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L3-1', NULL, NULL, NULL, 15),
(133708, NULL, 'PTHR34794:SF7', NULL, NULL, NULL, NULL, 'OS12G0635400 PROTEIN', NULL, NULL, NULL, 15),
(133709, NULL, 'PTHR10552:SF6', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN A''', NULL, NULL, NULL, 15),
(133710, NULL, 'PTHR31282:SF160', NULL, NULL, NULL, NULL, 'BNAA09G35840D PROTEIN', NULL, NULL, NULL, 15),
(133711, NULL, 'PTHR15487:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 2-BINDING PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133712, NULL, 'PTHR21471:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG02528', NULL, NULL, NULL, 15),
(133713, NULL, 'PTHR10736:SF33', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG', NULL, NULL, NULL, 15),
(133714, NULL, 'PTHR34948:SF2', NULL, NULL, NULL, NULL, 'OS08G0299200 PROTEIN', NULL, NULL, NULL, 15),
(133715, NULL, 'PTHR24296:SF210', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(133716, NULL, 'PTHR43779', NULL, NULL, NULL, NULL, 'DIOXYGENASE RV0097-RELATED', NULL, NULL, NULL, 15),
(133717, NULL, 'PTHR21337:SF23', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', NULL, NULL, NULL, 15),
(133718, NULL, 'PTHR47055:SF1', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED 1', NULL, NULL, NULL, 15),
(133719, NULL, 'PTHR31279:SF62', NULL, NULL, NULL, NULL, 'PHOSPHATE-RESPONSIVE 1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(133720, NULL, 'PTHR22624:SF55', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE', NULL, NULL, NULL, 15),
(133721, NULL, 'PTHR33400:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN LUMINIDEPENDENS', NULL, NULL, NULL, 15),
(133722, NULL, 'PTHR35678', NULL, NULL, NULL, NULL, 'PROTEIN STPG4', NULL, NULL, 31963, 15),
(133723, NULL, 'PTHR16223:SF263', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH112-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(133724, NULL, 'PTHR47021:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD6-RELATED', NULL, NULL, NULL, 15),
(133725, NULL, 'PTHR10629', NULL, NULL, NULL, NULL, 'CYTOSINE-SPECIFIC METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(133726, NULL, 'PTHR26453:SF148', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10A5', NULL, NULL, NULL, 15),
(133727, NULL, 'PTHR14882:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07050', NULL, NULL, NULL, 15),
(133728, NULL, 'PTHR48052:SF15', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM1', NULL, NULL, NULL, 15),
(133729, NULL, 'PTHR31236:SF30', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 14-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(133730, NULL, 'PTHR11232:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133731, NULL, 'PTHR11259:SF7', NULL, NULL, NULL, NULL, 'RAS-RELATED GTP-BINDING PROTEIN A', NULL, NULL, NULL, 15),
(133732, NULL, 'PTHR13866:SF21', NULL, NULL, NULL, NULL, 'TESTICAN-3', NULL, NULL, NULL, 15),
(133733, NULL, 'PTHR11017:SF326', NULL, NULL, NULL, NULL, 'BNAA02G24510D PROTEIN', NULL, NULL, NULL, 15),
(133734, NULL, 'PTHR23155:SF1094', NULL, NULL, NULL, NULL, 'OS11G0686400 PROTEIN', NULL, NULL, NULL, 15),
(133735, NULL, 'PTHR33121:SF32', NULL, NULL, NULL, NULL, 'RNASE E SPECIFICITY FACTOR CSRD', NULL, NULL, NULL, 15),
(133736, NULL, 'PTHR33622:SF7', NULL, NULL, NULL, NULL, 'MARKER FOR OXIDATIVE STRESS RESPONSE PROTEIN', NULL, NULL, NULL, 15),
(133737, NULL, 'PTHR48022:SF34', NULL, NULL, NULL, NULL, 'QUINATE PERMEASE', NULL, NULL, NULL, 15),
(133738, NULL, 'PTHR30011:SF32', NULL, NULL, NULL, NULL, 'HYPOTHETICAL OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(133739, NULL, 'PTHR24161:SF86', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND STERILE ALPHA MOTIF DOMAIN-CONTAINING 4B', NULL, NULL, NULL, 15),
(133740, NULL, 'PTHR13378', NULL, NULL, NULL, NULL, 'REGULATOR COMPLEX PROTEIN LAMTOR3', NULL, NULL, 7984, 15),
(133741, NULL, 'PTHR35472', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133742, NULL, 'PTHR31662:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133743, NULL, 'PTHR43066:SF5', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 11, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(133744, NULL, 'PTHR31719:SF169', NULL, NULL, NULL, NULL, 'BNAA06G22900D PROTEIN', NULL, NULL, NULL, 15),
(133745, NULL, 'PTHR31876:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133746, NULL, 'PTHR23502:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133747, NULL, 'PTHR47589', NULL, NULL, NULL, NULL, 'FATTY-ACID-BINDING PROTEIN 1', NULL, NULL, 37564, 15),
(133748, NULL, 'PTHR10694:SF123', NULL, NULL, NULL, NULL, 'BNAC03G72230D PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133749, NULL, 'PTHR11043:SF0', NULL, NULL, NULL, NULL, 'COAT PROTEIN (COATOMER) ZETA, ISOFORM A', NULL, NULL, NULL, 15),
(133750, NULL, 'PTHR10786', NULL, NULL, NULL, NULL, 'CHOLECYSTOKININ', NULL, NULL, 9429, 15),
(133751, NULL, 'PTHR10192:SF25', NULL, NULL, NULL, NULL, 'GEPHYRIN B', NULL, NULL, NULL, 15),
(133752, NULL, 'PTHR31001:SF64', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(133753, NULL, 'PTHR11188:SF81', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(133754, NULL, 'PTHR23338:SF17', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D3', NULL, NULL, NULL, 15),
(133755, NULL, 'PTHR11417:SF34', NULL, NULL, NULL, NULL, 'PROLACTIN-3C1', NULL, NULL, NULL, 15),
(133756, NULL, 'PTHR45939:SF1', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03440)-RELATED', NULL, NULL, NULL, 15),
(133757, NULL, 'PTHR31238:SF119', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 6-RELATED', NULL, NULL, NULL, 15),
(133758, NULL, 'PTHR12052:SF12', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN YLS8', NULL, NULL, NULL, 15),
(133759, NULL, 'PTHR47926:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133760, NULL, 'PTHR13388:SF12', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 132B', NULL, NULL, NULL, 15),
(133761, NULL, 'PTHR11017:SF221', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133762, NULL, 'PTHR11544:SF117', NULL, NULL, NULL, NULL, 'COLD SHOCK-LIKE PROTEIN CSPF-RELATED', NULL, NULL, NULL, 15),
(133763, NULL, 'PTHR45181:SF7', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133764, NULL, 'PTHR42905:SF3', NULL, NULL, NULL, NULL, 'OXALOACETATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(133765, NULL, 'PTHR12439:SF11', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE U-SPECIFIC-RELATED', NULL, NULL, NULL, 15),
(133766, NULL, 'PTHR16742:SF2', NULL, NULL, NULL, NULL, 'CYLICIN-2', NULL, NULL, NULL, 15),
(133767, NULL, 'PTHR39068', NULL, NULL, NULL, NULL, 'LARVAL/PUPAL CUTICLE PROTEIN H1C-LIKE PROTEIN-RELATED', NULL, NULL, 17233, 15),
(133768, NULL, 'PTHR33147:SF73', NULL, NULL, NULL, NULL, 'DEFENSIN', NULL, NULL, NULL, 15),
(133769, NULL, 'PTHR48011:SF64', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 17A-LIKE', NULL, NULL, NULL, 15),
(133770, NULL, 'PTHR33620:SF2', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN UREE', NULL, NULL, NULL, 15),
(133771, NULL, 'PTHR45969:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133772, NULL, 'PTHR31734:SF14', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA14', NULL, NULL, NULL, 15),
(133773, NULL, 'PTHR46051:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 5-PHOSPHATASE 1', NULL, NULL, NULL, 15),
(133774, NULL, 'PTHR32295:SF224', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(133775, NULL, 'PTHR10593:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133776, NULL, 'PTHR31048:SF152', NULL, NULL, NULL, NULL, 'BNAA06G13430D PROTEIN', NULL, NULL, NULL, 15),
(133777, NULL, 'PTHR12411:SF689', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133778, NULL, 'PTHR43471:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN NATB', NULL, NULL, NULL, 15),
(133779, NULL, 'PTHR31128', NULL, NULL, NULL, NULL, 'PROTEIN CBR-CLEC-135-RELATED', NULL, NULL, NULL, 15),
(133780, NULL, 'PTHR31992:SF126', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.4', NULL, NULL, NULL, 15),
(133781, NULL, 'PTHR31213:SF4', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL8', NULL, NULL, NULL, 15),
(133782, NULL, 'PTHR34663:SF11', NULL, NULL, NULL, NULL, 'DERMOKINE-LIKE', NULL, NULL, NULL, 15),
(133783, NULL, 'PTHR33228:SF36', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 3', NULL, NULL, NULL, 15),
(133784, NULL, 'PTHR47376:SF5', NULL, NULL, NULL, NULL, 'OS01G0907200 PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133785, NULL, 'PTHR24062:SF179', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(133786, NULL, 'PTHR31238:SF196', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(133787, NULL, 'PTHR24559:SF353', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133788, NULL, 'PTHR14319:SF8', NULL, NULL, NULL, NULL, 'BNAC04G50700D PROTEIN', NULL, NULL, NULL, 15),
(133789, NULL, 'PTHR14453:SF87', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(133790, NULL, 'PTHR18864:SF1', NULL, NULL, NULL, NULL, 'KINECTIN', NULL, NULL, NULL, 15),
(133791, NULL, 'PTHR31734:SF87', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA6', NULL, NULL, NULL, 15),
(133792, NULL, 'PTHR20852:SF89', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', NULL, NULL, NULL, 15),
(133793, NULL, 'PTHR32444:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133794, NULL, 'PTHR31852:SF213', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(133795, NULL, 'PTHR11036:SF141', NULL, NULL, NULL, NULL, 'SEMAPHORIN 7A', NULL, NULL, NULL, 15),
(133796, NULL, 'PTHR22906:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133797, NULL, 'PTHR32278:SF63', NULL, NULL, NULL, NULL, 'PHLOEM-SPECIFIC LECTIN', NULL, NULL, NULL, 15),
(133798, NULL, 'PTHR11654:SF487', NULL, NULL, NULL, NULL, 'BNAA09G06190D PROTEIN', NULL, NULL, NULL, 15),
(133799, NULL, 'PTHR10783:SF113', NULL, NULL, NULL, NULL, 'BNAA09G29180D PROTEIN', NULL, NULL, NULL, 15),
(133800, NULL, 'PTHR15162:SF9', NULL, NULL, NULL, NULL, 'ASPARTOACYLASE', NULL, NULL, NULL, 15),
(133801, NULL, 'PTHR33710:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133802, NULL, 'PTHR23179', NULL, NULL, NULL, NULL, 'T-CELL ACTIVATION RHO GTPASE ACTIVATING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133803, NULL, 'PTHR45671:SF21', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133804, NULL, 'PTHR45621:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133805, NULL, 'PTHR34549:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT IV A, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(133806, NULL, 'PTHR11654:SF468', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.6', NULL, NULL, NULL, 15),
(133807, NULL, 'PTHR18966:SF494', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 84A', NULL, NULL, NULL, 15),
(133808, NULL, 'PTHR31221:SF185', NULL, NULL, NULL, NULL, 'BNACNNG39610D PROTEIN', NULL, NULL, NULL, 15),
(133809, NULL, 'PTHR10562:SF70', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 1', NULL, NULL, NULL, 15),
(133810, NULL, 'PTHR31989:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133811, NULL, 'PTHR23504:SF37', NULL, NULL, NULL, NULL, 'TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(133812, NULL, 'PTHR24177:SF257', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133813, NULL, 'PTHR31580:SF34', NULL, NULL, NULL, NULL, 'BNACNNG56680D PROTEIN', NULL, NULL, NULL, 15),
(133814, NULL, 'PTHR33021:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133815, NULL, 'PTHR33086:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133816, NULL, 'PTHR13738:SF1', NULL, NULL, NULL, NULL, 'TROPONIN I', NULL, NULL, NULL, 15),
(133817, NULL, 'PTHR43004:SF10', NULL, NULL, NULL, NULL, '2-MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13660)-RELATED', NULL, NULL, NULL, 15),
(133818, NULL, 'PTHR31867:SF177', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(133819, NULL, 'PTHR24326:SF552', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-7-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(133820, NULL, 'PTHR31190:SF208', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133821, NULL, 'PTHR42770:SF8', NULL, NULL, NULL, NULL, 'PUTRESCINE IMPORTER PUUP', NULL, NULL, NULL, 15),
(133822, NULL, 'PTHR32153:SF10', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 25', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133823, NULL, 'PTHR13817:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133824, NULL, 'PTHR15151:SF13', NULL, NULL, NULL, NULL, 'ECTODYSPLASIN-A', NULL, NULL, NULL, 15),
(133825, NULL, 'PTHR24058:SF108', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(133826, NULL, 'PTHR28549', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN INTEGRAL MEMBRANE PROTEIN 1', NULL, NULL, 38238, 15),
(133827, NULL, 'PTHR11654:SF516', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', NULL, NULL, NULL, 15),
(133828, NULL, 'PTHR24228:SF26', NULL, NULL, NULL, NULL, 'APELIN RECEPTOR B', NULL, NULL, NULL, 15),
(133829, NULL, 'PTHR27009:SF252', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD3-1', NULL, NULL, NULL, 15),
(133830, NULL, 'PTHR23336:SF66', NULL, NULL, NULL, NULL, 'BNAA03G47040D PROTEIN', NULL, NULL, NULL, 15),
(133831, NULL, 'PTHR45798:SF13', NULL, NULL, NULL, NULL, 'OS01G0866000 PROTEIN', NULL, NULL, NULL, 15),
(133832, NULL, 'PTHR31839:SF41', NULL, NULL, NULL, NULL, 'CBF14', NULL, NULL, NULL, 15),
(133833, NULL, 'PTHR19431:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L4', NULL, NULL, NULL, 15),
(133834, NULL, 'PTHR48018:SF169', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(133835, NULL, 'PTHR31867:SF203', NULL, NULL, NULL, NULL, 'EXPANSIN-A6', NULL, NULL, NULL, 15),
(133836, NULL, 'PTHR43809', NULL, NULL, NULL, NULL, 'NITRITE REDUCTASE (NADH) LARGE SUBUNIT', NULL, NULL, NULL, 15),
(133837, NULL, 'PTHR48083:SF18', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A DEHYDROGENASE', NULL, NULL, NULL, 15),
(133838, NULL, 'PTHR45085:SF4', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(133839, NULL, 'PTHR31948:SF110', NULL, NULL, NULL, NULL, 'ZF-HD HOMEOBOX PROTEIN, CYS/HIS-RICH DIMERIZATION DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133840, NULL, 'PTHR32141:SF83', NULL, NULL, NULL, NULL, 'OS01G0596700 PROTEIN', NULL, NULL, NULL, 15),
(133841, NULL, 'PTHR43180:SF41', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE 2A', NULL, NULL, NULL, 15),
(133842, NULL, 'PTHR42647:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133843, NULL, 'PTHR47958:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133844, NULL, 'PTHR31282:SF128', NULL, NULL, NULL, NULL, 'BNAC03G17030D PROTEIN', NULL, NULL, NULL, 15),
(133845, NULL, 'PTHR13509:SF17', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', NULL, NULL, NULL, 15),
(133846, NULL, 'PTHR42647:SF38', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 2-RELATED', NULL, NULL, NULL, 15),
(133847, NULL, 'PTHR31707:SF338', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 17-RELATED', NULL, NULL, NULL, 15),
(133848, NULL, 'PTHR45637:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WAG1', NULL, NULL, NULL, 15),
(133849, NULL, 'PTHR31282:SF121', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(133850, NULL, 'PTHR22762:SF144', NULL, NULL, NULL, NULL, 'ALPHA-XYLOSIDASE', NULL, NULL, NULL, 15),
(133851, NULL, 'PTHR22943:SF242', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(133852, NULL, 'PTHR13448:SF12', NULL, NULL, NULL, NULL, 'BNAA09G30070D PROTEIN', NULL, NULL, NULL, 15),
(133853, NULL, 'PTHR12713:SF26', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G2', NULL, NULL, NULL, 15),
(133854, NULL, 'PTHR22765:SF188', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 215', NULL, NULL, NULL, 15),
(133855, NULL, 'PTHR45980:SF2', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 9', NULL, NULL, NULL, 15),
(133856, NULL, 'PTHR42795', NULL, NULL, NULL, NULL, 'ALANINE DEHYDROGENASE', NULL, NULL, 7017, 15),
(133857, NULL, 'PTHR22298:SF136', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(133858, NULL, 'PTHR47991:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133859, NULL, 'PTHR19346:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER F4', NULL, NULL, NULL, 15),
(133860, NULL, 'PTHR47958:SF84', NULL, NULL, NULL, NULL, 'DEAD-BOX HELICASE 19A', NULL, NULL, NULL, 15),
(133861, NULL, 'PTHR24567', NULL, NULL, NULL, NULL, 'CRP FAMILY TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(133862, NULL, 'PTHR47516:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(133863, NULL, 'PTHR33270:SF38', NULL, NULL, NULL, NULL, 'BNAA01G12460D PROTEIN', NULL, NULL, NULL, 15),
(133864, NULL, 'PTHR24092:SF160', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(133865, NULL, 'PTHR11803:SF13', NULL, NULL, NULL, NULL, '2-IMINOBUTANOATE/2-IMINOPROPANOATE DEAMINASE-RELATED', NULL, NULL, NULL, 15),
(133866, NULL, 'PTHR48016:SF20', NULL, NULL, NULL, NULL, 'BNAC03G30920D PROTEIN', NULL, NULL, NULL, 15),
(133867, NULL, 'PTHR31061:SF5', NULL, NULL, NULL, NULL, 'HEPARAN-ALPHA-GLUCOSAMINIDE N-ACETYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(133868, NULL, 'PTHR32468:SF133', NULL, NULL, NULL, NULL, 'BNAA09G08340D PROTEIN', NULL, NULL, NULL, 15),
(133869, NULL, 'PTHR28596', NULL, NULL, NULL, NULL, 'BBSOME-INTERACTING PROTEIN 1', NULL, NULL, 23360, 15),
(133870, NULL, 'PTHR11062:SF216', NULL, NULL, NULL, NULL, 'BNAA05G32810D PROTEIN', NULL, NULL, NULL, 15),
(133871, NULL, 'PTHR33358:SF12', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN WITH A DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(133872, NULL, 'PTHR10678', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 11/COP9 SIGNALOSOME COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(133873, NULL, 'PTHR47250', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133874, NULL, 'PTHR23068:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133875, NULL, 'PTHR37858:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689589', NULL, NULL, NULL, 15),
(133876, NULL, 'PTHR33513:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133877, NULL, 'PTHR31009:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133878, NULL, 'PTHR48010:SF25', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(133879, NULL, 'PTHR24197:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133880, NULL, 'PTHR47431:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(133881, NULL, 'PTHR10811:SF74', NULL, NULL, NULL, NULL, 'BNAANNG13620D PROTEIN', NULL, NULL, NULL, 15),
(133882, NULL, 'PTHR43811:SF11', NULL, NULL, NULL, NULL, 'FK506-BINDING PROTEIN 6', NULL, NULL, NULL, 15),
(133883, NULL, 'PTHR24058:SF124', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(133884, NULL, 'PTHR23235:SF21', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 13', NULL, NULL, NULL, 15),
(133885, NULL, 'PTHR33670', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, PROLINE- AND GLUTAMINE-RICH-LIKE', NULL, NULL, NULL, 15),
(133886, NULL, 'PTHR21435:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM29', NULL, NULL, NULL, 15),
(133887, NULL, 'PTHR24018:SF5', NULL, NULL, NULL, NULL, 'ELASTIN', NULL, NULL, NULL, 15),
(133888, NULL, 'PTHR24282:SF195', NULL, NULL, NULL, NULL, 'CYTOKININ HYDROXYLASE', NULL, NULL, NULL, 15),
(133889, NULL, 'PTHR21576:SF87', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(133890, NULL, 'PTHR21346:SF0', NULL, NULL, NULL, NULL, 'RE45833P', NULL, NULL, NULL, 15),
(133891, NULL, 'PTHR45613:SF442', NULL, NULL, NULL, NULL, 'PPR DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(133892, NULL, 'PTHR10192:SF22', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN MOLYBDENUMTRANSFERASE', NULL, NULL, NULL, 15),
(133893, NULL, 'PTHR23428:SF215', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(133894, NULL, 'PTHR24220:SF661', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133895, NULL, 'PTHR12907:SF5', NULL, NULL, NULL, NULL, 'EGL NINE HOMOLOG 3', NULL, NULL, NULL, 15),
(133896, NULL, 'PTHR31100:SF53', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(133897, NULL, 'PTHR36191:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133898, NULL, 'PTHR44200:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 7', NULL, NULL, NULL, 15),
(133899, NULL, 'PTHR32419', NULL, NULL, NULL, NULL, 'GLUTATHIONYL-HYDROQUINONE REDUCTASE', NULL, NULL, 19782, 15),
(133900, NULL, 'PTHR31542:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L50, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(133901, NULL, 'PTHR31509:SF69', NULL, NULL, NULL, NULL, 'BPS1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(133902, NULL, 'PTHR31561:SF106', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 19', NULL, NULL, NULL, 15),
(133903, NULL, 'PTHR13989:SF34', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 32 KDA SUBUNIT A', NULL, NULL, NULL, 15),
(133904, NULL, 'PTHR31429:SF63', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', NULL, NULL, NULL, 15),
(133905, NULL, 'PTHR19282:SF252', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(133906, NULL, 'PTHR42919:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133907, NULL, 'PTHR31790:SF364', NULL, NULL, NULL, NULL, 'BNAC06G04010D PROTEIN', NULL, NULL, NULL, 15),
(133908, NULL, 'PTHR31614:SF23', NULL, NULL, NULL, NULL, 'ANTHER-SPECIFIC PROTEIN LAT52-LIKE', NULL, NULL, NULL, 15),
(133909, NULL, 'PTHR46491', NULL, NULL, NULL, NULL, 'CDGSH IRON SULFUR DOMAIN PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(133910, NULL, 'PTHR11941:SF44', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE DOMAIN-CONTAINING PROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(133911, NULL, 'PTHR48102:SF8', NULL, NULL, NULL, NULL, 'CLP PROTEASE REGULATORY SUBUNIT CLPX1 MITOCHONDRIAL', NULL, NULL, NULL, 15),
(133912, NULL, 'PTHR11388:SF133', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', NULL, NULL, NULL, 15),
(133913, NULL, 'PTHR31218:SF171', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(133914, NULL, 'PTHR30352:SF23', NULL, NULL, NULL, NULL, 'FLAVODOXIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(133915, NULL, 'PTHR45676:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133916, NULL, 'PTHR22883:SF343', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(133917, NULL, 'PTHR12850:SF27', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S25-RELATED', NULL, NULL, NULL, 15),
(133918, NULL, 'PTHR13178:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(133919, NULL, 'PTHR35832:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133920, NULL, 'PTHR18945:SF60', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(133921, NULL, 'PTHR43078:SF32', NULL, NULL, NULL, NULL, 'BNAC04G27170D PROTEIN', NULL, NULL, NULL, 15),
(133922, NULL, 'PTHR47072:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133923, NULL, 'PTHR23291:SF98', NULL, NULL, NULL, NULL, 'BNAC08G10200D PROTEIN', NULL, NULL, NULL, 15),
(133924, NULL, 'PTHR22950:SF54', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 11-RELATED', NULL, NULL, NULL, 15),
(133925, NULL, 'PTHR12482', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 37588, 15),
(133926, NULL, 'PTHR45637:SF78', NULL, NULL, NULL, NULL, 'BNAA05G26500D PROTEIN', NULL, NULL, NULL, 15),
(133927, NULL, 'PTHR10985:SF79', NULL, NULL, NULL, NULL, 'HAIRY/ENHANCER-OF-SPLIT RELATED WITH YRPW MOTIF-LIKE PROTEIN', NULL, NULL, NULL, 15),
(133928, NULL, 'PTHR31190:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133929, NULL, 'PTHR10666:SF370', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 3', NULL, NULL, NULL, 15),
(133930, NULL, 'PTHR27004:SF370', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12 ISOFORM X1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133931, NULL, 'PTHR33159:SF40', NULL, NULL, NULL, NULL, 'DEFENSE PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(133932, NULL, 'PTHR16035', NULL, NULL, NULL, NULL, 'PROTEIN FAM90A1', NULL, NULL, 30938, 15),
(133933, NULL, 'PTHR43107:SF5', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', NULL, NULL, NULL, 15),
(133934, NULL, 'PTHR31874:SF1', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(133935, NULL, 'PTHR30482:SF1', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT PERMEASE PROTEIN LIVM-RELATED', NULL, NULL, NULL, 15),
(133936, NULL, 'PTHR47982:SF13', NULL, NULL, NULL, NULL, 'PTO-INTERACTING PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(133937, NULL, 'PTHR33271:SF23', NULL, NULL, NULL, NULL, 'RMLC-LIKE CUPINS SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(133938, NULL, 'PTHR11014:SF163', NULL, NULL, NULL, NULL, 'BNAC09G33210D PROTEIN', NULL, NULL, NULL, 15),
(133939, NULL, 'PTHR47549:SF2', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP38', NULL, NULL, NULL, 15),
(133940, NULL, 'PTHR31549:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133941, NULL, 'PTHR18929:SF230', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(133942, NULL, 'PTHR23235:SF60', NULL, NULL, NULL, NULL, 'STRIPE, ISOFORM D', NULL, NULL, NULL, 15),
(133943, NULL, 'PTHR23034', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 25161, 15),
(133944, NULL, 'PTHR36795:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133945, NULL, 'PTHR21495:SF177', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(133946, NULL, 'PTHR22893', NULL, NULL, NULL, NULL, 'NADH OXIDOREDUCTASE-RELATED', NULL, NULL, 36624, 15),
(133947, NULL, 'PTHR45727:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133948, NULL, 'PTHR32083:SF0', NULL, NULL, NULL, NULL, 'CILIA AND FLAGELLA-ASSOCIATED PROTEIN 58', NULL, NULL, NULL, 15),
(133949, NULL, 'PTHR11224:SF50', NULL, NULL, NULL, NULL, 'BNAC01G39490D PROTEIN', NULL, NULL, NULL, 15),
(133950, NULL, 'PTHR44943:SF6', NULL, NULL, NULL, NULL, 'SLL0314 PROTEIN', NULL, NULL, NULL, 15),
(133951, NULL, 'PTHR21581:SF21', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(133952, NULL, 'PTHR13408:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133953, NULL, 'PTHR45821:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133954, NULL, 'PTHR38482', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 3619, 15),
(133955, NULL, 'PTHR43184:SF19', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE TRANSPORTER 3-RELATED', NULL, NULL, NULL, 15),
(133956, NULL, 'PTHR15088:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(133957, NULL, 'PTHR24366:SF11', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY-CONTAINING LEUCINE-RICH REPEAT 2', NULL, NULL, NULL, 15),
(133958, NULL, 'PTHR31980:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM220A', NULL, NULL, NULL, 15),
(133959, NULL, 'PTHR48097:SF3', NULL, NULL, NULL, NULL, 'L-ALLO-THREONINE ALDOLASE', NULL, NULL, NULL, 15),
(133960, NULL, 'PTHR11266:SF102', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE 22 KDA (MPV17/PMP22) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(133961, NULL, 'PTHR31989:SF243', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 101', NULL, NULL, NULL, 15),
(133962, NULL, 'PTHR31190:SF288', NULL, NULL, NULL, NULL, 'OS05G0316800 PROTEIN', NULL, NULL, NULL, 15),
(133963, NULL, 'PTHR15698', NULL, NULL, NULL, NULL, 'PROTEIN CBG15099', NULL, NULL, 38373, 15),
(133964, NULL, 'PTHR46554:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26A-RELATED', NULL, NULL, NULL, 15),
(133965, NULL, 'PTHR33076:SF54', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(133966, NULL, 'PTHR46033:SF44', NULL, NULL, NULL, NULL, 'BNAC06G04630D PROTEIN', NULL, NULL, NULL, 15),
(133967, NULL, 'PTHR30620:SF86', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(133968, NULL, 'PTHR10217:SF533', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 5', NULL, NULL, 24583, 15),
(133969, NULL, 'PTHR23424:SF25', NULL, NULL, NULL, NULL, 'SERUM AMYLOID A PROTEIN', NULL, NULL, NULL, 15),
(133970, NULL, 'PTHR45839:SF22', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', NULL, NULL, NULL, 15),
(133971, NULL, 'PTHR40940', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 26291, 15),
(133972, NULL, 'PTHR11733:SF210', NULL, NULL, NULL, NULL, 'FRA MAURO, ISOFORM F', NULL, NULL, NULL, 15),
(133973, NULL, 'PTHR11972:SF71', NULL, NULL, NULL, NULL, 'NADPH OXIDASE 1', NULL, NULL, 26260, 15),
(133974, NULL, 'PTHR24349:SF377', NULL, NULL, NULL, NULL, 'BNAA02G32820D PROTEIN', NULL, NULL, NULL, 15),
(133975, NULL, 'PTHR47081:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133976, NULL, 'PTHR24115:SF753', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF28P', NULL, NULL, NULL, 15),
(133977, NULL, 'PTHR11306:SF47', NULL, NULL, NULL, NULL, 'LP08842P', NULL, NULL, NULL, 15),
(133978, NULL, 'PTHR10168:SF283', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S2 PROTEIN', NULL, NULL, NULL, 15),
(133979, NULL, 'PTHR38597', NULL, NULL, NULL, NULL, 'BLL3834 PROTEIN', NULL, NULL, 12008, 15),
(133980, NULL, 'PTHR23186:SF3', NULL, NULL, NULL, NULL, 'RETINOIC ACID-INDUCED PROTEIN 2', NULL, NULL, NULL, 15),
(133981, NULL, 'PTHR24178:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG13198', NULL, NULL, NULL, 15),
(133982, NULL, 'PTHR11964:SF54', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(133983, NULL, 'PTHR14324:SF3', NULL, NULL, NULL, NULL, 'CONDENSIN-2 COMPLEX SUBUNIT H2', NULL, NULL, NULL, 15),
(133984, NULL, 'PTHR36290', NULL, NULL, NULL, NULL, 'RIKEN CDNA D630039A03 GENE', NULL, NULL, NULL, 15),
(133985, NULL, 'PTHR14950:SF52', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE DICER HOMOLOG 3B-LIKE', NULL, NULL, NULL, 15),
(133986, NULL, 'PTHR48107:SF16', NULL, NULL, NULL, NULL, 'RE15974P', NULL, NULL, NULL, 15),
(133987, NULL, 'PTHR12483:SF73', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN CTR3', NULL, NULL, NULL, 15),
(133988, NULL, 'PTHR22881:SF24', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 9-LIKE', NULL, NULL, NULL, 15),
(133989, NULL, 'PTHR11945:SF529', NULL, NULL, NULL, NULL, 'BOX PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(133990, NULL, 'PTHR19134:SF482', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(133991, NULL, 'PTHR44427:SF4', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC GLYCOPROTEIN 18-RELATED', NULL, NULL, NULL, 15),
(133992, NULL, 'PTHR43785', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLPUTRESCINE SYNTHETASE', NULL, NULL, NULL, 15),
(133993, NULL, 'PTHR31920:SF49', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR VRN1-LIKE', NULL, NULL, NULL, 15),
(133994, NULL, 'PTHR32191:SF64', NULL, NULL, NULL, NULL, 'BNAA09G44080D PROTEIN', NULL, NULL, NULL, 15),
(133995, NULL, 'PTHR45786:SF11', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(133996, NULL, 'PTHR33787:SF3', NULL, NULL, NULL, NULL, 'YCF20-LIKE PROTEIN', NULL, NULL, NULL, 15),
(133997, NULL, 'PTHR46967', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR BINDING PROTEIN,N-TERMINAL', NULL, NULL, NULL, 15),
(133998, NULL, 'PTHR11475:SF43', NULL, NULL, NULL, NULL, 'PROTEIN CBG06977', NULL, NULL, NULL, 15),
(133999, NULL, 'PTHR11958:SF97', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER 3', NULL, NULL, NULL, 15),
(134000, NULL, 'PTHR46798:SF12', NULL, NULL, NULL, NULL, 'BNAANNG02850D PROTEIN', NULL, NULL, NULL, 15),
(134001, NULL, 'PTHR14030:SF20', NULL, NULL, NULL, NULL, 'BUB1 MITOTIC CHECKPOINT SERINE/THREONINE KINASE BA', NULL, NULL, NULL, 15),
(134002, NULL, 'PTHR31992:SF218', NULL, NULL, NULL, NULL, 'BNAANNG38460D PROTEIN', NULL, NULL, NULL, 15),
(134003, NULL, 'PTHR32285:SF190', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 33', NULL, NULL, NULL, 15),
(134004, NULL, 'PTHR45634:SF13', NULL, NULL, NULL, NULL, 'POLYAMINE DEACETYLASE HDAC10', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134005, NULL, 'PTHR14487', NULL, NULL, NULL, NULL, 'ADRENOCORTICAL DYSPLASIA PROTEIN ACD', NULL, NULL, 29046, 15),
(134006, NULL, 'PTHR24015:SF116', NULL, NULL, NULL, NULL, 'OSJNBA0041A02.15 PROTEIN', NULL, NULL, NULL, 15),
(134007, NULL, 'PTHR13718:SF102', NULL, NULL, NULL, NULL, 'BNAA03G19630D PROTEIN', NULL, NULL, NULL, 15),
(134008, NULL, 'PTHR24089:SF701', NULL, NULL, NULL, NULL, 'BNAA03G17470D PROTEIN', NULL, NULL, NULL, 15),
(134009, NULL, 'PTHR21499:SF3', NULL, NULL, NULL, NULL, 'ASPARTOKINASE', NULL, NULL, NULL, 15),
(134010, NULL, 'PTHR24559:SF324', NULL, NULL, NULL, NULL, 'TRANSPOSON TY3-I GAG-POL POLYPROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(134011, NULL, 'PTHR16566:SF0', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-II', NULL, NULL, NULL, 15),
(134012, NULL, 'PTHR24126:SF56', NULL, NULL, NULL, NULL, 'PHYTOCHROME-INTERACTING ANKYRIN-REPEAT PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(134013, NULL, 'PTHR47977:SF8', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-34', NULL, NULL, NULL, 15),
(134014, NULL, 'PTHR43191', NULL, NULL, NULL, NULL, 'RRNA METHYLTRANSFERASE 3,', NULL, NULL, NULL, 15),
(134015, NULL, 'PTHR46475', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR3', NULL, NULL, 38916, 15),
(134016, NULL, 'PTHR31499:SF48', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134017, NULL, 'PTHR24056:SF492', NULL, NULL, NULL, NULL, 'BNAC05G46740D PROTEIN', NULL, NULL, NULL, 15),
(134018, NULL, 'PTHR10075:SF7', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(134019, NULL, 'PTHR43370', NULL, NULL, NULL, NULL, 'SUGAR ABC TRANSPORTER INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134020, NULL, 'PTHR22943:SF25', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(134021, NULL, 'PTHR24339', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN EMX-RELATED', NULL, NULL, NULL, 15),
(134022, NULL, 'PTHR31167', NULL, NULL, NULL, NULL, 'SPINDLE AND CENTRIOLE ASSOCIATED PROTEIN 1 SPICE1', NULL, NULL, 27402, 15),
(134023, NULL, 'PTHR23257:SF817', NULL, NULL, NULL, NULL, 'BNAA01G06020D PROTEIN', NULL, NULL, NULL, 15),
(134024, NULL, 'PTHR15036:SF51', NULL, NULL, NULL, NULL, 'NEUREXIN-1', NULL, NULL, NULL, 15),
(134025, NULL, 'PTHR31376:SF80', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 19-RELATED', NULL, NULL, NULL, 15),
(134026, NULL, 'PTHR27000:SF492', NULL, NULL, NULL, NULL, '3, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(134027, NULL, 'PTHR33779:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134028, NULL, 'PTHR15462:SF9', NULL, NULL, NULL, NULL, 'SERINE PROTEASE', NULL, NULL, NULL, 15),
(134029, NULL, 'PTHR12505:SF24', NULL, NULL, NULL, NULL, 'PROTEIN WINGED EYE', NULL, NULL, 22619, 15),
(134030, NULL, 'PTHR24559', NULL, NULL, NULL, NULL, 'TRANSPOSON TY3-I GAG-POL POLYPROTEIN', NULL, NULL, NULL, 15),
(134031, NULL, 'PTHR11034:SF43', NULL, NULL, NULL, NULL, 'OS05G0196200 PROTEIN', NULL, NULL, NULL, 15),
(134032, NULL, 'PTHR14309:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(134033, NULL, 'PTHR46235:SF5', NULL, NULL, NULL, NULL, 'OS03G0266600 PROTEIN', NULL, NULL, NULL, 15),
(134034, NULL, 'PTHR22133:SF2', NULL, NULL, NULL, NULL, 'AT01821P-RELATED', NULL, NULL, NULL, 15),
(134035, NULL, 'PTHR31111:SF23', NULL, NULL, NULL, NULL, 'BNAC03G15520D PROTEIN', NULL, NULL, NULL, 15),
(134036, NULL, 'PTHR43098:SF4', NULL, NULL, NULL, NULL, 'BLR3857 PROTEIN', NULL, NULL, NULL, 15),
(134037, NULL, 'PTHR46730', NULL, NULL, NULL, NULL, 'POLYCYSTIN-1', NULL, NULL, NULL, 15),
(134038, NULL, 'PTHR11863:SF190', NULL, NULL, NULL, NULL, 'BNACNNG58690D PROTEIN', NULL, NULL, NULL, 15),
(134039, NULL, 'PTHR11863:SF123', NULL, NULL, NULL, NULL, 'LATHOSTEROL OXIDASE', NULL, NULL, NULL, 15),
(134040, NULL, 'PTHR48044:SF3', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE:RHAMNOSYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(134041, NULL, 'PTHR36835', NULL, NULL, NULL, NULL, 'CYTOCHROME BO(3) UBIQUINOL OXIDASE SUBUNIT 4', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134042, NULL, 'PTHR22812:SF150', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 1', NULL, NULL, NULL, 15),
(134043, NULL, 'PTHR47879', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B22', NULL, NULL, 36882, 15),
(134044, NULL, 'PTHR24064:SF496', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 3-LIKE', NULL, NULL, NULL, 15),
(134045, NULL, 'PTHR33052:SF117', NULL, NULL, NULL, NULL, 'BNAA02G34750D PROTEIN', NULL, NULL, NULL, 15),
(134046, NULL, 'PTHR46146:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE CCR4-LIKE PROTEIN', NULL, NULL, NULL, 15),
(134047, NULL, 'PTHR23524:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134048, NULL, 'PTHR10334:SF412', NULL, NULL, NULL, NULL, 'OS07G0128700 PROTEIN', NULL, NULL, NULL, 15),
(134049, NULL, 'PTHR32133:SF334', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134050, NULL, 'PTHR12360:SF1', NULL, NULL, NULL, NULL, 'NF-X1-TYPE ZINC FINGER PROTEIN NFXL1', NULL, NULL, NULL, 15),
(134051, NULL, 'PTHR21592:SF4', NULL, NULL, NULL, NULL, 'MATH (MEPRIN-ASSOCIATED TRAF HOMOLOGY) DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(134052, NULL, 'PTHR31515:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(134053, NULL, 'PTHR14890', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA CORE COMPLEX-ASSOCIATED PROTEIN 100', NULL, NULL, 21633, 15),
(134054, NULL, 'PTHR10744:SF30', NULL, NULL, NULL, NULL, 'BNAC09G20520D PROTEIN', NULL, NULL, NULL, 15),
(134055, NULL, 'PTHR48019:SF50', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR MADS-RIN', NULL, NULL, NULL, 15),
(134056, NULL, 'PTHR31190', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN', NULL, NULL, 37949, 15),
(134057, NULL, 'PTHR21654:SF75', NULL, NULL, NULL, NULL, 'SANT/MYB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134058, NULL, 'PTHR30213:SF0', NULL, NULL, NULL, NULL, 'UPF0761 MEMBRANE PROTEIN YIHY', NULL, NULL, NULL, 15),
(134059, NULL, 'PTHR15241:SF330', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 4', NULL, NULL, NULL, 15),
(134060, NULL, 'PTHR23266:SF116', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR DELTA CONSTANT', NULL, NULL, NULL, 15),
(134061, NULL, 'PTHR30006:SF23', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE TRANSPORT REGULATORY PROTEIN PGTC', NULL, NULL, NULL, 15),
(134062, NULL, 'PTHR12277:SF54', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE LIPASE ABHD16A', NULL, NULL, 28518, 15),
(134063, NULL, 'PTHR13318:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134064, NULL, 'PTHR21859:SF50', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 31D3-RELATED', NULL, NULL, NULL, 15),
(134065, NULL, 'PTHR24044:SF411', NULL, NULL, NULL, NULL, 'SUSHI, NIDOGEN AND EGF-LIKE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(134066, NULL, 'PTHR38767:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT CHI', NULL, NULL, NULL, 15),
(134067, NULL, 'PTHR22872:SF5', NULL, NULL, NULL, NULL, 'INHIBITOR OF BRUTON TYROSINE KINASE', NULL, NULL, NULL, 15),
(134068, NULL, 'PTHR10438:SF414', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(134069, NULL, 'PTHR21442:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 206', NULL, NULL, NULL, 15),
(134070, NULL, 'PTHR15668:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 22', NULL, NULL, NULL, 15),
(134071, NULL, 'PTHR33021:SF410', NULL, NULL, NULL, NULL, 'UMECYANIN-LIKE', NULL, NULL, NULL, 15),
(134072, NULL, 'PTHR33217:SF7', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS1081', NULL, NULL, NULL, 15),
(134073, NULL, 'PTHR13690:SF109', NULL, NULL, NULL, NULL, 'OS08G0543900 PROTEIN', NULL, NULL, NULL, 15),
(134074, NULL, 'PTHR47958:SF44', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(134075, NULL, 'PTHR18966:SF482', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(134076, NULL, 'PTHR11207:SF0', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3', NULL, NULL, NULL, 15),
(134077, NULL, 'PTHR31707:SF174', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134078, NULL, 'PTHR45631:SF44', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING PROTEIN OF THE ER PROTEIN', NULL, NULL, NULL, 15),
(134079, NULL, 'PTHR24366:SF31', NULL, NULL, NULL, NULL, 'SI:CH211-237I5.4', NULL, NULL, NULL, 15),
(134080, NULL, 'PTHR24055:SF454', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE HOMOLOG NTF4', NULL, NULL, NULL, 15),
(134081, NULL, 'PTHR31314:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134082, NULL, 'PTHR37182:SF3', NULL, NULL, NULL, NULL, 'BNAANNG40570D PROTEIN', NULL, NULL, NULL, 15),
(134083, NULL, 'PTHR22924:SF91', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: NON-SYMBIOTIC HEMOGLOBIN 1-LIKE', NULL, NULL, NULL, 15),
(134084, NULL, 'PTHR20875:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134085, NULL, 'PTHR47374:SF7', NULL, NULL, NULL, NULL, 'HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(134086, NULL, 'PTHR10665:SF3', NULL, NULL, NULL, NULL, 'RECOMBINING BINDING PROTEIN SUPPRESSOR OF HAIRLESS', NULL, NULL, NULL, 15),
(134087, NULL, 'PTHR28661', NULL, NULL, NULL, NULL, 'SJOEGREN SYNDROME NUCLEAR AUTOANTIGEN 1', NULL, NULL, 33273, 15),
(134088, NULL, 'PTHR23147:SF152', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS2Z33', NULL, NULL, NULL, 15),
(134089, NULL, 'PTHR11709:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134090, NULL, 'PTHR23074:SF157', NULL, NULL, NULL, NULL, 'BNAC04G50250D PROTEIN', NULL, NULL, NULL, 15),
(134091, NULL, 'PTHR47017:SF1', NULL, NULL, NULL, NULL, 'ACYL-COA', NULL, NULL, NULL, 15),
(134092, NULL, 'PTHR24056:SF447', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CSK1', NULL, NULL, NULL, 15),
(134093, NULL, 'PTHR31907:SF36', NULL, NULL, NULL, NULL, 'BET V I/MAJOR LATEX PROTEIN, START-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134094, NULL, 'PTHR31195:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134095, NULL, 'PTHR45845', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR-RELATED', NULL, NULL, NULL, 15),
(134096, NULL, 'PTHR10788:SF15', NULL, NULL, NULL, NULL, 'TREHALOSE SYNTHASE COMPLEX REGULATORY SUBUNIT TPS3-RELATED', NULL, NULL, NULL, 15),
(134097, NULL, 'PTHR23399', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOTIDYLTRANSFERASE TERMINAL-INTERACTING PROTEIN 1', NULL, NULL, 21865, 15),
(134098, NULL, 'PTHR45792:SF6', NULL, NULL, NULL, NULL, 'LIPASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134099, NULL, 'PTHR12901:SF8', NULL, NULL, NULL, NULL, 'COENZYME Q-BINDING PROTEIN COQ10 HOMOLOG A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(134100, NULL, 'PTHR11040:SF167', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 5', NULL, NULL, NULL, 15),
(134101, NULL, 'PTHR47958:SF64', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 52B', NULL, NULL, NULL, 15),
(134102, NULL, 'PTHR12276:SF96', NULL, NULL, NULL, NULL, 'CLATHRIN INTERACTOR EPSIN 1', NULL, NULL, 34585, 15),
(134103, NULL, 'PTHR47556', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134104, NULL, 'PTHR47958:SF18', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX3Y', NULL, NULL, NULL, 15),
(134105, NULL, 'PTHR45635:SF32', NULL, NULL, NULL, NULL, 'ADP/ATP TRANSLOCASE 1', NULL, NULL, NULL, 15),
(134106, NULL, 'PTHR24055:SF449', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(134107, NULL, 'PTHR30524:SF0', NULL, NULL, NULL, NULL, 'ALTRONATE OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(134108, NULL, 'PTHR47217', NULL, NULL, NULL, NULL, 'GLOBIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(134109, NULL, 'PTHR15175:SF3', NULL, NULL, NULL, NULL, 'NEUTROPHIL CYTOSOL FACTOR 2', NULL, NULL, 11299, 15),
(134110, NULL, 'PTHR31140:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134111, NULL, 'PTHR48044:SF51', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(134112, NULL, 'PTHR24343:SF426', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134113, NULL, 'PTHR11422:SF5', NULL, NULL, NULL, NULL, 'DIVERSE IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 1.1-RELATED', NULL, NULL, NULL, 15),
(134114, NULL, 'PTHR48002:SF152', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(134115, NULL, 'PTHR40388:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134116, NULL, 'PTHR14221:SF40', NULL, NULL, NULL, NULL, 'SIMILARITY TO UNKNOWN PROTEIN', NULL, NULL, NULL, 15),
(134117, NULL, 'PTHR11909:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134118, NULL, 'PTHR48098:SF2', NULL, NULL, NULL, NULL, 'POSSIBLE CONSERVED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(134119, NULL, 'PTHR31123:SF3', NULL, NULL, NULL, NULL, 'AMMONIA TRANSPORT OUTWARD PROTEIN 3', NULL, NULL, NULL, 15),
(134120, NULL, 'PTHR46629:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(134121, NULL, 'PTHR46437:SF1', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(134122, NULL, 'PTHR46313:SF5', NULL, NULL, NULL, NULL, 'CAROTENE ISOMERASE', NULL, NULL, NULL, 15),
(134123, NULL, 'PTHR11566:SF198', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 5A-LIKE', NULL, NULL, NULL, 15),
(134124, NULL, 'PTHR23336:SF11', NULL, NULL, NULL, NULL, 'OS06G0622000 PROTEIN', NULL, NULL, NULL, 15),
(134125, NULL, 'PTHR31375:SF141', NULL, NULL, NULL, NULL, 'ENDO-POLYGALACTURONASE', NULL, NULL, NULL, 15),
(134126, NULL, 'PTHR12253:SF33', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2 GROUP III, ISOFORM B', NULL, NULL, NULL, 15),
(134127, NULL, 'PTHR10641', NULL, NULL, NULL, NULL, ' MYB FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(134128, NULL, 'PTHR15117', NULL, NULL, NULL, NULL, 'ATAXIN 7 RELATED', NULL, NULL, NULL, 15),
(134129, NULL, 'PTHR46248:SF6', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(134130, NULL, 'PTHR47623', NULL, NULL, NULL, NULL, 'OS09G0287300 PROTEIN', NULL, NULL, NULL, 15),
(134131, NULL, 'PTHR24123:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134132, NULL, 'PTHR37827:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134133, NULL, 'PTHR11929:SF215', NULL, NULL, NULL, NULL, 'LOC100127585 PROTEIN', NULL, NULL, NULL, 15),
(134134, NULL, 'PTHR10082:SF41', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-PS', NULL, NULL, NULL, 15),
(134135, NULL, 'PTHR31175:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134136, NULL, 'PTHR38630:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG12780', NULL, NULL, NULL, 15),
(134137, NULL, 'PTHR11337:SF14', NULL, NULL, NULL, NULL, 'PORIMIN', NULL, NULL, NULL, 15),
(134138, NULL, 'PTHR19325:SF531', NULL, NULL, NULL, NULL, 'HIG-ANCHORING SCAFFOLD PROTEIN, ISOFORM G', NULL, NULL, NULL, 15),
(134139, NULL, 'PTHR20852:SF97', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE-RELATED', NULL, NULL, NULL, 15),
(134140, NULL, 'PTHR24298:SF800', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A2-RELATED', NULL, NULL, NULL, 15),
(134141, NULL, 'PTHR13439:SF0', NULL, NULL, NULL, NULL, 'BCDNA.GH12326', NULL, NULL, NULL, 15),
(134142, NULL, 'PTHR45614:SF179', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR MYB-LIKE', NULL, NULL, NULL, 15),
(134143, NULL, 'PTHR10502:SF135', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(134144, NULL, 'PTHR34937:SF2', NULL, NULL, NULL, NULL, 'OS08G0559800 PROTEIN', NULL, NULL, NULL, 15),
(134145, NULL, 'PTHR33107:SF16', NULL, NULL, NULL, NULL, '21 KDA SEED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(134146, NULL, 'PTHR19229:SF190', NULL, NULL, NULL, NULL, 'RETINAL-SPECIFIC ATP-BINDING CASSETTE TRANSPORTER', NULL, NULL, NULL, 15),
(134147, NULL, 'PTHR21513:SF2', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(134148, NULL, 'PTHR11164:SF0', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(134149, NULL, 'PTHR23281:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134150, NULL, 'PTHR31191:SF4', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 126 KDA', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134151, NULL, 'PTHR48047:SF94', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(134152, NULL, 'PTHR13136:SF11', NULL, NULL, NULL, NULL, 'KAT8 REGULATORY NSL COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(134153, NULL, 'PTHR11913:SF83', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR-LIKE', NULL, NULL, NULL, 15),
(134154, NULL, 'PTHR19918:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134155, NULL, 'PTHR10138', NULL, NULL, NULL, NULL, 'TRYPTOPHAN 2,3-DIOXYGENASE', NULL, NULL, 585, 15),
(134156, NULL, 'PTHR11404:SF6', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [MN], MITOCHONDRIAL', NULL, NULL, NULL, 15),
(134157, NULL, 'PTHR45726:SF3', NULL, NULL, NULL, NULL, 'LEUKOTRIENE A-4 HYDROLASE', NULL, NULL, NULL, 15),
(134158, NULL, 'PTHR34000:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134159, NULL, 'PTHR31642:SF146', NULL, NULL, NULL, NULL, 'TRANSFERASE', NULL, NULL, NULL, 15),
(134160, NULL, 'PTHR13620:SF5', NULL, NULL, NULL, NULL, 'WERNER SYNDROME ATP-DEPENDENT HELICASE-LIKE', NULL, NULL, NULL, 15),
(134161, NULL, 'PTHR33924:SF5', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(134162, NULL, 'PTHR10194:SF96', NULL, NULL, NULL, NULL, 'RAS PROTEIN ACTIVATOR LIKE-3', NULL, NULL, NULL, 15),
(134163, NULL, 'PTHR43571:SF1', NULL, NULL, NULL, NULL, 'NADP-SPECIFIC GLUTAMATE DEHYDROGENASE 1-RELATED', NULL, NULL, NULL, 15),
(134164, NULL, 'PTHR31050:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134165, NULL, 'PTHR12585:SF54', NULL, NULL, NULL, NULL, 'RAD21 COHESIN COMPLEX COMPONENT-LIKE 1', NULL, NULL, NULL, 15),
(134166, NULL, 'PTHR43825', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT', NULL, NULL, NULL, 15),
(134167, NULL, 'PTHR24012:SF789', NULL, NULL, NULL, NULL, 'BRUNO 3, ISOFORM A', NULL, NULL, NULL, 15),
(134168, NULL, 'PTHR24298:SF428', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY FLAVONE SYNTHASE', NULL, NULL, NULL, 15),
(134169, NULL, 'PTHR24247:SF194', NULL, NULL, NULL, NULL, 'HISTAMINE H3 RECEPTOR', NULL, NULL, NULL, 15),
(134170, NULL, 'PTHR36751:SF3', NULL, NULL, NULL, NULL, 'BNAC03G34890D PROTEIN', NULL, NULL, NULL, 15),
(134171, NULL, 'PTHR13468:SF17', NULL, NULL, NULL, NULL, 'BNAC03G74680D PROTEIN', NULL, NULL, NULL, 15),
(134172, NULL, 'PTHR43139:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134173, NULL, 'PTHR22807:SF67', NULL, NULL, NULL, NULL, 'NOL1/NOP2/SUN DOMAIN FAMILY MEMBER 5B-RELATED', NULL, NULL, NULL, 15),
(134174, NULL, 'PTHR37035', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134175, NULL, 'PTHR47675', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN BINDING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G11210)', NULL, NULL, NULL, 15),
(134176, NULL, 'PTHR14140:SF41', NULL, NULL, NULL, NULL, 'BNAC08G49130D PROTEIN', NULL, NULL, NULL, 15),
(134177, NULL, 'PTHR39342', NULL, NULL, NULL, NULL, 'UPF0283 MEMBRANE PROTEIN YCJF', NULL, NULL, 7130, 15),
(134178, NULL, 'PTHR30540:SF13', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 17-RELATED', NULL, NULL, NULL, 15),
(134179, NULL, 'PTHR16154:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134180, NULL, 'PTHR23068:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134181, NULL, 'PTHR47965:SF22', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134182, NULL, 'PTHR24377:SF316', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 189', NULL, NULL, NULL, 15),
(134183, NULL, 'PTHR31161:SF25', NULL, NULL, NULL, NULL, 'GOLGIN CANDIDATE 5-LIKE', NULL, NULL, NULL, 15),
(134184, NULL, 'PTHR31009:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134185, NULL, 'PTHR13513:SF11', NULL, NULL, NULL, NULL, 'UBIQUITIN PROTEIN LIGASE E3 COMPONENT N-RECOGNIN 7', NULL, NULL, NULL, 15),
(134186, NULL, 'PTHR21236:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', NULL, NULL, NULL, 15),
(134187, NULL, 'PTHR36715', NULL, NULL, NULL, NULL, 'BNAANNG41370D PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134188, NULL, 'PTHR34997:SF9', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03980)-RELATED', NULL, NULL, NULL, 15),
(134189, NULL, 'PTHR41693:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134190, NULL, 'PTHR24229:SF6', NULL, NULL, NULL, NULL, 'SOMATOSTATIN RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(134191, NULL, 'PTHR18875:SF7', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 63 KDA', NULL, NULL, 25744, 15),
(134192, NULL, 'PTHR11502:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', NULL, NULL, NULL, 15),
(134193, NULL, 'PTHR30053', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR P', NULL, NULL, 20745, 15),
(134194, NULL, 'PTHR22648', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR NUSA', NULL, NULL, 24627, 15),
(134195, NULL, 'PTHR10024', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN', NULL, NULL, NULL, 15),
(134196, NULL, 'PTHR46443:SF6', NULL, NULL, NULL, NULL, 'OS07G0175300 PROTEIN', NULL, NULL, NULL, 15),
(134197, NULL, 'PTHR13238:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134198, NULL, 'PTHR33681:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134199, NULL, 'PTHR33144:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134200, NULL, 'PTHR45813:SF1', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR F4', NULL, NULL, NULL, 15),
(134201, NULL, 'PTHR31912:SF16', NULL, NULL, NULL, NULL, 'IP13529P', NULL, NULL, NULL, 15),
(134202, NULL, 'PTHR31614:SF38', NULL, NULL, NULL, NULL, 'BNAA03G58200D PROTEIN', NULL, NULL, NULL, 15),
(134203, NULL, 'PTHR32251', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE', NULL, NULL, 10243, 15),
(134204, NULL, 'PTHR13108:SF9', NULL, NULL, NULL, NULL, 'CONDENSIN COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(134205, NULL, 'PTHR45676:SF74', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(134206, NULL, 'PTHR11434:SF17', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 4L', NULL, NULL, NULL, 15),
(134207, NULL, 'PTHR32212:SF353', NULL, NULL, NULL, NULL, 'RNI-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(134208, NULL, 'PTHR31235:SF172', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(134209, NULL, 'PTHR33332:SF25', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TYPE-1 RETROTRANSPOSABLE ELEMENT R1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(134210, NULL, 'PTHR10179:SF69', NULL, NULL, NULL, NULL, 'GROWTH-REGULATED ALPHA PROTEIN', NULL, NULL, NULL, 15),
(134211, NULL, 'PTHR12126:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134212, NULL, 'PTHR31327:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG09116', NULL, NULL, NULL, 15),
(134213, NULL, 'PTHR42104:SF2', NULL, NULL, NULL, NULL, 'GUANYL-SPECIFIC RIBONUCLEASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G01200)-RELATED', NULL, NULL, NULL, 15),
(134214, NULL, 'PTHR11062:SF219', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE XLT2-LIKE', NULL, NULL, NULL, 15),
(134215, NULL, 'PTHR23354:SF113', NULL, NULL, NULL, NULL, 'TLD DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(134216, NULL, 'PTHR48034:SF8', NULL, NULL, NULL, NULL, 'OS08G0385900 PROTEIN', NULL, NULL, NULL, 15),
(134217, NULL, 'PTHR10502:SF225', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(134218, NULL, 'PTHR35771:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(134219, NULL, 'PTHR21136:SF92', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 721-LIKE', NULL, NULL, NULL, 15),
(134220, NULL, 'PTHR31509:SF3', NULL, NULL, NULL, NULL, 'BPS1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(134221, NULL, 'PTHR45979:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134222, NULL, 'PTHR31147:SF11', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 10', NULL, NULL, NULL, 15),
(134223, NULL, 'PTHR42708:SF1', NULL, NULL, NULL, NULL, 'ATP/GTP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134224, NULL, 'PTHR36782:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134225, NULL, 'PTHR22923:SF68', NULL, NULL, NULL, NULL, 'CEREBELLIN 10-RELATED', NULL, NULL, NULL, 15),
(134226, NULL, 'PTHR23239:SF358', NULL, NULL, NULL, NULL, 'ZGC:92380', NULL, NULL, NULL, 15),
(134227, NULL, 'PTHR46665', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH041-RELATED-RELATED', NULL, NULL, 38607, 15),
(134228, NULL, 'PTHR31696:SF61', NULL, NULL, NULL, NULL, 'OS01G0268700 PROTEIN', NULL, NULL, NULL, 15),
(134229, NULL, 'PTHR11945:SF593', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL61', NULL, NULL, NULL, 15),
(134230, NULL, 'PTHR48085:SF9', NULL, NULL, NULL, NULL, 'BNAA07G36130D PROTEIN', NULL, NULL, NULL, 15),
(134231, NULL, 'PTHR13715:SF53', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(134232, NULL, 'PTHR43828', NULL, NULL, NULL, NULL, 'ASPARAGINASE', NULL, NULL, NULL, 15),
(134233, NULL, 'PTHR47975:SF27', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 19', NULL, NULL, NULL, 15),
(134234, NULL, 'PTHR28089', NULL, NULL, NULL, NULL, 'PROTEIN ZDS1-RELATED', NULL, NULL, 33769, 15),
(134235, NULL, 'PTHR10108:SF1088', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT15-RELATED', NULL, NULL, NULL, 15),
(134236, NULL, 'PTHR18945:SF571', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT BETA-3', NULL, NULL, NULL, 15),
(134237, NULL, 'PTHR15020', NULL, NULL, NULL, NULL, 'FLAVIN REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(134238, NULL, 'PTHR13585:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 13', NULL, NULL, NULL, 15),
(134239, NULL, 'PTHR31213:SF126', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL1', NULL, NULL, NULL, 15),
(134240, NULL, 'PTHR35516:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(134241, NULL, 'PTHR16517:SF115', NULL, NULL, NULL, NULL, 'TUBBY-LIKE PROTEIN 4B', NULL, NULL, NULL, 15),
(134242, NULL, 'PTHR38426', NULL, NULL, NULL, NULL, 'MAINTENANCE OF TELOMERE CAPPING PROTEIN 4', NULL, NULL, 34963, 15),
(134243, NULL, 'PTHR16223:SF155', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(134244, NULL, 'PTHR32052', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134245, NULL, 'PTHR47248:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08652', NULL, NULL, NULL, 15),
(134246, NULL, 'PTHR27002:SF747', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RKS1', NULL, NULL, NULL, 15),
(134247, NULL, 'PTHR11670', NULL, NULL, NULL, NULL, 'ACONITASE/IRON-RESPONSIVE ELEMENT FAMILY MEMBER', NULL, NULL, 3613, 15),
(134248, NULL, 'PTHR12544:SF48', NULL, NULL, NULL, NULL, 'GLUTAMINASE 1', NULL, NULL, NULL, 15),
(134249, NULL, 'PTHR31623:SF58', NULL, NULL, NULL, NULL, 'SALUTARIDINOL 7-O-ACETYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(134250, NULL, 'PTHR10838', NULL, NULL, NULL, NULL, 'SYNAPTOGYRIN', NULL, NULL, 18389, 15),
(134251, NULL, 'PTHR31719:SF151', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 68-LIKE', NULL, NULL, NULL, 15),
(134252, NULL, 'PTHR15348:SF1', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 3A', NULL, NULL, NULL, 15),
(134253, NULL, 'PTHR11743:SF71', NULL, NULL, NULL, NULL, 'BNACNNG52100D PROTEIN', NULL, NULL, NULL, 15),
(134254, NULL, 'PTHR39615', NULL, NULL, NULL, NULL, 'YALI0E17897P', NULL, NULL, 24147, 15),
(134255, NULL, 'PTHR11064:SF106', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-5', NULL, NULL, NULL, 15),
(134256, NULL, 'PTHR10285:SF136', NULL, NULL, NULL, NULL, 'URACIL PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(134257, NULL, 'PTHR10965:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134258, NULL, 'PTHR31832:SF39', NULL, NULL, NULL, NULL, 'ORPHAN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(134259, NULL, 'PTHR13318:SF178', NULL, NULL, NULL, NULL, 'GRR1', NULL, NULL, NULL, 15),
(134260, NULL, 'PTHR42663', NULL, NULL, NULL, NULL, 'HYDROLASE C777.06C-RELATED-RELATED', NULL, NULL, NULL, 15),
(134261, NULL, 'PTHR11351:SF65', NULL, NULL, NULL, NULL, 'DELTA-9 ACYL-LIPID DESATURASE 1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134262, NULL, 'PTHR45706:SF4', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(134263, NULL, 'PTHR31744:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134264, NULL, 'PTHR11224:SF10', NULL, NULL, NULL, NULL, 'IP09428P-RELATED', NULL, NULL, NULL, 15),
(134265, NULL, 'PTHR12199', NULL, NULL, NULL, NULL, 'INTERPHOTORECEPTOR MATRIX PROTEOGLYCAN', NULL, NULL, 29720, 15),
(134266, NULL, 'PTHR15838', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN OF 40 KDA', NULL, NULL, NULL, 15),
(134267, NULL, 'PTHR31259:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134268, NULL, 'PTHR44516:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134269, NULL, 'PTHR13803:SF42', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC24B', NULL, NULL, NULL, 15),
(134270, NULL, 'PTHR46055:SF3', NULL, NULL, NULL, NULL, 'CIRCADIAN LOCOMOTER OUTPUT CYCLES PROTEIN KAPUT', NULL, NULL, NULL, 15),
(134271, NULL, 'PTHR48007:SF26', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 1', NULL, NULL, NULL, 15),
(134272, NULL, 'PTHR48002:SF157', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(134273, NULL, 'PTHR48021:SF74', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134274, NULL, 'PTHR44191:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134275, NULL, 'PTHR19422:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134276, NULL, 'PTHR11183:SF152', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE:XYLAN ALPHA-GLUCURONOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(134277, NULL, 'PTHR12398:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134278, NULL, 'PTHR15860:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNFT1', NULL, NULL, NULL, 15),
(134279, NULL, 'PTHR23335:SF34', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 1', NULL, NULL, NULL, 15),
(134280, NULL, 'PTHR31113', NULL, NULL, NULL, NULL, 'UPF0496 PROTEIN 3-RELATED', NULL, NULL, 1163, 15),
(134281, NULL, 'PTHR10782:SF10', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE PIAS3', NULL, NULL, 23600, 15),
(134282, NULL, 'PTHR21136:SF114', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 7A', NULL, NULL, NULL, 15),
(134283, NULL, 'PTHR11654:SF142', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(134284, NULL, 'PTHR19229:SF232', NULL, NULL, NULL, NULL, 'BNAC07G07140D PROTEIN', NULL, NULL, NULL, 15),
(134285, NULL, 'PTHR22765:SF145', NULL, NULL, NULL, NULL, 'SI:DKEYP-86F7.4', NULL, NULL, NULL, 15),
(134286, NULL, 'PTHR31218:SF152', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(134287, NULL, 'PTHR24216', NULL, NULL, NULL, NULL, 'PAXILLIN-RELATED', NULL, NULL, NULL, 15),
(134288, NULL, 'PTHR45651:SF44', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 4-LIKE', NULL, NULL, NULL, 15),
(134289, NULL, 'PTHR11122:SF15', NULL, NULL, NULL, NULL, 'PROTEIN NDH-DEPENDENT CYCLIC ELECTRON FLOW 5', NULL, NULL, NULL, 15),
(134290, NULL, 'PTHR10574:SF403', NULL, NULL, NULL, NULL, 'SP2353, ISOFORM A', NULL, NULL, NULL, 15),
(134291, NULL, 'PTHR34145:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134292, NULL, 'PTHR43161', NULL, NULL, NULL, NULL, 'SORBITOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(134293, NULL, 'PTHR11265:SF0', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 15-RELATED', NULL, NULL, NULL, 15),
(134294, NULL, 'PTHR32123', NULL, NULL, NULL, NULL, 'BICD FAMILY-LIKE CARGO ADAPTER', NULL, NULL, NULL, 15),
(134295, NULL, 'PTHR24032:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134296, NULL, 'PTHR10972:SF182', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 9', NULL, NULL, NULL, 15),
(134297, NULL, 'PTHR10414:SF72', NULL, NULL, NULL, NULL, 'AMINOALCOHOLPHOSPHOTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134298, NULL, 'PTHR42760:SF85', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE', NULL, NULL, NULL, 15),
(134299, NULL, 'PTHR11461:SF286', NULL, NULL, NULL, NULL, 'NON-INHIBITORY SERPIN-Z11-RELATED', NULL, NULL, NULL, 15),
(134300, NULL, 'PTHR30055:SF181', NULL, NULL, NULL, NULL, 'BLR6905 PROTEIN', NULL, NULL, NULL, 15),
(134301, NULL, 'PTHR31050:SF7', NULL, NULL, NULL, NULL, 'DUF1262 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134302, NULL, 'PTHR27008:SF252', NULL, NULL, NULL, NULL, 'CLV1 RECEPTOR KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(134303, NULL, 'PTHR47941:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED SALT-INDUCIBLE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(134304, NULL, 'PTHR46114', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134305, NULL, 'PTHR35539', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC048562', NULL, NULL, NULL, 15),
(134306, NULL, 'PTHR45913:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134307, NULL, 'PTHR45528', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE CPXA', NULL, NULL, NULL, 15),
(134308, NULL, 'PTHR11533:SF278', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(134309, NULL, 'PTHR11022:SF68', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-RECOGNITION PROTEIN LF', NULL, NULL, NULL, 15),
(134310, NULL, 'PTHR24296:SF165', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94B3-LIKE', NULL, NULL, NULL, 15),
(134311, NULL, 'PTHR23023:SF268', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(134312, NULL, 'PTHR31549:SF103', NULL, NULL, NULL, NULL, 'UPF0481 PROTEIN', NULL, NULL, NULL, 15),
(134313, NULL, 'PTHR45952:SF12', NULL, NULL, NULL, NULL, 'STEM-SPECIFIC PROTEIN TSJT1-LIKE', NULL, NULL, NULL, 15),
(134314, NULL, 'PTHR32285:SF43', NULL, NULL, NULL, NULL, 'OS02G0729100 PROTEIN', NULL, NULL, NULL, 15),
(134315, NULL, 'PTHR23266:SF68', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY CONSTANT ALPHA 1-RELATED', NULL, NULL, NULL, 15),
(134316, NULL, 'PTHR22753:SF41', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID/GLYCEROL ACYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(134317, NULL, 'PTHR36744:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME OXIDASE ASSEMBLY PROTEIN', NULL, NULL, NULL, 15),
(134318, NULL, 'PTHR48056:SF44', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE CLAVATA1', NULL, NULL, NULL, 15),
(134319, NULL, 'PTHR47977:SF18', NULL, NULL, NULL, NULL, 'RABX5', NULL, NULL, NULL, 15),
(134320, NULL, 'PTHR33469:SF17', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 3-LIKE', NULL, NULL, NULL, 15),
(134321, NULL, 'PTHR37994:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134322, NULL, 'PTHR37364:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 182', NULL, NULL, NULL, 15),
(134323, NULL, 'PTHR11706:SF30', NULL, NULL, NULL, NULL, 'TRANSPORTER SMF1/ESP1', NULL, NULL, NULL, 15),
(134324, NULL, 'PTHR22939:SF105', NULL, NULL, NULL, NULL, 'SERINE PROTEASE HTRA4', NULL, NULL, NULL, 15),
(134325, NULL, 'PTHR34458:SF16', NULL, NULL, NULL, NULL, 'BNAC03G75730D PROTEIN', NULL, NULL, NULL, 15),
(134326, NULL, 'PTHR46102:SF1', NULL, NULL, NULL, NULL, 'AXIN-2', NULL, NULL, NULL, 15),
(134327, NULL, 'PTHR32026:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG18752', NULL, NULL, NULL, 15),
(134328, NULL, 'PTHR31707:SF301', NULL, NULL, NULL, NULL, 'OS04G0587200 PROTEIN', NULL, NULL, NULL, 15),
(134329, NULL, 'PTHR24349:SF441', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE (CDPK) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134330, NULL, 'PTHR48022:SF63', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(134331, NULL, 'PTHR11926:SF1323', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(134332, NULL, 'PTHR32432:SF11', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134333, NULL, 'PTHR30505:SF28', NULL, NULL, NULL, NULL, 'PTS SYSTEM 2-O-ALPHA-MANNOSYL-D-GLYCERATE-SPECIFIC EIIABC COMPONENT-RELATED', NULL, NULL, NULL, 15),
(134334, NULL, 'PTHR11635:SF129', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE TYPE I-ALPHA REGULATORY SUBUNIT', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134335, NULL, 'PTHR11132:SF240', NULL, NULL, NULL, NULL, 'UDP-SUGAR TRANSPORTER UST74C', NULL, NULL, NULL, 15),
(134336, NULL, 'PTHR43321:SF23', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(134337, NULL, 'PTHR46430', NULL, NULL, NULL, NULL, 'PROTEIN SKT5-RELATED', NULL, NULL, NULL, 15),
(134338, NULL, 'PTHR31744:SF4', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(134339, NULL, 'PTHR33649:SF4', NULL, NULL, NULL, NULL, 'PAR1 PROTEIN', NULL, NULL, NULL, 15),
(134340, NULL, 'PTHR12629:SF5', NULL, NULL, NULL, NULL, 'DIPHOSPHOINOSITOL POLYPHOSPHATE PHOSPHOHYDROLASE 1', NULL, NULL, NULL, 15),
(134341, NULL, 'PTHR31650:SF25', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE (WSD1-LIKE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134342, NULL, 'PTHR34946:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN SHOOT GRAVITROPISM 5', NULL, NULL, NULL, 15),
(134343, NULL, 'PTHR47260:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134344, NULL, 'PTHR34361:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134345, NULL, 'PTHR35392:SF2', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(134346, NULL, 'PTHR15503:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134347, NULL, 'PTHR47926:SF48', NULL, NULL, NULL, NULL, 'BNAC03G61110D PROTEIN', NULL, NULL, NULL, 15),
(134348, NULL, 'PTHR11860:SF87', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 7', NULL, NULL, NULL, 15),
(134349, NULL, 'PTHR10426:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134350, NULL, 'PTHR10183:SF379', NULL, NULL, NULL, NULL, 'CALPAIN-5', NULL, NULL, NULL, 15),
(134351, NULL, 'PTHR31989:SF301', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 71', NULL, NULL, NULL, 15),
(134352, NULL, 'PTHR13384', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(134353, NULL, 'PTHR42799:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PEPTIDE METHIONINE SULFOXIDE REDUCTASE', NULL, NULL, NULL, 15),
(134354, NULL, 'PTHR19865:SF8', NULL, NULL, NULL, NULL, 'BNAC06G26660D PROTEIN', NULL, NULL, NULL, 15),
(134355, NULL, 'PTHR43624:SF2', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN-QUINONE OXIDOREDUCTASE YDIS-RELATED', NULL, NULL, NULL, 15),
(134356, NULL, 'PTHR43180:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134357, NULL, 'PTHR35509:SF1', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF1995)-RELATED', NULL, NULL, NULL, 15),
(134358, NULL, 'PTHR36223:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134359, NULL, 'PTHR48001:SF110', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 50', NULL, NULL, NULL, 15),
(134360, NULL, 'PTHR46732:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE LA DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(134361, NULL, 'PTHR47979:SF49', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-11A', NULL, NULL, NULL, 15),
(134362, NULL, 'PTHR36063:SF5', NULL, NULL, NULL, NULL, 'BNAA02G24330D PROTEIN', NULL, NULL, NULL, 15),
(134363, NULL, 'PTHR23182:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-33C9.6', NULL, NULL, NULL, 15),
(134364, NULL, 'PTHR24115:SF323', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 9', NULL, NULL, NULL, 15),
(134365, NULL, 'PTHR10176:SF2', NULL, NULL, NULL, NULL, 'GLYCOGEN [STARCH] SYNTHASE, MUSCLE', NULL, NULL, NULL, 15),
(134366, NULL, 'PTHR46971:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134367, NULL, 'PTHR24353:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134368, NULL, 'PTHR11043:SF4', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-2', NULL, NULL, NULL, 15),
(134369, NULL, 'PTHR22761:SF53', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 32 HOMOLOG 2-LIKE', NULL, NULL, NULL, 15),
(134370, NULL, 'PTHR23008:SF0', NULL, NULL, NULL, NULL, 'CHROMOSOME 28 C10ORF62 HOMOLOG', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134371, NULL, 'PTHR45614:SF9', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN A', NULL, NULL, 25932, 15),
(134372, NULL, 'PTHR11038:SF16', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM10', NULL, NULL, 23196, 15),
(134373, NULL, 'PTHR24372:SF5', NULL, NULL, NULL, NULL, 'FOLLICLE-STIMULATING HORMONE RECEPTOR', NULL, NULL, 5031, 15),
(134374, NULL, 'PTHR15104:SF0', NULL, NULL, NULL, NULL, 'DIHYDROPTERIDINE REDUCTASE', NULL, NULL, NULL, 15),
(134375, NULL, 'PTHR27001:SF873', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-REGULATED RECEPTOR-LIKE KINASE 1', NULL, NULL, NULL, 15),
(134376, NULL, 'PTHR13587', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 3', NULL, NULL, 39897, 15),
(134377, NULL, 'PTHR23299:SF50', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1M', NULL, NULL, NULL, 15),
(134378, NULL, 'PTHR33270:SF6', NULL, NULL, NULL, NULL, 'BNAA02G21500D PROTEIN', NULL, NULL, NULL, 15),
(134379, NULL, 'PTHR36358:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134380, NULL, 'PTHR45886:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG16589', NULL, NULL, NULL, 15),
(134381, NULL, 'PTHR26391', NULL, NULL, NULL, NULL, 'INACTIVE TYROSINE-PROTEIN KINASE 7', NULL, NULL, NULL, 15),
(134382, NULL, 'PTHR45913:SF5', NULL, NULL, NULL, NULL, 'EPM2A-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(134383, NULL, 'PTHR33987:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134384, NULL, 'PTHR31992:SF169', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.6', NULL, NULL, NULL, 15),
(134385, NULL, 'PTHR12786:SF6', NULL, NULL, NULL, NULL, 'BNAA03G01920D PROTEIN', NULL, NULL, NULL, 15),
(134386, NULL, 'PTHR46413:SF11', NULL, NULL, NULL, NULL, 'BNAC02G03130D PROTEIN', NULL, NULL, NULL, 15),
(134387, NULL, 'PTHR31639:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134388, NULL, 'PTHR10168:SF292', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S2 PROTEIN', NULL, NULL, NULL, 15),
(134389, NULL, 'PTHR44337:SF18', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN RELATED CELL ADHESION MOLECULE 20', NULL, NULL, NULL, 15),
(134390, NULL, 'PTHR12081:SF84', NULL, NULL, NULL, NULL, 'E2F TRANSCRIPTION FACTOR-LIKE E2FF', NULL, NULL, NULL, 15),
(134391, NULL, 'PTHR11475:SF74', NULL, NULL, NULL, NULL, 'PEROXIDASIN HOMOLOG', NULL, NULL, 31257, 15),
(134392, NULL, 'PTHR36062', NULL, NULL, NULL, NULL, 'OS01G0687300 PROTEIN', NULL, NULL, 34060, 15),
(134393, NULL, 'PTHR31713:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(134394, NULL, 'PTHR11926:SF1413', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(134395, NULL, 'PTHR12937', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING 28, ISOFORM 2  VPS28', NULL, NULL, 283, 15),
(134396, NULL, 'PTHR47065', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, 37604, 15),
(134397, NULL, 'PTHR10352:SF44', NULL, NULL, NULL, NULL, 'TRIVET, ISOFORM I', NULL, NULL, NULL, 15),
(134398, NULL, 'PTHR45633:SF40', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60-2, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(134399, NULL, 'PTHR24286:SF281', NULL, NULL, NULL, NULL, 'BNAA05G09340D PROTEIN', NULL, NULL, NULL, 15),
(134400, NULL, 'PTHR43791:SF82', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(134401, NULL, 'PTHR38924', NULL, NULL, NULL, NULL, 'ASPARAGINE AND ASPARTATE RICH PROTEIN 1', NULL, NULL, NULL, 15),
(134402, NULL, 'PTHR47946:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A5', NULL, NULL, NULL, 15),
(134403, NULL, 'PTHR19876:SF25', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''-3', NULL, NULL, NULL, 15),
(134404, NULL, 'PTHR22762:SF89', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 31 PROTEIN', NULL, NULL, NULL, 15),
(134405, NULL, 'PTHR46144:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 346', NULL, NULL, NULL, 15),
(134406, NULL, 'PTHR26454:SF5', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(134407, NULL, 'PTHR30509:SF9', NULL, NULL, NULL, NULL, 'P-HYDROXYBENZOIC ACID EFFLUX PUMP SUBUNIT', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134408, NULL, 'PTHR47372:SF28', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS ABUNDANT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(134409, NULL, 'PTHR24396:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 644', NULL, NULL, NULL, 15),
(134410, NULL, 'PTHR43019:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134411, NULL, 'PTHR24015:SF1793', NULL, NULL, NULL, NULL, 'OS11G0109800 PROTEIN', NULL, NULL, NULL, 15),
(134412, NULL, 'PTHR34118:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134413, NULL, 'PTHR33168:SF6', NULL, NULL, NULL, NULL, 'OS05G0516100 PROTEIN', NULL, NULL, NULL, 15),
(134414, NULL, 'PTHR12272:SF11', NULL, NULL, NULL, NULL, 'PAN2-PAN3 DEADENYLATION COMPLEX SUBUNIT PAN3', NULL, NULL, NULL, 15),
(134415, NULL, 'PTHR10476:SF53', NULL, NULL, NULL, NULL, 'BNAA09G45880D PROTEIN', NULL, NULL, NULL, 15),
(134416, NULL, 'PTHR14155:SF553', NULL, NULL, NULL, NULL, 'EL5-LIKE', NULL, NULL, NULL, 15),
(134417, NULL, 'PTHR43019:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134418, NULL, 'PTHR10366:SF695', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL 4-REDUCTASE', NULL, NULL, NULL, 15),
(134419, NULL, 'PTHR35470:SF8', NULL, NULL, NULL, NULL, 'OS06G0143100 PROTEIN', NULL, NULL, NULL, 15),
(134420, NULL, 'PTHR11161:SF60', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(134421, NULL, 'PTHR24349:SF440', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR, SERINE/THREONINE PROTEIN KINASE, STRIATED MUSCLE-SPECIFIC-RELATED', NULL, NULL, NULL, 15),
(134422, NULL, 'PTHR27007:SF301', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.9-LIKE', NULL, NULL, NULL, 15),
(134423, NULL, 'PTHR14493:SF118', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 30', NULL, NULL, NULL, 15),
(134424, NULL, 'PTHR24379', NULL, NULL, NULL, NULL, 'KRAB AND ZINC FINGER DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(134425, NULL, 'PTHR26379:SF380', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134426, NULL, 'PTHR24399:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(134427, NULL, 'PTHR10317', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT E', NULL, NULL, 19695, 15),
(134428, NULL, 'PTHR11453:SF89', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 2-RELATED', NULL, NULL, NULL, 15),
(134429, NULL, 'PTHR31647:SF13', NULL, NULL, NULL, NULL, '2-CELL-STAGE, VARIABLE GROUP, MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(134430, NULL, 'PTHR43859:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134431, NULL, 'PTHR31213:SF86', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORTER', NULL, NULL, NULL, 15),
(134432, NULL, 'PTHR23110:SF77', NULL, NULL, NULL, NULL, 'FI07618P-RELATED', NULL, NULL, NULL, 15),
(134433, NULL, 'PTHR31378:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134434, NULL, 'PTHR12931:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134435, NULL, 'PTHR31378:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134436, NULL, 'PTHR13800:SF6', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 4', NULL, NULL, 28960, 15),
(134437, NULL, 'PTHR11556:SF39', NULL, NULL, NULL, NULL, 'BNAC04G26530D PROTEIN', NULL, NULL, NULL, 15),
(134438, NULL, 'PTHR42760:SF91', NULL, NULL, NULL, NULL, 'CHLOROPLAST, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(134439, NULL, 'PTHR36730', NULL, NULL, NULL, NULL, 'OS03G0210700 PROTEIN', NULL, NULL, NULL, 15),
(134440, NULL, 'PTHR12128:SF52', NULL, NULL, NULL, NULL, '4-HYDROXY-2-OXOGLUTARATE ALDOLASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(134441, NULL, 'PTHR48024:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134442, NULL, 'PTHR31985:SF225', NULL, NULL, NULL, NULL, 'BNAC04G03870D PROTEIN', NULL, NULL, NULL, 15),
(134443, NULL, 'PTHR45614:SF68', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 3R-1-LIKE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134444, NULL, 'PTHR43303:SF4', NULL, NULL, NULL, NULL, 'NADPH DEHYDROGENASE C23G7.10C-RELATED', NULL, NULL, NULL, 15),
(134445, NULL, 'PTHR33136:SF69', NULL, NULL, NULL, NULL, 'BNAA09G07580D PROTEIN', NULL, NULL, NULL, 15),
(134446, NULL, 'PTHR33078:SF68', NULL, NULL, NULL, NULL, 'YCF2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(134447, NULL, 'PTHR11153:SF17', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-5', NULL, NULL, NULL, 15),
(134448, NULL, 'PTHR48068:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134449, NULL, 'PTHR12040:SF26', NULL, NULL, NULL, NULL, 'BNAC06G27710D PROTEIN', NULL, NULL, NULL, 15),
(134450, NULL, 'PTHR33102:SF60', NULL, NULL, NULL, NULL, 'OS05G0458200 PROTEIN', NULL, NULL, NULL, 15),
(134451, NULL, 'PTHR13192:SF3', NULL, NULL, NULL, NULL, 'METHYLMALONIC ACIDURIA AND HOMOCYSTINURIA TYPE D PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(134452, NULL, 'PTHR10502:SF122', NULL, NULL, NULL, NULL, 'ANNEXIN A9', NULL, NULL, 10992, 15),
(134453, NULL, 'PTHR15398:SF7', NULL, NULL, NULL, NULL, 'MCG121508', NULL, NULL, NULL, 15),
(134454, NULL, 'PTHR34491:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134455, NULL, 'PTHR31218:SF242', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(134456, NULL, 'PTHR22740', NULL, NULL, NULL, NULL, 'PROTEIN KRBA1', NULL, NULL, 34291, 15),
(134457, NULL, 'PTHR34502', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134458, NULL, 'PTHR11662:SF79', NULL, NULL, NULL, NULL, 'NA[+]-DEPENDENT INORGANIC PHOSPHATE COTRANSPORTER, ISOFORM A', NULL, NULL, NULL, 15),
(134459, NULL, 'PTHR24138:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134460, NULL, 'PTHR31494:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134461, NULL, 'PTHR10901:SF8', NULL, NULL, NULL, NULL, 'TROPOMODULIN-1', NULL, NULL, 27226, 15),
(134462, NULL, 'PTHR32227:SF385', NULL, NULL, NULL, NULL, 'BNAC04G24330D PROTEIN', NULL, NULL, NULL, 15),
(134463, NULL, 'PTHR31676:SF89', NULL, NULL, NULL, NULL, 'OS07G0120500 PROTEIN', NULL, NULL, NULL, 15),
(134464, NULL, 'PTHR34107:SF4', NULL, NULL, NULL, NULL, 'SLL1222 PROTEIN', NULL, NULL, NULL, 15),
(134465, NULL, 'PTHR12542:SF138', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134466, NULL, 'PTHR10728', NULL, NULL, NULL, NULL, 'CYTOSOLIC PHOSPHOLIPASE A2', NULL, NULL, NULL, 15),
(134467, NULL, 'PTHR15708:SF4', NULL, NULL, NULL, NULL, 'GH21160P-RELATED', NULL, NULL, NULL, 15),
(134468, NULL, 'PTHR42862', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE DEHYDROGENASE 1, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(134469, NULL, 'PTHR33021:SF245', NULL, NULL, NULL, NULL, 'BLUE COPPER BINDING PROTEIN', NULL, NULL, NULL, 15),
(134470, NULL, 'PTHR31321:SF91', NULL, NULL, NULL, NULL, 'OS11G0659600 PROTEIN', NULL, NULL, NULL, 15),
(134471, NULL, 'PTHR15593:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE 3-KINASE REGULATORY SUBUNIT 5', NULL, NULL, NULL, 15),
(134472, NULL, 'PTHR12905:SF25', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(134473, NULL, 'PTHR39960', NULL, NULL, NULL, NULL, 'LD34147P', NULL, NULL, NULL, 15),
(134474, NULL, 'PTHR21477:SF24', NULL, NULL, NULL, NULL, 'OS07G0124000 PROTEIN', NULL, NULL, NULL, 15),
(134475, NULL, 'PTHR22603:SF78', NULL, NULL, NULL, NULL, 'CHOLINE KINASE A', NULL, NULL, NULL, 15),
(134476, NULL, 'PTHR21736:SF36', NULL, NULL, NULL, NULL, 'PROTEIN OBERON 1-LIKE', NULL, NULL, NULL, 15),
(134477, NULL, 'PTHR16469:SF43', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134478, NULL, 'PTHR32031:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134479, NULL, 'PTHR10168:SF295', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C13-LIKE', NULL, NULL, NULL, 15),
(134480, NULL, 'PTHR27002:SF616', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', NULL, NULL, NULL, 15),
(134481, NULL, 'PTHR15275:SF0', NULL, NULL, NULL, NULL, 'MASTERMIND-LIKE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134482, NULL, 'PTHR11691:SF64', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-1/13', NULL, NULL, NULL, 15),
(134483, NULL, 'PTHR34969', NULL, NULL, NULL, NULL, 'OS01G0621700 PROTEIN', NULL, NULL, NULL, 15),
(134484, NULL, 'PTHR32507:SF0', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER 1', NULL, NULL, NULL, 15),
(134485, NULL, 'PTHR43908:SF5', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 49', NULL, NULL, NULL, 15),
(134486, NULL, 'PTHR10902:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35A', NULL, NULL, NULL, 15),
(134487, NULL, 'PTHR11208:SF118', NULL, NULL, NULL, NULL, 'PROTEIN QUAKING-B', NULL, NULL, NULL, 15),
(134488, NULL, 'PTHR31105:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134489, NULL, 'PTHR31896:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134490, NULL, 'PTHR11538', NULL, NULL, NULL, NULL, 'PHENYLALANYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(134491, NULL, 'PTHR45959:SF3', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(134492, NULL, 'PTHR11010:SF99', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(134493, NULL, 'PTHR11926:SF995', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(134494, NULL, 'PTHR12231:SF239', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE 1', NULL, NULL, 29111, 15),
(134495, NULL, 'PTHR31906:SF14', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 4, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(134496, NULL, 'PTHR23359:SF103', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE 1', NULL, NULL, NULL, 15),
(134497, NULL, 'PTHR10742:SF344', NULL, NULL, NULL, NULL, 'PROTEIN CBR-HPO-15', NULL, NULL, NULL, 15),
(134498, NULL, 'PTHR11802:SF15', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 30-RELATED', NULL, NULL, NULL, 15),
(134499, NULL, 'PTHR14493:SF86', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 29', NULL, NULL, NULL, 15),
(134500, NULL, 'PTHR12812:SF0', NULL, NULL, NULL, NULL, 'HEPARAN-SULFATE 6-O-SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(134501, NULL, 'PTHR47983:SF30', NULL, NULL, NULL, NULL, 'PTI1-LIKE TYROSINE-PROTEIN KINASE 3 ISOFORM X2', NULL, NULL, NULL, 15),
(134502, NULL, 'PTHR31731:SF103', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(134503, NULL, 'PTHR32074:SF2', NULL, NULL, NULL, NULL, 'RNA DEMETHYLASE ALKBH5', NULL, NULL, NULL, 15),
(134504, NULL, 'PTHR34280:SF11', NULL, NULL, NULL, NULL, 'BNAA04G10670D PROTEIN', NULL, NULL, NULL, 15),
(134505, NULL, 'PTHR10555:SF31', NULL, NULL, NULL, NULL, 'SORTING NEXIN-2', NULL, NULL, 24381, 15),
(134506, NULL, 'PTHR12411:SF770', NULL, NULL, NULL, NULL, 'OS12G0273900 PROTEIN', NULL, NULL, NULL, 15),
(134507, NULL, 'PTHR48049:SF89', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(134508, NULL, 'PTHR21759:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG02240', NULL, NULL, NULL, 15),
(134509, NULL, 'PTHR11113:SF15', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-PHOSPHATE DEACETYLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(134510, NULL, 'PTHR44873:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 30, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(134511, NULL, 'PTHR19300:SF32', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(134512, NULL, 'PTHR27005:SF292', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(134513, NULL, 'PTHR14950:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134514, NULL, 'PTHR11909', NULL, NULL, NULL, NULL, 'CASEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(134515, NULL, 'PTHR31607:SF20', NULL, NULL, NULL, NULL, 'OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT-LIKE PROTEIN, PUTATIVE (DUF1216)-RELATED', NULL, NULL, NULL, 15),
(134516, NULL, 'PTHR45589:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134517, NULL, 'PTHR21363', NULL, NULL, NULL, NULL, 'PREPHENATE DEHYDROGENASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134518, NULL, 'PTHR10666:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134519, NULL, 'PTHR45974:SF64', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE MSP1', NULL, NULL, NULL, 15),
(134520, NULL, 'PTHR11835:SF63', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] REGULATORY SUBUNIT 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(134521, NULL, 'PTHR20982:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134522, NULL, 'PTHR45845:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 4B', NULL, NULL, NULL, 15),
(134523, NULL, 'PTHR34311:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG15143', NULL, NULL, NULL, 15),
(134524, NULL, 'PTHR24388:SF37', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN SNAI1', NULL, NULL, NULL, 15),
(134525, NULL, 'PTHR31544:SF5', NULL, NULL, NULL, NULL, 'PROTEIN AIG2 C', NULL, NULL, NULL, 15),
(134526, NULL, 'PTHR14237:SF34', NULL, NULL, NULL, NULL, 'MOSC DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G07820)', NULL, NULL, NULL, 15),
(134527, NULL, 'PTHR11802:SF341', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(134528, NULL, 'PTHR13817:SF80', NULL, NULL, NULL, NULL, 'CONTACTIN 5', NULL, NULL, NULL, 15),
(134529, NULL, 'PTHR46910', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PDR1', NULL, NULL, NULL, 15),
(134530, NULL, 'PTHR31140:SF2', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR NGA2', NULL, NULL, NULL, 15),
(134531, NULL, 'PTHR33791:SF15', NULL, NULL, NULL, NULL, 'BNAC09G37840D PROTEIN', NULL, NULL, NULL, 15),
(134532, NULL, 'PTHR14167:SF23', NULL, NULL, NULL, NULL, 'CD2-ASSOCIATED PROTEIN', NULL, NULL, 28610, 15),
(134533, NULL, 'PTHR10458:SF18', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE', NULL, NULL, NULL, 15),
(134534, NULL, 'PTHR34926', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134535, NULL, 'PTHR45657:SF35', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH12-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(134536, NULL, 'PTHR24300:SF343', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2A6', NULL, NULL, NULL, 15),
(134537, NULL, 'PTHR21016', NULL, NULL, NULL, NULL, 'BETA-AMYLOID BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134538, NULL, 'PTHR11532:SF62', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE E', NULL, NULL, NULL, 15),
(134539, NULL, 'PTHR11588:SF335', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(134540, NULL, 'PTHR11636:SF76', NULL, NULL, NULL, NULL, 'POU DOMAIN PROTEIN 2, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(134541, NULL, 'PTHR35270', NULL, NULL, NULL, NULL, 'FUSELESS, ISOFORM A', NULL, NULL, 22755, 15),
(134542, NULL, 'PTHR31389:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CBG06353', NULL, NULL, NULL, 15),
(134543, NULL, 'PTHR23268:SF24', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 16', NULL, NULL, NULL, 15),
(134544, NULL, 'PTHR15742:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SOGA1', NULL, NULL, NULL, 15),
(134545, NULL, 'PTHR23268:SF83', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 10-3', NULL, NULL, NULL, 15),
(134546, NULL, 'PTHR10108:SF1080', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT15-RELATED', NULL, NULL, NULL, 15),
(134547, NULL, 'PTHR31618:SF25', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(134548, NULL, 'PTHR46110:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HMX1', NULL, NULL, NULL, 15),
(134549, NULL, 'PTHR11945:SF564', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(134550, NULL, 'PTHR10795:SF657', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.6', NULL, NULL, NULL, 15),
(134551, NULL, 'PTHR43183:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL DIHYDROXYACID DEHYDRATASE (EUROFUNG)', NULL, NULL, NULL, 15),
(134552, NULL, 'PTHR28620:SF4', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN V', NULL, NULL, NULL, 15),
(134553, NULL, 'PTHR36756', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(134554, NULL, 'PTHR12393:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134555, NULL, 'PTHR43790:SF1', NULL, NULL, NULL, NULL, 'XYLOSE IMPORT ATP-BINDING PROTEIN XYLG', NULL, NULL, NULL, 15),
(134556, NULL, 'PTHR22084:SF1', NULL, NULL, NULL, NULL, 'GEX INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(134557, NULL, 'PTHR42928:SF3', NULL, NULL, NULL, NULL, 'UPF0065 PROTEIN YFLP', NULL, NULL, NULL, 15),
(134558, NULL, 'PTHR24220:SF608', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM ATP-BINDING PROTEIN LOLD 2', NULL, NULL, NULL, 15),
(134559, NULL, 'PTHR31929:SF123', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR20', NULL, NULL, NULL, 15),
(134560, NULL, 'PTHR46502:SF1', NULL, NULL, NULL, NULL, 'OS02G0640000 PROTEIN', NULL, NULL, NULL, 15),
(134561, NULL, 'PTHR33227:SF29', NULL, NULL, NULL, NULL, 'PROTEIN STIG1', NULL, NULL, NULL, 15),
(134562, NULL, 'PTHR11514:SF127', NULL, NULL, NULL, NULL, 'OS09G0519100 PROTEIN', NULL, NULL, NULL, 15),
(134563, NULL, 'PTHR34491:SF38', NULL, NULL, NULL, NULL, 'M PROTEIN REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_6G08660)', NULL, NULL, NULL, 15),
(134564, NULL, 'PTHR33077:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 9', NULL, NULL, NULL, 15),
(134565, NULL, 'PTHR24089:SF708', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 23B', NULL, NULL, NULL, 15),
(134566, NULL, 'PTHR47992:SF48', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 34-RELATED', NULL, NULL, NULL, 15),
(134567, NULL, 'PTHR24369:SF157', NULL, NULL, NULL, NULL, 'PLATELET GLYCOPROTEIN IB ALPHA CHAIN', NULL, NULL, NULL, 15),
(134568, NULL, 'PTHR45662:SF13', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC6-LIKE', NULL, NULL, NULL, 15),
(134569, NULL, 'PTHR43436:SF2', NULL, NULL, NULL, NULL, 'ARAC/XYLS FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(134570, NULL, 'PTHR45691:SF1', NULL, NULL, NULL, NULL, 'FH2 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(134571, NULL, 'PTHR31388:SF194', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(134572, NULL, 'PTHR32009:SF80', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE COP1-LIKE', NULL, NULL, NULL, 15),
(134573, NULL, 'PTHR23354:SF105', NULL, NULL, NULL, NULL, 'RESTRICTION OF TELOMERE CAPPING PROTEIN 5', NULL, NULL, NULL, 15),
(134574, NULL, 'PTHR31618:SF16', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(134575, NULL, 'PTHR13723:SF158', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 3', NULL, NULL, NULL, 15),
(134576, NULL, 'PTHR36931:SF1', NULL, NULL, NULL, NULL, 'UPF0153 PROTEIN YEIW', NULL, NULL, NULL, 15),
(134577, NULL, 'PTHR42152', NULL, NULL, NULL, NULL, 'PROTEIN GDF5OS, MITOCHONDRIAL', NULL, NULL, 30795, 15),
(134578, NULL, 'PTHR33543:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134579, NULL, 'PTHR22811:SF168', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA5', NULL, NULL, NULL, 15),
(134580, NULL, 'PTHR42793:SF1', NULL, NULL, NULL, NULL, 'COA BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(134581, NULL, 'PTHR46008:SF25', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134582, NULL, 'PTHR31791:SF30', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(134583, NULL, 'PTHR46506:SF41', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(134584, NULL, 'PTHR24637:SF293', NULL, NULL, NULL, NULL, 'BLISTERED CUTICLE', NULL, NULL, NULL, 15),
(134585, NULL, 'PTHR11480:SF84', NULL, NULL, NULL, NULL, 'BCDNA.GH08312', NULL, NULL, NULL, 15),
(134586, NULL, 'PTHR22925:SF56', NULL, NULL, NULL, NULL, 'ARABINANASE/LEVANSUCRASE/INVERTASE', NULL, NULL, NULL, 15),
(134587, NULL, 'PTHR24381:SF337', NULL, NULL, NULL, NULL, 'ZFP790 PROTEIN', NULL, NULL, NULL, 15),
(134588, NULL, 'PTHR45648:SF107', NULL, NULL, NULL, NULL, 'ESTER HYDROLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(134589, NULL, 'PTHR12369:SF17', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(134590, NULL, 'PTHR11475:SF4', NULL, NULL, NULL, NULL, 'LD42267P', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134591, NULL, 'PTHR48081:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134592, NULL, 'PTHR11880:SF45', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S19, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(134593, NULL, 'PTHR23273:SF72', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT A-LIKE', NULL, NULL, NULL, 15),
(134594, NULL, 'PTHR13422:SF12', NULL, NULL, NULL, NULL, 'SIN3-HDAC COMPLEX-ASSOCIATED FACTOR', NULL, NULL, NULL, 15),
(134595, NULL, 'PTHR10037:SF14', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 7 SUBUNIT ALPHA', NULL, NULL, 24356, 15),
(134596, NULL, 'PTHR31270:SF1', NULL, NULL, NULL, NULL, 'GLUTAMINYL-PEPTIDE CYCLOTRANSFERASE', NULL, NULL, NULL, 15),
(134597, NULL, 'PTHR46482:SF10', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(134598, NULL, 'PTHR11654:SF512', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.3', NULL, NULL, NULL, 15),
(134599, NULL, 'PTHR33669:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134600, NULL, 'PTHR26379:SF253', NULL, NULL, NULL, NULL, 'SPECKLE-TYPE POZ PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(134601, NULL, 'PTHR45670:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134602, NULL, 'PTHR35849:SF1', NULL, NULL, NULL, NULL, 'INTERMEMBRANE PHOSPHOLIPID TRANSPORT SYSTEM BINDING PROTEIN MLAB', NULL, NULL, NULL, 15),
(134603, NULL, 'PTHR33057:SF142', NULL, NULL, NULL, NULL, 'OVATE PROTEIN FAMILY, DNA-BINDING DOMAIN, OVATE FAMILY-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134604, NULL, 'PTHR43207:SF7', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(134605, NULL, 'PTHR42860:SF1', NULL, NULL, NULL, NULL, 'VITAMIN B12-BINDING PROTEIN', NULL, NULL, NULL, 15),
(134606, NULL, 'PTHR10201:SF266', NULL, NULL, NULL, NULL, 'MATRIXIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134607, NULL, 'PTHR22744:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG05686', NULL, NULL, NULL, 15),
(134608, NULL, 'PTHR31374:SF265', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(134609, NULL, 'PTHR34116:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134610, NULL, 'PTHR36791:SF2', NULL, NULL, NULL, NULL, 'OS03G0363400 PROTEIN', NULL, NULL, NULL, 15),
(134611, NULL, 'PTHR46558:SF10', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134612, NULL, 'PTHR10484:SF186', NULL, NULL, NULL, NULL, 'HISTONE H4', NULL, NULL, NULL, 15),
(134613, NULL, 'PTHR12482:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134614, NULL, 'PTHR12345', NULL, NULL, NULL, NULL, 'SYNTENIN RELATED', NULL, NULL, NULL, 15),
(134615, NULL, 'PTHR45669', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN DOMAIN-CONTAINING CYSTEINE-RICH PROTEIN CG12206-RELATED', NULL, NULL, NULL, 15),
(134616, NULL, 'PTHR22870:SF416', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134617, NULL, 'PTHR10358:SF29', NULL, NULL, NULL, NULL, 'OS01G0249300 PROTEIN', NULL, NULL, NULL, 15),
(134618, NULL, 'PTHR23220:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134619, NULL, 'PTHR11003:SF287', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBUNIT N2P17M2-2-RELATED', NULL, NULL, NULL, 15),
(134620, NULL, 'PTHR13681:SF26', NULL, NULL, NULL, NULL, 'SURVIVAL OF MOTOR NEURON-RELATED-SPLICING FACTOR 30', NULL, NULL, NULL, 15),
(134621, NULL, 'PTHR26379:SF345', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(134622, NULL, 'PTHR15312', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE RECEPTOR TYPE C-ASSOCIATED PROTEIN', NULL, NULL, 18332, 15),
(134623, NULL, 'PTHR12107:SF2', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-8 SUBUNIT', NULL, NULL, NULL, 15),
(134624, NULL, 'PTHR16134:SF104', NULL, NULL, NULL, NULL, 'TRANSPORT INHIBITOR RESPONSE 1-LIKE PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134625, NULL, 'PTHR24073:SF862', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-32', NULL, NULL, NULL, 15),
(134626, NULL, 'PTHR46018:SF5', NULL, NULL, NULL, NULL, 'RIBONUCLEASE Z', NULL, NULL, NULL, 15),
(134627, NULL, 'PTHR19241:SF510', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 39-LIKE', NULL, NULL, NULL, 15),
(134628, NULL, 'PTHR23515:SF9', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE TRANSPORTER NARK', NULL, NULL, NULL, 15),
(134629, NULL, 'PTHR24246:SF48', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 88', NULL, NULL, NULL, 15),
(134630, NULL, 'PTHR31602:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134631, NULL, 'PTHR33709:SF24', NULL, NULL, NULL, NULL, 'BNAC05G12870D PROTEIN', NULL, NULL, NULL, 15),
(134632, NULL, 'PTHR33739:SF10', NULL, NULL, NULL, NULL, 'OS05G0312000 PROTEIN', NULL, NULL, NULL, 15),
(134633, NULL, 'PTHR13723:SF275', NULL, NULL, NULL, NULL, 'STALL, ISOFORM C', NULL, NULL, NULL, 15),
(134634, NULL, 'PTHR44099', NULL, NULL, NULL, NULL, 'RABCONNECTIN-3B, ISOFORM A', NULL, NULL, NULL, 15),
(134635, NULL, 'PTHR13318:SF187', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(134636, NULL, 'PTHR47330', NULL, NULL, NULL, NULL, 'POLY(U)-BINDING-SPLICING FACTOR PUF60-B-RELATED', NULL, NULL, NULL, 15),
(134637, NULL, 'PTHR11595:SF68', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA 2', NULL, NULL, NULL, 15),
(134638, NULL, 'PTHR43310:SF1', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER YBAR-RELATED', NULL, NULL, NULL, 15),
(134639, NULL, 'PTHR10992:SF1061', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134640, NULL, 'PTHR48056:SF35', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE HSL2', NULL, NULL, NULL, 15),
(134641, NULL, 'PTHR28540:SF1', NULL, NULL, NULL, NULL, 'BCL2-ASSOCIATED AGONIST OF CELL DEATH', NULL, NULL, NULL, 15),
(134642, NULL, 'PTHR24257:SF15', NULL, NULL, NULL, NULL, 'MYELOBLASTIN', NULL, NULL, NULL, 15),
(134643, NULL, 'PTHR47015:SF1', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A MEMBER 1', NULL, NULL, 18317, 15),
(134644, NULL, 'PTHR47926:SF104', NULL, NULL, NULL, NULL, 'BNAC06G18640D PROTEIN', NULL, NULL, NULL, 15),
(134645, NULL, 'PTHR33408', NULL, NULL, NULL, NULL, 'TRANSPOSASE', NULL, NULL, NULL, 15),
(134646, NULL, 'PTHR27003:SF329', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING PROTEIN OF THE ER PROTEIN', NULL, NULL, NULL, 15),
(134647, NULL, 'PTHR11715:SF32', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', NULL, NULL, NULL, 15),
(134648, NULL, 'PTHR22835:SF612', NULL, NULL, NULL, NULL, 'OS02G0604000 PROTEIN', NULL, NULL, NULL, 15),
(134649, NULL, 'PTHR24303:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134650, NULL, 'PTHR31235:SF262', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(134651, NULL, 'PTHR10209:SF172', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(134652, NULL, 'PTHR21838:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 137', NULL, NULL, NULL, 15),
(134653, NULL, 'PTHR31879:SF8', NULL, NULL, NULL, NULL, 'DET1- AND DDB1-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(134654, NULL, 'PTHR12198', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN PROSPERO/PROX-1/CEH-26', NULL, NULL, 35984, 15),
(134655, NULL, 'PTHR33269:SF15', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT J', NULL, NULL, NULL, 15),
(134656, NULL, 'PTHR24258:SF114', NULL, NULL, NULL, NULL, 'LP04014P-RELATED', NULL, NULL, NULL, 15),
(134657, NULL, 'PTHR11783:SF173', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 3', NULL, NULL, NULL, 15),
(134658, NULL, 'PTHR14136:SF22', NULL, NULL, NULL, NULL, 'OS10G0438000 PROTEIN', NULL, NULL, NULL, 15),
(134659, NULL, 'PTHR36480:SF9', NULL, NULL, NULL, NULL, 'OS06G0121700 PROTEIN', NULL, NULL, NULL, 15),
(134660, NULL, 'PTHR24073:SF1044', NULL, NULL, NULL, NULL, 'OS08G0525000 PROTEIN', NULL, NULL, NULL, 15),
(134661, NULL, 'PTHR45974:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134662, NULL, 'PTHR11705:SF87', NULL, NULL, NULL, NULL, 'AGAP006206-PA', NULL, NULL, NULL, 15),
(134663, NULL, 'PTHR10835:SF18', NULL, NULL, NULL, NULL, 'BNAC04G28910D PROTEIN', NULL, NULL, NULL, 15),
(134664, NULL, 'PTHR33388:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SPOROCYTELESS', NULL, NULL, 13136, 15),
(134665, NULL, 'PTHR45620:SF5', NULL, NULL, NULL, NULL, 'GASTRIC INHIBITORY POLYPEPTIDE RECEPTOR', NULL, NULL, NULL, 15),
(134666, NULL, 'PTHR31235:SF205', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(134667, NULL, 'PTHR24240:SF152', NULL, NULL, NULL, NULL, 'PINOPSIN', NULL, NULL, NULL, 15),
(134668, NULL, 'PTHR12035:SF116', NULL, NULL, NULL, NULL, 'BRANCHED CHAIN KETO ACID DEHYDROGENASE E1, BETA POLYPEPTIDE,-LIKE-RELATED', NULL, NULL, NULL, 15),
(134669, NULL, 'PTHR31226:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 117', NULL, NULL, NULL, 15),
(134670, NULL, 'PTHR21666:SF271', NULL, NULL, NULL, NULL, 'CELL WALL ENDOPEPTIDASE, FAMILY M23/M37', NULL, NULL, NULL, 15),
(134671, NULL, 'PTHR45832:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134672, NULL, 'PTHR34948', NULL, NULL, NULL, NULL, 'OS08G0299200 PROTEIN', NULL, NULL, NULL, 15),
(134673, NULL, 'PTHR19845:SF19', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1 HOMOLOG', NULL, NULL, NULL, 15),
(134674, NULL, 'PTHR14516:SF3', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(134675, NULL, 'PTHR13683:SF779', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(134676, NULL, 'PTHR34360:SF8', NULL, NULL, NULL, NULL, 'TROPOMYOSIN-LIKE', NULL, NULL, NULL, 15),
(134677, NULL, 'PTHR23359:SF79', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE ISOENZYME 5', NULL, NULL, NULL, 15),
(134678, NULL, 'PTHR20961:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134679, NULL, 'PTHR10417:SF2', NULL, NULL, NULL, NULL, 'GLUCOCORTICOID MODULATORY ELEMENT-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(134680, NULL, 'PTHR24015:SF1726', NULL, NULL, NULL, NULL, 'OS03G0861900 PROTEIN', NULL, NULL, NULL, 15),
(134681, NULL, 'PTHR43330:SF5', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(134682, NULL, 'PTHR11850:SF281', NULL, NULL, NULL, NULL, 'BNACNNG21740D PROTEIN', NULL, NULL, NULL, 15),
(134683, NULL, 'PTHR23130:SF188', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(134684, NULL, 'PTHR24414:SF68', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(134685, NULL, 'PTHR12789:SF0', NULL, NULL, NULL, NULL, 'DENSITY-REGULATED PROTEIN', NULL, NULL, NULL, 15),
(134686, NULL, 'PTHR42535', NULL, NULL, NULL, NULL, 'OOKINETE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(134687, NULL, 'PTHR33184:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134688, NULL, 'PTHR31656:SF25', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN-RELATED / LEA PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134689, NULL, 'PTHR13848:SF56', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(134690, NULL, 'PTHR43180:SF60', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE 3A-LIKE', NULL, NULL, NULL, 15),
(134691, NULL, 'PTHR46736:SF20', NULL, NULL, NULL, NULL, 'NON-LTR RETROELEMENT REVERSE TRANSCRIPTASE-RELATED', NULL, NULL, NULL, 15),
(134692, NULL, 'PTHR11614:SF174', NULL, NULL, NULL, NULL, 'BLL2902 PROTEIN', NULL, NULL, NULL, 15),
(134693, NULL, 'PTHR23528', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134694, NULL, 'PTHR21736:SF20', NULL, NULL, NULL, NULL, 'PROTEIN OBERON 4', NULL, NULL, NULL, 15),
(134695, NULL, 'PTHR35392:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134696, NULL, 'PTHR21669:SF2', NULL, NULL, NULL, NULL, 'CAPZ-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(134697, NULL, 'PTHR13195:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL MRNA PSEUDOURIDINE SYNTHASE TRUB2', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134698, NULL, 'PTHR14499:SF74', NULL, NULL, NULL, NULL, 'PROTEIN CBG04376', NULL, NULL, NULL, 15),
(134699, NULL, 'PTHR31589:SF152', NULL, NULL, NULL, NULL, 'BNAC01G14960D PROTEIN', NULL, NULL, NULL, 15),
(134700, NULL, 'PTHR24044', NULL, NULL, NULL, NULL, 'NOTCH LIGAND FAMILY MEMBER', NULL, NULL, NULL, 15),
(134701, NULL, 'PTHR13962:SF26', NULL, NULL, NULL, NULL, 'SI:CH211-145O7.3', NULL, NULL, NULL, 15),
(134702, NULL, 'PTHR31676:SF139', NULL, NULL, NULL, NULL, 'BNAA05G30170D PROTEIN', NULL, NULL, NULL, 15),
(134703, NULL, 'PTHR28388:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 237', NULL, NULL, NULL, 15),
(134704, NULL, 'PTHR22780', NULL, NULL, NULL, NULL, 'ADAPTIN, ALPHA/GAMMA/EPSILON', NULL, NULL, NULL, 15),
(134705, NULL, 'PTHR11945:SF472', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 105-RELATED', NULL, NULL, NULL, 15),
(134706, NULL, 'PTHR45649:SF46', NULL, NULL, NULL, NULL, 'BNAA02G27130D PROTEIN', NULL, NULL, NULL, 15),
(134707, NULL, 'PTHR23076:SF49', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(134708, NULL, 'PTHR22946:SF8', NULL, NULL, NULL, NULL, 'BLR5359 PROTEIN', NULL, NULL, NULL, 15),
(134709, NULL, 'PTHR24250:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134710, NULL, 'PTHR18952:SF198', NULL, NULL, NULL, NULL, 'EUKARYOTIC-TYPE CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(134711, NULL, 'PTHR46706:SF5', NULL, NULL, NULL, NULL, 'PROTEIN QUA-1', NULL, NULL, NULL, 15),
(134712, NULL, 'PTHR15071:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134713, NULL, 'PTHR11738:SF86', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY A MEMBER 2', NULL, NULL, NULL, 15),
(134714, NULL, 'PTHR12232:SF0', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING GLUTAMIC ACID-RICH PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(134715, NULL, 'PTHR42800:SF2', NULL, NULL, NULL, NULL, 'INVERTASE 2', NULL, NULL, NULL, 15),
(134716, NULL, 'PTHR31674:SF39', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 2', NULL, NULL, NULL, 15),
(134717, NULL, 'PTHR21371:SF1', NULL, NULL, NULL, NULL, 'KETOL-ACID REDUCTOISOMERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(134718, NULL, 'PTHR31325:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134719, NULL, 'PTHR24384:SF99', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 805', NULL, NULL, NULL, 15),
(134720, NULL, 'PTHR22950:SF292', NULL, NULL, NULL, NULL, 'OS06G0633800 PROTEIN', NULL, NULL, NULL, 15),
(134721, NULL, 'PTHR34936:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(134722, NULL, 'PTHR24177:SF232', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134723, NULL, 'PTHR11566:SF148', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED GTP-BINDING PROTEIN MXA-RELATED', NULL, NULL, NULL, 15),
(134724, NULL, 'PTHR10835:SF15', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(134725, NULL, 'PTHR10015:SF369', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-1-RELATED', NULL, NULL, NULL, 15),
(134726, NULL, 'PTHR47970:SF14', NULL, NULL, NULL, NULL, '125 KDA KINESIN-RELATED PROTEIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(134727, NULL, 'PTHR45714:SF16', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT4', NULL, NULL, NULL, 15),
(134728, NULL, 'PTHR37935:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134729, NULL, 'PTHR46324:SF22', NULL, NULL, NULL, NULL, 'BNAC02G38190D PROTEIN', NULL, NULL, NULL, 15),
(134730, NULL, 'PTHR46008:SF37', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.2 ISOFORM X1', NULL, NULL, NULL, 15),
(134731, NULL, 'PTHR11599:SF183', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-7-B', NULL, NULL, NULL, 15),
(134732, NULL, 'PTHR45666:SF34', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 7', NULL, NULL, NULL, 15),
(134733, NULL, 'PTHR11088:SF71', NULL, NULL, NULL, NULL, 'ISOPENTENYLTRANSFERASE 4-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134734, NULL, 'PTHR43173:SF33', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-ALPHA-GLUCOSIDASE AGN1-RELATED', NULL, NULL, NULL, 15),
(134735, NULL, 'PTHR33448:SF10', NULL, NULL, NULL, NULL, 'PROTAMINE P1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134736, NULL, 'PTHR31279:SF52', NULL, NULL, NULL, NULL, 'PHOSPHATE-INDUCED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(134737, NULL, 'PTHR24222:SF30', NULL, NULL, NULL, NULL, 'ATP-BINDING/PERMEASE PROTEIN CYDC', NULL, NULL, NULL, 15),
(134738, NULL, 'PTHR33540', NULL, NULL, NULL, NULL, 'TRNA THREONYLCARBAMOYLADENOSINE BIOSYNTHESIS PROTEIN TSAE', NULL, NULL, NULL, 15),
(134739, NULL, 'PTHR14495:SF2', NULL, NULL, NULL, NULL, 'SHIELDIN COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(134740, NULL, 'PTHR36058:SF1', NULL, NULL, NULL, NULL, 'NUCLEOPHOSMIN', NULL, NULL, NULL, 15),
(134741, NULL, 'PTHR33414:SF8', NULL, NULL, NULL, NULL, 'OS09G0559200 PROTEIN', NULL, NULL, NULL, 15),
(134742, NULL, 'PTHR11991:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134743, NULL, 'PTHR31750:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134744, NULL, 'PTHR24299:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134745, NULL, 'PTHR11070:SF46', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE HMI1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(134746, NULL, 'PTHR46067:SF24', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(134747, NULL, 'PTHR31719:SF143', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(134748, NULL, 'PTHR11908:SF135', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE', NULL, NULL, NULL, 15),
(134749, NULL, 'PTHR35104:SF10', NULL, NULL, NULL, NULL, 'OS07G0573200 PROTEIN', NULL, NULL, NULL, 15),
(134750, NULL, 'PTHR48080:SF4', NULL, NULL, NULL, NULL, 'GLUCARATE DEHYDRATASE', NULL, NULL, NULL, 15),
(134751, NULL, 'PTHR37311', NULL, NULL, NULL, NULL, '2-PHOSPHOSULFOLACTATE PHOSPHATASE-RELATED', NULL, NULL, 11323, 15),
(134752, NULL, 'PTHR11236:SF22', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE COMPONENT 1', NULL, NULL, 4276, 15),
(134753, NULL, 'PTHR46033:SF40', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(134754, NULL, 'PTHR10574:SF270', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT GAMMA-1', NULL, NULL, NULL, 15),
(134755, NULL, 'PTHR12322:SF70', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(134756, NULL, 'PTHR35311:SF6', NULL, NULL, NULL, NULL, 'OSJNBA0020I02.11 PROTEIN', NULL, NULL, NULL, 15),
(134757, NULL, 'PTHR31221:SF225', NULL, NULL, NULL, NULL, 'BNAA07G24310D PROTEIN', NULL, NULL, NULL, 15),
(134758, NULL, 'PTHR10336:SF161', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(134759, NULL, 'PTHR31415:SF133', NULL, NULL, NULL, NULL, 'BNAA02G10130D PROTEIN', NULL, NULL, NULL, 15),
(134760, NULL, 'PTHR35213:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134761, NULL, 'PTHR11385:SF12', NULL, NULL, NULL, NULL, 'RIKEN CDNA 5830473C10 GENE', NULL, NULL, NULL, 15),
(134762, NULL, 'PTHR47926:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134763, NULL, 'PTHR11062:SF287', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134764, NULL, 'PTHR33172:SF73', NULL, NULL, NULL, NULL, 'BNAC04G36320D PROTEIN', NULL, NULL, NULL, 15),
(134765, NULL, 'PTHR11783:SF234', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(134766, NULL, 'PTHR12864:SF49', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN M HOMOLOG', NULL, NULL, NULL, 15),
(134767, NULL, 'PTHR48015:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAK 6', NULL, NULL, NULL, 15),
(134768, NULL, 'PTHR24373:SF292', NULL, NULL, NULL, NULL, 'TSUKUSHIN', NULL, NULL, NULL, 15),
(134769, NULL, 'PTHR18966:SF491', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(134770, NULL, 'PTHR23208:SF14', NULL, NULL, NULL, NULL, 'LYSOZYME-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134771, NULL, 'PTHR23226:SF214', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 32', NULL, NULL, NULL, 15),
(134772, NULL, 'PTHR34297:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(134773, NULL, 'PTHR48019:SF7', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL104 ISOFORM X1', NULL, NULL, NULL, 15),
(134774, NULL, 'PTHR11309:SF75', NULL, NULL, NULL, NULL, 'FRIZZLED-6', NULL, NULL, 22036, 15),
(134775, NULL, 'PTHR43330', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(134776, NULL, 'PTHR15239', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134777, NULL, 'PTHR47614:SF2', NULL, NULL, NULL, NULL, 'GLYCOPHORIN-C', NULL, NULL, NULL, 15),
(134778, NULL, 'PTHR45704:SF1', NULL, NULL, NULL, NULL, 'RAS-LIKE FAMILY 11 MEMBER A', NULL, NULL, NULL, 15),
(134779, NULL, 'PTHR12859:SF1', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN 2', NULL, NULL, NULL, 15),
(134780, NULL, 'PTHR16201:SF34', NULL, NULL, NULL, NULL, 'LYSOSOMAL AMINO ACID TRANSPORTER 1', NULL, NULL, NULL, 15),
(134781, NULL, 'PTHR32212:SF358', NULL, NULL, NULL, NULL, 'BNAC09G08850D PROTEIN', NULL, NULL, NULL, 15),
(134782, NULL, 'PTHR35910', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134783, NULL, 'PTHR12517', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13B', NULL, NULL, 36398, 15),
(134784, NULL, 'PTHR21004:SF0', NULL, NULL, NULL, NULL, 'PEROXISOMAL LEADER PEPTIDE-PROCESSING PROTEASE', NULL, NULL, NULL, 15),
(134785, NULL, 'PTHR11955:SF143', NULL, NULL, NULL, NULL, 'CELLULAR RETINOIC ACID-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(134786, NULL, 'PTHR23055:SF65', NULL, NULL, NULL, NULL, 'KV CHANNEL-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(134787, NULL, 'PTHR31155:SF14', NULL, NULL, NULL, NULL, 'STEAROYL-ACYL-CARRIER-PROTEIN DESATURASE7', NULL, NULL, NULL, 15),
(134788, NULL, 'PTHR32448:SF129', NULL, NULL, NULL, NULL, 'TETRAHYDROCANNABINOLIC ACID SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(134789, NULL, 'PTHR43139:SF47', NULL, NULL, NULL, NULL, 'MESODERM-SPECIFIC TRANSCRIPT PROTEIN', NULL, NULL, NULL, 15),
(134790, NULL, 'PTHR33193:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134791, NULL, 'PTHR11469:SF12', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(134792, NULL, 'PTHR47184:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-AND 4-KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134793, NULL, 'PTHR43900:SF59', NULL, NULL, NULL, NULL, 'OS05G0148900 PROTEIN', NULL, NULL, NULL, 15),
(134794, NULL, 'PTHR47749', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134795, NULL, 'PTHR47495:SF2', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(134796, NULL, 'PTHR39234:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 210', NULL, NULL, NULL, 15),
(134797, NULL, 'PTHR42093', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134798, NULL, 'PTHR31941:SF12', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE-BINDING PROTEIN SLM1-RELATED', NULL, NULL, 29678, 15),
(134799, NULL, 'PTHR48103:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134800, NULL, 'PTHR45969:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134801, NULL, 'PTHR15564:SF8', NULL, NULL, NULL, NULL, 'BMP/RETINOIC ACID-INDUCIBLE NEURAL-SPECIFIC PROTEIN 2', NULL, NULL, NULL, 15),
(134802, NULL, 'PTHR31827:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134803, NULL, 'PTHR10676:SF380', NULL, NULL, NULL, NULL, 'DYNEIN, AXONEMAL, HEAVY POLYPEPTIDE 9-LIKE', NULL, NULL, NULL, 15),
(134804, NULL, 'PTHR37260:SF2', NULL, NULL, NULL, NULL, 'PHOSPHORELAY PROTEIN', NULL, NULL, NULL, 15),
(134805, NULL, 'PTHR43423', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 17', NULL, NULL, 3690, 15),
(134806, NULL, 'PTHR36023:SF12', NULL, NULL, NULL, NULL, 'ARGOS8', NULL, NULL, NULL, 15),
(134807, NULL, 'PTHR23360', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134808, NULL, 'PTHR43000:SF18', NULL, NULL, NULL, NULL, 'RHM1', NULL, NULL, NULL, 15),
(134809, NULL, 'PTHR10177:SF464', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134810, NULL, 'PTHR19282:SF467', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 2A-LIKE', NULL, NULL, NULL, 15),
(134811, NULL, 'PTHR23033:SF41', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(134812, NULL, 'PTHR46213:SF14', NULL, NULL, NULL, NULL, 'ROS1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(134813, NULL, 'PTHR10795:SF532', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', NULL, NULL, NULL, 15),
(134814, NULL, 'PTHR22900:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG16438', NULL, NULL, NULL, 15),
(134815, NULL, 'PTHR32227:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134816, NULL, 'PTHR32059:SF0', NULL, NULL, NULL, NULL, 'RAB11-BINDING PROTEIN RELCH', NULL, NULL, NULL, 15),
(134817, NULL, 'PTHR43880:SF11', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1B', NULL, NULL, NULL, 15),
(134818, NULL, 'PTHR48041:SF16', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORTER', NULL, NULL, NULL, 15),
(134819, NULL, 'PTHR17463', NULL, NULL, NULL, NULL, 'SCRAPIE-RESPONSIVE PROTEIN 1 SCRG1', NULL, NULL, 26970, 15),
(134820, NULL, 'PTHR48020:SF21', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 4-LIKE', NULL, NULL, NULL, 15),
(134821, NULL, 'PTHR44542', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE 18', NULL, NULL, 37161, 15),
(134822, NULL, 'PTHR43178', NULL, NULL, NULL, NULL, 'DIHYDROLIPOAMIDE ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX', NULL, NULL, NULL, 15),
(134823, NULL, 'PTHR31895:SF21', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', NULL, NULL, NULL, 15),
(134824, NULL, 'PTHR34987:SF2', NULL, NULL, NULL, NULL, 'B, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05040)-RELATED', NULL, NULL, NULL, 15),
(134825, NULL, 'PTHR28147:SF1', NULL, NULL, NULL, NULL, 'N-GLYCOSYLATION PROTEIN EOS1', NULL, NULL, NULL, 15),
(134826, NULL, 'PTHR35038:SF8', NULL, NULL, NULL, NULL, 'DISSIMILATORY SULFITE REDUCTASE SIRA', NULL, NULL, NULL, 15),
(134827, NULL, 'PTHR20932:SF39', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-BINDING LYSM DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(134828, NULL, 'PTHR13375:SF3', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 5 HOMOLOG', NULL, NULL, NULL, 15),
(134829, NULL, 'PTHR31790:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134830, NULL, 'PTHR43326:SF6', NULL, NULL, NULL, NULL, 'BNAA09G34980D PROTEIN', NULL, NULL, NULL, 15),
(134831, NULL, 'PTHR10693:SF70', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN, NTF2-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134832, NULL, 'PTHR11863:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134833, NULL, 'PTHR43867:SF2', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE CATALYTIC SUBUNIT A [UDP-FORMING]', NULL, NULL, NULL, 15),
(134834, NULL, 'PTHR36407', NULL, NULL, NULL, NULL, 'MEDIATOR-ASSOCIATED PROTEIN 2', NULL, NULL, 33416, 15),
(134835, NULL, 'PTHR12129:SF14', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE 2-O-SULFOTRANSFERASE 1', NULL, NULL, NULL, 15),
(134836, NULL, 'PTHR14549:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 223-LIKE', NULL, NULL, NULL, 15),
(134837, NULL, 'PTHR47992:SF63', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 54-RELATED', NULL, NULL, NULL, 15),
(134838, NULL, 'PTHR23324:SF66', NULL, NULL, NULL, NULL, 'PROTEIN REAL-TIME', NULL, NULL, NULL, 15),
(134839, NULL, 'PTHR23426:SF53', NULL, NULL, NULL, NULL, 'FERREDOXIN 1', NULL, NULL, NULL, 15),
(134840, NULL, 'PTHR27002:SF666', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134841, NULL, 'PTHR23176:SF99', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACP', NULL, NULL, NULL, 15),
(134842, NULL, 'PTHR13265:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134843, NULL, 'PTHR45850:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN 6, ISOFORM B', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134844, NULL, 'PTHR11064:SF38', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-1', NULL, NULL, NULL, 15),
(134845, NULL, 'PTHR21515:SF2', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(134846, NULL, 'PTHR21593:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG26933', NULL, NULL, NULL, 15),
(134847, NULL, 'PTHR24390:SF74', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 410', NULL, NULL, NULL, 15),
(134848, NULL, 'PTHR32153:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134849, NULL, 'PTHR24416:SF90', NULL, NULL, NULL, NULL, 'RECEPTOR TYROSINE-PROTEIN KINASE ERBB-4', NULL, NULL, NULL, 15),
(134850, NULL, 'PTHR11831:SF26', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9-1', NULL, NULL, NULL, 15),
(134851, NULL, 'PTHR47486', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE-LIKE PROTEIN 1', NULL, NULL, 36690, 15),
(134852, NULL, 'PTHR24223:SF165', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 15-RELATED', NULL, NULL, NULL, 15),
(134853, NULL, 'PTHR31945:SF120', NULL, NULL, NULL, NULL, 'BNAC02G34640D PROTEIN', NULL, NULL, NULL, 15),
(134854, NULL, 'PTHR13483:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER HIT DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 30574, 15),
(134855, NULL, 'PTHR31042:SF125', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134856, NULL, 'PTHR12044:SF9', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 11', NULL, NULL, NULL, 15),
(134857, NULL, 'PTHR31374:SF187', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32-LIKE', NULL, NULL, NULL, 15),
(134858, NULL, 'PTHR32285:SF12', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 13', NULL, NULL, 27489, 15),
(134859, NULL, 'PTHR24068:SF364', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134860, NULL, 'PTHR10219:SF80', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN 2', NULL, NULL, NULL, 15),
(134861, NULL, 'PTHR23293:SF12', NULL, NULL, NULL, NULL, 'FAD SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(134862, NULL, 'PTHR11005:SF101', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(134863, NULL, 'PTHR11972:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134864, NULL, 'PTHR11913:SF94', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 7', NULL, NULL, NULL, 15),
(134865, NULL, 'PTHR34562:SF8', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(134866, NULL, 'PTHR43214:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN COMA', NULL, NULL, NULL, 15),
(134867, NULL, 'PTHR33365:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134868, NULL, 'PTHR31388:SF155', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(134869, NULL, 'PTHR13986:SF3', NULL, NULL, NULL, NULL, 'CARTILAGE-ASSOCIATED PROTEIN', NULL, NULL, 34272, 15),
(134870, NULL, 'PTHR10221:SF18', NULL, NULL, NULL, NULL, 'TATA BOX ASSOCIATED FACTOR II 59-RELATED', NULL, NULL, NULL, 15),
(134871, NULL, 'PTHR31205:SF56', NULL, NULL, NULL, NULL, 'BNAA08G20090D PROTEIN', NULL, NULL, NULL, 15),
(134872, NULL, 'PTHR32014:SF2', NULL, NULL, NULL, NULL, 'BCL-2-MODIFYING FACTOR', NULL, NULL, NULL, 15),
(134873, NULL, 'PTHR23172:SF69', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(134874, NULL, 'PTHR24353:SF91', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, CGMP-DEPENDENT', NULL, NULL, NULL, 15),
(134875, NULL, 'PTHR11709:SF287', NULL, NULL, NULL, NULL, 'OS03G0297900 PROTEIN', NULL, NULL, NULL, 15),
(134876, NULL, 'PTHR12972', NULL, NULL, NULL, NULL, 'DOWNSTREAM NEIGHBOR OF SON', NULL, NULL, 21077, 15),
(134877, NULL, 'PTHR33021:SF324', NULL, NULL, NULL, NULL, 'BNAC05G48580D PROTEIN', NULL, NULL, NULL, 15),
(134878, NULL, 'PTHR13254:SF2', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 7B', NULL, NULL, NULL, 15),
(134879, NULL, 'PTHR24637:SF268', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(134880, NULL, 'PTHR46809:SF2', NULL, NULL, NULL, NULL, 'STROMAL CELL-DERIVED FACTOR 2-LIKE PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134881, NULL, 'PTHR11852:SF0', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE IB SUBUNIT BETA HOMOLOG', NULL, NULL, NULL, 15),
(134882, NULL, 'PTHR24015:SF1758', NULL, NULL, NULL, NULL, 'OS02G0290000 PROTEIN', NULL, NULL, NULL, 15),
(134883, NULL, 'PTHR33727:SF18', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF3317)-RELATED', NULL, NULL, NULL, 15),
(134884, NULL, 'PTHR33672:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134885, NULL, 'PTHR40280', NULL, NULL, NULL, NULL, 'BLR6907 PROTEIN', NULL, NULL, NULL, 15),
(134886, NULL, 'PTHR24409:SF351', NULL, NULL, NULL, NULL, 'PLAG1 LIKE ZINC FINGER 2', NULL, NULL, NULL, 15),
(134887, NULL, 'PTHR10314', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-SYNTHASE', NULL, NULL, NULL, 15),
(134888, NULL, 'PTHR34554', NULL, NULL, NULL, NULL, 'RGS1-HXK1-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(134889, NULL, 'PTHR31325:SF7', NULL, NULL, NULL, NULL, 'OS06G0124300 PROTEIN', NULL, NULL, NULL, 15),
(134890, NULL, 'PTHR31599', NULL, NULL, NULL, NULL, 'CALCIUM UP-REGULATED PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(134891, NULL, 'PTHR42040', NULL, NULL, NULL, NULL, 'INNER KINETOCHORE SUBUNIT FTA4', NULL, NULL, 22414, 15),
(134892, NULL, 'PTHR22835:SF292', NULL, NULL, NULL, NULL, 'ESTERASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(134893, NULL, 'PTHR44140:SF2', NULL, NULL, NULL, NULL, 'LD25575P', NULL, NULL, NULL, 15),
(134894, NULL, 'PTHR11783:SF187', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(134895, NULL, 'PTHR11937:SF487', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN 6A', NULL, NULL, NULL, 15),
(134896, NULL, 'PTHR35901:SF2', NULL, NULL, NULL, NULL, 'EXONUCLEASE VAPC9', NULL, NULL, NULL, 15),
(134897, NULL, 'PTHR36326:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134898, NULL, 'PTHR47928:SF17', NULL, NULL, NULL, NULL, 'OS03G0441400 PROTEIN', NULL, NULL, NULL, 15),
(134899, NULL, 'PTHR23155:SF704', NULL, NULL, NULL, NULL, 'OS12G0511600 PROTEIN', NULL, NULL, NULL, 15),
(134900, NULL, 'PTHR41800', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(134901, NULL, 'PTHR24567:SF68', NULL, NULL, NULL, NULL, 'CAMP-ACTIVATED GLOBAL TRANSCRIPTIONAL REGULATOR CRP', NULL, NULL, NULL, 15),
(134902, NULL, 'PTHR14843', NULL, NULL, NULL, NULL, 'DEUBIQUITINATING PROTEIN VCIP135', NULL, NULL, 29206, 15),
(134903, NULL, 'PTHR24373:SF306', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEATS AND IMMUNOGLOBULIN-LIKE DOMAINS PROTEIN 2', NULL, NULL, NULL, 15),
(134904, NULL, 'PTHR33844:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134905, NULL, 'PTHR13780:SF108', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX5-LIKE', NULL, NULL, NULL, 15),
(134906, NULL, 'PTHR10353:SF229', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 18-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(134907, NULL, 'PTHR31081:SF11', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 1-LIKE', NULL, NULL, NULL, 15),
(134908, NULL, 'PTHR34115:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134909, NULL, 'PTHR31389:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG11316', NULL, NULL, NULL, 15),
(134910, NULL, 'PTHR10869:SF151', NULL, NULL, NULL, NULL, 'FI16820P1-RELATED', NULL, NULL, NULL, 15),
(134911, NULL, 'PTHR31552:SF26', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-31', NULL, NULL, 30689, 15),
(134912, NULL, 'PTHR26374:SF391', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(134913, NULL, 'PTHR31388:SF202', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(134914, NULL, 'PTHR24399:SF49', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 41 ISOFORM A', NULL, NULL, NULL, 15),
(134915, NULL, 'PTHR45966:SF13', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(134916, NULL, 'PTHR26450:SF177', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52I1-RELATED', NULL, NULL, NULL, 15),
(134917, NULL, 'PTHR33059:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134918, NULL, 'PTHR46046:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP9', NULL, NULL, NULL, 15),
(134919, NULL, 'PTHR47992:SF106', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', NULL, NULL, NULL, 15),
(134920, NULL, 'PTHR31642:SF250', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134921, NULL, 'PTHR43674:SF2', NULL, NULL, NULL, NULL, 'BETA-UREIDOPROPIONASE', NULL, NULL, NULL, 15),
(134922, NULL, 'PTHR27007:SF206', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.1-LIKE', NULL, NULL, NULL, 15),
(134923, NULL, 'PTHR31832:SF57', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 18', NULL, NULL, NULL, 15),
(134924, NULL, 'PTHR42826:SF8', NULL, NULL, NULL, NULL, 'GLUTAMATE/MALATE TRANSLOCATOR', NULL, NULL, NULL, 15),
(134925, NULL, 'PTHR32502:SF2', NULL, NULL, NULL, NULL, 'D-TAGATOSE-1,6-BISPHOSPHATE ALDOLASE SUBUNIT KBAZ', NULL, NULL, NULL, 15),
(134926, NULL, 'PTHR33346:SF36', NULL, NULL, NULL, NULL, 'BNAA09G07980D PROTEIN', NULL, NULL, NULL, 15),
(134927, NULL, 'PTHR19134:SF475', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(134928, NULL, 'PTHR47967:SF56', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134929, NULL, 'PTHR37536:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02970)-RELATED', NULL, NULL, NULL, 15),
(134930, NULL, 'PTHR11017:SF230', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY-RELATED', NULL, NULL, NULL, 15),
(134931, NULL, 'PTHR14132:SF16', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR-RELATED', NULL, NULL, NULL, 15),
(134932, NULL, 'PTHR33132:SF55', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(134933, NULL, 'PTHR28029', NULL, NULL, NULL, NULL, 'PROTEIN ILM1', NULL, NULL, 20142, 15),
(134934, NULL, 'PTHR31726:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ICE2', NULL, NULL, NULL, 15),
(134935, NULL, 'PTHR48001:SF32', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(134936, NULL, 'PTHR31642:SF210', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134937, NULL, 'PTHR24421:SF48', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE COMP', NULL, NULL, NULL, 15),
(134938, NULL, 'PTHR27006:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134939, NULL, 'PTHR12403:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134940, NULL, 'PTHR34932:SF1', NULL, NULL, NULL, NULL, 'TRPL TRANSLOCATION DEFECT PROTEIN 14', NULL, NULL, NULL, 15),
(134941, NULL, 'PTHR12537:SF164', NULL, NULL, NULL, NULL, 'PUF (PUMILIO/FBF) DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(134942, NULL, 'PTHR31080:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134943, NULL, 'PTHR33346:SF37', NULL, NULL, NULL, NULL, 'RAB PROTEIN', NULL, NULL, NULL, 15),
(134944, NULL, 'PTHR24068:SF311', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 12-RELATED', NULL, NULL, NULL, 15),
(134945, NULL, 'PTHR30086:SF21', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(134946, NULL, 'PTHR23112:SF44', NULL, NULL, NULL, NULL, 'CYCLIC AMP RECEPTOR-LIKE PROTEIN G', NULL, NULL, NULL, 15),
(134947, NULL, 'PTHR34772:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN HFQ', NULL, NULL, NULL, 15),
(134948, NULL, 'PTHR31250:SF14', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM2', NULL, NULL, NULL, 15),
(134949, NULL, 'PTHR13069', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(134950, NULL, 'PTHR45912:SF3', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 47', NULL, NULL, NULL, 15),
(134951, NULL, 'PTHR11132:SF359', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSPORTER 2', NULL, NULL, NULL, 15),
(134952, NULL, 'PTHR34936:SF9', NULL, NULL, NULL, NULL, 'BNACNNG19990D PROTEIN', NULL, NULL, NULL, 15),
(134953, NULL, 'PTHR43415', NULL, NULL, NULL, NULL, 'SPERMIDINE N(1)-ACETYLTRANSFERASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134954, NULL, 'PTHR10677:SF49', NULL, NULL, NULL, NULL, 'UBIQUITIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134955, NULL, 'PTHR34197:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134956, NULL, 'PTHR11236:SF9', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE COMPONENT 1', NULL, NULL, NULL, 15),
(134957, NULL, 'PTHR11062:SF220', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE XLT2-LIKE', NULL, NULL, NULL, 15),
(134958, NULL, 'PTHR48002:SF41', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(134959, NULL, 'PTHR48040:SF23', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(134960, NULL, 'PTHR35471:SF1', NULL, NULL, NULL, NULL, 'OS07G0223700 PROTEIN', NULL, NULL, NULL, 15),
(134961, NULL, 'PTHR33641:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134962, NULL, 'PTHR18966:SF524', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(134963, NULL, 'PTHR39223', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700029H14 GENE', NULL, NULL, 29416, 15),
(134964, NULL, 'PTHR31790:SF411', NULL, NULL, NULL, NULL, 'BNACNNG32450D PROTEIN', NULL, NULL, NULL, 15),
(134965, NULL, 'PTHR34462:SF5', NULL, NULL, NULL, NULL, 'OS02G0582200 PROTEIN', NULL, NULL, NULL, 15),
(134966, NULL, 'PTHR11596:SF75', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(134967, NULL, 'PTHR13806:SF38', NULL, NULL, NULL, NULL, 'FLOTILLIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(134968, NULL, 'PTHR22778:SF52', NULL, NULL, NULL, NULL, 'ESTERASE AGAP003155', NULL, NULL, NULL, 15),
(134969, NULL, 'PTHR15238:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134970, NULL, 'PTHR46270:SF2', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD', NULL, NULL, NULL, 15),
(134971, NULL, 'PTHR14326:SF36', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) PROTEIN FAMILY', NULL, NULL, NULL, 15),
(134972, NULL, 'PTHR24103:SF416', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 12C-RELATED', NULL, NULL, 26575, 15),
(134973, NULL, 'PTHR47991:SF75', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(134974, NULL, 'PTHR47852', NULL, NULL, NULL, NULL, 'OS06G0298400 PROTEIN', NULL, NULL, NULL, 15),
(134975, NULL, 'PTHR31120:SF10', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TIKI1', NULL, NULL, NULL, 15),
(134976, NULL, 'PTHR22891:SF3', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE-3', NULL, NULL, NULL, 15),
(134977, NULL, 'PTHR12864:SF60', NULL, NULL, NULL, NULL, 'BNAA03G60080D PROTEIN', NULL, NULL, NULL, 15),
(134978, NULL, 'PTHR44019:SF11', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(134979, NULL, 'PTHR33147:SF27', NULL, NULL, NULL, NULL, 'DEFENSIN PROTEIN', NULL, NULL, NULL, 15),
(134980, NULL, 'PTHR32219:SF12', NULL, NULL, NULL, NULL, 'PROTON PUMP-INTERACTOR 4', NULL, NULL, NULL, 15),
(134981, NULL, 'PTHR34561:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX ASSEMBLY FACTOR 8', NULL, NULL, NULL, 15),
(134982, NULL, 'PTHR31560:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(134983, NULL, 'PTHR31282:SF75', NULL, NULL, NULL, NULL, 'OS02G0462800 PROTEIN', NULL, NULL, NULL, 15),
(134984, NULL, 'PTHR44427:SF1', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 1', NULL, NULL, NULL, 15),
(134985, NULL, 'PTHR10791:SF184', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(134986, NULL, 'PTHR11709:SF302', NULL, NULL, NULL, NULL, 'ASCORBATE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(134987, NULL, 'PTHR33184:SF59', NULL, NULL, NULL, NULL, 'BNAA01G34760D PROTEIN', NULL, NULL, NULL, 15),
(134988, NULL, 'PTHR31042:SF25', NULL, NULL, NULL, NULL, 'OSJNBB0056F09.13 PROTEIN', NULL, NULL, NULL, 15),
(134989, NULL, 'PTHR43096:SF48', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ', NULL, NULL, NULL, 15),
(134990, NULL, 'PTHR31263:SF0', NULL, NULL, NULL, NULL, 'CELLULASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G14560)', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(134991, NULL, 'PTHR36309:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(134992, NULL, 'PTHR13018:SF103', NULL, NULL, NULL, NULL, 'BNAA01G18580D PROTEIN', NULL, NULL, NULL, 15),
(134993, NULL, 'PTHR43134:SF7', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSY HOMOLOG, CHLOROPLASTIC', NULL, NULL, 5849, 15),
(134994, NULL, 'PTHR45974:SF196', NULL, NULL, NULL, NULL, 'BNAA06G40690D PROTEIN', NULL, NULL, NULL, 15),
(134995, NULL, 'PTHR44329:SF101', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY8', NULL, NULL, NULL, 15),
(134996, NULL, 'PTHR17102:SF4', NULL, NULL, NULL, NULL, 'NEURONAL REGENERATION-RELATED PROTEIN', NULL, NULL, NULL, 15),
(134997, NULL, 'PTHR39381:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14824', NULL, NULL, NULL, 15),
(134998, NULL, 'PTHR11006:SF60', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 9', NULL, NULL, NULL, 15),
(134999, NULL, 'PTHR31179:SF5', NULL, NULL, NULL, NULL, 'RAB GTPASE-BINDING EFFECTOR PROTEIN 1', NULL, NULL, 29348, 15),
(135000, NULL, 'PTHR34130:SF3', NULL, NULL, NULL, NULL, 'OS08G0243800 PROTEIN', NULL, NULL, NULL, 15),
(135001, NULL, 'PTHR48051', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135002, NULL, 'PTHR31435:SF10', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(135003, NULL, 'PTHR13817:SF100', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-LIKE AND FIBRONECTIN TYPE III DOMAIN-CONTAINING 1, TANDEM DUPLICATE 2-RELATED', NULL, NULL, NULL, 15),
(135004, NULL, 'PTHR22789:SF8', NULL, NULL, NULL, NULL, 'L-RIBULOSE-5-PHOSPHATE 4-EPIMERASE SGBE', NULL, NULL, NULL, 15),
(135005, NULL, 'PTHR12526:SF595', NULL, NULL, NULL, NULL, 'BLL5217 PROTEIN', NULL, NULL, NULL, 15),
(135006, NULL, 'PTHR13798:SF11', NULL, NULL, NULL, NULL, 'OS01G0876500 PROTEIN', NULL, NULL, NULL, 15),
(135007, NULL, 'PTHR13723:SF189', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 12', NULL, NULL, NULL, 15),
(135008, NULL, 'PTHR48001:SF166', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(135009, NULL, 'PTHR31503:SF40', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', NULL, NULL, NULL, 15),
(135010, NULL, 'PTHR33641:SF2', NULL, NULL, NULL, NULL, 'BNAA08G06880D PROTEIN', NULL, NULL, NULL, 15),
(135011, NULL, 'PTHR41542:SF1', NULL, NULL, NULL, NULL, 'BLL5807 PROTEIN', NULL, NULL, NULL, 15),
(135012, NULL, 'PTHR30136:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(135013, NULL, 'PTHR33107:SF26', NULL, NULL, NULL, NULL, 'MIRACULIN-LIKE', NULL, NULL, NULL, 15),
(135014, NULL, 'PTHR31549:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135015, NULL, 'PTHR10562:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135016, NULL, 'PTHR45136:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135017, NULL, 'PTHR44500:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 12', NULL, NULL, NULL, 15),
(135018, NULL, 'PTHR35149:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135019, NULL, 'PTHR33065:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135020, NULL, 'PTHR35306:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135021, NULL, 'PTHR15597:SF26', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN FOX-1 HOMOLOG 1', NULL, NULL, NULL, 15),
(135022, NULL, 'PTHR31852:SF228', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135023, NULL, 'PTHR13527', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35686, 15),
(135024, NULL, 'PTHR24177:SF271', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(135025, NULL, 'PTHR33599:SF9', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(135026, NULL, 'PTHR34538:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(135027, NULL, 'PTHR32227:SF340', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135028, NULL, 'PTHR34369:SF6', NULL, NULL, NULL, NULL, 'OS07G0147500 PROTEIN', NULL, NULL, NULL, 15),
(135029, NULL, 'PTHR15264:SF2', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 1', NULL, NULL, NULL, 15),
(135030, NULL, 'PTHR31966:SF15', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN MT2085-LIKE', NULL, NULL, NULL, 15),
(135031, NULL, 'PTHR24253:SF54', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TUMORIGENICITY 14 PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(135032, NULL, 'PTHR16504:SF6', NULL, NULL, NULL, NULL, '5''(3'')-DEOXYRIBONUCLEOTIDASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(135033, NULL, 'PTHR42738:SF13', NULL, NULL, NULL, NULL, 'LYASE, MITOCHONDRIAL, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(135034, NULL, 'PTHR10768:SF19', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', NULL, NULL, NULL, 15),
(135035, NULL, 'PTHR46436:SF2', NULL, NULL, NULL, NULL, 'DOUBLE C2-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(135036, NULL, 'PTHR33681:SF18', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135037, NULL, 'PTHR36056:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135038, NULL, 'PTHR43341:SF15', NULL, NULL, NULL, NULL, 'GENERAL AMINO ACID PERMEASE AGP2', NULL, NULL, NULL, 15),
(135039, NULL, 'PTHR42991', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(135040, NULL, 'PTHR28023', NULL, NULL, NULL, NULL, 'UPF0357 PROTEIN YCL012C', NULL, NULL, 15984, 15),
(135041, NULL, 'PTHR35702', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(135042, NULL, 'PTHR12084', NULL, NULL, NULL, NULL, 'NUCLEAR PORE GLYCOPROTEIN P62-RELATED', NULL, NULL, 23425, 15),
(135043, NULL, 'PTHR34451:SF10', NULL, NULL, NULL, NULL, 'BNAA08G26340D PROTEIN', NULL, NULL, NULL, 15),
(135044, NULL, 'PTHR31866', NULL, NULL, NULL, NULL, 'GENE 4779-RELATED', NULL, NULL, 22113, 15),
(135045, NULL, 'PTHR16502:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135046, NULL, 'PTHR22956:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG01487', NULL, NULL, NULL, 15),
(135047, NULL, 'PTHR32266:SF16', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE 4-RELATED', NULL, NULL, NULL, 15),
(135048, NULL, 'PTHR46538', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135049, NULL, 'PTHR46133:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH115-LIKE', NULL, NULL, NULL, 15),
(135050, NULL, 'PTHR32387:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135051, NULL, 'PTHR24293', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 46 SUBFAMILY A', NULL, NULL, 31471, 15),
(135052, NULL, 'PTHR33386:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135053, NULL, 'PTHR27003:SF343', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE, PROTEIN KINASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135054, NULL, 'PTHR13318:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135055, NULL, 'PTHR31384:SF122', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(135056, NULL, 'PTHR33745', NULL, NULL, NULL, NULL, 'RSBT ANTAGONIST PROTEIN RSBS-RELATED', NULL, NULL, NULL, 15),
(135057, NULL, 'PTHR48022:SF32', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(135058, NULL, 'PTHR47990:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135059, NULL, 'PTHR11875:SF48', NULL, NULL, NULL, NULL, 'ASSEMBLY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(135060, NULL, 'PTHR14379:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135061, NULL, 'PTHR19845', NULL, NULL, NULL, NULL, 'KATANIN P80 SUBUNIT', NULL, NULL, NULL, 15),
(135062, NULL, 'PTHR24230:SF60', NULL, NULL, NULL, NULL, 'UROTENSIN-2 RECEPTOR', NULL, NULL, NULL, 15),
(135063, NULL, 'PTHR45833:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL HOMOCYSTEINE S-METHYLTRANSFERASE/5,10-METHYLENETETRAHYDROFOLATE REDUCTASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135064, NULL, 'PTHR46288:SF23', NULL, NULL, NULL, NULL, 'BNAC04G03640D PROTEIN', NULL, NULL, NULL, 15),
(135065, NULL, 'PTHR46073:SF5', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE', NULL, NULL, NULL, 15),
(135066, NULL, 'PTHR24305:SF107', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(135067, NULL, 'PTHR24327:SF21', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DLX-4', NULL, NULL, NULL, 15),
(135068, NULL, 'PTHR21143:SF104', NULL, NULL, NULL, NULL, 'GUSTATORY AND PHEROMONE RECEPTOR 32A-RELATED', NULL, NULL, NULL, 15),
(135069, NULL, 'PTHR42781', NULL, NULL, NULL, NULL, 'SPERMIDINE/PUTRESCINE IMPORT ATP-BINDING PROTEIN POTA', NULL, NULL, NULL, 15),
(135070, NULL, 'PTHR25952:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135071, NULL, 'PTHR21041:SF2', NULL, NULL, NULL, NULL, 'DENDRITIC CELL-SPECIFIC TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(135072, NULL, 'PTHR23040', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29869, 15),
(135073, NULL, 'PTHR45798:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135074, NULL, 'PTHR10983:SF51', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(135075, NULL, 'PTHR32370:SF140', NULL, NULL, NULL, NULL, 'SKP1/BTB/POZ DOMAIN, NPH3 DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135076, NULL, 'PTHR31789:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(135077, NULL, 'PTHR46248:SF12', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1, LEUCINE-ZIPPER-RELATED', NULL, NULL, NULL, 15),
(135078, NULL, 'PTHR43313:SF18', NULL, NULL, NULL, NULL, 'DIETARY RESTRICTION DOWN REGULATED', NULL, NULL, NULL, 15),
(135079, NULL, 'PTHR24028:SF117', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-B4', NULL, NULL, NULL, 15),
(135080, NULL, 'PTHR10072:SF57', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER BIOSYNTHESIS FAMILY PROTEIN', NULL, NULL, NULL, 15),
(135081, NULL, 'PTHR31911', NULL, NULL, NULL, NULL, 'PROTEIN FAM133', NULL, NULL, 25210, 15),
(135082, NULL, 'PTHR31972:SF16', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF868)-RELATED', NULL, NULL, NULL, 15),
(135083, NULL, 'PTHR11709:SF253', NULL, NULL, NULL, NULL, 'LACCASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135084, NULL, 'PTHR14359:SF17', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENOYLCYSTEINE DECARBOXYLASE SUBUNIT SIS2-RELATED', NULL, NULL, NULL, 15),
(135085, NULL, 'PTHR24408:SF50', NULL, NULL, NULL, NULL, 'PARAQUAT (METHYLVIOLOGEN) RESPONSIVE', NULL, NULL, NULL, 15),
(135086, NULL, 'PTHR13935:SF120', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(135087, NULL, 'PTHR11909:SF395', NULL, NULL, NULL, NULL, 'OS01G0198200 PROTEIN', NULL, NULL, NULL, 15),
(135088, NULL, 'PTHR37909', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(135089, NULL, 'PTHR30483:SF6', NULL, NULL, NULL, NULL, 'OS09G0428600 PROTEIN', NULL, NULL, NULL, 15),
(135090, NULL, 'PTHR10037:SF137', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT T-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1G', NULL, NULL, 23361, 15),
(135091, NULL, 'PTHR31929:SF88', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(135092, NULL, 'PTHR37418:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135093, NULL, 'PTHR13902:SF151', NULL, NULL, NULL, NULL, 'BNAA05G17210D PROTEIN', NULL, NULL, NULL, 15),
(135094, NULL, 'PTHR24073:SF1134', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(135095, NULL, 'PTHR23411:SF18', NULL, NULL, NULL, NULL, 'TAPASIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(135096, NULL, 'PTHR35731', NULL, NULL, NULL, NULL, '8-AMINO-7-OXONONANOATE SYNTHASE', NULL, NULL, NULL, 15),
(135097, NULL, 'PTHR11101', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, 1284, 15),
(135098, NULL, 'PTHR11920:SF477', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135099, NULL, 'PTHR24559:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135100, NULL, 'PTHR24222:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135101, NULL, 'PTHR31357:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-12', NULL, NULL, NULL, 15),
(135102, NULL, 'PTHR38761', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE', NULL, NULL, 4852, 15),
(135103, NULL, 'PTHR14326:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135104, NULL, 'PTHR31388:SF222', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(135105, NULL, 'PTHR31048:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135106, NULL, 'PTHR12011:SF328', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR E2', NULL, NULL, NULL, 15),
(135107, NULL, 'PTHR38926:SF27', NULL, NULL, NULL, NULL, 'BNAANNG30020D PROTEIN', NULL, NULL, NULL, 15),
(135108, NULL, 'PTHR47996:SF1', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(135109, NULL, 'PTHR45970:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B9', NULL, NULL, NULL, 15),
(135110, NULL, 'PTHR15146:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR137C', NULL, NULL, NULL, 15),
(135111, NULL, 'PTHR11255:SF99', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(135112, NULL, 'PTHR11442:SF41', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT ZETA', NULL, NULL, NULL, 15),
(135113, NULL, 'PTHR43581:SF4', NULL, NULL, NULL, NULL, 'BLL4632 PROTEIN', NULL, NULL, NULL, 15),
(135114, NULL, 'PTHR39535:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135115, NULL, 'PTHR38764:SF1', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(135116, NULL, 'PTHR37234', NULL, NULL, NULL, NULL, 'OS03G0319200 PROTEIN', NULL, NULL, NULL, 15),
(135117, NULL, 'PTHR38092:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135118, NULL, 'PTHR47076:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135119, NULL, 'PTHR11260:SF632', NULL, NULL, NULL, NULL, 'BNAA09G29540D PROTEIN', NULL, NULL, NULL, 15),
(135120, NULL, 'PTHR33463:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135121, NULL, 'PTHR31803:SF18', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE 1B, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(135122, NULL, 'PTHR10367:SF13', NULL, NULL, NULL, NULL, 'OS12G0193200 PROTEIN', NULL, NULL, NULL, 15),
(135123, NULL, 'PTHR47255:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135124, NULL, 'PTHR11787:SF20', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', NULL, NULL, NULL, 15),
(135125, NULL, 'PTHR24399:SF15', NULL, NULL, NULL, NULL, 'POZ-, AT HOOK-, AND ZINC FINGER-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(135126, NULL, 'PTHR47992:SF90', NULL, NULL, NULL, NULL, 'BNAA03G00600D PROTEIN', NULL, NULL, NULL, 15),
(135127, NULL, 'PTHR47926:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135128, NULL, 'PTHR11849:SF206', NULL, NULL, NULL, NULL, 'ETS TRANSLOCATION VARIANT 2', NULL, NULL, NULL, 15),
(135129, NULL, 'PTHR31375:SF233', NULL, NULL, NULL, NULL, 'BNAC04G03170D PROTEIN', NULL, NULL, NULL, 15),
(135130, NULL, 'PTHR30570:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATE-BINDING PROTEIN PSTS', NULL, NULL, NULL, 15),
(135131, NULL, 'PTHR31325:SF147', NULL, NULL, NULL, NULL, 'OS01G0798800 PROTEIN', NULL, NULL, NULL, 15),
(135132, NULL, 'PTHR11571:SF203', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(135133, NULL, 'PTHR32166:SF63', NULL, NULL, NULL, NULL, 'HAT TRANSPOSON SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(135134, NULL, 'PTHR43969:SF7', NULL, NULL, NULL, NULL, 'GST-CONTAINING FLYWCH ZINC-FINGER PROTEIN', NULL, NULL, NULL, 15),
(135135, NULL, 'PTHR11685:SF341', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(135136, NULL, 'PTHR45826:SF13', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135137, NULL, 'PTHR24055:SF441', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(135138, NULL, 'PTHR45090:SF6', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 20 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(135139, NULL, 'PTHR10696:SF44', NULL, NULL, NULL, NULL, 'TAUD/TFDA-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135140, NULL, 'PTHR31639:SF192', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, FBD DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135141, NULL, 'PTHR24115:SF938', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(135142, NULL, 'PTHR13802:SF43', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(135143, NULL, 'PTHR24356:SF361', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(135144, NULL, 'PTHR32089:SF97', NULL, NULL, NULL, NULL, 'METHYL ACCEPTING SENSORY TRANSDUCER WITH CACHE_1 SMALL MOLECULE BINDING DOMAIN', NULL, NULL, NULL, 15),
(135145, NULL, 'PTHR14338:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135146, NULL, 'PTHR13664', NULL, NULL, NULL, NULL, 'BECLIN 1-ASSOCIATED AUTOPHAGY-RELATED KEY REGULATOR', NULL, NULL, NULL, 15),
(135147, NULL, 'PTHR34858:SF1', NULL, NULL, NULL, NULL, 'CYSO-CYSTEINE PEPTIDASE', NULL, NULL, NULL, 15),
(135148, NULL, 'PTHR14154:SF97', NULL, NULL, NULL, NULL, 'BNAC09G20020D PROTEIN', NULL, NULL, NULL, 15),
(135149, NULL, 'PTHR10841:SF6', NULL, NULL, NULL, NULL, 'SYNAPSIN-3', NULL, NULL, NULL, 15),
(135150, NULL, 'PTHR19241:SF324', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(135151, NULL, 'PTHR22663:SF19', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 212B', NULL, NULL, NULL, 15),
(135152, NULL, 'PTHR31390:SF11', NULL, NULL, NULL, NULL, 'OS10G0550750 PROTEIN', NULL, NULL, NULL, 15),
(135153, NULL, 'PTHR31300:SF25', NULL, NULL, NULL, NULL, 'DUF620 FAMILY PROTEIN (DUF620)', NULL, NULL, NULL, 15),
(135154, NULL, 'PTHR42762', NULL, NULL, NULL, NULL, 'BIOTIN SYNTHASE-RELATED PROTEIN, RADICAL SAM SUPERFAMILY', NULL, NULL, NULL, 15),
(135155, NULL, 'PTHR32285:SF273', NULL, NULL, NULL, NULL, 'PROTEIN PMR5-LIKE', NULL, NULL, NULL, 15),
(135156, NULL, 'PTHR31218:SF270', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(135157, NULL, 'PTHR34809:SF1', NULL, NULL, NULL, NULL, 'MALTOSE EXCESS PROTEIN 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(135158, NULL, 'PTHR11010:SF31', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(135159, NULL, 'PTHR33108:SF52', NULL, NULL, NULL, NULL, 'BNAA06G01330D PROTEIN', NULL, NULL, NULL, 15),
(135160, NULL, 'PTHR32444:SF131', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(135161, NULL, 'PTHR24096:SF345', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 2', NULL, NULL, NULL, 15),
(135162, NULL, 'PTHR11638:SF152', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPB1', NULL, NULL, NULL, 15),
(135163, NULL, 'PTHR15032:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135164, NULL, 'PTHR30305:SF1', NULL, NULL, NULL, NULL, 'HPR KINASE/PHOSPHORYLASE', NULL, NULL, 6258, 15),
(135165, NULL, 'PTHR31839:SF11', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1D', NULL, NULL, NULL, 15),
(135166, NULL, 'PTHR23164', NULL, NULL, NULL, NULL, 'EARLY ENDOSOME ANTIGEN 1', NULL, NULL, NULL, 15),
(135167, NULL, 'PTHR31639:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135168, NULL, 'PTHR11594:SF5', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', NULL, NULL, NULL, 15),
(135169, NULL, 'PTHR11206:SF374', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 49', NULL, NULL, NULL, 15),
(135170, NULL, 'PTHR12560:SF7', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 2', NULL, NULL, NULL, 15),
(135171, NULL, 'PTHR24118', NULL, NULL, NULL, NULL, 'POTE ANKYRIN DOMAIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135172, NULL, 'PTHR21236:SF20', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', NULL, NULL, NULL, 15),
(135173, NULL, 'PTHR43702:SF3', NULL, NULL, NULL, NULL, 'L-FUCOSE-PROTON SYMPORTER', NULL, NULL, NULL, 15),
(135174, NULL, 'PTHR23515:SF30', NULL, NULL, NULL, NULL, 'NITRATE TRANSPORTER 2.3-RELATED', NULL, NULL, NULL, 15),
(135175, NULL, 'PTHR11652', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S12 FAMILY MEMBER', NULL, NULL, 1096, 15),
(135176, NULL, 'PTHR11960:SF35', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-1A', NULL, NULL, NULL, 15),
(135177, NULL, 'PTHR12537:SF148', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135178, NULL, 'PTHR21355:SF14', NULL, NULL, NULL, NULL, 'LMBR1 INTEGRAL MEMBRANE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(135179, NULL, 'PTHR12673:SF98', NULL, NULL, NULL, NULL, 'FYVE, RHOGEF AND PH DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(135180, NULL, 'PTHR15698:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG15099', NULL, NULL, NULL, 15),
(135181, NULL, 'PTHR44307:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE N-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(135182, NULL, 'PTHR46372:SF4', NULL, NULL, NULL, NULL, 'OS11G0592600 PROTEIN', NULL, NULL, NULL, 15),
(135183, NULL, 'PTHR15907:SF91', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 8', NULL, NULL, NULL, 15),
(135184, NULL, 'PTHR10658:SF27', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN BETA ISOFORM', NULL, NULL, NULL, 15),
(135185, NULL, 'PTHR10426:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135186, NULL, 'PTHR24392:SF42', NULL, NULL, NULL, NULL, 'CCCTC-BINDING FACTOR LIKE', NULL, NULL, NULL, 15),
(135187, NULL, 'PTHR46128:SF58', NULL, NULL, NULL, NULL, 'BNACNNG21610D PROTEIN', NULL, NULL, NULL, 15),
(135188, NULL, 'PTHR31790:SF365', NULL, NULL, NULL, NULL, 'BNAA09G27650D PROTEIN', NULL, NULL, NULL, 15),
(135189, NULL, 'PTHR45923:SF6', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', NULL, NULL, NULL, 15),
(135190, NULL, 'PTHR13690:SF103', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 18', NULL, NULL, NULL, 15),
(135191, NULL, 'PTHR10199:SF88', NULL, NULL, NULL, NULL, 'CARTILAGE OLIGOMERIC MATRIX PROTEIN', NULL, NULL, 28840, 15),
(135192, NULL, 'PTHR13948:SF4', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 10', NULL, NULL, 30995, 15),
(135193, NULL, 'PTHR31072:SF136', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP10', NULL, NULL, NULL, 15),
(135194, NULL, 'PTHR20961:SF27', NULL, NULL, NULL, NULL, 'BETA-1,2-XYLOSYLTRANSFEREASE XAX1', NULL, NULL, NULL, 15),
(135195, NULL, 'PTHR32057:SF14', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE SELO, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(135196, NULL, 'PTHR32071:SF13', NULL, NULL, NULL, NULL, 'METAL DEPENDENT PHOPHOHYDROLASE', NULL, NULL, NULL, 15),
(135197, NULL, 'PTHR24381:SF119', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 133', NULL, NULL, NULL, 15),
(135198, NULL, 'PTHR10454:SF13', NULL, NULL, NULL, NULL, 'CASPASE-5', NULL, NULL, NULL, 15),
(135199, NULL, 'PTHR10997:SF28', NULL, NULL, NULL, NULL, 'IMPORTIN BETA SMX1', NULL, NULL, NULL, 15),
(135200, NULL, 'PTHR20884:SF9', NULL, NULL, NULL, NULL, 'OS12G0612100 PROTEIN', NULL, NULL, NULL, 15),
(135201, NULL, 'PTHR33642:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR INTRON MATURASE 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(135202, NULL, 'PTHR12411:SF778', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE EP-B 1', NULL, NULL, NULL, 15),
(135203, NULL, 'PTHR32343:SF32', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 11', NULL, NULL, NULL, 15),
(135204, NULL, 'PTHR46265:SF10', NULL, NULL, NULL, NULL, 'BNAA01G13960D PROTEIN', NULL, NULL, NULL, 15),
(135205, NULL, 'PTHR31235:SF290', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(135206, NULL, 'PTHR43064:SF1', NULL, NULL, NULL, NULL, 'SLL1489 PROTEIN', NULL, NULL, NULL, 15),
(135207, NULL, 'PTHR37799', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S25, MITOCHONDRIAL', NULL, NULL, 18229, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135208, NULL, 'PTHR43240', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-2-NAPHTHOYL-COA THIOESTERASE 1', NULL, NULL, NULL, 15),
(135209, NULL, 'PTHR35144', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC TRANSCRIPTION FACTOR NDT80', NULL, NULL, NULL, 15),
(135210, NULL, 'PTHR31062:SF198', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(135211, NULL, 'PTHR33322:SF4', NULL, NULL, NULL, NULL, 'BAG DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(135212, NULL, 'PTHR22595:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135213, NULL, 'PTHR18875:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135214, NULL, 'PTHR21596:SF55', NULL, NULL, NULL, NULL, 'OS12G0572500 PROTEIN', NULL, NULL, NULL, 15),
(135215, NULL, 'PTHR24377:SF614', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 775', NULL, NULL, NULL, 15),
(135216, NULL, 'PTHR31307:SF4', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASIL2', NULL, NULL, NULL, 15),
(135217, NULL, 'PTHR11017:SF362', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135218, NULL, 'PTHR13408:SF4', NULL, NULL, NULL, NULL, 'OS01G0889200 PROTEIN', NULL, NULL, NULL, 15),
(135219, NULL, 'PTHR31140:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135220, NULL, 'PTHR30043:SF8', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, PERMEASE PROTEIN CC0363, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(135221, NULL, 'PTHR43341:SF6', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(135222, NULL, 'PTHR33306:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135223, NULL, 'PTHR45969:SF22', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHA1B-LIKE', NULL, NULL, NULL, 15),
(135224, NULL, 'PTHR21569:SF34', NULL, NULL, NULL, NULL, 'BNAA05G33140D PROTEIN', NULL, NULL, NULL, 15),
(135225, NULL, 'PTHR13593:SF104', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135226, NULL, 'PTHR12565:SF391', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(135227, NULL, 'PTHR31748:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(135228, NULL, 'PTHR10846:SF36', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER 1', NULL, NULL, NULL, 15),
(135229, NULL, 'PTHR46224:SF22', NULL, NULL, NULL, NULL, 'OS02G0493300 PROTEIN', NULL, NULL, NULL, 15),
(135230, NULL, 'PTHR23513:SF11', NULL, NULL, NULL, NULL, 'STAPHYLOFERRIN A TRANSPORTER', NULL, NULL, NULL, 15),
(135231, NULL, 'PTHR22811:SF74', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(135232, NULL, 'PTHR10359:SF18', NULL, NULL, NULL, NULL, 'ENDONUCLEASE III', NULL, NULL, NULL, 15),
(135233, NULL, 'PTHR46122:SF6', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN', NULL, NULL, NULL, 15),
(135234, NULL, 'PTHR32410:SF163', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(135235, NULL, 'PTHR11733:SF185', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', NULL, NULL, NULL, 15),
(135236, NULL, 'PTHR10822:SF8', NULL, NULL, NULL, NULL, 'GLYPICAN-1', NULL, NULL, 8330, 15),
(135237, NULL, 'PTHR45972:SF3', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(135238, NULL, 'PTHR16212', NULL, NULL, NULL, NULL, 'FOCADHESIN FAMILY MEMBER', NULL, NULL, 39856, 15),
(135239, NULL, 'PTHR24256', NULL, NULL, NULL, NULL, 'TRYPTASE-RELATED', NULL, NULL, NULL, 15),
(135240, NULL, 'PTHR11984:SF26', NULL, NULL, NULL, NULL, 'GAP JUNCTION BETA-7 PROTEIN', NULL, NULL, NULL, 15),
(135241, NULL, 'PTHR21649:SF88', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(135242, NULL, 'PTHR46732:SF8', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE LA (LON) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(135243, NULL, 'PTHR22461:SF1', NULL, NULL, NULL, NULL, 'SERINE-RICH COILED-COIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 24436, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135244, NULL, 'PTHR34931:SF3', NULL, NULL, NULL, NULL, 'FI02976P-RELATED', NULL, NULL, NULL, 15),
(135245, NULL, 'PTHR45987:SF11', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L7/L12', NULL, NULL, NULL, 15),
(135246, NULL, 'PTHR31048:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135247, NULL, 'PTHR31208', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(135248, NULL, 'PTHR32444:SF80', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(135249, NULL, 'PTHR33287:SF10', NULL, NULL, NULL, NULL, 'BNAA01G30280D PROTEIN', NULL, NULL, NULL, 15),
(135250, NULL, 'PTHR45988:SF37', NULL, NULL, NULL, NULL, 'BNAC02G16730D PROTEIN', NULL, NULL, NULL, 15),
(135251, NULL, 'PTHR47956:SF55', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135252, NULL, 'PTHR46607', NULL, NULL, NULL, NULL, 'SEC14 DOMAIN AND SPECTRIN REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(135253, NULL, 'PTHR10358:SF33', NULL, NULL, NULL, NULL, 'BNAA09G06720D PROTEIN', NULL, NULL, NULL, 15),
(135254, NULL, 'PTHR31541:SF36', NULL, NULL, NULL, NULL, 'BNAA04G17800D PROTEIN', NULL, NULL, NULL, 15),
(135255, NULL, 'PTHR23500:SF544', NULL, NULL, NULL, NULL, 'POLYOL/MONOSACCHARIDE TRANSPORTER 1', NULL, NULL, NULL, 15),
(135256, NULL, 'PTHR23155:SF934', NULL, NULL, NULL, NULL, 'OS11G0604900 PROTEIN', NULL, NULL, NULL, 15),
(135257, NULL, 'PTHR21645:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG06584', NULL, NULL, NULL, 15),
(135258, NULL, 'PTHR31989:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135259, NULL, 'PTHR10540:SF10', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT F', NULL, NULL, NULL, 15),
(135260, NULL, 'PTHR13903:SF11', NULL, NULL, NULL, NULL, 'OS08G0364900 PROTEIN', NULL, NULL, NULL, 15),
(135261, NULL, 'PTHR46205:SF2', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCIBLE DOUBLE-STRANDED RNA-DEPENDENT PROTEIN KINASE ACTIVATOR A', NULL, NULL, 29688, 15),
(135262, NULL, 'PTHR11017:SF380', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS CLASS)', NULL, NULL, NULL, 15),
(135263, NULL, 'PTHR35317:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', NULL, NULL, NULL, 15),
(135264, NULL, 'PTHR28676:SF2', NULL, NULL, NULL, NULL, 'ALK AND LTK LIGAND 2', NULL, NULL, NULL, 15),
(135265, NULL, 'PTHR10745:SF20', NULL, NULL, NULL, NULL, 'GLYCINE--TRNA LIGASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(135266, NULL, 'PTHR20855:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135267, NULL, 'PTHR47926:SF62', NULL, NULL, NULL, NULL, 'BNAANNG26310D PROTEIN', NULL, NULL, NULL, 15),
(135268, NULL, 'PTHR11811:SF60', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING', NULL, NULL, NULL, 15),
(135269, NULL, 'PTHR10388:SF42', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLATION FACTOR SUI1 HOMOLOG ISOFORM X1', NULL, NULL, NULL, 15),
(135270, NULL, 'PTHR24025:SF8', NULL, NULL, NULL, NULL, 'DESMOCOLLIN-1', NULL, NULL, NULL, 15),
(135271, NULL, 'PTHR21312:SF35', NULL, NULL, NULL, NULL, 'ACROSIN INHIBITOR 1', NULL, NULL, NULL, 15),
(135272, NULL, 'PTHR24349:SF392', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 20-LIKE', NULL, NULL, NULL, 15),
(135273, NULL, 'PTHR23111:SF64', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 13A', NULL, NULL, NULL, 15),
(135274, NULL, 'PTHR14453:SF53', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP10', NULL, NULL, NULL, 15),
(135275, NULL, 'PTHR43642:SF2', NULL, NULL, NULL, NULL, 'GUANYLYL CYCLASE', NULL, NULL, NULL, 15),
(135276, NULL, 'PTHR10381:SF46', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT-RELATED PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(135277, NULL, 'PTHR45689:SF9', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL SUBUNIT A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(135278, NULL, 'PTHR31667', NULL, NULL, NULL, NULL, 'SPERM EQUATORIAL SEGMENT PROTEIN 1', NULL, NULL, 27993, 15),
(135279, NULL, 'PTHR32044:SF53', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 12-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135280, NULL, 'PTHR43963', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE 1-RELATED', NULL, NULL, NULL, 15),
(135281, NULL, 'PTHR31741:SF78', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(135282, NULL, 'PTHR24404:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GFI-1', NULL, NULL, 24920, 15),
(135283, NULL, 'PTHR32191:SF68', NULL, NULL, NULL, NULL, 'BNAA09G44070D PROTEIN', NULL, NULL, NULL, 15),
(135284, NULL, 'PTHR21461:SF7', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(135285, NULL, 'PTHR23430:SF42', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 2-A', NULL, NULL, NULL, 15),
(135286, NULL, 'PTHR24410', NULL, NULL, NULL, NULL, 'HL07962P-RELATED', NULL, NULL, NULL, 15),
(135287, NULL, 'PTHR11926:SF1326', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C1', NULL, NULL, NULL, 15),
(135288, NULL, 'PTHR11394:SF25', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 109', NULL, NULL, NULL, 15),
(135289, NULL, 'PTHR30146:SF109', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MALR', NULL, NULL, NULL, 15),
(135290, NULL, 'PTHR33385:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135291, NULL, 'PTHR10229:SF6', NULL, NULL, NULL, NULL, 'OS03G0727900 PROTEIN', NULL, NULL, NULL, 15),
(135292, NULL, 'PTHR11247:SF8', NULL, NULL, NULL, NULL, 'PALMITOYL-PROTEIN THIOESTERASE 1', NULL, NULL, 27702, 15),
(135293, NULL, 'PTHR31497:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135294, NULL, 'PTHR32468:SF117', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 16', NULL, NULL, NULL, 15),
(135295, NULL, 'PTHR10953:SF154', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 2', NULL, NULL, NULL, 15),
(135296, NULL, 'PTHR46517:SF1', NULL, NULL, NULL, NULL, 'FRUCTOSE-2,6-BISPHOSPHATASE TIGAR', NULL, NULL, NULL, 15),
(135297, NULL, 'PTHR43316:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATASE RV3376', NULL, NULL, NULL, 15),
(135298, NULL, 'PTHR33605', NULL, NULL, NULL, NULL, 'EARLY NODULIN-93', NULL, NULL, 2083, 15),
(135299, NULL, 'PTHR18968:SF163', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE', NULL, NULL, NULL, 15),
(135300, NULL, 'PTHR43807:SF14', NULL, NULL, NULL, NULL, 'KYNURENINE--OXOGLUTARATE TRANSAMINASE 1', NULL, NULL, 33405, 15),
(135301, NULL, 'PTHR21576:SF31', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(135302, NULL, 'PTHR15962:SF0', NULL, NULL, NULL, NULL, 'ACTIVITY-REGULATED CYTOSKELETON-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(135303, NULL, 'PTHR43899', NULL, NULL, NULL, NULL, 'RH59310P', NULL, NULL, NULL, 15),
(135304, NULL, 'PTHR32212:SF321', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(135305, NULL, 'PTHR37563:SF6', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(135306, NULL, 'PTHR10593:SF180', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 2-LIKE', NULL, NULL, NULL, 15),
(135307, NULL, 'PTHR45855:SF38', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UNE10-LIKE', NULL, NULL, NULL, 15),
(135308, NULL, 'PTHR31637:SF8', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-INDEPENDENT PHOSPHOGLYCERATE MUTASE 1', NULL, NULL, NULL, 15),
(135309, NULL, 'PTHR19876:SF55', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''', NULL, NULL, NULL, 15),
(135310, NULL, 'PTHR24186:SF23', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(135311, NULL, 'PTHR24200:SF7', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED TUMOR SUPPRESSOR 1', NULL, NULL, 24720, 15),
(135312, NULL, 'PTHR12673:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135313, NULL, 'PTHR10202:SF14', NULL, NULL, NULL, NULL, 'PRESENILIN HOP-1', NULL, NULL, 33553, 15),
(135314, NULL, 'PTHR45907:SF15', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', NULL, NULL, NULL, 15),
(135315, NULL, 'PTHR45695:SF13', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 15-LIKE', NULL, NULL, NULL, 15),
(135316, NULL, 'PTHR28597', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL BETA SUBUNIT-ASSOCIATED REGULATORY PROTEIN', NULL, NULL, 35156, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135317, NULL, 'PTHR23220:SF127', NULL, NULL, NULL, NULL, 'ZMP:0000001082', NULL, NULL, NULL, 15),
(135318, NULL, 'PTHR11010:SF100', NULL, NULL, NULL, NULL, 'HYPOTHETICAL SERINE CARBOXYPEPTIDASE (EUROFUNG)', NULL, NULL, NULL, 15),
(135319, NULL, 'PTHR45694:SF12', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S12, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(135320, NULL, 'PTHR31324:SF1', NULL, NULL, NULL, NULL, 'MORF4 FAMILY-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(135321, NULL, 'PTHR31288:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135322, NULL, 'PTHR38850', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135323, NULL, 'PTHR15854:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MALE ABNORMAL 7', NULL, NULL, NULL, 15),
(135324, NULL, 'PTHR31953:SF18', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 2', NULL, NULL, NULL, 15),
(135325, NULL, 'PTHR47470:SF1', NULL, NULL, NULL, NULL, 'CHOLESTEROL OXIDASE', NULL, NULL, NULL, 15),
(135326, NULL, 'PTHR34223:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135327, NULL, 'PTHR21700:SF19', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(135328, NULL, 'PTHR24064:SF192', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 23', NULL, NULL, NULL, 15),
(135329, NULL, 'PTHR48018:SF53', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(135330, NULL, 'PTHR31238:SF215', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(135331, NULL, 'PTHR24025:SF26', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(135332, NULL, 'PTHR11540:SF64', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(135333, NULL, 'PTHR22594', NULL, NULL, NULL, NULL, 'ASPARTYL/LYSYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(135334, NULL, 'PTHR13172:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM9', NULL, NULL, NULL, 15),
(135335, NULL, 'PTHR31602:SF14', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 11', NULL, NULL, NULL, 15),
(135336, NULL, 'PTHR45780:SF10', NULL, NULL, NULL, NULL, 'BNAC07G27560D PROTEIN', NULL, NULL, NULL, 15),
(135337, NULL, 'PTHR10468', NULL, NULL, NULL, NULL, 'PROTEIN O-LINKED-MANNOSE BETA-1,2-N-ACETYLGLUCOSAMINYLTRANSFERASE 1/ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 2-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(135338, NULL, 'PTHR33782:SF3', NULL, NULL, NULL, NULL, 'OS05G0516700 PROTEIN', NULL, NULL, NULL, 15),
(135339, NULL, 'PTHR31517:SF40', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(135340, NULL, 'PTHR24034:SF39', NULL, NULL, NULL, NULL, 'PAWN, ISOFORM B', NULL, NULL, NULL, 15),
(135341, NULL, 'PTHR24119:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135342, NULL, 'PTHR10924:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG23388', NULL, NULL, NULL, 15),
(135343, NULL, 'PTHR47053', NULL, NULL, NULL, NULL, 'MUREIN DD-ENDOPEPTIDASE MEPH-RELATED', NULL, NULL, NULL, 15),
(135344, NULL, 'PTHR12619:SF21', NULL, NULL, NULL, NULL, 'AGAP013226-PA', NULL, NULL, NULL, 15),
(135345, NULL, 'PTHR15710:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135346, NULL, 'PTHR20916:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135347, NULL, 'PTHR46813:SF9', NULL, NULL, NULL, NULL, 'BNAA08G15310D PROTEIN', NULL, NULL, NULL, 15),
(135348, NULL, 'PTHR31816:SF3', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC13', NULL, NULL, NULL, 15),
(135349, NULL, 'PTHR23069:SF5', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 2B', NULL, NULL, NULL, 15),
(135350, NULL, 'PTHR24271:SF72', NULL, NULL, NULL, NULL, 'GRANZYME A', NULL, NULL, NULL, 15),
(135351, NULL, 'PTHR38447:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR YDEB-RELATED', NULL, NULL, NULL, 15),
(135352, NULL, 'PTHR33978:SF16', NULL, NULL, NULL, NULL, 'OS06G0525200 PROTEIN', NULL, NULL, NULL, 15),
(135353, NULL, 'PTHR47003:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135354, NULL, 'PTHR37185:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(135355, NULL, 'PTHR11955:SF64', NULL, NULL, NULL, NULL, 'MYELIN P2 PROTEIN', NULL, NULL, 27057, 15),
(135356, NULL, 'PTHR21008:SF1', NULL, NULL, NULL, NULL, '25S RRNA (ADENINE(2142)-N(1))-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(135357, NULL, 'PTHR12483:SF107', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(135358, NULL, 'PTHR11690:SF265', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-324', NULL, NULL, NULL, 15),
(135359, NULL, 'PTHR19353:SF64', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE, TYPE 1', NULL, NULL, NULL, 15),
(135360, NULL, 'PTHR34719:SF2', NULL, NULL, NULL, NULL, 'NICKEL-RESPONSIVE REGULATOR', NULL, NULL, NULL, 15),
(135361, NULL, 'PTHR13902:SF152', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK1-RELATED', NULL, NULL, NULL, 15),
(135362, NULL, 'PTHR47992:SF53', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 46-RELATED', NULL, NULL, NULL, 15),
(135363, NULL, 'PTHR48005:SF19', NULL, NULL, NULL, NULL, 'OS06G0692500 PROTEIN', NULL, NULL, NULL, 15),
(135364, NULL, 'PTHR30239:SF20', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE SMALL SUBUNIT 1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(135365, NULL, 'PTHR18966:SF504', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(135366, NULL, 'PTHR43139:SF33', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD HYDROLASE', NULL, NULL, NULL, 15),
(135367, NULL, 'PTHR11442:SF52', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT GAMMA-1', NULL, NULL, NULL, 15),
(135368, NULL, 'PTHR22012:SF2', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(135369, NULL, 'PTHR47929:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135370, NULL, 'PTHR23500:SF160', NULL, NULL, NULL, NULL, 'OS09G0297300 PROTEIN', NULL, NULL, NULL, 15),
(135371, NULL, 'PTHR22957:SF494', NULL, NULL, NULL, NULL, 'SI:CH211-266K8.4', NULL, NULL, NULL, 15),
(135372, NULL, 'PTHR37016:SF3', NULL, NULL, NULL, NULL, 'NEUTRAL PROTEASE 2 HOMOLOG AN3393-RELATED', NULL, NULL, NULL, 15),
(135373, NULL, 'PTHR24394:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 40', NULL, NULL, 27133, 15),
(135374, NULL, 'PTHR23021:SF31', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(135375, NULL, 'PTHR30336:SF1', NULL, NULL, NULL, NULL, 'ENVELOPE BIOGENESIS FACTOR ELYC', NULL, NULL, NULL, 15),
(135376, NULL, 'PTHR23063:SF7', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPID ACYLTRANSFERASE LPCAT4', NULL, NULL, NULL, 15),
(135377, NULL, 'PTHR10795:SF681', NULL, NULL, NULL, NULL, 'BNAA09G07440D PROTEIN', NULL, NULL, NULL, 15),
(135378, NULL, 'PTHR48024:SF15', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN', NULL, NULL, NULL, 15),
(135379, NULL, 'PTHR21649:SF104', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(135380, NULL, 'PTHR31301:SF84', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 12-LIKE', NULL, NULL, NULL, 15),
(135381, NULL, 'PTHR45636', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-6-RELATED-RELATED', NULL, NULL, 38687, 15),
(135382, NULL, 'PTHR23291:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135383, NULL, 'PTHR48043:SF48', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(135384, NULL, 'PTHR21060:SF19', NULL, NULL, NULL, NULL, 'ACETATE KINASE', NULL, NULL, NULL, 15),
(135385, NULL, 'PTHR14859:SF7', NULL, NULL, NULL, NULL, 'DNASE I-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(135386, NULL, 'PTHR47926:SF18', NULL, NULL, NULL, NULL, 'BNAC04G04720D PROTEIN', NULL, NULL, NULL, 15),
(135387, NULL, 'PTHR11454:SF9', NULL, NULL, NULL, NULL, 'INSULIN', NULL, NULL, NULL, 15),
(135388, NULL, 'PTHR12106:SF10', NULL, NULL, NULL, NULL, 'VPS10 DOMAIN-CONTAINING RECEPTOR SORCS3', NULL, NULL, NULL, 15),
(135389, NULL, 'PTHR12896', NULL, NULL, NULL, NULL, 'PAX6 NEIGHBOR PROTEIN  PAXNEB', NULL, NULL, 12292, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135390, NULL, 'PTHR46680:SF1', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR ALPHA', NULL, NULL, NULL, 15),
(135391, NULL, 'PTHR10315:SF106', NULL, NULL, NULL, NULL, 'OS01G0234900 PROTEIN', NULL, NULL, NULL, 15),
(135392, NULL, 'PTHR31717:SF80', NULL, NULL, NULL, NULL, 'BNAC01G39760D PROTEIN', NULL, NULL, NULL, 15),
(135393, NULL, 'PTHR11211:SF40', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ARAUCAN-RELATED', NULL, NULL, NULL, 15),
(135394, NULL, 'PTHR22811:SF41', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, 11608, 15),
(135395, NULL, 'PTHR23070:SF176', NULL, NULL, NULL, NULL, 'BNAC04G00800D PROTEIN', NULL, NULL, NULL, 15),
(135396, NULL, 'PTHR22943:SF82', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(135397, NULL, 'PTHR33647:SF12', NULL, NULL, NULL, NULL, 'OS05G0498666 PROTEIN', NULL, NULL, NULL, 15),
(135398, NULL, 'PTHR24414:SF162', NULL, NULL, NULL, NULL, 'BNAA09G55950D PROTEIN', NULL, NULL, NULL, 15),
(135399, NULL, 'PTHR46631:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135400, NULL, 'PTHR12271:SF114', NULL, NULL, NULL, NULL, 'OS09G0570600 PROTEIN', NULL, NULL, NULL, 15),
(135401, NULL, 'PTHR36028:SF2', NULL, NULL, NULL, NULL, 'OSJNBB0050O03.8 PROTEIN', NULL, NULL, NULL, 15),
(135402, NULL, 'PTHR31656:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135403, NULL, 'PTHR47804:SF4', NULL, NULL, NULL, NULL, 'AFR661WP', NULL, NULL, NULL, 15),
(135404, NULL, 'PTHR36586:SF27', NULL, NULL, NULL, NULL, 'EXTENSIN-3', NULL, NULL, NULL, 15),
(135405, NULL, 'PTHR43333:SF1', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE,NAD-BINDING', NULL, NULL, NULL, 15),
(135406, NULL, 'PTHR31205:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135407, NULL, 'PTHR14167:SF87', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING 19', NULL, NULL, NULL, 15),
(135408, NULL, 'PTHR35737:SF2', NULL, NULL, NULL, NULL, 'BNAA09G02070D PROTEIN', NULL, NULL, NULL, 15),
(135409, NULL, 'PTHR13217:SF10', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING, FAMILY G (WITH RHOGEF DOMAIN) MEMBER 6', NULL, NULL, NULL, 15),
(135410, NULL, 'PTHR48010:SF47', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(135411, NULL, 'PTHR45974:SF190', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(135412, NULL, 'PTHR47994:SF5', NULL, NULL, NULL, NULL, 'F14D16.11-RELATED', NULL, NULL, NULL, 15),
(135413, NULL, 'PTHR27007:SF11', NULL, NULL, NULL, NULL, 'OS04G0146167 PROTEIN', NULL, NULL, NULL, 15),
(135414, NULL, 'PTHR43343', NULL, NULL, NULL, NULL, 'PEPTIDASE S12', NULL, NULL, NULL, 15),
(135415, NULL, 'PTHR47998:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB51-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(135416, NULL, 'PTHR14024:SF11', NULL, NULL, NULL, NULL, 'PERILIPIN-3', NULL, NULL, NULL, 15),
(135417, NULL, 'PTHR10695:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135418, NULL, 'PTHR46285:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135419, NULL, 'PTHR33021:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135420, NULL, 'PTHR31677:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135421, NULL, 'PTHR43859:SF50', NULL, NULL, NULL, NULL, 'LONG-CHAIN ACYL-COA SYNTHETASE', NULL, NULL, NULL, 15),
(135422, NULL, 'PTHR12770:SF26', NULL, NULL, NULL, NULL, 'OS01G0886900 PROTEIN', NULL, NULL, NULL, 15),
(135423, NULL, 'PTHR14964:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135424, NULL, 'PTHR12336:SF0', NULL, NULL, NULL, NULL, 'ADULT CUTICLE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(135425, NULL, 'PTHR10969:SF16', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR-ASSOCIATED PROTEIN-LIKE 3', NULL, NULL, NULL, 15),
(135426, NULL, 'PTHR31739:SF39', NULL, NULL, NULL, NULL, 'OS02G0568700 PROTEIN', NULL, NULL, NULL, 15),
(135427, NULL, 'PTHR21022:SF17', NULL, NULL, NULL, NULL, 'OS10G0523700 PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135428, NULL, 'PTHR22945:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)-RELATED', NULL, NULL, NULL, 15),
(135429, NULL, 'PTHR16795:SF14', NULL, NULL, NULL, NULL, 'LIMBIN', NULL, NULL, NULL, 15),
(135430, NULL, 'PTHR46328:SF18', NULL, NULL, NULL, NULL, 'FAR1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(135431, NULL, 'PTHR11132:SF266', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER E2A-RELATED', NULL, NULL, NULL, 15),
(135432, NULL, 'PTHR44665', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 14', NULL, NULL, NULL, 15),
(135433, NULL, 'PTHR13593:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135434, NULL, 'PTHR32176:SF46', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(135435, NULL, 'PTHR31790:SF366', NULL, NULL, NULL, NULL, 'BNAA05G10970D PROTEIN', NULL, NULL, NULL, 15),
(135436, NULL, 'PTHR47963:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DBPA', NULL, NULL, NULL, 15),
(135437, NULL, 'PTHR35275:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135438, NULL, 'PTHR24281:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135439, NULL, 'PTHR10279:SF6', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE ANTIZYME 2', NULL, NULL, 27932, 15),
(135440, NULL, 'PTHR47979:SF12', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-2A', NULL, NULL, NULL, 15),
(135441, NULL, 'PTHR19328:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135442, NULL, 'PTHR13511:SF0', NULL, NULL, NULL, NULL, 'KXDL MOTIF-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(135443, NULL, 'PTHR10589:SF45', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(135444, NULL, 'PTHR31890:SF16', NULL, NULL, NULL, NULL, 'BNAA02G35810D PROTEIN', NULL, NULL, NULL, 15),
(135445, NULL, 'PTHR42734', NULL, NULL, NULL, NULL, 'METAL TRANSPORT SYSTEM ATP-BINDING PROTEIN TM_0124-RELATED', NULL, NULL, NULL, 15),
(135446, NULL, 'PTHR12100:SF4', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 5', NULL, NULL, 33348, 15),
(135447, NULL, 'PTHR18881:SF2', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(135448, NULL, 'PTHR23017:SF24', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X-RELATED', NULL, NULL, NULL, 15),
(135449, NULL, 'PTHR11267:SF114', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX19', NULL, NULL, NULL, 15),
(135450, NULL, 'PTHR11132:SF269', NULL, NULL, NULL, NULL, 'TRIOSE PHOSPHATE/PHOSPHATE TRANSLOCATOR TPT, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(135451, NULL, 'PTHR42693:SF16', NULL, NULL, NULL, NULL, 'ARYLSULFATASE H', NULL, NULL, NULL, 15),
(135452, NULL, 'PTHR48021:SF61', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 17-RELATED', NULL, NULL, NULL, 15),
(135453, NULL, 'PTHR16528', NULL, NULL, NULL, NULL, 'GOLGI-ASSOCIATED PDZ AND COILED-COIL MOTIF-CONTAINING', NULL, NULL, 33231, 15),
(135454, NULL, 'PTHR13251:SF3', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 10', NULL, NULL, NULL, 15),
(135455, NULL, 'PTHR31235:SF71', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(135456, NULL, 'PTHR44218:SF10', NULL, NULL, NULL, NULL, 'LIGASE COP1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(135457, NULL, 'PTHR27006:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135458, NULL, 'PTHR45952:SF11', NULL, NULL, NULL, NULL, 'ALUMINUM INDUCED PROTEIN WITH YGL AND LRDR MOTIFS', NULL, NULL, NULL, 15),
(135459, NULL, 'PTHR13222:SF2', NULL, NULL, NULL, NULL, 'BNAA01G06340D PROTEIN', NULL, NULL, NULL, 15),
(135460, NULL, 'PTHR45708:SF11', NULL, NULL, NULL, NULL, 'XYLANASE INHIBITOR PROTEIN XIP', NULL, NULL, NULL, 15),
(135461, NULL, 'PTHR10102:SF11', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', NULL, NULL, NULL, 15),
(135462, NULL, 'PTHR14155:SF582', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135463, NULL, 'PTHR24281:SF58', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A9-LIKE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135464, NULL, 'PTHR27009:SF143', NULL, NULL, NULL, NULL, 'OS04G0655400 PROTEIN', NULL, NULL, NULL, 15),
(135465, NULL, 'PTHR16134:SF1', NULL, NULL, NULL, NULL, 'F-BOX AND LEUCINE-RICH PROTEIN 22', NULL, NULL, NULL, 15),
(135466, NULL, 'PTHR10809:SF116', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 4-3', NULL, NULL, NULL, 15),
(135467, NULL, 'PTHR24061:SF409', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 76', NULL, NULL, NULL, 15),
(135468, NULL, 'PTHR16048', NULL, NULL, NULL, NULL, 'MSL2-RELATED', NULL, NULL, 35577, 15),
(135469, NULL, 'PTHR15952:SF12', NULL, NULL, NULL, NULL, 'EXPORTIN-T', NULL, NULL, NULL, 15),
(135470, NULL, 'PTHR34914', NULL, NULL, NULL, NULL, 'LYMPHOCYTE EXPANSION MOLECULE', NULL, NULL, 30182, 15),
(135471, NULL, 'PTHR36944:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG10961', NULL, NULL, NULL, 15),
(135472, NULL, 'PTHR23037:SF39', NULL, NULL, NULL, NULL, 'INTERLEUKIN 21 RECEPTOR, TANDEM DUPLICATE 1', NULL, NULL, NULL, 15),
(135473, NULL, 'PTHR47970:SF8', NULL, NULL, NULL, NULL, '125 KDA KINESIN-RELATED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(135474, NULL, 'PTHR36245', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN DOT1-LIKE', NULL, NULL, NULL, 15),
(135475, NULL, 'PTHR47408:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG23825', NULL, NULL, NULL, 15),
(135476, NULL, 'PTHR10316:SF65', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED GUANYLATE KINASE, WW AND PDZ DOMAIN-CONTAINING 3B', NULL, NULL, NULL, 15),
(135477, NULL, 'PTHR45676:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135478, NULL, 'PTHR31676:SF85', NULL, NULL, NULL, NULL, 'DUF538 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(135479, NULL, 'PTHR22954', NULL, NULL, NULL, NULL, 'RETROVIRAL PROTEASE-RELATED', NULL, NULL, NULL, 15),
(135480, NULL, 'PTHR31263:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135481, NULL, 'PTHR47179:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(135482, NULL, 'PTHR24067:SF135', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 R1', NULL, NULL, NULL, 15),
(135483, NULL, 'PTHR28474', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 72', NULL, NULL, 23352, 15),
(135484, NULL, 'PTHR12780:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC6', NULL, NULL, NULL, 15),
(135485, NULL, 'PTHR15751', NULL, NULL, NULL, NULL, 'TRAFFICKING KINESIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(135486, NULL, 'PTHR48041:SF34', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 16', NULL, NULL, NULL, 15),
(135487, NULL, 'PTHR15672', NULL, NULL, NULL, NULL, 'CAMP-REGULATED PHOSPHOPROTEIN 21 RELATED R3H DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(135488, NULL, 'PTHR10333:SF100', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN YNG2', NULL, NULL, NULL, 15),
(135489, NULL, 'PTHR10792:SF41', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: 60S RIBOSOMAL PROTEIN L24-LIKE', NULL, NULL, NULL, 15),
(135490, NULL, 'PTHR33677:SF4', NULL, NULL, NULL, NULL, 'COPPER-SENSING TRANSCRIPTIONAL REPRESSOR CSOR', NULL, NULL, NULL, 15),
(135491, NULL, 'PTHR31037', NULL, NULL, NULL, NULL, 'RELT-LIKE PROTEIN 1-RELATED', NULL, NULL, 37299, 15),
(135492, NULL, 'PTHR12812', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE 6-O-SULFOTRANSFERASE 3', NULL, NULL, 9237, 15),
(135493, NULL, 'PTHR23155:SF1028', NULL, NULL, NULL, NULL, 'OS08G0174800 PROTEIN', NULL, NULL, NULL, 15),
(135494, NULL, 'PTHR35476:SF4', NULL, NULL, NULL, NULL, 'BNAA02G33330D PROTEIN', NULL, NULL, NULL, 15),
(135495, NULL, 'PTHR11157:SF134', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(135496, NULL, 'PTHR45799:SF1', NULL, NULL, NULL, NULL, 'RETICULON-4', NULL, NULL, NULL, 15),
(135497, NULL, 'PTHR11532:SF48', NULL, NULL, NULL, NULL, 'ADIPOCYTE ENHANCER-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(135498, NULL, 'PTHR47145', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A MEMBER 2', NULL, NULL, NULL, 15),
(135499, NULL, 'PTHR23050:SF351', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML15-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135500, NULL, 'PTHR47841:SF3', NULL, NULL, NULL, NULL, 'OS09G0492800 PROTEIN', NULL, NULL, NULL, 15),
(135501, NULL, 'PTHR33825:SF4', NULL, NULL, NULL, NULL, 'OS05G0137600 PROTEIN', NULL, NULL, NULL, 15),
(135502, NULL, 'PTHR33044:SF164', NULL, NULL, NULL, NULL, 'OS06G0341500 PROTEIN', NULL, NULL, NULL, 15),
(135503, NULL, 'PTHR15028:SF6', NULL, NULL, NULL, NULL, 'B-CELL DIFFERENTIATION ANTIGEN CD72', NULL, NULL, NULL, 15),
(135504, NULL, 'PTHR11206:SF303', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(135505, NULL, 'PTHR45879:SF4', NULL, NULL, NULL, NULL, 'CAMP-RESPONSIVE ELEMENT MODULATOR', NULL, NULL, NULL, 15),
(135506, NULL, 'PTHR27006:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135507, NULL, 'PTHR13952:SF21', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(135508, NULL, 'PTHR47938:SF5', NULL, NULL, NULL, NULL, 'OS07G0213300 PROTEIN', NULL, NULL, NULL, 15),
(135509, NULL, 'PTHR22166:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135510, NULL, 'PTHR10277:SF74', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(135511, NULL, 'PTHR12027:SF82', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE WNT-3', NULL, NULL, NULL, 15),
(135512, NULL, 'PTHR31415:SF105', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(135513, NULL, 'PTHR45874:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A10', NULL, NULL, NULL, 15),
(135514, NULL, 'PTHR35279:SF1', NULL, NULL, NULL, NULL, 'ARABINANASE/LEVANSUCRASE/INVERTASE', NULL, NULL, NULL, 15),
(135515, NULL, 'PTHR31225:SF150', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 12-RELATED', NULL, NULL, NULL, 15),
(135516, NULL, 'PTHR48001:SF46', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(135517, NULL, 'PTHR24281:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135518, NULL, 'PTHR21713:SF4', NULL, NULL, NULL, NULL, 'GH09281P-RELATED', NULL, NULL, NULL, 15),
(135519, NULL, 'PTHR12253:SF35', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(135520, NULL, 'PTHR31798:SF2', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(135521, NULL, 'PTHR11551:SF14', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 6', NULL, NULL, 15555, 15),
(135522, NULL, 'PTHR32487:SF20', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(135523, NULL, 'PTHR10697:SF5', NULL, NULL, NULL, NULL, 'EPENDYMIN-RELATED', NULL, NULL, NULL, 15),
(135524, NULL, 'PTHR15189:SF7', NULL, NULL, NULL, NULL, 'BRISC AND BRCA1-A COMPLEX MEMBER 2', NULL, NULL, NULL, 15),
(135525, NULL, 'PTHR47991:SF118', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE', NULL, NULL, NULL, 15),
(135526, NULL, 'PTHR13914:SF23', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(135527, NULL, 'PTHR10663:SF322', NULL, NULL, NULL, NULL, 'ARF GUANINE-NUCLEOTIDE EXCHANGE FACTOR GNL2', NULL, NULL, NULL, 15),
(135528, NULL, 'PTHR21495:SF78', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 19', NULL, NULL, NULL, 15),
(135529, NULL, 'PTHR10027:SF23', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY U MEMBER 1', NULL, NULL, NULL, 15),
(135530, NULL, 'PTHR31898', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 136', NULL, NULL, 37284, 15),
(135531, NULL, 'PTHR40516', NULL, NULL, NULL, NULL, 'ANTITOXIN CHPS-RELATED', NULL, NULL, NULL, 15),
(135532, NULL, 'PTHR13159:SF2', NULL, NULL, NULL, NULL, 'RADIAL SPOKE COMPONENT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(135533, NULL, 'PTHR43655:SF7', NULL, NULL, NULL, NULL, 'AFG3-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(135534, NULL, 'PTHR11469:SF5', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(135535, NULL, 'PTHR31001:SF67', NULL, NULL, NULL, NULL, 'FUNGAL SPECIFIC TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(135536, NULL, 'PTHR27001:SF872', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135537, NULL, 'PTHR35563:SF2', NULL, NULL, NULL, NULL, 'BARREL METAL-DEPENDENT HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G16240)-RELATED', NULL, NULL, NULL, 15),
(135538, NULL, 'PTHR10918:SF5', NULL, NULL, NULL, NULL, 'HOMER, ISOFORM E', NULL, NULL, NULL, 15),
(135539, NULL, 'PTHR47472:SF1', NULL, NULL, NULL, NULL, 'PROPIONYL-COA CARBOXYLASE', NULL, NULL, NULL, 15),
(135540, NULL, 'PTHR23226:SF134', NULL, NULL, NULL, NULL, 'MYC-ASSOCIATED ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(135541, NULL, 'PTHR31087:SF97', NULL, NULL, NULL, NULL, 'TUBBY C-TERMINAL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135542, NULL, 'PTHR42715:SF14', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE D-RELATED', NULL, NULL, NULL, 15),
(135543, NULL, 'PTHR13430:SF14', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 13A', NULL, NULL, NULL, 15),
(135544, NULL, 'PTHR23028:SF116', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(135545, NULL, 'PTHR31182:SF18', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135546, NULL, 'PTHR22883:SF382', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(135547, NULL, 'PTHR31384:SF81', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 18', NULL, NULL, NULL, 15),
(135548, NULL, 'PTHR12591', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATASE', NULL, NULL, NULL, 15),
(135549, NULL, 'PTHR14513:SF2', NULL, NULL, NULL, NULL, 'PROTECTION OF TELOMERES PROTEIN 1', NULL, NULL, NULL, 15),
(135550, NULL, 'PTHR34474:SF4', NULL, NULL, NULL, NULL, 'HEME OXYGENASE (STAPHYLOBILIN-PRODUCING) 1', NULL, NULL, NULL, 15),
(135551, NULL, 'PTHR22911:SF32', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER G3-RELATED', NULL, NULL, NULL, 15),
(135552, NULL, 'PTHR17972', NULL, NULL, NULL, NULL, 'NUCLEOLAR RNA-ASSOCIATED PROTEIN', NULL, NULL, 1639, 15),
(135553, NULL, 'PTHR11528:SF107', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 83-LIKE', NULL, NULL, NULL, 15),
(135554, NULL, 'PTHR24248:SF145', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR D4-RELATED SEQUENCE', NULL, NULL, NULL, 15),
(135555, NULL, 'PTHR31060:SF9', NULL, NULL, NULL, NULL, 'OS12G0188500 PROTEIN', NULL, NULL, NULL, 15),
(135556, NULL, 'PTHR47926:SF261', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135557, NULL, 'PTHR31707:SF252', NULL, NULL, NULL, NULL, 'BNAC07G13130D PROTEIN', NULL, NULL, NULL, 15),
(135558, NULL, 'PTHR37534:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(135559, NULL, 'PTHR31512:SF2', NULL, NULL, NULL, NULL, 'GENE 12569-RELATED', NULL, NULL, NULL, 15),
(135560, NULL, 'PTHR23155:SF1058', NULL, NULL, NULL, NULL, 'OS11G0668100 PROTEIN', NULL, NULL, NULL, 15),
(135561, NULL, 'PTHR11426:SF232', NULL, NULL, NULL, NULL, 'HISTONE H3.1', NULL, NULL, NULL, 15),
(135562, NULL, 'PTHR12802:SF128', NULL, NULL, NULL, NULL, 'BNACNNG45160D PROTEIN', NULL, NULL, NULL, 15),
(135563, NULL, 'PTHR41805', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(135564, NULL, 'PTHR31415:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135565, NULL, 'PTHR45898:SF7', NULL, NULL, NULL, NULL, 'OS01G0229200 PROTEIN', NULL, NULL, NULL, 15),
(135566, NULL, 'PTHR31004:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135567, NULL, 'PTHR18860:SF115', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN', NULL, NULL, NULL, 15),
(135568, NULL, 'PTHR46768:SF1', NULL, NULL, NULL, NULL, 'TWO PORE CALCIUM CHANNEL PROTEIN 2', NULL, NULL, NULL, 15),
(135569, NULL, 'PTHR37220', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 23', NULL, NULL, 38080, 15),
(135570, NULL, 'PTHR34682', NULL, NULL, NULL, NULL, 'AT HOOK MOTIF-CONTAINING PROTEIN', NULL, NULL, 36506, 15),
(135571, NULL, 'PTHR33044:SF177', NULL, NULL, NULL, NULL, 'BNAA10G03620D PROTEIN', NULL, NULL, NULL, 15),
(135572, NULL, 'PTHR20961:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135573, NULL, 'PTHR10337:SF11', NULL, NULL, NULL, NULL, 'DSHC PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135574, NULL, 'PTHR24067:SF297', NULL, NULL, NULL, NULL, 'BNAA06G09230D PROTEIN', NULL, NULL, NULL, 15),
(135575, NULL, 'PTHR31314:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135576, NULL, 'PTHR14969:SF49', NULL, NULL, NULL, NULL, 'PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(135577, NULL, 'PTHR12966', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE  UBIQUINONE  1 ALPHA SUBCOMPLEX SUBUNIT 13', NULL, NULL, 14798, 15),
(135578, NULL, 'PTHR31218:SF236', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(135579, NULL, 'PTHR21237:SF4', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(135580, NULL, 'PTHR10906:SF35', NULL, NULL, NULL, NULL, 'OS09G0512600 PROTEIN', NULL, NULL, NULL, 15),
(135581, NULL, 'PTHR12629:SF57', NULL, NULL, NULL, NULL, 'BNAC09G43550D PROTEIN', NULL, NULL, NULL, 15),
(135582, NULL, 'PTHR43572:SF27', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 2', NULL, NULL, NULL, 15),
(135583, NULL, 'PTHR47094:SF8', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135584, NULL, 'PTHR24414:SF75', NULL, NULL, NULL, NULL, 'BNAA04G14970D PROTEIN', NULL, NULL, NULL, 15),
(135585, NULL, 'PTHR33065:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135586, NULL, 'PTHR31992:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135587, NULL, 'PTHR36028:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135588, NULL, 'PTHR32166:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135589, NULL, 'PTHR31917:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135590, NULL, 'PTHR33741:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN DDB_G0269096-RELATED', NULL, NULL, NULL, 15),
(135591, NULL, 'PTHR43712:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL O-METHYLTRANSFERASE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(135592, NULL, 'PTHR46277:SF15', NULL, NULL, NULL, NULL, 'BNAA09G45450D PROTEIN', NULL, NULL, NULL, 15),
(135593, NULL, 'PTHR31889:SF39', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(135594, NULL, 'PTHR43689:SF45', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(135595, NULL, 'PTHR45626:SF39', NULL, NULL, NULL, NULL, 'HELICASE-LIKE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(135596, NULL, 'PTHR45790', NULL, NULL, NULL, NULL, 'SIROHEME SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(135597, NULL, 'PTHR43452:SF18', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 3-RELATED', NULL, NULL, NULL, 15),
(135598, NULL, 'PTHR26379:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135599, NULL, 'PTHR33285:SF23', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 2', NULL, NULL, NULL, 15),
(135600, NULL, 'PTHR32158:SF22', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN DDB_G0287209', NULL, NULL, NULL, 15),
(135601, NULL, 'PTHR30508:SF8', NULL, NULL, NULL, NULL, 'UPF0051 PROTEIN ABCI8, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(135602, NULL, 'PTHR13817:SF38', NULL, NULL, NULL, NULL, 'OBSCURIN-LIKE 1A', NULL, NULL, NULL, 15),
(135603, NULL, 'PTHR22777:SF31', NULL, NULL, NULL, NULL, 'FAD-BINDING, TYPE 2, GLIDING MOTILITY-ASSOCIATED PROTEIN GLDE-RELATED', NULL, NULL, NULL, 15),
(135604, NULL, 'PTHR12802:SF136', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 3', NULL, NULL, NULL, 15),
(135605, NULL, 'PTHR13610:SF8', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT C LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(135606, NULL, 'PTHR10078:SF29', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 FAMILY MEMBER 10', NULL, NULL, 27295, 15),
(135607, NULL, 'PTHR38050:SF3', NULL, NULL, NULL, NULL, 'FERULOYL ESTERASE D', NULL, NULL, NULL, 15),
(135608, NULL, 'PTHR11183:SF90', NULL, NULL, NULL, NULL, 'IME2-DEPENDENT-SIGNALING PROTEIN', NULL, NULL, NULL, 15),
(135609, NULL, 'PTHR24320:SF237', NULL, NULL, NULL, NULL, 'BNAC04G02820D PROTEIN', NULL, NULL, NULL, 15),
(135610, NULL, 'PTHR33417:SF6', NULL, NULL, NULL, NULL, 'G-BOX BINDING PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135611, NULL, 'PTHR33543:SF1', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 2A', NULL, NULL, NULL, 15),
(135612, NULL, 'PTHR45649:SF10', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(135613, NULL, 'PTHR31105:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135614, NULL, 'PTHR23415:SF41', NULL, NULL, NULL, NULL, '60S RIBOSOME SUBUNIT BIOGENESIS PROTEIN NIP7 HOMOLOG', NULL, NULL, NULL, 15),
(135615, NULL, 'PTHR45653:SF10', NULL, NULL, NULL, NULL, 'MYOBLAST CITY, ISOFORM B', NULL, NULL, NULL, 15),
(135616, NULL, 'PTHR47999:SF69', NULL, NULL, NULL, NULL, 'PROTEIN ODORANT1-LIKE', NULL, NULL, NULL, 15),
(135617, NULL, 'PTHR31236:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135618, NULL, 'PTHR23354:SF68', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 7', NULL, NULL, NULL, 15),
(135619, NULL, 'PTHR23428:SF277', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-P', NULL, NULL, NULL, 15),
(135620, NULL, 'PTHR46925:SF3', NULL, NULL, NULL, NULL, 'SUBSTANCE-K RECEPTOR', NULL, NULL, 3027, 15),
(135621, NULL, 'PTHR11715:SF26', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', NULL, NULL, NULL, 15),
(135622, NULL, 'PTHR19271:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME B', NULL, NULL, NULL, 15),
(135623, NULL, 'PTHR12015:SF117', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 2', NULL, NULL, NULL, 15),
(135624, NULL, 'PTHR10827:SF80', NULL, NULL, NULL, NULL, 'RETICULOCALBIN 3, EF-HAND CALCIUM-BINDING DOMAIN', NULL, NULL, NULL, 15),
(135625, NULL, 'PTHR46756:SF9', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC PROTEIN 2', NULL, NULL, 27419, 15),
(135626, NULL, 'PTHR24356:SF240', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C', NULL, NULL, NULL, 15),
(135627, NULL, 'PTHR44259:SF73', NULL, NULL, NULL, NULL, 'BNAC02G41320D PROTEIN', NULL, NULL, NULL, 15),
(135628, NULL, 'PTHR13723:SF167', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 18', NULL, NULL, NULL, 15),
(135629, NULL, 'PTHR20961:SF112', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', NULL, NULL, NULL, 15),
(135630, NULL, 'PTHR34925:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135631, NULL, 'PTHR33021:SF247', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(135632, NULL, 'PTHR31304:SF25', NULL, NULL, NULL, NULL, 'LOB DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(135633, NULL, 'PTHR43113:SF1', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-2-NAPHTHOYL-COA SYNTHASE, PEROXISOMAL', NULL, NULL, NULL, 15),
(135634, NULL, 'PTHR13832:SF754', NULL, NULL, NULL, NULL, 'BNAC04G37510D PROTEIN', NULL, NULL, NULL, 15),
(135635, NULL, 'PTHR48017:SF66', NULL, NULL, NULL, NULL, 'PROTEIN CBG19965', NULL, NULL, NULL, 15),
(135636, NULL, 'PTHR24282:SF97', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP13A10-RELATED', NULL, NULL, NULL, 15),
(135637, NULL, 'PTHR12663:SF32', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PDS5-LIKE PROTEIN', NULL, NULL, NULL, 15),
(135638, NULL, 'PTHR10082:SF11', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-6', NULL, NULL, 9469, 15),
(135639, NULL, 'PTHR22778', NULL, NULL, NULL, NULL, 'OVARIAN CANCER GENE-2 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135640, NULL, 'PTHR48043:SF30', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 91C1-LIKE', NULL, NULL, NULL, 15),
(135641, NULL, 'PTHR23262:SF215', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 1-4', NULL, NULL, NULL, 15),
(135642, NULL, 'PTHR11615:SF246', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2A2', NULL, NULL, NULL, 15),
(135643, NULL, 'PTHR32077:SF72', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 9', NULL, NULL, NULL, 15),
(135644, NULL, 'PTHR45932:SF15', NULL, NULL, NULL, NULL, 'PATELLIN-4-LIKE', NULL, NULL, NULL, 15),
(135645, NULL, 'PTHR44218:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SUPPRESSOR OF PHYA-105 1', NULL, NULL, NULL, 15),
(135646, NULL, 'PTHR43537:SF7', NULL, NULL, NULL, NULL, 'EXU REGULON TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135647, NULL, 'PTHR31080:SF198', NULL, NULL, NULL, NULL, 'BNAA01G27340D PROTEIN', NULL, NULL, NULL, 15),
(135648, NULL, 'PTHR31865:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0071G03.3 PROTEIN', NULL, NULL, NULL, 15),
(135649, NULL, 'PTHR11132:SF420', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135650, NULL, 'PTHR46234:SF15', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(135651, NULL, 'PTHR11895:SF163', NULL, NULL, NULL, NULL, 'BNAA02G27590D PROTEIN', NULL, NULL, NULL, 15),
(135652, NULL, 'PTHR43670:SF47', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(135653, NULL, 'PTHR45878:SF31', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP2-LIKE', NULL, NULL, NULL, 15),
(135654, NULL, 'PTHR31739:SF27', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE FAMILY, METAL-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(135655, NULL, 'PTHR23147:SF147', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, Y CHROMOSOME, FAMILY 1 MEMBER A1-RELATED', NULL, NULL, NULL, 15),
(135656, NULL, 'PTHR31236:SF32', NULL, NULL, NULL, NULL, 'BURP DOMAIN PROTEIN USPL1', NULL, NULL, NULL, 15),
(135657, NULL, 'PTHR31235:SF256', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(135658, NULL, 'PTHR31087:SF77', NULL, NULL, NULL, NULL, 'OS05G0311500 PROTEIN', NULL, NULL, NULL, 15),
(135659, NULL, 'PTHR12353:SF7', NULL, NULL, NULL, NULL, 'DISKS LARGE-ASSOCIATED PROTEIN 1', NULL, NULL, 26404, 15),
(135660, NULL, 'PTHR19353:SF30', NULL, NULL, NULL, NULL, 'ACID DESATURASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02130)-RELATED', NULL, NULL, NULL, 15),
(135661, NULL, 'PTHR40438', NULL, NULL, NULL, NULL, 'PYRUVOYL-DEPENDENT ARGININE DECARBOXYLASE', NULL, NULL, 3660, 15),
(135662, NULL, 'PTHR31674', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM-LIKE 3-RELATED', NULL, NULL, 33217, 15),
(135663, NULL, 'PTHR11655:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L9-RELATED', NULL, NULL, NULL, 15),
(135664, NULL, 'PTHR36342', NULL, NULL, NULL, NULL, 'PTB DOMAIN ENGULFMENT ADAPTER', NULL, NULL, NULL, 15),
(135665, NULL, 'PTHR47877:SF8', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 17', NULL, NULL, NULL, 15),
(135666, NULL, 'PTHR46262:SF3', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN F2', NULL, NULL, NULL, 15),
(135667, NULL, 'PTHR33237:SF5', NULL, NULL, NULL, NULL, 'OS02G0711400 PROTEIN', NULL, NULL, NULL, 15),
(135668, NULL, 'PTHR31258', NULL, NULL, NULL, NULL, 'KERATINOCYTE-ASSOCIATED PROTEIN 3', NULL, NULL, 15866, 15),
(135669, NULL, 'PTHR10974:SF71', NULL, NULL, NULL, NULL, 'FI08016P-RELATED', NULL, NULL, NULL, 15),
(135670, NULL, 'PTHR48105:SF15', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE 2', NULL, NULL, NULL, 15),
(135671, NULL, 'PTHR27006:SF292', NULL, NULL, NULL, NULL, 'OS10G0200000 PROTEIN', NULL, NULL, NULL, 15),
(135672, NULL, 'PTHR27008:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135673, NULL, 'PTHR31852:SF157', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(135674, NULL, 'PTHR23080:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135675, NULL, 'PTHR11849:SF161', NULL, NULL, NULL, NULL, 'FRIEND LEUKEMIA INTEGRATION 1 TRANSCRIPTION FACTOR', NULL, NULL, 36393, 15),
(135676, NULL, 'PTHR45637:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE UCN', NULL, NULL, NULL, 15),
(135677, NULL, 'PTHR24296:SF92', NULL, NULL, NULL, NULL, 'BNAC05G09030D PROTEIN', NULL, NULL, NULL, 15),
(135678, NULL, 'PTHR11070:SF3', NULL, NULL, NULL, NULL, 'DNA HELICASE', NULL, NULL, NULL, 15),
(135679, NULL, 'PTHR15728', NULL, NULL, NULL, NULL, 'DEADENYLATION COMPLEX CATALYTIC SUBUNIT PAN2', NULL, NULL, NULL, 15),
(135680, NULL, 'PTHR31642:SF111', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', NULL, NULL, NULL, 15),
(135681, NULL, 'PTHR34291:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135682, NULL, 'PTHR46470:SF2', NULL, NULL, NULL, NULL, 'N-ACYLNEURAMINATE-9-PHOSPHATASE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135683, NULL, 'PTHR18953:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135684, NULL, 'PTHR46087:SF4', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(135685, NULL, 'PTHR31190:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135686, NULL, 'PTHR31639:SF198', NULL, NULL, NULL, NULL, 'CORONATINE-INSENSITIVE PROTEIN 1', NULL, NULL, NULL, 15),
(135687, NULL, 'PTHR12620:SF42', NULL, NULL, NULL, NULL, 'U2AF SPLICING FACTOR', NULL, NULL, NULL, 15),
(135688, NULL, 'PTHR21600:SF56', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE C', NULL, NULL, NULL, 15),
(135689, NULL, 'PTHR31717:SF81', NULL, NULL, NULL, NULL, 'B-BOX DOMAIN PROTEIN 30-RELATED', NULL, NULL, NULL, 15),
(135690, NULL, 'PTHR12197:SF193', NULL, NULL, NULL, NULL, 'N-LYSINE METHYLTRANSFERASE SMYD2', NULL, NULL, NULL, 15),
(135691, NULL, 'PTHR45658:SF73', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(135692, NULL, 'PTHR24180:SF25', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 66', NULL, NULL, NULL, 15),
(135693, NULL, 'PTHR36203:SF4', NULL, NULL, NULL, NULL, 'MANNITOL-SPECIFIC CRYPTIC PHOSPHOTRANSFERASE ENZYME IIA COMPONENT', NULL, NULL, NULL, 15),
(135694, NULL, 'PTHR12609:SF0', NULL, NULL, NULL, NULL, 'CYTOSKELETON-ASSOCIATED PROTEIN 5', NULL, NULL, NULL, 15),
(135695, NULL, 'PTHR26451:SF476', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10K1', NULL, NULL, NULL, 15),
(135696, NULL, 'PTHR11969:SF54', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH71', NULL, NULL, NULL, 15),
(135697, NULL, 'PTHR12731:SF1', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN SUBUNIT DELTA', NULL, NULL, NULL, 15),
(135698, NULL, 'PTHR12411:SF316', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE 1', NULL, NULL, NULL, 15),
(135699, NULL, 'PTHR45716:SF6', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-LIKE PROTEIN 5', NULL, NULL, 24056, 15),
(135700, NULL, 'PTHR37701:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE, DNA-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135701, NULL, 'PTHR24042:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-37E10.2', NULL, NULL, NULL, 15),
(135702, NULL, 'PTHR31623:SF23', NULL, NULL, NULL, NULL, 'ACETYL-COA-BENZYLALCOHOL ACETYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(135703, NULL, 'PTHR45658:SF19', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 13-RELATED', NULL, NULL, NULL, 15),
(135704, NULL, 'PTHR13559', NULL, NULL, NULL, NULL, 'INTRACELLULAR TRAFFIC PROTEIN-RELATED', NULL, NULL, 25899, 15),
(135705, NULL, 'PTHR10315:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135706, NULL, 'PTHR20889:SF12', NULL, NULL, NULL, NULL, 'LP01149P', NULL, NULL, NULL, 15),
(135707, NULL, 'PTHR33904', NULL, NULL, NULL, NULL, 'ESSENTIAL MCU REGULATOR, MITOCHONDRIAL', NULL, NULL, 19312, 15),
(135708, NULL, 'PTHR42047', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03560)-RELATED', NULL, NULL, NULL, 15),
(135709, NULL, 'PTHR31117:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG16337', NULL, NULL, NULL, 15),
(135710, NULL, 'PTHR47521:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)-RELATED', NULL, NULL, NULL, 15),
(135711, NULL, 'PTHR12837:SF12', NULL, NULL, NULL, NULL, 'BNAA05G11130D PROTEIN', NULL, NULL, NULL, 15),
(135712, NULL, 'PTHR23281', NULL, NULL, NULL, NULL, 'MERLIN/MOESIN/EZRIN/RADIXIN', NULL, NULL, 11160, 15),
(135713, NULL, 'PTHR10091:SF28', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(135714, NULL, 'PTHR46884:SF1', NULL, NULL, NULL, NULL, 'COLLECTRIN', NULL, NULL, NULL, 15),
(135715, NULL, 'PTHR24366:SF133', NULL, NULL, NULL, NULL, 'PODOCAN LIKE 1', NULL, NULL, NULL, 15),
(135716, NULL, 'PTHR31301:SF67', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 22', NULL, NULL, NULL, 15),
(135717, NULL, 'PTHR31216:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-16-RELATED', NULL, NULL, NULL, 15),
(135718, NULL, 'PTHR23074:SF86', NULL, NULL, NULL, NULL, 'SPASTIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135719, NULL, 'PTHR24006:SF789', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(135720, NULL, 'PTHR43789:SF2', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', NULL, NULL, NULL, 15),
(135721, NULL, 'PTHR30109', NULL, NULL, NULL, NULL, 'HYDROXYLAMINE REDUCTASE', NULL, NULL, 2635, 15),
(135722, NULL, 'PTHR13421:SF22', NULL, NULL, NULL, NULL, 'SNAPC (SMALL NUCLEAR RNA ACTIVATING COMPLEX) HOMOLOG', NULL, NULL, NULL, 15),
(135723, NULL, 'PTHR36038:SF3', NULL, NULL, NULL, NULL, 'OS06G0102750 PROTEIN', NULL, NULL, NULL, 15),
(135724, NULL, 'PTHR45642:SF88', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135725, NULL, 'PTHR11913:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135726, NULL, 'PTHR45676:SF113', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(135727, NULL, 'PTHR15204:SF0', NULL, NULL, NULL, NULL, 'LARGE PROLINE-RICH PROTEIN BAG6', NULL, NULL, NULL, 15),
(135728, NULL, 'PTHR46739:SF6', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN (MIP) FAMILY TRANSPORTER', NULL, NULL, NULL, 15),
(135729, NULL, 'PTHR24559:SF297', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135730, NULL, 'PTHR33110:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135731, NULL, 'PTHR24271:SF23', NULL, NULL, NULL, NULL, 'CHYMASE 2, MAST CELL-RELATED', NULL, NULL, NULL, 15),
(135732, NULL, 'PTHR46214', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING-CH-TYPE', NULL, NULL, NULL, 15),
(135733, NULL, 'PTHR23502:SF10', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTM', NULL, NULL, NULL, 15),
(135734, NULL, 'PTHR27004:SF338', NULL, NULL, NULL, NULL, 'BNAANNG12430D PROTEIN', NULL, NULL, NULL, 15),
(135735, NULL, 'PTHR31722:SF52', NULL, NULL, NULL, NULL, 'BNAANNG11160D PROTEIN', NULL, NULL, NULL, 15),
(135736, NULL, 'PTHR35085', NULL, NULL, NULL, NULL, 'KERATINOCYTE DIFFERENTIATION FACTOR 1', NULL, NULL, 24952, 15),
(135737, NULL, 'PTHR21085:SF0', NULL, NULL, NULL, NULL, 'CHORISMATE SYNTHASE', NULL, NULL, NULL, 15),
(135738, NULL, 'PTHR11654:SF439', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.10', NULL, NULL, NULL, 15),
(135739, NULL, 'PTHR19876:SF2', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''', NULL, NULL, NULL, 15),
(135740, NULL, 'PTHR10795:SF728', NULL, NULL, NULL, NULL, 'BNAA01G06940D PROTEIN', NULL, NULL, NULL, 15),
(135741, NULL, 'PTHR40593', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN ACTIVATOR LPOB', NULL, NULL, 14024, 15),
(135742, NULL, 'PTHR10807:SF120', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 5', NULL, NULL, NULL, 15),
(135743, NULL, 'PTHR26451:SF470', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(135744, NULL, 'PTHR33115:SF37', NULL, NULL, NULL, NULL, 'OS01G0618300 PROTEIN', NULL, NULL, NULL, 15),
(135745, NULL, 'PTHR18919:SF151', NULL, NULL, NULL, NULL, 'BLR2427 PROTEIN', NULL, NULL, NULL, 15),
(135746, NULL, 'PTHR12307:SF20', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3E', NULL, NULL, NULL, 15),
(135747, NULL, 'PTHR39289:SF1', NULL, NULL, NULL, NULL, 'L-ECTOINE SYNTHASE', NULL, NULL, NULL, 15),
(135748, NULL, 'PTHR45806:SF2', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN HOMOLOG YKT6-RELATED', NULL, NULL, NULL, 15),
(135749, NULL, 'PTHR31704:SF41', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(135750, NULL, 'PTHR43874:SF139', NULL, NULL, NULL, NULL, 'BNAC03G23280D PROTEIN', NULL, NULL, NULL, 15),
(135751, NULL, 'PTHR11686:SF63', NULL, NULL, NULL, NULL, 'BNAA09G02940D PROTEIN', NULL, NULL, NULL, 15),
(135752, NULL, 'PTHR22977:SF1', NULL, NULL, NULL, NULL, 'COX ASSEMBLY MITOCHONDRIAL PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(135753, NULL, 'PTHR11866:SF7', NULL, NULL, NULL, NULL, 'PROSTACYCLIN RECEPTOR', NULL, NULL, 4744, 15),
(135754, NULL, 'PTHR43795:SF85', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE ACS10-RELATED', NULL, NULL, NULL, 15),
(135755, NULL, 'PTHR11019:SF159', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135756, NULL, 'PTHR11261', NULL, NULL, NULL, NULL, 'INTERPHOTORECEPTOR RETINOID-BINDING PROTEIN', NULL, NULL, NULL, 15),
(135757, NULL, 'PTHR47818:SF2', NULL, NULL, NULL, NULL, 'RNI-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(135758, NULL, 'PTHR30354:SF11', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', NULL, NULL, NULL, 15),
(135759, NULL, 'PTHR48083:SF2', NULL, NULL, NULL, NULL, 'MEDIUM-CHAIN SPECIFIC ACYL-COA DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(135760, NULL, 'PTHR24339:SF47', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NOTOCHORD', NULL, NULL, NULL, 15),
(135761, NULL, 'PTHR11010:SF97', NULL, NULL, NULL, NULL, 'LYSOSOMAL PRO-X CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(135762, NULL, 'PTHR30613:SF1', NULL, NULL, NULL, NULL, 'DUF1479 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G09280)', NULL, NULL, NULL, 15),
(135763, NULL, 'PTHR18860:SF22', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN GAMMA', NULL, NULL, NULL, 15),
(135764, NULL, 'PTHR31048:SF120', NULL, NULL, NULL, NULL, 'OS03G0244200 PROTEIN', NULL, NULL, NULL, 15),
(135765, NULL, 'PTHR45642:SF61', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(135766, NULL, 'PTHR26452:SF29', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(135767, NULL, 'PTHR46128:SF83', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN PNM1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(135768, NULL, 'PTHR30283:SF4', NULL, NULL, NULL, NULL, 'PEROXIDE STRESS RESISTANCE PROTEIN YAAA', NULL, NULL, NULL, 15),
(135769, NULL, 'PTHR43389:SF4', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT B', NULL, NULL, NULL, 15),
(135770, NULL, 'PTHR34222:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135771, NULL, 'PTHR46268:SF12', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN UP12', NULL, NULL, NULL, 15),
(135772, NULL, 'PTHR27006:SF433', NULL, NULL, NULL, NULL, 'BNAC03G71060D PROTEIN', NULL, NULL, NULL, 15),
(135773, NULL, 'PTHR11188:SF150', NULL, NULL, NULL, NULL, 'PROTEIN LDB19', NULL, NULL, NULL, 15),
(135774, NULL, 'PTHR22761:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135775, NULL, 'PTHR35986:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(135776, NULL, 'PTHR11458:SF1', NULL, NULL, NULL, NULL, 'DELTA-AMINOLEVULINIC ACID DEHYDRATASE', NULL, NULL, NULL, 15),
(135777, NULL, 'PTHR43523:SF12', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE LARGE SUBUNIT 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(135778, NULL, 'PTHR14130:SF15', NULL, NULL, NULL, NULL, 'SI:CH211-114M9.1', NULL, NULL, NULL, 15),
(135779, NULL, 'PTHR47293:SF59', NULL, NULL, NULL, NULL, 'BNAANNG35670D PROTEIN', NULL, NULL, NULL, 15),
(135780, NULL, 'PTHR45735:SF4', NULL, NULL, NULL, NULL, 'OS06G0248200 PROTEIN', NULL, NULL, NULL, 15),
(135781, NULL, 'PTHR11134:SF11', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(135782, NULL, 'PTHR11835:SF69', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] REGULATORY SUBUNIT 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(135783, NULL, 'PTHR33974:SF10', NULL, NULL, NULL, NULL, 'OS04G0627300 PROTEIN', NULL, NULL, NULL, 15),
(135784, NULL, 'PTHR22923:SF89', NULL, NULL, NULL, NULL, 'CEREBELLIN 18', NULL, NULL, NULL, 15),
(135785, NULL, 'PTHR36892:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135786, NULL, 'PTHR26450:SF26', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 56B2-RELATED', NULL, NULL, NULL, 15),
(135787, NULL, 'PTHR32295:SF99', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(135788, NULL, 'PTHR15481:SF7', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN WITH SERINE RICH DOMAIN 1', NULL, NULL, NULL, 15),
(135789, NULL, 'PTHR45621:SF6', NULL, NULL, NULL, NULL, 'OS06G0703000 PROTEIN', NULL, NULL, NULL, 15),
(135790, NULL, 'PTHR14211', NULL, NULL, NULL, NULL, 'GLIOMA SUPPRESSOR CANDIDATE REGION GENE 2', NULL, NULL, 10712, 15),
(135791, NULL, 'PTHR34536:SF6', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135792, NULL, 'PTHR48104:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135793, NULL, 'PTHR48047:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135794, NULL, 'PTHR33448:SF2', NULL, NULL, NULL, NULL, 'OS02G0753400 PROTEIN', NULL, NULL, NULL, 15),
(135795, NULL, 'PTHR12673:SF254', NULL, NULL, NULL, NULL, 'RHOGEF DOMAIN-CONTAINING PROTEIN GXCH', NULL, NULL, NULL, 15),
(135796, NULL, 'PTHR43863', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03140)-RELATED', NULL, NULL, NULL, 15),
(135797, NULL, 'PTHR24282:SF217', NULL, NULL, NULL, NULL, 'SECOLOGANIN SYNTHASE', NULL, NULL, NULL, 15),
(135798, NULL, 'PTHR45867:SF7', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(135799, NULL, 'PTHR34541', NULL, NULL, NULL, NULL, 'OS01G0729900 PROTEIN', NULL, NULL, NULL, 15),
(135800, NULL, 'PTHR45811:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135801, NULL, 'PTHR44542:SF7', NULL, NULL, NULL, NULL, 'OS02G0157600 PROTEIN', NULL, NULL, NULL, 15),
(135802, NULL, 'PTHR31194:SF138', NULL, NULL, NULL, NULL, 'BNAC02G09020D PROTEIN', NULL, NULL, NULL, 15),
(135803, NULL, 'PTHR22663', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 37167, 15),
(135804, NULL, 'PTHR34191:SF4', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(135805, NULL, 'PTHR24115:SF934', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN SUBITO', NULL, NULL, NULL, 15),
(135806, NULL, 'PTHR31403:SF39', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IGAMMA1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(135807, NULL, 'PTHR16206:SF4', NULL, NULL, NULL, NULL, 'TARGET OF ERK KINASE MPK-1', NULL, NULL, NULL, 15),
(135808, NULL, 'PTHR10795:SF642', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135809, NULL, 'PTHR12092:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135810, NULL, 'PTHR10743:SF0', NULL, NULL, NULL, NULL, 'PROTEIN RER1', NULL, NULL, NULL, 15),
(135811, NULL, 'PTHR31036', NULL, NULL, NULL, NULL, 'FANCD2 OPPOSITE STRAND PROTEIN', NULL, NULL, 25186, 15),
(135812, NULL, 'PTHR38469:SF1', NULL, NULL, NULL, NULL, 'PERIPLASMIC PEPTIDASE SUBFAMILY S1B', NULL, NULL, NULL, 15),
(135813, NULL, 'PTHR24161:SF83', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(135814, NULL, 'PTHR23257:SF768', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE DDB_G0290471-RELATED', NULL, NULL, NULL, 15),
(135815, NULL, 'PTHR37880:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 54', NULL, NULL, NULL, 15),
(135816, NULL, 'PTHR10666:SF173', NULL, NULL, NULL, NULL, 'NEDD8', NULL, NULL, NULL, 15),
(135817, NULL, 'PTHR11527:SF273', NULL, NULL, NULL, NULL, '18.8 KDA CLASS II HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(135818, NULL, 'PTHR10293:SF64', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(135819, NULL, 'PTHR48063:SF34', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(135820, NULL, 'PTHR24055', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(135821, NULL, 'PTHR21596:SF66', NULL, NULL, NULL, NULL, 'BNAA06G16380D PROTEIN', NULL, NULL, NULL, 15),
(135822, NULL, 'PTHR11972:SF61', NULL, NULL, NULL, NULL, 'OS12G0541300 PROTEIN', NULL, NULL, NULL, 15),
(135823, NULL, 'PTHR43618', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135824, NULL, 'PTHR11624:SF102', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA', NULL, NULL, NULL, 15),
(135825, NULL, 'PTHR11405:SF52', NULL, NULL, NULL, NULL, 'ASPARTATE CARBAMOYLTRANSFERASE, CATALYTIC CHAIN', NULL, NULL, NULL, 15),
(135826, NULL, 'PTHR23322:SF22', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(135827, NULL, 'PTHR10869:SF140', NULL, NULL, NULL, NULL, 'OS03G0803500 PROTEIN', NULL, NULL, NULL, 15),
(135828, NULL, 'PTHR23226:SF196', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 73', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135829, NULL, 'PTHR24040', NULL, NULL, NULL, NULL, 'LAMININ G-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(135830, NULL, 'PTHR23155:SF1119', NULL, NULL, NULL, NULL, 'OS08G0246100 PROTEIN', NULL, NULL, NULL, 15),
(135831, NULL, 'PTHR12174:SF92', NULL, NULL, NULL, NULL, 'PA DOMAIN, PRESENILIN/SIGNAL PEPTIDE PEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(135832, NULL, 'PTHR46524:SF9', NULL, NULL, NULL, NULL, 'CW-TYPE ZINC FINGER', NULL, NULL, NULL, 15),
(135833, NULL, 'PTHR11594:SF10', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', NULL, NULL, NULL, 15),
(135834, NULL, 'PTHR31757:SF0', NULL, NULL, NULL, NULL, 'SLL0781 PROTEIN', NULL, NULL, NULL, 15),
(135835, NULL, 'PTHR10501:SF67', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(135836, NULL, 'PTHR42069:SF1', NULL, NULL, NULL, NULL, 'HYPHAL ANASTAMOSIS-8 PROTEIN', NULL, NULL, NULL, 15),
(135837, NULL, 'PTHR30602:SF13', NULL, NULL, NULL, NULL, 'AMINO-ACID ACETYLTRANSFERASE NAGS2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(135838, NULL, 'PTHR13507', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 10029, 15),
(135839, NULL, 'PTHR23068:SF10', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE 3A', NULL, NULL, 28320, 15),
(135840, NULL, 'PTHR18884:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135841, NULL, 'PTHR36312:SF9', NULL, NULL, NULL, NULL, 'BNACNNG31570D PROTEIN', NULL, NULL, NULL, 15),
(135842, NULL, 'PTHR31965:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 42', NULL, NULL, NULL, 15),
(135843, NULL, 'PTHR31675:SF30', NULL, NULL, NULL, NULL, 'AXIAL REGULATOR YABBY 2-RELATED', NULL, NULL, NULL, 15),
(135844, NULL, 'PTHR31245:SF23', NULL, NULL, NULL, NULL, 'UBA-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135845, NULL, 'PTHR33321:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135846, NULL, 'PTHR16073:SF10', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PLURIPOTENCY-ASSOCIATED PROTEIN 2', NULL, NULL, 31832, 15),
(135847, NULL, 'PTHR42893:SF8', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(135848, NULL, 'PTHR31104', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA-GLUCOSAMINYL)ASPARAGINE AMIDASE A PROTEIN', NULL, NULL, 15259, 15),
(135849, NULL, 'PTHR15384:SF0', NULL, NULL, NULL, NULL, 'PROTEIN EVI2B', NULL, NULL, NULL, 15),
(135850, NULL, 'PTHR43461', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 256', NULL, NULL, 2442, 15),
(135851, NULL, 'PTHR39383', NULL, NULL, NULL, NULL, 'PROTEIN CBG16996', NULL, NULL, NULL, 15),
(135852, NULL, 'PTHR15001:SF11', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN', NULL, NULL, NULL, 15),
(135853, NULL, 'PTHR12654:SF30', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE-LIKE', NULL, NULL, NULL, 15),
(135854, NULL, 'PTHR24092:SF182', NULL, NULL, NULL, NULL, 'P-TYPE ATPASE, SUBFAMILY IV, HAD-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135855, NULL, 'PTHR33124:SF67', NULL, NULL, NULL, NULL, 'BNAC04G52670D PROTEIN', NULL, NULL, NULL, 15),
(135856, NULL, 'PTHR11685:SF361', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARI8-RELATED', NULL, NULL, NULL, 15),
(135857, NULL, 'PTHR22912:SF217', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', NULL, NULL, NULL, 15),
(135858, NULL, 'PTHR19304:SF5', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR-2', NULL, NULL, NULL, 15),
(135859, NULL, 'PTHR11715:SF28', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(135860, NULL, 'PTHR31741:SF54', NULL, NULL, NULL, NULL, 'PROTEIN FRIABLE 1', NULL, NULL, NULL, 15),
(135861, NULL, 'PTHR33136:SF72', NULL, NULL, NULL, NULL, 'BNAA09G03850D PROTEIN', NULL, NULL, NULL, 15),
(135862, NULL, 'PTHR10934:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18', NULL, NULL, NULL, 15),
(135863, NULL, 'PTHR10641:SF961', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(135864, NULL, 'PTHR11599:SF53', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-8', NULL, NULL, 36166, 15),
(135865, NULL, 'PTHR12537:SF150', NULL, NULL, NULL, NULL, 'BNAC05G17480D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135866, NULL, 'PTHR23409:SF36', NULL, NULL, NULL, NULL, 'R2-LIKE LIGAND BINDING OXIDASE', NULL, NULL, NULL, 15),
(135867, NULL, 'PTHR33130:SF43', NULL, NULL, NULL, NULL, 'OS01G0688600 PROTEIN', NULL, NULL, NULL, 15),
(135868, NULL, 'PTHR45856:SF15', NULL, NULL, NULL, NULL, 'TRIGLYCERIDE LIPASE, PF01764-RELATED', NULL, NULL, NULL, 15),
(135869, NULL, 'PTHR13050:SF7', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN USE1', NULL, NULL, NULL, 15),
(135870, NULL, 'PTHR21493:SF250', NULL, NULL, NULL, NULL, 'GOLGI TRANSPORT 1BA', NULL, NULL, NULL, 15),
(135871, NULL, 'PTHR28251', NULL, NULL, NULL, NULL, 'V-TYPE ATPASE ASSEMBLY FACTOR PKR1', NULL, NULL, 8340, 15),
(135872, NULL, 'PTHR12628:SF17', NULL, NULL, NULL, NULL, 'BNAA01G07010D PROTEIN', NULL, NULL, NULL, 15),
(135873, NULL, 'PTHR31072:SF170', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP23', NULL, NULL, NULL, 15),
(135874, NULL, 'PTHR48092:SF23', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP I MEMBER 3', NULL, NULL, NULL, 15),
(135875, NULL, 'PTHR45956', NULL, NULL, NULL, NULL, 'RUN AND FYVE DOMAIN-CONTAINING PROTEIN 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(135876, NULL, 'PTHR48141:SF1', NULL, NULL, NULL, NULL, 'KINASE C, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(135877, NULL, 'PTHR48017:SF51', NULL, NULL, NULL, NULL, 'OSJNBA0072F16.7 PROTEIN', NULL, NULL, NULL, 15),
(135878, NULL, 'PTHR12789:SF3', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 22', NULL, NULL, NULL, 15),
(135879, NULL, 'PTHR24409:SF379', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIIA', NULL, NULL, NULL, 15),
(135880, NULL, 'PTHR21727', NULL, NULL, NULL, NULL, 'PHOSPHORYLATED CTD INTERACTING FACTOR 1', NULL, NULL, 29982, 15),
(135881, NULL, 'PTHR31803:SF7', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(135882, NULL, 'PTHR42647:SF10', NULL, NULL, NULL, NULL, 'F2G19.2', NULL, NULL, NULL, 15),
(135883, NULL, 'PTHR42939:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN ALBC-RELATED', NULL, NULL, NULL, 15),
(135884, NULL, 'PTHR43469:SF1', NULL, NULL, NULL, NULL, 'DISULFIDE FORMATION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135885, NULL, 'PTHR43991:SF31', NULL, NULL, NULL, NULL, 'BNAA10G10410D PROTEIN', NULL, NULL, NULL, 15),
(135886, NULL, 'PTHR23110:SF84', NULL, NULL, NULL, NULL, 'AGAP003685-PA', NULL, NULL, NULL, 15),
(135887, NULL, 'PTHR37197:SF2', NULL, NULL, NULL, NULL, 'F19K23.17 PROTEIN', NULL, NULL, NULL, 15),
(135888, NULL, 'PTHR12542:SF133', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(135889, NULL, 'PTHR24028:SF128', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-9', NULL, NULL, NULL, 15),
(135890, NULL, 'PTHR11654:SF448', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.4', NULL, NULL, NULL, 15),
(135891, NULL, 'PTHR46116:SF26', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 Z', NULL, NULL, NULL, 15),
(135892, NULL, 'PTHR34011:SF5', NULL, NULL, NULL, NULL, 'PHYCOBILISOME 32.1 KDA LINKER POLYPEPTIDE, PHYCOCYANIN-ASSOCIATED, ROD 2', NULL, NULL, NULL, 15),
(135893, NULL, 'PTHR24320:SF181', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR', NULL, NULL, NULL, 15),
(135894, NULL, 'PTHR47678:SF2', NULL, NULL, NULL, NULL, 'ZGC:123010', NULL, NULL, NULL, 15),
(135895, NULL, 'PTHR45967:SF7', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 16', NULL, NULL, NULL, 15),
(135896, NULL, 'PTHR46886', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR II', NULL, NULL, NULL, 15),
(135897, NULL, 'PTHR19432:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135898, NULL, 'PTHR19422', NULL, NULL, NULL, NULL, 'GAG RETROVIRAL POLYPROTEIN', NULL, NULL, NULL, 15),
(135899, NULL, 'PTHR30325', NULL, NULL, NULL, NULL, 'MEMBRANE COMPONENT OF ABC TRANSPORTER', NULL, NULL, NULL, 15),
(135900, NULL, 'PTHR21495:SF211', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(135901, NULL, 'PTHR21633:SF24', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN F5', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135902, NULL, 'PTHR11040:SF165', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 5-LIKE', NULL, NULL, NULL, 15),
(135903, NULL, 'PTHR47419:SF1', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', NULL, NULL, NULL, 15),
(135904, NULL, 'PTHR13462:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135905, NULL, 'PTHR22883:SF313', NULL, NULL, NULL, NULL, 'ZDHHC-TYPE PALMITOYLTRANSFERASE 4-RELATED', NULL, NULL, NULL, 15),
(135906, NULL, 'PTHR24414:SF148', NULL, NULL, NULL, NULL, 'BNAC08G11820D PROTEIN', NULL, NULL, NULL, 15),
(135907, NULL, 'PTHR23239:SF355', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135908, NULL, 'PTHR25465:SF17', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN/ISG15 LIGASE TRIM25', NULL, NULL, NULL, 15),
(135909, NULL, 'PTHR37534:SF27', NULL, NULL, NULL, NULL, 'SFGA', NULL, NULL, NULL, 15),
(135910, NULL, 'PTHR33913:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135911, NULL, 'PTHR30503', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 13022, 15),
(135912, NULL, 'PTHR34231', NULL, NULL, NULL, NULL, 'EXS-RELATED PROTEIN', NULL, NULL, NULL, 15),
(135913, NULL, 'PTHR24027:SF319', NULL, NULL, NULL, NULL, 'CADHERIN-1', NULL, NULL, 23372, 15),
(135914, NULL, 'PTHR47547', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135915, NULL, 'PTHR12673:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135916, NULL, 'PTHR47926:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135917, NULL, 'PTHR30290:SF34', NULL, NULL, NULL, NULL, 'ABC-TYPE DIPEPTIDE TRANSPORT SYSTEM PERIPLASMIC COMPONENT', NULL, NULL, NULL, 15),
(135918, NULL, 'PTHR11716:SF51', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(2)', NULL, NULL, NULL, 15),
(135919, NULL, 'PTHR33459:SF7', NULL, NULL, NULL, NULL, 'DD-GDCA PROTEIN', NULL, NULL, NULL, 15),
(135920, NULL, 'PTHR33177:SF47', NULL, NULL, NULL, NULL, 'BNAC02G02040D PROTEIN', NULL, NULL, NULL, 15),
(135921, NULL, 'PTHR24221:SF523', NULL, NULL, NULL, NULL, 'OS05G0137200 PROTEIN', NULL, NULL, NULL, 15),
(135922, NULL, 'PTHR47006:SF1', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 4', NULL, NULL, NULL, 15),
(135923, NULL, 'PTHR23054', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(135924, NULL, 'PTHR24379:SF101', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 791', NULL, NULL, NULL, 15),
(135925, NULL, 'PTHR46404:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE IOTA', NULL, NULL, NULL, 15),
(135926, NULL, 'PTHR12879:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135927, NULL, 'PTHR43391:SF53', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE 1B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(135928, NULL, 'PTHR22989:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG04469', NULL, NULL, NULL, 15),
(135929, NULL, 'PTHR11761:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23', NULL, NULL, NULL, 15),
(135930, NULL, 'PTHR11709:SF232', NULL, NULL, NULL, NULL, 'LACCASE 2, ISOFORM G', NULL, NULL, NULL, 15),
(135931, NULL, 'PTHR47354:SF2', NULL, NULL, NULL, NULL, 'PHENOXYBENZOATE DIOXYGENASE BETA SUBUNIT', NULL, NULL, NULL, 15),
(135932, NULL, 'PTHR18896:SF161', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(135933, NULL, 'PTHR22596:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG13641', NULL, NULL, NULL, 15),
(135934, NULL, 'PTHR33337:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135935, NULL, 'PTHR11017:SF207', NULL, NULL, NULL, NULL, 'SIMILAR TO PART OF DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(135936, NULL, 'PTHR11240:SF59', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T2 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(135937, NULL, 'PTHR21043:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ASSEMBLY OF RIBOSOMAL LARGE SUBUNIT PROTEIN 1', NULL, NULL, NULL, 15),
(135938, NULL, 'PTHR45768:SF7', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL65', NULL, NULL, NULL, 15),
(135939, NULL, 'PTHR23024:SF442', NULL, NULL, NULL, NULL, 'OS07G0162400 PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135940, NULL, 'PTHR46445:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF1296)-RELATED', NULL, NULL, NULL, 15),
(135941, NULL, 'PTHR33800:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135942, NULL, 'PTHR32285:SF166', NULL, NULL, NULL, NULL, 'PROTEIN ESKIMO 1-LIKE', NULL, NULL, NULL, 15),
(135943, NULL, 'PTHR31149:SF11', NULL, NULL, NULL, NULL, '187-KDA MICROTUBULE-ASSOCIATED PROTEIN AIR9', NULL, NULL, NULL, 15),
(135944, NULL, 'PTHR10989:SF16', NULL, NULL, NULL, NULL, 'AT02829P-RELATED', NULL, NULL, NULL, 15),
(135945, NULL, 'PTHR24281:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135946, NULL, 'PTHR43875:SF12', NULL, NULL, NULL, NULL, 'SN-GLYCEROL-3-PHOSPHATE IMPORT ATP-BINDING PROTEIN UGPC', NULL, NULL, 2876, 15),
(135947, NULL, 'PTHR26452:SF0', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(135948, NULL, 'PTHR10125:SF18', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR 4', NULL, NULL, NULL, 15),
(135949, NULL, 'PTHR11394:SF31', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 8', NULL, NULL, NULL, 15),
(135950, NULL, 'PTHR32361:SF9', NULL, NULL, NULL, NULL, 'FERRIC REDUCTASE TRANSMEMBRANE COMPONENT 3-RELATED', NULL, NULL, NULL, 15),
(135951, NULL, 'PTHR23034:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH PROTEIN 3', NULL, NULL, NULL, 15),
(135952, NULL, 'PTHR45436:SF9', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN', NULL, NULL, NULL, 15),
(135953, NULL, 'PTHR31300:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135954, NULL, 'PTHR31235:SF177', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(135955, NULL, 'PTHR43072:SF42', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE HLS1-LIKE-RELATED', NULL, NULL, NULL, 15),
(135956, NULL, 'PTHR11699:SF276', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ALDEHYDE DEHYDROGENASE ALDH2A', NULL, NULL, NULL, 15),
(135957, NULL, 'PTHR16943', NULL, NULL, NULL, NULL, '2-METHYLCITRATE DEHYDRATASE-RELATED', NULL, NULL, 2518, 15),
(135958, NULL, 'PTHR31175:SF59', NULL, NULL, NULL, NULL, 'BNAC03G59190D PROTEIN', NULL, NULL, NULL, 15),
(135959, NULL, 'PTHR23420:SF21', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', NULL, NULL, NULL, 15),
(135960, NULL, 'PTHR23086:SF34', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE TYPE-1 BETA', NULL, NULL, NULL, 15),
(135961, NULL, 'PTHR24056:SF438', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CAK1', NULL, NULL, NULL, 15),
(135962, NULL, 'PTHR31315:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SIP5', NULL, NULL, NULL, 15),
(135963, NULL, 'PTHR48018:SF67', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(135964, NULL, 'PTHR47294:SF5', NULL, NULL, NULL, NULL, 'OS09G0408550 PROTEIN', NULL, NULL, NULL, 15),
(135965, NULL, 'PTHR31444:SF44', NULL, NULL, NULL, NULL, 'BNAA07G25070D PROTEIN', NULL, NULL, NULL, 15),
(135966, NULL, 'PTHR47941:SF5', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(135967, NULL, 'PTHR31314:SF94', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135968, NULL, 'PTHR31115:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(135969, NULL, 'PTHR11711:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135970, NULL, 'PTHR31234:SF10', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN 1 CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(135971, NULL, 'PTHR46080:SF10', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(135972, NULL, 'PTHR46979:SF2', NULL, NULL, NULL, NULL, 'SORTING NEXIN-41', NULL, NULL, NULL, 15),
(135973, NULL, 'PTHR31636:SF221', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 8', NULL, NULL, 22771, 15),
(135974, NULL, 'PTHR47520:SF7', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(135975, NULL, 'PTHR11214:SF262', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(135976, NULL, 'PTHR31045:SF16', NULL, NULL, NULL, NULL, 'OS12G0109633 PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(135977, NULL, 'PTHR10681', NULL, NULL, NULL, NULL, 'THIOREDOXIN PEROXIDASE', NULL, NULL, NULL, 15),
(135978, NULL, 'PTHR45666:SF41', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(135979, NULL, 'PTHR48100:SF24', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE', NULL, NULL, NULL, 15),
(135980, NULL, 'PTHR45932:SF9', NULL, NULL, NULL, NULL, 'PATELLIN-1', NULL, NULL, NULL, 15),
(135981, NULL, 'PTHR24320:SF160', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(135982, NULL, 'PTHR35510:SF3', NULL, NULL, NULL, NULL, 'OS09G0494500 PROTEIN', NULL, NULL, NULL, 15),
(135983, NULL, 'PTHR10121:SF6', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT DELTA', NULL, NULL, NULL, 15),
(135984, NULL, 'PTHR35365:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135985, NULL, 'PTHR18866:SF33', NULL, NULL, NULL, NULL, 'METHYLCROTONOYL-COA CARBOXYLASE SUBUNIT ALPHA, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(135986, NULL, 'PTHR24056:SF496', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 11A-RELATED', NULL, NULL, NULL, 15),
(135987, NULL, 'PTHR44656:SF5', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE (SDR FAMILY) MEMBER 12', NULL, NULL, NULL, 15),
(135988, NULL, 'PTHR12317:SF37', NULL, NULL, NULL, NULL, 'ACYL-COA:DIACYLGLYCEROL ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(135989, NULL, 'PTHR10745:SF18', NULL, NULL, NULL, NULL, 'ORNITHINE CARBAMOYLTRANSFERASE CHLOROPLASTIC', NULL, NULL, NULL, 15),
(135990, NULL, 'PTHR11060:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135991, NULL, 'PTHR24247:SF134', NULL, NULL, NULL, NULL, 'OCTOPAMINE RECEPTOR OAMB', NULL, NULL, NULL, 15),
(135992, NULL, 'PTHR11699:SF102', NULL, NULL, NULL, NULL, 'RETINAL DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(135993, NULL, 'PTHR38455', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, 13520, 15),
(135994, NULL, 'PTHR21707:SF42', NULL, NULL, NULL, NULL, 'FLAGELLUM-ASSOCIATED COILED-COIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(135995, NULL, 'PTHR32227:SF287', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 12', NULL, NULL, NULL, 15),
(135996, NULL, 'PTHR46789:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN R1', NULL, NULL, NULL, 15),
(135997, NULL, 'PTHR23086:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135998, NULL, 'PTHR46288:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(135999, NULL, 'PTHR21234:SF41', NULL, NULL, NULL, NULL, 'OS01G0229800 PROTEIN', NULL, NULL, NULL, 15),
(136000, NULL, 'PTHR24103:SF578', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136001, NULL, 'PTHR47932:SF9', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136002, NULL, 'PTHR23177:SF73', NULL, NULL, NULL, NULL, 'PAK-BOX/P21-RHO-BINDING DOMAIN RHO GTPASE ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(136003, NULL, 'PTHR44140', NULL, NULL, NULL, NULL, 'LD25575P', NULL, NULL, NULL, 15),
(136004, NULL, 'PTHR48053:SF21', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(136005, NULL, 'PTHR46214:SF17', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH-RELATED', NULL, NULL, NULL, 15),
(136006, NULL, 'PTHR19432', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER', NULL, NULL, NULL, 15),
(136007, NULL, 'PTHR15503:SF27', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON-DERIVED PROTEIN PEG10', NULL, NULL, NULL, 15),
(136008, NULL, 'PTHR15224:SF5', NULL, NULL, NULL, NULL, 'BNAC04G00180D PROTEIN', NULL, NULL, NULL, 15),
(136009, NULL, 'PTHR10758:SF8', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 3-RELATED', NULL, NULL, NULL, 15),
(136010, NULL, 'PTHR22952:SF424', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(136011, NULL, 'PTHR23428:SF285', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-C/E/F/G/I', NULL, NULL, NULL, 15),
(136012, NULL, 'PTHR12021:SF11', NULL, NULL, NULL, NULL, 'THYMOSIN BETA-15A-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136013, NULL, 'PTHR21029', NULL, NULL, NULL, NULL, 'R-SEVEN BINDING PROTEIN (R7BP) HOMOLOG', NULL, NULL, 24138, 15),
(136014, NULL, 'PTHR23405:SF8', NULL, NULL, NULL, NULL, 'BNAA01G25050D PROTEIN', NULL, NULL, NULL, 15),
(136015, NULL, 'PTHR24320:SF207', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE TIC 32 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(136016, NULL, 'PTHR36414:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SUR7', NULL, NULL, NULL, 15),
(136017, NULL, 'PTHR34411:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136018, NULL, 'PTHR31080:SF201', NULL, NULL, NULL, NULL, 'BNAA06G35700D PROTEIN', NULL, NULL, NULL, 15),
(136019, NULL, 'PTHR31896:SF35', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(136020, NULL, 'PTHR30221:SF18', NULL, NULL, NULL, NULL, 'SLL0590 PROTEIN', NULL, NULL, NULL, 15),
(136021, NULL, 'PTHR31623:SF34', NULL, NULL, NULL, NULL, 'ACETYL-COA-BENZYLALCOHOL ACETYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(136022, NULL, 'PTHR31006:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CBG06921', NULL, NULL, NULL, 15),
(136023, NULL, 'PTHR27004:SF348', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(136024, NULL, 'PTHR37487', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136025, NULL, 'PTHR10784:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 6', NULL, NULL, NULL, 15),
(136026, NULL, 'PTHR11566:SF163', NULL, NULL, NULL, NULL, 'DYNAMIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(136027, NULL, 'PTHR11524:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136028, NULL, 'PTHR31623:SF40', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', NULL, NULL, NULL, 15),
(136029, NULL, 'PTHR11540:SF46', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(136030, NULL, 'PTHR48021:SF39', NULL, NULL, NULL, NULL, 'AGAP001236-PA', NULL, NULL, NULL, 15),
(136031, NULL, 'PTHR11662:SF26', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORT PROTEIN 1', NULL, NULL, NULL, 15),
(136032, NULL, 'PTHR22891:SF42', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 2C, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136033, NULL, 'PTHR10741:SF5', NULL, NULL, NULL, NULL, 'TRANSLIN-ASSOCIATED PROTEIN X', NULL, NULL, NULL, 15),
(136034, NULL, 'PTHR22792:SF126', NULL, NULL, NULL, NULL, 'ATP SYNTHASE, A SUBUNIT', NULL, NULL, NULL, 15),
(136035, NULL, 'PTHR11581:SF29', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', NULL, NULL, NULL, 15),
(136036, NULL, 'PTHR31042:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE BC10', NULL, NULL, NULL, 15),
(136037, NULL, 'PTHR23042:SF52', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR NUCLEAR TRANSLOCATOR-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(136038, NULL, 'PTHR47932:SF12', NULL, NULL, NULL, NULL, 'OS01G0153250 PROTEIN', NULL, NULL, NULL, 15),
(136039, NULL, 'PTHR24298:SF573', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 87 SUBFAMILY A POLYPEPTIDE 6', NULL, NULL, NULL, 15),
(136040, NULL, 'PTHR46185', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-1', NULL, NULL, NULL, 15),
(136041, NULL, 'PTHR43859:SF10', NULL, NULL, NULL, NULL, 'AMP-BINDING ENZYME FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(136042, NULL, 'PTHR45730:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136043, NULL, 'PTHR47488:SF14', NULL, NULL, NULL, NULL, 'BNAC07G33620D PROTEIN', NULL, NULL, NULL, 15),
(136044, NULL, 'PTHR15934:SF2', NULL, NULL, NULL, NULL, 'RNA 2'',3''-CYCLIC PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(136045, NULL, 'PTHR13683:SF795', NULL, NULL, NULL, NULL, 'BNAC03G48030D PROTEIN', NULL, NULL, NULL, 15),
(136046, NULL, 'PTHR24073:SF868', NULL, NULL, NULL, NULL, 'PROTEIN CBG04185', NULL, NULL, NULL, 15),
(136047, NULL, 'PTHR43572:SF48', NULL, NULL, NULL, NULL, 'BNAA02G35350D PROTEIN', NULL, NULL, NULL, 15),
(136048, NULL, 'PTHR34680:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(136049, NULL, 'PTHR31645:SF4', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL3', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136050, NULL, 'PTHR43650:SF20', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(136051, NULL, 'PTHR12356:SF25', NULL, NULL, NULL, NULL, 'PROTEIN BOBBER 2', NULL, NULL, NULL, 15),
(136052, NULL, 'PTHR33191:SF52', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN GRIP22', NULL, NULL, NULL, 15),
(136053, NULL, 'PTHR43131', NULL, NULL, NULL, NULL, 'DEHYDROGENASE', NULL, NULL, NULL, 15),
(136054, NULL, 'PTHR33052:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136055, NULL, 'PTHR31465:SF32', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136056, NULL, 'PTHR33065:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136057, NULL, 'PTHR10634:SF112', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 4', NULL, NULL, NULL, 15),
(136058, NULL, 'PTHR23266:SF286', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 7-4-1', NULL, NULL, NULL, 15),
(136059, NULL, 'PTHR10795:SF714', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.4', NULL, NULL, NULL, 15),
(136060, NULL, 'PTHR34841', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN V', NULL, NULL, NULL, 15),
(136061, NULL, 'PTHR22930:SF201', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(136062, NULL, 'PTHR24096:SF366', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 1', NULL, NULL, NULL, 15),
(136063, NULL, 'PTHR26374:SF361', NULL, NULL, NULL, NULL, 'OS03G0698300 PROTEIN', NULL, NULL, NULL, 15),
(136064, NULL, 'PTHR44259:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136065, NULL, 'PTHR11926:SF1427', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(136066, NULL, 'PTHR31907:SF13', NULL, NULL, NULL, NULL, 'MAJOR LATEX-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136067, NULL, 'PTHR35440:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 36', NULL, NULL, NULL, 15),
(136068, NULL, 'PTHR10744:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11', NULL, NULL, NULL, 15),
(136069, NULL, 'PTHR43804:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(136070, NULL, 'PTHR43791:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136071, NULL, 'PTHR20889:SF1', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE PHOSPHATASE PHOSPHO2', NULL, NULL, NULL, 15),
(136072, NULL, 'PTHR14005:SF4', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT A', NULL, NULL, NULL, 15),
(136073, NULL, 'PTHR12601:SF46', NULL, NULL, NULL, NULL, 'BNAA08G13880D PROTEIN', NULL, NULL, NULL, 15),
(136074, NULL, 'PTHR24376:SF173', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 544', NULL, NULL, NULL, 15),
(136075, NULL, 'PTHR34190:SF12', NULL, NULL, NULL, NULL, 'BNAA02G24680D PROTEIN', NULL, NULL, NULL, 15),
(136076, NULL, 'PTHR11730:SF58', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(136077, NULL, 'PTHR43775:SF21', NULL, NULL, NULL, NULL, 'NON-REDUCING POLYKETIDE SYNTHASE AUSA-RELATED', NULL, NULL, NULL, 15),
(136078, NULL, 'PTHR44170:SF1', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE-RELATED/DOWN-REGULATED BY ONCOGENES', NULL, NULL, 27008, 15),
(136079, NULL, 'PTHR10768:SF20', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', NULL, NULL, NULL, 15),
(136080, NULL, 'PTHR33044:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136081, NULL, 'PTHR24377:SF890', NULL, NULL, NULL, NULL, 'SI:DKEY-111K8.2-RELATED', NULL, NULL, NULL, 15),
(136082, NULL, 'PTHR33147:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136083, NULL, 'PTHR11662:SF424', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER 4, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(136084, NULL, 'PTHR43386:SF8', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(136085, NULL, 'PTHR14113:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PICCOLO', NULL, NULL, 23703, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136086, NULL, 'PTHR10281:SF74', NULL, NULL, NULL, NULL, 'MEMBRANE STEROID-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(136087, NULL, 'PTHR11960:SF55', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-1', NULL, NULL, NULL, 15),
(136088, NULL, 'PTHR36336:SF1', NULL, NULL, NULL, NULL, 'OS09G0560400 PROTEIN', NULL, NULL, NULL, 15),
(136089, NULL, 'PTHR32278:SF95', NULL, NULL, NULL, NULL, 'PHLOEM PROTEIN 2-B1', NULL, NULL, NULL, 15),
(136090, NULL, 'PTHR46224:SF6', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(136091, NULL, 'PTHR27001:SF20', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(136092, NULL, 'PTHR10352:SF35', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2A', NULL, NULL, NULL, 15),
(136093, NULL, 'PTHR48002:SF101', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4P4', NULL, NULL, NULL, 15),
(136094, NULL, 'PTHR31989:SF338', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136095, NULL, 'PTHR47977:SF6', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABD2A-LIKE', NULL, NULL, NULL, 15),
(136096, NULL, 'PTHR45621:SF187', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136097, NULL, 'PTHR32428:SF4', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 5', NULL, NULL, NULL, 15),
(136098, NULL, 'PTHR43107:SF6', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE FAMILY PROTEIN (CEFD1), PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03630)-RELATED', NULL, NULL, NULL, 15),
(136099, NULL, 'PTHR43557:SF14', NULL, NULL, NULL, NULL, 'BNAA02G29070D PROTEIN', NULL, NULL, NULL, 15),
(136100, NULL, 'PTHR31260:SF44', NULL, NULL, NULL, NULL, 'BNAA01G07080D PROTEIN', NULL, NULL, NULL, 15),
(136101, NULL, 'PTHR11260:SF520', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(136102, NULL, 'PTHR11207:SF5', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L44, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(136103, NULL, 'PTHR45735:SF11', NULL, NULL, NULL, NULL, 'PROTEIN PTI1', NULL, NULL, NULL, 15),
(136104, NULL, 'PTHR33332:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136105, NULL, 'PTHR31741', NULL, NULL, NULL, NULL, 'OS02G0726500 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136106, NULL, 'PTHR43888:SF28', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 2-RELATED', NULL, NULL, NULL, 15),
(136107, NULL, 'PTHR12794:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SINE1', NULL, NULL, NULL, 15),
(136108, NULL, 'PTHR31466:SF7', NULL, NULL, NULL, NULL, 'MCG1026354, ISOFORM CRA_A-RELATED', NULL, NULL, NULL, 15),
(136109, NULL, 'PTHR33065', NULL, NULL, NULL, NULL, 'OS07G0486400 PROTEIN', NULL, NULL, NULL, 15),
(136110, NULL, 'PTHR24305:SF113', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(136111, NULL, 'PTHR22599:SF57', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 2A', NULL, NULL, NULL, 15),
(136112, NULL, 'PTHR12912:SF10', NULL, NULL, NULL, NULL, 'BARRIER-TO-AUTOINTEGRATION FACTOR', NULL, NULL, NULL, 15),
(136113, NULL, 'PTHR39413:SF1', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 136', NULL, NULL, NULL, 15),
(136114, NULL, 'PTHR36503:SF2', NULL, NULL, NULL, NULL, 'BLR2408 PROTEIN', NULL, NULL, NULL, 15),
(136115, NULL, 'PTHR11864:SF25', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING PROTEIN 40B', NULL, NULL, NULL, 15),
(136116, NULL, 'PTHR31388:SF216', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(136117, NULL, 'PTHR43047', NULL, NULL, NULL, NULL, 'TWO-COMPONENT HISTIDINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(136118, NULL, 'PTHR20932:SF13', NULL, NULL, NULL, NULL, 'LYSM DOMAIN (PEPTIDOGLYCAN BINDING) PROTEIN', NULL, NULL, NULL, 15),
(136119, NULL, 'PTHR24223:SF415', NULL, NULL, NULL, NULL, 'MULTIDRUG-RESISTANCE LIKE PROTEIN 1, ISOFORM I', NULL, NULL, NULL, 15),
(136120, NULL, 'PTHR12974:SF48', NULL, NULL, NULL, NULL, 'SI:DKEY-181O6.1', NULL, NULL, NULL, 15),
(136121, NULL, 'PTHR33172:SF75', NULL, NULL, NULL, NULL, 'BNAC02G12160D PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136122, NULL, 'PTHR21228:SF9', NULL, NULL, NULL, NULL, 'FAST KINASE DOMAIN-CONTAINING PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(136123, NULL, 'PTHR30363:SF4', NULL, NULL, NULL, NULL, 'HEAT-INDUCIBLE TRANSCRIPTION REPRESSOR HRCA', NULL, NULL, NULL, 15),
(136124, NULL, 'PTHR31168:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136125, NULL, 'PTHR16932:SF25', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-INDUCIBLE PROTEIN 6', NULL, NULL, NULL, 15),
(136126, NULL, 'PTHR22943:SF247', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(136127, NULL, 'PTHR27003:SF284', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(136128, NULL, 'PTHR45707:SF54', NULL, NULL, NULL, NULL, 'FT-INTERACTING PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(136129, NULL, 'PTHR47985:SF53', NULL, NULL, NULL, NULL, 'BNACNNG03250D PROTEIN', NULL, NULL, NULL, 15),
(136130, NULL, 'PTHR46806:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136131, NULL, 'PTHR22894:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF170-LIKE PROTEIN (DUF 1232)', NULL, NULL, NULL, 15),
(136132, NULL, 'PTHR11252:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136133, NULL, 'PTHR33177:SF44', NULL, NULL, NULL, NULL, 'F3O9.30', NULL, NULL, NULL, 15),
(136134, NULL, 'PTHR45614:SF164', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(136135, NULL, 'PTHR11388:SF107', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 1B7-RELATED', NULL, NULL, NULL, 15),
(136136, NULL, 'PTHR24296:SF202', NULL, NULL, NULL, NULL, 'BNAA09G15100D PROTEIN', NULL, NULL, NULL, 15),
(136137, NULL, 'PTHR22792:SF134', NULL, NULL, NULL, NULL, 'BNACNNG57490D PROTEIN', NULL, NULL, NULL, 15),
(136138, NULL, 'PTHR32444:SF77', NULL, NULL, NULL, NULL, 'OS11G0208700 PROTEIN', NULL, NULL, NULL, 15),
(136139, NULL, 'PTHR46195:SF2', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 7', NULL, NULL, NULL, 15),
(136140, NULL, 'PTHR43353:SF9', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(136141, NULL, 'PTHR15107', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA BINDING PROTEIN 8', NULL, NULL, 34132, 15),
(136142, NULL, 'PTHR10744:SF37', NULL, NULL, NULL, NULL, 'BNAA06G38660D PROTEIN', NULL, NULL, NULL, 15),
(136143, NULL, 'PTHR43895:SF57', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(136144, NULL, 'PTHR22847:SF700', NULL, NULL, NULL, NULL, 'COMPASS-LIKE H3K4 HISTONE METHYLASE COMPONENT WDR5A', NULL, NULL, NULL, 15),
(136145, NULL, 'PTHR14136:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136146, NULL, 'PTHR19290:SF104', NULL, NULL, NULL, NULL, 'GH17679P', NULL, NULL, NULL, 15),
(136147, NULL, 'PTHR46740:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DYAD', NULL, NULL, NULL, 15),
(136148, NULL, 'PTHR45768:SF61', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF13-LIKE', NULL, NULL, NULL, 15),
(136149, NULL, 'PTHR30128:SF53', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A2', NULL, NULL, NULL, 15),
(136150, NULL, 'PTHR11908:SF140', NULL, NULL, NULL, NULL, 'ABSCISIC-ALDEHYDE OXIDASE-RELATED', NULL, NULL, NULL, 15),
(136151, NULL, 'PTHR42920:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136152, NULL, 'PTHR43159:SF6', NULL, NULL, NULL, NULL, 'ENOYL-ACYL-CARRIER REDUCTASE', NULL, NULL, NULL, 15),
(136153, NULL, 'PTHR30480:SF14', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13770)-RELATED', NULL, NULL, NULL, 15),
(136154, NULL, 'PTHR23151:SF87', NULL, NULL, NULL, NULL, 'DIHYDROLIPOAMIDE ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX', NULL, NULL, NULL, 15),
(136155, NULL, 'PTHR10113:SF10', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1', NULL, NULL, NULL, 15),
(136156, NULL, 'PTHR10426:SF86', NULL, NULL, NULL, NULL, 'OS09G0374900 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136157, NULL, 'PTHR30309', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YGIH', NULL, NULL, 6465, 15),
(136158, NULL, 'PTHR13935:SF121', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', NULL, NULL, NULL, 15),
(136159, NULL, 'PTHR43830:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136160, NULL, 'PTHR45876:SF11', NULL, NULL, NULL, NULL, 'MENTAL RETARDATION GTPASE ACTIVATING PROTEIN HOMOLOG 3-RELATED', NULL, NULL, NULL, 15),
(136161, NULL, 'PTHR12878:SF5', NULL, NULL, NULL, NULL, 'BNAANNG07980D PROTEIN', NULL, NULL, NULL, 15),
(136162, NULL, 'PTHR12224:SF17', NULL, NULL, NULL, NULL, 'BETA-1,4-MANNOSYL-GLYCOPROTEIN BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE, FAMILY GT17', NULL, NULL, NULL, 15),
(136163, NULL, 'PTHR46777:SF8', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136164, NULL, 'PTHR24106:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136165, NULL, 'PTHR33085:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136166, NULL, 'PTHR46587:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(136167, NULL, 'PTHR46477:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136168, NULL, 'PTHR34340:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136169, NULL, 'PTHR30409:SF3', NULL, NULL, NULL, NULL, 'CARBAMATE KINASE', NULL, NULL, NULL, 15),
(136170, NULL, 'PTHR12864:SF57', NULL, NULL, NULL, NULL, 'SPLA/RYANODINE RECEPTOR (SPRY) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(136171, NULL, 'PTHR10366:SF603', NULL, NULL, NULL, NULL, 'OS05G0578500 PROTEIN', NULL, NULL, NULL, 15),
(136172, NULL, 'PTHR32556:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136173, NULL, 'PTHR23117:SF20', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION PROTEIN ZO-3-RELATED', NULL, NULL, NULL, 15),
(136174, NULL, 'PTHR23155:SF931', NULL, NULL, NULL, NULL, 'OS01G0547000 PROTEIN', NULL, NULL, NULL, 15),
(136175, NULL, 'PTHR27002:SF780', NULL, NULL, NULL, NULL, 'OS01G0783800 PROTEIN', NULL, NULL, NULL, 15),
(136176, NULL, 'PTHR24559:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136177, NULL, 'PTHR11831:SF4', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN NAM9, MITOCHONDRIAL', NULL, NULL, 3936, 15),
(136178, NULL, 'PTHR46031:SF17', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136179, NULL, 'PTHR27007:SF244', NULL, NULL, NULL, NULL, 'OS10G0533800 PROTEIN', NULL, NULL, NULL, 15),
(136180, NULL, 'PTHR46602:SF8', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P-RELATED', NULL, NULL, NULL, 15),
(136181, NULL, 'PTHR34367:SF5', NULL, NULL, NULL, NULL, 'BNAC03G70300D PROTEIN', NULL, NULL, NULL, 15),
(136182, NULL, 'PTHR31580:SF33', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 7 ISOFORM X1', NULL, NULL, NULL, 15),
(136183, NULL, 'PTHR20905:SF17', NULL, NULL, NULL, NULL, 'AANAT (ARYLALKYLAMINE N-ACETYLTRANSFERASE) HOMOLOG', NULL, NULL, NULL, 15),
(136184, NULL, 'PTHR18945:SF524', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', NULL, NULL, NULL, 15),
(136185, NULL, 'PTHR39085:SF1', NULL, NULL, NULL, NULL, 'SLL0924 PROTEIN', NULL, NULL, NULL, 15),
(136186, NULL, 'PTHR23267:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136187, NULL, 'PTHR32251:SF21', NULL, NULL, NULL, NULL, 'DUF1295 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G02670)', NULL, NULL, NULL, 15),
(136188, NULL, 'PTHR14095:SF18', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136189, NULL, 'PTHR43085:SF39', NULL, NULL, NULL, NULL, 'FRUCTOKINASE', NULL, NULL, NULL, 15),
(136190, NULL, 'PTHR34671:SF21', NULL, NULL, NULL, NULL, 'SMALL HYDROPHILIC PLANT SEED PROTEIN', NULL, NULL, NULL, 15),
(136191, NULL, 'PTHR17408:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136192, NULL, 'PTHR11451:SF38', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE 2, CYTOPLASMIC', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136193, NULL, 'PTHR32370:SF142', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(136194, NULL, 'PTHR40389', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136195, NULL, 'PTHR11839:SF15', NULL, NULL, NULL, NULL, 'URIDINE DIPHOSPHATE GLUCOSE PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(136196, NULL, 'PTHR47992:SF88', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C ABI2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(136197, NULL, 'PTHR45909:SF2', NULL, NULL, NULL, NULL, 'OS07G0620400 PROTEIN', NULL, NULL, NULL, 15),
(136198, NULL, 'PTHR24118:SF51', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA 3 PROTEIN', NULL, NULL, NULL, 15),
(136199, NULL, 'PTHR45666:SF11', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE-5-PHOSPHATASE-LIKE', NULL, NULL, NULL, 15),
(136200, NULL, 'PTHR45618:SF40', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DICARBOXYLATE/TRICARBOXYLATE TRANSPORTER DTC-LIKE', NULL, NULL, NULL, 15),
(136201, NULL, 'PTHR42825:SF12', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(136202, NULL, 'PTHR20371', NULL, NULL, NULL, NULL, 'ENOLASE-PHOSPHATASE E1', NULL, NULL, NULL, 15),
(136203, NULL, 'PTHR28494:SF1', NULL, NULL, NULL, NULL, 'UPF0600 PROTEIN C5ORF51', NULL, NULL, NULL, 15),
(136204, NULL, 'PTHR30450:SF8', NULL, NULL, NULL, NULL, 'D-METHIONINE TRANSPORT SYSTEM PERMEASE PROTEIN METI', NULL, NULL, NULL, 15),
(136205, NULL, 'PTHR46779:SF3', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(136206, NULL, 'PTHR22844:SF361', NULL, NULL, NULL, NULL, 'VEGETATIVE INCOMPATIBILITY PROTEIN HET-E-1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(136207, NULL, 'PTHR31365:SF12', NULL, NULL, NULL, NULL, 'OS01G0179300 PROTEIN', NULL, NULL, NULL, 15),
(136208, NULL, 'PTHR40114:SF1', NULL, NULL, NULL, NULL, 'SLR0698 PROTEIN', NULL, NULL, NULL, 15),
(136209, NULL, 'PTHR34193:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136210, NULL, 'PTHR28638:SF2', NULL, NULL, NULL, NULL, 'CELL CYCLE PROGRESSION PROTEIN 1', NULL, NULL, 31629, 15),
(136211, NULL, 'PTHR12411:SF714', NULL, NULL, NULL, NULL, 'CATHEPSIN B', NULL, NULL, NULL, 15),
(136212, NULL, 'PTHR42859:SF3', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT B', NULL, NULL, 15631, 15),
(136213, NULL, 'PTHR32021:SF35', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(136214, NULL, 'PTHR46376:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-ZIPPER-LIKE TRANSCRIPTIONAL REGULATOR 1', NULL, NULL, NULL, 15),
(136215, NULL, 'PTHR31300:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136216, NULL, 'PTHR10809:SF130', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 1-2-LIKE', NULL, NULL, NULL, 15),
(136217, NULL, 'PTHR30469:SF33', NULL, NULL, NULL, NULL, 'EFFLUX PROTEIN', NULL, NULL, NULL, 15),
(136218, NULL, 'PTHR47979:SF4', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN YPT3', NULL, NULL, NULL, 15),
(136219, NULL, 'PTHR33735:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136220, NULL, 'PTHR21502:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN DZIP1', NULL, NULL, NULL, 15),
(136221, NULL, 'PTHR30504:SF3', NULL, NULL, NULL, NULL, 'GLUCANS BIOSYNTHESIS PROTEIN D', NULL, NULL, NULL, 15),
(136222, NULL, 'PTHR12507', NULL, NULL, NULL, NULL, 'REDUCED GROWTH PHENOTYPE 1  RGP1, YEAST -RELATED', NULL, NULL, 11566, 15),
(136223, NULL, 'PTHR21227:SF2', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN2-1-LIKE', NULL, NULL, NULL, 15),
(136224, NULL, 'PTHR45644:SF2', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(136225, NULL, 'PTHR23502:SF21', NULL, NULL, NULL, NULL, 'DITYROSINE TRANSPORTER 1', NULL, NULL, NULL, 15),
(136226, NULL, 'PTHR21737:SF19', NULL, NULL, NULL, NULL, 'BNAC05G02180D PROTEIN', NULL, NULL, NULL, 15),
(136227, NULL, 'PTHR16134:SF93', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(136228, NULL, 'PTHR18966:SF496', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136229, NULL, 'PTHR31429:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136230, NULL, 'PTHR18968:SF133', NULL, NULL, NULL, NULL, 'BENZOYLFORMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(136231, NULL, 'PTHR31986', NULL, NULL, NULL, NULL, 'REGULATOR OF DRUG SENSITIVITY 2', NULL, NULL, NULL, 15),
(136232, NULL, 'PTHR27007:SF193', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VII.1', NULL, NULL, NULL, 15),
(136233, NULL, 'PTHR46446:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE2', NULL, NULL, NULL, 15),
(136234, NULL, 'PTHR28242', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 36938, 15),
(136235, NULL, 'PTHR11615:SF124', NULL, NULL, NULL, NULL, 'NUCLEAR PRELAMIN A RECOGNITION FACTOR', NULL, NULL, NULL, 15),
(136236, NULL, 'PTHR30135:SF3', NULL, NULL, NULL, NULL, 'GLUCONEOGENESIS FACTOR-RELATED', NULL, NULL, NULL, 15),
(136237, NULL, 'PTHR32278:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136238, NULL, 'PTHR11920:SF483', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', NULL, NULL, NULL, 15),
(136239, NULL, 'PTHR10316:SF41', NULL, NULL, NULL, NULL, 'MAGI FAMILY MEMBER, X-LINKED A', NULL, NULL, NULL, 15),
(136240, NULL, 'PTHR19303:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136241, NULL, 'PTHR10829:SF12', NULL, NULL, NULL, NULL, 'DREBRIN-LIKE PROTEIN', NULL, NULL, 26406, 15),
(136242, NULL, 'PTHR47992:SF101', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', NULL, NULL, NULL, 15),
(136243, NULL, 'PTHR27008:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136244, NULL, 'PTHR24377:SF878', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 866', NULL, NULL, NULL, 15),
(136245, NULL, 'PTHR31155:SF21', NULL, NULL, NULL, NULL, 'STEAROYL-ACYL-CARRIER-PROTEIN DESATURASE8', NULL, NULL, NULL, 15),
(136246, NULL, 'PTHR45752:SF48', NULL, NULL, NULL, NULL, 'MALIGNANT FIBROUS HISTIOCYTOMA-AMPLIFIED SEQUENCE 1', NULL, NULL, NULL, 15),
(136247, NULL, 'PTHR10127:SF828', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(136248, NULL, 'PTHR16296:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 126A', NULL, NULL, NULL, 15),
(136249, NULL, 'PTHR23240', NULL, NULL, NULL, NULL, 'DNA CROSS-LINK REPAIR PROTEIN PSO2/SNM1-RELATED', NULL, NULL, NULL, 15),
(136250, NULL, 'PTHR12889:SF6', NULL, NULL, NULL, NULL, 'BNAANNG37220D PROTEIN', NULL, NULL, NULL, 15),
(136251, NULL, 'PTHR33573:SF17', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4D1', NULL, NULL, NULL, 15),
(136252, NULL, 'PTHR10829:SF1', NULL, NULL, NULL, NULL, 'DREBRIN', NULL, NULL, 28703, 15),
(136253, NULL, 'PTHR31675:SF6', NULL, NULL, NULL, NULL, 'AXIAL REGULATOR YABBY 5', NULL, NULL, NULL, 15),
(136254, NULL, 'PTHR21690:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG10596', NULL, NULL, NULL, 15),
(136255, NULL, 'PTHR22996:SF0', NULL, NULL, NULL, NULL, 'LP12254P-RELATED', NULL, NULL, NULL, 15),
(136256, NULL, 'PTHR23429:SF7', NULL, NULL, NULL, NULL, 'GDH/6PGL ENDOPLASMIC BIFUNCTIONAL PROTEIN', NULL, NULL, NULL, 15),
(136257, NULL, 'PTHR45754:SF5', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE', NULL, NULL, NULL, 15),
(136258, NULL, 'PTHR22812:SF146', NULL, NULL, NULL, NULL, 'CHROMO DOMAIN-CONTAINING PROTEIN CEC-3', NULL, NULL, NULL, 15),
(136259, NULL, 'PTHR45647:SF84', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 52-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(136260, NULL, 'PTHR27002:SF840', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136261, NULL, 'PTHR23222:SF27', NULL, NULL, NULL, NULL, 'BNAC05G02140D PROTEIN', NULL, NULL, NULL, 15),
(136262, NULL, 'PTHR24055:SF172', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 9', NULL, NULL, NULL, 15),
(136263, NULL, 'PTHR12725:SF115', NULL, NULL, NULL, NULL, 'BNAA10G12490D PROTEIN', NULL, NULL, NULL, 15),
(136264, NULL, 'PTHR45900', NULL, NULL, NULL, NULL, 'RECA', NULL, NULL, 7617, 15),
(136265, NULL, 'PTHR33874:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136266, NULL, 'PTHR28616', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 125', NULL, NULL, 11807, 15),
(136267, NULL, 'PTHR10166:SF59', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL SUBUNIT ALPHA-2/DELTA-4', NULL, NULL, NULL, 15),
(136268, NULL, 'PTHR36033:SF1', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING PROTEINS SUPERFAMILY', NULL, NULL, NULL, 15),
(136269, NULL, 'PTHR47991:SF100', NULL, NULL, NULL, NULL, 'THEBAINE 6-O-DEMETHYLASE-LIKE', NULL, NULL, NULL, 15),
(136270, NULL, 'PTHR32134:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136271, NULL, 'PTHR11685:SF223', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(136272, NULL, 'PTHR11309:SF79', NULL, NULL, NULL, NULL, 'FRIZZLED-9', NULL, NULL, NULL, 15),
(136273, NULL, 'PTHR23514', NULL, NULL, NULL, NULL, 'BYPASS OF STOP CODON PROTEIN 6', NULL, NULL, NULL, 15),
(136274, NULL, 'PTHR24327:SF76', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NANOG', NULL, NULL, NULL, 15),
(136275, NULL, 'PTHR32305:SF11', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING TOXIN VGRG1', NULL, NULL, NULL, 15),
(136276, NULL, 'PTHR12652:SF42', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11 HOMOLOG', NULL, NULL, NULL, 15),
(136277, NULL, 'PTHR31627:SF41', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(136278, NULL, 'PTHR42979:SF4', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(136279, NULL, 'PTHR15284', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR INTERLEUKIN-3-REGULATED PROTEIN', NULL, NULL, NULL, 15),
(136280, NULL, 'PTHR11609:SF13', NULL, NULL, NULL, NULL, 'BNAA03G17360D PROTEIN', NULL, NULL, NULL, 15),
(136281, NULL, 'PTHR23105:SF164', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10A-3', NULL, NULL, NULL, 15),
(136282, NULL, 'PTHR11073:SF41', NULL, NULL, NULL, NULL, 'CALRETICULIN', NULL, NULL, NULL, 15),
(136283, NULL, 'PTHR48010:SF56', NULL, NULL, NULL, NULL, 'OS02G0157000 PROTEIN', NULL, NULL, NULL, 15),
(136284, NULL, 'PTHR24281:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136285, NULL, 'PTHR26452:SF264', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(136286, NULL, 'PTHR31234:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136287, NULL, 'PTHR14068:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT B', NULL, NULL, NULL, 15),
(136288, NULL, 'PTHR31342:SF49', NULL, NULL, NULL, NULL, 'BNAA03G58190D PROTEIN', NULL, NULL, NULL, 15),
(136289, NULL, 'PTHR37015:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136290, NULL, 'PTHR47332:SF4', NULL, NULL, NULL, NULL, 'SET DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(136291, NULL, 'PTHR12791:SF31', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(136292, NULL, 'PTHR31722:SF55', NULL, NULL, NULL, NULL, 'BNAC05G34970D PROTEIN', NULL, NULL, NULL, 15),
(136293, NULL, 'PTHR46024:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETDB1', NULL, NULL, NULL, 15),
(136294, NULL, 'PTHR10527:SF80', NULL, NULL, NULL, NULL, 'YALI0D06820P', NULL, NULL, NULL, 15),
(136295, NULL, 'PTHR46610:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136296, NULL, 'PTHR42884:SF13', NULL, NULL, NULL, NULL, 'NEUROENDOCRINE CONVERTASE 2', NULL, NULL, NULL, 15),
(136297, NULL, 'PTHR23192:SF80', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN 2B', NULL, NULL, NULL, 15),
(136298, NULL, 'PTHR10562:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136299, NULL, 'PTHR46339:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG06944', NULL, NULL, NULL, 15),
(136300, NULL, 'PTHR45757:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG20085', NULL, NULL, NULL, 15),
(136301, NULL, 'PTHR24403:SF52', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE ZNF451', NULL, NULL, NULL, 15),
(136302, NULL, 'PTHR24414:SF98', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP4', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136303, NULL, 'PTHR45886:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG16587', NULL, NULL, NULL, 15),
(136304, NULL, 'PTHR27004:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136305, NULL, 'PTHR48048:SF32', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(136306, NULL, 'PTHR37187:SF9', NULL, NULL, NULL, NULL, 'BNAA03G48470D PROTEIN', NULL, NULL, NULL, 15),
(136307, NULL, 'PTHR43790:SF6', NULL, NULL, NULL, NULL, 'ARABINOSE IMPORT ATP-BINDING PROTEIN ARAG', NULL, NULL, 13054, 15),
(136308, NULL, 'PTHR12002:SF42', NULL, NULL, NULL, NULL, 'CLAUDIN-9', NULL, NULL, 7090, 15),
(136309, NULL, 'PTHR33198:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136310, NULL, 'PTHR34269:SF14', NULL, NULL, NULL, NULL, 'BNACNNG67860D PROTEIN', NULL, NULL, NULL, 15),
(136311, NULL, 'PTHR18966:SF109', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, DELTA-2', NULL, NULL, NULL, 15),
(136312, NULL, 'PTHR24403:SF81', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 518A', NULL, NULL, 24294, 15),
(136313, NULL, 'PTHR31601', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S36, MITOCHONDRIAL', NULL, NULL, 20076, 15),
(136314, NULL, 'PTHR47180', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-BINDING PROTEIN GGA1-RELATED', NULL, NULL, NULL, 15),
(136315, NULL, 'PTHR23319:SF13', NULL, NULL, NULL, NULL, 'AGAP002732-PA', NULL, NULL, NULL, 15),
(136316, NULL, 'PTHR33830:SF10', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 118-RELATED', NULL, NULL, NULL, 15),
(136317, NULL, 'PTHR10621:SF38', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN 7SL RNA1-RELATED', NULL, NULL, NULL, 15),
(136318, NULL, 'PTHR43271:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YNFM', NULL, NULL, NULL, 15),
(136319, NULL, 'PTHR11705:SF65', NULL, NULL, NULL, NULL, 'MAST CELL CARBOXYPEPTIDASE A', NULL, NULL, NULL, 15),
(136320, NULL, 'PTHR10288:SF154', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 52', NULL, NULL, NULL, 15),
(136321, NULL, 'PTHR11746:SF229', NULL, NULL, NULL, NULL, 'ISOFLAVONE-7-O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(136322, NULL, 'PTHR24031:SF221', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-I', NULL, NULL, NULL, 15),
(136323, NULL, 'PTHR10658:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CBG22145', NULL, NULL, NULL, 15),
(136324, NULL, 'PTHR32141:SF50', NULL, NULL, NULL, NULL, 'OS01G0596300 PROTEIN', NULL, NULL, NULL, 15),
(136325, NULL, 'PTHR40620', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN CRD2, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G04318)-RELATED', NULL, NULL, NULL, 15),
(136326, NULL, 'PTHR32282:SF15', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 1C', NULL, NULL, NULL, 15),
(136327, NULL, 'PTHR24072:SF247', NULL, NULL, NULL, NULL, 'RIF PROTEIN', NULL, NULL, NULL, 15),
(136328, NULL, 'PTHR10791:SF178', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(136329, NULL, 'PTHR31790:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136330, NULL, 'PTHR13710:SF128', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE Q-LIKE 4A', NULL, NULL, NULL, 15),
(136331, NULL, 'PTHR44329:SF75', NULL, NULL, NULL, NULL, 'KINASE LIKE PROTEIN', NULL, NULL, NULL, 15),
(136332, NULL, 'PTHR19297:SF7', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYL-O-GLYCOSYL-GLYCOPROTEIN BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(136333, NULL, 'PTHR35632:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136334, NULL, 'PTHR31225:SF114', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 10-LIKE', NULL, NULL, NULL, 15),
(136335, NULL, 'PTHR31509:SF105', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED IMPAIRED RESPONSE 1-LIKE', NULL, NULL, NULL, 15),
(136336, NULL, 'PTHR11017:SF373', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136337, NULL, 'PTHR33428', NULL, NULL, NULL, NULL, 'CHLOROPHYLLASE-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(136338, NULL, 'PTHR22930:SF199', NULL, NULL, NULL, NULL, 'NUCLEASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136339, NULL, 'PTHR11430:SF120', NULL, NULL, NULL, NULL, 'GENE 13539-RELATED', NULL, NULL, NULL, 15),
(136340, NULL, 'PTHR31190:SF260', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF094', NULL, NULL, NULL, 15),
(136341, NULL, 'PTHR31210:SF63', NULL, NULL, NULL, NULL, 'LYSINE KETOGLUTARATE REDUCTASE TRANS-SPLICING RELATED 1-LIKE', NULL, NULL, NULL, 15),
(136342, NULL, 'PTHR31675:SF22', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 1', NULL, NULL, NULL, 15),
(136343, NULL, 'PTHR10528:SF15', NULL, NULL, NULL, NULL, 'AF4/FMR2 FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(136344, NULL, 'PTHR11654:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136345, NULL, 'PTHR23033', NULL, NULL, NULL, NULL, 'BETA1,3-GALACTOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(136346, NULL, 'PTHR12646:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136347, NULL, 'PTHR14042:SF23', NULL, NULL, NULL, NULL, 'PROTEIN DOPEY-2', NULL, NULL, NULL, 15),
(136348, NULL, 'PTHR30505:SF0', NULL, NULL, NULL, NULL, 'FRUCTOSE-LIKE PERMEASE IIC COMPONENT 1-RELATED', NULL, NULL, NULL, 15),
(136349, NULL, 'PTHR31265:SF40', NULL, NULL, NULL, NULL, 'BNAC02G48660D PROTEIN', NULL, NULL, NULL, 15),
(136350, NULL, 'PTHR31985:SF198', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF017-LIKE', NULL, NULL, NULL, 15),
(136351, NULL, 'PTHR43601:SF21', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(136352, NULL, 'PTHR48021:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136353, NULL, 'PTHR12352:SF3', NULL, NULL, NULL, NULL, 'NIDOGEN-2', NULL, NULL, NULL, 15),
(136354, NULL, 'PTHR12121:SF36', NULL, NULL, NULL, NULL, 'DNASE I-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(136355, NULL, 'PTHR46137:SF10', NULL, NULL, NULL, NULL, 'NC DOMAIN-CONTAINING-RELATED-LIKE PROTEIN', NULL, NULL, NULL, 15),
(136356, NULL, 'PTHR10869:SF182', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE', NULL, NULL, NULL, 15),
(136357, NULL, 'PTHR35871', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(136358, NULL, 'PTHR33021:SF218', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(136359, NULL, 'PTHR40412', NULL, NULL, NULL, NULL, 'SF-ASSEMBLIN', NULL, NULL, 7845, 15),
(136360, NULL, 'PTHR33022:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136361, NULL, 'PTHR23155:SF1076', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136362, NULL, 'PTHR23024:SF385', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136363, NULL, 'PTHR32014', NULL, NULL, NULL, NULL, 'BCL-2-MODIFYING FACTOR', NULL, NULL, 23347, 15),
(136364, NULL, 'PTHR11706:SF3', NULL, NULL, NULL, NULL, 'METAL ION TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136365, NULL, 'PTHR31509:SF110', NULL, NULL, NULL, NULL, 'BNAA09G00030D PROTEIN', NULL, NULL, NULL, 15),
(136366, NULL, 'PTHR18919:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136367, NULL, 'PTHR24221:SF562', NULL, NULL, NULL, NULL, 'BNAC09G18000D PROTEIN', NULL, NULL, NULL, 15),
(136368, NULL, 'PTHR24055:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136369, NULL, 'PTHR33670:SF17', NULL, NULL, NULL, NULL, 'BNAA03G51870D PROTEIN', NULL, NULL, NULL, 15),
(136370, NULL, 'PTHR44115:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG09704', NULL, NULL, NULL, 15),
(136371, NULL, 'PTHR45989', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(136372, NULL, 'PTHR13351:SF1', NULL, NULL, NULL, NULL, 'RENIN RECEPTOR', NULL, NULL, NULL, 15),
(136373, NULL, 'PTHR45636:SF5', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-6-RELATED', NULL, NULL, NULL, 15),
(136374, NULL, 'PTHR46830', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136375, NULL, 'PTHR31500:SF76', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 13-LIKE ISOFORM X1', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136376, NULL, 'PTHR48013:SF6', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE MKK1/SSP32-RELATED', NULL, NULL, NULL, 15),
(136377, NULL, 'PTHR12306:SF15', NULL, NULL, NULL, NULL, 'DNAATION FACTOR-RELATED PROTEIN 1, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(136378, NULL, 'PTHR13068:SF117', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF5, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(136379, NULL, 'PTHR15344:SF8', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC691418', NULL, NULL, NULL, 15),
(136380, NULL, 'PTHR45676:SF29', NULL, NULL, NULL, NULL, 'OS05G0360400 PROTEIN', NULL, NULL, NULL, 15),
(136381, NULL, 'PTHR44688:SF19', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR RV0890C-RELATED', NULL, NULL, NULL, 15),
(136382, NULL, 'PTHR43120:SF7', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', NULL, NULL, NULL, 15),
(136383, NULL, 'PTHR33790:SF2', NULL, NULL, NULL, NULL, '17.7 KDA LOW TEMPERATURE INDUCED PROTEIN', NULL, NULL, NULL, 15),
(136384, NULL, 'PTHR12919:SF30', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S16-LIKE', NULL, NULL, NULL, 15),
(136385, NULL, 'PTHR40619', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136386, NULL, 'PTHR11649:SF13', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN ENGB-RELATED', NULL, NULL, NULL, 15),
(136387, NULL, 'PTHR47928:SF65', NULL, NULL, NULL, NULL, 'TRANSCRIPT PROCESSING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136388, NULL, 'PTHR33057:SF12', NULL, NULL, NULL, NULL, 'OS01G0625900 PROTEIN', NULL, NULL, NULL, 15),
(136389, NULL, 'PTHR45926:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(136390, NULL, 'PTHR33830:SF16', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 127-RELATED', NULL, NULL, NULL, 15),
(136391, NULL, 'PTHR31368:SF6', NULL, NULL, NULL, NULL, 'KH HOMOLOGY DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(136392, NULL, 'PTHR13162', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX', NULL, NULL, 29967, 15),
(136393, NULL, 'PTHR10795:SF586', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136394, NULL, 'PTHR11785:SF437', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 7 MEMBER 13', NULL, NULL, NULL, 15),
(136395, NULL, 'PTHR31080:SF15', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 4', NULL, NULL, NULL, 15),
(136396, NULL, 'PTHR47978:SF32', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-33B', NULL, NULL, NULL, 15),
(136397, NULL, 'PTHR24414:SF152', NULL, NULL, NULL, NULL, 'BNAA08G05200D PROTEIN', NULL, NULL, NULL, 15),
(136398, NULL, 'PTHR23274:SF16', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(136399, NULL, 'PTHR21028:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-156B7.4', NULL, NULL, NULL, 15),
(136400, NULL, 'PTHR47205', NULL, NULL, NULL, NULL, 'OS07G0599000 PROTEIN', NULL, NULL, 38784, 15),
(136401, NULL, 'PTHR31669:SF190', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(136402, NULL, 'PTHR10131:SF141', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR FAMILY PROTEIN DDB_G0273433/DDB_G0273509', NULL, NULL, NULL, 15),
(136403, NULL, 'PTHR45989:SF2', NULL, NULL, NULL, NULL, 'BNAC09G38210D PROTEIN', NULL, NULL, NULL, 15),
(136404, NULL, 'PTHR10209:SF780', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(136405, NULL, 'PTHR21245:SF9', NULL, NULL, NULL, NULL, 'OSJNBB0038F03.1 PROTEIN', NULL, NULL, NULL, 15),
(136406, NULL, 'PTHR11006:SF47', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 8', NULL, NULL, NULL, 15),
(136407, NULL, 'PTHR31062:SF136', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(136408, NULL, 'PTHR45715:SF16', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E2 ISOFORM X1', NULL, NULL, NULL, 15),
(136409, NULL, 'PTHR35306', NULL, NULL, NULL, NULL, 'BNAA03G57290D PROTEIN', NULL, NULL, NULL, 15),
(136410, NULL, 'PTHR47924:SF2', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136411, NULL, 'PTHR24057:SF56', NULL, NULL, NULL, NULL, 'SHAGGY-LIKE PROTEIN KINASE 32-RELATED', NULL, NULL, NULL, 15),
(136412, NULL, 'PTHR11003:SF300', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(136413, NULL, 'PTHR12802:SF123', NULL, NULL, NULL, NULL, 'MPN DOMAIN-CONTAINING PROTEIN CG4751', NULL, NULL, NULL, 15),
(136414, NULL, 'PTHR46128:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136415, NULL, 'PTHR10603:SF4', NULL, NULL, NULL, NULL, 'SYNAPTIC FUNCTIONAL REGULATOR FMR1', NULL, NULL, NULL, 15),
(136416, NULL, 'PTHR23216:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR AND COILED-BODY PHOSPHOPROTEIN 1', NULL, NULL, NULL, 15),
(136417, NULL, 'PTHR22835:SF618', NULL, NULL, NULL, NULL, '2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136418, NULL, 'PTHR21026:SF5', NULL, NULL, NULL, NULL, 'BNACNNG33200D PROTEIN', NULL, NULL, NULL, 15),
(136419, NULL, 'PTHR30137:SF18', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(136420, NULL, 'PTHR38788', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136421, NULL, 'PTHR21266:SF24', NULL, NULL, NULL, NULL, 'PHEOPHORBIDE A OXYGENASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(136422, NULL, 'PTHR24416:SF88', NULL, NULL, NULL, NULL, 'RECEPTOR TYROSINE-PROTEIN KINASE ERBB-3', NULL, NULL, NULL, 15),
(136423, NULL, 'PTHR10631:SF12', NULL, NULL, NULL, NULL, 'TRNA (GUANINE(26)-N(2))-DIMETHYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(136424, NULL, 'PTHR31235:SF65', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(136425, NULL, 'PTHR45665:SF34', NULL, NULL, NULL, NULL, 'BNACNNG50290D PROTEIN', NULL, NULL, NULL, 15),
(136426, NULL, 'PTHR31238:SF5', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 1', NULL, NULL, NULL, 15),
(136427, NULL, 'PTHR47944:SF5', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(136428, NULL, 'PTHR33021:SF14', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(136429, NULL, 'PTHR43243:SF22', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 5', NULL, NULL, NULL, 15),
(136430, NULL, 'PTHR23195:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CBG19797', NULL, NULL, NULL, 15),
(136431, NULL, 'PTHR35561:SF1', NULL, NULL, NULL, NULL, 'RNA 2'',3''-CYCLIC PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(136432, NULL, 'PTHR24006:SF781', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 1', NULL, NULL, NULL, 15),
(136433, NULL, 'PTHR22595:SF145', NULL, NULL, NULL, NULL, 'BNACNNG39650D PROTEIN', NULL, NULL, NULL, 15),
(136434, NULL, 'PTHR22847:SF677', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136435, NULL, 'PTHR24056:SF457', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136436, NULL, 'PTHR48017:SF92', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 1-LIKE', NULL, NULL, NULL, 15),
(136437, NULL, 'PTHR48002:SF61', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(136438, NULL, 'PTHR33102:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136439, NULL, 'PTHR31375:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136440, NULL, 'PTHR43133:SF28', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR HI_1459-RELATED', NULL, NULL, NULL, 15),
(136441, NULL, 'PTHR36034', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(136442, NULL, 'PTHR41401', NULL, NULL, NULL, NULL, 'RGD1559909', NULL, NULL, 27237, 15),
(136443, NULL, 'PTHR43900:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136444, NULL, 'PTHR23428:SF296', NULL, NULL, NULL, NULL, 'HISTONE H2B.11-RELATED', NULL, NULL, NULL, 15),
(136445, NULL, 'PTHR28076:SF1', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN 71', NULL, NULL, NULL, 15),
(136446, NULL, 'PTHR43380:SF10', NULL, NULL, NULL, NULL, 'BNAUNNG01000D PROTEIN', NULL, NULL, NULL, 15),
(136447, NULL, 'PTHR48086:SF6', NULL, NULL, NULL, NULL, 'CATION/ACETATE SYMPORTER ACTP', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136448, NULL, 'PTHR12247:SF69', NULL, NULL, NULL, NULL, 'LETHAL(3)MALIGNANT BRAIN TUMOR-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(136449, NULL, 'PTHR19375:SF416', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAK', NULL, NULL, NULL, 15),
(136450, NULL, 'PTHR32020:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG05025', NULL, NULL, NULL, 15),
(136451, NULL, 'PTHR34222:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136452, NULL, 'PTHR33336:SF3', NULL, NULL, NULL, NULL, 'QUINOL MONOOXYGENASE YGIN-RELATED', NULL, NULL, NULL, 15),
(136453, NULL, 'PTHR11669:SF9', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C SUBUNIT 5', NULL, NULL, NULL, 15),
(136454, NULL, 'PTHR46971:SF5', NULL, NULL, NULL, NULL, 'BNAA05G09640D PROTEIN', NULL, NULL, NULL, 15),
(136455, NULL, 'PTHR31596:SF1', NULL, NULL, NULL, NULL, 'T-CELL ACTIVATION INHIBITOR, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(136456, NULL, 'PTHR31717:SF84', NULL, NULL, NULL, NULL, 'BNAA08G27930D PROTEIN', NULL, NULL, NULL, 15),
(136457, NULL, 'PTHR10190:SF16', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PROTEIN EYES ABSENT', NULL, NULL, NULL, 15),
(136458, NULL, 'PTHR32440', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136459, NULL, 'PTHR24296:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136460, NULL, 'PTHR46352', NULL, NULL, NULL, NULL, 'PROTEIN SENSITIVE TO PROTON RHIZOTOXICITY 1', NULL, NULL, 39135, 15),
(136461, NULL, 'PTHR35669:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 9', NULL, NULL, NULL, 15),
(136462, NULL, 'PTHR15536', NULL, NULL, NULL, NULL, 'TACHYKININ-3', NULL, NULL, 1276, 15),
(136463, NULL, 'PTHR35868', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 17773, 15),
(136464, NULL, 'PTHR11551:SF5', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(136465, NULL, 'PTHR23136:SF11', NULL, NULL, NULL, NULL, 'ST6 N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(136466, NULL, 'PTHR12482:SF51', NULL, NULL, NULL, NULL, 'LIPASE YDL109C-RELATED', NULL, NULL, NULL, 15),
(136467, NULL, 'PTHR32021:SF44', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(136468, NULL, 'PTHR10438:SF107', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(136469, NULL, 'PTHR47979:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136470, NULL, 'PTHR34292:SF2', NULL, NULL, NULL, NULL, 'OUTER SPORE WALL PROTEIN LDS1', NULL, NULL, NULL, 15),
(136471, NULL, 'PTHR33021:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136472, NULL, 'PTHR43827:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136473, NULL, 'PTHR18953:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136474, NULL, 'PTHR13793', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEINS', NULL, NULL, NULL, 15),
(136475, NULL, 'PTHR34569:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136476, NULL, 'PTHR23176:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136477, NULL, 'PTHR47206:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136478, NULL, 'PTHR22589:SF103', NULL, NULL, NULL, NULL, 'CARNITINE O-ACETYL-TRANSFERASE, ISOFORM A', NULL, NULL, NULL, 15),
(136479, NULL, 'PTHR31390:SF15', NULL, NULL, NULL, NULL, 'BNAA04G21690D PROTEIN', NULL, NULL, NULL, 15),
(136480, NULL, 'PTHR31069:SF23', NULL, NULL, NULL, NULL, 'ARGININE METABOLISM REGULATION PROTEIN II-RELATED', NULL, NULL, NULL, 15),
(136481, NULL, 'PTHR11461:SF334', NULL, NULL, NULL, NULL, 'BNAA09G11830D PROTEIN', NULL, NULL, NULL, 15),
(136482, NULL, 'PTHR10201:SF236', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASES PROTEIN 4', NULL, NULL, NULL, 15),
(136483, NULL, 'PTHR22988:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136484, NULL, 'PTHR24230:SF7', NULL, NULL, NULL, NULL, 'MELANIN-CONCENTRATING HORMONE RECEPTOR 2', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136485, NULL, 'PTHR11671', NULL, NULL, NULL, NULL, 'V-TYPE ATP SYNTHASE SUBUNIT D', NULL, NULL, 3538, 15),
(136486, NULL, 'PTHR21137:SF26', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 10A-RELATED', NULL, NULL, NULL, 15),
(136487, NULL, 'PTHR22847:SF675', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN A', NULL, NULL, NULL, 15),
(136488, NULL, 'PTHR33697:SF8', NULL, NULL, NULL, NULL, 'BNAA05G15350D PROTEIN', NULL, NULL, NULL, 15),
(136489, NULL, 'PTHR10015:SF357', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-9-LIKE', NULL, NULL, NULL, 15),
(136490, NULL, 'PTHR15706:SF20', NULL, NULL, NULL, NULL, 'NEUTROPHIL CYTOSOL FACTOR 4', NULL, NULL, 3057, 15),
(136491, NULL, 'PTHR24222:SF47', NULL, NULL, NULL, NULL, 'LIPID A EXPORT ATP-BINDING/PERMEASE PROTEIN MSBA', NULL, NULL, NULL, 15),
(136492, NULL, 'PTHR22811:SF162', NULL, NULL, NULL, NULL, 'EMP24 DOMAIN-CONTAINING PROTEIN,PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136493, NULL, 'PTHR46458', NULL, NULL, NULL, NULL, 'BLR2807 PROTEIN', NULL, NULL, NULL, 15),
(136494, NULL, 'PTHR11893:SF32', NULL, NULL, NULL, NULL, 'INNEXIN', NULL, NULL, NULL, 15),
(136495, NULL, 'PTHR10353:SF148', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 41-RELATED', NULL, NULL, NULL, 15),
(136496, NULL, 'PTHR40079', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE E-RELATED', NULL, NULL, 5361, 15),
(136497, NULL, 'PTHR39209:SF2', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136498, NULL, 'PTHR45974:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136499, NULL, 'PTHR43874:SF72', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR5', NULL, NULL, NULL, 15),
(136500, NULL, 'PTHR12321:SF142', NULL, NULL, NULL, NULL, 'BNAANNG34840D PROTEIN', NULL, NULL, NULL, 15),
(136501, NULL, 'PTHR24379:SF95', NULL, NULL, NULL, NULL, 'RIKEN CDNA 6030490I01-RELATED', NULL, NULL, NULL, 15),
(136502, NULL, 'PTHR33868:SF10', NULL, NULL, NULL, NULL, 'OS08G0483100 PROTEIN', NULL, NULL, NULL, 15),
(136503, NULL, 'PTHR31006', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 38205, 15),
(136504, NULL, 'PTHR23058:SF11', NULL, NULL, NULL, NULL, 'OS05G0578000 PROTEIN', NULL, NULL, NULL, 15),
(136505, NULL, 'PTHR32227:SF356', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE 28', NULL, NULL, NULL, 15),
(136506, NULL, 'PTHR33207:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136507, NULL, 'PTHR35111:SF7', NULL, NULL, NULL, NULL, 'OSJNBB0050O03.2 PROTEIN', NULL, NULL, NULL, 15),
(136508, NULL, 'PTHR31707:SF279', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(136509, NULL, 'PTHR24401:SF29', NULL, NULL, NULL, NULL, 'SI:CH211-243P7.3-RELATED', NULL, NULL, NULL, 15),
(136510, NULL, 'PTHR45969:SF41', NULL, NULL, NULL, NULL, 'BNAA09G39200D PROTEIN', NULL, NULL, NULL, 15),
(136511, NULL, 'PTHR40087', NULL, NULL, NULL, NULL, 'PHENOLIC ACID DECARBOXYLASE PADC', NULL, NULL, 12246, 15),
(136512, NULL, 'PTHR11850:SF327', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(136513, NULL, 'PTHR24356:SF380', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE GREATWALL', NULL, NULL, NULL, 15),
(136514, NULL, 'PTHR16852', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE 1 FEEDBACK REGULATORY PROTEIN', NULL, NULL, 7505, 15),
(136515, NULL, 'PTHR42734:SF6', NULL, NULL, NULL, NULL, 'IRON CHELATIN TRANSPORT ATP-BINDING PROTEIN HP_0888-RELATED', NULL, NULL, NULL, 15),
(136516, NULL, 'PTHR11819:SF128', NULL, NULL, NULL, NULL, 'SODIUM/GLUCOSE COTRANSPORTER 5', NULL, NULL, NULL, 15),
(136517, NULL, 'PTHR46138', NULL, NULL, NULL, NULL, 'PROTEIN DR1', NULL, NULL, 36443, 15),
(136518, NULL, 'PTHR30385:SF4', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-F FACTOR', NULL, NULL, NULL, 15),
(136519, NULL, 'PTHR34978:SF3', NULL, NULL, NULL, NULL, 'POSSIBLE SENSOR-TRANSDUCER PROTEIN BLAR', NULL, NULL, NULL, 15),
(136520, NULL, 'PTHR45923:SF7', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG 2', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136521, NULL, 'PTHR21493:SF9', NULL, NULL, NULL, NULL, 'GOLGI TRANSPORT PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(136522, NULL, 'PTHR46708:SF3', NULL, NULL, NULL, NULL, 'TENASCIN-X-RELATED', NULL, NULL, 35536, 15),
(136523, NULL, 'PTHR42979:SF9', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(136524, NULL, 'PTHR24377:SF787', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 473', NULL, NULL, NULL, 15),
(136525, NULL, 'PTHR22900:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG01579', NULL, NULL, NULL, 15),
(136526, NULL, 'PTHR13798:SF9', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(136527, NULL, 'PTHR23024:SF508', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136528, NULL, 'PTHR43329:SF73', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', NULL, NULL, NULL, 15),
(136529, NULL, 'PTHR11895:SF164', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE', NULL, NULL, NULL, 15),
(136530, NULL, 'PTHR32227:SF283', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-13-BETA-GLUCOSIDASE BG4-RELATED', NULL, NULL, NULL, 15),
(136531, NULL, 'PTHR11945:SF401', NULL, NULL, NULL, NULL, 'SRF-TYPE TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(136532, NULL, 'PTHR42737:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE REDUCTASE', NULL, NULL, NULL, 15),
(136533, NULL, 'PTHR13124:SF13', NULL, NULL, NULL, NULL, 'BNAC04G00860D PROTEIN', NULL, NULL, NULL, 15),
(136534, NULL, 'PTHR37431:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG24284', NULL, NULL, NULL, 15),
(136535, NULL, 'PTHR45730:SF35', NULL, NULL, NULL, NULL, 'PROSTRATE GROWTH 1', NULL, NULL, NULL, 15),
(136536, NULL, 'PTHR23266:SF207', NULL, NULL, NULL, NULL, 'IG GAMMA-2C CHAIN C REGION', NULL, NULL, NULL, 15),
(136537, NULL, 'PTHR10108:SF1135', NULL, NULL, NULL, NULL, 'BNAA09G26820D PROTEIN', NULL, NULL, NULL, 15),
(136538, NULL, 'PTHR42760:SF93', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE CHLOROPLASTIC', NULL, NULL, NULL, 15),
(136539, NULL, 'PTHR47998:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TT2', NULL, NULL, NULL, 15),
(136540, NULL, 'PTHR11645:SF0', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE 2', NULL, NULL, NULL, 15),
(136541, NULL, 'PTHR23175', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136542, NULL, 'PTHR18966:SF510', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(136543, NULL, 'PTHR35128:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136544, NULL, 'PTHR12234:SF1', NULL, NULL, NULL, NULL, 'FORMIMINOTRANSFERASE N-TERMINAL SUBDOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(136545, NULL, 'PTHR37198:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLIN', NULL, NULL, NULL, 15),
(136546, NULL, 'PTHR12354:SF11', NULL, NULL, NULL, NULL, 'OS02G0219050 PROTEIN', NULL, NULL, NULL, 15),
(136547, NULL, 'PTHR33102:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136548, NULL, 'PTHR10725:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136549, NULL, 'PTHR14047:SF34', NULL, NULL, NULL, NULL, 'G ANTIGEN FAMILY E MEMBER 3-RELATED', NULL, NULL, NULL, 15),
(136550, NULL, 'PTHR43038:SF2', NULL, NULL, NULL, NULL, 'RH61964P', NULL, NULL, NULL, 15),
(136551, NULL, 'PTHR11267:SF183', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX-9', NULL, NULL, NULL, 15),
(136552, NULL, 'PTHR24136:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136553, NULL, 'PTHR34185', NULL, NULL, NULL, NULL, 'DIADENYLATE CYCLASE', NULL, NULL, NULL, 15),
(136554, NULL, 'PTHR31907:SF41', NULL, NULL, NULL, NULL, 'BNAA08G20650D PROTEIN', NULL, NULL, NULL, 15),
(136555, NULL, 'PTHR20913:SF10', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 20', NULL, NULL, NULL, 15),
(136556, NULL, 'PTHR31348:SF12', NULL, NULL, NULL, NULL, 'OS05G0494600 PROTEIN', NULL, NULL, NULL, 15),
(136557, NULL, 'PTHR19305:SF10', NULL, NULL, NULL, NULL, 'T-SNARE PROTEIN AEX-4', NULL, NULL, NULL, 15),
(136558, NULL, 'PTHR15440:SF0', NULL, NULL, NULL, NULL, 'PROTEIN XRP2', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136559, NULL, 'PTHR42685:SF16', NULL, NULL, NULL, NULL, 'HYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136560, NULL, 'PTHR10791:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136561, NULL, 'PTHR11851:SF204', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(136562, NULL, 'PTHR32191:SF71', NULL, NULL, NULL, NULL, 'TETRASPANIN6-RELATED', NULL, NULL, NULL, 15),
(136563, NULL, 'PTHR10984:SF25', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM-GOLGI INTERMEDIATE COMPARTMENT PROTEIN 3', NULL, NULL, NULL, 15),
(136564, NULL, 'PTHR11014:SF147', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 2', NULL, NULL, NULL, 15),
(136565, NULL, 'PTHR48098:SF4', NULL, NULL, NULL, NULL, 'ACETYL ESTERASE', NULL, NULL, NULL, 15),
(136566, NULL, 'PTHR11801:SF65', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION A-RELATED', NULL, NULL, NULL, 15),
(136567, NULL, 'PTHR24018', NULL, NULL, NULL, NULL, 'ELASTIN', NULL, NULL, 7251, 15),
(136568, NULL, 'PTHR21319:SF31', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136569, NULL, 'PTHR27005:SF367', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136570, NULL, 'PTHR43163:SF3', NULL, NULL, NULL, NULL, 'METAL TRANSPORT INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136571, NULL, 'PTHR43833:SF5', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED POTASSIUM CHANNEL KCH', NULL, NULL, NULL, 15),
(136572, NULL, 'PTHR46589:SF1', NULL, NULL, NULL, NULL, 'APOPTOTIC CHROMATIN CONDENSATION INDUCER IN THE NUCLEUS', NULL, NULL, NULL, 15),
(136573, NULL, 'PTHR43807:SF6', NULL, NULL, NULL, NULL, 'KYNURENINE--OXOGLUTARATE TRANSAMINASE 3', NULL, NULL, 33172, 15),
(136574, NULL, 'PTHR34212', NULL, NULL, NULL, NULL, 'OS02G0104200 PROTEIN', NULL, NULL, NULL, 15),
(136575, NULL, 'PTHR45676:SF127', NULL, NULL, NULL, NULL, 'OS01G0311400 PROTEIN', NULL, NULL, NULL, 15),
(136576, NULL, 'PTHR22852:SF1', NULL, NULL, NULL, NULL, 'BNAA06G31940D PROTEIN', NULL, NULL, NULL, 15),
(136577, NULL, 'PTHR47747', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P38-LIKE PROTEIN', NULL, NULL, NULL, 15),
(136578, NULL, 'PTHR11009:SF34', NULL, NULL, NULL, NULL, 'DERLIN', NULL, NULL, NULL, 15),
(136579, NULL, 'PTHR11746:SF201', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(136580, NULL, 'PTHR24078:SF554', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136581, NULL, 'PTHR38123:SF4', NULL, NULL, NULL, NULL, 'CELL WALL GALACTOMANNOPROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00870)-RELATED', NULL, NULL, NULL, 15),
(136582, NULL, 'PTHR11991:SF11', NULL, NULL, NULL, NULL, 'TRANSLATIONALLY-CONTROLLED TUMOR PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(136583, NULL, 'PTHR31187:SF1', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(136584, NULL, 'PTHR32285:SF217', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 31', NULL, NULL, NULL, 15),
(136585, NULL, 'PTHR45666:SF50', NULL, NULL, NULL, NULL, 'BNAANNG12830D PROTEIN', NULL, NULL, NULL, 15),
(136586, NULL, 'PTHR31717:SF95', NULL, NULL, NULL, NULL, 'B-BOX TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(136587, NULL, 'PTHR33878', NULL, NULL, NULL, NULL, 'OS08G0559000 PROTEIN', NULL, NULL, 39917, 15),
(136588, NULL, 'PTHR47800:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136589, NULL, 'PTHR31286:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136590, NULL, 'PTHR45614:SF123', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB3R-4', NULL, NULL, NULL, 15),
(136591, NULL, 'PTHR48001:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136592, NULL, 'PTHR20905:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11057', NULL, NULL, NULL, 15),
(136593, NULL, 'PTHR33048:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136594, NULL, 'PTHR43095:SF2', NULL, NULL, NULL, NULL, 'GLUCONOKINASE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136595, NULL, 'PTHR45085:SF2', NULL, NULL, NULL, NULL, 'F21J9.14', NULL, NULL, NULL, 15),
(136596, NULL, 'PTHR13989:SF39', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A HOMOLOG', NULL, NULL, NULL, 15),
(136597, NULL, 'PTHR36789', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(136598, NULL, 'PTHR44102:SF13', NULL, NULL, NULL, NULL, 'BNAA08G13640D PROTEIN', NULL, NULL, NULL, 15),
(136599, NULL, 'PTHR11850:SF287', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 6', NULL, NULL, NULL, 15),
(136600, NULL, 'PTHR46308', NULL, NULL, NULL, NULL, 'MATH (MEPRIN-ASSOCIATED TRAF HOMOLOGY) DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(136601, NULL, 'PTHR34809', NULL, NULL, NULL, NULL, 'MALTOSE EXCESS PROTEIN 1, CHLOROPLASTIC-RELATED', NULL, NULL, 17787, 15),
(136602, NULL, 'PTHR12548:SF21', NULL, NULL, NULL, NULL, 'DP PROTEIN', NULL, NULL, NULL, 15),
(136603, NULL, 'PTHR30136', NULL, NULL, NULL, NULL, 'HELIX-TURN-HELIX TRANSCRIPTIONAL REGULATOR, ICLR FAMILY', NULL, NULL, NULL, 15),
(136604, NULL, 'PTHR35516:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(136605, NULL, 'PTHR33288:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME F', NULL, NULL, NULL, 15),
(136606, NULL, 'PTHR34410:SF2', NULL, NULL, NULL, NULL, 'INTRON-ENCODED HOMING ENDONUCLEASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136607, NULL, 'PTHR31307:SF3', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(136608, NULL, 'PTHR47297:SF1', NULL, NULL, NULL, NULL, 'NICOTINAMIDASE 1', NULL, NULL, NULL, 15),
(136609, NULL, 'PTHR13546:SF14', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 85C', NULL, NULL, NULL, 15),
(136610, NULL, 'PTHR11017:SF400', NULL, NULL, NULL, NULL, 'BNAC09G11700D PROTEIN', NULL, NULL, NULL, 15),
(136611, NULL, 'PTHR42806', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM P-PROTEIN', NULL, NULL, 15187, 15),
(136612, NULL, 'PTHR24271:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136613, NULL, 'PTHR33057:SF23', NULL, NULL, NULL, NULL, 'OS03G0336900 PROTEIN', NULL, NULL, NULL, 15),
(136614, NULL, 'PTHR43343:SF2', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(136615, NULL, 'PTHR24136', NULL, NULL, NULL, NULL, 'SOWAH (DROSOPHILA) HOMOLOG', NULL, NULL, NULL, 15),
(136616, NULL, 'PTHR24296:SF37', NULL, NULL, NULL, NULL, 'OS03G0140200 PROTEIN', NULL, NULL, NULL, 15),
(136617, NULL, 'PTHR40706:SF1', NULL, NULL, NULL, NULL, 'RIBOFLAVIN KINASE', NULL, NULL, NULL, 15),
(136618, NULL, 'PTHR48099:SF5', NULL, NULL, NULL, NULL, 'C-1-TETRAHYDROFOLATE SYNTHASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(136619, NULL, 'PTHR31468:SF9', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(136620, NULL, 'PTHR45641', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_6G03870)', NULL, NULL, NULL, 15),
(136621, NULL, 'PTHR34582:SF7', NULL, NULL, NULL, NULL, 'UPF0702 TRANSMEMBRANE PROTEIN YDFS', NULL, NULL, NULL, 15),
(136622, NULL, 'PTHR15907:SF164', NULL, NULL, NULL, NULL, 'BNAA09G45360D PROTEIN', NULL, NULL, NULL, 15),
(136623, NULL, 'PTHR10543:SF122', NULL, NULL, NULL, NULL, 'BETA,BETA-CAROTENE 9'',10''-OXYGENASE', NULL, NULL, NULL, 15),
(136624, NULL, 'PTHR34591:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136625, NULL, 'PTHR11818:SF2', NULL, NULL, NULL, NULL, 'BETA/GAMMA CRYSTALLIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(136626, NULL, 'PTHR28015:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE ASSEMBLY FACTOR FMC1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(136627, NULL, 'PTHR16223:SF214', NULL, NULL, NULL, NULL, 'BNAC03G57760D PROTEIN', NULL, NULL, NULL, 15),
(136628, NULL, 'PTHR31241:SF44', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2A', NULL, NULL, NULL, 15),
(136629, NULL, 'PTHR42886:SF57', NULL, NULL, NULL, NULL, 'ESTERASE/LIPASE/THIOESTERASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(136630, NULL, 'PTHR31731:SF131', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136631, NULL, 'PTHR10693:SF45', NULL, NULL, NULL, NULL, 'BNAA02G14660D PROTEIN', NULL, NULL, NULL, 15),
(136632, NULL, 'PTHR32295:SF108', NULL, NULL, NULL, NULL, 'OS04G0561100 PROTEIN', NULL, NULL, NULL, 15),
(136633, NULL, 'PTHR27009:SF116', NULL, NULL, NULL, NULL, 'PR5-LIKE RECEPTOR KINASE', NULL, NULL, NULL, 15),
(136634, NULL, 'PTHR12081:SF78', NULL, NULL, NULL, NULL, 'E2F TRANSCRIPTION FACTOR-LIKE E2FD', NULL, NULL, NULL, 15),
(136635, NULL, 'PTHR47655:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(136636, NULL, 'PTHR35697:SF7', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE, TESTIS-SPECIFIC-LIKE', NULL, NULL, NULL, 15),
(136637, NULL, 'PTHR13237:SF7', NULL, NULL, NULL, NULL, 'NEUROGUIDIN', NULL, NULL, NULL, 15),
(136638, NULL, 'PTHR43467:SF2', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-2 C(20)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(136639, NULL, 'PTHR34681', NULL, NULL, NULL, NULL, 'UVEAL AUTOANTIGEN WITH COILED-COIL/ANKYRIN', NULL, NULL, NULL, 15),
(136640, NULL, 'PTHR31415:SF111', NULL, NULL, NULL, NULL, 'BNAC03G41690D PROTEIN', NULL, NULL, NULL, 15),
(136641, NULL, 'PTHR37154:SF1', NULL, NULL, NULL, NULL, 'MITOREGULIN', NULL, NULL, NULL, 15),
(136642, NULL, 'PTHR40788', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136643, NULL, 'PTHR43109:SF1', NULL, NULL, NULL, NULL, 'DIPHOSPHATE KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136644, NULL, 'PTHR37408:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136645, NULL, 'PTHR19876:SF50', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''', NULL, NULL, NULL, 15),
(136646, NULL, 'PTHR33076:SF103', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 6', NULL, NULL, NULL, 15),
(136647, NULL, 'PTHR11260:SF530', NULL, NULL, NULL, NULL, 'GLUTATHIONE-S-TRANSFERASE 28E45', NULL, NULL, NULL, 15),
(136648, NULL, 'PTHR47327:SF20', NULL, NULL, NULL, NULL, 'PROTEIN DYF-7', NULL, NULL, NULL, 15),
(136649, NULL, 'PTHR11751:SF469', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136650, NULL, 'PTHR11470:SF2', NULL, NULL, NULL, NULL, 'KAPPA-CASEIN', NULL, NULL, NULL, 15),
(136651, NULL, 'PTHR27005:SF372', NULL, NULL, NULL, NULL, 'BNAC04G24080D PROTEIN', NULL, NULL, NULL, 15),
(136652, NULL, 'PTHR24112:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136653, NULL, 'PTHR10226:SF9', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 3', NULL, NULL, NULL, 15),
(136654, NULL, 'PTHR47383:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136655, NULL, 'PTHR47840:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(136656, NULL, 'PTHR10579:SF49', NULL, NULL, NULL, NULL, 'OSJNBA0043L24.22 PROTEIN', NULL, NULL, NULL, 15),
(136657, NULL, 'PTHR32467:SF81', NULL, NULL, NULL, NULL, 'AP2/EREBP TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136658, NULL, 'PTHR11880:SF50', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: 40S RIBOSOMAL PROTEIN S15', NULL, NULL, NULL, 15),
(136659, NULL, 'PTHR31852:SF134', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(136660, NULL, 'PTHR31080:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136661, NULL, 'PTHR23122:SF71', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PALMITOYLATED 5B (MAGUK P55 SUBFAMILY MEMBER 5)', NULL, NULL, NULL, 15),
(136662, NULL, 'PTHR34196:SF7', NULL, NULL, NULL, NULL, 'BNAA06G34420D PROTEIN', NULL, NULL, NULL, 15),
(136663, NULL, 'PTHR43668:SF2', NULL, NULL, NULL, NULL, 'ZGC:103559', NULL, NULL, NULL, 15),
(136664, NULL, 'PTHR42914:SF1', NULL, NULL, NULL, NULL, '7-CYANO-7-DEAZAGUANINE SYNTHASE', NULL, NULL, NULL, 15),
(136665, NULL, 'PTHR12299:SF50', NULL, NULL, NULL, NULL, 'RGG REPEATS NUCLEAR RNA BINDING PROTEIN B', NULL, NULL, NULL, 15),
(136666, NULL, 'PTHR11697:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136667, NULL, 'PTHR42934:SF2', NULL, NULL, NULL, NULL, 'GLYCOLATE OXIDASE SUBUNIT GLCD', NULL, NULL, NULL, 15),
(136668, NULL, 'PTHR27002:SF123', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(136669, NULL, 'PTHR24107:SF22', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(136670, NULL, 'PTHR31719:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136671, NULL, 'PTHR24073:SF963', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-1A', NULL, NULL, NULL, 15),
(136672, NULL, 'PTHR44819:SF1', NULL, NULL, NULL, NULL, 'V-TYPE IMMUNOGLOBULIN DOMAIN-CONTAINING SUPPRESSOR OF T-CELL ACTIVATION', NULL, NULL, NULL, 15),
(136673, NULL, 'PTHR48049:SF8', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 91A1-LIKE', NULL, NULL, NULL, 15),
(136674, NULL, 'PTHR46525:SF4', NULL, NULL, NULL, NULL, 'DUF584 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(136675, NULL, 'PTHR46273:SF9', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', NULL, NULL, NULL, 15),
(136676, NULL, 'PTHR10501:SF25', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN WITH MULTIPLE SPLICING', NULL, NULL, NULL, 15),
(136677, NULL, 'PTHR22975:SF6', NULL, NULL, NULL, NULL, 'INACTIVE UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 53', NULL, NULL, 35658, 15),
(136678, NULL, 'PTHR11767:SF3', NULL, NULL, NULL, NULL, 'INWARD RECTIFIER POTASSIUM CHANNEL 13', NULL, NULL, 5334, 15),
(136679, NULL, 'PTHR46020:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136680, NULL, 'PTHR44411', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 6 HOMOLOG', NULL, NULL, 38175, 15),
(136681, NULL, 'PTHR34838:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136682, NULL, 'PTHR31656:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136683, NULL, 'PTHR11040:SF33', NULL, NULL, NULL, NULL, 'METAL HOMEOSTASIS FACTOR ATX2', NULL, NULL, NULL, 15),
(136684, NULL, 'PTHR48044:SF17', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(136685, NULL, 'PTHR43641:SF2', NULL, NULL, NULL, NULL, 'FORMATE ACETYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(136686, NULL, 'PTHR46133:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH104', NULL, NULL, NULL, 15),
(136687, NULL, 'PTHR11017:SF381', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(136688, NULL, 'PTHR40128', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(136689, NULL, 'PTHR32080:SF55', NULL, NULL, NULL, NULL, 'BNAC02G41280D PROTEIN', NULL, NULL, NULL, 15),
(136690, NULL, 'PTHR21221:SF1', NULL, NULL, NULL, NULL, 'UREIDOGLYCOLATE LYASE', NULL, NULL, NULL, 15),
(136691, NULL, 'PTHR35610:SF1', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE', NULL, NULL, NULL, 15),
(136692, NULL, 'PTHR32227:SF324', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASE FAMILY 17 PROTEIN', NULL, NULL, NULL, 15),
(136693, NULL, 'PTHR10788:SF48', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 6', NULL, NULL, NULL, 15),
(136694, NULL, 'PTHR28165:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136695, NULL, 'PTHR31175:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136696, NULL, 'PTHR13408:SF5', NULL, NULL, NULL, NULL, 'POLYMERASE (RNA) III (DNA DIRECTED) POLYPEPTIDE D', NULL, NULL, NULL, 15),
(136697, NULL, 'PTHR10593:SF184', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(136698, NULL, 'PTHR27001:SF668', NULL, NULL, NULL, NULL, 'KINASE IN IN FLOWERS 3, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136699, NULL, 'PTHR11524:SF46', NULL, NULL, NULL, NULL, 'BNAA09G18530D PROTEIN', NULL, NULL, NULL, 15),
(136700, NULL, 'PTHR23048:SF3', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN 1/3, SKELETAL MUSCLE ISOFORM', NULL, NULL, NULL, 15),
(136701, NULL, 'PTHR11746:SF247', NULL, NULL, NULL, NULL, 'BNAA06G14950D PROTEIN', NULL, NULL, NULL, 15),
(136702, NULL, 'PTHR13859:SF19', NULL, NULL, NULL, NULL, 'ARGININE-GLUTAMIC ACID DIPEPTIDE REPEAT PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136703, NULL, 'PTHR32370:SF154', NULL, NULL, NULL, NULL, 'SKP1/BTB/POZ DOMAIN, NPH3 DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136704, NULL, 'PTHR13774:SF35', NULL, NULL, NULL, NULL, 'BNAA04G21450D PROTEIN', NULL, NULL, NULL, 15),
(136705, NULL, 'PTHR23280:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MYLIP', NULL, NULL, NULL, 15),
(136706, NULL, 'PTHR31083:SF29', NULL, NULL, NULL, NULL, 'DUF966 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(136707, NULL, 'PTHR45720:SF1', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(136708, NULL, 'PTHR36933', NULL, NULL, NULL, NULL, 'SLL0788 PROTEIN', NULL, NULL, NULL, 15),
(136709, NULL, 'PTHR32444:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136710, NULL, 'PTHR42851:SF20', NULL, NULL, NULL, NULL, 'SLR1342 PROTEIN', NULL, NULL, NULL, 15),
(136711, NULL, 'PTHR46547:SF13', NULL, NULL, NULL, NULL, 'OS03G0216000 PROTEIN', NULL, NULL, NULL, 15),
(136712, NULL, 'PTHR37223', NULL, NULL, NULL, NULL, 'OS08G0528601 PROTEIN', NULL, NULL, NULL, 15),
(136713, NULL, 'PTHR35358:SF13', NULL, NULL, NULL, NULL, 'BNAC03G27350D PROTEIN', NULL, NULL, NULL, 15),
(136714, NULL, 'PTHR27008:SF438', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136715, NULL, 'PTHR33499:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136716, NULL, 'PTHR45621:SF96', NULL, NULL, NULL, NULL, 'AUXIN-REGULATED DUAL SPECIFICITY CYTOSOLIC KINASE', NULL, NULL, NULL, 15),
(136717, NULL, 'PTHR21461:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(136718, NULL, 'PTHR34285', NULL, NULL, NULL, NULL, 'OS08G0510800 PROTEIN', NULL, NULL, NULL, 15),
(136719, NULL, 'PTHR10811:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136720, NULL, 'PTHR21472:SF16', NULL, NULL, NULL, NULL, 'SI:DKEY-85K7.11', NULL, NULL, NULL, 15),
(136721, NULL, 'PTHR47979:SF62', NULL, NULL, NULL, NULL, 'BNAA08G30220D PROTEIN', NULL, NULL, NULL, 15),
(136722, NULL, 'PTHR46891:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(136723, NULL, 'PTHR31008:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136724, NULL, 'PTHR43572:SF64', NULL, NULL, NULL, NULL, 'CLP ATPASE', NULL, NULL, NULL, 15),
(136725, NULL, 'PTHR47254:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136726, NULL, 'PTHR27009:SF109', NULL, NULL, NULL, NULL, 'RECEPTOR SERINE/THREONINE KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(136727, NULL, 'PTHR10994:SF166', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B7', NULL, NULL, NULL, 15),
(136728, NULL, 'PTHR22726:SF20', NULL, NULL, NULL, NULL, 'M48 PEPTIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(136729, NULL, 'PTHR45623:SF5', NULL, NULL, NULL, NULL, 'CHD GENE FAMILY PROTEIN CONTAINING CHROMODOMAIN, HELICASE DOMAIN, AND DNA-BINDING DOMAIN', NULL, NULL, NULL, 15),
(136730, NULL, 'PTHR33623:SF13', NULL, NULL, NULL, NULL, 'NUCLEOLIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(136731, NULL, 'PTHR45811:SF35', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 39', NULL, NULL, NULL, 15),
(136732, NULL, 'PTHR26452:SF778', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(136733, NULL, 'PTHR23226:SF281', NULL, NULL, NULL, NULL, 'NEUROTROPHIN RECEPTOR-INTERACTING FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(136734, NULL, 'PTHR24543:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136735, NULL, 'PTHR45085:SF6', NULL, NULL, NULL, NULL, 'BNAA01G14170D PROTEIN', NULL, NULL, NULL, 15),
(136736, NULL, 'PTHR27001:SF877', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136737, NULL, 'PTHR24115:SF434', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF19', NULL, NULL, NULL, 15),
(136738, NULL, 'PTHR12542:SF93', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(136739, NULL, 'PTHR13884:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG13449', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136740, NULL, 'PTHR48078:SF5', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE', NULL, NULL, NULL, 15),
(136741, NULL, 'PTHR34804:SF5', NULL, NULL, NULL, NULL, 'CAMP-REGULATED PHOSPHOPROTEIN 19-RELATED PROTEIN', NULL, NULL, NULL, 15),
(136742, NULL, 'PTHR31357:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS A (ALPHA)', NULL, NULL, NULL, 15),
(136743, NULL, 'PTHR31543', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 4', NULL, NULL, 29345, 15),
(136744, NULL, 'PTHR23281:SF14', NULL, NULL, NULL, NULL, 'RADIXIN', NULL, NULL, NULL, 15),
(136745, NULL, 'PTHR21113:SF6', NULL, NULL, NULL, NULL, 'AGAP000266-PA', NULL, NULL, NULL, 15),
(136746, NULL, 'PTHR37254:SF1', NULL, NULL, NULL, NULL, 'OS01G0100500 PROTEIN', NULL, NULL, NULL, 15),
(136747, NULL, 'PTHR36799:SF3', NULL, NULL, NULL, NULL, 'BNAA02G05150D PROTEIN', NULL, NULL, NULL, 15),
(136748, NULL, 'PTHR34188:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136749, NULL, 'PTHR31311:SF19', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(136750, NULL, 'PTHR45798:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136751, NULL, 'PTHR34148:SF1', NULL, NULL, NULL, NULL, 'ADENOSYLCOBINAMIDE-GDP RIBAZOLETRANSFERASE', NULL, NULL, NULL, 15),
(136752, NULL, 'PTHR23163:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BRE1-LIKE 1', NULL, NULL, NULL, 15),
(136753, NULL, 'PTHR33090:SF26', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(136754, NULL, 'PTHR24006:SF702', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 47', NULL, NULL, NULL, 15),
(136755, NULL, 'PTHR23201', NULL, NULL, NULL, NULL, 'EXTENSIN, PROLINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(136756, NULL, 'PTHR35997:SF11', NULL, NULL, NULL, NULL, 'BNAA05G09190D PROTEIN', NULL, NULL, NULL, 15),
(136757, NULL, 'PTHR24028:SF281', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-2', NULL, NULL, 27903, 15),
(136758, NULL, 'PTHR43349:SF51', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 3-RELATED', NULL, NULL, NULL, 15),
(136759, NULL, 'PTHR24089', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25', NULL, NULL, NULL, 15),
(136760, NULL, 'PTHR31549:SF195', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136761, NULL, 'PTHR11055:SF16', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3''-PHOSPHOADENOSINE 5''-PHOSPHOSULFATE SYNTHASE 2', NULL, NULL, NULL, 15),
(136762, NULL, 'PTHR16026:SF4', NULL, NULL, NULL, NULL, 'CARTILAGE ACIDIC PROTEIN 1B', NULL, NULL, 26996, 15),
(136763, NULL, 'PTHR15261:SF6', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-TYPE LAMININ G DOMAIN AND EAR REPEATS A', NULL, NULL, NULL, 15),
(136764, NULL, 'PTHR12299:SF58', NULL, NULL, NULL, NULL, 'OS03G0845300 PROTEIN', NULL, NULL, NULL, 15),
(136765, NULL, 'PTHR34204:SF4', NULL, NULL, NULL, NULL, 'BNAA05G32560D PROTEIN', NULL, NULL, NULL, 15),
(136766, NULL, 'PTHR31068:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 31', NULL, NULL, NULL, 15),
(136767, NULL, 'PTHR10593:SF170', NULL, NULL, NULL, NULL, 'BNACNNG28590D PROTEIN', NULL, NULL, NULL, 15),
(136768, NULL, 'PTHR43435', NULL, NULL, NULL, NULL, 'RIBULOKINASE', NULL, NULL, NULL, 15),
(136769, NULL, 'PTHR15601:SF21', NULL, NULL, NULL, NULL, 'STRESS-ASSOCIATED ENDOPLASMIC RETICULUM PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136770, NULL, 'PTHR23189:SF45', NULL, NULL, NULL, NULL, 'FLOWERING TIME CONTROL PROTEIN FPA', NULL, NULL, NULL, 15),
(136771, NULL, 'PTHR47507:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136772, NULL, 'PTHR33908:SF3', NULL, NULL, NULL, NULL, 'UNDECAPRENYL PHOSPHATE-ALPHA-4-AMINO-4-DEOXY-L-ARABINOSE ARABINOSYL TRANSFERASE', NULL, NULL, NULL, 15),
(136773, NULL, 'PTHR22545', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 23174, 15),
(136774, NULL, 'PTHR33570', NULL, NULL, NULL, NULL, '4-CARBOXYMUCONOLACTONE DECARBOXYLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(136775, NULL, 'PTHR24416:SF276', NULL, NULL, NULL, NULL, 'ALK TYROSINE KINASE RECEPTOR', NULL, NULL, 22683, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136776, NULL, 'PTHR12673:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136777, NULL, 'PTHR47992:SF29', NULL, NULL, NULL, NULL, 'ABI1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136778, NULL, 'PTHR16237', NULL, NULL, NULL, NULL, 'ODONTOGENIC AMELOBLAST-ASSOCIATED PROTEIN', NULL, NULL, 22859, 15),
(136779, NULL, 'PTHR34590:SF6', NULL, NULL, NULL, NULL, 'OS03G0124300 PROTEIN', NULL, NULL, NULL, 15),
(136780, NULL, 'PTHR33057:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136781, NULL, 'PTHR32191:SF69', NULL, NULL, NULL, NULL, 'TETRASPANIN-8', NULL, NULL, NULL, 15),
(136782, NULL, 'PTHR22870:SF417', NULL, NULL, NULL, NULL, 'BNAA01G28890D PROTEIN', NULL, NULL, NULL, 15),
(136783, NULL, 'PTHR34995:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(136784, NULL, 'PTHR43381:SF19', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(136785, NULL, 'PTHR31375:SF241', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 28-RELATED', NULL, NULL, NULL, 15),
(136786, NULL, 'PTHR10791:SF170', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(136787, NULL, 'PTHR45811:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136788, NULL, 'PTHR12398:SF21', NULL, NULL, NULL, NULL, 'PPP1R2C FAMILY MEMBER C', NULL, NULL, NULL, 15),
(136789, NULL, 'PTHR10209:SF450', NULL, NULL, NULL, NULL, 'AMINOCYCLOPROPANECARBOXYLATE OXIDASE', NULL, NULL, NULL, 15),
(136790, NULL, 'PTHR45642:SF85', NULL, NULL, NULL, NULL, 'BNAA09G14610D PROTEIN', NULL, NULL, NULL, 15),
(136791, NULL, 'PTHR11119:SF97', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 4-LIKE', NULL, NULL, NULL, 15),
(136792, NULL, 'PTHR11203:SF49', NULL, NULL, NULL, NULL, 'BLL1145 PROTEIN', NULL, NULL, NULL, 15),
(136793, NULL, 'PTHR24394:SF12', NULL, NULL, NULL, NULL, 'CENTROSOME-ASSOCIATED ZINC FINGER PROTEIN CP190', NULL, NULL, NULL, 15),
(136794, NULL, 'PTHR23334:SF27', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN EPSILON', NULL, NULL, NULL, 15),
(136795, NULL, 'PTHR24015:SF1886', NULL, NULL, NULL, NULL, 'OS03G0781100 PROTEIN', NULL, NULL, NULL, 15),
(136796, NULL, 'PTHR33983:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136797, NULL, 'PTHR47925:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136798, NULL, 'PTHR30420', NULL, NULL, NULL, NULL, 'N-SUCCINYLARGININE DIHYDROLASE', NULL, NULL, NULL, 15),
(136799, NULL, 'PTHR11157:SF132', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(136800, NULL, 'PTHR47167:SF5', NULL, NULL, NULL, NULL, 'TAO KINASE 2', NULL, NULL, NULL, 15),
(136801, NULL, 'PTHR45984:SF1', NULL, NULL, NULL, NULL, 'RNA (RNA) POLYMERASE II ASSOCIATED PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(136802, NULL, 'PTHR10137:SF8', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C', NULL, NULL, NULL, 15),
(136803, NULL, 'PTHR40730', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(136804, NULL, 'PTHR31692:SF98', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE A1', NULL, NULL, NULL, 15),
(136805, NULL, 'PTHR31867:SF172', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(136806, NULL, 'PTHR45458:SF1', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR', NULL, NULL, NULL, 15),
(136807, NULL, 'PTHR47928:SF2', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136808, NULL, 'PTHR13864:SF15', NULL, NULL, NULL, NULL, 'T-CELL ACUTE LYMPHOCYTIC LEUKEMIA 2-RELATED', NULL, NULL, NULL, 15),
(136809, NULL, 'PTHR43757', NULL, NULL, NULL, NULL, 'AMINOMETHYLTRANSFERASE', NULL, NULL, 21693, 15),
(136810, NULL, 'PTHR24298:SF650', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(136811, NULL, 'PTHR11913:SF100', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 6', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136812, NULL, 'PTHR10185:SF17', NULL, NULL, NULL, NULL, 'GM01519P-RELATED', NULL, NULL, NULL, 15),
(136813, NULL, 'PTHR36586:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136814, NULL, 'PTHR24296:SF83', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 86, SUBFAMILY C, POLYPEPTIDE 4', NULL, NULL, NULL, 15),
(136815, NULL, 'PTHR33203:SF2', NULL, NULL, NULL, NULL, 'OS01G0643900 PROTEIN', NULL, NULL, NULL, 15),
(136816, NULL, 'PTHR10869:SF192', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 3-RELATED', NULL, NULL, NULL, 15),
(136817, NULL, 'PTHR31304:SF38', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 39-LIKE', NULL, NULL, NULL, 15),
(136818, NULL, 'PTHR36776', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(136819, NULL, 'PTHR23155:SF866', NULL, NULL, NULL, NULL, 'OS09G0365000 PROTEIN', NULL, NULL, NULL, 15),
(136820, NULL, 'PTHR24321:SF9', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER PROTEIN] REDUCTASE', NULL, NULL, NULL, 15),
(136821, NULL, 'PTHR45621:SF191', NULL, NULL, NULL, NULL, 'BNAA06G34000D PROTEIN', NULL, NULL, NULL, 15),
(136822, NULL, 'PTHR11440:SF84', NULL, NULL, NULL, NULL, 'OS01G0946300 PROTEIN', NULL, NULL, NULL, 15),
(136823, NULL, 'PTHR39741', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(136824, NULL, 'PTHR11945:SF397', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(136825, NULL, 'PTHR31707:SF173', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 33-RELATED', NULL, NULL, NULL, 15),
(136826, NULL, 'PTHR13707:SF49', NULL, NULL, NULL, NULL, 'ACETATE COA-TRANSFERASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(136827, NULL, 'PTHR44305:SF15', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE C03B1.5-RELATED', NULL, NULL, NULL, 15),
(136828, NULL, 'PTHR47978:SF1', NULL, NULL, NULL, NULL, 'SEPTUM-PROMOTING GTP-BINDING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(136829, NULL, 'PTHR30346:SF26', NULL, NULL, NULL, NULL, 'HYDROGEN PEROXIDE-INDUCIBLE GENES ACTIVATOR', NULL, NULL, NULL, 15),
(136830, NULL, 'PTHR31321:SF30', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(136831, NULL, 'PTHR11645:SF58', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(136832, NULL, 'PTHR38627:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11106', NULL, NULL, NULL, 15),
(136833, NULL, 'PTHR47999:SF25', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN ZM38', NULL, NULL, NULL, 15),
(136834, NULL, 'PTHR46029:SF1', NULL, NULL, NULL, NULL, 'C-TERMINAL-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(136835, NULL, 'PTHR22576:SF27', NULL, NULL, NULL, NULL, 'MALT PARACASPASE 2', NULL, NULL, NULL, 15),
(136836, NULL, 'PTHR35484:SF2', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 37, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(136837, NULL, 'PTHR45027', NULL, NULL, NULL, NULL, 'PUTATIVE GLUTATHIONE HYDROLASE LIGHT CHAIN', NULL, NULL, NULL, 15),
(136838, NULL, 'PTHR11709:SF405', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE HOMOLOG', NULL, NULL, NULL, 15),
(136839, NULL, 'PTHR23050:SF399', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(136840, NULL, 'PTHR23043:SF26', NULL, NULL, NULL, NULL, 'PROTEIN TRACHEALESS', NULL, NULL, NULL, 15),
(136841, NULL, 'PTHR35007', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136842, NULL, 'PTHR32002:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136843, NULL, 'PTHR27006:SF274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136844, NULL, 'PTHR19422:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136845, NULL, 'PTHR47156:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG20842', NULL, NULL, NULL, 15),
(136846, NULL, 'PTHR12365:SF6', NULL, NULL, NULL, NULL, 'PROTEIN SPROUTY HOMOLOG 4', NULL, NULL, 25280, 15),
(136847, NULL, 'PTHR43832', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136848, NULL, 'PTHR11118:SF1', NULL, NULL, NULL, NULL, 'TRNA-SPLICING LIGASE RTCB HOMOLOG', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136849, NULL, 'PTHR47990:SF19', NULL, NULL, NULL, NULL, '20-OXIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136850, NULL, 'PTHR32295:SF221', NULL, NULL, NULL, NULL, 'BNAA02G26560D PROTEIN', NULL, NULL, NULL, 15),
(136851, NULL, 'PTHR34397:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136852, NULL, 'PTHR21700:SF50', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(136853, NULL, 'PTHR27003:SF380', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ULK1/ULK2-RELATED', NULL, NULL, NULL, 15),
(136854, NULL, 'PTHR46256', NULL, NULL, NULL, NULL, 'AGAP011099-PA', NULL, NULL, NULL, 15),
(136855, NULL, 'PTHR14581:SF5', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 15-LIKE PROTEIN', NULL, NULL, NULL, 15),
(136856, NULL, 'PTHR31300', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, 4778, 15),
(136857, NULL, 'PTHR21495:SF149', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(136858, NULL, 'PTHR31589:SF145', NULL, NULL, NULL, NULL, 'BNAC04G03430D PROTEIN', NULL, NULL, NULL, 15),
(136859, NULL, 'PTHR22989:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG23470', NULL, NULL, NULL, 15),
(136860, NULL, 'PTHR30121:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136861, NULL, 'PTHR47681:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT P-RELATED', NULL, NULL, NULL, 15),
(136862, NULL, 'PTHR33191:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136863, NULL, 'PTHR43420:SF9', NULL, NULL, NULL, NULL, 'PHOSPHINOTHRICIN N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(136864, NULL, 'PTHR31897:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG04463', NULL, NULL, NULL, 15),
(136865, NULL, 'PTHR11475:SF82', NULL, NULL, NULL, NULL, 'CARDINAL', NULL, NULL, NULL, 15),
(136866, NULL, 'PTHR43982:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(136867, NULL, 'PTHR34947:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136868, NULL, 'PTHR14237:SF74', NULL, NULL, NULL, NULL, 'BNAA09G17270D PROTEIN', NULL, NULL, NULL, 15),
(136869, NULL, 'PTHR47746:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136870, NULL, 'PTHR22979', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(136871, NULL, 'PTHR33281:SF14', NULL, NULL, NULL, NULL, 'BNAC04G50530D PROTEIN', NULL, NULL, NULL, 15),
(136872, NULL, 'PTHR43888', NULL, NULL, NULL, NULL, 'DNAJ-LIKE-2, ISOFORM A-RELATED', NULL, NULL, 37551, 15),
(136873, NULL, 'PTHR32410:SF162', NULL, NULL, NULL, NULL, 'CHP-RICH ZINC FINGER PROTEIN-LIKE-RELATED', NULL, NULL, NULL, 15),
(136874, NULL, 'PTHR31639:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136875, NULL, 'PTHR32285:SF289', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(136876, NULL, 'PTHR43098:SF2', NULL, NULL, NULL, NULL, 'FAD-BINDING MONOOXYGENASE AUSB-RELATED', NULL, NULL, NULL, 15),
(136877, NULL, 'PTHR31636:SF235', NULL, NULL, NULL, NULL, 'BNAA09G02850D PROTEIN', NULL, NULL, NULL, 15),
(136878, NULL, 'PTHR10891:SF900', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML28-RELATED', NULL, NULL, NULL, 15),
(136879, NULL, 'PTHR13491:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(136880, NULL, 'PTHR10257:SF69', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2A REGULATORY B SUBUNIT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(136881, NULL, 'PTHR31490:SF49', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-LIKE', NULL, NULL, NULL, 15),
(136882, NULL, 'PTHR12280:SF30', NULL, NULL, NULL, NULL, 'FUMBLE', NULL, NULL, NULL, 15),
(136883, NULL, 'PTHR13832:SF753', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 25-RELATED', NULL, NULL, NULL, 15),
(136884, NULL, 'PTHR46352:SF13', NULL, NULL, NULL, NULL, 'BNAC09G36170D PROTEIN', NULL, NULL, NULL, 15),
(136885, NULL, 'PTHR42729:SF2', NULL, NULL, NULL, NULL, 'OLIGO/DIPEPTIDE TRANSPORT, PERMEASE PROTEIN (DPPC-2)', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136886, NULL, 'PTHR36684', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX14', NULL, NULL, 29290, 15),
(136887, NULL, 'PTHR12174:SF86', NULL, NULL, NULL, NULL, 'PA DOMAIN, PRESENILIN/SIGNAL PEPTIDE PEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(136888, NULL, 'PTHR18063:SF17', NULL, NULL, NULL, NULL, 'ALANINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(136889, NULL, 'PTHR23266:SF246', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION H8-RELATED', NULL, NULL, NULL, 15),
(136890, NULL, 'PTHR11451:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136891, NULL, 'PTHR10882:SF5', NULL, NULL, NULL, NULL, 'DIPHTHINE SYNTHASE', NULL, NULL, NULL, 15),
(136892, NULL, 'PTHR10766:SF110', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 8-RELATED', NULL, NULL, NULL, 15),
(136893, NULL, 'PTHR22947:SF6', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(136894, NULL, 'PTHR44191:SF24', NULL, NULL, NULL, NULL, 'BNAA03G55780D PROTEIN', NULL, NULL, NULL, 15),
(136895, NULL, 'PTHR12547:SF132', NULL, NULL, NULL, NULL, 'PHARYNX AND INTESTINE IN EXCESS PROTEIN 1', NULL, NULL, NULL, 15),
(136896, NULL, 'PTHR48007:SF28', NULL, NULL, NULL, NULL, 'BNAA02G05030D PROTEIN', NULL, NULL, NULL, 15),
(136897, NULL, 'PTHR31827:SF35', NULL, NULL, NULL, NULL, 'LORICRIN-RELATED', NULL, NULL, NULL, 15),
(136898, NULL, 'PTHR23244:SF425', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136899, NULL, 'PTHR38099:SF1', NULL, NULL, NULL, NULL, 'LARGE RIBOSOMAL RNA SUBUNIT ACCUMULATION PROTEIN YCED', NULL, NULL, NULL, 15),
(136900, NULL, 'PTHR22761:SF67', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 32 HOMOLOG 2-LIKE', NULL, NULL, NULL, 15),
(136901, NULL, 'PTHR23055:SF69', NULL, NULL, NULL, NULL, 'NEURONAL CALCIUM SENSOR 2', NULL, NULL, NULL, 15),
(136902, NULL, 'PTHR14958:SF29', NULL, NULL, NULL, NULL, 'INSOMNIAC, ISOFORM B', NULL, NULL, NULL, 15),
(136903, NULL, 'PTHR23155:SF1136', NULL, NULL, NULL, NULL, 'OS09G0313600 PROTEIN', NULL, NULL, NULL, 15),
(136904, NULL, 'PTHR46969:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN HLDE', NULL, NULL, NULL, 15),
(136905, NULL, 'PTHR24073:SF185', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-14', NULL, NULL, NULL, 15),
(136906, NULL, 'PTHR44755:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136907, NULL, 'PTHR43519', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE HRPB', NULL, NULL, NULL, 15),
(136908, NULL, 'PTHR35145', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, 5669, 15),
(136909, NULL, 'PTHR23226:SF189', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 239', NULL, NULL, NULL, 15),
(136910, NULL, 'PTHR11802:SF217', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(136911, NULL, 'PTHR31620:SF20', NULL, NULL, NULL, NULL, 'BNAA05G29600D PROTEIN', NULL, NULL, NULL, 15),
(136912, NULL, 'PTHR32468:SF144', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 17', NULL, NULL, NULL, 15),
(136913, NULL, 'PTHR32212:SF303', NULL, NULL, NULL, NULL, 'BNAA09G08620D PROTEIN', NULL, NULL, NULL, 15),
(136914, NULL, 'PTHR45637:SF30', NULL, NULL, NULL, NULL, 'OS02G0603000 PROTEIN', NULL, NULL, NULL, 15),
(136915, NULL, 'PTHR19321:SF35', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 6', NULL, NULL, NULL, 15),
(136916, NULL, 'PTHR24228:SF49', NULL, NULL, NULL, NULL, 'MELATONIN RECEPTOR TYPE 1A-LIKE', NULL, NULL, NULL, 15),
(136917, NULL, 'PTHR33573:SF12', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(136918, NULL, 'PTHR34851:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG16728', NULL, NULL, NULL, 15),
(136919, NULL, 'PTHR12411:SF764', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE RD21A-LIKE', NULL, NULL, NULL, 15),
(136920, NULL, 'PTHR36531', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED EXONUCLEASE CAS4', NULL, NULL, NULL, 15),
(136921, NULL, 'PTHR45736:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER MYM-TYPE PROTEIN 3', NULL, NULL, NULL, 15),
(136922, NULL, 'PTHR46128:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136923, NULL, 'PTHR31662:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136924, NULL, 'PTHR48059:SF11', NULL, NULL, NULL, NULL, 'BNAA03G55610D PROTEIN', NULL, NULL, NULL, 15),
(136925, NULL, 'PTHR46413:SF8', NULL, NULL, NULL, NULL, 'OS02G0818900 PROTEIN', NULL, NULL, NULL, 15),
(136926, NULL, 'PTHR23070:SF105', NULL, NULL, NULL, NULL, 'BNAA01G06770D PROTEIN', NULL, NULL, NULL, 15),
(136927, NULL, 'PTHR30151:SF23', NULL, NULL, NULL, NULL, 'OSMOPROTECTANT IMPORT PERMEASE PROTEIN OSMY', NULL, NULL, NULL, 15),
(136928, NULL, 'PTHR10529:SF339', NULL, NULL, NULL, NULL, 'STONIN-1', NULL, NULL, 28137, 15),
(136929, NULL, 'PTHR11434:SF14', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE SUBUNIT 4L', NULL, NULL, NULL, 15),
(136930, NULL, 'PTHR12537:SF26', NULL, NULL, NULL, NULL, 'PUMILIO DOMAIN-CONTAINING PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(136931, NULL, 'PTHR23404', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN SYNTHASE RELATED', NULL, NULL, NULL, 15),
(136932, NULL, 'PTHR31286:SF77', NULL, NULL, NULL, NULL, 'BNAC03G74910D PROTEIN', NULL, NULL, NULL, 15),
(136933, NULL, 'PTHR24025:SF3', NULL, NULL, NULL, NULL, 'DESMOGLEIN-3', NULL, NULL, NULL, 15),
(136934, NULL, 'PTHR11945:SF644', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 18', NULL, NULL, NULL, 15),
(136935, NULL, 'PTHR32093:SF106', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136936, NULL, 'PTHR18860:SF100', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN D', NULL, NULL, NULL, 15),
(136937, NULL, 'PTHR12587:SF15', NULL, NULL, NULL, NULL, 'LIPRIN-ALPHA-1', NULL, NULL, 24017, 15),
(136938, NULL, 'PTHR12619:SF23', NULL, NULL, NULL, NULL, 'MHC CLASS II REGULATORY FACTOR RFX1', NULL, NULL, NULL, 15),
(136939, NULL, 'PTHR10183:SF409', NULL, NULL, NULL, NULL, 'CALPAIN 8', NULL, NULL, NULL, 15),
(136940, NULL, 'PTHR16502:SF0', NULL, NULL, NULL, NULL, 'KERATINOCYTE-ASSOCIATED TRANSMEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(136941, NULL, 'PTHR47971:SF7', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(136942, NULL, 'PTHR10351:SF65', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3', NULL, NULL, NULL, 15),
(136943, NULL, 'PTHR46736:SF31', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(136944, NULL, 'PTHR46011:SF8', NULL, NULL, NULL, NULL, 'HIGH ZINC ACTIVATED NUCLEAR RECEPTOR PROTEIN', NULL, NULL, NULL, 15),
(136945, NULL, 'PTHR42052:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136946, NULL, 'PTHR11758:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136947, NULL, 'PTHR34573', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136948, NULL, 'PTHR10826:SF23', NULL, NULL, NULL, NULL, 'BNAC04G55580D PROTEIN', NULL, NULL, NULL, 15),
(136949, NULL, 'PTHR15241:SF351', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SR45A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(136950, NULL, 'PTHR45693:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA4', NULL, NULL, NULL, 15),
(136951, NULL, 'PTHR45933:SF30', NULL, NULL, NULL, NULL, 'BNAA02G25740D PROTEIN', NULL, NULL, NULL, 15),
(136952, NULL, 'PTHR36326:SF18', NULL, NULL, NULL, NULL, 'BNAANNG39320D PROTEIN', NULL, NULL, NULL, 15),
(136953, NULL, 'PTHR22807:SF65', NULL, NULL, NULL, NULL, 'BNACNNG49010D PROTEIN', NULL, NULL, NULL, 15),
(136954, NULL, 'PTHR16056:SF4', NULL, NULL, NULL, NULL, 'REGULATOR OF MICROTUBULE DYNAMICS PROTEIN 1', NULL, NULL, NULL, 15),
(136955, NULL, 'PTHR31300:SF40', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF620)-RELATED', NULL, NULL, NULL, 15),
(136956, NULL, 'PTHR11875:SF30', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(136957, NULL, 'PTHR10176:SF3', NULL, NULL, NULL, NULL, 'GLYCOGEN [STARCH] SYNTHASE', NULL, NULL, NULL, 15),
(136958, NULL, 'PTHR44259:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136959, NULL, 'PTHR10351:SF56', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136960, NULL, 'PTHR12369:SF22', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE SYNTHASE 2', NULL, NULL, NULL, 15),
(136961, NULL, 'PTHR47928:SF64', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(136962, NULL, 'PTHR31072:SF154', NULL, NULL, NULL, NULL, 'TCP FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(136963, NULL, 'PTHR11439:SF323', NULL, NULL, NULL, NULL, 'BNAC04G13640D PROTEIN', NULL, NULL, NULL, 15),
(136964, NULL, 'PTHR13355:SF19', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(136965, NULL, 'PTHR13456:SF0', NULL, NULL, NULL, NULL, 'UPF0729 PROTEIN C18ORF32', NULL, NULL, NULL, 15),
(136966, NULL, 'PTHR46736:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136967, NULL, 'PTHR11183:SF56', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE:XYLAN ALPHA-GLUCURONOSYLTRANSFERASE 3-RELATED', NULL, NULL, 24280, 15),
(136968, NULL, 'PTHR48002:SF127', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4Q2', NULL, NULL, NULL, 15),
(136969, NULL, 'PTHR45725:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136970, NULL, 'PTHR24221:SF125', NULL, NULL, NULL, NULL, 'HALF TRANSPORTER (PGP RELATED)', NULL, NULL, NULL, 15),
(136971, NULL, 'PTHR31374:SF268', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(136972, NULL, 'PTHR10992:SF780', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(136973, NULL, 'PTHR46868:SF3', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 11', NULL, NULL, NULL, 15),
(136974, NULL, 'PTHR21736:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136975, NULL, 'PTHR15614', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 81 HOMOLOG', NULL, NULL, 25887, 15),
(136976, NULL, 'PTHR33333:SF17', NULL, NULL, NULL, NULL, 'BNAC03G22350D PROTEIN', NULL, NULL, NULL, 15),
(136977, NULL, 'PTHR10887:SF388', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS 1', NULL, NULL, NULL, 15),
(136978, NULL, 'PTHR47999:SF14', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', NULL, NULL, NULL, 15),
(136979, NULL, 'PTHR23115:SF271', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(136980, NULL, 'PTHR43546:SF3', NULL, NULL, NULL, NULL, 'UPF0173 METAL-DEPENDENT HYDROLASE MJ1163', NULL, NULL, NULL, 15),
(136981, NULL, 'PTHR47990:SF39', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00800)-RELATED', NULL, NULL, NULL, 15),
(136982, NULL, 'PTHR43088:SF1', NULL, NULL, NULL, NULL, 'SUBUNIT OF PYRUVATE:FLAVODOXIN OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(136983, NULL, 'PTHR43345:SF2', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE SMALL SUBUNIT 2-RELATED', NULL, NULL, NULL, 15),
(136984, NULL, 'PTHR46742:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER MATRIN-TYPE PROTEIN 1', NULL, NULL, NULL, 15),
(136985, NULL, 'PTHR21717', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT BINDING PROTEIN', NULL, NULL, 26562, 15),
(136986, NULL, 'PTHR42683:SF71', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(136987, NULL, 'PTHR31054:SF3', NULL, NULL, NULL, NULL, 'ZYGOTE ARREST PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(136988, NULL, 'PTHR34222:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136989, NULL, 'PTHR33400:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(136990, NULL, 'PTHR37427:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG20963', NULL, NULL, NULL, 15),
(136991, NULL, 'PTHR21319:SF48', NULL, NULL, NULL, NULL, 'BNAA01G26820D PROTEIN', NULL, NULL, NULL, 15),
(136992, NULL, 'PTHR11361:SF130', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MSH1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(136993, NULL, 'PTHR12542:SF36', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(136994, NULL, 'PTHR11214:SF3', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(136995, NULL, 'PTHR24083:SF172', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-69', NULL, NULL, NULL, 15),
(136996, NULL, 'PTHR15725:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700017N19 GENE', NULL, NULL, NULL, 15),
(136997, NULL, 'PTHR11610:SF111', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1 MEMBER A', NULL, NULL, NULL, 15),
(136998, NULL, 'PTHR31374:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(136999, NULL, 'PTHR23500:SF530', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137000, NULL, 'PTHR47990:SF172', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-RELATED', NULL, NULL, NULL, 15),
(137001, NULL, 'PTHR46038:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137002, NULL, 'PTHR10334:SF454', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(137003, NULL, 'PTHR13891:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 7', NULL, NULL, NULL, 15),
(137004, NULL, 'PTHR22881:SF26', NULL, NULL, NULL, NULL, 'BROMODOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(137005, NULL, 'PTHR31050:SF5', NULL, NULL, NULL, NULL, 'BNAC08G40280D PROTEIN', NULL, NULL, NULL, 15),
(137006, NULL, 'PTHR12357:SF30', NULL, NULL, NULL, NULL, 'OS03G0158500 PROTEIN', NULL, NULL, NULL, 15),
(137007, NULL, 'PTHR22607:SF4', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 2-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(137008, NULL, 'PTHR46442:SF8', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 6', NULL, NULL, NULL, 15),
(137009, NULL, 'PTHR12957:SF2', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(137010, NULL, 'PTHR34124:SF12', NULL, NULL, NULL, NULL, 'GB|AAF32471.1', NULL, NULL, NULL, 15),
(137011, NULL, 'PTHR14614:SF134', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137012, NULL, 'PTHR46369:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137013, NULL, 'PTHR47978:SF20', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA2A', NULL, NULL, NULL, 15),
(137014, NULL, 'PTHR31170:SF10', NULL, NULL, NULL, NULL, 'BNAANNG36000D PROTEIN', NULL, NULL, NULL, 15),
(137015, NULL, 'PTHR22838:SF19', NULL, NULL, NULL, NULL, 'DYNEIN REGULATOR LIS1-RELATED', NULL, NULL, NULL, 15),
(137016, NULL, 'PTHR15254', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP G PROTEIN FAMILY MEMBER', NULL, NULL, 29886, 15),
(137017, NULL, 'PTHR10938:SF3', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF3-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(137018, NULL, 'PTHR46000:SF10', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(137019, NULL, 'PTHR30620:SF83', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 3 N TERMINAL DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(137020, NULL, 'PTHR22893:SF122', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 1', NULL, NULL, NULL, 15),
(137021, NULL, 'PTHR23070:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137022, NULL, 'PTHR43003:SF9', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE 1-LIKE', NULL, NULL, NULL, 15),
(137023, NULL, 'PTHR33050', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137024, NULL, 'PTHR37212', NULL, NULL, NULL, NULL, 'ACTIN PROTEIN 2/3 COMPLEX SUBUNIT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(137025, NULL, 'PTHR12277:SF172', NULL, NULL, NULL, NULL, 'BNAA05G16340D PROTEIN', NULL, NULL, NULL, 15),
(137026, NULL, 'PTHR33413:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137027, NULL, 'PTHR24637:SF347', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(137028, NULL, 'PTHR43840:SF35', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 10', NULL, NULL, NULL, 15),
(137029, NULL, 'PTHR17453:SF1', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 19 KDA PROTEIN', NULL, NULL, NULL, 15),
(137030, NULL, 'PTHR46407:SF13', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137031, NULL, 'PTHR14143:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07708', NULL, NULL, NULL, 15),
(137032, NULL, 'PTHR22633:SF1', NULL, NULL, NULL, NULL, 'NEURONAL TYROSINE-PHOSPHORYLATED PHOSPHOINOSITIDE-3-KINASE ADAPTER 2', NULL, NULL, 22472, 15),
(137033, NULL, 'PTHR23292:SF14', NULL, NULL, NULL, NULL, 'FI16615P1-RELATED', NULL, NULL, NULL, 15),
(137034, NULL, 'PTHR36434:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEASE YUGP-RELATED', NULL, NULL, NULL, 15),
(137035, NULL, 'PTHR31901:SF68', NULL, NULL, NULL, NULL, 'BNAA09G48110D PROTEIN', NULL, NULL, NULL, 15),
(137036, NULL, 'PTHR47650', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 22', NULL, NULL, NULL, 15),
(137037, NULL, 'PTHR10353:SF231', NULL, NULL, NULL, NULL, 'BNAC02G40090D PROTEIN', NULL, NULL, NULL, 15),
(137038, NULL, 'PTHR24068:SF340', NULL, NULL, NULL, NULL, 'BNAA09G12050D PROTEIN', NULL, NULL, NULL, 15),
(137039, NULL, 'PTHR33107:SF43', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR 1', NULL, NULL, NULL, 15),
(137040, NULL, 'PTHR10502:SF8', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(137041, NULL, 'PTHR43649:SF17', NULL, NULL, NULL, NULL, 'LIPOPROTEIN LIPO', NULL, NULL, NULL, 15),
(137042, NULL, 'PTHR31194:SF61', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF003-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(137043, NULL, 'PTHR23177:SF58', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACK', NULL, NULL, NULL, 15),
(137044, NULL, 'PTHR31579:SF46', NULL, NULL, NULL, NULL, 'OS05G0519300 PROTEIN', NULL, NULL, NULL, 15),
(137045, NULL, 'PTHR22761:SF7', NULL, NULL, NULL, NULL, 'SNF7 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(137046, NULL, 'PTHR43761', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G13630)', NULL, NULL, NULL, 15),
(137047, NULL, 'PTHR13382:SF21', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN (LRRP), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(137048, NULL, 'PTHR11759:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137049, NULL, 'PTHR47965:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137050, NULL, 'PTHR32158:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137051, NULL, 'PTHR22597:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137052, NULL, 'PTHR12420:SF15', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 6', NULL, NULL, NULL, 15),
(137053, NULL, 'PTHR10992:SF1064', NULL, NULL, NULL, NULL, 'METHYLKETONE SYNTHASE IB', NULL, NULL, NULL, 15),
(137054, NULL, 'PTHR31929:SF83', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(137055, NULL, 'PTHR12015:SF98', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 2', NULL, NULL, NULL, 15),
(137056, NULL, 'PTHR32419:SF28', NULL, NULL, NULL, NULL, 'BNAC02G31320D PROTEIN', NULL, NULL, NULL, 15),
(137057, NULL, 'PTHR47967:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137058, NULL, 'PTHR31871:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137059, NULL, 'PTHR46252:SF1', NULL, NULL, NULL, NULL, 'ZGC:113531', NULL, NULL, NULL, 15),
(137060, NULL, 'PTHR46922:SF3', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(137061, NULL, 'PTHR33098:SF48', NULL, NULL, NULL, NULL, 'BNACNNG65750D PROTEIN', NULL, NULL, NULL, 15),
(137062, NULL, 'PTHR24299:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP736A12-LIKE', NULL, NULL, NULL, 15),
(137063, NULL, 'PTHR45758:SF4', NULL, NULL, NULL, NULL, 'MITOFERRIN-1', NULL, NULL, NULL, 15),
(137064, NULL, 'PTHR31447:SF10', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(137065, NULL, 'PTHR20961:SF125', NULL, NULL, NULL, NULL, 'OS01G0119100 PROTEIN', NULL, NULL, NULL, 15),
(137066, NULL, 'PTHR22891:SF150', NULL, NULL, NULL, NULL, 'BNAC09G36780D PROTEIN', NULL, NULL, NULL, 15),
(137067, NULL, 'PTHR23172:SF73', NULL, NULL, NULL, NULL, 'OS06G0678100 PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137068, NULL, 'PTHR33515', NULL, NULL, NULL, NULL, 'RIBOSOME-BINDING FACTOR A, CHLOROPLASTIC-RELATED', NULL, NULL, 4605, 15),
(137069, NULL, 'PTHR43895:SF96', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(137070, NULL, 'PTHR31748:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(137071, NULL, 'PTHR35104:SF13', NULL, NULL, NULL, NULL, 'BNAA05G37210D PROTEIN', NULL, NULL, NULL, 15),
(137072, NULL, 'PTHR45670:SF4', NULL, NULL, NULL, NULL, 'HECT E3 UBIQUITIN LIGASE-RELATED', NULL, NULL, NULL, 15),
(137073, NULL, 'PTHR21495:SF205', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(137074, NULL, 'PTHR10766', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY PROTEIN', NULL, NULL, 3508, 15),
(137075, NULL, 'PTHR24390:SF122', NULL, NULL, NULL, NULL, 'MYC-ASSOCIATED ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(137076, NULL, 'PTHR31354:SF11', NULL, NULL, NULL, NULL, 'BNAC09G31390D PROTEIN', NULL, NULL, NULL, 15),
(137077, NULL, 'PTHR45926:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(137078, NULL, 'PTHR13318:SF190', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKP2A-RELATED', NULL, NULL, NULL, 15),
(137079, NULL, 'PTHR33101:SF64', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 8-LIKE', NULL, NULL, NULL, 15),
(137080, NULL, 'PTHR11260:SF627', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(137081, NULL, 'PTHR47335:SF1', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-XVI', NULL, NULL, NULL, 15),
(137082, NULL, 'PTHR24015:SF388', NULL, NULL, NULL, NULL, 'OS02G0680500 PROTEIN', NULL, NULL, NULL, 15),
(137083, NULL, 'PTHR14155:SF511', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137084, NULL, 'PTHR10485:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM17-A', NULL, NULL, NULL, 15),
(137085, NULL, 'PTHR47593:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137086, NULL, 'PTHR37180:SF8', NULL, NULL, NULL, NULL, 'BNAA06G11430D PROTEIN', NULL, NULL, NULL, 15),
(137087, NULL, 'PTHR16255:SF19', NULL, NULL, NULL, NULL, 'BNAC02G19150D PROTEIN', NULL, NULL, NULL, 15),
(137088, NULL, 'PTHR46041', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE SUBUNIT 2', NULL, NULL, 36298, 15),
(137089, NULL, 'PTHR36519:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG14900', NULL, NULL, NULL, 15),
(137090, NULL, 'PTHR48044:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(137091, NULL, 'PTHR31945:SF93', NULL, NULL, NULL, NULL, 'BNAC08G49840D PROTEIN', NULL, NULL, NULL, 15),
(137092, NULL, 'PTHR33167:SF40', NULL, NULL, NULL, NULL, 'BNAA09G29050D PROTEIN', NULL, NULL, NULL, 15),
(137093, NULL, 'PTHR22761:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137094, NULL, 'PTHR15907:SF112', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(137095, NULL, 'PTHR34149:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG26349', NULL, NULL, NULL, 15),
(137096, NULL, 'PTHR31132:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137097, NULL, 'PTHR21258:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137098, NULL, 'PTHR45637:SF38', NULL, NULL, NULL, NULL, 'PROTEIN KINASE G11A', NULL, NULL, NULL, 15),
(137099, NULL, 'PTHR42841:SF4', NULL, NULL, NULL, NULL, 'AMP-BINDING ENZYME', NULL, NULL, NULL, 15),
(137100, NULL, 'PTHR11545', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L13', NULL, NULL, 5945, 15),
(137101, NULL, 'PTHR45800:SF30', NULL, NULL, NULL, NULL, 'BNAA01G13180D PROTEIN', NULL, NULL, NULL, 15),
(137102, NULL, 'PTHR21645:SF14', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN ZK381.2', NULL, NULL, NULL, 15),
(137103, NULL, 'PTHR46774:SF4', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN EAF1 B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(137104, NULL, 'PTHR24296:SF107', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 86, SUBFAMILY C, POLYPEPTIDE 1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137105, NULL, 'PTHR23343:SF41', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA SPERM-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(137106, NULL, 'PTHR46115:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE', NULL, NULL, NULL, 15),
(137107, NULL, 'PTHR10887:SF364', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS 1 HOMOLOG', NULL, NULL, NULL, 15),
(137108, NULL, 'PTHR31268:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137109, NULL, 'PTHR31087:SF89', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 5-LIKE', NULL, NULL, NULL, 15),
(137110, NULL, 'PTHR43069:SF5', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETASE', NULL, NULL, NULL, 15),
(137111, NULL, 'PTHR42979:SF1', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(137112, NULL, 'PTHR11139:SF69', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATR', NULL, NULL, NULL, 15),
(137113, NULL, 'PTHR44085', NULL, NULL, NULL, NULL, 'SEPIAPTERIN REDUCTASE', NULL, NULL, NULL, 15),
(137114, NULL, 'PTHR13598:SF1', NULL, NULL, NULL, NULL, 'AT07567P-RELATED', NULL, NULL, NULL, 15),
(137115, NULL, 'PTHR10333:SF99', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN 3', NULL, NULL, 36386, 15),
(137116, NULL, 'PTHR24089:SF720', NULL, NULL, NULL, NULL, 'BNAA05G18840D PROTEIN', NULL, NULL, NULL, 15),
(137117, NULL, 'PTHR38052', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(137118, NULL, 'PTHR23030:SF32', NULL, NULL, NULL, NULL, 'BRO1 DOMAIN-CONTAINING PROTEIN BROX', NULL, NULL, NULL, 15),
(137119, NULL, 'PTHR31676:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137120, NULL, 'PTHR36947:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04400', NULL, NULL, NULL, 15),
(137121, NULL, 'PTHR24068:SF170', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 L5', NULL, NULL, NULL, 15),
(137122, NULL, 'PTHR13068:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137123, NULL, 'PTHR33780', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(137124, NULL, 'PTHR19441:SF17', NULL, NULL, NULL, NULL, 'PROTEIN WFDC10B', NULL, NULL, NULL, 15),
(137125, NULL, 'PTHR36049:SF4', NULL, NULL, NULL, NULL, 'BNAA01G17430D PROTEIN', NULL, NULL, NULL, 15),
(137126, NULL, 'PTHR26453:SF171', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(137127, NULL, 'PTHR23023:SF254', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(137128, NULL, 'PTHR12035:SF96', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 16', NULL, NULL, NULL, 15),
(137129, NULL, 'PTHR14471', NULL, NULL, NULL, NULL, 'MARCH7/10 E3 UBIQUITIN PROTEIN LIGASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(137130, NULL, 'PTHR30561:SF21', NULL, NULL, NULL, NULL, 'MOLECULAR CHAPERONE-RELATED', NULL, NULL, NULL, 15),
(137131, NULL, 'PTHR48001:SF127', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(137132, NULL, 'PTHR15811:SF5', NULL, NULL, NULL, NULL, 'MTH938 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(137133, NULL, 'PTHR36849:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137134, NULL, 'PTHR42663:SF7', NULL, NULL, NULL, NULL, 'COENZYME PQQ SYNTHESIS PROTEIN B', NULL, NULL, NULL, 15),
(137135, NULL, 'PTHR31949:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137136, NULL, 'PTHR13817:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137137, NULL, 'PTHR48049:SF63', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 72C1', NULL, NULL, NULL, 15),
(137138, NULL, 'PTHR45682:SF12', NULL, NULL, NULL, NULL, 'ZGC:153981', NULL, NULL, NULL, 15),
(137139, NULL, 'PTHR24071:SF24', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN-1-RELATED', NULL, NULL, NULL, 15),
(137140, NULL, 'PTHR45811:SF52', NULL, NULL, NULL, NULL, 'FK506-BINDING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(137141, NULL, 'PTHR34861:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137142, NULL, 'PTHR48111:SF28', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN TCRX-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137143, NULL, 'PTHR33147:SF61', NULL, NULL, NULL, NULL, 'EMBRYO SAC2', NULL, NULL, NULL, 15),
(137144, NULL, 'PTHR31232:SF26', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(137145, NULL, 'PTHR14826:SF3', NULL, NULL, NULL, NULL, 'ANGIOMOTIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(137146, NULL, 'PTHR20854', NULL, NULL, NULL, NULL, 'INOSITOL MONOPHOSPHATASE', NULL, NULL, NULL, 15),
(137147, NULL, 'PTHR48061:SF19', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(137148, NULL, 'PTHR47238:SF2', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE HEMIPTEROUS', NULL, NULL, NULL, 15),
(137149, NULL, 'PTHR15427:SF19', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXVI) CHAIN', NULL, NULL, NULL, 15),
(137150, NULL, 'PTHR11709:SF136', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE', NULL, NULL, 19242, 15),
(137151, NULL, 'PTHR10926:SF57', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN', NULL, NULL, NULL, 15),
(137152, NULL, 'PTHR31509:SF62', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(137153, NULL, 'PTHR33832:SF20', NULL, NULL, NULL, NULL, 'WOUND-INDUCED PROTEINASE INHIBITOR 2', NULL, NULL, NULL, 15),
(137154, NULL, 'PTHR23359:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137155, NULL, 'PTHR45742:SF5', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C8 BETA CHAIN', NULL, NULL, 30216, 15),
(137156, NULL, 'PTHR15124:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137157, NULL, 'PTHR24282:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP13A6-RELATED', NULL, NULL, NULL, 15),
(137158, NULL, 'PTHR31282', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 21-RELATED', NULL, NULL, 37984, 15),
(137159, NULL, 'PTHR23262:SF195', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 1-5', NULL, NULL, NULL, 15),
(137160, NULL, 'PTHR14445:SF37', NULL, NULL, NULL, NULL, 'GRB10-INTERACTING GYF PROTEIN 1', NULL, NULL, NULL, 15),
(137161, NULL, 'PTHR31048:SF8', NULL, NULL, NULL, NULL, 'OS10G0412700 PROTEIN', NULL, NULL, NULL, 15),
(137162, NULL, 'PTHR40627', NULL, NULL, NULL, NULL, 'INDOLE PRENYLTRANSFERASE TDIB-RELATED', NULL, NULL, 19205, 15),
(137163, NULL, 'PTHR33257:SF4', NULL, NULL, NULL, NULL, 'OS05G0165500 PROTEIN', NULL, NULL, NULL, 15),
(137164, NULL, 'PTHR47668', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G01940)', NULL, NULL, NULL, 15),
(137165, NULL, 'PTHR31549:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137166, NULL, 'PTHR10438:SF390', NULL, NULL, NULL, NULL, 'THIOREDOXIN H4-1', NULL, NULL, NULL, 15),
(137167, NULL, 'PTHR11054:SF16', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE 5-RELATED', NULL, NULL, NULL, 15),
(137168, NULL, 'PTHR23226:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137169, NULL, 'PTHR37711:SF1', NULL, NULL, NULL, NULL, 'OS01G0908400 PROTEIN', NULL, NULL, NULL, 15),
(137170, NULL, 'PTHR48011:SF18', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 20', NULL, NULL, NULL, 15),
(137171, NULL, 'PTHR24093:SF448', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(137172, NULL, 'PTHR10663:SF356', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 4', NULL, NULL, NULL, 15),
(137173, NULL, 'PTHR10838:SF8', NULL, NULL, NULL, NULL, 'SYNAPTOGYRIN-3', NULL, NULL, NULL, 15),
(137174, NULL, 'PTHR43214:SF35', NULL, NULL, NULL, NULL, 'TWO COMPONENT RESPONSE REGULATOR-RELATED', NULL, NULL, NULL, 15),
(137175, NULL, 'PTHR22883:SF363', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(137176, NULL, 'PTHR45696', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1', NULL, NULL, NULL, 15),
(137177, NULL, 'PTHR12011:SF58', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR D2', NULL, NULL, NULL, 15),
(137178, NULL, 'PTHR48043:SF46', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-60-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137179, NULL, 'PTHR12169:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137180, NULL, 'PTHR24353:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137181, NULL, 'PTHR10797:SF48', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 11-RELATED', NULL, NULL, NULL, 15),
(137182, NULL, 'PTHR43364', NULL, NULL, NULL, NULL, 'NADH-SPECIFIC METHYLGLYOXAL REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(137183, NULL, 'PTHR10314:SF206', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(137184, NULL, 'PTHR26451:SF928', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 148-RELATED', NULL, NULL, NULL, 15),
(137185, NULL, 'PTHR12669:SF12', NULL, NULL, NULL, NULL, '4E-BINDING PROTEIN THOR', NULL, NULL, NULL, 15),
(137186, NULL, 'PTHR31992:SF211', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.4-LIKE', NULL, NULL, NULL, 15),
(137187, NULL, 'PTHR23267:SF426', NULL, NULL, NULL, NULL, 'SI:CH211-137I24.12', NULL, NULL, NULL, 15),
(137188, NULL, 'PTHR31384:SF36', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 22', NULL, NULL, NULL, 15),
(137189, NULL, 'PTHR31636:SF256', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137190, NULL, 'PTHR45845:SF4', NULL, NULL, NULL, NULL, 'PURATROPHIN-1', NULL, NULL, NULL, 15),
(137191, NULL, 'PTHR33132:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137192, NULL, 'PTHR30034', NULL, NULL, NULL, NULL, 'FLAGELLAR MOTOR SWITCH PROTEIN FLIM', NULL, NULL, NULL, 15),
(137193, NULL, 'PTHR33876:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(137194, NULL, 'PTHR46999:SF4', NULL, NULL, NULL, NULL, 'ALPHA-GLUCAN WATER DIKINASE 2', NULL, NULL, NULL, 15),
(137195, NULL, 'PTHR47966:SF3', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE', NULL, NULL, NULL, 15),
(137196, NULL, 'PTHR22811:SF128', NULL, NULL, NULL, NULL, 'OS08G0469400 PROTEIN', NULL, NULL, NULL, 15),
(137197, NULL, 'PTHR12532', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 5891, 15),
(137198, NULL, 'PTHR47968:SF26', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN NACK2', NULL, NULL, NULL, 15),
(137199, NULL, 'PTHR32191:SF65', NULL, NULL, NULL, NULL, 'TETRASPANIN-8-LIKE', NULL, NULL, NULL, 15),
(137200, NULL, 'PTHR24282:SF214', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 72 SUBFAMILY A POLYPEPTIDE 8', NULL, NULL, NULL, 15),
(137201, NULL, 'PTHR48043:SF49', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 2A1', NULL, NULL, NULL, 15),
(137202, NULL, 'PTHR11106:SF101', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(137203, NULL, 'PTHR26453:SF108', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2G3', NULL, NULL, 26808, 15),
(137204, NULL, 'PTHR12746', NULL, NULL, NULL, NULL, 'NONSENSE-MEDIATED MRNA DECAY PROTEIN 3', NULL, NULL, 35752, 15),
(137205, NULL, 'PTHR31636:SF236', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', NULL, NULL, NULL, 15),
(137206, NULL, 'PTHR10314:SF162', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(137207, NULL, 'PTHR44259:SF21', NULL, NULL, NULL, NULL, 'OS07G0183000 PROTEIN', NULL, NULL, NULL, 15),
(137208, NULL, 'PTHR36148', NULL, NULL, NULL, NULL, '50 KDA SPICULE MATRIX PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137209, NULL, 'PTHR10676:SF390', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN HEAVY CHAIN 1', NULL, NULL, NULL, 15),
(137210, NULL, 'PTHR43791:SF64', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(137211, NULL, 'PTHR24303:SF31', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 307A1-RELATED', NULL, NULL, NULL, 15),
(137212, NULL, 'PTHR45660:SF1', NULL, NULL, NULL, NULL, 'OS11G0131600 PROTEIN', NULL, NULL, NULL, 15),
(137213, NULL, 'PTHR31376:SF73', NULL, NULL, NULL, NULL, 'OS09G0467300 PROTEIN', NULL, NULL, NULL, 15),
(137214, NULL, 'PTHR22957:SF325', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137215, NULL, 'PTHR13303:SF0', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 2', NULL, NULL, NULL, 15),
(137216, NULL, 'PTHR23070:SF43', NULL, NULL, NULL, NULL, 'OS09G0445700 PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137217, NULL, 'PTHR10380:SF215', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 11A-RELATED', NULL, NULL, NULL, 15),
(137218, NULL, 'PTHR14390:SF2', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(137219, NULL, 'PTHR10395:SF13', NULL, NULL, NULL, NULL, '5-HYDROXYISOURATE HYDROLASE', NULL, NULL, NULL, 15),
(137220, NULL, 'PTHR13102', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 9', NULL, NULL, 29567, 15),
(137221, NULL, 'PTHR11482:SF6', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE 1-RELATED', NULL, NULL, NULL, 15),
(137222, NULL, 'PTHR23159:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137223, NULL, 'PTHR33130:SF51', NULL, NULL, NULL, NULL, 'BNAC06G02220D PROTEIN', NULL, NULL, NULL, 15),
(137224, NULL, 'PTHR24028:SF55', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-4', NULL, NULL, 25476, 15),
(137225, NULL, 'PTHR15108', NULL, NULL, NULL, NULL, 'N-ACYLGLUCOSAMINE-2-EPIMERASE', NULL, NULL, NULL, 15),
(137226, NULL, 'PTHR43795:SF49', NULL, NULL, NULL, NULL, 'ALLIIN LYASE', NULL, NULL, NULL, 15),
(137227, NULL, 'PTHR24377:SF869', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137228, NULL, 'PTHR42743:SF12', NULL, NULL, NULL, NULL, 'OS05G0244700 PROTEIN', NULL, NULL, NULL, 15),
(137229, NULL, 'PTHR24177:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137230, NULL, 'PTHR21528:SF3', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE COMPLEX SUBUNIT NUS1', NULL, NULL, NULL, 15),
(137231, NULL, 'PTHR13948:SF38', NULL, NULL, NULL, NULL, 'D111/G-PATCH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(137232, NULL, 'PTHR31727:SF12', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', NULL, NULL, NULL, 15),
(137233, NULL, 'PTHR10668:SF103', NULL, NULL, NULL, NULL, 'PYRIDINE NUCLEOTIDE-DISULFIDE OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(137234, NULL, 'PTHR23267:SF294', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V REGION S211', NULL, NULL, NULL, 15),
(137235, NULL, 'PTHR44115:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG06354', NULL, NULL, NULL, 15),
(137236, NULL, 'PTHR10585:SF74', NULL, NULL, NULL, NULL, 'BNAANNG32910D PROTEIN', NULL, NULL, NULL, 15),
(137237, NULL, 'PTHR22953:SF133', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(137238, NULL, 'PTHR10165:SF163', NULL, NULL, NULL, NULL, 'OS05G0549900 PROTEIN', NULL, NULL, NULL, 15),
(137239, NULL, 'PTHR12734:SF1', NULL, NULL, NULL, NULL, 'BNAA02G08260D PROTEIN', NULL, NULL, NULL, 15),
(137240, NULL, 'PTHR43795:SF12', NULL, NULL, NULL, NULL, 'AROMATIC AMINOTRANSFERASE ISS1', NULL, NULL, NULL, 15),
(137241, NULL, 'PTHR37944', NULL, NULL, NULL, NULL, 'PORIN B', NULL, NULL, NULL, 15),
(137242, NULL, 'PTHR34793:SF1', NULL, NULL, NULL, NULL, 'PROTEIN THYLAKOID FORMATION 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(137243, NULL, 'PTHR46565:SF7', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(137244, NULL, 'PTHR42849', NULL, NULL, NULL, NULL, 'N-ACETYLNEURAMINATE LYASE', NULL, NULL, NULL, 15),
(137245, NULL, 'PTHR24068:SF341', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 18-RELATED', NULL, NULL, NULL, 15),
(137246, NULL, 'PTHR42695:SF14', NULL, NULL, NULL, NULL, 'BNAA03G50240D PROTEIN', NULL, NULL, NULL, 15),
(137247, NULL, 'PTHR46029', NULL, NULL, NULL, NULL, 'C-TERMINAL-BINDING PROTEIN', NULL, NULL, NULL, 15),
(137248, NULL, 'PTHR36917', NULL, NULL, NULL, NULL, 'INTRACELLULAR SEPTATION PROTEIN A-RELATED', NULL, NULL, 1102, 15),
(137249, NULL, 'PTHR45714:SF18', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX28', NULL, NULL, NULL, 15),
(137250, NULL, 'PTHR24291:SF105', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4P1-RELATED', NULL, NULL, NULL, 15),
(137251, NULL, 'PTHR10366:SF741', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(137252, NULL, 'PTHR22847:SF634', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DIVISION PROTEIN 1', NULL, NULL, NULL, 15),
(137253, NULL, 'PTHR37702:SF13', NULL, NULL, NULL, NULL, 'BNAA09G03280D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137254, NULL, 'PTHR45687:SF53', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE INTRINSIC PROTEIN', NULL, NULL, NULL, 15),
(137255, NULL, 'PTHR21704', NULL, NULL, NULL, NULL, 'NIPPED-B-LIKE PROTEIN  DELANGIN  SCC2-RELATED', NULL, NULL, 29555, 15),
(137256, NULL, 'PTHR10623:SF20', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN RP/EB FAMILY MEMBER 1', NULL, NULL, 26485, 15),
(137257, NULL, 'PTHR45138:SF6', NULL, NULL, NULL, NULL, 'SIGNALING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137258, NULL, 'PTHR24261:SF7', NULL, NULL, NULL, NULL, 'KRINGLE, CONSERVED SITE', NULL, NULL, NULL, 15),
(137259, NULL, 'PTHR12756:SF23', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE 3', NULL, NULL, NULL, 15),
(137260, NULL, 'PTHR46988:SF3', NULL, NULL, NULL, NULL, 'BNACNNG16060D PROTEIN', NULL, NULL, NULL, 15),
(137261, NULL, 'PTHR23282:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137262, NULL, 'PTHR42683:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137263, NULL, 'PTHR47990:SF22', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 2', NULL, NULL, NULL, 15),
(137264, NULL, 'PTHR24217:SF9', NULL, NULL, NULL, NULL, 'SYNAPTOPODIN-2', NULL, NULL, NULL, 15),
(137265, NULL, 'PTHR24177:SF215', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(137266, NULL, 'PTHR23505:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137267, NULL, 'PTHR34674', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:DIACYLGLYCEROL CHOLINEPHOSPHOTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(137268, NULL, 'PTHR45445', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137269, NULL, 'PTHR11036:SF16', NULL, NULL, NULL, NULL, 'SEMAPHORIN-4C', NULL, NULL, NULL, 15),
(137270, NULL, 'PTHR19836:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137271, NULL, 'PTHR43168:SF6', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L33', NULL, NULL, NULL, 15),
(137272, NULL, 'PTHR43660', NULL, NULL, NULL, NULL, 'DIPEPTIDYL CARBOXYPEPTIDASE', NULL, NULL, 36688, 15),
(137273, NULL, 'PTHR32487:SF19', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE', NULL, NULL, NULL, 15),
(137274, NULL, 'PTHR28633', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 3 PROTEIN', NULL, NULL, 15711, 15),
(137275, NULL, 'PTHR14186:SF21', NULL, NULL, NULL, NULL, 'KAZAL-TYPE SERINE PROTEASE INHIBITOR DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(137276, NULL, 'PTHR26379:SF215', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(137277, NULL, 'PTHR45866:SF2', NULL, NULL, NULL, NULL, 'DNA GYRASE SUBUNIT B', NULL, NULL, NULL, 15),
(137278, NULL, 'PTHR31265:SF3', NULL, NULL, NULL, NULL, 'OS02G0527500 PROTEIN', NULL, NULL, NULL, 15),
(137279, NULL, 'PTHR13343:SF18', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(137280, NULL, 'PTHR47956:SF20', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', NULL, NULL, NULL, 15),
(137281, NULL, 'PTHR11945:SF598', NULL, NULL, NULL, NULL, 'TYPE I MADS-BOX PROTEIN', NULL, NULL, NULL, 15),
(137282, NULL, 'PTHR35577:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH, ACIDIC INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(137283, NULL, 'PTHR30365:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME BD-I UBIQUINOL OXIDASE SUBUNIT 1', NULL, NULL, NULL, 15),
(137284, NULL, 'PTHR33797:SF2', NULL, NULL, NULL, NULL, 'ORGANIC HYDROPEROXIDE RESISTANCE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(137285, NULL, 'PTHR22504:SF4', NULL, NULL, NULL, NULL, 'REPRESSOR OF RNA POLYMERASE III TRANSCRIPTION MAF1', NULL, NULL, NULL, 15),
(137286, NULL, 'PTHR23257:SF865', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137287, NULL, 'PTHR10736:SF7', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG', NULL, NULL, NULL, 15),
(137288, NULL, 'PTHR34597:SF1', NULL, NULL, NULL, NULL, 'HEME/HEMOPEXIN TRANSPORTER PROTEIN HUXB', NULL, NULL, NULL, 15),
(137289, NULL, 'PTHR21716:SF35', NULL, NULL, NULL, NULL, 'PERMEASE PERM-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137290, NULL, 'PTHR28599:SF2', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 12', NULL, NULL, NULL, 15),
(137291, NULL, 'PTHR33021:SF377', NULL, NULL, NULL, NULL, 'OS02G0731400 PROTEIN', NULL, NULL, NULL, 15),
(137292, NULL, 'PTHR10165:SF171', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(137293, NULL, 'PTHR36930:SF1', NULL, NULL, NULL, NULL, 'METAL-SULFUR CLUSTER BIOSYNTHESIS PROTEINS YUAD-RELATED', NULL, NULL, NULL, 15),
(137294, NULL, 'PTHR43691', NULL, NULL, NULL, NULL, 'URIDINE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(137295, NULL, 'PTHR13968', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN', NULL, NULL, NULL, 15),
(137296, NULL, 'PTHR11850:SF282', NULL, NULL, NULL, NULL, 'BNAA09G12980D PROTEIN', NULL, NULL, NULL, 15),
(137297, NULL, 'PTHR14200:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(137298, NULL, 'PTHR14199:SF16', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA BREAKPOINT FAMILY MEMBER 6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(137299, NULL, 'PTHR33640:SF17', NULL, NULL, NULL, NULL, 'BNAA09G43070D PROTEIN', NULL, NULL, NULL, 15),
(137300, NULL, 'PTHR14002:SF30', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR, BETA RECEPTOR III', NULL, NULL, NULL, 15),
(137301, NULL, 'PTHR36313:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137302, NULL, 'PTHR17630:SF76', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_4G08790)', NULL, NULL, NULL, 15),
(137303, NULL, 'PTHR11348', NULL, NULL, NULL, NULL, 'CONNECTIVE TISSUE GROWTH FACTOR-RELATED', NULL, NULL, NULL, 15),
(137304, NULL, 'PTHR13780:SF136', NULL, NULL, NULL, NULL, 'BNAANNG38820D PROTEIN', NULL, NULL, NULL, 15),
(137305, NULL, 'PTHR10285:SF189', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE/URIDINE KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(137306, NULL, 'PTHR42861:SF14', NULL, NULL, NULL, NULL, 'SODIUM TRANSPORT ATPASE 1-RELATED', NULL, NULL, NULL, 15),
(137307, NULL, 'PTHR31471:SF49', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(137308, NULL, 'PTHR31517:SF70', NULL, NULL, NULL, NULL, 'PEROXIDASE 6', NULL, NULL, NULL, 15),
(137309, NULL, 'PTHR31707:SF281', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(137310, NULL, 'PTHR24356:SF237', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(137311, NULL, 'PTHR33177:SF27', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 6 HOMOLOG', NULL, NULL, NULL, 15),
(137312, NULL, 'PTHR31218:SF146', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(137313, NULL, 'PTHR31657:SF48', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137314, NULL, 'PTHR45744:SF18', NULL, NULL, NULL, NULL, 'NICOTIANAMINE AMINOTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(137315, NULL, 'PTHR33767:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137316, NULL, 'PTHR24304:SF4', NULL, NULL, NULL, NULL, '25-HYDROXYCHOLESTEROL 7-ALPHA-HYDROXYLASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(137317, NULL, 'PTHR43572:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 3', NULL, NULL, NULL, 15),
(137318, NULL, 'PTHR30069:SF37', NULL, NULL, NULL, NULL, 'VIBRIOBACTIN RECEPTOR', NULL, NULL, 23085, 15),
(137319, NULL, 'PTHR27008:SF250', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137320, NULL, 'PTHR45676:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137321, NULL, 'PTHR31707:SF325', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(137322, NULL, 'PTHR24223:SF172', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(137323, NULL, 'PTHR16223:SF194', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH110-LIKE', NULL, NULL, NULL, 15),
(137324, NULL, 'PTHR24393:SF86', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 398', NULL, NULL, NULL, 15),
(137325, NULL, 'PTHR34119:SF15', NULL, NULL, NULL, NULL, 'BNAC04G43930D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137326, NULL, 'PTHR32285:SF210', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 8', NULL, NULL, 23381, 15),
(137327, NULL, 'PTHR11260:SF582', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137328, NULL, 'PTHR31391:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137329, NULL, 'PTHR11481:SF71', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE A', NULL, NULL, NULL, 15),
(137330, NULL, 'PTHR31769:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137331, NULL, 'PTHR11829:SF367', NULL, NULL, NULL, NULL, 'PROTEIN FORK HEAD', NULL, NULL, NULL, 15),
(137332, NULL, 'PTHR32227:SF240', NULL, NULL, NULL, NULL, 'ENDO-1,3-BETA-GLUCOSIDASE 5, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(137333, NULL, 'PTHR10607:SF1', NULL, NULL, NULL, NULL, 'OSTEOPONTIN', NULL, NULL, NULL, 15),
(137334, NULL, 'PTHR43671:SF41', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(137335, NULL, 'PTHR15696', NULL, NULL, NULL, NULL, 'SMG-7  SUPPRESSOR WITH MORPHOLOGICAL EFFECT ON GENITALIA PROTEIN 7', NULL, NULL, 39372, 15),
(137336, NULL, 'PTHR14122', NULL, NULL, NULL, NULL, 'GHRELIN PRECURSOR', NULL, NULL, 80, 15),
(137337, NULL, 'PTHR31444:SF30', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE BIOSYNTHESIS PROTEIN', NULL, NULL, NULL, 15),
(137338, NULL, 'PTHR12480:SF13', NULL, NULL, NULL, NULL, 'LD14533P', NULL, NULL, NULL, 15),
(137339, NULL, 'PTHR46592:SF9', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL68', NULL, NULL, NULL, 15),
(137340, NULL, 'PTHR12101', NULL, NULL, NULL, NULL, 'POPEYE DOMAIN CONTAINING PROTEIN', NULL, NULL, 4996, 15),
(137341, NULL, 'PTHR12474:SF1', NULL, NULL, NULL, NULL, 'SI:ZFOS-80G12.1', NULL, NULL, NULL, 15),
(137342, NULL, 'PTHR39963', NULL, NULL, NULL, NULL, 'SLL0983 PROTEIN', NULL, NULL, NULL, 15),
(137343, NULL, 'PTHR31150:SF26', NULL, NULL, NULL, NULL, 'BNAA09G43140D PROTEIN', NULL, NULL, NULL, 15),
(137344, NULL, 'PTHR23411:SF21', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN C REGION, B ALLELE', NULL, NULL, NULL, 15),
(137345, NULL, 'PTHR12804:SF10', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(137346, NULL, 'PTHR37404', NULL, NULL, NULL, NULL, 'HCG1796489', NULL, NULL, NULL, 15),
(137347, NULL, 'PTHR43476:SF5', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE', NULL, NULL, NULL, 15),
(137348, NULL, 'PTHR12011:SF290', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR G6', NULL, NULL, NULL, 15),
(137349, NULL, 'PTHR11709:SF404', NULL, NULL, NULL, NULL, 'OS10G0508000 PROTEIN', NULL, NULL, NULL, 15),
(137350, NULL, 'PTHR13141', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 242', NULL, NULL, 13351, 15),
(137351, NULL, 'PTHR31190:SF115', NULL, NULL, NULL, NULL, 'OS01G0313300 PROTEIN', NULL, NULL, NULL, 15),
(137352, NULL, 'PTHR32343:SF28', NULL, NULL, NULL, NULL, 'OSJNBA0053K19.20 PROTEIN', NULL, NULL, NULL, 15),
(137353, NULL, 'PTHR42870:SF6', NULL, NULL, NULL, NULL, 'ACETYL-COA C-ACETYLTRANSFERASE (ACETOACETYL-COA THIOLASE) (ACAB-1)', NULL, NULL, NULL, 15),
(137354, NULL, 'PTHR45669:SF12', NULL, NULL, NULL, NULL, 'EMB|CAB85507.1', NULL, NULL, NULL, 15),
(137355, NULL, 'PTHR23267:SF422', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 10-95', NULL, NULL, NULL, 15),
(137356, NULL, 'PTHR33214:SF53', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(137357, NULL, 'PTHR21212:SF4', NULL, NULL, NULL, NULL, 'PROTEIN (SEIPIN), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(137358, NULL, 'PTHR31314:SF8', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL6', NULL, NULL, NULL, 15),
(137359, NULL, 'PTHR22811:SF170', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA11', NULL, NULL, NULL, 15),
(137360, NULL, 'PTHR47925:SF80', NULL, NULL, NULL, NULL, 'BNACNNG57440D PROTEIN', NULL, NULL, NULL, 15),
(137361, NULL, 'PTHR15417:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 1C', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137362, NULL, 'PTHR33476:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137363, NULL, 'PTHR34145:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137364, NULL, 'PTHR11705:SF17', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE B2', NULL, NULL, NULL, 15),
(137365, NULL, 'PTHR24414:SF72', NULL, NULL, NULL, NULL, 'BNAC08G48620D PROTEIN', NULL, NULL, NULL, 15),
(137366, NULL, 'PTHR33199:SF21', NULL, NULL, NULL, NULL, 'BNAA09G45460D PROTEIN', NULL, NULL, NULL, 15),
(137367, NULL, 'PTHR31973:SF117', NULL, NULL, NULL, NULL, 'F10A16.15 PROTEIN', NULL, NULL, NULL, 15),
(137368, NULL, 'PTHR11347:SF29', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(137369, NULL, 'PTHR47932:SF33', NULL, NULL, NULL, NULL, 'OS02G0793200 PROTEIN', NULL, NULL, NULL, 15),
(137370, NULL, 'PTHR31228:SF24', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(137371, NULL, 'PTHR16223:SF198', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(137372, NULL, 'PTHR11746:SF223', NULL, NULL, NULL, NULL, 'CAFFEIC ACID O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(137373, NULL, 'PTHR35805', NULL, NULL, NULL, NULL, 'ASPARTATE CARBAMOYLTRANSFERASE REGULATORY CHAIN', NULL, NULL, 4851, 15),
(137374, NULL, 'PTHR13299:SF2', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX16', NULL, NULL, NULL, 15),
(137375, NULL, 'PTHR13780:SF130', NULL, NULL, NULL, NULL, 'CBS / OCTICOSAPEPTIDE/PHOX/BEMP1 (PB1) DOMAINS-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137376, NULL, 'PTHR26452:SF270', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(137377, NULL, 'PTHR24347:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137378, NULL, 'PTHR22765:SF320', NULL, NULL, NULL, NULL, 'BNAC06G07630D PROTEIN', NULL, NULL, NULL, 15),
(137379, NULL, 'PTHR10055:SF8', NULL, NULL, NULL, NULL, 'SYNTHETASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(137380, NULL, 'PTHR12802:SF127', NULL, NULL, NULL, NULL, 'BNAC09G28680D PROTEIN', NULL, NULL, NULL, 15),
(137381, NULL, 'PTHR11886:SF80', NULL, NULL, NULL, NULL, 'INTRASTRAND CROSS-LINK RECOGNITION PROTEIN-LIKE', NULL, NULL, NULL, 15),
(137382, NULL, 'PTHR24326:SF551', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-54', NULL, NULL, NULL, 15),
(137383, NULL, 'PTHR46700', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(137384, NULL, 'PTHR48056:SF37', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 2-LIKE', NULL, NULL, NULL, 15),
(137385, NULL, 'PTHR45715:SF14', NULL, NULL, NULL, NULL, 'BNACNNG57990D PROTEIN', NULL, NULL, NULL, 15),
(137386, NULL, 'PTHR31907:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137387, NULL, 'PTHR14095:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B'''' SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(137388, NULL, 'PTHR31044:SF103', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E 10-LIKE', NULL, NULL, NULL, 15),
(137389, NULL, 'PTHR32191:SF75', NULL, NULL, NULL, NULL, 'TETRASPANIN/PERIPHERIN-RELATED', NULL, NULL, NULL, 15),
(137390, NULL, 'PTHR48044:SF45', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(137391, NULL, 'PTHR43288', NULL, NULL, NULL, NULL, 'BIOTIN SYNTHASE-RELATED PROTEIN, RADICAL SAM SUPERFAMILY', NULL, NULL, NULL, 15),
(137392, NULL, 'PTHR24326:SF497', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT5', NULL, NULL, NULL, 15),
(137393, NULL, 'PTHR33127:SF57', NULL, NULL, NULL, NULL, 'BNAC03G73060D PROTEIN', NULL, NULL, NULL, 15),
(137394, NULL, 'PTHR33544:SF15', NULL, NULL, NULL, NULL, 'BNAANNG11020D PROTEIN', NULL, NULL, NULL, 15),
(137395, NULL, 'PTHR12606:SF30', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 1', NULL, NULL, NULL, 15),
(137396, NULL, 'PTHR31642:SF173', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', NULL, NULL, NULL, 15),
(137397, NULL, 'PTHR15208:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-BINDING CANCER ANTIGEN EXPRESSED ON SISO CELLS', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137398, NULL, 'PTHR18952:SF242', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE-RELATED', NULL, NULL, NULL, 15),
(137399, NULL, 'PTHR22826:SF106', NULL, NULL, NULL, NULL, 'TRIO, ISOFORM A', NULL, NULL, NULL, 15),
(137400, NULL, 'PTHR47185:SF1', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN YPR097W', NULL, NULL, NULL, 15),
(137401, NULL, 'PTHR23299:SF48', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1L-RELATED', NULL, NULL, NULL, 15),
(137402, NULL, 'PTHR45728:SF4', NULL, NULL, NULL, NULL, 'ACETYL-COA CARBOXYLASE 2', NULL, NULL, NULL, 15),
(137403, NULL, 'PTHR31718:SF41', NULL, NULL, NULL, NULL, 'BNAC02G43550D PROTEIN', NULL, NULL, NULL, 15),
(137404, NULL, 'PTHR45672:SF9', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 2-1', NULL, NULL, NULL, 15),
(137405, NULL, 'PTHR43711:SF1', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE 1', NULL, NULL, NULL, 15),
(137406, NULL, 'PTHR11931:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE 4-RELATED', NULL, NULL, NULL, 15),
(137407, NULL, 'PTHR24416:SF485', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE TYROSINE-PROTEIN KINASE RECEPTOR RET', NULL, NULL, NULL, 15),
(137408, NULL, 'PTHR32175:SF9', NULL, NULL, NULL, NULL, 'OS01G0784600 PROTEIN', NULL, NULL, NULL, 15),
(137409, NULL, 'PTHR10438:SF420', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(137410, NULL, 'PTHR42861:SF67', NULL, NULL, NULL, NULL, 'ATPASE 3, PLASMA MEMBRANE-TYPE-RELATED', NULL, NULL, NULL, 15),
(137411, NULL, 'PTHR10796:SF91', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(137412, NULL, 'PTHR31719:SF103', NULL, NULL, NULL, NULL, 'OS09G0509100 PROTEIN', NULL, NULL, NULL, 15),
(137413, NULL, 'PTHR23084:SF176', NULL, NULL, NULL, NULL, 'HISTONE H3 K4-SPECIFIC METHYLTRANSFERASE SET7/9 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(137414, NULL, 'PTHR13832:SF744', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(137415, NULL, 'PTHR40468', NULL, NULL, NULL, NULL, 'YALI0A15257P', NULL, NULL, NULL, 15),
(137416, NULL, 'PTHR45933:SF34', NULL, NULL, NULL, NULL, 'BNAUNNG00040D PROTEIN', NULL, NULL, NULL, 15),
(137417, NULL, 'PTHR31713:SF41', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 A-LIKE', NULL, NULL, NULL, 15),
(137418, NULL, 'PTHR12271:SF98', NULL, NULL, NULL, NULL, 'RNA EDITING 3'' TERMINAL URIDYLYL TRANSFERASE 1', NULL, NULL, NULL, 15),
(137419, NULL, 'PTHR31639:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137420, NULL, 'PTHR35046:SF6', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(137421, NULL, 'PTHR31636:SF208', NULL, NULL, NULL, NULL, 'GRAS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(137422, NULL, 'PTHR23506', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137423, NULL, 'PTHR37042', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN RV1973', NULL, NULL, NULL, 15),
(137424, NULL, 'PTHR46043:SF5', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(137425, NULL, 'PTHR21503:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG03708', NULL, NULL, NULL, 15),
(137426, NULL, 'PTHR33431:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', NULL, NULL, NULL, 15),
(137427, NULL, 'PTHR21493:SF246', NULL, NULL, NULL, NULL, 'GOT1/SFT2-LIKE VESCICLE TRANSPORT PROTEIN FAMILY', NULL, NULL, NULL, 15),
(137428, NULL, 'PTHR11863:SF133', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE GL1-9', NULL, NULL, NULL, 15),
(137429, NULL, 'PTHR43423:SF12', NULL, NULL, NULL, NULL, 'IRON EXPORT ATP-BINDING PROTEIN FETA-RELATED', NULL, NULL, NULL, 15),
(137430, NULL, 'PTHR11588:SF389', NULL, NULL, NULL, NULL, 'TUBULIN BETA-8 CHAIN', NULL, NULL, NULL, 15),
(137431, NULL, 'PTHR47243:SF1', NULL, NULL, NULL, NULL, 'SIALOADHESIN', NULL, NULL, NULL, 15),
(137432, NULL, 'PTHR21450:SF45', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SUBUNIT BETA, PUTATIVE (DUF630 AND DUF632)-RELATED', NULL, NULL, NULL, 15),
(137433, NULL, 'PTHR10233:SF17', NULL, NULL, NULL, NULL, 'INITIATION FACTOR 2 SUBUNIT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137434, NULL, 'PTHR43019:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137435, NULL, 'PTHR43920:SF4', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 2', NULL, NULL, 27162, 15),
(137436, NULL, 'PTHR24078:SF542', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137437, NULL, 'PTHR11746:SF217', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE ZRP4', NULL, NULL, NULL, 15),
(137438, NULL, 'PTHR47928:SF37', NULL, NULL, NULL, NULL, 'OS06G0216400 PROTEIN', NULL, NULL, NULL, 15),
(137439, NULL, 'PTHR45634:SF21', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, NULL, 15),
(137440, NULL, 'PTHR11260:SF674', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(137441, NULL, 'PTHR47044:SF3', NULL, NULL, NULL, NULL, 'OS02G0276200 PROTEIN', NULL, NULL, NULL, 15),
(137442, NULL, 'PTHR31006:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG22139', NULL, NULL, NULL, 15),
(137443, NULL, 'PTHR11627:SF63', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(137444, NULL, 'PTHR13832:SF354', NULL, NULL, NULL, NULL, 'GM14138P', NULL, NULL, NULL, 15),
(137445, NULL, 'PTHR23115:SF240', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR EF-1 SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04630)-RELATED', NULL, NULL, NULL, 15),
(137446, NULL, 'PTHR31893:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 151A', NULL, NULL, NULL, 15),
(137447, NULL, 'PTHR38780:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TUSC', NULL, NULL, NULL, 15),
(137448, NULL, 'PTHR46128:SF232', NULL, NULL, NULL, NULL, 'BNAA07G04930D PROTEIN', NULL, NULL, NULL, 15),
(137449, NULL, 'PTHR31929:SF128', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(137450, NULL, 'PTHR35552:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 8', NULL, NULL, NULL, 15),
(137451, NULL, 'PTHR19331', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(137452, NULL, 'PTHR31062:SF237', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(137453, NULL, 'PTHR21610', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, 29910, 15),
(137454, NULL, 'PTHR10361:SF24', NULL, NULL, NULL, NULL, 'P3 PROTEIN', NULL, NULL, NULL, 15),
(137455, NULL, 'PTHR23138:SF94', NULL, NULL, NULL, NULL, 'RAN-SPECIFIC GTPASE-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(137456, NULL, 'PTHR10666:SF351', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN', NULL, NULL, NULL, 15),
(137457, NULL, 'PTHR10585:SF83', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR 2', NULL, NULL, NULL, 15),
(137458, NULL, 'PTHR21937:SF5', NULL, NULL, NULL, NULL, 'GENE 973-RELATED', NULL, NULL, NULL, 15),
(137459, NULL, 'PTHR35895:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137460, NULL, 'PTHR23044:SF62', NULL, NULL, NULL, NULL, 'ERI1 EXORIBONUCLEASE 3', NULL, NULL, NULL, 15),
(137461, NULL, 'PTHR46763:SF1', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 8', NULL, NULL, NULL, 15),
(137462, NULL, 'PTHR48017:SF109', NULL, NULL, NULL, NULL, 'OS06G0228500 PROTEIN', NULL, NULL, NULL, 15),
(137463, NULL, 'PTHR36378', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', NULL, NULL, NULL, 15),
(137464, NULL, 'PTHR24298:SF833', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(137465, NULL, 'PTHR12626:SF10', NULL, NULL, NULL, NULL, 'BNAA10G03760D PROTEIN', NULL, NULL, NULL, 15),
(137466, NULL, 'PTHR10666:SF360', NULL, NULL, NULL, NULL, 'UBIQUITIN-40S RIBOSOMAL PROTEIN S27A-2', NULL, NULL, NULL, 15),
(137467, NULL, 'PTHR14482', NULL, NULL, NULL, NULL, 'CHROMOSOME 12 ORF 43 HOMOLOG', NULL, NULL, 27469, 15),
(137468, NULL, 'PTHR31378:SF29', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137469, NULL, 'PTHR33499:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137470, NULL, 'PTHR14315:SF21', NULL, NULL, NULL, NULL, 'MID1-INTERACTING PROTEIN 1-LIKE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137471, NULL, 'PTHR11932:SF134', NULL, NULL, NULL, NULL, 'CULLIN-1', NULL, NULL, NULL, 15),
(137472, NULL, 'PTHR15710:SF121', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL79-LIKE', NULL, NULL, NULL, 15),
(137473, NULL, 'PTHR31236:SF46', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137474, NULL, 'PTHR11937:SF14', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 10', NULL, NULL, 23175, 15),
(137475, NULL, 'PTHR46815', NULL, NULL, NULL, NULL, 'PROTEIN KISH-B', NULL, NULL, 36522, 15),
(137476, NULL, 'PTHR24230:SF61', NULL, NULL, NULL, NULL, 'GALANIN RECEPTOR 1B', NULL, NULL, NULL, 15),
(137477, NULL, 'PTHR31625:SF40', NULL, NULL, NULL, NULL, 'OS06G0145200 PROTEIN', NULL, NULL, NULL, 15),
(137478, NULL, 'PTHR34656', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE', NULL, NULL, NULL, 15),
(137479, NULL, 'PTHR10795:SF610', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.4', NULL, NULL, NULL, 15),
(137480, NULL, 'PTHR10795:SF633', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.10-RELATED', NULL, NULL, NULL, 15),
(137481, NULL, 'PTHR31384:SF144', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 2A', NULL, NULL, NULL, 15),
(137482, NULL, 'PTHR15711:SF60', NULL, NULL, NULL, NULL, 'AGAP002116-PA', NULL, NULL, NULL, 15),
(137483, NULL, 'PTHR31516', NULL, NULL, NULL, NULL, 'STABILIZER OF AXONEMAL MICROTUBULES 2', NULL, NULL, 32133, 15),
(137484, NULL, 'PTHR23198:SF19', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP98A-LIKE', NULL, NULL, NULL, 15),
(137485, NULL, 'PTHR47934:SF8', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(137486, NULL, 'PTHR11654:SF479', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137487, NULL, 'PTHR19961:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137488, NULL, 'PTHR43900:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137489, NULL, 'PTHR33572:SF13', NULL, NULL, NULL, NULL, 'SEXUAL DEVELOPMENT REGULATOR VELC', NULL, NULL, NULL, 15),
(137490, NULL, 'PTHR33115:SF44', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(137491, NULL, 'PTHR11686:SF55', NULL, NULL, NULL, NULL, 'PROTEIN CBG08854', NULL, NULL, NULL, 15),
(137492, NULL, 'PTHR46216', NULL, NULL, NULL, NULL, 'PROSAPOSIN RECEPTOR GPR37 FAMILY MEMBER', NULL, NULL, 6422, 15),
(137493, NULL, 'PTHR45618:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 2', NULL, NULL, NULL, 15),
(137494, NULL, 'PTHR20855:SF100', NULL, NULL, NULL, NULL, 'HEPTAHELICAL TRANSMEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(137495, NULL, 'PTHR35667:SF1', NULL, NULL, NULL, NULL, 'LEUKEMIA NUP98 FUSION PARTNER 1', NULL, NULL, NULL, 15),
(137496, NULL, 'PTHR31623:SF55', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137497, NULL, 'PTHR26452:SF247', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5K3', NULL, NULL, NULL, 15),
(137498, NULL, 'PTHR31865:SF26', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF1685)-RELATED', NULL, NULL, NULL, 15),
(137499, NULL, 'PTHR31656:SF19', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN-RELATED / LEA PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137500, NULL, 'PTHR45714:SF13', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-X', NULL, NULL, NULL, 15),
(137501, NULL, 'PTHR14009:SF11', NULL, NULL, NULL, NULL, 'LETM1 DOMAIN-CONTAINING PROTEIN YLH47, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(137502, NULL, 'PTHR45648:SF64', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(137503, NULL, 'PTHR14164:SF12', NULL, NULL, NULL, NULL, 'PERICENTRIOLAR MATERIAL 1 PROTEIN', NULL, NULL, NULL, 15),
(137504, NULL, 'PTHR46336:SF16', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(137505, NULL, 'PTHR24115:SF910', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(137506, NULL, 'PTHR26453:SF616', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13C2', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137507, NULL, 'PTHR11257:SF12', NULL, NULL, NULL, NULL, 'EJACULATORY BULB-SPECIFIC PROTEIN 3', NULL, NULL, NULL, 15),
(137508, NULL, 'PTHR18978', NULL, NULL, NULL, NULL, 'GRIP-1 ASSOCIATED PROTEIN 1', NULL, NULL, 25937, 15),
(137509, NULL, 'PTHR35502:SF1', NULL, NULL, NULL, NULL, 'OS09G0476000 PROTEIN', NULL, NULL, NULL, 15),
(137510, NULL, 'PTHR46590:SF2', NULL, NULL, NULL, NULL, 'CRAL/TRIO DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G13930)-RELATED', NULL, NULL, NULL, 15),
(137511, NULL, 'PTHR10288:SF289', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN NOVA-1', NULL, NULL, NULL, 15),
(137512, NULL, 'PTHR23078', NULL, NULL, NULL, NULL, 'VESICULAR-FUSION PROTEIN NSF', NULL, NULL, 36150, 15),
(137513, NULL, 'PTHR45708', NULL, NULL, NULL, NULL, 'ENDOCHITINASE', NULL, NULL, NULL, 15),
(137514, NULL, 'PTHR18860:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137515, NULL, 'PTHR27002:SF832', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', NULL, NULL, NULL, 15),
(137516, NULL, 'PTHR10334:SF479', NULL, NULL, NULL, NULL, 'BASIC FORM OF PATHOGENESIS-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(137517, NULL, 'PTHR15603', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(137518, NULL, 'PTHR23222:SF13', NULL, NULL, NULL, NULL, 'PROHIBITIN-1, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(137519, NULL, 'PTHR11668:SF407', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(137520, NULL, 'PTHR45801:SF67', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR TAC1-LIKE', NULL, NULL, NULL, 15),
(137521, NULL, 'PTHR33347:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137522, NULL, 'PTHR47149', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN RMF', NULL, NULL, NULL, 15),
(137523, NULL, 'PTHR19212:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137524, NULL, 'PTHR13283', NULL, NULL, NULL, NULL, 'KREV INTERACTION TRAPPED 1-RELATED', NULL, NULL, NULL, 15),
(137525, NULL, 'PTHR23130:SF167', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(137526, NULL, 'PTHR48000:SF30', NULL, NULL, NULL, NULL, 'BNAA09G07190D PROTEIN', NULL, NULL, NULL, 15),
(137527, NULL, 'PTHR24107:SF4', NULL, NULL, NULL, NULL, 'NUCLEOTIDE BINDING OLIGOMERIZATION DOMAIN CONTAINING 1', NULL, NULL, NULL, 15),
(137528, NULL, 'PTHR12086:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137529, NULL, 'PTHR45619:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(137530, NULL, 'PTHR31917:SF87', NULL, NULL, NULL, NULL, 'AGENET-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137531, NULL, 'PTHR45757:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG19966', NULL, NULL, NULL, 15),
(137532, NULL, 'PTHR31852:SF145', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(137533, NULL, 'PTHR21495:SF155', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(137534, NULL, 'PTHR27006:SF351', NULL, NULL, NULL, NULL, 'BNAC05G08760D PROTEIN', NULL, NULL, NULL, 15),
(137535, NULL, 'PTHR46506:SF46', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(137536, NULL, 'PTHR32410:SF186', NULL, NULL, NULL, NULL, 'BNAA05G36950D PROTEIN', NULL, NULL, NULL, 15),
(137537, NULL, 'PTHR19878:SF7', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 16-2', NULL, NULL, NULL, 15),
(137538, NULL, 'PTHR12642', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NSA2 HOMOLOG', NULL, NULL, 29932, 15),
(137539, NULL, 'PTHR34314', NULL, NULL, NULL, NULL, 'CRENARCHAEAL PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(137540, NULL, 'PTHR21879:SF3', NULL, NULL, NULL, NULL, 'FI03378P', NULL, NULL, NULL, 15),
(137541, NULL, 'PTHR45621:SF160', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN, EPHRIN RECEPTOR TYPE-A /TYPE-B-RELATED', NULL, NULL, NULL, 15),
(137542, NULL, 'PTHR31602:SF56', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 4', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137543, NULL, 'PTHR32382:SF45', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE PROTEIN FLA31', NULL, NULL, NULL, 15),
(137544, NULL, 'PTHR47448', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE DSOR1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(137545, NULL, 'PTHR28644:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 15', NULL, NULL, NULL, 15),
(137546, NULL, 'PTHR14167:SF51', NULL, NULL, NULL, NULL, 'LD45365P', NULL, NULL, NULL, 15),
(137547, NULL, 'PTHR46233:SF3', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE GLOC', NULL, NULL, NULL, 15),
(137548, NULL, 'PTHR45616:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137549, NULL, 'PTHR27004:SF359', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137550, NULL, 'PTHR11071:SF472', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(137551, NULL, 'PTHR43096:SF36', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(137552, NULL, 'PTHR36149:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137553, NULL, 'PTHR31388:SF183', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(137554, NULL, 'PTHR43592:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137555, NULL, 'PTHR10871:SF36', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S18', NULL, NULL, NULL, 15),
(137556, NULL, 'PTHR23202:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137557, NULL, 'PTHR31752:SF46', NULL, NULL, NULL, NULL, 'TRANPORTER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137558, NULL, 'PTHR13871:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG00406', NULL, NULL, NULL, 15),
(137559, NULL, 'PTHR47820:SF2', NULL, NULL, NULL, NULL, 'GOLGIN FAMILY A PROTEIN', NULL, NULL, NULL, 15),
(137560, NULL, 'PTHR43349:SF79', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE-RELATED', NULL, NULL, NULL, 15),
(137561, NULL, 'PTHR10177:SF467', NULL, NULL, NULL, NULL, 'BNAC08G04650D PROTEIN', NULL, NULL, NULL, 15),
(137562, NULL, 'PTHR24388:SF38', NULL, NULL, NULL, NULL, 'SCRATCH FAMILY TRANSCRIPTIONAL REPRESSOR 1-RELATED', NULL, NULL, NULL, 15),
(137563, NULL, 'PTHR11801:SF39', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION 5B', NULL, NULL, NULL, 15),
(137564, NULL, 'PTHR45675:SF30', NULL, NULL, NULL, NULL, 'OS01G0128000 PROTEIN', NULL, NULL, NULL, 15),
(137565, NULL, 'PTHR12612:SF36', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2B', NULL, NULL, NULL, 15),
(137566, NULL, 'PTHR20961:SF38', NULL, NULL, NULL, NULL, 'BETA-1,2-XYLOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(137567, NULL, 'PTHR27006:SF208', NULL, NULL, NULL, NULL, 'BNAC07G17020D PROTEIN', NULL, NULL, NULL, 15),
(137568, NULL, 'PTHR31331', NULL, NULL, NULL, NULL, 'LCCL DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G08630)', NULL, NULL, NULL, 15),
(137569, NULL, 'PTHR10218:SF335', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN (G PROTEIN), ALPHA-ACTIVATING ACTIVITY POLYPEPTIDE O, A', NULL, NULL, NULL, 15),
(137570, NULL, 'PTHR16216', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 5, AXONEMAL', NULL, NULL, NULL, 15),
(137571, NULL, 'PTHR47979:SF8', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-25', NULL, NULL, NULL, 15),
(137572, NULL, 'PTHR31235:SF330', NULL, NULL, NULL, NULL, 'OS04G0105800 PROTEIN', NULL, NULL, NULL, 15),
(137573, NULL, 'PTHR48044:SF28', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(137574, NULL, 'PTHR43685:SF9', NULL, NULL, NULL, NULL, 'SLL1004 PROTEIN', NULL, NULL, NULL, 15),
(137575, NULL, 'PTHR47300:SF1', NULL, NULL, NULL, NULL, 'PROTEIN KASH5', NULL, NULL, NULL, 15),
(137576, NULL, 'PTHR34427:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137577, NULL, 'PTHR24221:SF525', NULL, NULL, NULL, NULL, 'TRANSPORTER-ASSOCIATED WITH ANTIGEN-PROCESSING, SUBUNIT TYPE T, TELEOST-SPECIFIC', NULL, NULL, NULL, 15),
(137578, NULL, 'PTHR19308:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137579, NULL, 'PTHR11814:SF237', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 1.2-LIKE', NULL, NULL, NULL, 15),
(137580, NULL, 'PTHR31692:SF20', NULL, NULL, NULL, NULL, 'EXPANSIN-B8', NULL, NULL, NULL, 15),
(137581, NULL, 'PTHR24320:SF182', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(137582, NULL, 'PTHR46349:SF2', NULL, NULL, NULL, NULL, 'CINGULIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(137583, NULL, 'PTHR10527:SF67', NULL, NULL, NULL, NULL, 'IMPORTIN-5-LIKE', NULL, NULL, NULL, 15),
(137584, NULL, 'PTHR12549:SF37', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ25-LIKE', NULL, NULL, NULL, 15),
(137585, NULL, 'PTHR44329:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137586, NULL, 'PTHR34355:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137587, NULL, 'PTHR13793:SF139', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(137588, NULL, 'PTHR23155:SF882', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(137589, NULL, 'PTHR45744:SF24', NULL, NULL, NULL, NULL, 'BNAA03G46090D PROTEIN', NULL, NULL, NULL, 15),
(137590, NULL, 'PTHR22443:SF14', NULL, NULL, NULL, NULL, 'KAT8 REGULATORY NSL COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(137591, NULL, 'PTHR36115:SF7', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137592, NULL, 'PTHR31444:SF20', NULL, NULL, NULL, NULL, 'BNAC02G20650D PROTEIN', NULL, NULL, NULL, 15),
(137593, NULL, 'PTHR32021:SF38', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(137594, NULL, 'PTHR27008:SF483', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXL1', NULL, NULL, NULL, 15),
(137595, NULL, 'PTHR21312:SF28', NULL, NULL, NULL, NULL, 'OVOMUCOID-RELATED', NULL, NULL, NULL, 15),
(137596, NULL, 'PTHR31669:SF145', NULL, NULL, NULL, NULL, 'OS07G0563600 PROTEIN', NULL, NULL, NULL, 15),
(137597, NULL, 'PTHR33228:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137598, NULL, 'PTHR23347', NULL, NULL, NULL, NULL, 'COLORECTAL MUTANT CANCER PROTEIN  MCC PROTEIN -RELATED', NULL, NULL, 34231, 15),
(137599, NULL, 'PTHR27006:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137600, NULL, 'PTHR24092:SF180', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(137601, NULL, 'PTHR11706:SF8', NULL, NULL, NULL, NULL, 'PROTEIN MALVOLIO', NULL, NULL, NULL, 15),
(137602, NULL, 'PTHR31791:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137603, NULL, 'PTHR45844:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH107-RELATED', NULL, NULL, NULL, 15),
(137604, NULL, 'PTHR10224:SF11', NULL, NULL, NULL, NULL, 'SI:CH211-153B23.5', NULL, NULL, NULL, 15),
(137605, NULL, 'PTHR24349:SF424', NULL, NULL, NULL, NULL, 'BNAA03G46140D PROTEIN', NULL, NULL, NULL, 15),
(137606, NULL, 'PTHR22974:SF28', NULL, NULL, NULL, NULL, 'BNAC09G36930D PROTEIN', NULL, NULL, NULL, 15),
(137607, NULL, 'PTHR11615', NULL, NULL, NULL, NULL, 'NITRATE, FORMATE, IRON DEHYDROGENASE', NULL, NULL, NULL, 15),
(137608, NULL, 'PTHR47929:SF13', NULL, NULL, NULL, NULL, 'BNACNNG04730D PROTEIN', NULL, NULL, NULL, 15),
(137609, NULL, 'PTHR10071:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GATA-6', NULL, NULL, 24125, 15),
(137610, NULL, 'PTHR28040', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE 5''-PHOSPHATE OXIDASE YLR456W HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(137611, NULL, 'PTHR34268:SF7', NULL, NULL, NULL, NULL, 'OS06G0207200 PROTEIN', NULL, NULL, NULL, 15),
(137612, NULL, 'PTHR45657:SF56', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137613, NULL, 'PTHR24064:SF557', NULL, NULL, NULL, NULL, 'BNAA01G30100D PROTEIN', NULL, NULL, NULL, 15),
(137614, NULL, 'PTHR42807:SF1', NULL, NULL, NULL, NULL, 'GLUTARYL-COA DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(137615, NULL, 'PTHR35718:SF4', NULL, NULL, NULL, NULL, 'BNAA04G28410D PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137616, NULL, 'PTHR24072:SF318', NULL, NULL, NULL, NULL, 'BNAC09G09590D PROTEIN', NULL, NULL, NULL, 15),
(137617, NULL, 'PTHR48022:SF5', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDES PERMEASE MPH2-RELATED', NULL, NULL, NULL, 15),
(137618, NULL, 'PTHR10695:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137619, NULL, 'PTHR10353:SF232', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(137620, NULL, 'PTHR24229:SF85', NULL, NULL, NULL, NULL, 'MELANIN-CONCENTRATING HORMONE RECEPTOR 2', NULL, NULL, NULL, 15),
(137621, NULL, 'PTHR43381:SF12', NULL, NULL, NULL, NULL, 'OS01G0583700 PROTEIN', NULL, NULL, NULL, 15),
(137622, NULL, 'PTHR31235:SF62', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(137623, NULL, 'PTHR27006:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137624, NULL, 'PTHR23196:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137625, NULL, 'PTHR48022:SF31', NULL, NULL, NULL, NULL, 'HEXOSE TRANSPORTER', NULL, NULL, NULL, 15),
(137626, NULL, 'PTHR27001:SF677', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(137627, NULL, 'PTHR47926:SF55', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(137628, NULL, 'PTHR31262:SF9', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN', NULL, NULL, NULL, 15),
(137629, NULL, 'PTHR46179:SF16', NULL, NULL, NULL, NULL, 'C2H2 FINGER DOMAIN TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(137630, NULL, 'PTHR42920:SF9', NULL, NULL, NULL, NULL, 'BLR8172 PROTEIN', NULL, NULL, NULL, 15),
(137631, NULL, 'PTHR15217:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137632, NULL, 'PTHR21253:SF0', NULL, NULL, NULL, NULL, 'FI17420P1', NULL, NULL, NULL, 15),
(137633, NULL, 'PTHR31907:SF47', NULL, NULL, NULL, NULL, 'BNAA04G13380D PROTEIN', NULL, NULL, NULL, 15),
(137634, NULL, 'PTHR21245:SF20', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN R-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(137635, NULL, 'PTHR35503:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137636, NULL, 'PTHR47993:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137637, NULL, 'PTHR35995', NULL, NULL, NULL, NULL, 'OS04G0690500 PROTEIN', NULL, NULL, NULL, 15),
(137638, NULL, 'PTHR12878:SF3', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 2-LIKE', NULL, NULL, NULL, 15),
(137639, NULL, 'PTHR33076:SF60', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(137640, NULL, 'PTHR23267:SF331', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 3-15-RELATED', NULL, NULL, NULL, 15),
(137641, NULL, 'PTHR12668:SF34', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14DP', NULL, NULL, NULL, 15),
(137642, NULL, 'PTHR47990:SF169', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE', NULL, NULL, NULL, 15),
(137643, NULL, 'PTHR24373:SF284', NULL, NULL, NULL, NULL, 'CHONDROADHERIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(137644, NULL, 'PTHR31158:SF2', NULL, NULL, NULL, NULL, 'DUAL OXIDASE MATURATION FACTOR 2', NULL, NULL, NULL, 15),
(137645, NULL, 'PTHR11746:SF250', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(137646, NULL, 'PTHR10127:SF839', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(137647, NULL, 'PTHR11334:SF29', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MRG-RELATED', NULL, NULL, NULL, 15),
(137648, NULL, 'PTHR13683:SF622', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2', NULL, NULL, NULL, 15),
(137649, NULL, 'PTHR39175', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G15060)-RELATED', NULL, NULL, NULL, 15),
(137650, NULL, 'PTHR11783:SF212', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(137651, NULL, 'PTHR13954:SF6', NULL, NULL, NULL, NULL, 'INOSITOL-REQUIRING ENZYME-1', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137652, NULL, 'PTHR32096:SF62', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 41-RELATED', NULL, NULL, NULL, 15),
(137653, NULL, 'PTHR46373:SF9', NULL, NULL, NULL, NULL, 'OS01G0246500 PROTEIN', NULL, NULL, NULL, 15),
(137654, NULL, 'PTHR31707:SF308', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(137655, NULL, 'PTHR46670:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137656, NULL, 'PTHR43900:SF42', NULL, NULL, NULL, NULL, 'OS01G0371500 PROTEIN', NULL, NULL, NULL, 15),
(137657, NULL, 'PTHR43200:SF18', NULL, NULL, NULL, NULL, 'BNAA09G06680D PROTEIN', NULL, NULL, NULL, 15),
(137658, NULL, 'PTHR35544:SF5', NULL, NULL, NULL, NULL, 'RIBOSOMAL BIOGENESIS FACTOR', NULL, NULL, NULL, 15),
(137659, NULL, 'PTHR15593:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE 3-KINASE REGULATORY SUBUNIT 6', NULL, NULL, NULL, 15),
(137660, NULL, 'PTHR16719:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE-RELATED', NULL, NULL, NULL, 15),
(137661, NULL, 'PTHR45828:SF18', NULL, NULL, NULL, NULL, 'FERRIC-CHELATE REDUCTASE 1-RELATED', NULL, NULL, NULL, 15),
(137662, NULL, 'PTHR12682', NULL, NULL, NULL, NULL, 'ARCHEASE', NULL, NULL, 4726, 15),
(137663, NULL, 'PTHR21262:SF33', NULL, NULL, NULL, NULL, 'GTP DIPHOSPHOKINASE RSH2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(137664, NULL, 'PTHR21240:SF24', NULL, NULL, NULL, NULL, 'ISO-OROTATE DECARBOXYLASE (EUROFUNG)', NULL, NULL, NULL, 15),
(137665, NULL, 'PTHR42896:SF1', NULL, NULL, NULL, NULL, 'HAD HYDROLASE, SUBFAMILY IA', NULL, NULL, NULL, 15),
(137666, NULL, 'PTHR26453:SF322', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 149', NULL, NULL, NULL, 15),
(137667, NULL, 'PTHR24039:SF34', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CELL ADHESION RECEPTOR MUA-3', NULL, NULL, NULL, 15),
(137668, NULL, 'PTHR42647:SF15', NULL, NULL, NULL, NULL, 'OS02G0687500 PROTEIN', NULL, NULL, NULL, 15),
(137669, NULL, 'PTHR47929:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137670, NULL, 'PTHR22891:SF121', NULL, NULL, NULL, NULL, 'BNAC09G36860D PROTEIN', NULL, NULL, NULL, 15),
(137671, NULL, 'PTHR24223:SF364', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 6', NULL, NULL, NULL, 15),
(137672, NULL, 'PTHR48004:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137673, NULL, 'PTHR46400:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BIG BROTHER', NULL, NULL, NULL, 15),
(137674, NULL, 'PTHR24224:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(137675, NULL, 'PTHR11783:SF178', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 11', NULL, NULL, NULL, 15),
(137676, NULL, 'PTHR12000:SF44', NULL, NULL, NULL, NULL, 'PEPTIDASE C13, LEGUMAIN-RELATED', NULL, NULL, NULL, 15),
(137677, NULL, 'PTHR10629:SF47', NULL, NULL, NULL, NULL, 'CYTOSINE-SPECIFIC METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(137678, NULL, 'PTHR38794', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137679, NULL, 'PTHR36517', NULL, NULL, NULL, NULL, 'PROTEIN CBG25732', NULL, NULL, NULL, 15),
(137680, NULL, 'PTHR42957:SF4', NULL, NULL, NULL, NULL, 'HELICASE MJECL08-RELATED', NULL, NULL, NULL, 15),
(137681, NULL, 'PTHR12832:SF18', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G08920)', NULL, NULL, NULL, 15),
(137682, NULL, 'PTHR32278:SF42', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A2', NULL, NULL, NULL, 15),
(137683, NULL, 'PTHR35015:SF3', NULL, NULL, NULL, NULL, 'DELTA AND OSM-11-LIKE', NULL, NULL, NULL, 15),
(137684, NULL, 'PTHR11829:SF369', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137685, NULL, 'PTHR23172:SF70', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137686, NULL, 'PTHR24282:SF36', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714A1-RELATED', NULL, NULL, NULL, 15),
(137687, NULL, 'PTHR47977:SF49', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(137688, NULL, 'PTHR22814:SF330', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 21-LIKE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137689, NULL, 'PTHR24343', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE', NULL, NULL, NULL, 15),
(137690, NULL, 'PTHR11309:SF128', NULL, NULL, NULL, NULL, 'SECRETED FRIZZLED-RELATED PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(137691, NULL, 'PTHR21678:SF8', NULL, NULL, NULL, NULL, 'GROWTH INHIBITION AND DIFFERENTIATION-RELATED PROTEIN 88', NULL, NULL, NULL, 15),
(137692, NULL, 'PTHR12411:SF742', NULL, NULL, NULL, NULL, 'CATHEPSIN L2', NULL, NULL, NULL, 15),
(137693, NULL, 'PTHR43719:SF4', NULL, NULL, NULL, NULL, 'PHYTOCHROME C', NULL, NULL, NULL, 15),
(137694, NULL, 'PTHR24107:SF21', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(137695, NULL, 'PTHR27009:SF216', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(137696, NULL, 'PTHR35137:SF1', NULL, NULL, NULL, NULL, 'CHROMOPHORE LYASE CRL, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(137697, NULL, 'PTHR46903', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137698, NULL, 'PTHR26453:SF132', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2G2', NULL, NULL, NULL, 15),
(137699, NULL, 'PTHR23274:SF33', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(137700, NULL, 'PTHR31680:SF7', NULL, NULL, NULL, NULL, 'PROTEIN LONGIFOLIA 2', NULL, NULL, NULL, 15),
(137701, NULL, 'PTHR48102:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG04167', NULL, NULL, NULL, 15),
(137702, NULL, 'PTHR18444:SF9', NULL, NULL, NULL, NULL, 'UPF0538 PROTEIN C2ORF76', NULL, NULL, NULL, 15),
(137703, NULL, 'PTHR33407:SF9', NULL, NULL, NULL, NULL, 'PECTATE LYASE F-RELATED', NULL, NULL, NULL, 15),
(137704, NULL, 'PTHR12547:SF108', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(137705, NULL, 'PTHR14549:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 223', NULL, NULL, NULL, 15),
(137706, NULL, 'PTHR12565:SF388', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH74', NULL, NULL, NULL, 15),
(137707, NULL, 'PTHR31790:SF322', NULL, NULL, NULL, NULL, 'BNAA05G11310D PROTEIN', NULL, NULL, NULL, 15),
(137708, NULL, 'PTHR45621:SF180', NULL, NULL, NULL, NULL, 'OS02G0777800 PROTEIN', NULL, NULL, NULL, 15),
(137709, NULL, 'PTHR31375:SF124', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(137710, NULL, 'PTHR43557:SF1', NULL, NULL, NULL, NULL, 'MONODEHYDROASCORBATE REDUCTASE 1, PEROXISOMAL', NULL, NULL, NULL, 15),
(137711, NULL, 'PTHR11260:SF335', NULL, NULL, NULL, NULL, 'OS01G0949800 PROTEIN', NULL, NULL, NULL, 15),
(137712, NULL, 'PTHR44858:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137713, NULL, 'PTHR47718', NULL, NULL, NULL, NULL, 'OS01G0519700 PROTEIN', NULL, NULL, NULL, 15),
(137714, NULL, 'PTHR19282:SF202', NULL, NULL, NULL, NULL, 'PERIPHERIN-2', NULL, NULL, NULL, 15),
(137715, NULL, 'PTHR15950:SF23', NULL, NULL, NULL, NULL, 'SI:CH73-52F15.5-RELATED', NULL, NULL, NULL, 15),
(137716, NULL, 'PTHR11567:SF182', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE F26C11.1-RELATED', NULL, NULL, NULL, 15),
(137717, NULL, 'PTHR11477:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137718, NULL, 'PTHR24404:SF33', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN HELIOS', NULL, NULL, NULL, 15),
(137719, NULL, 'PTHR34269:SF8', NULL, NULL, NULL, NULL, 'BNAA09G20800D PROTEIN', NULL, NULL, NULL, 15),
(137720, NULL, 'PTHR46128:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137721, NULL, 'PTHR47373:SF5', NULL, NULL, NULL, NULL, 'BNAA05G11010D PROTEIN', NULL, NULL, NULL, 15),
(137722, NULL, 'PTHR37203', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137723, NULL, 'PTHR13140:SF772', NULL, NULL, NULL, NULL, 'MYOSIN-17', NULL, NULL, NULL, 15),
(137724, NULL, 'PTHR27000:SF310', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE HSL2', NULL, NULL, NULL, 15),
(137725, NULL, 'PTHR11559:SF404', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(137726, NULL, 'PTHR37169:SF1', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM ENDORIBONUCLEASE CSX1', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137727, NULL, 'PTHR11122:SF48', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(137728, NULL, 'PTHR12632:SF46', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-2', NULL, NULL, NULL, 15),
(137729, NULL, 'PTHR47956:SF56', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(137730, NULL, 'PTHR31080:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137731, NULL, 'PTHR31042:SF21', NULL, NULL, NULL, NULL, 'OS01G0875800 PROTEIN', NULL, NULL, NULL, 15),
(137732, NULL, 'PTHR24412:SF172', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(137733, NULL, 'PTHR31062:SF119', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(137734, NULL, 'PTHR14527:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MIS12 HOMOLOG', NULL, NULL, NULL, 15),
(137735, NULL, 'PTHR27006:SF130', NULL, NULL, NULL, NULL, 'OS06G0167500 PROTEIN', NULL, NULL, NULL, 15),
(137736, NULL, 'PTHR31916:SF5', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(137737, NULL, 'PTHR24366:SF130', NULL, NULL, NULL, NULL, 'LEUCINE-RICH HEV GLYCOPROTEIN', NULL, NULL, NULL, 15),
(137738, NULL, 'PTHR13878:SF97', NULL, NULL, NULL, NULL, 'ISOAMYL ALCOHOL OXIDASE', NULL, NULL, NULL, 15),
(137739, NULL, 'PTHR10545:SF29', NULL, NULL, NULL, NULL, 'GH14572P', NULL, NULL, NULL, 15),
(137740, NULL, 'PTHR10380:SF186', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 97EA, ISOFORM A', NULL, NULL, NULL, 15),
(137741, NULL, 'PTHR12277:SF79', NULL, NULL, NULL, NULL, 'BLL6275 PROTEIN', NULL, NULL, NULL, 15),
(137742, NULL, 'PTHR11610:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137743, NULL, 'PTHR31901', NULL, NULL, NULL, NULL, 'GH3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, 698, 15),
(137744, NULL, 'PTHR23291:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137745, NULL, 'PTHR12262:SF4', NULL, NULL, NULL, NULL, 'CELL DIFFERENTIATION, RCD1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(137746, NULL, 'PTHR10334:SF465', NULL, NULL, NULL, NULL, 'BNAC06G03240D PROTEIN', NULL, NULL, NULL, 15),
(137747, NULL, 'PTHR14336:SF4', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 1', NULL, NULL, NULL, 15),
(137748, NULL, 'PTHR31749:SF3', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN NSL1 HOMOLOG', NULL, NULL, NULL, 15),
(137749, NULL, 'PTHR35750', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID HYDROPEROXIDE GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(137750, NULL, 'PTHR33337:SF32', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_7G04120)', NULL, NULL, NULL, 15),
(137751, NULL, 'PTHR45724:SF28', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP-TYPE-RELATED', NULL, NULL, NULL, 15),
(137752, NULL, 'PTHR23253:SF27', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITATION FACTOR 4 GAMMA-RELATED', NULL, NULL, NULL, 15),
(137753, NULL, 'PTHR15288:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137754, NULL, 'PTHR45793:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN OTX2', NULL, NULL, NULL, 15),
(137755, NULL, 'PTHR31251:SF129', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(137756, NULL, 'PTHR11909:SF157', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM GAMMA-2', NULL, NULL, NULL, 15),
(137757, NULL, 'PTHR33146', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 4', NULL, NULL, 1666, 15),
(137758, NULL, 'PTHR12753:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137759, NULL, 'PTHR35481:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137760, NULL, 'PTHR37739:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137761, NULL, 'PTHR23422:SF9', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 3', NULL, NULL, NULL, 15),
(137762, NULL, 'PTHR10082:SF26', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-5', NULL, NULL, 25535, 15),
(137763, NULL, 'PTHR12487:SF6', NULL, NULL, NULL, NULL, 'TEASHIRT HOMOLOG 1', NULL, NULL, 23229, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137764, NULL, 'PTHR31614:SF31', NULL, NULL, NULL, NULL, 'PROTEIN DOWNSTREAM OF FLC-LIKE', NULL, NULL, NULL, 15),
(137765, NULL, 'PTHR11639', NULL, NULL, NULL, NULL, 'S100 CALCIUM-BINDING PROTEIN', NULL, NULL, NULL, 15),
(137766, NULL, 'PTHR10903:SF7', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(137767, NULL, 'PTHR30506:SF3', NULL, NULL, NULL, NULL, 'UPF0126 INNER MEMBRANE PROTEIN YADS', NULL, NULL, NULL, 15),
(137768, NULL, 'PTHR31304:SF9', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 40', NULL, NULL, NULL, 15),
(137769, NULL, 'PTHR39319', NULL, NULL, NULL, NULL, 'SI:DKEY-256H2.1', NULL, NULL, NULL, 15),
(137770, NULL, 'PTHR48023', NULL, NULL, NULL, NULL, 'D-XYLOSE-PROTON SYMPORTER-LIKE 2', NULL, NULL, NULL, 15),
(137771, NULL, 'PTHR22958:SF38', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(137772, NULL, 'PTHR37367', NULL, NULL, NULL, NULL, 'CHROMOSOME 4 OPEN READING FRAME 3', NULL, NULL, 32646, 15),
(137773, NULL, 'PTHR24061:SF0', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 120-RELATED', NULL, NULL, NULL, 15),
(137774, NULL, 'PTHR23011:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137775, NULL, 'PTHR34741:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137776, NULL, 'PTHR33729:SF14', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 11-LIKE', NULL, NULL, NULL, 15),
(137777, NULL, 'PTHR31251:SF98', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 15', NULL, NULL, NULL, 15),
(137778, NULL, 'PTHR47140', NULL, NULL, NULL, NULL, 'MAP3K7 C-TERMINAL-LIKE PROTEIN', NULL, NULL, 36761, 15),
(137779, NULL, 'PTHR10460:SF10', NULL, NULL, NULL, NULL, 'PROTEIN ABIL3', NULL, NULL, NULL, 15),
(137780, NULL, 'PTHR37305:SF2', NULL, NULL, NULL, NULL, 'BACITRACIN TRANSPORT PERMEASE PROTEIN BCRB', NULL, NULL, NULL, 15),
(137781, NULL, 'PTHR34365:SF2', NULL, NULL, NULL, NULL, 'ENOLASE (DUF1399)', NULL, NULL, NULL, 15),
(137782, NULL, 'PTHR23055:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137783, NULL, 'PTHR47956:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 83A1', NULL, NULL, NULL, 15),
(137784, NULL, 'PTHR31614:SF22', NULL, NULL, NULL, NULL, 'OLEE1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(137785, NULL, 'PTHR46185:SF1', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-1', NULL, NULL, NULL, 15),
(137786, NULL, 'PTHR24281:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137787, NULL, 'PTHR22800:SF248', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY E MEMBER 1', NULL, NULL, NULL, 15),
(137788, NULL, 'PTHR43684:SF5', NULL, NULL, NULL, NULL, 'CHROMODOMAIN Y-LIKE PROTEIN', NULL, NULL, NULL, 15),
(137789, NULL, 'PTHR32523:SF15', NULL, NULL, NULL, NULL, 'BNAC09G50600D PROTEIN', NULL, NULL, NULL, 15),
(137790, NULL, 'PTHR46315:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137791, NULL, 'PTHR12277:SF139', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(137792, NULL, 'PTHR23073:SF88', NULL, NULL, NULL, NULL, '26S PROTEASE REGULATORY SUBUNIT S10B HOMOLOG B', NULL, NULL, NULL, 15),
(137793, NULL, 'PTHR48129', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37A', NULL, NULL, NULL, 15),
(137794, NULL, 'PTHR33227:SF36', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(137795, NULL, 'PTHR48004:SF16', NULL, NULL, NULL, NULL, 'OS09G0491612 PROTEIN', NULL, NULL, NULL, 15),
(137796, NULL, 'PTHR10358:SF30', NULL, NULL, NULL, NULL, 'BNAC02G42940D PROTEIN', NULL, NULL, NULL, 15),
(137797, NULL, 'PTHR46446:SF28', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR', NULL, NULL, NULL, 15),
(137798, NULL, 'PTHR47956:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137799, NULL, 'PTHR47640:SF3', NULL, NULL, NULL, NULL, 'OLIGOURIDYLATE-BINDING PROTEIN 1B', NULL, NULL, NULL, 15),
(137800, NULL, 'PTHR33713:SF7', NULL, NULL, NULL, NULL, 'ANTITOXIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137801, NULL, 'PTHR31042:SF119', NULL, NULL, NULL, NULL, 'BNAC06G41260D PROTEIN', NULL, NULL, NULL, 15),
(137802, NULL, 'PTHR11256', NULL, NULL, NULL, NULL, 'BCL-2 RELATED', NULL, NULL, 22479, 15),
(137803, NULL, 'PTHR34075:SF4', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN ASSOCIATED WITH ACETYL-COA C-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(137804, NULL, 'PTHR13019:SF9', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23 HOMOLOG B-RELATED', NULL, NULL, NULL, 15),
(137805, NULL, 'PTHR43313:SF3', NULL, NULL, NULL, NULL, 'ESTRADIOL 17-BETA-DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(137806, NULL, 'PTHR21666:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137807, NULL, 'PTHR47244:SF4', NULL, NULL, NULL, NULL, 'BNAA07G04540D PROTEIN', NULL, NULL, NULL, 15),
(137808, NULL, 'PTHR10913:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137809, NULL, 'PTHR11432:SF17', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE PROTEIN', NULL, NULL, NULL, 15),
(137810, NULL, 'PTHR46626', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B17', NULL, NULL, 38741, 15),
(137811, NULL, 'PTHR34941:SF3', NULL, NULL, NULL, NULL, 'COLD-ACCLIMATION SPECIFIC PROTEIN 15', NULL, NULL, NULL, 15),
(137812, NULL, 'PTHR16134:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137813, NULL, 'PTHR14826:SF14', NULL, NULL, NULL, NULL, 'AGAP007535-PA', NULL, NULL, NULL, 15),
(137814, NULL, 'PTHR14449:SF2', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP F PROTEIN', NULL, NULL, NULL, 15),
(137815, NULL, 'PTHR45697:SF5', NULL, NULL, NULL, NULL, 'OS02G0327100 PROTEIN', NULL, NULL, NULL, 15),
(137816, NULL, 'PTHR24222:SF56', NULL, NULL, NULL, NULL, 'ATP-BINDING ABC TRANSPORTER', NULL, NULL, NULL, 15),
(137817, NULL, 'PTHR46574:SF1', NULL, NULL, NULL, NULL, '43 KDA RECEPTOR-ASSOCIATED PROTEIN OF THE SYNAPSE', NULL, NULL, NULL, 15),
(137818, NULL, 'PTHR45985:SF3', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE-LIKE 4', NULL, NULL, NULL, 15),
(137819, NULL, 'PTHR31181', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 37641, 15),
(137820, NULL, 'PTHR15446:SF2', NULL, NULL, NULL, NULL, 'UROPLAKIN-3B-LIKE PROTEIN 1-RELATED', NULL, NULL, 21300, 15),
(137821, NULL, 'PTHR24223:SF379', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(137822, NULL, 'PTHR14195:SF3', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(137823, NULL, 'PTHR22950:SF656', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 10-RELATED', NULL, NULL, NULL, 15),
(137824, NULL, 'PTHR33391:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME B559 SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(137825, NULL, 'PTHR48100:SF8', NULL, NULL, NULL, NULL, 'BNAC08G42490D PROTEIN', NULL, NULL, NULL, 15),
(137826, NULL, 'PTHR11878:SF67', NULL, NULL, NULL, NULL, 'NA/CA EXCHANGERS', NULL, NULL, NULL, 15),
(137827, NULL, 'PTHR33493:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137828, NULL, 'PTHR16206:SF15', NULL, NULL, NULL, NULL, 'DOWNSTREAM OF DAF-16 (REGULATED BY DAF-16)-RELATED', NULL, NULL, NULL, 15),
(137829, NULL, 'PTHR28620:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN V', NULL, NULL, NULL, 15),
(137830, NULL, 'PTHR10835:SF16', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(137831, NULL, 'PTHR12460', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR-RELATED PROTEIN', NULL, NULL, NULL, 15),
(137832, NULL, 'PTHR42037:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137833, NULL, 'PTHR10500', NULL, NULL, NULL, NULL, 'BETA-MICROSEMINOPROTEIN', NULL, NULL, 12041, 15),
(137834, NULL, 'PTHR11439:SF290', NULL, NULL, NULL, NULL, 'TRANSPOSON TY1-BL GAG-POL POLYPROTEIN-RELATED', NULL, NULL, NULL, 15),
(137835, NULL, 'PTHR31042:SF116', NULL, NULL, NULL, NULL, 'OS06G0700500 PROTEIN', NULL, NULL, NULL, 15),
(137836, NULL, 'PTHR13609:SF11', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137837, NULL, 'PTHR24281:SF191', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 77A2-LIKE', NULL, NULL, NULL, 15),
(137838, NULL, 'PTHR33711:SF5', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03030)-RELATED', NULL, NULL, NULL, 15),
(137839, NULL, 'PTHR24543:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137840, NULL, 'PTHR13140:SF737', NULL, NULL, NULL, NULL, 'MYOSIN FAMILY PROTEIN WITH DIL DOMAIN', NULL, NULL, NULL, 15),
(137841, NULL, 'PTHR47991:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137842, NULL, 'PTHR47938:SF20', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(137843, NULL, 'PTHR24286:SF103', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY ABA 8''-HYDROXYLASE', NULL, NULL, NULL, 15),
(137844, NULL, 'PTHR10106:SF42', NULL, NULL, NULL, NULL, 'OS10G0118350 PROTEIN', NULL, NULL, NULL, 15),
(137845, NULL, 'PTHR33524:SF2', NULL, NULL, NULL, NULL, 'SET DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(137846, NULL, 'PTHR12608:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PAM71-HOMOLOG, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(137847, NULL, 'PTHR33138:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137848, NULL, 'PTHR19306:SF8', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES 6', NULL, NULL, NULL, 15),
(137849, NULL, 'PTHR15407:SF37', NULL, NULL, NULL, NULL, 'PROTEIN CBG24613', NULL, NULL, NULL, 15),
(137850, NULL, 'PTHR10795:SF592', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: SUBTILISIN-LIKE PROTEASE SBT5.3', NULL, NULL, NULL, 15),
(137851, NULL, 'PTHR17573:SF0', NULL, NULL, NULL, NULL, 'UROPLAKIN-2', NULL, NULL, NULL, 15),
(137852, NULL, 'PTHR27001:SF707', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(137853, NULL, 'PTHR47947:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 81 SUBFAMILY D POLYPEPTIDE 8', NULL, NULL, NULL, 15),
(137854, NULL, 'PTHR40088:SF1', NULL, NULL, NULL, NULL, 'PECTATE LYASE (EUROFUNG)', NULL, NULL, NULL, 15),
(137855, NULL, 'PTHR40079:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137856, NULL, 'PTHR10165:SF99', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE ACP2', NULL, NULL, NULL, 15),
(137857, NULL, 'PTHR38940', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137858, NULL, 'PTHR33365:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137859, NULL, 'PTHR42648:SF5', NULL, NULL, NULL, NULL, 'PROTEIN YLBG-RELATED', NULL, NULL, NULL, 15),
(137860, NULL, 'PTHR11362:SF124', NULL, NULL, NULL, NULL, 'OS01G0202700 PROTEIN', NULL, NULL, NULL, 15),
(137861, NULL, 'PTHR31113:SF21', NULL, NULL, NULL, NULL, 'UPF0496 PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(137862, NULL, 'PTHR47874:SF3', NULL, NULL, NULL, NULL, 'BNAA01G05620D PROTEIN', NULL, NULL, NULL, 15),
(137863, NULL, 'PTHR12928:SF0', NULL, NULL, NULL, NULL, 'FSHD REGION GENE 1', NULL, NULL, NULL, 15),
(137864, NULL, 'PTHR47348:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(137865, NULL, 'PTHR22765:SF330', NULL, NULL, NULL, NULL, 'RECEPTOR HOMOLOGY REGION, TRANSMEMBRANE DOMAIN- AND RING DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(137866, NULL, 'PTHR46085:SF6', NULL, NULL, NULL, NULL, 'ARF GTPASE ACTIVATOR', NULL, NULL, NULL, 15),
(137867, NULL, 'PTHR47832', NULL, NULL, NULL, NULL, 'DNA PHOTOLYASE', NULL, NULL, NULL, 15),
(137868, NULL, 'PTHR31867:SF109', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(137869, NULL, 'PTHR47154', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR MTH-RELATED', NULL, NULL, NULL, 15),
(137870, NULL, 'PTHR34612:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137871, NULL, 'PTHR15185:SF5', NULL, NULL, NULL, NULL, 'B-CELL CLL/LYMPHOMA 9 PROTEIN', NULL, NULL, NULL, 15),
(137872, NULL, 'PTHR10099:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137873, NULL, 'PTHR31376:SF7', NULL, NULL, NULL, NULL, 'OS05G0556800 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137874, NULL, 'PTHR47966:SF43', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-RELATED', NULL, NULL, NULL, 15),
(137875, NULL, 'PTHR24068:SF198', NULL, NULL, NULL, NULL, 'OS03G0681400 PROTEIN', NULL, NULL, NULL, 15),
(137876, NULL, 'PTHR12022:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(137877, NULL, 'PTHR46592:SF5', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 11 RING-H2 FINGER PROTEIN', NULL, NULL, NULL, 15),
(137878, NULL, 'PTHR11640:SF115', NULL, NULL, NULL, NULL, 'MIP08606P-RELATED', NULL, NULL, NULL, 15),
(137879, NULL, 'PTHR13140:SF807', NULL, NULL, NULL, NULL, 'MYOSIN-11', NULL, NULL, NULL, 15),
(137880, NULL, 'PTHR11654:SF469', NULL, NULL, NULL, NULL, 'BNAC02G47290D PROTEIN', NULL, NULL, NULL, 15),
(137881, NULL, 'PTHR43874:SF134', NULL, NULL, NULL, NULL, 'BNAA08G25770D PROTEIN', NULL, NULL, NULL, 15),
(137882, NULL, 'PTHR11132:SF381', NULL, NULL, NULL, NULL, 'BNAA08G30680D PROTEIN', NULL, NULL, NULL, 15),
(137883, NULL, 'PTHR11486:SF131', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', NULL, NULL, NULL, 15),
(137884, NULL, 'PTHR12856:SF0', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIH SUBUNIT 1', NULL, NULL, NULL, 15),
(137885, NULL, 'PTHR13809:SF26', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(T) SUBUNIT GAMMA-T1', NULL, NULL, NULL, 15),
(137886, NULL, 'PTHR31065:SF56', NULL, NULL, NULL, NULL, 'OS08G0560300 PROTEIN', NULL, NULL, NULL, 15),
(137887, NULL, 'PTHR31623:SF59', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(137888, NULL, 'PTHR37745:SF2', NULL, NULL, NULL, NULL, 'BNACNNG65030D PROTEIN', NULL, NULL, NULL, 15),
(137889, NULL, 'PTHR44129:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_1G12380)', NULL, NULL, NULL, 15),
(137890, NULL, 'PTHR45634:SF18', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 6', NULL, NULL, NULL, 15),
(137891, NULL, 'PTHR24068:SF41', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-24 KDA', NULL, NULL, NULL, 15),
(137892, NULL, 'PTHR24377:SF164', NULL, NULL, NULL, NULL, 'KRAB-CONTAINING ZINC-FINGER PROTEIN KRAZ1-RELATED', NULL, NULL, NULL, 15),
(137893, NULL, 'PTHR21495:SF202', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(137894, NULL, 'PTHR23236:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137895, NULL, 'PTHR31907:SF15', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN BET V I FAMILY PROTEIN', NULL, NULL, NULL, 15),
(137896, NULL, 'PTHR36885:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(137897, NULL, 'PTHR33730:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137898, NULL, 'PTHR43671:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE NEK4', NULL, NULL, NULL, 15),
(137899, NULL, 'PTHR31636:SF7', NULL, NULL, NULL, NULL, 'OS05G0574900 PROTEIN', NULL, NULL, NULL, 15),
(137900, NULL, 'PTHR35103:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137901, NULL, 'PTHR31787:SF8', NULL, NULL, NULL, NULL, 'FRIZZLED/SMOOTHENED-LIKE SANS CRD PROTEIN B-RELATED', NULL, NULL, NULL, 15),
(137902, NULL, 'PTHR47926:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137903, NULL, 'PTHR42754', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(137904, NULL, 'PTHR24072:SF328', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE', NULL, NULL, NULL, 15),
(137905, NULL, 'PTHR47224:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 25', NULL, NULL, NULL, 15),
(137906, NULL, 'PTHR31602:SF63', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 3', NULL, NULL, NULL, 15),
(137907, NULL, 'PTHR24093:SF458', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137908, NULL, 'PTHR31677:SF159', NULL, NULL, NULL, NULL, 'BRANCHED SILKLESS 1-LIKE', NULL, NULL, NULL, 15),
(137909, NULL, 'PTHR33077:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137910, NULL, 'PTHR47817:SF2', NULL, NULL, NULL, NULL, 'OS04G0686300 PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137911, NULL, 'PTHR23056:SF106', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(137912, NULL, 'PTHR34710:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137913, NULL, 'PTHR31132:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137914, NULL, 'PTHR13234:SF24', NULL, NULL, NULL, NULL, 'GILT-LIKE PROTEIN ZK669.3', NULL, NULL, NULL, 15),
(137915, NULL, 'PTHR16770:SF4', NULL, NULL, NULL, NULL, 'PROTEIN RIPPLY3', NULL, NULL, NULL, 15),
(137916, NULL, 'PTHR47451', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(137917, NULL, 'PTHR11406:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE', NULL, NULL, NULL, 15),
(137918, NULL, 'PTHR33562:SF20', NULL, NULL, NULL, NULL, 'PROTEIN QUIVER', NULL, NULL, NULL, 15),
(137919, NULL, 'PTHR45648:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137920, NULL, 'PTHR42824:SF1', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE YAFJ-RELATED', NULL, NULL, NULL, 15),
(137921, NULL, 'PTHR22943:SF20', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(137922, NULL, 'PTHR13042:SF10', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(137923, NULL, 'PTHR31989:SF226', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(137924, NULL, 'PTHR18945:SF52', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 3A', NULL, NULL, NULL, 15),
(137925, NULL, 'PTHR46095:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 593', NULL, NULL, NULL, 15),
(137926, NULL, 'PTHR45743:SF34', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, VOLTAGE-DEPENDENT, EAG/ELK/ERG, ANKYRIN REPEAT-CONTAINING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137927, NULL, 'PTHR31677:SF165', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137928, NULL, 'PTHR13902:SF140', NULL, NULL, NULL, NULL, 'BNAA02G07690D PROTEIN', NULL, NULL, NULL, 15),
(137929, NULL, 'PTHR22851', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA  U3 SNORNA  ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(137930, NULL, 'PTHR47750', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SNE', NULL, NULL, 39694, 15),
(137931, NULL, 'PTHR37888:SF12', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN FAMILY-LIKE', NULL, NULL, NULL, 15),
(137932, NULL, 'PTHR45968:SF26', NULL, NULL, NULL, NULL, 'BNAA03G12930D PROTEIN', NULL, NULL, NULL, 15),
(137933, NULL, 'PTHR46625:SF1', NULL, NULL, NULL, NULL, '72 KDA INOSITOL POLYPHOSPHATE 5-PHOSPHATASE', NULL, NULL, NULL, 15),
(137934, NULL, 'PTHR11119:SF57', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 23 MEMBER 3', NULL, NULL, 28400, 15),
(137935, NULL, 'PTHR24221:SF535', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(137936, NULL, 'PTHR46888:SF1', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE DOMAINCONTAINING PROTEIN', NULL, NULL, NULL, 15),
(137937, NULL, 'PTHR11588:SF386', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(137938, NULL, 'PTHR43323:SF1', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA SYNTHASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(137939, NULL, 'PTHR31388:SF38', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(137940, NULL, 'PTHR12570:SF65', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA9-RELATED', NULL, NULL, NULL, 15),
(137941, NULL, 'PTHR16146:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137942, NULL, 'PTHR44083:SF19', NULL, NULL, NULL, NULL, 'LIS1 HOMOLOGY MOTIF PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137943, NULL, 'PTHR31238:SF114', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(137944, NULL, 'PTHR43487:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137945, NULL, 'PTHR43939:SF71', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN (IMH1), PUTATIVE (AFU_ORTHOLOGUE AFUA_4G02990)-RELATED', NULL, NULL, NULL, 15),
(137946, NULL, 'PTHR46448', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37094, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137947, NULL, 'PTHR23428:SF283', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(137948, NULL, 'PTHR22940', NULL, NULL, NULL, NULL, 'TIMEOUT/TIMELESS-2', NULL, NULL, 39140, 15),
(137949, NULL, 'PTHR43586:SF15', NULL, NULL, NULL, NULL, 'BLR3095 PROTEIN', NULL, NULL, NULL, 15),
(137950, NULL, 'PTHR32183:SF11', NULL, NULL, NULL, NULL, 'THIOL METHYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(137951, NULL, 'PTHR31989:SF360', NULL, NULL, NULL, NULL, 'BNACNNG72050D PROTEIN', NULL, NULL, NULL, 15),
(137952, NULL, 'PTHR46452:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 3', NULL, NULL, NULL, 15),
(137953, NULL, 'PTHR47995:SF3', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(137954, NULL, 'PTHR11040:SF60', NULL, NULL, NULL, NULL, 'FAMILY ZINC TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04010)-RELATED', NULL, NULL, NULL, 15),
(137955, NULL, 'PTHR10706:SF145', NULL, NULL, NULL, NULL, 'OS05G0177400 PROTEIN', NULL, NULL, NULL, 15),
(137956, NULL, 'PTHR31674:SF46', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137957, NULL, 'PTHR30273', NULL, NULL, NULL, NULL, 'PERIPLASMIC SIGNAL SENSOR AND SIGMA FACTOR ACTIVATOR FECR-RELATED', NULL, NULL, 13838, 15),
(137958, NULL, 'PTHR11134:SF31', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(137959, NULL, 'PTHR10237', NULL, NULL, NULL, NULL, 'DEFORMED EPIDERMAL AUTOREGULATORY FACTOR 1 HOMOLOG  SUPPRESSIN', NULL, NULL, 12392, 15),
(137960, NULL, 'PTHR11439:SF284', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN, GAG-PRE-INTEGRASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(137961, NULL, 'PTHR31642:SF160', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(137962, NULL, 'PTHR16830:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137963, NULL, 'PTHR33376:SF15', NULL, NULL, NULL, NULL, 'BLL6794 PROTEIN', NULL, NULL, NULL, 15),
(137964, NULL, 'PTHR31718:SF48', NULL, NULL, NULL, NULL, 'PLAT-PLANT-STRESS PROTEIN', NULL, NULL, NULL, 15),
(137965, NULL, 'PTHR23139:SF101', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 39', NULL, NULL, NULL, 15),
(137966, NULL, 'PTHR10996:SF252', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(137967, NULL, 'PTHR23048:SF0', NULL, NULL, NULL, NULL, 'FI08416P-RELATED', NULL, NULL, NULL, 15),
(137968, NULL, 'PTHR11101:SF49', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(137969, NULL, 'PTHR23268:SF54', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 24-1', NULL, NULL, NULL, 15),
(137970, NULL, 'PTHR33138:SF51', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(137971, NULL, 'PTHR42851:SF16', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(137972, NULL, 'PTHR13468:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DEK', NULL, NULL, NULL, 15),
(137973, NULL, 'PTHR26453:SF174', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(137974, NULL, 'PTHR46547:SF4', NULL, NULL, NULL, NULL, 'OS02G0775600 PROTEIN', NULL, NULL, NULL, 15),
(137975, NULL, 'PTHR35801', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE RSBX', NULL, NULL, 35843, 15),
(137976, NULL, 'PTHR23131:SF4', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY POTEIN', NULL, NULL, NULL, 15),
(137977, NULL, 'PTHR13683:SF845', NULL, NULL, NULL, NULL, 'BNAA08G07080D PROTEIN', NULL, NULL, NULL, 15),
(137978, NULL, 'PTHR12815:SF15', NULL, NULL, NULL, NULL, 'OS11G0106200 PROTEIN', NULL, NULL, NULL, 15),
(137979, NULL, 'PTHR24422:SF19', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(137980, NULL, 'PTHR12649:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137981, NULL, 'PTHR42861:SF94', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(137982, NULL, 'PTHR24115:SF912', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(137983, NULL, 'PTHR43340', NULL, NULL, NULL, NULL, 'HYPOXANTHINE-GUANINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(137984, NULL, 'PTHR11669:SF57', NULL, NULL, NULL, NULL, 'PROTEIN STICHEL-LIKE 4', NULL, NULL, NULL, 15),
(137985, NULL, 'PTHR47425:SF1', NULL, NULL, NULL, NULL, 'MISCELLANEOUS ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)', NULL, NULL, NULL, 15),
(137986, NULL, 'PTHR31852:SF233', NULL, NULL, NULL, NULL, 'OS04G0430600 PROTEIN', NULL, NULL, NULL, 15),
(137987, NULL, 'PTHR42703:SF1', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT D', NULL, NULL, NULL, 15),
(137988, NULL, 'PTHR42678:SF5', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT A', NULL, NULL, NULL, 15),
(137989, NULL, 'PTHR10634:SF95', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 8', NULL, NULL, NULL, 15),
(137990, NULL, 'PTHR27001:SF542', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-REGULATED RECEPTOR-LIKE KINASE 1', NULL, NULL, NULL, 15),
(137991, NULL, 'PTHR27009:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137992, NULL, 'PTHR31997', NULL, NULL, NULL, NULL, 'AGAP003710-PA', NULL, NULL, 29355, 15),
(137993, NULL, 'PTHR30620:SF77', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE BOGH3B-LIKE', NULL, NULL, NULL, 15),
(137994, NULL, 'PTHR26312:SF162', NULL, NULL, NULL, NULL, 'BNAA03G17190D PROTEIN', NULL, NULL, NULL, 15),
(137995, NULL, 'PTHR33191:SF24', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(137996, NULL, 'PTHR31307:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(137997, NULL, 'PTHR36318', NULL, NULL, NULL, NULL, 'OS06G0581300 PROTEIN', NULL, NULL, 8015, 15),
(137998, NULL, 'PTHR14978', NULL, NULL, NULL, NULL, 'BETA-CATENIN-LIKE PROTEIN 1  NUCLEAR ASSOCIATED PROTEIN', NULL, NULL, 35915, 15),
(137999, NULL, 'PTHR34781:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(138000, NULL, 'PTHR33312:SF18', NULL, NULL, NULL, NULL, 'OS05G0462200 PROTEIN', NULL, NULL, NULL, 15),
(138001, NULL, 'PTHR33601:SF31', NULL, NULL, NULL, NULL, 'BNAC04G04210D PROTEIN', NULL, NULL, NULL, 15),
(138002, NULL, 'PTHR33829:SF4', NULL, NULL, NULL, NULL, 'BNAA09G05090D PROTEIN', NULL, NULL, NULL, 15),
(138003, NULL, 'PTHR46477:SF16', NULL, NULL, NULL, NULL, 'OS08G0404500 PROTEIN', NULL, NULL, NULL, 15),
(138004, NULL, 'PTHR10252:SF54', NULL, NULL, NULL, NULL, 'CHROMATIN ACCESSIBILITY COMPLEX PROTEIN 1', NULL, NULL, NULL, 15),
(138005, NULL, 'PTHR24373:SF336', NULL, NULL, NULL, NULL, 'TOLL (DROSOPHILA) FAMILY', NULL, NULL, NULL, 15),
(138006, NULL, 'PTHR22948:SF31', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE TDRD12-RELATED', NULL, NULL, NULL, 15),
(138007, NULL, 'PTHR21559:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138008, NULL, 'PTHR10657:SF4', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-RELATED', NULL, NULL, NULL, 15),
(138009, NULL, 'PTHR10366:SF637', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(138010, NULL, 'PTHR10639:SF34', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(138011, NULL, 'PTHR46741:SF1', NULL, NULL, NULL, NULL, 'DUF1666 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138012, NULL, 'PTHR11255:SF38', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE ALPHA', NULL, NULL, NULL, 15),
(138013, NULL, 'PTHR48033:SF6', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138014, NULL, 'PTHR11711:SF395', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 1', NULL, NULL, NULL, 15),
(138015, NULL, 'PTHR12092:SF2', NULL, NULL, NULL, NULL, 'PLECKSTRIN-2', NULL, NULL, NULL, 15),
(138016, NULL, 'PTHR31421:SF16', NULL, NULL, NULL, NULL, 'BASIC PENTACYSTEINE 2-RELATED', NULL, NULL, NULL, 15),
(138017, NULL, 'PTHR12710', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN LOCALIZATION 4', NULL, NULL, 18161, 15),
(138018, NULL, 'PTHR12565:SF407', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138019, NULL, 'PTHR34185:SF1', NULL, NULL, NULL, NULL, 'DIADENYLATE CYCLASE', NULL, NULL, NULL, 15),
(138020, NULL, 'PTHR10552:SF8', NULL, NULL, NULL, NULL, 'BNAC08G13840D PROTEIN', NULL, NULL, NULL, 15),
(138021, NULL, 'PTHR22981:SF80', NULL, NULL, NULL, NULL, 'BLR4309 PROTEIN', NULL, NULL, NULL, 15),
(138022, NULL, 'PTHR28567:SF5', NULL, NULL, NULL, NULL, 'LOC100002393 PROTEIN', NULL, NULL, NULL, 15),
(138023, NULL, 'PTHR10288:SF284', NULL, NULL, NULL, NULL, 'BNAA10G06430D PROTEIN', NULL, NULL, NULL, 15),
(138024, NULL, 'PTHR22808:SF8', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(34)-C(5))-METHYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(138025, NULL, 'PTHR11329:SF0', NULL, NULL, NULL, NULL, 'LEUKOCYTE CELL-DERIVED CHEMOTAXIN-2', NULL, NULL, NULL, 15),
(138026, NULL, 'PTHR31929:SF113', NULL, NULL, NULL, NULL, 'SAUR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138027, NULL, 'PTHR10969:SF83', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(138028, NULL, 'PTHR43173:SF12', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(138029, NULL, 'PTHR46311:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 7', NULL, NULL, NULL, 15),
(138030, NULL, 'PTHR24373:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138031, NULL, 'PTHR46676:SF1', NULL, NULL, NULL, NULL, 'PROTEIN AMBP', NULL, NULL, NULL, 15),
(138032, NULL, 'PTHR44154', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(138033, NULL, 'PTHR15852:SF60', NULL, NULL, NULL, NULL, 'BNAC01G42740D PROTEIN', NULL, NULL, NULL, 15),
(138034, NULL, 'PTHR34709:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138035, NULL, 'PTHR31353:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FAM98A', NULL, NULL, NULL, 15),
(138036, NULL, 'PTHR31374:SF170', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(138037, NULL, 'PTHR43241:SF1', NULL, NULL, NULL, NULL, 'FLAVIN REDUCTASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(138038, NULL, 'PTHR32125', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 4-PHOSPHATE CYTIDYLYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(138039, NULL, 'PTHR48027:SF10', NULL, NULL, NULL, NULL, 'YALI0A02981P', NULL, NULL, NULL, 15),
(138040, NULL, 'PTHR34596:SF2', NULL, NULL, NULL, NULL, 'CHITOPORIN', NULL, NULL, NULL, 15),
(138041, NULL, 'PTHR46084:SF29', NULL, NULL, NULL, NULL, 'OS05G0353500 PROTEIN', NULL, NULL, NULL, 15),
(138042, NULL, 'PTHR48090', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-PHOSPHATE 4-DEOXY-4-FORMAMIDO-L-ARABINOSE TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(138043, NULL, 'PTHR24033:SF164', NULL, NULL, NULL, NULL, 'PROTEIN CBG12999', NULL, NULL, NULL, 15),
(138044, NULL, 'PTHR24208:SF127', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN AWH', NULL, NULL, NULL, 15),
(138045, NULL, 'PTHR11848:SF139', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 5', NULL, NULL, NULL, 15),
(138046, NULL, 'PTHR12565:SF367', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH75', NULL, NULL, NULL, 15),
(138047, NULL, 'PTHR35546:SF52', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE-LIKE', NULL, NULL, NULL, 15),
(138048, NULL, 'PTHR11661:SF19', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L11, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(138049, NULL, 'PTHR11485:SF31', NULL, NULL, NULL, NULL, 'SEROTRANSFERRIN', NULL, NULL, NULL, 15),
(138050, NULL, 'PTHR45824:SF16', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138051, NULL, 'PTHR47256:SF6', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(138052, NULL, 'PTHR15898:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL APOPTOSIS REGULATOR', NULL, NULL, NULL, 15),
(138053, NULL, 'PTHR11594:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', NULL, NULL, NULL, 15),
(138054, NULL, 'PTHR32125:SF4', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 4-PHOSPHATE CYTIDYLYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138055, NULL, 'PTHR21580:SF9', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 3-B', NULL, NULL, NULL, 15),
(138056, NULL, 'PTHR15944:SF2', NULL, NULL, NULL, NULL, 'PRENYLCYSTEINE OXIDASE-LIKE', NULL, NULL, NULL, 15),
(138057, NULL, 'PTHR10459:SF80', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE 1', NULL, NULL, NULL, 15),
(138058, NULL, 'PTHR24073:SF1149', NULL, NULL, NULL, NULL, 'OS10G0456600 PROTEIN', NULL, NULL, NULL, 15),
(138059, NULL, 'PTHR42902', NULL, NULL, NULL, NULL, 'MALATE SYNTHASE', NULL, NULL, 3828, 15),
(138060, NULL, 'PTHR33172:SF72', NULL, NULL, NULL, NULL, 'BNAANNG33350D PROTEIN', NULL, NULL, NULL, 15),
(138061, NULL, 'PTHR24026:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138062, NULL, 'PTHR44525', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 27', NULL, NULL, 39674, 15),
(138063, NULL, 'PTHR31105:SF38', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 4', NULL, NULL, NULL, 15),
(138064, NULL, 'PTHR15822:SF4', NULL, NULL, NULL, NULL, 'TYROSYL-DNA PHOSPHODIESTERASE 2', NULL, NULL, NULL, 15),
(138065, NULL, 'PTHR37610:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138066, NULL, 'PTHR47838', NULL, NULL, NULL, NULL, '21.7 KDA CLASS VI HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(138067, NULL, 'PTHR24230:SF137', NULL, NULL, NULL, NULL, 'PROTEIN CBG07563', NULL, NULL, NULL, 15),
(138068, NULL, 'PTHR23073:SF115', NULL, NULL, NULL, NULL, 'OS09G0560200 PROTEIN', NULL, NULL, NULL, 15),
(138069, NULL, 'PTHR31190:SF284', NULL, NULL, NULL, NULL, 'BNAC04G44080D PROTEIN', NULL, NULL, NULL, 15),
(138070, NULL, 'PTHR48097:SF2', NULL, NULL, NULL, NULL, 'LOW-SPECIFICITY L-THREONINE ALDOLASE 1-RELATED', NULL, NULL, NULL, 15),
(138071, NULL, 'PTHR31421:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BASIC PENTACYSTEINE6', NULL, NULL, NULL, 15),
(138072, NULL, 'PTHR46174:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138073, NULL, 'PTHR12265:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 53', NULL, NULL, NULL, 15),
(138074, NULL, 'PTHR48015:SF24', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(138075, NULL, 'PTHR32227:SF383', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE A', NULL, NULL, NULL, 15),
(138076, NULL, 'PTHR24376:SF128', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 836-RELATED', NULL, NULL, NULL, 15),
(138077, NULL, 'PTHR12389:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LISTERIN', NULL, NULL, NULL, 15),
(138078, NULL, 'PTHR31948:SF101', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 3', NULL, NULL, NULL, 15),
(138079, NULL, 'PTHR47500:SF4', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700023F06 GENE', NULL, NULL, NULL, 15),
(138080, NULL, 'PTHR24221:SF415', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 13-RELATED', NULL, NULL, NULL, 15),
(138081, NULL, 'PTHR33110:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138082, NULL, 'PTHR46267:SF15', NULL, NULL, NULL, NULL, 'SINGLE MYB HISTONE 4', NULL, NULL, NULL, 15),
(138083, NULL, 'PTHR47461:SF5', NULL, NULL, NULL, NULL, 'PHYTOLONGIN PHYL1.1', NULL, NULL, NULL, 15),
(138084, NULL, 'PTHR47429:SF5', NULL, NULL, NULL, NULL, 'VIVID PAS PROTEIN VVD', NULL, NULL, NULL, 15),
(138085, NULL, 'PTHR12665:SF23', NULL, NULL, NULL, NULL, 'ORM1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(138086, NULL, 'PTHR10257:SF82', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(138087, NULL, 'PTHR10183:SF381', NULL, NULL, NULL, NULL, 'CALPAIN-6', NULL, NULL, NULL, 15),
(138088, NULL, 'PTHR22835:SF554', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138089, NULL, 'PTHR14089', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR RBM22', NULL, NULL, 32129, 15),
(138090, NULL, 'PTHR31234:SF38', NULL, NULL, NULL, NULL, 'BNAA09G11920D PROTEIN', NULL, NULL, NULL, 15),
(138091, NULL, 'PTHR23147:SF189', NULL, NULL, NULL, NULL, 'RNA-BINDING DOMAIN-CONTAINING PROTEIN 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138092, NULL, 'PTHR46085:SF11', NULL, NULL, NULL, NULL, 'ARFGAP/RECO-LIKE ZINC FINGER DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(138093, NULL, 'PTHR18919', NULL, NULL, NULL, NULL, 'ACETYL-COA C-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(138094, NULL, 'PTHR24343:SF191', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(138095, NULL, 'PTHR46590:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN CSR1', NULL, NULL, NULL, 15),
(138096, NULL, 'PTHR31333:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138097, NULL, 'PTHR23024:SF162', NULL, NULL, NULL, NULL, 'OS07G0162700 PROTEIN', NULL, NULL, NULL, 15),
(138098, NULL, 'PTHR47633:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138099, NULL, 'PTHR22814:SF315', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE HOMOLOG CCH', NULL, NULL, NULL, 15),
(138100, NULL, 'PTHR11130:SF4', NULL, NULL, NULL, NULL, 'GLUTATHIONE SYNTHETASE', NULL, NULL, NULL, 15),
(138101, NULL, 'PTHR31305', NULL, NULL, NULL, NULL, 'SNARE-ASSOCIATED PROTEIN SNAPIN', NULL, NULL, 15638, 15),
(138102, NULL, 'PTHR23274:SF18', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE PIF4', NULL, NULL, NULL, 15),
(138103, NULL, 'PTHR31048:SF159', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(138104, NULL, 'PTHR24300:SF153', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2B6', NULL, NULL, NULL, 15),
(138105, NULL, 'PTHR10845:SF253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138106, NULL, 'PTHR10168:SF216', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C8', NULL, NULL, NULL, 15),
(138107, NULL, 'PTHR32258:SF14', NULL, NULL, NULL, NULL, 'TROPOMYOSIN', NULL, NULL, NULL, 15),
(138108, NULL, 'PTHR10129:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAFK', NULL, NULL, 21885, 15),
(138109, NULL, 'PTHR45656:SF9', NULL, NULL, NULL, NULL, 'C4B-BINDING PROTEIN BETA CHAIN-RELATED', NULL, NULL, NULL, 15),
(138110, NULL, 'PTHR10578:SF105', NULL, NULL, NULL, NULL, 'DEPENDENT DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G00500)-RELATED', NULL, NULL, NULL, 15),
(138111, NULL, 'PTHR19918', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 20  CDC20   FIZZY -RELATED', NULL, NULL, 29618, 15),
(138112, NULL, 'PTHR32343:SF53', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138113, NULL, 'PTHR47979:SF70', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RAB7, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(138114, NULL, 'PTHR11363:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L3-2', NULL, NULL, NULL, 15),
(138115, NULL, 'PTHR36313', NULL, NULL, NULL, NULL, 'ROOT MERISTEM GROWTH FACTOR 2', NULL, NULL, 34784, 15),
(138116, NULL, 'PTHR23351:SF47', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR 3', NULL, NULL, NULL, 15),
(138117, NULL, 'PTHR46325:SF21', NULL, NULL, NULL, NULL, 'BNAA08G27910D PROTEIN', NULL, NULL, NULL, 15),
(138118, NULL, 'PTHR46267:SF7', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING FACTOR 3', NULL, NULL, NULL, 15),
(138119, NULL, 'PTHR11711:SF355', NULL, NULL, NULL, NULL, 'ARF/SAR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138120, NULL, 'PTHR15486:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138121, NULL, 'PTHR24416:SF326', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-B RECEPTOR 6', NULL, NULL, NULL, 15),
(138122, NULL, 'PTHR24281:SF117', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(138123, NULL, 'PTHR24637:SF274', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(138124, NULL, 'PTHR46412:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BIM1', NULL, NULL, NULL, 15),
(138125, NULL, 'PTHR35861:SF1', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', NULL, NULL, NULL, 15),
(138126, NULL, 'PTHR45811:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138127, NULL, 'PTHR43085:SF15', NULL, NULL, NULL, NULL, '2-DEHYDRO-3-DEOXYGLUCONOKINASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138128, NULL, 'PTHR35697:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138129, NULL, 'PTHR23261:SF14', NULL, NULL, NULL, NULL, 'GROUND-LIKE (GRD RELATED)', NULL, NULL, NULL, 15),
(138130, NULL, 'PTHR33390:SF4', NULL, NULL, NULL, NULL, 'STRESS UP-REGULATED NOD 19-RELATED', NULL, NULL, NULL, 15),
(138131, NULL, 'PTHR10676:SF374', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN AT 93AB, ISOFORM C', NULL, NULL, NULL, 15),
(138132, NULL, 'PTHR43349:SF81', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE HOMOLOG A622-LIKE', NULL, NULL, NULL, 15),
(138133, NULL, 'PTHR31003:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HHO1', NULL, NULL, NULL, 15),
(138134, NULL, 'PTHR36140:SF1', NULL, NULL, NULL, NULL, 'OS11G0152150 PROTEIN', NULL, NULL, NULL, 15),
(138135, NULL, 'PTHR14499:SF115', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL-RELATED', NULL, NULL, NULL, 15),
(138136, NULL, 'PTHR24343:SF460', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK2', NULL, NULL, NULL, 15),
(138137, NULL, 'PTHR46259', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC-TYPE AND RNA-BINDING MOTIF-CONTAINING PROTEIN 1', NULL, NULL, 36665, 15),
(138138, NULL, 'PTHR48000:SF28', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX2', NULL, NULL, NULL, 15),
(138139, NULL, 'PTHR37077:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138140, NULL, 'PTHR24409:SF376', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR CTCF', NULL, NULL, NULL, 15),
(138141, NULL, 'PTHR31657:SF53', NULL, NULL, NULL, NULL, 'BNAC07G50590D PROTEIN', NULL, NULL, NULL, 15),
(138142, NULL, 'PTHR45618:SF39', NULL, NULL, NULL, NULL, 'PLANT UNCOUPLING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138143, NULL, 'PTHR24282:SF178', NULL, NULL, NULL, NULL, 'BNAA01G29240D PROTEIN', NULL, NULL, NULL, 15),
(138144, NULL, 'PTHR10507:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138145, NULL, 'PTHR10792:SF40', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24', NULL, NULL, NULL, 15),
(138146, NULL, 'PTHR13817:SF54', NULL, NULL, NULL, NULL, 'DOWN SYNDROME CELL ADHESION MOLECULE-LIKE PROTEIN 1 HOMOLOG', NULL, NULL, 36239, 15),
(138147, NULL, 'PTHR10502:SF209', NULL, NULL, NULL, NULL, 'ANNEXIN D4-LIKE', NULL, NULL, NULL, 15),
(138148, NULL, 'PTHR11537:SF155', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 7', NULL, NULL, NULL, 15),
(138149, NULL, 'PTHR27006:SF235', NULL, NULL, NULL, NULL, 'BNAC03G71050D PROTEIN', NULL, NULL, NULL, 15),
(138150, NULL, 'PTHR11654:SF352', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER PLANT', NULL, NULL, NULL, 15),
(138151, NULL, 'PTHR43488:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE-PYRUVATE AMINOTRANSFERASE ALAA', NULL, NULL, NULL, 15),
(138152, NULL, 'PTHR33122:SF60', NULL, NULL, NULL, NULL, 'LIPID-TRANSFER PROTEIN DIR1-RELATED', NULL, NULL, NULL, 15),
(138153, NULL, 'PTHR48043:SF26', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(138154, NULL, 'PTHR18945:SF430', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-LIKE 2', NULL, NULL, NULL, 15),
(138155, NULL, 'PTHR13167:SF40', NULL, NULL, NULL, NULL, 'PIEZO-TYPE MECHANOSENSITIVE ION CHANNEL COMPONENT 1', NULL, NULL, NULL, 15),
(138156, NULL, 'PTHR10788:SF80', NULL, NULL, NULL, NULL, 'ALPHAALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 5', NULL, NULL, NULL, 15),
(138157, NULL, 'PTHR11686:SF54', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE 7', NULL, NULL, NULL, 15),
(138158, NULL, 'PTHR43875:SF6', NULL, NULL, NULL, NULL, 'SUGAR ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(138159, NULL, 'PTHR45739:SF8', NULL, NULL, NULL, NULL, 'MATRIX PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(138160, NULL, 'PTHR37861', NULL, NULL, NULL, NULL, 'PROLINE-RICH ACIDIC PROTEIN 1', NULL, NULL, 26227, 15),
(138161, NULL, 'PTHR22442:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM169B', NULL, NULL, 24479, 15),
(138162, NULL, 'PTHR42101:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138163, NULL, 'PTHR24055:SF198', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC MITOGEN-ACTIVATED PROTEIN KINASE SMK1', NULL, NULL, NULL, 15),
(138164, NULL, 'PTHR24023:SF1022', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(138165, NULL, 'PTHR34949:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(138166, NULL, 'PTHR39609', NULL, NULL, NULL, NULL, 'RFEG-RELATED', NULL, NULL, NULL, 15),
(138167, NULL, 'PTHR11802:SF309', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 18', NULL, NULL, NULL, 15),
(138168, NULL, 'PTHR23505:SF65', NULL, NULL, NULL, NULL, 'OS08G0410500 PROTEIN', NULL, NULL, NULL, 15),
(138169, NULL, 'PTHR13966:SF5', NULL, NULL, NULL, NULL, 'ENDONUCLEASE G, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(138170, NULL, 'PTHR24086:SF42', NULL, NULL, NULL, NULL, 'NR5A5 PROTEIN', NULL, NULL, NULL, 15),
(138171, NULL, 'PTHR12837:SF7', NULL, NULL, NULL, NULL, 'POLY(ADP-RIBOSE) GLYCOHYDROLASE 2-RELATED', NULL, NULL, NULL, 15),
(138172, NULL, 'PTHR43800', NULL, NULL, NULL, NULL, 'PEPTIDYL-LYSINE N-ACETYLTRANSFERASE YJAB', NULL, NULL, NULL, 15),
(138173, NULL, 'PTHR31618:SF19', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(138174, NULL, 'PTHR24089:SF262', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN SCAMC-1', NULL, NULL, NULL, 15),
(138175, NULL, 'PTHR10795:SF397', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.15', NULL, NULL, NULL, 15),
(138176, NULL, 'PTHR35007:SF4', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138177, NULL, 'PTHR11884:SF1', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS PROTEIN 1', NULL, NULL, NULL, 15),
(138178, NULL, 'PTHR42090', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138179, NULL, 'PTHR22765:SF310', NULL, NULL, NULL, NULL, 'BNAA05G17090D PROTEIN', NULL, NULL, NULL, 15),
(138180, NULL, 'PTHR12482:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138181, NULL, 'PTHR10288:SF274', NULL, NULL, NULL, NULL, 'PROTEIN BTR1-LIKE', NULL, NULL, NULL, 15),
(138182, NULL, 'PTHR47429:SF6', NULL, NULL, NULL, NULL, 'PHOTOTROPIN-1-LIKE', NULL, NULL, NULL, 15),
(138183, NULL, 'PTHR30603:SF14', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGA', NULL, NULL, NULL, 15),
(138184, NULL, 'PTHR21576:SF109', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(138185, NULL, 'PTHR47372:SF5', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN D-29', NULL, NULL, NULL, 15),
(138186, NULL, 'PTHR35546:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138187, NULL, 'PTHR33622:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(138188, NULL, 'PTHR31282:SF154', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 7-RELATED', NULL, NULL, NULL, 15),
(138189, NULL, 'PTHR10806:SF25', NULL, NULL, NULL, NULL, 'PHOSPHOPROTEIN PHOSPHATASE INHIBITORS', NULL, NULL, NULL, 15),
(138190, NULL, 'PTHR12370:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE PROTEIN F', NULL, NULL, NULL, 15),
(138191, NULL, 'PTHR48018:SF104', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(138192, NULL, 'PTHR23430:SF325', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(138193, NULL, 'PTHR34838:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138194, NULL, 'PTHR24055:SF446', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(138195, NULL, 'PTHR34661:SF1', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 3', NULL, NULL, NULL, 15),
(138196, NULL, 'PTHR31707:SF180', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(138197, NULL, 'PTHR30523:SF35', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE', NULL, NULL, NULL, 15),
(138198, NULL, 'PTHR33076:SF126', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(138199, NULL, 'PTHR36181', NULL, NULL, NULL, NULL, 'INTRON-ENCODED ENDONUCLEASE AI3-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138200, NULL, 'PTHR27006:SF349', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', NULL, NULL, NULL, 15),
(138201, NULL, 'PTHR35129:SF4', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 2-LIKE', NULL, NULL, NULL, 15),
(138202, NULL, 'PTHR24346:SF37', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SIK2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(138203, NULL, 'PTHR10997:SF65', NULL, NULL, NULL, NULL, 'BNAC04G12980D PROTEIN', NULL, NULL, NULL, 15),
(138204, NULL, 'PTHR16056:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CBG15695', NULL, NULL, NULL, 15),
(138205, NULL, 'PTHR31642:SF194', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(138206, NULL, 'PTHR21294:SF19', NULL, NULL, NULL, NULL, 'PROTEIN FIXA', NULL, NULL, NULL, 15),
(138207, NULL, 'PTHR11639:SF77', NULL, NULL, NULL, NULL, 'PROTEIN S100-A12', NULL, NULL, NULL, 15),
(138208, NULL, 'PTHR31972:SF67', NULL, NULL, NULL, NULL, 'PLANT/T24G3-80 PROTEIN', NULL, NULL, NULL, 15),
(138209, NULL, 'PTHR32063:SF12', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN', NULL, NULL, NULL, 15),
(138210, NULL, 'PTHR33983:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138211, NULL, 'PTHR34709:SF43', NULL, NULL, NULL, NULL, 'OS12G0527100 PROTEIN', NULL, NULL, NULL, 15),
(138212, NULL, 'PTHR43840:SF36', NULL, NULL, NULL, NULL, 'EFFLUX PROTEIN/ ZINC TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(138213, NULL, 'PTHR13774', NULL, NULL, NULL, NULL, 'PHENAZINE BIOSYNTHESIS PROTEIN', NULL, NULL, 2216, 15),
(138214, NULL, 'PTHR43836:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE O-METHYLTRANSFERASE', NULL, NULL, 34383, 15),
(138215, NULL, 'PTHR21207', NULL, NULL, NULL, NULL, 'PARKIN COREGULATED GENE PROTEIN  PARK2 COREGULATED', NULL, NULL, 16663, 15),
(138216, NULL, 'PTHR13318:SF44', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 2', NULL, NULL, NULL, 15),
(138217, NULL, 'PTHR10772:SF43', NULL, NULL, NULL, NULL, '20 KDA CHAPERONIN, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(138218, NULL, 'PTHR10570:SF9', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD3 EPSILON CHAIN', NULL, NULL, NULL, 15),
(138219, NULL, 'PTHR47159:SF1', NULL, NULL, NULL, NULL, 'CRAL-TRIO DOMAIN-CONTAINING PROTEIN F28H7.8', NULL, NULL, NULL, 15),
(138220, NULL, 'PTHR37210:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(138221, NULL, 'PTHR43095:SF1', NULL, NULL, NULL, NULL, 'AUTOINDUCER-2 KINASE', NULL, NULL, NULL, 15),
(138222, NULL, 'PTHR24092:SF146', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(138223, NULL, 'PTHR35393', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(138224, NULL, 'PTHR24104:SF20', NULL, NULL, NULL, NULL, 'AGAP007095-PA', NULL, NULL, NULL, 15),
(138225, NULL, 'PTHR21712:SF39', NULL, NULL, NULL, NULL, 'BNAA09G03090D PROTEIN', NULL, NULL, NULL, 15),
(138226, NULL, 'PTHR48247', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138227, NULL, 'PTHR48000:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX1', NULL, NULL, NULL, 15),
(138228, NULL, 'PTHR22572:SF146', NULL, NULL, NULL, NULL, 'ADP-GLUCOSE PYROPHOSPHORYLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138229, NULL, 'PTHR47980:SF27', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE SMALL GTP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(138230, NULL, 'PTHR43133:SF25', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGR', NULL, NULL, NULL, 15),
(138231, NULL, 'PTHR45637:SF66', NULL, NULL, NULL, NULL, 'BNAA02G08840D PROTEIN', NULL, NULL, NULL, 15),
(138232, NULL, 'PTHR15923', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(138233, NULL, 'PTHR46288:SF6', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138234, NULL, 'PTHR22911:SF113', NULL, NULL, NULL, NULL, 'HYPOTHETICAL TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(138235, NULL, 'PTHR10791:SF139', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138236, NULL, 'PTHR24324:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG21063', NULL, NULL, NULL, 15),
(138237, NULL, 'PTHR18966:SF485', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(138238, NULL, 'PTHR22380:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 15', NULL, NULL, NULL, 15),
(138239, NULL, 'PTHR10695:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138240, NULL, 'PTHR31731:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138241, NULL, 'PTHR23090:SF15', NULL, NULL, NULL, NULL, 'GLUTAMINE-DEPENDENT NAD(+) SYNTHETASE', NULL, NULL, NULL, 15),
(138242, NULL, 'PTHR43201:SF15', NULL, NULL, NULL, NULL, 'AMP BINDING ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11340)-RELATED', NULL, NULL, NULL, 15),
(138243, NULL, 'PTHR12231:SF229', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 141', NULL, NULL, NULL, 15),
(138244, NULL, 'PTHR43319:SF2', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(138245, NULL, 'PTHR23233:SF84', NULL, NULL, NULL, NULL, 'FI23031P1-RELATED', NULL, NULL, NULL, 15),
(138246, NULL, 'PTHR42884:SF28', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE SUBTILISIN/KEXIN TYPE 7', NULL, NULL, NULL, 15),
(138247, NULL, 'PTHR12941', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX', NULL, NULL, 6254, 15),
(138248, NULL, 'PTHR15215:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138249, NULL, 'PTHR10334:SF404', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', NULL, NULL, NULL, 15),
(138250, NULL, 'PTHR48016:SF22', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', NULL, NULL, NULL, 15),
(138251, NULL, 'PTHR43349:SF76', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE HOMOLOG P3-RELATED', NULL, NULL, NULL, 15),
(138252, NULL, 'PTHR22933:SF36', NULL, NULL, NULL, NULL, 'LP10131P-RELATED', NULL, NULL, NULL, 15),
(138253, NULL, 'PTHR13832:SF533', NULL, NULL, NULL, NULL, 'TGF-BETA-ACTIVATED KINASE 1 AND MAP3K7-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(138254, NULL, 'PTHR24030', NULL, NULL, NULL, NULL, 'PROTEIN CMSS1', NULL, NULL, 22243, 15),
(138255, NULL, 'PTHR33696:SF16', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(138256, NULL, 'PTHR40033:SF1', NULL, NULL, NULL, NULL, 'NA(+)-MALATE SYMPORTER', NULL, NULL, NULL, 15),
(138257, NULL, 'PTHR12700:SF12', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(138258, NULL, 'PTHR10314:SF217', NULL, NULL, NULL, NULL, 'BNAA08G13300D PROTEIN', NULL, NULL, NULL, 15),
(138259, NULL, 'PTHR38107:SF2', NULL, NULL, NULL, NULL, 'LYSOZYME RRRD-RELATED', NULL, NULL, NULL, 15),
(138260, NULL, 'PTHR26452:SF253', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10Q1', NULL, NULL, NULL, 15),
(138261, NULL, 'PTHR33083:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138262, NULL, 'PTHR18952:SF124', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 7', NULL, NULL, NULL, 15),
(138263, NULL, 'PTHR45779:SF6', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(138264, NULL, 'PTHR43281:SF21', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(138265, NULL, 'PTHR48101:SF5', NULL, NULL, NULL, NULL, 'ISOBUTYRYL-COA MUTASE A', NULL, NULL, NULL, 15),
(138266, NULL, 'PTHR14897:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138267, NULL, 'PTHR24173', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138268, NULL, 'PTHR24381:SF248', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 597', NULL, NULL, NULL, 15),
(138269, NULL, 'PTHR45763:SF41', NULL, NULL, NULL, NULL, 'OSJNBA0073L04.5 PROTEIN', NULL, NULL, NULL, 15),
(138270, NULL, 'PTHR45868:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138271, NULL, 'PTHR26450:SF194', NULL, NULL, NULL, NULL, 'MCG114437-RELATED', NULL, NULL, NULL, 15),
(138272, NULL, 'PTHR43226', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE 3', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138273, NULL, 'PTHR31065:SF46', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138274, NULL, 'PTHR33921:SF15', NULL, NULL, NULL, NULL, 'CALVIN CYCLE PROTEIN CP12-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(138275, NULL, 'PTHR11036:SF23', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3A', NULL, NULL, NULL, 15),
(138276, NULL, 'PTHR23155:SF1131', NULL, NULL, NULL, NULL, 'OS11G0682501 PROTEIN', NULL, NULL, NULL, 15),
(138277, NULL, 'PTHR13242', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3', NULL, NULL, 15759, 15),
(138278, NULL, 'PTHR34411:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138279, NULL, 'PTHR27009:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138280, NULL, 'PTHR33414:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 1-RELATED 1-LIKE', NULL, NULL, NULL, 15),
(138281, NULL, 'PTHR10552', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN A', NULL, NULL, 40013, 15),
(138282, NULL, 'PTHR33067:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138283, NULL, 'PTHR48025:SF5', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138284, NULL, 'PTHR45980:SF10', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 3, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(138285, NULL, 'PTHR46778:SF1', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1', NULL, NULL, NULL, 15),
(138286, NULL, 'PTHR27009:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138287, NULL, 'PTHR37318:SF1', NULL, NULL, NULL, NULL, 'BSL7504 PROTEIN', NULL, NULL, NULL, 15),
(138288, NULL, 'PTHR43179:SF7', NULL, NULL, NULL, NULL, 'RHAMNOSYLTRANSFERASE WBBL', NULL, NULL, NULL, 15),
(138289, NULL, 'PTHR33103:SF27', NULL, NULL, NULL, NULL, 'OS04G0594500 PROTEIN', NULL, NULL, NULL, 15),
(138290, NULL, 'PTHR21089:SF9', NULL, NULL, NULL, NULL, 'SHIKIMATE DEHYDROGENASE-LIKE PROTEIN HI_0607', NULL, NULL, NULL, 15),
(138291, NULL, 'PTHR24384:SF131', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 430', NULL, NULL, NULL, 15),
(138292, NULL, 'PTHR31382:SF1', NULL, NULL, NULL, NULL, 'SODIUM ION/PROTON EXCHANGER (EUROFUNG)', NULL, NULL, NULL, 15),
(138293, NULL, 'PTHR48036:SF6', NULL, NULL, NULL, NULL, 'SPLICING FACTOR (PAD-1), PUTATIVE (AFU_ORTHOLOGUE AFUA_1G15810)-RELATED', NULL, NULL, NULL, 15),
(138294, NULL, 'PTHR43749', NULL, NULL, NULL, NULL, 'RNA-SPLICING LIGASE RTCB', NULL, NULL, NULL, 15),
(138295, NULL, 'PTHR43053:SF4', NULL, NULL, NULL, NULL, 'MYOGENESIS-REGULATING GLYCOSIDASE', NULL, NULL, NULL, 15),
(138296, NULL, 'PTHR11670:SF58', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE', NULL, NULL, NULL, 15),
(138297, NULL, 'PTHR12668:SF51', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14 A', NULL, NULL, NULL, 15),
(138298, NULL, 'PTHR48111:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN CSSR', NULL, NULL, NULL, 15),
(138299, NULL, 'PTHR24393:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 691', NULL, NULL, NULL, 15),
(138300, NULL, 'PTHR24223:SF19', NULL, NULL, NULL, NULL, 'CYSTIC FIBROSIS TRANSMEMBRANE CONDUCTANCE REGULATOR', NULL, NULL, 10561, 15),
(138301, NULL, 'PTHR23098:SF6', NULL, NULL, NULL, NULL, 'TUMORHEAD', NULL, NULL, NULL, 15),
(138302, NULL, 'PTHR27002:SF471', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138303, NULL, 'PTHR43625:SF61', NULL, NULL, NULL, NULL, 'OS01G0618100 PROTEIN', NULL, NULL, NULL, 15),
(138304, NULL, 'PTHR11950:SF46', NULL, NULL, NULL, NULL, 'PROTEIN LOZENGE', NULL, NULL, NULL, 15),
(138305, NULL, 'PTHR10759:SF9', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', NULL, NULL, NULL, 15),
(138306, NULL, 'PTHR33237:SF4', NULL, NULL, NULL, NULL, 'F14O23.12', NULL, NULL, NULL, 15),
(138307, NULL, 'PTHR11278:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15),
(138308, NULL, 'PTHR10358:SF21', NULL, NULL, NULL, NULL, 'ALPHA-ENDOSULFINE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138309, NULL, 'PTHR46641:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG00409', NULL, NULL, NULL, 15),
(138310, NULL, 'PTHR28284', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP60', NULL, NULL, 16734, 15),
(138311, NULL, 'PTHR47288', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 9', NULL, NULL, 38635, 15),
(138312, NULL, 'PTHR22750:SF53', NULL, NULL, NULL, NULL, 'CANNABINOID RECEPTOR 2', NULL, NULL, NULL, 15),
(138313, NULL, 'PTHR33077:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138314, NULL, 'PTHR32523', NULL, NULL, NULL, NULL, 'PHYTOL KINASE 1, CHLOROPLASTIC', NULL, NULL, 29244, 15),
(138315, NULL, 'PTHR11596:SF83', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE 4', NULL, NULL, NULL, 15),
(138316, NULL, 'PTHR13902:SF124', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK2', NULL, NULL, NULL, 15),
(138317, NULL, 'PTHR45828:SF5', NULL, NULL, NULL, NULL, 'FERRIC-CHELATE REDUCTASE 1 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(138318, NULL, 'PTHR10795:SF721', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138319, NULL, 'PTHR34493:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG09625', NULL, NULL, NULL, 15),
(138320, NULL, 'PTHR10091:SF39', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(138321, NULL, 'PTHR32161:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138322, NULL, 'PTHR46367:SF1', NULL, NULL, NULL, NULL, 'ATAXIN-7-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(138323, NULL, 'PTHR13301:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138324, NULL, 'PTHR33207:SF49', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(138325, NULL, 'PTHR24281:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138326, NULL, 'PTHR33070:SF87', NULL, NULL, NULL, NULL, 'BNAA09G54670D PROTEIN', NULL, NULL, NULL, 15),
(138327, NULL, 'PTHR11360:SF269', NULL, NULL, NULL, NULL, 'EG:103B4.3 PROTEIN', NULL, NULL, NULL, 15),
(138328, NULL, 'PTHR12430:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM20 HOMOLOG', NULL, NULL, NULL, 15),
(138329, NULL, 'PTHR10108:SF1091', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT12-RELATED', NULL, NULL, NULL, 15),
(138330, NULL, 'PTHR43456', NULL, NULL, NULL, NULL, 'RIESKE (2FE-2S) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(138331, NULL, 'PTHR22900:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG00813', NULL, NULL, NULL, 15),
(138332, NULL, 'PTHR31003:SF40', NULL, NULL, NULL, NULL, 'BNAA09G45640D PROTEIN', NULL, NULL, NULL, 15),
(138333, NULL, 'PTHR38537:SF5', NULL, NULL, NULL, NULL, 'FILAMIN-A', NULL, NULL, NULL, 15),
(138334, NULL, 'PTHR24015:SF1672', NULL, NULL, NULL, NULL, 'OS06G0506100 PROTEIN', NULL, NULL, NULL, 15),
(138335, NULL, 'PTHR46475:SF1', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR2', NULL, NULL, NULL, 15),
(138336, NULL, 'PTHR23273:SF64', NULL, NULL, NULL, NULL, 'BNAC07G49340D PROTEIN', NULL, NULL, NULL, 15),
(138337, NULL, 'PTHR24093:SF128', NULL, NULL, NULL, NULL, 'MAGNESIUM-TRANSPORTING ATPASE, P-TYPE 1', NULL, NULL, NULL, 15),
(138338, NULL, 'PTHR47923', NULL, NULL, NULL, NULL, 'INSERTION ELEMENT IS1 1 PROTEIN INSA-RELATED', NULL, NULL, NULL, 15),
(138339, NULL, 'PTHR27004:SF365', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 36-RELATED', NULL, NULL, NULL, 15),
(138340, NULL, 'PTHR24334:SF0', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN UNPLUGGED', NULL, NULL, 27956, 15),
(138341, NULL, 'PTHR16155', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138342, NULL, 'PTHR22961', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN KINASE-TRB', NULL, NULL, 12223, 15),
(138343, NULL, 'PTHR30486', NULL, NULL, NULL, NULL, 'TWITCHING MOTILITY PROTEIN PILT', NULL, NULL, NULL, 15),
(138344, NULL, 'PTHR22750:SF24', NULL, NULL, NULL, NULL, 'SPHINGOSINE 1-PHOSPHATE RECEPTOR 3', NULL, NULL, NULL, 15),
(138345, NULL, 'PTHR34226:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138346, NULL, 'PTHR31639:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138347, NULL, 'PTHR13375:SF5', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 5A', NULL, NULL, NULL, 15),
(138348, NULL, 'PTHR23249', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT', NULL, NULL, 6670, 15),
(138349, NULL, 'PTHR22761:SF12', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 5', NULL, NULL, NULL, 15),
(138350, NULL, 'PTHR25462:SF253', NULL, NULL, NULL, NULL, 'CONSERVED ZINC-FINGER PROTEIN', NULL, NULL, NULL, 15),
(138351, NULL, 'PTHR10035', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD3 ZETA CHAIN', NULL, NULL, 8421, 15),
(138352, NULL, 'PTHR19321:SF31', NULL, NULL, NULL, NULL, 'BNAC03G14320D PROTEIN', NULL, NULL, NULL, 15),
(138353, NULL, 'PTHR16469:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12398', NULL, NULL, NULL, 15),
(138354, NULL, 'PTHR35284:SF7', NULL, NULL, NULL, NULL, 'BNAA06G36970D PROTEIN', NULL, NULL, NULL, 15),
(138355, NULL, 'PTHR47420:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASHR2', NULL, NULL, NULL, 15),
(138356, NULL, 'PTHR31083:SF27', NULL, NULL, NULL, NULL, 'BNAA10G03790D PROTEIN', NULL, NULL, NULL, 15),
(138357, NULL, 'PTHR34966', NULL, NULL, NULL, NULL, 'OSJNBA0043L24.15 PROTEIN', NULL, NULL, NULL, 15),
(138358, NULL, 'PTHR16308:SF13', NULL, NULL, NULL, NULL, 'PROTEIN LINGERER', NULL, NULL, NULL, 15),
(138359, NULL, 'PTHR32100:SF41', NULL, NULL, NULL, NULL, 'SN-2 ACYL-LIPID OMEGA-3 DESATURASE (FERREDOXIN), CHLOROPLASTIC', NULL, NULL, NULL, 15),
(138360, NULL, 'PTHR11697:SF217', NULL, NULL, NULL, NULL, 'ZINC FINGER, MYM DOMAIN CONTAINING 1, ISOFORM CRA_B', NULL, NULL, NULL, 15),
(138361, NULL, 'PTHR33047:SF22', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(138362, NULL, 'PTHR24381:SF246', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(138363, NULL, 'PTHR11599:SF55', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, 9280, 15),
(138364, NULL, 'PTHR22893:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138365, NULL, 'PTHR11003:SF241', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 5', NULL, NULL, NULL, 15),
(138366, NULL, 'PTHR31509:SF64', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN (DUF793)', NULL, NULL, NULL, 15),
(138367, NULL, 'PTHR33593:SF18', NULL, NULL, NULL, NULL, 'BNACNNG65240D PROTEIN', NULL, NULL, NULL, 15),
(138368, NULL, 'PTHR36607:SF20', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE 4', NULL, NULL, NULL, 15),
(138369, NULL, 'PTHR34071:SF3', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138370, NULL, 'PTHR24299:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(138371, NULL, 'PTHR11945:SF671', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN FLOWERING LOCUS C', NULL, NULL, NULL, 15),
(138372, NULL, 'PTHR11407:SF9', NULL, NULL, NULL, NULL, 'LYSOZYME-LIKE PROTEIN 6', NULL, NULL, 4948, 15),
(138373, NULL, 'PTHR31945:SF80', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138374, NULL, 'PTHR44858:SF9', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT', NULL, NULL, NULL, 15),
(138375, NULL, 'PTHR33124:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH148', NULL, NULL, NULL, 15),
(138376, NULL, 'PTHR22851:SF0', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 13', NULL, NULL, NULL, 15),
(138377, NULL, 'PTHR10652:SF19', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(138378, NULL, 'PTHR45527:SF8', NULL, NULL, NULL, NULL, 'NONRIBOSOMAL PEPTIDE SYNTHETASE ASQK-RELATED', NULL, NULL, NULL, 15),
(138379, NULL, 'PTHR12277:SF167', NULL, NULL, NULL, NULL, 'IP15857P', NULL, NULL, NULL, 15),
(138380, NULL, 'PTHR30365:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME BD MENAQUINOL OXIDASE SUBUNIT I-RELATED', NULL, NULL, NULL, 15),
(138381, NULL, 'PTHR34188:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138382, NULL, 'PTHR23020:SF20', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138383, NULL, 'PTHR11732:SF291', NULL, NULL, NULL, NULL, 'PROTEIN CBG24579', NULL, NULL, NULL, 15),
(138384, NULL, 'PTHR46665:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138385, NULL, 'PTHR27001:SF703', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138386, NULL, 'PTHR47804:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BRE4', NULL, NULL, NULL, 15),
(138387, NULL, 'PTHR33802:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-29D8.3', NULL, NULL, NULL, 15),
(138388, NULL, 'PTHR47108', NULL, NULL, NULL, NULL, '5-AMINO-6-(5-PHOSPHO-D-RIBITYLAMINO)URACIL PHOSPHATASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(138389, NULL, 'PTHR11214:SF292', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(138390, NULL, 'PTHR12609:SF1', NULL, NULL, NULL, NULL, 'ZYGOTE DEFECTIVE PROTEIN 9', NULL, NULL, 22769, 15),
(138391, NULL, 'PTHR24241:SF82', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE FF RECEPTOR 1 LIKE 2-RELATED', NULL, NULL, NULL, 15),
(138392, NULL, 'PTHR13341:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CANOPY HOMOLOG 1', NULL, NULL, NULL, 15),
(138393, NULL, 'PTHR11139:SF108', NULL, NULL, NULL, NULL, 'AGAP000368-PA', NULL, NULL, NULL, 15),
(138394, NULL, 'PTHR31650:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138395, NULL, 'PTHR32278:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138396, NULL, 'PTHR31352', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 5944, 15),
(138397, NULL, 'PTHR19359:SF101', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE HEME/STEROID BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(138398, NULL, 'PTHR33750:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG00704', NULL, NULL, NULL, 15),
(138399, NULL, 'PTHR43065:SF39', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN ATOS', NULL, NULL, NULL, 15),
(138400, NULL, 'PTHR33191:SF62', NULL, NULL, NULL, NULL, 'RIPENING RELATED PROTEIN FAMILY', NULL, NULL, NULL, 15),
(138401, NULL, 'PTHR23305:SF7', NULL, NULL, NULL, NULL, 'OBG-LIKE ATPASE 1', NULL, NULL, NULL, 15),
(138402, NULL, 'PTHR10334:SF487', NULL, NULL, NULL, NULL, 'OS02G0787000 PROTEIN', NULL, NULL, NULL, 15),
(138403, NULL, 'PTHR24221', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY B', NULL, NULL, 35774, 15),
(138404, NULL, 'PTHR34376:SF11', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, KAZAL-TYPE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138405, NULL, 'PTHR30128:SF47', NULL, NULL, NULL, NULL, 'LIPOPROTEIN YFIB-RELATED', NULL, NULL, NULL, 15),
(138406, NULL, 'PTHR36157:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG12671', NULL, NULL, NULL, 15),
(138407, NULL, 'PTHR21654:SF59', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(138408, NULL, 'PTHR24346:SF45', NULL, NULL, NULL, NULL, 'SNF RELATED KINASE', NULL, NULL, NULL, 15),
(138409, NULL, 'PTHR36709', NULL, NULL, NULL, NULL, 'OS02G0604100 PROTEIN', NULL, NULL, NULL, 15),
(138410, NULL, 'PTHR43539:SF49', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA3-RELATED', NULL, NULL, NULL, 15),
(138411, NULL, 'PTHR15574', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN-CONTAINING FAMILY', NULL, NULL, 39011, 15),
(138412, NULL, 'PTHR11926', NULL, NULL, NULL, NULL, 'GLUCOSYL/GLUCURONOSYL TRANSFERASES', NULL, NULL, NULL, 15),
(138413, NULL, 'PTHR14155:SF524', NULL, NULL, NULL, NULL, 'OS01G0213100 PROTEIN', NULL, NULL, NULL, 15),
(138414, NULL, 'PTHR31692:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138415, NULL, 'PTHR22941:SF161', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(138416, NULL, 'PTHR28657:SF10', NULL, NULL, NULL, NULL, 'INDOLEAMINE 2,3-DIOXYGENASE', NULL, NULL, NULL, 15),
(138417, NULL, 'PTHR10438:SF411', NULL, NULL, NULL, NULL, 'THIOREDOXIN H8', NULL, NULL, NULL, 15),
(138418, NULL, 'PTHR15371:SF26', NULL, NULL, NULL, NULL, 'BNAA06G11810D PROTEIN', NULL, NULL, NULL, 15),
(138419, NULL, 'PTHR24135:SF17', NULL, NULL, NULL, NULL, 'SH3 AND MULTIPLE ANKYRIN REPEAT DOMAINS PROTEIN 2', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138420, NULL, 'PTHR10332:SF30', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 2', NULL, NULL, 24889, 15),
(138421, NULL, 'PTHR24243:SF9', NULL, NULL, NULL, NULL, 'NEUROTENSIN RECEPTOR TYPE 1', NULL, NULL, NULL, 15),
(138422, NULL, 'PTHR44102', NULL, NULL, NULL, NULL, 'PROTEIN NPG1', NULL, NULL, 39072, 15),
(138423, NULL, 'PTHR46427', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND LEM DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 34846, 15),
(138424, NULL, 'PTHR11514:SF122', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC4', NULL, NULL, NULL, 15),
(138425, NULL, 'PTHR12300:SF140', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(138426, NULL, 'PTHR27006:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138427, NULL, 'PTHR12822:SF4', NULL, NULL, NULL, NULL, 'PROTEIN YIPF1', NULL, NULL, NULL, 15),
(138428, NULL, 'PTHR47999:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB4', NULL, NULL, NULL, 15),
(138429, NULL, 'PTHR34461:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(138430, NULL, 'PTHR46587:SF7', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-19', NULL, NULL, NULL, 15),
(138431, NULL, 'PTHR22765:SF257', NULL, NULL, NULL, NULL, 'OS09G0446500 PROTEIN', NULL, NULL, NULL, 15),
(138432, NULL, 'PTHR11353:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138433, NULL, 'PTHR42769:SF4', NULL, NULL, NULL, NULL, 'DISMUTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(138434, NULL, 'PTHR16015', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 51', NULL, NULL, 28951, 15),
(138435, NULL, 'PTHR34134:SF1', NULL, NULL, NULL, NULL, 'COPAB ATPASES METAL-FIST TYPE REPRESSOR', NULL, NULL, NULL, 15),
(138436, NULL, 'PTHR18952:SF223', NULL, NULL, NULL, NULL, 'EUKARYOTIC-TYPE CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(138437, NULL, 'PTHR47324:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG02899', NULL, NULL, NULL, 15),
(138438, NULL, 'PTHR46606', NULL, NULL, NULL, NULL, 'SHOOTIN-1', NULL, NULL, 22678, 15),
(138439, NULL, 'PTHR31321:SF68', NULL, NULL, NULL, NULL, 'PECTINESTERASE 50-RELATED', NULL, NULL, NULL, 15),
(138440, NULL, 'PTHR31549:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138441, NULL, 'PTHR28650', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-GLYCAN BIOSYNTHESIS CLASS X PROTEIN', NULL, NULL, 34253, 15),
(138442, NULL, 'PTHR47695:SF2', NULL, NULL, NULL, NULL, 'DAB1, REELIN ADAPTOR PROTEIN', NULL, NULL, NULL, 15),
(138443, NULL, 'PTHR45836:SF2', NULL, NULL, NULL, NULL, 'SLIT HOMOLOG 2 PROTEIN', NULL, NULL, NULL, 15),
(138444, NULL, 'PTHR31062:SF219', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(138445, NULL, 'PTHR11629:SF94', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(138446, NULL, 'PTHR36870', NULL, NULL, NULL, NULL, 'C17ORF78 ISOFORM 2', NULL, NULL, 28165, 15),
(138447, NULL, 'PTHR46910:SF14', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(138448, NULL, 'PTHR12161:SF63', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN IST1-RELATED', NULL, NULL, NULL, 15),
(138449, NULL, 'PTHR45645:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138450, NULL, 'PTHR33143', NULL, NULL, NULL, NULL, 'F16F4.1 PROTEIN-RELATED', NULL, NULL, 29013, 15),
(138451, NULL, 'PTHR45647:SF83', NULL, NULL, NULL, NULL, 'SERINE THREONINE KINASE', NULL, NULL, NULL, 15),
(138452, NULL, 'PTHR31654', NULL, NULL, NULL, NULL, 'SECRETED BETA-GLUCOSIDASE ADG3-RELATED', NULL, NULL, NULL, 15),
(138453, NULL, 'PTHR23292:SF37', NULL, NULL, NULL, NULL, 'BNAC09G43880D PROTEIN', NULL, NULL, NULL, 15),
(138454, NULL, 'PTHR31284:SF31', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(138455, NULL, 'PTHR28128:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138456, NULL, 'PTHR47094:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138457, NULL, 'PTHR23254:SF17', NULL, NULL, NULL, NULL, 'MIF4G DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(138458, NULL, 'PTHR23169:SF20', NULL, NULL, NULL, NULL, 'PLECTIN', NULL, NULL, 23464, 15),
(138459, NULL, 'PTHR23334:SF19', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY', NULL, NULL, NULL, 15),
(138460, NULL, 'PTHR12628:SF6', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 19', NULL, NULL, NULL, 15),
(138461, NULL, 'PTHR31879:SF5', NULL, NULL, NULL, NULL, 'OS11G0483600 PROTEIN', NULL, NULL, NULL, 15),
(138462, NULL, 'PTHR46301:SF18', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138463, NULL, 'PTHR33791:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138464, NULL, 'PTHR11909:SF81', NULL, NULL, NULL, NULL, 'TAU TUBULIN KINASE', NULL, NULL, NULL, 15),
(138465, NULL, 'PTHR24056:SF192', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE 1', NULL, NULL, NULL, 15),
(138466, NULL, 'PTHR31100:SF48', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 16', NULL, NULL, NULL, 15),
(138467, NULL, 'PTHR11165:SF147', NULL, NULL, NULL, NULL, 'BNAA08G02970D PROTEIN', NULL, NULL, NULL, 15),
(138468, NULL, 'PTHR32414:SF2', NULL, NULL, NULL, NULL, 'NEUROMEDIN-S', NULL, NULL, NULL, 15),
(138469, NULL, 'PTHR42647:SF32', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 3-RELATED', NULL, NULL, NULL, 15),
(138470, NULL, 'PTHR23169:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138471, NULL, 'PTHR10353:SF263', NULL, NULL, NULL, NULL, 'BNAA09G40110D PROTEIN', NULL, NULL, NULL, 15),
(138472, NULL, 'PTHR24049:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138473, NULL, 'PTHR12802:SF126', NULL, NULL, NULL, NULL, 'HISTONE H2A DEUBIQUITINASE MYSM1', NULL, NULL, 30983, 15),
(138474, NULL, 'PTHR43982', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, 38736, 15),
(138475, NULL, 'PTHR34883:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138476, NULL, 'PTHR42648:SF3', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSK FOR INSERTION SEQUENCE ELEMENT IS150-RELATED', NULL, NULL, NULL, 15),
(138477, NULL, 'PTHR38434:SF1', NULL, NULL, NULL, NULL, 'BLL2549 PROTEIN', NULL, NULL, NULL, 15),
(138478, NULL, 'PTHR24061:SF405', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 118', NULL, NULL, NULL, 15),
(138479, NULL, 'PTHR43501:SF1', NULL, NULL, NULL, NULL, 'CYTOSOL NON-SPECIFIC DIPEPTIDASE', NULL, NULL, NULL, 15),
(138480, NULL, 'PTHR22916:SF3', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL GLYCOSYLTRANSFERASE PGTA', NULL, NULL, NULL, 15),
(138481, NULL, 'PTHR24025:SF19', NULL, NULL, NULL, NULL, 'FAT ATYPICAL CADHERIN 4', NULL, NULL, NULL, 15),
(138482, NULL, 'PTHR10696:SF25', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE AIM17-RELATED', NULL, NULL, NULL, 15),
(138483, NULL, 'PTHR19212:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT FLIGHTLESS-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(138484, NULL, 'PTHR24341:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ENGRAILED-2', NULL, NULL, NULL, 15),
(138485, NULL, 'PTHR31205:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138486, NULL, 'PTHR46257:SF4', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 6', NULL, NULL, NULL, 15),
(138487, NULL, 'PTHR23504:SF83', NULL, NULL, NULL, NULL, 'TRANSPORTER OF MUGINEIC ACID3', NULL, NULL, NULL, 15),
(138488, NULL, 'PTHR23111:SF26', NULL, NULL, NULL, NULL, 'RAN BP2/NZF ZINC FINGER-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(138489, NULL, 'PTHR11017:SF336', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPP2A', NULL, NULL, NULL, 15),
(138490, NULL, 'PTHR43049:SF6', NULL, NULL, NULL, NULL, 'BNAANNG16240D PROTEIN', NULL, NULL, NULL, 15),
(138491, NULL, 'PTHR24326:SF554', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-12-LIKE', NULL, NULL, NULL, 15),
(138492, NULL, 'PTHR47328', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 35451, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138493, NULL, 'PTHR33866:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', NULL, NULL, NULL, 15),
(138494, NULL, 'PTHR11161', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(138495, NULL, 'PTHR16201', NULL, NULL, NULL, NULL, 'SEVEN TRANSMEMBRANE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(138496, NULL, 'PTHR48001:SF35', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(138497, NULL, 'PTHR11873:SF1', NULL, NULL, NULL, NULL, 'PURPURIN', NULL, NULL, NULL, 15),
(138498, NULL, 'PTHR32552:SF68', NULL, NULL, NULL, NULL, 'CATECHOLATE SIDEROPHORE RECEPTOR FIU', NULL, NULL, 23119, 15),
(138499, NULL, 'PTHR32054:SF39', NULL, NULL, NULL, NULL, 'OS05G0476100 PROTEIN', NULL, NULL, NULL, 15),
(138500, NULL, 'PTHR11132:SF429', NULL, NULL, NULL, NULL, 'BNAC03G71800D PROTEIN', NULL, NULL, NULL, 15),
(138501, NULL, 'PTHR33128:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138502, NULL, 'PTHR15256', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN DGCR2/IDD', NULL, NULL, 39461, 15),
(138503, NULL, 'PTHR31719:SF170', NULL, NULL, NULL, NULL, 'BNACNNG30350D PROTEIN', NULL, NULL, NULL, 15),
(138504, NULL, 'PTHR12958', NULL, NULL, NULL, NULL, 'FRIEND OF GATA2-RELATED', NULL, NULL, 33862, 15),
(138505, NULL, 'PTHR24249:SF372', NULL, NULL, NULL, NULL, 'LP14436P', NULL, NULL, NULL, 15),
(138506, NULL, 'PTHR31009:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138507, NULL, 'PTHR46336:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138508, NULL, 'PTHR26450:SF120', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51A7', NULL, NULL, NULL, 15),
(138509, NULL, 'PTHR31371:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138510, NULL, 'PTHR24177:SF277', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(138511, NULL, 'PTHR31642:SF44', NULL, NULL, NULL, NULL, 'AGMATINE HYDROXYCINNAMOYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(138512, NULL, 'PTHR11011:SF61', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(138513, NULL, 'PTHR33514:SF15', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138514, NULL, 'PTHR46908', NULL, NULL, NULL, NULL, 'CUBILIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(138515, NULL, 'PTHR11412:SF116', NULL, NULL, NULL, NULL, 'PREGNANCY ZONE PROTEIN', NULL, NULL, NULL, 15),
(138516, NULL, 'PTHR46806:SF2', NULL, NULL, NULL, NULL, 'NEUROPILIN-2', NULL, NULL, 26268, 15),
(138517, NULL, 'PTHR31391:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138518, NULL, 'PTHR10811:SF66', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', NULL, NULL, NULL, 15),
(138519, NULL, 'PTHR31752:SF64', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', NULL, NULL, NULL, 15),
(138520, NULL, 'PTHR22600:SF26', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE 2', NULL, NULL, NULL, 15),
(138521, NULL, 'PTHR23354:SF62', NULL, NULL, NULL, NULL, 'MTOR-ASSOCIATED PROTEIN MEAK7', NULL, NULL, NULL, 15),
(138522, NULL, 'PTHR10334:SF371', NULL, NULL, NULL, NULL, 'OS10G0191300 PROTEIN', NULL, NULL, NULL, 15),
(138523, NULL, 'PTHR19957:SF323', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138524, NULL, 'PTHR33476:SF16', NULL, NULL, NULL, NULL, 'OS06G0648500 PROTEIN', NULL, NULL, NULL, 15),
(138525, NULL, 'PTHR23067:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 385A', NULL, NULL, NULL, 15),
(138526, NULL, 'PTHR47925:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138527, NULL, 'PTHR43341:SF17', NULL, NULL, NULL, NULL, 'GENERAL AMINO ACID PERMEASE AGP1-RELATED', NULL, NULL, NULL, 15),
(138528, NULL, 'PTHR36195', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01990)-RELATED-RELATED', NULL, NULL, NULL, 15),
(138529, NULL, 'PTHR23017:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(138530, NULL, 'PTHR45675:SF55', NULL, NULL, NULL, NULL, 'MYB PROTEIN-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138531, NULL, 'PTHR47338:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(138532, NULL, 'PTHR44590', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(138533, NULL, 'PTHR10423:SF3', NULL, NULL, NULL, NULL, 'INSULIN-LIKE 3', NULL, NULL, NULL, 15),
(138534, NULL, 'PTHR45614:SF116', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB44-LIKE', NULL, NULL, NULL, 15),
(138535, NULL, 'PTHR12015:SF146', NULL, NULL, NULL, NULL, 'EOTAXIN', NULL, NULL, NULL, 15),
(138536, NULL, 'PTHR31533:SF26', NULL, NULL, NULL, NULL, 'BNAA09G05290D PROTEIN', NULL, NULL, NULL, 15),
(138537, NULL, 'PTHR43734', NULL, NULL, NULL, NULL, 'PHYTOENE DESATURASE', NULL, NULL, NULL, 15),
(138538, NULL, 'PTHR33102:SF53', NULL, NULL, NULL, NULL, 'OS01G0525350 PROTEIN', NULL, NULL, NULL, 15),
(138539, NULL, 'PTHR43133:SF37', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGM', NULL, NULL, NULL, 15),
(138540, NULL, 'PTHR12837:SF0', NULL, NULL, NULL, NULL, 'POLY(ADP-RIBOSE) GLYCOHYDROLASE', NULL, NULL, NULL, 15),
(138541, NULL, 'PTHR34463:SF13', NULL, NULL, NULL, NULL, 'ACANTHOSCURRIN-2-LIKE', NULL, NULL, NULL, 15),
(138542, NULL, 'PTHR47993:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138543, NULL, 'PTHR46067:SF9', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE (GNAT) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(138544, NULL, 'PTHR45621:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL10-RELATED', NULL, NULL, NULL, 15),
(138545, NULL, 'PTHR19331:SF389', NULL, NULL, NULL, NULL, 'T-CELL DIFFERENTIATION ANTIGEN CD6', NULL, NULL, NULL, 15),
(138546, NULL, 'PTHR40139', NULL, NULL, NULL, NULL, 'PROTEIN TNT', NULL, NULL, 28981, 15),
(138547, NULL, 'PTHR31933:SF6', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138548, NULL, 'PTHR45642:SF64', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL3', NULL, NULL, NULL, 15),
(138549, NULL, 'PTHR48048:SF15', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(138550, NULL, 'PTHR16223:SF223', NULL, NULL, NULL, NULL, 'BNAC03G41710D PROTEIN', NULL, NULL, NULL, 15),
(138551, NULL, 'PTHR12905:SF18', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE C-RELATED', NULL, NULL, NULL, 15),
(138552, NULL, 'PTHR31676:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138553, NULL, 'PTHR26450:SF379', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138554, NULL, 'PTHR34959:SF8', NULL, NULL, NULL, NULL, 'BNAA02G28530D PROTEIN', NULL, NULL, NULL, 15),
(138555, NULL, 'PTHR33057:SF153', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP13', NULL, NULL, NULL, 15),
(138556, NULL, 'PTHR22166:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138557, NULL, 'PTHR24300:SF105', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(138558, NULL, 'PTHR37464', NULL, NULL, NULL, NULL, 'BLL2463 PROTEIN', NULL, NULL, NULL, 15),
(138559, NULL, 'PTHR21847', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, 29780, 15),
(138560, NULL, 'PTHR12128:SF55', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE SYNTHASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(138561, NULL, 'PTHR33870:SF8', NULL, NULL, NULL, NULL, 'OS07G0472300 PROTEIN', NULL, NULL, NULL, 15),
(138562, NULL, 'PTHR42683:SF39', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT ALCOHOL DEHYDROGENASE 6-RELATED', NULL, NULL, NULL, 15),
(138563, NULL, 'PTHR22747:SF18', NULL, NULL, NULL, NULL, 'GEO09167P1-RELATED', NULL, NULL, NULL, 15),
(138564, NULL, 'PTHR11024:SF5', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN SEC13, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(138565, NULL, 'PTHR31734:SF153', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(138566, NULL, 'PTHR24028:SF290', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 2 ALPHA A 15', NULL, NULL, NULL, 15),
(138567, NULL, 'PTHR13155:SF1', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 10, MITOCHONDRIAL', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138568, NULL, 'PTHR36902:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138569, NULL, 'PTHR43874:SF1', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR1', NULL, NULL, NULL, 15),
(138570, NULL, 'PTHR31741:SF69', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONAN I RHAMNOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(138571, NULL, 'PTHR23201:SF108', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 4', NULL, NULL, NULL, 15),
(138572, NULL, 'PTHR31627:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-11-RELATED', NULL, NULL, NULL, 15),
(138573, NULL, 'PTHR31901:SF73', NULL, NULL, NULL, NULL, 'BNACNNG49810D PROTEIN', NULL, NULL, NULL, 15),
(138574, NULL, 'PTHR36138:SF12', NULL, NULL, NULL, NULL, 'OSJNBA0041A02.28 PROTEIN', NULL, NULL, NULL, 15),
(138575, NULL, 'PTHR11739:SF31', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', NULL, NULL, NULL, 15),
(138576, NULL, 'PTHR35842:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-67E16.11', NULL, NULL, NULL, 15),
(138577, NULL, 'PTHR10516:SF402', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(138578, NULL, 'PTHR31544:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138579, NULL, 'PTHR28511:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138580, NULL, 'PTHR15127:SF32', NULL, NULL, NULL, NULL, 'HEAVYWEIGHT, ISOFORM A', NULL, NULL, NULL, 15),
(138581, NULL, 'PTHR26379:SF268', NULL, NULL, NULL, NULL, 'OS08G0406500 PROTEIN', NULL, NULL, NULL, 15),
(138582, NULL, 'PTHR43681:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GTPASE FZO-LIKE, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(138583, NULL, 'PTHR10165:SF108', NULL, NULL, NULL, NULL, 'PA-PHOSPHATASE RELATED-FAMILY PROTEIN DDB_G0271516-RELATED', NULL, NULL, NULL, 15),
(138584, NULL, 'PTHR46449', NULL, NULL, NULL, NULL, 'ZGC:158260', NULL, NULL, 22453, 15),
(138585, NULL, 'PTHR42898:SF56', NULL, NULL, NULL, NULL, 'BNAA04G17100D PROTEIN', NULL, NULL, NULL, 15),
(138586, NULL, 'PTHR11306:SF36', NULL, NULL, NULL, NULL, 'NIEMANN-PICK TYPE C-2C-RELATED', NULL, NULL, NULL, 15),
(138587, NULL, 'PTHR47357:SF3', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE', NULL, NULL, NULL, 15),
(138588, NULL, 'PTHR12035:SF110', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 13', NULL, NULL, NULL, 15),
(138589, NULL, 'PTHR46299', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 5B2-RELATED', NULL, NULL, NULL, 15),
(138590, NULL, 'PTHR10362:SF11', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(138591, NULL, 'PTHR34461:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138592, NULL, 'PTHR21199:SF1', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(138593, NULL, 'PTHR23167:SF60', NULL, NULL, NULL, NULL, 'ACTININ ALPHA 2', NULL, NULL, NULL, 15),
(138594, NULL, 'PTHR45816:SF3', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(138595, NULL, 'PTHR26451:SF381', NULL, NULL, NULL, NULL, 'MCG67161-RELATED', NULL, NULL, NULL, 15),
(138596, NULL, 'PTHR33826:SF8', NULL, NULL, NULL, NULL, 'BNAA01G31410D PROTEIN', NULL, NULL, NULL, 15),
(138597, NULL, 'PTHR46282:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138598, NULL, 'PTHR46837:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138599, NULL, 'PTHR12207:SF26', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING 4B', NULL, NULL, NULL, 15),
(138600, NULL, 'PTHR13902:SF149', NULL, NULL, NULL, NULL, 'BNAA10G11970D PROTEIN', NULL, NULL, NULL, 15),
(138601, NULL, 'PTHR11439:SF288', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', NULL, NULL, NULL, 15),
(138602, NULL, 'PTHR10822:SF19', NULL, NULL, NULL, NULL, 'GLYPICAN 5B-RELATED', NULL, NULL, NULL, 15),
(138603, NULL, 'PTHR35984', NULL, NULL, NULL, NULL, 'PERIPLASMIC SERINE PROTEASE', NULL, NULL, NULL, 15),
(138604, NULL, 'PTHR21068:SF40', NULL, NULL, NULL, NULL, 'SENESCENCE/DEHYDRATION-ASSOCIATED PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138605, NULL, 'PTHR46553:SF7', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(138606, NULL, 'PTHR34357:SF7', NULL, NULL, NULL, NULL, 'BNAA09G38300D PROTEIN', NULL, NULL, NULL, 15),
(138607, NULL, 'PTHR48075:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G10070)-RELATED', NULL, NULL, NULL, 15),
(138608, NULL, 'PTHR10573', NULL, NULL, NULL, NULL, 'INTERLEUKIN-2 RECEPTOR ALPHA CHAIN', NULL, NULL, 9132, 15),
(138609, NULL, 'PTHR22883:SF365', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(138610, NULL, 'PTHR24054:SF27', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA''', NULL, NULL, NULL, 15),
(138611, NULL, 'PTHR32468:SF118', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 3', NULL, NULL, NULL, 15),
(138612, NULL, 'PTHR34132:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(138613, NULL, 'PTHR23070:SF166', NULL, NULL, NULL, NULL, 'ATP BINDING PROTEIN', NULL, NULL, NULL, 15),
(138614, NULL, 'PTHR43008:SF4', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE (EUROFUNG)', NULL, NULL, NULL, 15),
(138615, NULL, 'PTHR45649:SF9', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE 2', NULL, NULL, NULL, 15),
(138616, NULL, 'PTHR36423:SF2', NULL, NULL, NULL, NULL, 'AFR070WP', NULL, NULL, NULL, 15),
(138617, NULL, 'PTHR27001:SF688', NULL, NULL, NULL, NULL, 'OS08G0117700 PROTEIN', NULL, NULL, NULL, 15),
(138618, NULL, 'PTHR46463:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(138619, NULL, 'PTHR13018:SF21', NULL, NULL, NULL, NULL, 'CALCIUM PERMEABLE STRESS-GATED CATION CHANNEL 1', NULL, NULL, NULL, 15),
(138620, NULL, 'PTHR36122', NULL, NULL, NULL, NULL, 'NICOTINAMIDE RIBOSIDE TRANSPORTER PNUC', NULL, NULL, 6528, 15),
(138621, NULL, 'PTHR47488:SF17', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(138622, NULL, 'PTHR42748:SF5', NULL, NULL, NULL, NULL, 'NITROGEN METABOLITE REPRESSION PROTEIN NMRA', NULL, NULL, NULL, 15),
(138623, NULL, 'PTHR24241:SF160', NULL, NULL, NULL, NULL, 'AGAP004783-PA', NULL, NULL, NULL, 15),
(138624, NULL, 'PTHR10032:SF271', NULL, NULL, NULL, NULL, 'OVO-LIKE ZINC FINGER 1A-RELATED', NULL, NULL, NULL, 15),
(138625, NULL, 'PTHR48026:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138626, NULL, 'PTHR43769', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(138627, NULL, 'PTHR43294:SF18', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(138628, NULL, 'PTHR26450:SF63', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52Z1', NULL, NULL, NULL, 15),
(138629, NULL, 'PTHR45923:SF3', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG 1', NULL, NULL, NULL, 15),
(138630, NULL, 'PTHR36358:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(138631, NULL, 'PTHR13403:SF6', NULL, NULL, NULL, NULL, 'SNURPORTIN-1', NULL, NULL, NULL, 15),
(138632, NULL, 'PTHR11188:SF145', NULL, NULL, NULL, NULL, 'FI02822P-RELATED', NULL, NULL, NULL, 15),
(138633, NULL, 'PTHR45982:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION', NULL, NULL, NULL, 15),
(138634, NULL, 'PTHR19303:SF30', NULL, NULL, NULL, NULL, 'AGAP001462-PA', NULL, NULL, NULL, 15),
(138635, NULL, 'PTHR11639:SF44', NULL, NULL, NULL, NULL, 'PROTEIN S100-A7-LIKE 2', NULL, NULL, NULL, 15),
(138636, NULL, 'PTHR11533:SF282', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE M1-A', NULL, NULL, NULL, 15),
(138637, NULL, 'PTHR11453:SF84', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN', NULL, NULL, NULL, 15),
(138638, NULL, 'PTHR19433:SF109', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 27', NULL, NULL, NULL, 15),
(138639, NULL, 'PTHR43320', NULL, NULL, NULL, NULL, 'SUGAR KINASE', NULL, NULL, NULL, 15),
(138640, NULL, 'PTHR33663:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 185', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138641, NULL, 'PTHR45647:SF54', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 53-RELATED', NULL, NULL, NULL, 15),
(138642, NULL, 'PTHR12565:SF357', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(138643, NULL, 'PTHR12542:SF130', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138644, NULL, 'PTHR48016:SF36', NULL, NULL, NULL, NULL, 'OS02G0769800 PROTEIN', NULL, NULL, NULL, 15),
(138645, NULL, 'PTHR43205:SF31', NULL, NULL, NULL, NULL, '2-ALKENAL REDUCTASE (NADP(+)-DEPENDENT)-LIKE', NULL, NULL, NULL, 15),
(138646, NULL, 'PTHR24006:SF791', NULL, NULL, NULL, NULL, 'BNAC03G73540D PROTEIN', NULL, NULL, NULL, 15),
(138647, NULL, 'PTHR43514:SF8', NULL, NULL, NULL, NULL, 'MOLYBDENUM IMPORT ATP-BINDING PROTEIN MODC', NULL, NULL, NULL, 15),
(138648, NULL, 'PTHR33044:SF143', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(138649, NULL, 'PTHR24216:SF59', NULL, NULL, NULL, NULL, 'PROTEIN CBG11874', NULL, NULL, NULL, 15),
(138650, NULL, 'PTHR24012:SF717', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE ADENYLYLTRANSFERASE DOMAIN/RNA RECOGNITION MOTIF PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138651, NULL, 'PTHR47700', NULL, NULL, NULL, NULL, 'V CHITINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13720)-RELATED', NULL, NULL, NULL, 15),
(138652, NULL, 'PTHR43313:SF2', NULL, NULL, NULL, NULL, 'CORTICOSTEROID 11-BETA-DEHYDROGENASE ISOZYME 2', NULL, NULL, NULL, 15),
(138653, NULL, 'PTHR31301:SF76', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 6-LIKE', NULL, NULL, NULL, 15),
(138654, NULL, 'PTHR10887:SF444', NULL, NULL, NULL, NULL, 'RNA HELICASE SDE3-RELATED', NULL, NULL, NULL, 15),
(138655, NULL, 'PTHR11814:SF60', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 3.1', NULL, NULL, NULL, 15),
(138656, NULL, 'PTHR42883', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE THYMIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(138657, NULL, 'PTHR43875:SF1', NULL, NULL, NULL, NULL, 'MALTODEXTRIN IMPORT ATP-BINDING PROTEIN MSMX', NULL, NULL, NULL, 15),
(138658, NULL, 'PTHR10113:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138659, NULL, 'PTHR19944:SF56', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DQ BETA 1 CHAIN', NULL, NULL, NULL, 15),
(138660, NULL, 'PTHR10585:SF30', NULL, NULL, NULL, NULL, 'RETENTION RECEPTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02980)-RELATED', NULL, NULL, NULL, 15),
(138661, NULL, 'PTHR33385:SF17', NULL, NULL, NULL, NULL, 'OS08G0466800 PROTEIN', NULL, NULL, NULL, 15),
(138662, NULL, 'PTHR31190:SF160', NULL, NULL, NULL, NULL, 'AP2/EREBP TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138663, NULL, 'PTHR10048:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138664, NULL, 'PTHR12176:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138665, NULL, 'PTHR11615:SF248', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(138666, NULL, 'PTHR31104:SF3', NULL, NULL, NULL, NULL, 'OS01G0208400 PROTEIN', NULL, NULL, NULL, 15),
(138667, NULL, 'PTHR34359:SF20', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 13', NULL, NULL, NULL, 15),
(138668, NULL, 'PTHR24381:SF329', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 819', NULL, NULL, NULL, 15),
(138669, NULL, 'PTHR46093:SF2', NULL, NULL, NULL, NULL, 'KELCH MOTIF FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(138670, NULL, 'PTHR13363:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138671, NULL, 'PTHR48007:SF55', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(138672, NULL, 'PTHR21022:SF19', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE/PREPHENATE DEHYDRATASE 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(138673, NULL, 'PTHR48070:SF10', NULL, NULL, NULL, NULL, 'OS07G0687100 PROTEIN', NULL, NULL, NULL, 15),
(138674, NULL, 'PTHR24189', NULL, NULL, NULL, NULL, 'MYOTROPHIN', NULL, NULL, NULL, 15),
(138675, NULL, 'PTHR46038:SF33', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138676, NULL, 'PTHR45615:SF26', NULL, NULL, NULL, NULL, 'MYOSIN-15', NULL, NULL, NULL, 15),
(138677, NULL, 'PTHR42938:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138678, NULL, 'PTHR36886:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138679, NULL, 'PTHR27006:SF192', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RECEPTOR', NULL, NULL, NULL, 15),
(138680, NULL, 'PTHR36607', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE 4', NULL, NULL, NULL, 15),
(138681, NULL, 'PTHR32227:SF354', NULL, NULL, NULL, NULL, 'BNAC04G29090D PROTEIN', NULL, NULL, NULL, 15),
(138682, NULL, 'PTHR35809', NULL, NULL, NULL, NULL, 'ARCHAETIDYLSERINE DECARBOXYLASE PROENZYME-RELATED', NULL, NULL, 32429, 15),
(138683, NULL, 'PTHR36558', NULL, NULL, NULL, NULL, 'GLR1098 PROTEIN', NULL, NULL, NULL, 15),
(138684, NULL, 'PTHR33210:SF13', NULL, NULL, NULL, NULL, 'PROTODERMAL FACTOR 1', NULL, NULL, NULL, 15),
(138685, NULL, 'PTHR12601:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138686, NULL, 'PTHR43416:SF17', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYL CARRIER PROTEIN OF ACETYL-COA CARBOXYLASE', NULL, NULL, NULL, 15),
(138687, NULL, 'PTHR35579:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138688, NULL, 'PTHR12775:SF1', NULL, NULL, NULL, NULL, 'BNACNNG39770D PROTEIN', NULL, NULL, NULL, 15),
(138689, NULL, 'PTHR26379:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138690, NULL, 'PTHR11347:SF96', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CAMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 7A', NULL, NULL, NULL, 15),
(138691, NULL, 'PTHR45846:SF1', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(47) SYNTHASE [NAD(P)(+)]-LIKE', NULL, NULL, NULL, 15),
(138692, NULL, 'PTHR23257:SF611', NULL, NULL, NULL, NULL, 'PROTEIN KINASE ATN1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138693, NULL, 'PTHR33344:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(138694, NULL, 'PTHR33601:SF21', NULL, NULL, NULL, NULL, 'OS09G0520500 PROTEIN', NULL, NULL, NULL, 15),
(138695, NULL, 'PTHR22747:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138696, NULL, 'PTHR47989:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138697, NULL, 'PTHR44991:SF1', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 5', NULL, NULL, NULL, 15),
(138698, NULL, 'PTHR45958:SF14', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(138699, NULL, 'PTHR31717:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138700, NULL, 'PTHR32448:SF52', NULL, NULL, NULL, NULL, 'OS08G0158200 PROTEIN', NULL, NULL, NULL, 15),
(138701, NULL, 'PTHR43289:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D', NULL, NULL, NULL, 15),
(138702, NULL, 'PTHR11929:SF194', NULL, NULL, NULL, NULL, 'ALPHA-(1,4)-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(138703, NULL, 'PTHR28082:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(138704, NULL, 'PTHR22881:SF4', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(138705, NULL, 'PTHR12345:SF9', NULL, NULL, NULL, NULL, 'AMYLOID-BETA A4 PRECURSOR PROTEIN-BINDING FAMILY A MEMBER 3', NULL, NULL, 26816, 15),
(138706, NULL, 'PTHR31561:SF129', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(138707, NULL, 'PTHR48075:SF1', NULL, NULL, NULL, NULL, 'LAMBDA-CRYSTALLIN HOMOLOG', NULL, NULL, NULL, 15),
(138708, NULL, 'PTHR10928', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF FUSED', NULL, NULL, 1099, 15),
(138709, NULL, 'PTHR33739', NULL, NULL, NULL, NULL, 'OS07G0681500 PROTEIN', NULL, NULL, 29338, 15),
(138710, NULL, 'PTHR13052:SF3', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(138711, NULL, 'PTHR24247:SF113', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 479', NULL, NULL, NULL, 15),
(138712, NULL, 'PTHR48053:SF24', NULL, NULL, NULL, NULL, 'REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138713, NULL, 'PTHR36710:SF5', NULL, NULL, NULL, NULL, 'BNAA06G37840D PROTEIN', NULL, NULL, NULL, 15),
(138714, NULL, 'PTHR33386:SF26', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(138715, NULL, 'PTHR32153:SF38', NULL, NULL, NULL, NULL, 'F-BOX/LRR PROTEIN', NULL, NULL, NULL, 15),
(138716, NULL, 'PTHR33493:SF19', NULL, NULL, NULL, NULL, '18 KDA SEED MATURATION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138717, NULL, 'PTHR11667:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138718, NULL, 'PTHR31969:SF57', NULL, NULL, NULL, NULL, 'BNAC02G41660D PROTEIN', NULL, NULL, NULL, 15),
(138719, NULL, 'PTHR13318:SF85', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138720, NULL, 'PTHR43139:SF32', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(138721, NULL, 'PTHR10194:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138722, NULL, 'PTHR35477:SF1', NULL, NULL, NULL, NULL, 'OS06G0728500 PROTEIN', NULL, NULL, NULL, 15),
(138723, NULL, 'PTHR45771:SF11', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN SEX COMBS REDUCED', NULL, NULL, NULL, 15),
(138724, NULL, 'PTHR46931:SF6', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC4', NULL, NULL, NULL, 15),
(138725, NULL, 'PTHR48049:SF30', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(138726, NULL, 'PTHR46019:SF1', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B MEMBER 2', NULL, NULL, NULL, 15),
(138727, NULL, 'PTHR10641:SF1281', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB114-LIKE', NULL, NULL, NULL, 15),
(138728, NULL, 'PTHR37533', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK-LENGTH CONTROL PROTEIN', NULL, NULL, NULL, 15),
(138729, NULL, 'PTHR36320:SF1', NULL, NULL, NULL, NULL, 'OS04G0611300 PROTEIN', NULL, NULL, NULL, 15),
(138730, NULL, 'PTHR31189:SF7', NULL, NULL, NULL, NULL, 'PREPROMP73', NULL, NULL, NULL, 15),
(138731, NULL, 'PTHR23503:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138732, NULL, 'PTHR23430:SF207', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(138733, NULL, 'PTHR31865:SF37', NULL, NULL, NULL, NULL, 'BNAC03G24120D PROTEIN', NULL, NULL, NULL, 15),
(138734, NULL, 'PTHR45674:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13063', NULL, NULL, NULL, 15),
(138735, NULL, 'PTHR31953:SF70', NULL, NULL, NULL, NULL, 'VACUOLAR INVERTASE', NULL, NULL, NULL, 15),
(138736, NULL, 'PTHR15146:SF0', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR137B', NULL, NULL, NULL, 15),
(138737, NULL, 'PTHR31604:SF43', NULL, NULL, NULL, NULL, 'BNAC06G43960D PROTEIN', NULL, NULL, NULL, 15),
(138738, NULL, 'PTHR10795:SF688', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.4', NULL, NULL, NULL, 15),
(138739, NULL, 'PTHR11802:SF116', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(138740, NULL, 'PTHR46116:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138741, NULL, 'PTHR22977:SF5', NULL, NULL, NULL, NULL, 'COX ASSEMBLY MITOCHONDRIAL PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(138742, NULL, 'PTHR11267:SF175', NULL, NULL, NULL, NULL, 'PROTEIN CBG09017', NULL, NULL, NULL, 15),
(138743, NULL, 'PTHR44742:SF6', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(138744, NULL, 'PTHR33142:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138745, NULL, 'PTHR22883:SF373', NULL, NULL, NULL, NULL, 'BNAA05G15890D PROTEIN', NULL, NULL, NULL, 15),
(138746, NULL, 'PTHR37758', NULL, NULL, NULL, NULL, 'OS03G0334300 PROTEIN', NULL, NULL, NULL, 15),
(138747, NULL, 'PTHR11915:SF424', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN CONTAINING 141', NULL, NULL, NULL, 15),
(138748, NULL, 'PTHR11746:SF199', NULL, NULL, NULL, NULL, 'FLAVONE 3''-O-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(138749, NULL, 'PTHR31506:SF30', NULL, NULL, NULL, NULL, 'PROTEIN BZR1 HOMOLOG 2', NULL, NULL, NULL, 15),
(138750, NULL, 'PTHR23235:SF103', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 13', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138751, NULL, 'PTHR38755:SF1', NULL, NULL, NULL, NULL, '5,10-METHYLENETETRAHYDROFOLATE REDUCTASE', NULL, NULL, NULL, 15),
(138752, NULL, 'PTHR45647:SF19', NULL, NULL, NULL, NULL, 'OS02G0218600 PROTEIN', NULL, NULL, NULL, 15),
(138753, NULL, 'PTHR35243:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138754, NULL, 'PTHR45641:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138755, NULL, 'PTHR16019:SF15', NULL, NULL, NULL, NULL, 'OS01G0273300 PROTEIN', NULL, NULL, NULL, 15),
(138756, NULL, 'PTHR11758:SF4', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S8, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(138757, NULL, 'PTHR13018:SF48', NULL, NULL, NULL, NULL, 'OS05G0594700 PROTEIN', NULL, NULL, NULL, 15),
(138758, NULL, 'PTHR31888:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 19', NULL, NULL, NULL, 15),
(138759, NULL, 'PTHR14682', NULL, NULL, NULL, NULL, 'KATNB1-LIKE PROTEIN 1', NULL, NULL, 39114, 15),
(138760, NULL, 'PTHR33228:SF8', NULL, NULL, NULL, NULL, 'OS08G0249200 PROTEIN', NULL, NULL, NULL, 15),
(138761, NULL, 'PTHR42852:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138762, NULL, 'PTHR15138:SF14', NULL, NULL, NULL, NULL, 'IP01149P-RELATED', NULL, NULL, NULL, 15),
(138763, NULL, 'PTHR18952:SF208', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 2', NULL, NULL, NULL, 15),
(138764, NULL, 'PTHR43356:SF1', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTD', NULL, NULL, NULL, 15),
(138765, NULL, 'PTHR23050:SF381', NULL, NULL, NULL, NULL, 'CALMODULIN-3', NULL, NULL, NULL, 15),
(138766, NULL, 'PTHR45623:SF7', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(138767, NULL, 'PTHR11960:SF45', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-1-RELATED', NULL, NULL, NULL, 15),
(138768, NULL, 'PTHR47488:SF3', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(138769, NULL, 'PTHR31374:SF271', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(138770, NULL, 'PTHR23195', NULL, NULL, NULL, NULL, 'YEATS DOMAIN', NULL, NULL, 1137, 15),
(138771, NULL, 'PTHR31223:SF67', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15),
(138772, NULL, 'PTHR22937:SF152', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(138773, NULL, 'PTHR21136:SF199', NULL, NULL, NULL, NULL, 'BNAC06G15130D PROTEIN', NULL, NULL, NULL, 15),
(138774, NULL, 'PTHR45839:SF9', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 2', NULL, NULL, NULL, 15),
(138775, NULL, 'PTHR31150:SF25', NULL, NULL, NULL, NULL, 'C3HC4-TYPE RING ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(138776, NULL, 'PTHR33108:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138777, NULL, 'PTHR22809:SF11', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(138778, NULL, 'PTHR33510:SF13', NULL, NULL, NULL, NULL, 'BNAA02G08890D PROTEIN', NULL, NULL, NULL, 15),
(138779, NULL, 'PTHR15240:SF4', NULL, NULL, NULL, NULL, 'CAVEOLAE-ASSOCIATED PROTEIN 4', NULL, NULL, 31242, 15),
(138780, NULL, 'PTHR36565:SF5', NULL, NULL, NULL, NULL, 'UPF0332 PROTEIN MJ0605', NULL, NULL, NULL, 15),
(138781, NULL, 'PTHR24281:SF113', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D8-LIKE', NULL, NULL, NULL, 15),
(138782, NULL, 'PTHR31313:SF4', NULL, NULL, NULL, NULL, 'CONIDIAL DEVELOPMENT PROTEIN FLUFFY', NULL, NULL, NULL, 15),
(138783, NULL, 'PTHR42840:SF3', NULL, NULL, NULL, NULL, 'BINDING ROSSMANN FOLD OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10240)-RELATED', NULL, NULL, NULL, 15),
(138784, NULL, 'PTHR31602:SF45', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 8', NULL, NULL, NULL, 15),
(138785, NULL, 'PTHR24282:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138786, NULL, 'PTHR10772:SF32', NULL, NULL, NULL, NULL, '20 KDA CHAPERONIN, CHLOROPLASTIC', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138787, NULL, 'PTHR28675:SF2', NULL, NULL, NULL, NULL, 'MELANOCORTIN-2 RECEPTOR ACCESSORY PROTEIN', NULL, NULL, NULL, 15),
(138788, NULL, 'PTHR10585:SF78', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN RETAINING RECEPTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138789, NULL, 'PTHR11413:SF62', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 3', NULL, NULL, NULL, 15),
(138790, NULL, 'PTHR11485:SF33', NULL, NULL, NULL, NULL, 'LACTOTRANSFERRIN', NULL, NULL, NULL, 15),
(138791, NULL, 'PTHR10579:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138792, NULL, 'PTHR10006', NULL, NULL, NULL, NULL, 'MUCIN-1-RELATED', NULL, NULL, NULL, 15),
(138793, NULL, 'PTHR11214:SF297', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(138794, NULL, 'PTHR35041', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 1', NULL, NULL, NULL, 15),
(138795, NULL, 'PTHR10855:SF9', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 12 HOMOLOG A-LIKE', NULL, NULL, NULL, 15),
(138796, NULL, 'PTHR31248:SF14', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN A3-LIKE', NULL, NULL, NULL, 15),
(138797, NULL, 'PTHR31165:SF83', NULL, NULL, NULL, NULL, 'BNACNNG65050D PROTEIN', NULL, NULL, NULL, 15),
(138798, NULL, 'PTHR48022:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138799, NULL, 'PTHR31790:SF401', NULL, NULL, NULL, NULL, 'BNAA07G04990D PROTEIN', NULL, NULL, NULL, 15),
(138800, NULL, 'PTHR47991:SF15', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20-OXIDASE', NULL, NULL, NULL, 15),
(138801, NULL, 'PTHR10783:SF66', NULL, NULL, NULL, NULL, 'XENOTROPIC AND POLYTROPIC RETROVIRUS RECEPTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(138802, NULL, 'PTHR46086:SF24', NULL, NULL, NULL, NULL, 'BNAA08G04230D PROTEIN', NULL, NULL, NULL, 15),
(138803, NULL, 'PTHR24006:SF825', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(138804, NULL, 'PTHR28562:SF3', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 9', NULL, NULL, NULL, 15),
(138805, NULL, 'PTHR31352:SF33', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', NULL, NULL, NULL, 15),
(138806, NULL, 'PTHR36059:SF3', NULL, NULL, NULL, NULL, 'BNAA03G49900D PROTEIN', NULL, NULL, NULL, 15),
(138807, NULL, 'PTHR47965:SF36', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE PCS1-LIKE', NULL, NULL, NULL, 15),
(138808, NULL, 'PTHR34319:SF7', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138809, NULL, 'PTHR10903:SF107', NULL, NULL, NULL, NULL, 'ZGC:113442-RELATED', NULL, NULL, NULL, 15),
(138810, NULL, 'PTHR43613:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(138811, NULL, 'PTHR16515:SF20', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 12', NULL, NULL, NULL, 15),
(138812, NULL, 'PTHR33193:SF35', NULL, NULL, NULL, NULL, 'BNAA09G39990D PROTEIN', NULL, NULL, NULL, 15),
(138813, NULL, 'PTHR46061:SF5', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE RECEPTOR 2', NULL, NULL, NULL, 15),
(138814, NULL, 'PTHR11017:SF429', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(138815, NULL, 'PTHR34060:SF2', NULL, NULL, NULL, NULL, 'OS03G0837900 PROTEIN', NULL, NULL, NULL, 15),
(138816, NULL, 'PTHR10896:SF25', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS03G0287800-RELATED', NULL, NULL, NULL, 15),
(138817, NULL, 'PTHR36483:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138818, NULL, 'PTHR31989:SF331', NULL, NULL, NULL, NULL, 'BNAA09G51460D PROTEIN', NULL, NULL, NULL, 15),
(138819, NULL, 'PTHR47926:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138820, NULL, 'PTHR12370:SF22', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE PROTEIN D', NULL, NULL, NULL, 15),
(138821, NULL, 'PTHR32071:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RTCR', NULL, NULL, 21810, 15),
(138822, NULL, 'PTHR44329:SF63', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 11-LIKE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138823, NULL, 'PTHR10332:SF70', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(138824, NULL, 'PTHR34045:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138825, NULL, 'PTHR43823', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN YKVU', NULL, NULL, NULL, 15),
(138826, NULL, 'PTHR35687:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138827, NULL, 'PTHR16133:SF0', NULL, NULL, NULL, NULL, 'ZINC/IRON REGULATED TRANSPORTER-RELATED PROTEIN 102B, ISOFORM E', NULL, NULL, NULL, 15),
(138828, NULL, 'PTHR46141:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBR-NCA-1', NULL, NULL, NULL, 15),
(138829, NULL, 'PTHR42944', NULL, NULL, NULL, NULL, 'ADENINE DNA GLYCOSYLASE', NULL, NULL, 38943, 15),
(138830, NULL, 'PTHR10648:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 1', NULL, NULL, 26848, 15),
(138831, NULL, 'PTHR21223:SF5', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 92 MEMBER A', NULL, NULL, NULL, 15),
(138832, NULL, 'PTHR46140', NULL, NULL, NULL, NULL, 'VACUOLAR TRANSPORTER CHAPERONE 1-RELATED', NULL, NULL, NULL, 15),
(138833, NULL, 'PTHR11902:SF42', NULL, NULL, NULL, NULL, 'ENOLASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(138834, NULL, 'PTHR34971:SF5', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN Z', NULL, NULL, NULL, 15),
(138835, NULL, 'PTHR35981:SF2', NULL, NULL, NULL, NULL, 'ION TRANSPORT PEPTIDE, ISOFORM C', NULL, NULL, NULL, 15),
(138836, NULL, 'PTHR23076:SF119', NULL, NULL, NULL, NULL, 'BNAA04G15330D PROTEIN', NULL, NULL, NULL, 15),
(138837, NULL, 'PTHR31314:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138838, NULL, 'PTHR22950:SF617', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138839, NULL, 'PTHR42886', NULL, NULL, NULL, NULL, 'RE40534P-RELATED', NULL, NULL, NULL, 15),
(138840, NULL, 'PTHR47986:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0070M12.3 PROTEIN', NULL, NULL, NULL, 15),
(138841, NULL, 'PTHR24390:SF132', NULL, NULL, NULL, NULL, 'LD18191P', NULL, NULL, NULL, 15),
(138842, NULL, 'PTHR39651', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RESOLVASE HJC', NULL, NULL, 7611, 15),
(138843, NULL, 'PTHR46855:SF3', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 26', NULL, NULL, NULL, 15),
(138844, NULL, 'PTHR47928:SF167', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(138845, NULL, 'PTHR45838', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE-N-METHYLTRANSFERASE 2 KMT2 FAMILY MEMBER', NULL, NULL, NULL, 15),
(138846, NULL, 'PTHR45743:SF27', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KAT3', NULL, NULL, NULL, 15),
(138847, NULL, 'PTHR23257:SF858', NULL, NULL, NULL, NULL, 'KINASE SUPERFAMILY WITH OCTICOSAPEPTIDE/PHOX/BEM1P DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(138848, NULL, 'PTHR32089:SF88', NULL, NULL, NULL, NULL, 'CHEMOTACTIC TRANSDUCER FOR TRICHLOROETHYLENE [POSITIVE CHEMOTAXIS], CTTP', NULL, NULL, NULL, 15),
(138849, NULL, 'PTHR34353:SF2', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDONUCLEASE CAS1 1', NULL, NULL, NULL, 15),
(138850, NULL, 'PTHR11475:SF129', NULL, NULL, NULL, NULL, 'DUAL OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(138851, NULL, 'PTHR34459:SF4', NULL, NULL, NULL, NULL, 'BNAC09G54200D PROTEIN', NULL, NULL, NULL, 15),
(138852, NULL, 'PTHR23421:SF127', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(138853, NULL, 'PTHR22942:SF39', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG 1', NULL, NULL, NULL, 15),
(138854, NULL, 'PTHR27004:SF388', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(138855, NULL, 'PTHR12329:SF12', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 3', NULL, NULL, NULL, 15),
(138856, NULL, 'PTHR30602', NULL, NULL, NULL, NULL, 'AMINO-ACID ACETYLTRANSFERASE', NULL, NULL, 10952, 15),
(138857, NULL, 'PTHR10286:SF47', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138858, NULL, 'PTHR46060:SF1', NULL, NULL, NULL, NULL, 'MARINER MOS1 TRANSPOSASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(138859, NULL, 'PTHR18966:SF468', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(138860, NULL, 'PTHR11730:SF48', NULL, NULL, NULL, NULL, 'RH50-LIKE PROTEIN', NULL, NULL, NULL, 15),
(138861, NULL, 'PTHR13904:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138862, NULL, 'PTHR43044:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138863, NULL, 'PTHR33163:SF13', NULL, NULL, NULL, NULL, 'PROTEIN TIC 214-RELATED', NULL, NULL, NULL, 15),
(138864, NULL, 'PTHR11062:SF238', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138865, NULL, 'PTHR11792', NULL, NULL, NULL, NULL, 'ARRESTIN', NULL, NULL, 3648, 15),
(138866, NULL, 'PTHR34675:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TRIGALACTOSYLDIACYLGLYCEROL 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(138867, NULL, 'PTHR47990:SF34', NULL, NULL, NULL, NULL, 'IRON/ASCORBATE OXIDOREDUCTASE DDB_G0283291-RELATED', NULL, NULL, NULL, 15),
(138868, NULL, 'PTHR13720:SF52', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE 6', NULL, NULL, NULL, 15),
(138869, NULL, 'PTHR13301:SF148', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE H1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(138870, NULL, 'PTHR43037:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(138871, NULL, 'PTHR13690:SF130', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138872, NULL, 'PTHR24034:SF140', NULL, NULL, NULL, NULL, 'LATENT-TRANSFORMING GROWTH FACTOR BETA-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(138873, NULL, 'PTHR47009', NULL, NULL, NULL, NULL, 'HEPATITIS A VIRUS CELLULAR RECEPTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(138874, NULL, 'PTHR43406:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138875, NULL, 'PTHR31137:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PSIC', NULL, NULL, NULL, 15),
(138876, NULL, 'PTHR12606:SF16', NULL, NULL, NULL, NULL, 'SENTRIN-SPECIFIC PROTEASE 3', NULL, NULL, 31566, 15),
(138877, NULL, 'PTHR47374:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138878, NULL, 'PTHR34779:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138879, NULL, 'PTHR46089:SF2', NULL, NULL, NULL, NULL, 'ALSIN HOMOLOG', NULL, NULL, NULL, 15),
(138880, NULL, 'PTHR11920:SF488', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', NULL, NULL, NULL, 15),
(138881, NULL, 'PTHR45805:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR ROR-ALPHA', NULL, NULL, NULL, 15),
(138882, NULL, 'PTHR38597:SF1', NULL, NULL, NULL, NULL, 'BLL3834 PROTEIN', NULL, NULL, NULL, 15),
(138883, NULL, 'PTHR45963', NULL, NULL, NULL, NULL, 'RE52028P', NULL, NULL, NULL, 15),
(138884, NULL, 'PTHR22951:SF97', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN', NULL, NULL, NULL, 15),
(138885, NULL, 'PTHR31696:SF68', NULL, NULL, NULL, NULL, 'BNAC03G76390D PROTEIN', NULL, NULL, NULL, 15),
(138886, NULL, 'PTHR13809:SF6', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-10', NULL, NULL, NULL, 15),
(138887, NULL, 'PTHR33133:SF38', NULL, NULL, NULL, NULL, 'BNAANNG31730D PROTEIN', NULL, NULL, NULL, 15),
(138888, NULL, 'PTHR35311', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN KNL-2 HOMOLOG', NULL, NULL, NULL, 15),
(138889, NULL, 'PTHR35115:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138890, NULL, 'PTHR38435:SF1', NULL, NULL, NULL, NULL, 'OUTER SURFACE PROTEIN', NULL, NULL, NULL, 15),
(138891, NULL, 'PTHR11803:SF34', NULL, NULL, NULL, NULL, 'BLL5130 PROTEIN', NULL, NULL, NULL, 15),
(138892, NULL, 'PTHR24062:SF7', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(138893, NULL, 'PTHR11548:SF11', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DIHYDROFOLATE REDUCTASE-THYMIDYLATE SYNTHASE 2', NULL, NULL, NULL, 15),
(138894, NULL, 'PTHR31731:SF87', NULL, NULL, NULL, NULL, 'BNAA08G24920D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138895, NULL, 'PTHR45675:SF62', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JAMYB', NULL, NULL, NULL, 15),
(138896, NULL, 'PTHR31985:SF121', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF024', NULL, NULL, NULL, 15),
(138897, NULL, 'PTHR42861:SF99', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(138898, NULL, 'PTHR24381:SF62', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 25', NULL, NULL, NULL, 15),
(138899, NULL, 'PTHR32295:SF122', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 15', NULL, NULL, NULL, 15),
(138900, NULL, 'PTHR24223:SF386', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 14-LIKE', NULL, NULL, NULL, 15),
(138901, NULL, 'PTHR11654:SF181', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.8', NULL, NULL, NULL, 15),
(138902, NULL, 'PTHR24390:SF116', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL ZINC FINGER 1A-RELATED', NULL, NULL, NULL, 15),
(138903, NULL, 'PTHR33295:SF7', NULL, NULL, NULL, NULL, 'ATPASE', NULL, NULL, NULL, 15),
(138904, NULL, 'PTHR27008:SF441', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138905, NULL, 'PTHR31156:SF14', NULL, NULL, NULL, NULL, 'SPEEDY/RINGO CELL CYCLE REGULATOR FAMILY, MEMBER E4C', NULL, NULL, NULL, 15),
(138906, NULL, 'PTHR31726', NULL, NULL, NULL, NULL, 'PROTEIN ICE2', NULL, NULL, 11376, 15),
(138907, NULL, 'PTHR27009:SF12', NULL, NULL, NULL, NULL, 'OS06G0241100 PROTEIN', NULL, NULL, NULL, 15),
(138908, NULL, 'PTHR31403:SF43', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IGAMMA1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(138909, NULL, 'PTHR11691:SF36', NULL, NULL, NULL, NULL, 'INTERFERON-ALPHAOMEGA', NULL, NULL, NULL, 15),
(138910, NULL, 'PTHR23280:SF18', NULL, NULL, NULL, NULL, 'BAND 4.1-LIKE PROTEIN 4B', NULL, NULL, 24820, 15),
(138911, NULL, 'PTHR24221:SF478', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138912, NULL, 'PTHR47824:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138913, NULL, 'PTHR18966:SF515', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(138914, NULL, 'PTHR35275:SF8', NULL, NULL, NULL, NULL, 'BNAC04G18610D PROTEIN', NULL, NULL, NULL, 15),
(138915, NULL, 'PTHR46083:SF5', NULL, NULL, NULL, NULL, 'STARCH SYNTHASE 3, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(138916, NULL, 'PTHR13832:SF351', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 46-RELATED', NULL, NULL, NULL, 15),
(138917, NULL, 'PTHR31649:SF1', NULL, NULL, NULL, NULL, 'AGAP009604-PA', NULL, NULL, NULL, 15),
(138918, NULL, 'PTHR36326:SF10', NULL, NULL, NULL, NULL, 'PROTEIN POLLENLESS 3', NULL, NULL, NULL, 15),
(138919, NULL, 'PTHR42887', NULL, NULL, NULL, NULL, 'OS12G0638800 PROTEIN', NULL, NULL, 5295, 15),
(138920, NULL, 'PTHR48041:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138921, NULL, 'PTHR34558', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(138922, NULL, 'PTHR47928:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138923, NULL, 'PTHR18853:SF10', NULL, NULL, NULL, NULL, 'FHA DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(138924, NULL, 'PTHR31009:SF105', NULL, NULL, NULL, NULL, 'BNAA09G04020D PROTEIN', NULL, NULL, NULL, 15),
(138925, NULL, 'PTHR31790:SF331', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138926, NULL, 'PTHR34709:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138927, NULL, 'PTHR32116:SF66', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(138928, NULL, 'PTHR33164:SF45', NULL, NULL, NULL, NULL, 'POSSIBLE MARR-TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(138929, NULL, 'PTHR14145', NULL, NULL, NULL, NULL, '26S PROTESOME SUBUNIT 6', NULL, NULL, 20150, 15),
(138930, NULL, 'PTHR45856:SF11', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(138931, NULL, 'PTHR22891:SF137', NULL, NULL, NULL, NULL, 'ARGONAUTE18B', NULL, NULL, NULL, 15),
(138932, NULL, 'PTHR33872:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138933, NULL, 'PTHR11011:SF98', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(138934, NULL, 'PTHR24072:SF13', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOQ', NULL, NULL, NULL, 15),
(138935, NULL, 'PTHR48053:SF28', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138936, NULL, 'PTHR13123:SF6', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 32', NULL, NULL, NULL, 15),
(138937, NULL, 'PTHR34192:SF10', NULL, NULL, NULL, NULL, 'PLASTOCYANIN MAJOR ISOFORM, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(138938, NULL, 'PTHR10342', NULL, NULL, NULL, NULL, 'ARYLSULFATASE', NULL, NULL, NULL, 15),
(138939, NULL, 'PTHR43806:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138940, NULL, 'PTHR12233', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING 26 RELATED', NULL, NULL, 24518, 15),
(138941, NULL, 'PTHR24064:SF316', NULL, NULL, NULL, NULL, 'ORGANIC CATION TRANSPORTER PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(138942, NULL, 'PTHR46368:SF14', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE FAMILY, NAD-BINDING ROSSMANN FOLD PROTEIN', NULL, NULL, NULL, 15),
(138943, NULL, 'PTHR47431:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(138944, NULL, 'PTHR12200:SF25', NULL, NULL, NULL, NULL, 'MYELOID CELL NUCLEAR DIFFERENTIATION ANTIGEN', NULL, NULL, NULL, 15),
(138945, NULL, 'PTHR46252:SF2', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR C DOMAIN-CONTAINING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(138946, NULL, 'PTHR31088:SF12', NULL, NULL, NULL, NULL, 'PHAGE SHOCK PROTEIN A, PSPA', NULL, NULL, NULL, 15),
(138947, NULL, 'PTHR46483:SF6', NULL, NULL, NULL, NULL, 'BNAA08G27200D PROTEIN', NULL, NULL, NULL, 15),
(138948, NULL, 'PTHR43570:SF29', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE TYPE III, ISOFORM Q', NULL, NULL, NULL, 15),
(138949, NULL, 'PTHR12638:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MAGO NASHI HOMOLOG 2', NULL, NULL, NULL, 15),
(138950, NULL, 'PTHR10098', NULL, NULL, NULL, NULL, 'RAPSYN-RELATED', NULL, NULL, NULL, 15),
(138951, NULL, 'PTHR28577', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN P', NULL, NULL, 24772, 15),
(138952, NULL, 'PTHR32153:SF61', NULL, NULL, NULL, NULL, 'BNAA07G39150D PROTEIN', NULL, NULL, NULL, 15),
(138953, NULL, 'PTHR31165:SF41', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 4', NULL, NULL, NULL, 15),
(138954, NULL, 'PTHR24089:SF690', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER ADNT1', NULL, NULL, NULL, 15),
(138955, NULL, 'PTHR11256:SF48', NULL, NULL, NULL, NULL, 'BCL-2-RELATED OVARIAN KILLER PROTEIN', NULL, NULL, 23628, 15),
(138956, NULL, 'PTHR31279:SF11', NULL, NULL, NULL, NULL, 'OS02G0756600 PROTEIN', NULL, NULL, NULL, 15),
(138957, NULL, 'PTHR11771:SF91', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(138958, NULL, 'PTHR30446:SF0', NULL, NULL, NULL, NULL, 'RECOMBINATION PROTEIN RECR', NULL, NULL, NULL, 15),
(138959, NULL, 'PTHR19957:SF212', NULL, NULL, NULL, NULL, 'T-SNARE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(138960, NULL, 'PTHR30193:SF39', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138961, NULL, 'PTHR32217:SF3', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX, LOCUS G2-RELATED', NULL, NULL, NULL, 15),
(138962, NULL, 'PTHR27007:SF141', NULL, NULL, NULL, NULL, 'OS03G0823000 PROTEIN', NULL, NULL, NULL, 15),
(138963, NULL, 'PTHR34366:SF2', NULL, NULL, NULL, NULL, 'OS07G0289901 PROTEIN', NULL, NULL, NULL, 15),
(138964, NULL, 'PTHR23411:SF23', NULL, NULL, NULL, NULL, 'IG ALPHA CHAIN C REGION', NULL, NULL, NULL, 15),
(138965, NULL, 'PTHR44169:SF12', NULL, NULL, NULL, NULL, 'BNAC02G00550D PROTEIN', NULL, NULL, NULL, 15),
(138966, NULL, 'PTHR47436:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATXR2', NULL, NULL, NULL, 15),
(138967, NULL, 'PTHR10896:SF17', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX14H-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(138968, NULL, 'PTHR15240:SF5', NULL, NULL, NULL, NULL, 'CAVEOLAE-ASSOCIATED PROTEIN 2A', NULL, NULL, NULL, 15),
(138969, NULL, 'PTHR32247:SF4', NULL, NULL, NULL, NULL, 'DIABLO, IAP-BINDING MITOCHONDRIAL PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(138970, NULL, 'PTHR23147:SF146', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS31-RELATED', NULL, NULL, 25597, 15),
(138971, NULL, 'PTHR48013:SF11', NULL, NULL, NULL, NULL, 'LICORNE', NULL, NULL, NULL, 15),
(138972, NULL, 'PTHR22804:SF10', NULL, NULL, NULL, NULL, 'HYALURONAN AND PROTEOGLYCAN LINK PROTEIN 1', NULL, NULL, NULL, 15),
(138973, NULL, 'PTHR10994:SF177', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(138974, NULL, 'PTHR45733:SF17', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 12-RELATED', NULL, NULL, NULL, 15),
(138975, NULL, 'PTHR24073:SF382', NULL, NULL, NULL, NULL, 'RABX6, ISOFORM B', NULL, NULL, NULL, 15),
(138976, NULL, 'PTHR24269:SF17', NULL, NULL, NULL, NULL, 'WSC DOMAIN CONTAINING 2', NULL, NULL, NULL, 15),
(138977, NULL, 'PTHR19944', NULL, NULL, NULL, NULL, 'MHC CLASS II-RELATED', NULL, NULL, NULL, 15),
(138978, NULL, 'PTHR23050:SF394', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 11', NULL, NULL, NULL, 15),
(138979, NULL, 'PTHR10094:SF27', NULL, NULL, NULL, NULL, 'OS02G0765800 PROTEIN', NULL, NULL, NULL, 15),
(138980, NULL, 'PTHR10678:SF2', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 11', NULL, NULL, NULL, 15),
(138981, NULL, 'PTHR44668:SF4', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7C-A', NULL, NULL, NULL, 15),
(138982, NULL, 'PTHR22793:SF6', NULL, NULL, NULL, NULL, 'MYOCARDIN-RELATED TRANSCRIPTION FACTOR A', NULL, NULL, 24747, 15),
(138983, NULL, 'PTHR31150:SF23', NULL, NULL, NULL, NULL, 'MANDELONITRILE LYASE-RELATED', NULL, NULL, NULL, 15),
(138984, NULL, 'PTHR10593:SF163', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(138985, NULL, 'PTHR11588:SF293', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN-RELATED', NULL, NULL, NULL, 15),
(138986, NULL, 'PTHR44329:SF8', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE SHKA', NULL, NULL, NULL, 15),
(138987, NULL, 'PTHR46163:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG17743', NULL, NULL, NULL, 15),
(138988, NULL, 'PTHR11566:SF204', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE PROTEIN B', NULL, NULL, NULL, 15),
(138989, NULL, 'PTHR12096:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138990, NULL, 'PTHR19229:SF204', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(138991, NULL, 'PTHR26451:SF886', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(138992, NULL, 'PTHR33065:SF10', NULL, NULL, NULL, NULL, 'OS08G0134900 PROTEIN', NULL, NULL, NULL, 15),
(138993, NULL, 'PTHR19431:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L4', NULL, NULL, NULL, 15),
(138994, NULL, 'PTHR13513', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR7', NULL, NULL, 34115, 15),
(138995, NULL, 'PTHR46458:SF5', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', NULL, NULL, NULL, 15),
(138996, NULL, 'PTHR35730:SF4', NULL, NULL, NULL, NULL, 'BNAA02G23760D PROTEIN', NULL, NULL, NULL, 15),
(138997, NULL, 'PTHR23502:SF23', NULL, NULL, NULL, NULL, 'FLUCONAZOLE RESISTANCE PROTEIN 1', NULL, NULL, NULL, 15),
(138998, NULL, 'PTHR43601:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(138999, NULL, 'PTHR30603:SF45', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGF, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(139000, NULL, 'PTHR30558:SF7', NULL, NULL, NULL, NULL, 'TOL-PAL SYSTEM PROTEIN TOLR', NULL, NULL, NULL, 15),
(139001, NULL, 'PTHR19845:SF20', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1 HOMOLOG', NULL, NULL, NULL, 15),
(139002, NULL, 'PTHR44592:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139003, NULL, 'PTHR14187:SF5', NULL, NULL, NULL, NULL, 'HSP70 FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_4G14040)', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139004, NULL, 'PTHR33222:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CURVATURE THYLAKOID 1D, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(139005, NULL, 'PTHR10024:SF249', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-8', NULL, NULL, 25258, 15),
(139006, NULL, 'PTHR23115:SF260', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(139007, NULL, 'PTHR31901:SF82', NULL, NULL, NULL, NULL, 'BNAA09G15010D PROTEIN', NULL, NULL, NULL, 15),
(139008, NULL, 'PTHR26453:SF120', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 700', NULL, NULL, NULL, 15),
(139009, NULL, 'PTHR23084:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139010, NULL, 'PTHR23023:SF265', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(139011, NULL, 'PTHR23095', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN', NULL, NULL, 24418, 15),
(139012, NULL, 'PTHR10569', NULL, NULL, NULL, NULL, 'GLYCOGEN DEBRANCHING ENZYME', NULL, NULL, 9672, 15),
(139013, NULL, 'PTHR35501:SF5', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139014, NULL, 'PTHR31596:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139015, NULL, 'PTHR23339:SF100', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE TYPE IVA 3', NULL, NULL, NULL, 15),
(139016, NULL, 'PTHR30483:SF40', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE', NULL, NULL, NULL, 15),
(139017, NULL, 'PTHR23050:SF227', NULL, NULL, NULL, NULL, 'PARALYSED ARREST AT TWO-FOLD', NULL, NULL, NULL, 15),
(139018, NULL, 'PTHR12241:SF91', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL13P', NULL, NULL, NULL, 15),
(139019, NULL, 'PTHR24100:SF127', NULL, NULL, NULL, NULL, 'GENE, 36028-RELATED', NULL, NULL, NULL, 15),
(139020, NULL, 'PTHR45631:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139021, NULL, 'PTHR31080:SF162', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15),
(139022, NULL, 'PTHR33975:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139023, NULL, 'PTHR24418:SF427', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(139024, NULL, 'PTHR10266:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME C1-1, HEME PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(139025, NULL, 'PTHR33648:SF31', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139026, NULL, 'PTHR10803:SF0', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(139027, NULL, 'PTHR47274:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139028, NULL, 'PTHR14379:SF44', NULL, NULL, NULL, NULL, 'BNAA02G26530D PROTEIN', NULL, NULL, NULL, 15),
(139029, NULL, 'PTHR13723:SF284', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139030, NULL, 'PTHR23024:SF211', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 11-RELATED', NULL, NULL, NULL, 15),
(139031, NULL, 'PTHR12620:SF44', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF SMALL SUBUNIT B', NULL, NULL, NULL, 15),
(139032, NULL, 'PTHR10357:SF177', NULL, NULL, NULL, NULL, 'FI17312P1-RELATED', NULL, NULL, NULL, 15),
(139033, NULL, 'PTHR13526:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139034, NULL, 'PTHR43240:SF15', NULL, NULL, NULL, NULL, 'OS03G0691400 PROTEIN', NULL, NULL, NULL, 15),
(139035, NULL, 'PTHR31549:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139036, NULL, 'PTHR15489:SF2', NULL, NULL, NULL, NULL, 'CASP8-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(139037, NULL, 'PTHR31213:SF119', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL4', NULL, NULL, NULL, 15),
(139038, NULL, 'PTHR21386', NULL, NULL, NULL, NULL, 'INSCUTEABLE', NULL, NULL, 34798, 15),
(139039, NULL, 'PTHR10972:SF146', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN', NULL, NULL, NULL, 15),
(139040, NULL, 'PTHR34940:SF6', NULL, NULL, NULL, NULL, 'BNAANNG17550D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139041, NULL, 'PTHR32325:SF4', NULL, NULL, NULL, NULL, 'BETA-ELIMINATING LYASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139042, NULL, 'PTHR24348:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139043, NULL, 'PTHR31541:SF51', NULL, NULL, NULL, NULL, 'BNAA10G03610D PROTEIN', NULL, NULL, NULL, 15),
(139044, NULL, 'PTHR31790:SF292', NULL, NULL, NULL, NULL, 'BNAA09G28070D PROTEIN', NULL, NULL, NULL, 15),
(139045, NULL, 'PTHR35993:SF1', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 21B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(139046, NULL, 'PTHR13008:SF7', NULL, NULL, NULL, NULL, 'MAP KINASE-ACTIVATING DEATH DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(139047, NULL, 'PTHR14066', NULL, NULL, NULL, NULL, 'ATRIAL NATRIURETIC FACTOR PRECURSOR', NULL, NULL, NULL, 15),
(139048, NULL, 'PTHR47434:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PTST HOMOLOG 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(139049, NULL, 'PTHR45615:SF27', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN, MUSCLE', NULL, NULL, NULL, 15),
(139050, NULL, 'PTHR11260:SF529', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE32', NULL, NULL, NULL, 15),
(139051, NULL, 'PTHR13037:SF16', NULL, NULL, NULL, NULL, 'FORMIN-2', NULL, NULL, NULL, 15),
(139052, NULL, 'PTHR24103:SF647', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 34B-RELATED', NULL, NULL, NULL, 15),
(139053, NULL, 'PTHR35764:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139054, NULL, 'PTHR43795:SF55', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASES SUPERFAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(139055, NULL, 'PTHR43539:SF77', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA10-RELATED', NULL, NULL, NULL, 15),
(139056, NULL, 'PTHR23220:SF78', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-4', NULL, NULL, NULL, 15),
(139057, NULL, 'PTHR11566:SF189', NULL, NULL, NULL, NULL, 'DYNAMIN 1E-LIKE PROTEIN', NULL, NULL, NULL, 15),
(139058, NULL, 'PTHR16983:SF24', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX, LOCUS G6G', NULL, NULL, NULL, 15),
(139059, NULL, 'PTHR24235:SF25', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR TYPE 4-RELATED', NULL, NULL, 2200, 15),
(139060, NULL, 'PTHR13580:SF10', NULL, NULL, NULL, NULL, 'CYSTEINE/SERINE-RICH NUCLEAR PROTEIN 1', NULL, NULL, NULL, 15),
(139061, NULL, 'PTHR11802', NULL, NULL, NULL, NULL, 'SERINE PROTEASE FAMILY S10 SERINE CARBOXYPEPTIDASE', NULL, NULL, 5398, 15),
(139062, NULL, 'PTHR31218:SF164', NULL, NULL, NULL, NULL, 'OS01G0768300 PROTEIN', NULL, NULL, NULL, 15),
(139063, NULL, 'PTHR16208:SF4', NULL, NULL, NULL, NULL, 'SYNTABULIN', NULL, NULL, 21851, 15),
(139064, NULL, 'PTHR10766:SF149', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(139065, NULL, 'PTHR34458:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139066, NULL, 'PTHR45839:SF24', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 6', NULL, NULL, NULL, 15),
(139067, NULL, 'PTHR11654:SF545', NULL, NULL, NULL, NULL, 'BNAANNG11510D PROTEIN', NULL, NULL, NULL, 15),
(139068, NULL, 'PTHR33517:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM170B', NULL, NULL, 34379, 15),
(139069, NULL, 'PTHR13140:SF356', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-VB', NULL, NULL, NULL, 15),
(139070, NULL, 'PTHR10666:SF343', NULL, NULL, NULL, NULL, 'UBIQUITIN-60S RIBOSOMAL PROTEIN L40', NULL, NULL, NULL, 15),
(139071, NULL, 'PTHR31896:SF50', NULL, NULL, NULL, NULL, 'ANTHOCYANIN 5-AROMATIC ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(139072, NULL, 'PTHR31752:SF58', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', NULL, NULL, NULL, 15),
(139073, NULL, 'PTHR31471:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139074, NULL, 'PTHR33156:SF52', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 6, CHLOROPLASTIC/MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(139075, NULL, 'PTHR15344:SF3', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN 3', NULL, NULL, NULL, 15),
(139076, NULL, 'PTHR24302:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 3A25-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139077, NULL, 'PTHR45721:SF12', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFA-1', NULL, NULL, NULL, 15),
(139078, NULL, 'PTHR47992:SF44', NULL, NULL, NULL, NULL, 'TGF-BETA-ACTIVATED KINASE 1 AND MAP3K7-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(139079, NULL, 'PTHR42776:SF19', NULL, NULL, NULL, NULL, 'GLUTAMYL ENDOPEPTIDASE, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(139080, NULL, 'PTHR10334:SF396', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN 2', NULL, NULL, NULL, 15),
(139081, NULL, 'PTHR12377:SF8', NULL, NULL, NULL, NULL, 'PROTEIN AE7-LIKE', NULL, NULL, NULL, 15),
(139082, NULL, 'PTHR12549:SF6', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING HISTONE DEMETHYLATION PROTEIN 2C-RELATED', NULL, NULL, NULL, 15),
(139083, NULL, 'PTHR38503:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(139084, NULL, 'PTHR23119:SF46', NULL, NULL, NULL, NULL, 'ERBB2-INTERACTING PROTEIN', NULL, NULL, 26929, 15),
(139085, NULL, 'PTHR38593:SF1', NULL, NULL, NULL, NULL, 'BLR2558 PROTEIN', NULL, NULL, NULL, 15),
(139086, NULL, 'PTHR44329:SF176', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(139087, NULL, 'PTHR24282:SF133', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(139088, NULL, 'PTHR16024:SF10', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', NULL, NULL, NULL, 15),
(139089, NULL, 'PTHR23351:SF11', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER TRANSCRIPTIONAL FACTOR ATF-LIKE 2', NULL, NULL, 28684, 15),
(139090, NULL, 'PTHR11599:SF162', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, 8576, 15),
(139091, NULL, 'PTHR24064:SF237', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-13-RELATED', NULL, NULL, NULL, 15),
(139092, NULL, 'PTHR11615:SF224', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1D1', NULL, NULL, NULL, 15),
(139093, NULL, 'PTHR33830:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139094, NULL, 'PTHR18929:SF215', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 5-2-LIKE', NULL, NULL, NULL, 15),
(139095, NULL, 'PTHR33063', NULL, NULL, NULL, NULL, 'OS02G0583500 PROTEIN', NULL, NULL, NULL, 15),
(139096, NULL, 'PTHR31375:SF109', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07520)-RELATED', NULL, NULL, NULL, 15),
(139097, NULL, 'PTHR43329:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139098, NULL, 'PTHR36381:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(139099, NULL, 'PTHR46079', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(139100, NULL, 'PTHR48027:SF14', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(139101, NULL, 'PTHR33627', NULL, NULL, NULL, NULL, 'TRANSPOSASE', NULL, NULL, 35821, 15),
(139102, NULL, 'PTHR12111:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 130', NULL, NULL, NULL, 15),
(139103, NULL, 'PTHR10073:SF12', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MLH1', NULL, NULL, NULL, 15),
(139104, NULL, 'PTHR46983:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(139105, NULL, 'PTHR46487:SF2', NULL, NULL, NULL, NULL, 'BNAC03G12950D PROTEIN', NULL, NULL, NULL, 15),
(139106, NULL, 'PTHR10026:SF131', NULL, NULL, NULL, NULL, 'CYCLIN-T', NULL, NULL, 24549, 15),
(139107, NULL, 'PTHR13865:SF28', NULL, NULL, NULL, NULL, 'POLYCHAETOID, ISOFORM O', NULL, NULL, NULL, 15),
(139108, NULL, 'PTHR22937:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139109, NULL, 'PTHR10704:SF66', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(139110, NULL, 'PTHR10266:SF11', NULL, NULL, NULL, NULL, 'OS05G0301700 PROTEIN', NULL, NULL, NULL, 15),
(139111, NULL, 'PTHR31175:SF56', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR65', NULL, NULL, NULL, 15),
(139112, NULL, 'PTHR11467:SF130', NULL, NULL, NULL, NULL, 'HISTONE H1', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139113, NULL, 'PTHR11566:SF67', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE 120 KDA PROTEIN, MITOCHONDRIAL', NULL, NULL, 35364, 15),
(139114, NULL, 'PTHR33504', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE (UBIQUINONE) 1 BETA SUBCOMPLEX, 4', NULL, NULL, NULL, 15),
(139115, NULL, 'PTHR31702:SF2', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 33', NULL, NULL, NULL, 15),
(139116, NULL, 'PTHR47958:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139117, NULL, 'PTHR22893:SF118', NULL, NULL, NULL, NULL, 'BNAC09G41020D PROTEIN', NULL, NULL, NULL, 15),
(139118, NULL, 'PTHR32093:SF107', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE', NULL, NULL, NULL, 15),
(139119, NULL, 'PTHR46179:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IIIA', NULL, NULL, NULL, 15),
(139120, NULL, 'PTHR16134:SF90', NULL, NULL, NULL, NULL, 'OS08G0194350 PROTEIN', NULL, NULL, NULL, 15),
(139121, NULL, 'PTHR47926:SF133', NULL, NULL, NULL, NULL, 'BNAC04G52830D PROTEIN', NULL, NULL, NULL, 15),
(139122, NULL, 'PTHR31236:SF26', NULL, NULL, NULL, NULL, 'BURP DOMAIN PROTEIN RD22-LIKE', NULL, NULL, NULL, 15),
(139123, NULL, 'PTHR45701:SF12', NULL, NULL, NULL, NULL, 'SI:CH73-234B20.5', NULL, NULL, NULL, 15),
(139124, NULL, 'PTHR22878:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139125, NULL, 'PTHR46235:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139126, NULL, 'PTHR33399:SF9', NULL, NULL, NULL, NULL, 'OS02G0631100 PROTEIN', NULL, NULL, NULL, 15),
(139127, NULL, 'PTHR32278:SF29', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A1', NULL, NULL, NULL, 15),
(139128, NULL, 'PTHR24408:SF45', NULL, NULL, NULL, NULL, 'ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN 30', NULL, NULL, NULL, 15),
(139129, NULL, 'PTHR26379', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 39096, 15),
(139130, NULL, 'PTHR12801', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE REXO1 / RECO3 FAMILY MEMBER-RELATED', NULL, NULL, NULL, 15),
(139131, NULL, 'PTHR34023:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139132, NULL, 'PTHR31683:SF126', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(139133, NULL, 'PTHR22950:SF571', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139134, NULL, 'PTHR31375:SF225', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(139135, NULL, 'PTHR31116:SF22', NULL, NULL, NULL, NULL, 'BNAA09G56480D PROTEIN', NULL, NULL, NULL, 15),
(139136, NULL, 'PTHR11977:SF103', NULL, NULL, NULL, NULL, 'VILLIN-5', NULL, NULL, NULL, 15),
(139137, NULL, 'PTHR31989:SF278', NULL, NULL, NULL, NULL, 'BNAC03G60970D PROTEIN', NULL, NULL, NULL, 15),
(139138, NULL, 'PTHR47375:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK (WITH NO LYSINE)-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139139, NULL, 'PTHR10663:SF351', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139140, NULL, 'PTHR31105:SF24', NULL, NULL, NULL, NULL, 'OS07G0680600 PROTEIN', NULL, NULL, NULL, 15),
(139141, NULL, 'PTHR11260:SF686', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(139142, NULL, 'PTHR12947:SF15', NULL, NULL, NULL, NULL, 'BNAA08G03020D PROTEIN', NULL, NULL, NULL, 15),
(139143, NULL, 'PTHR31378:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139144, NULL, 'PTHR24031:SF736', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-1', NULL, NULL, NULL, 15),
(139145, NULL, 'PTHR22953:SF15', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 13', NULL, NULL, NULL, 15),
(139146, NULL, 'PTHR32444:SF118', NULL, NULL, NULL, NULL, 'OS01G0783900 PROTEIN', NULL, NULL, NULL, 15),
(139147, NULL, 'PTHR31210:SF58', NULL, NULL, NULL, NULL, 'BNAC05G08550D PROTEIN', NULL, NULL, NULL, 15),
(139148, NULL, 'PTHR36373:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139149, NULL, 'PTHR23318:SF24', NULL, NULL, NULL, NULL, 'BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139150, NULL, 'PTHR16119:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG12710', NULL, NULL, NULL, 15),
(139151, NULL, 'PTHR47723', NULL, NULL, NULL, NULL, 'OS05G0353850 PROTEIN', NULL, NULL, NULL, 15),
(139152, NULL, 'PTHR23257:SF846', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139153, NULL, 'PTHR23266:SF228', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-4-RELATED', NULL, NULL, NULL, 15),
(139154, NULL, 'PTHR24379:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 799', NULL, NULL, NULL, 15),
(139155, NULL, 'PTHR22898:SF2', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(139156, NULL, 'PTHR11178:SF40', NULL, NULL, NULL, NULL, 'NIFU-LIKE PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(139157, NULL, 'PTHR33974:SF6', NULL, NULL, NULL, NULL, 'VASCULAR-RELATED UNKNOWN PROTEIN 2', NULL, NULL, NULL, 15),
(139158, NULL, 'PTHR33147:SF103', NULL, NULL, NULL, NULL, 'GAMMA-THIONINS FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139159, NULL, 'PTHR31490:SF72', NULL, NULL, NULL, NULL, 'BNAA08G11430D PROTEIN', NULL, NULL, NULL, 15),
(139160, NULL, 'PTHR31221:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139161, NULL, 'PTHR24248:SF169', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 4', NULL, NULL, NULL, 15),
(139162, NULL, 'PTHR31388:SF211', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(139163, NULL, 'PTHR18966:SF422', NULL, NULL, NULL, NULL, 'EYE-ENRICHED KAINATE RECEPTOR, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(139164, NULL, 'PTHR31282:SF115', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139165, NULL, 'PTHR11465:SF48', NULL, NULL, NULL, NULL, 'CATALASE ISOZYME C', NULL, NULL, NULL, 15),
(139166, NULL, 'PTHR48002:SF112', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4Q3', NULL, NULL, NULL, 15),
(139167, NULL, 'PTHR12121:SF88', NULL, NULL, NULL, NULL, 'BNAC08G09040D PROTEIN', NULL, NULL, NULL, 15),
(139168, NULL, 'PTHR11214:SF23', NULL, NULL, NULL, NULL, 'N-ACETYLLACTOSAMINIDE BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(139169, NULL, 'PTHR46128:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139170, NULL, 'PTHR35704:SF6', NULL, NULL, NULL, NULL, 'OS06G0529900 PROTEIN', NULL, NULL, NULL, 15),
(139171, NULL, 'PTHR23195:SF7', NULL, NULL, NULL, NULL, 'YEATS DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(139172, NULL, 'PTHR31194:SF154', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF003-LIKE', NULL, NULL, NULL, 15),
(139173, NULL, 'PTHR30477:SF3', NULL, NULL, NULL, NULL, 'METAL TRANSPORT SYSTEM MEMBRANE PROTEIN CT_069-RELATED', NULL, NULL, NULL, 15),
(139174, NULL, 'PTHR24559:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139175, NULL, 'PTHR31942:SF57', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(139176, NULL, 'PTHR23155:SF1029', NULL, NULL, NULL, NULL, 'OS05G0492600 PROTEIN', NULL, NULL, NULL, 15),
(139177, NULL, 'PTHR33246:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139178, NULL, 'PTHR31429:SF68', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 42', NULL, NULL, NULL, 15),
(139179, NULL, 'PTHR24248:SF62', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 56A1', NULL, NULL, NULL, 15),
(139180, NULL, 'PTHR22571:SF24', NULL, NULL, NULL, NULL, 'FILAGGRIN-2', NULL, NULL, NULL, 15),
(139181, NULL, 'PTHR31325:SF221', NULL, NULL, NULL, NULL, 'DUF594 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139182, NULL, 'PTHR44663', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE B', NULL, NULL, 38031, 15),
(139183, NULL, 'PTHR11461:SF315', NULL, NULL, NULL, NULL, 'SERPIN-Z2B-LIKE', NULL, NULL, NULL, 15),
(139184, NULL, 'PTHR11442:SF91', NULL, NULL, NULL, NULL, 'EMBRYONIC ALPHA GLOBIN E1-RELATED', NULL, NULL, NULL, 15),
(139185, NULL, 'PTHR10218:SF331', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN (G PROTEIN), ALPHA-ACTIVATING ACTIVITY POLYPEPTIDE O, B', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139186, NULL, 'PTHR38612:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DCT-5', NULL, NULL, NULL, 15),
(139187, NULL, 'PTHR31750:SF18', NULL, NULL, NULL, NULL, 'PROTEIN STAY-GREEN LIKE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(139188, NULL, 'PTHR30151:SF25', NULL, NULL, NULL, NULL, 'TAURINE TRANSPORT SYSTEM PERMEASE PROTEIN TAUC', NULL, NULL, NULL, 15),
(139189, NULL, 'PTHR46636', NULL, NULL, NULL, NULL, 'CDK2-ASSOCIATED AND CULLIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 38340, 15),
(139190, NULL, 'PTHR43525:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MALY', NULL, NULL, NULL, 15),
(139191, NULL, 'PTHR24377:SF604', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 285', NULL, NULL, NULL, 15),
(139192, NULL, 'PTHR43052:SF3', NULL, NULL, NULL, NULL, 'BNAA08G29550D PROTEIN', NULL, NULL, NULL, 15),
(139193, NULL, 'PTHR27004:SF371', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 28', NULL, NULL, NULL, 15),
(139194, NULL, 'PTHR11570:SF0', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', NULL, NULL, NULL, 15),
(139195, NULL, 'PTHR35614:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139196, NULL, 'PTHR47967:SF41', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139197, NULL, 'PTHR45864', NULL, NULL, NULL, NULL, 'SLINGSHOT PROTEIN PHOSPHATASE HOMOLOG', NULL, NULL, 37737, 15),
(139198, NULL, 'PTHR11592:SF15', NULL, NULL, NULL, NULL, 'GPX6 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139199, NULL, 'PTHR31790:SF89', NULL, NULL, NULL, NULL, 'BNAC03G69240D PROTEIN', NULL, NULL, NULL, 15),
(139200, NULL, 'PTHR11306:SF7', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139201, NULL, 'PTHR24028:SF260', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-20', NULL, NULL, NULL, 15),
(139202, NULL, 'PTHR33670:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139203, NULL, 'PTHR19297', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 14 FAMILY MEMBER', NULL, NULL, NULL, 15),
(139204, NULL, 'PTHR30502:SF9', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139205, NULL, 'PTHR11477:SF11', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G09000)-RELATED', NULL, NULL, NULL, 15),
(139206, NULL, 'PTHR12048', NULL, NULL, NULL, NULL, 'CCAAT-BINDING FACTOR-RELATED', NULL, NULL, 29882, 15),
(139207, NULL, 'PTHR14399:SF4', NULL, NULL, NULL, NULL, 'P53 APOPTOSIS EFFECTOR RELATED TO PMP-22', NULL, NULL, NULL, 15),
(139208, NULL, 'PTHR31741:SF62', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(139209, NULL, 'PTHR45752:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139210, NULL, 'PTHR45688:SF8', NULL, NULL, NULL, NULL, 'ALANINE--GLYOXYLATE AMINOTRANSFERASE 2 HOMOLOG 3, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(139211, NULL, 'PTHR38102:SF1', NULL, NULL, NULL, NULL, 'PERIPLASMIC CHAPERONE SPY', NULL, NULL, NULL, 15),
(139212, NULL, 'PTHR31867:SF183', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(139213, NULL, 'PTHR11907:SF21', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(139214, NULL, 'PTHR24377:SF872', NULL, NULL, NULL, NULL, 'GROWTH FACTOR INDEPENDENT 1 TRANSCRIPTIONAL REPRESSOR', NULL, NULL, NULL, 15),
(139215, NULL, 'PTHR34940:SF4', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 5 KDA PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(139216, NULL, 'PTHR24410:SF17', NULL, NULL, NULL, NULL, 'GH09976P', NULL, NULL, NULL, 15),
(139217, NULL, 'PTHR43841:SF3', NULL, NULL, NULL, NULL, '(3R)-HYDROXYACYL-ACP DEHYDRATASE SUBUNIT HADB', NULL, NULL, NULL, 15),
(139218, NULL, 'PTHR31194:SF108', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED GENES TRANSCRIPTIONAL ACTIVATOR PTI6-LIKE', NULL, NULL, NULL, 15),
(139219, NULL, 'PTHR23280:SF8', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(139220, NULL, 'PTHR23050:SF398', NULL, NULL, NULL, NULL, 'CALTRACTIN-LIKE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139221, NULL, 'PTHR26453:SF110', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2G6', NULL, NULL, NULL, 15),
(139222, NULL, 'PTHR31260:SF28', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(139223, NULL, 'PTHR28164:SF1', NULL, NULL, NULL, NULL, 'PROTEIN STB3', NULL, NULL, NULL, 15),
(139224, NULL, 'PTHR11629:SF59', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A, GOLGI ISOFORM', NULL, NULL, NULL, 15),
(139225, NULL, 'PTHR31262:SF0', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(139226, NULL, 'PTHR10796:SF92', NULL, NULL, NULL, NULL, 'PATCHED-RELATED, ISOFORM A', NULL, NULL, NULL, 15),
(139227, NULL, 'PTHR10106:SF45', NULL, NULL, NULL, NULL, 'CYTOCHROME B ASCORBATE-DEPENDENT PROTEIN 3', NULL, NULL, NULL, 15),
(139228, NULL, 'PTHR31147:SF3', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 7', NULL, NULL, NULL, 15),
(139229, NULL, 'PTHR11005:SF13', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(139230, NULL, 'PTHR48002:SF59', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4L1', NULL, NULL, NULL, 15),
(139231, NULL, 'PTHR31190:SF310', NULL, NULL, NULL, NULL, 'BNACNNG27470D PROTEIN', NULL, NULL, NULL, 15),
(139232, NULL, 'PTHR42803:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139233, NULL, 'PTHR33102:SF26', NULL, NULL, NULL, NULL, 'DVL FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139234, NULL, 'PTHR43192', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139235, NULL, 'PTHR30055:SF163', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, TETR FAMILY-RELATED', NULL, NULL, NULL, 15),
(139236, NULL, 'PTHR31414:SF28', NULL, NULL, NULL, NULL, 'BNAA09G08220D PROTEIN', NULL, NULL, NULL, 15),
(139237, NULL, 'PTHR47975:SF24', NULL, NULL, NULL, NULL, 'OSJNBA0028I23.12 PROTEIN', NULL, NULL, NULL, 15),
(139238, NULL, 'PTHR23257:SF734', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0267514-RELATED', NULL, NULL, NULL, 15),
(139239, NULL, 'PTHR42961', NULL, NULL, NULL, NULL, 'IRON-SULFUR PROTEIN NUBPL', NULL, NULL, 37726, 15),
(139240, NULL, 'PTHR12354:SF20', NULL, NULL, NULL, NULL, 'BNAC03G58130D PROTEIN', NULL, NULL, NULL, 15),
(139241, NULL, 'PTHR13690:SF129', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139242, NULL, 'PTHR24023:SF988', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139243, NULL, 'PTHR13780:SF56', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX5', NULL, NULL, NULL, 15),
(139244, NULL, 'PTHR21705:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAM160A1', NULL, NULL, NULL, 15),
(139245, NULL, 'PTHR43243:SF75', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(139246, NULL, 'PTHR23360:SF36', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(139247, NULL, 'PTHR48001:SF18', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(139248, NULL, 'PTHR23430:SF243', NULL, NULL, NULL, NULL, 'HISTONE H2A.3-RELATED', NULL, NULL, NULL, 15),
(139249, NULL, 'PTHR45996:SF3', NULL, NULL, NULL, NULL, 'AGAP001464-PB', NULL, NULL, NULL, 15),
(139250, NULL, 'PTHR45743:SF6', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KAT1', NULL, NULL, NULL, 15),
(139251, NULL, 'PTHR31544:SF7', NULL, NULL, NULL, NULL, 'BNAA02G29540D PROTEIN', NULL, NULL, NULL, 15),
(139252, NULL, 'PTHR14903:SF7', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN SIMILAR TO VERTEBRATE SCLEROSTIN DOMAIN CONTAINING 1 (SOSTDC1)', NULL, NULL, NULL, 15),
(139253, NULL, 'PTHR13301:SF156', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D6-RELATED', NULL, NULL, NULL, 15),
(139254, NULL, 'PTHR43490:SF62', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(139255, NULL, 'PTHR43859:SF21', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 2-RELATED', NULL, NULL, NULL, 15),
(139256, NULL, 'PTHR24394:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 7A', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139257, NULL, 'PTHR42968:SF31', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE-BINDING PROTEIN 1 ISOFORM X1', NULL, NULL, NULL, 15),
(139258, NULL, 'PTHR43591', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(139259, NULL, 'PTHR45729', NULL, NULL, NULL, NULL, 'RABPHILIN, ISOFORM A', NULL, NULL, 37601, 15),
(139260, NULL, 'PTHR31571:SF2', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE RTT109', NULL, NULL, 16047, 15),
(139261, NULL, 'PTHR38618:SF1', NULL, NULL, NULL, NULL, 'MEIOSIS-TO-MITOSIS TRANSITION ASSOCIATED', NULL, NULL, NULL, 15),
(139262, NULL, 'PTHR21470:SF17', NULL, NULL, NULL, NULL, 'BNAANNG07340D PROTEIN', NULL, NULL, NULL, 15),
(139263, NULL, 'PTHR32099:SF65', NULL, NULL, NULL, NULL, 'OS03G0284650 PROTEIN', NULL, NULL, NULL, 15),
(139264, NULL, 'PTHR12663:SF37', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PDS5-LIKE PROTEIN', NULL, NULL, NULL, 15),
(139265, NULL, 'PTHR48189', NULL, NULL, NULL, NULL, 'BNAA10G07240D PROTEIN', NULL, NULL, NULL, 15),
(139266, NULL, 'PTHR22298:SF142', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(139267, NULL, 'PTHR47080', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 96', NULL, NULL, NULL, 15),
(139268, NULL, 'PTHR32246:SF68', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(139269, NULL, 'PTHR24204:SF6', NULL, NULL, NULL, NULL, 'LIM DOMAIN ONLY 2', NULL, NULL, NULL, 15),
(139270, NULL, 'PTHR24036:SF13', NULL, NULL, NULL, NULL, 'PROTEIN SKELETOR, ISOFORMS D/E', NULL, NULL, NULL, 15),
(139271, NULL, 'PTHR10513:SF20', NULL, NULL, NULL, NULL, 'DEOXYADENOSINE KINASE', NULL, NULL, NULL, 15),
(139272, NULL, 'PTHR11132:SF292', NULL, NULL, NULL, NULL, 'OS05G0121900 PROTEIN', NULL, NULL, NULL, 15),
(139273, NULL, 'PTHR31568:SF49', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', NULL, NULL, NULL, 15),
(139274, NULL, 'PTHR10732:SF19', NULL, NULL, NULL, NULL, 'BNAA03G01450D PROTEIN', NULL, NULL, NULL, 15),
(139275, NULL, 'PTHR37433', NULL, NULL, NULL, NULL, 'PROTEIN CBG25136-RELATED', NULL, NULL, NULL, 15),
(139276, NULL, 'PTHR43900', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE RHO', NULL, NULL, NULL, 15),
(139277, NULL, 'PTHR46949', NULL, NULL, NULL, NULL, 'LEUCINE REPEAT ADAPTER PROTEIN 25', NULL, NULL, NULL, 15),
(139278, NULL, 'PTHR31388:SF115', NULL, NULL, NULL, NULL, 'PEROXIDASE 4-RELATED', NULL, NULL, NULL, 15),
(139279, NULL, 'PTHR47640:SF23', NULL, NULL, NULL, NULL, 'OS04G0625800 PROTEIN', NULL, NULL, NULL, 15),
(139280, NULL, 'PTHR14000', NULL, NULL, NULL, NULL, 'FINGER CCCH DOMAIN PROTEIN, PUTATIVE (DUF3755)-RELATED', NULL, NULL, NULL, 15),
(139281, NULL, 'PTHR21576:SF89', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(139282, NULL, 'PTHR32227:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139283, NULL, 'PTHR47990:SF156', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 2', NULL, NULL, NULL, 15),
(139284, NULL, 'PTHR22624:SF49', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE', NULL, NULL, NULL, 15),
(139285, NULL, 'PTHR11241:SF0', NULL, NULL, NULL, NULL, 'DEOXYURIDINE TRIPHOSPHATASE', NULL, NULL, NULL, 15),
(139286, NULL, 'PTHR11614:SF163', NULL, NULL, NULL, NULL, 'CAFFEOYLSHIKIMATE ESTERASE', NULL, NULL, NULL, 15),
(139287, NULL, 'PTHR22599:SF22', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR 3B', NULL, NULL, NULL, 15),
(139288, NULL, 'PTHR23101:SF98', NULL, NULL, NULL, NULL, 'VPS9 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(139289, NULL, 'PTHR48053:SF68', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', NULL, NULL, NULL, 15),
(139290, NULL, 'PTHR31768:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139291, NULL, 'PTHR12902:SF35', NULL, NULL, NULL, NULL, 'WH2 DOMAIN, SCAR/WAVE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139292, NULL, 'PTHR22950:SF193', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', NULL, NULL, NULL, 15),
(139293, NULL, 'PTHR11206:SF283', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTK', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139294, NULL, 'PTHR33065:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139295, NULL, 'PTHR38116:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(139296, NULL, 'PTHR24414:SF155', NULL, NULL, NULL, NULL, 'BNAA02G16540D PROTEIN', NULL, NULL, NULL, 15),
(139297, NULL, 'PTHR31384:SF25', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(139298, NULL, 'PTHR33625:SF7', NULL, NULL, NULL, NULL, 'OS02G0657700 PROTEIN', NULL, NULL, NULL, 15),
(139299, NULL, 'PTHR10290:SF18', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE TYPE IB SMALL SUBUNIT', NULL, NULL, NULL, 15),
(139300, NULL, 'PTHR31282:SF162', NULL, NULL, NULL, NULL, 'BNAA02G31030D PROTEIN', NULL, NULL, NULL, 15),
(139301, NULL, 'PTHR13789:SF242', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139302, NULL, 'PTHR31213:SF114', NULL, NULL, NULL, NULL, 'ALLERGEN PRU AV, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139303, NULL, 'PTHR31301:SF83', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 26-RELATED', NULL, NULL, NULL, 15),
(139304, NULL, 'PTHR33184:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139305, NULL, 'PTHR33477:SF11', NULL, NULL, NULL, NULL, 'BNAA10G13560D PROTEIN', NULL, NULL, NULL, 15),
(139306, NULL, 'PTHR46038:SF38', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(139307, NULL, 'PTHR11193:SF3', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', NULL, NULL, NULL, 15),
(139308, NULL, 'PTHR20859:SF20', NULL, NULL, NULL, NULL, 'INTERLEUKIN-22 RECEPTOR SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(139309, NULL, 'PTHR24356:SF149', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE LATS2', NULL, NULL, 29380, 15),
(139310, NULL, 'PTHR16088:SF3', NULL, NULL, NULL, NULL, 'GON-4-LIKE PROTEIN', NULL, NULL, NULL, 15),
(139311, NULL, 'PTHR10885:SF10', NULL, NULL, NULL, NULL, 'BNAC05G17500D PROTEIN', NULL, NULL, NULL, 15),
(139312, NULL, 'PTHR32153:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139313, NULL, 'PTHR11588:SF407', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(139314, NULL, 'PTHR12603:SF19', NULL, NULL, NULL, NULL, 'BNAC06G30190D PROTEIN', NULL, NULL, NULL, 15),
(139315, NULL, 'PTHR12499', NULL, NULL, NULL, NULL, 'OPTIC ATROPHY 3 PROTEIN  OPA3', NULL, NULL, 10207, 15),
(139316, NULL, 'PTHR42893:SF33', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(139317, NULL, 'PTHR10037:SF283', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(139318, NULL, 'PTHR35773', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139319, NULL, 'PTHR34052:SF10', NULL, NULL, NULL, NULL, 'BNAA08G11630D PROTEIN', NULL, NULL, NULL, 15),
(139320, NULL, 'PTHR10891:SF891', NULL, NULL, NULL, NULL, 'BNAA09G02460D PROTEIN', NULL, NULL, NULL, 15),
(139321, NULL, 'PTHR33700:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139322, NULL, 'PTHR11062:SF270', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139323, NULL, 'PTHR28164', NULL, NULL, NULL, NULL, 'PROTEIN STB3', NULL, NULL, 20220, 15),
(139324, NULL, 'PTHR35088', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 178', NULL, NULL, 33106, 15),
(139325, NULL, 'PTHR21145:SF10', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', NULL, NULL, NULL, 15),
(139326, NULL, 'PTHR10562:SF64', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 1', NULL, NULL, NULL, 15),
(139327, NULL, 'PTHR45855', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF1-RELATED', NULL, NULL, 27194, 15),
(139328, NULL, 'PTHR46328:SF7', NULL, NULL, NULL, NULL, 'FAR-RED IMPAIRED RESPONSIVE (FAR1) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139329, NULL, 'PTHR32133:SF308', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', NULL, NULL, NULL, 15),
(139330, NULL, 'PTHR46549:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139331, NULL, 'PTHR31549:SF160', NULL, NULL, NULL, NULL, 'OS02G0253502 PROTEIN', NULL, NULL, NULL, 15),
(139332, NULL, 'PTHR33782:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139333, NULL, 'PTHR31589:SF107', NULL, NULL, NULL, NULL, 'OS11G0132800 PROTEIN', NULL, NULL, NULL, 15),
(139334, NULL, 'PTHR33348:SF22', NULL, NULL, NULL, NULL, 'BNAA04G20590D PROTEIN', NULL, NULL, NULL, 15),
(139335, NULL, 'PTHR34294:SF5', NULL, NULL, NULL, NULL, 'CENTRAL GLYCOLYTIC GENES REGULATOR', NULL, NULL, NULL, 15),
(139336, NULL, 'PTHR30346:SF0', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR XAPR', NULL, NULL, NULL, 15),
(139337, NULL, 'PTHR11474:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139338, NULL, 'PTHR33132:SF73', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(139339, NULL, 'PTHR30537:SF17', NULL, NULL, NULL, NULL, 'LYSR-FAMILY REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(139340, NULL, 'PTHR21676', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 27345, 15),
(139341, NULL, 'PTHR43775:SF15', NULL, NULL, NULL, NULL, 'SI:DKEY-61P9.11', NULL, NULL, NULL, 15),
(139342, NULL, 'PTHR32410:SF174', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139343, NULL, 'PTHR23101:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139344, NULL, 'PTHR11857:SF47', NULL, NULL, NULL, NULL, 'GEO08423P1', NULL, NULL, NULL, 15),
(139345, NULL, 'PTHR33459:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139346, NULL, 'PTHR37919', NULL, NULL, NULL, NULL, 'PROTEIN CBG05606', NULL, NULL, NULL, 15),
(139347, NULL, 'PTHR45724:SF27', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP2-1-RELATED', NULL, NULL, NULL, 15),
(139348, NULL, 'PTHR35317:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', NULL, NULL, NULL, 15),
(139349, NULL, 'PTHR48219:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 62-RELATED', NULL, NULL, NULL, 15),
(139350, NULL, 'PTHR41155', NULL, NULL, NULL, NULL, 'FI19525P1', NULL, NULL, NULL, 15),
(139351, NULL, 'PTHR45814:SF5', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(139352, NULL, 'PTHR13355:SF20', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(139353, NULL, 'PTHR46206:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE AUSG-RELATED', NULL, NULL, NULL, 15),
(139354, NULL, 'PTHR31636:SF35', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 23', NULL, NULL, NULL, 15),
(139355, NULL, 'PTHR33476:SF4', NULL, NULL, NULL, NULL, 'POLAR LOCALIZATION DURING ASYMMETRIC DIVISION AND PROTEIN', NULL, NULL, NULL, 15),
(139356, NULL, 'PTHR23308', NULL, NULL, NULL, NULL, 'NUCLEAR INHIBITOR OF PROTEIN PHOSPHATASE-1', NULL, NULL, NULL, 15),
(139357, NULL, 'PTHR35272', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBC-RELATED', NULL, NULL, NULL, 15),
(139358, NULL, 'PTHR12121:SF78', NULL, NULL, NULL, NULL, 'CARBON CATABOLITE REPRESSOR PROTEIN 4 HOMOLOG 2', NULL, NULL, NULL, 15),
(139359, NULL, 'PTHR46514:SF1', NULL, NULL, NULL, NULL, 'BRIDGING INTEGRATOR 2', NULL, NULL, 24041, 15),
(139360, NULL, 'PTHR11844:SF28', NULL, NULL, NULL, NULL, 'INHIBITOR OF METALLOPROTEINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139361, NULL, 'PTHR11652:SF51', NULL, NULL, NULL, NULL, 'S12-LIKE, 30S RIBOSOMAL PROTEIN S12 SUBFAMILY PROTEIN', NULL, NULL, NULL, 15),
(139362, NULL, 'PTHR37348', NULL, NULL, NULL, NULL, 'LLLL AND CFNLAS MOTIF-CONTAINING PROTEIN 1', NULL, NULL, 27270, 15),
(139363, NULL, 'PTHR31388:SF27', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(139364, NULL, 'PTHR19241:SF641', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 29-LIKE', NULL, NULL, NULL, 15),
(139365, NULL, 'PTHR45678:SF12', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN ARALAR2', NULL, NULL, 26325, 15),
(139366, NULL, 'PTHR10762:SF2', NULL, NULL, NULL, NULL, '2-(3-AMINO-3-CARBOXYPROPYL)HISTIDINE SYNTHASE SUBUNIT 2', NULL, NULL, 5483, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139367, NULL, 'PTHR43453:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139368, NULL, 'PTHR47395:SF1', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B MEMBER 1', NULL, NULL, NULL, 15),
(139369, NULL, 'PTHR32254:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139370, NULL, 'PTHR38791:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139371, NULL, 'PTHR47723:SF1', NULL, NULL, NULL, NULL, 'OS05G0353850 PROTEIN', NULL, NULL, NULL, 15),
(139372, NULL, 'PTHR31207', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS FAMILY PROTEIN (DUF784)-RELATED-RELATED', NULL, NULL, 33832, 15),
(139373, NULL, 'PTHR35714', NULL, NULL, NULL, NULL, 'OS02G0715300 PROTEIN', NULL, NULL, NULL, 15),
(139374, NULL, 'PTHR43391:SF64', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE 1A', NULL, NULL, NULL, 15),
(139375, NULL, 'PTHR24637:SF358', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(139376, NULL, 'PTHR24369:SF171', NULL, NULL, NULL, NULL, 'EXTRACELLULAR LEUCINE-RICH REPEAT AND FIBRONECTIN TYPE III DOMAIN CONTAINING 2A', NULL, NULL, NULL, 15),
(139377, NULL, 'PTHR46128:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139378, NULL, 'PTHR12411:SF712', NULL, NULL, NULL, NULL, 'BNAA06G40240D PROTEIN', NULL, NULL, NULL, 15),
(139379, NULL, 'PTHR11675:SF7', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(139380, NULL, 'PTHR11850:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139381, NULL, 'PTHR47022:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG05867', NULL, NULL, NULL, 15),
(139382, NULL, 'PTHR16039:SF2', NULL, NULL, NULL, NULL, 'AUGMIN SUBUNIT 2-LIKE', NULL, NULL, NULL, 15),
(139383, NULL, 'PTHR16717:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 8B', NULL, NULL, NULL, 15),
(139384, NULL, 'PTHR10352:SF12', NULL, NULL, NULL, NULL, 'ELAV-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(139385, NULL, 'PTHR14353:SF9', NULL, NULL, NULL, NULL, 'MYRISTOYLATED ALANINE-RICH C-KINASE SUBSTRATE', NULL, NULL, NULL, 15),
(139386, NULL, 'PTHR14596', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(139387, NULL, 'PTHR31357:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-1-RELATED', NULL, NULL, NULL, 15),
(139388, NULL, 'PTHR24377:SF905', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 420', NULL, NULL, NULL, 15),
(139389, NULL, 'PTHR11142', NULL, NULL, NULL, NULL, 'PSEUDOURIDYLATE SYNTHASE', NULL, NULL, 7193, 15),
(139390, NULL, 'PTHR31707:SF327', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139391, NULL, 'PTHR24134:SF10', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139392, NULL, 'PTHR33044:SF181', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(139393, NULL, 'PTHR10122:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5B', NULL, NULL, NULL, 15),
(139394, NULL, 'PTHR31568:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139395, NULL, 'PTHR12526:SF570', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(139396, NULL, 'PTHR38340', NULL, NULL, NULL, NULL, 'S-LAYER PROTEIN', NULL, NULL, NULL, 15),
(139397, NULL, 'PTHR10779:SF3', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN ROADBLOCK-RELATED', NULL, NULL, NULL, 15),
(139398, NULL, 'PTHR33433:SF4', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(139399, NULL, 'PTHR31623:SF76', NULL, NULL, NULL, NULL, 'BNAA04G13350D PROTEIN', NULL, NULL, NULL, 15),
(139400, NULL, 'PTHR10641:SF1011', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB51', NULL, NULL, NULL, 15),
(139401, NULL, 'PTHR34274', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(139402, NULL, 'PTHR33494:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139403, NULL, 'PTHR45631:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139404, NULL, 'PTHR12845:SF2', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 5', NULL, NULL, NULL, 15),
(139405, NULL, 'PTHR43544:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG11493', NULL, NULL, NULL, 15),
(139406, NULL, 'PTHR45622:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HERC4-RELATED', NULL, NULL, NULL, 15),
(139407, NULL, 'PTHR15439:SF6', NULL, NULL, NULL, NULL, 'OS03G0659400 PROTEIN', NULL, NULL, NULL, 15),
(139408, NULL, 'PTHR10978:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139409, NULL, 'PTHR28190:SF2', NULL, NULL, NULL, NULL, 'MIGRATION PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G07730)-RELATED', NULL, NULL, NULL, 15),
(139410, NULL, 'PTHR23152:SF25', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(139411, NULL, 'PTHR12837:SF11', NULL, NULL, NULL, NULL, 'BNAC04G42220D PROTEIN', NULL, NULL, NULL, 15),
(139412, NULL, 'PTHR11972:SF64', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN B', NULL, NULL, 26307, 15),
(139413, NULL, 'PTHR45621:SF93', NULL, NULL, NULL, NULL, 'TRANSFERASE, PROTEIN KINASE RLK-PELLE-RLCK-VIIA-2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(139414, NULL, 'PTHR13690:SF127', NULL, NULL, NULL, NULL, 'VIRE2-INTERACTING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(139415, NULL, 'PTHR12357:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139416, NULL, 'PTHR33785:SF3', NULL, NULL, NULL, NULL, 'OS06G0550800 PROTEIN', NULL, NULL, NULL, 15),
(139417, NULL, 'PTHR31948:SF76', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(139418, NULL, 'PTHR22806:SF0', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP37', NULL, NULL, NULL, 15),
(139419, NULL, 'PTHR36016:SF11', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER', NULL, NULL, NULL, 15),
(139420, NULL, 'PTHR42663:SF11', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139421, NULL, 'PTHR10161:SF29', NULL, NULL, NULL, NULL, 'TARTRATE-RESISTANT ACID PHOSPHATASE TYPE 5', NULL, NULL, NULL, 15),
(139422, NULL, 'PTHR31867:SF104', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(139423, NULL, 'PTHR19317:SF73', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139424, NULL, 'PTHR48065:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139425, NULL, 'PTHR10117:SF9', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 7', NULL, NULL, 765, 15),
(139426, NULL, 'PTHR11158:SF34', NULL, NULL, NULL, NULL, 'PRELI DOMAIN CONTAINING PROTEIN 3A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(139427, NULL, 'PTHR24224:SF17', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(139428, NULL, 'PTHR33077', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 4A-RELATED-RELATED', NULL, NULL, 32204, 15),
(139429, NULL, 'PTHR11177:SF333', NULL, NULL, NULL, NULL, 'CHITINASE', NULL, NULL, NULL, 15),
(139430, NULL, 'PTHR12245', NULL, NULL, NULL, NULL, 'SPRY DOMAIN CONTAINING SOCS BOX PROTEIN', NULL, NULL, NULL, 15),
(139431, NULL, 'PTHR26453:SF264', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(139432, NULL, 'PTHR48040:SF2', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(139433, NULL, 'PTHR10286:SF53', NULL, NULL, NULL, NULL, 'OS10G0406100 PROTEIN', NULL, NULL, NULL, 15),
(139434, NULL, 'PTHR34223:SF26', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 2', NULL, NULL, NULL, 15),
(139435, NULL, 'PTHR13935:SF111', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH125', NULL, NULL, NULL, 15),
(139436, NULL, 'PTHR21471:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG02542', NULL, NULL, NULL, 15),
(139437, NULL, 'PTHR10155:SF4', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 1', NULL, NULL, 27004, 15),
(139438, NULL, 'PTHR31048:SF164', NULL, NULL, NULL, NULL, 'BNAC04G15370D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139439, NULL, 'PTHR10410:SF22', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 14 HOMOLOG', NULL, NULL, 10302, 15),
(139440, NULL, 'PTHR47926:SF141', NULL, NULL, NULL, NULL, 'BNAC04G55710D PROTEIN', NULL, NULL, NULL, 15),
(139441, NULL, 'PTHR22835:SF585', NULL, NULL, NULL, NULL, 'ACETYLAJMALAN ESTERASE-LIKE', NULL, NULL, NULL, 15),
(139442, NULL, 'PTHR11808:SF79', NULL, NULL, NULL, NULL, 'O-SUCCINYLHOMOSERINE SULFHYDRYLASE', NULL, NULL, NULL, 15),
(139443, NULL, 'PTHR13340:SF2', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(139444, NULL, 'PTHR22778:SF51', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE', NULL, NULL, NULL, 15),
(139445, NULL, 'PTHR46196:SF16', NULL, NULL, NULL, NULL, 'BNAC04G13380D PROTEIN', NULL, NULL, NULL, 15),
(139446, NULL, 'PTHR23343:SF31', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA SPERM-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(139447, NULL, 'PTHR43378', NULL, NULL, NULL, NULL, 'UDP-3-O-ACYLGLUCOSAMINE N-ACYLTRANSFERASE', NULL, NULL, 1251, 15),
(139448, NULL, 'PTHR23172:SF75', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139449, NULL, 'PTHR43152:SF2', NULL, NULL, NULL, NULL, 'ANTIBIOTIC/DRUG RESISTANCE ABC TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(139450, NULL, 'PTHR14241', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN 44', NULL, NULL, NULL, 15),
(139451, NULL, 'PTHR27008:SF198', NULL, NULL, NULL, NULL, 'OS04G0226800 PROTEIN', NULL, NULL, NULL, 15),
(139452, NULL, 'PTHR23341:SF1', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN HMG-I/HMG-Y', NULL, NULL, NULL, 15),
(139453, NULL, 'PTHR31963:SF19', NULL, NULL, NULL, NULL, 'BNAC06G26640D PROTEIN', NULL, NULL, NULL, 15),
(139454, NULL, 'PTHR44191:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139455, NULL, 'PTHR11538:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139456, NULL, 'PTHR10799:SF973', NULL, NULL, NULL, NULL, 'CHROMATIN STRUCTURE-REMODELING COMPLEX PROTEIN SYD', NULL, NULL, NULL, 15),
(139457, NULL, 'PTHR22744:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG13396', NULL, NULL, NULL, 15),
(139458, NULL, 'PTHR24221:SF446', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PERMEASE MDL1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(139459, NULL, 'PTHR46419:SF9', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD5-RELATED', NULL, NULL, NULL, 15),
(139460, NULL, 'PTHR10352:SF50', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', NULL, NULL, NULL, 15),
(139461, NULL, 'PTHR31142:SF22', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(139462, NULL, 'PTHR14110:SF20', NULL, NULL, NULL, NULL, 'BNAA06G39900D PROTEIN', NULL, NULL, NULL, 15),
(139463, NULL, 'PTHR48018:SF109', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5R1', NULL, NULL, NULL, 15),
(139464, NULL, 'PTHR43092:SF8', NULL, NULL, NULL, NULL, 'ISOPENICILLIN N EPIMERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(139465, NULL, 'PTHR33067:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139466, NULL, 'PTHR24100:SF71', NULL, NULL, NULL, NULL, 'MYELIN-OLIGODENDROCYTE GLYCOPROTEIN', NULL, NULL, NULL, 15),
(139467, NULL, 'PTHR24260:SF111', NULL, NULL, NULL, NULL, 'TRYPSIN-LIKE PROTEASE', NULL, NULL, NULL, 15),
(139468, NULL, 'PTHR23500:SF491', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139469, NULL, 'PTHR31907:SF49', NULL, NULL, NULL, NULL, 'BNAC05G50830D PROTEIN', NULL, NULL, NULL, 15),
(139470, NULL, 'PTHR11926:SF870', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 75D1', NULL, NULL, NULL, 15),
(139471, NULL, 'PTHR10795:SF655', NULL, NULL, NULL, NULL, 'BNAA02G07430D PROTEIN', NULL, NULL, NULL, 15),
(139472, NULL, 'PTHR11064:SF128', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-3', NULL, NULL, NULL, 15),
(139473, NULL, 'PTHR19136:SF84', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL IPC TRANSFERASE AND DIPP SYNTHASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139474, NULL, 'PTHR26452:SF806', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(139475, NULL, 'PTHR19282:SF199', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(139476, NULL, 'PTHR46223:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUV39H2', NULL, NULL, NULL, 15),
(139477, NULL, 'PTHR13857:SF45', NULL, NULL, NULL, NULL, 'DNA DC-DU-EDITING ENZYME APOBEC-3F', NULL, NULL, NULL, 15),
(139478, NULL, 'PTHR31171', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, 33827, 15),
(139479, NULL, 'PTHR22835:SF476', NULL, NULL, NULL, NULL, 'OS06G0160200 PROTEIN', NULL, NULL, NULL, 15),
(139480, NULL, 'PTHR15566', NULL, NULL, NULL, NULL, 'POM121-LIKE', NULL, NULL, 39632, 15),
(139481, NULL, 'PTHR10333', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN', NULL, NULL, 23211, 15),
(139482, NULL, 'PTHR28532:SF1', NULL, NULL, NULL, NULL, 'GEO13458P1', NULL, NULL, NULL, 15),
(139483, NULL, 'PTHR35516:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139484, NULL, 'PTHR35152', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139485, NULL, 'PTHR32523:SF9', NULL, NULL, NULL, NULL, 'OS12G0105500 PROTEIN', NULL, NULL, NULL, 15),
(139486, NULL, 'PTHR11732:SF408', NULL, NULL, NULL, NULL, 'ALDOSE REDUCTASE A', NULL, NULL, NULL, 15),
(139487, NULL, 'PTHR11514:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139488, NULL, 'PTHR43790:SF8', NULL, NULL, NULL, NULL, 'ABC-TRANSPORT SYSTEM ATP BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139489, NULL, 'PTHR23155:SF894', NULL, NULL, NULL, NULL, 'OS11G0474500 PROTEIN', NULL, NULL, NULL, 15),
(139490, NULL, 'PTHR38664', NULL, NULL, NULL, NULL, 'SLR0058 PROTEIN', NULL, NULL, 12062, 15),
(139491, NULL, 'PTHR19297:SF81', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYL-O-GLYCOSYL-GLYCOPROTEIN BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(139492, NULL, 'PTHR34452:SF6', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(139493, NULL, 'PTHR33142:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139494, NULL, 'PTHR11736:SF150', NULL, NULL, NULL, NULL, 'MCG65130-RELATED', NULL, NULL, NULL, 15),
(139495, NULL, 'PTHR21179:SF1', NULL, NULL, NULL, NULL, 'KAZ1-TYPE SERINE PROTEASE INHIBITOR-LIKE PROTEIN TYPE EPSILON', NULL, NULL, NULL, 15),
(139496, NULL, 'PTHR12911:SF8', NULL, NULL, NULL, NULL, 'KLAROID, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(139497, NULL, 'PTHR28165', NULL, NULL, NULL, NULL, 'NON-CLASSICAL EXPORT PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(139498, NULL, 'PTHR35500:SF1', NULL, NULL, NULL, NULL, 'OS03G0108700 PROTEIN', NULL, NULL, NULL, 15),
(139499, NULL, 'PTHR31677:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139500, NULL, 'PTHR10094:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139501, NULL, 'PTHR15852:SF66', NULL, NULL, NULL, NULL, 'OS09G0423700 PROTEIN', NULL, NULL, NULL, 15),
(139502, NULL, 'PTHR46128:SF32', NULL, NULL, NULL, NULL, 'BNAA01G29990D PROTEIN', NULL, NULL, NULL, 15),
(139503, NULL, 'PTHR47442', NULL, NULL, NULL, NULL, 'MYND-TYPE ZINC FINGER PROTEIN MUB1', NULL, NULL, NULL, 15),
(139504, NULL, 'PTHR37389:SF25', NULL, NULL, NULL, NULL, 'PRISILKIN-39-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(139505, NULL, 'PTHR24349:SF429', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE UNC-51-RELATED', NULL, NULL, NULL, 15),
(139506, NULL, 'PTHR15096:SF8', NULL, NULL, NULL, NULL, 'COLON SVA-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139507, NULL, 'PTHR13844:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139508, NULL, 'PTHR34194:SF17', NULL, NULL, NULL, NULL, 'F17A17.7 PROTEIN', NULL, NULL, NULL, 15),
(139509, NULL, 'PTHR47977:SF38', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1B', NULL, NULL, NULL, 15),
(139510, NULL, 'PTHR34303:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139511, NULL, 'PTHR48022:SF25', NULL, NULL, NULL, NULL, 'QUINATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G12950)-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139512, NULL, 'PTHR23222:SF3', NULL, NULL, NULL, NULL, 'OS02G0580500 PROTEIN', NULL, NULL, NULL, 15),
(139513, NULL, 'PTHR23505:SF74', NULL, NULL, NULL, NULL, 'OS08G0409900 PROTEIN', NULL, NULL, NULL, 15),
(139514, NULL, 'PTHR11461:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139515, NULL, 'PTHR36150', NULL, NULL, NULL, NULL, 'DNA GYRASE INHIBITOR YACG', NULL, NULL, 1602, 15),
(139516, NULL, 'PTHR44575:SF8', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139517, NULL, 'PTHR31072:SF131', NULL, NULL, NULL, NULL, 'BNAA09G01860D PROTEIN', NULL, NULL, NULL, 15),
(139518, NULL, 'PTHR43247:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139519, NULL, 'PTHR31639:SF181', NULL, NULL, NULL, NULL, 'OS08G0461800 PROTEIN', NULL, NULL, NULL, 15),
(139520, NULL, 'PTHR12420:SF41', NULL, NULL, NULL, NULL, 'SI:CH211-57F7.7', NULL, NULL, NULL, 15),
(139521, NULL, 'PTHR32278:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139522, NULL, 'PTHR23301:SF66', NULL, NULL, NULL, NULL, 'RE09177P', NULL, NULL, NULL, 15),
(139523, NULL, 'PTHR47998:SF2', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 308-LIKE', NULL, NULL, NULL, 15),
(139524, NULL, 'PTHR23504:SF102', NULL, NULL, NULL, NULL, 'PROTEIN ZINC INDUCED FACILITATOR 1', NULL, NULL, NULL, 15),
(139525, NULL, 'PTHR10621:SF0', NULL, NULL, NULL, NULL, 'AT15685P-RELATED', NULL, NULL, NULL, 15),
(139526, NULL, 'PTHR33448:SF12', NULL, NULL, NULL, NULL, 'BNAA02G18760D PROTEIN', NULL, NULL, NULL, 15),
(139527, NULL, 'PTHR11675:SF112', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 9-RELATED', NULL, NULL, NULL, 15),
(139528, NULL, 'PTHR43316', NULL, NULL, NULL, NULL, 'HYDROLASE, HALOACID DELAHOGENASE-RELATED', NULL, NULL, NULL, 15),
(139529, NULL, 'PTHR35132:SF1', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX-LIKE PROTEIN', NULL, NULL, NULL, 15),
(139530, NULL, 'PTHR12333', NULL, NULL, NULL, NULL, 'COMM DOMAIN CONTAINING PROTEIN 10', NULL, NULL, 35443, 15),
(139531, NULL, 'PTHR24390:SF91', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 49', NULL, NULL, NULL, 15),
(139532, NULL, 'PTHR31429:SF45', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY76-LIKE', NULL, NULL, NULL, 15),
(139533, NULL, 'PTHR43711:SF20', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE RCSC', NULL, NULL, NULL, 15),
(139534, NULL, 'PTHR33332:SF16', NULL, NULL, NULL, NULL, '115 KDA PROTEIN IN TYPE-1 RETROTRANSPOSABLE ELEMENT R1DM-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139535, NULL, 'PTHR31493:SF1', NULL, NULL, NULL, NULL, 'PROTEIN C19ORF12', NULL, NULL, NULL, 15),
(139536, NULL, 'PTHR45836:SF6', NULL, NULL, NULL, NULL, 'RETICULON-4 RECEPTOR', NULL, NULL, NULL, 15),
(139537, NULL, 'PTHR11079:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139538, NULL, 'PTHR31194:SF137', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF4-LIKE', NULL, NULL, NULL, 15),
(139539, NULL, 'PTHR11353:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139540, NULL, 'PTHR43096:SF49', NULL, NULL, NULL, NULL, 'BNAC02G38330D PROTEIN', NULL, NULL, NULL, 15),
(139541, NULL, 'PTHR43329:SF39', NULL, NULL, NULL, NULL, 'BLR1197 PROTEIN', NULL, NULL, NULL, 15),
(139542, NULL, 'PTHR31175:SF82', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR66-LIKE', NULL, NULL, NULL, 15),
(139543, NULL, 'PTHR24343:SF473', NULL, NULL, NULL, NULL, 'RHO-ASSOCIATED PROTEIN KINASE 1/2-RELATED', NULL, NULL, NULL, 15),
(139544, NULL, 'PTHR31896:SF43', NULL, NULL, NULL, NULL, 'ANTHRANILATE N-HYDROXYCINNAMOYL/BENZOYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(139545, NULL, 'PTHR31096', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR4-RELATED', NULL, NULL, 33785, 15),
(139546, NULL, 'PTHR43822:SF2', NULL, NULL, NULL, NULL, 'HOMOACONITASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(139547, NULL, 'PTHR33264:SF41', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139548, NULL, 'PTHR47643:SF2', NULL, NULL, NULL, NULL, 'TPR DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G12710)', NULL, NULL, NULL, 15),
(139549, NULL, 'PTHR37813:SF1', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', NULL, NULL, NULL, 15),
(139550, NULL, 'PTHR13780:SF112', NULL, NULL, NULL, NULL, 'CBS DOMAIN, IMMUNOGLOBULIN E-SET-RELATED', NULL, NULL, NULL, 15),
(139551, NULL, 'PTHR18934:SF235', NULL, NULL, NULL, NULL, 'DEAH-BOX RNA HELICASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139552, NULL, 'PTHR43289', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 20-RELATED', NULL, NULL, NULL, 15),
(139553, NULL, 'PTHR10075:SF23', NULL, NULL, NULL, NULL, 'MYOTILIN', NULL, NULL, NULL, 15),
(139554, NULL, 'PTHR10766:SF144', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(139555, NULL, 'PTHR10353:SF226', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 26, PEROXISOMAL', NULL, NULL, NULL, 15),
(139556, NULL, 'PTHR46785:SF1', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 3B', NULL, NULL, NULL, 15),
(139557, NULL, 'PTHR12395', NULL, NULL, NULL, NULL, 'DOM-3 RELATED', NULL, NULL, 30393, 15),
(139558, NULL, 'PTHR48065:SF12', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', NULL, NULL, NULL, 15),
(139559, NULL, 'PTHR46993:SF2', NULL, NULL, NULL, NULL, 'MYB-LIKE HTH TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139560, NULL, 'PTHR31080:SF243', NULL, NULL, NULL, NULL, 'BNAA06G35680D PROTEIN', NULL, NULL, NULL, 15),
(139561, NULL, 'PTHR34558:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139562, NULL, 'PTHR31414:SF29', NULL, NULL, NULL, NULL, 'BNAC02G16790D PROTEIN', NULL, NULL, NULL, 15),
(139563, NULL, 'PTHR24637:SF263', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(139564, NULL, 'PTHR45778', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(139565, NULL, 'PTHR35503:SF3', NULL, NULL, NULL, NULL, 'OS07G0624150 PROTEIN', NULL, NULL, NULL, 15),
(139566, NULL, 'PTHR10388:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139567, NULL, 'PTHR13018:SF100', NULL, NULL, NULL, NULL, 'CSC1-LIKE PROTEIN ERD4', NULL, NULL, NULL, 15),
(139568, NULL, 'PTHR34783', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 144-RELATED', NULL, NULL, NULL, 15),
(139569, NULL, 'PTHR47963:SF4', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE CSHE', NULL, NULL, NULL, 15),
(139570, NULL, 'PTHR31479:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139571, NULL, 'PTHR35298:SF6', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN S1FA1', NULL, NULL, NULL, 15),
(139572, NULL, 'PTHR47926:SF221', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139573, NULL, 'PTHR31238:SF136', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(139574, NULL, 'PTHR43200:SF6', NULL, NULL, NULL, NULL, '3''(2''),5''-BISPHOSPHATE NUCLEOTIDASE', NULL, NULL, NULL, 15),
(139575, NULL, 'PTHR23023:SF242', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE FMO GS-OX-LIKE 8', NULL, NULL, NULL, 15),
(139576, NULL, 'PTHR33413:SF31', NULL, NULL, NULL, NULL, 'BNAC09G14830D PROTEIN', NULL, NULL, NULL, 15),
(139577, NULL, 'PTHR45819:SF1', NULL, NULL, NULL, NULL, 'ARF-GAP WITH GTPASE, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(139578, NULL, 'PTHR22647:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139579, NULL, 'PTHR10706:SF149', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(139580, NULL, 'PTHR33109:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139581, NULL, 'PTHR31471', NULL, NULL, NULL, NULL, 'OS02G0116800 PROTEIN', NULL, NULL, NULL, 15),
(139582, NULL, 'PTHR35041:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139583, NULL, 'PTHR46513:SF5', NULL, NULL, NULL, NULL, 'PRO-EPIDERMAL GROWTH FACTOR', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139584, NULL, 'PTHR23155:SF957', NULL, NULL, NULL, NULL, 'OS11G0606800 PROTEIN', NULL, NULL, NULL, 15),
(139585, NULL, 'PTHR10740:SF10', NULL, NULL, NULL, NULL, 'EPIGEN', NULL, NULL, NULL, 15),
(139586, NULL, 'PTHR45950:SF20', NULL, NULL, NULL, NULL, 'BNAC03G66860D PROTEIN', NULL, NULL, NULL, 15),
(139587, NULL, 'PTHR15822:SF18', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139588, NULL, 'PTHR13620:SF43', NULL, NULL, NULL, NULL, 'WERNER SYNDROME ATP-DEPENDENT HELICASE', NULL, NULL, NULL, 15),
(139589, NULL, 'PTHR10114:SF19', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', NULL, NULL, NULL, 15),
(139590, NULL, 'PTHR10744:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S17, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(139591, NULL, 'PTHR10177:SF486', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139592, NULL, 'PTHR24126', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT, PH AND SEC7 DOMAIN CONTAINING PROTEIN SECG-RELATED', NULL, NULL, NULL, 15),
(139593, NULL, 'PTHR45719:SF2', NULL, NULL, NULL, NULL, 'OS05G0152400 PROTEIN', NULL, NULL, NULL, 15),
(139594, NULL, 'PTHR19229:SF217', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 10-RELATED', NULL, NULL, NULL, 15),
(139595, NULL, 'PTHR30435:SF12', NULL, NULL, NULL, NULL, 'FLAGELLAR BASAL BODY ROD PROTEIN FLGB', NULL, NULL, 4685, 15),
(139596, NULL, 'PTHR45125:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139597, NULL, 'PTHR13301:SF211', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 2 [UDP-FORMING]', NULL, NULL, NULL, 15),
(139598, NULL, 'PTHR12400:SF74', NULL, NULL, NULL, NULL, 'KINASE', NULL, NULL, NULL, 15),
(139599, NULL, 'PTHR11206:SF371', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(139600, NULL, 'PTHR34955:SF2', NULL, NULL, NULL, NULL, 'IGR MOTIF PROTEIN', NULL, NULL, NULL, 15),
(139601, NULL, 'PTHR48015:SF12', NULL, NULL, NULL, NULL, 'SI:ZFOS-2326C3.2', NULL, NULL, NULL, 15),
(139602, NULL, 'PTHR10543:SF115', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G01500)-RELATED', NULL, NULL, NULL, 15),
(139603, NULL, 'PTHR35994:SF2', NULL, NULL, NULL, NULL, 'BNAC08G19870D PROTEIN', NULL, NULL, NULL, 15),
(139604, NULL, 'PTHR46162:SF33', NULL, NULL, NULL, NULL, 'BNAC01G32590D PROTEIN', NULL, NULL, NULL, 15),
(139605, NULL, 'PTHR12080:SF98', NULL, NULL, NULL, NULL, 'SI:CH73-261I21.2-RELATED', NULL, NULL, NULL, 15),
(139606, NULL, 'PTHR10201:SF245', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 4-MMP', NULL, NULL, NULL, 15),
(139607, NULL, 'PTHR12902:SF7', NULL, NULL, NULL, NULL, 'WISKOTT-ALDRICH SYNDROME PROTEIN FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(139608, NULL, 'PTHR10572:SF30', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', NULL, NULL, NULL, 15),
(139609, NULL, 'PTHR33726:SF15', NULL, NULL, NULL, NULL, 'OS01G0665900 PROTEIN', NULL, NULL, NULL, 15),
(139610, NULL, 'PTHR12849:SF0', NULL, NULL, NULL, NULL, 'LARIAT DEBRANCHING ENZYME', NULL, NULL, NULL, 15),
(139611, NULL, 'PTHR21576:SF112', NULL, NULL, NULL, NULL, 'NODULIN-LIKE / MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(139612, NULL, 'PTHR11945', NULL, NULL, NULL, NULL, 'MADS BOX PROTEIN', NULL, NULL, NULL, 15),
(139613, NULL, 'PTHR28580:SF2', NULL, NULL, NULL, NULL, 'REX1 DNA REPAIR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139614, NULL, 'PTHR47993:SF178', NULL, NULL, NULL, NULL, 'BNACNNG70100D PROTEIN', NULL, NULL, NULL, 15),
(139615, NULL, 'PTHR20932:SF8', NULL, NULL, NULL, NULL, 'LD22649P', NULL, NULL, NULL, 15),
(139616, NULL, 'PTHR40446:SF2', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-1-PHOSPHODIESTER ALPHA-N-ACETYLGLUCOSAMINIDASE', NULL, NULL, NULL, 15),
(139617, NULL, 'PTHR10715:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6-2-RELATED', NULL, NULL, NULL, 15),
(139618, NULL, 'PTHR19446:SF432', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139619, NULL, 'PTHR43293', NULL, NULL, NULL, NULL, 'ACETATE COA-TRANSFERASE YDIF', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139620, NULL, 'PTHR30625:SF3', NULL, NULL, NULL, NULL, 'TOL-PAL SYSTEM PROTEIN TOLQ', NULL, NULL, NULL, 15),
(139621, NULL, 'PTHR31044:SF74', NULL, NULL, NULL, NULL, 'BNAA06G39920D PROTEIN', NULL, NULL, NULL, 15),
(139622, NULL, 'PTHR27007:SF153', NULL, NULL, NULL, NULL, 'OS10G0184871 PROTEIN', NULL, NULL, NULL, 15),
(139623, NULL, 'PTHR45768:SF30', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL4', NULL, NULL, NULL, 15),
(139624, NULL, 'PTHR30128:SF19', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN ASSOCIATED LIPOPROTEIN', NULL, NULL, NULL, 15),
(139625, NULL, 'PTHR30468:SF30', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT TAURINE DIOXYGENASE (AFU_ORTHOLOGUE AFUA_7G06030)', NULL, NULL, NULL, 15),
(139626, NULL, 'PTHR44094:SF2', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN FAMILY-LIKE', NULL, NULL, NULL, 15),
(139627, NULL, 'PTHR10678:SF11', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 11-LIKE PROTEIN', NULL, NULL, NULL, 15),
(139628, NULL, 'PTHR11227:SF24', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED 18B, ISOFORM A', NULL, NULL, NULL, 15),
(139629, NULL, 'PTHR46136:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE12', NULL, NULL, NULL, 15),
(139630, NULL, 'PTHR10997:SF59', NULL, NULL, NULL, NULL, 'BNAC03G36270D PROTEIN', NULL, NULL, NULL, 15),
(139631, NULL, 'PTHR15052', NULL, NULL, NULL, NULL, 'RNA POLYMERASE III TRANSCRIPTION INITIATION FACTOR COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(139632, NULL, 'PTHR31832:SF52', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 20', NULL, NULL, NULL, 15),
(139633, NULL, 'PTHR47717:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP19, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(139634, NULL, 'PTHR43783', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 1-CARBOXYVINYLTRANSFERASE', NULL, NULL, NULL, 15),
(139635, NULL, 'PTHR11017:SF339', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(139636, NULL, 'PTHR33889', NULL, NULL, NULL, NULL, 'OS04G0681850 PROTEIN', NULL, NULL, NULL, 15),
(139637, NULL, 'PTHR21058:SF1', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE', NULL, NULL, NULL, 15),
(139638, NULL, 'PTHR37251:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139639, NULL, 'PTHR48049:SF46', NULL, NULL, NULL, NULL, 'FLAVONOID GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(139640, NULL, 'PTHR45683:SF12', NULL, NULL, NULL, NULL, 'BNAA09G07970D PROTEIN', NULL, NULL, NULL, 15),
(139641, NULL, 'PTHR11945:SF498', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 94', NULL, NULL, NULL, 15),
(139642, NULL, 'PTHR21633:SF10', NULL, NULL, NULL, NULL, 'IQ MOTIF-CONTAINING F4', NULL, NULL, NULL, 15),
(139643, NULL, 'PTHR46038:SF41', NULL, NULL, NULL, NULL, 'OS02G0686300 PROTEIN', NULL, NULL, NULL, 15),
(139644, NULL, 'PTHR45033:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE (EUROFUNG)', NULL, NULL, NULL, 15),
(139645, NULL, 'PTHR13452:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139646, NULL, 'PTHR47999:SF64', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WER-LIKE', NULL, NULL, NULL, 15),
(139647, NULL, 'PTHR34549:SF5', NULL, NULL, NULL, NULL, 'BNAA08G30780D PROTEIN', NULL, NULL, NULL, 15),
(139648, NULL, 'PTHR45614:SF134', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB52', NULL, NULL, NULL, 15),
(139649, NULL, 'PTHR33512:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139650, NULL, 'PTHR24377:SF808', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 547', NULL, NULL, NULL, 15),
(139651, NULL, 'PTHR11668:SF467', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(139652, NULL, 'PTHR16200:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARKADIA', NULL, NULL, NULL, 15),
(139653, NULL, 'PTHR24341:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ENGRAILED-1', NULL, NULL, NULL, 15),
(139654, NULL, 'PTHR12592:SF0', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT (S)-NAD(P)H-HYDRATE DEHYDRATASE', NULL, NULL, NULL, 15),
(139655, NULL, 'PTHR23502:SF3', NULL, NULL, NULL, NULL, 'MULTIDRUG EFFLUX PUMP OF PLASMA MEMBRANE (EUROFUNG)', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139656, NULL, 'PTHR48011:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139657, NULL, 'PTHR12022:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(139658, NULL, 'PTHR11063:SF18', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(139659, NULL, 'PTHR24047:SF29', NULL, NULL, NULL, NULL, 'FI01909P-RELATED', NULL, NULL, NULL, 15),
(139660, NULL, 'PTHR47967:SF60', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(139661, NULL, 'PTHR24279', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139662, NULL, 'PTHR44329:SF167', NULL, NULL, NULL, NULL, 'BNAA06G25660D PROTEIN', NULL, NULL, NULL, 15),
(139663, NULL, 'PTHR43791:SF78', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01370)-RELATED', NULL, NULL, NULL, 15),
(139664, NULL, 'PTHR46325:SF26', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC7-LIKE', NULL, NULL, NULL, 15),
(139665, NULL, 'PTHR37999:SF1', NULL, NULL, NULL, NULL, 'MUCIN-17', NULL, NULL, NULL, 15),
(139666, NULL, 'PTHR31809', NULL, NULL, NULL, NULL, 'BUD13 HOMOLOG', NULL, NULL, NULL, 15),
(139667, NULL, 'PTHR10201:SF20', NULL, NULL, NULL, NULL, 'STROMELYSIN-3', NULL, NULL, 23200, 15),
(139668, NULL, 'PTHR23251:SF1', NULL, NULL, NULL, NULL, 'MEF2-ACTIVATING MOTIF AND SAP DOMAIN-CONTAINING TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(139669, NULL, 'PTHR24230:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139670, NULL, 'PTHR24006:SF830', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 46', NULL, NULL, NULL, 15),
(139671, NULL, 'PTHR23253:SF64', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-RELATED', NULL, NULL, NULL, 15),
(139672, NULL, 'PTHR36062:SF1', NULL, NULL, NULL, NULL, 'OS01G0687300 PROTEIN', NULL, NULL, NULL, 15),
(139673, NULL, 'PTHR24085:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 4 GROUP A MEMBER 2', NULL, NULL, NULL, 15),
(139674, NULL, 'PTHR23147:SF180', NULL, NULL, NULL, NULL, 'OS01G0155600 PROTEIN', NULL, NULL, NULL, 15),
(139675, NULL, 'PTHR46215:SF6', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 9', NULL, NULL, NULL, 15),
(139676, NULL, 'PTHR36373:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(139677, NULL, 'PTHR31973:SF134', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139678, NULL, 'PTHR40618', NULL, NULL, NULL, NULL, 'B-ZIP TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(139679, NULL, 'PTHR43895:SF68', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(139680, NULL, 'PTHR48043:SF28', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 708D1-LIKE', NULL, NULL, NULL, 15),
(139681, NULL, 'PTHR13140:SF270', NULL, NULL, NULL, NULL, 'MYOSIN-12', NULL, NULL, NULL, 15),
(139682, NULL, 'PTHR24343:SF327', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ELM1', NULL, NULL, NULL, 15),
(139683, NULL, 'PTHR22590:SF2', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN N', NULL, NULL, 29828, 15),
(139684, NULL, 'PTHR33021:SF366', NULL, NULL, NULL, NULL, 'BNAC03G67250D PROTEIN', NULL, NULL, NULL, 15),
(139685, NULL, 'PTHR48001:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139686, NULL, 'PTHR14678:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 35', NULL, NULL, NULL, 15),
(139687, NULL, 'PTHR10755:SF3', NULL, NULL, NULL, NULL, 'COPROPORPHYRINOGEN III OXIDASE, AEROBIC', NULL, NULL, NULL, 15),
(139688, NULL, 'PTHR10015:SF349', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR PROTEIN', NULL, NULL, NULL, 15),
(139689, NULL, 'PTHR31072:SF146', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, TCP-RELATED', NULL, NULL, NULL, 15),
(139690, NULL, 'PTHR27007:SF315', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139691, NULL, 'PTHR23064:SF58', NULL, NULL, NULL, NULL, 'FAST SKELETAL MUSCLE TROPONIN C', NULL, NULL, NULL, 15),
(139692, NULL, 'PTHR16515:SF25', NULL, NULL, NULL, NULL, 'PR DOMAIN-CONTAINING 1B, WITH ZNF DOMAIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139693, NULL, 'PTHR15157:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139694, NULL, 'PTHR31048:SF81', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(139695, NULL, 'PTHR48052:SF12', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 21-RELATED', NULL, NULL, NULL, 15),
(139696, NULL, 'PTHR11588:SF396', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(139697, NULL, 'PTHR19862', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 48', NULL, NULL, NULL, 15),
(139698, NULL, 'PTHR43056:SF14', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139699, NULL, 'PTHR22835:SF588', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 3', NULL, NULL, NULL, 15),
(139700, NULL, 'PTHR32285:SF221', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(139701, NULL, 'PTHR14166:SF15', NULL, NULL, NULL, NULL, 'SLIT-ROBO RHO GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, NULL, 15),
(139702, NULL, 'PTHR12062:SF11', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4933406M09', NULL, NULL, NULL, 15),
(139703, NULL, 'PTHR36710', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', NULL, NULL, NULL, 15),
(139704, NULL, 'PTHR10353:SF162', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 21-RELATED', NULL, NULL, NULL, 15),
(139705, NULL, 'PTHR19375:SF385', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN SSA3-RELATED', NULL, NULL, NULL, 15),
(139706, NULL, 'PTHR26452:SF63', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(139707, NULL, 'PTHR13359:SF2', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L40, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(139708, NULL, 'PTHR11461:SF299', NULL, NULL, NULL, NULL, 'SERPIN', NULL, NULL, NULL, 15),
(139709, NULL, 'PTHR48010:SF50', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE-LIKE PROTEIN ZAR1', NULL, NULL, NULL, 15),
(139710, NULL, 'PTHR10824:SF6', NULL, NULL, NULL, NULL, 'PEROXISOMAL SUCCINYL-COENZYME A THIOESTERASE', NULL, NULL, NULL, 15),
(139711, NULL, 'PTHR13690:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139712, NULL, 'PTHR46757:SF8', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 17, VPS17-RELATED', NULL, NULL, NULL, 15),
(139713, NULL, 'PTHR31280:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139714, NULL, 'PTHR28532', NULL, NULL, NULL, NULL, 'GEO13458P1', NULL, NULL, NULL, 15),
(139715, NULL, 'PTHR31852:SF225', NULL, NULL, NULL, NULL, 'BNAA09G42780D PROTEIN', NULL, NULL, NULL, 15),
(139716, NULL, 'PTHR47991:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139717, NULL, 'PTHR24298:SF444', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(139718, NULL, 'PTHR11088:SF61', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE 5, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(139719, NULL, 'PTHR24300:SF297', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2A7', NULL, NULL, NULL, 15),
(139720, NULL, 'PTHR10362:SF55', NULL, NULL, NULL, NULL, 'AMMONIA-LYASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139721, NULL, 'PTHR19241:SF636', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(139722, NULL, 'PTHR30579', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(139723, NULL, 'PTHR47992:SF126', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 63-RELATED', NULL, NULL, NULL, 15),
(139724, NULL, 'PTHR21879:SF9', NULL, NULL, NULL, NULL, 'OSIRIS 16', NULL, NULL, NULL, 15),
(139725, NULL, 'PTHR13271:SF116', NULL, NULL, NULL, NULL, 'F21J9.27', NULL, NULL, NULL, 15),
(139726, NULL, 'PTHR19232', NULL, NULL, NULL, NULL, 'CENTROCORTIN FAMILY MEMBER', NULL, NULL, 22292, 15),
(139727, NULL, 'PTHR14942:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139728, NULL, 'PTHR46011:SF29', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-57', NULL, NULL, NULL, 15),
(139729, NULL, 'PTHR22639', NULL, NULL, NULL, NULL, 'GAG-RELATED PROTEIN', NULL, NULL, 39305, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139730, NULL, 'PTHR47987:SF6', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-KINASE', NULL, NULL, NULL, 15),
(139731, NULL, 'PTHR31190:SF231', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED GENES TRANSCRIPTIONAL ACTIVATOR PTI5-LIKE', NULL, NULL, NULL, 15),
(139732, NULL, 'PTHR31657:SF50', NULL, NULL, NULL, NULL, 'OS04G0529100 PROTEIN', NULL, NULL, NULL, 15),
(139733, NULL, 'PTHR23167:SF3', NULL, NULL, NULL, NULL, 'CYTOSPIN-B', NULL, NULL, NULL, 15),
(139734, NULL, 'PTHR45626:SF20', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE RHP16-LIKE', NULL, NULL, NULL, 15),
(139735, NULL, 'PTHR14254', NULL, NULL, NULL, NULL, 'GENE 33 POLYPEPTIDE', NULL, NULL, NULL, 15),
(139736, NULL, 'PTHR23118:SF30', NULL, NULL, NULL, NULL, 'BNAA09G53260D PROTEIN', NULL, NULL, NULL, 15),
(139737, NULL, 'PTHR22765:SF331', NULL, NULL, NULL, NULL, 'BNAA05G13700D PROTEIN', NULL, NULL, NULL, 15),
(139738, NULL, 'PTHR12277:SF153', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(139739, NULL, 'PTHR12478:SF7', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE TRANSCRIPT 4 PROTEIN', NULL, NULL, NULL, 15),
(139740, NULL, 'PTHR48018:SF59', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 891', NULL, NULL, NULL, 15),
(139741, NULL, 'PTHR12396:SF0', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 1A-RELATED', NULL, NULL, NULL, 15),
(139742, NULL, 'PTHR46347:SF8', NULL, NULL, NULL, NULL, 'BNAA04G12620D PROTEIN', NULL, NULL, NULL, 15),
(139743, NULL, 'PTHR31734:SF147', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(139744, NULL, 'PTHR23257:SF847', NULL, NULL, NULL, NULL, 'KINASE SUPERFAMILY WITH OCTICOSAPEPTIDE/PHOX/BEM1P DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(139745, NULL, 'PTHR24296:SF185', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(139746, NULL, 'PTHR31625:SF26', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139747, NULL, 'PTHR48018:SF110', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(139748, NULL, 'PTHR10502:SF219', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(139749, NULL, 'PTHR48061:SF24', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139750, NULL, 'PTHR31642:SF267', NULL, NULL, NULL, NULL, 'BNAC05G47750D PROTEIN', NULL, NULL, NULL, 15),
(139751, NULL, 'PTHR11668:SF427', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 1', NULL, NULL, NULL, 15),
(139752, NULL, 'PTHR31374:SF15', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139753, NULL, 'PTHR45748:SF7', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 3-PHOSPHATE 5-KINASE-RELATED', NULL, NULL, NULL, 15),
(139754, NULL, 'PTHR21077:SF7', NULL, NULL, NULL, NULL, 'CROSSOVER JUNCTION ENDONUCLEASE EME1', NULL, NULL, NULL, 15),
(139755, NULL, 'PTHR23219:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG12625', NULL, NULL, NULL, 15),
(139756, NULL, 'PTHR22991:SF40', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(139757, NULL, 'PTHR38553:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG19621', NULL, NULL, NULL, 15),
(139758, NULL, 'PTHR13507:SF0', NULL, NULL, NULL, NULL, 'PRKR-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(139759, NULL, 'PTHR43537:SF23', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR NANR', NULL, NULL, NULL, 15),
(139760, NULL, 'PTHR19317:SF56', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139761, NULL, 'PTHR33454:SF1', NULL, NULL, NULL, NULL, 'PROLAMIN PPROL 14P', NULL, NULL, NULL, 15),
(139762, NULL, 'PTHR13505:SF8', NULL, NULL, NULL, NULL, 'BNAA01G06570D PROTEIN', NULL, NULL, NULL, 15),
(139763, NULL, 'PTHR22455', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22132, 15),
(139764, NULL, 'PTHR32344', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 32421, 15),
(139765, NULL, 'PTHR23017:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139766, NULL, 'PTHR47990:SF3', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(139767, NULL, 'PTHR10848:SF2', NULL, NULL, NULL, NULL, 'RECOMBINATION PROTEIN SPO11, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139768, NULL, 'PTHR10853:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC RELEASE FACTOR 1 (ERF1) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139769, NULL, 'PTHR30065:SF1', NULL, NULL, NULL, NULL, 'SURFACE PRESENTATION OF ANTIGENS PROTEIN SPAR', NULL, NULL, NULL, 15),
(139770, NULL, 'PTHR47966:SF4', NULL, NULL, NULL, NULL, 'OS01G0663400 PROTEIN', NULL, NULL, NULL, 15),
(139771, NULL, 'PTHR22941:SF155', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(139772, NULL, 'PTHR33921:SF17', NULL, NULL, NULL, NULL, 'BNAC04G51320D PROTEIN', NULL, NULL, NULL, 15),
(139773, NULL, 'PTHR10108:SF692', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(139774, NULL, 'PTHR24061:SF523', NULL, NULL, NULL, NULL, 'MCG130582, ISOFORM CRA_A-RELATED', NULL, NULL, NULL, 15),
(139775, NULL, 'PTHR32099:SF35', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 38-LIKE', NULL, NULL, NULL, 15),
(139776, NULL, 'PTHR12854:SF11', NULL, NULL, NULL, NULL, 'ATAXIN-2', NULL, NULL, 30610, 15),
(139777, NULL, 'PTHR34491:SF23', NULL, NULL, NULL, NULL, 'UBIQUITINATION NETWORK SIGNALING PROTEIN ACRB', NULL, NULL, NULL, 15),
(139778, NULL, 'PTHR31805:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139779, NULL, 'PTHR12561:SF3', NULL, NULL, NULL, NULL, 'LIPOYLTRANSFERASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(139780, NULL, 'PTHR12378:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139781, NULL, 'PTHR11743:SF65', NULL, NULL, NULL, NULL, 'BNAC03G48560D PROTEIN', NULL, NULL, NULL, 15),
(139782, NULL, 'PTHR45642:SF38', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL3-LIKE', NULL, NULL, NULL, 15),
(139783, NULL, 'PTHR14155:SF482', NULL, NULL, NULL, NULL, 'BNAC08G47630D PROTEIN', NULL, NULL, NULL, 15),
(139784, NULL, 'PTHR45752:SF122', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 6', NULL, NULL, NULL, 15),
(139785, NULL, 'PTHR23172:SF82', NULL, NULL, NULL, NULL, 'AUXILIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(139786, NULL, 'PTHR27005:SF390', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139787, NULL, 'PTHR31474:SF19', NULL, NULL, NULL, NULL, 'BNAA08G27830D PROTEIN', NULL, NULL, NULL, 15),
(139788, NULL, 'PTHR48052:SF27', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE', NULL, NULL, NULL, 15),
(139789, NULL, 'PTHR12346:SF33', NULL, NULL, NULL, NULL, 'OS02G0635950 PROTEIN', NULL, NULL, NULL, 15),
(139790, NULL, 'PTHR46128:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139791, NULL, 'PTHR33874:SF6', NULL, NULL, NULL, NULL, 'BNAA08G14680D PROTEIN', NULL, NULL, NULL, 15),
(139792, NULL, 'PTHR22763:SF162', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(139793, NULL, 'PTHR33470:SF35', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 30-RELATED', NULL, NULL, NULL, 15),
(139794, NULL, 'PTHR45436:SF11', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE CUSS', NULL, NULL, NULL, 15),
(139795, NULL, 'PTHR44102:SF12', NULL, NULL, NULL, NULL, 'PROTEIN NPGR2', NULL, NULL, NULL, 15),
(139796, NULL, 'PTHR19422:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139797, NULL, 'PTHR43991:SF28', NULL, NULL, NULL, NULL, 'WD40-REPEAT-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139798, NULL, 'PTHR19282:SF460', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(139799, NULL, 'PTHR24361:SF728', NULL, NULL, NULL, NULL, 'OS03G0225100 PROTEIN', NULL, NULL, NULL, 15),
(139800, NULL, 'PTHR20843:SF2', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(139801, NULL, 'PTHR46743', NULL, NULL, NULL, NULL, 'TEICHOIC ACIDS EXPORT ATP-BINDING PROTEIN TAGH', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139802, NULL, 'PTHR10309:SF12', NULL, NULL, NULL, NULL, 'BNAANNG24620D PROTEIN', NULL, NULL, NULL, 15),
(139803, NULL, 'PTHR43177:SF4', NULL, NULL, NULL, NULL, 'THIOSULFATE REDUCTASE ELECTRON TRANSFER SUBUNIT PHSB', NULL, NULL, NULL, 15),
(139804, NULL, 'PTHR10605:SF29', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL HEPARAN SULFATE N-DEACETYLASE/N-SULFOTRANSFERASE 3', NULL, NULL, NULL, 15),
(139805, NULL, 'PTHR34709:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139806, NULL, 'PTHR32258:SF18', NULL, NULL, NULL, NULL, 'BNAA10G12000D PROTEIN', NULL, NULL, NULL, 15),
(139807, NULL, 'PTHR40734:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139808, NULL, 'PTHR15241:SF282', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(139809, NULL, 'PTHR23089:SF33', NULL, NULL, NULL, NULL, 'HISTIDINE TRIAD NUCLEOTIDE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(139810, NULL, 'PTHR22957:SF586', NULL, NULL, NULL, NULL, 'SMALL G PROTEIN SIGNALING MODULATOR 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(139811, NULL, 'PTHR45892:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139812, NULL, 'PTHR28645:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 119', NULL, NULL, NULL, 15),
(139813, NULL, 'PTHR11071:SF481', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP21-2', NULL, NULL, NULL, 15),
(139814, NULL, 'PTHR38406:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR OPI1', NULL, NULL, NULL, 15),
(139815, NULL, 'PTHR27006:SF252', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', NULL, NULL, NULL, 15),
(139816, NULL, 'PTHR14336:SF5', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY A MEMBER 2', NULL, NULL, NULL, 15),
(139817, NULL, 'PTHR10693:SF47', NULL, NULL, NULL, NULL, 'G3BP-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139818, NULL, 'PTHR45801:SF8', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(139819, NULL, 'PTHR28665', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 31463, 15),
(139820, NULL, 'PTHR45768:SF18', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL46', NULL, NULL, NULL, 15),
(139821, NULL, 'PTHR24148:SF72', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139822, NULL, 'PTHR33070:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139823, NULL, 'PTHR11165:SF54', NULL, NULL, NULL, NULL, 'SKR-10-RELATED', NULL, NULL, NULL, 15),
(139824, NULL, 'PTHR24068:SF137', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 26-RELATED', NULL, NULL, NULL, 15),
(139825, NULL, 'PTHR24390:SF145', NULL, NULL, NULL, NULL, 'HIC ZBTB TRANSCRIPTIONAL REPRESSOR 1', NULL, NULL, 22283, 15),
(139826, NULL, 'PTHR19957:SF230', NULL, NULL, NULL, NULL, 'OS03G0121450 PROTEIN', NULL, NULL, NULL, 15),
(139827, NULL, 'PTHR47711:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 16, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(139828, NULL, 'PTHR10060:SF15', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE TATDN1-RELATED', NULL, NULL, NULL, 15),
(139829, NULL, 'PTHR36766:SF16', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN ADR1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139830, NULL, 'PTHR31790:SF310', NULL, NULL, NULL, NULL, 'BNAA09G24590D PROTEIN', NULL, NULL, NULL, 15),
(139831, NULL, 'PTHR11909:SF376', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139832, NULL, 'PTHR22765:SF325', NULL, NULL, NULL, NULL, 'BNAA04G20440D PROTEIN', NULL, NULL, NULL, 15),
(139833, NULL, 'PTHR10533:SF2', NULL, NULL, NULL, NULL, 'PANCREATIC PROHORMONE', NULL, NULL, 9328, 15),
(139834, NULL, 'PTHR12322:SF105', NULL, NULL, NULL, NULL, 'DM (DOUBLESEX/MAB-3) DOMAIN FAMILY', NULL, NULL, NULL, 15),
(139835, NULL, 'PTHR11588:SF408', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(139836, NULL, 'PTHR33784:SF30', NULL, NULL, NULL, NULL, 'BNAC07G14780D PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139837, NULL, 'PTHR40644', NULL, NULL, NULL, NULL, 'UPF0653 PROTEIN C607.02C', NULL, NULL, 34698, 15),
(139838, NULL, 'PTHR33802', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139839, NULL, 'PTHR22595:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139840, NULL, 'PTHR42770:SF5', NULL, NULL, NULL, NULL, 'CADAVERINE/LYSINE ANTIPORTER-RELATED', NULL, NULL, NULL, 15),
(139841, NULL, 'PTHR11760', NULL, NULL, NULL, NULL, '30S/40S RIBOSOMAL PROTEIN S3', NULL, NULL, NULL, 15),
(139842, NULL, 'PTHR22744:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG12300', NULL, NULL, NULL, 15),
(139843, NULL, 'PTHR13526:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPT20 HOMOLOG-LIKE 1', NULL, NULL, NULL, 15),
(139844, NULL, 'PTHR42770:SF7', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(139845, NULL, 'PTHR13723:SF285', NULL, NULL, NULL, NULL, 'LONELY HEART, ISOFORM A', NULL, NULL, NULL, 15),
(139846, NULL, 'PTHR19211:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139847, NULL, 'PTHR34613', NULL, NULL, NULL, NULL, 'SLL0800 PROTEIN', NULL, NULL, NULL, 15),
(139848, NULL, 'PTHR13663:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 6430548M08', NULL, NULL, NULL, 15),
(139849, NULL, 'PTHR20883:SF41', NULL, NULL, NULL, NULL, 'IRON/ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ASQJ', NULL, NULL, NULL, 15),
(139850, NULL, 'PTHR45801:SF61', NULL, NULL, NULL, NULL, 'BNAA04G29160D PROTEIN', NULL, NULL, NULL, 15),
(139851, NULL, 'PTHR45649:SF3', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER TPO5', NULL, NULL, NULL, 15),
(139852, NULL, 'PTHR48083:SF14', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FADE10-RELATED', NULL, NULL, NULL, 15),
(139853, NULL, 'PTHR22799:SF6', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 3, MEMBER BA', NULL, NULL, NULL, 15),
(139854, NULL, 'PTHR27000:SF636', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139855, NULL, 'PTHR11941:SF124', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE ECHA13-RELATED', NULL, NULL, NULL, 15),
(139856, NULL, 'PTHR43147:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139857, NULL, 'PTHR45618:SF35', NULL, NULL, NULL, NULL, 'BNAC09G37940D PROTEIN', NULL, NULL, NULL, 15),
(139858, NULL, 'PTHR42920:SF13', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139859, NULL, 'PTHR35100', NULL, NULL, NULL, NULL, 'FOLD PROTEIN', NULL, NULL, NULL, 15),
(139860, NULL, 'PTHR48105:SF14', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE (TRXB-2)', NULL, NULL, NULL, 15),
(139861, NULL, 'PTHR30575:SF0', NULL, NULL, NULL, NULL, 'PEPTIDASE M20 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(139862, NULL, 'PTHR31549:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139863, NULL, 'PTHR24055:SF428', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(139864, NULL, 'PTHR31956:SF34', NULL, NULL, NULL, NULL, 'BNAA06G16410D PROTEIN', NULL, NULL, NULL, 15),
(139865, NULL, 'PTHR12357:SF65', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING FAMILY PROTEIN 1', NULL, NULL, NULL, 15),
(139866, NULL, 'PTHR48049:SF24', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(139867, NULL, 'PTHR31378:SF41', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139868, NULL, 'PTHR31790:SF230', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139869, NULL, 'PTHR43531:SF5', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN III', NULL, NULL, NULL, 15),
(139870, NULL, 'PTHR12962:SF5', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING C2, RNA-BINDING A', NULL, NULL, NULL, 15),
(139871, NULL, 'PTHR31717', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 10', NULL, NULL, NULL, 15),
(139872, NULL, 'PTHR24026:SF81', NULL, NULL, NULL, NULL, 'CADHERIN FAMILY', NULL, NULL, NULL, 15),
(139873, NULL, 'PTHR12824:SF7', NULL, NULL, NULL, NULL, 'GROUP XIIA SECRETORY PHOSPHOLIPASE A2', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139874, NULL, 'PTHR11615:SF301', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(139875, NULL, 'PTHR45801:SF62', NULL, NULL, NULL, NULL, 'BNAC01G39140D PROTEIN', NULL, NULL, NULL, 15),
(139876, NULL, 'PTHR33165:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139877, NULL, 'PTHR23273:SF55', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT A-LIKE', NULL, NULL, NULL, 15),
(139878, NULL, 'PTHR47969:SF4', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN12B', NULL, NULL, NULL, 15),
(139879, NULL, 'PTHR22883:SF359', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(139880, NULL, 'PTHR11260:SF702', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9-LIKE', NULL, NULL, NULL, 15),
(139881, NULL, 'PTHR31676:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139882, NULL, 'PTHR31471:SF61', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139883, NULL, 'PTHR23201:SF68', NULL, NULL, NULL, NULL, 'SNAKIN-2-LIKE', NULL, NULL, NULL, 15),
(139884, NULL, 'PTHR12262:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139885, NULL, 'PTHR32133:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139886, NULL, 'PTHR31286:SF54', NULL, NULL, NULL, NULL, 'BNACNNG38980D PROTEIN', NULL, NULL, NULL, 15),
(139887, NULL, 'PTHR31197:SF24', NULL, NULL, NULL, NULL, 'BNAA02G28450D PROTEIN', NULL, NULL, NULL, 15),
(139888, NULL, 'PTHR43285:SF1', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(139889, NULL, 'PTHR45647:SF29', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(139890, NULL, 'PTHR46274:SF14', NULL, NULL, NULL, NULL, 'OS01G0739200 PROTEIN', NULL, NULL, NULL, 15),
(139891, NULL, 'PTHR22902:SF17', NULL, NULL, NULL, NULL, 'SESQUIPEDALIAN-1', NULL, NULL, NULL, 15),
(139892, NULL, 'PTHR33057:SF140', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP6', NULL, NULL, NULL, 15),
(139893, NULL, 'PTHR21654:SF85', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB FAMILY-RELATED', NULL, NULL, NULL, 15),
(139894, NULL, 'PTHR12565:SF369', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH49', NULL, NULL, NULL, 15),
(139895, NULL, 'PTHR12784', NULL, NULL, NULL, NULL, 'STEERIN', NULL, NULL, 30120, 15),
(139896, NULL, 'PTHR31580:SF35', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139897, NULL, 'PTHR45687:SF23', NULL, NULL, NULL, NULL, 'AQUAPORIN', NULL, NULL, NULL, 15),
(139898, NULL, 'PTHR10055', NULL, NULL, NULL, NULL, 'TRYPTOPHANYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(139899, NULL, 'PTHR34126:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139900, NULL, 'PTHR31707', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(139901, NULL, 'PTHR45752:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139902, NULL, 'PTHR11635:SF126', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE TYPE I-BETA REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(139903, NULL, 'PTHR36183:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139904, NULL, 'PTHR13738:SF13', NULL, NULL, NULL, NULL, 'TROPONIN I TYPE 2A (SKELETAL, FAST), TANDEM DUPLICATE 2', NULL, NULL, NULL, 15),
(139905, NULL, 'PTHR11711:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139906, NULL, 'PTHR19876:SF31', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''-3', NULL, NULL, NULL, 15),
(139907, NULL, 'PTHR33044:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139908, NULL, 'PTHR47723:SF3', NULL, NULL, NULL, NULL, 'OS06G0683500 PROTEIN', NULL, NULL, NULL, 15),
(139909, NULL, 'PTHR19855:SF20', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN MEC-15', NULL, NULL, NULL, 15),
(139910, NULL, 'PTHR27008:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139911, NULL, 'PTHR10654:SF14', NULL, NULL, NULL, NULL, 'EMBRYONAL FYN-ASSOCIATED SUBSTRATE', NULL, NULL, NULL, 15),
(139912, NULL, 'PTHR18966:SF521', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(139913, NULL, 'PTHR16301', NULL, NULL, NULL, NULL, 'IMPACT-RELATED', NULL, NULL, 21396, 15),
(139914, NULL, 'PTHR13301:SF223', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE D3-RELATED', NULL, NULL, NULL, 15),
(139915, NULL, 'PTHR21499:SF64', NULL, NULL, NULL, NULL, 'ASPARTOKINASE', NULL, NULL, NULL, 15),
(139916, NULL, 'PTHR48016:SF3', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE NPK1', NULL, NULL, NULL, 15),
(139917, NULL, 'PTHR15683', NULL, NULL, NULL, NULL, 'SCAFFOLD ATTACHMENT FACTOR B-RELATED', NULL, NULL, NULL, 15),
(139918, NULL, 'PTHR16134:SF18', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 17', NULL, NULL, NULL, 15),
(139919, NULL, 'PTHR47967:SF40', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(139920, NULL, 'PTHR47658:SF4', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 14', NULL, NULL, NULL, 15),
(139921, NULL, 'PTHR43349:SF69', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE GALE-RELATED', NULL, NULL, NULL, 15),
(139922, NULL, 'PTHR34788', NULL, NULL, NULL, NULL, 'F15I1.22', NULL, NULL, NULL, 15),
(139923, NULL, 'PTHR33077:SF15', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 11E', NULL, NULL, NULL, 15),
(139924, NULL, 'PTHR11618:SF66', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB', NULL, NULL, NULL, 15),
(139925, NULL, 'PTHR24031:SF706', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX27-RELATED', NULL, NULL, NULL, 15),
(139926, NULL, 'PTHR45729:SF9', NULL, NULL, NULL, NULL, 'DOUBLE C2-LIKE DOMAIN-CONTAINING PROTEIN BETA', NULL, NULL, NULL, 15),
(139927, NULL, 'PTHR21668:SF20', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A', NULL, NULL, NULL, 15),
(139928, NULL, 'PTHR23172:SF79', NULL, NULL, NULL, NULL, 'AUXILIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(139929, NULL, 'PTHR40703', NULL, NULL, NULL, NULL, 'TRNA (PSEUDOURIDINE(54)-N(1))-METHYLTRANSFERASE', NULL, NULL, 151, 15),
(139930, NULL, 'PTHR48017:SF105', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139931, NULL, 'PTHR14516:SF2', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT FAMILY ORPHAN 1', NULL, NULL, NULL, 15),
(139932, NULL, 'PTHR43386:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSPORT SYSTEM PERMEASE PROTEIN GSID', NULL, NULL, NULL, 15),
(139933, NULL, 'PTHR23502:SF13', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G12550)-RELATED', NULL, NULL, NULL, 15),
(139934, NULL, 'PTHR11685:SF307', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(139935, NULL, 'PTHR31339:SF40', NULL, NULL, NULL, NULL, 'HYDROLASE FAMILY 28 PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(139936, NULL, 'PTHR26452:SF430', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-LIKE PROTEIN OLF2', NULL, NULL, NULL, 15),
(139937, NULL, 'PTHR24413:SF91', NULL, NULL, NULL, NULL, 'SPECKLE-TYPE POZ PROTEIN-LIKE', NULL, NULL, NULL, 15),
(139938, NULL, 'PTHR45616:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139939, NULL, 'PTHR24329:SF548', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ARX', NULL, NULL, NULL, 15),
(139940, NULL, 'PTHR47932:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139941, NULL, 'PTHR36021:SF3', NULL, NULL, NULL, NULL, 'BNAC04G03090D PROTEIN', NULL, NULL, NULL, 15),
(139942, NULL, 'PTHR11746:SF240', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(139943, NULL, 'PTHR18916:SF78', NULL, NULL, NULL, NULL, 'TUBULIN-FOLDING COFACTOR B', NULL, NULL, NULL, 15),
(139944, NULL, 'PTHR46224:SF36', NULL, NULL, NULL, NULL, 'OS03G0680500 PROTEIN', NULL, NULL, NULL, 15),
(139945, NULL, 'PTHR23336:SF48', NULL, NULL, NULL, NULL, 'OS01G0549200 PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139946, NULL, 'PTHR11214:SF271', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT5', NULL, NULL, NULL, 15),
(139947, NULL, 'PTHR33433:SF23', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1', NULL, NULL, NULL, 15),
(139948, NULL, 'PTHR13964:SF27', NULL, NULL, NULL, NULL, 'HAT-TRICK, ISOFORM D', NULL, NULL, NULL, 15),
(139949, NULL, 'PTHR31985:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139950, NULL, 'PTHR32343:SF33', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 10', NULL, NULL, NULL, 15),
(139951, NULL, 'PTHR38827', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139952, NULL, 'PTHR34390', NULL, NULL, NULL, NULL, 'UPF0442 PROTEIN YJJB-RELATED', NULL, NULL, NULL, 15),
(139953, NULL, 'PTHR11829:SF311', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN E3', NULL, NULL, NULL, 15),
(139954, NULL, 'PTHR23113:SF220', NULL, NULL, NULL, NULL, 'RAL GUANINE NUCLEOTIDE DISSOCIATION STIMULATOR-LIKE 3', NULL, NULL, 22986, 15),
(139955, NULL, 'PTHR33420:SF25', NULL, NULL, NULL, NULL, 'FIMBRIN-LIKE PROTEIN FIMI-RELATED', NULL, NULL, NULL, 15),
(139956, NULL, 'PTHR11267:SF184', NULL, NULL, NULL, NULL, 'T BOX FAMILY', NULL, NULL, NULL, 15),
(139957, NULL, 'PTHR31985:SF150', NULL, NULL, NULL, NULL, 'BNAA01G18170D PROTEIN', NULL, NULL, NULL, 15),
(139958, NULL, 'PTHR43128:SF18', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(139959, NULL, 'PTHR31190:SF247', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139960, NULL, 'PTHR45648:SF25', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(139961, NULL, 'PTHR32282:SF11', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 1B', NULL, NULL, NULL, 15),
(139962, NULL, 'PTHR22599:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139963, NULL, 'PTHR11984:SF54', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-4 PROTEIN', NULL, NULL, NULL, 15),
(139964, NULL, 'PTHR12357:SF3', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(139965, NULL, 'PTHR15458', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE N-METHYLTRANSFERASE', NULL, NULL, 24757, 15),
(139966, NULL, 'PTHR34427:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139967, NULL, 'PTHR42647:SF54', NULL, NULL, NULL, NULL, 'BNAC03G29950D PROTEIN', NULL, NULL, NULL, 15),
(139968, NULL, 'PTHR43157:SF45', NULL, NULL, NULL, NULL, 'WW DOMAIN-CONTAINING OXIDOREDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(139969, NULL, 'PTHR46584:SF1', NULL, NULL, NULL, NULL, 'HMG DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(139970, NULL, 'PTHR23188:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-343', NULL, NULL, NULL, 15),
(139971, NULL, 'PTHR23199:SF7', NULL, NULL, NULL, NULL, 'RE45222P', NULL, NULL, NULL, 15),
(139972, NULL, 'PTHR10579:SF133', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(139973, NULL, 'PTHR46036:SF5', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE', NULL, NULL, NULL, 15),
(139974, NULL, 'PTHR14273', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 1', NULL, NULL, 30468, 15),
(139975, NULL, 'PTHR11685:SF296', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(139976, NULL, 'PTHR31948:SF115', NULL, NULL, NULL, NULL, 'ZF-HD PROTEIN DIMERIZATION REGION PROTEIN', NULL, NULL, NULL, 15),
(139977, NULL, 'PTHR21562:SF56', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(139978, NULL, 'PTHR33085:SF93', NULL, NULL, NULL, NULL, 'OS05G0126000 PROTEIN', NULL, NULL, NULL, 15),
(139979, NULL, 'PTHR47858', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(139980, NULL, 'PTHR12461:SF38', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PEPTIDASE AND ARGINYL-HYDROXYLASE JMJD5', NULL, NULL, NULL, 15),
(139981, NULL, 'PTHR24044:SF464', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(139982, NULL, 'PTHR10504:SF17', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY C PROTEIN', NULL, NULL, 27383, 15),
(139983, NULL, 'PTHR14095:SF0', NULL, NULL, NULL, NULL, 'MIP22305P', NULL, NULL, NULL, 15),
(139984, NULL, 'PTHR48019:SF76', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN PISTILLATA', NULL, NULL, NULL, 15),
(139985, NULL, 'PTHR10593:SF131', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 567-LIKE', NULL, NULL, NULL, 15),
(139986, NULL, 'PTHR46934:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139987, NULL, 'PTHR34876', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 19648, 15),
(139988, NULL, 'PTHR16019:SF19', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(139989, NULL, 'PTHR45544', NULL, NULL, NULL, NULL, 'THIOSULFATE:GLUTATHIONE SULFURTRANSFERASE', NULL, NULL, 40012, 15),
(139990, NULL, 'PTHR47956:SF57', NULL, NULL, NULL, NULL, 'OS02G0185500 PROTEIN', NULL, NULL, NULL, 15),
(139991, NULL, 'PTHR31165:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139992, NULL, 'PTHR46671:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG24500', NULL, NULL, NULL, 15),
(139993, NULL, 'PTHR43243:SF62', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 8, VACUOLAR', NULL, NULL, NULL, 15),
(139994, NULL, 'PTHR31062:SF232', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(139995, NULL, 'PTHR31346:SF24', NULL, NULL, NULL, NULL, 'COBALT ION BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(139996, NULL, 'PTHR23220:SF130', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-M', NULL, NULL, NULL, 15),
(139997, NULL, 'PTHR23427:SF2', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 1', NULL, NULL, NULL, 15),
(139998, NULL, 'PTHR23077:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(139999, NULL, 'PTHR37321', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140000, NULL, 'PTHR33992:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN COMPONENT', NULL, NULL, NULL, 15),
(140001, NULL, 'PTHR24418:SF263', NULL, NULL, NULL, NULL, 'NON-RECEPTOR TYROSINE-PROTEIN KINASE TNK1', NULL, NULL, NULL, 15),
(140002, NULL, 'PTHR21141:SF58', NULL, NULL, NULL, NULL, 'ACIDIC RIBOSOMAL PROTEIN P2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140003, NULL, 'PTHR45974:SF192', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140004, NULL, 'PTHR11712:SF339', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE', NULL, NULL, NULL, 15),
(140005, NULL, 'PTHR24060:SF158', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(140006, NULL, 'PTHR24221:SF228', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 8-RELATED', NULL, NULL, NULL, 15),
(140007, NULL, 'PTHR31429:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140008, NULL, 'PTHR10641:SF1140', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(140009, NULL, 'PTHR31111:SF28', NULL, NULL, NULL, NULL, 'BNAA08G00320D PROTEIN', NULL, NULL, NULL, 15),
(140010, NULL, 'PTHR11214:SF112', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(140011, NULL, 'PTHR12741:SF55', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 6-RELATED', NULL, NULL, NULL, 15),
(140012, NULL, 'PTHR12515', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN CONTAINING PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(140013, NULL, 'PTHR33168:SF31', NULL, NULL, NULL, NULL, 'STRESS INDUCED PROTEIN', NULL, NULL, NULL, 15),
(140014, NULL, 'PTHR24282:SF151', NULL, NULL, NULL, NULL, 'OS07G0635700 PROTEIN', NULL, NULL, NULL, 15),
(140015, NULL, 'PTHR21595:SF2', NULL, NULL, NULL, NULL, 'CALMODULIN-REGULATED SPECTRIN-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(140016, NULL, 'PTHR42786:SF1', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE/URIDINE-2''-O-)-METHYLTRANSFERASE TRMJ', NULL, NULL, NULL, 15),
(140017, NULL, 'PTHR33403:SF25', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1-LIKE 2', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140018, NULL, 'PTHR31236:SF2', NULL, NULL, NULL, NULL, 'BURP DOMAIN PROTEIN RD22', NULL, NULL, NULL, 15),
(140019, NULL, 'PTHR45623:SF11', NULL, NULL, NULL, NULL, 'KISMET, ISOFORM C', NULL, NULL, NULL, 15),
(140020, NULL, 'PTHR43654:SF3', NULL, NULL, NULL, NULL, 'GLUTAMATE 5-KINASE', NULL, NULL, NULL, 15),
(140021, NULL, 'PTHR31235:SF54', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(140022, NULL, 'PTHR24377:SF725', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 776', NULL, NULL, NULL, 15),
(140023, NULL, 'PTHR48018:SF76', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5I1', NULL, NULL, NULL, 15),
(140024, NULL, 'PTHR24020:SF37', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 22197, 15),
(140025, NULL, 'PTHR12570:SF78', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(140026, NULL, 'PTHR33021:SF413', NULL, NULL, NULL, NULL, 'STELLACYANIN-LIKE', NULL, NULL, NULL, 15),
(140027, NULL, 'PTHR38468:SF1', NULL, NULL, NULL, NULL, 'SLL0939 PROTEIN', NULL, NULL, NULL, 15),
(140028, NULL, 'PTHR22952:SF430', NULL, NULL, NULL, NULL, 'ABA RESPONSE ELEMENT-BINDING FACTOR', NULL, NULL, 21746, 15),
(140029, NULL, 'PTHR11986:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140030, NULL, 'PTHR11430:SF121', NULL, NULL, NULL, NULL, 'COMPLEMENT C8 GAMMA CHAIN', NULL, NULL, NULL, 15),
(140031, NULL, 'PTHR45790:SF8', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III C-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(140032, NULL, 'PTHR42032', NULL, NULL, NULL, NULL, 'YALI0E30679P', NULL, NULL, NULL, 15),
(140033, NULL, 'PTHR31407:SF18', NULL, NULL, NULL, NULL, 'PSBP DOMAIN-CONTAINING PROTEIN 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(140034, NULL, 'PTHR10366:SF461', NULL, NULL, NULL, NULL, 'OS06G0623300 PROTEIN', NULL, NULL, NULL, 15),
(140035, NULL, 'PTHR31802:SF20', NULL, NULL, NULL, NULL, 'BNAA02G05820D PROTEIN', NULL, NULL, NULL, 15),
(140036, NULL, 'PTHR43335:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', NULL, NULL, NULL, 15),
(140037, NULL, 'PTHR31503:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140038, NULL, 'PTHR31683:SF143', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(140039, NULL, 'PTHR24412:SF385', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(140040, NULL, 'PTHR12570:SF56', NULL, NULL, NULL, NULL, 'PROTEASOME ACTIVATOR SUBUNIT 3/P28 GAMMA', NULL, NULL, NULL, 15),
(140041, NULL, 'PTHR33743:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140042, NULL, 'PTHR23113:SF345', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR E', NULL, NULL, NULL, 15),
(140043, NULL, 'PTHR36032:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENATE--CYSTEINE LIGASE 2', NULL, NULL, NULL, 15),
(140044, NULL, 'PTHR12483:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140045, NULL, 'PTHR37354', NULL, NULL, NULL, NULL, 'CHROMOSOME ALIGNMENT-MAINTAINING PHOSPHOPROTEIN 1', NULL, NULL, 36357, 15),
(140046, NULL, 'PTHR39081', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140047, NULL, 'PTHR23353:SF5', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN SKYWALKER', NULL, NULL, NULL, 15),
(140048, NULL, 'PTHR33144:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140049, NULL, 'PTHR22574:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAM71D', NULL, NULL, NULL, 15),
(140050, NULL, 'PTHR37758:SF1', NULL, NULL, NULL, NULL, 'OS03G0334300 PROTEIN', NULL, NULL, NULL, 15),
(140051, NULL, 'PTHR43806:SF44', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND TRANSCRIPTION FACTOR SITE-1 PROTEASE', NULL, NULL, NULL, 15),
(140052, NULL, 'PTHR12245:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140053, NULL, 'PTHR16035:SF14', NULL, NULL, NULL, NULL, 'PROTEIN FAM90A10P-RELATED', NULL, NULL, NULL, 15),
(140054, NULL, 'PTHR31680:SF9', NULL, NULL, NULL, NULL, 'LONGIFOLIA PROTEIN', NULL, NULL, NULL, 15),
(140055, NULL, 'PTHR31953:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140056, NULL, 'PTHR11079', NULL, NULL, NULL, NULL, 'CYTOSINE DEAMINASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(140057, NULL, 'PTHR31384:SF105', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(140058, NULL, 'PTHR27005:SF11', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 20', NULL, NULL, NULL, 15),
(140059, NULL, 'PTHR19918:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140060, NULL, 'PTHR44329:SF140', NULL, NULL, NULL, NULL, 'INTEGRIN-LINKED KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140061, NULL, 'PTHR24073:SF128', NULL, NULL, NULL, NULL, 'RAB-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(140062, NULL, 'PTHR34047:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR INTRON MATURASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(140063, NULL, 'PTHR26374:SF365', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT5-LIKE', NULL, NULL, NULL, 15),
(140064, NULL, 'PTHR45645:SF23', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(140065, NULL, 'PTHR10288:SF260', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140066, NULL, 'PTHR46215:SF10', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(140067, NULL, 'PTHR10695:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140068, NULL, 'PTHR12702:SF2', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 6', NULL, NULL, NULL, 15),
(140069, NULL, 'PTHR23266:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140070, NULL, 'PTHR27000:SF588', NULL, NULL, NULL, NULL, 'OS07G0152200 PROTEIN', NULL, NULL, NULL, 15),
(140071, NULL, 'PTHR15016:SF6', NULL, NULL, NULL, NULL, 'BREAST CARCINOMA-AMPLIFIED SEQUENCE 1', NULL, NULL, NULL, 15),
(140072, NULL, 'PTHR10108:SF1058', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT18-RELATED', NULL, NULL, NULL, 15),
(140073, NULL, 'PTHR24177:SF302', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140074, NULL, 'PTHR33091:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140075, NULL, 'PTHR43540:SF7', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE FAMILY PROTEIN YECD', NULL, NULL, NULL, 15),
(140076, NULL, 'PTHR13301:SF56', NULL, NULL, NULL, NULL, 'MIXED-LINKED GLUCAN SYNTHASE 4', NULL, NULL, NULL, 15),
(140077, NULL, 'PTHR24241:SF76', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(140078, NULL, 'PTHR33599:SF11', NULL, NULL, NULL, NULL, 'PROTEIN IDA-LIKE 5', NULL, NULL, NULL, 15),
(140079, NULL, 'PTHR27000:SF544', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140080, NULL, 'PTHR40012:SF1', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 29', NULL, NULL, NULL, 15),
(140081, NULL, 'PTHR11157:SF151', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(140082, NULL, 'PTHR13479:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140083, NULL, 'PTHR35131:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(140084, NULL, 'PTHR13832:SF291', NULL, NULL, NULL, NULL, 'OS03G0809700 PROTEIN', NULL, NULL, NULL, 15),
(140085, NULL, 'PTHR11699', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(140086, NULL, 'PTHR16189', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(140087, NULL, 'PTHR24070:SF420', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(140088, NULL, 'PTHR11260:SF610', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(140089, NULL, 'PTHR12616', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING VPS41', NULL, NULL, 37369, 15),
(140090, NULL, 'PTHR10099:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140091, NULL, 'PTHR32440:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140092, NULL, 'PTHR46279:SF6', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL20-LIKE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140093, NULL, 'PTHR13528', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L28, MITOCHONDRIAL', NULL, NULL, 22199, 15),
(140094, NULL, 'PTHR11709:SF340', NULL, NULL, NULL, NULL, 'MULTICOPPER OXIDASE LPR1 HOMOLOG 1', NULL, NULL, NULL, 15),
(140095, NULL, 'PTHR23505:SF9', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140096, NULL, 'PTHR31213:SF61', NULL, NULL, NULL, NULL, 'BNACNNG68710D PROTEIN', NULL, NULL, NULL, 15),
(140097, NULL, 'PTHR11926:SF1407', NULL, NULL, NULL, NULL, '7-DEOXYLOGANETIN GLUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(140098, NULL, 'PTHR31751:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140099, NULL, 'PTHR33450:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140100, NULL, 'PTHR11017:SF342', NULL, NULL, NULL, NULL, 'BNAC06G13540D PROTEIN', NULL, NULL, NULL, 15),
(140101, NULL, 'PTHR11003:SF279', NULL, NULL, NULL, NULL, 'FI03418P', NULL, NULL, NULL, 15),
(140102, NULL, 'PTHR35277:SF10', NULL, NULL, NULL, NULL, 'OS09G0363700 PROTEIN', NULL, NULL, NULL, 15),
(140103, NULL, 'PTHR17537:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TOB2', NULL, NULL, 18399, 15),
(140104, NULL, 'PTHR23074:SF153', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140105, NULL, 'PTHR22796:SF13', NULL, NULL, NULL, NULL, 'UP-REGULATOR OF CELL PROLIFERATION', NULL, NULL, NULL, 15),
(140106, NULL, 'PTHR12573', NULL, NULL, NULL, NULL, 'AT09986P-RELATED', NULL, NULL, NULL, 15),
(140107, NULL, 'PTHR44662:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 81', NULL, NULL, NULL, 15),
(140108, NULL, 'PTHR26454:SF75', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(140109, NULL, 'PTHR37610:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140110, NULL, 'PTHR11639:SF73', NULL, NULL, NULL, NULL, 'PROTEIN S100-G', NULL, NULL, 28025, 15),
(140111, NULL, 'PTHR24281:SF60', NULL, NULL, NULL, NULL, '5-EPIARISTOLOCHENE 1,3-DIHYDROXYLASE', NULL, NULL, NULL, 15),
(140112, NULL, 'PTHR34049:SF7', NULL, NULL, NULL, NULL, 'BNACNNG04130D PROTEIN', NULL, NULL, NULL, 15),
(140113, NULL, 'PTHR24174:SF7', NULL, NULL, NULL, NULL, 'CASK INTERACTING PROTEIN 2', NULL, NULL, 22621, 15),
(140114, NULL, 'PTHR35705:SF2', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING TAIL-ANCHORED PROTEIN 2', NULL, NULL, NULL, 15),
(140115, NULL, 'PTHR11732:SF468', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 4 MEMBER C9-LIKE', NULL, NULL, NULL, 15),
(140116, NULL, 'PTHR31388:SF205', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(140117, NULL, 'PTHR45580', NULL, NULL, NULL, NULL, 'PROTEIN CBG05369', NULL, NULL, NULL, 15),
(140118, NULL, 'PTHR22803:SF124', NULL, NULL, NULL, NULL, 'ACCESSORY GLAND PROTEIN ACP29AB', NULL, NULL, NULL, 15),
(140119, NULL, 'PTHR31707:SF267', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 6-RELATED', NULL, NULL, NULL, 15),
(140120, NULL, 'PTHR31642:SF254', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140121, NULL, 'PTHR13398:SF0', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(140122, NULL, 'PTHR31717:SF92', NULL, NULL, NULL, NULL, 'B-BOX TYPE ZINC FINGER PROTEIN WITH CCT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140123, NULL, 'PTHR31190:SF202', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B-LIKE', NULL, NULL, NULL, 15),
(140124, NULL, 'PTHR36002:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140125, NULL, 'PTHR27009:SF217', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.4', NULL, NULL, NULL, 15),
(140126, NULL, 'PTHR11216:SF61', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR PATHWAY SUBSTRATE CLONE 15, ISOFORM A', NULL, NULL, NULL, 15),
(140127, NULL, 'PTHR48021:SF80', NULL, NULL, NULL, NULL, 'OS02G0229400 PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140128, NULL, 'PTHR23301:SF68', NULL, NULL, NULL, NULL, 'LD20793P', NULL, NULL, NULL, 15),
(140129, NULL, 'PTHR11560:SF8', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L10, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(140130, NULL, 'PTHR34376:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140131, NULL, 'PTHR10906:SF1', NULL, NULL, NULL, NULL, 'DSEC61ALPHA', NULL, NULL, NULL, 15),
(140132, NULL, 'PTHR26452:SF159', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 293-RELATED', NULL, NULL, NULL, 15),
(140133, NULL, 'PTHR11802:SF382', NULL, NULL, NULL, NULL, 'PEPTIDASE S10, SERINE CARBOXYPEPTIDASE, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140134, NULL, 'PTHR33374:SF25', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 20', NULL, NULL, NULL, 15),
(140135, NULL, 'PTHR43420:SF31', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(140136, NULL, 'PTHR12411:SF750', NULL, NULL, NULL, NULL, 'BNAA08G00230D PROTEIN', NULL, NULL, NULL, 15),
(140137, NULL, 'PTHR24033:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140138, NULL, 'PTHR10114:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', NULL, NULL, NULL, 15),
(140139, NULL, 'PTHR33057:SF109', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP8-LIKE', NULL, NULL, NULL, 15),
(140140, NULL, 'PTHR45616:SF50', NULL, NULL, NULL, NULL, 'KERATIN 88-RELATED', NULL, NULL, NULL, 15),
(140141, NULL, 'PTHR12396:SF12', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 3', NULL, NULL, 33874, 15),
(140142, NULL, 'PTHR30314:SF10', NULL, NULL, NULL, NULL, 'TUBULIN-LIKE PROTEIN CETZ', NULL, NULL, NULL, 15),
(140143, NULL, 'PTHR47926:SF213', NULL, NULL, NULL, NULL, 'BNAC06G13270D PROTEIN', NULL, NULL, NULL, 15),
(140144, NULL, 'PTHR11937:SF38', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN T2', NULL, NULL, 26127, 15),
(140145, NULL, 'PTHR47640:SF40', NULL, NULL, NULL, NULL, 'NUCLEOLYSIN TIAR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(140146, NULL, 'PTHR30128:SF60', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A1', NULL, NULL, 3734, 15),
(140147, NULL, 'PTHR14224:SF6', NULL, NULL, NULL, NULL, 'PREFERENTIALLY EXPRESSED ANTIGEN IN MELANOMA-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(140148, NULL, 'PTHR18896:SF138', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(140149, NULL, 'PTHR43290:SF1', NULL, NULL, NULL, NULL, 'GLUCURONOKINASE 1-RELATED', NULL, NULL, NULL, 15),
(140150, NULL, 'PTHR12565:SF377', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH74', NULL, NULL, NULL, 15),
(140151, NULL, 'PTHR27003:SF267', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(140152, NULL, 'PTHR43583:SF1', NULL, NULL, NULL, NULL, '2-IMINOACETATE SYNTHASE', NULL, NULL, 11728, 15),
(140153, NULL, 'PTHR45642:SF112', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(140154, NULL, 'PTHR20973', NULL, NULL, NULL, NULL, 'NON-SMC ELEMENT 1-RELATED', NULL, NULL, 12754, 15),
(140155, NULL, 'PTHR47568:SF3', NULL, NULL, NULL, NULL, 'BNAA08G31440D PROTEIN', NULL, NULL, NULL, 15),
(140156, NULL, 'PTHR12891:SF0', NULL, NULL, NULL, NULL, 'MMS19 NUCLEOTIDE EXCISION REPAIR PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(140157, NULL, 'PTHR22896:SF4', NULL, NULL, NULL, NULL, 'CDK5 AND ABL ENZYME SUBSTRATE 2B', NULL, NULL, NULL, 15),
(140158, NULL, 'PTHR13817:SF79', NULL, NULL, NULL, NULL, 'PROTOGENIN', NULL, NULL, NULL, 15),
(140159, NULL, 'PTHR43520:SF8', NULL, NULL, NULL, NULL, 'ATP7, ISOFORM B', NULL, NULL, NULL, 15),
(140160, NULL, 'PTHR31790:SF336', NULL, NULL, NULL, NULL, 'BNAA01G33470D PROTEIN', NULL, NULL, NULL, 15),
(140161, NULL, 'PTHR24078:SF545', NULL, NULL, NULL, NULL, 'HSP40/DNAJ PEPTIDE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(140162, NULL, 'PTHR22934', NULL, NULL, NULL, NULL, 'PROTEIN ESC1/WETA-RELATED', NULL, NULL, NULL, 15),
(140163, NULL, 'PTHR13343:SF30', NULL, NULL, NULL, NULL, 'BNAC03G41910D PROTEIN', NULL, NULL, NULL, 15),
(140164, NULL, 'PTHR19317:SF34', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140165, NULL, 'PTHR12141:SF3', NULL, NULL, NULL, NULL, 'ARFAPTIN-2', NULL, NULL, NULL, 15),
(140166, NULL, 'PTHR24559:SF342', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140167, NULL, 'PTHR24320:SF236', NULL, NULL, NULL, NULL, 'YALI0D09427P', NULL, NULL, NULL, 15),
(140168, NULL, 'PTHR45959:SF28', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18-LIKE', NULL, NULL, NULL, 15),
(140169, NULL, 'PTHR24193:SF86', NULL, NULL, NULL, NULL, 'GA-BINDING PROTEIN SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(140170, NULL, 'PTHR10934:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140171, NULL, 'PTHR19134:SF472', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE S', NULL, NULL, NULL, 15),
(140172, NULL, 'PTHR31579:SF58', NULL, NULL, NULL, NULL, 'DUF506 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140173, NULL, 'PTHR31080:SF86', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 6', NULL, NULL, NULL, 15),
(140174, NULL, 'PTHR35703:SF1', NULL, NULL, NULL, NULL, 'INACTIVE HEME OXYGENASE 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(140175, NULL, 'PTHR47941', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(140176, NULL, 'PTHR24260:SF87', NULL, NULL, NULL, NULL, 'GH08193P-RELATED', NULL, NULL, NULL, 15),
(140177, NULL, 'PTHR11361:SF139', NULL, NULL, NULL, NULL, 'REPAIR PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140178, NULL, 'PTHR13271:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140179, NULL, 'PTHR21266:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140180, NULL, 'PTHR11566:SF196', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(140181, NULL, 'PTHR43139:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140182, NULL, 'PTHR11616:SF286', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT NEUTRAL AND BASIC AMINO ACID TRANSPORTER B(0+)', NULL, NULL, NULL, 15),
(140183, NULL, 'PTHR35896', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140184, NULL, 'PTHR45927:SF7', NULL, NULL, NULL, NULL, 'LYSM-DOMAIN RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(140185, NULL, 'PTHR10903:SF145', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST 34, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(140186, NULL, 'PTHR20843', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(140187, NULL, 'PTHR43634:SF3', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(140188, NULL, 'PTHR43784', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00820)-RELATED', NULL, NULL, NULL, 15),
(140189, NULL, 'PTHR27003:SF261', NULL, NULL, NULL, NULL, 'OS07G0147600 PROTEIN', NULL, NULL, NULL, 15),
(140190, NULL, 'PTHR23504:SF91', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(140191, NULL, 'PTHR11660:SF69', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 PROTEIN', NULL, NULL, NULL, 15),
(140192, NULL, 'PTHR23233:SF51', NULL, NULL, NULL, NULL, 'SAL-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(140193, NULL, 'PTHR47980:SF24', NULL, NULL, NULL, NULL, 'LD44762P', NULL, NULL, NULL, 15),
(140194, NULL, 'PTHR14359:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENOYLCYSTEINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(140195, NULL, 'PTHR27005:SF389', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140196, NULL, 'PTHR11645:SF22', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE 3', NULL, NULL, NULL, 15),
(140197, NULL, 'PTHR33644:SF4', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 63', NULL, NULL, NULL, 15),
(140198, NULL, 'PTHR38117:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140199, NULL, 'PTHR10497:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140200, NULL, 'PTHR45834:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140201, NULL, 'PTHR16983:SF16', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN CONTAINING 2', NULL, NULL, NULL, 15),
(140202, NULL, 'PTHR23201:SF69', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140203, NULL, 'PTHR43228:SF18', NULL, NULL, NULL, NULL, 'BNAA05G33130D PROTEIN', NULL, NULL, NULL, 15),
(140204, NULL, 'PTHR48004:SF44', NULL, NULL, NULL, NULL, 'OS11G0173700 PROTEIN', NULL, NULL, NULL, 15),
(140205, NULL, 'PTHR33179:SF48', NULL, NULL, NULL, NULL, 'VQ-RELATED', NULL, NULL, NULL, 15),
(140206, NULL, 'PTHR34558:SF9', NULL, NULL, NULL, NULL, 'F3L24.15 PROTEIN', NULL, NULL, NULL, 15),
(140207, NULL, 'PTHR10159:SF522', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND PHOSPHATASE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(140208, NULL, 'PTHR31681:SF74', NULL, NULL, NULL, NULL, 'OS01G0785900 PROTEIN', NULL, NULL, NULL, 15),
(140209, NULL, 'PTHR31529:SF25', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 30', NULL, NULL, NULL, 15),
(140210, NULL, 'PTHR30615:SF8', NULL, NULL, NULL, NULL, 'UPF0047 PROTEIN C4A8.02C', NULL, NULL, NULL, 15),
(140211, NULL, 'PTHR24147:SF34', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 18A', NULL, NULL, NULL, 15),
(140212, NULL, 'PTHR32176:SF72', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(140213, NULL, 'PTHR43670:SF64', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(140214, NULL, 'PTHR43420:SF37', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, GNAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140215, NULL, 'PTHR11062:SF253', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140216, NULL, 'PTHR45721:SF9', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFA-2-RELATED', NULL, NULL, NULL, 15),
(140217, NULL, 'PTHR43789:SF1', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 1-RELATED', NULL, NULL, NULL, 15),
(140218, NULL, 'PTHR34287:SF2', NULL, NULL, NULL, NULL, 'OS06G0551500 PROTEIN', NULL, NULL, NULL, 15),
(140219, NULL, 'PTHR31636:SF253', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(140220, NULL, 'PTHR23273:SF46', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT B-LIKE', NULL, NULL, NULL, 15),
(140221, NULL, 'PTHR43652:SF2', NULL, NULL, NULL, NULL, 'BASIC AMINO ACID ANTIPORTER YFCC-RELATED', NULL, NULL, NULL, 15),
(140222, NULL, 'PTHR10404:SF70', NULL, NULL, NULL, NULL, 'TRANSFERRIN RECEPTOR 1B', NULL, NULL, NULL, 15),
(140223, NULL, 'PTHR16100', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE-INTERACTING PROTEIN FAMILY MEMBER', NULL, NULL, NULL, 15),
(140224, NULL, 'PTHR11945:SF641', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140225, NULL, 'PTHR31607:SF19', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1216)-RELATED', NULL, NULL, NULL, 15),
(140226, NULL, 'PTHR31614:SF30', NULL, NULL, NULL, NULL, '80A08_10', NULL, NULL, NULL, 15),
(140227, NULL, 'PTHR36172', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140228, NULL, 'PTHR10992:SF1004', NULL, NULL, NULL, NULL, 'ESTERASE PIR7B', NULL, NULL, NULL, 15),
(140229, NULL, 'PTHR11654:SF102', NULL, NULL, NULL, NULL, 'DIPEPTIDE AND TRIPEPTIDE PERMEASE B', NULL, NULL, 16680, 15),
(140230, NULL, 'PTHR31286:SF73', NULL, NULL, NULL, NULL, 'BNAANNG03470D PROTEIN', NULL, NULL, NULL, 15),
(140231, NULL, 'PTHR45693:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140232, NULL, 'PTHR16130', NULL, NULL, NULL, NULL, 'LYSOSOMAL COBALAMIN TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(140233, NULL, 'PTHR22958:SF32', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(140234, NULL, 'PTHR38616:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG03925', NULL, NULL, NULL, 15),
(140235, NULL, 'PTHR14049:SF14', NULL, NULL, NULL, NULL, 'PROLYL 3-HYDROXYLASE 3', NULL, NULL, 31504, 15),
(140236, NULL, 'PTHR24302:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 3A43', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140237, NULL, 'PTHR24028:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140238, NULL, 'PTHR44083:SF30', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140239, NULL, 'PTHR26451:SF146', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2A25-RELATED', NULL, NULL, NULL, 15),
(140240, NULL, 'PTHR31218:SF247', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(140241, NULL, 'PTHR46691:SF1', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 9', NULL, NULL, NULL, 15),
(140242, NULL, 'PTHR33473:SF15', NULL, NULL, NULL, NULL, 'BNAA07G24510D PROTEIN', NULL, NULL, NULL, 15),
(140243, NULL, 'PTHR21308:SF8', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G09620)', NULL, NULL, NULL, 15),
(140244, NULL, 'PTHR31140:SF46', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(140245, NULL, 'PTHR12784:SF28', NULL, NULL, NULL, NULL, 'PROTEIN SICKIE', NULL, NULL, NULL, 15),
(140246, NULL, 'PTHR45676:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140247, NULL, 'PTHR11548:SF14', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DIHYDROFOLATE REDUCTASE-THYMIDYLATE SYNTHASE', NULL, NULL, NULL, 15),
(140248, NULL, 'PTHR10744:SF7', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S17, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(140249, NULL, 'PTHR10513:SF19', NULL, NULL, NULL, NULL, 'DEOXYCYTIDINE KINASE', NULL, NULL, NULL, 15),
(140250, NULL, 'PTHR21428', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 7', NULL, NULL, 13879, 15),
(140251, NULL, 'PTHR46836:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140252, NULL, 'PTHR47119:SF4', NULL, NULL, NULL, NULL, 'C GLOBULAR STAGE ISOFORM 1', NULL, NULL, NULL, 15),
(140253, NULL, 'PTHR21654:SF31', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GTL2', NULL, NULL, NULL, 15),
(140254, NULL, 'PTHR30503:SF3', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YEDI', NULL, NULL, NULL, 15),
(140255, NULL, 'PTHR31131:SF2', NULL, NULL, NULL, NULL, 'CYTOSOLIC ARGININE SENSOR FOR MTORC1 SUBUNIT 2-RELATED', NULL, NULL, NULL, 15),
(140256, NULL, 'PTHR12370:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(140257, NULL, 'PTHR14592', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED FAM3', NULL, NULL, 35907, 15),
(140258, NULL, 'PTHR45632', NULL, NULL, NULL, NULL, 'LD33804P', NULL, NULL, NULL, 15),
(140259, NULL, 'PTHR16134:SF19', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 18', NULL, NULL, NULL, 15),
(140260, NULL, 'PTHR19308:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140261, NULL, 'PTHR35566', NULL, NULL, NULL, NULL, 'BLR3599 PROTEIN', NULL, NULL, 7992, 15),
(140262, NULL, 'PTHR11926:SF1394', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(140263, NULL, 'PTHR34033', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT BETA-1', NULL, NULL, 34682, 15),
(140264, NULL, 'PTHR11709:SF370', NULL, NULL, NULL, NULL, 'LACCASE-22', NULL, NULL, NULL, 15),
(140265, NULL, 'PTHR26453:SF318', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2J2', NULL, NULL, NULL, 15),
(140266, NULL, 'PTHR32093:SF152', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(140267, NULL, 'PTHR12197:SF268', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140268, NULL, 'PTHR24062:SF146', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 3', NULL, NULL, NULL, 15),
(140269, NULL, 'PTHR22744:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG05970', NULL, NULL, NULL, 15),
(140270, NULL, 'PTHR24296:SF181', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140271, NULL, 'PTHR33264:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140272, NULL, 'PTHR14336:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140273, NULL, 'PTHR11607:SF3', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE 2-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140274, NULL, 'PTHR37971', NULL, NULL, NULL, NULL, 'ANTIBACTERIAL FACTOR-RELATED PEPTIDE 1-RELATED', NULL, NULL, 25758, 15),
(140275, NULL, 'PTHR22932:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140276, NULL, 'PTHR46510:SF1', NULL, NULL, NULL, NULL, 'BROMODOMAIN ADJACENT TO ZINC FINGER DOMAIN PROTEIN 1A', NULL, NULL, NULL, 15),
(140277, NULL, 'PTHR47933:SF7', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140278, NULL, 'PTHR23334:SF5', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN ALPHA', NULL, NULL, NULL, 15),
(140279, NULL, 'PTHR10424:SF71', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP PABLB MEMBER 1 ENV POLYPROTEIN', NULL, NULL, NULL, 15),
(140280, NULL, 'PTHR23315:SF290', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(140281, NULL, 'PTHR31923:SF27', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(140282, NULL, 'PTHR43721:SF23', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU', NULL, NULL, NULL, 15),
(140283, NULL, 'PTHR11062:SF255', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT17-RELATED', NULL, NULL, NULL, 15),
(140284, NULL, 'PTHR13604', NULL, NULL, NULL, NULL, 'DC12-RELATED', NULL, NULL, 6377, 15),
(140285, NULL, 'PTHR34960', NULL, NULL, NULL, NULL, 'EMB|CAB68146.1-RELATED', NULL, NULL, NULL, 15),
(140286, NULL, 'PTHR10994:SF145', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B13', NULL, NULL, NULL, 15),
(140287, NULL, 'PTHR11984:SF111', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', NULL, NULL, NULL, 15),
(140288, NULL, 'PTHR33163:SF27', NULL, NULL, NULL, NULL, 'PROTEIN TIC 214', NULL, NULL, NULL, 15),
(140289, NULL, 'PTHR31385:SF2', NULL, NULL, NULL, NULL, 'F5O8.19 PROTEIN', NULL, NULL, NULL, 15),
(140290, NULL, 'PTHR28208:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE APP1', NULL, NULL, NULL, 15),
(140291, NULL, 'PTHR24221:SF496', NULL, NULL, NULL, NULL, 'TRANSPORTER ABC DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(140292, NULL, 'PTHR34271', NULL, NULL, NULL, NULL, 'NUCLEOLAR HISTONE METHYLTRANSFERASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(140293, NULL, 'PTHR31625:SF65', NULL, NULL, NULL, NULL, '5-AROMATIC ACYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140294, NULL, 'PTHR11588:SF292', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1D CHAIN', NULL, NULL, NULL, 15),
(140295, NULL, 'PTHR48099:SF11', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL METHYLENETETRAHYDROFOLATE DEHYDROGENASE/CYCLOHYDROLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(140296, NULL, 'PTHR45658:SF20', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 14', NULL, NULL, NULL, 15),
(140297, NULL, 'PTHR13068:SF159', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140298, NULL, 'PTHR21234:SF19', NULL, NULL, NULL, NULL, 'BARK STORAGE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(140299, NULL, 'PTHR33076:SF49', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2B-LIKE', NULL, NULL, NULL, 15),
(140300, NULL, 'PTHR13844:SF60', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140301, NULL, 'PTHR11926:SF1425', NULL, NULL, NULL, NULL, 'OS07G0241800 PROTEIN', NULL, NULL, NULL, 15),
(140302, NULL, 'PTHR13780:SF145', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT GAMMA 1-RELATED', NULL, NULL, NULL, 15),
(140303, NULL, 'PTHR21503:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG08432', NULL, NULL, NULL, 15),
(140304, NULL, 'PTHR28047:SF5', NULL, NULL, NULL, NULL, 'PROTEIN DCG1', NULL, NULL, NULL, 15),
(140305, NULL, 'PTHR24373:SF265', NULL, NULL, NULL, NULL, 'SI:CH211-180F4.1', NULL, NULL, NULL, 15),
(140306, NULL, 'PTHR20961:SF101', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', NULL, NULL, NULL, 15),
(140307, NULL, 'PTHR13417', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(140308, NULL, 'PTHR11514:SF137', NULL, NULL, NULL, NULL, 'BNAA06G35910D PROTEIN', NULL, NULL, NULL, 15),
(140309, NULL, 'PTHR42856', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE PAAI', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140310, NULL, 'PTHR34464:SF10', NULL, NULL, NULL, NULL, 'BNAANNG04910D PROTEIN', NULL, NULL, NULL, 15),
(140311, NULL, 'PTHR16435:SF8', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED 6-LIKE', NULL, NULL, NULL, 15),
(140312, NULL, 'PTHR46020:SF25', NULL, NULL, NULL, NULL, 'BNAA09G15670D PROTEIN', NULL, NULL, NULL, 15),
(140313, NULL, 'PTHR23248:SF32', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', NULL, NULL, NULL, 15),
(140314, NULL, 'PTHR11709:SF354', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(140315, NULL, 'PTHR24351:SF210', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(140316, NULL, 'PTHR12062:SF0', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE A-LIKE', NULL, NULL, NULL, 15),
(140317, NULL, 'PTHR21538', NULL, NULL, NULL, NULL, 'ANILLIN/RHOTEKIN  RTKN', NULL, NULL, NULL, 15),
(140318, NULL, 'PTHR11055:SF46', NULL, NULL, NULL, NULL, 'ATP SULFURYLASE 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(140319, NULL, 'PTHR15532:SF2', NULL, NULL, NULL, NULL, 'DERMATAN-SULFATE EPIMERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(140320, NULL, 'PTHR31744:SF104', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 100', NULL, NULL, NULL, 15),
(140321, NULL, 'PTHR23203:SF8', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(140322, NULL, 'PTHR46742', NULL, NULL, NULL, NULL, 'LYSINE-RICH COILED-COIL PROTEIN 1', NULL, NULL, NULL, 15),
(140323, NULL, 'PTHR10353:SF176', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 29', NULL, NULL, NULL, 15),
(140324, NULL, 'PTHR46100:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140325, NULL, 'PTHR43903', NULL, NULL, NULL, NULL, 'NEUROLIGIN', NULL, NULL, NULL, 15),
(140326, NULL, 'PTHR11945:SF516', NULL, NULL, NULL, NULL, 'OS02G0104100 PROTEIN', NULL, NULL, NULL, 15),
(140327, NULL, 'PTHR23130:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140328, NULL, 'PTHR37180:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140329, NULL, 'PTHR10353:SF219', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 5', NULL, NULL, NULL, 15),
(140330, NULL, 'PTHR21495:SF166', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(140331, NULL, 'PTHR23359:SF166', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', NULL, NULL, NULL, 15),
(140332, NULL, 'PTHR46149:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-27J5.5-RELATED', NULL, NULL, NULL, 15),
(140333, NULL, 'PTHR16675:SF3', NULL, NULL, NULL, NULL, 'IGG RECEPTOR FCRN LARGE SUBUNIT P51', NULL, NULL, NULL, 15),
(140334, NULL, 'PTHR42897:SF1', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE BETA CHAIN (PYRUVIC-FERREDOXIN OXIDOREDUCTASE BETA CHAIN) (PORB-2)', NULL, NULL, NULL, 15),
(140335, NULL, 'PTHR10168:SF290', NULL, NULL, NULL, NULL, 'THIOREDOXIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140336, NULL, 'PTHR30414:SF0', NULL, NULL, NULL, NULL, 'MINICONDUCTANCE MECHANOSENSITIVE CHANNEL YBDG', NULL, NULL, NULL, 15),
(140337, NULL, 'PTHR24012:SF843', NULL, NULL, NULL, NULL, 'CUGBP ELAV-LIKE FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(140338, NULL, 'PTHR23279:SF5', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 8, ISOFORM A', NULL, NULL, NULL, 15),
(140339, NULL, 'PTHR34360:SF14', NULL, NULL, NULL, NULL, 'BNAA09G41410D PROTEIN', NULL, NULL, NULL, 15),
(140340, NULL, 'PTHR13164:SF5', NULL, NULL, NULL, NULL, 'CALCYCLIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(140341, NULL, 'PTHR10314:SF201', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(140342, NULL, 'PTHR46128:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140343, NULL, 'PTHR37702:SF11', NULL, NULL, NULL, NULL, 'BNAA05G30670D PROTEIN', NULL, NULL, NULL, 15),
(140344, NULL, 'PTHR13710', NULL, NULL, NULL, NULL, 'DNA HELICASE RECQ FAMILY MEMBER', NULL, NULL, NULL, 15),
(140345, NULL, 'PTHR13049:SF8', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 25', NULL, NULL, NULL, 15),
(140346, NULL, 'PTHR18868:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140347, NULL, 'PTHR11890:SF7', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-LIKE 1', NULL, NULL, NULL, 15),
(140348, NULL, 'PTHR11699:SF228', NULL, NULL, NULL, NULL, '4-TRIMETHYLAMINOBUTYRALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(140349, NULL, 'PTHR23288', NULL, NULL, NULL, NULL, 'OCCLUDIN AND RNA POLYMERASE II ELONGATION FACTOR ELL', NULL, NULL, 27917, 15),
(140350, NULL, 'PTHR23336:SF44', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 6', NULL, NULL, NULL, 15),
(140351, NULL, 'PTHR38788:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140352, NULL, 'PTHR12386:SF34', NULL, NULL, NULL, NULL, 'ATPASE, F0 COMPLEX, SUBUNIT G-RELATED', NULL, NULL, NULL, 15),
(140353, NULL, 'PTHR11064:SF120', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT BETA', NULL, NULL, NULL, 15),
(140354, NULL, 'PTHR48056:SF11', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', NULL, NULL, NULL, 15),
(140355, NULL, 'PTHR23158', NULL, NULL, NULL, NULL, 'MELANOMA INHIBITORY ACTIVITY-RELATED', NULL, NULL, NULL, 15),
(140356, NULL, 'PTHR31985:SF142', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF036', NULL, NULL, NULL, 15),
(140357, NULL, 'PTHR45636:SF9', NULL, NULL, NULL, NULL, 'SEGMENTATION PROTEIN PAIRED', NULL, NULL, NULL, 15),
(140358, NULL, 'PTHR13027:SF15', NULL, NULL, NULL, NULL, 'VACUOLAR FUSION PROTEIN MON1-RELATED', NULL, NULL, NULL, 15),
(140359, NULL, 'PTHR43085:SF13', NULL, NULL, NULL, NULL, 'INOSITOL 3-KINASE', NULL, NULL, 26405, 15),
(140360, NULL, 'PTHR45979:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140361, NULL, 'PTHR31376:SF55', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 1', NULL, NULL, NULL, 15),
(140362, NULL, 'PTHR46218:SF2', NULL, NULL, NULL, NULL, 'LIM AND SH3 DOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(140363, NULL, 'PTHR10381:SF66', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', NULL, NULL, NULL, 15),
(140364, NULL, 'PTHR43349:SF74', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE-RELATED', NULL, NULL, NULL, 15),
(140365, NULL, 'PTHR11644:SF24', NULL, NULL, NULL, NULL, 'CYTIDINE DEAMINASE', NULL, NULL, NULL, 15),
(140366, NULL, 'PTHR13061:SF39', NULL, NULL, NULL, NULL, 'YRDA, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140367, NULL, 'PTHR15615:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140368, NULL, 'PTHR23506:SF23', NULL, NULL, NULL, NULL, 'GH10249P', NULL, NULL, NULL, 15),
(140369, NULL, 'PTHR47938:SF16', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(140370, NULL, 'PTHR12313:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA3', NULL, NULL, NULL, 15),
(140371, NULL, 'PTHR12411:SF697', NULL, NULL, NULL, NULL, 'BNAA01G05320D PROTEIN', NULL, NULL, NULL, 15),
(140372, NULL, 'PTHR11461:SF164', NULL, NULL, NULL, NULL, 'UTEROFERRIN-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(140373, NULL, 'PTHR31852:SF154', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(140374, NULL, 'PTHR17630:SF52', NULL, NULL, NULL, NULL, 'ENDO-1,3-1,4-BETA-D-GLUCANASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(140375, NULL, 'PTHR31752', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 1B-RELATED', NULL, NULL, NULL, 15),
(140376, NULL, 'PTHR12998:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140377, NULL, 'PTHR16771:SF0', NULL, NULL, NULL, NULL, '26S PROTEASOME COMPLEX SUBUNIT SEM1', NULL, NULL, NULL, 15),
(140378, NULL, 'PTHR46756:SF18', NULL, NULL, NULL, NULL, 'PROTEIN OPAQUE10', NULL, NULL, NULL, 15),
(140379, NULL, 'PTHR22849:SF114', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(140380, NULL, 'PTHR47027:SF8', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE FROM TRANSPOSON BS-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140381, NULL, 'PTHR35355', NULL, NULL, NULL, NULL, 'PROTEIN FAM229A', NULL, NULL, 22327, 15),
(140382, NULL, 'PTHR43179:SF1', NULL, NULL, NULL, NULL, 'GALACTOFURANOSYLTRANSFERASE GLFT1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140383, NULL, 'PTHR34630:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140384, NULL, 'PTHR47483:SF1', NULL, NULL, NULL, NULL, 'BETA-ARABINOFURANOSYLTRANSFERASE RAY1', NULL, NULL, NULL, 15),
(140385, NULL, 'PTHR46869:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT9-LIKE', NULL, NULL, NULL, 15),
(140386, NULL, 'PTHR34200:SF8', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(140387, NULL, 'PTHR46326:SF10', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(140388, NULL, 'PTHR31273:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOKETOLASE-RELATED', NULL, NULL, NULL, 15),
(140389, NULL, 'PTHR43597:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140390, NULL, 'PTHR22603:SF66', NULL, NULL, NULL, NULL, 'ETHANOLAMINE KINASE 1', NULL, NULL, NULL, 15),
(140391, NULL, 'PTHR15092:SF42', NULL, NULL, NULL, NULL, 'POLY(A)-SPECIFIC RIBONUCLEASE PARN-LIKE', NULL, NULL, NULL, 15),
(140392, NULL, 'PTHR24296:SF143', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 96, SUBFAMILY A, POLYPEPTIDE 5', NULL, NULL, NULL, 15),
(140393, NULL, 'PTHR12300:SF151', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(140394, NULL, 'PTHR31366', NULL, NULL, NULL, NULL, 'UPF0739 PROTEIN C1ORF74', NULL, NULL, 27952, 15),
(140395, NULL, 'PTHR31906:SF32', NULL, NULL, NULL, NULL, 'PLASTID LIPID-ASSOCIATED PROTEIN/FIBRILLIN CONSERVED DOMAIN', NULL, NULL, NULL, 15),
(140396, NULL, 'PTHR35794', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DIVIVA', NULL, NULL, 2195, 15),
(140397, NULL, 'PTHR12313:SF53', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(140398, NULL, 'PTHR37534:SF20', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(140399, NULL, 'PTHR46701:SF7', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE KOBITO 1', NULL, NULL, NULL, 15),
(140400, NULL, 'PTHR23024:SF502', NULL, NULL, NULL, NULL, 'PEPPER ESTERASE', NULL, NULL, NULL, 15),
(140401, NULL, 'PTHR46629:SF23', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(140402, NULL, 'PTHR45874:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D10', NULL, NULL, NULL, 15),
(140403, NULL, 'PTHR43379:SF6', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE 2-RELATED', NULL, NULL, NULL, 15),
(140404, NULL, 'PTHR11949:SF6', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 4', NULL, NULL, NULL, 15),
(140405, NULL, 'PTHR45892:SF1', NULL, NULL, NULL, NULL, 'AMINOACYLASE-1', NULL, NULL, NULL, 15),
(140406, NULL, 'PTHR47158:SF1', NULL, NULL, NULL, NULL, 'OS08G0239000 PROTEIN', NULL, NULL, NULL, 15),
(140407, NULL, 'PTHR11588:SF374', NULL, NULL, NULL, NULL, 'DELTA TUBULIN', NULL, NULL, NULL, 15),
(140408, NULL, 'PTHR31549:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140409, NULL, 'PTHR22921:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG25532', NULL, NULL, NULL, 15),
(140410, NULL, 'PTHR23099', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(140411, NULL, 'PTHR21050', NULL, NULL, NULL, NULL, 'MIDKINE AND PLEIOTROPHIN 1, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(140412, NULL, 'PTHR13817:SF75', NULL, NULL, NULL, NULL, 'HEMICENTIN 2', NULL, NULL, NULL, 15),
(140413, NULL, 'PTHR24286:SF286', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(140414, NULL, 'PTHR34126:SF6', NULL, NULL, NULL, NULL, 'BNACNNG43580D PROTEIN', NULL, NULL, NULL, 15),
(140415, NULL, 'PTHR21708:SF41', NULL, NULL, NULL, NULL, 'BLL3147 PROTEIN', NULL, NULL, NULL, 15),
(140416, NULL, 'PTHR39192:SF1', NULL, NULL, NULL, NULL, 'IRON UPTAKE SYSTEM COMPONENT EFEO', NULL, NULL, NULL, 15),
(140417, NULL, 'PTHR47729', NULL, NULL, NULL, NULL, 'SERINE PEPTIDASE INHIBITOR, KAZAL TYPE 2, TANDEM DUPLICATE 1-RELATED', NULL, NULL, NULL, 15),
(140418, NULL, 'PTHR11871', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE PP2A REGULATORY SUBUNIT B', NULL, NULL, 2914, 15),
(140419, NULL, 'PTHR23322:SF88', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140420, NULL, 'PTHR24223:SF397', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE ASSOCIATED PROTEIN MRP2', NULL, NULL, NULL, 15),
(140421, NULL, 'PTHR21089', NULL, NULL, NULL, NULL, 'SHIKIMATE DEHYDROGENASE', NULL, NULL, 14711, 15),
(140422, NULL, 'PTHR24055:SF200', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 19', NULL, NULL, NULL, 15),
(140423, NULL, 'PTHR14217:SF1', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', NULL, NULL, NULL, 15),
(140424, NULL, 'PTHR34394', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 2310022B05', NULL, NULL, NULL, 15),
(140425, NULL, 'PTHR18945:SF862', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140426, NULL, 'PTHR35549:SF4', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(140427, NULL, 'PTHR11945:SF574', NULL, NULL, NULL, NULL, 'BNAC09G14350D PROTEIN', NULL, NULL, NULL, 15),
(140428, NULL, 'PTHR47926:SF275', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140429, NULL, 'PTHR11260:SF679', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(140430, NULL, 'PTHR43041', NULL, NULL, NULL, NULL, 'HYDROLASE, METALLO-BETA-LACTAMASE SUPERFAMILY', NULL, NULL, NULL, 15),
(140431, NULL, 'PTHR11654:SF357', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.10', NULL, NULL, NULL, 15),
(140432, NULL, 'PTHR24296:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140433, NULL, 'PTHR17068:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140434, NULL, 'PTHR44981', NULL, NULL, NULL, NULL, 'PERICENTRIN-LIKE PROTEIN, ISOFORM F', NULL, NULL, 29269, 15),
(140435, NULL, 'PTHR11751:SF472', NULL, NULL, NULL, NULL, 'GLUTAMATE--GLYOXYLATE AMINOTRANSFERASE 1', NULL, NULL, NULL, 15),
(140436, NULL, 'PTHR10332:SF67', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 4', NULL, NULL, NULL, 15),
(140437, NULL, 'PTHR45753', NULL, NULL, NULL, NULL, 'ORNITHINE CARBAMOYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(140438, NULL, 'PTHR47204', NULL, NULL, NULL, NULL, 'OS02G0168900 PROTEIN', NULL, NULL, NULL, 15),
(140439, NULL, 'PTHR45737:SF3', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 5A', NULL, NULL, NULL, 15),
(140440, NULL, 'PTHR31270:SF2', NULL, NULL, NULL, NULL, 'GLUTAMINYL-PEPTIDE CYCLOTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(140441, NULL, 'PTHR11662:SF207', NULL, NULL, NULL, NULL, 'VESICULAR GLUTAMATE TRANSPORTER 3', NULL, NULL, NULL, 15),
(140442, NULL, 'PTHR24377:SF865', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 655', NULL, NULL, NULL, 15),
(140443, NULL, 'PTHR24349:SF413', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(140444, NULL, 'PTHR12210:SF124', NULL, NULL, NULL, NULL, 'OS05G0466800 PROTEIN', NULL, NULL, NULL, 15),
(140445, NULL, 'PTHR43572:SF46', NULL, NULL, NULL, NULL, 'BNAANNG15800D PROTEIN', NULL, NULL, NULL, 15),
(140446, NULL, 'PTHR10336:SF150', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(140447, NULL, 'PTHR47334:SF2', NULL, NULL, NULL, NULL, 'SPLICING FACTOR PWI DOMAIN-CONTAINING PROTEIN / RNA RECOGNITION MOTIF (RRM)-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(140448, NULL, 'PTHR47842:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(140449, NULL, 'PTHR11453:SF38', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(140450, NULL, 'PTHR37398', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,4-MANNANASE', NULL, NULL, NULL, 15),
(140451, NULL, 'PTHR10574:SF298', NULL, NULL, NULL, NULL, 'MULTIPLE EPIDERMAL GROWTH FACTOR-LIKE DOMAINS PROTEIN 9', NULL, NULL, NULL, 15),
(140452, NULL, 'PTHR30026:SF4', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE EFFLUX PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140453, NULL, 'PTHR33159:SF6', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4', NULL, NULL, NULL, 15),
(140454, NULL, 'PTHR26451:SF345', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6N2', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140455, NULL, 'PTHR46347:SF3', NULL, NULL, NULL, NULL, 'OS01G0610700 PROTEIN', NULL, NULL, NULL, 15),
(140456, NULL, 'PTHR21399:SF0', NULL, NULL, NULL, NULL, 'METHYLOSOME SUBUNIT PICLN', NULL, NULL, NULL, 15),
(140457, NULL, 'PTHR19877:SF12', NULL, NULL, NULL, NULL, 'BNAC06G05570D PROTEIN', NULL, NULL, NULL, 15),
(140458, NULL, 'PTHR27006:SF188', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(140459, NULL, 'PTHR48011:SF44', NULL, NULL, NULL, NULL, 'BNAA05G35330D PROTEIN', NULL, NULL, NULL, 15),
(140460, NULL, 'PTHR34710', NULL, NULL, NULL, NULL, 'OS03G0834100 PROTEIN', NULL, NULL, NULL, 15),
(140461, NULL, 'PTHR45942', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPATASE 3 REGULATORY SUBUNIT B ALPHA ISOFORM TYPE 1', NULL, NULL, 11759, 15),
(140462, NULL, 'PTHR10544:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28-2', NULL, NULL, NULL, 15),
(140463, NULL, 'PTHR43727:SF3', NULL, NULL, NULL, NULL, 'DECARBOXYLASE-RELATED', NULL, NULL, NULL, 15),
(140464, NULL, 'PTHR43853:SF12', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE (KAT1), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G11350)-RELATED', NULL, NULL, NULL, 15),
(140465, NULL, 'PTHR33826:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140466, NULL, 'PTHR46100:SF1', NULL, NULL, NULL, NULL, 'OS02G0773200 PROTEIN', NULL, NULL, NULL, 15),
(140467, NULL, 'PTHR31509:SF72', NULL, NULL, NULL, NULL, 'BPS1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(140468, NULL, 'PTHR48011:SF6', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE', NULL, NULL, NULL, 15),
(140469, NULL, 'PTHR48012:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(140470, NULL, 'PTHR35130:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 16', NULL, NULL, NULL, 15),
(140471, NULL, 'PTHR22621:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140472, NULL, 'PTHR46553:SF11', NULL, NULL, NULL, NULL, 'OS07G0673400 PROTEIN', NULL, NULL, NULL, 15),
(140473, NULL, 'PTHR35353:SF1', NULL, NULL, NULL, NULL, 'OSTEOCRIN', NULL, NULL, NULL, 15),
(140474, NULL, 'PTHR34460:SF6', NULL, NULL, NULL, NULL, 'OS02G0526700 PROTEIN', NULL, NULL, NULL, 15),
(140475, NULL, 'PTHR31681:SF3', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(140476, NULL, 'PTHR15316:SF7', NULL, NULL, NULL, NULL, 'BNACNNG40980D PROTEIN', NULL, NULL, NULL, 15),
(140477, NULL, 'PTHR11258:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140478, NULL, 'PTHR48080:SF1', NULL, NULL, NULL, NULL, 'GLUCARATE DEHYDRATASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(140479, NULL, 'PTHR27004:SF390', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140480, NULL, 'PTHR10985:SF13', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(140481, NULL, 'PTHR36476:SF1', NULL, NULL, NULL, NULL, 'OREXIGENIC NEUROPEPTIDE QRFP', NULL, NULL, NULL, 15),
(140482, NULL, 'PTHR19444:SF11', NULL, NULL, NULL, NULL, 'AGAP001337-PA', NULL, NULL, NULL, 15),
(140483, NULL, 'PTHR24070:SF266', NULL, NULL, NULL, NULL, 'RAS-LIKE WITHOUT CAAX 1', NULL, NULL, NULL, 15),
(140484, NULL, 'PTHR37724:SF1', NULL, NULL, NULL, NULL, 'OS02G0564300 PROTEIN', NULL, NULL, NULL, 15),
(140485, NULL, 'PTHR10414:SF47', NULL, NULL, NULL, NULL, 'ETHANOLAMINEPHOSPHOTRANSFERASE 1', NULL, NULL, NULL, 15),
(140486, NULL, 'PTHR27004:SF367', NULL, NULL, NULL, NULL, 'OS12G0217500 PROTEIN', NULL, NULL, NULL, 15),
(140487, NULL, 'PTHR47575:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(140488, NULL, 'PTHR14155:SF548', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140489, NULL, 'PTHR37558:SF2', NULL, NULL, NULL, NULL, 'PROTEIN B, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140490, NULL, 'PTHR34223:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140491, NULL, 'PTHR24002', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 18', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140492, NULL, 'PTHR24282:SF149', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 72 PROTEIN', NULL, NULL, NULL, 15),
(140493, NULL, 'PTHR46413:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140494, NULL, 'PTHR23138:SF144', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN', NULL, NULL, NULL, 15),
(140495, NULL, 'PTHR46253:SF3', NULL, NULL, NULL, NULL, 'TGF-BETA-ACTIVATED KINASE 1 AND MAP3K7-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(140496, NULL, 'PTHR12703:SF6', NULL, NULL, NULL, NULL, 'PORE MEMBRANE PROTEIN OF 33 KDA', NULL, NULL, NULL, 15),
(140497, NULL, 'PTHR43019:SF42', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(140498, NULL, 'PTHR32444:SF51', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140499, NULL, 'PTHR37371:SF1', NULL, NULL, NULL, NULL, 'OS08G0180400 PROTEIN', NULL, NULL, NULL, 15),
(140500, NULL, 'PTHR15739', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(140501, NULL, 'PTHR11219:SF65', NULL, NULL, NULL, NULL, 'TENEURIN-3', NULL, NULL, 26067, 15),
(140502, NULL, 'PTHR44137:SF15', NULL, NULL, NULL, NULL, 'MOLECULAR CHAPERONE HSP40/DNAJ FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140503, NULL, 'PTHR31087:SF87', NULL, NULL, NULL, NULL, 'PROTEIN LURP1', NULL, NULL, NULL, 15),
(140504, NULL, 'PTHR31376:SF86', NULL, NULL, NULL, NULL, 'BNAA06G13950D PROTEIN', NULL, NULL, NULL, 15),
(140505, NULL, 'PTHR12283:SF6', NULL, NULL, NULL, NULL, 'GH11174P-RELATED', NULL, NULL, NULL, 15),
(140506, NULL, 'PTHR28290:SF1', NULL, NULL, NULL, NULL, 'ENHANCER OF TRANSLATION TERMINATION 1', NULL, NULL, NULL, 15),
(140507, NULL, 'PTHR24320:SF213', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 12-LIKE', NULL, NULL, NULL, 15),
(140508, NULL, 'PTHR26452:SF52', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(140509, NULL, 'PTHR10412:SF11', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE GLUCOSIDASE', NULL, NULL, NULL, 15),
(140510, NULL, 'PTHR11278:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15),
(140511, NULL, 'PTHR31500:SF60', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 7-LIKE', NULL, NULL, NULL, 15),
(140512, NULL, 'PTHR10782:SF84', NULL, NULL, NULL, NULL, 'E4 SUMO-PROTEIN LIGASE PIAL2-LIKE', NULL, NULL, NULL, 15),
(140513, NULL, 'PTHR45975:SF2', NULL, NULL, NULL, NULL, 'NUCLEOSOME-REMODELING FACTOR SUBUNIT BPTF', NULL, NULL, NULL, 15),
(140514, NULL, 'PTHR16134:SF45', NULL, NULL, NULL, NULL, 'PROTEIN AUXIN SIGNALING F-BOX 2', NULL, NULL, NULL, 15),
(140515, NULL, 'PTHR43689:SF36', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE BODYGUARD 2-RELATED', NULL, NULL, NULL, 15),
(140516, NULL, 'PTHR24377:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140517, NULL, 'PTHR35335:SF1', NULL, NULL, NULL, NULL, 'UPF0716 PROTEIN FXSA', NULL, NULL, NULL, 15),
(140518, NULL, 'PTHR34980:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140519, NULL, 'PTHR45863:SF8', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140520, NULL, 'PTHR44858:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140521, NULL, 'PTHR10064:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-3-LIKE', NULL, NULL, NULL, 15),
(140522, NULL, 'PTHR34787:SF6', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT VI-1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(140523, NULL, 'PTHR31600:SF2', NULL, NULL, NULL, NULL, 'TINY MACROCYSTS PROTEIN B-RELATED', NULL, NULL, NULL, 15),
(140524, NULL, 'PTHR37418:SF2', NULL, NULL, NULL, NULL, '3-KETO-5-AMINOHEXANOATE CLEAVAGE ENZYME', NULL, NULL, NULL, 15),
(140525, NULL, 'PTHR12294:SF26', NULL, NULL, NULL, NULL, 'OS04G0502900 PROTEIN', NULL, NULL, NULL, 15),
(140526, NULL, 'PTHR36708:SF1', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(140527, NULL, 'PTHR21700:SF42', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140528, NULL, 'PTHR11260:SF685', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U17-LIKE', NULL, NULL, NULL, 15),
(140529, NULL, 'PTHR47534:SF3', NULL, NULL, NULL, NULL, 'YALI0E05731P', NULL, NULL, NULL, 15),
(140530, NULL, 'PTHR44269:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7', NULL, NULL, NULL, 15),
(140531, NULL, 'PTHR11003:SF281', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(140532, NULL, 'PTHR31190:SF301', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140533, NULL, 'PTHR24064:SF196', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 31-RELATED', NULL, NULL, NULL, 15),
(140534, NULL, 'PTHR45648:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140535, NULL, 'PTHR47734', NULL, NULL, NULL, NULL, 'T-CELL IMMUNORECEPTOR WITH IG AND ITIM DOMAINS PROTEIN, TIGIT', NULL, NULL, 38401, 15),
(140536, NULL, 'PTHR11260:SF568', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(140537, NULL, 'PTHR28647', NULL, NULL, NULL, NULL, 'UNIQUE CARTILAGE MATRIX-ASSOCIATED PROTEIN', NULL, NULL, 25489, 15),
(140538, NULL, 'PTHR11558:SF43', NULL, NULL, NULL, NULL, 'SPERMIDINE SYNTHASE', NULL, NULL, NULL, 15),
(140539, NULL, 'PTHR10553:SF2', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', NULL, NULL, NULL, 15),
(140540, NULL, 'PTHR31790:SF380', NULL, NULL, NULL, NULL, 'BNAC04G54070D PROTEIN', NULL, NULL, NULL, 15),
(140541, NULL, 'PTHR46667:SF8', NULL, NULL, NULL, NULL, 'BNAC05G19740D PROTEIN', NULL, NULL, NULL, 15),
(140542, NULL, 'PTHR30151', NULL, NULL, NULL, NULL, 'ALKANE SULFONATE ABC TRANSPORTER-RELATED, MEMBRANE SUBUNIT', NULL, NULL, NULL, 15),
(140543, NULL, 'PTHR31639:SF95', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(140544, NULL, 'PTHR34551:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH 3', NULL, NULL, NULL, 15),
(140545, NULL, 'PTHR11604:SF47', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(140546, NULL, 'PTHR10972:SF153', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(140547, NULL, 'PTHR43031:SF9', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140548, NULL, 'PTHR31642:SF23', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', NULL, NULL, NULL, 15),
(140549, NULL, 'PTHR12411:SF744', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG39', NULL, NULL, NULL, 15),
(140550, NULL, 'PTHR24381:SF348', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 56-RELATED', NULL, NULL, NULL, 15),
(140551, NULL, 'PTHR43180:SF3', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE MDPC-RELATED', NULL, NULL, NULL, 15),
(140552, NULL, 'PTHR12984:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140553, NULL, 'PTHR45872:SF2', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 2, ISOFORM D', NULL, NULL, NULL, 15),
(140554, NULL, 'PTHR31832:SF41', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 24', NULL, NULL, NULL, 15),
(140555, NULL, 'PTHR46086:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140556, NULL, 'PTHR40370', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(140557, NULL, 'PTHR46175:SF2', NULL, NULL, NULL, NULL, 'ADAGIO PROTEIN 3', NULL, NULL, NULL, 15),
(140558, NULL, 'PTHR13068:SF38', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140559, NULL, 'PTHR11795:SF442', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(140560, NULL, 'PTHR23147:SF183', NULL, NULL, NULL, NULL, 'SERINE AND ARGININE-RICH-SPLICING FACTOR 10B', NULL, NULL, NULL, 15),
(140561, NULL, 'PTHR12632:SF36', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-5', NULL, NULL, NULL, 15),
(140562, NULL, 'PTHR22774:SF19', NULL, NULL, NULL, NULL, 'BNAA05G20220D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140563, NULL, 'PTHR10766:SF36', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 2', NULL, NULL, NULL, 15),
(140564, NULL, 'PTHR10909:SF377', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, NULL, 15),
(140565, NULL, 'PTHR36180:SF2', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140566, NULL, 'PTHR32467:SF32', NULL, NULL, NULL, NULL, 'OS03G0770700 PROTEIN', NULL, NULL, NULL, 15),
(140567, NULL, 'PTHR31376:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140568, NULL, 'PTHR22975:SF5', NULL, NULL, NULL, NULL, 'INACTIVE UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 54', NULL, NULL, 35911, 15),
(140569, NULL, 'PTHR22883:SF265', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 22-RELATED', NULL, NULL, NULL, 15),
(140570, NULL, 'PTHR44218:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140571, NULL, 'PTHR11311:SF7', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN TYPE-1 DOMAIN-CONTAINING PROTEIN 7B', NULL, NULL, NULL, 15),
(140572, NULL, 'PTHR10151:SF65', NULL, NULL, NULL, NULL, 'ZGC:153896', NULL, NULL, NULL, 15),
(140573, NULL, 'PTHR10165:SF181', NULL, NULL, NULL, NULL, 'PHOSPHATIDIC ACID PHOSPHATASE TYPE 2/HALOPEROXIDASE, LIPID PHOSPHATE PHOSPHATASE, PLANT-RELATED', NULL, NULL, NULL, 15),
(140574, NULL, 'PTHR45747:SF13', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EZA1', NULL, NULL, NULL, 15),
(140575, NULL, 'PTHR27009:SF82', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE', NULL, NULL, NULL, 15),
(140576, NULL, 'PTHR23226:SF210', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 446', NULL, NULL, 24078, 15),
(140577, NULL, 'PTHR43752', NULL, NULL, NULL, NULL, 'BNR/ASP-BOX REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140578, NULL, 'PTHR15690:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 6', NULL, NULL, NULL, 15),
(140579, NULL, 'PTHR15304:SF0', NULL, NULL, NULL, NULL, 'MYOD FAMILY INHIBITOR DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(140580, NULL, 'PTHR31953:SF93', NULL, NULL, NULL, NULL, 'ACID BETA-FRUCTOFURANOSIDASE 4, VACUOLAR', NULL, NULL, NULL, 15),
(140581, NULL, 'PTHR35453', NULL, NULL, NULL, NULL, 'PROSTATE ANDROGEN-REGULATED MUCIN-LIKE PROTEIN 1', NULL, NULL, 28470, 15),
(140582, NULL, 'PTHR23262:SF131', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-9', NULL, NULL, NULL, 15),
(140583, NULL, 'PTHR23084:SF237', NULL, NULL, NULL, NULL, 'BNACNNG56290D PROTEIN', NULL, NULL, NULL, 15),
(140584, NULL, 'PTHR26450:SF37', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51L1', NULL, NULL, NULL, 15),
(140585, NULL, 'PTHR34831', NULL, NULL, NULL, NULL, 'MIGRATION AND INVASION-INHIBITORY PROTEIN', NULL, NULL, 27298, 15),
(140586, NULL, 'PTHR13037', NULL, NULL, NULL, NULL, 'FORMIN', NULL, NULL, NULL, 15),
(140587, NULL, 'PTHR12547:SF125', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 28', NULL, NULL, NULL, 15),
(140588, NULL, 'PTHR24399:SF32', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 37', NULL, NULL, NULL, 15),
(140589, NULL, 'PTHR19211:SF65', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(140590, NULL, 'PTHR32008', NULL, NULL, NULL, NULL, 'MATURIN', NULL, NULL, 27836, 15),
(140591, NULL, 'PTHR47319:SF20', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(140592, NULL, 'PTHR38140:SF6', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 19-1', NULL, NULL, NULL, 15),
(140593, NULL, 'PTHR24223:SF392', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 10-LIKE', NULL, NULL, NULL, 15),
(140594, NULL, 'PTHR12378:SF38', NULL, NULL, NULL, NULL, 'OS03G0100900 PROTEIN', NULL, NULL, NULL, 15),
(140595, NULL, 'PTHR46598:SF1', NULL, NULL, NULL, NULL, 'OS10G0422566 PROTEIN', NULL, NULL, NULL, 15),
(140596, NULL, 'PTHR34228:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG17448', NULL, NULL, NULL, 15),
(140597, NULL, 'PTHR23547', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140598, NULL, 'PTHR40066', NULL, NULL, NULL, NULL, 'UPF0473 PROTEIN CBO2561/CLC_2432', NULL, NULL, 12066, 15),
(140599, NULL, 'PTHR22611', NULL, NULL, NULL, NULL, 'PROTEIN NAKED CUTICLE', NULL, NULL, 35685, 15),
(140600, NULL, 'PTHR12526:SF579', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140601, NULL, 'PTHR32227:SF372', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE', NULL, NULL, NULL, 15),
(140602, NULL, 'PTHR31657:SF49', NULL, NULL, NULL, NULL, 'BNAA03G54460D PROTEIN', NULL, NULL, NULL, 15),
(140603, NULL, 'PTHR31639:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140604, NULL, 'PTHR19282:SF451', NULL, NULL, NULL, NULL, 'PERIPHERIN 2, LIKE', NULL, NULL, NULL, 15),
(140605, NULL, 'PTHR48201:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140606, NULL, 'PTHR14215', NULL, NULL, NULL, NULL, 'PROTEIN OF UNKNOWN FUNCTION DUF729', NULL, NULL, 4210, 15),
(140607, NULL, 'PTHR31696:SF85', NULL, NULL, NULL, NULL, 'BNAA06G33470D PROTEIN', NULL, NULL, NULL, 15),
(140608, NULL, 'PTHR45743:SF38', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KAT3', NULL, NULL, NULL, 15),
(140609, NULL, 'PTHR45675:SF51', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 79', NULL, NULL, NULL, 15),
(140610, NULL, 'PTHR42918:SF7', NULL, NULL, NULL, NULL, 'LEUCYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(140611, NULL, 'PTHR46274:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140612, NULL, 'PTHR22891:SF24', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 5', NULL, NULL, NULL, 15),
(140613, NULL, 'PTHR48017:SF148', NULL, NULL, NULL, NULL, 'PROLINE TRANSPORTER 1', NULL, NULL, NULL, 15),
(140614, NULL, 'PTHR12537:SF59', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN 5, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140615, NULL, 'PTHR37471', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(140616, NULL, 'PTHR24082:SF15', NULL, NULL, NULL, NULL, 'PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR DELTA', NULL, NULL, NULL, 15),
(140617, NULL, 'PTHR45872:SF5', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY AND RHOGEF (RHOGEF) DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(140618, NULL, 'PTHR12736:SF23', NULL, NULL, NULL, NULL, 'LANC-LIKE PROTEIN GCR2', NULL, NULL, NULL, 15),
(140619, NULL, 'PTHR43850:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN MA_4021-RELATED', NULL, NULL, NULL, 15),
(140620, NULL, 'PTHR48021:SF7', NULL, NULL, NULL, NULL, 'RH09188P', NULL, NULL, NULL, 15),
(140621, NULL, 'PTHR11006:SF92', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(140622, NULL, 'PTHR10913:SF6', NULL, NULL, NULL, NULL, 'FOLLISTATIN', NULL, NULL, NULL, 15),
(140623, NULL, 'PTHR43232:SF2', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN B', NULL, NULL, NULL, 15),
(140624, NULL, 'PTHR42898:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140625, NULL, 'PTHR10003:SF83', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN] 2', NULL, NULL, NULL, 15),
(140626, NULL, 'PTHR11751:SF29', NULL, NULL, NULL, NULL, 'AT04676P', NULL, NULL, NULL, 15),
(140627, NULL, 'PTHR34630:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140628, NULL, 'PTHR19325:SF525', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT 4-BINDING PROTEIN, ALPHA', NULL, NULL, NULL, 15),
(140629, NULL, 'PTHR43391:SF55', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE-LIKE 4A', NULL, NULL, NULL, 15),
(140630, NULL, 'PTHR15907:SF172', NULL, NULL, NULL, NULL, 'PLAC8 MOTIF-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140631, NULL, 'PTHR19328:SF60', NULL, NULL, NULL, NULL, 'HIPL1 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(140632, NULL, 'PTHR48017:SF25', NULL, NULL, NULL, NULL, 'BNAC06G13220D PROTEIN', NULL, NULL, NULL, 15),
(140633, NULL, 'PTHR21551:SF17', NULL, NULL, NULL, NULL, 'PROTEIN PAT1 HOMOLOG', NULL, NULL, NULL, 15),
(140634, NULL, 'PTHR23421:SF175', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 35-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140635, NULL, 'PTHR36205:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140636, NULL, 'PTHR21604:SF0', NULL, NULL, NULL, NULL, 'RETROELEMENT SILENCING FACTOR 1', NULL, NULL, NULL, 15),
(140637, NULL, 'PTHR21261:SF17', NULL, NULL, NULL, NULL, 'BEAT VI', NULL, NULL, NULL, 15),
(140638, NULL, 'PTHR31325:SF205', NULL, NULL, NULL, NULL, 'OS09G0443200 PROTEIN', NULL, NULL, NULL, 15),
(140639, NULL, 'PTHR12668:SF50', NULL, NULL, NULL, NULL, 'PROTEIN FATTY ACID EXPORT 1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(140640, NULL, 'PTHR42039', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02940)-RELATED', NULL, NULL, 33342, 15),
(140641, NULL, 'PTHR24349:SF431', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140642, NULL, 'PTHR33801', NULL, NULL, NULL, NULL, 'ABSCISIC STRESS-RIPENING PROTEIN 5', NULL, NULL, 6223, 15),
(140643, NULL, 'PTHR32285:SF58', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 41', NULL, NULL, NULL, 15),
(140644, NULL, 'PTHR45621:SF150', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 2B, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(140645, NULL, 'PTHR48042:SF25', NULL, NULL, NULL, NULL, 'OS04G0528300 PROTEIN', NULL, NULL, NULL, 15),
(140646, NULL, 'PTHR45660:SF52', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH6-LIKE', NULL, NULL, NULL, 15),
(140647, NULL, 'PTHR43028:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140648, NULL, 'PTHR34451:SF7', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140649, NULL, 'PTHR47967:SF45', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(140650, NULL, 'PTHR47800:SF5', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(140651, NULL, 'PTHR43874:SF52', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR17-LIKE', NULL, NULL, NULL, 15),
(140652, NULL, 'PTHR42663:SF3', NULL, NULL, NULL, NULL, 'OS09G0363800 PROTEIN', NULL, NULL, NULL, 15),
(140653, NULL, 'PTHR31961:SF3', NULL, NULL, NULL, NULL, 'SENSITIVE TO HIGH EXPRESSION PROTEIN 9, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(140654, NULL, 'PTHR22803:SF74', NULL, NULL, NULL, NULL, 'SECRETORY PHOSPHOLIPASE A2 RECEPTOR', NULL, NULL, NULL, 15),
(140655, NULL, 'PTHR34996:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140656, NULL, 'PTHR35307:SF2', NULL, NULL, NULL, NULL, 'BNACNNG03260D PROTEIN', NULL, NULL, NULL, 15),
(140657, NULL, 'PTHR43490:SF89', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(140658, NULL, 'PTHR33477:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140659, NULL, 'PTHR12210:SF159', NULL, NULL, NULL, NULL, 'CTD NUCLEAR ENVELOPE PHOSPHATASE 1 HOMOLOG ISOFORM X1', NULL, NULL, NULL, 15),
(140660, NULL, 'PTHR11785:SF115', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(140661, NULL, 'PTHR45933:SF17', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 7-LIKE', NULL, NULL, NULL, 15),
(140662, NULL, 'PTHR34142:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140663, NULL, 'PTHR43370:SF1', NULL, NULL, NULL, NULL, 'SUGAR ABC TRANSPORTER INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140664, NULL, 'PTHR11782:SF79', NULL, NULL, NULL, NULL, 'OS08G0436100 PROTEIN', NULL, NULL, NULL, 15),
(140665, NULL, 'PTHR43329:SF36', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 3', NULL, NULL, NULL, 15),
(140666, NULL, 'PTHR23251', NULL, NULL, NULL, NULL, 'LYSINE-RICH CEACAM1 CO-ISOLATED PROTEIN  LYRIC PROTEIN', NULL, NULL, NULL, 15),
(140667, NULL, 'PTHR32285:SF49', NULL, NULL, NULL, NULL, 'PROTEIN ESKIMO 1', NULL, NULL, NULL, 15),
(140668, NULL, 'PTHR13780:SF41', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, AMP-ACTIVATED, GAMMA 3A NON-CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(140669, NULL, 'PTHR31604:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140670, NULL, 'PTHR15217:SF1', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING REGULATOR WTAP', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140671, NULL, 'PTHR11922:SF2', NULL, NULL, NULL, NULL, 'GMP SYNTHASE [GLUTAMINE-HYDROLYZING]', NULL, NULL, NULL, 15),
(140672, NULL, 'PTHR31479:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140673, NULL, 'PTHR22849:SF61', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 21', NULL, NULL, NULL, 15),
(140674, NULL, 'PTHR46455', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN CONTAINING, ARTHROPOD-SPECIFIC, MEMBER 4, ISOFORM A', NULL, NULL, NULL, 15),
(140675, NULL, 'PTHR15710:SF77', NULL, NULL, NULL, NULL, 'OS07G0631200 PROTEIN', NULL, NULL, NULL, 15),
(140676, NULL, 'PTHR18945:SF842', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', NULL, NULL, NULL, 15),
(140677, NULL, 'PTHR48052:SF38', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO2', NULL, NULL, NULL, 15),
(140678, NULL, 'PTHR31009:SF130', NULL, NULL, NULL, NULL, 'BNAC03G76600D PROTEIN', NULL, NULL, NULL, 15),
(140679, NULL, 'PTHR36470:SF1', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 3', NULL, NULL, NULL, 15),
(140680, NULL, 'PTHR31269:SF26', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH4-LIKE', NULL, NULL, NULL, 15),
(140681, NULL, 'PTHR31307:SF51', NULL, NULL, NULL, NULL, 'MADF DOMAIN, MYB-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140682, NULL, 'PTHR31213:SF127', NULL, NULL, NULL, NULL, 'MAJOR ALLERGEN PRU AR 1-LIKE', NULL, NULL, NULL, 15),
(140683, NULL, 'PTHR11783:SF190', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(140684, NULL, 'PTHR35502:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MICROTUBULE BINDING PROTEIN 2C', NULL, NULL, NULL, 15),
(140685, NULL, 'PTHR45836:SF3', NULL, NULL, NULL, NULL, 'SLIT HOMOLOG 1 PROTEIN', NULL, NULL, NULL, 15),
(140686, NULL, 'PTHR23176:SF117', NULL, NULL, NULL, NULL, 'ACTIVATING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140687, NULL, 'PTHR43207', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDROGENASE-RELATED', NULL, NULL, 37338, 15),
(140688, NULL, 'PTHR34389:SF2', NULL, NULL, NULL, NULL, 'L-RHAMNOSE MUTAROTASE', NULL, NULL, NULL, 15),
(140689, NULL, 'PTHR11639:SF128', NULL, NULL, NULL, NULL, 'PROTEIN S100-A7', NULL, NULL, 28431, 15),
(140690, NULL, 'PTHR35334:SF5', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YHJV', NULL, NULL, NULL, 15),
(140691, NULL, 'PTHR31374:SF116', NULL, NULL, NULL, NULL, 'OS01G0155100 PROTEIN', NULL, NULL, NULL, 15),
(140692, NULL, 'PTHR42693:SF33', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE-6-SULFATASE', NULL, NULL, NULL, 15),
(140693, NULL, 'PTHR24203:SF50', NULL, NULL, NULL, NULL, 'OS08G0539600 PROTEIN', NULL, NULL, NULL, 15),
(140694, NULL, 'PTHR31650:SF50', NULL, NULL, NULL, NULL, 'BNAC03G21770D PROTEIN', NULL, NULL, NULL, 15),
(140695, NULL, 'PTHR12175:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140696, NULL, 'PTHR34553', NULL, NULL, NULL, NULL, 'OS05G0597400 PROTEIN', NULL, NULL, NULL, 15),
(140697, NULL, 'PTHR31147:SF8', NULL, NULL, NULL, NULL, 'OS05G0571501 PROTEIN', NULL, NULL, NULL, 15),
(140698, NULL, 'PTHR31669:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 6', NULL, NULL, NULL, 15),
(140699, NULL, 'PTHR33228:SF25', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 7', NULL, NULL, NULL, 15),
(140700, NULL, 'PTHR30373:SF2', NULL, NULL, NULL, NULL, 'UPF0603 PROTEIN OS05G0401100, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(140701, NULL, 'PTHR12726:SF4', NULL, NULL, NULL, NULL, 'BNAA07G00870D PROTEIN', NULL, NULL, NULL, 15),
(140702, NULL, 'PTHR33074:SF67', NULL, NULL, NULL, NULL, 'OS11G0569701 PROTEIN', NULL, NULL, NULL, 15),
(140703, NULL, 'PTHR37417:SF3', NULL, NULL, NULL, NULL, 'MYOSIN-CROSSREACTIVE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140704, NULL, 'PTHR43329:SF102', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(140705, NULL, 'PTHR48047:SF8', NULL, NULL, NULL, NULL, 'FLAVONOL 3-O-GLUCOSYLTRANSFERASE UGT89B1', NULL, NULL, NULL, 15),
(140706, NULL, 'PTHR34120:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140707, NULL, 'PTHR42059', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140708, NULL, 'PTHR14145:SF1', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 6', NULL, NULL, 18130, 15),
(140709, NULL, 'PTHR31506:SF27', NULL, NULL, NULL, NULL, 'BNAANNG32010D PROTEIN', NULL, NULL, NULL, 15),
(140710, NULL, 'PTHR13381:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 21', NULL, NULL, NULL, 15),
(140711, NULL, 'PTHR33374:SF37', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE, AGP-RELATED', NULL, NULL, NULL, 15),
(140712, NULL, 'PTHR34789:SF7', NULL, NULL, NULL, NULL, 'OS07G0123900 PROTEIN', NULL, NULL, NULL, 15),
(140713, NULL, 'PTHR31867:SF194', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(140714, NULL, 'PTHR48021:SF35', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 9', NULL, NULL, NULL, 15),
(140715, NULL, 'PTHR14110:SF21', NULL, NULL, NULL, NULL, 'BNAA03G11350D PROTEIN', NULL, NULL, NULL, 15),
(140716, NULL, 'PTHR46110:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HMX', NULL, NULL, NULL, 15),
(140717, NULL, 'PTHR11551:SF4', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 5', NULL, NULL, 14395, 15),
(140718, NULL, 'PTHR37031', NULL, NULL, NULL, NULL, 'METALLOPHOSPHATASE BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(140719, NULL, 'PTHR38785', NULL, NULL, NULL, NULL, 'HOMOLOG OF VIRK', NULL, NULL, 10167, 15),
(140720, NULL, 'PTHR32009:SF65', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(140721, NULL, 'PTHR48049:SF13', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(140722, NULL, 'PTHR15119', NULL, NULL, NULL, NULL, 'SECRETOGRANIN II', NULL, NULL, 34607, 15),
(140723, NULL, 'PTHR33318:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140724, NULL, 'PTHR11941:SF147', NULL, NULL, NULL, NULL, 'CARNITINE RACEMASE-LIKE', NULL, NULL, NULL, 15),
(140725, NULL, 'PTHR10342:SF267', NULL, NULL, NULL, NULL, 'SI:DKEY-174I8.1', NULL, NULL, NULL, 15),
(140726, NULL, 'PTHR12479:SF6', NULL, NULL, NULL, NULL, 'LYSOSOMAL-ASSOCIATED TRANSMEMBRANE PROTEIN 4B', NULL, NULL, 9329, 15),
(140727, NULL, 'PTHR45663:SF21', NULL, NULL, NULL, NULL, 'THIOREDOXIN M3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(140728, NULL, 'PTHR46056:SF11', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', NULL, NULL, NULL, 15),
(140729, NULL, 'PTHR13287:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-151P13.8', NULL, NULL, NULL, 15),
(140730, NULL, 'PTHR27008:SF399', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140731, NULL, 'PTHR45626:SF21', NULL, NULL, NULL, NULL, 'HELE', NULL, NULL, NULL, 15),
(140732, NULL, 'PTHR11036:SF79', NULL, NULL, NULL, NULL, 'SEMAPHORIN 5C, ISOFORM A', NULL, NULL, NULL, 15),
(140733, NULL, 'PTHR43900:SF43', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F14', NULL, NULL, NULL, 15),
(140734, NULL, 'PTHR31713:SF57', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 D-LIKE', NULL, NULL, NULL, 15),
(140735, NULL, 'PTHR10003:SF80', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE FOR SUPEROXIDE DISMUTASE-RELATED', NULL, NULL, NULL, 15),
(140736, NULL, 'PTHR19317:SF62', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140737, NULL, 'PTHR39624', NULL, NULL, NULL, NULL, 'PROTEIN INVOLVED IN RIMO-MEDIATED BETA-METHYLTHIOLATION OF RIBOSOMAL PROTEIN S12 YCAO', NULL, NULL, NULL, 15),
(140738, NULL, 'PTHR16134:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140739, NULL, 'PTHR34524:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140740, NULL, 'PTHR32054:SF55', NULL, NULL, NULL, NULL, 'WEB FAMILY-RELATED', NULL, NULL, NULL, 15),
(140741, NULL, 'PTHR31190:SF96', NULL, NULL, NULL, NULL, 'OS09G0309700 PROTEIN', NULL, NULL, NULL, 15),
(140742, NULL, 'PTHR15999:SF2', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140743, NULL, 'PTHR24219:SF8', NULL, NULL, NULL, NULL, 'AJUBA LIM PROTEIN', NULL, NULL, NULL, 15),
(140744, NULL, 'PTHR11430:SF127', NULL, NULL, NULL, NULL, 'LIPOCALIN 1-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140745, NULL, 'PTHR23353:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140746, NULL, 'PTHR32251:SF15', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE (DUF1295)', NULL, NULL, NULL, 15),
(140747, NULL, 'PTHR31210:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140748, NULL, 'PTHR11127:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L14-RELATED', NULL, NULL, NULL, 15),
(140749, NULL, 'PTHR45926:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140750, NULL, 'PTHR33623:SF17', NULL, NULL, NULL, NULL, 'DUF4378 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(140751, NULL, 'PTHR33305:SF29', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 5 PROTEIN', NULL, NULL, NULL, 15),
(140752, NULL, 'PTHR11863:SF34', NULL, NULL, NULL, NULL, 'CHOLESTEROL 25-HYDROXYLASE', NULL, NULL, NULL, 15),
(140753, NULL, 'PTHR24412:SF420', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 11', NULL, NULL, NULL, 15),
(140754, NULL, 'PTHR34294:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(140755, NULL, 'PTHR44998:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140756, NULL, 'PTHR33471', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140757, NULL, 'PTHR47396', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME ECOKI R PROTEIN', NULL, NULL, NULL, 15),
(140758, NULL, 'PTHR22953:SF55', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PURPLE ACID PHOSPHATASE 26', NULL, NULL, NULL, 15),
(140759, NULL, 'PTHR12247:SF84', NULL, NULL, NULL, NULL, 'SEX COMB ON MIDLEG-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(140760, NULL, 'PTHR19241:SF632', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 32-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(140761, NULL, 'PTHR43867:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140762, NULL, 'PTHR46093:SF6', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(140763, NULL, 'PTHR23025', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE', NULL, NULL, NULL, 15),
(140764, NULL, 'PTHR10277:SF60', NULL, NULL, NULL, NULL, 'METHYLTHIOALKYLMALATE SYNTHASE 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(140765, NULL, 'PTHR24115:SF845', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(140766, NULL, 'PTHR10663:SF369', NULL, NULL, NULL, NULL, 'SEC7 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140767, NULL, 'PTHR33782:SF19', NULL, NULL, NULL, NULL, 'BNAA09G18540D PROTEIN', NULL, NULL, NULL, 15),
(140768, NULL, 'PTHR48068:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140769, NULL, 'PTHR32305:SF15', NULL, NULL, NULL, NULL, 'PROTEIN RHSA-RELATED', NULL, NULL, NULL, 15),
(140770, NULL, 'PTHR11771:SF108', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(140771, NULL, 'PTHR15813', NULL, NULL, NULL, NULL, 'SORTING NEXIN-22 AND 24', NULL, NULL, NULL, 15),
(140772, NULL, 'PTHR23166', NULL, NULL, NULL, NULL, 'FILAMIN/GPBP-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(140773, NULL, 'PTHR10796:SF85', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(140774, NULL, 'PTHR11477:SF19', NULL, NULL, NULL, NULL, 'MEDIATOR', NULL, NULL, NULL, 15),
(140775, NULL, 'PTHR46602:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140776, NULL, 'PTHR11960:SF16', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 4E, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140777, NULL, 'PTHR23500:SF421', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(140778, NULL, 'PTHR11783:SF206', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(140779, NULL, 'PTHR45621:SF143', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', NULL, NULL, NULL, 15),
(140780, NULL, 'PTHR39579:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YHCB', NULL, NULL, NULL, 15),
(140781, NULL, 'PTHR12763:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM14', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140782, NULL, 'PTHR28638', NULL, NULL, NULL, NULL, 'CELL CYCLE PROGRESSION PROTEIN 1', NULL, NULL, NULL, 15),
(140783, NULL, 'PTHR27002:SF823', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140784, NULL, 'PTHR44936:SF3', NULL, NULL, NULL, NULL, 'TWO COMPONENT SIGNAL TRANSDUCTION SYSTEM HISTIDINE KINASE', NULL, NULL, NULL, 15),
(140785, NULL, 'PTHR33659:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140786, NULL, 'PTHR15852:SF52', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL P17.1 PROTEIN', NULL, NULL, NULL, 15),
(140787, NULL, 'PTHR15960:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(140788, NULL, 'PTHR20855:SF38', NULL, NULL, NULL, NULL, 'MEMBRANE PROGESTIN RECEPTOR GAMMA', NULL, NULL, NULL, 15),
(140789, NULL, 'PTHR12210:SF133', NULL, NULL, NULL, NULL, 'NLI INTERACTING FACTOR-LIKE PHOSPHATASE', NULL, NULL, NULL, 15),
(140790, NULL, 'PTHR43392:SF2', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN / ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140791, NULL, 'PTHR31707:SF292', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(140792, NULL, 'PTHR45834', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 9-RELATED', NULL, NULL, NULL, 15),
(140793, NULL, 'PTHR10529:SF347', NULL, NULL, NULL, NULL, 'AP-4 COMPLEX SUBUNIT MU-LIKE', NULL, NULL, NULL, 15),
(140794, NULL, 'PTHR45902:SF1', NULL, NULL, NULL, NULL, 'LATROPHILIN RECEPTOR-LIKE PROTEIN A', NULL, NULL, NULL, 15),
(140795, NULL, 'PTHR13518', NULL, NULL, NULL, NULL, 'PUTATIVE TREBLE-CLEF ZINC-FINGER C2ORF42 FAMILY MEMBER', NULL, NULL, 24630, 15),
(140796, NULL, 'PTHR33710:SF38', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140797, NULL, 'PTHR34707:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140798, NULL, 'PTHR10426:SF79', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 2', NULL, NULL, NULL, 15),
(140799, NULL, 'PTHR11909:SF156', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM GAMMA-1', NULL, NULL, NULL, 15),
(140800, NULL, 'PTHR20961:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140801, NULL, 'PTHR42685', NULL, NULL, NULL, NULL, 'GERANYLGERANYL DIPHOSPHATE REDUCTASE', NULL, NULL, NULL, 15),
(140802, NULL, 'PTHR10353:SF258', NULL, NULL, NULL, NULL, 'LACTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(140803, NULL, 'PTHR20930:SF9', NULL, NULL, NULL, NULL, 'BNAA08G14650D PROTEIN', NULL, NULL, NULL, 15),
(140804, NULL, 'PTHR27004:SF343', NULL, NULL, NULL, NULL, 'BNAA09G35430D PROTEIN', NULL, NULL, NULL, 15),
(140805, NULL, 'PTHR48043:SF117', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(140806, NULL, 'PTHR10430:SF38', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN', NULL, NULL, NULL, 15),
(140807, NULL, 'PTHR31451:SF43', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(140808, NULL, 'PTHR23194', NULL, NULL, NULL, NULL, 'PYGOPUS', NULL, NULL, NULL, 15),
(140809, NULL, 'PTHR18934:SF212', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE DEAH2 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(140810, NULL, 'PTHR13292:SF0', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 101', NULL, NULL, NULL, 15),
(140811, NULL, 'PTHR21717:SF66', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(140812, NULL, 'PTHR15040:SF2', NULL, NULL, NULL, NULL, 'DERMATOPONTIN', NULL, NULL, NULL, 15),
(140813, NULL, 'PTHR23421:SF53', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE-1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(140814, NULL, 'PTHR10366:SF663', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140815, NULL, 'PTHR46496:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140816, NULL, 'PTHR46417', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(1)-)-METHYLTRANSFERASE', NULL, NULL, 2952, 15),
(140817, NULL, 'PTHR24060:SF23', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 4', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140818, NULL, 'PTHR12203:SF93', NULL, NULL, NULL, NULL, 'MOTIF-CONTAINING PROTEIN 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140819, NULL, 'PTHR10177:SF67', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN-D1', NULL, NULL, 9091, 15),
(140820, NULL, 'PTHR43349:SF44', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G00280)', NULL, NULL, NULL, 15),
(140821, NULL, 'PTHR33101:SF42', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 13', NULL, NULL, NULL, 15),
(140822, NULL, 'PTHR21236', NULL, NULL, NULL, NULL, 'GOLGI MEMBRANE PROTEIN YIP1', NULL, NULL, 38692, 15),
(140823, NULL, 'PTHR31589:SF128', NULL, NULL, NULL, NULL, 'BNACNNG55750D PROTEIN', NULL, NULL, NULL, 15),
(140824, NULL, 'PTHR48022:SF9', NULL, NULL, NULL, NULL, 'HEXOSE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140825, NULL, 'PTHR35720', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID TRANSCRIPTIONALLY ACTIVE 12, CHLOROPLASTIC', NULL, NULL, 31591, 15),
(140826, NULL, 'PTHR31080:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140827, NULL, 'PTHR30615:SF15', NULL, NULL, NULL, NULL, 'BNAC08G19650D PROTEIN', NULL, NULL, NULL, 15),
(140828, NULL, 'PTHR48108:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140829, NULL, 'PTHR31301:SF77', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(140830, NULL, 'PTHR10762:SF1', NULL, NULL, NULL, NULL, '2-(3-AMINO-3-CARBOXYPROPYL)HISTIDINE SYNTHASE SUBUNIT 1', NULL, NULL, NULL, 15),
(140831, NULL, 'PTHR31293', NULL, NULL, NULL, NULL, 'RNI-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(140832, NULL, 'PTHR11193:SF8', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', NULL, NULL, NULL, 15),
(140833, NULL, 'PTHR11588:SF306', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(140834, NULL, 'PTHR15454', NULL, NULL, NULL, NULL, 'NISCHARIN RELATED', NULL, NULL, NULL, 15),
(140835, NULL, 'PTHR43968:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE OMEGA-1', NULL, NULL, NULL, 15),
(140836, NULL, 'PTHR11062:SF260', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT15-RELATED', NULL, NULL, NULL, 15),
(140837, NULL, 'PTHR43895:SF74', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(140838, NULL, 'PTHR46183:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CLMP1', NULL, NULL, NULL, 15),
(140839, NULL, 'PTHR46549', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140840, NULL, 'PTHR31388:SF236', NULL, NULL, NULL, NULL, 'PEROXIDASE 68-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(140841, NULL, 'PTHR10891:SF852', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(140842, NULL, 'PTHR48105:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE REDUCTASE', NULL, NULL, NULL, 15),
(140843, NULL, 'PTHR42978:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140844, NULL, 'PTHR31674:SF54', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM17-LIKE', NULL, NULL, NULL, 15),
(140845, NULL, 'PTHR45614:SF112', NULL, NULL, NULL, NULL, 'SUCROSE RESPONSIVE ELEMENT BINDING PROTEIN', NULL, NULL, NULL, 15),
(140846, NULL, 'PTHR42647:SF42', NULL, NULL, NULL, NULL, 'BNAA03G53160D PROTEIN', NULL, NULL, NULL, 15),
(140847, NULL, 'PTHR33402:SF17', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 33', NULL, NULL, 31460, 15),
(140848, NULL, 'PTHR23305:SF1', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN (AFU_ORTHOLOGUE AFUA_1G13540)', NULL, NULL, NULL, 15),
(140849, NULL, 'PTHR43712:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140850, NULL, 'PTHR11003:SF291', NULL, NULL, NULL, NULL, 'ACID-SENSITIVE TWO PORE DOMAIN K+ CHANNEL DTASK-6', NULL, NULL, NULL, 15),
(140851, NULL, 'PTHR31238:SF125', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(140852, NULL, 'PTHR12606:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140853, NULL, 'PTHR36352', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140854, NULL, 'PTHR19855:SF18', NULL, NULL, NULL, NULL, 'PROTEASOMAL ATPASE ASSOCIATED FACTOR 1', NULL, NULL, NULL, 15),
(140855, NULL, 'PTHR33972:SF19', NULL, NULL, NULL, NULL, 'BNAA07G36090D PROTEIN', NULL, NULL, NULL, 15),
(140856, NULL, 'PTHR31210:SF71', NULL, NULL, NULL, NULL, 'BNAA08G25430D PROTEIN', NULL, NULL, NULL, 15),
(140857, NULL, 'PTHR47764:SF4', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 2B ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(140858, NULL, 'PTHR31221:SF150', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 32-RELATED', NULL, NULL, NULL, 15),
(140859, NULL, 'PTHR35705:SF9', NULL, NULL, NULL, NULL, 'BNAC06G29830D PROTEIN', NULL, NULL, 29979, 15),
(140860, NULL, 'PTHR11461:SF320', NULL, NULL, NULL, NULL, 'SERPIN B3', NULL, NULL, NULL, 15),
(140861, NULL, 'PTHR10642:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140862, NULL, 'PTHR10314:SF78', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE', NULL, NULL, NULL, 15),
(140863, NULL, 'PTHR45849:SF4', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SSRP1', NULL, NULL, NULL, 15),
(140864, NULL, 'PTHR33077:SF103', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 6A-RELATED', NULL, NULL, NULL, 15),
(140865, NULL, 'PTHR33101:SF5', NULL, NULL, NULL, NULL, 'OS07G0481100 PROTEIN', NULL, NULL, NULL, 15),
(140866, NULL, 'PTHR22849', NULL, NULL, NULL, NULL, 'WDSAM1 PROTEIN', NULL, NULL, 37214, 15),
(140867, NULL, 'PTHR10760:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140868, NULL, 'PTHR48155:SF1', NULL, NULL, NULL, NULL, 'OS09G0497600 PROTEIN', NULL, NULL, NULL, 15),
(140869, NULL, 'PTHR48069', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE', NULL, NULL, 11742, 15),
(140870, NULL, 'PTHR24161:SF93', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN RF_0381-RELATED', NULL, NULL, NULL, 15),
(140871, NULL, 'PTHR34892:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE CATALYTIC SUBUNIT-RELATED / V-ATPASE-RELATED / VACUOLAR PROTON PUMP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(140872, NULL, 'PTHR44947', NULL, NULL, NULL, NULL, 'OS05G0501001 PROTEIN', NULL, NULL, NULL, 15),
(140873, NULL, 'PTHR46930', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 2', NULL, NULL, 37273, 15),
(140874, NULL, 'PTHR13715:SF52', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR TYPE 1', NULL, NULL, NULL, 15),
(140875, NULL, 'PTHR18968:SF13', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(140876, NULL, 'PTHR24055:SF141', NULL, NULL, NULL, NULL, 'GLYCOGEN SYNTHASE KINASE ALPHA SUBUNIT', NULL, NULL, NULL, 15),
(140877, NULL, 'PTHR40057', NULL, NULL, NULL, NULL, 'SLR1162 PROTEIN', NULL, NULL, 35219, 15),
(140878, NULL, 'PTHR33065:SF103', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(140879, NULL, 'PTHR40690:SF1', NULL, NULL, NULL, NULL, 'GLL3100 PROTEIN', NULL, NULL, NULL, 15),
(140880, NULL, 'PTHR33889:SF5', NULL, NULL, NULL, NULL, 'OS07G0251050 PROTEIN', NULL, NULL, NULL, 15),
(140881, NULL, 'PTHR13169:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(140882, NULL, 'PTHR27001:SF619', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT RECEPTOR KINASE', NULL, NULL, NULL, 15),
(140883, NULL, 'PTHR36681', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140884, NULL, 'PTHR31479:SF4', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(140885, NULL, 'PTHR17503:SF0', NULL, NULL, NULL, NULL, 'SYNCOLLIN', NULL, NULL, NULL, 15),
(140886, NULL, 'PTHR31667:SF2', NULL, NULL, NULL, NULL, 'SPERM EQUATORIAL SEGMENT PROTEIN 1', NULL, NULL, NULL, 15),
(140887, NULL, 'PTHR36322:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(140888, NULL, 'PTHR48044:SF34', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(140889, NULL, 'PTHR12758:SF23', NULL, NULL, NULL, NULL, 'APOPTOSIS INHIBITOR 5', NULL, NULL, NULL, 15),
(140890, NULL, 'PTHR21198:SF9', NULL, NULL, NULL, NULL, 'ASPARTATE RACEMASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140891, NULL, 'PTHR24416:SF349', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RYK', NULL, NULL, NULL, 15),
(140892, NULL, 'PTHR11850:SF310', NULL, NULL, NULL, NULL, 'HOMEOBOX KNOTTED-LIKE PROTEIN', NULL, NULL, NULL, 15),
(140893, NULL, 'PTHR31662:SF33', NULL, NULL, NULL, NULL, 'STOREKEEPER PROTEIN', NULL, NULL, NULL, 15),
(140894, NULL, 'PTHR31376:SF37', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 9-RELATED', NULL, NULL, NULL, 15),
(140895, NULL, 'PTHR10509:SF67', NULL, NULL, NULL, NULL, 'CATECHOL-O-METHYLTRANSFERASE FAMILY', NULL, NULL, NULL, 15),
(140896, NULL, 'PTHR11070:SF59', NULL, NULL, NULL, NULL, 'POSSIBLE ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(140897, NULL, 'PTHR10110:SF125', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15),
(140898, NULL, 'PTHR13234:SF54', NULL, NULL, NULL, NULL, 'OS01G0828200 PROTEIN', NULL, NULL, NULL, 15),
(140899, NULL, 'PTHR33155:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140900, NULL, 'PTHR38042:SF4', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III SYNTHASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140901, NULL, 'PTHR31221:SF197', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 23-RELATED', NULL, NULL, NULL, 15),
(140902, NULL, 'PTHR43479:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140903, NULL, 'PTHR10286:SF43', NULL, NULL, NULL, NULL, 'PYROPHOSPHATASE (INORGANIC) 1B', NULL, NULL, NULL, 15),
(140904, NULL, 'PTHR13453:SF11', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN, KAT8 REGULATORY NSL COMPLEX SUBUNIT 2-RELATED', NULL, NULL, NULL, 15),
(140905, NULL, 'PTHR11863:SF102', NULL, NULL, NULL, NULL, 'METHYL STEROL OXIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02440)-RELATED', NULL, NULL, NULL, 15),
(140906, NULL, 'PTHR19241:SF642', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(140907, NULL, 'PTHR24390:SF158', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 691', NULL, NULL, NULL, 15),
(140908, NULL, 'PTHR31205:SF37', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN (DUF569)', NULL, NULL, NULL, 15),
(140909, NULL, 'PTHR11920:SF260', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-23', NULL, NULL, NULL, 15),
(140910, NULL, 'PTHR31318:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140911, NULL, 'PTHR12081:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F3', NULL, NULL, NULL, 15),
(140912, NULL, 'PTHR32039', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLI', NULL, NULL, 36715, 15),
(140913, NULL, 'PTHR22035', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, 28681, 15),
(140914, NULL, 'PTHR11746:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140915, NULL, 'PTHR11527:SF240', NULL, NULL, NULL, NULL, '17.9 KDA CLASS I HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(140916, NULL, 'PTHR11655:SF40', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L9-LIKE', NULL, NULL, NULL, 15),
(140917, NULL, 'PTHR24241:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140918, NULL, 'PTHR37201:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN', NULL, NULL, NULL, 15),
(140919, NULL, 'PTHR11177:SF337', NULL, NULL, NULL, NULL, 'V CHITINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07160)-RELATED', NULL, NULL, NULL, 15),
(140920, NULL, 'PTHR31790:SF385', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140921, NULL, 'PTHR46506:SF52', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(140922, NULL, 'PTHR31419:SF12', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140923, NULL, 'PTHR28637:SF13', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(140924, NULL, 'PTHR31246:SF27', NULL, NULL, NULL, NULL, 'BNAA08G19220D PROTEIN', NULL, NULL, NULL, 15),
(140925, NULL, 'PTHR19422:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140926, NULL, 'PTHR18966:SF382', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, NMDA 2B', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140927, NULL, 'PTHR23201:SF76', NULL, NULL, NULL, NULL, 'PEAMACLEIN-LIKE', NULL, NULL, NULL, 15),
(140928, NULL, 'PTHR48242:SF2', NULL, NULL, NULL, NULL, 'BNAA03G48750D PROTEIN', NULL, NULL, NULL, 15),
(140929, NULL, 'PTHR45886:SF12', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(140930, NULL, 'PTHR47953', NULL, NULL, NULL, NULL, 'OS08G0105600 PROTEIN', NULL, NULL, NULL, 15),
(140931, NULL, 'PTHR10064:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140932, NULL, 'PTHR47746:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140933, NULL, 'PTHR36024:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN SKIP35', NULL, NULL, NULL, 15),
(140934, NULL, 'PTHR11616:SF170', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(140935, NULL, 'PTHR35111:SF5', NULL, NULL, NULL, NULL, 'F10A5.9', NULL, NULL, NULL, 15),
(140936, NULL, 'PTHR27001:SF850', NULL, NULL, NULL, NULL, 'OS01G0267800 PROTEIN', NULL, NULL, NULL, 15),
(140937, NULL, 'PTHR23112:SF22', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(140938, NULL, 'PTHR23255:SF60', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RECEPTOR', NULL, NULL, NULL, 15),
(140939, NULL, 'PTHR10108:SF1143', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT8-RELATED', NULL, NULL, NULL, 15),
(140940, NULL, 'PTHR32472:SF12', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(140941, NULL, 'PTHR11132:SF439', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER 1', NULL, NULL, NULL, 15),
(140942, NULL, 'PTHR12411:SF707', NULL, NULL, NULL, NULL, 'CATHEPSIN B-LIKE CYSTEINE PROTEINASE 5-RELATED', NULL, NULL, NULL, 15),
(140943, NULL, 'PTHR45667:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140944, NULL, 'PTHR10366:SF662', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(140945, NULL, 'PTHR31190:SF233', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(140946, NULL, 'PTHR33102:SF46', NULL, NULL, NULL, NULL, 'DVL17', NULL, NULL, NULL, 15),
(140947, NULL, 'PTHR48247:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140948, NULL, 'PTHR34539:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140949, NULL, 'PTHR31752:SF47', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', NULL, NULL, NULL, 15),
(140950, NULL, 'PTHR11879:SF14', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(140951, NULL, 'PTHR43102', NULL, NULL, NULL, NULL, 'SLR1143 PROTEIN', NULL, NULL, NULL, 15),
(140952, NULL, 'PTHR11011:SF44', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(140953, NULL, 'PTHR10641:SF592', NULL, NULL, NULL, NULL, 'P-TYPE R2R3 MYB PROTEIN', NULL, NULL, NULL, 15),
(140954, NULL, 'PTHR32241:SF25', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(140955, NULL, 'PTHR21600:SF49', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL MRNA PSEUDOURIDINE SYNTHASE RPUSD3', NULL, NULL, NULL, 15),
(140956, NULL, 'PTHR11038:SF19', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM9', NULL, NULL, NULL, 15),
(140957, NULL, 'PTHR15860:SF0', NULL, NULL, NULL, NULL, 'LP20373P', NULL, NULL, NULL, 15),
(140958, NULL, 'PTHR34574:SF3', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(140959, NULL, 'PTHR22776:SF43', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(140960, NULL, 'PTHR11362:SF48', NULL, NULL, NULL, NULL, 'PROTEIN CENTRORADIALIS-LIKE', NULL, NULL, NULL, 15),
(140961, NULL, 'PTHR45876:SF1', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 39', NULL, NULL, NULL, 15),
(140962, NULL, 'PTHR24072:SF323', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN RHO1', NULL, NULL, NULL, 15),
(140963, NULL, 'PTHR13087:SF2', NULL, NULL, NULL, NULL, 'NF-KAPPA-B-ACTIVATING PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(140964, NULL, 'PTHR32179', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE PYROPHOSPHORYLASE [CARBOXYLATING]', NULL, NULL, 28499, 15),
(140965, NULL, 'PTHR22461', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 24177, 15),
(140966, NULL, 'PTHR24128:SF39', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140967, NULL, 'PTHR35218:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140968, NULL, 'PTHR13848:SF51', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(140969, NULL, 'PTHR24177:SF184', NULL, NULL, NULL, NULL, 'PROTEIN ACCELERATED CELL DEATH 6-LIKE', NULL, NULL, NULL, 15),
(140970, NULL, 'PTHR11822:SF35', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', NULL, NULL, NULL, 15),
(140971, NULL, 'PTHR13516:SF3', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(140972, NULL, 'PTHR40446', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-1-PHOSPHODIESTER ALPHA-N-ACETYLGLUCOSAMINIDASE', NULL, NULL, NULL, 15),
(140973, NULL, 'PTHR22776:SF26', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(140974, NULL, 'PTHR46506:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140975, NULL, 'PTHR43586:SF3', NULL, NULL, NULL, NULL, 'O-PHOSPHO-L-SERYL-TRNA:CYS-TRNA SYNTHASE', NULL, NULL, 11874, 15),
(140976, NULL, 'PTHR23077:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140977, NULL, 'PTHR23177', NULL, NULL, NULL, NULL, 'MKIAA1688 PROTEIN', NULL, NULL, 37856, 15),
(140978, NULL, 'PTHR31301:SF130', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 27-LIKE', NULL, NULL, NULL, 15),
(140979, NULL, 'PTHR24223:SF393', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140980, NULL, 'PTHR33207:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(140981, NULL, 'PTHR45660:SF60', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH6-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(140982, NULL, 'PTHR24210:SF13', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(140983, NULL, 'PTHR45631:SF56', NULL, NULL, NULL, NULL, 'TYROSINE KINASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(140984, NULL, 'PTHR27001:SF820', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(140985, NULL, 'PTHR34709:SF28', NULL, NULL, NULL, NULL, 'OS08G0272950 PROTEIN', NULL, NULL, NULL, 15),
(140986, NULL, 'PTHR33843:SF4', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140987, NULL, 'PTHR28556:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 106B', NULL, NULL, NULL, 15),
(140988, NULL, 'PTHR13448:SF8', NULL, NULL, NULL, NULL, 'BNAA09G51360D PROTEIN', NULL, NULL, NULL, 15),
(140989, NULL, 'PTHR38323:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HEATR9', NULL, NULL, NULL, 15),
(140990, NULL, 'PTHR43712:SF15', NULL, NULL, NULL, NULL, 'MONODICTYPHENONE CLUSTER TRANSCRIPTIONAL COACTIVATOR MDPA', NULL, NULL, NULL, 15),
(140991, NULL, 'PTHR47981:SF7', NULL, NULL, NULL, NULL, 'OS05G0536900 PROTEIN', NULL, NULL, NULL, 15),
(140992, NULL, 'PTHR11373:SF4', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOSIDE TRIPHOSPHATE TRIPHOSPHOHYDROLASE SAMHD1', NULL, NULL, NULL, 15),
(140993, NULL, 'PTHR14942:SF15', NULL, NULL, NULL, NULL, 'UBIQUITIN-RELATED DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(140994, NULL, 'PTHR47350', NULL, NULL, NULL, NULL, 'PROTEIN IWS1 HOMOLOG 1', NULL, NULL, 37424, 15),
(140995, NULL, 'PTHR14972', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 24061, 15),
(140996, NULL, 'PTHR32063:SF26', NULL, NULL, NULL, NULL, 'EFFLUX PUMP MEMBRANE TRANSPORTER', NULL, NULL, NULL, 15),
(140997, NULL, 'PTHR47672', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SNT2', NULL, NULL, 22550, 15),
(140998, NULL, 'PTHR47209:SF8', NULL, NULL, NULL, NULL, 'BNAC03G67170D PROTEIN', NULL, NULL, NULL, 15),
(140999, NULL, 'PTHR35559', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141000, NULL, 'PTHR33432:SF16', NULL, NULL, NULL, NULL, 'PROTEIN EMSY-LIKE 3-LIKE ISOFORM X2', NULL, NULL, NULL, 15),
(141001, NULL, 'PTHR23024:SF24', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 18-RELATED', NULL, NULL, NULL, 15),
(141002, NULL, 'PTHR13683:SF822', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY, ASPARTIC PEPTIDASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141003, NULL, 'PTHR47991:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141004, NULL, 'PTHR11556:SF18', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(141005, NULL, 'PTHR33702:SF25', NULL, NULL, NULL, NULL, 'OS05G0575200 PROTEIN', NULL, NULL, NULL, 15),
(141006, NULL, 'PTHR48058', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2-RELATED', NULL, NULL, NULL, 15),
(141007, NULL, 'PTHR12547:SF140', NULL, NULL, NULL, NULL, 'PROTEIN TIS11', NULL, NULL, NULL, 15),
(141008, NULL, 'PTHR15075', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDE BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(141009, NULL, 'PTHR47983:SF20', NULL, NULL, NULL, NULL, 'OS03G0844100 PROTEIN', NULL, NULL, NULL, 15),
(141010, NULL, 'PTHR10527:SF73', NULL, NULL, NULL, NULL, 'IMPORTIN-5-LIKE', NULL, NULL, NULL, 15),
(141011, NULL, 'PTHR23070:SF124', NULL, NULL, NULL, NULL, 'ATPASE, AAA FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(141012, NULL, 'PTHR10366:SF628', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(141013, NULL, 'PTHR33099:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141014, NULL, 'PTHR42743:SF2', NULL, NULL, NULL, NULL, 'AMINODEOXYCHORISMATE LYASE', NULL, NULL, NULL, 15),
(141015, NULL, 'PTHR10264:SF115', NULL, NULL, NULL, NULL, 'ERYTHROCYTE BAND 7 INTEGRAL MEMBRANE PROTEIN', NULL, NULL, 23300, 15),
(141016, NULL, 'PTHR45744:SF11', NULL, NULL, NULL, NULL, 'TYROSINE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(141017, NULL, 'PTHR11347:SF194', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT 3'',5''-CYCLIC NUCLEOTIDE PHOSPHODIESTERASE 1B', NULL, NULL, NULL, 15),
(141018, NULL, 'PTHR33609', NULL, NULL, NULL, NULL, 'LOW CALCIUM RESPONSE LOCUS PROTEIN S', NULL, NULL, NULL, 15),
(141019, NULL, 'PTHR11540:SF47', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(141020, NULL, 'PTHR13516:SF14', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(141021, NULL, 'PTHR31306:SF4', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYLTRANSFERASE MNN11-RELATED', NULL, NULL, NULL, 15),
(141022, NULL, 'PTHR16065:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN CONTAINING 198', NULL, NULL, NULL, 15),
(141023, NULL, 'PTHR11364', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFERTANSFERASE', NULL, NULL, 39441, 15),
(141024, NULL, 'PTHR15032:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141025, NULL, 'PTHR11132:SF380', NULL, NULL, NULL, NULL, 'OS03G0702700 PROTEIN', NULL, NULL, NULL, 15),
(141026, NULL, 'PTHR12847', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE  ABC  TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(141027, NULL, 'PTHR47784:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14150)-RELATED', NULL, NULL, NULL, 15),
(141028, NULL, 'PTHR24031:SF630', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 51', NULL, NULL, NULL, 15),
(141029, NULL, 'PTHR22765:SF261', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIRP1', NULL, NULL, 30298, 15),
(141030, NULL, 'PTHR43128:SF24', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(141031, NULL, 'PTHR38608:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG00664', NULL, NULL, NULL, 15),
(141032, NULL, 'PTHR24225:SF29', NULL, NULL, NULL, NULL, 'C5A ANAPHYLATOXIN CHEMOTACTIC RECEPTOR 1', NULL, NULL, NULL, 15),
(141033, NULL, 'PTHR45798:SF72', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(141034, NULL, 'PTHR31673:SF28', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141035, NULL, 'PTHR32285:SF70', NULL, NULL, NULL, NULL, 'OS05G0470000 PROTEIN', NULL, NULL, NULL, 15),
(141036, NULL, 'PTHR10806:SF27', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', NULL, NULL, NULL, 15),
(141037, NULL, 'PTHR48166:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141038, NULL, 'PTHR46206:SF5', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(141039, NULL, 'PTHR12210:SF109', NULL, NULL, NULL, NULL, 'NUCLEAR LIM INTERACTOR-INTERACTING FACTOR-RELATED', NULL, NULL, NULL, 15),
(141040, NULL, 'PTHR11618:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141041, NULL, 'PTHR30158:SF19', NULL, NULL, NULL, NULL, 'MULTIDRUG EFFLUX PUMP SUBUNIT ACRA-RELATED', NULL, NULL, NULL, 15),
(141042, NULL, 'PTHR18966:SF403', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 8A', NULL, NULL, NULL, 15),
(141043, NULL, 'PTHR11850:SF223', NULL, NULL, NULL, NULL, 'OS06G0562300 PROTEIN', NULL, NULL, NULL, 15),
(141044, NULL, 'PTHR10334:SF449', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(141045, NULL, 'PTHR10161:SF40', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 4', NULL, NULL, NULL, 15),
(141046, NULL, 'PTHR11742:SF87', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(141047, NULL, 'PTHR33830:SF3', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 184-RELATED', NULL, NULL, NULL, 15),
(141048, NULL, 'PTHR47106:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(141049, NULL, 'PTHR33384:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141050, NULL, 'PTHR31674:SF32', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM10-LIKE', NULL, NULL, NULL, 15),
(141051, NULL, 'PTHR45616:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141052, NULL, 'PTHR44974:SF1', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(141053, NULL, 'PTHR45858', NULL, NULL, NULL, NULL, 'FERM DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(141054, NULL, 'PTHR12729:SF9', NULL, NULL, NULL, NULL, 'BNAA02G35940D PROTEIN', NULL, NULL, NULL, 15),
(141055, NULL, 'PTHR10870:SF0', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT PROTEIN RAD1', NULL, NULL, NULL, 15),
(141056, NULL, 'PTHR30314:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141057, NULL, 'PTHR47690:SF1', NULL, NULL, NULL, NULL, 'GLUCOKINASE', NULL, NULL, NULL, 15),
(141058, NULL, 'PTHR20648:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141059, NULL, 'PTHR19136:SF82', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN-GUANINE DINUCLEOTIDE BIOSYNTHESIS ADAPTER PROTEIN', NULL, NULL, NULL, 15),
(141060, NULL, 'PTHR48048:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(141061, NULL, 'PTHR12741:SF7', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCAN SYNTHASE COMPONENT FKS1-RELATED', NULL, NULL, NULL, 15),
(141062, NULL, 'PTHR11019', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR NIMR', NULL, NULL, NULL, 15),
(141063, NULL, 'PTHR24014:SF4', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE AND IRON-DEPENDENT OXYGENASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(141064, NULL, 'PTHR24260:SF129', NULL, NULL, NULL, NULL, 'MODULAR SERINE PROTEASE', NULL, NULL, NULL, 15),
(141065, NULL, 'PTHR47226:SF4', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT DOMAIN-CONTAINING 4A', NULL, NULL, NULL, 15),
(141066, NULL, 'PTHR47972:SF28', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14F', NULL, NULL, NULL, 15),
(141067, NULL, 'PTHR15382:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CANOPY HOMOLOG 3', NULL, NULL, NULL, 15),
(141068, NULL, 'PTHR23167:SF25', NULL, NULL, NULL, NULL, 'ALPHA-ACTININ, SARCOMERIC-LIKE PROTEIN', NULL, NULL, NULL, 15),
(141069, NULL, 'PTHR31618:SF8', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(141070, NULL, 'PTHR47372:SF18', NULL, NULL, NULL, NULL, 'GROUP 3 LEA PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141071, NULL, 'PTHR10788', NULL, NULL, NULL, NULL, 'TREHALOSE-6-PHOSPHATE SYNTHASE', NULL, NULL, 4154, 15),
(141072, NULL, 'PTHR31806', NULL, NULL, NULL, NULL, 'PURINE-CYTOSINE PERMEASE FCY2-RELATED', NULL, NULL, 28850, 15),
(141073, NULL, 'PTHR10615:SF171', NULL, NULL, NULL, NULL, 'ZINC FINGER SUPERFAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(141074, NULL, 'PTHR22952:SF447', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141075, NULL, 'PTHR31403:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IALPHA2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(141076, NULL, 'PTHR13789:SF236', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE MDPD-RELATED', NULL, NULL, NULL, 15),
(141077, NULL, 'PTHR31062:SF226', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(141078, NULL, 'PTHR33801:SF2', NULL, NULL, NULL, NULL, 'ABSCISIC STRESS-RIPENING PROTEIN 1', NULL, NULL, NULL, 15),
(141079, NULL, 'PTHR45716:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141080, NULL, 'PTHR44489:SF11', NULL, NULL, NULL, NULL, 'FINGER (CCCH TYPE) PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141081, NULL, 'PTHR45760:SF1', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 39', NULL, NULL, NULL, 15),
(141082, NULL, 'PTHR10676:SF353', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141083, NULL, 'PTHR35902:SF4', NULL, NULL, NULL, NULL, 'CONSERVED WITHIN P. AEROPHILUM', NULL, NULL, NULL, 15),
(141084, NULL, 'PTHR24301:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141085, NULL, 'PTHR19965:SF78', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4D', NULL, NULL, NULL, 15),
(141086, NULL, 'PTHR48017:SF65', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(141087, NULL, 'PTHR43194:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141088, NULL, 'PTHR11879:SF20', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(141089, NULL, 'PTHR46195:SF19', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 7-LIKE', NULL, NULL, NULL, 15),
(141090, NULL, 'PTHR24347:SF369', NULL, NULL, NULL, NULL, 'SI:DKEY-240H12.4', NULL, NULL, NULL, 15),
(141091, NULL, 'PTHR47546', NULL, NULL, NULL, NULL, 'S15/NS1, RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(141092, NULL, 'PTHR36943:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141093, NULL, 'PTHR33320', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(141094, NULL, 'PTHR22814:SF320', NULL, NULL, NULL, NULL, 'OJ1116_C07.8 PROTEIN', NULL, NULL, NULL, 15),
(141095, NULL, 'PTHR47634:SF1', NULL, NULL, NULL, NULL, 'SER/ARG-RICH PROTEIN KINASE 4', NULL, NULL, NULL, 15),
(141096, NULL, 'PTHR32005:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-150G13.3-RELATED', NULL, NULL, NULL, 15),
(141097, NULL, 'PTHR36127', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(141098, NULL, 'PTHR12411:SF717', NULL, NULL, NULL, NULL, 'OS12G0273800 PROTEIN', NULL, NULL, NULL, 15),
(141099, NULL, 'PTHR47977:SF43', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABD2C', NULL, NULL, NULL, 15),
(141100, NULL, 'PTHR40274:SF3', NULL, NULL, NULL, NULL, 'VIRGINIAMYCIN B LYASE', NULL, NULL, NULL, 15),
(141101, NULL, 'PTHR32285:SF264', NULL, NULL, NULL, NULL, 'TRICHOME BIREFRINGENCE-LIKE 38-RELATED', NULL, NULL, NULL, 15),
(141102, NULL, 'PTHR22655:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE BOYB-RELATED', NULL, NULL, NULL, 15),
(141103, NULL, 'PTHR33755:SF7', NULL, NULL, NULL, NULL, 'TOXIN MODULE OF TOXIN-ANTITOXIN SYSTEM RELE/STBE FAMILY', NULL, NULL, NULL, 15),
(141104, NULL, 'PTHR31731:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141105, NULL, 'PTHR15953', NULL, NULL, NULL, NULL, 'APELIN', NULL, NULL, 24297, 15),
(141106, NULL, 'PTHR10225:SF6', NULL, NULL, NULL, NULL, 'CD44 ANTIGEN', NULL, NULL, 938, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141107, NULL, 'PTHR18916:SF77', NULL, NULL, NULL, NULL, 'CAP-GLY DOMAIN-CONTAINING LINKER PROTEIN 3', NULL, NULL, 28803, 15),
(141108, NULL, 'PTHR23147:SF198', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR SF2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(141109, NULL, 'PTHR32370:SF150', NULL, NULL, NULL, NULL, 'BNAA06G01470D PROTEIN', NULL, NULL, NULL, 15),
(141110, NULL, 'PTHR47987:SF1', NULL, NULL, NULL, NULL, 'OS06G0693200 PROTEIN', NULL, NULL, NULL, 15),
(141111, NULL, 'PTHR13003:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP107', NULL, NULL, NULL, 15),
(141112, NULL, 'PTHR14299', NULL, NULL, NULL, NULL, 'PHORBOL-12-MYRISTATE-13-ACETATE-INDUCED PROTEIN 1', NULL, NULL, 12210, 15),
(141113, NULL, 'PTHR36887:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141114, NULL, 'PTHR35108:SF8', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 3, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(141115, NULL, 'PTHR33450:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141116, NULL, 'PTHR45976:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO SEGMENT POLARITY PROTEIN', NULL, NULL, NULL, 15),
(141117, NULL, 'PTHR48135', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141118, NULL, 'PTHR21461:SF54', NULL, NULL, NULL, NULL, 'F21O3.9 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141119, NULL, 'PTHR11587:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141120, NULL, 'PTHR44586:SF6', NULL, NULL, NULL, NULL, 'OS12G0150901 PROTEIN', NULL, NULL, NULL, 15),
(141121, NULL, 'PTHR11017:SF361', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN N, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141122, NULL, 'PTHR47554:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN MVP1', NULL, NULL, NULL, 15),
(141123, NULL, 'PTHR33265:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141124, NULL, 'PTHR20889', NULL, NULL, NULL, NULL, 'PHOSPHATASE, ORPHAN 1, 2', NULL, NULL, 18182, 15),
(141125, NULL, 'PTHR22763:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141126, NULL, 'PTHR12192:SF24', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLCYCLOTRANSFERASE', NULL, NULL, NULL, 15),
(141127, NULL, 'PTHR42978:SF1', NULL, NULL, NULL, NULL, 'BLL0351 PROTEIN', NULL, NULL, NULL, 15),
(141128, NULL, 'PTHR26453:SF159', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10AG1', NULL, NULL, NULL, 15),
(141129, NULL, 'PTHR33705:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOCARRIER PROTEIN HPR', NULL, NULL, NULL, 15),
(141130, NULL, 'PTHR40698:SF1', NULL, NULL, NULL, NULL, 'FLAGELLA-RELATED PROTEIN E-RELATED', NULL, NULL, NULL, 15),
(141131, NULL, 'PTHR39112:SF4', NULL, NULL, NULL, NULL, 'BNACNNG55840D PROTEIN', NULL, NULL, NULL, 15),
(141132, NULL, 'PTHR24282:SF144', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(141133, NULL, 'PTHR31659:SF17', NULL, NULL, NULL, NULL, 'OS01G0852400 PROTEIN', NULL, NULL, NULL, 15),
(141134, NULL, 'PTHR23155:SF983', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(141135, NULL, 'PTHR24057:SF5', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE IOTA-RELATED', NULL, NULL, NULL, 15),
(141136, NULL, 'PTHR15000', NULL, NULL, NULL, NULL, 'ERYTHROID DIFFERENTIATION-RELATED FACTOR 1', NULL, NULL, NULL, 15),
(141137, NULL, 'PTHR24012:SF365', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(141138, NULL, 'PTHR35573:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG21098', NULL, NULL, NULL, 15),
(141139, NULL, 'PTHR47928:SF48', NULL, NULL, NULL, NULL, 'TRANSCRIPT PROCESSING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141140, NULL, 'PTHR31639:SF196', NULL, NULL, NULL, NULL, 'BNAA02G12460D PROTEIN', NULL, NULL, NULL, 15),
(141141, NULL, 'PTHR31232:SF103', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY S1-RELATED', NULL, NULL, NULL, 15),
(141142, NULL, 'PTHR31225:SF140', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 6-RELATED', NULL, NULL, NULL, 15),
(141143, NULL, 'PTHR43649:SF5', NULL, NULL, NULL, NULL, 'SRRA', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141144, NULL, 'PTHR48100:SF5', NULL, NULL, NULL, NULL, 'LMO1244 PROTEIN', NULL, NULL, NULL, 15),
(141145, NULL, 'PTHR45696:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141146, NULL, 'PTHR24349:SF420', NULL, NULL, NULL, NULL, 'BNAA09G44420D PROTEIN', NULL, NULL, NULL, 15),
(141147, NULL, 'PTHR12300:SF38', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN', NULL, NULL, NULL, 15),
(141148, NULL, 'PTHR33832:SF17', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR TYPE-2', NULL, NULL, NULL, 15),
(141149, NULL, 'PTHR46358:SF1', NULL, NULL, NULL, NULL, 'TONSOKU-LIKE PROTEIN', NULL, NULL, NULL, 15),
(141150, NULL, 'PTHR38008:SF2', NULL, NULL, NULL, NULL, 'HEMOLYSIN-RELATED', NULL, NULL, NULL, 15),
(141151, NULL, 'PTHR48017:SF55', NULL, NULL, NULL, NULL, 'GABA TRANSPORTER 1-LIKE', NULL, NULL, NULL, 15),
(141152, NULL, 'PTHR12952:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 244', NULL, NULL, NULL, 15),
(141153, NULL, 'PTHR24361:SF828', NULL, NULL, NULL, NULL, 'BNAANNG19900D PROTEIN', NULL, NULL, NULL, 15),
(141154, NULL, 'PTHR12321:SF128', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 8-LIKE', NULL, NULL, NULL, 15),
(141155, NULL, 'PTHR31852:SF50', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(141156, NULL, 'PTHR13878:SF40', NULL, NULL, NULL, NULL, 'ISOAMYL ALCOHOL OXIDASE (AFU_ORTHOLOGUE AFUA_3G07410)', NULL, NULL, NULL, 15),
(141157, NULL, 'PTHR24296:SF117', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 86A2', NULL, NULL, NULL, 15),
(141158, NULL, 'PTHR21659:SF100', NULL, NULL, NULL, NULL, 'OS05G0122700 PROTEIN', NULL, NULL, NULL, 15),
(141159, NULL, 'PTHR37411', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141160, NULL, 'PTHR12419:SF65', NULL, NULL, NULL, NULL, 'AGAP004972-PA', NULL, NULL, NULL, 15),
(141161, NULL, 'PTHR31916:SF37', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE F-RELATED', NULL, NULL, NULL, 15),
(141162, NULL, 'PTHR34659:SF10', NULL, NULL, NULL, NULL, 'BNAA04G28730D PROTEIN', NULL, NULL, NULL, 15),
(141163, NULL, 'PTHR24412:SF457', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141164, NULL, 'PTHR31639:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141165, NULL, 'PTHR42916', NULL, NULL, NULL, NULL, '2-SUCCINYL-5-ENOLPYRUVYL-6-HYDROXY-3-CYCLOHEXENE-1-CARBOXYLATE SYNTHASE', NULL, NULL, 7348, 15),
(141166, NULL, 'PTHR31852:SF143', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED 1', NULL, NULL, NULL, 15),
(141167, NULL, 'PTHR12924:SF3', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN SUBUNIT ALPHA-LIKE', NULL, NULL, NULL, 15),
(141168, NULL, 'PTHR23515:SF26', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER 2.4-LIKE', NULL, NULL, NULL, 15),
(141169, NULL, 'PTHR32343:SF9', NULL, NULL, NULL, NULL, 'RRM-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141170, NULL, 'PTHR27006:SF372', NULL, NULL, NULL, NULL, 'OS12G0249300 PROTEIN', NULL, NULL, NULL, 15),
(141171, NULL, 'PTHR11802:SF361', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 13', NULL, NULL, NULL, 15),
(141172, NULL, 'PTHR10285:SF172', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE', NULL, NULL, NULL, 15),
(141173, NULL, 'PTHR43685:SF10', NULL, NULL, NULL, NULL, 'LACTO-N-NEOTETRAOSE BIOSYNTHESIS GLYCOSYL TRANSFERASE LGTA', NULL, NULL, NULL, 15),
(141174, NULL, 'PTHR11654:SF507', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.3', NULL, NULL, NULL, 15),
(141175, NULL, 'PTHR22765:SF280', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING RECEPTOR 5', NULL, NULL, NULL, 15),
(141176, NULL, 'PTHR33021:SF340', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141177, NULL, 'PTHR48002:SF38', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(141178, NULL, 'PTHR20515:SF3', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 109B-RELATED', NULL, NULL, NULL, 15),
(141179, NULL, 'PTHR31403:SF37', NULL, NULL, NULL, NULL, 'GLYCEROLIPASE A1', NULL, NULL, NULL, 15),
(141180, NULL, 'PTHR47036', NULL, NULL, NULL, NULL, 'COBALT-FACTOR III C(17)-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141181, NULL, 'PTHR11437:SF3', NULL, NULL, NULL, NULL, 'EAR6 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141182, NULL, 'PTHR45564:SF4', NULL, NULL, NULL, NULL, 'DEHYDROGENASE SUBUNIT B, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141183, NULL, 'PTHR12669:SF14', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-BINDING PROTEIN 1', NULL, NULL, 31643, 15),
(141184, NULL, 'PTHR21495:SF172', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(141185, NULL, 'PTHR11132:SF428', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE/PHOSPHATE TRANSLOCATOR-RELATED', NULL, NULL, NULL, 15),
(141186, NULL, 'PTHR33252', NULL, NULL, NULL, NULL, 'THIRD ORF IN TRANSPOSON ISC1160', NULL, NULL, NULL, 15),
(141187, NULL, 'PTHR31762:SF8', NULL, NULL, NULL, NULL, 'CALDESMON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(141188, NULL, 'PTHR11731:SF154', NULL, NULL, NULL, NULL, 'VENOM DIPEPTIDYL PEPTIDASE 4-LIKE PROTEIN', NULL, NULL, NULL, 15),
(141189, NULL, 'PTHR10270', NULL, NULL, NULL, NULL, 'SOX TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(141190, NULL, 'PTHR11176:SF31', NULL, NULL, NULL, NULL, 'BNAA07G10230D PROTEIN', NULL, NULL, NULL, 15),
(141191, NULL, 'PTHR23257:SF818', NULL, NULL, NULL, NULL, 'OS01G0621600 PROTEIN', NULL, NULL, NULL, 15),
(141192, NULL, 'PTHR46043:SF14', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141193, NULL, 'PTHR43601:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 1-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(141194, NULL, 'PTHR45642:SF12', NULL, NULL, NULL, NULL, 'OS02G0189200 PROTEIN', NULL, NULL, NULL, 15),
(141195, NULL, 'PTHR27005:SF384', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141196, NULL, 'PTHR45614:SF180', NULL, NULL, NULL, NULL, 'BNAC03G62830D PROTEIN', NULL, NULL, NULL, 15),
(141197, NULL, 'PTHR10177:SF446', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN CYCLIN', NULL, NULL, NULL, 15),
(141198, NULL, 'PTHR33994:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141199, NULL, 'PTHR10791:SF156', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(141200, NULL, 'PTHR33057:SF86', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP2-LIKE', NULL, NULL, NULL, 15),
(141201, NULL, 'PTHR24241:SF30', NULL, NULL, NULL, NULL, 'OREXIN RECEPTOR TYPE 1', NULL, NULL, NULL, 15),
(141202, NULL, 'PTHR45904', NULL, NULL, NULL, NULL, 'TRNA (URACIL-5-)-METHYLTRANSFERASE', NULL, NULL, 39945, 15),
(141203, NULL, 'PTHR22923:SF99', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT 1, Q SUBCOMPONENT-LIKE 4', NULL, NULL, NULL, 15),
(141204, NULL, 'PTHR13601', NULL, NULL, NULL, NULL, 'GAMETOGENETIN-BINDING PROTEIN 2', NULL, NULL, 21607, 15),
(141205, NULL, 'PTHR27004:SF342', NULL, NULL, NULL, NULL, 'BNAC05G13910D PROTEIN', NULL, NULL, NULL, 15),
(141206, NULL, 'PTHR31032:SF9', NULL, NULL, NULL, NULL, 'PGR5-LIKE PROTEIN 1A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(141207, NULL, 'PTHR43101', NULL, NULL, NULL, NULL, 'BETA-FRUCTOSIDASE', NULL, NULL, NULL, 15),
(141208, NULL, 'PTHR48017:SF141', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 5', NULL, NULL, NULL, 15),
(141209, NULL, 'PTHR47979:SF52', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA6B', NULL, NULL, NULL, 15),
(141210, NULL, 'PTHR11937:SF473', NULL, NULL, NULL, NULL, 'ACTIN-5C-LIKE PROTEIN', NULL, NULL, NULL, 15),
(141211, NULL, 'PTHR35910:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141212, NULL, 'PTHR11482:SF57', NULL, NULL, NULL, NULL, 'GENE MODEL 853, (NCBI)', NULL, NULL, NULL, 15),
(141213, NULL, 'PTHR24281:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141214, NULL, 'PTHR45650:SF14', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 7-LIKE', NULL, NULL, NULL, 15),
(141215, NULL, 'PTHR43657', NULL, NULL, NULL, NULL, 'TRYPTOPHAN RNA-BINDING ATTENUATOR PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(141216, NULL, 'PTHR46915:SF9', NULL, NULL, NULL, NULL, 'PROTEASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141217, NULL, 'PTHR27004:SF340', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141218, NULL, 'PTHR47629:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG21684', NULL, NULL, NULL, 15),
(141219, NULL, 'PTHR11556:SF11', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE 1', NULL, NULL, NULL, 15),
(141220, NULL, 'PTHR32212:SF256', NULL, NULL, NULL, NULL, 'BNACNNG15460D PROTEIN', NULL, NULL, NULL, 15),
(141221, NULL, 'PTHR30482:SF17', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(141222, NULL, 'PTHR24193:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141223, NULL, 'PTHR20861:SF6', NULL, NULL, NULL, NULL, 'BETA-RIBOFURANOSYLAMINOBENZENE 5''-PHOSPHATE SYNTHASE', NULL, NULL, 7333, 15),
(141224, NULL, 'PTHR22835:SF219', NULL, NULL, NULL, NULL, 'BNAC09G43060D PROTEIN', NULL, NULL, NULL, 15),
(141225, NULL, 'PTHR15605:SF2', NULL, NULL, NULL, NULL, 'KINESIN-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(141226, NULL, 'PTHR24028:SF108', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A1', NULL, NULL, 27742, 15),
(141227, NULL, 'PTHR34002:SF9', NULL, NULL, NULL, NULL, 'XYLOGLUCAN-SPECIFIC ENDO-BETA-1,4-GLUCANASE A', NULL, NULL, NULL, 15),
(141228, NULL, 'PTHR43294:SF13', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(141229, NULL, 'PTHR11374:SF44', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(141230, NULL, 'PTHR22426:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141231, NULL, 'PTHR11616:SF96', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT CREATINE TRANSPORTER 1', NULL, NULL, NULL, 15),
(141232, NULL, 'PTHR30024:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE BINDING PROTEIN', NULL, NULL, NULL, 15),
(141233, NULL, 'PTHR35490:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141234, NULL, 'PTHR24103:SF646', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 39', NULL, NULL, NULL, 15),
(141235, NULL, 'PTHR10807:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141236, NULL, 'PTHR48174:SF2', NULL, NULL, NULL, NULL, 'DUF946 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(141237, NULL, 'PTHR31194:SF48', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', NULL, NULL, NULL, 15),
(141238, NULL, 'PTHR10877:SF183', NULL, NULL, NULL, NULL, 'AT14535P-RELATED', NULL, NULL, NULL, 15),
(141239, NULL, 'PTHR23013:SF35', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(141240, NULL, 'PTHR20883:SF15', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(141241, NULL, 'PTHR24064:SF75', NULL, NULL, NULL, NULL, 'PROTEIN CBG21498', NULL, NULL, NULL, 15),
(141242, NULL, 'PTHR12081:SF86', NULL, NULL, NULL, NULL, 'BNAA06G16850D PROTEIN', NULL, NULL, NULL, 15),
(141243, NULL, 'PTHR33958', NULL, NULL, NULL, NULL, 'PROTEIN C8ORF37', NULL, NULL, 22156, 15),
(141244, NULL, 'PTHR13620:SF71', NULL, NULL, NULL, NULL, 'WERNER SYNDROME-LIKE EXONUCLEASE', NULL, NULL, NULL, 15),
(141245, NULL, 'PTHR12428:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141246, NULL, 'PTHR43991:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141247, NULL, 'PTHR32009:SF52', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(141248, NULL, 'PTHR28049', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN YOR223W', NULL, NULL, 39249, 15),
(141249, NULL, 'PTHR19375:SF461', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70 FAMILY-RELATED', NULL, NULL, NULL, 15),
(141250, NULL, 'PTHR47993:SF112', NULL, NULL, NULL, NULL, 'BNAC03G44370D PROTEIN', NULL, NULL, NULL, 15),
(141251, NULL, 'PTHR19343:SF3', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 12-2', NULL, NULL, NULL, 15),
(141252, NULL, 'PTHR11199:SF8', NULL, NULL, NULL, NULL, 'COHESIN SUBUNIT SA-3-RELATED', NULL, NULL, NULL, 15),
(141253, NULL, 'PTHR31852:SF219', NULL, NULL, NULL, NULL, 'BNAA04G15600D PROTEIN', NULL, NULL, NULL, 15),
(141254, NULL, 'PTHR23044:SF68', NULL, NULL, NULL, NULL, 'OS06G0353400 PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141255, NULL, 'PTHR24115:SF524', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF2B', NULL, NULL, NULL, 15),
(141256, NULL, 'PTHR31744:SF136', NULL, NULL, NULL, NULL, 'BNAA02G18100D PROTEIN', NULL, NULL, NULL, 15),
(141257, NULL, 'PTHR20882:SF14', NULL, NULL, NULL, NULL, 'CYTOPLASMIC TRNA 2-THIOLATION PROTEIN 2', NULL, NULL, NULL, 15),
(141258, NULL, 'PTHR38360', NULL, NULL, NULL, NULL, 'OS03G0120000 PROTEIN', NULL, NULL, NULL, 15),
(141259, NULL, 'PTHR11703:SF0', NULL, NULL, NULL, NULL, 'DEOXYHYPUSINE SYNTHASE', NULL, NULL, NULL, 15),
(141260, NULL, 'PTHR31110:SF8', NULL, NULL, NULL, NULL, 'MAMMALIAN UNCOORDINATED HOMOLOGY 13, DOMAIN 2-RELATED', NULL, NULL, NULL, 15),
(141261, NULL, 'PTHR43948:SF9', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 8', NULL, NULL, NULL, 15),
(141262, NULL, 'PTHR24299:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141263, NULL, 'PTHR33565:SF27', NULL, NULL, NULL, NULL, 'BNAC05G52140D PROTEIN', NULL, NULL, NULL, 15),
(141264, NULL, 'PTHR21665', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 27961, 15),
(141265, NULL, 'PTHR10177:SF403', NULL, NULL, NULL, NULL, 'CYCLIN-D3-1-LIKE', NULL, NULL, NULL, 15),
(141266, NULL, 'PTHR24177:SF333', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(141267, NULL, 'PTHR47995:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141268, NULL, 'PTHR14758:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM110B', NULL, NULL, NULL, 15),
(141269, NULL, 'PTHR10797:SF41', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 7-RELATED', NULL, NULL, NULL, 15),
(141270, NULL, 'PTHR20852:SF79', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE CYTOSOLIC ISOZYME 1-1', NULL, NULL, NULL, 15),
(141271, NULL, 'PTHR11937:SF47', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 6', NULL, NULL, 23252, 15),
(141272, NULL, 'PTHR12374:SF69', NULL, NULL, NULL, NULL, 'KIN2', NULL, NULL, NULL, 15),
(141273, NULL, 'PTHR31221:SF175', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 20 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(141274, NULL, 'PTHR24178:SF21', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 3', NULL, NULL, NULL, 15),
(141275, NULL, 'PTHR31374:SF212', NULL, NULL, NULL, NULL, 'AUXIN RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(141276, NULL, 'PTHR22988:SF68', NULL, NULL, NULL, NULL, 'DM1 PROTEIN KINASE', NULL, NULL, NULL, 15),
(141277, NULL, 'PTHR12447:SF24', NULL, NULL, NULL, NULL, 'BNAA08G25170D PROTEIN', NULL, NULL, NULL, 15),
(141278, NULL, 'PTHR32054:SF57', NULL, NULL, NULL, NULL, 'OS01G0692300 PROTEIN', NULL, NULL, NULL, 15),
(141279, NULL, 'PTHR24373:SF291', NULL, NULL, NULL, NULL, 'HEMICENTIN-2', NULL, NULL, NULL, 15),
(141280, NULL, 'PTHR19143:SF383', NULL, NULL, NULL, NULL, 'GH05177P-RELATED', NULL, NULL, NULL, 15),
(141281, NULL, 'PTHR33257', NULL, NULL, NULL, NULL, 'OS05G0165500 PROTEIN', NULL, NULL, NULL, 15),
(141282, NULL, 'PTHR42253:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141283, NULL, 'PTHR24264:SF43', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR ACTIVATOR', NULL, NULL, NULL, 15),
(141284, NULL, 'PTHR45619:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(141285, NULL, 'PTHR14744:SF16', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE MCC1', NULL, NULL, NULL, 15),
(141286, NULL, 'PTHR42919:SF25', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(141287, NULL, 'PTHR24208:SF106', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX1', NULL, NULL, NULL, 15),
(141288, NULL, 'PTHR11566:SF181', NULL, NULL, NULL, NULL, 'BNAC09G14660D PROTEIN', NULL, NULL, NULL, 15),
(141289, NULL, 'PTHR11685:SF313', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(141290, NULL, 'PTHR11977:SF35', NULL, NULL, NULL, NULL, 'VILLIN-1', NULL, NULL, 28950, 15),
(141291, NULL, 'PTHR10791:SF203', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141292, NULL, 'PTHR31639:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141293, NULL, 'PTHR46008:SF15', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.1 ISOFORM X1', NULL, NULL, NULL, 15),
(141294, NULL, 'PTHR11165:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141295, NULL, 'PTHR13620:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141296, NULL, 'PTHR31083:SF25', NULL, NULL, NULL, NULL, 'PROTEIN UPSTREAM OF FLC-LIKE', NULL, NULL, NULL, 15),
(141297, NULL, 'PTHR46713:SF6', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED (UBA)/TS-N DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(141298, NULL, 'PTHR43197:SF2', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(141299, NULL, 'PTHR26453:SF6', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10G4-RELATED', NULL, NULL, 22446, 15),
(141300, NULL, 'PTHR21708:SF25', NULL, NULL, NULL, NULL, 'PROTEIN PAM1-RELATED', NULL, NULL, NULL, 15),
(141301, NULL, 'PTHR23167:SF61', NULL, NULL, NULL, NULL, 'KARST, ISOFORM E', NULL, NULL, NULL, 15),
(141302, NULL, 'PTHR32099:SF30', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 38-LIKE', NULL, NULL, NULL, 15),
(141303, NULL, 'PTHR32278:SF72', NULL, NULL, NULL, NULL, 'BNAA06G34230D PROTEIN', NULL, NULL, NULL, 15),
(141304, NULL, 'PTHR46879', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(141305, NULL, 'PTHR24177:SF289', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(141306, NULL, 'PTHR11060', NULL, NULL, NULL, NULL, 'PROTEIN MEMO1', NULL, NULL, 3510, 15),
(141307, NULL, 'PTHR48111:SF12', NULL, NULL, NULL, NULL, 'OMPR SUBFAMILY', NULL, NULL, NULL, 15),
(141308, NULL, 'PTHR35546:SF46', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE-LIKE', NULL, NULL, NULL, 15),
(141309, NULL, 'PTHR11461:SF84', NULL, NULL, NULL, NULL, 'PIGMENT EPITHELIUM-DERIVED FACTOR', NULL, NULL, NULL, 15),
(141310, NULL, 'PTHR43574:SF53', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 5-EPIMERASE', NULL, NULL, NULL, 15),
(141311, NULL, 'PTHR24072:SF139', NULL, NULL, NULL, NULL, 'RHO-RELATED BTB DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 26611, 15),
(141312, NULL, 'PTHR46083:SF2', NULL, NULL, NULL, NULL, 'STARCH SYNTHASE 4, CHLOROPLASTIC/AMYLOPLASTIC-RELATED', NULL, NULL, NULL, 15),
(141313, NULL, 'PTHR33159:SF65', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(141314, NULL, 'PTHR30483', NULL, NULL, NULL, NULL, 'LEUCINE-SPECIFIC-BINDING PROTEIN', NULL, NULL, NULL, 15),
(141315, NULL, 'PTHR47319:SF5', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1-LIKE', NULL, NULL, NULL, 15),
(141316, NULL, 'PTHR31187:SF8', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN', NULL, NULL, NULL, 15),
(141317, NULL, 'PTHR35166:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141318, NULL, 'PTHR47990:SF108', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP1-RELATED', NULL, NULL, NULL, 15),
(141319, NULL, 'PTHR21349:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L21, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(141320, NULL, 'PTHR22945:SF47', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-40', NULL, NULL, NULL, 15),
(141321, NULL, 'PTHR31235:SF273', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(141322, NULL, 'PTHR47490:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141323, NULL, 'PTHR10343:SF89', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE SUBUNIT BETA-1', NULL, NULL, 30572, 15),
(141324, NULL, 'PTHR44379:SF2', NULL, NULL, NULL, NULL, 'BLR6218 PROTEIN', NULL, NULL, NULL, 15),
(141325, NULL, 'PTHR11062:SF291', NULL, NULL, NULL, NULL, 'XYLOGLUCAN-SPECIFIC GALACTURONOSYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(141326, NULL, 'PTHR10024:SF360', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN', NULL, NULL, NULL, 15),
(141327, NULL, 'PTHR34964', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141328, NULL, 'PTHR35108:SF3', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 3-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(141329, NULL, 'PTHR12652:SF44', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11-1', NULL, NULL, NULL, 15),
(141330, NULL, 'PTHR43952', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR-RELATED', NULL, NULL, 38763, 15),
(141331, NULL, 'PTHR31717:SF78', NULL, NULL, NULL, NULL, 'BNAC03G73330D PROTEIN', NULL, NULL, NULL, 15),
(141332, NULL, 'PTHR12035', NULL, NULL, NULL, NULL, 'SIALIC ACID BINDING IMMUNOGLOBULIN-LIKE LECTIN', NULL, NULL, NULL, 15),
(141333, NULL, 'PTHR31847', NULL, NULL, NULL, NULL, 'PROTEIN CBG10327', NULL, NULL, NULL, 15),
(141334, NULL, 'PTHR12701:SF56', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED 31-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141335, NULL, 'PTHR43450:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141336, NULL, 'PTHR17608', NULL, NULL, NULL, NULL, 'GENETIC SUPPRESSOR ELEMENT 1', NULL, NULL, 38928, 15),
(141337, NULL, 'PTHR36023:SF3', NULL, NULL, NULL, NULL, 'ARGOS-LIKE PROTEIN', NULL, NULL, NULL, 15),
(141338, NULL, 'PTHR27005:SF212', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141339, NULL, 'PTHR19328:SF35', NULL, NULL, NULL, NULL, 'OS07G0193000 PROTEIN', NULL, NULL, NULL, 15),
(141340, NULL, 'PTHR45791:SF6', NULL, NULL, NULL, NULL, 'CALCIUM AND INTEGRIN BINDING FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(141341, NULL, 'PTHR35275:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141342, NULL, 'PTHR46159:SF11', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 2', NULL, NULL, NULL, 15),
(141343, NULL, 'PTHR43630:SF1', NULL, NULL, NULL, NULL, 'POLY-BETA-1,6-N-ACETYL-D-GLUCOSAMINE SYNTHASE', NULL, NULL, NULL, 15),
(141344, NULL, 'PTHR43807:SF12', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE, CLASSES I AND II FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(141345, NULL, 'PTHR47987:SF16', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141346, NULL, 'PTHR37550:SF3', NULL, NULL, NULL, NULL, 'ANTITOXIN VAPB1', NULL, NULL, NULL, 15),
(141347, NULL, 'PTHR11959:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141348, NULL, 'PTHR31374:SF328', NULL, NULL, NULL, NULL, 'BNAANNG08410D PROTEIN', NULL, NULL, NULL, 15),
(141349, NULL, 'PTHR46337:SF1', NULL, NULL, NULL, NULL, 'RCC1-LIKE G EXCHANGING FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(141350, NULL, 'PTHR23291:SF37', NULL, NULL, NULL, NULL, 'MODULATOR OF FTSH PROTEASE YCCA', NULL, NULL, NULL, 15),
(141351, NULL, 'PTHR10671:SF87', NULL, NULL, NULL, NULL, 'PERIPHERAL MYELIN PROTEIN 22', NULL, NULL, NULL, 15),
(141352, NULL, 'PTHR35484:SF1', NULL, NULL, NULL, NULL, 'OS12G0225200 PROTEIN', NULL, NULL, NULL, 15),
(141353, NULL, 'PTHR31282:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141354, NULL, 'PTHR11654', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER-RELATED', NULL, NULL, 3872, 15),
(141355, NULL, 'PTHR15710:SF107', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(141356, NULL, 'PTHR47965:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141357, NULL, 'PTHR11351:SF91', NULL, NULL, NULL, NULL, 'DESATURASE 1, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(141358, NULL, 'PTHR36947:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04364', NULL, NULL, NULL, 15),
(141359, NULL, 'PTHR47971:SF15', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-13B', NULL, NULL, NULL, 15),
(141360, NULL, 'PTHR35695', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, 17460, 15),
(141361, NULL, 'PTHR13084', NULL, NULL, NULL, NULL, 'T-CELL LYMPHOMA BREAKPOINT-ASSOCIATED TARGET 1-RELATED', NULL, NULL, 12599, 15),
(141362, NULL, 'PTHR24067:SF257', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATING ENZYME', NULL, NULL, NULL, 15),
(141363, NULL, 'PTHR34359:SF18', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 12', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141364, NULL, 'PTHR12822:SF9', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', NULL, NULL, NULL, 15),
(141365, NULL, 'PTHR13683:SF618', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(141366, NULL, 'PTHR48017:SF121', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 2-LIKE', NULL, NULL, NULL, 15),
(141367, NULL, 'PTHR11315', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY C26 GAMMA-GLUTAMYL HYDROLASE', NULL, NULL, 8008, 15),
(141368, NULL, 'PTHR47669', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN SFH5', NULL, NULL, 39316, 15),
(141369, NULL, 'PTHR11875:SF106', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN', NULL, NULL, NULL, 15),
(141370, NULL, 'PTHR15361:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141371, NULL, 'PTHR12619:SF5', NULL, NULL, NULL, NULL, 'RFX, ISOFORM H', NULL, NULL, NULL, 15),
(141372, NULL, 'PTHR23267:SF189', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR DELTA VARIABLE 3', NULL, NULL, NULL, 15),
(141373, NULL, 'PTHR47586:SF1', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(141374, NULL, 'PTHR33021:SF170', NULL, NULL, NULL, NULL, 'OS06G0286228 PROTEIN', NULL, NULL, NULL, 15),
(141375, NULL, 'PTHR48022:SF46', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G11830)-RELATED', NULL, NULL, NULL, 15),
(141376, NULL, 'PTHR33709:SF17', NULL, NULL, NULL, NULL, 'OS06G0636300 PROTEIN', NULL, NULL, NULL, 15),
(141377, NULL, 'PTHR43386:SF6', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORT SYSTEM INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141378, NULL, 'PTHR32468:SF87', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', NULL, NULL, NULL, 15),
(141379, NULL, 'PTHR16458', NULL, NULL, NULL, NULL, 'GLYCINE N-METHYLTRANSFERASE', NULL, NULL, 12881, 15),
(141380, NULL, 'PTHR23023:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141381, NULL, 'PTHR27009:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141382, NULL, 'PTHR31248:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141383, NULL, 'PTHR30265', NULL, NULL, NULL, NULL, 'RHO-INTERACTING TRANSCRIPTION TERMINATION FACTOR NUSG', NULL, NULL, 36802, 15),
(141384, NULL, 'PTHR34567:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141385, NULL, 'PTHR24015', NULL, NULL, NULL, NULL, 'OS07G0578800 PROTEIN-RELATED', NULL, NULL, 38851, 15),
(141386, NULL, 'PTHR43647:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE', NULL, NULL, NULL, 15),
(141387, NULL, 'PTHR12213:SF2', NULL, NULL, NULL, NULL, 'CORRINOID ADENOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(141388, NULL, 'PTHR24247:SF234', NULL, NULL, NULL, NULL, 'AGAP000369-PA', NULL, NULL, NULL, 15),
(141389, NULL, 'PTHR10969:SF37', NULL, NULL, NULL, NULL, 'PROTEIN LGG-2', NULL, NULL, NULL, 15),
(141390, NULL, 'PTHR37853:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141391, NULL, 'PTHR15696:SF25', NULL, NULL, NULL, NULL, 'OS08G0305300 PROTEIN', NULL, NULL, NULL, 15),
(141392, NULL, 'PTHR10151:SF113', NULL, NULL, NULL, NULL, 'ALKALINE-PHOSPHATASE-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(141393, NULL, 'PTHR21237:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141394, NULL, 'PTHR33728', NULL, NULL, NULL, NULL, 'CTTNBP 2 AMINO-TERMINAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(141395, NULL, 'PTHR22916:SF60', NULL, NULL, NULL, NULL, 'SPBC2 PROPHAGE-DERIVED GLYCOSYLTRANSFERASE SUNS', NULL, NULL, NULL, 15),
(141396, NULL, 'PTHR23255:SF68', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN SERINE/THREONINE KINASE', NULL, NULL, NULL, 15),
(141397, NULL, 'PTHR27004:SF356', NULL, NULL, NULL, NULL, 'BNAA04G15190D PROTEIN', NULL, NULL, NULL, 15),
(141398, NULL, 'PTHR10972:SF179', NULL, NULL, NULL, NULL, 'OS08G0154900 PROTEIN', NULL, NULL, NULL, 15),
(141399, NULL, 'PTHR11926:SF1340', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141400, NULL, 'PTHR31009:SF114', NULL, NULL, NULL, NULL, 'BNAC03G76610D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141401, NULL, 'PTHR11588:SF295', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(141402, NULL, 'PTHR31636:SF216', NULL, NULL, NULL, NULL, 'NODULATION-SIGNALING PATHWAY 2 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(141403, NULL, 'PTHR24637:SF276', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN LON-3', NULL, NULL, NULL, 15),
(141404, NULL, 'PTHR13140:SF794', NULL, NULL, NULL, NULL, 'MYOSIN VIA', NULL, NULL, NULL, 15),
(141405, NULL, 'PTHR33869:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141406, NULL, 'PTHR34572:SF2', NULL, NULL, NULL, NULL, 'OS09G0284300 PROTEIN', NULL, NULL, NULL, 15),
(141407, NULL, 'PTHR23050:SF343', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML37', NULL, NULL, NULL, 15),
(141408, NULL, 'PTHR24361:SF393', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0270146-RELATED', NULL, NULL, NULL, 15),
(141409, NULL, 'PTHR39472:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(141410, NULL, 'PTHR47894:SF4', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GADX', NULL, NULL, NULL, 15),
(141411, NULL, 'PTHR23357', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29900, 15),
(141412, NULL, 'PTHR45631:SF93', NULL, NULL, NULL, NULL, 'OS05G0525000 PROTEIN', NULL, NULL, NULL, 15),
(141413, NULL, 'PTHR14154:SF96', NULL, NULL, NULL, NULL, 'EARLY LIGHT-INDUCED PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(141414, NULL, 'PTHR46190:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-201H21.5-RELATED', NULL, NULL, NULL, 15),
(141415, NULL, 'PTHR43302:SF6', NULL, NULL, NULL, NULL, 'ARSENICAL PUMP MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141416, NULL, 'PTHR42832:SF4', NULL, NULL, NULL, NULL, 'BLR3474 PROTEIN', NULL, NULL, NULL, 15),
(141417, NULL, 'PTHR43834:SF2', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(141418, NULL, 'PTHR22911:SF124', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141419, NULL, 'PTHR46561:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', NULL, NULL, NULL, 15),
(141420, NULL, 'PTHR43853:SF2', NULL, NULL, NULL, NULL, '3-OXOADIPYL-COA/3-OXO-5,6-DEHYDROSUBERYL-COA THIOLASE', NULL, NULL, NULL, 15),
(141421, NULL, 'PTHR14154:SF94', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', NULL, NULL, NULL, 15),
(141422, NULL, 'PTHR28629:SF1', NULL, NULL, NULL, NULL, 'YALI0E20691P', NULL, NULL, NULL, 15),
(141423, NULL, 'PTHR11638', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE', NULL, NULL, NULL, 15),
(141424, NULL, 'PTHR45619:SF21', NULL, NULL, NULL, NULL, 'PHYTOCHROME-ASSOCIATED SERINE/THREONINE-PROTEIN PHOSPHATASE 1-RELATED', NULL, NULL, NULL, 15),
(141425, NULL, 'PTHR11785:SF348', NULL, NULL, NULL, NULL, 'ASC-TYPE AMINO ACID TRANSPORTER 2', NULL, NULL, NULL, 15),
(141426, NULL, 'PTHR10336:SF85', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(141427, NULL, 'PTHR46557:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 10', NULL, NULL, NULL, 15),
(141428, NULL, 'PTHR34062', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 21 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G04750)-RELATED', NULL, NULL, NULL, 15),
(141429, NULL, 'PTHR14155:SF580', NULL, NULL, NULL, NULL, 'BNAA04G24440D PROTEIN', NULL, NULL, NULL, 15),
(141430, NULL, 'PTHR48235:SF1', NULL, NULL, NULL, NULL, 'OS01G0916700 PROTEIN', NULL, NULL, NULL, 15),
(141431, NULL, 'PTHR31351:SF23', NULL, NULL, NULL, NULL, 'VAN3-BINDING PROTEIN', NULL, NULL, NULL, 15),
(141432, NULL, 'PTHR34359:SF16', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE104 PROTEIN', NULL, NULL, NULL, 15),
(141433, NULL, 'PTHR11247:SF66', NULL, NULL, NULL, NULL, 'OS03G0101100 PROTEIN', NULL, NULL, NULL, 15),
(141434, NULL, 'PTHR45976:SF5', NULL, NULL, NULL, NULL, 'BETA-CATENIN/ARMADILLO-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(141435, NULL, 'PTHR11937:SF475', NULL, NULL, NULL, NULL, 'ACTIN-LIKE ATPASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141436, NULL, 'PTHR16736:SF2', NULL, NULL, NULL, NULL, 'CORTEXIN-2', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141437, NULL, 'PTHR34543:SF10', NULL, NULL, NULL, NULL, 'NEOXANTHIN SYNTHASE', NULL, NULL, NULL, 15),
(141438, NULL, 'PTHR45036:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE LIKE 7B', NULL, NULL, NULL, 15),
(141439, NULL, 'PTHR11610:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141440, NULL, 'PTHR12506:SF71', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 32-LIKE', NULL, NULL, NULL, 15),
(141441, NULL, 'PTHR45707:SF21', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(141442, NULL, 'PTHR11183:SF105', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 3', NULL, NULL, 26177, 15),
(141443, NULL, 'PTHR33265:SF35', NULL, NULL, NULL, NULL, 'BNAA08G11990D PROTEIN', NULL, NULL, NULL, 15),
(141444, NULL, 'PTHR41146', NULL, NULL, NULL, NULL, 'DIURETIC HORMONE CLASS 2', NULL, NULL, 6935, 15),
(141445, NULL, 'PTHR11363', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L3-RELATED', NULL, NULL, 38158, 15),
(141446, NULL, 'PTHR31509:SF119', NULL, NULL, NULL, NULL, 'BNAA06G12890D PROTEIN', NULL, NULL, NULL, 15),
(141447, NULL, 'PTHR38546:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILI2', NULL, NULL, NULL, 15),
(141448, NULL, 'PTHR47967:SF36', NULL, NULL, NULL, NULL, 'BNACNNG47670D PROTEIN', NULL, NULL, NULL, 15),
(141449, NULL, 'PTHR21581:SF25', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE DACF', NULL, NULL, NULL, 15),
(141450, NULL, 'PTHR15574:SF39', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 6', NULL, NULL, NULL, 15),
(141451, NULL, 'PTHR12713:SF25', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G', NULL, NULL, NULL, 15),
(141452, NULL, 'PTHR43243:SF28', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CATIONIC AMINO ACID TRANSPORTER 1', NULL, NULL, NULL, 15),
(141453, NULL, 'PTHR22969:SF7', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(141454, NULL, 'PTHR12902:SF11', NULL, NULL, NULL, NULL, 'GENE MODEL 732, (NCBI)', NULL, NULL, NULL, 15),
(141455, NULL, 'PTHR11069', NULL, NULL, NULL, NULL, 'GLUCOSYLCERAMIDASE', NULL, NULL, 1479, 15),
(141456, NULL, 'PTHR44259:SF32', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN', NULL, NULL, NULL, 15),
(141457, NULL, 'PTHR43002:SF8', NULL, NULL, NULL, NULL, 'GLYCOGEN DEBRANCHING ENZYME', NULL, NULL, NULL, 15),
(141458, NULL, 'PTHR24314:SF24', NULL, NULL, NULL, NULL, 'CHLOROPHYLL(IDE) B REDUCTASE NYC1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141459, NULL, 'PTHR35123:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141460, NULL, 'PTHR38137:SF2', NULL, NULL, NULL, NULL, 'PRC-BARREL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(141461, NULL, 'PTHR23315:SF306', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(141462, NULL, 'PTHR48001:SF150', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(141463, NULL, 'PTHR36141:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141464, NULL, 'PTHR31388:SF5', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(141465, NULL, 'PTHR43097:SF4', NULL, NULL, NULL, NULL, 'GLUTAMINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(141466, NULL, 'PTHR11932:SF76', NULL, NULL, NULL, NULL, 'CULLIN-5', NULL, NULL, NULL, 15),
(141467, NULL, 'PTHR20208:SF13', NULL, NULL, NULL, NULL, 'EMB|CAB76036.1', NULL, NULL, NULL, 15),
(141468, NULL, 'PTHR22945:SF51', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)-RELATED', NULL, NULL, NULL, 15),
(141469, NULL, 'PTHR14339:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141470, NULL, 'PTHR23235:SF59', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 14', NULL, NULL, NULL, 15),
(141471, NULL, 'PTHR33246', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141472, NULL, 'PTHR31807:SF39', NULL, NULL, NULL, NULL, 'QWRF FAMILY-RELATED', NULL, NULL, NULL, 15),
(141473, NULL, 'PTHR42637:SF1', NULL, NULL, NULL, NULL, 'TRNA-(MS[2]IO[6]A)-HYDROXYLASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141474, NULL, 'PTHR45736:SF8', NULL, NULL, NULL, NULL, 'GLUTAMINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(141475, NULL, 'PTHR30435:SF29', NULL, NULL, NULL, NULL, 'FLAGELLAR BASAL-BODY ROD PROTEIN FLGC', NULL, NULL, NULL, 15),
(141476, NULL, 'PTHR13343:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141477, NULL, 'PTHR15506', NULL, NULL, NULL, NULL, 'DOPPEL PRION', NULL, NULL, NULL, 15),
(141478, NULL, 'PTHR10367:SF11', NULL, NULL, NULL, NULL, 'MRNA-CAPPING ENZYME-LIKE', NULL, NULL, NULL, 15),
(141479, NULL, 'PTHR33077:SF96', NULL, NULL, NULL, NULL, 'BNAC03G71460D PROTEIN', NULL, NULL, NULL, 15),
(141480, NULL, 'PTHR31042:SF121', NULL, NULL, NULL, NULL, 'BNAA02G13780D PROTEIN', NULL, NULL, NULL, 15),
(141481, NULL, 'PTHR13547:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBONUCLEASE P CATALYTIC SUBUNIT', NULL, NULL, 33033, 15),
(141482, NULL, 'PTHR45658:SF63', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 1-LIKE', NULL, NULL, NULL, 15),
(141483, NULL, 'PTHR28180:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(141484, NULL, 'PTHR36586:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141485, NULL, 'PTHR36017', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 1381', NULL, NULL, NULL, 15),
(141486, NULL, 'PTHR43541', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(141487, NULL, 'PTHR13923', NULL, NULL, NULL, NULL, 'SEC31-RELATED PROTEIN', NULL, NULL, 29620, 15),
(141488, NULL, 'PTHR12400:SF80', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE MULTIKINASE', NULL, NULL, NULL, 15),
(141489, NULL, 'PTHR39576', NULL, NULL, NULL, NULL, 'ATTACHING AND EFFACING PROTEIN HOMOLOG-RELATED-RELATED', NULL, NULL, NULL, 15),
(141490, NULL, 'PTHR47944:SF8', NULL, NULL, NULL, NULL, 'OS02G0503100 PROTEIN', NULL, NULL, NULL, 15),
(141491, NULL, 'PTHR44375:SF19', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(141492, NULL, 'PTHR23147:SF118', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 3', NULL, NULL, NULL, 15),
(141493, NULL, 'PTHR47982:SF17', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141494, NULL, 'PTHR22835:SF571', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141495, NULL, 'PTHR33332:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141496, NULL, 'PTHR31114', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(141497, NULL, 'PTHR10192:SF16', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN MOLYBDENUMTRANSFERASE', NULL, NULL, NULL, 15),
(141498, NULL, 'PTHR33122:SF54', NULL, NULL, NULL, NULL, 'LIPID-TRANSFER PROTEIN DIR1-RELATED', NULL, NULL, NULL, 15),
(141499, NULL, 'PTHR27003:SF342', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE, NON-RECEPTOR SYK/ZAP-70-RELATED', NULL, NULL, NULL, 15),
(141500, NULL, 'PTHR46976:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141501, NULL, 'PTHR46153:SF6', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(141502, NULL, 'PTHR32410:SF173', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141503, NULL, 'PTHR28629:SF13', NULL, NULL, NULL, NULL, 'DIHYDROXYACETONE KINASE', NULL, NULL, NULL, 15),
(141504, NULL, 'PTHR33877:SF3', NULL, NULL, NULL, NULL, 'SLL2007 PROTEIN', NULL, NULL, NULL, 15),
(141505, NULL, 'PTHR11947:SF14', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE (ACETYL-TRANSFERRING)] KINASE ISOZYME 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(141506, NULL, 'PTHR22883:SF360', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(141507, NULL, 'PTHR16515:SF19', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 14', NULL, NULL, NULL, 15),
(141508, NULL, 'PTHR15186:SF10', NULL, NULL, NULL, NULL, 'BCL2-INTERACTING PROTEIN 3-LIKE B', NULL, NULL, NULL, 15),
(141509, NULL, 'PTHR32018:SF13', NULL, NULL, NULL, NULL, 'GALACTOSE-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141510, NULL, 'PTHR10751:SF15', NULL, NULL, NULL, NULL, 'ATLASTIN-1', NULL, NULL, NULL, 15),
(141511, NULL, 'PTHR45664:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A2', NULL, NULL, NULL, 15),
(141512, NULL, 'PTHR45658:SF56', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(141513, NULL, 'PTHR45798:SF47', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141514, NULL, 'PTHR39189', NULL, NULL, NULL, NULL, 'UPF0173 METAL-DEPENDENT HYDROLASE YTKL', NULL, NULL, NULL, 15),
(141515, NULL, 'PTHR31388:SF213', NULL, NULL, NULL, NULL, 'SUBERIZATION-ASSOCIATED ANIONIC PEROXIDASE 2', NULL, NULL, NULL, 15),
(141516, NULL, 'PTHR11489:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', NULL, NULL, NULL, 15),
(141517, NULL, 'PTHR34299', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, 4711, 15),
(141518, NULL, 'PTHR31928:SF4', NULL, NULL, NULL, NULL, 'OS08G0541500 PROTEIN', NULL, NULL, NULL, 15),
(141519, NULL, 'PTHR33172:SF74', NULL, NULL, NULL, NULL, 'BNAA08G12440D PROTEIN', NULL, NULL, NULL, 15),
(141520, NULL, 'PTHR47864:SF9', NULL, NULL, NULL, NULL, 'BNACNNG58890D PROTEIN', NULL, NULL, NULL, 15),
(141521, NULL, 'PTHR10516:SF413', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(141522, NULL, 'PTHR18868:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141523, NULL, 'PTHR23546', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(141524, NULL, 'PTHR13507:SF5', NULL, NULL, NULL, NULL, 'PRKR-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(141525, NULL, 'PTHR11208:SF131', NULL, NULL, NULL, NULL, 'PROTEIN QUAKING-A', NULL, NULL, NULL, 15),
(141526, NULL, 'PTHR27008:SF418', NULL, NULL, NULL, NULL, 'OS11G0490200 PROTEIN', NULL, NULL, NULL, 15),
(141527, NULL, 'PTHR11695:SF294', NULL, NULL, NULL, NULL, 'RETICULON-4-INTERACTING PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(141528, NULL, 'PTHR31731:SF72', NULL, NULL, NULL, NULL, 'CORTICAL CELL-DELINEATING PROTEIN', NULL, NULL, NULL, 15),
(141529, NULL, 'PTHR39962', NULL, NULL, NULL, NULL, 'BLL4848 PROTEIN', NULL, NULL, NULL, 15),
(141530, NULL, 'PTHR34281:SF16', NULL, NULL, NULL, NULL, 'BNAC03G42060D PROTEIN', NULL, NULL, NULL, 15),
(141531, NULL, 'PTHR35711:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN HANGOVER', NULL, NULL, NULL, 15),
(141532, NULL, 'PTHR31042:SF117', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14-RELATED', NULL, NULL, NULL, 15),
(141533, NULL, 'PTHR32141:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141534, NULL, 'PTHR45675:SF52', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(141535, NULL, 'PTHR45642:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141536, NULL, 'PTHR22601:SF14', NULL, NULL, NULL, NULL, 'OS06G0127700 PROTEIN', NULL, NULL, NULL, 15),
(141537, NULL, 'PTHR32208:SF77', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH, BETA-PROPELLER, GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', NULL, NULL, NULL, 15),
(141538, NULL, 'PTHR12428', NULL, NULL, NULL, NULL, 'OXA1', NULL, NULL, 3134, 15),
(141539, NULL, 'PTHR23315:SF245', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 10-LIKE', NULL, NULL, NULL, 15),
(141540, NULL, 'PTHR21662:SF7', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(141541, NULL, 'PTHR24376:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 229-RELATED', NULL, NULL, NULL, 15),
(141542, NULL, 'PTHR47211:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141543, NULL, 'PTHR43625:SF32', NULL, NULL, NULL, NULL, 'PERAKINE REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(141544, NULL, 'PTHR47993:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141545, NULL, 'PTHR43939:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141546, NULL, 'PTHR10641:SF1247', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141547, NULL, 'PTHR16675:SF160', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD1A', NULL, NULL, NULL, 15),
(141548, NULL, 'PTHR13900:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 1-LIKE', NULL, NULL, NULL, 15),
(141549, NULL, 'PTHR32141:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141550, NULL, 'PTHR12549:SF17', NULL, NULL, NULL, NULL, 'JMJC DOMAIN PROTEIN JMJ24', NULL, NULL, NULL, 15),
(141551, NULL, 'PTHR30592:SF1', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN FDHD', NULL, NULL, NULL, 15),
(141552, NULL, 'PTHR48051:SF3', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 8 VRAC SUBUNIT A', NULL, NULL, NULL, 15),
(141553, NULL, 'PTHR34385:SF1', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN L-ALANYL-D-GLUTAMATE ENDOPEPTIDASE CWLK', NULL, NULL, NULL, 15),
(141554, NULL, 'PTHR45654:SF24', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN GLABRA 2', NULL, NULL, NULL, 15),
(141555, NULL, 'PTHR12001:SF79', NULL, NULL, NULL, NULL, 'SOLANESYL DIPHOSPHATE SYNTHASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(141556, NULL, 'PTHR21063:SF5', NULL, NULL, NULL, NULL, 'LYMPHOCYTE FUNCTION-ASSOCIATED ANTIGEN 3', NULL, NULL, NULL, 15),
(141557, NULL, 'PTHR48011:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141558, NULL, 'PTHR23176:SF12', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACT', NULL, NULL, NULL, 15),
(141559, NULL, 'PTHR34656:SF4', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE', NULL, NULL, NULL, 15),
(141560, NULL, 'PTHR11802:SF240', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(141561, NULL, 'PTHR33098:SF45', NULL, NULL, NULL, NULL, 'OS05G0540900 PROTEIN', NULL, NULL, NULL, 15),
(141562, NULL, 'PTHR10869:SF194', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 4-RELATED', NULL, NULL, NULL, 15),
(141563, NULL, 'PTHR31358:SF35', NULL, NULL, NULL, NULL, 'BNAA03G52010D PROTEIN', NULL, NULL, NULL, 15),
(141564, NULL, 'PTHR10969:SF77', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(141565, NULL, 'PTHR24249:SF401', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 7F', NULL, NULL, NULL, 15),
(141566, NULL, 'PTHR34055', NULL, NULL, NULL, NULL, 'OS09G0491596 PROTEIN', NULL, NULL, NULL, 15),
(141567, NULL, 'PTHR12859:SF2', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN 3', NULL, NULL, NULL, 15),
(141568, NULL, 'PTHR11693:SF28', NULL, NULL, NULL, NULL, 'POLLEN-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141569, NULL, 'PTHR31189:SF2', NULL, NULL, NULL, NULL, 'OS03G0336100 PROTEIN', NULL, NULL, NULL, 15),
(141570, NULL, 'PTHR24056:SF178', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE B2-2', NULL, NULL, NULL, 15),
(141571, NULL, 'PTHR12170:SF3', NULL, NULL, NULL, NULL, 'GH10162P', NULL, NULL, 22422, 15),
(141572, NULL, 'PTHR12277:SF134', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(141573, NULL, 'PTHR38460:SF1', NULL, NULL, NULL, NULL, 'TAUTOMERASE YOLI-RELATED', NULL, NULL, NULL, 15),
(141574, NULL, 'PTHR36985:SF1', NULL, NULL, NULL, NULL, 'TRANSLOCATION AND ASSEMBLY MODULE SUBUNIT TAMB', NULL, NULL, NULL, 15),
(141575, NULL, 'PTHR24299:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 1A2', NULL, NULL, NULL, 15),
(141576, NULL, 'PTHR32285:SF308', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 34', NULL, NULL, NULL, 15),
(141577, NULL, 'PTHR24349:SF430', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR, CALCIUM/CALMODULIN-DEPENDENT/CALCIUM-DEPENDENT PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(141578, NULL, 'PTHR13832:SF755', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141579, NULL, 'PTHR23196:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141580, NULL, 'PTHR47190:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141581, NULL, 'PTHR18959:SF23', NULL, NULL, NULL, NULL, 'TRANSGELIN', NULL, NULL, NULL, 15),
(141582, NULL, 'PTHR23509:SF38', NULL, NULL, NULL, NULL, 'OSJNBA0060P14.15 PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141583, NULL, 'PTHR10110:SF89', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 2', NULL, NULL, NULL, 15),
(141584, NULL, 'PTHR11431:SF80', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(141585, NULL, 'PTHR19282:SF469', NULL, NULL, NULL, NULL, 'GH01773P', NULL, NULL, NULL, 15),
(141586, NULL, 'PTHR47992:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141587, NULL, 'PTHR33067:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141588, NULL, 'PTHR11006:SF101', NULL, NULL, NULL, NULL, 'HISTONE-ARGININE METHYLTRANSFERASE 1.4-RELATED', NULL, NULL, NULL, 15),
(141589, NULL, 'PTHR11630:SF102', NULL, NULL, NULL, NULL, 'DNA HELICASE', NULL, NULL, NULL, 15),
(141590, NULL, 'PTHR11972:SF162', NULL, NULL, NULL, NULL, 'FERRIC REDUCTION OXIDASE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(141591, NULL, 'PTHR32546:SF25', NULL, NULL, NULL, NULL, 'MIP05539P', NULL, NULL, NULL, 15),
(141592, NULL, 'PTHR42968:SF11', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 8 HOMOLOG', NULL, NULL, NULL, 15),
(141593, NULL, 'PTHR34682:SF13', NULL, NULL, NULL, NULL, 'BNACNNG37080D PROTEIN', NULL, NULL, NULL, 15),
(141594, NULL, 'PTHR27009:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141595, NULL, 'PTHR11214:SF140', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(141596, NULL, 'PTHR47975:SF41', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 6', NULL, NULL, NULL, 15),
(141597, NULL, 'PTHR11932:SF126', NULL, NULL, NULL, NULL, 'CULLIN-3', NULL, NULL, NULL, 15),
(141598, NULL, 'PTHR23146:SF0', NULL, NULL, NULL, NULL, 'RNA POLYMERASE-ASSOCIATED PROTEIN LEO1', NULL, NULL, NULL, 15),
(141599, NULL, 'PTHR14580:SF0', NULL, NULL, NULL, NULL, 'MULTIPLE MYELOMA TUMOR-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(141600, NULL, 'PTHR33994:SF31', NULL, NULL, NULL, NULL, 'OS02G0618801 PROTEIN', NULL, NULL, NULL, 15),
(141601, NULL, 'PTHR45013:SF1', NULL, NULL, NULL, NULL, 'NACHT DOMAIN- AND WD REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(141602, NULL, 'PTHR34055:SF13', NULL, NULL, NULL, NULL, 'OS06G0320300 PROTEIN', NULL, NULL, NULL, 15),
(141603, NULL, 'PTHR46620:SF3', NULL, NULL, NULL, NULL, 'BNACNNG47610D PROTEIN', NULL, NULL, NULL, 15),
(141604, NULL, 'PTHR47979:SF10', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABB1C-LIKE', NULL, NULL, NULL, 15),
(141605, NULL, 'PTHR10641:SF1266', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB16', NULL, NULL, NULL, 15),
(141606, NULL, 'PTHR34501:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN C', NULL, NULL, NULL, 15),
(141607, NULL, 'PTHR35136:SF1', NULL, NULL, NULL, NULL, 'CYCLOEUCALENOL CYCLOISOMERASE', NULL, NULL, NULL, 15),
(141608, NULL, 'PTHR47868:SF3', NULL, NULL, NULL, NULL, 'BNACNNG03670D PROTEIN', NULL, NULL, NULL, 15),
(141609, NULL, 'PTHR19375:SF370', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 37C-RELATED', NULL, NULL, NULL, 15),
(141610, NULL, 'PTHR42893:SF41', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(141611, NULL, 'PTHR31444:SF0', NULL, NULL, NULL, NULL, 'CDC2 PROTEIN KINASES-LIKE', NULL, NULL, NULL, 15),
(141612, NULL, 'PTHR31115:SF5', NULL, NULL, NULL, NULL, 'OS01G0967100 PROTEIN', NULL, NULL, NULL, 15),
(141613, NULL, 'PTHR11208:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141614, NULL, 'PTHR31395:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-LIKE-2A', NULL, NULL, NULL, 15),
(141615, NULL, 'PTHR35702:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141616, NULL, 'PTHR13681:SF31', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(141617, NULL, 'PTHR46347:SF1', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(141618, NULL, 'PTHR12143:SF19', NULL, NULL, NULL, NULL, 'PEPTIDE-N(4)-(N-ACETYL-BETA-GLUCOSAMINYL)ASPARAGINE AMIDASE', NULL, NULL, NULL, 15),
(141619, NULL, 'PTHR11926:SF1368', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141620, NULL, 'PTHR14154:SF86', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', NULL, NULL, NULL, 15),
(141621, NULL, 'PTHR18860:SF16', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN ETA', NULL, NULL, NULL, 15),
(141622, NULL, 'PTHR11008:SF13', NULL, NULL, NULL, NULL, 'FI04421P', NULL, NULL, NULL, 15),
(141623, NULL, 'PTHR11002:SF65', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(141624, NULL, 'PTHR19957:SF309', NULL, NULL, NULL, NULL, 'SYNTAXIN-42', NULL, NULL, NULL, 15),
(141625, NULL, 'PTHR12276:SF95', NULL, NULL, NULL, NULL, 'ENTH/VHS FAMILY PROTEIN', NULL, NULL, NULL, 15),
(141626, NULL, 'PTHR42776:SF1', NULL, NULL, NULL, NULL, 'ZGC:136971', NULL, NULL, NULL, 15),
(141627, NULL, 'PTHR37292', NULL, NULL, NULL, NULL, 'VNG6097C', NULL, NULL, NULL, 15),
(141628, NULL, 'PTHR46122:SF18', NULL, NULL, NULL, NULL, 'BNAC03G76170D PROTEIN', NULL, NULL, NULL, 15),
(141629, NULL, 'PTHR12100', NULL, NULL, NULL, NULL, 'SEC10', NULL, NULL, 8233, 15),
(141630, NULL, 'PTHR48002:SF72', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(141631, NULL, 'PTHR36016', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 7', NULL, NULL, 29254, 15),
(141632, NULL, 'PTHR45650:SF10', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 7', NULL, NULL, NULL, 15),
(141633, NULL, 'PTHR10055:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141634, NULL, 'PTHR45866:SF1', NULL, NULL, NULL, NULL, 'DNA GYRASE SUBUNIT B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(141635, NULL, 'PTHR22800:SF243', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141636, NULL, 'PTHR46327:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141637, NULL, 'PTHR34980', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED-RELATED', NULL, NULL, 13169, 15),
(141638, NULL, 'PTHR12198:SF11', NULL, NULL, NULL, NULL, 'PROSPERO HOMEOBOX 1B', NULL, NULL, NULL, 15),
(141639, NULL, 'PTHR18966:SF391', NULL, NULL, NULL, NULL, 'NMDA RECEPTOR 2, ISOFORM C', NULL, NULL, NULL, 15),
(141640, NULL, 'PTHR36401:SF2', NULL, NULL, NULL, NULL, 'BNAC02G33360D PROTEIN', NULL, NULL, NULL, 15),
(141641, NULL, 'PTHR15425:SF0', NULL, NULL, NULL, NULL, 'CD160 ANTIGEN', NULL, NULL, NULL, 15),
(141642, NULL, 'PTHR21650:SF4', NULL, NULL, NULL, NULL, 'MEMBRALIN', NULL, NULL, 18757, 15),
(141643, NULL, 'PTHR11599:SF69', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA', NULL, NULL, 15961, 15),
(141644, NULL, 'PTHR11254:SF424', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL5', NULL, NULL, NULL, 15),
(141645, NULL, 'PTHR46805:SF3', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J1-B', NULL, NULL, NULL, 15),
(141646, NULL, 'PTHR31561:SF8', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 15', NULL, NULL, NULL, 15),
(141647, NULL, 'PTHR33156', NULL, NULL, NULL, NULL, 'OS02G0230000 PROTEIN', NULL, NULL, 38374, 15),
(141648, NULL, 'PTHR46546', NULL, NULL, NULL, NULL, 'SHEWANELLA-LIKE PROTEIN PHOSPHATASE 1', NULL, NULL, NULL, 15),
(141649, NULL, 'PTHR11842:SF11', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE ASSEMBLY CHECKPOINT PROTEIN MAD2A', NULL, NULL, 24769, 15),
(141650, NULL, 'PTHR10438:SF413', NULL, NULL, NULL, NULL, 'THIOREDOXIN H2', NULL, NULL, NULL, 15),
(141651, NULL, 'PTHR31642:SF158', NULL, NULL, NULL, NULL, 'N-BENZOYLTRANSFERASE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141652, NULL, 'PTHR30354:SF7', NULL, NULL, NULL, NULL, 'PROPIONATE PERMEASE', NULL, NULL, NULL, 15),
(141653, NULL, 'PTHR33744:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141654, NULL, 'PTHR31776:SF15', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141655, NULL, 'PTHR47346:SF1', NULL, NULL, NULL, NULL, 'HYDROLASES, ACTING ON ESTER BOND', NULL, NULL, NULL, 15),
(141656, NULL, 'PTHR10338:SF14', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN H2', NULL, NULL, NULL, 15),
(141657, NULL, 'PTHR39730', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 1', NULL, NULL, NULL, 15),
(141658, NULL, 'PTHR23506:SF32', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY MFS_1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141659, NULL, 'PTHR14269:SF43', NULL, NULL, NULL, NULL, 'ZGC:77375', NULL, NULL, NULL, 15),
(141660, NULL, 'PTHR12905:SF19', NULL, NULL, NULL, NULL, 'UPF0046 PROTEIN K07C11.7', NULL, NULL, NULL, 15),
(141661, NULL, 'PTHR43888:SF8', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY A MEMBER 1', NULL, NULL, NULL, 15),
(141662, NULL, 'PTHR45621:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL17-RELATED', NULL, NULL, NULL, 15),
(141663, NULL, 'PTHR34269:SF3', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141664, NULL, 'PTHR31639:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141665, NULL, 'PTHR14096:SF59', NULL, NULL, NULL, NULL, 'SI:CABZ01007807.1', NULL, NULL, NULL, 15),
(141666, NULL, 'PTHR10795:SF463', NULL, NULL, NULL, NULL, 'OS12G0427600 PROTEIN', NULL, NULL, NULL, 15),
(141667, NULL, 'PTHR27000:SF479', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(141668, NULL, 'PTHR33228', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 4-RELATED', NULL, NULL, 31013, 15),
(141669, NULL, 'PTHR12537:SF51', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141670, NULL, 'PTHR12864:SF50', NULL, NULL, NULL, NULL, 'SPRY DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14910)-RELATED', NULL, NULL, NULL, 15),
(141671, NULL, 'PTHR30055:SF199', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YTTP-RELATED', NULL, NULL, NULL, 15),
(141672, NULL, 'PTHR10641:SF1007', NULL, NULL, NULL, NULL, 'PROTEIN ODORANT1-LIKE', NULL, NULL, NULL, 15),
(141673, NULL, 'PTHR12892:SF11', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 2', NULL, NULL, NULL, 15),
(141674, NULL, 'PTHR46807:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF3-LIKE', NULL, NULL, NULL, 15),
(141675, NULL, 'PTHR31044:SF102', NULL, NULL, NULL, NULL, 'BNACNNG75660D PROTEIN', NULL, NULL, NULL, 15),
(141676, NULL, 'PTHR44743:SF12', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 6-LIKE', NULL, NULL, NULL, 15),
(141677, NULL, 'PTHR27009:SF165', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141678, NULL, 'PTHR10091:SF36', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(141679, NULL, 'PTHR47956:SF74', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A23', NULL, NULL, NULL, 15),
(141680, NULL, 'PTHR12400:SF26', NULL, NULL, NULL, NULL, 'INOSITOL-TRISPHOSPHATE 3-KINASE C', NULL, NULL, NULL, 15),
(141681, NULL, 'PTHR11564:SF29', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN 1', NULL, NULL, NULL, 15),
(141682, NULL, 'PTHR31792:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR ATPASE ASSEMBLY INTEGRAL MEMBRANE PROTEIN VMA21 HOMOLOG', NULL, NULL, NULL, 15),
(141683, NULL, 'PTHR12663:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141684, NULL, 'PTHR11972:SF164', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE-RELATED', NULL, NULL, NULL, 15),
(141685, NULL, 'PTHR43619:SF6', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(141686, NULL, 'PTHR22951:SF101', NULL, NULL, NULL, NULL, 'BNAA09G51020D PROTEIN', NULL, NULL, NULL, 15),
(141687, NULL, 'PTHR46133:SF19', NULL, NULL, NULL, NULL, 'BNAA02G09500D PROTEIN', NULL, NULL, NULL, 15),
(141688, NULL, 'PTHR10353:SF163', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 19', NULL, NULL, NULL, 15),
(141689, NULL, 'PTHR47212:SF3', NULL, NULL, NULL, NULL, '(, RELATED)', NULL, NULL, NULL, 15),
(141690, NULL, 'PTHR27005:SF190', NULL, NULL, NULL, NULL, 'OS05G0318100 PROTEIN', NULL, NULL, NULL, 15),
(141691, NULL, 'PTHR11909:SF403', NULL, NULL, NULL, NULL, 'BNAA01G08020D PROTEIN', NULL, NULL, NULL, 15),
(141692, NULL, 'PTHR31066:SF74', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141693, NULL, 'PTHR27009:SF164', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141694, NULL, 'PTHR23310:SF113', NULL, NULL, NULL, NULL, 'FERM/ACYL-COA-BINDING PROTEIN, 3-HELICAL BUNDLE-RELATED', NULL, NULL, NULL, 15),
(141695, NULL, 'PTHR16105:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 41', NULL, NULL, NULL, 15),
(141696, NULL, 'PTHR23335:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141697, NULL, 'PTHR27004:SF195', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 24-RELATED', NULL, NULL, NULL, 15),
(141698, NULL, 'PTHR31722:SF42', NULL, NULL, NULL, NULL, 'BNAC09G38350D PROTEIN', NULL, NULL, NULL, 15),
(141699, NULL, 'PTHR45801:SF57', NULL, NULL, NULL, NULL, 'BNAC04G48270D PROTEIN', NULL, NULL, NULL, 15),
(141700, NULL, 'PTHR11926:SF1400', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141701, NULL, 'PTHR31388:SF3', NULL, NULL, NULL, NULL, 'PEROXIDASE 72', NULL, NULL, NULL, 15),
(141702, NULL, 'PTHR24072:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141703, NULL, 'PTHR43391:SF37', NULL, NULL, NULL, NULL, 'OS02G0511100 PROTEIN', NULL, NULL, NULL, 15),
(141704, NULL, 'PTHR11639:SF114', NULL, NULL, NULL, NULL, 'S100 CALCIUM-BINDING PROTEIN V1-RELATED', NULL, NULL, NULL, 15),
(141705, NULL, 'PTHR31675:SF0', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 4', NULL, NULL, NULL, 15),
(141706, NULL, 'PTHR47411:SF2', NULL, NULL, NULL, NULL, 'B3GNT1, BETA-1,3-N-ACETYLGUCOSAMINYLTRANSFERASE 1, HOMOLOG', NULL, NULL, NULL, 15),
(141707, NULL, 'PTHR42898:SF24', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN 13', NULL, NULL, NULL, 15),
(141708, NULL, 'PTHR31283:SF5', NULL, NULL, NULL, NULL, 'GEO08993P1', NULL, NULL, NULL, 15),
(141709, NULL, 'PTHR31717:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141710, NULL, 'PTHR11567:SF187', NULL, NULL, NULL, NULL, 'PROTEIN CBG06099', NULL, NULL, NULL, 15),
(141711, NULL, 'PTHR47979:SF50', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-2B', NULL, NULL, NULL, 15),
(141712, NULL, 'PTHR21700:SF27', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(141713, NULL, 'PTHR11165:SF113', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 21', NULL, NULL, NULL, 15),
(141714, NULL, 'PTHR15184:SF64', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(141715, NULL, 'PTHR35107:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(141716, NULL, 'PTHR14224:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141717, NULL, 'PTHR12420:SF42', NULL, NULL, NULL, NULL, 'LD12022P-RELATED', NULL, NULL, NULL, 15),
(141718, NULL, 'PTHR33403:SF16', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1', NULL, NULL, NULL, 15),
(141719, NULL, 'PTHR43735:SF21', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE 3', NULL, NULL, NULL, 15),
(141720, NULL, 'PTHR12965', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING 54', NULL, NULL, 30979, 15),
(141721, NULL, 'PTHR45734:SF3', NULL, NULL, NULL, NULL, 'TENSIN-1', NULL, NULL, NULL, 15),
(141722, NULL, 'PTHR14130:SF14', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 92B', NULL, NULL, NULL, 15),
(141723, NULL, 'PTHR10621:SF7', NULL, NULL, NULL, NULL, 'OS08G0430200 PROTEIN', NULL, NULL, NULL, 15),
(141724, NULL, 'PTHR43329:SF106', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(141725, NULL, 'PTHR10896:SF31', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE GT43E-RELATED', NULL, NULL, NULL, 15),
(141726, NULL, 'PTHR47926:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141727, NULL, 'PTHR34000:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141728, NULL, 'PTHR10772:SF46', NULL, NULL, NULL, NULL, 'CHAPERONIN', NULL, NULL, NULL, 15),
(141729, NULL, 'PTHR23401', NULL, NULL, NULL, NULL, 'CYCLIN DEPENDANT KINASE-5 ACTIVATOR', NULL, NULL, 1709, 15),
(141730, NULL, 'PTHR46443:SF14', NULL, NULL, NULL, NULL, 'ZF-FLZ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141731, NULL, 'PTHR11654:SF450', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141732, NULL, 'PTHR12321:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141733, NULL, 'PTHR19256:SF22', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR GAMMA VARIABLE 8', NULL, NULL, NULL, 15),
(141734, NULL, 'PTHR30244:SF9', NULL, NULL, NULL, NULL, 'PROTEIN RV3402C', NULL, NULL, NULL, 15),
(141735, NULL, 'PTHR33264:SF43', NULL, NULL, NULL, NULL, 'BNAA10G30350D PROTEIN', NULL, NULL, NULL, 15),
(141736, NULL, 'PTHR34805:SF3', NULL, NULL, NULL, NULL, 'BNAA01G14040D PROTEIN', NULL, NULL, NULL, 15),
(141737, NULL, 'PTHR42711:SF10', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(141738, NULL, 'PTHR37732:SF2', NULL, NULL, NULL, NULL, 'OS08G0104400 PROTEIN', NULL, NULL, NULL, 15),
(141739, NULL, 'PTHR31621:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141740, NULL, 'PTHR31080:SF146', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(141741, NULL, 'PTHR10558:SF1', NULL, NULL, NULL, NULL, 'SOMATOSTATIN II', NULL, NULL, NULL, 15),
(141742, NULL, 'PTHR44019:SF2', NULL, NULL, NULL, NULL, 'POC1 CENTRIOLAR PROTEIN HOMOLOG A', NULL, NULL, NULL, 15),
(141743, NULL, 'PTHR23421:SF155', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(141744, NULL, 'PTHR10909:SF267', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, NULL, 15),
(141745, NULL, 'PTHR11062:SF310', NULL, NULL, NULL, NULL, 'IRX10L-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141746, NULL, 'PTHR20961:SF122', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141747, NULL, 'PTHR26451:SF175', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1404', NULL, NULL, NULL, 15),
(141748, NULL, 'PTHR12191:SF5', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP14', NULL, NULL, NULL, 15),
(141749, NULL, 'PTHR34071', NULL, NULL, NULL, NULL, '5-NITROIMIDAZOLE ANTIBIOTICS RESISTANCE PROTEIN, NIMA-FAMILY-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141750, NULL, 'PTHR48016:SF6', NULL, NULL, NULL, NULL, 'OS02G0555900 PROTEIN', NULL, NULL, NULL, 15),
(141751, NULL, 'PTHR12053:SF3', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE Q', NULL, NULL, NULL, 15),
(141752, NULL, 'PTHR37829:SF1', NULL, NULL, NULL, NULL, 'PHAGE-LIKE ELEMENT PBSX PROTEIN XKDT', NULL, NULL, NULL, 15),
(141753, NULL, 'PTHR43067:SF2', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(141754, NULL, 'PTHR37306', NULL, NULL, NULL, NULL, 'COLICIN V PRODUCTION PROTEIN', NULL, NULL, NULL, 15),
(141755, NULL, 'PTHR45710:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141756, NULL, 'PTHR46859:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(141757, NULL, 'PTHR11034', NULL, NULL, NULL, NULL, 'N-MYC DOWNSTREAM REGULATED', NULL, NULL, 2871, 15),
(141758, NULL, 'PTHR37197', NULL, NULL, NULL, NULL, 'F19K23.17 PROTEIN', NULL, NULL, NULL, 15),
(141759, NULL, 'PTHR33104:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-29D5.2', NULL, NULL, NULL, 15),
(141760, NULL, 'PTHR36700:SF1', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMR SUBUNIT CMR4', NULL, NULL, NULL, 15),
(141761, NULL, 'PTHR10694:SF107', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ706', NULL, NULL, NULL, 15),
(141762, NULL, 'PTHR24148:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141763, NULL, 'PTHR46757:SF7', NULL, NULL, NULL, NULL, 'SORTING NEXIN-5/6/32-RELATED', NULL, NULL, NULL, 15),
(141764, NULL, 'PTHR11430:SF13', NULL, NULL, NULL, NULL, 'NEUTROPHIL GELATINASE-ASSOCIATED LIPOCALIN', NULL, NULL, NULL, 15),
(141765, NULL, 'PTHR15664', NULL, NULL, NULL, NULL, 'C20ORF30 PROTEIN', NULL, NULL, 37366, 15),
(141766, NULL, 'PTHR32502:SF8', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE PERMEASE IIC COMPONENT 1-RELATED', NULL, NULL, NULL, 15),
(141767, NULL, 'PTHR33193:SF34', NULL, NULL, NULL, NULL, 'OS02G0223700 PROTEIN', NULL, NULL, NULL, 15),
(141768, NULL, 'PTHR47802', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141769, NULL, 'PTHR24412:SF451', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 20', NULL, NULL, NULL, 15),
(141770, NULL, 'PTHR31655', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 27444, 15),
(141771, NULL, 'PTHR26379:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141772, NULL, 'PTHR45829:SF5', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 33', NULL, NULL, NULL, 15),
(141773, NULL, 'PTHR16897:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141774, NULL, 'PTHR45973:SF19', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 1, AXONEMAL', NULL, NULL, 26234, 15),
(141775, NULL, 'PTHR36357', NULL, NULL, NULL, NULL, 'OS03G0148300 PROTEIN', NULL, NULL, NULL, 15),
(141776, NULL, 'PTHR31087:SF122', NULL, NULL, NULL, NULL, 'TUBBY C-TERMINAL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141777, NULL, 'PTHR11615:SF245', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(141778, NULL, 'PTHR47968:SF35', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7D, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(141779, NULL, 'PTHR31998:SF33', NULL, NULL, NULL, NULL, 'INORGANIC DIPHOSPHATASE, H+-TRANSLOCATING, VACUOLAR MEMBRANE', NULL, NULL, NULL, 15),
(141780, NULL, 'PTHR31790:SF369', NULL, NULL, NULL, NULL, 'BNACNNG66160D PROTEIN', NULL, NULL, NULL, 15),
(141781, NULL, 'PTHR24056:SF448', NULL, NULL, NULL, NULL, 'BNAC05G26340D PROTEIN', NULL, NULL, NULL, 15),
(141782, NULL, 'PTHR24073:SF1142', NULL, NULL, NULL, NULL, 'SMALL GTPASE LIP1', NULL, NULL, NULL, 15),
(141783, NULL, 'PTHR33077:SF65', NULL, NULL, NULL, NULL, 'PROTEIN JAZ13', NULL, NULL, NULL, 15),
(141784, NULL, 'PTHR10768:SF31', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', NULL, NULL, NULL, 15),
(141785, NULL, 'PTHR45980:SF18', NULL, NULL, NULL, NULL, 'OS06G0234100 PROTEIN', NULL, NULL, NULL, 15),
(141786, NULL, 'PTHR31375:SF237', NULL, NULL, NULL, NULL, 'BNAC04G02210D PROTEIN', NULL, NULL, NULL, 15),
(141787, NULL, 'PTHR28256:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP7', NULL, NULL, NULL, 15),
(141788, NULL, 'PTHR23086:SF128', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(141789, NULL, 'PTHR24349:SF317', NULL, NULL, NULL, NULL, 'LD17393P', NULL, NULL, NULL, 15),
(141790, NULL, 'PTHR30182', NULL, NULL, NULL, NULL, 'L-SERINE DEHYDRATASE', NULL, NULL, NULL, 15),
(141791, NULL, 'PTHR48007:SF45', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 2', NULL, NULL, NULL, 15),
(141792, NULL, 'PTHR43579', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141793, NULL, 'PTHR31642:SF251', NULL, NULL, NULL, NULL, 'SHIKIMATE/QUINATE HYDROXYCINNAMOYLTRANSFERASE', NULL, NULL, NULL, 15),
(141794, NULL, 'PTHR46843', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 16', NULL, NULL, 37632, 15),
(141795, NULL, 'PTHR33147:SF56', NULL, NULL, NULL, NULL, 'DEFENSIN', NULL, NULL, NULL, 15),
(141796, NULL, 'PTHR43422:SF12', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(141797, NULL, 'PTHR11426:SF210', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(141798, NULL, 'PTHR31096:SF48', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR7', NULL, NULL, NULL, 15),
(141799, NULL, 'PTHR31989:SF295', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141800, NULL, 'PTHR32166:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141801, NULL, 'PTHR45798:SF10', NULL, NULL, NULL, NULL, 'OS02G0106600 PROTEIN', NULL, NULL, NULL, 15),
(141802, NULL, 'PTHR46183:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOX4', NULL, NULL, NULL, 15),
(141803, NULL, 'PTHR11346:SF80', NULL, NULL, NULL, NULL, 'GALECTIN-9', NULL, NULL, NULL, 15),
(141804, NULL, 'PTHR31675:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141805, NULL, 'PTHR27006:SF331', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(141806, NULL, 'PTHR47976:SF5', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141807, NULL, 'PTHR18945:SF835', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR ALPHA-LIKE', NULL, NULL, NULL, 15),
(141808, NULL, 'PTHR46709:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG13583', NULL, NULL, NULL, 15),
(141809, NULL, 'PTHR10353:SF151', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 33', NULL, NULL, NULL, 15),
(141810, NULL, 'PTHR46128:SF60', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141811, NULL, 'PTHR33974:SF14', NULL, NULL, NULL, NULL, 'BNACNNG72160D PROTEIN', NULL, NULL, NULL, 15),
(141812, NULL, 'PTHR24031:SF692', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 53-LIKE', NULL, NULL, NULL, 15),
(141813, NULL, 'PTHR31907:SF65', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 31', NULL, NULL, NULL, 15),
(141814, NULL, 'PTHR11430:SF124', NULL, NULL, NULL, NULL, 'LIPOCALIN-1', NULL, NULL, NULL, 15),
(141815, NULL, 'PTHR48049:SF49', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(141816, NULL, 'PTHR31444:SF42', NULL, NULL, NULL, NULL, 'BNAC06G07780D PROTEIN', NULL, NULL, NULL, 15),
(141817, NULL, 'PTHR15590', NULL, NULL, NULL, NULL, 'CX9C MOTIF-CONTAINING PROTEIN 4', NULL, NULL, 22409, 15),
(141818, NULL, 'PTHR24559:SF370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141819, NULL, 'PTHR47991:SF103', NULL, NULL, NULL, NULL, 'PROTEIN SRG1', NULL, NULL, NULL, 15),
(141820, NULL, 'PTHR31311:SF21', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(141821, NULL, 'PTHR10721', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM44', NULL, NULL, 29120, 15),
(141822, NULL, 'PTHR11864:SF27', NULL, NULL, NULL, NULL, 'WW DOMAIN, FF DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141823, NULL, 'PTHR42208', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(141824, NULL, 'PTHR24260:SF91', NULL, NULL, NULL, NULL, 'FI18411P1-RELATED', NULL, NULL, NULL, 15),
(141825, NULL, 'PTHR47676', NULL, NULL, NULL, NULL, 'OS01G0225100 PROTEIN', NULL, NULL, NULL, 15),
(141826, NULL, 'PTHR10856:SF10', NULL, NULL, NULL, NULL, 'CORONIN-1C', NULL, NULL, 26153, 15),
(141827, NULL, 'PTHR11653:SF16', NULL, NULL, NULL, NULL, 'ONCOMODULIN-1', NULL, NULL, NULL, 15),
(141828, NULL, 'PTHR11384', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY D MEMBER', NULL, NULL, NULL, 15),
(141829, NULL, 'PTHR33165:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141830, NULL, 'PTHR12299:SF17', NULL, NULL, NULL, NULL, 'AT19571P-RELATED', NULL, NULL, NULL, 15),
(141831, NULL, 'PTHR46554:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IIS-RELATED', NULL, NULL, NULL, 15),
(141832, NULL, 'PTHR23023:SF143', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE 1-RELATED', NULL, NULL, NULL, 15),
(141833, NULL, 'PTHR10984:SF36', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM-GOLGI INTERMEDIATE COMPARTMENT PROTEIN 1', NULL, NULL, NULL, 15),
(141834, NULL, 'PTHR10423:SF6', NULL, NULL, NULL, NULL, 'INSULIN-LIKE 3', NULL, NULL, 29685, 15),
(141835, NULL, 'PTHR26374:SF378', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT5', NULL, NULL, NULL, 15),
(141836, NULL, 'PTHR14360:SF16', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 90B, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(141837, NULL, 'PTHR43943:SF9', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE 3', NULL, NULL, NULL, 15),
(141838, NULL, 'PTHR27007:SF327', NULL, NULL, NULL, NULL, 'BNAA10G13090D PROTEIN', NULL, NULL, NULL, 15),
(141839, NULL, 'PTHR23117', NULL, NULL, NULL, NULL, 'GUANYLATE KINASE-RELATED', NULL, NULL, NULL, 15),
(141840, NULL, 'PTHR24423:SF626', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE SENSOR 2', NULL, NULL, NULL, 15),
(141841, NULL, 'PTHR32409:SF7', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM20-2', NULL, NULL, NULL, 15),
(141842, NULL, 'PTHR33193:SF51', NULL, NULL, NULL, NULL, 'OS01G0306200 PROTEIN', NULL, NULL, NULL, 15),
(141843, NULL, 'PTHR31190:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141844, NULL, 'PTHR43295:SF1', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE 1-RELATED', NULL, NULL, NULL, 15),
(141845, NULL, 'PTHR24228:SF28', NULL, NULL, NULL, NULL, 'B1 BRADYKININ RECEPTOR', NULL, NULL, NULL, 15),
(141846, NULL, 'PTHR21212:SF5', NULL, NULL, NULL, NULL, 'SEIPIN-1', NULL, NULL, NULL, 15),
(141847, NULL, 'PTHR12887:SF4', NULL, NULL, NULL, NULL, 'NANOS RELATED', NULL, NULL, NULL, 15),
(141848, NULL, 'PTHR47147', NULL, NULL, NULL, NULL, 'SYNCOILIN', NULL, NULL, 26809, 15),
(141849, NULL, 'PTHR31234:SF49', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(141850, NULL, 'PTHR48022:SF43', NULL, NULL, NULL, NULL, 'QUINATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G16230)-RELATED', NULL, NULL, NULL, 15),
(141851, NULL, 'PTHR15712:SF8', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING X-LINKED PROTEIN 3', NULL, NULL, NULL, 15),
(141852, NULL, 'PTHR10106:SF47', NULL, NULL, NULL, NULL, 'BNAA02G11010D PROTEIN', NULL, NULL, NULL, 15),
(141853, NULL, 'PTHR22940:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TIMELESS', NULL, NULL, NULL, 15),
(141854, NULL, 'PTHR24064:SF578', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 5', NULL, NULL, NULL, 15),
(141855, NULL, 'PTHR46996:SF6', NULL, NULL, NULL, NULL, 'OS05G0488500 PROTEIN', NULL, NULL, NULL, 15),
(141856, NULL, 'PTHR11817:SF75', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(141857, NULL, 'PTHR35632:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141858, NULL, 'PTHR23201:SF43', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 6-LIKE', NULL, NULL, NULL, 15),
(141859, NULL, 'PTHR46043:SF13', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(141860, NULL, 'PTHR47925:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141861, NULL, 'PTHR12718:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141862, NULL, 'PTHR22966:SF55', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 5-LIKE', NULL, NULL, NULL, 15),
(141863, NULL, 'PTHR31480:SF9', NULL, NULL, NULL, NULL, 'PHYTOENE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(141864, NULL, 'PTHR47460:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(141865, NULL, 'PTHR33986:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION PROTEIN ELM1', NULL, NULL, NULL, 15),
(141866, NULL, 'PTHR12446:SF58', NULL, NULL, NULL, NULL, 'OS06G0332700 PROTEIN', NULL, NULL, NULL, 15),
(141867, NULL, 'PTHR36368:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CASEINOLYTIC PROTEASE/CROTONASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(141868, NULL, 'PTHR24412:SF163', NULL, NULL, NULL, NULL, 'CALICIN', NULL, NULL, NULL, 15),
(141869, NULL, 'PTHR31873:SF6', NULL, NULL, NULL, NULL, 'L-ASPARTATE DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(141870, NULL, 'PTHR10165:SF175', NULL, NULL, NULL, NULL, 'OS08G0359200 PROTEIN', NULL, NULL, NULL, 15),
(141871, NULL, 'PTHR34630:SF35', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RGA2-LIKE', NULL, NULL, NULL, 15),
(141872, NULL, 'PTHR15271:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141873, NULL, 'PTHR13524:SF2', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 14', NULL, NULL, NULL, 15),
(141874, NULL, 'PTHR47924:SF49', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(141875, NULL, 'PTHR47429:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TWIN LOV 1-LIKE', NULL, NULL, NULL, 15),
(141876, NULL, 'PTHR19924:SF28', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 77', NULL, NULL, NULL, 15),
(141877, NULL, 'PTHR12378:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141878, NULL, 'PTHR31250:SF43', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM3-LIKE', NULL, NULL, NULL, 15),
(141879, NULL, 'PTHR34370:SF1', NULL, NULL, NULL, NULL, 'OS04G0600100 PROTEIN', NULL, NULL, NULL, 15),
(141880, NULL, 'PTHR24139:SF34', NULL, NULL, NULL, NULL, '85/88 KDA CALCIUM-INDEPENDENT PHOSPHOLIPASE A2', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141881, NULL, 'PTHR45630:SF2', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE 13A2', NULL, NULL, NULL, 15),
(141882, NULL, 'PTHR32166:SF84', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141883, NULL, 'PTHR11817:SF104', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(141884, NULL, 'PTHR48048:SF21', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(141885, NULL, 'PTHR45666:SF8', NULL, NULL, NULL, NULL, 'OS03G0793600 PROTEIN', NULL, NULL, NULL, 15),
(141886, NULL, 'PTHR24300:SF196', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(141887, NULL, 'PTHR24055:SF463', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 9-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(141888, NULL, 'PTHR17204:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141889, NULL, 'PTHR31642:SF247', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141890, NULL, 'PTHR23284:SF0', NULL, NULL, NULL, NULL, 'PROLACTIN REGULATORY ELEMENT-BINDING PROTEIN', NULL, NULL, NULL, 15),
(141891, NULL, 'PTHR45677:SF5', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE 1', NULL, NULL, NULL, 15),
(141892, NULL, 'PTHR42996:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE-BINDING PROTEIN PSTS', NULL, NULL, NULL, 15),
(141893, NULL, 'PTHR48056:SF19', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXC2', NULL, NULL, NULL, 15),
(141894, NULL, 'PTHR35538:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141895, NULL, 'PTHR31040', NULL, NULL, NULL, NULL, 'NURIM', NULL, NULL, 34454, 15),
(141896, NULL, 'PTHR12210:SF146', NULL, NULL, NULL, NULL, 'SCP1-LIKE SMALL PHOSPHATASE 4-RELATED', NULL, NULL, NULL, 15),
(141897, NULL, 'PTHR10803:SF22', NULL, NULL, NULL, NULL, 'BNAC01G38670D PROTEIN', NULL, NULL, NULL, 15),
(141898, NULL, 'PTHR27002:SF522', NULL, NULL, NULL, NULL, 'OS12G0249900 PROTEIN', NULL, NULL, NULL, 15),
(141899, NULL, 'PTHR31379:SF3', NULL, NULL, NULL, NULL, 'F-BOX C PROTEIN', NULL, NULL, NULL, 15),
(141900, NULL, 'PTHR45675:SF25', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 112', NULL, NULL, NULL, 15),
(141901, NULL, 'PTHR23315:SF64', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(141902, NULL, 'PTHR46890:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 10 KDA PROTEINPSBR PROTEIN', NULL, NULL, NULL, 15),
(141903, NULL, 'PTHR37702:SF4', NULL, NULL, NULL, NULL, 'BNAA09G30130D PROTEIN', NULL, NULL, NULL, 15),
(141904, NULL, 'PTHR32246:SF17', NULL, NULL, NULL, NULL, 'INGRESSION PROTEIN FIC1', NULL, NULL, NULL, 15),
(141905, NULL, 'PTHR28572', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 103', NULL, NULL, 36743, 15),
(141906, NULL, 'PTHR24083:SF169', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-49', NULL, NULL, NULL, 15),
(141907, NULL, 'PTHR47767:SF1', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR G7', NULL, NULL, NULL, 15),
(141908, NULL, 'PTHR47933:SF13', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(141909, NULL, 'PTHR31907:SF14', NULL, NULL, NULL, NULL, 'KIROLA-LIKE', NULL, NULL, NULL, 15),
(141910, NULL, 'PTHR46641:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG04627', NULL, NULL, NULL, 15),
(141911, NULL, 'PTHR47956:SF51', NULL, NULL, NULL, NULL, 'PREMNASPIRODIENE OXYGENASE-LIKE', NULL, NULL, NULL, 15),
(141912, NULL, 'PTHR13817:SF89', NULL, NULL, NULL, NULL, 'MYOMESIN-3', NULL, NULL, NULL, 15),
(141913, NULL, 'PTHR10742:SF395', NULL, NULL, NULL, NULL, 'BNAC03G23980D PROTEIN', NULL, NULL, NULL, 15),
(141914, NULL, 'PTHR36000:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141915, NULL, 'PTHR10788:SF75', NULL, NULL, NULL, NULL, 'SYNTHASE SUBUNIT OF TREHALOSE-6-PHOSPHATE SYNTHASE/PHOSPHATASE COMPLEX (EUROFUNG)', NULL, NULL, NULL, 15),
(141916, NULL, 'PTHR11003:SF290', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 18', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141917, NULL, 'PTHR21450:SF26', NULL, NULL, NULL, NULL, 'OS11G0564600 PROTEIN', NULL, NULL, NULL, 15),
(141918, NULL, 'PTHR23226:SF280', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 829', NULL, NULL, NULL, 15),
(141919, NULL, 'PTHR31342:SF37', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(141920, NULL, 'PTHR23065:SF47', NULL, NULL, NULL, NULL, 'FORMIN-BINDING PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(141921, NULL, 'PTHR34252', NULL, NULL, NULL, NULL, 'UPF0705 PROTEIN C11ORF49', NULL, NULL, 29011, 15),
(141922, NULL, 'PTHR15180:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141923, NULL, 'PTHR45675:SF61', NULL, NULL, NULL, NULL, 'BNAC07G24710D PROTEIN', NULL, NULL, NULL, 15),
(141924, NULL, 'PTHR31731:SF132', NULL, NULL, NULL, NULL, 'BNAA09G20900D PROTEIN', NULL, NULL, NULL, 15),
(141925, NULL, 'PTHR43578:SF1', NULL, NULL, NULL, NULL, 'NADP-REDUCING HYDROGENASE, SUBUNIT C', NULL, NULL, NULL, 15),
(141926, NULL, 'PTHR15241:SF331', NULL, NULL, NULL, NULL, 'OS03G0141300 PROTEIN', NULL, NULL, NULL, 15),
(141927, NULL, 'PTHR12566:SF6', NULL, NULL, NULL, NULL, 'FOG-1 PROTEIN', NULL, NULL, NULL, 15),
(141928, NULL, 'PTHR47987:SF21', NULL, NULL, NULL, NULL, 'BNAC02G00270D PROTEIN', NULL, NULL, NULL, 15),
(141929, NULL, 'PTHR43876:SF18', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G09540)-RELATED', NULL, NULL, NULL, 15),
(141930, NULL, 'PTHR47942:SF31', NULL, NULL, NULL, NULL, 'OS03G0165100 PROTEIN', NULL, NULL, NULL, 15),
(141931, NULL, 'PTHR43625:SF12', NULL, NULL, NULL, NULL, 'AFLATOXIN B1 ALDEHYDE REDUCTASE MEMBER 2', NULL, NULL, NULL, 15),
(141932, NULL, 'PTHR48007:SF37', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(141933, NULL, 'PTHR24012:SF813', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(141934, NULL, 'PTHR10676:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141935, NULL, 'PTHR10398:SF2', NULL, NULL, NULL, NULL, 'AFADIN', NULL, NULL, NULL, 15),
(141936, NULL, 'PTHR47968:SF34', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(141937, NULL, 'PTHR10625:SF209', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, NULL, 15),
(141938, NULL, 'PTHR34465:SF3', NULL, NULL, NULL, NULL, 'OS09G0547900 PROTEIN', NULL, NULL, NULL, 15),
(141939, NULL, 'PTHR31140:SF109', NULL, NULL, NULL, NULL, 'BNAA08G19490D PROTEIN', NULL, NULL, NULL, 15),
(141940, NULL, 'PTHR33064', NULL, NULL, NULL, NULL, 'POL PROTEIN', NULL, NULL, NULL, 15),
(141941, NULL, 'PTHR42810:SF2', NULL, NULL, NULL, NULL, 'PURINE PERMEASE C1399.01C-RELATED', NULL, NULL, NULL, 15),
(141942, NULL, 'PTHR11588:SF124', NULL, NULL, NULL, NULL, 'TUBULIN BETA-7 CHAIN', NULL, NULL, NULL, 15),
(141943, NULL, 'PTHR11481:SF67', NULL, NULL, NULL, NULL, 'PROTEIN IL-40', NULL, NULL, NULL, 15),
(141944, NULL, 'PTHR33057:SF144', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP2-LIKE', NULL, NULL, NULL, 15),
(141945, NULL, 'PTHR47323:SF3', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(141946, NULL, 'PTHR33834:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141947, NULL, 'PTHR31260:SF51', NULL, NULL, NULL, NULL, 'BNACNNG59860D PROTEIN', NULL, NULL, NULL, 15),
(141948, NULL, 'PTHR12236:SF19', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 62BB, ISOFORM A', NULL, NULL, NULL, 15),
(141949, NULL, 'PTHR11474:SF3', NULL, NULL, NULL, NULL, '5,6-DIHYDROXYINDOLE-2-CARBOXYLIC ACID OXIDASE', NULL, NULL, NULL, 15),
(141950, NULL, 'PTHR46162:SF23', NULL, NULL, NULL, NULL, 'BNAA09G00010D PROTEIN', NULL, NULL, NULL, 15),
(141951, NULL, 'PTHR11783:SF252', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 17', NULL, NULL, NULL, 15),
(141952, NULL, 'PTHR31318:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141953, NULL, 'PTHR41775', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141954, NULL, 'PTHR10585:SF73', NULL, NULL, NULL, NULL, 'BNAC07G14900D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141955, NULL, 'PTHR47450:SF1', NULL, NULL, NULL, NULL, 'GLUCOKINASE', NULL, NULL, NULL, 15),
(141956, NULL, 'PTHR42799', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PEPTIDE METHIONINE SULFOXIDE REDUCTASE', NULL, NULL, NULL, 15),
(141957, NULL, 'PTHR45933:SF31', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141958, NULL, 'PTHR13355:SF8', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(141959, NULL, 'PTHR47477:SF14', NULL, NULL, NULL, NULL, 'MEPRIN AND TRAF (MATH)-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(141960, NULL, 'PTHR19432:SF34', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED TRANSPORTER PROTEIN', NULL, NULL, NULL, 15),
(141961, NULL, 'PTHR48001:SF158', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(141962, NULL, 'PTHR20916:SF0', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PROTEIN 2-BINDING PROTEIN', NULL, NULL, 33469, 15),
(141963, NULL, 'PTHR15508:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE DELTA-1-RELATED', NULL, NULL, NULL, 15),
(141964, NULL, 'PTHR48034', NULL, NULL, NULL, NULL, 'TRANSFORMER-2 SEX-DETERMINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141965, NULL, 'PTHR11908', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE', NULL, NULL, 17056, 15),
(141966, NULL, 'PTHR22930:SF181', NULL, NULL, NULL, NULL, 'OS06G0597250 PROTEIN', NULL, NULL, NULL, 15),
(141967, NULL, 'PTHR15036:SF67', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(141968, NULL, 'PTHR27009:SF231', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK1', NULL, NULL, NULL, 15),
(141969, NULL, 'PTHR43603:SF1', NULL, NULL, NULL, NULL, 'COBW DOMAIN-CONTAINING PROTEIN DDB_G0274527', NULL, NULL, NULL, 15),
(141970, NULL, 'PTHR46547:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 8', NULL, NULL, NULL, 15),
(141971, NULL, 'PTHR13935:SF106', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH120-RELATED', NULL, NULL, NULL, 15),
(141972, NULL, 'PTHR10587:SF128', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE DEACETYLASE PDAB-RELATED', NULL, NULL, NULL, 15),
(141973, NULL, 'PTHR10977:SF5', NULL, NULL, NULL, NULL, 'DIPHOSPHOMEVALONATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(141974, NULL, 'PTHR23360:SF64', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(141975, NULL, 'PTHR16220:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN WRAP73', NULL, NULL, NULL, 15),
(141976, NULL, 'PTHR47069:SF6', NULL, NULL, NULL, NULL, 'OS01G0545800 PROTEIN', NULL, NULL, NULL, 15),
(141977, NULL, 'PTHR23226:SF83', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 75A ISOFORM 1', NULL, NULL, NULL, 15),
(141978, NULL, 'PTHR34491:SF14', NULL, NULL, NULL, NULL, 'MYH7 ISOFORM 1', NULL, NULL, NULL, 15),
(141979, NULL, 'PTHR23288:SF6', NULL, NULL, NULL, NULL, 'OCCLUDIN', NULL, NULL, 5297, 15),
(141980, NULL, 'PTHR46386:SF8', NULL, NULL, NULL, NULL, 'RIKEN CDNA A530032D15RIK GENE-RELATED', NULL, NULL, NULL, 15),
(141981, NULL, 'PTHR10177:SF427', NULL, NULL, NULL, NULL, 'CYCLIN D3.1 PROTEIN', NULL, NULL, NULL, 15),
(141982, NULL, 'PTHR45648:SF88', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN APG, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(141983, NULL, 'PTHR21228:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141984, NULL, 'PTHR33463:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141985, NULL, 'PTHR43329:SF90', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', NULL, NULL, NULL, 15),
(141986, NULL, 'PTHR23505:SF60', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', NULL, NULL, NULL, 15),
(141987, NULL, 'PTHR47932:SF3', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(141988, NULL, 'PTHR40626:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(141989, NULL, 'PTHR24384:SF180', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 506-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(141990, NULL, 'PTHR11040:SF141', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 3', NULL, NULL, NULL, 15),
(141991, NULL, 'PTHR48104', NULL, NULL, NULL, NULL, 'METACASPASE-4', NULL, NULL, NULL, 15),
(141992, NULL, 'PTHR23235:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP2', NULL, NULL, 25736, 15),
(141993, NULL, 'PTHR31341:SF9', NULL, NULL, NULL, NULL, 'CONTACT SITE A PROTEIN', NULL, NULL, NULL, 15),
(141994, NULL, 'PTHR19305:SF31', NULL, NULL, NULL, NULL, 'SNAP25-LIKE PROTEINOUS PROTEIN SNAP33', NULL, NULL, NULL, 15),
(141995, NULL, 'PTHR23105:SF145', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A', NULL, NULL, NULL, 15),
(141996, NULL, 'PTHR45667:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141997, NULL, 'PTHR31422:SF22', NULL, NULL, NULL, NULL, 'BNAC06G15380D PROTEIN', NULL, NULL, NULL, 15),
(141998, NULL, 'PTHR31225:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(141999, NULL, 'PTHR46798:SF7', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(142000, NULL, 'PTHR24064:SF537', NULL, NULL, NULL, NULL, 'BNAC05G16120D PROTEIN', NULL, NULL, NULL, 15),
(142001, NULL, 'PTHR31942:SF52', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(142002, NULL, 'PTHR19353:SF12', NULL, NULL, NULL, NULL, 'ACYL-COA 6-DESATURASE', NULL, NULL, NULL, 15),
(142003, NULL, 'PTHR11985:SF31', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(142004, NULL, 'PTHR41683:SF1', NULL, NULL, NULL, NULL, 'MUCIN-7', NULL, NULL, NULL, 15),
(142005, NULL, 'PTHR37219:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PALE CRESS, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(142006, NULL, 'PTHR43539:SF62', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(142007, NULL, 'PTHR23213:SF366', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(142008, NULL, 'PTHR12801:SF115', NULL, NULL, NULL, NULL, 'LD29573P', NULL, NULL, NULL, 15),
(142009, NULL, 'PTHR15315:SF79', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF8-LIKE', NULL, NULL, NULL, 15),
(142010, NULL, 'PTHR24221:SF460', NULL, NULL, NULL, NULL, 'LP14331P', NULL, NULL, NULL, 15),
(142011, NULL, 'PTHR23537:SF1', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(142012, NULL, 'PTHR33530:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142013, NULL, 'PTHR11860:SF97', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 8', NULL, NULL, NULL, 15),
(142014, NULL, 'PTHR47537:SF2', NULL, NULL, NULL, NULL, 'CUBILIN', NULL, NULL, NULL, 15),
(142015, NULL, 'PTHR31155:SF37', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE', NULL, NULL, NULL, 15),
(142016, NULL, 'PTHR43038:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP BINDING PROTEIN', NULL, NULL, NULL, 15),
(142017, NULL, 'PTHR11070:SF49', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE/DEOXYRIBONUCLEASE SUBUNIT B', NULL, NULL, NULL, 15),
(142018, NULL, 'PTHR31077:SF2', NULL, NULL, NULL, NULL, 'SNRNP27 ISOFORM 2', NULL, NULL, NULL, 15),
(142019, NULL, 'PTHR34955:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142020, NULL, 'PTHR33222:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CURVATURE THYLAKOID 1C, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(142021, NULL, 'PTHR43139:SF51', NULL, NULL, NULL, NULL, 'BNAA01G34530D PROTEIN', NULL, NULL, NULL, 15),
(142022, NULL, 'PTHR23389:SF30', NULL, NULL, NULL, NULL, 'FACTOR C, SUBUNIT 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(142023, NULL, 'PTHR24390:SF109', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 524', NULL, NULL, NULL, 15),
(142024, NULL, 'PTHR43795:SF74', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 2', NULL, NULL, NULL, 15),
(142025, NULL, 'PTHR48041:SF67', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, G1, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(142026, NULL, 'PTHR31585:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142027, NULL, 'PTHR11746:SF173', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(142028, NULL, 'PTHR11818:SF38', NULL, NULL, NULL, NULL, 'VERY LARGE A-KINASE ANCHOR PROTEIN', NULL, NULL, NULL, 15),
(142029, NULL, 'PTHR15067', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF8', NULL, NULL, NULL, 15),
(142030, NULL, 'PTHR48048:SF47', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 88A1', NULL, NULL, NULL, 15),
(142031, NULL, 'PTHR46592:SF12', NULL, NULL, NULL, NULL, 'OS12G0135300 PROTEIN', NULL, NULL, NULL, 15),
(142032, NULL, 'PTHR48048:SF49', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(142033, NULL, 'PTHR15486:SF0', NULL, NULL, NULL, NULL, 'ANCIENT UBIQUITOUS PROTEIN 1', NULL, NULL, NULL, 15),
(142034, NULL, 'PTHR11614:SF164', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(142035, NULL, 'PTHR19308:SF46', NULL, NULL, NULL, NULL, 'START DOMAIN, START-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142036, NULL, 'PTHR15570', NULL, NULL, NULL, NULL, 'G0/G1 SWITCH PROTEIN 2', NULL, NULL, 15411, 15),
(142037, NULL, 'PTHR27000:SF594', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142038, NULL, 'PTHR23220:SF9', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-6', NULL, NULL, NULL, 15),
(142039, NULL, 'PTHR48034:SF1', NULL, NULL, NULL, NULL, 'TRANSFORMER-2 PROTEIN HOMOLOG BETA', NULL, NULL, NULL, 15),
(142040, NULL, 'PTHR48054:SF21', NULL, NULL, NULL, NULL, 'KINASE FAMILY WITH LEUCINE-RICH REPEAT DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(142041, NULL, 'PTHR22907:SF14', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(142042, NULL, 'PTHR33836:SF3', NULL, NULL, NULL, NULL, 'OS01G0144300 PROTEIN', NULL, NULL, NULL, 15),
(142043, NULL, 'PTHR12266:SF20', NULL, NULL, NULL, NULL, 'CATION CALCIUM EXCHANGER', NULL, NULL, NULL, 15),
(142044, NULL, 'PTHR33882:SF13', NULL, NULL, NULL, NULL, 'BNAA09G07030D PROTEIN', NULL, NULL, NULL, 15),
(142045, NULL, 'PTHR30086:SF14', NULL, NULL, NULL, NULL, 'HOMOSERINE/HOMOSERINE LACTONE EFFLUX PROTEIN', NULL, NULL, NULL, 15),
(142046, NULL, 'PTHR45631:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142047, NULL, 'PTHR45931:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-59O9.10', NULL, NULL, NULL, 15),
(142048, NULL, 'PTHR33044:SF11', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(142049, NULL, 'PTHR12322:SF108', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(142050, NULL, 'PTHR42683:SF68', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(142051, NULL, 'PTHR31790:SF352', NULL, NULL, NULL, NULL, 'BNAC03G58630D PROTEIN', NULL, NULL, NULL, 15),
(142052, NULL, 'PTHR33360:SF2', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS200', NULL, NULL, NULL, 15),
(142053, NULL, 'PTHR45496:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(142054, NULL, 'PTHR45798:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142055, NULL, 'PTHR43521:SF1', NULL, NULL, NULL, NULL, 'ALPHA-AMINOADIPIC SEMIALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(142056, NULL, 'PTHR23070:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142057, NULL, 'PTHR10554:SF2', NULL, NULL, NULL, NULL, 'GAMMA-1-SYNTROPHIN', NULL, NULL, 9023, 15),
(142058, NULL, 'PTHR23202:SF77', NULL, NULL, NULL, NULL, 'PIP82', NULL, NULL, NULL, 15),
(142059, NULL, 'PTHR47928:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142060, NULL, 'PTHR33402:SF32', NULL, NULL, NULL, NULL, 'VQ MOTIF PROTEIN', NULL, NULL, NULL, 15),
(142061, NULL, 'PTHR31344:SF7', NULL, NULL, NULL, NULL, 'OS08G0505200 PROTEIN', NULL, NULL, NULL, 15),
(142062, NULL, 'PTHR48021:SF67', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 4', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142063, NULL, 'PTHR10527:SF60', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(142064, NULL, 'PTHR47104:SF1', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(142065, NULL, 'PTHR33345:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142066, NULL, 'PTHR23322:SF81', NULL, NULL, NULL, NULL, 'BNAA05G10640D PROTEIN', NULL, NULL, NULL, 15),
(142067, NULL, 'PTHR11604:SF28', NULL, NULL, NULL, NULL, 'PROFILIN-3', NULL, NULL, NULL, 15),
(142068, NULL, 'PTHR33925', NULL, NULL, NULL, NULL, 'PLASTID DIVISION PROTEIN CDP1, CHLOROPLASTIC-RELATED', NULL, NULL, 37085, 15),
(142069, NULL, 'PTHR30433', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN MOTA', NULL, NULL, NULL, 15),
(142070, NULL, 'PTHR48017:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142071, NULL, 'PTHR13793:SF106', NULL, NULL, NULL, NULL, 'ALHAMBRA, ISOFORM P', NULL, NULL, NULL, 15),
(142072, NULL, 'PTHR11157:SF141', NULL, NULL, NULL, NULL, 'BNAA01G32820D PROTEIN', NULL, NULL, NULL, 15),
(142073, NULL, 'PTHR48211', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(142074, NULL, 'PTHR31362:SF0', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE STELLO1-RELATED', NULL, NULL, NULL, 15),
(142075, NULL, 'PTHR11937:SF448', NULL, NULL, NULL, NULL, 'ACTIN-LIKE', NULL, NULL, NULL, 15),
(142076, NULL, 'PTHR11760:SF46', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3-1-RELATED', NULL, NULL, NULL, 15),
(142077, NULL, 'PTHR46128:SF206', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(142078, NULL, 'PTHR24034:SF103', NULL, NULL, NULL, NULL, 'LDL RECEPTOR RELATED PROTEIN 4', NULL, NULL, NULL, 15),
(142079, NULL, 'PTHR31989:SF277', NULL, NULL, NULL, NULL, 'BNAA09G51620D PROTEIN', NULL, NULL, NULL, 15),
(142080, NULL, 'PTHR24289:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 17, SUBFAMILY A, POLYPEPTIDE 2', NULL, NULL, NULL, 15),
(142081, NULL, 'PTHR12341:SF53', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE', NULL, NULL, NULL, 15),
(142082, NULL, 'PTHR47094:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142083, NULL, 'PTHR10485:SF25', NULL, NULL, NULL, NULL, 'BNAC08G19210D PROTEIN', NULL, NULL, NULL, 15),
(142084, NULL, 'PTHR23065', NULL, NULL, NULL, NULL, 'PROLINE-SERINE-THREONINE PHOSPHATASE INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(142085, NULL, 'PTHR12448:SF7', NULL, NULL, NULL, NULL, 'BNAA08G01880D PROTEIN', NULL, NULL, NULL, 15),
(142086, NULL, 'PTHR33399:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF LUMENAL LOCATION 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(142087, NULL, 'PTHR47968:SF27', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7J', NULL, NULL, NULL, 15),
(142088, NULL, 'PTHR33548:SF12', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 2', NULL, NULL, NULL, 15),
(142089, NULL, 'PTHR43849:SF2', NULL, NULL, NULL, NULL, 'BLL3936 PROTEIN', NULL, NULL, NULL, 15),
(142090, NULL, 'PTHR47991:SF77', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 1-LIKE', NULL, NULL, NULL, 15),
(142091, NULL, 'PTHR40699:SF1', NULL, NULL, NULL, NULL, 'UPF0179 PROTEIN MJ1627', NULL, NULL, NULL, 15),
(142092, NULL, 'PTHR31140:SF90', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR LEC2', NULL, NULL, NULL, 15),
(142093, NULL, 'PTHR42898:SF60', NULL, NULL, NULL, NULL, 'BNAC04G14070D PROTEIN', NULL, NULL, NULL, 15),
(142094, NULL, 'PTHR11864:SF26', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING PROTEIN 40A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(142095, NULL, 'PTHR19961:SF74', NULL, NULL, NULL, NULL, 'BNACNNG38580D PROTEIN', NULL, NULL, NULL, 15),
(142096, NULL, 'PTHR19431:SF10', NULL, NULL, NULL, NULL, 'BNAA05G28850D PROTEIN', NULL, NULL, NULL, 15),
(142097, NULL, 'PTHR34409', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142098, NULL, 'PTHR31747:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LOL1', NULL, NULL, NULL, 15),
(142099, NULL, 'PTHR37534', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN UGA3', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142100, NULL, 'PTHR31989:SF365', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 78', NULL, NULL, NULL, 15),
(142101, NULL, 'PTHR27000:SF645', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(142102, NULL, 'PTHR11422:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142103, NULL, 'PTHR45767', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN O', NULL, NULL, NULL, 15),
(142104, NULL, 'PTHR10994:SF147', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B6', NULL, NULL, NULL, 15),
(142105, NULL, 'PTHR33435:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG21870', NULL, NULL, NULL, 15),
(142106, NULL, 'PTHR45569:SF1', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN KDPD', NULL, NULL, NULL, 15),
(142107, NULL, 'PTHR45645:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142108, NULL, 'PTHR32226:SF2', NULL, NULL, NULL, NULL, 'TELO2-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(142109, NULL, 'PTHR19372', NULL, NULL, NULL, NULL, 'SULFITE REDUCTASE', NULL, NULL, NULL, 15),
(142110, NULL, 'PTHR30221', NULL, NULL, NULL, NULL, 'SMALL-CONDUCTANCE MECHANOSENSITIVE CHANNEL', NULL, NULL, 39898, 15),
(142111, NULL, 'PTHR38790:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142112, NULL, 'PTHR10210:SF53', NULL, NULL, NULL, NULL, 'GH23275P', NULL, NULL, NULL, 15),
(142113, NULL, 'PTHR23303', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE REGULATORY REGION-CONTAINING', NULL, NULL, NULL, 15),
(142114, NULL, 'PTHR22881:SF27', NULL, NULL, NULL, NULL, 'DNA-BINDING BROMODOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(142115, NULL, 'PTHR34353:SF3', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDONUCLEASE CAS1', NULL, NULL, NULL, 15),
(142116, NULL, 'PTHR27006:SF244', NULL, NULL, NULL, NULL, 'KINASE-RELATED', NULL, NULL, NULL, 15),
(142117, NULL, 'PTHR10509:SF33', NULL, NULL, NULL, NULL, 'CATECHOL-O-METHYLTRANSFERASE FAMILY', NULL, NULL, NULL, 15),
(142118, NULL, 'PTHR43254:SF3', NULL, NULL, NULL, NULL, 'C-TERMINAL BINDING PROTEIN AN', NULL, NULL, NULL, 15),
(142119, NULL, 'PTHR43051:SF7', NULL, NULL, NULL, NULL, 'POLY A POLYMERASE, HEAD DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142120, NULL, 'PTHR33656:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142121, NULL, 'PTHR23155:SF898', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(142122, NULL, 'PTHR22762:SF118', NULL, NULL, NULL, NULL, 'NEUTRAL ALPHA-GLUCOSIDASE AB', NULL, NULL, NULL, 15),
(142123, NULL, 'PTHR32444:SF125', NULL, NULL, NULL, NULL, 'OS01G0958200 PROTEIN', NULL, NULL, NULL, 15),
(142124, NULL, 'PTHR44329:SF73', NULL, NULL, NULL, NULL, 'OS01G0201200 PROTEIN', NULL, NULL, NULL, 15),
(142125, NULL, 'PTHR31350:SF25', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142126, NULL, 'PTHR19317:SF65', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(142127, NULL, 'PTHR11141:SF27', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', NULL, NULL, NULL, 15),
(142128, NULL, 'PTHR43691:SF8', NULL, NULL, NULL, NULL, 'URIDINE PHOSPHORYLASE 2', NULL, NULL, NULL, 15),
(142129, NULL, 'PTHR13817:SF73', NULL, NULL, NULL, NULL, 'BENT, ISOFORM F', NULL, NULL, NULL, 15),
(142130, NULL, 'PTHR46470', NULL, NULL, NULL, NULL, 'N-ACYLNEURAMINATE-9-PHOSPHATASE', NULL, NULL, NULL, 15),
(142131, NULL, 'PTHR10240:SF0', NULL, NULL, NULL, NULL, 'ALPHA-S1-CASEIN', NULL, NULL, NULL, 15),
(142132, NULL, 'PTHR47273:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142133, NULL, 'PTHR30602:SF9', NULL, NULL, NULL, NULL, 'AMINO-ACID ACETYLTRANSFERASE NAGS1 CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(142134, NULL, 'PTHR43104:SF2', NULL, NULL, NULL, NULL, 'L-2-HYDROXYGLUTARATE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(142135, NULL, 'PTHR15371:SF25', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM23-2-LIKE', NULL, NULL, NULL, 15),
(142136, NULL, 'PTHR48015:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAKB', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142137, NULL, 'PTHR13723:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142138, NULL, 'PTHR32448:SF71', NULL, NULL, NULL, NULL, 'BERBERINE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(142139, NULL, 'PTHR43781', NULL, NULL, NULL, NULL, 'SACCHAROPINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(142140, NULL, 'PTHR22761:SF63', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 32 HOMOLOG 1', NULL, NULL, NULL, 15),
(142141, NULL, 'PTHR22850:SF207', NULL, NULL, NULL, NULL, 'BNAC09G09140D PROTEIN', NULL, NULL, NULL, 15),
(142142, NULL, 'PTHR23201:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142143, NULL, 'PTHR47982:SF29', NULL, NULL, NULL, NULL, 'BNAA09G52250D PROTEIN', NULL, NULL, NULL, 15),
(142144, NULL, 'PTHR30221:SF3', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL FAMILY PROTEIN', NULL, NULL, NULL, 15),
(142145, NULL, 'PTHR34351', NULL, NULL, NULL, NULL, 'SLR1927 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142146, NULL, 'PTHR43470:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PSTA', NULL, NULL, NULL, 15),
(142147, NULL, 'PTHR24068:SF383', NULL, NULL, NULL, NULL, 'BNAA09G04490D PROTEIN', NULL, NULL, NULL, 15),
(142148, NULL, 'PTHR21262:SF12', NULL, NULL, NULL, NULL, 'GTP DIPHOSPHOKINASE CRSH, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(142149, NULL, 'PTHR43313:SF30', NULL, NULL, NULL, NULL, 'ZGC:113142', NULL, NULL, NULL, 15),
(142150, NULL, 'PTHR22984:SF11', NULL, NULL, NULL, NULL, 'PIM PROTO-ONCOGENE, SERINE/THREONINE KINASE, RELATED 204-RELATED', NULL, NULL, NULL, 15),
(142151, NULL, 'PTHR31374:SF206', NULL, NULL, NULL, NULL, 'F5M15.19', NULL, NULL, NULL, 15),
(142152, NULL, 'PTHR44329:SF149', NULL, NULL, NULL, NULL, 'BNAA03G01030D PROTEIN', NULL, NULL, 22079, 15),
(142153, NULL, 'PTHR40101:SF1', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(142154, NULL, 'PTHR43553:SF15', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN SCO5958-RELATED', NULL, NULL, NULL, 15),
(142155, NULL, 'PTHR48047:SF109', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(142156, NULL, 'PTHR24419:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HASPIN', NULL, NULL, NULL, 15),
(142157, NULL, 'PTHR48053:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142158, NULL, 'PTHR33156:SF54', NULL, NULL, NULL, NULL, 'OS01G0238800 PROTEIN', NULL, NULL, NULL, 15),
(142159, NULL, 'PTHR20981:SF29', NULL, NULL, NULL, NULL, 'BNAC08G42570D PROTEIN', NULL, NULL, NULL, 15),
(142160, NULL, 'PTHR34563:SF6', NULL, NULL, NULL, NULL, 'BNACNNG33880D PROTEIN', NULL, NULL, NULL, 15),
(142161, NULL, 'PTHR47038:SF4', NULL, NULL, NULL, NULL, 'BAG-ASSOCIATED GRAM PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(142162, NULL, 'PTHR24346:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142163, NULL, 'PTHR22642:SF20', NULL, NULL, NULL, NULL, 'AMIDOHYDROLASE', NULL, NULL, NULL, 15),
(142164, NULL, 'PTHR16134:SF115', NULL, NULL, NULL, NULL, 'BNAA09G40340D PROTEIN', NULL, NULL, NULL, 15),
(142165, NULL, 'PTHR24388:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN SNAI3', NULL, NULL, NULL, 15),
(142166, NULL, 'PTHR43520:SF23', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE 1', NULL, NULL, NULL, 15),
(142167, NULL, 'PTHR12553:SF49', NULL, NULL, NULL, NULL, 'ZINC PHOSPHODIESTERASE ELAC PROTEIN 2', NULL, NULL, NULL, 15),
(142168, NULL, 'PTHR24086:SF18', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 5 GROUP A MEMBER 2', NULL, NULL, NULL, 15),
(142169, NULL, 'PTHR13140:SF680', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, UNCONVENTIONAL MYOSIN', NULL, NULL, NULL, 15),
(142170, NULL, 'PTHR31325:SF128', NULL, NULL, NULL, NULL, 'OSJNBA0061C06.7 PROTEIN', NULL, NULL, NULL, 15),
(142171, NULL, 'PTHR10969:SF20', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(142172, NULL, 'PTHR24399:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 467', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142173, NULL, 'PTHR26451:SF934', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 12D2', NULL, NULL, NULL, 15),
(142174, NULL, 'PTHR12818', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 30427, 15),
(142175, NULL, 'PTHR11706:SF50', NULL, NULL, NULL, NULL, 'MANGANESE TRANSPORTER SMF2', NULL, NULL, NULL, 15),
(142176, NULL, 'PTHR43139:SF25', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD HYDROLASE', NULL, NULL, NULL, 15),
(142177, NULL, 'PTHR32116:SF76', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(142178, NULL, 'PTHR21229:SF61', NULL, NULL, NULL, NULL, 'BNAA06G01930D PROTEIN', NULL, NULL, NULL, 15),
(142179, NULL, 'PTHR45098:SF1', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(142180, NULL, 'PTHR47116:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142181, NULL, 'PTHR33264:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142182, NULL, 'PTHR14898:SF9', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB-LIKE PROTEIN', NULL, NULL, NULL, 15),
(142183, NULL, 'PTHR43031:SF8', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE YTWF-RELATED', NULL, NULL, NULL, 15),
(142184, NULL, 'PTHR10166:SF31', NULL, NULL, NULL, NULL, 'RE14947P', NULL, NULL, NULL, 15),
(142185, NULL, 'PTHR22870:SF371', NULL, NULL, NULL, NULL, 'OS02G0554100 PROTEIN', NULL, NULL, 27330, 15),
(142186, NULL, 'PTHR31677:SF64', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 6', NULL, NULL, NULL, 15),
(142187, NULL, 'PTHR10725:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142188, NULL, 'PTHR13992:SF21', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COREPRESSOR 2', NULL, NULL, NULL, 15),
(142189, NULL, 'PTHR13817:SF47', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY DCC SUBCLASS MEMBER 3', NULL, NULL, NULL, 15),
(142190, NULL, 'PTHR47924:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142191, NULL, 'PTHR46833:SF1', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR 2', NULL, NULL, NULL, 15),
(142192, NULL, 'PTHR12972:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142193, NULL, 'PTHR13691:SF44', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L2, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(142194, NULL, 'PTHR10381:SF11', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(142195, NULL, 'PTHR46144', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 385B-LIKE', NULL, NULL, NULL, 15),
(142196, NULL, 'PTHR47479', NULL, NULL, NULL, NULL, 'OS05G0393200 PROTEIN', NULL, NULL, 39371, 15),
(142197, NULL, 'PTHR47942:SF33', NULL, NULL, NULL, NULL, 'OS02G0121900 PROTEIN', NULL, NULL, NULL, 15),
(142198, NULL, 'PTHR30482:SF19', NULL, NULL, NULL, NULL, 'AMINO ACID ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(142199, NULL, 'PTHR45941:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142200, NULL, 'PTHR13723:SF165', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 20', NULL, NULL, NULL, 15),
(142201, NULL, 'PTHR11452:SF33', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE 2', NULL, NULL, NULL, 15),
(142202, NULL, 'PTHR13520:SF1', NULL, NULL, NULL, NULL, 'RINT1-LIKE PROTEIN MAG2', NULL, NULL, NULL, 15),
(142203, NULL, 'PTHR47791:SF2', NULL, NULL, NULL, NULL, 'ENDO MANNANASE, GH76 FAMILY (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(142204, NULL, 'PTHR27000:SF662', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(142205, NULL, 'PTHR35687:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142206, NULL, 'PTHR13386:SF3', NULL, NULL, NULL, NULL, 'HISTONE PARYLATION FACTOR 1-LIKE-RELATED', NULL, NULL, NULL, 15),
(142207, NULL, 'PTHR46835:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142208, NULL, 'PTHR10795:SF361', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142209, NULL, 'PTHR33509:SF30', NULL, NULL, NULL, NULL, 'BNACNNG19220D PROTEIN', NULL, NULL, NULL, 15),
(142210, NULL, 'PTHR33514:SF13', NULL, NULL, NULL, NULL, 'PROTEIN ABCI12, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(142211, NULL, 'PTHR33272:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG19068', NULL, NULL, NULL, 15),
(142212, NULL, 'PTHR31623:SF28', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(142213, NULL, 'PTHR13318:SF91', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 3', NULL, NULL, NULL, 15),
(142214, NULL, 'PTHR24072:SF289', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(142215, NULL, 'PTHR13531', NULL, NULL, NULL, NULL, 'GEO07735P1-RELATED-RELATED', NULL, NULL, 18616, 15),
(142216, NULL, 'PTHR24235:SF29', NULL, NULL, NULL, NULL, 'GH23382P', NULL, NULL, NULL, 15),
(142217, NULL, 'PTHR46264:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142218, NULL, 'PTHR47979:SF23', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1D', NULL, NULL, NULL, 15),
(142219, NULL, 'PTHR33710:SF39', NULL, NULL, NULL, NULL, 'OS08G0365050 PROTEIN', NULL, NULL, NULL, 15),
(142220, NULL, 'PTHR42957:SF1', NULL, NULL, NULL, NULL, 'HELICASE MJ1565-RELATED', NULL, NULL, NULL, 15),
(142221, NULL, 'PTHR23123:SF21', NULL, NULL, NULL, NULL, 'JUMONJI (TRANSCRIPTION FACTOR) DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142222, NULL, 'PTHR43268:SF3', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE/RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(142223, NULL, 'PTHR21576:SF2', NULL, NULL, NULL, NULL, 'RRP12-LIKE PROTEIN', NULL, NULL, NULL, 15),
(142224, NULL, 'PTHR30411:SF0', NULL, NULL, NULL, NULL, 'CYS-TRNA(PRO)/CYS-TRNA(CYS) DEACYLASE YBAK', NULL, NULL, NULL, 15),
(142225, NULL, 'PTHR22765:SF311', NULL, NULL, NULL, NULL, 'BNAANNG27780D PROTEIN', NULL, NULL, NULL, 15),
(142226, NULL, 'PTHR24347:SF246', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TDA1', NULL, NULL, NULL, 15),
(142227, NULL, 'PTHR46754:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142228, NULL, 'PTHR47074:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142229, NULL, 'PTHR23349:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142230, NULL, 'PTHR15615:SF92', NULL, NULL, NULL, NULL, 'CYCLIN', NULL, NULL, NULL, 15),
(142231, NULL, 'PTHR44191:SF34', NULL, NULL, NULL, NULL, 'BNAC07G34310D PROTEIN', NULL, NULL, NULL, 15),
(142232, NULL, 'PTHR30363:SF24', NULL, NULL, NULL, NULL, 'SGC REGION TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(142233, NULL, 'PTHR32009:SF45', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(142234, NULL, 'PTHR24373:SF263', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 29', NULL, NULL, NULL, 15),
(142235, NULL, 'PTHR33148:SF6', NULL, NULL, NULL, NULL, 'PLASTID MOVEMENT IMPAIRED PROTEIN', NULL, NULL, NULL, 15),
(142236, NULL, 'PTHR24206:SF54', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(142237, NULL, 'PTHR23413:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32-1-LIKE', NULL, NULL, NULL, 15),
(142238, NULL, 'PTHR46128:SF76', NULL, NULL, NULL, NULL, 'BNAC01G42390D PROTEIN', NULL, NULL, NULL, 15),
(142239, NULL, 'PTHR35004', NULL, NULL, NULL, NULL, 'TRANSPOSASE RV3428C-RELATED', NULL, NULL, NULL, 15),
(142240, NULL, 'PTHR24282:SF125', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 709B3', NULL, NULL, NULL, 15),
(142241, NULL, 'PTHR37975:SF2', NULL, NULL, NULL, NULL, 'FLYWCH ZINC FINGER TRANSCRIPTION FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(142242, NULL, 'PTHR11482:SF59', NULL, NULL, NULL, NULL, 'DIAMINOPIMELATE DECARBOXYLASE 2 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(142243, NULL, 'PTHR33868:SF15', NULL, NULL, NULL, NULL, 'OS09G0363500 PROTEIN', NULL, NULL, NULL, 15),
(142244, NULL, 'PTHR14336:SF8', NULL, NULL, NULL, NULL, 'DUAL ADAPTER FOR PHOSPHOTYROSINE AND 3-PHOSPHOTYROSINE AND 3-PHOSPHOINOSITIDE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142245, NULL, 'PTHR31911:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM133A', NULL, NULL, NULL, 15),
(142246, NULL, 'PTHR11758:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142247, NULL, 'PTHR11528:SF26', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN (HSP90-FAMILY)-RELATED', NULL, NULL, NULL, 15),
(142248, NULL, 'PTHR28623:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM118B', NULL, NULL, 30462, 15),
(142249, NULL, 'PTHR14239:SF5', NULL, NULL, NULL, NULL, 'METALLOREDUCTASE STEAP4', NULL, NULL, NULL, 15),
(142250, NULL, 'PTHR33294:SF4', NULL, NULL, NULL, NULL, 'AWPM-19-LIKE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(142251, NULL, 'PTHR31509:SF102', NULL, NULL, NULL, NULL, 'BYPASS RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142252, NULL, 'PTHR22956:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG05417', NULL, NULL, NULL, 15),
(142253, NULL, 'PTHR47193:SF1', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(142254, NULL, 'PTHR11937:SF190', NULL, NULL, NULL, NULL, 'ZGC:101810', NULL, NULL, NULL, 15),
(142255, NULL, 'PTHR13243:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 16', NULL, NULL, NULL, 15),
(142256, NULL, 'PTHR23063:SF46', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDYLCHOLINE ACYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(142257, NULL, 'PTHR31080:SF228', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', NULL, NULL, NULL, 15),
(142258, NULL, 'PTHR15215:SF2', NULL, NULL, NULL, NULL, 'PROTEIN THEMIS2', NULL, NULL, NULL, 15),
(142259, NULL, 'PTHR45458:SF3', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE (ATSC), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(142260, NULL, 'PTHR10634:SF96', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 7', NULL, NULL, NULL, 15),
(142261, NULL, 'PTHR47610:SF1', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 4', NULL, NULL, NULL, 15),
(142262, NULL, 'PTHR42790:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(142263, NULL, 'PTHR34556', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 9379, 15),
(142264, NULL, 'PTHR47916:SF2', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE CLASS 1', NULL, NULL, NULL, 15),
(142265, NULL, 'PTHR47640:SF48', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP45B', NULL, NULL, NULL, 15),
(142266, NULL, 'PTHR10332:SF26', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER', NULL, NULL, NULL, 15),
(142267, NULL, 'PTHR44548:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142268, NULL, 'PTHR33453:SF24', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(142269, NULL, 'PTHR14234:SF19', NULL, NULL, NULL, NULL, 'RIM-BINDING PROTEIN, ISOFORM F', NULL, NULL, NULL, 15),
(142270, NULL, 'PTHR31829:SF0', NULL, NULL, NULL, NULL, 'PYRIDOXAL 5''-PHOSPHATE SYNTHASE SUBUNIT SNZ1-RELATED', NULL, NULL, NULL, 15),
(142271, NULL, 'PTHR31218:SF64', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(142272, NULL, 'PTHR46736:SF15', NULL, NULL, NULL, NULL, 'BNACNNG51280D PROTEIN', NULL, NULL, NULL, 15),
(142273, NULL, 'PTHR46513:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142274, NULL, 'PTHR35579:SF3', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMS ENDORIBONUCLEASE CSM3', NULL, NULL, NULL, 15),
(142275, NULL, 'PTHR31639:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142276, NULL, 'PTHR48047:SF21', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(142277, NULL, 'PTHR31205:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142278, NULL, 'PTHR33888:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4932415D10 GENE', NULL, NULL, NULL, 15),
(142279, NULL, 'PTHR23248:SF28', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE 4', NULL, NULL, NULL, 15),
(142280, NULL, 'PTHR11011:SF60', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 2', NULL, NULL, NULL, 15),
(142281, NULL, 'PTHR33078:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142282, NULL, 'PTHR24343:SF429', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK8', NULL, NULL, NULL, 15),
(142283, NULL, 'PTHR47932:SF26', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(142284, NULL, 'PTHR11616:SF118', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT BETAINE TRANSPORTER', NULL, NULL, NULL, 15),
(142285, NULL, 'PTHR12665:SF21', NULL, NULL, NULL, NULL, 'ORM1-LIKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(142286, NULL, 'PTHR31636:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142287, NULL, 'PTHR21649:SF129', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(142288, NULL, 'PTHR10108:SF1130', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT26-RELATED', NULL, NULL, NULL, 15),
(142289, NULL, 'PTHR31867:SF180', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(142290, NULL, 'PTHR10972:SF188', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN', NULL, NULL, NULL, 15),
(142291, NULL, 'PTHR11711:SF103', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE 5C', NULL, NULL, NULL, 15),
(142292, NULL, 'PTHR24012:SF776', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(142293, NULL, 'PTHR32266:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142294, NULL, 'PTHR48083:SF6', NULL, NULL, NULL, NULL, 'ZGC:85777', NULL, NULL, NULL, 15),
(142295, NULL, 'PTHR47956:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B16-RELATED', NULL, NULL, NULL, 15),
(142296, NULL, 'PTHR10543:SF89', NULL, NULL, NULL, NULL, 'CAROTENOID 9,10(9'',10'')-CLEAVAGE DIOXYGENASE 1', NULL, NULL, NULL, 15),
(142297, NULL, 'PTHR45780:SF9', NULL, NULL, NULL, NULL, 'BNAA04G22130D PROTEIN', NULL, NULL, NULL, 15),
(142298, NULL, 'PTHR33149:SF23', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', NULL, NULL, NULL, 15),
(142299, NULL, 'PTHR45647:SF3', NULL, NULL, NULL, NULL, 'OS10G0552400 PROTEIN', NULL, NULL, NULL, 15),
(142300, NULL, 'PTHR47003:SF2', NULL, NULL, NULL, NULL, 'OS01G0970900 PROTEIN', NULL, NULL, NULL, 15),
(142301, NULL, 'PTHR46710:SF6', NULL, NULL, NULL, NULL, 'ARM REPEAT PROTEIN INTERACTING WITH ABF2 PROTEIN', NULL, NULL, NULL, 15),
(142302, NULL, 'PTHR47993:SF111', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(142303, NULL, 'PTHR32133:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142304, NULL, 'PTHR42776:SF16', NULL, NULL, NULL, NULL, 'ACYLAMINOACYL-PEPTIDE HYDROLASE', NULL, NULL, NULL, 15),
(142305, NULL, 'PTHR42718:SF30', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN STP', NULL, NULL, NULL, 15),
(142306, NULL, 'PTHR19877:SF10', NULL, NULL, NULL, NULL, 'BNAA09G56870D PROTEIN', NULL, NULL, NULL, 15),
(142307, NULL, 'PTHR48026:SF2', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A1-RELATED', NULL, NULL, NULL, 15),
(142308, NULL, 'PTHR33085:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142309, NULL, 'PTHR46164', NULL, NULL, NULL, NULL, 'ATF6, ISOFORM C', NULL, NULL, NULL, 15),
(142310, NULL, 'PTHR15576', NULL, NULL, NULL, NULL, 'RIBITOL-5-PHOSPHATE XYLOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(142311, NULL, 'PTHR24418:SF415', NULL, NULL, NULL, NULL, 'TXK TYROSINE KINASE', NULL, NULL, NULL, 15),
(142312, NULL, 'PTHR33159:SF67', NULL, NULL, NULL, NULL, 'OSJNBA0058K23.20 PROTEIN', NULL, NULL, NULL, 15),
(142313, NULL, 'PTHR10809:SF120', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE-PROTEIN-ASSOCIATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142314, NULL, 'PTHR47926:SF93', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(142315, NULL, 'PTHR31042:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142316, NULL, 'PTHR23428:SF199', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-K-RELATED', NULL, NULL, NULL, 15),
(142317, NULL, 'PTHR23002:SF109', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142318, NULL, 'PTHR33237:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142319, NULL, 'PTHR24223:SF384', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142320, NULL, 'PTHR26453:SF52', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(142321, NULL, 'PTHR11614:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142322, NULL, 'PTHR47236', NULL, NULL, NULL, NULL, 'GENE, 32742-RELATED-RELATED', NULL, NULL, NULL, 15),
(142323, NULL, 'PTHR46393:SF2', NULL, NULL, NULL, NULL, 'COMPLEMENT C2', NULL, NULL, 33706, 15),
(142324, NULL, 'PTHR24221:SF555', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN PGP-1', NULL, NULL, NULL, 15),
(142325, NULL, 'PTHR10336:SF79', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE GAMMA', NULL, NULL, NULL, 15),
(142326, NULL, 'PTHR20981:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142327, NULL, 'PTHR46719:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(142328, NULL, 'PTHR44083:SF42', NULL, NULL, NULL, NULL, 'LIS1 HOMOLOGY MOTIF PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142329, NULL, 'PTHR46222:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP14', NULL, NULL, NULL, 15),
(142330, NULL, 'PTHR48001:SF72', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(142331, NULL, 'PTHR42740', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC3', NULL, NULL, NULL, 15),
(142332, NULL, 'PTHR24092:SF157', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(142333, NULL, 'PTHR34188:SF5', NULL, NULL, NULL, NULL, 'OS01G0299500 PROTEIN', NULL, NULL, NULL, 15),
(142334, NULL, 'PTHR31476:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(142335, NULL, 'PTHR14453:SF90', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(142336, NULL, 'PTHR33148:SF51', NULL, NULL, NULL, NULL, 'BNAA06G35000D PROTEIN', NULL, NULL, NULL, 15),
(142337, NULL, 'PTHR11760:SF42', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(142338, NULL, 'PTHR23353:SF6', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 24', NULL, NULL, 32978, 15),
(142339, NULL, 'PTHR43329:SF87', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE YBAC-RELATED', NULL, NULL, NULL, 15),
(142340, NULL, 'PTHR12356:SF29', NULL, NULL, NULL, NULL, 'BNAA03G48880D PROTEIN', NULL, NULL, NULL, 15),
(142341, NULL, 'PTHR44051:SF4', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(142342, NULL, 'PTHR45089:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142343, NULL, 'PTHR30522:SF0', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRIPHOSPHATE PYROPHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(142344, NULL, 'PTHR44042:SF23', NULL, NULL, NULL, NULL, 'OS01G0863300 PROTEIN', NULL, NULL, NULL, 15),
(142345, NULL, 'PTHR12231:SF224', NULL, NULL, NULL, NULL, 'CONTACTIN-3', NULL, NULL, NULL, 15),
(142346, NULL, 'PTHR13768:SF12', NULL, NULL, NULL, NULL, 'BETA-SOLUBLE NSF ATTACHMENT PROTEIN', NULL, NULL, NULL, 15),
(142347, NULL, 'PTHR11132:SF411', NULL, NULL, NULL, NULL, 'OSJNBB0020J19.10 PROTEIN', NULL, NULL, NULL, 15),
(142348, NULL, 'PTHR24346:SF42', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SIK3', NULL, NULL, NULL, 15),
(142349, NULL, 'PTHR26450:SF32', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52B6', NULL, NULL, NULL, 15),
(142350, NULL, 'PTHR33270:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142351, NULL, 'PTHR43413:SF4', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LYSM', NULL, NULL, NULL, 15),
(142352, NULL, 'PTHR23155:SF921', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142353, NULL, 'PTHR10283:SF85', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT HIGH-AFFINITY DICARBOXYLATE TRANSPORTER 3', NULL, NULL, NULL, 15),
(142354, NULL, 'PTHR45933:SF22', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 6-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142355, NULL, 'PTHR10744:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142356, NULL, 'PTHR10965:SF9', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L38, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(142357, NULL, 'PTHR21646:SF14', NULL, NULL, NULL, NULL, 'FI05488P', NULL, NULL, NULL, 15),
(142358, NULL, 'PTHR15970:SF2', NULL, NULL, NULL, NULL, 'ELL-ASSOCIATED FACTOR EAF', NULL, NULL, NULL, 15),
(142359, NULL, 'PTHR43795:SF45', NULL, NULL, NULL, NULL, 'OS05G0196600 PROTEIN', NULL, NULL, NULL, 15),
(142360, NULL, 'PTHR11599:SF134', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, 8856, 15),
(142361, NULL, 'PTHR47168:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RLIM-LIKE', NULL, NULL, NULL, 15),
(142362, NULL, 'PTHR47926:SF51', NULL, NULL, NULL, NULL, 'OS06G0625800 PROTEIN', NULL, NULL, NULL, 15),
(142363, NULL, 'PTHR31948:SF95', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 5', NULL, NULL, NULL, 15),
(142364, NULL, 'PTHR24348', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE UNC-51-RELATED', NULL, NULL, 38872, 15),
(142365, NULL, 'PTHR11606:SF36', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(142366, NULL, 'PTHR31650:SF41', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(142367, NULL, 'PTHR27002:SF591', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-29', NULL, NULL, NULL, 15),
(142368, NULL, 'PTHR48010:SF10', NULL, NULL, NULL, NULL, 'BNAC09G41330D PROTEIN', NULL, NULL, NULL, 15),
(142369, NULL, 'PTHR12899:SF3', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L18, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(142370, NULL, 'PTHR48018:SF101', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(142371, NULL, 'PTHR33928:SF8', NULL, NULL, NULL, NULL, 'PECTIN LYASE FOLD/VIRULENCE FACTOR, PECTATE LYASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142372, NULL, 'PTHR31218:SF16', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(142373, NULL, 'PTHR31066:SF2', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P', NULL, NULL, NULL, 15),
(142374, NULL, 'PTHR10075:SF56', NULL, NULL, NULL, NULL, 'ROUNDABOUT HOMOLOG 4', NULL, NULL, NULL, 15),
(142375, NULL, 'PTHR21320:SF7', NULL, NULL, NULL, NULL, 'BNAA08G27140D PROTEIN', NULL, NULL, NULL, 15),
(142376, NULL, 'PTHR31391:SF102', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(142377, NULL, 'PTHR14499:SF127', NULL, NULL, NULL, NULL, 'PROTEIN CBG14096', NULL, NULL, NULL, 15),
(142378, NULL, 'PTHR13817:SF122', NULL, NULL, NULL, NULL, 'NEUROGLIAN', NULL, NULL, NULL, 15),
(142379, NULL, 'PTHR11439:SF325', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142380, NULL, 'PTHR24412:SF437', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142381, NULL, 'PTHR13429:SF8', NULL, NULL, NULL, NULL, 'FERM DOMAIN CONTAINING 6', NULL, NULL, 29516, 15),
(142382, NULL, 'PTHR45835', NULL, NULL, NULL, NULL, 'YALI0A06105P', NULL, NULL, NULL, 15),
(142383, NULL, 'PTHR23155:SF1106', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(142384, NULL, 'PTHR27007:SF311', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(142385, NULL, 'PTHR19856:SF5', NULL, NULL, NULL, NULL, 'ACTIN-INTERACTING PROTEIN 1-1', NULL, NULL, NULL, 15),
(142386, NULL, 'PTHR14362', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 81', NULL, NULL, 23025, 15),
(142387, NULL, 'PTHR31818:SF11', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(142388, NULL, 'PTHR24028:SF113', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-B7', NULL, NULL, NULL, 15),
(142389, NULL, 'PTHR47926:SF45', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(142390, NULL, 'PTHR12210:SF154', NULL, NULL, NULL, NULL, 'BNAA05G13510D PROTEIN', NULL, NULL, NULL, 15),
(142391, NULL, 'PTHR43704:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142392, NULL, 'PTHR45770:SF30', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(142393, NULL, 'PTHR45697', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 2-RELATED', NULL, NULL, 38601, 15),
(142394, NULL, 'PTHR10992:SF1049', NULL, NULL, NULL, NULL, 'METHYLESTERASE 14, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(142395, NULL, 'PTHR34593', NULL, NULL, NULL, NULL, 'MATING RESPONSE PROTEIN POI2', NULL, NULL, NULL, 15),
(142396, NULL, 'PTHR14735', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 27872, 15),
(142397, NULL, 'PTHR35500:SF2', NULL, NULL, NULL, NULL, 'BNACNNG03100D PROTEIN', NULL, NULL, NULL, 15),
(142398, NULL, 'PTHR34043', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(142399, NULL, 'PTHR10545:SF53', NULL, NULL, NULL, NULL, 'TYRAMINE N-FERULOYLTRANSFERASE 4/11-LIKE', NULL, NULL, NULL, 15),
(142400, NULL, 'PTHR23292:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142401, NULL, 'PTHR42912:SF60', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE OMS1, MITOCHONDRIAL', NULL, NULL, 25325, 15),
(142402, NULL, 'PTHR42796:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142403, NULL, 'PTHR26454:SF159', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(142404, NULL, 'PTHR11461:SF346', NULL, NULL, NULL, NULL, 'BNAC04G53710D PROTEIN', NULL, NULL, NULL, 15),
(142405, NULL, 'PTHR43592:SF7', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(142406, NULL, 'PTHR10067:SF11', NULL, NULL, NULL, NULL, 'DECARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G16930)-RELATED', NULL, NULL, NULL, 15),
(142407, NULL, 'PTHR22900:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG14245', NULL, NULL, NULL, 15),
(142408, NULL, 'PTHR43842', NULL, NULL, NULL, NULL, 'PROPIONYL-COA CARBOXYLASE BETA CHAIN', NULL, NULL, NULL, 15),
(142409, NULL, 'PTHR26312:SF186', NULL, NULL, NULL, NULL, 'BNAC05G11110D PROTEIN', NULL, NULL, NULL, 15),
(142410, NULL, 'PTHR13357:SF1', NULL, NULL, NULL, NULL, 'NCK-INTERACTING PROTEIN WITH SH3 DOMAIN', NULL, NULL, NULL, 15),
(142411, NULL, 'PTHR10340:SF51', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE 1', NULL, NULL, NULL, 15),
(142412, NULL, 'PTHR47355', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SPL2', NULL, NULL, 36897, 15),
(142413, NULL, 'PTHR31851:SF55', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN OF ER BODY 2', NULL, NULL, NULL, 15),
(142414, NULL, 'PTHR14209:SF21', NULL, NULL, NULL, NULL, 'HYDROLYZING ESTERASE-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(142415, NULL, 'PTHR48010:SF32', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(142416, NULL, 'PTHR46500', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 221', NULL, NULL, 27173, 15),
(142417, NULL, 'PTHR24281:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142418, NULL, 'PTHR24373:SF342', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEATS AND IMMUNOGLOBULIN-LIKE DOMAINS PROTEIN SMA-10', NULL, NULL, NULL, 15),
(142419, NULL, 'PTHR34070:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD', NULL, NULL, NULL, 15),
(142420, NULL, 'PTHR24296:SF197', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94A1-RELATED', NULL, NULL, NULL, 15),
(142421, NULL, 'PTHR45931:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF12-B-LIKE', NULL, NULL, NULL, 15),
(142422, NULL, 'PTHR45885:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142423, NULL, 'PTHR12210:SF131', NULL, NULL, NULL, NULL, 'BNAA09G26660D PROTEIN', NULL, NULL, NULL, 15),
(142424, NULL, 'PTHR11220:SF22', NULL, NULL, NULL, NULL, 'HEME-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(142425, NULL, 'PTHR23024:SF534', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142426, NULL, 'PTHR47932:SF13', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN PNM1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(142427, NULL, 'PTHR46152:SF2', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR-INTERACTING RAS-LIKE PROTEIN 2', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142428, NULL, 'PTHR31422:SF20', NULL, NULL, NULL, NULL, 'BNAA03G51070D PROTEIN', NULL, NULL, NULL, 15),
(142429, NULL, 'PTHR42792', NULL, NULL, NULL, NULL, 'FLAGELLIN', NULL, NULL, NULL, 15),
(142430, NULL, 'PTHR12526:SF593', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE 1,6-GALACTOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(142431, NULL, 'PTHR31079:SF42', NULL, NULL, NULL, NULL, 'OS05G0194500 PROTEIN', NULL, NULL, NULL, 15),
(142432, NULL, 'PTHR43895:SF65', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(142433, NULL, 'PTHR23112:SF9', NULL, NULL, NULL, NULL, 'CYCLIC AMP RECEPTOR-LIKE PROTEIN F', NULL, NULL, NULL, 15),
(142434, NULL, 'PTHR10505:SF4', NULL, NULL, NULL, NULL, 'ISLET AMYLOID POLYPEPTIDE', NULL, NULL, 5978, 15),
(142435, NULL, 'PTHR30620:SF102', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE BOGH3B-LIKE', NULL, NULL, NULL, 15),
(142436, NULL, 'PTHR47073:SF7', NULL, NULL, NULL, NULL, 'BAH DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(142437, NULL, 'PTHR24023:SF1008', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE IV, ALPHA 2', NULL, NULL, NULL, 15),
(142438, NULL, 'PTHR44259:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142439, NULL, 'PTHR31947:SF29', NULL, NULL, NULL, NULL, 'BNAC03G33800D PROTEIN', NULL, NULL, NULL, 15),
(142440, NULL, 'PTHR19847', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 11', NULL, NULL, NULL, 15),
(142441, NULL, 'PTHR31636:SF273', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', NULL, NULL, NULL, 15),
(142442, NULL, 'PTHR31048:SF16', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(142443, NULL, 'PTHR46585:SF1', NULL, NULL, NULL, NULL, 'INTEGRASE CORE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(142444, NULL, 'PTHR27005:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142445, NULL, 'PTHR28075:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(142446, NULL, 'PTHR23280:SF21', NULL, NULL, NULL, NULL, 'PROTEIN 4.1 HOMOLOG', NULL, NULL, NULL, 15),
(142447, NULL, 'PTHR31805:SF4', NULL, NULL, NULL, NULL, 'OS05G0561600 PROTEIN', NULL, NULL, NULL, 15),
(142448, NULL, 'PTHR21261:SF14', NULL, NULL, NULL, NULL, 'BEAT-IV, ISOFORM B', NULL, NULL, NULL, 15),
(142449, NULL, 'PTHR43328:SF1', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(142450, NULL, 'PTHR45789', NULL, NULL, NULL, NULL, 'FI18025P1', NULL, NULL, NULL, 15),
(142451, NULL, 'PTHR33076:SF137', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(142452, NULL, 'PTHR24168:SF21', NULL, NULL, NULL, NULL, 'KANK, ISOFORM D', NULL, NULL, NULL, 15),
(142453, NULL, 'PTHR33433:SF6', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(142454, NULL, 'PTHR34125:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(142455, NULL, 'PTHR33703:SF15', NULL, NULL, NULL, NULL, 'SENESCENCE ASSOCIATED GENE 20', NULL, NULL, NULL, 15),
(142456, NULL, 'PTHR47726:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT U, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(142457, NULL, 'PTHR40467:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142458, NULL, 'PTHR18847:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR CAP-BINDING PROTEIN SUBUNIT 2', NULL, NULL, NULL, 15),
(142459, NULL, 'PTHR16537', NULL, NULL, NULL, NULL, 'SJOEGREN SYNDROME/SCLERODERMA AUTOANTIGEN 1', NULL, NULL, NULL, 15),
(142460, NULL, 'PTHR23264:SF35', NULL, NULL, NULL, NULL, 'CYTOSOLIC FE-S CLUSTER ASSEMBLY FACTOR NUBP1', NULL, NULL, NULL, 15),
(142461, NULL, 'PTHR24201:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 42', NULL, NULL, NULL, 15),
(142462, NULL, 'PTHR31415', NULL, NULL, NULL, NULL, 'OS05G0367900 PROTEIN', NULL, NULL, 38867, 15),
(142463, NULL, 'PTHR24379:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 700', NULL, NULL, NULL, 15),
(142464, NULL, 'PTHR23064:SF31', NULL, NULL, NULL, NULL, 'CALMODULIN LIKE 6', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142465, NULL, 'PTHR10026:SF121', NULL, NULL, NULL, NULL, 'CYCLIN-T1-2', NULL, NULL, NULL, 15),
(142466, NULL, 'PTHR43178:SF5', NULL, NULL, NULL, NULL, 'LIPOAMIDE ACYLTRANSFERASE COMPONENT OF BRANCHED-CHAIN ALPHA-KETO ACID DEHYDROGENASE COMPLEX, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(142467, NULL, 'PTHR33799:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM, MANNOSE-SPECIFIC EIIAB', NULL, NULL, NULL, 15),
(142468, NULL, 'PTHR33928:SF5', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(142469, NULL, 'PTHR10283:SF63', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 13 MEMBER 4', NULL, NULL, NULL, 15),
(142470, NULL, 'PTHR43895:SF22', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 14', NULL, NULL, NULL, 15),
(142471, NULL, 'PTHR12120', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142472, NULL, 'PTHR32227:SF29', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 11', NULL, NULL, NULL, 15),
(142473, NULL, 'PTHR48079:SF4', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(142474, NULL, 'PTHR10742:SF381', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC HISTONE DEMETHYLASE 1 HOMOLOG 1', NULL, NULL, NULL, 15),
(142475, NULL, 'PTHR46092:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C11', NULL, NULL, NULL, 15),
(142476, NULL, 'PTHR24377:SF195', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 234', NULL, NULL, NULL, 15),
(142477, NULL, 'PTHR22957:SF548', NULL, NULL, NULL, NULL, 'ECOTROPIC VIRAL INTEGRATION SITE 5 PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(142478, NULL, 'PTHR31876:SF24', NULL, NULL, NULL, NULL, 'PROTEIN LIKE COV 3-LIKE', NULL, NULL, NULL, 15),
(142479, NULL, 'PTHR31413:SF26', NULL, NULL, NULL, NULL, 'BNAC06G30430D PROTEIN', NULL, NULL, NULL, 15),
(142480, NULL, 'PTHR45282:SF2', NULL, NULL, NULL, NULL, 'OS03G0858400 PROTEIN', NULL, NULL, NULL, 15),
(142481, NULL, 'PTHR43658:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11484', NULL, NULL, NULL, 15),
(142482, NULL, 'PTHR32176:SF57', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(142483, NULL, 'PTHR21529:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142484, NULL, 'PTHR23192:SF71', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L1', NULL, NULL, NULL, 15),
(142485, NULL, 'PTHR18884:SF84', NULL, NULL, NULL, NULL, 'SEVENTH HOMOLOG OF SEPTIN 1', NULL, NULL, NULL, 15),
(142486, NULL, 'PTHR47998:SF31', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 4', NULL, NULL, NULL, 15),
(142487, NULL, 'PTHR45898:SF16', NULL, NULL, NULL, NULL, 'BNAA02G33830D PROTEIN', NULL, NULL, NULL, 15),
(142488, NULL, 'PTHR11746:SF218', NULL, NULL, NULL, NULL, 'OS07G0464200 PROTEIN', NULL, NULL, NULL, 15),
(142489, NULL, 'PTHR11202:SF19', NULL, NULL, NULL, NULL, 'SPROUTY-RELATED, EVH1 DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(142490, NULL, 'PTHR15437:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(142491, NULL, 'PTHR31221:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142492, NULL, 'PTHR12081:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F8', NULL, NULL, NULL, 15),
(142493, NULL, 'PTHR44298:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 11', NULL, NULL, NULL, 15),
(142494, NULL, 'PTHR36110:SF4', NULL, NULL, NULL, NULL, 'RING-CLEAVING DIOXYGENASE MHQA-RELATED', NULL, NULL, NULL, 15),
(142495, NULL, 'PTHR16557:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142496, NULL, 'PTHR32191', NULL, NULL, NULL, NULL, 'TETRASPANIN-8-RELATED', NULL, NULL, 39177, 15),
(142497, NULL, 'PTHR13318:SF88', NULL, NULL, NULL, NULL, 'EIN3-BINDING F-BOX PROTEIN 1', NULL, NULL, NULL, 15),
(142498, NULL, 'PTHR12446:SF22', NULL, NULL, NULL, NULL, 'TESMIN', NULL, NULL, NULL, 15),
(142499, NULL, 'PTHR12411:SF644', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142500, NULL, 'PTHR47989:SF20', NULL, NULL, NULL, NULL, 'PTI1-LIKE TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142501, NULL, 'PTHR10578:SF119', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(142502, NULL, 'PTHR28235', NULL, NULL, NULL, NULL, 'PROTEIN FYV4, MITOCHONDRIAL', NULL, NULL, 29066, 15),
(142503, NULL, 'PTHR45850:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-28N18.9', NULL, NULL, NULL, 15),
(142504, NULL, 'PTHR47269:SF5', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(142505, NULL, 'PTHR46353:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 8-LIKE', NULL, NULL, NULL, 15),
(142506, NULL, 'PTHR13580', NULL, NULL, NULL, NULL, 'TGF-BETA INDUCED APOPTOSIS PROTEIN', NULL, NULL, 20242, 15),
(142507, NULL, 'PTHR11955:SF81', NULL, NULL, NULL, NULL, 'NMNAT1-RBP7A READTHROUGH-RELATED', NULL, NULL, NULL, 15),
(142508, NULL, 'PTHR23064:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142509, NULL, 'PTHR45768:SF21', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL5', NULL, NULL, NULL, 15),
(142510, NULL, 'PTHR11177:SF202', NULL, NULL, NULL, NULL, 'CHITINASE-3-LIKE PROTEIN 1', NULL, NULL, 25318, 15),
(142511, NULL, 'PTHR12372:SF5', NULL, NULL, NULL, NULL, 'PECANEX-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(142512, NULL, 'PTHR45624:SF36', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN', NULL, NULL, NULL, 15),
(142513, NULL, 'PTHR48010:SF20', NULL, NULL, NULL, NULL, 'PROTEIN KINASE CLAVATA1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(142514, NULL, 'PTHR34987:SF4', NULL, NULL, NULL, NULL, 'C, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02880)-RELATED', NULL, NULL, NULL, 15),
(142515, NULL, 'PTHR11003:SF24', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 17', NULL, NULL, NULL, 15),
(142516, NULL, 'PTHR36520', NULL, NULL, NULL, NULL, 'PROTEIN CBG13000-RELATED', NULL, NULL, NULL, 15),
(142517, NULL, 'PTHR23020:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG11656', NULL, NULL, NULL, 15),
(142518, NULL, 'PTHR31314:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142519, NULL, 'PTHR39610:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142520, NULL, 'PTHR10177:SF418', NULL, NULL, NULL, NULL, 'CYCLIN-D5-3', NULL, NULL, NULL, 15),
(142521, NULL, 'PTHR12548:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(142522, NULL, 'PTHR11351:SF78', NULL, NULL, NULL, NULL, 'BNAA10G04040D PROTEIN', NULL, NULL, NULL, 15),
(142523, NULL, 'PTHR48049:SF93', NULL, NULL, NULL, NULL, 'FLAVONOL 3-O-GLUCOSYLTRANSFERASE UGT71C1-RELATED', NULL, NULL, NULL, 15),
(142524, NULL, 'PTHR48041:SF53', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 10', NULL, NULL, NULL, 15),
(142525, NULL, 'PTHR19857', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DIVISION PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(142526, NULL, 'PTHR33731:SF9', NULL, NULL, NULL, NULL, 'ORGAN SPECIFIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142527, NULL, 'PTHR25465:SF6', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 65', NULL, NULL, NULL, 15),
(142528, NULL, 'PTHR11783:SF197', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 10-RELATED', NULL, NULL, NULL, 15),
(142529, NULL, 'PTHR34570:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142530, NULL, 'PTHR31744:SF84', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(142531, NULL, 'PTHR24028:SF11', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-15', NULL, NULL, 25069, 15),
(142532, NULL, 'PTHR23316:SF74', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(142533, NULL, 'PTHR12395:SF9', NULL, NULL, NULL, NULL, 'DECAPPING AND EXORIBONUCLEASE PROTEIN', NULL, NULL, NULL, 15),
(142534, NULL, 'PTHR26452:SF817', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(142535, NULL, 'PTHR31696:SF80', NULL, NULL, NULL, NULL, 'BNAC04G47790D PROTEIN', NULL, NULL, NULL, 15),
(142536, NULL, 'PTHR13793:SF79', NULL, NULL, NULL, NULL, 'PROTEIN JADE-1', NULL, NULL, NULL, 15),
(142537, NULL, 'PTHR11566:SF187', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 3A-LIKE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142538, NULL, 'PTHR45676:SF56', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL59-LIKE', NULL, NULL, NULL, 15),
(142539, NULL, 'PTHR11835:SF71', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(142540, NULL, 'PTHR22838:SF17', NULL, NULL, NULL, NULL, 'BNAA06G22810D PROTEIN', NULL, NULL, NULL, 15),
(142541, NULL, 'PTHR43086:SF1', NULL, NULL, NULL, NULL, 'STEROID DEHYDROGENASE 1-RELATED', NULL, NULL, NULL, 15),
(142542, NULL, 'PTHR23226:SF296', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 5B', NULL, NULL, NULL, 15),
(142543, NULL, 'PTHR45651:SF23', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 8-RELATED', NULL, NULL, NULL, 15),
(142544, NULL, 'PTHR43618:SF12', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_1G14540)-RELATED', NULL, NULL, NULL, 15),
(142545, NULL, 'PTHR46195:SF23', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(142546, NULL, 'PTHR10779:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142547, NULL, 'PTHR22870:SF396', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HERC2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(142548, NULL, 'PTHR16565:SF3', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-I, ACIDIC FORM', NULL, NULL, NULL, 15),
(142549, NULL, 'PTHR12469:SF5', NULL, NULL, NULL, NULL, 'FLAVINATOR OF SUCCINATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(142550, NULL, 'PTHR47983:SF26', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 8 ISOFORM X1', NULL, NULL, NULL, 15),
(142551, NULL, 'PTHR23086:SF46', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(142552, NULL, 'PTHR24068:SF356', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142553, NULL, 'PTHR23180:SF197', NULL, NULL, NULL, NULL, 'ARF-GAP WITH COILED-COIL, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(142554, NULL, 'PTHR47575', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 10', NULL, NULL, 38697, 15),
(142555, NULL, 'PTHR35548:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142556, NULL, 'PTHR46633:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC/MYB-RELATED', NULL, NULL, NULL, 15),
(142557, NULL, 'PTHR28606', NULL, NULL, NULL, NULL, 'INTERLEUKIN-34', NULL, NULL, 20250, 15),
(142558, NULL, 'PTHR43243:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG19625', NULL, NULL, NULL, 15),
(142559, NULL, 'PTHR31375:SF190', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', NULL, NULL, NULL, 15),
(142560, NULL, 'PTHR16186:SF10', NULL, NULL, NULL, NULL, 'SIGNAL-TRANSDUCING ADAPTOR PROTEIN 1', NULL, NULL, NULL, 15),
(142561, NULL, 'PTHR11132:SF325', NULL, NULL, NULL, NULL, 'OS05G0494500 PROTEIN', NULL, NULL, NULL, 15),
(142562, NULL, 'PTHR43650:SF1', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT BETA 1', NULL, NULL, NULL, 15),
(142563, NULL, 'PTHR18966:SF451', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(142564, NULL, 'PTHR37701:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2, DNA-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142565, NULL, 'PTHR32289:SF5', NULL, NULL, NULL, NULL, 'SI:CH211-153F2.7', NULL, NULL, NULL, 15),
(142566, NULL, 'PTHR43867:SF5', NULL, NULL, NULL, NULL, 'GLUCANS BIOSYNTHESIS GLUCOSYLTRANSFERASE H', NULL, NULL, NULL, 15),
(142567, NULL, 'PTHR48001:SF6', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(142568, NULL, 'PTHR31933:SF14', NULL, NULL, NULL, NULL, 'BNAA09G54120D PROTEIN', NULL, NULL, NULL, 15),
(142569, NULL, 'PTHR32382:SF64', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 2', NULL, NULL, NULL, 15),
(142570, NULL, 'PTHR12198:SF9', NULL, NULL, NULL, NULL, 'PROSPERO HOMEOBOX 2', NULL, NULL, NULL, 15),
(142571, NULL, 'PTHR10426:SF99', NULL, NULL, NULL, NULL, 'FI18644P1-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142572, NULL, 'PTHR31208:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(142573, NULL, 'PTHR11486:SF25', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 6', NULL, NULL, 22489, 15),
(142574, NULL, 'PTHR37461', NULL, NULL, NULL, NULL, 'ANTI-SIGMA-K FACTOR RSKA', NULL, NULL, NULL, 15),
(142575, NULL, 'PTHR31937:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 163', NULL, NULL, NULL, 15),
(142576, NULL, 'PTHR47461:SF4', NULL, NULL, NULL, NULL, 'PHYTOLONGIN PHYL2.1', NULL, NULL, NULL, 15),
(142577, NULL, 'PTHR33416:SF18', NULL, NULL, NULL, NULL, 'NUCLEOPORIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(142578, NULL, 'PTHR33491:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142579, NULL, 'PTHR40040:SF1', NULL, NULL, NULL, NULL, 'SMALL HYDROPHOBIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142580, NULL, 'PTHR14552:SF2', NULL, NULL, NULL, NULL, 'DCTP PYROPHOSPHATASE 1', NULL, NULL, NULL, 15),
(142581, NULL, 'PTHR46650:SF3', NULL, NULL, NULL, NULL, 'PEROXISOMAL ADENINE NUCLEOTIDE CARRIER 2', NULL, NULL, NULL, 15),
(142582, NULL, 'PTHR45970:SF2', NULL, NULL, NULL, NULL, 'AGAP004664-PA', NULL, NULL, NULL, 15),
(142583, NULL, 'PTHR11893:SF43', NULL, NULL, NULL, NULL, 'INNEXIN INX4-RELATED', NULL, NULL, NULL, 15),
(142584, NULL, 'PTHR31791:SF31', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(142585, NULL, 'PTHR47965:SF53', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(142586, NULL, 'PTHR33143:SF1', NULL, NULL, NULL, NULL, 'VQ MOTIF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(142587, NULL, 'PTHR26374:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142588, NULL, 'PTHR10687:SF52', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 6', NULL, NULL, NULL, 15),
(142589, NULL, 'PTHR26453:SF163', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(142590, NULL, 'PTHR31232:SF45', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', NULL, NULL, NULL, 15),
(142591, NULL, 'PTHR34145:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142592, NULL, 'PTHR46324:SF19', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142593, NULL, 'PTHR31744:SF142', NULL, NULL, NULL, NULL, 'NAC (NO APICAL MERISTEM) DOMAIN TRANSCRIPTIONAL REGULATOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142594, NULL, 'PTHR48025:SF1', NULL, NULL, NULL, NULL, '29 KDA RIBONUCLEOPROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(142595, NULL, 'PTHR32285:SF269', NULL, NULL, NULL, NULL, 'PMR5 N-TERMINAL DOMAIN, PC-ESTERASE-RELATED', NULL, NULL, NULL, 15),
(142596, NULL, 'PTHR47027:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142597, NULL, 'PTHR47322:SF3', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15),
(142598, NULL, 'PTHR11699:SF283', NULL, NULL, NULL, NULL, 'CYTOSOLIC ALDEHYDE DEHYDROGENASE RF2C', NULL, NULL, NULL, 15),
(142599, NULL, 'PTHR31707:SF119', NULL, NULL, NULL, NULL, 'INVERTASE-RELATED', NULL, NULL, NULL, 15),
(142600, NULL, 'PTHR31906:SF23', NULL, NULL, NULL, NULL, 'PLASTID LIPID-ASSOCIATED PROTEIN/FIBRILLIN CONSERVED DOMAIN', NULL, NULL, NULL, 15),
(142601, NULL, 'PTHR11661:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142602, NULL, 'PTHR10504:SF143', NULL, NULL, NULL, NULL, 'PROTEIN CBG19877', NULL, NULL, NULL, 15),
(142603, NULL, 'PTHR32099:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142604, NULL, 'PTHR42932:SF2', NULL, NULL, NULL, NULL, 'DNA PROTECTION DURING STARVATION PROTEIN 1', NULL, NULL, NULL, 15),
(142605, NULL, 'PTHR10253:SF9', NULL, NULL, NULL, NULL, 'BNAA05G20190D PROTEIN', NULL, NULL, NULL, 15),
(142606, NULL, 'PTHR33271:SF1', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142607, NULL, 'PTHR23115:SF170', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA 2', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142608, NULL, 'PTHR11501:SF18', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(142609, NULL, 'PTHR23139:SF112', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 39', NULL, NULL, NULL, 15),
(142610, NULL, 'PTHR11785:SF73', NULL, NULL, NULL, NULL, 'ASC-TYPE AMINO ACID TRANSPORTER 1', NULL, NULL, NULL, 15),
(142611, NULL, 'PTHR45974:SF195', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(142612, NULL, 'PTHR31304:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142613, NULL, 'PTHR24264:SF7', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 3', NULL, NULL, NULL, 15),
(142614, NULL, 'PTHR47527', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(142615, NULL, 'PTHR12320:SF24', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(142616, NULL, 'PTHR37612', NULL, NULL, NULL, NULL, 'FIBROIN HEAVY CHAIN FIB-H LIKE PROTEIN', NULL, NULL, NULL, 15),
(142617, NULL, 'PTHR16046:SF9', NULL, NULL, NULL, NULL, 'SMC5-SMC6 COMPLEX LOCALIZATION FACTOR 2', NULL, NULL, NULL, 15),
(142618, NULL, 'PTHR43625:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142619, NULL, 'PTHR20974:SF2', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE 26', NULL, NULL, NULL, 15),
(142620, NULL, 'PTHR45642:SF74', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL2', NULL, NULL, NULL, 15),
(142621, NULL, 'PTHR19443:SF10', NULL, NULL, NULL, NULL, 'HEXOKINASE-1', NULL, NULL, NULL, 15),
(142622, NULL, 'PTHR35317:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142623, NULL, 'PTHR10694:SF92', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ706-LIKE', NULL, NULL, NULL, 15),
(142624, NULL, 'PTHR43092', NULL, NULL, NULL, NULL, 'L-CYSTEINE DESULFHYDRASE', NULL, NULL, NULL, 15),
(142625, NULL, 'PTHR46287', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 3-RELATED', NULL, NULL, 36523, 15),
(142626, NULL, 'PTHR13932:SF9', NULL, NULL, NULL, NULL, 'COPROPORPHYRINOGEN III OXIDASE-RELATED', NULL, NULL, 24092, 15),
(142627, NULL, 'PTHR42854:SF11', NULL, NULL, NULL, NULL, 'BNAA08G27720D PROTEIN', NULL, NULL, NULL, 15),
(142628, NULL, 'PTHR46339:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG19340', NULL, NULL, NULL, 15),
(142629, NULL, 'PTHR23501:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142630, NULL, 'PTHR47123:SF16', NULL, NULL, NULL, NULL, 'BNAA04G28250D PROTEIN', NULL, NULL, NULL, 15),
(142631, NULL, 'PTHR34591:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142632, NULL, 'PTHR30149:SF0', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYPD', NULL, NULL, NULL, 15),
(142633, NULL, 'PTHR14360:SF14', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 90B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(142634, NULL, 'PTHR44542:SF10', NULL, NULL, NULL, NULL, 'OS02G0102300 PROTEIN', NULL, NULL, NULL, 15),
(142635, NULL, 'PTHR14212', NULL, NULL, NULL, NULL, 'U4/U6-ASSOCIATED RNA SPLICING FACTOR-RELATED', NULL, NULL, 23207, 15),
(142636, NULL, 'PTHR34224:SF7', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS-LIKE PROTEIN', NULL, NULL, NULL, 15),
(142637, NULL, 'PTHR43128:SF7', NULL, NULL, NULL, NULL, 'L-2-HYDROXYCARBOXYLATE DEHYDROGENASE (NAD(P)(+))', NULL, NULL, NULL, 15),
(142638, NULL, 'PTHR31225:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142639, NULL, 'PTHR43689:SF24', NULL, NULL, NULL, NULL, 'OS06G0132550 PROTEIN', NULL, NULL, NULL, 15),
(142640, NULL, 'PTHR10003:SF89', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE 1 COPPER CHAPERONE', NULL, NULL, NULL, 15),
(142641, NULL, 'PTHR12315', NULL, NULL, NULL, NULL, 'BICOID-INTERACTING PROTEIN RELATED', NULL, NULL, 29569, 15),
(142642, NULL, 'PTHR31707:SF261', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(142643, NULL, 'PTHR46326:SF8', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142644, NULL, 'PTHR24247:SF237', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142645, NULL, 'PTHR22753:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142646, NULL, 'PTHR10855:SF1', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 12', NULL, NULL, 10080, 15),
(142647, NULL, 'PTHR33021:SF210', NULL, NULL, NULL, NULL, 'LAMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(142648, NULL, 'PTHR11703', NULL, NULL, NULL, NULL, 'DEOXYHYPUSINE SYNTHASE', NULL, NULL, 4549, 15),
(142649, NULL, 'PTHR45641:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142650, NULL, 'PTHR11802:SF268', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(142651, NULL, 'PTHR36733:SF1', NULL, NULL, NULL, NULL, 'CELL WALL PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142652, NULL, 'PTHR15427:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142653, NULL, 'PTHR11537:SF173', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, KVQLT FAMILY', NULL, NULL, NULL, 15),
(142654, NULL, 'PTHR32099:SF63', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 25', NULL, NULL, NULL, 15),
(142655, NULL, 'PTHR11733:SF188', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', NULL, NULL, NULL, 15),
(142656, NULL, 'PTHR40089', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTH', NULL, NULL, 4551, 15),
(142657, NULL, 'PTHR23504:SF32', NULL, NULL, NULL, NULL, 'HIPPOCAMPUS ABUNDANT TRANSCRIPT-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(142658, NULL, 'PTHR36061:SF3', NULL, NULL, NULL, NULL, 'OS04G0692200 PROTEIN', NULL, NULL, NULL, 15),
(142659, NULL, 'PTHR10775:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142660, NULL, 'PTHR23526:SF2', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142661, NULL, 'PTHR21229:SF11', NULL, NULL, NULL, NULL, 'PROTEIN GPR108', NULL, NULL, NULL, 15),
(142662, NULL, 'PTHR45652:SF5', NULL, NULL, NULL, NULL, 'VIMENTIN', NULL, NULL, 26916, 15),
(142663, NULL, 'PTHR24103:SF595', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(142664, NULL, 'PTHR10806:SF33', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', NULL, NULL, NULL, 15),
(142665, NULL, 'PTHR11461:SF195', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR A3A-RELATED', NULL, NULL, NULL, 15),
(142666, NULL, 'PTHR38121:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14030)-RELATED', NULL, NULL, NULL, 15),
(142667, NULL, 'PTHR31360:SF1', NULL, NULL, NULL, NULL, 'OIL BODY-ASSOCIATED PROTEIN 2A', NULL, NULL, NULL, 15),
(142668, NULL, 'PTHR24055:SF438', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 13', NULL, NULL, NULL, 15),
(142669, NULL, 'PTHR46418:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS BC (CLASS B-LIKE)', NULL, NULL, NULL, 15),
(142670, NULL, 'PTHR33941:SF10', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTM', NULL, NULL, NULL, 15),
(142671, NULL, 'PTHR44372', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-GAMMA 1-RELATED', NULL, NULL, 37850, 15),
(142672, NULL, 'PTHR35507:SF1', NULL, NULL, NULL, NULL, 'OS09G0488600 PROTEIN', NULL, NULL, NULL, 15),
(142673, NULL, 'PTHR38139', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 34595, 15),
(142674, NULL, 'PTHR16134:SF116', NULL, NULL, NULL, NULL, 'AT02038P-RELATED', NULL, NULL, NULL, 15),
(142675, NULL, 'PTHR31218:SF211', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(142676, NULL, 'PTHR23147:SF5', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 10', NULL, NULL, NULL, 15),
(142677, NULL, 'PTHR13832:SF699', NULL, NULL, NULL, NULL, 'INTEGRIN-LINKED KINASE-ASSOCIATED SERINE/THREONINE PHOSPHATASE 2C', NULL, NULL, NULL, 15),
(142678, NULL, 'PTHR12297:SF3', NULL, NULL, NULL, NULL, 'HIG1 DOMAIN FAMILY MEMBER 2A', NULL, NULL, NULL, 15),
(142679, NULL, 'PTHR32448:SF75', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 16', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142680, NULL, 'PTHR15282:SF9', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY E MEMBER 4', NULL, NULL, NULL, 15),
(142681, NULL, 'PTHR11429', NULL, NULL, NULL, NULL, 'MYELIN BASIC PROTEIN', NULL, NULL, 5574, 15),
(142682, NULL, 'PTHR45977:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142683, NULL, 'PTHR31561:SF166', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(142684, NULL, 'PTHR47933:SF31', NULL, NULL, NULL, NULL, 'OS06G0199100 PROTEIN', NULL, NULL, NULL, 15),
(142685, NULL, 'PTHR45757:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG06173', NULL, NULL, NULL, 15),
(142686, NULL, 'PTHR24248:SF123', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR D6B', NULL, NULL, NULL, 15),
(142687, NULL, 'PTHR21717:SF77', NULL, NULL, NULL, NULL, 'BNAANNG26340D PROTEIN', NULL, NULL, NULL, 15),
(142688, NULL, 'PTHR32301:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142689, NULL, 'PTHR13767', NULL, NULL, NULL, NULL, 'TRNA-PSEUDOURIDINE SYNTHASE', NULL, NULL, 8687, 15),
(142690, NULL, 'PTHR19433:SF120', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 30', NULL, NULL, NULL, 15),
(142691, NULL, 'PTHR11909:SF121', NULL, NULL, NULL, NULL, 'PROTEIN CBG08984', NULL, NULL, NULL, 15),
(142692, NULL, 'PTHR33110:SF85', NULL, NULL, NULL, NULL, 'OS01G0520260 PROTEIN', NULL, NULL, NULL, 15),
(142693, NULL, 'PTHR46799:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN UNC-4 HOMOLOG', NULL, NULL, NULL, 15),
(142694, NULL, 'PTHR11877:SF42', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(142695, NULL, 'PTHR45743:SF42', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(142696, NULL, 'PTHR45994:SF3', NULL, NULL, NULL, NULL, 'PROTEIN UNC-45 HOMOLOG A', NULL, NULL, NULL, 15),
(142697, NULL, 'PTHR23164:SF18', NULL, NULL, NULL, NULL, 'FYVE AND COILED-COIL DOMAIN CONTAINING 1', NULL, NULL, 38454, 15),
(142698, NULL, 'PTHR13589', NULL, NULL, NULL, NULL, 'CREB-REGULATED TRANSCRIPTION COACTIVATOR', NULL, NULL, 25135, 15),
(142699, NULL, 'PTHR11247:SF59', NULL, NULL, NULL, NULL, 'BNAC07G34360D PROTEIN', NULL, NULL, NULL, 15),
(142700, NULL, 'PTHR12385:SF81', NULL, NULL, NULL, NULL, 'PLASMA-MEMBRANE CHOLINE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(142701, NULL, 'PTHR43706:SF29', NULL, NULL, NULL, NULL, 'EXTERNAL ALTERNATIVE NAD(P)H-UBIQUINONE OXIDOREDUCTASE B1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(142702, NULL, 'PTHR34481:SF1', NULL, NULL, NULL, NULL, 'SEED ALLERGENIC PROTEIN RAG1', NULL, NULL, NULL, 15),
(142703, NULL, 'PTHR15907', NULL, NULL, NULL, NULL, 'DUF614 FAMILY PROTEIN-RELATED', NULL, NULL, 6745, 15),
(142704, NULL, 'PTHR11945:SF576', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142705, NULL, 'PTHR11603:SF157', NULL, NULL, NULL, NULL, 'PILT PROTEIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(142706, NULL, 'PTHR15035:SF11', NULL, NULL, NULL, NULL, 'UROCORTIN', NULL, NULL, NULL, 15),
(142707, NULL, 'PTHR36901:SF4', NULL, NULL, NULL, NULL, 'OS05G0150100 PROTEIN', NULL, NULL, NULL, 15),
(142708, NULL, 'PTHR47925:SF39', NULL, NULL, NULL, NULL, 'BNAA06G37920D PROTEIN', NULL, NULL, NULL, 15),
(142709, NULL, 'PTHR12161:SF55', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', NULL, NULL, NULL, 15),
(142710, NULL, 'PTHR42968:SF26', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_1G14670)', NULL, NULL, 35851, 15),
(142711, NULL, 'PTHR31282:SF137', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 70-RELATED', NULL, NULL, NULL, 15),
(142712, NULL, 'PTHR35993:SF2', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 21A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(142713, NULL, 'PTHR31263:SF57', NULL, NULL, NULL, NULL, 'RICIN B, LECTIN DOMAIN, GLYCOSIDE HYDROLASE, FAMILY 5-RELATED', NULL, NULL, NULL, 15),
(142714, NULL, 'PTHR43605', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE', NULL, NULL, NULL, 15),
(142715, NULL, 'PTHR31544:SF14', NULL, NULL, NULL, NULL, 'BNAC04G55840D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142716, NULL, 'PTHR46515:SF1', NULL, NULL, NULL, NULL, 'TATA ELEMENT MODULATORY FACTOR', NULL, NULL, NULL, 15),
(142717, NULL, 'PTHR31972:SF71', NULL, NULL, NULL, NULL, 'BNAA09G51660D PROTEIN', NULL, NULL, NULL, 15),
(142718, NULL, 'PTHR47966:SF26', NULL, NULL, NULL, NULL, 'CATHEPSIN E', NULL, NULL, 29286, 15),
(142719, NULL, 'PTHR10219:SF84', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN 1', NULL, NULL, NULL, 15),
(142720, NULL, 'PTHR23291:SF51', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142721, NULL, 'PTHR10887:SF493', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142722, NULL, 'PTHR12228:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 7-LIKE', NULL, NULL, NULL, 15),
(142723, NULL, 'PTHR42683:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G01980)-RELATED', NULL, NULL, NULL, 15),
(142724, NULL, 'PTHR21522:SF30', NULL, NULL, NULL, NULL, 'GH01206P', NULL, NULL, NULL, 15),
(142725, NULL, 'PTHR27009:SF250', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142726, NULL, 'PTHR36566', NULL, NULL, NULL, NULL, 'NICKEL INSERTION PROTEIN-RELATED', NULL, NULL, 6448, 15),
(142727, NULL, 'PTHR34460:SF2', NULL, NULL, NULL, NULL, 'VITELLOGENIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(142728, NULL, 'PTHR46013:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142729, NULL, 'PTHR46128:SF273', NULL, NULL, NULL, NULL, 'BNACNNG36080D PROTEIN', NULL, NULL, NULL, 15),
(142730, NULL, 'PTHR21641', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR-RELATED', NULL, NULL, 35972, 15),
(142731, NULL, 'PTHR45783:SF6', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN 4', NULL, NULL, NULL, 15),
(142732, NULL, 'PTHR10701:SF0', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN-ASSOCIATED PROTEIN B''', NULL, NULL, NULL, 15),
(142733, NULL, 'PTHR23276:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PRRC1', NULL, NULL, NULL, 15),
(142734, NULL, 'PTHR12847:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142735, NULL, 'PTHR47075:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH062-LIKE', NULL, NULL, NULL, 15),
(142736, NULL, 'PTHR11205:SF39', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(142737, NULL, 'PTHR33572:SF3', NULL, NULL, NULL, NULL, 'SPORE DEVELOPMENT REGULATOR VOSA', NULL, NULL, NULL, 15),
(142738, NULL, 'PTHR45619:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(142739, NULL, 'PTHR31744:SF80', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 74', NULL, NULL, NULL, 15),
(142740, NULL, 'PTHR23339:SF104', NULL, NULL, NULL, NULL, 'METAL ION-BINDING PROTEIN', NULL, NULL, NULL, 15),
(142741, NULL, 'PTHR24028:SF61', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-13', NULL, NULL, NULL, 15),
(142742, NULL, 'PTHR31133:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(142743, NULL, 'PTHR45868:SF52', NULL, NULL, NULL, NULL, 'BNAA05G31940D PROTEIN', NULL, NULL, NULL, 15),
(142744, NULL, 'PTHR24377:SF602', NULL, NULL, NULL, NULL, 'ZNF79 ISOFORM 2', NULL, NULL, NULL, 15),
(142745, NULL, 'PTHR43826:SF9', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(142746, NULL, 'PTHR36728:SF2', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT O, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(142747, NULL, 'PTHR45878:SF17', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPARENT TESTA 1', NULL, NULL, 22543, 15),
(142748, NULL, 'PTHR45623:SF30', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(142749, NULL, 'PTHR43327:SF17', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(142750, NULL, 'PTHR13084:SF6', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(142751, NULL, 'PTHR13148:SF9', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142752, NULL, 'PTHR27003:SF332', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142753, NULL, 'PTHR33076:SF80', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(142754, NULL, 'PTHR35603:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE LIPOPROTEIN SLYB', NULL, NULL, NULL, 15),
(142755, NULL, 'PTHR32444:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142756, NULL, 'PTHR31225:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142757, NULL, 'PTHR46011:SF28', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-71', NULL, NULL, NULL, 15),
(142758, NULL, 'PTHR33985:SF21', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 20-RELATED', NULL, NULL, NULL, 15),
(142759, NULL, 'PTHR45774:SF3', NULL, NULL, NULL, NULL, 'BTB (POZ) DOMAIN-CONTAINING 2A-RELATED', NULL, NULL, NULL, 15),
(142760, NULL, 'PTHR13343:SF31', NULL, NULL, NULL, NULL, 'FMN-BINDING SPLIT BARREL-RELATED', NULL, NULL, NULL, 15),
(142761, NULL, 'PTHR33524:SF5', NULL, NULL, NULL, NULL, 'C5ORF35', NULL, NULL, NULL, 15),
(142762, NULL, 'PTHR11732:SF474', NULL, NULL, NULL, NULL, 'ZGC:110366', NULL, NULL, NULL, 15),
(142763, NULL, 'PTHR45970:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C9', NULL, NULL, NULL, 15),
(142764, NULL, 'PTHR15192', NULL, NULL, NULL, NULL, 'PROTEIN CBG05349', NULL, NULL, 26246, 15),
(142765, NULL, 'PTHR10078:SF31', NULL, NULL, NULL, NULL, 'INTERLEUKIN-37', NULL, NULL, NULL, 15),
(142766, NULL, 'PTHR45744:SF32', NULL, NULL, NULL, NULL, 'BNAA01G13270D PROTEIN', NULL, NULL, NULL, 15),
(142767, NULL, 'PTHR31607', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142768, NULL, 'PTHR22529', NULL, NULL, NULL, NULL, 'EPITHELIAL-STROMAL INTERACTION PROTEIN 1', NULL, NULL, 26590, 15),
(142769, NULL, 'PTHR46463:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142770, NULL, 'PTHR26452:SF789', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(142771, NULL, 'PTHR31235:SF293', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(142772, NULL, 'PTHR34544', NULL, NULL, NULL, NULL, 'OSJNBA0006B20.18 PROTEIN', NULL, NULL, NULL, 15),
(142773, NULL, 'PTHR24414:SF140', NULL, NULL, NULL, NULL, 'BNAA09G43090D PROTEIN', NULL, NULL, NULL, 15),
(142774, NULL, 'PTHR27007:SF66', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(142775, NULL, 'PTHR34491:SF28', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(142776, NULL, 'PTHR33800:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142777, NULL, 'PTHR33739:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142778, NULL, 'PTHR23282:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142779, NULL, 'PTHR47100', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE PHS1', NULL, NULL, 12718, 15),
(142780, NULL, 'PTHR31158', NULL, NULL, NULL, NULL, 'DUAL OXIDASE 2', NULL, NULL, 21887, 15),
(142781, NULL, 'PTHR11746:SF246', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: (S)-SCOULERINE 9-O-METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(142782, NULL, 'PTHR31790:SF28', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142783, NULL, 'PTHR43675:SF10', NULL, NULL, NULL, NULL, 'CYCLOPROPANE FATTY ACID SYNTHASE', NULL, NULL, NULL, 15),
(142784, NULL, 'PTHR13222:SF1', NULL, NULL, NULL, NULL, 'RB1-INDUCIBLE COILED-COIL PROTEIN 1', NULL, NULL, NULL, 15),
(142785, NULL, 'PTHR45706:SF5', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 3', NULL, NULL, NULL, 15),
(142786, NULL, 'PTHR47846:SF4', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR B', NULL, NULL, NULL, 15),
(142787, NULL, 'PTHR31338:SF18', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 328-RELATED', NULL, NULL, NULL, 15),
(142788, NULL, 'PTHR19269:SF40', NULL, NULL, NULL, NULL, 'TROPOMYOSIN ALPHA-4 CHAIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142789, NULL, 'PTHR32295:SF206', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', NULL, NULL, NULL, 15),
(142790, NULL, 'PTHR10535:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142791, NULL, 'PTHR23359:SF198', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE/UMP-CMP KINASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(142792, NULL, 'PTHR46250:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142793, NULL, 'PTHR24060:SF148', NULL, NULL, NULL, NULL, 'PROTEIN BRIDE OF SEVENLESS', NULL, NULL, NULL, 15),
(142794, NULL, 'PTHR10869:SF191', NULL, NULL, NULL, NULL, 'BNACNNG26730D PROTEIN', NULL, NULL, NULL, 15),
(142795, NULL, 'PTHR31374:SF190', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(142796, NULL, 'PTHR38108', NULL, NULL, NULL, NULL, 'UPF0319 PROTEIN YCCT', NULL, NULL, 16286, 15),
(142797, NULL, 'PTHR23503:SF30', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 7', NULL, NULL, NULL, 15),
(142798, NULL, 'PTHR12854:SF17', NULL, NULL, NULL, NULL, 'BNAA06G01270D PROTEIN', NULL, NULL, NULL, 15),
(142799, NULL, 'PTHR24067:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142800, NULL, 'PTHR35885', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142801, NULL, 'PTHR47447', NULL, NULL, NULL, NULL, 'OS03G0856100 PROTEIN', NULL, NULL, NULL, 15),
(142802, NULL, 'PTHR45856:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142803, NULL, 'PTHR42997:SF1', NULL, NULL, NULL, NULL, 'AP-4-A PHOSPHORYLASE', NULL, NULL, NULL, 15),
(142804, NULL, 'PTHR48165:SF1', NULL, NULL, NULL, NULL, 'BNAC03G44900D PROTEIN', NULL, NULL, NULL, 15),
(142805, NULL, 'PTHR43317:SF3', NULL, NULL, NULL, NULL, 'BLR2883 PROTEIN', NULL, NULL, NULL, 15),
(142806, NULL, 'PTHR10209:SF716', NULL, NULL, NULL, NULL, 'BNAC05G04550D PROTEIN', NULL, NULL, NULL, 15),
(142807, NULL, 'PTHR47615', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 158', NULL, NULL, 27362, 15),
(142808, NULL, 'PTHR35831:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142809, NULL, 'PTHR10127:SF811', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-29', NULL, NULL, NULL, 15),
(142810, NULL, 'PTHR43939:SF23', NULL, NULL, NULL, NULL, 'INVOLUCRIN REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_4G11410)', NULL, NULL, NULL, 15),
(142811, NULL, 'PTHR34832:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN W', NULL, NULL, NULL, 15),
(142812, NULL, 'PTHR31867:SF174', NULL, NULL, NULL, NULL, 'EXPANSIN-A3', NULL, NULL, NULL, 15),
(142813, NULL, 'PTHR10366:SF702', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142814, NULL, 'PTHR31314:SF86', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(142815, NULL, 'PTHR23306:SF17', NULL, NULL, NULL, NULL, 'TUMOR SUSCEPTIBILITY GENE 101 PROTEIN', NULL, NULL, NULL, 15),
(142816, NULL, 'PTHR28147', NULL, NULL, NULL, NULL, 'N-GLYCOSYLATION PROTEIN EOS1', NULL, NULL, 15341, 15),
(142817, NULL, 'PTHR34360:SF6', NULL, NULL, NULL, NULL, 'OS02G0306550 PROTEIN', NULL, NULL, NULL, 15),
(142818, NULL, 'PTHR27008:SF427', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142819, NULL, 'PTHR35658:SF1', NULL, NULL, NULL, NULL, 'RCG58666, ISOFORM CRA_A', NULL, NULL, NULL, 15),
(142820, NULL, 'PTHR30477:SF21', NULL, NULL, NULL, NULL, 'ABC-3 PROTEIN', NULL, NULL, NULL, 15),
(142821, NULL, 'PTHR32556:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142822, NULL, 'PTHR46043', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(142823, NULL, 'PTHR45834:SF6', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 9', NULL, NULL, NULL, 15),
(142824, NULL, 'PTHR21522:SF36', NULL, NULL, NULL, NULL, 'PROTON CHANNEL OTOP3', NULL, NULL, NULL, 15),
(142825, NULL, 'PTHR45720:SF13', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142826, NULL, 'PTHR33526:SF22', NULL, NULL, NULL, NULL, 'BNAC02G16830D PROTEIN', NULL, NULL, NULL, 15),
(142827, NULL, 'PTHR22883:SF8', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC1-RELATED', NULL, NULL, NULL, 15),
(142828, NULL, 'PTHR14312:SF2', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER TRANSCRIPTION FACTOR D-RELATED', NULL, NULL, NULL, 15),
(142829, NULL, 'PTHR11157:SF30', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(142830, NULL, 'PTHR18867:SF12', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD50', NULL, NULL, NULL, 15),
(142831, NULL, 'PTHR11108', NULL, NULL, NULL, NULL, 'FERROCHELATASE', NULL, NULL, 2110, 15),
(142832, NULL, 'PTHR37325:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 21 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G05910)-RELATED', NULL, NULL, NULL, 15),
(142833, NULL, 'PTHR24064:SF261', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-6', NULL, NULL, NULL, 15),
(142834, NULL, 'PTHR33137:SF25', NULL, NULL, NULL, NULL, 'BNAC05G49890D PROTEIN', NULL, NULL, NULL, 15),
(142835, NULL, 'PTHR24409:SF330', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 521', NULL, NULL, NULL, 15),
(142836, NULL, 'PTHR31282:SF129', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 17-RELATED', NULL, NULL, NULL, 15),
(142837, NULL, 'PTHR16209:SF3', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 7', NULL, NULL, NULL, 15),
(142838, NULL, 'PTHR32448:SF142', NULL, NULL, NULL, NULL, 'CANNABIDIOLIC ACID SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(142839, NULL, 'PTHR31640:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN KIAA1109', NULL, NULL, NULL, 15),
(142840, NULL, 'PTHR45665:SF16', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP1-2', NULL, NULL, NULL, 15),
(142841, NULL, 'PTHR15615:SF91', NULL, NULL, NULL, NULL, 'CYCLIN-U4-1', NULL, NULL, NULL, 15),
(142842, NULL, 'PTHR15422:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142843, NULL, 'PTHR34993:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142844, NULL, 'PTHR12370:SF21', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE PROTEIN E', NULL, NULL, NULL, 15),
(142845, NULL, 'PTHR11945:SF579', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 7-LIKE', NULL, NULL, NULL, 15),
(142846, NULL, 'PTHR48022:SF11', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER (HXT8), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G08120)-RELATED', NULL, NULL, NULL, 15),
(142847, NULL, 'PTHR23001:SF7', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5', NULL, NULL, NULL, 15),
(142848, NULL, 'PTHR12431:SF14', NULL, NULL, NULL, NULL, 'LD15323P', NULL, NULL, NULL, 15),
(142849, NULL, 'PTHR10694:SF45', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE ELF6-RELATED', NULL, NULL, NULL, 15),
(142850, NULL, 'PTHR43157:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142851, NULL, 'PTHR39117', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 28', NULL, NULL, 7298, 15),
(142852, NULL, 'PTHR31374:SF269', NULL, NULL, NULL, NULL, 'AUXIN RESPONSIVE SAUR PROTEIN', NULL, NULL, NULL, 15),
(142853, NULL, 'PTHR30134', NULL, NULL, NULL, NULL, 'HYDROGENASE PROTEIN ASSEMBLY PROTEIN, NICKEL CHAPERONE', NULL, NULL, 5854, 15),
(142854, NULL, 'PTHR48049:SF43', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71B1', NULL, NULL, NULL, 15),
(142855, NULL, 'PTHR47926:SF17', NULL, NULL, NULL, NULL, 'BNAC01G36630D PROTEIN', NULL, NULL, NULL, 15),
(142856, NULL, 'PTHR47268:SF6', NULL, NULL, NULL, NULL, 'ACYLPHOSPHATASE', NULL, NULL, NULL, 15),
(142857, NULL, 'PTHR45138:SF16', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCQ-RELATED', NULL, NULL, NULL, 15),
(142858, NULL, 'PTHR43157:SF32', NULL, NULL, NULL, NULL, 'SI:DKEY-23O4.6-RELATED', NULL, NULL, NULL, 15),
(142859, NULL, 'PTHR11655:SF26', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L9', NULL, NULL, NULL, 15),
(142860, NULL, 'PTHR46087', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(142861, NULL, 'PTHR31125', NULL, NULL, NULL, NULL, 'F20P5.22 PROTEIN-RELATED', NULL, NULL, 10292, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142862, NULL, 'PTHR10201:SF30', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-9', NULL, NULL, 23848, 15),
(142863, NULL, 'PTHR16770:SF3', NULL, NULL, NULL, NULL, 'PROTEIN RIPPLY2', NULL, NULL, NULL, 15),
(142864, NULL, 'PTHR23201:SF103', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142865, NULL, 'PTHR11232:SF18', NULL, NULL, NULL, NULL, 'JNK-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(142866, NULL, 'PTHR24381:SF347', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 882', NULL, NULL, NULL, 15),
(142867, NULL, 'PTHR32285:SF44', NULL, NULL, NULL, NULL, 'OS06G0531400 PROTEIN', NULL, NULL, NULL, 15),
(142868, NULL, 'PTHR10061:SF1', NULL, NULL, NULL, NULL, 'S-FORMYLGLUTATHIONE HYDROLASE YEIG', NULL, NULL, NULL, 15),
(142869, NULL, 'PTHR23012:SF174', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH-RELATED', NULL, NULL, NULL, 15),
(142870, NULL, 'PTHR11165:SF148', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(142871, NULL, 'PTHR22891:SF164', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(142872, NULL, 'PTHR31251:SF152', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(142873, NULL, 'PTHR37330:SF1', NULL, NULL, NULL, NULL, 'CONSERVED TRANSMEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142874, NULL, 'PTHR11260:SF562', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142875, NULL, 'PTHR47981:SF24', NULL, NULL, NULL, NULL, 'OS05G0516600 PROTEIN', NULL, NULL, NULL, 15),
(142876, NULL, 'PTHR10954:SF12', NULL, NULL, NULL, NULL, 'RIBONUCLEASE HIII', NULL, NULL, NULL, 15),
(142877, NULL, 'PTHR30624', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN TLDD AND PMBA', NULL, NULL, NULL, 15),
(142878, NULL, 'PTHR43065:SF34', NULL, NULL, NULL, NULL, 'SPORULATION KINASE A', NULL, NULL, NULL, 15),
(142879, NULL, 'PTHR35562:SF2', NULL, NULL, NULL, NULL, 'DNA ENDONUCLEASE SMRA-RELATED', NULL, NULL, NULL, 15),
(142880, NULL, 'PTHR11405:SF4', NULL, NULL, NULL, NULL, 'CARBAMOYL-PHOSPHATE SYNTHASE ARGININE-SPECIFIC SMALL CHAIN', NULL, NULL, NULL, 15),
(142881, NULL, 'PTHR38739:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142882, NULL, 'PTHR15615', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 14350, 15),
(142883, NULL, 'PTHR12386:SF29', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT G PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(142884, NULL, 'PTHR31126:SF63', NULL, NULL, NULL, NULL, 'BNAA04G19120D PROTEIN', NULL, NULL, NULL, 15),
(142885, NULL, 'PTHR27006:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142886, NULL, 'PTHR10966:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SMALL CHAIN HOMOLOG', NULL, NULL, NULL, 15),
(142887, NULL, 'PTHR44042:SF52', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR MYB51', NULL, NULL, NULL, 15),
(142888, NULL, 'PTHR21101:SF5', NULL, NULL, NULL, NULL, 'RESISTIN-LIKE ALPHA', NULL, NULL, NULL, 15),
(142889, NULL, 'PTHR31447:SF11', NULL, NULL, NULL, NULL, 'BNAC05G10890D PROTEIN', NULL, NULL, NULL, 15),
(142890, NULL, 'PTHR47322:SF10', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15),
(142891, NULL, 'PTHR12322:SF107', NULL, NULL, NULL, NULL, 'PROTEIN MALE ABNORMAL 3', NULL, NULL, NULL, 15),
(142892, NULL, 'PTHR22957:SF497', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATING PROTEIN AND CENTROSOME-ASSOCIATED, ISOFORM B', NULL, NULL, NULL, 15),
(142893, NULL, 'PTHR11362:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142894, NULL, 'PTHR31238:SF151', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(142895, NULL, 'PTHR21574:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142896, NULL, 'PTHR43711', NULL, NULL, NULL, NULL, 'TWO-COMPONENT HISTIDINE KINASE', NULL, NULL, NULL, 15),
(142897, NULL, 'PTHR11616:SF282', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(142898, NULL, 'PTHR19957:SF104', NULL, NULL, NULL, NULL, 'SYNTAXIN-6', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142899, NULL, 'PTHR14309:SF8', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY B MEMBER 2', NULL, NULL, 34572, 15),
(142900, NULL, 'PTHR31079', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 73', NULL, NULL, 36899, 15),
(142901, NULL, 'PTHR12027:SF98', NULL, NULL, NULL, NULL, 'PROTEIN WNT', NULL, NULL, NULL, 15),
(142902, NULL, 'PTHR35463:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(142903, NULL, 'PTHR46310:SF9', NULL, NULL, NULL, NULL, 'AMIDASE 1-LIKE', NULL, NULL, NULL, 15),
(142904, NULL, 'PTHR33874:SF5', NULL, NULL, NULL, NULL, 'OS09G0465500 PROTEIN', NULL, NULL, NULL, 15),
(142905, NULL, 'PTHR20275:SF35', NULL, NULL, NULL, NULL, 'NAD KINASE 1-RELATED', NULL, NULL, NULL, 15),
(142906, NULL, 'PTHR45613:SF401', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(142907, NULL, 'PTHR21569:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142908, NULL, 'PTHR34962:SF1', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 1703-RELATED', NULL, NULL, NULL, 15),
(142909, NULL, 'PTHR48022:SF78', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G02110)-RELATED', NULL, NULL, NULL, 15),
(142910, NULL, 'PTHR22028:SF5', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 191', NULL, NULL, 26885, 15),
(142911, NULL, 'PTHR11227:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142912, NULL, 'PTHR28467', NULL, NULL, NULL, NULL, 'PAXIP1-ASSOCIATED GLUTAMATE-RICH PROTEIN 1', NULL, NULL, 23223, 15),
(142913, NULL, 'PTHR11571:SF158', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(142914, NULL, 'PTHR45780:SF2', NULL, NULL, NULL, NULL, 'ETHANOLAMINE-PHOSPHATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(142915, NULL, 'PTHR23512:SF5', NULL, NULL, NULL, NULL, 'IM:7160594', NULL, NULL, NULL, 15),
(142916, NULL, 'PTHR23070:SF164', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(142917, NULL, 'PTHR14467:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ARV 2', NULL, NULL, NULL, 15),
(142918, NULL, 'PTHR21659:SF93', NULL, NULL, NULL, NULL, 'BNAA03G50460D PROTEIN', NULL, NULL, NULL, 15),
(142919, NULL, 'PTHR31286:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142920, NULL, 'PTHR14087:SF7', NULL, NULL, NULL, NULL, 'THYMOCYTE NUCLEAR PROTEIN 1', NULL, NULL, NULL, 15),
(142921, NULL, 'PTHR46163:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG17666', NULL, NULL, NULL, 15),
(142922, NULL, 'PTHR31193:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 268', NULL, NULL, NULL, 15),
(142923, NULL, 'PTHR11437:SF11', NULL, NULL, NULL, NULL, 'INACTIVE RIBONUCLEASE-LIKE PROTEIN 13-RELATED', NULL, NULL, 24550, 15),
(142924, NULL, 'PTHR31044:SF106', NULL, NULL, NULL, NULL, 'X8 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142925, NULL, 'PTHR35165', NULL, NULL, NULL, NULL, 'OS08G0113900 PROTEIN', NULL, NULL, NULL, 15),
(142926, NULL, 'PTHR31683:SF77', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(142927, NULL, 'PTHR45923:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', NULL, NULL, NULL, 15),
(142928, NULL, 'PTHR10380:SF212', NULL, NULL, NULL, NULL, 'AGAP013248-PA', NULL, NULL, NULL, 15),
(142929, NULL, 'PTHR47701:SF4', NULL, NULL, NULL, NULL, 'BNACNNG28710D PROTEIN', NULL, NULL, NULL, 15),
(142930, NULL, 'PTHR19836', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S14', NULL, NULL, 1485, 15),
(142931, NULL, 'PTHR46771:SF5', NULL, NULL, NULL, NULL, 'DETERIN', NULL, NULL, NULL, 15),
(142932, NULL, 'PTHR31062:SF227', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE 1-RELATED', NULL, NULL, NULL, 15),
(142933, NULL, 'PTHR22989:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG04438', NULL, NULL, NULL, 15),
(142934, NULL, 'PTHR15720', NULL, NULL, NULL, NULL, 'GREB1-RELATED', NULL, NULL, 22066, 15),
(142935, NULL, 'PTHR44042:SF7', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142936, NULL, 'PTHR10671:SF78', NULL, NULL, NULL, NULL, 'SI:CH211-149K23.9', NULL, NULL, NULL, 15),
(142937, NULL, 'PTHR11732:SF165', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER C3', NULL, NULL, NULL, 15),
(142938, NULL, 'PTHR22937:SF165', NULL, NULL, NULL, NULL, 'OS01G0159300 PROTEIN', NULL, NULL, NULL, 15),
(142939, NULL, 'PTHR19268:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142940, NULL, 'PTHR27001:SF861', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 7', NULL, NULL, NULL, 15),
(142941, NULL, 'PTHR24349:SF334', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 19', NULL, NULL, NULL, 15),
(142942, NULL, 'PTHR43115:SF9', NULL, NULL, NULL, NULL, 'BLR4790 PROTEIN', NULL, NULL, NULL, 15),
(142943, NULL, 'PTHR33513:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142944, NULL, 'PTHR32191:SF77', NULL, NULL, NULL, NULL, 'TETRASPANIN-3-LIKE', NULL, NULL, NULL, 15),
(142945, NULL, 'PTHR12587:SF14', NULL, NULL, NULL, NULL, 'AT31531P', NULL, NULL, 24301, 15),
(142946, NULL, 'PTHR36508:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SLYX', NULL, NULL, NULL, 15),
(142947, NULL, 'PTHR24224:SF35', NULL, NULL, NULL, NULL, 'NEMATOCIN RECEPTOR 1', NULL, NULL, NULL, 15),
(142948, NULL, 'PTHR12771', NULL, NULL, NULL, NULL, 'ENGULFMENT AND CELL MOTILITY', NULL, NULL, NULL, 15),
(142949, NULL, 'PTHR47764:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 2B-RELATED', NULL, NULL, NULL, 15),
(142950, NULL, 'PTHR47976:SF61', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN, PAN/APPLE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142951, NULL, 'PTHR18945:SF607', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(142952, NULL, 'PTHR13462:SF37', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN 2, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(142953, NULL, 'PTHR10612:SF44', NULL, NULL, NULL, NULL, 'TEMPERATURE-INDUCED LIPOCALIN-1-LIKE', NULL, NULL, NULL, 15),
(142954, NULL, 'PTHR46058:SF15', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 4', NULL, NULL, NULL, 15),
(142955, NULL, 'PTHR31189:SF49', NULL, NULL, NULL, NULL, 'BNAA02G22500D PROTEIN', NULL, NULL, NULL, 15),
(142956, NULL, 'PTHR43576:SF3', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE C', NULL, NULL, NULL, 15),
(142957, NULL, 'PTHR32166:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142958, NULL, 'PTHR12565:SF360', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(142959, NULL, 'PTHR48097:SF7', NULL, NULL, NULL, NULL, 'LOW-SPECIFICITY L-THREONINE ALDOLASE 1-RELATED', NULL, NULL, NULL, 15),
(142960, NULL, 'PTHR27005:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142961, NULL, 'PTHR45707:SF58', NULL, NULL, NULL, NULL, 'C2 DOMAIN, PHOSPHORIBOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(142962, NULL, 'PTHR30417:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE BLYA', NULL, NULL, NULL, 15),
(142963, NULL, 'PTHR33130:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142964, NULL, 'PTHR13773:SF4', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(142965, NULL, 'PTHR31310:SF8', NULL, NULL, NULL, NULL, 'INOSITOLPHOSPHOTRANSFERASE 1', NULL, NULL, NULL, 15),
(142966, NULL, 'PTHR13859:SF25', NULL, NULL, NULL, NULL, 'BNAA06G37810D PROTEIN', NULL, NULL, NULL, 15),
(142967, NULL, 'PTHR32370:SF110', NULL, NULL, NULL, NULL, 'BNAANNG03900D PROTEIN', NULL, NULL, NULL, 15),
(142968, NULL, 'PTHR35323', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(142969, NULL, 'PTHR10108:SF1113', NULL, NULL, NULL, NULL, 'BNAA08G19950D PROTEIN', NULL, NULL, NULL, 15),
(142970, NULL, 'PTHR31389:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG11318', NULL, NULL, NULL, 15),
(142971, NULL, 'PTHR23315:SF308', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 19', NULL, NULL, NULL, 15),
(142972, NULL, 'PTHR19143:SF397', NULL, NULL, NULL, NULL, 'PROTEIN SCABROUS', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(142973, NULL, 'PTHR47407', NULL, NULL, NULL, NULL, 'PROTEIN CBG15905-RELATED', NULL, NULL, NULL, 15),
(142974, NULL, 'PTHR10026:SF43', NULL, NULL, NULL, NULL, 'CYCLIN-T2', NULL, NULL, 24768, 15),
(142975, NULL, 'PTHR12292', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN', NULL, NULL, 29942, 15),
(142976, NULL, 'PTHR30272:SF8', NULL, NULL, NULL, NULL, '3-HYDROXYDECANOYL-[ACYL-CARRIER-PROTEIN] DEHYDRATASE', NULL, NULL, 2278, 15),
(142977, NULL, 'PTHR24221:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142978, NULL, 'PTHR11449:SF26', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30-LIKE', NULL, NULL, NULL, 15),
(142979, NULL, 'PTHR16968:SF2', NULL, NULL, NULL, NULL, 'LENS EPITHELIAL CELL PROTEIN LEP503', NULL, NULL, NULL, 15),
(142980, NULL, 'PTHR24177:SF283', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142981, NULL, 'PTHR33470:SF39', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(142982, NULL, 'PTHR11232:SF17', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PDZ LIGAND OF NEURONAL NITRIC OXIDE SYNTHASE PROTEIN', NULL, NULL, NULL, 15),
(142983, NULL, 'PTHR16172:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142984, NULL, 'PTHR31893:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 151B', NULL, NULL, NULL, 15),
(142985, NULL, 'PTHR11654:SF163', NULL, NULL, NULL, NULL, 'OS02G0699000 PROTEIN', NULL, NULL, NULL, 15),
(142986, NULL, 'PTHR47926:SF60', NULL, NULL, NULL, NULL, 'BNAA09G30350D PROTEIN', NULL, NULL, NULL, 15),
(142987, NULL, 'PTHR45613:SF70', NULL, NULL, NULL, NULL, 'CRP1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(142988, NULL, 'PTHR42760:SF70', NULL, NULL, NULL, NULL, 'BLL4164 PROTEIN', NULL, NULL, NULL, 15),
(142989, NULL, 'PTHR43888:SF31', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY A MEMBER 2', NULL, NULL, NULL, 15),
(142990, NULL, 'PTHR46502', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(142991, NULL, 'PTHR14248:SF18', NULL, NULL, NULL, NULL, 'CYCLIN Y, ISOFORM A', NULL, NULL, NULL, 15),
(142992, NULL, 'PTHR33170:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(142993, NULL, 'PTHR24281:SF137', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A6', NULL, NULL, NULL, 15),
(142994, NULL, 'PTHR46668', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN AND ANKYRIN REPEAT-CONTAINING PROTEIN NH5.2', NULL, NULL, 36856, 15),
(142995, NULL, 'PTHR24056:SF472', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 4, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(142996, NULL, 'PTHR46741:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(142997, NULL, 'PTHR46086:SF18', NULL, NULL, NULL, NULL, 'OSJNBA0071I13.19 PROTEIN', NULL, NULL, NULL, 15),
(142998, NULL, 'PTHR31051', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 3', NULL, NULL, 19039, 15),
(142999, NULL, 'PTHR46093:SF9', NULL, NULL, NULL, NULL, 'LATE TERMINATION', NULL, NULL, NULL, 15),
(143000, NULL, 'PTHR31677:SF126', NULL, NULL, NULL, NULL, 'BNAA01G34910D PROTEIN', NULL, NULL, NULL, 15),
(143001, NULL, 'PTHR46446:SF29', NULL, NULL, NULL, NULL, 'BNAA09G29410D PROTEIN', NULL, NULL, NULL, 15),
(143002, NULL, 'PTHR31225:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143003, NULL, 'PTHR24349:SF361', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 3', NULL, NULL, NULL, 15),
(143004, NULL, 'PTHR28578:SF2', NULL, NULL, NULL, NULL, 'MITOTIC-SPINDLE ORGANIZING PROTEIN 2A-RELATED', NULL, NULL, NULL, 15),
(143005, NULL, 'PTHR22883:SF267', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(143006, NULL, 'PTHR24364', NULL, NULL, NULL, NULL, 'LP06937P', NULL, NULL, NULL, 15),
(143007, NULL, 'PTHR45719:SF26', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14B', NULL, NULL, NULL, 15),
(143008, NULL, 'PTHR15993:SF6', NULL, NULL, NULL, NULL, 'HEMOGEN', NULL, NULL, NULL, 15),
(143009, NULL, 'PTHR44668:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7C-B', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143010, NULL, 'PTHR46754:SF7', NULL, NULL, NULL, NULL, 'BNAC02G02640D PROTEIN', NULL, NULL, NULL, 15),
(143011, NULL, 'PTHR46128:SF254', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(143012, NULL, 'PTHR41287:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YMFN', NULL, NULL, NULL, 15),
(143013, NULL, 'PTHR33321:SF12', NULL, NULL, NULL, NULL, 'PLANT BASIC SECRETORY PROTEIN (BSP) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(143014, NULL, 'PTHR20855:SF103', NULL, NULL, NULL, NULL, 'HEPTAHELICAL TRANSMEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(143015, NULL, 'PTHR12348:SF16', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 3', NULL, NULL, NULL, 15),
(143016, NULL, 'PTHR43895:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STK11', NULL, NULL, NULL, 15),
(143017, NULL, 'PTHR40781:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143018, NULL, 'PTHR47925:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143019, NULL, 'PTHR32481:SF6', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(143020, NULL, 'PTHR46120', NULL, NULL, NULL, NULL, 'BETAINE--HOMOCYSTEINE S-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(143021, NULL, 'PTHR10751:SF106', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 1, INTERFERON-INDUCIBLE', NULL, NULL, NULL, 15),
(143022, NULL, 'PTHR10791:SF119', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(143023, NULL, 'PTHR31239:SF2', NULL, NULL, NULL, NULL, 'NICOLIN-1', NULL, NULL, NULL, 15),
(143024, NULL, 'PTHR11629:SF97', NULL, NULL, NULL, NULL, 'BNAA08G07830D PROTEIN', NULL, NULL, NULL, 15),
(143025, NULL, 'PTHR31920:SF68', NULL, NULL, NULL, NULL, 'BNAA01G07630D PROTEIN', NULL, NULL, NULL, 15),
(143026, NULL, 'PTHR32018:SF39', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-RELATED', NULL, NULL, NULL, 15),
(143027, NULL, 'PTHR31865:SF54', NULL, NULL, NULL, NULL, 'BNAA08G11680D PROTEIN', NULL, NULL, NULL, 15),
(143028, NULL, 'PTHR11461:SF130', NULL, NULL, NULL, NULL, 'SERPIN 85F', NULL, NULL, NULL, 15),
(143029, NULL, 'PTHR23301:SF78', NULL, NULL, NULL, NULL, 'PROTEIN CBG16847', NULL, NULL, NULL, 15),
(143030, NULL, 'PTHR45717:SF44', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(143031, NULL, 'PTHR34493:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG18576', NULL, NULL, NULL, 15),
(143032, NULL, 'PTHR31374:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143033, NULL, 'PTHR31079:SF36', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 73', NULL, NULL, NULL, 15),
(143034, NULL, 'PTHR48011:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143035, NULL, 'PTHR11406:SF23', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(143036, NULL, 'PTHR15184:SF57', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(143037, NULL, 'PTHR31829:SF2', NULL, NULL, NULL, NULL, 'PYRIDOXAL 5''-PHOSPHATE SYNTHASE-LIKE SUBUNIT PDX1.2', NULL, NULL, NULL, 15),
(143038, NULL, 'PTHR15907:SF166', NULL, NULL, NULL, NULL, 'BNAA02G11260D PROTEIN', NULL, NULL, NULL, 15),
(143039, NULL, 'PTHR30349:SF70', NULL, NULL, NULL, NULL, 'PROPHAGE INTEGRASE INTD', NULL, NULL, NULL, 15),
(143040, NULL, 'PTHR44083:SF2', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(143041, NULL, 'PTHR39352:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01542', NULL, NULL, NULL, 15),
(143042, NULL, 'PTHR33279:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143043, NULL, 'PTHR36706:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(143044, NULL, 'PTHR10209:SF753', NULL, NULL, NULL, NULL, 'FERULOYL COA ORTHO-HYDROXYLASE 2-LIKE', NULL, NULL, NULL, 15),
(143045, NULL, 'PTHR35665:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LKAAEAR1', NULL, NULL, NULL, 15),
(143046, NULL, 'PTHR31884:SF12', NULL, NULL, NULL, NULL, 'ENDOPOLYGALACTURONASE AN8327', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143047, NULL, 'PTHR32093:SF137', NULL, NULL, NULL, NULL, 'BNAC08G41590D PROTEIN', NULL, NULL, NULL, 15),
(143048, NULL, 'PTHR46641:SF11', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR DAF-37', NULL, NULL, NULL, 15),
(143049, NULL, 'PTHR46011:SF11', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(143050, NULL, 'PTHR21712:SF36', NULL, NULL, NULL, NULL, 'FHA DOMAIN-CONTAINING PROTEIN FHA2', NULL, NULL, NULL, 15),
(143051, NULL, 'PTHR23423:SF73', NULL, NULL, NULL, NULL, 'PROTEIN LAZ1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(143052, NULL, 'PTHR46175:SF4', NULL, NULL, NULL, NULL, 'BACTERIOOPSIN TRANSCRIPTIONAL ACTIVATOR', NULL, NULL, NULL, 15),
(143053, NULL, 'PTHR46879:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-242E8.1-RELATED', NULL, NULL, NULL, 15),
(143054, NULL, 'PTHR43201:SF10', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE/LIGASE', NULL, NULL, NULL, 15),
(143055, NULL, 'PTHR11675:SF111', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(143056, NULL, 'PTHR11710:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S19-3', NULL, NULL, NULL, 15),
(143057, NULL, 'PTHR10794:SF78', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN-CONTAINING 15A', NULL, NULL, NULL, 15),
(143058, NULL, 'PTHR34591:SF29', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(143059, NULL, 'PTHR46232:SF1', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY E MEMBER 1', NULL, NULL, NULL, 15),
(143060, NULL, 'PTHR11844:SF20', NULL, NULL, NULL, NULL, 'METALLOPROTEINASE INHIBITOR 1', NULL, NULL, 17726, 15),
(143061, NULL, 'PTHR23201:SF112', NULL, NULL, NULL, NULL, 'GIBBERELLIN REGULATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143062, NULL, 'PTHR24071:SF29', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN1', NULL, NULL, NULL, 15),
(143063, NULL, 'PTHR42760:SF103', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDR', NULL, NULL, NULL, 15),
(143064, NULL, 'PTHR47764:SF6', NULL, NULL, NULL, NULL, 'ULP1 PROTEASE FAMILY, CARBOXY-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(143065, NULL, 'PTHR10012:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A ACTIVATOR 1', NULL, NULL, NULL, 15),
(143066, NULL, 'PTHR45979:SF5', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(143067, NULL, 'PTHR44259:SF14', NULL, NULL, NULL, NULL, 'BNAANNG26920D PROTEIN', NULL, NULL, NULL, 15),
(143068, NULL, 'PTHR47982:SF9', NULL, NULL, NULL, NULL, 'PROTEIN KINASE APK1A, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(143069, NULL, 'PTHR31722:SF34', NULL, NULL, NULL, NULL, 'F1O19.11 PROTEIN', NULL, NULL, NULL, 15),
(143070, NULL, 'PTHR23354:SF115', NULL, NULL, NULL, NULL, 'MUSTARD, ISOFORM V', NULL, NULL, NULL, 15),
(143071, NULL, 'PTHR35546:SF9', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(143072, NULL, 'PTHR33377:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143073, NULL, 'PTHR46310:SF5', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PROTEIN 64, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(143074, NULL, 'PTHR12920:SF4', NULL, NULL, NULL, NULL, 'GEO03726P1', NULL, NULL, NULL, 15),
(143075, NULL, 'PTHR24370:SF11', NULL, NULL, NULL, NULL, 'OPTICIN', NULL, NULL, NULL, 15),
(143076, NULL, 'PTHR31388:SF186', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(143077, NULL, 'PTHR24296:SF88', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 704 SUBFAMILY A POLYPEPTIDE 2', NULL, NULL, NULL, 15),
(143078, NULL, 'PTHR45707:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143079, NULL, 'PTHR43272:SF83', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 9, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(143080, NULL, 'PTHR48106:SF15', NULL, NULL, NULL, NULL, 'BLL4791 PROTEIN', NULL, NULL, NULL, 15),
(143081, NULL, 'PTHR11654:SF151', NULL, NULL, NULL, NULL, 'OS01G0871500 PROTEIN', NULL, NULL, NULL, 15),
(143082, NULL, 'PTHR21535:SF90', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143083, NULL, 'PTHR32444:SF141', NULL, NULL, NULL, NULL, 'OS05G0163500 PROTEIN', NULL, NULL, NULL, 15),
(143084, NULL, 'PTHR35735:SF6', NULL, NULL, NULL, NULL, 'NIMIN2C PROTEIN', NULL, NULL, NULL, 15),
(143085, NULL, 'PTHR47965:SF37', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143086, NULL, 'PTHR46889:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSF FOR INSERTION SEQUENCE IS3B', NULL, NULL, 33440, 15),
(143087, NULL, 'PTHR43685:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE EPSE-RELATED', NULL, NULL, NULL, 15),
(143088, NULL, 'PTHR21310:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143089, NULL, 'PTHR48053:SF18', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(143090, NULL, 'PTHR11814:SF80', NULL, NULL, NULL, NULL, 'SULFATE PERMEASE 2', NULL, NULL, NULL, 15),
(143091, NULL, 'PTHR33333:SF29', NULL, NULL, NULL, NULL, 'BNAA06G39790D PROTEIN', NULL, NULL, NULL, 15),
(143092, NULL, 'PTHR26379:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143093, NULL, 'PTHR13466:SF16', NULL, NULL, NULL, NULL, 'BNACNNG50280D PROTEIN', NULL, NULL, NULL, 15),
(143094, NULL, 'PTHR23120:SF3', NULL, NULL, NULL, NULL, 'MCG2797', NULL, NULL, NULL, 15),
(143095, NULL, 'PTHR12389', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 294', NULL, NULL, 33843, 15),
(143096, NULL, 'PTHR14186:SF22', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 7', NULL, NULL, NULL, 15),
(143097, NULL, 'PTHR39072:SF3', NULL, NULL, NULL, NULL, 'RE48511P', NULL, NULL, NULL, 15),
(143098, NULL, 'PTHR23257:SF764', NULL, NULL, NULL, NULL, 'OS02G0174200 PROTEIN', NULL, NULL, NULL, 15),
(143099, NULL, 'PTHR42709:SF8', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE LIKE PROTEIN', NULL, NULL, NULL, 15),
(143100, NULL, 'PTHR13742:SF17', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(143101, NULL, 'PTHR44156:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 55', NULL, NULL, NULL, 15),
(143102, NULL, 'PTHR31769:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143103, NULL, 'PTHR47991:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 2-LIKE', NULL, NULL, NULL, 15),
(143104, NULL, 'PTHR45631:SF82', NULL, NULL, NULL, NULL, 'BNAA06G02050D PROTEIN', NULL, NULL, NULL, 15),
(143105, NULL, 'PTHR46823', NULL, NULL, NULL, NULL, 'CALCINEURIN B HOMOLOGOUS PROTEIN 3', NULL, NULL, NULL, 15),
(143106, NULL, 'PTHR23115:SF268', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(143107, NULL, 'PTHR11652:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143108, NULL, 'PTHR24225:SF16', NULL, NULL, NULL, NULL, 'N-FORMYL PEPTIDE RECEPTOR 3', NULL, NULL, 27193, 15),
(143109, NULL, 'PTHR44533:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX60-RELATED', NULL, NULL, NULL, 15),
(143110, NULL, 'PTHR46236', NULL, NULL, NULL, NULL, 'TRAF-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(143111, NULL, 'PTHR31914', NULL, NULL, NULL, NULL, 'PROTEIN FAM163A', NULL, NULL, 34934, 15),
(143112, NULL, 'PTHR11909:SF139', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM ALPHA-LIKE', NULL, NULL, NULL, 15),
(143113, NULL, 'PTHR47932:SF15', NULL, NULL, NULL, NULL, 'OS02G0266200 PROTEIN', NULL, NULL, NULL, 15),
(143114, NULL, 'PTHR43180:SF57', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(143115, NULL, 'PTHR13220', NULL, NULL, NULL, NULL, 'TIMELESS INTERACTING-RELATED', NULL, NULL, 30262, 15),
(143116, NULL, 'PTHR24269:SF15', NULL, NULL, NULL, NULL, 'KREMEN PROTEIN 2', NULL, NULL, NULL, 15),
(143117, NULL, 'PTHR46929:SF19', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(143118, NULL, 'PTHR47972:SF29', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14G', NULL, NULL, NULL, 15),
(143119, NULL, 'PTHR47976:SF39', NULL, NULL, NULL, NULL, 'OS01G0223900 PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143120, NULL, 'PTHR14002:SF40', NULL, NULL, NULL, NULL, 'UROMODULIN', NULL, NULL, NULL, 15),
(143121, NULL, 'PTHR27001:SF638', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143122, NULL, 'PTHR10585:SF63', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR C28H8.4-RELATED', NULL, NULL, NULL, 15),
(143123, NULL, 'PTHR47285', NULL, NULL, NULL, NULL, 'PROTEIN TIC 62, CHLOROPLASTIC', NULL, NULL, 38000, 15),
(143124, NULL, 'PTHR33673:SF19', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN Q', NULL, NULL, NULL, 15),
(143125, NULL, 'PTHR10219:SF70', NULL, NULL, NULL, NULL, 'SI:CH73-269M23.5', NULL, NULL, NULL, 15),
(143126, NULL, 'PTHR32285:SF29', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE RELATED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(143127, NULL, 'PTHR11759:SF50', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S11-RELATED', NULL, NULL, NULL, 15),
(143128, NULL, 'PTHR11732:SF463', NULL, NULL, NULL, NULL, 'METHYLECGONONE REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(143129, NULL, 'PTHR46831', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 19', NULL, NULL, 27467, 15),
(143130, NULL, 'PTHR42861:SF51', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(143131, NULL, 'PTHR36886', NULL, NULL, NULL, NULL, 'PROTEIN FRIGIDA-ESSENTIAL 1', NULL, NULL, NULL, 15),
(143132, NULL, 'PTHR11594:SF8', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', NULL, NULL, NULL, 15),
(143133, NULL, 'PTHR10715:SF14', NULL, NULL, NULL, NULL, 'BNAA09G44520D PROTEIN', NULL, NULL, NULL, 15),
(143134, NULL, 'PTHR11412:SF139', NULL, NULL, NULL, NULL, 'C3 AND PZP-LIKE ALPHA-2-MACROGLOBULIN DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(143135, NULL, 'PTHR31663:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143136, NULL, 'PTHR43188:SF8', NULL, NULL, NULL, NULL, 'OS01G0159400 PROTEIN', NULL, NULL, NULL, 15),
(143137, NULL, 'PTHR13580:SF13', NULL, NULL, NULL, NULL, 'CYSTEINE/SERINE-RICH NUCLEAR PROTEIN 3', NULL, NULL, NULL, 15),
(143138, NULL, 'PTHR12146:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10-1-RELATED', NULL, NULL, NULL, 15),
(143139, NULL, 'PTHR12629:SF61', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 16, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(143140, NULL, 'PTHR11177:SF368', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(143141, NULL, 'PTHR11562:SF30', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 3', NULL, NULL, NULL, 15),
(143142, NULL, 'PTHR24408:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 21', NULL, NULL, NULL, 15),
(143143, NULL, 'PTHR31549:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143144, NULL, 'PTHR15730', NULL, NULL, NULL, NULL, 'EXPERIMENTAL AUTOIMMUNE PROSTATITIS ANTIGEN 2-RELATED', NULL, NULL, NULL, 15),
(143145, NULL, 'PTHR12565:SF335', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BEE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(143146, NULL, 'PTHR34201:SF10', NULL, NULL, NULL, NULL, 'BNAA08G02590D PROTEIN', NULL, NULL, NULL, 15),
(143147, NULL, 'PTHR12087', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 4', NULL, NULL, 16443, 15),
(143148, NULL, 'PTHR15678:SF6', NULL, NULL, NULL, NULL, 'PROTEIN KIAA0100', NULL, NULL, NULL, 15),
(143149, NULL, 'PTHR10108:SF1092', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT5-RELATED', NULL, NULL, NULL, 15),
(143150, NULL, 'PTHR11274', NULL, NULL, NULL, NULL, 'RAD25/XP-B DNA REPAIR HELICASE', NULL, NULL, NULL, 15),
(143151, NULL, 'PTHR11545:SF25', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(143152, NULL, 'PTHR16228:SF25', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 41 MEMBER 2', NULL, NULL, NULL, 15),
(143153, NULL, 'PTHR45786:SF33', NULL, NULL, NULL, NULL, 'BNAANNG24630D PROTEIN', NULL, NULL, NULL, 15),
(143154, NULL, 'PTHR21588:SF2', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC19', NULL, NULL, NULL, 15),
(143155, NULL, 'PTHR30303:SF0', NULL, NULL, NULL, NULL, 'CARBAMOYL DEHYDRATASE HYPE', NULL, NULL, NULL, 15),
(143156, NULL, 'PTHR24356:SF176', NULL, NULL, NULL, NULL, 'RAC-BETA SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143157, NULL, 'PTHR33356:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143158, NULL, 'PTHR11570:SF21', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME 1', NULL, NULL, NULL, 15),
(143159, NULL, 'PTHR31528:SF1', NULL, NULL, NULL, NULL, '4-AMINO-5-HYDROXYMETHYL-2-METHYLPYRIMIDINE PHOSPHATE SYNTHASE THI11-RELATED', NULL, NULL, NULL, 15),
(143160, NULL, 'PTHR38487', NULL, NULL, NULL, NULL, 'TESTIS EXPRESSED 11', NULL, NULL, NULL, 15),
(143161, NULL, 'PTHR31734:SF187', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(143162, NULL, 'PTHR11006:SF103', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 1.2-RELATED', NULL, NULL, NULL, 15),
(143163, NULL, 'PTHR10517', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR', NULL, NULL, 3913, 15),
(143164, NULL, 'PTHR42881', NULL, NULL, NULL, NULL, 'PROLYL ENDOPEPTIDASE', NULL, NULL, NULL, 15),
(143165, NULL, 'PTHR31010', NULL, NULL, NULL, NULL, 'RAN-SPECIFIC GTPASE-ACTIVATING PROTEIN 30-RELATED', NULL, NULL, 14292, 15),
(143166, NULL, 'PTHR45658:SF36', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 17-RELATED', NULL, NULL, NULL, 15),
(143167, NULL, 'PTHR35547:SF5', NULL, NULL, NULL, NULL, 'OS06G0249100 PROTEIN', NULL, NULL, NULL, 15),
(143168, NULL, 'PTHR13904:SF4', NULL, NULL, NULL, NULL, 'BNAC02G45720D PROTEIN', NULL, NULL, NULL, 15),
(143169, NULL, 'PTHR31442:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143170, NULL, 'PTHR12542:SF25', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(143171, NULL, 'PTHR33147:SF75', NULL, NULL, NULL, NULL, 'KNOTTIN, SCORPION TOXIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143172, NULL, 'PTHR46151:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143173, NULL, 'PTHR28242:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143174, NULL, 'PTHR33198:SF9', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(143175, NULL, 'PTHR33167:SF45', NULL, NULL, NULL, NULL, 'BNAC02G16680D PROTEIN', NULL, NULL, NULL, 15),
(143176, NULL, 'PTHR31374:SF209', NULL, NULL, NULL, NULL, 'AUXIN RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(143177, NULL, 'PTHR32227:SF270', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 17 PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(143178, NULL, 'PTHR45648:SF91', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143179, NULL, 'PTHR43245:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(143180, NULL, 'PTHR10390:SF29', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX2', NULL, NULL, NULL, 15),
(143181, NULL, 'PTHR43396:SF3', NULL, NULL, NULL, NULL, 'FLAVOHEMOPROTEIN', NULL, NULL, 19897, 15),
(143182, NULL, 'PTHR12640', NULL, NULL, NULL, NULL, 'RIBOPHORIN II', NULL, NULL, 14235, 15),
(143183, NULL, 'PTHR43005:SF1', NULL, NULL, NULL, NULL, 'BLR7065 PROTEIN', NULL, NULL, NULL, 15),
(143184, NULL, 'PTHR11905:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143185, NULL, 'PTHR46326:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0010H02.11 PROTEIN', NULL, NULL, NULL, 15),
(143186, NULL, 'PTHR11139:SF68', NULL, NULL, NULL, NULL, 'DNA-DEPENDENT PROTEIN KINASE CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(143187, NULL, 'PTHR22956:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG15322', NULL, NULL, NULL, 15),
(143188, NULL, 'PTHR10791:SF64', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 13-LIKE', NULL, NULL, NULL, 15),
(143189, NULL, 'PTHR24291:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143190, NULL, 'PTHR45693:SF40', NULL, NULL, NULL, NULL, 'FACTOR TGA7, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(143191, NULL, 'PTHR19972:SF4', NULL, NULL, NULL, NULL, 'CALRETININ', NULL, NULL, 26299, 15),
(143192, NULL, 'PTHR17068:SF2', NULL, NULL, NULL, NULL, 'ZGC:77748', NULL, NULL, NULL, 15),
(143193, NULL, 'PTHR32432', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSA-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143194, NULL, 'PTHR11709:SF374', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(143195, NULL, 'PTHR33785:SF6', NULL, NULL, NULL, NULL, 'BNAC03G69450D PROTEIN', NULL, NULL, NULL, 15),
(143196, NULL, 'PTHR11863:SF197', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 1-2', NULL, NULL, NULL, 15),
(143197, NULL, 'PTHR23187:SF1', NULL, NULL, NULL, NULL, 'ELONGIN BC AND POLYCOMB REPRESSIVE COMPLEX 2-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(143198, NULL, 'PTHR27009:SF142', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(143199, NULL, 'PTHR23326:SF24', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX, SUBUNIT 3A', NULL, NULL, NULL, 15),
(143200, NULL, 'PTHR24056:SF478', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', NULL, NULL, NULL, 15),
(143201, NULL, 'PTHR10627:SF59', NULL, NULL, NULL, NULL, 'BICAUDAL C HOMOLOG 2', NULL, NULL, NULL, 15),
(143202, NULL, 'PTHR44170:SF6', NULL, NULL, NULL, NULL, 'PROTEIN SIDEKICK', NULL, NULL, NULL, 15),
(143203, NULL, 'PTHR45768:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(143204, NULL, 'PTHR10641:SF1241', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(143205, NULL, 'PTHR10566', NULL, NULL, NULL, NULL, 'CHAPERONE-ACTIVITY OF BC1 COMPLEX  CABC1 -RELATED', NULL, NULL, NULL, 15),
(143206, NULL, 'PTHR39069', NULL, NULL, NULL, NULL, 'ECDYSONE-INDUCIBLE GENE E1, ISOFORM A', NULL, NULL, NULL, 15),
(143207, NULL, 'PTHR45228:SF4', NULL, NULL, NULL, NULL, '3''3''-CGAMP-SPECIFIC PHOSPHODIESTERASE 3', NULL, NULL, NULL, 15),
(143208, NULL, 'PTHR47465:SF4', NULL, NULL, NULL, NULL, 'REPRODUCTIVE HOMEOBOX 3A-RELATED', NULL, NULL, 33805, 15),
(143209, NULL, 'PTHR23320:SF51', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 15', NULL, NULL, NULL, 15),
(143210, NULL, 'PTHR10783:SF87', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 3', NULL, NULL, NULL, 15),
(143211, NULL, 'PTHR31465:SF33', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01310)-RELATED', NULL, NULL, NULL, 15),
(143212, NULL, 'PTHR23147:SF194', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SR30', NULL, NULL, NULL, 15),
(143213, NULL, 'PTHR39207:SF1', NULL, NULL, NULL, NULL, 'ALPHA-GLUCURONIDASE A', NULL, NULL, NULL, 15),
(143214, NULL, 'PTHR13683:SF806', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(143215, NULL, 'PTHR14152', NULL, NULL, NULL, NULL, 'SQUAMOUS CELL CARCINOMA ANTIGEN RECOGNISED BY CYTOTOXIC T LYMPHOCYTES', NULL, NULL, 705, 15),
(143216, NULL, 'PTHR27006:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143217, NULL, 'PTHR48049:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(143218, NULL, 'PTHR10801:SF12', NULL, NULL, NULL, NULL, 'NANA2-LIKE1', NULL, NULL, NULL, 15),
(143219, NULL, 'PTHR10880:SF29', NULL, NULL, NULL, NULL, 'MORTALITY FACTOR 4-LIKE PROTEIN 1', NULL, NULL, 36310, 15),
(143220, NULL, 'PTHR11566:SF60', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 1B', NULL, NULL, NULL, 15),
(143221, NULL, 'PTHR16223:SF212', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH85', NULL, NULL, NULL, 15),
(143222, NULL, 'PTHR22791:SF22', NULL, NULL, NULL, NULL, 'SI:CH73-335L21.2', NULL, NULL, NULL, 15),
(143223, NULL, 'PTHR47993:SF57', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(143224, NULL, 'PTHR10671:SF25', NULL, NULL, NULL, NULL, 'LENS INTRINSIC MEMBRANE PROTEIN 2.1-RELATED', NULL, NULL, NULL, 15),
(143225, NULL, 'PTHR11537:SF40', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY V MEMBER 2', NULL, NULL, NULL, 15),
(143226, NULL, 'PTHR42898:SF66', NULL, NULL, NULL, NULL, 'BNAC04G14050D PROTEIN', NULL, NULL, NULL, 15),
(143227, NULL, 'PTHR36783:SF2', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 17.9 KDA PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(143228, NULL, 'PTHR10279:SF10', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE ANTIZYME', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143229, NULL, 'PTHR12411:SF748', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143230, NULL, 'PTHR31642:SF234', NULL, NULL, NULL, NULL, 'BAHD FAMILY ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(143231, NULL, 'PTHR11165:SF55', NULL, NULL, NULL, NULL, 'SKP1 RELATED (UBIQUITIN LIGASE COMPLEX COMPONENT)', NULL, NULL, NULL, 15),
(143232, NULL, 'PTHR10585:SF68', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR', NULL, NULL, NULL, 15),
(143233, NULL, 'PTHR21516', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(143234, NULL, 'PTHR31561:SF31', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(143235, NULL, 'PTHR14217:SF30', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', NULL, NULL, NULL, 15),
(143236, NULL, 'PTHR31739:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143237, NULL, 'PTHR42743:SF3', NULL, NULL, NULL, NULL, 'AMINODEOXYCHORISMATE LYASE-RELATED', NULL, NULL, NULL, 15),
(143238, NULL, 'PTHR31157:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143239, NULL, 'PTHR10845:SF257', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN-SIGNALING 1', NULL, NULL, NULL, 15),
(143240, NULL, 'PTHR45615:SF7', NULL, NULL, NULL, NULL, 'MYOSIN-3', NULL, NULL, NULL, 15),
(143241, NULL, 'PTHR23050:SF224', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(143242, NULL, 'PTHR13382:SF27', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP14-LIKE', NULL, NULL, NULL, 15),
(143243, NULL, 'PTHR10131:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143244, NULL, 'PTHR31062:SF116', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(143245, NULL, 'PTHR47926:SF264', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143246, NULL, 'PTHR12011:SF444', NULL, NULL, NULL, NULL, 'METHUSELAH (DROSOPHILA AGING-ASSOCIATED GPCR) HOMOLOG', NULL, NULL, NULL, 15),
(143247, NULL, 'PTHR23004', NULL, NULL, NULL, NULL, 'DOUBLECORTIN DOMAIN CONTAINING 2', NULL, NULL, NULL, 15),
(143248, NULL, 'PTHR24299:SF38', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(143249, NULL, 'PTHR21032:SF2', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN ARS2, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14710)-RELATED', NULL, NULL, NULL, 15),
(143250, NULL, 'PTHR27004:SF385', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(143251, NULL, 'PTHR33095:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143252, NULL, 'PTHR11632:SF73', NULL, NULL, NULL, NULL, 'BLR3196 PROTEIN', NULL, NULL, NULL, 15),
(143253, NULL, 'PTHR16064', NULL, NULL, NULL, NULL, 'BTB  POZ  DOMAIN CONTAINING 7', NULL, NULL, 39055, 15),
(143254, NULL, 'PTHR42923:SF10', NULL, NULL, NULL, NULL, 'FLAVIN CONTAINING AMINE OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(143255, NULL, 'PTHR15160', NULL, NULL, NULL, NULL, 'VON HIPPEL-LINDAU PROTEIN', NULL, NULL, NULL, 15),
(143256, NULL, 'PTHR46114:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143257, NULL, 'PTHR33511:SF29', NULL, NULL, NULL, NULL, 'BNAUNNG01380D PROTEIN', NULL, NULL, NULL, 15),
(143258, NULL, 'PTHR11909:SF394', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE 7-RELATED', NULL, NULL, NULL, 15),
(143259, NULL, 'PTHR31718:SF49', NULL, NULL, NULL, NULL, 'BNAA04G12670D PROTEIN', NULL, NULL, NULL, 15),
(143260, NULL, 'PTHR47430:SF4', NULL, NULL, NULL, NULL, 'GB|AAC33480.1', NULL, NULL, NULL, 15),
(143261, NULL, 'PTHR31576', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT B', NULL, NULL, 32337, 15),
(143262, NULL, 'PTHR30381', NULL, NULL, NULL, NULL, 'FLAGELLAR P-RING PERIPLASMIC PROTEIN FLGI', NULL, NULL, 3046, 15),
(143263, NULL, 'PTHR10986:SF24', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L20', NULL, NULL, NULL, 15),
(143264, NULL, 'PTHR24211:SF17', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143265, NULL, 'PTHR24068:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143266, NULL, 'PTHR19375:SF428', NULL, NULL, NULL, NULL, 'BNAA03G17100D PROTEIN', NULL, NULL, NULL, 15),
(143267, NULL, 'PTHR18952:SF243', NULL, NULL, NULL, NULL, 'OS04G0412500 PROTEIN', NULL, NULL, NULL, 15),
(143268, NULL, 'PTHR31117:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KREG-1', NULL, NULL, NULL, 15),
(143269, NULL, 'PTHR24228:SF54', NULL, NULL, NULL, NULL, 'MELATONIN RECEPTOR TYPE 1B', NULL, NULL, NULL, 15),
(143270, NULL, 'PTHR24329:SF537', NULL, NULL, NULL, NULL, 'Q50 PAIRED-LIKE HOMEODOMAIN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(143271, NULL, 'PTHR10795:SF666', NULL, NULL, NULL, NULL, 'BNAA06G34890D PROTEIN', NULL, NULL, NULL, 15),
(143272, NULL, 'PTHR31429:SF79', NULL, NULL, NULL, NULL, 'BNACNNG05780D PROTEIN', NULL, NULL, NULL, 15),
(143273, NULL, 'PTHR34260', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME-C REDUCTASE COMPLEX ASSEMBLY FACTOR 2', NULL, NULL, 30720, 15),
(143274, NULL, 'PTHR28457:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO 4930578I06RIK PROTEIN', NULL, NULL, NULL, 15),
(143275, NULL, 'PTHR48002:SF126', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(143276, NULL, 'PTHR27006:SF369', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143277, NULL, 'PTHR13396:SF3', NULL, NULL, NULL, NULL, 'NEDD4 FAMILY-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(143278, NULL, 'PTHR32009:SF88', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(143279, NULL, 'PTHR28199:SF1', NULL, NULL, NULL, NULL, 'PROCESSING OF GAS1 AND ALP PROTEIN 2', NULL, NULL, NULL, 15),
(143280, NULL, 'PTHR10408:SF18', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(143281, NULL, 'PTHR11802:SF344', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(143282, NULL, 'PTHR33869:SF15', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 1', NULL, NULL, 29745, 15),
(143283, NULL, 'PTHR10366:SF708', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(143284, NULL, 'PTHR45739:SF5', NULL, NULL, NULL, NULL, 'FRAS1-RELATED EXTRACELLULAR MATRIX PROTEIN 3', NULL, NULL, 26696, 15),
(143285, NULL, 'PTHR45712:SF11', NULL, NULL, NULL, NULL, 'BIGLYCAN', NULL, NULL, 25680, 15),
(143286, NULL, 'PTHR14221:SF45', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143287, NULL, 'PTHR42971:SF1', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE(34)-2''-O)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(143288, NULL, 'PTHR31589:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143289, NULL, 'PTHR43201:SF20', NULL, NULL, NULL, NULL, 'MALONATE--COA LIGASE-LIKE', NULL, NULL, NULL, 15),
(143290, NULL, 'PTHR10131:SF83', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR 5', NULL, NULL, 26597, 15),
(143291, NULL, 'PTHR34185:SF3', NULL, NULL, NULL, NULL, 'DNA INTEGRITY SCANNING PROTEIN DISA', NULL, NULL, NULL, 15),
(143292, NULL, 'PTHR43252:SF4', NULL, NULL, NULL, NULL, 'NEGATIVE TRANSCRIPTION REGULATOR PADR', NULL, NULL, NULL, 15),
(143293, NULL, 'PTHR47293:SF38', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(143294, NULL, 'PTHR31246:SF15', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-1', NULL, NULL, NULL, 15),
(143295, NULL, 'PTHR31476:SF9', NULL, NULL, NULL, NULL, 'PROTEIN ROOT PRIMORDIUM DEFECTIVE 1', NULL, NULL, 34598, 15),
(143296, NULL, 'PTHR43272:SF62', NULL, NULL, NULL, NULL, 'LONG-CHAIN FATTY ACYL COA LIGASE', NULL, NULL, NULL, 15),
(143297, NULL, 'PTHR12947:SF8', NULL, NULL, NULL, NULL, 'STAM-BINDING PROTEIN', NULL, NULL, NULL, 15),
(143298, NULL, 'PTHR43362:SF1', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE DSF1-RELATED', NULL, NULL, NULL, 15),
(143299, NULL, 'PTHR12947:SF13', NULL, NULL, NULL, NULL, 'AMSH-LIKE UBIQUITIN THIOESTERASE 1', NULL, NULL, NULL, 15),
(143300, NULL, 'PTHR33202:SF19', NULL, NULL, NULL, NULL, 'FERRIC UPTAKE REGULATION PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143301, NULL, 'PTHR43574:SF31', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 2-RELATED', NULL, NULL, NULL, 15),
(143302, NULL, 'PTHR13691:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143303, NULL, 'PTHR47997:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB86', NULL, NULL, NULL, 15),
(143304, NULL, 'PTHR31218:SF183', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(143305, NULL, 'PTHR33172', NULL, NULL, NULL, NULL, 'OS08G0516900 PROTEIN', NULL, NULL, NULL, 15),
(143306, NULL, 'PTHR12019:SF21', NULL, NULL, NULL, NULL, 'THYMOPOIETIN A', NULL, NULL, NULL, 15),
(143307, NULL, 'PTHR11879:SF56', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(143308, NULL, 'PTHR16165:SF25', NULL, NULL, NULL, NULL, 'NXPE FAMILY MEMBER 3-LIKE', NULL, NULL, NULL, 15),
(143309, NULL, 'PTHR23405:SF10', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 7A-LIKE', NULL, NULL, NULL, 15),
(143310, NULL, 'PTHR30157', NULL, NULL, NULL, NULL, 'FERRIC REDUCTASE, NADPH-DEPENDENT', NULL, NULL, 35590, 15),
(143311, NULL, 'PTHR22848:SF2', NULL, NULL, NULL, NULL, 'WD40 REPEAT-CONTAINING PROTEIN SMU1', NULL, NULL, NULL, 15),
(143312, NULL, 'PTHR11153:SF20', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-3', NULL, NULL, NULL, 15),
(143313, NULL, 'PTHR33923:SF2', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143314, NULL, 'PTHR36720:SF1', NULL, NULL, NULL, NULL, 'TAF RNA POLYMERASE I SUBUNIT A', NULL, NULL, NULL, 15),
(143315, NULL, 'PTHR45988:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143316, NULL, 'PTHR11817:SF98', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(143317, NULL, 'PTHR24376:SF175', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 840-RELATED', NULL, NULL, NULL, 15),
(143318, NULL, 'PTHR46087:SF7', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(143319, NULL, 'PTHR43794:SF13', NULL, NULL, NULL, NULL, '5-METHYLTHIOADENOSINE/S-ADENOSYLHOMOCYSTEINE DEAMINASE', NULL, NULL, NULL, 15),
(143320, NULL, 'PTHR46590', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN CSR1-RELATED', NULL, NULL, NULL, 15),
(143321, NULL, 'PTHR19957:SF30', NULL, NULL, NULL, NULL, 'SYNTAXIN-11', NULL, NULL, 23985, 15),
(143322, NULL, 'PTHR11258:SF19', NULL, NULL, NULL, NULL, 'INACTIVE 2''-5''-OLIGOADENYLATE SYNTHASE 1B', NULL, NULL, NULL, 15),
(143323, NULL, 'PTHR28159:SF1', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX II-SPECIFIC SUBUNIT 65', NULL, NULL, NULL, 15),
(143324, NULL, 'PTHR43320:SF2', NULL, NULL, NULL, NULL, '2-DEHYDRO-3-DEOXYGLUCONOKINASE', NULL, NULL, NULL, 15),
(143325, NULL, 'PTHR48049:SF91', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN 3-O-GLUCOSIDE 2''''''-O-XYLOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(143326, NULL, 'PTHR24092:SF193', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 4-RELATED', NULL, NULL, NULL, 15),
(143327, NULL, 'PTHR23503:SF42', NULL, NULL, NULL, NULL, 'FACILITATED GLUCOSE TRANSPORTER HOMOLOG', NULL, NULL, NULL, 15),
(143328, NULL, 'PTHR11615:SF321', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(143329, NULL, 'PTHR33499:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143330, NULL, 'PTHR24103:SF587', NULL, NULL, NULL, NULL, 'RET FINGER PROTEIN LIKE 2', NULL, NULL, NULL, 15),
(143331, NULL, 'PTHR11711:SF146', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 5B', NULL, NULL, NULL, 15),
(143332, NULL, 'PTHR12601:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143333, NULL, 'PTHR16557:SF8', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB', NULL, NULL, NULL, 15),
(143334, NULL, 'PTHR45632:SF7', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 13', NULL, NULL, NULL, 15),
(143335, NULL, 'PTHR42723:SF3', NULL, NULL, NULL, NULL, 'LYCOPENE ELONGASE', NULL, NULL, NULL, 15),
(143336, NULL, 'PTHR31607:SF14', NULL, NULL, NULL, NULL, 'DBJ|BAA95751.1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143337, NULL, 'PTHR43289:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE A', NULL, NULL, NULL, 15),
(143338, NULL, 'PTHR11782:SF89', NULL, NULL, NULL, NULL, 'APYRASE 2', NULL, NULL, NULL, 15),
(143339, NULL, 'PTHR33463', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143340, NULL, 'PTHR28242:SF51', NULL, NULL, NULL, NULL, 'PSEUDO HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(143341, NULL, 'PTHR33147:SF100', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(143342, NULL, 'PTHR45757:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG12165', NULL, NULL, NULL, 15),
(143343, NULL, 'PTHR10844', NULL, NULL, NULL, NULL, 'CAVEOLIN', NULL, NULL, 5129, 15),
(143344, NULL, 'PTHR13734:SF6', NULL, NULL, NULL, NULL, 'BNAA08G02170D PROTEIN', NULL, NULL, NULL, 15),
(143345, NULL, 'PTHR46616:SF5', NULL, NULL, NULL, NULL, 'BNACNNG61230D PROTEIN', NULL, NULL, NULL, 15),
(143346, NULL, 'PTHR46036:SF9', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(143347, NULL, 'PTHR23155:SF864', NULL, NULL, NULL, NULL, 'NBS-LRR TYPE DISEASE RESISTANCE PROTEIN RPG1-B-LIKE', NULL, NULL, NULL, 15),
(143348, NULL, 'PTHR22849:SF16', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(143349, NULL, 'PTHR10502:SF208', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(143350, NULL, 'PTHR42886:SF42', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(143351, NULL, 'PTHR33739:SF5', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 33A', NULL, NULL, NULL, 15),
(143352, NULL, 'PTHR15044:SF0', NULL, NULL, NULL, NULL, 'PRO-FMRFAMIDE-RELATED NEUROPEPTIDE FF', NULL, NULL, NULL, 15),
(143353, NULL, 'PTHR16290:SF18', NULL, NULL, NULL, NULL, 'MRNA-DECAPPING ENZYME-LIKE PROTEIN ISOFORM X1', NULL, NULL, NULL, 15),
(143354, NULL, 'PTHR10015:SF351', NULL, NULL, NULL, NULL, 'HEAT-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(143355, NULL, 'PTHR24064:SF445', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE 2-RELATED PROTEIN', NULL, NULL, NULL, 15),
(143356, NULL, 'PTHR46642:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143357, NULL, 'PTHR33021:SF306', NULL, NULL, NULL, NULL, 'STELLACYANIN-LIKE', NULL, NULL, NULL, 15),
(143358, NULL, 'PTHR31509:SF91', NULL, NULL, NULL, NULL, 'BNAC03G65380D PROTEIN', NULL, NULL, NULL, 15),
(143359, NULL, 'PTHR26453:SF272', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(143360, NULL, 'PTHR47700:SF2', NULL, NULL, NULL, NULL, 'V CHITINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(143361, NULL, 'PTHR36053:SF1', NULL, NULL, NULL, NULL, 'OSJNBB0017I01.18 PROTEIN', NULL, NULL, NULL, 15),
(143362, NULL, 'PTHR30523:SF22', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE 2', NULL, NULL, NULL, 15),
(143363, NULL, 'PTHR33136:SF50', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 33', NULL, NULL, NULL, 15),
(143364, NULL, 'PTHR31343:SF25', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(143365, NULL, 'PTHR10314:SF194', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE 1', NULL, NULL, NULL, 15),
(143366, NULL, 'PTHR31744:SF150', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUNGBRUNNEN 1-LIKE', NULL, NULL, NULL, 15),
(143367, NULL, 'PTHR15481', NULL, NULL, NULL, NULL, 'RIBONUCLEIC ACID BINDING PROTEIN S1', NULL, NULL, NULL, 15),
(143368, NULL, 'PTHR12137:SF6', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 9', NULL, NULL, NULL, 15),
(143369, NULL, 'PTHR35593', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143370, NULL, 'PTHR31210:SF43', NULL, NULL, NULL, NULL, 'STORAGE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143371, NULL, 'PTHR45621:SF48', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PCRK2', NULL, NULL, NULL, 15),
(143372, NULL, 'PTHR12431:SF15', NULL, NULL, NULL, NULL, 'SORTING NEXIN-31', NULL, NULL, NULL, 15),
(143373, NULL, 'PTHR24410:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143374, NULL, 'PTHR33129:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143375, NULL, 'PTHR42711:SF1', NULL, NULL, NULL, NULL, 'ABC-TRANSPORT PROTEIN, ATP-BINDING COMPONENT-RELATED', NULL, NULL, NULL, 15),
(143376, NULL, 'PTHR16223:SF208', NULL, NULL, NULL, NULL, 'BNAA08G11400D PROTEIN', NULL, NULL, NULL, 15),
(143377, NULL, 'PTHR22891:SF57', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 1D', NULL, NULL, NULL, 15),
(143378, NULL, 'PTHR31379:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG11209', NULL, NULL, NULL, 15),
(143379, NULL, 'PTHR11073:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143380, NULL, 'PTHR10621:SF35', NULL, NULL, NULL, NULL, 'RAD23 UV EXCISION REPAIR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143381, NULL, 'PTHR31384:SF111', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(143382, NULL, 'PTHR19241:SF604', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 45-LIKE', NULL, NULL, NULL, 15),
(143383, NULL, 'PTHR35491:SF5', NULL, NULL, NULL, NULL, 'OS12G0638500-LIKE PROTEIN', NULL, NULL, NULL, 15),
(143384, NULL, 'PTHR23197:SF8', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(143385, NULL, 'PTHR12234:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(143386, NULL, 'PTHR11462:SF39', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR (EUROFUNG)', NULL, NULL, NULL, 15),
(143387, NULL, 'PTHR10075:SF4', NULL, NULL, NULL, NULL, 'EMBIGIN', NULL, NULL, 26409, 15),
(143388, NULL, 'PTHR31339:SF68', NULL, NULL, NULL, NULL, 'OS09G0439400 PROTEIN', NULL, NULL, NULL, 15),
(143389, NULL, 'PTHR31604:SF41', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 3-LIKE', NULL, NULL, NULL, 15),
(143390, NULL, 'PTHR16517:SF125', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 6', NULL, NULL, NULL, 15),
(143391, NULL, 'PTHR31065:SF1', NULL, NULL, NULL, NULL, 'OS03G0225400 PROTEIN', NULL, NULL, NULL, 15),
(143392, NULL, 'PTHR21603:SF16', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE-ASSOCIATED PROTEIN 2', NULL, NULL, 35428, 15),
(143393, NULL, 'PTHR12203:SF98', NULL, NULL, NULL, NULL, 'BNAA09G39060D PROTEIN', NULL, NULL, NULL, 15),
(143394, NULL, 'PTHR15907:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143395, NULL, 'PTHR43775:SF37', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE', NULL, NULL, NULL, 15),
(143396, NULL, 'PTHR11064:SF138', NULL, NULL, NULL, NULL, 'CCAAT-BOX BINDING FACTOR HAP3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(143397, NULL, 'PTHR35673:SF1', NULL, NULL, NULL, NULL, 'UPF0500 PROTEIN C1ORF216', NULL, NULL, NULL, 15),
(143398, NULL, 'PTHR46128:SF103', NULL, NULL, NULL, NULL, 'BNAC03G36200D PROTEIN', NULL, NULL, NULL, 15),
(143399, NULL, 'PTHR43227:SF7', NULL, NULL, NULL, NULL, 'L-ARABINOSE TRANSPORT SYSTEM PERMEASE PROTEIN ARAP', NULL, NULL, NULL, 15),
(143400, NULL, 'PTHR12924:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143401, NULL, 'PTHR12910:SF11', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 12', NULL, NULL, NULL, 15),
(143402, NULL, 'PTHR10809:SF105', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE-PROTEIN-ASSOCIATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143403, NULL, 'PTHR23024:SF519', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143404, NULL, 'PTHR35007:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143405, NULL, 'PTHR38700', NULL, NULL, NULL, NULL, 'YALI0E22418P', NULL, NULL, NULL, 15),
(143406, NULL, 'PTHR33101:SF68', NULL, NULL, NULL, NULL, 'RHO GUANYL-NUCLEOTIDE EXCHANGE FACTOR 4-RELATED', NULL, NULL, NULL, 15),
(143407, NULL, 'PTHR34823:SF4', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143408, NULL, 'PTHR47988:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', NULL, NULL, NULL, 15),
(143409, NULL, 'PTHR11829:SF335', NULL, NULL, NULL, NULL, 'FORKHEAD BOX D2', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143410, NULL, 'PTHR24012:SF742', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF, SINGLE-STRANDED-INTERACTING PROTEIN 3', NULL, NULL, NULL, 15),
(143411, NULL, 'PTHR13343:SF27', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE 5''-PHOSPHATE OXIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(143412, NULL, 'PTHR48050:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143413, NULL, 'PTHR48063:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143414, NULL, 'PTHR31126:SF8', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE OCA1-RELATED', NULL, NULL, NULL, 15),
(143415, NULL, 'PTHR13067', NULL, NULL, NULL, NULL, 'CASPASE-ACTIVATED DNASE', NULL, NULL, 29692, 15),
(143416, NULL, 'PTHR10792:SF36', NULL, NULL, NULL, NULL, 'BNAA04G10330D PROTEIN', NULL, NULL, NULL, 15),
(143417, NULL, 'PTHR24238:SF57', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 165', NULL, NULL, NULL, 15),
(143418, NULL, 'PTHR45765:SF1', NULL, NULL, NULL, NULL, 'METHIONINE--TRNA LIGASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(143419, NULL, 'PTHR12210:SF158', NULL, NULL, NULL, NULL, 'BNAC03G59460D PROTEIN', NULL, NULL, NULL, 15),
(143420, NULL, 'PTHR46666:SF8', NULL, NULL, NULL, NULL, 'BNAA03G47810D PROTEIN', NULL, NULL, NULL, 15),
(143421, NULL, 'PTHR35137:SF4', NULL, NULL, NULL, NULL, 'BNAA01G14430D PROTEIN', NULL, NULL, NULL, 15),
(143422, NULL, 'PTHR13284:SF9', NULL, NULL, NULL, NULL, 'SELENOCYSTEINE INSERTION SEQUENCE-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(143423, NULL, 'PTHR47579:SF4', NULL, NULL, NULL, NULL, 'BNAA01G27230D PROTEIN', NULL, NULL, NULL, 15),
(143424, NULL, 'PTHR42681:SF1', NULL, NULL, NULL, NULL, 'MALONYL-COA-ACYL CARRIER PROTEIN TRANSACYLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(143425, NULL, 'PTHR33321:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143426, NULL, 'PTHR46463:SF37', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 11 RING-H2 FINGER PROTEIN', NULL, NULL, NULL, 15),
(143427, NULL, 'PTHR48015:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAKG', NULL, NULL, NULL, 15),
(143428, NULL, 'PTHR33356:SF17', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX NON-CORE SUBUNIT NAF1-LIKE', NULL, NULL, NULL, 15),
(143429, NULL, 'PTHR15504', NULL, NULL, NULL, NULL, 'NASOPHARYNGEAL EPITHELIUM SPECIFIC PROTEIN 1', NULL, NULL, 32794, 15),
(143430, NULL, 'PTHR47997:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143431, NULL, 'PTHR37241', NULL, NULL, NULL, NULL, 'NEUROFILAMENT HEAVY PROTEIN', NULL, NULL, NULL, 15),
(143432, NULL, 'PTHR24322:SF691', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 20', NULL, NULL, NULL, 15),
(143433, NULL, 'PTHR24349:SF92', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 7', NULL, NULL, NULL, 15),
(143434, NULL, 'PTHR46586:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143435, NULL, 'PTHR10036:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143436, NULL, 'PTHR11071:SF417', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP95', NULL, NULL, NULL, 15),
(143437, NULL, 'PTHR24320', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(143438, NULL, 'PTHR13903:SF17', NULL, NULL, NULL, NULL, 'PIRIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(143439, NULL, 'PTHR46279:SF11', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL20-LIKE', NULL, NULL, NULL, 15),
(143440, NULL, 'PTHR31221:SF167', NULL, NULL, NULL, NULL, 'OS07G0596900 PROTEIN', NULL, NULL, NULL, 15),
(143441, NULL, 'PTHR46253:SF2', NULL, NULL, NULL, NULL, 'TGF-BETA-ACTIVATED KINASE 1 AND MAP3K7-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(143442, NULL, 'PTHR31662:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143443, NULL, 'PTHR42840:SF6', NULL, NULL, NULL, NULL, 'BINDING ROSSMANN FOLD OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11930)-RELATED', NULL, NULL, NULL, 15),
(143444, NULL, 'PTHR44566', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143445, NULL, 'PTHR27003:SF368', NULL, NULL, NULL, NULL, 'BNAA03G18570D PROTEIN', NULL, NULL, NULL, 15),
(143446, NULL, 'PTHR43755:SF1', NULL, NULL, NULL, NULL, 'POSSIBLE DEHYDROGENASE/REDUCTASE', NULL, NULL, NULL, 15),
(143447, NULL, 'PTHR45625:SF9', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE 9', NULL, NULL, NULL, 15),
(143448, NULL, 'PTHR42769:SF10', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [FE] 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(143449, NULL, 'PTHR12308:SF28', NULL, NULL, NULL, NULL, 'ANOCTAMIN-4', NULL, NULL, 28030, 15),
(143450, NULL, 'PTHR31105:SF6', NULL, NULL, NULL, NULL, 'OS01G0621300 PROTEIN', NULL, NULL, NULL, 15),
(143451, NULL, 'PTHR47743', NULL, NULL, NULL, NULL, 'KIAA1210 / KIAA1211 FAMILY MEMBER', NULL, NULL, 22448, 15),
(143452, NULL, 'PTHR23158:SF54', NULL, NULL, NULL, NULL, 'TRANSPORT AND GOLGI ORGANIZATION PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(143453, NULL, 'PTHR34295', NULL, NULL, NULL, NULL, 'BIOTIN TRANSPORTER BIOY', NULL, NULL, 3488, 15),
(143454, NULL, 'PTHR43432', NULL, NULL, NULL, NULL, 'SLR0285 PROTEIN', NULL, NULL, 31100, 15),
(143455, NULL, 'PTHR31116:SF19', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE I', NULL, NULL, NULL, 15),
(143456, NULL, 'PTHR46861', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 1A', NULL, NULL, NULL, 15),
(143457, NULL, 'PTHR20981:SF27', NULL, NULL, NULL, NULL, 'TRANSLATION PROTEIN SH3-LIKE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143458, NULL, 'PTHR35793:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YJIG', NULL, NULL, NULL, 15),
(143459, NULL, 'PTHR46101:SF2', NULL, NULL, NULL, NULL, 'SERINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(143460, NULL, 'PTHR19290:SF94', NULL, NULL, NULL, NULL, 'NEUROGENIN-3', NULL, NULL, 26832, 15),
(143461, NULL, 'PTHR31251:SF7', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(143462, NULL, 'PTHR37741:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(143463, NULL, 'PTHR22835:SF586', NULL, NULL, NULL, NULL, 'BNAA09G27150D PROTEIN', NULL, NULL, NULL, 15),
(143464, NULL, 'PTHR13068:SF137', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(143465, NULL, 'PTHR34229', NULL, NULL, NULL, NULL, 'METAL TRANSPORT PROTEIN HI_1621-RELATED', NULL, NULL, NULL, 15),
(143466, NULL, 'PTHR43180:SF50', NULL, NULL, NULL, NULL, 'SECOISOLARICIRESINOL DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(143467, NULL, 'PTHR22891:SF107', NULL, NULL, NULL, NULL, 'ARGONAUT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(143468, NULL, 'PTHR27001:SF687', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-KINASE NCRK PROTEIN', NULL, NULL, NULL, 15),
(143469, NULL, 'PTHR12566:SF12', NULL, NULL, NULL, NULL, 'TRANSLATIONAL REGULATOR ORB2', NULL, NULL, NULL, 15),
(143470, NULL, 'PTHR41687', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 9', NULL, NULL, 34850, 15),
(143471, NULL, 'PTHR37375', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(143472, NULL, 'PTHR31123', NULL, NULL, NULL, NULL, 'ACCUMULATION OF DYADS PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(143473, NULL, 'PTHR31194:SF49', NULL, NULL, NULL, NULL, 'AP2-EREBP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(143474, NULL, 'PTHR11353:SF210', NULL, NULL, NULL, NULL, 'TCP-1/CPN60 CHAPERONIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143475, NULL, 'PTHR14155:SF556', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143476, NULL, 'PTHR43019', NULL, NULL, NULL, NULL, 'SERINE ENDOPROTEASE DEGS', NULL, NULL, NULL, 15),
(143477, NULL, 'PTHR43386:SF5', NULL, NULL, NULL, NULL, 'PUTRESCINE EXPORT SYSTEM PERMEASE PROTEIN SAPC', NULL, NULL, NULL, 15),
(143478, NULL, 'PTHR46136:SF17', NULL, NULL, NULL, NULL, 'GLOBAL TRANSCRIPTION FACTOR GROUP E8-RELATED', NULL, NULL, NULL, 15),
(143479, NULL, 'PTHR19328:SF61', NULL, NULL, NULL, NULL, 'HIPL2 PROTEIN', NULL, NULL, NULL, 15),
(143480, NULL, 'PTHR30620:SF46', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 3 N TERMINAL DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143481, NULL, 'PTHR22943:SF121', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(143482, NULL, 'PTHR48032:SF11', NULL, NULL, NULL, NULL, 'DAZ-ASSOCIATED PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(143483, NULL, 'PTHR46444', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143484, NULL, 'PTHR14949:SF25', NULL, NULL, NULL, NULL, 'CRYPTIC FAMILY PROTEIN 1B-RELATED', NULL, NULL, NULL, 15),
(143485, NULL, 'PTHR45586', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING PROTEIN PA4667', NULL, NULL, NULL, 15),
(143486, NULL, 'PTHR46128:SF183', NULL, NULL, NULL, NULL, 'BNAA09G30220D PROTEIN', NULL, NULL, NULL, 15),
(143487, NULL, 'PTHR12446:SF36', NULL, NULL, NULL, NULL, 'PROTEIN LIN-54 HOMOLOG', NULL, NULL, NULL, 15),
(143488, NULL, 'PTHR48090:SF7', NULL, NULL, NULL, NULL, 'RFBJ PROTEIN', NULL, NULL, NULL, 15),
(143489, NULL, 'PTHR35298', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN S1FA2', NULL, NULL, 3072, 15),
(143490, NULL, 'PTHR31086:SF52', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 8-LIKE', NULL, NULL, NULL, 15),
(143491, NULL, 'PTHR10543:SF107', NULL, NULL, NULL, NULL, 'BETA-CAROTENE 15, 15-DIOXYGENASE 2,-LIKE', NULL, NULL, NULL, 15),
(143492, NULL, 'PTHR23404:SF11', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN SYNTHASE CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(143493, NULL, 'PTHR22957:SF576', NULL, NULL, NULL, NULL, 'ECOTROPIC VIRAL INTEGRATION SITE 5 PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(143494, NULL, 'PTHR33656', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143495, NULL, 'PTHR39639:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(143496, NULL, 'PTHR22455:SF10', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 91', NULL, NULL, NULL, 15),
(143497, NULL, 'PTHR13510:SF47', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17070)-RELATED', NULL, NULL, NULL, 15),
(143498, NULL, 'PTHR27006:SF312', NULL, NULL, NULL, NULL, 'OS05G0263100 PROTEIN', NULL, NULL, NULL, 15),
(143499, NULL, 'PTHR34501', NULL, NULL, NULL, NULL, 'PROTEIN YDDL-RELATED', NULL, NULL, NULL, 15),
(143500, NULL, 'PTHR21600:SF44', NULL, NULL, NULL, NULL, 'RNA PSEUDOURIDINE SYNTHASE 5', NULL, NULL, NULL, 15),
(143501, NULL, 'PTHR11843:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15),
(143502, NULL, 'PTHR24081', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 0 GROUP B', NULL, NULL, 36413, 15),
(143503, NULL, 'PTHR46503:SF8', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR, TYPE A-RELATED', NULL, NULL, NULL, 15),
(143504, NULL, 'PTHR31464:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG01266', NULL, NULL, NULL, 15),
(143505, NULL, 'PTHR45650:SF1', NULL, NULL, NULL, NULL, 'OS08G0112900 PROTEIN', NULL, NULL, NULL, 15),
(143506, NULL, 'PTHR31149:SF12', NULL, NULL, NULL, NULL, 'BNAA09G05280D PROTEIN', NULL, NULL, NULL, 15),
(143507, NULL, 'PTHR43617:SF25', NULL, NULL, NULL, NULL, 'GCN5-RELATED N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(143508, NULL, 'PTHR11681:SF9', NULL, NULL, NULL, NULL, 'VASOPRESSIN-NEUROPHYSIN 2-COPEPTIN', NULL, NULL, NULL, 15),
(143509, NULL, 'PTHR45633:SF7', NULL, NULL, NULL, NULL, 'CHAPERONIN 60 SUBUNIT BETA 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(143510, NULL, 'PTHR47322:SF8', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15),
(143511, NULL, 'PTHR42683:SF72', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 6-RELATED', NULL, NULL, NULL, 15),
(143512, NULL, 'PTHR10891:SF788', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML44-RELATED', NULL, NULL, NULL, 15),
(143513, NULL, 'PTHR31901:SF38', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.2-RELATED', NULL, NULL, NULL, 15),
(143514, NULL, 'PTHR47633:SF3', NULL, NULL, NULL, NULL, 'STRIATED MUSCLE PREFERENTIALLY EXPRESSED PROTEIN KINASE', NULL, NULL, 11614, 15),
(143515, NULL, 'PTHR12480:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143516, NULL, 'PTHR23261', NULL, NULL, NULL, NULL, 'GROUNDHOG-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143517, NULL, 'PTHR31692:SF106', NULL, NULL, NULL, NULL, 'BNAC04G04000D PROTEIN', NULL, NULL, NULL, 15),
(143518, NULL, 'PTHR11662:SF317', NULL, NULL, NULL, NULL, 'PROTEIN CBG12249', NULL, NULL, NULL, 15),
(143519, NULL, 'PTHR22550:SF5', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER PROTEIN 4', NULL, NULL, NULL, 15),
(143520, NULL, 'PTHR11581:SF30', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4, X ISOFORM', NULL, NULL, NULL, 15),
(143521, NULL, 'PTHR35546:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143522, NULL, 'PTHR24060:SF26', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 8', NULL, NULL, NULL, 15),
(143523, NULL, 'PTHR42354', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143524, NULL, 'PTHR36414', NULL, NULL, NULL, NULL, 'PROTEIN SUR7', NULL, NULL, NULL, 15),
(143525, NULL, 'PTHR47543:SF2', NULL, NULL, NULL, NULL, 'OS08G0169600 PROTEIN', NULL, NULL, NULL, 15),
(143526, NULL, 'PTHR28546', NULL, NULL, NULL, NULL, 'NEURONAL VESICLE TRAFFICKING-ASSOCIATED PROTEIN 2-RELATED', NULL, NULL, 8022, 15),
(143527, NULL, 'PTHR31375:SF219', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(143528, NULL, 'PTHR45644:SF52', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(143529, NULL, 'PTHR11347:SF200', NULL, NULL, NULL, NULL, 'DUAL 3'',5''-CYCLIC-AMP AND -GMP PHOSPHODIESTERASE 11', NULL, NULL, NULL, 15),
(143530, NULL, 'PTHR45632:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143531, NULL, 'PTHR14604:SF4', NULL, NULL, NULL, NULL, 'BETA-TRANSDUCIN REPEAT-CONTAINING E3 UBIQUITIN PROTEIN LIGASE', NULL, NULL, NULL, 15),
(143532, NULL, 'PTHR23159:SF1', NULL, NULL, NULL, NULL, 'CENTROSOME-ASSOCIATED PROTEIN CEP250', NULL, NULL, NULL, 15),
(143533, NULL, 'PTHR33077:SF109', NULL, NULL, NULL, NULL, 'BNAC06G31830D PROTEIN', NULL, NULL, NULL, 15),
(143534, NULL, 'PTHR48047:SF98', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 87A2-LIKE', NULL, NULL, NULL, 15),
(143535, NULL, 'PTHR46535:SF1', NULL, NULL, NULL, NULL, 'NEDD4-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(143536, NULL, 'PTHR24242:SF199', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(143537, NULL, 'PTHR11224', NULL, NULL, NULL, NULL, 'MAKORIN-RELATED', NULL, NULL, 39181, 15),
(143538, NULL, 'PTHR46699:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STN8, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(143539, NULL, 'PTHR11814:SF239', NULL, NULL, NULL, NULL, 'LOW AFFINITY SULFATE TRANSPORTER 3-LIKE', NULL, NULL, NULL, 15),
(143540, NULL, 'PTHR31675:SF7', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 5', NULL, NULL, NULL, 15),
(143541, NULL, 'PTHR17554', NULL, NULL, NULL, NULL, 'TYRO PROTEIN TYROSINE KINASE-BINDING PROTEIN', NULL, NULL, 26679, 15),
(143542, NULL, 'PTHR48191', NULL, NULL, NULL, NULL, 'PROTEIN HHL1 CHLOROPLASTIC', NULL, NULL, 38468, 15),
(143543, NULL, 'PTHR36046', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(143544, NULL, 'PTHR19325:SF370', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA SPERM-BINDING PROTEIN 3 RECEPTOR', NULL, NULL, NULL, 15),
(143545, NULL, 'PTHR43653:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C ASSEMBLY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143546, NULL, 'PTHR13935:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143547, NULL, 'PTHR21704:SF22', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 13', NULL, NULL, NULL, 15),
(143548, NULL, 'PTHR31549:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143549, NULL, 'PTHR31375:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143550, NULL, 'PTHR23123', NULL, NULL, NULL, NULL, 'PHD/F-BOX CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(143551, NULL, 'PTHR31071:SF37', NULL, NULL, NULL, NULL, 'BNAC09G12330D PROTEIN', NULL, NULL, NULL, 15),
(143552, NULL, 'PTHR11866:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143553, NULL, 'PTHR11685:SF372', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(143554, NULL, 'PTHR31642:SF188', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(143555, NULL, 'PTHR48041:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143556, NULL, 'PTHR45749:SF11', NULL, NULL, NULL, NULL, 'AC-LIKE TRANSPOSASE-RELATED', NULL, NULL, NULL, 15),
(143557, NULL, 'PTHR23513', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE EFFLUX PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143558, NULL, 'PTHR31831', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689065', NULL, NULL, 25575, 15),
(143559, NULL, 'PTHR11269:SF8', NULL, NULL, NULL, NULL, 'PERIOD CIRCADIAN PROTEIN HOMOLOG 1', NULL, NULL, NULL, 15),
(143560, NULL, 'PTHR22844:SF352', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143561, NULL, 'PTHR31113:SF19', NULL, NULL, NULL, NULL, 'BNAC04G25020D PROTEIN', NULL, NULL, NULL, 15),
(143562, NULL, 'PTHR37945:SF1', NULL, NULL, NULL, NULL, 'EXTRACELLULAR TUNGSTATE BINDING PROTEIN', NULL, NULL, NULL, 15),
(143563, NULL, 'PTHR11969:SF13', NULL, NULL, NULL, NULL, 'MAX-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(143564, NULL, 'PTHR13994:SF43', NULL, NULL, NULL, NULL, 'MUTT/NUDIX FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143565, NULL, 'PTHR47281:SF3', NULL, NULL, NULL, NULL, 'OS06G0649700 PROTEIN', NULL, NULL, NULL, 15),
(143566, NULL, 'PTHR47029', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS PROTEIN 1', NULL, NULL, 36578, 15),
(143567, NULL, 'PTHR11461:SF290', NULL, NULL, NULL, NULL, 'SERINE (OR CYSTEINE) PEPTIDASE INHIBITOR, CLADE H, MEMBER 2', NULL, NULL, NULL, 15),
(143568, NULL, 'PTHR31585:SF8', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(143569, NULL, 'PTHR31415:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143570, NULL, 'PTHR11566:SF205', NULL, NULL, NULL, NULL, 'DYNAMIN CENTRAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143571, NULL, 'PTHR24118:SF53', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930467E23 GENE-RELATED', NULL, NULL, NULL, 15),
(143572, NULL, 'PTHR46267:SF19', NULL, NULL, NULL, NULL, 'BNAA08G29620D PROTEIN', NULL, NULL, NULL, 15),
(143573, NULL, 'PTHR33207:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143574, NULL, 'PTHR13327', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE ESSS SUBUNIT, MITOCHONDRIAL PRECURSOR', NULL, NULL, 15120, 15),
(143575, NULL, 'PTHR43670:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143576, NULL, 'PTHR10239:SF28', NULL, NULL, NULL, NULL, 'ISTHMIN-2', NULL, NULL, 36580, 15),
(143577, NULL, 'PTHR10369:SF3', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L36A LIKE', NULL, NULL, NULL, 15),
(143578, NULL, 'PTHR46187:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143579, NULL, 'PTHR11351:SF69', NULL, NULL, NULL, NULL, 'ACYL-COA DESATURASE 1', NULL, NULL, NULL, 15),
(143580, NULL, 'PTHR35711:SF4', NULL, NULL, NULL, NULL, 'ACTING ON PEPTIDE BONDS (PEPTIDASE)-RELATED', NULL, NULL, NULL, 15),
(143581, NULL, 'PTHR40020', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 2', NULL, NULL, NULL, 15),
(143582, NULL, 'PTHR43864:SF3', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE, FUSED TO N-TERMINAL DNA-BINDING DOMAIN', NULL, NULL, NULL, 15),
(143583, NULL, 'PTHR31707:SF289', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(143584, NULL, 'PTHR11362:SF123', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L35, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(143585, NULL, 'PTHR31342', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC', NULL, NULL, 29589, 15),
(143586, NULL, 'PTHR42023:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143587, NULL, 'PTHR13165', NULL, NULL, NULL, NULL, 'ARSENITE-RESISTANCE PROTEIN 2', NULL, NULL, 29022, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143588, NULL, 'PTHR23516:SF21', NULL, NULL, NULL, NULL, 'BNAANNG13840D PROTEIN', NULL, NULL, NULL, 15),
(143589, NULL, 'PTHR45966:SF20', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 5-LIKE', NULL, NULL, NULL, 15),
(143590, NULL, 'PTHR12011:SF451', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143591, NULL, 'PTHR34682:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143592, NULL, 'PTHR10037:SF237', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 3 SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(143593, NULL, 'PTHR31181:SF61', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED-LIKE PROTEIN (DUF1278)', NULL, NULL, NULL, 15),
(143594, NULL, 'PTHR33671:SF11', NULL, NULL, NULL, NULL, 'DUF688 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(143595, NULL, 'PTHR48017:SF24', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(143596, NULL, 'PTHR37538:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143597, NULL, 'PTHR13980:SF19', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SPT16', NULL, NULL, NULL, 15),
(143598, NULL, 'PTHR33605:SF4', NULL, NULL, NULL, NULL, 'EARLY NODULIN-RELATED', NULL, NULL, NULL, 15),
(143599, NULL, 'PTHR14218:SF15', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL-PEPTIDASE 1', NULL, NULL, NULL, 15),
(143600, NULL, 'PTHR19918:SF5', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC APC/C ACTIVATOR PROTEIN AMA1', NULL, NULL, NULL, 15),
(143601, NULL, 'PTHR30582:SF24', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE YBIS-RELATED', NULL, NULL, NULL, 15),
(143602, NULL, 'PTHR24331:SF0', NULL, NULL, NULL, NULL, 'DBX', NULL, NULL, NULL, 15),
(143603, NULL, 'PTHR27008:SF476', NULL, NULL, NULL, NULL, 'OS11G0569800 PROTEIN', NULL, NULL, NULL, 15),
(143604, NULL, 'PTHR47992:SF80', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 58-RELATED', NULL, NULL, NULL, 15),
(143605, NULL, 'PTHR30302:SF4', NULL, NULL, NULL, NULL, 'HYDROGENASE 3 MATURATION PROTEASE', NULL, NULL, NULL, 15),
(143606, NULL, 'PTHR48002:SF100', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4A16', NULL, NULL, NULL, 15),
(143607, NULL, 'PTHR11654:SF539', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143608, NULL, 'PTHR45857:SF4', NULL, NULL, NULL, NULL, 'MULTIPLE WING HAIRS, ISOFORM C', NULL, NULL, NULL, 15),
(143609, NULL, 'PTHR43715:SF1', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 4,6 DEHYDRATASE', NULL, NULL, NULL, 15),
(143610, NULL, 'PTHR46608:SF2', NULL, NULL, NULL, NULL, 'T CELL IMMUNOGLOBULIN AND MUCIN DOMAIN-CONTAINING 4', NULL, NULL, NULL, 15),
(143611, NULL, 'PTHR24286:SF169', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 85A1', NULL, NULL, NULL, 15),
(143612, NULL, 'PTHR45476:SF3', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(143613, NULL, 'PTHR30409:SF1', NULL, NULL, NULL, NULL, 'CARBAMATE KINASE-LIKE PROTEIN YAHI-RELATED', NULL, NULL, NULL, 15),
(143614, NULL, 'PTHR14102:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143615, NULL, 'PTHR33132:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143616, NULL, 'PTHR11739:SF34', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', NULL, NULL, NULL, 15),
(143617, NULL, 'PTHR47367:SF2', NULL, NULL, NULL, NULL, 'BNAANNG26590D PROTEIN', NULL, NULL, NULL, 15),
(143618, NULL, 'PTHR33638', NULL, NULL, NULL, NULL, 'SELENOPROTEIN H', NULL, NULL, NULL, 15),
(143619, NULL, 'PTHR33448:SF3', NULL, NULL, NULL, NULL, 'OS09G0370000 PROTEIN', NULL, NULL, NULL, 15),
(143620, NULL, 'PTHR12300:SF143', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(143621, NULL, 'PTHR33069', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE-RELATED', NULL, NULL, NULL, 15),
(143622, NULL, 'PTHR11685:SF268', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(143623, NULL, 'PTHR11349:SF107', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(143624, NULL, 'PTHR22911:SF65', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN DMT SUPERFAMILY', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143625, NULL, 'PTHR33414:SF5', NULL, NULL, NULL, NULL, 'OS02G0817100 PROTEIN', NULL, NULL, NULL, 15),
(143626, NULL, 'PTHR21098', NULL, NULL, NULL, NULL, 'RIBOFLAVIN SYNTHASE ALPHA CHAIN', NULL, NULL, 4013, 15),
(143627, NULL, 'PTHR11208:SF103', NULL, NULL, NULL, NULL, 'PROTEIN CBG10565', NULL, NULL, NULL, 15),
(143628, NULL, 'PTHR11206:SF287', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(143629, NULL, 'PTHR24223:SF333', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MRP-8', NULL, NULL, NULL, 15),
(143630, NULL, 'PTHR23086:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143631, NULL, 'PTHR22765:SF217', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING RECEPTOR 1-LIKE', NULL, NULL, NULL, 15),
(143632, NULL, 'PTHR11588:SF399', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1 CHAIN', NULL, NULL, NULL, 15),
(143633, NULL, 'PTHR14879', NULL, NULL, NULL, NULL, 'CASPASE REGULATOR, RING FINGER DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(143634, NULL, 'PTHR12811:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 16 HOMOLOG', NULL, NULL, NULL, 15),
(143635, NULL, 'PTHR12147:SF11', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM METALLOPEPTIDASE 1-B-RELATED', NULL, NULL, NULL, 15),
(143636, NULL, 'PTHR46306', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(143637, NULL, 'PTHR22028', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(143638, NULL, 'PTHR16263:SF4', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 38', NULL, NULL, NULL, 15),
(143639, NULL, 'PTHR32100:SF66', NULL, NULL, NULL, NULL, 'OMEGA-6 FATTY ACID DESATURASE, ENDOPLASMIC RETICULUM', NULL, NULL, NULL, 15),
(143640, NULL, 'PTHR38850:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143641, NULL, 'PTHR22765:SF323', NULL, NULL, NULL, NULL, 'OS09G0468300 PROTEIN', NULL, NULL, NULL, 15),
(143642, NULL, 'PTHR11690:SF1', NULL, NULL, NULL, NULL, 'DEGENERIN LIKE', NULL, NULL, NULL, 15),
(143643, NULL, 'PTHR43791:SF21', NULL, NULL, NULL, NULL, 'ALLANTOATE TRANSPORTER', NULL, NULL, NULL, 15),
(143644, NULL, 'PTHR34078', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(143645, NULL, 'PTHR23032:SF10', NULL, NULL, NULL, NULL, 'OS02G0828100 PROTEIN', NULL, NULL, NULL, 15),
(143646, NULL, 'PTHR11374:SF45', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE 3', NULL, NULL, NULL, 15),
(143647, NULL, 'PTHR15914:SF0', NULL, NULL, NULL, NULL, 'ALPHA-HEMOGLOBIN-STABILIZING PROTEIN', NULL, NULL, NULL, 15),
(143648, NULL, 'PTHR37610:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143649, NULL, 'PTHR22849:SF127', NULL, NULL, NULL, NULL, 'OS05G0439400 PROTEIN', NULL, NULL, NULL, 15),
(143650, NULL, 'PTHR22750:SF38', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 2', NULL, NULL, NULL, 15),
(143651, NULL, 'PTHR33214:SF43', NULL, NULL, NULL, NULL, 'OS06G0705400 PROTEIN', NULL, NULL, NULL, 15),
(143652, NULL, 'PTHR10593:SF173', NULL, NULL, NULL, NULL, 'BNAA06G09410D PROTEIN', NULL, NULL, NULL, 15),
(143653, NULL, 'PTHR14165:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143654, NULL, 'PTHR11654:SF191', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(143655, NULL, 'PTHR47991:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143656, NULL, 'PTHR10179:SF77', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 6', NULL, NULL, NULL, 15),
(143657, NULL, 'PTHR13439:SF55', NULL, NULL, NULL, NULL, 'TRAM/LAG1/CLN8 HOMOLOGY DOMAIN', NULL, NULL, NULL, 15),
(143658, NULL, 'PTHR48018:SF177', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(143659, NULL, 'PTHR11771:SF145', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(143660, NULL, 'PTHR33985:SF29', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 20-RELATED', NULL, NULL, NULL, 15),
(143661, NULL, 'PTHR46011:SF19', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143662, NULL, 'PTHR12777:SF1', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D2', NULL, NULL, NULL, 15),
(143663, NULL, 'PTHR44191:SF47', NULL, NULL, NULL, NULL, 'BNAA08G29670D PROTEIN', NULL, NULL, NULL, 15),
(143664, NULL, 'PTHR33709', NULL, NULL, NULL, NULL, 'OSJNBA0035M09.9 PROTEIN', NULL, NULL, 30483, 15),
(143665, NULL, 'PTHR23140:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBR-NRD-1', NULL, NULL, NULL, 15),
(143666, NULL, 'PTHR10655:SF22', NULL, NULL, NULL, NULL, 'ACYL-PROTEIN THIOESTERASE 1', NULL, NULL, NULL, 15),
(143667, NULL, 'PTHR45658', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(143668, NULL, 'PTHR27009:SF128', NULL, NULL, NULL, NULL, 'OS01G0690800 PROTEIN', NULL, NULL, NULL, 15),
(143669, NULL, 'PTHR37397:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-183D21.1', NULL, NULL, NULL, 15),
(143670, NULL, 'PTHR12098:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PELLINO', NULL, NULL, NULL, 15),
(143671, NULL, 'PTHR35116:SF2', NULL, NULL, NULL, NULL, 'HELICASE PROTEIN MOM1', NULL, NULL, NULL, 15),
(143672, NULL, 'PTHR37264', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L31', NULL, NULL, NULL, 15),
(143673, NULL, 'PTHR47926:SF130', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(143674, NULL, 'PTHR42716', NULL, NULL, NULL, NULL, 'L-ASPARTATE OXIDASE', NULL, NULL, 4092, 15),
(143675, NULL, 'PTHR24343:SF443', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(143676, NULL, 'PTHR19321:SF40', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN, MAP65/ASE1/PRC1-RELATED', NULL, NULL, NULL, 15),
(143677, NULL, 'PTHR31257:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143678, NULL, 'PTHR47035:SF4', NULL, NULL, NULL, NULL, 'OS02G0676500 PROTEIN', NULL, NULL, NULL, 15),
(143679, NULL, 'PTHR46177:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143680, NULL, 'PTHR24103:SF567', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 77', NULL, NULL, NULL, 15),
(143681, NULL, 'PTHR12992:SF33', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 15, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(143682, NULL, 'PTHR31208:SF17', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143683, NULL, 'PTHR24249:SF381', NULL, NULL, NULL, NULL, 'SI:CH211-238P8.31-RELATED', NULL, NULL, NULL, 15),
(143684, NULL, 'PTHR34944:SF7', NULL, NULL, NULL, NULL, 'OS05G0583400 PROTEIN', NULL, NULL, NULL, 15),
(143685, NULL, 'PTHR10641:SF1240', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39', NULL, NULL, NULL, 15),
(143686, NULL, 'PTHR45620:SF22', NULL, NULL, NULL, NULL, 'VASOACTIVE INTESTINAL POLYPEPTIDE RECEPTOR 2', NULL, NULL, 5217, 15),
(143687, NULL, 'PTHR28575', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC PROTEIN MEI4', NULL, NULL, 25682, 15),
(143688, NULL, 'PTHR32285:SF292', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(143689, NULL, 'PTHR46290:SF2', NULL, NULL, NULL, NULL, 'DI-N-ACETYLCHITOBIASE 1-RELATED', NULL, NULL, NULL, 15),
(143690, NULL, 'PTHR10865', NULL, NULL, NULL, NULL, 'METASTASIS-ASSOCIATED PROTEIN AND MESODERM INDUCTION EARLY RESPONSE PROTEIN', NULL, NULL, 32306, 15),
(143691, NULL, 'PTHR24282:SF39', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 714D1', NULL, NULL, NULL, 15),
(143692, NULL, 'PTHR10168:SF115', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S10', NULL, NULL, NULL, 15),
(143693, NULL, 'PTHR33935:SF14', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(143694, NULL, 'PTHR31080:SF126', NULL, NULL, NULL, NULL, 'OS02G0688200 PROTEIN', NULL, NULL, NULL, 15),
(143695, NULL, 'PTHR31429:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143696, NULL, 'PTHR32093:SF120', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(143697, NULL, 'PTHR46538:SF1', NULL, NULL, NULL, NULL, 'STE20 LIKE KINASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143698, NULL, 'PTHR12691', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 23', NULL, NULL, 19258, 15),
(143699, NULL, 'PTHR19433:SF105', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 1-1-RELATED', NULL, NULL, NULL, 15),
(143700, NULL, 'PTHR33913:SF3', NULL, NULL, NULL, NULL, 'ALEURONE LAYER MORPHOGENESIS PROTEIN', NULL, NULL, NULL, 15),
(143701, NULL, 'PTHR36765:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(143702, NULL, 'PTHR10110:SF128', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 1', NULL, NULL, NULL, 15),
(143703, NULL, 'PTHR16776:SF3', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN 1', NULL, NULL, NULL, 15),
(143704, NULL, 'PTHR31046', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38603, 15),
(143705, NULL, 'PTHR31989:SF314', NULL, NULL, NULL, NULL, 'BNACNNG06310D PROTEIN', NULL, NULL, NULL, 15),
(143706, NULL, 'PTHR10241:SF38', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(143707, NULL, 'PTHR22808:SF20', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(34)-C(5))-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(143708, NULL, 'PTHR24377:SF866', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 670', NULL, NULL, NULL, 15),
(143709, NULL, 'PTHR15132:SF1', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(143710, NULL, 'PTHR10269:SF18', NULL, NULL, NULL, NULL, 'GDNF FAMILY RECEPTOR ALPHA 4B', NULL, NULL, NULL, 15),
(143711, NULL, 'PTHR31065:SF53', NULL, NULL, NULL, NULL, 'ION BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(143712, NULL, 'PTHR11893:SF10', NULL, NULL, NULL, NULL, 'INNEXIN-6', NULL, NULL, NULL, 15),
(143713, NULL, 'PTHR31639:SF212', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143714, NULL, 'PTHR22972:SF3', NULL, NULL, NULL, NULL, 'INACTIVE TYROSINE-PROTEIN KINASE PRAG1', NULL, NULL, NULL, 15),
(143715, NULL, 'PTHR18952:SF114', NULL, NULL, NULL, NULL, 'LD36568P', NULL, NULL, NULL, 15),
(143716, NULL, 'PTHR45947:SF9', NULL, NULL, NULL, NULL, 'BNAC09G46470D PROTEIN', NULL, NULL, NULL, 15),
(143717, NULL, 'PTHR19375:SF392', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70 HOMOLOG LHS1', NULL, NULL, NULL, 15),
(143718, NULL, 'PTHR11977:SF120', NULL, NULL, NULL, NULL, 'ACTIN FILAMENT BUNDLING PROTEIN P-115-ABP', NULL, NULL, NULL, 15),
(143719, NULL, 'PTHR46031:SF2', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(143720, NULL, 'PTHR12107:SF5', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-3 SUBUNIT', NULL, NULL, NULL, 15),
(143721, NULL, 'PTHR24377:SF37', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 175', NULL, NULL, NULL, 15),
(143722, NULL, 'PTHR12210:SF150', NULL, NULL, NULL, NULL, 'BNAC06G15690D PROTEIN', NULL, NULL, NULL, 15),
(143723, NULL, 'PTHR24300:SF118', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 508C1-RELATED', NULL, NULL, NULL, 15),
(143724, NULL, 'PTHR24373:SF335', NULL, NULL, NULL, NULL, 'NEPHROCAN', NULL, NULL, NULL, 15),
(143725, NULL, 'PTHR45125:SF8', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(143726, NULL, 'PTHR45951:SF4', NULL, NULL, NULL, NULL, 'PROTEIN DISPATCHED HOMOLOG 1', NULL, NULL, NULL, 15),
(143727, NULL, 'PTHR31463:SF6', NULL, NULL, NULL, NULL, 'PFPL PROTEIN', NULL, NULL, NULL, 15),
(143728, NULL, 'PTHR47843:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143729, NULL, 'PTHR40041', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(143730, NULL, 'PTHR47746:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143731, NULL, 'PTHR11388:SF141', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', NULL, NULL, NULL, 15),
(143732, NULL, 'PTHR11132:SF434', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(143733, NULL, 'PTHR34150:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBR-HPO-26', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143734, NULL, 'PTHR11889:SF31', NULL, NULL, NULL, NULL, 'PROTEIN HEDGEHOG', NULL, NULL, NULL, 15),
(143735, NULL, 'PTHR24381:SF277', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 57 HOMOLOG', NULL, NULL, NULL, 15),
(143736, NULL, 'PTHR45270:SF4', NULL, NULL, NULL, NULL, 'OS03G0832900 PROTEIN', NULL, NULL, NULL, 15),
(143737, NULL, 'PTHR11220:SF66', NULL, NULL, NULL, NULL, 'BNAA07G39170D PROTEIN', NULL, NULL, NULL, 15),
(143738, NULL, 'PTHR34665', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143739, NULL, 'PTHR24012:SF786', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF, SINGLE-STRANDED-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(143740, NULL, 'PTHR12951:SF1', NULL, NULL, NULL, NULL, 'PROTEIN UNC-119 HOMOLOG', NULL, NULL, NULL, 15),
(143741, NULL, 'PTHR34591:SF17', NULL, NULL, NULL, NULL, 'OS01G0824700 PROTEIN', NULL, NULL, NULL, 15),
(143742, NULL, 'PTHR30606:SF4', NULL, NULL, NULL, NULL, 'LIPID A BIOSYNTHESIS MYRISTOYLTRANSFERASE', NULL, NULL, NULL, 15),
(143743, NULL, 'PTHR10782:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143744, NULL, 'PTHR36750:SF1', NULL, NULL, NULL, NULL, 'SEC-C MOTIF PROTEIN', NULL, NULL, NULL, 15),
(143745, NULL, 'PTHR36503:SF1', NULL, NULL, NULL, NULL, 'BLR2520 PROTEIN', NULL, NULL, NULL, 15),
(143746, NULL, 'PTHR12346:SF45', NULL, NULL, NULL, NULL, 'BNAUNNG04420D PROTEIN', NULL, NULL, NULL, 15),
(143747, NULL, 'PTHR11161:SF15', NULL, NULL, NULL, NULL, 'GH19286P-RELATED', NULL, NULL, NULL, 15),
(143748, NULL, 'PTHR38522:SF4', NULL, NULL, NULL, NULL, 'BNAC09G18360D PROTEIN', NULL, NULL, NULL, 15),
(143749, NULL, 'PTHR31190:SF126', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF098-LIKE', NULL, NULL, NULL, 15),
(143750, NULL, 'PTHR48045:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(143751, NULL, 'PTHR24112:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143752, NULL, 'PTHR23305:SF17', NULL, NULL, NULL, NULL, 'OBG-LIKE ATPASE 1', NULL, NULL, NULL, 15),
(143753, NULL, 'PTHR46128:SF194', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143754, NULL, 'PTHR13121', NULL, NULL, NULL, NULL, 'GPI TRANSAMIDASE COMPONENT PIG-U', NULL, NULL, 1724, 15),
(143755, NULL, 'PTHR10293:SF66', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S15, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(143756, NULL, 'PTHR11654:SF459', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.6', NULL, NULL, NULL, 15),
(143757, NULL, 'PTHR47634', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143758, NULL, 'PTHR19303:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143759, NULL, 'PTHR46122:SF13', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP11-LIKE', NULL, NULL, NULL, 15),
(143760, NULL, 'PTHR13833:SF80', NULL, NULL, NULL, NULL, 'BNAC05G19030D PROTEIN', NULL, NULL, NULL, 15),
(143761, NULL, 'PTHR24361:SF821', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(143762, NULL, 'PTHR45974:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143763, NULL, 'PTHR31887:SF1', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP B', NULL, NULL, NULL, 15),
(143764, NULL, 'PTHR31549:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143765, NULL, 'PTHR15664:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143766, NULL, 'PTHR35545', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143767, NULL, 'PTHR10291:SF17', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(143768, NULL, 'PTHR31942:SF32', NULL, NULL, NULL, NULL, 'OS02G0197200 PROTEIN', NULL, NULL, NULL, 15),
(143769, NULL, 'PTHR31852:SF236', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143770, NULL, 'PTHR10619:SF0', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT BETA', NULL, NULL, NULL, 15),
(143771, NULL, 'PTHR24054', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA', NULL, NULL, 38652, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143772, NULL, 'PTHR31003:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143773, NULL, 'PTHR31929:SF125', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A', NULL, NULL, NULL, 15),
(143774, NULL, 'PTHR31828:SF31', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143775, NULL, 'PTHR24281:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143776, NULL, 'PTHR23028:SF119', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(143777, NULL, 'PTHR19957:SF90', NULL, NULL, NULL, NULL, 'SYNTAXIN-7', NULL, NULL, NULL, 15),
(143778, NULL, 'PTHR33993:SF2', NULL, NULL, NULL, NULL, 'GLYOXALASE-RELATED', NULL, NULL, NULL, 15),
(143779, NULL, 'PTHR32295:SF205', NULL, NULL, NULL, NULL, 'BNACNNG03110D PROTEIN', NULL, NULL, NULL, 15),
(143780, NULL, 'PTHR10706', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN', NULL, NULL, 37243, 15),
(143781, NULL, 'PTHR45730:SF4', NULL, NULL, NULL, NULL, 'C2H2 ZINC FINGER MALFORMED SPIKELET', NULL, NULL, NULL, 15),
(143782, NULL, 'PTHR31933:SF13', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 31', NULL, NULL, NULL, 15),
(143783, NULL, 'PTHR27009:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143784, NULL, 'PTHR33115:SF51', NULL, NULL, NULL, NULL, 'ENDOSPERM TRANSFER CELL SPECIFIC PR60', NULL, NULL, NULL, 15),
(143785, NULL, 'PTHR24240:SF15', NULL, NULL, NULL, NULL, 'RHODOPSIN', NULL, NULL, NULL, 15),
(143786, NULL, 'PTHR31216:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-15-RELATED', NULL, NULL, NULL, 15),
(143787, NULL, 'PTHR22669:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG13577', NULL, NULL, NULL, 15),
(143788, NULL, 'PTHR43537:SF34', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE COMPLEX REPRESSOR', NULL, NULL, NULL, 15),
(143789, NULL, 'PTHR28008', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143790, NULL, 'PTHR46642:SF6', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(143791, NULL, 'PTHR47781:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L36 2', NULL, NULL, NULL, 15),
(143792, NULL, 'PTHR45637:SF63', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE 1-RELATED', NULL, NULL, NULL, 15),
(143793, NULL, 'PTHR23326:SF3', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(143794, NULL, 'PTHR11926:SF1424', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(143795, NULL, 'PTHR22847:SF666', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143796, NULL, 'PTHR11599:SF15', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-7-1-RELATED', NULL, NULL, NULL, 15),
(143797, NULL, 'PTHR23500:SF511', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 2', NULL, NULL, NULL, 15),
(143798, NULL, 'PTHR31636:SF277', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 22', NULL, NULL, NULL, 15),
(143799, NULL, 'PTHR13923:SF11', NULL, NULL, NULL, NULL, 'SECRETORY 31, ISOFORM D', NULL, NULL, NULL, 15),
(143800, NULL, 'PTHR31080:SF208', NULL, NULL, NULL, NULL, 'OSJNBA0027P08.11 PROTEIN', NULL, NULL, NULL, 15),
(143801, NULL, 'PTHR48017:SF97', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 7-RELATED', NULL, NULL, NULL, 15),
(143802, NULL, 'PTHR43522', NULL, NULL, NULL, NULL, 'TRANSKETOLASE', NULL, NULL, 29167, 15),
(143803, NULL, 'PTHR10217:SF530', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 1', NULL, NULL, 23933, 15),
(143804, NULL, 'PTHR45669:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143805, NULL, 'PTHR32227:SF222', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 17 PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(143806, NULL, 'PTHR34053:SF3', NULL, NULL, NULL, NULL, 'PROTEIN ULTRAPETALA 2', NULL, NULL, NULL, 15),
(143807, NULL, 'PTHR10957:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-191G9.5-RELATED', NULL, NULL, NULL, 15),
(143808, NULL, 'PTHR42748:SF19', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143809, NULL, 'PTHR48027', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 87F-RELATED', NULL, NULL, NULL, 15),
(143810, NULL, 'PTHR31190:SF259', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 15', NULL, NULL, NULL, 15),
(143811, NULL, 'PTHR33116:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143812, NULL, 'PTHR35729:SF1', NULL, NULL, NULL, NULL, 'T1B9.12 PROTEIN', NULL, NULL, NULL, 15),
(143813, NULL, 'PTHR21668:SF21', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A-LIKE', NULL, NULL, NULL, 15),
(143814, NULL, 'PTHR14738:SF32', NULL, NULL, NULL, NULL, 'RNA BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(143815, NULL, 'PTHR12629:SF54', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 16, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(143816, NULL, 'PTHR31621:SF9', NULL, NULL, NULL, NULL, 'OS12G0411500 PROTEIN', NULL, NULL, NULL, 15),
(143817, NULL, 'PTHR31142:SF32', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 3', NULL, NULL, NULL, 15),
(143818, NULL, 'PTHR31784', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 5', NULL, NULL, 15881, 15),
(143819, NULL, 'PTHR10666:SF348', NULL, NULL, NULL, NULL, 'UBIQUITIN-60S RIBOSOMAL PROTEIN L40-2', NULL, NULL, NULL, 15),
(143820, NULL, 'PTHR34536:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143821, NULL, 'PTHR31657:SF28', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-13', NULL, NULL, NULL, 15),
(143822, NULL, 'PTHR13167:SF24', NULL, NULL, NULL, NULL, 'PIEZO-TYPE MECHANOSENSITIVE ION CHANNEL COMPONENT 2', NULL, NULL, NULL, 15),
(143823, NULL, 'PTHR10759:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', NULL, NULL, NULL, 15),
(143824, NULL, 'PTHR45898:SF13', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(143825, NULL, 'PTHR12064:SF22', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER CNNM2', NULL, NULL, NULL, 15),
(143826, NULL, 'PTHR34455:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143827, NULL, 'PTHR24404:SF71', NULL, NULL, NULL, NULL, 'RCG53796', NULL, NULL, NULL, 15),
(143828, NULL, 'PTHR44067:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143829, NULL, 'PTHR10430:SF8', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN AHP1', NULL, NULL, NULL, 15),
(143830, NULL, 'PTHR31153:SF13', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(143831, NULL, 'PTHR47249:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN 8', NULL, NULL, NULL, 15),
(143832, NULL, 'PTHR48084:SF4', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE OXIDOREDUCTASE SUBUNIT KORB', NULL, NULL, NULL, 15),
(143833, NULL, 'PTHR18952:SF201', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 3', NULL, NULL, NULL, 15),
(143834, NULL, 'PTHR47926:SF127', NULL, NULL, NULL, NULL, 'BNAC03G28070D PROTEIN', NULL, NULL, NULL, 15),
(143835, NULL, 'PTHR48001:SF130', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1E1', NULL, NULL, NULL, 15),
(143836, NULL, 'PTHR22835:SF490', NULL, NULL, NULL, NULL, 'OS06G0157000 PROTEIN', NULL, NULL, NULL, 15),
(143837, NULL, 'PTHR15555', NULL, NULL, NULL, NULL, 'ZINC FINGER HIT DOMAIN CONTAINING PROTEIN 2  PROTEIN FON -RELATED', NULL, NULL, 29314, 15),
(143838, NULL, 'PTHR24388:SF74', NULL, NULL, NULL, NULL, 'FEZ FAMILY ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(143839, NULL, 'PTHR31282:SF131', NULL, NULL, NULL, NULL, 'BNAANNG39080D PROTEIN', NULL, NULL, NULL, 15),
(143840, NULL, 'PTHR10108:SF1136', NULL, NULL, NULL, NULL, 'BNAA02G36960D PROTEIN', NULL, NULL, NULL, 15),
(143841, NULL, 'PTHR31790:SF409', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143842, NULL, 'PTHR20859:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143843, NULL, 'PTHR11604:SF44', NULL, NULL, NULL, NULL, 'PROFILIN-2', NULL, NULL, NULL, 15),
(143844, NULL, 'PTHR45992:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC ELONGATION FACTOR 2 KINASE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143845, NULL, 'PTHR35347', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 175', NULL, NULL, 34866, 15),
(143846, NULL, 'PTHR31907:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143847, NULL, 'PTHR23287', NULL, NULL, NULL, NULL, 'RUBY-EYE2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(143848, NULL, 'PTHR46629:SF10', NULL, NULL, NULL, NULL, 'F2401.10', NULL, NULL, NULL, 15),
(143849, NULL, 'PTHR43200:SF16', NULL, NULL, NULL, NULL, 'MYO-INOSITOL-1(OR 4)-MONOPHOSPHATASE (AFU_ORTHOLOGUE AFUA_4G04200)', NULL, NULL, NULL, 15),
(143850, NULL, 'PTHR24012:SF841', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(143851, NULL, 'PTHR46195:SF22', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', NULL, NULL, NULL, 15),
(143852, NULL, 'PTHR34145:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143853, NULL, 'PTHR31247:SF5', NULL, NULL, NULL, NULL, 'RE70461P', NULL, NULL, NULL, 15),
(143854, NULL, 'PTHR31800:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 32', NULL, NULL, NULL, 15),
(143855, NULL, 'PTHR24223:SF417', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143856, NULL, 'PTHR15735:SF10', NULL, NULL, NULL, NULL, 'PROTEIN NERVOUS WRECK', NULL, NULL, NULL, 15),
(143857, NULL, 'PTHR46506:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143858, NULL, 'PTHR41155:SF1', NULL, NULL, NULL, NULL, 'FI19525P1', NULL, NULL, NULL, 15),
(143859, NULL, 'PTHR11453:SF23', NULL, NULL, NULL, NULL, 'SODIUM BICARBONATE TRANSPORTER-LIKE PROTEIN 11', NULL, NULL, NULL, 15),
(143860, NULL, 'PTHR36950:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG05660', NULL, NULL, NULL, 15),
(143861, NULL, 'PTHR31896:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143862, NULL, 'PTHR33530:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143863, NULL, 'PTHR45639:SF18', NULL, NULL, NULL, NULL, 'BNAA06G00870D PROTEIN', NULL, NULL, NULL, 15),
(143864, NULL, 'PTHR47052:SF9', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143865, NULL, 'PTHR11040:SF137', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP1', NULL, NULL, NULL, 15),
(143866, NULL, 'PTHR27008:SF451', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR ISOFORM X1', NULL, NULL, NULL, 15),
(143867, NULL, 'PTHR47991:SF42', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(143868, NULL, 'PTHR47265', NULL, NULL, NULL, NULL, 'IRON-SULFUR ASSEMBLY PROTEIN ISCA, CHLOROPLASTIC', NULL, NULL, 22595, 15),
(143869, NULL, 'PTHR10263:SF58', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C4', NULL, NULL, NULL, 15),
(143870, NULL, 'PTHR23267:SF409', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-27-RELATED', NULL, NULL, NULL, 15),
(143871, NULL, 'PTHR35420', NULL, NULL, NULL, NULL, 'OS02G0198500 PROTEIN', NULL, NULL, NULL, 15),
(143872, NULL, 'PTHR11633:SF2', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR SUBUNIT B', NULL, NULL, 9830, 15),
(143873, NULL, 'PTHR15921:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2, ENTH/VHS-RELATED', NULL, NULL, NULL, 15),
(143874, NULL, 'PTHR47975:SF5', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 4', NULL, NULL, NULL, 15),
(143875, NULL, 'PTHR11455:SF2', NULL, NULL, NULL, NULL, 'BLUE-LIGHT PHOTORECEPTOR PHR2', NULL, NULL, NULL, 15),
(143876, NULL, 'PTHR11328:SF43', NULL, NULL, NULL, NULL, 'SULFOQUINOVOSE IMPORTER-RELATED', NULL, NULL, NULL, 15),
(143877, NULL, 'PTHR32467:SF133', NULL, NULL, NULL, NULL, 'BNAA08G15790D PROTEIN', NULL, NULL, NULL, 15),
(143878, NULL, 'PTHR45632:SF12', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 15', NULL, NULL, 22503, 15),
(143879, NULL, 'PTHR10155:SF9', NULL, NULL, NULL, NULL, 'CYTOKINE-INDUCIBLE SH2-CONTAINING PROTEIN', NULL, NULL, 27273, 15),
(143880, NULL, 'PTHR45735:SF6', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR SUBUNIT 2', NULL, NULL, 36101, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143881, NULL, 'PTHR13452:SF10', NULL, NULL, NULL, NULL, 'THUMP DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(143882, NULL, 'PTHR15710:SF113', NULL, NULL, NULL, NULL, 'OS10G0487400 PROTEIN', NULL, NULL, NULL, 15),
(143883, NULL, 'PTHR12741:SF68', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 11', NULL, NULL, NULL, 15),
(143884, NULL, 'PTHR14063:SF5', NULL, NULL, NULL, NULL, 'PROTEIN LIN-7 HOMOLOG C', NULL, NULL, NULL, 15),
(143885, NULL, 'PTHR31989:SF169', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 83-LIKE', NULL, NULL, NULL, 15),
(143886, NULL, 'PTHR42820:SF4', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(143887, NULL, 'PTHR35114:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143888, NULL, 'PTHR15040:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143889, NULL, 'PTHR21258', NULL, NULL, NULL, NULL, 'DOCKING PROTEIN RELATED', NULL, NULL, NULL, 15),
(143890, NULL, 'PTHR45621:SF35', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL3-RELATED', NULL, NULL, NULL, 15),
(143891, NULL, 'PTHR42073:SF1', NULL, NULL, NULL, NULL, 'MEIOTIC EXPRESSION UP-REGULATED PROTEIN 6', NULL, NULL, NULL, 15),
(143892, NULL, 'PTHR31989:SF362', NULL, NULL, NULL, NULL, 'BNACNNG20180D PROTEIN', NULL, NULL, NULL, 15),
(143893, NULL, 'PTHR10314:SF200', NULL, NULL, NULL, NULL, 'PYRIDOXAL-PHOSPHATE DEPENDENT PROTEIN F13B12.4-RELATED', NULL, NULL, NULL, 15),
(143894, NULL, 'PTHR46586:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143895, NULL, 'PTHR23291:SF39', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 2', NULL, NULL, NULL, 15),
(143896, NULL, 'PTHR46776:SF3', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 4', NULL, NULL, NULL, 15),
(143897, NULL, 'PTHR19303:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143898, NULL, 'PTHR33508:SF10', NULL, NULL, NULL, NULL, 'UPF0056 INNER MEMBRANE PROTEIN YHGN', NULL, NULL, NULL, 15),
(143899, NULL, 'PTHR10388', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR SUI1', NULL, NULL, NULL, 15),
(143900, NULL, 'PTHR31767', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-LIKE SUBUNIT', NULL, NULL, 28179, 15),
(143901, NULL, 'PTHR27007:SF230', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', NULL, NULL, NULL, 15),
(143902, NULL, 'PTHR23050:SF433', NULL, NULL, NULL, NULL, 'EF-HAND SUPERFAMILY CA2+-MODULATED PROTEIN (AFU_ORTHOLOGUE AFUA_5G13630)', NULL, NULL, NULL, 15),
(143903, NULL, 'PTHR24249:SF391', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143904, NULL, 'PTHR34457:SF3', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 2410', NULL, NULL, NULL, 15),
(143905, NULL, 'PTHR34224:SF12', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 1-LIKE', NULL, NULL, NULL, 15),
(143906, NULL, 'PTHR34112:SF13', NULL, NULL, NULL, NULL, 'C-JUN-AMINO-TERMINAL KINASE-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(143907, NULL, 'PTHR20884:SF21', NULL, NULL, NULL, NULL, 'GDP-L-GALACTOSE PHOSPHORYLASE 1', NULL, NULL, NULL, 15),
(143908, NULL, 'PTHR32227:SF20', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 6', NULL, NULL, NULL, 15),
(143909, NULL, 'PTHR23079:SF35', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(143910, NULL, 'PTHR43119:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORT PROTEIN ATP-BINDING COMPONENT-RELATED', NULL, NULL, NULL, 15),
(143911, NULL, 'PTHR42705', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NON-HOMOLOGOUS END JOINING PROTEIN LIGD', NULL, NULL, NULL, 15),
(143912, NULL, 'PTHR31676:SF126', NULL, NULL, NULL, NULL, 'BNAA03G59570D PROTEIN', NULL, NULL, NULL, 15),
(143913, NULL, 'PTHR32468:SF123', NULL, NULL, NULL, NULL, 'BNAA04G18610D PROTEIN', NULL, NULL, 26326, 15),
(143914, NULL, 'PTHR31870:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-183I3.9-RELATED', NULL, NULL, NULL, 15),
(143915, NULL, 'PTHR11481:SF98', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(143916, NULL, 'PTHR19447:SF15', NULL, NULL, NULL, NULL, 'KHDC3-LIKE PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143917, NULL, 'PTHR35394:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143918, NULL, 'PTHR45614:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143919, NULL, 'PTHR43899:SF10', NULL, NULL, NULL, NULL, '20BETA-HYDROXYSTEROID DEHYDROGENASE TYPE 2', NULL, NULL, NULL, 15),
(143920, NULL, 'PTHR11941:SF45', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(143921, NULL, 'PTHR10794:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143922, NULL, 'PTHR11417:SF12', NULL, NULL, NULL, NULL, 'PROLACTIN-2A1', NULL, NULL, NULL, 15),
(143923, NULL, 'PTHR31048:SF136', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1B', NULL, NULL, NULL, 15),
(143924, NULL, 'PTHR27006:SF185', NULL, NULL, NULL, NULL, 'BNAA05G14440D PROTEIN', NULL, NULL, NULL, 15),
(143925, NULL, 'PTHR35545:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143926, NULL, 'PTHR31871:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143927, NULL, 'PTHR14588', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 10', NULL, NULL, 35954, 15),
(143928, NULL, 'PTHR34574:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143929, NULL, 'PTHR10026:SF13', NULL, NULL, NULL, NULL, 'LD24704P', NULL, NULL, NULL, 15),
(143930, NULL, 'PTHR32285:SF148', NULL, NULL, NULL, NULL, 'TRICHOME BIREFRINGENCE-LIKE 20', NULL, NULL, NULL, 15),
(143931, NULL, 'PTHR31623:SF71', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(143932, NULL, 'PTHR33167:SF29', NULL, NULL, NULL, NULL, 'T28K15.14 PROTEIN', NULL, NULL, NULL, 15),
(143933, NULL, 'PTHR10867:SF38', NULL, NULL, NULL, NULL, 'AMINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(143934, NULL, 'PTHR43625:SF59', NULL, NULL, NULL, NULL, 'PERAKINE REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(143935, NULL, 'PTHR43903:SF12', NULL, NULL, NULL, NULL, 'ESTERASE-6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(143936, NULL, 'PTHR35083:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-91P5.3-RELATED', NULL, NULL, NULL, 15),
(143937, NULL, 'PTHR48024:SF2', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A0A-RELATED', NULL, NULL, NULL, 15),
(143938, NULL, 'PTHR47265:SF3', NULL, NULL, NULL, NULL, 'BNAA08G25720D PROTEIN', NULL, NULL, NULL, 15),
(143939, NULL, 'PTHR31731:SF76', NULL, NULL, NULL, NULL, 'AIR1A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(143940, NULL, 'PTHR46910:SF20', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(143941, NULL, 'PTHR47074:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143942, NULL, 'PTHR22571:SF25', NULL, NULL, NULL, NULL, 'HORNERIN', NULL, NULL, 34675, 15),
(143943, NULL, 'PTHR45648:SF73', NULL, NULL, NULL, NULL, 'BNAA08G07360D PROTEIN', NULL, NULL, NULL, 15),
(143944, NULL, 'PTHR24247:SF31', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 2B', NULL, NULL, 6525, 15),
(143945, NULL, 'PTHR47969:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME-ASSOCIATED KINESIN KIF4A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(143946, NULL, 'PTHR24291:SF141', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4F8', NULL, NULL, NULL, 15),
(143947, NULL, 'PTHR13274:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S25, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(143948, NULL, 'PTHR30445:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM REGULATOR, FUSED TO TRKA-C DOMAIN-RELATED', NULL, NULL, NULL, 15),
(143949, NULL, 'PTHR24089:SF699', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143950, NULL, 'PTHR11567:SF104', NULL, NULL, NULL, NULL, 'INTESTINAL ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(143951, NULL, 'PTHR10994:SF143', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B1', NULL, NULL, NULL, 15),
(143952, NULL, 'PTHR31636:SF45', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 13', NULL, NULL, 23839, 15),
(143953, NULL, 'PTHR16059:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143954, NULL, 'PTHR31852:SF0', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 13', NULL, NULL, NULL, 15),
(143955, NULL, 'PTHR46539:SF14', NULL, NULL, NULL, NULL, 'BNAA08G30720D PROTEIN', NULL, NULL, NULL, 15),
(143956, NULL, 'PTHR45620:SF27', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE/PARATHYROID HORMONE-RELATED PEPTIDE RECEPTOR', NULL, NULL, 5364, 15),
(143957, NULL, 'PTHR24028:SF259', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-B5', NULL, NULL, NULL, 15),
(143958, NULL, 'PTHR11802:SF207', NULL, NULL, NULL, NULL, 'S1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(143959, NULL, 'PTHR23033:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143960, NULL, 'PTHR23505:SF70', NULL, NULL, NULL, NULL, 'OLIGOSACCHARIDE TRANSFERASE1', NULL, NULL, NULL, 15),
(143961, NULL, 'PTHR12839', NULL, NULL, NULL, NULL, 'NONSENSE-MEDIATED MRNA DECAY PROTEIN 2  UP-FRAMESHIFT SUPPRESSOR 2', NULL, NULL, 36444, 15),
(143962, NULL, 'PTHR18901:SF44', NULL, NULL, NULL, NULL, 'OS01G0757900 PROTEIN', NULL, NULL, NULL, 15),
(143963, NULL, 'PTHR11802:SF324', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(143964, NULL, 'PTHR47947:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', NULL, NULL, NULL, 15),
(143965, NULL, 'PTHR34672:SF6', NULL, NULL, NULL, NULL, 'BNAC04G02280D PROTEIN', NULL, NULL, NULL, 15),
(143966, NULL, 'PTHR31086:SF65', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 9', NULL, NULL, NULL, 15),
(143967, NULL, 'PTHR48014:SF13', NULL, NULL, NULL, NULL, 'STE20-RELATED KINASE ADAPTER PROTEIN BETA', NULL, NULL, NULL, 15),
(143968, NULL, 'PTHR26450:SF17', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(143969, NULL, 'PTHR31384:SF119', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(143970, NULL, 'PTHR11579:SF18', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(143971, NULL, 'PTHR31992:SF219', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.5', NULL, NULL, NULL, 15),
(143972, NULL, 'PTHR10315:SF87', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(143973, NULL, 'PTHR45749:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143974, NULL, 'PTHR33644:SF5', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 62', NULL, NULL, NULL, 15),
(143975, NULL, 'PTHR33065:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143976, NULL, 'PTHR12290:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 4', NULL, NULL, NULL, 15),
(143977, NULL, 'PTHR46288:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(143978, NULL, 'PTHR22937:SF172', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(143979, NULL, 'PTHR23060:SF1', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE TEX14', NULL, NULL, NULL, 15),
(143980, NULL, 'PTHR12321:SF141', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(143981, NULL, 'PTHR43663:SF2', NULL, NULL, NULL, NULL, 'CHROMATE TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143982, NULL, 'PTHR11394:SF129', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 31', NULL, NULL, NULL, 15),
(143983, NULL, 'PTHR23421:SF150', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(143984, NULL, 'PTHR37978', NULL, NULL, NULL, NULL, 'PROTEIN CBG22381-RELATED', NULL, NULL, NULL, 15),
(143985, NULL, 'PTHR24044:SF422', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN B', NULL, NULL, NULL, 15),
(143986, NULL, 'PTHR46506:SF40', NULL, NULL, NULL, NULL, 'JACALIN-LIKE LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143987, NULL, 'PTHR35258:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 22', NULL, NULL, NULL, 15),
(143988, NULL, 'PTHR10190:SF7', NULL, NULL, NULL, NULL, 'EYES ABSENT HOMOLOG 2', NULL, NULL, 27685, 15),
(143989, NULL, 'PTHR26453:SF587', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(143990, NULL, 'PTHR34576:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(143991, NULL, 'PTHR32282:SF25', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 1F', NULL, NULL, NULL, 15),
(143992, NULL, 'PTHR12398:SF24', NULL, NULL, NULL, NULL, 'OS02G0602300 PROTEIN', NULL, NULL, NULL, 15),
(143993, NULL, 'PTHR12067:SF5', NULL, NULL, NULL, NULL, 'PODOCALYXIN', NULL, NULL, NULL, 15),
(143994, NULL, 'PTHR31365:SF17', NULL, NULL, NULL, NULL, 'COPPER ION BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(143995, NULL, 'PTHR35271:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, SUBSTRATE-BINDING LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(143996, NULL, 'PTHR34458:SF7', NULL, NULL, NULL, NULL, 'OS07G0674400 PROTEIN', NULL, NULL, NULL, 15),
(143997, NULL, 'PTHR14107', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN', NULL, NULL, NULL, 15),
(143998, NULL, 'PTHR13546:SF15', NULL, NULL, NULL, NULL, 'RE60986P', NULL, NULL, NULL, 15),
(143999, NULL, 'PTHR31843:SF11', NULL, NULL, NULL, NULL, 'ALLENE OXIDE CYCLASE 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(144000, NULL, 'PTHR28375:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HINDERIN', NULL, NULL, NULL, 15),
(144001, NULL, 'PTHR33447:SF8', NULL, NULL, NULL, NULL, 'GLUTATHIONE GAMMA-GLUTAMYLCYSTEINYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(144002, NULL, 'PTHR20905:SF28', NULL, NULL, NULL, NULL, 'GH28833P-RELATED', NULL, NULL, NULL, 15),
(144003, NULL, 'PTHR48003', NULL, NULL, NULL, NULL, 'OS07G0626500 PROTEIN', NULL, NULL, NULL, 15),
(144004, NULL, 'PTHR10903:SF151', NULL, NULL, NULL, NULL, 'SI:DKEYP-52C3.2', NULL, NULL, NULL, 15),
(144005, NULL, 'PTHR23334:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144006, NULL, 'PTHR14759:SF26', NULL, NULL, NULL, NULL, 'ERYTHROCYTE MEMBRANE-ASSOCIATED GIANT PROTEIN ANTIGEN 332 CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(144007, NULL, 'PTHR33065:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144008, NULL, 'PTHR19384:SF93', NULL, NULL, NULL, NULL, 'PUTATIVE SULFITE REDUCTASE BETA SUBUNIT-HEMOPROTEIN,FERREDOXIN OXIDOREDUCTASE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(144009, NULL, 'PTHR38934:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144010, NULL, 'PTHR15615:SF90', NULL, NULL, NULL, NULL, 'CYCLIN 10', NULL, NULL, NULL, 15),
(144011, NULL, 'PTHR11863:SF3', NULL, NULL, NULL, NULL, 'SPHINGOLIPID C4-HYDROXYLASE SUR2', NULL, NULL, NULL, 15),
(144012, NULL, 'PTHR31651:SF25', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER-RELATED', NULL, NULL, NULL, 15),
(144013, NULL, 'PTHR31235:SF301', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(144014, NULL, 'PTHR24075:SF11', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN ERDJ2A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(144015, NULL, 'PTHR47322:SF18', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15),
(144016, NULL, 'PTHR11066:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144017, NULL, 'PTHR46884', NULL, NULL, NULL, NULL, 'COLLECTRIN', NULL, NULL, 38141, 15),
(144018, NULL, 'PTHR30204:SF63', NULL, NULL, NULL, NULL, 'MERR FAMILY REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(144019, NULL, 'PTHR15574:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144020, NULL, 'PTHR31009:SF99', NULL, NULL, NULL, NULL, 'SAM DEPENDENT CARBOXYL METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(144021, NULL, 'PTHR30523:SF28', NULL, NULL, NULL, NULL, 'OS08G0366000 PROTEIN', NULL, NULL, NULL, 15),
(144022, NULL, 'PTHR32419:SF25', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE (EUROFUNG)', NULL, NULL, NULL, 15),
(144023, NULL, 'PTHR44086:SF1', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE/RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(144024, NULL, 'PTHR31213:SF89', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN STH-2-LIKE', NULL, NULL, NULL, 15),
(144025, NULL, 'PTHR11946:SF71', NULL, NULL, NULL, NULL, 'VARS2-RELATED', NULL, NULL, NULL, 15),
(144026, NULL, 'PTHR23301:SF63', NULL, NULL, NULL, NULL, 'CHONDROITIN PROTEOGLYCAN 1', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144027, NULL, 'PTHR33065:SF22', NULL, NULL, NULL, NULL, 'OS11G0104220 PROTEIN', NULL, NULL, NULL, 15),
(144028, NULL, 'PTHR19306:SF6', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 6', NULL, NULL, 23245, 15),
(144029, NULL, 'PTHR47999:SF41', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN P', NULL, NULL, NULL, 15),
(144030, NULL, 'PTHR10795:SF384', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.6', NULL, NULL, NULL, 15),
(144031, NULL, 'PTHR43558:SF2', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10540)-RELATED', NULL, NULL, NULL, 15),
(144032, NULL, 'PTHR45650:SF5', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(144033, NULL, 'PTHR23403:SF3', NULL, NULL, NULL, NULL, 'TREHALASE', NULL, NULL, NULL, 15),
(144034, NULL, 'PTHR33326:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144035, NULL, 'PTHR33784:SF37', NULL, NULL, NULL, NULL, 'BNAA03G53670D PROTEIN', NULL, NULL, NULL, 15),
(144036, NULL, 'PTHR46559:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 11', NULL, NULL, NULL, 15),
(144037, NULL, 'PTHR47992:SF109', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', NULL, NULL, NULL, 15),
(144038, NULL, 'PTHR24177:SF238', NULL, NULL, NULL, NULL, 'OS06G0292100 PROTEIN', NULL, NULL, NULL, 15),
(144039, NULL, 'PTHR23339:SF98', NULL, NULL, NULL, NULL, 'PRL-1 PHOSPHATASE, ISOFORM A', NULL, NULL, NULL, 15),
(144040, NULL, 'PTHR11607:SF39', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE D-RELATED', NULL, NULL, NULL, 15),
(144041, NULL, 'PTHR42869:SF1', NULL, NULL, NULL, NULL, 'SLL0572 PROTEIN', NULL, NULL, NULL, 15),
(144042, NULL, 'PTHR13088:SF3', NULL, NULL, NULL, NULL, 'FAS APOPTOTIC INHIBITORY MOLECULE 1', NULL, NULL, NULL, 15),
(144043, NULL, 'PTHR34341', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 107', NULL, NULL, 28961, 15),
(144044, NULL, 'PTHR11472:SF34', NULL, NULL, NULL, NULL, 'REGULATOR OF TELOMERE ELONGATION HELICASE 1', NULL, NULL, NULL, 15),
(144045, NULL, 'PTHR46225:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(144046, NULL, 'PTHR23164:SF19', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE-TYPE CONTAINING 1', NULL, NULL, NULL, 15),
(144047, NULL, 'PTHR39490:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(144048, NULL, 'PTHR24177:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144049, NULL, 'PTHR19818:SF69', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZIC 5', NULL, NULL, NULL, 15),
(144050, NULL, 'PTHR10442', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', NULL, NULL, 2009, 15),
(144051, NULL, 'PTHR37534:SF5', NULL, NULL, NULL, NULL, 'C6 ZINC FINGER DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(144052, NULL, 'PTHR46296:SF8', NULL, NULL, NULL, NULL, 'BNAA05G37250D PROTEIN', NULL, NULL, NULL, 15),
(144053, NULL, 'PTHR18945:SF757', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(144054, NULL, 'PTHR11474:SF112', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE D, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(144055, NULL, 'PTHR31579:SF60', NULL, NULL, NULL, NULL, 'BNAC03G21670D PROTEIN', NULL, NULL, NULL, 15),
(144056, NULL, 'PTHR23055:SF91', NULL, NULL, NULL, NULL, 'NEUROCALCIN HOMOLOG', NULL, NULL, NULL, 15),
(144057, NULL, 'PTHR18966:SF100', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 4', NULL, NULL, NULL, 15),
(144058, NULL, 'PTHR14336:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144059, NULL, 'PTHR11814:SF120', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER SULP-7D', NULL, NULL, 26941, 15),
(144060, NULL, 'PTHR23278:SF26', NULL, NULL, NULL, NULL, 'AGAP003305-PA', NULL, NULL, NULL, 15),
(144061, NULL, 'PTHR23055:SF81', NULL, NULL, NULL, NULL, 'RECOVERIN FAMILY PROTEIN DDB_G0272130', NULL, NULL, NULL, 15),
(144062, NULL, 'PTHR17149:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN 2', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144063, NULL, 'PTHR46293:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP1-LIKE', NULL, NULL, NULL, 15),
(144064, NULL, 'PTHR31218:SF348', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(144065, NULL, 'PTHR12341:SF64', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE 2', NULL, NULL, NULL, 15),
(144066, NULL, 'PTHR33644:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(144067, NULL, 'PTHR48019:SF101', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN SVP ISOFORM X1', NULL, NULL, NULL, 15),
(144068, NULL, 'PTHR11627:SF54', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(144069, NULL, 'PTHR12482:SF49', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(144070, NULL, 'PTHR23128:SF138', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(144071, NULL, 'PTHR11827', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12, CATION COTRANSPORTERS', NULL, NULL, 4183, 15),
(144072, NULL, 'PTHR45934:SF8', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT URATE HYDROXYLASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(144073, NULL, 'PTHR14947:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 781', NULL, NULL, NULL, 15),
(144074, NULL, 'PTHR31692:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144075, NULL, 'PTHR32093:SF146', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(144076, NULL, 'PTHR11467:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144077, NULL, 'PTHR10429:SF0', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE', NULL, NULL, NULL, 15),
(144078, NULL, 'PTHR47169', NULL, NULL, NULL, NULL, 'OS01G0541250 PROTEIN', NULL, NULL, NULL, 15),
(144079, NULL, 'PTHR32093:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144080, NULL, 'PTHR43313:SF33', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(144081, NULL, 'PTHR31929:SF103', NULL, NULL, NULL, NULL, 'BNAANNG24400D PROTEIN', NULL, NULL, NULL, 15),
(144082, NULL, 'PTHR31741:SF80', NULL, NULL, NULL, NULL, 'BNAC02G03690D PROTEIN', NULL, NULL, NULL, 15),
(144083, NULL, 'PTHR43625:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144084, NULL, 'PTHR45621:SF72', NULL, NULL, NULL, NULL, 'BNAC02G17010D PROTEIN', NULL, NULL, NULL, 15),
(144085, NULL, 'PTHR22975:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144086, NULL, 'PTHR22538:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 74', NULL, NULL, NULL, 15),
(144087, NULL, 'PTHR23222:SF30', NULL, NULL, NULL, NULL, 'PROHIBITIN COMPLEX PROTEIN', NULL, NULL, NULL, 15),
(144088, NULL, 'PTHR12822:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YIPF2', NULL, NULL, NULL, 15),
(144089, NULL, 'PTHR31639:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144090, NULL, 'PTHR48045:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(144091, NULL, 'PTHR34959:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144092, NULL, 'PTHR13061:SF42', NULL, NULL, NULL, NULL, 'BNAA06G13770D PROTEIN', NULL, NULL, NULL, 15),
(144093, NULL, 'PTHR30272', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-[ACYL-CARRIER-PROTEIN] DEHYDRATASE', NULL, NULL, 18923, 15),
(144094, NULL, 'PTHR10681:SF111', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-1', NULL, NULL, NULL, 15),
(144095, NULL, 'PTHR21427', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS PROTEIN COQ9, MITOCHONDRIAL', NULL, NULL, 10268, 15),
(144096, NULL, 'PTHR34892:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE CATALYTIC SUBUNIT-RELATED / V-ATPASE-RELATED / VACUOLAR PROTON PUMP-RELATED', NULL, NULL, NULL, 15),
(144097, NULL, 'PTHR38167', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144098, NULL, 'PTHR11668:SF470', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144099, NULL, 'PTHR12270:SF25', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE PROTEIN LARGE', NULL, NULL, NULL, 15),
(144100, NULL, 'PTHR24103:SF641', NULL, NULL, NULL, NULL, 'SI:DKEY-18P12.4', NULL, NULL, NULL, 15),
(144101, NULL, 'PTHR13318:SF128', NULL, NULL, NULL, NULL, 'F-BOX PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(144102, NULL, 'PTHR20889:SF21', NULL, NULL, NULL, NULL, 'BNAANNG30500D PROTEIN', NULL, NULL, NULL, 15),
(144103, NULL, 'PTHR11863:SF152', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 1', NULL, NULL, NULL, 15),
(144104, NULL, 'PTHR10165:SF155', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 1', NULL, NULL, NULL, 15),
(144105, NULL, 'PTHR12323:SF0', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS ENDOPLASMIC RETICULUM PROTEIN', NULL, NULL, NULL, 15),
(144106, NULL, 'PTHR46359:SF2', NULL, NULL, NULL, NULL, 'GEO07743P1', NULL, NULL, NULL, 15),
(144107, NULL, 'PTHR24240:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144108, NULL, 'PTHR24281:SF95', NULL, NULL, NULL, NULL, 'TRANS-CINNAMATE 4-MONOOXYGENASE', NULL, NULL, NULL, 15),
(144109, NULL, 'PTHR24043:SF0', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS F MEMBER 1', NULL, NULL, 30399, 15),
(144110, NULL, 'PTHR43620:SF24', NULL, NULL, NULL, NULL, 'BNAA02G12730D PROTEIN', NULL, NULL, NULL, 15),
(144111, NULL, 'PTHR14119:SF5', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE DOMAIN-CONTAINING PROTEIN 2B', NULL, NULL, NULL, 15),
(144112, NULL, 'PTHR10272:SF6', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE 2, CYTOPLASMIC', NULL, NULL, NULL, 15),
(144113, NULL, 'PTHR24373:SF343', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 3CA', NULL, NULL, NULL, 15),
(144114, NULL, 'PTHR38025:SF1', NULL, NULL, NULL, NULL, 'TRP OPERON REPRESSOR', NULL, NULL, NULL, 15),
(144115, NULL, 'PTHR24305:SF198', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(144116, NULL, 'PTHR19849', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A-2-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(144117, NULL, 'PTHR40099:SF1', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE, SMALL SUBUNIT', NULL, NULL, NULL, 15),
(144118, NULL, 'PTHR35243:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144119, NULL, 'PTHR23294:SF13', NULL, NULL, NULL, NULL, 'PLUGGED EXCRETORY PORE', NULL, NULL, NULL, 15),
(144120, NULL, 'PTHR24225:SF5', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 33-RELATED', NULL, NULL, NULL, 15),
(144121, NULL, 'PTHR22977:SF6', NULL, NULL, NULL, NULL, 'COX ASSEMBLY MITOCHONDRIAL PROTEIN', NULL, NULL, NULL, 15),
(144122, NULL, 'PTHR26374:SF331', NULL, NULL, NULL, NULL, 'OS05G0114400 PROTEIN', NULL, NULL, NULL, 15),
(144123, NULL, 'PTHR48002:SF24', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K3', NULL, NULL, NULL, 15),
(144124, NULL, 'PTHR23032:SF17', NULL, NULL, NULL, NULL, 'BNAC09G43170D PROTEIN', NULL, NULL, NULL, 15),
(144125, NULL, 'PTHR33143:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144126, NULL, 'PTHR27008:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144127, NULL, 'PTHR12411:SF779', NULL, NULL, NULL, NULL, 'BNAA02G06390D PROTEIN', NULL, NULL, NULL, 15),
(144128, NULL, 'PTHR31394:SF2', NULL, NULL, NULL, NULL, 'BNAA02G10570D PROTEIN', NULL, NULL, NULL, 15),
(144129, NULL, 'PTHR11266:SF82', NULL, NULL, NULL, NULL, 'PXMP2/4 FAMILY PROTEIN 4', NULL, NULL, NULL, 15),
(144130, NULL, 'PTHR47977:SF44', NULL, NULL, NULL, NULL, 'RAB7L1 PROTEIN', NULL, NULL, NULL, 15),
(144131, NULL, 'PTHR43952:SF57', NULL, NULL, NULL, NULL, 'OS02G0706400 PROTEIN', NULL, NULL, NULL, 15),
(144132, NULL, 'PTHR23024:SF414', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 13-RELATED', NULL, NULL, NULL, 15),
(144133, NULL, 'PTHR33155:SF42', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 2-LIKE', NULL, NULL, NULL, 15),
(144134, NULL, 'PTHR13439:SF20', NULL, NULL, NULL, NULL, 'PROTEIN FAM57A', NULL, NULL, NULL, 15),
(144135, NULL, 'PTHR34659:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144136, NULL, 'PTHR33374:SF34', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 22', NULL, NULL, NULL, 15),
(144137, NULL, 'PTHR33021:SF365', NULL, NULL, NULL, NULL, 'LAMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(144138, NULL, 'PTHR11972:SF39', NULL, NULL, NULL, NULL, 'NADPH OXIDASE 1', NULL, NULL, NULL, 15),
(144139, NULL, 'PTHR21716:SF21', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YHHT-RELATED', NULL, NULL, NULL, 15),
(144140, NULL, 'PTHR12243:SF44', NULL, NULL, NULL, NULL, 'LD04047P', NULL, NULL, NULL, 15),
(144141, NULL, 'PTHR28657:SF3', NULL, NULL, NULL, NULL, 'INDOLEAMINE 2,3-DIOXYGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_7G02010)', NULL, NULL, NULL, 15),
(144142, NULL, 'PTHR23110:SF95', NULL, NULL, NULL, NULL, 'LONGITUDINALS LACKING PROTEIN-LIKE-RELATED', NULL, NULL, NULL, 15),
(144143, NULL, 'PTHR16189:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144144, NULL, 'PTHR11961:SF43', NULL, NULL, NULL, NULL, 'CYTOCHROME C', NULL, NULL, NULL, 15),
(144145, NULL, 'PTHR10424', NULL, NULL, NULL, NULL, 'VIRAL ENVELOPE PROTEIN', NULL, NULL, 13761, 15),
(144146, NULL, 'PTHR31549:SF138', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(144147, NULL, 'PTHR43836:SF2', NULL, NULL, NULL, NULL, 'CATECHOL O-METHYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(144148, NULL, 'PTHR16040:SF6', NULL, NULL, NULL, NULL, 'BOREALIN', NULL, NULL, NULL, 15),
(144149, NULL, 'PTHR27008:SF313', NULL, NULL, NULL, NULL, 'OS11G0173432 PROTEIN', NULL, NULL, NULL, 15),
(144150, NULL, 'PTHR24356:SF228', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(144151, NULL, 'PTHR23322:SF87', NULL, NULL, NULL, NULL, 'POLYPOSIS COLI PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(144152, NULL, 'PTHR31561:SF146', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(144153, NULL, 'PTHR35096:SF11', NULL, NULL, NULL, NULL, 'BNAC08G44720D PROTEIN', NULL, NULL, NULL, 15),
(144154, NULL, 'PTHR11567:SF135', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATASE', NULL, NULL, NULL, 15),
(144155, NULL, 'PTHR36884:SF5', NULL, NULL, NULL, NULL, 'BNAC09G33570D PROTEIN', NULL, NULL, NULL, 15),
(144156, NULL, 'PTHR10574:SF27', NULL, NULL, NULL, NULL, 'NETRIN-G2', NULL, NULL, NULL, 15),
(144157, NULL, 'PTHR31476:SF6', NULL, NULL, NULL, NULL, 'EMB|CAB68190.1', NULL, NULL, NULL, 15),
(144158, NULL, 'PTHR11309:SF97', NULL, NULL, NULL, NULL, 'SECRETED FRIZZLED-RELATED PROTEIN 3', NULL, NULL, 22200, 15),
(144159, NULL, 'PTHR38465:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MJ1563-RELATED', NULL, NULL, NULL, 15),
(144160, NULL, 'PTHR31623:SF20', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(144161, NULL, 'PTHR31218:SF216', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(144162, NULL, 'PTHR22640:SF2', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES FLEXIBLE HINGE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(144163, NULL, 'PTHR43353:SF7', NULL, NULL, NULL, NULL, 'SUCCINATE SEMIALDEHYDE DEHYDROGENASE (EUROFUNG)', NULL, NULL, NULL, 15),
(144164, NULL, 'PTHR23024:SF531', NULL, NULL, NULL, NULL, 'GIBBERELLIN RECEPTOR GID1L2', NULL, NULL, NULL, 15),
(144165, NULL, 'PTHR43563:SF11', NULL, NULL, NULL, NULL, 'AMINE OXIDASE [FLAVIN-CONTAINING] A', NULL, NULL, NULL, 15),
(144166, NULL, 'PTHR14499:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144167, NULL, 'PTHR13832:SF547', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(144168, NULL, 'PTHR43679:SF2', NULL, NULL, NULL, NULL, 'OCTANOYLTRANSFERASE LIPM', NULL, NULL, NULL, 15),
(144169, NULL, 'PTHR12549:SF4', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE HAIRLESS', NULL, NULL, NULL, 15),
(144170, NULL, 'PTHR33285:SF49', NULL, NULL, NULL, NULL, 'GROWTH FACTOR', NULL, NULL, NULL, 15),
(144171, NULL, 'PTHR10314:SF176', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(144172, NULL, 'PTHR43895:SF124', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144173, NULL, 'PTHR33021:SF375', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(144174, NULL, 'PTHR12656', NULL, NULL, NULL, NULL, 'BRG-1 ASSOCIATED FACTOR 250  BAF250', NULL, NULL, 20480, 15),
(144175, NULL, 'PTHR22870:SF212', NULL, NULL, NULL, NULL, 'OS05G0384800 PROTEIN', NULL, NULL, NULL, 15),
(144176, NULL, 'PTHR47293:SF41', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 2-RELATED', NULL, NULL, NULL, 15),
(144177, NULL, 'PTHR35660:SF2', NULL, NULL, NULL, NULL, 'SERINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING 2', NULL, NULL, NULL, 15),
(144178, NULL, 'PTHR47958:SF57', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DBP3', NULL, NULL, NULL, 15),
(144179, NULL, 'PTHR14516:SF1', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT FAMILY ORPHAN 2', NULL, NULL, NULL, 15),
(144180, NULL, 'PTHR47688:SF1', NULL, NULL, NULL, NULL, 'NLR FAMILY CARD DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(144181, NULL, 'PTHR12768:SF7', NULL, NULL, NULL, NULL, 'BECLIN-1-LIKE PROTEIN A', NULL, NULL, NULL, 15),
(144182, NULL, 'PTHR31421:SF5', NULL, NULL, NULL, NULL, 'PROTEIN BARLEY B RECOMBINANT', NULL, NULL, NULL, 15),
(144183, NULL, 'PTHR42695:SF12', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL PEPTIDASE 4', NULL, NULL, NULL, 15),
(144184, NULL, 'PTHR15507:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 292', NULL, NULL, NULL, 15),
(144185, NULL, 'PTHR23266:SF250', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 4-4', NULL, NULL, NULL, 15),
(144186, NULL, 'PTHR36066:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH144', NULL, NULL, NULL, 15),
(144187, NULL, 'PTHR33021:SF362', NULL, NULL, NULL, NULL, 'PEELING CUPREDOXIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(144188, NULL, 'PTHR46448:SF3', NULL, NULL, NULL, NULL, 'EXTRACELLULAR TYROSINE-PROTEIN KINASE PKDCC', NULL, NULL, NULL, 15),
(144189, NULL, 'PTHR47093', NULL, NULL, NULL, NULL, 'PROTEIN JSN1-RELATED', NULL, NULL, NULL, 15),
(144190, NULL, 'PTHR21248', NULL, NULL, NULL, NULL, 'CARDIOLIPIN SYNTHASE', NULL, NULL, NULL, 15),
(144191, NULL, 'PTHR47848:SF2', NULL, NULL, NULL, NULL, 'BNAC06G02390D PROTEIN', NULL, NULL, NULL, 15),
(144192, NULL, 'PTHR45636:SF19', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-2', NULL, NULL, NULL, 15),
(144193, NULL, 'PTHR31607:SF12', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II LARGEST SUBUNIT-RELATED PROTEIN', NULL, NULL, NULL, 15),
(144194, NULL, 'PTHR13944', NULL, NULL, NULL, NULL, 'AGAP007712-PA', NULL, NULL, NULL, 15),
(144195, NULL, 'PTHR43829:SF4', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', NULL, NULL, NULL, 15),
(144196, NULL, 'PTHR24115:SF941', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(144197, NULL, 'PTHR13047:SF3', NULL, NULL, NULL, NULL, 'PRE-MRNA CLEAVAGE FACTOR IM 25 KDA SUBUNIT 2', NULL, NULL, NULL, 15),
(144198, NULL, 'PTHR12765:SF7', NULL, NULL, NULL, NULL, 'PROTEIN RED', NULL, NULL, NULL, 15),
(144199, NULL, 'PTHR12956:SF61', NULL, NULL, NULL, NULL, 'DUF616 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(144200, NULL, 'PTHR11552:SF155', NULL, NULL, NULL, NULL, 'ECDYSONE OXIDASE-RELATED', NULL, NULL, NULL, 15),
(144201, NULL, 'PTHR24281:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144202, NULL, 'PTHR47997:SF32', NULL, NULL, NULL, NULL, 'BNACNNG68780D PROTEIN', NULL, NULL, NULL, 15),
(144203, NULL, 'PTHR13718:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144204, NULL, 'PTHR11654:SF405', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER PLANT', NULL, NULL, NULL, 15),
(144205, NULL, 'PTHR33871:SF8', NULL, NULL, NULL, NULL, 'OS03G0582800 PROTEIN', NULL, NULL, NULL, 15),
(144206, NULL, 'PTHR14918', NULL, NULL, NULL, NULL, 'KICSTOR COMPLEX PROTEIN SZT2', NULL, NULL, 35892, 15),
(144207, NULL, 'PTHR35348:SF1', NULL, NULL, NULL, NULL, 'TESTIS, PROSTATE AND PLACENTA-EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(144208, NULL, 'PTHR27001:SF540', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144209, NULL, 'PTHR11802:SF392', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(144210, NULL, 'PTHR31190:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144211, NULL, 'PTHR24006:SF663', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 36', NULL, NULL, NULL, 15),
(144212, NULL, 'PTHR15071:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144213, NULL, 'PTHR43546:SF5', NULL, NULL, NULL, NULL, 'L-ASCORBATE-6-PHOSPHATE LACTONASE ULAG-RELATED', NULL, NULL, NULL, 15),
(144214, NULL, 'PTHR21245:SF13', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF', NULL, NULL, NULL, 15),
(144215, NULL, 'PTHR10252:SF98', NULL, NULL, NULL, NULL, 'HISTONE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(144216, NULL, 'PTHR34156:SF8', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144217, NULL, 'PTHR31906:SF22', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 9, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(144218, NULL, 'PTHR24381:SF19', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 705G-RELATED', NULL, NULL, NULL, 15),
(144219, NULL, 'PTHR33545:SF3', NULL, NULL, NULL, NULL, 'UPF0750 MEMBRANE PROTEIN YQFU', NULL, NULL, NULL, 15),
(144220, NULL, 'PTHR43918:SF4', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(144221, NULL, 'PTHR13233:SF10', NULL, NULL, NULL, NULL, 'OS07G0190900 PROTEIN', NULL, NULL, NULL, 15),
(144222, NULL, 'PTHR23320:SF96', NULL, NULL, NULL, NULL, 'CHANDRA PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144223, NULL, 'PTHR46931:SF8', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144224, NULL, 'PTHR46002:SF6', NULL, NULL, NULL, NULL, 'CALCINEURIN B HOMOLOGOUS PROTEIN 2', NULL, NULL, NULL, 15),
(144225, NULL, 'PTHR34459:SF3', NULL, NULL, NULL, NULL, 'OS01G0264500 PROTEIN', NULL, NULL, NULL, 15),
(144226, NULL, 'PTHR23056:SF123', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(144227, NULL, 'PTHR30540:SF121', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 3-RELATED', NULL, NULL, NULL, 15),
(144228, NULL, 'PTHR12411:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144229, NULL, 'PTHR23509:SF22', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 3', NULL, NULL, NULL, 15),
(144230, NULL, 'PTHR45838:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE 2A', NULL, NULL, 34241, 15),
(144231, NULL, 'PTHR46560:SF6', NULL, NULL, NULL, NULL, 'ZYE', NULL, NULL, NULL, 15),
(144232, NULL, 'PTHR31729:SF7', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF008', NULL, NULL, NULL, 15),
(144233, NULL, 'PTHR46971:SF4', NULL, NULL, NULL, NULL, 'OS08G0442300 PROTEIN', NULL, NULL, NULL, 15),
(144234, NULL, 'PTHR14987', NULL, NULL, NULL, NULL, 'PROTEIN LBH-RELATED', NULL, NULL, 38500, 15),
(144235, NULL, 'PTHR14499:SF10', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD6', NULL, NULL, NULL, 15),
(144236, NULL, 'PTHR23147', NULL, NULL, NULL, NULL, 'SERINE/ARGININE RICH SPLICING FACTOR', NULL, NULL, NULL, 15),
(144237, NULL, 'PTHR33085:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144238, NULL, 'PTHR36503', NULL, NULL, NULL, NULL, 'BLR2520 PROTEIN', NULL, NULL, NULL, 15),
(144239, NULL, 'PTHR39757:SF5', NULL, NULL, NULL, NULL, 'LYCOPENE BETA CYCLASE CHLOROPLASTIC', NULL, NULL, NULL, 15),
(144240, NULL, 'PTHR45794:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144241, NULL, 'PTHR24221:SF482', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 10', NULL, NULL, NULL, 15),
(144242, NULL, 'PTHR12696:SF1', NULL, NULL, NULL, NULL, 'CULLIN-ASSOCIATED NEDD8-DISSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(144243, NULL, 'PTHR43884:SF25', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(144244, NULL, 'PTHR10574:SF79', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT GAMMA-1', NULL, NULL, NULL, 15),
(144245, NULL, 'PTHR47976:SF33', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144246, NULL, 'PTHR42973:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144247, NULL, 'PTHR48047:SF97', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(144248, NULL, 'PTHR24211:SF19', NULL, NULL, NULL, NULL, 'PRICKLE PLANAR CELL POLARITY PROTEIN 3', NULL, NULL, NULL, 15),
(144249, NULL, 'PTHR14379:SF39', NULL, NULL, NULL, NULL, 'BNAC02G03350D PROTEIN', NULL, NULL, NULL, 15),
(144250, NULL, 'PTHR10791:SF167', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(144251, NULL, 'PTHR33309:SF5', NULL, NULL, NULL, NULL, 'MICROSOMAL DIPEPTIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(144252, NULL, 'PTHR37888:SF8', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(144253, NULL, 'PTHR47956:SF7', NULL, NULL, NULL, NULL, 'OS05G0515200 PROTEIN', NULL, NULL, NULL, 15),
(144254, NULL, 'PTHR12646', NULL, NULL, NULL, NULL, 'NOT56 - RELATED', NULL, NULL, 3159, 15),
(144255, NULL, 'PTHR10489:SF618', NULL, NULL, NULL, NULL, 'C-X-C CHEMOKINE RECEPTOR TYPE 5', NULL, NULL, NULL, 15),
(144256, NULL, 'PTHR45963:SF2', NULL, NULL, NULL, NULL, 'RE52028P', NULL, NULL, NULL, 15),
(144257, NULL, 'PTHR12802:SF111', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 5', NULL, NULL, NULL, 15),
(144258, NULL, 'PTHR46937:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144259, NULL, 'PTHR14275:SF0', NULL, NULL, NULL, NULL, 'PROMETHIN', NULL, NULL, NULL, 15),
(144260, NULL, 'PTHR43875:SF13', NULL, NULL, NULL, NULL, 'TREHALOSE IMPORT ATP-BINDING PROTEIN SUGC', NULL, NULL, NULL, 15),
(144261, NULL, 'PTHR47075:SF2', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(144262, NULL, 'PTHR23077:SF69', NULL, NULL, NULL, NULL, 'TRANSITIONAL ENDOPLASMIC RETICULUM ATPASE', NULL, NULL, NULL, 15),
(144263, NULL, 'PTHR24300:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144264, NULL, 'PTHR47928:SF21', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN CHLOROPLASTIC', NULL, NULL, NULL, 15),
(144265, NULL, 'PTHR46034:SF7', NULL, NULL, NULL, NULL, 'INFLUENZA VIRUS NS1A-BINDING PROTEIN', NULL, NULL, NULL, 15),
(144266, NULL, 'PTHR11003:SF73', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(144267, NULL, 'PTHR24253:SF86', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 3', NULL, NULL, NULL, 15),
(144268, NULL, 'PTHR47966:SF40', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEASE 3', NULL, NULL, NULL, 15),
(144269, NULL, 'PTHR24373:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144270, NULL, 'PTHR10996:SF234', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3', NULL, NULL, NULL, 15),
(144271, NULL, 'PTHR11857:SF46', NULL, NULL, NULL, NULL, 'GEO07291P1-RELATED', NULL, NULL, NULL, 15),
(144272, NULL, 'PTHR43165', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE', NULL, NULL, NULL, 15),
(144273, NULL, 'PTHR32444:SF69', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-13', NULL, NULL, NULL, 15),
(144274, NULL, 'PTHR42884:SF3', NULL, NULL, NULL, NULL, 'FURIN-LIKE PROTEASE 1, ISOFORMS 1/1-X/2', NULL, NULL, NULL, 15),
(144275, NULL, 'PTHR32018:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144276, NULL, 'PTHR46266:SF7', NULL, NULL, NULL, NULL, 'BNAA09G51900D PROTEIN', NULL, NULL, NULL, 15),
(144277, NULL, 'PTHR31969:SF37', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(144278, NULL, 'PTHR34670:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(144279, NULL, 'PTHR33098:SF3', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', NULL, NULL, NULL, 15),
(144280, NULL, 'PTHR15036:SF46', NULL, NULL, NULL, NULL, 'CONTACTIN-ASSOCIATED PROTEIN-LIKE 5', NULL, NULL, NULL, 15),
(144281, NULL, 'PTHR31232:SF107', NULL, NULL, NULL, NULL, 'BNAA02G28510D PROTEIN', NULL, NULL, NULL, 15),
(144282, NULL, 'PTHR31669:SF211', NULL, NULL, NULL, NULL, 'OS02G0608300 PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144283, NULL, 'PTHR24067:SF300', NULL, NULL, NULL, NULL, 'BNAA09G34960D PROTEIN', NULL, NULL, NULL, 15),
(144284, NULL, 'PTHR23327:SF6', NULL, NULL, NULL, NULL, 'LON PEPTIDASE N-TERMINAL DOMAIN AND RING FINGER 1', NULL, NULL, NULL, 15),
(144285, NULL, 'PTHR44329:SF151', NULL, NULL, NULL, NULL, 'ACT-LIKE TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(144286, NULL, 'PTHR35097:SF2', NULL, NULL, NULL, NULL, 'OS10G0438300 PROTEIN', NULL, NULL, NULL, 15),
(144287, NULL, 'PTHR43557:SF12', NULL, NULL, NULL, NULL, 'MONODEHYDROASCORBATE REDUCTASE 3, CYTOSOLIC', NULL, NULL, NULL, 15),
(144288, NULL, 'PTHR23320:SF135', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 6A', NULL, NULL, 22651, 15),
(144289, NULL, 'PTHR31065:SF49', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(144290, NULL, 'PTHR32370:SF136', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(144291, NULL, 'PTHR44259:SF28', NULL, NULL, NULL, NULL, 'BNAA04G19220D PROTEIN', NULL, NULL, NULL, 15),
(144292, NULL, 'PTHR31448:SF41', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(144293, NULL, 'PTHR33605:SF9', NULL, NULL, NULL, NULL, 'EARLY NODULIN-RELATED', NULL, NULL, NULL, 15),
(144294, NULL, 'PTHR33220', NULL, NULL, NULL, NULL, 'BNAA09G04420D PROTEIN', NULL, NULL, NULL, 15),
(144295, NULL, 'PTHR10658:SF40', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 1', NULL, NULL, NULL, 15),
(144296, NULL, 'PTHR34192:SF11', NULL, NULL, NULL, NULL, 'PLASTOCYANIN', NULL, NULL, NULL, 15),
(144297, NULL, 'PTHR25466:SF9', NULL, NULL, NULL, NULL, 'VARIABLE REGION-CONTAINING CHITIN-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(144298, NULL, 'PTHR31038:SF18', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(144299, NULL, 'PTHR26453:SF0', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13D1', NULL, NULL, 27671, 15),
(144300, NULL, 'PTHR21229:SF21', NULL, NULL, NULL, NULL, 'OSJNBA0043L24.20 PROTEIN', NULL, NULL, NULL, 15),
(144301, NULL, 'PTHR43716:SF1', NULL, NULL, NULL, NULL, 'D-2-HYDROXYGLUTARATE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(144302, NULL, 'PTHR11579:SF0', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE(D-ASPARTATE) O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(144303, NULL, 'PTHR24421:SF50', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE DESK', NULL, NULL, NULL, 15),
(144304, NULL, 'PTHR45619:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-1 CATALYTIC SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(144305, NULL, 'PTHR33377:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144306, NULL, 'PTHR46611:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(144307, NULL, 'PTHR36299:SF1', NULL, NULL, NULL, NULL, 'GH07892P-RELATED', NULL, NULL, NULL, 15),
(144308, NULL, 'PTHR41523:SF7', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM SENSOR PROTEIN', NULL, NULL, NULL, 15),
(144309, NULL, 'PTHR27002:SF809', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144310, NULL, 'PTHR23026', NULL, NULL, NULL, NULL, 'NADPH NITROREDUCTASE', NULL, NULL, NULL, 15),
(144311, NULL, 'PTHR31430:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG06031', NULL, NULL, NULL, 15),
(144312, NULL, 'PTHR33207:SF64', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(144313, NULL, 'PTHR24281:SF52', NULL, NULL, NULL, NULL, 'FLAVONOID 3'',5''-HYDROXYLASE 2-LIKE', NULL, NULL, NULL, 15),
(144314, NULL, 'PTHR24096:SF367', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144315, NULL, 'PTHR35736:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(144316, NULL, 'PTHR18916:SF79', NULL, NULL, NULL, NULL, 'RESTIN HOMOLOG', NULL, NULL, NULL, 15),
(144317, NULL, 'PTHR24034:SF133', NULL, NULL, NULL, NULL, 'MATRILIN 2', NULL, NULL, NULL, 15),
(144318, NULL, 'PTHR12198:SF0', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN PROSPERO', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144319, NULL, 'PTHR12673:SF253', NULL, NULL, NULL, NULL, 'RHOGEF DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(144320, NULL, 'PTHR45877:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIAH2', NULL, NULL, NULL, 15),
(144321, NULL, 'PTHR35716:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144322, NULL, 'PTHR36723:SF1', NULL, NULL, NULL, NULL, 'F22C12.19', NULL, NULL, NULL, 15),
(144323, NULL, 'PTHR37756', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(144324, NULL, 'PTHR12768:SF5', NULL, NULL, NULL, NULL, 'BECLIN-2', NULL, NULL, 25789, 15),
(144325, NULL, 'PTHR43019:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144326, NULL, 'PTHR47976:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144327, NULL, 'PTHR14143', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCIBLE GTPASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(144328, NULL, 'PTHR48010:SF60', NULL, NULL, NULL, NULL, 'BNAC06G13580D PROTEIN', NULL, NULL, NULL, 15),
(144329, NULL, 'PTHR24332:SF16', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CDX-1', NULL, NULL, NULL, 15),
(144330, NULL, 'PTHR34397:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144331, NULL, 'PTHR10209:SF608', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144332, NULL, 'PTHR24281:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144333, NULL, 'PTHR45993:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 296', NULL, NULL, NULL, 15),
(144334, NULL, 'PTHR22950:SF530', NULL, NULL, NULL, NULL, 'VACUOLAR AMINO ACID TRANSPORTER 3', NULL, NULL, NULL, 15),
(144335, NULL, 'PTHR12560:SF51', NULL, NULL, NULL, NULL, 'ASC1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(144336, NULL, 'PTHR12542:SF96', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO70B1', NULL, NULL, NULL, 15),
(144337, NULL, 'PTHR40866:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144338, NULL, 'PTHR23501:SF173', NULL, NULL, NULL, NULL, 'TRIACYLGLYCERIDE TRANSPORTER RV1410C-RELATED', NULL, NULL, NULL, 15),
(144339, NULL, 'PTHR33741:SF3', NULL, NULL, NULL, NULL, 'BNAA06G16970D PROTEIN', NULL, NULL, NULL, 15),
(144340, NULL, 'PTHR31096:SF5', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR3', NULL, NULL, NULL, 15),
(144341, NULL, 'PTHR23257:SF742', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE QKGA-RELATED', NULL, NULL, NULL, 15),
(144342, NULL, 'PTHR48049:SF41', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(144343, NULL, 'PTHR33511:SF19', NULL, NULL, NULL, NULL, 'OS01G0288800 PROTEIN', NULL, NULL, NULL, 15),
(144344, NULL, 'PTHR26379:SF356', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(144345, NULL, 'PTHR23101:SF110', NULL, NULL, NULL, NULL, 'BNAC09G47180D PROTEIN', NULL, NULL, NULL, 15),
(144346, NULL, 'PTHR23275:SF93', NULL, NULL, NULL, NULL, 'HYPOTHETICAL TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(144347, NULL, 'PTHR27006:SF297', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(144348, NULL, 'PTHR31301:SF133', NULL, NULL, NULL, NULL, 'BNAC02G36230D PROTEIN', NULL, NULL, NULL, 15),
(144349, NULL, 'PTHR47942:SF32', NULL, NULL, NULL, NULL, 'OS05G0393900 PROTEIN', NULL, NULL, NULL, 15),
(144350, NULL, 'PTHR31734:SF135', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(144351, NULL, 'PTHR17103:SF14', NULL, NULL, NULL, NULL, 'NEUREXOPHILIN-3', NULL, NULL, NULL, 15),
(144352, NULL, 'PTHR30118:SF10', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(144353, NULL, 'PTHR32191:SF80', NULL, NULL, NULL, NULL, 'BNAC05G14210D PROTEIN', NULL, NULL, NULL, 15),
(144354, NULL, 'PTHR31929:SF60', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A', NULL, NULL, NULL, 15),
(144355, NULL, 'PTHR46709:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG01609', NULL, NULL, NULL, 15),
(144356, NULL, 'PTHR31260:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144357, NULL, 'PTHR22914:SF39', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 2 (EUROFUNG)', NULL, NULL, NULL, 15),
(144358, NULL, 'PTHR30011:SF16', NULL, NULL, NULL, NULL, 'C2H2 FINGER DOMAIN TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(144359, NULL, 'PTHR19411:SF7', NULL, NULL, NULL, NULL, 'PROTEIN BUD31 HOMOLOG 1', NULL, NULL, NULL, 15),
(144360, NULL, 'PTHR21646:SF2', NULL, NULL, NULL, NULL, 'GGNBP1 PROTEIN', NULL, NULL, 27434, 15),
(144361, NULL, 'PTHR42647:SF35', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BOI', NULL, NULL, NULL, 15),
(144362, NULL, 'PTHR46148:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, RETROTRANSPOSON GAG DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144363, NULL, 'PTHR21439:SF0', NULL, NULL, NULL, NULL, 'PROTEIN OSCP1', NULL, NULL, NULL, 15),
(144364, NULL, 'PTHR10877:SF114', NULL, NULL, NULL, NULL, 'POLYCYSTIN-2', NULL, NULL, NULL, 15),
(144365, NULL, 'PTHR13780:SF144', NULL, NULL, NULL, NULL, 'BNAA08G26660D PROTEIN', NULL, NULL, NULL, 15),
(144366, NULL, 'PTHR21228:SF55', NULL, NULL, NULL, NULL, 'AGAP002598-PA', NULL, NULL, NULL, 15),
(144367, NULL, 'PTHR13060:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ECDYSONELESS HOMOLOG', NULL, NULL, NULL, 15),
(144368, NULL, 'PTHR42966', NULL, NULL, NULL, NULL, 'N-ACETYLNEURAMINATE SYNTHASE', NULL, NULL, NULL, 15),
(144369, NULL, 'PTHR23077:SF52', NULL, NULL, NULL, NULL, 'TRANSITIONAL ENDOPLASMIC RETICULUM ATPASE HOMOLOG 1', NULL, NULL, NULL, 15),
(144370, NULL, 'PTHR13367:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144371, NULL, 'PTHR11875:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SET HOMOLOG', NULL, NULL, NULL, 15),
(144372, NULL, 'PTHR44329:SF146', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SIS8-RELATED', NULL, NULL, NULL, 15),
(144373, NULL, 'PTHR42886:SF6', NULL, NULL, NULL, NULL, 'SERINE O-SUCCINYLTRANSFERASE', NULL, NULL, NULL, 15),
(144374, NULL, 'PTHR46611:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(144375, NULL, 'PTHR48051:SF13', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 30A', NULL, NULL, NULL, 15),
(144376, NULL, 'PTHR12876:SF2', NULL, NULL, NULL, NULL, 'PROTEIN NYNRIN', NULL, NULL, NULL, 15),
(144377, NULL, 'PTHR23500:SF505', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(144378, NULL, 'PTHR21397:SF2', NULL, NULL, NULL, NULL, 'CHROMATIN COMPLEXES SUBUNIT BAP18', NULL, NULL, 35847, 15),
(144379, NULL, 'PTHR23055:SF64', NULL, NULL, NULL, NULL, 'NEUROCALCIN-DELTA B', NULL, NULL, NULL, 15),
(144380, NULL, 'PTHR19338:SF16', NULL, NULL, NULL, NULL, 'OS12G0553600 PROTEIN', NULL, NULL, NULL, 15),
(144381, NULL, 'PTHR31636:SF255', NULL, NULL, NULL, NULL, 'BNAC08G45390D PROTEIN', NULL, NULL, NULL, 15),
(144382, NULL, 'PTHR23119:SF33', NULL, NULL, NULL, NULL, 'DISKS LARGE HOMOLOG 4', NULL, NULL, NULL, 15),
(144383, NULL, 'PTHR23030:SF30', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH 6-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(144384, NULL, 'PTHR30419:SF23', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(144385, NULL, 'PTHR10653:SF2', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(144386, NULL, 'PTHR30251:SF4', NULL, NULL, NULL, NULL, 'SLR1668 PROTEIN', NULL, NULL, NULL, 15),
(144387, NULL, 'PTHR33128:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144388, NULL, 'PTHR33825', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(144389, NULL, 'PTHR45638:SF8', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL BETA-3', NULL, NULL, 24846, 15),
(144390, NULL, 'PTHR42921:SF4', NULL, NULL, NULL, NULL, 'ACETOACETYL-COA SYNTHASE (AFU_ORTHOLOGUE AFUA_8G04770)', NULL, NULL, NULL, 15),
(144391, NULL, 'PTHR19317:SF42', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(144392, NULL, 'PTHR26450:SF92', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51E2', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144393, NULL, 'PTHR10464', NULL, NULL, NULL, NULL, 'UREA TRANSPORTER', NULL, NULL, 1846, 15),
(144394, NULL, 'PTHR23428:SF274', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(144395, NULL, 'PTHR14112:SF26', NULL, NULL, NULL, NULL, 'PROTEIN SSX1', NULL, NULL, NULL, 15),
(144396, NULL, 'PTHR43004:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144397, NULL, 'PTHR13620', NULL, NULL, NULL, NULL, '3-5 EXONUCLEASE', NULL, NULL, NULL, 15),
(144398, NULL, 'PTHR23294:SF51', NULL, NULL, NULL, NULL, 'PROTEIN CBG01364', NULL, NULL, NULL, 15),
(144399, NULL, 'PTHR22870:SF401', NULL, NULL, NULL, NULL, 'OS09G0560450 PROTEIN', NULL, NULL, NULL, 15),
(144400, NULL, 'PTHR43670:SF20', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(144401, NULL, 'PTHR34835:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144402, NULL, 'PTHR43952:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144403, NULL, 'PTHR28399:SF1', NULL, NULL, NULL, NULL, 'BARTTIN', NULL, NULL, NULL, 15),
(144404, NULL, 'PTHR46182:SF1', NULL, NULL, NULL, NULL, 'DYSLEXIA-ASSOCIATED PROTEIN KIAA0319', NULL, NULL, NULL, 15),
(144405, NULL, 'PTHR11730:SF107', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1 MEMBER 1', NULL, NULL, NULL, 15),
(144406, NULL, 'PTHR24031:SF379', NULL, NULL, NULL, NULL, 'RNA HELICASE', NULL, NULL, NULL, 15),
(144407, NULL, 'PTHR34208:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144408, NULL, 'PTHR23222:SF20', NULL, NULL, NULL, NULL, 'PROHIBITIN-2, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(144409, NULL, 'PTHR43811:SF17', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP16-3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(144410, NULL, 'PTHR47322:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144411, NULL, 'PTHR35485:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144412, NULL, 'PTHR46462', NULL, NULL, NULL, NULL, 'UPSET, ISOFORM A', NULL, NULL, NULL, 15),
(144413, NULL, 'PTHR48063:SF37', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', NULL, NULL, NULL, 15),
(144414, NULL, 'PTHR10666:SF331', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-A', NULL, NULL, NULL, 15),
(144415, NULL, 'PTHR12868', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE B22 SUBUNIT', NULL, NULL, 30447, 15),
(144416, NULL, 'PTHR48101', NULL, NULL, NULL, NULL, 'METHYLMALONYL-COA MUTASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(144417, NULL, 'PTHR47925:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144418, NULL, 'PTHR31642:SF13', NULL, NULL, NULL, NULL, 'OS03G0682900 PROTEIN', NULL, NULL, NULL, 15),
(144419, NULL, 'PTHR44520:SF1', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(144420, NULL, 'PTHR10460:SF44', NULL, NULL, NULL, NULL, 'ABI FAMILY, MEMBER 3A', NULL, NULL, NULL, 15),
(144421, NULL, 'PTHR31719:SF163', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 32', NULL, NULL, NULL, 15),
(144422, NULL, 'PTHR33337:SF39', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G11530)', NULL, NULL, NULL, 15),
(144423, NULL, 'PTHR46033:SF32', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(144424, NULL, 'PTHR31985:SF190', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(144425, NULL, 'PTHR30618', NULL, NULL, NULL, NULL, 'NCS1 FAMILY PURINE/PYRIMIDINE TRANSPORTER', NULL, NULL, 39099, 15),
(144426, NULL, 'PTHR22811:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144427, NULL, 'PTHR43874:SF95', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR5', NULL, NULL, NULL, 15),
(144428, NULL, 'PTHR21576:SF117', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER', NULL, NULL, NULL, 15),
(144429, NULL, 'PTHR12103:SF22', NULL, NULL, NULL, NULL, 'HAD-SUPERFAMILY HYDROLASE, SUBFAMILY IG, 5''-NUCLEOTIDASE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144430, NULL, 'PTHR31562', NULL, NULL, NULL, NULL, 'PROTEIN CBG18972', NULL, NULL, NULL, 15),
(144431, NULL, 'PTHR22803', NULL, NULL, NULL, NULL, 'MANNOSE, PHOSPHOLIPASE, LECTIN RECEPTOR RELATED', NULL, NULL, NULL, 15),
(144432, NULL, 'PTHR22807:SF54', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(144433, NULL, 'PTHR12928:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144434, NULL, 'PTHR30160:SF19', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE HEPTOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(144435, NULL, 'PTHR36562:SF5', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX 2', NULL, NULL, NULL, 15),
(144436, NULL, 'PTHR24300:SF332', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2U1', NULL, NULL, NULL, 15),
(144437, NULL, 'PTHR45932:SF10', NULL, NULL, NULL, NULL, 'PATELLIN-3 PROTEIN', NULL, NULL, NULL, 15),
(144438, NULL, 'PTHR12353:SF4', NULL, NULL, NULL, NULL, 'DISKS LARGE-ASSOCIATED PROTEIN 3', NULL, NULL, 26109, 15),
(144439, NULL, 'PTHR11679:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144440, NULL, 'PTHR35535:SF1', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSLJ', NULL, NULL, NULL, 15),
(144441, NULL, 'PTHR23202:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144442, NULL, 'PTHR35322:SF4', NULL, NULL, NULL, NULL, 'BNACNNG07400D PROTEIN', NULL, NULL, NULL, 15),
(144443, NULL, 'PTHR31062:SF18', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 32-RELATED', NULL, NULL, NULL, 15),
(144444, NULL, 'PTHR47989:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144445, NULL, 'PTHR42859:SF10', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, ELECTRON TRANSFER SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(144446, NULL, 'PTHR31251:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144447, NULL, 'PTHR23104:SF11', NULL, NULL, NULL, NULL, 'CELL GROWTH REGULATOR WITH EF HAND DOMAIN PROTEIN 1', NULL, NULL, 32873, 15),
(144448, NULL, 'PTHR31867:SF89', NULL, NULL, NULL, NULL, 'EXPANSIN-A3', NULL, NULL, NULL, 15),
(144449, NULL, 'PTHR33495:SF2', NULL, NULL, NULL, NULL, 'ANTI-SIGMA FACTOR ANTAGONIST TM_1081-RELATED', NULL, NULL, NULL, 15),
(144450, NULL, 'PTHR11562:SF51', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 2', NULL, NULL, NULL, 15),
(144451, NULL, 'PTHR24207:SF0', NULL, NULL, NULL, NULL, 'LIPOMA-PREFERRED PARTNER', NULL, NULL, 22469, 15),
(144452, NULL, 'PTHR10826:SF36', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(144453, NULL, 'PTHR11753:SF38', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', NULL, NULL, NULL, 15),
(144454, NULL, 'PTHR10366:SF725', NULL, NULL, NULL, NULL, '3BETA-HYDROXYSTEROID-DEHYDROGENASE/DECARBOXYLASE ISOFORM 1', NULL, NULL, NULL, 15),
(144455, NULL, 'PTHR11315:SF14', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL HYDROLASE A', NULL, NULL, NULL, 15),
(144456, NULL, 'PTHR12062:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144457, NULL, 'PTHR24082:SF497', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR', NULL, NULL, NULL, 15),
(144458, NULL, 'PTHR11462:SF57', NULL, NULL, NULL, NULL, 'AP-1-LIKE TRANSCRIPTION FACTOR NAPA', NULL, NULL, NULL, 15),
(144459, NULL, 'PTHR31165:SF49', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 2', NULL, NULL, NULL, 15),
(144460, NULL, 'PTHR11062:SF295', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144461, NULL, 'PTHR21245:SF4', NULL, NULL, NULL, NULL, 'DEAD END PROTEIN HOMOLOG 1', NULL, NULL, NULL, 15),
(144462, NULL, 'PTHR39405', NULL, NULL, NULL, NULL, 'DSC E3 UBIQUITIN LIGASE COMPLEX SUBUNIT 4', NULL, NULL, 31822, 15),
(144463, NULL, 'PTHR27002:SF345', NULL, NULL, NULL, NULL, 'OS10G0136400 PROTEIN', NULL, NULL, NULL, 15),
(144464, NULL, 'PTHR32444:SF98', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN, S-LOCUS GLYCOPROTEIN DOMAIN, PAN/APPLE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144465, NULL, 'PTHR23222:SF17', NULL, NULL, NULL, NULL, 'PROHIBITIN-3, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144466, NULL, 'PTHR47989:SF6', NULL, NULL, NULL, NULL, 'BNAA09G43810D PROTEIN', NULL, NULL, NULL, 15),
(144467, NULL, 'PTHR33130:SF31', NULL, NULL, NULL, NULL, 'BNAA02G13750D PROTEIN', NULL, NULL, NULL, 15),
(144468, NULL, 'PTHR47965:SF11', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(144469, NULL, 'PTHR28629', NULL, NULL, NULL, NULL, 'TRIOKINASE/FMN CYCLASE', NULL, NULL, NULL, 15),
(144470, NULL, 'PTHR37701', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, 31183, 15),
(144471, NULL, 'PTHR21027:SF1', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN54', NULL, NULL, NULL, 15),
(144472, NULL, 'PTHR45757:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG23364', NULL, NULL, NULL, 15),
(144473, NULL, 'PTHR37625:SF4', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(144474, NULL, 'PTHR35701', NULL, NULL, NULL, NULL, 'OS11G0148400 PROTEIN', NULL, NULL, NULL, 15),
(144475, NULL, 'PTHR36926', NULL, NULL, NULL, NULL, 'COLICIN V PRODUCTION PROTEIN', NULL, NULL, NULL, 15),
(144476, NULL, 'PTHR16008:SF4', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 4', NULL, NULL, NULL, 15),
(144477, NULL, 'PTHR23273:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144478, NULL, 'PTHR37377', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE LARGE CHAIN', NULL, NULL, 35849, 15),
(144479, NULL, 'PTHR33033:SF69', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(144480, NULL, 'PTHR45863:SF32', NULL, NULL, NULL, NULL, 'BNAA05G29160D PROTEIN', NULL, NULL, NULL, 15),
(144481, NULL, 'PTHR31775:SF5', NULL, NULL, NULL, NULL, 'REMORIN 1.4', NULL, NULL, NULL, 15),
(144482, NULL, 'PTHR45878:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP4', NULL, NULL, NULL, 15),
(144483, NULL, 'PTHR24329:SF547', NULL, NULL, NULL, NULL, 'PROP PAIRED-LIKE HOMEOBOX 1', NULL, NULL, NULL, 15),
(144484, NULL, 'PTHR34777:SF12', NULL, NULL, NULL, NULL, 'BNAANNG35340D PROTEIN', NULL, NULL, NULL, 15),
(144485, NULL, 'PTHR27007:SF355', NULL, NULL, NULL, NULL, 'BNAC03G30950D PROTEIN', NULL, NULL, NULL, 15),
(144486, NULL, 'PTHR12715', NULL, NULL, NULL, NULL, 'TRANSPORTER, DRUG/METABOLITE EXPORTER FAMILY', NULL, NULL, NULL, 15),
(144487, NULL, 'PTHR12461:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144488, NULL, 'PTHR12365:SF8', NULL, NULL, NULL, NULL, 'PROTEIN SPROUTY HOMOLOG 2', NULL, NULL, 25397, 15),
(144489, NULL, 'PTHR33349:SF11', NULL, NULL, NULL, NULL, 'PLANT CALMODULIN-BINDING PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(144490, NULL, 'PTHR47911:SF1', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', NULL, NULL, NULL, 15),
(144491, NULL, 'PTHR15497:SF1', NULL, NULL, NULL, NULL, '3-HYDROXYANTHRANILATE 3,4-DIOXYGENASE', NULL, NULL, NULL, 15),
(144492, NULL, 'PTHR48065:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(144493, NULL, 'PTHR33194', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE DOMAINCONTAINING PROTEIN', NULL, NULL, NULL, 15),
(144494, NULL, 'PTHR15135:SF5', NULL, NULL, NULL, NULL, 'SH3 AND CYSTEINE-RICH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(144495, NULL, 'PTHR45659:SF11', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B7', NULL, NULL, NULL, 15),
(144496, NULL, 'PTHR10438:SF408', NULL, NULL, NULL, NULL, 'BNAC06G25130D PROTEIN', NULL, NULL, NULL, 15),
(144497, NULL, 'PTHR21229:SF12', NULL, NULL, NULL, NULL, 'PROTEIN GPR107', NULL, NULL, NULL, 15),
(144498, NULL, 'PTHR31374:SF264', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(144499, NULL, 'PTHR40626:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02070)-RELATED', NULL, NULL, NULL, 15),
(144500, NULL, 'PTHR11814:SF197', NULL, NULL, NULL, NULL, 'SLC26A/SULP TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(144501, NULL, 'PTHR33193:SF44', NULL, NULL, NULL, NULL, 'BNAA05G31540D PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144502, NULL, 'PTHR20889:SF20', NULL, NULL, NULL, NULL, 'OS01G0600500 PROTEIN', NULL, NULL, NULL, 15),
(144503, NULL, 'PTHR24068:SF250', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 29', NULL, NULL, NULL, 15),
(144504, NULL, 'PTHR38487:SF1', NULL, NULL, NULL, NULL, 'TESTIS EXPRESSED 11', NULL, NULL, NULL, 15),
(144505, NULL, 'PTHR43418:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN TRPGD', NULL, NULL, NULL, 15),
(144506, NULL, 'PTHR21660:SF8', NULL, NULL, NULL, NULL, 'OS02G0521700 PROTEIN', NULL, NULL, NULL, 15),
(144507, NULL, 'PTHR37317:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144508, NULL, 'PTHR31300:SF37', NULL, NULL, NULL, NULL, 'BNAA01G26070D PROTEIN', NULL, NULL, NULL, 15),
(144509, NULL, 'PTHR23115:SF224', NULL, NULL, NULL, NULL, 'TRANSLATION ELONGATION/INITIATION FACTOR/RIBOSOMAL, BETA-BARREL', NULL, NULL, NULL, 15),
(144510, NULL, 'PTHR23002:SF106', NULL, NULL, NULL, NULL, 'CELLULAR NUCLEIC ACID-BINDING PROTEIN', NULL, NULL, NULL, 15),
(144511, NULL, 'PTHR43303', NULL, NULL, NULL, NULL, 'NADPH DEHYDROGENASE C23G7.10C-RELATED', NULL, NULL, 36689, 15),
(144512, NULL, 'PTHR24233:SF11', NULL, NULL, NULL, NULL, 'SI:CH73-309G22.1', NULL, NULL, NULL, 15),
(144513, NULL, 'PTHR33165:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144514, NULL, 'PTHR10887:SF317', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE ECM32-RELATED', NULL, NULL, NULL, 15),
(144515, NULL, 'PTHR15160:SF15', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NUCLEASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(144516, NULL, 'PTHR43617:SF18', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, GNAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(144517, NULL, 'PTHR10130:SF1', NULL, NULL, NULL, NULL, 'PEX5-RELATED PROTEIN', NULL, NULL, 9846, 15),
(144518, NULL, 'PTHR30290:SF64', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERIPLASMIC BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144519, NULL, 'PTHR10209:SF448', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144520, NULL, 'PTHR13780:SF122', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE SUBUNIT GAMMA-2', NULL, NULL, 36188, 15),
(144521, NULL, 'PTHR34358:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144522, NULL, 'PTHR20836:SF0', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE REDUCTASE 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(144523, NULL, 'PTHR24392:SF37', NULL, NULL, NULL, NULL, 'RE1-SILENCING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(144524, NULL, 'PTHR33673:SF22', NULL, NULL, NULL, NULL, 'SMOOTHELIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(144525, NULL, 'PTHR13874', NULL, NULL, NULL, NULL, 'ENDOTHELIN', NULL, NULL, 19675, 15),
(144526, NULL, 'PTHR46521:SF2', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 3-RELATED', NULL, NULL, NULL, 15),
(144527, NULL, 'PTHR10380:SF217', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 49AE-RELATED', NULL, NULL, NULL, 15),
(144528, NULL, 'PTHR11349:SF54', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE 3', NULL, NULL, NULL, 15),
(144529, NULL, 'PTHR47246:SF1', NULL, NULL, NULL, NULL, 'MUCIN-19', NULL, NULL, NULL, 15),
(144530, NULL, 'PTHR10766:SF107', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(144531, NULL, 'PTHR12276:SF50', NULL, NULL, NULL, NULL, 'EPSIN-2', NULL, NULL, 25558, 15),
(144532, NULL, 'PTHR31589:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144533, NULL, 'PTHR21595:SF1', NULL, NULL, NULL, NULL, 'CALMODULIN-REGULATED SPECTRIN-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(144534, NULL, 'PTHR48105:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144535, NULL, 'PTHR24188:SF29', NULL, NULL, NULL, NULL, 'GH09064P', NULL, NULL, NULL, 15),
(144536, NULL, 'PTHR32093:SF139', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144537, NULL, 'PTHR24281:SF180', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A5', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144538, NULL, 'PTHR47990:SF125', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-OXIDASE', NULL, NULL, NULL, 15),
(144539, NULL, 'PTHR22951:SF16', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-BINDING CLATHRIN ASSEMBLY PROTEIN', NULL, NULL, 24106, 15),
(144540, NULL, 'PTHR11061:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144541, NULL, 'PTHR33829:SF5', NULL, NULL, NULL, NULL, 'BNAC09G28400D PROTEIN', NULL, NULL, NULL, 15),
(144542, NULL, 'PTHR45714:SF60', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT4-LIKE', NULL, NULL, NULL, 15),
(144543, NULL, 'PTHR34788:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144544, NULL, 'PTHR13793:SF84', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE JADE-2', NULL, NULL, NULL, 15),
(144545, NULL, 'PTHR11470', NULL, NULL, NULL, NULL, 'KAPPA CASEIN', NULL, NULL, 4189, 15),
(144546, NULL, 'PTHR12266:SF17', NULL, NULL, NULL, NULL, 'CATION/CALCIUM EXCHANGER 3-LIKE', NULL, NULL, NULL, 15),
(144547, NULL, 'PTHR31992:SF185', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.2', NULL, NULL, NULL, 15),
(144548, NULL, 'PTHR11850:SF275', NULL, NULL, NULL, NULL, 'OS11G0158832 PROTEIN', NULL, NULL, NULL, 15),
(144549, NULL, 'PTHR46284:SF8', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144550, NULL, 'PTHR31929:SF110', NULL, NULL, NULL, NULL, 'BNAA02G03910D PROTEIN', NULL, NULL, NULL, 15),
(144551, NULL, 'PTHR46129:SF1', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN XIVB', NULL, NULL, NULL, 15),
(144552, NULL, 'PTHR21562:SF60', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 5', NULL, NULL, NULL, 15),
(144553, NULL, 'PTHR22953:SF125', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(144554, NULL, 'PTHR45621:SF11', NULL, NULL, NULL, NULL, 'OS01G0822200 PROTEIN', NULL, NULL, NULL, 15),
(144555, NULL, 'PTHR31374:SF273', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(144556, NULL, 'PTHR31072:SF87', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP1', NULL, NULL, NULL, 15),
(144557, NULL, 'PTHR45724:SF34', NULL, NULL, NULL, NULL, 'BNAC05G29150D PROTEIN', NULL, NULL, NULL, 15),
(144558, NULL, 'PTHR43322:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144559, NULL, 'PTHR47274:SF3', NULL, NULL, NULL, NULL, 'BNAC03G22670D PROTEIN', NULL, NULL, NULL, 15),
(144560, NULL, 'PTHR45887', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT EPSILON', NULL, NULL, NULL, 15),
(144561, NULL, 'PTHR36181:SF4', NULL, NULL, NULL, NULL, 'LAGLIDADG ENDONUCLEASE', NULL, NULL, NULL, 15),
(144562, NULL, 'PTHR42865', NULL, NULL, NULL, NULL, 'PROTON/GLUTAMATE-ASPARTATE SYMPORTER', NULL, NULL, 2058, 15),
(144563, NULL, 'PTHR20883:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144564, NULL, 'PTHR12129:SF19', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE 2-O-SULFOTRANSFERASE PIPE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(144565, NULL, 'PTHR11206:SF363', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EXTRUSION PROTEIN', NULL, NULL, NULL, 15),
(144566, NULL, 'PTHR45617:SF109', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 15', NULL, NULL, NULL, 15),
(144567, NULL, 'PTHR11727:SF12', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(144568, NULL, 'PTHR31579:SF65', NULL, NULL, NULL, NULL, 'BNAA09G43630D PROTEIN', NULL, NULL, NULL, 15),
(144569, NULL, 'PTHR11017:SF408', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(144570, NULL, 'PTHR33414:SF13', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 1-RELATED 1-LIKE', NULL, NULL, NULL, 15),
(144571, NULL, 'PTHR42341', NULL, NULL, NULL, NULL, 'HYDROPHOBIN', NULL, NULL, 9394, 15),
(144572, NULL, 'PTHR10106:SF43', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(144573, NULL, 'PTHR15892', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN L30', NULL, NULL, 1382, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144574, NULL, 'PTHR44196:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7B', NULL, NULL, NULL, 15),
(144575, NULL, 'PTHR24067:SF311', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME UBC9-LIKE', NULL, NULL, NULL, 15),
(144576, NULL, 'PTHR24228:SF8', NULL, NULL, NULL, NULL, 'TYPE-2 ANGIOTENSIN II RECEPTOR', NULL, NULL, NULL, 15),
(144577, NULL, 'PTHR19376:SF32', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC1', NULL, NULL, NULL, 15),
(144578, NULL, 'PTHR13935:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144579, NULL, 'PTHR11732:SF430', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(144580, NULL, 'PTHR46631:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(144581, NULL, 'PTHR11176:SF26', NULL, NULL, NULL, NULL, 'OS06G0622900 PROTEIN', NULL, NULL, NULL, 15),
(144582, NULL, 'PTHR24256:SF140', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 45-RELATED', NULL, NULL, NULL, 15),
(144583, NULL, 'PTHR14677:SF28', NULL, NULL, NULL, NULL, 'ZINC FINGER AN1 AND C2H2 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 16', NULL, NULL, NULL, 15),
(144584, NULL, 'PTHR31973:SF141', NULL, NULL, NULL, NULL, 'FAMILY TRANSPOSASE, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(144585, NULL, 'PTHR12419:SF4', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, 26950, 15),
(144586, NULL, 'PTHR48022:SF71', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G02650)-RELATED', NULL, NULL, NULL, 15),
(144587, NULL, 'PTHR21064', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(144588, NULL, 'PTHR38448', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN YLBF-RELATED', NULL, NULL, NULL, 15),
(144589, NULL, 'PTHR48047:SF67', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 87A1-LIKE', NULL, NULL, NULL, 15),
(144590, NULL, 'PTHR23172:SF34', NULL, NULL, NULL, NULL, 'CYCLIN-G-ASSOCIATED KINASE', NULL, NULL, NULL, 15),
(144591, NULL, 'PTHR31044:SF71', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(144592, NULL, 'PTHR36617:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144593, NULL, 'PTHR46684:SF13', NULL, NULL, NULL, NULL, 'BNAA01G23440D PROTEIN', NULL, NULL, NULL, 15),
(144594, NULL, 'PTHR12677:SF50', NULL, NULL, NULL, NULL, 'BNAA09G50950D PROTEIN', NULL, NULL, NULL, 15),
(144595, NULL, 'PTHR24388:SF78', NULL, NULL, NULL, NULL, 'PROTEIN CBG08450', NULL, NULL, NULL, 15),
(144596, NULL, 'PTHR45637:SF10', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(144597, NULL, 'PTHR33413:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144598, NULL, 'PTHR48047:SF29', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(144599, NULL, 'PTHR48043:SF57', NULL, NULL, NULL, NULL, 'GLUCOSYL TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(144600, NULL, 'PTHR47640:SF9', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN RBP47B', NULL, NULL, NULL, 15),
(144601, NULL, 'PTHR13832:SF784', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144602, NULL, 'PTHR43791:SF60', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17160)-RELATED', NULL, NULL, NULL, 15),
(144603, NULL, 'PTHR10395:SF12', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN', NULL, NULL, 26072, 15),
(144604, NULL, 'PTHR36748', NULL, NULL, NULL, NULL, 'MENTAL RETARDATION GTPASE ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(144605, NULL, 'PTHR22835:SF599', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144606, NULL, 'PTHR18966:SF507', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(144607, NULL, 'PTHR24223:SF405', NULL, NULL, NULL, NULL, 'CANALICULAR MULTISPECIFIC ORGANIC ANION TRANSPORTER 2', NULL, NULL, NULL, 15),
(144608, NULL, 'PTHR42760:SF99', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE 4-LIKE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144609, NULL, 'PTHR33181', NULL, NULL, NULL, NULL, 'OS01G0778500 PROTEIN', NULL, NULL, NULL, 15),
(144610, NULL, 'PTHR47577', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(144611, NULL, 'PTHR22945:SF34', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(144612, NULL, 'PTHR24418:SF408', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144613, NULL, 'PTHR33681:SF14', NULL, NULL, NULL, NULL, 'ALGINATE LYASE', NULL, NULL, NULL, 15),
(144614, NULL, 'PTHR12280:SF21', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE 3', NULL, NULL, NULL, 15),
(144615, NULL, 'PTHR12622:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DTX4', NULL, NULL, NULL, 15),
(144616, NULL, 'PTHR34873', NULL, NULL, NULL, NULL, 'SSR1766 PROTEIN', NULL, NULL, NULL, 15),
(144617, NULL, 'PTHR31585:SF47', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 8, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(144618, NULL, 'PTHR22935', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(144619, NULL, 'PTHR31790:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144620, NULL, 'PTHR24056:SF366', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', NULL, NULL, NULL, 15),
(144621, NULL, 'PTHR31042:SF13', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-16-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(144622, NULL, 'PTHR46680', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR ALPHA', NULL, NULL, NULL, 15),
(144623, NULL, 'PTHR21523:SF34', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', NULL, NULL, NULL, 15),
(144624, NULL, 'PTHR35814', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144625, NULL, 'PTHR34539:SF19', NULL, NULL, NULL, NULL, 'T6J4.11 PROTEIN', NULL, NULL, NULL, 15),
(144626, NULL, 'PTHR33119:SF1', NULL, NULL, NULL, NULL, 'IFI3P', NULL, NULL, NULL, 15),
(144627, NULL, 'PTHR14379:SF7', NULL, NULL, NULL, NULL, 'ENDONUCLEASE OR GLYCOSYL HYDROLASE WITH C2H2-TYPE ZINC FINGER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144628, NULL, 'PTHR11834:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ENHANCER FACTOR TEF-4', NULL, NULL, NULL, 15),
(144629, NULL, 'PTHR34149:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11905', NULL, NULL, NULL, 15),
(144630, NULL, 'PTHR21579:SF17', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(144631, NULL, 'PTHR11932:SF144', NULL, NULL, NULL, NULL, '1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(144632, NULL, 'PTHR11215:SF3', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT PROTEIN HYDROLASE', NULL, NULL, NULL, 15),
(144633, NULL, 'PTHR47997:SF1', NULL, NULL, NULL, NULL, 'OS01G0702700 PROTEIN', NULL, NULL, NULL, 15),
(144634, NULL, 'PTHR34313:SF2', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP K MEMBER 113 ENV POLYPROTEIN-RELATED', NULL, NULL, NULL, 15),
(144635, NULL, 'PTHR43046:SF5', NULL, NULL, NULL, NULL, 'SLL1537 PROTEIN', NULL, NULL, NULL, 15),
(144636, NULL, 'PTHR10884', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE  UBIQUINONE  IRON-SULFUR PROTEIN 3', NULL, NULL, NULL, 15),
(144637, NULL, 'PTHR13151:SF2', NULL, NULL, NULL, NULL, 'COREPRESSOR INTERACTING WITH RBPJ 1', NULL, NULL, NULL, 15),
(144638, NULL, 'PTHR48106:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144639, NULL, 'PTHR23257:SF763', NULL, NULL, NULL, NULL, 'RAF PROTO-ONCOGENE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(144640, NULL, 'PTHR43651:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144641, NULL, 'PTHR31983:SF16', NULL, NULL, NULL, NULL, 'ENDO-1,3(4)-BETA-GLUCANASE ARB_01444 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(144642, NULL, 'PTHR40139:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TNT', NULL, NULL, NULL, 15),
(144643, NULL, 'PTHR11132:SF377', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144644, NULL, 'PTHR36866', NULL, NULL, NULL, NULL, 'CHROMOSOME 4 OPEN READING FRAME 50', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144645, NULL, 'PTHR24099:SF8', NULL, NULL, NULL, NULL, 'FSD1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(144646, NULL, 'PTHR35882:SF2', NULL, NULL, NULL, NULL, 'PELA', NULL, NULL, NULL, 15),
(144647, NULL, 'PTHR12483:SF96', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 5', NULL, NULL, NULL, 15),
(144648, NULL, 'PTHR11879:SF51', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(144649, NULL, 'PTHR12268:SF20', NULL, NULL, NULL, NULL, 'DYSTROBREVIN, ISOFORM F', NULL, NULL, NULL, 15),
(144650, NULL, 'PTHR15976:SF17', NULL, NULL, NULL, NULL, 'CONSTITUTIVE COACTIVATOR OF PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR GAMMA', NULL, NULL, NULL, 15),
(144651, NULL, 'PTHR10835:SF9', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE 3', NULL, NULL, NULL, 15),
(144652, NULL, 'PTHR27002:SF556', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 35-RELATED', NULL, NULL, NULL, 15),
(144653, NULL, 'PTHR27007:SF185', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.5-RELATED', NULL, NULL, NULL, 15),
(144654, NULL, 'PTHR23024:SF387', NULL, NULL, NULL, NULL, 'RECEPTOR GID1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(144655, NULL, 'PTHR32063:SF63', NULL, NULL, NULL, NULL, 'EFFLUX PUMP MEMBRANE TRANSPORTER', NULL, NULL, NULL, 15),
(144656, NULL, 'PTHR11141:SF22', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', NULL, NULL, NULL, 15),
(144657, NULL, 'PTHR44051:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144658, NULL, 'PTHR23430:SF235', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(144659, NULL, 'PTHR11260:SF318', NULL, NULL, NULL, NULL, 'OS01G0692100 PROTEIN', NULL, NULL, NULL, 15),
(144660, NULL, 'PTHR24350:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AURORA-3', NULL, NULL, NULL, 15),
(144661, NULL, 'PTHR43051:SF1', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE ADENYLYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(144662, NULL, 'PTHR23342:SF16', NULL, NULL, NULL, NULL, 'BNAC04G55460D PROTEIN', NULL, NULL, NULL, 15),
(144663, NULL, 'PTHR45616:SF36', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CUTICULAR HB1', NULL, NULL, NULL, 15),
(144664, NULL, 'PTHR23360:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(144665, NULL, 'PTHR23155:SF1013', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN PIK6-NP', NULL, NULL, NULL, 15),
(144666, NULL, 'PTHR13054', NULL, NULL, NULL, NULL, 'DIGEORGE SYNDROME CRITICAL REGION 6 DGCR6 FAMILY MEMBER', NULL, NULL, 11670, 15),
(144667, NULL, 'PTHR23346:SF19', NULL, NULL, NULL, NULL, 'PROTEASOME ADAPTER AND SCAFFOLD PROTEIN ECM29', NULL, NULL, 24315, 15),
(144668, NULL, 'PTHR45973:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT SDS22', NULL, NULL, NULL, 15),
(144669, NULL, 'PTHR11132:SF445', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE/PHOSPHATE TRANSLOCATOR 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(144670, NULL, 'PTHR12138:SF118', NULL, NULL, NULL, NULL, 'PROTEIN PPP5D1', NULL, NULL, NULL, 15),
(144671, NULL, 'PTHR10288:SF92', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR 2 MRNA-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(144672, NULL, 'PTHR37815', NULL, NULL, NULL, NULL, 'UPF0397 PROTEIN BC_2624-RELATED', NULL, NULL, NULL, 15),
(144673, NULL, 'PTHR43335:SF6', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(144674, NULL, 'PTHR24039:SF42', NULL, NULL, NULL, NULL, 'FIBULIN-1', NULL, NULL, NULL, 15),
(144675, NULL, 'PTHR14237:SF25', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL AMIDOXIME-REDUCING COMPONENT 1', NULL, NULL, NULL, 15),
(144676, NULL, 'PTHR35972:SF1', NULL, NULL, NULL, NULL, 'SINGLE-PASS MEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(144677, NULL, 'PTHR36312:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144678, NULL, 'PTHR24044:SF320', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(144679, NULL, 'PTHR13817:SF120', NULL, NULL, NULL, NULL, 'KETTIN (DROSOPHILA ACTIN-BINDING) HOMOLOG', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144680, NULL, 'PTHR47847:SF2', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 17', NULL, NULL, NULL, 15),
(144681, NULL, 'PTHR47340', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(144682, NULL, 'PTHR38096:SF1', NULL, NULL, NULL, NULL, 'ENTEROBACTIN SYNTHASE COMPONENT D', NULL, NULL, NULL, 15),
(144683, NULL, 'PTHR48109:SF5', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE (QUINONE), MITOCHONDRIAL', NULL, NULL, NULL, 15),
(144684, NULL, 'PTHR11603:SF155', NULL, NULL, NULL, NULL, 'MOXR PROTEIN', NULL, NULL, NULL, 15),
(144685, NULL, 'PTHR23124:SF144', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(144686, NULL, 'PTHR36303:SF1', NULL, NULL, NULL, NULL, '2'',3''-CYCLIC-NUCLEOTIDE 2''-PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(144687, NULL, 'PTHR13383:SF11', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H2 SUBUNIT B', NULL, NULL, NULL, 15),
(144688, NULL, 'PTHR10196:SF90', NULL, NULL, NULL, NULL, 'BNAA02G19720D PROTEIN', NULL, NULL, NULL, 15),
(144689, NULL, 'PTHR23012:SF186', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144690, NULL, 'PTHR37440:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG17853', NULL, NULL, NULL, 15),
(144691, NULL, 'PTHR10337:SF2', NULL, NULL, NULL, NULL, 'SHC-TRANSFORMING PROTEIN 1', NULL, NULL, 29241, 15),
(144692, NULL, 'PTHR11256:SF56', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(144693, NULL, 'PTHR47454', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 224', NULL, NULL, NULL, 15),
(144694, NULL, 'PTHR14064', NULL, NULL, NULL, NULL, 'CHONDROMODULIN-RELATED', NULL, NULL, 36866, 15),
(144695, NULL, 'PTHR23406:SF32', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT MALIC ENZYME 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(144696, NULL, 'PTHR45669:SF46', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN (GRX) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(144697, NULL, 'PTHR32114:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ABCH.3', NULL, NULL, NULL, 15),
(144698, NULL, 'PTHR48022:SF26', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G11050)-RELATED', NULL, NULL, NULL, 15),
(144699, NULL, 'PTHR23024:SF407', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144700, NULL, 'PTHR48010:SF44', NULL, NULL, NULL, NULL, 'F16P17.10 PROTEIN', NULL, NULL, NULL, 15),
(144701, NULL, 'PTHR38128', NULL, NULL, NULL, NULL, 'GAMETOCYTOGENESIS-IMPLICATED PROTEIN', NULL, NULL, NULL, 15),
(144702, NULL, 'PTHR12622:SF41', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DTX3L', NULL, NULL, NULL, 15),
(144703, NULL, 'PTHR27005:SF215', NULL, NULL, NULL, NULL, 'OS09G0562600 PROTEIN', NULL, NULL, NULL, 15),
(144704, NULL, 'PTHR36022:SF1', NULL, NULL, NULL, NULL, 'GPI-ANCHORED ADHESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(144705, NULL, 'PTHR39136', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 11', NULL, NULL, 35474, 15),
(144706, NULL, 'PTHR46895:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG05705', NULL, NULL, NULL, 15),
(144707, NULL, 'PTHR19961:SF70', NULL, NULL, NULL, NULL, 'FIMBRIN-4', NULL, NULL, NULL, 15),
(144708, NULL, 'PTHR11220:SF36', NULL, NULL, NULL, NULL, 'SOUL HEME-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144709, NULL, 'PTHR11227:SF18', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN PHOSPHOINOSITIDE-INTERACTING PROTEIN 3', NULL, NULL, NULL, 15),
(144710, NULL, 'PTHR10196:SF64', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE-LIKE 1', NULL, NULL, NULL, 15),
(144711, NULL, 'PTHR21716:SF39', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YUBA-RELATED', NULL, NULL, NULL, 15),
(144712, NULL, 'PTHR40787', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN', NULL, NULL, NULL, 15),
(144713, NULL, 'PTHR11461:SF321', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR (SERPIN) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144714, NULL, 'PTHR15315:SF88', NULL, NULL, NULL, NULL, 'OS07G0661600 PROTEIN', NULL, NULL, NULL, 15),
(144715, NULL, 'PTHR11465:SF50', NULL, NULL, NULL, NULL, 'CATALASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144716, NULL, 'PTHR11017:SF423', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(144717, NULL, 'PTHR36328', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(144718, NULL, 'PTHR34395:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144719, NULL, 'PTHR21524:SF5', NULL, NULL, NULL, NULL, 'SPECTRIN REPEAT CONTAINING NUCLEAR ENVELOPE PROTEIN 2', NULL, NULL, NULL, 15),
(144720, NULL, 'PTHR11668:SF432', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 8', NULL, NULL, NULL, 15),
(144721, NULL, 'PTHR19854:SF20', NULL, NULL, NULL, NULL, 'TRANSDUCIN BETA-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(144722, NULL, 'PTHR46325:SF30', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144723, NULL, 'PTHR31707:SF157', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(144724, NULL, 'PTHR11590', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE', NULL, NULL, NULL, 15),
(144725, NULL, 'PTHR22952:SF437', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 27', NULL, NULL, NULL, 15),
(144726, NULL, 'PTHR10994:SF174', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(144727, NULL, 'PTHR31219', NULL, NULL, NULL, NULL, 'CHROMOSOME 28 C12ORF29 HOMOLOG', NULL, NULL, 31131, 15),
(144728, NULL, 'PTHR19375:SF418', NULL, NULL, NULL, NULL, '70 KDA HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(144729, NULL, 'PTHR34132:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(144730, NULL, 'PTHR43572:SF17', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPD1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(144731, NULL, 'PTHR15951', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR-ASSOCIATED TRANSMEMBRANE ADAPTER 1', NULL, NULL, 20976, 15),
(144732, NULL, 'PTHR11394:SF81', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 136', NULL, NULL, NULL, 15),
(144733, NULL, 'PTHR27004:SF344', NULL, NULL, NULL, NULL, 'OSJNBA0044K18.34 PROTEIN', NULL, NULL, NULL, 15),
(144734, NULL, 'PTHR11581:SF24', NULL, NULL, NULL, NULL, 'BNAC08G48360D PROTEIN', NULL, NULL, NULL, 15),
(144735, NULL, 'PTHR36387', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYL-L-ALANYL-D-GLUTAMATE-2, 6-DIAMINOPIMELATE LIGASE', NULL, NULL, NULL, 15),
(144736, NULL, 'PTHR33136:SF87', NULL, NULL, NULL, NULL, 'OS01G0201400 PROTEIN', NULL, NULL, NULL, 15),
(144737, NULL, 'PTHR43859:SF32', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 6-RELATED', NULL, NULL, NULL, 15),
(144738, NULL, 'PTHR40518', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144739, NULL, 'PTHR31642:SF268', NULL, NULL, NULL, NULL, 'BNACNNG39330D PROTEIN', NULL, NULL, NULL, 15),
(144740, NULL, 'PTHR21437:SF1', NULL, NULL, NULL, NULL, 'WIDE AWAKE', NULL, NULL, NULL, 15),
(144741, NULL, 'PTHR15651', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 8', NULL, NULL, 31035, 15),
(144742, NULL, 'PTHR45678:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLUTAMATE CARRIER 2', NULL, NULL, NULL, 15),
(144743, NULL, 'PTHR10970:SF1', NULL, NULL, NULL, NULL, 'CLUSTERIN', NULL, NULL, 14833, 15),
(144744, NULL, 'PTHR21077:SF6', NULL, NULL, NULL, NULL, 'CROSSOVER JUNCTION ENDONUCLEASE EME2-RELATED', NULL, NULL, NULL, 15),
(144745, NULL, 'PTHR31942:SF97', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(144746, NULL, 'PTHR23105:SF156', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A-2', NULL, NULL, NULL, 15),
(144747, NULL, 'PTHR11471:SF23', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR', NULL, NULL, 7058, 15),
(144748, NULL, 'PTHR47958:SF24', NULL, NULL, NULL, NULL, 'DEAD (ASP-GLU-ALA-ASP) BOX HELICASE 21', NULL, NULL, NULL, 15),
(144749, NULL, 'PTHR32343:SF35', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 13', NULL, NULL, NULL, 15),
(144750, NULL, 'PTHR45855:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIL1', NULL, NULL, NULL, 15),
(144751, NULL, 'PTHR47772', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 200', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144752, NULL, 'PTHR11124:SF24', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 29', NULL, NULL, NULL, 15),
(144753, NULL, 'PTHR10779', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN ROADBLOCK', NULL, NULL, NULL, 15),
(144754, NULL, 'PTHR13778:SF60', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(144755, NULL, 'PTHR33048:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144756, NULL, 'PTHR43408:SF2', NULL, NULL, NULL, NULL, 'FMN REDUCTASE (NADPH)', NULL, NULL, NULL, 15),
(144757, NULL, 'PTHR24326:SF300', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX13', NULL, NULL, NULL, 15),
(144758, NULL, 'PTHR34052:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144759, NULL, 'PTHR10194:SF26', NULL, NULL, NULL, NULL, 'DISABLED HOMOLOG 2-INTERACTING PROTEIN', NULL, NULL, 27538, 15),
(144760, NULL, 'PTHR36462', NULL, NULL, NULL, NULL, 'CHROMOSOME 12 OPEN READING FRAME 71', NULL, NULL, 24217, 15),
(144761, NULL, 'PTHR10715:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144762, NULL, 'PTHR15394', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144763, NULL, 'PTHR10388:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144764, NULL, 'PTHR10026:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144765, NULL, 'PTHR31874:SF45', NULL, NULL, NULL, NULL, 'BNAC08G46470D PROTEIN', NULL, NULL, NULL, 15),
(144766, NULL, 'PTHR32227:SF11', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', NULL, NULL, NULL, 15),
(144767, NULL, 'PTHR47706', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(144768, NULL, 'PTHR32134:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144769, NULL, 'PTHR24238:SF22', NULL, NULL, NULL, NULL, 'CHOLECYSTOKININ RECEPTOR HOMOLOG', NULL, NULL, NULL, 15),
(144770, NULL, 'PTHR23334:SF62', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN (C/EBP) 1', NULL, NULL, NULL, 15),
(144771, NULL, 'PTHR31384:SF116', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(144772, NULL, 'PTHR47972:SF26', NULL, NULL, NULL, NULL, 'KINESIN-4-LIKE', NULL, NULL, NULL, 15),
(144773, NULL, 'PTHR43180:SF16', NULL, NULL, NULL, NULL, 'BACILYSIN BIOSYNTHESIS OXIDOREDUCTASE BACC', NULL, NULL, NULL, 15),
(144774, NULL, 'PTHR13372:SF2', NULL, NULL, NULL, NULL, 'GEMININ COILED-COIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 24625, 15),
(144775, NULL, 'PTHR11864:SF23', NULL, NULL, NULL, NULL, 'FF DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G08980)', NULL, NULL, NULL, 15),
(144776, NULL, 'PTHR27006:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144777, NULL, 'PTHR11193', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', NULL, NULL, 27183, 15),
(144778, NULL, 'PTHR11926:SF1360', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(144779, NULL, 'PTHR33021:SF374', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(144780, NULL, 'PTHR31352:SF47', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(144781, NULL, 'PTHR24023:SF891', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XVII) CHAIN', NULL, NULL, NULL, 15),
(144782, NULL, 'PTHR27008:SF248', NULL, NULL, NULL, NULL, 'OS02G0615800 PROTEIN', NULL, NULL, NULL, 15),
(144783, NULL, 'PTHR31704:SF38', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(144784, NULL, 'PTHR10335:SF16', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 36B-RELATED', NULL, NULL, NULL, 15),
(144785, NULL, 'PTHR22647', NULL, NULL, NULL, NULL, 'SH3 DOMAIN AND TETRATRICOPEPTIDE REPEATS CONTAINING PROTEIN', NULL, NULL, 38268, 15),
(144786, NULL, 'PTHR31674:SF56', NULL, NULL, NULL, NULL, 'BNAA01G34830D PROTEIN', NULL, NULL, NULL, 15),
(144787, NULL, 'PTHR43651:SF4', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN-BRANCHING ENZYME 3, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144788, NULL, 'PTHR19143:SF382', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144789, NULL, 'PTHR22937:SF161', NULL, NULL, NULL, NULL, 'OS08G0241400 PROTEIN', NULL, NULL, NULL, 15),
(144790, NULL, 'PTHR38847', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 26053, 15),
(144791, NULL, 'PTHR23505:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SPINSTER HOMOLOG 2', NULL, NULL, NULL, 15),
(144792, NULL, 'PTHR31374:SF54', NULL, NULL, NULL, NULL, 'OS08G0118500 PROTEIN', NULL, NULL, NULL, 15),
(144793, NULL, 'PTHR23420:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144794, NULL, 'PTHR13408:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144795, NULL, 'PTHR38483:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(144796, NULL, 'PTHR43297:SF3', NULL, NULL, NULL, NULL, 'OLIGO/DIPEPTIDE TRANSPORT, ATP BINDING PROTEIN (DPPD-1)', NULL, NULL, NULL, 15),
(144797, NULL, 'PTHR33059:SF76', NULL, NULL, NULL, NULL, 'PROTEIN INCREASED RESISTANCE TO MYZUS PERSICAE 1', NULL, NULL, NULL, 15),
(144798, NULL, 'PTHR34003:SF2', NULL, NULL, NULL, NULL, 'BLL2395 PROTEIN', NULL, NULL, NULL, 15),
(144799, NULL, 'PTHR10624', NULL, NULL, NULL, NULL, 'UROKINASE PLASMINOGEN ACTIVATOR SURFACE RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(144800, NULL, 'PTHR46476', NULL, NULL, NULL, NULL, 'CHITINASE 2-LIKE', NULL, NULL, NULL, 15),
(144801, NULL, 'PTHR24396:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 236', NULL, NULL, NULL, 15),
(144802, NULL, 'PTHR14130', NULL, NULL, NULL, NULL, '3BP-1 RELATED RHOGAP', NULL, NULL, NULL, 15),
(144803, NULL, 'PTHR12000:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144804, NULL, 'PTHR37469', NULL, NULL, NULL, NULL, 'CELLOBIONIC ACID PHOSPHORYLASE-RELATED', NULL, NULL, NULL, 15),
(144805, NULL, 'PTHR11731:SF98', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE 8', NULL, NULL, NULL, 15),
(144806, NULL, 'PTHR23415:SF35', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(144807, NULL, 'PTHR21297', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II', NULL, NULL, 39410, 15),
(144808, NULL, 'PTHR21012', NULL, NULL, NULL, NULL, 'ASPARTATE 1-DECARBOXYLASE', NULL, NULL, 1715, 15),
(144809, NULL, 'PTHR23235:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP9', NULL, NULL, NULL, 15),
(144810, NULL, 'PTHR38787:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144811, NULL, 'PTHR32444:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144812, NULL, 'PTHR11654:SF455', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144813, NULL, 'PTHR10091:SF31', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(144814, NULL, 'PTHR24366:SF56', NULL, NULL, NULL, NULL, 'SLIT AND NTRK LIKE FAMILY MEMBER 6', NULL, NULL, NULL, 15),
(144815, NULL, 'PTHR11062:SF304', NULL, NULL, NULL, NULL, 'GLUCURONOXYLAN GLUCURONOSYLTRANSFERASE F8H-RELATED', NULL, NULL, NULL, 15),
(144816, NULL, 'PTHR46539:SF10', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL12-RELATED', NULL, NULL, NULL, 15),
(144817, NULL, 'PTHR19288:SF46', NULL, NULL, NULL, NULL, 'HAD SUPERFAMILY PROTEIN INVOLVED IN N-ACETYL-GLUCOSAMINE CATABOLISM-LIKE', NULL, NULL, NULL, 15),
(144818, NULL, 'PTHR40622', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144819, NULL, 'PTHR34152:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG23098', NULL, NULL, NULL, 15),
(144820, NULL, 'PTHR31062:SF131', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(144821, NULL, 'PTHR23262:SF173', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-5', NULL, NULL, NULL, 15),
(144822, NULL, 'PTHR10161:SF44', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(144823, NULL, 'PTHR30024:SF34', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, SUBSTRATE-BINDING LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(144824, NULL, 'PTHR11588:SF106', NULL, NULL, NULL, NULL, 'TUBULIN BETA-6 CHAIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144825, NULL, 'PTHR31929:SF93', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(144826, NULL, 'PTHR31388:SF163', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(144827, NULL, 'PTHR12475:SF4', NULL, NULL, NULL, NULL, 'PROTEIN THEM6', NULL, NULL, NULL, 15),
(144828, NULL, 'PTHR12299:SF57', NULL, NULL, NULL, NULL, 'PLASMINOGEN ACTIVATOR INHIBITOR 1 RNA-BINDING PROTEIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(144829, NULL, 'PTHR22847:SF605', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN CONTAINING 8', NULL, NULL, NULL, 15),
(144830, NULL, 'PTHR31744:SF118', NULL, NULL, NULL, NULL, 'BNAA02G26420D PROTEIN', NULL, NULL, NULL, 15),
(144831, NULL, 'PTHR12327:SF0', NULL, NULL, NULL, NULL, 'ALPHA-TUBULIN N-ACETYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(144832, NULL, 'PTHR47990:SF5', NULL, NULL, NULL, NULL, 'LEUCOANTHOCYANIDIN DIOXYGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(144833, NULL, 'PTHR10218:SF205', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT ALPHA HOMOLOG', NULL, NULL, NULL, 15),
(144834, NULL, 'PTHR33237:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144835, NULL, 'PTHR23314', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 6  ARMADILLO REPEAT-CONTAINING', NULL, NULL, NULL, 15),
(144836, NULL, 'PTHR10795:SF709', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144837, NULL, 'PTHR10545:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144838, NULL, 'PTHR43047:SF40', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE 5-RELATED', NULL, NULL, NULL, 15),
(144839, NULL, 'PTHR43617:SF17', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(144840, NULL, 'PTHR10803:SF25', NULL, NULL, NULL, NULL, 'ARSENICAL PUMP-DRIVING ATPASE-RELATED', NULL, NULL, NULL, 15),
(144841, NULL, 'PTHR11042:SF152', NULL, NULL, NULL, NULL, 'OS02G0722250 PROTEIN', NULL, NULL, NULL, 15),
(144842, NULL, 'PTHR31236:SF49', NULL, NULL, NULL, NULL, 'BNAA06G39340D PROTEIN', NULL, NULL, NULL, 15),
(144843, NULL, 'PTHR30433:SF4', NULL, NULL, NULL, NULL, 'MOTILITY PROTEIN A', NULL, NULL, 16864, 15),
(144844, NULL, 'PTHR23262:SF206', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-1-RELATED', NULL, NULL, NULL, 15),
(144845, NULL, 'PTHR43711:SF22', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN PFES', NULL, NULL, NULL, 15),
(144846, NULL, 'PTHR13619', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 10836, 15),
(144847, NULL, 'PTHR11358:SF35', NULL, NULL, NULL, NULL, 'FORMIMIDOYLGLUTAMASE', NULL, NULL, NULL, 15),
(144848, NULL, 'PTHR35113:SF1', NULL, NULL, NULL, NULL, 'FERREDOXIN-THIOREDOXIN REDUCTASE CATALYTIC CHAIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(144849, NULL, 'PTHR24031:SF84', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-II', NULL, NULL, NULL, 15),
(144850, NULL, 'PTHR21256:SF13', NULL, NULL, NULL, NULL, 'HISTIDINOL DEHYDROGENASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(144851, NULL, 'PTHR11909:SF387', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144852, NULL, 'PTHR11481', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN FC RECEPTOR', NULL, NULL, NULL, 15),
(144853, NULL, 'PTHR13502:SF8', NULL, NULL, NULL, NULL, 'CDC42 SMALL EFFECTOR PROTEIN 2', NULL, NULL, NULL, 15),
(144854, NULL, 'PTHR38653:SF1', NULL, NULL, NULL, NULL, 'GENE 572-RELATED', NULL, NULL, NULL, 15),
(144855, NULL, 'PTHR31744:SF101', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 21/22', NULL, NULL, NULL, 15),
(144856, NULL, 'PTHR46175:SF10', NULL, NULL, NULL, NULL, 'BNAA07G01250D PROTEIN', NULL, NULL, NULL, 15),
(144857, NULL, 'PTHR16124', NULL, NULL, NULL, NULL, 'MIS18-BINDING PROTEIN 1', NULL, NULL, 30849, 15),
(144858, NULL, 'PTHR24221:SF237', NULL, NULL, NULL, NULL, 'ANTIGEN PEPTIDE TRANSPORTER 2', NULL, NULL, NULL, 15),
(144859, NULL, 'PTHR13255:SF0', NULL, NULL, NULL, NULL, 'ATAXIN-10', NULL, NULL, NULL, 15),
(144860, NULL, 'PTHR27006:SF177', NULL, NULL, NULL, NULL, 'OSJNBA0093O08.1 PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144861, NULL, 'PTHR21716:SF44', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN C9ORF5 PROTEIN', NULL, NULL, NULL, 15),
(144862, NULL, 'PTHR24248:SF72', NULL, NULL, NULL, NULL, 'SEROTONIN/OCTOPAMINE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(144863, NULL, 'PTHR18945:SF503', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(144864, NULL, 'PTHR15298', NULL, NULL, NULL, NULL, 'L-COA N-ACYLTRANSFERASE-RELATED', NULL, NULL, 8972, 15),
(144865, NULL, 'PTHR24177:SF291', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(144866, NULL, 'PTHR43390:SF10', NULL, NULL, NULL, NULL, 'CHLOROPLAST PROCESSING PEPTIDASE-LIKE', NULL, NULL, NULL, 15),
(144867, NULL, 'PTHR47976:SF55', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', NULL, NULL, NULL, 15),
(144868, NULL, 'PTHR31920:SF33', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS11G0197600-LIKE', NULL, NULL, NULL, 15),
(144869, NULL, 'PTHR11132:SF262', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE/UDP-GLUCOSE/GDP-MANNOSE TRANSPORTER', NULL, NULL, NULL, 15),
(144870, NULL, 'PTHR22850:SF202', NULL, NULL, NULL, NULL, 'WD-40 REPEAT-CONTAINING PROTEIN MSI4', NULL, NULL, NULL, 15),
(144871, NULL, 'PTHR45138:SF8', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCJ-RELATED', NULL, NULL, NULL, 15),
(144872, NULL, 'PTHR47990:SF101', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 3', NULL, NULL, NULL, 15),
(144873, NULL, 'PTHR38437', NULL, NULL, NULL, NULL, 'ENDOSPORE COAT-ASSOCIATED PROTEIN YHED-RELATED', NULL, NULL, 22580, 15),
(144874, NULL, 'PTHR46490:SF3', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR 8 ISOFORM X1', NULL, NULL, NULL, 15),
(144875, NULL, 'PTHR21049:SF3', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 1', NULL, NULL, NULL, 15),
(144876, NULL, 'PTHR13774:SF25', NULL, NULL, NULL, NULL, 'BNAC03G30560D PROTEIN', NULL, NULL, NULL, 15),
(144877, NULL, 'PTHR25952:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144878, NULL, 'PTHR43597:SF2', NULL, NULL, NULL, NULL, 'SULFUR ACCEPTOR PROTEIN CSDE', NULL, NULL, NULL, 15),
(144879, NULL, 'PTHR43155', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144880, NULL, 'PTHR42846', NULL, NULL, NULL, NULL, 'NI-SIROHYDROCHLORIN A,C-DIAMIDE REDUCTIVE CYCLASE COMPLEX, COMPONENT CFBD', NULL, NULL, NULL, 15),
(144881, NULL, 'PTHR31116:SF34', NULL, NULL, NULL, NULL, 'GMP SYNTHASE [GLUTAMINE-HYDROLYZING] ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(144882, NULL, 'PTHR43285:SF2', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(144883, NULL, 'PTHR10258:SF3', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED POTASSIUM CHANNEL SUBUNIT BETA-4', NULL, NULL, NULL, 15),
(144884, NULL, 'PTHR32444:SF81', NULL, NULL, NULL, NULL, 'PAN-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(144885, NULL, 'PTHR33142:SF52', NULL, NULL, NULL, NULL, 'BNAC09G50580D PROTEIN', NULL, NULL, NULL, 15),
(144886, NULL, 'PTHR33977:SF2', NULL, NULL, NULL, NULL, 'OS09G0309100 PROTEIN', NULL, NULL, NULL, 15),
(144887, NULL, 'PTHR23114:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144888, NULL, 'PTHR11188:SF14', NULL, NULL, NULL, NULL, 'THIOREDOXIN-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(144889, NULL, 'PTHR45796:SF3', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN P1', NULL, NULL, NULL, 15),
(144890, NULL, 'PTHR21443:SF0', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(144891, NULL, 'PTHR24067:SF157', NULL, NULL, NULL, NULL, 'FI11905P', NULL, NULL, NULL, 15),
(144892, NULL, 'PTHR22872:SF2', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(144893, NULL, 'PTHR23257:SF822', NULL, NULL, NULL, NULL, 'INTEGRIN-LINKED KINASE', NULL, NULL, NULL, 15),
(144894, NULL, 'PTHR43329:SF3', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(144895, NULL, 'PTHR13817:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144896, NULL, 'PTHR43078:SF12', NULL, NULL, NULL, NULL, 'OS01G0837300 PROTEIN', NULL, NULL, NULL, 15),
(144897, NULL, 'PTHR23267:SF299', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 5-45', NULL, NULL, NULL, 15),
(144898, NULL, 'PTHR33869:SF4', NULL, NULL, NULL, NULL, 'OS01G0754600 PROTEIN', NULL, NULL, NULL, 15),
(144899, NULL, 'PTHR11566:SF179', NULL, NULL, NULL, NULL, 'BNAC06G13930D PROTEIN', NULL, NULL, NULL, 15),
(144900, NULL, 'PTHR24051:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144901, NULL, 'PTHR35727:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144902, NULL, 'PTHR11465:SF51', NULL, NULL, NULL, NULL, 'PEROXISOMAL CATALASE A', NULL, NULL, NULL, 15),
(144903, NULL, 'PTHR10219', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(144904, NULL, 'PTHR31683:SF84', NULL, NULL, NULL, NULL, 'PECTATE LYASE 8-RELATED', NULL, NULL, NULL, 15),
(144905, NULL, 'PTHR35725:SF4', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 26', NULL, NULL, NULL, 15),
(144906, NULL, 'PTHR14166:SF6', NULL, NULL, NULL, NULL, 'SLIT-ROBO RHO GTPASE-ACTIVATING PROTEIN 2-RELATED', NULL, NULL, 24311, 15),
(144907, NULL, 'PTHR24092:SF46', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE ID', NULL, NULL, 27931, 15),
(144908, NULL, 'PTHR15190:SF1', NULL, NULL, NULL, NULL, 'BONE MARROW STROMAL ANTIGEN 2', NULL, NULL, NULL, 15),
(144909, NULL, 'PTHR48095:SF3', NULL, NULL, NULL, NULL, 'PYRUVATE CARBOXYLASE SUBUNIT A', NULL, NULL, NULL, 15),
(144910, NULL, 'PTHR11264:SF0', NULL, NULL, NULL, NULL, 'URACIL-DNA GLYCOSYLASE', NULL, NULL, NULL, 15),
(144911, NULL, 'PTHR12049', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 6184, 15),
(144912, NULL, 'PTHR34038:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE MEMBRANE SUBUNIT DAPIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(144913, NULL, 'PTHR11417:SF11', NULL, NULL, NULL, NULL, 'PROLACTIN-4A1', NULL, NULL, NULL, 15),
(144914, NULL, 'PTHR30265:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR NUSG DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(144915, NULL, 'PTHR46684:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MUTE', NULL, NULL, NULL, 15),
(144916, NULL, 'PTHR34563:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144917, NULL, 'PTHR31190:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144918, NULL, 'PTHR10366:SF700', NULL, NULL, NULL, NULL, 'OS09G0262000 PROTEIN', NULL, NULL, NULL, 15),
(144919, NULL, 'PTHR16056:SF15', NULL, NULL, NULL, NULL, 'REGULATOR OF MICROTUBULE DYNAMICS PROTEIN 2', NULL, NULL, NULL, 15),
(144920, NULL, 'PTHR31001:SF58', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(144921, NULL, 'PTHR10795:SF651', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.4-RELATED', NULL, NULL, NULL, 15),
(144922, NULL, 'PTHR24296:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 704B1', NULL, NULL, NULL, 15),
(144923, NULL, 'PTHR10264:SF113', NULL, NULL, NULL, NULL, 'STOMATIN-1', NULL, NULL, 25349, 15),
(144924, NULL, 'PTHR11006:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 7', NULL, NULL, NULL, 15),
(144925, NULL, 'PTHR33171', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144926, NULL, 'PTHR33730:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144927, NULL, 'PTHR23033:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144928, NULL, 'PTHR12197:SF269', NULL, NULL, NULL, NULL, 'PROTEIN LYSINE METHYLTRANSFERASE SET5-RELATED', NULL, NULL, NULL, 15),
(144929, NULL, 'PTHR15427:SF34', NULL, NULL, NULL, NULL, 'PROTEIN HP-25 HOMOLOG 2', NULL, NULL, NULL, 15),
(144930, NULL, 'PTHR48052:SF24', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE TDR', NULL, NULL, NULL, 15),
(144931, NULL, 'PTHR33248', NULL, NULL, NULL, NULL, 'ZINC ION-BINDING PROTEIN', NULL, NULL, NULL, 15),
(144932, NULL, 'PTHR23024:SF479', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144933, NULL, 'PTHR39217:SF1', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(144934, NULL, 'PTHR22941:SF64', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(144935, NULL, 'PTHR10108:SF1118', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(144936, NULL, 'PTHR11135', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE-RELATED', NULL, NULL, 29153, 15),
(144937, NULL, 'PTHR24006:SF674', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 1', NULL, NULL, NULL, 15),
(144938, NULL, 'PTHR11358', NULL, NULL, NULL, NULL, 'ARGINASE/AGMATINASE', NULL, NULL, 2821, 15),
(144939, NULL, 'PTHR22597:SF20', NULL, NULL, NULL, NULL, 'BNAA01G18110D PROTEIN', NULL, NULL, NULL, 15),
(144940, NULL, 'PTHR10088:SF5', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMIC ACID 6-PHOSPHATE ETHERASE', NULL, NULL, 843, 15),
(144941, NULL, 'PTHR11759:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144942, NULL, 'PTHR36887:SF1', NULL, NULL, NULL, NULL, 'OS01G0532300 PROTEIN', NULL, NULL, NULL, 15),
(144943, NULL, 'PTHR46304:SF3', NULL, NULL, NULL, NULL, 'GTF2I REPEAT DOMAIN CONTAINING 1', NULL, NULL, NULL, 15),
(144944, NULL, 'PTHR31953:SF77', NULL, NULL, NULL, NULL, 'BNAA09G10570D PROTEIN', NULL, NULL, NULL, 15),
(144945, NULL, 'PTHR23050:SF245', NULL, NULL, NULL, NULL, 'CALMODULIN-RELATED', NULL, NULL, NULL, 15),
(144946, NULL, 'PTHR43189:SF1', NULL, NULL, NULL, NULL, 'ZINC-TYPE ALCOHOL DEHYDROGENASE-LIKE PROTEIN C1198.01', NULL, NULL, NULL, 15),
(144947, NULL, 'PTHR11134:SF3', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT BETA', NULL, NULL, NULL, 15),
(144948, NULL, 'PTHR11699:SF284', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT ALDEHYDE DEHYDROGENASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(144949, NULL, 'PTHR13683:SF265', NULL, NULL, NULL, NULL, 'PROTEIN ASPARTIC PROTEASE IN GUARD CELL 2', NULL, NULL, NULL, 15),
(144950, NULL, 'PTHR42865:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE TRANSPORTER SSTT', NULL, NULL, NULL, 15),
(144951, NULL, 'PTHR31068', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 31', NULL, NULL, 9505, 15),
(144952, NULL, 'PTHR19432:SF76', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(144953, NULL, 'PTHR24115:SF913', NULL, NULL, NULL, NULL, 'KINESIN-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(144954, NULL, 'PTHR48048:SF41', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(144955, NULL, 'PTHR11627:SF74', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(144956, NULL, 'PTHR43349:SF45', NULL, NULL, NULL, NULL, 'PINORESINOL-LARICIRESINOL REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(144957, NULL, 'PTHR43791:SF79', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(144958, NULL, 'PTHR36520:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG21345', NULL, NULL, NULL, 15),
(144959, NULL, 'PTHR13504:SF38', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE AQ_AA38-RELATED', NULL, NULL, NULL, 15),
(144960, NULL, 'PTHR24340:SF37', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SLOU-RELATED', NULL, NULL, NULL, 15),
(144961, NULL, 'PTHR32157:SF0', NULL, NULL, NULL, NULL, 'GENE 6268-RELATED', NULL, NULL, NULL, 15),
(144962, NULL, 'PTHR23112:SF23', NULL, NULL, NULL, NULL, 'CYCLIC AMP RECEPTOR 1-RELATED', NULL, NULL, NULL, 15),
(144963, NULL, 'PTHR10351:SF60', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', NULL, NULL, NULL, 15),
(144964, NULL, 'PTHR31727:SF2', NULL, NULL, NULL, NULL, 'PALMITOYL-ACYL CARRIER PROTEIN THIOESTERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(144965, NULL, 'PTHR31263:SF50', NULL, NULL, NULL, NULL, 'HYDROLYZING O-GLYCOSYL COMPOUNDS HYDROLASE', NULL, NULL, NULL, 15),
(144966, NULL, 'PTHR10504:SF84', NULL, NULL, NULL, NULL, 'BACTERICIDAL PERMEABILITY-INCREASING PROTEIN', NULL, NULL, 24960, 15),
(144967, NULL, 'PTHR47942:SF25', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(144968, NULL, 'PTHR43048', NULL, NULL, NULL, NULL, 'METHYLMALONYL-COA EPIMERASE', NULL, NULL, NULL, 15),
(144969, NULL, 'PTHR32410:SF190', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(144970, NULL, 'PTHR33057:SF135', NULL, NULL, NULL, NULL, 'BNAC05G11020D PROTEIN', NULL, NULL, NULL, 15),
(144971, NULL, 'PTHR34104:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 254', NULL, NULL, NULL, 15),
(144972, NULL, 'PTHR11782:SF105', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(144973, NULL, 'PTHR34537', NULL, NULL, NULL, NULL, 'OS08G0459300 PROTEIN', NULL, NULL, NULL, 15),
(144974, NULL, 'PTHR31707:SF340', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(144975, NULL, 'PTHR11246:SF19', NULL, NULL, NULL, NULL, 'OS06G0235800 PROTEIN', NULL, NULL, NULL, 15),
(144976, NULL, 'PTHR11815:SF11', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [GDP-FORMING] SUBUNIT BETA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(144977, NULL, 'PTHR33676:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144978, NULL, 'PTHR27005:SF29', NULL, NULL, NULL, NULL, 'OS01G0310500 PROTEIN', NULL, NULL, NULL, 15),
(144979, NULL, 'PTHR36035:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144980, NULL, 'PTHR36048', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION FACTOR', NULL, NULL, NULL, 15),
(144981, NULL, 'PTHR19134:SF502', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE RECEPTOR TYPE DB', NULL, NULL, NULL, 15),
(144982, NULL, 'PTHR45740:SF2', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(144983, NULL, 'PTHR23214:SF1', NULL, NULL, NULL, NULL, 'NEUROFILAMENT HEAVY POLYPEPTIDE', NULL, NULL, NULL, 15),
(144984, NULL, 'PTHR11977:SF108', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(144985, NULL, 'PTHR27005:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(144986, NULL, 'PTHR12126:SF13', NULL, NULL, NULL, NULL, 'BNAA09G43790D PROTEIN', NULL, NULL, NULL, 15),
(144987, NULL, 'PTHR36733:SF3', NULL, NULL, NULL, NULL, 'BNAC01G20690D PROTEIN', NULL, NULL, NULL, 15),
(144988, NULL, 'PTHR39224', NULL, NULL, NULL, NULL, 'IGA-INDUCING PROTEIN HOMOLOG', NULL, NULL, 33004, 15),
(144989, NULL, 'PTHR23232:SF48', NULL, NULL, NULL, NULL, 'PROTEIN ZNF720-RELATED', NULL, NULL, NULL, 15),
(144990, NULL, 'PTHR24020:SF49', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE XI, ALPHA 1A', NULL, NULL, NULL, 15),
(144991, NULL, 'PTHR37359', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 253', NULL, NULL, 34862, 15),
(144992, NULL, 'PTHR22298:SF153', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(144993, NULL, 'PTHR31521:SF4', NULL, NULL, NULL, NULL, 'PROTEIN NARROW LEAF 1', NULL, NULL, NULL, 15),
(144994, NULL, 'PTHR10177:SF344', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN-E', NULL, NULL, NULL, 15),
(144995, NULL, 'PTHR10629:SF42', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE CMT1-RELATED', NULL, NULL, NULL, 15),
(144996, NULL, 'PTHR32194', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TLDD', NULL, NULL, 15820, 15),
(144997, NULL, 'PTHR32247:SF3', NULL, NULL, NULL, NULL, 'DIABLO HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(144998, NULL, 'PTHR32382:SF60', NULL, NULL, NULL, NULL, 'ENDOSPERM SPECIFIC PROTEIN-LIKE', NULL, NULL, NULL, 15),
(144999, NULL, 'PTHR13018:SF110', NULL, NULL, NULL, NULL, 'BNAA08G25990D PROTEIN', NULL, NULL, NULL, 15),
(145000, NULL, 'PTHR31729:SF8', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF010', NULL, NULL, NULL, 15),
(145001, NULL, 'PTHR11695', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE RELATED', NULL, NULL, NULL, 15),
(145002, NULL, 'PTHR13713', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE', NULL, NULL, NULL, 15),
(145003, NULL, 'PTHR16223:SF146', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH66', NULL, NULL, NULL, 15),
(145004, NULL, 'PTHR13900:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145005, NULL, 'PTHR20849:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-BINDING PROTEIN MEXTLI', NULL, NULL, NULL, 15),
(145006, NULL, 'PTHR31496:SF36', NULL, NULL, NULL, NULL, 'OS08G0426866 PROTEIN', NULL, NULL, NULL, 15),
(145007, NULL, 'PTHR43643', NULL, NULL, NULL, NULL, 'HISTIDINOL-PHOSPHATE AMINOTRANSFERASE 2', NULL, NULL, NULL, 15),
(145008, NULL, 'PTHR47966:SF9', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE', NULL, NULL, NULL, 15),
(145009, NULL, 'PTHR23236', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B/4H', NULL, NULL, NULL, 15),
(145010, NULL, 'PTHR46596:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN-4', NULL, NULL, NULL, 15),
(145011, NULL, 'PTHR24346:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145012, NULL, 'PTHR46701', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE KOBITO 1', NULL, NULL, 37307, 15),
(145013, NULL, 'PTHR35495:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145014, NULL, 'PTHR21678:SF9', NULL, NULL, NULL, NULL, 'R3H DOMAIN AND COILED-COIL-CONTAINING 1-LIKE', NULL, NULL, NULL, 15),
(145015, NULL, 'PTHR31808:SF7', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE (DUF760)-RELATED', NULL, NULL, NULL, 15),
(145016, NULL, 'PTHR32077:SF44', NULL, NULL, NULL, NULL, 'OS08G0490600 PROTEIN', NULL, NULL, NULL, 15),
(145017, NULL, 'PTHR31310', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145018, NULL, 'PTHR46599:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-130M23.5', NULL, NULL, NULL, 15),
(145019, NULL, 'PTHR35587', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(145020, NULL, 'PTHR24282:SF225', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(145021, NULL, 'PTHR11850:SF102', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 1', NULL, NULL, NULL, 15),
(145022, NULL, 'PTHR46011:SF26', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-22', NULL, NULL, NULL, 15),
(145023, NULL, 'PTHR35987:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID REDOX INSENSITIVE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(145024, NULL, 'PTHR45125:SF3', NULL, NULL, NULL, NULL, 'F21J9.4-RELATED', NULL, NULL, NULL, 15),
(145025, NULL, 'PTHR21771:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIA-EATING PROTEIN', NULL, NULL, NULL, 15),
(145026, NULL, 'PTHR37423', NULL, NULL, NULL, NULL, 'SOLUBLE LYTIC MUREIN TRANSGLYCOSYLASE-RELATED', NULL, NULL, NULL, 15),
(145027, NULL, 'PTHR39599:SF1', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(145028, NULL, 'PTHR16675:SF229', NULL, NULL, NULL, NULL, 'HLA CLASS I HISTOCOMPATIBILITY ANTIGEN, A-68 ALPHA CHAIN', NULL, NULL, NULL, 15),
(145029, NULL, 'PTHR42748:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145030, NULL, 'PTHR13890:SF45', NULL, NULL, NULL, NULL, 'MG2+ TRANSPORTER PROTEIN, CORA-LIKE/ZINC TRANSPORT PROTEIN ZNTB-RELATED', NULL, NULL, NULL, 15),
(145031, NULL, 'PTHR36847:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145032, NULL, 'PTHR43177', NULL, NULL, NULL, NULL, 'PROTEIN NRFC', NULL, NULL, NULL, 15),
(145033, NULL, 'PTHR11254:SF430', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145034, NULL, 'PTHR28441', NULL, NULL, NULL, NULL, 'PROTEIN FAM91A1', NULL, NULL, 35697, 15),
(145035, NULL, 'PTHR11780:SF10', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(145036, NULL, 'PTHR36407:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145037, NULL, 'PTHR23077:SF146', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(145038, NULL, 'PTHR48086:SF1', NULL, NULL, NULL, NULL, 'OSMOREGULATED PROLINE TRANSPORTER OPUE', NULL, NULL, NULL, 15),
(145039, NULL, 'PTHR18860:SF102', NULL, NULL, NULL, NULL, 'BNAA05G18320D PROTEIN', NULL, NULL, NULL, 15),
(145040, NULL, 'PTHR33137:SF32', NULL, NULL, NULL, NULL, 'BNAA09G02690D PROTEIN', NULL, NULL, NULL, 15),
(145041, NULL, 'PTHR31682:SF30', NULL, NULL, NULL, NULL, 'BNAA01G33130D PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145042, NULL, 'PTHR16516:SF4', NULL, NULL, NULL, NULL, 'AGAP007109-PA', NULL, NULL, NULL, 15),
(145043, NULL, 'PTHR11946:SF94', NULL, NULL, NULL, NULL, 'OS10G0506200 PROTEIN', NULL, NULL, NULL, 15),
(145044, NULL, 'PTHR35156:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 52', NULL, NULL, NULL, 15),
(145045, NULL, 'PTHR10545:SF36', NULL, NULL, NULL, NULL, 'DIAMINE ACETYLTRANSFERASE 1', NULL, NULL, 27172, 15),
(145046, NULL, 'PTHR33573:SF30', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2B1', NULL, NULL, NULL, 15),
(145047, NULL, 'PTHR46991:SF23', NULL, NULL, NULL, NULL, 'BNAA01G17190D PROTEIN', NULL, NULL, NULL, 15),
(145048, NULL, 'PTHR11267:SF174', NULL, NULL, NULL, NULL, 'T-BOX PROTEIN 30/42-RELATED', NULL, NULL, NULL, 15),
(145049, NULL, 'PTHR23266:SF299', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION-RELATED', NULL, NULL, NULL, 15),
(145050, NULL, 'PTHR42968:SF9', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 87', NULL, NULL, NULL, 15),
(145051, NULL, 'PTHR11214:SF229', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(145052, NULL, 'PTHR30579:SF8', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR HDFR', NULL, NULL, NULL, 15),
(145053, NULL, 'PTHR47926:SF253', NULL, NULL, NULL, NULL, 'BNAA09G12090D PROTEIN', NULL, NULL, NULL, 15),
(145054, NULL, 'PTHR23315:SF270', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(145055, NULL, 'PTHR11132:SF432', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(145056, NULL, 'PTHR10177:SF444', NULL, NULL, NULL, NULL, 'CYCLIN-A2', NULL, NULL, NULL, 15),
(145057, NULL, 'PTHR30460:SF0', NULL, NULL, NULL, NULL, 'MODERATE CONDUCTANCE MECHANOSENSITIVE CHANNEL YBIO', NULL, NULL, NULL, 15),
(145058, NULL, 'PTHR31589:SF148', NULL, NULL, NULL, NULL, 'BNAC03G23900D PROTEIN', NULL, NULL, NULL, 15),
(145059, NULL, 'PTHR39430:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEASE-RELATED', NULL, NULL, NULL, 15),
(145060, NULL, 'PTHR31683:SF163', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(145061, NULL, 'PTHR27007:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145062, NULL, 'PTHR13696:SF94', NULL, NULL, NULL, NULL, 'PARA FAMILY PLASMID PARTITIONING PROTEIN', NULL, NULL, NULL, 15),
(145063, NULL, 'PTHR35546:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145064, NULL, 'PTHR11607:SF25', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE C', NULL, NULL, NULL, 15),
(145065, NULL, 'PTHR11362:SF122', NULL, NULL, NULL, NULL, 'BNAA06G12320D PROTEIN', NULL, NULL, NULL, 15),
(145066, NULL, 'PTHR23084:SF239', NULL, NULL, NULL, NULL, 'BNAANNG04110D PROTEIN', NULL, NULL, NULL, 15),
(145067, NULL, 'PTHR22888', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE, SUBUNIT II', NULL, NULL, 36789, 15),
(145068, NULL, 'PTHR28441:SF3', NULL, NULL, NULL, NULL, 'FAM91A1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145069, NULL, 'PTHR24248:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145070, NULL, 'PTHR43791:SF28', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(145071, NULL, 'PTHR10663:SF326', NULL, NULL, NULL, NULL, 'IQ MOTIF AND SEC7 DOMAIN 2A', NULL, NULL, NULL, 15),
(145072, NULL, 'PTHR14191:SF6', NULL, NULL, NULL, NULL, 'NA(+)/H(+) EXCHANGE REGULATORY COFACTOR NHE-RF3-RELATED', NULL, NULL, NULL, 15),
(145073, NULL, 'PTHR25465:SF18', NULL, NULL, NULL, NULL, 'FINTRIM FAMILY, MEMBER 83', NULL, NULL, NULL, 15),
(145074, NULL, 'PTHR24055:SF486', NULL, NULL, NULL, NULL, 'PROTEIN CBG09071', NULL, NULL, NULL, 15),
(145075, NULL, 'PTHR33294:SF5', NULL, NULL, NULL, NULL, 'AWPM-19-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(145076, NULL, 'PTHR11808:SF75', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE', NULL, NULL, NULL, 15),
(145077, NULL, 'PTHR31681:SF57', NULL, NULL, NULL, NULL, 'BNAA02G09720D PROTEIN', NULL, NULL, NULL, 15),
(145078, NULL, 'PTHR27005:SF246', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145079, NULL, 'PTHR23065:SF17', NULL, NULL, NULL, NULL, 'RHO-GTPASE-ACTIVATING PROTEIN RGD2', NULL, NULL, NULL, 15),
(145080, NULL, 'PTHR11861:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 130', NULL, NULL, NULL, 15),
(145081, NULL, 'PTHR35334:SF1', NULL, NULL, NULL, NULL, 'THREONINE/SERINE TRANSPORTER TDCC', NULL, NULL, 7169, 15),
(145082, NULL, 'PTHR45933:SF5', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 4', NULL, NULL, NULL, 15),
(145083, NULL, 'PTHR12411:SF693', NULL, NULL, NULL, NULL, 'BNAC05G16070D PROTEIN', NULL, NULL, NULL, 15),
(145084, NULL, 'PTHR21522:SF33', NULL, NULL, NULL, NULL, 'OTOPETRIN-LIKE', NULL, NULL, NULL, 15),
(145085, NULL, 'PTHR31677:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145086, NULL, 'PTHR43948:SF11', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(145087, NULL, 'PTHR23167:SF34', NULL, NULL, NULL, NULL, 'DYSTROPHIN', NULL, NULL, NULL, 15),
(145088, NULL, 'PTHR34052:SF1', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN-LIKE', NULL, NULL, NULL, 15),
(145089, NULL, 'PTHR24103:SF312', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 75-RELATED', NULL, NULL, NULL, 15),
(145090, NULL, 'PTHR21057:SF2', NULL, NULL, NULL, NULL, '2-DEHYDRO-3-DEOXYPHOSPHOOCTONATE ALDOLASE 1-RELATED', NULL, NULL, NULL, 15),
(145091, NULL, 'PTHR20855:SF30', NULL, NULL, NULL, NULL, 'PROGESTIN AND ADIPOQ RECEPTOR FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(145092, NULL, 'PTHR12560:SF8', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 5', NULL, NULL, NULL, 15),
(145093, NULL, 'PTHR40087:SF1', NULL, NULL, NULL, NULL, 'PHENOLIC ACID DECARBOXYLASE PADC', NULL, NULL, NULL, 15),
(145094, NULL, 'PTHR46819:SF1', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(145095, NULL, 'PTHR23127:SF3', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(145096, NULL, 'PTHR43952:SF13', NULL, NULL, NULL, NULL, 'OS05G0567600 PROTEIN', NULL, NULL, NULL, 15),
(145097, NULL, 'PTHR31719:SF149', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR NAM-2', NULL, NULL, NULL, 15),
(145098, NULL, 'PTHR20981:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L21', NULL, NULL, NULL, 15),
(145099, NULL, 'PTHR45863:SF23', NULL, NULL, NULL, NULL, 'BNAC02G44820D PROTEIN', NULL, NULL, NULL, 15),
(145100, NULL, 'PTHR22625:SF36', NULL, NULL, NULL, NULL, 'PLEXIN-B1', NULL, NULL, NULL, 15),
(145101, NULL, 'PTHR33065:SF130', NULL, NULL, NULL, NULL, 'OS05G0554800 PROTEIN', NULL, NULL, NULL, 15),
(145102, NULL, 'PTHR42735:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145103, NULL, 'PTHR45704:SF10', NULL, NULL, NULL, NULL, 'RE30129P', NULL, NULL, NULL, 15),
(145104, NULL, 'PTHR23349:SF5', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX TRANSCRIPTION FACTOR SCLERAXIS', NULL, NULL, NULL, 15),
(145105, NULL, 'PTHR19305:SF5', NULL, NULL, NULL, NULL, 'SYNAPTOSOMAL-ASSOCIATED PROTEIN 25', NULL, NULL, 35259, 15),
(145106, NULL, 'PTHR24377:SF716', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 551', NULL, NULL, 25211, 15),
(145107, NULL, 'PTHR33153:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145108, NULL, 'PTHR31734:SF111', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(145109, NULL, 'PTHR34377', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(145110, NULL, 'PTHR24388:SF81', NULL, NULL, NULL, NULL, 'SCRATCH FAMILY ZINC FINGER 2', NULL, NULL, 27586, 15),
(145111, NULL, 'PTHR33159:SF61', NULL, NULL, NULL, NULL, 'BNAA09G09220D PROTEIN', NULL, NULL, NULL, 15),
(145112, NULL, 'PTHR46336:SF17', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN POB1-LIKE', NULL, NULL, NULL, 15),
(145113, NULL, 'PTHR22932:SF17', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E SYNTHASE 3-LIKE 1', NULL, NULL, NULL, 15),
(145114, NULL, 'PTHR11955:SF90', NULL, NULL, NULL, NULL, 'ADIPOCYTE FATTY ACID-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145115, NULL, 'PTHR22950:SF641', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER ANT1', NULL, NULL, NULL, 15),
(145116, NULL, 'PTHR23048:SF33', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN ALKALI', NULL, NULL, 26118, 15),
(145117, NULL, 'PTHR10414:SF73', NULL, NULL, NULL, NULL, 'BNAA06G33540D PROTEIN', NULL, NULL, NULL, 15),
(145118, NULL, 'PTHR45813:SF10', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR F3A-RELATED', NULL, NULL, NULL, 15),
(145119, NULL, 'PTHR10869:SF149', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(145120, NULL, 'PTHR11011:SF100', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(145121, NULL, 'PTHR33320:SF22', NULL, NULL, NULL, NULL, 'BNAA06G01810D PROTEIN', NULL, NULL, NULL, 15),
(145122, NULL, 'PTHR12620:SF33', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN AUXILIARY FACTOR 35 KDA SUBUNIT-RELATED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(145123, NULL, 'PTHR37701:SF7', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(145124, NULL, 'PTHR19303:SF22', NULL, NULL, NULL, NULL, 'TIGGER TRANSPOSABLE ELEMENT-DERIVED PROTEIN 2', NULL, NULL, NULL, 15),
(145125, NULL, 'PTHR21444:SF16', NULL, NULL, NULL, NULL, 'RECEPTOR FOR RETINOL UPTAKE STRA6', NULL, NULL, 23039, 15),
(145126, NULL, 'PTHR23288:SF18', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II ELONGATION FACTOR ELL3', NULL, NULL, 27513, 15),
(145127, NULL, 'PTHR13609:SF4', NULL, NULL, NULL, NULL, 'RE42193P', NULL, NULL, NULL, 15),
(145128, NULL, 'PTHR46299:SF1', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 5B1', NULL, NULL, NULL, 15),
(145129, NULL, 'PTHR31238:SF212', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145130, NULL, 'PTHR46554:SF7', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26B-RELATED', NULL, NULL, NULL, 15),
(145131, NULL, 'PTHR46893:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145132, NULL, 'PTHR12587:SF5', NULL, NULL, NULL, NULL, 'LIPRIN-ALPHA-4', NULL, NULL, 24039, 15),
(145133, NULL, 'PTHR31673:SF42', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145134, NULL, 'PTHR43166:SF2', NULL, NULL, NULL, NULL, 'L-CYSTINE TRANSPORT SYSTEM ATP-BINDING PROTEIN YECC', NULL, NULL, NULL, 15),
(145135, NULL, 'PTHR24393:SF40', NULL, NULL, NULL, NULL, 'AGAP001269-PB', NULL, NULL, NULL, 15),
(145136, NULL, 'PTHR33101:SF47', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 2-RELATED', NULL, NULL, NULL, 15),
(145137, NULL, 'PTHR48001:SF52', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(145138, NULL, 'PTHR31692:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145139, NULL, 'PTHR43772', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE', NULL, NULL, NULL, 15),
(145140, NULL, 'PTHR33142:SF81', NULL, NULL, NULL, NULL, 'BNAANNG22280D PROTEIN', NULL, NULL, NULL, 15),
(145141, NULL, 'PTHR12424:SF17', NULL, NULL, NULL, NULL, 'PROTEIN TWEETY HOMOLOG 2-LIKE', NULL, NULL, NULL, 15),
(145142, NULL, 'PTHR10578:SF86', NULL, NULL, NULL, NULL, 'DEPENDENT DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G02720)-RELATED', NULL, NULL, NULL, 15),
(145143, NULL, 'PTHR24177:SF339', NULL, NULL, NULL, NULL, 'BNAA05G26720D PROTEIN', NULL, NULL, NULL, 15),
(145144, NULL, 'PTHR31985:SF152', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF039-LIKE', NULL, NULL, NULL, 15),
(145145, NULL, 'PTHR47926:SF214', NULL, NULL, NULL, NULL, 'OS05G0271900 PROTEIN', NULL, NULL, NULL, 15),
(145146, NULL, 'PTHR13318:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145147, NULL, 'PTHR45710', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING PROTEIN 180', NULL, NULL, NULL, 15),
(145148, NULL, 'PTHR45686', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE ACTIVATING PROTEIN 3, ISOFORM H-RELATED', NULL, NULL, NULL, 15),
(145149, NULL, 'PTHR45624:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145150, NULL, 'PTHR23510:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG00364', NULL, NULL, NULL, 15),
(145151, NULL, 'PTHR10942:SF45', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE/ZINC ION-BINDING PROTEIN', NULL, NULL, NULL, 15),
(145152, NULL, 'PTHR45756', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(145153, NULL, 'PTHR38119', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145154, NULL, 'PTHR31996:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 115', NULL, NULL, NULL, 15),
(145155, NULL, 'PTHR24256:SF446', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145156, NULL, 'PTHR24393:SF87', NULL, NULL, NULL, NULL, 'FI17950P1', NULL, NULL, NULL, 15),
(145157, NULL, 'PTHR30314:SF18', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSZ HOMOLOG 2-2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(145158, NULL, 'PTHR48053:SF6', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(145159, NULL, 'PTHR48130:SF1', NULL, NULL, NULL, NULL, 'OS12G0467600 PROTEIN', NULL, NULL, NULL, 15),
(145160, NULL, 'PTHR24093:SF284', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE CALCIUM-TRANSPORTING ATPASE 3', NULL, NULL, NULL, 15),
(145161, NULL, 'PTHR24349:SF279', NULL, NULL, NULL, NULL, 'OS10G0510700 PROTEIN', NULL, NULL, NULL, 15),
(145162, NULL, 'PTHR12741:SF48', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 3-RELATED', NULL, NULL, 23307, 15),
(145163, NULL, 'PTHR24232:SF44', NULL, NULL, NULL, NULL, 'URACIL NUCLEOTIDE/CYSTEINYL LEUKOTRIENE RECEPTOR', NULL, NULL, NULL, 15),
(145164, NULL, 'PTHR47975:SF30', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(145165, NULL, 'PTHR22974:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145166, NULL, 'PTHR11353:SF186', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT EPSILON', NULL, NULL, NULL, 15),
(145167, NULL, 'PTHR43049:SF1', NULL, NULL, NULL, NULL, 'EARLY ENDOSOME ANTIGEN', NULL, NULL, NULL, 15),
(145168, NULL, 'PTHR45645:SF8', NULL, NULL, NULL, NULL, 'DORSAL-VENTRAL PATTERNING PROTEIN TOLLOID-RELATED', NULL, NULL, NULL, 15),
(145169, NULL, 'PTHR31126:SF14', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE OCA6-RELATED', NULL, NULL, NULL, 15),
(145170, NULL, 'PTHR24242:SF356', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(145171, NULL, 'PTHR37220:SF2', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(145172, NULL, 'PTHR40048', NULL, NULL, NULL, NULL, 'RHAMNOSYL O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(145173, NULL, 'PTHR24058:SF111', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(145174, NULL, 'PTHR46456:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG 2', NULL, NULL, NULL, 15),
(145175, NULL, 'PTHR47958:SF51', NULL, NULL, NULL, NULL, 'BNAC04G43400D PROTEIN', NULL, NULL, NULL, 15),
(145176, NULL, 'PTHR10209:SF735', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145177, NULL, 'PTHR30454', NULL, NULL, NULL, NULL, '4-HYDROXY-3-METHYLBUT-2-EN-1-YL DIPHOSPHATE SYNTHASE', NULL, NULL, 877, 15),
(145178, NULL, 'PTHR10353:SF268', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1-RELATED', NULL, NULL, NULL, 15),
(145179, NULL, 'PTHR32295:SF204', NULL, NULL, NULL, NULL, 'BNAC02G03410D PROTEIN', NULL, NULL, NULL, 15),
(145180, NULL, 'PTHR46806:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-34D22.1', NULL, NULL, NULL, 15),
(145181, NULL, 'PTHR15056', NULL, NULL, NULL, NULL, 'ACTIVATOR OF APOPTOSIS HARAKIRI', NULL, NULL, 15592, 15),
(145182, NULL, 'PTHR14596:SF70', NULL, NULL, NULL, NULL, 'C2H2 TYPE MASTER REGULATOR OF CONIDIOPHORE DEVELOPMENT BRLA', NULL, NULL, NULL, 15),
(145183, NULL, 'PTHR10146:SF15', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE HOMEOSTASIS PROTEIN', NULL, NULL, NULL, 15),
(145184, NULL, 'PTHR11843:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15),
(145185, NULL, 'PTHR46776:SF21', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145186, NULL, 'PTHR34306:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145187, NULL, 'PTHR11477:SF38', NULL, NULL, NULL, NULL, 'OS04G0644675 PROTEIN', NULL, NULL, NULL, 15),
(145188, NULL, 'PTHR12565:SF402', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH63', NULL, NULL, NULL, 15),
(145189, NULL, 'PTHR12565:SF401', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH79', NULL, NULL, NULL, 15),
(145190, NULL, 'PTHR48045:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(145191, NULL, 'PTHR34954:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(145192, NULL, 'PTHR47227', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT K', NULL, NULL, NULL, 15),
(145193, NULL, 'PTHR47408:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01304', NULL, NULL, NULL, 15),
(145194, NULL, 'PTHR31375:SF184', NULL, NULL, NULL, NULL, 'BNAC05G01250D PROTEIN', NULL, NULL, NULL, 15),
(145195, NULL, 'PTHR44054', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE MEMBRANE PROTEIN VAT-1 HOMOLOG-LIKE', NULL, NULL, NULL, 15),
(145196, NULL, 'PTHR21696', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22680, 15),
(145197, NULL, 'PTHR24228:SF29', NULL, NULL, NULL, NULL, 'BETA-4C ADRENERGIC RECEPTOR-LIKE', NULL, NULL, NULL, 15),
(145198, NULL, 'PTHR28242:SF40', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(145199, NULL, 'PTHR45647:SF79', NULL, NULL, NULL, NULL, 'BNAA09G56190D PROTEIN', NULL, NULL, NULL, 15),
(145200, NULL, 'PTHR23266:SF294', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145201, NULL, 'PTHR11945:SF680', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 47', NULL, NULL, NULL, 15),
(145202, NULL, 'PTHR19424:SF9', NULL, NULL, NULL, NULL, 'BNAC07G33230D PROTEIN', NULL, NULL, NULL, 15),
(145203, NULL, 'PTHR31677:SF118', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR LEP', NULL, NULL, NULL, 15),
(145204, NULL, 'PTHR24399:SF31', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN PLAGL1', NULL, NULL, 24035, 15),
(145205, NULL, 'PTHR48063:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145206, NULL, 'PTHR13382:SF23', NULL, NULL, NULL, NULL, 'BNAA02G29160D PROTEIN', NULL, NULL, NULL, 15),
(145207, NULL, 'PTHR11538:SF77', NULL, NULL, NULL, NULL, 'BNAC06G26310D PROTEIN', NULL, NULL, NULL, 15),
(145208, NULL, 'PTHR32176:SF0', NULL, NULL, NULL, NULL, 'XYLOSE ISOMERASE', NULL, NULL, NULL, 15),
(145209, NULL, 'PTHR31985:SF160', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(145210, NULL, 'PTHR23113:SF160', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR C', NULL, NULL, NULL, 15),
(145211, NULL, 'PTHR22911:SF52', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER G2', NULL, NULL, NULL, 15),
(145212, NULL, 'PTHR44279:SF4', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID (11-BETA) DEHYDROGENASE 1-LIKE, GENE 2', NULL, NULL, NULL, 15),
(145213, NULL, 'PTHR47956:SF49', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 83B1', NULL, NULL, NULL, 15),
(145214, NULL, 'PTHR33932:SF4', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT B', NULL, NULL, NULL, 15),
(145215, NULL, 'PTHR27005:SF340', NULL, NULL, NULL, NULL, 'WALL ASSOCIATED KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145216, NULL, 'PTHR36300', NULL, NULL, NULL, NULL, 'RAW, ISOFORM A', NULL, NULL, NULL, 15),
(145217, NULL, 'PTHR47956:SF3', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE CYP75B4', NULL, NULL, NULL, 15),
(145218, NULL, 'PTHR21643:SF7', NULL, NULL, NULL, NULL, 'AEX-2 RELATED NEUROPEPTIDE RECEPTOR', NULL, NULL, NULL, 15),
(145219, NULL, 'PTHR10683:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145220, NULL, 'PTHR31099:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145221, NULL, 'PTHR31707:SF284', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(145222, NULL, 'PTHR11571:SF126', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 1', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145223, NULL, 'PTHR31234:SF46', NULL, NULL, NULL, NULL, 'BNAA02G36390D PROTEIN', NULL, NULL, NULL, 15),
(145224, NULL, 'PTHR10209:SF542', NULL, NULL, NULL, NULL, 'FERULOYL COA ORTHO-HYDROXYLASE 2-LIKE', NULL, NULL, NULL, 15),
(145225, NULL, 'PTHR31707:SF320', NULL, NULL, NULL, NULL, 'BNAA06G40340D PROTEIN', NULL, NULL, NULL, 15),
(145226, NULL, 'PTHR31384:SF39', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(145227, NULL, 'PTHR11017:SF262', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(145228, NULL, 'PTHR43711:SF24', NULL, NULL, NULL, NULL, 'SENSORY TRANSDUCTION HISTIDINE KINASE', NULL, NULL, NULL, 15),
(145229, NULL, 'PTHR11822:SF37', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP], MITOCHONDRIAL', NULL, NULL, NULL, 15),
(145230, NULL, 'PTHR48008:SF2', NULL, NULL, NULL, NULL, 'PROBABLY INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE IMK2', NULL, NULL, NULL, 15),
(145231, NULL, 'PTHR12939', NULL, NULL, NULL, NULL, 'SARCOGLYCAN', NULL, NULL, 34374, 15),
(145232, NULL, 'PTHR10784:SF8', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 6', NULL, NULL, NULL, 15),
(145233, NULL, 'PTHR39647:SF1', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA', NULL, NULL, NULL, 15),
(145234, NULL, 'PTHR31992:SF97', NULL, NULL, NULL, NULL, 'OS06G0284500 PROTEIN', NULL, NULL, NULL, 15),
(145235, NULL, 'PTHR37720:SF3', NULL, NULL, NULL, NULL, 'BNAC04G15780D PROTEIN', NULL, NULL, NULL, 15),
(145236, NULL, 'PTHR22881:SF29', NULL, NULL, NULL, NULL, 'BNAC07G15240D PROTEIN', NULL, NULL, NULL, 15),
(145237, NULL, 'PTHR42858:SF1', NULL, NULL, NULL, NULL, 'LD15494P', NULL, NULL, NULL, 15),
(145238, NULL, 'PTHR45691:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145239, NULL, 'PTHR47206:SF7', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(145240, NULL, 'PTHR12363:SF49', NULL, NULL, NULL, NULL, 'TRANSPORTIN MOS14', NULL, NULL, NULL, 15),
(145241, NULL, 'PTHR13059', NULL, NULL, NULL, NULL, 'HMG-BOX TRANSCRIPTION FACTOR BBX', NULL, NULL, NULL, 15),
(145242, NULL, 'PTHR47967:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145243, NULL, 'PTHR32227:SF390', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE, ACIDIC-LIKE', NULL, NULL, NULL, 15),
(145244, NULL, 'PTHR13305:SF4', NULL, NULL, NULL, NULL, 'BNAA07G00340D PROTEIN', NULL, NULL, NULL, 15),
(145245, NULL, 'PTHR23036:SF172', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR COMMON SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(145246, NULL, 'PTHR27001:SF85', NULL, NULL, NULL, NULL, 'OS01G0104000 PROTEIN', NULL, NULL, NULL, 15),
(145247, NULL, 'PTHR31602', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 27426, 15),
(145248, NULL, 'PTHR24177:SF252', NULL, NULL, NULL, NULL, 'PROTEIN ACCELERATED CELL DEATH 6-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(145249, NULL, 'PTHR46128:SF70', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(145250, NULL, 'PTHR48002:SF149', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(145251, NULL, 'PTHR12271:SF107', NULL, NULL, NULL, NULL, 'OS01G0846450 PROTEIN', NULL, NULL, NULL, 15),
(145252, NULL, 'PTHR13989:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145253, NULL, 'PTHR31374:SF276', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(145254, NULL, 'PTHR34210:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145255, NULL, 'PTHR38834', NULL, NULL, NULL, NULL, 'PERIPLASMIC SUBSTRATE BINDING PROTEIN FAMILY 3', NULL, NULL, NULL, 15),
(145256, NULL, 'PTHR48143', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145257, NULL, 'PTHR27008:SF323', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145258, NULL, 'PTHR47074:SF14', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(145259, NULL, 'PTHR34916', NULL, NULL, NULL, NULL, 'GI:13385330', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145260, NULL, 'PTHR33164:SF27', NULL, NULL, NULL, NULL, 'MARR-FAMILY REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(145261, NULL, 'PTHR13094', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE PDSW SUBUNIT', NULL, NULL, 32961, 15),
(145262, NULL, 'PTHR28632:SF8', NULL, NULL, NULL, NULL, 'BNAA06G09940D PROTEIN', NULL, NULL, NULL, 15),
(145263, NULL, 'PTHR32241:SF18', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(145264, NULL, 'PTHR11685:SF344', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(145265, NULL, 'PTHR33976:SF2', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN MEMBRANE GPI-ANCHORED', NULL, NULL, NULL, 15),
(145266, NULL, 'PTHR43406:SF7', NULL, NULL, NULL, NULL, 'INDOLE-3-GLYCEROL PHOSPHATE LYASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(145267, NULL, 'PTHR22911:SF116', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', NULL, NULL, NULL, 15),
(145268, NULL, 'PTHR10891:SF793', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(145269, NULL, 'PTHR33386:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145270, NULL, 'PTHR11776:SF25', NULL, NULL, NULL, NULL, 'BNACNNG33750D PROTEIN', NULL, NULL, NULL, 15),
(145271, NULL, 'PTHR11337:SF8', NULL, NULL, NULL, NULL, 'VISGUN, ISOFORM E', NULL, NULL, NULL, 15),
(145272, NULL, 'PTHR23120:SF5', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT-CONTAINING PROTEIN FAMILY MEMBER 9', NULL, NULL, NULL, 15),
(145273, NULL, 'PTHR33149:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145274, NULL, 'PTHR11926:SF1099', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(145275, NULL, 'PTHR10316:SF40', NULL, NULL, NULL, NULL, 'LD27118P-RELATED', NULL, NULL, NULL, 15),
(145276, NULL, 'PTHR11599:SF182', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, NULL, 15),
(145277, NULL, 'PTHR10438:SF372', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G10300)-RELATED', NULL, NULL, NULL, 15),
(145278, NULL, 'PTHR10210:SF98', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 1', NULL, NULL, NULL, 15),
(145279, NULL, 'PTHR10058:SF0', NULL, NULL, NULL, NULL, 'MACROPHAGE COLONY-STIMULATING FACTOR 1', NULL, NULL, NULL, 15),
(145280, NULL, 'PTHR16040:SF9', NULL, NULL, NULL, NULL, 'BOREALIN', NULL, NULL, NULL, 15),
(145281, NULL, 'PTHR24349:SF280', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(145282, NULL, 'PTHR43761:SF1', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G13630)', NULL, NULL, NULL, 15),
(145283, NULL, 'PTHR23160:SF16', NULL, NULL, NULL, NULL, 'BNAA05G33210D PROTEIN', NULL, NULL, NULL, 15),
(145284, NULL, 'PTHR13780:SF133', NULL, NULL, NULL, NULL, 'BNAANNG21130D PROTEIN', NULL, NULL, NULL, 15),
(145285, NULL, 'PTHR22777:SF17', NULL, NULL, NULL, NULL, 'UPF0053 INNER MEMBRANE PROTEIN YFJD', NULL, NULL, NULL, 15),
(145286, NULL, 'PTHR42913', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 1', NULL, NULL, NULL, 15),
(145287, NULL, 'PTHR37444:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG20614', NULL, NULL, NULL, 15),
(145288, NULL, 'PTHR14217:SF28', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE 3', NULL, NULL, NULL, 15),
(145289, NULL, 'PTHR11043:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145290, NULL, 'PTHR28066:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN MRP10, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(145291, NULL, 'PTHR32001', NULL, NULL, NULL, NULL, 'KERATINOCYTE-ASSOCIATED PROTEIN 2', NULL, NULL, 16027, 15),
(145292, NULL, 'PTHR47602', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP22', NULL, NULL, NULL, 15),
(145293, NULL, 'PTHR31490:SF62', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 35-RELATED', NULL, NULL, NULL, 15),
(145294, NULL, 'PTHR19282:SF446', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(145295, NULL, 'PTHR21641:SF0', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN EIF1AD-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145296, NULL, 'PTHR31172:SF8', NULL, NULL, NULL, NULL, 'CYCLIN 4', NULL, NULL, NULL, 15),
(145297, NULL, 'PTHR19229:SF154', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 7-RELATED', NULL, NULL, NULL, 15),
(145298, NULL, 'PTHR33640:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145299, NULL, 'PTHR11721', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27A', NULL, NULL, NULL, 15),
(145300, NULL, 'PTHR34606:SF11', NULL, NULL, NULL, NULL, 'OSMOTICALLY-INDUCIBLE PROTEIN Y', NULL, NULL, NULL, 15),
(145301, NULL, 'PTHR11742:SF40', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE 1,2-ALPHA-MANNOSIDASE IB', NULL, NULL, NULL, 15),
(145302, NULL, 'PTHR31189:SF68', NULL, NULL, NULL, NULL, 'LEGUMIN B-LIKE', NULL, NULL, NULL, 15),
(145303, NULL, 'PTHR45791:SF4', NULL, NULL, NULL, NULL, 'CALCIUM AND INTEGRIN-BINDING FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(145304, NULL, 'PTHR31290', NULL, NULL, NULL, NULL, 'UV-DAMAGE ENDONUCLEASE', NULL, NULL, 707, 15),
(145305, NULL, 'PTHR38608:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG07207', NULL, NULL, NULL, 15),
(145306, NULL, 'PTHR46295', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM RESIDENT PROTEIN 44', NULL, NULL, NULL, 15),
(145307, NULL, 'PTHR14154:SF17', NULL, NULL, NULL, NULL, 'OS04G0690800 PROTEIN', NULL, NULL, NULL, 15),
(145308, NULL, 'PTHR10353:SF169', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 11-LIKE', NULL, NULL, NULL, 15),
(145309, NULL, 'PTHR31734:SF174', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA3', NULL, NULL, NULL, 15),
(145310, NULL, 'PTHR11964:SF42', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE 1', NULL, NULL, NULL, 15),
(145311, NULL, 'PTHR13878:SF146', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE 6-RELATED', NULL, NULL, NULL, 15),
(145312, NULL, 'PTHR11739:SF8', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(145313, NULL, 'PTHR24255:SF28', NULL, NULL, NULL, NULL, 'SUPPRESSION OF TUMORIGENICITY 14B', NULL, NULL, NULL, 15),
(145314, NULL, 'PTHR10343:SF87', NULL, NULL, NULL, NULL, 'SNF1 PROTEIN KINASE SUBUNIT BETA-1', NULL, NULL, 24864, 15),
(145315, NULL, 'PTHR45855:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPATULA', NULL, NULL, NULL, 15),
(145316, NULL, 'PTHR47947:SF22', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', NULL, NULL, NULL, 15),
(145317, NULL, 'PTHR10537:SF5', NULL, NULL, NULL, NULL, 'DNA PRIMASE LARGE SUBUNIT', NULL, NULL, NULL, 15),
(145318, NULL, 'PTHR22916:SF56', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(145319, NULL, 'PTHR19850:SF40', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-5A', NULL, NULL, NULL, 15),
(145320, NULL, 'PTHR14009:SF9', NULL, NULL, NULL, NULL, 'LETM1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145321, NULL, 'PTHR23360:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(145322, NULL, 'PTHR11106:SF72', NULL, NULL, NULL, NULL, 'GANGLIOSIDE-INDUCED DIFFERENTIATION-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(145323, NULL, 'PTHR24119:SF4', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(145324, NULL, 'PTHR24299:SF17', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE', NULL, NULL, NULL, 15),
(145325, NULL, 'PTHR47529', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE D', NULL, NULL, NULL, 15),
(145326, NULL, 'PTHR22989:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG22299', NULL, NULL, NULL, 15),
(145327, NULL, 'PTHR46225:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(145328, NULL, 'PTHR11893', NULL, NULL, NULL, NULL, 'INNEXIN', NULL, NULL, 3282, 15),
(145329, NULL, 'PTHR15722', NULL, NULL, NULL, NULL, 'IFT140/172-RELATED', NULL, NULL, NULL, 15),
(145330, NULL, 'PTHR33203:SF32', NULL, NULL, NULL, NULL, 'OLEOSIN 21.2 KDA', NULL, NULL, NULL, 15),
(145331, NULL, 'PTHR34829', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 3A MEMBER 2', NULL, NULL, 34336, 15),
(145332, NULL, 'PTHR18945:SF823', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 3D', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145333, NULL, 'PTHR10742:SF382', NULL, NULL, NULL, NULL, 'L-AMINO-ACID OXIDASE', NULL, NULL, NULL, 15),
(145334, NULL, 'PTHR16655:SF3', NULL, NULL, NULL, NULL, 'CART4', NULL, NULL, NULL, 15),
(145335, NULL, 'PTHR11142:SF5', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE(38/39) SYNTHASE', NULL, NULL, NULL, 15),
(145336, NULL, 'PTHR36876:SF1', NULL, NULL, NULL, NULL, 'UROTENSIN-2B', NULL, NULL, NULL, 15),
(145337, NULL, 'PTHR10378:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145338, NULL, 'PTHR14205', NULL, NULL, NULL, NULL, 'WD-REPEAT PROTEIN', NULL, NULL, 32578, 15),
(145339, NULL, 'PTHR11581:SF8', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4, Y ISOFORM 1', NULL, NULL, NULL, 15),
(145340, NULL, 'PTHR45658:SF53', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(145341, NULL, 'PTHR12300:SF123', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145342, NULL, 'PTHR21569:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145343, NULL, 'PTHR21453:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG04773', NULL, NULL, NULL, 15),
(145344, NULL, 'PTHR34591:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145345, NULL, 'PTHR24062:SF33', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(145346, NULL, 'PTHR48014:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE OSR1-LIKE', NULL, NULL, NULL, 15),
(145347, NULL, 'PTHR14387:SF0', NULL, NULL, NULL, NULL, 'THYROID ADENOMA-ASSOCIATED PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(145348, NULL, 'PTHR39222:SF1', NULL, NULL, NULL, NULL, 'MCG9903', NULL, NULL, NULL, 15),
(145349, NULL, 'PTHR45813:SF3', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR F1', NULL, NULL, NULL, 15),
(145350, NULL, 'PTHR24390:SF82', NULL, NULL, NULL, NULL, 'GROWTH FACTOR INDEPENDENT 1B TRANSCRIPTIONAL REPRESSOR', NULL, NULL, NULL, 15),
(145351, NULL, 'PTHR12411:SF720', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145352, NULL, 'PTHR22791:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145353, NULL, 'PTHR36873', NULL, NULL, NULL, NULL, 'HYPOTHETICAL GENE SUPPORTED BY BC079057', NULL, NULL, 28235, 15),
(145354, NULL, 'PTHR33377:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145355, NULL, 'PTHR25462:SF242', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF CONTAINING 2', NULL, NULL, NULL, 15),
(145356, NULL, 'PTHR33873:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR VOZ1-LIKE', NULL, NULL, NULL, 15),
(145357, NULL, 'PTHR11783:SF223', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(145358, NULL, 'PTHR21272:SF5', NULL, NULL, NULL, NULL, 'CATABOLIC 3-DEHYDROQUINASE', NULL, NULL, NULL, 15),
(145359, NULL, 'PTHR42796:SF7', NULL, NULL, NULL, NULL, '2-DEHYDRO-3-DEOXY-D-ARABINONATE DEHYDRATASE', NULL, NULL, NULL, 15),
(145360, NULL, 'PTHR45648:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145361, NULL, 'PTHR35986', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(145362, NULL, 'PTHR43261:SF7', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR G-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145363, NULL, 'PTHR23336:SF59', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE-, DNA GYRASE B-, AND HSP90-LIKE ATPASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(145364, NULL, 'PTHR24072:SF348', NULL, NULL, NULL, NULL, 'BNAC07G14810D PROTEIN', NULL, NULL, NULL, 15),
(145365, NULL, 'PTHR10257:SF96', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(145366, NULL, 'PTHR31734:SF167', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(145367, NULL, 'PTHR33370', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-1, CHLOROPLASTIC', NULL, NULL, 5555, 15),
(145368, NULL, 'PTHR31343', NULL, NULL, NULL, NULL, 'T15D22.8', NULL, NULL, NULL, 15),
(145369, NULL, 'PTHR13890:SF36', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-H-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145370, NULL, 'PTHR15907:SF176', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 4-RELATED', NULL, NULL, NULL, 15),
(145371, NULL, 'PTHR23122:SF68', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PALMITOYLATED 2A (MAGUK P55 SUBFAMILY MEMBER 2)', NULL, NULL, NULL, 15),
(145372, NULL, 'PTHR31325:SF44', NULL, NULL, NULL, NULL, 'OS11G0681100 PROTEIN', NULL, NULL, NULL, 15),
(145373, NULL, 'PTHR23232', NULL, NULL, NULL, NULL, 'KRAB DOMAIN C2H2 ZINC FINGER', NULL, NULL, NULL, 15),
(145374, NULL, 'PTHR37172', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(145375, NULL, 'PTHR46756:SF14', NULL, NULL, NULL, NULL, 'GAS2-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(145376, NULL, 'PTHR11715:SF29', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', NULL, NULL, NULL, 15),
(145377, NULL, 'PTHR33306:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(145378, NULL, 'PTHR34341:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 107', NULL, NULL, NULL, 15),
(145379, NULL, 'PTHR32212:SF325', NULL, NULL, NULL, NULL, 'BNAA04G28050D PROTEIN', NULL, NULL, NULL, 15),
(145380, NULL, 'PTHR11101:SF55', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(145381, NULL, 'PTHR12873:SF2', NULL, NULL, NULL, NULL, 'TOPRIM DOMAIN, TWINKLE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(145382, NULL, 'PTHR21505:SF10', NULL, NULL, NULL, NULL, 'RE18252P', NULL, NULL, NULL, 15),
(145383, NULL, 'PTHR14140:SF27', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ORTHRUS 1-RELATED', NULL, NULL, NULL, 15),
(145384, NULL, 'PTHR46869:SF17', NULL, NULL, NULL, NULL, 'BNAC07G12290D PROTEIN', NULL, NULL, NULL, 15),
(145385, NULL, 'PTHR33186:SF15', NULL, NULL, NULL, NULL, 'OS06G0249850 PROTEIN', NULL, NULL, NULL, 15),
(145386, NULL, 'PTHR48049:SF44', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(145387, NULL, 'PTHR48018:SF129', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 9G4', NULL, NULL, NULL, 15),
(145388, NULL, 'PTHR34483:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145389, NULL, 'PTHR11216:SF134', NULL, NULL, NULL, NULL, 'ACTIN CYTOSKELETON-REGULATORY COMPLEX PROTEIN SLA1', NULL, NULL, 26117, 15),
(145390, NULL, 'PTHR46209:SF4', NULL, NULL, NULL, NULL, 'SORTING NEXIN-10B', NULL, NULL, NULL, 15),
(145391, NULL, 'PTHR11062:SF282', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT11-RELATED', NULL, NULL, NULL, 15),
(145392, NULL, 'PTHR12468:SF4', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(145393, NULL, 'PTHR43918:SF9', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(145394, NULL, 'PTHR38674', NULL, NULL, NULL, NULL, 'ALKANE 1-MONOOXYGENASE 1', NULL, NULL, 31322, 15),
(145395, NULL, 'PTHR13271:SF11', NULL, NULL, NULL, NULL, 'OS01G0976450 PROTEIN', NULL, NULL, NULL, 15),
(145396, NULL, 'PTHR24241:SF167', NULL, NULL, NULL, NULL, 'DIHYDROCAFFEIC ACID RECEPTOR', NULL, NULL, NULL, 15),
(145397, NULL, 'PTHR21659:SF40', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(145398, NULL, 'PTHR43294:SF4', NULL, NULL, NULL, NULL, 'CATION TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(145399, NULL, 'PTHR17534:SF4', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 4', NULL, NULL, NULL, 15),
(145400, NULL, 'PTHR22835:SF213', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(145401, NULL, 'PTHR42084:SF1', NULL, NULL, NULL, NULL, 'YALI0E26631P', NULL, NULL, NULL, 15),
(145402, NULL, 'PTHR12174:SF87', NULL, NULL, NULL, NULL, 'BNAA06G14870D PROTEIN', NULL, NULL, NULL, 15),
(145403, NULL, 'PTHR37878:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC689039', NULL, NULL, NULL, 15),
(145404, NULL, 'PTHR47165:SF1', NULL, NULL, NULL, NULL, 'OS03G0429900 PROTEIN', NULL, NULL, NULL, 15),
(145405, NULL, 'PTHR31279:SF45', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 2', NULL, NULL, NULL, 15),
(145406, NULL, 'PTHR14303:SF0', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA SUBUNIT 4', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145407, NULL, 'PTHR24373:SF277', NULL, NULL, NULL, NULL, 'CHONDROADHERIN', NULL, NULL, NULL, 15),
(145408, NULL, 'PTHR44167:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RAD53', NULL, NULL, NULL, 15),
(145409, NULL, 'PTHR21522', NULL, NULL, NULL, NULL, 'PROTON CHANNEL OTOP', NULL, NULL, 7194, 15),
(145410, NULL, 'PTHR13624:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 161A', NULL, NULL, NULL, 15),
(145411, NULL, 'PTHR36869', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 46', NULL, NULL, 22654, 15),
(145412, NULL, 'PTHR31907:SF63', NULL, NULL, NULL, NULL, 'BNAA04G13370D PROTEIN', NULL, NULL, NULL, 15),
(145413, NULL, 'PTHR46273:SF6', NULL, NULL, NULL, NULL, 'DROMYOSUPPRESSIN RECEPTOR RELATED', NULL, NULL, NULL, 15),
(145414, NULL, 'PTHR11465:SF55', NULL, NULL, NULL, NULL, 'CATALASE', NULL, NULL, NULL, 15),
(145415, NULL, 'PTHR11139:SF98', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145416, NULL, 'PTHR43386:SF18', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN OPPC', NULL, NULL, NULL, 15),
(145417, NULL, 'PTHR28081', NULL, NULL, NULL, NULL, 'DAMAGE-REGULATED IMPORT FACILITATOR 1-RELATED', NULL, NULL, 18107, 15),
(145418, NULL, 'PTHR23089', NULL, NULL, NULL, NULL, 'HISTIDINE TRIAD  HIT  PROTEIN', NULL, NULL, 2341, 15),
(145419, NULL, 'PTHR33090:SF69', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(145420, NULL, 'PTHR33052:SF138', NULL, NULL, NULL, NULL, 'BNAC08G45070D PROTEIN', NULL, NULL, NULL, 15),
(145421, NULL, 'PTHR30221:SF1', NULL, NULL, NULL, NULL, 'SMALL-CONDUCTANCE MECHANOSENSITIVE CHANNEL', NULL, NULL, NULL, 15),
(145422, NULL, 'PTHR46057:SF19', NULL, NULL, NULL, NULL, 'OS04G0585900 PROTEIN', NULL, NULL, NULL, 15),
(145423, NULL, 'PTHR24074:SF43', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, NULL, 15),
(145424, NULL, 'PTHR47119:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 45B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145425, NULL, 'PTHR45988:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(145426, NULL, 'PTHR31282:SF7', NULL, NULL, NULL, NULL, 'OS12G0116400 PROTEIN', NULL, NULL, NULL, 15),
(145427, NULL, 'PTHR11783:SF271', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(145428, NULL, 'PTHR11668:SF475', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(145429, NULL, 'PTHR34120:SF3', NULL, NULL, NULL, NULL, 'OJ000126_13.2 PROTEIN', NULL, NULL, NULL, 15),
(145430, NULL, 'PTHR31235:SF306', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(145431, NULL, 'PTHR23167:SF64', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN', NULL, NULL, NULL, 15),
(145432, NULL, 'PTHR47978:SF25', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB11A', NULL, NULL, NULL, 15),
(145433, NULL, 'PTHR10060', NULL, NULL, NULL, NULL, 'TATD FAMILY DEOXYRIBONUCLEASE', NULL, NULL, NULL, 15),
(145434, NULL, 'PTHR10742:SF396', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(145435, NULL, 'PTHR13958:SF4', NULL, NULL, NULL, NULL, 'CENTROSOME-ASSOCIATED PROTEIN 350', NULL, NULL, NULL, 15),
(145436, NULL, 'PTHR30086:SF20', NULL, NULL, NULL, NULL, 'CHEMOTACTIC TRANSDUCTION PROTEIN CHPE', NULL, NULL, NULL, 15),
(145437, NULL, 'PTHR34356:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(145438, NULL, 'PTHR10992:SF1056', NULL, NULL, NULL, NULL, 'BNAA04G13740D PROTEIN', NULL, NULL, NULL, 15),
(145439, NULL, 'PTHR19343:SF21', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 1-2', NULL, NULL, NULL, 15),
(145440, NULL, 'PTHR13809:SF28', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-T2', NULL, NULL, NULL, 15),
(145441, NULL, 'PTHR43719:SF33', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION HISTIDINE-PROTEIN KINASE BARA', NULL, NULL, NULL, 15),
(145442, NULL, 'PTHR43123:SF1', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE 1', NULL, NULL, NULL, 15),
(145443, NULL, 'PTHR12015:SF147', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 13', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145444, NULL, 'PTHR24270:SF33', NULL, NULL, NULL, NULL, 'LDL RECEPTOR REPEAT-CONTAINING PROTEIN EGG-1-RELATED', NULL, NULL, NULL, 15),
(145445, NULL, 'PTHR31317:SF19', NULL, NULL, NULL, NULL, 'BNAA06G37990D PROTEIN', NULL, NULL, NULL, 15),
(145446, NULL, 'PTHR11994:SF31', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11-1', NULL, NULL, NULL, 15),
(145447, NULL, 'PTHR28122:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SUBSTRATE RECEPTOR MMS22', NULL, NULL, NULL, 15),
(145448, NULL, 'PTHR45985:SF7', NULL, NULL, NULL, NULL, 'CHITIN DEACETYLASE-LIKE 5, ISOFORM B', NULL, NULL, NULL, 15),
(145449, NULL, 'PTHR24026:SF36', NULL, NULL, NULL, NULL, 'CADHERIN EGF LAG SEVEN-PASS G-TYPE RECEPTOR 1', NULL, NULL, NULL, 15),
(145450, NULL, 'PTHR24006:SF666', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 25', NULL, NULL, NULL, 15),
(145451, NULL, 'PTHR44749:SF1', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF RPS4-RLD 1', NULL, NULL, NULL, 15),
(145452, NULL, 'PTHR19282:SF387', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(145453, NULL, 'PTHR24260:SF130', NULL, NULL, NULL, NULL, 'GH18608P-RELATED', NULL, NULL, NULL, 15),
(145454, NULL, 'PTHR31551', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR CWF18', NULL, NULL, 8804, 15),
(145455, NULL, 'PTHR17604:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145456, NULL, 'PTHR44758', NULL, NULL, NULL, NULL, 'NAD(P) TRANSHYDROGENASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(145457, NULL, 'PTHR10593:SF134', NULL, NULL, NULL, NULL, 'OS01G0572300 PROTEIN', NULL, NULL, NULL, 15),
(145458, NULL, 'PTHR10041:SF7', NULL, NULL, NULL, NULL, 'COLIPASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(145459, NULL, 'PTHR32370:SF108', NULL, NULL, NULL, NULL, 'ROOT PHOTOTROPISM PROTEIN 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(145460, NULL, 'PTHR32166:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145461, NULL, 'PTHR45675:SF45', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB108', NULL, NULL, NULL, 15),
(145462, NULL, 'PTHR31953:SF51', NULL, NULL, NULL, NULL, 'CELL-WALL INVERTASE', NULL, NULL, NULL, 15),
(145463, NULL, 'PTHR11051:SF13', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(145464, NULL, 'PTHR11937:SF389', NULL, NULL, NULL, NULL, 'ACTIN', NULL, NULL, NULL, 15),
(145465, NULL, 'PTHR31279:SF63', NULL, NULL, NULL, NULL, 'PHOSPHATE-INDUCED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(145466, NULL, 'PTHR35561', NULL, NULL, NULL, NULL, 'RNA 2'',3''-CYCLIC PHOSPHODIESTERASE', NULL, NULL, 2780, 15),
(145467, NULL, 'PTHR24281:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145468, NULL, 'PTHR11926:SF1091', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(145469, NULL, 'PTHR27006:SF387', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(145470, NULL, 'PTHR24135:SF3', NULL, NULL, NULL, NULL, 'SH3 AND MULTIPLE ANKYRIN REPEAT DOMAINS PROTEIN 1', NULL, NULL, NULL, 15),
(145471, NULL, 'PTHR36938:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145472, NULL, 'PTHR46062:SF1', NULL, NULL, NULL, NULL, 'LP12374P', NULL, NULL, NULL, 15),
(145473, NULL, 'PTHR31923', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(145474, NULL, 'PTHR12537:SF1', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 1', NULL, NULL, NULL, 15),
(145475, NULL, 'PTHR43133', NULL, NULL, NULL, NULL, 'RNA POLYMERASE ECF-TYPE SIGMA FACTO', NULL, NULL, 35940, 15),
(145476, NULL, 'PTHR22953:SF102', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(145477, NULL, 'PTHR25466:SF1', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH 1 LIGAND 2', NULL, NULL, NULL, 15),
(145478, NULL, 'PTHR31218:SF287', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(145479, NULL, 'PTHR31707:SF191', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 45-RELATED', NULL, NULL, NULL, 15),
(145480, NULL, 'PTHR19845:SF0', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145481, NULL, 'PTHR34208:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145482, NULL, 'PTHR23012:SF159', NULL, NULL, NULL, NULL, 'OS05G0355300 PROTEIN', NULL, NULL, NULL, 15),
(145483, NULL, 'PTHR32153:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145484, NULL, 'PTHR22941:SF293', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(145485, NULL, 'PTHR10867:SF37', NULL, NULL, NULL, NULL, 'NICOTINAMIDE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(145486, NULL, 'PTHR46463:SF42', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHB1A-RELATED', NULL, NULL, NULL, 15),
(145487, NULL, 'PTHR23070:SF145', NULL, NULL, NULL, NULL, 'OS12G0470700 PROTEIN', NULL, NULL, NULL, 15),
(145488, NULL, 'PTHR11260:SF640', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(145489, NULL, 'PTHR48083:SF23', NULL, NULL, NULL, NULL, 'CROTONOBETAINYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(145490, NULL, 'PTHR48001:SF56', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1Q1', NULL, NULL, NULL, 15),
(145491, NULL, 'PTHR33493', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 6-RELATED', NULL, NULL, 1243, 15),
(145492, NULL, 'PTHR16002:SF6', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 3 RECEPTOR', NULL, NULL, NULL, 15),
(145493, NULL, 'PTHR31221:SF198', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(145494, NULL, 'PTHR13866:SF6', NULL, NULL, NULL, NULL, 'SPARC', NULL, NULL, 33858, 15),
(145495, NULL, 'PTHR46993', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(145496, NULL, 'PTHR23070:SF133', NULL, NULL, NULL, NULL, 'OS07G0192800 PROTEIN', NULL, NULL, NULL, 15),
(145497, NULL, 'PTHR24256:SF173', NULL, NULL, NULL, NULL, 'TESTISIN', NULL, NULL, 33196, 15),
(145498, NULL, 'PTHR31730:SF28', NULL, NULL, NULL, NULL, 'OS05G0430300 PROTEIN', NULL, NULL, NULL, 15),
(145499, NULL, 'PTHR31147:SF57', NULL, NULL, NULL, NULL, 'BNAA03G49730D PROTEIN', NULL, NULL, NULL, 15),
(145500, NULL, 'PTHR31235:SF298', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(145501, NULL, 'PTHR23272:SF139', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 2-LIKE', NULL, NULL, NULL, 15),
(145502, NULL, 'PTHR38926:SF19', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP19', NULL, NULL, NULL, 15),
(145503, NULL, 'PTHR24133', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145504, NULL, 'PTHR22966:SF31', NULL, NULL, NULL, NULL, 'OS09G0316000 PROTEIN', NULL, NULL, NULL, 15),
(145505, NULL, 'PTHR45632:SF8', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 34', NULL, NULL, NULL, 15),
(145506, NULL, 'PTHR24381:SF346', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 177', NULL, NULL, NULL, 15),
(145507, NULL, 'PTHR33210:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145508, NULL, 'PTHR32378:SF17', NULL, NULL, NULL, NULL, 'BNAA01G25080D PROTEIN', NULL, NULL, NULL, 15),
(145509, NULL, 'PTHR14155:SF579', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145510, NULL, 'PTHR30023:SF0', NULL, NULL, NULL, NULL, 'PENICILLIN-SENSITIVE CARBOXYPEPTIDASE A', NULL, NULL, NULL, 15),
(145511, NULL, 'PTHR36814:SF2', NULL, NULL, NULL, NULL, 'BNAA06G23190D PROTEIN', NULL, NULL, NULL, 15),
(145512, NULL, 'PTHR23354', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 7/ESTROGEN RECEPTOR COACTIVATOR-RELATED', NULL, NULL, NULL, 15),
(145513, NULL, 'PTHR31594', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145514, NULL, 'PTHR24056:SF458', NULL, NULL, NULL, NULL, 'BNAA01G33270D PROTEIN', NULL, NULL, NULL, 15),
(145515, NULL, 'PTHR10795:SF693', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145516, NULL, 'PTHR27002:SF824', NULL, NULL, NULL, NULL, 'OS07G0535800 PROTEIN', NULL, NULL, NULL, 15),
(145517, NULL, 'PTHR32525:SF2', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE', NULL, NULL, NULL, 15),
(145518, NULL, 'PTHR24340:SF17', NULL, NULL, NULL, NULL, 'NK1 TRANSCRIPTION FACTOR-RELATED PROTEIN 2', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145519, NULL, 'PTHR27007:SF307', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.1-LIKE', NULL, NULL, NULL, 15),
(145520, NULL, 'PTHR35544:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145521, NULL, 'PTHR11056:SF0', NULL, NULL, NULL, NULL, 'HOMOGENTISATE 1,2-DIOXYGENASE', NULL, NULL, NULL, 15),
(145522, NULL, 'PTHR16768:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-160O17.6-RELATED', NULL, NULL, NULL, 15),
(145523, NULL, 'PTHR31692:SF19', NULL, NULL, NULL, NULL, 'EXPANSIN-B2', NULL, NULL, NULL, 15),
(145524, NULL, 'PTHR47849:SF8', NULL, NULL, NULL, NULL, 'CHITIN-BINDING LECTIN 1', NULL, NULL, NULL, 15),
(145525, NULL, 'PTHR10566:SF117', NULL, NULL, NULL, NULL, 'PROTEIN KINASE-LIKE DOMAIN', NULL, NULL, NULL, 15),
(145526, NULL, 'PTHR32467:SF97', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WRI1', NULL, NULL, NULL, 15),
(145527, NULL, 'PTHR45645:SF45', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 12', NULL, NULL, NULL, 15),
(145528, NULL, 'PTHR14499:SF3', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD14', NULL, NULL, NULL, 15),
(145529, NULL, 'PTHR34463:SF14', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN LIKE', NULL, NULL, NULL, 15),
(145530, NULL, 'PTHR44414:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NEDD1', NULL, NULL, NULL, 15),
(145531, NULL, 'PTHR22883:SF328', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(145532, NULL, 'PTHR43718:SF7', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG 2 PEROXISOMAL', NULL, NULL, NULL, 15),
(145533, NULL, 'PTHR10954:SF22', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H2 SUBUNIT A', NULL, NULL, NULL, 15),
(145534, NULL, 'PTHR22978:SF22', NULL, NULL, NULL, NULL, 'BTG FAMILY PROTEIN', NULL, NULL, NULL, 15),
(145535, NULL, 'PTHR30154:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR, LRP/ASNC FAMILY', NULL, NULL, NULL, 15),
(145536, NULL, 'PTHR34130:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145537, NULL, 'PTHR32448:SF116', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(145538, NULL, 'PTHR22624:SF52', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE', NULL, NULL, NULL, 15),
(145539, NULL, 'PTHR42061:SF6', NULL, NULL, NULL, NULL, 'ENDO-CHITOSANASE', NULL, NULL, NULL, 15),
(145540, NULL, 'PTHR15818:SF4', NULL, NULL, NULL, NULL, 'G-PATCH DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(145541, NULL, 'PTHR24019:SF11', NULL, NULL, NULL, NULL, 'ERYTHROFERRONE', NULL, NULL, NULL, 15),
(145542, NULL, 'PTHR11550:SF35', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', NULL, NULL, NULL, 15),
(145543, NULL, 'PTHR45709:SF4', NULL, NULL, NULL, NULL, 'GTPASE LSG1-1', NULL, NULL, NULL, 15),
(145544, NULL, 'PTHR24559:SF350', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145545, NULL, 'PTHR28605:SF1', NULL, NULL, NULL, NULL, 'CTF8, CHROMOSOME TRANSMISSION FIDELITY FACTOR 8 HOMOLOG (S. CEREVISIAE)', NULL, NULL, NULL, 15),
(145546, NULL, 'PTHR10846:SF22', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER 3', NULL, NULL, 24700, 15),
(145547, NULL, 'PTHR47993:SF13', NULL, NULL, NULL, NULL, 'BNAC06G41520D PROTEIN', NULL, NULL, NULL, 15),
(145548, NULL, 'PTHR46841:SF4', NULL, NULL, NULL, NULL, 'SC:D189-RELATED', NULL, NULL, NULL, 15),
(145549, NULL, 'PTHR27004:SF272', NULL, NULL, NULL, NULL, 'OS05G0212200 PROTEIN', NULL, NULL, NULL, 15),
(145550, NULL, 'PTHR15736:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM131A', NULL, NULL, NULL, 15),
(145551, NULL, 'PTHR31985:SF176', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF018', NULL, NULL, NULL, 15),
(145552, NULL, 'PTHR23147:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145553, NULL, 'PTHR46758:SF10', NULL, NULL, NULL, NULL, 'BNAA02G13080D PROTEIN', NULL, NULL, NULL, 15),
(145554, NULL, 'PTHR10869:SF50', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE', NULL, NULL, NULL, 15),
(145555, NULL, 'PTHR11851:SF116', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 1, MITOCHONDRIAL', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145556, NULL, 'PTHR15437:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(145557, NULL, 'PTHR24253:SF100', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 36', NULL, NULL, NULL, 15),
(145558, NULL, 'PTHR30462:SF1', NULL, NULL, NULL, NULL, 'INTERMEMBRANE TRANSPORT PROTEIN YEBS', NULL, NULL, NULL, 15),
(145559, NULL, 'PTHR26453:SF63', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2F2', NULL, NULL, NULL, 15),
(145560, NULL, 'PTHR31238:SF108', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145561, NULL, 'PTHR36069:SF3', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(145562, NULL, 'PTHR12835:SF5', NULL, NULL, NULL, NULL, 'HOLOCARBOXYLASE SYNTHETASE (BIOTIN-(PROPRIONYL-COA-CARBOXYLASE (ATP-HYDROLYSING)) LIGASE)', NULL, NULL, NULL, 15),
(145563, NULL, 'PTHR21576:SF106', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(145564, NULL, 'PTHR42760:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145565, NULL, 'PTHR14002:SF20', NULL, NULL, NULL, NULL, 'UROMODULIN', NULL, NULL, NULL, 15),
(145566, NULL, 'PTHR47926:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145567, NULL, 'PTHR46249', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145568, NULL, 'PTHR33128:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145569, NULL, 'PTHR47570:SF1', NULL, NULL, NULL, NULL, 'ZINC ION BINDING PROTEIN', NULL, NULL, NULL, 15),
(145570, NULL, 'PTHR11504:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(145571, NULL, 'PTHR35494:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE-LIKE COMPLEX, SUBUNIT S-RELATED', NULL, NULL, NULL, 15),
(145572, NULL, 'PTHR15691', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 5', NULL, NULL, 16854, 15),
(145573, NULL, 'PTHR48092:SF9', NULL, NULL, NULL, NULL, 'ECDYSONE RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145574, NULL, 'PTHR46234:SF18', NULL, NULL, NULL, NULL, 'BNAC07G31910D PROTEIN', NULL, NULL, NULL, 15),
(145575, NULL, 'PTHR31374:SF16', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(145576, NULL, 'PTHR22716', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29938, 15),
(145577, NULL, 'PTHR33326:SF11', NULL, NULL, NULL, NULL, 'OS10G0373300 PROTEIN', NULL, NULL, NULL, 15),
(145578, NULL, 'PTHR13947:SF37', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 14', NULL, NULL, NULL, 15),
(145579, NULL, 'PTHR48002:SF52', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(145580, NULL, 'PTHR35162:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145581, NULL, 'PTHR47110', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC EXPRESSED PROTEIN 55', NULL, NULL, 30841, 15),
(145582, NULL, 'PTHR11764:SF58', NULL, NULL, NULL, NULL, 'LUPEOL SYNTHASE 1', NULL, NULL, NULL, 15),
(145583, NULL, 'PTHR14221:SF50', NULL, NULL, NULL, NULL, 'OS11G0187100 PROTEIN', NULL, NULL, NULL, 15),
(145584, NULL, 'PTHR11945:SF427', NULL, NULL, NULL, NULL, 'TRUNCATED TRANSCRIPTION FACTOR CAULIFLOWER D-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(145585, NULL, 'PTHR24115:SF601', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145586, NULL, 'PTHR10366:SF671', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145587, NULL, 'PTHR31722:SF32', NULL, NULL, NULL, NULL, 'BNAC06G02230D PROTEIN', NULL, NULL, NULL, 15),
(145588, NULL, 'PTHR47985:SF4', NULL, NULL, NULL, NULL, 'OS07G0668900 PROTEIN', NULL, NULL, NULL, 15),
(145589, NULL, 'PTHR31419:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 2', NULL, NULL, NULL, 15),
(145590, NULL, 'PTHR31625:SF32', NULL, NULL, NULL, NULL, 'TRANSFERASE', NULL, NULL, NULL, 15),
(145591, NULL, 'PTHR27004:SF212', NULL, NULL, NULL, NULL, 'OS01G0162800 PROTEIN', NULL, NULL, NULL, 15),
(145592, NULL, 'PTHR10795:SF589', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145593, NULL, 'PTHR11042', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2-ALPHA KINASE  EIF2-ALPHA KINASE -RELATED', NULL, NULL, NULL, 15),
(145594, NULL, 'PTHR10209:SF770', NULL, NULL, NULL, NULL, 'FERULOYL COA ORTHO-HYDROXYLASE 1-LIKE', NULL, NULL, NULL, 15),
(145595, NULL, 'PTHR35307:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145596, NULL, 'PTHR47932:SF25', NULL, NULL, NULL, NULL, 'OS01G0833000 PROTEIN', NULL, NULL, NULL, 15),
(145597, NULL, 'PTHR14054', NULL, NULL, NULL, NULL, 'REPETIN', NULL, NULL, 31835, 15),
(145598, NULL, 'PTHR10682:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145599, NULL, 'PTHR10985:SF130', NULL, NULL, NULL, NULL, 'HAIRY-RELATED 8A', NULL, NULL, NULL, 15),
(145600, NULL, 'PTHR20904', NULL, NULL, NULL, NULL, 'INDUCIBLE T-CELL COSTIMULATOR ICOS', NULL, NULL, 34996, 15),
(145601, NULL, 'PTHR12277:SF159', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(145602, NULL, 'PTHR24412:SF215', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 24', NULL, NULL, 22961, 15),
(145603, NULL, 'PTHR35992', NULL, NULL, NULL, NULL, 'CYTOMATRIX PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145604, NULL, 'PTHR48027:SF16', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(145605, NULL, 'PTHR46181', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GLYCINE TRANSPORTER', NULL, NULL, NULL, 15),
(145606, NULL, 'PTHR14000:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145607, NULL, 'PTHR33107:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145608, NULL, 'PTHR14964:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-BINDING FACTOR 2', NULL, NULL, NULL, 15),
(145609, NULL, 'PTHR31072:SF157', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TB1', NULL, NULL, NULL, 15),
(145610, NULL, 'PTHR27006:SF164', NULL, NULL, NULL, NULL, 'DUF26-DOMAIN RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(145611, NULL, 'PTHR12461:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145612, NULL, 'PTHR10837:SF21', NULL, NULL, NULL, NULL, 'PROTEIN-ARGININE DEIMINASE TYPE-3', NULL, NULL, NULL, 15),
(145613, NULL, 'PTHR24107', NULL, NULL, NULL, NULL, 'YNEIN REGULATORY COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(145614, NULL, 'PTHR24055:SF399', NULL, NULL, NULL, NULL, 'OS12G0427100 PROTEIN', NULL, NULL, NULL, 15),
(145615, NULL, 'PTHR31431:SF1', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP188 HOMOLOG', NULL, NULL, NULL, 15),
(145616, NULL, 'PTHR12460:SF27', NULL, NULL, NULL, NULL, 'ENTH/VHS FAMILY PROTEIN', NULL, NULL, NULL, 15),
(145617, NULL, 'PTHR12112:SF21', NULL, NULL, NULL, NULL, 'BCL-2/ADENOVIRUS E1B 19 KDA-INTERACTING PROTEIN 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145618, NULL, 'PTHR22952:SF404', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(145619, NULL, 'PTHR37753:SF1', NULL, NULL, NULL, NULL, 'OS01G0940600 PROTEIN', NULL, NULL, NULL, 15),
(145620, NULL, 'PTHR11588:SF100', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2A CHAIN', NULL, NULL, NULL, 15),
(145621, NULL, 'PTHR39207', NULL, NULL, NULL, NULL, 'ALPHA-GLUCURONIDASE A', NULL, NULL, NULL, 15),
(145622, NULL, 'PTHR12661:SF5', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF SWI4 1 HOMOLOG', NULL, NULL, NULL, 15),
(145623, NULL, 'PTHR31374:SF249', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(145624, NULL, 'PTHR26453:SF103', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2B3-RELATED', NULL, NULL, NULL, 15),
(145625, NULL, 'PTHR42748:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145626, NULL, 'PTHR48106:SF2', NULL, NULL, NULL, NULL, 'TRANS-2-ENOYL-COA REDUCTASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(145627, NULL, 'PTHR43670:SF33', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(145628, NULL, 'PTHR42699', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145629, NULL, 'PTHR11654:SF519', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145630, NULL, 'PTHR44329:SF145', NULL, NULL, NULL, NULL, 'OS08G0103200 PROTEIN', NULL, NULL, NULL, 15),
(145631, NULL, 'PTHR33070:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(145632, NULL, 'PTHR48099:SF13', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(145633, NULL, 'PTHR45644:SF30', NULL, NULL, NULL, NULL, 'OS07G0672500 PROTEIN', NULL, NULL, NULL, 15),
(145634, NULL, 'PTHR26379:SF368', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145635, NULL, 'PTHR24073:SF898', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-11C', NULL, NULL, NULL, 15),
(145636, NULL, 'PTHR47424:SF11', NULL, NULL, NULL, NULL, 'MISCELLANEOUS ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)', NULL, NULL, NULL, 15),
(145637, NULL, 'PTHR11266:SF93', NULL, NULL, NULL, NULL, 'WORONIN SORTING COMPLEX PROTEIN', NULL, NULL, NULL, 15),
(145638, NULL, 'PTHR11414:SF16', NULL, NULL, NULL, NULL, 'CYSTATIN A FAMILY MEMBER 3-RELATED', NULL, NULL, NULL, 15),
(145639, NULL, 'PTHR44027:SF2', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 5G', NULL, NULL, NULL, 15),
(145640, NULL, 'PTHR35318:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145641, NULL, 'PTHR48070:SF5', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE', NULL, NULL, NULL, 15),
(145642, NULL, 'PTHR27007:SF313', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', NULL, NULL, NULL, 15),
(145643, NULL, 'PTHR31756:SF5', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE REGULATORY PROTEIN 2', NULL, NULL, NULL, 15),
(145644, NULL, 'PTHR11767:SF44', NULL, NULL, NULL, NULL, 'ATP-SENSITIVE INWARD RECTIFIER POTASSIUM CHANNEL 11', NULL, NULL, 3290, 15),
(145645, NULL, 'PTHR45631:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145646, NULL, 'PTHR14614:SF128', NULL, NULL, NULL, NULL, 'PROTEIN N-METHYLTRANSFERASE FAM86B1-RELATED', NULL, NULL, NULL, 15),
(145647, NULL, 'PTHR47889', NULL, NULL, NULL, NULL, 'SPERMATOGENIC LEUCINE ZIPPER PROTEIN 1', NULL, NULL, 38203, 15),
(145648, NULL, 'PTHR22906:SF28', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR B1', NULL, NULL, NULL, 15),
(145649, NULL, 'PTHR10603:SF3', NULL, NULL, NULL, NULL, 'FRAGILE X MENTAL RETARDATION SYNDROME-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(145650, NULL, 'PTHR12883:SF1', NULL, NULL, NULL, NULL, 'BNAA03G46700D PROTEIN', NULL, NULL, NULL, 15),
(145651, NULL, 'PTHR10641:SF1244', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB93', NULL, NULL, NULL, 15),
(145652, NULL, 'PTHR33709:SF13', NULL, NULL, NULL, NULL, 'F9K20.7 PROTEIN', NULL, NULL, NULL, 15),
(145653, NULL, 'PTHR21649:SF101', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(145654, NULL, 'PTHR47869:SF2', NULL, NULL, NULL, NULL, 'OS03G0410700 PROTEIN', NULL, NULL, NULL, 15),
(145655, NULL, 'PTHR19229:SF117', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 17', NULL, NULL, NULL, 15),
(145656, NULL, 'PTHR12411:SF776', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145657, NULL, 'PTHR46634:SF1', NULL, NULL, NULL, NULL, 'OS02G0816400 PROTEIN', NULL, NULL, NULL, 15),
(145658, NULL, 'PTHR13301:SF214', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE, NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(145659, NULL, 'PTHR16515:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145660, NULL, 'PTHR23130:SF199', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(145661, NULL, 'PTHR11017:SF424', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE-LIKE PROTEIN CSA1', NULL, NULL, NULL, 15),
(145662, NULL, 'PTHR24343:SF398', NULL, NULL, NULL, NULL, 'PROTEIN CBG02096', NULL, NULL, NULL, 15),
(145663, NULL, 'PTHR24089:SF703', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL THIAMINE DIPHOSPHATE CARRIER 1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145664, NULL, 'PTHR11711:SF316', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 3', NULL, NULL, NULL, 15),
(145665, NULL, 'PTHR44086:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145666, NULL, 'PTHR43553:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 11, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(145667, NULL, 'PTHR24015:SF1993', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(145668, NULL, 'PTHR24240:SF73', NULL, NULL, NULL, NULL, 'TELEOST MULTIPLE TISSUE OPSIN 2A', NULL, NULL, NULL, 15),
(145669, NULL, 'PTHR46234:SF17', NULL, NULL, NULL, NULL, 'BNAC01G35920D PROTEIN', NULL, NULL, NULL, 15),
(145670, NULL, 'PTHR40625', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145671, NULL, 'PTHR31907:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145672, NULL, 'PTHR42898:SF63', NULL, NULL, NULL, NULL, 'BNAANNG26060D PROTEIN', NULL, NULL, NULL, 15),
(145673, NULL, 'PTHR11915:SF435', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN', NULL, NULL, NULL, 15),
(145674, NULL, 'PTHR13593:SF102', NULL, NULL, NULL, NULL, 'SI:DKEY-266F7.9', NULL, NULL, NULL, 15),
(145675, NULL, 'PTHR32009:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145676, NULL, 'PTHR43900:SF75', NULL, NULL, NULL, NULL, 'BNAC03G47760D PROTEIN', NULL, NULL, NULL, 15),
(145677, NULL, 'PTHR43327:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145678, NULL, 'PTHR30237', NULL, NULL, NULL, NULL, 'MURAMOYLTETRAPEPTIDE CARBOXYPEPTIDASE', NULL, NULL, 6495, 15),
(145679, NULL, 'PTHR33057:SF37', NULL, NULL, NULL, NULL, 'OS01G0823500 PROTEIN', NULL, NULL, NULL, 15),
(145680, NULL, 'PTHR45614:SF13', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 89', NULL, NULL, NULL, 15),
(145681, NULL, 'PTHR23050:SF325', NULL, NULL, NULL, NULL, 'CENTRIN-3', NULL, NULL, NULL, 15),
(145682, NULL, 'PTHR23164:SF15', NULL, NULL, NULL, NULL, 'LATERAL SIGNALING TARGET PROTEIN 2 HOMOLOG-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145683, NULL, 'PTHR45476:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145684, NULL, 'PTHR24058:SF121', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TYROSINE-PHOSPHORYLATION-REGULATED KINASE 1A', NULL, NULL, 25670, 15),
(145685, NULL, 'PTHR35746:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(145686, NULL, 'PTHR22893:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145687, NULL, 'PTHR31181:SF67', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(145688, NULL, 'PTHR12002:SF75', NULL, NULL, NULL, NULL, 'CLAUDIN-17', NULL, NULL, NULL, 15),
(145689, NULL, 'PTHR24083:SF67', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-14', NULL, NULL, NULL, 15),
(145690, NULL, 'PTHR33403:SF32', NULL, NULL, NULL, NULL, 'BNAA06G39830D PROTEIN', NULL, NULL, NULL, 15),
(145691, NULL, 'PTHR46714:SF4', NULL, NULL, NULL, NULL, 'OS01G0174000 PROTEIN', NULL, NULL, NULL, 15),
(145692, NULL, 'PTHR12601:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145693, NULL, 'PTHR33649:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145694, NULL, 'PTHR31331:SF1', NULL, NULL, NULL, NULL, 'LCCL DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G08630)', NULL, NULL, NULL, 15),
(145695, NULL, 'PTHR12266:SF24', NULL, NULL, NULL, NULL, 'CATION/CALCIUM EXCHANGER 1', NULL, NULL, NULL, 15),
(145696, NULL, 'PTHR47992:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 37-LIKE', NULL, NULL, NULL, 15),
(145697, NULL, 'PTHR10155:SF0', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING AT 36E, ISOFORM D', NULL, NULL, NULL, 15),
(145698, NULL, 'PTHR38011:SF5', NULL, NULL, NULL, NULL, '2,5-DIAMINO-6-RIBOSYLAMINO-4(3H)-PYRIMIDINONE 5''-PHOSPHATE REDUCTASE', NULL, NULL, NULL, 15),
(145699, NULL, 'PTHR24068:SF321', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-23 KDA', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145700, NULL, 'PTHR32153:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145701, NULL, 'PTHR10125', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR', NULL, NULL, NULL, 15),
(145702, NULL, 'PTHR10704:SF5', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 7', NULL, NULL, NULL, 15),
(145703, NULL, 'PTHR11040:SF142', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORT PROTEIN 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(145704, NULL, 'PTHR12127:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145705, NULL, 'PTHR31104:SF12', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA- GLUCOSAMINYL)ASPARAGINE AMIDASE A-LIKE', NULL, NULL, NULL, 15),
(145706, NULL, 'PTHR21447:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG11496', NULL, NULL, NULL, 15),
(145707, NULL, 'PTHR10894:SF23', NULL, NULL, NULL, NULL, 'PROTEIN NOP56, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(145708, NULL, 'PTHR24286:SF185', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 87A3-LIKE', NULL, NULL, NULL, 15),
(145709, NULL, 'PTHR12220', NULL, NULL, NULL, NULL, '50S/60S RIBOSOMAL PROTEIN L16', NULL, NULL, 2825, 15),
(145710, NULL, 'PTHR39594:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YCHQ', NULL, NULL, NULL, 15),
(145711, NULL, 'PTHR28304:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX28', NULL, NULL, NULL, 15),
(145712, NULL, 'PTHR35190', NULL, NULL, NULL, NULL, 'PROTEIN DCD1B', NULL, NULL, NULL, 15),
(145713, NULL, 'PTHR33147:SF26', NULL, NULL, NULL, NULL, 'OS04G0189800 PROTEIN', NULL, NULL, NULL, 15),
(145714, NULL, 'PTHR45768:SF52', NULL, NULL, NULL, NULL, 'BNAA01G27610D PROTEIN', NULL, NULL, NULL, 15),
(145715, NULL, 'PTHR47990:SF26', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20-OXIDASE', NULL, NULL, NULL, 15),
(145716, NULL, 'PTHR30096:SF9', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE CATABOLISM PROTEIN', NULL, NULL, NULL, 15),
(145717, NULL, 'PTHR18947:SF28', NULL, NULL, NULL, NULL, 'GIRDIN, ISOFORM A', NULL, NULL, NULL, 15),
(145718, NULL, 'PTHR24408:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145719, NULL, 'PTHR12002:SF97', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930524N10 GENE-RELATED', NULL, NULL, NULL, 15),
(145720, NULL, 'PTHR20934:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(145721, NULL, 'PTHR39344:SF1', NULL, NULL, NULL, NULL, 'UPF0182 PROTEIN SLL1060', NULL, NULL, NULL, 15),
(145722, NULL, 'PTHR35342:SF5', NULL, NULL, NULL, NULL, 'TRICARBOXYLIC TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(145723, NULL, 'PTHR31375:SF15', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(145724, NULL, 'PTHR23262:SF181', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-2-RELATED', NULL, NULL, NULL, 15),
(145725, NULL, 'PTHR45666:SF47', NULL, NULL, NULL, NULL, 'BNAC09G20850D PROTEIN', NULL, NULL, NULL, 15),
(145726, NULL, 'PTHR11028:SF4', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT', NULL, NULL, NULL, 15),
(145727, NULL, 'PTHR22883:SF354', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(145728, NULL, 'PTHR24012:SF751', NULL, NULL, NULL, NULL, 'MULTIPLE RNA-BINDING DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(145729, NULL, 'PTHR47974:SF6', NULL, NULL, NULL, NULL, 'OS10G0101000 PROTEIN', NULL, NULL, NULL, 15),
(145730, NULL, 'PTHR33193:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145731, NULL, 'PTHR24289:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 17, SUBFAMILY A, POLYPEPTIDE 1', NULL, NULL, 29716, 15),
(145732, NULL, 'PTHR24242:SF359', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(145733, NULL, 'PTHR33621:SF2', NULL, NULL, NULL, NULL, 'ASPARTIC/GLUTAMIC ACID-RICH PROTEIN', NULL, NULL, NULL, 15),
(145734, NULL, 'PTHR24006:SF801', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE 3-RELATED', NULL, NULL, NULL, 15),
(145735, NULL, 'PTHR11040:SF175', NULL, NULL, NULL, NULL, 'BNAA05G29570D PROTEIN', NULL, NULL, NULL, 15),
(145736, NULL, 'PTHR48065:SF11', NULL, NULL, NULL, NULL, 'BNAC08G45300D PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145737, NULL, 'PTHR27002:SF841', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN S6, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(145738, NULL, 'PTHR48022:SF56', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10910)-RELATED', NULL, NULL, NULL, 15),
(145739, NULL, 'PTHR37850:SF1', NULL, NULL, NULL, NULL, 'STRU PROTEIN', NULL, NULL, NULL, 15),
(145740, NULL, 'PTHR31985:SF191', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF024-LIKE', NULL, NULL, NULL, 15),
(145741, NULL, 'PTHR11527:SF301', NULL, NULL, NULL, NULL, 'HSP17', NULL, NULL, NULL, 15),
(145742, NULL, 'PTHR11671:SF3', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT D-RELATED', NULL, NULL, NULL, 15),
(145743, NULL, 'PTHR24381:SF312', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 705E-RELATED', NULL, NULL, NULL, 15),
(145744, NULL, 'PTHR36312:SF11', NULL, NULL, NULL, NULL, 'BNAC08G40990D PROTEIN', NULL, NULL, NULL, 15),
(145745, NULL, 'PTHR31042:SF106', NULL, NULL, NULL, NULL, 'BNAA07G36120D PROTEIN', NULL, NULL, NULL, 15),
(145746, NULL, 'PTHR35593:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145747, NULL, 'PTHR24412:SF426', NULL, NULL, NULL, NULL, 'SI:CH211-256E16.3', NULL, NULL, NULL, 15),
(145748, NULL, 'PTHR36324:SF1', NULL, NULL, NULL, NULL, 'OS09G0460100 PROTEIN', NULL, NULL, NULL, 15),
(145749, NULL, 'PTHR12411:SF728', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145750, NULL, 'PTHR11537:SF174', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY D MEMBER 1', NULL, NULL, NULL, 15),
(145751, NULL, 'PTHR21649:SF33', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 2.1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(145752, NULL, 'PTHR10302:SF15', NULL, NULL, NULL, NULL, 'OS03G0633900 PROTEIN', NULL, NULL, NULL, 15),
(145753, NULL, 'PTHR11157:SF19', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 1', NULL, NULL, NULL, 15),
(145754, NULL, 'PTHR15730:SF3', NULL, NULL, NULL, NULL, 'TRPM8 CHANNEL-ASSOCIATED FACTOR 3', NULL, NULL, NULL, 15),
(145755, NULL, 'PTHR43192:SF1', NULL, NULL, NULL, NULL, 'PHOSPHONOACETALDEHYDE HYDROLASE', NULL, NULL, NULL, 15),
(145756, NULL, 'PTHR31496:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR KAN1-LIKE', NULL, NULL, NULL, 15),
(145757, NULL, 'PTHR24258:SF138', NULL, NULL, NULL, NULL, 'BCDNA.GH08420-RELATED', NULL, NULL, NULL, 15),
(145758, NULL, 'PTHR13273:SF17', NULL, NULL, NULL, NULL, 'ANAMORSIN', NULL, NULL, NULL, 15),
(145759, NULL, 'PTHR35491:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145760, NULL, 'PTHR31156:SF25', NULL, NULL, NULL, NULL, '4933411G11RIK PROTEIN', NULL, NULL, NULL, 15),
(145761, NULL, 'PTHR48047:SF74', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(145762, NULL, 'PTHR21037:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO NOVEL PROTEIN', NULL, NULL, NULL, 15),
(145763, NULL, 'PTHR43794:SF5', NULL, NULL, NULL, NULL, 'N-ETHYLAMMELINE CHLOROHYDROLASE RELATED PROTEIN (TRZA-LIKE)', NULL, NULL, NULL, 15),
(145764, NULL, 'PTHR47993:SF37', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(145765, NULL, 'PTHR31232:SF70', NULL, NULL, NULL, NULL, 'BNAA06G12730D PROTEIN', NULL, NULL, NULL, 15),
(145766, NULL, 'PTHR31042:SF88', NULL, NULL, NULL, NULL, 'BNAA09G52890D PROTEIN', NULL, NULL, NULL, 15),
(145767, NULL, 'PTHR24006:SF816', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1-RELATED', NULL, NULL, NULL, 15),
(145768, NULL, 'PTHR47547:SF1', NULL, NULL, NULL, NULL, 'AMINO ACID-PROTON SYMPORTER YBEC-RELATED', NULL, NULL, NULL, 15),
(145769, NULL, 'PTHR23264:SF19', NULL, NULL, NULL, NULL, 'CYTOSOLIC FE-S CLUSTER ASSEMBLY FACTOR NUBP2', NULL, NULL, NULL, 15),
(145770, NULL, 'PTHR31621:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145771, NULL, 'PTHR12931:SF17', NULL, NULL, NULL, NULL, 'OS02G0517600 PROTEIN', NULL, NULL, NULL, 15),
(145772, NULL, 'PTHR43591:SF30', NULL, NULL, NULL, NULL, 'SECONDARY METABOLISM REGULATOR LAEA', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145773, NULL, 'PTHR43161:SF14', NULL, NULL, NULL, NULL, '(R,R)-BUTANEDIOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(145774, NULL, 'PTHR19376:SF47', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA''''', NULL, NULL, NULL, 15),
(145775, NULL, 'PTHR46961', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 1, AXONEMAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145776, NULL, 'PTHR13850:SF2', NULL, NULL, NULL, NULL, 'MIDKINE', NULL, NULL, NULL, 15),
(145777, NULL, 'PTHR45730:SF8', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(145778, NULL, 'PTHR23500:SF432', NULL, NULL, NULL, NULL, 'POLYOL/MONOSACCHARIDE TRANSPORTER 1', NULL, NULL, NULL, 15),
(145779, NULL, 'PTHR30435', NULL, NULL, NULL, NULL, 'FLAGELLAR PROTEIN', NULL, NULL, NULL, 15),
(145780, NULL, 'PTHR11224:SF17', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MAKORIN-2-RELATED', NULL, NULL, 22096, 15),
(145781, NULL, 'PTHR27006:SF353', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', NULL, NULL, NULL, 15),
(145782, NULL, 'PTHR45712:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145783, NULL, 'PTHR26450:SF386', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(145784, NULL, 'PTHR45899:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145785, NULL, 'PTHR48109:SF2', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE (QUINONE), MITOCHONDRIAL', NULL, NULL, NULL, 15),
(145786, NULL, 'PTHR19818:SF141', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZIC 1', NULL, NULL, NULL, 15),
(145787, NULL, 'PTHR37760:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145788, NULL, 'PTHR14167:SF92', NULL, NULL, NULL, NULL, 'CIN85 AND CD2AP RELATED, ISOFORM J', NULL, NULL, NULL, 15),
(145789, NULL, 'PTHR33214:SF47', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(145790, NULL, 'PTHR47992:SF20', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 28-RELATED', NULL, NULL, NULL, 15),
(145791, NULL, 'PTHR33074:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145792, NULL, 'PTHR31356', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 29 KDA PROTEIN, CHLOROPLASTIC-RELATED', NULL, NULL, 36958, 15),
(145793, NULL, 'PTHR20941:SF1', NULL, NULL, NULL, NULL, 'FOLIC ACID SYNTHESIS PROTEIN FOL1', NULL, NULL, NULL, 15),
(145794, NULL, 'PTHR31024:SF11', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(145795, NULL, 'PTHR47926:SF277', NULL, NULL, NULL, NULL, 'BNAC06G30520D PROTEIN', NULL, NULL, NULL, 15),
(145796, NULL, 'PTHR45717:SF22', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(145797, NULL, 'PTHR31235:SF354', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(145798, NULL, 'PTHR10529:SF344', NULL, NULL, NULL, NULL, 'STONIN 2', NULL, NULL, NULL, 15),
(145799, NULL, 'PTHR46521:SF9', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 2', NULL, NULL, NULL, 15),
(145800, NULL, 'PTHR23315:SF266', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 17', NULL, NULL, NULL, 15),
(145801, NULL, 'PTHR23058:SF12', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX14-LIKE', NULL, NULL, NULL, 15),
(145802, NULL, 'PTHR32227:SF62', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', NULL, NULL, NULL, 15),
(145803, NULL, 'PTHR10177:SF66', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN-D2', NULL, NULL, 9091, 15),
(145804, NULL, 'PTHR32444:SF68', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(145805, NULL, 'PTHR31001:SF50', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(145806, NULL, 'PTHR48011:SF41', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 2-RELATED', NULL, NULL, NULL, 15),
(145807, NULL, 'PTHR46442:SF14', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145808, NULL, 'PTHR34199', NULL, NULL, NULL, NULL, 'NUMOD3 MOTIF FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(145809, NULL, 'PTHR45642:SF89', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(145810, NULL, 'PTHR33048:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145811, NULL, 'PTHR30221:SF19', NULL, NULL, NULL, NULL, 'SMALL-CONDUCTANCE MECHANOSENSITIVE CHANNEL', NULL, NULL, NULL, 15),
(145812, NULL, 'PTHR13609:SF23', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(145813, NULL, 'PTHR23155:SF1044', NULL, NULL, NULL, NULL, 'OS12G0491200 PROTEIN', NULL, NULL, NULL, 15),
(145814, NULL, 'PTHR43650:SF14', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(145815, NULL, 'PTHR21640', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 23149, 15),
(145816, NULL, 'PTHR11352:SF3', NULL, NULL, NULL, NULL, 'YALI0E03124P', NULL, NULL, NULL, 15),
(145817, NULL, 'PTHR43540', NULL, NULL, NULL, NULL, 'PEROXYUREIDOACRYLATE/UREIDOACRYLATE AMIDOHYDROLASE-RELATED', NULL, NULL, NULL, 15),
(145818, NULL, 'PTHR31524:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG10426', NULL, NULL, NULL, 15),
(145819, NULL, 'PTHR13952:SF11', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, X-LINKED-LIKE-2-RELATED', NULL, NULL, NULL, 15),
(145820, NULL, 'PTHR45987:SF14', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L7/L12', NULL, NULL, NULL, 15),
(145821, NULL, 'PTHR22883:SF379', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC24-RELATED', NULL, NULL, NULL, 15),
(145822, NULL, 'PTHR24637:SF280', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(145823, NULL, 'PTHR23202:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145824, NULL, 'PTHR33065:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145825, NULL, 'PTHR43391:SF12', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE EPHD-RELATED', NULL, NULL, NULL, 15),
(145826, NULL, 'PTHR11782:SF90', NULL, NULL, NULL, NULL, 'APYRASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(145827, NULL, 'PTHR32009:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145828, NULL, 'PTHR23257:SF829', NULL, NULL, NULL, NULL, 'BNAA03G51320D PROTEIN', NULL, NULL, NULL, 15),
(145829, NULL, 'PTHR24128:SF69', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBOS32', NULL, NULL, NULL, 15),
(145830, NULL, 'PTHR31096:SF77', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(145831, NULL, 'PTHR27004:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145832, NULL, 'PTHR12863:SF12', NULL, NULL, NULL, NULL, 'DIHYDROCERAMIDE FATTY ACYL 2-HYDROXYLASE FAH1-LIKE', NULL, NULL, NULL, 15),
(145833, NULL, 'PTHR31218:SF343', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(145834, NULL, 'PTHR24068:SF177', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 2', NULL, NULL, NULL, 15),
(145835, NULL, 'PTHR10068:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145836, NULL, 'PTHR45621:SF67', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(145837, NULL, 'PTHR11410:SF0', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT A', NULL, NULL, NULL, 15),
(145838, NULL, 'PTHR48065:SF18', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(145839, NULL, 'PTHR32153:SF62', NULL, NULL, NULL, NULL, 'BNAA09G38750D PROTEIN', NULL, NULL, NULL, 15),
(145840, NULL, 'PTHR43939:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145841, NULL, 'PTHR48065:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145842, NULL, 'PTHR33047:SF19', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(145843, NULL, 'PTHR44203:SF10', NULL, NULL, NULL, NULL, 'OS07G0178100 PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145844, NULL, 'PTHR18896:SF164', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(145845, NULL, 'PTHR47841:SF5', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(145846, NULL, 'PTHR46434', NULL, NULL, NULL, NULL, 'GENETIC INTERACTOR OF PROHIBITINS 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(145847, NULL, 'PTHR12844:SF42', NULL, NULL, NULL, NULL, 'CONNECTOR ENHANCER OF KSR PROTEIN CNK', NULL, NULL, NULL, 15),
(145848, NULL, 'PTHR11863:SF173', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROXYLASE-RELATED', NULL, NULL, NULL, 15),
(145849, NULL, 'PTHR43549:SF1', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN NORM-RELATED', NULL, NULL, NULL, 15),
(145850, NULL, 'PTHR34940:SF3', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 5 KDA PROTEIN, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(145851, NULL, 'PTHR21252', NULL, NULL, NULL, NULL, 'TB1 PROTEIN-RELATED', NULL, NULL, 35909, 15),
(145852, NULL, 'PTHR45664:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D3', NULL, NULL, NULL, 15),
(145853, NULL, 'PTHR43178:SF8', NULL, NULL, NULL, NULL, 'LIPOAMIDE ACYLTRANSFERASE COMPONENT OF BRANCHED-CHAIN ALPHA-KETO ACID DEHYDROGENASE COMPLEX', NULL, NULL, NULL, 15),
(145854, NULL, 'PTHR24384:SF189', NULL, NULL, NULL, NULL, 'FINGER PUTATIVE TRANSCRIPTION FACTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(145855, NULL, 'PTHR16046:SF10', NULL, NULL, NULL, NULL, 'SMC5-SMC6 COMPLEX LOCALIZATION FACTOR PROTEIN 2', NULL, NULL, NULL, 15),
(145856, NULL, 'PTHR11620:SF76', NULL, NULL, NULL, NULL, 'BNAC04G06030D PROTEIN', NULL, NULL, NULL, 15),
(145857, NULL, 'PTHR11216:SF123', NULL, NULL, NULL, NULL, 'SI:DKEY-98F17.5', NULL, NULL, NULL, 15),
(145858, NULL, 'PTHR11256:SF57', NULL, NULL, NULL, NULL, 'ZGC:153993', NULL, NULL, NULL, 15),
(145859, NULL, 'PTHR11969:SF67', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH67', NULL, NULL, NULL, 15),
(145860, NULL, 'PTHR23070:SF179', NULL, NULL, NULL, NULL, 'BNAC03G12930D PROTEIN', NULL, NULL, NULL, 15),
(145861, NULL, 'PTHR31269:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145862, NULL, 'PTHR45973', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT SDS22-RELATED', NULL, NULL, NULL, 15),
(145863, NULL, 'PTHR33307', NULL, NULL, NULL, NULL, 'ALPHA-RHAMNOSIDASE (EUROFUNG)', NULL, NULL, NULL, 15),
(145864, NULL, 'PTHR11601', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURYLASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(145865, NULL, 'PTHR10695:SF47', NULL, NULL, NULL, NULL, 'DEPHOSPHO-COA KINASE', NULL, NULL, NULL, 15),
(145866, NULL, 'PTHR47171:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(145867, NULL, 'PTHR27006:SF416', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(145868, NULL, 'PTHR47991:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 2-LIKE', NULL, NULL, NULL, 15),
(145869, NULL, 'PTHR43349:SF49', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE HOMOLOG A622', NULL, NULL, NULL, 15),
(145870, NULL, 'PTHR42820:SF13', NULL, NULL, NULL, NULL, '(-)-ISOPIPERITENOL/(-)-CARVEOL DEHYDROGENASE, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(145871, NULL, 'PTHR10766:SF104', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(145872, NULL, 'PTHR30293', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN NAC-RELATED', NULL, NULL, NULL, 15),
(145873, NULL, 'PTHR34196:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145874, NULL, 'PTHR47991:SF19', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(145875, NULL, 'PTHR10252:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145876, NULL, 'PTHR45566', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YHJB-RELATED', NULL, NULL, NULL, 15),
(145877, NULL, 'PTHR14493:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145878, NULL, 'PTHR34252:SF1', NULL, NULL, NULL, NULL, 'UPF0705 PROTEIN C11ORF49', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145879, NULL, 'PTHR11923:SF67', NULL, NULL, NULL, NULL, 'RE68569P', NULL, NULL, NULL, 15),
(145880, NULL, 'PTHR31852:SF180', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(145881, NULL, 'PTHR12763:SF29', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DNAJ HOMOLOG 2', NULL, NULL, NULL, 15),
(145882, NULL, 'PTHR31730:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145883, NULL, 'PTHR46932:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145884, NULL, 'PTHR12959', NULL, NULL, NULL, NULL, 'GPI TRANSAMIDASE COMPONENT PIG-T-RELATED', NULL, NULL, 6655, 15),
(145885, NULL, 'PTHR46234:SF14', NULL, NULL, NULL, NULL, 'BNAC03G78050D PROTEIN', NULL, NULL, NULL, 15),
(145886, NULL, 'PTHR46305', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145887, NULL, 'PTHR45854:SF5', NULL, NULL, NULL, NULL, 'UN-NAMED SA1614', NULL, NULL, NULL, 15),
(145888, NULL, 'PTHR31336', NULL, NULL, NULL, NULL, 'LIN37 HOMOLOG', NULL, NULL, 23321, 15),
(145889, NULL, 'PTHR47116:SF18', NULL, NULL, NULL, NULL, 'OS10G0400400 PROTEIN', NULL, NULL, NULL, 15),
(145890, NULL, 'PTHR44129:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN POP1', NULL, NULL, NULL, 15),
(145891, NULL, 'PTHR14453:SF95', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(145892, NULL, 'PTHR34709', NULL, NULL, NULL, NULL, 'OS10G0396666 PROTEIN', NULL, NULL, NULL, 15),
(145893, NULL, 'PTHR24015:SF511', NULL, NULL, NULL, NULL, 'OS03G0185200 PROTEIN', NULL, NULL, NULL, 15),
(145894, NULL, 'PTHR20766', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145895, NULL, 'PTHR30244:SF34', NULL, NULL, NULL, NULL, '3-OXO-GLUCOSE-6-PHOSPHATE:GLUTAMATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(145896, NULL, 'PTHR13832:SF636', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 27-RELATED', NULL, NULL, NULL, 15),
(145897, NULL, 'PTHR24072:SF172', NULL, NULL, NULL, NULL, 'SMALL GTPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G13340)-RELATED', NULL, NULL, NULL, 15),
(145898, NULL, 'PTHR11183:SF109', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(145899, NULL, 'PTHR31681:SF83', NULL, NULL, NULL, NULL, 'BNAA10G03710D PROTEIN', NULL, NULL, NULL, 15),
(145900, NULL, 'PTHR33345', NULL, NULL, NULL, NULL, 'ADAPTER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(145901, NULL, 'PTHR43605:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145902, NULL, 'PTHR31194:SF103', NULL, NULL, NULL, NULL, 'INTEGRASE-TYPE DNA-BINDING SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(145903, NULL, 'PTHR22950:SF349', NULL, NULL, NULL, NULL, 'VACUOLAR AMINO ACID TRANSPORTER 4', NULL, NULL, NULL, 15),
(145904, NULL, 'PTHR23505:SF45', NULL, NULL, NULL, NULL, 'SPINSTER (DROSOPHILA LYSOSOMAL PERMEASE) HOMOLOG', NULL, NULL, NULL, 15),
(145905, NULL, 'PTHR46793:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930474N05 GENE', NULL, NULL, NULL, 15),
(145906, NULL, 'PTHR22941:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(145907, NULL, 'PTHR23430:SF136', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-E', NULL, NULL, NULL, 15),
(145908, NULL, 'PTHR24296:SF28', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 96 SUBFAMILY A POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(145909, NULL, 'PTHR12992:SF9', NULL, NULL, NULL, NULL, 'OS05G0209400 PROTEIN', NULL, NULL, NULL, 15),
(145910, NULL, 'PTHR45677', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE-RELATED', NULL, NULL, NULL, 15),
(145911, NULL, 'PTHR12329:SF37', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 1', NULL, NULL, NULL, 15),
(145912, NULL, 'PTHR45797:SF2', NULL, NULL, NULL, NULL, 'HELICASE ARIP4', NULL, NULL, NULL, 15),
(145913, NULL, 'PTHR42861:SF24', NULL, NULL, NULL, NULL, 'SARCOPLASMIC/ENDOPLASMIC RETICULUM CALCIUM ATPASE 1', NULL, NULL, NULL, 15),
(145914, NULL, 'PTHR13847:SF201', NULL, NULL, NULL, NULL, 'PUTATIBE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(145915, NULL, 'PTHR19290:SF102', NULL, NULL, NULL, NULL, 'PROTEIN ATONAL HOMOLOG 8', NULL, NULL, 22426, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145916, NULL, 'PTHR31418:SF6', NULL, NULL, NULL, NULL, 'FATTY ACID/RETINOL BINDING PROTEIN', NULL, NULL, NULL, 15),
(145917, NULL, 'PTHR31513', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-B RECEPTOR', NULL, NULL, NULL, 15),
(145918, NULL, 'PTHR11216:SF139', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(145919, NULL, 'PTHR23051:SF10', NULL, NULL, NULL, NULL, 'THIAMINE-REPRESSIBLE MITOCHONDRIAL TRANSPORT PROTEIN THI74-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(145920, NULL, 'PTHR44200:SF2', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(145921, NULL, 'PTHR48047:SF26', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(145922, NULL, 'PTHR37604:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT', NULL, NULL, NULL, 15),
(145923, NULL, 'PTHR12174:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145924, NULL, 'PTHR16740', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(145925, NULL, 'PTHR45752:SF41', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 8', NULL, NULL, NULL, 15),
(145926, NULL, 'PTHR45888:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE 2D', NULL, NULL, 35937, 15),
(145927, NULL, 'PTHR33090:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145928, NULL, 'PTHR10206:SF0', NULL, NULL, NULL, NULL, 'NEUTROPHILIC GRANULE PROTEIN', NULL, NULL, NULL, 15),
(145929, NULL, 'PTHR31197:SF7', NULL, NULL, NULL, NULL, 'OS07G0419800 PROTEIN', NULL, NULL, NULL, 15),
(145930, NULL, 'PTHR31568:SF60', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH/TRANSMEMBRANE DOMAIN A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145931, NULL, 'PTHR38111', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145932, NULL, 'PTHR11654:SF524', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', NULL, NULL, NULL, 15),
(145933, NULL, 'PTHR31218:SF239', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(145934, NULL, 'PTHR31818', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 16', NULL, NULL, NULL, 15),
(145935, NULL, 'PTHR13301:SF75', NULL, NULL, NULL, NULL, 'MIXED-LINKED GLUCAN SYNTHASE 6-RELATED', NULL, NULL, NULL, 15),
(145936, NULL, 'PTHR11909:SF386', NULL, NULL, NULL, NULL, 'BNAC05G02560D PROTEIN', NULL, NULL, NULL, 15),
(145937, NULL, 'PTHR23245', NULL, NULL, NULL, NULL, 'TRNA METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(145938, NULL, 'PTHR42854:SF8', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 3B', NULL, NULL, NULL, 15),
(145939, NULL, 'PTHR47942:SF51', NULL, NULL, NULL, NULL, 'OS02G0321000 PROTEIN', NULL, NULL, NULL, 15),
(145940, NULL, 'PTHR45757:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG25180', NULL, NULL, NULL, 15),
(145941, NULL, 'PTHR19297:SF178', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYL-O-GLYCOSYL-GLYCOPROTEIN BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE 7', NULL, NULL, NULL, 15),
(145942, NULL, 'PTHR31616:SF9', NULL, NULL, NULL, NULL, 'GLUCOAMYLASE, INTRACELLULAR SPORULATION-SPECIFIC', NULL, NULL, NULL, 15),
(145943, NULL, 'PTHR12955:SF1', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 13', NULL, NULL, NULL, 15),
(145944, NULL, 'PTHR38567:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145945, NULL, 'PTHR31009:SF112', NULL, NULL, NULL, NULL, 'BNAA08G13630D PROTEIN', NULL, NULL, NULL, 15),
(145946, NULL, 'PTHR24248:SF148', NULL, NULL, NULL, NULL, 'HISTAMINE RECEPTOR H4', NULL, NULL, NULL, 15),
(145947, NULL, 'PTHR47992:SF82', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 61-RELATED', NULL, NULL, NULL, 15),
(145948, NULL, 'PTHR45764:SF41', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(145949, NULL, 'PTHR46038:SF14', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(145950, NULL, 'PTHR33560:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM227A', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145951, NULL, 'PTHR15286:SF12', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION (RALGDS/AF-6) DOMAIN FAMILY (N-TERMINAL) MEMBER 8A', NULL, NULL, 31979, 15),
(145952, NULL, 'PTHR46251:SF2', NULL, NULL, NULL, NULL, 'RUN DOMAIN-CONTAINING 3AA', NULL, NULL, NULL, 15),
(145953, NULL, 'PTHR22802:SF345', NULL, NULL, NULL, NULL, 'SI:CH211-160B11.4-RELATED', NULL, NULL, NULL, 15),
(145954, NULL, 'PTHR11017:SF271', NULL, NULL, NULL, NULL, 'RCT1-LIKE RESISTANCE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(145955, NULL, 'PTHR32141:SF28', NULL, NULL, NULL, NULL, 'OS12G0595200 PROTEIN', NULL, NULL, NULL, 15),
(145956, NULL, 'PTHR22997', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(145957, NULL, 'PTHR35752:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(145958, NULL, 'PTHR23060', NULL, NULL, NULL, NULL, 'TESTIS EXPRESSED GENE 14', NULL, NULL, 36147, 15),
(145959, NULL, 'PTHR15952', NULL, NULL, NULL, NULL, 'EXPORTIN-T/LOS1', NULL, NULL, 33692, 15),
(145960, NULL, 'PTHR45687:SF25', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-1-RELATED', NULL, NULL, NULL, 15),
(145961, NULL, 'PTHR24044:SF466', NULL, NULL, NULL, NULL, 'SI:CH73-281K2.5', NULL, NULL, NULL, 15),
(145962, NULL, 'PTHR14165:SF13', NULL, NULL, NULL, NULL, 'VAULT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(145963, NULL, 'PTHR26452:SF55', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(145964, NULL, 'PTHR33157:SF2', NULL, NULL, NULL, NULL, 'OS09G0314100 PROTEIN', NULL, NULL, NULL, 15),
(145965, NULL, 'PTHR31352:SF2', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 7', NULL, NULL, NULL, 15),
(145966, NULL, 'PTHR22762:SF97', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(145967, NULL, 'PTHR21450:SF9', NULL, NULL, NULL, NULL, 'BZIP DOMAIN CLASS TRANSCRIPTION FACTOR (DUF630 AND DUF632)-RELATED', NULL, NULL, NULL, 15),
(145968, NULL, 'PTHR11746:SF190', NULL, NULL, NULL, NULL, 'OS01G0753300 PROTEIN', NULL, NULL, NULL, 15),
(145969, NULL, 'PTHR24064:SF479', NULL, NULL, NULL, NULL, 'BNAC04G44990D PROTEIN', NULL, NULL, NULL, 15),
(145970, NULL, 'PTHR30579:SF0', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR ALLS', NULL, NULL, NULL, 15),
(145971, NULL, 'PTHR12346:SF29', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX PROTEIN SIN3-LIKE 2 ISOFORM X1', NULL, NULL, NULL, 15),
(145972, NULL, 'PTHR12064:SF23', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER CNNM-2', NULL, NULL, NULL, 15),
(145973, NULL, 'PTHR11417:SF10', NULL, NULL, NULL, NULL, 'PROLACTIN-6A1', NULL, NULL, NULL, 15),
(145974, NULL, 'PTHR33209', NULL, NULL, NULL, NULL, 'PROTEASE 4', NULL, NULL, NULL, 15),
(145975, NULL, 'PTHR40314:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09102', NULL, NULL, NULL, 15),
(145976, NULL, 'PTHR34066', NULL, NULL, NULL, NULL, 'GROWTH FACTOR 2', NULL, NULL, 17666, 15),
(145977, NULL, 'PTHR13261:SF1', NULL, NULL, NULL, NULL, 'BRCA2 AND CDKN1A INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(145978, NULL, 'PTHR45616:SF9', NULL, NULL, NULL, NULL, 'SI:DKEY-222F2.1-RELATED', NULL, NULL, NULL, 15),
(145979, NULL, 'PTHR11081:SF61', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(145980, NULL, 'PTHR11660:SF53', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 MEMBER 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(145981, NULL, 'PTHR13856:SF32', NULL, NULL, NULL, NULL, 'TARGET OF MYB PROTEIN 1', NULL, NULL, NULL, 15),
(145982, NULL, 'PTHR13337:SF10', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] CYTOCHROME B SMALL SUBUNIT', NULL, NULL, NULL, 15),
(145983, NULL, 'PTHR36331', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(145984, NULL, 'PTHR21860:SF2', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 6', NULL, NULL, NULL, 15),
(145985, NULL, 'PTHR34665:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(145986, NULL, 'PTHR11711:SF381', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 1', NULL, NULL, NULL, 15),
(145987, NULL, 'PTHR31692:SF71', NULL, NULL, NULL, NULL, 'EXPANSIN-B4', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(145988, NULL, 'PTHR12345:SF16', NULL, NULL, NULL, NULL, 'X11L, ISOFORM F-RELATED', NULL, NULL, NULL, 15),
(145989, NULL, 'PTHR13305:SF2', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(145990, NULL, 'PTHR24115:SF818', NULL, NULL, NULL, NULL, 'KINESIN-LIKE CALMODULIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(145991, NULL, 'PTHR14155:SF506', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL15', NULL, NULL, NULL, 15),
(145992, NULL, 'PTHR38664:SF1', NULL, NULL, NULL, NULL, 'SLR0058 PROTEIN', NULL, NULL, NULL, 15),
(145993, NULL, 'PTHR26453:SF188', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 706', NULL, NULL, NULL, 15),
(145994, NULL, 'PTHR31992:SF208', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.4-LIKE', NULL, NULL, NULL, 15),
(145995, NULL, 'PTHR42852:SF6', NULL, NULL, NULL, NULL, 'THIOL:DISULFIDE INTERCHANGE PROTEIN DSBE', NULL, NULL, NULL, 15),
(145996, NULL, 'PTHR11132:SF161', NULL, NULL, NULL, NULL, 'DMT FAMILY ORGANIC ANION TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(145997, NULL, 'PTHR11920:SF342', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-29', NULL, NULL, NULL, 15),
(145998, NULL, 'PTHR24377:SF888', NULL, NULL, NULL, NULL, 'ZFP37 ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(145999, NULL, 'PTHR24096:SF386', NULL, NULL, NULL, NULL, 'FATTY-ACID--COA LIGASE FADD11-RELATED', NULL, NULL, NULL, 15),
(146000, NULL, 'PTHR23430:SF250', NULL, NULL, NULL, NULL, 'PROTEIN H2A.6', NULL, NULL, NULL, 15),
(146001, NULL, 'PTHR19370:SF202', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE [NADH] 2-LIKE', NULL, NULL, NULL, 15),
(146002, NULL, 'PTHR21327:SF45', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL RIBOFLAVIN BIOSYNTHESIS PROTEIN RIBA 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(146003, NULL, 'PTHR20275:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146004, NULL, 'PTHR22855:SF44', NULL, NULL, NULL, NULL, 'BNAA03G50840D PROTEIN', NULL, NULL, NULL, 15),
(146005, NULL, 'PTHR36322:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146006, NULL, 'PTHR32157:SF8', NULL, NULL, NULL, NULL, 'CANCER/TESTIS ANTIGEN 47A', NULL, NULL, NULL, 15),
(146007, NULL, 'PTHR10366:SF613', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL 4-REDUCTASE', NULL, NULL, NULL, 15),
(146008, NULL, 'PTHR24326:SF495', NULL, NULL, NULL, NULL, 'HOMEOBOX LEUCINE ZIPPER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146009, NULL, 'PTHR31934:SF2', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA METHYLATION 4', NULL, NULL, NULL, 15),
(146010, NULL, 'PTHR43669:SF7', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_1G01330)', NULL, NULL, NULL, 15),
(146011, NULL, 'PTHR47999:SF30', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 308-LIKE', NULL, NULL, NULL, 15),
(146012, NULL, 'PTHR35727:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146013, NULL, 'PTHR45621:SF169', NULL, NULL, NULL, NULL, 'BNAA09G08980D PROTEIN', NULL, NULL, NULL, 15),
(146014, NULL, 'PTHR14609', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 219', NULL, NULL, 35282, 15),
(146015, NULL, 'PTHR15710:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PRAJA-1', NULL, NULL, 27130, 15),
(146016, NULL, 'PTHR30385:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-H FACTOR', NULL, NULL, NULL, 15),
(146017, NULL, 'PTHR47928:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146018, NULL, 'PTHR10795:SF567', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.2', NULL, NULL, NULL, 15),
(146019, NULL, 'PTHR43523', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE-RELATED', NULL, NULL, 14044, 15),
(146020, NULL, 'PTHR46128:SF7', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(146021, NULL, 'PTHR46229:SF2', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(146022, NULL, 'PTHR42958:SF3', NULL, NULL, NULL, NULL, 'HYDROGENASE-1 LARGE CHAIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146023, NULL, 'PTHR12506:SF25', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 66', NULL, NULL, NULL, 15),
(146024, NULL, 'PTHR13491:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146025, NULL, 'PTHR47480:SF8', NULL, NULL, NULL, NULL, 'RLPA-LIKE DOUBLE-PSI BETA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146026, NULL, 'PTHR46847:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUGAR-BINDING PROTEIN', NULL, NULL, NULL, 15),
(146027, NULL, 'PTHR11783:SF256', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 4-RELATED', NULL, NULL, NULL, 15),
(146028, NULL, 'PTHR43874:SF118', NULL, NULL, NULL, NULL, 'CCT DOMAIN, CHEY-LIKE SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(146029, NULL, 'PTHR42757:SF29', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN CONTAINING 10 LIKE', NULL, NULL, NULL, 15),
(146030, NULL, 'PTHR10582:SF5', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY V MEMBER 2', NULL, NULL, 23155, 15),
(146031, NULL, 'PTHR46776:SF25', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR', NULL, NULL, NULL, 15),
(146032, NULL, 'PTHR31405', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PDR8-RELATED', NULL, NULL, NULL, 15),
(146033, NULL, 'PTHR12903:SF11', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L24, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(146034, NULL, 'PTHR45632:SF6', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 14', NULL, NULL, 24754, 15),
(146035, NULL, 'PTHR21678', NULL, NULL, NULL, NULL, 'GROWTH INHIBITION AND DIFFERENTIATION RELATED PROTEIN 88', NULL, NULL, 29734, 15),
(146036, NULL, 'PTHR23264:SF34', NULL, NULL, NULL, NULL, 'CYTOSOLIC FE-S CLUSTER ASSEMBLY FACTOR NUBP1 HOMOLOG', NULL, NULL, NULL, 15),
(146037, NULL, 'PTHR11532:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146038, NULL, 'PTHR21724:SF95', NULL, NULL, NULL, NULL, 'PROTEIN CBG15963', NULL, NULL, NULL, 15),
(146039, NULL, 'PTHR19443:SF33', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(146040, NULL, 'PTHR22957', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER GTPASE-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(146041, NULL, 'PTHR32005:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 178A', NULL, NULL, NULL, 15),
(146042, NULL, 'PTHR11132:SF401', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146043, NULL, 'PTHR48018:SF123', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR K25-RELATED', NULL, NULL, NULL, 15),
(146044, NULL, 'PTHR23036:SF101', NULL, NULL, NULL, NULL, 'INTERLEUKIN-13 RECEPTOR SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(146045, NULL, 'PTHR13140:SF655', NULL, NULL, NULL, NULL, 'MYOSIN IA HEAVY CHAIN', NULL, NULL, NULL, 15),
(146046, NULL, 'PTHR46033:SF41', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-LIKE PLANT MOBILE DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146047, NULL, 'PTHR33130:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146048, NULL, 'PTHR36704:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146049, NULL, 'PTHR33830:SF11', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 163-RELATED', NULL, NULL, NULL, 15),
(146050, NULL, 'PTHR12027:SF112', NULL, NULL, NULL, NULL, 'PROTEIN WNT-2', NULL, NULL, NULL, 15),
(146051, NULL, 'PTHR11937:SF453', NULL, NULL, NULL, NULL, 'ACTIN-42A', NULL, NULL, NULL, 15),
(146052, NULL, 'PTHR13944:SF21', NULL, NULL, NULL, NULL, 'AGAP007712-PA', NULL, NULL, NULL, 15),
(146053, NULL, 'PTHR15316:SF8', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3A, PROTEIN', NULL, NULL, NULL, 15),
(146054, NULL, 'PTHR48022:SF64', NULL, NULL, NULL, NULL, 'HEXOSE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146055, NULL, 'PTHR11071:SF486', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(146056, NULL, 'PTHR12549:SF40', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ25-LIKE', NULL, NULL, NULL, 15),
(146057, NULL, 'PTHR23403:SF8', NULL, NULL, NULL, NULL, 'CYTOPLASMIC TREHALASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146058, NULL, 'PTHR45668:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE WITH EF-HANDS 1', NULL, NULL, NULL, 15),
(146059, NULL, 'PTHR10362:SF39', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(146060, NULL, 'PTHR47025:SF9', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146061, NULL, 'PTHR35740:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146062, NULL, 'PTHR27008:SF478', NULL, NULL, NULL, NULL, 'BNAA08G15070D PROTEIN', NULL, NULL, NULL, 15),
(146063, NULL, 'PTHR32133:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146064, NULL, 'PTHR33110:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146065, NULL, 'PTHR11127:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L14', NULL, NULL, NULL, 15),
(146066, NULL, 'PTHR48125:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146067, NULL, 'PTHR47882', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 2', NULL, NULL, NULL, 15),
(146068, NULL, 'PTHR24281:SF135', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', NULL, NULL, NULL, 15),
(146069, NULL, 'PTHR35496:SF13', NULL, NULL, NULL, NULL, 'BNAA03G48490D PROTEIN', NULL, NULL, NULL, 15),
(146070, NULL, 'PTHR43091:SF1', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE III, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(146071, NULL, 'PTHR13533:SF33', NULL, NULL, NULL, NULL, 'PROTEIN REDUCED WALL ACETYLATION 2', NULL, NULL, NULL, 15),
(146072, NULL, 'PTHR36157:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08610', NULL, NULL, NULL, 15),
(146073, NULL, 'PTHR33074:SF104', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(146074, NULL, 'PTHR28088', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR HAA1-RELATED', NULL, NULL, NULL, 15),
(146075, NULL, 'PTHR26453:SF119', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR M34', NULL, NULL, NULL, 15),
(146076, NULL, 'PTHR11064:SF137', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-3', NULL, NULL, NULL, 15),
(146077, NULL, 'PTHR14527', NULL, NULL, NULL, NULL, 'PROTEIN MIS12 HOMOLOG', NULL, NULL, 13056, 15),
(146078, NULL, 'PTHR43788:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146079, NULL, 'PTHR31260', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', NULL, NULL, 6544, 15),
(146080, NULL, 'PTHR31095', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9930021J03 GENE', NULL, NULL, 34031, 15),
(146081, NULL, 'PTHR24223:SF345', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146082, NULL, 'PTHR13976:SF22', NULL, NULL, NULL, NULL, 'AT27789P', NULL, NULL, NULL, 15),
(146083, NULL, 'PTHR11709:SF410', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(146084, NULL, 'PTHR43861', NULL, NULL, NULL, NULL, 'TRANS-ACONITATE 2-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(146085, NULL, 'PTHR22765:SF296', NULL, NULL, NULL, NULL, 'OS06G0664300 PROTEIN', NULL, NULL, NULL, 15),
(146086, NULL, 'PTHR33083:SF91', NULL, NULL, NULL, NULL, 'OJ000126_13.10 PROTEIN', NULL, NULL, NULL, 15),
(146087, NULL, 'PTHR11783:SF198', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(146088, NULL, 'PTHR12300:SF117', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN I', NULL, NULL, NULL, 15),
(146089, NULL, 'PTHR47540:SF1', NULL, NULL, NULL, NULL, 'ACTIVATOR OF STRESS GENES 1-RELATED', NULL, NULL, NULL, 15),
(146090, NULL, 'PTHR11430:SF86', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN-H2 D-ISOMERASE', NULL, NULL, 7059, 15),
(146091, NULL, 'PTHR23064:SF21', NULL, NULL, NULL, NULL, 'TROPONIN C, SKELETAL MUSCLE', NULL, NULL, NULL, 15),
(146092, NULL, 'PTHR31140', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR ABI3', NULL, NULL, 36974, 15),
(146093, NULL, 'PTHR13045:SF0', NULL, NULL, NULL, NULL, 'CYTOSOLIC 5''-NUCLEOTIDASE 3A', NULL, NULL, NULL, 15),
(146094, NULL, 'PTHR26453:SF160', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146095, NULL, 'PTHR40714', NULL, NULL, NULL, NULL, 'TMF-REGULATED NUCLEAR PROTEIN 1', NULL, NULL, 29744, 15),
(146096, NULL, 'PTHR10334:SF455', NULL, NULL, NULL, NULL, 'BNAANNG26180D PROTEIN', NULL, NULL, NULL, 15),
(146097, NULL, 'PTHR11439:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146098, NULL, 'PTHR31676:SF111', NULL, NULL, NULL, NULL, 'DUF538 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146099, NULL, 'PTHR11909:SF349', NULL, NULL, NULL, NULL, 'CASEIN KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(146100, NULL, 'PTHR44240:SF19', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146101, NULL, 'PTHR31250:SF39', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146102, NULL, 'PTHR35809:SF1', NULL, NULL, NULL, NULL, 'ARCHAETIDYLSERINE DECARBOXYLASE PROENZYME-RELATED', NULL, NULL, NULL, 15),
(146103, NULL, 'PTHR32401:SF28', NULL, NULL, NULL, NULL, 'OS10G0129200 PROTEIN', NULL, NULL, NULL, 15),
(146104, NULL, 'PTHR12708', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON SUBUNIT B', NULL, NULL, 19842, 15),
(146105, NULL, 'PTHR22765:SF337', NULL, NULL, NULL, NULL, 'BNAANNG29400D PROTEIN', NULL, NULL, NULL, 15),
(146106, NULL, 'PTHR45650:SF2', NULL, NULL, NULL, NULL, 'OS06G0560700 PROTEIN', NULL, NULL, NULL, 15),
(146107, NULL, 'PTHR31741:SF71', NULL, NULL, NULL, NULL, 'OS01G0168600 PROTEIN', NULL, NULL, NULL, 15),
(146108, NULL, 'PTHR11260:SF672', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(146109, NULL, 'PTHR44259:SF29', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146110, NULL, 'PTHR43655:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPEPTIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146111, NULL, 'PTHR22094', NULL, NULL, NULL, NULL, 'DIFFUSE PANBRONCHIOLITIS CRITICAL REGION GENE 1', NULL, NULL, 23066, 15),
(146112, NULL, 'PTHR13036:SF4', NULL, NULL, NULL, NULL, 'BNAA09G56260D PROTEIN', NULL, NULL, NULL, 15),
(146113, NULL, 'PTHR12629:SF10', NULL, NULL, NULL, NULL, 'MUTT/NUDIX-LIKE', NULL, NULL, NULL, 15),
(146114, NULL, 'PTHR15549:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146115, NULL, 'PTHR31533:SF14', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN LORELEI-LIKE', NULL, NULL, NULL, 15),
(146116, NULL, 'PTHR33988', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE MAZF-RELATED', NULL, NULL, 6460, 15),
(146117, NULL, 'PTHR33736:SF12', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146118, NULL, 'PTHR44427:SF5', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 10-LIKE', NULL, NULL, NULL, 15),
(146119, NULL, 'PTHR27004:SF380', NULL, NULL, NULL, NULL, 'BNAA02G30080D PROTEIN', NULL, NULL, NULL, 15),
(146120, NULL, 'PTHR23279:SF12', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 14, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(146121, NULL, 'PTHR23301:SF82', NULL, NULL, NULL, NULL, 'IP16275P-RELATED', NULL, NULL, NULL, 15),
(146122, NULL, 'PTHR47944', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A9', NULL, NULL, NULL, 15),
(146123, NULL, 'PTHR33154:SF19', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR RV2034', NULL, NULL, NULL, 15),
(146124, NULL, 'PTHR42825:SF1', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(146125, NULL, 'PTHR10196:SF87', NULL, NULL, NULL, NULL, 'FGGY CARBOHYDRATE KINASE DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(146126, NULL, 'PTHR11851:SF213', NULL, NULL, NULL, NULL, 'PROCESSING PROTEASE', NULL, NULL, NULL, 15),
(146127, NULL, 'PTHR43201:SF5', NULL, NULL, NULL, NULL, 'PEROXISOMAL-COENZYME A SYNTHETASE', NULL, NULL, NULL, 15),
(146128, NULL, 'PTHR42912:SF53', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(146129, NULL, 'PTHR37720:SF2', NULL, NULL, NULL, NULL, 'OS10G0481400 PROTEIN', NULL, NULL, NULL, 15),
(146130, NULL, 'PTHR46591:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN 26', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146131, NULL, 'PTHR37174:SF2', NULL, NULL, NULL, NULL, 'FORKHEAD-ASSOCIATED DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(146132, NULL, 'PTHR31506', NULL, NULL, NULL, NULL, 'BES1/BZR1 HOMOLOG PROTEIN 3-RELATED', NULL, NULL, 31698, 15),
(146133, NULL, 'PTHR32337', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 7', NULL, NULL, 29245, 15),
(146134, NULL, 'PTHR45764:SF48', NULL, NULL, NULL, NULL, 'BNAA03G54260D PROTEIN', NULL, NULL, NULL, 15),
(146135, NULL, 'PTHR43341:SF12', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(146136, NULL, 'PTHR21495:SF161', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(146137, NULL, 'PTHR46387:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146138, NULL, 'PTHR36154', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL ACTIVATOR ALPA', NULL, NULL, NULL, 15),
(146139, NULL, 'PTHR37726:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(146140, NULL, 'PTHR43044:SF2', NULL, NULL, NULL, NULL, 'REDUCTASE, SUBUNIT C, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146141, NULL, 'PTHR24416:SF294', NULL, NULL, NULL, NULL, 'LEUKOCYTE TYROSINE KINASE RECEPTOR', NULL, NULL, 24445, 15),
(146142, NULL, 'PTHR44042:SF15', NULL, NULL, NULL, NULL, 'SYRINGOLIDE-INDUCED PROTEIN 1-3-1B', NULL, NULL, NULL, 15),
(146143, NULL, 'PTHR22999:SF23', NULL, NULL, NULL, NULL, 'SORTING NEXIN-16', NULL, NULL, NULL, 15),
(146144, NULL, 'PTHR24372:SF74', NULL, NULL, NULL, NULL, 'LP13728P', NULL, NULL, NULL, 15),
(146145, NULL, 'PTHR22115:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CBG13044', NULL, NULL, NULL, 15),
(146146, NULL, 'PTHR39336:SF1', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE PHOSPHATE OXIDASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G11440)', NULL, NULL, NULL, 15),
(146147, NULL, 'PTHR11905:SF108', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 31645, 15),
(146148, NULL, 'PTHR31917:SF103', NULL, NULL, NULL, NULL, 'DUF724 DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(146149, NULL, 'PTHR10961:SF22', NULL, NULL, NULL, NULL, 'OS01G0316100 PROTEIN', NULL, NULL, NULL, 15),
(146150, NULL, 'PTHR15438', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX INTERACTING PROTEIN', NULL, NULL, 8318, 15),
(146151, NULL, 'PTHR31744:SF130', NULL, NULL, NULL, NULL, 'BNAANNG11180D PROTEIN', NULL, NULL, NULL, 15),
(146152, NULL, 'PTHR11802:SF189', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(146153, NULL, 'PTHR48049:SF1', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(146154, NULL, 'PTHR48044:SF31', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(146155, NULL, 'PTHR10766:SF135', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(146156, NULL, 'PTHR15081:SF9', NULL, NULL, NULL, NULL, 'NASP (HUMAN NUCLEAR AUTOANTIGENIC SPERM PROTEIN) HOMOLOG', NULL, NULL, NULL, 15),
(146157, NULL, 'PTHR45768:SF60', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(146158, NULL, 'PTHR24036', NULL, NULL, NULL, NULL, 'SKELETOR-RELATED', NULL, NULL, NULL, 15),
(146159, NULL, 'PTHR24408:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(146160, NULL, 'PTHR32153:SF43', NULL, NULL, NULL, NULL, 'OS02G0793500 PROTEIN', NULL, NULL, NULL, 15),
(146161, NULL, 'PTHR45658:SF47', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(146162, NULL, 'PTHR11223:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146163, NULL, 'PTHR23201:SF94', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 6-LIKE', NULL, NULL, NULL, 15),
(146164, NULL, 'PTHR11593:SF32', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17-2', NULL, NULL, NULL, 15),
(146165, NULL, 'PTHR37350:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GAPT', NULL, NULL, NULL, 15),
(146166, NULL, 'PTHR31263:SF45', NULL, NULL, NULL, NULL, 'CELLULASE (GLYCOSYL HYDROLASE FAMILY 5) PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146167, NULL, 'PTHR23064:SF45', NULL, NULL, NULL, NULL, 'PENTA-EF-HAND DOMAIN CONTAINING 1', NULL, NULL, NULL, 15),
(146168, NULL, 'PTHR15034', NULL, NULL, NULL, NULL, 'DEATH DOMAIN-CONTAINING PROTEIN CRADD', NULL, NULL, 32035, 15),
(146169, NULL, 'PTHR31304:SF43', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146170, NULL, 'PTHR24246:SF18', NULL, NULL, NULL, NULL, 'ADENOSINE RECEPTOR A2B', NULL, NULL, NULL, 15),
(146171, NULL, 'PTHR47928:SF103', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146172, NULL, 'PTHR21366:SF25', NULL, NULL, NULL, NULL, 'BNAC03G13130D PROTEIN', NULL, NULL, NULL, 15),
(146173, NULL, 'PTHR33143:SF42', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 8, CHLOROPLASTIC', NULL, NULL, 31014, 15),
(146174, NULL, 'PTHR11242:SF7', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', NULL, NULL, NULL, 15),
(146175, NULL, 'PTHR19248:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146176, NULL, 'PTHR34808:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(146177, NULL, 'PTHR11533:SF18', NULL, NULL, NULL, NULL, 'FI02158P', NULL, NULL, NULL, 15),
(146178, NULL, 'PTHR45647:SF39', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 35', NULL, NULL, NULL, 15),
(146179, NULL, 'PTHR24220:SF636', NULL, NULL, NULL, NULL, 'NICKEL IMPORT SYSTEM ATP-BINDING PROTEIN NIKE', NULL, NULL, NULL, 15),
(146180, NULL, 'PTHR28556:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 106B', NULL, NULL, NULL, 15),
(146181, NULL, 'PTHR24111:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 36211, 15),
(146182, NULL, 'PTHR45564:SF8', NULL, NULL, NULL, NULL, 'NADH:QUINONE OXIDOREDUCTASE/MRP ANTIPORTER, MEMBRANE SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(146183, NULL, 'PTHR23138:SF87', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE RANBP2-RELATED', NULL, NULL, NULL, 15),
(146184, NULL, 'PTHR36309:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146185, NULL, 'PTHR21312:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146186, NULL, 'PTHR23426:SF60', NULL, NULL, NULL, NULL, 'FERREDOXIN 2', NULL, NULL, NULL, 15),
(146187, NULL, 'PTHR13964:SF37', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 5B', NULL, NULL, 27243, 15),
(146188, NULL, 'PTHR42738:SF14', NULL, NULL, NULL, NULL, 'ALDOLASE-TYPE TIM BARREL-RELATED', NULL, NULL, NULL, 15),
(146189, NULL, 'PTHR28342', NULL, NULL, NULL, NULL, 'MONOOXYGENASE P33MONOX-RELATED', NULL, NULL, 25112, 15),
(146190, NULL, 'PTHR30404:SF5', NULL, NULL, NULL, NULL, 'AUTOLYSIN PH-RELATED', NULL, NULL, NULL, 15),
(146191, NULL, 'PTHR18860:SF31', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN GF14 OMICRON', NULL, NULL, NULL, 15),
(146192, NULL, 'PTHR42902:SF3', NULL, NULL, NULL, NULL, 'MALATE SYNTHASE', NULL, NULL, NULL, 15),
(146193, NULL, 'PTHR19317:SF46', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN B2', NULL, NULL, NULL, 15),
(146194, NULL, 'PTHR46084:SF27', NULL, NULL, NULL, NULL, 'OS01G0674800 PROTEIN', NULL, NULL, NULL, 15),
(146195, NULL, 'PTHR30336:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SANA', NULL, NULL, NULL, 15),
(146196, NULL, 'PTHR47640:SF38', NULL, NULL, NULL, NULL, 'BNAC09G31400D PROTEIN', NULL, NULL, NULL, 15),
(146197, NULL, 'PTHR31874:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146198, NULL, 'PTHR13793:SF132', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATX4', NULL, NULL, NULL, 15),
(146199, NULL, 'PTHR34945:SF6', NULL, NULL, NULL, NULL, 'ISOPENICILLIN N SYNTHASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146200, NULL, 'PTHR11040:SF180', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 8-RELATED', NULL, NULL, NULL, 15),
(146201, NULL, 'PTHR32556:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146202, NULL, 'PTHR33124:SF75', NULL, NULL, NULL, NULL, 'BNAC03G34370D PROTEIN', NULL, NULL, NULL, 15),
(146203, NULL, 'PTHR31415:SF138', NULL, NULL, NULL, NULL, 'BNAA03G55320D PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146204, NULL, 'PTHR22941:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(146205, NULL, 'PTHR43329:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146206, NULL, 'PTHR24014:SF10', NULL, NULL, NULL, NULL, 'BNAANNG11120D PROTEIN', NULL, NULL, NULL, 15),
(146207, NULL, 'PTHR13215:SF7', NULL, NULL, NULL, NULL, 'MEDIATOR-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(146208, NULL, 'PTHR35609', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146209, NULL, 'PTHR11751:SF477', NULL, NULL, NULL, NULL, 'BNAC05G13450D PROTEIN', NULL, NULL, NULL, 15),
(146210, NULL, 'PTHR14882:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 92', NULL, NULL, 30356, 15),
(146211, NULL, 'PTHR34523', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 138', NULL, NULL, 34816, 15),
(146212, NULL, 'PTHR30345', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE B', NULL, NULL, 6047, 15),
(146213, NULL, 'PTHR11439:SF265', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', NULL, NULL, NULL, 15),
(146214, NULL, 'PTHR46086:SF17', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(146215, NULL, 'PTHR31426:SF3', NULL, NULL, NULL, NULL, 'OS06G0304500 PROTEIN', NULL, NULL, NULL, 15),
(146216, NULL, 'PTHR23111:SF69', NULL, NULL, NULL, NULL, 'OS07G0490600 PROTEIN', NULL, NULL, NULL, 15),
(146217, NULL, 'PTHR21450:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146218, NULL, 'PTHR42894:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146219, NULL, 'PTHR12266:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SODIUM/CALCIUM EXCHANGER PROTEIN', NULL, NULL, NULL, 15),
(146220, NULL, 'PTHR27009:SF63', NULL, NULL, NULL, NULL, 'OS07G0141100 PROTEIN', NULL, NULL, NULL, 15),
(146221, NULL, 'PTHR37298:SF1', NULL, NULL, NULL, NULL, 'UPF0111 PROTEIN YKAA', NULL, NULL, NULL, 15),
(146222, NULL, 'PTHR31126:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146223, NULL, 'PTHR30307', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE:TRNA RIBOSYLTRANSFERASE-ISOMERASE', NULL, NULL, 6002, 15),
(146224, NULL, 'PTHR48018:SF149', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(146225, NULL, 'PTHR26451:SF923', NULL, NULL, NULL, NULL, 'COMPONENT OF SP100-RS-RELATED', NULL, NULL, NULL, 15),
(146226, NULL, 'PTHR38519:SF3', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146227, NULL, 'PTHR10903:SF62', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 7', NULL, NULL, NULL, 15),
(146228, NULL, 'PTHR45658:SF42', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(146229, NULL, 'PTHR32153:SF41', NULL, NULL, NULL, NULL, 'BNAA09G38760D PROTEIN', NULL, NULL, NULL, 15),
(146230, NULL, 'PTHR46901:SF2', NULL, NULL, NULL, NULL, 'GH04942P', NULL, NULL, NULL, 15),
(146231, NULL, 'PTHR28632:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146232, NULL, 'PTHR36694:SF7', NULL, NULL, NULL, NULL, 'AGAP006415-PA', NULL, NULL, NULL, 15),
(146233, NULL, 'PTHR48054:SF36', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146234, NULL, 'PTHR19343:SF2', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR BETA CHAIN V REGION E1', NULL, NULL, NULL, 15),
(146235, NULL, 'PTHR31917:SF79', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146236, NULL, 'PTHR23273:SF4', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT', NULL, NULL, NULL, 15),
(146237, NULL, 'PTHR24068:SF309', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATING ENZYME', NULL, NULL, NULL, 15),
(146238, NULL, 'PTHR10410:SF30', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 14 HOMOLOG', NULL, NULL, NULL, 15),
(146239, NULL, 'PTHR32285:SF191', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 43', NULL, NULL, NULL, 15),
(146240, NULL, 'PTHR15505', NULL, NULL, NULL, NULL, 'RIIA DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146241, NULL, 'PTHR11654:SF433', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.1-LIKE', NULL, NULL, NULL, 15),
(146242, NULL, 'PTHR18864', NULL, NULL, NULL, NULL, 'KINECTIN', NULL, NULL, 19397, 15),
(146243, NULL, 'PTHR11802:SF220', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(146244, NULL, 'PTHR47047', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED-RELATED', NULL, NULL, NULL, 15),
(146245, NULL, 'PTHR48105:SF8', NULL, NULL, NULL, NULL, 'GLUTATHIONE REDUCTASE, CYTOSOLIC', NULL, NULL, NULL, 15),
(146246, NULL, 'PTHR10643:SF2', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN NDC80 HOMOLOG', NULL, NULL, NULL, 15),
(146247, NULL, 'PTHR30074:SF4', NULL, NULL, NULL, NULL, 'NI/FE-HYDROGENASE 2 B-TYPE CYTOCHROME SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(146248, NULL, 'PTHR31225:SF104', NULL, NULL, NULL, NULL, 'GERMACRENE C SYNTHASE', NULL, NULL, NULL, 15),
(146249, NULL, 'PTHR24390:SF168', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 358-LIKE PROTEIN', NULL, NULL, NULL, 15),
(146250, NULL, 'PTHR12418', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE THEM4', NULL, NULL, NULL, 15),
(146251, NULL, 'PTHR19970:SF25', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39-LIKE 5-RELATED', NULL, NULL, NULL, 15),
(146252, NULL, 'PTHR31187:SF5', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN', NULL, NULL, NULL, 15),
(146253, NULL, 'PTHR24418:SF162', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE ABL1', NULL, NULL, 33036, 15),
(146254, NULL, 'PTHR24960:SF55', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I IRON-SULFUR CENTER', NULL, NULL, NULL, 15),
(146255, NULL, 'PTHR46086:SF4', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(146256, NULL, 'PTHR10994:SF173', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B8', NULL, NULL, NULL, 15),
(146257, NULL, 'PTHR34217:SF1', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE 1', NULL, NULL, NULL, 15),
(146258, NULL, 'PTHR11953:SF1', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP46', NULL, NULL, NULL, 15),
(146259, NULL, 'PTHR34311:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG27706', NULL, NULL, NULL, 15),
(146260, NULL, 'PTHR16134:SF73', NULL, NULL, NULL, NULL, 'F-BOX SKIP17-LIKE PROTEIN', NULL, NULL, NULL, 15),
(146261, NULL, 'PTHR12756:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146262, NULL, 'PTHR10644:SF1', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 3', NULL, NULL, NULL, 15),
(146263, NULL, 'PTHR11972:SF171', NULL, NULL, NULL, NULL, 'FERRIC REDUCTASE, NAD BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146264, NULL, 'PTHR10826:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146265, NULL, 'PTHR32096:SF19', NULL, NULL, NULL, NULL, 'OS01G0750100 PROTEIN', NULL, NULL, NULL, 15),
(146266, NULL, 'PTHR31341:SF12', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN GP100', NULL, NULL, NULL, 15),
(146267, NULL, 'PTHR33573:SF20', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 4', NULL, NULL, NULL, 15),
(146268, NULL, 'PTHR31604:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 7', NULL, NULL, NULL, 15),
(146269, NULL, 'PTHR43025:SF3', NULL, NULL, NULL, NULL, 'MONOGALACTOSYLDIACYLGLYCEROL SYNTHASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(146270, NULL, 'PTHR24064:SF473', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(146271, NULL, 'PTHR11014:SF157', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 3', NULL, NULL, NULL, 15),
(146272, NULL, 'PTHR48043:SF60', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(146273, NULL, 'PTHR31561:SF84', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(146274, NULL, 'PTHR34717:SF1', NULL, NULL, NULL, NULL, 'EG:BACR7A4.20 PROTEIN', NULL, NULL, NULL, 15),
(146275, NULL, 'PTHR32278:SF77', NULL, NULL, NULL, NULL, 'PHLOEM PROTEIN 2-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146276, NULL, 'PTHR11920:SF480', NULL, NULL, NULL, NULL, 'PROTEIN CBG07424', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146277, NULL, 'PTHR21290:SF23', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:CERAMIDE CHOLINEPHOSPHOTRANSFERASE 2', NULL, NULL, NULL, 15),
(146278, NULL, 'PTHR23155:SF969', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146279, NULL, 'PTHR44051:SF14', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146280, NULL, 'PTHR24366:SF118', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 66', NULL, NULL, NULL, 15),
(146281, NULL, 'PTHR36060:SF2', NULL, NULL, NULL, NULL, 'BNAA03G52180D PROTEIN', NULL, NULL, NULL, 15),
(146282, NULL, 'PTHR11089:SF35', NULL, NULL, NULL, NULL, 'GTP-BINDING FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146283, NULL, 'PTHR24073:SF1060', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA6B', NULL, NULL, NULL, 15),
(146284, NULL, 'PTHR21723', NULL, NULL, NULL, NULL, 'RESISTANCE TO INHIBITORS OF CHOLINESTERASE PROTEIN 3  RIC3', NULL, NULL, 23696, 15),
(146285, NULL, 'PTHR31084:SF16', NULL, NULL, NULL, NULL, 'ALPHA-FUCOSIDASE A-RELATED', NULL, NULL, NULL, 15),
(146286, NULL, 'PTHR43243:SF25', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(146287, NULL, 'PTHR13578:SF11', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN ASXL2-RELATED', NULL, NULL, 22808, 15),
(146288, NULL, 'PTHR38564', NULL, NULL, NULL, NULL, 'SI:CH73-250A16.5-RELATED', NULL, NULL, NULL, 15),
(146289, NULL, 'PTHR43675:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146290, NULL, 'PTHR47975:SF19', NULL, NULL, NULL, NULL, 'OS01G0890200 PROTEIN', NULL, NULL, NULL, 15),
(146291, NULL, 'PTHR11071:SF469', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(146292, NULL, 'PTHR14030:SF2', NULL, NULL, NULL, NULL, 'OS11G0128700 PROTEIN', NULL, NULL, NULL, 15),
(146293, NULL, 'PTHR43695:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17250)-RELATED', NULL, NULL, NULL, 15),
(146294, NULL, 'PTHR23267:SF334', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-III REGION CBPC 101-RELATED', NULL, NULL, NULL, 15),
(146295, NULL, 'PTHR33101:SF49', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 12-LIKE', NULL, NULL, NULL, 15),
(146296, NULL, 'PTHR45979:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146297, NULL, 'PTHR15285:SF0', NULL, NULL, NULL, NULL, 'NEURONATIN', NULL, NULL, NULL, 15),
(146298, NULL, 'PTHR23255:SF49', NULL, NULL, NULL, NULL, 'ANTI-MUELLERIAN HORMONE TYPE-2 RECEPTOR', NULL, NULL, NULL, 15),
(146299, NULL, 'PTHR31216', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-1-RELATED-RELATED', NULL, NULL, 6214, 15),
(146300, NULL, 'PTHR19328:SF27', NULL, NULL, NULL, NULL, 'HEDGEHOG-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(146301, NULL, 'PTHR46467:SF1', NULL, NULL, NULL, NULL, 'TETHER CONTAINING UBX DOMAIN FOR GLUT4', NULL, NULL, NULL, 15),
(146302, NULL, 'PTHR10381:SF47', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT-RELATED PROTEIN 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(146303, NULL, 'PTHR11654:SF344', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.4', NULL, NULL, NULL, 15),
(146304, NULL, 'PTHR42683:SF46', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 9 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(146305, NULL, 'PTHR31911:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM133B', NULL, NULL, NULL, 15),
(146306, NULL, 'PTHR43591:SF67', NULL, NULL, NULL, NULL, 'BNAA02G20230D PROTEIN', NULL, NULL, NULL, 15),
(146307, NULL, 'PTHR31553:SF2', NULL, NULL, NULL, NULL, 'OPTINEURIN', NULL, NULL, 24881, 15),
(146308, NULL, 'PTHR38337:SF1', NULL, NULL, NULL, NULL, 'AGAP010540-PA', NULL, NULL, NULL, 15),
(146309, NULL, 'PTHR14380:SF7', NULL, NULL, NULL, NULL, 'OOCYTE-SECRETED PROTEIN 2', NULL, NULL, 34426, 15),
(146310, NULL, 'PTHR48020:SF27', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 4', NULL, NULL, NULL, 15),
(146311, NULL, 'PTHR12596:SF1', NULL, NULL, NULL, NULL, 'EXPORTIN-4', NULL, NULL, NULL, 15),
(146312, NULL, 'PTHR31707:SF282', NULL, NULL, NULL, NULL, 'BNAA06G35730D PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146313, NULL, 'PTHR42776:SF4', NULL, NULL, NULL, NULL, 'ACYLAMINO-ACID-RELEASING ENZYME', NULL, NULL, NULL, 15),
(146314, NULL, 'PTHR19446:SF435', NULL, NULL, NULL, NULL, 'LINE-1 RETROTRANSPOSABLE ELEMENT ORF2 PROTEIN', NULL, NULL, NULL, 15),
(146315, NULL, 'PTHR31973:SF113', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 3-LIKE', NULL, NULL, NULL, 15),
(146316, NULL, 'PTHR31195', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 33973, 15),
(146317, NULL, 'PTHR33044:SF37', NULL, NULL, NULL, NULL, 'OS10G0191100 PROTEIN', NULL, NULL, NULL, 15),
(146318, NULL, 'PTHR46301:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146319, NULL, 'PTHR24392:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 510', NULL, NULL, NULL, 15),
(146320, NULL, 'PTHR24377:SF695', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 689', NULL, NULL, NULL, 15),
(146321, NULL, 'PTHR12174:SF84', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 4', NULL, NULL, NULL, 15),
(146322, NULL, 'PTHR12413', NULL, NULL, NULL, NULL, 'DOLICHYL GLYCOSYLTRANSFERASE', NULL, NULL, 7274, 15),
(146323, NULL, 'PTHR11941:SF144', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 3', NULL, NULL, NULL, 15),
(146324, NULL, 'PTHR22844:SF336', NULL, NULL, NULL, NULL, 'PROTEIN JINGUBANG', NULL, NULL, NULL, 15),
(146325, NULL, 'PTHR31681:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146326, NULL, 'PTHR31881:SF18', NULL, NULL, NULL, NULL, 'BNAC02G00230D PROTEIN', NULL, NULL, NULL, 15),
(146327, NULL, 'PTHR10388:SF55', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLATION FACTOR SUI1 HOMOLOG 1', NULL, NULL, NULL, 15),
(146328, NULL, 'PTHR21562:SF96', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(146329, NULL, 'PTHR31301:SF101', NULL, NULL, NULL, NULL, 'LOB DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(146330, NULL, 'PTHR35895', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(146331, NULL, 'PTHR13707:SF53', NULL, NULL, NULL, NULL, 'SUCCINYL-COA:3-KETOACID-COENZYME A TRANSFERASE', NULL, NULL, NULL, 15),
(146332, NULL, 'PTHR13872:SF45', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT STT3B', NULL, NULL, NULL, 15),
(146333, NULL, 'PTHR33672:SF19', NULL, NULL, NULL, NULL, 'BNAA08G30090D PROTEIN', NULL, NULL, NULL, 15),
(146334, NULL, 'PTHR10953:SF210', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 2', NULL, NULL, NULL, 15),
(146335, NULL, 'PTHR10288:SF296', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(146336, NULL, 'PTHR31529:SF45', NULL, NULL, NULL, NULL, 'BNAC04G56960D PROTEIN', NULL, NULL, NULL, 15),
(146337, NULL, 'PTHR45988:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146338, NULL, 'PTHR13083:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 91', NULL, NULL, NULL, 15),
(146339, NULL, 'PTHR31645:SF70', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER, OPT SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(146340, NULL, 'PTHR19944:SF50', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DM ALPHA CHAIN', NULL, NULL, NULL, 15),
(146341, NULL, 'PTHR12663:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(146342, NULL, 'PTHR46419:SF7', NULL, NULL, NULL, NULL, 'ARF GTPASE ACTIVATOR', NULL, NULL, NULL, 15),
(146343, NULL, 'PTHR23423:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146344, NULL, 'PTHR30126:SF82', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(146345, NULL, 'PTHR43176:SF29', NULL, NULL, NULL, NULL, 'BNAA04G17110D PROTEIN', NULL, NULL, NULL, 15),
(146346, NULL, 'PTHR42684:SF13', NULL, NULL, NULL, NULL, 'BNAA01G24820D PROTEIN', NULL, NULL, NULL, 15),
(146347, NULL, 'PTHR11937:SF471', NULL, NULL, NULL, NULL, 'ACTIN-4', NULL, NULL, NULL, 15),
(146348, NULL, 'PTHR39757:SF3', NULL, NULL, NULL, NULL, 'LYCOPENE EPSILON CYCLASE, CHLOROPLASTIC ISOFORM X1', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146349, NULL, 'PTHR23023:SF131', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', NULL, NULL, NULL, 15),
(146350, NULL, 'PTHR12317:SF19', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 2-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(146351, NULL, 'PTHR47373:SF4', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR B-LIKE', NULL, NULL, NULL, 15),
(146352, NULL, 'PTHR45758:SF13', NULL, NULL, NULL, NULL, 'BNAA05G12200D PROTEIN', NULL, NULL, NULL, 15),
(146353, NULL, 'PTHR28236:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L44, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(146354, NULL, 'PTHR39142:SF1', NULL, NULL, NULL, NULL, 'MID1P', NULL, NULL, NULL, 15),
(146355, NULL, 'PTHR12422:SF5', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 49 MEMBER BA', NULL, NULL, NULL, 15),
(146356, NULL, 'PTHR34053:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ULTRAPETALA 1', NULL, NULL, NULL, 15),
(146357, NULL, 'PTHR24418:SF245', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE HCK', NULL, NULL, NULL, 15),
(146358, NULL, 'PTHR31218:SF274', NULL, NULL, NULL, NULL, 'BNAC06G31330D PROTEIN', NULL, NULL, NULL, 15),
(146359, NULL, 'PTHR24351:SF198', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C ETA TYPE', NULL, NULL, NULL, 15),
(146360, NULL, 'PTHR34358:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146361, NULL, 'PTHR47657:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146362, NULL, 'PTHR33128:SF73', NULL, NULL, NULL, NULL, 'BNAA06G16390D PROTEIN', NULL, NULL, NULL, 15),
(146363, NULL, 'PTHR43704', NULL, NULL, NULL, NULL, 'BSR5907 PROTEIN', NULL, NULL, NULL, 15),
(146364, NULL, 'PTHR45136', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146365, NULL, 'PTHR21662:SF26', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(146366, NULL, 'PTHR45768:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(146367, NULL, 'PTHR31212:SF5', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE FAMILY PROTEIN FAMILY (AFU_ORTHOLOGUE AFUA_3G14500)', NULL, NULL, NULL, 15),
(146368, NULL, 'PTHR42776:SF25', NULL, NULL, NULL, NULL, 'BNAA01G19230D PROTEIN', NULL, NULL, NULL, 15),
(146369, NULL, 'PTHR23147:SF22', NULL, NULL, NULL, NULL, 'DXL6 PROTEIN', NULL, NULL, NULL, 15),
(146370, NULL, 'PTHR31444:SF27', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE BIOSYNTHESIS PROTEIN', NULL, NULL, NULL, 15),
(146371, NULL, 'PTHR46122:SF16', NULL, NULL, NULL, NULL, 'BNAA09G53710D PROTEIN', NULL, NULL, NULL, 15),
(146372, NULL, 'PTHR39308', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146373, NULL, 'PTHR35294:SF4', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146374, NULL, 'PTHR47991:SF114', NULL, NULL, NULL, NULL, 'HYOSCYAMINE 6-DIOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(146375, NULL, 'PTHR47980:SF21', NULL, NULL, NULL, NULL, 'RE54550P', NULL, NULL, NULL, 15),
(146376, NULL, 'PTHR10743:SF14', NULL, NULL, NULL, NULL, 'PROTEIN RER1', NULL, NULL, NULL, 15),
(146377, NULL, 'PTHR43690:SF21', NULL, NULL, NULL, NULL, 'PROCESSING PROTEASE', NULL, NULL, NULL, 15),
(146378, NULL, 'PTHR31204:SF1', NULL, NULL, NULL, NULL, 'SIGMA INTRACELLULAR RECEPTOR 2', NULL, NULL, NULL, 15),
(146379, NULL, 'PTHR31744:SF162', NULL, NULL, NULL, NULL, 'BNAC01G09890D PROTEIN', NULL, NULL, NULL, 15),
(146380, NULL, 'PTHR31662:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146381, NULL, 'PTHR23504:SF30', NULL, NULL, NULL, NULL, 'FACILITATOR SUPERFAMILY ANTIPORTER, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(146382, NULL, 'PTHR45938:SF6', NULL, NULL, NULL, NULL, 'WAP, KAZAL, IMMUNOGLOBULIN, KUNITZ AND NTR DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 32686, 15),
(146383, NULL, 'PTHR21470:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146384, NULL, 'PTHR46646:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146385, NULL, 'PTHR10869:SF169', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 3-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146386, NULL, 'PTHR24067:SF258', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2G 1A (UBC7 HOMOLOG, YEAST)', NULL, NULL, NULL, 15),
(146387, NULL, 'PTHR23176:SF113', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN AT 16F, ISOFORM E-RELATED', NULL, NULL, NULL, 15),
(146388, NULL, 'PTHR31636:SF168', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL3', NULL, NULL, NULL, 15),
(146389, NULL, 'PTHR32347:SF19', NULL, NULL, NULL, NULL, 'MEMBRANE FUSION EFFLUX PROTEIN', NULL, NULL, NULL, 15),
(146390, NULL, 'PTHR12011:SF318', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR G1', NULL, NULL, NULL, 15),
(146391, NULL, 'PTHR22800', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN PROTEINS', NULL, NULL, NULL, 15),
(146392, NULL, 'PTHR34283:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146393, NULL, 'PTHR48011:SF40', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 3-LIKE', NULL, NULL, NULL, 15),
(146394, NULL, 'PTHR33191:SF55', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(146395, NULL, 'PTHR46393:SF1', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR B', NULL, NULL, 22742, 15),
(146396, NULL, 'PTHR11480:SF70', NULL, NULL, NULL, NULL, 'PROSAPOSIN', NULL, NULL, NULL, 15),
(146397, NULL, 'PTHR46267:SF14', NULL, NULL, NULL, NULL, 'BNAC07G31550D PROTEIN', NULL, NULL, NULL, 15),
(146398, NULL, 'PTHR48077:SF6', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE BETA CHAIN', NULL, NULL, 4732, 15),
(146399, NULL, 'PTHR36876', NULL, NULL, NULL, NULL, 'UROTENSIN-2B', NULL, NULL, 37380, 15),
(146400, NULL, 'PTHR11615:SF148', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4D2', NULL, NULL, NULL, 15),
(146401, NULL, 'PTHR47919', NULL, NULL, NULL, NULL, 'INFECTION RESPONSE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146402, NULL, 'PTHR21621:SF4', NULL, NULL, NULL, NULL, 'GLUTATHIONE SYNTHETASE', NULL, NULL, 3926, 15),
(146403, NULL, 'PTHR27008:SF384', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146404, NULL, 'PTHR37356:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 239', NULL, NULL, NULL, 15),
(146405, NULL, 'PTHR46157:SF9', NULL, NULL, NULL, NULL, 'BNACNNG08900D PROTEIN', NULL, NULL, NULL, 15),
(146406, NULL, 'PTHR11496', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE', NULL, NULL, 30030, 15),
(146407, NULL, 'PTHR45826:SF8', NULL, NULL, NULL, NULL, 'BNAC05G39680D PROTEIN', NULL, NULL, NULL, 15),
(146408, NULL, 'PTHR18945:SF599', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(146409, NULL, 'PTHR10725:SF55', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146410, NULL, 'PTHR45696:SF21', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(146411, NULL, 'PTHR43742:SF5', NULL, NULL, NULL, NULL, 'BIOTIN SULFOXIDE REDUCTASE', NULL, NULL, NULL, 15),
(146412, NULL, 'PTHR21364:SF1', NULL, NULL, NULL, NULL, 'GENERAL ODORANT-BINDING PROTEIN LUSH', NULL, NULL, NULL, 15),
(146413, NULL, 'PTHR31086:SF9', NULL, NULL, NULL, NULL, 'OS06G0331900 PROTEIN', NULL, NULL, NULL, 15),
(146414, NULL, 'PTHR33830:SF20', NULL, NULL, NULL, NULL, 'BNAA01G07560D PROTEIN', NULL, NULL, NULL, 15),
(146415, NULL, 'PTHR20856:SF22', NULL, NULL, NULL, NULL, 'OS08G0171600 PROTEIN', NULL, NULL, NULL, 15),
(146416, NULL, 'PTHR47025:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146417, NULL, 'PTHR24177:SF272', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', NULL, NULL, NULL, 15),
(146418, NULL, 'PTHR17039:SF1', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RIBONUCLEOPROTEIN PROTEIN MPP10', NULL, NULL, NULL, 15),
(146419, NULL, 'PTHR13393:SF0', NULL, NULL, NULL, NULL, 'RNA N6-ADENOSINE-METHYLTRANSFERASE METTL16', NULL, NULL, NULL, 15),
(146420, NULL, 'PTHR13780:SF35', NULL, NULL, NULL, NULL, 'LD22662P', NULL, NULL, NULL, 15),
(146421, NULL, 'PTHR22298:SF156', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(146422, NULL, 'PTHR33836:SF1', NULL, NULL, NULL, NULL, 'LOW-TEMPERATURE-INDUCED 65 KDA PROTEIN-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146423, NULL, 'PTHR32246:SF122', NULL, NULL, NULL, NULL, 'BNAC01G41880D PROTEIN', NULL, NULL, NULL, 15),
(146424, NULL, 'PTHR45811:SF33', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(146425, NULL, 'PTHR36930', NULL, NULL, NULL, NULL, 'METAL-SULFUR CLUSTER BIOSYNTHESIS PROTEINS YUAD-RELATED', NULL, NULL, NULL, 15),
(146426, NULL, 'PTHR31642:SF228', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146427, NULL, 'PTHR42920:SF8', NULL, NULL, NULL, NULL, 'DRUG/METABOLITE TRANSPORTER', NULL, NULL, NULL, 15),
(146428, NULL, 'PTHR32176:SF37', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(146429, NULL, 'PTHR24072:SF335', NULL, NULL, NULL, NULL, 'RHO, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146430, NULL, 'PTHR31096:SF10', NULL, NULL, NULL, NULL, 'DOMAIN CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(146431, NULL, 'PTHR34504:SF2', NULL, NULL, NULL, NULL, 'ANTITOXIN HICB', NULL, NULL, NULL, 15),
(146432, NULL, 'PTHR37266', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 6', NULL, NULL, 2497, 15),
(146433, NULL, 'PTHR33374:SF36', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 20', NULL, NULL, NULL, 15),
(146434, NULL, 'PTHR10844:SF16', NULL, NULL, NULL, NULL, 'CAVEOLIN-3', NULL, NULL, 27033, 15),
(146435, NULL, 'PTHR35310:SF1', NULL, NULL, NULL, NULL, 'CELL WALL INTEGRITY/STRESS RESPONSE COMPONENT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(146436, NULL, 'PTHR13874:SF11', NULL, NULL, NULL, NULL, 'ENDOTHELIN-3', NULL, NULL, NULL, 15),
(146437, NULL, 'PTHR45648:SF90', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146438, NULL, 'PTHR42758:SF3', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE D GDPD3', NULL, NULL, NULL, 15),
(146439, NULL, 'PTHR31549:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146440, NULL, 'PTHR31948:SF98', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 10', NULL, NULL, NULL, 15),
(146441, NULL, 'PTHR24009:SF26', NULL, NULL, NULL, NULL, 'BNAC01G32250D PROTEIN', NULL, NULL, NULL, 15),
(146442, NULL, 'PTHR46998:SF2', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 11', NULL, NULL, NULL, 15),
(146443, NULL, 'PTHR31966:SF21', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(146444, NULL, 'PTHR30636:SF3', NULL, NULL, NULL, NULL, 'UPF0701 PROTEIN YICC', NULL, NULL, NULL, 15),
(146445, NULL, 'PTHR33127', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(146446, NULL, 'PTHR12329:SF33', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 2', NULL, NULL, NULL, 15),
(146447, NULL, 'PTHR45613:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146448, NULL, 'PTHR46128:SF277', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(146449, NULL, 'PTHR31384:SF120', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 12-RELATED', NULL, NULL, NULL, 15),
(146450, NULL, 'PTHR33305:SF42', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 4 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146451, NULL, 'PTHR33994:SF28', NULL, NULL, NULL, NULL, 'OS04G0515200 PROTEIN', NULL, NULL, NULL, 15),
(146452, NULL, 'PTHR31089:SF5', NULL, NULL, NULL, NULL, 'OS01G0673700 PROTEIN', NULL, NULL, NULL, 15),
(146453, NULL, 'PTHR23207', NULL, NULL, NULL, NULL, 'CORNEODESMOSIN', NULL, NULL, 25912, 15),
(146454, NULL, 'PTHR11552:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146455, NULL, 'PTHR33057:SF145', NULL, NULL, NULL, NULL, 'OVATE FAMILY PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(146456, NULL, 'PTHR24249:SF396', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146457, NULL, 'PTHR11200:SF276', NULL, NULL, NULL, NULL, 'BREVIS PLANT1', NULL, NULL, NULL, 15),
(146458, NULL, 'PTHR34682:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146459, NULL, 'PTHR31790:SF393', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146460, NULL, 'PTHR45636:SF15', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-1', NULL, NULL, 34645, 15),
(146461, NULL, 'PTHR43741:SF3', NULL, NULL, NULL, NULL, 'IRON-SULFUR FLAVOPROTEIN', NULL, NULL, NULL, 15),
(146462, NULL, 'PTHR11437:SF2', NULL, NULL, NULL, NULL, 'INACTIVE RIBONUCLEASE-LIKE PROTEIN 10', NULL, NULL, 24203, 15),
(146463, NULL, 'PTHR19424', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR BINDING PROTEIN 1', NULL, NULL, 11375, 15),
(146464, NULL, 'PTHR13600', NULL, NULL, NULL, NULL, 'LEUCINE CARBOXYL METHYLTRANSFERASE', NULL, NULL, 19655, 15),
(146465, NULL, 'PTHR22255:SF4', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN DECARBOXYLASE', NULL, NULL, NULL, 15),
(146466, NULL, 'PTHR31719:SF152', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146467, NULL, 'PTHR10992:SF1017', NULL, NULL, NULL, NULL, 'ESTERASE PIR7A', NULL, NULL, NULL, 15),
(146468, NULL, 'PTHR35277:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146469, NULL, 'PTHR12304:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146470, NULL, 'PTHR11036:SF130', NULL, NULL, NULL, NULL, 'SEMA DOMAIN, TRANSMEMBRANE DOMAIN (TM), AND CYTOPLASMIC DOMAIN, (SEMAPHORIN) 6BA', NULL, NULL, NULL, 15),
(146471, NULL, 'PTHR16270:SF5', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC287798', NULL, NULL, NULL, 15),
(146472, NULL, 'PTHR46081', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 27393, 15),
(146473, NULL, 'PTHR13359:SF3', NULL, NULL, NULL, NULL, 'COPPER ION-BINDING PROTEIN', NULL, NULL, NULL, 15),
(146474, NULL, 'PTHR24103:SF259', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 15', NULL, NULL, NULL, 15),
(146475, NULL, 'PTHR24092:SF51', NULL, NULL, NULL, NULL, 'ATPASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146476, NULL, 'PTHR16504', NULL, NULL, NULL, NULL, '5''(3'')-DEOXYRIBONUCLEOTIDASE', NULL, NULL, NULL, 15),
(146477, NULL, 'PTHR28632:SF2', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 7', NULL, NULL, NULL, 15),
(146478, NULL, 'PTHR12157:SF15', NULL, NULL, NULL, NULL, 'REGULATING SYNAPTIC MEMBRANE EXOCYTOSIS PROTEIN 2', NULL, NULL, 23789, 15),
(146479, NULL, 'PTHR27006:SF411', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE RECEPTOR 2', NULL, NULL, NULL, 15),
(146480, NULL, 'PTHR10796:SF88', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(146481, NULL, 'PTHR11266:SF39', NULL, NULL, NULL, NULL, 'MPV17-LIKE PROTEIN', NULL, NULL, NULL, 15),
(146482, NULL, 'PTHR47998:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB23-LIKE', NULL, NULL, NULL, 15),
(146483, NULL, 'PTHR31402:SF2', NULL, NULL, NULL, NULL, 'UPF0711 PROTEIN C18ORF21', NULL, NULL, NULL, 15),
(146484, NULL, 'PTHR47982:SF25', NULL, NULL, NULL, NULL, 'OS03G0269300 PROTEIN', NULL, NULL, NULL, 15),
(146485, NULL, 'PTHR33044:SF104', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN GPI-ANCHORED 2', NULL, NULL, NULL, 15),
(146486, NULL, 'PTHR21569:SF31', NULL, NULL, NULL, NULL, 'BNAC05G47390D PROTEIN', NULL, NULL, NULL, 15),
(146487, NULL, 'PTHR18966:SF499', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(146488, NULL, 'PTHR23272:SF104', NULL, NULL, NULL, NULL, 'OS08G0198100 PROTEIN', NULL, NULL, NULL, 15),
(146489, NULL, 'PTHR47315:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146490, NULL, 'PTHR21677:SF4', NULL, NULL, NULL, NULL, 'TSL-KINASE INTERACTING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(146491, NULL, 'PTHR12313:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146492, NULL, 'PTHR33115:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146493, NULL, 'PTHR11043:SF25', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-2', NULL, NULL, NULL, 15),
(146494, NULL, 'PTHR31642:SF257', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(146495, NULL, 'PTHR21600:SF42', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE(31) SYNTHASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146496, NULL, 'PTHR37011', NULL, NULL, NULL, NULL, 'POT FAMILY PEPTIDE TRANSPORT PROTEIN-RELATED', NULL, NULL, 8191, 15),
(146497, NULL, 'PTHR33177:SF20', NULL, NULL, NULL, NULL, 'OSJNBA0088H09.9 PROTEIN', NULL, NULL, NULL, 15),
(146498, NULL, 'PTHR31114:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(146499, NULL, 'PTHR41148', NULL, NULL, NULL, NULL, 'LP09875P', NULL, NULL, NULL, 15),
(146500, NULL, 'PTHR47160:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146501, NULL, 'PTHR24115:SF781', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146502, NULL, 'PTHR47991:SF50', NULL, NULL, NULL, NULL, 'FLAVANONE 3-DIOXYGENASE 3', NULL, NULL, NULL, 15),
(146503, NULL, 'PTHR11098:SF24', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(146504, NULL, 'PTHR31265:SF42', NULL, NULL, NULL, NULL, 'OS01G0611000 PROTEIN', NULL, NULL, NULL, 15),
(146505, NULL, 'PTHR46328:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5-LIKE', NULL, NULL, NULL, 15),
(146506, NULL, 'PTHR11742:SF90', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(146507, NULL, 'PTHR46548:SF5', NULL, NULL, NULL, NULL, 'BNAANNG26470D PROTEIN', NULL, NULL, NULL, 15),
(146508, NULL, 'PTHR18945:SF195', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT GAMMA-3', NULL, NULL, NULL, 15),
(146509, NULL, 'PTHR45751:SF34', NULL, NULL, NULL, NULL, 'COPINE III-LIKE', NULL, NULL, NULL, 15),
(146510, NULL, 'PTHR31208:SF2', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(146511, NULL, 'PTHR18945:SF504', NULL, NULL, NULL, NULL, 'GLUTAMATE-GATED CHLORIDE CHANNEL SUBUNIT BETA', NULL, NULL, 18406, 15),
(146512, NULL, 'PTHR48044:SF59', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(146513, NULL, 'PTHR10795:SF654', NULL, NULL, NULL, NULL, 'BNACNNG17920D PROTEIN', NULL, NULL, NULL, 15),
(146514, NULL, 'PTHR12027:SF100', NULL, NULL, NULL, NULL, 'PROTEIN WNT', NULL, NULL, NULL, 15),
(146515, NULL, 'PTHR42743:SF5', NULL, NULL, NULL, NULL, 'AMINODEOXYCHORISMATE LYASE', NULL, NULL, NULL, 15),
(146516, NULL, 'PTHR11783:SF170', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(146517, NULL, 'PTHR43072:SF23', NULL, NULL, NULL, NULL, 'L-AMINO ACID N-ACYLTRANSFERASE MNAT', NULL, NULL, NULL, 15),
(146518, NULL, 'PTHR22601:SF72', NULL, NULL, NULL, NULL, 'OPT FAMILY SMALL OLIGOPEPTIDE TRANSPORTER', NULL, NULL, NULL, 15),
(146519, NULL, 'PTHR33463:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146520, NULL, 'PTHR10009:SF8', NULL, NULL, NULL, NULL, 'IP19120P', NULL, NULL, NULL, 15),
(146521, NULL, 'PTHR24404:SF53', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 148', NULL, NULL, NULL, 15),
(146522, NULL, 'PTHR33737:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146523, NULL, 'PTHR11208:SF29', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING, RNA-BINDING, SIGNAL TRANSDUCTION-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(146524, NULL, 'PTHR36366:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RDM1', NULL, NULL, NULL, 15),
(146525, NULL, 'PTHR46498', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN 8', NULL, NULL, NULL, 15),
(146526, NULL, 'PTHR11783:SF226', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(146527, NULL, 'PTHR48108:SF6', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(146528, NULL, 'PTHR11412:SF92', NULL, NULL, NULL, NULL, 'PREGNANCY ZONE PROTEIN', NULL, NULL, NULL, 15),
(146529, NULL, 'PTHR43557', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 1', NULL, NULL, NULL, 15),
(146530, NULL, 'PTHR31121:SF2', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE KTR5-RELATED', NULL, NULL, NULL, 15),
(146531, NULL, 'PTHR10980:SF8', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 3', NULL, NULL, NULL, 15),
(146532, NULL, 'PTHR24083', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146533, NULL, 'PTHR12542:SF144', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146534, NULL, 'PTHR15944', NULL, NULL, NULL, NULL, 'FARNESYLCYSTEINE LYASE', NULL, NULL, 19718, 15),
(146535, NULL, 'PTHR21499:SF55', NULL, NULL, NULL, NULL, 'ASPARTOKINASE', NULL, NULL, NULL, 15),
(146536, NULL, 'PTHR10894:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(146537, NULL, 'PTHR11002', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, 3121, 15),
(146538, NULL, 'PTHR40257', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146539, NULL, 'PTHR45687:SF62', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-1', NULL, NULL, NULL, 15),
(146540, NULL, 'PTHR13812:SF19', NULL, NULL, NULL, NULL, 'KETIMINE REDUCTASE MU-CRYSTALLIN', NULL, NULL, NULL, 15),
(146541, NULL, 'PTHR48018:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(146542, NULL, 'PTHR46153:SF23', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(146543, NULL, 'PTHR13018:SF104', NULL, NULL, NULL, NULL, 'BNAC06G30620D PROTEIN', NULL, NULL, NULL, 15),
(146544, NULL, 'PTHR33044:SF169', NULL, NULL, NULL, NULL, 'BNAC06G43950D PROTEIN', NULL, NULL, NULL, 15),
(146545, NULL, 'PTHR23318:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 4 REGULATORY SUBUNIT 3B', NULL, NULL, NULL, 15),
(146546, NULL, 'PTHR43295:SF2', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE 2', NULL, NULL, NULL, 15),
(146547, NULL, 'PTHR42829', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 5', NULL, NULL, 7135, 15),
(146548, NULL, 'PTHR47240', NULL, NULL, NULL, NULL, 'CHROMO DOMAIN-CONTAINING PROTEIN LHP1', NULL, NULL, 36978, 15),
(146549, NULL, 'PTHR10961:SF42', NULL, NULL, NULL, NULL, 'AMINO ACID OXIDASESARCOSINE OXIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10130)-RELATED', NULL, NULL, NULL, 15),
(146550, NULL, 'PTHR32071:SF90', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN LEVR', NULL, NULL, NULL, 15),
(146551, NULL, 'PTHR22599:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146552, NULL, 'PTHR26450:SF60', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(146553, NULL, 'PTHR24118:SF67', NULL, NULL, NULL, NULL, 'ANKYRIN 1', NULL, NULL, NULL, 15),
(146554, NULL, 'PTHR22902:SF26', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(146555, NULL, 'PTHR21562:SF65', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(146556, NULL, 'PTHR48000:SF4', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146557, NULL, 'PTHR48002:SF129', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(146558, NULL, 'PTHR43607:SF1', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE CATALYTIC SUBUNIT A', NULL, NULL, NULL, 15),
(146559, NULL, 'PTHR44137:SF17', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(146560, NULL, 'PTHR14191:SF3', NULL, NULL, NULL, NULL, 'MIP11264P', NULL, NULL, NULL, 15),
(146561, NULL, 'PTHR21398:SF11', NULL, NULL, NULL, NULL, 'HDC15381-RELATED', NULL, NULL, NULL, 15),
(146562, NULL, 'PTHR33048:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146563, NULL, 'PTHR31533:SF11', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN LLG2', NULL, NULL, NULL, 15),
(146564, NULL, 'PTHR45949:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN-30', NULL, NULL, 29473, 15),
(146565, NULL, 'PTHR30506:SF2', NULL, NULL, NULL, NULL, 'UPF0126 INNER MEMBRANE PROTEIN YICG', NULL, NULL, NULL, 15),
(146566, NULL, 'PTHR23502:SF162', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YDHC', NULL, NULL, NULL, 15),
(146567, NULL, 'PTHR43591:SF10', NULL, NULL, NULL, NULL, 'UMTA', NULL, NULL, NULL, 15),
(146568, NULL, 'PTHR22888:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME BO(3) UBIQUINOL OXIDASE SUBUNIT 2', NULL, NULL, NULL, 15),
(146569, NULL, 'PTHR46014', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146570, NULL, 'PTHR22849:SF134', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(146571, NULL, 'PTHR13244:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(146572, NULL, 'PTHR27007:SF156', NULL, NULL, NULL, NULL, 'OS07G0130200 PROTEIN', NULL, NULL, NULL, 15),
(146573, NULL, 'PTHR23170', NULL, NULL, NULL, NULL, 'NY-REN-58 ANTIGEN', NULL, NULL, NULL, 15),
(146574, NULL, 'PTHR14392:SF9', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 129 MEMBER BA', NULL, NULL, NULL, 15),
(146575, NULL, 'PTHR34823:SF1', NULL, NULL, NULL, NULL, 'GLCNAC-BINDING PROTEIN A', NULL, NULL, NULL, 15),
(146576, NULL, 'PTHR41400', NULL, NULL, NULL, NULL, 'MGC152344 PROTEIN', NULL, NULL, NULL, 15),
(146577, NULL, 'PTHR31444:SF31', NULL, NULL, NULL, NULL, 'GLUCURONOXYLAN 4-O-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(146578, NULL, 'PTHR43190:SF3', NULL, NULL, NULL, NULL, 'N-ACETYL-D-GLUCOSAMINE KINASE', NULL, NULL, NULL, 15),
(146579, NULL, 'PTHR34218:SF3', NULL, NULL, NULL, NULL, 'ACYL-HOMOSERINE LACTONE ACYLASE PVDQ', NULL, NULL, NULL, 15),
(146580, NULL, 'PTHR42721:SF33', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 5-RELATED', NULL, NULL, NULL, 15),
(146581, NULL, 'PTHR23294:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG01365', NULL, NULL, NULL, 15),
(146582, NULL, 'PTHR11817:SF95', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(146583, NULL, 'PTHR14950:SF54', NULL, NULL, NULL, NULL, 'RNASE II-LIKE 1', NULL, NULL, NULL, 15),
(146584, NULL, 'PTHR33095:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146585, NULL, 'PTHR24240:SF177', NULL, NULL, NULL, NULL, 'PROTEIN CBG03949', NULL, NULL, NULL, 15),
(146586, NULL, 'PTHR11017:SF446', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146587, NULL, 'PTHR47956:SF84', NULL, NULL, NULL, NULL, 'OS06G0500700 PROTEIN', NULL, NULL, NULL, 15),
(146588, NULL, 'PTHR33130:SF33', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF1639)-RELATED', NULL, NULL, NULL, 15),
(146589, NULL, 'PTHR31352:SF42', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', NULL, NULL, NULL, 15),
(146590, NULL, 'PTHR31238:SF176', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(146591, NULL, 'PTHR13683:SF811', NULL, NULL, NULL, NULL, 'OS02G0314600 PROTEIN', NULL, NULL, NULL, 15),
(146592, NULL, 'PTHR32448:SF106', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT OXIDOREDUCTASE FOX3-LIKE', NULL, NULL, NULL, 15),
(146593, NULL, 'PTHR23031:SF5', NULL, NULL, NULL, NULL, 'RHOPHILIN-2-RELATED', NULL, NULL, NULL, 15),
(146594, NULL, 'PTHR22844:SF371', NULL, NULL, NULL, NULL, 'OS12G0594000 PROTEIN', NULL, NULL, NULL, 15),
(146595, NULL, 'PTHR47252:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(146596, NULL, 'PTHR31458:SF17', NULL, NULL, NULL, NULL, 'NON-CATALYTIC SUBUNIT AROGP2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146597, NULL, 'PTHR14485:SF4', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 23-LIKE', NULL, NULL, NULL, 15),
(146598, NULL, 'PTHR36956:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG27982', NULL, NULL, NULL, 15),
(146599, NULL, 'PTHR27006:SF398', NULL, NULL, NULL, NULL, 'OSJNBA0011F23.11 PROTEIN', NULL, NULL, NULL, 15),
(146600, NULL, 'PTHR34676:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, RIBONUCLEASE H-LIKE DOMAIN, GAG-PRE-INTEGRASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146601, NULL, 'PTHR13266', NULL, NULL, NULL, NULL, 'PROTEASOME INHIBITOR', NULL, NULL, 38198, 15),
(146602, NULL, 'PTHR31623:SF86', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146603, NULL, 'PTHR47155:SF1', NULL, NULL, NULL, NULL, 'DAF-16/FOXO CONTROLLED, GERMLINE TUMOR AFFECTING-RELATED', NULL, NULL, NULL, 15),
(146604, NULL, 'PTHR39203', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, 14739, 15),
(146605, NULL, 'PTHR45626:SF32', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146606, NULL, 'PTHR45496:SF2', NULL, NULL, NULL, NULL, 'OS10G0378450 PROTEIN', NULL, NULL, NULL, 15),
(146607, NULL, 'PTHR31851:SF37', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(146608, NULL, 'PTHR34788:SF2', NULL, NULL, NULL, NULL, 'OS02G0779300 PROTEIN', NULL, NULL, NULL, 15),
(146609, NULL, 'PTHR11926:SF953', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 75C1', NULL, NULL, NULL, 15),
(146610, NULL, 'PTHR31442:SF33', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146611, NULL, 'PTHR31218:SF340', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(146612, NULL, 'PTHR13246:SF3', NULL, NULL, NULL, NULL, 'CYTOSOLIC ENDO-BETA-N-ACETYLGLUCOSAMINIDASE 2', NULL, NULL, NULL, 15),
(146613, NULL, 'PTHR48055:SF9', NULL, NULL, NULL, NULL, 'OS11G0569100 PROTEIN', NULL, NULL, NULL, 15),
(146614, NULL, 'PTHR15205:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146615, NULL, 'PTHR13068:SF191', NULL, NULL, NULL, NULL, 'BNAC09G13900D PROTEIN', NULL, NULL, NULL, 15),
(146616, NULL, 'PTHR43184', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY TRANSPORTER 16, ISOFORM B', NULL, NULL, NULL, 15),
(146617, NULL, 'PTHR12211:SF1', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM RESIDENT PROTEIN 29', NULL, NULL, NULL, 15),
(146618, NULL, 'PTHR33165:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146619, NULL, 'PTHR12433:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146620, NULL, 'PTHR35313', NULL, NULL, NULL, NULL, 'NO EXINE FORMATION 1', NULL, NULL, NULL, 15),
(146621, NULL, 'PTHR31624:SF4', NULL, NULL, NULL, NULL, 'UPF0472 PROTEIN C16ORF72 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(146622, NULL, 'PTHR30580', NULL, NULL, NULL, NULL, 'PRIMOSOMAL PROTEIN N', NULL, NULL, NULL, 15),
(146623, NULL, 'PTHR31189:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146624, NULL, 'PTHR45638:SF5', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE GATED CHANNEL', NULL, NULL, NULL, 15),
(146625, NULL, 'PTHR31851:SF45', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER 1.2', NULL, NULL, NULL, 15),
(146626, NULL, 'PTHR12243:SF51', NULL, NULL, NULL, NULL, 'FI03846P-RELATED', NULL, NULL, NULL, 15),
(146627, NULL, 'PTHR11062:SF249', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY-LIKE PROTEIN', NULL, NULL, NULL, 15),
(146628, NULL, 'PTHR18964:SF165', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDE KINASE', NULL, NULL, NULL, 15),
(146629, NULL, 'PTHR23291:SF86', NULL, NULL, NULL, NULL, 'BAX INHIBITOR 1', NULL, NULL, NULL, 15),
(146630, NULL, 'PTHR34386:SF2', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN', NULL, NULL, NULL, 15),
(146631, NULL, 'PTHR36865:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700001O22 GENE', NULL, NULL, NULL, 15),
(146632, NULL, 'PTHR31080:SF202', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146633, NULL, 'PTHR32044:SF91', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 2-LIKE', NULL, NULL, NULL, 15),
(146634, NULL, 'PTHR31499:SF23', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL11', NULL, NULL, NULL, 15),
(146635, NULL, 'PTHR44094', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(146636, NULL, 'PTHR27003:SF312', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(146637, NULL, 'PTHR10693:SF67', NULL, NULL, NULL, NULL, 'BNAA07G24340D PROTEIN', NULL, NULL, NULL, 15),
(146638, NULL, 'PTHR36193:SF23', NULL, NULL, NULL, NULL, 'PHISTB DOMAIN-CONTAINING RESA-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(146639, NULL, 'PTHR47728:SF1', NULL, NULL, NULL, NULL, 'RAB GTPASE-ACTIVATING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(146640, NULL, 'PTHR24073:SF967', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1A', NULL, NULL, NULL, 15),
(146641, NULL, 'PTHR48044:SF14', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146642, NULL, 'PTHR42935', NULL, NULL, NULL, NULL, 'SLR0930 PROTEIN', NULL, NULL, NULL, 15),
(146643, NULL, 'PTHR21084', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 25158, 15),
(146644, NULL, 'PTHR45676:SF69', NULL, NULL, NULL, NULL, 'EL5-LIKE', NULL, NULL, NULL, 15),
(146645, NULL, 'PTHR11214:SF303', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT6', NULL, NULL, NULL, 15),
(146646, NULL, 'PTHR32018:SF41', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE-RELATED', NULL, NULL, NULL, 15),
(146647, NULL, 'PTHR46832', NULL, NULL, NULL, NULL, '5''-METHYLTHIOADENOSINE/S-ADENOSYLHOMOCYSTEINE NUCLEOSIDASE', NULL, NULL, NULL, 15),
(146648, NULL, 'PTHR20515:SF13', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 102', NULL, NULL, NULL, 15),
(146649, NULL, 'PTHR31775:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146650, NULL, 'PTHR46046:SF6', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(146651, NULL, 'PTHR43670:SF25', NULL, NULL, NULL, NULL, 'SHOCK PROTEIN HSP20/HSP26, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G10270)-RELATED', NULL, NULL, NULL, 15),
(146652, NULL, 'PTHR11675:SF43', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(146653, NULL, 'PTHR24296:SF177', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 86B1-LIKE', NULL, NULL, NULL, 15),
(146654, NULL, 'PTHR45987:SF6', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L12/ ATP-DEPENDENT CLP PROTEASE ADAPTOR PROTEIN CLPS FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146655, NULL, 'PTHR24109:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 31', NULL, NULL, NULL, 15),
(146656, NULL, 'PTHR23086:SF108', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(146657, NULL, 'PTHR45701:SF9', NULL, NULL, NULL, NULL, 'VAMP (VESICLE ASSOCIATED MEMBRANE PROTEIN) HOMOLOG', NULL, NULL, NULL, 15),
(146658, NULL, 'PTHR31676:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146659, NULL, 'PTHR35731:SF1', NULL, NULL, NULL, NULL, '8-AMINO-7-OXONONANOATE SYNTHASE', NULL, NULL, NULL, 15),
(146660, NULL, 'PTHR36101:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN 8', NULL, NULL, NULL, 15),
(146661, NULL, 'PTHR45726:SF2', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE RNPEPL1', NULL, NULL, 31175, 15),
(146662, NULL, 'PTHR27002:SF814', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(146663, NULL, 'PTHR17250', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR E', NULL, NULL, 36292, 15),
(146664, NULL, 'PTHR36860:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 35', NULL, NULL, NULL, 15),
(146665, NULL, 'PTHR46454:SF12', NULL, NULL, NULL, NULL, 'INNER ARM DYNEIN GROUP 3', NULL, NULL, NULL, 15),
(146666, NULL, 'PTHR47461:SF3', NULL, NULL, NULL, NULL, 'PHYTOLONGIN PHYL2.2', NULL, NULL, NULL, 15),
(146667, NULL, 'PTHR31499:SF65', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR APL', NULL, NULL, NULL, 15),
(146668, NULL, 'PTHR34660:SF11', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146669, NULL, 'PTHR45619:SF39', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(146670, NULL, 'PTHR23147:SF177', NULL, NULL, NULL, NULL, 'ACID BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146671, NULL, 'PTHR35163:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146672, NULL, 'PTHR24060:SF156', NULL, NULL, NULL, NULL, 'LP07906P', NULL, NULL, NULL, 15),
(146673, NULL, 'PTHR48011:SF38', NULL, NULL, NULL, NULL, 'BNACNNG64060D PROTEIN', NULL, NULL, NULL, 15),
(146674, NULL, 'PTHR10695:SF50', NULL, NULL, NULL, NULL, 'PHOSPHOPANTETHEINE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(146675, NULL, 'PTHR11380', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID/SUPT3-RELATED', NULL, NULL, 4864, 15),
(146676, NULL, 'PTHR45791', NULL, NULL, NULL, NULL, 'CALCIUM AND INTEGRIN BINDING FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(146677, NULL, 'PTHR23267:SF394', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146678, NULL, 'PTHR10336:SF169', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(146679, NULL, 'PTHR43514:SF1', NULL, NULL, NULL, NULL, 'SULFATE/THIOSULFATE IMPORT ATP-BINDING PROTEIN CYSA', NULL, NULL, NULL, 15),
(146680, NULL, 'PTHR11351:SF33', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE', NULL, NULL, NULL, 15),
(146681, NULL, 'PTHR24343:SF188', NULL, NULL, NULL, NULL, 'HORMONALLY UP-REGULATED NEU TUMOR-ASSOCIATED KINASE', NULL, NULL, NULL, 15),
(146682, NULL, 'PTHR36134:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN C16ORF54', NULL, NULL, NULL, 15),
(146683, NULL, 'PTHR32274', NULL, NULL, NULL, NULL, 'NEDD4-BINDING PROTEIN 3', NULL, NULL, 30013, 15),
(146684, NULL, 'PTHR10992:SF1050', NULL, NULL, NULL, NULL, 'ESTERASE 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146685, NULL, 'PTHR12542:SF28', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146686, NULL, 'PTHR30537:SF5', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR TTDR-RELATED', NULL, NULL, NULL, 15),
(146687, NULL, 'PTHR31876:SF3', NULL, NULL, NULL, NULL, 'OS05G0437200 PROTEIN', NULL, NULL, NULL, 15),
(146688, NULL, 'PTHR24351:SF212', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(146689, NULL, 'PTHR45532:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146690, NULL, 'PTHR23050:SF373', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(146691, NULL, 'PTHR13367:SF27', NULL, NULL, NULL, NULL, 'OTUBAIN DEUBIQUITYLATING PROTEASE HOMOLOG', NULL, NULL, NULL, 15),
(146692, NULL, 'PTHR31714', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146693, NULL, 'PTHR31343:SF50', NULL, NULL, NULL, NULL, 'GB|AAD11584.1', NULL, NULL, NULL, 15),
(146694, NULL, 'PTHR31201:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146695, NULL, 'PTHR11165:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146696, NULL, 'PTHR20948', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 24472, 15),
(146697, NULL, 'PTHR45729:SF4', NULL, NULL, NULL, NULL, 'RAB EFFECTOR NOC2', NULL, NULL, 27736, 15),
(146698, NULL, 'PTHR45940:SF2', NULL, NULL, NULL, NULL, 'PROTEIN WUSCHEL', NULL, NULL, NULL, 15),
(146699, NULL, 'PTHR48047:SF57', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(146700, NULL, 'PTHR11850:SF256', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE LET12 ISOFORM X1', NULL, NULL, NULL, 15),
(146701, NULL, 'PTHR13372:SF4', NULL, NULL, NULL, NULL, 'GEMININ', NULL, NULL, 25846, 15),
(146702, NULL, 'PTHR11851:SF214', NULL, NULL, NULL, NULL, 'METALLOENZYME, LUXS/M16 PEPTIDASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146703, NULL, 'PTHR26450:SF12', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(146704, NULL, 'PTHR12930:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 113B', NULL, NULL, NULL, 15),
(146705, NULL, 'PTHR18945:SF847', NULL, NULL, NULL, NULL, 'NICOTINIC ACETYLCHOLINE RECEPTOR ALPHA3, ISOFORM B', NULL, NULL, NULL, 15),
(146706, NULL, 'PTHR11017:SF327', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146707, NULL, 'PTHR47847:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146708, NULL, 'PTHR32285:SF295', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146709, NULL, 'PTHR48032:SF8', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(146710, NULL, 'PTHR31929:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146711, NULL, 'PTHR38631', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146712, NULL, 'PTHR47992:SF154', NULL, NULL, NULL, NULL, 'BNAC07G32210D PROTEIN', NULL, NULL, NULL, 15),
(146713, NULL, 'PTHR38365', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146714, NULL, 'PTHR33142:SF74', NULL, NULL, NULL, NULL, 'BNAA05G28330D PROTEIN', NULL, NULL, NULL, 15),
(146715, NULL, 'PTHR31235:SF309', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(146716, NULL, 'PTHR31852', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(146717, NULL, 'PTHR24637:SF339', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 79-RELATED', NULL, NULL, NULL, 15),
(146718, NULL, 'PTHR38636', NULL, NULL, NULL, NULL, 'PROTEIN CBG20488', NULL, NULL, NULL, 15),
(146719, NULL, 'PTHR31852:SF216', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146720, NULL, 'PTHR12506:SF56', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C3H FAMILY-RELATED', NULL, NULL, NULL, 15),
(146721, NULL, 'PTHR22883:SF213', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC22', NULL, NULL, NULL, 15),
(146722, NULL, 'PTHR31048:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146723, NULL, 'PTHR31042:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146724, NULL, 'PTHR48044:SF15', NULL, NULL, NULL, NULL, 'ZEATIN O-XYLOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(146725, NULL, 'PTHR26452:SF236', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(146726, NULL, 'PTHR47944:SF9', NULL, NULL, NULL, NULL, 'FLAVONOID 3-MONOOXYGENASE', NULL, NULL, NULL, 15),
(146727, NULL, 'PTHR43671:SF63', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK6', NULL, NULL, NULL, 15),
(146728, NULL, 'PTHR32444:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146729, NULL, 'PTHR33077:SF57', NULL, NULL, NULL, NULL, 'DIVERGENT CCT MOTIF PROTEIN', NULL, NULL, NULL, 15),
(146730, NULL, 'PTHR45747:SF7', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE MEDEA', NULL, NULL, NULL, 15),
(146731, NULL, 'PTHR10334:SF164', NULL, NULL, NULL, NULL, 'PROTEIN CBG17169', NULL, NULL, NULL, 15),
(146732, NULL, 'PTHR45959:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18-LIKE', NULL, NULL, NULL, 15),
(146733, NULL, 'PTHR45967:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR TAF-1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(146734, NULL, 'PTHR22397', NULL, NULL, NULL, NULL, 'JUNCTIONAL SARCOPLASMIC RETICULUM PROTEIN 1', NULL, NULL, 26854, 15),
(146735, NULL, 'PTHR12138:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146736, NULL, 'PTHR23201:SF52', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 13', NULL, NULL, NULL, 15),
(146737, NULL, 'PTHR21646:SF69', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(146738, NULL, 'PTHR45905:SF1', NULL, NULL, NULL, NULL, 'GOLGI-LOCALIZED, GAMMA-ADAPTIN EAR CONTAINING, ARF BINDING PROTEIN', NULL, NULL, NULL, 15),
(146739, NULL, 'PTHR12832:SF17', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 11-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(146740, NULL, 'PTHR46578', NULL, NULL, NULL, NULL, 'ARM-REPEAT/TETRATRICOPEPTIDE REPEAT (TPR)-LIKE PROTEIN', NULL, NULL, NULL, 15),
(146741, NULL, 'PTHR33469:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 1', NULL, NULL, NULL, 15),
(146742, NULL, 'PTHR33884:SF4', NULL, NULL, NULL, NULL, 'UPF0410 PROTEIN YEAQ', NULL, NULL, NULL, 15),
(146743, NULL, 'PTHR47005:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146744, NULL, 'PTHR43808', NULL, NULL, NULL, NULL, 'ACETYLORNITHINE DEACETYLASE', NULL, NULL, NULL, 15),
(146745, NULL, 'PTHR48052:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(146746, NULL, 'PTHR45660:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146747, NULL, 'PTHR31218:SF132', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(146748, NULL, 'PTHR16165:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146749, NULL, 'PTHR21362:SF1', NULL, NULL, NULL, NULL, 'ACROSIN-BINDING PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146750, NULL, 'PTHR43859:SF26', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE AND LIGASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146751, NULL, 'PTHR11923:SF99', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR (CD36 FAMILY) RELATED', NULL, NULL, NULL, 15),
(146752, NULL, 'PTHR21461:SF1', NULL, NULL, NULL, NULL, 'GH17442P', NULL, NULL, NULL, 15),
(146753, NULL, 'PTHR10535:SF15', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT 5-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(146754, NULL, 'PTHR22937:SF149', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(146755, NULL, 'PTHR15729:SF10', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN CDGAPR', NULL, NULL, NULL, 15),
(146756, NULL, 'PTHR38630', NULL, NULL, NULL, NULL, 'PROTEIN CBG12780', NULL, NULL, NULL, 15),
(146757, NULL, 'PTHR35567', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_2G13800)', NULL, NULL, NULL, 15),
(146758, NULL, 'PTHR31723:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146759, NULL, 'PTHR39430', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEASE-RELATED', NULL, NULL, NULL, 15),
(146760, NULL, 'PTHR12919', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S16', NULL, NULL, 793, 15),
(146761, NULL, 'PTHR31282:SF153', NULL, NULL, NULL, NULL, 'OS05G0233100 PROTEIN', NULL, NULL, NULL, 15),
(146762, NULL, 'PTHR33137:SF18', NULL, NULL, NULL, NULL, 'OS08G0377100 PROTEIN', NULL, NULL, NULL, 15),
(146763, NULL, 'PTHR12499:SF12', NULL, NULL, NULL, NULL, 'OS01G0753150 PROTEIN', NULL, NULL, NULL, 15),
(146764, NULL, 'PTHR12784:SF3', NULL, NULL, NULL, NULL, 'NEURON NAVIGATOR 1', NULL, NULL, NULL, 15),
(146765, NULL, 'PTHR10024:SF282', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-5', NULL, NULL, 23569, 15),
(146766, NULL, 'PTHR33799:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM SUGAR-SPECIFIC EIIB COMPONENT', NULL, NULL, NULL, 15),
(146767, NULL, 'PTHR13822:SF15', NULL, NULL, NULL, NULL, 'BNAANNG07210D PROTEIN', NULL, NULL, NULL, 15),
(146768, NULL, 'PTHR45666:SF22', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 4', NULL, NULL, NULL, 15),
(146769, NULL, 'PTHR20922:SF21', NULL, NULL, NULL, NULL, 'BNAC03G48360D PROTEIN', NULL, NULL, NULL, 15),
(146770, NULL, 'PTHR42087', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146771, NULL, 'PTHR45618:SF45', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 5', NULL, NULL, NULL, 15),
(146772, NULL, 'PTHR11736:SF86', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN C3', NULL, NULL, NULL, 15),
(146773, NULL, 'PTHR11711:SF352', NULL, NULL, NULL, NULL, 'BNAA07G03830D PROTEIN', NULL, NULL, NULL, 15),
(146774, NULL, 'PTHR32227:SF291', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(146775, NULL, 'PTHR47942:SF26', NULL, NULL, NULL, NULL, 'OS10G0363500 PROTEIN', NULL, NULL, NULL, 15),
(146776, NULL, 'PTHR35892:SF2', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN PAGN', NULL, NULL, NULL, 15),
(146777, NULL, 'PTHR11492:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR 1 C-TYPE', NULL, NULL, NULL, 15),
(146778, NULL, 'PTHR36710:SF2', NULL, NULL, NULL, NULL, 'EMB|CAB66412.1-RELATED', NULL, NULL, NULL, 15),
(146779, NULL, 'PTHR45622:SF44', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146780, NULL, 'PTHR23428:SF297', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(146781, NULL, 'PTHR43572:SF52', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPC4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(146782, NULL, 'PTHR18919:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146783, NULL, 'PTHR33065:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146784, NULL, 'PTHR44240:SF12', NULL, NULL, NULL, NULL, 'OS06G0716100 PROTEIN', NULL, NULL, NULL, 15),
(146785, NULL, 'PTHR24286:SF219', NULL, NULL, NULL, NULL, 'TAXADIENE 5-ALPHA HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(146786, NULL, 'PTHR12832:SF14', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 11 HOMOLOG', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146787, NULL, 'PTHR31529:SF49', NULL, NULL, NULL, NULL, 'BNAC04G48290D PROTEIN', NULL, NULL, NULL, 15),
(146788, NULL, 'PTHR10816:SF15', NULL, NULL, NULL, NULL, 'AGAP000874-PA', NULL, NULL, NULL, 15),
(146789, NULL, 'PTHR46732:SF6', NULL, NULL, NULL, NULL, 'PEPTIDASE S16, LON N-TERMINAL', NULL, NULL, NULL, 15),
(146790, NULL, 'PTHR31479:SF24', NULL, NULL, NULL, NULL, 'LIPASE CLASS 3-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146791, NULL, 'PTHR44846:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, GNTR FAMILY', NULL, NULL, NULL, 15),
(146792, NULL, 'PTHR12022:SF1', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE BINDING PROTEIN', NULL, NULL, NULL, 15),
(146793, NULL, 'PTHR48017:SF8', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146794, NULL, 'PTHR36944:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02791', NULL, NULL, NULL, 15),
(146795, NULL, 'PTHR10983', NULL, NULL, NULL, NULL, '1-ACYLGLYCEROL-3-PHOSPHATE ACYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(146796, NULL, 'PTHR24202:SF52', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MIB1', NULL, NULL, NULL, 15),
(146797, NULL, 'PTHR46739', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP1-1', NULL, NULL, 37187, 15),
(146798, NULL, 'PTHR34286:SF2', NULL, NULL, NULL, NULL, 'BNAA03G54340D PROTEIN', NULL, NULL, NULL, 15),
(146799, NULL, 'PTHR22883:SF320', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(146800, NULL, 'PTHR46524:SF10', NULL, NULL, NULL, NULL, 'CW-TYPE ZINC FINGER-RELATED', NULL, NULL, NULL, 15),
(146801, NULL, 'PTHR24015:SF553', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL EDITING FACTOR 21', NULL, NULL, NULL, 15),
(146802, NULL, 'PTHR11726:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146803, NULL, 'PTHR11802:SF397', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(146804, NULL, 'PTHR38746:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146805, NULL, 'PTHR32098:SF3', NULL, NULL, NULL, NULL, 'SLL0147 PROTEIN', NULL, NULL, NULL, 15),
(146806, NULL, 'PTHR46968:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700045I19', NULL, NULL, NULL, 15),
(146807, NULL, 'PTHR33257:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146808, NULL, 'PTHR11462:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-1', NULL, NULL, NULL, 15),
(146809, NULL, 'PTHR47992:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146810, NULL, 'PTHR31541:SF41', NULL, NULL, NULL, NULL, 'BNAC04G42190D PROTEIN', NULL, NULL, NULL, 15),
(146811, NULL, 'PTHR35277:SF15', NULL, NULL, NULL, NULL, 'BNAC02G11930D PROTEIN', NULL, NULL, NULL, 15),
(146812, NULL, 'PTHR21359', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35963, 15),
(146813, NULL, 'PTHR23342', NULL, NULL, NULL, NULL, 'N-ACETYLGLUTAMATE SYNTHASE', NULL, NULL, NULL, 15),
(146814, NULL, 'PTHR15036:SF15', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC067074', NULL, NULL, NULL, 15),
(146815, NULL, 'PTHR21963', NULL, NULL, NULL, NULL, 'PF6', NULL, NULL, 26819, 15),
(146816, NULL, 'PTHR11937:SF274', NULL, NULL, NULL, NULL, 'BRAHMA ASSOCIATED PROTEIN 55KD', NULL, NULL, NULL, 15),
(146817, NULL, 'PTHR33641', NULL, NULL, NULL, NULL, 'OS06G0133500 PROTEIN', NULL, NULL, NULL, 15),
(146818, NULL, 'PTHR31964:SF131', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(146819, NULL, 'PTHR31949:SF2', NULL, NULL, NULL, NULL, 'GASTRIC MUCIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(146820, NULL, 'PTHR48070:SF4', NULL, NULL, NULL, NULL, 'ESTERASE ALNB', NULL, NULL, NULL, 15),
(146821, NULL, 'PTHR10704:SF13', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 5', NULL, NULL, NULL, 15),
(146822, NULL, 'PTHR27005:SF398', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146823, NULL, 'PTHR37970:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08587', NULL, NULL, NULL, 15),
(146824, NULL, 'PTHR23167:SF44', NULL, NULL, NULL, NULL, 'MICAL-LIKE PROTEIN 1', NULL, NULL, 28910, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146825, NULL, 'PTHR10378:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR SEUSS-LIKE', NULL, NULL, NULL, 15),
(146826, NULL, 'PTHR22943:SF129', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(146827, NULL, 'PTHR23101', NULL, NULL, NULL, NULL, 'RAB GDP/GTP EXCHANGE FACTOR', NULL, NULL, 38190, 15),
(146828, NULL, 'PTHR23101:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146829, NULL, 'PTHR21456:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM102A', NULL, NULL, NULL, 15),
(146830, NULL, 'PTHR31312:SF4', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR2', NULL, NULL, NULL, 15),
(146831, NULL, 'PTHR31228:SF10', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(146832, NULL, 'PTHR46525:SF10', NULL, NULL, NULL, NULL, 'OS02G0629000 PROTEIN', NULL, NULL, NULL, 15),
(146833, NULL, 'PTHR31802:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146834, NULL, 'PTHR46195:SF18', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 19', NULL, NULL, NULL, 15),
(146835, NULL, 'PTHR11003:SF57', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 13', NULL, NULL, NULL, 15),
(146836, NULL, 'PTHR23130:SF196', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(146837, NULL, 'PTHR12313:SF65', NULL, NULL, NULL, NULL, 'OS08G0162400 PROTEIN', NULL, NULL, NULL, 15),
(146838, NULL, 'PTHR42742', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR MPRA', NULL, NULL, NULL, 15),
(146839, NULL, 'PTHR33199:SF14', NULL, NULL, NULL, NULL, 'MAC/PERFORIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(146840, NULL, 'PTHR32370:SF90', NULL, NULL, NULL, NULL, 'BNAA06G32880D PROTEIN', NULL, NULL, NULL, 15),
(146841, NULL, 'PTHR11206:SF305', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 24', NULL, NULL, NULL, 15),
(146842, NULL, 'PTHR43385', NULL, NULL, NULL, NULL, 'RIBOFLAVIN TRANSPORTER RIBJ', NULL, NULL, NULL, 15),
(146843, NULL, 'PTHR11654:SF399', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146844, NULL, 'PTHR31325:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146845, NULL, 'PTHR33101:SF53', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146846, NULL, 'PTHR43725:SF22', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE 2', NULL, NULL, NULL, 15),
(146847, NULL, 'PTHR33095:SF83', NULL, NULL, NULL, NULL, 'BNAA02G29090D PROTEIN', NULL, NULL, NULL, 15),
(146848, NULL, 'PTHR42968:SF30', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE RECEPTOR ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(146849, NULL, 'PTHR46650:SF4', NULL, NULL, NULL, NULL, 'PEROXISOMAL ADENINE NUCLEOTIDE CARRIER 1', NULL, NULL, NULL, 15),
(146850, NULL, 'PTHR47981:SF8', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(146851, NULL, 'PTHR44936:SF2', NULL, NULL, NULL, NULL, 'OSMOLARITY SENSOR PROTEIN ENVZ', NULL, NULL, NULL, 15),
(146852, NULL, 'PTHR11771:SF147', NULL, NULL, NULL, NULL, 'LINOLEATE 13S-LIPOXYGENASE 2-1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(146853, NULL, 'PTHR22955:SF63', NULL, NULL, NULL, NULL, 'PROTEIN CBG02243', NULL, NULL, NULL, 15),
(146854, NULL, 'PTHR11802:SF349', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(146855, NULL, 'PTHR45967:SF2', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 68', NULL, NULL, NULL, 15),
(146856, NULL, 'PTHR33087:SF31', NULL, NULL, NULL, NULL, 'OS03G0782100 PROTEIN', NULL, NULL, NULL, 15),
(146857, NULL, 'PTHR10309:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG19118', NULL, NULL, NULL, 15),
(146858, NULL, 'PTHR12181:SF11', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE LPIN2', NULL, NULL, NULL, 15),
(146859, NULL, 'PTHR23202:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146860, NULL, 'PTHR46342:SF1', NULL, NULL, NULL, NULL, 'ALPHA-CATULIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146861, NULL, 'PTHR31623:SF22', NULL, NULL, NULL, NULL, 'ACETYL-COA:BENZYLALCOHOL ACETYLTRANFERASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146862, NULL, 'PTHR45778:SF23', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(146863, NULL, 'PTHR42825:SF26', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(146864, NULL, 'PTHR45969:SF43', NULL, NULL, NULL, NULL, 'BNAA09G18490D PROTEIN', NULL, NULL, NULL, 15),
(146865, NULL, 'PTHR33681:SF17', NULL, NULL, NULL, NULL, 'CITRATE-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146866, NULL, 'PTHR37424', NULL, NULL, NULL, NULL, 'BACTERIOFERRITIN-ASSOCIATED FERREDOXIN', NULL, NULL, NULL, 15),
(146867, NULL, 'PTHR30411:SF4', NULL, NULL, NULL, NULL, 'YBAK/AMINOACYL-TRNA SYNTHETASE-ASSOCIATED DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(146868, NULL, 'PTHR24015:SF1924', NULL, NULL, NULL, NULL, 'OS03G0317100 PROTEIN', NULL, NULL, NULL, 15),
(146869, NULL, 'PTHR12015:SF170', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 5', NULL, NULL, NULL, 15),
(146870, NULL, 'PTHR36369:SF6', NULL, NULL, NULL, NULL, 'BNAA02G05080D PROTEIN', NULL, NULL, NULL, 15),
(146871, NULL, 'PTHR43539:SF42', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(146872, NULL, 'PTHR10179:SF42', NULL, NULL, NULL, NULL, 'INTERLEUKIN-8', NULL, NULL, 25520, 15),
(146873, NULL, 'PTHR46898:SF5', NULL, NULL, NULL, NULL, 'BNAC09G42600D PROTEIN', NULL, NULL, NULL, 15),
(146874, NULL, 'PTHR45855:SF48', NULL, NULL, NULL, NULL, 'BNAA09G39670D PROTEIN', NULL, NULL, NULL, 15),
(146875, NULL, 'PTHR11711:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146876, NULL, 'PTHR11537:SF38', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY V MEMBER 1', NULL, NULL, 7305, 15),
(146877, NULL, 'PTHR21646:SF10', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(146878, NULL, 'PTHR21700:SF6', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(146879, NULL, 'PTHR11260:SF505', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE6', NULL, NULL, NULL, 15),
(146880, NULL, 'PTHR23257:SF857', NULL, NULL, NULL, NULL, 'STRESS-ACTIVATED PROTEIN KINASE ALPHA', NULL, NULL, NULL, 15),
(146881, NULL, 'PTHR47926:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146882, NULL, 'PTHR23355:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146883, NULL, 'PTHR24040:SF5', NULL, NULL, NULL, NULL, 'FIBROPELLIN-1', NULL, NULL, NULL, 15),
(146884, NULL, 'PTHR43416:SF8', NULL, NULL, NULL, NULL, 'LIPOAMIDE ACYLTRANSFERASE COMPONENT OF BRANCHED-CHAIN ALPHA-KETO ACID DEHYDROGENASE COMPLEX', NULL, NULL, NULL, 15),
(146885, NULL, 'PTHR10739:SF20', NULL, NULL, NULL, NULL, 'CHOLINE-PHOSPHATE CYTIDYLYLTRANSFERASE B', NULL, NULL, NULL, 15),
(146886, NULL, 'PTHR22935:SF95', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(146887, NULL, 'PTHR33783:SF6', NULL, NULL, NULL, NULL, 'PROTEIN HAIKU1', NULL, NULL, NULL, 15),
(146888, NULL, 'PTHR46189:SF2', NULL, NULL, NULL, NULL, 'WD REPEAT AND FYVE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(146889, NULL, 'PTHR48017:SF73', NULL, NULL, NULL, NULL, 'PROLINE TRANSPORTER 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(146890, NULL, 'PTHR10048:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146891, NULL, 'PTHR13045:SF11', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE', NULL, NULL, NULL, 15),
(146892, NULL, 'PTHR35457:SF1', NULL, NULL, NULL, NULL, 'HEME A SYNTHASE', NULL, NULL, NULL, 15),
(146893, NULL, 'PTHR24012:SF739', NULL, NULL, NULL, NULL, 'CUGBP ELAV-LIKE FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(146894, NULL, 'PTHR10906:SF32', NULL, NULL, NULL, NULL, 'SECY PROTEIN TRANSPORT FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146895, NULL, 'PTHR24340:SF85', NULL, NULL, NULL, NULL, 'NK HOMEOBOX 4', NULL, NULL, NULL, 15),
(146896, NULL, 'PTHR31989:SF332', NULL, NULL, NULL, NULL, 'BNAC05G01030D PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146897, NULL, 'PTHR24103:SF634', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146898, NULL, 'PTHR34376', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, KAZAL-TYPE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146899, NULL, 'PTHR10137:SF0', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C', NULL, NULL, NULL, 15),
(146900, NULL, 'PTHR24012:SF836', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146901, NULL, 'PTHR45657:SF19', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH2', NULL, NULL, NULL, 15),
(146902, NULL, 'PTHR37309', NULL, NULL, NULL, NULL, 'SLR0284 PROTEIN', NULL, NULL, 215, 15),
(146903, NULL, 'PTHR31496:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146904, NULL, 'PTHR24169:SF21', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR NF-KAPPA-B P100 SUBUNIT', NULL, NULL, 22865, 15),
(146905, NULL, 'PTHR47345:SF1', NULL, NULL, NULL, NULL, 'CUT9-INTERACTING PROTEIN SCN1', NULL, NULL, NULL, 15),
(146906, NULL, 'PTHR45644:SF23', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 1-A-LIKE ISOFORM X2', NULL, NULL, NULL, 15),
(146907, NULL, 'PTHR34598:SF3', NULL, NULL, NULL, NULL, 'BLL6449 PROTEIN', NULL, NULL, NULL, 15),
(146908, NULL, 'PTHR24096:SF338', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 8-RELATED', NULL, NULL, NULL, 15),
(146909, NULL, 'PTHR45237:SF2', NULL, NULL, NULL, NULL, 'POSSIBLE PARA-NITROBENZYL ESTERASE', NULL, NULL, NULL, 15),
(146910, NULL, 'PTHR24221:SF547', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 27', NULL, NULL, NULL, 15),
(146911, NULL, 'PTHR46859:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE FRAGILE-X-F-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(146912, NULL, 'PTHR10788:SF87', NULL, NULL, NULL, NULL, 'OS05G0517200 PROTEIN', NULL, NULL, NULL, 15),
(146913, NULL, 'PTHR23261:SF71', NULL, NULL, NULL, NULL, 'GROUND-LIKE (GRD RELATED)', NULL, NULL, NULL, 15),
(146914, NULL, 'PTHR23421:SF158', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(146915, NULL, 'PTHR24235:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR NPR-8-RELATED', NULL, NULL, NULL, 15),
(146916, NULL, 'PTHR19282:SF40', NULL, NULL, NULL, NULL, 'TETRASPANIN-4', NULL, NULL, NULL, 15),
(146917, NULL, 'PTHR34376:SF8', NULL, NULL, NULL, NULL, 'ENDOPEPTIDASE INHIBITOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146918, NULL, 'PTHR33512:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146919, NULL, 'PTHR23326:SF19', NULL, NULL, NULL, NULL, 'NOT2/NOT3/NOT5-RELATED', NULL, NULL, NULL, 15),
(146920, NULL, 'PTHR10015:SF377', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-5', NULL, NULL, NULL, 15),
(146921, NULL, 'PTHR23411:SF10', NULL, NULL, NULL, NULL, 'IG GAMMA-2A CHAIN C REGION SECRETED FORM-RELATED', NULL, NULL, NULL, 15),
(146922, NULL, 'PTHR11712', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE-RELATED', NULL, NULL, 4625, 15),
(146923, NULL, 'PTHR47932:SF38', NULL, NULL, NULL, NULL, 'OS08G0290000 PROTEIN', NULL, NULL, NULL, 15),
(146924, NULL, 'PTHR31342:SF10', NULL, NULL, NULL, NULL, 'CHUP1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(146925, NULL, 'PTHR31669:SF185', NULL, NULL, NULL, NULL, 'FAR1-RELATED SEQUENCE 10 ISOFORM 1', NULL, NULL, NULL, 15),
(146926, NULL, 'PTHR33448:SF4', NULL, NULL, NULL, NULL, 'CHLOROPLAST PROTEIN HCF243', NULL, NULL, NULL, 15),
(146927, NULL, 'PTHR45648:SF95', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(146928, NULL, 'PTHR46011:SF16', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(146929, NULL, 'PTHR10177:SF449', NULL, NULL, NULL, NULL, 'CYCLIN-A3-1-RELATED', NULL, NULL, NULL, 15),
(146930, NULL, 'PTHR45714:SF38', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT2', NULL, NULL, NULL, 15),
(146931, NULL, 'PTHR19964:SF79', NULL, NULL, NULL, NULL, 'INACTIVATION-NO-AFTER-POTENTIAL D PROTEIN', NULL, NULL, NULL, 15),
(146932, NULL, 'PTHR15184:SF67', NULL, NULL, NULL, NULL, 'FLAGELLUM-SPECIFIC ATP SYNTHASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146933, NULL, 'PTHR23430:SF130', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 2-C', NULL, NULL, NULL, 15),
(146934, NULL, 'PTHR30094:SF12', NULL, NULL, NULL, NULL, 'SYNTHETASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146935, NULL, 'PTHR23420:SF12', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', NULL, NULL, NULL, 15),
(146936, NULL, 'PTHR13286:SF6', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP30L', NULL, NULL, NULL, 15),
(146937, NULL, 'PTHR10353:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146938, NULL, 'PTHR10872', NULL, NULL, NULL, NULL, 'SH2B ADAPTER PROTEIN', NULL, NULL, 26324, 15),
(146939, NULL, 'PTHR24056:SF485', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE G-2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(146940, NULL, 'PTHR43434', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE', NULL, NULL, NULL, 15),
(146941, NULL, 'PTHR31180:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC691162', NULL, NULL, NULL, 15),
(146942, NULL, 'PTHR42765', NULL, NULL, NULL, NULL, 'SOLEUCYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(146943, NULL, 'PTHR24148:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146944, NULL, 'PTHR21592:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG14943', NULL, NULL, NULL, 15),
(146945, NULL, 'PTHR23241:SF104', NULL, NULL, NULL, NULL, 'XANTHOCILLIN BIOSYNTHESIS CLUSTER PROTEIN D', NULL, NULL, NULL, 15),
(146946, NULL, 'PTHR32099:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146947, NULL, 'PTHR45684:SF13', NULL, NULL, NULL, NULL, 'PROTEIN SAR1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(146948, NULL, 'PTHR48017:SF95', NULL, NULL, NULL, NULL, 'BNAA08G03720D PROTEIN', NULL, NULL, NULL, 15),
(146949, NULL, 'PTHR27002:SF355', NULL, NULL, NULL, NULL, 'OS09G0551500 PROTEIN', NULL, NULL, NULL, 15),
(146950, NULL, 'PTHR33127:SF53', NULL, NULL, NULL, NULL, 'OS06G0702200 PROTEIN', NULL, NULL, NULL, 15),
(146951, NULL, 'PTHR13301:SF193', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', NULL, NULL, NULL, 15),
(146952, NULL, 'PTHR11843:SF11', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15),
(146953, NULL, 'PTHR47967:SF52', NULL, NULL, NULL, NULL, 'BNAA01G23590D PROTEIN', NULL, NULL, NULL, 15),
(146954, NULL, 'PTHR47528', NULL, NULL, NULL, NULL, 'PARALEMMIN-3', NULL, NULL, 11516, 15),
(146955, NULL, 'PTHR10352:SF33', NULL, NULL, NULL, NULL, 'OS12G0606300 PROTEIN', NULL, NULL, NULL, 15),
(146956, NULL, 'PTHR24251:SF13', NULL, NULL, NULL, NULL, 'AGAP010547-PA', NULL, NULL, NULL, 15),
(146957, NULL, 'PTHR21426:SF17', NULL, NULL, NULL, NULL, 'OS07G0200000 PROTEIN', NULL, NULL, NULL, 15),
(146958, NULL, 'PTHR11662:SF421', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', NULL, NULL, NULL, 15),
(146959, NULL, 'PTHR10953:SF213', NULL, NULL, NULL, NULL, 'SUMO-ACTIVATING ENZYME SUBUNIT 1B-1-LIKE', NULL, NULL, NULL, 15),
(146960, NULL, 'PTHR42877:SF10', NULL, NULL, NULL, NULL, 'MONOOXYGENASE', NULL, NULL, NULL, 15),
(146961, NULL, 'PTHR43358', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASE', NULL, NULL, NULL, 15),
(146962, NULL, 'PTHR31182:SF14', NULL, NULL, NULL, NULL, 'CHAPERONE-RELATED', NULL, NULL, NULL, 15),
(146963, NULL, 'PTHR10272:SF13', NULL, NULL, NULL, NULL, 'SLR1506 PROTEIN', NULL, NULL, NULL, 15),
(146964, NULL, 'PTHR31373:SF20', NULL, NULL, NULL, NULL, 'OS09G0499400 PROTEIN', NULL, NULL, NULL, 15),
(146965, NULL, 'PTHR12386:SF38', NULL, NULL, NULL, NULL, 'ATP SYNTHASE G SUBUNIT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(146966, NULL, 'PTHR31985:SF180', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF039-LIKE', NULL, NULL, NULL, 15),
(146967, NULL, 'PTHR12570:SF5', NULL, NULL, NULL, NULL, 'DUF803 DOMAIN MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_2G07880)', NULL, NULL, NULL, 15),
(146968, NULL, 'PTHR40707', NULL, NULL, NULL, NULL, 'POSSIBLE NUCLEASE OF RNASE H FOLD, RUVC/YQGF FAMILY', NULL, NULL, 3525, 15),
(146969, NULL, 'PTHR23036:SF167', NULL, NULL, NULL, NULL, 'INTERLEUKIN-27 SUBUNIT BETA', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(146970, NULL, 'PTHR38471', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 10615, 15),
(146971, NULL, 'PTHR21576:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(146972, NULL, 'PTHR47162:SF2', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(146973, NULL, 'PTHR31798:SF9', NULL, NULL, NULL, NULL, 'BNAA03G47560D PROTEIN', NULL, NULL, NULL, 15),
(146974, NULL, 'PTHR11161:SF52', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(146975, NULL, 'PTHR11064:SF115', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-9', NULL, NULL, NULL, 15),
(146976, NULL, 'PTHR24373:SF274', NULL, NULL, NULL, NULL, 'RETICULON-4 RECEPTOR-LIKE 1', NULL, NULL, NULL, 15),
(146977, NULL, 'PTHR33048:SF57', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_4G00600)', NULL, NULL, NULL, 15),
(146978, NULL, 'PTHR10201:SF273', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-C', NULL, NULL, NULL, 15),
(146979, NULL, 'PTHR47982:SF56', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 2B, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(146980, NULL, 'PTHR12400:SF48', NULL, NULL, NULL, NULL, 'KINASE', NULL, NULL, NULL, 15),
(146981, NULL, 'PTHR10543:SF121', NULL, NULL, NULL, NULL, 'CAROTENOID 9,10(9'',10'')-CLEAVAGE DIOXYGENASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(146982, NULL, 'PTHR46626:SF8', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B18', NULL, NULL, NULL, 15),
(146983, NULL, 'PTHR34567:SF10', NULL, NULL, NULL, NULL, 'OS11G0140900 PROTEIN', NULL, NULL, NULL, 15),
(146984, NULL, 'PTHR45978:SF3', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(146985, NULL, 'PTHR45743:SF40', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, VOLTAGE-DEPENDENT, EAG/ELK/ERG-RELATED', NULL, NULL, NULL, 15),
(146986, NULL, 'PTHR23201:SF62', NULL, NULL, NULL, NULL, 'PEAMACLEIN-LIKE', NULL, NULL, NULL, 15),
(146987, NULL, 'PTHR36485', NULL, NULL, NULL, NULL, 'OS01G0939000 PROTEIN', NULL, NULL, NULL, 15),
(146988, NULL, 'PTHR32370:SF12', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESOPONSIVE NPH3 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(146989, NULL, 'PTHR15241:SF303', NULL, NULL, NULL, NULL, '33 KDA RIBONUCLEOPROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(146990, NULL, 'PTHR43002:SF7', NULL, NULL, NULL, NULL, 'BNAA08G27420D PROTEIN', NULL, NULL, NULL, 15),
(146991, NULL, 'PTHR18929:SF60', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', NULL, NULL, NULL, 15),
(146992, NULL, 'PTHR21371:SF21', NULL, NULL, NULL, NULL, 'KETOL-ACID REDUCTOISOMERASE', NULL, NULL, NULL, 15),
(146993, NULL, 'PTHR35717:SF1', NULL, NULL, NULL, NULL, 'OS05G0156200 PROTEIN', NULL, NULL, NULL, 15),
(146994, NULL, 'PTHR12652:SF48', NULL, NULL, NULL, NULL, 'BNAA03G56960D PROTEIN', NULL, NULL, NULL, 15),
(146995, NULL, 'PTHR42783', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE [NADPH] SMALL CHAIN', NULL, NULL, NULL, 15),
(146996, NULL, 'PTHR16742:SF1', NULL, NULL, NULL, NULL, 'CYLICIN-1', NULL, NULL, NULL, 15),
(146997, NULL, 'PTHR27007:SF369', NULL, NULL, NULL, NULL, 'BNAA09G00780D PROTEIN', NULL, NULL, NULL, 15),
(146998, NULL, 'PTHR24250:SF54', NULL, NULL, NULL, NULL, 'ZGC:112160', NULL, NULL, NULL, 15),
(146999, NULL, 'PTHR11132:SF340', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(147000, NULL, 'PTHR47555:SF2', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINYL TRANSFERASE COMPONENT FAMILY PROTEIN / GPI1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(147001, NULL, 'PTHR10138:SF2', NULL, NULL, NULL, NULL, 'TRYPTOPHAN 2,3-DIOXYGENASE A', NULL, NULL, NULL, 15),
(147002, NULL, 'PTHR12864:SF59', NULL, NULL, NULL, NULL, 'BNAA05G18240D PROTEIN', NULL, NULL, NULL, 15),
(147003, NULL, 'PTHR12570:SF58', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(147004, NULL, 'PTHR32448:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147005, NULL, 'PTHR19136', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR GUANYLYLTRANSFERASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147006, NULL, 'PTHR24096:SF378', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 7', NULL, NULL, NULL, 15),
(147007, NULL, 'PTHR30204:SF73', NULL, NULL, NULL, NULL, 'HEAVY METAL-DEPENDENT TRANSCRIPTIONAL REGULATOR HI_0293-RELATED', NULL, NULL, NULL, 15),
(147008, NULL, 'PTHR34658:SF5', NULL, NULL, NULL, NULL, 'BNACNNG38900D PROTEIN', NULL, NULL, NULL, 15),
(147009, NULL, 'PTHR23351:SF13', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER TRANSCRIPTIONAL FACTOR ATF-LIKE 3', NULL, NULL, 22536, 15),
(147010, NULL, 'PTHR31301:SF125', NULL, NULL, NULL, NULL, 'BNAA06G38340D PROTEIN', NULL, NULL, NULL, 15),
(147011, NULL, 'PTHR31351:SF17', NULL, NULL, NULL, NULL, 'AUXIN CANALIZATION PROTEIN', NULL, NULL, NULL, 15),
(147012, NULL, 'PTHR42893:SF18', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(147013, NULL, 'PTHR11082', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(147014, NULL, 'PTHR24173:SF29', NULL, NULL, NULL, NULL, 'PHOTORECEPTOR ANKYRIN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(147015, NULL, 'PTHR11977:SF94', NULL, NULL, NULL, NULL, 'SEVERIN', NULL, NULL, NULL, 15),
(147016, NULL, 'PTHR44379:SF8', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE IRON-SULFUR-BINDING SUBUNIT XDHC-RELATED', NULL, NULL, NULL, 15),
(147017, NULL, 'PTHR10315:SF123', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINAT2-LIKE', NULL, NULL, NULL, 15),
(147018, NULL, 'PTHR47980:SF25', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABE1C', NULL, NULL, NULL, 15),
(147019, NULL, 'PTHR12570:SF16', NULL, NULL, NULL, NULL, 'NIPA-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(147020, NULL, 'PTHR23086:SF105', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE, TYPE I, BETA', NULL, NULL, NULL, 15),
(147021, NULL, 'PTHR22952:SF425', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147022, NULL, 'PTHR12863:SF10', NULL, NULL, NULL, NULL, 'OS12G0628400 PROTEIN', NULL, NULL, NULL, 15),
(147023, NULL, 'PTHR21737:SF4', NULL, NULL, NULL, NULL, 'CACTIN', NULL, NULL, NULL, 15),
(147024, NULL, 'PTHR34587:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147025, NULL, 'PTHR18945:SF844', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID TYPE A RECEPTOR BETA1 SUBUNIT', NULL, NULL, NULL, 15),
(147026, NULL, 'PTHR12507:SF4', NULL, NULL, NULL, NULL, 'BNAANNG31920D PROTEIN', NULL, NULL, NULL, 15),
(147027, NULL, 'PTHR37155:SF2', NULL, NULL, NULL, NULL, 'MUCIN 26B', NULL, NULL, NULL, 15),
(147028, NULL, 'PTHR33548:SF5', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(147029, NULL, 'PTHR10791:SF51', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 13', NULL, NULL, NULL, 15),
(147030, NULL, 'PTHR33433:SF27', NULL, NULL, NULL, NULL, 'BNAA08G12520D PROTEIN', NULL, NULL, NULL, 15),
(147031, NULL, 'PTHR31696:SF73', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(147032, NULL, 'PTHR38382:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(147033, NULL, 'PTHR31284:SF36', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1-RELATED', NULL, NULL, NULL, 15),
(147034, NULL, 'PTHR35923:SF3', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(147035, NULL, 'PTHR24099', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM36-RELATED', NULL, NULL, NULL, 15),
(147036, NULL, 'PTHR13479:SF55', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN S18A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(147037, NULL, 'PTHR10390:SF31', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX3', NULL, NULL, 27308, 15),
(147038, NULL, 'PTHR10510:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A-RELATED PROTEIN, MITOCHONDRIAL', NULL, NULL, 16214, 15),
(147039, NULL, 'PTHR11461:SF323', NULL, NULL, NULL, NULL, 'OVALBUMIN ISOFORM X1', NULL, NULL, NULL, 15),
(147040, NULL, 'PTHR13345:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 10', NULL, NULL, NULL, 15),
(147041, NULL, 'PTHR23340:SF2', NULL, NULL, NULL, NULL, 'SURP AND G-PATCH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147042, NULL, 'PTHR33673:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147043, NULL, 'PTHR47998:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB23', NULL, NULL, NULL, 15),
(147044, NULL, 'PTHR44068:SF4', NULL, NULL, NULL, NULL, 'S-ADENOSYL-METHIONINE-STEROL-C-METHYLTRANSFERAS (AFU_ORTHOLOGUE AFUA_4G09190)', NULL, NULL, NULL, 15),
(147045, NULL, 'PTHR44390:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 41 KDA', NULL, NULL, NULL, 15),
(147046, NULL, 'PTHR12863', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROXYLASE', NULL, NULL, 7833, 15),
(147047, NULL, 'PTHR11802:SF335', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147048, NULL, 'PTHR24264:SF10', NULL, NULL, NULL, NULL, 'MCG124046-RELATED', NULL, NULL, NULL, 15),
(147049, NULL, 'PTHR47991:SF41', NULL, NULL, NULL, NULL, 'CODEINE O-DEMETHYLASE-RELATED', NULL, NULL, NULL, 15),
(147050, NULL, 'PTHR48021:SF8', NULL, NULL, NULL, NULL, 'BNACNNG06500D PROTEIN', NULL, NULL, NULL, 15),
(147051, NULL, 'PTHR12634:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY SUBUNIT 1', NULL, NULL, NULL, 15),
(147052, NULL, 'PTHR16201:SF11', NULL, NULL, NULL, NULL, 'PQ LOOP REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_3G10470)', NULL, NULL, NULL, 15),
(147053, NULL, 'PTHR44252', NULL, NULL, NULL, NULL, 'D-ERYTHRULOSE REDUCTASE', NULL, NULL, NULL, 15),
(147054, NULL, 'PTHR43545:SF5', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE, NITRATE-INDUCIBLE, IRON-SULFUR SUBUNIT', NULL, NULL, NULL, 15),
(147055, NULL, 'PTHR31790:SF137', NULL, NULL, NULL, NULL, 'AND ASSOCIATED INTERACTION DOMAINS-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147056, NULL, 'PTHR10183:SF408', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147057, NULL, 'PTHR46419', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD5', NULL, NULL, 37409, 15),
(147058, NULL, 'PTHR11703:SF3', NULL, NULL, NULL, NULL, 'DEOXYHYPUSINE SYNTHASE', NULL, NULL, NULL, 15),
(147059, NULL, 'PTHR39603', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147060, NULL, 'PTHR24412:SF417', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147061, NULL, 'PTHR31623:SF54', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', NULL, NULL, NULL, 15),
(147062, NULL, 'PTHR31852:SF186', NULL, NULL, NULL, NULL, 'DELTA-LATROINSECTOTOXIN-LT1A PROTEIN', NULL, NULL, NULL, 15),
(147063, NULL, 'PTHR43345:SF7', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE SMALL SUBUNIT 1', NULL, NULL, NULL, 15),
(147064, NULL, 'PTHR22765:SF153', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE RIN2', NULL, NULL, NULL, 15),
(147065, NULL, 'PTHR20930:SF2', NULL, NULL, NULL, NULL, 'NEXT TO BRCA1 GENE 1 PROTEIN', NULL, NULL, 31909, 15),
(147066, NULL, 'PTHR23309:SF31', NULL, NULL, NULL, NULL, 'GLYOXYSOMAL FATTY ACID BETA-OXIDATION MULTIFUNCTIONAL PROTEIN MFP-A-LIKE', NULL, NULL, NULL, 15),
(147067, NULL, 'PTHR42933:SF1', NULL, NULL, NULL, NULL, 'TYPE I SITE-SPECIFIC DEOXYRIBONUCLEASE', NULL, NULL, NULL, 15),
(147068, NULL, 'PTHR35726', NULL, NULL, NULL, NULL, 'GLUTAMIC ACID-RICH PROTEIN-LIKE', NULL, NULL, NULL, 15),
(147069, NULL, 'PTHR19430:SF4', NULL, NULL, NULL, NULL, 'PROTEIN BEX1', NULL, NULL, NULL, 15),
(147070, NULL, 'PTHR43321:SF15', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(147071, NULL, 'PTHR45826:SF16', NULL, NULL, NULL, NULL, 'BNAA09G24860D PROTEIN', NULL, NULL, NULL, 15),
(147072, NULL, 'PTHR47988:SF14', NULL, NULL, NULL, NULL, 'SOMATIC EMBRYOGENESIS RECEPTOR KINASE 2-LIKE', NULL, NULL, NULL, 15),
(147073, NULL, 'PTHR43337:SF5', NULL, NULL, NULL, NULL, 'GUANINE/HYPOXANTHINE PERMEASE GHXP', NULL, NULL, NULL, 15),
(147074, NULL, 'PTHR13691:SF55', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(147075, NULL, 'PTHR10676:SF361', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 8, AXONEMAL', NULL, NULL, NULL, 15),
(147076, NULL, 'PTHR31674:SF55', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM14-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147077, NULL, 'PTHR15341:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147078, NULL, 'PTHR35550:SF2', NULL, NULL, NULL, NULL, 'OS05G0401200 PROTEIN', NULL, NULL, NULL, 15),
(147079, NULL, 'PTHR31657:SF18', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(147080, NULL, 'PTHR46284:SF6', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(147081, NULL, 'PTHR11315:SF15', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL HYDROLASE 1', NULL, NULL, NULL, 15),
(147082, NULL, 'PTHR45676:SF75', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL60-LIKE', NULL, NULL, NULL, 15),
(147083, NULL, 'PTHR45665:SF11', NULL, NULL, NULL, NULL, 'AQUAPORIN 8A, TANDEM DUPLICATE 2-RELATED', NULL, NULL, NULL, 15),
(147084, NULL, 'PTHR33463:SF68', NULL, NULL, NULL, NULL, 'RPP4C4', NULL, NULL, NULL, 15),
(147085, NULL, 'PTHR18921:SF3', NULL, NULL, NULL, NULL, 'VESICLE TETHERING-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147086, NULL, 'PTHR24072:SF351', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147087, NULL, 'PTHR12305:SF93', NULL, NULL, NULL, NULL, 'BNAC03G16750D PROTEIN', NULL, NULL, NULL, 15),
(147088, NULL, 'PTHR37456', NULL, NULL, NULL, NULL, 'SI:CH211-266K2.1', NULL, NULL, NULL, 15),
(147089, NULL, 'PTHR18881', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 36282, 15),
(147090, NULL, 'PTHR15169', NULL, NULL, NULL, NULL, 'DAMAGE-SPECIFIC DNA BINDING PROTEIN 2', NULL, NULL, 36378, 15),
(147091, NULL, 'PTHR20931:SF3', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 30A', NULL, NULL, NULL, 15),
(147092, NULL, 'PTHR10687:SF47', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 3', NULL, NULL, NULL, 15),
(147093, NULL, 'PTHR34481:SF12', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE/TRYPSIN INHIBITOR CM2', NULL, NULL, NULL, 15),
(147094, NULL, 'PTHR33592', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147095, NULL, 'PTHR13371:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG00537', NULL, NULL, NULL, 15),
(147096, NULL, 'PTHR23079:SF38', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(147097, NULL, 'PTHR14150:SF16', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 14 HOMOLOG C', NULL, NULL, NULL, 15),
(147098, NULL, 'PTHR46059:SF2', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDE ALPHA-2,6-SIALYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(147099, NULL, 'PTHR23248:SF38', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE 1', NULL, NULL, NULL, 15),
(147100, NULL, 'PTHR11654:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147101, NULL, 'PTHR43670:SF81', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(147102, NULL, 'PTHR12872:SF3', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGLUCOSAMINIDASE', NULL, NULL, NULL, 15),
(147103, NULL, 'PTHR11818:SF21', NULL, NULL, NULL, NULL, 'CRYSTALLIN, BETA B1,-LIKE 3', NULL, NULL, NULL, 15),
(147104, NULL, 'PTHR27004:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147105, NULL, 'PTHR37938', NULL, NULL, NULL, NULL, 'BLL0215 PROTEIN', NULL, NULL, NULL, 15),
(147106, NULL, 'PTHR10791:SF190', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(147107, NULL, 'PTHR42266:SF1', NULL, NULL, NULL, NULL, 'GIM5B PROTEIN', NULL, NULL, NULL, 15),
(147108, NULL, 'PTHR23024:SF239', NULL, NULL, NULL, NULL, 'MCG67716', NULL, NULL, NULL, 15),
(147109, NULL, 'PTHR45878:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP6-LIKE', NULL, NULL, NULL, 15),
(147110, NULL, 'PTHR10316', NULL, NULL, NULL, NULL, 'MEMBRANE ASSOCIATED GUANYLATE KINASE-RELATED', NULL, NULL, NULL, 15),
(147111, NULL, 'PTHR12642:SF3', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NSA2 HOMOLOG', NULL, NULL, NULL, 15),
(147112, NULL, 'PTHR31503:SF61', NULL, NULL, NULL, NULL, 'BNAC06G06210D PROTEIN', NULL, NULL, NULL, 15),
(147113, NULL, 'PTHR11451:SF52', NULL, NULL, NULL, NULL, 'BNAA09G44770D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147114, NULL, 'PTHR21737', NULL, NULL, NULL, NULL, 'POLYGLUTAMINE BINDING PROTEIN 1/MARVEL  MEMBRANE-ASSOCIATING  DOMAIN CONTAINING 3', NULL, NULL, NULL, 15),
(147115, NULL, 'PTHR14256:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147116, NULL, 'PTHR21495:SF186', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(147117, NULL, 'PTHR47021:SF3', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD7', NULL, NULL, NULL, 15),
(147118, NULL, 'PTHR14948:SF21', NULL, NULL, NULL, NULL, 'PROLINE-RICH TRANSMEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(147119, NULL, 'PTHR32410:SF157', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(147120, NULL, 'PTHR46333', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147121, NULL, 'PTHR21713:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147122, NULL, 'PTHR34156:SF4', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147123, NULL, 'PTHR33070:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147124, NULL, 'PTHR23236:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147125, NULL, 'PTHR45715:SF7', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E 2', NULL, NULL, NULL, 15),
(147126, NULL, 'PTHR33640:SF12', NULL, NULL, NULL, NULL, 'OS01G0632000 PROTEIN', NULL, NULL, NULL, 15),
(147127, NULL, 'PTHR45966:SF27', NULL, NULL, NULL, NULL, 'BNAA06G01420D PROTEIN', NULL, NULL, NULL, 15),
(147128, NULL, 'PTHR11347:SF196', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(147129, NULL, 'PTHR46116:SF30', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME/RWD-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147130, NULL, 'PTHR22847:SF669', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147131, NULL, 'PTHR14363:SF39', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 79-RELATED', NULL, NULL, NULL, 15),
(147132, NULL, 'PTHR11527:SF331', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(147133, NULL, 'PTHR31707:SF177', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(147134, NULL, 'PTHR40627:SF2', NULL, NULL, NULL, NULL, 'XANTHONE PRENYLTRANSFERASE A-RELATED', NULL, NULL, NULL, 15),
(147135, NULL, 'PTHR47990:SF140', NULL, NULL, NULL, NULL, 'BNAC04G02480D PROTEIN', NULL, NULL, NULL, 15),
(147136, NULL, 'PTHR47925:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147137, NULL, 'PTHR12442:SF34', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 1 INTERMEDIATE CHAIN 1', NULL, NULL, NULL, 15),
(147138, NULL, 'PTHR42825:SF19', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE 7-RELATED', NULL, NULL, NULL, 15),
(147139, NULL, 'PTHR11132:SF314', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER 4', NULL, NULL, NULL, 15),
(147140, NULL, 'PTHR43441:SF5', NULL, NULL, NULL, NULL, 'FAMILY ACETYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147141, NULL, 'PTHR22904:SF526', NULL, NULL, NULL, NULL, 'HSP70-HSP90 ORGANIZING PROTEIN 3', NULL, NULL, NULL, 15),
(147142, NULL, 'PTHR35516:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147143, NULL, 'PTHR37525:SF1', NULL, NULL, NULL, NULL, 'UPF0175 PROTEIN SSL1255', NULL, NULL, NULL, 15),
(147144, NULL, 'PTHR45897:SF4', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY CHOLINE TRANSPORTER 1', NULL, NULL, NULL, 15),
(147145, NULL, 'PTHR12817:SF6', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 6A-RELATED', NULL, NULL, NULL, 15),
(147146, NULL, 'PTHR34122:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(147147, NULL, 'PTHR16675:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147148, NULL, 'PTHR30465:SF45', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEMS INNER MEMBRANE COMPONENT', NULL, NULL, NULL, 15),
(147149, NULL, 'PTHR42678:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147150, NULL, 'PTHR32227:SF377', NULL, NULL, NULL, NULL, 'BNAC03G74070D PROTEIN', NULL, NULL, NULL, 15),
(147151, NULL, 'PTHR12128:SF24', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE SYNTHETASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G11920)', NULL, NULL, NULL, 15),
(147152, NULL, 'PTHR23257:SF880', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147153, NULL, 'PTHR43706:SF22', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE B2', NULL, NULL, NULL, 15),
(147154, NULL, 'PTHR11012', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(147155, NULL, 'PTHR12137:SF7', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 8', NULL, NULL, NULL, 15),
(147156, NULL, 'PTHR11558:SF48', NULL, NULL, NULL, NULL, 'BNAA10G06470D PROTEIN', NULL, NULL, NULL, 15),
(147157, NULL, 'PTHR24056:SF164', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 21', NULL, NULL, NULL, 15),
(147158, NULL, 'PTHR12458:SF7', NULL, NULL, NULL, NULL, 'ZGC:162324', NULL, NULL, 24067, 15),
(147159, NULL, 'PTHR31304:SF35', NULL, NULL, NULL, NULL, 'BNAA07G37360D PROTEIN', NULL, NULL, NULL, 15),
(147160, NULL, 'PTHR24072:SF306', NULL, NULL, NULL, NULL, 'AT17867P', NULL, NULL, NULL, 15),
(147161, NULL, 'PTHR46044:SF4', NULL, NULL, NULL, NULL, 'CYANIDE HYDRATASE', NULL, NULL, NULL, 15),
(147162, NULL, 'PTHR47972:SF33', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14O', NULL, NULL, NULL, 15),
(147163, NULL, 'PTHR19303:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147164, NULL, 'PTHR45811:SF17', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(147165, NULL, 'PTHR11089:SF36', NULL, NULL, NULL, NULL, 'BNACNNG52210D PROTEIN', NULL, NULL, NULL, 15),
(147166, NULL, 'PTHR43200:SF4', NULL, NULL, NULL, NULL, 'PAP-SPECIFIC PHOSPHATASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(147167, NULL, 'PTHR24238:SF54', NULL, NULL, NULL, NULL, 'TACHYKININ RECEPTOR 3', NULL, NULL, NULL, 15),
(147168, NULL, 'PTHR10366:SF627', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(147169, NULL, 'PTHR46772:SF10', NULL, NULL, NULL, NULL, 'BNAA05G16020D PROTEIN', NULL, NULL, NULL, 15),
(147170, NULL, 'PTHR22930:SF151', NULL, NULL, NULL, NULL, 'OS05G0593000 PROTEIN', NULL, NULL, NULL, 15),
(147171, NULL, 'PTHR11772:SF16', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING] 1', NULL, NULL, NULL, 15),
(147172, NULL, 'PTHR23500:SF551', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 8-LIKE', NULL, NULL, NULL, 15),
(147173, NULL, 'PTHR47993:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147174, NULL, 'PTHR31157:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147175, NULL, 'PTHR12560:SF54', NULL, NULL, NULL, NULL, 'BNAA08G19630D PROTEIN', NULL, NULL, NULL, 15),
(147176, NULL, 'PTHR34269:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR B3-DOMAIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(147177, NULL, 'PTHR10791:SF68', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET5', NULL, NULL, NULL, 15),
(147178, NULL, 'PTHR28593:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147179, NULL, 'PTHR34630:SF23', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE', NULL, NULL, NULL, 15),
(147180, NULL, 'PTHR31375:SF214', NULL, NULL, NULL, NULL, 'BNAA07G02370D PROTEIN', NULL, NULL, NULL, 15),
(147181, NULL, 'PTHR33444:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 272', NULL, NULL, NULL, 15),
(147182, NULL, 'PTHR23320:SF129', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 176', NULL, NULL, NULL, 15),
(147183, NULL, 'PTHR21576:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147184, NULL, 'PTHR23426:SF26', NULL, NULL, NULL, NULL, 'ADRENODOXIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(147185, NULL, 'PTHR31426:SF4', NULL, NULL, NULL, NULL, 'RNA-BINDING CRS1 / YHBY (CRM) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(147186, NULL, 'PTHR33065:SF153', NULL, NULL, NULL, NULL, 'OS08G0141000 PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147187, NULL, 'PTHR48027:SF9', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(147188, NULL, 'PTHR30411:SF8', NULL, NULL, NULL, NULL, 'CYS-TRNA(PRO)/CYS-TRNA(CYS) DEACYLASE YBAK', NULL, NULL, NULL, 15),
(147189, NULL, 'PTHR33044:SF167', NULL, NULL, NULL, NULL, 'PROTEIN YLS3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(147190, NULL, 'PTHR35202', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 29504, 15),
(147191, NULL, 'PTHR11278:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15),
(147192, NULL, 'PTHR10177:SF441', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147193, NULL, 'PTHR22596:SF17', NULL, NULL, NULL, NULL, 'TRYPSIN-LIKE PROTEASE', NULL, NULL, NULL, 15),
(147194, NULL, 'PTHR11827:SF65', NULL, NULL, NULL, NULL, 'GH08340P', NULL, NULL, NULL, 15),
(147195, NULL, 'PTHR23024:SF135', NULL, NULL, NULL, NULL, 'CELL DEATH ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(147196, NULL, 'PTHR23423:SF35', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER-LIKE', NULL, NULL, NULL, 15),
(147197, NULL, 'PTHR11011:SF70', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(147198, NULL, 'PTHR13817:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147199, NULL, 'PTHR13132', NULL, NULL, NULL, NULL, 'ALPHA- 1,6 -FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(147200, NULL, 'PTHR48047:SF66', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73C5-RELATED', NULL, NULL, NULL, 15),
(147201, NULL, 'PTHR11157:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147202, NULL, 'PTHR47992:SF157', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', NULL, NULL, NULL, 15),
(147203, NULL, 'PTHR10334:SF477', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', NULL, NULL, NULL, 15),
(147204, NULL, 'PTHR45654:SF65', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147205, NULL, 'PTHR11010:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147206, NULL, 'PTHR45683:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FOLATE TRANSPORTER/CARRIER', NULL, NULL, NULL, 15),
(147207, NULL, 'PTHR24409:SF308', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 11', NULL, NULL, NULL, 15),
(147208, NULL, 'PTHR10535:SF20', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC1-RELATED', NULL, NULL, NULL, 15),
(147209, NULL, 'PTHR46224:SF37', NULL, NULL, NULL, NULL, 'OS12G0600100 PROTEIN', NULL, NULL, NULL, 15),
(147210, NULL, 'PTHR48112:SF3', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN B2', NULL, NULL, NULL, 15),
(147211, NULL, 'PTHR11844:SF24', NULL, NULL, NULL, NULL, 'METALLOPROTEINASE INHIBITOR 2', NULL, NULL, 17550, 15),
(147212, NULL, 'PTHR42810:SF5', NULL, NULL, NULL, NULL, 'XANTHINE PERMEASE XANQ', NULL, NULL, 22322, 15),
(147213, NULL, 'PTHR46221:SF6', NULL, NULL, NULL, NULL, 'FERM AND PDZ DOMAIN-CONTAINING 1B', NULL, NULL, NULL, 15),
(147214, NULL, 'PTHR45570:SF1', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(147215, NULL, 'PTHR22943:SF34', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(147216, NULL, 'PTHR23410:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147217, NULL, 'PTHR10774:SF189', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-4-LIKE', NULL, NULL, NULL, 15),
(147218, NULL, 'PTHR30477', NULL, NULL, NULL, NULL, 'ABC-TRANSPORTER METAL-BINDING PROTEIN', NULL, NULL, 3062, 15),
(147219, NULL, 'PTHR35093', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN NMB0088-RELATED', NULL, NULL, 1035, 15),
(147220, NULL, 'PTHR15710:SF67', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SGR9, AMYLOPLASTIC', NULL, NULL, NULL, 15),
(147221, NULL, 'PTHR47928:SF71', NULL, NULL, NULL, NULL, 'OS02G0552100 PROTEIN', NULL, NULL, NULL, 15),
(147222, NULL, 'PTHR45676:SF40', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL52-LIKE ISOFORM X1', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147223, NULL, 'PTHR27004:SF242', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 19-RELATED', NULL, NULL, NULL, 15),
(147224, NULL, 'PTHR12143:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147225, NULL, 'PTHR31140:SF119', NULL, NULL, NULL, NULL, 'BNAA06G02760D PROTEIN', NULL, NULL, NULL, 15),
(147226, NULL, 'PTHR45688:SF13', NULL, NULL, NULL, NULL, 'ALANINE--GLYOXYLATE AMINOTRANSFERASE 2-LIKE', NULL, NULL, NULL, 15),
(147227, NULL, 'PTHR23267:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147228, NULL, 'PTHR14383', NULL, NULL, NULL, NULL, 'SWAP-70 RECOMBINASE', NULL, NULL, NULL, 15),
(147229, NULL, 'PTHR46226', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147230, NULL, 'PTHR16092:SF31', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC3A-LIKE', NULL, NULL, NULL, 15),
(147231, NULL, 'PTHR43542:SF2', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(147232, NULL, 'PTHR43313:SF1', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-RELATED 31 KDA PROTEIN', NULL, NULL, NULL, 15),
(147233, NULL, 'PTHR31790:SF317', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147234, NULL, 'PTHR23430:SF223', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-A', NULL, NULL, NULL, 15),
(147235, NULL, 'PTHR24282:SF142', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 709B1', NULL, NULL, NULL, 15),
(147236, NULL, 'PTHR23128:SF60', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)-RELATED', NULL, NULL, NULL, 15),
(147237, NULL, 'PTHR46616:SF7', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147238, NULL, 'PTHR44378:SF3', NULL, NULL, NULL, NULL, 'ENZYME 17, PEROXISOMAL PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147239, NULL, 'PTHR37763:SF1', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX EXONUCLEASE', NULL, NULL, NULL, 15),
(147240, NULL, 'PTHR33149:SF7', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II D2 PROTEIN', NULL, NULL, NULL, 15),
(147241, NULL, 'PTHR33191:SF58', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(147242, NULL, 'PTHR16134:SF50', NULL, NULL, NULL, NULL, 'GRR1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(147243, NULL, 'PTHR15588:SF8', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM1', NULL, NULL, NULL, 15),
(147244, NULL, 'PTHR33090:SF50', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147245, NULL, 'PTHR15954:SF4', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 51 HOMOLOG', NULL, NULL, NULL, 15),
(147246, NULL, 'PTHR15439:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RBBP6-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(147247, NULL, 'PTHR43840:SF11', NULL, NULL, NULL, NULL, 'CATION DIFFUSION FACILITATOR 10', NULL, NULL, NULL, 15),
(147248, NULL, 'PTHR10562:SF91', NULL, NULL, NULL, NULL, 'OS07G0574600 PROTEIN', NULL, NULL, NULL, 15),
(147249, NULL, 'PTHR11071:SF441', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(147250, NULL, 'PTHR33433:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147251, NULL, 'PTHR10291:SF14', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(147252, NULL, 'PTHR45651:SF9', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 14-RELATED', NULL, NULL, NULL, 15),
(147253, NULL, 'PTHR45614:SF159', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB117', NULL, NULL, NULL, 15),
(147254, NULL, 'PTHR31234:SF53', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(147255, NULL, 'PTHR14209:SF24', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE CPRD49-LIKE', NULL, NULL, NULL, 15),
(147256, NULL, 'PTHR11566:SF23', NULL, NULL, NULL, NULL, 'DYNAMIN-2', NULL, NULL, 24898, 15),
(147257, NULL, 'PTHR46128:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147258, NULL, 'PTHR11685:SF321', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147259, NULL, 'PTHR43884:SF1', NULL, NULL, NULL, NULL, 'SHORT/BRANCHED CHAIN SPECIFIC ACYL-COA DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(147260, NULL, 'PTHR24335', NULL, NULL, NULL, NULL, 'MOTOR NEURON AND PANCREAS HOMEOBOX PROTEIN', NULL, NULL, 38429, 15),
(147261, NULL, 'PTHR24298:SF82', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147262, NULL, 'PTHR31881:SF11', NULL, NULL, NULL, NULL, 'BNAC07G16950D PROTEIN', NULL, NULL, NULL, 15),
(147263, NULL, 'PTHR13547:SF7', NULL, NULL, NULL, NULL, 'OS02G0273800 PROTEIN', NULL, NULL, NULL, 15),
(147264, NULL, 'PTHR47965:SF66', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE', NULL, NULL, NULL, 15),
(147265, NULL, 'PTHR28682:SF1', NULL, NULL, NULL, NULL, 'INHIBITORY SYNAPTIC FACTOR 2A', NULL, NULL, NULL, 15),
(147266, NULL, 'PTHR11633:SF5', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR C', NULL, NULL, 24576, 15),
(147267, NULL, 'PTHR46772', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38996, 15),
(147268, NULL, 'PTHR46401:SF5', NULL, NULL, NULL, NULL, 'SLL5048 PROTEIN', NULL, NULL, NULL, 15),
(147269, NULL, 'PTHR44129:SF6', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE IB SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(147270, NULL, 'PTHR45822:SF3', NULL, NULL, NULL, NULL, 'LOC794123 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147271, NULL, 'PTHR23266:SF208', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 5-16', NULL, NULL, NULL, 15),
(147272, NULL, 'PTHR14379:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147273, NULL, 'PTHR11945:SF683', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147274, NULL, 'PTHR31257:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147275, NULL, 'PTHR27005:SF366', NULL, NULL, NULL, NULL, 'BNAA01G06060D PROTEIN', NULL, NULL, NULL, 15),
(147276, NULL, 'PTHR31662:SF81', NULL, NULL, NULL, NULL, 'DNA-BINDING STOREKEEPER PROTEIN-RELATED TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(147277, NULL, 'PTHR13509:SF12', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', NULL, NULL, NULL, 15),
(147278, NULL, 'PTHR33994:SF11', NULL, NULL, NULL, NULL, 'OS01G0771600 PROTEIN', NULL, NULL, NULL, 15),
(147279, NULL, 'PTHR37192', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(147280, NULL, 'PTHR36293:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 213', NULL, NULL, NULL, 15),
(147281, NULL, 'PTHR13693:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147282, NULL, 'PTHR11661:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147283, NULL, 'PTHR12093:SF10', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEIN HEM', NULL, NULL, NULL, 15),
(147284, NULL, 'PTHR11699:SF233', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(147285, NULL, 'PTHR11474:SF106', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE', NULL, NULL, NULL, 15),
(147286, NULL, 'PTHR43735:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147287, NULL, 'PTHR34221', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC691189', NULL, NULL, 24586, 15),
(147288, NULL, 'PTHR31150:SF34', NULL, NULL, NULL, NULL, 'ZINC ION BINDING PROTEIN', NULL, NULL, NULL, 15),
(147289, NULL, 'PTHR45837:SF7', NULL, NULL, NULL, NULL, 'SNARE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(147290, NULL, 'PTHR33357', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 3', NULL, NULL, 37298, 15),
(147291, NULL, 'PTHR43175', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, 3121, 15),
(147292, NULL, 'PTHR15975', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 15206, 15),
(147293, NULL, 'PTHR46736:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147294, NULL, 'PTHR31602:SF73', NULL, NULL, NULL, NULL, 'BNAA01G29750D PROTEIN', NULL, NULL, NULL, 15),
(147295, NULL, 'PTHR11947:SF21', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE (ACETYL-TRANSFERRING)] KINASE ISOZYME 3, MITOCHONDRIAL', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147296, NULL, 'PTHR24366:SF46', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT NEURONAL 1', NULL, NULL, NULL, 15),
(147297, NULL, 'PTHR43000:SF1', NULL, NULL, NULL, NULL, 'REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(147298, NULL, 'PTHR31636:SF270', NULL, NULL, NULL, NULL, 'GIBBERELLIN-RESPONSIVE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147299, NULL, 'PTHR31681:SF71', NULL, NULL, NULL, NULL, 'ZINC FINGER (C2H2 TYPE) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147300, NULL, 'PTHR11668:SF447', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(147301, NULL, 'PTHR24376:SF39', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 658', NULL, NULL, NULL, 15),
(147302, NULL, 'PTHR11220:SF68', NULL, NULL, NULL, NULL, 'HEME-BINDING PROTEIN SOUL5,-LIKE', NULL, NULL, NULL, 15),
(147303, NULL, 'PTHR48092:SF5', NULL, NULL, NULL, NULL, 'GLUCOCORTICOID RECEPTOR', NULL, NULL, NULL, 15),
(147304, NULL, 'PTHR26454:SF51', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6M1', NULL, NULL, NULL, 15),
(147305, NULL, 'PTHR21477:SF32', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A10-LIKE', NULL, NULL, NULL, 15),
(147306, NULL, 'PTHR10412:SF19', NULL, NULL, NULL, NULL, 'BNAANNG25530D PROTEIN', NULL, NULL, NULL, 15),
(147307, NULL, 'PTHR31165:SF87', NULL, NULL, NULL, NULL, 'BNACNNG44770D PROTEIN', NULL, NULL, NULL, 15),
(147308, NULL, 'PTHR43245:SF17', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE', NULL, NULL, NULL, 15),
(147309, NULL, 'PTHR45979:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(147310, NULL, 'PTHR35116:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(147311, NULL, 'PTHR11596:SF72', NULL, NULL, NULL, NULL, 'PHYTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14030)-RELATED', NULL, NULL, NULL, 15),
(147312, NULL, 'PTHR47404', NULL, NULL, NULL, NULL, 'WRB (HUMAN W(TRYPTOPHAN)-RICH BASIC NUCLEAR PROTEIN) HOMOLOG', NULL, NULL, NULL, 15),
(147313, NULL, 'PTHR34591:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147314, NULL, 'PTHR31339:SF48', NULL, NULL, NULL, NULL, 'PECTIN LYASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(147315, NULL, 'PTHR24286:SF314', NULL, NULL, NULL, NULL, 'BNAC01G31470D PROTEIN', NULL, NULL, NULL, 15),
(147316, NULL, 'PTHR12842', NULL, NULL, NULL, NULL, 'FI01459P', NULL, NULL, 4170, 15),
(147317, NULL, 'PTHR21562:SF48', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(147318, NULL, 'PTHR24349:SF355', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 14', NULL, NULL, NULL, 15),
(147319, NULL, 'PTHR11844:SF2', NULL, NULL, NULL, NULL, 'TISSUE INHIBITOR OF METALLOPROTEASE', NULL, NULL, NULL, 15),
(147320, NULL, 'PTHR31851:SF67', NULL, NULL, NULL, NULL, 'BNAA06G14970D PROTEIN', NULL, NULL, NULL, 15),
(147321, NULL, 'PTHR24070:SF199', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAL-B', NULL, NULL, 22351, 15),
(147322, NULL, 'PTHR14221:SF44', NULL, NULL, NULL, NULL, 'BNAA10G06780D PROTEIN', NULL, NULL, NULL, 15),
(147323, NULL, 'PTHR10177:SF252', NULL, NULL, NULL, NULL, 'CYCLIN-F', NULL, NULL, 21972, 15),
(147324, NULL, 'PTHR27005:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147325, NULL, 'PTHR42886:SF54', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147326, NULL, 'PTHR19441:SF81', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN 2', NULL, NULL, NULL, 15),
(147327, NULL, 'PTHR31673', NULL, NULL, NULL, NULL, 'PROTEIN COBRA', NULL, NULL, 4949, 15),
(147328, NULL, 'PTHR43618:SF8', NULL, NULL, NULL, NULL, '7-ALPHA-HYDROXYSTEROID DEHYDROGENASE', NULL, NULL, NULL, 15),
(147329, NULL, 'PTHR11385:SF7', NULL, NULL, NULL, NULL, 'ALPHA-FETOPROTEIN', NULL, NULL, NULL, 15),
(147330, NULL, 'PTHR31942:SF105', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(147331, NULL, 'PTHR43762:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147332, NULL, 'PTHR22846:SF2', NULL, NULL, NULL, NULL, 'F-BOX-LIKE/WD REPEAT-CONTAINING PROTEIN EBI', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147333, NULL, 'PTHR46050:SF10', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING THIOREDOXIN TTL4', NULL, NULL, NULL, 15),
(147334, NULL, 'PTHR46422:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(147335, NULL, 'PTHR13683:SF842', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147336, NULL, 'PTHR24096:SF265', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14270)-RELATED', NULL, NULL, NULL, 15),
(147337, NULL, 'PTHR47270:SF6', NULL, NULL, NULL, NULL, 'SARCOLEMMAL MEMBRANE-ASSOCIATED PROTEIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(147338, NULL, 'PTHR12482:SF4', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(147339, NULL, 'PTHR47209:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE KEG-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(147340, NULL, 'PTHR23421:SF135', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(147341, NULL, 'PTHR19422:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147342, NULL, 'PTHR24074:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147343, NULL, 'PTHR11062:SF290', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147344, NULL, 'PTHR12861:SF2', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN SUBUNIT BETA', NULL, NULL, NULL, 15),
(147345, NULL, 'PTHR10795:SF680', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.6', NULL, NULL, NULL, 15),
(147346, NULL, 'PTHR47914:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(147347, NULL, 'PTHR33132:SF34', NULL, NULL, NULL, NULL, 'OS02G0799600 PROTEIN', NULL, NULL, NULL, 15),
(147348, NULL, 'PTHR11850:SF267', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 4', NULL, NULL, NULL, 15),
(147349, NULL, 'PTHR11954:SF25', NULL, NULL, NULL, NULL, 'LS1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(147350, NULL, 'PTHR14199', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(147351, NULL, 'PTHR34235:SF6', NULL, NULL, NULL, NULL, 'SLR0291 PROTEIN', NULL, NULL, NULL, 15),
(147352, NULL, 'PTHR30557:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147353, NULL, 'PTHR40744:SF1', NULL, NULL, NULL, NULL, 'SODIUM STIBOGLUCONATE RESISTANCE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147354, NULL, 'PTHR19919:SF10', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPARENT TESTA GLABRA 1', NULL, NULL, 26991, 15),
(147355, NULL, 'PTHR37156:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147356, NULL, 'PTHR18945:SF33', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT PI', NULL, NULL, 6351, 15),
(147357, NULL, 'PTHR45775:SF4', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN GEM', NULL, NULL, NULL, 15),
(147358, NULL, 'PTHR43308:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN ALPHA', NULL, NULL, NULL, 15),
(147359, NULL, 'PTHR18953:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147360, NULL, 'PTHR26453:SF28', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2M5', NULL, NULL, NULL, 15),
(147361, NULL, 'PTHR31474:SF13', NULL, NULL, NULL, NULL, 'NICOTIANA TABACUM ORF', NULL, NULL, NULL, 15),
(147362, NULL, 'PTHR45642:SF19', NULL, NULL, NULL, NULL, 'OS02G0110000 PROTEIN', NULL, NULL, NULL, 15),
(147363, NULL, 'PTHR12268:SF15', NULL, NULL, NULL, NULL, 'DYSTROPHIN', NULL, NULL, NULL, 15),
(147364, NULL, 'PTHR11743:SF28', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL PROTEIN 3', NULL, NULL, 27500, 15),
(147365, NULL, 'PTHR46983', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(147366, NULL, 'PTHR13422:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147367, NULL, 'PTHR16194:SF0', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 16', NULL, NULL, NULL, 15),
(147368, NULL, 'PTHR24031:SF723', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-11', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147369, NULL, 'PTHR43846', NULL, NULL, NULL, NULL, 'UPF0176 PROTEIN YCEA', NULL, NULL, NULL, 15),
(147370, NULL, 'PTHR23055:SF57', NULL, NULL, NULL, NULL, 'NEURON-SPECIFIC CALCIUM-BINDING PROTEIN HIPPOCALCIN', NULL, NULL, NULL, 15),
(147371, NULL, 'PTHR16742', NULL, NULL, NULL, NULL, 'CYCLICIN', NULL, NULL, 26905, 15),
(147372, NULL, 'PTHR35547', NULL, NULL, NULL, NULL, 'OS06G0249350 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147373, NULL, 'PTHR10253:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND WD REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(147374, NULL, 'PTHR31080:SF148', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15),
(147375, NULL, 'PTHR10894:SF27', NULL, NULL, NULL, NULL, 'NOP56-LIKE PRE RNA PROCESSING RIBONUCLEOPROTEIN', NULL, NULL, NULL, 15),
(147376, NULL, 'PTHR23315:SF293', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(147377, NULL, 'PTHR21405:SF0', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 36', NULL, NULL, NULL, 15),
(147378, NULL, 'PTHR27000:SF585', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(147379, NULL, 'PTHR10749', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE B KINASE REGULATORY SUBUNIT', NULL, NULL, 12054, 15),
(147380, NULL, 'PTHR46686:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 4 PROTEIN', NULL, NULL, NULL, 15),
(147381, NULL, 'PTHR12994:SF17', NULL, NULL, NULL, NULL, 'LD30995P', NULL, NULL, NULL, 15),
(147382, NULL, 'PTHR45657:SF37', NULL, NULL, NULL, NULL, 'OS05G0545000 PROTEIN', NULL, NULL, NULL, 15),
(147383, NULL, 'PTHR14024:SF49', NULL, NULL, NULL, NULL, 'LIPID STORAGE DROPLETS SURFACE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(147384, NULL, 'PTHR24050:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147385, NULL, 'PTHR11593:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147386, NULL, 'PTHR31970', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 24994, 15),
(147387, NULL, 'PTHR27003:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147388, NULL, 'PTHR33044:SF142', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 9-LIKE', NULL, NULL, NULL, 15),
(147389, NULL, 'PTHR11496:SF102', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 4', NULL, NULL, NULL, 15),
(147390, NULL, 'PTHR12774:SF5', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 19-1', NULL, NULL, NULL, 15),
(147391, NULL, 'PTHR42809:SF2', NULL, NULL, NULL, NULL, 'FLAVODOXIN 1', NULL, NULL, NULL, 15),
(147392, NULL, 'PTHR45580:SF4', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(147393, NULL, 'PTHR15601', NULL, NULL, NULL, NULL, 'STRESS ASSOCIATED ENDOPLASMIC RETICULUM PROTEIN  SERP1/RAMP4', NULL, NULL, 8466, 15),
(147394, NULL, 'PTHR13683:SF227', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(147395, NULL, 'PTHR11668:SF422', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(147396, NULL, 'PTHR11208:SF108', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(147397, NULL, 'PTHR24207:SF2', NULL, NULL, NULL, NULL, 'ZYX102 PROTEIN', NULL, NULL, NULL, 15),
(147398, NULL, 'PTHR30385:SF7', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR FLIA', NULL, NULL, NULL, 15),
(147399, NULL, 'PTHR46973:SF1', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN 2A', NULL, NULL, NULL, 15),
(147400, NULL, 'PTHR46033', NULL, NULL, NULL, NULL, 'PROTEIN MAIN-LIKE 2', NULL, NULL, 36684, 15),
(147401, NULL, 'PTHR44783', NULL, NULL, NULL, NULL, 'CXADR-LIKE MEMBRANE PROTEIN', NULL, NULL, 36745, 15),
(147402, NULL, 'PTHR11685:SF342', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARI7-RELATED', NULL, NULL, NULL, 15),
(147403, NULL, 'PTHR43884:SF26', NULL, NULL, NULL, NULL, 'MEDIUM-CHAIN SPECIFIC ACYL-COA DEHYDROGENASE, MITOCHONDRIAL-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147404, NULL, 'PTHR10257:SF3', NULL, NULL, NULL, NULL, 'WELL-ROUNDED, ISOFORM B', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147405, NULL, 'PTHR23147:SF160', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SC35-LIKE SPLICING FACTOR SCL30', NULL, NULL, NULL, 15),
(147406, NULL, 'PTHR21645', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(147407, NULL, 'PTHR12447:SF6', NULL, NULL, NULL, NULL, 'LD31969P', NULL, NULL, NULL, 15),
(147408, NULL, 'PTHR13338:SF6', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX ASSEMBLY FACTOR 4', NULL, NULL, NULL, 15),
(147409, NULL, 'PTHR48048:SF24', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(147410, NULL, 'PTHR11205:SF34', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S5', NULL, NULL, NULL, 15),
(147411, NULL, 'PTHR15907:SF119', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(147412, NULL, 'PTHR31907:SF46', NULL, NULL, NULL, NULL, 'BNAC06G31980D PROTEIN', NULL, NULL, NULL, 15),
(147413, NULL, 'PTHR47364:SF7', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(147414, NULL, 'PTHR46151:SF6', NULL, NULL, NULL, NULL, 'OS06G0231600 PROTEIN', NULL, NULL, NULL, 15),
(147415, NULL, 'PTHR31443:SF1', NULL, NULL, NULL, NULL, 'ZGC:101566', NULL, NULL, NULL, 15),
(147416, NULL, 'PTHR47782:SF11', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(147417, NULL, 'PTHR31851', NULL, NULL, NULL, NULL, 'FE(2+)/MN(2+) TRANSPORTER PCL1', NULL, NULL, 849, 15),
(147418, NULL, 'PTHR48022:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147419, NULL, 'PTHR31713:SF9', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 G', NULL, NULL, NULL, 15),
(147420, NULL, 'PTHR10422:SF39', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 1-RELATED', NULL, NULL, NULL, 15),
(147421, NULL, 'PTHR39069:SF6', NULL, NULL, NULL, NULL, 'FI17111P1', NULL, NULL, NULL, 15),
(147422, NULL, 'PTHR21230:SF74', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE PROTEIN', NULL, NULL, NULL, 15),
(147423, NULL, 'PTHR31734:SF162', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(147424, NULL, 'PTHR23238:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN EWS', NULL, NULL, 35126, 15),
(147425, NULL, 'PTHR32002:SF59', NULL, NULL, NULL, NULL, 'BNAC07G38670D PROTEIN', NULL, NULL, NULL, 15),
(147426, NULL, 'PTHR31003:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HHO6', NULL, NULL, NULL, 15),
(147427, NULL, 'PTHR23359:SF189', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE 2', NULL, NULL, NULL, 15),
(147428, NULL, 'PTHR23105:SF101', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10A', NULL, NULL, NULL, 15),
(147429, NULL, 'PTHR36526', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 154', NULL, NULL, NULL, 15),
(147430, NULL, 'PTHR32315', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(147431, NULL, 'PTHR12050:SF0', NULL, NULL, NULL, NULL, 'RH04491P', NULL, NULL, NULL, 15),
(147432, NULL, 'PTHR11647:SF50', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINASE', NULL, NULL, NULL, 15),
(147433, NULL, 'PTHR32071:SF93', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147434, NULL, 'PTHR31989:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147435, NULL, 'PTHR10605:SF45', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL HEPARAN SULFATE N-DEACETYLASE/N-SULFOTRANSFERASE 4', NULL, NULL, NULL, 15),
(147436, NULL, 'PTHR11528:SF41', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90-6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(147437, NULL, 'PTHR27001:SF866', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147438, NULL, 'PTHR33021:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147439, NULL, 'PTHR12004:SF1', NULL, NULL, NULL, NULL, 'INSULIN-LIKE PEPTIDE INSL6', NULL, NULL, 20652, 15),
(147440, NULL, 'PTHR24015:SF1771', NULL, NULL, NULL, NULL, 'OS08G0162200 PROTEIN', NULL, NULL, NULL, 15),
(147441, NULL, 'PTHR33882:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147442, NULL, 'PTHR34539:SF12', NULL, NULL, NULL, NULL, 'BNAC06G43580D PROTEIN', NULL, NULL, NULL, 15),
(147443, NULL, 'PTHR46810:SF1', NULL, NULL, NULL, NULL, 'INACTIVE POLYGLYCYLASE TTLL10', NULL, NULL, NULL, 15),
(147444, NULL, 'PTHR13780:SF139', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(147445, NULL, 'PTHR11001:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION PROCESS PROTEIN 1', NULL, NULL, NULL, 15),
(147446, NULL, 'PTHR46871:SF4', NULL, NULL, NULL, NULL, 'BNAA03G45750D PROTEIN', NULL, NULL, NULL, 15),
(147447, NULL, 'PTHR31218:SF219', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(147448, NULL, 'PTHR12064:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147449, NULL, 'PTHR31463:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147450, NULL, 'PTHR11908:SF136', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE SUBUNIT D-RELATED', NULL, NULL, NULL, 15),
(147451, NULL, 'PTHR10209:SF628', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147452, NULL, 'PTHR47972', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KLP-3', NULL, NULL, NULL, 15),
(147453, NULL, 'PTHR36871', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 190', NULL, NULL, 27095, 15),
(147454, NULL, 'PTHR22835:SF568', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147455, NULL, 'PTHR11599:SF177', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(147456, NULL, 'PTHR30126:SF40', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR NMOR', NULL, NULL, NULL, 15),
(147457, NULL, 'PTHR35243:SF19', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1', NULL, NULL, NULL, 15),
(147458, NULL, 'PTHR24238:SF58', NULL, NULL, NULL, NULL, 'FI22604P1', NULL, NULL, NULL, 15),
(147459, NULL, 'PTHR14499:SF9', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD4', NULL, NULL, NULL, 15),
(147460, NULL, 'PTHR45764:SF4', NULL, NULL, NULL, NULL, 'OS09G0306400 PROTEIN', NULL, NULL, NULL, 15),
(147461, NULL, 'PTHR13462:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147462, NULL, 'PTHR23360:SF67', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(147463, NULL, 'PTHR28567:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM53C', NULL, NULL, NULL, 15),
(147464, NULL, 'PTHR31552:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(147465, NULL, 'PTHR23409', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE SMALL CHAIN', NULL, NULL, 348, 15),
(147466, NULL, 'PTHR22599:SF58', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 2A-RELATED', NULL, NULL, NULL, 15),
(147467, NULL, 'PTHR31280', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG', NULL, NULL, 13013, 15),
(147468, NULL, 'PTHR33922:SF2', NULL, NULL, NULL, NULL, 'OS01G0888066 PROTEIN', NULL, NULL, NULL, 15),
(147469, NULL, 'PTHR33450:SF29', NULL, NULL, NULL, NULL, 'BNAC07G49270D PROTEIN', NULL, NULL, NULL, 15),
(147470, NULL, 'PTHR31935:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 13', NULL, NULL, NULL, 15),
(147471, NULL, 'PTHR11109:SF9', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE I 1', NULL, NULL, NULL, 15),
(147472, NULL, 'PTHR24376:SF183', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 605', NULL, NULL, NULL, 15),
(147473, NULL, 'PTHR19256:SF53', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR GAMMA, VARIABLE 3-RELATED', NULL, NULL, NULL, 15),
(147474, NULL, 'PTHR33168:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147475, NULL, 'PTHR28457:SF3', NULL, NULL, NULL, NULL, 'CILIARY-ASSOCIATED CALCIUM-BINDING COILED-COIL PROTEIN 1', NULL, NULL, NULL, 15),
(147476, NULL, 'PTHR11937:SF468', NULL, NULL, NULL, NULL, 'ACTIN, CYTOSKELETAL 1B', NULL, NULL, NULL, 15),
(147477, NULL, 'PTHR24186:SF17', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(147478, NULL, 'PTHR15917:SF0', NULL, NULL, NULL, NULL, 'PROTEIN LARGEN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147479, NULL, 'PTHR43243:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147480, NULL, 'PTHR23130:SF171', NULL, NULL, NULL, NULL, 'BNAC01G39800D PROTEIN', NULL, NULL, NULL, 15),
(147481, NULL, 'PTHR11570:SF23', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME 2', NULL, NULL, NULL, 15),
(147482, NULL, 'PTHR11058:SF9', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 3', NULL, NULL, NULL, 15),
(147483, NULL, 'PTHR24343:SF324', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PRR1', NULL, NULL, NULL, 15),
(147484, NULL, 'PTHR21016:SF5', NULL, NULL, NULL, NULL, 'TM2 DOMAIN-CONTAINING PROTEIN DDB_G0277895', NULL, NULL, NULL, 15),
(147485, NULL, 'PTHR33070:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147486, NULL, 'PTHR45620:SF31', NULL, NULL, NULL, NULL, 'HECTOR, ISOFORM A', NULL, NULL, NULL, 15),
(147487, NULL, 'PTHR10994:SF146', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(147488, NULL, 'PTHR31941:SF1', NULL, NULL, NULL, NULL, 'CYTOSKELETAL SIGNALING PROTEIN SLM1', NULL, NULL, NULL, 15),
(147489, NULL, 'PTHR23097', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(147490, NULL, 'PTHR11486:SF81', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 21', NULL, NULL, 28203, 15),
(147491, NULL, 'PTHR14614:SF5', NULL, NULL, NULL, NULL, 'EEF1A LYSINE METHYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(147492, NULL, 'PTHR47928:SF161', NULL, NULL, NULL, NULL, 'OS06G0125600 PROTEIN', NULL, NULL, NULL, 15),
(147493, NULL, 'PTHR46410:SF11', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(147494, NULL, 'PTHR31221:SF239', NULL, NULL, NULL, NULL, 'BNAC06G11020D PROTEIN', NULL, NULL, NULL, 15),
(147495, NULL, 'PTHR11255:SF96', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(147496, NULL, 'PTHR24282:SF127', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 72 SUBFAMILY A POLYPEPTIDE 8', NULL, NULL, NULL, 15),
(147497, NULL, 'PTHR19444:SF13', NULL, NULL, NULL, NULL, 'PROTEIN UNC-93 HOMOLOG A', NULL, NULL, NULL, 15),
(147498, NULL, 'PTHR31560', NULL, NULL, NULL, NULL, 'UPF0652 PROTEIN C16A11.03C-RELATED', NULL, NULL, 15043, 15),
(147499, NULL, 'PTHR12542:SF113', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(147500, NULL, 'PTHR48039:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 28', NULL, NULL, NULL, 15),
(147501, NULL, 'PTHR34491:SF20', NULL, NULL, NULL, NULL, 'ABL193CP', NULL, NULL, NULL, 15),
(147502, NULL, 'PTHR35119:SF8', NULL, NULL, NULL, NULL, 'OSJNBB0022F23.8-LIKE PROTEIN', NULL, NULL, NULL, 15),
(147503, NULL, 'PTHR34850', NULL, NULL, NULL, NULL, 'PROTEIN CBG21297', NULL, NULL, NULL, 15),
(147504, NULL, 'PTHR22698', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, 35346, 15),
(147505, NULL, 'PTHR33076:SF109', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN P5-LIKE', NULL, NULL, NULL, 15),
(147506, NULL, 'PTHR23073:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147507, NULL, 'PTHR11362:SF101', NULL, NULL, NULL, NULL, 'FTB2', NULL, NULL, NULL, 15),
(147508, NULL, 'PTHR11315:SF13', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL HYDROLASE 3-RELATED', NULL, NULL, NULL, 15),
(147509, NULL, 'PTHR24286:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147510, NULL, 'PTHR23502:SF137', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY (MFS) TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(147511, NULL, 'PTHR24281:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147512, NULL, 'PTHR11778', NULL, NULL, NULL, NULL, 'SERYL-TRNA SYNTHETASE', NULL, NULL, 6637, 15),
(147513, NULL, 'PTHR24304', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 7', NULL, NULL, NULL, 15),
(147514, NULL, 'PTHR16134:SF2', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 21-RELATED', NULL, NULL, NULL, 15),
(147515, NULL, 'PTHR23148', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REGULATED NUCLEAR MATRIX PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147516, NULL, 'PTHR11599:SF131', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, NULL, 15),
(147517, NULL, 'PTHR22811:SF118', NULL, NULL, NULL, NULL, 'PROTEIN ERP1-RELATED', NULL, NULL, NULL, 15),
(147518, NULL, 'PTHR37867:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 86', NULL, NULL, NULL, 15),
(147519, NULL, 'PTHR33144:SF10', NULL, NULL, NULL, NULL, 'OS04G0609900 PROTEIN', NULL, NULL, NULL, 15),
(147520, NULL, 'PTHR30047:SF11', NULL, NULL, NULL, NULL, 'L-CARNITINE/GAMMA-BUTYROBETAINE ANTIPORTER', NULL, NULL, NULL, 15),
(147521, NULL, 'PTHR36478', NULL, NULL, NULL, NULL, 'OS04G0614237 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147522, NULL, 'PTHR19957:SF263', NULL, NULL, NULL, NULL, 'SYNTAXIN-72', NULL, NULL, NULL, 15),
(147523, NULL, 'PTHR11814:SF113', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 26 MEMBER 6', NULL, NULL, 28615, 15),
(147524, NULL, 'PTHR11453:SF31', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER', NULL, NULL, NULL, 15),
(147525, NULL, 'PTHR11686:SF56', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE 1 PROENZYME-RELATED', NULL, NULL, NULL, 15),
(147526, NULL, 'PTHR33076:SF112', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(147527, NULL, 'PTHR10938:SF4', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF3-1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(147528, NULL, 'PTHR19051:SF15', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2310079G19 GENE', NULL, NULL, NULL, 15),
(147529, NULL, 'PTHR31945:SF57', NULL, NULL, NULL, NULL, 'BNAANNG36760D PROTEIN', NULL, NULL, NULL, 15),
(147530, NULL, 'PTHR47977:SF24', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RIC1', NULL, NULL, NULL, 15),
(147531, NULL, 'PTHR34568:SF1', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(147532, NULL, 'PTHR31374:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147533, NULL, 'PTHR11937:SF454', NULL, NULL, NULL, NULL, 'ACTIN-4', NULL, NULL, NULL, 15),
(147534, NULL, 'PTHR11616:SF109', NULL, NULL, NULL, NULL, 'INACTIVE SODIUM-DEPENDENT NEUTRAL AMINO ACID TRANSPORTER B(0)AT3', NULL, NULL, NULL, 15),
(147535, NULL, 'PTHR12931:SF29', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 8A', NULL, NULL, NULL, 15),
(147536, NULL, 'PTHR19324:SF33', NULL, NULL, NULL, NULL, 'PERFORIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(147537, NULL, 'PTHR16134:SF97', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147538, NULL, 'PTHR11746:SF244', NULL, NULL, NULL, NULL, 'ASMT1', NULL, NULL, NULL, 15),
(147539, NULL, 'PTHR32322:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PAGO', NULL, NULL, NULL, 15),
(147540, NULL, 'PTHR24377:SF751', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING 22', NULL, NULL, NULL, 15),
(147541, NULL, 'PTHR24349:SF164', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 27', NULL, NULL, NULL, 15),
(147542, NULL, 'PTHR46360', NULL, NULL, NULL, NULL, 'DISKS LARGE HOMOLOG 5', NULL, NULL, NULL, 15),
(147543, NULL, 'PTHR13683:SF803', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-1-LIKE', NULL, NULL, NULL, 15),
(147544, NULL, 'PTHR34976', NULL, NULL, NULL, NULL, 'RIBONUCLEASE YQCG-RELATED', NULL, NULL, NULL, 15),
(147545, NULL, 'PTHR47994:SF4', NULL, NULL, NULL, NULL, 'BNACNNG32030D PROTEIN', NULL, NULL, NULL, 15),
(147546, NULL, 'PTHR31376:SF87', NULL, NULL, NULL, NULL, 'BNAC08G11300D PROTEIN', NULL, NULL, NULL, 15),
(147547, NULL, 'PTHR10502:SF200', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(147548, NULL, 'PTHR42739', NULL, NULL, NULL, NULL, 'MALATE SYNTHASE G', NULL, NULL, 3566, 15),
(147549, NULL, 'PTHR11686:SF51', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL TRANSPEPTIDASE, ISOFORM A', NULL, NULL, NULL, 15),
(147550, NULL, 'PTHR10807:SF112', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN DDB_G0290005', NULL, NULL, NULL, 15),
(147551, NULL, 'PTHR11069:SF38', NULL, NULL, NULL, NULL, 'GLUCURONOXYLANASE XYNC', NULL, NULL, NULL, 15),
(147552, NULL, 'PTHR32409:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM20', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147553, NULL, 'PTHR13462:SF19', NULL, NULL, NULL, NULL, 'OS01G0817000 PROTEIN', NULL, NULL, NULL, 15),
(147554, NULL, 'PTHR48053:SF49', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(147555, NULL, 'PTHR31375:SF198', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', NULL, NULL, NULL, 15),
(147556, NULL, 'PTHR23086:SF125', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(147557, NULL, 'PTHR12504:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147558, NULL, 'PTHR47921', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147559, NULL, 'PTHR23428:SF245', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 2-F', NULL, NULL, NULL, 15),
(147560, NULL, 'PTHR28592:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(147561, NULL, 'PTHR11776:SF7', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(147562, NULL, 'PTHR31391:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147563, NULL, 'PTHR22883:SF374', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(147564, NULL, 'PTHR45803:SF5', NULL, NULL, NULL, NULL, 'SOX100B', NULL, NULL, NULL, 15),
(147565, NULL, 'PTHR24423:SF617', NULL, NULL, NULL, NULL, 'PROTEIN EIN4', NULL, NULL, NULL, 15),
(147566, NULL, 'PTHR12882:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT4 HOMOLOG 2', NULL, NULL, NULL, 15),
(147567, NULL, 'PTHR31232:SF65', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', NULL, NULL, NULL, 15),
(147568, NULL, 'PTHR31376:SF57', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 22-RELATED', NULL, NULL, NULL, 15),
(147569, NULL, 'PTHR43434:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG18783', NULL, NULL, NULL, 15),
(147570, NULL, 'PTHR32387:SF0', NULL, NULL, NULL, NULL, 'WU:FJ29H11', NULL, NULL, NULL, 15),
(147571, NULL, 'PTHR46142:SF4', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE/GLYOXALASE I FAMILY PROTEIN', NULL, NULL, NULL, 15),
(147572, NULL, 'PTHR23517:SF2', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTH', NULL, NULL, NULL, 15),
(147573, NULL, 'PTHR11525:SF15', NULL, NULL, NULL, NULL, 'FARNESYL PYROPHOSPHATE SYNTHASE 3', NULL, NULL, NULL, 15),
(147574, NULL, 'PTHR34418', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP214 ISOFORM X1', NULL, NULL, 37001, 15),
(147575, NULL, 'PTHR11592:SF27', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 8-RELATED', NULL, NULL, NULL, 15),
(147576, NULL, 'PTHR23202:SF32', NULL, NULL, NULL, NULL, 'WAS/WASL-INTERACTING PROTEIN FAMILY MEMBER 1', NULL, NULL, 21919, 15),
(147577, NULL, 'PTHR11635:SF152', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE TYPE I REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(147578, NULL, 'PTHR30580:SF1', NULL, NULL, NULL, NULL, 'COMF OPERON PROTEIN 1', NULL, NULL, NULL, 15),
(147579, NULL, 'PTHR34480:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147580, NULL, 'PTHR11214:SF288', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(147581, NULL, 'PTHR11761:SF31', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L14, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(147582, NULL, 'PTHR12460:SF3', NULL, NULL, NULL, NULL, 'REGULATION OF NUCLEAR PRE-MRNA DOMAIN-CONTAINING PROTEIN 1B', NULL, NULL, NULL, 15),
(147583, NULL, 'PTHR24223:SF426', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER TAP-LIKE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(147584, NULL, 'PTHR45663:SF30', NULL, NULL, NULL, NULL, 'BNAA06G01250D PROTEIN', NULL, NULL, NULL, 15),
(147585, NULL, 'PTHR32182:SF0', NULL, NULL, NULL, NULL, 'DNA REPLICATION AND REPAIR PROTEIN RECF', NULL, NULL, 539, 15),
(147586, NULL, 'PTHR37919:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG02558', NULL, NULL, NULL, 15),
(147587, NULL, 'PTHR31375:SF176', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', NULL, NULL, NULL, 15),
(147588, NULL, 'PTHR42718:SF27', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147589, NULL, 'PTHR12268:SF22', NULL, NULL, NULL, NULL, 'DYSTROBREVIN BETA', NULL, NULL, NULL, 15),
(147590, NULL, 'PTHR10351:SF28', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3', NULL, NULL, NULL, 15),
(147591, NULL, 'PTHR45972:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147592, NULL, 'PTHR31861:SF22', NULL, NULL, NULL, NULL, 'BNAC03G70940D PROTEIN', NULL, NULL, NULL, 15),
(147593, NULL, 'PTHR23070:SF185', NULL, NULL, NULL, NULL, 'BNAC09G09700D PROTEIN', NULL, NULL, NULL, 15),
(147594, NULL, 'PTHR12262:SF12', NULL, NULL, NULL, NULL, 'BNAA05G20110D PROTEIN', NULL, NULL, NULL, 15),
(147595, NULL, 'PTHR45786:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(147596, NULL, 'PTHR11165:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147597, NULL, 'PTHR48078:SF13', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE', NULL, NULL, NULL, 15),
(147598, NULL, 'PTHR31806:SF5', NULL, NULL, NULL, NULL, 'PURINE-CYTOSINE PERMEASE FCY21', NULL, NULL, NULL, 15),
(147599, NULL, 'PTHR23252:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147600, NULL, 'PTHR24082:SF334', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-85', NULL, NULL, NULL, 15),
(147601, NULL, 'PTHR30126:SF41', NULL, NULL, NULL, NULL, 'LYSR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(147602, NULL, 'PTHR45780:SF8', NULL, NULL, NULL, NULL, 'BNAC03G21530D PROTEIN', NULL, NULL, NULL, 15),
(147603, NULL, 'PTHR46343:SF1', NULL, NULL, NULL, NULL, 'SUSHI REPEAT-CONTAINING PROTEIN SRPX', NULL, NULL, 31697, 15),
(147604, NULL, 'PTHR28675:SF1', NULL, NULL, NULL, NULL, 'MELANOCORTIN-2 RECEPTOR ACCESSORY PROTEIN 2', NULL, NULL, NULL, 15),
(147605, NULL, 'PTHR11260:SF693', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U13-RELATED', NULL, NULL, NULL, 15),
(147606, NULL, 'PTHR24298:SF765', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147607, NULL, 'PTHR10540:SF22', NULL, NULL, NULL, NULL, 'BNAC09G21110D PROTEIN', NULL, NULL, NULL, 15),
(147608, NULL, 'PTHR43025:SF6', NULL, NULL, NULL, NULL, 'MONOGALACTOSYLDIACYLGLYCEROL SYNTHASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(147609, NULL, 'PTHR45843', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-LIKE 4', NULL, NULL, 34925, 15),
(147610, NULL, 'PTHR21533:SF22', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 70', NULL, NULL, NULL, 15),
(147611, NULL, 'PTHR24379:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 823', NULL, NULL, NULL, 15),
(147612, NULL, 'PTHR22792:SF136', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147613, NULL, 'PTHR11208:SF126', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN ASD-2', NULL, NULL, NULL, 15),
(147614, NULL, 'PTHR11566:SF202', NULL, NULL, NULL, NULL, 'BNAC01G28600D PROTEIN', NULL, NULL, NULL, 15),
(147615, NULL, 'PTHR31225:SF138', NULL, NULL, NULL, NULL, 'BNAA06G33340D PROTEIN', NULL, NULL, NULL, 15),
(147616, NULL, 'PTHR34648:SF1', NULL, NULL, NULL, NULL, 'CLOCK-INTERACTING PACEMAKER', NULL, NULL, NULL, 15),
(147617, NULL, 'PTHR24089:SF683', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(147618, NULL, 'PTHR11871:SF41', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', NULL, NULL, NULL, 15),
(147619, NULL, 'PTHR45926:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE4-LIKE', NULL, NULL, NULL, 15),
(147620, NULL, 'PTHR22779:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 170A', NULL, NULL, NULL, 15),
(147621, NULL, 'PTHR31061:SF27', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(147622, NULL, 'PTHR23430:SF311', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(147623, NULL, 'PTHR47926:SF242', NULL, NULL, NULL, NULL, 'BNAA03G58140D PROTEIN', NULL, NULL, NULL, 15),
(147624, NULL, 'PTHR11559:SF354', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G09230)-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147625, NULL, 'PTHR12736:SF21', NULL, NULL, NULL, NULL, 'LANC-LIKE PROTEIN 3 HOMOLOG', NULL, NULL, NULL, 15),
(147626, NULL, 'PTHR11767:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147627, NULL, 'PTHR43180:SF28', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(147628, NULL, 'PTHR22550:SF14', NULL, NULL, NULL, NULL, 'TPR DOMAIN PROTEIN IN AEROTOLERANCE OPERON BATB', NULL, NULL, NULL, 15),
(147629, NULL, 'PTHR46296:SF2', NULL, NULL, NULL, NULL, 'C2 AND GRAM DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(147630, NULL, 'PTHR43991:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147631, NULL, 'PTHR12472:SF0', NULL, NULL, NULL, NULL, 'RAB3 GTPASE-ACTIVATING PROTEIN NON-CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(147632, NULL, 'PTHR33605:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147633, NULL, 'PTHR33044:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147634, NULL, 'PTHR19278', NULL, NULL, NULL, NULL, 'OROTATE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(147635, NULL, 'PTHR24392:SF45', NULL, NULL, NULL, NULL, 'ZNF142 ISOFORM 2', NULL, NULL, NULL, 15),
(147636, NULL, 'PTHR34156:SF3', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147637, NULL, 'PTHR23300', NULL, NULL, NULL, NULL, 'METHANETHIOL OXIDASE', NULL, NULL, 14301, 15),
(147638, NULL, 'PTHR33526:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(147639, NULL, 'PTHR31065:SF7', NULL, NULL, NULL, NULL, 'OS01G0517800 PROTEIN', NULL, NULL, NULL, 15),
(147640, NULL, 'PTHR12570:SF20', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA1-RELATED', NULL, NULL, NULL, 15),
(147641, NULL, 'PTHR13720:SF22', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE 1', NULL, NULL, NULL, 15),
(147642, NULL, 'PTHR24223:SF241', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(147643, NULL, 'PTHR20961:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147644, NULL, 'PTHR21562:SF93', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 8', NULL, NULL, NULL, 15),
(147645, NULL, 'PTHR12542:SF107', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT EXO70A1-LIKE', NULL, NULL, NULL, 15),
(147646, NULL, 'PTHR24015:SF1973', NULL, NULL, NULL, NULL, 'OS11G0213500 PROTEIN', NULL, NULL, NULL, 15),
(147647, NULL, 'PTHR12560:SF45', NULL, NULL, NULL, NULL, 'LAG1 LONGEVITY ASSURANCE HOMOLOG 1', NULL, NULL, NULL, 15),
(147648, NULL, 'PTHR45863:SF40', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK7-RELATED', NULL, NULL, NULL, 15),
(147649, NULL, 'PTHR47009:SF1', NULL, NULL, NULL, NULL, 'HEPATITIS A VIRUS CELLULAR RECEPTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(147650, NULL, 'PTHR24092:SF49', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IIA-RELATED', NULL, NULL, 23608, 15),
(147651, NULL, 'PTHR43718:SF2', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(147652, NULL, 'PTHR40696', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 474, 15),
(147653, NULL, 'PTHR47993:SF171', NULL, NULL, NULL, NULL, 'BNAC03G42910D PROTEIN', NULL, NULL, NULL, 15),
(147654, NULL, 'PTHR11949:SF9', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 6', NULL, NULL, NULL, 15),
(147655, NULL, 'PTHR24068:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147656, NULL, 'PTHR33147:SF48', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(147657, NULL, 'PTHR48004:SF6', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(147658, NULL, 'PTHR32089', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN MCPB', NULL, NULL, NULL, 15),
(147659, NULL, 'PTHR33239', NULL, NULL, NULL, NULL, 'CELLULOSE-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147660, NULL, 'PTHR10015:SF368', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-4A-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147661, NULL, 'PTHR31975:SF1', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 7-RELATED', NULL, NULL, NULL, 15),
(147662, NULL, 'PTHR36808:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ATRX-LIKE PROTEIN', NULL, NULL, NULL, 15),
(147663, NULL, 'PTHR10992:SF1030', NULL, NULL, NULL, NULL, 'METHYLESTERASE 10-LIKE', NULL, NULL, NULL, 15),
(147664, NULL, 'PTHR14202:SF0', NULL, NULL, NULL, NULL, '60 KDA SS-A/RO RIBONUCLEOPROTEIN', NULL, NULL, NULL, 15),
(147665, NULL, 'PTHR30349:SF61', NULL, NULL, NULL, NULL, 'INTEGRASE/RECOMBINASE PROTEIN MJ0367-RELATED', NULL, NULL, NULL, 15),
(147666, NULL, 'PTHR43715:SF4', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 4,6 DEHYDRATASE 1', NULL, NULL, NULL, 15),
(147667, NULL, 'PTHR24377:SF848', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 806', NULL, NULL, NULL, 15),
(147668, NULL, 'PTHR31100:SF85', NULL, NULL, NULL, NULL, 'PPC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147669, NULL, 'PTHR43939:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG21953', NULL, NULL, NULL, 15),
(147670, NULL, 'PTHR47990:SF59', NULL, NULL, NULL, NULL, '20 OXIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147671, NULL, 'PTHR10177:SF439', NULL, NULL, NULL, NULL, 'CYCLIN D3,2-RELATED', NULL, NULL, NULL, 15),
(147672, NULL, 'PTHR23155:SF1088', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147673, NULL, 'PTHR47002:SF4', NULL, NULL, NULL, NULL, 'AQUAPORIN AQPAN.G-LIKE', NULL, NULL, NULL, 15),
(147674, NULL, 'PTHR43592:SF4', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(147675, NULL, 'PTHR23257:SF869', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING SERINE/THREONINE-PROTEIN KINASE DDB_G0286997-RELATED', NULL, NULL, NULL, 15),
(147676, NULL, 'PTHR47998:SF37', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147677, NULL, 'PTHR33786:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147678, NULL, 'PTHR18896:SF141', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(147679, NULL, 'PTHR16223:SF173', NULL, NULL, NULL, NULL, 'OS02G0564700 PROTEIN', NULL, NULL, NULL, 15),
(147680, NULL, 'PTHR45714:SF53', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', NULL, NULL, NULL, 15),
(147681, NULL, 'PTHR31392:SF1', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYLTRANSFERASE MNN1-RELATED', NULL, NULL, NULL, 15),
(147682, NULL, 'PTHR11461:SF325', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147683, NULL, 'PTHR11449:SF25', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30-1-RELATED', NULL, NULL, NULL, 15),
(147684, NULL, 'PTHR31087:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147685, NULL, 'PTHR48198:SF1', NULL, NULL, NULL, NULL, 'EC PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(147686, NULL, 'PTHR12655:SF7', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 9, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(147687, NULL, 'PTHR33538:SF3', NULL, NULL, NULL, NULL, 'BNAC03G14190D PROTEIN', NULL, NULL, NULL, 15),
(147688, NULL, 'PTHR12209:SF0', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT TP53RK', NULL, NULL, NULL, 15),
(147689, NULL, 'PTHR45968:SF15', NULL, NULL, NULL, NULL, 'PROTEIN HOTHEAD-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(147690, NULL, 'PTHR31350:SF21', NULL, NULL, NULL, NULL, 'SI:DKEY-261L7.2', NULL, NULL, NULL, 15),
(147691, NULL, 'PTHR10579:SF101', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL ACCESSORY 3B', NULL, NULL, NULL, 15),
(147692, NULL, 'PTHR43114:SF2', NULL, NULL, NULL, NULL, 'ADENINE DEAMINASE', NULL, NULL, NULL, 15),
(147693, NULL, 'PTHR43495:SF2', NULL, NULL, NULL, NULL, 'D-SERINE/D-ALANINE/GLYCINE TRANSPORTER', NULL, NULL, NULL, 15),
(147694, NULL, 'PTHR46919:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(147695, NULL, 'PTHR24366:SF68', NULL, NULL, NULL, NULL, 'SLIT GUIDANCE LIGAND 3', NULL, NULL, NULL, 15),
(147696, NULL, 'PTHR33389:SF23', NULL, NULL, NULL, NULL, 'DUF2921 FAMILY PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147697, NULL, 'PTHR38778', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, 3764, 15),
(147698, NULL, 'PTHR47613', NULL, NULL, NULL, NULL, 'SPERM ACROSOME MEMBRANE-ASSOCIATED PROTEIN 4', NULL, NULL, NULL, 15),
(147699, NULL, 'PTHR36115:SF6', NULL, NULL, NULL, NULL, 'PROLINE-RICH ANTIGEN HOMOLOG', NULL, NULL, NULL, 15),
(147700, NULL, 'PTHR31182:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(147701, NULL, 'PTHR24012:SF839', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(147702, NULL, 'PTHR44329:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147703, NULL, 'PTHR15895:SF12', NULL, NULL, NULL, NULL, 'IMMEDIATE EARLY RESPONSE GENE 5 PROTEIN', NULL, NULL, NULL, 15),
(147704, NULL, 'PTHR12348:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG00127', NULL, NULL, NULL, 15),
(147705, NULL, 'PTHR39614:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147706, NULL, 'PTHR11489:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', NULL, NULL, NULL, 15),
(147707, NULL, 'PTHR47273:SF8', NULL, NULL, NULL, NULL, 'BNAC04G56700D PROTEIN', NULL, NULL, NULL, 15),
(147708, NULL, 'PTHR31988:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147709, NULL, 'PTHR35104:SF12', NULL, NULL, NULL, NULL, 'BNAC02G12190D PROTEIN', NULL, NULL, NULL, 15),
(147710, NULL, 'PTHR19303:SF47', NULL, NULL, NULL, NULL, 'PROTEIN PDC2', NULL, NULL, NULL, 15),
(147711, NULL, 'PTHR31639:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147712, NULL, 'PTHR23070:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147713, NULL, 'PTHR24381:SF353', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 705A', NULL, NULL, NULL, 15),
(147714, NULL, 'PTHR11945:SF485', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 17', NULL, NULL, NULL, 15),
(147715, NULL, 'PTHR46128:SF98', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(147716, NULL, 'PTHR47995:SF21', NULL, NULL, NULL, NULL, 'OS06G0679400 PROTEIN', NULL, NULL, NULL, 15),
(147717, NULL, 'PTHR44305:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0293292-RELATED', NULL, NULL, NULL, 15),
(147718, NULL, 'PTHR23113', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR', NULL, NULL, 8957, 15),
(147719, NULL, 'PTHR15186:SF4', NULL, NULL, NULL, NULL, 'BCL2/ADENOVIRUS E1B 19 KDA PROTEIN-INTERACTING PROTEIN 3', NULL, NULL, NULL, 15),
(147720, NULL, 'PTHR33469:SF25', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 3-LIKE', NULL, NULL, NULL, 15),
(147721, NULL, 'PTHR45613', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(147722, NULL, 'PTHR18934:SF238', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147723, NULL, 'PTHR14119:SF3', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(147724, NULL, 'PTHR44203:SF3', NULL, NULL, NULL, NULL, 'ETO1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(147725, NULL, 'PTHR20856:SF26', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(147726, NULL, 'PTHR47973:SF5', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(147727, NULL, 'PTHR10920', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(147728, NULL, 'PTHR24015:SF755', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(147729, NULL, 'PTHR34663:SF12', NULL, NULL, NULL, NULL, 'BNAA04G13530D PROTEIN', NULL, NULL, NULL, 15),
(147730, NULL, 'PTHR21398:SF20', NULL, NULL, NULL, NULL, 'AGAP004007-PA', NULL, NULL, NULL, 15),
(147731, NULL, 'PTHR10725:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147732, NULL, 'PTHR13353:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PGR', NULL, NULL, NULL, 15),
(147733, NULL, 'PTHR11566:SF158', NULL, NULL, NULL, NULL, 'DYNAMIN-2B', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147734, NULL, 'PTHR19375', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70KDA', NULL, NULL, 18692, 15),
(147735, NULL, 'PTHR42861:SF53', NULL, NULL, NULL, NULL, 'RETICULUM [ER]-TYPE CALCIUM ATPASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147736, NULL, 'PTHR45876:SF7', NULL, NULL, NULL, NULL, 'MENTAL RETARDATION GTPASE ACTIVATING PROTEIN HOMOLOG 2', NULL, NULL, NULL, 15),
(147737, NULL, 'PTHR31257:SF15', NULL, NULL, NULL, NULL, 'RICIN B, LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147738, NULL, 'PTHR15615:SF95', NULL, NULL, NULL, NULL, 'CYCLIN', NULL, NULL, NULL, 15),
(147739, NULL, 'PTHR14690:SF8', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 11', NULL, NULL, NULL, 15),
(147740, NULL, 'PTHR24064:SF328', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 3', NULL, NULL, NULL, 15),
(147741, NULL, 'PTHR31589:SF108', NULL, NULL, NULL, NULL, 'NEP-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(147742, NULL, 'PTHR35748:SF2', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL CYCLOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(147743, NULL, 'PTHR18945', NULL, NULL, NULL, NULL, 'NEUROTRANSMITTER GATED ION CHANNEL', NULL, NULL, 11446, 15),
(147744, NULL, 'PTHR23077:SF154', NULL, NULL, NULL, NULL, 'DIVISION CYCLE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147745, NULL, 'PTHR48002:SF15', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4D1', NULL, NULL, NULL, 15),
(147746, NULL, 'PTHR31550:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147747, NULL, 'PTHR13800:SF10', NULL, NULL, NULL, NULL, 'GTL-1', NULL, NULL, NULL, 15),
(147748, NULL, 'PTHR39419:SF1', NULL, NULL, NULL, NULL, 'SLL0814 PROTEIN', NULL, NULL, NULL, 15),
(147749, NULL, 'PTHR31235:SF253', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(147750, NULL, 'PTHR11360:SF78', NULL, NULL, NULL, NULL, 'TRANSPORTER (MCH2), PUTATIVE (AFU_ORTHOLOGUE AFUA_4G12260)-RELATED', NULL, NULL, NULL, 15),
(147751, NULL, 'PTHR31087:SF75', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 4-LIKE', NULL, NULL, NULL, 15),
(147752, NULL, 'PTHR23428:SF70', NULL, NULL, NULL, NULL, 'HISTONE H2B-RELATED', NULL, NULL, NULL, 15),
(147753, NULL, 'PTHR45820:SF3', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 10', NULL, NULL, NULL, 15),
(147754, NULL, 'PTHR31975:SF2', NULL, NULL, NULL, NULL, 'CHITIN BIOSYNTHESIS PROTEIN CHS6-RELATED', NULL, NULL, NULL, 15),
(147755, NULL, 'PTHR24260', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147756, NULL, 'PTHR14605', NULL, NULL, NULL, NULL, 'CHST5 PROTEIN', NULL, NULL, 15039, 15),
(147757, NULL, 'PTHR21717:SF75', NULL, NULL, NULL, NULL, 'HEME PEROXIDASE-RELATED', NULL, NULL, NULL, 15),
(147758, NULL, 'PTHR35668', NULL, NULL, NULL, NULL, 'PROTEIN SHORTAGE IN CHIASMATA 1 ORTHOLOG', NULL, NULL, 36094, 15),
(147759, NULL, 'PTHR31664:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG22340', NULL, NULL, NULL, 15),
(147760, NULL, 'PTHR14224:SF17', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 17-RELATED', NULL, NULL, NULL, 15),
(147761, NULL, 'PTHR27005:SF210', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL PSEUDOKINASE ZED1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(147762, NULL, 'PTHR41391', NULL, NULL, NULL, NULL, 'RESTRICTION OF TELOMERE CAPPING PROTEIN 4', NULL, NULL, 35949, 15),
(147763, NULL, 'PTHR34114:SF4', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 21', NULL, NULL, NULL, 15),
(147764, NULL, 'PTHR33474:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147765, NULL, 'PTHR24381:SF154', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 550', NULL, NULL, NULL, 15),
(147766, NULL, 'PTHR45642:SF111', NULL, NULL, NULL, NULL, 'BNAA09G15560D PROTEIN', NULL, NULL, NULL, 15),
(147767, NULL, 'PTHR32141:SF61', NULL, NULL, NULL, NULL, 'OS01G0598400 PROTEIN', NULL, NULL, NULL, 15),
(147768, NULL, 'PTHR19300:SF9', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(147769, NULL, 'PTHR12357:SF74', NULL, NULL, NULL, NULL, 'BNAC02G25740D PROTEIN', NULL, NULL, NULL, 15),
(147770, NULL, 'PTHR45657:SF46', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147771, NULL, 'PTHR11746:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147772, NULL, 'PTHR35253', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 152', NULL, NULL, 33977, 15),
(147773, NULL, 'PTHR43120:SF10', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(147774, NULL, 'PTHR31225:SF146', NULL, NULL, NULL, NULL, 'VIRIDIFLORENE SYNTHASE', NULL, NULL, NULL, 15),
(147775, NULL, 'PTHR31286:SF85', NULL, NULL, NULL, NULL, 'TA11-LIKE NON-LTR RETROELEMENT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147776, NULL, 'PTHR32099:SF64', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 34-RELATED', NULL, NULL, NULL, 15),
(147777, NULL, 'PTHR24019:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147778, NULL, 'PTHR46391:SF2', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 6', NULL, NULL, NULL, 15),
(147779, NULL, 'PTHR31802:SF18', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT4', NULL, NULL, NULL, 15),
(147780, NULL, 'PTHR45934:SF1', NULL, NULL, NULL, NULL, 'OS04G0423100 PROTEIN', NULL, NULL, NULL, 15),
(147781, NULL, 'PTHR36712:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(147782, NULL, 'PTHR24092:SF19', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(147783, NULL, 'PTHR43393', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15),
(147784, NULL, 'PTHR17630:SF95', NULL, NULL, NULL, NULL, 'BNAC01G30540D PROTEIN', NULL, NULL, NULL, 15),
(147785, NULL, 'PTHR22504:SF0', NULL, NULL, NULL, NULL, 'REPRESSOR OF RNA POLYMERASE III TRANSCRIPTION MAF1 HOMOLOG', NULL, NULL, NULL, 15),
(147786, NULL, 'PTHR10578:SF107', NULL, NULL, NULL, NULL, 'HYDROXYACID OXIDASE 2', NULL, NULL, NULL, 15),
(147787, NULL, 'PTHR33977', NULL, NULL, NULL, NULL, 'ZINC ION BINDING PROTEIN', NULL, NULL, NULL, 15),
(147788, NULL, 'PTHR24235:SF22', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y7 RECEPTOR', NULL, NULL, NULL, 15),
(147789, NULL, 'PTHR22714:SF2', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(147790, NULL, 'PTHR15759', NULL, NULL, NULL, NULL, 'PANNEXIN', NULL, NULL, 35795, 15),
(147791, NULL, 'PTHR30175:SF4', NULL, NULL, NULL, NULL, 'PTS SYSTEM TREHALOSE-SPECIFIC EIIBC COMPONENT', NULL, NULL, NULL, 15),
(147792, NULL, 'PTHR45693:SF43', NULL, NULL, NULL, NULL, 'TGACG-SEQUENCE-SPECIFIC DNA-BINDING PROTEIN TGA-2.1', NULL, NULL, NULL, 15),
(147793, NULL, 'PTHR31790:SF319', NULL, NULL, NULL, NULL, 'OS12G0493566 PROTEIN', NULL, NULL, NULL, 15),
(147794, NULL, 'PTHR12692:SF3', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT OST6', NULL, NULL, NULL, 15),
(147795, NULL, 'PTHR33836:SF11', NULL, NULL, NULL, NULL, 'BNAA02G10970D PROTEIN', NULL, NULL, NULL, 15),
(147796, NULL, 'PTHR30620:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147797, NULL, 'PTHR18966:SF479', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2.7-RELATED', NULL, NULL, NULL, 15),
(147798, NULL, 'PTHR23257:SF705', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY46', NULL, NULL, NULL, 15),
(147799, NULL, 'PTHR47981:SF21', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, RAN GTPASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(147800, NULL, 'PTHR19957:SF72', NULL, NULL, NULL, NULL, 'GENE 379-RELATED', NULL, NULL, NULL, 15),
(147801, NULL, 'PTHR31561:SF126', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(147802, NULL, 'PTHR32285:SF192', NULL, NULL, NULL, NULL, 'DUF231 DOMAIN CONTAINING FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147803, NULL, 'PTHR24281:SF36', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D8', NULL, NULL, NULL, 15),
(147804, NULL, 'PTHR10231:SF39', NULL, NULL, NULL, NULL, 'F44C8.7-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147805, NULL, 'PTHR14499:SF126', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL TETRAMERIZATION DOMAIN CONTAINING 21', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147806, NULL, 'PTHR11206:SF343', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(147807, NULL, 'PTHR31718:SF22', NULL, NULL, NULL, NULL, 'OSJNBA0006M15.18 PROTEIN', NULL, NULL, NULL, 15),
(147808, NULL, 'PTHR31009:SF64', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASES SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(147809, NULL, 'PTHR16254', NULL, NULL, NULL, NULL, 'POTASSIUM/PROTON ANTIPORTER-RELATED', NULL, NULL, 38370, 15),
(147810, NULL, 'PTHR14309:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147811, NULL, 'PTHR13462:SF39', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(147812, NULL, 'PTHR10582:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147813, NULL, 'PTHR24223:SF383', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 14', NULL, NULL, NULL, 15),
(147814, NULL, 'PTHR24186:SF2', NULL, NULL, NULL, NULL, 'LD46604P', NULL, NULL, NULL, 15),
(147815, NULL, 'PTHR31606:SF9', NULL, NULL, NULL, NULL, 'UPF0664 STRESS-INDUCED PROTEIN C29B12.11C-LIKE', NULL, NULL, NULL, 15),
(147816, NULL, 'PTHR24092:SF177', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(147817, NULL, 'PTHR21472:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147818, NULL, 'PTHR11945:SF25', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2C', NULL, NULL, NULL, 15),
(147819, NULL, 'PTHR12276:SF90', NULL, NULL, NULL, NULL, 'ENTH/VHS FAMILY PROTEIN', NULL, NULL, NULL, 15),
(147820, NULL, 'PTHR44489:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCCH-TYPE, WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147821, NULL, 'PTHR43472:SF4', NULL, NULL, NULL, NULL, 'OS12G0197100 PROTEIN', NULL, NULL, NULL, 15),
(147822, NULL, 'PTHR11349:SF99', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE 1', NULL, NULL, NULL, 15),
(147823, NULL, 'PTHR34145:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147824, NULL, 'PTHR10024:SF358', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN 7', NULL, NULL, 9285, 15),
(147825, NULL, 'PTHR45644:SF3', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY PARTICLE CHAIN RPT6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(147826, NULL, 'PTHR24345:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147827, NULL, 'PTHR22298:SF133', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(147828, NULL, 'PTHR33109:SF64', NULL, NULL, NULL, NULL, 'PROTEIN EPIDERMAL PATTERNING FACTOR 1', NULL, NULL, NULL, 15),
(147829, NULL, 'PTHR31681:SF44', NULL, NULL, NULL, NULL, 'BNAC03G59100D PROTEIN', NULL, NULL, NULL, 15),
(147830, NULL, 'PTHR23039', NULL, NULL, NULL, NULL, 'NANCE-HORAN SYNDROME PROTEIN', NULL, NULL, NULL, 15),
(147831, NULL, 'PTHR47416:SF8', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 60', NULL, NULL, NULL, 15),
(147832, NULL, 'PTHR47640:SF27', NULL, NULL, NULL, NULL, 'OLIGOURIDYLATE-BINDING PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(147833, NULL, 'PTHR46146:SF10', NULL, NULL, NULL, NULL, 'OJ000114_01.11 PROTEIN', NULL, NULL, NULL, 15),
(147834, NULL, 'PTHR15049:SF1', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6K', NULL, NULL, NULL, 15),
(147835, NULL, 'PTHR10340:SF13', NULL, NULL, NULL, NULL, 'ENDOPOLYPHOSPHATASE', NULL, NULL, NULL, 15),
(147836, NULL, 'PTHR33044:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147837, NULL, 'PTHR45660:SF16', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(147838, NULL, 'PTHR14159:SF0', NULL, NULL, NULL, NULL, 'ATAXIN-3', NULL, NULL, NULL, 15),
(147839, NULL, 'PTHR19957:SF266', NULL, NULL, NULL, NULL, 'OS12G0192300 PROTEIN', NULL, NULL, NULL, 15),
(147840, NULL, 'PTHR13301', NULL, NULL, NULL, NULL, 'X-BOX TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(147841, NULL, 'PTHR45680:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147842, NULL, 'PTHR31102', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147843, NULL, 'PTHR13068:SF162', NULL, NULL, NULL, NULL, 'MITOCHODRIAL TRANSCRIPTION TERMINATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(147844, NULL, 'PTHR10064:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-1-RELATED', NULL, NULL, NULL, 15),
(147845, NULL, 'PTHR24064:SF485', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(147846, NULL, 'PTHR33095', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147847, NULL, 'PTHR11746:SF215', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(147848, NULL, 'PTHR43036', NULL, NULL, NULL, NULL, 'OSJNBB0011N17.9 PROTEIN', NULL, NULL, NULL, 15),
(147849, NULL, 'PTHR26374:SF171', NULL, NULL, NULL, NULL, 'OS11G0702400 PROTEIN', NULL, NULL, NULL, 15),
(147850, NULL, 'PTHR10174:SF215', NULL, NULL, NULL, NULL, 'CELLULAR RETINALDEHYDE-BINDING PROTEIN B', NULL, NULL, NULL, 15),
(147851, NULL, 'PTHR22934:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147852, NULL, 'PTHR31896:SF36', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147853, NULL, 'PTHR46839:SF3', NULL, NULL, NULL, NULL, 'ZGC:152863', NULL, NULL, NULL, 15),
(147854, NULL, 'PTHR24376:SF177', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 780B', NULL, NULL, NULL, 15),
(147855, NULL, 'PTHR24093:SF470', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 9, PLASMA MEMBRANE-TYPE-LIKE', NULL, NULL, NULL, 15),
(147856, NULL, 'PTHR46999:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147857, NULL, 'PTHR47753', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN-RELATED', NULL, NULL, NULL, 15),
(147858, NULL, 'PTHR19857:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147859, NULL, 'PTHR45676:SF114', NULL, NULL, NULL, NULL, 'BNAC04G49700D PROTEIN', NULL, NULL, NULL, 15),
(147860, NULL, 'PTHR46662:SF28', NULL, NULL, NULL, NULL, 'PROTEOPHOSPHOGLYCAN PPG4', NULL, NULL, NULL, 15),
(147861, NULL, 'PTHR10209:SF744', NULL, NULL, NULL, NULL, 'FLAVANONE 3-DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(147862, NULL, 'PTHR47185:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147863, NULL, 'PTHR31699:SF6', NULL, NULL, NULL, NULL, 'TUDOR-INTERACTING REPAIR REGULATOR PROTEIN', NULL, NULL, NULL, 15),
(147864, NULL, 'PTHR24023:SF998', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE X, ALPHA 1B', NULL, NULL, NULL, 15),
(147865, NULL, 'PTHR46475:SF11', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR1', NULL, NULL, NULL, 15),
(147866, NULL, 'PTHR23024:SF470', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 18-RELATED', NULL, NULL, NULL, 15),
(147867, NULL, 'PTHR46354:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147868, NULL, 'PTHR23246', NULL, NULL, NULL, NULL, 'NEW-GLUE PROTEIN', NULL, NULL, NULL, 15),
(147869, NULL, 'PTHR33516:SF11', NULL, NULL, NULL, NULL, 'LEXA REPRESSOR', NULL, NULL, NULL, 15),
(147870, NULL, 'PTHR35704:SF9', NULL, NULL, NULL, NULL, 'BNAA08G15100D PROTEIN', NULL, NULL, NULL, 15),
(147871, NULL, 'PTHR14326:SF32', NULL, NULL, NULL, NULL, 'CELL CYCLE REGULATED MICROTUBULE ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(147872, NULL, 'PTHR24264:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147873, NULL, 'PTHR31490:SF63', NULL, NULL, NULL, NULL, 'BNAANNG29520D PROTEIN', NULL, NULL, NULL, 15),
(147874, NULL, 'PTHR31683:SF135', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(147875, NULL, 'PTHR31731:SF82', NULL, NULL, NULL, NULL, 'HYPRP2', NULL, NULL, NULL, 15),
(147876, NULL, 'PTHR19871:SF33', NULL, NULL, NULL, NULL, 'SI:CH211-212K18.6', NULL, NULL, NULL, 15),
(147877, NULL, 'PTHR45653', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS', NULL, NULL, 23296, 15),
(147878, NULL, 'PTHR34439', NULL, NULL, NULL, NULL, 'CENTROBIN', NULL, NULL, 36109, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147879, NULL, 'PTHR11817:SF15', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE PKM', NULL, NULL, NULL, 15),
(147880, NULL, 'PTHR46060', NULL, NULL, NULL, NULL, 'MARINER MOS1 TRANSPOSASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(147881, NULL, 'PTHR31953:SF41', NULL, NULL, NULL, NULL, 'ACID BETA-FRUCTOFURANOSIDASE 3, VACUOLAR', NULL, NULL, NULL, 15),
(147882, NULL, 'PTHR11040:SF76', NULL, NULL, NULL, NULL, 'ZRT (ZRT), IRT-(IRT-) LIKE PROTEIN TRANSPORTER', NULL, NULL, NULL, 15),
(147883, NULL, 'PTHR10806:SF30', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', NULL, NULL, NULL, 15),
(147884, NULL, 'PTHR23202:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147885, NULL, 'PTHR31790:SF368', NULL, NULL, NULL, NULL, 'BNAA05G14190D PROTEIN', NULL, NULL, NULL, 15),
(147886, NULL, 'PTHR38075', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147887, NULL, 'PTHR24296:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147888, NULL, 'PTHR10992:SF1029', NULL, NULL, NULL, NULL, 'METHYLESTERASE 18', NULL, NULL, NULL, 15),
(147889, NULL, 'PTHR11129:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147890, NULL, 'PTHR23024:SF438', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147891, NULL, 'PTHR47965:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147892, NULL, 'PTHR11566:SF197', NULL, NULL, NULL, NULL, 'DYNAMIN CENTRAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147893, NULL, 'PTHR10380:SF200', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 49AB-RELATED', NULL, NULL, NULL, 15),
(147894, NULL, 'PTHR43327:SF47', NULL, NULL, NULL, NULL, 'BAND 7 PROTEIN', NULL, NULL, NULL, 15),
(147895, NULL, 'PTHR48021:SF78', NULL, NULL, NULL, NULL, 'BNAC02G39660D PROTEIN', NULL, NULL, NULL, 15),
(147896, NULL, 'PTHR32227:SF278', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', NULL, NULL, NULL, 15),
(147897, NULL, 'PTHR24258:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147898, NULL, 'PTHR22922', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN P137', NULL, NULL, 27727, 15),
(147899, NULL, 'PTHR13141:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 242', NULL, NULL, NULL, 15),
(147900, NULL, 'PTHR43350:SF2', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT ALCOHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(147901, NULL, 'PTHR33510:SF12', NULL, NULL, NULL, NULL, 'PROTEIN TIC 20-IV, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(147902, NULL, 'PTHR31741:SF14', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(147903, NULL, 'PTHR16932:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147904, NULL, 'PTHR45624:SF20', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ORNITHINE TRANSPORTER 2', NULL, NULL, NULL, 15),
(147905, NULL, 'PTHR46034:SF25', NULL, NULL, NULL, NULL, 'BNAA05G27940D PROTEIN', NULL, NULL, NULL, 15),
(147906, NULL, 'PTHR11610:SF103', NULL, NULL, NULL, NULL, 'LIPASE MEMBER I', NULL, NULL, NULL, 15),
(147907, NULL, 'PTHR43329:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147908, NULL, 'PTHR23147:SF104', NULL, NULL, NULL, NULL, 'OS02G0536400 PROTEIN', NULL, NULL, NULL, 15),
(147909, NULL, 'PTHR40389:SF1', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP K MEMBER 24 GAG POLYPROTEIN-RELATED', NULL, NULL, NULL, 15),
(147910, NULL, 'PTHR46038:SF7', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(147911, NULL, 'PTHR30469:SF20', NULL, NULL, NULL, NULL, 'RAGD PROTEIN', NULL, NULL, NULL, 15),
(147912, NULL, 'PTHR47942:SF5', NULL, NULL, NULL, NULL, 'OS09G0417500 PROTEIN', NULL, NULL, NULL, 15),
(147913, NULL, 'PTHR36390:SF1', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(147914, NULL, 'PTHR46764:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BAH1-LIKE-RELATED', NULL, NULL, NULL, 15),
(147915, NULL, 'PTHR42731:SF7', NULL, NULL, NULL, NULL, 'SLL0424 PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147916, NULL, 'PTHR11596:SF84', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE', NULL, NULL, NULL, 15),
(147917, NULL, 'PTHR35791:SF2', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(147918, NULL, 'PTHR21234:SF43', NULL, NULL, NULL, NULL, 'OS06G0112100 PROTEIN', NULL, NULL, NULL, 15),
(147919, NULL, 'PTHR32285:SF185', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 41', NULL, NULL, NULL, 15),
(147920, NULL, 'PTHR13806:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147921, NULL, 'PTHR45647:SF12', NULL, NULL, NULL, NULL, 'OS03G0101200 PROTEIN', NULL, NULL, NULL, 15),
(147922, NULL, 'PTHR31989:SF337', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 83-LIKE', NULL, NULL, NULL, 15),
(147923, NULL, 'PTHR23050:SF251', NULL, NULL, NULL, NULL, 'PROTEIN CBG23534', NULL, NULL, NULL, 15),
(147924, NULL, 'PTHR40434', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147925, NULL, 'PTHR12297:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG00617', NULL, NULL, NULL, 15),
(147926, NULL, 'PTHR22604', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASES', NULL, NULL, NULL, 15),
(147927, NULL, 'PTHR11215', NULL, NULL, NULL, NULL, 'METAL DEPENDENT HYDROLASE - RELATED', NULL, NULL, 2766, 15),
(147928, NULL, 'PTHR20855:SF121', NULL, NULL, NULL, NULL, 'ADIPOR/HEMOLYSIN-III-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147929, NULL, 'PTHR11732:SF472', NULL, NULL, NULL, NULL, 'ASCORBATE BIOSYNTHESIS-RELATED PROTEIN', NULL, NULL, NULL, 15),
(147930, NULL, 'PTHR26454:SF55', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(147931, NULL, 'PTHR44329:SF197', NULL, NULL, NULL, NULL, 'OS01G0748600 PROTEIN', NULL, NULL, NULL, 15),
(147932, NULL, 'PTHR39165:SF1', NULL, NULL, NULL, NULL, 'IG HYPOTHETICAL 17883', NULL, NULL, NULL, 15),
(147933, NULL, 'PTHR11206:SF391', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(147934, NULL, 'PTHR23426:SF61', NULL, NULL, NULL, NULL, 'OS09G0437900 PROTEIN', NULL, NULL, NULL, 15),
(147935, NULL, 'PTHR43597:SF5', NULL, NULL, NULL, NULL, 'SUFE-LIKE PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(147936, NULL, 'PTHR48017:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147937, NULL, 'PTHR10177:SF460', NULL, NULL, NULL, NULL, 'AMINO-TERMINAL DOMAIN CYCLIN', NULL, NULL, NULL, 15),
(147938, NULL, 'PTHR34488:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-245H14.1-RELATED', NULL, NULL, NULL, 15),
(147939, NULL, 'PTHR15871', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 36556, 15),
(147940, NULL, 'PTHR43329:SF28', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(147941, NULL, 'PTHR22803:SF135', NULL, NULL, NULL, NULL, 'RH26557P', NULL, NULL, NULL, 15),
(147942, NULL, 'PTHR34946:SF9', NULL, NULL, NULL, NULL, 'BNAC09G52310D PROTEIN', NULL, NULL, NULL, 15),
(147943, NULL, 'PTHR26452:SF814', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(147944, NULL, 'PTHR30472:SF41', NULL, NULL, NULL, NULL, 'TRANSPORT SYSTEM PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(147945, NULL, 'PTHR47467:SF1', NULL, NULL, NULL, NULL, 'OS01G0867200 PROTEIN', NULL, NULL, NULL, 15),
(147946, NULL, 'PTHR11639:SF74', NULL, NULL, NULL, NULL, 'PROTEIN S100-A10', NULL, NULL, 28480, 15),
(147947, NULL, 'PTHR11829:SF356', NULL, NULL, NULL, NULL, 'FORKHEAD BOX L2-RELATED', NULL, NULL, NULL, 15),
(147948, NULL, 'PTHR12231:SF243', NULL, NULL, NULL, NULL, 'ROUNDABOUT HOMOLOG 1', NULL, NULL, 27127, 15),
(147949, NULL, 'PTHR24078:SF288', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 4', NULL, NULL, NULL, 15),
(147950, NULL, 'PTHR47039:SF1', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE 5-PHOSPHATASE E', NULL, NULL, NULL, 15),
(147951, NULL, 'PTHR23021:SF19', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(147952, NULL, 'PTHR47670:SF1', NULL, NULL, NULL, NULL, 'ADENYLYLSULFATASE HINT3', NULL, NULL, NULL, 15),
(147953, NULL, 'PTHR35458:SF2', NULL, NULL, NULL, NULL, 'SLR0755 PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147954, NULL, 'PTHR10634:SF99', NULL, NULL, NULL, NULL, 'ZINC FINGER AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 15', NULL, NULL, NULL, 15),
(147955, NULL, 'PTHR24412:SF187', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 35', NULL, NULL, 26851, 15),
(147956, NULL, 'PTHR24028:SF84', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A11', NULL, NULL, NULL, 15),
(147957, NULL, 'PTHR23248:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', NULL, NULL, NULL, 15),
(147958, NULL, 'PTHR23430:SF238', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(147959, NULL, 'PTHR31846:SF20', NULL, NULL, NULL, NULL, 'CRM-DOMAIN CONTAINING FACTOR CFM2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(147960, NULL, 'PTHR31238:SF188', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 13-RELATED', NULL, NULL, NULL, 15),
(147961, NULL, 'PTHR48107:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147962, NULL, 'PTHR11439:SF362', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON TNT 1-94-LIKE PROTEIN', NULL, NULL, NULL, 15),
(147963, NULL, 'PTHR45906:SF4', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYL-NEURAMINYL-2,3-BETA-GALACTOSYL-1,3-N-ACETYL-GALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE', NULL, NULL, NULL, 15),
(147964, NULL, 'PTHR48001:SF3', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(147965, NULL, 'PTHR33377:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147966, NULL, 'PTHR45642:SF22', NULL, NULL, NULL, NULL, 'OS05G0468500 PROTEIN', NULL, NULL, NULL, 15),
(147967, NULL, 'PTHR45664:SF15', NULL, NULL, NULL, NULL, 'HOMEOBOX C3', NULL, NULL, NULL, 15),
(147968, NULL, 'PTHR11977', NULL, NULL, NULL, NULL, 'VILLIN', NULL, NULL, 403, 15),
(147969, NULL, 'PTHR30083:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(147970, NULL, 'PTHR28604:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2610028H24', NULL, NULL, NULL, 15),
(147971, NULL, 'PTHR24281:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147972, NULL, 'PTHR31828:SF33', NULL, NULL, NULL, NULL, 'BNAA08G28540D PROTEIN', NULL, NULL, NULL, 15),
(147973, NULL, 'PTHR12299:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147974, NULL, 'PTHR31871:SF34', NULL, NULL, NULL, NULL, 'OS02G0658350 PROTEIN', NULL, NULL, NULL, 15),
(147975, NULL, 'PTHR12570:SF10', NULL, NULL, NULL, NULL, 'ZGC:101583', NULL, NULL, NULL, 15),
(147976, NULL, 'PTHR47928:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147977, NULL, 'PTHR11216:SF67', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 22224, 15),
(147978, NULL, 'PTHR23123:SF30', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 8, PSEUDOGENE', NULL, NULL, NULL, 15),
(147979, NULL, 'PTHR42968:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147980, NULL, 'PTHR12606:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147981, NULL, 'PTHR11782:SF82', NULL, NULL, NULL, NULL, 'APYRASE 3-RELATED', NULL, NULL, NULL, 15),
(147982, NULL, 'PTHR21726:SF61', NULL, NULL, NULL, NULL, 'DNAA INITIATOR-ASSOCIATING PROTEIN', NULL, NULL, NULL, 15),
(147983, NULL, 'PTHR14740', NULL, NULL, NULL, NULL, 'CASPASE ACTIVITY AND APOPTOSIS INHIBITOR 1', NULL, NULL, 33395, 15),
(147984, NULL, 'PTHR13110:SF0', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM3', NULL, NULL, NULL, 15),
(147985, NULL, 'PTHR35161:SF6', NULL, NULL, NULL, NULL, 'HSP70-HSP90 ORGANIZING PROTEIN 2', NULL, NULL, NULL, 15),
(147986, NULL, 'PTHR16517:SF39', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 3', NULL, NULL, NULL, 15),
(147987, NULL, 'PTHR14320', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 181', NULL, NULL, 27422, 15),
(147988, NULL, 'PTHR23236:SF40', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147989, NULL, 'PTHR31630:SF6', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(147990, NULL, 'PTHR43313:SF21', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE (SDR FAMILY) MEMBER 9', NULL, NULL, NULL, 15),
(147991, NULL, 'PTHR43168', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L33, CHLOROPLASTIC', NULL, NULL, 3347, 15),
(147992, NULL, 'PTHR24356:SF393', NULL, NULL, NULL, NULL, 'AGC (CAMP-DEPENDENT, CGMP-DEPENDENT AND PROTEIN KINASE C) KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(147993, NULL, 'PTHR11689:SF148', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(147994, NULL, 'PTHR14224:SF24', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 6-RELATED', NULL, NULL, NULL, 15),
(147995, NULL, 'PTHR24349:SF417', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(147996, NULL, 'PTHR21495:SF169', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(147997, NULL, 'PTHR22572:SF141', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(147998, NULL, 'PTHR16223:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(147999, NULL, 'PTHR11177:SF257', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148000, NULL, 'PTHR10209:SF763', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148001, NULL, 'PTHR10009:SF18', NULL, NULL, NULL, NULL, 'PROTEIN YELLOW-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148002, NULL, 'PTHR22930:SF85', NULL, NULL, NULL, NULL, 'ZGC:162945', NULL, NULL, NULL, 15),
(148003, NULL, 'PTHR10878:SF22', NULL, NULL, NULL, NULL, 'DIXIN', NULL, NULL, 21847, 15),
(148004, NULL, 'PTHR14189', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE METHYLESTERASE-1 RELATED', NULL, NULL, 15098, 15),
(148005, NULL, 'PTHR10501:SF61', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN B''''', NULL, NULL, NULL, 15),
(148006, NULL, 'PTHR18966:SF400', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, N-METHYL D-ASPARTATE 1A', NULL, NULL, NULL, 15),
(148007, NULL, 'PTHR11711:SF147', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 5A', NULL, NULL, NULL, 15),
(148008, NULL, 'PTHR31375:SF208', NULL, NULL, NULL, NULL, 'BNAC03G58660D PROTEIN', NULL, NULL, NULL, 15),
(148009, NULL, 'PTHR23226:SF290', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 197', NULL, NULL, NULL, 15),
(148010, NULL, 'PTHR10177:SF466', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148011, NULL, 'PTHR14000:SF18', NULL, NULL, NULL, NULL, 'HISTONE H2A DEUBIQUITINASE (DUF3755)', NULL, NULL, NULL, 15),
(148012, NULL, 'PTHR12700', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', NULL, NULL, 13377, 15),
(148013, NULL, 'PTHR31197:SF29', NULL, NULL, NULL, NULL, 'DUF1644 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148014, NULL, 'PTHR24061:SF512', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR C FAMILY, J1-RELATED', NULL, NULL, NULL, 15),
(148015, NULL, 'PTHR23274:SF36', NULL, NULL, NULL, NULL, 'HELICASE-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148016, NULL, 'PTHR19282:SF238', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(148017, NULL, 'PTHR31412:SF5', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE EGY2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(148018, NULL, 'PTHR31744:SF131', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 2-LIKE', NULL, NULL, NULL, 15),
(148019, NULL, 'PTHR45642:SF98', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148020, NULL, 'PTHR10366:SF720', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL 4-REDUCTASE', NULL, NULL, NULL, 15),
(148021, NULL, 'PTHR28032', NULL, NULL, NULL, NULL, 'FI02826P', NULL, NULL, 9787, 15),
(148022, NULL, 'PTHR23282:SF101', NULL, NULL, NULL, NULL, 'RT07201P-RELATED', NULL, NULL, NULL, 15),
(148023, NULL, 'PTHR48232:SF1', NULL, NULL, NULL, NULL, 'TOL-PAL SYSTEM PROTEIN TOLA', NULL, NULL, NULL, 15),
(148024, NULL, 'PTHR31042:SF64', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-16-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148025, NULL, 'PTHR23257:SF769', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 13', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148026, NULL, 'PTHR47760:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR B0563.6-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148027, NULL, 'PTHR12384:SF2', NULL, NULL, NULL, NULL, 'MATERNAL PROTEIN EXUPERANTIA', NULL, NULL, NULL, 15),
(148028, NULL, 'PTHR31683:SF112', NULL, NULL, NULL, NULL, 'PECTATE LYASE 10-RELATED', NULL, NULL, NULL, 15),
(148029, NULL, 'PTHR34676:SF7', NULL, NULL, NULL, NULL, 'BNAANNG17590D PROTEIN', NULL, NULL, NULL, 15),
(148030, NULL, 'PTHR22776:SF89', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(148031, NULL, 'PTHR31246:SF22', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-3-LIKE', NULL, NULL, NULL, 15),
(148032, NULL, 'PTHR33186:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148033, NULL, 'PTHR30126:SF85', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GLTR', NULL, NULL, NULL, 15),
(148034, NULL, 'PTHR18959:SF92', NULL, NULL, NULL, NULL, 'PROTEIN CBG16761', NULL, NULL, NULL, 15),
(148035, NULL, 'PTHR19375:SF447', NULL, NULL, NULL, NULL, 'SHOCK PROTEIN 70, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148036, NULL, 'PTHR24326:SF537', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-21', NULL, NULL, NULL, 15),
(148037, NULL, 'PTHR11691:SF6', NULL, NULL, NULL, NULL, 'INTERFERON KAPPA', NULL, NULL, NULL, 15),
(148038, NULL, 'PTHR10442:SF9', NULL, NULL, NULL, NULL, 'RPS21 ISOFORM 5', NULL, NULL, NULL, 15),
(148039, NULL, 'PTHR30625:SF17', NULL, NULL, NULL, NULL, 'TONB2 ENERGY TRANSDUCTION SYSTEM INNER MEMBRANE COMPONENT EXBB', NULL, NULL, NULL, 15),
(148040, NULL, 'PTHR28605', NULL, NULL, NULL, NULL, 'CTF8, CHROMOSOME TRANSMISSION FIDELITY FACTOR 8 HOMOLOG (S. CEREVISIAE)', NULL, NULL, NULL, 15),
(148041, NULL, 'PTHR40278:SF1', NULL, NULL, NULL, NULL, 'DNA UTILIZATION PROTEIN HOFN', NULL, NULL, NULL, 15),
(148042, NULL, 'PTHR43543', NULL, NULL, NULL, NULL, 'MALONIC SEMIALDEHYDE REDUCTASE RUTE-RELATED', NULL, NULL, NULL, 15),
(148043, NULL, 'PTHR10502:SF18', NULL, NULL, NULL, NULL, 'ANNEXIN A2-RELATED', NULL, NULL, 6796, 15),
(148044, NULL, 'PTHR46197:SF3', NULL, NULL, NULL, NULL, 'PROTEIN ABHD14B-LIKE', NULL, NULL, NULL, 15),
(148045, NULL, 'PTHR47991:SF1', NULL, NULL, NULL, NULL, 'OS06G0178700 PROTEIN', NULL, NULL, NULL, 15),
(148046, NULL, 'PTHR12741:SF69', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 11-LIKE', NULL, NULL, NULL, 15),
(148047, NULL, 'PTHR12271:SF49', NULL, NULL, NULL, NULL, 'TERMINAL URIDYLYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(148048, NULL, 'PTHR10426:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148049, NULL, 'PTHR44542:SF14', NULL, NULL, NULL, NULL, 'PROTEIN HIGH ARSENIC CONTENT 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(148050, NULL, 'PTHR36182:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148051, NULL, 'PTHR47260', NULL, NULL, NULL, NULL, 'UPF0644 PROTEIN PB2B4.06', NULL, NULL, NULL, 15),
(148052, NULL, 'PTHR47993:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148053, NULL, 'PTHR11216:SF68', NULL, NULL, NULL, NULL, 'INTERSECTIN-1', NULL, NULL, NULL, 15),
(148054, NULL, 'PTHR11260:SF580', NULL, NULL, NULL, NULL, 'GST7 PROTEIN', NULL, NULL, NULL, 15),
(148055, NULL, 'PTHR45650:SF33', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(148056, NULL, 'PTHR36493:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148057, NULL, 'PTHR10666:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148058, NULL, 'PTHR10218:SF321', NULL, NULL, NULL, NULL, 'EXTRA-LARGE GUANINE NUCLEOTIDE-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(148059, NULL, 'PTHR24083:SF163', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(148060, NULL, 'PTHR46709:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG02551', NULL, NULL, NULL, 15),
(148061, NULL, 'PTHR46473:SF8', NULL, NULL, NULL, NULL, 'ELRR (EXTRACELLULAR LEUCINE-RICH REPEAT) ONLY', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148062, NULL, 'PTHR45856:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148063, NULL, 'PTHR18952:SF222', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 7-LIKE', NULL, NULL, NULL, 15),
(148064, NULL, 'PTHR10953:SF194', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN-SYNTHASE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(148065, NULL, 'PTHR47990:SF176', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE ANS-RELATED', NULL, NULL, NULL, 15),
(148066, NULL, 'PTHR19241:SF617', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 7', NULL, NULL, NULL, 15),
(148067, NULL, 'PTHR23080:SF126', NULL, NULL, NULL, NULL, 'SI:DKEY-56D12.4', NULL, NULL, NULL, 15),
(148068, NULL, 'PTHR43054', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148069, NULL, 'PTHR26454:SF156', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(148070, NULL, 'PTHR33240:SF8', NULL, NULL, NULL, NULL, 'H0502G05.11 PROTEIN', NULL, NULL, NULL, 15),
(148071, NULL, 'PTHR42984:SF2', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACYLASE SIRTUIN-5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(148072, NULL, 'PTHR45648:SF126', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(148073, NULL, 'PTHR31769:SF14', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148074, NULL, 'PTHR38147:SF2', NULL, NULL, NULL, NULL, '5-FORMAMINOIMIDAZOLE-4-CARBOXAMIDE-1-(BETA)-D-RIBOFURANOSYL 5''-MONOPHOSPHATE SYNTHETASE', NULL, NULL, NULL, 15),
(148075, NULL, 'PTHR42938:SF9', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(148076, NULL, 'PTHR48044:SF54', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(148077, NULL, 'PTHR24177:SF259', NULL, NULL, NULL, NULL, 'OS06G0285900 PROTEIN', NULL, NULL, NULL, 15),
(148078, NULL, 'PTHR11743:SF52', NULL, NULL, NULL, NULL, 'PORIN/VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(148079, NULL, 'PTHR11514:SF133', NULL, NULL, NULL, NULL, 'BNAA09G53560D PROTEIN', NULL, NULL, NULL, 15),
(148080, NULL, 'PTHR24025:SF16', NULL, NULL, NULL, NULL, 'FAT ATYPICAL CADHERIN 2', NULL, NULL, NULL, 15),
(148081, NULL, 'PTHR13878', NULL, NULL, NULL, NULL, 'GULONOLACTONE OXIDASE', NULL, NULL, NULL, 15),
(148082, NULL, 'PTHR34658:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(148083, NULL, 'PTHR12002:SF108', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, NULL, 15),
(148084, NULL, 'PTHR23500:SF500', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 4', NULL, NULL, NULL, 15),
(148085, NULL, 'PTHR45815:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148086, NULL, 'PTHR13297', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 36483, 15),
(148087, NULL, 'PTHR32021:SF24', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148088, NULL, 'PTHR33779:SF11', NULL, NULL, NULL, NULL, 'OS02G0658200 PROTEIN', NULL, NULL, NULL, 15),
(148089, NULL, 'PTHR36063:SF6', NULL, NULL, NULL, NULL, 'BNAC01G40880D PROTEIN', NULL, NULL, NULL, 15),
(148090, NULL, 'PTHR11885:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S13', NULL, NULL, NULL, 15),
(148091, NULL, 'PTHR23050:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148092, NULL, 'PTHR30485:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME B', NULL, NULL, NULL, 15),
(148093, NULL, 'PTHR32468:SF99', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 19', NULL, NULL, NULL, 15),
(148094, NULL, 'PTHR23155:SF1092', NULL, NULL, NULL, NULL, 'OS01G0536501 PROTEIN', NULL, NULL, NULL, 15),
(148095, NULL, 'PTHR24238:SF49', NULL, NULL, NULL, NULL, 'TACHYKININ RECEPTOR 2', NULL, NULL, NULL, 15),
(148096, NULL, 'PTHR22850:SF213', NULL, NULL, NULL, NULL, 'BNAA07G01200D PROTEIN', NULL, NULL, NULL, 15),
(148097, NULL, 'PTHR31972:SF9', NULL, NULL, NULL, NULL, 'OS05G0108400 PROTEIN', NULL, NULL, NULL, 15),
(148098, NULL, 'PTHR22976', NULL, NULL, NULL, NULL, 'BIOTIN SYNTHASE', NULL, NULL, 2929, 15),
(148099, NULL, 'PTHR11132:SF250', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER E3', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148100, NULL, 'PTHR48018:SF25', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(148101, NULL, 'PTHR31311:SF36', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(148102, NULL, 'PTHR31920:SF78', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148103, NULL, 'PTHR24072:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148104, NULL, 'PTHR31935', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 13', NULL, NULL, 29438, 15),
(148105, NULL, 'PTHR10744:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148106, NULL, 'PTHR32099:SF20', NULL, NULL, NULL, NULL, 'OS07G0668500 PROTEIN', NULL, NULL, NULL, 15),
(148107, NULL, 'PTHR46032:SF4', NULL, NULL, NULL, NULL, 'CMP-N-ACETYLNEURAMINATE-BETA-GALACTOSAMIDE-ALPHA-2,3-SIALYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(148108, NULL, 'PTHR15710:SF143', NULL, NULL, NULL, NULL, 'OS08G0464400 PROTEIN', NULL, NULL, NULL, 15),
(148109, NULL, 'PTHR13743:SF146', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN A2-RELATED', NULL, NULL, NULL, 15),
(148110, NULL, 'PTHR37806', NULL, NULL, NULL, NULL, 'LMO0724 PROTEIN', NULL, NULL, NULL, 15),
(148111, NULL, 'PTHR44167:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RCK1', NULL, NULL, NULL, 15),
(148112, NULL, 'PTHR23510:SF71', NULL, NULL, NULL, NULL, 'BNAC01G14580D PROTEIN', NULL, NULL, NULL, 15),
(148113, NULL, 'PTHR23070:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148114, NULL, 'PTHR31604:SF15', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 1', NULL, NULL, NULL, 15),
(148115, NULL, 'PTHR33681:SF11', NULL, NULL, NULL, NULL, 'ALGINATE LYASE', NULL, NULL, NULL, 15),
(148116, NULL, 'PTHR47958:SF108', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 56 ISOFORM X1', NULL, NULL, NULL, 15),
(148117, NULL, 'PTHR11740:SF25', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', NULL, NULL, NULL, 15),
(148118, NULL, 'PTHR27009:SF184', NULL, NULL, NULL, NULL, 'S-LOCUS RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148119, NULL, 'PTHR31739:SF35', NULL, NULL, NULL, NULL, 'COPAL-8-OL DIPHOSPHATE HYDRATASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(148120, NULL, 'PTHR13742:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148121, NULL, 'PTHR24056:SF441', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148122, NULL, 'PTHR21245:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 46-RELATED', NULL, NULL, NULL, 15),
(148123, NULL, 'PTHR23382:SF21', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148124, NULL, 'PTHR30450', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE', NULL, NULL, NULL, 15),
(148125, NULL, 'PTHR47480:SF3', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(148126, NULL, 'PTHR10285:SF190', NULL, NULL, NULL, NULL, 'URIDINE KINASE DAS2-RELATED', NULL, NULL, NULL, 15),
(148127, NULL, 'PTHR15574:SF43', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 5', NULL, NULL, NULL, 15),
(148128, NULL, 'PTHR43722:SF1', NULL, NULL, NULL, NULL, 'PROLINE IMINOPEPTIDASE', NULL, NULL, NULL, 15),
(148129, NULL, 'PTHR23086:SF103', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(148130, NULL, 'PTHR22850:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148131, NULL, 'PTHR10161', NULL, NULL, NULL, NULL, 'TARTRATE-RESISTANT ACID PHOSPHATASE TYPE 5', NULL, NULL, NULL, 15),
(148132, NULL, 'PTHR46315', NULL, NULL, NULL, NULL, 'SPERMINE SYNTHASE', NULL, NULL, 9865, 15),
(148133, NULL, 'PTHR12452', NULL, NULL, NULL, NULL, '42-9-9 PROTEIN-RELATED', NULL, NULL, 37389, 15),
(148134, NULL, 'PTHR31989:SF241', NULL, NULL, NULL, NULL, 'OS12G0177600 PROTEIN', NULL, NULL, NULL, 15),
(148135, NULL, 'PTHR45968:SF29', NULL, NULL, NULL, NULL, 'BNAA02G11140D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148136, NULL, 'PTHR21824:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 177', NULL, NULL, NULL, 15),
(148137, NULL, 'PTHR15615:SF36', NULL, NULL, NULL, NULL, 'PHO85 CYCLIN-5', NULL, NULL, NULL, 15),
(148138, NULL, 'PTHR15241:SF289', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN RZ1A', NULL, NULL, NULL, 15),
(148139, NULL, 'PTHR24128:SF72', NULL, NULL, NULL, NULL, 'BNAA10G08440D PROTEIN', NULL, NULL, NULL, 15),
(148140, NULL, 'PTHR33710:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148141, NULL, 'PTHR32444:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148142, NULL, 'PTHR24009:SF14', NULL, NULL, NULL, NULL, 'RNA-BINDING ZINC FINGER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148143, NULL, 'PTHR35046', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148144, NULL, 'PTHR24068:SF325', NULL, NULL, NULL, NULL, 'OS09G0297100 PROTEIN', NULL, NULL, NULL, 15),
(148145, NULL, 'PTHR21662:SF54', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(148146, NULL, 'PTHR23155:SF1085', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPP8-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(148147, NULL, 'PTHR14002:SF31', NULL, NULL, NULL, NULL, 'GENE 7534-RELATED', NULL, NULL, NULL, 15),
(148148, NULL, 'PTHR24253:SF81', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 9', NULL, NULL, NULL, 15),
(148149, NULL, 'PTHR23192:SF81', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN 3B', NULL, NULL, NULL, 15),
(148150, NULL, 'PTHR35342:SF1', NULL, NULL, NULL, NULL, 'BLR4373 PROTEIN', NULL, NULL, NULL, 15),
(148151, NULL, 'PTHR43513', NULL, NULL, NULL, NULL, 'DIHYDROOROTATE DEHYDROGENASE B (NAD(+)), ELECTRON TRANSFER SUBUNIT', NULL, NULL, NULL, 15),
(148152, NULL, 'PTHR13950:SF13', NULL, NULL, NULL, NULL, 'DMX-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(148153, NULL, 'PTHR36778:SF1', NULL, NULL, NULL, NULL, 'CADMIUM-INDUCED PROTEIN AS8', NULL, NULL, NULL, 15),
(148154, NULL, 'PTHR38370:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148155, NULL, 'PTHR21450:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(148156, NULL, 'PTHR21357:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM172B-RELATED', NULL, NULL, NULL, 15),
(148157, NULL, 'PTHR43289:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PRKC', NULL, NULL, NULL, 15),
(148158, NULL, 'PTHR32153:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148159, NULL, 'PTHR11783:SF63', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 1C4', NULL, NULL, NULL, 15),
(148160, NULL, 'PTHR46128:SF44', NULL, NULL, NULL, NULL, 'BNAC09G20840D PROTEIN', NULL, NULL, NULL, 15),
(148161, NULL, 'PTHR23056:SF94', NULL, NULL, NULL, NULL, 'B, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148162, NULL, 'PTHR46335', NULL, NULL, NULL, NULL, 'CUBILIN', NULL, NULL, NULL, 15),
(148163, NULL, 'PTHR14677:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148164, NULL, 'PTHR33834:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148165, NULL, 'PTHR31915:SF8', NULL, NULL, NULL, NULL, 'TAX1-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(148166, NULL, 'PTHR33207:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148167, NULL, 'PTHR45974:SF194', NULL, NULL, NULL, NULL, 'CYANATE HYDRATASE', NULL, NULL, NULL, 15),
(148168, NULL, 'PTHR35526:SF3', NULL, NULL, NULL, NULL, 'REGULATOR OF SIG15-RELATED', NULL, NULL, NULL, 15),
(148169, NULL, 'PTHR12565', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN', NULL, NULL, 19299, 15),
(148170, NULL, 'PTHR23021:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(148171, NULL, 'PTHR32024', NULL, NULL, NULL, NULL, 'TRK SYSTEM POTASSIUM UPTAKE PROTEIN TRKG-RELATED', NULL, NULL, NULL, 15),
(148172, NULL, 'PTHR46219', NULL, NULL, NULL, NULL, 'PROTEIN CBG11138', NULL, NULL, NULL, 15),
(148173, NULL, 'PTHR33548:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148174, NULL, 'PTHR11818:SF120', NULL, NULL, NULL, NULL, 'CRYSTALLIN, GAMMA MX,-LIKE 1', NULL, NULL, NULL, 15),
(148175, NULL, 'PTHR40032', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148176, NULL, 'PTHR21649:SF121', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(148177, NULL, 'PTHR22811:SF180', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE P24-TRAFFICKING PROTEIN 1B', NULL, NULL, NULL, 15),
(148178, NULL, 'PTHR33102:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148179, NULL, 'PTHR23267:SF380', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 2D-29', NULL, NULL, NULL, 15),
(148180, NULL, 'PTHR31561:SF163', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(148181, NULL, 'PTHR10909:SF374', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, NULL, 15),
(148182, NULL, 'PTHR12422:SF1', NULL, NULL, NULL, NULL, 'GH09096P', NULL, NULL, NULL, 15),
(148183, NULL, 'PTHR10682:SF37', NULL, NULL, NULL, NULL, 'BNAC07G48830D PROTEIN', NULL, NULL, NULL, 15),
(148184, NULL, 'PTHR18945:SF569', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE-GATED CHLORIDE CHANNEL SUBUNIT ACC-2', NULL, NULL, NULL, 15),
(148185, NULL, 'PTHR11407:SF32', NULL, NULL, NULL, NULL, 'ALPHA-LACTALBUMIN', NULL, NULL, 5587, 15),
(148186, NULL, 'PTHR19964:SF56', NULL, NULL, NULL, NULL, 'FERM AND PDZ DOMAIN-CONTAINING PROTEIN 2-RELATED', NULL, NULL, 26834, 15),
(148187, NULL, 'PTHR15315:SF83', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(148188, NULL, 'PTHR31210:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148189, NULL, 'PTHR46476:SF13', NULL, NULL, NULL, NULL, 'CHITINASE 2', NULL, NULL, NULL, 15),
(148190, NULL, 'PTHR10334:SF463', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN, ALLERGEN V5/TPX-1-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148191, NULL, 'PTHR11430:SF28', NULL, NULL, NULL, NULL, 'EPIDIDYMAL-SPECIFIC LIPOCALIN-9', NULL, NULL, NULL, 15),
(148192, NULL, 'PTHR31365:SF13', NULL, NULL, NULL, NULL, 'COPPER ION BINDING PROTEIN', NULL, NULL, NULL, 15),
(148193, NULL, 'PTHR34149', NULL, NULL, NULL, NULL, 'PROTEIN CBG11905-RELATED', NULL, NULL, 14881, 15),
(148194, NULL, 'PTHR31674:SF22', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM17', NULL, NULL, NULL, 15),
(148195, NULL, 'PTHR31865:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148196, NULL, 'PTHR46128:SF51', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148197, NULL, 'PTHR24228:SF65', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(148198, NULL, 'PTHR47593:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 7-LIKE', NULL, NULL, NULL, 15),
(148199, NULL, 'PTHR31752:SF44', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', NULL, NULL, NULL, 15),
(148200, NULL, 'PTHR11206:SF368', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(148201, NULL, 'PTHR10314:SF216', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL CYSTATHIONINE GAMMA-LYASE/CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(148202, NULL, 'PTHR15261:SF5', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-TYPE LAMININ G DOMAIN AND EAR REPEATS B', NULL, NULL, NULL, 15),
(148203, NULL, 'PTHR48041:SF28', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(148204, NULL, 'PTHR43629', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(148205, NULL, 'PTHR31321:SF67', NULL, NULL, NULL, NULL, 'PECTINESTERASE 29-RELATED', NULL, NULL, NULL, 15),
(148206, NULL, 'PTHR10353:SF206', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148207, NULL, 'PTHR31444:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148208, NULL, 'PTHR45842:SF2', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 10', NULL, NULL, NULL, 15),
(148209, NULL, 'PTHR10015:SF387', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR PROTEIN HSF8', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148210, NULL, 'PTHR47290:SF3', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN', NULL, NULL, NULL, 15),
(148211, NULL, 'PTHR11260:SF565', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(148212, NULL, 'PTHR37708:SF5', NULL, NULL, NULL, NULL, 'BNAA02G12750D PROTEIN', NULL, NULL, NULL, 15),
(148213, NULL, 'PTHR36892:SF7', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN F', NULL, NULL, NULL, 15),
(148214, NULL, 'PTHR23431:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148215, NULL, 'PTHR47416:SF4', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 28', NULL, NULL, NULL, 15),
(148216, NULL, 'PTHR48054:SF34', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE', NULL, NULL, NULL, 15),
(148217, NULL, 'PTHR48083:SF19', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT MONOOXYGENASE, OXYGENASE SUBUNIT HSAA', NULL, NULL, NULL, 15),
(148218, NULL, 'PTHR23420:SF0', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', NULL, NULL, NULL, 15),
(148219, NULL, 'PTHR11814:SF32', NULL, NULL, NULL, NULL, 'PRESTIN', NULL, NULL, 28823, 15),
(148220, NULL, 'PTHR34794:SF6', NULL, NULL, NULL, NULL, 'BNAA03G54240D PROTEIN', NULL, NULL, NULL, 15),
(148221, NULL, 'PTHR45974:SF28', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148222, NULL, 'PTHR42673:SF12', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, 16310, 15),
(148223, NULL, 'PTHR28559:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XRCC4', NULL, NULL, NULL, 15),
(148224, NULL, 'PTHR12680', NULL, NULL, NULL, NULL, 'PUTATIVE HOMEODOMAIN TRANSCRIPTION FACTOR  PHTF', NULL, NULL, 36454, 15),
(148225, NULL, 'PTHR22880:SF237', NULL, NULL, NULL, NULL, 'BET (TWO BROMODOMAINS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148226, NULL, 'PTHR46662:SF23', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148227, NULL, 'PTHR22950:SF647', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER ANTL2-LIKE', NULL, NULL, NULL, 15),
(148228, NULL, 'PTHR24412:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148229, NULL, 'PTHR22780:SF33', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(148230, NULL, 'PTHR15315:SF31', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE AIRP2', NULL, NULL, NULL, 15),
(148231, NULL, 'PTHR13680:SF33', NULL, NULL, NULL, NULL, 'CDGSH IRON-SULFUR DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(148232, NULL, 'PTHR10219:SF88', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(148233, NULL, 'PTHR31684', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 43', NULL, NULL, 35342, 15),
(148234, NULL, 'PTHR31677:SF138', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 3', NULL, NULL, NULL, 15),
(148235, NULL, 'PTHR22807:SF69', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(48)-C(5))-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(148236, NULL, 'PTHR31897:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG04178', NULL, NULL, NULL, 15),
(148237, NULL, 'PTHR14359:SF22', NULL, NULL, NULL, NULL, 'DNA/PANTOTHENATE METABOLISM FLAVOPROTEIN', NULL, NULL, NULL, 15),
(148238, NULL, 'PTHR39651:SF1', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RESOLVASE HJC', NULL, NULL, NULL, 15),
(148239, NULL, 'PTHR24376:SF103', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 229', NULL, NULL, NULL, 15),
(148240, NULL, 'PTHR43555:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE SUBUNIT PURL', NULL, NULL, NULL, 15),
(148241, NULL, 'PTHR43000:SF30', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL UDP-GLUCOSE 4,6-DEHYDRATASE/UDP-4-KETO-6-DEOXY-D-GLUCOSE 3,5-EPIMERASE/UDP-4-KETO-L-RHAMNOSE-REDUCTASE RHM3', NULL, NULL, NULL, 15),
(148242, NULL, 'PTHR23077:SF121', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 5-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(148243, NULL, 'PTHR33544', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 29681, 15),
(148244, NULL, 'PTHR35806', NULL, NULL, NULL, NULL, 'OXALOACETATE DECARBOXYLASE BETA CHAIN 2', NULL, NULL, 3694, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148245, NULL, 'PTHR11851:SF216', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(148246, NULL, 'PTHR31730:SF32', NULL, NULL, NULL, NULL, 'DUF668 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148247, NULL, 'PTHR11987:SF50', NULL, NULL, NULL, NULL, 'ST8 ALPHA-N-ACETYL-NEURAMINIDE ALPHA-2,8-SIALYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(148248, NULL, 'PTHR33115:SF36', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(148249, NULL, 'PTHR12547:SF145', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 15-LIKE', NULL, NULL, NULL, 15),
(148250, NULL, 'PTHR31190:SF120', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ABR1-RELATED', NULL, NULL, NULL, 15),
(148251, NULL, 'PTHR47517', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN-RELATED', NULL, NULL, NULL, 15),
(148252, NULL, 'PTHR10585:SF26', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR A', NULL, NULL, NULL, 15),
(148253, NULL, 'PTHR11538:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148254, NULL, 'PTHR22803:SF138', NULL, NULL, NULL, NULL, 'CD302 MOLECULE', NULL, NULL, NULL, 15),
(148255, NULL, 'PTHR31715:SF0', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN G', NULL, NULL, NULL, 15),
(148256, NULL, 'PTHR45616:SF47', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 6B-RELATED', NULL, NULL, NULL, 15),
(148257, NULL, 'PTHR23200', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35679, 15),
(148258, NULL, 'PTHR47770', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(148259, NULL, 'PTHR10168:SF268', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE, PLANT II, THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148260, NULL, 'PTHR46413:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148261, NULL, 'PTHR10177:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148262, NULL, 'PTHR31727:SF5', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', NULL, NULL, NULL, 15),
(148263, NULL, 'PTHR45987:SF13', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L12-1', NULL, NULL, NULL, 15),
(148264, NULL, 'PTHR43243:SF41', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(148265, NULL, 'PTHR11504:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6A2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(148266, NULL, 'PTHR10285:SF153', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE TTM2', NULL, NULL, NULL, 15),
(148267, NULL, 'PTHR31901:SF44', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6-RELATED', NULL, NULL, NULL, 15),
(148268, NULL, 'PTHR33568:SF2', NULL, NULL, NULL, NULL, 'DNA POLYMERASE', NULL, NULL, NULL, 15),
(148269, NULL, 'PTHR11849:SF287', NULL, NULL, NULL, NULL, 'AXON STEERING DEFECT', NULL, NULL, NULL, 15),
(148270, NULL, 'PTHR10046:SF66', NULL, NULL, NULL, NULL, 'ARCHAEAL LON PROTEASE', NULL, NULL, NULL, 15),
(148271, NULL, 'PTHR31792:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148272, NULL, 'PTHR43243', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORTER YGJI-RELATED', NULL, NULL, NULL, 15),
(148273, NULL, 'PTHR31731:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148274, NULL, 'PTHR34566:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148275, NULL, 'PTHR43016:SF12', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C OXIDOREDUCTASE COMPLEX', NULL, NULL, NULL, 15),
(148276, NULL, 'PTHR11850:SF53', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN PKNOX2', NULL, NULL, NULL, 15),
(148277, NULL, 'PTHR35689:SF2', NULL, NULL, NULL, NULL, 'PLANT PROTEIN MATCH IS: (TAIR:PLANT.1) PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148278, NULL, 'PTHR47999:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB12', NULL, NULL, NULL, 15),
(148279, NULL, 'PTHR24320:SF228', NULL, NULL, NULL, NULL, 'BNAANNG32000D PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148280, NULL, 'PTHR21277:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF RNA POLII, SAGA, SUBUNIT', NULL, NULL, NULL, 15),
(148281, NULL, 'PTHR43173:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148282, NULL, 'PTHR10188:SF36', NULL, NULL, NULL, NULL, 'PEPTIDASE T2, ASPARAGINASE 2, NUCLEOPHILE AMINOHYDROLASE-RELATED', NULL, NULL, NULL, 15),
(148283, NULL, 'PTHR37344:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 5', NULL, NULL, NULL, 15),
(148284, NULL, 'PTHR40636:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148285, NULL, 'PTHR31672', NULL, NULL, NULL, NULL, 'BNACNNG10540D PROTEIN', NULL, NULL, NULL, 15),
(148286, NULL, 'PTHR19446:SF443', NULL, NULL, NULL, NULL, 'LRRGT00075', NULL, NULL, NULL, 15),
(148287, NULL, 'PTHR47077:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148288, NULL, 'PTHR33647', NULL, NULL, NULL, NULL, 'OS01G0793900 PROTEIN', NULL, NULL, NULL, 15),
(148289, NULL, 'PTHR24209:SF31', NULL, NULL, NULL, NULL, 'PROTEIN DA1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(148290, NULL, 'PTHR33820:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 17', NULL, NULL, NULL, 15),
(148291, NULL, 'PTHR43768:SF39', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(148292, NULL, 'PTHR45828:SF19', NULL, NULL, NULL, NULL, 'DEFENSE PROTEIN L(2)34FC', NULL, NULL, NULL, 15),
(148293, NULL, 'PTHR31373:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148294, NULL, 'PTHR32285:SF144', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE RELATED PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148295, NULL, 'PTHR23268:SF85', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 29-1', NULL, NULL, NULL, 15),
(148296, NULL, 'PTHR24345:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK2', NULL, NULL, NULL, 15),
(148297, NULL, 'PTHR11915:SF433', NULL, NULL, NULL, NULL, 'SPECTRIN BETA, NON-ERYTHROCYTIC 5', NULL, NULL, NULL, 15),
(148298, NULL, 'PTHR46725', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 57', NULL, NULL, 37117, 15),
(148299, NULL, 'PTHR11346:SF26', NULL, NULL, NULL, NULL, 'GALECTIN-3', NULL, NULL, 8047, 15),
(148300, NULL, 'PTHR33232:SF19', NULL, NULL, NULL, NULL, 'SIEVE ELEMENT OCCLUSION-RELATED', NULL, NULL, NULL, 15),
(148301, NULL, 'PTHR47805:SF1', NULL, NULL, NULL, NULL, 'SAGA-ASSOCIATED FACTOR 73', NULL, NULL, NULL, 15),
(148302, NULL, 'PTHR10845:SF250', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148303, NULL, 'PTHR31052:SF2', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(148304, NULL, 'PTHR48197', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148305, NULL, 'PTHR11587:SF9', NULL, NULL, NULL, NULL, 'BNAA03G46970D PROTEIN', NULL, NULL, NULL, 15),
(148306, NULL, 'PTHR37514', NULL, NULL, NULL, NULL, 'N-TERMINAL DELTA ENDOTOXIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148307, NULL, 'PTHR31741:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148308, NULL, 'PTHR47152:SF1', NULL, NULL, NULL, NULL, 'SLL1186 PROTEIN', NULL, NULL, NULL, 15),
(148309, NULL, 'PTHR31238:SF187', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148310, NULL, 'PTHR32468:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148311, NULL, 'PTHR12832:SF32', NULL, NULL, NULL, NULL, 'T-COMPLEX 11 FAMILY, X-LINKED 2', NULL, NULL, NULL, 15),
(148312, NULL, 'PTHR23115:SF274', NULL, NULL, NULL, NULL, 'BNAC08G43440D PROTEIN', NULL, NULL, NULL, 15),
(148313, NULL, 'PTHR24414:SF109', NULL, NULL, NULL, NULL, 'BNAA04G28180D PROTEIN', NULL, NULL, NULL, 15),
(148314, NULL, 'PTHR45647:SF32', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(148315, NULL, 'PTHR46529:SF1', NULL, NULL, NULL, NULL, 'TRNA WYBUTOSINE-SYNTHESIZING PROTEIN 4', NULL, NULL, NULL, 15),
(148316, NULL, 'PTHR46067:SF23', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE (GNAT) DOMAIN PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148317, NULL, 'PTHR48061:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148318, NULL, 'PTHR48100:SF9', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE 2 PARALOG', NULL, NULL, NULL, 15),
(148319, NULL, 'PTHR32295:SF95', NULL, NULL, NULL, NULL, 'OS01G0194200 PROTEIN', NULL, NULL, NULL, 15),
(148320, NULL, 'PTHR46547', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GIS', NULL, NULL, 36645, 15),
(148321, NULL, 'PTHR13723:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148322, NULL, 'PTHR27002:SF396', NULL, NULL, NULL, NULL, 'OS06G0496800 PROTEIN', NULL, NULL, NULL, 15),
(148323, NULL, 'PTHR31852:SF218', NULL, NULL, NULL, NULL, 'PROTEIN YLS9-LIKE', NULL, NULL, NULL, 15),
(148324, NULL, 'PTHR47933:SF18', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148325, NULL, 'PTHR12804:SF6', NULL, NULL, NULL, NULL, 'ADIPOCYTE-RELATED X-CHROMOSOME EXPRESSED SEQUENCE 1-RELATED', NULL, NULL, NULL, 15),
(148326, NULL, 'PTHR46162:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148327, NULL, 'PTHR31048', NULL, NULL, NULL, NULL, 'OS03G0233200 PROTEIN', NULL, NULL, 2162, 15),
(148328, NULL, 'PTHR24232:SF54', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 35', NULL, NULL, NULL, 15),
(148329, NULL, 'PTHR34780', NULL, NULL, NULL, NULL, 'OS08G0427800 PROTEIN', NULL, NULL, NULL, 15),
(148330, NULL, 'PTHR10528:SF16', NULL, NULL, NULL, NULL, 'AF4/FMR2 FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(148331, NULL, 'PTHR43625:SF16', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE FAMILY-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148332, NULL, 'PTHR45624:SF44', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148333, NULL, 'PTHR48097:SF5', NULL, NULL, NULL, NULL, 'LOW SPECIFICITY L-THREONINE ALDOLASE', NULL, NULL, NULL, 15),
(148334, NULL, 'PTHR39330', NULL, NULL, NULL, NULL, 'ETHANOLAMINE AMMONIA-LYASE LIGHT CHAIN', NULL, NULL, 13884, 15),
(148335, NULL, 'PTHR24559:SF359', NULL, NULL, NULL, NULL, 'RNA-DIRECTED DNA POLYMERASE HOMOLOG', NULL, NULL, NULL, 15),
(148336, NULL, 'PTHR33057:SF162', NULL, NULL, NULL, NULL, 'BNAA07G01700D PROTEIN', NULL, NULL, NULL, 15),
(148337, NULL, 'PTHR13480:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HAKAI', NULL, NULL, NULL, 15),
(148338, NULL, 'PTHR34281:SF2', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 3', NULL, NULL, NULL, 15),
(148339, NULL, 'PTHR33832:SF21', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR TYPE-2 CEVI57-LIKE', NULL, NULL, NULL, 15),
(148340, NULL, 'PTHR36078:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148341, NULL, 'PTHR11384:SF57', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148342, NULL, 'PTHR33494:SF14', NULL, NULL, NULL, NULL, 'BNAC05G19210D PROTEIN', NULL, NULL, NULL, 15),
(148343, NULL, 'PTHR31416:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 125', NULL, NULL, NULL, 15),
(148344, NULL, 'PTHR42908:SF8', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TYPA-LIKE SVR3, CHLOROPLASTIC-RELATED', NULL, NULL, 4504, 15),
(148345, NULL, 'PTHR11848:SF258', NULL, NULL, NULL, NULL, 'DAWDLE', NULL, NULL, NULL, 15),
(148346, NULL, 'PTHR22035:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(148347, NULL, 'PTHR33070:SF72', NULL, NULL, NULL, NULL, 'OS08G0551300 PROTEIN', NULL, NULL, NULL, 15),
(148348, NULL, 'PTHR14490:SF5', NULL, NULL, NULL, NULL, 'PROTEIN KRI1 HOMOLOG', NULL, NULL, NULL, 15),
(148349, NULL, 'PTHR10641:SF1229', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39-LIKE', NULL, NULL, NULL, 15),
(148350, NULL, 'PTHR31625:SF38', NULL, NULL, NULL, NULL, 'MALONYL-COA:ANTHOCYANIDIN 5-O-GLUCOSIDE-6''''-O-MALONYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(148351, NULL, 'PTHR24031:SF89', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE CG8611-RELATED', NULL, NULL, NULL, 15),
(148352, NULL, 'PTHR46390:SF1', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLYLTRANSFERASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148353, NULL, 'PTHR46891:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG05001', NULL, NULL, NULL, 15),
(148354, NULL, 'PTHR44743:SF7', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(148355, NULL, 'PTHR33110:SF61', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(148356, NULL, 'PTHR31620:SF15', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(148357, NULL, 'PTHR16019:SF20', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148358, NULL, 'PTHR16207:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TASOR', NULL, NULL, NULL, 15),
(148359, NULL, 'PTHR46366:SF3', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148360, NULL, 'PTHR34483:SF4', NULL, NULL, NULL, NULL, 'OS08G0256000 PROTEIN', NULL, NULL, NULL, 15),
(148361, NULL, 'PTHR26453:SF668', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(148362, NULL, 'PTHR10381:SF63', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', NULL, NULL, NULL, 15),
(148363, NULL, 'PTHR28632', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 7', NULL, NULL, 9743, 15),
(148364, NULL, 'PTHR15723', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 15', NULL, NULL, NULL, 15),
(148365, NULL, 'PTHR43362', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE DSF1-RELATED', NULL, NULL, NULL, 15),
(148366, NULL, 'PTHR11726:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148367, NULL, 'PTHR47070', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', NULL, NULL, NULL, 15),
(148368, NULL, 'PTHR24133:SF42', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 16', NULL, NULL, NULL, 15),
(148369, NULL, 'PTHR10663:SF375', NULL, NULL, NULL, NULL, 'LD29171P', NULL, NULL, NULL, 15),
(148370, NULL, 'PTHR48233', NULL, NULL, NULL, NULL, 'MUCIN 4B, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(148371, NULL, 'PTHR47926:SF270', NULL, NULL, NULL, NULL, 'BNAA10G08970D PROTEIN', NULL, NULL, NULL, 15),
(148372, NULL, 'PTHR36745', NULL, NULL, NULL, NULL, 'OS02G0824400 PROTEIN', NULL, NULL, NULL, 15),
(148373, NULL, 'PTHR45752:SF10', NULL, NULL, NULL, NULL, 'PH DOMAIN LEUCINE-RICH REPEAT-CONTAINING PROTEIN PHOSPHATASE 2', NULL, NULL, NULL, 15),
(148374, NULL, 'PTHR21584:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148375, NULL, 'PTHR43570:SF16', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(148376, NULL, 'PTHR12937:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 28 HOMOLOG', NULL, NULL, NULL, 15),
(148377, NULL, 'PTHR12565:SF302', NULL, NULL, NULL, NULL, 'OS09G0510500 PROTEIN', NULL, NULL, NULL, 15),
(148378, NULL, 'PTHR24559:SF369', NULL, NULL, NULL, NULL, 'PRO-POL POLYPROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148379, NULL, 'PTHR11360:SF8', NULL, NULL, NULL, NULL, 'BCDNA.LD28120-RELATED', NULL, NULL, NULL, 15),
(148380, NULL, 'PTHR31228:SF35', NULL, NULL, NULL, NULL, 'BNAANNG03160D PROTEIN', NULL, NULL, NULL, 15),
(148381, NULL, 'PTHR33147:SF65', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148382, NULL, 'PTHR11552:SF123', NULL, NULL, NULL, NULL, 'GMC OXIDOREDUCTASE (AFU_ORTHOLOGUE AFUA_2G01770)', NULL, NULL, NULL, 15),
(148383, NULL, 'PTHR47075:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH47-LIKE', NULL, NULL, NULL, 15),
(148384, NULL, 'PTHR13847', NULL, NULL, NULL, NULL, 'SARCOSINE DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(148385, NULL, 'PTHR21243:SF18', NULL, NULL, NULL, NULL, 'TRANSDUCER, PUTATIVE (DUF3550/UPF0682)-RELATED', NULL, NULL, NULL, 15),
(148386, NULL, 'PTHR26379:SF388', NULL, NULL, NULL, NULL, 'OSJNBA0053K19.29 PROTEIN', NULL, NULL, NULL, 15),
(148387, NULL, 'PTHR45658:SF82', NULL, NULL, NULL, NULL, 'BNAANNG15440D PROTEIN', NULL, NULL, NULL, 15),
(148388, NULL, 'PTHR23500:SF155', NULL, NULL, NULL, NULL, 'OS04G0679050 PROTEIN', NULL, NULL, NULL, 15),
(148389, NULL, 'PTHR45721:SF6', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFB-1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148390, NULL, 'PTHR36519:SF2', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED-RELATED', NULL, NULL, NULL, 15),
(148391, NULL, 'PTHR47518:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG06684', NULL, NULL, NULL, 15),
(148392, NULL, 'PTHR22115', NULL, NULL, NULL, NULL, 'C3ORF6 PROTEIN-RELATED', NULL, NULL, 29014, 15),
(148393, NULL, 'PTHR35498:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MET1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(148394, NULL, 'PTHR33699:SF24', NULL, NULL, NULL, NULL, 'BNAA09G03070D PROTEIN', NULL, NULL, NULL, 15),
(148395, NULL, 'PTHR12236:SF3', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 64AD', NULL, NULL, NULL, 15),
(148396, NULL, 'PTHR37767', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148397, NULL, 'PTHR27006:SF286', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148398, NULL, 'PTHR47985:SF17', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', NULL, NULL, NULL, 15),
(148399, NULL, 'PTHR46094:SF1', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 9', NULL, NULL, NULL, 15),
(148400, NULL, 'PTHR11537:SF254', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL PROTEIN SHAB', NULL, NULL, NULL, 15),
(148401, NULL, 'PTHR15344:SF14', NULL, NULL, NULL, NULL, 'CDC42 EFFECTOR PROTEIN 4', NULL, NULL, NULL, 15),
(148402, NULL, 'PTHR23213:SF341', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148403, NULL, 'PTHR43507:SF13', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE PROTEIN', NULL, NULL, NULL, 15),
(148404, NULL, 'PTHR15371', NULL, NULL, NULL, NULL, 'TIM23', NULL, NULL, 38096, 15),
(148405, NULL, 'PTHR21208:SF1', NULL, NULL, NULL, NULL, 'ADP-DEPENDENT GLUCOKINASE 2', NULL, NULL, NULL, 15),
(148406, NULL, 'PTHR23515:SF19', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER 2.3', NULL, NULL, NULL, 15),
(148407, NULL, 'PTHR31683:SF68', NULL, NULL, NULL, NULL, 'PECTIN LYASE B-RELATED', NULL, NULL, NULL, 15),
(148408, NULL, 'PTHR11089:SF37', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN-LIKE NSN1', NULL, NULL, NULL, 15),
(148409, NULL, 'PTHR46039:SF8', NULL, NULL, NULL, NULL, 'BNAA02G04800D PROTEIN', NULL, NULL, NULL, 15),
(148410, NULL, 'PTHR46033:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148411, NULL, 'PTHR45613:SF415', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148412, NULL, 'PTHR48044:SF37', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(148413, NULL, 'PTHR31534:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148414, NULL, 'PTHR14221:SF37', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER', NULL, NULL, NULL, 15),
(148415, NULL, 'PTHR16266:SF32', NULL, NULL, NULL, NULL, 'PH-INTERACTING PROTEIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(148416, NULL, 'PTHR23279:SF13', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 12, ISOFORM C-RELATED', NULL, NULL, NULL, 15),
(148417, NULL, 'PTHR11551:SF6', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(148418, NULL, 'PTHR31044', NULL, NULL, NULL, NULL, 'BETA-1,3 GLUCANASE', NULL, NULL, 37066, 15),
(148419, NULL, 'PTHR48043:SF5', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-58-RELATED', NULL, NULL, NULL, 15),
(148420, NULL, 'PTHR11260:SF540', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U7-LIKE', NULL, NULL, NULL, 15),
(148421, NULL, 'PTHR45621:SF132', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 2A, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(148422, NULL, 'PTHR13691:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148423, NULL, 'PTHR31048:SF3', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(148424, NULL, 'PTHR45977:SF14', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE RIE1', NULL, NULL, NULL, 15),
(148425, NULL, 'PTHR10015:SF286', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148426, NULL, 'PTHR27000:SF224', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN-TYROSINE KINASE CEPR1', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148427, NULL, 'PTHR13722', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN 8', NULL, NULL, 35655, 15),
(148428, NULL, 'PTHR48017:SF129', NULL, NULL, NULL, NULL, 'OS04G0490900 PROTEIN', NULL, NULL, NULL, 15),
(148429, NULL, 'PTHR35166:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148430, NULL, 'PTHR35037', NULL, NULL, NULL, NULL, 'C-TERMINAL REGION OF AIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148431, NULL, 'PTHR35013:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG09921', NULL, NULL, NULL, 15),
(148432, NULL, 'PTHR31818:SF23', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(148433, NULL, 'PTHR44259:SF1', NULL, NULL, NULL, NULL, 'OS06G0659700 PROTEIN', NULL, NULL, NULL, 15),
(148434, NULL, 'PTHR43605:SF1', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE ACSM6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(148435, NULL, 'PTHR14224:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148436, NULL, 'PTHR43184:SF17', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE TRANSPORTER 2-RELATED', NULL, NULL, NULL, 15),
(148437, NULL, 'PTHR14903:SF5', NULL, NULL, NULL, NULL, 'SCLEROSTIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(148438, NULL, 'PTHR11700:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(148439, NULL, 'PTHR31235:SF247', NULL, NULL, NULL, NULL, 'PEROXIDASE 66', NULL, NULL, NULL, 15),
(148440, NULL, 'PTHR31344:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148441, NULL, 'PTHR28216:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DUO1', NULL, NULL, NULL, 15),
(148442, NULL, 'PTHR16222:SF12', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLGLYCOHYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G01570)', NULL, NULL, NULL, 15),
(148443, NULL, 'PTHR45675:SF72', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', NULL, NULL, NULL, 15),
(148444, NULL, 'PTHR39585:SF1', NULL, NULL, NULL, NULL, 'FAD ASSEMBLY FACTOR SDHE', NULL, NULL, NULL, 15),
(148445, NULL, 'PTHR23359:SF22', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(148446, NULL, 'PTHR18966:SF513', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, AMPA 1B', NULL, NULL, NULL, 15),
(148447, NULL, 'PTHR34674:SF3', NULL, NULL, NULL, NULL, 'BNAA03G57520D PROTEIN', NULL, NULL, NULL, 15),
(148448, NULL, 'PTHR31707:SF188', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(148449, NULL, 'PTHR24240:SF2', NULL, NULL, NULL, NULL, 'NOVOPSIN-1', NULL, NULL, NULL, 15),
(148450, NULL, 'PTHR16228:SF7', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 41 MEMBER 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148451, NULL, 'PTHR24060:SF98', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 7', NULL, NULL, NULL, 15),
(148452, NULL, 'PTHR34807:SF2', NULL, NULL, NULL, NULL, 'OS09G0421500 PROTEIN', NULL, NULL, NULL, 15),
(148453, NULL, 'PTHR12585:SF29', NULL, NULL, NULL, NULL, 'FI11703P', NULL, NULL, NULL, 15),
(148454, NULL, 'PTHR13385:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN ATG12', NULL, NULL, NULL, 15),
(148455, NULL, 'PTHR22738:SF12', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 29074, 15),
(148456, NULL, 'PTHR31639:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148457, NULL, 'PTHR11353:SF100', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT THETA-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(148458, NULL, 'PTHR48049:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148459, NULL, 'PTHR48104:SF30', NULL, NULL, NULL, NULL, 'METACASPASE-1', NULL, NULL, NULL, 15),
(148460, NULL, 'PTHR21859:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148461, NULL, 'PTHR32295:SF153', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148462, NULL, 'PTHR11431:SF90', NULL, NULL, NULL, NULL, 'FERRITIN-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(148463, NULL, 'PTHR33781:SF13', NULL, NULL, NULL, NULL, 'PHYTOCHROME KINASE SUBSTRATE 2-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148464, NULL, 'PTHR37375:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(148465, NULL, 'PTHR33432:SF2', NULL, NULL, NULL, NULL, 'R-INTERACTING FACTOR 1', NULL, NULL, NULL, 15),
(148466, NULL, 'PTHR11802:SF239', NULL, NULL, NULL, NULL, 'PEPTIDASE S10, SERINE CARBOXYPEPTIDASE, ALPHA/BETA HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(148467, NULL, 'PTHR36899:SF3', NULL, NULL, NULL, NULL, 'OS04G0395700 PROTEIN', NULL, NULL, NULL, 15),
(148468, NULL, 'PTHR43337:SF1', NULL, NULL, NULL, NULL, 'XANTHINE/URACIL PERMEASE C887.17-RELATED', NULL, NULL, NULL, 15),
(148469, NULL, 'PTHR28242:SF37', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(148470, NULL, 'PTHR10694:SF100', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ16 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(148471, NULL, 'PTHR21596:SF63', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 1', NULL, NULL, NULL, 15),
(148472, NULL, 'PTHR11306:SF44', NULL, NULL, NULL, NULL, 'MD-LIKE LIPID RECOGNITION DOMAIN PROTEIN/ML DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(148473, NULL, 'PTHR23056:SF111', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(148474, NULL, 'PTHR27006:SF405', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148475, NULL, 'PTHR11926:SF1071', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(148476, NULL, 'PTHR46226:SF5', NULL, NULL, NULL, NULL, 'OS09G0258000 PROTEIN', NULL, NULL, NULL, 15),
(148477, NULL, 'PTHR47928:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148478, NULL, 'PTHR32219:SF10', NULL, NULL, NULL, NULL, 'PROTON PUMP-INTERACTOR 1-LIKE', NULL, NULL, NULL, 15),
(148479, NULL, 'PTHR43180:SF67', NULL, NULL, NULL, NULL, 'CHAIN ALCOHOL DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148480, NULL, 'PTHR24055:SF380', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NLK', NULL, NULL, NULL, 15),
(148481, NULL, 'PTHR11486:SF3', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 8', NULL, NULL, 22424, 15),
(148482, NULL, 'PTHR11705:SF131', NULL, NULL, NULL, NULL, 'PROTEIN CBG14938', NULL, NULL, NULL, 15),
(148483, NULL, 'PTHR31584', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P53-INDUCIBLE PROTEIN 11', NULL, NULL, 29362, 15),
(148484, NULL, 'PTHR30157:SF0', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT FERRIC-CHELATE REDUCTASE', NULL, NULL, NULL, 15),
(148485, NULL, 'PTHR31444:SF26', NULL, NULL, NULL, NULL, 'GLUCURONOXYLAN 4-O-METHYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(148486, NULL, 'PTHR45687:SF32', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-5-RELATED', NULL, NULL, NULL, 15),
(148487, NULL, 'PTHR24343:SF415', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(148488, NULL, 'PTHR12378:SF53', NULL, NULL, NULL, NULL, 'THIOL PEPTIDASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148489, NULL, 'PTHR24056:SF465', NULL, NULL, NULL, NULL, 'GPCR KINASE-RELATED', NULL, NULL, NULL, 15),
(148490, NULL, 'PTHR24062:SF53', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(148491, NULL, 'PTHR46059:SF4', NULL, NULL, NULL, NULL, 'ST6 BETA-GALACTOSAMIDE ALPHA-2,6-SIALYLTRANFERASE 1', NULL, NULL, NULL, 15),
(148492, NULL, 'PTHR46219:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG04629', NULL, NULL, NULL, 15),
(148493, NULL, 'PTHR11638:SF93', NULL, NULL, NULL, NULL, 'CASEINOLYTIC PEPTIDASE B PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(148494, NULL, 'PTHR11783:SF203', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(148495, NULL, 'PTHR31901:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148496, NULL, 'PTHR10015:SF325', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-8', NULL, NULL, NULL, 15),
(148497, NULL, 'PTHR31679:SF3', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX32', NULL, NULL, 22328, 15),
(148498, NULL, 'PTHR31393', NULL, NULL, NULL, NULL, 'C5ORF31', NULL, NULL, 25064, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148499, NULL, 'PTHR14499:SF20', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD19', NULL, NULL, NULL, 15),
(148500, NULL, 'PTHR15454:SF37', NULL, NULL, NULL, NULL, 'OUTER ARM DYNEIN LIGHT CHAIN 1 PROTEIN', NULL, NULL, NULL, 15),
(148501, NULL, 'PTHR47979:SF54', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA2A', NULL, NULL, NULL, 15),
(148502, NULL, 'PTHR32382:SF5', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 10', NULL, NULL, NULL, 15),
(148503, NULL, 'PTHR22993', NULL, NULL, NULL, NULL, 'FORMAMIDOPYRIMIDINE-DNA GLYCOSYLASE', NULL, NULL, NULL, 15),
(148504, NULL, 'PTHR11716:SF5', NULL, NULL, NULL, NULL, 'INACTIVE GROUP IIC SECRETORY PHOSPHOLIPASE A2-RELATED', NULL, NULL, NULL, 15),
(148505, NULL, 'PTHR34947:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(148506, NULL, 'PTHR35109:SF2', NULL, NULL, NULL, NULL, 'BNAA02G16300D PROTEIN', NULL, NULL, NULL, 15),
(148507, NULL, 'PTHR44675', NULL, NULL, NULL, NULL, 'PAK1 INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(148508, NULL, 'PTHR24228:SF64', NULL, NULL, NULL, NULL, 'PROTEIN TRAPPED IN ENDODERM-1', NULL, NULL, NULL, 15),
(148509, NULL, 'PTHR42826:SF2', NULL, NULL, NULL, NULL, 'CITRATE/SUCCINATE ANTIPORTER-RELATED', NULL, NULL, NULL, 15),
(148510, NULL, 'PTHR35118:SF2', NULL, NULL, NULL, NULL, 'KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148511, NULL, 'PTHR14586:SF1', NULL, NULL, NULL, NULL, 'THIAMINE-TRIPHOSPHATASE', NULL, NULL, NULL, 15),
(148512, NULL, 'PTHR44006', NULL, NULL, NULL, NULL, 'U5 SMALL NUCLEAR RIBONUCLEOPROTEIN 40 KDA PROTEIN', NULL, NULL, NULL, 15),
(148513, NULL, 'PTHR24286:SF285', NULL, NULL, NULL, NULL, 'BNAC01G23810D PROTEIN', NULL, NULL, NULL, 15),
(148514, NULL, 'PTHR11905:SF236', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148515, NULL, 'PTHR46169:SF9', NULL, NULL, NULL, NULL, 'SI:CH211-152F22.4-RELATED', NULL, NULL, NULL, 15),
(148516, NULL, 'PTHR10210', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE DIPHOSPHOKINASE FAMILY MEMBER', NULL, NULL, 232, 15),
(148517, NULL, 'PTHR31221:SF159', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 71', NULL, NULL, NULL, 15),
(148518, NULL, 'PTHR33710:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148519, NULL, 'PTHR10824:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG14567', NULL, NULL, NULL, 15),
(148520, NULL, 'PTHR34133:SF9', NULL, NULL, NULL, NULL, 'BNAC04G31630D PROTEIN', NULL, NULL, NULL, 15),
(148521, NULL, 'PTHR45935:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAM200B', NULL, NULL, NULL, 15),
(148522, NULL, 'PTHR11200:SF163', NULL, NULL, NULL, NULL, 'TYPE II INOSITOL 1,4,5-TRISPHOSPHATE 5-PHOSPHATASE', NULL, NULL, NULL, 15),
(148523, NULL, 'PTHR46100:SF2', NULL, NULL, NULL, NULL, 'OS05G0453700 PROTEIN', NULL, NULL, NULL, 15),
(148524, NULL, 'PTHR32254:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(148525, NULL, 'PTHR13120:SF6', NULL, NULL, NULL, NULL, 'PHD FINGER-LIKE DOMAIN-CONTAINING PROTEIN 5A', NULL, NULL, NULL, 15),
(148526, NULL, 'PTHR32077', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN', NULL, NULL, 39110, 15),
(148527, NULL, 'PTHR31142:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148528, NULL, 'PTHR19961:SF72', NULL, NULL, NULL, NULL, 'FIMBRIN-4-LIKE', NULL, NULL, NULL, 15),
(148529, NULL, 'PTHR47157:SF1', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(148530, NULL, 'PTHR11066:SF56', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148531, NULL, 'PTHR31213:SF147', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE, START-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148532, NULL, 'PTHR22611:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NAKED CUTICLE HOMOLOG 2', NULL, NULL, NULL, 15),
(148533, NULL, 'PTHR23155:SF985', NULL, NULL, NULL, NULL, 'OS11G0647800 PROTEIN', NULL, NULL, NULL, 15),
(148534, NULL, 'PTHR45523:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-CONTAINING PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148535, NULL, 'PTHR23068:SF33', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5-)-METHYLTRANSFERASE 3 BETA, DUPLICATE A-RELATED', NULL, NULL, NULL, 15),
(148536, NULL, 'PTHR31097', NULL, NULL, NULL, NULL, 'SI:DKEY-276J7.1', NULL, NULL, 34028, 15),
(148537, NULL, 'PTHR24296:SF104', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', NULL, NULL, NULL, 15),
(148538, NULL, 'PTHR38730:SF1', NULL, NULL, NULL, NULL, 'SLL7028 PROTEIN', NULL, NULL, NULL, 15),
(148539, NULL, 'PTHR23406:SF82', NULL, NULL, NULL, NULL, 'MALIC ENZYME', NULL, NULL, NULL, 15),
(148540, NULL, 'PTHR13318:SF182', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 14', NULL, NULL, NULL, 15),
(148541, NULL, 'PTHR22953:SF110', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 23', NULL, NULL, NULL, 15),
(148542, NULL, 'PTHR47501', NULL, NULL, NULL, NULL, 'TRANSPOSASE-RELATED', NULL, NULL, NULL, 15),
(148543, NULL, 'PTHR31375:SF133', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(148544, NULL, 'PTHR24068:SF377', NULL, NULL, NULL, NULL, 'BNAA03G55110D PROTEIN', NULL, NULL, NULL, 15),
(148545, NULL, 'PTHR47990:SF72', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE JRG21-RELATED', NULL, NULL, NULL, 15),
(148546, NULL, 'PTHR27006:SF362', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(148547, NULL, 'PTHR43490:SF105', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', NULL, NULL, NULL, 15),
(148548, NULL, 'PTHR46755:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148549, NULL, 'PTHR11309:SF47', NULL, NULL, NULL, NULL, 'FRIZZLED', NULL, NULL, NULL, 15),
(148550, NULL, 'PTHR43029:SF24', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(148551, NULL, 'PTHR33541:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148552, NULL, 'PTHR31758:SF2', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN YLR108C', NULL, NULL, NULL, 15),
(148553, NULL, 'PTHR32089:SF52', NULL, NULL, NULL, NULL, 'CHEMOTAXIS SIGNAL TRANSDUCTION SYSTEM METHYL ACCEPTING SENSORY TRANSDUCER WITH PAS SENSORY DOMAIN', NULL, NULL, NULL, 15),
(148554, NULL, 'PTHR43399:SF1', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148555, NULL, 'PTHR31311:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148556, NULL, 'PTHR35108:SF7', NULL, NULL, NULL, NULL, 'BNAC06G30280D PROTEIN', NULL, NULL, NULL, 15),
(148557, NULL, 'PTHR11414:SF20', NULL, NULL, NULL, NULL, 'CYSTATIN-A', NULL, NULL, NULL, 15),
(148558, NULL, 'PTHR23226:SF197', NULL, NULL, NULL, NULL, 'GLI FAMILY ZINC FINGER 4', NULL, NULL, NULL, 15),
(148559, NULL, 'PTHR11003:SF261', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(148560, NULL, 'PTHR24083:SF70', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(148561, NULL, 'PTHR31072:SF180', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PCF7', NULL, NULL, NULL, 15),
(148562, NULL, 'PTHR21740', NULL, NULL, NULL, NULL, 'NCK-ASSOCIATED PROTEIN 5', NULL, NULL, 23638, 15),
(148563, NULL, 'PTHR22957:SF343', NULL, NULL, NULL, NULL, 'RABGAP/TBC DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(148564, NULL, 'PTHR35795', NULL, NULL, NULL, NULL, 'SLR1885 PROTEIN', NULL, NULL, NULL, 15),
(148565, NULL, 'PTHR38767', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III SUBUNIT CHI', NULL, NULL, 4707, 15),
(148566, NULL, 'PTHR43081:SF10', NULL, NULL, NULL, NULL, 'BLL0556 PROTEIN', NULL, NULL, NULL, 15),
(148567, NULL, 'PTHR48217:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148568, NULL, 'PTHR36326:SF15', NULL, NULL, NULL, NULL, 'BNAC05G02780D PROTEIN', NULL, NULL, NULL, 15),
(148569, NULL, 'PTHR48053:SF61', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE RECEPTOR 1', NULL, NULL, NULL, 15),
(148570, NULL, 'PTHR11616:SF285', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(148571, NULL, 'PTHR15336:SF15', NULL, NULL, NULL, NULL, 'F13K23.8 PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148572, NULL, 'PTHR19229:SF13', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 6', NULL, NULL, 27726, 15),
(148573, NULL, 'PTHR24286:SF195', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148574, NULL, 'PTHR46724:SF1', NULL, NULL, NULL, NULL, 'ADP RIBOSYLATION FACTOR LIKE GTPASE 10', NULL, NULL, NULL, 15),
(148575, NULL, 'PTHR47993:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148576, NULL, 'PTHR24103:SF645', NULL, NULL, NULL, NULL, 'AGAP001544-PB', NULL, NULL, NULL, 15),
(148577, NULL, 'PTHR12443:SF9', NULL, NULL, NULL, NULL, 'TRANSLOCATION PROTEIN SEC62', NULL, NULL, NULL, 15),
(148578, NULL, 'PTHR31325:SF95', NULL, NULL, NULL, NULL, 'OS05G0236600 PROTEIN', NULL, NULL, NULL, 15),
(148579, NULL, 'PTHR19868:SF7', NULL, NULL, NULL, NULL, 'RECEPTOR FOR ACTIVATED C KINASE 1C', NULL, NULL, NULL, 15),
(148580, NULL, 'PTHR33871:SF7', NULL, NULL, NULL, NULL, 'OS01G0779800 PROTEIN', NULL, NULL, NULL, 15),
(148581, NULL, 'PTHR23111:SF24', NULL, NULL, NULL, NULL, 'OS01G0203300 PROTEIN', NULL, NULL, NULL, 15),
(148582, NULL, 'PTHR24206:SF76', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN WLIM1-LIKE', NULL, NULL, NULL, 15),
(148583, NULL, 'PTHR31791:SF50', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148584, NULL, 'PTHR40076', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, 9764, 15),
(148585, NULL, 'PTHR43150:SF3', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED POTASSIUM CHANNEL SUBUNIT BETA-3', NULL, NULL, NULL, 15),
(148586, NULL, 'PTHR30405:SF17', NULL, NULL, NULL, NULL, 'NEUTRAL PROTEASE', NULL, NULL, NULL, 15),
(148587, NULL, 'PTHR33347:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148588, NULL, 'PTHR23522:SF3', NULL, NULL, NULL, NULL, 'BLL5896 PROTEIN', NULL, NULL, NULL, 15),
(148589, NULL, 'PTHR20996', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 18620, 15),
(148590, NULL, 'PTHR45716:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-266G18.6', NULL, NULL, NULL, 15),
(148591, NULL, 'PTHR48001:SF138', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7C1', NULL, NULL, NULL, 15),
(148592, NULL, 'PTHR47993:SF85', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(148593, NULL, 'PTHR46414:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR-ASSOCIATED SORTING PROTEIN 1', NULL, NULL, NULL, 15),
(148594, NULL, 'PTHR46956:SF1', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE 6', NULL, NULL, NULL, 15),
(148595, NULL, 'PTHR21646:SF64', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(148596, NULL, 'PTHR45739:SF3', NULL, NULL, NULL, NULL, 'FRAS1-RELATED EXTRACELLULAR MATRIX 1B', NULL, NULL, NULL, 15),
(148597, NULL, 'PTHR33110:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148598, NULL, 'PTHR42470:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148599, NULL, 'PTHR10803:SF8', NULL, NULL, NULL, NULL, 'ARSENICAL PUMP-DRIVING ATPASE', NULL, NULL, NULL, 15),
(148600, NULL, 'PTHR24096:SF353', NULL, NULL, NULL, NULL, 'GH16244P-RELATED', NULL, NULL, NULL, 15),
(148601, NULL, 'PTHR13809:SF9', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-12', NULL, NULL, NULL, 15),
(148602, NULL, 'PTHR48006:SF17', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148603, NULL, 'PTHR10984:SF71', NULL, NULL, NULL, NULL, 'BNAA08G14160D PROTEIN', NULL, NULL, NULL, 15),
(148604, NULL, 'PTHR24061:SF418', NULL, NULL, NULL, NULL, 'C-FAMILY ODORANT RECEPTOR OLFCQ19-RELATED', NULL, NULL, NULL, 15),
(148605, NULL, 'PTHR11772:SF36', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING]', NULL, NULL, NULL, 15),
(148606, NULL, 'PTHR12696:SF3', NULL, NULL, NULL, NULL, 'BNAA06G34100D PROTEIN', NULL, NULL, NULL, 15),
(148607, NULL, 'PTHR32487:SF17', NULL, NULL, NULL, NULL, '3-OXO-DELTA(45)-STEROID 5-BETA-REDUCTASE', NULL, NULL, NULL, 15),
(148608, NULL, 'PTHR13723:SF278', NULL, NULL, NULL, NULL, 'ADAM METALLOPEPTIDASE WITH THROMBOSPONDIN TYPE 1 MOTIF A, ISOFORM B', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148609, NULL, 'PTHR33914:SF8', NULL, NULL, NULL, NULL, 'BNAC09G52460D PROTEIN', NULL, NULL, NULL, 15),
(148610, NULL, 'PTHR23084:SF232', NULL, NULL, NULL, NULL, 'HISTONE H3 K4-SPECIFIC METHYLTRANSFERASE SET7/9 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148611, NULL, 'PTHR10353:SF241', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148612, NULL, 'PTHR42718:SF37', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE EFFLUX PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148613, NULL, 'PTHR13462:SF43', NULL, NULL, NULL, NULL, 'BNAA04G13890D PROTEIN', NULL, NULL, NULL, 15),
(148614, NULL, 'PTHR11274:SF0', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION AND DNA REPAIR FACTOR IIH HELICASE SUBUNIT XPB', NULL, NULL, NULL, 15),
(148615, NULL, 'PTHR45650:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148616, NULL, 'PTHR11802:SF296', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(148617, NULL, 'PTHR45890:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ABKC-RELATED', NULL, NULL, NULL, 15),
(148618, NULL, 'PTHR12313:SF78', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(148619, NULL, 'PTHR11122:SF40', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(148620, NULL, 'PTHR44137:SF31', NULL, NULL, NULL, NULL, 'BNAA10G28700D PROTEIN', NULL, NULL, NULL, 15),
(148621, NULL, 'PTHR11556:SF33', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, CYTOSOLIC-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148622, NULL, 'PTHR34150:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG05036', NULL, NULL, NULL, 15),
(148623, NULL, 'PTHR48004:SF1', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(148624, NULL, 'PTHR15712:SF6', NULL, NULL, NULL, NULL, 'PROTEIN ARMCX6', NULL, NULL, NULL, 15),
(148625, NULL, 'PTHR24384:SF119', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 695', NULL, NULL, NULL, 15),
(148626, NULL, 'PTHR34460:SF9', NULL, NULL, NULL, NULL, 'BNAA02G30570D PROTEIN', NULL, NULL, NULL, 15),
(148627, NULL, 'PTHR12941:SF12', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 9', NULL, NULL, NULL, 15),
(148628, NULL, 'PTHR12665:SF24', NULL, NULL, NULL, NULL, 'BNAANNG20920D PROTEIN', NULL, NULL, NULL, 15),
(148629, NULL, 'PTHR34549', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT IV A, CHLOROPLASTIC-RELATED', NULL, NULL, 4553, 15),
(148630, NULL, 'PTHR24320:SF238', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(148631, NULL, 'PTHR46250:SF2', NULL, NULL, NULL, NULL, 'OS11G0205200 PROTEIN', NULL, NULL, NULL, 15),
(148632, NULL, 'PTHR21402:SF9', NULL, NULL, NULL, NULL, 'GAMETOCYTE-SPECIFIC FACTOR 1', NULL, NULL, 3091, 15),
(148633, NULL, 'PTHR42912:SF58', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(148634, NULL, 'PTHR44169:SF13', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_2G14460)', NULL, NULL, NULL, 15),
(148635, NULL, 'PTHR10569:SF2', NULL, NULL, NULL, NULL, 'GLYCOGEN DEBRANCHING ENZYME', NULL, NULL, NULL, 15),
(148636, NULL, 'PTHR44329:SF134', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE EDR1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(148637, NULL, 'PTHR26374:SF389', NULL, NULL, NULL, NULL, 'OS01G0838600 PROTEIN', NULL, NULL, NULL, 15),
(148638, NULL, 'PTHR37202:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(148639, NULL, 'PTHR23266:SF327', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148640, NULL, 'PTHR23147:SF192', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148641, NULL, 'PTHR37691', NULL, NULL, NULL, NULL, 'BLR3518 PROTEIN', NULL, NULL, NULL, 15),
(148642, NULL, 'PTHR32227:SF348', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17-RELATED', NULL, NULL, NULL, 15),
(148643, NULL, 'PTHR31128:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG04039', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148644, NULL, 'PTHR45752:SF98', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148645, NULL, 'PTHR10517:SF8', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR BETA', NULL, NULL, 26986, 15),
(148646, NULL, 'PTHR47958:SF98', NULL, NULL, NULL, NULL, 'DEAD-BOX HELICASE 3 X-LINKED A', NULL, NULL, NULL, 15),
(148647, NULL, 'PTHR11733:SF213', NULL, NULL, NULL, NULL, 'NEPRILYSIN METALLOPEPTIDASE FAMILY', NULL, NULL, NULL, 15),
(148648, NULL, 'PTHR11474:SF76', NULL, NULL, NULL, NULL, 'TYROSINASE', NULL, NULL, NULL, 15),
(148649, NULL, 'PTHR33057:SF3', NULL, NULL, NULL, NULL, 'OS01G0732300 PROTEIN', NULL, NULL, NULL, 15),
(148650, NULL, 'PTHR31234:SF42', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(148651, NULL, 'PTHR45826:SF21', NULL, NULL, NULL, NULL, 'BNAA05G20530D PROTEIN', NULL, NULL, NULL, 15),
(148652, NULL, 'PTHR11730:SF92', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 2', NULL, NULL, NULL, 15),
(148653, NULL, 'PTHR35309:SF2', NULL, NULL, NULL, NULL, 'TOCOPHEROL CYCLASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(148654, NULL, 'PTHR11571:SF92', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(148655, NULL, 'PTHR34481:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148656, NULL, 'PTHR43042:SF1', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(148657, NULL, 'PTHR31529:SF34', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(148658, NULL, 'PTHR47998:SF41', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR ETC3 ISOFORM X1', NULL, NULL, NULL, 15),
(148659, NULL, 'PTHR15315:SF71', NULL, NULL, NULL, NULL, 'BNAA09G46450D PROTEIN', NULL, NULL, NULL, 15),
(148660, NULL, 'PTHR13151', NULL, NULL, NULL, NULL, 'CBF1 INTERACTING COREPRESSOR CIR', NULL, NULL, 29904, 15),
(148661, NULL, 'PTHR45614:SF25', NULL, NULL, NULL, NULL, 'MYB PROTEIN', NULL, NULL, NULL, 15),
(148662, NULL, 'PTHR33784:SF11', NULL, NULL, NULL, NULL, 'BNAA09G16370D PROTEIN', NULL, NULL, NULL, 15),
(148663, NULL, 'PTHR31096:SF14', NULL, NULL, NULL, NULL, 'OS05G0113000 PROTEIN', NULL, NULL, NULL, 15),
(148664, NULL, 'PTHR15829:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG22464', NULL, NULL, NULL, 15),
(148665, NULL, 'PTHR31721:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(148666, NULL, 'PTHR11595:SF54', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-DELTA', NULL, NULL, NULL, 15),
(148667, NULL, 'PTHR35547:SF2', NULL, NULL, NULL, NULL, 'OS06G0249350 PROTEIN', NULL, NULL, NULL, 15),
(148668, NULL, 'PTHR11732:SF419', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148669, NULL, 'PTHR46846:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(148670, NULL, 'PTHR14233:SF16', NULL, NULL, NULL, NULL, 'OS08G0540000 PROTEIN', NULL, NULL, NULL, 15),
(148671, NULL, 'PTHR31312', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR GLK1', NULL, NULL, 38127, 15),
(148672, NULL, 'PTHR48015:SF25', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FLR-4', NULL, NULL, NULL, 15),
(148673, NULL, 'PTHR46424', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(148674, NULL, 'PTHR31901:SF61', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE GH3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148675, NULL, 'PTHR20437', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUBFAMILY MEMBER 13/17', NULL, NULL, 37131, 15),
(148676, NULL, 'PTHR46553:SF9', NULL, NULL, NULL, NULL, 'OS10G0437500 PROTEIN', NULL, NULL, NULL, 15),
(148677, NULL, 'PTHR34817:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(148678, NULL, 'PTHR13394', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 6', NULL, NULL, 19901, 15),
(148679, NULL, 'PTHR22600:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148680, NULL, 'PTHR22595:SF117', NULL, NULL, NULL, NULL, 'BNAC03G24300D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148681, NULL, 'PTHR11654:SF441', NULL, NULL, NULL, NULL, 'OS07G0603800 PROTEIN', NULL, NULL, NULL, 15),
(148682, NULL, 'PTHR43719', NULL, NULL, NULL, NULL, 'TWO-COMPONENT HISTIDINE KINASE', NULL, NULL, NULL, 15),
(148683, NULL, 'PTHR45778:SF12', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(148684, NULL, 'PTHR45882:SF4', NULL, NULL, NULL, NULL, 'PITUITARY HOMEOBOX 2', NULL, NULL, NULL, 15),
(148685, NULL, 'PTHR32358', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL AND IMMUNE RESPONSE REGULATOR', NULL, NULL, 29176, 15),
(148686, NULL, 'PTHR11062:SF300', NULL, NULL, NULL, NULL, 'OS07G0188700 PROTEIN', NULL, NULL, NULL, 15),
(148687, NULL, 'PTHR13276', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR MSS4', NULL, NULL, 10928, 15),
(148688, NULL, 'PTHR24353:SF116', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE CATALYTIC SUBUNIT BETA', NULL, NULL, NULL, 15),
(148689, NULL, 'PTHR34198:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148690, NULL, 'PTHR27002:SF697', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148691, NULL, 'PTHR31676:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148692, NULL, 'PTHR48094:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE-INDEPENDENT GLYOXALASE DJR-1.2', NULL, NULL, NULL, 15),
(148693, NULL, 'PTHR38355:SF2', NULL, NULL, NULL, NULL, 'BNAA06G36690D PROTEIN', NULL, NULL, NULL, 15),
(148694, NULL, 'PTHR10926:SF1', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN 50C', NULL, NULL, 23596, 15),
(148695, NULL, 'PTHR11475:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148696, NULL, 'PTHR45690:SF2', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(148697, NULL, 'PTHR46852:SF4', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(148698, NULL, 'PTHR11711:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148699, NULL, 'PTHR47972:SF10', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148700, NULL, 'PTHR20914:SF2', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(148701, NULL, 'PTHR47956:SF43', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D9', NULL, NULL, NULL, 15),
(148702, NULL, 'PTHR47857:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(148703, NULL, 'PTHR10052:SF46', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', NULL, NULL, NULL, 15),
(148704, NULL, 'PTHR47877:SF9', NULL, NULL, NULL, NULL, 'BNAC02G35130D PROTEIN', NULL, NULL, NULL, 15),
(148705, NULL, 'PTHR36382', NULL, NULL, NULL, NULL, 'OSJNBA0043L09.26 PROTEIN', NULL, NULL, NULL, 15),
(148706, NULL, 'PTHR33477:SF2', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(148707, NULL, 'PTHR22798:SF8', NULL, NULL, NULL, NULL, 'MALIGNANT T-CELL-AMPLIFIED SEQUENCE', NULL, NULL, NULL, 15),
(148708, NULL, 'PTHR43975:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG14933', NULL, NULL, NULL, 15),
(148709, NULL, 'PTHR11274:SF14', NULL, NULL, NULL, NULL, 'DNA HELICASE ERCC3', NULL, NULL, NULL, 15),
(148710, NULL, 'PTHR33887', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 36025, 15),
(148711, NULL, 'PTHR23411:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148712, NULL, 'PTHR31052:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148713, NULL, 'PTHR24242:SF357', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 6 SUBFAMILY Q MEMBER 1 (GENE/PSEUDOGENE)', NULL, NULL, NULL, 15),
(148714, NULL, 'PTHR45691:SF7', NULL, NULL, NULL, NULL, 'FH2 DOMAIN-CONTAINING 2', NULL, NULL, NULL, 15),
(148715, NULL, 'PTHR13159:SF0', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD COMPONENT 4A', NULL, NULL, NULL, 15),
(148716, NULL, 'PTHR45718', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR CUBITUS INTERRUPTUS', NULL, NULL, 36706, 15),
(148717, NULL, 'PTHR31703:SF2', NULL, NULL, NULL, NULL, 'UPF0669 PROTEIN C6ORF120', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148718, NULL, 'PTHR46128:SF69', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148719, NULL, 'PTHR35936:SF28', NULL, NULL, NULL, NULL, 'GLUTAMINE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(148720, NULL, 'PTHR10502:SF205', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(148721, NULL, 'PTHR47517:SF3', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(148722, NULL, 'PTHR46324:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148723, NULL, 'PTHR47293:SF35', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 1-LIKE', NULL, NULL, NULL, 15),
(148724, NULL, 'PTHR31375:SF199', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148725, NULL, 'PTHR23092:SF24', NULL, NULL, NULL, NULL, 'TERMINAL NUCLEOTIDYLTRANSFERASE 4A', NULL, NULL, 29634, 15),
(148726, NULL, 'PTHR24349:SF374', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(148727, NULL, 'PTHR31421:SF12', NULL, NULL, NULL, NULL, 'BNAA06G09500D PROTEIN', NULL, NULL, NULL, 15),
(148728, NULL, 'PTHR11860:SF53', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 5', NULL, NULL, NULL, 15),
(148729, NULL, 'PTHR45977:SF19', NULL, NULL, NULL, NULL, 'RING-FINGER UBIQUITIN LIGASE', NULL, NULL, NULL, 15),
(148730, NULL, 'PTHR15381', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE PROTEOGLYCAN 5 -RELATED', NULL, NULL, 39196, 15),
(148731, NULL, 'PTHR10179:SF80', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 2', NULL, NULL, NULL, 15),
(148732, NULL, 'PTHR31351:SF19', NULL, NULL, NULL, NULL, 'AUXIN CANALIZATION PROTEIN (DUF828)', NULL, NULL, NULL, 15),
(148733, NULL, 'PTHR12832:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148734, NULL, 'PTHR16223:SF184', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH85', NULL, NULL, NULL, 15),
(148735, NULL, 'PTHR43724:SF1', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE SUBUNIT PORD', NULL, NULL, NULL, 15),
(148736, NULL, 'PTHR33124:SF89', NULL, NULL, NULL, NULL, 'BNACNNG19630D PROTEIN', NULL, NULL, NULL, 15),
(148737, NULL, 'PTHR22814:SF287', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN ATX1', NULL, NULL, NULL, 15),
(148738, NULL, 'PTHR43180', NULL, NULL, NULL, NULL, '3-OXOACYL-(ACYL-CARRIER-PROTEIN) REDUCTASE (AFU_ORTHOLOGUE AFUA_6G11210)', NULL, NULL, NULL, 15),
(148739, NULL, 'PTHR32191:SF82', NULL, NULL, NULL, NULL, 'BNAA10G11690D PROTEIN', NULL, NULL, NULL, 15),
(148740, NULL, 'PTHR11453:SF101', NULL, NULL, NULL, NULL, 'BNAA04G26910D PROTEIN', NULL, NULL, NULL, 15),
(148741, NULL, 'PTHR11893:SF21', NULL, NULL, NULL, NULL, 'INNEXIN EAT-5', NULL, NULL, NULL, 15),
(148742, NULL, 'PTHR46855:SF12', NULL, NULL, NULL, NULL, 'BNAC02G33240D PROTEIN', NULL, NULL, NULL, 15),
(148743, NULL, 'PTHR27005:SF226', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148744, NULL, 'PTHR35508', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT', NULL, NULL, NULL, 15),
(148745, NULL, 'PTHR31652:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148746, NULL, 'PTHR30027:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(148747, NULL, 'PTHR35467:SF2', NULL, NULL, NULL, NULL, 'PROTEIN NEOXANTHIN-DEFICIENT 1', NULL, NULL, NULL, 15),
(148748, NULL, 'PTHR22943:SF65', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(148749, NULL, 'PTHR48056:SF25', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE TDR ISOFORM X3', NULL, NULL, NULL, 15),
(148750, NULL, 'PTHR16056:SF16', NULL, NULL, NULL, NULL, 'REGULATOR OF MICROTUBULE DYNAMICS PROTEIN 1', NULL, NULL, NULL, 15),
(148751, NULL, 'PTHR33650:SF1', NULL, NULL, NULL, NULL, 'CEMA-LIKE PROTON EXTRUSION PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148752, NULL, 'PTHR31325:SF45', NULL, NULL, NULL, NULL, 'OS11G0638700 PROTEIN', NULL, NULL, NULL, 15),
(148753, NULL, 'PTHR15336', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE COMPLEX 7.8 KDA PROTEIN', NULL, NULL, 5486, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148754, NULL, 'PTHR10334:SF457', NULL, NULL, NULL, NULL, 'AT27079P-RELATED', NULL, NULL, NULL, 15),
(148755, NULL, 'PTHR33076:SF117', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(148756, NULL, 'PTHR11346:SF22', NULL, NULL, NULL, NULL, 'GALECTIN-8', NULL, NULL, 27458, 15),
(148757, NULL, 'PTHR18962:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 39', NULL, NULL, NULL, 15),
(148758, NULL, 'PTHR10219:SF94', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN (GLTP) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148759, NULL, 'PTHR27003:SF266', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148760, NULL, 'PTHR48049:SF58', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71C3', NULL, NULL, NULL, 15),
(148761, NULL, 'PTHR47979:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148762, NULL, 'PTHR12121:SF34', NULL, NULL, NULL, NULL, 'LD39302P', NULL, NULL, NULL, 15),
(148763, NULL, 'PTHR46754:SF5', NULL, NULL, NULL, NULL, 'MKI67 FHA DOMAIN-INTERACTING NUCLEOLAR PHOSPHOPROTEIN', NULL, NULL, NULL, 15),
(148764, NULL, 'PTHR24340:SF81', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HMX3', NULL, NULL, NULL, 15),
(148765, NULL, 'PTHR24089:SF292', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL3-RELATED', NULL, NULL, NULL, 15),
(148766, NULL, 'PTHR13318:SF132', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148767, NULL, 'PTHR11743:SF35', NULL, NULL, NULL, NULL, 'PORIN/VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(148768, NULL, 'PTHR45647:SF35', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 55-RELATED', NULL, NULL, NULL, 15),
(148769, NULL, 'PTHR36162:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148770, NULL, 'PTHR46600', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING', NULL, NULL, 24054, 15),
(148771, NULL, 'PTHR43895:SF88', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(148772, NULL, 'PTHR47626:SF1', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(148773, NULL, 'PTHR47487:SF4', NULL, NULL, NULL, NULL, 'OS08G0441900 PROTEIN', NULL, NULL, NULL, 15),
(148774, NULL, 'PTHR47554', NULL, NULL, NULL, NULL, 'SORTING NEXIN MVP1', NULL, NULL, 23595, 15),
(148775, NULL, 'PTHR33403:SF28', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1-LIKE 2', NULL, NULL, NULL, 15),
(148776, NULL, 'PTHR37314:SF4', NULL, NULL, NULL, NULL, 'UPF0700 TRANSMEMBRANE PROTEIN YOAK', NULL, NULL, NULL, 15),
(148777, NULL, 'PTHR34224:SF9', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(148778, NULL, 'PTHR34122:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148779, NULL, 'PTHR48011:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148780, NULL, 'PTHR14221:SF41', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(148781, NULL, 'PTHR31439:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(148782, NULL, 'PTHR24256:SF214', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 47-RELATED', NULL, NULL, NULL, 15),
(148783, NULL, 'PTHR44191:SF33', NULL, NULL, NULL, NULL, 'BNACNNG61080D PROTEIN', NULL, NULL, NULL, 15),
(148784, NULL, 'PTHR11654:SF472', NULL, NULL, NULL, NULL, 'BNAA09G56930D PROTEIN', NULL, NULL, NULL, 15),
(148785, NULL, 'PTHR31707:SF26', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(148786, NULL, 'PTHR24559:SF355', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(148787, NULL, 'PTHR35290:SF1', NULL, NULL, NULL, NULL, 'OS01G0260800 PROTEIN', NULL, NULL, NULL, 15),
(148788, NULL, 'PTHR11732:SF398', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1, MEMBER B1 (ALDOSE REDUCTASE)', NULL, NULL, NULL, 15),
(148789, NULL, 'PTHR12874:SF16', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148790, NULL, 'PTHR33065:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148791, NULL, 'PTHR19304:SF41', NULL, NULL, NULL, NULL, 'CRE-BINDING BZIP PROTEIN SKO1', NULL, NULL, NULL, 15),
(148792, NULL, 'PTHR31847:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG10327', NULL, NULL, NULL, 15),
(148793, NULL, 'PTHR21343:SF8', NULL, NULL, NULL, NULL, 'DRTGG DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(148794, NULL, 'PTHR47993:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148795, NULL, 'PTHR46502:SF19', NULL, NULL, NULL, NULL, 'ELICITOR-RESPONSIVE PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(148796, NULL, 'PTHR43117:SF4', NULL, NULL, NULL, NULL, 'OSMOPROTECTANT IMPORT ATP-BINDING PROTEIN OSMV', NULL, NULL, NULL, 15),
(148797, NULL, 'PTHR46296:SF1', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(148798, NULL, 'PTHR10027:SF33', NULL, NULL, NULL, NULL, 'POTASSIUM LARGE CONDUCTANCE CALCIUM-ACTIVATED CHANNEL, SUBFAMILY M, ALPHA MEMBER 1A', NULL, NULL, NULL, 15),
(148799, NULL, 'PTHR15427:SF18', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q SUBCOMPONENT SUBUNIT B', NULL, NULL, 34863, 15),
(148800, NULL, 'PTHR42825:SF23', NULL, NULL, NULL, NULL, 'BNACNNG51620D PROTEIN', NULL, NULL, NULL, 15),
(148801, NULL, 'PTHR24064:SF536', NULL, NULL, NULL, NULL, 'ORGANIC CATION TRANSPORTER 1', NULL, NULL, NULL, 15),
(148802, NULL, 'PTHR48018:SF124', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(148803, NULL, 'PTHR33738:SF4', NULL, NULL, NULL, NULL, 'OS01G0848900 PROTEIN', NULL, NULL, NULL, 15),
(148804, NULL, 'PTHR47056:SF1', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 39', NULL, NULL, NULL, 15),
(148805, NULL, 'PTHR45804:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C13', NULL, NULL, NULL, 15),
(148806, NULL, 'PTHR39428', NULL, NULL, NULL, NULL, 'F420H(2)-DEPENDENT QUINONE REDUCTASE RV1261C', NULL, NULL, NULL, 15),
(148807, NULL, 'PTHR31302:SF22', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE-RELATED', NULL, NULL, NULL, 15),
(148808, NULL, 'PTHR36435:SF1', NULL, NULL, NULL, NULL, 'SLR1288 PROTEIN', NULL, NULL, NULL, 15),
(148809, NULL, 'PTHR36057', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 9218, 15),
(148810, NULL, 'PTHR31636:SF48', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(148811, NULL, 'PTHR24064:SF512', NULL, NULL, NULL, NULL, 'OS07G0571700 PROTEIN', NULL, NULL, NULL, 15),
(148812, NULL, 'PTHR10836:SF88', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE/ERYTHROSE PHOSPHATE DEHYDROGENASE FAMILY-RELATED', NULL, NULL, NULL, 15),
(148813, NULL, 'PTHR45748:SF4', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1D-RELATED', NULL, NULL, NULL, 15),
(148814, NULL, 'PTHR36057:SF5', NULL, NULL, NULL, NULL, 'LIPOPROTEIN LIPID ATTACHMENT SITE-LIKE PROTEIN, PUTATIVE (DUF1223)-RELATED', NULL, NULL, NULL, 15),
(148815, NULL, 'PTHR45868:SF37', NULL, NULL, NULL, NULL, 'BNAC05G26330D PROTEIN', NULL, NULL, NULL, 15),
(148816, NULL, 'PTHR48017:SF102', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148817, NULL, 'PTHR24072:SF337', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 42-RELATED', NULL, NULL, NULL, 15),
(148818, NULL, 'PTHR46512', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(148819, NULL, 'PTHR24390:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148820, NULL, 'PTHR31529:SF23', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 16', NULL, NULL, NULL, 15),
(148821, NULL, 'PTHR19367:SF24', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 8-3', NULL, NULL, NULL, 15),
(148822, NULL, 'PTHR33227:SF34', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148823, NULL, 'PTHR33159:SF48', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148824, NULL, 'PTHR24403:SF69', NULL, NULL, NULL, NULL, 'KIAA1586', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148825, NULL, 'PTHR11771:SF142', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(148826, NULL, 'PTHR22835:SF615', NULL, NULL, NULL, NULL, 'OS05G0133401 PROTEIN', NULL, NULL, NULL, 15),
(148827, NULL, 'PTHR10048:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148828, NULL, 'PTHR16223:SF210', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH130', NULL, NULL, NULL, 15),
(148829, NULL, 'PTHR13793:SF93', NULL, NULL, NULL, NULL, 'PROTEIN AF-10', NULL, NULL, NULL, 15),
(148830, NULL, 'PTHR10579:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148831, NULL, 'PTHR11347:SF191', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(148832, NULL, 'PTHR47372:SF29', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148833, NULL, 'PTHR23064:SF29', NULL, NULL, NULL, NULL, 'PARVALBUMIN-LIKE EF-HAND-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(148834, NULL, 'PTHR45811:SF62', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', NULL, NULL, NULL, 15),
(148835, NULL, 'PTHR23315:SF303', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(148836, NULL, 'PTHR24242:SF227', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(148837, NULL, 'PTHR48011:SF21', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE, ERK3/4-RELATED', NULL, NULL, NULL, 15),
(148838, NULL, 'PTHR31311:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(148839, NULL, 'PTHR10544:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L28-1-LIKE', NULL, NULL, NULL, 15),
(148840, NULL, 'PTHR21096:SF0', NULL, NULL, NULL, NULL, 'PROTEIN FAM136A', NULL, NULL, NULL, 15),
(148841, NULL, 'PTHR47067:SF4', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 7 ISOFORM X1', NULL, NULL, NULL, 15),
(148842, NULL, 'PTHR43561:SF1', NULL, NULL, NULL, NULL, 'HYDROXY-ACYL-COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(148843, NULL, 'PTHR39374', NULL, NULL, NULL, NULL, 'PROTEIN CBG12861', NULL, NULL, NULL, 15),
(148844, NULL, 'PTHR45631:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148845, NULL, 'PTHR33165:SF56', NULL, NULL, NULL, NULL, 'OS07G0577750 PROTEIN', NULL, NULL, NULL, 15),
(148846, NULL, 'PTHR10252:SF5', NULL, NULL, NULL, NULL, 'DR1-ASSOCIATED COREPRESSOR', NULL, NULL, 23444, 15),
(148847, NULL, 'PTHR11616:SF263', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT GLYCINE TRANSPORTER 1', NULL, NULL, NULL, 15),
(148848, NULL, 'PTHR11905:SF136', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(148849, NULL, 'PTHR33732:SF2', NULL, NULL, NULL, NULL, 'RUBBER ELONGATION FACTOR PROTEIN', NULL, NULL, NULL, 15),
(148850, NULL, 'PTHR31852:SF167', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(148851, NULL, 'PTHR46239:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG 3', NULL, NULL, NULL, 15),
(148852, NULL, 'PTHR13429:SF7', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(148853, NULL, 'PTHR18966:SF432', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2.7', NULL, NULL, NULL, 15),
(148854, NULL, 'PTHR36391', NULL, NULL, NULL, NULL, 'FURRY', NULL, NULL, NULL, 15),
(148855, NULL, 'PTHR31676:SF71', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(148856, NULL, 'PTHR33052:SF133', NULL, NULL, NULL, NULL, 'BNAC03G58330D PROTEIN', NULL, NULL, NULL, 15),
(148857, NULL, 'PTHR30272:SF15', NULL, NULL, NULL, NULL, 'BNAA04G12710D PROTEIN', NULL, NULL, NULL, 15),
(148858, NULL, 'PTHR35172', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148859, NULL, 'PTHR47466', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148860, NULL, 'PTHR34223:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148861, NULL, 'PTHR19321:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148862, NULL, 'PTHR11693:SF38', NULL, NULL, NULL, NULL, 'ATPASE, F1 COMPLEX, GAMMA SUBUNIT, ATPASE, F1 COMPLEX, GAMMA SUBUNIT DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148863, NULL, 'PTHR42820:SF21', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE 3B-LIKE', NULL, NULL, NULL, 15),
(148864, NULL, 'PTHR11972:SF174', NULL, NULL, NULL, NULL, 'BNAA03G47130D PROTEIN', NULL, NULL, NULL, 15),
(148865, NULL, 'PTHR10766:SF130', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(148866, NULL, 'PTHR11822:SF26', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', NULL, NULL, NULL, 15),
(148867, NULL, 'PTHR22958:SF27', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD2', NULL, NULL, NULL, 15),
(148868, NULL, 'PTHR11913:SF17', NULL, NULL, NULL, NULL, 'COFILIN-1', NULL, NULL, 28328, 15),
(148869, NULL, 'PTHR10209:SF736', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(148870, NULL, 'PTHR15586:SF0', NULL, NULL, NULL, NULL, 'LINKER FOR ACTIVATION OF T-CELLS FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(148871, NULL, 'PTHR21040:SF8', NULL, NULL, NULL, NULL, 'BCDNA.GH04120', NULL, NULL, NULL, 15),
(148872, NULL, 'PTHR19288:SF73', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE 1A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(148873, NULL, 'PTHR23118', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE', NULL, NULL, NULL, 15),
(148874, NULL, 'PTHR47218:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 7 MEMBER A', NULL, NULL, NULL, 15),
(148875, NULL, 'PTHR21845', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE ANCHOR PROTEIN 1', NULL, NULL, 23158, 15),
(148876, NULL, 'PTHR23503:SF96', NULL, NULL, NULL, NULL, 'PROTEIN CBG22452', NULL, NULL, NULL, 15),
(148877, NULL, 'PTHR11544:SF113', NULL, NULL, NULL, NULL, 'COLD SHOCK-LIKE PROTEIN CSPD', NULL, NULL, NULL, 15),
(148878, NULL, 'PTHR15362:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE SYNTHASE 2', NULL, NULL, NULL, 15),
(148879, NULL, 'PTHR10742:SF368', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 1', NULL, NULL, NULL, 15),
(148880, NULL, 'PTHR12203:SF80', NULL, NULL, NULL, NULL, 'O-GLUCOSYLTRANSFERASE RUMI-LIKE PROTEIN (DUF821)', NULL, NULL, NULL, 15),
(148881, NULL, 'PTHR43139:SF22', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 4-LIKE', NULL, NULL, NULL, 15),
(148882, NULL, 'PTHR40082:SF1', NULL, NULL, NULL, NULL, 'BLR5956 PROTEIN', NULL, NULL, NULL, 15),
(148883, NULL, 'PTHR23423:SF65', NULL, NULL, NULL, NULL, 'SI:DKEY-16N15.6', NULL, NULL, NULL, 15),
(148884, NULL, 'PTHR37439:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG25991', NULL, NULL, NULL, 15),
(148885, NULL, 'PTHR46632:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(148886, NULL, 'PTHR11782:SF113', NULL, NULL, NULL, NULL, 'BNAA01G33700D PROTEIN', NULL, NULL, NULL, 15),
(148887, NULL, 'PTHR46890:SF1', NULL, NULL, NULL, NULL, 'NON-LTR RETROLELEMENT REVERSE TRANSCRIPTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148888, NULL, 'PTHR21646:SF17', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 2', NULL, NULL, NULL, 15),
(148889, NULL, 'PTHR15427:SF35', NULL, NULL, NULL, NULL, 'PROTEIN HP-25 HOMOLOG 1', NULL, NULL, NULL, 15),
(148890, NULL, 'PTHR20854:SF22', NULL, NULL, NULL, NULL, 'INOSITOL-1-MONOPHOSPHATASE', NULL, NULL, NULL, 15),
(148891, NULL, 'PTHR33265:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148892, NULL, 'PTHR23086:SF120', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(148893, NULL, 'PTHR47746:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148894, NULL, 'PTHR10943:SF11', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2', NULL, NULL, 19900, 15),
(148895, NULL, 'PTHR37981:SF1', NULL, NULL, NULL, NULL, 'LIPASE 2', NULL, NULL, NULL, 15),
(148896, NULL, 'PTHR23304:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148897, NULL, 'PTHR46301:SF26', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 13', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148898, NULL, 'PTHR22811:SF132', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY/GOLD FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148899, NULL, 'PTHR48000:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB36', NULL, NULL, NULL, 15),
(148900, NULL, 'PTHR46559:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148901, NULL, 'PTHR42663:SF4', NULL, NULL, NULL, NULL, 'SLL1036 PROTEIN', NULL, NULL, NULL, 15),
(148902, NULL, 'PTHR10902:SF13', NULL, NULL, NULL, NULL, 'OS05G0556900 PROTEIN', NULL, NULL, NULL, 15),
(148903, NULL, 'PTHR31989:SF124', NULL, NULL, NULL, NULL, 'OS12G0135850 PROTEIN', NULL, NULL, NULL, 15),
(148904, NULL, 'PTHR12231:SF255', NULL, NULL, NULL, NULL, 'CONTACTIN-3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148905, NULL, 'PTHR13504:SF33', NULL, NULL, NULL, NULL, 'FIC FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148906, NULL, 'PTHR11691:SF62', NULL, NULL, NULL, NULL, 'INTERFERON PHI 2-RELATED', NULL, NULL, NULL, 15),
(148907, NULL, 'PTHR19980:SF0', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR SUBUNIT 3', NULL, NULL, NULL, 15),
(148908, NULL, 'PTHR33155:SF49', NULL, NULL, NULL, NULL, 'CELL SIZE REGULATOR PROTEIN', NULL, NULL, NULL, 15),
(148909, NULL, 'PTHR22745:SF0', NULL, NULL, NULL, NULL, 'PROTHYMOSIN ALPHA', NULL, NULL, NULL, 15),
(148910, NULL, 'PTHR13116:SF5', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(148911, NULL, 'PTHR34612', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148912, NULL, 'PTHR14096:SF29', NULL, NULL, NULL, NULL, 'APOL9A PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148913, NULL, 'PTHR24188:SF37', NULL, NULL, NULL, NULL, 'EUCHROMATIC HISTONE LYSINE METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(148914, NULL, 'PTHR31142:SF29', NULL, NULL, NULL, NULL, 'BNAC09G20700D PROTEIN', NULL, NULL, NULL, 15),
(148915, NULL, 'PTHR10969:SF74', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(148916, NULL, 'PTHR10218:SF225', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-10 SUBUNIT', NULL, NULL, NULL, 15),
(148917, NULL, 'PTHR43735:SF14', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148918, NULL, 'PTHR23227', NULL, NULL, NULL, NULL, 'BUCENTAUR RELATED', NULL, NULL, 23020, 15),
(148919, NULL, 'PTHR22950:SF289', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148920, NULL, 'PTHR13890:SF50', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-D-RELATED', NULL, NULL, NULL, 15),
(148921, NULL, 'PTHR11802:SF243', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(148922, NULL, 'PTHR32467:SF139', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TOE2', NULL, NULL, NULL, 15),
(148923, NULL, 'PTHR33595:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148924, NULL, 'PTHR42897:SF2', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE SUBUNIT PORB', NULL, NULL, NULL, 15),
(148925, NULL, 'PTHR45090:SF4', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 20, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(148926, NULL, 'PTHR15241:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148927, NULL, 'PTHR45771:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-D4', NULL, NULL, NULL, 15),
(148928, NULL, 'PTHR47782:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G12570)-RELATED', NULL, NULL, NULL, 15),
(148929, NULL, 'PTHR22730:SF1', NULL, NULL, NULL, NULL, 'PROMININ-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148930, NULL, 'PTHR12058', NULL, NULL, NULL, NULL, 'ARP2/3 COMPLEX 34 KDA SUBUNIT', NULL, NULL, 1346, 15),
(148931, NULL, 'PTHR31865:SF53', NULL, NULL, NULL, NULL, 'DUF1685 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(148932, NULL, 'PTHR35697:SF4', NULL, NULL, NULL, NULL, 'OS04G0438101 PROTEIN', NULL, NULL, NULL, 15),
(148933, NULL, 'PTHR21576:SF92', NULL, NULL, NULL, NULL, 'MFS TRANSPORTER', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148934, NULL, 'PTHR36902', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148935, NULL, 'PTHR33070:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148936, NULL, 'PTHR22978:SF40', NULL, NULL, NULL, NULL, 'SI:DKEY-42I9.4', NULL, NULL, NULL, 15),
(148937, NULL, 'PTHR11903:SF33', NULL, NULL, NULL, NULL, 'CYCLOOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(148938, NULL, 'PTHR15157:SF23', NULL, NULL, NULL, NULL, 'OS07G0418000 PROTEIN', NULL, NULL, NULL, 15),
(148939, NULL, 'PTHR12822:SF6', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', NULL, NULL, NULL, 15),
(148940, NULL, 'PTHR32071:SF99', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(148941, NULL, 'PTHR33264:SF48', NULL, NULL, NULL, NULL, 'BNAC03G72760D PROTEIN', NULL, NULL, NULL, 15),
(148942, NULL, 'PTHR10926:SF62', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT', NULL, NULL, NULL, 15),
(148943, NULL, 'PTHR31325:SF36', NULL, NULL, NULL, NULL, 'OS06G0120200 PROTEIN', NULL, NULL, NULL, 15),
(148944, NULL, 'PTHR45699:SF1', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0-RELATED', NULL, NULL, NULL, 15),
(148945, NULL, 'PTHR31145:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148946, NULL, 'PTHR48011:SF3', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 20-RELATED', NULL, NULL, NULL, 15),
(148947, NULL, 'PTHR10504:SF16', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID TRANSFER PROTEIN', NULL, NULL, 26091, 15),
(148948, NULL, 'PTHR43689:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148949, NULL, 'PTHR31659:SF34', NULL, NULL, NULL, NULL, 'OSJNBB0016D16.16 PROTEIN', NULL, NULL, NULL, 15),
(148950, NULL, 'PTHR33021:SF320', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(148951, NULL, 'PTHR47629', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN-RELATED', NULL, NULL, NULL, 15),
(148952, NULL, 'PTHR31617', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 171', NULL, NULL, 28948, 15),
(148953, NULL, 'PTHR28682:SF2', NULL, NULL, NULL, NULL, 'PROTEIN INSYN2B', NULL, NULL, NULL, 15),
(148954, NULL, 'PTHR31945:SF50', NULL, NULL, NULL, NULL, 'OS10G0104300 PROTEIN', NULL, NULL, NULL, 15),
(148955, NULL, 'PTHR32099:SF54', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(148956, NULL, 'PTHR12750:SF19', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE AND DIPHOSPHOINOSITOL-PENTAKISPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(148957, NULL, 'PTHR45617:SF79', NULL, NULL, NULL, NULL, 'ELRR (EXTRACELLULAR LEUCINE-RICH REPEAT) ONLY', NULL, NULL, NULL, 15),
(148958, NULL, 'PTHR36509:SF2', NULL, NULL, NULL, NULL, 'BLL3101 PROTEIN', NULL, NULL, NULL, 15),
(148959, NULL, 'PTHR34763', NULL, NULL, NULL, NULL, 'PROTEIN FAM104A', NULL, NULL, 28880, 15),
(148960, NULL, 'PTHR13145:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH6', NULL, NULL, NULL, 15),
(148961, NULL, 'PTHR12701:SF47', NULL, NULL, NULL, NULL, 'BNACNNG71290D PROTEIN', NULL, NULL, NULL, 15),
(148962, NULL, 'PTHR22891:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE', NULL, NULL, NULL, 15),
(148963, NULL, 'PTHR31297:SF34', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,6-BETA-GLUCOSIDASE B', NULL, NULL, NULL, 15),
(148964, NULL, 'PTHR15390', NULL, NULL, NULL, NULL, 'NEUROMEDIN-U', NULL, NULL, 39295, 15),
(148965, NULL, 'PTHR30353:SF11', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YQJA', NULL, NULL, NULL, 15),
(148966, NULL, 'PTHR37541:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148967, NULL, 'PTHR22599:SF8', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR-LIKE 1', NULL, NULL, NULL, 15),
(148968, NULL, 'PTHR31942:SF72', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(148969, NULL, 'PTHR11214:SF305', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(148970, NULL, 'PTHR23022:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148971, NULL, 'PTHR33146:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(148972, NULL, 'PTHR10342:SF69', NULL, NULL, NULL, NULL, 'ARYLSULFATASE J', NULL, NULL, NULL, 15),
(148973, NULL, 'PTHR11304:SF69', NULL, NULL, NULL, NULL, 'EPHRIN-A2', NULL, NULL, NULL, 15),
(148974, NULL, 'PTHR45718:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR GLI3', NULL, NULL, 24006, 15),
(148975, NULL, 'PTHR39159', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148976, NULL, 'PTHR31307:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148977, NULL, 'PTHR42886:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ABHD8', NULL, NULL, NULL, 15),
(148978, NULL, 'PTHR24366:SF51', NULL, NULL, NULL, NULL, 'MATRIX-REMODELLING-ASSOCIATED 5A', NULL, NULL, NULL, 15),
(148979, NULL, 'PTHR12128:SF56', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE SYNTHASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(148980, NULL, 'PTHR10209:SF662', NULL, NULL, NULL, NULL, 'OS01G0536400 PROTEIN', NULL, NULL, NULL, 15),
(148981, NULL, 'PTHR23070:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148982, NULL, 'PTHR24281:SF14', NULL, NULL, NULL, NULL, 'PREMNASPIRODIENE OXYGENASE', NULL, NULL, NULL, 15),
(148983, NULL, 'PTHR31541:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148984, NULL, 'PTHR11003:SF104', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 16', NULL, NULL, NULL, 15),
(148985, NULL, 'PTHR42673:SF16', NULL, NULL, NULL, NULL, 'BNAA02G26370D PROTEIN', NULL, NULL, NULL, 15),
(148986, NULL, 'PTHR28244:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148987, NULL, 'PTHR31896:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148988, NULL, 'PTHR33044:SF6', NULL, NULL, NULL, NULL, 'OS07G0625800 PROTEIN', NULL, NULL, NULL, 15),
(148989, NULL, 'PTHR28271', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L31, MITOCHONDRIAL', NULL, NULL, 20979, 15),
(148990, NULL, 'PTHR33480', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148991, NULL, 'PTHR11177:SF365', NULL, NULL, NULL, NULL, 'ENDOCHITINASE 1', NULL, NULL, NULL, 15),
(148992, NULL, 'PTHR31665', NULL, NULL, NULL, NULL, 'FLYWCH FAMILY MEMBER 2-RELATED', NULL, NULL, 33582, 15),
(148993, NULL, 'PTHR36402:SF2', NULL, NULL, NULL, NULL, 'BNACNNG70140D PROTEIN', NULL, NULL, NULL, 15),
(148994, NULL, 'PTHR11771:SF49', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE 3-RELATED', NULL, NULL, NULL, 15),
(148995, NULL, 'PTHR48247:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148996, NULL, 'PTHR10159:SF45', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 6', NULL, NULL, NULL, 15),
(148997, NULL, 'PTHR13220:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(148998, NULL, 'PTHR31312:SF12', NULL, NULL, NULL, NULL, 'BNAA07G00410D PROTEIN', NULL, NULL, NULL, 15),
(148999, NULL, 'PTHR21228:SF30', NULL, NULL, NULL, NULL, 'FAST KINASE DOMAIN-CONTAINING PROTEIN 5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(149000, NULL, 'PTHR24377:SF704', NULL, NULL, NULL, NULL, 'MCG140700, ISOFORM CRA_C', NULL, NULL, NULL, 15),
(149001, NULL, 'PTHR23023:SF237', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(149002, NULL, 'PTHR42883:SF3', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN GLMU', NULL, NULL, NULL, 15),
(149003, NULL, 'PTHR36886:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149004, NULL, 'PTHR12346:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149005, NULL, 'PTHR33107:SF36', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(149006, NULL, 'PTHR19375:SF399', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149007, NULL, 'PTHR31731:SF24', NULL, NULL, NULL, NULL, 'OS02G0662100 PROTEIN', NULL, NULL, NULL, 15),
(149008, NULL, 'PTHR34191:SF27', NULL, NULL, NULL, NULL, 'BNAA02G10070D PROTEIN', NULL, NULL, NULL, 15),
(149009, NULL, 'PTHR46214:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149010, NULL, 'PTHR46282:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH MELANOCYTE DIFFERENTIATION-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(149011, NULL, 'PTHR43294:SF1', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE ALPHA CHAIN 2', NULL, NULL, 27864, 15),
(149012, NULL, 'PTHR31549:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149013, NULL, 'PTHR11893:SF20', NULL, NULL, NULL, NULL, 'INNEXIN-3', NULL, NULL, NULL, 15),
(149014, NULL, 'PTHR45773:SF4', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(149015, NULL, 'PTHR23012:SF182', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(149016, NULL, 'PTHR46463:SF27', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHF2A', NULL, NULL, NULL, 15),
(149017, NULL, 'PTHR47990:SF53', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 1', NULL, NULL, NULL, 15),
(149018, NULL, 'PTHR35476:SF3', NULL, NULL, NULL, NULL, 'GB|AAC32909.1', NULL, NULL, NULL, 15),
(149019, NULL, 'PTHR45676', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL51-RELATED', NULL, NULL, 36863, 15),
(149020, NULL, 'PTHR19226:SF3', NULL, NULL, NULL, NULL, 'SI:DKEYP-69C1.7', NULL, NULL, NULL, 15),
(149021, NULL, 'PTHR22902:SF9', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY J MEMBER 1', NULL, NULL, NULL, 15),
(149022, NULL, 'PTHR15896:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG16112', NULL, NULL, NULL, 15),
(149023, NULL, 'PTHR11527:SF189', NULL, NULL, NULL, NULL, '18.9 KDA HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(149024, NULL, 'PTHR45981:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH1', NULL, NULL, NULL, 15),
(149025, NULL, 'PTHR39355', NULL, NULL, NULL, NULL, 'PROTEIN CBG20624', NULL, NULL, 29319, 15),
(149026, NULL, 'PTHR11388:SF129', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY, MEMBER 6C1', NULL, NULL, NULL, 15),
(149027, NULL, 'PTHR43817', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE', NULL, NULL, NULL, 15),
(149028, NULL, 'PTHR31301:SF87', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 15', NULL, NULL, NULL, 15),
(149029, NULL, 'PTHR48107:SF22', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(149030, NULL, 'PTHR10912:SF5', NULL, NULL, NULL, NULL, 'ADP-RIBOSYL CYCLASE/CYCLIC ADP-RIBOSE HYDROLASE 1', NULL, NULL, 36498, 15),
(149031, NULL, 'PTHR33107:SF42', NULL, NULL, NULL, NULL, 'BNAA09G54410D PROTEIN', NULL, NULL, NULL, 15),
(149032, NULL, 'PTHR44376:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR LEUNIG_HOMOLOG-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(149033, NULL, 'PTHR32191:SF54', NULL, NULL, NULL, NULL, 'TETRASPANIN-12', NULL, NULL, NULL, 15),
(149034, NULL, 'PTHR31827:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149035, NULL, 'PTHR17204:SF21', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 39', NULL, NULL, NULL, 15),
(149036, NULL, 'PTHR14360:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CALCIUM UNIPORTER REGULATOR 1', NULL, NULL, 14641, 15),
(149037, NULL, 'PTHR47130', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.11-RELATED', NULL, NULL, NULL, 15),
(149038, NULL, 'PTHR11783:SF193', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(149039, NULL, 'PTHR31692:SF67', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE A3', NULL, NULL, NULL, 15),
(149040, NULL, 'PTHR22883:SF270', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC15', NULL, NULL, NULL, 15),
(149041, NULL, 'PTHR17613', NULL, NULL, NULL, NULL, 'CEREBRAL PROTEIN-11-RELATED', NULL, NULL, 16977, 15),
(149042, NULL, 'PTHR47997:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB46', NULL, NULL, NULL, 15),
(149043, NULL, 'PTHR33077:SF112', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10A-LIKE', NULL, NULL, NULL, 15),
(149044, NULL, 'PTHR46086:SF21', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE-LIKE 1', NULL, NULL, NULL, 15),
(149045, NULL, 'PTHR48108:SF1', NULL, NULL, NULL, NULL, 'CBS DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149046, NULL, 'PTHR28623:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM118A', NULL, NULL, 30303, 15),
(149047, NULL, 'PTHR13395:SF6', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PROTEIN DCC1', NULL, NULL, NULL, 15),
(149048, NULL, 'PTHR24340:SF70', NULL, NULL, NULL, NULL, 'NK7.1, ISOFORM A', NULL, NULL, NULL, 15),
(149049, NULL, 'PTHR43903:SF1', NULL, NULL, NULL, NULL, 'BILE SALT-ACTIVATED LIPASE', NULL, NULL, 34224, 15),
(149050, NULL, 'PTHR10590:SF18', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 28 MEMBER 3', NULL, NULL, 24883, 15),
(149051, NULL, 'PTHR31719:SF134', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 104', NULL, NULL, NULL, 15),
(149052, NULL, 'PTHR24062:SF16', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(149053, NULL, 'PTHR12970:SF1', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 2', NULL, NULL, NULL, 15),
(149054, NULL, 'PTHR11017:SF344', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(149055, NULL, 'PTHR36862', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 428', NULL, NULL, 33122, 15),
(149056, NULL, 'PTHR31375:SF222', NULL, NULL, NULL, NULL, 'BNAA08G25630D PROTEIN', NULL, NULL, NULL, 15),
(149057, NULL, 'PTHR32227:SF289', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(149058, NULL, 'PTHR10155:SF6', NULL, NULL, NULL, NULL, 'SRC-LIKE-ADAPTER 2', NULL, NULL, 9622, 15),
(149059, NULL, 'PTHR33709:SF25', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE FAMILY C19-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149060, NULL, 'PTHR22298:SF19', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 19-RELATED', NULL, NULL, NULL, 15),
(149061, NULL, 'PTHR10188:SF16', NULL, NULL, NULL, NULL, 'ZGC:153169', NULL, NULL, NULL, 15),
(149062, NULL, 'PTHR33677:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR FRMR', NULL, NULL, NULL, 15),
(149063, NULL, 'PTHR19857:SF17', NULL, NULL, NULL, NULL, 'ANGIO-ASSOCIATED MIGRATORY CELL PROTEIN', NULL, NULL, NULL, 15),
(149064, NULL, 'PTHR12687:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149065, NULL, 'PTHR33155:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149066, NULL, 'PTHR31744:SF138', NULL, NULL, NULL, NULL, 'NAC (NO APICAL MERISTEM) DOMAIN TRANSCRIPTIONAL REGULATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(149067, NULL, 'PTHR23430:SF316', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(149068, NULL, 'PTHR32208:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149069, NULL, 'PTHR14402:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149070, NULL, 'PTHR22589:SF51', NULL, NULL, NULL, NULL, 'CARNITINE O-PALMITOYLTRANSFERASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(149071, NULL, 'PTHR12537:SF138', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 7, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(149072, NULL, 'PTHR43634:SF5', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149073, NULL, 'PTHR47694', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(149074, NULL, 'PTHR31589:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149075, NULL, 'PTHR45621:SF87', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL18-RELATED', NULL, NULL, NULL, 15),
(149076, NULL, 'PTHR14493:SF36', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN UNKEMPT HOMOLOG', NULL, NULL, NULL, 15),
(149077, NULL, 'PTHR23267:SF108', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 6-57', NULL, NULL, NULL, 15),
(149078, NULL, 'PTHR24107:SF24', NULL, NULL, NULL, NULL, 'GLC7-INTERACTING PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(149079, NULL, 'PTHR10000:SF52', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE PHOSPHATASE YBHA', NULL, NULL, NULL, 15),
(149080, NULL, 'PTHR21373:SF0', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 35, NATC AUXILIARY SUBUNIT', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149081, NULL, 'PTHR18966:SF476', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(149082, NULL, 'PTHR12081:SF7', NULL, NULL, NULL, NULL, 'E2F-LIKE (MAMMALIAN TRANSCRIPTION FACTOR)', NULL, NULL, NULL, 15),
(149083, NULL, 'PTHR33076:SF73', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(149084, NULL, 'PTHR43599:SF4', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149085, NULL, 'PTHR12190', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN  AKAP  8', NULL, NULL, 7428, 15),
(149086, NULL, 'PTHR42861:SF23', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE TYPE 2C MEMBER 2', NULL, NULL, 26630, 15),
(149087, NULL, 'PTHR20986:SF14', NULL, NULL, NULL, NULL, 'FMRFAMIDE-LIKE NEUROPEPTIDES 6', NULL, NULL, NULL, 15),
(149088, NULL, 'PTHR32329:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN [INCLUDES 2-HYDROXYACYL-COA DEHYDRATASE (N-TER) AND ITS ACTIVATOR DOMAIN (C_TERM)-RELATED', NULL, NULL, NULL, 15),
(149089, NULL, 'PTHR33124:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149090, NULL, 'PTHR33108:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149091, NULL, 'PTHR23024:SF430', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', NULL, NULL, NULL, 15),
(149092, NULL, 'PTHR34837:SF1', NULL, NULL, NULL, NULL, 'LOW PROTEIN: ZINC FINGER CCCH DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(149093, NULL, 'PTHR43245:SF13', NULL, NULL, NULL, NULL, 'UDP-D-APIOSE/UDP-D-XYLOSE SYNTHASE 2', NULL, NULL, NULL, 15),
(149094, NULL, 'PTHR33544:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149095, NULL, 'PTHR28089:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ZDS1-RELATED', NULL, NULL, NULL, 15),
(149096, NULL, 'PTHR31636:SF250', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS-RELATED', NULL, NULL, NULL, 15),
(149097, NULL, 'PTHR11685:SF375', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(149098, NULL, 'PTHR45651:SF48', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 8-RELATED', NULL, NULL, NULL, 15),
(149099, NULL, 'PTHR47958:SF73', NULL, NULL, NULL, NULL, 'LD32873P', NULL, NULL, NULL, 15),
(149100, NULL, 'PTHR48028:SF1', NULL, NULL, NULL, NULL, 'OS03G0836200 PROTEIN', NULL, NULL, NULL, 15),
(149101, NULL, 'PTHR45614:SF181', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB77', NULL, NULL, NULL, 15),
(149102, NULL, 'PTHR46506:SF49', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(149103, NULL, 'PTHR31969:SF54', NULL, NULL, NULL, NULL, 'GRAM DOMAIN PROTEIN/ABA-RESPONSIVE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149104, NULL, 'PTHR47797:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05805)-RELATED', NULL, NULL, NULL, 15),
(149105, NULL, 'PTHR33429:SF19', NULL, NULL, NULL, NULL, 'FISSION REGULATOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149106, NULL, 'PTHR46407:SF10', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING F-BOX-LIKE', NULL, NULL, NULL, 15),
(149107, NULL, 'PTHR45666:SF33', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL-1,4,5-TRISPHOSPHATE 5-PHOSPHATASE', NULL, NULL, NULL, 15),
(149108, NULL, 'PTHR11351:SF31', NULL, NULL, NULL, NULL, 'RE43130P', NULL, NULL, NULL, 15),
(149109, NULL, 'PTHR33214:SF58', NULL, NULL, NULL, NULL, 'BNAC09G14300D PROTEIN', NULL, NULL, NULL, 15),
(149110, NULL, 'PTHR11988:SF24', NULL, NULL, NULL, NULL, 'THYROTROPH EMBRYONIC FACTOR', NULL, NULL, 27676, 15),
(149111, NULL, 'PTHR11675:SF40', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE-LIKE 6', NULL, NULL, NULL, 15),
(149112, NULL, 'PTHR43684:SF4', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE/ISOMERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G01890)', NULL, NULL, NULL, 15),
(149113, NULL, 'PTHR21580', NULL, NULL, NULL, NULL, 'SHIPPO-1-RELATED', NULL, NULL, NULL, 15),
(149114, NULL, 'PTHR48002:SF17', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4N5', NULL, NULL, NULL, 15),
(149115, NULL, 'PTHR48019:SF84', NULL, NULL, NULL, NULL, 'OS12G0407400 PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149116, NULL, 'PTHR15528:SF5', NULL, NULL, NULL, NULL, 'PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR GAMMA COACTIVATOR-RELATED PROTEIN 1', NULL, NULL, 682, 15),
(149117, NULL, 'PTHR15241:SF353', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149118, NULL, 'PTHR13009:SF24', NULL, NULL, NULL, NULL, 'AHA1, ACTIVATOR OF HEAT SHOCK PROTEIN ATPASE HOMOLOG 1B', NULL, NULL, NULL, 15),
(149119, NULL, 'PTHR11363:SF9', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L3-LIKE', NULL, NULL, NULL, 15),
(149120, NULL, 'PTHR11994:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149121, NULL, 'PTHR18934:SF222', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE DEAH8-RELATED', NULL, NULL, NULL, 15),
(149122, NULL, 'PTHR31662:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149123, NULL, 'PTHR15350:SF10', NULL, NULL, NULL, NULL, 'COP9 CONSTITUTIVE PHOTOMORPHOGENIC HOMOLOG SUBUNIT 7A', NULL, NULL, NULL, 15),
(149124, NULL, 'PTHR31189:SF27', NULL, NULL, NULL, NULL, 'CUPINCIN', NULL, NULL, NULL, 15),
(149125, NULL, 'PTHR48201:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149126, NULL, 'PTHR24089:SF704', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL3-RELATED', NULL, NULL, NULL, 15),
(149127, NULL, 'PTHR23172:SF74', NULL, NULL, NULL, NULL, 'AUXILIN-RELATED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(149128, NULL, 'PTHR11353:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149129, NULL, 'PTHR21654:SF63', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR PTL-LIKE', NULL, NULL, NULL, 15),
(149130, NULL, 'PTHR31374:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149131, NULL, 'PTHR11662:SF193', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORT PROTEIN 3', NULL, NULL, NULL, 15),
(149132, NULL, 'PTHR31682:SF22', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN-PROTEIN SYNTHASE [UDP-FORMING] 1-LIKE', NULL, NULL, NULL, 15),
(149133, NULL, 'PTHR23359:SF197', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149134, NULL, 'PTHR34584', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT E1', NULL, NULL, 4099, 15),
(149135, NULL, 'PTHR31223:SF39', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG3', NULL, NULL, NULL, 15),
(149136, NULL, 'PTHR10545', NULL, NULL, NULL, NULL, 'DIAMINE N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(149137, NULL, 'PTHR43490:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149138, NULL, 'PTHR32444:SF145', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(149139, NULL, 'PTHR31642:SF242', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149140, NULL, 'PTHR13683:SF316', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE APCB1', NULL, NULL, NULL, 15),
(149141, NULL, 'PTHR11339:SF361', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR', NULL, NULL, 29512, 15),
(149142, NULL, 'PTHR36878:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 30', NULL, NULL, NULL, 15),
(149143, NULL, 'PTHR21964:SF31', NULL, NULL, NULL, NULL, 'BRMS1', NULL, NULL, NULL, 15),
(149144, NULL, 'PTHR46719', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, 37238, 15),
(149145, NULL, 'PTHR11640:SF104', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 10-LIKE 2', NULL, NULL, NULL, 15),
(149146, NULL, 'PTHR22765:SF259', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING RECEPTOR 6', NULL, NULL, NULL, 15),
(149147, NULL, 'PTHR27006:SF283', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT FAMILY PROTEIN /PROTEIN KINASE FAMILY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(149148, NULL, 'PTHR45628', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL TYPE A SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(149149, NULL, 'PTHR26379:SF394', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149150, NULL, 'PTHR45868:SF17', NULL, NULL, NULL, NULL, 'OS05G0368600 PROTEIN', NULL, NULL, NULL, 15),
(149151, NULL, 'PTHR42945:SF1', NULL, NULL, NULL, NULL, 'HISTIDINE BIOSYNTHESIS BIFUNCTIONAL PROTEIN HIS7', NULL, NULL, NULL, 15),
(149152, NULL, 'PTHR33631:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149153, NULL, 'PTHR32176:SF32', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(149154, NULL, 'PTHR32212:SF312', NULL, NULL, NULL, NULL, 'BNAA09G17410D PROTEIN', NULL, NULL, NULL, 15),
(149155, NULL, 'PTHR13803', NULL, NULL, NULL, NULL, 'SEC24-RELATED PROTEIN', NULL, NULL, NULL, 15),
(149156, NULL, 'PTHR23226:SF269', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN CONTAINING 2', NULL, NULL, NULL, 15),
(149157, NULL, 'PTHR36922:SF1', NULL, NULL, NULL, NULL, 'BLL2446 PROTEIN', NULL, NULL, NULL, 15),
(149158, NULL, 'PTHR10285:SF70', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE', NULL, NULL, NULL, 15),
(149159, NULL, 'PTHR31374:SF35', NULL, NULL, NULL, NULL, 'OS06G0137400 PROTEIN', NULL, NULL, NULL, 15),
(149160, NULL, 'PTHR16008:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-12E7.1', NULL, NULL, NULL, 15),
(149161, NULL, 'PTHR31623:SF61', NULL, NULL, NULL, NULL, 'PELARGONIDIN 3-O-(6-CAFFEOYLGLUCOSIDE) 5-O-(6-O-MALONYLGLUCOSIDE) 4''''''-MALONYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(149162, NULL, 'PTHR45752:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 59', NULL, NULL, NULL, 15),
(149163, NULL, 'PTHR23430:SF95', NULL, NULL, NULL, NULL, 'HISTONE H2A.1-RELATED', NULL, NULL, NULL, 15),
(149164, NULL, 'PTHR10797:SF64', NULL, NULL, NULL, NULL, 'BNAA09G24760D PROTEIN', NULL, NULL, NULL, 15),
(149165, NULL, 'PTHR24409:SF295', NULL, NULL, NULL, NULL, 'AT31036P-RELATED', NULL, NULL, NULL, 15),
(149166, NULL, 'PTHR31062:SF212', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(149167, NULL, 'PTHR48043:SF17', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(149168, NULL, 'PTHR30015:SF6', NULL, NULL, NULL, NULL, 'SLL1429 PROTEIN', NULL, NULL, NULL, 15),
(149169, NULL, 'PTHR31284:SF45', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149170, NULL, 'PTHR43230:SF2', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(149171, NULL, 'PTHR13468:SF16', NULL, NULL, NULL, NULL, 'BNAANNG31030D PROTEIN', NULL, NULL, NULL, 15),
(149172, NULL, 'PTHR31943:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149173, NULL, 'PTHR37856', NULL, NULL, NULL, NULL, 'MAST CELL-EXPRESSED MEMBRANE PROTEIN 1', NULL, NULL, 33332, 15),
(149174, NULL, 'PTHR17271:SF1', NULL, NULL, NULL, NULL, 'PROTEIN OUTSPREAD', NULL, NULL, NULL, 15),
(149175, NULL, 'PTHR46209', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38092, 15),
(149176, NULL, 'PTHR43231', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149177, NULL, 'PTHR19282:SF474', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(149178, NULL, 'PTHR22802:SF388', NULL, NULL, NULL, NULL, 'LOW AFFINITY IMMUNOGLOBULIN EPSILON FC RECEPTOR', NULL, NULL, NULL, 15),
(149179, NULL, 'PTHR12449:SF19', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 4-LIKE', NULL, NULL, 25353, 15),
(149180, NULL, 'PTHR11771:SF4', NULL, NULL, NULL, NULL, 'ARACHIDONATE 12-LIPOXYGENASE, 12S-TYPE', NULL, NULL, NULL, 15),
(149181, NULL, 'PTHR46128:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149182, NULL, 'PTHR22883:SF43', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE APP', NULL, NULL, NULL, 15),
(149183, NULL, 'PTHR43943:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 4-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(149184, NULL, 'PTHR22718:SF22', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(149185, NULL, 'PTHR45647:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149186, NULL, 'PTHR43744:SF8', NULL, NULL, NULL, NULL, 'SN-GLYCEROL-3-PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN UGPE', NULL, NULL, 27395, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149187, NULL, 'PTHR31235:SF222', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(149188, NULL, 'PTHR34107:SF6', NULL, NULL, NULL, NULL, 'SLR0981 PROTEIN', NULL, NULL, NULL, 15),
(149189, NULL, 'PTHR48037:SF1', NULL, NULL, NULL, NULL, 'ATPASE E1', NULL, NULL, NULL, 15),
(149190, NULL, 'PTHR10593:SF159', NULL, NULL, NULL, NULL, 'BNAA07G24790D PROTEIN', NULL, NULL, NULL, 15),
(149191, NULL, 'PTHR33401:SF17', NULL, NULL, NULL, NULL, 'BNAC01G37610D PROTEIN', NULL, NULL, NULL, 15),
(149192, NULL, 'PTHR46651:SF1', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 7', NULL, NULL, NULL, 15),
(149193, NULL, 'PTHR12121:SF28', NULL, NULL, NULL, NULL, 'PROTEIN ANGEL HOMOLOG 1', NULL, NULL, NULL, 15),
(149194, NULL, 'PTHR43689:SF19', NULL, NULL, NULL, NULL, 'AMINOACRYLATE HYDROLASE RUTD-RELATED', NULL, NULL, NULL, 15),
(149195, NULL, 'PTHR31636:SF265', NULL, NULL, NULL, NULL, 'BNAC03G61310D PROTEIN', NULL, NULL, NULL, 15),
(149196, NULL, 'PTHR23415', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT/60S RIBOSOME SUBUNIT BIOGENESIS PROTEIN NIP7', NULL, NULL, NULL, 15),
(149197, NULL, 'PTHR35889:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(149198, NULL, 'PTHR10134:SF20', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(149199, NULL, 'PTHR24306:SF0', NULL, NULL, NULL, NULL, '7-ALPHA-HYDROXYCHOLEST-4-EN-3-ONE 12-ALPHA-HYDROXYLASE', NULL, NULL, 24614, 15),
(149200, NULL, 'PTHR12483:SF99', NULL, NULL, NULL, NULL, 'BNAA02G05020D PROTEIN', NULL, NULL, NULL, 15),
(149201, NULL, 'PTHR31356:SF33', NULL, NULL, NULL, NULL, 'HEME-BINDING PEROXIDASE-RELATED', NULL, NULL, NULL, 15),
(149202, NULL, 'PTHR11266:SF87', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PMP22-LIKE', NULL, NULL, NULL, 15),
(149203, NULL, 'PTHR15921:SF3', NULL, NULL, NULL, NULL, 'PRE-MRNA CLEAVAGE COMPLEX 2 PROTEIN PCF11', NULL, NULL, NULL, 15),
(149204, NULL, 'PTHR31377:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149205, NULL, 'PTHR41913:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149206, NULL, 'PTHR10353:SF289', NULL, NULL, NULL, NULL, 'BNAA08G31350D PROTEIN', NULL, NULL, NULL, 15),
(149207, NULL, 'PTHR24028:SF148', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA 7', NULL, NULL, NULL, 15),
(149208, NULL, 'PTHR27003:SF104', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(149209, NULL, 'PTHR47965:SF68', NULL, NULL, NULL, NULL, 'XYLOGLUCANASE-SPECIFIC ENDOGLUCANASE INHIBITOR PROTEIN', NULL, NULL, NULL, 15),
(149210, NULL, 'PTHR11908:SF143', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE', NULL, NULL, NULL, 15),
(149211, NULL, 'PTHR43876', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS MONOOXYGENASE COQ6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(149212, NULL, 'PTHR24074:SF41', NULL, NULL, NULL, NULL, 'BNACNNG67780D PROTEIN', NULL, NULL, NULL, 15),
(149213, NULL, 'PTHR10783:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149214, NULL, 'PTHR38325', NULL, NULL, NULL, NULL, 'MCG55969', NULL, NULL, 33850, 15),
(149215, NULL, 'PTHR23504:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149216, NULL, 'PTHR33386:SF25', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(149217, NULL, 'PTHR35496:SF15', NULL, NULL, NULL, NULL, 'SWEET PROTEIN MABINLIN-1 CHAIN A', NULL, NULL, NULL, 15),
(149218, NULL, 'PTHR31234:SF36', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149219, NULL, 'PTHR34364:SF1', NULL, NULL, NULL, NULL, 'WAS/WASL-INTERACTING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(149220, NULL, 'PTHR33994:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149221, NULL, 'PTHR24012:SF690', NULL, NULL, NULL, NULL, 'BRUNO 1, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(149222, NULL, 'PTHR11467:SF131', NULL, NULL, NULL, NULL, 'HISTONE H1.1', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149223, NULL, 'PTHR15666', NULL, NULL, NULL, NULL, 'COMM DOMAIN CONTAINING PROTEIN 5', NULL, NULL, 31241, 15),
(149224, NULL, 'PTHR33110:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149225, NULL, 'PTHR13678:SF12', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 37D', NULL, NULL, NULL, 15),
(149226, NULL, 'PTHR19143:SF185', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-RELATED PROTEIN 5', NULL, NULL, NULL, 15),
(149227, NULL, 'PTHR32263:SF26', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(149228, NULL, 'PTHR12411:SF621', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG12', NULL, NULL, NULL, 15),
(149229, NULL, 'PTHR32133:SF314', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149230, NULL, 'PTHR10334:SF437', NULL, NULL, NULL, NULL, 'BASIC FORM OF PATHOGENESIS-RELATED PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(149231, NULL, 'PTHR10366:SF707', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149232, NULL, 'PTHR43247:SF5', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(149233, NULL, 'PTHR22227:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FAM122C', NULL, NULL, NULL, 15),
(149234, NULL, 'PTHR11216', NULL, NULL, NULL, NULL, 'EH DOMAIN', NULL, NULL, NULL, 15),
(149235, NULL, 'PTHR24412:SF155', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(149236, NULL, 'PTHR22227:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM122A', NULL, NULL, NULL, 15),
(149237, NULL, 'PTHR23003:SF32', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(149238, NULL, 'PTHR10686:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149239, NULL, 'PTHR10353:SF248', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1-RELATED', NULL, NULL, NULL, 15),
(149240, NULL, 'PTHR43522:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0072D08.7 PROTEIN', NULL, NULL, NULL, 15),
(149241, NULL, 'PTHR24296:SF30', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(149242, NULL, 'PTHR23076:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149243, NULL, 'PTHR47983:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149244, NULL, 'PTHR44969', NULL, NULL, NULL, NULL, 'CELL SURFACE A33 ANTIGEN', NULL, NULL, 36721, 15),
(149245, NULL, 'PTHR43836', NULL, NULL, NULL, NULL, 'CATECHOL O-METHYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(149246, NULL, 'PTHR46519:SF2', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(149247, NULL, 'PTHR31843:SF10', NULL, NULL, NULL, NULL, 'ALLENE OXIDE CYCLASE', NULL, NULL, NULL, 15),
(149248, NULL, 'PTHR10602:SF5', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 ALPHA SUBUNIT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(149249, NULL, 'PTHR42991:SF2', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(149250, NULL, 'PTHR28358', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 127', NULL, NULL, 30236, 15),
(149251, NULL, 'PTHR47574:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149252, NULL, 'PTHR33474:SF17', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(149253, NULL, 'PTHR31602:SF49', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 6-RELATED', NULL, NULL, NULL, 15),
(149254, NULL, 'PTHR47299', NULL, NULL, NULL, NULL, 'PROTEIN FAM166A', NULL, NULL, NULL, 15),
(149255, NULL, 'PTHR28063:SF1', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II NUCLEAR LOCALIZATION PROTEIN IWR1', NULL, NULL, NULL, 15),
(149256, NULL, 'PTHR35355:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM229B', NULL, NULL, NULL, 15),
(149257, NULL, 'PTHR19232:SF7', NULL, NULL, NULL, NULL, 'CENTROCORTIN, ISOFORM A', NULL, NULL, NULL, 15),
(149258, NULL, 'PTHR11005:SF129', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(149259, NULL, 'PTHR30560:SF3', NULL, NULL, NULL, NULL, 'TRIGGER FACTOR-LIKE PROTEIN TIG, CHLOROPLASTIC', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149260, NULL, 'PTHR24320:SF226', NULL, NULL, NULL, NULL, 'RE17220P', NULL, NULL, NULL, 15),
(149261, NULL, 'PTHR22780:SF41', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(149262, NULL, 'PTHR31602:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149263, NULL, 'PTHR47997:SF16', NULL, NULL, NULL, NULL, 'BNAC05G40480D PROTEIN', NULL, NULL, NULL, 15),
(149264, NULL, 'PTHR11183:SF126', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(149265, NULL, 'PTHR34040:SF4', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS PROTEIN SSAS', NULL, NULL, NULL, 15),
(149266, NULL, 'PTHR36168', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(149267, NULL, 'PTHR33876', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(149268, NULL, 'PTHR31645:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149269, NULL, 'PTHR31499:SF34', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR APL', NULL, NULL, NULL, 15),
(149270, NULL, 'PTHR42685:SF17', NULL, NULL, NULL, NULL, 'GERANYLGERANYL HYDROGENASE', NULL, NULL, NULL, 15),
(149271, NULL, 'PTHR11945:SF612', NULL, NULL, NULL, NULL, 'OS05G0303400 PROTEIN', NULL, NULL, NULL, 15),
(149272, NULL, 'PTHR46476:SF3', NULL, NULL, NULL, NULL, 'CHITINASE 2', NULL, NULL, NULL, 15),
(149273, NULL, 'PTHR31509:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149274, NULL, 'PTHR33479:SF8', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE TRYPSIN INHIBITOR', NULL, NULL, NULL, 15),
(149275, NULL, 'PTHR21229:SF67', NULL, NULL, NULL, NULL, 'LUNG SEVEN TRANSMEMBRANE RECEPTOR-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149276, NULL, 'PTHR12608', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN HTP-1 RELATED', NULL, NULL, 3354, 15),
(149277, NULL, 'PTHR30269:SF33', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149278, NULL, 'PTHR18843', NULL, NULL, NULL, NULL, 'TORSIN-1A-INTERACTING PROTEIN', NULL, NULL, 13397, 15),
(149279, NULL, 'PTHR27002:SF679', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(149280, NULL, 'PTHR28082:SF1', NULL, NULL, NULL, NULL, 'HELPER OF TIM PROTEIN 13', NULL, NULL, NULL, 15),
(149281, NULL, 'PTHR12398:SF27', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE INHIBITOR 2 FAMILY MEMBER B', NULL, NULL, NULL, 15),
(149282, NULL, 'PTHR10652:SF22', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(149283, NULL, 'PTHR12231:SF237', NULL, NULL, NULL, NULL, 'CONTACTIN-6', NULL, NULL, NULL, 15),
(149284, NULL, 'PTHR47929:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149285, NULL, 'PTHR35039:SF3', NULL, NULL, NULL, NULL, '3-KETO-L-GULONATE-6-PHOSPHATE DECARBOXYLASE SGBH-RELATED', NULL, NULL, NULL, 15),
(149286, NULL, 'PTHR11848:SF141', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA-2 PROPROTEIN', NULL, NULL, NULL, 15),
(149287, NULL, 'PTHR34379:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149288, NULL, 'PTHR12302:SF10', NULL, NULL, NULL, NULL, 'RIBONUCLEASE', NULL, NULL, NULL, 15),
(149289, NULL, 'PTHR11732:SF391', NULL, NULL, NULL, NULL, '1,5-ANHYDRO-D-FRUCTOSE REDUCTASE', NULL, NULL, NULL, 15),
(149290, NULL, 'PTHR12899:SF18', NULL, NULL, NULL, NULL, 'BNAC01G24050D PROTEIN', NULL, NULL, NULL, 15),
(149291, NULL, 'PTHR31561:SF115', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(149292, NULL, 'PTHR31301:SF151', NULL, NULL, NULL, NULL, 'OS05G0123000 PROTEIN', NULL, NULL, NULL, 15),
(149293, NULL, 'PTHR31116:SF31', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE SPLA-LIKE', NULL, NULL, NULL, 15),
(149294, NULL, 'PTHR34807', NULL, NULL, NULL, NULL, 'OS08G0270800 PROTEIN', NULL, NULL, NULL, 15),
(149295, NULL, 'PTHR24416:SF570', NULL, NULL, NULL, NULL, 'DISCOIDIN DOMAIN-CONTAINING RECEPTOR TYROSINE KINASE B', NULL, NULL, NULL, 15),
(149296, NULL, 'PTHR44259:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149297, NULL, 'PTHR47591:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149298, NULL, 'PTHR10891:SF747', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML38', NULL, NULL, NULL, 15),
(149299, NULL, 'PTHR11742:SF92', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE 1,2-ALPHA-MANNOSIDASE MNS2', NULL, NULL, NULL, 15),
(149300, NULL, 'PTHR11945:SF650', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(149301, NULL, 'PTHR33915:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149302, NULL, 'PTHR46249:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149303, NULL, 'PTHR43490:SF98', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(149304, NULL, 'PTHR31458:SF14', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE NON-CATALYTIC SUBUNIT AROGP3', NULL, NULL, NULL, 15),
(149305, NULL, 'PTHR10261:SF0', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA-2', NULL, NULL, NULL, 15),
(149306, NULL, 'PTHR45934:SF6', NULL, NULL, NULL, NULL, 'OS03G0153100 PROTEIN', NULL, NULL, NULL, 15),
(149307, NULL, 'PTHR44191:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149308, NULL, 'PTHR34253:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LLP HOMOLOG', NULL, NULL, NULL, 15),
(149309, NULL, 'PTHR31088:SF13', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED 30 KDA PROTEIN, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(149310, NULL, 'PTHR14557:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND UBIQUITIN-LIKE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(149311, NULL, 'PTHR47950:SF23', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(149312, NULL, 'PTHR31374:SF304', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(149313, NULL, 'PTHR46890:SF9', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149314, NULL, 'PTHR31621:SF57', NULL, NULL, NULL, NULL, 'BNAA06G36210D PROTEIN', NULL, NULL, NULL, 15),
(149315, NULL, 'PTHR11732:SF372', NULL, NULL, NULL, NULL, 'OSJNBA0064H22.4 PROTEIN', NULL, NULL, NULL, 15),
(149316, NULL, 'PTHR31064:SF26', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY POTASSIUM TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149317, NULL, 'PTHR11746:SF164', NULL, NULL, NULL, NULL, 'BNAC03G65490D PROTEIN', NULL, NULL, NULL, 15),
(149318, NULL, 'PTHR23111:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149319, NULL, 'PTHR47991:SF54', NULL, NULL, NULL, NULL, 'OS03G0439500 PROTEIN', NULL, NULL, NULL, 15),
(149320, NULL, 'PTHR42932:SF3', NULL, NULL, NULL, NULL, 'DNA PROTECTION DURING STARVATION PROTEIN', NULL, NULL, NULL, 15),
(149321, NULL, 'PTHR31915:SF10', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING AND COILED-COIL DOMAIN 2', NULL, NULL, NULL, 15),
(149322, NULL, 'PTHR47383:SF3', NULL, NULL, NULL, NULL, 'BNAC01G41860D PROTEIN', NULL, NULL, NULL, 15),
(149323, NULL, 'PTHR36140:SF8', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(149324, NULL, 'PTHR11439:SF353', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149325, NULL, 'PTHR31197:SF32', NULL, NULL, NULL, NULL, 'BNAA06G10150D PROTEIN', NULL, NULL, NULL, 15),
(149326, NULL, 'PTHR24072:SF163', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOH', NULL, NULL, NULL, 15),
(149327, NULL, 'PTHR11723:SF5', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN INHIBITOR ID-2', NULL, NULL, NULL, 15),
(149328, NULL, 'PTHR46838', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 14', NULL, NULL, NULL, 15),
(149329, NULL, 'PTHR10853:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PELOTA HOMOLOG', NULL, NULL, NULL, 15),
(149330, NULL, 'PTHR30455:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR NRDR', NULL, NULL, NULL, 15),
(149331, NULL, 'PTHR43069', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETASE', NULL, NULL, 410, 15),
(149332, NULL, 'PTHR13382:SF10', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT S, MITOCHONDRIAL', NULL, NULL, 25551, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149333, NULL, 'PTHR45768:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149334, NULL, 'PTHR34698:SF2', NULL, NULL, NULL, NULL, '5-OXOPROLINASE SUBUNIT B', NULL, NULL, NULL, 15),
(149335, NULL, 'PTHR11690:SF252', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149336, NULL, 'PTHR33430:SF7', NULL, NULL, NULL, NULL, 'OS07G0240400 PROTEIN', NULL, NULL, NULL, 15),
(149337, NULL, 'PTHR31739:SF25', NULL, NULL, NULL, NULL, '(E,E)-GERANYLLINALOOL SYNTHASE', NULL, NULL, NULL, 15),
(149338, NULL, 'PTHR24361:SF820', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149339, NULL, 'PTHR45444:SF3', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149340, NULL, 'PTHR45637:SF33', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE OXI1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149341, NULL, 'PTHR33543:SF23', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN TYPE 2', NULL, NULL, NULL, 15),
(149342, NULL, 'PTHR27001:SF689', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149343, NULL, 'PTHR23050:SF359', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(149344, NULL, 'PTHR13598:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE INTEGRAL MEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(149345, NULL, 'PTHR37916', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149346, NULL, 'PTHR23500:SF477', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(149347, NULL, 'PTHR16675:SF264', NULL, NULL, NULL, NULL, 'HISTOCOMPATIBILITY 2, T REGION LOCUS 10-RELATED', NULL, NULL, NULL, 15),
(149348, NULL, 'PTHR43317:SF1', NULL, NULL, NULL, NULL, 'THERMOSPERMINE SYNTHASE ACAULIS5', NULL, NULL, NULL, 15),
(149349, NULL, 'PTHR34493:SF7', NULL, NULL, NULL, NULL, 'SPERMATOCYTE PROTEIN SPE-27', NULL, NULL, NULL, 15),
(149350, NULL, 'PTHR45863:SF27', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(149351, NULL, 'PTHR47592', NULL, NULL, NULL, NULL, 'PBF68 PROTEIN', NULL, NULL, NULL, 15),
(149352, NULL, 'PTHR45621:SF174', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL1-RELATED', NULL, NULL, NULL, 15),
(149353, NULL, 'PTHR31681:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-RELATED', NULL, NULL, NULL, 15),
(149354, NULL, 'PTHR34358:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149355, NULL, 'PTHR14379:SF38', NULL, NULL, NULL, NULL, 'BNAC07G49870D PROTEIN', NULL, NULL, NULL, 15),
(149356, NULL, 'PTHR21113', NULL, NULL, NULL, NULL, 'AGAP001705-PA', NULL, NULL, NULL, 15),
(149357, NULL, 'PTHR47389:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149358, NULL, 'PTHR11361:SF14', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MUTS, TYPE 2', NULL, NULL, 4540, 15),
(149359, NULL, 'PTHR31985:SF209', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR TINY', NULL, NULL, NULL, 15),
(149360, NULL, 'PTHR42799:SF22', NULL, NULL, NULL, NULL, 'SI:CH1073-358C10.1', NULL, NULL, NULL, 15),
(149361, NULL, 'PTHR33178:SF15', NULL, NULL, NULL, NULL, 'BNAA05G15190D PROTEIN', NULL, NULL, NULL, 15),
(149362, NULL, 'PTHR46633:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK (WITH NO LYSINE)-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149363, NULL, 'PTHR10366:SF744', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(149364, NULL, 'PTHR11639:SF12', NULL, NULL, NULL, NULL, 'PROTEIN S100-A3', NULL, NULL, 28101, 15),
(149365, NULL, 'PTHR46682', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR V1', NULL, NULL, 28939, 15),
(149366, NULL, 'PTHR24229:SF32', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 149-RELATED', NULL, NULL, NULL, 15),
(149367, NULL, 'PTHR44259:SF65', NULL, NULL, NULL, NULL, 'BNAC03G14360D PROTEIN', NULL, NULL, NULL, 15),
(149368, NULL, 'PTHR12806:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149369, NULL, 'PTHR22811:SF171', NULL, NULL, NULL, NULL, 'BNAA08G26280D PROTEIN', NULL, NULL, NULL, 15),
(149370, NULL, 'PTHR46261:SF22', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(149371, NULL, 'PTHR36357:SF4', NULL, NULL, NULL, NULL, 'BNAC04G50660D PROTEIN', NULL, NULL, NULL, 15),
(149372, NULL, 'PTHR10350', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP155', NULL, NULL, 7001, 15),
(149373, NULL, 'PTHR24118:SF76', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 18', NULL, NULL, 30108, 15),
(149374, NULL, 'PTHR19965:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG19980', NULL, NULL, NULL, 15),
(149375, NULL, 'PTHR46503:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149376, NULL, 'PTHR14209:SF29', NULL, NULL, NULL, NULL, 'BNAUNNG04690D PROTEIN', NULL, NULL, NULL, 15),
(149377, NULL, 'PTHR46791:SF3', NULL, NULL, NULL, NULL, 'ZGC:174680', NULL, NULL, NULL, 15),
(149378, NULL, 'PTHR16121', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(149379, NULL, 'PTHR31066:SF71', NULL, NULL, NULL, NULL, 'PB1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149380, NULL, 'PTHR11746:SF208', NULL, NULL, NULL, NULL, 'CAFFEIC ACID O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(149381, NULL, 'PTHR45766:SF3', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY A-LIKE PROTEIN 1', NULL, NULL, 24761, 15),
(149382, NULL, 'PTHR43028:SF7', NULL, NULL, NULL, NULL, '3''(2''),5''-BISPHOSPHATE NUCLEOTIDASE CYSQ', NULL, NULL, NULL, 15),
(149383, NULL, 'PTHR47746:SF21', NULL, NULL, NULL, NULL, 'BNAA04G05510D PROTEIN', NULL, NULL, NULL, 15),
(149384, NULL, 'PTHR23129', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 15523, 15),
(149385, NULL, 'PTHR24062:SF178', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 2', NULL, NULL, NULL, 15),
(149386, NULL, 'PTHR48015:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TAO2', NULL, NULL, NULL, 15),
(149387, NULL, 'PTHR36571', NULL, NULL, NULL, NULL, 'PROTEIN YGIW', NULL, NULL, NULL, 15),
(149388, NULL, 'PTHR32385:SF20', NULL, NULL, NULL, NULL, 'MANNOSYL PHOSPHORYLINOSITOL CERAMIDE SYNTHASE CSH1-RELATED', NULL, NULL, NULL, 15),
(149389, NULL, 'PTHR11588', NULL, NULL, NULL, NULL, 'TUBULIN', NULL, NULL, 1812, 15),
(149390, NULL, 'PTHR45631:SF19', NULL, NULL, NULL, NULL, 'OS07G0107800 PROTEIN', NULL, NULL, NULL, 15),
(149391, NULL, 'PTHR32468:SF68', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE', NULL, NULL, NULL, 15),
(149392, NULL, 'PTHR14368', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED BASIC PROTEIN 1', NULL, NULL, 33243, 15),
(149393, NULL, 'PTHR43188:SF5', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE 4, PEROXISOMAL', NULL, NULL, NULL, 15),
(149394, NULL, 'PTHR11003:SF167', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS PROTEIN 7', NULL, NULL, NULL, 15),
(149395, NULL, 'PTHR11098:SF8', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE PNCB1', NULL, NULL, NULL, 15),
(149396, NULL, 'PTHR34446', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 10', NULL, NULL, 28387, 15),
(149397, NULL, 'PTHR36784:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(149398, NULL, 'PTHR24173:SF74', NULL, NULL, NULL, NULL, 'PROTEIN FEM-1 HOMOLOG B', NULL, NULL, NULL, 15),
(149399, NULL, 'PTHR32278:SF80', NULL, NULL, NULL, NULL, 'BNAC03G63410D PROTEIN', NULL, NULL, NULL, 15),
(149400, NULL, 'PTHR11706:SF41', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP1', NULL, NULL, NULL, 15),
(149401, NULL, 'PTHR32179:SF4', NULL, NULL, NULL, NULL, 'PYROPHOSPHORYLASE MODD-RELATED', NULL, NULL, NULL, 15),
(149402, NULL, 'PTHR15315:SF91', NULL, NULL, NULL, NULL, 'BNACNNG76270D PROTEIN', NULL, NULL, NULL, 15),
(149403, NULL, 'PTHR48047:SF63', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73D1', NULL, NULL, NULL, 15),
(149404, NULL, 'PTHR10641:SF1050', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB34', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149405, NULL, 'PTHR10795:SF722', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.5', NULL, NULL, NULL, 15),
(149406, NULL, 'PTHR43539:SF65', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(149407, NULL, 'PTHR21683:SF8', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 42', NULL, NULL, NULL, 15),
(149408, NULL, 'PTHR11062:SF211', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(149409, NULL, 'PTHR46580', NULL, NULL, NULL, NULL, 'SENSOR KINASE-RELATED', NULL, NULL, NULL, 15),
(149410, NULL, 'PTHR31225:SF81', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE', NULL, NULL, NULL, 15),
(149411, NULL, 'PTHR11533:SF203', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE M1-C', NULL, NULL, NULL, 15),
(149412, NULL, 'PTHR31009:SF63', NULL, NULL, NULL, NULL, 'BENZOATE CARBOXYL METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(149413, NULL, 'PTHR43272:SF65', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE AND LIGASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149414, NULL, 'PTHR35689', NULL, NULL, NULL, NULL, 'EARLY ENDOSOME ANTIGEN', NULL, NULL, NULL, 15),
(149415, NULL, 'PTHR10664', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR-C.ELEGANS', NULL, NULL, NULL, 15),
(149416, NULL, 'PTHR26453:SF4', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T3-RELATED', NULL, NULL, NULL, 15),
(149417, NULL, 'PTHR13914:SF27', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(149418, NULL, 'PTHR12035:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149419, NULL, 'PTHR33360', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS200', NULL, NULL, NULL, 15),
(149420, NULL, 'PTHR47531:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(149421, NULL, 'PTHR14275', NULL, NULL, NULL, NULL, 'PROMETHIN', NULL, NULL, 24771, 15),
(149422, NULL, 'PTHR11977:SF114', NULL, NULL, NULL, NULL, 'BNAA03G19590D PROTEIN', NULL, NULL, 27944, 15),
(149423, NULL, 'PTHR10108:SF1096', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT16-RELATED', NULL, NULL, NULL, 15),
(149424, NULL, 'PTHR32263:SF32', NULL, NULL, NULL, NULL, 'WWE PROTEIN-PROTEIN INTERACTION DOMAIN PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(149425, NULL, 'PTHR33164:SF72', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(149426, NULL, 'PTHR30011', NULL, NULL, NULL, NULL, 'ALKANESULFONATE MONOOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(149427, NULL, 'PTHR27008:SF393', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(149428, NULL, 'PTHR42721:SF39', NULL, NULL, NULL, NULL, 'BNAA06G23560D PROTEIN', NULL, NULL, NULL, 15),
(149429, NULL, 'PTHR43658:SF12', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-COA DEHYDROGENASE TYPE-2', NULL, NULL, NULL, 15),
(149430, NULL, 'PTHR43986:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149431, NULL, 'PTHR32166:SF90', NULL, NULL, NULL, NULL, 'OS02G0450000 PROTEIN', NULL, NULL, NULL, 15),
(149432, NULL, 'PTHR34598:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149433, NULL, 'PTHR31044:SF40', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(149434, NULL, 'PTHR45621:SF172', NULL, NULL, NULL, NULL, 'OS03G0274800 PROTEIN', NULL, NULL, NULL, 15),
(149435, NULL, 'PTHR30314:SF21', NULL, NULL, NULL, NULL, 'CELL DIVISION FTSZ-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149436, NULL, 'PTHR33993', NULL, NULL, NULL, NULL, 'GLYOXALASE-RELATED', NULL, NULL, NULL, 15),
(149437, NULL, 'PTHR43907', NULL, NULL, NULL, NULL, 'SLEI FAMILY PROTEIN', NULL, NULL, NULL, 15),
(149438, NULL, 'PTHR12601:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149439, NULL, 'PTHR48111:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(149440, NULL, 'PTHR45736:SF1', NULL, NULL, NULL, NULL, 'WITHOUT CHILDREN, ISOFORM B', NULL, NULL, NULL, 15),
(149441, NULL, 'PTHR27006:SF302', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149442, NULL, 'PTHR28562:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149443, NULL, 'PTHR13318:SF61', NULL, NULL, NULL, NULL, 'SI:CH1073-228B5.2', NULL, NULL, NULL, 15),
(149444, NULL, 'PTHR33177:SF41', NULL, NULL, NULL, NULL, 'OS05G0442000 PROTEIN', NULL, NULL, NULL, 15),
(149445, NULL, 'PTHR11240:SF49', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3', NULL, NULL, NULL, 15),
(149446, NULL, 'PTHR26379:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149447, NULL, 'PTHR23281:SF18', NULL, NULL, NULL, NULL, 'MOESIN/EZRIN/RADIXIN HOMOLOG 1', NULL, NULL, NULL, 15),
(149448, NULL, 'PTHR48049:SF69', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(149449, NULL, 'PTHR43506:SF3', NULL, NULL, NULL, NULL, 'BNAC04G31740D PROTEIN', NULL, NULL, NULL, 15),
(149450, NULL, 'PTHR46128:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149451, NULL, 'PTHR24177:SF43', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN20', NULL, NULL, NULL, 15),
(149452, NULL, 'PTHR26454:SF78', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(149453, NULL, 'PTHR31205:SF53', NULL, NULL, NULL, NULL, 'BNAC06G30970D PROTEIN', NULL, NULL, NULL, 15),
(149454, NULL, 'PTHR11125:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT5', NULL, NULL, NULL, 15),
(149455, NULL, 'PTHR43781:SF1', NULL, NULL, NULL, NULL, 'SACCHAROPINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(149456, NULL, 'PTHR10795:SF375', NULL, NULL, NULL, NULL, 'CUCUMISIN-LIKE', NULL, NULL, NULL, 15),
(149457, NULL, 'PTHR33783:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HAIKU1', NULL, NULL, 31109, 15),
(149458, NULL, 'PTHR15197:SF1', NULL, NULL, NULL, NULL, 'COILIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(149459, NULL, 'PTHR46128:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149460, NULL, 'PTHR27003:SF278', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA ISOFORM X1', NULL, NULL, NULL, 15),
(149461, NULL, 'PTHR45620:SF19', NULL, NULL, NULL, NULL, 'CORTICOTROPIN-RELEASING FACTOR RECEPTOR 2', NULL, NULL, NULL, 15),
(149462, NULL, 'PTHR10127:SF775', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149463, NULL, 'PTHR13318:SF175', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149464, NULL, 'PTHR24088', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S17, MITOCHONDRIAL', NULL, NULL, 35917, 15),
(149465, NULL, 'PTHR10641:SF1166', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB30-LIKE', NULL, NULL, NULL, 15),
(149466, NULL, 'PTHR31899:SF9', NULL, NULL, NULL, NULL, 'BETA-CAROTENE 3-HYDROXYLASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(149467, NULL, 'PTHR46801:SF6', NULL, NULL, NULL, NULL, 'LBP/BPI/CETP FAMILY, CARBOXY-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(149468, NULL, 'PTHR47989:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149469, NULL, 'PTHR23430:SF322', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(149470, NULL, 'PTHR31889:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149471, NULL, 'PTHR27003:SF309', NULL, NULL, NULL, NULL, 'REPEAT TRANSMEMBRANE PROTEIN KINASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(149472, NULL, 'PTHR46136:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149473, NULL, 'PTHR23105:SF132', NULL, NULL, NULL, NULL, 'RIBOSOMAL L1 DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(149474, NULL, 'PTHR32444:SF122', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(149475, NULL, 'PTHR34997:SF5', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(149476, NULL, 'PTHR10182:SF23', NULL, NULL, NULL, NULL, 'OS07G0647100 PROTEIN', NULL, NULL, NULL, 15),
(149477, NULL, 'PTHR10606:SF32', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE 1', NULL, NULL, NULL, 15),
(149478, NULL, 'PTHR33493:SF22', NULL, NULL, NULL, NULL, 'BNAA08G30040D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149479, NULL, 'PTHR36435:SF4', NULL, NULL, NULL, NULL, 'ABORTIVE INFECTION PROTEIN', NULL, NULL, NULL, 15),
(149480, NULL, 'PTHR10353:SF271', NULL, NULL, NULL, NULL, 'BNAA05G30850D PROTEIN', NULL, NULL, NULL, 15),
(149481, NULL, 'PTHR24135:SF18', NULL, NULL, NULL, NULL, 'LD13733P', NULL, NULL, NULL, 15),
(149482, NULL, 'PTHR31045:SF25', NULL, NULL, NULL, NULL, 'TERPENOID SYNTHASE 1-RELATED', NULL, NULL, NULL, 15),
(149483, NULL, 'PTHR32096:SF80', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 27-RELATED', NULL, NULL, NULL, 15),
(149484, NULL, 'PTHR31301:SF92', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(149485, NULL, 'PTHR13720:SF48', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE CG42247', NULL, NULL, NULL, 15),
(149486, NULL, 'PTHR46326:SF14', NULL, NULL, NULL, NULL, 'BNAA08G30310D PROTEIN', NULL, NULL, NULL, 15),
(149487, NULL, 'PTHR21224', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 33985, 15),
(149488, NULL, 'PTHR11049:SF31', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOYL-COA THIOESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(149489, NULL, 'PTHR11941:SF130', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE ECHA12-RELATED', NULL, NULL, NULL, 15),
(149490, NULL, 'PTHR13547:SF13', NULL, NULL, NULL, NULL, 'PROTEINACEOUS RNASE P 3', NULL, NULL, NULL, 15),
(149491, NULL, 'PTHR19241:SF637', NULL, NULL, NULL, NULL, 'CASSETTE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(149492, NULL, 'PTHR30529', NULL, NULL, NULL, NULL, 'CYTOCHROME B561', NULL, NULL, NULL, 15),
(149493, NULL, 'PTHR33052:SF160', NULL, NULL, NULL, NULL, 'BNAA09G07830D PROTEIN', NULL, NULL, NULL, 15),
(149494, NULL, 'PTHR32134:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149495, NULL, 'PTHR21141:SF5', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2', NULL, NULL, NULL, 15),
(149496, NULL, 'PTHR11709:SF309', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE HOMOLOG', NULL, NULL, NULL, 15),
(149497, NULL, 'PTHR31013:SF2', NULL, NULL, NULL, NULL, 'THAUMATIN FAMILY', NULL, NULL, NULL, 15),
(149498, NULL, 'PTHR44303:SF1', NULL, NULL, NULL, NULL, 'DNAJ (HSP40) HOMOLOG, SUBFAMILY C, MEMBER 16-LIKE', NULL, NULL, NULL, 15),
(149499, NULL, 'PTHR33388:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149500, NULL, 'PTHR33420:SF29', NULL, NULL, NULL, NULL, 'FIMBRIAL SUBUNIT CUPB1-RELATED', NULL, NULL, NULL, 15),
(149501, NULL, 'PTHR47281', NULL, NULL, NULL, NULL, 'OS09G0557700 PROTEIN', NULL, NULL, 39338, 15),
(149502, NULL, 'PTHR26450:SF198', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(149503, NULL, 'PTHR10881:SF58', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 2-RELATED', NULL, NULL, NULL, 15),
(149504, NULL, 'PTHR43341', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE', NULL, NULL, NULL, 15),
(149505, NULL, 'PTHR11943:SF1', NULL, NULL, NULL, NULL, 'GALACTOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(149506, NULL, 'PTHR46413:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149507, NULL, 'PTHR31221:SF130', NULL, NULL, NULL, NULL, 'OS12G0507300 PROTEIN', NULL, NULL, NULL, 15),
(149508, NULL, 'PTHR11994:SF23', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11', NULL, NULL, NULL, 15),
(149509, NULL, 'PTHR31301:SF138', NULL, NULL, NULL, NULL, 'BNAA05G34200D PROTEIN', NULL, NULL, NULL, 15),
(149510, NULL, 'PTHR31969', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 2', NULL, NULL, 34525, 15),
(149511, NULL, 'PTHR42680:SF1', NULL, NULL, NULL, NULL, 'DEOXYURIDINE 5''-TRIPHOSPHATE NUCLEOTIDOHYDROLASE', NULL, NULL, NULL, 15),
(149512, NULL, 'PTHR11909:SF356', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(149513, NULL, 'PTHR33144:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149514, NULL, 'PTHR11530:SF26', NULL, NULL, NULL, NULL, 'FAD DEPENDENT OXIDOREDUCTASE SUPERFAMILY (AFU_ORTHOLOGUE AFUA_5G13940)', NULL, NULL, NULL, 15),
(149515, NULL, 'PTHR46916:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 205', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149516, NULL, 'PTHR28570:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149517, NULL, 'PTHR14894:SF2', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(149518, NULL, 'PTHR43514:SF9', NULL, NULL, NULL, NULL, 'MOLYBDENUM IMPORT ATP-BINDING PROTEIN MODC 2', NULL, NULL, 13478, 15),
(149519, NULL, 'PTHR47926:SF7', NULL, NULL, NULL, NULL, 'BNAC09G28630D PROTEIN', NULL, NULL, NULL, 15),
(149520, NULL, 'PTHR12802:SF109', NULL, NULL, NULL, NULL, 'PROTEIN LHY', NULL, NULL, NULL, 15),
(149521, NULL, 'PTHR48013:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149522, NULL, 'PTHR24221:SF430', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE ABC TRANSPORTER ATP-BINDING/PERMEASE PROTEIN YHEH-RELATED', NULL, NULL, NULL, 15),
(149523, NULL, 'PTHR22727', NULL, NULL, NULL, NULL, 'PROTEIN CBG13728', NULL, NULL, 35023, 15),
(149524, NULL, 'PTHR33127:SF60', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(149525, NULL, 'PTHR11220:SF58', NULL, NULL, NULL, NULL, 'SOUL HEME-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(149526, NULL, 'PTHR47980:SF2', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-40C', NULL, NULL, NULL, 15),
(149527, NULL, 'PTHR27005:SF281', NULL, NULL, NULL, NULL, 'OS01G0364100 PROTEIN', NULL, NULL, NULL, 15),
(149528, NULL, 'PTHR24300:SF209', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(149529, NULL, 'PTHR12701:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149530, NULL, 'PTHR34281:SF10', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 3-LIKE', NULL, NULL, NULL, 15),
(149531, NULL, 'PTHR31833:SF2', NULL, NULL, NULL, NULL, 'UPF0690 PROTEIN C1ORF52', NULL, NULL, NULL, 15),
(149532, NULL, 'PTHR10579:SF138', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR, TYPE A-RELATED', NULL, NULL, NULL, 15),
(149533, NULL, 'PTHR15880:SF0', NULL, NULL, NULL, NULL, 'ASPARTATE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(149534, NULL, 'PTHR34365:SF6', NULL, NULL, NULL, NULL, 'GLYCINE-RICH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(149535, NULL, 'PTHR23232:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149536, NULL, 'PTHR46164:SF3', NULL, NULL, NULL, NULL, 'ATF6, ISOFORM C', NULL, NULL, NULL, 15),
(149537, NULL, 'PTHR48001:SF83', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1L8', NULL, NULL, NULL, 15),
(149538, NULL, 'PTHR47366', NULL, NULL, NULL, NULL, 'TWO-ON-TWO HEMOGLOBIN-3', NULL, NULL, 39025, 15),
(149539, NULL, 'PTHR45854', NULL, NULL, NULL, NULL, 'ASAP FAMILY MEMBER', NULL, NULL, 37587, 15),
(149540, NULL, 'PTHR22762:SF94', NULL, NULL, NULL, NULL, 'ACID ALPHA GLUCOSIDASE RELATE', NULL, NULL, NULL, 15),
(149541, NULL, 'PTHR10466:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE', NULL, NULL, NULL, 15),
(149542, NULL, 'PTHR11972', NULL, NULL, NULL, NULL, 'NADPH OXIDASE', NULL, NULL, NULL, 15),
(149543, NULL, 'PTHR21212:SF9', NULL, NULL, NULL, NULL, 'SEIPIN-3-LIKE', NULL, NULL, NULL, 15),
(149544, NULL, 'PTHR24399:SF55', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 5', NULL, NULL, NULL, 15),
(149545, NULL, 'PTHR15711:SF21', NULL, NULL, NULL, NULL, 'RAPA GUANOSINE TRIPHOSPHATASE-ACTIVATING PROTEIN B', NULL, NULL, NULL, 15),
(149546, NULL, 'PTHR45667:SF22', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05390)-RELATED', NULL, NULL, NULL, 15),
(149547, NULL, 'PTHR24050:SF21', NULL, NULL, NULL, NULL, 'EGF CONTAINING FIBULIN EXTRACELLULAR MATRIX PROTEIN 2', NULL, NULL, 36077, 15),
(149548, NULL, 'PTHR32100:SF71', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DESATURASE/CONJUGASE-RELATED', NULL, NULL, NULL, 15),
(149549, NULL, 'PTHR11514:SF114', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYC2-LIKE', NULL, NULL, NULL, 15),
(149550, NULL, 'PTHR11260:SF671', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(149551, NULL, 'PTHR19375:SF419', NULL, NULL, NULL, NULL, 'BNAA03G55950D PROTEIN', NULL, NULL, NULL, 15),
(149552, NULL, 'PTHR24057:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149553, NULL, 'PTHR14154:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER 1', NULL, NULL, NULL, 15),
(149554, NULL, 'PTHR11817:SF78', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(149555, NULL, 'PTHR14155:SF478', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL81', NULL, NULL, NULL, 15),
(149556, NULL, 'PTHR13452:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149557, NULL, 'PTHR45919', NULL, NULL, NULL, NULL, 'GDP-MAN:MAN(3)GLCNAC(2)-PP-DOL ALPHA-1,2-MANNOSYLTRANSFERASE', NULL, NULL, 30186, 15),
(149558, NULL, 'PTHR46266', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TT8', NULL, NULL, NULL, 15),
(149559, NULL, 'PTHR31973:SF154', NULL, NULL, NULL, NULL, 'BNAA09G54300D PROTEIN', NULL, NULL, NULL, 15),
(149560, NULL, 'PTHR43617:SF20', NULL, NULL, NULL, NULL, 'GCN5-RELATED N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(149561, NULL, 'PTHR48111:SF7', NULL, NULL, NULL, NULL, 'OMPR SUBFAMILY', NULL, NULL, NULL, 15),
(149562, NULL, 'PTHR24282:SF203', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(149563, NULL, 'PTHR15323:SF6', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 123 HOMOLOG', NULL, NULL, NULL, 15),
(149564, NULL, 'PTHR48092:SF12', NULL, NULL, NULL, NULL, 'ESTROGEN RECEPTOR BETA', NULL, NULL, NULL, 15),
(149565, NULL, 'PTHR33784:SF28', NULL, NULL, NULL, NULL, 'BNAC05G51290D PROTEIN', NULL, NULL, NULL, 15),
(149566, NULL, 'PTHR12770', NULL, NULL, NULL, NULL, 'RUS1 FAMILY PROTEIN C16ORF58', NULL, NULL, 5730, 15),
(149567, NULL, 'PTHR31301:SF15', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(149568, NULL, 'PTHR47864', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(149569, NULL, 'PTHR44916:SF3', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(149570, NULL, 'PTHR23428:SF291', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(149571, NULL, 'PTHR47087', NULL, NULL, NULL, NULL, 'METHIONINE S-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(149572, NULL, 'PTHR46031:SF16', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(149573, NULL, 'PTHR30093:SF30', NULL, NULL, NULL, NULL, 'PILD PROCESSED PROTEIN', NULL, NULL, NULL, 15),
(149574, NULL, 'PTHR13931:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149575, NULL, 'PTHR11506:SF35', NULL, NULL, NULL, NULL, 'LYSOSOME-ASSOCIATED MEMBRANE GLYCOPROTEIN 5', NULL, NULL, NULL, 15),
(149576, NULL, 'PTHR37488:SF7', NULL, NULL, NULL, NULL, 'DUF1275 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G13060)', NULL, NULL, NULL, 15),
(149577, NULL, 'PTHR15710:SF123', NULL, NULL, NULL, NULL, 'OS12G0142850 PROTEIN', NULL, NULL, NULL, 15),
(149578, NULL, 'PTHR35476:SF2', NULL, NULL, NULL, NULL, 'MUCIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149579, NULL, 'PTHR33831:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149580, NULL, 'PTHR39607', NULL, NULL, NULL, NULL, 'XANTHOCILLIN BIOSYNTHESIS CLUSTER TRANSCRIPTION FACTOR XANC-RELATED', NULL, NULL, NULL, 15),
(149581, NULL, 'PTHR31407:SF42', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 2-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(149582, NULL, 'PTHR11228:SF34', NULL, NULL, NULL, NULL, 'TUNGSTEN-CONTAINING ALDEHYDE FERREDOXIN OXIDOREDUCTASE COFACTOR MODIFYING PROTEIN', NULL, NULL, NULL, 15),
(149583, NULL, 'PTHR34124:SF10', NULL, NULL, NULL, NULL, 'OS01G0896400 PROTEIN', NULL, NULL, NULL, 15),
(149584, NULL, 'PTHR24960:SF45', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER-BINDING PROTEIN', NULL, NULL, NULL, 15),
(149585, NULL, 'PTHR46445:SF8', NULL, NULL, NULL, NULL, 'OS05G0581800 PROTEIN', NULL, NULL, NULL, 15),
(149586, NULL, 'PTHR24180:SF20', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND PROTEIN KINASE DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(149587, NULL, 'PTHR23500:SF547', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 12-LIKE', NULL, NULL, NULL, 15),
(149588, NULL, 'PTHR21136:SF193', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN, LONGIN-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149589, NULL, 'PTHR47732', NULL, NULL, NULL, NULL, 'RUN AND FYVE DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 39242, 15),
(149590, NULL, 'PTHR11920:SF265', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-1-RELATED', NULL, NULL, NULL, 15),
(149591, NULL, 'PTHR11877:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149592, NULL, 'PTHR22950:SF494', NULL, NULL, NULL, NULL, 'GH04538P', NULL, NULL, NULL, 15),
(149593, NULL, 'PTHR45866:SF11', NULL, NULL, NULL, NULL, 'DNA GYRASE SUBUNIT B', NULL, NULL, NULL, 15),
(149594, NULL, 'PTHR37832:SF1', NULL, NULL, NULL, NULL, 'BLL2683 PROTEIN', NULL, NULL, NULL, 15),
(149595, NULL, 'PTHR41773', NULL, NULL, NULL, NULL, 'GTP PYROPHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(149596, NULL, 'PTHR48237:SF1', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT', NULL, NULL, NULL, 15),
(149597, NULL, 'PTHR12461:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PEPTIDASE AND (3S)-LYSYL HYDROXYLASE JMJD7', NULL, NULL, NULL, 15),
(149598, NULL, 'PTHR24388:SF61', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 77-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149599, NULL, 'PTHR10314:SF212', NULL, NULL, NULL, NULL, 'PROTEIN CBG06975', NULL, NULL, NULL, 15),
(149600, NULL, 'PTHR16148:SF14', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZN-FINGER-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149601, NULL, 'PTHR43095:SF6', NULL, NULL, NULL, NULL, 'XYLULOSE KINASE', NULL, NULL, NULL, 15),
(149602, NULL, 'PTHR24006:SF817', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(149603, NULL, 'PTHR24281:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149604, NULL, 'PTHR46050:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149605, NULL, 'PTHR47449:SF2', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD4', NULL, NULL, NULL, 15),
(149606, NULL, 'PTHR22705:SF2', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN Y', NULL, NULL, NULL, 15),
(149607, NULL, 'PTHR45857:SF3', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 3', NULL, NULL, 28126, 15),
(149608, NULL, 'PTHR11407:SF63', NULL, NULL, NULL, NULL, 'LYSOZYME', NULL, NULL, NULL, 15),
(149609, NULL, 'PTHR11792:SF22', NULL, NULL, NULL, NULL, 'BETA-ARRESTIN-1', NULL, NULL, NULL, 15),
(149610, NULL, 'PTHR30540:SF100', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 13', NULL, NULL, NULL, 15),
(149611, NULL, 'PTHR31348:SF4', NULL, NULL, NULL, NULL, 'PHYTOCHROME A-ASSOCIATED F-BOX PROTEIN', NULL, NULL, NULL, 15),
(149612, NULL, 'PTHR13342', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR5', NULL, NULL, 8246, 15),
(149613, NULL, 'PTHR48018:SF1', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(149614, NULL, 'PTHR35357:SF1', NULL, NULL, NULL, NULL, 'OS05G0149000 PROTEIN', NULL, NULL, NULL, 15),
(149615, NULL, 'PTHR43019:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149616, NULL, 'PTHR22753:SF38', NULL, NULL, NULL, NULL, 'BNAA02G28330D PROTEIN', NULL, NULL, NULL, 15),
(149617, NULL, 'PTHR45648:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149618, NULL, 'PTHR10589', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, 3351, 15),
(149619, NULL, 'PTHR45714:SF22', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX27', NULL, NULL, NULL, 15),
(149620, NULL, 'PTHR15036:SF64', NULL, NULL, NULL, NULL, 'AGRIN', NULL, NULL, NULL, 15),
(149621, NULL, 'PTHR11034:SF53', NULL, NULL, NULL, NULL, 'NDRG, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149622, NULL, 'PTHR26452:SF704', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AS1', NULL, NULL, NULL, 15),
(149623, NULL, 'PTHR45657:SF55', NULL, NULL, NULL, NULL, 'BNAA06G00190D PROTEIN', NULL, NULL, NULL, 15),
(149624, NULL, 'PTHR12411:SF793', NULL, NULL, NULL, NULL, 'BNAANNG24210D PROTEIN', NULL, NULL, NULL, 15),
(149625, NULL, 'PTHR27009:SF183', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(149626, NULL, 'PTHR23421:SF125', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE C-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149627, NULL, 'PTHR31221:SF238', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 48-RELATED', NULL, NULL, NULL, 15),
(149628, NULL, 'PTHR36308', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(149629, NULL, 'PTHR31791:SF44', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149630, NULL, 'PTHR32191:SF18', NULL, NULL, NULL, NULL, 'OS08G0443800 PROTEIN', NULL, NULL, NULL, 15),
(149631, NULL, 'PTHR17408:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149632, NULL, 'PTHR31360:SF9', NULL, NULL, NULL, NULL, 'OIL BODY-ASSOCIATED PROTEIN 2A', NULL, NULL, NULL, 15),
(149633, NULL, 'PTHR10585:SF80', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR', NULL, NULL, NULL, 15),
(149634, NULL, 'PTHR47866:SF3', NULL, NULL, NULL, NULL, 'BNAANNG27950D PROTEIN', NULL, NULL, NULL, 15),
(149635, NULL, 'PTHR43321:SF19', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE 2', NULL, NULL, NULL, 15),
(149636, NULL, 'PTHR10272:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE-RELATED', NULL, NULL, NULL, 15),
(149637, NULL, 'PTHR32325', NULL, NULL, NULL, NULL, 'BETA-ELIMINATING LYASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149638, NULL, 'PTHR32208:SF59', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN ARB_07867-LIKE', NULL, NULL, NULL, 15),
(149639, NULL, 'PTHR14987:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LBH', NULL, NULL, NULL, 15),
(149640, NULL, 'PTHR38448:SF2', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN YLBF', NULL, NULL, NULL, 15),
(149641, NULL, 'PTHR19134:SF470', NULL, NULL, NULL, NULL, 'PROTEIN CBG23275', NULL, NULL, NULL, 15),
(149642, NULL, 'PTHR12526:SF585', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS GLYCOSYL TRANSFERASE WCAI-RELATED', NULL, NULL, NULL, 15),
(149643, NULL, 'PTHR12391', NULL, NULL, NULL, NULL, 'ARP2/3 COMPLEX 21 KD SUBUNIT', NULL, NULL, 1291, 15),
(149644, NULL, 'PTHR31221:SF169', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 26-RELATED', NULL, NULL, NULL, 15),
(149645, NULL, 'PTHR11945:SF530', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 91', NULL, NULL, NULL, 15),
(149646, NULL, 'PTHR48040:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149647, NULL, 'PTHR45631:SF109', NULL, NULL, NULL, NULL, 'BNAA08G28390D PROTEIN', NULL, NULL, NULL, 15),
(149648, NULL, 'PTHR47992:SF10', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C FAMILY PROTEIN', NULL, NULL, NULL, 15),
(149649, NULL, 'PTHR13056:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR FUSION PROTEIN CCZ1 HOMOLOG B', NULL, NULL, NULL, 15),
(149650, NULL, 'PTHR23012:SF188', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(149651, NULL, 'PTHR10075:SF43', NULL, NULL, NULL, NULL, 'CHL1 ISOFORM 1', NULL, NULL, NULL, 15),
(149652, NULL, 'PTHR47943:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(149653, NULL, 'PTHR47965:SF2', NULL, NULL, NULL, NULL, 'BNAC03G26930D PROTEIN', NULL, NULL, NULL, 15),
(149654, NULL, 'PTHR24206:SF83', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN PLIM2B', NULL, NULL, NULL, 15),
(149655, NULL, 'PTHR24381:SF155', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 763-RELATED', NULL, NULL, NULL, 15),
(149656, NULL, 'PTHR31319:SF72', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(149657, NULL, 'PTHR33830:SF12', NULL, NULL, NULL, NULL, 'BNAA04G15230D PROTEIN', NULL, NULL, NULL, 15),
(149658, NULL, 'PTHR11792:SF18', NULL, NULL, NULL, NULL, 'FI20035P1', NULL, NULL, NULL, 15),
(149659, NULL, 'PTHR13620:SF53', NULL, NULL, NULL, NULL, 'OS01G0660500 PROTEIN', NULL, NULL, NULL, 15),
(149660, NULL, 'PTHR13313', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT VIIC', NULL, NULL, 2535, 15),
(149661, NULL, 'PTHR12386:SF21', NULL, NULL, NULL, NULL, 'ATP SYNTHASE G SUBUNIT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(149662, NULL, 'PTHR24073:SF1118', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABF2A', NULL, NULL, NULL, 15),
(149663, NULL, 'PTHR31016:SF11', NULL, NULL, NULL, NULL, 'BNAUNNG01860D PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149664, NULL, 'PTHR47274:SF17', NULL, NULL, NULL, NULL, 'BNAA04G28710D PROTEIN', NULL, NULL, NULL, 15),
(149665, NULL, 'PTHR33078:SF64', NULL, NULL, NULL, NULL, 'PROTEIN YCF2', NULL, NULL, NULL, 15),
(149666, NULL, 'PTHR30244:SF35', NULL, NULL, NULL, NULL, 'DTDP-4-AMINO-4,6-DIDEOXYGALACTOSE TRANSAMINASE', NULL, NULL, NULL, 15),
(149667, NULL, 'PTHR12203:SF30', NULL, NULL, NULL, NULL, 'OSJNBB0039L24.21 PROTEIN', NULL, NULL, NULL, 15),
(149668, NULL, 'PTHR33484:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149669, NULL, 'PTHR10572:SF10', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', NULL, NULL, NULL, 15),
(149670, NULL, 'PTHR10285:SF175', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE', NULL, NULL, NULL, 15),
(149671, NULL, 'PTHR23226:SF283', NULL, NULL, NULL, NULL, 'SI:DKEY-210J14.3', NULL, NULL, NULL, 15),
(149672, NULL, 'PTHR30042', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE C CHAIN', NULL, NULL, 3176, 15),
(149673, NULL, 'PTHR31717:SF69', NULL, NULL, NULL, NULL, 'BNACNNG51750D PROTEIN', NULL, NULL, NULL, 15),
(149674, NULL, 'PTHR47997:SF4', NULL, NULL, NULL, NULL, 'BNACNNG06970D PROTEIN', NULL, NULL, NULL, 15),
(149675, NULL, 'PTHR11890:SF6', NULL, NULL, NULL, NULL, 'INTERLEUKIN-18 RECEPTOR 1', NULL, NULL, NULL, 15),
(149676, NULL, 'PTHR36708:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 6, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(149677, NULL, 'PTHR10553:SF16', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', NULL, NULL, NULL, 15),
(149678, NULL, 'PTHR44927:SF1', NULL, NULL, NULL, NULL, 'FK506-BINDING PROTEIN 15', NULL, NULL, NULL, 15),
(149679, NULL, 'PTHR45897', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY CHOLINE TRANSPORTER 1', NULL, NULL, NULL, 15),
(149680, NULL, 'PTHR31488:SF1', NULL, NULL, NULL, NULL, 'DPY-19-LIKE 1, LIKE (H. SAPIENS)', NULL, NULL, 27516, 15),
(149681, NULL, 'PTHR11568', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 1', NULL, NULL, 35531, 15),
(149682, NULL, 'PTHR11132:SF274', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE/PHOSPHATE TRANSLOCATOR 2 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(149683, NULL, 'PTHR34201:SF9', NULL, NULL, NULL, NULL, 'BNAA02G12570D PROTEIN', NULL, NULL, NULL, 15),
(149684, NULL, 'PTHR14209', NULL, NULL, NULL, NULL, 'ISOAMYL ACETATE-HYDROLYZING ESTERASE 1', NULL, NULL, 39362, 15),
(149685, NULL, 'PTHR24381:SF268', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 75A', NULL, NULL, NULL, 15),
(149686, NULL, 'PTHR43084:SF3', NULL, NULL, NULL, NULL, 'GLYOXYLASE B2', NULL, NULL, NULL, 15),
(149687, NULL, 'PTHR45621:SF156', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149688, NULL, 'PTHR47310:SF5', NULL, NULL, NULL, NULL, 'OS01G0510600 PROTEIN', NULL, NULL, NULL, 15),
(149689, NULL, 'PTHR35867', NULL, NULL, NULL, NULL, 'PROTEIN RSEC', NULL, NULL, 5586, 15),
(149690, NULL, 'PTHR45936:SF1', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(20) SYNTHASE [NAD(P)+]-LIKE', NULL, NULL, NULL, 15),
(149691, NULL, 'PTHR11726:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10', NULL, NULL, NULL, 15),
(149692, NULL, 'PTHR33768:SF3', NULL, NULL, NULL, NULL, 'MIP11318P', NULL, NULL, NULL, 15),
(149693, NULL, 'PTHR48053:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149694, NULL, 'PTHR40629', NULL, NULL, NULL, NULL, 'PRO41 PROTEIN', NULL, NULL, NULL, 15),
(149695, NULL, 'PTHR21561:SF20', NULL, NULL, NULL, NULL, 'OS12G0561200 PROTEIN', NULL, NULL, NULL, 15),
(149696, NULL, 'PTHR20886', NULL, NULL, NULL, NULL, 'VANG-LIKE PROTEIN', NULL, NULL, 10414, 15),
(149697, NULL, 'PTHR40086', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE YTMP-RELATED', NULL, NULL, NULL, 15),
(149698, NULL, 'PTHR31804:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149699, NULL, 'PTHR47999:SF73', NULL, NULL, NULL, NULL, 'BNAC03G60080D PROTEIN', NULL, NULL, NULL, 15),
(149700, NULL, 'PTHR43072:SF11', NULL, NULL, NULL, NULL, 'UPF0039 PROTEIN C11D3.02C', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149701, NULL, 'PTHR46214:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH11 ISOFORM X1', NULL, NULL, NULL, 15),
(149702, NULL, 'PTHR34278:SF10', NULL, NULL, NULL, NULL, 'BNAC04G02080D PROTEIN', NULL, NULL, NULL, 15),
(149703, NULL, 'PTHR16705:SF5', NULL, NULL, NULL, NULL, 'COMPLEXIN-3', NULL, NULL, NULL, 15),
(149704, NULL, 'PTHR33086:SF52', NULL, NULL, NULL, NULL, 'OS09G0128900 PROTEIN', NULL, NULL, NULL, 15),
(149705, NULL, 'PTHR31683:SF146', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(149706, NULL, 'PTHR10680:SF14', NULL, NULL, NULL, NULL, 'PEPTIDYL-GLYCINE ALPHA-AMIDATING MONOOXYGENASE', NULL, NULL, NULL, 15),
(149707, NULL, 'PTHR10352:SF41', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF', NULL, NULL, NULL, 15),
(149708, NULL, 'PTHR37255:SF1', NULL, NULL, NULL, NULL, 'OS07G0669600 PROTEIN', NULL, NULL, NULL, 15),
(149709, NULL, 'PTHR11514:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149710, NULL, 'PTHR23130:SF115', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(149711, NULL, 'PTHR47998:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB23-LIKE', NULL, NULL, NULL, 15),
(149712, NULL, 'PTHR17502', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 27 FAMILY MEMBER', NULL, NULL, NULL, 15),
(149713, NULL, 'PTHR31284:SF20', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1-LIKE', NULL, NULL, NULL, 15),
(149714, NULL, 'PTHR33172:SF39', NULL, NULL, NULL, NULL, 'BNACNNG06290D PROTEIN', NULL, NULL, NULL, 15),
(149715, NULL, 'PTHR24232:SF51', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 55A', NULL, NULL, NULL, 15),
(149716, NULL, 'PTHR47967:SF19', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(149717, NULL, 'PTHR27002:SF704', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN S13, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(149718, NULL, 'PTHR26452:SF129', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(149719, NULL, 'PTHR48018:SF116', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5B2', NULL, NULL, NULL, 15),
(149720, NULL, 'PTHR43952:SF63', NULL, NULL, NULL, NULL, 'BNAA04G12340D PROTEIN', NULL, NULL, NULL, 15),
(149721, NULL, 'PTHR21230:SF75', NULL, NULL, NULL, NULL, 'BNAA07G09410D PROTEIN', NULL, NULL, NULL, 15),
(149722, NULL, 'PTHR24068:SF242', NULL, NULL, NULL, NULL, 'UBIQUITIN CARRIER PROTEIN', NULL, NULL, NULL, 15),
(149723, NULL, 'PTHR14021:SF17', NULL, NULL, NULL, NULL, 'BNAA03G55360D PROTEIN', NULL, NULL, NULL, 15),
(149724, NULL, 'PTHR35146', NULL, NULL, NULL, NULL, 'UPF0178 PROTEIN YAII', NULL, NULL, 6284, 15),
(149725, NULL, 'PTHR10797:SF63', NULL, NULL, NULL, NULL, 'BNAA02G19410D PROTEIN', NULL, NULL, NULL, 15),
(149726, NULL, 'PTHR11132:SF329', NULL, NULL, NULL, NULL, 'OS12G0154000 PROTEIN', NULL, NULL, NULL, 15),
(149727, NULL, 'PTHR24068:SF132', NULL, NULL, NULL, NULL, 'NEDD8-CONJUGATING ENZYME UBC12', NULL, NULL, NULL, 15),
(149728, NULL, 'PTHR20932', NULL, NULL, NULL, NULL, 'LOC443603 PROTEIN-RELATED', NULL, NULL, 38181, 15),
(149729, NULL, 'PTHR43948:SF6', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 6', NULL, NULL, NULL, 15),
(149730, NULL, 'PTHR46289:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149731, NULL, 'PTHR30469:SF15', NULL, NULL, NULL, NULL, 'ACRIFLAVIN RESISTANCE PROTEIN ACRE', NULL, NULL, NULL, 15),
(149732, NULL, 'PTHR48034:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149733, NULL, 'PTHR13844:SF15', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MDM2', NULL, NULL, 9406, 15),
(149734, NULL, 'PTHR31439:SF4', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(149735, NULL, 'PTHR31132:SF15', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(149736, NULL, 'PTHR47906:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(149737, NULL, 'PTHR24298:SF474', NULL, NULL, NULL, NULL, 'CYT-P450 MONOOXYGENASE', NULL, NULL, NULL, 15),
(149738, NULL, 'PTHR47000:SF5', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149739, NULL, 'PTHR33059:SF90', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 6', NULL, NULL, NULL, 15),
(149740, NULL, 'PTHR11394:SF70', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 42', NULL, NULL, NULL, 15),
(149741, NULL, 'PTHR32285:SF163', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 10', NULL, NULL, NULL, 15),
(149742, NULL, 'PTHR47947:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(149743, NULL, 'PTHR24015:SF1991', NULL, NULL, NULL, NULL, 'OS01G0938000 PROTEIN', NULL, NULL, NULL, 15),
(149744, NULL, 'PTHR22943:SF17', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(149745, NULL, 'PTHR33588:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 299', NULL, NULL, NULL, 15),
(149746, NULL, 'PTHR44129:SF4', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(149747, NULL, 'PTHR22426:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149748, NULL, 'PTHR43258:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(149749, NULL, 'PTHR45651:SF41', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 3-RELATED', NULL, NULL, NULL, 15),
(149750, NULL, 'PTHR47075:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH47', NULL, NULL, NULL, 15),
(149751, NULL, 'PTHR47488', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, 37549, 15),
(149752, NULL, 'PTHR14239:SF0', NULL, NULL, NULL, NULL, 'F420-DEPENDENT NADP REDUCTASE', NULL, NULL, NULL, 15),
(149753, NULL, 'PTHR15316:SF9', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3A SUBUNIT 1-RELATED', NULL, NULL, NULL, 15),
(149754, NULL, 'PTHR42060:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149755, NULL, 'PTHR44170:SF23', NULL, NULL, NULL, NULL, 'BROTHER OF IHOG, ISOFORM G-RELATED', NULL, NULL, NULL, 15),
(149756, NULL, 'PTHR11571:SF161', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(149757, NULL, 'PTHR46659', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/TYROSINE-INTERACTING-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(149758, NULL, 'PTHR19241:SF457', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 10-RELATED', NULL, NULL, NULL, 15),
(149759, NULL, 'PTHR12312:SF16', NULL, NULL, NULL, NULL, 'TWISTED GASTRULATION PROTEIN HOMOLOG 1-A-RELATED', NULL, NULL, NULL, 15),
(149760, NULL, 'PTHR34710:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149761, NULL, 'PTHR16023:SF4', NULL, NULL, NULL, NULL, 'BNAA06G34700D PROTEIN', NULL, NULL, NULL, 15),
(149762, NULL, 'PTHR45818:SF4', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR VAV2', NULL, NULL, NULL, 15),
(149763, NULL, 'PTHR30614:SF44', NULL, NULL, NULL, NULL, 'L-CYSTINE TRANSPORT SYSTEM PERMEASE PROTEIN TCYB', NULL, NULL, NULL, 15),
(149764, NULL, 'PTHR34000', NULL, NULL, NULL, NULL, 'LRRGT00142-RELATED', NULL, NULL, NULL, 15),
(149765, NULL, 'PTHR11552:SF147', NULL, NULL, NULL, NULL, 'CHOLINE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(149766, NULL, 'PTHR45613:SF446', NULL, NULL, NULL, NULL, 'OS08G0300700 PROTEIN', NULL, NULL, NULL, 15),
(149767, NULL, 'PTHR24413:SF228', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN-CONTAINING PROTEIN 40', NULL, NULL, NULL, 15),
(149768, NULL, 'PTHR46326:SF16', NULL, NULL, NULL, NULL, 'BNAANNG06980D PROTEIN', NULL, NULL, NULL, 15),
(149769, NULL, 'PTHR15009:SF4', NULL, NULL, NULL, NULL, 'MUELLERIAN-INHIBITING FACTOR', NULL, NULL, NULL, 15),
(149770, NULL, 'PTHR33395:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149771, NULL, 'PTHR47993:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149772, NULL, 'PTHR43706:SF28', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE B2', NULL, NULL, NULL, 15),
(149773, NULL, 'PTHR40252', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149774, NULL, 'PTHR45824:SF18', NULL, NULL, NULL, NULL, 'OS01G0264700 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149775, NULL, 'PTHR24112:SF32', NULL, NULL, NULL, NULL, 'CAPPING PROTEIN, ARP2/3 AND MYOSIN-I LINKER PROTEIN 2', NULL, NULL, 26113, 15),
(149776, NULL, 'PTHR32343:SF19', NULL, NULL, NULL, NULL, 'OS11G0549537 PROTEIN', NULL, NULL, NULL, 15),
(149777, NULL, 'PTHR47244:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE IBR5', NULL, NULL, NULL, 15),
(149778, NULL, 'PTHR48105:SF7', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE 1, CYTOPLASMIC', NULL, NULL, NULL, 15),
(149779, NULL, 'PTHR16127:SF13', NULL, NULL, NULL, NULL, 'GH01188P', NULL, NULL, NULL, 15),
(149780, NULL, 'PTHR12964:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(149781, NULL, 'PTHR10812:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-2-ALPHA', NULL, NULL, NULL, 15),
(149782, NULL, 'PTHR40080', NULL, NULL, NULL, NULL, 'LMO1763 PROTEIN', NULL, NULL, 18797, 15),
(149783, NULL, 'PTHR10106:SF24', NULL, NULL, NULL, NULL, 'NO EXTENDED MEMORY, ISOFORM A', NULL, NULL, NULL, 15),
(149784, NULL, 'PTHR45787:SF1', NULL, NULL, NULL, NULL, 'LD11652P', NULL, NULL, NULL, 15),
(149785, NULL, 'PTHR28048:SF1', NULL, NULL, NULL, NULL, 'ACR195WP', NULL, NULL, NULL, 15),
(149786, NULL, 'PTHR21879:SF2', NULL, NULL, NULL, NULL, 'OSIRIS 20', NULL, NULL, NULL, 15),
(149787, NULL, 'PTHR13844:SF2', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY D MEMBER 2', NULL, NULL, 27112, 15),
(149788, NULL, 'PTHR31238:SF204', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 5-1', NULL, NULL, NULL, 15),
(149789, NULL, 'PTHR12093', NULL, NULL, NULL, NULL, 'NCK-ASSOCIATED PROTEIN 1', NULL, NULL, 17724, 15),
(149790, NULL, 'PTHR15664:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149791, NULL, 'PTHR11831:SF39', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S4/S9-RELATED', NULL, NULL, NULL, 15),
(149792, NULL, 'PTHR20914:SF22', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2 INHIBITOR AND LY6/PLAUR DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(149793, NULL, 'PTHR10795:SF678', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.3', NULL, NULL, NULL, 15),
(149794, NULL, 'PTHR34453:SF3', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE (DEFL) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149795, NULL, 'PTHR10909:SF368', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, NULL, 15),
(149796, NULL, 'PTHR32208:SF83', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH, BETA-PROPELLER-RELATED', NULL, NULL, NULL, 15),
(149797, NULL, 'PTHR21523:SF14', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', NULL, NULL, NULL, 15),
(149798, NULL, 'PTHR46503:SF7', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149799, NULL, 'PTHR31059:SF4', NULL, NULL, NULL, NULL, 'HSSA/B-LIKE PROTEIN 31', NULL, NULL, NULL, 15),
(149800, NULL, 'PTHR47043:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149801, NULL, 'PTHR46662:SF32', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IRK-RELATED', NULL, NULL, NULL, 15),
(149802, NULL, 'PTHR11161:SF57', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(149803, NULL, 'PTHR44272:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 16', NULL, NULL, NULL, 15),
(149804, NULL, 'PTHR33136:SF74', NULL, NULL, NULL, NULL, 'BNAC03G58480D PROTEIN', NULL, NULL, NULL, 15),
(149805, NULL, 'PTHR45801:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR TAC1-LIKE', NULL, NULL, NULL, 15),
(149806, NULL, 'PTHR14513', NULL, NULL, NULL, NULL, 'PROTECTION OF TELOMERES 1', NULL, NULL, 28722, 15),
(149807, NULL, 'PTHR14083:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YIF1A', NULL, NULL, NULL, 15),
(149808, NULL, 'PTHR10566:SF118', NULL, NULL, NULL, NULL, 'IMPORTIN-BETA, N-TERMINAL DOMAIN', NULL, NULL, NULL, 15),
(149809, NULL, 'PTHR13462:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149810, NULL, 'PTHR31509:SF104', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 3 SUBUNIT A, PUTATIVE-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149811, NULL, 'PTHR46284:SF9', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149812, NULL, 'PTHR43791:SF48', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G01000)-RELATED', NULL, NULL, NULL, 15),
(149813, NULL, 'PTHR10127:SF820', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-31', NULL, NULL, NULL, 15),
(149814, NULL, 'PTHR22536:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(149815, NULL, 'PTHR44360', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 9', NULL, NULL, NULL, 15),
(149816, NULL, 'PTHR43470:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PSTA', NULL, NULL, NULL, 15),
(149817, NULL, 'PTHR23147:SF166', NULL, NULL, NULL, NULL, 'PROTEIN TERMINAL EAR1 HOMOLOG', NULL, NULL, NULL, 15),
(149818, NULL, 'PTHR47965:SF30', NULL, NULL, NULL, NULL, 'BNAC08G45750D PROTEIN', NULL, NULL, NULL, 15),
(149819, NULL, 'PTHR23336:SF60', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE-LIKE ATPASE, C-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149820, NULL, 'PTHR22814:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149821, NULL, 'PTHR11615:SF274', NULL, NULL, NULL, NULL, 'BLL5478 PROTEIN', NULL, NULL, NULL, 15),
(149822, NULL, 'PTHR45722:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149823, NULL, 'PTHR46183:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149824, NULL, 'PTHR11257:SF13', NULL, NULL, NULL, NULL, 'GEO07322P1-RELATED', NULL, NULL, NULL, 15),
(149825, NULL, 'PTHR21721', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(149826, NULL, 'PTHR34670:SF15', NULL, NULL, NULL, NULL, 'BNAA03G54980D PROTEIN', NULL, NULL, NULL, 15),
(149827, NULL, 'PTHR22870:SF350', NULL, NULL, NULL, NULL, 'F12P19.9 PROTEIN', NULL, NULL, NULL, 15),
(149828, NULL, 'PTHR12299:SF62', NULL, NULL, NULL, NULL, 'ASPARTATE, GLYCINE, LYSINE AND SERINE-RICH PROTEIN-LIKE', NULL, NULL, NULL, 15),
(149829, NULL, 'PTHR43452:SF6', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE ISOZYME 1-RELATED', NULL, NULL, NULL, 15),
(149830, NULL, 'PTHR22692:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149831, NULL, 'PTHR34682:SF3', NULL, NULL, NULL, NULL, 'HOOK MOTIF-CONTAINING PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(149832, NULL, 'PTHR12847:SF3', NULL, NULL, NULL, NULL, 'NECAP-LIKE PROTEIN CG9132', NULL, NULL, NULL, 15),
(149833, NULL, 'PTHR15635:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG06763', NULL, NULL, NULL, 15),
(149834, NULL, 'PTHR10799:SF978', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE BRM', NULL, NULL, 23719, 15),
(149835, NULL, 'PTHR43617:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149836, NULL, 'PTHR24414:SF124', NULL, NULL, NULL, NULL, 'BNAC03G48510D PROTEIN', NULL, NULL, NULL, 15),
(149837, NULL, 'PTHR27005:SF327', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149838, NULL, 'PTHR31307:SF40', NULL, NULL, NULL, NULL, 'SEQUENCE-SPECIFIC DNA BINDING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(149839, NULL, 'PTHR43096:SF43', NULL, NULL, NULL, NULL, 'ASSOCIATED DNAJ CHAPERONE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G02090)-RELATED', NULL, NULL, NULL, 15),
(149840, NULL, 'PTHR12385:SF82', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(149841, NULL, 'PTHR11346:SF111', NULL, NULL, NULL, NULL, 'GALECTIN-12', NULL, NULL, 26431, 15),
(149842, NULL, 'PTHR27008:SF284', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149843, NULL, 'PTHR48017:SF167', NULL, NULL, NULL, NULL, 'OS02G0102200 PROTEIN', NULL, NULL, NULL, 15),
(149844, NULL, 'PTHR47651', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT HISTONE DEACETYLASE HST4', NULL, NULL, NULL, 15),
(149845, NULL, 'PTHR11732:SF205', NULL, NULL, NULL, NULL, '3-ALPHA-HYDROXYSTEROID DEHYDROGENASE TYPE 1', NULL, NULL, NULL, 15),
(149846, NULL, 'PTHR45722:SF19', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-LIKE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149847, NULL, 'PTHR32077:SF51', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(149848, NULL, 'PTHR22738:SF9', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, 29574, 15),
(149849, NULL, 'PTHR33127:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149850, NULL, 'PTHR13683:SF825', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149851, NULL, 'PTHR23410:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149852, NULL, 'PTHR30194', NULL, NULL, NULL, NULL, 'CROSSOVER JUNCTION ENDODEOXYRIBONUCLEASE RUVC', NULL, NULL, 5338, 15),
(149853, NULL, 'PTHR21164:SF0', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE AROH', NULL, NULL, NULL, 15),
(149854, NULL, 'PTHR24012:SF819', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A1', NULL, NULL, NULL, 15),
(149855, NULL, 'PTHR10174:SF72', NULL, NULL, NULL, NULL, 'CLAVESIN-1', NULL, NULL, 24378, 15),
(149856, NULL, 'PTHR24082:SF494', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-48', NULL, NULL, NULL, 15),
(149857, NULL, 'PTHR22936:SF90', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', NULL, NULL, NULL, 15),
(149858, NULL, 'PTHR15654:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 113', NULL, NULL, NULL, 15),
(149859, NULL, 'PTHR24062:SF151', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(149860, NULL, 'PTHR31246:SF19', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-2-LIKE', NULL, NULL, NULL, 15),
(149861, NULL, 'PTHR33415:SF10', NULL, NULL, NULL, NULL, 'PROTEIN DCL, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(149862, NULL, 'PTHR48247:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149863, NULL, 'PTHR34446:SF3', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 10-LIKE PROTEIN 2A-RELATED', NULL, NULL, NULL, 15),
(149864, NULL, 'PTHR46513:SF21', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(149865, NULL, 'PTHR43818:SF7', NULL, NULL, NULL, NULL, 'D-GALACTOSE 1-DEHYDROGENASE', NULL, NULL, NULL, 15),
(149866, NULL, 'PTHR43537:SF15', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MCBR', NULL, NULL, NULL, 15),
(149867, NULL, 'PTHR24282:SF100', NULL, NULL, NULL, NULL, 'OS06G0191700 PROTEIN', NULL, NULL, NULL, 15),
(149868, NULL, 'PTHR23112:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 116', NULL, NULL, NULL, 15),
(149869, NULL, 'PTHR47057', NULL, NULL, NULL, NULL, 'AFADIN/ALPHA-ACTININ-BINDING', NULL, NULL, NULL, 15),
(149870, NULL, 'PTHR46265:SF6', NULL, NULL, NULL, NULL, 'OS07G0658300 PROTEIN', NULL, NULL, NULL, 15),
(149871, NULL, 'PTHR31642:SF16', NULL, NULL, NULL, NULL, 'OS08G0205000 PROTEIN', NULL, NULL, NULL, 15),
(149872, NULL, 'PTHR23068:SF6', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING PROTEIN 2B', NULL, NULL, NULL, 15),
(149873, NULL, 'PTHR24381:SF136', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 124', NULL, NULL, NULL, 15),
(149874, NULL, 'PTHR23500:SF522', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(149875, NULL, 'PTHR32116:SF83', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(149876, NULL, 'PTHR11850:SF47', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MEIS2', NULL, NULL, NULL, 15),
(149877, NULL, 'PTHR32063:SF16', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM (ACRB/ACRD/ACRF FAMILY)', NULL, NULL, NULL, 15),
(149878, NULL, 'PTHR35463', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(149879, NULL, 'PTHR27002:SF816', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(149880, NULL, 'PTHR21277', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER 1', NULL, NULL, 10079, 15),
(149881, NULL, 'PTHR11654:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149882, NULL, 'PTHR36183:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149883, NULL, 'PTHR18966:SF423', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(149884, NULL, 'PTHR45900:SF9', NULL, NULL, NULL, NULL, 'REPAIR PROTEIN RECA, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(149885, NULL, 'PTHR12064:SF36', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(149886, NULL, 'PTHR16223:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH123', NULL, NULL, NULL, 15),
(149887, NULL, 'PTHR22599:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149888, NULL, 'PTHR31221:SF231', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 20 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(149889, NULL, 'PTHR44663:SF1', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE 2B', NULL, NULL, NULL, 15),
(149890, NULL, 'PTHR46926:SF1', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN DOMAIN-CONTAINING CYSTEINE-RICH PROTEIN 2', NULL, NULL, NULL, 15),
(149891, NULL, 'PTHR23210:SF26', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR 7 INTERACTING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149892, NULL, 'PTHR11142:SF4', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE A', NULL, NULL, NULL, 15),
(149893, NULL, 'PTHR11105:SF0', NULL, NULL, NULL, NULL, 'CITRAMALYL-COA LYASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(149894, NULL, 'PTHR14543', NULL, NULL, NULL, NULL, 'PROTRUDIN', NULL, NULL, 39083, 15),
(149895, NULL, 'PTHR13110:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149896, NULL, 'PTHR10405:SF9', NULL, NULL, NULL, NULL, 'SPINDLIN-4', NULL, NULL, 29342, 15),
(149897, NULL, 'PTHR48188:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L43', NULL, NULL, NULL, 15),
(149898, NULL, 'PTHR45838:SF5', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(149899, NULL, 'PTHR34805:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149900, NULL, 'PTHR24220:SF674', NULL, NULL, NULL, NULL, 'BACITRACIN EXPORT ATP-BINDING PROTEIN BCEA', NULL, NULL, NULL, 15),
(149901, NULL, 'PTHR40698:SF2', NULL, NULL, NULL, NULL, 'FLAGELLA-RELATED PROTEIN C-RELATED', NULL, NULL, NULL, 15),
(149902, NULL, 'PTHR33870:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(149903, NULL, 'PTHR24093:SF471', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(149904, NULL, 'PTHR39184:SF1', NULL, NULL, NULL, NULL, 'PBSX PHAGE TERMINASE LARGE SUBUNIT', NULL, NULL, NULL, 15),
(149905, NULL, 'PTHR45969:SF28', NULL, NULL, NULL, NULL, 'EMB|CAB89405.1-RELATED', NULL, NULL, NULL, 15),
(149906, NULL, 'PTHR11945:SF396', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 32', NULL, NULL, NULL, 15),
(149907, NULL, 'PTHR43741', NULL, NULL, NULL, NULL, 'FMN-DEPENDENT NADH-AZOREDUCTASE 1', NULL, NULL, NULL, 15),
(149908, NULL, 'PTHR11742:SF55', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM MANNOSYL-OLIGOSACCHARIDE 1,2-ALPHA-MANNOSIDASE', NULL, NULL, NULL, 15),
(149909, NULL, 'PTHR12358:SF31', NULL, NULL, NULL, NULL, 'LD11247P-RELATED', NULL, NULL, NULL, 15),
(149910, NULL, 'PTHR47414', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP20-2, CHLOROPLASTIC', NULL, NULL, 37613, 15),
(149911, NULL, 'PTHR46911:SF2', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(149912, NULL, 'PTHR19848:SF5', NULL, NULL, NULL, NULL, 'NOTCHLESS PROTEIN HOMOLOG 1', NULL, NULL, NULL, 15),
(149913, NULL, 'PTHR45794', NULL, NULL, NULL, NULL, 'LEUCYL-TRNA SYNTHETASE', NULL, NULL, 1598, 15),
(149914, NULL, 'PTHR28613:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 238', NULL, NULL, NULL, 15),
(149915, NULL, 'PTHR21831:SF2', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 10', NULL, NULL, NULL, 15),
(149916, NULL, 'PTHR47182:SF1', NULL, NULL, NULL, NULL, 'ALPHA-1,3 GLUCAN SYNTHASE (EUROFUNG)', NULL, NULL, NULL, 15),
(149917, NULL, 'PTHR32444:SF60', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149918, NULL, 'PTHR12701:SF5', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED PROTEIN 29', NULL, NULL, NULL, 15),
(149919, NULL, 'PTHR23500:SF428', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 6-RELATED', NULL, NULL, NULL, 15),
(149920, NULL, 'PTHR24240:SF150', NULL, NULL, NULL, NULL, 'AGAP005681-PA', NULL, NULL, NULL, 15),
(149921, NULL, 'PTHR13683:SF610', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(149922, NULL, 'PTHR33353:SF13', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE II', NULL, NULL, NULL, 15),
(149923, NULL, 'PTHR12628:SF11', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 1', NULL, NULL, 24547, 15),
(149924, NULL, 'PTHR31719:SF145', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 102', NULL, NULL, NULL, 15),
(149925, NULL, 'PTHR16517:SF108', NULL, NULL, NULL, NULL, 'TUBBY-LIKE PROTEIN 4A', NULL, NULL, NULL, 15),
(149926, NULL, 'PTHR23155:SF1090', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN EXPRESSED', NULL, NULL, NULL, 15),
(149927, NULL, 'PTHR16223:SF163', NULL, NULL, NULL, NULL, 'ELKS/RAB6-INTERACTING/CAST FAMILY PROTEIN', NULL, NULL, NULL, 15),
(149928, NULL, 'PTHR24064:SF567', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 7B, TANDEM DUPLICATE 2-RELATED', NULL, NULL, NULL, 15),
(149929, NULL, 'PTHR48014:SF24', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FRAY2', NULL, NULL, NULL, 15),
(149930, NULL, 'PTHR33132:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149931, NULL, 'PTHR23101:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149932, NULL, 'PTHR48002:SF29', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(149933, NULL, 'PTHR16523:SF6', NULL, NULL, NULL, NULL, 'PEST PROTEOLYTIC SIGNAL-CONTAINING NUCLEAR PROTEIN', NULL, NULL, NULL, 15),
(149934, NULL, 'PTHR37366:SF1', NULL, NULL, NULL, NULL, 'SPERM ACROSOME MEMBRANE-ASSOCIATED PROTEIN 6', NULL, NULL, NULL, 15),
(149935, NULL, 'PTHR10133:SF52', NULL, NULL, NULL, NULL, '5''-3'' EXONUCLEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(149936, NULL, 'PTHR11654:SF287', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER', NULL, NULL, NULL, 15),
(149937, NULL, 'PTHR31741:SF68', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONAN I RHAMNOSYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(149938, NULL, 'PTHR45906:SF2', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(149939, NULL, 'PTHR14907:SF3', NULL, NULL, NULL, NULL, 'SUPPRESSOR APC DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(149940, NULL, 'PTHR36739:SF1', NULL, NULL, NULL, NULL, 'D-TAGATOSE-1,6-BISPHOSPHATE ALDOLASE SUBUNIT', NULL, NULL, NULL, 15),
(149941, NULL, 'PTHR11875:SF36', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1-LIKE 2', NULL, NULL, NULL, 15),
(149942, NULL, 'PTHR32035:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149943, NULL, 'PTHR11178:SF1', NULL, NULL, NULL, NULL, 'NFU1 IRON-SULFUR CLUSTER SCAFFOLD HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(149944, NULL, 'PTHR39670:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149945, NULL, 'PTHR11945:SF619', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', NULL, NULL, NULL, 15),
(149946, NULL, 'PTHR36343', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(149947, NULL, 'PTHR34481:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149948, NULL, 'PTHR33372:SF5', NULL, NULL, NULL, NULL, 'CHLOROPLAST J-LIKE DOMAIN 1', NULL, NULL, NULL, 15),
(149949, NULL, 'PTHR34278:SF11', NULL, NULL, NULL, NULL, 'OS01G0510200 PROTEIN', NULL, NULL, NULL, 15),
(149950, NULL, 'PTHR24327:SF31', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DLX-5', NULL, NULL, NULL, 15),
(149951, NULL, 'PTHR34270:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(149952, NULL, 'PTHR46179:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 423 HOMOLOG', NULL, NULL, NULL, 15),
(149953, NULL, 'PTHR31284:SF39', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149954, NULL, 'PTHR15192:SF4', NULL, NULL, NULL, NULL, 'OXIDATIVE STRESS-INDUCED GROWTH INHIBITOR 2', NULL, NULL, 26269, 15),
(149955, NULL, 'PTHR24376:SF80', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 780B-RELATED', NULL, NULL, NULL, 15),
(149956, NULL, 'PTHR31388:SF182', NULL, NULL, NULL, NULL, 'PEROXIDASE 49', NULL, NULL, NULL, 15),
(149957, NULL, 'PTHR33203:SF36', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(149958, NULL, 'PTHR11969:SF71', NULL, NULL, NULL, NULL, 'BNAA07G10440D PROTEIN', NULL, NULL, NULL, 15),
(149959, NULL, 'PTHR11995', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', NULL, NULL, NULL, 15),
(149960, NULL, 'PTHR47958:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149961, NULL, 'PTHR46776:SF23', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1', NULL, NULL, NULL, 15),
(149962, NULL, 'PTHR31852:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149963, NULL, 'PTHR33643:SF1', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN D', NULL, NULL, NULL, 15),
(149964, NULL, 'PTHR19375:SF394', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149965, NULL, 'PTHR11440:SF78', NULL, NULL, NULL, NULL, 'LECITHIN-CHOLESTEROL ACYLTRANSFERASE-LIKE 1', NULL, NULL, NULL, 15),
(149966, NULL, 'PTHR18959:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149967, NULL, 'PTHR34441:SF1', NULL, NULL, NULL, NULL, 'MOTILE SPERM DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(149968, NULL, 'PTHR11461:SF289', NULL, NULL, NULL, NULL, 'ALPHA-1-ANTITRYPSIN-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(149969, NULL, 'PTHR23282:SF123', NULL, NULL, NULL, NULL, 'MAM DOMAIN-CONTAINING GLYCOSYLPHOSPHATIDYLINOSITOL ANCHOR PROTEIN 1', NULL, NULL, NULL, 15),
(149970, NULL, 'PTHR23015:SF22', NULL, NULL, NULL, NULL, 'F-BOX A PROTEIN', NULL, NULL, NULL, 15),
(149971, NULL, 'PTHR12309:SF30', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 GAMMA SUBUNIT', NULL, NULL, NULL, 15),
(149972, NULL, 'PTHR47545', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL CCA PROTEIN', NULL, NULL, NULL, 15),
(149973, NULL, 'PTHR36871:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 190', NULL, NULL, NULL, 15),
(149974, NULL, 'PTHR24361:SF492', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MKCF-RELATED', NULL, NULL, NULL, 15),
(149975, NULL, 'PTHR31301:SF127', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 12-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(149976, NULL, 'PTHR10996:SF251', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3', NULL, NULL, NULL, 15),
(149977, NULL, 'PTHR12695', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIH SUBUNIT 2', NULL, NULL, NULL, 15),
(149978, NULL, 'PTHR12560:SF38', NULL, NULL, NULL, NULL, 'PROTEIN ASC1', NULL, NULL, NULL, 15),
(149979, NULL, 'PTHR11926:SF1391', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(149980, NULL, 'PTHR43434:SF17', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE', NULL, NULL, NULL, 15),
(149981, NULL, 'PTHR33675:SF5', NULL, NULL, NULL, NULL, 'OS09G0360400 PROTEIN', NULL, NULL, NULL, 15),
(149982, NULL, 'PTHR48094:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149983, NULL, 'PTHR22883:SF150', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC4-RELATED', NULL, NULL, NULL, 15),
(149984, NULL, 'PTHR11969:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH94-LIKE', NULL, NULL, NULL, 15),
(149985, NULL, 'PTHR31365:SF19', NULL, NULL, NULL, NULL, 'PROTEIN PXR1-LIKE', NULL, NULL, NULL, 15),
(149986, NULL, 'PTHR21625:SF1', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 1', NULL, NULL, NULL, 15),
(149987, NULL, 'PTHR21576:SF25', NULL, NULL, NULL, NULL, 'OS07G0187900 PROTEIN', NULL, NULL, NULL, 15),
(149988, NULL, 'PTHR31852:SF21', NULL, NULL, NULL, NULL, 'OS07G0524200 PROTEIN', NULL, NULL, NULL, 15),
(149989, NULL, 'PTHR43293:SF2', NULL, NULL, NULL, NULL, 'MALONATE DECARBOXYLASE ALPHA SUBUNIT', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(149990, NULL, 'PTHR21437', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35886, 15),
(149991, NULL, 'PTHR13131:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(149992, NULL, 'PTHR31072:SF149', NULL, NULL, NULL, NULL, 'BNAANNG27820D PROTEIN', NULL, NULL, NULL, 15),
(149993, NULL, 'PTHR10974:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG15597', NULL, NULL, NULL, 15),
(149994, NULL, 'PTHR11863:SF140', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE GL1-4', NULL, NULL, NULL, 15),
(149995, NULL, 'PTHR33648:SF23', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(149996, NULL, 'PTHR46065:SF3', NULL, NULL, NULL, NULL, 'FI20425P1', NULL, NULL, NULL, 15),
(149997, NULL, 'PTHR24223:SF419', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(149998, NULL, 'PTHR48111:SF2', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(149999, NULL, 'PTHR10783:SF101', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 5', NULL, NULL, NULL, 15),
(150000, NULL, 'PTHR22802:SF237', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING PROTEIN 91', NULL, NULL, NULL, 15),
(150001, NULL, 'PTHR16788:SF0', NULL, NULL, NULL, NULL, 'EPIDIDYMAL SECRETORY PROTEIN E3-BETA', NULL, NULL, NULL, 15),
(150002, NULL, 'PTHR24326:SF215', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX5', NULL, NULL, NULL, 15),
(150003, NULL, 'PTHR34825:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150004, NULL, 'PTHR15895:SF4', NULL, NULL, NULL, NULL, 'IMMEDIATE EARLY RESPONSE GENE 2 PROTEIN', NULL, NULL, NULL, 15),
(150005, NULL, 'PTHR28242:SF13', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 5', NULL, NULL, NULL, 15),
(150006, NULL, 'PTHR47064', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_1G08990)-RELATED', NULL, NULL, NULL, 15),
(150007, NULL, 'PTHR43862:SF1', NULL, NULL, NULL, NULL, 'MALTODEXTRIN GLUCOSIDASE', NULL, NULL, NULL, 15),
(150008, NULL, 'PTHR16517:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 35', NULL, NULL, 15640, 15),
(150009, NULL, 'PTHR31731:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150010, NULL, 'PTHR12211:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150011, NULL, 'PTHR47991:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150012, NULL, 'PTHR24248:SF153', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(150013, NULL, 'PTHR22890:SF4', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(150014, NULL, 'PTHR22950:SF461', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(150015, NULL, 'PTHR13301:SF198', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', NULL, NULL, NULL, 15),
(150016, NULL, 'PTHR48063:SF54', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 30-LIKE', NULL, NULL, NULL, 15),
(150017, NULL, 'PTHR11662:SF426', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN, GENERAL SUBSTRATE TRANSPORTER', NULL, NULL, NULL, 15),
(150018, NULL, 'PTHR24115:SF888', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150019, NULL, 'PTHR47942:SF35', NULL, NULL, NULL, NULL, 'OS09G0110200 PROTEIN', NULL, NULL, NULL, 15),
(150020, NULL, 'PTHR11945:SF645', NULL, NULL, NULL, NULL, 'BNAA04G09950D PROTEIN', NULL, NULL, NULL, 15),
(150021, NULL, 'PTHR18945:SF555', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', NULL, NULL, NULL, 15),
(150022, NULL, 'PTHR31882:SF9', NULL, NULL, NULL, NULL, 'SI:CH211-153B23.7', NULL, NULL, NULL, 15),
(150023, NULL, 'PTHR24177:SF249', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150024, NULL, 'PTHR44329:SF131', NULL, NULL, NULL, NULL, 'BNACNNG11260D PROTEIN', NULL, NULL, NULL, 15),
(150025, NULL, 'PTHR10356', NULL, NULL, NULL, NULL, 'ALLOGRAFT INFLAMMATORY FACTOR-1', NULL, NULL, 36812, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150026, NULL, 'PTHR36986:SF1', NULL, NULL, NULL, NULL, 'UPF0643 PROTEIN PB2B2.08', NULL, NULL, NULL, 15),
(150027, NULL, 'PTHR10366:SF562', NULL, NULL, NULL, NULL, 'ALDEHYDE REDUCTASE II (AFU_ORTHOLOGUE AFUA_1G11360)', NULL, NULL, NULL, 15),
(150028, NULL, 'PTHR10108:SF1081', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT24-RELATED', NULL, NULL, NULL, 15),
(150029, NULL, 'PTHR46020:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150030, NULL, 'PTHR44917', NULL, NULL, NULL, NULL, 'PROTEIN HIGH CHLOROPHYLL FLUORESCENT 107', NULL, NULL, 38828, 15),
(150031, NULL, 'PTHR11188:SF7', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(150032, NULL, 'PTHR42861:SF5', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(150033, NULL, 'PTHR31175:SF68', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED SAUR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(150034, NULL, 'PTHR11102:SF152', NULL, NULL, NULL, NULL, 'ERAD-ASSOCIATED E3 UBIQUITIN-PROTEIN LIGASE COMPONENT-RELATED', NULL, NULL, NULL, 15),
(150035, NULL, 'PTHR10217:SF630', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 4', NULL, NULL, NULL, 15),
(150036, NULL, 'PTHR24019:SF14', NULL, NULL, NULL, NULL, 'ADIPOLIN', NULL, NULL, NULL, 15),
(150037, NULL, 'PTHR33472', NULL, NULL, NULL, NULL, 'OS01G0106600 PROTEIN', NULL, NULL, NULL, 15),
(150038, NULL, 'PTHR10383:SF15', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR 1', NULL, NULL, 22112, 15),
(150039, NULL, 'PTHR48007:SF15', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150040, NULL, 'PTHR31008:SF33', NULL, NULL, NULL, NULL, 'BNAA01G36090D PROTEIN', NULL, NULL, NULL, 15),
(150041, NULL, 'PTHR31189:SF45', NULL, NULL, NULL, NULL, '11S GLOBULIN SEED STORAGE PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(150042, NULL, 'PTHR33743:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150043, NULL, 'PTHR11206:SF85', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 41', NULL, NULL, NULL, 15),
(150044, NULL, 'PTHR24093:SF423', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(150045, NULL, 'PTHR33538:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BRAMBLEBERRY', NULL, NULL, NULL, 15),
(150046, NULL, 'PTHR37614', NULL, NULL, NULL, NULL, 'OS02G0121400 PROTEIN', NULL, NULL, NULL, 15),
(150047, NULL, 'PTHR19370:SF179', NULL, NULL, NULL, NULL, 'B5 REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150048, NULL, 'PTHR38433:SF1', NULL, NULL, NULL, NULL, 'LMO2585 PROTEIN', NULL, NULL, NULL, 15),
(150049, NULL, 'PTHR24349:SF300', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 27-RELATED', NULL, NULL, NULL, 15),
(150050, NULL, 'PTHR24408:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 438', NULL, NULL, NULL, 15),
(150051, NULL, 'PTHR23359:SF163', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', NULL, NULL, NULL, 15),
(150052, NULL, 'PTHR10835:SF23', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE 3', NULL, NULL, NULL, 15),
(150053, NULL, 'PTHR18945:SF858', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-LIKE 1', NULL, NULL, NULL, 15),
(150054, NULL, 'PTHR31867:SF20', NULL, NULL, NULL, NULL, 'EXPANSIN-A15', NULL, NULL, NULL, 15),
(150055, NULL, 'PTHR47805', NULL, NULL, NULL, NULL, 'SAGA-ASSOCIATED FACTOR 73', NULL, NULL, 32316, 15),
(150056, NULL, 'PTHR24346:SF28', NULL, NULL, NULL, NULL, 'MAP/MICROTUBULE AFFINITY-REGULATING KINASE 4', NULL, NULL, NULL, 15),
(150057, NULL, 'PTHR13832:SF301', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 29', NULL, NULL, NULL, 15),
(150058, NULL, 'PTHR31798:SF6', NULL, NULL, NULL, NULL, 'BNAC09G28410D PROTEIN', NULL, NULL, NULL, 15),
(150059, NULL, 'PTHR48054:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150060, NULL, 'PTHR34322:SF2', NULL, NULL, NULL, NULL, 'TRANSPOSASE, Y1_TNP DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(150061, NULL, 'PTHR10133:SF26', NULL, NULL, NULL, NULL, 'DNA POLYMERASE I PROTEIN D, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150062, NULL, 'PTHR47985:SF60', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150063, NULL, 'PTHR24381:SF125', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 674-RELATED', NULL, NULL, NULL, 15),
(150064, NULL, 'PTHR46119:SF18', NULL, NULL, NULL, NULL, 'BNAA09G54720D PROTEIN', NULL, NULL, NULL, 15),
(150065, NULL, 'PTHR34836:SF4', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 1.2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(150066, NULL, 'PTHR23267:SF405', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150067, NULL, 'PTHR31181:SF69', NULL, NULL, NULL, NULL, 'BNAA02G10580D PROTEIN', NULL, NULL, NULL, 15),
(150068, NULL, 'PTHR46328:SF19', NULL, NULL, NULL, NULL, 'BNAC04G48810D PROTEIN', NULL, NULL, NULL, 15),
(150069, NULL, 'PTHR26452:SF413', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(150070, NULL, 'PTHR46506:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150071, NULL, 'PTHR11451:SF50', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(150072, NULL, 'PTHR48001:SF21', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(150073, NULL, 'PTHR21294:SF8', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN SUBUNIT BETA', NULL, NULL, NULL, 15),
(150074, NULL, 'PTHR11822:SF32', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', NULL, NULL, NULL, 15),
(150075, NULL, 'PTHR31515', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150076, NULL, 'PTHR47836:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG09520', NULL, NULL, NULL, 15),
(150077, NULL, 'PTHR31534:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150078, NULL, 'PTHR47993:SF8', NULL, NULL, NULL, NULL, 'BNAC01G44260D PROTEIN', NULL, NULL, NULL, 15),
(150079, NULL, 'PTHR14952:SF7', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN E', NULL, NULL, NULL, 15),
(150080, NULL, 'PTHR10926:SF50', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT 5', NULL, NULL, NULL, 15),
(150081, NULL, 'PTHR11932:SF143', NULL, NULL, NULL, NULL, 'CULLIN-1', NULL, NULL, NULL, 15),
(150082, NULL, 'PTHR31126:SF55', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE SIW14', NULL, NULL, NULL, 15),
(150083, NULL, 'PTHR47955:SF3', NULL, NULL, NULL, NULL, 'OS01G0543600 PROTEIN', NULL, NULL, NULL, 15),
(150084, NULL, 'PTHR48065:SF28', NULL, NULL, NULL, NULL, 'KINASE BRI1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150085, NULL, 'PTHR24271:SF59', NULL, NULL, NULL, NULL, 'KALLIKREIN-5', NULL, NULL, NULL, 15),
(150086, NULL, 'PTHR38461', NULL, NULL, NULL, NULL, '4-DEOXY-L-THREO-5-HEXOSULOSE-URONATE KETOL-ISOMERASE', NULL, NULL, 6782, 15),
(150087, NULL, 'PTHR24149:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(150088, NULL, 'PTHR47487:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 385D-LIKE', NULL, NULL, NULL, 15),
(150089, NULL, 'PTHR19855:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150090, NULL, 'PTHR46775:SF6', NULL, NULL, NULL, NULL, 'GBF-INTERACTING PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(150091, NULL, 'PTHR11559:SF185', NULL, NULL, NULL, NULL, 'GH04232P', NULL, NULL, NULL, 15),
(150092, NULL, 'PTHR43243:SF24', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORT INTEGRAL MEMBRANE PROTEIN ROCE-RELATED', NULL, NULL, NULL, 15),
(150093, NULL, 'PTHR38731:SF1', NULL, NULL, NULL, NULL, 'LIPL45-RELATED LIPOPROTEIN', NULL, NULL, NULL, 15),
(150094, NULL, 'PTHR13680:SF5', NULL, NULL, NULL, NULL, 'CDGSH IRON-SULFUR DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(150095, NULL, 'PTHR10671:SF32', NULL, NULL, NULL, NULL, 'EPITHELIAL MEMBRANE PROTEIN 2', NULL, NULL, 6349, 15),
(150096, NULL, 'PTHR33916:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150097, NULL, 'PTHR31281:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM219B', NULL, NULL, NULL, 15),
(150098, NULL, 'PTHR48017:SF183', NULL, NULL, NULL, NULL, 'PROTEIN CBG07992', NULL, NULL, NULL, 15),
(150099, NULL, 'PTHR22762:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150100, NULL, 'PTHR42913:SF6', NULL, NULL, NULL, NULL, 'SULFIDE-QUINONE REDUCTASE', NULL, NULL, NULL, 15),
(150101, NULL, 'PTHR30146:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(150102, NULL, 'PTHR11064:SF20', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-6', NULL, NULL, NULL, 15),
(150103, NULL, 'PTHR34236', NULL, NULL, NULL, NULL, 'DIMETHYL SULFOXIDE REDUCTASE TRANSCRIPTIONAL ACTIVATOR', NULL, NULL, NULL, 15),
(150104, NULL, 'PTHR11685:SF369', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(150105, NULL, 'PTHR46056:SF6', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', NULL, NULL, NULL, 15),
(150106, NULL, 'PTHR43012:SF1', NULL, NULL, NULL, NULL, 'ADH3P', NULL, NULL, NULL, 15),
(150107, NULL, 'PTHR41373', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 21798, 15),
(150108, NULL, 'PTHR34267:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150109, NULL, 'PTHR43865', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN-RELATED', NULL, NULL, NULL, 15),
(150110, NULL, 'PTHR10142', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN COMPLEMENTING XP-A CELLS', NULL, NULL, 6720, 15),
(150111, NULL, 'PTHR10743:SF19', NULL, NULL, NULL, NULL, 'PROTEIN RER1', NULL, NULL, NULL, 15),
(150112, NULL, 'PTHR45730:SF71', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(150113, NULL, 'PTHR10562:SF95', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', NULL, NULL, NULL, 15),
(150114, NULL, 'PTHR44154:SF1', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(150115, NULL, 'PTHR36868:SF1', NULL, NULL, NULL, NULL, 'NUTRITIONALLY-REGULATED ADIPOSE AND CARDIAC ENRICHED PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(150116, NULL, 'PTHR22957:SF559', NULL, NULL, NULL, NULL, 'OS06G0661700 PROTEIN', NULL, NULL, NULL, 15),
(150117, NULL, 'PTHR23239:SF201', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 14', NULL, NULL, NULL, 15),
(150118, NULL, 'PTHR47029:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150119, NULL, 'PTHR34364:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150120, NULL, 'PTHR43504', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', NULL, NULL, 7032, 15),
(150121, NULL, 'PTHR10664:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG01292', NULL, NULL, NULL, 15),
(150122, NULL, 'PTHR11636:SF5', NULL, NULL, NULL, NULL, 'POU DOMAIN MOTIF 3, ISOFORM F', NULL, NULL, NULL, 15),
(150123, NULL, 'PTHR33264:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150124, NULL, 'PTHR35567:SF1', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_2G13800)', NULL, NULL, NULL, 15),
(150125, NULL, 'PTHR32208:SF21', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150126, NULL, 'PTHR10638:SF75', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(150127, NULL, 'PTHR10638:SF27', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(150128, NULL, 'PTHR11639:SF118', NULL, NULL, NULL, NULL, 'PROTEIN S100', NULL, NULL, NULL, 15),
(150129, NULL, 'PTHR43895:SF3', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 20', NULL, NULL, NULL, 15),
(150130, NULL, 'PTHR23213:SF354', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(150131, NULL, 'PTHR23502:SF150', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G11060)-RELATED', NULL, NULL, NULL, 15),
(150132, NULL, 'PTHR23107:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SSXT FAMILY-RELATED', NULL, NULL, NULL, 15),
(150133, NULL, 'PTHR47629:SF5', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(150134, NULL, 'PTHR47926:SF97', NULL, NULL, NULL, NULL, 'BNAC06G08040D PROTEIN', NULL, NULL, NULL, 15),
(150135, NULL, 'PTHR30096:SF17', NULL, NULL, NULL, NULL, 'BNAA08G05620D PROTEIN', NULL, NULL, NULL, 15),
(150136, NULL, 'PTHR24411:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150137, NULL, 'PTHR45666:SF46', NULL, NULL, NULL, NULL, 'BNAC02G20620D PROTEIN', NULL, NULL, NULL, 15),
(150138, NULL, 'PTHR34219:SF4', NULL, NULL, NULL, NULL, 'SIDEROPHORE TRANSPORTER COMPONENT 2-RELATED', NULL, NULL, NULL, 15),
(150139, NULL, 'PTHR22942:SF30', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN DMC1/LIM15 HOMOLOG', NULL, NULL, NULL, 15),
(150140, NULL, 'PTHR11923:SF50', NULL, NULL, NULL, NULL, 'GH19047P', NULL, NULL, NULL, 15),
(150141, NULL, 'PTHR37769:SF1', NULL, NULL, NULL, NULL, 'OS08G0243900 PROTEIN', NULL, NULL, NULL, 15),
(150142, NULL, 'PTHR24300:SF64', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(150143, NULL, 'PTHR26451:SF866', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(150144, NULL, 'PTHR33606', NULL, NULL, NULL, NULL, 'PROTEIN YCII', NULL, NULL, NULL, 15),
(150145, NULL, 'PTHR26312', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 5', NULL, NULL, NULL, 15),
(150146, NULL, 'PTHR45915:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INTERMEDIARY FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(150147, NULL, 'PTHR10887:SF478', NULL, NULL, NULL, NULL, 'BNAC01G39160D PROTEIN', NULL, NULL, NULL, 15),
(150148, NULL, 'PTHR31093:SF4', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN GP138-RELATED', NULL, NULL, NULL, 15),
(150149, NULL, 'PTHR43248:SF14', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(150150, NULL, 'PTHR10751:SF2', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(150151, NULL, 'PTHR22776:SF82', NULL, NULL, NULL, NULL, 'MAL, T CELL DIFFERENTIATION PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(150152, NULL, 'PTHR11188:SF66', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(150153, NULL, 'PTHR12197:SF281', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN DDB_G0288495', NULL, NULL, NULL, 15),
(150154, NULL, 'PTHR20991', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE-RESPONSIVE B1 GENE', NULL, NULL, 24432, 15),
(150155, NULL, 'PTHR33729:SF6', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 11-LIKE', NULL, NULL, NULL, 15),
(150156, NULL, 'PTHR24381:SF44', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 560', NULL, NULL, NULL, 15),
(150157, NULL, 'PTHR12654:SF2', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', NULL, NULL, NULL, 15),
(150158, NULL, 'PTHR31234:SF6', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(150159, NULL, 'PTHR24414:SF166', NULL, NULL, NULL, NULL, 'BNAA04G17270D PROTEIN', NULL, NULL, NULL, 15),
(150160, NULL, 'PTHR12957', NULL, NULL, NULL, NULL, 'DEAD/H BOX POLYPEPTIDE 26/DICE1-RELATED', NULL, NULL, NULL, 15),
(150161, NULL, 'PTHR11984:SF114', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', NULL, NULL, NULL, 15),
(150162, NULL, 'PTHR10638:SF41', NULL, NULL, NULL, NULL, 'COPPER AMINE OXIDASE 1-RELATED', NULL, NULL, NULL, 15),
(150163, NULL, 'PTHR23285:SF5', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MEX3B', NULL, NULL, NULL, 15),
(150164, NULL, 'PTHR43637:SF1', NULL, NULL, NULL, NULL, 'UPF0273 PROTEIN TM_0370', NULL, NULL, NULL, 15),
(150165, NULL, 'PTHR12673:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150166, NULL, 'PTHR11017:SF387', NULL, NULL, NULL, NULL, 'BNAA09G29600D PROTEIN', NULL, NULL, NULL, 15),
(150167, NULL, 'PTHR16231:SF2', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(150168, NULL, 'PTHR47260:SF1', NULL, NULL, NULL, NULL, 'UPF0644 PROTEIN PB2B4.06', NULL, NULL, NULL, 15),
(150169, NULL, 'PTHR12011:SF41', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR B2', NULL, NULL, NULL, 15),
(150170, NULL, 'PTHR33864', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 30308, 15),
(150171, NULL, 'PTHR10624:SF9', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(150172, NULL, 'PTHR34278:SF9', NULL, NULL, NULL, NULL, 'BNAA09G13610D PROTEIN', NULL, NULL, NULL, 15),
(150173, NULL, 'PTHR22601:SF79', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER OPT', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150174, NULL, 'PTHR12091', NULL, NULL, NULL, NULL, 'MELANIN-CONCENTRATING HORMONE', NULL, NULL, 575, 15),
(150175, NULL, 'PTHR48105:SF21', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(150176, NULL, 'PTHR33420:SF26', NULL, NULL, NULL, NULL, 'FIMBRIAL SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(150177, NULL, 'PTHR34048:SF7', NULL, NULL, NULL, NULL, 'THYLAKOID MEMBRANE PROTEIN SSL2009-LIKE', NULL, NULL, NULL, 15),
(150178, NULL, 'PTHR31947:SF31', NULL, NULL, NULL, NULL, 'BNAA09G03470D PROTEIN', NULL, NULL, NULL, 15),
(150179, NULL, 'PTHR11440:SF52', NULL, NULL, NULL, NULL, 'OS02G0590000 PROTEIN', NULL, NULL, NULL, 15),
(150180, NULL, 'PTHR11260:SF666', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150181, NULL, 'PTHR11805:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PDZ-BINDING PROTEIN', NULL, NULL, NULL, 15),
(150182, NULL, 'PTHR45588:SF2', NULL, NULL, NULL, NULL, 'TPR DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G00240)', NULL, NULL, NULL, 15),
(150183, NULL, 'PTHR24169:SF24', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR NF-KAPPA-B P110 SUBUNIT', NULL, NULL, NULL, 15),
(150184, NULL, 'PTHR46582:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(150185, NULL, 'PTHR35718:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(150186, NULL, 'PTHR31218:SF262', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(150187, NULL, 'PTHR10352:SF31', NULL, NULL, NULL, NULL, 'OS09G0372200 PROTEIN', NULL, NULL, NULL, 15),
(150188, NULL, 'PTHR48125', NULL, NULL, NULL, NULL, 'LP07818P1', NULL, NULL, NULL, 15),
(150189, NULL, 'PTHR12210:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150190, NULL, 'PTHR35274:SF8', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150191, NULL, 'PTHR22814:SF321', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(150192, NULL, 'PTHR45778:SF9', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(150193, NULL, 'PTHR32440:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150194, NULL, 'PTHR48094:SF2', NULL, NULL, NULL, NULL, 'BNAA04G05980D PROTEIN', NULL, NULL, NULL, 15),
(150195, NULL, 'PTHR45727:SF3', NULL, NULL, NULL, NULL, 'NPC1-LIKE INTRACELLULAR CHOLESTEROL TRANSPORTER 1', NULL, NULL, NULL, 15),
(150196, NULL, 'PTHR48106:SF4', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, ZINC-BINDING DEHYDROGENASE FAMILY SUPERFAMILY (AFU_ORTHOLOGUE AFUA_4G11710)', NULL, NULL, NULL, 15),
(150197, NULL, 'PTHR33077:SF47', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 11D', NULL, NULL, NULL, 15),
(150198, NULL, 'PTHR13544', NULL, NULL, NULL, NULL, 'SELENOPROTEIN T', NULL, NULL, 15511, 15),
(150199, NULL, 'PTHR23107:SF18', NULL, NULL, NULL, NULL, 'GRF1-INTERACTING FACTOR 1', NULL, NULL, NULL, 15),
(150200, NULL, 'PTHR27001:SF8', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 2', NULL, NULL, NULL, 15),
(150201, NULL, 'PTHR13068:SF120', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF2, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(150202, NULL, 'PTHR22619:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(150203, NULL, 'PTHR14074:SF29', NULL, NULL, NULL, NULL, 'DICER-RELATED HELICASE', NULL, NULL, NULL, 15),
(150204, NULL, 'PTHR36842', NULL, NULL, NULL, NULL, 'PROTEIN TOLB HOMOLOG', NULL, NULL, NULL, 15),
(150205, NULL, 'PTHR43650:SF11', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(150206, NULL, 'PTHR15301:SF10', NULL, NULL, NULL, NULL, 'INSULIN-INDUCED GENE 2 PROTEIN', NULL, NULL, NULL, 15),
(150207, NULL, 'PTHR23070:SF21', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150208, NULL, 'PTHR11690:SF266', NULL, NULL, NULL, NULL, 'DEGENERIN-RELATED TOUCH-INVOLVED CHANNEL', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150209, NULL, 'PTHR11709:SF351', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(150210, NULL, 'PTHR22897', NULL, NULL, NULL, NULL, 'QUIESCIN Q6-RELATED SULFHYDRYL OXIDASE', NULL, NULL, 29149, 15),
(150211, NULL, 'PTHR31371:SF10', NULL, NULL, NULL, NULL, 'DUF3475 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(150212, NULL, 'PTHR33165:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150213, NULL, 'PTHR32444:SF139', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(150214, NULL, 'PTHR14049:SF5', NULL, NULL, NULL, NULL, 'PROLYL 3-HYDROXYLASE 1', NULL, NULL, 31780, 15),
(150215, NULL, 'PTHR48005:SF29', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RCH1', NULL, NULL, NULL, 15),
(150216, NULL, 'PTHR24072:SF105', NULL, NULL, NULL, NULL, 'RAS-RELATED C3 BOTULINUM TOXIN SUBSTRATE 1', NULL, NULL, NULL, 15),
(150217, NULL, 'PTHR31207:SF28', NULL, NULL, NULL, NULL, 'BNAA05G27010D PROTEIN', NULL, NULL, NULL, 15),
(150218, NULL, 'PTHR33513:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150219, NULL, 'PTHR10314:SF195', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL L-3-CYANOALANINE SYNTHASE/CYSTEINE SYNTHASE D1', NULL, NULL, NULL, 15),
(150220, NULL, 'PTHR45527:SF2', NULL, NULL, NULL, NULL, 'FERRICROCIN SYNTHETASE (NONRIBOSOMAL PEPTIDE SIDEROPHORE SYNTHASE ) (EUROFUNG)', NULL, NULL, NULL, 15),
(150221, NULL, 'PTHR31371:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150222, NULL, 'PTHR12434:SF6', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 22', NULL, NULL, NULL, 15),
(150223, NULL, 'PTHR44889:SF1', NULL, NULL, NULL, NULL, 'INACTIVE HYDROXYSTEROID DEHYDROGENASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(150224, NULL, 'PTHR14430:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150225, NULL, 'PTHR31719:SF181', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 104-LIKE', NULL, NULL, NULL, 15),
(150226, NULL, 'PTHR47996:SF4', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', NULL, NULL, NULL, 15),
(150227, NULL, 'PTHR42884:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150228, NULL, 'PTHR43643:SF3', NULL, NULL, NULL, NULL, 'HISTIDINOL-PHOSPHATE AMINOTRANSFERASE 2', NULL, NULL, NULL, 15),
(150229, NULL, 'PTHR43568:SF1', NULL, NULL, NULL, NULL, 'P PROTEIN', NULL, NULL, NULL, 15),
(150230, NULL, 'PTHR48022:SF14', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G05190)-RELATED', NULL, NULL, NULL, 15),
(150231, NULL, 'PTHR24092:SF154', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(150232, NULL, 'PTHR11814:SF228', NULL, NULL, NULL, NULL, 'BNAC01G35550D PROTEIN', NULL, NULL, NULL, 15),
(150233, NULL, 'PTHR43844:SF2', NULL, NULL, NULL, NULL, 'SYNTHASE, VITAMIN-B12 INDEPENDENT, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12060)-RELATED', NULL, NULL, NULL, 15),
(150234, NULL, 'PTHR31645:SF6', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL13-RELATED', NULL, NULL, NULL, 15),
(150235, NULL, 'PTHR42695:SF17', NULL, NULL, NULL, NULL, 'CLASS I GLUTAMINE AMIDOTRANSFERASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150236, NULL, 'PTHR33730', NULL, NULL, NULL, NULL, 'OS05G0542732 PROTEIN-RELATED', NULL, NULL, 27915, 15),
(150237, NULL, 'PTHR23186', NULL, NULL, NULL, NULL, 'RETINOIC ACID-INDUCED PROTEIN 2', NULL, NULL, 25692, 15),
(150238, NULL, 'PTHR12138:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150239, NULL, 'PTHR11485:SF30', NULL, NULL, NULL, NULL, 'TRANSFERRIN', NULL, NULL, NULL, 15),
(150240, NULL, 'PTHR22791:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG12358', NULL, NULL, NULL, 15),
(150241, NULL, 'PTHR10593:SF172', NULL, NULL, NULL, NULL, 'BNACNNG76910D PROTEIN', NULL, NULL, NULL, 15),
(150242, NULL, 'PTHR47941:SF12', NULL, NULL, NULL, NULL, 'OS03G0363700 PROTEIN', NULL, NULL, NULL, 15),
(150243, NULL, 'PTHR33237:SF26', NULL, NULL, NULL, NULL, 'OS06G0499100 PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150244, NULL, 'PTHR18934:SF232', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150245, NULL, 'PTHR45701:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150246, NULL, 'PTHR18896:SF67', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(150247, NULL, 'PTHR22792:SF127', NULL, NULL, NULL, NULL, 'LUPUS LA PROTEIN', NULL, NULL, NULL, 15),
(150248, NULL, 'PTHR34958', NULL, NULL, NULL, NULL, 'CONDITIONAL LOSS-OF-GROWTH 1', NULL, NULL, NULL, 15),
(150249, NULL, 'PTHR11246:SF1', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 6', NULL, NULL, 23029, 15),
(150250, NULL, 'PTHR10766:SF44', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 12', NULL, NULL, NULL, 15),
(150251, NULL, 'PTHR45663:SF11', NULL, NULL, NULL, NULL, 'GEO12009P1', NULL, NULL, NULL, 15),
(150252, NULL, 'PTHR11214:SF284', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE GALT6-LIKE', NULL, NULL, NULL, 15),
(150253, NULL, 'PTHR23430:SF47', NULL, NULL, NULL, NULL, 'HISTONE H2A.Z', NULL, NULL, NULL, 15),
(150254, NULL, 'PTHR12767:SF10', NULL, NULL, NULL, NULL, 'B-CELL CLL/LYMPHOMA 7 PROTEIN FAMILY MEMBER C', NULL, NULL, NULL, 15),
(150255, NULL, 'PTHR13968:SF21', NULL, NULL, NULL, NULL, 'RALY RNA-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(150256, NULL, 'PTHR43359', NULL, NULL, NULL, NULL, 'FORMATE HYDROGENLYASE SUBUNIT 4', NULL, NULL, NULL, 15),
(150257, NULL, 'PTHR33144:SF24', NULL, NULL, NULL, NULL, 'BROMODOMAIN, PUTATIVE TRANSPOSASE, PTTA/EN/SPM, PLANT-RELATED', NULL, NULL, NULL, 15),
(150258, NULL, 'PTHR32285:SF304', NULL, NULL, NULL, NULL, 'DUF231 DOMAIN CONTAINING FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150259, NULL, 'PTHR22743', NULL, NULL, NULL, NULL, 'MEPRIN/TRAF-LIKE MATH FAMILY-C.ELEGANS', NULL, NULL, NULL, 15),
(150260, NULL, 'PTHR34047:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR INTRON MATURASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(150261, NULL, 'PTHR23309:SF40', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE/ISOMERASE FAMILY-RELATED', NULL, NULL, NULL, 15),
(150262, NULL, 'PTHR31517:SF60', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(150263, NULL, 'PTHR10903:SF138', NULL, NULL, NULL, NULL, 'SI:DKEY-120C6.5', NULL, NULL, NULL, 15),
(150264, NULL, 'PTHR14155:SF202', NULL, NULL, NULL, NULL, 'OS02G0248240 PROTEIN', NULL, NULL, NULL, 15),
(150265, NULL, 'PTHR34806:SF8', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(150266, NULL, 'PTHR28518', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN15', NULL, NULL, 38099, 15),
(150267, NULL, 'PTHR10462:SF29', NULL, NULL, NULL, NULL, 'GLOBOSIDE ALPHA-1,3-N-ACETYLGALACTOSAMINYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(150268, NULL, 'PTHR11364:SF32', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE', NULL, NULL, NULL, 15),
(150269, NULL, 'PTHR15592', NULL, NULL, NULL, NULL, 'MATRIN 3/NUCLEAR PROTEIN 220-RELATED', NULL, NULL, NULL, 15),
(150270, NULL, 'PTHR16262:SF2', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY PROTEIN 26', NULL, NULL, NULL, 15),
(150271, NULL, 'PTHR24103:SF571', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF CONTAINING 25', NULL, NULL, NULL, 15),
(150272, NULL, 'PTHR23198:SF16', NULL, NULL, NULL, NULL, 'F2K11.10', NULL, NULL, NULL, 15),
(150273, NULL, 'PTHR24637:SF313', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(150274, NULL, 'PTHR13448:SF5', NULL, NULL, NULL, NULL, 'F26K24.17 PROTEIN', NULL, NULL, NULL, 15),
(150275, NULL, 'PTHR11709:SF303', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(150276, NULL, 'PTHR11426:SF20', NULL, NULL, NULL, NULL, 'HISTONE H3-RELATED', NULL, NULL, NULL, 15),
(150277, NULL, 'PTHR11360:SF271', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G12710)-RELATED', NULL, NULL, NULL, 15),
(150278, NULL, 'PTHR47123:SF13', NULL, NULL, NULL, NULL, 'BNAC07G24720D PROTEIN', NULL, NULL, NULL, 15),
(150279, NULL, 'PTHR30344:SF4', NULL, NULL, NULL, NULL, 'CYCLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11580)-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150280, NULL, 'PTHR31992:SF177', NULL, NULL, NULL, NULL, 'OSJNBA0064G10.24 PROTEIN', NULL, NULL, NULL, 15),
(150281, NULL, 'PTHR35104:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150282, NULL, 'PTHR31044:SF38', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E 10-LIKE', NULL, NULL, NULL, 15),
(150283, NULL, 'PTHR23316:SF70', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150284, NULL, 'PTHR31897:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG04464', NULL, NULL, NULL, 15),
(150285, NULL, 'PTHR31314:SF91', NULL, NULL, NULL, NULL, 'BNAC03G23810D PROTEIN', NULL, NULL, NULL, 15),
(150286, NULL, 'PTHR22854:SF14', NULL, NULL, NULL, NULL, 'OS09G0255400 PROTEIN', NULL, NULL, NULL, 15),
(150287, NULL, 'PTHR45642', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL3', NULL, NULL, NULL, 15),
(150288, NULL, 'PTHR32178:SF7', NULL, NULL, NULL, NULL, 'IG-LIKE V-TYPE DOMAIN-CONTAINING PROTEIN FAM187A', NULL, NULL, NULL, 15),
(150289, NULL, 'PTHR46634:SF9', NULL, NULL, NULL, NULL, 'ADHESIN-LIKE PROTEIN, PUTATIVE (DUF3741)-RELATED', NULL, NULL, NULL, 15),
(150290, NULL, 'PTHR45621:SF80', NULL, NULL, NULL, NULL, 'KINASE 1B', NULL, NULL, NULL, 15),
(150291, NULL, 'PTHR32258:SF32', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1C', NULL, NULL, NULL, 15),
(150292, NULL, 'PTHR33450:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150293, NULL, 'PTHR30028:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ALUMINUM SENSITIVE 3', NULL, NULL, NULL, 15),
(150294, NULL, 'PTHR11880:SF44', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15-1-RELATED', NULL, NULL, NULL, 15),
(150295, NULL, 'PTHR48111:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF RPOS', NULL, NULL, NULL, 15),
(150296, NULL, 'PTHR39535:SF2', NULL, NULL, NULL, NULL, 'SPORULATION-DELAYING PROTEIN SDPB', NULL, NULL, NULL, 15),
(150297, NULL, 'PTHR22923:SF50', NULL, NULL, NULL, NULL, 'CEREBELLIN-2', NULL, NULL, NULL, 15),
(150298, NULL, 'PTHR31579:SF55', NULL, NULL, NULL, NULL, 'DUF506 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(150299, NULL, 'PTHR45669:SF52', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150300, NULL, 'PTHR13068:SF177', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR-LIKE', NULL, NULL, NULL, 15),
(150301, NULL, 'PTHR23505:SF58', NULL, NULL, NULL, NULL, 'PROTEIN SPINSTER-LIKE', NULL, NULL, NULL, 15),
(150302, NULL, 'PTHR24071:SF21', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN', NULL, NULL, NULL, 15),
(150303, NULL, 'PTHR22891:SF9', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 7', NULL, NULL, NULL, 15),
(150304, NULL, 'PTHR23266:SF278', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-46', NULL, NULL, NULL, 15),
(150305, NULL, 'PTHR48017:SF44', NULL, NULL, NULL, NULL, 'BNAA03G18790D PROTEIN', NULL, NULL, NULL, 15),
(150306, NULL, 'PTHR31607:SF21', NULL, NULL, NULL, NULL, 'BNAA09G02340D PROTEIN', NULL, NULL, NULL, 15),
(150307, NULL, 'PTHR48018:SF163', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1G1', NULL, NULL, NULL, 15),
(150308, NULL, 'PTHR30151:SF0', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE COMPONENTS OF OTHER BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEM', NULL, NULL, NULL, 15),
(150309, NULL, 'PTHR43860:SF2', NULL, NULL, NULL, NULL, 'BETAINE ALDEHYDE DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(150310, NULL, 'PTHR23317:SF26', NULL, NULL, NULL, NULL, 'ZIZIMIN, ISOFORM K', NULL, NULL, NULL, 15),
(150311, NULL, 'PTHR48047:SF101', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(150312, NULL, 'PTHR14110:SF5', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 16-4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(150313, NULL, 'PTHR42982:SF1', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATA', NULL, NULL, NULL, 15),
(150314, NULL, 'PTHR12889', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE SUBUNIT APH-1', NULL, NULL, 13740, 15),
(150315, NULL, 'PTHR45966:SF6', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 4', NULL, NULL, NULL, 15),
(150316, NULL, 'PTHR11260:SF618', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150317, NULL, 'PTHR11214:SF124', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-GALACTOSYLTRANSFERASE HPGT3', NULL, NULL, NULL, 15),
(150318, NULL, 'PTHR31272', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN HI_1454-RELATED', NULL, NULL, NULL, 15),
(150319, NULL, 'PTHR15735:SF14', NULL, NULL, NULL, NULL, 'FORMIN-BINDING PROTEIN 1-LIKE', NULL, NULL, 22815, 15),
(150320, NULL, 'PTHR43285', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, 467, 15),
(150321, NULL, 'PTHR48019:SF47', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2A', NULL, NULL, NULL, 15),
(150322, NULL, 'PTHR32071:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN TYRR', NULL, NULL, NULL, 15),
(150323, NULL, 'PTHR22902:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150324, NULL, 'PTHR23028:SF117', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_4G08520)-RELATED', NULL, NULL, NULL, 15),
(150325, NULL, 'PTHR16134:SF80', NULL, NULL, NULL, NULL, 'BNAC03G77500D PROTEIN', NULL, NULL, NULL, 15),
(150326, NULL, 'PTHR31100:SF84', NULL, NULL, NULL, NULL, 'OS09G0464300 PROTEIN', NULL, NULL, NULL, 15),
(150327, NULL, 'PTHR33333:SF4', NULL, NULL, NULL, NULL, 'OS01G0341000 PROTEIN', NULL, NULL, NULL, 15),
(150328, NULL, 'PTHR33144:SF22', NULL, NULL, NULL, NULL, 'PLANT TRANSPOSASE (PTTA/EN/SPM FAMILY)', NULL, NULL, NULL, 15),
(150329, NULL, 'PTHR10969:SF30', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR-ASSOCIATED PROTEIN-LIKE 1', NULL, NULL, NULL, 15),
(150330, NULL, 'PTHR19277:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-14O18.2', NULL, NULL, NULL, 15),
(150331, NULL, 'PTHR13773:SF23', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(150332, NULL, 'PTHR13848:SF17', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE 4', NULL, NULL, NULL, 15),
(150333, NULL, 'PTHR28664:SF2', NULL, NULL, NULL, NULL, 'BRAIN-ENRICHED GUANYLATE KINASE-ASSOCIATED PROTEIN', NULL, NULL, 36379, 15),
(150334, NULL, 'PTHR10380:SF213', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 47EG-RELATED', NULL, NULL, NULL, 15),
(150335, NULL, 'PTHR14154:SF98', NULL, NULL, NULL, NULL, 'BNAA10G08750D PROTEIN', NULL, NULL, NULL, 15),
(150336, NULL, 'PTHR19143:SF389', NULL, NULL, NULL, NULL, 'AGAP001554-PA', NULL, NULL, NULL, 15),
(150337, NULL, 'PTHR43243:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150338, NULL, 'PTHR23413:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150339, NULL, 'PTHR31989:SF291', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150340, NULL, 'PTHR31901:SF7', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.2-RELATED', NULL, NULL, NULL, 15),
(150341, NULL, 'PTHR13683:SF407', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(150342, NULL, 'PTHR47574:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150343, NULL, 'PTHR33512:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1191)-RELATED', NULL, NULL, NULL, 15),
(150344, NULL, 'PTHR12161:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150345, NULL, 'PTHR33191:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150346, NULL, 'PTHR27009:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150347, NULL, 'PTHR44688:SF12', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR-RELATED', NULL, NULL, NULL, 15),
(150348, NULL, 'PTHR11183:SF132', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(150349, NULL, 'PTHR14407', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 4 PROTEIN  LIGHT-EAR PROTEIN-RELATED', NULL, NULL, 21540, 15),
(150350, NULL, 'PTHR42813:SF4', NULL, NULL, NULL, NULL, 'DEHYDROGENASE 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150351, NULL, 'PTHR33074:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150352, NULL, 'PTHR28136:SF4', NULL, NULL, NULL, NULL, 'NUCLEUS EXPORT PROTEIN BRL1', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150353, NULL, 'PTHR22716:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBR-GON-14', NULL, NULL, NULL, 15),
(150354, NULL, 'PTHR12460:SF2', NULL, NULL, NULL, NULL, 'REGULATION OF NUCLEAR PRE-MRNA DOMAIN-CONTAINING PROTEIN 1A', NULL, NULL, NULL, 15),
(150355, NULL, 'PTHR21049:SF0', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 1', NULL, NULL, NULL, 15),
(150356, NULL, 'PTHR24248:SF33', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5T1', NULL, NULL, NULL, 15),
(150357, NULL, 'PTHR47859:SF1', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(150358, NULL, 'PTHR22893:SF116', NULL, NULL, NULL, NULL, 'ALDOLASE-TYPE TIM BARREL-RELATED', NULL, NULL, NULL, 15),
(150359, NULL, 'PTHR12565:SF169', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR(GBOF-1)-LIKE', NULL, NULL, NULL, 15),
(150360, NULL, 'PTHR45765:SF10', NULL, NULL, NULL, NULL, 'METHIONINE--TRNA LIGASE-RELATED', NULL, NULL, NULL, 15),
(150361, NULL, 'PTHR45926:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE1-LIKE', NULL, NULL, NULL, 15),
(150362, NULL, 'PTHR11566:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150363, NULL, 'PTHR10543:SF120', NULL, NULL, NULL, NULL, '9-CIS-EPOXYCAROTENOID DIOXYGENASE NCED5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(150364, NULL, 'PTHR47813:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(150365, NULL, 'PTHR30411:SF1', NULL, NULL, NULL, NULL, 'YBAK / PROLYL-TRNA SYNTHETASES ASSOCIATED DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(150366, NULL, 'PTHR48002:SF69', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(150367, NULL, 'PTHR11999:SF93', NULL, NULL, NULL, NULL, 'TRYPTOPHAN DECARBOXYLASE 1', NULL, NULL, NULL, 15),
(150368, NULL, 'PTHR24351:SF116', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(150369, NULL, 'PTHR30472:SF19', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN HI_1471-RELATED', NULL, NULL, NULL, 15),
(150370, NULL, 'PTHR48111:SF37', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(150371, NULL, 'PTHR31601:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S36, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(150372, NULL, 'PTHR21304:SF0', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC10', NULL, NULL, NULL, 15),
(150373, NULL, 'PTHR33768:SF5', NULL, NULL, NULL, NULL, 'CFAP97 DOMAIN-CONTAINING 1', NULL, NULL, NULL, 15),
(150374, NULL, 'PTHR37702:SF1', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(150375, NULL, 'PTHR45868:SF41', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', NULL, NULL, NULL, 15),
(150376, NULL, 'PTHR10791:SF193', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(150377, NULL, 'PTHR23139:SF111', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF LARGE SUBUNIT A-LIKE', NULL, NULL, NULL, 15),
(150378, NULL, 'PTHR34662', NULL, NULL, NULL, NULL, 'OS04G0422700 PROTEIN', NULL, NULL, NULL, 15),
(150379, NULL, 'PTHR43004:SF17', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150380, NULL, 'PTHR11017:SF255', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150381, NULL, 'PTHR22934:SF23', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL REGULATORY PROTEIN WETA', NULL, NULL, 29815, 15),
(150382, NULL, 'PTHR46354:SF4', NULL, NULL, NULL, NULL, 'OS01G0159000 PROTEIN', NULL, NULL, NULL, 15),
(150383, NULL, 'PTHR31311:SF33', NULL, NULL, NULL, NULL, 'BNACNNG19100D PROTEIN', NULL, NULL, NULL, 15),
(150384, NULL, 'PTHR15858:SF0', NULL, NULL, NULL, NULL, 'IMMEDIATE EARLY RESPONSE 3-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(150385, NULL, 'PTHR14139:SF5', NULL, NULL, NULL, NULL, 'CALSYNTENIN-3', NULL, NULL, NULL, 15),
(150386, NULL, 'PTHR12483:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150387, NULL, 'PTHR14911:SF13', NULL, NULL, NULL, NULL, 'THUMP DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150388, NULL, 'PTHR10204', NULL, NULL, NULL, NULL, 'NAD P H OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(150389, NULL, 'PTHR31065:SF43', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(150390, NULL, 'PTHR24223:SF108', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 8', NULL, NULL, NULL, 15),
(150391, NULL, 'PTHR12357:SF91', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CARBOXY-TERMINAL REGION PROTEIN', NULL, NULL, NULL, 15),
(150392, NULL, 'PTHR12002:SF78', NULL, NULL, NULL, NULL, 'CLAUDIN-7', NULL, NULL, NULL, 15),
(150393, NULL, 'PTHR26374:SF381', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 15-LIKE', NULL, NULL, NULL, 15),
(150394, NULL, 'PTHR34644', NULL, NULL, NULL, NULL, 'SINGLE-PASS MEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 25221, 15),
(150395, NULL, 'PTHR14958:SF24', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD17', NULL, NULL, NULL, 15),
(150396, NULL, 'PTHR34673:SF2', NULL, NULL, NULL, NULL, 'BNAA10G17250D PROTEIN', NULL, NULL, NULL, 15),
(150397, NULL, 'PTHR47597:SF4', NULL, NULL, NULL, NULL, 'BNAC01G35870D PROTEIN', NULL, NULL, NULL, 15),
(150398, NULL, 'PTHR20930', NULL, NULL, NULL, NULL, 'OVARIAN CARCINOMA ANTIGEN CA125-RELATED', NULL, NULL, NULL, 15),
(150399, NULL, 'PTHR21685:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150400, NULL, 'PTHR21237', NULL, NULL, NULL, NULL, 'GRPE PROTEIN', NULL, NULL, 3531, 15),
(150401, NULL, 'PTHR30465:SF44', NULL, NULL, NULL, NULL, 'ABC-TYPE DIPEPTIDE/OLIGOPEPTIDE TRANSPORT SYSTEM, PERMEASE COMPONENT', NULL, NULL, NULL, 15),
(150402, NULL, 'PTHR24006:SF651', NULL, NULL, NULL, NULL, 'INACTIVE UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 17-LIKE PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(150403, NULL, 'PTHR12931:SF25', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE OTUBAIN-LIKE', NULL, NULL, NULL, 15),
(150404, NULL, 'PTHR19920:SF1', NULL, NULL, NULL, NULL, 'CYTOSOLIC IRON-SULFUR PROTEIN ASSEMBLY PROTEIN CIAO1 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(150405, NULL, 'PTHR31672:SF3', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(150406, NULL, 'PTHR48041:SF30', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN PDR/CDR-RELATED', NULL, NULL, NULL, 15),
(150407, NULL, 'PTHR11771:SF128', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(150408, NULL, 'PTHR10543:SF113', NULL, NULL, NULL, NULL, 'OS09G0321200 PROTEIN', NULL, NULL, NULL, 15),
(150409, NULL, 'PTHR48242:SF1', NULL, NULL, NULL, NULL, 'BNAA02G09820D PROTEIN', NULL, NULL, NULL, 15),
(150410, NULL, 'PTHR10768:SF28', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', NULL, NULL, NULL, 15),
(150411, NULL, 'PTHR42830:SF2', NULL, NULL, NULL, NULL, 'OSMC/OHR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(150412, NULL, 'PTHR47938:SF25', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(150413, NULL, 'PTHR21433:SF6', NULL, NULL, NULL, NULL, 'TMPIT-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150414, NULL, 'PTHR43638:SF3', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, ALDO/KETO REDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(150415, NULL, 'PTHR36170', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 89 KDA', NULL, NULL, 31961, 15),
(150416, NULL, 'PTHR13428:SF8', NULL, NULL, NULL, NULL, 'LEM DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 36212, 15),
(150417, NULL, 'PTHR11913:SF98', NULL, NULL, NULL, NULL, 'ACTIN DEPOLYMERIZING FACTOR 5-RELATED', NULL, NULL, NULL, 15),
(150418, NULL, 'PTHR36692:SF2', NULL, NULL, NULL, NULL, 'GEO12064P1', NULL, NULL, NULL, 15),
(150419, NULL, 'PTHR14339:SF10', NULL, NULL, NULL, NULL, 'VASCULIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(150420, NULL, 'PTHR43968:SF8', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00590)-RELATED', NULL, NULL, NULL, 15),
(150421, NULL, 'PTHR12128:SF58', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE SYNTHASE', NULL, NULL, NULL, 15),
(150422, NULL, 'PTHR36975', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150423, NULL, 'PTHR31589:SF133', NULL, NULL, NULL, NULL, 'OS08G0411100 PROTEIN', NULL, NULL, NULL, 15),
(150424, NULL, 'PTHR12286:SF8', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150425, NULL, 'PTHR21713:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150426, NULL, 'PTHR24222:SF54', NULL, NULL, NULL, NULL, 'BRACHYTIC2', NULL, NULL, NULL, 15),
(150427, NULL, 'PTHR23354:SF111', NULL, NULL, NULL, NULL, 'TLD-DOMAIN NUCLEOLAR PROTEIN', NULL, NULL, NULL, 15),
(150428, NULL, 'PTHR10774:SF187', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(150429, NULL, 'PTHR46531', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 6', NULL, NULL, NULL, 15),
(150430, NULL, 'PTHR10516:SF422', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(150431, NULL, 'PTHR42801:SF17', NULL, NULL, NULL, NULL, 'AHPC/TSA FAMILY PROTEIN', NULL, NULL, NULL, 15),
(150432, NULL, 'PTHR18868', NULL, NULL, NULL, NULL, 'OS07G0665300 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150433, NULL, 'PTHR23308:SF55', NULL, NULL, NULL, NULL, 'FHA DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(150434, NULL, 'PTHR34061:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150435, NULL, 'PTHR13318:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150436, NULL, 'PTHR18945:SF611', NULL, NULL, NULL, NULL, 'IONOTROPIC GABA RECEPTOR SUBUNIT UNC-49B.3', NULL, NULL, NULL, 15),
(150437, NULL, 'PTHR45669:SF28', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(150438, NULL, 'PTHR33065:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150439, NULL, 'PTHR33681:SF20', NULL, NULL, NULL, NULL, 'CITRATE-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(150440, NULL, 'PTHR10822:SF12', NULL, NULL, NULL, NULL, 'GLYPICAN-5', NULL, NULL, 26516, 15),
(150441, NULL, 'PTHR37958', NULL, NULL, NULL, NULL, 'SODIUM-POTASSIUM/PROTON ANTIPORTER CHAA', NULL, NULL, NULL, 15),
(150442, NULL, 'PTHR11046:SF15', NULL, NULL, NULL, NULL, 'ZGC:109744', NULL, NULL, NULL, 15),
(150443, NULL, 'PTHR11945:SF219', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 16', NULL, NULL, NULL, 15),
(150444, NULL, 'PTHR22958:SF34', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD3', NULL, NULL, NULL, 15),
(150445, NULL, 'PTHR37223:SF1', NULL, NULL, NULL, NULL, 'OS08G0528601 PROTEIN', NULL, NULL, NULL, 15),
(150446, NULL, 'PTHR31650:SF33', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(150447, NULL, 'PTHR34543:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ABA DEFICIENT 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(150448, NULL, 'PTHR48043:SF65', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(150449, NULL, 'PTHR31096:SF56', NULL, NULL, NULL, NULL, 'FOUR ACT DOMAIN ACT DOMAIN PROTEIN WHICH PROTEIN', NULL, NULL, NULL, 15),
(150450, NULL, 'PTHR19970:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150451, NULL, 'PTHR22946', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(150452, NULL, 'PTHR45748:SF5', NULL, NULL, NULL, NULL, 'OS08G0104700 PROTEIN', NULL, NULL, NULL, 15),
(150453, NULL, 'PTHR47433', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 17', NULL, NULL, NULL, 15),
(150454, NULL, 'PTHR45631:SF68', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(150455, NULL, 'PTHR22943:SF42', NULL, NULL, NULL, NULL, 'PROTEIN CBG25139', NULL, NULL, NULL, 15),
(150456, NULL, 'PTHR11913:SF103', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 2-LIKE', NULL, NULL, NULL, 15),
(150457, NULL, 'PTHR10925:SF7', NULL, NULL, NULL, NULL, 'RNA CYTIDINE ACETYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(150458, NULL, 'PTHR45738:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC3-RELATED', NULL, NULL, NULL, 15),
(150459, NULL, 'PTHR31989:SF40', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 89', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150460, NULL, 'PTHR33270:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150461, NULL, 'PTHR33595:SF3', NULL, NULL, NULL, NULL, 'OS07G0585700 PROTEIN', NULL, NULL, NULL, 15),
(150462, NULL, 'PTHR46627:SF1', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE O', NULL, NULL, NULL, 15),
(150463, NULL, 'PTHR45659:SF14', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A6', NULL, NULL, NULL, 15),
(150464, NULL, 'PTHR21654:SF82', NULL, NULL, NULL, NULL, 'BNAC06G18740D PROTEIN', NULL, NULL, NULL, 15),
(150465, NULL, 'PTHR34961:SF8', NULL, NULL, NULL, NULL, 'OS04G0554900 PROTEIN', NULL, NULL, NULL, 15),
(150466, NULL, 'PTHR45969:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150467, NULL, 'PTHR31107:SF2', NULL, NULL, NULL, NULL, 'APOPTOGENIC PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(150468, NULL, 'PTHR23428:SF293', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-B', NULL, NULL, NULL, 15),
(150469, NULL, 'PTHR47095:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 222', NULL, NULL, NULL, 15),
(150470, NULL, 'PTHR45771:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B4', NULL, NULL, NULL, 15),
(150471, NULL, 'PTHR10201:SF282', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 3-MMP-LIKE', NULL, NULL, NULL, 15),
(150472, NULL, 'PTHR27004:SF378', NULL, NULL, NULL, NULL, 'BNAA07G38650D PROTEIN', NULL, NULL, NULL, 15),
(150473, NULL, 'PTHR24253:SF41', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11A', NULL, NULL, NULL, 15),
(150474, NULL, 'PTHR22943:SF40', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(150475, NULL, 'PTHR23235:SF79', NULL, NULL, NULL, NULL, 'KRUPPEL-LIKE FACTOR 18', NULL, NULL, NULL, 15),
(150476, NULL, 'PTHR12271:SF41', NULL, NULL, NULL, NULL, 'POLYMERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150477, NULL, 'PTHR47966:SF16', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEASE 6', NULL, NULL, NULL, 15),
(150478, NULL, 'PTHR15974:SF0', NULL, NULL, NULL, NULL, 'CYTOKINE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(150479, NULL, 'PTHR10498:SF10', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 2', NULL, NULL, NULL, 15),
(150480, NULL, 'PTHR31517:SF63', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(150481, NULL, 'PTHR22745:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150482, NULL, 'PTHR10441', NULL, NULL, NULL, NULL, 'CD8 ALPHA CHAIN', NULL, NULL, 9198, 15),
(150483, NULL, 'PTHR35514', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150484, NULL, 'PTHR12629:SF35', NULL, NULL, NULL, NULL, 'DIPHOSPHOINOSITOL POLYPHOSPHATE PHOSPHOHYDROLASE 3-BETA', NULL, NULL, NULL, 15),
(150485, NULL, 'PTHR15367:SF4', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC7-LIKE', NULL, NULL, NULL, 15),
(150486, NULL, 'PTHR19422:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150487, NULL, 'PTHR19857:SF19', NULL, NULL, NULL, NULL, 'THYROID HORMONE UP-REGULATED PROTEIN (GENE 16)', NULL, NULL, NULL, 15),
(150488, NULL, 'PTHR27007:SF344', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', NULL, NULL, NULL, 15),
(150489, NULL, 'PTHR10857:SF2', NULL, NULL, NULL, NULL, 'COPINE-1', NULL, NULL, NULL, 15),
(150490, NULL, 'PTHR45648:SF129', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(150491, NULL, 'PTHR31689:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150492, NULL, 'PTHR11746:SF142', NULL, NULL, NULL, NULL, 'TRIBOA-GLUCOSIDE O-METHYLTRANSFERASE BX7', NULL, NULL, NULL, 15),
(150493, NULL, 'PTHR33452:SF18', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YPHA-RELATED', NULL, NULL, NULL, 15),
(150494, NULL, 'PTHR33109:SF10', NULL, NULL, NULL, NULL, 'OS04G0457700 PROTEIN', NULL, NULL, NULL, 15),
(150495, NULL, 'PTHR11359:SF4', NULL, NULL, NULL, NULL, 'DEAMINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150496, NULL, 'PTHR10666:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150497, NULL, 'PTHR14212:SF0', NULL, NULL, NULL, NULL, 'U4/U6 SMALL NUCLEAR RIBONUCLEOPROTEIN PRP3', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150498, NULL, 'PTHR48100:SF22', NULL, NULL, NULL, NULL, 'HISTIDINE PHOSPHATASE SUPERFAMILY, CLADE-1', NULL, NULL, NULL, 15),
(150499, NULL, 'PTHR32295:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150500, NULL, 'PTHR30519:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150501, NULL, 'PTHR33377:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150502, NULL, 'PTHR23062:SF9', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(150503, NULL, 'PTHR11909:SF355', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 13', NULL, NULL, NULL, 15),
(150504, NULL, 'PTHR11594:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27-1-RELATED', NULL, NULL, NULL, 15),
(150505, NULL, 'PTHR31118:SF21', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(150506, NULL, 'PTHR33640:SF26', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150507, NULL, 'PTHR47925:SF102', NULL, NULL, NULL, NULL, 'BNAC07G31320D PROTEIN', NULL, NULL, NULL, 15),
(150508, NULL, 'PTHR24049:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CRUMBS HOMOLOG 2', NULL, NULL, NULL, 15),
(150509, NULL, 'PTHR31148', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN C', NULL, NULL, 17384, 15),
(150510, NULL, 'PTHR17630:SF92', NULL, NULL, NULL, NULL, 'ENDO-1,31,4-BETA-D-GLUCANASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(150511, NULL, 'PTHR34195:SF3', NULL, NULL, NULL, NULL, 'BNAA06G00210D PROTEIN', NULL, NULL, NULL, 15),
(150512, NULL, 'PTHR11280', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-6-PHOSPHATE ISOMERASE', NULL, NULL, 761, 15),
(150513, NULL, 'PTHR34961:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150514, NULL, 'PTHR42898:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150515, NULL, 'PTHR11827:SF48', NULL, NULL, NULL, NULL, 'GH09711P', NULL, NULL, NULL, 15),
(150516, NULL, 'PTHR45647:SF92', NULL, NULL, NULL, NULL, 'BNAA10G11060D PROTEIN', NULL, NULL, NULL, 15),
(150517, NULL, 'PTHR22814:SF335', NULL, NULL, NULL, NULL, 'FARNESYLATED PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(150518, NULL, 'PTHR31096:SF78', NULL, NULL, NULL, NULL, 'BNAA02G27260D PROTEIN', NULL, NULL, NULL, 15),
(150519, NULL, 'PTHR46853:SF1', NULL, NULL, NULL, NULL, 'METHYLOSOME PROTEIN 50', NULL, NULL, NULL, 15),
(150520, NULL, 'PTHR34462:SF3', NULL, NULL, NULL, NULL, 'INTRACELLULAR PROTEIN TRANSPORTER', NULL, NULL, NULL, 15),
(150521, NULL, 'PTHR47388:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 18', NULL, NULL, NULL, 15),
(150522, NULL, 'PTHR26453:SF255', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(150523, NULL, 'PTHR11679:SF71', NULL, NULL, NULL, NULL, 'SEC1 FAMILY DOMAIN-CONTAINING PROTEIN MIP3', NULL, NULL, NULL, 15),
(150524, NULL, 'PTHR10110:SF86', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 7', NULL, NULL, NULL, 15),
(150525, NULL, 'PTHR31953:SF73', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 32-RELATED', NULL, NULL, NULL, 15),
(150526, NULL, 'PTHR31718:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150527, NULL, 'PTHR31718:SF27', NULL, NULL, NULL, NULL, 'OS05G0171200 PROTEIN', NULL, NULL, NULL, 15),
(150528, NULL, 'PTHR46156:SF2', NULL, NULL, NULL, NULL, 'BNAA06G15300D PROTEIN', NULL, NULL, NULL, 15),
(150529, NULL, 'PTHR19282:SF412', NULL, NULL, NULL, NULL, 'TETRASPANIN/PERIPHERIN-RELATED', NULL, NULL, NULL, 15),
(150530, NULL, 'PTHR31636:SF224', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 13', NULL, NULL, NULL, 15),
(150531, NULL, 'PTHR31480:SF0', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL LYCOPENE CYCLASE/PHYTOENE SYNTHASE', NULL, NULL, NULL, 15),
(150532, NULL, 'PTHR46747:SF1', NULL, NULL, NULL, NULL, 'ALPHA-PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(150533, NULL, 'PTHR18952', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, 16525, 15),
(150534, NULL, 'PTHR21590', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 28962, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150535, NULL, 'PTHR30514:SF19', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GLVR', NULL, NULL, NULL, 15),
(150536, NULL, 'PTHR18884:SF54', NULL, NULL, NULL, NULL, 'SEPTIN-8', NULL, NULL, 24637, 15),
(150537, NULL, 'PTHR22847:SF560', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(150538, NULL, 'PTHR13718:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S2', NULL, NULL, NULL, 15),
(150539, NULL, 'PTHR12629:SF46', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 13, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(150540, NULL, 'PTHR46606:SF3', NULL, NULL, NULL, NULL, 'SHOOTIN-1', NULL, NULL, NULL, 15),
(150541, NULL, 'PTHR46128:SF75', NULL, NULL, NULL, NULL, 'BNAA06G40110D PROTEIN', NULL, NULL, NULL, 15),
(150542, NULL, 'PTHR41967', NULL, NULL, NULL, NULL, 'FI19406P1-RELATED', NULL, NULL, NULL, 15),
(150543, NULL, 'PTHR24223:SF10', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 9', NULL, NULL, 22056, 15),
(150544, NULL, 'PTHR12069', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES III 80 KDA POLYPEPTIDE  RNA POLYMERASE III SUBUNIT 5', NULL, NULL, 4655, 15),
(150545, NULL, 'PTHR37478:SF2', NULL, NULL, NULL, NULL, 'UPF0251 PROTEIN MJ1243', NULL, NULL, NULL, 15),
(150546, NULL, 'PTHR13318:SF86', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 10', NULL, NULL, NULL, 15),
(150547, NULL, 'PTHR15907:SF140', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 8-LIKE', NULL, NULL, NULL, 15),
(150548, NULL, 'PTHR31623:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150549, NULL, 'PTHR12547:SF100', NULL, NULL, NULL, NULL, 'MRNA DECAY ACTIVATOR PROTEIN ZFP36L2', NULL, NULL, NULL, 15),
(150550, NULL, 'PTHR33044:SF29', NULL, NULL, NULL, NULL, 'LIPID TRANSFER-LIKE PROTEIN VAS', NULL, NULL, NULL, 15),
(150551, NULL, 'PTHR43313:SF25', NULL, NULL, NULL, NULL, 'D-BETA-HYDROXYBUTYRATE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(150552, NULL, 'PTHR11709:SF259', NULL, NULL, NULL, NULL, 'LACCASE-14', NULL, NULL, NULL, 15),
(150553, NULL, 'PTHR45658:SF86', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR STALKY', NULL, NULL, NULL, 15),
(150554, NULL, 'PTHR11349:SF69', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE A', NULL, NULL, NULL, 15),
(150555, NULL, 'PTHR12260', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29168, 15),
(150556, NULL, 'PTHR11575:SF45', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE/APYRASE', NULL, NULL, NULL, 15),
(150557, NULL, 'PTHR36649', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150558, NULL, 'PTHR15031:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150559, NULL, 'PTHR31415:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150560, NULL, 'PTHR11440:SF88', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID:DIACYLGLYCEROL ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(150561, NULL, 'PTHR21089:SF12', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3-DEHYDROQUINATE DEHYDRATASE/SHIKIMATE DEHYDROGENASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(150562, NULL, 'PTHR31734:SF156', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(150563, NULL, 'PTHR35182', NULL, NULL, NULL, NULL, 'PROTEIN CBG13762', NULL, NULL, NULL, 15),
(150564, NULL, 'PTHR34953', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE RELATED PROTEIN', NULL, NULL, NULL, 15),
(150565, NULL, 'PTHR42752', NULL, NULL, NULL, NULL, 'IMIDAZOLONEPROPIONASE', NULL, NULL, 208, 15),
(150566, NULL, 'PTHR33147:SF81', NULL, NULL, NULL, NULL, 'DEFENSIN SD2', NULL, NULL, NULL, 15),
(150567, NULL, 'PTHR42854:SF10', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 3', NULL, NULL, NULL, 15),
(150568, NULL, 'PTHR10353:SF237', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 16', NULL, NULL, NULL, 15),
(150569, NULL, 'PTHR15184:SF62', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS ATP SYNTHASE SSAN-RELATED', NULL, NULL, NULL, 15),
(150570, NULL, 'PTHR10593:SF175', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 6, CHLOROPLASTIC', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150571, NULL, 'PTHR31839:SF45', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1F', NULL, NULL, NULL, 15),
(150572, NULL, 'PTHR10503:SF7', NULL, NULL, NULL, NULL, 'C.ELEGANS CHROMODOMAIN PROTEIN', NULL, NULL, NULL, 15),
(150573, NULL, 'PTHR31563:SF13', NULL, NULL, NULL, NULL, 'ION CHANNEL POLLUX-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(150574, NULL, 'PTHR31903:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150575, NULL, 'PTHR31509:SF101', NULL, NULL, NULL, NULL, 'BNAC03G61000D PROTEIN', NULL, NULL, NULL, 15),
(150576, NULL, 'PTHR10468:SF10', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 2-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(150577, NULL, 'PTHR47981:SF28', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB7', NULL, NULL, NULL, 15),
(150578, NULL, 'PTHR10430:SF30', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN PRXA-RELATED', NULL, NULL, NULL, 15),
(150579, NULL, 'PTHR16089:SF13', NULL, NULL, NULL, NULL, 'REST COREPRESSOR 3', NULL, NULL, NULL, 15),
(150580, NULL, 'PTHR31279:SF37', NULL, NULL, NULL, NULL, 'OS06G0220300 PROTEIN', NULL, NULL, NULL, 15),
(150581, NULL, 'PTHR31958:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 127', NULL, NULL, NULL, 15),
(150582, NULL, 'PTHR18966:SF385', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, NMDA 2D', NULL, NULL, NULL, 15),
(150583, NULL, 'PTHR33149', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', NULL, NULL, 5872, 15),
(150584, NULL, 'PTHR26453:SF79', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2W5-RELATED', NULL, NULL, NULL, 15),
(150585, NULL, 'PTHR46598:SF5', NULL, NULL, NULL, NULL, 'BNAC05G43320D PROTEIN', NULL, NULL, NULL, 15),
(150586, NULL, 'PTHR48022:SF44', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14610)-RELATED', NULL, NULL, NULL, 15),
(150587, NULL, 'PTHR11746:SF181', NULL, NULL, NULL, NULL, 'F16P17.4 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150588, NULL, 'PTHR34871:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150589, NULL, 'PTHR48048:SF18', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(150590, NULL, 'PTHR46158:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(150591, NULL, 'PTHR22765:SF266', NULL, NULL, NULL, NULL, 'RECEPTOR HOMOLOGY REGION, TRANSMEMBRANE DOMAIN- AND RING DOMAIN-CONTAINING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(150592, NULL, 'PTHR12663:SF2', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PROTEIN PDS5 HOMOLOG A', NULL, NULL, NULL, 15),
(150593, NULL, 'PTHR26450:SF132', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 654', NULL, NULL, NULL, 15),
(150594, NULL, 'PTHR10969:SF50', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEINS 1A/1B LIGHT CHAIN 3C', NULL, NULL, 26159, 15),
(150595, NULL, 'PTHR13615:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(150596, NULL, 'PTHR23292:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04949', NULL, NULL, NULL, 15),
(150597, NULL, 'PTHR35971:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-31G6.6', NULL, NULL, NULL, 15),
(150598, NULL, 'PTHR35660', NULL, NULL, NULL, NULL, 'SERINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 24538, 15),
(150599, NULL, 'PTHR46347', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(150600, NULL, 'PTHR43625:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150601, NULL, 'PTHR37564:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150602, NULL, 'PTHR12645:SF0', NULL, NULL, NULL, NULL, 'FAD-LINKED SULFHYDRYL OXIDASE ALR', NULL, NULL, NULL, 15),
(150603, NULL, 'PTHR31662:SF61', NULL, NULL, NULL, NULL, 'GLABROUS1 ENHANCER-BINDING PROTEIN-LIKE 3', NULL, NULL, NULL, 15),
(150604, NULL, 'PTHR22951:SF98', NULL, NULL, NULL, NULL, 'BNAA06G34790D PROTEIN', NULL, NULL, NULL, 15),
(150605, NULL, 'PTHR33136:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150606, NULL, 'PTHR31169:SF22', NULL, NULL, NULL, NULL, 'ZINC-FINGER DOMAIN OF MONOAMINE-OXIDASE A REPRESSOR R1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150607, NULL, 'PTHR31942:SF94', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(150608, NULL, 'PTHR11003:SF171', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS PROTEIN 18', NULL, NULL, NULL, 15),
(150609, NULL, 'PTHR45768:SF19', NULL, NULL, NULL, NULL, 'OS06G0167200 PROTEIN', NULL, NULL, NULL, 15),
(150610, NULL, 'PTHR31321:SF108', NULL, NULL, NULL, NULL, 'PECTINESTERASE A', NULL, NULL, NULL, 15),
(150611, NULL, 'PTHR33346:SF32', NULL, NULL, NULL, NULL, 'DEHYDRIN RAB16D', NULL, NULL, NULL, 15),
(150612, NULL, 'PTHR20275:SF31', NULL, NULL, NULL, NULL, 'NAD KINASE 3-RELATED', NULL, NULL, NULL, 15),
(150613, NULL, 'PTHR24416:SF173', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-B RECEPTOR 1', NULL, NULL, NULL, 15),
(150614, NULL, 'PTHR35177:SF2', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYBG', NULL, NULL, NULL, 15),
(150615, NULL, 'PTHR33490:SF12', NULL, NULL, NULL, NULL, 'BLL5557 PROTEIN', NULL, NULL, NULL, 15),
(150616, NULL, 'PTHR19957:SF264', NULL, NULL, NULL, NULL, 'SYNTAXIN-73', NULL, NULL, NULL, 15),
(150617, NULL, 'PTHR10209:SF712', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 6', NULL, NULL, NULL, 15),
(150618, NULL, 'PTHR44329:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150619, NULL, 'PTHR43353:SF11', NULL, NULL, NULL, NULL, 'SUCCINATE SEMIALDEHYDE DEHYDROGENASE (EUROFUNG)', NULL, NULL, NULL, 15),
(150620, NULL, 'PTHR24356:SF322', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE N2', NULL, NULL, NULL, 15),
(150621, NULL, 'PTHR47983:SF25', NULL, NULL, NULL, NULL, 'OS02G0565500 PROTEIN', NULL, NULL, NULL, 15),
(150622, NULL, 'PTHR46128:SF228', NULL, NULL, NULL, NULL, 'BNAA05G30910D PROTEIN', NULL, NULL, NULL, 15),
(150623, NULL, 'PTHR30314:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DIVISION PROTEIN FSZA', NULL, NULL, NULL, 15),
(150624, NULL, 'PTHR42844:SF6', NULL, NULL, NULL, NULL, '7,8-DIHYDRONEOPTERIN ALDOLASE', NULL, NULL, NULL, 15),
(150625, NULL, 'PTHR14649:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER C2HC DOMAIN-CONTAINING PROTEIN 1C', NULL, NULL, NULL, 15),
(150626, NULL, 'PTHR45693:SF33', NULL, NULL, NULL, NULL, 'TGA7', NULL, NULL, NULL, 15),
(150627, NULL, 'PTHR37898:SF1', NULL, NULL, NULL, NULL, 'OS05G0540200 PROTEIN', NULL, NULL, NULL, 15),
(150628, NULL, 'PTHR21495:SF192', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(150629, NULL, 'PTHR19375:SF430', NULL, NULL, NULL, NULL, 'OS01G0688900 PROTEIN', NULL, NULL, NULL, 15),
(150630, NULL, 'PTHR28013', NULL, NULL, NULL, NULL, 'PROTEIN DCV1-RELATED', NULL, NULL, NULL, 15),
(150631, NULL, 'PTHR31391:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150632, NULL, 'PTHR12681:SF10', NULL, NULL, NULL, NULL, 'OS03G0385301 PROTEIN', NULL, NULL, NULL, 15),
(150633, NULL, 'PTHR27000:SF584', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RPK2', NULL, NULL, NULL, 15),
(150634, NULL, 'PTHR21479:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG00204', NULL, NULL, NULL, 15),
(150635, NULL, 'PTHR31089:SF50', NULL, NULL, NULL, NULL, 'BNACNNG12240D PROTEIN', NULL, NULL, NULL, 15),
(150636, NULL, 'PTHR31953:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150637, NULL, 'PTHR13516:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(150638, NULL, 'PTHR10353:SF214', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 44-LIKE', NULL, NULL, NULL, 15),
(150639, NULL, 'PTHR13301:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150640, NULL, 'PTHR22595:SF156', NULL, NULL, NULL, NULL, 'BNAC04G53040D PROTEIN', NULL, NULL, NULL, 15),
(150641, NULL, 'PTHR23138:SF88', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(150642, NULL, 'PTHR23500:SF502', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 10', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150643, NULL, 'PTHR36409:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(150644, NULL, 'PTHR45771:SF6', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN DEFORMED', NULL, NULL, NULL, 15),
(150645, NULL, 'PTHR31225:SF115', NULL, NULL, NULL, NULL, '(E,E)-GERMACRENE B SYNTHASE', NULL, NULL, NULL, 15),
(150646, NULL, 'PTHR31741:SF87', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(150647, NULL, 'PTHR43085:SF28', NULL, NULL, NULL, NULL, 'CARBOHYDRATE KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150648, NULL, 'PTHR23076', NULL, NULL, NULL, NULL, 'METALLOPROTEASE M41 FTSH', NULL, NULL, NULL, 15),
(150649, NULL, 'PTHR37003:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150650, NULL, 'PTHR11847:SF25', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L15', NULL, NULL, NULL, 15),
(150651, NULL, 'PTHR39653:SF4', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 20-1', NULL, NULL, NULL, 15),
(150652, NULL, 'PTHR11716:SF94', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2', NULL, NULL, NULL, 15),
(150653, NULL, 'PTHR15885:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 174', NULL, NULL, NULL, 15),
(150654, NULL, 'PTHR21066:SF3', NULL, NULL, NULL, NULL, 'GH25962P-RELATED', NULL, NULL, NULL, 15),
(150655, NULL, 'PTHR24388:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 280B', NULL, NULL, NULL, 15),
(150656, NULL, 'PTHR33373:SF18', NULL, NULL, NULL, NULL, 'OS01G0172300 PROTEIN', NULL, NULL, NULL, 15),
(150657, NULL, 'PTHR16830:SF13', NULL, NULL, NULL, NULL, 'FYN-BINDING PROTEIN 1', NULL, NULL, 25314, 15),
(150658, NULL, 'PTHR24211', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(150659, NULL, 'PTHR11070:SF48', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE/NUCLEASE SUBUNIT A', NULL, NULL, 14187, 15),
(150660, NULL, 'PTHR11926:SF1370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150661, NULL, 'PTHR10638:SF78', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(150662, NULL, 'PTHR23501:SF169', NULL, NULL, NULL, NULL, 'SLR0616 PROTEIN', NULL, NULL, NULL, 15),
(150663, NULL, 'PTHR13780:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150664, NULL, 'PTHR10288:SF146', NULL, NULL, NULL, NULL, 'OS07G0439100 PROTEIN', NULL, NULL, NULL, 15),
(150665, NULL, 'PTHR43624', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN-QUINONE OXIDOREDUCTASE YDIS-RELATED', NULL, NULL, 29098, 15),
(150666, NULL, 'PTHR13022:SF1', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT K', NULL, NULL, NULL, 15),
(150667, NULL, 'PTHR45673:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(150668, NULL, 'PTHR47990:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150669, NULL, 'PTHR32141:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150670, NULL, 'PTHR31929:SF49', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR15', NULL, NULL, NULL, 15),
(150671, NULL, 'PTHR23201:SF88', NULL, NULL, NULL, NULL, 'SNAKIN-1', NULL, NULL, NULL, 15),
(150672, NULL, 'PTHR11260:SF663', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150673, NULL, 'PTHR46293:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN PROTEIN LIGASE DRIP2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150674, NULL, 'PTHR32227:SF151', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE-RELATED', NULL, NULL, NULL, 15),
(150675, NULL, 'PTHR46662:SF30', NULL, NULL, NULL, NULL, 'BNAA04G18480D PROTEIN', NULL, NULL, NULL, 15),
(150676, NULL, 'PTHR46148:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150677, NULL, 'PTHR22891:SF159', NULL, NULL, NULL, NULL, 'BNAA05G14760D PROTEIN', NULL, NULL, NULL, 15),
(150678, NULL, 'PTHR23257:SF753', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0268876-RELATED', NULL, NULL, NULL, 15),
(150679, NULL, 'PTHR10367:SF22', NULL, NULL, NULL, NULL, 'MRNA CAPPING ENZYME, BIFUNCTIONAL-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150680, NULL, 'PTHR12752:SF2', NULL, NULL, NULL, NULL, 'MCG20355', NULL, NULL, NULL, 15),
(150681, NULL, 'PTHR11043:SF2', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-1', NULL, NULL, NULL, 15),
(150682, NULL, 'PTHR20978:SF3', NULL, NULL, NULL, NULL, 'SPLICING FACTOR SUBUNIT', NULL, NULL, NULL, 15),
(150683, NULL, 'PTHR33982:SF1', NULL, NULL, NULL, NULL, 'OS07G0154300 PROTEIN', NULL, NULL, NULL, 15),
(150684, NULL, 'PTHR45720:SF3', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-KA', NULL, NULL, NULL, 15),
(150685, NULL, 'PTHR45687:SF76', NULL, NULL, NULL, NULL, 'BNAA02G06180D PROTEIN', NULL, NULL, NULL, 15),
(150686, NULL, 'PTHR33426:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150687, NULL, 'PTHR20931:SF4', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 30B', NULL, NULL, NULL, 15),
(150688, NULL, 'PTHR12980:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 9-LIKE', NULL, NULL, NULL, 15),
(150689, NULL, 'PTHR10887:SF341', NULL, NULL, NULL, NULL, 'ZINC FINGER NFX1-TYPE CONTAINING HOMOLOG', NULL, NULL, NULL, 15),
(150690, NULL, 'PTHR22776:SF45', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE FACTOR', NULL, NULL, NULL, 15),
(150691, NULL, 'PTHR45667:SF20', NULL, NULL, NULL, NULL, 'BNAA04G20810D PROTEIN', NULL, NULL, NULL, 15),
(150692, NULL, 'PTHR45618:SF41', NULL, NULL, NULL, NULL, 'BNAA02G07340D PROTEIN', NULL, NULL, NULL, 15),
(150693, NULL, 'PTHR23281:SF23', NULL, NULL, NULL, NULL, 'MERLIN', NULL, NULL, NULL, 15),
(150694, NULL, 'PTHR31087:SF103', NULL, NULL, NULL, NULL, 'BNAC04G55550D PROTEIN', NULL, NULL, NULL, 15),
(150695, NULL, 'PTHR10390:SF40', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX5', NULL, NULL, NULL, 15),
(150696, NULL, 'PTHR31636:SF232', NULL, NULL, NULL, NULL, 'BNAA06G02820D PROTEIN', NULL, NULL, 25274, 15),
(150697, NULL, 'PTHR47311', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150698, NULL, 'PTHR11017:SF355', NULL, NULL, NULL, NULL, 'BNAA03G46200D PROTEIN', NULL, NULL, NULL, 15),
(150699, NULL, 'PTHR32468:SF150', NULL, NULL, NULL, NULL, 'CATION:PROTON ANTIPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150700, NULL, 'PTHR44042:SF37', NULL, NULL, NULL, NULL, 'OS05G0442400 PROTEIN', NULL, NULL, NULL, 15),
(150701, NULL, 'PTHR33090:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150702, NULL, 'PTHR31769:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150703, NULL, 'PTHR30509:SF8', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YCCS', NULL, NULL, NULL, 15),
(150704, NULL, 'PTHR45764:SF18', NULL, NULL, NULL, NULL, 'OS07G0124300 PROTEIN', NULL, NULL, NULL, 15),
(150705, NULL, 'PTHR46834:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR EAT1-LIKE', NULL, NULL, NULL, 15),
(150706, NULL, 'PTHR11910:SF19', NULL, NULL, NULL, NULL, 'ATP SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(150707, NULL, 'PTHR11034:SF50', NULL, NULL, NULL, NULL, 'NDRG, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150708, NULL, 'PTHR31867:SF163', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(150709, NULL, 'PTHR12411:SF675', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150710, NULL, 'PTHR12873:SF0', NULL, NULL, NULL, NULL, 'TWINKLE PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(150711, NULL, 'PTHR11647:SF55', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINASE-RELATED PROTEIN 4', NULL, NULL, 26397, 15),
(150712, NULL, 'PTHR46855:SF15', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(150713, NULL, 'PTHR30041', NULL, NULL, NULL, NULL, 'ARSENATE REDUCTASE', NULL, NULL, 1866, 15),
(150714, NULL, 'PTHR32100:SF58', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE-RELATED', NULL, NULL, NULL, 15),
(150715, NULL, 'PTHR32411:SF59', NULL, NULL, NULL, NULL, 'BNAC01G31750D PROTEIN', NULL, NULL, NULL, 15),
(150716, NULL, 'PTHR20914:SF12', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING 9', NULL, NULL, NULL, 15),
(150717, NULL, 'PTHR28037:SF2', NULL, NULL, NULL, NULL, 'ACR018CP', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150718, NULL, 'PTHR11210:SF52', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RBX1', NULL, NULL, NULL, 15),
(150719, NULL, 'PTHR48009:SF9', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', NULL, NULL, NULL, 15),
(150720, NULL, 'PTHR23273:SF71', NULL, NULL, NULL, NULL, 'BNAA02G30330D PROTEIN', NULL, NULL, NULL, 15),
(150721, NULL, 'PTHR11064:SF133', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-8', NULL, NULL, NULL, 15),
(150722, NULL, 'PTHR12329:SF45', NULL, NULL, NULL, NULL, 'BNAC07G32520D PROTEIN', NULL, NULL, NULL, 15),
(150723, NULL, 'PTHR10127:SF813', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE DPY-31', NULL, NULL, NULL, 15),
(150724, NULL, 'PTHR33433:SF15', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(150725, NULL, 'PTHR11570:SF3', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', NULL, NULL, NULL, 15),
(150726, NULL, 'PTHR46910:SF7', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(150727, NULL, 'PTHR31929:SF115', NULL, NULL, NULL, NULL, 'BNAA10G16750D PROTEIN', NULL, NULL, NULL, 15),
(150728, NULL, 'PTHR19282:SF461', NULL, NULL, NULL, NULL, 'TETRASPANIN-17', NULL, NULL, NULL, 15),
(150729, NULL, 'PTHR35752', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(150730, NULL, 'PTHR48003:SF2', NULL, NULL, NULL, NULL, 'BNAC03G64510D PROTEIN', NULL, NULL, NULL, 15),
(150731, NULL, 'PTHR28671:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 169', NULL, NULL, NULL, 15),
(150732, NULL, 'PTHR11002:SF48', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(150733, NULL, 'PTHR11280:SF6', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-6-PHOSPHATE ISOMERASE NAGB', NULL, NULL, NULL, 15),
(150734, NULL, 'PTHR23026:SF120', NULL, NULL, NULL, NULL, 'NITROREDUCTASE FD-NR2', NULL, NULL, NULL, 15),
(150735, NULL, 'PTHR10655:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150736, NULL, 'PTHR37689:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FDHE', NULL, NULL, NULL, 15),
(150737, NULL, 'PTHR11206:SF394', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(150738, NULL, 'PTHR22911:SF103', NULL, NULL, NULL, NULL, 'BLR2811 PROTEIN', NULL, NULL, NULL, 15),
(150739, NULL, 'PTHR23086:SF22', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 5-PHOSPHATE 4-KINASE TYPE-2 BETA', NULL, NULL, NULL, 15),
(150740, NULL, 'PTHR47982:SF50', NULL, NULL, NULL, NULL, 'OS01G0750600 PROTEIN', NULL, NULL, NULL, 15),
(150741, NULL, 'PTHR39573', NULL, NULL, NULL, NULL, 'STRESS RESPONSE KINASE A', NULL, NULL, 26720, 15),
(150742, NULL, 'PTHR37751:SF1', NULL, NULL, NULL, NULL, 'LOW PROTEIN: M-PHASE INDUCER PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(150743, NULL, 'PTHR33273', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150744, NULL, 'PTHR24349:SF396', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 13', NULL, NULL, NULL, 15),
(150745, NULL, 'PTHR48001:SF55', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(150746, NULL, 'PTHR31232:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150747, NULL, 'PTHR33429:SF32', NULL, NULL, NULL, NULL, 'BNAC04G24150D PROTEIN', NULL, NULL, NULL, 15),
(150748, NULL, 'PTHR33116:SF33', NULL, NULL, NULL, NULL, 'OS01G0885550 PROTEIN', NULL, NULL, NULL, 15),
(150749, NULL, 'PTHR13217', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 7', NULL, NULL, 29770, 15),
(150750, NULL, 'PTHR12187:SF4', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL 3,4-BISPHOSPHATE 4-PHOSPHATASE', NULL, NULL, NULL, 15),
(150751, NULL, 'PTHR47520:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG19197', NULL, NULL, NULL, 15),
(150752, NULL, 'PTHR33514:SF14', NULL, NULL, NULL, NULL, 'ION TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150753, NULL, 'PTHR33791:SF12', NULL, NULL, NULL, NULL, 'CHAPERONIN-LIKE RBCX PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150754, NULL, 'PTHR11599:SF165', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, NULL, 15),
(150755, NULL, 'PTHR13723:SF283', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS ADT-2', NULL, NULL, NULL, 15),
(150756, NULL, 'PTHR42853:SF3', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A CARBOXYLASE CARBOXYL TRANSFERASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(150757, NULL, 'PTHR22883:SF368', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(150758, NULL, 'PTHR13759:SF9', NULL, NULL, NULL, NULL, 'TWINFILIN-2', NULL, NULL, NULL, 15),
(150759, NULL, 'PTHR10795:SF690', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150760, NULL, 'PTHR24637:SF305', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', NULL, NULL, NULL, 15),
(150761, NULL, 'PTHR31660:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150762, NULL, 'PTHR15528:SF11', NULL, NULL, NULL, NULL, 'FI18188P1', NULL, NULL, NULL, 15),
(150763, NULL, 'PTHR13555:SF36', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 474', NULL, NULL, NULL, 15),
(150764, NULL, 'PTHR12135:SF1', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD4', NULL, NULL, NULL, 15),
(150765, NULL, 'PTHR14191:SF20', NULL, NULL, NULL, NULL, 'NA(+)/H(+) EXCHANGE REGULATORY COFACTOR NHE-RF4', NULL, NULL, 24855, 15),
(150766, NULL, 'PTHR24112:SF57', NULL, NULL, NULL, NULL, 'NLR FAMILY PYRIN DOMAIN CONTAINING 5', NULL, NULL, NULL, 15),
(150767, NULL, 'PTHR12626:SF7', NULL, NULL, NULL, NULL, 'MA3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(150768, NULL, 'PTHR46128:SF87', NULL, NULL, NULL, NULL, 'BNAC01G44210D PROTEIN', NULL, NULL, NULL, 15),
(150769, NULL, 'PTHR23280:SF20', NULL, NULL, NULL, NULL, 'BAND 4.1-LIKE PROTEIN 3', NULL, NULL, 2834, 15),
(150770, NULL, 'PTHR44083:SF12', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN/WD-40 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(150771, NULL, 'PTHR33401:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150772, NULL, 'PTHR47930:SF1', NULL, NULL, NULL, NULL, 'YALI0C12947P', NULL, NULL, NULL, 15),
(150773, NULL, 'PTHR10509:SF73', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(150774, NULL, 'PTHR13370:SF23', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(150775, NULL, 'PTHR43272:SF49', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 7, PEROXISOMAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(150776, NULL, 'PTHR42861:SF57', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(150777, NULL, 'PTHR38566', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150778, NULL, 'PTHR31444:SF45', NULL, NULL, NULL, NULL, 'BNAA09G08490D PROTEIN', NULL, NULL, NULL, 15),
(150779, NULL, 'PTHR47958:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150780, NULL, 'PTHR24418:SF202', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(150781, NULL, 'PTHR48049:SF66', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(150782, NULL, 'PTHR34491:SF32', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', NULL, NULL, NULL, 15),
(150783, NULL, 'PTHR31734:SF103', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA16', NULL, NULL, NULL, 15),
(150784, NULL, 'PTHR21614:SF1', NULL, NULL, NULL, NULL, 'SHORT COILED-COIL PROTEIN', NULL, NULL, NULL, 15),
(150785, NULL, 'PTHR33138:SF35', NULL, NULL, NULL, NULL, 'KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(150786, NULL, 'PTHR33886', NULL, NULL, NULL, NULL, 'UNSATURATED RHAMNOGALACTURONAN HYDROLASE (EUROFUNG)', NULL, NULL, NULL, 15),
(150787, NULL, 'PTHR37440:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12938', NULL, NULL, NULL, 15),
(150788, NULL, 'PTHR31616:SF6', NULL, NULL, NULL, NULL, 'GLUCOAMYLASE', NULL, NULL, NULL, 15),
(150789, NULL, 'PTHR11236:SF17', NULL, NULL, NULL, NULL, 'SALICYLATE SYNTHASE', NULL, NULL, NULL, 15),
(150790, NULL, 'PTHR34484:SF1', NULL, NULL, NULL, NULL, 'OS09G0553700 PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150791, NULL, 'PTHR42812:SF5', NULL, NULL, NULL, NULL, 'ENDO-ARABINASE', NULL, NULL, NULL, 15),
(150792, NULL, 'PTHR19277:SF125', NULL, NULL, NULL, NULL, 'B6', NULL, NULL, NULL, 15),
(150793, NULL, 'PTHR33021:SF380', NULL, NULL, NULL, NULL, 'BNAA05G11660D PROTEIN', NULL, NULL, NULL, 15),
(150794, NULL, 'PTHR10196:SF88', NULL, NULL, NULL, NULL, 'XYLULOSE KINASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(150795, NULL, 'PTHR45824:SF24', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150796, NULL, 'PTHR24240:SF65', NULL, NULL, NULL, NULL, 'NOVEL OPSIN-RELATED', NULL, NULL, NULL, 15),
(150797, NULL, 'PTHR33463:SF65', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPS2-LIKE', NULL, NULL, NULL, 15),
(150798, NULL, 'PTHR12876:SF37', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE REGE-1', NULL, NULL, NULL, 15),
(150799, NULL, 'PTHR13318:SF186', NULL, NULL, NULL, NULL, 'DISTAL MEMBRANE-ARM ASSEMBLY COMPLEX PROTEIN 2', NULL, NULL, NULL, 15),
(150800, NULL, 'PTHR10687:SF66', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(150801, NULL, 'PTHR42039:SF2', NULL, NULL, NULL, NULL, 'ALLERGEN ASP F4 (AFU_ORTHOLOGUE AFUA_2G03830)-RELATED', NULL, NULL, NULL, 15),
(150802, NULL, 'PTHR48014:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150803, NULL, 'PTHR10806:SF6', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX CATALYTIC SUBUNIT SEC11', NULL, NULL, 28204, 15),
(150804, NULL, 'PTHR24960', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I IRON-SULFUR CENTER-RELATED', NULL, NULL, NULL, 15),
(150805, NULL, 'PTHR45620:SF32', NULL, NULL, NULL, NULL, 'DIURETIC HORMONE 31 RECEPTOR, ISOFORM C', NULL, NULL, NULL, 15),
(150806, NULL, 'PTHR40449:SF2', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTS', NULL, NULL, NULL, 15),
(150807, NULL, 'PTHR46905', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL78', NULL, NULL, 38934, 15),
(150808, NULL, 'PTHR11761:SF32', NULL, NULL, NULL, NULL, 'BNAA06G36160D PROTEIN', NULL, NULL, NULL, 15),
(150809, NULL, 'PTHR31945:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150810, NULL, 'PTHR27006:SF404', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(150811, NULL, 'PTHR11685:SF271', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(150812, NULL, 'PTHR13935:SF89', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ORG2-LIKE', NULL, NULL, NULL, 15),
(150813, NULL, 'PTHR13817:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150814, NULL, 'PTHR47982:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150815, NULL, 'PTHR46813:SF8', NULL, NULL, NULL, NULL, 'OS05G0567900 PROTEIN', NULL, NULL, NULL, 15),
(150816, NULL, 'PTHR31218:SF47', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(150817, NULL, 'PTHR22937:SF138', NULL, NULL, NULL, NULL, 'BNAC06G23440D PROTEIN', NULL, NULL, NULL, 15),
(150818, NULL, 'PTHR30385', NULL, NULL, NULL, NULL, 'SIGMA FACTOR F  FLAGELLAR', NULL, NULL, NULL, 15),
(150819, NULL, 'PTHR35447:SF1', NULL, NULL, NULL, NULL, 'BH3-INTERACTING DOMAIN DEATH AGONIST', NULL, NULL, NULL, 15),
(150820, NULL, 'PTHR20837:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL AND C2 DOMAIN-CONTAINING PROTEIN 2A', NULL, NULL, NULL, 15),
(150821, NULL, 'PTHR10108:SF1085', NULL, NULL, NULL, NULL, 'OS04G0692400 PROTEIN', NULL, NULL, NULL, 15),
(150822, NULL, 'PTHR48018:SF4', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(150823, NULL, 'PTHR10333:SF98', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN', NULL, NULL, NULL, 15),
(150824, NULL, 'PTHR46764:SF5', NULL, NULL, NULL, NULL, 'SPX DOMAIN, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(150825, NULL, 'PTHR11907:SF20', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(150826, NULL, 'PTHR32258:SF26', NULL, NULL, NULL, NULL, 'KINASE-INTERACTING FAMILY PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150827, NULL, 'PTHR10358:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150828, NULL, 'PTHR24394:SF19', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(150829, NULL, 'PTHR46045:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(150830, NULL, 'PTHR15970:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELOGNATION FACTOR EAF-RELATED', NULL, NULL, NULL, 15),
(150831, NULL, 'PTHR10891:SF886', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(150832, NULL, 'PTHR34606', NULL, NULL, NULL, NULL, 'BON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(150833, NULL, 'PTHR23405:SF9', NULL, NULL, NULL, NULL, 'PROTEIN MAK16 HOMOLOG', NULL, NULL, NULL, 15),
(150834, NULL, 'PTHR44379', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE WITH IRON-SULFUR SUBUNIT', NULL, NULL, NULL, 15),
(150835, NULL, 'PTHR24235:SF18', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(150836, NULL, 'PTHR10795:SF614', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.3 ISOFORM X1', NULL, NULL, NULL, 15),
(150837, NULL, 'PTHR24377:SF680', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 870', NULL, NULL, NULL, 15),
(150838, NULL, 'PTHR10994:SF152', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(150839, NULL, 'PTHR35087', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN FLJ40298', NULL, NULL, 22203, 15),
(150840, NULL, 'PTHR12321:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150841, NULL, 'PTHR43147:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TAS', NULL, NULL, NULL, 15),
(150842, NULL, 'PTHR12705:SF0', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(150843, NULL, 'PTHR11654:SF508', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150844, NULL, 'PTHR12668:SF20', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14B', NULL, NULL, NULL, 15),
(150845, NULL, 'PTHR12231:SF222', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(150846, NULL, 'PTHR45785:SF11', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR H-RELATED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(150847, NULL, 'PTHR24096:SF388', NULL, NULL, NULL, NULL, '2-SUCCINYLBENZOATE--COA LIGASE', NULL, NULL, NULL, 15),
(150848, NULL, 'PTHR10061:SF2', NULL, NULL, NULL, NULL, 'S-FORMYLGLUTATHIONE HYDROLASE', NULL, NULL, NULL, 15),
(150849, NULL, 'PTHR24256:SF487', NULL, NULL, NULL, NULL, 'TRYPTASE GAMMA', NULL, NULL, NULL, 15),
(150850, NULL, 'PTHR46288:SF17', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(150851, NULL, 'PTHR23299:SF13', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1X', NULL, NULL, NULL, 15),
(150852, NULL, 'PTHR28062:SF1', NULL, NULL, NULL, NULL, 'K+-H+ EXCHANGE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(150853, NULL, 'PTHR23239:SF14', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 19', NULL, NULL, NULL, 15),
(150854, NULL, 'PTHR11558:SF29', NULL, NULL, NULL, NULL, 'AMINOPROPYL TRANSFERASE', NULL, NULL, NULL, 15),
(150855, NULL, 'PTHR10799:SF981', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN EAF-1', NULL, NULL, NULL, 15),
(150856, NULL, 'PTHR32061:SF4', NULL, NULL, NULL, NULL, 'NMDA RECEPTOR SYNAPTONUCLEAR SIGNALING AND NEURONAL MIGRATION FACTOR', NULL, NULL, NULL, 15),
(150857, NULL, 'PTHR47926:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150858, NULL, 'PTHR13696:SF69', NULL, NULL, NULL, NULL, 'PLASMID PARTITIONING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(150859, NULL, 'PTHR38386:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150860, NULL, 'PTHR27008:SF357', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150861, NULL, 'PTHR13690:SF144', NULL, NULL, NULL, NULL, 'BNAC05G04130D PROTEIN', NULL, NULL, NULL, 15),
(150862, NULL, 'PTHR11071:SF427', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE 8', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150863, NULL, 'PTHR13110:SF8', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM3', NULL, NULL, NULL, 15),
(150864, NULL, 'PTHR19971:SF9', NULL, NULL, NULL, NULL, 'SIGNAL-REGULATORY PROTEIN BETA-2', NULL, NULL, NULL, 15),
(150865, NULL, 'PTHR35827', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 37648, 15),
(150866, NULL, 'PTHR35486:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(150867, NULL, 'PTHR24061:SF413', NULL, NULL, NULL, NULL, 'MCG21341-RELATED', NULL, NULL, NULL, 15),
(150868, NULL, 'PTHR19432:SF81', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUC1-RELATED', NULL, NULL, NULL, 15),
(150869, NULL, 'PTHR34791:SF1', NULL, NULL, NULL, NULL, 'OS02G0272100 PROTEIN', NULL, NULL, NULL, 15),
(150870, NULL, 'PTHR32295:SF196', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', NULL, NULL, NULL, 15),
(150871, NULL, 'PTHR24559:SF367', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150872, NULL, 'PTHR32440:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150873, NULL, 'PTHR33052:SF92', NULL, NULL, NULL, NULL, 'OS01G0686000 PROTEIN', NULL, NULL, NULL, 15),
(150874, NULL, 'PTHR23430:SF7', NULL, NULL, NULL, NULL, 'HISTONE H2A.V', NULL, NULL, NULL, 15),
(150875, NULL, 'PTHR46256:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-IIIB', NULL, NULL, NULL, 15),
(150876, NULL, 'PTHR31238:SF182', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(150877, NULL, 'PTHR10367:SF17', NULL, NULL, NULL, NULL, 'MRNA-CAPPING ENZYME SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(150878, NULL, 'PTHR34806:SF10', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(150879, NULL, 'PTHR23105:SF150', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A-2', NULL, NULL, NULL, 15),
(150880, NULL, 'PTHR20990', NULL, NULL, NULL, NULL, 'PEROXISOMAL BIOGENESIS FACTOR 11', NULL, NULL, 24474, 15),
(150881, NULL, 'PTHR31213:SF149', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN STH-2', NULL, NULL, NULL, 15),
(150882, NULL, 'PTHR18953:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150883, NULL, 'PTHR22446', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 23349, 15),
(150884, NULL, 'PTHR43677:SF11', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT QUINONE REDUCTASE TDIC-RELATED', NULL, NULL, NULL, 15),
(150885, NULL, 'PTHR34718', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150886, NULL, 'PTHR31669:SF181', NULL, NULL, NULL, NULL, 'OS06G0166100 PROTEIN', NULL, NULL, NULL, 15),
(150887, NULL, 'PTHR20583:SF1', NULL, NULL, NULL, NULL, 'TRIPLE QXXK/R MOTIF-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(150888, NULL, 'PTHR30069:SF29', NULL, NULL, NULL, NULL, 'HEMOGLOBIN AND HEMOGLOBIN-HAPTOGLOBIN-BINDING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(150889, NULL, 'PTHR33799', NULL, NULL, NULL, NULL, 'PTS PERMEASE-RELATED-RELATED', NULL, NULL, NULL, 15),
(150890, NULL, 'PTHR34115:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150891, NULL, 'PTHR24023:SF1012', NULL, NULL, NULL, NULL, 'COLLAGEN WITH ENDOSTATIN DOMAIN', NULL, NULL, NULL, 15),
(150892, NULL, 'PTHR10168:SF83', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C15', NULL, NULL, NULL, 15),
(150893, NULL, 'PTHR23248:SF57', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', NULL, NULL, NULL, 15),
(150894, NULL, 'PTHR31301:SF147', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(150895, NULL, 'PTHR45723', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RIO1', NULL, NULL, NULL, 15),
(150896, NULL, 'PTHR46109:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LIN-28 HOMOLOG', NULL, NULL, NULL, 15),
(150897, NULL, 'PTHR18966:SF295', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR FAMILY (AMPA)', NULL, NULL, NULL, 15),
(150898, NULL, 'PTHR22950:SF514', NULL, NULL, NULL, NULL, 'OS02G0727100 PROTEIN', NULL, NULL, NULL, 15),
(150899, NULL, 'PTHR16223:SF201', NULL, NULL, NULL, NULL, 'OS10G0315400 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150900, NULL, 'PTHR32370:SF109', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY4', NULL, NULL, NULL, 15),
(150901, NULL, 'PTHR33148:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150902, NULL, 'PTHR36067:SF3', NULL, NULL, NULL, NULL, 'BNAA09G07110D PROTEIN', NULL, NULL, NULL, 15),
(150903, NULL, 'PTHR46641:SF4', NULL, NULL, NULL, NULL, 'PROCTOLIN RECEPTOR, ISOFORM A', NULL, NULL, NULL, 15),
(150904, NULL, 'PTHR11908:SF84', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE 2', NULL, NULL, NULL, 15),
(150905, NULL, 'PTHR31225:SF148', NULL, NULL, NULL, NULL, '(3S,6E)-NEROLIDOL SYNTHASE 2, CHLOROPLASTIC/MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(150906, NULL, 'PTHR13802:SF53', NULL, NULL, NULL, NULL, 'MUCIN-4', NULL, NULL, NULL, 15),
(150907, NULL, 'PTHR33285:SF36', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE PEPTIDE-RELATED', NULL, NULL, NULL, 15),
(150908, NULL, 'PTHR45763:SF49', NULL, NULL, NULL, NULL, 'OS01G0859200 PROTEIN', NULL, NULL, NULL, 15),
(150909, NULL, 'PTHR44170:SF7', NULL, NULL, NULL, NULL, 'PALLADIN, CYTOSKELETAL-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(150910, NULL, 'PTHR43413:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, ASNC FAMILY', NULL, NULL, NULL, 15),
(150911, NULL, 'PTHR33732:SF10', NULL, NULL, NULL, NULL, 'RUBBER ELONGATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(150912, NULL, 'PTHR47018:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150913, NULL, 'PTHR11206:SF300', NULL, NULL, NULL, NULL, 'OS10G0344000 PROTEIN', NULL, NULL, NULL, 15),
(150914, NULL, 'PTHR31003:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HHO2', NULL, NULL, NULL, 15),
(150915, NULL, 'PTHR27006:SF435', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(150916, NULL, 'PTHR12565:SF368', NULL, NULL, NULL, NULL, 'OS03G0231950 PROTEIN', NULL, NULL, NULL, 15),
(150917, NULL, 'PTHR24361:SF825', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE KINASE MKH1', NULL, NULL, NULL, 15),
(150918, NULL, 'PTHR30588:SF7', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID CARRIER PROTEIN SAOUHSC_01411-RELATED', NULL, NULL, NULL, 15),
(150919, NULL, 'PTHR46408:SF13', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(150920, NULL, 'PTHR45732:SF12', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8C', NULL, NULL, NULL, 15),
(150921, NULL, 'PTHR31311:SF28', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(150922, NULL, 'PTHR32487:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150923, NULL, 'PTHR22870:SF346', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HERC1-RELATED', NULL, NULL, NULL, 15),
(150924, NULL, 'PTHR28200:SF1', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT ASK1', NULL, NULL, NULL, 15),
(150925, NULL, 'PTHR45704:SF6', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN FAMILY MEMBER 11B', NULL, NULL, NULL, 15),
(150926, NULL, 'PTHR47782:SF10', NULL, NULL, NULL, NULL, 'PROTEIN SIP4', NULL, NULL, NULL, 15),
(150927, NULL, 'PTHR27005:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150928, NULL, 'PTHR15907:SF152', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 3', NULL, NULL, NULL, 15),
(150929, NULL, 'PTHR16675:SF145', NULL, NULL, NULL, NULL, 'HISTOCOMPATIBILITY 2, M REGION LOCUS 3', NULL, NULL, NULL, 15),
(150930, NULL, 'PTHR31734:SF6', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA13', NULL, NULL, NULL, 15),
(150931, NULL, 'PTHR34119:SF1', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN-LIKE', NULL, NULL, NULL, 15),
(150932, NULL, 'PTHR24027:SF422', NULL, NULL, NULL, NULL, 'NEURAL-CADHERIN 2-RELATED', NULL, NULL, NULL, 15),
(150933, NULL, 'PTHR14453:SF93', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP14', NULL, NULL, NULL, 15),
(150934, NULL, 'PTHR31769:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150935, NULL, 'PTHR33884:SF3', NULL, NULL, NULL, NULL, 'UPF0410 PROTEIN YMGE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150936, NULL, 'PTHR46599:SF5', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED 4-RELATED', NULL, NULL, NULL, 15),
(150937, NULL, 'PTHR46977:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150938, NULL, 'PTHR24373:SF261', NULL, NULL, NULL, NULL, 'VASORIN', NULL, NULL, NULL, 15),
(150939, NULL, 'PTHR47314:SF1', NULL, NULL, NULL, NULL, 'MALTOSE/MALTODEXTRIN TRANSPORT SYSTEM PERMEASE PROTEIN MALF', NULL, NULL, 26202, 15),
(150940, NULL, 'PTHR31190:SF256', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150941, NULL, 'PTHR11193:SF0', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', NULL, NULL, NULL, 15),
(150942, NULL, 'PTHR23238:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150943, NULL, 'PTHR14409', NULL, NULL, NULL, NULL, 'MANNOSIDASE, BETA A, LYSOSOMAL-LIKE, MANBAL PROTEIN', NULL, NULL, 1518, 15),
(150944, NULL, 'PTHR31707:SF240', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', NULL, NULL, NULL, 15),
(150945, NULL, 'PTHR12693:SF3', NULL, NULL, NULL, NULL, 'MENIN', NULL, NULL, NULL, 15),
(150946, NULL, 'PTHR36749:SF1', NULL, NULL, NULL, NULL, 'F7O18.3 PROTEIN', NULL, NULL, NULL, 15),
(150947, NULL, 'PTHR24096:SF267', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE FAMILY MEMBER 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(150948, NULL, 'PTHR11654:SF378', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(150949, NULL, 'PTHR46345:SF1', NULL, NULL, NULL, NULL, 'INVERTED FORMIN-2', NULL, NULL, NULL, 15),
(150950, NULL, 'PTHR11709:SF261', NULL, NULL, NULL, NULL, 'LACCASE-9-RELATED', NULL, NULL, NULL, 15),
(150951, NULL, 'PTHR15672:SF15', NULL, NULL, NULL, NULL, 'OS05G0411600 PROTEIN', NULL, NULL, NULL, 15),
(150952, NULL, 'PTHR11819:SF96', NULL, NULL, NULL, NULL, 'SODIUM/GLUCOSE COTRANSPORTER 4', NULL, NULL, NULL, 15),
(150953, NULL, 'PTHR30282', NULL, NULL, NULL, NULL, 'P-AMINOBENZOYL GLUTAMATE TRANSPORTER', NULL, NULL, 3728, 15),
(150954, NULL, 'PTHR47905', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 4B', NULL, NULL, 37194, 15),
(150955, NULL, 'PTHR11709:SF414', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150956, NULL, 'PTHR33085:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150957, NULL, 'PTHR34997:SF12', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(150958, NULL, 'PTHR11062:SF239', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS04G0398600-RELATED', NULL, NULL, NULL, 15),
(150959, NULL, 'PTHR26454:SF50', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(150960, NULL, 'PTHR31175:SF31', NULL, NULL, NULL, NULL, 'OS09G0547100 PROTEIN', NULL, NULL, NULL, 15),
(150961, NULL, 'PTHR27006:SF296', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RFK1-RELATED', NULL, NULL, NULL, 15),
(150962, NULL, 'PTHR10629:SF52', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(150963, NULL, 'PTHR46318:SF5', NULL, NULL, NULL, NULL, 'UPSTREAM-BINDING TRANSCRIPTION FACTOR,-LIKE', NULL, NULL, NULL, 15),
(150964, NULL, 'PTHR24103:SF337', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 105', NULL, NULL, NULL, 15),
(150965, NULL, 'PTHR46268:SF15', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN F', NULL, NULL, NULL, 15),
(150966, NULL, 'PTHR45699:SF16', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0-2-RELATED', NULL, NULL, NULL, 15),
(150967, NULL, 'PTHR11588:SF140', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-8 CHAIN', NULL, NULL, NULL, 15),
(150968, NULL, 'PTHR44218:SF6', NULL, NULL, NULL, NULL, 'PROTEIN SPA1-RELATED 2', NULL, NULL, NULL, 15),
(150969, NULL, 'PTHR32468:SF31', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 1', NULL, NULL, NULL, 15),
(150970, NULL, 'PTHR12899:SF16', NULL, NULL, NULL, NULL, 'OS02G0689700 PROTEIN', NULL, NULL, NULL, 15),
(150971, NULL, 'PTHR37217', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(150972, NULL, 'PTHR33052:SF84', NULL, NULL, NULL, NULL, 'OS05G0552800 PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(150973, NULL, 'PTHR21740:SF3', NULL, NULL, NULL, NULL, 'NCK-ASSOCIATED PROTEIN 5-LIKE', NULL, NULL, NULL, 15),
(150974, NULL, 'PTHR34954:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TRIGALACTOSYLDIACYLGLYCEROL 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(150975, NULL, 'PTHR46151:SF21', NULL, NULL, NULL, NULL, 'BNAC03G48010D PROTEIN', NULL, NULL, NULL, 15),
(150976, NULL, 'PTHR43813:SF6', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--[ACYL-CARRIER-PROTEIN] LIGASE AEE15, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(150977, NULL, 'PTHR37784:SF7', NULL, NULL, NULL, NULL, 'HIGH-OSMOLARITY-INDUCED TRANSCRIPTION PROTEIN 1', NULL, NULL, NULL, 15),
(150978, NULL, 'PTHR11037:SF16', NULL, NULL, NULL, NULL, 'GRAINYHEAD-LIKE PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(150979, NULL, 'PTHR10913:SF71', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 5-RELATED', NULL, NULL, NULL, 15),
(150980, NULL, 'PTHR47976:SF60', NULL, NULL, NULL, NULL, 'S-LOCUS RECEPTOR KINASE (SRK)', NULL, NULL, NULL, 15),
(150981, NULL, 'PTHR32227:SF120', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 1', NULL, NULL, NULL, 15),
(150982, NULL, 'PTHR22145', NULL, NULL, NULL, NULL, 'SI:CH211-266K22.6', NULL, NULL, 28908, 15),
(150983, NULL, 'PTHR33387', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL FOLD PROTEIN', NULL, NULL, 29764, 15),
(150984, NULL, 'PTHR10353:SF144', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(150985, NULL, 'PTHR10517:SF15', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR ALPHA', NULL, NULL, 26857, 15),
(150986, NULL, 'PTHR30118:SF6', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LEUO', NULL, NULL, NULL, 15),
(150987, NULL, 'PTHR13434', NULL, NULL, NULL, NULL, 'PROTEIN CASC3', NULL, NULL, 25858, 15),
(150988, NULL, 'PTHR20856:SF29', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(150989, NULL, 'PTHR23124:SF133', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(150990, NULL, 'PTHR27009:SF195', NULL, NULL, NULL, NULL, 'OS01G0137250 PROTEIN', NULL, NULL, NULL, 15),
(150991, NULL, 'PTHR24028:SF244', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 8', NULL, NULL, NULL, 15),
(150992, NULL, 'PTHR36790:SF1', NULL, NULL, NULL, NULL, 'MYELIN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(150993, NULL, 'PTHR24248:SF66', NULL, NULL, NULL, NULL, 'OCTOPAMINE RECEPTOR BETA-2R', NULL, NULL, NULL, 15),
(150994, NULL, 'PTHR30298:SF0', NULL, NULL, NULL, NULL, 'INACTIVE TRANSPOSASE YBFQ-RELATED', NULL, NULL, NULL, 15),
(150995, NULL, 'PTHR37844', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN PHOSPHATASE SUPERFAMILY (AFU_ORTHOLOGUE AFUA_1G14840)', NULL, NULL, NULL, 15),
(150996, NULL, 'PTHR31325:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(150997, NULL, 'PTHR31495:SF35', NULL, NULL, NULL, NULL, 'BNAA04G19410D PROTEIN', NULL, NULL, NULL, 15),
(150998, NULL, 'PTHR23067:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 385B', NULL, NULL, NULL, 15),
(150999, NULL, 'PTHR24271:SF57', NULL, NULL, NULL, NULL, 'KALLIKREIN-9', NULL, NULL, NULL, 15),
(151000, NULL, 'PTHR32015:SF3', NULL, NULL, NULL, NULL, 'LIPASE RELATED', NULL, NULL, NULL, 15),
(151001, NULL, 'PTHR16223:SF260', NULL, NULL, NULL, NULL, 'BNACNNG67160D PROTEIN', NULL, NULL, NULL, 15),
(151002, NULL, 'PTHR43773', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MGTE', NULL, NULL, 2173, 15),
(151003, NULL, 'PTHR28597:SF1', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL BETA SUBUNIT-ASSOCIATED REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(151004, NULL, 'PTHR46057', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 1-RELATED', NULL, NULL, 37270, 15),
(151005, NULL, 'PTHR21724:SF43', NULL, NULL, NULL, NULL, 'PROTEIN CBG10428', NULL, NULL, NULL, 15),
(151006, NULL, 'PTHR16134:SF67', NULL, NULL, NULL, NULL, 'S-PHASE KINASE-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(151007, NULL, 'PTHR22849:SF137', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(151008, NULL, 'PTHR14955:SF6', NULL, NULL, NULL, NULL, 'RETINOIC ACID-INDUCED PROTEIN 1', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151009, NULL, 'PTHR31477', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 44 KDA', NULL, NULL, 33690, 15),
(151010, NULL, 'PTHR24414:SF93', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING 22A', NULL, NULL, NULL, 15),
(151011, NULL, 'PTHR24298:SF491', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 93A2', NULL, NULL, NULL, 15),
(151012, NULL, 'PTHR43677:SF3', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN REDUCTASE 3', NULL, NULL, NULL, 15),
(151013, NULL, 'PTHR22849:SF11', NULL, NULL, NULL, NULL, 'OS11G0573500 PROTEIN', NULL, NULL, NULL, 15),
(151014, NULL, 'PTHR33669:SF11', NULL, NULL, NULL, NULL, 'PROTEIN NIM1-INTERACTING 1', NULL, NULL, 310, 15),
(151015, NULL, 'PTHR11636:SF46', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 2, TRANSCRIPTION FACTOR 2', NULL, NULL, NULL, 15),
(151016, NULL, 'PTHR14659:SF1', NULL, NULL, NULL, NULL, 'ALPHA- AND GAMMA-ADAPTIN-BINDING PROTEIN P34', NULL, NULL, NULL, 15),
(151017, NULL, 'PTHR33377:SF59', NULL, NULL, NULL, NULL, 'OSJNBB0004G23.8-LIKE PROTEIN', NULL, NULL, NULL, 15),
(151018, NULL, 'PTHR31579:SF37', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(151019, NULL, 'PTHR24404:SF36', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN IKAROS', NULL, NULL, NULL, 15),
(151020, NULL, 'PTHR11654:SF438', NULL, NULL, NULL, NULL, 'OS03G0235700 PROTEIN', NULL, NULL, NULL, 15),
(151021, NULL, 'PTHR44307:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOMETHYLETHANOLAMINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(151022, NULL, 'PTHR26450:SF389', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(151023, NULL, 'PTHR24298:SF495', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151024, NULL, 'PTHR47073:SF5', NULL, NULL, NULL, NULL, 'NUCLEIC ACID BINDING PROTEIN', NULL, NULL, NULL, 15),
(151025, NULL, 'PTHR12483:SF108', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 2-RELATED', NULL, NULL, NULL, 15),
(151026, NULL, 'PTHR11584:SF332', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 5', NULL, NULL, NULL, 15),
(151027, NULL, 'PTHR31147:SF25', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(151028, NULL, 'PTHR11010:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151029, NULL, 'PTHR24153:SF15', NULL, NULL, NULL, NULL, 'AGAP005649-PA', NULL, NULL, NULL, 15),
(151030, NULL, 'PTHR21551:SF23', NULL, NULL, NULL, NULL, 'BNAA01G24760D PROTEIN', NULL, NULL, NULL, 15),
(151031, NULL, 'PTHR31190:SF91', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 14', NULL, NULL, NULL, 15),
(151032, NULL, 'PTHR15672:SF12', NULL, NULL, NULL, NULL, 'R3H DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(151033, NULL, 'PTHR33306:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151034, NULL, 'PTHR11011:SF95', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(151035, NULL, 'PTHR11771:SF102', NULL, NULL, NULL, NULL, 'SEED LINOLEATE 13S-LIPOXYGENASE-1', NULL, NULL, NULL, 15),
(151036, NULL, 'PTHR38847:SF1', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151037, NULL, 'PTHR24347:SF187', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE DDB_G0275057-RELATED', NULL, NULL, NULL, 15),
(151038, NULL, 'PTHR10501:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151039, NULL, 'PTHR13512', NULL, NULL, NULL, NULL, 'MEDIATOR COMPLEX SUBUNIT 28', NULL, NULL, 19162, 15),
(151040, NULL, 'PTHR31375:SF248', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', NULL, NULL, NULL, 15),
(151041, NULL, 'PTHR27007:SF292', NULL, NULL, NULL, NULL, 'OS08G0124900 PROTEIN', NULL, NULL, NULL, 15),
(151042, NULL, 'PTHR33541:SF24', NULL, NULL, NULL, NULL, 'BNAC05G10000D PROTEIN', NULL, NULL, NULL, 15),
(151043, NULL, 'PTHR12277:SF81', NULL, NULL, NULL, NULL, 'PROTEIN ABHD13', NULL, NULL, NULL, 15),
(151044, NULL, 'PTHR32448:SF140', NULL, NULL, NULL, NULL, 'RETICULINE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(151045, NULL, 'PTHR12857:SF0', NULL, NULL, NULL, NULL, 'CXXC MOTIF CONTAINING ZINC BINDING PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151046, NULL, 'PTHR42693:SF9', NULL, NULL, NULL, NULL, 'STERYL-SULFATASE', NULL, NULL, NULL, 15),
(151047, NULL, 'PTHR13218:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 11B', NULL, NULL, NULL, 15),
(151048, NULL, 'PTHR39080', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L28', NULL, NULL, NULL, 15),
(151049, NULL, 'PTHR20383:SF11', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II SUBUNIT A C-TERMINAL DOMAIN PHOSPHATASE SSU72', NULL, NULL, NULL, 15),
(151050, NULL, 'PTHR12962:SF4', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN-CONTAINING PROTEIN C2', NULL, NULL, NULL, 15),
(151051, NULL, 'PTHR35716:SF1', NULL, NULL, NULL, NULL, 'OS05G0574700 PROTEIN', NULL, NULL, NULL, 15),
(151052, NULL, 'PTHR12396:SF45', NULL, NULL, NULL, NULL, 'OS06G0702100 PROTEIN', NULL, NULL, NULL, 15),
(151053, NULL, 'PTHR43071:SF1', NULL, NULL, NULL, NULL, '2-AMINO-4-HYDROXY-6-HYDROXYMETHYLDIHYDROPTERIDINE PYROPHOSPHOKINASE', NULL, NULL, NULL, 15),
(151054, NULL, 'PTHR30546:SF45', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1', NULL, NULL, NULL, 15),
(151055, NULL, 'PTHR47701:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MODIFIER OF SNC1 11', NULL, NULL, NULL, 15),
(151056, NULL, 'PTHR13677:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DENND6A', NULL, NULL, NULL, 15),
(151057, NULL, 'PTHR11607:SF18', NULL, NULL, NULL, NULL, 'ALPHA-MANNOSIDASE', NULL, NULL, NULL, 15),
(151058, NULL, 'PTHR24070:SF423', NULL, NULL, NULL, NULL, 'GTPASE HRAS', NULL, NULL, NULL, 15),
(151059, NULL, 'PTHR10114:SF11', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', NULL, NULL, NULL, 15),
(151060, NULL, 'PTHR31860', NULL, NULL, NULL, NULL, 'HEAT-INDUCIBLE TRANSCRIPTION REPRESSOR (DUF639)-RELATED', NULL, NULL, NULL, 15),
(151061, NULL, 'PTHR11926:SF1385', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(151062, NULL, 'PTHR43880', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(151063, NULL, 'PTHR12124:SF67', NULL, NULL, NULL, NULL, '3''-5'' EXONUCLEASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(151064, NULL, 'PTHR34375:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151065, NULL, 'PTHR11071:SF447', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP63', NULL, NULL, NULL, 15),
(151066, NULL, 'PTHR24253:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151067, NULL, 'PTHR31165:SF75', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 10-LIKE', NULL, NULL, NULL, 15),
(151068, NULL, 'PTHR13683:SF851', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(151069, NULL, 'PTHR47998:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB12-LIKE', NULL, NULL, NULL, 15),
(151070, NULL, 'PTHR23235:SF56', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 12', NULL, NULL, 24103, 15),
(151071, NULL, 'PTHR35610:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151072, NULL, 'PTHR31197:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151073, NULL, 'PTHR24300:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151074, NULL, 'PTHR13999:SF7', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(151075, NULL, 'PTHR32487:SF14', NULL, NULL, NULL, NULL, 'OS07G0601600 PROTEIN', NULL, NULL, NULL, 15),
(151076, NULL, 'PTHR45743:SF2', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT1', NULL, NULL, NULL, 15),
(151077, NULL, 'PTHR11199:SF10', NULL, NULL, NULL, NULL, 'STROMAL ANTIGEN 3', NULL, NULL, NULL, 15),
(151078, NULL, 'PTHR31310:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151079, NULL, 'PTHR34580:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PAFB', NULL, NULL, NULL, 15),
(151080, NULL, 'PTHR31221:SF164', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 51 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(151081, NULL, 'PTHR13024', NULL, NULL, NULL, NULL, 'MICROSOMAL TRIGLYCERIDE TRANSFER PROTEIN, LARGE SUBUNIT', NULL, NULL, 32503, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151082, NULL, 'PTHR33876:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151083, NULL, 'PTHR41773:SF1', NULL, NULL, NULL, NULL, 'GTP PYROPHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(151084, NULL, 'PTHR31375:SF223', NULL, NULL, NULL, NULL, 'BNAC03G75750D PROTEIN', NULL, NULL, NULL, 15),
(151085, NULL, 'PTHR24300:SF334', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 18A1', NULL, NULL, NULL, 15),
(151086, NULL, 'PTHR31657:SF51', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(151087, NULL, 'PTHR24284', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(151088, NULL, 'PTHR32285', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 9-RELATED', NULL, NULL, 26798, 15),
(151089, NULL, 'PTHR23113:SF174', NULL, NULL, NULL, NULL, 'RAS GUANYL-RELEASING PROTEIN 1', NULL, NULL, NULL, 15),
(151090, NULL, 'PTHR11711:SF227', NULL, NULL, NULL, NULL, 'FACTOR-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(151091, NULL, 'PTHR31666:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CXORF40A-RELATED', NULL, NULL, NULL, 15),
(151092, NULL, 'PTHR31614:SF37', NULL, NULL, NULL, NULL, 'ANTHER-SPECIFIC PROTEIN LAT52-LIKE', NULL, NULL, NULL, 15),
(151093, NULL, 'PTHR10519:SF46', NULL, NULL, NULL, NULL, 'METABOTROPIC GABA-B RECEPTOR SUBTYPE 3, ISOFORM A', NULL, NULL, NULL, 15),
(151094, NULL, 'PTHR23340:SF3', NULL, NULL, NULL, NULL, 'SURP AND G-PATCH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(151095, NULL, 'PTHR24106:SF250', NULL, NULL, NULL, NULL, 'RNI-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(151096, NULL, 'PTHR31325:SF94', NULL, NULL, NULL, NULL, 'OS09G0562750 PROTEIN', NULL, NULL, NULL, 15),
(151097, NULL, 'PTHR16469:SF46', NULL, NULL, NULL, NULL, 'BNAC04G55150D PROTEIN', NULL, NULL, NULL, 15),
(151098, NULL, 'PTHR11771:SF162', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(151099, NULL, 'PTHR20854:SF44', NULL, NULL, NULL, NULL, 'INOSITOL-1-MONOPHOSPHATASE', NULL, NULL, NULL, 15),
(151100, NULL, 'PTHR27002:SF854', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151101, NULL, 'PTHR31874:SF7', NULL, NULL, NULL, NULL, 'OS06G0699600 PROTEIN', NULL, NULL, NULL, 15),
(151102, NULL, 'PTHR43605:SF3', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE ACSM2B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(151103, NULL, 'PTHR11709:SF268', NULL, NULL, NULL, NULL, 'LACCASE-5', NULL, NULL, NULL, 15),
(151104, NULL, 'PTHR23115:SF228', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA 2', NULL, NULL, NULL, 15),
(151105, NULL, 'PTHR10334:SF403', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(151106, NULL, 'PTHR14593', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 11', NULL, NULL, 30133, 15),
(151107, NULL, 'PTHR10811:SF99', NULL, NULL, NULL, NULL, 'BNAC05G03320D PROTEIN', NULL, NULL, NULL, 15),
(151108, NULL, 'PTHR43822', NULL, NULL, NULL, NULL, 'HOMOACONITASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(151109, NULL, 'PTHR13585:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151110, NULL, 'PTHR11589', NULL, NULL, NULL, NULL, 'NERVE GROWTH FACTOR  NGF -RELATED', NULL, NULL, 19142, 15),
(151111, NULL, 'PTHR11941:SF149', NULL, NULL, NULL, NULL, 'BNAA09G02820D PROTEIN', NULL, NULL, NULL, 15),
(151112, NULL, 'PTHR15565', NULL, NULL, NULL, NULL, 'AATF PROTEIN  APOPTOSIS ANTAGONIZING TRANSCRIPTION FACTOR', NULL, NULL, 35913, 15),
(151113, NULL, 'PTHR38140:SF8', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 19-6', NULL, NULL, NULL, 15),
(151114, NULL, 'PTHR46215:SF18', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(151115, NULL, 'PTHR45658:SF4', NULL, NULL, NULL, NULL, 'OS04G0539500 PROTEIN', NULL, NULL, NULL, 15),
(151116, NULL, 'PTHR11232:SF47', NULL, NULL, NULL, NULL, 'PROTEIN DISABLED', NULL, NULL, 22227, 15),
(151117, NULL, 'PTHR22762:SF150', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE-LIKE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151118, NULL, 'PTHR33297:SF6', NULL, NULL, NULL, NULL, 'AMASTIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(151119, NULL, 'PTHR11566:SF21', NULL, NULL, NULL, NULL, 'DYNAMIN RELATED PROTEIN 1, ISOFORM A', NULL, NULL, NULL, 15),
(151120, NULL, 'PTHR14519:SF8', NULL, NULL, NULL, NULL, 'VITAMIN-K EPOXIDE REDUCTASE', NULL, NULL, NULL, 15),
(151121, NULL, 'PTHR35015:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG24198', NULL, NULL, NULL, 15),
(151122, NULL, 'PTHR24377:SF843', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 869', NULL, NULL, NULL, 15),
(151123, NULL, 'PTHR43874:SF65', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR30', NULL, NULL, NULL, 15),
(151124, NULL, 'PTHR33110:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151125, NULL, 'PTHR34454:SF2', NULL, NULL, NULL, NULL, 'TUNICAMYCIN INDUCED PROTEIN', NULL, NULL, NULL, 15),
(151126, NULL, 'PTHR11746:SF192', NULL, NULL, NULL, NULL, 'CAFFEIC ACID O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(151127, NULL, 'PTHR23124', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(151128, NULL, 'PTHR24213:SF0', NULL, NULL, NULL, NULL, 'ACTIN-BINDING LIM PROTEIN 3', NULL, NULL, 27319, 15),
(151129, NULL, 'PTHR23055:SF75', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(151130, NULL, 'PTHR10201:SF166', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-19', NULL, NULL, 24507, 15),
(151131, NULL, 'PTHR35476', NULL, NULL, NULL, NULL, 'MUCIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(151132, NULL, 'PTHR45755:SF3', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN C2', NULL, NULL, NULL, 15),
(151133, NULL, 'PTHR11679:SF79', NULL, NULL, NULL, NULL, 'SNARE-INTERACTING PROTEIN KEULE', NULL, NULL, NULL, 15),
(151134, NULL, 'PTHR19944:SF91', NULL, NULL, NULL, NULL, 'IG EPSILON CHAIN C REGION', NULL, NULL, NULL, 15),
(151135, NULL, 'PTHR10992:SF1046', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151136, NULL, 'PTHR10913:SF64', NULL, NULL, NULL, NULL, 'FOLLISTATIN, ISOFORM A', NULL, NULL, NULL, 15),
(151137, NULL, 'PTHR31719:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151138, NULL, 'PTHR26374:SF339', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT8-LIKE', NULL, NULL, NULL, 15),
(151139, NULL, 'PTHR33339:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151140, NULL, 'PTHR23502:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151141, NULL, 'PTHR12956', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE-RELATED', NULL, NULL, 4017, 15),
(151142, NULL, 'PTHR35099:SF4', NULL, NULL, NULL, NULL, 'BNAA02G19540D PROTEIN', NULL, NULL, NULL, 15),
(151143, NULL, 'PTHR47983:SF29', NULL, NULL, NULL, NULL, 'OS05G0135800 PROTEIN', NULL, NULL, NULL, 15),
(151144, NULL, 'PTHR34835:SF28', NULL, NULL, NULL, NULL, 'OS09G0105200 PROTEIN', NULL, NULL, NULL, 15),
(151145, NULL, 'PTHR45918', NULL, NULL, NULL, NULL, 'ALPHA-1,3/1,6-MANNOSYLTRANSFERASE ALG2', NULL, NULL, 26610, 15),
(151146, NULL, 'PTHR46219:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG27015', NULL, NULL, NULL, 15),
(151147, NULL, 'PTHR34804:SF2', NULL, NULL, NULL, NULL, 'OS01G0305200 PROTEIN', NULL, NULL, NULL, 15),
(151148, NULL, 'PTHR48015', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TAO', NULL, NULL, NULL, 15),
(151149, NULL, 'PTHR20889:SF19', NULL, NULL, NULL, NULL, 'THIAMINE PHOSPHATE PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(151150, NULL, 'PTHR24031:SF296', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 9', NULL, NULL, NULL, 15),
(151151, NULL, 'PTHR10288:SF93', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR 2 MRNA-BINDING PROTEIN 2', NULL, NULL, 29068, 15),
(151152, NULL, 'PTHR23012:SF176', NULL, NULL, NULL, NULL, 'OS01G0894600 PROTEIN', NULL, NULL, NULL, 15),
(151153, NULL, 'PTHR31265:SF7', NULL, NULL, NULL, NULL, 'OS04G0494800 PROTEIN', NULL, NULL, NULL, 15),
(151154, NULL, 'PTHR47989:SF42', NULL, NULL, NULL, NULL, 'BNAC08G19860D PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151155, NULL, 'PTHR43920:SF6', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 5', NULL, NULL, NULL, 15),
(151156, NULL, 'PTHR33704:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HEAT INTOLERANT 4-RELATED', NULL, NULL, NULL, 15),
(151157, NULL, 'PTHR22952:SF446', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(151158, NULL, 'PTHR12276:SF5', NULL, NULL, NULL, NULL, 'EPSIN-5', NULL, NULL, NULL, 15),
(151159, NULL, 'PTHR43900:SF81', NULL, NULL, NULL, NULL, 'BNAC08G45920D PROTEIN', NULL, NULL, NULL, 15),
(151160, NULL, 'PTHR46029:SF7', NULL, NULL, NULL, NULL, 'C-TERMINAL-BINDING PROTEIN', NULL, NULL, NULL, 15),
(151161, NULL, 'PTHR35565:SF3', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151162, NULL, 'PTHR13693:SF2', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(151163, NULL, 'PTHR43869', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE/PROLINE BETAINE TRANSPORT SYSTEM ATP-BINDING PROTEIN PROV', NULL, NULL, NULL, 15),
(151164, NULL, 'PTHR47362', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE THEM5', NULL, NULL, NULL, 15),
(151165, NULL, 'PTHR10336:SF31', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE DELTA-4', NULL, NULL, 28130, 15),
(151166, NULL, 'PTHR33098:SF36', NULL, NULL, NULL, NULL, 'OS01G0584100 PROTEIN', NULL, NULL, NULL, 15),
(151167, NULL, 'PTHR43798:SF22', NULL, NULL, NULL, NULL, 'CIS-3-ALKYL-4-ALKYLOXETAN-2-ONE DECARBOXYLASE', NULL, NULL, NULL, 15),
(151168, NULL, 'PTHR33237:SF39', NULL, NULL, NULL, NULL, 'F2P16.13 PROTEIN', NULL, NULL, NULL, 15),
(151169, NULL, 'PTHR31115:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151170, NULL, 'PTHR12080:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151171, NULL, 'PTHR45753:SF3', NULL, NULL, NULL, NULL, 'ORNITHINE CARBAMOYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(151172, NULL, 'PTHR48005:SF39', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 6', NULL, NULL, NULL, 15),
(151173, NULL, 'PTHR31148:SF3', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN C', NULL, NULL, NULL, 15),
(151174, NULL, 'PTHR24394:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(151175, NULL, 'PTHR27007:SF213', NULL, NULL, NULL, NULL, 'OS02G0640500 PROTEIN', NULL, NULL, NULL, 15),
(151176, NULL, 'PTHR46128:SF31', NULL, NULL, NULL, NULL, 'FERTILITY RESTORER', NULL, NULL, NULL, 15),
(151177, NULL, 'PTHR14983', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35620, 15),
(151178, NULL, 'PTHR11616:SF133', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(151179, NULL, 'PTHR46976:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ARABIDILLO 1', NULL, NULL, NULL, 15),
(151180, NULL, 'PTHR12281:SF31', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', NULL, NULL, NULL, 15),
(151181, NULL, 'PTHR11910:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT O, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(151182, NULL, 'PTHR43418:SF13', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE BETA SUBUNIT 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(151183, NULL, 'PTHR23410', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L5-RELATED', NULL, NULL, 675, 15),
(151184, NULL, 'PTHR46445:SF6', NULL, NULL, NULL, NULL, 'OS01G0663800 PROTEIN', NULL, NULL, NULL, 15),
(151185, NULL, 'PTHR13902:SF131', NULL, NULL, NULL, NULL, 'WNK KINASE', NULL, NULL, NULL, 15),
(151186, NULL, 'PTHR30330', NULL, NULL, NULL, NULL, 'AGSS FAMILY TRANSPORTER, SODIUM-ALANINE', NULL, NULL, 3210, 15),
(151187, NULL, 'PTHR34953:SF3', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE RELATED PROTEIN', NULL, NULL, NULL, 15),
(151188, NULL, 'PTHR13080:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151189, NULL, 'PTHR27008:SF429', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21-LIKE PROTEIN', NULL, NULL, NULL, 15),
(151190, NULL, 'PTHR24068:SF152', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 N', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151191, NULL, 'PTHR22935:SF94', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(151192, NULL, 'PTHR18934:SF119', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE A', NULL, NULL, NULL, 15),
(151193, NULL, 'PTHR47210:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26C-RELATED', NULL, NULL, NULL, 15),
(151194, NULL, 'PTHR24414:SF171', NULL, NULL, NULL, NULL, 'BNAANNG03980D PROTEIN', NULL, NULL, NULL, 15),
(151195, NULL, 'PTHR48217:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151196, NULL, 'PTHR31988:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151197, NULL, 'PTHR13902:SF147', NULL, NULL, NULL, NULL, 'BNAA02G08990D PROTEIN', NULL, NULL, NULL, 15),
(151198, NULL, 'PTHR31897:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG25260', NULL, NULL, NULL, 15),
(151199, NULL, 'PTHR12948', NULL, NULL, NULL, NULL, 'NEDD8 ULTIMATE BUSTER-1  BS4 PROTEIN', NULL, NULL, 33778, 15),
(151200, NULL, 'PTHR46322', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 10314, 15),
(151201, NULL, 'PTHR10742:SF376', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 4 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(151202, NULL, 'PTHR27008:SF458', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151203, NULL, 'PTHR11937:SF445', NULL, NULL, NULL, NULL, 'ACTIN, GAMMA-ENTERIC SMOOTH MUSCLE', NULL, NULL, NULL, 15),
(151204, NULL, 'PTHR10501:SF53', NULL, NULL, NULL, NULL, 'NUCLEAR SPECKLE RNA-BINDING PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(151205, NULL, 'PTHR31677:SF68', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR LEP', NULL, NULL, NULL, 15),
(151206, NULL, 'PTHR11685:SF237', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(151207, NULL, 'PTHR43747:SF4', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT TRYPTOPHAN HALOGENASE', NULL, NULL, NULL, 15),
(151208, NULL, 'PTHR11040:SF166', NULL, NULL, NULL, NULL, 'METAL TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(151209, NULL, 'PTHR27008:SF362', NULL, NULL, NULL, NULL, 'OS02G0211800 PROTEIN', NULL, NULL, NULL, 15),
(151210, NULL, 'PTHR43149', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE', NULL, NULL, 39262, 15),
(151211, NULL, 'PTHR24248:SF110', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 56A4-RELATED', NULL, NULL, NULL, 15),
(151212, NULL, 'PTHR11699:SF274', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(151213, NULL, 'PTHR23267:SF375', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-27', NULL, NULL, NULL, 15),
(151214, NULL, 'PTHR23024:SF487', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 18-RELATED', NULL, NULL, NULL, 15),
(151215, NULL, 'PTHR24103:SF655', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF PROTEIN 27', NULL, NULL, NULL, 15),
(151216, NULL, 'PTHR15531', NULL, NULL, NULL, NULL, 'PROSAAS', NULL, NULL, 11225, 15),
(151217, NULL, 'PTHR47309:SF1', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD5', NULL, NULL, NULL, 15),
(151218, NULL, 'PTHR35828:SF32', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(151219, NULL, 'PTHR47293:SF30', NULL, NULL, NULL, NULL, 'BNAA06G01980D PROTEIN', NULL, NULL, NULL, 15),
(151220, NULL, 'PTHR24271:SF10', NULL, NULL, NULL, NULL, 'AZUROCIDIN', NULL, NULL, NULL, 15),
(151221, NULL, 'PTHR33130:SF44', NULL, NULL, NULL, NULL, 'DUF1639 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(151222, NULL, 'PTHR14663:SF2', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE NSUN7-RELATED', NULL, NULL, NULL, 15),
(151223, NULL, 'PTHR35108:SF4', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 3-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(151224, NULL, 'PTHR11545:SF3', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13A-RELATED', NULL, NULL, 4922, 15),
(151225, NULL, 'PTHR10209:SF769', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP85', NULL, NULL, NULL, 15),
(151226, NULL, 'PTHR21377:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151227, NULL, 'PTHR13806:SF36', NULL, NULL, NULL, NULL, 'FLOTILLIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151228, NULL, 'PTHR12904:SF22', NULL, NULL, NULL, NULL, 'PROTEIN ZYG-11 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(151229, NULL, 'PTHR11471:SF29', NULL, NULL, NULL, NULL, 'LYMPHOTOXIN-BETA', NULL, NULL, 549, 15),
(151230, NULL, 'PTHR24418:SF237', NULL, NULL, NULL, NULL, 'PROTEIN ROLLER-3', NULL, NULL, NULL, 15),
(151231, NULL, 'PTHR22839:SF0', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(151232, NULL, 'PTHR48016:SF31', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 8', NULL, NULL, NULL, 15),
(151233, NULL, 'PTHR46662:SF19', NULL, NULL, NULL, NULL, 'OS06G0656632 PROTEIN', NULL, NULL, NULL, 15),
(151234, NULL, 'PTHR33098:SF1', NULL, NULL, NULL, NULL, 'COTTON FIBER (DUF761)', NULL, NULL, NULL, 15),
(151235, NULL, 'PTHR10709:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151236, NULL, 'PTHR22595:SF130', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(151237, NULL, 'PTHR31744:SF89', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 79', NULL, NULL, NULL, 15),
(151238, NULL, 'PTHR43877:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151239, NULL, 'PTHR43857:SF1', NULL, NULL, NULL, NULL, 'BLR7761 PROTEIN', NULL, NULL, NULL, 15),
(151240, NULL, 'PTHR43021:SF2', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER-RELATED', NULL, NULL, NULL, 15),
(151241, NULL, 'PTHR11680:SF28', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(151242, NULL, 'PTHR36807', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE', NULL, NULL, NULL, 15),
(151243, NULL, 'PTHR15949:SF3', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 264', NULL, NULL, NULL, 15),
(151244, NULL, 'PTHR37028:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151245, NULL, 'PTHR43795:SF63', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00630)-RELATED', NULL, NULL, NULL, 15),
(151246, NULL, 'PTHR46128:SF145', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(151247, NULL, 'PTHR31907:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151248, NULL, 'PTHR11011:SF81', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(151249, NULL, 'PTHR32370:SF124', NULL, NULL, NULL, NULL, 'NPH3 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151250, NULL, 'PTHR31533:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151251, NULL, 'PTHR11835:SF68', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(151252, NULL, 'PTHR31677:SF122', NULL, NULL, NULL, NULL, 'BNAA09G05710D PROTEIN', NULL, NULL, NULL, 15),
(151253, NULL, 'PTHR24393:SF37', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 888', NULL, NULL, NULL, 15),
(151254, NULL, 'PTHR45687:SF67', NULL, NULL, NULL, NULL, 'BNAA03G17030D PROTEIN', NULL, NULL, NULL, 15),
(151255, NULL, 'PTHR46765:SF1', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(151256, NULL, 'PTHR48009:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151257, NULL, 'PTHR15696:SF24', NULL, NULL, NULL, NULL, 'PROTEIN SMG7', NULL, NULL, NULL, 15),
(151258, NULL, 'PTHR47144', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 12', NULL, NULL, 37672, 15),
(151259, NULL, 'PTHR43447:SF5', NULL, NULL, NULL, NULL, 'PANCREATIC ALPHA-AMYLASE', NULL, NULL, NULL, 15),
(151260, NULL, 'PTHR33548:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(151261, NULL, 'PTHR23077:SF27', NULL, NULL, NULL, NULL, 'ATPASE FAMILY PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(151262, NULL, 'PTHR23086:SF54', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE TYPE-1 ALPHA', NULL, NULL, NULL, 15),
(151263, NULL, 'PTHR13848:SF71', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151264, NULL, 'PTHR48002:SF143', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(151265, NULL, 'PTHR11426:SF228', NULL, NULL, NULL, NULL, 'HISTONE H3.3-RELATED', NULL, NULL, NULL, 15),
(151266, NULL, 'PTHR26453:SF121', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13C5', NULL, NULL, NULL, 15),
(151267, NULL, 'PTHR33413:SF26', NULL, NULL, NULL, NULL, 'BNAC03G48670D PROTEIN', NULL, NULL, NULL, 15),
(151268, NULL, 'PTHR43718:SF8', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(151269, NULL, 'PTHR23235:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP8', NULL, NULL, NULL, 15),
(151270, NULL, 'PTHR31759:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 167', NULL, NULL, NULL, 15),
(151271, NULL, 'PTHR10106:SF49', NULL, NULL, NULL, NULL, 'B561, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(151272, NULL, 'PTHR10969:SF58', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8F', NULL, NULL, NULL, 15),
(151273, NULL, 'PTHR14787', NULL, NULL, NULL, NULL, 'C10ORF188 FAMILY MEMBER', NULL, NULL, 25055, 15),
(151274, NULL, 'PTHR45614:SF110', NULL, NULL, NULL, NULL, 'BNAANNG17310D PROTEIN', NULL, NULL, NULL, 15),
(151275, NULL, 'PTHR24067:SF241', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-34 KDA', NULL, NULL, NULL, 15),
(151276, NULL, 'PTHR21066:SF15', NULL, NULL, NULL, NULL, 'ODORANT-BINDING PROTEIN 46A-RELATED', NULL, NULL, NULL, 15),
(151277, NULL, 'PTHR22765:SF270', NULL, NULL, NULL, NULL, 'BNAC05G02800D PROTEIN', NULL, NULL, NULL, 15),
(151278, NULL, 'PTHR31656', NULL, NULL, NULL, NULL, 'ROOT CAP DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(151279, NULL, 'PTHR15140:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151280, NULL, 'PTHR11588:SF349', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(151281, NULL, 'PTHR31218:SF166', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(151282, NULL, 'PTHR33130:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(151283, NULL, 'PTHR23023:SF233', NULL, NULL, NULL, NULL, 'FLAVIN-BINDING MONOOXYGENASE-LIKE PROTEIN (AFU_ORTHOLOGUE AFUA_6G01900)', NULL, NULL, NULL, 15),
(151284, NULL, 'PTHR43070:SF6', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ASPARTOKINASE/HOMOSERINE DEHYDROGENASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(151285, NULL, 'PTHR31311:SF5', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(151286, NULL, 'PTHR11017:SF412', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(151287, NULL, 'PTHR12993:SF18', NULL, NULL, NULL, NULL, 'LMBE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(151288, NULL, 'PTHR15725:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 11A', NULL, NULL, NULL, 15),
(151289, NULL, 'PTHR42775', NULL, NULL, NULL, NULL, 'PERMEASE RV2963-RELATED', NULL, NULL, NULL, 15),
(151290, NULL, 'PTHR12300:SF36', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN 4', NULL, NULL, NULL, 15),
(151291, NULL, 'PTHR32246:SF76', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(151292, NULL, 'PTHR23065:SF51', NULL, NULL, NULL, NULL, 'PROLINE-SERINE-THREONINE PHOSPHATASE-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(151293, NULL, 'PTHR43205:SF23', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE P1, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(151294, NULL, 'PTHR13844:SF20', NULL, NULL, NULL, NULL, 'PROTEIN MDM4', NULL, NULL, 9159, 15),
(151295, NULL, 'PTHR10920:SF13', NULL, NULL, NULL, NULL, 'PRE-RRNA 2''-O-RIBOSE RNA METHYLTRANSFERASE FTSJ3', NULL, NULL, NULL, 15),
(151296, NULL, 'PTHR15907:SF157', NULL, NULL, NULL, NULL, 'PLAC8 MOTIF-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151297, NULL, 'PTHR47966:SF23', NULL, NULL, NULL, NULL, 'ASPARTIC ENDOPEPTIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15950)-RELATED', NULL, NULL, NULL, 15),
(151298, NULL, 'PTHR43341:SF36', NULL, NULL, NULL, NULL, 'PROLINE-SPECIFIC PERMEASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151299, NULL, 'PTHR30348', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YECE', NULL, NULL, 4428, 15),
(151300, NULL, 'PTHR45633:SF39', NULL, NULL, NULL, NULL, 'BNAA04G16190D PROTEIN', NULL, NULL, NULL, 15),
(151301, NULL, 'PTHR46275:SF1', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR-REGULATED TYROSINE KINASE SUBSTRATE', NULL, NULL, NULL, 15),
(151302, NULL, 'PTHR12411:SF708', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE 1', NULL, NULL, NULL, 15),
(151303, NULL, 'PTHR21646:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151304, NULL, 'PTHR10984:SF60', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM VESICLE TRANSPORTER PROTEIN', NULL, NULL, NULL, 15),
(151305, NULL, 'PTHR12210:SF162', NULL, NULL, NULL, NULL, 'FCP1-LIKE DOMAIN, HAD-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151306, NULL, 'PTHR45878:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER C2H2-TYPE/INTEGRASE DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151307, NULL, 'PTHR31589:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151308, NULL, 'PTHR19964:SF69', NULL, NULL, NULL, NULL, 'ARC, ISOFORM A', NULL, NULL, NULL, 15),
(151309, NULL, 'PTHR24229:SF90', NULL, NULL, NULL, NULL, 'MELANIN-CONCENTRATING HORMONE RECEPTOR 1B', NULL, NULL, NULL, 15),
(151310, NULL, 'PTHR34956:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151311, NULL, 'PTHR24203:SF53', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(151312, NULL, 'PTHR31048:SF158', NULL, NULL, NULL, NULL, 'BNAC05G14950D PROTEIN', NULL, NULL, NULL, 15),
(151313, NULL, 'PTHR24423:SF627', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR 1-LIKE', NULL, NULL, NULL, 15),
(151314, NULL, 'PTHR32444:SF144', NULL, NULL, NULL, NULL, 'BNACNNG40530D PROTEIN', NULL, NULL, NULL, 15),
(151315, NULL, 'PTHR45829:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN RIM2', NULL, NULL, NULL, 15),
(151316, NULL, 'PTHR11017:SF376', NULL, NULL, NULL, NULL, 'BNAC06G23930D PROTEIN', NULL, NULL, NULL, 15),
(151317, NULL, 'PTHR13589:SF4', NULL, NULL, NULL, NULL, 'CREB-REGULATED TRANSCRIPTION COACTIVATOR 3', NULL, NULL, NULL, 15),
(151318, NULL, 'PTHR22802:SF379', NULL, NULL, NULL, NULL, 'FI01427P-RELATED', NULL, NULL, NULL, 15),
(151319, NULL, 'PTHR15551:SF10', NULL, NULL, NULL, NULL, 'LIM AND CALPONIN HOMOLOGY DOMAINS 1A', NULL, NULL, NULL, 15),
(151320, NULL, 'PTHR45631:SF3', NULL, NULL, NULL, NULL, 'OS05G0393100 PROTEIN', NULL, NULL, NULL, 15),
(151321, NULL, 'PTHR34964:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(151322, NULL, 'PTHR34949', NULL, NULL, NULL, NULL, 'OS05G0443700 PROTEIN', NULL, NULL, NULL, 15),
(151323, NULL, 'PTHR47979:SF58', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(151324, NULL, 'PTHR11839:SF29', NULL, NULL, NULL, NULL, 'BNAC03G59140D PROTEIN', NULL, NULL, NULL, 15),
(151325, NULL, 'PTHR45967:SF13', NULL, NULL, NULL, NULL, 'G-BOX-BINDING FACTOR 2', NULL, NULL, NULL, 15),
(151326, NULL, 'PTHR10590:SF16', NULL, NULL, NULL, NULL, 'SODIUM/NUCLEOSIDE COTRANSPORTER 1', NULL, NULL, 24088, 15),
(151327, NULL, 'PTHR33165:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151328, NULL, 'PTHR11332:SF6', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 1D MEMBER 2', NULL, NULL, NULL, 15),
(151329, NULL, 'PTHR10127:SF829', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-6', NULL, NULL, NULL, 15),
(151330, NULL, 'PTHR11274:SF16', NULL, NULL, NULL, NULL, 'TFIIH BASAL TRANSCRIPTION FACTOR COMPLEX HELICASE XPB SUBUNIT', NULL, NULL, NULL, 15),
(151331, NULL, 'PTHR13273:SF14', NULL, NULL, NULL, NULL, 'ANAMORSIN', NULL, NULL, NULL, 15),
(151332, NULL, 'PTHR11909:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151333, NULL, 'PTHR11880:SF43', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15-4', NULL, NULL, NULL, 15),
(151334, NULL, 'PTHR10489:SF916', NULL, NULL, NULL, NULL, 'C-X-C CHEMOKINE RECEPTOR TYPE 1', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151335, NULL, 'PTHR46159:SF2', NULL, NULL, NULL, NULL, 'OS05G0509400 PROTEIN', NULL, NULL, NULL, 15),
(151336, NULL, 'PTHR11599:SF160', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(151337, NULL, 'PTHR15467:SF7', NULL, NULL, NULL, NULL, 'HOMEOBOX AND LEUCINE ZIPPER PROTEIN HOMEZ', NULL, NULL, NULL, 15),
(151338, NULL, 'PTHR24221:SF499', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING/PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(151339, NULL, 'PTHR15592:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151340, NULL, 'PTHR31985:SF182', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151341, NULL, 'PTHR46057:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151342, NULL, 'PTHR47864:SF7', NULL, NULL, NULL, NULL, 'BNAA01G14280D PROTEIN', NULL, NULL, NULL, 15),
(151343, NULL, 'PTHR10974:SF69', NULL, NULL, NULL, NULL, 'PROTEIN CBG09637', NULL, NULL, NULL, 15),
(151344, NULL, 'PTHR44376:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR LEUNIG_HOMOLOG-LIKE', NULL, NULL, NULL, 15),
(151345, NULL, 'PTHR43872:SF1', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02570)-RELATED', NULL, NULL, NULL, 15),
(151346, NULL, 'PTHR46334:SF1', NULL, NULL, NULL, NULL, 'COSTARS FAMILY PROTEIN ABRACL', NULL, NULL, NULL, 15),
(151347, NULL, 'PTHR20934:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(151348, NULL, 'PTHR32044:SF90', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 9-LIKE', NULL, NULL, NULL, 15),
(151349, NULL, 'PTHR43552:SF2', NULL, NULL, NULL, NULL, 'DIAMINOBUTYRATE--2-OXOGLUTARATE TRANSAMINASE', NULL, NULL, 10473, 15),
(151350, NULL, 'PTHR10961:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151351, NULL, 'PTHR24418:SF416', NULL, NULL, NULL, NULL, 'FER-RELATED KINASE 1', NULL, NULL, NULL, 15),
(151352, NULL, 'PTHR46667:SF1', NULL, NULL, NULL, NULL, 'OS09G0482740 PROTEIN', NULL, NULL, NULL, 15),
(151353, NULL, 'PTHR33227:SF6', NULL, NULL, NULL, NULL, 'PROTEIN GRIM REAPER', NULL, NULL, NULL, 15),
(151354, NULL, 'PTHR21516:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG05496', NULL, NULL, NULL, 15),
(151355, NULL, 'PTHR31080:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151356, NULL, 'PTHR11452:SF58', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(151357, NULL, 'PTHR15018', NULL, NULL, NULL, NULL, 'BCL-2-INTERACTING KILLER', NULL, NULL, 24168, 15),
(151358, NULL, 'PTHR12546:SF44', NULL, NULL, NULL, NULL, 'DYSFERLIN', NULL, NULL, 28588, 15),
(151359, NULL, 'PTHR10788:SF85', NULL, NULL, NULL, NULL, 'TREHALOSE-6-PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(151360, NULL, 'PTHR11132:SF361', NULL, NULL, NULL, NULL, 'OS05G0241200 PROTEIN', NULL, NULL, NULL, 15),
(151361, NULL, 'PTHR33766:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM181B', NULL, NULL, NULL, 15),
(151362, NULL, 'PTHR13058:SF22', NULL, NULL, NULL, NULL, 'SI:CH1073-296I8.2-RELATED', NULL, NULL, NULL, 15),
(151363, NULL, 'PTHR13415:SF2', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 12', NULL, NULL, NULL, 15),
(151364, NULL, 'PTHR11659', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA GLN  AMIDOTRANSFERASE SUBUNIT B  MITOCHONDRIAL AND PROKARYOTIC  PET112-RELATED', NULL, NULL, 7339, 15),
(151365, NULL, 'PTHR22669:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG13578', NULL, NULL, NULL, 15),
(151366, NULL, 'PTHR12358:SF26', NULL, NULL, NULL, NULL, 'CERAMIDE KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(151367, NULL, 'PTHR28552:SF1', NULL, NULL, NULL, NULL, 'SHADOW OF PRION PROTEIN', NULL, NULL, NULL, 15),
(151368, NULL, 'PTHR11467', NULL, NULL, NULL, NULL, 'HISTONE H1', NULL, NULL, NULL, 15),
(151369, NULL, 'PTHR43791:SF36', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', NULL, NULL, NULL, 15),
(151370, NULL, 'PTHR43952:SF26', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 3', NULL, NULL, NULL, 15),
(151371, NULL, 'PTHR33346', NULL, NULL, NULL, NULL, 'DEHYDRIN XERO 2-RELATED', NULL, NULL, 1586, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151372, NULL, 'PTHR46317:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE OF PHP SUPERFAMILY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(151373, NULL, 'PTHR14403:SF6', NULL, NULL, NULL, NULL, 'PRO-FMRFAMIDE-RELATED NEUROPEPTIDE VF', NULL, NULL, NULL, 15),
(151374, NULL, 'PTHR13612:SF0', NULL, NULL, NULL, NULL, 'ENHANCER OF MRNA-DECAPPING PROTEIN 3', NULL, NULL, NULL, 15),
(151375, NULL, 'PTHR48056:SF5', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(151376, NULL, 'PTHR47989:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151377, NULL, 'PTHR46184:SF2', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IXB', NULL, NULL, 29378, 15),
(151378, NULL, 'PTHR42977', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(151379, NULL, 'PTHR13634', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN BRIX', NULL, NULL, 21561, 15),
(151380, NULL, 'PTHR11876', NULL, NULL, NULL, NULL, 'ALPHA-DEFENSIN 1', NULL, NULL, 20763, 15),
(151381, NULL, 'PTHR11014:SF98', NULL, NULL, NULL, NULL, 'N-ACETYLDIAMINOPIMELATE DEACETYLASE', NULL, NULL, 18206, 15),
(151382, NULL, 'PTHR24115:SF922', NULL, NULL, NULL, NULL, 'KINESIN-RELATED', NULL, NULL, NULL, 15),
(151383, NULL, 'PTHR10029:SF3', NULL, NULL, NULL, NULL, 'ACYLPHOSPHATASE-1', NULL, NULL, NULL, 15),
(151384, NULL, 'PTHR20383:SF12', NULL, NULL, NULL, NULL, 'SSU72 PSEUDOGENE 8', NULL, NULL, NULL, 15),
(151385, NULL, 'PTHR13789:SF305', NULL, NULL, NULL, NULL, 'MONOOXYGENASE', NULL, NULL, NULL, 15),
(151386, NULL, 'PTHR33353:SF10', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03870)-RELATED', NULL, NULL, NULL, 15),
(151387, NULL, 'PTHR21621', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 MODIFICATION PROTEIN', NULL, NULL, NULL, 15),
(151388, NULL, 'PTHR23155:SF1122', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(151389, NULL, 'PTHR19290:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151390, NULL, 'PTHR19384:SF91', NULL, NULL, NULL, NULL, 'P450 REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(151391, NULL, 'PTHR45669:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151392, NULL, 'PTHR11706:SF79', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP3 PROTEIN', NULL, NULL, NULL, 15),
(151393, NULL, 'PTHR23268:SF42', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 10-2', NULL, NULL, NULL, 15),
(151394, NULL, 'PTHR10782:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER MIZ DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(151395, NULL, 'PTHR34052:SF2', NULL, NULL, NULL, NULL, 'PLASTOCYANIN-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(151396, NULL, 'PTHR16275:SF8', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 40', NULL, NULL, NULL, 15),
(151397, NULL, 'PTHR37919:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG05606', NULL, NULL, NULL, 15),
(151398, NULL, 'PTHR22951:SF61', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN AP180 SHORT FORM-LIKE', NULL, NULL, NULL, 15),
(151399, NULL, 'PTHR31238:SF139', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(151400, NULL, 'PTHR24256:SF508', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR', NULL, NULL, NULL, 15),
(151401, NULL, 'PTHR15832:SF2', NULL, NULL, NULL, NULL, 'SHC (SRC HOMOLOGY DOMAIN C-TERMINAL) ADAPTOR HOMOLOG', NULL, NULL, NULL, 15),
(151402, NULL, 'PTHR46213:SF4', NULL, NULL, NULL, NULL, 'OS02G0496500 PROTEIN', NULL, NULL, NULL, 15),
(151403, NULL, 'PTHR46098:SF1', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(38)-C(5))-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(151404, NULL, 'PTHR14154:SF56', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(151405, NULL, 'PTHR24343:SF450', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2A-RELATED', NULL, NULL, NULL, 15),
(151406, NULL, 'PTHR31033:SF18', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(151407, NULL, 'PTHR43066', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151408, NULL, 'PTHR33356:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151409, NULL, 'PTHR33917', NULL, NULL, NULL, NULL, 'PROTEIN EXECUTER 1, CHLOROPLASTIC', NULL, NULL, 36870, 15),
(151410, NULL, 'PTHR27003:SF135', NULL, NULL, NULL, NULL, 'OSJNBA0058K23.13 PROTEIN', NULL, NULL, NULL, 15),
(151411, NULL, 'PTHR31727:SF15', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', NULL, NULL, NULL, 15),
(151412, NULL, 'PTHR31087:SF119', NULL, NULL, NULL, NULL, 'TUBBY C-TERMINAL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151413, NULL, 'PTHR13935:SF63', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(151414, NULL, 'PTHR31421:SF10', NULL, NULL, NULL, NULL, 'BNAA06G37280D PROTEIN', NULL, NULL, NULL, 15),
(151415, NULL, 'PTHR33527:SF32', NULL, NULL, NULL, NULL, 'BNACNNG31160D PROTEIN', NULL, NULL, NULL, 15),
(151416, NULL, 'PTHR18884:SF47', NULL, NULL, NULL, NULL, 'SEPTIN-9', NULL, NULL, 24919, 15),
(151417, NULL, 'PTHR14083', NULL, NULL, NULL, NULL, 'YIP1 INTERACTING FACTOR HOMOLOG  YIF1 PROTEIN', NULL, NULL, 1648, 15),
(151418, NULL, 'PTHR13224', NULL, NULL, NULL, NULL, 'THYROID HORMONE RECEPTOR-ASSOCIATED PROTEIN-RELATED', NULL, NULL, 19496, 15),
(151419, NULL, 'PTHR23356:SF4', NULL, NULL, NULL, NULL, 'DPY30 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(151420, NULL, 'PTHR11003:SF257', NULL, NULL, NULL, NULL, 'AGAP003031-PA', NULL, NULL, NULL, 15),
(151421, NULL, 'PTHR47986:SF7', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE TMK3', NULL, NULL, NULL, 15),
(151422, NULL, 'PTHR42721:SF37', NULL, NULL, NULL, NULL, 'BNAC02G43200D PROTEIN', NULL, NULL, NULL, 15),
(151423, NULL, 'PTHR31314:SF88', NULL, NULL, NULL, NULL, 'OS11G0106100 PROTEIN', NULL, NULL, NULL, 15),
(151424, NULL, 'PTHR45725:SF8', NULL, NULL, NULL, NULL, 'FORMIN-B', NULL, NULL, NULL, 15),
(151425, NULL, 'PTHR10494:SF5', NULL, NULL, NULL, NULL, 'NOGGIN', NULL, NULL, NULL, 15),
(151426, NULL, 'PTHR26379:SF293', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(151427, NULL, 'PTHR33207:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151428, NULL, 'PTHR11999:SF160', NULL, NULL, NULL, NULL, 'BNAA07G00240D PROTEIN', NULL, NULL, NULL, 15),
(151429, NULL, 'PTHR47987:SF4', NULL, NULL, NULL, NULL, 'BNACNNG17590D PROTEIN', NULL, NULL, NULL, 15),
(151430, NULL, 'PTHR24253:SF47', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11G', NULL, NULL, NULL, 15),
(151431, NULL, 'PTHR11802:SF336', NULL, NULL, NULL, NULL, 'PEPTIDASE S10, SERINE CARBOXYPEPTIDASE, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151432, NULL, 'PTHR13620:SF58', NULL, NULL, NULL, NULL, 'PROTEIN CBG10060', NULL, NULL, NULL, 15),
(151433, NULL, 'PTHR13304', NULL, NULL, NULL, NULL, 'GLYCOSYLPHOSPHATIDYLINOSITOL ANCHOR ATTACHMENT 1 PROTEIN', NULL, NULL, 6647, 15),
(151434, NULL, 'PTHR16983:SF1', NULL, NULL, NULL, NULL, 'PROSTATE STEM CELL ANTIGEN', NULL, NULL, NULL, 15),
(151435, NULL, 'PTHR21668:SF17', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A, Y-CHROMOSOMAL', NULL, NULL, NULL, 15),
(151436, NULL, 'PTHR47976:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE, PLANT-TYPE PROTEIN', NULL, NULL, NULL, 15),
(151437, NULL, 'PTHR31321:SF97', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(151438, NULL, 'PTHR24366:SF39', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT, IG-LIKE AND TRANSMEMBRANE DOMAINS 2', NULL, NULL, NULL, 15),
(151439, NULL, 'PTHR31526:SF2', NULL, NULL, NULL, NULL, 'SOSS COMPLEX SUBUNIT C', NULL, NULL, NULL, 15),
(151440, NULL, 'PTHR46038:SF1', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(151441, NULL, 'PTHR11358:SF41', NULL, NULL, NULL, NULL, 'ARGINASE-RELATED', NULL, NULL, NULL, 15),
(151442, NULL, 'PTHR45621:SF136', NULL, NULL, NULL, NULL, 'OS03G0179400 PROTEIN', NULL, NULL, NULL, 15),
(151443, NULL, 'PTHR45764:SF35', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151444, NULL, 'PTHR43791:SF30', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN RHMT', NULL, NULL, NULL, 15),
(151445, NULL, 'PTHR46954:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151446, NULL, 'PTHR15377', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION REGULATOR 1', NULL, NULL, 38498, 15),
(151447, NULL, 'PTHR42973', NULL, NULL, NULL, NULL, 'BINDING OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17690)-RELATED', NULL, NULL, NULL, 15),
(151448, NULL, 'PTHR45630:SF11', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(151449, NULL, 'PTHR13018:SF128', NULL, NULL, NULL, NULL, 'CALCIUM PERMEABLE STRESS-GATED CATION CHANNEL 1', NULL, NULL, NULL, 15),
(151450, NULL, 'PTHR47925:SF15', NULL, NULL, NULL, NULL, 'BNAC07G31780D PROTEIN', NULL, NULL, NULL, 15),
(151451, NULL, 'PTHR48058:SF11', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', NULL, NULL, NULL, 15),
(151452, NULL, 'PTHR10963:SF42', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G02280)-RELATED', NULL, NULL, NULL, 15),
(151453, NULL, 'PTHR48186:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151454, NULL, 'PTHR12121:SF50', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(151455, NULL, 'PTHR33669:SF21', NULL, NULL, NULL, NULL, 'BNAA09G51300D PROTEIN', NULL, NULL, NULL, 15),
(151456, NULL, 'PTHR34946:SF12', NULL, NULL, NULL, NULL, 'BNAUNNG03910D PROTEIN', NULL, NULL, NULL, 15),
(151457, NULL, 'PTHR11994', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11-RELATED', NULL, NULL, 1146, 15),
(151458, NULL, 'PTHR28254', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 10', NULL, NULL, 18532, 15),
(151459, NULL, 'PTHR45781:SF2', NULL, NULL, NULL, NULL, 'TOX HIGH MOBILITY GROUP BOX FAMILY MEMBER 4', NULL, NULL, 29513, 15),
(151460, NULL, 'PTHR10872:SF2', NULL, NULL, NULL, NULL, 'LNK, ISOFORM D', NULL, NULL, NULL, 15),
(151461, NULL, 'PTHR44272:SF10', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151462, NULL, 'PTHR36147:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151463, NULL, 'PTHR34446:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151464, NULL, 'PTHR13388:SF7', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 132E', NULL, NULL, NULL, 15),
(151465, NULL, 'PTHR13878:SF99', NULL, NULL, NULL, NULL, 'FAD/FMN-CONTAINING ISOAMYL ALCOHOL OXIDASE MREA (AFU_ORTHOLOGUE AFUA_6G03620)-RELATED', NULL, NULL, NULL, 15),
(151466, NULL, 'PTHR11760:SF51', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S3, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(151467, NULL, 'PTHR37792:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE MRP PROTEIN SUBUNIT RMP1', NULL, NULL, NULL, 15),
(151468, NULL, 'PTHR33565:SF18', NULL, NULL, NULL, NULL, 'OS09G0437500 PROTEIN', NULL, NULL, NULL, 15),
(151469, NULL, 'PTHR11559:SF148', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(151470, NULL, 'PTHR24012:SF812', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 45', NULL, NULL, NULL, 15),
(151471, NULL, 'PTHR32133:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151472, NULL, 'PTHR13466:SF4', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED 2,-LIKE', NULL, NULL, NULL, 15),
(151473, NULL, 'PTHR43073:SF3', NULL, NULL, NULL, NULL, 'BNAA01G27800D PROTEIN', NULL, NULL, NULL, 15),
(151474, NULL, 'PTHR31631:SF6', NULL, NULL, NULL, NULL, 'KINASE-INTERACTING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(151475, NULL, 'PTHR33110:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151476, NULL, 'PTHR10072:SF60', NULL, NULL, NULL, NULL, 'IRON-SULFUR ASSEMBLY PROTEIN ISCA-LIKE 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(151477, NULL, 'PTHR19957:SF259', NULL, NULL, NULL, NULL, 'CLATHRIN-COAT ASSEMBLY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(151478, NULL, 'PTHR14974', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 1700025G04 GENE', NULL, NULL, 25465, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151479, NULL, 'PTHR12000:SF41', NULL, NULL, NULL, NULL, 'PEPTIDASE C13, LEGUMAIN-RELATED', NULL, NULL, NULL, 15),
(151480, NULL, 'PTHR31807:SF30', NULL, NULL, NULL, NULL, 'QWRF MOTIF-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(151481, NULL, 'PTHR23070:SF115', NULL, NULL, NULL, NULL, 'NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(151482, NULL, 'PTHR34648:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-132B12.7', NULL, NULL, NULL, 15),
(151483, NULL, 'PTHR24377:SF284', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 655', NULL, NULL, NULL, 15),
(151484, NULL, 'PTHR11559:SF43', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 5A', NULL, NULL, NULL, 15),
(151485, NULL, 'PTHR10336:SF189', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(151486, NULL, 'PTHR11157:SF127', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN DDB_G0272012-RELATED', NULL, NULL, NULL, 15),
(151487, NULL, 'PTHR33021:SF397', NULL, NULL, NULL, NULL, 'OS08G0137400 PROTEIN', NULL, NULL, NULL, 15),
(151488, NULL, 'PTHR16119:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG21054', NULL, NULL, NULL, 15),
(151489, NULL, 'PTHR24009:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151490, NULL, 'PTHR23155:SF962', NULL, NULL, NULL, NULL, 'OS08G0539900 PROTEIN', NULL, NULL, NULL, 15),
(151491, NULL, 'PTHR10334:SF417', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(151492, NULL, 'PTHR35283', NULL, NULL, NULL, NULL, 'T12C22.21 PROTEIN', NULL, NULL, NULL, 15),
(151493, NULL, 'PTHR11850:SF80', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN PKNOX1', NULL, NULL, NULL, 15),
(151494, NULL, 'PTHR21029:SF5', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 9-BINDING PROTEIN', NULL, NULL, 24063, 15),
(151495, NULL, 'PTHR46446:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILI3', NULL, NULL, NULL, 15),
(151496, NULL, 'PTHR33108:SF32', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN (DUF1677)', NULL, NULL, NULL, 15),
(151497, NULL, 'PTHR11851:SF201', NULL, NULL, NULL, NULL, 'HYPOTHETICAL ZINC PROTEASE', NULL, NULL, NULL, 15),
(151498, NULL, 'PTHR19848', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(151499, NULL, 'PTHR47983:SF10', NULL, NULL, NULL, NULL, 'BNACNNG44120D PROTEIN', NULL, NULL, NULL, 15),
(151500, NULL, 'PTHR12832:SF21', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 11 X-LINKED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(151501, NULL, 'PTHR13334', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S10', NULL, NULL, 33836, 15),
(151502, NULL, 'PTHR11945:SF600', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL104', NULL, NULL, NULL, 15),
(151503, NULL, 'PTHR11615:SF299', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(151504, NULL, 'PTHR47794', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 27', NULL, NULL, NULL, 15),
(151505, NULL, 'PTHR33128:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151506, NULL, 'PTHR10055:SF5', NULL, NULL, NULL, NULL, 'TRYPTOPHAN--TRNA LIGASE', NULL, NULL, NULL, 15),
(151507, NULL, 'PTHR24223:SF324', NULL, NULL, NULL, NULL, 'LD17001P', NULL, NULL, NULL, 15),
(151508, NULL, 'PTHR38761:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE', NULL, NULL, NULL, 15),
(151509, NULL, 'PTHR45662:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC8', NULL, NULL, NULL, 15),
(151510, NULL, 'PTHR31001', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(151511, NULL, 'PTHR33207:SF21', NULL, NULL, NULL, NULL, 'OS07G0517700 PROTEIN', NULL, NULL, NULL, 15),
(151512, NULL, 'PTHR15110', NULL, NULL, NULL, NULL, 'REGULATORY FACTOR X-ASSOCIATED PROTEIN', NULL, NULL, 25836, 15),
(151513, NULL, 'PTHR31232:SF121', NULL, NULL, NULL, NULL, 'BNACNNG36020D PROTEIN', NULL, NULL, NULL, 15),
(151514, NULL, 'PTHR46280:SF3', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY F MEMBER 2-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151515, NULL, 'PTHR47338:SF10', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(151516, NULL, 'PTHR31048:SF147', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(151517, NULL, 'PTHR10965:SF17', NULL, NULL, NULL, NULL, 'BNACNNG77070D PROTEIN', NULL, NULL, NULL, 15),
(151518, NULL, 'PTHR12522:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 503', NULL, NULL, NULL, 15),
(151519, NULL, 'PTHR46387:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151520, NULL, 'PTHR31190:SF315', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF115', NULL, NULL, NULL, 15),
(151521, NULL, 'PTHR11208:SF42', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING PROTEIN SPIN1', NULL, NULL, NULL, 15),
(151522, NULL, 'PTHR11521:SF5', NULL, NULL, NULL, NULL, 'TROPONIN T, CARDIAC MUSCLE', NULL, NULL, NULL, 15),
(151523, NULL, 'PTHR10362:SF36', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(151524, NULL, 'PTHR13291', NULL, NULL, NULL, NULL, 'JOSEPHIN 1, 2', NULL, NULL, 33839, 15),
(151525, NULL, 'PTHR48194:SF1', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(151526, NULL, 'PTHR15710:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF181', NULL, NULL, NULL, 15),
(151527, NULL, 'PTHR31662:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151528, NULL, 'PTHR22835:SF458', NULL, NULL, NULL, NULL, '2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(151529, NULL, 'PTHR33108:SF11', NULL, NULL, NULL, NULL, 'OS01G0199700 PROTEIN', NULL, NULL, NULL, 15),
(151530, NULL, 'PTHR47424:SF7', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(151531, NULL, 'PTHR17573', NULL, NULL, NULL, NULL, 'UROPLAKIN II', NULL, NULL, 8320, 15),
(151532, NULL, 'PTHR26450:SF44', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51M1', NULL, NULL, NULL, 15),
(151533, NULL, 'PTHR44068:SF2', NULL, NULL, NULL, NULL, 'OS11G0296900 PROTEIN', NULL, NULL, NULL, 15),
(151534, NULL, 'PTHR38645', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(151535, NULL, 'PTHR11827:SF9', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 3', NULL, NULL, 6957, 15),
(151536, NULL, 'PTHR31741:SF84', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151537, NULL, 'PTHR30625:SF11', NULL, NULL, NULL, NULL, 'TOLQ-TYPE TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151538, NULL, 'PTHR21137:SF36', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 1A-RELATED', NULL, NULL, NULL, 15),
(151539, NULL, 'PTHR33088:SF46', NULL, NULL, NULL, NULL, 'VEGETATIVE CELL WALL PROTEIN GP1-LIKE', NULL, NULL, NULL, 15),
(151540, NULL, 'PTHR13683:SF823', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(151541, NULL, 'PTHR43670:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151542, NULL, 'PTHR45888:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE 2C', NULL, NULL, 32934, 15),
(151543, NULL, 'PTHR23500:SF33', NULL, NULL, NULL, NULL, 'OSJNBA0027G07.5 PROTEIN', NULL, NULL, NULL, 15),
(151544, NULL, 'PTHR11668:SF236', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(151545, NULL, 'PTHR11592:SF102', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(151546, NULL, 'PTHR43093', NULL, NULL, NULL, NULL, '3-CARBOXY-CIS,CIS-MUCONATE CYCLOISOMERASE', NULL, NULL, NULL, 15),
(151547, NULL, 'PTHR24215:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE AND GLYCINE-RICH PROTEIN 2', NULL, NULL, NULL, 15),
(151548, NULL, 'PTHR14374:SF0', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 11', NULL, NULL, NULL, 15),
(151549, NULL, 'PTHR32227:SF373', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 17, X8', NULL, NULL, NULL, 15),
(151550, NULL, 'PTHR23428:SF263', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151551, NULL, 'PTHR46133:SF22', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151552, NULL, 'PTHR47322:SF20', NULL, NULL, NULL, NULL, 'TONB DEPENDENT OUTER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151553, NULL, 'PTHR42643:SF16', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 11A-RELATED', NULL, NULL, NULL, 15),
(151554, NULL, 'PTHR34046:SF17', NULL, NULL, NULL, NULL, 'BNAANNG27010D PROTEIN', NULL, NULL, NULL, 15),
(151555, NULL, 'PTHR27005:SF364', NULL, NULL, NULL, NULL, 'BNAC04G02300D PROTEIN', NULL, NULL, NULL, 15),
(151556, NULL, 'PTHR31865:SF42', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR-RELATED', NULL, NULL, NULL, 15),
(151557, NULL, 'PTHR38034', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YPJD', NULL, NULL, NULL, 15),
(151558, NULL, 'PTHR22870:SF24', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(151559, NULL, 'PTHR21727:SF0', NULL, NULL, NULL, NULL, 'MRNA (2''-O-METHYLADENOSINE-N(6)-)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(151560, NULL, 'PTHR33788:SF16', NULL, NULL, NULL, NULL, 'BNAA09G42210D PROTEIN', NULL, NULL, NULL, 15),
(151561, NULL, 'PTHR37534:SF23', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(151562, NULL, 'PTHR31066:SF72', NULL, NULL, NULL, NULL, 'BNAA01G29090D PROTEIN', NULL, NULL, NULL, 15),
(151563, NULL, 'PTHR47919:SF1', NULL, NULL, NULL, NULL, 'DOWNSTREAM OF DAF-16 (REGULATED BY DAF-16)', NULL, NULL, NULL, 15),
(151564, NULL, 'PTHR39466:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151565, NULL, 'PTHR45888:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151566, NULL, 'PTHR10500:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151567, NULL, 'PTHR45699:SF17', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', NULL, NULL, NULL, 15),
(151568, NULL, 'PTHR24026:SF102', NULL, NULL, NULL, NULL, 'CADHERIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(151569, NULL, 'PTHR33998:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151570, NULL, 'PTHR33413:SF4', NULL, NULL, NULL, NULL, 'D-RIBOSE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(151571, NULL, 'PTHR11502:SF21', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6-2', NULL, NULL, NULL, 15),
(151572, NULL, 'PTHR47992:SF108', NULL, NULL, NULL, NULL, 'OS07G0690400 PROTEIN', NULL, NULL, NULL, 15),
(151573, NULL, 'PTHR12514:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION AND MRNA EXPORT FACTOR ENY2', NULL, NULL, NULL, 15),
(151574, NULL, 'PTHR24220:SF611', NULL, NULL, NULL, NULL, 'ATP-BINDING COMPONENT OF ABC TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(151575, NULL, 'PTHR19282:SF422', NULL, NULL, NULL, NULL, 'TETRASPANIN-19-LIKE', NULL, NULL, NULL, 15),
(151576, NULL, 'PTHR14944:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151577, NULL, 'PTHR47288:SF2', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 12', NULL, NULL, NULL, 15),
(151578, NULL, 'PTHR43112:SF25', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(151579, NULL, 'PTHR24128:SF43', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 43 KDA PROTEIN, CHLOROPLASTIC', NULL, NULL, 27023, 15),
(151580, NULL, 'PTHR12774', NULL, NULL, NULL, NULL, 'PEROXISOMAL BIOGENESIS FACTOR 19', NULL, NULL, 2043, 15),
(151581, NULL, 'PTHR10380:SF208', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 73D, ISOFORM B', NULL, NULL, NULL, 15),
(151582, NULL, 'PTHR13318:SF80', NULL, NULL, NULL, NULL, 'RNI-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151583, NULL, 'PTHR14491:SF4', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN SOWAHC', NULL, NULL, NULL, 15),
(151584, NULL, 'PTHR24014:SF8', NULL, NULL, NULL, NULL, 'BNAA09G30240D PROTEIN', NULL, NULL, NULL, 15),
(151585, NULL, 'PTHR19375:SF210', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 1-LIKE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151586, NULL, 'PTHR14167:SF44', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SH3RF1', NULL, NULL, NULL, 15),
(151587, NULL, 'PTHR31717:SF46', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151588, NULL, 'PTHR13124:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151589, NULL, 'PTHR45617:SF107', NULL, NULL, NULL, NULL, 'PROTEIN ARTICHOKE', NULL, NULL, NULL, 15),
(151590, NULL, 'PTHR11315:SF16', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLHYDROLASE 3', NULL, NULL, NULL, 15),
(151591, NULL, 'PTHR24381:SF340', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 331', NULL, NULL, NULL, 15),
(151592, NULL, 'PTHR46133:SF6', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(151593, NULL, 'PTHR19872', NULL, NULL, NULL, NULL, 'UBIQUITIN LIGASE SPECIFICITY FACTOR/HREP PROTEIN', NULL, NULL, NULL, 15),
(151594, NULL, 'PTHR15907:SF163', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 2-LIKE', NULL, NULL, NULL, 15),
(151595, NULL, 'PTHR47945:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY MONOOXYGENASE', NULL, NULL, NULL, 15),
(151596, NULL, 'PTHR11699:SF25', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE-LIKE PROTEIN YHR039C-RELATED', NULL, NULL, NULL, 15),
(151597, NULL, 'PTHR21679', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(151598, NULL, 'PTHR16140:SF20', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', NULL, NULL, NULL, 15),
(151599, NULL, 'PTHR35336:SF5', NULL, NULL, NULL, NULL, 'ADENOSYLCOBINAMIDE AMIDOHYDROLASE', NULL, NULL, NULL, 15),
(151600, NULL, 'PTHR30465:SF95', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(151601, NULL, 'PTHR22950:SF222', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 4', NULL, NULL, NULL, 15),
(151602, NULL, 'PTHR24056:SF337', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(151603, NULL, 'PTHR24232:SF47', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 10-RELATED', NULL, NULL, 28208, 15),
(151604, NULL, 'PTHR23505:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151605, NULL, 'PTHR13301:SF178', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D3', NULL, NULL, NULL, 15),
(151606, NULL, 'PTHR42945:SF5', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYL-ATP PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(151607, NULL, 'PTHR24006:SF755', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', NULL, NULL, NULL, 15),
(151608, NULL, 'PTHR31673:SF45', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(151609, NULL, 'PTHR10938:SF0', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(151610, NULL, 'PTHR23255:SF61', NULL, NULL, NULL, NULL, 'TGF-BETA RECEPTOR TYPE-1', NULL, NULL, NULL, 15),
(151611, NULL, 'PTHR10796:SF185', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(151612, NULL, 'PTHR10527:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151613, NULL, 'PTHR22932:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151614, NULL, 'PTHR10336:SF149', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE CLASSES I AND II', NULL, NULL, NULL, 15),
(151615, NULL, 'PTHR35510', NULL, NULL, NULL, NULL, 'DBH-LIKE MONOOXYGENASE', NULL, NULL, NULL, 15),
(151616, NULL, 'PTHR18034:SF4', NULL, NULL, NULL, NULL, 'NUCLEOLAR MIF4G DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(151617, NULL, 'PTHR23133', NULL, NULL, NULL, NULL, 'IMIDAZOLEGLYCEROL-PHOSPHATE DEHYDRATASE HIS7', NULL, NULL, 5127, 15),
(151618, NULL, 'PTHR47200:SF2', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 15 KDA PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(151619, NULL, 'PTHR11731:SF197', NULL, NULL, NULL, NULL, 'PEPTIDASE S9 FAMILY', NULL, NULL, NULL, 15),
(151620, NULL, 'PTHR22807:SF63', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE B', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151621, NULL, 'PTHR42912:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151622, NULL, 'PTHR13347', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(151623, NULL, 'PTHR33233:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151624, NULL, 'PTHR10937:SF15', NULL, NULL, NULL, NULL, 'FRUCTOSELYSINE 6-PHOSPHATE DEGLYCASE', NULL, NULL, NULL, 15),
(151625, NULL, 'PTHR31948:SF112', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 11', NULL, NULL, NULL, 15),
(151626, NULL, 'PTHR27002:SF618', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151627, NULL, 'PTHR11210:SF45', NULL, NULL, NULL, NULL, 'OS01G0106800 PROTEIN', NULL, NULL, NULL, 15),
(151628, NULL, 'PTHR34011:SF3', NULL, NULL, NULL, NULL, 'ALLOPHYCOCYANIN BETA CHAIN', NULL, NULL, 3785, 15),
(151629, NULL, 'PTHR44420:SF3', NULL, NULL, NULL, NULL, 'DEHYDROASCORBATE REDUCTASE', NULL, NULL, NULL, 15),
(151630, NULL, 'PTHR11042:SF144', NULL, NULL, NULL, NULL, 'WEE1-LIKE PROTEIN KINASE', NULL, NULL, NULL, 15),
(151631, NULL, 'PTHR30304:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR OF PROTEASES PRTT', NULL, NULL, NULL, 15),
(151632, NULL, 'PTHR11807', NULL, NULL, NULL, NULL, 'ATPASES OF THE PP SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(151633, NULL, 'PTHR10210:SF101', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE A', NULL, NULL, NULL, 15),
(151634, NULL, 'PTHR12612:SF32', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2-LIKE', NULL, NULL, NULL, 15),
(151635, NULL, 'PTHR23226:SF59', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 22', NULL, NULL, NULL, 15),
(151636, NULL, 'PTHR27002:SF480', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(151637, NULL, 'PTHR43438', NULL, NULL, NULL, NULL, 'UPF0145 PROTEIN SCO3412', NULL, NULL, NULL, 15),
(151638, NULL, 'PTHR10869:SF159', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 13-RELATED', NULL, NULL, NULL, 15),
(151639, NULL, 'PTHR11579:SF2', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(151640, NULL, 'PTHR22409:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 19 OPEN READING FRAME 44', NULL, NULL, NULL, 15),
(151641, NULL, 'PTHR43201:SF8', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', NULL, NULL, NULL, 15),
(151642, NULL, 'PTHR45974:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151643, NULL, 'PTHR43200:SF20', NULL, NULL, NULL, NULL, 'PHOSPHATASE HAL2-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(151644, NULL, 'PTHR11096:SF2', NULL, NULL, NULL, NULL, 'BNAC08G04140D PROTEIN', NULL, NULL, NULL, 15),
(151645, NULL, 'PTHR22552:SF14', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED', NULL, NULL, NULL, 15),
(151646, NULL, 'PTHR12830:SF11', NULL, NULL, NULL, NULL, 'BNAC08G44850D PROTEIN', NULL, NULL, NULL, 15),
(151647, NULL, 'PTHR34587', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151648, NULL, 'PTHR23054:SF15', NULL, NULL, NULL, NULL, 'OS08G0515700 PROTEIN', NULL, NULL, NULL, 15),
(151649, NULL, 'PTHR12454', NULL, NULL, NULL, NULL, 'TRIMERIC INTRACELLULAR CATION CHANNEL', NULL, NULL, 3149, 15),
(151650, NULL, 'PTHR11136:SF10', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE', NULL, NULL, NULL, 15),
(151651, NULL, 'PTHR11709:SF399', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(151652, NULL, 'PTHR34264:SF8', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(151653, NULL, 'PTHR13817:SF121', NULL, NULL, NULL, NULL, 'PROTEIN SIDEKICK-LIKE PROTEIN', NULL, NULL, NULL, 15),
(151654, NULL, 'PTHR23208:SF32', NULL, NULL, NULL, NULL, 'GH FAMILY 25 LYSOZYME 5-RELATED', NULL, NULL, NULL, 15),
(151655, NULL, 'PTHR43132:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR NMTR', NULL, NULL, NULL, 15),
(151656, NULL, 'PTHR23155:SF941', NULL, NULL, NULL, NULL, 'OS06G0268500 PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151657, NULL, 'PTHR45973:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151658, NULL, 'PTHR31100:SF72', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 20-LIKE', NULL, NULL, NULL, 15),
(151659, NULL, 'PTHR36304:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151660, NULL, 'PTHR27003:SF301', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING PROTEIN OF THE ER PROTEIN', NULL, NULL, NULL, 15),
(151661, NULL, 'PTHR10686:SF32', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 19 MEMBER 3B', NULL, NULL, NULL, 15),
(151662, NULL, 'PTHR31734:SF131', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA12', NULL, NULL, NULL, 15),
(151663, NULL, 'PTHR23175:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151664, NULL, 'PTHR23021:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(151665, NULL, 'PTHR44542:SF5', NULL, NULL, NULL, NULL, 'OS12G0428000 PROTEIN', NULL, NULL, NULL, 15),
(151666, NULL, 'PTHR34397:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151667, NULL, 'PTHR32295:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151668, NULL, 'PTHR33120:SF45', NULL, NULL, NULL, NULL, 'OS05G0571400 PROTEIN', NULL, NULL, NULL, 15),
(151669, NULL, 'PTHR24282:SF223', NULL, NULL, NULL, NULL, 'BNACNNG69060D PROTEIN', NULL, NULL, NULL, 15),
(151670, NULL, 'PTHR45798:SF35', NULL, NULL, NULL, NULL, 'OS11G0149500 PROTEIN', NULL, NULL, NULL, 15),
(151671, NULL, 'PTHR22572:SF154', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151672, NULL, 'PTHR47302:SF1', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(151673, NULL, 'PTHR21646:SF40', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 22', NULL, NULL, NULL, 15),
(151674, NULL, 'PTHR42647:SF48', NULL, NULL, NULL, NULL, 'BNAANNG11660D PROTEIN', NULL, NULL, NULL, 15),
(151675, NULL, 'PTHR24298:SF844', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 76 SUBFAMILY C POLYPEPTIDE 7', NULL, NULL, NULL, 15),
(151676, NULL, 'PTHR46128:SF27', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151677, NULL, 'PTHR31867:SF132', NULL, NULL, NULL, NULL, 'EXPANSIN-A21-RELATED', NULL, NULL, NULL, 15),
(151678, NULL, 'PTHR13484:SF0', NULL, NULL, NULL, NULL, 'PRE-MRNA 3''-END-PROCESSING FACTOR FIP1', NULL, NULL, NULL, 15),
(151679, NULL, 'PTHR47991:SF40', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(151680, NULL, 'PTHR46128:SF249', NULL, NULL, NULL, NULL, 'BNAA08G27150D PROTEIN', NULL, NULL, NULL, 15),
(151681, NULL, 'PTHR26374:SF383', NULL, NULL, NULL, NULL, 'BNAC03G71210D PROTEIN', NULL, NULL, NULL, 15),
(151682, NULL, 'PTHR27003:SF351', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151683, NULL, 'PTHR10003:SF78', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SUPEROXIDE DISMUTASE [CU-ZN]', NULL, NULL, NULL, 15),
(151684, NULL, 'PTHR47993:SF71', NULL, NULL, NULL, NULL, 'OS04G0384500 PROTEIN', NULL, NULL, NULL, 15),
(151685, NULL, 'PTHR45967:SF20', NULL, NULL, NULL, NULL, 'G-BOX-BINDING FACTOR 1', NULL, NULL, NULL, 15),
(151686, NULL, 'PTHR45642:SF87', NULL, NULL, NULL, NULL, 'BNAANNG30030D PROTEIN', NULL, NULL, NULL, 15),
(151687, NULL, 'PTHR32343:SF57', NULL, NULL, NULL, NULL, 'BNAC09G41010D PROTEIN', NULL, NULL, NULL, 15),
(151688, NULL, 'PTHR23163:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BRE1B', NULL, NULL, NULL, 15),
(151689, NULL, 'PTHR45778:SF17', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(151690, NULL, 'PTHR33443:SF10', NULL, NULL, NULL, NULL, 'INTERACTING PROTEIN 13, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(151691, NULL, 'PTHR11685:SF327', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(151692, NULL, 'PTHR10902:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151693, NULL, 'PTHR21649:SF83', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN CP29.3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(151694, NULL, 'PTHR47925:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151695, NULL, 'PTHR34809:SF4', NULL, NULL, NULL, NULL, 'MALTOSE EXCESS PROTEIN 1-LIKE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(151696, NULL, 'PTHR12103:SF17', NULL, NULL, NULL, NULL, 'CYTOSOLIC PURINE 5''-NUCLEOTIDASE', NULL, NULL, NULL, 15),
(151697, NULL, 'PTHR15428', NULL, NULL, NULL, NULL, 'ENDOTHELIAL CELL-SPECIFIC MOLECULE 1  ESM-1', NULL, NULL, 35762, 15),
(151698, NULL, 'PTHR48018:SF146', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(151699, NULL, 'PTHR11537:SF61', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY S MEMBER 1', NULL, NULL, NULL, 15),
(151700, NULL, 'PTHR31170:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151701, NULL, 'PTHR13902:SF68', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK5-RELATED', NULL, NULL, NULL, 15),
(151702, NULL, 'PTHR24031:SF726', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 9, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(151703, NULL, 'PTHR45614:SF92', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN B', NULL, NULL, NULL, 15),
(151704, NULL, 'PTHR11119:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151705, NULL, 'PTHR13361:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151706, NULL, 'PTHR20938:SF0', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(151707, NULL, 'PTHR45665:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151708, NULL, 'PTHR33491:SF18', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 22', NULL, NULL, NULL, 15),
(151709, NULL, 'PTHR11690:SF157', NULL, NULL, NULL, NULL, 'PICKPOCKET 15', NULL, NULL, NULL, 15),
(151710, NULL, 'PTHR28524:SF3', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE ASSEMBLY FACTOR 4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(151711, NULL, 'PTHR34557', NULL, NULL, NULL, NULL, 'PHYTOCHROMOBILIN:FERREDOXIN OXIDOREDUCTASE, CHLOROPLASTIC', NULL, NULL, 13722, 15),
(151712, NULL, 'PTHR12298', NULL, NULL, NULL, NULL, 'PCDC2  PROGRAMMED CELL DEATH PROTEIN 2 -RELATED', NULL, NULL, NULL, 15),
(151713, NULL, 'PTHR13044:SF14', NULL, NULL, NULL, NULL, 'CRYPTOCEPHAL, ISOFORM A', NULL, NULL, NULL, 15),
(151714, NULL, 'PTHR34630:SF29', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RGA3-RELATED', NULL, NULL, NULL, 15),
(151715, NULL, 'PTHR11802:SF51', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE YBR139W-RELATED', NULL, NULL, NULL, 15),
(151716, NULL, 'PTHR19282:SF462', NULL, NULL, NULL, NULL, 'TETRASPANIN-12', NULL, NULL, NULL, 15),
(151717, NULL, 'PTHR13366', NULL, NULL, NULL, NULL, 'MALARIA ANTIGEN-RELATED', NULL, NULL, NULL, 15),
(151718, NULL, 'PTHR11822:SF30', NULL, NULL, NULL, NULL, 'PEROXISOMAL ISOCITRATE DEHYDROGENASE [NADP]', NULL, NULL, NULL, 15),
(151719, NULL, 'PTHR35738:SF3', NULL, NULL, NULL, NULL, 'OS05G0577800 PROTEIN', NULL, NULL, NULL, 15),
(151720, NULL, 'PTHR24115:SF600', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF23', NULL, NULL, NULL, 15),
(151721, NULL, 'PTHR42904:SF7', NULL, NULL, NULL, NULL, 'NADH PYROPHOSPHATASE-LIKE, NUDIX HYDROLASE DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151722, NULL, 'PTHR12308:SF81', NULL, NULL, NULL, NULL, 'BNAC06G23840D PROTEIN', NULL, NULL, NULL, 15),
(151723, NULL, 'PTHR43570:SF30', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(151724, NULL, 'PTHR46821:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-KINASE PLANT', NULL, NULL, NULL, 15),
(151725, NULL, 'PTHR43731:SF9', NULL, NULL, NULL, NULL, 'SLR1461 PROTEIN', NULL, NULL, NULL, 15),
(151726, NULL, 'PTHR45895', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151727, NULL, 'PTHR20863:SF63', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(151728, NULL, 'PTHR22891:SF23', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151729, NULL, 'PTHR33355:SF3', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE GALACTURONAN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(151730, NULL, 'PTHR12812:SF3', NULL, NULL, NULL, NULL, 'HEPARAN-SULFATE 6-O-SULFOTRANSFERASE 3', NULL, NULL, NULL, 15),
(151731, NULL, 'PTHR22748:SF6', NULL, NULL, NULL, NULL, 'DNA-(APURINIC OR APYRIMIDINIC SITE) LYASE', NULL, NULL, NULL, 15),
(151732, NULL, 'PTHR22883:SF98', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(151733, NULL, 'PTHR43066:SF14', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED PROTEIN 4', NULL, NULL, NULL, 15),
(151734, NULL, 'PTHR35282', NULL, NULL, NULL, NULL, 'F5D14.24 PROTEIN', NULL, NULL, NULL, 15),
(151735, NULL, 'PTHR10628:SF21', NULL, NULL, NULL, NULL, 'SIALIDASE-1', NULL, NULL, NULL, 15),
(151736, NULL, 'PTHR33108:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(151737, NULL, 'PTHR31384:SF142', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(151738, NULL, 'PTHR34659:SF6', NULL, NULL, NULL, NULL, 'MUCIN-RELATED', NULL, NULL, NULL, 15),
(151739, NULL, 'PTHR23402:SF23', NULL, NULL, NULL, NULL, 'BNAA09G31040D PROTEIN', NULL, NULL, NULL, 15),
(151740, NULL, 'PTHR21581', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(151741, NULL, 'PTHR11183:SF103', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(151742, NULL, 'PTHR11260:SF518', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTU6', NULL, NULL, NULL, 15),
(151743, NULL, 'PTHR43096:SF38', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ A6, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(151744, NULL, 'PTHR46554:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 26B-RELATED', NULL, NULL, NULL, 15),
(151745, NULL, 'PTHR11802:SF365', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 45', NULL, NULL, NULL, 15),
(151746, NULL, 'PTHR47518', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-13-RELATED', NULL, NULL, NULL, 15),
(151747, NULL, 'PTHR31375:SF188', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 28, PECTIN LYASE FOLD/VIRULENCE FACTOR-RELATED', NULL, NULL, NULL, 15),
(151748, NULL, 'PTHR31080:SF93', NULL, NULL, NULL, NULL, 'RIPENING PROTEIN', NULL, NULL, NULL, 15),
(151749, NULL, 'PTHR24031:SF96', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX56-RELATED', NULL, NULL, NULL, 15),
(151750, NULL, 'PTHR24100:SF110', NULL, NULL, NULL, NULL, 'BUTYROPHILIN SUBFAMILY 2 MEMBER A3-RELATED', NULL, NULL, NULL, 15),
(151751, NULL, 'PTHR33191:SF56', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 7-RELATED', NULL, NULL, NULL, 15),
(151752, NULL, 'PTHR34049:SF8', NULL, NULL, NULL, NULL, 'BNAC09G22320D PROTEIN', NULL, NULL, NULL, 15),
(151753, NULL, 'PTHR45863:SF31', NULL, NULL, NULL, NULL, 'BR-SIGNALING KINASE 3-RELATED', NULL, NULL, NULL, 15),
(151754, NULL, 'PTHR48019:SF29', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL9 HOMOLOG', NULL, NULL, NULL, 15),
(151755, NULL, 'PTHR24062:SF165', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(151756, NULL, 'PTHR24351:SF98', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE ALPHA-6', NULL, NULL, NULL, 15),
(151757, NULL, 'PTHR10177:SF453', NULL, NULL, NULL, NULL, 'CYCLIN-D3-1-RELATED', NULL, NULL, NULL, 15),
(151758, NULL, 'PTHR47992:SF12', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-LIKE PROTEIN', NULL, NULL, NULL, 15),
(151759, NULL, 'PTHR45862:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SGT1 HOMOLOG B', NULL, NULL, NULL, 15),
(151760, NULL, 'PTHR23003:SF35', NULL, NULL, NULL, NULL, 'OS08G0483200 PROTEIN', NULL, NULL, NULL, 15),
(151761, NULL, 'PTHR12768:SF4', NULL, NULL, NULL, NULL, 'BECLIN-1', NULL, NULL, NULL, 15),
(151762, NULL, 'PTHR12713:SF11', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G', NULL, NULL, NULL, 15),
(151763, NULL, 'PTHR42854:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 3', NULL, NULL, NULL, 15),
(151764, NULL, 'PTHR36703', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE-LIKE PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151765, NULL, 'PTHR11706:SF26', NULL, NULL, NULL, NULL, 'NRAMP-LIKE TRANSPORTER SMF-2', NULL, NULL, NULL, 15),
(151766, NULL, 'PTHR21490:SF2', NULL, NULL, NULL, NULL, 'ENKURIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 22397, 15),
(151767, NULL, 'PTHR47972:SF37', NULL, NULL, NULL, NULL, 'BNAA09G11080D PROTEIN', NULL, NULL, NULL, 15),
(151768, NULL, 'PTHR10314:SF173', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL L-3-CYANOALANINE SYNTHASE/CYSTEINE SYNTHASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(151769, NULL, 'PTHR34680', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(151770, NULL, 'PTHR45778:SF26', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(151771, NULL, 'PTHR30509:SF34', NULL, NULL, NULL, NULL, 'F3L24.34 PROTEIN', NULL, NULL, NULL, 15),
(151772, NULL, 'PTHR31928:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(151773, NULL, 'PTHR43675:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151774, NULL, 'PTHR30035', NULL, NULL, NULL, NULL, 'LIPOPROTEIN VACJ-RELATED', NULL, NULL, 3576, 15),
(151775, NULL, 'PTHR35547:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151776, NULL, 'PTHR42647:SF36', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(151777, NULL, 'PTHR11224:SF48', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MAKORIN-1', NULL, NULL, NULL, 15),
(151778, NULL, 'PTHR10263:SF56', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 21 KDA PROTEOLIPID SUBUNIT', NULL, NULL, NULL, 15),
(151779, NULL, 'PTHR47932:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151780, NULL, 'PTHR45616', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151781, NULL, 'PTHR11566:SF176', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE GTPASE MGM1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(151782, NULL, 'PTHR14516', NULL, NULL, NULL, NULL, '1-PYRROLINE-5-CARBOXYLATE DEHYDROGENASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(151783, NULL, 'PTHR14221:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(151784, NULL, 'PTHR46050:SF7', NULL, NULL, NULL, NULL, 'OS01G0616333 PROTEIN', NULL, NULL, NULL, 15),
(151785, NULL, 'PTHR45800:SF26', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-/4-KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151786, NULL, 'PTHR15031:SF3', NULL, NULL, NULL, NULL, 'CARTILAGE INTERMEDIATE LAYER PROTEIN 1', NULL, NULL, NULL, 15),
(151787, NULL, 'PTHR45648:SF19', NULL, NULL, NULL, NULL, 'OS02G0617400 PROTEIN', NULL, NULL, NULL, 15),
(151788, NULL, 'PTHR10177:SF270', NULL, NULL, NULL, NULL, 'CYCLIN-A3-1-RELATED', NULL, NULL, NULL, 15),
(151789, NULL, 'PTHR10516:SF432', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP62', NULL, NULL, NULL, 15),
(151790, NULL, 'PTHR31719:SF123', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 48-LIKE', NULL, NULL, NULL, 15),
(151791, NULL, 'PTHR11260:SF478', NULL, NULL, NULL, NULL, 'OS10G0527601 PROTEIN', NULL, NULL, NULL, 15),
(151792, NULL, 'PTHR32254', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(151793, NULL, 'PTHR46869:SF6', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(151794, NULL, 'PTHR43701:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN MJ0441-RELATED', NULL, NULL, NULL, 15),
(151795, NULL, 'PTHR33527:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151796, NULL, 'PTHR11767', NULL, NULL, NULL, NULL, 'INWARD RECTIFIER POTASSIUM CHANNEL', NULL, NULL, 15782, 15),
(151797, NULL, 'PTHR31086:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151798, NULL, 'PTHR37859', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 3', NULL, NULL, 34488, 15),
(151799, NULL, 'PTHR45763:SF36', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD HYDROLASE', NULL, NULL, NULL, 15),
(151800, NULL, 'PTHR48001:SF104', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(151801, NULL, 'PTHR24020:SF36', NULL, NULL, NULL, NULL, 'COCHLIN', NULL, NULL, 21716, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151802, NULL, 'PTHR31140:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151803, NULL, 'PTHR31718:SF46', NULL, NULL, NULL, NULL, 'EMBRYO-SPECIFIC PROTEIN ATS3A', NULL, NULL, NULL, 15),
(151804, NULL, 'PTHR22947:SF37', NULL, NULL, NULL, NULL, 'SPERM SPECIFIC FAMILY, CLASS P-RELATED', NULL, NULL, NULL, 15),
(151805, NULL, 'PTHR43053:SF6', NULL, NULL, NULL, NULL, 'SI:CH211-236L14.4', NULL, NULL, NULL, 15),
(151806, NULL, 'PTHR15549:SF1', NULL, NULL, NULL, NULL, 'PAIRED IMMUNOGLOBULIN-LIKE TYPE 2 RECEPTOR ALPHA', NULL, NULL, NULL, 15),
(151807, NULL, 'PTHR33191:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151808, NULL, 'PTHR34372:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C-4-RELATED', NULL, NULL, NULL, 15),
(151809, NULL, 'PTHR22814:SF168', NULL, NULL, NULL, NULL, 'OSJNBA0091C12.3 PROTEIN', NULL, NULL, NULL, 15),
(151810, NULL, 'PTHR12591:SF2', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATASE 3', NULL, NULL, NULL, 15),
(151811, NULL, 'PTHR23267:SF361', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 2D-26', NULL, NULL, NULL, 15),
(151812, NULL, 'PTHR46369', NULL, NULL, NULL, NULL, 'PROTEIN CELLULOSE SYNTHASE INTERACTIVE 1', NULL, NULL, 37886, 15),
(151813, NULL, 'PTHR10044', NULL, NULL, NULL, NULL, 'INHIBITOR OF APOPTOSIS', NULL, NULL, NULL, 15),
(151814, NULL, 'PTHR23418:SF0', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE', NULL, NULL, NULL, 15),
(151815, NULL, 'PTHR46128:SF66', NULL, NULL, NULL, NULL, 'BNACNNG51800D PROTEIN', NULL, NULL, NULL, 15),
(151816, NULL, 'PTHR31285:SF0', NULL, NULL, NULL, NULL, 'NICOTINAMIDE MONONUCLEOTIDE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(151817, NULL, 'PTHR34287:SF10', NULL, NULL, NULL, NULL, 'OS02G0234700 PROTEIN', NULL, NULL, NULL, 15),
(151818, NULL, 'PTHR24032', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(151819, NULL, 'PTHR24381:SF149', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 266', NULL, NULL, NULL, 15),
(151820, NULL, 'PTHR45801:SF66', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 11', NULL, NULL, NULL, 15),
(151821, NULL, 'PTHR33451:SF5', NULL, NULL, NULL, NULL, 'NA+/H+ ANTIPORTER-RELATED', NULL, NULL, NULL, 15),
(151822, NULL, 'PTHR22255:SF1', NULL, NULL, NULL, NULL, 'LD32918P', NULL, NULL, NULL, 15),
(151823, NULL, 'PTHR33827', NULL, NULL, NULL, NULL, 'PROTEIN SAWADEE HOMEODOMAIN HOMOLOG 2', NULL, NULL, 33251, 15),
(151824, NULL, 'PTHR43084:SF4', NULL, NULL, NULL, NULL, 'SLR1259 PROTEIN', NULL, NULL, NULL, 15),
(151825, NULL, 'PTHR13720:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151826, NULL, 'PTHR45804', NULL, NULL, NULL, NULL, 'SEGMENTATION PROTEIN FUSHI TARAZU-LIKE PROTEIN', NULL, NULL, NULL, 15),
(151827, NULL, 'PTHR12549:SF54', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR JUMONJI/ASPARTYL BETA-HYDROXYLASE-RELATED', NULL, NULL, NULL, 15),
(151828, NULL, 'PTHR33021:SF373', NULL, NULL, NULL, NULL, 'BNAA04G28720D PROTEIN', NULL, NULL, NULL, 15),
(151829, NULL, 'PTHR24092:SF183', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(151830, NULL, 'PTHR33076:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151831, NULL, 'PTHR23188:SF15', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II ASSOCIATED FACTOR PAF1-RELATED', NULL, NULL, NULL, 15),
(151832, NULL, 'PTHR39223:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700029H14 GENE', NULL, NULL, NULL, 15),
(151833, NULL, 'PTHR12577:SF14', NULL, NULL, NULL, NULL, 'DACHSHUND HOMOLOG 1', NULL, NULL, NULL, 15),
(151834, NULL, 'PTHR11183:SF143', NULL, NULL, NULL, NULL, 'GALACTINOL SYNTHASE 10', NULL, NULL, 26177, 15),
(151835, NULL, 'PTHR11880:SF29', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15-6', NULL, NULL, NULL, 15),
(151836, NULL, 'PTHR33882:SF6', NULL, NULL, NULL, NULL, 'OS11G0603100 PROTEIN', NULL, NULL, NULL, 15),
(151837, NULL, 'PTHR11453:SF100', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 2-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151838, NULL, 'PTHR32467:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151839, NULL, 'PTHR47972:SF39', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KLP-3', NULL, NULL, NULL, 15),
(151840, NULL, 'PTHR31885:SF9', NULL, NULL, NULL, NULL, 'LYSOPLASMALOGENASE-LIKE PROTEIN TMEM86A', NULL, NULL, NULL, 15),
(151841, NULL, 'PTHR10589:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE ISOZYME L1', NULL, NULL, 27769, 15),
(151842, NULL, 'PTHR24082:SF487', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER DAF-12', NULL, NULL, NULL, 15),
(151843, NULL, 'PTHR12652:SF25', NULL, NULL, NULL, NULL, 'MICROBODY (PEROXISOME) PROLIFERATION PROTEIN PEROXIN 11C (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(151844, NULL, 'PTHR26451:SF225', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(151845, NULL, 'PTHR21472:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151846, NULL, 'PTHR12725:SF118', NULL, NULL, NULL, NULL, 'HAD HYDROLASE, SUBFAMILY IA-RELATED', NULL, NULL, NULL, 15),
(151847, NULL, 'PTHR33044:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151848, NULL, 'PTHR45808:SF9', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACX', NULL, NULL, NULL, 15),
(151849, NULL, 'PTHR19304:SF9', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-2', NULL, NULL, 27714, 15),
(151850, NULL, 'PTHR24093:SF485', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(151851, NULL, 'PTHR45940:SF24', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 3', NULL, NULL, NULL, 15),
(151852, NULL, 'PTHR45987:SF15', NULL, NULL, NULL, NULL, 'BNAA03G54180D PROTEIN', NULL, NULL, NULL, 15),
(151853, NULL, 'PTHR10766:SF124', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(151854, NULL, 'PTHR31704:SF40', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DOMAIN, HARBINGER TRANSPOSASE-DERIVED NUCLEASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151855, NULL, 'PTHR31692:SF113', NULL, NULL, NULL, NULL, 'BNACNNG23400D PROTEIN', NULL, NULL, NULL, 15),
(151856, NULL, 'PTHR31650:SF24', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(151857, NULL, 'PTHR47592:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151858, NULL, 'PTHR32116', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 4-RELATED', NULL, NULL, 26007, 15),
(151859, NULL, 'PTHR39613', NULL, NULL, NULL, NULL, 'ANCHORED CELL WALL PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G08960)-RELATED', NULL, NULL, NULL, 15),
(151860, NULL, 'PTHR10880:SF42', NULL, NULL, NULL, NULL, 'PROTEIN MRG2', NULL, NULL, NULL, 15),
(151861, NULL, 'PTHR42935:SF1', NULL, NULL, NULL, NULL, 'SLR0930 PROTEIN', NULL, NULL, NULL, 15),
(151862, NULL, 'PTHR11416:SF7', NULL, NULL, NULL, NULL, 'PRO-OPIOMELANOCORTIN', NULL, NULL, NULL, 15),
(151863, NULL, 'PTHR33395:SF7', NULL, NULL, NULL, NULL, 'PERICARDIN', NULL, NULL, NULL, 15),
(151864, NULL, 'PTHR23316:SF10', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-6', NULL, NULL, NULL, 15),
(151865, NULL, 'PTHR13683:SF764', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1', NULL, NULL, NULL, 15),
(151866, NULL, 'PTHR31218:SF290', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(151867, NULL, 'PTHR32054:SF54', NULL, NULL, NULL, NULL, 'BNAA08G24870D PROTEIN', NULL, NULL, NULL, 15),
(151868, NULL, 'PTHR12225:SF0', NULL, NULL, NULL, NULL, 'PROTEASOMAL UBIQUITIN RECEPTOR ADRM1', NULL, NULL, NULL, 15),
(151869, NULL, 'PTHR35686:SF1', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN', NULL, NULL, NULL, 15),
(151870, NULL, 'PTHR11407:SF36', NULL, NULL, NULL, NULL, 'GEO02684P1-RELATED', NULL, NULL, NULL, 15),
(151871, NULL, 'PTHR46265:SF12', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN REN1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(151872, NULL, 'PTHR22936:SF95', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', NULL, NULL, NULL, 15),
(151873, NULL, 'PTHR11267:SF116', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX22', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151874, NULL, 'PTHR14379:SF23', NULL, NULL, NULL, NULL, 'OS03G0370200 PROTEIN', NULL, NULL, NULL, 15),
(151875, NULL, 'PTHR34931', NULL, NULL, NULL, NULL, 'FI02976P-RELATED', NULL, NULL, 2860, 15),
(151876, NULL, 'PTHR48041:SF56', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 25', NULL, NULL, NULL, 15),
(151877, NULL, 'PTHR21099', NULL, NULL, NULL, NULL, 'RAD201', NULL, NULL, NULL, 15),
(151878, NULL, 'PTHR11461:SF131', NULL, NULL, NULL, NULL, 'MCG118061-RELATED', NULL, NULL, NULL, 15),
(151879, NULL, 'PTHR47944:SF4', NULL, NULL, NULL, NULL, 'OS09G0441700 PROTEIN', NULL, NULL, NULL, 15),
(151880, NULL, 'PTHR34575', NULL, NULL, NULL, NULL, 'PROTEIN PAM68, CHLOROPLASTIC', NULL, NULL, 20496, 15),
(151881, NULL, 'PTHR33191:SF9', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(151882, NULL, 'PTHR33265:SF37', NULL, NULL, NULL, NULL, 'BNAA05G15010D PROTEIN', NULL, NULL, NULL, 15),
(151883, NULL, 'PTHR10245:SF115', NULL, NULL, NULL, NULL, 'ENDOTHELIAL DIFFERENTIATION-RELATED FACTOR 1', NULL, NULL, NULL, 15),
(151884, NULL, 'PTHR36692', NULL, NULL, NULL, NULL, 'PROTEIN SNAKESKIN', NULL, NULL, 33304, 15),
(151885, NULL, 'PTHR14155:SF525', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151886, NULL, 'PTHR31992:SF159', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.6-LIKE', NULL, NULL, NULL, 15),
(151887, NULL, 'PTHR11243:SF37', NULL, NULL, NULL, NULL, 'FACTOR RECEPTOR-BOUND PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(151888, NULL, 'PTHR27003:SF356', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE ANXUR1', NULL, NULL, NULL, 15),
(151889, NULL, 'PTHR38640', NULL, NULL, NULL, NULL, 'GEO09659P1', NULL, NULL, NULL, 15),
(151890, NULL, 'PTHR31674:SF18', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM2-RELATED', NULL, NULL, NULL, 15),
(151891, NULL, 'PTHR31339:SF61', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE/GLYCOSIDE HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(151892, NULL, 'PTHR13814:SF12', NULL, NULL, NULL, NULL, 'KININOGEN-1', NULL, NULL, NULL, 15),
(151893, NULL, 'PTHR36010', NULL, NULL, NULL, NULL, 'CYTOCHROME C BIOGENESIS CCMF C-TERMINAL-LIKE MITOCHONDRIAL PROTEIN-RELATED', NULL, NULL, 37501, 15),
(151894, NULL, 'PTHR38553', NULL, NULL, NULL, NULL, 'PROTEIN CBG19621', NULL, NULL, NULL, 15),
(151895, NULL, 'PTHR47926:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151896, NULL, 'PTHR35832:SF9', NULL, NULL, NULL, NULL, 'OS12G0248400 PROTEIN', NULL, NULL, NULL, 15),
(151897, NULL, 'PTHR39426:SF1', NULL, NULL, NULL, NULL, 'HOMOLOGY TO DEATH-ON-CURING PROTEIN OF PHAGE P1', NULL, NULL, NULL, 15),
(151898, NULL, 'PTHR31650:SF34', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE', NULL, NULL, NULL, 15),
(151899, NULL, 'PTHR26374:SF166', NULL, NULL, NULL, NULL, 'C2H2 TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(151900, NULL, 'PTHR46662:SF16', NULL, NULL, NULL, NULL, 'BNAC05G13420D PROTEIN', NULL, NULL, NULL, 15),
(151901, NULL, 'PTHR24056:SF221', NULL, NULL, NULL, NULL, 'OS02G0304500 PROTEIN', NULL, NULL, NULL, 15),
(151902, NULL, 'PTHR26453:SF665', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(151903, NULL, 'PTHR10169:SF60', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(151904, NULL, 'PTHR48032:SF4', NULL, NULL, NULL, NULL, 'FI20028P1', NULL, NULL, NULL, 15),
(151905, NULL, 'PTHR45125:SF16', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF LARGE SUBUNIT B', NULL, NULL, NULL, 15),
(151906, NULL, 'PTHR14237:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(151907, NULL, 'PTHR23138:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151908, NULL, 'PTHR23412:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151909, NULL, 'PTHR15601:SF22', NULL, NULL, NULL, NULL, 'OS12G0514100 PROTEIN', NULL, NULL, NULL, 15),
(151910, NULL, 'PTHR33631', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151911, NULL, 'PTHR13743:SF129', NULL, NULL, NULL, NULL, 'OS06G0678651 PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151912, NULL, 'PTHR37183:SF3', NULL, NULL, NULL, NULL, 'BNAA09G28400D PROTEIN', NULL, NULL, NULL, 15),
(151913, NULL, 'PTHR33326:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151914, NULL, 'PTHR45977:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(151915, NULL, 'PTHR32370:SF8', NULL, NULL, NULL, NULL, 'OS03G0738900 PROTEIN', NULL, NULL, NULL, 15),
(151916, NULL, 'PTHR33184:SF57', NULL, NULL, NULL, NULL, 'BNAA02G24050D PROTEIN', NULL, NULL, NULL, 15),
(151917, NULL, 'PTHR36813:SF2', NULL, NULL, NULL, NULL, 'SMALL VCP/P97-INTERACTING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(151918, NULL, 'PTHR10353:SF240', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(151919, NULL, 'PTHR10516:SF214', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(151920, NULL, 'PTHR46544:SF1', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN 2', NULL, NULL, NULL, 15),
(151921, NULL, 'PTHR14379:SF57', NULL, NULL, NULL, NULL, 'BNAA09G39590D PROTEIN', NULL, NULL, NULL, 15),
(151922, NULL, 'PTHR12688', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT INTERMEDIATE CHAIN', NULL, NULL, 12355, 15),
(151923, NULL, 'PTHR33919:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151924, NULL, 'PTHR43631', NULL, NULL, NULL, NULL, 'PULLULANASE 1, CHLOROPLASTIC', NULL, NULL, 38252, 15),
(151925, NULL, 'PTHR35325:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151926, NULL, 'PTHR34562:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0089K21.10 PROTEIN', NULL, NULL, NULL, 15),
(151927, NULL, 'PTHR46124:SF3', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(151928, NULL, 'PTHR11451:SF49', NULL, NULL, NULL, NULL, 'THREONYL-TRNA SYNTHETASE (AFU_ORTHOLOGUE AFUA_1G16210)', NULL, NULL, NULL, 15),
(151929, NULL, 'PTHR10110:SF176', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15),
(151930, NULL, 'PTHR11877:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151931, NULL, 'PTHR11348:SF23', NULL, NULL, NULL, NULL, 'CONNECTIVE TISSUE GROWTH FACTOR B', NULL, NULL, NULL, 15),
(151932, NULL, 'PTHR12505:SF22', NULL, NULL, NULL, NULL, 'BAH AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(151933, NULL, 'PTHR11394:SF69', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 134', NULL, NULL, NULL, 15),
(151934, NULL, 'PTHR13780:SF109', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(151935, NULL, 'PTHR47959:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE RHLE', NULL, NULL, NULL, 15),
(151936, NULL, 'PTHR38497', NULL, NULL, NULL, NULL, 'KINOCILIN', NULL, NULL, 22837, 15),
(151937, NULL, 'PTHR12297:SF6', NULL, NULL, NULL, NULL, 'HIG1 DOMAIN FAMILY MEMBER 1A, MITOCHONDRIAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(151938, NULL, 'PTHR48001:SF113', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(151939, NULL, 'PTHR46709:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG18457', NULL, NULL, NULL, 15),
(151940, NULL, 'PTHR11958', NULL, NULL, NULL, NULL, 'SODIUM/DICARBOXYLATE SYMPORTER-RELATED', NULL, NULL, NULL, 15),
(151941, NULL, 'PTHR33446:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TONB', NULL, NULL, NULL, 15),
(151942, NULL, 'PTHR31499:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151943, NULL, 'PTHR41244', NULL, NULL, NULL, NULL, 'RHAMNAN SYNTHESIS F', NULL, NULL, 29495, 15),
(151944, NULL, 'PTHR33207:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151945, NULL, 'PTHR15352:SF3', NULL, NULL, NULL, NULL, 'LYMPHOID-RESTRICTED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(151946, NULL, 'PTHR24103:SF654', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151947, NULL, 'PTHR27008:SF408', NULL, NULL, NULL, NULL, 'OS02G0635600 PROTEIN', NULL, NULL, NULL, 15),
(151948, NULL, 'PTHR13248:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151949, NULL, 'PTHR11920:SF370', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-18', NULL, NULL, NULL, 15),
(151950, NULL, 'PTHR23278:SF25', NULL, NULL, NULL, NULL, 'IRREGULAR CHIASM C-ROUGHEST PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(151951, NULL, 'PTHR11732:SF385', NULL, NULL, NULL, NULL, 'ALDEHYDE REDUCTASE Y, ISOFORM D-RELATED', NULL, NULL, NULL, 15),
(151952, NULL, 'PTHR33121', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEF', NULL, NULL, NULL, 15),
(151953, NULL, 'PTHR30604:SF1', NULL, NULL, NULL, NULL, 'DNA UTILIZATION PROTEIN HOFQ', NULL, NULL, NULL, 15),
(151954, NULL, 'PTHR26453:SF323', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2H1', NULL, NULL, NULL, 15),
(151955, NULL, 'PTHR12542:SF147', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(151956, NULL, 'PTHR23073:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151957, NULL, 'PTHR11721:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27A-3', NULL, NULL, NULL, 15),
(151958, NULL, 'PTHR24377:SF720', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 570', NULL, NULL, NULL, 15),
(151959, NULL, 'PTHR34548:SF5', NULL, NULL, NULL, NULL, 'BNAA09G52720D PROTEIN', NULL, NULL, NULL, 15),
(151960, NULL, 'PTHR47926:SF268', NULL, NULL, NULL, NULL, 'BNAA06G10220D PROTEIN', NULL, NULL, NULL, 15),
(151961, NULL, 'PTHR32208:SF85', NULL, NULL, NULL, NULL, 'GLYOXAL OXIDASE N-TERMINUS FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(151962, NULL, 'PTHR31675', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 6-RELATED', NULL, NULL, 3267, 15),
(151963, NULL, 'PTHR23050:SF348', NULL, NULL, NULL, NULL, 'GEO07376P1', NULL, NULL, NULL, 15),
(151964, NULL, 'PTHR43874:SF147', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR6', NULL, NULL, NULL, 15),
(151965, NULL, 'PTHR11669:SF59', NULL, NULL, NULL, NULL, 'ATPASES AND HELICASE SUBUNITS INVOLVED IN DNA REPLICATION', NULL, NULL, NULL, 15),
(151966, NULL, 'PTHR11371:SF23', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE', NULL, NULL, NULL, 15),
(151967, NULL, 'PTHR23201:SF18', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(151968, NULL, 'PTHR34547:SF1', NULL, NULL, NULL, NULL, 'YACP-LIKE NYN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(151969, NULL, 'PTHR15907:SF103', NULL, NULL, NULL, NULL, 'PLAC8 ONZIN-RELATED PROTEIN 10', NULL, NULL, NULL, 15),
(151970, NULL, 'PTHR42734:SF5', NULL, NULL, NULL, NULL, 'METAL TRANSPORT SYSTEM ATP-BINDING PROTEIN TM_0124-RELATED', NULL, NULL, NULL, 15),
(151971, NULL, 'PTHR10740:SF11', NULL, NULL, NULL, NULL, 'PROEPIREGULIN', NULL, NULL, NULL, 15),
(151972, NULL, 'PTHR35162:SF1', NULL, NULL, NULL, NULL, 'SMR7', NULL, NULL, NULL, 15),
(151973, NULL, 'PTHR31589:SF72', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PROTEINASE-LIKE PROTEIN (DUF239)-RELATED', NULL, NULL, NULL, 15),
(151974, NULL, 'PTHR31391:SF48', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS03G0620500', NULL, NULL, NULL, 15),
(151975, NULL, 'PTHR46354:SF11', NULL, NULL, NULL, NULL, 'PROTEIN DOG1-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(151976, NULL, 'PTHR47691:SF3', NULL, NULL, NULL, NULL, 'REGULATOR-RELATED', NULL, NULL, NULL, 15),
(151977, NULL, 'PTHR10799:SF990', NULL, NULL, NULL, NULL, 'BNAC07G16550D PROTEIN', NULL, NULL, NULL, 15),
(151978, NULL, 'PTHR37440', NULL, NULL, NULL, NULL, 'PROTEIN CBG17852-RELATED', NULL, NULL, NULL, 15),
(151979, NULL, 'PTHR12884:SF23', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', NULL, NULL, NULL, 15),
(151980, NULL, 'PTHR47928:SF3', NULL, NULL, NULL, NULL, 'REPEAT SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(151981, NULL, 'PTHR11827:SF54', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 5', NULL, NULL, 25171, 15),
(151982, NULL, 'PTHR35490:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151983, NULL, 'PTHR33569', NULL, NULL, NULL, NULL, 'UREASE', NULL, NULL, NULL, 15),
(151984, NULL, 'PTHR23500:SF427', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN MST3-LIKE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(151985, NULL, 'PTHR22762', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(151986, NULL, 'PTHR47822', NULL, NULL, NULL, NULL, 'CARBOHYDRATE BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(151987, NULL, 'PTHR11304:SF19', NULL, NULL, NULL, NULL, 'EPHRIN-A1', NULL, NULL, NULL, 15),
(151988, NULL, 'PTHR14209:SF19', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(151989, NULL, 'PTHR31813:SF9', NULL, NULL, NULL, NULL, 'RIKEN CDNA 7420426K07 GENE', NULL, NULL, NULL, 15),
(151990, NULL, 'PTHR41813:SF2', NULL, NULL, NULL, NULL, 'REGULATOR PAB1642, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11955)-RELATED', NULL, NULL, NULL, 15),
(151991, NULL, 'PTHR12294:SF1', NULL, NULL, NULL, NULL, 'CALCIUM UPTAKE PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(151992, NULL, 'PTHR46168:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151993, NULL, 'PTHR42885', NULL, NULL, NULL, NULL, 'HISTIDINOL-PHOSPHATE AMINOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(151994, NULL, 'PTHR19338:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8 A', NULL, NULL, NULL, 15),
(151995, NULL, 'PTHR31929:SF97', NULL, NULL, NULL, NULL, 'BNAA10G16790D PROTEIN', NULL, NULL, NULL, 15),
(151996, NULL, 'PTHR24096:SF330', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 2-LIKE', NULL, NULL, NULL, 15),
(151997, NULL, 'PTHR40714:SF1', NULL, NULL, NULL, NULL, 'TMF-REGULATED NUCLEAR PROTEIN 1', NULL, NULL, NULL, 15),
(151998, NULL, 'PTHR15852:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(151999, NULL, 'PTHR35738', NULL, NULL, NULL, NULL, 'OS05G0577800 PROTEIN', NULL, NULL, NULL, 15),
(152000, NULL, 'PTHR33133:SF34', NULL, NULL, NULL, NULL, 'BNAA08G08010D PROTEIN', NULL, NULL, NULL, 15),
(152001, NULL, 'PTHR21359:SF1', NULL, NULL, NULL, NULL, 'LD36945P', NULL, NULL, NULL, 15),
(152002, NULL, 'PTHR32212:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152003, NULL, 'PTHR24061:SF528', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR C FAMILY, D2-RELATED', NULL, NULL, NULL, 15),
(152004, NULL, 'PTHR15708:SF10', NULL, NULL, NULL, NULL, 'PROTEIN MTSS 1', NULL, NULL, 26423, 15),
(152005, NULL, 'PTHR10829:SF5', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC LINEAGE CELL-SPECIFIC PROTEIN', NULL, NULL, 24126, 15),
(152006, NULL, 'PTHR31047:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152007, NULL, 'PTHR35361:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152008, NULL, 'PTHR22847:SF653', NULL, NULL, NULL, NULL, 'PROTEASOMAL ATPASE-ASSOCIATED FACTOR 1', NULL, NULL, NULL, 15),
(152009, NULL, 'PTHR46231:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND BTB/POZ DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(152010, NULL, 'PTHR16096', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 11', NULL, NULL, 27540, 15),
(152011, NULL, 'PTHR48033:SF2', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN D-LIKE', NULL, NULL, NULL, 15),
(152012, NULL, 'PTHR45980:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152013, NULL, 'PTHR35161:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152014, NULL, 'PTHR43137', NULL, NULL, NULL, NULL, 'DIHYDROOROTASE', NULL, NULL, 3512, 15),
(152015, NULL, 'PTHR12919:SF34', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S16, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(152016, NULL, 'PTHR42256', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE', NULL, NULL, NULL, 15),
(152017, NULL, 'PTHR22850:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152018, NULL, 'PTHR30177:SF4', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE UPTAKE SYSTEM PERMEASE PROTEIN YEHW', NULL, NULL, NULL, 15),
(152019, NULL, 'PTHR45876', NULL, NULL, NULL, NULL, 'FI04035P', NULL, NULL, NULL, 15),
(152020, NULL, 'PTHR38490', NULL, NULL, NULL, NULL, 'CYSTEINE AND TYROSINE-RICH PROTEIN 1', NULL, NULL, 17413, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152021, NULL, 'PTHR33324:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(152022, NULL, 'PTHR23326:SF25', NULL, NULL, NULL, NULL, 'BNAA02G06900D PROTEIN', NULL, NULL, NULL, 15),
(152023, NULL, 'PTHR10758:SF14', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(152024, NULL, 'PTHR11571:SF127', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(152025, NULL, 'PTHR14221:SF35', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(152026, NULL, 'PTHR33469:SF22', NULL, NULL, NULL, NULL, 'BNAC06G24150D PROTEIN', NULL, NULL, NULL, 15),
(152027, NULL, 'PTHR27003:SF43', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING RECEPTOR-LIKE CYTOPLASMIC KINASE 3', NULL, NULL, NULL, 15),
(152028, NULL, 'PTHR36785', NULL, NULL, NULL, NULL, 'OS05G0502500 PROTEIN', NULL, NULL, NULL, 15),
(152029, NULL, 'PTHR11009:SF31', NULL, NULL, NULL, NULL, 'RHOMBOID DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(152030, NULL, 'PTHR47874:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(152031, NULL, 'PTHR23316:SF8', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-7', NULL, NULL, NULL, 15),
(152032, NULL, 'PTHR31989:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152033, NULL, 'PTHR46072:SF9', NULL, NULL, NULL, NULL, 'ACETAMIDASE', NULL, NULL, NULL, 15),
(152034, NULL, 'PTHR19288:SF4', NULL, NULL, NULL, NULL, 'RE04130P-RELATED', NULL, NULL, NULL, 15),
(152035, NULL, 'PTHR24062:SF87', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(152036, NULL, 'PTHR31945:SF45', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', NULL, NULL, NULL, 15),
(152037, NULL, 'PTHR33095:SF49', NULL, NULL, NULL, NULL, 'DNA LIGASE 1-LIKE', NULL, NULL, NULL, 15),
(152038, NULL, 'PTHR22617:SF41', NULL, NULL, NULL, NULL, 'CHEW PROTEIN', NULL, NULL, NULL, 15),
(152039, NULL, 'PTHR28090:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ROT1', NULL, NULL, NULL, 15),
(152040, NULL, 'PTHR46450:SF18', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUVR4', NULL, NULL, NULL, 15),
(152041, NULL, 'PTHR21136:SF169', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 727', NULL, NULL, NULL, 15),
(152042, NULL, 'PTHR45855:SF42', NULL, NULL, NULL, NULL, 'BNAA08G15580D PROTEIN', NULL, NULL, NULL, 15),
(152043, NULL, 'PTHR28652:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 59-LIKE', NULL, NULL, NULL, 15),
(152044, NULL, 'PTHR36015:SF6', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RESOLVASE MOC1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(152045, NULL, 'PTHR24055:SF393', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(152046, NULL, 'PTHR23184:SF9', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 14', NULL, NULL, NULL, 15),
(152047, NULL, 'PTHR11439:SF263', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', NULL, NULL, NULL, 15),
(152048, NULL, 'PTHR10656:SF65', NULL, NULL, NULL, NULL, 'PROTEIN MAB-21', NULL, NULL, NULL, 15),
(152049, NULL, 'PTHR33108:SF66', NULL, NULL, NULL, NULL, 'BNAA08G05510D PROTEIN', NULL, NULL, NULL, 15),
(152050, NULL, 'PTHR22957:SF572', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152051, NULL, 'PTHR30238:SF4', NULL, NULL, NULL, NULL, 'CONSERVED INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152052, NULL, 'PTHR31765:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG18078', NULL, NULL, NULL, 15),
(152053, NULL, 'PTHR33103:SF19', NULL, NULL, NULL, NULL, 'OS01G0153900 PROTEIN', NULL, NULL, NULL, 15),
(152054, NULL, 'PTHR36506', NULL, NULL, NULL, NULL, 'PREFLAGELLIN PEPTIDASE', NULL, NULL, NULL, 15),
(152055, NULL, 'PTHR16777', NULL, NULL, NULL, NULL, 'PROTEIN ECT2', NULL, NULL, 23026, 15),
(152056, NULL, 'PTHR47982:SF14', NULL, NULL, NULL, NULL, 'BNAC02G36270D PROTEIN', NULL, NULL, NULL, 15),
(152057, NULL, 'PTHR12363:SF42', NULL, NULL, NULL, NULL, 'TRANSPORTIN-3', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152058, NULL, 'PTHR13683:SF819', NULL, NULL, NULL, NULL, 'PROTEINASE NEPENTHESIN-2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(152059, NULL, 'PTHR34154', NULL, NULL, NULL, NULL, 'ALKALI-SENSITIVE LINKAGE PROTEIN 1', NULL, NULL, NULL, 15),
(152060, NULL, 'PTHR31839:SF39', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1B-LIKE', NULL, NULL, NULL, 15),
(152061, NULL, 'PTHR48010:SF30', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', NULL, NULL, NULL, 15),
(152062, NULL, 'PTHR24057:SF52', NULL, NULL, NULL, NULL, 'SHAGGY-LIKE KINASE 111', NULL, NULL, NULL, 15),
(152063, NULL, 'PTHR45654:SF15', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN PROTODERMAL FACTOR 2-LIKE', NULL, NULL, NULL, 15),
(152064, NULL, 'PTHR47933:SF10', NULL, NULL, NULL, NULL, 'OS03G0162900 PROTEIN', NULL, NULL, NULL, 15),
(152065, NULL, 'PTHR24061:SF527', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR C FAMILY, W1', NULL, NULL, NULL, 15),
(152066, NULL, 'PTHR33184:SF45', NULL, NULL, NULL, NULL, 'PROTEIN TAPETUM DETERMINANT 1', NULL, NULL, NULL, 15),
(152067, NULL, 'PTHR21508:SF3', NULL, NULL, NULL, NULL, 'MITOGUARDIN 1', NULL, NULL, NULL, 15),
(152068, NULL, 'PTHR44984:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK3', NULL, NULL, NULL, 15),
(152069, NULL, 'PTHR33641:SF19', NULL, NULL, NULL, NULL, 'BNAC05G51340D PROTEIN', NULL, NULL, NULL, 15),
(152070, NULL, 'PTHR11592:SF103', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 4-RELATED', NULL, NULL, NULL, 15),
(152071, NULL, 'PTHR10117:SF7', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 6', NULL, NULL, 982, 15),
(152072, NULL, 'PTHR44688:SF13', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN SDIA', NULL, NULL, NULL, 15),
(152073, NULL, 'PTHR19241:SF353', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 38', NULL, NULL, NULL, 15),
(152074, NULL, 'PTHR31072:SF93', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP24', NULL, NULL, NULL, 15),
(152075, NULL, 'PTHR28156', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN YDR262W', NULL, NULL, 33647, 15),
(152076, NULL, 'PTHR24347:SF376', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DCLK2', NULL, NULL, NULL, 15),
(152077, NULL, 'PTHR21284:SF6', NULL, NULL, NULL, NULL, 'SINUOUS', NULL, NULL, NULL, 15),
(152078, NULL, 'PTHR23291:SF35', NULL, NULL, NULL, NULL, 'PROTEIN LIFEGUARD 3', NULL, NULL, NULL, 15),
(152079, NULL, 'PTHR24416:SF507', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR SVH-2', NULL, NULL, NULL, 15),
(152080, NULL, 'PTHR33052:SF101', NULL, NULL, NULL, NULL, 'AGAA.5', NULL, NULL, NULL, 15),
(152081, NULL, 'PTHR46154:SF2', NULL, NULL, NULL, NULL, 'SOLUTE SYMPORTER FAMILY TRANSPORTER (AFU_ORTHOLOGUE AFUA_6G03200)', NULL, NULL, NULL, 15),
(152082, NULL, 'PTHR43014:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE REDUCTASE (NADPH)', NULL, NULL, NULL, 15),
(152083, NULL, 'PTHR33790:SF9', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(152084, NULL, 'PTHR31623:SF19', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(152085, NULL, 'PTHR23024:SF551', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(152086, NULL, 'PTHR11668:SF464', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 5', NULL, NULL, NULL, 15),
(152087, NULL, 'PTHR48051:SF2', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 39', NULL, NULL, NULL, 15),
(152088, NULL, 'PTHR31269:SF23', NULL, NULL, NULL, NULL, 'OS07G0181100 PROTEIN', NULL, NULL, NULL, 15),
(152089, NULL, 'PTHR36942:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG10268', NULL, NULL, NULL, 15),
(152090, NULL, 'PTHR11886:SF77', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(152091, NULL, 'PTHR23172:SF72', NULL, NULL, NULL, NULL, 'BNACNNG26180D PROTEIN', NULL, NULL, NULL, 15),
(152092, NULL, 'PTHR21562:SF71', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(152093, NULL, 'PTHR24006:SF794', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 24', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152094, NULL, 'PTHR28526:SF1', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 13', NULL, NULL, NULL, 15),
(152095, NULL, 'PTHR24093:SF444', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 7, PLASMA MEMBRANE-TYPE-RELATED', NULL, NULL, NULL, 15),
(152096, NULL, 'PTHR23500:SF519', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(152097, NULL, 'PTHR24281:SF70', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(152098, NULL, 'PTHR23024:SF535', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 17-RELATED', NULL, NULL, NULL, 15),
(152099, NULL, 'PTHR22844:SF350', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN, BETA SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(152100, NULL, 'PTHR11571:SF231', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(152101, NULL, 'PTHR46968:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152102, NULL, 'PTHR24414:SF106', NULL, NULL, NULL, NULL, 'BNAC03G76280D PROTEIN', NULL, NULL, NULL, 15),
(152103, NULL, 'PTHR45979:SF6', NULL, NULL, NULL, NULL, 'ACID BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(152104, NULL, 'PTHR21749:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG12212', NULL, NULL, NULL, 15),
(152105, NULL, 'PTHR11955:SF133', NULL, NULL, NULL, NULL, 'CELLULAR RETINOIC ACID-BINDING PROTEIN 2, B', NULL, NULL, NULL, 15),
(152106, NULL, 'PTHR43466', NULL, NULL, NULL, NULL, '2-OXO-4-HYDROXY-4-CARBOXY-5-UREIDOIMIDAZOLINE DECARBOXYLASE-RELATED', NULL, NULL, NULL, 15),
(152107, NULL, 'PTHR14239:SF10', NULL, NULL, NULL, NULL, 'LONG-CHAIN ACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE', NULL, NULL, NULL, 15),
(152108, NULL, 'PTHR46714:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR HAC1', NULL, NULL, NULL, 15),
(152109, NULL, 'PTHR31566:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152110, NULL, 'PTHR10749:SF8', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE B KINASE REGULATORY SUBUNIT BETA', NULL, NULL, NULL, 15),
(152111, NULL, 'PTHR32556:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152112, NULL, 'PTHR23510:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152113, NULL, 'PTHR21522:SF19', NULL, NULL, NULL, NULL, 'PROTON CHANNEL OTOP1', NULL, NULL, NULL, 15),
(152114, NULL, 'PTHR31521:SF7', NULL, NULL, NULL, NULL, 'OS08G0407200 PROTEIN', NULL, NULL, NULL, 15),
(152115, NULL, 'PTHR19282:SF445', NULL, NULL, NULL, NULL, 'TETRASPANIN FAMILY', NULL, NULL, NULL, 15),
(152116, NULL, 'PTHR34315:SF1', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03070)-RELATED', NULL, NULL, NULL, 15),
(152117, NULL, 'PTHR10809:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152118, NULL, 'PTHR30146:SF2', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GNTR', NULL, NULL, NULL, 15),
(152119, NULL, 'PTHR34203:SF13', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(152120, NULL, 'PTHR31086:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152121, NULL, 'PTHR31072:SF139', NULL, NULL, NULL, NULL, 'BNAC02G41680D PROTEIN', NULL, NULL, NULL, 15),
(152122, NULL, 'PTHR31796', NULL, NULL, NULL, NULL, 'SUZ DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 35624, 15),
(152123, NULL, 'PTHR45644:SF25', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE GENE CDC48-LIKE', NULL, NULL, NULL, 15),
(152124, NULL, 'PTHR24007', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(152125, NULL, 'PTHR31223:SF40', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOGL3-RELATED', NULL, NULL, NULL, 15),
(152126, NULL, 'PTHR22594:SF49', NULL, NULL, NULL, NULL, 'BNAA10G11200D PROTEIN', NULL, NULL, NULL, 15),
(152127, NULL, 'PTHR13484:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152128, NULL, 'PTHR24637:SF277', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(152129, NULL, 'PTHR23423:SF27', NULL, NULL, NULL, NULL, 'PROTEIN LAZ1 HOMOLOG 1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152130, NULL, 'PTHR32410:SF176', NULL, NULL, NULL, NULL, 'CHP-RICH ZINC FINGER PROTEIN-LIKE-RELATED', NULL, NULL, NULL, 15),
(152131, NULL, 'PTHR23140', NULL, NULL, NULL, NULL, 'RNA PROCESSING PROTEIN LD23810P', NULL, NULL, NULL, 15),
(152132, NULL, 'PTHR47925:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152133, NULL, 'PTHR23013:SF21', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(152134, NULL, 'PTHR11638:SF145', NULL, NULL, NULL, NULL, 'CLPA/B PROTEASE ATP BINDING SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(152135, NULL, 'PTHR11913:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152136, NULL, 'PTHR11746:SF214', NULL, NULL, NULL, NULL, '5-PENTADECATRIENYL RESORCINOL O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(152137, NULL, 'PTHR45647:SF37', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 35-LIKE', NULL, NULL, NULL, 15),
(152138, NULL, 'PTHR47992:SF151', NULL, NULL, NULL, NULL, 'PROTEIN KINASE AND PP2C-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(152139, NULL, 'PTHR32063:SF29', NULL, NULL, NULL, NULL, 'HAE1 FAMILY EFFLUX PUMP PERMEASE COMPONENT', NULL, NULL, NULL, 15),
(152140, NULL, 'PTHR21574:SF0', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 120 KDA', NULL, NULL, NULL, 15),
(152141, NULL, 'PTHR34955', NULL, NULL, NULL, NULL, 'IGR MOTIF PROTEIN', NULL, NULL, NULL, 15),
(152142, NULL, 'PTHR45617:SF19', NULL, NULL, NULL, NULL, 'RETICULON 4 RECEPTOR LIKE 2', NULL, NULL, NULL, 15),
(152143, NULL, 'PTHR38709:SF1', NULL, NULL, NULL, NULL, 'SI:CH73-193C12.2-RELATED', NULL, NULL, NULL, 15),
(152144, NULL, 'PTHR31690', NULL, NULL, NULL, NULL, 'FUCOSE MUTAROTASE', NULL, NULL, NULL, 15),
(152145, NULL, 'PTHR48145', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(152146, NULL, 'PTHR23220:SF129', NULL, NULL, NULL, NULL, 'INTEGRIN, ALPHA M (COMPLEMENT COMPONENT 3 RECEPTOR 3 SUBUNIT)-RELATED', NULL, NULL, NULL, 15),
(152147, NULL, 'PTHR34064:SF7', NULL, NULL, NULL, NULL, 'BNAA03G58480D PROTEIN', NULL, NULL, NULL, 15),
(152148, NULL, 'PTHR46408:SF10', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 63', NULL, NULL, NULL, 15),
(152149, NULL, 'PTHR30287:SF2', NULL, NULL, NULL, NULL, 'BLL1001 PROTEIN', NULL, NULL, NULL, 15),
(152150, NULL, 'PTHR48021:SF51', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE-SENSING PROTEIN 2', NULL, NULL, NULL, 15),
(152151, NULL, 'PTHR45869:SF2', NULL, NULL, NULL, NULL, 'PENTAXIN-RELATED', NULL, NULL, NULL, 15),
(152152, NULL, 'PTHR24173:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152153, NULL, 'PTHR19139:SF113', NULL, NULL, NULL, NULL, 'AQUAPORIN-6', NULL, NULL, 20279, 15),
(152154, NULL, 'PTHR31223:SF70', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOGL5-RELATED', NULL, NULL, NULL, 15),
(152155, NULL, 'PTHR11208:SF55', NULL, NULL, NULL, NULL, 'OS05G0481500 PROTEIN', NULL, NULL, NULL, 15),
(152156, NULL, 'PTHR42851:SF13', NULL, NULL, NULL, NULL, 'OS08G0477800 PROTEIN', NULL, NULL, NULL, 15),
(152157, NULL, 'PTHR46797:SF9', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR SUTR', NULL, NULL, NULL, 15),
(152158, NULL, 'PTHR47123:SF17', NULL, NULL, NULL, NULL, 'BNACNNG42230D PROTEIN', NULL, NULL, NULL, 15),
(152159, NULL, 'PTHR11802:SF390', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 7', NULL, NULL, NULL, 15),
(152160, NULL, 'PTHR22050', NULL, NULL, NULL, NULL, 'RW1 PROTEIN HOMOLOG', NULL, NULL, 34958, 15),
(152161, NULL, 'PTHR24286:SF88', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 28-OXIDASE-LIKE', NULL, NULL, NULL, 15),
(152162, NULL, 'PTHR33828', NULL, NULL, NULL, NULL, 'OS05G0596200 PROTEIN', NULL, NULL, NULL, 15),
(152163, NULL, 'PTHR30348:SF9', NULL, NULL, NULL, NULL, 'UPF0759 PROTEIN YECE', NULL, NULL, NULL, 15),
(152164, NULL, 'PTHR43305', NULL, NULL, NULL, NULL, 'FAMILY N-ACETYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G01380)-RELATED', NULL, NULL, NULL, 15),
(152165, NULL, 'PTHR22950:SF244', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED NEUTRAL AMINO ACID TRANSPORTER 9', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152166, NULL, 'PTHR10009:SF10', NULL, NULL, NULL, NULL, 'L-DOPACHROME TAUTOMERASE YELLOW-F-RELATED', NULL, NULL, NULL, 15),
(152167, NULL, 'PTHR47979:SF33', NULL, NULL, NULL, NULL, 'DRAB11', NULL, NULL, NULL, 15),
(152168, NULL, 'PTHR37929:SF1', NULL, NULL, NULL, NULL, 'GRIP AND COILED-COIL DOMAIN-CONTAINING PROTEIN PFC0235W', NULL, NULL, NULL, 15),
(152169, NULL, 'PTHR31828:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152170, NULL, 'PTHR36193', NULL, NULL, NULL, NULL, 'PHISTB DOMAIN-CONTAINING RESA-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(152171, NULL, 'PTHR35304:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152172, NULL, 'PTHR48025:SF12', NULL, NULL, NULL, NULL, 'OS07G0631900 PROTEIN', NULL, NULL, NULL, 15),
(152173, NULL, 'PTHR34208', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, 37145, 15),
(152174, NULL, 'PTHR13832:SF703', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 40-RELATED', NULL, NULL, NULL, 15),
(152175, NULL, 'PTHR46389', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN PC', NULL, NULL, NULL, 15),
(152176, NULL, 'PTHR21513', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(152177, NULL, 'PTHR12277:SF64', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01760)-RELATED', NULL, NULL, NULL, 15),
(152178, NULL, 'PTHR23055:SF153', NULL, NULL, NULL, NULL, 'IP07559P', NULL, NULL, NULL, 15),
(152179, NULL, 'PTHR45693:SF52', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN, TRANSCRIPTION FACTOR TGA LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152180, NULL, 'PTHR23171:SF2', NULL, NULL, NULL, NULL, 'MYOCARDIAL ZONULA ADHERENS PROTEIN', NULL, NULL, 29302, 15),
(152181, NULL, 'PTHR33593:SF28', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT/KH DOMAIN PROTEIN (DUF1442)', NULL, NULL, NULL, 15),
(152182, NULL, 'PTHR35339:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152183, NULL, 'PTHR23430:SF204', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(152184, NULL, 'PTHR31388:SF146', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(152185, NULL, 'PTHR46819', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(152186, NULL, 'PTHR11588:SF301', NULL, NULL, NULL, NULL, 'TUBULIN BETA-7 CHAIN', NULL, NULL, NULL, 15),
(152187, NULL, 'PTHR13946:SF31', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB11-A-RELATED', NULL, NULL, NULL, 15),
(152188, NULL, 'PTHR33240', NULL, NULL, NULL, NULL, 'OS08G0508500 PROTEIN', NULL, NULL, NULL, 15),
(152189, NULL, 'PTHR24072:SF23', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHO6', NULL, NULL, NULL, 15),
(152190, NULL, 'PTHR47990:SF31', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(152191, NULL, 'PTHR43874:SF111', NULL, NULL, NULL, NULL, 'BNAC05G07990D PROTEIN', NULL, NULL, NULL, 15),
(152192, NULL, 'PTHR11521:SF24', NULL, NULL, NULL, NULL, 'TROPONIN T', NULL, NULL, NULL, 15),
(152193, NULL, 'PTHR23056:SF125', NULL, NULL, NULL, NULL, 'BNAA03G11120D PROTEIN', NULL, NULL, NULL, 15),
(152194, NULL, 'PTHR48011:SF80', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(152195, NULL, 'PTHR26450:SF54', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(152196, NULL, 'PTHR10390:SF61', NULL, NULL, NULL, NULL, 'PROTEIN SINE OCULIS', NULL, NULL, NULL, 15),
(152197, NULL, 'PTHR13943:SF77', NULL, NULL, NULL, NULL, 'LRAT-LIKE DOMAIN', NULL, NULL, NULL, 15),
(152198, NULL, 'PTHR14063:SF8', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(152199, NULL, 'PTHR11926:SF1426', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152200, NULL, 'PTHR21017:SF18', NULL, NULL, NULL, NULL, 'PROTEIN NIPSNAP HOMOLOG 3B', NULL, NULL, NULL, 15),
(152201, NULL, 'PTHR26450:SF0', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152202, NULL, 'PTHR36374', NULL, NULL, NULL, NULL, 'OS01G0969000 PROTEIN', NULL, NULL, NULL, 15),
(152203, NULL, 'PTHR26450:SF375', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(152204, NULL, 'PTHR48002:SF62', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4D2', NULL, NULL, NULL, 15),
(152205, NULL, 'PTHR24300:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2D6-RELATED', NULL, NULL, NULL, 15),
(152206, NULL, 'PTHR10744:SF39', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11', NULL, NULL, NULL, 15),
(152207, NULL, 'PTHR23515:SF29', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER 2.4', NULL, NULL, NULL, 15),
(152208, NULL, 'PTHR47351:SF1', NULL, NULL, NULL, NULL, 'CHITIN BIOSYNTHESIS PROTEIN CHS5', NULL, NULL, NULL, 15),
(152209, NULL, 'PTHR12231:SF242', NULL, NULL, NULL, NULL, 'ROUNDABOUT HOMOLOG 2', NULL, NULL, NULL, 15),
(152210, NULL, 'PTHR31100:SF51', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 29', NULL, NULL, NULL, 15),
(152211, NULL, 'PTHR14272:SF4', NULL, NULL, NULL, NULL, 'SERTA DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(152212, NULL, 'PTHR23515:SF12', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER 2.4-LIKE', NULL, NULL, NULL, 15),
(152213, NULL, 'PTHR43391:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152214, NULL, 'PTHR43195:SF1', NULL, NULL, NULL, NULL, 'FI06132P-RELATED', NULL, NULL, NULL, 15),
(152215, NULL, 'PTHR31086:SF74', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(152216, NULL, 'PTHR24365:SF543', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 13', NULL, NULL, NULL, 15),
(152217, NULL, 'PTHR33738:SF19', NULL, NULL, NULL, NULL, 'BNAC08G26600D PROTEIN', NULL, NULL, NULL, 15),
(152218, NULL, 'PTHR22933:SF18', NULL, NULL, NULL, NULL, 'AGAP009479-PA', NULL, NULL, NULL, 15),
(152219, NULL, 'PTHR15454:SF54', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152220, NULL, 'PTHR24249:SF392', NULL, NULL, NULL, NULL, 'G-PROTEIN-COUPLED RECEPTOR 52', NULL, NULL, NULL, 15),
(152221, NULL, 'PTHR34539:SF3', NULL, NULL, NULL, NULL, 'BNACNNG70820D PROTEIN', NULL, NULL, NULL, 15),
(152222, NULL, 'PTHR28615:SF1', NULL, NULL, NULL, NULL, 'PAK4-INHIBITOR INKA1', NULL, NULL, NULL, 15),
(152223, NULL, 'PTHR35023:SF1', NULL, NULL, NULL, NULL, 'CHELATASE-RELATED', NULL, NULL, NULL, 15),
(152224, NULL, 'PTHR13924:SF4', NULL, NULL, NULL, NULL, 'TRANSFORMING ACIDIC COILED-COIL-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(152225, NULL, 'PTHR33623:SF18', NULL, NULL, NULL, NULL, 'BNAA03G01010D PROTEIN', NULL, NULL, NULL, 15),
(152226, NULL, 'PTHR23155:SF1032', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152227, NULL, 'PTHR11638:SF156', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE', NULL, NULL, NULL, 15),
(152228, NULL, 'PTHR23262:SF50', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-3-RELATED', NULL, NULL, NULL, 15),
(152229, NULL, 'PTHR31052:SF28', NULL, NULL, NULL, NULL, 'COBRA, PLANT-RELATED', NULL, NULL, NULL, 15),
(152230, NULL, 'PTHR37418', NULL, NULL, NULL, NULL, '3-KETO-5-AMINOHEXANOATE CLEAVAGE ENZYME-RELATED', NULL, NULL, 13084, 15),
(152231, NULL, 'PTHR24253:SF32', NULL, NULL, NULL, NULL, 'TRYPTASE DELTA 1', NULL, NULL, NULL, 15),
(152232, NULL, 'PTHR11267:SF170', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX-8', NULL, NULL, NULL, 15),
(152233, NULL, 'PTHR31223:SF64', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15),
(152234, NULL, 'PTHR45613:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152235, NULL, 'PTHR34222:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152236, NULL, 'PTHR34114:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152237, NULL, 'PTHR35172:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152238, NULL, 'PTHR16674', NULL, NULL, NULL, NULL, 'B-LYMPHOCYTE ANTIGEN CD19', NULL, NULL, 39144, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152239, NULL, 'PTHR33783:SF4', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 9', NULL, NULL, 31304, 15),
(152240, NULL, 'PTHR24103:SF617', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM7', NULL, NULL, NULL, 15),
(152241, NULL, 'PTHR42852:SF13', NULL, NULL, NULL, NULL, 'REDOXIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(152242, NULL, 'PTHR24147', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 36-RELATED', NULL, NULL, NULL, 15),
(152243, NULL, 'PTHR31218:SF252', NULL, NULL, NULL, NULL, 'NODULIN MTN21 /EAMA-LIKE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(152244, NULL, 'PTHR10795:SF580', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', NULL, NULL, NULL, 15),
(152245, NULL, 'PTHR36833:SF2', NULL, NULL, NULL, NULL, 'SLR0610 PROTEIN', NULL, NULL, NULL, 15),
(152246, NULL, 'PTHR12469', NULL, NULL, NULL, NULL, 'PROTEIN EMI5 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(152247, NULL, 'PTHR10231:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152248, NULL, 'PTHR45619:SF45', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(152249, NULL, 'PTHR12197:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152250, NULL, 'PTHR33347:SF17', NULL, NULL, NULL, NULL, 'BNACNNG48440D PROTEIN', NULL, NULL, NULL, 15),
(152251, NULL, 'PTHR40132:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152252, NULL, 'PTHR31080:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152253, NULL, 'PTHR45931:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152254, NULL, 'PTHR42861:SF91', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(152255, NULL, 'PTHR38772:SF1', NULL, NULL, NULL, NULL, 'NUCLEOID-ASSOCIATED PROTEIN YEJK', NULL, NULL, NULL, 15),
(152256, NULL, 'PTHR47979:SF28', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1F-LIKE', NULL, NULL, NULL, 15),
(152257, NULL, 'PTHR10795:SF600', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152258, NULL, 'PTHR45650:SF61', NULL, NULL, NULL, NULL, 'BNAA09G17740D PROTEIN', NULL, NULL, NULL, 15),
(152259, NULL, 'PTHR42810', NULL, NULL, NULL, NULL, 'PURINE PERMEASE C1399.01C-RELATED', NULL, NULL, NULL, 15),
(152260, NULL, 'PTHR12290:SF22', NULL, NULL, NULL, NULL, 'CORNICHON FAMILY PROTEIN', NULL, NULL, NULL, 15),
(152261, NULL, 'PTHR34700:SF3', NULL, NULL, NULL, NULL, 'PHAGE-LIKE ELEMENT PBSX PROTEIN XKDQ', NULL, NULL, NULL, 15),
(152262, NULL, 'PTHR46082', NULL, NULL, NULL, NULL, 'ATP/GTP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152263, NULL, 'PTHR31218:SF298', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(152264, NULL, 'PTHR46560', NULL, NULL, NULL, NULL, 'CYPHER, ISOFORM B', NULL, NULL, NULL, 15),
(152265, NULL, 'PTHR31415:SF79', NULL, NULL, NULL, NULL, 'OS05G0203150 PROTEIN', NULL, NULL, NULL, 15),
(152266, NULL, 'PTHR31251:SF134', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(152267, NULL, 'PTHR33095:SF79', NULL, NULL, NULL, NULL, 'BNAA05G33800D PROTEIN', NULL, NULL, NULL, 15),
(152268, NULL, 'PTHR38366:SF1', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE HST1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152269, NULL, 'PTHR46162:SF22', NULL, NULL, NULL, NULL, 'BNAC04G11900D PROTEIN', NULL, NULL, NULL, 15),
(152270, NULL, 'PTHR46151:SF19', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(152271, NULL, 'PTHR47977:SF37', NULL, NULL, NULL, NULL, 'EG:80H7.4 PROTEIN', NULL, NULL, NULL, 15),
(152272, NULL, 'PTHR30419', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YBHD', NULL, NULL, NULL, 15),
(152273, NULL, 'PTHR31080:SF27', NULL, NULL, NULL, NULL, 'OS07G0244800 PROTEIN', NULL, NULL, NULL, 15),
(152274, NULL, 'PTHR15241:SF291', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 39 ISOFORM X1', NULL, NULL, NULL, 15),
(152275, NULL, 'PTHR31325:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152276, NULL, 'PTHR23020:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG23052', NULL, NULL, NULL, 15),
(152277, NULL, 'PTHR46225:SF1', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(152278, NULL, 'PTHR11476:SF10', NULL, NULL, NULL, NULL, 'EIF-2-ALPHA KINASE GCN2', NULL, NULL, NULL, 15),
(152279, NULL, 'PTHR11614:SF152', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN', NULL, NULL, NULL, 15),
(152280, NULL, 'PTHR44974', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 27317, 15),
(152281, NULL, 'PTHR22802:SF400', NULL, NULL, NULL, NULL, 'CD209 ANTIGEN', NULL, NULL, NULL, 15),
(152282, NULL, 'PTHR45757:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CBG12164', NULL, NULL, NULL, 15),
(152283, NULL, 'PTHR23267:SF440', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-V REGION J606-RELATED', NULL, NULL, NULL, 15),
(152284, NULL, 'PTHR13139:SF54', NULL, NULL, NULL, NULL, 'LD12033P', NULL, NULL, NULL, 15),
(152285, NULL, 'PTHR24399', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(152286, NULL, 'PTHR31739:SF23', NULL, NULL, NULL, NULL, 'ENT-COPALYL DIPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(152287, NULL, 'PTHR48017:SF54', NULL, NULL, NULL, NULL, 'GABA TRANSPORTER 2-RELATED', NULL, NULL, NULL, 15),
(152288, NULL, 'PTHR40710:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA E230025N22 GENE', NULL, NULL, NULL, 15),
(152289, NULL, 'PTHR11926:SF1346', NULL, NULL, NULL, NULL, 'BNAA03G01780D PROTEIN', NULL, NULL, NULL, 15),
(152290, NULL, 'PTHR31254', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC690617', NULL, NULL, 29199, 15),
(152291, NULL, 'PTHR46084:SF21', NULL, NULL, NULL, NULL, 'PROTEIN MALE DISCOVERER 1', NULL, NULL, NULL, 15),
(152292, NULL, 'PTHR13683:SF820', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152293, NULL, 'PTHR24092:SF52', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE FETA', NULL, NULL, 27945, 15),
(152294, NULL, 'PTHR24253:SF117', NULL, NULL, NULL, NULL, 'SERINE PROTEASE-LIKE PROTEIN 51', NULL, NULL, NULL, 15),
(152295, NULL, 'PTHR10623:SF29', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN RP/EB FAMILY MEMBER 1B', NULL, NULL, NULL, 15),
(152296, NULL, 'PTHR12673:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152297, NULL, 'PTHR39654', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152298, NULL, 'PTHR10454:SF198', NULL, NULL, NULL, NULL, 'CASPASE-3', NULL, NULL, NULL, 15),
(152299, NULL, 'PTHR10574:SF408', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152300, NULL, 'PTHR10887:SF476', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152301, NULL, 'PTHR28665:SF1', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(152302, NULL, 'PTHR31916', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 19185, 15),
(152303, NULL, 'PTHR12176:SF70', NULL, NULL, NULL, NULL, 'EEF1A LYSINE AND N-TERMINAL METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(152304, NULL, 'PTHR31218:SF246', NULL, NULL, NULL, NULL, 'OSJNBA0008M17.14 PROTEIN', NULL, NULL, NULL, 15),
(152305, NULL, 'PTHR24068:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152306, NULL, 'PTHR35140:SF1', NULL, NULL, NULL, NULL, 'MITOTIC CHECK POINT PROTEIN BFA1', NULL, NULL, NULL, 15),
(152307, NULL, 'PTHR21654:SF64', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GTL1-LIKE', NULL, NULL, NULL, 15),
(152308, NULL, 'PTHR31080:SF90', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.20 PROTEIN', NULL, NULL, NULL, 15),
(152309, NULL, 'PTHR23148:SF0', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 1', NULL, NULL, NULL, 15),
(152310, NULL, 'PTHR32196:SF62', NULL, NULL, NULL, NULL, 'AUTOINDUCER 2 IMPORT SYSTEM PERMEASE PROTEIN LSRD', NULL, NULL, NULL, 15),
(152311, NULL, 'PTHR46925', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR TKR-1-RELATED', NULL, NULL, NULL, 15),
(152312, NULL, 'PTHR42759:SF5', NULL, NULL, NULL, NULL, 'METHANOL DEHYDROGENASE REGULATORY PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152313, NULL, 'PTHR43053:SF3', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE C-RELATED', NULL, NULL, NULL, 15),
(152314, NULL, 'PTHR31677:SF135', NULL, NULL, NULL, NULL, 'BNAC03G58550D PROTEIN', NULL, NULL, NULL, 15),
(152315, NULL, 'PTHR24206:SF93', NULL, NULL, NULL, NULL, 'BNAC04G50470D PROTEIN', NULL, NULL, NULL, 15),
(152316, NULL, 'PTHR12236:SF18', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 66D', NULL, NULL, NULL, 15),
(152317, NULL, 'PTHR26452:SF334', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(152318, NULL, 'PTHR11360:SF80', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 11', NULL, NULL, 25595, 15),
(152319, NULL, 'PTHR24082:SF495', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1, GROUP D, MEMBER 4B', NULL, NULL, NULL, 15),
(152320, NULL, 'PTHR45642:SF45', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(152321, NULL, 'PTHR10134:SF31', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE-2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(152322, NULL, 'PTHR48041:SF59', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(152323, NULL, 'PTHR32370:SF156', NULL, NULL, NULL, NULL, 'BNAANNG05180D PROTEIN', NULL, NULL, NULL, 15),
(152324, NULL, 'PTHR30514:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(152325, NULL, 'PTHR24222:SF0', NULL, NULL, NULL, NULL, 'ALKALINE PROTEASE SECRETION ATP-BINDING PROTEIN APRD', NULL, NULL, 10835, 15),
(152326, NULL, 'PTHR31509:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152327, NULL, 'PTHR10257:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(152328, NULL, 'PTHR31557:SF3', NULL, NULL, NULL, NULL, 'PROTEIN UP-REGULATED IN DAF-2(GF)', NULL, NULL, NULL, 15),
(152329, NULL, 'PTHR47256:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(152330, NULL, 'PTHR11711:SF172', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 11', NULL, NULL, NULL, 15),
(152331, NULL, 'PTHR45707:SF57', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(152332, NULL, 'PTHR32083:SF43', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE', NULL, NULL, NULL, 15),
(152333, NULL, 'PTHR10408:SF16', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL O-ACYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(152334, NULL, 'PTHR38004', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 33', NULL, NULL, NULL, 15),
(152335, NULL, 'PTHR10694:SF122', NULL, NULL, NULL, NULL, 'JMJC DOMAIN, JMJN DOMAIN, ZINC FINGER, C5HC2-TYPE-RELATED', NULL, NULL, NULL, 15),
(152336, NULL, 'PTHR11158:SF20', NULL, NULL, NULL, NULL, 'PRELI DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(152337, NULL, 'PTHR43281:SF6', NULL, NULL, NULL, NULL, 'HETERODIMERIC GERANYLGERANYL PYROPHOSPHATE SYNTHASE SMALL SUBUNIT, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(152338, NULL, 'PTHR31339:SF15', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(152339, NULL, 'PTHR48040:SF15', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(152340, NULL, 'PTHR32191:SF45', NULL, NULL, NULL, NULL, 'TETRASPANIN-8-LIKE', NULL, NULL, NULL, 15),
(152341, NULL, 'PTHR19277:SF24', NULL, NULL, NULL, NULL, 'NEURONAL PENTRAXIN-1', NULL, NULL, NULL, 15),
(152342, NULL, 'PTHR46373:SF7', NULL, NULL, NULL, NULL, 'PROTEIN RKD2', NULL, NULL, NULL, 15),
(152343, NULL, 'PTHR31729', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-1-RELATED', NULL, NULL, NULL, 15),
(152344, NULL, 'PTHR13491:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', NULL, NULL, NULL, 15),
(152345, NULL, 'PTHR11442:SF84', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT EPSILON-Y2', NULL, NULL, NULL, 15),
(152346, NULL, 'PTHR31072:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP14', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152347, NULL, 'PTHR32227:SF317', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 14-LIKE', NULL, NULL, NULL, 15),
(152348, NULL, 'PTHR27006:SF254', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152349, NULL, 'PTHR31325:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152350, NULL, 'PTHR20981:SF25', NULL, NULL, NULL, NULL, 'BNACNNG19840D PROTEIN', NULL, NULL, NULL, 15),
(152351, NULL, 'PTHR44394', NULL, NULL, NULL, NULL, 'BETA-ALANINE-ACTIVATING ENZYME', NULL, NULL, NULL, 15),
(152352, NULL, 'PTHR37754', NULL, NULL, NULL, NULL, 'CALCIUM ION-BINDING PROTEIN', NULL, NULL, NULL, 15),
(152353, NULL, 'PTHR31265:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152354, NULL, 'PTHR26453:SF315', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13C9', NULL, NULL, NULL, 15),
(152355, NULL, 'PTHR36948', NULL, NULL, NULL, NULL, 'PROTEIN CBG04856', NULL, NULL, NULL, 15),
(152356, NULL, 'PTHR11267:SF185', NULL, NULL, NULL, NULL, 'T-BOX 19', NULL, NULL, NULL, 15),
(152357, NULL, 'PTHR48040:SF27', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3', NULL, NULL, NULL, 15),
(152358, NULL, 'PTHR10809:SF119', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 1-2-RELATED', NULL, NULL, NULL, 15),
(152359, NULL, 'PTHR45674:SF12', NULL, NULL, NULL, NULL, 'ATP DEPENDENT DNA LIGASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(152360, NULL, 'PTHR23259', NULL, NULL, NULL, NULL, 'RIDDLE', NULL, NULL, NULL, 15),
(152361, NULL, 'PTHR21230:SF35', NULL, NULL, NULL, NULL, 'PLANT SNARE 11, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(152362, NULL, 'PTHR12879:SF17', NULL, NULL, NULL, NULL, 'SPHINGOLIPID DELTA(4)-DESATURASE DES1-LIKE', NULL, NULL, NULL, 15),
(152363, NULL, 'PTHR10383:SF9', NULL, NULL, NULL, NULL, 'TMS1, ISOFORM F', NULL, NULL, 22480, 15),
(152364, NULL, 'PTHR35099:SF9', NULL, NULL, NULL, NULL, 'BNAA09G56590D PROTEIN', NULL, NULL, NULL, 15),
(152365, NULL, 'PTHR24241:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152366, NULL, 'PTHR11886:SF55', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN 2, CYTOPLASMIC-RELATED', NULL, NULL, NULL, 15),
(152367, NULL, 'PTHR11119:SF105', NULL, NULL, NULL, NULL, 'XANTHINE/URACIL/VITAMIN C PERMEASE-RELATED', NULL, NULL, NULL, 15),
(152368, NULL, 'PTHR10168:SF204', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C6-LIKE', NULL, NULL, NULL, 15),
(152369, NULL, 'PTHR43245:SF26', NULL, NULL, NULL, NULL, 'BLR5423 PROTEIN', NULL, NULL, NULL, 15),
(152370, NULL, 'PTHR47032:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(152371, NULL, 'PTHR22765:SF328', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 11 RING-H2 FINGER PROTEIN', NULL, NULL, NULL, 15),
(152372, NULL, 'PTHR34781:SF7', NULL, NULL, NULL, NULL, 'BNAA07G08940D PROTEIN', NULL, NULL, NULL, 15),
(152373, NULL, 'PTHR12287', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR KINASE SUBSTRATE EPS8-RELATED PROTEIN', NULL, NULL, 29708, 15),
(152374, NULL, 'PTHR31080:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152375, NULL, 'PTHR31432:SF0', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 74 HOMOLOG', NULL, NULL, NULL, 15),
(152376, NULL, 'PTHR20982:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOME RECYCLING FACTOR', NULL, NULL, NULL, 15),
(152377, NULL, 'PTHR12483:SF31', NULL, NULL, NULL, NULL, 'PROTEIN CBG25193', NULL, NULL, NULL, 15),
(152378, NULL, 'PTHR12044:SF11', NULL, NULL, NULL, NULL, 'SLP ADAPTER AND CSK-INTERACTING MEMBRANE PROTEIN', NULL, NULL, 21556, 15),
(152379, NULL, 'PTHR24169:SF4', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE C-REL', NULL, NULL, 23842, 15),
(152380, NULL, 'PTHR47151:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-SPECIFIC-BINDING PROTEIN', NULL, NULL, NULL, 15),
(152381, NULL, 'PTHR12848:SF18', NULL, NULL, NULL, NULL, 'BNAA05G37130D PROTEIN', NULL, NULL, NULL, 15),
(152382, NULL, 'PTHR24064:SF486', NULL, NULL, NULL, NULL, 'HIGH AFFINITY INORGANIC PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152383, NULL, 'PTHR48042:SF12', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(152384, NULL, 'PTHR47415', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152385, NULL, 'PTHR10641:SF1300', NULL, NULL, NULL, NULL, 'MYB33', NULL, NULL, NULL, 15),
(152386, NULL, 'PTHR24095:SF245', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE 2', NULL, NULL, NULL, 15),
(152387, NULL, 'PTHR31985:SF155', NULL, NULL, NULL, NULL, 'DREB-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152388, NULL, 'PTHR10773', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC2', NULL, NULL, NULL, 15),
(152389, NULL, 'PTHR32215:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 57', NULL, NULL, NULL, 15),
(152390, NULL, 'PTHR23150', NULL, NULL, NULL, NULL, 'SULFATASE MODIFYING FACTOR 1, 2', NULL, NULL, NULL, 15),
(152391, NULL, 'PTHR47990:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152392, NULL, 'PTHR43715:SF3', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 4,6 DEHYDRATASE 1-LIKE', NULL, NULL, NULL, 15),
(152393, NULL, 'PTHR24298:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A3', NULL, NULL, NULL, 15),
(152394, NULL, 'PTHR11566:SF173', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED GTP-BINDING PROTEIN MX', NULL, NULL, NULL, 15),
(152395, NULL, 'PTHR24056:SF405', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', NULL, NULL, NULL, 15),
(152396, NULL, 'PTHR11562:SF54', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN B', NULL, NULL, NULL, 15),
(152397, NULL, 'PTHR12233:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 26C', NULL, NULL, NULL, 15),
(152398, NULL, 'PTHR10291:SF40', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(152399, NULL, 'PTHR27002:SF811', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152400, NULL, 'PTHR14094', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 72', NULL, NULL, 23800, 15),
(152401, NULL, 'PTHR33177:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152402, NULL, 'PTHR22883:SF11', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC21', NULL, NULL, NULL, 15),
(152403, NULL, 'PTHR35316', NULL, NULL, NULL, NULL, '28S RIBOSOMAL S34 PROTEIN', NULL, NULL, NULL, 15),
(152404, NULL, 'PTHR33695:SF1', NULL, NULL, NULL, NULL, 'LIPOPROTEIN SIGNAL PEPTIDASE', NULL, NULL, NULL, 15),
(152405, NULL, 'PTHR18976:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152406, NULL, 'PTHR47981:SF16', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(152407, NULL, 'PTHR24384:SF219', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(152408, NULL, 'PTHR46784:SF2', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY B MEMBER 1', NULL, NULL, NULL, 15),
(152409, NULL, 'PTHR38479', NULL, NULL, NULL, NULL, 'LMO0824 PROTEIN', NULL, NULL, NULL, 15),
(152410, NULL, 'PTHR34685:SF2', NULL, NULL, NULL, NULL, 'RED CHLOROPHYLL CATABOLITE REDUCTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(152411, NULL, 'PTHR10671:SF42', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 202', NULL, NULL, NULL, 15),
(152412, NULL, 'PTHR31286:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152413, NULL, 'PTHR43563:SF5', NULL, NULL, NULL, NULL, 'AMINE OXIDASE [FLAVIN-CONTAINING] B', NULL, NULL, NULL, 15),
(152414, NULL, 'PTHR10372:SF31', NULL, NULL, NULL, NULL, 'CATENIN (CADHERIN-ASSOCIATED PROTEIN), DELTA 2B', NULL, NULL, NULL, 15),
(152415, NULL, 'PTHR11987:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152416, NULL, 'PTHR10884:SF18', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT J, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(152417, NULL, 'PTHR44516:SF10', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TYPE 11, S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(152418, NULL, 'PTHR46598:SF2', NULL, NULL, NULL, NULL, 'OS01G0788900 PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152419, NULL, 'PTHR48205', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152420, NULL, 'PTHR24221:SF549', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 4-LIKE', NULL, NULL, NULL, 15),
(152421, NULL, 'PTHR21231:SF8', NULL, NULL, NULL, NULL, 'GPN-LOOP GTPASE 1', NULL, NULL, 28592, 15),
(152422, NULL, 'PTHR14360:SF22', NULL, NULL, NULL, NULL, 'FMP32-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152423, NULL, 'PTHR46854:SF2', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE-LIKE 4', NULL, NULL, NULL, 15),
(152424, NULL, 'PTHR11002:SF17', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 2', NULL, NULL, NULL, 15),
(152425, NULL, 'PTHR11254:SF398', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(152426, NULL, 'PTHR12725:SF114', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF DISRUPTION OF TFIIS-LIKE', NULL, NULL, NULL, 15),
(152427, NULL, 'PTHR21717:SF73', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(152428, NULL, 'PTHR47116:SF22', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(152429, NULL, 'PTHR13326:SF22', NULL, NULL, NULL, NULL, 'PSEUDOURIDYLATE SYNTHASE 7 HOMOLOG-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152430, NULL, 'PTHR11566:SF39', NULL, NULL, NULL, NULL, 'DYNAMIN-1-LIKE PROTEIN', NULL, NULL, 24373, 15),
(152431, NULL, 'PTHR24223:SF367', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY PROTEIN', NULL, NULL, NULL, 15),
(152432, NULL, 'PTHR43085:SF24', NULL, NULL, NULL, NULL, 'FRUCTOKINASE-2-RELATED', NULL, NULL, NULL, 15),
(152433, NULL, 'PTHR11706:SF86', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP2-LIKE', NULL, NULL, NULL, 15),
(152434, NULL, 'PTHR11530:SF13', NULL, NULL, NULL, NULL, 'D-ASPARTATE OXIDASE 2', NULL, NULL, NULL, 15),
(152435, NULL, 'PTHR14965:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152436, NULL, 'PTHR23227:SF57', NULL, NULL, NULL, NULL, 'RE36623P', NULL, NULL, NULL, 15),
(152437, NULL, 'PTHR43675:SF19', NULL, NULL, NULL, NULL, 'BNACNNG54600D PROTEIN', NULL, NULL, NULL, 15),
(152438, NULL, 'PTHR12411:SF723', NULL, NULL, NULL, NULL, 'PROTEASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(152439, NULL, 'PTHR48063:SF32', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(152440, NULL, 'PTHR31238:SF201', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152441, NULL, 'PTHR12203:SF100', NULL, NULL, NULL, NULL, 'BNAC05G05020D PROTEIN', NULL, NULL, NULL, 15),
(152442, NULL, 'PTHR13832:SF233', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1F', NULL, NULL, NULL, 15),
(152443, NULL, 'PTHR34203:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE, FKBM FAMILY PROTEIN', NULL, NULL, NULL, 15),
(152444, NULL, 'PTHR10093:SF19', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY PROTEIN 1', NULL, NULL, NULL, 15),
(152445, NULL, 'PTHR45763:SF48', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152446, NULL, 'PTHR36011', NULL, NULL, NULL, NULL, 'BAT2 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(152447, NULL, 'PTHR24012:SF712', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(152448, NULL, 'PTHR43671:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK10', NULL, NULL, NULL, 15),
(152449, NULL, 'PTHR28155', NULL, NULL, NULL, NULL, 'ACR243WP', NULL, NULL, NULL, 15),
(152450, NULL, 'PTHR23093:SF16', NULL, NULL, NULL, NULL, 'SIMILAR TO CHROMOSOME 3 OPEN READING FRAME 20', NULL, NULL, NULL, 15),
(152451, NULL, 'PTHR10896:SF33', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS04G0103100-RELATED', NULL, NULL, NULL, 15),
(152452, NULL, 'PTHR23285:SF8', NULL, NULL, NULL, NULL, 'RNA-BINDING E3 UBIQUITIN-PROTEIN LIGASE MEX3C', NULL, NULL, NULL, 15),
(152453, NULL, 'PTHR10257:SF85', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(152454, NULL, 'PTHR31296', NULL, NULL, NULL, NULL, 'UPF0565 PROTEIN C2ORF69', NULL, NULL, 21094, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152455, NULL, 'PTHR47887:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-LIKE 1', NULL, NULL, NULL, 15),
(152456, NULL, 'PTHR27001:SF858', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 5', NULL, NULL, NULL, 15),
(152457, NULL, 'PTHR28434', NULL, NULL, NULL, NULL, 'PROTEIN C3ORF33', NULL, NULL, 36649, 15),
(152458, NULL, 'PTHR23502:SF149', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(152459, NULL, 'PTHR45703:SF21', NULL, NULL, NULL, NULL, 'DYNEIN BETA CHAIN, CILIARY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(152460, NULL, 'PTHR33147:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152461, NULL, 'PTHR45684:SF6', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1A', NULL, NULL, NULL, 15),
(152462, NULL, 'PTHR26450:SF52', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 680, PSEUDOGENE 1-RELATED', NULL, NULL, NULL, 15),
(152463, NULL, 'PTHR19282:SF402', NULL, NULL, NULL, NULL, 'FI23944P1-RELATED', NULL, NULL, NULL, 15),
(152464, NULL, 'PTHR31374:SF314', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(152465, NULL, 'PTHR11630:SF26', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM7', NULL, NULL, 5047, 15),
(152466, NULL, 'PTHR31190:SF194', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(152467, NULL, 'PTHR23427:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04160', NULL, NULL, NULL, 15),
(152468, NULL, 'PTHR32370:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152469, NULL, 'PTHR11101:SF10', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(152470, NULL, 'PTHR23103:SF15', NULL, NULL, NULL, NULL, 'AMYLOID-BETA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152471, NULL, 'PTHR23056:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152472, NULL, 'PTHR33349:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(152473, NULL, 'PTHR48038', NULL, NULL, NULL, NULL, 'RIBONUCLEOPROTEIN RB97D', NULL, NULL, NULL, 15),
(152474, NULL, 'PTHR47946:SF3', NULL, NULL, NULL, NULL, 'OS08G0547300 PROTEIN', NULL, NULL, NULL, 15),
(152475, NULL, 'PTHR28602', NULL, NULL, NULL, NULL, 'ENDOTHELIAL CELL-SPECIFIC CHEMOTAXIS REGULATOR', NULL, NULL, 26278, 15),
(152476, NULL, 'PTHR12763:SF51', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM14-3', NULL, NULL, NULL, 15),
(152477, NULL, 'PTHR32428:SF3', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 5-LIKE', NULL, NULL, NULL, 15),
(152478, NULL, 'PTHR46679:SF1', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(152479, NULL, 'PTHR23500:SF567', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 12-LIKE', NULL, NULL, NULL, 15),
(152480, NULL, 'PTHR23257:SF711', NULL, NULL, NULL, NULL, 'CYCLIC GMP-BINDING PROTEIN C', NULL, NULL, NULL, 15),
(152481, NULL, 'PTHR24247:SF92', NULL, NULL, NULL, NULL, 'SEROTONIN/OCTOPAMINE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(152482, NULL, 'PTHR36520:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14667', NULL, NULL, NULL, 15),
(152483, NULL, 'PTHR15876:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN ADIPOCYTE-ASSOCIATED 1-RELATED', NULL, NULL, NULL, 15),
(152484, NULL, 'PTHR33248:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152485, NULL, 'PTHR31213:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152486, NULL, 'PTHR23273:SF36', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', NULL, NULL, NULL, 15),
(152487, NULL, 'PTHR10438:SF423', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(152488, NULL, 'PTHR31793:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152489, NULL, 'PTHR32018:SF36', NULL, NULL, NULL, NULL, 'BNACNNG48490D PROTEIN', NULL, NULL, NULL, 15),
(152490, NULL, 'PTHR32009:SF39', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(152491, NULL, 'PTHR46125:SF11', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 24-LIKE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152492, NULL, 'PTHR15298:SF13', NULL, NULL, NULL, NULL, 'GLYCINE N-ACYLTRANSFERASE-LIKE PROTEIN KEG1', NULL, NULL, NULL, 15),
(152493, NULL, 'PTHR13140:SF810', NULL, NULL, NULL, NULL, 'MYOSIN-2 ISOFORM X1', NULL, NULL, NULL, 15),
(152494, NULL, 'PTHR14256:SF3', NULL, NULL, NULL, NULL, 'NORMAL MUCOSA OF ESOPHAGUS-SPECIFIC GENE 1 PROTEIN', NULL, NULL, NULL, 15),
(152495, NULL, 'PTHR16433:SF0', NULL, NULL, NULL, NULL, 'DOLICHOL-PHOSPHATE MANNOSYLTRANSFERASE SUBUNIT 3', NULL, NULL, NULL, 15),
(152496, NULL, 'PTHR26454:SF27', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C1', NULL, NULL, NULL, 15),
(152497, NULL, 'PTHR45712:SF24', NULL, NULL, NULL, NULL, 'PODOCAN', NULL, NULL, NULL, 15),
(152498, NULL, 'PTHR20863:SF27', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(152499, NULL, 'PTHR13715:SF99', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR-LIKE PROTEIN A', NULL, NULL, NULL, 15),
(152500, NULL, 'PTHR33086:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152501, NULL, 'PTHR31113:SF24', NULL, NULL, NULL, NULL, 'UPF0496 PROTEIN', NULL, NULL, NULL, 15),
(152502, NULL, 'PTHR47641:SF3', NULL, NULL, NULL, NULL, 'VITELLINE MEMBRANE PROTEIN VM26AB-RELATED', NULL, NULL, NULL, 15),
(152503, NULL, 'PTHR46231', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND BTB/POZ DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 37585, 15),
(152504, NULL, 'PTHR10666:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152505, NULL, 'PTHR10210:SF96', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(152506, NULL, 'PTHR16451:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152507, NULL, 'PTHR34639', NULL, NULL, NULL, NULL, 'PROTEIN FLATTOP', NULL, NULL, 34840, 15),
(152508, NULL, 'PTHR35151:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152509, NULL, 'PTHR47976:SF53', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-5', NULL, NULL, NULL, 15),
(152510, NULL, 'PTHR24173:SF71', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX CONTAINING 16', NULL, NULL, NULL, 15),
(152511, NULL, 'PTHR42984', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACYLASE SIRTUIN-5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(152512, NULL, 'PTHR31836:SF5', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(152513, NULL, 'PTHR31942:SF102', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152514, NULL, 'PTHR33048:SF129', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G06670)', NULL, NULL, NULL, 15),
(152515, NULL, 'PTHR10795:SF549', NULL, NULL, NULL, NULL, 'OS01G0278950 PROTEIN', NULL, NULL, NULL, 15),
(152516, NULL, 'PTHR31674:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152517, NULL, 'PTHR10996:SF232', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE A HPR2-LIKE', NULL, NULL, NULL, 15),
(152518, NULL, 'PTHR13563:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG14899', NULL, NULL, NULL, 15),
(152519, NULL, 'PTHR43042:SF2', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(152520, NULL, 'PTHR31221:SF210', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', NULL, NULL, NULL, 15),
(152521, NULL, 'PTHR22835:SF602', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152522, NULL, 'PTHR11017:SF432', NULL, NULL, NULL, NULL, 'BNAA08G20170D PROTEIN', NULL, NULL, NULL, 15),
(152523, NULL, 'PTHR31674:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL FACTOR FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(152524, NULL, 'PTHR45669:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152525, NULL, 'PTHR31865:SF31', NULL, NULL, NULL, NULL, 'BNAC04G48880D PROTEIN', NULL, NULL, NULL, 15),
(152526, NULL, 'PTHR43991:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(152527, NULL, 'PTHR45952:SF19', NULL, NULL, NULL, NULL, 'ALUMINUM INDUCED PROTEIN WITH YGL AND LRDR MOTIFS', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152528, NULL, 'PTHR31964:SF128', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(152529, NULL, 'PTHR35128', NULL, NULL, NULL, NULL, 'SECRETION-REGULATING GUANINE NUCLEOTIDE EXCHANGE FACTOR', NULL, NULL, NULL, 15),
(152530, NULL, 'PTHR10606:SF48', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE/FRUCTOSE-2,6-BISPHOSPHATASE 2', NULL, NULL, NULL, 15),
(152531, NULL, 'PTHR19960:SF25', NULL, NULL, NULL, NULL, 'TEKTIN-1', NULL, NULL, NULL, 15),
(152532, NULL, 'PTHR24177:SF216', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN NPR4', NULL, NULL, NULL, 15),
(152533, NULL, 'PTHR10168:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152534, NULL, 'PTHR10267:SF0', NULL, NULL, NULL, NULL, 'DNA POLYMERASE SUBUNIT GAMMA-1', NULL, NULL, NULL, 15),
(152535, NULL, 'PTHR10795:SF588', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.7', NULL, NULL, NULL, 15),
(152536, NULL, 'PTHR11005:SF82', NULL, NULL, NULL, NULL, 'AB-HYDROLASE ASSOCIATED LIPASE REGION CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(152537, NULL, 'PTHR31942:SF79', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(152538, NULL, 'PTHR23028:SF122', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(152539, NULL, 'PTHR46232:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152540, NULL, 'PTHR22953:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152541, NULL, 'PTHR34542:SF1', NULL, NULL, NULL, NULL, 'OS08G0359900 PROTEIN', NULL, NULL, NULL, 15),
(152542, NULL, 'PTHR15088', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR RIP140', NULL, NULL, 24274, 15),
(152543, NULL, 'PTHR23189:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152544, NULL, 'PTHR32241:SF8', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(152545, NULL, 'PTHR24361', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED KINASE KINASE KINASE', NULL, NULL, NULL, 15),
(152546, NULL, 'PTHR31509:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152547, NULL, 'PTHR15437:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(152548, NULL, 'PTHR28230', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, 33677, 15),
(152549, NULL, 'PTHR31987', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152550, NULL, 'PTHR23084:SF212', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(152551, NULL, 'PTHR10969:SF57', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(152552, NULL, 'PTHR34799:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152553, NULL, 'PTHR31985:SF168', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152554, NULL, 'PTHR10245:SF118', NULL, NULL, NULL, NULL, 'MULTIPROTEIN BRIDGING FACTOR 1B', NULL, NULL, NULL, 15),
(152555, NULL, 'PTHR24015:SF1740', NULL, NULL, NULL, NULL, 'OS03G0435200 PROTEIN', NULL, NULL, NULL, 15),
(152556, NULL, 'PTHR47992:SF71', NULL, NULL, NULL, NULL, 'BNAA09G54860D PROTEIN', NULL, NULL, NULL, 15),
(152557, NULL, 'PTHR45900:SF4', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RECA HOMOLOG 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(152558, NULL, 'PTHR31115:SF8', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASES SUBUNIT 3-RELATED', NULL, NULL, NULL, 15),
(152559, NULL, 'PTHR31989:SF364', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 45-LIKE', NULL, NULL, NULL, 15),
(152560, NULL, 'PTHR22978:SF30', NULL, NULL, NULL, NULL, 'PROTEIN BTG1', NULL, NULL, 29791, 15),
(152561, NULL, 'PTHR24356:SF391', NULL, NULL, NULL, NULL, 'BNAC09G50620D PROTEIN', NULL, NULL, NULL, 15),
(152562, NULL, 'PTHR42862:SF1', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE DEHYDROGENASE 1, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(152563, NULL, 'PTHR31165:SF66', NULL, NULL, NULL, NULL, 'BNAC03G62760D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152564, NULL, 'PTHR39965', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMR SUBUNIT CMR6', NULL, NULL, 10587, 15),
(152565, NULL, 'PTHR11207:SF26', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(152566, NULL, 'PTHR47815:SF1', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A FAMILY PROTEIN C25B2.10', NULL, NULL, NULL, 15),
(152567, NULL, 'PTHR23500:SF517', NULL, NULL, NULL, NULL, 'SUGAR CARRIER PROTEIN C-LIKE', NULL, NULL, NULL, 15),
(152568, NULL, 'PTHR47928:SF149', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(152569, NULL, 'PTHR11360:SF230', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G12790)-RELATED', NULL, NULL, NULL, 15),
(152570, NULL, 'PTHR10314:SF215', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(152571, NULL, 'PTHR13946:SF28', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I AND III SUBUNIT RPAC2', NULL, NULL, NULL, 15),
(152572, NULL, 'PTHR45717:SF31', NULL, NULL, NULL, NULL, 'BNAC05G00050D PROTEIN', NULL, NULL, NULL, 15),
(152573, NULL, 'PTHR10799:SF959', NULL, NULL, NULL, NULL, 'ATPASE (EUROFUNG)', NULL, NULL, NULL, 15),
(152574, NULL, 'PTHR13848:SF79', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(152575, NULL, 'PTHR31791:SF64', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152576, NULL, 'PTHR47327:SF2', NULL, NULL, NULL, NULL, 'FI18240P1-RELATED', NULL, NULL, NULL, 15),
(152577, NULL, 'PTHR45809:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152578, NULL, 'PTHR47924:SF40', NULL, NULL, NULL, NULL, 'BNAA09G52240D PROTEIN', NULL, NULL, NULL, 15),
(152579, NULL, 'PTHR12673:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152580, NULL, 'PTHR37534:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN UME6', NULL, NULL, NULL, 15),
(152581, NULL, 'PTHR14788:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 156', NULL, NULL, NULL, 15),
(152582, NULL, 'PTHR28576:SF2', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED PROTEIN 5', NULL, NULL, NULL, 15),
(152583, NULL, 'PTHR46458:SF1', NULL, NULL, NULL, NULL, 'NEUROGLOBIN', NULL, NULL, NULL, 15),
(152584, NULL, 'PTHR43341:SF5', NULL, NULL, NULL, NULL, 'S-METHYLMETHIONINE PERMEASE-RELATED', NULL, NULL, NULL, 15),
(152585, NULL, 'PTHR14096:SF39', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L4', NULL, NULL, NULL, 15),
(152586, NULL, 'PTHR30055:SF175', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(152587, NULL, 'PTHR24286:SF274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152588, NULL, 'PTHR45740:SF10', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN', NULL, NULL, NULL, 15),
(152589, NULL, 'PTHR37833', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(152590, NULL, 'PTHR24012:SF838', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(152591, NULL, 'PTHR46038:SF39', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152592, NULL, 'PTHR33077:SF89', NULL, NULL, NULL, NULL, 'BNAC02G20120D PROTEIN', NULL, NULL, NULL, 15),
(152593, NULL, 'PTHR45649:SF14', NULL, NULL, NULL, NULL, 'GABA PERMEASE', NULL, NULL, NULL, 15),
(152594, NULL, 'PTHR24241:SF172', NULL, NULL, NULL, NULL, 'COUPLED RECEPTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(152595, NULL, 'PTHR33593:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152596, NULL, 'PTHR31992:SF175', NULL, NULL, NULL, NULL, 'DOF-TYPE ZINC FINGER DNA-BINDING FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152597, NULL, 'PTHR21337:SF28', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(152598, NULL, 'PTHR33420:SF14', NULL, NULL, NULL, NULL, 'FIMBRIAL PROTEIN', NULL, NULL, NULL, 15),
(152599, NULL, 'PTHR38607:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG26296', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152600, NULL, 'PTHR48043:SF25', NULL, NULL, NULL, NULL, 'MACROLIDE GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(152601, NULL, 'PTHR34501:SF8', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN F-RELATED', NULL, NULL, NULL, 15),
(152602, NULL, 'PTHR24356:SF392', NULL, NULL, NULL, NULL, 'MYOTONIN-PROTEIN KINASE', NULL, NULL, NULL, 15),
(152603, NULL, 'PTHR10333:SF89', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN', NULL, NULL, NULL, 15),
(152604, NULL, 'PTHR22601:SF76', NULL, NULL, NULL, NULL, 'BNACNNG55940D PROTEIN', NULL, NULL, NULL, 15),
(152605, NULL, 'PTHR24305:SF161', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(152606, NULL, 'PTHR11863:SF168', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE GL1-6', NULL, NULL, NULL, 15),
(152607, NULL, 'PTHR47926:SF50', NULL, NULL, NULL, NULL, 'BNAA07G12600D PROTEIN', NULL, NULL, NULL, 15),
(152608, NULL, 'PTHR47958:SF107', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 52B-RELATED', NULL, NULL, NULL, 15),
(152609, NULL, 'PTHR10005:SF24', NULL, NULL, NULL, NULL, 'NUCLEAR ONCOPROTEIN', NULL, NULL, NULL, 15),
(152610, NULL, 'PTHR34189:SF12', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(152611, NULL, 'PTHR47926:SF237', NULL, NULL, NULL, NULL, 'BNAC01G37370D PROTEIN', NULL, NULL, NULL, 15),
(152612, NULL, 'PTHR45642:SF80', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(152613, NULL, 'PTHR33214:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152614, NULL, 'PTHR34145:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152615, NULL, 'PTHR21320:SF6', NULL, NULL, NULL, NULL, 'BNAC04G02490D PROTEIN', NULL, NULL, NULL, 15),
(152616, NULL, 'PTHR11814:SF134', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 2.1', NULL, NULL, NULL, 15),
(152617, NULL, 'PTHR31384:SF90', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(152618, NULL, 'PTHR46666:SF10', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L18AE FAMILY', NULL, NULL, NULL, 15),
(152619, NULL, 'PTHR45614:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152620, NULL, 'PTHR10277:SF48', NULL, NULL, NULL, NULL, 'HOMOCITRATE SYNTHASE, CYTOSOLIC ISOZYME-RELATED', NULL, NULL, NULL, 15),
(152621, NULL, 'PTHR27003:SF287', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(152622, NULL, 'PTHR12207', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(152623, NULL, 'PTHR39201:SF1', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152624, NULL, 'PTHR21337', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE 1, 2', NULL, NULL, 863, 15),
(152625, NULL, 'PTHR44535:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK9', NULL, NULL, NULL, 15),
(152626, NULL, 'PTHR11847:SF20', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L15', NULL, NULL, NULL, 15),
(152627, NULL, 'PTHR21461:SF67', NULL, NULL, NULL, NULL, 'LOC100145503 PROTEIN', NULL, NULL, NULL, 15),
(152628, NULL, 'PTHR32212:SF286', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT PROTEIN FAMILY', NULL, NULL, NULL, 15),
(152629, NULL, 'PTHR43074:SF1', NULL, NULL, NULL, NULL, 'CONIDIAL YELLOW PIGMENT BIOSYNTHESIS POLYKETIDE SYNTHASE', NULL, NULL, NULL, 15),
(152630, NULL, 'PTHR31674:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152631, NULL, 'PTHR31009:SF102', NULL, NULL, NULL, NULL, 'BNAA08G14360D PROTEIN', NULL, NULL, NULL, 15),
(152632, NULL, 'PTHR13454:SF11', NULL, NULL, NULL, NULL, 'PROTEIN MCM10 HOMOLOG', NULL, NULL, NULL, 15),
(152633, NULL, 'PTHR46288:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152634, NULL, 'PTHR10315:SF80', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINAT3-RELATED', NULL, NULL, NULL, 15),
(152635, NULL, 'PTHR10844:SF13', NULL, NULL, NULL, NULL, 'CAVEOLIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152636, NULL, 'PTHR24115:SF801', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF22', NULL, NULL, 24115, 15),
(152637, NULL, 'PTHR45855:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF6', NULL, NULL, NULL, 15),
(152638, NULL, 'PTHR34780:SF4', NULL, NULL, NULL, NULL, 'BNAA08G19180D PROTEIN', NULL, NULL, NULL, 15),
(152639, NULL, 'PTHR32099:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152640, NULL, 'PTHR27006:SF373', NULL, NULL, NULL, NULL, 'BNAC03G29910D PROTEIN', NULL, NULL, NULL, 15),
(152641, NULL, 'PTHR10809:SF55', NULL, NULL, NULL, NULL, 'MOTILE SPERM DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(152642, NULL, 'PTHR12290:SF27', NULL, NULL, NULL, NULL, 'CORNICHON FAMILY PROTEIN', NULL, NULL, NULL, 15),
(152643, NULL, 'PTHR21716:SF37', NULL, NULL, NULL, NULL, 'BLR8064 PROTEIN', NULL, NULL, NULL, 15),
(152644, NULL, 'PTHR21649:SF118', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(152645, NULL, 'PTHR37389', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 11298, 15),
(152646, NULL, 'PTHR11417:SF69', NULL, NULL, NULL, NULL, 'PROLACTIN-8A6-RELATED', NULL, NULL, NULL, 15),
(152647, NULL, 'PTHR37592:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152648, NULL, 'PTHR13154:SF5', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 2B', NULL, NULL, NULL, 15),
(152649, NULL, 'PTHR10497:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', NULL, NULL, NULL, 15),
(152650, NULL, 'PTHR11347:SF204', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(152651, NULL, 'PTHR27001:SF722', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(152652, NULL, 'PTHR31707:SF334', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(152653, NULL, 'PTHR32212:SF376', NULL, NULL, NULL, NULL, 'BNACNNG07970D PROTEIN', NULL, NULL, NULL, 15),
(152654, NULL, 'PTHR13832:SF327', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 74-RELATED', NULL, NULL, NULL, 15),
(152655, NULL, 'PTHR18901:SF43', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE-5''-PHOSPHATASE', NULL, NULL, NULL, 15),
(152656, NULL, 'PTHR11306:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL/PHOSPHATIDYLINOSITOL TRANSFER PROTEIN DDB_G0282179-RELATED', NULL, NULL, NULL, 15),
(152657, NULL, 'PTHR37307:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN WHIA-RELATED', NULL, NULL, NULL, 15),
(152658, NULL, 'PTHR10048:SF109', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE 2', NULL, NULL, NULL, 15),
(152659, NULL, 'PTHR21659:SF83', NULL, NULL, NULL, NULL, 'BNAA01G06480D PROTEIN', NULL, NULL, NULL, 15),
(152660, NULL, 'PTHR46011:SF22', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(152661, NULL, 'PTHR45654:SF44', NULL, NULL, NULL, NULL, 'BNAC08G10960D PROTEIN', NULL, NULL, NULL, 15),
(152662, NULL, 'PTHR47373', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 2', NULL, NULL, NULL, 15),
(152663, NULL, 'PTHR48024:SF7', NULL, NULL, NULL, NULL, 'SR-RELATED CTD ASSOCIATED FACTOR 4', NULL, NULL, NULL, 15),
(152664, NULL, 'PTHR47075', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH47', NULL, NULL, NULL, 15),
(152665, NULL, 'PTHR13902:SF135', NULL, NULL, NULL, NULL, 'BNAA10G09670D PROTEIN', NULL, NULL, NULL, 15),
(152666, NULL, 'PTHR44758:SF1', NULL, NULL, NULL, NULL, 'NAD(P) TRANSHYDROGENASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(152667, NULL, 'PTHR30231:SF26', NULL, NULL, NULL, NULL, 'PROTEIN NEN4', NULL, NULL, NULL, 15),
(152668, NULL, 'PTHR47945:SF1', NULL, NULL, NULL, NULL, 'FERULATE-5-HYDROXYLASE', NULL, NULL, NULL, 15),
(152669, NULL, 'PTHR19370:SF188', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE [NADH] 3', NULL, NULL, NULL, 15),
(152670, NULL, 'PTHR33142:SF79', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR3', NULL, NULL, NULL, 15),
(152671, NULL, 'PTHR43768:SF42', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(152672, NULL, 'PTHR22884:SF494', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASHR3', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152673, NULL, 'PTHR15710:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152674, NULL, 'PTHR36106:SF1', NULL, NULL, NULL, NULL, 'ANAEROBIC C4-DICARBOXYLATE TRANSPORTER DCUB', NULL, NULL, NULL, 15),
(152675, NULL, 'PTHR33203:SF48', NULL, NULL, NULL, NULL, 'OLEOSIN 16.4 KDA-LIKE', NULL, NULL, NULL, 15),
(152676, NULL, 'PTHR45950:SF11', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX32', NULL, NULL, NULL, 15),
(152677, NULL, 'PTHR35828:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152678, NULL, 'PTHR24055:SF489', NULL, NULL, NULL, NULL, 'BNAA02G23960D PROTEIN', NULL, NULL, NULL, 15),
(152679, NULL, 'PTHR33608:SF6', NULL, NULL, NULL, NULL, 'BLL2464 PROTEIN', NULL, NULL, NULL, 15),
(152680, NULL, 'PTHR34502:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152681, NULL, 'PTHR15735:SF16', NULL, NULL, NULL, NULL, 'TRANSDUCER OF CDC42-DEPENDENT ACTIN ASSEMBLY PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(152682, NULL, 'PTHR13551', NULL, NULL, NULL, NULL, 'BRAIN PROTEIN I3', NULL, NULL, 15418, 15),
(152683, NULL, 'PTHR10877:SF185', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY DISEASE AND RECEPTOR FOR EGG JELLY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(152684, NULL, 'PTHR32153:SF11', NULL, NULL, NULL, NULL, 'BNAC04G55160D PROTEIN', NULL, NULL, NULL, 15),
(152685, NULL, 'PTHR10891:SF866', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(152686, NULL, 'PTHR15416:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-255I3.4', NULL, NULL, NULL, 15),
(152687, NULL, 'PTHR33880:SF18', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', NULL, NULL, NULL, 15),
(152688, NULL, 'PTHR43321:SF24', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE 3-RELATED', NULL, NULL, NULL, 15),
(152689, NULL, 'PTHR32212:SF290', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152690, NULL, 'PTHR11730:SF50', NULL, NULL, NULL, NULL, 'RH (RHESUS) ANTIGEN RELATED', NULL, NULL, NULL, 15),
(152691, NULL, 'PTHR45286', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(152692, NULL, 'PTHR34355:SF6', NULL, NULL, NULL, NULL, 'BNAC01G39230D PROTEIN', NULL, NULL, NULL, 15),
(152693, NULL, 'PTHR12560', NULL, NULL, NULL, NULL, 'LONGEVITY ASSURANCE FACTOR 1  LAG1', NULL, NULL, 15791, 15),
(152694, NULL, 'PTHR24058:SF112', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TYROSINE-PHOSPHORYLATION-REGULATED KINASE 3 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(152695, NULL, 'PTHR11049:SF29', NULL, NULL, NULL, NULL, 'CYTOSOLIC ACYL COENZYME A THIOESTER HYDROLASE-LIKE-RELATED', NULL, NULL, NULL, 15),
(152696, NULL, 'PTHR43939:SF8', NULL, NULL, NULL, NULL, 'PROTEIN LAVA LAMP', NULL, NULL, NULL, 15),
(152697, NULL, 'PTHR23428:SF248', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-J', NULL, NULL, NULL, 15),
(152698, NULL, 'PTHR45974:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152699, NULL, 'PTHR31429:SF47', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY76', NULL, NULL, NULL, 15),
(152700, NULL, 'PTHR43184:SF11', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE EXCHANGER SLC37A1', NULL, NULL, NULL, 15),
(152701, NULL, 'PTHR22891:SF130', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 8-RELATED', NULL, NULL, NULL, 15),
(152702, NULL, 'PTHR43416:SF20', NULL, NULL, NULL, NULL, 'BNAC08G15120D PROTEIN', NULL, NULL, NULL, 15),
(152703, NULL, 'PTHR10366:SF738', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152704, NULL, 'PTHR44329:SF28', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE SHKE', NULL, NULL, NULL, 15),
(152705, NULL, 'PTHR27009:SF228', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN, RHO-ASSOCIATED PROTEIN KINASE 1/2-RELATED', NULL, NULL, NULL, 15),
(152706, NULL, 'PTHR32142:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152707, NULL, 'PTHR19367:SF19', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR DELTA VARIABLE 3', NULL, NULL, NULL, 15),
(152708, NULL, 'PTHR24418:SF265', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE KINASE 6', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152709, NULL, 'PTHR35360:SF3', NULL, NULL, NULL, NULL, 'OS07G0492700 PROTEIN', NULL, NULL, NULL, 15),
(152710, NULL, 'PTHR11523:SF10', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1', NULL, NULL, 8156, 15),
(152711, NULL, 'PTHR46011:SF21', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-13', NULL, NULL, NULL, 15),
(152712, NULL, 'PTHR14058:SF5', NULL, NULL, NULL, NULL, 'AMYLOID-BETA A4 PRECURSOR PROTEIN-BINDING FAMILY B MEMBER 1', NULL, NULL, NULL, 15),
(152713, NULL, 'PTHR13809:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152714, NULL, 'PTHR32015:SF8', NULL, NULL, NULL, NULL, 'LIPASE RELATED', NULL, NULL, NULL, 15),
(152715, NULL, 'PTHR34451:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER, FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(152716, NULL, 'PTHR36914:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152717, NULL, 'PTHR12546:SF33', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT MEMBRANE TARGETING', NULL, NULL, NULL, 15),
(152718, NULL, 'PTHR33065:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152719, NULL, 'PTHR12207:SF8', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(152720, NULL, 'PTHR34939:SF5', NULL, NULL, NULL, NULL, 'BNAC08G09180D PROTEIN', NULL, NULL, NULL, 15),
(152721, NULL, 'PTHR33598:SF2', NULL, NULL, NULL, NULL, 'MAR-BINDING FILAMENT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152722, NULL, 'PTHR28366:SF1', NULL, NULL, NULL, NULL, 'ZGC:194224', NULL, NULL, NULL, 15),
(152723, NULL, 'PTHR35991:SF1', NULL, NULL, NULL, NULL, 'CA-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(152724, NULL, 'PTHR46034:SF12', NULL, NULL, NULL, NULL, 'B2 PROTEIN', NULL, NULL, NULL, 15),
(152725, NULL, 'PTHR14167:SF82', NULL, NULL, NULL, NULL, 'SH3-DOMAIN GRB2-LIKE 3', NULL, NULL, NULL, 15),
(152726, NULL, 'PTHR12125:SF7', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 17', NULL, NULL, NULL, 15),
(152727, NULL, 'PTHR11654:SF551', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.3', NULL, NULL, NULL, 15),
(152728, NULL, 'PTHR31989:SF288', NULL, NULL, NULL, NULL, 'BNAA09G39480D PROTEIN', NULL, NULL, NULL, 15),
(152729, NULL, 'PTHR32093:SF128', NULL, NULL, NULL, NULL, 'SCOPOLETIN GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(152730, NULL, 'PTHR24106:SF274', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(152731, NULL, 'PTHR23423:SF59', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 184A', NULL, NULL, NULL, 15),
(152732, NULL, 'PTHR34935:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152733, NULL, 'PTHR19143:SF47', NULL, NULL, NULL, NULL, 'SI:CH211-157B11.8', NULL, NULL, NULL, 15),
(152734, NULL, 'PTHR47344', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152735, NULL, 'PTHR21562:SF19', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(152736, NULL, 'PTHR48237', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT', NULL, NULL, NULL, 15),
(152737, NULL, 'PTHR30270:SF0', NULL, NULL, NULL, NULL, 'THIAMINE-MONOPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(152738, NULL, 'PTHR47385:SF3', NULL, NULL, NULL, NULL, 'CALPONIN', NULL, NULL, NULL, 15),
(152739, NULL, 'PTHR47993:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152740, NULL, 'PTHR36511:SF3', NULL, NULL, NULL, NULL, 'ANTITOXIN HIGA-2', NULL, NULL, NULL, 15),
(152741, NULL, 'PTHR23294:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152742, NULL, 'PTHR21325:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CBG02607', NULL, NULL, NULL, 15),
(152743, NULL, 'PTHR10562:SF103', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 5', NULL, NULL, NULL, 15),
(152744, NULL, 'PTHR43711:SF25', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE PDTAS-RELATED', NULL, NULL, NULL, 15),
(152745, NULL, 'PTHR22907:SF39', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(152746, NULL, 'PTHR10129:SF35', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152747, NULL, 'PTHR43939:SF55', NULL, NULL, NULL, NULL, 'MAR-BINDING FILAMENT-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(152748, NULL, 'PTHR42915:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL 460 KDA PROTEIN IN FEUA-SIGW INTERGENIC REGION [PRECURSOR]', NULL, NULL, NULL, 15),
(152749, NULL, 'PTHR11654:SF515', NULL, NULL, NULL, NULL, 'BNACNNG04550D PROTEIN', NULL, NULL, NULL, 15),
(152750, NULL, 'PTHR24133:SF35', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152751, NULL, 'PTHR46691:SF3', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 15', NULL, NULL, NULL, 15),
(152752, NULL, 'PTHR11963:SF40', NULL, NULL, NULL, NULL, 'CYTOSOL AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(152753, NULL, 'PTHR45649:SF44', NULL, NULL, NULL, NULL, 'OS01G0945300 PROTEIN', NULL, NULL, NULL, 15),
(152754, NULL, 'PTHR11315:SF10', NULL, NULL, NULL, NULL, 'FOLATE GAMMA-GLUTAMYL HYDROLASE', NULL, NULL, NULL, 15),
(152755, NULL, 'PTHR19871', NULL, NULL, NULL, NULL, 'BETA TRANSDUCIN-RELATED PROTEIN', NULL, NULL, NULL, 15),
(152756, NULL, 'PTHR13780:SF115', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX5', NULL, NULL, NULL, 15),
(152757, NULL, 'PTHR11610:SF37', NULL, NULL, NULL, NULL, 'GH01208P', NULL, NULL, NULL, 15),
(152758, NULL, 'PTHR47928:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152759, NULL, 'PTHR31807:SF37', NULL, NULL, NULL, NULL, 'AUGMIN SUBUNIT 8', NULL, NULL, NULL, 15),
(152760, NULL, 'PTHR10442:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', NULL, NULL, NULL, 15),
(152761, NULL, 'PTHR23024:SF398', NULL, NULL, NULL, NULL, 'OS07G0526600 PROTEIN', NULL, NULL, NULL, 15),
(152762, NULL, 'PTHR31221:SF224', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152763, NULL, 'PTHR11879:SF55', NULL, NULL, NULL, NULL, 'GLUTAMATE OXALOACETATE TRANSAMINASE 1, ISOFORM B', NULL, NULL, NULL, 15),
(152764, NULL, 'PTHR24381:SF358', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 41', NULL, NULL, NULL, 15),
(152765, NULL, 'PTHR13610:SF9', NULL, NULL, NULL, NULL, 'FI06469P', NULL, NULL, NULL, 15),
(152766, NULL, 'PTHR32285:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152767, NULL, 'PTHR23021:SF82', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(152768, NULL, 'PTHR47796:SF1', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152769, NULL, 'PTHR48017:SF177', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(152770, NULL, 'PTHR33052:SF113', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(152771, NULL, 'PTHR21084:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 3 OPEN READING FRAME 38', NULL, NULL, NULL, 15),
(152772, NULL, 'PTHR45619:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(152773, NULL, 'PTHR36023:SF1', NULL, NULL, NULL, NULL, 'PROTEIN AUXIN-REGULATED GENE INVOLVED IN ORGAN SIZE', NULL, NULL, NULL, 15),
(152774, NULL, 'PTHR33355:SF11', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(152775, NULL, 'PTHR24305:SF77', NULL, NULL, NULL, NULL, 'PISATIN DEMETHYLASE', NULL, NULL, NULL, 15),
(152776, NULL, 'PTHR48056:SF26', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXL1', NULL, NULL, NULL, 15),
(152777, NULL, 'PTHR24222:SF43', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING/PERMEASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152778, NULL, 'PTHR11831:SF5', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S9', NULL, NULL, NULL, 15),
(152779, NULL, 'PTHR11559:SF401', NULL, NULL, NULL, NULL, 'COCAINE ESTERASE', NULL, NULL, NULL, 15),
(152780, NULL, 'PTHR23500:SF553', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(152781, NULL, 'PTHR33985:SF27', NULL, NULL, NULL, NULL, 'BNAC05G11470D PROTEIN', NULL, NULL, NULL, 15),
(152782, NULL, 'PTHR48052:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152783, NULL, 'PTHR45962', NULL, NULL, NULL, NULL, 'N-FATTY-ACYL-AMINO ACID SYNTHASE/HYDROLASE PM20D1', NULL, NULL, NULL, 15),
(152784, NULL, 'PTHR11802:SF375', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(152785, NULL, 'PTHR31595:SF31', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 7-RELATED', NULL, NULL, NULL, 15),
(152786, NULL, 'PTHR10126:SF55', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(152787, NULL, 'PTHR12313:SF0', NULL, NULL, NULL, NULL, 'FI06431P-RELATED', NULL, NULL, NULL, 15),
(152788, NULL, 'PTHR16675', NULL, NULL, NULL, NULL, 'MHC CLASS I-RELATED', NULL, NULL, NULL, 15),
(152789, NULL, 'PTHR11746:SF224', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152790, NULL, 'PTHR31137:SF13', NULL, NULL, NULL, NULL, 'PROTEIN PSID', NULL, NULL, NULL, 15),
(152791, NULL, 'PTHR47950:SF5', NULL, NULL, NULL, NULL, '(S)-N-METHYLCOCLAURINE 3''-HYDROXYLASE ISOZYME 2-RELATED', NULL, NULL, NULL, 15),
(152792, NULL, 'PTHR45752:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152793, NULL, 'PTHR33598:SF4', NULL, NULL, NULL, NULL, 'OS02G0833400 PROTEIN', NULL, NULL, NULL, 15),
(152794, NULL, 'PTHR24056:SF111', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE 5', NULL, NULL, NULL, 15),
(152795, NULL, 'PTHR24377:SF894', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 14 HOMOLOG', NULL, NULL, NULL, 15),
(152796, NULL, 'PTHR47681', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT P-RELATED', NULL, NULL, NULL, 15),
(152797, NULL, 'PTHR21094:SF5', NULL, NULL, NULL, NULL, 'GOLGI SNAP RECEPTOR COMPLEX MEMBER 1', NULL, NULL, NULL, 15),
(152798, NULL, 'PTHR48059:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152799, NULL, 'PTHR23070:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CHAPERONE BCS1', NULL, NULL, NULL, 15),
(152800, NULL, 'PTHR34373:SF12', NULL, NULL, NULL, NULL, 'BNACNNG10160D PROTEIN', NULL, NULL, NULL, 15),
(152801, NULL, 'PTHR46822', NULL, NULL, NULL, NULL, 'COILED-COIL ALPHA-HELICAL ROD PROTEIN 1', NULL, NULL, 13979, 15),
(152802, NULL, 'PTHR23430:SF72', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 2-B', NULL, NULL, NULL, 15),
(152803, NULL, 'PTHR10791:SF116', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(152804, NULL, 'PTHR31509', NULL, NULL, NULL, NULL, 'BPS1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152805, NULL, 'PTHR34788:SF6', NULL, NULL, NULL, NULL, 'OS02G0565150 PROTEIN', NULL, NULL, NULL, 15),
(152806, NULL, 'PTHR10543:SF57', NULL, NULL, NULL, NULL, 'RETINOID ISOMEROHYDROLASE', NULL, NULL, NULL, 15),
(152807, NULL, 'PTHR23525:SF1', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(152808, NULL, 'PTHR35202:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152809, NULL, 'PTHR10496:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', NULL, NULL, NULL, 15),
(152810, NULL, 'PTHR47289:SF5', NULL, NULL, NULL, NULL, 'BNAA09G28060D PROTEIN', NULL, NULL, NULL, 15),
(152811, NULL, 'PTHR45671:SF16', NULL, NULL, NULL, NULL, 'PHOSPHATE CARRIER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152812, NULL, 'PTHR23360:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(152813, NULL, 'PTHR34053:SF7', NULL, NULL, NULL, NULL, 'BNAC07G50630D PROTEIN', NULL, NULL, NULL, 15),
(152814, NULL, 'PTHR20371:SF3', NULL, NULL, NULL, NULL, 'ENOLASE-PHOSPHATASE E1', NULL, NULL, NULL, 15),
(152815, NULL, 'PTHR35365:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152816, NULL, 'PTHR10663:SF343', NULL, NULL, NULL, NULL, 'CYTOHESIN-2', NULL, NULL, NULL, 15),
(152817, NULL, 'PTHR31790:SF351', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152818, NULL, 'PTHR33376:SF3', NULL, NULL, NULL, NULL, 'TRIPHOSPHATE (DCTP) DEAMINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(152819, NULL, 'PTHR10133:SF23', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DNA POLYMERASE I PROTEIN C', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152820, NULL, 'PTHR23287:SF16', NULL, NULL, NULL, NULL, 'TECTONIN BETA-PROPELLER REPEAT-CONTAINING PROTEIN 2', NULL, NULL, 24194, 15),
(152821, NULL, 'PTHR31890:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152822, NULL, 'PTHR23295:SF6', NULL, NULL, NULL, NULL, 'EG:BACR42I17.12 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152823, NULL, 'PTHR24015:SF502', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152824, NULL, 'PTHR33168:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152825, NULL, 'PTHR11417:SF39', NULL, NULL, NULL, NULL, 'GROWTH HORMONE D22-RELATED', NULL, NULL, NULL, 15),
(152826, NULL, 'PTHR21235:SF22', NULL, NULL, NULL, NULL, 'GERANYLGERANYLGLYCERYL PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(152827, NULL, 'PTHR36920:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN W', NULL, NULL, NULL, 15),
(152828, NULL, 'PTHR23266:SF267', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-3', NULL, NULL, NULL, 15),
(152829, NULL, 'PTHR11467:SF101', NULL, NULL, NULL, NULL, 'OS04G0253000 PROTEIN', NULL, NULL, NULL, 15),
(152830, NULL, 'PTHR35100:SF4', NULL, NULL, NULL, NULL, 'F15H11.13 PROTEIN', NULL, NULL, NULL, 15),
(152831, NULL, 'PTHR10380:SF218', NULL, NULL, NULL, NULL, 'ADULT CUTICLE PROTEIN 65AA-RELATED', NULL, NULL, NULL, 15),
(152832, NULL, 'PTHR19211:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152833, NULL, 'PTHR38760:SF1', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', NULL, NULL, NULL, 15),
(152834, NULL, 'PTHR13937:SF5', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT C', NULL, NULL, NULL, 15),
(152835, NULL, 'PTHR12914:SF2', NULL, NULL, NULL, NULL, 'DNA REPLICATION COMPLEX GINS PROTEIN PSF1', NULL, NULL, NULL, 15),
(152836, NULL, 'PTHR31956:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152837, NULL, 'PTHR22699:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 16', NULL, NULL, NULL, 15),
(152838, NULL, 'PTHR47942:SF41', NULL, NULL, NULL, NULL, 'OS05G0548600 PROTEIN', NULL, NULL, NULL, 15),
(152839, NULL, 'PTHR10997:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152840, NULL, 'PTHR45691:SF13', NULL, NULL, NULL, NULL, 'FH2 DOMAIN-CONTAINING 3', NULL, NULL, NULL, 15),
(152841, NULL, 'PTHR12308:SF51', NULL, NULL, NULL, NULL, 'ANOCTAMIN-8', NULL, NULL, NULL, 15),
(152842, NULL, 'PTHR22801', NULL, NULL, NULL, NULL, 'LITHOSTATHINE', NULL, NULL, NULL, 15),
(152843, NULL, 'PTHR42800:SF1', NULL, NULL, NULL, NULL, 'EXOINULINASE INUD (AFU_ORTHOLOGUE AFUA_5G00480)', NULL, NULL, NULL, 15),
(152844, NULL, 'PTHR46774:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152845, NULL, 'PTHR26453:SF671', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(152846, NULL, 'PTHR12629:SF59', NULL, NULL, NULL, NULL, 'BNAA05G26570D PROTEIN', NULL, NULL, NULL, 15),
(152847, NULL, 'PTHR13859:SF29', NULL, NULL, NULL, NULL, 'ARGININE-GLUTAMIC ACID DIPEPTIDE (RE) REPEATS B', NULL, NULL, NULL, 15),
(152848, NULL, 'PTHR31241:SF56', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152849, NULL, 'PTHR47928:SF6', NULL, NULL, NULL, NULL, 'PPR REPEAT PROTEIN', NULL, NULL, NULL, 15),
(152850, NULL, 'PTHR13288:SF8', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 45', NULL, NULL, NULL, 15),
(152851, NULL, 'PTHR46375:SF4', NULL, NULL, NULL, NULL, 'KELCH-LIKE FAMILY, MEMBER 42', NULL, NULL, NULL, 15),
(152852, NULL, 'PTHR47109', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN-LIKE PROTEIN 1', NULL, NULL, 22845, 15),
(152853, NULL, 'PTHR24637:SF344', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(152854, NULL, 'PTHR37805:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152855, NULL, 'PTHR24406:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR CTCFL', NULL, NULL, NULL, 15),
(152856, NULL, 'PTHR42820:SF18', NULL, NULL, NULL, NULL, 'BNAC03G72480D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152857, NULL, 'PTHR46387:SF14', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(152858, NULL, 'PTHR24058:SF63', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(152859, NULL, 'PTHR47988:SF30', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(152860, NULL, 'PTHR12300:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152861, NULL, 'PTHR10130:SF5', NULL, NULL, NULL, NULL, 'BNAC09G53570D PROTEIN', NULL, NULL, NULL, 15),
(152862, NULL, 'PTHR33915:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152863, NULL, 'PTHR10698:SF5', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT H', NULL, NULL, NULL, 15),
(152864, NULL, 'PTHR16237:SF3', NULL, NULL, NULL, NULL, 'ODONTOGENIC AMELOBLAST-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(152865, NULL, 'PTHR46525:SF7', NULL, NULL, NULL, NULL, 'BNAA04G28420D PROTEIN', NULL, NULL, NULL, 15),
(152866, NULL, 'PTHR33433', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 1', NULL, NULL, 33071, 15),
(152867, NULL, 'PTHR10209:SF677', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(152868, NULL, 'PTHR31859:SF9', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 39B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152869, NULL, 'PTHR15481:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152870, NULL, 'PTHR43776:SF8', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER,ATP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152871, NULL, 'PTHR31828:SF40', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1', NULL, NULL, NULL, 15),
(152872, NULL, 'PTHR33074:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152873, NULL, 'PTHR47124:SF1', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP8', NULL, NULL, NULL, 15),
(152874, NULL, 'PTHR24169:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR P65', NULL, NULL, 22748, 15),
(152875, NULL, 'PTHR42938:SF35', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(152876, NULL, 'PTHR23050:SF449', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(152877, NULL, 'PTHR48083:SF10', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(152878, NULL, 'PTHR46776:SF8', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 2', NULL, NULL, NULL, 15),
(152879, NULL, 'PTHR31042:SF81', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(152880, NULL, 'PTHR22870:SF224', NULL, NULL, NULL, NULL, 'RCC1 AND BTB DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(152881, NULL, 'PTHR31741:SF89', NULL, NULL, NULL, NULL, 'OS06G0284200 PROTEIN', NULL, NULL, NULL, 15),
(152882, NULL, 'PTHR19370:SF131', NULL, NULL, NULL, NULL, 'B5 REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(152883, NULL, 'PTHR35303:SF6', NULL, NULL, NULL, NULL, 'BNAA06G32170D PROTEIN', NULL, NULL, NULL, 15),
(152884, NULL, 'PTHR20861:SF8', NULL, NULL, NULL, NULL, 'BNAA09G09000D PROTEIN', NULL, NULL, NULL, 15),
(152885, NULL, 'PTHR31548:SF3', NULL, NULL, NULL, NULL, 'CLARIN-3', NULL, NULL, NULL, 15),
(152886, NULL, 'PTHR15727:SF3', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 214', NULL, NULL, NULL, 15),
(152887, NULL, 'PTHR13318:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152888, NULL, 'PTHR21495:SF197', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(152889, NULL, 'PTHR31009:SF94', NULL, NULL, NULL, NULL, 'JASMONATE O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(152890, NULL, 'PTHR27008:SF454', NULL, NULL, NULL, NULL, 'REPEAT RECEPTOR PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(152891, NULL, 'PTHR33078:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152892, NULL, 'PTHR14754:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152893, NULL, 'PTHR37767:SF1', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(152894, NULL, 'PTHR10073', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN  MLH, PMS, MUTL', NULL, NULL, 33494, 15),
(152895, NULL, 'PTHR46410:SF7', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(152896, NULL, 'PTHR31264:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152897, NULL, 'PTHR20275:SF28', NULL, NULL, NULL, NULL, 'NADH KINASE', NULL, NULL, NULL, 15),
(152898, NULL, 'PTHR48166', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(152899, NULL, 'PTHR10460:SF7', NULL, NULL, NULL, NULL, 'ABI GENE FAMILY MEMBER 3', NULL, NULL, 27212, 15),
(152900, NULL, 'PTHR47976:SF27', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(152901, NULL, 'PTHR32193:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152902, NULL, 'PTHR16517:SF101', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(152903, NULL, 'PTHR23107:SF27', NULL, NULL, NULL, NULL, 'GRF1-INTERACTING FACTOR 2-LIKE', NULL, NULL, NULL, 15),
(152904, NULL, 'PTHR31384:SF136', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(152905, NULL, 'PTHR22930:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152906, NULL, 'PTHR45625:SF7', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-LIKE 1', NULL, NULL, NULL, 15),
(152907, NULL, 'PTHR11955:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152908, NULL, 'PTHR10981:SF5', NULL, NULL, NULL, NULL, 'BATTENIN', NULL, NULL, NULL, 15),
(152909, NULL, 'PTHR21503:SF43', NULL, NULL, NULL, NULL, 'PROTEIN CBG27430', NULL, NULL, NULL, 15),
(152910, NULL, 'PTHR31194:SF13', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR SHINE 2', NULL, NULL, NULL, 15),
(152911, NULL, 'PTHR34194:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152912, NULL, 'PTHR14139', NULL, NULL, NULL, NULL, 'CALSYNTENIN', NULL, NULL, 28958, 15),
(152913, NULL, 'PTHR24343:SF350', NULL, NULL, NULL, NULL, 'NUAK FAMILY SNF1-LIKE KINASE 1', NULL, NULL, NULL, 15),
(152914, NULL, 'PTHR32448:SF126', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(152915, NULL, 'PTHR10583:SF1', NULL, NULL, NULL, NULL, 'CHROMOGRANIN-A', NULL, NULL, NULL, 15),
(152916, NULL, 'PTHR42826:SF12', NULL, NULL, NULL, NULL, 'BNAA09G06780D PROTEIN', NULL, NULL, NULL, 15),
(152917, NULL, 'PTHR11929:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152918, NULL, 'PTHR37610:SF57', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', NULL, NULL, NULL, 15),
(152919, NULL, 'PTHR46736:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152920, NULL, 'PTHR48041:SF29', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 24', NULL, NULL, NULL, 15),
(152921, NULL, 'PTHR42878:SF12', NULL, NULL, NULL, NULL, 'HEME SENSOR PROTEIN HSSS', NULL, NULL, NULL, 15),
(152922, NULL, 'PTHR43791:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152923, NULL, 'PTHR31707:SF160', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(152924, NULL, 'PTHR43180:SF34', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(152925, NULL, 'PTHR42831', NULL, NULL, NULL, NULL, 'FE-S PROTEIN MATURATION AUXILIARY FACTOR YITW', NULL, NULL, NULL, 15),
(152926, NULL, 'PTHR10283:SF110', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER PHO87-RELATED', NULL, NULL, NULL, 15),
(152927, NULL, 'PTHR47710:SF2', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152928, NULL, 'PTHR23502:SF61', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02780)-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152929, NULL, 'PTHR19920:SF0', NULL, NULL, NULL, NULL, 'CYTOSOLIC IRON-SULFUR PROTEIN ASSEMBLY PROTEIN CIAO1-RELATED', NULL, NULL, NULL, 15),
(152930, NULL, 'PTHR31896:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152931, NULL, 'PTHR34682:SF15', NULL, NULL, NULL, NULL, 'BNAC03G71820D PROTEIN', NULL, NULL, NULL, 15),
(152932, NULL, 'PTHR10887:SF462', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152933, NULL, 'PTHR24346:SF62', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(152934, NULL, 'PTHR45496:SF24', NULL, NULL, NULL, NULL, 'BNAA10G30160D PROTEIN', NULL, NULL, NULL, 15),
(152935, NULL, 'PTHR12930:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(152936, NULL, 'PTHR45847', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE', NULL, NULL, NULL, 15),
(152937, NULL, 'PTHR15741:SF32', NULL, NULL, NULL, NULL, 'LD38259P', NULL, NULL, NULL, 15),
(152938, NULL, 'PTHR46514:SF2', NULL, NULL, NULL, NULL, 'AMPHIPHYSIN', NULL, NULL, 241, 15),
(152939, NULL, 'PTHR11003:SF28', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 6', NULL, NULL, 7092, 15),
(152940, NULL, 'PTHR23279:SF37', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 13, ISOFORM B', NULL, NULL, NULL, 15),
(152941, NULL, 'PTHR32261:SF7', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN 3', NULL, NULL, 28365, 15),
(152942, NULL, 'PTHR24115:SF287', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(152943, NULL, 'PTHR24403:SF62', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 827', NULL, NULL, NULL, 15),
(152944, NULL, 'PTHR16719:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE COPPER CHAPERONE', NULL, NULL, NULL, 15),
(152945, NULL, 'PTHR31100:SF81', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(152946, NULL, 'PTHR45526:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN DCUR', NULL, NULL, NULL, 15),
(152947, NULL, 'PTHR12865:SF1', NULL, NULL, NULL, NULL, 'LD24833P', NULL, NULL, NULL, 15),
(152948, NULL, 'PTHR33207:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152949, NULL, 'PTHR23172:SF64', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN REQUIRED FOR CHLOROPLAST ACCUMULATION RESPONSE 1', NULL, NULL, NULL, 15),
(152950, NULL, 'PTHR34857:SF4', NULL, NULL, NULL, NULL, 'COBALT TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(152951, NULL, 'PTHR11645:SF53', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE 3', NULL, NULL, NULL, 15),
(152952, NULL, 'PTHR33474:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152953, NULL, 'PTHR33107:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152954, NULL, 'PTHR12526:SF558', NULL, NULL, NULL, NULL, 'PHOSPHATIDYL-MYO-INOSITOL MANNOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(152955, NULL, 'PTHR35095:SF1', NULL, NULL, NULL, NULL, 'OS05G0143300 PROTEIN', NULL, NULL, NULL, 15),
(152956, NULL, 'PTHR46716', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 7', NULL, NULL, 18993, 15),
(152957, NULL, 'PTHR31549:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152958, NULL, 'PTHR47982:SF11', NULL, NULL, NULL, NULL, 'BNAA02G22020D PROTEIN', NULL, NULL, NULL, 15),
(152959, NULL, 'PTHR46371:SF22', NULL, NULL, NULL, NULL, 'BNAA05G32990D PROTEIN', NULL, NULL, NULL, 15),
(152960, NULL, 'PTHR31985:SF219', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF039-LIKE', NULL, NULL, NULL, 15),
(152961, NULL, 'PTHR31334:SF1', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE PROTEIN SMCR8', NULL, NULL, NULL, 15),
(152962, NULL, 'PTHR35495:SF7', NULL, NULL, NULL, NULL, 'OS02G0164400 PROTEIN', NULL, NULL, NULL, 15),
(152963, NULL, 'PTHR43490:SF78', NULL, NULL, NULL, NULL, 'OSJNBA0081C01.23 PROTEIN', NULL, NULL, NULL, 15),
(152964, NULL, 'PTHR24320:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(152965, NULL, 'PTHR11552:SF198', NULL, NULL, NULL, NULL, 'GLUCOSE DEHYDROGENASE [FAD, QUINONE]-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152966, NULL, 'PTHR35275:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152967, NULL, 'PTHR10265', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1', NULL, NULL, NULL, 15),
(152968, NULL, 'PTHR42887:SF2', NULL, NULL, NULL, NULL, 'OS12G0638800 PROTEIN', NULL, NULL, NULL, 15),
(152969, NULL, 'PTHR46179:SF10', NULL, NULL, NULL, NULL, 'SI:DKEY-208K4.2', NULL, NULL, NULL, 15),
(152970, NULL, 'PTHR24286:SF196', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 11-OXIDASE-LIKE', NULL, NULL, NULL, 15),
(152971, NULL, 'PTHR11690:SF240', NULL, NULL, NULL, NULL, 'PICKPOCKET 18-RELATED', NULL, NULL, NULL, 15),
(152972, NULL, 'PTHR12271:SF53', NULL, NULL, NULL, NULL, 'UTP:RNA URIDYLYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(152973, NULL, 'PTHR23056:SF121', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(152974, NULL, 'PTHR48002:SF97', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(152975, NULL, 'PTHR32226', NULL, NULL, NULL, NULL, 'TELO2-INTERACTING PROTEIN 2', NULL, NULL, 21409, 15),
(152976, NULL, 'PTHR10625:SF190', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, NULL, 15),
(152977, NULL, 'PTHR48063:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152978, NULL, 'PTHR31221:SF236', NULL, NULL, NULL, NULL, 'WRKY FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(152979, NULL, 'PTHR33155:SF41', NULL, NULL, NULL, NULL, 'PROTEIN FAF-LIKE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(152980, NULL, 'PTHR23138:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152981, NULL, 'PTHR31561:SF97', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 7', NULL, NULL, NULL, 15),
(152982, NULL, 'PTHR30218:SF0', NULL, NULL, NULL, NULL, 'POLYPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(152983, NULL, 'PTHR28283:SF1', NULL, NULL, NULL, NULL, '3'',5''-CYCLIC-NUCLEOTIDE PHOSPHODIESTERASE 1', NULL, NULL, NULL, 15),
(152984, NULL, 'PTHR21879:SF21', NULL, NULL, NULL, NULL, 'OSIRIS 4, ISOFORM B', NULL, NULL, NULL, 15),
(152985, NULL, 'PTHR31580:SF38', NULL, NULL, NULL, NULL, 'FILAMENT-PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(152986, NULL, 'PTHR33721', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 22067, 15),
(152987, NULL, 'PTHR13097', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIE, ALPHA SUBUNIT', NULL, NULL, 32653, 15),
(152988, NULL, 'PTHR42106', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, 34786, 15),
(152989, NULL, 'PTHR47021:SF6', NULL, NULL, NULL, NULL, 'BNAA04G21520D PROTEIN', NULL, NULL, NULL, 15),
(152990, NULL, 'PTHR11540:SF58', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(152991, NULL, 'PTHR34575:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PAM68, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(152992, NULL, 'PTHR12430:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152993, NULL, 'PTHR21461:SF76', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(152994, NULL, 'PTHR31741:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152995, NULL, 'PTHR19331:SF466', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(152996, NULL, 'PTHR21320:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX11, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(152997, NULL, 'PTHR27001:SF581', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(152998, NULL, 'PTHR23137:SF26', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(152999, NULL, 'PTHR30303', NULL, NULL, NULL, NULL, 'HYDROGENASE ISOENZYMES FORMATION PROTEIN HYPE', NULL, NULL, 14189, 15),
(153000, NULL, 'PTHR33701:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ATRX', NULL, NULL, NULL, 15),
(153001, NULL, 'PTHR47558', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HOS3', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153002, NULL, 'PTHR43601:SF14', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 2-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(153003, NULL, 'PTHR35369:SF3', NULL, NULL, NULL, NULL, 'CELL DIVISION INHIBITOR SULA', NULL, NULL, NULL, 15),
(153004, NULL, 'PTHR47169:SF1', NULL, NULL, NULL, NULL, 'OS01G0541250 PROTEIN', NULL, NULL, NULL, 15),
(153005, NULL, 'PTHR22808:SF6', NULL, NULL, NULL, NULL, 'RNA (C5-CYTOSINE) METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(153006, NULL, 'PTHR10504:SF66', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE-BINDING PROTEIN', NULL, NULL, 22411, 15),
(153007, NULL, 'PTHR24298:SF80', NULL, NULL, NULL, NULL, 'OS02G0108800 PROTEIN', NULL, NULL, NULL, 15),
(153008, NULL, 'PTHR23294:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG20324', NULL, NULL, NULL, 15),
(153009, NULL, 'PTHR24229:SF40', NULL, NULL, NULL, NULL, 'GH14208P', NULL, NULL, NULL, 15),
(153010, NULL, 'PTHR16062:SF15', NULL, NULL, NULL, NULL, 'PROTEIN POLYBROMO-1', NULL, NULL, NULL, 15),
(153011, NULL, 'PTHR23257:SF852', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE KINASE LE-CTR1', NULL, NULL, NULL, 15),
(153012, NULL, 'PTHR23421:SF61', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(153013, NULL, 'PTHR11640:SF125', NULL, NULL, NULL, NULL, 'NEUROFASCIN', NULL, NULL, NULL, 15),
(153014, NULL, 'PTHR45644:SF54', NULL, NULL, NULL, NULL, 'BNAC03G30900D PROTEIN', NULL, NULL, NULL, 15),
(153015, NULL, 'PTHR34222:SF38', NULL, NULL, NULL, NULL, 'RRNA 2''-O-METHYLTRANSFERASE FIBRILLARIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(153016, NULL, 'PTHR43795:SF65', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(153017, NULL, 'PTHR13068:SF93', NULL, NULL, NULL, NULL, 'OS05G0403600 PROTEIN', NULL, NULL, NULL, 15),
(153018, NULL, 'PTHR46353:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153019, NULL, 'PTHR38462:SF1', NULL, NULL, NULL, NULL, 'EXONUCLEASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153020, NULL, 'PTHR18945:SF557', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(153021, NULL, 'PTHR14218:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153022, NULL, 'PTHR12899:SF6', NULL, NULL, NULL, NULL, 'OS03G0694800 PROTEIN', NULL, NULL, NULL, 15),
(153023, NULL, 'PTHR34286:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(153024, NULL, 'PTHR43436:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(153025, NULL, 'PTHR24232:SF0', NULL, NULL, NULL, NULL, 'PROTEINASE-ACTIVATED RECEPTOR 3', NULL, NULL, NULL, 15),
(153026, NULL, 'PTHR48112:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153027, NULL, 'PTHR11461:SF30', NULL, NULL, NULL, NULL, 'HEPARIN COFACTOR 2', NULL, NULL, NULL, 15),
(153028, NULL, 'PTHR14000:SF28', NULL, NULL, NULL, NULL, 'BNAC07G50860D PROTEIN', NULL, NULL, NULL, 15),
(153029, NULL, 'PTHR23177:SF35', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACA', NULL, NULL, NULL, 15),
(153030, NULL, 'PTHR10108:SF979', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT11-RELATED', NULL, NULL, NULL, 15),
(153031, NULL, 'PTHR10809:SF12', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN-ASSOCIATED PROTEIN B/C', NULL, NULL, NULL, 15),
(153032, NULL, 'PTHR28640', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 6-INTERACTING PROTEIN 6', NULL, NULL, 28065, 15),
(153033, NULL, 'PTHR11910:SF18', NULL, NULL, NULL, NULL, 'BNACNNG66500D PROTEIN', NULL, NULL, NULL, 15),
(153034, NULL, 'PTHR13683:SF596', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153035, NULL, 'PTHR11243:SF14', NULL, NULL, NULL, NULL, 'AMYLOID BETA A4 PRECURSOR PROTEIN-BINDING FAMILY B MEMBER 1-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(153036, NULL, 'PTHR24404:SF37', NULL, NULL, NULL, NULL, 'ZNF467 ISOFORM 2', NULL, NULL, NULL, 15),
(153037, NULL, 'PTHR45786:SF41', NULL, NULL, NULL, NULL, 'BNAC03G60940D PROTEIN', NULL, NULL, NULL, 15),
(153038, NULL, 'PTHR18968:SF142', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE ISOZYME 2 LARGE SUBUNIT-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153039, NULL, 'PTHR13165:SF3', NULL, NULL, NULL, NULL, 'SERRATE RNA EFFECTOR MOLECULE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153040, NULL, 'PTHR31817:SF0', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', NULL, NULL, NULL, 15),
(153041, NULL, 'PTHR34959:SF4', NULL, NULL, NULL, NULL, 'PROTEIN LAZY 1', NULL, NULL, NULL, 15),
(153042, NULL, 'PTHR48053:SF54', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(153043, NULL, 'PTHR10336:SF181', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(153044, NULL, 'PTHR22802:SF351', NULL, NULL, NULL, NULL, 'IMMUNE-RELATED LECTIN-LIKE RECEPTOR 1-RELATED', NULL, NULL, NULL, 15),
(153045, NULL, 'PTHR33526:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153046, NULL, 'PTHR45648:SF57', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(153047, NULL, 'PTHR43296:SF6', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(153048, NULL, 'PTHR19051:SF13', NULL, NULL, NULL, NULL, '2310061N02RIK PROTEIN', NULL, NULL, NULL, 15),
(153049, NULL, 'PTHR38733:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MCRC', NULL, NULL, NULL, 15),
(153050, NULL, 'PTHR23430:SF255', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(153051, NULL, 'PTHR28495:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC100359752', NULL, NULL, NULL, 15),
(153052, NULL, 'PTHR11132:SF363', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153053, NULL, 'PTHR33693', NULL, NULL, NULL, NULL, 'TYPE-5 URACIL-DNA GLYCOSYLASE', NULL, NULL, NULL, 15),
(153054, NULL, 'PTHR48187:SF1', NULL, NULL, NULL, NULL, 'LD21810P', NULL, NULL, NULL, 15),
(153055, NULL, 'PTHR35008:SF8', NULL, NULL, NULL, NULL, 'BLL4482 PROTEIN', NULL, NULL, NULL, 15),
(153056, NULL, 'PTHR33824:SF7', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(153057, NULL, 'PTHR24349:SF385', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 28-LIKE', NULL, NULL, NULL, 15),
(153058, NULL, 'PTHR26450:SF116', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(153059, NULL, 'PTHR21683:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN CONTAINING 197', NULL, NULL, NULL, 15),
(153060, NULL, 'PTHR31024', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(153061, NULL, 'PTHR16705:SF9', NULL, NULL, NULL, NULL, 'COMPLEXIN-2', NULL, NULL, NULL, 15),
(153062, NULL, 'PTHR45656:SF2', NULL, NULL, NULL, NULL, 'SEIZURE 6-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(153063, NULL, 'PTHR44080:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE COP1', NULL, NULL, NULL, 15),
(153064, NULL, 'PTHR11662:SF206', NULL, NULL, NULL, NULL, 'POTENTIAL VESICULAR GLUTAMATE TRANSPORTER VGLU-3-RELATED', NULL, NULL, NULL, 15),
(153065, NULL, 'PTHR11653:SF2', NULL, NULL, NULL, NULL, 'PARVALBUMIN ALPHA', NULL, NULL, NULL, 15),
(153066, NULL, 'PTHR31429:SF24', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 36-RELATED', NULL, NULL, NULL, 15),
(153067, NULL, 'PTHR10891:SF802', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(153068, NULL, 'PTHR24567:SF28', NULL, NULL, NULL, NULL, 'FUMARATE AND NITRATE REDUCTION REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(153069, NULL, 'PTHR24115:SF416', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-10A', NULL, NULL, NULL, 15),
(153070, NULL, 'PTHR31199', NULL, NULL, NULL, NULL, 'ARPIN', NULL, NULL, 21328, 15),
(153071, NULL, 'PTHR34491:SF18', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153072, NULL, 'PTHR11614:SF158', NULL, NULL, NULL, NULL, 'CAFFEOYLSHIKIMATE ESTERASE-LIKE', NULL, NULL, NULL, 15),
(153073, NULL, 'PTHR12321:SF139', NULL, NULL, NULL, NULL, 'ALFIN-LIKE TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(153074, NULL, 'PTHR46303:SF3', NULL, NULL, NULL, NULL, 'CHORDIN-LIKE PROTEIN 2', NULL, NULL, 22032, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153075, NULL, 'PTHR24282:SF186', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153076, NULL, 'PTHR46632:SF22', NULL, NULL, NULL, NULL, 'BNAC06G27550D PROTEIN', NULL, NULL, NULL, 15),
(153077, NULL, 'PTHR31992:SF228', NULL, NULL, NULL, NULL, 'ZINC FINGER, DOF-TYPE-RELATED', NULL, NULL, NULL, 15),
(153078, NULL, 'PTHR31500:SF63', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 13', NULL, NULL, NULL, 15),
(153079, NULL, 'PTHR24221:SF490', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 11-RELATED', NULL, NULL, NULL, 15),
(153080, NULL, 'PTHR14363:SF41', NULL, NULL, NULL, NULL, 'HEPARANASE-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(153081, NULL, 'PTHR26453:SF202', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2B6', NULL, NULL, NULL, 15),
(153082, NULL, 'PTHR42973:SF9', NULL, NULL, NULL, NULL, 'OXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00840)-RELATED', NULL, NULL, NULL, 15),
(153083, NULL, 'PTHR13061:SF45', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE 2-RELATED', NULL, NULL, NULL, 15),
(153084, NULL, 'PTHR46038:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153085, NULL, 'PTHR46634:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYGLUCOSAMINLYTRANSFERASE SUBUNIT P-RELATED', NULL, NULL, NULL, 15),
(153086, NULL, 'PTHR19876:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153087, NULL, 'PTHR31769:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153088, NULL, 'PTHR31375:SF232', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153089, NULL, 'PTHR46128:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153090, NULL, 'PTHR39867', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153091, NULL, 'PTHR47967:SF2', NULL, NULL, NULL, NULL, 'BNAA08G07350D PROTEIN', NULL, NULL, NULL, 15),
(153092, NULL, 'PTHR10271:SF16', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 1B', NULL, NULL, 8300, 15),
(153093, NULL, 'PTHR24206:SF89', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN PLIM2C-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(153094, NULL, 'PTHR45644:SF40', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 1-A ISOFORM 1', NULL, NULL, NULL, 15),
(153095, NULL, 'PTHR48108:SF2', NULL, NULL, NULL, NULL, 'ACETOIN UTILIZATION PROTEIN ACUB', NULL, NULL, NULL, 15),
(153096, NULL, 'PTHR23113:SF170', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR F', NULL, NULL, NULL, 15),
(153097, NULL, 'PTHR23334:SF60', NULL, NULL, NULL, NULL, 'BNAANNG11690D PROTEIN', NULL, NULL, NULL, 15),
(153098, NULL, 'PTHR24064:SF241', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 11', NULL, NULL, NULL, 15),
(153099, NULL, 'PTHR10795:SF559', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.2', NULL, NULL, NULL, 15),
(153100, NULL, 'PTHR46287:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER, TAZ-TYPE, SKP1/BTB/POZ DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(153101, NULL, 'PTHR11351:SF92', NULL, NULL, NULL, NULL, 'ACYL-COA DESATURASE 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153102, NULL, 'PTHR24369:SF188', NULL, NULL, NULL, NULL, 'ELRR (EXTRACELLULAR LEUCINE-RICH REPEAT) ONLY', NULL, NULL, NULL, 15),
(153103, NULL, 'PTHR46270:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153104, NULL, 'PTHR32440:SF11', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE 16-RELATED', NULL, NULL, NULL, 15),
(153105, NULL, 'PTHR46213:SF12', NULL, NULL, NULL, NULL, 'PROTEIN ROS1', NULL, NULL, NULL, 15),
(153106, NULL, 'PTHR19422:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153107, NULL, 'PTHR43260:SF1', NULL, NULL, NULL, NULL, 'KSDD-LIKE STEROID DEHYDROGENASE RV0785', NULL, NULL, NULL, 15),
(153108, NULL, 'PTHR31165:SF76', NULL, NULL, NULL, NULL, 'ALOG DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(153109, NULL, 'PTHR42859:SF5', NULL, NULL, NULL, NULL, 'CARBON-MONOXIDE DEHYDROGENASE, FE-S SUBUNIT', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153110, NULL, 'PTHR10579:SF111', NULL, NULL, NULL, NULL, 'RETROELEMENT POL POLYPROTEIN-LIKE', NULL, NULL, NULL, 15),
(153111, NULL, 'PTHR42861:SF76', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(153112, NULL, 'PTHR47942:SF13', NULL, NULL, NULL, NULL, 'OS06G0710800 PROTEIN', NULL, NULL, NULL, 15),
(153113, NULL, 'PTHR47545:SF1', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL CCA PROTEIN', NULL, NULL, NULL, 15),
(153114, NULL, 'PTHR34730', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(153115, NULL, 'PTHR31374:SF124', NULL, NULL, NULL, NULL, 'OS04G0617350 PROTEIN', NULL, NULL, NULL, 15),
(153116, NULL, 'PTHR46148', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153117, NULL, 'PTHR11260:SF649', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153118, NULL, 'PTHR11017:SF378', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(153119, NULL, 'PTHR46595:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153120, NULL, 'PTHR10741:SF2', NULL, NULL, NULL, NULL, 'TRANSLIN', NULL, NULL, 31658, 15),
(153121, NULL, 'PTHR33021:SF253', NULL, NULL, NULL, NULL, 'OS06G0681200 PROTEIN', NULL, NULL, NULL, 15),
(153122, NULL, 'PTHR24241:SF170', NULL, NULL, NULL, NULL, 'PROTEIN CBG07754', NULL, NULL, NULL, 15),
(153123, NULL, 'PTHR46166:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B8', NULL, NULL, NULL, 15),
(153124, NULL, 'PTHR10857:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153125, NULL, 'PTHR10204:SF34', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE, QUINONE 1', NULL, NULL, NULL, 15),
(153126, NULL, 'PTHR11141:SF6', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', NULL, NULL, NULL, 15),
(153127, NULL, 'PTHR33214:SF57', NULL, NULL, NULL, NULL, 'BNACNNG69950D PROTEIN', NULL, NULL, NULL, 15),
(153128, NULL, 'PTHR21508', NULL, NULL, NULL, NULL, 'MITOGUARDIN', NULL, NULL, 15585, 15),
(153129, NULL, 'PTHR48014:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153130, NULL, 'PTHR46937:SF8', NULL, NULL, NULL, NULL, 'BNAC02G41630D PROTEIN', NULL, NULL, NULL, 15),
(153131, NULL, 'PTHR39518', NULL, NULL, NULL, NULL, 'UPF0215 PROTEIN MJ1150', NULL, NULL, 4770, 15),
(153132, NULL, 'PTHR44133:SF2', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR SUBUNIT 1', NULL, NULL, NULL, 15),
(153133, NULL, 'PTHR23516:SF20', NULL, NULL, NULL, NULL, 'MOLYBDATE-ANION TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(153134, NULL, 'PTHR24082:SF286', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR BETA', NULL, NULL, NULL, 15),
(153135, NULL, 'PTHR19277:SF94', NULL, NULL, NULL, NULL, 'NEURONAL PENTRAXIN RECEPTOR', NULL, NULL, NULL, 15),
(153136, NULL, 'PTHR12124', NULL, NULL, NULL, NULL, 'POLYMYOSITIS/SCLERODERMA AUTOANTIGEN-RELATED', NULL, NULL, 39134, 15),
(153137, NULL, 'PTHR21654', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153138, NULL, 'PTHR24031:SF725', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153139, NULL, 'PTHR19863:SF9', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 47-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153140, NULL, 'PTHR32467:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153141, NULL, 'PTHR11652:SF54', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S12/S23-RELATED', NULL, NULL, NULL, 15),
(153142, NULL, 'PTHR22762:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153143, NULL, 'PTHR31595:SF38', NULL, NULL, NULL, NULL, 'MBOAT (MEMBRANE BOUND O-ACYL TRANSFERASE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153144, NULL, 'PTHR23167:SF39', NULL, NULL, NULL, NULL, '[F-ACTIN]-MONOOXYGENASE MICAL2', NULL, NULL, 28657, 15),
(153145, NULL, 'PTHR22601:SF23', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 2', NULL, NULL, NULL, 15),
(153146, NULL, 'PTHR26453:SF235', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2V2', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153147, NULL, 'PTHR47983:SF22', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ALE2', NULL, NULL, NULL, 15),
(153148, NULL, 'PTHR46991:SF14', NULL, NULL, NULL, NULL, 'BNAC02G32960D PROTEIN', NULL, NULL, NULL, 15),
(153149, NULL, 'PTHR10046', NULL, NULL, NULL, NULL, 'ATP DEPENDENT LON PROTEASE FAMILY MEMBER', NULL, NULL, 25648, 15),
(153150, NULL, 'PTHR31218:SF284', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(153151, NULL, 'PTHR32093:SF110', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153152, NULL, 'PTHR22594:SF36', NULL, NULL, NULL, NULL, 'ASPARAGINE--TRNA LIGASE, CYTOPLASMIC 2-RELATED', NULL, NULL, NULL, 15),
(153153, NULL, 'PTHR10168:SF280', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C13', NULL, NULL, NULL, 15),
(153154, NULL, 'PTHR46254:SF3', NULL, NULL, NULL, NULL, 'PROTEIN GVQW1', NULL, NULL, NULL, 15),
(153155, NULL, 'PTHR24115:SF919', NULL, NULL, NULL, NULL, 'KINESIN FAMILY MEMBER 1AA', NULL, NULL, NULL, 15),
(153156, NULL, 'PTHR24068:SF138', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 N-LIKE-RELATED', NULL, NULL, NULL, 15),
(153157, NULL, 'PTHR11467:SF36', NULL, NULL, NULL, NULL, 'HISTONE H1', NULL, NULL, NULL, 15),
(153158, NULL, 'PTHR31213:SF122', NULL, NULL, NULL, NULL, 'BNAC04G04830D PROTEIN', NULL, NULL, NULL, 15),
(153159, NULL, 'PTHR10809:SF92', NULL, NULL, NULL, NULL, 'GEO13014P1', NULL, NULL, NULL, 15),
(153160, NULL, 'PTHR16897:SF17', NULL, NULL, NULL, NULL, 'BNACNNG44110D PROTEIN', NULL, NULL, NULL, 15),
(153161, NULL, 'PTHR12072:SF4', NULL, NULL, NULL, NULL, 'CWF19-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(153162, NULL, 'PTHR33265:SF8', NULL, NULL, NULL, NULL, 'AVR9/CF-9 RAPIDLY ELICITED PROTEIN', NULL, NULL, NULL, 15),
(153163, NULL, 'PTHR47965:SF61', NULL, NULL, NULL, NULL, 'OS01G0937100 PROTEIN', NULL, NULL, NULL, 15),
(153164, NULL, 'PTHR23068:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153165, NULL, 'PTHR46296:SF7', NULL, NULL, NULL, NULL, 'C2 AND GRAM DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(153166, NULL, 'PTHR31533:SF31', NULL, NULL, NULL, NULL, 'BNAANNG20980D PROTEIN', NULL, NULL, NULL, 15),
(153167, NULL, 'PTHR16487:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153168, NULL, 'PTHR11654:SF418', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153169, NULL, 'PTHR35281', NULL, NULL, NULL, NULL, 'BNAA02G34170D PROTEIN', NULL, NULL, NULL, 15),
(153170, NULL, 'PTHR43952:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153171, NULL, 'PTHR37204:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(153172, NULL, 'PTHR36519:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09799', NULL, NULL, NULL, 15),
(153173, NULL, 'PTHR22775:SF38', NULL, NULL, NULL, NULL, 'SORTING NEXIN 19B', NULL, NULL, NULL, 15),
(153174, NULL, 'PTHR34130:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153175, NULL, 'PTHR48056:SF13', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(153176, NULL, 'PTHR11245:SF2', NULL, NULL, NULL, NULL, 'STANNIOCALCIN-2', NULL, NULL, NULL, 15),
(153177, NULL, 'PTHR33786', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153178, NULL, 'PTHR13398:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153179, NULL, 'PTHR22683', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN RELATED', NULL, NULL, NULL, 15),
(153180, NULL, 'PTHR22938:SF13', NULL, NULL, NULL, NULL, 'ACID BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153181, NULL, 'PTHR47992:SF148', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153182, NULL, 'PTHR31221:SF17', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 13-RELATED', NULL, NULL, NULL, 15),
(153183, NULL, 'PTHR35410', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(153184, NULL, 'PTHR23024:SF356', NULL, NULL, NULL, NULL, 'GENE 8298-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153185, NULL, 'PTHR43721:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153186, NULL, 'PTHR15362:SF13', NULL, NULL, NULL, NULL, 'SI:CH1073-145M9.1', NULL, NULL, NULL, 15),
(153187, NULL, 'PTHR45971:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ASSOCIATED WITH UVRAG AS AUTOPHAGY ENHANCER', NULL, NULL, NULL, 15),
(153188, NULL, 'PTHR11011:SF24', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(153189, NULL, 'PTHR24012:SF824', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(153190, NULL, 'PTHR33918:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153191, NULL, 'PTHR28298', NULL, NULL, NULL, NULL, 'EISOSOME PROTEIN 1', NULL, NULL, 25697, 15),
(153192, NULL, 'PTHR43895:SF121', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(153193, NULL, 'PTHR47160:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153194, NULL, 'PTHR10742:SF218', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(153195, NULL, 'PTHR11414:SF25', NULL, NULL, NULL, NULL, '2010005H15RIK PROTEIN-RELATED', NULL, NULL, NULL, 15),
(153196, NULL, 'PTHR18804:SF15', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(153197, NULL, 'PTHR45623:SF34', NULL, NULL, NULL, NULL, 'CHD3-TYPE CHROMATIN-REMODELING FACTOR PICKLE', NULL, NULL, NULL, 15),
(153198, NULL, 'PTHR31152:SF1', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153199, NULL, 'PTHR37998:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 262', NULL, NULL, NULL, 15),
(153200, NULL, 'PTHR10701:SF14', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(153201, NULL, 'PTHR34454', NULL, NULL, NULL, NULL, 'TUNICAMYCIN INDUCED PROTEIN', NULL, NULL, NULL, 15),
(153202, NULL, 'PTHR33090:SF6', NULL, NULL, NULL, NULL, 'OSJNBA0043L09.18 PROTEIN', NULL, NULL, NULL, 15),
(153203, NULL, 'PTHR19143:SF379', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153204, NULL, 'PTHR43397:SF2', NULL, NULL, NULL, NULL, 'N-METHYLTRANSFERASE FMPB', NULL, NULL, NULL, 15),
(153205, NULL, 'PTHR11972:SF138', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN D', NULL, NULL, NULL, 15),
(153206, NULL, 'PTHR11588:SF331', NULL, NULL, NULL, NULL, 'TUBULIN BETA-8 CHAIN-LIKE PROTEIN LOC260334', NULL, NULL, NULL, 15),
(153207, NULL, 'PTHR42679:SF2', NULL, NULL, NULL, NULL, 'S-METHYL-5''-THIOADENOSINE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(153208, NULL, 'PTHR11017:SF323', NULL, NULL, NULL, NULL, 'BNAA09G44930D PROTEIN', NULL, NULL, NULL, 15),
(153209, NULL, 'PTHR10201:SF136', NULL, NULL, NULL, NULL, 'HEMOPEXIN', NULL, NULL, NULL, 15),
(153210, NULL, 'PTHR31490:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153211, NULL, 'PTHR21662:SF23', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(153212, NULL, 'PTHR45886:SF7', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(153213, NULL, 'PTHR11552:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153214, NULL, 'PTHR45765', NULL, NULL, NULL, NULL, 'METHIONINE--TRNA LIGASE', NULL, NULL, 16020, 15),
(153215, NULL, 'PTHR33784:SF31', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(153216, NULL, 'PTHR48021:SF56', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 14', NULL, NULL, NULL, 15),
(153217, NULL, 'PTHR22967:SF57', NULL, NULL, NULL, NULL, 'NUMB-ASSOCIATED KINASE, ISOFORM A', NULL, NULL, NULL, 15),
(153218, NULL, 'PTHR45899:SF1', NULL, NULL, NULL, NULL, 'ARF-GAP WITH RHO-GAP DOMAIN, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(153219, NULL, 'PTHR43649:SF11', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN YESO-RELATED', NULL, NULL, NULL, 15),
(153220, NULL, 'PTHR23268:SF23', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 3-1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153221, NULL, 'PTHR48034:SF12', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(153222, NULL, 'PTHR10438:SF428', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(153223, NULL, 'PTHR22572:SF15', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLTRANSFERASE BETA', NULL, NULL, NULL, 15),
(153224, NULL, 'PTHR27003:SF348', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(153225, NULL, 'PTHR11501:SF15', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 2', NULL, NULL, 26811, 15),
(153226, NULL, 'PTHR42031', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153227, NULL, 'PTHR21535:SF55', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER ALR1-RELATED', NULL, NULL, NULL, 15),
(153228, NULL, 'PTHR43377', NULL, NULL, NULL, NULL, 'BILIVERDIN REDUCTASE A', NULL, NULL, NULL, 15),
(153229, NULL, 'PTHR15217:SF2', NULL, NULL, NULL, NULL, 'PROTEIN OF 37 KDA-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153230, NULL, 'PTHR45974:SF180', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153231, NULL, 'PTHR26453:SF97', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(153232, NULL, 'PTHR46057:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153233, NULL, 'PTHR24298:SF815', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153234, NULL, 'PTHR23055:SF103', NULL, NULL, NULL, NULL, 'NEURONAL CALCIUM SENSOR 1', NULL, NULL, NULL, 15),
(153235, NULL, 'PTHR48005:SF4', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', NULL, NULL, NULL, 15),
(153236, NULL, 'PTHR27006:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153237, NULL, 'PTHR46539:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(153238, NULL, 'PTHR11014:SF114', NULL, NULL, NULL, NULL, 'GLR2540 PROTEIN', NULL, NULL, NULL, 15),
(153239, NULL, 'PTHR32080:SF48', NULL, NULL, NULL, NULL, 'BNAA02G37170D PROTEIN', NULL, NULL, NULL, 15),
(153240, NULL, 'PTHR33257:SF1', NULL, NULL, NULL, NULL, 'OS05G0476000 PROTEIN', NULL, NULL, NULL, 15),
(153241, NULL, 'PTHR10887:SF452', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', NULL, NULL, NULL, 15),
(153242, NULL, 'PTHR15574:SF64', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 8-LIKE', NULL, NULL, NULL, 15),
(153243, NULL, 'PTHR45364:SF3', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, 31686, 15),
(153244, NULL, 'PTHR11139:SF102', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TOR', NULL, NULL, NULL, 15),
(153245, NULL, 'PTHR45764:SF52', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 4', NULL, NULL, NULL, 15),
(153246, NULL, 'PTHR24369:SF175', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND TRANSMEMBRANE DOMAINS 2', NULL, NULL, NULL, 15),
(153247, NULL, 'PTHR22957:SF225', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 9B', NULL, NULL, NULL, 15),
(153248, NULL, 'PTHR47508:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153249, NULL, 'PTHR46034:SF20', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(153250, NULL, 'PTHR48221:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153251, NULL, 'PTHR45647:SF7', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 70', NULL, NULL, NULL, 15),
(153252, NULL, 'PTHR24296:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153253, NULL, 'PTHR45747:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE EZH2', NULL, NULL, NULL, 15),
(153254, NULL, 'PTHR48034:SF17', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, Y CHROMOSOME, FAMILY 1 MEMBER B', NULL, NULL, NULL, 15),
(153255, NULL, 'PTHR11527:SF316', NULL, NULL, NULL, NULL, '17.6 KDA CLASS I HEAT SHOCK PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(153256, NULL, 'PTHR31161:SF17', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1-BINDING PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153257, NULL, 'PTHR31099:SF21', NULL, NULL, NULL, NULL, 'BNACNNG04280D PROTEIN', NULL, NULL, NULL, 15),
(153258, NULL, 'PTHR10283:SF62', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 13 MEMBER 3', NULL, NULL, NULL, 15),
(153259, NULL, 'PTHR37291', NULL, NULL, NULL, NULL, '5-METHYLCYTOSINE-SPECIFIC RESTRICTION ENZYME B', NULL, NULL, NULL, 15),
(153260, NULL, 'PTHR37177:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PSY1', NULL, NULL, NULL, 15),
(153261, NULL, 'PTHR30173', NULL, NULL, NULL, NULL, 'SIGMA 19 FACTOR', NULL, NULL, NULL, 15),
(153262, NULL, 'PTHR33156:SF50', NULL, NULL, NULL, NULL, 'BNAA02G25450D PROTEIN', NULL, NULL, NULL, 15),
(153263, NULL, 'PTHR33564:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153264, NULL, 'PTHR11909:SF119', NULL, NULL, NULL, NULL, 'PROTEIN CBG06575', NULL, NULL, NULL, 15),
(153265, NULL, 'PTHR26453:SF294', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 10 SUBFAMILY K MEMBER 2', NULL, NULL, NULL, 15),
(153266, NULL, 'PTHR24381:SF76', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 891', NULL, NULL, NULL, 15),
(153267, NULL, 'PTHR36044', NULL, NULL, NULL, NULL, 'HEME BINDING PROTEIN', NULL, NULL, NULL, 15),
(153268, NULL, 'PTHR22718:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG15452', NULL, NULL, NULL, 15),
(153269, NULL, 'PTHR47928:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153270, NULL, 'PTHR11240:SF68', NULL, NULL, NULL, NULL, 'S-LIKE RNASE', NULL, NULL, NULL, 15),
(153271, NULL, 'PTHR21583:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ELYS', NULL, NULL, NULL, 15),
(153272, NULL, 'PTHR46050:SF8', NULL, NULL, NULL, NULL, 'OS01G0218200 PROTEIN', NULL, NULL, NULL, 15),
(153273, NULL, 'PTHR30438', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(153274, NULL, 'PTHR43372:SF2', NULL, NULL, NULL, NULL, 'IP13792P', NULL, NULL, NULL, 15),
(153275, NULL, 'PTHR24543:SF268', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(153276, NULL, 'PTHR14493:SF105', NULL, NULL, NULL, NULL, 'BNAA06G36220D PROTEIN', NULL, NULL, NULL, 15),
(153277, NULL, 'PTHR35277:SF8', NULL, NULL, NULL, NULL, 'BNAA06G11780D PROTEIN', NULL, NULL, NULL, 15),
(153278, NULL, 'PTHR10562:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153279, NULL, 'PTHR21109:SF16', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S21', NULL, NULL, NULL, 15),
(153280, NULL, 'PTHR32444:SF79', NULL, NULL, NULL, NULL, 'BNAA07G38400D PROTEIN', NULL, NULL, NULL, 15),
(153281, NULL, 'PTHR12932:SF21', NULL, NULL, NULL, NULL, 'TUBULIN POLYMERIZATION-PROMOTING PROTEIN FAMILY MEMBER 2', NULL, NULL, 25581, 15),
(153282, NULL, 'PTHR14226:SF25', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE-RELATED', NULL, NULL, NULL, 15),
(153283, NULL, 'PTHR10460:SF35', NULL, NULL, NULL, NULL, 'PROTEIN ABIL1-RELATED', NULL, NULL, NULL, 15),
(153284, NULL, 'PTHR30603:SF58', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGB-LIKE', NULL, NULL, NULL, 15),
(153285, NULL, 'PTHR14948:SF1', NULL, NULL, NULL, NULL, 'TRAFFICKING REGULATOR OF GLUT4 1', NULL, NULL, NULL, 15),
(153286, NULL, 'PTHR10271:SF28', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 5', NULL, NULL, 8390, 15),
(153287, NULL, 'PTHR34277:SF14', NULL, NULL, NULL, NULL, 'OS05G0505900 PROTEIN', NULL, NULL, NULL, 15),
(153288, NULL, 'PTHR45798:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153289, NULL, 'PTHR45694:SF19', NULL, NULL, NULL, NULL, 'BNAA02G04900D PROTEIN', NULL, NULL, NULL, 15),
(153290, NULL, 'PTHR31375:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153291, NULL, 'PTHR45848:SF2', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 12', NULL, NULL, NULL, 15),
(153292, NULL, 'PTHR11306:SF30', NULL, NULL, NULL, NULL, 'NPC INTRACELLULAR CHOLESTEROL TRANSPORTER 2', NULL, NULL, NULL, 15),
(153293, NULL, 'PTHR31698:SF4', NULL, NULL, NULL, NULL, 'LYSOZYME G-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(153294, NULL, 'PTHR46341', NULL, NULL, NULL, NULL, 'PROTEIN FAM84B-RELATED', NULL, NULL, 38799, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153295, NULL, 'PTHR45988:SF42', NULL, NULL, NULL, NULL, 'BNAC03G48520D PROTEIN', NULL, NULL, NULL, 15),
(153296, NULL, 'PTHR22924:SF39', NULL, NULL, NULL, NULL, 'NON-SYMBIOTIC HEMOGLOBIN 1', NULL, NULL, NULL, 15),
(153297, NULL, 'PTHR45736', NULL, NULL, NULL, NULL, 'ZINC FINGER MYM-TYPE PROTEIN', NULL, NULL, NULL, 15),
(153298, NULL, 'PTHR13301:SF144', NULL, NULL, NULL, NULL, 'MIXED-LINKED GLUCAN SYNTHASE 9-RELATED', NULL, NULL, NULL, 15),
(153299, NULL, 'PTHR44329:SF183', NULL, NULL, NULL, NULL, 'KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153300, NULL, 'PTHR43760:SF1', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE-RELATED', NULL, NULL, NULL, 15),
(153301, NULL, 'PTHR11206:SF399', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(153302, NULL, 'PTHR18947:SF31', NULL, NULL, NULL, NULL, 'PROTEIN DAPLE', NULL, NULL, 22444, 15),
(153303, NULL, 'PTHR46316:SF7', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-2-LIKE', NULL, NULL, NULL, 15),
(153304, NULL, 'PTHR33085:SF41', NULL, NULL, NULL, NULL, 'OS12G0624700 PROTEIN', NULL, NULL, NULL, 15),
(153305, NULL, 'PTHR24381:SF343', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 589', NULL, NULL, NULL, 15),
(153306, NULL, 'PTHR32444:SF129', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153307, NULL, 'PTHR43811:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 9C', NULL, NULL, NULL, 15),
(153308, NULL, 'PTHR48024:SF8', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(153309, NULL, 'PTHR43670:SF54', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153310, NULL, 'PTHR33286:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153311, NULL, 'PTHR12674', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 5', NULL, NULL, 10807, 15),
(153312, NULL, 'PTHR11963:SF39', NULL, NULL, NULL, NULL, 'CYTOSOL AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(153313, NULL, 'PTHR45966:SF24', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153314, NULL, 'PTHR31490', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE', NULL, NULL, 37247, 15),
(153315, NULL, 'PTHR47262', NULL, NULL, NULL, NULL, 'OS02G0132600 PROTEIN', NULL, NULL, NULL, 15),
(153316, NULL, 'PTHR31677:SF112', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(153317, NULL, 'PTHR21255:SF20', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN TCTEX-TYPE 3', NULL, NULL, NULL, 15),
(153318, NULL, 'PTHR13859:SF9', NULL, NULL, NULL, NULL, 'ATROPHIN-1', NULL, NULL, NULL, 15),
(153319, NULL, 'PTHR11709:SF273', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(153320, NULL, 'PTHR34359:SF21', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR-RELATED 11-RELATED', NULL, NULL, NULL, 15),
(153321, NULL, 'PTHR31140:SF12', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN IDEF1', NULL, NULL, NULL, 15),
(153322, NULL, 'PTHR24096:SF312', NULL, NULL, NULL, NULL, 'BCDNA.GH02901', NULL, NULL, NULL, 15),
(153323, NULL, 'PTHR43329:SF84', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(153324, NULL, 'PTHR47025:SF7', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASE WITH RING/FYVE/PHD-TYPE ZINC FINGER DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(153325, NULL, 'PTHR33057:SF123', NULL, NULL, NULL, NULL, 'OFP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(153326, NULL, 'PTHR31061:SF25', NULL, NULL, NULL, NULL, 'HEPARAN-ALPHA-GLUCOSAMINIDE N-ACETYLTRANSFERASE-LIKE PROTEIN (DUF1624)', NULL, NULL, NULL, 15),
(153327, NULL, 'PTHR18953:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153328, NULL, 'PTHR46834:SF8', NULL, NULL, NULL, NULL, 'BNAA05G11520D PROTEIN', NULL, NULL, NULL, 15),
(153329, NULL, 'PTHR42930:SF2', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153330, NULL, 'PTHR43884:SF12', NULL, NULL, NULL, NULL, 'ISOVALERYL-COA DEHYDROGENASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153331, NULL, 'PTHR11709:SF58', NULL, NULL, NULL, NULL, 'SKU5 SIMILAR 3', NULL, NULL, NULL, 15),
(153332, NULL, 'PTHR31238:SF143', NULL, NULL, NULL, NULL, 'OS04G0288100 PROTEIN', NULL, NULL, NULL, 15),
(153333, NULL, 'PTHR12636:SF13', NULL, NULL, NULL, NULL, 'NUCLEOLAR ESSENTIAL-RELATED-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153334, NULL, 'PTHR31080:SF89', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', NULL, NULL, NULL, 15),
(153335, NULL, 'PTHR31223:SF50', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15),
(153336, NULL, 'PTHR42836:SF1', NULL, NULL, NULL, NULL, '7-CARBOXY-7-DEAZAGUANINE SYNTHASE', NULL, NULL, NULL, 15),
(153337, NULL, 'PTHR22603:SF86', NULL, NULL, NULL, NULL, 'CHOLINE KINASE-RELATED', NULL, NULL, NULL, 15),
(153338, NULL, 'PTHR24061:SF522', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 10-RELATED', NULL, NULL, NULL, 15),
(153339, NULL, 'PTHR22988:SF33', NULL, NULL, NULL, NULL, 'RHO-ASSOCIATED PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(153340, NULL, 'PTHR31676:SF18', NULL, NULL, NULL, NULL, 'OS04G0443200 PROTEIN', NULL, NULL, NULL, 15),
(153341, NULL, 'PTHR31140:SF81', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR ABI3', NULL, NULL, NULL, 15),
(153342, NULL, 'PTHR11064:SF140', NULL, NULL, NULL, NULL, 'BNAC08G20060D PROTEIN', NULL, NULL, NULL, 15),
(153343, NULL, 'PTHR11615:SF291', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153344, NULL, 'PTHR19325:SF537', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR BINDING PROTEIN,N-TERMINAL', NULL, NULL, NULL, 15),
(153345, NULL, 'PTHR46706:SF1', NULL, NULL, NULL, NULL, 'WARTHOG (HEDGEHOG-LIKE FAMILY)', NULL, NULL, NULL, 15),
(153346, NULL, 'PTHR13673', NULL, NULL, NULL, NULL, 'ESOPHAGEAL CANCER ASSOCIATED PROTEIN', NULL, NULL, 24932, 15),
(153347, NULL, 'PTHR13518:SF1', NULL, NULL, NULL, NULL, 'RGD1306746 PROTEIN', NULL, NULL, NULL, 15),
(153348, NULL, 'PTHR43004', NULL, NULL, NULL, NULL, 'TRK SYSTEM POTASSIUM UPTAKE PROTEIN', NULL, NULL, NULL, 15),
(153349, NULL, 'PTHR43280:SF20', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ADIY-RELATED', NULL, NULL, NULL, 15),
(153350, NULL, 'PTHR33384', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(153351, NULL, 'PTHR21577:SF5', NULL, NULL, NULL, NULL, 'SHUGOSHIN 2', NULL, NULL, 25189, 15),
(153352, NULL, 'PTHR13864:SF16', NULL, NULL, NULL, NULL, 'T-CELL ACUTE LYMPHOCYTIC LEUKEMIA PROTEIN 1', NULL, NULL, NULL, 15),
(153353, NULL, 'PTHR33052:SF140', NULL, NULL, NULL, NULL, 'BNAA09G41900D PROTEIN', NULL, NULL, NULL, 15),
(153354, NULL, 'PTHR30540:SF87', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(153355, NULL, 'PTHR11842:SF14', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE CHECKPOINT PROTEIN MAD2-LIKE', NULL, NULL, NULL, 15),
(153356, NULL, 'PTHR45796:SF7', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN P4', NULL, NULL, NULL, 15),
(153357, NULL, 'PTHR11804:SF73', NULL, NULL, NULL, NULL, 'CYTOSOLIC OLIGOPEPTIDASE A-RELATED', NULL, NULL, NULL, 15),
(153358, NULL, 'PTHR31470:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153359, NULL, 'PTHR24377:SF218', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 182', NULL, NULL, NULL, 15),
(153360, NULL, 'PTHR32054:SF23', NULL, NULL, NULL, NULL, 'WEB FAMILY PLANT PROTEIN', NULL, NULL, NULL, 15),
(153361, NULL, 'PTHR35192', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, 33651, 15),
(153362, NULL, 'PTHR10681:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153363, NULL, 'PTHR23050:SF218', NULL, NULL, NULL, NULL, 'CENTRIN-1', NULL, NULL, 24778, 15),
(153364, NULL, 'PTHR31989:SF323', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153365, NULL, 'PTHR11673:SF42', NULL, NULL, NULL, NULL, 'BNAA07G09420D PROTEIN', NULL, NULL, NULL, 15),
(153366, NULL, 'PTHR34798', NULL, NULL, NULL, NULL, 'PROTEIN TIME FOR COFFEE', NULL, NULL, 35616, 15),
(153367, NULL, 'PTHR48104:SF22', NULL, NULL, NULL, NULL, 'METACASPASE-1-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153368, NULL, 'PTHR11528:SF44', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 75 KDA, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(153369, NULL, 'PTHR33057:SF114', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR-RELATED', NULL, NULL, NULL, 15),
(153370, NULL, 'PTHR23220:SF26', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-10', NULL, NULL, NULL, 15),
(153371, NULL, 'PTHR23257:SF831', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ROCO8-RELATED', NULL, NULL, NULL, 15),
(153372, NULL, 'PTHR48007:SF41', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 5', NULL, NULL, NULL, 15),
(153373, NULL, 'PTHR22663:SF21', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE RNF212-RELATED', NULL, NULL, NULL, 15),
(153374, NULL, 'PTHR15032:SF34', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE EFM4', NULL, NULL, NULL, 15),
(153375, NULL, 'PTHR31531:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE E3D', NULL, NULL, NULL, 15),
(153376, NULL, 'PTHR16171:SF9', NULL, NULL, NULL, NULL, 'BASIC IMMUNOGLOBULIN-LIKE VARIABLE MOTIF-CONTAINING PROTEIN', NULL, NULL, 35326, 15),
(153377, NULL, 'PTHR31832:SF51', NULL, NULL, NULL, NULL, 'BNAC03G60270D PROTEIN', NULL, NULL, NULL, 15),
(153378, NULL, 'PTHR43880:SF27', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(153379, NULL, 'PTHR23024:SF230', NULL, NULL, NULL, NULL, 'OS03G0790500 PROTEIN', NULL, NULL, NULL, 15),
(153380, NULL, 'PTHR15469:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(153381, NULL, 'PTHR23355:SF37', NULL, NULL, NULL, NULL, 'EXORIBONUCLEASE 2', NULL, NULL, NULL, 15),
(153382, NULL, 'PTHR46293:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP2', NULL, NULL, NULL, 15),
(153383, NULL, 'PTHR43327:SF24', NULL, NULL, NULL, NULL, 'OS01G0588400 PROTEIN', NULL, NULL, NULL, 15),
(153384, NULL, 'PTHR12489', NULL, NULL, NULL, NULL, 'LIPOMA HMGIC FUSION PARTNER-LIKE PROTEIN', NULL, NULL, 15828, 15),
(153385, NULL, 'PTHR16093:SF5', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 120', NULL, NULL, 34424, 15),
(153386, NULL, 'PTHR43278:SF1', NULL, NULL, NULL, NULL, 'IRON-SULFUR FLAVOPROTEIN MJ1083', NULL, NULL, NULL, 15),
(153387, NULL, 'PTHR31238:SF105', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153388, NULL, 'PTHR27002:SF659', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 25', NULL, NULL, NULL, 15),
(153389, NULL, 'PTHR13871:SF96', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN 1-RELATED', NULL, NULL, NULL, 15),
(153390, NULL, 'PTHR13528:SF10', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L28', NULL, NULL, NULL, 15),
(153391, NULL, 'PTHR14247:SF8', NULL, NULL, NULL, NULL, 'BREAST CANCER ANTI-ESTROGEN RESISTANCE PROTEIN 3 HOMOLOG-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153392, NULL, 'PTHR43768:SF7', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE 3-RELATED', NULL, NULL, NULL, 15),
(153393, NULL, 'PTHR48047:SF32', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(153394, NULL, 'PTHR39576:SF1', NULL, NULL, NULL, NULL, 'INVASIN-RELATED', NULL, NULL, NULL, 15),
(153395, NULL, 'PTHR12210:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153396, NULL, 'PTHR12300:SF127', NULL, NULL, NULL, NULL, 'RECEPTOR EXPRESSION-ENHANCING PROTEIN', NULL, NULL, NULL, 15),
(153397, NULL, 'PTHR47951', NULL, NULL, NULL, NULL, 'OS08G0547900 PROTEIN', NULL, NULL, NULL, 15),
(153398, NULL, 'PTHR24230:SF120', NULL, NULL, NULL, NULL, 'PROTEIN CBG19222', NULL, NULL, NULL, 15),
(153399, NULL, 'PTHR10223', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 4', NULL, NULL, NULL, 15),
(153400, NULL, 'PTHR32444:SF106', NULL, NULL, NULL, NULL, 'OS09G0550300 PROTEIN', NULL, NULL, NULL, 15),
(153401, NULL, 'PTHR14154:SF66', NULL, NULL, NULL, NULL, 'STRESS ENHANCED PROTEIN 1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(153402, NULL, 'PTHR10353:SF252', NULL, NULL, NULL, NULL, 'BNAA09G55510D PROTEIN', NULL, NULL, NULL, 15),
(153403, NULL, 'PTHR43880:SF5', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE 6', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153404, NULL, 'PTHR43903:SF4', NULL, NULL, NULL, NULL, 'NEUROLIGIN-3', NULL, NULL, 24555, 15),
(153405, NULL, 'PTHR24376:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153406, NULL, 'PTHR34384:SF6', NULL, NULL, NULL, NULL, 'STAPHYLOFERRIN B SYNTHASE', NULL, NULL, NULL, 15),
(153407, NULL, 'PTHR31374:SF318', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(153408, NULL, 'PTHR46291:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153409, NULL, 'PTHR46123', NULL, NULL, NULL, NULL, 'MIX-TYPE HOMEOBOX GENE 1-RELATED', NULL, NULL, NULL, 15),
(153410, NULL, 'PTHR12465', NULL, NULL, NULL, NULL, 'UBIQUITIN SPECIFIC PROTEASE HOMOLOG 49', NULL, NULL, 14082, 15),
(153411, NULL, 'PTHR24296:SF219', NULL, NULL, NULL, NULL, 'BNAA03G56840D PROTEIN', NULL, NULL, NULL, 15),
(153412, NULL, 'PTHR32468:SF136', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 12', NULL, NULL, NULL, 15),
(153413, NULL, 'PTHR20855:SF58', NULL, NULL, NULL, NULL, 'MEMBRANE PROGESTIN RECEPTOR EPSILON', NULL, NULL, NULL, 15),
(153414, NULL, 'PTHR21533:SF19', NULL, NULL, NULL, NULL, 'CHIBBY HOMOLOG 1 (DROSOPHILA)', NULL, NULL, NULL, 15),
(153415, NULL, 'PTHR44272:SF7', NULL, NULL, NULL, NULL, 'BNAANNG28740D PROTEIN', NULL, NULL, NULL, 15),
(153416, NULL, 'PTHR15301:SF11', NULL, NULL, NULL, NULL, 'INSULIN-INDUCED GENE 1 PROTEIN', NULL, NULL, 14985, 15),
(153417, NULL, 'PTHR11758:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153418, NULL, 'PTHR22811:SF14', NULL, NULL, NULL, NULL, 'LP01981P-RELATED', NULL, NULL, NULL, 15),
(153419, NULL, 'PTHR45652:SF8', NULL, NULL, NULL, NULL, 'NEUROFILAMENT LIGHT POLYPEPTIDE', NULL, NULL, 26709, 15),
(153420, NULL, 'PTHR13593:SF122', NULL, NULL, NULL, NULL, 'BNAANNG36510D PROTEIN', NULL, NULL, NULL, 15),
(153421, NULL, 'PTHR31064:SF8', NULL, NULL, NULL, NULL, 'CATION TRANSPORTER HKT4', NULL, NULL, NULL, 15),
(153422, NULL, 'PTHR33002', NULL, NULL, NULL, NULL, 'POLYMERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153423, NULL, 'PTHR37239', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 9', NULL, NULL, 23298, 15),
(153424, NULL, 'PTHR11633:SF4', NULL, NULL, NULL, NULL, 'PLATELET-DERIVED GROWTH FACTOR D', NULL, NULL, 25706, 15),
(153425, NULL, 'PTHR44743:SF11', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(153426, NULL, 'PTHR24034:SF96', NULL, NULL, NULL, NULL, 'EGF-CONTAINING FIBULIN-LIKE EXTRACELLULAR MATRIX PROTEIN 2', NULL, NULL, 22645, 15),
(153427, NULL, 'PTHR47661', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCAN PHOSPHATASE LSF1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(153428, NULL, 'PTHR46505', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE NAD-BINDING DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(153429, NULL, 'PTHR11818:SF13', NULL, NULL, NULL, NULL, 'BETA-CRYSTALLIN B3', NULL, NULL, 31111, 15),
(153430, NULL, 'PTHR33074:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153431, NULL, 'PTHR34977:SF3', NULL, NULL, NULL, NULL, 'UPF0337 PROTEIN XCC3924', NULL, NULL, NULL, 15),
(153432, NULL, 'PTHR43859:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153433, NULL, 'PTHR47992:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153434, NULL, 'PTHR34982:SF3', NULL, NULL, NULL, NULL, 'FLAGELLAR ASSEMBLY PROTEIN FLIH', NULL, NULL, NULL, 15),
(153435, NULL, 'PTHR24637:SF283', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(153436, NULL, 'PTHR11177:SF371', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153437, NULL, 'PTHR18945:SF786', NULL, NULL, NULL, NULL, 'SI:CH211-256E16.4-RELATED', NULL, NULL, NULL, 15),
(153438, NULL, 'PTHR15710:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153439, NULL, 'PTHR32227:SF360', NULL, NULL, NULL, NULL, 'BNAA10G09420D PROTEIN', NULL, NULL, NULL, 15),
(153440, NULL, 'PTHR27008:SF138', NULL, NULL, NULL, NULL, 'LEUCINE-RICH RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153441, NULL, 'PTHR19963:SF29', NULL, NULL, NULL, NULL, 'GRF ZINC FINGER / ZINC KNUCKLE PROTEIN', NULL, NULL, NULL, 15),
(153442, NULL, 'PTHR14207', NULL, NULL, NULL, NULL, 'STEROL ISOMERASE', NULL, NULL, 3402, 15),
(153443, NULL, 'PTHR38846:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153444, NULL, 'PTHR46128:SF208', NULL, NULL, NULL, NULL, 'BNAC05G04620D PROTEIN', NULL, NULL, NULL, 15),
(153445, NULL, 'PTHR45786:SF29', NULL, NULL, NULL, NULL, 'BNAA08G31450D PROTEIN', NULL, NULL, NULL, 15),
(153446, NULL, 'PTHR31075:SF2', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 85 KDA-LIKE', NULL, NULL, 28864, 15),
(153447, NULL, 'PTHR34360:SF13', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(153448, NULL, 'PTHR13029:SF15', NULL, NULL, NULL, NULL, 'MYELIN REGULATORY FACTOR HOMOLOG 2', NULL, NULL, NULL, 15),
(153449, NULL, 'PTHR11157:SF104', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN SRE1', NULL, NULL, NULL, 15),
(153450, NULL, 'PTHR24253:SF31', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 4', NULL, NULL, NULL, 15),
(153451, NULL, 'PTHR45648:SF77', NULL, NULL, NULL, NULL, 'BNAA01G29500D PROTEIN', NULL, NULL, NULL, 15),
(153452, NULL, 'PTHR32285:SF10', NULL, NULL, NULL, NULL, 'PROTEIN ESKIMO 1', NULL, NULL, NULL, 15),
(153453, NULL, 'PTHR33895:SF18', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(153454, NULL, 'PTHR18945:SF780', NULL, NULL, NULL, NULL, 'CHOLINERGIC RECEPTOR, NICOTINIC, BETA 2, LIKE', NULL, NULL, NULL, 15),
(153455, NULL, 'PTHR10736:SF19', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG', NULL, NULL, NULL, 15),
(153456, NULL, 'PTHR43180:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153457, NULL, 'PTHR45660:SF11', NULL, NULL, NULL, NULL, 'OS08G0400200 PROTEIN', NULL, NULL, NULL, 15),
(153458, NULL, 'PTHR11208:SF107', NULL, NULL, NULL, NULL, 'BNAANNG22840D PROTEIN', NULL, NULL, NULL, 15),
(153459, NULL, 'PTHR11346:SF112', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(153460, NULL, 'PTHR31818:SF21', NULL, NULL, NULL, NULL, 'BNAA08G30350D PROTEIN', NULL, NULL, NULL, 15),
(153461, NULL, 'PTHR23147:SF184', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RSZ22A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(153462, NULL, 'PTHR32000', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN', NULL, NULL, 30343, 15),
(153463, NULL, 'PTHR31326:SF7', NULL, NULL, NULL, NULL, '(CHLOROQUINE-RESISTANCE TRANSPORTER)-LIKE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153464, NULL, 'PTHR33463:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153465, NULL, 'PTHR45648:SF21', NULL, NULL, NULL, NULL, 'OSJNBA0043L24.11 PROTEIN', NULL, NULL, NULL, 15),
(153466, NULL, 'PTHR43257:SF3', NULL, NULL, NULL, NULL, 'ACETOIN:2,6-DICHLOROPHENOLINDOPHENOL OXIDOREDUCTASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(153467, NULL, 'PTHR10891:SF756', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(153468, NULL, 'PTHR48041:SF4', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 6', NULL, NULL, NULL, 15),
(153469, NULL, 'PTHR30540:SF127', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(153470, NULL, 'PTHR11254:SF79', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECW1', NULL, NULL, NULL, 15),
(153471, NULL, 'PTHR24037:SF11', NULL, NULL, NULL, NULL, 'MUCIN 13B, CELL SURFACE-ASSOCIATED', NULL, NULL, NULL, 15),
(153472, NULL, 'PTHR23421:SF65', NULL, NULL, NULL, NULL, 'BETA GALACTOSIDASE, ISOFORM A', NULL, NULL, NULL, 15),
(153473, NULL, 'PTHR14624:SF2', NULL, NULL, NULL, NULL, 'POLYPRENOL REDUCTASE 2-LIKE', NULL, NULL, NULL, 15),
(153474, NULL, 'PTHR47722:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(153475, NULL, 'PTHR31458:SF15', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE NON-CATALYTIC SUBUNIT AROGP2', NULL, NULL, NULL, 15),
(153476, NULL, 'PTHR11117:SF19', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT ALPHA-1, MITOCHONDRIAL', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153477, NULL, 'PTHR30468:SF28', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT TAURINE DIOXYGENASE (AFU_ORTHOLOGUE AFUA_8G02210)', NULL, NULL, NULL, 15),
(153478, NULL, 'PTHR43687', NULL, NULL, NULL, NULL, 'ADENYLYLSULFATE REDUCTASE, BETA SUBUNIT', NULL, NULL, NULL, 15),
(153479, NULL, 'PTHR34703:SF1', NULL, NULL, NULL, NULL, 'ANTIPORTER SUBUNIT MNHG2-RELATED', NULL, NULL, NULL, 15),
(153480, NULL, 'PTHR33095:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153481, NULL, 'PTHR13296:SF4', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR SPF27', NULL, NULL, NULL, 15),
(153482, NULL, 'PTHR48015:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAK MBT', NULL, NULL, NULL, 15),
(153483, NULL, 'PTHR47493:SF1', NULL, NULL, NULL, NULL, 'OS08G0520200 PROTEIN', NULL, NULL, NULL, 15),
(153484, NULL, 'PTHR19290:SF152', NULL, NULL, NULL, NULL, 'ATONAL BHLH TRANSCRIPTION FACTOR 1C-RELATED', NULL, NULL, NULL, 15),
(153485, NULL, 'PTHR13994:SF42', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 6-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(153486, NULL, 'PTHR11984:SF52', NULL, NULL, NULL, NULL, 'GAP JUNCTION GAMMA-2 PROTEIN', NULL, NULL, NULL, 15),
(153487, NULL, 'PTHR21590:SF3', NULL, NULL, NULL, NULL, 'UPF0606 PROTEIN KIAA1549L', NULL, NULL, NULL, 15),
(153488, NULL, 'PTHR22761:SF21', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 7', NULL, NULL, NULL, 15),
(153489, NULL, 'PTHR10245:SF15', NULL, NULL, NULL, NULL, 'ENDOTHELIAL DIFFERENTIATION-RELATED FACTOR 1', NULL, NULL, NULL, 15),
(153490, NULL, 'PTHR22952:SF426', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153491, NULL, 'PTHR31989:SF367', NULL, NULL, NULL, NULL, 'BNAA09G35990D PROTEIN', NULL, NULL, NULL, 15),
(153492, NULL, 'PTHR31086:SF70', NULL, NULL, NULL, NULL, 'BNAA08G26960D PROTEIN', NULL, NULL, NULL, 15),
(153493, NULL, 'PTHR45496:SF19', NULL, NULL, NULL, NULL, 'BNAANNG15130D PROTEIN', NULL, NULL, NULL, 15),
(153494, NULL, 'PTHR17068:SF5', NULL, NULL, NULL, NULL, 'MYELOID-ASSOCIATED DIFFERENTIATION MARKER-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(153495, NULL, 'PTHR34483:SF5', NULL, NULL, NULL, NULL, 'OS09G0129800 PROTEIN', NULL, NULL, NULL, 15),
(153496, NULL, 'PTHR11772:SF2', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE', NULL, NULL, NULL, 15),
(153497, NULL, 'PTHR11063', NULL, NULL, NULL, NULL, 'GLUTAMATE SEMIALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(153498, NULL, 'PTHR31225:SF18', NULL, NULL, NULL, NULL, '18-CINEOLE SYNTHASE 1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(153499, NULL, 'PTHR31174:SF21', NULL, NULL, NULL, NULL, 'OS12G0626500 PROTEIN', NULL, NULL, NULL, 15),
(153500, NULL, 'PTHR10663:SF314', NULL, NULL, NULL, NULL, 'IQ MOTIF AND SEC7 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(153501, NULL, 'PTHR24031:SF733', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153502, NULL, 'PTHR45958:SF5', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(153503, NULL, 'PTHR21629:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG01910', NULL, NULL, NULL, 15),
(153504, NULL, 'PTHR23017:SF42', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(153505, NULL, 'PTHR21310', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE PHOSPHOTRANSFERASE-RELATED-RELATED', NULL, NULL, NULL, 15),
(153506, NULL, 'PTHR45800:SF20', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 4-LIKE', NULL, NULL, NULL, 15),
(153507, NULL, 'PTHR11707:SF28', NULL, NULL, NULL, NULL, '60 KDA LYSOPHOSPHOLIPASE', NULL, NULL, NULL, 15),
(153508, NULL, 'PTHR48063:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153509, NULL, 'PTHR46902:SF1', NULL, NULL, NULL, NULL, 'DOMON DOMAIN-CONTAINING PROTEIN FRRS1L', NULL, NULL, NULL, 15),
(153510, NULL, 'PTHR31351:SF31', NULL, NULL, NULL, NULL, 'AUXIN CANALIZATION PROTEIN', NULL, NULL, NULL, 15),
(153511, NULL, 'PTHR45642:SF28', NULL, NULL, NULL, NULL, 'BNAANNG15740D PROTEIN', NULL, NULL, NULL, 15),
(153512, NULL, 'PTHR46743:SF2', NULL, NULL, NULL, NULL, 'TEICHOIC ACIDS EXPORT ATP-BINDING PROTEIN TAGH', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153513, NULL, 'PTHR24253:SF84', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11E', NULL, NULL, NULL, 15),
(153514, NULL, 'PTHR11062:SF99', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153515, NULL, 'PTHR46794:SF3', NULL, NULL, NULL, NULL, 'AMELOGENIN, X ISOFORM', NULL, NULL, NULL, 15),
(153516, NULL, 'PTHR13832:SF584', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-RELATED PROTEIN', NULL, NULL, NULL, 15),
(153517, NULL, 'PTHR24115:SF191', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF9', NULL, NULL, NULL, 15),
(153518, NULL, 'PTHR46327:SF3', NULL, NULL, NULL, NULL, 'F16F4.11 PROTEIN', NULL, NULL, NULL, 15),
(153519, NULL, 'PTHR13932:SF1', NULL, NULL, NULL, NULL, 'OXYGEN-INDEPENDENT COPROPORPHYRINOGEN-III OXIDASE-LIKE PROTEIN HEMZ', NULL, NULL, 18639, 15),
(153520, NULL, 'PTHR35499:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153521, NULL, 'PTHR48018:SF19', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(153522, NULL, 'PTHR47926:SF66', NULL, NULL, NULL, NULL, 'OS09G0407800 PROTEIN', NULL, NULL, NULL, 15),
(153523, NULL, 'PTHR31080:SF88', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(153524, NULL, 'PTHR23274:SF11', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE PIF1', NULL, NULL, NULL, 15),
(153525, NULL, 'PTHR21368:SF23', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L9, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(153526, NULL, 'PTHR48169:SF1', NULL, NULL, NULL, NULL, 'ASTROCYTIC PHOSPHOPROTEIN PEA-15', NULL, NULL, NULL, 15),
(153527, NULL, 'PTHR13077:SF8', NULL, NULL, NULL, NULL, 'BNAANNG25340D PROTEIN', NULL, NULL, NULL, 15),
(153528, NULL, 'PTHR31790:SF174', NULL, NULL, NULL, NULL, 'F-BOX AND ASSOCIATED INTERACTION DOMAINS-CONTAINING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153529, NULL, 'PTHR13803:SF4', NULL, NULL, NULL, NULL, 'SECRETORY 24AB, ISOFORM A', NULL, NULL, NULL, 15),
(153530, NULL, 'PTHR41534:SF1', NULL, NULL, NULL, NULL, 'BLR3401 PROTEIN', NULL, NULL, NULL, 15),
(153531, NULL, 'PTHR33203:SF53', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(153532, NULL, 'PTHR43920:SF7', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 4', NULL, NULL, NULL, 15),
(153533, NULL, 'PTHR33130:SF35', NULL, NULL, NULL, NULL, 'DUF1639 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153534, NULL, 'PTHR11615:SF234', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153535, NULL, 'PTHR11711:SF364', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(153536, NULL, 'PTHR24075:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153537, NULL, 'PTHR47991:SF39', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE', NULL, NULL, NULL, 15),
(153538, NULL, 'PTHR45453:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE REGULON SENSOR PROTEIN PHOR', NULL, NULL, NULL, 15),
(153539, NULL, 'PTHR24015:SF1753', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153540, NULL, 'PTHR24286:SF81', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(153541, NULL, 'PTHR43341:SF37', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(153542, NULL, 'PTHR10966:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', NULL, NULL, NULL, 15),
(153543, NULL, 'PTHR48050:SF15', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(153544, NULL, 'PTHR22943:SF45', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(153545, NULL, 'PTHR46421:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153546, NULL, 'PTHR33601:SF29', NULL, NULL, NULL, NULL, 'BNAC04G55270D PROTEIN', NULL, NULL, NULL, 15),
(153547, NULL, 'PTHR40736:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153548, NULL, 'PTHR31655:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM78A', NULL, NULL, 27495, 15),
(153549, NULL, 'PTHR42881:SF10', NULL, NULL, NULL, NULL, 'PROLYL OLIGOPEPTIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153550, NULL, 'PTHR46317', NULL, NULL, NULL, NULL, 'HYDROLASE OF PHP SUPERFAMILY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(153551, NULL, 'PTHR19818:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153552, NULL, 'PTHR46943', NULL, NULL, NULL, NULL, 'PENTRAXIN-RELATED PROTEIN PTX3', NULL, NULL, 36973, 15),
(153553, NULL, 'PTHR31374:SF149', NULL, NULL, NULL, NULL, 'BNAC07G15580D PROTEIN', NULL, NULL, NULL, 15),
(153554, NULL, 'PTHR14964:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-BINDING FACTOR 2', NULL, NULL, NULL, 15),
(153555, NULL, 'PTHR46128:SF256', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153556, NULL, 'PTHR30290:SF23', NULL, NULL, NULL, NULL, 'PERIPLASMIC MUREIN PEPTIDE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(153557, NULL, 'PTHR10257:SF91', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(153558, NULL, 'PTHR43810:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG14718', NULL, NULL, NULL, 15),
(153559, NULL, 'PTHR47928:SF24', NULL, NULL, NULL, NULL, 'PPR REPEAT PROTEIN', NULL, NULL, NULL, 15),
(153560, NULL, 'PTHR10688:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE ATM', NULL, NULL, NULL, 15),
(153561, NULL, 'PTHR10880:SF25', NULL, NULL, NULL, NULL, 'MORTALITY FACTOR 4-LIKE PROTEIN 2', NULL, NULL, 36371, 15),
(153562, NULL, 'PTHR12281:SF22', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', NULL, NULL, NULL, 15),
(153563, NULL, 'PTHR43730:SF3', NULL, NULL, NULL, NULL, 'BETA-MANNOSIDASE A', NULL, NULL, NULL, 15),
(153564, NULL, 'PTHR12565:SF316', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH62', NULL, NULL, NULL, 15),
(153565, NULL, 'PTHR24115:SF421', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF25', NULL, NULL, NULL, 15),
(153566, NULL, 'PTHR31878', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE PROTEIN TAFA-5-RELATED', NULL, NULL, 30165, 15),
(153567, NULL, 'PTHR13192:SF2', NULL, NULL, NULL, NULL, 'ZGC:92335', NULL, NULL, NULL, 15),
(153568, NULL, 'PTHR45838:SF4', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE TRITHORAX', NULL, NULL, NULL, 15),
(153569, NULL, 'PTHR11987:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153570, NULL, 'PTHR22844:SF334', NULL, NULL, NULL, NULL, 'BNAANNG11810D PROTEIN', NULL, NULL, NULL, 15),
(153571, NULL, 'PTHR47116:SF16', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(153572, NULL, 'PTHR48049:SF38', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(153573, NULL, 'PTHR31589:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153574, NULL, 'PTHR27003:SF341', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153575, NULL, 'PTHR33728:SF3', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(153576, NULL, 'PTHR27006:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153577, NULL, 'PTHR31190:SF255', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(153578, NULL, 'PTHR21717:SF67', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(153579, NULL, 'PTHR47027:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153580, NULL, 'PTHR13104', NULL, NULL, NULL, NULL, 'MED-6-RELATED', NULL, NULL, 6545, 15),
(153581, NULL, 'PTHR11211:SF15', NULL, NULL, NULL, NULL, 'IROQUOIS-CLASS HOMEODOMAIN PROTEIN IRX-2', NULL, NULL, NULL, 15),
(153582, NULL, 'PTHR24023:SF937', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153583, NULL, 'PTHR16172:SF2', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(153584, NULL, 'PTHR34501:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YDDL-RELATED', NULL, NULL, NULL, 15),
(153585, NULL, 'PTHR15486:SF67', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE 2-O-ACYLTRANSFERASE 6-LIKE', NULL, NULL, NULL, 15),
(153586, NULL, 'PTHR24348:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0278901-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153587, NULL, 'PTHR16070:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM222A', NULL, NULL, NULL, 15),
(153588, NULL, 'PTHR12294:SF3', NULL, NULL, NULL, NULL, 'CALCIUM UPTAKE PROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(153589, NULL, 'PTHR11941:SF31', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE', NULL, NULL, NULL, 15),
(153590, NULL, 'PTHR33970', NULL, NULL, NULL, NULL, 'VIOLAXANTHIN DE-EPOXIDASE, CHLOROPLASTIC-RELATED', NULL, NULL, 39469, 15),
(153591, NULL, 'PTHR23215:SF3', NULL, NULL, NULL, NULL, 'BNAC08G09340D PROTEIN', NULL, NULL, NULL, 15),
(153592, NULL, 'PTHR26453:SF92', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(153593, NULL, 'PTHR47991:SF93', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 1', NULL, NULL, NULL, 15),
(153594, NULL, 'PTHR28489:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RD3', NULL, NULL, NULL, 15),
(153595, NULL, 'PTHR31948:SF107', NULL, NULL, NULL, NULL, 'MINI ZINC FINGER PROTEIN 3', NULL, NULL, NULL, 15),
(153596, NULL, 'PTHR34403:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153597, NULL, 'PTHR48019:SF81', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPARENT TESTA 16', NULL, NULL, 27755, 15),
(153598, NULL, 'PTHR22957:SF215', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 10A', NULL, NULL, NULL, 15),
(153599, NULL, 'PTHR46255:SF3', NULL, NULL, NULL, NULL, 'SHORT STATURE HOMEOBOX', NULL, NULL, NULL, 15),
(153600, NULL, 'PTHR33645:SF13', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(153601, NULL, 'PTHR23079:SF41', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(153602, NULL, 'PTHR11620:SF72', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L23, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(153603, NULL, 'PTHR31818:SF1', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 16', NULL, NULL, NULL, 15),
(153604, NULL, 'PTHR33215', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153605, NULL, 'PTHR31175:SF24', NULL, NULL, NULL, NULL, 'OS09G0547000 PROTEIN', NULL, NULL, NULL, 15),
(153606, NULL, 'PTHR47928:SF158', NULL, NULL, NULL, NULL, 'OS02G0116100 PROTEIN', NULL, NULL, NULL, 15),
(153607, NULL, 'PTHR43151:SF1', NULL, NULL, NULL, NULL, 'FEOA FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153608, NULL, 'PTHR24092:SF188', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(153609, NULL, 'PTHR46454:SF6', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN, CYTOPLASMIC-LIKE PROTEIN', NULL, NULL, 24431, 15),
(153610, NULL, 'PTHR21649:SF6', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN CP29.1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(153611, NULL, 'PTHR31985:SF157', NULL, NULL, NULL, NULL, 'INTEGRASE-TYPE DNA-BINDING SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(153612, NULL, 'PTHR13260', NULL, NULL, NULL, NULL, 'ANAPHASE PROMOTING COMPLEX SUBUNIT 4  APC4', NULL, NULL, 25272, 15),
(153613, NULL, 'PTHR48004:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153614, NULL, 'PTHR10887:SF479', NULL, NULL, NULL, NULL, 'OS11G0649100 PROTEIN', NULL, NULL, NULL, 15),
(153615, NULL, 'PTHR42715:SF17', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE H-RELATED', NULL, NULL, NULL, 15),
(153616, NULL, 'PTHR24381:SF71', NULL, NULL, NULL, NULL, 'RIKEN CDNA A430033K04 GENE', NULL, NULL, NULL, 15),
(153617, NULL, 'PTHR37226:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153618, NULL, 'PTHR14614:SF98', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(153619, NULL, 'PTHR12203:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153620, NULL, 'PTHR43777:SF1', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(153621, NULL, 'PTHR33091:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153622, NULL, 'PTHR47975:SF13', NULL, NULL, NULL, NULL, 'OS04G0369100 PROTEIN', NULL, NULL, NULL, 15),
(153623, NULL, 'PTHR11260:SF517', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE GST 23-LIKE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153624, NULL, 'PTHR33401:SF3', NULL, NULL, NULL, NULL, 'LOW AFFINITY POTASSIUM TRANSPORT SYSTEM PROTEIN', NULL, NULL, NULL, 15),
(153625, NULL, 'PTHR45868', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 33-RELATED', NULL, NULL, NULL, 15),
(153626, NULL, 'PTHR13438:SF2', NULL, NULL, NULL, NULL, 'AMINOACYL TRNA SYNTHASE COMPLEX-INTERACTING MULTIFUNCTIONAL PROTEIN 2', NULL, NULL, NULL, 15),
(153627, NULL, 'PTHR32370:SF100', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153628, NULL, 'PTHR35111', NULL, NULL, NULL, NULL, 'F10A5.9-RELATED', NULL, NULL, NULL, 15),
(153629, NULL, 'PTHR43895:SF48', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(153630, NULL, 'PTHR35119', NULL, NULL, NULL, NULL, 'PROTEIN POLYCHOME', NULL, NULL, 141, 15),
(153631, NULL, 'PTHR11988:SF47', NULL, NULL, NULL, NULL, 'TEF TRANSCRIPTION FACTOR, PAR BZIP FAMILY MEMBER B', NULL, NULL, NULL, 15),
(153632, NULL, 'PTHR45964:SF5', NULL, NULL, NULL, NULL, 'WSCD FAMILY MEMBER CG9164', NULL, NULL, NULL, 15),
(153633, NULL, 'PTHR45752:SF119', NULL, NULL, NULL, NULL, 'P53-INDUCED DEATH DOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(153634, NULL, 'PTHR27001:SF62', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(153635, NULL, 'PTHR46686:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(153636, NULL, 'PTHR31388:SF118', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(153637, NULL, 'PTHR11353:SF199', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(153638, NULL, 'PTHR26379:SF229', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(153639, NULL, 'PTHR12565:SF392', NULL, NULL, NULL, NULL, 'BNAA09G57260D PROTEIN', NULL, NULL, NULL, 15),
(153640, NULL, 'PTHR33052:SF142', NULL, NULL, NULL, NULL, 'BNAA05G32510D PROTEIN', NULL, NULL, NULL, 15),
(153641, NULL, 'PTHR11945:SF629', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL61', NULL, NULL, NULL, 15),
(153642, NULL, 'PTHR22595:SF159', NULL, NULL, NULL, NULL, 'ACIDIC 26 KDA ENDOCHITINASE', NULL, NULL, NULL, 15),
(153643, NULL, 'PTHR11757:SF6', NULL, NULL, NULL, NULL, 'PROLYL OLIGOPEPTIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153644, NULL, 'PTHR14136:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153645, NULL, 'PTHR34482:SF16', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(153646, NULL, 'PTHR34218:SF4', NULL, NULL, NULL, NULL, 'ACYL-HOMOSERINE LACTONE ACYLASE QUIP', NULL, NULL, NULL, 15),
(153647, NULL, 'PTHR43788:SF13', NULL, NULL, NULL, NULL, 'HELICASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153648, NULL, 'PTHR24028:SF243', NULL, NULL, NULL, NULL, 'CADHERIN-RELATED FAMILY MEMBER 5', NULL, NULL, 25505, 15),
(153649, NULL, 'PTHR12544:SF49', NULL, NULL, NULL, NULL, 'GLUTAMINASE KIDNEY ISOFORM, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(153650, NULL, 'PTHR31989:SF6', NULL, NULL, NULL, NULL, 'F12P19.8 PROTEIN', NULL, NULL, NULL, 15),
(153651, NULL, 'PTHR47162:SF5', NULL, NULL, NULL, NULL, 'BNAA05G33850D PROTEIN', NULL, NULL, NULL, 15),
(153652, NULL, 'PTHR31351:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(153653, NULL, 'PTHR46610:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153654, NULL, 'PTHR45639:SF4', NULL, NULL, NULL, NULL, 'HSC70CB, ISOFORM G', NULL, NULL, NULL, 15),
(153655, NULL, 'PTHR42861:SF71', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(153656, NULL, 'PTHR11746', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE', NULL, NULL, 15807, 15),
(153657, NULL, 'PTHR31953:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153658, NULL, 'PTHR23050:SF393', NULL, NULL, NULL, NULL, 'CALMODULIN', NULL, NULL, NULL, 15),
(153659, NULL, 'PTHR47648', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY G MEMBER 1', NULL, NULL, 37200, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153660, NULL, 'PTHR34061:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153661, NULL, 'PTHR11851:SF199', NULL, NULL, NULL, NULL, 'OS01G0191500 PROTEIN', NULL, NULL, NULL, 15),
(153662, NULL, 'PTHR10953:SF225', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153663, NULL, 'PTHR11716:SF4', NULL, NULL, NULL, NULL, 'GROUP 10 SECRETORY PHOSPHOLIPASE A2', NULL, NULL, NULL, 15),
(153664, NULL, 'PTHR31048:SF170', NULL, NULL, NULL, NULL, 'OS09G0536300 PROTEIN', NULL, NULL, NULL, 15),
(153665, NULL, 'PTHR10665:SF0', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF HAIRLESS PROTEIN', NULL, NULL, NULL, 15),
(153666, NULL, 'PTHR47861:SF3', NULL, NULL, NULL, NULL, 'FKBP-TYPE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE SLYD', NULL, NULL, NULL, 15),
(153667, NULL, 'PTHR42907:SF2', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(153668, NULL, 'PTHR43021', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER-RELATED', NULL, NULL, NULL, 15),
(153669, NULL, 'PTHR45640:SF27', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-2', NULL, NULL, NULL, 15),
(153670, NULL, 'PTHR38111:SF8', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01560)-RELATED', NULL, NULL, NULL, 15),
(153671, NULL, 'PTHR11017:SF420', NULL, NULL, NULL, NULL, 'BNAA01G33930D PROTEIN', NULL, NULL, NULL, 15),
(153672, NULL, 'PTHR21403:SF7', NULL, NULL, NULL, NULL, 'ATP PHOSPHORIBOSYLTRANSFERASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(153673, NULL, 'PTHR13935:SF128', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH36-LIKE', NULL, NULL, NULL, 15),
(153674, NULL, 'PTHR19375:SF433', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153675, NULL, 'PTHR43109', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE 7', NULL, NULL, NULL, 15),
(153676, NULL, 'PTHR31009:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153677, NULL, 'PTHR47181', NULL, NULL, NULL, NULL, 'BRCA1 C TERMINUS DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, 37359, 15),
(153678, NULL, 'PTHR23079:SF28', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE FAMILY', NULL, NULL, NULL, 15),
(153679, NULL, 'PTHR23359:SF200', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 6, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(153680, NULL, 'PTHR47264:SF3', NULL, NULL, NULL, NULL, 'OS01G0128800 PROTEIN', NULL, NULL, NULL, 15),
(153681, NULL, 'PTHR43639:SF7', NULL, NULL, NULL, NULL, 'BLL5898 PROTEIN', NULL, NULL, NULL, 15),
(153682, NULL, 'PTHR30001:SF0', NULL, NULL, NULL, NULL, 'RIBONUCLEASE G', NULL, NULL, NULL, 15),
(153683, NULL, 'PTHR24256:SF453', NULL, NULL, NULL, NULL, 'SERINE PROTEASE H57', NULL, NULL, NULL, 15),
(153684, NULL, 'PTHR31155:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153685, NULL, 'PTHR33801:SF15', NULL, NULL, NULL, NULL, 'ABSCISIC ACID STRESS RIPENING1', NULL, NULL, NULL, 15),
(153686, NULL, 'PTHR45905:SF3', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-BINDING PROTEIN GGA3', NULL, NULL, 26727, 15),
(153687, NULL, 'PTHR33510:SF11', NULL, NULL, NULL, NULL, 'PROTEIN TIC 20-V, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(153688, NULL, 'PTHR46816', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153689, NULL, 'PTHR24203:SF59', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND PROTEIN KINASE DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(153690, NULL, 'PTHR13847:SF129', NULL, NULL, NULL, NULL, 'FAD DEPENDENT OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(153691, NULL, 'PTHR22792:SF101', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 1A', NULL, NULL, NULL, 15),
(153692, NULL, 'PTHR46269:SF1', NULL, NULL, NULL, NULL, 'MIMECAN', NULL, NULL, 27888, 15),
(153693, NULL, 'PTHR11117:SF20', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT ALPHA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(153694, NULL, 'PTHR33021:SF376', NULL, NULL, NULL, NULL, 'OS01G0788700 PROTEIN', NULL, NULL, NULL, 15),
(153695, NULL, 'PTHR11743:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153696, NULL, 'PTHR22227:SF6', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 122B', NULL, NULL, NULL, 15),
(153697, NULL, 'PTHR22941:SF34', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H-RELATED', NULL, NULL, NULL, 15),
(153698, NULL, 'PTHR10791:SF187', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(153699, NULL, 'PTHR47706:SF1', NULL, NULL, NULL, NULL, 'CIPA-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12460)-RELATED', NULL, NULL, NULL, 15),
(153700, NULL, 'PTHR33565:SF19', NULL, NULL, NULL, NULL, 'AUXIN-REPRESSED PROTEIN', NULL, NULL, NULL, 15),
(153701, NULL, 'PTHR35135:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153702, NULL, 'PTHR46800:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(153703, NULL, 'PTHR11232:SF31', NULL, NULL, NULL, NULL, 'PTB DOMAIN-CONTAINING ENGULFMENT ADAPTER PROTEIN 1', NULL, NULL, NULL, 15),
(153704, NULL, 'PTHR48106:SF12', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE ZINC-BINDING DEHYDROGENASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153705, NULL, 'PTHR38731:SF2', NULL, NULL, NULL, NULL, 'BLL6125 PROTEIN', NULL, NULL, NULL, 15),
(153706, NULL, 'PTHR24247:SF120', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 11H7', NULL, NULL, NULL, 15),
(153707, NULL, 'PTHR35615:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153708, NULL, 'PTHR24209:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR INTERACTOR AND REGULATOR LIM FAMILY-RELATED', NULL, NULL, NULL, 15),
(153709, NULL, 'PTHR11319:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153710, NULL, 'PTHR31080:SF232', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15),
(153711, NULL, 'PTHR15146:SF5', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR137', NULL, NULL, NULL, 15),
(153712, NULL, 'PTHR47968:SF24', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7F', NULL, NULL, NULL, 15),
(153713, NULL, 'PTHR19378:SF4', NULL, NULL, NULL, NULL, 'OS07G0185700 PROTEIN', NULL, NULL, NULL, 15),
(153714, NULL, 'PTHR11926:SF1389', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153715, NULL, 'PTHR33573:SF29', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153716, NULL, 'PTHR31301:SF157', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(153717, NULL, 'PTHR45952:SF4', NULL, NULL, NULL, NULL, 'ALUMINUM INDUCED PROTEIN WITH YGL AND LRDR MOTIFS', NULL, NULL, NULL, 15),
(153718, NULL, 'PTHR14131', NULL, NULL, NULL, NULL, 'ANOSMIN', NULL, NULL, 38186, 15),
(153719, NULL, 'PTHR31065:SF54', NULL, NULL, NULL, NULL, 'BNAC01G10450D PROTEIN', NULL, NULL, NULL, 15),
(153720, NULL, 'PTHR19957:SF139', NULL, NULL, NULL, NULL, 'SYNTAXIN-17', NULL, NULL, 23751, 15),
(153721, NULL, 'PTHR22891:SF106', NULL, NULL, NULL, NULL, 'ARGONAUTE (PLANT)-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(153722, NULL, 'PTHR15184:SF61', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(153723, NULL, 'PTHR33147:SF77', NULL, NULL, NULL, NULL, 'BNAC02G23420D PROTEIN', NULL, NULL, NULL, 15),
(153724, NULL, 'PTHR24332', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CDX', NULL, NULL, NULL, 15),
(153725, NULL, 'PTHR11530:SF28', NULL, NULL, NULL, NULL, 'D-ASPARTATE OXIDASE 1', NULL, NULL, NULL, 15),
(153726, NULL, 'PTHR42861:SF101', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(153727, NULL, 'PTHR21654:SF90', NULL, NULL, NULL, NULL, 'MYB-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(153728, NULL, 'PTHR48001:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153729, NULL, 'PTHR40780', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153730, NULL, 'PTHR46706:SF6', NULL, NULL, NULL, NULL, 'WARTHOG PROTEIN 1', NULL, NULL, NULL, 15),
(153731, NULL, 'PTHR30612:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153732, NULL, 'PTHR45625:SF4', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-LIKE 1', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153733, NULL, 'PTHR41749', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153734, NULL, 'PTHR24349:SF263', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(153735, NULL, 'PTHR37427:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG09543', NULL, NULL, NULL, 15),
(153736, NULL, 'PTHR31251:SF144', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 13A ISOFORM X1', NULL, NULL, NULL, 15),
(153737, NULL, 'PTHR12287:SF28', NULL, NULL, NULL, NULL, 'EPS8-LIKE 3A', NULL, NULL, NULL, 15),
(153738, NULL, 'PTHR19376:SF55', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', NULL, NULL, NULL, 15),
(153739, NULL, 'PTHR12276:SF87', NULL, NULL, NULL, NULL, 'OS01G0738600 PROTEIN', NULL, NULL, NULL, 15),
(153740, NULL, 'PTHR19375:SF254', NULL, NULL, NULL, NULL, 'SHOCK 70 KDA PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153741, NULL, 'PTHR23213:SF363', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153742, NULL, 'PTHR48001:SF118', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(153743, NULL, 'PTHR10992:SF1026', NULL, NULL, NULL, NULL, 'PHEOPHORBIDASE-RELATED', NULL, NULL, NULL, 15),
(153744, NULL, 'PTHR39951:SF2', NULL, NULL, NULL, NULL, 'IP05660P', NULL, NULL, NULL, 15),
(153745, NULL, 'PTHR16134:SF0', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 8', NULL, NULL, 36458, 15),
(153746, NULL, 'PTHR19872:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153747, NULL, 'PTHR14015', NULL, NULL, NULL, NULL, 'OPIOID GROWTH FACTOR RECEPTOR  OGFR   ZETA-TYPE OPIOID RECEPTOR', NULL, NULL, 36064, 15),
(153748, NULL, 'PTHR11715:SF7', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H-LIKE PROTEIN GCVH2', NULL, NULL, NULL, 15),
(153749, NULL, 'PTHR21255:SF56', NULL, NULL, NULL, NULL, 'AT23443P', NULL, NULL, NULL, 15),
(153750, NULL, 'PTHR11653:SF19', NULL, NULL, NULL, NULL, 'PARVALBUMIN 9', NULL, NULL, NULL, 15),
(153751, NULL, 'PTHR43096:SF42', NULL, NULL, NULL, NULL, 'BNAA01G34580D PROTEIN', NULL, NULL, NULL, 15),
(153752, NULL, 'PTHR33576:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153753, NULL, 'PTHR24376:SF118', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 226', NULL, NULL, NULL, 15),
(153754, NULL, 'PTHR46764:SF3', NULL, NULL, NULL, NULL, 'BNAC03G72250D PROTEIN', NULL, NULL, NULL, 15),
(153755, NULL, 'PTHR31218:SF222', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(153756, NULL, 'PTHR12136:SF107', NULL, NULL, NULL, NULL, 'START DOMAIN, PH DOMAIN-LIKE, START-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(153757, NULL, 'PTHR24070:SF221', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAP-2A', NULL, NULL, NULL, 15),
(153758, NULL, 'PTHR24408:SF28', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 423', NULL, NULL, NULL, 15),
(153759, NULL, 'PTHR37411:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153760, NULL, 'PTHR31681:SF68', NULL, NULL, NULL, NULL, 'BNAA08G03630D PROTEIN', NULL, NULL, NULL, 15),
(153761, NULL, 'PTHR23267:SF384', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-17', NULL, NULL, NULL, 15),
(153762, NULL, 'PTHR18934:SF136', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX35-RELATED', NULL, NULL, NULL, 15),
(153763, NULL, 'PTHR12489:SF14', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 4 PROTEIN', NULL, NULL, NULL, 15),
(153764, NULL, 'PTHR11467:SF129', NULL, NULL, NULL, NULL, 'BNAA05G36480D PROTEIN', NULL, NULL, NULL, 15),
(153765, NULL, 'PTHR31422:SF34', NULL, NULL, NULL, NULL, 'OS12G0488700 PROTEIN', NULL, NULL, NULL, 15),
(153766, NULL, 'PTHR45617:SF21', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEATS AND IMMUNOGLOBULIN-LIKE DOMAINS PROTEIN 3', NULL, NULL, NULL, 15),
(153767, NULL, 'PTHR47979:SF55', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABB1C-LIKE', NULL, NULL, NULL, 15),
(153768, NULL, 'PTHR31992:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153769, NULL, 'PTHR14552:SF25', NULL, NULL, NULL, NULL, 'OS04G0346800 PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153770, NULL, 'PTHR47928:SF57', NULL, NULL, NULL, NULL, 'OS07G0662700 PROTEIN', NULL, NULL, NULL, 15),
(153771, NULL, 'PTHR30546', NULL, NULL, NULL, NULL, 'FLAVODOXIN-RELATED PROTEIN WRBA-RELATED', NULL, NULL, NULL, 15),
(153772, NULL, 'PTHR27008:SF421', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153773, NULL, 'PTHR43628:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153774, NULL, 'PTHR47899:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 171', NULL, NULL, NULL, 15),
(153775, NULL, 'PTHR45977:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(153776, NULL, 'PTHR33919:SF7', NULL, NULL, NULL, NULL, 'BNACNNG59810D PROTEIN', NULL, NULL, NULL, 15),
(153777, NULL, 'PTHR28611:SF1', NULL, NULL, NULL, NULL, 'NORRIN', NULL, NULL, NULL, 15),
(153778, NULL, 'PTHR36345:SF1', NULL, NULL, NULL, NULL, 'CCG-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(153779, NULL, 'PTHR11886:SF72', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(153780, NULL, 'PTHR11876:SF3', NULL, NULL, NULL, NULL, 'DEFENSIN-6', NULL, NULL, NULL, 15),
(153781, NULL, 'PTHR10869:SF101', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(153782, NULL, 'PTHR12159:SF11', NULL, NULL, NULL, NULL, 'TDG PROTEIN', NULL, NULL, NULL, 15),
(153783, NULL, 'PTHR47993:SF50', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153784, NULL, 'PTHR46033:SF47', NULL, NULL, NULL, NULL, 'BNAC05G24240D PROTEIN', NULL, NULL, NULL, 15),
(153785, NULL, 'PTHR45681:SF2', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 37-RELATED', NULL, NULL, NULL, 15),
(153786, NULL, 'PTHR24096:SF334', NULL, NULL, NULL, NULL, '4-COUMARATE:COA LIGASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(153787, NULL, 'PTHR19325:SF505', NULL, NULL, NULL, NULL, 'COMPLEMENT RECEPTOR TYPE 1', NULL, NULL, NULL, 15),
(153788, NULL, 'PTHR22771:SF4', NULL, NULL, NULL, NULL, 'CULLIN 9', NULL, NULL, NULL, 15),
(153789, NULL, 'PTHR10739:SF27', NULL, NULL, NULL, NULL, 'PHOSPHATE CYTIDYLYLTRANSFERASE 1, CHOLINE, BETA B', NULL, NULL, NULL, 15),
(153790, NULL, 'PTHR22946:SF1', NULL, NULL, NULL, NULL, 'DIENELACTONE HYDROLASE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(153791, NULL, 'PTHR11595:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153792, NULL, 'PTHR12416:SF3', NULL, NULL, NULL, NULL, 'RRNA-PROCESSING PROTEIN UTP23 HOMOLOG', NULL, NULL, NULL, 15),
(153793, NULL, 'PTHR43888:SF10', NULL, NULL, NULL, NULL, 'DNAJ-LIKE-2, ISOFORM A', NULL, NULL, NULL, 15),
(153794, NULL, 'PTHR31927:SF13', NULL, NULL, NULL, NULL, 'TWEEDLEBETA', NULL, NULL, NULL, 15),
(153795, NULL, 'PTHR11620:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A 1', NULL, NULL, NULL, 15),
(153796, NULL, 'PTHR24103:SF564', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 40', NULL, NULL, NULL, 15),
(153797, NULL, 'PTHR21503:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG09922', NULL, NULL, NULL, 15),
(153798, NULL, 'PTHR12015:SF70', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 25', NULL, NULL, NULL, 15),
(153799, NULL, 'PTHR13848:SF76', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(153800, NULL, 'PTHR36826', NULL, NULL, NULL, NULL, 'PROTEIN ECM13', NULL, NULL, 29293, 15),
(153801, NULL, 'PTHR31190:SF176', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF112', NULL, NULL, NULL, 15),
(153802, NULL, 'PTHR46354:SF9', NULL, NULL, NULL, NULL, 'PROTEIN INAPERTURATE POLLEN1', NULL, NULL, NULL, 15),
(153803, NULL, 'PTHR30055:SF176', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, TETR FAMILY', NULL, NULL, NULL, 15),
(153804, NULL, 'PTHR11260:SF511', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE40', NULL, NULL, NULL, 15),
(153805, NULL, 'PTHR31602:SF8', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 5', NULL, NULL, NULL, 15),
(153806, NULL, 'PTHR14255:SF43', NULL, NULL, NULL, NULL, 'BNAA09G40760D PROTEIN', NULL, NULL, NULL, 15),
(153807, NULL, 'PTHR13778:SF43', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 8-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153808, NULL, 'PTHR35154', NULL, NULL, NULL, NULL, 'GBP PROTEIN', NULL, NULL, 5079, 15),
(153809, NULL, 'PTHR19957:SF307', NULL, NULL, NULL, NULL, 'SYNTAXIN-132', NULL, NULL, NULL, 15),
(153810, NULL, 'PTHR23050:SF382', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML25-RELATED', NULL, NULL, NULL, 15),
(153811, NULL, 'PTHR24388:SF45', NULL, NULL, NULL, NULL, 'POGO TRANSPOSABLE ELEMENT-DERIVED WITH ZNF DOMAIN', NULL, NULL, NULL, 15),
(153812, NULL, 'PTHR22950:SF512', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER ANTL1-LIKE', NULL, NULL, NULL, 15),
(153813, NULL, 'PTHR45614:SF153', NULL, NULL, NULL, NULL, 'BNAA04G13540D PROTEIN', NULL, NULL, NULL, 15),
(153814, NULL, 'PTHR10133:SF55', NULL, NULL, NULL, NULL, 'DNA POLYMERASE I B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(153815, NULL, 'PTHR48041:SF8', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(153816, NULL, 'PTHR23024:SF432', NULL, NULL, NULL, NULL, 'OS11G0239500 PROTEIN', NULL, NULL, NULL, 15),
(153817, NULL, 'PTHR33052:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153818, NULL, 'PTHR42953:SF4', NULL, NULL, NULL, NULL, 'IRON/ZINC/COPPER-BINDING PROTEIN', NULL, NULL, NULL, 15),
(153819, NULL, 'PTHR11697:SF206', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 2-RELATED ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(153820, NULL, 'PTHR11267:SF59', NULL, NULL, NULL, NULL, 'T-BOX PROTEIN 11-RELATED', NULL, NULL, NULL, 15),
(153821, NULL, 'PTHR46381:SF4', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE MKP1', NULL, NULL, NULL, 15),
(153822, NULL, 'PTHR31989:SF145', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 92-LIKE', NULL, NULL, NULL, 15),
(153823, NULL, 'PTHR31677:SF127', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF105', NULL, NULL, NULL, 15),
(153824, NULL, 'PTHR43711:SF16', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION HISTIDINE-PROTEIN KINASE BAES', NULL, NULL, NULL, 15),
(153825, NULL, 'PTHR24177:SF143', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(153826, NULL, 'PTHR12585:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153827, NULL, 'PTHR32329:SF5', NULL, NULL, NULL, NULL, 'ACTIVATOR OF 2-HYDROXYACYL-COA DEHYDRATASE-RELATED', NULL, NULL, NULL, 15),
(153828, NULL, 'PTHR11062:SF213', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX10L-RELATED', NULL, NULL, NULL, 15),
(153829, NULL, 'PTHR11264:SF6', NULL, NULL, NULL, NULL, 'URACIL-DNA GLYCOSYLASE', NULL, NULL, NULL, 15),
(153830, NULL, 'PTHR19847:SF7', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 11', NULL, NULL, NULL, 15),
(153831, NULL, 'PTHR30569', NULL, NULL, NULL, NULL, 'CYTOSINE TRANSPORTER CODB', NULL, NULL, 22412, 15),
(153832, NULL, 'PTHR11006:SF89', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(153833, NULL, 'PTHR15827', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 2-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(153834, NULL, 'PTHR12815:SF35', NULL, NULL, NULL, NULL, 'BACTERIAL SURFACE ANTIGEN (D15)', NULL, NULL, NULL, 15),
(153835, NULL, 'PTHR47966:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153836, NULL, 'PTHR22943:SF48', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(153837, NULL, 'PTHR11017:SF428', NULL, NULL, NULL, NULL, 'BNAC09G12570D PROTEIN', NULL, NULL, NULL, 15),
(153838, NULL, 'PTHR43019:SF10', NULL, NULL, NULL, NULL, 'SLR0031 PROTEIN', NULL, NULL, NULL, 15),
(153839, NULL, 'PTHR33827:SF11', NULL, NULL, NULL, NULL, 'BNAC05G34750D PROTEIN', NULL, NULL, NULL, 15),
(153840, NULL, 'PTHR11266:SF94', NULL, NULL, NULL, NULL, '22 KDA PEROXISOMAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(153841, NULL, 'PTHR33921:SF22', NULL, NULL, NULL, NULL, 'CALVIN CYCLE PROTEIN CP12-1', NULL, NULL, NULL, 15),
(153842, NULL, 'PTHR48004:SF10', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(153843, NULL, 'PTHR31744:SF78', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 92-LIKE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153844, NULL, 'PTHR31865:SF41', NULL, NULL, NULL, NULL, 'BNAC04G02880D PROTEIN', NULL, NULL, NULL, 15),
(153845, NULL, 'PTHR31142:SF4', NULL, NULL, NULL, NULL, 'OS01G0751300 PROTEIN', NULL, NULL, NULL, 15),
(153846, NULL, 'PTHR43039:SF4', NULL, NULL, NULL, NULL, 'STRIGOLACTONE ESTERASE D14', NULL, NULL, 27086, 15),
(153847, NULL, 'PTHR47368', NULL, NULL, NULL, NULL, 'NUMB', NULL, NULL, NULL, 15),
(153848, NULL, 'PTHR11236', NULL, NULL, NULL, NULL, 'AMINOBENZOATE/ANTHRANILATE SYNTHASE', NULL, NULL, 17049, 15),
(153849, NULL, 'PTHR21102:SF0', NULL, NULL, NULL, NULL, 'OPALIN', NULL, NULL, NULL, 15),
(153850, NULL, 'PTHR14715:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM124B', NULL, NULL, NULL, 15),
(153851, NULL, 'PTHR33777:SF1', NULL, NULL, NULL, NULL, 'UPF0045 PROTEIN ECM15', NULL, NULL, NULL, 15),
(153852, NULL, 'PTHR27004:SF136', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 44', NULL, NULL, NULL, 15),
(153853, NULL, 'PTHR21258:SF42', NULL, NULL, NULL, NULL, 'DOCKING PROTEIN 3', NULL, NULL, NULL, 15),
(153854, NULL, 'PTHR43272:SF47', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 8-LIKE', NULL, NULL, NULL, 15),
(153855, NULL, 'PTHR24221:SF470', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, CONSERVED SITE', NULL, NULL, NULL, 15),
(153856, NULL, 'PTHR43866', NULL, NULL, NULL, NULL, 'MALONATE-SEMIALDEHYDE DEHYDROGENASE', NULL, NULL, 6350, 15),
(153857, NULL, 'PTHR39434:SF1', NULL, NULL, NULL, NULL, 'SLR1440 PROTEIN', NULL, NULL, NULL, 15),
(153858, NULL, 'PTHR32039:SF9', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLI-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(153859, NULL, 'PTHR32246:SF111', NULL, NULL, NULL, NULL, 'BNAC03G22910D PROTEIN', NULL, NULL, NULL, 15),
(153860, NULL, 'PTHR47630:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(153861, NULL, 'PTHR17384:SF7', NULL, NULL, NULL, NULL, 'P-SELECTIN GLYCOPROTEIN LIGAND 1', NULL, NULL, NULL, 15),
(153862, NULL, 'PTHR33167:SF26', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(153863, NULL, 'PTHR33426:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153864, NULL, 'PTHR24298:SF684', NULL, NULL, NULL, NULL, 'DIHOMOMETHIONINE N-HYDROXYLASE-RELATED', NULL, NULL, NULL, 15),
(153865, NULL, 'PTHR11849:SF195', NULL, NULL, NULL, NULL, 'GA-BINDING PROTEIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(153866, NULL, 'PTHR23408', NULL, NULL, NULL, NULL, 'METHYLMALONYL-COA MUTASE', NULL, NULL, 7491, 15),
(153867, NULL, 'PTHR46907:SF2', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-7', NULL, NULL, NULL, 15),
(153868, NULL, 'PTHR48063:SF46', NULL, NULL, NULL, NULL, 'OS01G0604150 PROTEIN', NULL, NULL, NULL, 15),
(153869, NULL, 'PTHR45614:SF124', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB73', NULL, NULL, NULL, 15),
(153870, NULL, 'PTHR48043:SF63', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(153871, NULL, 'PTHR45789:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-6', NULL, NULL, 29239, 15),
(153872, NULL, 'PTHR45751:SF25', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE RGLG2-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153873, NULL, 'PTHR13817:SF69', NULL, NULL, NULL, NULL, 'ROUNDABOUT GUIDANCE RECEPTOR 2', NULL, NULL, NULL, 15),
(153874, NULL, 'PTHR20852:SF87', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE-LIKE', NULL, NULL, NULL, 15),
(153875, NULL, 'PTHR31676:SF96', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(153876, NULL, 'PTHR46378:SF1', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN CLEAVAGE-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(153877, NULL, 'PTHR15725:SF19', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 34', NULL, NULL, NULL, 15),
(153878, NULL, 'PTHR32071:SF57', NULL, NULL, NULL, NULL, 'SIGMA L-DEPENDENT TRANSCRIPTIONAL REGULATOR YPLP-RELATED', NULL, NULL, NULL, 15),
(153879, NULL, 'PTHR21660:SF51', NULL, NULL, NULL, NULL, 'THIOESTERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(153880, NULL, 'PTHR12482:SF50', NULL, NULL, NULL, NULL, 'ESTERASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153881, NULL, 'PTHR45864:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE SLINGSHOT HOMOLOG 1', NULL, NULL, 23860, 15),
(153882, NULL, 'PTHR47932:SF22', NULL, NULL, NULL, NULL, 'OS03G0225300 PROTEIN', NULL, NULL, NULL, 15),
(153883, NULL, 'PTHR46324:SF24', NULL, NULL, NULL, NULL, 'BNAC09G22200D PROTEIN', NULL, NULL, NULL, 15),
(153884, NULL, 'PTHR45809', NULL, NULL, NULL, NULL, 'VIRAL IAP-ASSOCIATED FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(153885, NULL, 'PTHR11937:SF201', NULL, NULL, NULL, NULL, 'ACTIN, AORTIC SMOOTH MUSCLE', NULL, NULL, NULL, 15),
(153886, NULL, 'PTHR11662:SF436', NULL, NULL, NULL, NULL, 'BLL4302 PROTEIN', NULL, NULL, NULL, 15),
(153887, NULL, 'PTHR35996:SF3', NULL, NULL, NULL, NULL, 'BNAA09G27500D PROTEIN', NULL, NULL, NULL, 15),
(153888, NULL, 'PTHR47471:SF1', NULL, NULL, NULL, NULL, 'GYF DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(153889, NULL, 'PTHR10429', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE', NULL, NULL, 2807, 15),
(153890, NULL, 'PTHR22572:SF152', NULL, NULL, NULL, NULL, 'BNAC04G05640D PROTEIN', NULL, NULL, NULL, 15),
(153891, NULL, 'PTHR24035:SF109', NULL, NULL, NULL, NULL, 'CELL DEATH ABNORMALITY PROTEIN 1', NULL, NULL, NULL, 15),
(153892, NULL, 'PTHR23028:SF65', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(153893, NULL, 'PTHR11136:SF15', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE', NULL, NULL, NULL, 15),
(153894, NULL, 'PTHR10332:SF79', NULL, NULL, NULL, NULL, 'BNAA09G19940D PROTEIN', NULL, NULL, NULL, 15),
(153895, NULL, 'PTHR35269', NULL, NULL, NULL, NULL, 'SMALL VCP/P97-INTERACTING PROTEIN', NULL, NULL, 27309, 15),
(153896, NULL, 'PTHR20952:SF3', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 6-INTERACTING PROTEIN 1', NULL, NULL, 31477, 15),
(153897, NULL, 'PTHR48011:SF49', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', NULL, NULL, NULL, 15),
(153898, NULL, 'PTHR31447:SF14', NULL, NULL, NULL, NULL, 'BNAA09G45520D PROTEIN', NULL, NULL, NULL, 15),
(153899, NULL, 'PTHR34574:SF5', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153900, NULL, 'PTHR28523:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 1', NULL, NULL, NULL, 15),
(153901, NULL, 'PTHR31008:SF24', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153902, NULL, 'PTHR44427:SF8', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 4', NULL, NULL, NULL, 15),
(153903, NULL, 'PTHR16027:SF5', NULL, NULL, NULL, NULL, 'SI:CH211-176G6.2-RELATED', NULL, NULL, NULL, 15),
(153904, NULL, 'PTHR18966:SF454', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(153905, NULL, 'PTHR34693:SF4', NULL, NULL, NULL, NULL, 'YALI0F00528P', NULL, NULL, NULL, 15),
(153906, NULL, 'PTHR23350:SF4', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS FACTOR 2', NULL, NULL, NULL, 15),
(153907, NULL, 'PTHR48019:SF51', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, MADS-BOX-RELATED', NULL, NULL, NULL, 15),
(153908, NULL, 'PTHR35333:SF3', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE', NULL, NULL, NULL, 15),
(153909, NULL, 'PTHR40628', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153910, NULL, 'PTHR31373:SF25', NULL, NULL, NULL, NULL, 'OS02G0179600 PROTEIN', NULL, NULL, NULL, 15),
(153911, NULL, 'PTHR23359:SF204', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE', NULL, NULL, NULL, 15),
(153912, NULL, 'PTHR32494:SF18', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G12670)-RELATED', NULL, NULL, NULL, 15),
(153913, NULL, 'PTHR36302', NULL, NULL, NULL, NULL, 'BLR7088 PROTEIN', NULL, NULL, 3881, 15),
(153914, NULL, 'PTHR22597:SF19', NULL, NULL, NULL, NULL, 'BNAA03G13220D PROTEIN', NULL, NULL, NULL, 15),
(153915, NULL, 'PTHR14336:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153916, NULL, 'PTHR24177:SF332', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153917, NULL, 'PTHR21522:SF58', NULL, NULL, NULL, NULL, 'AGAP000074-PA', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153918, NULL, 'PTHR24416:SF567', NULL, NULL, NULL, NULL, 'PROTEIN KINASE', NULL, NULL, NULL, 15),
(153919, NULL, 'PTHR30314:SF13', NULL, NULL, NULL, NULL, 'OS05G0443800 PROTEIN', NULL, NULL, NULL, 15),
(153920, NULL, 'PTHR45863:SF29', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153921, NULL, 'PTHR23077:SF168', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(153922, NULL, 'PTHR47942:SF21', NULL, NULL, NULL, NULL, 'OS05G0275100 PROTEIN', NULL, NULL, NULL, 15),
(153923, NULL, 'PTHR31235:SF268', NULL, NULL, NULL, NULL, 'PEROXIDASE 70', NULL, NULL, NULL, 15),
(153924, NULL, 'PTHR19336:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153925, NULL, 'PTHR10783:SF110', NULL, NULL, NULL, NULL, 'BNAC05G10300D PROTEIN', NULL, NULL, NULL, 15),
(153926, NULL, 'PTHR31790:SF238', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153927, NULL, 'PTHR34491:SF36', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(153928, NULL, 'PTHR24349:SF436', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 12', NULL, NULL, NULL, 15),
(153929, NULL, 'PTHR13403', NULL, NULL, NULL, NULL, 'SNURPORTIN1  RNUT1 PROTEIN   RNA, U TRANSPORTER 1', NULL, NULL, 17217, 15),
(153930, NULL, 'PTHR11661:SF10', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L11', NULL, NULL, NULL, 15),
(153931, NULL, 'PTHR15830', NULL, NULL, NULL, NULL, 'TELOMERE LENGTH REGULATION PROTEIN TEL2 FAMILY MEMBER', NULL, NULL, NULL, 15),
(153932, NULL, 'PTHR10634:SF109', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(153933, NULL, 'PTHR11576:SF16', NULL, NULL, NULL, NULL, 'SI:CH211-67F13.7', NULL, NULL, NULL, 15),
(153934, NULL, 'PTHR11782:SF91', NULL, NULL, NULL, NULL, 'APYRASE 6-RELATED', NULL, NULL, NULL, 15),
(153935, NULL, 'PTHR23244:SF444', NULL, NULL, NULL, NULL, 'WALL ANCHORED PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(153936, NULL, 'PTHR44083:SF36', NULL, NULL, NULL, NULL, 'CTLH LISH MOTIF, WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN, TOPLESS FAMILY-RELATED', NULL, NULL, NULL, 15),
(153937, NULL, 'PTHR10177:SF409', NULL, NULL, NULL, NULL, 'CYCLIN-B3-1-RELATED', NULL, NULL, NULL, 15),
(153938, NULL, 'PTHR19288:SF67', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(153939, NULL, 'PTHR45768:SF38', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL56-LIKE', NULL, NULL, NULL, 15),
(153940, NULL, 'PTHR24355', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE/RIBOSOMAL PROTEIN S6 KINASE', NULL, NULL, NULL, 15),
(153941, NULL, 'PTHR31674:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153942, NULL, 'PTHR47258', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 40028, 15),
(153943, NULL, 'PTHR12418:SF19', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE THEM4', NULL, NULL, NULL, 15),
(153944, NULL, 'PTHR31913:SF2', NULL, NULL, NULL, NULL, 'OS02G0789600 PROTEIN', NULL, NULL, NULL, 15),
(153945, NULL, 'PTHR34683', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(153946, NULL, 'PTHR31233:SF6', NULL, NULL, NULL, NULL, 'PROTEIN BICAUDAL D', NULL, NULL, NULL, 15),
(153947, NULL, 'PTHR40267', NULL, NULL, NULL, NULL, 'BLR3294 PROTEIN', NULL, NULL, 26490, 15),
(153948, NULL, 'PTHR24023:SF925', NULL, NULL, NULL, NULL, 'VIKING, ISOFORM A', NULL, NULL, NULL, 15),
(153949, NULL, 'PTHR14107:SF24', NULL, NULL, NULL, NULL, 'BNAC04G27330D PROTEIN', NULL, NULL, NULL, 15),
(153950, NULL, 'PTHR23267:SF225', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 10-54', NULL, NULL, NULL, 15),
(153951, NULL, 'PTHR16305:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR DOMAIN', NULL, NULL, NULL, 15),
(153952, NULL, 'PTHR31474:SF18', NULL, NULL, NULL, NULL, 'BNAA09G16540D PROTEIN', NULL, NULL, NULL, 15),
(153953, NULL, 'PTHR11654:SF396', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153954, NULL, 'PTHR14667', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 10 PROTEIN', NULL, NULL, 38104, 15),
(153955, NULL, 'PTHR32002:SF37', NULL, NULL, NULL, NULL, 'PLANT REGULATOR RWP-RK FAMILY PROTEIN', NULL, NULL, NULL, 15),
(153956, NULL, 'PTHR34495', NULL, NULL, NULL, NULL, 'UNC-51-LIKE AUTOPHAGY-ACTIVATING KINASE 1A', NULL, NULL, NULL, 15),
(153957, NULL, 'PTHR36482:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153958, NULL, 'PTHR38746', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153959, NULL, 'PTHR11079:SF156', NULL, NULL, NULL, NULL, 'INACTIVE TRNA-SPECIFIC ADENOSINE DEAMINASE-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(153960, NULL, 'PTHR23111', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(153961, NULL, 'PTHR30201:SF2', NULL, NULL, NULL, NULL, '2-(5''''-TRIPHOSPHORIBOSYL)-3''-DEPHOSPHOCOENZYME-A SYNTHASE', NULL, NULL, NULL, 15),
(153962, NULL, 'PTHR45803:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-8', NULL, NULL, 26793, 15),
(153963, NULL, 'PTHR47956:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153964, NULL, 'PTHR22835:SF569', NULL, NULL, NULL, NULL, 'OS05G0210400 PROTEIN', NULL, NULL, NULL, 15),
(153965, NULL, 'PTHR24082:SF259', NULL, NULL, NULL, NULL, 'OXYSTEROLS RECEPTOR LXR-ALPHA', NULL, NULL, NULL, 15),
(153966, NULL, 'PTHR22014:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 33', NULL, NULL, NULL, 15),
(153967, NULL, 'PTHR13962:SF19', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N2', NULL, NULL, NULL, 15),
(153968, NULL, 'PTHR20933:SF3', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 33', NULL, NULL, NULL, 15),
(153969, NULL, 'PTHR12185:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG23978', NULL, NULL, NULL, 15),
(153970, NULL, 'PTHR47928:SF15', NULL, NULL, NULL, NULL, 'OS05G0409800 PROTEIN', NULL, NULL, NULL, 15),
(153971, NULL, 'PTHR25465:SF7', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 29', NULL, NULL, NULL, 15),
(153972, NULL, 'PTHR23021', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, 16807, 15),
(153973, NULL, 'PTHR24056', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN KINASE', NULL, NULL, NULL, 15),
(153974, NULL, 'PTHR12999:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 15', NULL, NULL, NULL, 15),
(153975, NULL, 'PTHR31312:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR GLK2', NULL, NULL, NULL, 15),
(153976, NULL, 'PTHR12313:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153977, NULL, 'PTHR44924', NULL, NULL, NULL, NULL, 'DNAJ SUBFAMILY A MEMBER 2', NULL, NULL, NULL, 15),
(153978, NULL, 'PTHR45817:SF7', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE HOMOLOG 2A', NULL, NULL, NULL, 15),
(153979, NULL, 'PTHR47992:SF70', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 52-RELATED', NULL, NULL, NULL, 15),
(153980, NULL, 'PTHR18966:SF501', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(153981, NULL, 'PTHR48053:SF22', NULL, NULL, NULL, NULL, 'OS02G0553000 PROTEIN', NULL, NULL, NULL, 15),
(153982, NULL, 'PTHR12126', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE 39 KDA SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(153983, NULL, 'PTHR34220', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YPDA', NULL, NULL, NULL, 15),
(153984, NULL, 'PTHR24271:SF54', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR D', NULL, NULL, 31897, 15),
(153985, NULL, 'PTHR13318:SF138', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(153986, NULL, 'PTHR47993:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153987, NULL, 'PTHR37715:SF1', NULL, NULL, NULL, NULL, 'OS01G0120700 PROTEIN', NULL, NULL, NULL, 15),
(153988, NULL, 'PTHR31930:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS R', NULL, NULL, NULL, 15),
(153989, NULL, 'PTHR12805:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153990, NULL, 'PTHR45861', NULL, NULL, NULL, NULL, 'DNA POLYMERASE ALPHA CATALYTIC SUBUNIT', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(153991, NULL, 'PTHR43511:SF3', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(153992, NULL, 'PTHR24403:SF55', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 131', NULL, NULL, 24005, 15),
(153993, NULL, 'PTHR45768:SF63', NULL, NULL, NULL, NULL, 'BNAC06G12870D PROTEIN', NULL, NULL, NULL, 15),
(153994, NULL, 'PTHR48001:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153995, NULL, 'PTHR10334:SF460', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(153996, NULL, 'PTHR31194:SF149', NULL, NULL, NULL, NULL, 'BNAA02G27680D PROTEIN', NULL, NULL, NULL, 15),
(153997, NULL, 'PTHR23070:SF181', NULL, NULL, NULL, NULL, 'BNACNNG49930D PROTEIN', NULL, NULL, NULL, 15),
(153998, NULL, 'PTHR47689', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(153999, NULL, 'PTHR19325:SF495', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154000, NULL, 'PTHR24126:SF46', NULL, NULL, NULL, NULL, 'ANKYRIN-3', NULL, NULL, NULL, 15),
(154001, NULL, 'PTHR48016:SF10', NULL, NULL, NULL, NULL, 'BNAA02G34600D PROTEIN', NULL, NULL, NULL, 15),
(154002, NULL, 'PTHR24058:SF46', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-INTERACTING PROTEIN KINASE 4', NULL, NULL, NULL, 15),
(154003, NULL, 'PTHR46027:SF2', NULL, NULL, NULL, NULL, 'BNAA09G54150D PROTEIN', NULL, NULL, NULL, 15),
(154004, NULL, 'PTHR32546:SF13', NULL, NULL, NULL, NULL, 'SMOG, ISOFORM D', NULL, NULL, NULL, 15),
(154005, NULL, 'PTHR37808:SF3', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN GERPA-RELATED', NULL, NULL, NULL, 15),
(154006, NULL, 'PTHR47185', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN YPR097W', NULL, NULL, NULL, 15),
(154007, NULL, 'PTHR48007:SF31', NULL, NULL, NULL, NULL, 'STRUBBELIG FAMILY RECEPTOR PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(154008, NULL, 'PTHR11848:SF78', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 15', NULL, NULL, NULL, 15),
(154009, NULL, 'PTHR31896:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154010, NULL, 'PTHR10336:SF175', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(154011, NULL, 'PTHR22809:SF8', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154012, NULL, 'PTHR45988:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154013, NULL, 'PTHR46978:SF1', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154014, NULL, 'PTHR22753:SF42', NULL, NULL, NULL, NULL, 'BNAA08G04850D PROTEIN', NULL, NULL, NULL, 15),
(154015, NULL, 'PTHR43449:SF3', NULL, NULL, NULL, NULL, 'CONSERVED WITHIN P. AEROPHILUM PART 1, AUTHENTIC FRAMESHIFT', NULL, NULL, NULL, 15),
(154016, NULL, 'PTHR46288:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154017, NULL, 'PTHR22761:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(154018, NULL, 'PTHR46287:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(154019, NULL, 'PTHR12386:SF37', NULL, NULL, NULL, NULL, 'BNAA03G49560D PROTEIN', NULL, NULL, NULL, 15),
(154020, NULL, 'PTHR13082:SF4', NULL, NULL, NULL, NULL, 'DEACETYLASE COMPLEX SUBUNIT SAP18, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154021, NULL, 'PTHR36886:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FRIGIDA-ESSENTIAL 1', NULL, NULL, NULL, 15),
(154022, NULL, 'PTHR31780:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154023, NULL, 'PTHR24305:SF175', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE PKFB', NULL, NULL, NULL, 15),
(154024, NULL, 'PTHR46506:SF5', NULL, NULL, NULL, NULL, 'OS04G0123125 PROTEIN', NULL, NULL, NULL, 15),
(154025, NULL, 'PTHR18953:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154026, NULL, 'PTHR10352:SF52', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2A-RELATED', NULL, NULL, NULL, 15),
(154027, NULL, 'PTHR48049:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154028, NULL, 'PTHR23268:SF11', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 20-1', NULL, NULL, NULL, 15),
(154029, NULL, 'PTHR11017:SF315', NULL, NULL, NULL, NULL, 'BNAC03G63230D PROTEIN', NULL, NULL, NULL, 15),
(154030, NULL, 'PTHR12976', NULL, NULL, NULL, NULL, 'RETINAL ROD RHODOPSIN-SENSITIVE CGMP 3'',5''-CYCLIC PHOSPHODIESTERASE DELTA-SUBUNIT', NULL, NULL, NULL, 15),
(154031, NULL, 'PTHR33168:SF63', NULL, NULL, NULL, NULL, 'BNACNNG20090D PROTEIN', NULL, NULL, NULL, 15),
(154032, NULL, 'PTHR33147:SF8', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN CAL1', NULL, NULL, NULL, 15),
(154033, NULL, 'PTHR24414:SF80', NULL, NULL, NULL, NULL, 'BNAANNG32920D PROTEIN', NULL, NULL, NULL, 15),
(154034, NULL, 'PTHR10424:SF41', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP S71 MEMBER 1 ENV POLYPROTEIN', NULL, NULL, NULL, 15),
(154035, NULL, 'PTHR40626:SF19', NULL, NULL, NULL, NULL, 'MIP31509P', NULL, NULL, NULL, 15),
(154036, NULL, 'PTHR12266:SF9', NULL, NULL, NULL, NULL, 'CATION/CALCIUM EXCHANGER 4', NULL, NULL, NULL, 15),
(154037, NULL, 'PTHR31358:SF34', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154038, NULL, 'PTHR31385', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF220)-RELATED', NULL, NULL, NULL, 15),
(154039, NULL, 'PTHR45811:SF44', NULL, NULL, NULL, NULL, 'BNACNNG18270D PROTEIN', NULL, NULL, NULL, 15),
(154040, NULL, 'PTHR34224:SF10', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 3', NULL, NULL, NULL, 15),
(154041, NULL, 'PTHR30055:SF148', NULL, NULL, NULL, NULL, 'TETR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(154042, NULL, 'PTHR43349:SF42', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 3-RELATED', NULL, NULL, NULL, 15),
(154043, NULL, 'PTHR45621:SF88', NULL, NULL, NULL, NULL, 'BNAA02G16030D PROTEIN', NULL, NULL, NULL, 15),
(154044, NULL, 'PTHR36929:SF3', NULL, NULL, NULL, NULL, 'ATTACHMENT SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154045, NULL, 'PTHR23504:SF77', NULL, NULL, NULL, NULL, 'HIPPOCAMPUS ABUNDANT TRANSCRIPT 1 PROTEIN', NULL, NULL, NULL, 15),
(154046, NULL, 'PTHR42760:SF94', NULL, NULL, NULL, NULL, 'BLR4217 PROTEIN', NULL, NULL, NULL, 15),
(154047, NULL, 'PTHR31325:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154048, NULL, 'PTHR46220:SF4', NULL, NULL, NULL, NULL, 'OS02G0722500 PROTEIN', NULL, NULL, NULL, 15),
(154049, NULL, 'PTHR12802:SF100', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN H', NULL, NULL, NULL, 15),
(154050, NULL, 'PTHR46599:SF3', NULL, NULL, NULL, NULL, 'PIGGYBAC TRANSPOSABLE ELEMENT-DERIVED PROTEIN 4', NULL, NULL, NULL, 15),
(154051, NULL, 'PTHR22744:SF1', NULL, NULL, NULL, NULL, 'BTB (BROAD/COMPLEX/TRAMTRACK/BRIC A BRAC) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(154052, NULL, 'PTHR10201:SF161', NULL, NULL, NULL, NULL, 'PROTEIN CBG05638', NULL, NULL, NULL, 15),
(154053, NULL, 'PTHR30565', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(154054, NULL, 'PTHR47979:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154055, NULL, 'PTHR11946:SF112', NULL, NULL, NULL, NULL, 'BNAC03G75900D PROTEIN', NULL, NULL, NULL, 15),
(154056, NULL, 'PTHR31677:SF113', NULL, NULL, NULL, NULL, 'ERF DOMAIN PROTEIN 9-RELATED', NULL, NULL, NULL, 15),
(154057, NULL, 'PTHR35256:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 8 OPEN READING FRAME 48', NULL, NULL, NULL, 15),
(154058, NULL, 'PTHR10972:SF164', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 3C', NULL, NULL, NULL, 15),
(154059, NULL, 'PTHR31100:SF67', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 21', NULL, NULL, NULL, 15),
(154060, NULL, 'PTHR11226:SF1', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE:GLYCOPROTEIN GLUCOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(154061, NULL, 'PTHR46134:SF5', NULL, NULL, NULL, NULL, 'ARFGAP WITH FG REPEATS 1B', NULL, NULL, NULL, 15),
(154062, NULL, 'PTHR31677:SF74', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF107', NULL, NULL, NULL, 15),
(154063, NULL, 'PTHR11143:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L26-1', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154064, NULL, 'PTHR47985:SF42', NULL, NULL, NULL, NULL, 'OS02G0513000 PROTEIN', NULL, NULL, NULL, 15),
(154065, NULL, 'PTHR31790:SF372', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(154066, NULL, 'PTHR24015:SF548', NULL, NULL, NULL, NULL, 'OS08G0340900 PROTEIN', NULL, NULL, NULL, 15),
(154067, NULL, 'PTHR23235:SF62', NULL, NULL, NULL, NULL, 'KRUPPEL-LIKE FACTOR (ZINC FINGER PROTEIN)', NULL, NULL, NULL, 15),
(154068, NULL, 'PTHR23309:SF42', NULL, NULL, NULL, NULL, 'GLYOXYSOMAL FATTY ACID BETA-OXIDATION MFP-A PROTEIN', NULL, NULL, NULL, 15),
(154069, NULL, 'PTHR45682', NULL, NULL, NULL, NULL, 'AGAP008228-PA', NULL, NULL, 19403, 15),
(154070, NULL, 'PTHR43548', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154071, NULL, 'PTHR34270:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 10-RELATED', NULL, NULL, NULL, 15),
(154072, NULL, 'PTHR43804:SF4', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR APG3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(154073, NULL, 'PTHR26450:SF96', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52L1', NULL, NULL, NULL, 15),
(154074, NULL, 'PTHR13172:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM9', NULL, NULL, NULL, 15),
(154075, NULL, 'PTHR43339:SF1', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN-RELATED', NULL, NULL, NULL, 15),
(154076, NULL, 'PTHR10366:SF684', NULL, NULL, NULL, NULL, 'OS08G0515900 PROTEIN', NULL, NULL, 30443, 15),
(154077, NULL, 'PTHR24026:SF37', NULL, NULL, NULL, NULL, 'PROTOCADHERIN FAT 2', NULL, NULL, NULL, 15),
(154078, NULL, 'PTHR46851:SF2', NULL, NULL, NULL, NULL, 'GYF DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(154079, NULL, 'PTHR10353:SF204', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 20', NULL, NULL, NULL, 15),
(154080, NULL, 'PTHR47926:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154081, NULL, 'PTHR31042:SF111', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154082, NULL, 'PTHR24254:SF9', NULL, NULL, NULL, NULL, 'INACTIVE SERINE PROTEASE PAMR1', NULL, NULL, NULL, 15),
(154083, NULL, 'PTHR36968:SF8', NULL, NULL, NULL, NULL, 'OS07G0619600 PROTEIN', NULL, NULL, NULL, 15),
(154084, NULL, 'PTHR35323:SF2', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(154085, NULL, 'PTHR12419:SF80', NULL, NULL, NULL, NULL, 'BNAA03G00840D PROTEIN', NULL, NULL, NULL, 15),
(154086, NULL, 'PTHR43117', NULL, NULL, NULL, NULL, 'OSMOPROTECTANT IMPORT ATP-BINDING PROTEIN OSMV', NULL, NULL, NULL, 15),
(154087, NULL, 'PTHR22883:SF278', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(154088, NULL, 'PTHR43308', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN ALPHA-RELATED', NULL, NULL, NULL, 15),
(154089, NULL, 'PTHR24208:SF115', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX5', NULL, NULL, NULL, 15),
(154090, NULL, 'PTHR46695:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 44-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(154091, NULL, 'PTHR37687:SF1', NULL, NULL, NULL, NULL, 'AGAP006772-PA', NULL, NULL, NULL, 15),
(154092, NULL, 'PTHR31585:SF2', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 7-RELATED', NULL, NULL, NULL, 15),
(154093, NULL, 'PTHR11635:SF164', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154094, NULL, 'PTHR10672', NULL, NULL, NULL, NULL, 'ADDUCIN', NULL, NULL, NULL, 15),
(154095, NULL, 'PTHR46372:SF15', NULL, NULL, NULL, NULL, 'TPX2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154096, NULL, 'PTHR24326:SF584', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-52-LIKE', NULL, NULL, NULL, 15),
(154097, NULL, 'PTHR21644:SF0', NULL, NULL, NULL, NULL, 'AT02555P-RELATED', NULL, NULL, NULL, 15),
(154098, NULL, 'PTHR10358:SF32', NULL, NULL, NULL, NULL, 'ENDOSULFINE ALPHA B', NULL, NULL, NULL, 15),
(154099, NULL, 'PTHR33021:SF288', NULL, NULL, NULL, NULL, 'OS03G0648500 PROTEIN', NULL, NULL, NULL, 15),
(154100, NULL, 'PTHR45613:SF431', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154101, NULL, 'PTHR16275', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 40', NULL, NULL, 29594, 15),
(154102, NULL, 'PTHR23063:SF38', NULL, NULL, NULL, NULL, 'PROTEIN CBG04491', NULL, NULL, NULL, 15),
(154103, NULL, 'PTHR48048:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(154104, NULL, 'PTHR24081:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 0 GROUP B MEMBER 1', NULL, NULL, NULL, 15),
(154105, NULL, 'PTHR37200', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154106, NULL, 'PTHR31642:SF57', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', NULL, NULL, NULL, 15),
(154107, NULL, 'PTHR12801:SF22', NULL, NULL, NULL, NULL, 'EXONUCLEASE GOR-RELATED', NULL, NULL, NULL, 15),
(154108, NULL, 'PTHR19376:SF54', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA''', NULL, NULL, NULL, 15),
(154109, NULL, 'PTHR32009:SF77', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(154110, NULL, 'PTHR10891:SF854', NULL, NULL, NULL, NULL, 'BNAANNG17220D PROTEIN', NULL, NULL, NULL, 15),
(154111, NULL, 'PTHR32410:SF160', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154112, NULL, 'PTHR42886:SF18', NULL, NULL, NULL, NULL, 'HEPTAKETIDE HYDROLYASE AYG1', NULL, NULL, NULL, 15),
(154113, NULL, 'PTHR16059:SF23', NULL, NULL, NULL, NULL, 'ANTHRAX TOXIN RECEPTOR', NULL, NULL, NULL, 15),
(154114, NULL, 'PTHR33881:SF7', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154115, NULL, 'PTHR47999:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB6-LIKE', NULL, NULL, NULL, 15),
(154116, NULL, 'PTHR45651:SF38', NULL, NULL, NULL, NULL, 'NUCLEOTIDE GATED CHANNEL PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154117, NULL, 'PTHR10442:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', NULL, NULL, NULL, 15),
(154118, NULL, 'PTHR48003:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154119, NULL, 'PTHR22650:SF6', NULL, NULL, NULL, NULL, 'PLATELET GLYCOPROTEIN IX', NULL, NULL, NULL, 15),
(154120, NULL, 'PTHR10317:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT E', NULL, NULL, NULL, 15),
(154121, NULL, 'PTHR10155:SF20', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 3', NULL, NULL, NULL, 15),
(154122, NULL, 'PTHR45974:SF133', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154123, NULL, 'PTHR10168:SF250', NULL, NULL, NULL, NULL, 'BNAA09G40300D PROTEIN', NULL, NULL, NULL, 15),
(154124, NULL, 'PTHR13902:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK11-RELATED', NULL, NULL, NULL, 15),
(154125, NULL, 'PTHR17085:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154126, NULL, 'PTHR46128:SF242', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154127, NULL, 'PTHR11937:SF431', NULL, NULL, NULL, NULL, 'ACTIN-58', NULL, NULL, NULL, 15),
(154128, NULL, 'PTHR33577:SF16', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(154129, NULL, 'PTHR35193', NULL, NULL, NULL, NULL, 'MUCIN 13A, CELL SURFACE-ASSOCIATED-RELATED', NULL, NULL, NULL, 15),
(154130, NULL, 'PTHR33264:SF46', NULL, NULL, NULL, NULL, 'BNAANNG41820D PROTEIN', NULL, NULL, NULL, 15),
(154131, NULL, 'PTHR10509:SF14', NULL, NULL, NULL, NULL, 'CATECHOL O-METHYLTRANSFERASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(154132, NULL, 'PTHR23068:SF42', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE DRM2', NULL, NULL, NULL, 15),
(154133, NULL, 'PTHR24393:SF65', NULL, NULL, NULL, NULL, 'RCG39624', NULL, NULL, NULL, 15),
(154134, NULL, 'PTHR11946:SF93', NULL, NULL, NULL, NULL, 'VALYL-TRNA SYNTHETASE, ISOFORM C', NULL, NULL, NULL, 15),
(154135, NULL, 'PTHR24412:SF458', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB (POZ) DOMAIN-CONTAINING 6', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154136, NULL, 'PTHR45496:SF22', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(154137, NULL, 'PTHR10356:SF0', NULL, NULL, NULL, NULL, 'ALLOGRAFT INFLAMMATORY FACTOR 1-LIKE', NULL, NULL, NULL, 15),
(154138, NULL, 'PTHR33445:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B', NULL, NULL, NULL, 15),
(154139, NULL, 'PTHR31439', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(154140, NULL, 'PTHR45742', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C6', NULL, NULL, NULL, 15),
(154141, NULL, 'PTHR33228:SF58', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 5-LIKE', NULL, NULL, NULL, 15),
(154142, NULL, 'PTHR15696:SF26', NULL, NULL, NULL, NULL, 'BNAC02G44260D PROTEIN', NULL, NULL, NULL, 15),
(154143, NULL, 'PTHR42785:SF1', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE, TYPE IA, CORE', NULL, NULL, NULL, 15),
(154144, NULL, 'PTHR45617:SF106', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 70', NULL, NULL, NULL, 15),
(154145, NULL, 'PTHR11709:SF390', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(154146, NULL, 'PTHR11521:SF20', NULL, NULL, NULL, NULL, 'NOVEL SLOW SKELETAL TROPONIN T FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154147, NULL, 'PTHR15604:SF0', NULL, NULL, NULL, NULL, 'SIGNALING THRESHOLD-REGULATING TRANSMEMBRANE ADAPTER 1', NULL, NULL, NULL, 15),
(154148, NULL, 'PTHR43221', NULL, NULL, NULL, NULL, 'PROTEASE HTPX', NULL, NULL, NULL, 15),
(154149, NULL, 'PTHR13847:SF150', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE TDA3-RELATED', NULL, NULL, NULL, 15),
(154150, NULL, 'PTHR16195', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN CONTAINING PROTEIN', NULL, NULL, 39119, 15),
(154151, NULL, 'PTHR23118:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154152, NULL, 'PTHR31662:SF53', NULL, NULL, NULL, NULL, 'MEDIATOR-ASSOCIATED PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(154153, NULL, 'PTHR46372:SF10', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 2', NULL, NULL, NULL, 15),
(154154, NULL, 'PTHR13140:SF806', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', NULL, NULL, NULL, 15),
(154155, NULL, 'PTHR24153:SF8', NULL, NULL, NULL, NULL, 'FORKED, ISOFORM F', NULL, NULL, NULL, 15),
(154156, NULL, 'PTHR21737:SF3', NULL, NULL, NULL, NULL, 'POLYGLUTAMINE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(154157, NULL, 'PTHR19964:SF74', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE, NON-RECEPTOR TYPE 13', NULL, NULL, NULL, 15),
(154158, NULL, 'PTHR24078', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER', NULL, NULL, NULL, 15),
(154159, NULL, 'PTHR21567:SF9', NULL, NULL, NULL, NULL, 'CLIP-ASSOCIATING PROTEIN', NULL, NULL, NULL, 15),
(154160, NULL, 'PTHR34397:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154161, NULL, 'PTHR33065:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154162, NULL, 'PTHR24376:SF79', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 107', NULL, NULL, NULL, 15),
(154163, NULL, 'PTHR34465:SF6', NULL, NULL, NULL, NULL, 'OS11G0458500 PROTEIN', NULL, NULL, NULL, 15),
(154164, NULL, 'PTHR11216:SF122', NULL, NULL, NULL, NULL, 'EH-DOMAIN CONTAINING 1-RELATED', NULL, NULL, NULL, 15),
(154165, NULL, 'PTHR28342:SF1', NULL, NULL, NULL, NULL, 'MONOOXYGENASE P33MONOX-RELATED', NULL, NULL, NULL, 15),
(154166, NULL, 'PTHR27009:SF160', NULL, NULL, NULL, NULL, 'OS04G0420300 PROTEIN', NULL, NULL, NULL, 15),
(154167, NULL, 'PTHR31113:SF35', NULL, NULL, NULL, NULL, 'BNAA03G52770D PROTEIN', NULL, NULL, NULL, 15),
(154168, NULL, 'PTHR13935:SF137', NULL, NULL, NULL, NULL, 'BNAA08G30870D PROTEIN', NULL, NULL, NULL, 15),
(154169, NULL, 'PTHR31414:SF18', NULL, NULL, NULL, NULL, 'OS11G0264500 PROTEIN', NULL, NULL, NULL, 15),
(154170, NULL, 'PTHR32153:SF35', NULL, NULL, NULL, NULL, 'OS02G0786600 PROTEIN', NULL, NULL, NULL, 15),
(154171, NULL, 'PTHR31696:SF76', NULL, NULL, NULL, NULL, 'BNAA09G05420D PROTEIN', NULL, NULL, NULL, 15),
(154172, NULL, 'PTHR24298:SF819', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 705, SUBFAMILY A, POLYPEPTIDE 15-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154173, NULL, 'PTHR21164', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', NULL, NULL, 590, 15),
(154174, NULL, 'PTHR24112:SF39', NULL, NULL, NULL, NULL, 'F-ACTIN-UNCAPPING PROTEIN LRRC16A', NULL, NULL, 26055, 15),
(154175, NULL, 'PTHR24238:SF31', NULL, NULL, NULL, NULL, 'TACHYKININ-LIKE PEPTIDES RECEPTOR 99D', NULL, NULL, NULL, 15),
(154176, NULL, 'PTHR23276', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 21852, 15),
(154177, NULL, 'PTHR11849:SF181', NULL, NULL, NULL, NULL, 'ETS TRANSLOCATION VARIANT 4', NULL, NULL, NULL, 15),
(154178, NULL, 'PTHR30536:SF1', NULL, NULL, NULL, NULL, 'GALACTARATE DEHYDRATASE (L-THREO-FORMING)', NULL, NULL, NULL, 15),
(154179, NULL, 'PTHR32370:SF101', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154180, NULL, 'PTHR45648:SF96', NULL, NULL, NULL, NULL, 'BNAA06G01410D PROTEIN', NULL, NULL, NULL, 15),
(154181, NULL, 'PTHR11963:SF22', NULL, NULL, NULL, NULL, 'CYTOSOL AMINOPEPTIDASE 1-RELATED', NULL, NULL, NULL, 15),
(154182, NULL, 'PTHR11103:SF10', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE S-METHYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(154183, NULL, 'PTHR45752:SF71', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT SERINE/THREONINE-PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(154184, NULL, 'PTHR23062:SF4', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(154185, NULL, 'PTHR45510', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, 38540, 15),
(154186, NULL, 'PTHR39329:SF1', NULL, NULL, NULL, NULL, 'ETHANOLAMINE AMMONIA-LYASE HEAVY CHAIN', NULL, NULL, NULL, 15),
(154187, NULL, 'PTHR46477:SF7', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(154188, NULL, 'PTHR26454:SF44', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(154189, NULL, 'PTHR11913:SF53', NULL, NULL, NULL, NULL, 'COFILIN 1-RELATED', NULL, NULL, 28328, 15),
(154190, NULL, 'PTHR31627:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-30', NULL, NULL, NULL, 15),
(154191, NULL, 'PTHR47825', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154192, NULL, 'PTHR43760', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE-RELATED', NULL, NULL, NULL, 15),
(154193, NULL, 'PTHR47926:SF175', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(154194, NULL, 'PTHR13902:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK2', NULL, NULL, NULL, 15),
(154195, NULL, 'PTHR32258:SF39', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1D', NULL, NULL, NULL, 15),
(154196, NULL, 'PTHR10209:SF145', NULL, NULL, NULL, NULL, 'DIBOA-GLUCOSIDE DIOXYGENASE BX6', NULL, NULL, NULL, 15),
(154197, NULL, 'PTHR45826:SF2', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER PUT1', NULL, NULL, NULL, 15),
(154198, NULL, 'PTHR33929:SF8', NULL, NULL, NULL, NULL, 'BNAC09G28910D PROTEIN', NULL, NULL, NULL, 15),
(154199, NULL, 'PTHR12080:SF86', NULL, NULL, NULL, NULL, 'CEA-RELATED CELL ADHESION MOLECULE 11-RELATED', NULL, NULL, NULL, 15),
(154200, NULL, 'PTHR47975:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154201, NULL, 'PTHR31236:SF21', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(154202, NULL, 'PTHR19321:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154203, NULL, 'PTHR32285:SF286', NULL, NULL, NULL, NULL, 'PMR5 N-TERMINAL DOMAIN, PC-ESTERASE-RELATED', NULL, NULL, NULL, 15),
(154204, NULL, 'PTHR22950:SF338', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154205, NULL, 'PTHR13068:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154206, NULL, 'PTHR31155:SF19', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(154207, NULL, 'PTHR14787:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 10 OPEN READING FRAME 88', NULL, NULL, NULL, 15),
(154208, NULL, 'PTHR46128:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154209, NULL, 'PTHR11010:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154210, NULL, 'PTHR47290', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN', NULL, NULL, 39864, 15),
(154211, NULL, 'PTHR31189:SF58', NULL, NULL, NULL, NULL, 'BNAA08G13680D PROTEIN', NULL, NULL, NULL, 15),
(154212, NULL, 'PTHR36569:SF5', NULL, NULL, NULL, NULL, 'CONIDIATION-SPECIFIC PROTEIN 10 (EUROFUNG)', NULL, NULL, NULL, 15),
(154213, NULL, 'PTHR30332:SF24', NULL, NULL, NULL, NULL, 'SECRETIN GSPD-RELATED', NULL, NULL, NULL, 15),
(154214, NULL, 'PTHR24006:SF818', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 13', NULL, NULL, NULL, 15),
(154215, NULL, 'PTHR42949:SF2', NULL, NULL, NULL, NULL, 'ANAEROBIC GLYCEROL-3-PHOSPHATE DEHYDROGENASE SUBUNIT B', NULL, NULL, NULL, 15),
(154216, NULL, 'PTHR23105:SF72', NULL, NULL, NULL, NULL, 'PROTEIN 1, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(154217, NULL, 'PTHR24112:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154218, NULL, 'PTHR10799:SF819', NULL, NULL, NULL, NULL, 'GLOBAL TRANSCRIPTION ACTIVATOR SNF2L1-RELATED', NULL, NULL, NULL, 15),
(154219, NULL, 'PTHR22897:SF22', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE', NULL, NULL, NULL, 15),
(154220, NULL, 'PTHR15583', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR', NULL, NULL, 35204, 15),
(154221, NULL, 'PTHR22941:SF296', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(154222, NULL, 'PTHR11905:SF114', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(154223, NULL, 'PTHR34655:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154224, NULL, 'PTHR10183:SF396', NULL, NULL, NULL, NULL, 'CALPAIN-A-RELATED', NULL, NULL, NULL, 15),
(154225, NULL, 'PTHR42253', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154226, NULL, 'PTHR36178', NULL, NULL, NULL, NULL, 'SLR0625 PROTEIN', NULL, NULL, 7317, 15),
(154227, NULL, 'PTHR10812:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-2-BETA', NULL, NULL, 6337, 15),
(154228, NULL, 'PTHR42682:SF1', NULL, NULL, NULL, NULL, 'FORMATE HYDROGENLYASE SUBUNIT 3', NULL, NULL, NULL, 15),
(154229, NULL, 'PTHR15282:SF7', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY E REGULATORY BETA SUBUNIT 5', NULL, NULL, NULL, 15),
(154230, NULL, 'PTHR31992:SF199', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF5.1-LIKE', NULL, NULL, NULL, 15),
(154231, NULL, 'PTHR24270:SF20', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 1BA-RELATED', NULL, NULL, NULL, 15),
(154232, NULL, 'PTHR11177:SF217', NULL, NULL, NULL, NULL, 'OVIDUCT-SPECIFIC GLYCOPROTEIN', NULL, NULL, NULL, 15),
(154233, NULL, 'PTHR24349:SF160', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 24', NULL, NULL, NULL, 15),
(154234, NULL, 'PTHR23266:SF237', NULL, NULL, NULL, NULL, 'IG LAMBDA-2 CHAIN C REGION-RELATED', NULL, NULL, NULL, 15),
(154235, NULL, 'PTHR47992:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154236, NULL, 'PTHR30614:SF45', NULL, NULL, NULL, NULL, 'L-CYSTINE TRANSPORT SYSTEM PERMEASE PROTEIN TCYL', NULL, NULL, NULL, 15),
(154237, NULL, 'PTHR11255:SF91', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(154238, NULL, 'PTHR12146:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154239, NULL, 'PTHR23021:SF48', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(154240, NULL, 'PTHR30614:SF36', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER MEMBRANE-SPANNING PERMEASE-GLUTAMINE TRANSPORT', NULL, NULL, NULL, 15),
(154241, NULL, 'PTHR24056:SF189', NULL, NULL, NULL, NULL, 'ECDYSONE-INDUCED PROTEIN 63E, ISOFORM N', NULL, NULL, NULL, 15),
(154242, NULL, 'PTHR33697:SF1', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(154243, NULL, 'PTHR46547:SF16', NULL, NULL, NULL, NULL, 'OS08G0463500 PROTEIN', NULL, NULL, NULL, 15),
(154244, NULL, 'PTHR33207:SF97', NULL, NULL, NULL, NULL, 'OS09G0324200 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154245, NULL, 'PTHR45645:SF29', NULL, NULL, NULL, NULL, 'CUBILIN HOMOLOG', NULL, NULL, NULL, 15),
(154246, NULL, 'PTHR10434:SF9', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154247, NULL, 'PTHR33448:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154248, NULL, 'PTHR11733:SF211', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE ZMP1-RELATED', NULL, NULL, NULL, 15),
(154249, NULL, 'PTHR31549:SF185', NULL, NULL, NULL, NULL, 'OS03G0591600 PROTEIN', NULL, NULL, NULL, 15),
(154250, NULL, 'PTHR10742:SF365', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOAMINE OXIDASE B-RELATED', NULL, NULL, NULL, 15),
(154251, NULL, 'PTHR33592:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154252, NULL, 'PTHR46128:SF239', NULL, NULL, NULL, NULL, 'BNAA10G03850D PROTEIN', NULL, NULL, NULL, 15),
(154253, NULL, 'PTHR31072:SF156', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP18', NULL, NULL, NULL, 15),
(154254, NULL, 'PTHR24300:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154255, NULL, 'PTHR19143:SF387', NULL, NULL, NULL, NULL, 'PROTEIN CBG00249', NULL, NULL, NULL, 15),
(154256, NULL, 'PTHR23267:SF339', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 5-48 (NON-FUNCTIONAL)', NULL, NULL, NULL, 15),
(154257, NULL, 'PTHR10994:SF132', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154258, NULL, 'PTHR34795:SF6', NULL, NULL, NULL, NULL, 'BNAC04G05370D PROTEIN', NULL, NULL, NULL, 15),
(154259, NULL, 'PTHR12977', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF VARIEGATION 4-20-RELATED', NULL, NULL, 31439, 15),
(154260, NULL, 'PTHR46116:SF6', NULL, NULL, NULL, NULL, '(E3-INDEPENDENT) E2 UBIQUITIN-CONJUGATING ENZYME', NULL, NULL, NULL, 15),
(154261, NULL, 'PTHR36134', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN C16ORF54', NULL, NULL, 26149, 15),
(154262, NULL, 'PTHR31286:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154263, NULL, 'PTHR13738:SF7', NULL, NULL, NULL, NULL, 'TROPONIN I TYPE 1A (SKELETAL, SLOW)', NULL, NULL, NULL, 15),
(154264, NULL, 'PTHR11206:SF177', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(154265, NULL, 'PTHR24326:SF567', NULL, NULL, NULL, NULL, 'BNAA07G28310D PROTEIN', NULL, NULL, NULL, 15),
(154266, NULL, 'PTHR11618:SF58', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154267, NULL, 'PTHR15240:SF6', NULL, NULL, NULL, NULL, 'CAVEOLAE-ASSOCIATED PROTEIN 4B', NULL, NULL, NULL, 15),
(154268, NULL, 'PTHR10992:SF943', NULL, NULL, NULL, NULL, 'METHYLESTERASE 10', NULL, NULL, NULL, 15),
(154269, NULL, 'PTHR11214:SF265', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(154270, NULL, 'PTHR43312', NULL, NULL, NULL, NULL, 'D-THREO-ALDOSE 1-DEHYDROGENASE', NULL, NULL, NULL, 15),
(154271, NULL, 'PTHR23024:SF554', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE', NULL, NULL, NULL, 15),
(154272, NULL, 'PTHR36935', NULL, NULL, NULL, NULL, 'PROTEIN CBG00261', NULL, NULL, NULL, 15),
(154273, NULL, 'PTHR23534', NULL, NULL, NULL, NULL, 'MFS PERMEASE', NULL, NULL, NULL, 15),
(154274, NULL, 'PTHR48018:SF73', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8I2', NULL, NULL, NULL, 15),
(154275, NULL, 'PTHR11848:SF6', NULL, NULL, NULL, NULL, 'INHIBIN BETA E CHAIN', NULL, NULL, NULL, 15),
(154276, NULL, 'PTHR10027:SF9', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY T MEMBER 2', NULL, NULL, NULL, 15),
(154277, NULL, 'PTHR21367:SF3', NULL, NULL, NULL, NULL, 'ARGINYL-TRNA--PROTEIN TRANSFERASE 2', NULL, NULL, NULL, 15),
(154278, NULL, 'PTHR33057:SF136', NULL, NULL, NULL, NULL, 'BNAC02G02540D PROTEIN', NULL, NULL, NULL, 15),
(154279, NULL, 'PTHR11732:SF459', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154280, NULL, 'PTHR42059:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154281, NULL, 'PTHR26312:SF181', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154282, NULL, 'PTHR13222', NULL, NULL, NULL, NULL, 'RB1-INDUCIBLE COILED-COIL', NULL, NULL, 30146, 15),
(154283, NULL, 'PTHR43379:SF3', NULL, NULL, NULL, NULL, 'CYS/MET METABOLISM PLP-DEPENDENT ENZYME FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(154284, NULL, 'PTHR45642:SF103', NULL, NULL, NULL, NULL, 'GDSL-MOTIF LIPASE', NULL, NULL, NULL, 15),
(154285, NULL, 'PTHR13935:SF131', NULL, NULL, NULL, NULL, 'BNAC04G24710D PROTEIN', NULL, NULL, NULL, 15),
(154286, NULL, 'PTHR47736', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A MEMBER 3', NULL, NULL, 26903, 15),
(154287, NULL, 'PTHR30558', NULL, NULL, NULL, NULL, 'EXBD MEMBRANE COMPONENT OF PMF-DRIVEN MACROMOLECULE IMPORT SYSTEM', NULL, NULL, 5025, 15),
(154288, NULL, 'PTHR48007:SF54', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154289, NULL, 'PTHR23179:SF37', NULL, NULL, NULL, NULL, 'GENE 1527-RELATED', NULL, NULL, NULL, 15),
(154290, NULL, 'PTHR20856', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT 2', NULL, NULL, 11927, 15),
(154291, NULL, 'PTHR47640:SF42', NULL, NULL, NULL, NULL, 'BNAA08G02390D PROTEIN', NULL, NULL, NULL, 15),
(154292, NULL, 'PTHR33527:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154293, NULL, 'PTHR31983:SF13', NULL, NULL, NULL, NULL, 'ENDO-1,3(4)-BETA-GLUCANASE ARB_01444-RELATED', NULL, NULL, NULL, 15),
(154294, NULL, 'PTHR34319', NULL, NULL, NULL, NULL, 'MAJOR EXPORTED PROTEIN', NULL, NULL, NULL, 15),
(154295, NULL, 'PTHR31100:SF62', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 23', NULL, NULL, NULL, 15),
(154296, NULL, 'PTHR23120:SF42', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(154297, NULL, 'PTHR43141:SF2', NULL, NULL, NULL, NULL, 'BLR3729 PROTEIN', NULL, NULL, NULL, 15),
(154298, NULL, 'PTHR47035:SF5', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL2-LIKE', NULL, NULL, NULL, 15),
(154299, NULL, 'PTHR18934:SF103', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154300, NULL, 'PTHR23315:SF287', NULL, NULL, NULL, NULL, 'BNACNNG18530D PROTEIN', NULL, NULL, NULL, 15),
(154301, NULL, 'PTHR33784:SF15', NULL, NULL, NULL, NULL, 'BNAA05G15050D PROTEIN', NULL, NULL, NULL, 15),
(154302, NULL, 'PTHR27008:SF419', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154303, NULL, 'PTHR24220:SF673', NULL, NULL, NULL, NULL, 'FE(3+) IONS IMPORT ATP-BINDING PROTEIN FBPC', NULL, NULL, NULL, 15),
(154304, NULL, 'PTHR46671:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG21363', NULL, NULL, NULL, 15),
(154305, NULL, 'PTHR33453:SF27', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(154306, NULL, 'PTHR21450:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BZIP80, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154307, NULL, 'PTHR11967:SF3', NULL, NULL, NULL, NULL, 'ALPHA-1-ACID GLYCOPROTEIN 2', NULL, NULL, NULL, 15),
(154308, NULL, 'PTHR11679:SF2', NULL, NULL, NULL, NULL, 'SEC1 FAMILY DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(154309, NULL, 'PTHR22765:SF294', NULL, NULL, NULL, NULL, 'OS08G0487500 PROTEIN', NULL, NULL, NULL, 15),
(154310, NULL, 'PTHR11145:SF17', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING ADAPTER FOR CUL3-MEDIATED RHOA DEGRADATION PROTEIN 2', NULL, NULL, NULL, 15),
(154311, NULL, 'PTHR46524', NULL, NULL, NULL, NULL, 'CW-TYPE ZINC FINGER', NULL, NULL, NULL, 15),
(154312, NULL, 'PTHR12454:SF11', NULL, NULL, NULL, NULL, 'GH25683P', NULL, NULL, NULL, 15),
(154313, NULL, 'PTHR12570:SF67', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA2-RELATED', NULL, NULL, NULL, 15),
(154314, NULL, 'PTHR11206:SF290', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(154315, NULL, 'PTHR11818:SF107', NULL, NULL, NULL, NULL, 'CRYSTALLIN, GAMMA MX,-LIKE 2', NULL, NULL, NULL, 15),
(154316, NULL, 'PTHR31374:SF279', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(154317, NULL, 'PTHR19957', NULL, NULL, NULL, NULL, 'SYNTAXIN', NULL, NULL, 39607, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154318, NULL, 'PTHR24248:SF130', NULL, NULL, NULL, NULL, 'ALPHA-2B ADRENERGIC RECEPTOR', NULL, NULL, NULL, 15),
(154319, NULL, 'PTHR45937', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(154320, NULL, 'PTHR43876:SF16', NULL, NULL, NULL, NULL, 'LYCOPENE EPSILON CYCLASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(154321, NULL, 'PTHR10836:SF93', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(154322, NULL, 'PTHR39460', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(154323, NULL, 'PTHR35317:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154324, NULL, 'PTHR31625:SF52', NULL, NULL, NULL, NULL, 'COUMAROYL-COA:ANTHOCYANIDIN 3-O-GLUCOSIDE-6''''-O-COUMAROYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(154325, NULL, 'PTHR31001:SF55', NULL, NULL, NULL, NULL, 'CHROMOSOME 12, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(154326, NULL, 'PTHR36512', NULL, NULL, NULL, NULL, 'D-AMINOPEPTIDASE', NULL, NULL, 5580, 15),
(154327, NULL, 'PTHR15588:SF18', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM1', NULL, NULL, NULL, 15),
(154328, NULL, 'PTHR13817:SF103', NULL, NULL, NULL, NULL, 'ROUNDABOUT GUIDANCE RECEPTOR 3', NULL, NULL, NULL, 15),
(154329, NULL, 'PTHR11926:SF1421', NULL, NULL, NULL, NULL, 'CROCETIN GLUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(154330, NULL, 'PTHR11627:SF44', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE 8, CYTOSOLIC', NULL, NULL, NULL, 15),
(154331, NULL, 'PTHR31707:SF154', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(154332, NULL, 'PTHR43184:SF23', NULL, NULL, NULL, NULL, 'BNAC07G34420D PROTEIN', NULL, NULL, NULL, 15),
(154333, NULL, 'PTHR11709:SF381', NULL, NULL, NULL, NULL, 'MONOCOPPER OXIDASE-LIKE PROTEIN SKS2', NULL, NULL, NULL, 15),
(154334, NULL, 'PTHR31079:SF37', NULL, NULL, NULL, NULL, 'BNAA07G37110D PROTEIN', NULL, NULL, NULL, 15),
(154335, NULL, 'PTHR14155:SF551', NULL, NULL, NULL, NULL, 'BNAA04G19920D PROTEIN', NULL, NULL, NULL, 15),
(154336, NULL, 'PTHR48056:SF6', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERECTA', NULL, NULL, NULL, 15),
(154337, NULL, 'PTHR11017:SF363', NULL, NULL, NULL, NULL, 'BNAA02G30250D PROTEIN', NULL, NULL, NULL, 15),
(154338, NULL, 'PTHR31561:SF149', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(154339, NULL, 'PTHR13808:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154340, NULL, 'PTHR33499', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154341, NULL, 'PTHR31731:SF104', NULL, NULL, NULL, NULL, 'OS10G0551700 PROTEIN', NULL, NULL, NULL, 15),
(154342, NULL, 'PTHR12125:SF12', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 44', NULL, NULL, NULL, 15),
(154343, NULL, 'PTHR35547:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154344, NULL, 'PTHR22999:SF28', NULL, NULL, NULL, NULL, 'PHOX (PX) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(154345, NULL, 'PTHR10795:SF643', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.12-RELATED', NULL, NULL, NULL, 15),
(154346, NULL, 'PTHR10560', NULL, NULL, NULL, NULL, 'THROMBOPOIETIN', NULL, NULL, 7272, 15),
(154347, NULL, 'PTHR37357:SF1', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 4', NULL, NULL, NULL, 15),
(154348, NULL, 'PTHR33871:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154349, NULL, 'PTHR32227:SF357', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(154350, NULL, 'PTHR23086:SF35', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 5-PHOSPHATE 4-KINASE TYPE-2 GAMMA', NULL, NULL, NULL, 15),
(154351, NULL, 'PTHR23428:SF268', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(154352, NULL, 'PTHR24253:SF42', NULL, NULL, NULL, NULL, 'PROTEASE, SERINE 47', NULL, NULL, NULL, 15),
(154353, NULL, 'PTHR15710:SF112', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154354, NULL, 'PTHR35158:SF1', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE CN725425', NULL, NULL, NULL, 15),
(154355, NULL, 'PTHR21141:SF84', NULL, NULL, NULL, NULL, 'BNAA02G29320D PROTEIN', NULL, NULL, NULL, 15),
(154356, NULL, 'PTHR19229:SF186', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 8-A', NULL, NULL, 24682, 15),
(154357, NULL, 'PTHR12411:SF671', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RDL6-RELATED', NULL, NULL, NULL, 15),
(154358, NULL, 'PTHR34372:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C', NULL, NULL, NULL, 15),
(154359, NULL, 'PTHR11011:SF75', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(154360, NULL, 'PTHR24112:SF51', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL GENE PRODUCT DG1112', NULL, NULL, NULL, 15),
(154361, NULL, 'PTHR10151:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154362, NULL, 'PTHR18968:SF129', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE', NULL, NULL, NULL, 15),
(154363, NULL, 'PTHR47993:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154364, NULL, 'PTHR10871:SF4', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 6 SUBUNIT B', NULL, NULL, 4687, 15),
(154365, NULL, 'PTHR10903:SF103', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER GIMD1', NULL, NULL, NULL, 15),
(154366, NULL, 'PTHR11709:SF328', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(154367, NULL, 'PTHR45632:SF17', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 31', NULL, NULL, 26637, 15),
(154368, NULL, 'PTHR42928:SF5', NULL, NULL, NULL, NULL, 'BLR1237 PROTEIN', NULL, NULL, NULL, 15),
(154369, NULL, 'PTHR12294', NULL, NULL, NULL, NULL, 'EF HAND DOMAIN FAMILY A1,A2-RELATED', NULL, NULL, 29573, 15),
(154370, NULL, 'PTHR10105:SF4', NULL, NULL, NULL, NULL, 'SELENOPROTEIN PB', NULL, NULL, NULL, 15),
(154371, NULL, 'PTHR15039:SF11', NULL, NULL, NULL, NULL, 'DOLICHOL PHOSPHATE-MANNOSE BIOSYNTHESIS REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(154372, NULL, 'PTHR31190:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154373, NULL, 'PTHR13009:SF23', NULL, NULL, NULL, NULL, 'BNAC09G33630D PROTEIN', NULL, NULL, NULL, 15),
(154374, NULL, 'PTHR32044:SF77', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 9', NULL, NULL, NULL, 15),
(154375, NULL, 'PTHR10352:SF38', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2A-LIKE', NULL, NULL, NULL, 15),
(154376, NULL, 'PTHR33320:SF6', NULL, NULL, NULL, NULL, 'METHIONYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(154377, NULL, 'PTHR39201', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154378, NULL, 'PTHR24373:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154379, NULL, 'PTHR23502:SF143', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04900)-RELATED', NULL, NULL, NULL, 15),
(154380, NULL, 'PTHR23128:SF132', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(154381, NULL, 'PTHR22765:SF182', NULL, NULL, NULL, NULL, 'OSJNBB0043H09.3 PROTEIN', NULL, NULL, NULL, 15),
(154382, NULL, 'PTHR31080:SF83', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 2-LIKE', NULL, NULL, NULL, 15),
(154383, NULL, 'PTHR39474:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(154384, NULL, 'PTHR11006:SF73', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(154385, NULL, 'PTHR35753:SF3', NULL, NULL, NULL, NULL, 'BNAA03G48220D PROTEIN', NULL, NULL, NULL, 15),
(154386, NULL, 'PTHR34917', NULL, NULL, NULL, NULL, 'RBPJ-INTERACTING AND TUBULIN-ASSOCIATED PROTEIN 1', NULL, NULL, 28420, 15),
(154387, NULL, 'PTHR43820:SF3', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN BRAG', NULL, NULL, NULL, 15),
(154388, NULL, 'PTHR45664:SF4', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN BICOID', NULL, NULL, NULL, 15),
(154389, NULL, 'PTHR11177:SF346', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN C25A8.4', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154390, NULL, 'PTHR33124:SF36', NULL, NULL, NULL, NULL, 'OS08G0444500 PROTEIN', NULL, NULL, NULL, 15),
(154391, NULL, 'PTHR24039:SF46', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH WITH EGF-LIKE DOMAINS 1A-RELATED', NULL, NULL, NULL, 15),
(154392, NULL, 'PTHR10504:SF136', NULL, NULL, NULL, NULL, 'NOSE RESISTANT TO FLUOXETINE PROTEIN 5', NULL, NULL, NULL, 15),
(154393, NULL, 'PTHR46662:SF13', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING PROTEIN OF THE ER PROTEIN', NULL, NULL, NULL, 15),
(154394, NULL, 'PTHR31213:SF24', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORTER', NULL, NULL, NULL, 15),
(154395, NULL, 'PTHR15592:SF17', NULL, NULL, NULL, NULL, 'POLYPYRIMIDINE TRACT-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(154396, NULL, 'PTHR33474:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(154397, NULL, 'PTHR21523:SF39', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', NULL, NULL, NULL, 15),
(154398, NULL, 'PTHR23316:SF56', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-1B', NULL, NULL, NULL, 15),
(154399, NULL, 'PTHR24298:SF851', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 87 SUBFAMILY A POLYPEPTIDE 6', NULL, NULL, NULL, 15),
(154400, NULL, 'PTHR24057:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE R03D7.5-RELATED', NULL, NULL, NULL, 15),
(154401, NULL, 'PTHR12210:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154402, NULL, 'PTHR47991:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154403, NULL, 'PTHR31153:SF18', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(154404, NULL, 'PTHR33402:SF15', NULL, NULL, NULL, NULL, 'OS05G0519000 PROTEIN', NULL, NULL, NULL, 15),
(154405, NULL, 'PTHR23259:SF59', NULL, NULL, NULL, NULL, 'PROTEIN CBG19171', NULL, NULL, NULL, 15),
(154406, NULL, 'PTHR42814', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154407, NULL, 'PTHR32468:SF85', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE', NULL, NULL, NULL, 15),
(154408, NULL, 'PTHR33095:SF57', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(154409, NULL, 'PTHR39428:SF1', NULL, NULL, NULL, NULL, 'F420H(2)-DEPENDENT QUINONE REDUCTASE RV1261C', NULL, NULL, NULL, 15),
(154410, NULL, 'PTHR11955', NULL, NULL, NULL, NULL, 'FATTY ACID BINDING PROTEIN', NULL, NULL, 27378, 15),
(154411, NULL, 'PTHR32487', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE', NULL, NULL, NULL, 15),
(154412, NULL, 'PTHR43675:SF11', NULL, NULL, NULL, NULL, 'CYCLOPROPANE-FATTY-ACYL-PHOSPHOLIPID SYNTHASE', NULL, NULL, NULL, 15),
(154413, NULL, 'PTHR19354:SF6', NULL, NULL, NULL, NULL, 'ZIPPER PUTATIVE TUMOR SUPPRESSOR 3-RELATED', NULL, NULL, 33167, 15),
(154414, NULL, 'PTHR10801:SF13', NULL, NULL, NULL, NULL, 'DELTA(24)-STEROL REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(154415, NULL, 'PTHR27007:SF211', NULL, NULL, NULL, NULL, 'OSJNBB0096E05.1 PROTEIN', NULL, NULL, NULL, 15),
(154416, NULL, 'PTHR24056:SF129', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 4', NULL, NULL, NULL, 15),
(154417, NULL, 'PTHR48085:SF7', NULL, NULL, NULL, NULL, 'CADMIUM/ZINC-TRANSPORTING ATPASE HMA2', NULL, NULL, NULL, 15),
(154418, NULL, 'PTHR46069:SF1', NULL, NULL, NULL, NULL, 'TUBULIN TYROSINE LIGASE', NULL, NULL, NULL, 15),
(154419, NULL, 'PTHR24377:SF765', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 765-RELATED', NULL, NULL, NULL, 15),
(154420, NULL, 'PTHR23430:SF137', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(154421, NULL, 'PTHR21353:SF7', NULL, NULL, NULL, NULL, 'CARDIOTROPHIN-LIKE CYTOKINE FACTOR 1', NULL, NULL, NULL, 15),
(154422, NULL, 'PTHR33162:SF4', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATA/B/E-RELATED', NULL, NULL, NULL, 15),
(154423, NULL, 'PTHR47352:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154424, NULL, 'PTHR15758:SF2', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 13', NULL, NULL, NULL, 15),
(154425, NULL, 'PTHR13878:SF105', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 9', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154426, NULL, 'PTHR31500:SF18', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 3', NULL, NULL, NULL, 15),
(154427, NULL, 'PTHR10792:SF35', NULL, NULL, NULL, NULL, 'OS05G0486700 PROTEIN', NULL, NULL, NULL, 15),
(154428, NULL, 'PTHR45616:SF31', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 73', NULL, NULL, NULL, 15),
(154429, NULL, 'PTHR32303:SF16', NULL, NULL, NULL, NULL, 'PQQ ENZYME REPEAT PROTEIN', NULL, NULL, NULL, 15),
(154430, NULL, 'PTHR32196:SF29', NULL, NULL, NULL, NULL, 'AUTOINDUCER 2 IMPORT SYSTEM PERMEASE PROTEIN LSRC', NULL, NULL, NULL, 15),
(154431, NULL, 'PTHR21257:SF37', NULL, NULL, NULL, NULL, 'DELTA(14)-STEROL REDUCTASE', NULL, NULL, NULL, 15),
(154432, NULL, 'PTHR34568:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154433, NULL, 'PTHR46463:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154434, NULL, 'PTHR13045:SF3', NULL, NULL, NULL, NULL, '7-METHYLGUANOSINE PHOSPHATE-SPECIFIC 5''-NUCLEOTIDASE', NULL, NULL, NULL, 15),
(154435, NULL, 'PTHR20851:SF0', NULL, NULL, NULL, NULL, 'FI20150P1-RELATED', NULL, NULL, NULL, 15),
(154436, NULL, 'PTHR18820:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LEG1 HOMOLOG', NULL, NULL, NULL, 15),
(154437, NULL, 'PTHR45863:SF37', NULL, NULL, NULL, NULL, 'BNAC03G36150D PROTEIN', NULL, NULL, NULL, 15),
(154438, NULL, 'PTHR30302:SF5', NULL, NULL, NULL, NULL, 'SLR1876 PROTEIN', NULL, NULL, NULL, 15),
(154439, NULL, 'PTHR47797:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154440, NULL, 'PTHR43727', NULL, NULL, NULL, NULL, 'DIAMINOPIMELATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(154441, NULL, 'PTHR33086:SF32', NULL, NULL, NULL, NULL, 'OS01G0244000 PROTEIN', NULL, NULL, NULL, 15),
(154442, NULL, 'PTHR10315:SF125', NULL, NULL, NULL, NULL, 'UBIQUITIN LIGASE SINAT3', NULL, NULL, NULL, 15),
(154443, NULL, 'PTHR23036:SF103', NULL, NULL, NULL, NULL, 'GRANULOCYTE COLONY-STIMULATING FACTOR RECEPTOR', NULL, NULL, NULL, 15),
(154444, NULL, 'PTHR34778:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154445, NULL, 'PTHR45842:SF14', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT, IMMUNOGLOBULIN-LIKE DOMAIN AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(154446, NULL, 'PTHR46869:SF9', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154447, NULL, 'PTHR47906:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154448, NULL, 'PTHR32080:SF49', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154449, NULL, 'PTHR21707', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 27372, 15),
(154450, NULL, 'PTHR43349:SF47', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PINORESINOL-LARICIRESINOL REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(154451, NULL, 'PTHR12626:SF2', NULL, NULL, NULL, NULL, 'MA3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(154452, NULL, 'PTHR31360:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154453, NULL, 'PTHR30445:SF9', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YBJL-RELATED', NULL, NULL, NULL, 15),
(154454, NULL, 'PTHR47323:SF6', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(154455, NULL, 'PTHR37456:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154456, NULL, 'PTHR10809:SF133', NULL, NULL, NULL, NULL, 'BNAC03G64150D PROTEIN', NULL, NULL, NULL, 15),
(154457, NULL, 'PTHR15947:SF0', NULL, NULL, NULL, NULL, 'INTERLEUKIN-23 SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(154458, NULL, 'PTHR11034:SF17', NULL, NULL, NULL, NULL, 'PROTEIN NDRG2', NULL, NULL, 2597, 15),
(154459, NULL, 'PTHR13593:SF101', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL PHOSPHODIESTERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154460, NULL, 'PTHR31977', NULL, NULL, NULL, NULL, 'UPF0696 PROTEIN C11ORF68', NULL, NULL, 7713, 15),
(154461, NULL, 'PTHR24228:SF53', NULL, NULL, NULL, NULL, 'MELATONIN RECEPTOR TYPE 1A', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154462, NULL, 'PTHR13832:SF688', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 32', NULL, NULL, NULL, 15),
(154463, NULL, 'PTHR48111:SF32', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(154464, NULL, 'PTHR33215:SF11', NULL, NULL, NULL, NULL, 'BLR1542 PROTEIN', NULL, NULL, NULL, 15),
(154465, NULL, 'PTHR11886:SF97', NULL, NULL, NULL, NULL, 'OS02G0580400 PROTEIN', NULL, NULL, NULL, 15),
(154466, NULL, 'PTHR40638', NULL, NULL, NULL, NULL, 'UPF0591 MEMBRANE PROTEIN C15E1.02C', NULL, NULL, NULL, 15),
(154467, NULL, 'PTHR38226', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154468, NULL, 'PTHR11879:SF45', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(154469, NULL, 'PTHR30332', NULL, NULL, NULL, NULL, 'PROBABLE GENERAL SECRETION PATHWAY PROTEIN D', NULL, NULL, NULL, 15),
(154470, NULL, 'PTHR46344', NULL, NULL, NULL, NULL, 'OS02G0202900 PROTEIN', NULL, NULL, 38987, 15),
(154471, NULL, 'PTHR45637:SF12', NULL, NULL, NULL, NULL, 'PROTEIN KINASE PINOID 2', NULL, NULL, NULL, 15),
(154472, NULL, 'PTHR27000:SF725', NULL, NULL, NULL, NULL, 'OS07G0602700 PROTEIN', NULL, NULL, NULL, 15),
(154473, NULL, 'PTHR13622:SF6', NULL, NULL, NULL, NULL, 'THIAMINE PYROPHOSPHOKINASE 2', NULL, NULL, NULL, 15),
(154474, NULL, 'PTHR10209:SF698', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 1', NULL, NULL, NULL, 15),
(154475, NULL, 'PTHR22835:SF235', NULL, NULL, NULL, NULL, 'LIPASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154476, NULL, 'PTHR42825:SF29', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(154477, NULL, 'PTHR43775', NULL, NULL, NULL, NULL, 'FATTY ACID SYNTHASE', NULL, NULL, NULL, 15),
(154478, NULL, 'PTHR47753:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(154479, NULL, 'PTHR47969:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154480, NULL, 'PTHR47661:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCAN PHOSPHATASE LSF1, CHLOROPLASTIC', NULL, NULL, 28992, 15),
(154481, NULL, 'PTHR22884:SF496', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASHH2-LIKE', NULL, NULL, NULL, 15),
(154482, NULL, 'PTHR11347:SF73', NULL, NULL, NULL, NULL, 'ROD CGMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(154483, NULL, 'PTHR24296:SF96', NULL, NULL, NULL, NULL, 'BNAA06G40570D PROTEIN', NULL, NULL, NULL, 15),
(154484, NULL, 'PTHR31152:SF9', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154485, NULL, 'PTHR45807:SF7', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE HOPSCOTCH', NULL, NULL, NULL, 15),
(154486, NULL, 'PTHR23063:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG04511', NULL, NULL, NULL, 15),
(154487, NULL, 'PTHR45786:SF23', NULL, NULL, NULL, NULL, 'OS12G0539700 PROTEIN', NULL, NULL, NULL, 15),
(154488, NULL, 'PTHR46526:SF1', NULL, NULL, NULL, NULL, 'CHORDIN', NULL, NULL, NULL, 15),
(154489, NULL, 'PTHR24652:SF67', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR CLASS A DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(154490, NULL, 'PTHR11945:SF652', NULL, NULL, NULL, NULL, 'BNAC04G28840D PROTEIN', NULL, NULL, NULL, 15),
(154491, NULL, 'PTHR11732:SF415', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(154492, NULL, 'PTHR10353:SF225', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 12-LIKE', NULL, NULL, NULL, 15),
(154493, NULL, 'PTHR14095:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B''''DELTA-RELATED', NULL, NULL, NULL, 15),
(154494, NULL, 'PTHR21521:SF0', NULL, NULL, NULL, NULL, 'ZGC:112496', NULL, NULL, NULL, 15),
(154495, NULL, 'PTHR23262:SF8', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-2', NULL, NULL, NULL, 15),
(154496, NULL, 'PTHR24298:SF813', NULL, NULL, NULL, NULL, 'ISOFLAVONE 3''-HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(154497, NULL, 'PTHR45974:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154498, NULL, 'PTHR46542', NULL, NULL, NULL, NULL, 'X-BOX BINDING PROTEIN 1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154499, NULL, 'PTHR22928', NULL, NULL, NULL, NULL, 'TELOMERE-ASSOCIATED PROTEIN  RIF1', NULL, NULL, 22016, 15),
(154500, NULL, 'PTHR33597:SF11', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154501, NULL, 'PTHR10641:SF1245', NULL, NULL, NULL, NULL, 'BNAA04G28770D PROTEIN', NULL, NULL, NULL, 15),
(154502, NULL, 'PTHR11434:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154503, NULL, 'PTHR24343:SF388', NULL, NULL, NULL, NULL, 'AGAP008765-PA', NULL, NULL, NULL, 15),
(154504, NULL, 'PTHR21562:SF82', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(154505, NULL, 'PTHR45288:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154506, NULL, 'PTHR45737:SF5', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(154507, NULL, 'PTHR33547:SF1', NULL, NULL, NULL, NULL, 'ZGC:174862', NULL, NULL, NULL, 15),
(154508, NULL, 'PTHR10634:SF98', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(154509, NULL, 'PTHR19384:SF115', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', NULL, NULL, NULL, 15),
(154510, NULL, 'PTHR47071:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TRM32', NULL, NULL, NULL, 15),
(154511, NULL, 'PTHR10168:SF259', NULL, NULL, NULL, NULL, 'BNAA09G50800D PROTEIN', NULL, NULL, NULL, 15),
(154512, NULL, 'PTHR31989:SF366', NULL, NULL, NULL, NULL, 'OS09G0295000 PROTEIN', NULL, NULL, NULL, 15),
(154513, NULL, 'PTHR11620:SF73', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A-LIKE', NULL, NULL, NULL, 15),
(154514, NULL, 'PTHR43418:SF4', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL TRYPTOPHAN BIOSYNTHESIS PROTEIN', NULL, NULL, NULL, 15),
(154515, NULL, 'PTHR44167:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FHKE-RELATED', NULL, NULL, NULL, 15),
(154516, NULL, 'PTHR31223:SF44', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15),
(154517, NULL, 'PTHR22943:SF39', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(154518, NULL, 'PTHR14281:SF0', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SPC25', NULL, NULL, NULL, 15),
(154519, NULL, 'PTHR11615:SF285', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154520, NULL, 'PTHR17601:SF1', NULL, NULL, NULL, NULL, 'RAFTLIN-2', NULL, NULL, NULL, 15),
(154521, NULL, 'PTHR23262:SF149', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-8', NULL, NULL, NULL, 15),
(154522, NULL, 'PTHR23079', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, 2018, 15),
(154523, NULL, 'PTHR35365:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154524, NULL, 'PTHR11592:SF116', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(154525, NULL, 'PTHR39068:SF5', NULL, NULL, NULL, NULL, 'PUPAL CUTICLE PROTEIN C1B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154526, NULL, 'PTHR13878:SF127', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 3', NULL, NULL, NULL, 15),
(154527, NULL, 'PTHR14145:SF5', NULL, NULL, NULL, NULL, 'BNAA09G38820D PROTEIN', NULL, NULL, NULL, 15),
(154528, NULL, 'PTHR31960:SF24', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, PHLOEM PROTEIN 2-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154529, NULL, 'PTHR43895:SF32', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE KINASE', NULL, NULL, NULL, 15),
(154530, NULL, 'PTHR46226:SF7', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154531, NULL, 'PTHR19304:SF10', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-7', NULL, NULL, NULL, 15),
(154532, NULL, 'PTHR31928:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154533, NULL, 'PTHR35296:SF1', NULL, NULL, NULL, NULL, 'OS02G0445700 PROTEIN', NULL, NULL, NULL, 15),
(154534, NULL, 'PTHR47928:SF164', NULL, NULL, NULL, NULL, 'OS02G0625100 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154535, NULL, 'PTHR24093:SF457', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(154536, NULL, 'PTHR35485', NULL, NULL, NULL, NULL, 'OS01G0888900 PROTEIN', NULL, NULL, NULL, 15),
(154537, NULL, 'PTHR11910:SF17', NULL, NULL, NULL, NULL, 'BNAC07G13560D PROTEIN', NULL, NULL, NULL, 15),
(154538, NULL, 'PTHR27000:SF470', NULL, NULL, NULL, NULL, 'OS02G0154975 PROTEIN', NULL, NULL, NULL, 15),
(154539, NULL, 'PTHR47864:SF4', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(154540, NULL, 'PTHR40201', NULL, NULL, NULL, NULL, 'OSMIOPHILIC BODY PROTEIN', NULL, NULL, NULL, 15),
(154541, NULL, 'PTHR19282:SF214', NULL, NULL, NULL, NULL, 'CD81 ANTIGEN', NULL, NULL, NULL, 15),
(154542, NULL, 'PTHR45642:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154543, NULL, 'PTHR42942', NULL, NULL, NULL, NULL, '6-O-METHYLGUANINE DNA METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(154544, NULL, 'PTHR26452:SF83', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(154545, NULL, 'PTHR14340:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154546, NULL, 'PTHR24161:SF87', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_1G14510)', NULL, NULL, NULL, 15),
(154547, NULL, 'PTHR35300:SF5', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(154548, NULL, 'PTHR31339:SF59', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-RELATED', NULL, NULL, NULL, 15),
(154549, NULL, 'PTHR46631:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154550, NULL, 'PTHR47943:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 93A3-LIKE', NULL, NULL, NULL, 15),
(154551, NULL, 'PTHR23316:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154552, NULL, 'PTHR24107:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-81A5.5', NULL, NULL, NULL, 15),
(154553, NULL, 'PTHR12270:SF50', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE PROTEIN GNT12-RELATED', NULL, NULL, NULL, 15),
(154554, NULL, 'PTHR31503:SF54', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', NULL, NULL, NULL, 15),
(154555, NULL, 'PTHR12828:SF4', NULL, NULL, NULL, NULL, 'PROTEASOME MATURATION FACTOR UMP1', NULL, NULL, NULL, 15),
(154556, NULL, 'PTHR11206:SF413', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(154557, NULL, 'PTHR47098', NULL, NULL, NULL, NULL, 'PROTEIN MAK32', NULL, NULL, NULL, 15),
(154558, NULL, 'PTHR15995:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ZWILCH HOMOLOG', NULL, NULL, NULL, 15),
(154559, NULL, 'PTHR13103', NULL, NULL, NULL, NULL, 'SCHWANNOMIN INTERACTING PROTEIN 1', NULL, NULL, 30539, 15),
(154560, NULL, 'PTHR15498', NULL, NULL, NULL, NULL, 'T-CELL IMMUNOGLOBULIN AND MUCIN DOMAIN CONTAINING  TIM', NULL, NULL, NULL, 15),
(154561, NULL, 'PTHR31235:SF192', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(154562, NULL, 'PTHR30523:SF25', NULL, NULL, NULL, NULL, 'OS01G0208700 PROTEIN', NULL, NULL, NULL, 15),
(154563, NULL, 'PTHR11008:SF15', NULL, NULL, NULL, NULL, 'AGAP001984-PA', NULL, NULL, NULL, 15),
(154564, NULL, 'PTHR34483', NULL, NULL, NULL, NULL, 'OS09G0129800 PROTEIN', NULL, NULL, NULL, 15),
(154565, NULL, 'PTHR10218:SF85', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT ALPHA-13', NULL, NULL, NULL, 15),
(154566, NULL, 'PTHR38797:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154567, NULL, 'PTHR47928:SF140', NULL, NULL, NULL, NULL, 'OS06G0705350 PROTEIN', NULL, NULL, NULL, 15),
(154568, NULL, 'PTHR45675:SF78', NULL, NULL, NULL, NULL, 'OS02G0618400 PROTEIN', NULL, NULL, NULL, 15),
(154569, NULL, 'PTHR31852:SF231', NULL, NULL, NULL, NULL, 'BNAC03G47250D PROTEIN', NULL, NULL, NULL, 15),
(154570, NULL, 'PTHR10106:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG08803', NULL, NULL, NULL, 15),
(154571, NULL, 'PTHR47926:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154572, NULL, 'PTHR24241:SF133', NULL, NULL, NULL, NULL, 'SI:DKEY-178O16.4', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154573, NULL, 'PTHR32448:SF70', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 27-RELATED', NULL, NULL, NULL, 15),
(154574, NULL, 'PTHR32191:SF51', NULL, NULL, NULL, NULL, 'TETRASPANIN-5', NULL, NULL, NULL, 15),
(154575, NULL, 'PTHR35730:SF2', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SPC24 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(154576, NULL, 'PTHR45852', NULL, NULL, NULL, NULL, 'SER/THR-PROTEIN KINASE RIO2', NULL, NULL, NULL, 15),
(154577, NULL, 'PTHR34462:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154578, NULL, 'PTHR47357:SF1', NULL, NULL, NULL, NULL, 'COP1-INTERACTIVE PROTEIN 1', NULL, NULL, NULL, 15),
(154579, NULL, 'PTHR32285:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154580, NULL, 'PTHR33919:SF12', NULL, NULL, NULL, NULL, 'BNAA02G21910D PROTEIN', NULL, NULL, NULL, 15),
(154581, NULL, 'PTHR40459:SF1', NULL, NULL, NULL, NULL, 'CONSERVED HYPOTHETICAL ALANINE AND LEUCINE RICH PROTEIN', NULL, NULL, NULL, 15),
(154582, NULL, 'PTHR23226:SF180', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 496', NULL, NULL, 24058, 15),
(154583, NULL, 'PTHR24384:SF129', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 626', NULL, NULL, NULL, 15),
(154584, NULL, 'PTHR27005:SF59', NULL, NULL, NULL, NULL, 'OS12G0614851 PROTEIN', NULL, NULL, NULL, 15),
(154585, NULL, 'PTHR12701:SF15', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED PROTEIN 31', NULL, NULL, NULL, 15),
(154586, NULL, 'PTHR31080:SF217', NULL, NULL, NULL, NULL, 'OS01G0111000 PROTEIN', NULL, NULL, NULL, 15),
(154587, NULL, 'PTHR10091:SF25', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(154588, NULL, 'PTHR31048:SF86', NULL, NULL, NULL, NULL, 'THAUMATIN-RELATED', NULL, NULL, NULL, 15),
(154589, NULL, 'PTHR12064:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154590, NULL, 'PTHR20914:SF18', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 FAMILY MEMBER M2-RELATED', NULL, NULL, NULL, 15),
(154591, NULL, 'PTHR48018:SF141', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(154592, NULL, 'PTHR23155:SF1140', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(154593, NULL, 'PTHR10589:SF31', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(154594, NULL, 'PTHR43662:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154595, NULL, 'PTHR22933:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154596, NULL, 'PTHR11442:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154597, NULL, 'PTHR33077:SF54', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 10B', NULL, NULL, NULL, 15),
(154598, NULL, 'PTHR45719:SF23', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14A-LIKE', NULL, NULL, NULL, 15),
(154599, NULL, 'PTHR21450:SF21', NULL, NULL, NULL, NULL, 'REDUCTASE SUBUNIT C, PUTATIVE (DUF630 AND DUF632)-RELATED', NULL, NULL, NULL, 15),
(154600, NULL, 'PTHR45187:SF2', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 11, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(154601, NULL, 'PTHR21011:SF13', NULL, NULL, NULL, NULL, 'TRANSLATION ELONGATION FACTOR EF1B/RIBOSOMAL PROTEIN S6 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154602, NULL, 'PTHR14241:SF2', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN 44-LIKE', NULL, NULL, 8873, 15),
(154603, NULL, 'PTHR24221:SF519', NULL, NULL, NULL, NULL, 'OS01G0534700 PROTEIN', NULL, NULL, NULL, 15),
(154604, NULL, 'PTHR22298:SF131', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 17', NULL, NULL, NULL, 15),
(154605, NULL, 'PTHR30314', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSZ-RELATED', NULL, NULL, 39454, 15),
(154606, NULL, 'PTHR40412:SF1', NULL, NULL, NULL, NULL, 'SF-ASSEMBLIN', NULL, NULL, NULL, 15),
(154607, NULL, 'PTHR48043:SF34', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-55-RELATED', NULL, NULL, NULL, 15),
(154608, NULL, 'PTHR26453:SF637', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154609, NULL, 'PTHR23042:SF76', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR NUCLEAR TRANSLOCATOR HOMOLOG', NULL, NULL, NULL, 15),
(154610, NULL, 'PTHR23048:SF30', NULL, NULL, NULL, NULL, 'CARDIAC MYOSIN LIGHT CHAIN-1', NULL, NULL, NULL, 15),
(154611, NULL, 'PTHR35399:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154612, NULL, 'PTHR31639:SF96', NULL, NULL, NULL, NULL, 'FBD-LIKE DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154613, NULL, 'PTHR43853:SF3', NULL, NULL, NULL, NULL, 'ACETYL-COA C-ACETYLTRANSFERASE YHFS-RELATED', NULL, NULL, NULL, 15),
(154614, NULL, 'PTHR12542:SF45', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154615, NULL, 'PTHR48018:SF27', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8G2-RELATED', NULL, NULL, NULL, 15),
(154616, NULL, 'PTHR37153:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 19 C19ORF81 HOMOLOG', NULL, NULL, NULL, 15),
(154617, NULL, 'PTHR30540:SF125', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 22', NULL, NULL, NULL, 15),
(154618, NULL, 'PTHR47424:SF2', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(154619, NULL, 'PTHR47123:SF7', NULL, NULL, NULL, NULL, 'BNAA08G12380D PROTEIN', NULL, NULL, NULL, 15),
(154620, NULL, 'PTHR24392:SF40', NULL, NULL, NULL, NULL, 'ZINC FINGER Y-CHROMOSOMAL PROTEIN 1', NULL, NULL, NULL, 15),
(154621, NULL, 'PTHR45806:SF7', NULL, NULL, NULL, NULL, 'SYNAPTOBREVIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154622, NULL, 'PTHR31251:SF145', NULL, NULL, NULL, NULL, 'BNAA07G08840D PROTEIN', NULL, NULL, NULL, 15),
(154623, NULL, 'PTHR46704', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154624, NULL, 'PTHR44329:SF62', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY8-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(154625, NULL, 'PTHR22844:SF372', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN DCAF11/LEC14B-RELATED', NULL, NULL, NULL, 15),
(154626, NULL, 'PTHR15929', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 646, 15),
(154627, NULL, 'PTHR46369:SF7', NULL, NULL, NULL, NULL, 'BNACNNG13700D PROTEIN', NULL, NULL, NULL, 15),
(154628, NULL, 'PTHR47017', NULL, NULL, NULL, NULL, 'ACYL-COA', NULL, NULL, NULL, 15),
(154629, NULL, 'PTHR10379:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBFA2T1', NULL, NULL, 8784, 15),
(154630, NULL, 'PTHR46463:SF30', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE AIRP1-RELATED', NULL, NULL, NULL, 15),
(154631, NULL, 'PTHR13137:SF6', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE ASSEMBLY FACTOR 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(154632, NULL, 'PTHR13723:SF24', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 14', NULL, NULL, NULL, 15),
(154633, NULL, 'PTHR22055', NULL, NULL, NULL, NULL, '28 KDA HEAT- AND ACID-STABLE PHOSPHOPROTEIN  PDGF-ASSOCIATED PROTEIN', NULL, NULL, 34521, 15),
(154634, NULL, 'PTHR10802:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM40B', NULL, NULL, NULL, 15),
(154635, NULL, 'PTHR34452:SF9', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154636, NULL, 'PTHR11691:SF37', NULL, NULL, NULL, NULL, 'INTERFERON OMEGA-1', NULL, NULL, NULL, 15),
(154637, NULL, 'PTHR14360:SF20', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 90-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154638, NULL, 'PTHR10426:SF89', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 11-LIKE', NULL, NULL, NULL, 15),
(154639, NULL, 'PTHR45631:SF118', NULL, NULL, NULL, NULL, 'BNAA02G06920D PROTEIN', NULL, NULL, NULL, 15),
(154640, NULL, 'PTHR31865:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154641, NULL, 'PTHR31184:SF2', NULL, NULL, NULL, NULL, 'HUNTINGTIN-INTERACTING PROTEIN K', NULL, NULL, NULL, 15),
(154642, NULL, 'PTHR43329:SF100', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154643, NULL, 'PTHR24247:SF183', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR M3', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154644, NULL, 'PTHR14221:SF36', NULL, NULL, NULL, NULL, 'SIMILARITY TO WD-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(154645, NULL, 'PTHR33184:SF11', NULL, NULL, NULL, NULL, 'OS02G0511600 PROTEIN', NULL, NULL, NULL, 15),
(154646, NULL, 'PTHR34224:SF18', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 3', NULL, NULL, NULL, 15),
(154647, NULL, 'PTHR31790:SF376', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154648, NULL, 'PTHR46873', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(154649, NULL, 'PTHR45648:SF56', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(154650, NULL, 'PTHR46889', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSF FOR INSERTION SEQUENCE IS3B-RELATED', NULL, NULL, NULL, 15),
(154651, NULL, 'PTHR24206:SF64', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN D', NULL, NULL, NULL, 15),
(154652, NULL, 'PTHR10218:SF116', NULL, NULL, NULL, NULL, 'G PROTEIN, ALPHA SUBUNIT', NULL, NULL, NULL, 15),
(154653, NULL, 'PTHR48025:SF11', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN CP33, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(154654, NULL, 'PTHR22593:SF14', NULL, NULL, NULL, NULL, 'BNAC07G48210D PROTEIN', NULL, NULL, NULL, 15),
(154655, NULL, 'PTHR11700:SF31', NULL, NULL, NULL, NULL, 'BNAC05G40270D PROTEIN', NULL, NULL, NULL, 15),
(154656, NULL, 'PTHR15347:SF1', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 5', NULL, NULL, NULL, 15),
(154657, NULL, 'PTHR11850:SF68', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN TGIF2', NULL, NULL, NULL, 15),
(154658, NULL, 'PTHR33116:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154659, NULL, 'PTHR45657:SF11', NULL, NULL, NULL, NULL, 'CELLULAR RETINALDEHYDE BINDING/ALPHA-TOCOPHEROL TRANSPORT, CRAL/TRIO-RELATED', NULL, NULL, NULL, 15),
(154660, NULL, 'PTHR11599:SF154', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(154661, NULL, 'PTHR46034:SF23', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(154662, NULL, 'PTHR31657:SF22', NULL, NULL, NULL, NULL, 'OS10G0371100 PROTEIN', NULL, NULL, NULL, 15),
(154663, NULL, 'PTHR31268:SF8', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 4-RELATED', NULL, NULL, NULL, 15),
(154664, NULL, 'PTHR10809:SF97', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(154665, NULL, 'PTHR31903:SF6', NULL, NULL, NULL, NULL, 'F12F1.11-RELATED', NULL, NULL, NULL, 15),
(154666, NULL, 'PTHR12850:SF30', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S25', NULL, NULL, NULL, 15),
(154667, NULL, 'PTHR15955:SF3', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN 2A', NULL, NULL, NULL, 15),
(154668, NULL, 'PTHR27009:SF244', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154669, NULL, 'PTHR14155:SF489', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154670, NULL, 'PTHR11440:SF3', NULL, NULL, NULL, NULL, 'LECITHIN-CHOLESTEROL ACYLTRANSFERASE-LIKE 4', NULL, NULL, NULL, 15),
(154671, NULL, 'PTHR10161:SF38', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(154672, NULL, 'PTHR22802:SF404', NULL, NULL, NULL, NULL, 'SI:DKEY-9I23.4-RELATED', NULL, NULL, NULL, 15),
(154673, NULL, 'PTHR23204:SF7', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 6', NULL, NULL, 33034, 15),
(154674, NULL, 'PTHR31929:SF100', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A', NULL, NULL, NULL, 15),
(154675, NULL, 'PTHR46045:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(154676, NULL, 'PTHR33801:SF12', NULL, NULL, NULL, NULL, 'OS01G0959100 PROTEIN', NULL, NULL, NULL, 15),
(154677, NULL, 'PTHR10953:SF224', NULL, NULL, NULL, NULL, 'SUMO-ACTIVATING ENZYME SUBUNIT', NULL, NULL, NULL, 15),
(154678, NULL, 'PTHR24221:SF524', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE ABC TRANSPORTER ATP-BINDING/PERMEASE PROTEIN BMRA', NULL, NULL, NULL, 15),
(154679, NULL, 'PTHR11877:SF80', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 1', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154680, NULL, 'PTHR11474', NULL, NULL, NULL, NULL, 'TYROSINASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(154681, NULL, 'PTHR44826', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154682, NULL, 'PTHR33044:SF138', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(154683, NULL, 'PTHR15350:SF8', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 7B', NULL, NULL, 26565, 15),
(154684, NULL, 'PTHR37517:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154685, NULL, 'PTHR15852:SF58', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DNAJ, CYSTEINE-RICH DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154686, NULL, 'PTHR48021:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154687, NULL, 'PTHR33463:SF34', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPS2', NULL, NULL, NULL, 15),
(154688, NULL, 'PTHR22945:SF92', NULL, NULL, NULL, NULL, 'PROTEIN CBG19324', NULL, NULL, NULL, 15),
(154689, NULL, 'PTHR12389:SF1', NULL, NULL, NULL, NULL, 'BNACNNG31900D PROTEIN', NULL, NULL, NULL, 15),
(154690, NULL, 'PTHR10660:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154691, NULL, 'PTHR31375:SF170', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', NULL, NULL, NULL, 15),
(154692, NULL, 'PTHR34463:SF12', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(154693, NULL, 'PTHR34654', NULL, NULL, NULL, NULL, 'UPF0109 PROTEIN SCO5592', NULL, NULL, 19531, 15),
(154694, NULL, 'PTHR34150:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG08832', NULL, NULL, NULL, 15),
(154695, NULL, 'PTHR24298:SF837', NULL, NULL, NULL, NULL, 'TRYPTOPHAN N-MONOOXYGENASE 2', NULL, NULL, NULL, 15),
(154696, NULL, 'PTHR22952:SF431', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 12', NULL, NULL, NULL, 15),
(154697, NULL, 'PTHR12161:SF61', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', NULL, NULL, NULL, 15),
(154698, NULL, 'PTHR11353:SF192', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(154699, NULL, 'PTHR26379:SF240', NULL, NULL, NULL, NULL, 'OS06G0668400 PROTEIN', NULL, NULL, NULL, 15),
(154700, NULL, 'PTHR43133:SF19', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-E FACTOR', NULL, NULL, NULL, 15),
(154701, NULL, 'PTHR11877:SF77', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 1', NULL, NULL, NULL, 15),
(154702, NULL, 'PTHR33499:SF21', NULL, NULL, NULL, NULL, 'OS09G0337500 PROTEIN', NULL, NULL, NULL, 15),
(154703, NULL, 'PTHR31458:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154704, NULL, 'PTHR21576:SF131', NULL, NULL, NULL, NULL, 'RRP12-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154705, NULL, 'PTHR45500', NULL, NULL, NULL, NULL, 'OS02G0202600 PROTEIN', NULL, NULL, NULL, 15),
(154706, NULL, 'PTHR43380:SF1', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT ALPHA, MITOCHONDRIAL', NULL, NULL, 33191, 15),
(154707, NULL, 'PTHR12378:SF59', NULL, NULL, NULL, NULL, 'PPPDE PUTATIVE PEPTIDASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154708, NULL, 'PTHR11679:SF27', NULL, NULL, NULL, NULL, 'SYNTAXIN-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(154709, NULL, 'PTHR30345:SF0', NULL, NULL, NULL, NULL, 'DNA DAMAGE-REPAIR/TOLERATION PROTEIN DRT102', NULL, NULL, NULL, 15),
(154710, NULL, 'PTHR31696:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154711, NULL, 'PTHR33789', NULL, NULL, NULL, NULL, 'LACHRYMATORY-FACTOR SYNTHASE', NULL, NULL, NULL, 15),
(154712, NULL, 'PTHR16271', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 34/46 FAMILY MEMBER', NULL, NULL, 36297, 15),
(154713, NULL, 'PTHR43713:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE-1-SEMIALDEHYDE 2,1-AMINOMUTASE 2', NULL, NULL, NULL, 15),
(154714, NULL, 'PTHR10458:SF16', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE 2', NULL, NULL, NULL, 15),
(154715, NULL, 'PTHR12192:SF23', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLCYCLOTRANSFERASE 2-2', NULL, NULL, NULL, 15),
(154716, NULL, 'PTHR24136:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154717, NULL, 'PTHR11851:SF197', NULL, NULL, NULL, NULL, 'FAMILY, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154718, NULL, 'PTHR44846:SF1', NULL, NULL, NULL, NULL, 'MANNOSYL-D-GLYCERATE TRANSPORT/METABOLISM SYSTEM REPRESSOR MNGR-RELATED', NULL, NULL, NULL, 15),
(154719, NULL, 'PTHR13061:SF41', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(154720, NULL, 'PTHR32295:SF97', NULL, NULL, NULL, NULL, 'OS01G0708700 PROTEIN', NULL, NULL, NULL, 15),
(154721, NULL, 'PTHR11430:SF130', NULL, NULL, NULL, NULL, 'ODORANT-BINDING PROTEIN 1A-RELATED', NULL, NULL, NULL, 15),
(154722, NULL, 'PTHR33623:SF5', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD1B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154723, NULL, 'PTHR32285:SF293', NULL, NULL, NULL, NULL, 'PROTEIN ESKIMO 1-LIKE', NULL, NULL, NULL, 15),
(154724, NULL, 'PTHR13690:SF140', NULL, NULL, NULL, NULL, 'BNAA04G12030D PROTEIN', NULL, NULL, NULL, 15),
(154725, NULL, 'PTHR36443', NULL, NULL, NULL, NULL, 'BSR5223 PROTEIN', NULL, NULL, 17938, 15),
(154726, NULL, 'PTHR31374:SF331', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154727, NULL, 'PTHR32378', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 3', NULL, NULL, NULL, 15),
(154728, NULL, 'PTHR11675:SF41', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 10', NULL, NULL, NULL, 15),
(154729, NULL, 'PTHR31623:SF31', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154730, NULL, 'PTHR26452:SF51', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 14A2', NULL, NULL, NULL, 15),
(154731, NULL, 'PTHR31989:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154732, NULL, 'PTHR32479:SF17', NULL, NULL, NULL, NULL, 'GLYCOLATE OXIDASE IRON-SULFUR SUBUNIT', NULL, NULL, 11546, 15),
(154733, NULL, 'PTHR31778', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN RAX2', NULL, NULL, NULL, 15),
(154734, NULL, 'PTHR42774', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(154735, NULL, 'PTHR13301:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154736, NULL, 'PTHR36975:SF2', NULL, NULL, NULL, NULL, 'TRANSLOCATED ACTIN-RECRUITING PHOSPHOPROTEIN', NULL, NULL, NULL, 15),
(154737, NULL, 'PTHR37885:SF1', NULL, NULL, NULL, NULL, 'CMT1A DUPLICATED REGION TRANSCRIPT 4 PROTEIN', NULL, NULL, NULL, 15),
(154738, NULL, 'PTHR32468:SF100', NULL, NULL, NULL, NULL, 'OS12G0616500 PROTEIN', NULL, NULL, NULL, 15),
(154739, NULL, 'PTHR23351:SF25', NULL, NULL, NULL, NULL, 'FOS-RELATED ANTIGEN 2', NULL, NULL, 28882, 15),
(154740, NULL, 'PTHR32153:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154741, NULL, 'PTHR46398:SF5', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(154742, NULL, 'PTHR31559', NULL, NULL, NULL, NULL, 'PYRIDOXAL 5''-PHOSPHATE SYNTHASE SUBUNIT SNO', NULL, NULL, 5272, 15),
(154743, NULL, 'PTHR18952:SF237', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154744, NULL, 'PTHR24327:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154745, NULL, 'PTHR32141:SF40', NULL, NULL, NULL, NULL, 'OS06G0492900 PROTEIN', NULL, NULL, NULL, 15),
(154746, NULL, 'PTHR36403', NULL, NULL, NULL, NULL, 'PROTEIN COFACTOR ASSEMBLY OF COMPLEX C SUBUNIT B CCB2, CHLOROPLASTIC', NULL, NULL, 38306, 15),
(154747, NULL, 'PTHR21022:SF34', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', NULL, NULL, NULL, 15),
(154748, NULL, 'PTHR46528', NULL, NULL, NULL, NULL, 'PROTEIN SON', NULL, NULL, 6939, 15),
(154749, NULL, 'PTHR19327:SF0', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 4', NULL, NULL, NULL, 15),
(154750, NULL, 'PTHR43763:SF14', NULL, NULL, NULL, NULL, 'BNAA08G15420D PROTEIN', NULL, NULL, NULL, 15),
(154751, NULL, 'PTHR32499:SF3', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 16', NULL, NULL, NULL, 15),
(154752, NULL, 'PTHR27006:SF434', NULL, NULL, NULL, NULL, 'COLD-RESPONSIVE PROTEIN KINASE 1-LIKE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154753, NULL, 'PTHR43553:SF2', NULL, NULL, NULL, NULL, 'PEPTIDE EXPORT ATP-BINDING PROTEIN YYDI-RELATED', NULL, NULL, NULL, 15),
(154754, NULL, 'PTHR48002:SF21', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(154755, NULL, 'PTHR10336:SF186', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(154756, NULL, 'PTHR43049:SF5', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN, EMBRYONIC SMOOTH PROTEIN', NULL, NULL, NULL, 15),
(154757, NULL, 'PTHR46371:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154758, NULL, 'PTHR35477', NULL, NULL, NULL, NULL, 'OS06G0728500 PROTEIN', NULL, NULL, NULL, 15),
(154759, NULL, 'PTHR15454:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154760, NULL, 'PTHR32023:SF2', NULL, NULL, NULL, NULL, 'PILR ALPHA-ASSOCIATED NEURAL PROTEIN', NULL, NULL, NULL, 15),
(154761, NULL, 'PTHR15241:SF290', NULL, NULL, NULL, NULL, '29 KDA RIBONUCLEOPROTEIN A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(154762, NULL, 'PTHR24023:SF917', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE VI ALPHA 1 CHAIN', NULL, NULL, NULL, 15),
(154763, NULL, 'PTHR20956', NULL, NULL, NULL, NULL, 'HEH2P', NULL, NULL, NULL, 15),
(154764, NULL, 'PTHR28588:SF1', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(154765, NULL, 'PTHR34605:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154766, NULL, 'PTHR31374:SF224', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(154767, NULL, 'PTHR24343:SF387', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2D', NULL, NULL, NULL, 15),
(154768, NULL, 'PTHR11955:SF146', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN HOMOLOG 6', NULL, NULL, NULL, 15),
(154769, NULL, 'PTHR10641:SF1293', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB94-RELATED', NULL, NULL, NULL, 15),
(154770, NULL, 'PTHR16201:SF47', NULL, NULL, NULL, NULL, 'PQ-LOOP REPEAT FAMILY PROTEIN / TRANSMEMBRANE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154771, NULL, 'PTHR11850:SF292', NULL, NULL, NULL, NULL, 'ELK DOMAIN, HOMEOBOX KN DOMAIN, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154772, NULL, 'PTHR10992:SF1039', NULL, NULL, NULL, NULL, 'BNAA04G09860D PROTEIN', NULL, NULL, NULL, 15),
(154773, NULL, 'PTHR14948:SF40', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2200002J24 GENE', NULL, NULL, NULL, 15),
(154774, NULL, 'PTHR32031:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154775, NULL, 'PTHR10174:SF130', NULL, NULL, NULL, NULL, 'ALPHA-TOCOPHEROL TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(154776, NULL, 'PTHR45906:SF6', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(154777, NULL, 'PTHR24092:SF194', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(154778, NULL, 'PTHR36456', NULL, NULL, NULL, NULL, 'UPF0232 PROTEIN SCO3875', NULL, NULL, NULL, 15),
(154779, NULL, 'PTHR11461:SF211', NULL, NULL, NULL, NULL, 'ACCESSORY GLAND PROTEIN ACP76A-RELATED', NULL, NULL, NULL, 15),
(154780, NULL, 'PTHR23347:SF4', NULL, NULL, NULL, NULL, 'COLORECTAL MUTANT CANCER PROTEIN', NULL, NULL, NULL, 15),
(154781, NULL, 'PTHR31385:SF4', NULL, NULL, NULL, NULL, 'F28C11.15-RELATED', NULL, NULL, NULL, 15),
(154782, NULL, 'PTHR31218:SF323', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(154783, NULL, 'PTHR24212:SF1', NULL, NULL, NULL, NULL, 'ZYXIN', NULL, NULL, NULL, 15),
(154784, NULL, 'PTHR33070:SF85', NULL, NULL, NULL, NULL, 'BNAC07G32250D PROTEIN', NULL, NULL, NULL, 15),
(154785, NULL, 'PTHR24056:SF368', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE G-2-LIKE', NULL, NULL, NULL, 15),
(154786, NULL, 'PTHR44942:SF7', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TPCM', NULL, NULL, NULL, 15),
(154787, NULL, 'PTHR48167:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(154788, NULL, 'PTHR21082', NULL, NULL, NULL, NULL, 'PROTEIN INTURNED', NULL, NULL, 35981, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154789, NULL, 'PTHR48081:SF4', NULL, NULL, NULL, NULL, 'LIPASE/THIOESTERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G02590)', NULL, NULL, NULL, 15),
(154790, NULL, 'PTHR24102:SF28', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 21A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154791, NULL, 'PTHR42110:SF1', NULL, NULL, NULL, NULL, 'L-ASPARAGINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11890)-RELATED', NULL, NULL, NULL, 15),
(154792, NULL, 'PTHR24055:SF458', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154793, NULL, 'PTHR33095:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154794, NULL, 'PTHR11220:SF62', NULL, NULL, NULL, NULL, 'BNAA04G21740D PROTEIN', NULL, NULL, NULL, 15),
(154795, NULL, 'PTHR31374:SF252', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32-LIKE', NULL, NULL, NULL, 15),
(154796, NULL, 'PTHR15491:SF9', NULL, NULL, NULL, NULL, 'CIP1-INTERACTING ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(154797, NULL, 'PTHR24377:SF880', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA 6 PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(154798, NULL, 'PTHR10509:SF63', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA 3-O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(154799, NULL, 'PTHR14132:SF20', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR', NULL, NULL, NULL, 15),
(154800, NULL, 'PTHR34561', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX ASSEMBLY FACTOR 8', NULL, NULL, 11504, 15),
(154801, NULL, 'PTHR47979:SF68', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, RAN GTPASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(154802, NULL, 'PTHR46317:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG02921', NULL, NULL, NULL, 15),
(154803, NULL, 'PTHR11362:SF104', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS PROTEIN T', NULL, NULL, NULL, 15),
(154804, NULL, 'PTHR43939:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154805, NULL, 'PTHR31500:SF56', NULL, NULL, NULL, NULL, 'AT HOOK MOTIF DNA-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154806, NULL, 'PTHR11017:SF302', NULL, NULL, NULL, NULL, 'BNAA04G11350D PROTEIN', NULL, NULL, NULL, 15),
(154807, NULL, 'PTHR32295:SF199', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 26-RELATED', NULL, NULL, NULL, 15),
(154808, NULL, 'PTHR43391:SF26', NULL, NULL, NULL, NULL, 'BLL7251 PROTEIN', NULL, NULL, NULL, 15),
(154809, NULL, 'PTHR30231:SF2', NULL, NULL, NULL, NULL, 'RIBONUCLEASE T', NULL, NULL, 1330, 15),
(154810, NULL, 'PTHR24327:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154811, NULL, 'PTHR15073', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(154812, NULL, 'PTHR10574:SF313', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT GAMMA-2', NULL, NULL, NULL, 15),
(154813, NULL, 'PTHR43177:SF3', NULL, NULL, NULL, NULL, 'PROTEIN NRFC', NULL, NULL, NULL, 15),
(154814, NULL, 'PTHR30572:SF15', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(154815, NULL, 'PTHR11360:SF233', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY', NULL, NULL, NULL, 15),
(154816, NULL, 'PTHR11239:SF13', NULL, NULL, NULL, NULL, 'ZN FINGER PROTEIN, HYPOTHETICAL', NULL, NULL, NULL, 15),
(154817, NULL, 'PTHR11915:SF248', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN, ERYTHROCYTIC', NULL, NULL, NULL, 15),
(154818, NULL, 'PTHR36734:SF1', NULL, NULL, NULL, NULL, 'YCF37-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154819, NULL, 'PTHR23333:SF24', NULL, NULL, NULL, NULL, 'NSFL1 COFACTOR P47', NULL, NULL, NULL, 15),
(154820, NULL, 'PTHR32401:SF23', NULL, NULL, NULL, NULL, 'LECTIN', NULL, NULL, NULL, 15),
(154821, NULL, 'PTHR45650:SF27', NULL, NULL, NULL, NULL, 'BNAANNG05710D PROTEIN', NULL, NULL, NULL, 15),
(154822, NULL, 'PTHR43880:SF41', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE A', NULL, NULL, NULL, 15),
(154823, NULL, 'PTHR12558:SF27', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 27 HOMOLOG A', NULL, NULL, NULL, 15),
(154824, NULL, 'PTHR48059:SF15', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITING PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154825, NULL, 'PTHR47117:SF1', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 9', NULL, NULL, NULL, 15),
(154826, NULL, 'PTHR43829:SF24', NULL, NULL, NULL, NULL, 'MIP AQUAPORIN (EUROFUNG)', NULL, NULL, NULL, 15),
(154827, NULL, 'PTHR31267:SF2', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154828, NULL, 'PTHR11926:SF1416', NULL, NULL, NULL, NULL, 'OS10G0332600 PROTEIN', NULL, NULL, NULL, 15),
(154829, NULL, 'PTHR24093:SF479', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(154830, NULL, 'PTHR11685:SF350', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(154831, NULL, 'PTHR31371:SF12', NULL, NULL, NULL, NULL, 'AVR9/CF-9 RAPIDLY ELICITED PROTEIN', NULL, NULL, NULL, 15),
(154832, NULL, 'PTHR11782:SF29', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 4', NULL, NULL, NULL, 15),
(154833, NULL, 'PTHR27006:SF29', NULL, NULL, NULL, NULL, 'OS01G0883000 PROTEIN', NULL, NULL, NULL, 15),
(154834, NULL, 'PTHR24404:SF73', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 300-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154835, NULL, 'PTHR46137:SF1', NULL, NULL, NULL, NULL, 'NC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154836, NULL, 'PTHR35167:SF3', NULL, NULL, NULL, NULL, 'OS05G0216466 PROTEIN', NULL, NULL, NULL, 15),
(154837, NULL, 'PTHR10460:SF45', NULL, NULL, NULL, NULL, 'ABL INTERACTOR-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(154838, NULL, 'PTHR31301:SF14', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN 1, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(154839, NULL, 'PTHR24020:SF39', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XX) CHAIN', NULL, NULL, NULL, 15),
(154840, NULL, 'PTHR24055:SF390', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 5, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154841, NULL, 'PTHR14211:SF10', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NOP53', NULL, NULL, NULL, 15),
(154842, NULL, 'PTHR11349:SF104', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE', NULL, NULL, NULL, 15),
(154843, NULL, 'PTHR10949:SF31', NULL, NULL, NULL, NULL, 'LIPOYL SYNTHASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(154844, NULL, 'PTHR11200:SF127', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 5-PHOSPHATASE A', NULL, NULL, NULL, 15),
(154845, NULL, 'PTHR11260:SF701', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE TAU 4-RELATED', NULL, NULL, NULL, 15),
(154846, NULL, 'PTHR19343:SF16', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 1-1', NULL, NULL, NULL, 15),
(154847, NULL, 'PTHR24286:SF225', NULL, NULL, NULL, NULL, 'ENT-KAURENOIC ACID OXIDASE 1', NULL, NULL, NULL, 15),
(154848, NULL, 'PTHR12192:SF20', NULL, NULL, NULL, NULL, 'GLUTATHIONE-SPECIFIC GAMMA-GLUTAMYLCYCLOTRANSFERASE 2', NULL, NULL, NULL, 15),
(154849, NULL, 'PTHR47381:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154850, NULL, 'PTHR11439:SF342', NULL, NULL, NULL, NULL, 'POLYPROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154851, NULL, 'PTHR48017:SF181', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 5', NULL, NULL, NULL, 15),
(154852, NULL, 'PTHR44329', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TNNI3K-RELATED', NULL, NULL, NULL, 15),
(154853, NULL, 'PTHR10956:SF35', NULL, NULL, NULL, NULL, 'BNAA08G14400D PROTEIN', NULL, NULL, NULL, 15),
(154854, NULL, 'PTHR15049:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYL-PHOSPHATIDYLINOSITOL-ANCHORED MOLECULE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154855, NULL, 'PTHR23308:SF57', NULL, NULL, NULL, NULL, 'GLYCOGEN ACCUMULATION REGULATOR GARA', NULL, NULL, NULL, 15),
(154856, NULL, 'PTHR41164:SF1', NULL, NULL, NULL, NULL, 'CURLI PRODUCTION ASSEMBLY/TRANSPORT COMPONENT CSGG', NULL, NULL, NULL, 15),
(154857, NULL, 'PTHR23509:SF35', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SAM DOMAIN-CONTAINING PROTEIN 6-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(154858, NULL, 'PTHR13865:SF26', NULL, NULL, NULL, NULL, 'TIGHT JUNCTION PROTEIN ZO-2', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154859, NULL, 'PTHR10136', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 1 MEMBER', NULL, NULL, 39508, 15),
(154860, NULL, 'PTHR45714:SF19', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', NULL, NULL, NULL, 15),
(154861, NULL, 'PTHR47761:SF4', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(154862, NULL, 'PTHR34963', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 2620, 15),
(154863, NULL, 'PTHR39460:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(154864, NULL, 'PTHR23051:SF11', NULL, NULL, NULL, NULL, 'BNAA01G32470D PROTEIN', NULL, NULL, NULL, 15),
(154865, NULL, 'PTHR11920:SF71', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-19', NULL, NULL, NULL, 15),
(154866, NULL, 'PTHR10353:SF253', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 28', NULL, NULL, NULL, 15),
(154867, NULL, 'PTHR11977:SF106', NULL, NULL, NULL, NULL, 'VILLIN HEADPIECE, VILLIN/GELSOLIN, ADF-H/GELSOLIN-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154868, NULL, 'PTHR46986:SF2', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE-LIKE', NULL, NULL, NULL, 15),
(154869, NULL, 'PTHR33021:SF328', NULL, NULL, NULL, NULL, 'BNAA08G26900D PROTEIN', NULL, NULL, NULL, 15),
(154870, NULL, 'PTHR47968:SF2', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154871, NULL, 'PTHR43689:SF17', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(154872, NULL, 'PTHR10339:SF4', NULL, NULL, NULL, NULL, 'ECTO-ADP-RIBOSYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(154873, NULL, 'PTHR24637:SF316', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(154874, NULL, 'PTHR31790:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154875, NULL, 'PTHR12612:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154876, NULL, 'PTHR16134:SF36', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FBX14', NULL, NULL, NULL, 15),
(154877, NULL, 'PTHR37263:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(154878, NULL, 'PTHR31636:SF5', NULL, NULL, NULL, NULL, 'OS05G0500600 PROTEIN', NULL, NULL, NULL, 15),
(154879, NULL, 'PTHR30519:SF21', NULL, NULL, NULL, NULL, 'BNAC09G39920D PROTEIN', NULL, NULL, NULL, 15),
(154880, NULL, 'PTHR10201:SF142', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-25', NULL, NULL, NULL, 15),
(154881, NULL, 'PTHR48105:SF9', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(154882, NULL, 'PTHR33115:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154883, NULL, 'PTHR21578:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG03827', NULL, NULL, NULL, 15),
(154884, NULL, 'PTHR24329:SF543', NULL, NULL, NULL, NULL, 'DORSAL ROOT GANGLIA HOMEOBOX', NULL, NULL, NULL, 15),
(154885, NULL, 'PTHR31374:SF251', NULL, NULL, NULL, NULL, 'BNAC02G44790D PROTEIN', NULL, NULL, NULL, 15),
(154886, NULL, 'PTHR31235:SF343', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(154887, NULL, 'PTHR12349:SF2', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(154888, NULL, 'PTHR38825:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154889, NULL, 'PTHR10480:SF8', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG B', NULL, NULL, NULL, 15),
(154890, NULL, 'PTHR47999:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB7', NULL, NULL, NULL, 15),
(154891, NULL, 'PTHR36139', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 5, MITOCHONDRIAL', NULL, NULL, 21560, 15),
(154892, NULL, 'PTHR23130:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154893, NULL, 'PTHR13466', NULL, NULL, NULL, NULL, 'TEX2 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154894, NULL, 'PTHR11264:SF21', NULL, NULL, NULL, NULL, 'URACIL-DNA GLYCOSYLASE', NULL, NULL, NULL, 15),
(154895, NULL, 'PTHR30024:SF22', NULL, NULL, NULL, NULL, 'BLL6450 PROTEIN', NULL, NULL, NULL, 15),
(154896, NULL, 'PTHR43139:SF37', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154897, NULL, 'PTHR31415:SF118', NULL, NULL, NULL, NULL, 'OSJNBA0088H09.15 PROTEIN', NULL, NULL, NULL, 15),
(154898, NULL, 'PTHR39319:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-256H2.1', NULL, NULL, NULL, 15),
(154899, NULL, 'PTHR43547:SF5', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE D', NULL, NULL, NULL, 15),
(154900, NULL, 'PTHR34803:SF5', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I PSAL, REACTION CENTRE SUBUNIT XI-RELATED', NULL, NULL, NULL, 15),
(154901, NULL, 'PTHR19965:SF81', NULL, NULL, NULL, NULL, 'OS06G0256200 PROTEIN', NULL, NULL, NULL, 15),
(154902, NULL, 'PTHR10426:SF104', NULL, NULL, NULL, NULL, 'BNAC04G01790D PROTEIN', NULL, NULL, NULL, 15),
(154903, NULL, 'PTHR24228:SF22', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR 15', NULL, NULL, NULL, 15),
(154904, NULL, 'PTHR24416:SF356', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN KINASE FLT3', NULL, NULL, 22507, 15),
(154905, NULL, 'PTHR37205:SF1', NULL, NULL, NULL, NULL, 'F23A5.30 PROTEIN', NULL, NULL, NULL, 15),
(154906, NULL, 'PTHR46880:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154907, NULL, 'PTHR23343:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154908, NULL, 'PTHR33727:SF15', NULL, NULL, NULL, NULL, 'BNACNNG19470D PROTEIN', NULL, NULL, NULL, 15),
(154909, NULL, 'PTHR11937:SF465', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154910, NULL, 'PTHR45840', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED PROTEIN', NULL, NULL, NULL, 15),
(154911, NULL, 'PTHR35936:SF22', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ARGININE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(154912, NULL, 'PTHR19957:SF228', NULL, NULL, NULL, NULL, 'SYNTAXIN-31', NULL, NULL, NULL, 15),
(154913, NULL, 'PTHR33871:SF18', NULL, NULL, NULL, NULL, 'F24J8.12 PROTEIN', NULL, NULL, NULL, 15),
(154914, NULL, 'PTHR11669:SF0', NULL, NULL, NULL, NULL, 'PROTEIN STICHEL-LIKE 2', NULL, NULL, NULL, 15),
(154915, NULL, 'PTHR12326:SF10', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY M MEMBER 3', NULL, NULL, NULL, 15),
(154916, NULL, 'PTHR45436:SF3', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE HPRS', NULL, NULL, NULL, 15),
(154917, NULL, 'PTHR33312:SF21', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 3-RELATED', NULL, NULL, NULL, 15),
(154918, NULL, 'PTHR31154:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG11935', NULL, NULL, NULL, 15),
(154919, NULL, 'PTHR36945:SF2', NULL, NULL, NULL, NULL, 'HIGH INCIDENCE OF MALES (INCREASED X CHROMOSOME LOSS)-RELATED', NULL, NULL, NULL, 15),
(154920, NULL, 'PTHR31234', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(154921, NULL, 'PTHR45696:SF15', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1-2', NULL, NULL, NULL, 15),
(154922, NULL, 'PTHR45748:SF16', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1D ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(154923, NULL, 'PTHR13691:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L8', NULL, NULL, NULL, 15),
(154924, NULL, 'PTHR31621:SF54', NULL, NULL, NULL, NULL, 'OS01G0388700 PROTEIN', NULL, NULL, NULL, 15),
(154925, NULL, 'PTHR46076', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1 / RING 2 FAMILY MEMBER', NULL, NULL, 36740, 15),
(154926, NULL, 'PTHR14155:SF577', NULL, NULL, NULL, NULL, 'BNAA09G18110D PROTEIN', NULL, NULL, NULL, 15),
(154927, NULL, 'PTHR24286:SF289', NULL, NULL, NULL, NULL, 'ENT-KAURENOIC ACID OXIDASE 2', NULL, NULL, NULL, 15),
(154928, NULL, 'PTHR30540:SF105', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(154929, NULL, 'PTHR24349:SF299', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 29', NULL, NULL, NULL, 15),
(154930, NULL, 'PTHR33312:SF20', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 4-RELATED', NULL, NULL, NULL, 15),
(154931, NULL, 'PTHR12867:SF6', NULL, NULL, NULL, NULL, 'ASPARAGINE LINKED GLYCOSYLATION (ALG) HOMOLOG, NEMATODE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154932, NULL, 'PTHR11945:SF561', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 54-RELATED', NULL, NULL, NULL, 15),
(154933, NULL, 'PTHR31238:SF206', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154934, NULL, 'PTHR36971:SF1', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(154935, NULL, 'PTHR31374:SF49', NULL, NULL, NULL, NULL, 'AUXIN RESPONSIVE PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(154936, NULL, 'PTHR23023:SF234', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(154937, NULL, 'PTHR18959:SF91', NULL, NULL, NULL, NULL, 'TRANSGELIN', NULL, NULL, NULL, 15),
(154938, NULL, 'PTHR11165:SF92', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 20', NULL, NULL, NULL, 15),
(154939, NULL, 'PTHR47926:SF208', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(154940, NULL, 'PTHR33865', NULL, NULL, NULL, NULL, 'PROTEIN FAM183B', NULL, NULL, 29079, 15),
(154941, NULL, 'PTHR31311:SF34', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 7-RELATED', NULL, NULL, NULL, 15),
(154942, NULL, 'PTHR11594:SF13', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', NULL, NULL, NULL, 15),
(154943, NULL, 'PTHR37560', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 2361, 15),
(154944, NULL, 'PTHR36748:SF5', NULL, NULL, NULL, NULL, 'BNAC02G06370D PROTEIN', NULL, NULL, NULL, 15),
(154945, NULL, 'PTHR33108:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(154946, NULL, 'PTHR11994:SF17', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11-1', NULL, NULL, NULL, 15),
(154947, NULL, 'PTHR21346:SF5', NULL, NULL, NULL, NULL, 'FUN14 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(154948, NULL, 'PTHR23239:SF121', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 13', NULL, NULL, NULL, 15),
(154949, NULL, 'PTHR24093:SF434', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 13, PLASMA MEMBRANE-TYPE-RELATED', NULL, NULL, NULL, 15),
(154950, NULL, 'PTHR43689:SF25', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE BODYGUARD 1-RELATED', NULL, NULL, NULL, 15),
(154951, NULL, 'PTHR19370:SF184', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE 1', NULL, NULL, NULL, 15),
(154952, NULL, 'PTHR23073:SF122', NULL, NULL, NULL, NULL, 'PROTEASE REGULATORY SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154953, NULL, 'PTHR34630:SF37', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(154954, NULL, 'PTHR39244', NULL, NULL, NULL, NULL, 'NATTERIN-4', NULL, NULL, NULL, 15),
(154955, NULL, 'PTHR30555:SF0', NULL, NULL, NULL, NULL, 'CATALASE-PEROXIDASE', NULL, NULL, NULL, 15),
(154956, NULL, 'PTHR33492:SF9', NULL, NULL, NULL, NULL, 'GB|AAB80672.1', NULL, NULL, NULL, 15),
(154957, NULL, 'PTHR35871:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(154958, NULL, 'PTHR13460', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35719, 15),
(154959, NULL, 'PTHR22883:SF317', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(154960, NULL, 'PTHR22888:SF20', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 2', NULL, NULL, NULL, 15),
(154961, NULL, 'PTHR24123:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154962, NULL, 'PTHR48010:SF26', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(154963, NULL, 'PTHR24061:SF411', NULL, NULL, NULL, NULL, 'MCG21564-RELATED', NULL, NULL, NULL, 15),
(154964, NULL, 'PTHR34267:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154965, NULL, 'PTHR27008:SF410', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154966, NULL, 'PTHR31989:SF214', NULL, NULL, NULL, NULL, 'PROTEIN NTM1-LIKE 9', NULL, NULL, NULL, 15),
(154967, NULL, 'PTHR24206:SF74', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(154968, NULL, 'PTHR11972:SF160', NULL, NULL, NULL, NULL, 'BNAA09G44270D PROTEIN', NULL, NULL, NULL, 15),
(154969, NULL, 'PTHR30015', NULL, NULL, NULL, NULL, 'MRR RESTRICTION SYSTEM PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(154970, NULL, 'PTHR31281:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154971, NULL, 'PTHR46991:SF27', NULL, NULL, NULL, NULL, '23.6 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(154972, NULL, 'PTHR31218:SF306', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(154973, NULL, 'PTHR24248', NULL, NULL, NULL, NULL, 'ADRENERGIC RECEPTOR-RELATED G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(154974, NULL, 'PTHR22662:SF0', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR DOMAIN-CONTAINING ADAPTER PROTEIN', NULL, NULL, NULL, 15),
(154975, NULL, 'PTHR15535:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154976, NULL, 'PTHR45623:SF19', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(154977, NULL, 'PTHR24113', NULL, NULL, NULL, NULL, 'RAN GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, NULL, 15),
(154978, NULL, 'PTHR24055:SF475', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154979, NULL, 'PTHR31707:SF170', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 43-RELATED', NULL, NULL, NULL, 15),
(154980, NULL, 'PTHR10837:SF8', NULL, NULL, NULL, NULL, 'PEPTIDYL ARGININE DEIMINASE, TYPE II', NULL, NULL, NULL, 15),
(154981, NULL, 'PTHR39583:SF2', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN J-RELATED', NULL, NULL, NULL, 15),
(154982, NULL, 'PTHR24177:SF296', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(154983, NULL, 'PTHR45638:SF4', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL SUBUNIT A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154984, NULL, 'PTHR18966:SF516', NULL, NULL, NULL, NULL, 'BNAA02G30130D PROTEIN', NULL, NULL, NULL, 15),
(154985, NULL, 'PTHR31852:SF237', NULL, NULL, NULL, NULL, 'BNAC08G43330D PROTEIN', NULL, NULL, NULL, 15),
(154986, NULL, 'PTHR43112:SF17', NULL, NULL, NULL, NULL, 'FERREDOXIN-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(154987, NULL, 'PTHR10075:SF75', NULL, NULL, NULL, NULL, 'PROTOGENIN', NULL, NULL, 31303, 15),
(154988, NULL, 'PTHR13989', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A-RELATED', NULL, NULL, 35212, 15),
(154989, NULL, 'PTHR24072:SF353', NULL, NULL, NULL, NULL, 'RHO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(154990, NULL, 'PTHR47925:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154991, NULL, 'PTHR33142:SF60', NULL, NULL, NULL, NULL, 'BNAC02G02720D PROTEIN', NULL, NULL, NULL, 15),
(154992, NULL, 'PTHR33621:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(154993, NULL, 'PTHR40026', NULL, NULL, NULL, NULL, 'PROTEIN VEG', NULL, NULL, 14980, 15),
(154994, NULL, 'PTHR44119:SF6', NULL, NULL, NULL, NULL, 'AEROBIC COBALTOCHELATASE SUBUNIT COBN', NULL, NULL, NULL, 15),
(154995, NULL, 'PTHR16968', NULL, NULL, NULL, NULL, 'LENS EPITHELIAL CELL PROTEIN LEP503', NULL, NULL, 21617, 15),
(154996, NULL, 'PTHR23048:SF10', NULL, NULL, NULL, NULL, 'MYOSIN, LIGHT CHAIN 1, ALKALI, SKELETAL, FAST', NULL, NULL, NULL, 15),
(154997, NULL, 'PTHR31642:SF167', NULL, NULL, NULL, NULL, 'SHIKIMATE/QUINATE HYDROXYCINNAMOYLTRANSFERASE', NULL, NULL, NULL, 15),
(154998, NULL, 'PTHR12334:SF6', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 2', NULL, NULL, NULL, 15),
(154999, NULL, 'PTHR30481:SF2', NULL, NULL, NULL, NULL, 'MODIFICATION METHYLASE', NULL, NULL, NULL, 15),
(155000, NULL, 'PTHR43071:SF2', NULL, NULL, NULL, NULL, '2-AMINO-4-HYDROXY-6-HYDROXYMETHYLDIHYDROPTERIDINE', NULL, NULL, NULL, 15),
(155001, NULL, 'PTHR31500:SF48', NULL, NULL, NULL, NULL, 'OS06G0326000 PROTEIN', NULL, NULL, NULL, 15),
(155002, NULL, 'PTHR45634:SF23', NULL, NULL, NULL, NULL, 'BNAA09G05590D PROTEIN', NULL, NULL, NULL, 15),
(155003, NULL, 'PTHR44809', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155004, NULL, 'PTHR44218:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SPA1-RELATED 3', NULL, NULL, NULL, 15),
(155005, NULL, 'PTHR47319:SF19', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN PBP1-LIKE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155006, NULL, 'PTHR44591:SF3', NULL, NULL, NULL, NULL, 'STRESS RESPONSE REGULATOR PROTEIN 1', NULL, NULL, NULL, 15),
(155007, NULL, 'PTHR28291:SF1', NULL, NULL, NULL, NULL, 'CTD KINASE SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(155008, NULL, 'PTHR46247:SF3', NULL, NULL, NULL, NULL, 'CRS2-ASSOCIATED FACTOR 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(155009, NULL, 'PTHR46364:SF5', NULL, NULL, NULL, NULL, 'OS09G0386500 PROTEIN', NULL, NULL, NULL, 15),
(155010, NULL, 'PTHR24161:SF21', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 35', NULL, NULL, NULL, 15),
(155011, NULL, 'PTHR13994:SF36', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 8-LIKE', NULL, NULL, NULL, 15),
(155012, NULL, 'PTHR31413:SF13', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN AFP4', NULL, NULL, NULL, 15),
(155013, NULL, 'PTHR24023:SF967', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(155014, NULL, 'PTHR47844:SF1', NULL, NULL, NULL, NULL, 'SYNTHASE CPS1, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G02500)-RELATED', NULL, NULL, NULL, 15),
(155015, NULL, 'PTHR12542:SF158', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155016, NULL, 'PTHR35674:SF1', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE CK137956', NULL, NULL, NULL, 15),
(155017, NULL, 'PTHR37189:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155018, NULL, 'PTHR45530', NULL, NULL, NULL, NULL, 'SENSORY TRANSDUCTION HISTIDINE KINASE', NULL, NULL, NULL, 15),
(155019, NULL, 'PTHR31607:SF24', NULL, NULL, NULL, NULL, 'BNACNNG40460D PROTEIN', NULL, NULL, NULL, 15),
(155020, NULL, 'PTHR26452:SF770', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(155021, NULL, 'PTHR46146:SF12', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN CCR3-RELATED', NULL, NULL, NULL, 15),
(155022, NULL, 'PTHR43351:SF2', NULL, NULL, NULL, NULL, 'L(+)-TARTRATE DEHYDRATASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(155023, NULL, 'PTHR47052:SF6', NULL, NULL, NULL, NULL, 'ELICITOR-RESPONSIVE PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(155024, NULL, 'PTHR13196:SF25', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 1C', NULL, NULL, NULL, 15),
(155025, NULL, 'PTHR22844:SF328', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN', NULL, NULL, NULL, 15),
(155026, NULL, 'PTHR23428:SF252', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(155027, NULL, 'PTHR45967:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBP-1A', NULL, NULL, NULL, 15),
(155028, NULL, 'PTHR47990:SF134', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(155029, NULL, 'PTHR11679:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 33A', NULL, NULL, 26530, 15),
(155030, NULL, 'PTHR31094:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155031, NULL, 'PTHR22947:SF12', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(155032, NULL, 'PTHR18945:SF467', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(155033, NULL, 'PTHR19961:SF35', NULL, NULL, NULL, NULL, 'PLASTIN-2', NULL, NULL, NULL, 15),
(155034, NULL, 'PTHR13647', NULL, NULL, NULL, NULL, 'INSULIN-LIKE PEPTIDE 2-RELATED', NULL, NULL, 29933, 15),
(155035, NULL, 'PTHR10797:SF1', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 8', NULL, NULL, 28689, 15),
(155036, NULL, 'PTHR15237', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD9', NULL, NULL, 7151, 15),
(155037, NULL, 'PTHR45724:SF25', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP1-2', NULL, NULL, NULL, 15),
(155038, NULL, 'PTHR46195', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 7', NULL, NULL, 37774, 15),
(155039, NULL, 'PTHR30304', NULL, NULL, NULL, NULL, 'D-TAGATOSE-1,6-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(155040, NULL, 'PTHR23412:SF14', NULL, NULL, NULL, NULL, 'STEREOCILIN-RELATED', NULL, NULL, 21943, 15),
(155041, NULL, 'PTHR10792:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155042, NULL, 'PTHR45992:SF8', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE A', NULL, NULL, NULL, 15),
(155043, NULL, 'PTHR21339:SF0', NULL, NULL, NULL, NULL, 'RADICAL S-ADENOSYL METHIONINE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(155044, NULL, 'PTHR43622:SF1', NULL, NULL, NULL, NULL, '3-DEHYDROQUINATE SYNTHASE', NULL, NULL, NULL, 15),
(155045, NULL, 'PTHR20930:SF5', NULL, NULL, NULL, NULL, 'NBR1 AUTOPHAGY CARGO RECEPTOR B', NULL, NULL, NULL, 15),
(155046, NULL, 'PTHR45674:SF10', NULL, NULL, NULL, NULL, 'DNA LIGASE C', NULL, NULL, NULL, 15),
(155047, NULL, 'PTHR22776:SF24', NULL, NULL, NULL, NULL, 'MAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155048, NULL, 'PTHR47806:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L3 GLUTAMINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(155049, NULL, 'PTHR11451:SF27', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(155050, NULL, 'PTHR22803:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155051, NULL, 'PTHR36859', NULL, NULL, NULL, NULL, 'PROTEIN HIDE1', NULL, NULL, 30433, 15),
(155052, NULL, 'PTHR27007:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155053, NULL, 'PTHR11062:SF58', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT19-RELATED', NULL, NULL, NULL, 15),
(155054, NULL, 'PTHR11860:SF63', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 8', NULL, NULL, NULL, 15),
(155055, NULL, 'PTHR31232:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155056, NULL, 'PTHR46639', NULL, NULL, NULL, NULL, 'DIENCEPHALON/MESENCEPHALON HOMEOBOX PROTEIN 1', NULL, NULL, NULL, 15),
(155057, NULL, 'PTHR39596:SF2', NULL, NULL, NULL, NULL, 'HET DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G17550)', NULL, NULL, NULL, 15),
(155058, NULL, 'PTHR12294:SF16', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 12', NULL, NULL, NULL, 15),
(155059, NULL, 'PTHR11654:SF511', NULL, NULL, NULL, NULL, 'BNAC01G24250D PROTEIN', NULL, NULL, NULL, 15),
(155060, NULL, 'PTHR47926:SF64', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(155061, NULL, 'PTHR11863:SF136', NULL, NULL, NULL, NULL, 'DELTA(7)-STEROL-C5(6)-DESATURASE 2-RELATED', NULL, NULL, NULL, 15),
(155062, NULL, 'PTHR32246:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155063, NULL, 'PTHR16255', NULL, NULL, NULL, NULL, 'REQUIRED FOR MEIOTIC NUCLEAR DIVISION PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(155064, NULL, 'PTHR11731:SF184', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(155065, NULL, 'PTHR31111:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155066, NULL, 'PTHR24376:SF129', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 224', NULL, NULL, NULL, 15),
(155067, NULL, 'PTHR23315:SF247', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(155068, NULL, 'PTHR11757:SF19', NULL, NULL, NULL, NULL, 'PROLYL ENDOPEPTIDASE-LIKE', NULL, NULL, NULL, 15),
(155069, NULL, 'PTHR48021:SF52', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155070, NULL, 'PTHR15438:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155071, NULL, 'PTHR36788:SF2', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 183', NULL, NULL, NULL, 15),
(155072, NULL, 'PTHR10388:SF15', NULL, NULL, NULL, NULL, 'APO PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(155073, NULL, 'PTHR32429:SF20', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(155074, NULL, 'PTHR39653:SF5', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1110057P08 GENE', NULL, NULL, NULL, 15),
(155075, NULL, 'PTHR32044:SF82', NULL, NULL, NULL, NULL, 'BNAA04G20690D PROTEIN', NULL, NULL, NULL, 15),
(155076, NULL, 'PTHR22629:SF1', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155077, NULL, 'PTHR48023:SF4', NULL, NULL, NULL, NULL, 'D-XYLOSE-PROTON SYMPORTER-LIKE 2', NULL, NULL, NULL, 15),
(155078, NULL, 'PTHR27006:SF397', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1 ISOFORM X2', NULL, NULL, NULL, 15),
(155079, NULL, 'PTHR34054:SF11', NULL, NULL, NULL, NULL, 'BNAANNG32750D PROTEIN', NULL, NULL, NULL, 15),
(155080, NULL, 'PTHR24296:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155081, NULL, 'PTHR11328:SF44', NULL, NULL, NULL, NULL, 'ZGC:171501', NULL, NULL, NULL, 15),
(155082, NULL, 'PTHR19354', NULL, NULL, NULL, NULL, 'ZIPPER PUTATIVE TUMOR SUPPRESSOR 2 HOMOLOG-LIKE PROTEIN-RELATED', NULL, NULL, 37158, 15),
(155083, NULL, 'PTHR12547', NULL, NULL, NULL, NULL, 'CCCH ZINC FINGER/TIS11-RELATED', NULL, NULL, 38549, 15),
(155084, NULL, 'PTHR10293:SF45', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL MONOTHIOL GLUTAREDOXIN-S16, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(155085, NULL, 'PTHR23192:SF70', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR L2', NULL, NULL, NULL, 15),
(155086, NULL, 'PTHR33994:SF12', NULL, NULL, NULL, NULL, 'OS04G0515000 PROTEIN', NULL, NULL, NULL, 15),
(155087, NULL, 'PTHR11437:SF52', NULL, NULL, NULL, NULL, 'NON-SECRETORY RIBONUCLEASE', NULL, NULL, NULL, 15),
(155088, NULL, 'PTHR15211:SF0', NULL, NULL, NULL, NULL, 'GASTRIC INHIBITORY POLYPEPTIDE', NULL, NULL, NULL, 15),
(155089, NULL, 'PTHR11909:SF328', NULL, NULL, NULL, NULL, 'CASEIN KINASE I', NULL, NULL, NULL, 15),
(155090, NULL, 'PTHR14677:SF20', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(155091, NULL, 'PTHR32295:SF192', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', NULL, NULL, NULL, 15),
(155092, NULL, 'PTHR35475:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155093, NULL, 'PTHR43520:SF25', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE HMA5', NULL, NULL, NULL, 15),
(155094, NULL, 'PTHR13547:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155095, NULL, 'PTHR23301:SF26', NULL, NULL, NULL, NULL, 'CHITIN-BINDING DOMAIN PROTEIN CBD-1', NULL, NULL, NULL, 15),
(155096, NULL, 'PTHR11743:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155097, NULL, 'PTHR11849:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155098, NULL, 'PTHR31623:SF47', NULL, NULL, NULL, NULL, 'BAHD ACYLTRANSFERASE BIA1', NULL, NULL, NULL, 15),
(155099, NULL, 'PTHR20935:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PGAM5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(155100, NULL, 'PTHR34576:SF13', NULL, NULL, NULL, NULL, 'BNAC09G28980D PROTEIN', NULL, NULL, NULL, 15),
(155101, NULL, 'PTHR22969', NULL, NULL, NULL, NULL, 'IKB KINASE', NULL, NULL, NULL, 15),
(155102, NULL, 'PTHR23257:SF863', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE HT1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155103, NULL, 'PTHR47970:SF6', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155104, NULL, 'PTHR21562:SF75', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 2', NULL, NULL, NULL, 15),
(155105, NULL, 'PTHR41535', NULL, NULL, NULL, NULL, 'BLL8127 PROTEIN', NULL, NULL, NULL, 15),
(155106, NULL, 'PTHR47976:SF44', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', NULL, NULL, NULL, 15),
(155107, NULL, 'PTHR13720:SF16', NULL, NULL, NULL, NULL, 'ECHINODERM MICROTUBULE-ASSOCIATED PROTEIN-LIKE 5', NULL, NULL, NULL, 15),
(155108, NULL, 'PTHR34268:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155109, NULL, 'PTHR37389:SF23', NULL, NULL, NULL, NULL, 'OS02G0586900 PROTEIN', NULL, NULL, NULL, 15),
(155110, NULL, 'PTHR21562:SF79', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(155111, NULL, 'PTHR10218:SF231', NULL, NULL, NULL, NULL, 'G PROTEIN ALPHA I SUBUNIT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155112, NULL, 'PTHR46373:SF22', NULL, NULL, NULL, NULL, 'BNAC07G16380D PROTEIN', NULL, NULL, NULL, 15),
(155113, NULL, 'PTHR24347:SF420', NULL, NULL, NULL, NULL, 'DOUBLECORTIN-LIKE KINASE 1A', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155114, NULL, 'PTHR46116:SF34', NULL, NULL, NULL, NULL, 'OS01G0232500 PROTEIN', NULL, NULL, NULL, 15),
(155115, NULL, 'PTHR33222:SF27', NULL, NULL, NULL, NULL, 'CYANOBACTERIAL AMINOACYL-TRNA SYNTHETASE, CAAD DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155116, NULL, 'PTHR20966', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 17', NULL, NULL, 35827, 15),
(155117, NULL, 'PTHR10424:SF66', NULL, NULL, NULL, NULL, 'SYNCYTIN-2', NULL, NULL, NULL, 15),
(155118, NULL, 'PTHR23046:SF2', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINOIMIDAZOLE CARBOXYLASE FAMILY PROTEIN / AIR CARBOXYLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155119, NULL, 'PTHR44791', NULL, NULL, NULL, NULL, 'TELOMERASE PROTEIN COMPONENT 1 TEP1', NULL, NULL, NULL, 15),
(155120, NULL, 'PTHR43874:SF42', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR24', NULL, NULL, NULL, 15),
(155121, NULL, 'PTHR33021:SF416', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(155122, NULL, 'PTHR35344:SF4', NULL, NULL, NULL, NULL, 'GAS VESICLE STRUCTURAL PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(155123, NULL, 'PTHR34057:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155124, NULL, 'PTHR31676:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155125, NULL, 'PTHR43416:SF21', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYL CARRIER PROTEIN OF ACETYL-COA CARBOXYLASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(155126, NULL, 'PTHR18860:SF92', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN 6', NULL, NULL, NULL, 15),
(155127, NULL, 'PTHR10353:SF136', NULL, NULL, NULL, NULL, 'ARYL-PHOSPHO-BETA-D-GLUCOSIDASE BGLC', NULL, NULL, NULL, 15),
(155128, NULL, 'PTHR45935:SF2', NULL, NULL, NULL, NULL, 'KRAB-A DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(155129, NULL, 'PTHR31662:SF69', NULL, NULL, NULL, NULL, 'BNAANNG29040D PROTEIN', NULL, NULL, NULL, 15),
(155130, NULL, 'PTHR32212:SF234', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(155131, NULL, 'PTHR13124:SF12', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L46, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(155132, NULL, 'PTHR26450:SF195', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(155133, NULL, 'PTHR13167:SF44', NULL, NULL, NULL, NULL, 'PIEZO-TYPE MECHANOSENSITIVE ION CHANNEL HOMOLOG', NULL, NULL, NULL, 15),
(155134, NULL, 'PTHR24347:SF398', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE II SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(155135, NULL, 'PTHR10759:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155136, NULL, 'PTHR45826:SF4', NULL, NULL, NULL, NULL, 'ACID PERMEASE FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(155137, NULL, 'PTHR31080:SF103', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15),
(155138, NULL, 'PTHR38465', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MJ1563-RELATED', NULL, NULL, NULL, 15),
(155139, NULL, 'PTHR46872:SF10', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(155140, NULL, 'PTHR31235:SF197', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(155141, NULL, 'PTHR11537:SF63', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY B MEMBER 1', NULL, NULL, NULL, 15),
(155142, NULL, 'PTHR13817:SF65', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE-III DOMAIN-CONTAINING PROTEIN 3A', NULL, NULL, NULL, 15),
(155143, NULL, 'PTHR46901:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11119', NULL, NULL, NULL, 15),
(155144, NULL, 'PTHR11732:SF209', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(155145, NULL, 'PTHR19865:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 48-RELATED', NULL, NULL, NULL, 15),
(155146, NULL, 'PTHR47928:SF118', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(155147, NULL, 'PTHR10972:SF96', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN HOMOLOG 3', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155148, NULL, 'PTHR33492:SF3', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASR3', NULL, NULL, NULL, 15),
(155149, NULL, 'PTHR45636:SF31', NULL, NULL, NULL, NULL, 'PAX (PAIRED BOX) TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(155150, NULL, 'PTHR15710:SF22', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(155151, NULL, 'PTHR12771:SF43', NULL, NULL, NULL, NULL, 'OS12G0126200 PROTEIN', NULL, NULL, NULL, 15),
(155152, NULL, 'PTHR24096:SF324', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', NULL, NULL, NULL, 15),
(155153, NULL, 'PTHR34216:SF7', NULL, NULL, NULL, NULL, 'POLY-BETA-1,6-N-ACETYL-D-GLUCOSAMINE N-DEACETYLASE', NULL, NULL, NULL, 15),
(155154, NULL, 'PTHR13994:SF38', NULL, NULL, NULL, NULL, 'BNAC09G20330D PROTEIN', NULL, NULL, NULL, 15),
(155155, NULL, 'PTHR35388', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155156, NULL, 'PTHR43266:SF5', NULL, NULL, NULL, NULL, 'MACROLIDE-EFFLUX PROTEIN', NULL, NULL, NULL, 15),
(155157, NULL, 'PTHR47975:SF4', NULL, NULL, NULL, NULL, 'OS07G0186200 PROTEIN', NULL, NULL, NULL, 15),
(155158, NULL, 'PTHR45883', NULL, NULL, NULL, NULL, 'HSC70-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(155159, NULL, 'PTHR45613:SF144', NULL, NULL, NULL, NULL, 'OS04G0612800 PROTEIN', NULL, NULL, NULL, 15),
(155160, NULL, 'PTHR43719:SF44', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR', NULL, NULL, NULL, 15),
(155161, NULL, 'PTHR38662', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 6472, 15),
(155162, NULL, 'PTHR12526:SF510', NULL, NULL, NULL, NULL, 'SLR1077 PROTEIN', NULL, NULL, NULL, 15),
(155163, NULL, 'PTHR31374:SF207', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR77', NULL, NULL, NULL, 15),
(155164, NULL, 'PTHR30352:SF20', NULL, NULL, NULL, NULL, 'MOAA/NIFB/PQQE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155165, NULL, 'PTHR15065:SF4', NULL, NULL, NULL, NULL, 'LD18634P', NULL, NULL, NULL, 15),
(155166, NULL, 'PTHR10985:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION COFACTOR HES-6', NULL, NULL, NULL, 15),
(155167, NULL, 'PTHR47072:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155168, NULL, 'PTHR10168:SF260', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S11-LIKE', NULL, NULL, NULL, 15),
(155169, NULL, 'PTHR46034:SF22', NULL, NULL, NULL, NULL, 'B2 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(155170, NULL, 'PTHR48018:SF11', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(155171, NULL, 'PTHR12794:SF5', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(155172, NULL, 'PTHR31235:SF326', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(155173, NULL, 'PTHR31579:SF41', NULL, NULL, NULL, NULL, 'OS11G0437600 PROTEIN', NULL, NULL, NULL, 15),
(155174, NULL, 'PTHR24049', NULL, NULL, NULL, NULL, 'CRUMBS FAMILY MEMBER', NULL, NULL, NULL, 15),
(155175, NULL, 'PTHR24186:SF21', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(155176, NULL, 'PTHR37872:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 1700029I15', NULL, NULL, NULL, 15),
(155177, NULL, 'PTHR46444:SF11', NULL, NULL, NULL, NULL, 'DEVELOPMENT/CELL DEATH DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155178, NULL, 'PTHR48100:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155179, NULL, 'PTHR34293:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR TRMBL2', NULL, NULL, NULL, 15),
(155180, NULL, 'PTHR46877:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155181, NULL, 'PTHR11849:SF160', NULL, NULL, NULL, NULL, 'ETS TRANSLOCATION VARIANT 5', NULL, NULL, NULL, 15),
(155182, NULL, 'PTHR23360:SF30', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(155183, NULL, 'PTHR11709:SF263', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155184, NULL, 'PTHR34555:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE HEMOLYSIN-III-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155185, NULL, 'PTHR31301:SF110', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155186, NULL, 'PTHR34223:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155187, NULL, 'PTHR45950:SF14', NULL, NULL, NULL, NULL, 'BNAA02G06170D PROTEIN', NULL, NULL, NULL, 15),
(155188, NULL, 'PTHR48105:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155189, NULL, 'PTHR45933:SF27', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155190, NULL, 'PTHR27009:SF182', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155191, NULL, 'PTHR21098:SF11', NULL, NULL, NULL, NULL, 'RIBOFLAVIN SYNTHASE', NULL, NULL, NULL, 15),
(155192, NULL, 'PTHR32410:SF153', NULL, NULL, NULL, NULL, 'CHP-RICH ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155193, NULL, 'PTHR24296:SF170', NULL, NULL, NULL, NULL, 'BNAA06G38770D PROTEIN', NULL, NULL, NULL, 15),
(155194, NULL, 'PTHR47415:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM47C-RELATED', NULL, NULL, 22950, 15),
(155195, NULL, 'PTHR31190:SF216', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF095', NULL, NULL, NULL, 15),
(155196, NULL, 'PTHR34555:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0095E20.6 PROTEIN', NULL, NULL, NULL, 15),
(155197, NULL, 'PTHR11351:SF80', NULL, NULL, NULL, NULL, 'BNAA09G13840D PROTEIN', NULL, NULL, NULL, 15),
(155198, NULL, 'PTHR33333:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155199, NULL, 'PTHR31218:SF177', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(155200, NULL, 'PTHR10177:SF473', NULL, NULL, NULL, NULL, 'CYCLIN G', NULL, NULL, 21666, 15),
(155201, NULL, 'PTHR11206:SF382', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 10-RELATED', NULL, NULL, NULL, 15),
(155202, NULL, 'PTHR37266:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(155203, NULL, 'PTHR43148:SF13', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE GAPA1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(155204, NULL, 'PTHR31839:SF51', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CBF PROTEIN', NULL, NULL, NULL, 15),
(155205, NULL, 'PTHR43139:SF54', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(155206, NULL, 'PTHR32063:SF71', NULL, NULL, NULL, NULL, 'ACR FAMILY TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(155207, NULL, 'PTHR21450:SF19', NULL, NULL, NULL, NULL, 'F5M15.15', NULL, NULL, NULL, 15),
(155208, NULL, 'PTHR36767:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155209, NULL, 'PTHR46854', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE-LIKE 4-RELATED', NULL, NULL, 38884, 15),
(155210, NULL, 'PTHR10766:SF53', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(155211, NULL, 'PTHR46369:SF6', NULL, NULL, NULL, NULL, 'C2 DOMAIN, ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155212, NULL, 'PTHR32444:SF99', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(155213, NULL, 'PTHR15605', NULL, NULL, NULL, NULL, 'KINESIN-ASSOCIATED PROTEINS', NULL, NULL, 13066, 15),
(155214, NULL, 'PTHR15705', NULL, NULL, NULL, NULL, 'MCG7194, ISOFORM CRA_A', NULL, NULL, NULL, 15),
(155215, NULL, 'PTHR35153:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 154', NULL, NULL, NULL, 15),
(155216, NULL, 'PTHR46376', NULL, NULL, NULL, NULL, 'LEUCINE-ZIPPER-LIKE TRANSCRIPTIONAL REGULATOR 1', NULL, NULL, NULL, 15),
(155217, NULL, 'PTHR45224:SF9', NULL, NULL, NULL, NULL, 'OS10G0563100 PROTEIN', NULL, NULL, NULL, 15),
(155218, NULL, 'PTHR37873', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 33', NULL, NULL, 34636, 15),
(155219, NULL, 'PTHR10036:SF13', NULL, NULL, NULL, NULL, 'CD59 MOLECULE (CD59 BLOOD GROUP)', NULL, NULL, NULL, 15),
(155220, NULL, 'PTHR43116:SF4', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR PRFB3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(155221, NULL, 'PTHR31105:SF22', NULL, NULL, NULL, NULL, 'EXTRA-LARGE G-PROTEIN-LIKE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155222, NULL, 'PTHR43023:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TRIGALACTOSYLDIACYLGLYCEROL 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(155223, NULL, 'PTHR31533:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155224, NULL, 'PTHR37220:SF3', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155225, NULL, 'PTHR10117:SF50', NULL, NULL, NULL, NULL, 'TRP HOMOLOGOUS CATION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(155226, NULL, 'PTHR33929:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 2-RELATED', NULL, NULL, NULL, 15),
(155227, NULL, 'PTHR33801:SF22', NULL, NULL, NULL, NULL, 'ABSCISIC STRESS-RIPENING PROTEIN 3', NULL, NULL, NULL, 15),
(155228, NULL, 'PTHR11670:SF31', NULL, NULL, NULL, NULL, 'IRON-RESPONSIVE ELEMENT-BINDING PROTEIN 2', NULL, NULL, 28268, 15),
(155229, NULL, 'PTHR24276:SF63', NULL, NULL, NULL, NULL, 'RE08710P', NULL, NULL, NULL, 15),
(155230, NULL, 'PTHR43768:SF31', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(155231, NULL, 'PTHR37422:SF13', NULL, NULL, NULL, NULL, 'TEICHURONIC ACID BIOSYNTHESIS PROTEIN TUAE', NULL, NULL, NULL, 15),
(155232, NULL, 'PTHR22298:SF41', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 5', NULL, NULL, NULL, 15),
(155233, NULL, 'PTHR11439:SF358', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', NULL, NULL, NULL, 15),
(155234, NULL, 'PTHR23078:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SEC18, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155235, NULL, 'PTHR30468:SF20', NULL, NULL, NULL, NULL, 'FAMILY TAURINE DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17170)-RELATED', NULL, NULL, NULL, 15),
(155236, NULL, 'PTHR31677:SF75', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF084', NULL, NULL, NULL, 15),
(155237, NULL, 'PTHR33995:SF8', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', NULL, NULL, NULL, 15),
(155238, NULL, 'PTHR44085:SF2', NULL, NULL, NULL, NULL, 'SEPIAPTERIN REDUCTASE', NULL, NULL, NULL, 15),
(155239, NULL, 'PTHR28242:SF52', NULL, NULL, NULL, NULL, 'PHOSPHORELAY INTERMEDIATE PROTEIN YPD1', NULL, NULL, NULL, 15),
(155240, NULL, 'PTHR32116:SF86', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(155241, NULL, 'PTHR45648:SF7', NULL, NULL, NULL, NULL, 'OS12G0126100 PROTEIN', NULL, NULL, NULL, 15),
(155242, NULL, 'PTHR48049:SF57', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 91A1-LIKE', NULL, NULL, NULL, 15),
(155243, NULL, 'PTHR42103:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(155244, NULL, 'PTHR10869:SF186', NULL, NULL, NULL, NULL, 'BNAANNG08570D PROTEIN', NULL, NULL, NULL, 15),
(155245, NULL, 'PTHR12271:SF123', NULL, NULL, NULL, NULL, 'PROTEIN HESO1', NULL, NULL, NULL, 15),
(155246, NULL, 'PTHR46631', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE', NULL, NULL, 36677, 15),
(155247, NULL, 'PTHR34953:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(155248, NULL, 'PTHR27007:SF336', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155249, NULL, 'PTHR11309:SF45', NULL, NULL, NULL, NULL, 'SECRETED FRIZZLED-RELATED PROTEIN 2', NULL, NULL, 22141, 15),
(155250, NULL, 'PTHR48059:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155251, NULL, 'PTHR19290:SF82', NULL, NULL, NULL, NULL, 'PROTEIN ATONAL HOMOLOG 1', NULL, NULL, 22349, 15),
(155252, NULL, 'PTHR48060:SF10', NULL, NULL, NULL, NULL, 'DNA-DAMAGE-REPAIR/TOLERATION DRT100-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155253, NULL, 'PTHR24177:SF246', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155254, NULL, 'PTHR48015:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DST1', NULL, NULL, NULL, 15),
(155255, NULL, 'PTHR11010:SF101', NULL, NULL, NULL, NULL, 'SERINE PROTEASE F56F10.1-RELATED', NULL, NULL, NULL, 15),
(155256, NULL, 'PTHR43572:SF54', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 7', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155257, NULL, 'PTHR32227:SF388', NULL, NULL, NULL, NULL, 'BNAC09G37390D PROTEIN', NULL, NULL, NULL, 15),
(155258, NULL, 'PTHR28021:SF1', NULL, NULL, NULL, NULL, 'PRESEQUENCE TRANSLOCATED-ASSOCIATED MOTOR SUBUNIT PAM17, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(155259, NULL, 'PTHR43895:SF62', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 18', NULL, NULL, NULL, 15),
(155260, NULL, 'PTHR36805:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155261, NULL, 'PTHR34789', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(155262, NULL, 'PTHR11610:SF160', NULL, NULL, NULL, NULL, 'LD47264P', NULL, NULL, NULL, 15),
(155263, NULL, 'PTHR14095', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2A REGULATORY SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(155264, NULL, 'PTHR24073:SF1158', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB5A', NULL, NULL, NULL, 15),
(155265, NULL, 'PTHR45832:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAMKA-RELATED', NULL, NULL, NULL, 15),
(155266, NULL, 'PTHR45739', NULL, NULL, NULL, NULL, 'MATRIX PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155267, NULL, 'PTHR33191:SF54', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(155268, NULL, 'PTHR12616:SF8', NULL, NULL, NULL, NULL, 'VPS8 SUBUNIT OF CORVET COMPLEX', NULL, NULL, NULL, 15),
(155269, NULL, 'PTHR33021:SF211', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(155270, NULL, 'PTHR43618:SF15', NULL, NULL, NULL, NULL, 'SHORT-CHAIN TYPE DEHYDROGENASE/REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(155271, NULL, 'PTHR36214', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155272, NULL, 'PTHR38773', NULL, NULL, NULL, NULL, 'PROTEIN SPRT', NULL, NULL, NULL, 15),
(155273, NULL, 'PTHR48006:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN DDB_G0281931-RELATED', NULL, NULL, NULL, 15),
(155274, NULL, 'PTHR35596', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155275, NULL, 'PTHR24356:SF193', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C ALPHA TYPE', NULL, NULL, NULL, 15),
(155276, NULL, 'PTHR47767', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR G7', NULL, NULL, NULL, 15),
(155277, NULL, 'PTHR24067:SF154', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 G2', NULL, NULL, NULL, 15),
(155278, NULL, 'PTHR43622:SF7', NULL, NULL, NULL, NULL, '3-DEHYDROQUINATE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(155279, NULL, 'PTHR10366:SF727', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155280, NULL, 'PTHR43200', NULL, NULL, NULL, NULL, 'PHOSPHATASE', NULL, NULL, NULL, 15),
(155281, NULL, 'PTHR13169:SF14', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN', NULL, NULL, NULL, 15),
(155282, NULL, 'PTHR27000:SF731', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 39', NULL, NULL, NULL, 15),
(155283, NULL, 'PTHR13720:SF14', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 52', NULL, NULL, 32531, 15),
(155284, NULL, 'PTHR11461:SF209', NULL, NULL, NULL, NULL, 'SERPIN-Z2A', NULL, NULL, NULL, 15),
(155285, NULL, 'PTHR31942:SF89', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(155286, NULL, 'PTHR18896:SF121', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D2', NULL, NULL, NULL, 15),
(155287, NULL, 'PTHR13402:SF21', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16', NULL, NULL, NULL, 15),
(155288, NULL, 'PTHR36780:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155289, NULL, 'PTHR31793:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155290, NULL, 'PTHR15071:SF31', NULL, NULL, NULL, NULL, 'LYSOSOMAL ENZYME RECEPTOR PROTEIN, ISOFORM E', NULL, NULL, NULL, 15),
(155291, NULL, 'PTHR30535:SF7', NULL, NULL, NULL, NULL, 'IRON(III) DICITRATE-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155292, NULL, 'PTHR46128:SF4', NULL, NULL, NULL, NULL, 'OS01G0793200 PROTEIN', NULL, NULL, NULL, 15),
(155293, NULL, 'PTHR32116:SF74', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 10-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155294, NULL, 'PTHR35477:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155295, NULL, 'PTHR22870:SF387', NULL, NULL, NULL, NULL, 'BNAC06G26510D PROTEIN', NULL, NULL, NULL, 15),
(155296, NULL, 'PTHR24416:SF333', NULL, NULL, NULL, NULL, 'EPITHELIAL DISCOIDIN DOMAIN-CONTAINING RECEPTOR 1', NULL, NULL, NULL, 15),
(155297, NULL, 'PTHR32409', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM20-1-RELATED', NULL, NULL, 14543, 15),
(155298, NULL, 'PTHR36811:SF2', NULL, NULL, NULL, NULL, 'OS08G0444440 PROTEIN', NULL, NULL, NULL, 15),
(155299, NULL, 'PTHR35120', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT6B-LIKE', NULL, NULL, NULL, 15),
(155300, NULL, 'PTHR10082:SF3', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-LIKE PROTEIN 1', NULL, NULL, 25613, 15),
(155301, NULL, 'PTHR47926:SF181', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(155302, NULL, 'PTHR34574:SF12', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155303, NULL, 'PTHR31676:SF148', NULL, NULL, NULL, NULL, 'BNAA02G24380D PROTEIN', NULL, NULL, NULL, 15),
(155304, NULL, 'PTHR31221:SF214', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 9', NULL, NULL, NULL, 15),
(155305, NULL, 'PTHR16222:SF26', NULL, NULL, NULL, NULL, '[PROTEIN ADP-RIBOSYLARGININE] HYDROLASE', NULL, NULL, NULL, 15),
(155306, NULL, 'PTHR13832:SF763', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60-RELATED', NULL, NULL, NULL, 15),
(155307, NULL, 'PTHR31713:SF51', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN 60 E-RELATED', NULL, NULL, NULL, 15),
(155308, NULL, 'PTHR11135:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155309, NULL, 'PTHR24286:SF299', NULL, NULL, NULL, NULL, 'BNAA03G01680D PROTEIN', NULL, NULL, NULL, 15),
(155310, NULL, 'PTHR11850:SF66', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN BEL1 HOMOLOG', NULL, NULL, NULL, 15),
(155311, NULL, 'PTHR13264:SF5', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR SYF2', NULL, NULL, NULL, 15),
(155312, NULL, 'PTHR13159:SF4', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD PROTEIN 4 HOMOLOG A', NULL, NULL, NULL, 15),
(155313, NULL, 'PTHR42647:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155314, NULL, 'PTHR48042:SF2', NULL, NULL, NULL, NULL, 'WHITE-BROWN-COMPLEX ABC TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155315, NULL, 'PTHR33429:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155316, NULL, 'PTHR12748', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 3', NULL, NULL, 20938, 15),
(155317, NULL, 'PTHR24041:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155318, NULL, 'PTHR47976', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-5', NULL, NULL, NULL, 15),
(155319, NULL, 'PTHR35490:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155320, NULL, 'PTHR43591:SF24', NULL, NULL, NULL, NULL, '2-METHOXY-6-POLYPRENYL-1,4-BENZOQUINOL METHYLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(155321, NULL, 'PTHR46277:SF5', NULL, NULL, NULL, NULL, 'RANDOM SLUG PROTEIN 5-LIKE', NULL, NULL, NULL, 15),
(155322, NULL, 'PTHR43884:SF6', NULL, NULL, NULL, NULL, 'ACYL COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(155323, NULL, 'PTHR33530:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155324, NULL, 'PTHR33508', NULL, NULL, NULL, NULL, 'UPF0056 MEMBRANE PROTEIN YHCE', NULL, NULL, 4859, 15),
(155325, NULL, 'PTHR43720', NULL, NULL, NULL, NULL, '2-AMINOMUCONIC SEMIALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(155326, NULL, 'PTHR22951:SF57', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155327, NULL, 'PTHR42917', NULL, NULL, NULL, NULL, '2,4-DIENOYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(155328, NULL, 'PTHR21553:SF24', NULL, NULL, NULL, NULL, '(E2-INDEPENDENT) E3 UBIQUITIN-CONJUGATING ENZYME FATS', NULL, NULL, 26767, 15),
(155329, NULL, 'PTHR10869:SF172', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 3-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155330, NULL, 'PTHR24296:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 86B1-RELATED', NULL, NULL, NULL, 15),
(155331, NULL, 'PTHR23076:SF103', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 4 MITOCHONDRIAL', NULL, NULL, NULL, 15),
(155332, NULL, 'PTHR20961:SF132', NULL, NULL, NULL, NULL, 'FAMILY 61 PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155333, NULL, 'PTHR11920:SF363', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-17', NULL, NULL, NULL, 15),
(155334, NULL, 'PTHR11937:SF159', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN T3', NULL, NULL, 27562, 15),
(155335, NULL, 'PTHR47992:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155336, NULL, 'PTHR12411:SF554', NULL, NULL, NULL, NULL, 'CATHEPSIN 12', NULL, NULL, NULL, 15),
(155337, NULL, 'PTHR16717:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 8A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(155338, NULL, 'PTHR35274', NULL, NULL, NULL, NULL, 'E6-LIKE PROTEIN', NULL, NULL, 29779, 15),
(155339, NULL, 'PTHR24096:SF339', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(155340, NULL, 'PTHR31325:SF216', NULL, NULL, NULL, NULL, 'OS04G0153650 PROTEIN', NULL, NULL, NULL, 15),
(155341, NULL, 'PTHR19919:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155342, NULL, 'PTHR31623:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155343, NULL, 'PTHR42801:SF16', NULL, NULL, NULL, NULL, 'GROUP 2 TRUNCATED HEMOGLOBIN GLBO', NULL, NULL, NULL, 15),
(155344, NULL, 'PTHR10634:SF87', NULL, NULL, NULL, NULL, 'AN1-LIKE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(155345, NULL, 'PTHR31650:SF59', NULL, NULL, NULL, NULL, 'BNACNNG48100D PROTEIN', NULL, NULL, NULL, 15),
(155346, NULL, 'PTHR22902', NULL, NULL, NULL, NULL, 'SESQUIPEDALIAN', NULL, NULL, 37019, 15),
(155347, NULL, 'PTHR11208', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN RELATED', NULL, NULL, 39104, 15),
(155348, NULL, 'PTHR31304:SF33', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(155349, NULL, 'PTHR45613:SF443', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155350, NULL, 'PTHR34682:SF5', NULL, NULL, NULL, NULL, 'AT HOOK MOTIF-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(155351, NULL, 'PTHR24404:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 501', NULL, NULL, NULL, 15),
(155352, NULL, 'PTHR11188:SF48', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(155353, NULL, 'PTHR32285:SF311', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 45', NULL, NULL, NULL, 15),
(155354, NULL, 'PTHR46665:SF4', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX (BHLH) FAMILY PROTEIN-LIKE', NULL, NULL, NULL, 15),
(155355, NULL, 'PTHR24247:SF233', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR', NULL, NULL, NULL, 15),
(155356, NULL, 'PTHR38663:SF1', NULL, NULL, NULL, NULL, 'ZGC:113276', NULL, NULL, NULL, 15),
(155357, NULL, 'PTHR31734:SF100', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA32', NULL, NULL, NULL, 15),
(155358, NULL, 'PTHR28629:SF15', NULL, NULL, NULL, NULL, 'BLR3572 PROTEIN', NULL, NULL, NULL, 15),
(155359, NULL, 'PTHR12121:SF79', NULL, NULL, NULL, NULL, 'CARBON CATABOLITE REPRESSOR PROTEIN 4 HOMOLOG 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(155360, NULL, 'PTHR20934', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 2133, 15),
(155361, NULL, 'PTHR27005:SF326', NULL, NULL, NULL, NULL, 'WALL ASSOCIATED KINASE-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(155362, NULL, 'PTHR10177:SF70', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN-E2', NULL, NULL, 21928, 15),
(155363, NULL, 'PTHR20916:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155364, NULL, 'PTHR19423:SF8', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING PROTEIN 5-LIKE', NULL, NULL, NULL, 15),
(155365, NULL, 'PTHR22730:SF3', NULL, NULL, NULL, NULL, 'PROMININ-1', NULL, NULL, NULL, 15),
(155366, NULL, 'PTHR33090:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155367, NULL, 'PTHR31044:SF105', NULL, NULL, NULL, NULL, 'BNAC03G56580D PROTEIN', NULL, NULL, NULL, 15),
(155368, NULL, 'PTHR43791:SF33', NULL, NULL, NULL, NULL, 'VITAMIN H TRANSPORTER 1', NULL, NULL, NULL, 15),
(155369, NULL, 'PTHR31904:SF1', NULL, NULL, NULL, NULL, 'BYPASS OF STOP CODON PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(155370, NULL, 'PTHR46214:SF5', NULL, NULL, NULL, NULL, 'OS01G0850200 PROTEIN', NULL, NULL, NULL, 15),
(155371, NULL, 'PTHR46475:SF4', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN AND ANKYRIN REPEAT-CONTAINING PROTEIN NPR3', NULL, NULL, NULL, 15),
(155372, NULL, 'PTHR45694:SF20', NULL, NULL, NULL, NULL, 'BNAA09G06320D PROTEIN', NULL, NULL, NULL, 15),
(155373, NULL, 'PTHR21109:SF0', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S21, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(155374, NULL, 'PTHR42250', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155375, NULL, 'PTHR11055:SF58', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE', NULL, NULL, NULL, 15),
(155376, NULL, 'PTHR12537:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155377, NULL, 'PTHR21576:SF135', NULL, NULL, NULL, NULL, 'BNAC04G06300D PROTEIN', NULL, NULL, NULL, 15),
(155378, NULL, 'PTHR48045:SF12', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(155379, NULL, 'PTHR24233:SF3', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 14', NULL, NULL, NULL, 15),
(155380, NULL, 'PTHR19134:SF207', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE U', NULL, NULL, NULL, 15),
(155381, NULL, 'PTHR31072:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155382, NULL, 'PTHR15297:SF2', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 6', NULL, NULL, NULL, 15),
(155383, NULL, 'PTHR28626:SF3', NULL, NULL, NULL, NULL, 'SRR1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155384, NULL, 'PTHR12428:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155385, NULL, 'PTHR10551:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155386, NULL, 'PTHR31042:SF101', NULL, NULL, NULL, NULL, 'BNAA10G11330D PROTEIN', NULL, NULL, NULL, 15),
(155387, NULL, 'PTHR11709:SF246', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155388, NULL, 'PTHR23262:SF127', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-1', NULL, NULL, NULL, 15),
(155389, NULL, 'PTHR47796', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155390, NULL, 'PTHR13707:SF28', NULL, NULL, NULL, NULL, 'SUCCINYL-COA:3-KETOACID COENZYME A TRANSFERASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(155391, NULL, 'PTHR12250', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL GLYCAN, CLASS N', NULL, NULL, 7220, 15),
(155392, NULL, 'PTHR48004:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN CLAVATA2', NULL, NULL, NULL, 15),
(155393, NULL, 'PTHR16675:SF252', NULL, NULL, NULL, NULL, 'HLA CLASS I HISTOCOMPATIBILITY ANTIGEN, CW-17 ALPHA CHAIN', NULL, NULL, NULL, 15),
(155394, NULL, 'PTHR45677:SF10', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(155395, NULL, 'PTHR12015:SF111', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 17', NULL, NULL, NULL, 15),
(155396, NULL, 'PTHR48024:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155397, NULL, 'PTHR23382', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', NULL, NULL, 1884, 15),
(155398, NULL, 'PTHR28036', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT DAD2', NULL, NULL, 8211, 15),
(155399, NULL, 'PTHR21000:SF14', NULL, NULL, NULL, NULL, 'BNAA01G23200D PROTEIN', NULL, NULL, NULL, 15),
(155400, NULL, 'PTHR22835:SF286', NULL, NULL, NULL, NULL, 'OS01G0214600 PROTEIN', NULL, NULL, NULL, 15),
(155401, NULL, 'PTHR10792:SF28', NULL, NULL, NULL, NULL, 'OS07G0224000 PROTEIN', NULL, NULL, NULL, 15),
(155402, NULL, 'PTHR12243:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155403, NULL, 'PTHR11360:SF270', NULL, NULL, NULL, NULL, 'IP12869P', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155404, NULL, 'PTHR24014:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155405, NULL, 'PTHR13936', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(155406, NULL, 'PTHR30603:SF47', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR SIGD, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(155407, NULL, 'PTHR11467:SF135', NULL, NULL, NULL, NULL, 'BNAA02G25780D PROTEIN', NULL, NULL, NULL, 15),
(155408, NULL, 'PTHR43818:SF8', NULL, NULL, NULL, NULL, 'GLUCOSE-FRUCTOSE OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(155409, NULL, 'PTHR11972:SF176', NULL, NULL, NULL, NULL, 'OS08G0453700 PROTEIN', NULL, NULL, NULL, 15),
(155410, NULL, 'PTHR33138:SF38', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE CARBOXY-TERMINAL PROTEIN', NULL, NULL, NULL, 15),
(155411, NULL, 'PTHR40062', NULL, NULL, NULL, NULL, 'GTP-SENSING TRANSCRIPTIONAL PLEIOTROPIC REPRESSOR CODY', NULL, NULL, 14369, 15),
(155412, NULL, 'PTHR11353:SF198', NULL, NULL, NULL, NULL, 'BNAA08G19100D PROTEIN', NULL, NULL, NULL, 15),
(155413, NULL, 'PTHR12801:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155414, NULL, 'PTHR34930:SF7', NULL, NULL, NULL, NULL, 'JUPITER MICROTUBULE ASSOCIATED HOMOLOG 1', NULL, NULL, NULL, 15),
(155415, NULL, 'PTHR33565:SF13', NULL, NULL, NULL, NULL, 'DORMANCY/AUXIN ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(155416, NULL, 'PTHR10642:SF24', NULL, NULL, NULL, NULL, 'PROTEIN CBG03113', NULL, NULL, NULL, 15),
(155417, NULL, 'PTHR46776:SF4', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 5', NULL, NULL, NULL, 15),
(155418, NULL, 'PTHR11474:SF114', NULL, NULL, NULL, NULL, 'TYROSINASE-LIKE PROTEIN TYR-3-RELATED', NULL, NULL, NULL, 15),
(155419, NULL, 'PTHR47484', NULL, NULL, NULL, NULL, 'COMPLEX 1 PROTEIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(155420, NULL, 'PTHR22950:SF518', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT6B', NULL, NULL, NULL, 15),
(155421, NULL, 'PTHR12233:SF18', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 26A', NULL, NULL, NULL, 15),
(155422, NULL, 'PTHR15486:SF74', NULL, NULL, NULL, NULL, 'BNACNNG49400D PROTEIN', NULL, NULL, NULL, 15),
(155423, NULL, 'PTHR34777:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155424, NULL, 'PTHR10110:SF124', NULL, NULL, NULL, NULL, 'LOW-AFFINITY NA(+)/H(+) ANTIPORTER NHAS1', NULL, NULL, NULL, 15),
(155425, NULL, 'PTHR10887:SF482', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155426, NULL, 'PTHR11211:SF14', NULL, NULL, NULL, NULL, 'IROQUOIS-CLASS HOMEODOMAIN PROTEIN IRX-3', NULL, NULL, NULL, 15),
(155427, NULL, 'PTHR13273:SF18', NULL, NULL, NULL, NULL, 'ANAMORSIN HOMOLOG', NULL, NULL, NULL, 15),
(155428, NULL, 'PTHR12887:SF6', NULL, NULL, NULL, NULL, 'NANOS HOMOLOG 1', NULL, NULL, NULL, 15),
(155429, NULL, 'PTHR45712:SF18', NULL, NULL, NULL, NULL, 'WU:FC23C09', NULL, NULL, NULL, 15),
(155430, NULL, 'PTHR46541:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN AEBP2', NULL, NULL, NULL, 15),
(155431, NULL, 'PTHR11654:SF355', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.3', NULL, NULL, NULL, 15),
(155432, NULL, 'PTHR13465:SF2', NULL, NULL, NULL, NULL, 'UPF0183 PROTEIN C16ORF70', NULL, NULL, 6046, 15),
(155433, NULL, 'PTHR47286', NULL, NULL, NULL, NULL, 'F3I6.9 PROTEIN', NULL, NULL, NULL, 15),
(155434, NULL, 'PTHR34291:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155435, NULL, 'PTHR21681:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT J', NULL, NULL, NULL, 15),
(155436, NULL, 'PTHR46324', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 43-RELATED', NULL, NULL, 37622, 15),
(155437, NULL, 'PTHR32467:SF126', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-7-LIKE', NULL, NULL, NULL, 15),
(155438, NULL, 'PTHR23054:SF61', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(155439, NULL, 'PTHR10288:SF281', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN K', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155440, NULL, 'PTHR46434:SF3', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN BRASSINAZOLE INSENSITIVE PALE GREEN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(155441, NULL, 'PTHR31165:SF98', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE4', NULL, NULL, NULL, 15),
(155442, NULL, 'PTHR16083:SF24', NULL, NULL, NULL, NULL, 'BNAANNG23130D PROTEIN', NULL, NULL, NULL, 15),
(155443, NULL, 'PTHR43627:SF1', NULL, NULL, NULL, NULL, 'COBALT TRANSPORT PROTEIN CBIM', NULL, NULL, NULL, 15),
(155444, NULL, 'PTHR24078:SF525', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 1', NULL, NULL, NULL, 15),
(155445, NULL, 'PTHR47933:SF27', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(155446, NULL, 'PTHR35761', NULL, NULL, NULL, NULL, 'ATR INTERACTING PROTEIN', NULL, NULL, 38318, 15),
(155447, NULL, 'PTHR21277:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155448, NULL, 'PTHR48024:SF25', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2C', NULL, NULL, NULL, 15),
(155449, NULL, 'PTHR30383:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155450, NULL, 'PTHR43647:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155451, NULL, 'PTHR23010', NULL, NULL, NULL, NULL, 'MIDNOLIN', NULL, NULL, 36159, 15),
(155452, NULL, 'PTHR48064:SF1', NULL, NULL, NULL, NULL, 'OS01G0750400 PROTEIN', NULL, NULL, NULL, 15),
(155453, NULL, 'PTHR33162:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155454, NULL, 'PTHR45669:SF51', NULL, NULL, NULL, NULL, 'BNAC04G24540D PROTEIN', NULL, NULL, NULL, 15),
(155455, NULL, 'PTHR24365:SF538', NULL, NULL, NULL, NULL, 'TOLL LIKE RECEPTOR 7', NULL, NULL, NULL, 15),
(155456, NULL, 'PTHR31683:SF92', NULL, NULL, NULL, NULL, 'PECTATE LYASE 13-RELATED', NULL, NULL, NULL, 15),
(155457, NULL, 'PTHR32258:SF11', NULL, NULL, NULL, NULL, 'OS05G0168800 PROTEIN', NULL, NULL, NULL, 15),
(155458, NULL, 'PTHR48041:SF47', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY G MEMBER 5', NULL, NULL, NULL, 15),
(155459, NULL, 'PTHR46568:SF1', NULL, NULL, NULL, NULL, 'ALKYLDIHYDROXYACETONEPHOSPHATE SYNTHASE, PEROXISOMAL', NULL, NULL, NULL, 15),
(155460, NULL, 'PTHR33824', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(155461, NULL, 'PTHR45671:SF10', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 (MITOCHONDRIAL CARRIER PHOSPHATE CARRIER), MEMBER 3, LIKE-RELATED', NULL, NULL, NULL, 15),
(155462, NULL, 'PTHR13336:SF4', NULL, NULL, NULL, NULL, 'OCIA DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(155463, NULL, 'PTHR33429:SF34', NULL, NULL, NULL, NULL, 'OS06G0481900 PROTEIN', NULL, NULL, NULL, 15),
(155464, NULL, 'PTHR11866:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155465, NULL, 'PTHR22639:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(155466, NULL, 'PTHR11875:SF49', NULL, NULL, NULL, NULL, 'PROTEIN SET', NULL, NULL, NULL, 15),
(155467, NULL, 'PTHR37976:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG16925', NULL, NULL, NULL, 15),
(155468, NULL, 'PTHR23024:SF468', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', NULL, NULL, NULL, 15),
(155469, NULL, 'PTHR10015:SF342', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155470, NULL, 'PTHR11360:SF255', NULL, NULL, NULL, NULL, 'SI:DKEY-246G23.4', NULL, NULL, NULL, 15),
(155471, NULL, 'PTHR43671:SF10', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155472, NULL, 'PTHR15283:SF5', NULL, NULL, NULL, NULL, 'NEUROBLASTOMA SUPPRESSOR OF TUMORIGENICITY 1', NULL, NULL, NULL, 15),
(155473, NULL, 'PTHR33085:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155474, NULL, 'PTHR11208:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG21522', NULL, NULL, NULL, 15),
(155475, NULL, 'PTHR45642:SF51', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155476, NULL, 'PTHR46263', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 7', NULL, NULL, 38313, 15),
(155477, NULL, 'PTHR23503:SF8', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 4', NULL, NULL, NULL, 15),
(155478, NULL, 'PTHR45751:SF26', NULL, NULL, NULL, NULL, 'BNAA09G28220D PROTEIN', NULL, NULL, NULL, 15),
(155479, NULL, 'PTHR33833', NULL, NULL, NULL, NULL, 'NUCLEOLAR-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155480, NULL, 'PTHR48001:SF75', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-LIKE PROTEIN OLF4', NULL, NULL, NULL, 15),
(155481, NULL, 'PTHR13778:SF54', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 4-RELATED', NULL, NULL, NULL, 15),
(155482, NULL, 'PTHR46777:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HOMOBOX-WOX FAMILY-RELATED', NULL, NULL, NULL, 15),
(155483, NULL, 'PTHR31606:SF4', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 2', NULL, NULL, 31941, 15),
(155484, NULL, 'PTHR43859:SF47', NULL, NULL, NULL, NULL, 'BNAANNG22570D PROTEIN', NULL, NULL, NULL, 15),
(155485, NULL, 'PTHR13172:SF6', NULL, NULL, NULL, NULL, 'BNAC04G19910D PROTEIN', NULL, NULL, NULL, 15),
(155486, NULL, 'PTHR24281:SF47', NULL, NULL, NULL, NULL, 'CYTOCHROME 81E8', NULL, NULL, NULL, 15),
(155487, NULL, 'PTHR31374:SF213', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155488, NULL, 'PTHR46048:SF6', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLIC ACID RECEPTOR 2', NULL, NULL, NULL, 15),
(155489, NULL, 'PTHR24055:SF479', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155490, NULL, 'PTHR23268:SF14', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 12-3-RELATED', NULL, NULL, NULL, 15),
(155491, NULL, 'PTHR19818:SF139', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN EXPRESSION ACTIVATOR-RELATED', NULL, NULL, NULL, 15),
(155492, NULL, 'PTHR24050:SF24', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR-LIKE PROTEIN 6', NULL, NULL, 26948, 15),
(155493, NULL, 'PTHR11905:SF232', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 20', NULL, NULL, NULL, 15),
(155494, NULL, 'PTHR21503:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CBG20260', NULL, NULL, NULL, 15),
(155495, NULL, 'PTHR31304', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 38', NULL, NULL, NULL, 15),
(155496, NULL, 'PTHR43952:SF68', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(155497, NULL, 'PTHR40462', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(155498, NULL, 'PTHR24241:SF17', NULL, NULL, NULL, NULL, 'VASOPRESSIN V1A RECEPTOR', NULL, NULL, NULL, 15),
(155499, NULL, 'PTHR31989:SF140', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 105', NULL, NULL, NULL, 15),
(155500, NULL, 'PTHR31852:SF4', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155501, NULL, 'PTHR47928:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155502, NULL, 'PTHR14000:SF32', NULL, NULL, NULL, NULL, 'BNAC03G35350D PROTEIN', NULL, NULL, NULL, 15),
(155503, NULL, 'PTHR37234:SF3', NULL, NULL, NULL, NULL, 'BNACNNG20390D PROTEIN', NULL, NULL, NULL, 15),
(155504, NULL, 'PTHR32133:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155505, NULL, 'PTHR11467:SF50', NULL, NULL, NULL, NULL, 'HISTONE H1', NULL, NULL, NULL, 15),
(155506, NULL, 'PTHR12414:SF6', NULL, NULL, NULL, NULL, 'CHORION-SPECIFIC TRANSCRIPTION FACTOR GCMA', NULL, NULL, NULL, 15),
(155507, NULL, 'PTHR48002:SF92', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(155508, NULL, 'PTHR24373:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT NEURONAL PROTEIN 3', NULL, NULL, NULL, 15),
(155509, NULL, 'PTHR37319:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE', NULL, NULL, NULL, 15),
(155510, NULL, 'PTHR10900:SF113', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G14300)', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155511, NULL, 'PTHR10218:SF323', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-15 SUBUNIT', NULL, NULL, NULL, 15),
(155512, NULL, 'PTHR10201:SF137', NULL, NULL, NULL, NULL, 'NEUTROPHIL COLLAGENASE', NULL, NULL, 23287, 15),
(155513, NULL, 'PTHR11351:SF66', NULL, NULL, NULL, NULL, 'DELTA-9 DESATURASE-LIKE 4 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155514, NULL, 'PTHR43464:SF55', NULL, NULL, NULL, NULL, '23S RRNA (GUANINE-N(1)-)-METHYLTRANSFERASE YXJB-RELATED', NULL, NULL, NULL, 15),
(155515, NULL, 'PTHR23147:SF59', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 9', NULL, NULL, NULL, 15),
(155516, NULL, 'PTHR11875:SF64', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(155517, NULL, 'PTHR46284:SF5', NULL, NULL, NULL, NULL, 'PROTEIN KINESIN LIGHT CHAIN-RELATED 3', NULL, NULL, NULL, 15),
(155518, NULL, 'PTHR12792:SF0', NULL, NULL, NULL, NULL, 'SEPARIN', NULL, NULL, NULL, 15),
(155519, NULL, 'PTHR12363:SF44', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(155520, NULL, 'PTHR43646:SF3', NULL, NULL, NULL, NULL, 'SLR1566 PROTEIN', NULL, NULL, NULL, 15),
(155521, NULL, 'PTHR13803:SF40', NULL, NULL, NULL, NULL, 'BNAA01G32450D PROTEIN', NULL, NULL, NULL, 15),
(155522, NULL, 'PTHR11271:SF47', NULL, NULL, NULL, NULL, 'GUANINE DEAMINASE-RELATED', NULL, NULL, NULL, 15),
(155523, NULL, 'PTHR33085:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155524, NULL, 'PTHR10658:SF54', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 1', NULL, NULL, NULL, 15),
(155525, NULL, 'PTHR43900:SF48', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F2-RELATED', NULL, NULL, NULL, 15),
(155526, NULL, 'PTHR12489:SF1', NULL, NULL, NULL, NULL, 'LP10272P', NULL, NULL, NULL, 15),
(155527, NULL, 'PTHR36052:SF1', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(155528, NULL, 'PTHR26453:SF604', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 4 SUBFAMILY D MEMBER 5', NULL, NULL, NULL, 15),
(155529, NULL, 'PTHR33541:SF9', NULL, NULL, NULL, NULL, 'PROTEIN BIG GRAIN 1-LIKE', NULL, NULL, NULL, 15),
(155530, NULL, 'PTHR13149', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN VPS25', NULL, NULL, 13078, 15),
(155531, NULL, 'PTHR11516:SF62', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(155532, NULL, 'PTHR48008:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE IMK3-RELATED', NULL, NULL, NULL, 15),
(155533, NULL, 'PTHR23502:SF51', NULL, NULL, NULL, NULL, 'QUINIDINE RESISTANCE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(155534, NULL, 'PTHR24061:SF521', NULL, NULL, NULL, NULL, 'MCG130577-RELATED', NULL, NULL, NULL, 15),
(155535, NULL, 'PTHR45974:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155536, NULL, 'PTHR31054', NULL, NULL, NULL, NULL, 'ZYGOTE ARREST PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, 25185, 15),
(155537, NULL, 'PTHR37748', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155538, NULL, 'PTHR24068:SF281', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2D 2 (UBC4/5 HOMOLOG, YEAST)-RELATED', NULL, NULL, NULL, 15),
(155539, NULL, 'PTHR31080:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155540, NULL, 'PTHR48053', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(155541, NULL, 'PTHR31901:SF43', NULL, NULL, NULL, NULL, '4-SUBSTITUTED BENZOATES-GLUTAMATE LIGASE GH3.12', NULL, NULL, NULL, 15),
(155542, NULL, 'PTHR10772:SF37', NULL, NULL, NULL, NULL, 'GROES-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155543, NULL, 'PTHR46561:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG16352', NULL, NULL, NULL, 15),
(155544, NULL, 'PTHR13829', NULL, NULL, NULL, NULL, 'SNRNP CORE PROTEIN FAMILY MEMBER', NULL, NULL, 19773, 15),
(155545, NULL, 'PTHR27003:SF89', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155546, NULL, 'PTHR24042', NULL, NULL, NULL, NULL, 'NEL HOMOLOG', NULL, NULL, NULL, 15),
(155547, NULL, 'PTHR38839:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR WHIB', NULL, NULL, NULL, 15),
(155548, NULL, 'PTHR47993:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155549, NULL, 'PTHR47978:SF3', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA4D-LIKE', NULL, NULL, NULL, 15),
(155550, NULL, 'PTHR11132:SF321', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER 3', NULL, NULL, NULL, 15),
(155551, NULL, 'PTHR11638:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155552, NULL, 'PTHR33138:SF60', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.8', NULL, NULL, NULL, 15),
(155553, NULL, 'PTHR16983:SF28', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX, LOCUS M', NULL, NULL, NULL, 15),
(155554, NULL, 'PTHR43649:SF12', NULL, NULL, NULL, NULL, 'ARABINOSE-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155555, NULL, 'PTHR10209:SF751', NULL, NULL, NULL, NULL, 'OS06G0255100 PROTEIN', NULL, NULL, NULL, 15),
(155556, NULL, 'PTHR31356:SF47', NULL, NULL, NULL, NULL, 'BNAC08G02340D PROTEIN', NULL, NULL, NULL, 15),
(155557, NULL, 'PTHR11533:SF174', NULL, NULL, NULL, NULL, 'PUROMYCIN-SENSITIVE AMINOPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(155558, NULL, 'PTHR16423:SF3', NULL, NULL, NULL, NULL, 'TREM-LIKE TRANSCRIPT 2 PROTEIN', NULL, NULL, NULL, 15),
(155559, NULL, 'PTHR31304:SF21', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 41-LIKE', NULL, NULL, NULL, 15),
(155560, NULL, 'PTHR33124:SF86', NULL, NULL, NULL, NULL, 'BNAA01G06640D PROTEIN', NULL, NULL, NULL, 15),
(155561, NULL, 'PTHR28032:SF1', NULL, NULL, NULL, NULL, 'FI02826P', NULL, NULL, NULL, 15),
(155562, NULL, 'PTHR45808:SF4', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 8', NULL, NULL, NULL, 15),
(155563, NULL, 'PTHR46475:SF13', NULL, NULL, NULL, NULL, 'BNAA02G23720D PROTEIN', NULL, NULL, NULL, 15),
(155564, NULL, 'PTHR46066', NULL, NULL, NULL, NULL, 'CHITINASE DOMAIN-CONTAINING PROTEIN 1 FAMILY MEMBER', NULL, NULL, NULL, 15),
(155565, NULL, 'PTHR24559:SF311', NULL, NULL, NULL, NULL, 'AGL178WP', NULL, NULL, NULL, 15),
(155566, NULL, 'PTHR19433:SF103', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 10', NULL, NULL, NULL, 15),
(155567, NULL, 'PTHR31001:SF49', NULL, NULL, NULL, NULL, 'COL-23', NULL, NULL, NULL, 15),
(155568, NULL, 'PTHR12763', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(155569, NULL, 'PTHR31549:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155570, NULL, 'PTHR33543:SF10', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN', NULL, NULL, NULL, 15),
(155571, NULL, 'PTHR22950:SF323', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT6C', NULL, NULL, NULL, 15),
(155572, NULL, 'PTHR33244:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155573, NULL, 'PTHR36195:SF5', NULL, NULL, NULL, NULL, 'BYS1 FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G04533)', NULL, NULL, NULL, 15),
(155574, NULL, 'PTHR31116:SF35', NULL, NULL, NULL, NULL, 'GMP SYNTHASE [GLUTAMINE-HYDROLYZING]-RELATED', NULL, NULL, NULL, 15),
(155575, NULL, 'PTHR31223:SF73', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG5', NULL, NULL, NULL, 15),
(155576, NULL, 'PTHR42834', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G09210)', NULL, NULL, NULL, 15),
(155577, NULL, 'PTHR23267:SF379', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 2-24', NULL, NULL, NULL, 15),
(155578, NULL, 'PTHR47932:SF30', NULL, NULL, NULL, NULL, 'GENOMES UNCOUPLED1', NULL, NULL, NULL, 15),
(155579, NULL, 'PTHR22753:SF34', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155580, NULL, 'PTHR32303:SF18', NULL, NULL, NULL, NULL, 'POLYVINYLALCOHOL DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(155581, NULL, 'PTHR39244:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155582, NULL, 'PTHR32133:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155583, NULL, 'PTHR24282:SF154', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP749A22-LIKE', NULL, NULL, NULL, 15),
(155584, NULL, 'PTHR20961:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155585, NULL, 'PTHR23315', NULL, NULL, NULL, NULL, 'U BOX DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(155586, NULL, 'PTHR24221:SF568', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(155587, NULL, 'PTHR15481:SF0', NULL, NULL, NULL, NULL, 'LD23870P-RELATED', NULL, NULL, NULL, 15),
(155588, NULL, 'PTHR22917:SF8', NULL, NULL, NULL, NULL, 'PROTEOGLYCAN 4A', NULL, NULL, NULL, 15),
(155589, NULL, 'PTHR24028:SF296', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 1 GAMMA 18-RELATED', NULL, NULL, NULL, 15),
(155590, NULL, 'PTHR43809:SF1', NULL, NULL, NULL, NULL, 'NITRITE REDUCTASE (NADH) LARGE SUBUNIT', NULL, NULL, NULL, 15),
(155591, NULL, 'PTHR24012:SF753', NULL, NULL, NULL, NULL, 'RNA-BINDING POST-TRANSCRIPTIONAL REGULATOR CSX1', NULL, NULL, NULL, 15),
(155592, NULL, 'PTHR14905:SF7', NULL, NULL, NULL, NULL, 'HET-C DOMAIN PROTEIN HETC (AFU_ORTHOLOGUE AFUA_2G15840)', NULL, NULL, NULL, 15),
(155593, NULL, 'PTHR10423:SF5', NULL, NULL, NULL, NULL, 'INSULIN LIKE 3', NULL, NULL, NULL, 15),
(155594, NULL, 'PTHR33408:SF2', NULL, NULL, NULL, NULL, 'TRANSPOSASE', NULL, NULL, NULL, 15),
(155595, NULL, 'PTHR13675:SF2', NULL, NULL, NULL, NULL, 'LYRM2 ISOFORM 3', NULL, NULL, NULL, 15),
(155596, NULL, 'PTHR11528:SF104', NULL, NULL, NULL, NULL, 'BNAA02G35440D PROTEIN', NULL, NULL, NULL, 15),
(155597, NULL, 'PTHR31190:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155598, NULL, 'PTHR24177:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155599, NULL, 'PTHR10489:SF923', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR 1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(155600, NULL, 'PTHR37760', NULL, NULL, NULL, NULL, 'CHAPERONE', NULL, NULL, NULL, 15),
(155601, NULL, 'PTHR11011:SF65', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(155602, NULL, 'PTHR10131:SF139', NULL, NULL, NULL, NULL, 'NEUROFILAMENT HEAVY POLYPEPTIDE-LIKE', NULL, NULL, NULL, 15),
(155603, NULL, 'PTHR45781:SF3', NULL, NULL, NULL, NULL, 'TOX HIGH MOBILITY GROUP BOX FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(155604, NULL, 'PTHR31276:SF4', NULL, NULL, NULL, NULL, 'DUF617 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155605, NULL, 'PTHR16219:SF1', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(155606, NULL, 'PTHR26312:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155607, NULL, 'PTHR38926:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155608, NULL, 'PTHR13408:SF8', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(155609, NULL, 'PTHR48017:SF6', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 4', NULL, NULL, NULL, 15),
(155610, NULL, 'PTHR10291', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE FAMILY MEMBER', NULL, NULL, 3042, 15),
(155611, NULL, 'PTHR21257:SF51', NULL, NULL, NULL, NULL, 'BNACNNG50210D PROTEIN', NULL, NULL, NULL, 15),
(155612, NULL, 'PTHR11571:SF224', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC PROSTAGLANDIN D SYNTHASE', NULL, NULL, NULL, 15),
(155613, NULL, 'PTHR31639:SF226', NULL, NULL, NULL, NULL, 'BNAA04G27260D PROTEIN', NULL, NULL, NULL, 15),
(155614, NULL, 'PTHR23151:SF88', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(155615, NULL, 'PTHR30055:SF164', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(155616, NULL, 'PTHR23073:SF114', NULL, NULL, NULL, NULL, 'AAA SUPERFAMILY ATPASE', NULL, NULL, NULL, 15),
(155617, NULL, 'PTHR37771:SF2', NULL, NULL, NULL, NULL, 'OS02G0593400 PROTEIN', NULL, NULL, NULL, 15),
(155618, NULL, 'PTHR14017:SF19', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJD-3.1', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155619, NULL, 'PTHR11771:SF151', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(155620, NULL, 'PTHR12482:SF5', NULL, NULL, NULL, NULL, 'F19C14.4 PROTEIN', NULL, NULL, NULL, 15),
(155621, NULL, 'PTHR42874', NULL, NULL, NULL, NULL, 'URICASE', NULL, NULL, 1428, 15),
(155622, NULL, 'PTHR24327:SF28', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DLX-3', NULL, NULL, NULL, 15),
(155623, NULL, 'PTHR10903:SF155', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC556402-RELATED', NULL, NULL, NULL, 15),
(155624, NULL, 'PTHR11339:SF386', NULL, NULL, NULL, NULL, 'PROTEIN CBG11501', NULL, NULL, NULL, 15),
(155625, NULL, 'PTHR10314:SF179', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(155626, NULL, 'PTHR11615:SF276', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1D2', NULL, NULL, NULL, 15),
(155627, NULL, 'PTHR34182', NULL, NULL, NULL, NULL, 'PROTEIN-EXPORT MEMBRANE PROTEIN SECG', NULL, NULL, 3429, 15),
(155628, NULL, 'PTHR23503:SF25', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2 MEMBER 15A-RELATED', NULL, NULL, NULL, 15),
(155629, NULL, 'PTHR23113:SF237', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155630, NULL, 'PTHR48100:SF40', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155631, NULL, 'PTHR37256:SF5', NULL, NULL, NULL, NULL, 'BNAA02G05390D PROTEIN', NULL, NULL, NULL, 15),
(155632, NULL, 'PTHR33083:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155633, NULL, 'PTHR10209:SF492', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155634, NULL, 'PTHR28666:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 240', NULL, NULL, NULL, 15),
(155635, NULL, 'PTHR33295:SF18', NULL, NULL, NULL, NULL, 'ATPASE', NULL, NULL, NULL, 15),
(155636, NULL, 'PTHR11857:SF40', NULL, NULL, NULL, NULL, 'GENERAL ODORANT-BINDING PROTEIN 57C-RELATED', NULL, NULL, NULL, 15),
(155637, NULL, 'PTHR45820:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155638, NULL, 'PTHR35132:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155639, NULL, 'PTHR43418:SF7', NULL, NULL, NULL, NULL, 'CARBAMOYL-PHOSPHATE SYNTHASE SMALL CHAIN', NULL, NULL, NULL, 15),
(155640, NULL, 'PTHR48100:SF32', NULL, NULL, NULL, NULL, 'ANCHORED PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G10590)-RELATED', NULL, NULL, NULL, 15),
(155641, NULL, 'PTHR36419:SF1', NULL, NULL, NULL, NULL, 'ARRESTIN FAMILY PROTEIN 1', NULL, NULL, NULL, 15),
(155642, NULL, 'PTHR33734:SF22', NULL, NULL, NULL, NULL, 'TRANSGLYCOSYLASE, SLT FAMILY', NULL, NULL, NULL, 15),
(155643, NULL, 'PTHR11101:SF90', NULL, NULL, NULL, NULL, 'SULFATE PERMEASE CYSP', NULL, NULL, NULL, 15),
(155644, NULL, 'PTHR11913:SF84', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 2', NULL, NULL, NULL, 15),
(155645, NULL, 'PTHR22791:SF12', NULL, NULL, NULL, NULL, 'ZGC:165481', NULL, NULL, NULL, 15),
(155646, NULL, 'PTHR22932:SF14', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONE-RELATED', NULL, NULL, NULL, 15),
(155647, NULL, 'PTHR16134:SF55', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 19-RELATED', NULL, NULL, NULL, 15),
(155648, NULL, 'PTHR36862:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 428', NULL, NULL, NULL, 15),
(155649, NULL, 'PTHR24343:SF427', NULL, NULL, NULL, NULL, 'BNAC08G14640D PROTEIN', NULL, NULL, NULL, 15),
(155650, NULL, 'PTHR10809:SF128', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 2-2-LIKE', NULL, NULL, NULL, 15),
(155651, NULL, 'PTHR43129:SF1', NULL, NULL, NULL, NULL, 'FOSMIDOMYCIN RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(155652, NULL, 'PTHR31248', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G04290)-RELATED', NULL, NULL, NULL, 15),
(155653, NULL, 'PTHR21593:SF31', NULL, NULL, NULL, NULL, 'PROTEIN CBG05953', NULL, NULL, NULL, 15),
(155654, NULL, 'PTHR31992:SF109', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.6', NULL, NULL, NULL, 15),
(155655, NULL, 'PTHR23158:SF38', NULL, NULL, NULL, NULL, 'MELANOMA INHIBITORY ACTIVITY PROTEIN 2', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155656, NULL, 'PTHR10547:SF2', NULL, NULL, NULL, NULL, 'SEMINAL VESICLE PROTEIN, SECRETION 2', NULL, NULL, NULL, 15),
(155657, NULL, 'PTHR24230:SF128', NULL, NULL, NULL, NULL, 'SI:DKEY-148A17.5-RELATED', NULL, NULL, NULL, 15),
(155658, NULL, 'PTHR44216:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND TETRATRICOPEPTIDE REPEAT-CONTAINING 2A', NULL, NULL, NULL, 15),
(155659, NULL, 'PTHR43019:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155660, NULL, 'PTHR34355:SF11', NULL, NULL, NULL, NULL, 'BNAA04G28500D PROTEIN', NULL, NULL, NULL, 15),
(155661, NULL, 'PTHR45770:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155662, NULL, 'PTHR48043:SF74', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(155663, NULL, 'PTHR46201:SF3', NULL, NULL, NULL, NULL, 'OS01G0877500 PROTEIN', NULL, NULL, NULL, 15),
(155664, NULL, 'PTHR24376:SF83', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 615', NULL, NULL, NULL, 15),
(155665, NULL, 'PTHR31917:SF65', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155666, NULL, 'PTHR27002:SF739', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155667, NULL, 'PTHR24015:SF379', NULL, NULL, NULL, NULL, 'OS11G0433100 PROTEIN', NULL, NULL, NULL, 15),
(155668, NULL, 'PTHR21859:SF48', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 31A1-RELATED', NULL, NULL, NULL, 15),
(155669, NULL, 'PTHR18896:SF170', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(155670, NULL, 'PTHR22597:SF16', NULL, NULL, NULL, NULL, 'EMBRYONIC FLOWER 2', NULL, NULL, NULL, 15),
(155671, NULL, 'PTHR47926:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155672, NULL, 'PTHR46107', NULL, NULL, NULL, NULL, 'DUMPY: SHORTER THAN WILD-TYPE', NULL, NULL, NULL, 15),
(155673, NULL, 'PTHR11850:SF98', NULL, NULL, NULL, NULL, 'PRE-B-CELL LEUKEMIA TRANSCRIPTION FACTOR 4', NULL, NULL, NULL, 15),
(155674, NULL, 'PTHR31257:SF3', NULL, NULL, NULL, NULL, 'RICIN B-LIKE LECTIN R40C1', NULL, NULL, NULL, 15),
(155675, NULL, 'PTHR33248:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155676, NULL, 'PTHR31236:SF51', NULL, NULL, NULL, NULL, 'BNAC02G48560D PROTEIN', NULL, NULL, NULL, 15),
(155677, NULL, 'PTHR23253:SF35', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4G', NULL, NULL, NULL, 15),
(155678, NULL, 'PTHR46506:SF15', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(155679, NULL, 'PTHR23430:SF281', NULL, NULL, NULL, NULL, 'HISTONE H2A.5-RELATED', NULL, NULL, NULL, 15),
(155680, NULL, 'PTHR12482:SF24', NULL, NULL, NULL, NULL, 'LIPASE YOR059C-RELATED', NULL, NULL, NULL, 15),
(155681, NULL, 'PTHR22692:SF12', NULL, NULL, NULL, NULL, 'MYOSIN-VIIA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155682, NULL, 'PTHR22890:SF5', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 11', NULL, NULL, NULL, 15),
(155683, NULL, 'PTHR31314:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155684, NULL, 'PTHR45657:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155685, NULL, 'PTHR32285:SF291', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 11', NULL, NULL, NULL, 15),
(155686, NULL, 'PTHR36864', NULL, NULL, NULL, NULL, 'CANCER-ASSOCIATED GENE 1 PROTEIN', NULL, NULL, NULL, 15),
(155687, NULL, 'PTHR11153:SF8', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-1-3', NULL, NULL, NULL, 15),
(155688, NULL, 'PTHR37784:SF4', NULL, NULL, NULL, NULL, 'AEL308WP', NULL, NULL, NULL, 15),
(155689, NULL, 'PTHR47925:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155690, NULL, 'PTHR42884:SF10', NULL, NULL, NULL, NULL, 'ENDOPROTEASE AEX-5', NULL, NULL, NULL, 15),
(155691, NULL, 'PTHR43430', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE HOMOLOG', NULL, NULL, NULL, 15),
(155692, NULL, 'PTHR35101', NULL, NULL, NULL, NULL, 'OS02G0162600 PROTEIN', NULL, NULL, NULL, 15),
(155693, NULL, 'PTHR11685:SF366', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155694, NULL, 'PTHR32285:SF250', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155695, NULL, 'PTHR46313:SF2', NULL, NULL, NULL, NULL, 'CAROTENE ISOMERASE', NULL, NULL, NULL, 15),
(155696, NULL, 'PTHR32382:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155697, NULL, 'PTHR11455:SF3', NULL, NULL, NULL, NULL, 'CRYPTOCHROME-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155698, NULL, 'PTHR47992:SF72', NULL, NULL, NULL, NULL, 'PHOSPHATASE 2C FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155699, NULL, 'PTHR43795', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ASPARTATE AMINOTRANSFERASE AND GLUTAMATE/ASPARTATE-PREPHENATE AMINOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(155700, NULL, 'PTHR45663:SF23', NULL, NULL, NULL, NULL, 'THIOREDOXIN M1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(155701, NULL, 'PTHR47977:SF9', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABD2B', NULL, NULL, NULL, 15),
(155702, NULL, 'PTHR31104:SF10', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA-GLUCOSAMINYL)ASPARAGINE AMIDASE A', NULL, NULL, NULL, 15),
(155703, NULL, 'PTHR45848:SF3', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE-LIKE', NULL, NULL, NULL, 15),
(155704, NULL, 'PTHR12411:SF688', NULL, NULL, NULL, NULL, 'OS09G0564600 PROTEIN', NULL, NULL, NULL, 15),
(155705, NULL, 'PTHR11132:SF285', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-SUGAR TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155706, NULL, 'PTHR31945:SF115', NULL, NULL, NULL, NULL, 'BNAA09G46800D PROTEIN', NULL, NULL, NULL, 15),
(155707, NULL, 'PTHR15359:SF5', NULL, NULL, NULL, NULL, 'PURKINJE CELL PROTEIN 4-LIKE PROTEIN 1', NULL, NULL, 34158, 15),
(155708, NULL, 'PTHR13392:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155709, NULL, 'PTHR43719:SF43', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE CKI1', NULL, NULL, NULL, 15),
(155710, NULL, 'PTHR47985:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155711, NULL, 'PTHR31677:SF139', NULL, NULL, NULL, NULL, 'ERF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155712, NULL, 'PTHR43381', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-2-RELATED', NULL, NULL, 11904, 15),
(155713, NULL, 'PTHR44329:SF77', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY17', NULL, NULL, NULL, 15),
(155714, NULL, 'PTHR48047:SF17', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 86A1', NULL, NULL, NULL, 15),
(155715, NULL, 'PTHR24376:SF154', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 729', NULL, NULL, NULL, 15),
(155716, NULL, 'PTHR24145:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(155717, NULL, 'PTHR30121', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YJGR-RELATED', NULL, NULL, NULL, 15),
(155718, NULL, 'PTHR31747:SF3', NULL, NULL, NULL, NULL, 'PROTEIN LSD1', NULL, NULL, NULL, 15),
(155719, NULL, 'PTHR11210:SF54', NULL, NULL, NULL, NULL, 'RING-BOX PROTEIN 1A-LIKE', NULL, NULL, NULL, 15),
(155720, NULL, 'PTHR48062:SF24', NULL, NULL, NULL, NULL, 'DNA-DAMAGE-REPAIR/TOLERATION PROTEIN DRT100-LIKE', NULL, NULL, NULL, 15),
(155721, NULL, 'PTHR11362:SF89', NULL, NULL, NULL, NULL, 'LOCUS T-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155722, NULL, 'PTHR19315', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 4', NULL, NULL, 8398, 15),
(155723, NULL, 'PTHR23237:SF6', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(155724, NULL, 'PTHR11005:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155725, NULL, 'PTHR45980:SF9', NULL, NULL, NULL, NULL, 'DO-LIKE 15 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155726, NULL, 'PTHR24377:SF893', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 454', NULL, NULL, NULL, 15),
(155727, NULL, 'PTHR24366:SF87', NULL, NULL, NULL, NULL, 'KEK6, ISOFORM B', NULL, NULL, NULL, 15),
(155728, NULL, 'PTHR46236:SF23', NULL, NULL, NULL, NULL, 'BNAUNNG04670D PROTEIN', NULL, NULL, NULL, 15),
(155729, NULL, 'PTHR31698:SF5', NULL, NULL, NULL, NULL, 'LYSOZYME G-LIKE PROTEIN 1', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155730, NULL, 'PTHR43091', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE', NULL, NULL, NULL, 15),
(155731, NULL, 'PTHR31867:SF152', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(155732, NULL, 'PTHR13832:SF752', NULL, NULL, NULL, NULL, 'BNAA05G09980D PROTEIN', NULL, NULL, NULL, 15),
(155733, NULL, 'PTHR33935:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(155734, NULL, 'PTHR31852:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155735, NULL, 'PTHR31374:SF329', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(155736, NULL, 'PTHR12964:SF3', NULL, NULL, NULL, NULL, 'BNAA05G26780D PROTEIN', NULL, NULL, NULL, 15),
(155737, NULL, 'PTHR45676:SF78', NULL, NULL, NULL, NULL, 'OS06G0271600 PROTEIN', NULL, NULL, NULL, 15),
(155738, NULL, 'PTHR31805', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE, PUTATIVE (DUF1421)-RELATED', NULL, NULL, NULL, 15),
(155739, NULL, 'PTHR24093:SF378', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE I-RELATED', NULL, NULL, NULL, 15),
(155740, NULL, 'PTHR28027:SF1', NULL, NULL, NULL, NULL, 'CAMP INDEPENDENT REGULATORY PROTEIN (AFU_ORTHOLOGUE AFUA_3G09640)', NULL, NULL, NULL, 15),
(155741, NULL, 'PTHR47629:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG10704', NULL, NULL, NULL, 15),
(155742, NULL, 'PTHR31963:SF12', NULL, NULL, NULL, NULL, 'OS02G0566400 PROTEIN', NULL, NULL, NULL, 15),
(155743, NULL, 'PTHR23055:SF13', NULL, NULL, NULL, NULL, 'GUANYLYL CYCLASE-ACTIVATING PROTEIN 1', NULL, NULL, 34123, 15),
(155744, NULL, 'PTHR22893:SF111', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE-LIKE PROTEIN 2A-RELATED', NULL, NULL, NULL, 15),
(155745, NULL, 'PTHR31936', NULL, NULL, NULL, NULL, 'PROTEIN CBG18744', NULL, NULL, NULL, 15),
(155746, NULL, 'PTHR11620:SF69', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L23, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(155747, NULL, 'PTHR13887:SF45', NULL, NULL, NULL, NULL, 'BLL2497 PROTEIN', NULL, NULL, NULL, 15),
(155748, NULL, 'PTHR42901', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(155749, NULL, 'PTHR11066', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE', NULL, NULL, 2185, 15),
(155750, NULL, 'PTHR12549:SF52', NULL, NULL, NULL, NULL, 'OS02G0828900 PROTEIN', NULL, NULL, NULL, 15),
(155751, NULL, 'PTHR48111:SF43', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(155752, NULL, 'PTHR11771:SF167', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(155753, NULL, 'PTHR47938:SF10', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(155754, NULL, 'PTHR47283:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155755, NULL, 'PTHR24298:SF836', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 81, SUBFAMILY D, POLYPEPTIDE 2-RELATED', NULL, NULL, NULL, 15),
(155756, NULL, 'PTHR10695:SF46', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL COENZYME A SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(155757, NULL, 'PTHR27008:SF481', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155758, NULL, 'PTHR24161:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155759, NULL, 'PTHR10844:SF3', NULL, NULL, NULL, NULL, 'CAVEOLIN-2', NULL, NULL, 36216, 15),
(155760, NULL, 'PTHR12766:SF7', NULL, NULL, NULL, NULL, 'DEATH DOMAIN-ASSOCIATED PROTEIN 6', NULL, NULL, 528, 15),
(155761, NULL, 'PTHR37259:SF4', NULL, NULL, NULL, NULL, 'BNAA02G04150D PROTEIN', NULL, NULL, NULL, 15),
(155762, NULL, 'PTHR45615:SF35', NULL, NULL, NULL, NULL, 'MYOSIN-8', NULL, NULL, NULL, 15),
(155763, NULL, 'PTHR19957:SF306', NULL, NULL, NULL, NULL, 'TARGET SNARE COILED-COIL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155764, NULL, 'PTHR48022:SF1', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G06720)-RELATED', NULL, NULL, NULL, 15),
(155765, NULL, 'PTHR23502:SF170', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155766, NULL, 'PTHR10857:SF125', NULL, NULL, NULL, NULL, 'COPINE VIII', NULL, NULL, NULL, 15),
(155767, NULL, 'PTHR10809:SF134', NULL, NULL, NULL, NULL, 'BNACNNG31750D PROTEIN', NULL, NULL, NULL, 15),
(155768, NULL, 'PTHR23087:SF10', NULL, NULL, NULL, NULL, 'NON-HISTONE CHROMOSOMAL PROTEIN HMG-14A', NULL, NULL, NULL, 15),
(155769, NULL, 'PTHR15692:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155770, NULL, 'PTHR27003:SF383', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155771, NULL, 'PTHR39188', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED ZINC METALLOPROTEASE M50B', NULL, NULL, NULL, 15),
(155772, NULL, 'PTHR13448:SF7', NULL, NULL, NULL, NULL, 'BNAC06G31930D PROTEIN', NULL, NULL, NULL, 15),
(155773, NULL, 'PTHR43373:SF1', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT A1', NULL, NULL, NULL, 15),
(155774, NULL, 'PTHR34464', NULL, NULL, NULL, NULL, 'OS09G0376300 PROTEIN', NULL, NULL, NULL, 15),
(155775, NULL, 'PTHR12834', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 9 KDA PROTEIN', NULL, NULL, 29964, 15),
(155776, NULL, 'PTHR36016:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155777, NULL, 'PTHR37009', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155778, NULL, 'PTHR23073:SF8', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 6B', NULL, NULL, NULL, 15),
(155779, NULL, 'PTHR45947:SF3', NULL, NULL, NULL, NULL, 'SULFOQUINOVOSYL TRANSFERASE SQD2', NULL, NULL, NULL, 15),
(155780, NULL, 'PTHR31375:SF26', NULL, NULL, NULL, NULL, 'OS05G0279900 PROTEIN', NULL, NULL, NULL, 15),
(155781, NULL, 'PTHR45878:SF27', NULL, NULL, NULL, NULL, 'WIP DOMAIN PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(155782, NULL, 'PTHR27006:SF419', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', NULL, NULL, NULL, 15),
(155783, NULL, 'PTHR12299:SF29', NULL, NULL, NULL, NULL, 'PLASMINOGEN ACTIVATOR INHIBITOR 1 RNA-BINDING PROTEIN', NULL, NULL, 25373, 15),
(155784, NULL, 'PTHR11206:SF418', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(155785, NULL, 'PTHR46038:SF46', NULL, NULL, NULL, NULL, 'BNAA09G17310D PROTEIN', NULL, NULL, NULL, 15),
(155786, NULL, 'PTHR11002:SF62', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(155787, NULL, 'PTHR11595:SF75', NULL, NULL, NULL, NULL, 'BNACNNG34540D PROTEIN', NULL, NULL, NULL, 15),
(155788, NULL, 'PTHR34287', NULL, NULL, NULL, NULL, 'OS06G0551500 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155789, NULL, 'PTHR10593:SF133', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(155790, NULL, 'PTHR14619:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NDNF', NULL, NULL, NULL, 15),
(155791, NULL, 'PTHR32204:SF0', NULL, NULL, NULL, NULL, 'ATPASE RAVA', NULL, NULL, NULL, 15),
(155792, NULL, 'PTHR32370:SF125', NULL, NULL, NULL, NULL, 'SKP1/BTB/POZ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155793, NULL, 'PTHR24209:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR INTERACTOR AND REGULATOR LIM FAMILY-RELATED', NULL, NULL, NULL, 15),
(155794, NULL, 'PTHR45648:SF83', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155795, NULL, 'PTHR43070:SF8', NULL, NULL, NULL, NULL, 'ASPARTOKINASE-HOMOSERINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(155796, NULL, 'PTHR46172:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON SUBUNIT 3', NULL, NULL, NULL, 15),
(155797, NULL, 'PTHR31677:SF156', NULL, NULL, NULL, NULL, 'ERF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155798, NULL, 'PTHR47956:SF22', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A12-RELATED', NULL, NULL, NULL, 15),
(155799, NULL, 'PTHR45707:SF42', NULL, NULL, NULL, NULL, 'BNAA09G39430D PROTEIN', NULL, NULL, NULL, 15),
(155800, NULL, 'PTHR27008:SF469', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155801, NULL, 'PTHR47870:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN CCMH', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155802, NULL, 'PTHR43078:SF17', NULL, NULL, NULL, NULL, 'OS03G0278000 PROTEIN', NULL, NULL, NULL, 15),
(155803, NULL, 'PTHR45620:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155804, NULL, 'PTHR45725:SF13', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, DELTA 2 (GRID2)-INTERACTING PROTEIN, A', NULL, NULL, NULL, 15),
(155805, NULL, 'PTHR14453:SF67', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(155806, NULL, 'PTHR43297:SF2', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT ATP-BINDING PROTEIN APPD', NULL, NULL, NULL, 15),
(155807, NULL, 'PTHR18945:SF406', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL 46-RELATED', NULL, NULL, NULL, 15),
(155808, NULL, 'PTHR15486:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155809, NULL, 'PTHR33271', NULL, NULL, NULL, NULL, 'OS04G0445200 PROTEIN', NULL, NULL, NULL, 15),
(155810, NULL, 'PTHR24286:SF44', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 90A1', NULL, NULL, NULL, 15),
(155811, NULL, 'PTHR26374:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155812, NULL, 'PTHR24399:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(155813, NULL, 'PTHR48016:SF15', NULL, NULL, NULL, NULL, 'OS04G0437600 PROTEIN', NULL, NULL, NULL, 15),
(155814, NULL, 'PTHR22926:SF5', NULL, NULL, NULL, NULL, 'PHOSPHO-N-ACETYLMURAMOYL-PENTAPEPTIDE-TRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(155815, NULL, 'PTHR45613:SF344', NULL, NULL, NULL, NULL, '(PPR) REPEAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155816, NULL, 'PTHR16266:SF26', NULL, NULL, NULL, NULL, 'BROMODOMAIN AND WD REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(155817, NULL, 'PTHR10015:SF308', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-2A-LIKE', NULL, NULL, NULL, 15),
(155818, NULL, 'PTHR42771:SF7', NULL, NULL, NULL, NULL, 'ABC-TYPE COBALAMIN/FE3+-SIDEROPHORES TRANSPORT SYSTEM, ATPASE COMPONENT-RELATED', NULL, NULL, NULL, 15),
(155819, NULL, 'PTHR33362:SF4', NULL, NULL, NULL, NULL, '2,3-DIKETO-L-GULONATE TRAP TRANSPORTER LARGE PERMEASE PROTEIN YIAN', NULL, NULL, NULL, 15),
(155820, NULL, 'PTHR34630:SF43', NULL, NULL, NULL, NULL, 'AND NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155821, NULL, 'PTHR13902:SF139', NULL, NULL, NULL, NULL, 'WNK KINASE', NULL, NULL, NULL, 15),
(155822, NULL, 'PTHR45712:SF8', NULL, NULL, NULL, NULL, 'PROLARGIN', NULL, NULL, 27606, 15),
(155823, NULL, 'PTHR48000:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155824, NULL, 'PTHR11933:SF6', NULL, NULL, NULL, NULL, 'TRNA (5-METHYLAMINOMETHYL-2-THIOURIDYLATE)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(155825, NULL, 'PTHR35336', NULL, NULL, NULL, NULL, 'ADENOSYLCOBINAMIDE AMIDOHYDROLASE', NULL, NULL, NULL, 15),
(155826, NULL, 'PTHR47630:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(155827, NULL, 'PTHR32208:SF63', NULL, NULL, NULL, NULL, 'GLYOXAL OXIDASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(155828, NULL, 'PTHR11850:SF212', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(155829, NULL, 'PTHR33065:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155830, NULL, 'PTHR26453:SF123', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6N1', NULL, NULL, NULL, 15),
(155831, NULL, 'PTHR47248', NULL, NULL, NULL, NULL, 'PROTEIN CBG06772', NULL, NULL, NULL, 15),
(155832, NULL, 'PTHR47584:SF14', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(155833, NULL, 'PTHR11082:SF31', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(20A/20B) SYNTHASE [NAD(P)+]-LIKE', NULL, NULL, NULL, 15),
(155834, NULL, 'PTHR11139:SF113', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TOR', NULL, NULL, NULL, 15),
(155835, NULL, 'PTHR24278:SF27', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR XII', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155836, NULL, 'PTHR11746:SF174', NULL, NULL, NULL, NULL, '3-AMINOMETHYLINDOLE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(155837, NULL, 'PTHR47628', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155838, NULL, 'PTHR13386', NULL, NULL, NULL, NULL, 'HISTONE PARYLATION FACTOR 1', NULL, NULL, 15564, 15),
(155839, NULL, 'PTHR19965:SF35', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(155840, NULL, 'PTHR33727:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155841, NULL, 'PTHR24414:SF71', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP6-LIKE', NULL, NULL, NULL, 15),
(155842, NULL, 'PTHR34223:SF61', NULL, NULL, NULL, NULL, 'OS11G0201900 PROTEIN', NULL, NULL, NULL, 15),
(155843, NULL, 'PTHR16450', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 186', NULL, NULL, NULL, 15),
(155844, NULL, 'PTHR11929:SF11', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(155845, NULL, 'PTHR13815:SF7', NULL, NULL, NULL, NULL, 'GOLGIN CANDIDATE 1', NULL, NULL, NULL, 15),
(155846, NULL, 'PTHR32142:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155847, NULL, 'PTHR32285:SF307', NULL, NULL, NULL, NULL, 'BNAA04G29290D PROTEIN', NULL, NULL, NULL, 15),
(155848, NULL, 'PTHR11260:SF608', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTU6', NULL, NULL, NULL, 15),
(155849, NULL, 'PTHR33207:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155850, NULL, 'PTHR10353:SF139', NULL, NULL, NULL, NULL, '6-PHOSPHO-BETA-GLUCOSIDASE GMUD', NULL, NULL, NULL, 15),
(155851, NULL, 'PTHR45622:SF19', NULL, NULL, NULL, NULL, 'PROTEIN TIRA', NULL, NULL, NULL, 15),
(155852, NULL, 'PTHR40053', NULL, NULL, NULL, NULL, 'SPORULATION-CONTROL PROTEIN SPO0M', NULL, NULL, 12662, 15),
(155853, NULL, 'PTHR37169:SF2', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMR SUBUNIT CMR3', NULL, NULL, NULL, 15),
(155854, NULL, 'PTHR31775:SF36', NULL, NULL, NULL, NULL, 'REMORIN-LIKE', NULL, NULL, NULL, 15),
(155855, NULL, 'PTHR11778:SF7', NULL, NULL, NULL, NULL, 'SERINE--TRNA LIGASE, CYTOPLASMIC-RELATED', NULL, NULL, NULL, 15),
(155856, NULL, 'PTHR46761:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155857, NULL, 'PTHR31225:SF137', NULL, NULL, NULL, NULL, 'R-LINALOOL SYNTHASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155858, NULL, 'PTHR48049:SF72', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(155859, NULL, 'PTHR15341:SF5', NULL, NULL, NULL, NULL, 'EXOSOME-ASSOCIATED FACTOR RRP47/DNA STRAND REPAIR C1D-RELATED', NULL, NULL, NULL, 15),
(155860, NULL, 'PTHR30037:SF3', NULL, NULL, NULL, NULL, 'BLR0857 PROTEIN', NULL, NULL, NULL, 15),
(155861, NULL, 'PTHR36364', NULL, NULL, NULL, NULL, 'OS03G0203000 PROTEIN', NULL, NULL, NULL, 15),
(155862, NULL, 'PTHR12121:SF91', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY-RELATED', NULL, NULL, NULL, 15),
(155863, NULL, 'PTHR10649:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155864, NULL, 'PTHR11142:SF23', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(155865, NULL, 'PTHR46641:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG17255', NULL, NULL, NULL, 15),
(155866, NULL, 'PTHR22091:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 77', NULL, NULL, NULL, 15),
(155867, NULL, 'PTHR43833:SF9', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(155868, NULL, 'PTHR15825:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155869, NULL, 'PTHR31312:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB-HB-LIKE FAMILY-RELATED', NULL, NULL, NULL, 15),
(155870, NULL, 'PTHR31499:SF37', NULL, NULL, NULL, NULL, 'OS09G0299000 PROTEIN', NULL, NULL, NULL, 15),
(155871, NULL, 'PTHR31042:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155872, NULL, 'PTHR32100:SF69', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155873, NULL, 'PTHR47958:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155874, NULL, 'PTHR24126:SF43', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(155875, NULL, 'PTHR47301', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC681006', NULL, NULL, 36768, 15),
(155876, NULL, 'PTHR31639:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155877, NULL, 'PTHR48068', NULL, NULL, NULL, NULL, 'TAF9 RNA POLYMERASE II, TATA BOX-BINDING PROTEIN (TBP)-ASSOCIATED FACTOR', NULL, NULL, NULL, 15),
(155878, NULL, 'PTHR45654:SF18', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG8', NULL, NULL, NULL, 15),
(155879, NULL, 'PTHR11760:SF44', NULL, NULL, NULL, NULL, 'BNAC07G33680D PROTEIN', NULL, NULL, NULL, 15),
(155880, NULL, 'PTHR28012:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR FUSION PROTEIN KAR5', NULL, NULL, NULL, 15),
(155881, NULL, 'PTHR11743:SF50', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 3', NULL, NULL, NULL, 15),
(155882, NULL, 'PTHR31327:SF3', NULL, NULL, NULL, NULL, 'MULTIPLE PDZ DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(155883, NULL, 'PTHR46973', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN 2A', NULL, NULL, 38033, 15),
(155884, NULL, 'PTHR23334', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER BINDING PROTEIN', NULL, NULL, NULL, 15),
(155885, NULL, 'PTHR26453:SF59', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1341', NULL, NULL, NULL, 15),
(155886, NULL, 'PTHR23430:SF283', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(155887, NULL, 'PTHR31517:SF57', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(155888, NULL, 'PTHR24353:SF110', NULL, NULL, NULL, NULL, 'DEVELOPMENTALLY-REGULATED PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(155889, NULL, 'PTHR48011:SF73', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE MEKK1', NULL, NULL, NULL, 15),
(155890, NULL, 'PTHR14155:SF529', NULL, NULL, NULL, NULL, 'OS06G0534900 PROTEIN', NULL, NULL, NULL, 15),
(155891, NULL, 'PTHR31692:SF93', NULL, NULL, NULL, NULL, 'BETA-EXPANSIN 5', NULL, NULL, NULL, 15),
(155892, NULL, 'PTHR47926:SF202', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN, DYW DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155893, NULL, 'PTHR34826', NULL, NULL, NULL, NULL, 'UPF0590 PROTEIN C409.17C', NULL, NULL, NULL, 15),
(155894, NULL, 'PTHR19818:SF91', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZIC 4', NULL, NULL, NULL, 15),
(155895, NULL, 'PTHR31595:SF52', NULL, NULL, NULL, NULL, 'MBOAT (MEMBRANE BOUND O-ACYL TRANSFERASE) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155896, NULL, 'PTHR11769:SF19', NULL, NULL, NULL, NULL, 'HYALURONIDASE-3', NULL, NULL, 26345, 15),
(155897, NULL, 'PTHR10201', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE', NULL, NULL, NULL, 15),
(155898, NULL, 'PTHR22884:SF293', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE NSD2', NULL, NULL, NULL, 15),
(155899, NULL, 'PTHR31189:SF66', NULL, NULL, NULL, NULL, 'BNAC04G54760D PROTEIN', NULL, NULL, NULL, 15),
(155900, NULL, 'PTHR24123:SF60', NULL, NULL, NULL, NULL, 'NACHT AND ANKYRIN DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G07030)', NULL, NULL, NULL, 15),
(155901, NULL, 'PTHR23415:SF30', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(155902, NULL, 'PTHR46213:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ROS1C', NULL, NULL, NULL, 15),
(155903, NULL, 'PTHR43884:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155904, NULL, 'PTHR33107:SF66', NULL, NULL, NULL, NULL, 'BNAA07G08350D PROTEIN', NULL, NULL, NULL, 15),
(155905, NULL, 'PTHR19422:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155906, NULL, 'PTHR24064:SF233', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 (ORGANIC ANION TRANSPORTER), MEMBER 8', NULL, NULL, NULL, 15),
(155907, NULL, 'PTHR31251:SF147', NULL, NULL, NULL, NULL, 'BNAC04G23930D PROTEIN', NULL, NULL, NULL, 15),
(155908, NULL, 'PTHR43243:SF80', NULL, NULL, NULL, NULL, 'AMINO ACID/POLYAMINE TRANSPORTER I, CATIONIC AMINO ACID TRANSPORTER-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155909, NULL, 'PTHR24067:SF305', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1', NULL, NULL, NULL, 15),
(155910, NULL, 'PTHR47275', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 1878, 15),
(155911, NULL, 'PTHR11575:SF24', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4933425L06', NULL, NULL, NULL, 15),
(155912, NULL, 'PTHR15434:SF2', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR 2-BINDING PROTEIN', NULL, NULL, NULL, 15),
(155913, NULL, 'PTHR26379:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155914, NULL, 'PTHR43470', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PSTA-RELATED', NULL, NULL, NULL, 15),
(155915, NULL, 'PTHR10334:SF247', NULL, NULL, NULL, NULL, 'OS05G0595000 PROTEIN', NULL, NULL, NULL, 15),
(155916, NULL, 'PTHR31504:SF1', NULL, NULL, NULL, NULL, 'ZW10 INTERACTOR', NULL, NULL, NULL, 15),
(155917, NULL, 'PTHR15405:SF4', NULL, NULL, NULL, NULL, 'PROLINE-RICH NUCLEAR RECEPTOR COACTIVATOR 1', NULL, NULL, NULL, 15),
(155918, NULL, 'PTHR39355:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG20624', NULL, NULL, NULL, 15),
(155919, NULL, 'PTHR24287:SF5', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(155920, NULL, 'PTHR13958:SF5', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 187', NULL, NULL, NULL, 15),
(155921, NULL, 'PTHR33889:SF1', NULL, NULL, NULL, NULL, 'OS06G0345050 PROTEIN', NULL, NULL, NULL, 15),
(155922, NULL, 'PTHR24278:SF20', NULL, NULL, NULL, NULL, 'VITAMIN K-DEPENDENT PROTEIN Z', NULL, NULL, NULL, 15),
(155923, NULL, 'PTHR48009:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155924, NULL, 'PTHR10379', NULL, NULL, NULL, NULL, 'MTG8 ETO  EIGHT TWENTY ONE PROTEIN', NULL, NULL, 8689, 15),
(155925, NULL, 'PTHR47674:SF3', NULL, NULL, NULL, NULL, 'SAGA-ASSOCIATED FACTOR 11', NULL, NULL, NULL, 15),
(155926, NULL, 'PTHR31956:SF32', NULL, NULL, NULL, NULL, 'NON-SPECIFIC PHOSPHOLIPASE C3', NULL, NULL, NULL, 15),
(155927, NULL, 'PTHR10108:SF1119', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT2-RELATED', NULL, NULL, NULL, 15),
(155928, NULL, 'PTHR31774', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-9-RELATED', NULL, NULL, 28584, 15),
(155929, NULL, 'PTHR28448:SF1', NULL, NULL, NULL, NULL, 'UPF0728 PROTEIN C10ORF53', NULL, NULL, NULL, 15),
(155930, NULL, 'PTHR46196:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(155931, NULL, 'PTHR16517:SF118', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(155932, NULL, 'PTHR22911:SF104', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(155933, NULL, 'PTHR28604', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 29242, 15),
(155934, NULL, 'PTHR14871', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 9', NULL, NULL, 38397, 15),
(155935, NULL, 'PTHR26450:SF105', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(155936, NULL, 'PTHR47535', NULL, NULL, NULL, NULL, 'MUSCLE-SPECIFIC PROTEIN 300 KDA, ISOFORM G', NULL, NULL, NULL, 15),
(155937, NULL, 'PTHR11132:SF284', NULL, NULL, NULL, NULL, 'DMT FAMILY TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(155938, NULL, 'PTHR21301:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155939, NULL, 'PTHR19229:SF231', NULL, NULL, NULL, NULL, 'BNAA06G17170D PROTEIN', NULL, NULL, NULL, 15),
(155940, NULL, 'PTHR23354:SF69', NULL, NULL, NULL, NULL, 'OXIDATION RESISTANCE PROTEIN 1', NULL, NULL, NULL, 15),
(155941, NULL, 'PTHR10288:SF268', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS K-LIKE PROTEINY DOMAIN', NULL, NULL, NULL, 15),
(155942, NULL, 'PTHR47907:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155943, NULL, 'PTHR31001:SF61', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(155944, NULL, 'PTHR21292:SF12', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(155945, NULL, 'PTHR42760:SF81', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE FAMILY MEMBER 4', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155946, NULL, 'PTHR43884:SF33', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE (ACD-6)', NULL, NULL, NULL, 15),
(155947, NULL, 'PTHR31652', NULL, NULL, NULL, NULL, 'LIMR FAMILY PROTEIN DDB_G0283707-RELATED', NULL, NULL, NULL, 15),
(155948, NULL, 'PTHR11649:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155949, NULL, 'PTHR24024:SF13', NULL, NULL, NULL, NULL, 'PULMONARY SURFACTANT-ASSOCIATED PROTEIN A1', NULL, NULL, NULL, 15),
(155950, NULL, 'PTHR11783:SF243', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(155951, NULL, 'PTHR20859:SF43', NULL, NULL, NULL, NULL, 'INTERLEUKIN-10 RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(155952, NULL, 'PTHR31666', NULL, NULL, NULL, NULL, 'PROTEIN CXORF40A-RELATED', NULL, NULL, 32346, 15),
(155953, NULL, 'PTHR11945:SF482', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL80', NULL, NULL, NULL, 15),
(155954, NULL, 'PTHR22844:SF353', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE B-LIKE', NULL, NULL, NULL, 15),
(155955, NULL, 'PTHR46205:SF4', NULL, NULL, NULL, NULL, 'LD06392P', NULL, NULL, NULL, 15),
(155956, NULL, 'PTHR45680:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(155957, NULL, 'PTHR11109:SF11', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE 1', NULL, NULL, NULL, 15),
(155958, NULL, 'PTHR47934:SF7', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(155959, NULL, 'PTHR34054:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(155960, NULL, 'PTHR13362:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S33, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(155961, NULL, 'PTHR21649:SF124', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(155962, NULL, 'PTHR33074:SF42', NULL, NULL, NULL, NULL, 'OS09G0557301 PROTEIN', NULL, NULL, NULL, 15),
(155963, NULL, 'PTHR32278:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155964, NULL, 'PTHR14155:SF493', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(155965, NULL, 'PTHR11662:SF433', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', NULL, NULL, NULL, 15),
(155966, NULL, 'PTHR18934:SF217', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE DEAH3-RELATED', NULL, NULL, NULL, 15),
(155967, NULL, 'PTHR11139:SF85', NULL, NULL, NULL, NULL, '3-KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(155968, NULL, 'PTHR15976:SF14', NULL, NULL, NULL, NULL, 'CONSTITUTIVE COACTIVATOR OF PPAR-GAMMA-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(155969, NULL, 'PTHR31707:SF200', NULL, NULL, NULL, NULL, 'PECTIN METHYLESTERASE INHIBITOR', NULL, NULL, NULL, 15),
(155970, NULL, 'PTHR46800:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(155971, NULL, 'PTHR15871:SF10', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY O MEMBER 1-A', NULL, NULL, NULL, 15),
(155972, NULL, 'PTHR45622:SF7', NULL, NULL, NULL, NULL, 'E3 ISG15--PROTEIN LIGASE HERC5', NULL, NULL, NULL, 15),
(155973, NULL, 'PTHR45901:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12474', NULL, NULL, NULL, 15),
(155974, NULL, 'PTHR24282:SF188', NULL, NULL, NULL, NULL, 'BNAA06G32050D PROTEIN', NULL, NULL, NULL, 15),
(155975, NULL, 'PTHR31384:SF146', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 9', NULL, NULL, NULL, 15),
(155976, NULL, 'PTHR33374:SF39', NULL, NULL, NULL, NULL, 'BNAA02G10360D PROTEIN', NULL, NULL, NULL, 15),
(155977, NULL, 'PTHR10730:SF9', NULL, NULL, NULL, NULL, 'INACTIVE GLYCOSYLTRANSFERASE 25 FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(155978, NULL, 'PTHR33548:SF2', NULL, NULL, NULL, NULL, 'OS10G0452500 PROTEIN', NULL, NULL, NULL, 15),
(155979, NULL, 'PTHR48005:SF5', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', NULL, NULL, NULL, 15),
(155980, NULL, 'PTHR11592:SF111', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(155981, NULL, 'PTHR24240:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155982, NULL, 'PTHR31889:SF37', NULL, NULL, NULL, NULL, 'OS06G0212100 PROTEIN', NULL, NULL, NULL, 15),
(155983, NULL, 'PTHR31579:SF14', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SUBUNIT BETA-BETA PROTEIN, PUTATIVE (DUF506)-RELATED', NULL, NULL, NULL, 15),
(155984, NULL, 'PTHR31140:SF76', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR RAV1', NULL, NULL, NULL, 15),
(155985, NULL, 'PTHR31876:SF26', NULL, NULL, NULL, NULL, 'PROTEIN LIKE COV 2', NULL, NULL, NULL, 15),
(155986, NULL, 'PTHR10372:SF1', NULL, NULL, NULL, NULL, 'PLAKOPHILIN-3', NULL, NULL, 22390, 15),
(155987, NULL, 'PTHR32108:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(155988, NULL, 'PTHR12465:SF0', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 20', NULL, NULL, NULL, 15),
(155989, NULL, 'PTHR11885:SF6', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S13', NULL, NULL, NULL, 15),
(155990, NULL, 'PTHR11588:SF365', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(155991, NULL, 'PTHR15907:SF104', NULL, NULL, NULL, NULL, 'DUF614 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G14190)-RELATED', NULL, NULL, NULL, 15),
(155992, NULL, 'PTHR46524:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155993, NULL, 'PTHR11101:SF92', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(155994, NULL, 'PTHR31953:SF95', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 32-RELATED', NULL, NULL, NULL, 15),
(155995, NULL, 'PTHR40422', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 17', NULL, NULL, 32949, 15),
(155996, NULL, 'PTHR48018:SF98', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(155997, NULL, 'PTHR33593:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(155998, NULL, 'PTHR24960:SF70', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(155999, NULL, 'PTHR45801:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JAGGED', NULL, NULL, NULL, 15),
(156000, NULL, 'PTHR31066:SF69', NULL, NULL, NULL, NULL, 'BNAC02G43120D PROTEIN', NULL, NULL, NULL, 15),
(156001, NULL, 'PTHR43740:SF2', NULL, NULL, NULL, NULL, 'LEUCINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(156002, NULL, 'PTHR15241', NULL, NULL, NULL, NULL, 'TRANSFORMER-2-RELATED', NULL, NULL, NULL, 15),
(156003, NULL, 'PTHR45977:SF39', NULL, NULL, NULL, NULL, 'BNAA09G46850D PROTEIN', NULL, NULL, NULL, 15),
(156004, NULL, 'PTHR43680:SF2', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE MOLYBDENUM COFACTOR ASSEMBLY CHAPERONE NARW-RELATED', NULL, NULL, NULL, 15),
(156005, NULL, 'PTHR13999:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156006, NULL, 'PTHR36112:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE J', NULL, NULL, NULL, 15),
(156007, NULL, 'PTHR10780:SF18', NULL, NULL, NULL, NULL, 'LD43650P', NULL, NULL, NULL, 15),
(156008, NULL, 'PTHR47965:SF60', NULL, NULL, NULL, NULL, 'CHITINASE CLP', NULL, NULL, NULL, 15),
(156009, NULL, 'PTHR12499:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156010, NULL, 'PTHR32285:SF212', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 11', NULL, NULL, NULL, 15),
(156011, NULL, 'PTHR30540:SF122', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 9-RELATED', NULL, NULL, NULL, 15),
(156012, NULL, 'PTHR11675:SF118', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(156013, NULL, 'PTHR31744:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156014, NULL, 'PTHR31269:SF49', NULL, NULL, NULL, NULL, 'BNAA02G32730D PROTEIN', NULL, NULL, NULL, 15),
(156015, NULL, 'PTHR24366:SF120', NULL, NULL, NULL, NULL, 'SI:DKEY-28O19.1', NULL, NULL, NULL, 15),
(156016, NULL, 'PTHR10527:SF79', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156017, NULL, 'PTHR36768', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE/DEOXYRIBONUCLEASE SUBUNIT B', NULL, NULL, NULL, 15),
(156018, NULL, 'PTHR24220:SF86', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ABCH.1', NULL, NULL, NULL, 15),
(156019, NULL, 'PTHR11926:SF727', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 74B1', NULL, NULL, NULL, 15),
(156020, NULL, 'PTHR47956:SF47', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D8-LIKE', NULL, NULL, NULL, 15),
(156021, NULL, 'PTHR23017:SF47', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(156022, NULL, 'PTHR37002:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156023, NULL, 'PTHR15116:SF14', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN SATB1', NULL, NULL, NULL, 15),
(156024, NULL, 'PTHR34150:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG08398', NULL, NULL, NULL, 15),
(156025, NULL, 'PTHR10015:SF348', NULL, NULL, NULL, NULL, 'BNACNNG60910D PROTEIN', NULL, NULL, NULL, 15),
(156026, NULL, 'PTHR14239', NULL, NULL, NULL, NULL, 'DUDULIN-RELATED', NULL, NULL, NULL, 15),
(156027, NULL, 'PTHR24282:SF130', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156028, NULL, 'PTHR40711:SF1', NULL, NULL, NULL, NULL, 'DERMCIDIN', NULL, NULL, 22733, 15),
(156029, NULL, 'PTHR13182:SF23', NULL, NULL, NULL, NULL, 'CYTOPLASMIC 60S SUBUNIT BIOGENESIS FACTOR REI1 HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(156030, NULL, 'PTHR45743:SF37', NULL, NULL, NULL, NULL, 'INWARDLY RECTIFYING POTASSIUM CHANNEL SUBUNIT', NULL, NULL, NULL, 15),
(156031, NULL, 'PTHR43349:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156032, NULL, 'PTHR11099:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 35', NULL, NULL, NULL, 15),
(156033, NULL, 'PTHR10288:SF251', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(156034, NULL, 'PTHR10996:SF177', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G01280)-RELATED', NULL, NULL, NULL, 15),
(156035, NULL, 'PTHR22950:SF343', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER SKAT-1-RELATED', NULL, NULL, NULL, 15),
(156036, NULL, 'PTHR34552:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156037, NULL, 'PTHR32467:SF9', NULL, NULL, NULL, NULL, 'APETALA2-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(156038, NULL, 'PTHR44755:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG14864', NULL, NULL, NULL, 15),
(156039, NULL, 'PTHR31174:SF7', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 31-RELATED', NULL, NULL, NULL, 15),
(156040, NULL, 'PTHR21676:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SPEC3', NULL, NULL, NULL, 15),
(156041, NULL, 'PTHR10509:SF71', NULL, NULL, NULL, NULL, 'BNAANNG06470D PROTEIN', NULL, NULL, NULL, 15),
(156042, NULL, 'PTHR35365:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156043, NULL, 'PTHR47803:SF1', NULL, NULL, NULL, NULL, 'TRNA-SPECIFIC ADENOSINE DEAMINASE 1', NULL, NULL, NULL, 15),
(156044, NULL, 'PTHR11005:SF26', NULL, NULL, NULL, NULL, 'LYSOSOMAL ACID LIPASE/CHOLESTERYL ESTER HYDROLASE', NULL, NULL, NULL, 15),
(156045, NULL, 'PTHR31561:SF101', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(156046, NULL, 'PTHR43029:SF8', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 3 MEMBER 3', NULL, NULL, NULL, 15),
(156047, NULL, 'PTHR18945:SF377', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(156048, NULL, 'PTHR31250:SF40', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM3-LIKE', NULL, NULL, NULL, 15),
(156049, NULL, 'PTHR45644:SF8', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 1-A', NULL, NULL, NULL, 15),
(156050, NULL, 'PTHR33284:SF3', NULL, NULL, NULL, NULL, 'BNAA09G52520D PROTEIN', NULL, NULL, NULL, 15),
(156051, NULL, 'PTHR12741:SF22', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 8-RELATED', NULL, NULL, NULL, 15),
(156052, NULL, 'PTHR11926:SF1357', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156053, NULL, 'PTHR30073:SF5', NULL, NULL, NULL, NULL, 'ASPARTATE--AMMONIA LIGASE', NULL, NULL, NULL, 15),
(156054, NULL, 'PTHR32227:SF394', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-RELATED', NULL, NULL, NULL, 15),
(156055, NULL, 'PTHR16134:SF37', NULL, NULL, NULL, NULL, 'PROTEIN AUXIN SIGNALING F-BOX 3-LIKE', NULL, NULL, NULL, 15),
(156056, NULL, 'PTHR31790:SF332', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 12', NULL, NULL, NULL, 15),
(156057, NULL, 'PTHR11819:SF171', NULL, NULL, NULL, NULL, 'SODIUM/MYO-INOSITOL COTRANSPORTER 2', NULL, NULL, NULL, 15),
(156058, NULL, 'PTHR43395:SF8', NULL, NULL, NULL, NULL, 'COMPONENT OF CHEMOTACTIC SIGNAL TRANSDUCTION SYSTEM', NULL, NULL, NULL, 15),
(156059, NULL, 'PTHR48011:SF2', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 19', NULL, NULL, NULL, 15),
(156060, NULL, 'PTHR32026:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156061, NULL, 'PTHR11347:SF32', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT 3'',5''-CYCLIC NUCLEOTIDE PHOSPHODIESTERASE 1C', NULL, NULL, NULL, 15),
(156062, NULL, 'PTHR31503:SF59', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', NULL, NULL, NULL, 15),
(156063, NULL, 'PTHR11440:SF83', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID:DIACYLGLYCEROL ACYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(156064, NULL, 'PTHR32175:SF11', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(156065, NULL, 'PTHR11662:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156066, NULL, 'PTHR42905:SF5', NULL, NULL, NULL, NULL, 'CARBOXYVINYL-CARBOXYPHOSPHONATE PHOSPHORYLMUTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(156067, NULL, 'PTHR33083:SF87', NULL, NULL, NULL, NULL, 'OS01G0727500 PROTEIN', NULL, NULL, NULL, 15),
(156068, NULL, 'PTHR23226:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 394', NULL, NULL, NULL, 15),
(156069, NULL, 'PTHR24056:SF444', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', NULL, NULL, NULL, 15),
(156070, NULL, 'PTHR24055:SF505', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(156071, NULL, 'PTHR32141:SF18', NULL, NULL, NULL, NULL, 'SYNTAXIN-RELATED FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156072, NULL, 'PTHR21649:SF81', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(156073, NULL, 'PTHR31499:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PHR1-LIKE 2', NULL, NULL, NULL, 15),
(156074, NULL, 'PTHR31009:SF85', NULL, NULL, NULL, NULL, 'OS06G0311800 PROTEIN', NULL, NULL, NULL, 15),
(156075, NULL, 'PTHR23273:SF49', NULL, NULL, NULL, NULL, 'BNAA09G53830D PROTEIN', NULL, NULL, NULL, 15),
(156076, NULL, 'PTHR12265:SF34', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(156077, NULL, 'PTHR45656:SF1', NULL, NULL, NULL, NULL, 'SEIZURE PROTEIN 6 HOMOLOG', NULL, NULL, NULL, 15),
(156078, NULL, 'PTHR11188:SF151', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(156079, NULL, 'PTHR31471:SF62', NULL, NULL, NULL, NULL, 'BNAC02G34380D PROTEIN', NULL, NULL, NULL, 15),
(156080, NULL, 'PTHR31225:SF52', NULL, NULL, NULL, NULL, 'ALPHA-HUMULENE/(-)-(E)-BETA-CARYOPHYLLENE SYNTHASE', NULL, NULL, NULL, 15),
(156081, NULL, 'PTHR11850:SF309', NULL, NULL, NULL, NULL, 'BNAANNG09220D PROTEIN', NULL, NULL, NULL, 15),
(156082, NULL, 'PTHR35124:SF3', NULL, NULL, NULL, NULL, 'BNAA03G57420D PROTEIN', NULL, NULL, NULL, 15),
(156083, NULL, 'PTHR46555:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 4A', NULL, NULL, NULL, 15),
(156084, NULL, 'PTHR15371:SF1', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 16-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(156085, NULL, 'PTHR23266:SF254', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION MC101-RELATED', NULL, NULL, NULL, 15),
(156086, NULL, 'PTHR43798:SF6', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13070)-RELATED', NULL, NULL, NULL, 15),
(156087, NULL, 'PTHR11039:SF37', NULL, NULL, NULL, NULL, 'NEBULIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156088, NULL, 'PTHR23264:SF36', NULL, NULL, NULL, NULL, 'CYTOSOLIC FE-S CLUSTER ASSEMBLY FACTOR NBP35', NULL, NULL, NULL, 15),
(156089, NULL, 'PTHR23079:SF24', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(156090, NULL, 'PTHR21397:SF4', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 10', NULL, NULL, 24354, 15),
(156091, NULL, 'PTHR12050:SF3', NULL, NULL, NULL, NULL, 'LEPTIN RECEPTOR GENE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(156092, NULL, 'PTHR12246', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC16', NULL, NULL, 29916, 15),
(156093, NULL, 'PTHR28630:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156094, NULL, 'PTHR47928:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156095, NULL, 'PTHR47376:SF9', NULL, NULL, NULL, NULL, 'UBIQUITIN-RELATED DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156096, NULL, 'PTHR31606:SF12', NULL, NULL, NULL, NULL, 'PH DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156097, NULL, 'PTHR31867:SF157', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(156098, NULL, 'PTHR33228:SF55', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 6', NULL, NULL, NULL, 15),
(156099, NULL, 'PTHR12753:SF2', NULL, NULL, NULL, NULL, 'ALPHA N-TERMINAL PROTEIN METHYLTRANSFERASE 1B', NULL, NULL, NULL, 15),
(156100, NULL, 'PTHR11002:SF45', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(156101, NULL, 'PTHR24073:SF671', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1B', NULL, NULL, NULL, 15),
(156102, NULL, 'PTHR36710:SF6', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', NULL, NULL, NULL, 15),
(156103, NULL, 'PTHR11685:SF265', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(156104, NULL, 'PTHR10353:SF195', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 47', NULL, NULL, NULL, 15),
(156105, NULL, 'PTHR12308:SF15', NULL, NULL, NULL, NULL, 'ANOCTAMIN', NULL, NULL, NULL, 15),
(156106, NULL, 'PTHR12899:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(156107, NULL, 'PTHR35105:SF1', NULL, NULL, NULL, NULL, 'OS07G0413800 PROTEIN', NULL, NULL, NULL, 15),
(156108, NULL, 'PTHR12300:SF51', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156109, NULL, 'PTHR24128:SF55', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156110, NULL, 'PTHR33130:SF55', NULL, NULL, NULL, NULL, 'BNAA01G26810D PROTEIN', NULL, NULL, NULL, 15),
(156111, NULL, 'PTHR31269:SF46', NULL, NULL, NULL, NULL, 'BNAA08G13930D PROTEIN', NULL, NULL, NULL, 15),
(156112, NULL, 'PTHR43774:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE MSRA 2', NULL, NULL, NULL, 15),
(156113, NULL, 'PTHR24348:SF39', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED 1, ISOFORM B', NULL, NULL, NULL, 15),
(156114, NULL, 'PTHR23266:SF292', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 10-1-RELATED', NULL, NULL, NULL, 15),
(156115, NULL, 'PTHR24177:SF313', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(156116, NULL, 'PTHR10353:SF160', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 11', NULL, NULL, NULL, 15),
(156117, NULL, 'PTHR47932:SF49', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156118, NULL, 'PTHR46867', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM9-2', NULL, NULL, 18828, 15),
(156119, NULL, 'PTHR31920:SF87', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0723500-LIKE', NULL, NULL, NULL, 15),
(156120, NULL, 'PTHR46951', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156121, NULL, 'PTHR42894:SF2', NULL, NULL, NULL, NULL, 'OS02G0266000 PROTEIN', NULL, NULL, NULL, 15),
(156122, NULL, 'PTHR23019:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR PORE MEMBRANE GLYCOPROTEIN 210', NULL, NULL, NULL, 15),
(156123, NULL, 'PTHR33091:SF73', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, POTATO INHIBITOR I-TYPE FAMILY PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156124, NULL, 'PTHR22894:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF170-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(156125, NULL, 'PTHR22884:SF312', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-36 AND H4 LYSINE-20 SPECIFIC', NULL, NULL, NULL, 15),
(156126, NULL, 'PTHR15549:SF15', NULL, NULL, NULL, NULL, 'PAIRED IMMUNOGLOBULIN-LIKE TYPE 2 RECEPTOR BETA-RELATED', NULL, NULL, NULL, 15),
(156127, NULL, 'PTHR47958:SF94', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 52C', NULL, NULL, NULL, 15),
(156128, NULL, 'PTHR12879:SF6', NULL, NULL, NULL, NULL, 'MCG19844', NULL, NULL, NULL, 15),
(156129, NULL, 'PTHR12694:SF15', NULL, NULL, NULL, NULL, 'TFIIA-L3', NULL, NULL, NULL, 15),
(156130, NULL, 'PTHR33978:SF18', NULL, NULL, NULL, NULL, 'OS01G0656300 PROTEIN', NULL, NULL, NULL, 15),
(156131, NULL, 'PTHR31744:SF161', NULL, NULL, NULL, NULL, 'BNAANNG07000D PROTEIN', NULL, NULL, NULL, 15),
(156132, NULL, 'PTHR24388:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 280D', NULL, NULL, NULL, 15),
(156133, NULL, 'PTHR33102:SF44', NULL, NULL, NULL, NULL, 'OS09G0306632 PROTEIN', NULL, NULL, NULL, 15),
(156134, NULL, 'PTHR35292:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156135, NULL, 'PTHR12231:SF240', NULL, NULL, NULL, NULL, 'PROTEIN TURTLE HOMOLOG B', NULL, NULL, NULL, 15),
(156136, NULL, 'PTHR10209:SF785', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE', NULL, NULL, NULL, 15),
(156137, NULL, 'PTHR38478', NULL, NULL, NULL, NULL, 'PEPTIDASE M1A AND M12B', NULL, NULL, NULL, 15),
(156138, NULL, 'PTHR31989:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156139, NULL, 'PTHR21143:SF123', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR FOR SUGAR TASTE 43A', NULL, NULL, NULL, 15),
(156140, NULL, 'PTHR10430:SF33', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-2E-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(156141, NULL, 'PTHR47928:SF60', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156142, NULL, 'PTHR11592:SF88', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(156143, NULL, 'PTHR38504:SF1', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 7-1', NULL, NULL, NULL, 15),
(156144, NULL, 'PTHR10615:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN NEURO-D4', NULL, NULL, 34987, 15),
(156145, NULL, 'PTHR36042:SF1', NULL, NULL, NULL, NULL, 'OS05G0490900 PROTEIN', NULL, NULL, NULL, 15),
(156146, NULL, 'PTHR10434:SF49', NULL, NULL, NULL, NULL, '1-ACYLGLYCEROL-3-PHOSPHATE O-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(156147, NULL, 'PTHR47293:SF51', NULL, NULL, NULL, NULL, 'BNAC06G05210D PROTEIN', NULL, NULL, NULL, 15),
(156148, NULL, 'PTHR47985:SF33', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(156149, NULL, 'PTHR45917:SF5', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 2A-RELATED', NULL, NULL, NULL, 15),
(156150, NULL, 'PTHR10924:SF3', NULL, NULL, NULL, NULL, 'FELINE LEUKEMIA VIRUS SUBGROUP C RECEPTOR-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(156151, NULL, 'PTHR47488:SF9', NULL, NULL, NULL, NULL, 'PROTEIN PYRICULARIA ORYZAE RESISTANCE 21-LIKE', NULL, NULL, NULL, 15),
(156152, NULL, 'PTHR11783:SF260', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(156153, NULL, 'PTHR10992:SF1035', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156154, NULL, 'PTHR12186:SF2', NULL, NULL, NULL, NULL, 'FGFR1 ONCOGENE PARTNER 2 HOMOLOG', NULL, NULL, NULL, 15),
(156155, NULL, 'PTHR36949:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBR-LIN-66', NULL, NULL, NULL, 15),
(156156, NULL, 'PTHR10924:SF4', NULL, NULL, NULL, NULL, 'GH15861P', NULL, NULL, NULL, 15),
(156157, NULL, 'PTHR11778:SF17', NULL, NULL, NULL, NULL, 'BNAA09G47500D PROTEIN', NULL, NULL, NULL, 15),
(156158, NULL, 'PTHR35466:SF3', NULL, NULL, NULL, NULL, 'BNAA06G15420D PROTEIN', NULL, NULL, NULL, 15),
(156159, NULL, 'PTHR11306:SF38', NULL, NULL, NULL, NULL, 'LEGUMINOSIN GROUP578 SECRETED PEPTIDE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156160, NULL, 'PTHR22765:SF35', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF167', NULL, NULL, NULL, 15),
(156161, NULL, 'PTHR10315:SF119', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(156162, NULL, 'PTHR11071:SF385', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(156163, NULL, 'PTHR22975:SF20', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156164, NULL, 'PTHR37752:SF2', NULL, NULL, NULL, NULL, 'BNAA03G48950D PROTEIN', NULL, NULL, NULL, 15),
(156165, NULL, 'PTHR47612:SF1', NULL, NULL, NULL, NULL, 'TRICHOHYALIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(156166, NULL, 'PTHR31480:SF6', NULL, NULL, NULL, NULL, 'PHYTOENE SYNTHASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(156167, NULL, 'PTHR23104:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG12288', NULL, NULL, NULL, 15),
(156168, NULL, 'PTHR32014:SF3', NULL, NULL, NULL, NULL, 'BCL2-MODIFYING FACTOR 2', NULL, NULL, NULL, 15),
(156169, NULL, 'PTHR47451:SF1', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(156170, NULL, 'PTHR11889:SF82', NULL, NULL, NULL, NULL, 'HEDGEHOG PROTEIN', NULL, NULL, NULL, 15),
(156171, NULL, 'PTHR18896:SF169', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(156172, NULL, 'PTHR48053:SF60', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156173, NULL, 'PTHR31669:SF23', NULL, NULL, NULL, NULL, 'OS07G0496300 PROTEIN', NULL, NULL, NULL, 15),
(156174, NULL, 'PTHR46977:SF6', NULL, NULL, NULL, NULL, 'BNAA06G14240D PROTEIN', NULL, NULL, NULL, 15),
(156175, NULL, 'PTHR45983', NULL, NULL, NULL, NULL, 'TYROSINE PHOSPHATSE N18, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(156176, NULL, 'PTHR35289', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(156177, NULL, 'PTHR31741:SF77', NULL, NULL, NULL, NULL, 'BNAANNG16790D PROTEIN', NULL, NULL, NULL, 15),
(156178, NULL, 'PTHR47953:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A9', NULL, NULL, NULL, 15),
(156179, NULL, 'PTHR32208:SF86', NULL, NULL, NULL, NULL, 'BNAA09G57100D PROTEIN', NULL, NULL, NULL, 15),
(156180, NULL, 'PTHR34415', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156181, NULL, 'PTHR34835:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156182, NULL, 'PTHR45693:SF41', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156183, NULL, 'PTHR36341:SF3', NULL, NULL, NULL, NULL, 'DUF2996 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156184, NULL, 'PTHR47504:SF3', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR YKGA-RELATED', NULL, NULL, NULL, 15),
(156185, NULL, 'PTHR43662:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156186, NULL, 'PTHR33736:SF22', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156187, NULL, 'PTHR31044:SF61', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(156188, NULL, 'PTHR23426:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156189, NULL, 'PTHR13677:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DENND6B', NULL, NULL, NULL, 15),
(156190, NULL, 'PTHR21321', NULL, NULL, NULL, NULL, 'PNAS-3 RELATED', NULL, NULL, 25386, 15),
(156191, NULL, 'PTHR11846:SF13', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE ISOZYME 2', NULL, NULL, NULL, 15),
(156192, NULL, 'PTHR31062:SF189', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 25-RELATED', NULL, NULL, NULL, 15),
(156193, NULL, 'PTHR23023:SF217', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(156194, NULL, 'PTHR23235:SF85', NULL, NULL, NULL, NULL, 'KRUPPEL-LIKE FACTOR 18', NULL, NULL, NULL, 15),
(156195, NULL, 'PTHR10809:SF117', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 1-1-RELATED', NULL, NULL, NULL, 15),
(156196, NULL, 'PTHR35370:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156197, NULL, 'PTHR10292:SF20', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(156198, NULL, 'PTHR11915:SF442', NULL, NULL, NULL, NULL, 'ALPHA-ACTININ, SARCOMERIC-RELATED', NULL, NULL, NULL, 15),
(156199, NULL, 'PTHR31681:SF79', NULL, NULL, NULL, NULL, 'EMB|CAB89038.1', NULL, NULL, NULL, 15),
(156200, NULL, 'PTHR45744:SF34', NULL, NULL, NULL, NULL, 'TYROSINE/NICOTIANAMINE AMINOTRANSFERASE, PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(156201, NULL, 'PTHR23267:SF280', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA CHAIN VARIABLE 14-100-RELATED', NULL, NULL, NULL, 15),
(156202, NULL, 'PTHR31889:SF73', NULL, NULL, NULL, NULL, 'BNAA06G38180D PROTEIN', NULL, NULL, NULL, 15),
(156203, NULL, 'PTHR43152:SF1', NULL, NULL, NULL, NULL, 'EXCINUCLEASE ABC SUBUNIT A-RELATED', NULL, NULL, NULL, 15),
(156204, NULL, 'PTHR31985:SF149', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF038-LIKE', NULL, NULL, NULL, 15),
(156205, NULL, 'PTHR31995:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IIS FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156206, NULL, 'PTHR11955:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156207, NULL, 'PTHR16223:SF240', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH122', NULL, NULL, NULL, 15),
(156208, NULL, 'PTHR10574:SF273', NULL, NULL, NULL, NULL, 'BASEMENT MEMBRANE-SPECIFIC HEPARAN SULFATE PROTEOGLYCAN CORE PROTEIN', NULL, NULL, NULL, 15),
(156209, NULL, 'PTHR28608', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 2', NULL, NULL, 28728, 15),
(156210, NULL, 'PTHR23268:SF92', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 27', NULL, NULL, NULL, 15),
(156211, NULL, 'PTHR11224:SF46', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MAKORIN', NULL, NULL, NULL, 15),
(156212, NULL, 'PTHR27007:SF367', NULL, NULL, NULL, NULL, 'BNAC09G18540D PROTEIN', NULL, NULL, NULL, 15),
(156213, NULL, 'PTHR23177:SF71', NULL, NULL, NULL, NULL, 'BNAA09G01300D PROTEIN', NULL, NULL, NULL, 15),
(156214, NULL, 'PTHR13169:SF16', NULL, NULL, NULL, NULL, 'BNAA02G28440D PROTEIN', NULL, NULL, NULL, 15),
(156215, NULL, 'PTHR12809', NULL, NULL, NULL, NULL, 'MEDIATOR COMPLEX SUBUNIT', NULL, NULL, 8270, 15),
(156216, NULL, 'PTHR47980:SF33', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-8A', NULL, NULL, NULL, 15),
(156217, NULL, 'PTHR35011:SF10', NULL, NULL, NULL, NULL, 'BLL7177 PROTEIN', NULL, NULL, NULL, 15),
(156218, NULL, 'PTHR23097:SF185', NULL, NULL, NULL, NULL, 'SI:DKEYP-61B2.1-RELATED', NULL, NULL, NULL, 15),
(156219, NULL, 'PTHR47167', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TAO1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156220, NULL, 'PTHR12000:SF19', NULL, NULL, NULL, NULL, 'OS06G0105100 PROTEIN', NULL, NULL, NULL, 15),
(156221, NULL, 'PTHR36910:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156222, NULL, 'PTHR36586:SF1', NULL, NULL, NULL, NULL, 'PROCYCLIC FORM SURFACE GLYCOPROTEIN', NULL, NULL, NULL, 15),
(156223, NULL, 'PTHR10590:SF21', NULL, NULL, NULL, NULL, 'NUCLEOSIDE PERMEASE NUPC', NULL, NULL, NULL, 15),
(156224, NULL, 'PTHR43294:SF3', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA-4', NULL, NULL, NULL, 15),
(156225, NULL, 'PTHR21396:SF2', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L43, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(156226, NULL, 'PTHR42791:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156227, NULL, 'PTHR15364:SF0', NULL, NULL, NULL, NULL, '2''-DEOXYNUCLEOSIDE 5''-PHOSPHATE N-HYDROLASE 1', NULL, NULL, NULL, 15),
(156228, NULL, 'PTHR33052:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156229, NULL, 'PTHR11119:SF22', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 23 MEMBER 4', NULL, NULL, NULL, 15),
(156230, NULL, 'PTHR24282:SF189', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 72, SUBFAMILY A, POLYPEPTIDE 9', NULL, NULL, NULL, 15),
(156231, NULL, 'PTHR24339:SF54', NULL, NULL, NULL, NULL, 'EVEN-SKIPPED HOMEOBOX 2', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156232, NULL, 'PTHR37024:SF3', NULL, NULL, NULL, NULL, 'TYPE VI SECRETION SYSTEM DUF2094 AND IMPA-RELATED DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(156233, NULL, 'PTHR43591:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156234, NULL, 'PTHR47985:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', NULL, NULL, NULL, 15),
(156235, NULL, 'PTHR44259:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156236, NULL, 'PTHR42938:SF29', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(156237, NULL, 'PTHR11937:SF411', NULL, NULL, NULL, NULL, 'ACTIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156238, NULL, 'PTHR43671:SF40', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE NEK4', NULL, NULL, NULL, 15),
(156239, NULL, 'PTHR10252:SF95', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR Y, SUBUNIT C13', NULL, NULL, NULL, 15),
(156240, NULL, 'PTHR15725:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCCH-TYPE-RELATED', NULL, NULL, NULL, 15),
(156241, NULL, 'PTHR32285:SF284', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156242, NULL, 'PTHR43349:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156243, NULL, 'PTHR34197', NULL, NULL, NULL, NULL, 'OS04G0591300 PROTEIN', NULL, NULL, NULL, 15),
(156244, NULL, 'PTHR23076:SF97', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE YME1L1', NULL, NULL, NULL, 15),
(156245, NULL, 'PTHR11806', NULL, NULL, NULL, NULL, 'GLUCOSE INHIBITED DIVISION PROTEIN A', NULL, NULL, 6449, 15),
(156246, NULL, 'PTHR32141:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156247, NULL, 'PTHR22978:SF12', NULL, NULL, NULL, NULL, 'SI:DKEY-79D12.5', NULL, NULL, NULL, 15),
(156248, NULL, 'PTHR24128:SF58', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 43 KDA PROTEIN, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(156249, NULL, 'PTHR11772:SF35', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE', NULL, NULL, NULL, 15),
(156250, NULL, 'PTHR48214:SF1', NULL, NULL, NULL, NULL, 'ZEIN-ALPHA PMS2', NULL, NULL, NULL, 15),
(156251, NULL, 'PTHR34106', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 623, 15),
(156252, NULL, 'PTHR45671:SF27', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PHOSPHATE CARRIER PROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(156253, NULL, 'PTHR24103:SF609', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM13', NULL, NULL, NULL, 15),
(156254, NULL, 'PTHR31989:SF383', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 7-LIKE', NULL, NULL, NULL, 15),
(156255, NULL, 'PTHR31190:SF264', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF073', NULL, NULL, NULL, 15),
(156256, NULL, 'PTHR13068:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156257, NULL, 'PTHR10199:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156258, NULL, 'PTHR38631:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG12796', NULL, NULL, NULL, 15),
(156259, NULL, 'PTHR14710:SF2', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 6', NULL, NULL, NULL, 15),
(156260, NULL, 'PTHR38614', NULL, NULL, NULL, NULL, 'PROTEIN CBG09954', NULL, NULL, 8336, 15),
(156261, NULL, 'PTHR24073:SF1061', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5E', NULL, NULL, NULL, 15),
(156262, NULL, 'PTHR10337:SF6', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 152 KDA', NULL, NULL, 29396, 15),
(156263, NULL, 'PTHR32227:SF288', NULL, NULL, NULL, NULL, 'ENDO-1,3-BETA-GLUCOSIDASE GII,PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(156264, NULL, 'PTHR39183:SF1', NULL, NULL, NULL, NULL, 'SPORE COAT PROTEIN F-LIKE PROTEIN YHCQ', NULL, NULL, NULL, 15),
(156265, NULL, 'PTHR31348', NULL, NULL, NULL, NULL, 'EID1-LIKE F-BOX PROTEIN 2-RELATED', NULL, NULL, 29733, 15),
(156266, NULL, 'PTHR31839:SF52', NULL, NULL, NULL, NULL, 'CBF/DREB1 TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(156267, NULL, 'PTHR48051:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156268, NULL, 'PTHR31676:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156269, NULL, 'PTHR23113:SF175', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR 4', NULL, NULL, NULL, 15),
(156270, NULL, 'PTHR31488:SF4', NULL, NULL, NULL, NULL, 'C-MANNOSYLTRANSFERASE DPY19L3-RELATED', NULL, NULL, 27938, 15),
(156271, NULL, 'PTHR18896:SF148', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D BETA 2', NULL, NULL, NULL, 15),
(156272, NULL, 'PTHR48099:SF14', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN FOLD 2', NULL, NULL, NULL, 15),
(156273, NULL, 'PTHR46656:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(156274, NULL, 'PTHR31374:SF325', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(156275, NULL, 'PTHR48002:SF40', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C3', NULL, NULL, NULL, 15),
(156276, NULL, 'PTHR21503:SF44', NULL, NULL, NULL, NULL, 'PATTERNED EXPRESSION SITE', NULL, NULL, NULL, 15),
(156277, NULL, 'PTHR11183:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156278, NULL, 'PTHR12391:SF5', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(156279, NULL, 'PTHR23003:SF24', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN (AFU_ORTHOLOGUE AFUA_1G02950)', NULL, NULL, NULL, 15),
(156280, NULL, 'PTHR12296:SF17', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 4C', NULL, NULL, NULL, 15),
(156281, NULL, 'PTHR32243:SF18', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YCJP', NULL, NULL, NULL, 15),
(156282, NULL, 'PTHR47026:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156283, NULL, 'PTHR34548:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TIC 21, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(156284, NULL, 'PTHR24253:SF8', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 52', NULL, NULL, NULL, 15),
(156285, NULL, 'PTHR39609:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156286, NULL, 'PTHR12619:SF17', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RFX2', NULL, NULL, NULL, 15),
(156287, NULL, 'PTHR31579:SF68', NULL, NULL, NULL, NULL, 'IMPORT ATP-BINDING PROTEIN, PUTATIVE (DUF506)-RELATED', NULL, NULL, NULL, 15),
(156288, NULL, 'PTHR23235:SF101', NULL, NULL, NULL, NULL, 'KRUPPEL-LIKE FACTOR 6B', NULL, NULL, NULL, 15),
(156289, NULL, 'PTHR31717:SF68', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156290, NULL, 'PTHR12411:SF788', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156291, NULL, 'PTHR27007:SF25', NULL, NULL, NULL, NULL, 'OS07G0283125 PROTEIN', NULL, NULL, NULL, 15),
(156292, NULL, 'PTHR15711:SF1', NULL, NULL, NULL, NULL, 'SI:CH1073-90M23.1', NULL, NULL, NULL, 15),
(156293, NULL, 'PTHR10694:SF104', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 4C', NULL, NULL, NULL, 15),
(156294, NULL, 'PTHR20836:SF3', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE REDUCTASE 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(156295, NULL, 'PTHR15959:SF0', NULL, NULL, NULL, NULL, 'SYNTAXIN-18', NULL, NULL, NULL, 15),
(156296, NULL, 'PTHR18966:SF229', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, DELTA 1A', NULL, NULL, NULL, 15),
(156297, NULL, 'PTHR35990', NULL, NULL, NULL, NULL, 'GAG1AT PROTEIN', NULL, NULL, NULL, 15),
(156298, NULL, 'PTHR20003', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(156299, NULL, 'PTHR10015:SF361', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SKN7', NULL, NULL, 24987, 15),
(156300, NULL, 'PTHR33065:SF138', NULL, NULL, NULL, NULL, 'OS12G0211050 PROTEIN', NULL, NULL, NULL, 15),
(156301, NULL, 'PTHR48079', NULL, NULL, NULL, NULL, 'PROTEIN YEEZ', NULL, NULL, NULL, 15),
(156302, NULL, 'PTHR12907:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156303, NULL, 'PTHR47945:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 84A1-LIKE', NULL, NULL, NULL, 15),
(156304, NULL, 'PTHR21649:SF67', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I CHLOROPHYLL A/B-BINDING PROTEIN 5, CHLOROPLASTIC', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156305, NULL, 'PTHR12515:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SMAUG', NULL, NULL, NULL, 15),
(156306, NULL, 'PTHR48015:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DST4', NULL, NULL, NULL, 15),
(156307, NULL, 'PTHR43169:SF1', NULL, NULL, NULL, NULL, 'ATPASE, PP-LOOP SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(156308, NULL, 'PTHR23266:SF90', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY CONSTANT EPSILON', NULL, NULL, NULL, 15),
(156309, NULL, 'PTHR43170:SF5', NULL, NULL, NULL, NULL, 'GMP REDUCTASE', NULL, NULL, NULL, 15),
(156310, NULL, 'PTHR33414:SF11', NULL, NULL, NULL, NULL, 'PLASTID MOVEMENT IMPAIRED PROTEIN', NULL, NULL, NULL, 15),
(156311, NULL, 'PTHR24281:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156312, NULL, 'PTHR46131:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156313, NULL, 'PTHR33108:SF69', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(156314, NULL, 'PTHR12107:SF7', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-4 SUBUNIT', NULL, NULL, 380, 15),
(156315, NULL, 'PTHR24201:SF0', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 37', NULL, NULL, NULL, 15),
(156316, NULL, 'PTHR44019:SF1', NULL, NULL, NULL, NULL, 'POC1 CENTRIOLAR PROTEIN HOMOLOG B', NULL, NULL, NULL, 15),
(156317, NULL, 'PTHR22933:SF35', NULL, NULL, NULL, NULL, 'FI17806P1-RELATED', NULL, NULL, NULL, 15),
(156318, NULL, 'PTHR11667', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156319, NULL, 'PTHR11362:SF132', NULL, NULL, NULL, NULL, 'CEN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(156320, NULL, 'PTHR22941:SF33', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(156321, NULL, 'PTHR34121:SF8', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF15', NULL, NULL, NULL, 15),
(156322, NULL, 'PTHR43184:SF15', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(156323, NULL, 'PTHR11767:SF19', NULL, NULL, NULL, NULL, 'G PROTEIN-ACTIVATED INWARD RECTIFIER POTASSIUM CHANNEL 2', NULL, NULL, 3449, 15),
(156324, NULL, 'PTHR35481:SF5', NULL, NULL, NULL, NULL, 'BNAA04G22020D PROTEIN', NULL, NULL, NULL, 15),
(156325, NULL, 'PTHR48060:SF7', NULL, NULL, NULL, NULL, 'DNA DAMAGE-REPAIR/TOLERATION PROTEIN DRT100', NULL, NULL, NULL, 15),
(156326, NULL, 'PTHR24377:SF634', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 92 HOMOLOG', NULL, NULL, NULL, 15),
(156327, NULL, 'PTHR11685:SF349', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(156328, NULL, 'PTHR31636:SF138', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(156329, NULL, 'PTHR13848:SF6', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE 3', NULL, NULL, NULL, 15),
(156330, NULL, 'PTHR46910:SF2', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(156331, NULL, 'PTHR18763:SF1', NULL, NULL, NULL, NULL, 'AGAP011163-PA', NULL, NULL, NULL, 15),
(156332, NULL, 'PTHR43877', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156333, NULL, 'PTHR31325:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156334, NULL, 'PTHR42951:SF9', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT HYDROLASE', NULL, NULL, NULL, 15),
(156335, NULL, 'PTHR46776:SF20', NULL, NULL, NULL, NULL, 'BNAC08G08800D PROTEIN', NULL, NULL, NULL, 15),
(156336, NULL, 'PTHR11850:SF50', NULL, NULL, NULL, NULL, 'PRE-B-CELL LEUKEMIA TRANSCRIPTION FACTOR 2', NULL, NULL, NULL, 15),
(156337, NULL, 'PTHR46034:SF9', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(156338, NULL, 'PTHR43017:SF1', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE YJL218W-RELATED', NULL, NULL, NULL, 15),
(156339, NULL, 'PTHR46677:SF1', NULL, NULL, NULL, NULL, 'SMC5-SMC6 COMPLEX LOCALIZATION FACTOR PROTEIN 1', NULL, NULL, NULL, 15),
(156340, NULL, 'PTHR31739:SF18', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G15060)', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156341, NULL, 'PTHR15327:SF1', NULL, NULL, NULL, NULL, 'BNAC07G15750D PROTEIN', NULL, NULL, NULL, 15),
(156342, NULL, 'PTHR12877:SF14', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 10', NULL, NULL, 25176, 15),
(156343, NULL, 'PTHR45993:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KEN', NULL, NULL, NULL, 15),
(156344, NULL, 'PTHR43176:SF6', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE 3-RELATED', NULL, NULL, NULL, 15),
(156345, NULL, 'PTHR12563:SF22', NULL, NULL, NULL, NULL, 'SI:CH73-21K16.5', NULL, NULL, NULL, 15),
(156346, NULL, 'PTHR11409:SF48', NULL, NULL, NULL, NULL, 'ADENOSINE/AMP DEAMINASE', NULL, NULL, NULL, 15),
(156347, NULL, 'PTHR11945:SF501', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN AGL35', NULL, NULL, NULL, 15),
(156348, NULL, 'PTHR11374:SF3', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', NULL, NULL, NULL, 15),
(156349, NULL, 'PTHR11062:SF308', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE ARAD1-RELATED', NULL, NULL, NULL, 15),
(156350, NULL, 'PTHR36703:SF1', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156351, NULL, 'PTHR45642:SF79', NULL, NULL, NULL, NULL, 'BNAANNG14670D PROTEIN', NULL, NULL, NULL, 15),
(156352, NULL, 'PTHR31945:SF69', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH28', NULL, NULL, NULL, 15),
(156353, NULL, 'PTHR13430:SF4', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 13', NULL, NULL, NULL, 15),
(156354, NULL, 'PTHR21831', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29287, 15),
(156355, NULL, 'PTHR11267:SF28', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX5', NULL, NULL, NULL, 15),
(156356, NULL, 'PTHR24072:SF349', NULL, NULL, NULL, NULL, 'RAC-LIKE GTP-BINDING PROTEIN ARAC6', NULL, NULL, NULL, 15),
(156357, NULL, 'PTHR34714:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156358, NULL, 'PTHR31973:SF90', NULL, NULL, NULL, NULL, 'OS12G0597300 PROTEIN', NULL, NULL, NULL, 15),
(156359, NULL, 'PTHR33270:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156360, NULL, 'PTHR46931:SF7', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC4-LIKE', NULL, NULL, NULL, 15),
(156361, NULL, 'PTHR45856:SF8', NULL, NULL, NULL, NULL, 'LIPASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(156362, NULL, 'PTHR35995:SF4', NULL, NULL, NULL, NULL, 'BNAC08G19980D PROTEIN', NULL, NULL, NULL, 15),
(156363, NULL, 'PTHR24304:SF1', NULL, NULL, NULL, NULL, 'CHOLESTEROL 7-ALPHA-MONOOXYGENASE', NULL, NULL, 27296, 15),
(156364, NULL, 'PTHR47968:SF9', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7K, CHLOROPLASTIC ISOFORM X1', NULL, NULL, NULL, 15),
(156365, NULL, 'PTHR33576:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156366, NULL, 'PTHR43340:SF1', NULL, NULL, NULL, NULL, 'HYPOXANTHINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(156367, NULL, 'PTHR43341:SF9', NULL, NULL, NULL, NULL, 'DICARBOXYLIC AMINO ACID PERMEASE', NULL, NULL, NULL, 15),
(156368, NULL, 'PTHR31779:SF4', NULL, NULL, NULL, NULL, '2-NITROPROPANE DIOXYGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17430)-RELATED', NULL, NULL, NULL, 15),
(156369, NULL, 'PTHR10332:SF23', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER', NULL, NULL, NULL, 15),
(156370, NULL, 'PTHR10501:SF13', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN A', NULL, NULL, NULL, 15),
(156371, NULL, 'PTHR44191:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1R1-LIKE', NULL, NULL, NULL, 15),
(156372, NULL, 'PTHR40682', NULL, NULL, NULL, NULL, 'F5/8 TYPE C DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(156373, NULL, 'PTHR23155:SF1047', NULL, NULL, NULL, NULL, 'OS09G0327800 PROTEIN', NULL, NULL, NULL, 15),
(156374, NULL, 'PTHR46587', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(156375, NULL, 'PTHR31874:SF41', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156376, NULL, 'PTHR31851:SF69', NULL, NULL, NULL, NULL, 'CCC1 FAMILY-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156377, NULL, 'PTHR31719:SF175', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN JA2', NULL, NULL, NULL, 15),
(156378, NULL, 'PTHR43816:SF2', NULL, NULL, NULL, NULL, 'NICOTINAMIDE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(156379, NULL, 'PTHR10106:SF48', NULL, NULL, NULL, NULL, 'CYTOCHROME B561/FERRIC REDUCTASE TRANSMEMBRANE-RELATED', NULL, NULL, NULL, 15),
(156380, NULL, 'PTHR12197:SF141', NULL, NULL, NULL, NULL, 'SET DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(156381, NULL, 'PTHR23500:SF579', NULL, NULL, NULL, NULL, 'HEXOSE CARRIER PROTEIN HEX6-LIKE', NULL, NULL, NULL, 15),
(156382, NULL, 'PTHR11422:SF0', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD4', NULL, NULL, 3144, 15),
(156383, NULL, 'PTHR47997:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB32', NULL, NULL, NULL, 15),
(156384, NULL, 'PTHR22761:SF50', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 20 HOMOLOG 1', NULL, NULL, NULL, 15),
(156385, NULL, 'PTHR24559:SF300', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON 412-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156386, NULL, 'PTHR31477:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 44 KDA', NULL, NULL, NULL, 15),
(156387, NULL, 'PTHR31225:SF76', NULL, NULL, NULL, NULL, '(-)-GERMACRENE D SYNTHASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(156388, NULL, 'PTHR33558:SF1', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN C5ORF63 HOMOLOG', NULL, NULL, NULL, 15),
(156389, NULL, 'PTHR13693', NULL, NULL, NULL, NULL, 'CLASS II AMINOTRANSFERASE/8-AMINO-7-OXONONANOATE SYNTHASE', NULL, NULL, NULL, 15),
(156390, NULL, 'PTHR43065', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE', NULL, NULL, NULL, 15),
(156391, NULL, 'PTHR30543:SF27', NULL, NULL, NULL, NULL, 'NADPH:QUINONE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(156392, NULL, 'PTHR12131:SF13', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH10', NULL, NULL, NULL, 15),
(156393, NULL, 'PTHR47925:SF3', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(156394, NULL, 'PTHR47382', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 52-LIKE', NULL, NULL, NULL, 15),
(156395, NULL, 'PTHR30111:SF1', NULL, NULL, NULL, NULL, '33 KDA CHAPERONIN', NULL, NULL, NULL, 15),
(156396, NULL, 'PTHR31215:SF29', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156397, NULL, 'PTHR13394:SF0', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(156398, NULL, 'PTHR10209:SF454', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156399, NULL, 'PTHR33922:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156400, NULL, 'PTHR23323:SF24', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 11 HOMOLOG', NULL, NULL, 16205, 15),
(156401, NULL, 'PTHR46929:SF11', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(156402, NULL, 'PTHR27006:SF224', NULL, NULL, NULL, NULL, 'KINASE-RELATED', NULL, NULL, NULL, 15),
(156403, NULL, 'PTHR23130:SF179', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(156404, NULL, 'PTHR12815:SF18', NULL, NULL, NULL, NULL, 'SORTING AND ASSEMBLY MACHINERY COMPONENT 50 HOMOLOG', NULL, NULL, NULL, 15),
(156405, NULL, 'PTHR44102:SF16', NULL, NULL, NULL, NULL, 'BNAC03G24000D PROTEIN', NULL, NULL, NULL, 15),
(156406, NULL, 'PTHR22895:SF7', NULL, NULL, NULL, NULL, 'PROTEIN AARDVARK', NULL, NULL, NULL, 15),
(156407, NULL, 'PTHR17469', NULL, NULL, NULL, NULL, 'SPERM SPECIFIC ANTIGEN 2-RELATED', NULL, NULL, 37034, 15),
(156408, NULL, 'PTHR46932:SF12', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 47', NULL, NULL, NULL, 15),
(156409, NULL, 'PTHR33926:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TIC 22, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(156410, NULL, 'PTHR31374:SF19', NULL, NULL, NULL, NULL, 'F8A24.8 PROTEIN', NULL, NULL, NULL, 15),
(156411, NULL, 'PTHR22950:SF625', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT6D', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156412, NULL, 'PTHR22762:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156413, NULL, 'PTHR27004:SF208', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12 ISOFORM X2', NULL, NULL, NULL, 15),
(156414, NULL, 'PTHR23506:SF4', NULL, NULL, NULL, NULL, 'PORTABELLA', NULL, NULL, NULL, 15),
(156415, NULL, 'PTHR22749:SF8', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL RIBOFLAVIN KINASE/FMN PHOSPHATASE-LIKE', NULL, NULL, NULL, 15),
(156416, NULL, 'PTHR34145:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156417, NULL, 'PTHR24256:SF246', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 42-RELATED', NULL, NULL, NULL, 15),
(156418, NULL, 'PTHR11814:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156419, NULL, 'PTHR24034:SF138', NULL, NULL, NULL, NULL, 'SI:DKEY-235D18.5', NULL, NULL, NULL, 15),
(156420, NULL, 'PTHR45651:SF29', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156421, NULL, 'PTHR15678:SF14', NULL, NULL, NULL, NULL, 'BNAA09G14910D PROTEIN', NULL, NULL, NULL, 15),
(156422, NULL, 'PTHR13134', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 9901, 15),
(156423, NULL, 'PTHR43819', NULL, NULL, NULL, NULL, 'ARCHAEAL-TYPE GLUTAMATE SYNTHASE [NADPH]', NULL, NULL, NULL, 15),
(156424, NULL, 'PTHR46387:SF26', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE', NULL, NULL, NULL, 15),
(156425, NULL, 'PTHR31681:SF58', NULL, NULL, NULL, NULL, 'BNAA10G08270D PROTEIN', NULL, NULL, NULL, 15),
(156426, NULL, 'PTHR24419:SF23', NULL, NULL, NULL, NULL, 'AGAP003062-PA', NULL, NULL, NULL, 15),
(156427, NULL, 'PTHR12085:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B'''' SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(156428, NULL, 'PTHR31953:SF48', NULL, NULL, NULL, NULL, 'CELL WALL INVERTASE 1', NULL, NULL, NULL, 15),
(156429, NULL, 'PTHR15726:SF6', NULL, NULL, NULL, NULL, 'RAB11 FAMILY-INTERACTING PROTEIN 3', NULL, NULL, 26975, 15),
(156430, NULL, 'PTHR31064:SF28', NULL, NULL, NULL, NULL, 'CATION TRANSPORTER HKT6-RELATED', NULL, NULL, NULL, 15),
(156431, NULL, 'PTHR46327:SF10', NULL, NULL, NULL, NULL, 'DNA BINDING TRANSCRIPTION FACTORS, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(156432, NULL, 'PTHR36934:SF1', NULL, NULL, NULL, NULL, 'BLR0278 PROTEIN', NULL, NULL, NULL, 15),
(156433, NULL, 'PTHR31044:SF78', NULL, NULL, NULL, NULL, 'BNAC06G30470D PROTEIN', NULL, NULL, NULL, 15),
(156434, NULL, 'PTHR31444:SF36', NULL, NULL, NULL, NULL, 'IRX15/IRX15L/IGXM, POLYSACCHARIDE BIOSYNTHESIS DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156435, NULL, 'PTHR23065:SF57', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC PROTEIN 7', NULL, NULL, NULL, 15),
(156436, NULL, 'PTHR11527:SF321', NULL, NULL, NULL, NULL, '18.1 KDA CLASS I HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(156437, NULL, 'PTHR33882:SF9', NULL, NULL, NULL, NULL, 'PROTEIN 4 (RIN4) FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(156438, NULL, 'PTHR48047:SF111', NULL, NULL, NULL, NULL, 'SCOPOLETIN GLUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(156439, NULL, 'PTHR28659:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156440, NULL, 'PTHR43239', NULL, NULL, NULL, NULL, 'UPF0734 PROTEIN DDB_G0273871/DDB_G0273177', NULL, NULL, NULL, 15),
(156441, NULL, 'PTHR24299:SF33', NULL, NULL, NULL, NULL, 'CYTOCHROME 76A2', NULL, NULL, NULL, 15),
(156442, NULL, 'PTHR14550:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 109', NULL, NULL, NULL, 15),
(156443, NULL, 'PTHR24381:SF305', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 41', NULL, NULL, NULL, 15),
(156444, NULL, 'PTHR21262:SF36', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL (P)PPGPP SYNTHASE/HYDROLASE SPOT', NULL, NULL, NULL, 15),
(156445, NULL, 'PTHR45631:SF92', NULL, NULL, NULL, NULL, 'BNAA10G03480D PROTEIN', NULL, NULL, NULL, 15),
(156446, NULL, 'PTHR11795:SF449', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT PERMEASE PROTEIN LIVH-RELATED', NULL, NULL, NULL, 15),
(156447, NULL, 'PTHR48022:SF76', NULL, NULL, NULL, NULL, 'MALTOSE PERMEASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G07240)-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156448, NULL, 'PTHR11071:SF457', NULL, NULL, NULL, NULL, 'AGAP001987-PA', NULL, NULL, NULL, 15),
(156449, NULL, 'PTHR15679', NULL, NULL, NULL, NULL, 'PCNA-ASSOCIATED FACTOR', NULL, NULL, 29536, 15),
(156450, NULL, 'PTHR45711:SF2', NULL, NULL, NULL, NULL, 'H(+)/CL(-) EXCHANGE TRANSPORTER 4', NULL, NULL, 6400, 15),
(156451, NULL, 'PTHR10641:SF1012', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156452, NULL, 'PTHR23084', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE RELATED', NULL, NULL, NULL, 15),
(156453, NULL, 'PTHR36011:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156454, NULL, 'PTHR33914:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156455, NULL, 'PTHR30576:SF8', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-PHOSPHATE GALACTOSE PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(156456, NULL, 'PTHR35735:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN DDB_G0274347-LIKE', NULL, NULL, NULL, 15),
(156457, NULL, 'PTHR43561:SF2', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-COA DEHYDROGENASE F54C8.1-RELATED', NULL, NULL, NULL, 15),
(156458, NULL, 'PTHR30376:SF3', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR RPOH', NULL, NULL, NULL, 15),
(156459, NULL, 'PTHR24056:SF412', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156460, NULL, 'PTHR44083:SF26', NULL, NULL, NULL, NULL, '1 ENHANCER LOCUS 2 PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(156461, NULL, 'PTHR45974:SF152', NULL, NULL, NULL, NULL, 'OS03G0825800 PROTEIN', NULL, NULL, NULL, 15),
(156462, NULL, 'PTHR11851', NULL, NULL, NULL, NULL, 'METALLOPROTEASE', NULL, NULL, NULL, 15),
(156463, NULL, 'PTHR31733:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG21702', NULL, NULL, NULL, 15),
(156464, NULL, 'PTHR47027:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156465, NULL, 'PTHR10751:SF17', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(156466, NULL, 'PTHR45642:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156467, NULL, 'PTHR45621:SF184', NULL, NULL, NULL, NULL, 'KINASE 1B', NULL, NULL, NULL, 15),
(156468, NULL, 'PTHR34648', NULL, NULL, NULL, NULL, 'CLOCK-INTERACTING PACEMAKER', NULL, NULL, 26790, 15),
(156469, NULL, 'PTHR46217:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG27765', NULL, NULL, NULL, 15),
(156470, NULL, 'PTHR12131:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156471, NULL, 'PTHR11913:SF65', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(156472, NULL, 'PTHR11683:SF12', NULL, NULL, NULL, NULL, 'M6, ISOFORM F', NULL, NULL, NULL, 15),
(156473, NULL, 'PTHR38934', NULL, NULL, NULL, NULL, 'HYPHALLY REGULATED CELL WALL PROTEIN 1', NULL, NULL, NULL, 15),
(156474, NULL, 'PTHR11923:SF92', NULL, NULL, NULL, NULL, 'LYSOSOME MEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(156475, NULL, 'PTHR21603:SF18', NULL, NULL, NULL, NULL, 'ANTIGEN KI-67-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156476, NULL, 'PTHR31194:SF97', NULL, NULL, NULL, NULL, 'BNAA07G38140D PROTEIN', NULL, NULL, NULL, 15),
(156477, NULL, 'PTHR11528:SF103', NULL, NULL, NULL, NULL, 'BNAA08G14800D PROTEIN', NULL, NULL, NULL, 15),
(156478, NULL, 'PTHR33090:SF33', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156479, NULL, 'PTHR44575', NULL, NULL, NULL, NULL, 'OS01G0589200 PROTEIN', NULL, NULL, NULL, 15),
(156480, NULL, 'PTHR43038:SF7', NULL, NULL, NULL, NULL, 'ABC TRANSPORT SYSTEM ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(156481, NULL, 'PTHR46934', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156482, NULL, 'PTHR31730:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156483, NULL, 'PTHR32379:SF1', NULL, NULL, NULL, NULL, 'GUANIDINOACETATE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(156484, NULL, 'PTHR34059:SF5', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156485, NULL, 'PTHR31429:SF50', NULL, NULL, NULL, NULL, 'OS05G0567200 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156486, NULL, 'PTHR35098:SF3', NULL, NULL, NULL, NULL, 'SARCOPLASMIC RETICULUM HISTIDINE-RICH CALCIUM-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(156487, NULL, 'PTHR15950:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION COFACTOR VESTIGIAL-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(156488, NULL, 'PTHR10742:SF342', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(156489, NULL, 'PTHR31896:SF12', NULL, NULL, NULL, NULL, 'BAHD ACYLTRANSFERASE DCR-RELATED', NULL, NULL, NULL, 15),
(156490, NULL, 'PTHR23238:SF29', NULL, NULL, NULL, NULL, 'OS09G0299500 PROTEIN', NULL, NULL, NULL, 15),
(156491, NULL, 'PTHR22963', NULL, NULL, NULL, NULL, 'ENDOGLIN-RELATED', NULL, NULL, NULL, 15),
(156492, NULL, 'PTHR24282:SF117', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP13A2-RELATED', NULL, NULL, NULL, 15),
(156493, NULL, 'PTHR47994:SF1', NULL, NULL, NULL, NULL, 'MYB-LIKE HTH TRANSCRIPTIONAL REGULATOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156494, NULL, 'PTHR48006:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156495, NULL, 'PTHR32382:SF41', NULL, NULL, NULL, NULL, 'OSJNBA0019J05.11 PROTEIN', NULL, NULL, NULL, 15),
(156496, NULL, 'PTHR26312:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156497, NULL, 'PTHR45939:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156498, NULL, 'PTHR31948:SF113', NULL, NULL, NULL, NULL, 'ZF-HD HOMEOBOX PROTEIN, CYS/HIS-RICH DIMERIZATION DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156499, NULL, 'PTHR19143:SF267', NULL, NULL, NULL, NULL, 'FIBRONECTIN', NULL, NULL, NULL, 15),
(156500, NULL, 'PTHR45717:SF43', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156501, NULL, 'PTHR22879:SF13', NULL, NULL, NULL, NULL, 'NUT FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(156502, NULL, 'PTHR10742:SF394', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156503, NULL, 'PTHR13140:SF752', NULL, NULL, NULL, NULL, 'MYOSIN-M HEAVY CHAIN', NULL, NULL, NULL, 15),
(156504, NULL, 'PTHR11006:SF49', NULL, NULL, NULL, NULL, 'COACTIVATOR-ASSOCIATED ARGININE METHYLTRANSFERASE 1,-LIKE', NULL, NULL, NULL, 15),
(156505, NULL, 'PTHR46867:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM9-1', NULL, NULL, NULL, 15),
(156506, NULL, 'PTHR43039:SF7', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(156507, NULL, 'PTHR24269:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG14225', NULL, NULL, NULL, 15),
(156508, NULL, 'PTHR45642:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156509, NULL, 'PTHR21109:SF4', NULL, NULL, NULL, NULL, 'OS08G0121800 PROTEIN', NULL, NULL, NULL, 15),
(156510, NULL, 'PTHR30294:SF45', NULL, NULL, NULL, NULL, 'CYTOLYSIN ABC TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(156511, NULL, 'PTHR18966:SF38', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, KAINATE 2', NULL, NULL, NULL, 15),
(156512, NULL, 'PTHR36179:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156513, NULL, 'PTHR43491:SF2', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-D-GLUCOSAMINE 6-DEHYDROGENASE WBPA', NULL, NULL, NULL, 15),
(156514, NULL, 'PTHR48054:SF20', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PEPR1', NULL, NULL, NULL, 15),
(156515, NULL, 'PTHR27009:SF99', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(156516, NULL, 'PTHR11926:SF1410', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(156517, NULL, 'PTHR31374:SF284', NULL, NULL, NULL, NULL, 'BNAANNG07570D PROTEIN', NULL, NULL, NULL, 15),
(156518, NULL, 'PTHR40733:SF1', NULL, NULL, NULL, NULL, 'ZINC-RIBBON RNA-BINDING PROTEIN INVOLVED IN TRANSLATION-RELATED', NULL, NULL, NULL, 15),
(156519, NULL, 'PTHR11984:SF50', NULL, NULL, NULL, NULL, 'LOC100038306 PROTEIN', NULL, NULL, NULL, 15),
(156520, NULL, 'PTHR11439:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156521, NULL, 'PTHR11758:SF32', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15A-5-LIKE', NULL, NULL, NULL, 15),
(156522, NULL, 'PTHR43866:SF7', NULL, NULL, NULL, NULL, 'METHYLMALONATE-SEMIALDEHYDE DEHYDROGENASE (ACYLATING)', NULL, NULL, NULL, 15),
(156523, NULL, 'PTHR33057:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156524, NULL, 'PTHR10803', NULL, NULL, NULL, NULL, 'ARSENICAL PUMP-DRIVING ATPASE  ARSENITE-TRANSLOCATING ATPASE', NULL, NULL, 19546, 15),
(156525, NULL, 'PTHR23315:SF313', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(156526, NULL, 'PTHR31992:SF147', NULL, NULL, NULL, NULL, 'OS03G0619151 PROTEIN', NULL, NULL, NULL, 15),
(156527, NULL, 'PTHR47862', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP18, CHLOROPLASTIC', NULL, NULL, 36996, 15),
(156528, NULL, 'PTHR33974:SF11', NULL, NULL, NULL, NULL, 'BNAANNG18100D PROTEIN', NULL, NULL, NULL, 15),
(156529, NULL, 'PTHR12281:SF25', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', NULL, NULL, NULL, 15),
(156530, NULL, 'PTHR10177:SF399', NULL, NULL, NULL, NULL, 'CYCLIN-A1-1', NULL, NULL, NULL, 15),
(156531, NULL, 'PTHR16431', NULL, NULL, NULL, NULL, 'NEUROGENIC PROTEIN MASTERMIND', NULL, NULL, NULL, 15),
(156532, NULL, 'PTHR31641', NULL, NULL, NULL, NULL, 'RENAL CANCER DIFFERENTIATION GENE 1 PROTEIN', NULL, NULL, 27883, 15),
(156533, NULL, 'PTHR32295:SF130', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', NULL, NULL, NULL, 15),
(156534, NULL, 'PTHR23051:SF0', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER F5', NULL, NULL, NULL, 15),
(156535, NULL, 'PTHR11260:SF661', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(156536, NULL, 'PTHR31636:SF247', NULL, NULL, NULL, NULL, 'DELLA PROTEIN GAI1-RELATED', NULL, NULL, 23936, 15),
(156537, NULL, 'PTHR24377:SF707', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 569', NULL, NULL, NULL, 15),
(156538, NULL, 'PTHR48048:SF46', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(156539, NULL, 'PTHR23510:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG19164', NULL, NULL, NULL, 15),
(156540, NULL, 'PTHR22805:SF2', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 41', NULL, NULL, NULL, 15),
(156541, NULL, 'PTHR12271:SF34', NULL, NULL, NULL, NULL, 'TERMINAL URIDYLYLTRANSFERASE 7', NULL, NULL, NULL, 15),
(156542, NULL, 'PTHR11807:SF12', NULL, NULL, NULL, NULL, 'CYTOPLASMIC TRNA 2-THIOLATION PROTEIN 1', NULL, NULL, 5763, 15),
(156543, NULL, 'PTHR45813', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156544, NULL, 'PTHR10722:SF29', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', NULL, NULL, NULL, 15),
(156545, NULL, 'PTHR37610:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156546, NULL, 'PTHR34145:SF28', NULL, NULL, NULL, NULL, 'OS02G0105600 PROTEIN', NULL, NULL, NULL, 15),
(156547, NULL, 'PTHR10634:SF111', NULL, NULL, NULL, NULL, 'STRESS-ASSOCIATED PROTEIN 8', NULL, NULL, NULL, 15),
(156548, NULL, 'PTHR14396:SF10', NULL, NULL, NULL, NULL, 'CLASPIN', NULL, NULL, NULL, 15),
(156549, NULL, 'PTHR11926:SF1363', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(156550, NULL, 'PTHR10644:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156551, NULL, 'PTHR33318', NULL, NULL, NULL, NULL, 'ASPARTYL/GLUTAMYL-TRNA(ASN/GLN) AMIDOTRANSFERASE SUBUNIT', NULL, NULL, 29178, 15),
(156552, NULL, 'PTHR33159:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156553, NULL, 'PTHR47953:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D8', NULL, NULL, NULL, 15),
(156554, NULL, 'PTHR45717:SF26', NULL, NULL, NULL, NULL, 'BNAC05G37740D PROTEIN', NULL, NULL, NULL, 15),
(156555, NULL, 'PTHR31734:SF94', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA20', NULL, NULL, NULL, 15),
(156556, NULL, 'PTHR24403:SF72', NULL, NULL, NULL, NULL, 'MCG133876, ISOFORM CRA_A', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156557, NULL, 'PTHR11818:SF54', NULL, NULL, NULL, NULL, 'BETA A1-2-CRYSTALLIN-RELATED', NULL, NULL, NULL, 15),
(156558, NULL, 'PTHR46373:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156559, NULL, 'PTHR11260:SF669', NULL, NULL, NULL, NULL, 'BNAA09G45080D PROTEIN', NULL, NULL, NULL, 15),
(156560, NULL, 'PTHR10687:SF15', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 4', NULL, NULL, NULL, 15),
(156561, NULL, 'PTHR24103:SF11', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 72', NULL, NULL, 31917, 15),
(156562, NULL, 'PTHR31250:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156563, NULL, 'PTHR45768:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156564, NULL, 'PTHR24329:SF517', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CEH-10', NULL, NULL, NULL, 15),
(156565, NULL, 'PTHR24330:SF4', NULL, NULL, NULL, NULL, 'BARH-LIKE 2 HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(156566, NULL, 'PTHR46565:SF12', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN 2', NULL, NULL, NULL, 15),
(156567, NULL, 'PTHR11615:SF240', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4B3', NULL, NULL, NULL, 15),
(156568, NULL, 'PTHR31500:SF45', NULL, NULL, NULL, NULL, 'DUF296 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(156569, NULL, 'PTHR31972:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156570, NULL, 'PTHR46491:SF5', NULL, NULL, NULL, NULL, 'CDGSH IRON SULFUR DOMAIN PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(156571, NULL, 'PTHR18953:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156572, NULL, 'PTHR13301:SF188', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN E1', NULL, NULL, NULL, 15),
(156573, NULL, 'PTHR47926:SF251', NULL, NULL, NULL, NULL, 'BNAC09G38830D PROTEIN', NULL, NULL, NULL, 15),
(156574, NULL, 'PTHR24343:SF366', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 4', NULL, NULL, NULL, 15),
(156575, NULL, 'PTHR33103:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156576, NULL, 'PTHR43670:SF74', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 26', NULL, NULL, NULL, 15),
(156577, NULL, 'PTHR10504:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156578, NULL, 'PTHR10972:SF136', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 3C', NULL, NULL, NULL, 15),
(156579, NULL, 'PTHR15615:SF68', NULL, NULL, NULL, NULL, 'OS02G0125400 PROTEIN', NULL, NULL, NULL, 15),
(156580, NULL, 'PTHR23415:SF29', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASES REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(156581, NULL, 'PTHR35164:SF5', NULL, NULL, NULL, NULL, 'OS02G0572600 PROTEIN', NULL, NULL, NULL, 15),
(156582, NULL, 'PTHR46964:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(156583, NULL, 'PTHR38527:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156584, NULL, 'PTHR14870:SF1', NULL, NULL, NULL, NULL, 'TUBULIN EPSILON AND DELTA COMPLEX PROTEIN 2', NULL, NULL, NULL, 15),
(156585, NULL, 'PTHR31087:SF110', NULL, NULL, NULL, NULL, 'BNAA06G00670D PROTEIN', NULL, NULL, NULL, 15),
(156586, NULL, 'PTHR32093:SF125', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(156587, NULL, 'PTHR18905', NULL, NULL, NULL, NULL, 'NINEIN', NULL, NULL, NULL, 15),
(156588, NULL, 'PTHR35565:SF1', NULL, NULL, NULL, NULL, 'TYPE VI SECRETION SYSTEM NEEDLE SHEATH PROTEIN TSSC', NULL, NULL, NULL, 15),
(156589, NULL, 'PTHR13476:SF2', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION MEAF6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156590, NULL, 'PTHR31662:SF72', NULL, NULL, NULL, NULL, 'OS01G0249900 PROTEIN', NULL, NULL, NULL, 15),
(156591, NULL, 'PTHR31045:SF27', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156592, NULL, 'PTHR10678:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156593, NULL, 'PTHR48000:SF26', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156594, NULL, 'PTHR28525:SF6', NULL, NULL, NULL, NULL, 'BNAC03G35570D PROTEIN', NULL, NULL, NULL, 15),
(156595, NULL, 'PTHR46507:SF2', NULL, NULL, NULL, NULL, 'SYNOVIAL SARCOMA, X BREAKPOINT 2-INTERACTING PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(156596, NULL, 'PTHR30314:SF17', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSZ', NULL, NULL, NULL, 15),
(156597, NULL, 'PTHR30509:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156598, NULL, 'PTHR31086:SF77', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 2', NULL, NULL, NULL, 15),
(156599, NULL, 'PTHR43822:SF6', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE LARGE SUBUNIT', NULL, NULL, NULL, 15),
(156600, NULL, 'PTHR43668:SF4', NULL, NULL, NULL, NULL, 'DIHYDROOROTASE', NULL, NULL, NULL, 15),
(156601, NULL, 'PTHR33729:SF10', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 11-LIKE', NULL, NULL, NULL, 15),
(156602, NULL, 'PTHR27001:SF213', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156603, NULL, 'PTHR11878:SF26', NULL, NULL, NULL, NULL, 'NCX4A', NULL, NULL, NULL, 15),
(156604, NULL, 'PTHR10699', NULL, NULL, NULL, NULL, 'NEUROMODULIN', NULL, NULL, NULL, 15),
(156605, NULL, 'PTHR48172', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156606, NULL, 'PTHR33601', NULL, NULL, NULL, NULL, 'PROTEIN LITTLE ZIPPER 4', NULL, NULL, 29422, 15),
(156607, NULL, 'PTHR26451:SF964', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(156608, NULL, 'PTHR12673:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156609, NULL, 'PTHR24261:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156610, NULL, 'PTHR39951', NULL, NULL, NULL, NULL, 'FI22632P1', NULL, NULL, NULL, 15),
(156611, NULL, 'PTHR48049:SF55', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(156612, NULL, 'PTHR11266:SF26', NULL, NULL, NULL, NULL, 'IP08061P', NULL, NULL, NULL, 15),
(156613, NULL, 'PTHR33002:SF1', NULL, NULL, NULL, NULL, 'POLYMERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(156614, NULL, 'PTHR48043:SF58', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 2B15-RELATED', NULL, NULL, NULL, 15),
(156615, NULL, 'PTHR41282:SF1', NULL, NULL, NULL, NULL, 'CONSERVED TRANSMEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156616, NULL, 'PTHR21426', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 8', NULL, NULL, 30826, 15),
(156617, NULL, 'PTHR12771:SF64', NULL, NULL, NULL, NULL, 'BNAC05G01970D PROTEIN', NULL, NULL, NULL, 15),
(156618, NULL, 'PTHR23124:SF138', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(156619, NULL, 'PTHR21595', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 24782, 15),
(156620, NULL, 'PTHR37928:SF1', NULL, NULL, NULL, NULL, 'CFEM DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G14090)', NULL, NULL, NULL, 15),
(156621, NULL, 'PTHR23241:SF102', NULL, NULL, NULL, NULL, 'LD23009P', NULL, NULL, NULL, 15),
(156622, NULL, 'PTHR31948:SF81', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 9-LIKE', NULL, NULL, NULL, 15),
(156623, NULL, 'PTHR31739:SF3', NULL, NULL, NULL, NULL, 'ENT-KAUR-16-ENE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(156624, NULL, 'PTHR30341:SF0', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER NHAA', NULL, NULL, NULL, 15),
(156625, NULL, 'PTHR22884:SF498', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASHH3', NULL, NULL, NULL, 15),
(156626, NULL, 'PTHR43019:SF31', NULL, NULL, NULL, NULL, 'OS05G0164500 PROTEIN', NULL, NULL, NULL, 15),
(156627, NULL, 'PTHR23537', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156628, NULL, 'PTHR47377:SF1', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(156629, NULL, 'PTHR11610:SF161', NULL, NULL, NULL, NULL, 'MIP10846P1-RELATED', NULL, NULL, NULL, 15),
(156630, NULL, 'PTHR48100:SF21', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156631, NULL, 'PTHR21664:SF1', NULL, NULL, NULL, NULL, 'NUDC DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156632, NULL, 'PTHR23021:SF76', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(156633, NULL, 'PTHR19282:SF419', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156634, NULL, 'PTHR47952', NULL, NULL, NULL, NULL, 'TRYPTAMINE 5-HYDROXYLASE', NULL, NULL, NULL, 15),
(156635, NULL, 'PTHR31901:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156636, NULL, 'PTHR10660:SF6', NULL, NULL, NULL, NULL, 'PROTEASOME ACTIVATOR COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(156637, NULL, 'PTHR12374:SF61', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156638, NULL, 'PTHR11863:SF192', NULL, NULL, NULL, NULL, 'BNAC05G05170D PROTEIN', NULL, NULL, NULL, 15),
(156639, NULL, 'PTHR24416:SF306', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 2', NULL, NULL, NULL, 15),
(156640, NULL, 'PTHR37444:SF3', NULL, NULL, NULL, NULL, 'GALACTOSYLGALACTOSYLXYLOSYLPROTEIN 3-BETA-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(156641, NULL, 'PTHR10168:SF252', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156642, NULL, 'PTHR27001:SF856', NULL, NULL, NULL, NULL, 'OS04G0465900 PROTEIN', NULL, NULL, NULL, 15),
(156643, NULL, 'PTHR44083:SF32', NULL, NULL, NULL, NULL, 'PROTEIN TPR2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(156644, NULL, 'PTHR41237', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN MRP21, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(156645, NULL, 'PTHR46619:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156646, NULL, 'PTHR46058:SF24', NULL, NULL, NULL, NULL, 'BNACNNG46630D PROTEIN', NULL, NULL, NULL, 15),
(156647, NULL, 'PTHR24414:SF168', NULL, NULL, NULL, NULL, 'BNAA01G07490D PROTEIN', NULL, NULL, NULL, 15),
(156648, NULL, 'PTHR46662:SF43', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(156649, NULL, 'PTHR11685:SF243', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(156650, NULL, 'PTHR31790:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156651, NULL, 'PTHR39160:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(156652, NULL, 'PTHR43739:SF4', NULL, NULL, NULL, NULL, 'OLIGOXYLOGLUCAN-REDUCING END-SPECIFIC XYLOGLUCANASE', NULL, NULL, NULL, 15),
(156653, NULL, 'PTHR24245:SF4', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 45-RELATED', NULL, NULL, NULL, 15),
(156654, NULL, 'PTHR40278', NULL, NULL, NULL, NULL, 'DNA UTILIZATION PROTEIN HOFN', NULL, NULL, NULL, 15),
(156655, NULL, 'PTHR24089:SF697', NULL, NULL, NULL, NULL, 'THYLAKOID ADP,ATP CARRIER PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(156656, NULL, 'PTHR12802:SF118', NULL, NULL, NULL, NULL, 'BNAC05G00840D PROTEIN', NULL, NULL, NULL, 15),
(156657, NULL, 'PTHR10605:SF16', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE GLUCOSAMINE 3-O-SULFOTRANSFERASE 1', NULL, NULL, NULL, 15),
(156658, NULL, 'PTHR21937', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 27014, 15),
(156659, NULL, 'PTHR10177:SF491', NULL, NULL, NULL, NULL, 'CYCLIN-D6-1-RELATED', NULL, NULL, NULL, 15),
(156660, NULL, 'PTHR31929:SF48', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 10A5', NULL, NULL, NULL, 15),
(156661, NULL, 'PTHR47966:SF2', NULL, NULL, NULL, NULL, 'ASPERGILLOPEPSIN-1', NULL, NULL, NULL, 15),
(156662, NULL, 'PTHR47021:SF7', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD6-RELATED', NULL, NULL, NULL, 15),
(156663, NULL, 'PTHR45935', NULL, NULL, NULL, NULL, 'PROTEIN ZBED8-RELATED', NULL, NULL, NULL, 15),
(156664, NULL, 'PTHR24115:SF827', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN VAB-8', NULL, NULL, NULL, 15),
(156665, NULL, 'PTHR30619', NULL, NULL, NULL, NULL, 'DNA INTERNALIZATION/COMPETENCE PROTEIN COMEC/REC2', NULL, NULL, NULL, 15),
(156666, NULL, 'PTHR13302:SF8', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(156667, NULL, 'PTHR13832:SF723', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 10-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156668, NULL, 'PTHR24373:SF325', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G-PROTEIN COUPLED RECEPTOR 6', NULL, NULL, NULL, 15),
(156669, NULL, 'PTHR33057:SF80', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC DOMAIN TIGR01568 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156670, NULL, 'PTHR43270:SF1', NULL, NULL, NULL, NULL, 'BETA-ALA-HIS DIPEPTIDASE', NULL, NULL, NULL, 15),
(156671, NULL, 'PTHR12411:SF705', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG12', NULL, NULL, NULL, 15),
(156672, NULL, 'PTHR45431:SF4', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(156673, NULL, 'PTHR43102:SF2', NULL, NULL, NULL, NULL, 'SLR1143 PROTEIN', NULL, NULL, NULL, 15),
(156674, NULL, 'PTHR12374:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156675, NULL, 'PTHR13558', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 30666, 15),
(156676, NULL, 'PTHR24291:SF6', NULL, NULL, NULL, NULL, 'STEROL 26-HYDROXYLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(156677, NULL, 'PTHR32018:SF2', NULL, NULL, NULL, NULL, 'OS11G0134100 PROTEIN', NULL, NULL, NULL, 15),
(156678, NULL, 'PTHR15036:SF57', NULL, NULL, NULL, NULL, 'NEUREXIN-3', NULL, NULL, NULL, 15),
(156679, NULL, 'PTHR43381:SF5', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(156680, NULL, 'PTHR48201:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156681, NULL, 'PTHR46326:SF6', NULL, NULL, NULL, NULL, 'OS02G0659500 PROTEIN', NULL, NULL, NULL, 15),
(156682, NULL, 'PTHR22844:SF363', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156683, NULL, 'PTHR43077:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156684, NULL, 'PTHR31327:SF7', NULL, NULL, NULL, NULL, 'SPERM MEIOSIS PDZ DOMAIN CONTAINING PROTEINS', NULL, NULL, NULL, 15),
(156685, NULL, 'PTHR31517', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 4545, 15),
(156686, NULL, 'PTHR45653:SF9', NULL, NULL, NULL, NULL, 'SPONGE, ISOFORM E', NULL, NULL, NULL, 15),
(156687, NULL, 'PTHR33564:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156688, NULL, 'PTHR22762:SF92', NULL, NULL, NULL, NULL, 'LYSOSOMAL ALPHA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(156689, NULL, 'PTHR13878:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156690, NULL, 'PTHR34283:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RESPONSE TO LOW SULFUR 2-RELATED', NULL, NULL, NULL, 15),
(156691, NULL, 'PTHR21453:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG00758', NULL, NULL, NULL, 15),
(156692, NULL, 'PTHR42986', NULL, NULL, NULL, NULL, 'BENZALDEHYDE DEHYDROGENASE YFMT', NULL, NULL, NULL, 15),
(156693, NULL, 'PTHR10501:SF21', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN POLYPEPTIDE B2', NULL, NULL, NULL, 15),
(156694, NULL, 'PTHR12871', NULL, NULL, NULL, NULL, 'BETA-1,2-N-ACETYLGLUCOSAMINYLTRANSFERASE II', NULL, NULL, 1032, 15),
(156695, NULL, 'PTHR11017:SF417', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(156696, NULL, 'PTHR31072:SF152', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP9', NULL, NULL, NULL, 15),
(156697, NULL, 'PTHR19306', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES 5,6  SMC5, SMC6', NULL, NULL, NULL, 15),
(156698, NULL, 'PTHR23151:SF67', NULL, NULL, NULL, NULL, 'DIHYDROLIPOAMIDE ACETYLTRANSFERASE COMPONENT OF PYRUVATE DEHYDROGENASE COMPLEX', NULL, NULL, NULL, 15),
(156699, NULL, 'PTHR13455:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR P66-ALPHA', NULL, NULL, NULL, 15),
(156700, NULL, 'PTHR33287', NULL, NULL, NULL, NULL, 'OS03G0453550 PROTEIN', NULL, NULL, NULL, 15),
(156701, NULL, 'PTHR11705:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156702, NULL, 'PTHR34835:SF20', NULL, NULL, NULL, NULL, 'OS01G0826651 PROTEIN', NULL, NULL, NULL, 15),
(156703, NULL, 'PTHR22844:SF349', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156704, NULL, 'PTHR22625:SF9', NULL, NULL, NULL, NULL, 'PLEXIN-B2', NULL, NULL, NULL, 15),
(156705, NULL, 'PTHR10334:SF411', NULL, NULL, NULL, NULL, 'VENOM ALLERGEN 3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156706, NULL, 'PTHR42203', NULL, NULL, NULL, NULL, 'UPF0058 PROTEIN MJ1205', NULL, NULL, 3783, 15),
(156707, NULL, 'PTHR47982:SF31', NULL, NULL, NULL, NULL, 'OS03G0226901 PROTEIN', NULL, NULL, NULL, 15),
(156708, NULL, 'PTHR13132:SF29', NULL, NULL, NULL, NULL, 'ALPHA-(1,6)-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(156709, NULL, 'PTHR31828:SF42', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 1-LIKE', NULL, NULL, NULL, 15),
(156710, NULL, 'PTHR16223:SF253', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH103', NULL, NULL, NULL, 15),
(156711, NULL, 'PTHR21304:SF5', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC10', NULL, NULL, NULL, 15),
(156712, NULL, 'PTHR12874:SF21', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156713, NULL, 'PTHR36858', NULL, NULL, NULL, NULL, 'AMELOTIN', NULL, NULL, 26279, 15),
(156714, NULL, 'PTHR35486', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(156715, NULL, 'PTHR31286:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156716, NULL, 'PTHR37468:SF1', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER CYSZ', NULL, NULL, NULL, 15),
(156717, NULL, 'PTHR45618:SF13', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DICARBOXYLATE CARRIER', NULL, NULL, NULL, 15),
(156718, NULL, 'PTHR10865:SF6', NULL, NULL, NULL, NULL, 'METASTASIS-ASSOCIATED PROTEIN MTA3', NULL, NULL, NULL, 15),
(156719, NULL, 'PTHR19375:SF445', NULL, NULL, NULL, NULL, 'OS05G0460000 PROTEIN', NULL, NULL, NULL, 15),
(156720, NULL, 'PTHR45804:SF7', NULL, NULL, NULL, NULL, 'SEGMENTATION PROTEIN FUSHI TARAZU-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156721, NULL, 'PTHR39196', NULL, NULL, NULL, NULL, 'PRIMOSOME, DNAD SUBUNIT', NULL, NULL, NULL, 15),
(156722, NULL, 'PTHR23167:SF35', NULL, NULL, NULL, NULL, '[F-ACTIN]-MONOOXYGENASE MICAL1', NULL, NULL, NULL, 15),
(156723, NULL, 'PTHR11481:SF68', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(156724, NULL, 'PTHR13467', NULL, NULL, NULL, NULL, 'CUE DOMAIN CONTAINING PROTEIN 1', NULL, NULL, 30676, 15),
(156725, NULL, 'PTHR12419:SF55', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN DDB_G0284757-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(156726, NULL, 'PTHR23236:SF31', NULL, NULL, NULL, NULL, 'OS02G0757900 PROTEIN', NULL, NULL, NULL, 15),
(156727, NULL, 'PTHR11562:SF37', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 8', NULL, NULL, 31575, 15),
(156728, NULL, 'PTHR16047:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(156729, NULL, 'PTHR46661:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZNRF2', NULL, NULL, NULL, 15),
(156730, NULL, 'PTHR46002:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156731, NULL, 'PTHR42946:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOSAMINE MUTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156732, NULL, 'PTHR48097:SF8', NULL, NULL, NULL, NULL, 'BNACNNG27100D PROTEIN', NULL, NULL, NULL, 15),
(156733, NULL, 'PTHR21327:SF44', NULL, NULL, NULL, NULL, 'MONOFUNCTIONAL RIBOFLAVIN BIOSYNTHESIS PROTEIN RIBA 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(156734, NULL, 'PTHR12704', NULL, NULL, NULL, NULL, 'TRANS-GOLGI PROTEIN GMX33', NULL, NULL, 14486, 15),
(156735, NULL, 'PTHR48001:SF66', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(156736, NULL, 'PTHR13020', NULL, NULL, NULL, NULL, 'TRINUCLEOTIDE REPEAT-CONTAINING GENE 6', NULL, NULL, NULL, 15),
(156737, NULL, 'PTHR34699', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156738, NULL, 'PTHR45779:SF13', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(156739, NULL, 'PTHR31685:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_6G12730)', NULL, NULL, NULL, 15),
(156740, NULL, 'PTHR11753:SF35', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156741, NULL, 'PTHR46204:SF21', NULL, NULL, NULL, NULL, 'CHITIN ELICITOR RECEPTOR KINASE 1', NULL, NULL, NULL, 15),
(156742, NULL, 'PTHR43791:SF81', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G01190)-RELATED', NULL, NULL, NULL, 15),
(156743, NULL, 'PTHR11615:SF307', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156744, NULL, 'PTHR47965', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE-RELATED', NULL, NULL, 6100, 15),
(156745, NULL, 'PTHR31793:SF27', NULL, NULL, NULL, NULL, 'ACYL-ACYL CARRIER PROTEIN THIOESTERASE ATL1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(156746, NULL, 'PTHR46165:SF5', NULL, NULL, NULL, NULL, 'RE32936P', NULL, NULL, NULL, 15),
(156747, NULL, 'PTHR12552:SF15', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 42', NULL, NULL, NULL, 15),
(156748, NULL, 'PTHR24067:SF167', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2', NULL, NULL, NULL, 15),
(156749, NULL, 'PTHR45660:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156750, NULL, 'PTHR10641:SF1274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156751, NULL, 'PTHR46621:SF1', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(156752, NULL, 'PTHR35596:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156753, NULL, 'PTHR44375:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156754, NULL, 'PTHR31282:SF113', NULL, NULL, NULL, NULL, 'WRKY FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(156755, NULL, 'PTHR13357', NULL, NULL, NULL, NULL, 'SH3 ADAPTER PROTEIN SPIN90  NCK INTERACTING PROTEIN WITH SH3 DOMAIN', NULL, NULL, 24460, 15),
(156756, NULL, 'PTHR23500:SF437', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156757, NULL, 'PTHR48001:SF81', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 356', NULL, NULL, NULL, 15),
(156758, NULL, 'PTHR45134:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156759, NULL, 'PTHR34372:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156760, NULL, 'PTHR21964:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156761, NULL, 'PTHR10196:SF69', NULL, NULL, NULL, NULL, 'ZGC:172295', NULL, NULL, NULL, 15),
(156762, NULL, 'PTHR45822:SF4', NULL, NULL, NULL, NULL, 'FREE FATTY ACID RECEPTOR 1', NULL, NULL, NULL, 15),
(156763, NULL, 'PTHR31948:SF84', NULL, NULL, NULL, NULL, 'HOMEOBOX DOMAIN, ZF-HD CLASS PROTEIN', NULL, NULL, NULL, 15),
(156764, NULL, 'PTHR45496:SF20', NULL, NULL, NULL, NULL, 'OS04G0286366 PROTEIN', NULL, NULL, NULL, 15),
(156765, NULL, 'PTHR30400:SF0', NULL, NULL, NULL, NULL, 'BIOSYNTHETIC PEPTIDOGLYCAN TRANSGLYCOSYLASE', NULL, NULL, NULL, 15),
(156766, NULL, 'PTHR11711:SF335', NULL, NULL, NULL, NULL, 'OS02G0128600 PROTEIN', NULL, NULL, NULL, 15),
(156767, NULL, 'PTHR46158', NULL, NULL, NULL, NULL, 'OS02G0165000 PROTEIN', NULL, NULL, NULL, 15),
(156768, NULL, 'PTHR21523:SF37', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MLT-10', NULL, NULL, NULL, 15),
(156769, NULL, 'PTHR35466:SF4', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 1', NULL, NULL, NULL, 15),
(156770, NULL, 'PTHR48128', NULL, NULL, NULL, NULL, 'REPELLENT PROTEIN 1', NULL, NULL, NULL, 15),
(156771, NULL, 'PTHR34360:SF2', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156772, NULL, 'PTHR12468', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 2', NULL, NULL, 4657, 15),
(156773, NULL, 'PTHR23046', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINOIMIDAZOLE CARBOXYLASE CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(156774, NULL, 'PTHR48085:SF8', NULL, NULL, NULL, NULL, 'CADMIUM/ZINC-TRANSPORTING ATPASE HMA3', NULL, NULL, NULL, 15),
(156775, NULL, 'PTHR47552:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE SUBUNIT PURQ', NULL, NULL, NULL, 15),
(156776, NULL, 'PTHR33101:SF61', NULL, NULL, NULL, NULL, 'OS02G0272300 PROTEIN', NULL, NULL, NULL, 15),
(156777, NULL, 'PTHR33995', NULL, NULL, NULL, NULL, 'PROTEIN CBG18546', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156778, NULL, 'PTHR10880:SF41', NULL, NULL, NULL, NULL, 'CHROMATIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(156779, NULL, 'PTHR11913:SF81', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 2-RELATED', NULL, NULL, NULL, 15),
(156780, NULL, 'PTHR27009:SF197', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(156781, NULL, 'PTHR37888', NULL, NULL, NULL, NULL, 'DNA-BINDING BROMODOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(156782, NULL, 'PTHR12189:SF2', NULL, NULL, NULL, NULL, 'MRNA CAP GUANINE-N7 METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(156783, NULL, 'PTHR11472:SF57', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE YPVA-RELATED', NULL, NULL, NULL, 15),
(156784, NULL, 'PTHR47031:SF5', NULL, NULL, NULL, NULL, 'OS03G0383800 PROTEIN', NULL, NULL, NULL, 15),
(156785, NULL, 'PTHR10768:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156786, NULL, 'PTHR31048:SF133', NULL, NULL, NULL, NULL, 'OSMOTIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156787, NULL, 'PTHR33179:SF41', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', NULL, NULL, 31457, 15),
(156788, NULL, 'PTHR11276:SF29', NULL, NULL, NULL, NULL, 'DNA POLYMERASE', NULL, NULL, NULL, 15),
(156789, NULL, 'PTHR45005:SF4', NULL, NULL, NULL, NULL, 'PLANT SPECIFIC MITOCHONDRIAL IMPORT RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(156790, NULL, 'PTHR35330:SF1', NULL, NULL, NULL, NULL, 'SIROHEME BIOSYNTHESIS PROTEIN MET8', NULL, NULL, NULL, 15),
(156791, NULL, 'PTHR16717', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE POLYPEPTIDE VIII', NULL, NULL, 3285, 15),
(156792, NULL, 'PTHR45977:SF16', NULL, NULL, NULL, NULL, 'BNACNNG32440D PROTEIN', NULL, NULL, NULL, 15),
(156793, NULL, 'PTHR13169:SF19', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN', NULL, NULL, NULL, 15),
(156794, NULL, 'PTHR10026:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156795, NULL, 'PTHR22969:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TBK1', NULL, NULL, NULL, 15),
(156796, NULL, 'PTHR11988:SF27', NULL, NULL, NULL, NULL, 'GH27708P', NULL, NULL, NULL, 15),
(156797, NULL, 'PTHR10332:SF9', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOSIDE TRANSPORTER 1', NULL, NULL, 22035, 15),
(156798, NULL, 'PTHR32133:SF275', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156799, NULL, 'PTHR30540:SF84', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(156800, NULL, 'PTHR24174:SF4', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SAM DOMAIN-CONTAINING PROTEIN 1A', NULL, NULL, 36430, 15),
(156801, NULL, 'PTHR45858:SF4', NULL, NULL, NULL, NULL, 'FERM, ARHGEF AND PLECKSTRIN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(156802, NULL, 'PTHR11394:SF50', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 114', NULL, NULL, NULL, 15),
(156803, NULL, 'PTHR10252:SF79', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON SUBUNIT 4', NULL, NULL, NULL, 15),
(156804, NULL, 'PTHR31080:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156805, NULL, 'PTHR26452:SF165', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10W1', NULL, NULL, NULL, 15),
(156806, NULL, 'PTHR22765:SF317', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN (AFU_ORTHOLOGUE AFUA_2G10860)', NULL, NULL, NULL, 15),
(156807, NULL, 'PTHR11722:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', NULL, NULL, NULL, 15),
(156808, NULL, 'PTHR46391:SF17', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 19-LIKE', NULL, NULL, NULL, 15),
(156809, NULL, 'PTHR30024:SF39', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(156810, NULL, 'PTHR12305:SF90', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE 3-PHOSPHATASE TPTE2-RELATED', NULL, NULL, NULL, 15),
(156811, NULL, 'PTHR11895:SF152', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE, SUBUNIT A (AFU_ORTHOLOGUE AFUA_7G06800)', NULL, NULL, NULL, 15),
(156812, NULL, 'PTHR11132:SF358', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE/PHOSPHATE TRANSLOCATOR-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156813, NULL, 'PTHR24391:SF15', NULL, NULL, NULL, NULL, 'ZGC:112083', NULL, NULL, NULL, 15),
(156814, NULL, 'PTHR24320:SF148', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE ENV9-RELATED', NULL, NULL, NULL, 15),
(156815, NULL, 'PTHR45825:SF13', NULL, NULL, NULL, NULL, 'SOLUBLE STARCH SYNTHASE 2-2, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(156816, NULL, 'PTHR12630:SF16', NULL, NULL, NULL, NULL, 'GLUCOSIDASE 2 SUBUNIT BETA-LIKE', NULL, NULL, 28609, 15),
(156817, NULL, 'PTHR12000:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156818, NULL, 'PTHR48019:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156819, NULL, 'PTHR10291:SF31', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(156820, NULL, 'PTHR24115:SF921', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156821, NULL, 'PTHR33198:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156822, NULL, 'PTHR18945:SF452', NULL, NULL, NULL, NULL, 'GLUTAMATE-GATED CHLORIDE CHANNEL', NULL, NULL, NULL, 15),
(156823, NULL, 'PTHR34655:SF2', NULL, NULL, NULL, NULL, 'CONSERVED WITHIN P. AEROPHILUM', NULL, NULL, NULL, 15),
(156824, NULL, 'PTHR47929', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156825, NULL, 'PTHR43341:SF21', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(156826, NULL, 'PTHR31744:SF117', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156827, NULL, 'PTHR15594', NULL, NULL, NULL, NULL, 'PODOCALYXIN-LIKE PROTEIN 2', NULL, NULL, 39982, 15),
(156828, NULL, 'PTHR11863:SF68', NULL, NULL, NULL, NULL, 'CHROMOSOME 12, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(156829, NULL, 'PTHR32166:SF85', NULL, NULL, NULL, NULL, 'OS05G0326650 PROTEIN', NULL, NULL, NULL, 15),
(156830, NULL, 'PTHR33471:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE', NULL, NULL, NULL, 15),
(156831, NULL, 'PTHR33179:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156832, NULL, 'PTHR47992:SF18', NULL, NULL, NULL, NULL, 'BNAC09G41410D PROTEIN', NULL, NULL, NULL, 15),
(156833, NULL, 'PTHR43572:SF63', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 3-LIKE', NULL, NULL, NULL, 15),
(156834, NULL, 'PTHR11817:SF64', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(156835, NULL, 'PTHR43227:SF10', NULL, NULL, NULL, NULL, 'TRANSPORT SYSTEM INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156836, NULL, 'PTHR24015:SF878', NULL, NULL, NULL, NULL, 'OS09G0413300 PROTEIN', NULL, NULL, NULL, 15),
(156837, NULL, 'PTHR11176:SF22', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156838, NULL, 'PTHR23222:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156839, NULL, 'PTHR13318:SF71', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN FBL11', NULL, NULL, NULL, 15),
(156840, NULL, 'PTHR11690:SF170', NULL, NULL, NULL, NULL, 'ACID-SENSING ION CHANNEL 1', NULL, NULL, NULL, 15),
(156841, NULL, 'PTHR31359', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 92', NULL, NULL, NULL, 15),
(156842, NULL, 'PTHR46413:SF20', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(156843, NULL, 'PTHR39965:SF1', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMR SUBUNIT CMR6', NULL, NULL, NULL, 15),
(156844, NULL, 'PTHR10188:SF33', NULL, NULL, NULL, NULL, 'ISOASPARTYL PEPTIDASE/L-ASPARAGINASE', NULL, NULL, NULL, 15),
(156845, NULL, 'PTHR11644', NULL, NULL, NULL, NULL, 'CYTIDINE DEAMINASE', NULL, NULL, NULL, 15),
(156846, NULL, 'PTHR16112:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156847, NULL, 'PTHR43895:SF72', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 13', NULL, NULL, NULL, 15),
(156848, NULL, 'PTHR31304:SF32', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 41-LIKE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156849, NULL, 'PTHR24399:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 45', NULL, NULL, NULL, 15),
(156850, NULL, 'PTHR13526:SF20', NULL, NULL, NULL, NULL, 'OS01G0117800 PROTEIN', NULL, NULL, NULL, 15),
(156851, NULL, 'PTHR15574:SF29', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 8-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(156852, NULL, 'PTHR11533:SF247', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(156853, NULL, 'PTHR46050:SF3', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING THIOREDOXIN TTL1', NULL, NULL, NULL, 15),
(156854, NULL, 'PTHR24172:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156855, NULL, 'PTHR48019:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156856, NULL, 'PTHR43133:SF34', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-70 FACTOR', NULL, NULL, NULL, 15),
(156857, NULL, 'PTHR37695:SF3', NULL, NULL, NULL, NULL, 'BNAA06G35310D PROTEIN', NULL, NULL, NULL, 15),
(156858, NULL, 'PTHR21230:SF79', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT THROUGH INTERACTION WITH T-SNARES HOMOLOG 1B', NULL, NULL, NULL, 15),
(156859, NULL, 'PTHR15371:SF30', NULL, NULL, NULL, NULL, 'BNAC07G33510D PROTEIN', NULL, NULL, NULL, 15),
(156860, NULL, 'PTHR47965:SF23', NULL, NULL, NULL, NULL, 'OS01G0937200 PROTEIN', NULL, NULL, NULL, 15),
(156861, NULL, 'PTHR33443:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156862, NULL, 'PTHR24242:SF178', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 11A1', NULL, NULL, NULL, 15),
(156863, NULL, 'PTHR31561:SF112', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(156864, NULL, 'PTHR23279:SF7', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 1, ISOFORM A', NULL, NULL, NULL, 15),
(156865, NULL, 'PTHR38110', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(156866, NULL, 'PTHR33710:SF21', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156867, NULL, 'PTHR48033', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(156868, NULL, 'PTHR45837:SF6', NULL, NULL, NULL, NULL, '25.3 KDA VESICLE TRANSPORT PROTEIN-LIKE', NULL, NULL, NULL, 15),
(156869, NULL, 'PTHR35161:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156870, NULL, 'PTHR31549:SF84', NULL, NULL, NULL, NULL, 'UPF0481 PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156871, NULL, 'PTHR21090:SF26', NULL, NULL, NULL, NULL, '3-PHOSPHOSHIKIMATE 1-CARBOXYVINYLTRANSFERASE', NULL, NULL, NULL, 15),
(156872, NULL, 'PTHR38666:SF2', NULL, NULL, NULL, NULL, 'FLAGELLAR ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(156873, NULL, 'PTHR10352:SF10', NULL, NULL, NULL, NULL, 'NUCLEOLYSIN TIA-1 ISOFORM P40', NULL, NULL, NULL, 15),
(156874, NULL, 'PTHR46057:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156875, NULL, 'PTHR32096:SF100', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RRS1B-RELATED', NULL, NULL, NULL, 15),
(156876, NULL, 'PTHR10634:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(156877, NULL, 'PTHR45818', NULL, NULL, NULL, NULL, 'PROTEIN VAV', NULL, NULL, NULL, 15),
(156878, NULL, 'PTHR35855', NULL, NULL, NULL, NULL, 'PROTEIN CBG11437-RELATED', NULL, NULL, NULL, 15),
(156879, NULL, 'PTHR13286:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156880, NULL, 'PTHR13194:SF18', NULL, NULL, NULL, NULL, 'COMPLEX I INTERMEDIATE-ASSOCIATED PROTEIN 30, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(156881, NULL, 'PTHR22950:SF585', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER ANTL2-LIKE', NULL, NULL, NULL, 15),
(156882, NULL, 'PTHR22808:SF18', NULL, NULL, NULL, NULL, 'TRNA (CYTOSINE(34)-C(5))-METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(156883, NULL, 'PTHR15683:SF8', NULL, NULL, NULL, NULL, 'SCAFFOLD ATTACHMENT FACTOR B, ISOFORM B', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156884, NULL, 'PTHR32322:SF15', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', NULL, NULL, NULL, 15),
(156885, NULL, 'PTHR24056:SF488', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156886, NULL, 'PTHR32468:SF103', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 16', NULL, NULL, NULL, 15),
(156887, NULL, 'PTHR12563:SF17', NULL, NULL, NULL, NULL, 'DIHYDROXYACETONE PHOSPHATE ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(156888, NULL, 'PTHR11624:SF96', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(156889, NULL, 'PTHR42799:SF9', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE A3', NULL, NULL, NULL, 15),
(156890, NULL, 'PTHR11557:SF7', NULL, NULL, NULL, NULL, 'BNAANNG06210D PROTEIN', NULL, NULL, NULL, 15),
(156891, NULL, 'PTHR39961:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(156892, NULL, 'PTHR28620', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN V', NULL, NULL, NULL, 15),
(156893, NULL, 'PTHR23007:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CBL-B', NULL, NULL, NULL, 15),
(156894, NULL, 'PTHR23333:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B PRIME GAMMA-RELATED', NULL, NULL, NULL, 15),
(156895, NULL, 'PTHR30465:SF94', NULL, NULL, NULL, NULL, 'NICKEL IMPORT SYSTEM PERMEASE PROTEIN NIKB', NULL, NULL, NULL, 15),
(156896, NULL, 'PTHR24369:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 4', NULL, NULL, 28639, 15),
(156897, NULL, 'PTHR10553:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156898, NULL, 'PTHR36410:SF4', NULL, NULL, NULL, NULL, 'BNAC07G48560D PROTEIN', NULL, NULL, NULL, 15),
(156899, NULL, 'PTHR47509:SF1', NULL, NULL, NULL, NULL, 'MCG1612', NULL, NULL, NULL, 15),
(156900, NULL, 'PTHR13964:SF26', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 4A', NULL, NULL, NULL, 15),
(156901, NULL, 'PTHR31936:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG15922', NULL, NULL, NULL, 15),
(156902, NULL, 'PTHR12399:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT D', NULL, NULL, NULL, 15),
(156903, NULL, 'PTHR10972:SF183', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN', NULL, NULL, NULL, 15),
(156904, NULL, 'PTHR11556:SF1', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, ISOFORM F', NULL, NULL, NULL, 15),
(156905, NULL, 'PTHR45787', NULL, NULL, NULL, NULL, 'LD11652P', NULL, NULL, NULL, 15),
(156906, NULL, 'PTHR18953:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156907, NULL, 'PTHR45647:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156908, NULL, 'PTHR47942:SF49', NULL, NULL, NULL, NULL, 'OS01G0559500 PROTEIN', NULL, NULL, NULL, 15),
(156909, NULL, 'PTHR22597:SF17', NULL, NULL, NULL, NULL, 'BNAC04G08790D PROTEIN', NULL, NULL, NULL, 15),
(156910, NULL, 'PTHR33908:SF9', NULL, NULL, NULL, NULL, 'BLL5595 PROTEIN', NULL, NULL, NULL, 15),
(156911, NULL, 'PTHR24298:SF678', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 24-HYDROXYLASE', NULL, NULL, NULL, 15),
(156912, NULL, 'PTHR12128:SF16', NULL, NULL, NULL, NULL, 'BLR3884 PROTEIN', NULL, NULL, NULL, 15),
(156913, NULL, 'PTHR10218:SF333', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-1 SUBUNIT', NULL, NULL, 7166, 15),
(156914, NULL, 'PTHR43874:SF87', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR11-LIKE', NULL, NULL, NULL, 15),
(156915, NULL, 'PTHR11849:SF286', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156916, NULL, 'PTHR33344:SF11', NULL, NULL, NULL, NULL, 'PLANT/F17M5-140 PROTEIN', NULL, NULL, NULL, 15),
(156917, NULL, 'PTHR35755:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(156918, NULL, 'PTHR10699:SF16', NULL, NULL, NULL, NULL, 'SPERM SURFACE PROTEIN SP17', NULL, NULL, NULL, 15),
(156919, NULL, 'PTHR27007:SF250', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VIII.2-LIKE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156920, NULL, 'PTHR14950:SF37', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE DICER', NULL, NULL, NULL, 15),
(156921, NULL, 'PTHR33147:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156922, NULL, 'PTHR35630:SF2', NULL, NULL, NULL, NULL, 'LEGUMINOSIN GROUP486 SECRETED PEPTIDE', NULL, NULL, NULL, 15),
(156923, NULL, 'PTHR10625:SF188', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 1', NULL, NULL, NULL, 15),
(156924, NULL, 'PTHR23076:SF78', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT METALLOPROTEASE', NULL, NULL, NULL, 15),
(156925, NULL, 'PTHR33130', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF1639)-RELATED', NULL, NULL, NULL, 15),
(156926, NULL, 'PTHR20275:SF39', NULL, NULL, NULL, NULL, 'BNAANNG17540D PROTEIN', NULL, NULL, NULL, 15),
(156927, NULL, 'PTHR14224:SF7', NULL, NULL, NULL, NULL, 'RIKEN CDNA C130073F10 GENE-RELATED', NULL, NULL, NULL, 15),
(156928, NULL, 'PTHR45730:SF78', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(156929, NULL, 'PTHR37015', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156930, NULL, 'PTHR24096:SF375', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 7', NULL, NULL, NULL, 15),
(156931, NULL, 'PTHR10751:SF111', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(156932, NULL, 'PTHR10288:SF98', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(156933, NULL, 'PTHR13271:SF101', NULL, NULL, NULL, NULL, 'RIBOSOMAL LYSINE N-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(156934, NULL, 'PTHR31282:SF106', NULL, NULL, NULL, NULL, 'PROTEIN WRKY1', NULL, NULL, NULL, 15),
(156935, NULL, 'PTHR10271:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR GUTR', NULL, NULL, NULL, 15),
(156936, NULL, 'PTHR32196:SF18', NULL, NULL, NULL, NULL, 'GALACTOSIDE TRANSPORT SYSTEM PERMEASE PROTEIN MGLC', NULL, NULL, 26285, 15),
(156937, NULL, 'PTHR33709:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156938, NULL, 'PTHR45633:SF26', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60-2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(156939, NULL, 'PTHR12101:SF30', NULL, NULL, NULL, NULL, 'POPEYE DOMAIN-CONTAINING PROTEIN 3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156940, NULL, 'PTHR21152:SF16', NULL, NULL, NULL, NULL, 'SERINE--PYRUVATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(156941, NULL, 'PTHR47771:SF5', NULL, NULL, NULL, NULL, 'HDC01644', NULL, NULL, NULL, 15),
(156942, NULL, 'PTHR18962', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 39', NULL, NULL, 34220, 15),
(156943, NULL, 'PTHR10795:SF670', NULL, NULL, NULL, NULL, 'BNAA02G07220D PROTEIN', NULL, NULL, NULL, 15),
(156944, NULL, 'PTHR30158:SF10', NULL, NULL, NULL, NULL, 'HLYD FAMILY SECRETION PROTEIN', NULL, NULL, NULL, 15),
(156945, NULL, 'PTHR45716', NULL, NULL, NULL, NULL, 'BITESIZE, ISOFORM I', NULL, NULL, NULL, 15),
(156946, NULL, 'PTHR43829:SF6', NULL, NULL, NULL, NULL, 'AQUAPORIN-9', NULL, NULL, 18181, 15),
(156947, NULL, 'PTHR22814:SF302', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 26', NULL, NULL, NULL, 15),
(156948, NULL, 'PTHR31140:SF63', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING PROTEIN OS05G0549800', NULL, NULL, NULL, 15),
(156949, NULL, 'PTHR44259:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156950, NULL, 'PTHR48018:SF9', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(156951, NULL, 'PTHR10709:SF11', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 1A', NULL, NULL, 24833, 15),
(156952, NULL, 'PTHR11527:SF325', NULL, NULL, NULL, NULL, '17.8 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(156953, NULL, 'PTHR33107:SF48', NULL, NULL, NULL, NULL, 'KUNITZ TYPE TRYPSIN INHIBITOR / MIRACULIN', NULL, NULL, NULL, 15),
(156954, NULL, 'PTHR11043:SF3', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-A-RELATED', NULL, NULL, NULL, 15),
(156955, NULL, 'PTHR35722:SF1', NULL, NULL, NULL, NULL, 'MAL D 1-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(156956, NULL, 'PTHR24026:SF93', NULL, NULL, NULL, NULL, 'CADHERIN-99C', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156957, NULL, 'PTHR12875:SF2', NULL, NULL, NULL, NULL, 'BNAC03G74870D PROTEIN', NULL, NULL, NULL, 15),
(156958, NULL, 'PTHR34191:SF16', NULL, NULL, NULL, NULL, 'STRESS-INDUCED PROTEIN KIN2-LIKE', NULL, NULL, NULL, 15),
(156959, NULL, 'PTHR20931:SF0', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 30A', NULL, NULL, NULL, 15),
(156960, NULL, 'PTHR31107', NULL, NULL, NULL, NULL, 'APOPTOGENIC PROTEIN 1, MITOCHONDRIAL', NULL, NULL, 19009, 15),
(156961, NULL, 'PTHR47975:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156962, NULL, 'PTHR42687', NULL, NULL, NULL, NULL, 'L-THREONINE 3-DEHYDROGENASE', NULL, NULL, NULL, 15),
(156963, NULL, 'PTHR47958:SF16', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE IRC3-RELATED', NULL, NULL, NULL, 15),
(156964, NULL, 'PTHR43791:SF66', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YIHN', NULL, NULL, NULL, 15),
(156965, NULL, 'PTHR46033:SF39', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-LIKE, MOBILE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(156966, NULL, 'PTHR10177:SF369', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN-A', NULL, NULL, NULL, 15),
(156967, NULL, 'PTHR37211:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(156968, NULL, 'PTHR32295:SF145', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 32-LIKE', NULL, NULL, NULL, 15),
(156969, NULL, 'PTHR31639:SF211', NULL, NULL, NULL, NULL, 'BNAC03G71810D PROTEIN', NULL, NULL, NULL, 15),
(156970, NULL, 'PTHR32467:SF173', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ANT', NULL, NULL, NULL, 15),
(156971, NULL, 'PTHR45650:SF53', NULL, NULL, NULL, NULL, 'BNAC03G59260D PROTEIN', NULL, NULL, NULL, 15),
(156972, NULL, 'PTHR31356:SF45', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 1, CYTOSOLIC', NULL, NULL, NULL, 15),
(156973, NULL, 'PTHR13068:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156974, NULL, 'PTHR12299:SF52', NULL, NULL, NULL, NULL, 'RGG REPEATS NUCLEAR RNA BINDING PROTEIN C', NULL, NULL, NULL, 15),
(156975, NULL, 'PTHR45950:SF13', NULL, NULL, NULL, NULL, 'CLASS III HD-ZIP PROTEIN CNA1', NULL, NULL, NULL, 15),
(156976, NULL, 'PTHR11461:SF180', NULL, NULL, NULL, NULL, 'LEUKOCYTE ELASTASE INHIBITOR', NULL, NULL, 8439, 15),
(156977, NULL, 'PTHR31044:SF94', NULL, NULL, NULL, NULL, 'CBM43-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(156978, NULL, 'PTHR46894', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 2', NULL, NULL, NULL, 15),
(156979, NULL, 'PTHR27000:SF721', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', NULL, NULL, NULL, 15),
(156980, NULL, 'PTHR27003:SF292', NULL, NULL, NULL, NULL, 'PHYTOENE DEHYDROGENASE, CHLOROPLASTIC/CHROMOPLASTIC-LIKE', NULL, NULL, NULL, 15),
(156981, NULL, 'PTHR11654:SF175', NULL, NULL, NULL, NULL, 'OS10G0111700 PROTEIN', NULL, NULL, NULL, 15),
(156982, NULL, 'PTHR43795:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ASPARTATE AMINOTRANSFERASE AND GLUTAMATE/ASPARTATE-PREPHENATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(156983, NULL, 'PTHR47787', NULL, NULL, NULL, NULL, 'CENTROMERE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(156984, NULL, 'PTHR27008:SF465', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(156985, NULL, 'PTHR47925:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156986, NULL, 'PTHR31917:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156987, NULL, 'PTHR43801', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING PROTEIN-RELATED', NULL, NULL, 5036, 15),
(156988, NULL, 'PTHR24409:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(156989, NULL, 'PTHR47764', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE-SPECIFIC PROTEASE 2B-RELATED', NULL, NULL, NULL, 15),
(156990, NULL, 'PTHR13050:SF8', NULL, NULL, NULL, NULL, 'CATION EXCHANGER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(156991, NULL, 'PTHR45684:SF27', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1A-LIKE PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(156992, NULL, 'PTHR12936:SF1', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 10', NULL, NULL, NULL, 15),
(156993, NULL, 'PTHR11318:SF3', NULL, NULL, NULL, NULL, 'GUANYLIN', NULL, NULL, NULL, 15),
(156994, NULL, 'PTHR23516:SF13', NULL, NULL, NULL, NULL, 'DUF791 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(156995, NULL, 'PTHR48063:SF23', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', NULL, NULL, NULL, 15),
(156996, NULL, 'PTHR21347:SF11', NULL, NULL, NULL, NULL, 'BNAA09G05230D PROTEIN', NULL, NULL, NULL, 15),
(156997, NULL, 'PTHR46326:SF18', NULL, NULL, NULL, NULL, 'BNAC04G22120D PROTEIN', NULL, NULL, NULL, 15),
(156998, NULL, 'PTHR23309:SF38', NULL, NULL, NULL, NULL, 'BNAA05G30610D PROTEIN', NULL, NULL, NULL, 15),
(156999, NULL, 'PTHR12538:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', NULL, NULL, NULL, 15),
(157000, NULL, 'PTHR10891:SF804', NULL, NULL, NULL, NULL, 'OS03G0813500 PROTEIN', NULL, NULL, NULL, 15),
(157001, NULL, 'PTHR24367:SF21', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT LGI FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(157002, NULL, 'PTHR46431:SF13', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157003, NULL, 'PTHR24104:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157004, NULL, 'PTHR47925:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157005, NULL, 'PTHR10492:SF50', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(157006, NULL, 'PTHR45618:SF31', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DICARBOXYLATE/TRICARBOXYLATE TRANSPORTER DTC', NULL, NULL, NULL, 15),
(157007, NULL, 'PTHR33149:SF31', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II D2 PROTEIN', NULL, NULL, NULL, 15),
(157008, NULL, 'PTHR16223:SF140', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH112-LIKE', NULL, NULL, NULL, 15),
(157009, NULL, 'PTHR46318:SF1', NULL, NULL, NULL, NULL, 'UPSTREAM-BINDING FACTOR 1-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(157010, NULL, 'PTHR45916:SF1', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN 5', NULL, NULL, NULL, 15),
(157011, NULL, 'PTHR23294:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG22453', NULL, NULL, NULL, 15),
(157012, NULL, 'PTHR27004:SF361', NULL, NULL, NULL, NULL, 'BNAC04G29210D PROTEIN', NULL, NULL, NULL, 15),
(157013, NULL, 'PTHR45721:SF8', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFA-4', NULL, NULL, NULL, 15),
(157014, NULL, 'PTHR31787:SF2', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN A', NULL, NULL, NULL, 15),
(157015, NULL, 'PTHR31265:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157016, NULL, 'PTHR33179:SF29', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(157017, NULL, 'PTHR23405:SF4', NULL, NULL, NULL, NULL, 'PROTEIN MAK16 HOMOLOG', NULL, NULL, NULL, 15),
(157018, NULL, 'PTHR31388:SF152', NULL, NULL, NULL, NULL, 'PEROXIDASE 20', NULL, NULL, NULL, 15),
(157019, NULL, 'PTHR11527:SF278', NULL, NULL, NULL, NULL, '17.8 KDA CLASS I HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(157020, NULL, 'PTHR31443:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157021, NULL, 'PTHR31650:SF35', NULL, NULL, NULL, NULL, 'FOLDED PETALS', NULL, NULL, NULL, 15),
(157022, NULL, 'PTHR15350:SF14', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT M', NULL, NULL, NULL, 15),
(157023, NULL, 'PTHR26453:SF240', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 225', NULL, NULL, NULL, 15),
(157024, NULL, 'PTHR23359:SF59', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE ISOENZYME 1', NULL, NULL, NULL, 15),
(157025, NULL, 'PTHR24286:SF287', NULL, NULL, NULL, NULL, 'LANOSTEROL 14-ALPHA DEMETHYLASE', NULL, NULL, NULL, 15),
(157026, NULL, 'PTHR11530', NULL, NULL, NULL, NULL, 'D-AMINO ACID OXIDASE', NULL, NULL, 15945, 15),
(157027, NULL, 'PTHR11208:SF133', NULL, NULL, NULL, NULL, 'BNAC03G13860D PROTEIN', NULL, NULL, NULL, 15),
(157028, NULL, 'PTHR11537:SF60', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY S MEMBER 2', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157029, NULL, 'PTHR10815:SF13', NULL, NULL, NULL, NULL, 'AT04446P', NULL, NULL, NULL, 15),
(157030, NULL, 'PTHR32071:SF86', NULL, NULL, NULL, NULL, 'TWO COMPONENT SIGNAL TRANSDUCTION SYSTEM SIGMA54-DEPENDENT RESPONSE REGULATOR FIS FAMILY', NULL, NULL, NULL, 15),
(157031, NULL, 'PTHR12883:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 47', NULL, NULL, NULL, 15),
(157032, NULL, 'PTHR45968:SF2', NULL, NULL, NULL, NULL, '(R)-MANDELONITRILE LYASE-LIKE', NULL, NULL, NULL, 15),
(157033, NULL, 'PTHR17103:SF10', NULL, NULL, NULL, NULL, 'NEUREXOPHILIN-4', NULL, NULL, NULL, 15),
(157034, NULL, 'PTHR46937:SF6', NULL, NULL, NULL, NULL, 'FERREDOXIN/THIOREDOXIN REDUCTASE SUBUNIT A (VARIABLE SUBUNIT) 2', NULL, NULL, NULL, 15),
(157035, NULL, 'PTHR31375:SF242', NULL, NULL, NULL, NULL, 'BNAANNG30380D PROTEIN', NULL, NULL, NULL, 15),
(157036, NULL, 'PTHR10985:SF27', NULL, NULL, NULL, NULL, 'HAIRY AND ENHANCER OF SPLIT 6, GENE 2', NULL, NULL, NULL, 15),
(157037, NULL, 'PTHR23219:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG07970', NULL, NULL, NULL, 15),
(157038, NULL, 'PTHR35692:SF1', NULL, NULL, NULL, NULL, 'F26F24.11', NULL, NULL, NULL, 15),
(157039, NULL, 'PTHR30576:SF21', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE:UNDECAPRENYL-PHOSPHATE GLUCOSE-1-PHOSPHATE TRANSFERASE', NULL, NULL, NULL, 15),
(157040, NULL, 'PTHR24412:SF174', NULL, NULL, NULL, NULL, 'KELCH-LIKE ECH-ASSOCIATED PROTEIN 1A', NULL, NULL, NULL, 15),
(157041, NULL, 'PTHR23080:SF134', NULL, NULL, NULL, NULL, 'AGAP001368-PA', NULL, NULL, NULL, 15),
(157042, NULL, 'PTHR48009:SF3', NULL, NULL, NULL, NULL, 'BNAA08G27450D PROTEIN', NULL, NULL, NULL, 15),
(157043, NULL, 'PTHR31719:SF98', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(157044, NULL, 'PTHR47484:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157045, NULL, 'PTHR30519:SF16', NULL, NULL, NULL, NULL, 'COBALAMIN-INDEPENDENT METHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(157046, NULL, 'PTHR33124:SF77', NULL, NULL, NULL, NULL, 'BNAA09G55360D PROTEIN', NULL, NULL, NULL, 15),
(157047, NULL, 'PTHR10336:SF12', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE BETA-1', NULL, NULL, 25138, 15),
(157048, NULL, 'PTHR47992:SF138', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 59-RELATED', NULL, NULL, NULL, 15),
(157049, NULL, 'PTHR13046', NULL, NULL, NULL, NULL, 'PROTEASE U48 CAAX PRENYL PROTEASE RCE1', NULL, NULL, 29399, 15),
(157050, NULL, 'PTHR11581:SF26', NULL, NULL, NULL, NULL, 'BNAANNG28590D PROTEIN', NULL, NULL, NULL, 15),
(157051, NULL, 'PTHR42933', NULL, NULL, NULL, NULL, 'SLR6095 PROTEIN', NULL, NULL, NULL, 15),
(157052, NULL, 'PTHR21502:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN DZIP1L', NULL, NULL, NULL, 15),
(157053, NULL, 'PTHR10641:SF1221', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR MIXTA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(157054, NULL, 'PTHR12128:SF22', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE SYNTHETASE', NULL, NULL, NULL, 15),
(157055, NULL, 'PTHR24070:SF412', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(157056, NULL, 'PTHR47647:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 12 MEMBER B', NULL, NULL, NULL, 15),
(157057, NULL, 'PTHR31080:SF246', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR-LIKE', NULL, NULL, NULL, 15),
(157058, NULL, 'PTHR45631:SF80', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(157059, NULL, 'PTHR24221:SF558', NULL, NULL, NULL, NULL, 'BNAA10G12020D PROTEIN', NULL, NULL, NULL, 15),
(157060, NULL, 'PTHR31734:SF184', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(157061, NULL, 'PTHR31116:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157062, NULL, 'PTHR35117:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157063, NULL, 'PTHR33214:SF39', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2', NULL, NULL, NULL, 15),
(157064, NULL, 'PTHR10579:SF120', NULL, NULL, NULL, NULL, 'CHROMATIN REGULATOR PHD FAMILY-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157065, NULL, 'PTHR22776:SF80', NULL, NULL, NULL, NULL, 'PROTEIN CBG08278', NULL, NULL, NULL, 15),
(157066, NULL, 'PTHR45642:SF40', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(157067, NULL, 'PTHR33640:SF27', NULL, NULL, NULL, NULL, 'BNAA07G12620D PROTEIN', NULL, NULL, NULL, 15),
(157068, NULL, 'PTHR33869:SF11', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE601 PROTEIN', NULL, NULL, NULL, 15),
(157069, NULL, 'PTHR27002:SF754', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN S6, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(157070, NULL, 'PTHR10909:SF385', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACYL-COENZYME A OXIDASE 1.2-RELATED', NULL, NULL, NULL, 15),
(157071, NULL, 'PTHR34055:SF12', NULL, NULL, NULL, NULL, 'BNAA04G27560D PROTEIN', NULL, NULL, NULL, 15),
(157072, NULL, 'PTHR48017:SF118', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1J', NULL, NULL, NULL, 15),
(157073, NULL, 'PTHR11394:SF49', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 3', NULL, NULL, NULL, 15),
(157074, NULL, 'PTHR13710:SF108', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE Q4', NULL, NULL, NULL, 15),
(157075, NULL, 'PTHR21255', NULL, NULL, NULL, NULL, 'T-COMPLEX-ASSOCIATED-TESTIS-EXPRESSED 1/ DYNEIN LIGHT CHAIN', NULL, NULL, 5793, 15),
(157076, NULL, 'PTHR33207:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157077, NULL, 'PTHR18945:SF558', NULL, NULL, NULL, NULL, 'ZINC-ACTIVATED LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(157078, NULL, 'PTHR40047', NULL, NULL, NULL, NULL, 'UPF0703 PROTEIN YCGQ', NULL, NULL, 14334, 15),
(157079, NULL, 'PTHR43716', NULL, NULL, NULL, NULL, 'D-2-HYDROXYGLUTARATE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(157080, NULL, 'PTHR11062:SF307', NULL, NULL, NULL, NULL, 'ARABINOSYLTRANSFERASE ARAD2-RELATED', NULL, NULL, NULL, 15),
(157081, NULL, 'PTHR32175:SF0', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(157082, NULL, 'PTHR31894', NULL, NULL, NULL, NULL, 'UPF0461 PROTEIN C5ORF24', NULL, NULL, 31440, 15),
(157083, NULL, 'PTHR21327:SF39', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL RIBOFLAVIN BIOSYNTHESIS PROTEIN RIBA 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(157084, NULL, 'PTHR33172:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157085, NULL, 'PTHR12689', NULL, NULL, NULL, NULL, 'A1 CISTRON SPLICING FACTOR AAR2-RELATED', NULL, NULL, 4002, 15),
(157086, NULL, 'PTHR19353:SF14', NULL, NULL, NULL, NULL, 'DELTA(5) FATTY ACID DESATURASE C-RELATED', NULL, NULL, NULL, 15),
(157087, NULL, 'PTHR34268:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157088, NULL, 'PTHR36999:SF1', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', NULL, NULL, NULL, 15),
(157089, NULL, 'PTHR37172:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(157090, NULL, 'PTHR34127', NULL, NULL, NULL, NULL, 'OS04G0405600 PROTEIN', NULL, NULL, 10736, 15),
(157091, NULL, 'PTHR22953:SF139', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(157092, NULL, 'PTHR43899:SF39', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN 3-OXOACYL-COA REDUCTASE 1 ISOFORM X1', NULL, NULL, NULL, 15),
(157093, NULL, 'PTHR34839', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157094, NULL, 'PTHR31265:SF41', NULL, NULL, NULL, NULL, 'BNAC06G40680D PROTEIN', NULL, NULL, NULL, 15),
(157095, NULL, 'PTHR45626:SF22', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD5', NULL, NULL, NULL, 15),
(157096, NULL, 'PTHR32295:SF180', NULL, NULL, NULL, NULL, 'BNAC09G21100D PROTEIN', NULL, NULL, NULL, 15),
(157097, NULL, 'PTHR15021:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN BASONUCLIN-2', NULL, NULL, NULL, 15),
(157098, NULL, 'PTHR34536:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157099, NULL, 'PTHR31861', NULL, NULL, NULL, NULL, 'OS10G0507500 PROTEIN', NULL, NULL, NULL, 15),
(157100, NULL, 'PTHR24046', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE, CUB AND EGF-LIKE DOMAIN-CONTAINING', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157101, NULL, 'PTHR21879:SF1', NULL, NULL, NULL, NULL, 'FI01546P', NULL, NULL, NULL, 15),
(157102, NULL, 'PTHR23200:SF49', NULL, NULL, NULL, NULL, 'PROTEIN CBG06992', NULL, NULL, NULL, 15),
(157103, NULL, 'PTHR43375:SF1', NULL, NULL, NULL, NULL, 'OROTIDINE 5''-PHOSPHATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(157104, NULL, 'PTHR11188:SF71', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN C', NULL, NULL, NULL, 15),
(157105, NULL, 'PTHR39569:SF1', NULL, NULL, NULL, NULL, 'INORGANIC TRIPHOSPHATASE', NULL, NULL, NULL, 15),
(157106, NULL, 'PTHR47998:SF33', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(157107, NULL, 'PTHR31235:SF219', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(157108, NULL, 'PTHR15486:SF61', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE 2-O-ACYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(157109, NULL, 'PTHR42802', NULL, NULL, NULL, NULL, 'MONOOXYGENASE', NULL, NULL, 22951, 15),
(157110, NULL, 'PTHR12406:SF43', NULL, NULL, NULL, NULL, 'BNAC07G30920D PROTEIN', NULL, NULL, NULL, 15),
(157111, NULL, 'PTHR33155:SF50', NULL, NULL, NULL, NULL, 'BNACNNG43270D PROTEIN', NULL, NULL, NULL, 15),
(157112, NULL, 'PTHR19957:SF320', NULL, NULL, NULL, NULL, 'SYNTAXIN-23', NULL, NULL, NULL, 15),
(157113, NULL, 'PTHR18934:SF99', NULL, NULL, NULL, NULL, 'DEAH (ASP-GLU-ALA-HIS) BOX POLYPEPTIDE 37', NULL, NULL, NULL, 15),
(157114, NULL, 'PTHR47979:SF72', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB11B', NULL, NULL, NULL, 15),
(157115, NULL, 'PTHR44157:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 11', NULL, NULL, NULL, 15),
(157116, NULL, 'PTHR10791:SF28', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET3', NULL, NULL, NULL, 15),
(157117, NULL, 'PTHR10827:SF56', NULL, NULL, NULL, NULL, 'RETICULOCALBIN-2', NULL, NULL, NULL, 15),
(157118, NULL, 'PTHR45719:SF12', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14A-LIKE', NULL, NULL, NULL, 15),
(157119, NULL, 'PTHR43079:SF1', NULL, NULL, NULL, NULL, 'CADMIUM/ZINC-TRANSPORTING ATPASE HMA1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(157120, NULL, 'PTHR11709:SF317', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(157121, NULL, 'PTHR47635:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157122, NULL, 'PTHR43176:SF26', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE 1', NULL, NULL, NULL, 15),
(157123, NULL, 'PTHR18976:SF1', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN A-IV', NULL, NULL, NULL, 15),
(157124, NULL, 'PTHR19848:SF4', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN CONTAINING 7', NULL, NULL, NULL, 15),
(157125, NULL, 'PTHR33065:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157126, NULL, 'PTHR43719:SF60', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE G2', NULL, NULL, NULL, 15),
(157127, NULL, 'PTHR45623:SF17', NULL, NULL, NULL, NULL, 'CHROMODOMAIN-HELICASE-DNA-BINDING PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(157128, NULL, 'PTHR47934:SF2', NULL, NULL, NULL, NULL, 'OS07G0671200 PROTEIN', NULL, NULL, NULL, 15),
(157129, NULL, 'PTHR31733:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE KAPPA', NULL, NULL, NULL, 15),
(157130, NULL, 'PTHR46268:SF11', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN YXIE', NULL, NULL, NULL, 15),
(157131, NULL, 'PTHR11711:SF222', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR L-RELATED', NULL, NULL, NULL, 15),
(157132, NULL, 'PTHR24068:SF333', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 10-LIKE', NULL, NULL, NULL, 15),
(157133, NULL, 'PTHR22536:SF6', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 19A-LIKE', NULL, NULL, NULL, 15),
(157134, NULL, 'PTHR13047:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157135, NULL, 'PTHR17224:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(157136, NULL, 'PTHR13413', NULL, NULL, NULL, NULL, 'YLP MOTIF CONTAINING PROTEIN NUCLEAR PROTEIN ZAP', NULL, NULL, 27768, 15),
(157137, NULL, 'PTHR34380:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157138, NULL, 'PTHR19872:SF7', NULL, NULL, NULL, NULL, 'CMT1A DUPLICATED REGION TRANSCRIPT 1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157139, NULL, 'PTHR11567:SF138', NULL, NULL, NULL, NULL, 'INTESTINAL ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(157140, NULL, 'PTHR12203:SF102', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(157141, NULL, 'PTHR35340:SF5', NULL, NULL, NULL, NULL, 'PQQ ENZYME REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157142, NULL, 'PTHR28654', NULL, NULL, NULL, NULL, 'AXIN INTERACTOR, DORSALIZATION-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(157143, NULL, 'PTHR27001:SF869', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE DOMAIN KINASE', NULL, NULL, NULL, 15),
(157144, NULL, 'PTHR11132:SF291', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR TRANSPORTER FAMILY', NULL, NULL, NULL, 15),
(157145, NULL, 'PTHR47925:SF14', NULL, NULL, NULL, NULL, 'BNAA10G28390D PROTEIN', NULL, NULL, NULL, 15),
(157146, NULL, 'PTHR23505:SF79', NULL, NULL, NULL, NULL, 'PROTEIN SPINSTER', NULL, NULL, NULL, 15),
(157147, NULL, 'PTHR23262:SF211', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-6', NULL, NULL, NULL, 15),
(157148, NULL, 'PTHR19879:SF6', NULL, NULL, NULL, NULL, 'TAF5-LIKE RNA POLYMERASE II P300/CBP-ASSOCIATED FACTOR-ASSOCIATED FACTOR 65 KDA SUBUNIT 5L', NULL, NULL, 33174, 15),
(157149, NULL, 'PTHR46792:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 80-LIKE 2', NULL, NULL, NULL, 15),
(157150, NULL, 'PTHR34545:SF1', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 22', NULL, NULL, NULL, 15),
(157151, NULL, 'PTHR22802:SF399', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(157152, NULL, 'PTHR24412:SF460', NULL, NULL, NULL, NULL, 'RING CANAL KELCH PROTEIN', NULL, NULL, NULL, 15),
(157153, NULL, 'PTHR24070:SF417', NULL, NULL, NULL, NULL, 'SCA1 COMPLEX PROTEIN PHR', NULL, NULL, NULL, 15),
(157154, NULL, 'PTHR45687:SF54', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP-TYPE-RELATED', NULL, NULL, NULL, 15),
(157155, NULL, 'PTHR36066:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH145-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(157156, NULL, 'PTHR43100:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE [NADPH] SMALL CHAIN', NULL, NULL, NULL, 15),
(157157, NULL, 'PTHR10784', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 6', NULL, NULL, 4691, 15),
(157158, NULL, 'PTHR32479:SF18', NULL, NULL, NULL, NULL, 'OXIDO/REDUCTASE IRON SULFUR PROTEIN', NULL, NULL, NULL, 15),
(157159, NULL, 'PTHR31947:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157160, NULL, 'PTHR13068:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157161, NULL, 'PTHR11905:SF21', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(157162, NULL, 'PTHR46295:SF1', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM RESIDENT PROTEIN 44', NULL, NULL, NULL, 15),
(157163, NULL, 'PTHR34802', NULL, NULL, NULL, NULL, 'CHORISMATE SYNTHASE', NULL, NULL, NULL, 15),
(157164, NULL, 'PTHR11771:SF156', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(157165, NULL, 'PTHR43327:SF42', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 3', NULL, NULL, NULL, 15),
(157166, NULL, 'PTHR14392:SF3', NULL, NULL, NULL, NULL, 'PROTEIN NIBAN', NULL, NULL, NULL, 15),
(157167, NULL, 'PTHR27008:SF42', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(157168, NULL, 'PTHR34988:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(157169, NULL, 'PTHR47007', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 37128, 15),
(157170, NULL, 'PTHR31992:SF150', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF4.6-LIKE', NULL, NULL, NULL, 15),
(157171, NULL, 'PTHR31185:SF0', NULL, NULL, NULL, NULL, 'FIN BUD INITIATION FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(157172, NULL, 'PTHR47965:SF9', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED3', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157173, NULL, 'PTHR33986:SF16', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION PROTEIN ELM1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(157174, NULL, 'PTHR48100:SF27', NULL, NULL, NULL, NULL, 'OS01G0237100 PROTEIN', NULL, NULL, NULL, 15),
(157175, NULL, 'PTHR33202:SF17', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157176, NULL, 'PTHR11735:SF11', NULL, NULL, NULL, NULL, 'TRNA THREONYLCARBAMOYLADENOSINE BIOSYNTHESIS PROTEIN TSAB', NULL, NULL, 16592, 15),
(157177, NULL, 'PTHR31642:SF253', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157178, NULL, 'PTHR33356:SF21', NULL, NULL, NULL, NULL, 'BNAA09G01110D PROTEIN', NULL, NULL, NULL, 15),
(157179, NULL, 'PTHR23236:SF65', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157180, NULL, 'PTHR15603:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157181, NULL, 'PTHR37538:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157182, NULL, 'PTHR11599:SF51', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-5', NULL, NULL, 31673, 15),
(157183, NULL, 'PTHR12436:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157184, NULL, 'PTHR46566:SF4', NULL, NULL, NULL, NULL, 'TAGATOSE-6-PHOSPHATE KINASE', NULL, NULL, NULL, 15),
(157185, NULL, 'PTHR11629:SF63', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(157186, NULL, 'PTHR37001:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157187, NULL, 'PTHR11615:SF308', NULL, NULL, NULL, NULL, 'ASSIMILATORY NITRATE REDUCTASE', NULL, NULL, NULL, 15),
(157188, NULL, 'PTHR31920:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157189, NULL, 'PTHR11655:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157190, NULL, 'PTHR31639:SF66', NULL, NULL, NULL, NULL, 'OS07G0161500 PROTEIN', NULL, NULL, NULL, 15),
(157191, NULL, 'PTHR11735:SF14', NULL, NULL, NULL, NULL, 'TRNA N6-ADENOSINE THREONYLCARBAMOYLTRANSFERASE-RELATED', NULL, NULL, 31515, 15),
(157192, NULL, 'PTHR33147:SF69', NULL, NULL, NULL, NULL, 'DEFENSIN SD2', NULL, NULL, NULL, 15),
(157193, NULL, 'PTHR30024:SF1', NULL, NULL, NULL, NULL, 'ALIPHATIC SULFONATES-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157194, NULL, 'PTHR27007:SF215', NULL, NULL, NULL, NULL, 'OS07G0575600 PROTEIN', NULL, NULL, NULL, 15),
(157195, NULL, 'PTHR43124', NULL, NULL, NULL, NULL, 'PURINE EFFLUX PUMP PBUE', NULL, NULL, NULL, 15),
(157196, NULL, 'PTHR12778:SF9', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A TRANSPORTER 1', NULL, NULL, NULL, 15),
(157197, NULL, 'PTHR14647:SF62', NULL, NULL, NULL, NULL, 'GALACTOSE-3-O-SULFOTRANSFERASE 2', NULL, NULL, NULL, 15),
(157198, NULL, 'PTHR43224', NULL, NULL, NULL, NULL, 'AMIDINOTRANSFERASE', NULL, NULL, 12463, 15),
(157199, NULL, 'PTHR34141:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157200, NULL, 'PTHR14115:SF0', NULL, NULL, NULL, NULL, 'AMELOBLASTIN', NULL, NULL, NULL, 15),
(157201, NULL, 'PTHR21432:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG01054', NULL, NULL, NULL, 15),
(157202, NULL, 'PTHR42760:SF87', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_7G04360)', NULL, NULL, NULL, 15),
(157203, NULL, 'PTHR15725:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 19', NULL, NULL, NULL, 15),
(157204, NULL, 'PTHR43431:SF5', NULL, NULL, NULL, NULL, '3-KETODIHYDROSPHINGOSINE REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(157205, NULL, 'PTHR48078:SF11', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(157206, NULL, 'PTHR46570:SF1', NULL, NULL, NULL, NULL, 'TUBULIN--TYROSINE LIGASE', NULL, NULL, NULL, 15),
(157207, NULL, 'PTHR11893:SF23', NULL, NULL, NULL, NULL, 'INNEXIN-14', NULL, NULL, NULL, 15),
(157208, NULL, 'PTHR23201:SF12', NULL, NULL, NULL, NULL, 'OS05G0432200 PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157209, NULL, 'PTHR11937:SF450', NULL, NULL, NULL, NULL, 'ACTIN-3', NULL, NULL, NULL, 15),
(157210, NULL, 'PTHR47990:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157211, NULL, 'PTHR28656', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 153', NULL, NULL, 36343, 15),
(157212, NULL, 'PTHR32175:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157213, NULL, 'PTHR26452:SF196', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1440', NULL, NULL, NULL, 15),
(157214, NULL, 'PTHR31907:SF60', NULL, NULL, NULL, NULL, 'BNAC06G43750D PROTEIN', NULL, NULL, NULL, 15),
(157215, NULL, 'PTHR43258', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(157216, NULL, 'PTHR47506:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(157217, NULL, 'PTHR45889', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157218, NULL, 'PTHR10593:SF139', NULL, NULL, NULL, NULL, 'OSJNBA0019G23.4 PROTEIN', NULL, NULL, NULL, 15),
(157219, NULL, 'PTHR43572:SF59', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 3', NULL, NULL, NULL, 15),
(157220, NULL, 'PTHR24390:SF163', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 438', NULL, NULL, NULL, 15),
(157221, NULL, 'PTHR15572:SF0', NULL, NULL, NULL, NULL, 'GLUTAMINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(157222, NULL, 'PTHR12378:SF13', NULL, NULL, NULL, NULL, 'EREBP-4 LIKE PROTEIN', NULL, NULL, NULL, 15),
(157223, NULL, 'PTHR21472:SF20', NULL, NULL, NULL, NULL, 'SI:DKEY-85K7.10', NULL, NULL, NULL, 15),
(157224, NULL, 'PTHR34149:SF7', NULL, NULL, NULL, NULL, 'PROTEIN SUP-1', NULL, NULL, NULL, 15),
(157225, NULL, 'PTHR20986:SF17', NULL, NULL, NULL, NULL, 'FMRFAMIDE-LIKE NEUROPEPTIDE 18', NULL, NULL, NULL, 15),
(157226, NULL, 'PTHR24070:SF203', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RIT2', NULL, NULL, NULL, 15),
(157227, NULL, 'PTHR15228:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157228, NULL, 'PTHR22595:SF139', NULL, NULL, NULL, NULL, 'ENDOCHITINASE CHI', NULL, NULL, NULL, 15),
(157229, NULL, 'PTHR15573:SF0', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 160-RELATED', NULL, NULL, NULL, 15),
(157230, NULL, 'PTHR15606:SF7', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 8', NULL, NULL, NULL, 15),
(157231, NULL, 'PTHR15427:SF20', NULL, NULL, NULL, NULL, 'ADIPONECTIN', NULL, NULL, 25109, 15),
(157232, NULL, 'PTHR11991:SF14', NULL, NULL, NULL, NULL, 'TRANSLATIONALLY-CONTROLLED TUMOR PROTEIN 1', NULL, NULL, NULL, 15),
(157233, NULL, 'PTHR13832:SF667', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 14-RELATED', NULL, NULL, NULL, 15),
(157234, NULL, 'PTHR31221:SF228', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(157235, NULL, 'PTHR45933:SF23', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 2', NULL, NULL, NULL, 15),
(157236, NULL, 'PTHR14564:SF2', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC26', NULL, NULL, NULL, 15),
(157237, NULL, 'PTHR30055:SF196', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR RUTR', NULL, NULL, NULL, 15),
(157238, NULL, 'PTHR14942:SF0', NULL, NULL, NULL, NULL, 'U11/U12 SMALL NUCLEAR RIBONUCLEOPROTEIN 25 KDA PROTEIN', NULL, NULL, NULL, 15),
(157239, NULL, 'PTHR43008:SF12', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_6G13830)', NULL, NULL, NULL, 15),
(157240, NULL, 'PTHR15615:SF85', NULL, NULL, NULL, NULL, 'CYCLIN-U2-2', NULL, NULL, NULL, 15),
(157241, NULL, 'PTHR47926:SF197', NULL, NULL, NULL, NULL, 'BNAA01G24230D PROTEIN', NULL, NULL, NULL, 15),
(157242, NULL, 'PTHR24281:SF186', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 77A3', NULL, NULL, NULL, 15),
(157243, NULL, 'PTHR47966:SF38', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE A3', NULL, NULL, NULL, 15),
(157244, NULL, 'PTHR11362:SF115', NULL, NULL, NULL, NULL, 'OS02G0531600 PROTEIN', NULL, NULL, NULL, 15),
(157245, NULL, 'PTHR11011:SF92', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157246, NULL, 'PTHR43952:SF32', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 5', NULL, NULL, NULL, 15),
(157247, NULL, 'PTHR22776:SF85', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2B', NULL, NULL, NULL, 15),
(157248, NULL, 'PTHR11054:SF11', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE 4-RELATED', NULL, NULL, NULL, 15),
(157249, NULL, 'PTHR11783:SF254', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(157250, NULL, 'PTHR14239:SF9', NULL, NULL, NULL, NULL, 'STEAP FAMILY MEMBER 1B', NULL, NULL, NULL, 15),
(157251, NULL, 'PTHR33085:SF94', NULL, NULL, NULL, NULL, 'OS08G0165000 PROTEIN', NULL, NULL, NULL, 15),
(157252, NULL, 'PTHR34281:SF18', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 3', NULL, NULL, NULL, 15),
(157253, NULL, 'PTHR30523:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE', NULL, NULL, NULL, 15),
(157254, NULL, 'PTHR12403:SF25', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(157255, NULL, 'PTHR36725', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN AAF, CHLOROLPLASTIC', NULL, NULL, 38100, 15),
(157256, NULL, 'PTHR45779:SF12', NULL, NULL, NULL, NULL, 'FK506-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(157257, NULL, 'PTHR45940:SF13', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 1-RELATED', NULL, NULL, NULL, 15),
(157258, NULL, 'PTHR24377:SF372', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 568', NULL, NULL, NULL, 15),
(157259, NULL, 'PTHR12166:SF7', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT SECRETION ACTIVATOR 2', NULL, NULL, NULL, 15),
(157260, NULL, 'PTHR11440', NULL, NULL, NULL, NULL, 'LECITHIN-CHOLESTEROL ACYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(157261, NULL, 'PTHR25465', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157262, NULL, 'PTHR13462:SF16', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(157263, NULL, 'PTHR24373:SF262', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 15', NULL, NULL, NULL, 15),
(157264, NULL, 'PTHR23421:SF174', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 7', NULL, NULL, NULL, 15),
(157265, NULL, 'PTHR10527:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157266, NULL, 'PTHR30146:SF121', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR EBGR-RELATED', NULL, NULL, NULL, 15),
(157267, NULL, 'PTHR37458:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157268, NULL, 'PTHR47993:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157269, NULL, 'PTHR31529:SF50', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 33', NULL, NULL, NULL, 15),
(157270, NULL, 'PTHR10828:SF46', NULL, NULL, NULL, NULL, 'M-PHASE INDUCER PHOSPHATASE 1', NULL, NULL, NULL, 15),
(157271, NULL, 'PTHR21485:SF5', NULL, NULL, NULL, NULL, '3-DEOXY-D-MANNO-OCTULOSONATE 8-PHOSPHATE PHOSPHATASE KDSC', NULL, NULL, NULL, 15),
(157272, NULL, 'PTHR24349:SF369', NULL, NULL, NULL, NULL, 'BNAC03G23150D PROTEIN', NULL, NULL, NULL, 15),
(157273, NULL, 'PTHR12352', NULL, NULL, NULL, NULL, 'SECRETED MODULAR CALCIUM-BINDING PROTEIN', NULL, NULL, NULL, 15),
(157274, NULL, 'PTHR11581:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', NULL, NULL, NULL, 15),
(157275, NULL, 'PTHR16932:SF18', NULL, NULL, NULL, NULL, 'INTERFERON-ALPHA-INDUCED', NULL, NULL, NULL, 15),
(157276, NULL, 'PTHR44042', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, 36827, 15),
(157277, NULL, 'PTHR33127:SF71', NULL, NULL, NULL, NULL, 'BNACNNG10650D PROTEIN', NULL, NULL, NULL, 15),
(157278, NULL, 'PTHR31860:SF5', NULL, NULL, NULL, NULL, 'ARGH (DUF639)', NULL, NULL, NULL, 15),
(157279, NULL, 'PTHR48017:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157280, NULL, 'PTHR20898', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(157281, NULL, 'PTHR27006:SF408', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN KINASE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157282, NULL, 'PTHR47653:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BARK BEETLE', NULL, NULL, NULL, 15),
(157283, NULL, 'PTHR45933:SF26', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 4-LIKE', NULL, NULL, NULL, 15),
(157284, NULL, 'PTHR44688:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN BJAR1', NULL, NULL, NULL, 15),
(157285, NULL, 'PTHR45712:SF1', NULL, NULL, NULL, NULL, 'NEPHROCAN', NULL, NULL, NULL, 15),
(157286, NULL, 'PTHR31042:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157287, NULL, 'PTHR14781', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 24278, 15),
(157288, NULL, 'PTHR31677:SF145', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(157289, NULL, 'PTHR10110:SF178', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 8', NULL, NULL, NULL, 15),
(157290, NULL, 'PTHR42647:SF51', NULL, NULL, NULL, NULL, 'SBP (S-RIBONUCLEASE BINDING PROTEIN) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157291, NULL, 'PTHR24349:SF448', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE', NULL, NULL, NULL, 15),
(157292, NULL, 'PTHR47950:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(157293, NULL, 'PTHR46821:SF2', NULL, NULL, NULL, NULL, 'OS07G0586332 PROTEIN', NULL, NULL, NULL, 15),
(157294, NULL, 'PTHR23511:SF5', NULL, NULL, NULL, NULL, 'SYNAPTIC VESICLE GLYCOPROTEIN 2', NULL, NULL, NULL, 15),
(157295, NULL, 'PTHR45685:SF2', NULL, NULL, NULL, NULL, 'CHROMATIN-REMODELING ATPASE INO80', NULL, NULL, 26525, 15),
(157296, NULL, 'PTHR48022:SF73', NULL, NULL, NULL, NULL, 'METABOLITE TRANSPORT PROTEIN YDL199C-RELATED', NULL, NULL, NULL, 15),
(157297, NULL, 'PTHR11926:SF1336', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76B1', NULL, NULL, NULL, 15),
(157298, NULL, 'PTHR31013', NULL, NULL, NULL, NULL, 'THAUMATIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157299, NULL, 'PTHR22849:SF129', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 20', NULL, NULL, NULL, 15),
(157300, NULL, 'PTHR10201:SF147', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-21', NULL, NULL, NULL, 15),
(157301, NULL, 'PTHR47067:SF9', NULL, NULL, NULL, NULL, 'OS05G0420500 PROTEIN', NULL, NULL, NULL, 15),
(157302, NULL, 'PTHR36742', NULL, NULL, NULL, NULL, 'MYOSIN-G HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(157303, NULL, 'PTHR43344:SF11', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(157304, NULL, 'PTHR39418:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(157305, NULL, 'PTHR10285:SF185', NULL, NULL, NULL, NULL, 'URIDINE KINASE-LIKE, CYTH-LIKE DOMAIN, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(157306, NULL, 'PTHR13935:SF124', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH118-LIKE', NULL, NULL, NULL, 15),
(157307, NULL, 'PTHR11537:SF259', NULL, NULL, NULL, NULL, 'KCNQ POTASSIUM CHANNEL, ISOFORM F', NULL, NULL, NULL, 15),
(157308, NULL, 'PTHR22896', NULL, NULL, NULL, NULL, 'CDK5 AND ABL1 ENZYME SUBSTRATE 1', NULL, NULL, 13958, 15),
(157309, NULL, 'PTHR19850:SF28', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-4', NULL, NULL, NULL, 15),
(157310, NULL, 'PTHR33388:SF20', NULL, NULL, NULL, NULL, 'BNAA03G58770D PROTEIN', NULL, NULL, 13136, 15),
(157311, NULL, 'PTHR48052:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157312, NULL, 'PTHR43243:SF79', NULL, NULL, NULL, NULL, 'BNACNNG25140D PROTEIN', NULL, NULL, NULL, 15),
(157313, NULL, 'PTHR12863:SF16', NULL, NULL, NULL, NULL, 'BNAA05G09070D PROTEIN', NULL, NULL, NULL, 15),
(157314, NULL, 'PTHR22761:SF46', NULL, NULL, NULL, NULL, 'PROTEIN CBG03253', NULL, NULL, NULL, 15),
(157315, NULL, 'PTHR11711:SF353', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR F-RELATED', NULL, NULL, NULL, 15),
(157316, NULL, 'PTHR34380', NULL, NULL, NULL, NULL, 'BNAA03G12380D PROTEIN', NULL, NULL, NULL, 15),
(157317, NULL, 'PTHR30337:SF0', NULL, NULL, NULL, NULL, 'NUCLEASE SBCCD SUBUNIT D', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157318, NULL, 'PTHR47810:SF1', NULL, NULL, NULL, NULL, 'DNA LIGASE', NULL, NULL, NULL, 15),
(157319, NULL, 'PTHR31190:SF77', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN', NULL, NULL, NULL, 15),
(157320, NULL, 'PTHR43900:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157321, NULL, 'PTHR13229', NULL, NULL, NULL, NULL, 'PROTEIN KISH-A', NULL, NULL, NULL, 15),
(157322, NULL, 'PTHR11254:SF429', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SU(DX)', NULL, NULL, NULL, 15),
(157323, NULL, 'PTHR37969:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG13105', NULL, NULL, NULL, 15),
(157324, NULL, 'PTHR47958:SF36', NULL, NULL, NULL, NULL, 'TYPE III RESTRICTION ENZYME, RES SUBUNIT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(157325, NULL, 'PTHR19143:SF396', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157326, NULL, 'PTHR22765:SF108', NULL, NULL, NULL, NULL, 'OS03G0391100 PROTEIN', NULL, NULL, NULL, 15),
(157327, NULL, 'PTHR11700:SF33', NULL, NULL, NULL, NULL, 'BNAANNG08140D PROTEIN', NULL, NULL, NULL, 15),
(157328, NULL, 'PTHR37969:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13131', NULL, NULL, NULL, 15),
(157329, NULL, 'PTHR33048:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157330, NULL, 'PTHR11945:SF539', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 57', NULL, NULL, NULL, 15),
(157331, NULL, 'PTHR24343:SF466', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(157332, NULL, 'PTHR34496:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157333, NULL, 'PTHR46106:SF1', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE-LIKE N', NULL, NULL, NULL, 15),
(157334, NULL, 'PTHR46289:SF9', NULL, NULL, NULL, NULL, '52 KDA REPRESSOR OF THE INHIBITOR OF THE PROTEIN KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(157335, NULL, 'PTHR36219', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157336, NULL, 'PTHR13120', NULL, NULL, NULL, NULL, 'PHD FINGER-LIKE DOMAIN-CONTAINING PROTEIN 5A', NULL, NULL, 6198, 15),
(157337, NULL, 'PTHR33667:SF7', NULL, NULL, NULL, NULL, 'SI:DKEY-57N24.6', NULL, NULL, NULL, 15),
(157338, NULL, 'PTHR47926:SF10', NULL, NULL, NULL, NULL, 'BNAA03G19160D PROTEIN', NULL, NULL, NULL, 15),
(157339, NULL, 'PTHR18879:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157340, NULL, 'PTHR46381', NULL, NULL, NULL, NULL, 'MKPA PROTEIN', NULL, NULL, NULL, 15),
(157341, NULL, 'PTHR14272', NULL, NULL, NULL, NULL, 'SERTA DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 24806, 15),
(157342, NULL, 'PTHR31240:SF0', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST 18', NULL, NULL, NULL, 15),
(157343, NULL, 'PTHR15416', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE INHIBITOR/PKI', NULL, NULL, 4647, 15),
(157344, NULL, 'PTHR32142:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157345, NULL, 'PTHR10168:SF228', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S3-LIKE', NULL, NULL, NULL, 15),
(157346, NULL, 'PTHR23013', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR', NULL, NULL, NULL, 15),
(157347, NULL, 'PTHR37458:SF1', NULL, NULL, NULL, NULL, 'THISBE', NULL, NULL, NULL, 15),
(157348, NULL, 'PTHR31499:SF61', NULL, NULL, NULL, NULL, 'MYR1', NULL, NULL, NULL, 15),
(157349, NULL, 'PTHR11453:SF36', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN', NULL, NULL, NULL, 15),
(157350, NULL, 'PTHR44573:SF3', NULL, NULL, NULL, NULL, 'CYTOSOLIC ALKENAL/ONE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(157351, NULL, 'PTHR48047:SF115', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(157352, NULL, 'PTHR34311:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG14644', NULL, NULL, NULL, 15),
(157353, NULL, 'PTHR33294:SF14', NULL, NULL, NULL, NULL, 'BNAA09G18040D PROTEIN', NULL, NULL, NULL, 15),
(157354, NULL, 'PTHR45716:SF3', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-LIKE PROTEIN 1', NULL, NULL, 21616, 15),
(157355, NULL, 'PTHR22951:SF78', NULL, NULL, NULL, NULL, 'BNAC05G10880D PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157356, NULL, 'PTHR45828:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157357, NULL, 'PTHR33110:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157358, NULL, 'PTHR11003:SF109', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(157359, NULL, 'PTHR36852', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 8103, 15),
(157360, NULL, 'PTHR26453:SF654', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(157361, NULL, 'PTHR45621:SF145', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(157362, NULL, 'PTHR44376:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157363, NULL, 'PTHR21248:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157364, NULL, 'PTHR11183:SF121', NULL, NULL, NULL, NULL, 'GLUCOSE N-ACETYLTRANSFERASE 1', NULL, NULL, 25172, 15),
(157365, NULL, 'PTHR24055:SF469', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(157366, NULL, 'PTHR15249:SF0', NULL, NULL, NULL, NULL, 'TRAF FAMILY MEMBER-ASSOCIATED NF-KAPPA-B ACTIVATOR', NULL, NULL, NULL, 15),
(157367, NULL, 'PTHR35884', NULL, NULL, NULL, NULL, 'SMALL AGGREGATE FORMATION PROTEIN', NULL, NULL, 34678, 15),
(157368, NULL, 'PTHR11394:SF63', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 10', NULL, NULL, NULL, 15),
(157369, NULL, 'PTHR18929:SF208', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(157370, NULL, 'PTHR12119:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 8', NULL, NULL, NULL, 15),
(157371, NULL, 'PTHR46168:SF10', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 3', NULL, NULL, NULL, 15),
(157372, NULL, 'PTHR17616:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COACTIVATOR YORKIE', NULL, NULL, NULL, 15),
(157373, NULL, 'PTHR46756:SF10', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC 2B', NULL, NULL, NULL, 15),
(157374, NULL, 'PTHR31218:SF61', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(157375, NULL, 'PTHR34685:SF3', NULL, NULL, NULL, NULL, 'RED CHLOROPHYLL CATABOLITE REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(157376, NULL, 'PTHR24078:SF532', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK FAMILY PROTEIN', NULL, NULL, NULL, 15),
(157377, NULL, 'PTHR31190:SF228', NULL, NULL, NULL, NULL, 'EREB-LIKE PROTEIN', NULL, NULL, NULL, 15),
(157378, NULL, 'PTHR35834', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157379, NULL, 'PTHR47550:SF1', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE PPS1', NULL, NULL, NULL, 15),
(157380, NULL, 'PTHR24349:SF194', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 13', NULL, NULL, NULL, 15),
(157381, NULL, 'PTHR33214:SF40', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2', NULL, NULL, NULL, 15),
(157382, NULL, 'PTHR31169:SF23', NULL, NULL, NULL, NULL, 'ZINC-FINGER DOMAIN OF MONOAMINE-OXIDASE A REPRESSOR R1', NULL, NULL, NULL, 15),
(157383, NULL, 'PTHR31375:SF217', NULL, NULL, NULL, NULL, 'BNAC04G49310D PROTEIN', NULL, NULL, NULL, 15),
(157384, NULL, 'PTHR21461:SF59', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(157385, NULL, 'PTHR12944', NULL, NULL, NULL, NULL, 'SOLUBLE LIVER ANTIGEN/LIVER PANCREAS ANTIGEN', NULL, NULL, 17112, 15),
(157386, NULL, 'PTHR35546:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157387, NULL, 'PTHR16675:SF193', NULL, NULL, NULL, NULL, 'MHC CLASS I ANTIGEN ZBA TRANSCRIPT VARIANT 1-RELATED', NULL, NULL, NULL, 15),
(157388, NULL, 'PTHR10223:SF2', NULL, NULL, NULL, NULL, 'F-BOX AND WD DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G11400)', NULL, NULL, NULL, 15),
(157389, NULL, 'PTHR24248:SF117', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR', NULL, NULL, NULL, 15),
(157390, NULL, 'PTHR24225:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157391, NULL, 'PTHR11685:SF260', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157392, NULL, 'PTHR24064:SF48', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 14', NULL, NULL, NULL, 15),
(157393, NULL, 'PTHR31568:SF86', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', NULL, NULL, NULL, 15),
(157394, NULL, 'PTHR10335:SF21', NULL, NULL, NULL, NULL, 'BNAA03G47570D PROTEIN', NULL, NULL, NULL, 15),
(157395, NULL, 'PTHR11814:SF221', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER YPR003C-RELATED', NULL, NULL, NULL, 15),
(157396, NULL, 'PTHR34011:SF4', NULL, NULL, NULL, NULL, 'C-PHYCOCYANIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(157397, NULL, 'PTHR45650:SF39', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157398, NULL, 'PTHR32448:SF90', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(157399, NULL, 'PTHR12019:SF24', NULL, NULL, NULL, NULL, 'LAMINA-ASSOCIATED POLYPEPTIDE 2, ISOFORM ALPHA', NULL, NULL, NULL, 15),
(157400, NULL, 'PTHR11088:SF37', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE', NULL, NULL, NULL, 15),
(157401, NULL, 'PTHR31165:SF94', NULL, NULL, NULL, NULL, 'BNAA03G58210D PROTEIN', NULL, NULL, NULL, 15),
(157402, NULL, 'PTHR21446:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157403, NULL, 'PTHR46050:SF23', NULL, NULL, NULL, NULL, 'BNAC03G23790D PROTEIN', NULL, NULL, NULL, 15),
(157404, NULL, 'PTHR11876:SF28', NULL, NULL, NULL, NULL, 'ALPHA-DEFENSIN 1', NULL, NULL, NULL, 15),
(157405, NULL, 'PTHR10795:SF698', NULL, NULL, NULL, NULL, 'BNAC09G01070D PROTEIN', NULL, NULL, NULL, 15),
(157406, NULL, 'PTHR24073:SF1150', NULL, NULL, NULL, NULL, 'RAB5A, MEMBER RAS ONCOGENE FAMILY LIKE', NULL, NULL, NULL, 15),
(157407, NULL, 'PTHR37187:SF6', NULL, NULL, NULL, NULL, 'BNAC08G11140D PROTEIN', NULL, NULL, NULL, 15),
(157408, NULL, 'PTHR46353:SF15', NULL, NULL, NULL, NULL, 'BNAC08G14290D PROTEIN', NULL, NULL, NULL, 15),
(157409, NULL, 'PTHR45974:SF92', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(157410, NULL, 'PTHR31495:SF28', NULL, NULL, NULL, NULL, 'PEROXYGENASE', NULL, NULL, NULL, 15),
(157411, NULL, 'PTHR45722:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157412, NULL, 'PTHR48017:SF132', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157413, NULL, 'PTHR31099:SF23', NULL, NULL, NULL, NULL, 'BNAANNG09900D PROTEIN', NULL, NULL, NULL, 15),
(157414, NULL, 'PTHR22838:SF20', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 26-RELATED', NULL, NULL, NULL, 15),
(157415, NULL, 'PTHR47123:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157416, NULL, 'PTHR10664:SF31', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS BC (CLASS B-LIKE)', NULL, NULL, NULL, 15),
(157417, NULL, 'PTHR46128:SF105', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(157418, NULL, 'PTHR15315:SF90', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 41,-LIKE', NULL, NULL, NULL, 15),
(157419, NULL, 'PTHR30231:SF27', NULL, NULL, NULL, NULL, 'PROTEIN NEN3', NULL, NULL, NULL, 15),
(157420, NULL, 'PTHR11267:SF98', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX15', NULL, NULL, NULL, 15),
(157421, NULL, 'PTHR31953:SF78', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 32-RELATED', NULL, NULL, NULL, 15),
(157422, NULL, 'PTHR31736:SF8', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06410)-RELATED', NULL, NULL, NULL, 15),
(157423, NULL, 'PTHR28062:SF2', NULL, NULL, NULL, NULL, 'BNAC06G10300D PROTEIN', NULL, NULL, NULL, 15),
(157424, NULL, 'PTHR24298:SF45', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE', NULL, NULL, NULL, 15),
(157425, NULL, 'PTHR31346:SF23', NULL, NULL, NULL, NULL, 'OS09G0509000 PROTEIN', NULL, NULL, NULL, 15),
(157426, NULL, 'PTHR14155:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157427, NULL, 'PTHR11654:SF407', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.1-LIKE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157428, NULL, 'PTHR45974:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157429, NULL, 'PTHR38123:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157430, NULL, 'PTHR19302:SF61', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT', NULL, NULL, NULL, 15),
(157431, NULL, 'PTHR33373:SF15', NULL, NULL, NULL, NULL, 'DUF4050 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(157432, NULL, 'PTHR31719:SF155', NULL, NULL, NULL, NULL, 'BNAA06G23510D PROTEIN', NULL, NULL, NULL, 15),
(157433, NULL, 'PTHR20859:SF75', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR FAMILY MEMBER B4', NULL, NULL, NULL, 15),
(157434, NULL, 'PTHR32077:SF48', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(157435, NULL, 'PTHR32166:SF24', NULL, NULL, NULL, NULL, 'OSJNBA0013A04.12 PROTEIN', NULL, NULL, NULL, 15),
(157436, NULL, 'PTHR36826:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ECM13', NULL, NULL, NULL, 15),
(157437, NULL, 'PTHR43143:SF2', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE, CALCINEURIN SUPERFAMILY', NULL, NULL, NULL, 15),
(157438, NULL, 'PTHR48018:SF87', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(157439, NULL, 'PTHR23037:SF32', NULL, NULL, NULL, NULL, 'INTERLEUKIN-4 RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(157440, NULL, 'PTHR31065:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157441, NULL, 'PTHR45704:SF7', NULL, NULL, NULL, NULL, 'ZGC:171704-RELATED', NULL, NULL, NULL, 15),
(157442, NULL, 'PTHR16675:SF191', NULL, NULL, NULL, NULL, 'MAJOR HISTOCOMPATIBILITY COMPLEX CLASS I LAA-RELATED', NULL, NULL, NULL, 15),
(157443, NULL, 'PTHR16140:SF19', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', NULL, NULL, NULL, 15),
(157444, NULL, 'PTHR10113:SF22', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1-2, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(157445, NULL, 'PTHR10992:SF1033', NULL, NULL, NULL, NULL, 'SALICYLIC ACID-BINDING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(157446, NULL, 'PTHR32077:SF67', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 11', NULL, NULL, NULL, 15),
(157447, NULL, 'PTHR30204:SF2', NULL, NULL, NULL, NULL, 'MERR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(157448, NULL, 'PTHR13620:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157449, NULL, 'PTHR46624:SF1', NULL, NULL, NULL, NULL, 'AGAP002036-PA', NULL, NULL, NULL, 15),
(157450, NULL, 'PTHR11926:SF1264', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(157451, NULL, 'PTHR43301:SF3', NULL, NULL, NULL, NULL, 'ARABINAN ENDO-1,5-ALPHA-L-ARABINOSIDASE A-RELATED', NULL, NULL, NULL, 15),
(157452, NULL, 'PTHR15537:SF2', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 7', NULL, NULL, NULL, 15),
(157453, NULL, 'PTHR31174:SF34', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 47', NULL, NULL, NULL, 15),
(157454, NULL, 'PTHR43111', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE B-RELATED', NULL, NULL, NULL, 15),
(157455, NULL, 'PTHR10169:SF36', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2-BETA', NULL, NULL, 22031, 15),
(157456, NULL, 'PTHR36056:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(157457, NULL, 'PTHR47946:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(157458, NULL, 'PTHR24044:SF469', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157459, NULL, 'PTHR31414:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157460, NULL, 'PTHR13271:SF55', NULL, NULL, NULL, NULL, 'SET DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(157461, NULL, 'PTHR47997:SF34', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN HV33-LIKE', NULL, NULL, NULL, 15),
(157462, NULL, 'PTHR11748:SF65', NULL, NULL, NULL, NULL, 'FAD LINKED OXIDASE, N-TERMINAL', NULL, NULL, NULL, 15),
(157463, NULL, 'PTHR31325:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157464, NULL, 'PTHR45947:SF8', NULL, NULL, NULL, NULL, 'ALPHA-MONOGLUCOSYLDIACYLGLYCEROL SYNTHASE', NULL, NULL, NULL, 15),
(157465, NULL, 'PTHR10509:SF61', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASES SUPERFAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(157466, NULL, 'PTHR22595:SF140', NULL, NULL, NULL, NULL, 'CHITINASE 2', NULL, NULL, NULL, 15),
(157467, NULL, 'PTHR45898:SF22', NULL, NULL, NULL, NULL, 'GAT DOMAIN, ENTH/VHS-RELATED', NULL, NULL, NULL, 15),
(157468, NULL, 'PTHR45646', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DOA-RELATED', NULL, NULL, NULL, 15),
(157469, NULL, 'PTHR46781:SF9', NULL, NULL, NULL, NULL, 'BNACNNG18920D PROTEIN', NULL, NULL, NULL, 15),
(157470, NULL, 'PTHR11749:SF11', NULL, NULL, NULL, NULL, 'D-RIBULOSE-5-PHOSPHATE-3-EPIMERASE', NULL, NULL, NULL, 15),
(157471, NULL, 'PTHR10353:SF270', NULL, NULL, NULL, NULL, 'BNAA03G56280D PROTEIN', NULL, NULL, NULL, 15),
(157472, NULL, 'PTHR48105:SF20', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE', NULL, NULL, NULL, 15),
(157473, NULL, 'PTHR23023:SF223', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(157474, NULL, 'PTHR36970', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(157475, NULL, 'PTHR11654:SF434', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(157476, NULL, 'PTHR10800', NULL, NULL, NULL, NULL, 'PULMONARY SURFACTANT-ASSOCIATED PROTEIN C', NULL, NULL, 3266, 15),
(157477, NULL, 'PTHR24418:SF421', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(157478, NULL, 'PTHR47468:SF1', NULL, NULL, NULL, NULL, 'OS08G0130000 PROTEIN', NULL, NULL, NULL, 15),
(157479, NULL, 'PTHR22948:SF4', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(157480, NULL, 'PTHR34950:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157481, NULL, 'PTHR23118:SF29', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE ALPHA CHAIN PROTEIN 2', NULL, NULL, NULL, 15),
(157482, NULL, 'PTHR31741:SF91', NULL, NULL, NULL, NULL, 'GDP-FUCOSE O-FUCOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(157483, NULL, 'PTHR21724', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(157484, NULL, 'PTHR36055', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(157485, NULL, 'PTHR16779:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157486, NULL, 'PTHR24404:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN AIOLOS', NULL, NULL, NULL, 15),
(157487, NULL, 'PTHR32018:SF25', NULL, NULL, NULL, NULL, 'LG27/30-LIKE GENE', NULL, NULL, NULL, 15),
(157488, NULL, 'PTHR23095:SF14', NULL, NULL, NULL, NULL, 'MODULATOR OF APOPTOSIS 1', NULL, NULL, NULL, 15),
(157489, NULL, 'PTHR22884:SF485', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157490, NULL, 'PTHR33083:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157491, NULL, 'PTHR34061:SF17', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(157492, NULL, 'PTHR31517:SF68', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(157493, NULL, 'PTHR46641:SF12', NULL, NULL, NULL, NULL, 'CNMAMIDE RECEPTOR', NULL, NULL, NULL, 15),
(157494, NULL, 'PTHR10165:SF173', NULL, NULL, NULL, NULL, 'FI04477P-RELATED', NULL, NULL, NULL, 15),
(157495, NULL, 'PTHR10795:SF530', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.2', NULL, NULL, NULL, 15),
(157496, NULL, 'PTHR45883:SF7', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING THIOREDOXIN TDX', NULL, NULL, NULL, 15),
(157497, NULL, 'PTHR33388:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157498, NULL, 'PTHR24379:SF89', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 124', NULL, NULL, NULL, 15),
(157499, NULL, 'PTHR31471:SF18', NULL, NULL, NULL, NULL, 'OS03G0120200 PROTEIN', NULL, NULL, NULL, 15),
(157500, NULL, 'PTHR20921:SF4', NULL, NULL, NULL, NULL, 'OS05G0539800 PROTEIN', NULL, NULL, NULL, 15),
(157501, NULL, 'PTHR19920', NULL, NULL, NULL, NULL, 'WD40 PROTEIN CIAO1', NULL, NULL, 27284, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157502, NULL, 'PTHR31374:SF196', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71', NULL, NULL, NULL, 15),
(157503, NULL, 'PTHR12276:SF100', NULL, NULL, NULL, NULL, 'ENTH/VHS FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157504, NULL, 'PTHR24361:SF827', NULL, NULL, NULL, NULL, 'BNAA05G15300D PROTEIN', NULL, NULL, NULL, 15),
(157505, NULL, 'PTHR24349:SF293', NULL, NULL, NULL, NULL, 'CALMODULIN-DOMAIN KINASE CDPK PROTEIN', NULL, NULL, NULL, 15),
(157506, NULL, 'PTHR37391:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(157507, NULL, 'PTHR14226:SF73', NULL, NULL, NULL, NULL, 'BNAA03G01150D PROTEIN', NULL, NULL, NULL, 15),
(157508, NULL, 'PTHR31374:SF246', NULL, NULL, NULL, NULL, 'BNACNNG59500D PROTEIN', NULL, NULL, NULL, 15),
(157509, NULL, 'PTHR23362:SF7', NULL, NULL, NULL, NULL, 'COEXPRESSED WITH POLYCYSTINS', NULL, NULL, NULL, 15),
(157510, NULL, 'PTHR23105:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157511, NULL, 'PTHR21234', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(157512, NULL, 'PTHR13847:SF270', NULL, NULL, NULL, NULL, 'FAD DEPENDENT OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(157513, NULL, 'PTHR48063:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157514, NULL, 'PTHR12777:SF4', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D2', NULL, NULL, NULL, 15),
(157515, NULL, 'PTHR31048:SF116', NULL, NULL, NULL, NULL, 'OSMOTIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(157516, NULL, 'PTHR34556:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TAB2 HOMOLOG, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(157517, NULL, 'PTHR33978:SF19', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(157518, NULL, 'PTHR14102:SF11', NULL, NULL, NULL, NULL, 'LD29223P', NULL, NULL, 16925, 15),
(157519, NULL, 'PTHR33098:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157520, NULL, 'PTHR43000:SF24', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4,6-DEHYDRATASE', NULL, NULL, NULL, 15),
(157521, NULL, 'PTHR43507:SF4', NULL, NULL, NULL, NULL, 'PROTON-TRANSLOCATING NADH-QUINONE OXIDOREDUCTASE, CHAIN M', NULL, NULL, NULL, 15),
(157522, NULL, 'PTHR33320:SF2', NULL, NULL, NULL, NULL, 'OS07G0564200 PROTEIN', NULL, NULL, NULL, 15),
(157523, NULL, 'PTHR32080:SF26', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 3', NULL, NULL, NULL, 15),
(157524, NULL, 'PTHR45621:SF165', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157525, NULL, 'PTHR31636:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157526, NULL, 'PTHR23502:SF165', NULL, NULL, NULL, NULL, 'MFS-MULTIDRUG-RESISTANCE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(157527, NULL, 'PTHR11802:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157528, NULL, 'PTHR43776', NULL, NULL, NULL, NULL, 'TRANSPORT ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(157529, NULL, 'PTHR11764:SF44', NULL, NULL, NULL, NULL, 'LANOSTEROL SYNTHASE', NULL, NULL, NULL, 15),
(157530, NULL, 'PTHR11054:SF19', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', NULL, NULL, NULL, 15),
(157531, NULL, 'PTHR11654:SF425', NULL, NULL, NULL, NULL, 'POT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(157532, NULL, 'PTHR16029:SF11', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 192 KDA', NULL, NULL, NULL, 15),
(157533, NULL, 'PTHR33384:SF39', NULL, NULL, NULL, NULL, 'BNAC09G41700D PROTEIN', NULL, NULL, NULL, 15),
(157534, NULL, 'PTHR44586:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157535, NULL, 'PTHR24414:SF150', NULL, NULL, NULL, NULL, 'BNAA03G50980D PROTEIN', NULL, NULL, NULL, 15),
(157536, NULL, 'PTHR12715:SF4', NULL, NULL, NULL, NULL, 'TRANSPORTER, DRUG/METABOLITE EXPORTER FAMILY', NULL, NULL, NULL, 15),
(157537, NULL, 'PTHR28639', NULL, NULL, NULL, NULL, 'BCL-2-BINDING COMPONENT 3', NULL, NULL, 28835, 15),
(157538, NULL, 'PTHR34271:SF9', NULL, NULL, NULL, NULL, 'WIYLD DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157539, NULL, 'PTHR31903:SF15', NULL, NULL, NULL, NULL, 'OS11G0490300 PROTEIN', NULL, NULL, NULL, 15),
(157540, NULL, 'PTHR11157:SF103', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(157541, NULL, 'PTHR31044:SF85', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(157542, NULL, 'PTHR36981:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157543, NULL, 'PTHR27008:SF308', NULL, NULL, NULL, NULL, 'OS06G0581500 PROTEIN', NULL, NULL, NULL, 15),
(157544, NULL, 'PTHR11802:SF29', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(157545, NULL, 'PTHR47999:SF70', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB6-LIKE', NULL, NULL, NULL, 15),
(157546, NULL, 'PTHR46890:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157547, NULL, 'PTHR46918:SF1', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN 1', NULL, NULL, NULL, 15),
(157548, NULL, 'PTHR31384:SF102', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 4', NULL, NULL, NULL, 15),
(157549, NULL, 'PTHR23233:SF15', NULL, NULL, NULL, NULL, 'SAL-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(157550, NULL, 'PTHR12277:SF137', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE DOMAIN-CONTAINING PROTEIN 17B', NULL, NULL, NULL, 15),
(157551, NULL, 'PTHR22849:SF20', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 27-RELATED', NULL, NULL, NULL, 15),
(157552, NULL, 'PTHR21245:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 18-RELATED', NULL, NULL, NULL, 15),
(157553, NULL, 'PTHR11926:SF1388', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76E5', NULL, NULL, NULL, 15),
(157554, NULL, 'PTHR23424:SF11', NULL, NULL, NULL, NULL, 'SERUM AMYLOID A PROTEIN', NULL, NULL, NULL, 15),
(157555, NULL, 'PTHR13871:SF81', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN 3-RELATED', NULL, NULL, NULL, 15),
(157556, NULL, 'PTHR31301:SF146', NULL, NULL, NULL, NULL, 'OS01G0825000 PROTEIN', NULL, NULL, NULL, 15),
(157557, NULL, 'PTHR45621:SF141', NULL, NULL, NULL, NULL, 'BNAC02G03210D PROTEIN', NULL, NULL, NULL, 15),
(157558, NULL, 'PTHR14155:SF487', NULL, NULL, NULL, NULL, 'OS02G0249300 PROTEIN', NULL, NULL, NULL, 15),
(157559, NULL, 'PTHR36701', NULL, NULL, NULL, NULL, 'EPOXYQUEUOSINE REDUCTASE QUEH', NULL, NULL, 6454, 15),
(157560, NULL, 'PTHR11880:SF32', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15-4', NULL, NULL, NULL, 15),
(157561, NULL, 'PTHR43899:SF32', NULL, NULL, NULL, NULL, 'OS11G0432600 PROTEIN', NULL, NULL, NULL, 15),
(157562, NULL, 'PTHR14759:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157563, NULL, 'PTHR11850:SF325', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 9', NULL, NULL, NULL, 15),
(157564, NULL, 'PTHR24235:SF13', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(157565, NULL, 'PTHR43228:SF1', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR22', NULL, NULL, NULL, 15),
(157566, NULL, 'PTHR35322', NULL, NULL, NULL, NULL, 'PROTEIN CPR-5', NULL, NULL, 37508, 15),
(157567, NULL, 'PTHR10529:SF356', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT MU-2-LIKE', NULL, NULL, NULL, 15),
(157568, NULL, 'PTHR33985:SF24', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157569, NULL, 'PTHR24070:SF425', NULL, NULL, NULL, NULL, 'RAS-DVA-2 SMALL GTPASE', NULL, NULL, NULL, 15),
(157570, NULL, 'PTHR12375:SF28', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN LUC7-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(157571, NULL, 'PTHR19963', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157572, NULL, 'PTHR34364:SF2', NULL, NULL, NULL, NULL, 'OS01G0579800 PROTEIN', NULL, NULL, NULL, 15),
(157573, NULL, 'PTHR20855:SF113', NULL, NULL, NULL, NULL, 'HAEMOLYSIN-III RELATED FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(157574, NULL, 'PTHR24377:SF303', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 595', NULL, NULL, NULL, 15),
(157575, NULL, 'PTHR37242:SF2', NULL, NULL, NULL, NULL, 'BNAA03G58270D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157576, NULL, 'PTHR45633:SF13', NULL, NULL, NULL, NULL, 'CHAPERONIN 60 SUBUNIT ALPHA 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(157577, NULL, 'PTHR12138:SF120', NULL, NULL, NULL, NULL, 'CHROMOSOME 9 OPEN READING FRAME 37', NULL, NULL, NULL, 15),
(157578, NULL, 'PTHR11588:SF377', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX EXONUCLEASE RRP44 HOMOLOG A', NULL, NULL, NULL, 15),
(157579, NULL, 'PTHR40053:SF1', NULL, NULL, NULL, NULL, 'SPORULATION-CONTROL PROTEIN SPO0M', NULL, NULL, NULL, 15),
(157580, NULL, 'PTHR10887:SF418', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(157581, NULL, 'PTHR33220:SF5', NULL, NULL, NULL, NULL, 'BNAA09G04420D PROTEIN', NULL, NULL, NULL, 15),
(157582, NULL, 'PTHR24391', NULL, NULL, NULL, NULL, 'HISTONE H4 TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(157583, NULL, 'PTHR24015:SF898', NULL, NULL, NULL, NULL, 'OS07G0436600 PROTEIN', NULL, NULL, NULL, 15),
(157584, NULL, 'PTHR31232:SF68', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY', NULL, NULL, NULL, 15),
(157585, NULL, 'PTHR38763:SF1', NULL, NULL, NULL, NULL, 'MAJOR OUTER MEMBRANE PROLIPOPROTEIN LPP', NULL, NULL, NULL, 15),
(157586, NULL, 'PTHR46142:SF18', NULL, NULL, NULL, NULL, 'BNAA09G56790D PROTEIN', NULL, NULL, NULL, 15),
(157587, NULL, 'PTHR10210:SF32', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 2', NULL, NULL, NULL, 15),
(157588, NULL, 'PTHR46325:SF22', NULL, NULL, NULL, NULL, 'BNAA09G10280D PROTEIN', NULL, NULL, NULL, 15),
(157589, NULL, 'PTHR12411:SF759', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157590, NULL, 'PTHR10263:SF53', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', NULL, NULL, NULL, 15),
(157591, NULL, 'PTHR21422', NULL, NULL, NULL, NULL, 'RAB3 GTPASE-ACTIVATING PROTEIN CATALYTIC SUBUNIT', NULL, NULL, 39555, 15),
(157592, NULL, 'PTHR42085:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157593, NULL, 'PTHR24198:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157594, NULL, 'PTHR23237:SF12', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(157595, NULL, 'PTHR14224:SF81', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(157596, NULL, 'PTHR12455', NULL, NULL, NULL, NULL, 'NUCLEOLAR COMPLEX PROTEIN 4', NULL, NULL, 24504, 15),
(157597, NULL, 'PTHR36744:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157598, NULL, 'PTHR31828:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157599, NULL, 'PTHR12312:SF21', NULL, NULL, NULL, NULL, 'TWISTED GASTRULATION PROTEIN HOMOLOG 1', NULL, NULL, NULL, 15),
(157600, NULL, 'PTHR47980:SF4', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-15', NULL, NULL, NULL, 15),
(157601, NULL, 'PTHR12203:SF87', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE-MODIFYING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157602, NULL, 'PTHR12677:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157603, NULL, 'PTHR11685:SF355', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(157604, NULL, 'PTHR24064:SF441', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-3-RELATED', NULL, NULL, NULL, 15),
(157605, NULL, 'PTHR10110:SF173', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15),
(157606, NULL, 'PTHR12280:SF20', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE 4', NULL, NULL, NULL, 15),
(157607, NULL, 'PTHR31589:SF146', NULL, NULL, NULL, NULL, 'OS06G0474500 PROTEIN', NULL, NULL, NULL, 15),
(157608, NULL, 'PTHR46411:SF1', NULL, NULL, NULL, NULL, 'FAMILY ATPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05752)-RELATED', NULL, NULL, NULL, 15),
(157609, NULL, 'PTHR34212:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157610, NULL, 'PTHR13301:SF201', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', NULL, NULL, NULL, 15),
(157611, NULL, 'PTHR32278:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A9', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157612, NULL, 'PTHR13044:SF12', NULL, NULL, NULL, NULL, 'STRESS ACTIVATED TRANSCRIPTION FACTOR ATFS-1', NULL, NULL, NULL, 15),
(157613, NULL, 'PTHR46037:SF3', NULL, NULL, NULL, NULL, 'GRB2-RELATED ADAPTER PROTEIN 2', NULL, NULL, NULL, 15),
(157614, NULL, 'PTHR19307', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN D52', NULL, NULL, 5097, 15),
(157615, NULL, 'PTHR33076:SF93', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(157616, NULL, 'PTHR12612:SF25', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2', NULL, NULL, NULL, 15),
(157617, NULL, 'PTHR45647:SF105', NULL, NULL, NULL, NULL, 'BNAA09G52450D PROTEIN', NULL, NULL, NULL, 15),
(157618, NULL, 'PTHR19325:SF521', NULL, NULL, NULL, NULL, 'MEMBRANE COFACTOR PROTEIN', NULL, NULL, NULL, 15),
(157619, NULL, 'PTHR47958:SF8', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DBP3 ISOFORM X1', NULL, NULL, NULL, 15),
(157620, NULL, 'PTHR10414:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157621, NULL, 'PTHR22916:SF51', NULL, NULL, NULL, NULL, 'GALACTOSYL TRANSFERASE PARALOG', NULL, NULL, NULL, 15),
(157622, NULL, 'PTHR33177:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157623, NULL, 'PTHR23315:SF242', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(157624, NULL, 'PTHR20981:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L21', NULL, NULL, NULL, 15),
(157625, NULL, 'PTHR19960:SF7', NULL, NULL, NULL, NULL, 'TEKTIN-2', NULL, NULL, NULL, 15),
(157626, NULL, 'PTHR22846', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', NULL, NULL, 36574, 15),
(157627, NULL, 'PTHR37745', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(157628, NULL, 'PTHR47258:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(157629, NULL, 'PTHR43757:SF8', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(157630, NULL, 'PTHR11009:SF1', NULL, NULL, NULL, NULL, 'DERLIN-1', NULL, NULL, NULL, 15),
(157631, NULL, 'PTHR31636:SF151', NULL, NULL, NULL, NULL, 'CHITIN-INDUCIBLE GIBBERELLIN-RESPONSIVE PROTEIN 1', NULL, NULL, NULL, 15),
(157632, NULL, 'PTHR31696:SF72', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', NULL, NULL, NULL, 15),
(157633, NULL, 'PTHR31357:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-34', NULL, NULL, NULL, 15),
(157634, NULL, 'PTHR37161:SF2', NULL, NULL, NULL, NULL, 'AT11648P-RELATED', NULL, NULL, NULL, 15),
(157635, NULL, 'PTHR21597:SF1', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(157636, NULL, 'PTHR12392', NULL, NULL, NULL, NULL, 'LADININ 1', NULL, NULL, 18106, 15),
(157637, NULL, 'PTHR13693:SF56', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(157638, NULL, 'PTHR33164:SF64', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SLYA', NULL, NULL, NULL, 15),
(157639, NULL, 'PTHR15744:SF0', NULL, NULL, NULL, NULL, 'KH HOMOLOGY DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(157640, NULL, 'PTHR23244:SF464', NULL, NULL, NULL, NULL, 'KELCH MOTIF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(157641, NULL, 'PTHR22803:SF116', NULL, NULL, NULL, NULL, 'REGENERATING ISLET-DERIVED PROTEIN 4', NULL, NULL, NULL, 15),
(157642, NULL, 'PTHR13165:SF2', NULL, NULL, NULL, NULL, 'OS08G0517300 PROTEIN', NULL, NULL, NULL, 15),
(157643, NULL, 'PTHR33834:SF13', NULL, NULL, NULL, NULL, 'BNAA07G00400D PROTEIN', NULL, NULL, NULL, 15),
(157644, NULL, 'PTHR46992', NULL, NULL, NULL, NULL, 'GYF DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(157645, NULL, 'PTHR47928:SF163', NULL, NULL, NULL, NULL, 'REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(157646, NULL, 'PTHR36722', NULL, NULL, NULL, NULL, 'TYPE 2 DNA TOPOISOMERASE 6 SUBUNIT B-LIKE', NULL, NULL, 3526, 15),
(157647, NULL, 'PTHR47350:SF2', NULL, NULL, NULL, NULL, 'PROTEIN IWS1 HOMOLOG', NULL, NULL, NULL, 15),
(157648, NULL, 'PTHR11736:SF85', NULL, NULL, NULL, NULL, 'MAGE DOMAIN-CONTAINING PROTEIN MAGEA13P-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157649, NULL, 'PTHR45642:SF39', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(157650, NULL, 'PTHR11830:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', NULL, NULL, NULL, 15),
(157651, NULL, 'PTHR12161:SF26', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(157652, NULL, 'PTHR24393:SF5', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE PRDM16', NULL, NULL, NULL, 15),
(157653, NULL, 'PTHR43845', NULL, NULL, NULL, NULL, 'BLR5969 PROTEIN', NULL, NULL, NULL, 15),
(157654, NULL, 'PTHR12911:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157655, NULL, 'PTHR12300:SF103', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(157656, NULL, 'PTHR24028:SF71', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-16', NULL, NULL, NULL, 15),
(157657, NULL, 'PTHR11564:SF28', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN', NULL, NULL, NULL, 15),
(157658, NULL, 'PTHR11071:SF482', NULL, NULL, NULL, NULL, 'OS02G0204300 PROTEIN', NULL, NULL, NULL, 15),
(157659, NULL, 'PTHR33669:SF1', NULL, NULL, NULL, NULL, 'NPR1/NH1-INTERACTING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157660, NULL, 'PTHR42853:SF1', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A CARBOXYLASE CARBOXYL TRANSFERASE SUBUNIT ALPHA, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(157661, NULL, 'PTHR10814:SF4', NULL, NULL, NULL, NULL, 'TRANSDUCIN-LIKE ENHANCER PROTEIN 2', NULL, NULL, NULL, 15),
(157662, NULL, 'PTHR45927', NULL, NULL, NULL, NULL, 'LYSM-DOMAIN RECEPTOR-LIKE KINASE-RELATED', NULL, NULL, NULL, 15),
(157663, NULL, 'PTHR10829:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157664, NULL, 'PTHR33091:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157665, NULL, 'PTHR11590:SF38', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(157666, NULL, 'PTHR47355:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SPL2', NULL, NULL, NULL, 15),
(157667, NULL, 'PTHR24559:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157668, NULL, 'PTHR43313:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157669, NULL, 'PTHR24340:SF40', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-2.4', NULL, NULL, NULL, 15),
(157670, NULL, 'PTHR38006', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC KINETOCHORE PROTEIN', NULL, NULL, 17685, 15),
(157671, NULL, 'PTHR11176:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157672, NULL, 'PTHR22625:SF32', NULL, NULL, NULL, NULL, 'PLEXIN-A3', NULL, NULL, NULL, 15),
(157673, NULL, 'PTHR10263:SF9', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', NULL, NULL, NULL, 15),
(157674, NULL, 'PTHR31060:SF36', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157675, NULL, 'PTHR12403:SF27', NULL, NULL, NULL, NULL, 'SNARE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(157676, NULL, 'PTHR44067:SF10', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(157677, NULL, 'PTHR34357:SF11', NULL, NULL, NULL, NULL, 'BNAA08G31550D PROTEIN', NULL, NULL, NULL, 15),
(157678, NULL, 'PTHR12692:SF8', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 3-RELATED', NULL, NULL, NULL, 15),
(157679, NULL, 'PTHR43094', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(157680, NULL, 'PTHR31304:SF45', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 41-RELATED', NULL, NULL, NULL, 15),
(157681, NULL, 'PTHR34967:SF2', NULL, NULL, NULL, NULL, 'OS05G0586700 PROTEIN', NULL, NULL, NULL, 15),
(157682, NULL, 'PTHR11062:SF61', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(157683, NULL, 'PTHR43603:SF3', NULL, NULL, NULL, NULL, 'METAL CHAPERONE YCIC-RELATED', NULL, NULL, NULL, 15),
(157684, NULL, 'PTHR10972:SF189', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 8', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157685, NULL, 'PTHR13169', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 3  HCG-1 PROTEIN', NULL, NULL, 29701, 15),
(157686, NULL, 'PTHR43327:SF36', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 1', NULL, NULL, NULL, 15),
(157687, NULL, 'PTHR36404', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 2737', NULL, NULL, NULL, 15),
(157688, NULL, 'PTHR31506:SF38', NULL, NULL, NULL, NULL, 'BES1/BZR1 HOMOLOG PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(157689, NULL, 'PTHR47255:SF5', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 21', NULL, NULL, NULL, 15),
(157690, NULL, 'PTHR33164:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(157691, NULL, 'PTHR34700', NULL, NULL, NULL, NULL, 'POTASSIUM BINDING PROTEIN KBP', NULL, NULL, NULL, 15),
(157692, NULL, 'PTHR24416:SF402', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN-TYROSINE KINASE', NULL, NULL, NULL, 15),
(157693, NULL, 'PTHR10434:SF2', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE BETA', NULL, NULL, NULL, 15),
(157694, NULL, 'PTHR11771:SF96', NULL, NULL, NULL, NULL, 'ZGC:152891', NULL, NULL, NULL, 15),
(157695, NULL, 'PTHR21237:SF35', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(157696, NULL, 'PTHR45614:SF93', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN B-LIKE', NULL, NULL, NULL, 15),
(157697, NULL, 'PTHR24026:SF32', NULL, NULL, NULL, NULL, 'CADHERIN EGF LAG SEVEN-PASS G-TYPE RECEPTOR 2', NULL, NULL, NULL, 15),
(157698, NULL, 'PTHR24006:SF822', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157699, NULL, 'PTHR12788:SF2', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(157700, NULL, 'PTHR10353:SF68', NULL, NULL, NULL, NULL, 'BETA-KLOTHO', NULL, NULL, NULL, 15),
(157701, NULL, 'PTHR15486:SF49', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE 2-O-ACYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(157702, NULL, 'PTHR33306:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157703, NULL, 'PTHR46592:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157704, NULL, 'PTHR22870:SF220', NULL, NULL, NULL, NULL, 'RCC1 AND BTB DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(157705, NULL, 'PTHR23509:SF32', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE DDHD1', NULL, NULL, NULL, 15),
(157706, NULL, 'PTHR11452:SF80', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE 1', NULL, NULL, NULL, 15),
(157707, NULL, 'PTHR24286:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157708, NULL, 'PTHR11728:SF32', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)], CYTOPLASMIC', NULL, NULL, NULL, 15),
(157709, NULL, 'PTHR13703:SF61', NULL, NULL, NULL, NULL, 'PROTEIN MOTHERS AGAINST DPP', NULL, NULL, NULL, 15),
(157710, NULL, 'PTHR13948:SF3', NULL, NULL, NULL, NULL, 'FI21118P1', NULL, NULL, NULL, 15),
(157711, NULL, 'PTHR15710:SF115', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHC1A-RELATED', NULL, NULL, NULL, 15),
(157712, NULL, 'PTHR13402:SF11', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16B', NULL, NULL, NULL, 15),
(157713, NULL, 'PTHR33389:SF16', NULL, NULL, NULL, NULL, 'OS07G0580733 PROTEIN', NULL, NULL, NULL, 15),
(157714, NULL, 'PTHR23239:SF120', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 27', NULL, NULL, NULL, 15),
(157715, NULL, 'PTHR47880', NULL, NULL, NULL, NULL, 'OS05G0353300 PROTEIN', NULL, NULL, NULL, 15),
(157716, NULL, 'PTHR10791:SF198', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(157717, NULL, 'PTHR30469', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTA', NULL, NULL, NULL, 15),
(157718, NULL, 'PTHR34549:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157719, NULL, 'PTHR44013', NULL, NULL, NULL, NULL, 'ZINC-TYPE ALCOHOL DEHYDROGENASE-LIKE PROTEIN C16A3.02C', NULL, NULL, NULL, 15),
(157720, NULL, 'PTHR32411', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 38-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157721, NULL, 'PTHR37960:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG06493', NULL, NULL, NULL, 15),
(157722, NULL, 'PTHR12611:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN PUR-BETA', NULL, NULL, 22131, 15),
(157723, NULL, 'PTHR43329:SF93', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', NULL, NULL, NULL, 15),
(157724, NULL, 'PTHR48105', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE 1-RELATED-RELATED', NULL, NULL, NULL, 15),
(157725, NULL, 'PTHR11753:SF41', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', NULL, NULL, NULL, 15),
(157726, NULL, 'PTHR45959:SF16', NULL, NULL, NULL, NULL, 'BASIC HELIX LOOP HELIX (BHLH) DNA-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(157727, NULL, 'PTHR36112', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE J', NULL, NULL, 10794, 15),
(157728, NULL, 'PTHR30540:SF90', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(157729, NULL, 'PTHR46692:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157730, NULL, 'PTHR10091:SF40', NULL, NULL, NULL, NULL, 'BNAC05G15460D PROTEIN', NULL, NULL, NULL, 15),
(157731, NULL, 'PTHR13384:SF19', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(157732, NULL, 'PTHR46300:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2E1', NULL, NULL, NULL, 15),
(157733, NULL, 'PTHR26453:SF597', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10G7', NULL, NULL, NULL, 15),
(157734, NULL, 'PTHR15427:SF6', NULL, NULL, NULL, NULL, 'MULTIMERIN-2', NULL, NULL, NULL, 15),
(157735, NULL, 'PTHR16223:SF49', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH52-RELATED', NULL, NULL, NULL, 15),
(157736, NULL, 'PTHR19918:SF34', NULL, NULL, NULL, NULL, 'FIZZY/CELL DIVISION CYCLE 20 RELATED 1 (DROSOPHILA)', NULL, NULL, NULL, 15),
(157737, NULL, 'PTHR48020:SF24', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 4', NULL, NULL, NULL, 15),
(157738, NULL, 'PTHR11909:SF160', NULL, NULL, NULL, NULL, 'PROTEIN CBG17973', NULL, NULL, NULL, 15),
(157739, NULL, 'PTHR19443:SF65', NULL, NULL, NULL, NULL, 'HEXOKINASE-2', NULL, NULL, NULL, 15),
(157740, NULL, 'PTHR47348:SF2', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED 190 PROTEIN', NULL, NULL, NULL, 15),
(157741, NULL, 'PTHR47942:SF20', NULL, NULL, NULL, NULL, 'OS05G0294600 PROTEIN', NULL, NULL, NULL, 15),
(157742, NULL, 'PTHR13674:SF5', NULL, NULL, NULL, NULL, 'UPF0389 PROTEIN CG9231', NULL, NULL, NULL, 15),
(157743, NULL, 'PTHR12876:SF36', NULL, NULL, NULL, NULL, 'RIBONUCLEASE ZC3H12C-RELATED', NULL, NULL, NULL, 15),
(157744, NULL, 'PTHR34041', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REPAIR PROTEIN PSB27-H1, CHLOROPLASTIC', NULL, NULL, 25640, 15),
(157745, NULL, 'PTHR21659:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG11423', NULL, NULL, NULL, 15),
(157746, NULL, 'PTHR24023:SF960', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157747, NULL, 'PTHR34114:SF14', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 3', NULL, NULL, NULL, 15),
(157748, NULL, 'PTHR43024:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYL-TRIPEPTIDE--D-ALANYL-D-ALANINE LIGASE', NULL, NULL, NULL, 15),
(157749, NULL, 'PTHR24028:SF253', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-7', NULL, NULL, NULL, 15),
(157750, NULL, 'PTHR11559:SF362', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(157751, NULL, 'PTHR13847:SF188', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(157752, NULL, 'PTHR10686:SF12', NULL, NULL, NULL, NULL, 'FOLATE TRANSPORTER 1', NULL, NULL, 28771, 15),
(157753, NULL, 'PTHR13036:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE ALG1L2-RELATED', NULL, NULL, NULL, 15),
(157754, NULL, 'PTHR34009:SF2', NULL, NULL, NULL, NULL, 'PROTEIN STAR', NULL, NULL, NULL, 15),
(157755, NULL, 'PTHR43144:SF1', NULL, NULL, NULL, NULL, 'LL-DIAMINOPIMELATE AMINOTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(157756, NULL, 'PTHR35669', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 9', NULL, NULL, 28842, 15),
(157757, NULL, 'PTHR31907:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157758, NULL, 'PTHR31282:SF144', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR NTEIG-D48', NULL, NULL, NULL, 15),
(157759, NULL, 'PTHR12292:SF5', NULL, NULL, NULL, NULL, 'BNAA05G15340D PROTEIN', NULL, NULL, NULL, 15),
(157760, NULL, 'PTHR47959:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DEAD BOX FAMILY', NULL, NULL, NULL, 15),
(157761, NULL, 'PTHR22957:SF238', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157762, NULL, 'PTHR10286:SF72', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE 1', NULL, NULL, NULL, 15),
(157763, NULL, 'PTHR11071:SF450', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE A-LIKE 4A', NULL, NULL, NULL, 15),
(157764, NULL, 'PTHR15211', NULL, NULL, NULL, NULL, 'GLUCOSE-DEPENDENT INSULINOTROPIC POLYPEPTIDE', NULL, NULL, 35968, 15),
(157765, NULL, 'PTHR48021:SF12', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 5 ISOFORM X1', NULL, NULL, NULL, 15),
(157766, NULL, 'PTHR33021:SF26', NULL, NULL, NULL, NULL, 'BASIC BLUE PROTEIN', NULL, NULL, NULL, 15),
(157767, NULL, 'PTHR24241:SF128', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE FF RECEPTOR 1-LIKE 1', NULL, NULL, NULL, 15),
(157768, NULL, 'PTHR24057:SF50', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE ETA-LIKE', NULL, NULL, NULL, 15),
(157769, NULL, 'PTHR31137:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PSIN', NULL, NULL, NULL, 15),
(157770, NULL, 'PTHR12544:SF26', NULL, NULL, NULL, NULL, 'GLUTAMINASE-LIKE', NULL, NULL, NULL, 15),
(157771, NULL, 'PTHR10414:SF66', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOLAMINEPHOSPHOTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(157772, NULL, 'PTHR33334:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157773, NULL, 'PTHR45089:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157774, NULL, 'PTHR31096:SF65', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR9', NULL, NULL, NULL, 15),
(157775, NULL, 'PTHR33070:SF91', NULL, NULL, NULL, NULL, 'OS08G0551500 PROTEIN', NULL, NULL, NULL, 15),
(157776, NULL, 'PTHR10075:SF73', NULL, NULL, NULL, NULL, 'PROTEIN CBG02647', NULL, NULL, NULL, 15),
(157777, NULL, 'PTHR14667:SF2', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 10 PROTEIN', NULL, NULL, NULL, 15),
(157778, NULL, 'PTHR43363:SF2', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(157779, NULL, 'PTHR31118:SF25', NULL, NULL, NULL, NULL, 'BNAC09G51580D PROTEIN', NULL, NULL, NULL, 15),
(157780, NULL, 'PTHR11441:SF7', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE', NULL, NULL, NULL, 15),
(157781, NULL, 'PTHR45619:SF48', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(157782, NULL, 'PTHR48058:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157783, NULL, 'PTHR27006:SF240', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FEI 2', NULL, NULL, NULL, 15),
(157784, NULL, 'PTHR46316:SF5', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-3', NULL, NULL, 28968, 15),
(157785, NULL, 'PTHR11771:SF95', NULL, NULL, NULL, NULL, 'LIPOXYGENASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(157786, NULL, 'PTHR10277', NULL, NULL, NULL, NULL, 'HOMOCITRATE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(157787, NULL, 'PTHR27008:SF424', NULL, NULL, NULL, NULL, 'OS11G0172150 PROTEIN', NULL, NULL, NULL, 15),
(157788, NULL, 'PTHR31541:SF35', NULL, NULL, NULL, NULL, 'BNAC08G44340D PROTEIN', NULL, NULL, NULL, 15),
(157789, NULL, 'PTHR10835:SF0', NULL, NULL, NULL, NULL, 'SQUALENE MONOOXYGENASE', NULL, NULL, NULL, 15),
(157790, NULL, 'PTHR47928:SF36', NULL, NULL, NULL, NULL, 'REPEAT SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(157791, NULL, 'PTHR34586', NULL, NULL, NULL, NULL, 'SPERACT/SCAVENGER RECEPTOR DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(157792, NULL, 'PTHR17630:SF44', NULL, NULL, NULL, NULL, 'PROTEIN AIM2', NULL, NULL, NULL, 15),
(157793, NULL, 'PTHR36124', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157794, NULL, 'PTHR11817:SF70', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157795, NULL, 'PTHR31989:SF326', NULL, NULL, NULL, NULL, 'NAC (NO APICAL MERISTEM) DOMAIN TRANSCRIPTIONAL REGULATOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157796, NULL, 'PTHR31901:SF69', NULL, NULL, NULL, NULL, 'BNAA03G13150D PROTEIN', NULL, NULL, NULL, 15),
(157797, NULL, 'PTHR16193:SF0', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 27', NULL, NULL, NULL, 15),
(157798, NULL, 'PTHR47103', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157799, NULL, 'PTHR14030:SF4', NULL, NULL, NULL, NULL, 'BUB1 KINASE, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(157800, NULL, 'PTHR46662:SF26', NULL, NULL, NULL, NULL, 'BNACNNG64340D PROTEIN', NULL, NULL, NULL, 15),
(157801, NULL, 'PTHR34797:SF1', NULL, NULL, NULL, NULL, 'ATG8-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(157802, NULL, 'PTHR34542:SF7', NULL, NULL, NULL, NULL, 'BNAA02G13830D PROTEIN', NULL, NULL, NULL, 15),
(157803, NULL, 'PTHR10430:SF35', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-2E-1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(157804, NULL, 'PTHR21593:SF8', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', NULL, NULL, NULL, 15),
(157805, NULL, 'PTHR33374:SF23', NULL, NULL, NULL, NULL, 'OS01G0592500 PROTEIN', NULL, NULL, NULL, 15),
(157806, NULL, 'PTHR36708', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE SUBUNIT 6, MITOCHONDRIAL', NULL, NULL, 4341, 15),
(157807, NULL, 'PTHR11849:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ETV6', NULL, NULL, NULL, 15),
(157808, NULL, 'PTHR45985:SF5', NULL, NULL, NULL, NULL, 'CHLD3', NULL, NULL, NULL, 15),
(157809, NULL, 'PTHR11453:SF102', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(157810, NULL, 'PTHR31482:SF11', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX', NULL, NULL, NULL, 15),
(157811, NULL, 'PTHR21495:SF65', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(157812, NULL, 'PTHR43381:SF17', NULL, NULL, NULL, NULL, 'BNAA09G43840D PROTEIN', NULL, NULL, NULL, 15),
(157813, NULL, 'PTHR31793:SF9', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTER HYDROLASE YBGC', NULL, NULL, NULL, 15),
(157814, NULL, 'PTHR14222', NULL, NULL, NULL, NULL, 'CONDENSIN', NULL, NULL, 27076, 15),
(157815, NULL, 'PTHR48081:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157816, NULL, 'PTHR33047:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157817, NULL, 'PTHR39324:SF1', NULL, NULL, NULL, NULL, 'CALCIUM DODECIN', NULL, NULL, NULL, 15),
(157818, NULL, 'PTHR24346:SF3', NULL, NULL, NULL, NULL, 'GENE 10662-RELATED', NULL, NULL, NULL, 15),
(157819, NULL, 'PTHR14618:SF0', NULL, NULL, NULL, NULL, 'HOMEOBOX-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(157820, NULL, 'PTHR33091:SF75', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT', NULL, NULL, NULL, 15),
(157821, NULL, 'PTHR42790:SF2', NULL, NULL, NULL, NULL, 'AROMATIC AMINO ACID AMINOTRANSFERASE 2', NULL, NULL, NULL, 15),
(157822, NULL, 'PTHR24300:SF119', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2D10-RELATED', NULL, NULL, NULL, 15),
(157823, NULL, 'PTHR46258:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157824, NULL, 'PTHR24298:SF492', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 87 SUBFAMILY A POLYPEPTIDE 6', NULL, NULL, NULL, 15),
(157825, NULL, 'PTHR31998', NULL, NULL, NULL, NULL, 'K(+)-INSENSITIVE PYROPHOSPHATE-ENERGIZED PROTON PUMP', NULL, NULL, 2937, 15),
(157826, NULL, 'PTHR34355:SF10', NULL, NULL, NULL, NULL, 'BNAC05G05090D PROTEIN', NULL, NULL, NULL, 15),
(157827, NULL, 'PTHR31639:SF29', NULL, NULL, NULL, NULL, 'F-BOX/RNI SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157828, NULL, 'PTHR46277:SF12', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(157829, NULL, 'PTHR24412:SF74', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(157830, NULL, 'PTHR11851:SF205', NULL, NULL, NULL, NULL, 'PROCESSING PEPTIDASE ALPHA SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(157831, NULL, 'PTHR31205:SF3', NULL, NULL, NULL, NULL, 'OS06G0161900 PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157832, NULL, 'PTHR31992:SF195', NULL, NULL, NULL, NULL, 'ZINC FINGER, DOF-TYPE-RELATED', NULL, NULL, NULL, 15),
(157833, NULL, 'PTHR45872:SF3', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 12', NULL, NULL, NULL, 15),
(157834, NULL, 'PTHR33599:SF18', NULL, NULL, NULL, NULL, 'PROTEIN IDA', NULL, NULL, NULL, 15),
(157835, NULL, 'PTHR39117:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 28', NULL, NULL, NULL, 15),
(157836, NULL, 'PTHR11699:SF140', NULL, NULL, NULL, NULL, 'RETINAL DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(157837, NULL, 'PTHR30386:SF24', NULL, NULL, NULL, NULL, 'BLR1709 PROTEIN', NULL, NULL, NULL, 15),
(157838, NULL, 'PTHR11206:SF317', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(157839, NULL, 'PTHR14564', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC26 / MIC27 FAMILY MEMBER', NULL, NULL, 35197, 15),
(157840, NULL, 'PTHR11461:SF61', NULL, NULL, NULL, NULL, 'PLASMINOGEN ACTIVATOR INHIBITOR 2', NULL, NULL, 8158, 15),
(157841, NULL, 'PTHR45863:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK4', NULL, NULL, NULL, 15),
(157842, NULL, 'PTHR47760', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR B0563.6-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157843, NULL, 'PTHR35756:SF1', NULL, NULL, NULL, NULL, 'OS05G0337400 PROTEIN', NULL, NULL, NULL, 15),
(157844, NULL, 'PTHR31062:SF167', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(157845, NULL, 'PTHR24015:SF1915', NULL, NULL, NULL, NULL, 'OS03G0582100 PROTEIN', NULL, NULL, NULL, 15),
(157846, NULL, 'PTHR33048:SF111', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_8G05510)', NULL, NULL, NULL, 15),
(157847, NULL, 'PTHR43409:SF1', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(157848, NULL, 'PTHR43741:SF7', NULL, NULL, NULL, NULL, 'FMN-DEPENDENT NADH-AZOREDUCTASE 2', NULL, NULL, NULL, 15),
(157849, NULL, 'PTHR21660', NULL, NULL, NULL, NULL, 'THIOESTERASE SUPERFAMILY MEMBER-RELATED', NULL, NULL, 29347, 15),
(157850, NULL, 'PTHR17486:SF0', NULL, NULL, NULL, NULL, 'SPERMATID NUCLEAR TRANSITION PROTEIN 1', NULL, NULL, NULL, 15),
(157851, NULL, 'PTHR46391:SF8', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 61-LIKE', NULL, NULL, NULL, 15),
(157852, NULL, 'PTHR11675:SF18', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 12', NULL, NULL, NULL, 15),
(157853, NULL, 'PTHR15359:SF7', NULL, NULL, NULL, NULL, 'CALMODULIN REGULATOR PROTEIN PCP4', NULL, NULL, 33701, 15),
(157854, NULL, 'PTHR10666:SF286', NULL, NULL, NULL, NULL, 'OS03G0808400 PROTEIN', NULL, NULL, NULL, 15),
(157855, NULL, 'PTHR23110:SF82', NULL, NULL, NULL, NULL, 'FI01104P', NULL, NULL, NULL, 15),
(157856, NULL, 'PTHR43003:SF5', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE', NULL, NULL, NULL, 15),
(157857, NULL, 'PTHR31386:SF2', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 2510039O18', NULL, NULL, NULL, 15),
(157858, NULL, 'PTHR21654:SF54', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-4', NULL, NULL, NULL, 15),
(157859, NULL, 'PTHR32027', NULL, NULL, NULL, NULL, 'CYTOSINE DEAMINASE', NULL, NULL, NULL, 15),
(157860, NULL, 'PTHR43522:SF11', NULL, NULL, NULL, NULL, 'PLASTID TRANSKETOLASE', NULL, NULL, NULL, 15),
(157861, NULL, 'PTHR11857:SF45', NULL, NULL, NULL, NULL, 'GENERAL ODORANT-BINDING PROTEIN 83A-RELATED', NULL, NULL, NULL, 15),
(157862, NULL, 'PTHR21101:SF13', NULL, NULL, NULL, NULL, 'RESISTIN-LIKE BETA', NULL, NULL, NULL, 15),
(157863, NULL, 'PTHR48125:SF4', NULL, NULL, NULL, NULL, 'LP07818P1', NULL, NULL, NULL, 15),
(157864, NULL, 'PTHR46473:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 3C', NULL, NULL, NULL, 15),
(157865, NULL, 'PTHR23155:SF1104', NULL, NULL, NULL, NULL, 'OS07G0117000 PROTEIN', NULL, NULL, NULL, 15),
(157866, NULL, 'PTHR26453:SF199', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(157867, NULL, 'PTHR23001:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157868, NULL, 'PTHR24055:SF338', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KSS1', NULL, NULL, NULL, 15),
(157869, NULL, 'PTHR23509:SF37', NULL, NULL, NULL, NULL, 'BNAC02G19660D PROTEIN', NULL, NULL, NULL, 15),
(157870, NULL, 'PTHR13068:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157871, NULL, 'PTHR47982:SF8', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK2', NULL, NULL, NULL, 15),
(157872, NULL, 'PTHR35340:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157873, NULL, 'PTHR31469:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(157874, NULL, 'PTHR43595:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN MRP1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(157875, NULL, 'PTHR31722:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157876, NULL, 'PTHR27002:SF806', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', NULL, NULL, NULL, 15),
(157877, NULL, 'PTHR12210:SF135', NULL, NULL, NULL, NULL, 'CTD SMALL PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(157878, NULL, 'PTHR43675:SF3', NULL, NULL, NULL, NULL, 'ARSENITE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(157879, NULL, 'PTHR46128:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157880, NULL, 'PTHR23042:SF99', NULL, NULL, NULL, NULL, 'PROTEIN CYCLE', NULL, NULL, NULL, 15),
(157881, NULL, 'PTHR43357:SF3', NULL, NULL, NULL, NULL, 'FE(3+)-TRANSPORT SYSTEM PERMEASE PROTEIN FBPB 2', NULL, NULL, NULL, 15),
(157882, NULL, 'PTHR31109:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM207A', NULL, NULL, NULL, 15),
(157883, NULL, 'PTHR16047:SF7', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RFWD3', NULL, NULL, NULL, 15),
(157884, NULL, 'PTHR31898:SF2', NULL, NULL, NULL, NULL, 'TRAM, LAG1 AND CLN8 (TLC) LIPID-SENSING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(157885, NULL, 'PTHR23266:SF322', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 5-10-1-RELATED', NULL, NULL, NULL, 15),
(157886, NULL, 'PTHR33603', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, 4441, 15),
(157887, NULL, 'PTHR31998:SF47', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGIZED VACUOLAR MEMBRANE PROTON PUMP-LIKE', NULL, NULL, NULL, 15),
(157888, NULL, 'PTHR32191:SF52', NULL, NULL, NULL, NULL, 'TETRASPANIN-4', NULL, NULL, NULL, 15),
(157889, NULL, 'PTHR36963', NULL, NULL, NULL, NULL, 'HELICASE', NULL, NULL, NULL, 15),
(157890, NULL, 'PTHR11977:SF27', NULL, NULL, NULL, NULL, 'SCINDERIN-LIKE A-RELATED', NULL, NULL, 28798, 15),
(157891, NULL, 'PTHR45460', NULL, NULL, NULL, NULL, 'SIMILAR TO CYSTEINE PROTEINASE', NULL, NULL, NULL, 15),
(157892, NULL, 'PTHR31645:SF17', NULL, NULL, NULL, NULL, 'IRON-PHYTOSIDEROPHORE TRANSPORTER YSL15', NULL, NULL, NULL, 15),
(157893, NULL, 'PTHR27001:SF523', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 40', NULL, NULL, NULL, 15),
(157894, NULL, 'PTHR21071:SF4', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLENOLPYRUVOYLGLUCOSAMINE REDUCTASE', NULL, NULL, NULL, 15),
(157895, NULL, 'PTHR12563:SF21', NULL, NULL, NULL, NULL, 'BCDNA.GH07066', NULL, NULL, NULL, 15),
(157896, NULL, 'PTHR16982', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6D', NULL, NULL, 38511, 15),
(157897, NULL, 'PTHR12345:SF18', NULL, NULL, NULL, NULL, 'SYNDECAN-BINDING PROTEIN (SYNTENIN)', NULL, NULL, NULL, 15),
(157898, NULL, 'PTHR22168:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 26', NULL, NULL, NULL, 15),
(157899, NULL, 'PTHR23255:SF69', NULL, NULL, NULL, NULL, 'ACTIVIN RECEPTOR TYPE-1', NULL, NULL, NULL, 15),
(157900, NULL, 'PTHR15398:SF4', NULL, NULL, NULL, NULL, 'BROMODOMAIN CONTAINING 8', NULL, NULL, NULL, 15),
(157901, NULL, 'PTHR24355:SF15', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE 6', NULL, NULL, NULL, 15),
(157902, NULL, 'PTHR10218:SF232', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-1 SUBUNIT', NULL, NULL, NULL, 15),
(157903, NULL, 'PTHR12290:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157904, NULL, 'PTHR11339:SF374', NULL, NULL, NULL, NULL, 'ZONADHESIN', NULL, NULL, NULL, 15),
(157905, NULL, 'PTHR46525:SF14', NULL, NULL, NULL, NULL, 'SENESCENCE REGULATOR S40-RELATED', NULL, NULL, NULL, 15),
(157906, NULL, 'PTHR46143:SF1', NULL, NULL, NULL, NULL, 'CALPAIN-7', NULL, NULL, NULL, 15),
(157907, NULL, 'PTHR10835:SF14', NULL, NULL, NULL, NULL, 'LYCOPENE ISOMERASE', NULL, NULL, NULL, 15),
(157908, NULL, 'PTHR22835:SF623', NULL, NULL, NULL, NULL, 'BNAC05G21980D PROTEIN', NULL, NULL, NULL, 15),
(157909, NULL, 'PTHR23115:SF233', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1 ALPHA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(157910, NULL, 'PTHR35315:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157911, NULL, 'PTHR46151:SF8', NULL, NULL, NULL, NULL, 'OS07G0479100 PROTEIN', NULL, NULL, NULL, 15),
(157912, NULL, 'PTHR47928:SF69', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN', NULL, NULL, NULL, 15),
(157913, NULL, 'PTHR28156:SF1', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN YDR262W', NULL, NULL, NULL, 15),
(157914, NULL, 'PTHR33077:SF86', NULL, NULL, NULL, NULL, 'TIFY DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157915, NULL, 'PTHR36454:SF1', NULL, NULL, NULL, NULL, 'LMO2823 PROTEIN', NULL, NULL, NULL, 15),
(157916, NULL, 'PTHR13109', NULL, NULL, NULL, NULL, 'NEUROCHONDRIN', NULL, NULL, 13001, 15),
(157917, NULL, 'PTHR47168', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157918, NULL, 'PTHR45764:SF53', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 43-LIKE', NULL, NULL, NULL, 15),
(157919, NULL, 'PTHR12537:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157920, NULL, 'PTHR31422:SF40', NULL, NULL, NULL, NULL, 'BNAA01G06300D PROTEIN', NULL, NULL, NULL, 15),
(157921, NULL, 'PTHR31251', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 4', NULL, NULL, 39155, 15),
(157922, NULL, 'PTHR27001:SF852', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157923, NULL, 'PTHR43701:SF6', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157924, NULL, 'PTHR24406:SF10', NULL, NULL, NULL, NULL, 'REPLICATION INITIATOR 1', NULL, NULL, 33989, 15),
(157925, NULL, 'PTHR46650:SF5', NULL, NULL, NULL, NULL, 'BNAA09G03780D PROTEIN', NULL, NULL, NULL, 15),
(157926, NULL, 'PTHR43608', NULL, NULL, NULL, NULL, 'CYPIN (GUANINE AMINOHYDROLASE) HOMOLOG', NULL, NULL, 5088, 15),
(157927, NULL, 'PTHR12138:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157928, NULL, 'PTHR23155:SF970', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN (LRRP), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(157929, NULL, 'PTHR13844:SF56', NULL, NULL, NULL, NULL, 'F1L3.22', NULL, NULL, NULL, 15),
(157930, NULL, 'PTHR11468:SF2', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE 2', NULL, NULL, NULL, 15),
(157931, NULL, 'PTHR31376:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157932, NULL, 'PTHR24231:SF17', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 2', NULL, NULL, 4684, 15),
(157933, NULL, 'PTHR12231:SF244', NULL, NULL, NULL, NULL, 'PROTEIN TURTLE HOMOLOG A', NULL, NULL, NULL, 15),
(157934, NULL, 'PTHR10609:SF16', NULL, NULL, NULL, NULL, 'PANTETHEINASE', NULL, NULL, NULL, 15),
(157935, NULL, 'PTHR33222:SF5', NULL, NULL, NULL, NULL, 'OS02G0759900 PROTEIN', NULL, NULL, NULL, 15),
(157936, NULL, 'PTHR22245:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 144A-RELATED', NULL, NULL, NULL, 15),
(157937, NULL, 'PTHR17550:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TTC3', NULL, NULL, NULL, 15),
(157938, NULL, 'PTHR46269:SF2', NULL, NULL, NULL, NULL, 'OPTICIN', NULL, NULL, NULL, 15),
(157939, NULL, 'PTHR22930:SF203', NULL, NULL, NULL, NULL, 'LP08122P', NULL, NULL, NULL, 15),
(157940, NULL, 'PTHR42880', NULL, NULL, NULL, NULL, 'HOMOCITRATE SYNTHASE', NULL, NULL, NULL, 15),
(157941, NULL, 'PTHR10502:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157942, NULL, 'PTHR13228', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX COMPONENT 5', NULL, NULL, 17847, 15),
(157943, NULL, 'PTHR11017:SF383', NULL, NULL, NULL, NULL, 'BNAA02G13810D PROTEIN', NULL, NULL, NULL, 15),
(157944, NULL, 'PTHR22855:SF43', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(157945, NULL, 'PTHR11521:SF25', NULL, NULL, NULL, NULL, 'FAST SKELETAL MUSCLE TROPONIN T', NULL, NULL, NULL, 15),
(157946, NULL, 'PTHR42721:SF14', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 4-RELATED', NULL, NULL, NULL, 15),
(157947, NULL, 'PTHR21725', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR4', NULL, NULL, 37127, 15),
(157948, NULL, 'PTHR22900:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG14246', NULL, NULL, NULL, 15),
(157949, NULL, 'PTHR32295:SF22', NULL, NULL, NULL, NULL, 'OS05G0187500 PROTEIN', NULL, NULL, NULL, 15),
(157950, NULL, 'PTHR22957:SF556', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(157951, NULL, 'PTHR11923:SF89', NULL, NULL, NULL, NULL, 'PROTEIN CROQUEMORT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(157952, NULL, 'PTHR36745:SF1', NULL, NULL, NULL, NULL, 'OS02G0824400 PROTEIN', NULL, NULL, NULL, 15),
(157953, NULL, 'PTHR34378:SF3', NULL, NULL, NULL, NULL, 'GAMMA GLUTAMYL CYSTEINE SYNTHETASE', NULL, NULL, NULL, 15),
(157954, NULL, 'PTHR30620', NULL, NULL, NULL, NULL, 'PERIPLASMIC BETA-GLUCOSIDASE-RELATED', NULL, NULL, NULL, 15),
(157955, NULL, 'PTHR19433:SF64', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 13-1', NULL, NULL, NULL, 15),
(157956, NULL, 'PTHR21679:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG07786', NULL, NULL, NULL, 15),
(157957, NULL, 'PTHR47445:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157958, NULL, 'PTHR31190:SF128', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(157959, NULL, 'PTHR26453:SF626', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 1 SUBFAMILY L MEMBER 4', NULL, NULL, NULL, 15),
(157960, NULL, 'PTHR42963:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME PARTITION PROTEIN MUKB', NULL, NULL, NULL, 15),
(157961, NULL, 'PTHR44080', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE COP1', NULL, NULL, 37936, 15),
(157962, NULL, 'PTHR37313:SF4', NULL, NULL, NULL, NULL, 'CONSERVED MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(157963, NULL, 'PTHR31828:SF17', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIDELTA-LIKE', NULL, NULL, NULL, 15),
(157964, NULL, 'PTHR11661:SF25', NULL, NULL, NULL, NULL, 'BNAA02G10390D PROTEIN', NULL, NULL, NULL, 15),
(157965, NULL, 'PTHR45796:SF2', NULL, NULL, NULL, NULL, 'FORKHEAD BOX P3-RELATED', NULL, NULL, NULL, 15),
(157966, NULL, 'PTHR21109:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157967, NULL, 'PTHR33168:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157968, NULL, 'PTHR45639:SF22', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 14', NULL, NULL, NULL, 15),
(157969, NULL, 'PTHR43148:SF15', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE GAPA2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(157970, NULL, 'PTHR21740:SF0', NULL, NULL, NULL, NULL, 'NCK-ASSOCIATED PROTEIN 5', NULL, NULL, NULL, 15),
(157971, NULL, 'PTHR30448:SF0', NULL, NULL, NULL, NULL, 'RNASE ADAPTER PROTEIN RAPZ', NULL, NULL, NULL, 15),
(157972, NULL, 'PTHR23213:SF368', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(157973, NULL, 'PTHR11206:SF430', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(157974, NULL, 'PTHR30244:SF30', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(157975, NULL, 'PTHR11260:SF690', NULL, NULL, NULL, NULL, 'OS07G0468100 PROTEIN', NULL, NULL, NULL, 15),
(157976, NULL, 'PTHR33936:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG06911', NULL, NULL, NULL, 15),
(157977, NULL, 'PTHR11668:SF450', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(157978, NULL, 'PTHR46632:SF24', NULL, NULL, NULL, NULL, 'BNAC07G13380D PROTEIN', NULL, NULL, NULL, 15),
(157979, NULL, 'PTHR47992:SF30', NULL, NULL, NULL, NULL, 'BNAANNG12690D PROTEIN', NULL, NULL, NULL, 15),
(157980, NULL, 'PTHR24221:SF561', NULL, NULL, NULL, NULL, 'BNAA03G18640D PROTEIN', NULL, NULL, NULL, 15),
(157981, NULL, 'PTHR28348:SF1', NULL, NULL, NULL, NULL, 'UPF0193 PROTEIN EVG1', NULL, NULL, NULL, 15),
(157982, NULL, 'PTHR31913:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR IMPORT AND DEGRADATION PROTEIN 27', NULL, NULL, NULL, 15),
(157983, NULL, 'PTHR31985:SF189', NULL, NULL, NULL, NULL, 'BNAC03G15720D PROTEIN', NULL, NULL, NULL, 15),
(157984, NULL, 'PTHR46644', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XRCC2', NULL, NULL, 26710, 15),
(157985, NULL, 'PTHR32468:SF121', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15', NULL, NULL, NULL, 15),
(157986, NULL, 'PTHR33529:SF2', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE EXPORT SYSTEM PERMEASE PROTEIN LPTG', NULL, NULL, NULL, 15),
(157987, NULL, 'PTHR17695', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(157988, NULL, 'PTHR21347', NULL, NULL, NULL, NULL, 'CLEFT LIP AND PALATE ASSOCIATED TRANSMEMBRANE PROTEIN-RELATED', NULL, NULL, 8786, 15),
(157989, NULL, 'PTHR11206:SF323', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(157990, NULL, 'PTHR13624:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 161B', NULL, NULL, NULL, 15),
(157991, NULL, 'PTHR24347:SF400', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RCK2', NULL, NULL, NULL, 15),
(157992, NULL, 'PTHR31140:SF115', NULL, NULL, NULL, NULL, 'PROTEIN RAV1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(157993, NULL, 'PTHR10414:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(157994, NULL, 'PTHR31677:SF46', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(157995, NULL, 'PTHR14402', NULL, NULL, NULL, NULL, 'RECEPTOR TRANSPORTING PROTEIN', NULL, NULL, 26173, 15),
(157996, NULL, 'PTHR11937:SF466', NULL, NULL, NULL, NULL, 'OS01G0964133 PROTEIN', NULL, NULL, NULL, 15),
(157997, NULL, 'PTHR18952:SF220', NULL, NULL, NULL, NULL, 'EUKARYOTIC-TYPE CARBONIC ANHYDRASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(157998, NULL, 'PTHR30620:SF35', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(157999, NULL, 'PTHR13318:SF143', NULL, NULL, NULL, NULL, 'F-BOX AND LEUCINE-RICH REPEAT PROTEIN 6, ISOFORM A', NULL, NULL, NULL, 15),
(158000, NULL, 'PTHR46374', NULL, NULL, NULL, NULL, 'PROTEIN CBG07384', NULL, NULL, 36985, 15),
(158001, NULL, 'PTHR31008:SF0', NULL, NULL, NULL, NULL, 'CSL1', NULL, NULL, NULL, 15),
(158002, NULL, 'PTHR33577', NULL, NULL, NULL, NULL, 'STERIGMATOCYSTIN BIOSYNTHESIS PEROXIDASE STCC-RELATED', NULL, NULL, NULL, 15),
(158003, NULL, 'PTHR13832:SF726', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 23-RELATED', NULL, NULL, NULL, 15),
(158004, NULL, 'PTHR23226:SF151', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 5C-RELATED', NULL, NULL, NULL, 15),
(158005, NULL, 'PTHR22941:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(158006, NULL, 'PTHR24210:SF10', NULL, NULL, NULL, NULL, 'LIM AND SENESCENT CELL ANTIGEN-LIKE-CONTAINING DOMAIN PROTEIN 2', NULL, NULL, NULL, 15),
(158007, NULL, 'PTHR48073:SF2', NULL, NULL, NULL, NULL, 'O-SUCCINYLBENZOATE SYNTHASE', NULL, NULL, NULL, 15),
(158008, NULL, 'PTHR33371:SF4', NULL, NULL, NULL, NULL, 'INTERMEMBRANE PHOSPHOLIPID TRANSPORT SYSTEM BINDING PROTEIN MLAD', NULL, NULL, NULL, 15),
(158009, NULL, 'PTHR20961:SF78', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', NULL, NULL, NULL, 15),
(158010, NULL, 'PTHR42682:SF5', NULL, NULL, NULL, NULL, 'HYDROGENASE-4 COMPONENT F', NULL, NULL, NULL, 15),
(158011, NULL, 'PTHR47956:SF78', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B24-RELATED', NULL, NULL, NULL, 15),
(158012, NULL, 'PTHR19305:SF29', NULL, NULL, NULL, NULL, 'OS03G0212400 PROTEIN', NULL, NULL, NULL, 15),
(158013, NULL, 'PTHR47992:SF19', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 16', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158014, NULL, 'PTHR11615:SF144', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4B1', NULL, NULL, NULL, 15),
(158015, NULL, 'PTHR46862', NULL, NULL, NULL, NULL, 'OS07G0661900 PROTEIN', NULL, NULL, 38847, 15),
(158016, NULL, 'PTHR46249:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158017, NULL, 'PTHR17613:SF14', NULL, NULL, NULL, NULL, 'DEMENTIN, ISOFORM H', NULL, NULL, NULL, 15),
(158018, NULL, 'PTHR33110:SF16', NULL, NULL, NULL, NULL, 'OS05G0539300 PROTEIN', NULL, NULL, NULL, 15),
(158019, NULL, 'PTHR39299:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158020, NULL, 'PTHR11759:SF3', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S11, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(158021, NULL, 'PTHR31286:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158022, NULL, 'PTHR31713:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158023, NULL, 'PTHR21717:SF56', NULL, NULL, NULL, NULL, 'TELOMERE-BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158024, NULL, 'PTHR11349:SF100', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE-RELATED', NULL, NULL, NULL, 15),
(158025, NULL, 'PTHR11034:SF18', NULL, NULL, NULL, NULL, 'PROTEIN NDRG1', NULL, NULL, 22941, 15),
(158026, NULL, 'PTHR11040:SF153', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 5', NULL, NULL, NULL, 15),
(158027, NULL, 'PTHR38776', NULL, NULL, NULL, NULL, 'MLTA-INTERACTING PROTEIN-RELATED', NULL, NULL, 8126, 15),
(158028, NULL, 'PTHR33021:SF345', NULL, NULL, NULL, NULL, 'BASIC BLUE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(158029, NULL, 'PTHR42758:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(158030, NULL, 'PTHR31595', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL O-FATTY-ACYLTRANSFERASE 3-RELATED', NULL, NULL, 37375, 15),
(158031, NULL, 'PTHR43329:SF74', NULL, NULL, NULL, NULL, 'HYDROLASE-LIKE', NULL, NULL, NULL, 15),
(158032, NULL, 'PTHR27005:SF223', NULL, NULL, NULL, NULL, 'BNAC02G48380D PROTEIN', NULL, NULL, NULL, 15),
(158033, NULL, 'PTHR31744:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158034, NULL, 'PTHR31465:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RTA1-RELATED', NULL, NULL, NULL, 15),
(158035, NULL, 'PTHR11802:SF304', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(158036, NULL, 'PTHR31490:SF56', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE C-RELATED', NULL, NULL, NULL, 15),
(158037, NULL, 'PTHR15071:SF29', NULL, NULL, NULL, NULL, 'CATION-DEPENDENT MANNOSE-6-PHOSPHATE RECEPTOR', NULL, NULL, NULL, 15),
(158038, NULL, 'PTHR31734:SF201', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(158039, NULL, 'PTHR47926:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158040, NULL, 'PTHR33165:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158041, NULL, 'PTHR36707:SF1', NULL, NULL, NULL, NULL, 'T20M3.17 PROTEIN', NULL, NULL, NULL, 15),
(158042, NULL, 'PTHR46271:SF2', NULL, NULL, NULL, NULL, 'RETINA AND ANTERIOR NEURAL FOLD HOMEOBOX PROTEIN 2', NULL, NULL, 36224, 15),
(158043, NULL, 'PTHR47850:SF1', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN OR23', NULL, NULL, NULL, 15),
(158044, NULL, 'PTHR23235:SF64', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 10', NULL, NULL, NULL, 15),
(158045, NULL, 'PTHR30627:SF1', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN D,D-TRANSPEPTIDASE FTSI', NULL, NULL, NULL, 15),
(158046, NULL, 'PTHR43776:SF14', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT ATP-BINDING PROTEIN YKFD-RELATED', NULL, NULL, NULL, 15),
(158047, NULL, 'PTHR36690', NULL, NULL, NULL, NULL, 'PROTEIN FAM237A', NULL, NULL, 30179, 15),
(158048, NULL, 'PTHR40055', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR YGIV-RELATED', NULL, NULL, NULL, 15),
(158049, NULL, 'PTHR31218:SF317', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(158050, NULL, 'PTHR36880', NULL, NULL, NULL, NULL, '9130008F23RIK PROTEIN', NULL, NULL, 29171, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158051, NULL, 'PTHR11485', NULL, NULL, NULL, NULL, 'TRANSFERRIN', NULL, NULL, NULL, 15),
(158052, NULL, 'PTHR18966:SF478', NULL, NULL, NULL, NULL, 'BNAANNG26240D PROTEIN', NULL, NULL, NULL, 15),
(158053, NULL, 'PTHR15106', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR RESPONDER PROTEIN 2', NULL, NULL, 26567, 15),
(158054, NULL, 'PTHR23226:SF75', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS 8', NULL, NULL, NULL, 15),
(158055, NULL, 'PTHR45720:SF2', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-KB', NULL, NULL, NULL, 15),
(158056, NULL, 'PTHR44042:SF35', NULL, NULL, NULL, NULL, 'BNAA01G31080D PROTEIN', NULL, NULL, NULL, 15),
(158057, NULL, 'PTHR27002:SF180', NULL, NULL, NULL, NULL, 'S-LOCUS RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158058, NULL, 'PTHR27007:SF347', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158059, NULL, 'PTHR45648:SF46', NULL, NULL, NULL, NULL, 'OS06G0725200 PROTEIN', NULL, NULL, NULL, 15),
(158060, NULL, 'PTHR13859:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158061, NULL, 'PTHR31162:SF0', NULL, NULL, NULL, NULL, 'MALIC ACID TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158062, NULL, 'PTHR31985:SF162', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF025', NULL, NULL, NULL, 15),
(158063, NULL, 'PTHR11941:SF105', NULL, NULL, NULL, NULL, 'FI23914P1-RELATED', NULL, NULL, NULL, 15),
(158064, NULL, 'PTHR33284:SF4', NULL, NULL, NULL, NULL, 'BNAA01G13300D PROTEIN', NULL, NULL, NULL, 15),
(158065, NULL, 'PTHR45681:SF1', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 2-RELATED', NULL, NULL, NULL, 15),
(158066, NULL, 'PTHR48019:SF99', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL11', NULL, NULL, NULL, 15),
(158067, NULL, 'PTHR22765:SF304', NULL, NULL, NULL, NULL, 'OS12G0140600 PROTEIN', NULL, NULL, NULL, 15),
(158068, NULL, 'PTHR43625:SF27', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE', NULL, NULL, NULL, 15),
(158069, NULL, 'PTHR45737:SF7', NULL, NULL, NULL, NULL, 'VWA5B1 ISOFORM 1', NULL, NULL, NULL, 15),
(158070, NULL, 'PTHR44328:SF13', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(158071, NULL, 'PTHR18839:SF4', NULL, NULL, NULL, NULL, 'MCG5930', NULL, NULL, NULL, 15),
(158072, NULL, 'PTHR43999:SF5', NULL, NULL, NULL, NULL, 'BNACNNG24780D PROTEIN', NULL, NULL, NULL, 15),
(158073, NULL, 'PTHR45974:SF100', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(158074, NULL, 'PTHR48013:SF2', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING KINASE FAMILY, MEMBER 3-RELATED', NULL, NULL, NULL, 15),
(158075, NULL, 'PTHR12601:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158076, NULL, 'PTHR21152:SF22', NULL, NULL, NULL, NULL, 'SERINE--PYRUVATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(158077, NULL, 'PTHR11653:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158078, NULL, 'PTHR33318:SF15', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE', NULL, NULL, NULL, 15),
(158079, NULL, 'PTHR12623:SF6', NULL, NULL, NULL, NULL, 'NGFI-A-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(158080, NULL, 'PTHR13859:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158081, NULL, 'PTHR35388:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158082, NULL, 'PTHR47958:SF95', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 58, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(158083, NULL, 'PTHR21275', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 36911, 15),
(158084, NULL, 'PTHR10680:SF31', NULL, NULL, NULL, NULL, 'PEPTIDYL-ALPHA-HYDROXYGLYCINE ALPHA-AMIDATING LYASE 1-RELATED', NULL, NULL, NULL, 15),
(158085, NULL, 'PTHR15001:SF7', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 118', NULL, NULL, NULL, 15),
(158086, NULL, 'PTHR10938', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-3', NULL, NULL, 462, 15),
(158087, NULL, 'PTHR23267:SF164', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 5-52', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158088, NULL, 'PTHR10795:SF561', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158089, NULL, 'PTHR33124:SF73', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IBH1', NULL, NULL, NULL, 15),
(158090, NULL, 'PTHR22835:SF621', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(158091, NULL, 'PTHR30535:SF4', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY HEME UPTAKE SYSTEM PROTEIN ISDE', NULL, NULL, NULL, 15),
(158092, NULL, 'PTHR24096:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158093, NULL, 'PTHR12729:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158094, NULL, 'PTHR31314:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158095, NULL, 'PTHR27003:SF88', NULL, NULL, NULL, NULL, 'OS07G0166700 PROTEIN', NULL, NULL, NULL, 15),
(158096, NULL, 'PTHR48047:SF76', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 90A1', NULL, NULL, NULL, 15),
(158097, NULL, 'PTHR48001:SF77', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(158098, NULL, 'PTHR45642:SF34', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(158099, NULL, 'PTHR22791:SF7', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF183', NULL, NULL, NULL, 15),
(158100, NULL, 'PTHR34549:SF3', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I PSAE, REACTION CENTRE SUBUNIT IV-RELATED', NULL, NULL, NULL, 15),
(158101, NULL, 'PTHR31790:SF299', NULL, NULL, NULL, NULL, 'BNAA09G27470D PROTEIN', NULL, NULL, NULL, 15),
(158102, NULL, 'PTHR16932:SF2', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-INDUCIBLE PROTEIN 27-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(158103, NULL, 'PTHR11537:SF250', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 5', NULL, NULL, NULL, 15),
(158104, NULL, 'PTHR31269:SF32', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH2-LIKE', NULL, NULL, NULL, 15),
(158105, NULL, 'PTHR46999:SF7', NULL, NULL, NULL, NULL, 'BNAC08G49610D PROTEIN', NULL, NULL, NULL, 15),
(158106, NULL, 'PTHR12825:SF1', NULL, NULL, NULL, NULL, 'SEC20 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(158107, NULL, 'PTHR30124:SF0', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND LYTIC MUREIN TRANSGLYCOSYLASE A', NULL, NULL, NULL, 15),
(158108, NULL, 'PTHR10689:SF3', NULL, NULL, NULL, NULL, 'MICROSOMAL GLUTATHIONE S-TRANSFERASE 1', NULL, NULL, NULL, 15),
(158109, NULL, 'PTHR45635:SF10', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158110, NULL, 'PTHR19375:SF405', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN BIP4', NULL, NULL, NULL, 15),
(158111, NULL, 'PTHR10108:SF1124', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(158112, NULL, 'PTHR45733:SF16', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(158113, NULL, 'PTHR33248:SF19', NULL, NULL, NULL, NULL, 'RETICULOCYTE-BINDING PROTEIN 2 HOMOLOG A-LIKE', NULL, NULL, NULL, 15),
(158114, NULL, 'PTHR33976:SF13', NULL, NULL, NULL, NULL, 'BNAANNG08780D PROTEIN', NULL, NULL, NULL, 15),
(158115, NULL, 'PTHR13068:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158116, NULL, 'PTHR37866', NULL, NULL, NULL, NULL, 'PRE T-CELL ANTIGEN RECEPTOR ALPHA', NULL, NULL, 22715, 15),
(158117, NULL, 'PTHR12565:SF379', NULL, NULL, NULL, NULL, 'BNAA02G14180D PROTEIN', NULL, NULL, NULL, 15),
(158118, NULL, 'PTHR43085:SF41', NULL, NULL, NULL, NULL, 'FRUCTOSELYSINE 6-KINASE', NULL, NULL, NULL, 15),
(158119, NULL, 'PTHR18929:SF209', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 1-4', NULL, NULL, NULL, 15),
(158120, NULL, 'PTHR24414', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP4', NULL, NULL, NULL, 15),
(158121, NULL, 'PTHR31235:SF337', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(158122, NULL, 'PTHR11214:SF154', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(158123, NULL, 'PTHR24009:SF29', NULL, NULL, NULL, NULL, 'CCCH-TYPE ZINC FINGERFAMILY PROTEIN WITH RNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158124, NULL, 'PTHR15138:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 4B', NULL, NULL, NULL, 15),
(158125, NULL, 'PTHR43689:SF23', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(158126, NULL, 'PTHR45825:SF15', NULL, NULL, NULL, NULL, 'GRANULE-BOUND STARCH SYNTHASE', NULL, NULL, NULL, 15),
(158127, NULL, 'PTHR18953:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158128, NULL, 'PTHR11802:SF113', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE Y', NULL, NULL, NULL, 15),
(158129, NULL, 'PTHR31953:SF39', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV2', NULL, NULL, NULL, 15),
(158130, NULL, 'PTHR31080:SF79', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(158131, NULL, 'PTHR31711:SF2', NULL, NULL, NULL, NULL, 'ARGININE/GLUTAMATE-RICH 1 PROTEIN', NULL, NULL, NULL, 15),
(158132, NULL, 'PTHR45898:SF10', NULL, NULL, NULL, NULL, 'TARGET OF MYB PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(158133, NULL, 'PTHR32176:SF77', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(158134, NULL, 'PTHR33109:SF4', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(158135, NULL, 'PTHR12320', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C', NULL, NULL, 35583, 15),
(158136, NULL, 'PTHR12072:SF5', NULL, NULL, NULL, NULL, 'CWF19-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(158137, NULL, 'PTHR21210', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 10591, 15),
(158138, NULL, 'PTHR43409:SF11', NULL, NULL, NULL, NULL, 'RADICAL SAM SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(158139, NULL, 'PTHR13027:SF14', NULL, NULL, NULL, NULL, 'VACUOLAR FUSION PROTEIN MON1 HOMOLOG A', NULL, NULL, NULL, 15),
(158140, NULL, 'PTHR37384:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158141, NULL, 'PTHR24064:SF80', NULL, NULL, NULL, NULL, 'PROTEIN CBG23053', NULL, NULL, NULL, 15),
(158142, NULL, 'PTHR10666:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158143, NULL, 'PTHR45868:SF66', NULL, NULL, NULL, NULL, 'BNACNNG74900D PROTEIN', NULL, NULL, NULL, 15),
(158144, NULL, 'PTHR23115:SF259', NULL, NULL, NULL, NULL, 'GTP-BINDING ELONGATION FACTOR TU FAMILY PROTEIN', NULL, NULL, NULL, 15),
(158145, NULL, 'PTHR31221:SF126', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 2-RELATED', NULL, NULL, NULL, 15),
(158146, NULL, 'PTHR33057:SF121', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP1', NULL, NULL, NULL, 15),
(158147, NULL, 'PTHR14503:SF4', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L34, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(158148, NULL, 'PTHR11945:SF578', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158149, NULL, 'PTHR22936:SF94', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(158150, NULL, 'PTHR11224:SF52', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 69-LIKE', NULL, NULL, NULL, 15),
(158151, NULL, 'PTHR37535:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158152, NULL, 'PTHR10891:SF850', NULL, NULL, NULL, NULL, 'OS12G0138050 PROTEIN', NULL, NULL, NULL, 15),
(158153, NULL, 'PTHR24377:SF647', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 793', NULL, NULL, NULL, 15),
(158154, NULL, 'PTHR12424', NULL, NULL, NULL, NULL, 'TWEETY-RELATED', NULL, NULL, 5974, 15),
(158155, NULL, 'PTHR48026:SF8', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 44', NULL, NULL, NULL, 15),
(158156, NULL, 'PTHR33459:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158157, NULL, 'PTHR36058:SF3', NULL, NULL, NULL, NULL, 'BNAA08G13380D PROTEIN', NULL, NULL, NULL, 15),
(158158, NULL, 'PTHR33453:SF3', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(158159, NULL, 'PTHR30529:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 HOMOLOG 2', NULL, NULL, NULL, 15),
(158160, NULL, 'PTHR11360:SF130', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G05660)-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158161, NULL, 'PTHR35735:SF10', NULL, NULL, NULL, NULL, 'BNAA02G27670D PROTEIN', NULL, NULL, NULL, 15),
(158162, NULL, 'PTHR47928:SF81', NULL, NULL, NULL, NULL, 'OS01G0754700 PROTEIN', NULL, NULL, NULL, 15),
(158163, NULL, 'PTHR12354:SF8', NULL, NULL, NULL, NULL, 'INTERFERON-RELATED DEVELOPMENTAL REGULATOR 2', NULL, NULL, NULL, 15),
(158164, NULL, 'PTHR45622:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158165, NULL, 'PTHR11278:SF10', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7-3', NULL, NULL, NULL, 15),
(158166, NULL, 'PTHR31008:SF35', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158167, NULL, 'PTHR45614:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158168, NULL, 'PTHR11599:SF168', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, NULL, 15),
(158169, NULL, 'PTHR30383', NULL, NULL, NULL, NULL, 'THIOESTERASE 1/PROTEASE 1/LYSOPHOSPHOLIPASE L1', NULL, NULL, NULL, 15),
(158170, NULL, 'PTHR22945:SF27', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-2-RELATED', NULL, NULL, NULL, 15),
(158171, NULL, 'PTHR12411:SF702', NULL, NULL, NULL, NULL, 'BNAA10G29040D PROTEIN', NULL, NULL, NULL, 15),
(158172, NULL, 'PTHR31344:SF18', NULL, NULL, NULL, NULL, 'BNAA04G24420D PROTEIN', NULL, NULL, NULL, 15),
(158173, NULL, 'PTHR11145:SF18', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING ADAPTER FOR CUL3-MEDIATED RHOA DEGRADATION PROTEIN 1', NULL, NULL, NULL, 15),
(158174, NULL, 'PTHR12111:SF9', NULL, NULL, NULL, NULL, 'BNAA08G19540D PROTEIN', NULL, NULL, NULL, 15),
(158175, NULL, 'PTHR21087:SF16', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(158176, NULL, 'PTHR11426:SF191', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE CENTROMERIC PROTEIN A', NULL, NULL, NULL, 15),
(158177, NULL, 'PTHR24349:SF183', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 17', NULL, NULL, NULL, 15),
(158178, NULL, 'PTHR31585:SF7', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 4-RELATED', NULL, NULL, NULL, 15),
(158179, NULL, 'PTHR33065:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158180, NULL, 'PTHR46952:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(158181, NULL, 'PTHR34946', NULL, NULL, NULL, NULL, 'OS03G0310200 PROTEIN', NULL, NULL, 35674, 15),
(158182, NULL, 'PTHR31325:SF28', NULL, NULL, NULL, NULL, 'OS04G0154700 PROTEIN', NULL, NULL, NULL, 15),
(158183, NULL, 'PTHR34670:SF10', NULL, NULL, NULL, NULL, 'LEGUME-SPECIFIC PROTEIN', NULL, NULL, NULL, 15),
(158184, NULL, 'PTHR13113:SF1', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CONSERVED SIGNALING INTERMEDIATE IN TOLL PATHWAY, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(158185, NULL, 'PTHR23299:SF36', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-1', NULL, NULL, NULL, 15),
(158186, NULL, 'PTHR46281:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158187, NULL, 'PTHR34046:SF12', NULL, NULL, NULL, NULL, 'BNAC02G43690D PROTEIN', NULL, NULL, NULL, 15),
(158188, NULL, 'PTHR11214:SF302', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(158189, NULL, 'PTHR13831', NULL, NULL, NULL, NULL, 'MEMBER OF THE HIR1 FAMILY OF WD-REPEAT PROTEINS', NULL, NULL, 28213, 15),
(158190, NULL, 'PTHR14969:SF18', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE 6', NULL, NULL, NULL, 15),
(158191, NULL, 'PTHR36216', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, TRMB', NULL, NULL, NULL, 15),
(158192, NULL, 'PTHR32227:SF358', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(158193, NULL, 'PTHR31060:SF32', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN PLANT PROTEIN', NULL, NULL, NULL, 15),
(158194, NULL, 'PTHR23273:SF70', NULL, NULL, NULL, NULL, 'BNACNNG67180D PROTEIN', NULL, NULL, NULL, 15),
(158195, NULL, 'PTHR22956:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG18812', NULL, NULL, NULL, 15),
(158196, NULL, 'PTHR31731', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158197, NULL, 'PTHR38546:SF3', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(158198, NULL, 'PTHR31375:SF181', NULL, NULL, NULL, NULL, 'BNAC03G35490D PROTEIN', NULL, NULL, NULL, 15),
(158199, NULL, 'PTHR43969:SF9', NULL, NULL, NULL, NULL, 'GLUTATHIONE S TRANSFERASE D10, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(158200, NULL, 'PTHR10657:SF34', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(158201, NULL, 'PTHR23324:SF7', NULL, NULL, NULL, NULL, 'CRAL/TRIO AND GOLD DOMAIN SUPPRESSOR OF ACTIVATED RAS', NULL, NULL, NULL, 15),
(158202, NULL, 'PTHR46780:SF9', NULL, NULL, NULL, NULL, 'PROTEIN EVA-1', NULL, NULL, NULL, 15),
(158203, NULL, 'PTHR19441:SF30', NULL, NULL, NULL, NULL, 'ELAFIN', NULL, NULL, NULL, 15),
(158204, NULL, 'PTHR11132:SF444', NULL, NULL, NULL, NULL, 'BNAA04G14920D PROTEIN', NULL, NULL, NULL, 15),
(158205, NULL, 'PTHR13318:SF140', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', NULL, NULL, NULL, 15),
(158206, NULL, 'PTHR11208:SF98', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(158207, NULL, 'PTHR35258', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 22', NULL, NULL, 36121, 15),
(158208, NULL, 'PTHR24381:SF352', NULL, NULL, NULL, NULL, 'ZINC FINGER IMPRINTED 2', NULL, NULL, NULL, 15),
(158209, NULL, 'PTHR43238:SF6', NULL, NULL, NULL, NULL, 'GDP-L-FUCOSE SYNTHASE 2-RELATED', NULL, NULL, NULL, 15),
(158210, NULL, 'PTHR13408', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III', NULL, NULL, 2354, 15),
(158211, NULL, 'PTHR12185', NULL, NULL, NULL, NULL, 'SID1 TRANSMEMBRANE FAMILY MEMEBER', NULL, NULL, 23718, 15),
(158212, NULL, 'PTHR45764:SF42', NULL, NULL, NULL, NULL, 'BNAA09G09500D PROTEIN', NULL, NULL, NULL, 15),
(158213, NULL, 'PTHR45740:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH-TYPE ANTIVIRAL PROTEIN 1', NULL, NULL, NULL, 15),
(158214, NULL, 'PTHR47295:SF12', NULL, NULL, NULL, NULL, 'OS06G0688300 PROTEIN', NULL, NULL, NULL, 15),
(158215, NULL, 'PTHR10992:SF1034', NULL, NULL, NULL, NULL, 'METHYL ESTERASE 11-RELATED', NULL, NULL, NULL, 15),
(158216, NULL, 'PTHR23428:SF246', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(158217, NULL, 'PTHR31696:SF66', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', NULL, NULL, NULL, 15),
(158218, NULL, 'PTHR28259:SF1', NULL, NULL, NULL, NULL, 'FLUORIDE EXPORT PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(158219, NULL, 'PTHR10963:SF55', NULL, NULL, NULL, NULL, 'EXTRACELLULAR AGARASE', NULL, NULL, NULL, 15),
(158220, NULL, 'PTHR31260:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158221, NULL, 'PTHR46781:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE, DXD SUGAR-BINDING MOTIF PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158222, NULL, 'PTHR37577:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158223, NULL, 'PTHR47287:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(158224, NULL, 'PTHR24390:SF50', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 710B', NULL, NULL, NULL, 15),
(158225, NULL, 'PTHR13385:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN ATG12', NULL, NULL, NULL, 15),
(158226, NULL, 'PTHR45976:SF4', NULL, NULL, NULL, NULL, 'CATENIN BETA-1', NULL, NULL, NULL, 15),
(158227, NULL, 'PTHR46867:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM9-2', NULL, NULL, NULL, 15),
(158228, NULL, 'PTHR31235:SF332', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(158229, NULL, 'PTHR32227:SF236', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 14', NULL, NULL, NULL, 15),
(158230, NULL, 'PTHR24208:SF80', NULL, NULL, NULL, NULL, 'LIM/HOMEOBOX PROTEIN LHX2', NULL, NULL, NULL, 15),
(158231, NULL, 'PTHR27004:SF321', NULL, NULL, NULL, NULL, 'BNAC04G43190D PROTEIN', NULL, NULL, NULL, 15),
(158232, NULL, 'PTHR11132:SF415', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE/PHOSPHATE TRANSLOCATOR 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(158233, NULL, 'PTHR31707:SF250', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158234, NULL, 'PTHR10725:SF51', NULL, NULL, NULL, NULL, 'SI:CH211-69L10.4', NULL, NULL, NULL, 15),
(158235, NULL, 'PTHR31662:SF67', NULL, NULL, NULL, NULL, 'BNAA03G60680D PROTEIN', NULL, NULL, NULL, 15),
(158236, NULL, 'PTHR30288', NULL, NULL, NULL, NULL, 'FLAGELLAR CAP/ASSEMBLY PROTEIN FLID', NULL, NULL, 33661, 15),
(158237, NULL, 'PTHR45868:SF49', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 34', NULL, NULL, NULL, 15),
(158238, NULL, 'PTHR11972:SF145', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE-LIKE PROTEIN D', NULL, NULL, NULL, 15),
(158239, NULL, 'PTHR23516', NULL, NULL, NULL, NULL, 'SAM (S-ADENOSYL METHIONINE) TRANSPORTER', NULL, NULL, 12183, 15),
(158240, NULL, 'PTHR24071', NULL, NULL, NULL, NULL, 'RAN GTPASE', NULL, NULL, 1311, 15),
(158241, NULL, 'PTHR32153:SF49', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE SUBUNIT SRP72', NULL, NULL, NULL, 15),
(158242, NULL, 'PTHR45687:SF55', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-2-RELATED', NULL, NULL, NULL, 15),
(158243, NULL, 'PTHR22902:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158244, NULL, 'PTHR31965', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 42', NULL, NULL, 29102, 15),
(158245, NULL, 'PTHR46657', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 128 KDA', NULL, NULL, 24020, 15),
(158246, NULL, 'PTHR45967:SF23', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(158247, NULL, 'PTHR33128:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158248, NULL, 'PTHR10218:SF233', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(OLF) SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(158249, NULL, 'PTHR10168:SF114', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S2', NULL, NULL, NULL, 15),
(158250, NULL, 'PTHR11764:SF52', NULL, NULL, NULL, NULL, 'AMYRIN SYNTHASE LUP2-RELATED', NULL, NULL, NULL, 15),
(158251, NULL, 'PTHR11036:SF134', NULL, NULL, NULL, NULL, 'SEMA DOMAIN, IMMUNOGLOBULIN DOMAIN (IG), TRANSMEMBRANE DOMAIN (TM) AND SHORT CYTOPLASMIC DOMAIN, (SEMAPHORIN) 4BB', NULL, NULL, NULL, 15),
(158252, NULL, 'PTHR10662:SF42', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR 2', NULL, NULL, NULL, 15),
(158253, NULL, 'PTHR16517:SF131', NULL, NULL, NULL, NULL, 'TUBBY-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(158254, NULL, 'PTHR22984:SF26', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIM-3', NULL, NULL, NULL, 15),
(158255, NULL, 'PTHR14206:SF5', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC ANGIOGENESIS INHIBITOR 1-ASSOCIATED PROTEIN 2-LIKE PROTEIN 2', NULL, NULL, 22210, 15),
(158256, NULL, 'PTHR31906:SF31', NULL, NULL, NULL, NULL, 'BNAC03G29750D PROTEIN', NULL, NULL, NULL, 15),
(158257, NULL, 'PTHR31307:SF54', NULL, NULL, NULL, NULL, 'BNAA01G29550D PROTEIN', NULL, NULL, 29800, 15),
(158258, NULL, 'PTHR10221:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 6', NULL, NULL, NULL, 15),
(158259, NULL, 'PTHR12634:SF32', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY SUBUNIT 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(158260, NULL, 'PTHR24281:SF114', NULL, NULL, NULL, NULL, 'CYTOCHROME 71A4', NULL, NULL, NULL, 15),
(158261, NULL, 'PTHR33337:SF31', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G12650)', NULL, NULL, NULL, 15),
(158262, NULL, 'PTHR46162:SF44', NULL, NULL, NULL, NULL, 'BNAC05G30530D PROTEIN', NULL, NULL, NULL, 15),
(158263, NULL, 'PTHR43539:SF48', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA2', NULL, NULL, NULL, 15),
(158264, NULL, 'PTHR31374:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158265, NULL, 'PTHR10891:SF819', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158266, NULL, 'PTHR24201:SF8', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 4 INHIBITOR B', NULL, NULL, NULL, 15),
(158267, NULL, 'PTHR37564:SF4', NULL, NULL, NULL, NULL, 'DNA-ASSOCIATED PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158268, NULL, 'PTHR11062:SF309', NULL, NULL, NULL, NULL, 'BNAA09G10260D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158269, NULL, 'PTHR24291:SF24', NULL, NULL, NULL, NULL, 'LEUKOTRIENE-B4 OMEGA-HYDROXYLASE 3', NULL, NULL, NULL, 15),
(158270, NULL, 'PTHR34377:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158271, NULL, 'PTHR24343:SF301', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE/THREONINE-PROTEIN KINASE 5', NULL, NULL, NULL, 15),
(158272, NULL, 'PTHR15222:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(158273, NULL, 'PTHR10334:SF446', NULL, NULL, NULL, NULL, 'BASIC PATHOGENESIS-RELATED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(158274, NULL, 'PTHR31947:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158275, NULL, 'PTHR11761:SF38', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN HLP, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(158276, NULL, 'PTHR43480', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN]--UDP-N-ACETYLGLUCOSAMINE O-ACYLTRANSFERASE', NULL, NULL, 10735, 15),
(158277, NULL, 'PTHR22957:SF541', NULL, NULL, NULL, NULL, 'BNAC07G49650D PROTEIN', NULL, NULL, NULL, 15),
(158278, NULL, 'PTHR46158:SF1', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(158279, NULL, 'PTHR24376:SF167', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 43-RELATED', NULL, NULL, NULL, 15),
(158280, NULL, 'PTHR24320:SF180', NULL, NULL, NULL, NULL, 'ZGC:64106', NULL, NULL, NULL, 15),
(158281, NULL, 'PTHR11413:SF116', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 1', NULL, NULL, NULL, 15),
(158282, NULL, 'PTHR22739:SF7', NULL, NULL, NULL, NULL, 'EG:152A3.3 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158283, NULL, 'PTHR21477', NULL, NULL, NULL, NULL, 'ZGC:172139', NULL, NULL, 17647, 15),
(158284, NULL, 'PTHR45830:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(158285, NULL, 'PTHR48038:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEOPROTEIN RB97D', NULL, NULL, NULL, 15),
(158286, NULL, 'PTHR16515:SF37', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(158287, NULL, 'PTHR34980:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YHAH-RELATED', NULL, NULL, NULL, 15),
(158288, NULL, 'PTHR24379:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 517', NULL, NULL, NULL, 15),
(158289, NULL, 'PTHR27008:SF409', NULL, NULL, NULL, NULL, 'OS06G0667000 PROTEIN', NULL, NULL, NULL, 15),
(158290, NULL, 'PTHR48019:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158291, NULL, 'PTHR31221:SF179', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 75 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(158292, NULL, 'PTHR13100:SF10', NULL, NULL, NULL, NULL, 'CELL GROWTH-REGULATING NUCLEOLAR PROTEIN', NULL, NULL, NULL, 15),
(158293, NULL, 'PTHR14155:SF535', NULL, NULL, NULL, NULL, 'OS08G0484200 PROTEIN', NULL, NULL, NULL, 15),
(158294, NULL, 'PTHR47568:SF5', NULL, NULL, NULL, NULL, 'BNAA09G55600D PROTEIN', NULL, NULL, NULL, 15),
(158295, NULL, 'PTHR46825:SF2', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(158296, NULL, 'PTHR18945:SF520', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(158297, NULL, 'PTHR45622:SF45', NULL, NULL, NULL, NULL, 'RCC1 DOMAIN-CONTAINING PROTEIN RUG3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(158298, NULL, 'PTHR23255', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR-BETA RECEPTOR TYPE I AND II', NULL, NULL, 4515, 15),
(158299, NULL, 'PTHR31218:SF312', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(158300, NULL, 'PTHR11439:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158301, NULL, 'PTHR43718:SF12', NULL, NULL, NULL, NULL, 'BNAC06G04270D PROTEIN', NULL, NULL, NULL, 15),
(158302, NULL, 'PTHR31681:SF63', NULL, NULL, NULL, NULL, 'BNAA04G28490D PROTEIN', NULL, NULL, NULL, 15),
(158303, NULL, 'PTHR24147:SF50', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 36A-RELATED', NULL, NULL, NULL, 15),
(158304, NULL, 'PTHR43046:SF10', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE DOMAIN-LIKE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158305, NULL, 'PTHR31022:SF5', NULL, NULL, NULL, NULL, 'CENTRIOLE, CILIA AND SPINDLE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(158306, NULL, 'PTHR12760', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN', NULL, NULL, 33682, 15),
(158307, NULL, 'PTHR31645:SF10', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', NULL, NULL, NULL, 15),
(158308, NULL, 'PTHR31124:SF9', NULL, NULL, NULL, NULL, 'BNAA10G10080D PROTEIN', NULL, NULL, NULL, 15),
(158309, NULL, 'PTHR35167:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158310, NULL, 'PTHR47759:SF2', NULL, NULL, NULL, NULL, 'OS04G0509100 PROTEIN', NULL, NULL, NULL, 15),
(158311, NULL, 'PTHR10127:SF793', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-28', NULL, NULL, 22303, 15),
(158312, NULL, 'PTHR11655:SF37', NULL, NULL, NULL, NULL, 'BNAA02G22240D PROTEIN', NULL, NULL, NULL, 15),
(158313, NULL, 'PTHR45900:SF8', NULL, NULL, NULL, NULL, 'BNAA09G44130D PROTEIN', NULL, NULL, NULL, 15),
(158314, NULL, 'PTHR32212:SF345', NULL, NULL, NULL, NULL, 'BNAA10G10680D PROTEIN', NULL, NULL, NULL, 15),
(158315, NULL, 'PTHR33142:SF61', NULL, NULL, NULL, NULL, 'BNAA08G28990D PROTEIN', NULL, NULL, NULL, 15),
(158316, NULL, 'PTHR11177:SF317', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC CHITINASE 2', NULL, NULL, NULL, 15),
(158317, NULL, 'PTHR47942:SF60', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(158318, NULL, 'PTHR44376', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR OF FILAMENTOUS GROWTH FLO8', NULL, NULL, 36775, 15),
(158319, NULL, 'PTHR39556', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, 7344, 15),
(158320, NULL, 'PTHR43724', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE SUBUNIT PORD', NULL, NULL, 12437, 15),
(158321, NULL, 'PTHR11669:SF51', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(158322, NULL, 'PTHR24240:SF22', NULL, NULL, NULL, NULL, 'MELANOPSIN OPN4X1', NULL, NULL, NULL, 15),
(158323, NULL, 'PTHR12374:SF59', NULL, NULL, NULL, NULL, 'BNACNNG22510D PROTEIN', NULL, NULL, NULL, 15),
(158324, NULL, 'PTHR46286:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158325, NULL, 'PTHR21637:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD20', NULL, NULL, NULL, 15),
(158326, NULL, 'PTHR37209:SF3', NULL, NULL, NULL, NULL, 'LYSINE-RICH ARABINOGALACTAN PROTEIN 17-RELATED', NULL, NULL, NULL, 15),
(158327, NULL, 'PTHR24041', NULL, NULL, NULL, NULL, 'MUCIN', NULL, NULL, NULL, 15),
(158328, NULL, 'PTHR45681:SF4', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 10-RELATED', NULL, NULL, NULL, 15),
(158329, NULL, 'PTHR11711:SF41', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(158330, NULL, 'PTHR31989:SF62', NULL, NULL, NULL, NULL, 'NO APICAL MERISTEM PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(158331, NULL, 'PTHR12395:SF24', NULL, NULL, NULL, NULL, 'BNAC01G10220D PROTEIN', NULL, NULL, NULL, 15),
(158332, NULL, 'PTHR12736:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE LANCL1', NULL, NULL, NULL, 15),
(158333, NULL, 'PTHR16451:SF14', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DYNAMICS PROTEIN MID51', NULL, NULL, NULL, 15),
(158334, NULL, 'PTHR31568:SF66', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH TM MODULE STRESS TOLERANCE PROTEIN', NULL, NULL, NULL, 15),
(158335, NULL, 'PTHR13620:SF88', NULL, NULL, NULL, NULL, 'WERNER SYNDROME-LIKE EXONUCLEASE', NULL, NULL, NULL, 15),
(158336, NULL, 'PTHR47968:SF17', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(158337, NULL, 'PTHR11088:SF32', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE', NULL, NULL, NULL, 15),
(158338, NULL, 'PTHR43833:SF7', NULL, NULL, NULL, NULL, 'KTR SYSTEM POTASSIUM UPTAKE PROTEIN C', NULL, NULL, NULL, 15),
(158339, NULL, 'PTHR33236:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158340, NULL, 'PTHR24055:SF455', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158341, NULL, 'PTHR23159:SF38', NULL, NULL, NULL, NULL, 'OS04G0155000 PROTEIN', NULL, NULL, NULL, 15),
(158342, NULL, 'PTHR14248:SF25', NULL, NULL, NULL, NULL, 'CYCLIN-Y-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(158343, NULL, 'PTHR46501:SF7', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(158344, NULL, 'PTHR37028', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT-RELATED', NULL, NULL, NULL, 15),
(158345, NULL, 'PTHR31375:SF226', NULL, NULL, NULL, NULL, 'BNAC03G22600D PROTEIN', NULL, NULL, NULL, 15),
(158346, NULL, 'PTHR30519:SF0', NULL, NULL, NULL, NULL, '5-METHYLTETRAHYDROPTEROYLTRIGLUTAMATE--HOMOCYSTEINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(158347, NULL, 'PTHR13411', NULL, NULL, NULL, NULL, 'PLASMINOGEN RECEPTOR (KT)', NULL, NULL, 15107, 15),
(158348, NULL, 'PTHR10885', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE', NULL, NULL, NULL, 15),
(158349, NULL, 'PTHR13196:SF24', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 1B', NULL, NULL, NULL, 15),
(158350, NULL, 'PTHR34048:SF11', NULL, NULL, NULL, NULL, 'BNAC09G41220D PROTEIN', NULL, NULL, NULL, 15),
(158351, NULL, 'PTHR31731:SF130', NULL, NULL, NULL, NULL, 'EXTENSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(158352, NULL, 'PTHR32212:SF377', NULL, NULL, NULL, NULL, 'BNACNNG44720D PROTEIN', NULL, NULL, NULL, 15),
(158353, NULL, 'PTHR37013:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158354, NULL, 'PTHR23300:SF0', NULL, NULL, NULL, NULL, 'METHANETHIOL OXIDASE', NULL, NULL, NULL, 15),
(158355, NULL, 'PTHR47997:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB26', NULL, NULL, NULL, 15),
(158356, NULL, 'PTHR46373:SF17', NULL, NULL, NULL, NULL, 'OS09G0444100 PROTEIN', NULL, NULL, NULL, 15),
(158357, NULL, 'PTHR10131:SF140', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR', NULL, NULL, NULL, 15),
(158358, NULL, 'PTHR24399:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158359, NULL, 'PTHR11654:SF293', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER PLANT', NULL, NULL, NULL, 15),
(158360, NULL, 'PTHR31636:SF47', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL1', NULL, NULL, 23936, 15),
(158361, NULL, 'PTHR24317:SF7', NULL, NULL, NULL, NULL, 'PEROXISOMAL TRANS-2-ENOYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(158362, NULL, 'PTHR14113:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BASSOON', NULL, NULL, 23898, 15),
(158363, NULL, 'PTHR10836:SF108', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(158364, NULL, 'PTHR33677', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR FRMR-RELATED', NULL, NULL, 2328, 15),
(158365, NULL, 'PTHR46444:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(158366, NULL, 'PTHR11743:SF59', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(158367, NULL, 'PTHR23515:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158368, NULL, 'PTHR48005:SF3', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 6', NULL, NULL, NULL, 15),
(158369, NULL, 'PTHR11783:SF248', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(158370, NULL, 'PTHR42886:SF62', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158371, NULL, 'PTHR24083:SF88', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(158372, NULL, 'PTHR47924:SF28', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158373, NULL, 'PTHR23147:SF75', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN RSF1', NULL, NULL, NULL, 15),
(158374, NULL, 'PTHR11923:SF54', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR (CD36 FAMILY) RELATED', NULL, NULL, NULL, 15),
(158375, NULL, 'PTHR23101:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158376, NULL, 'PTHR23201:SF91', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 6-LIKE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158377, NULL, 'PTHR23086:SF25', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 8', NULL, NULL, NULL, 15),
(158378, NULL, 'PTHR43880:SF25', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(158379, NULL, 'PTHR45752:SF120', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 1', NULL, NULL, NULL, 15),
(158380, NULL, 'PTHR24414:SF167', NULL, NULL, NULL, NULL, 'BNAANNG30730D PROTEIN', NULL, NULL, NULL, 15),
(158381, NULL, 'PTHR47208:SF10', NULL, NULL, NULL, NULL, 'BNAA02G05040D PROTEIN', NULL, NULL, NULL, 15),
(158382, NULL, 'PTHR31126:SF39', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE DSP2-RELATED', NULL, NULL, NULL, 15),
(158383, NULL, 'PTHR48054:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158384, NULL, 'PTHR24377:SF138', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 540', NULL, NULL, NULL, 15),
(158385, NULL, 'PTHR48053:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158386, NULL, 'PTHR46705:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG15974', NULL, NULL, NULL, 15),
(158387, NULL, 'PTHR46326:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT4', NULL, NULL, NULL, 15),
(158388, NULL, 'PTHR10334:SF429', NULL, NULL, NULL, NULL, 'OS05G0595200 PROTEIN', NULL, NULL, NULL, 15),
(158389, NULL, 'PTHR24133:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158390, NULL, 'PTHR11802:SF201', NULL, NULL, NULL, NULL, 'LYSOSOMAL PROTECTIVE PROTEIN', NULL, NULL, NULL, 15),
(158391, NULL, 'PTHR10593:SF168', NULL, NULL, NULL, NULL, 'PROTEIN SHOOT GRAVITROPISM 5', NULL, NULL, NULL, 15),
(158392, NULL, 'PTHR46058:SF16', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 5-RELATED', NULL, NULL, NULL, 15),
(158393, NULL, 'PTHR13886', NULL, NULL, NULL, NULL, 'JNK/SAPK-ASSOCIATED PROTEIN', NULL, NULL, 29909, 15),
(158394, NULL, 'PTHR33479:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158395, NULL, 'PTHR22849:SF103', NULL, NULL, NULL, NULL, 'OS02G0542800 PROTEIN', NULL, NULL, NULL, 15),
(158396, NULL, 'PTHR15710:SF120', NULL, NULL, NULL, NULL, 'F6A14.12 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158397, NULL, 'PTHR12454:SF18', NULL, NULL, NULL, NULL, 'TRIMERIC INTRACELLULAR CATION CHANNEL TYPE 1B.2', NULL, NULL, NULL, 15),
(158398, NULL, 'PTHR11877:SF47', NULL, NULL, NULL, NULL, 'OS11G0529900 PROTEIN', NULL, NULL, NULL, 15),
(158399, NULL, 'PTHR31342:SF42', NULL, NULL, NULL, NULL, 'PROTEIN CHUP1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(158400, NULL, 'PTHR33085:SF56', NULL, NULL, NULL, NULL, 'OS07G0513400 PROTEIN', NULL, NULL, NULL, 15),
(158401, NULL, 'PTHR13720:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158402, NULL, 'PTHR31343:SF27', NULL, NULL, NULL, NULL, 'OS01G0138500 PROTEIN', NULL, NULL, NULL, 15),
(158403, NULL, 'PTHR14198:SF23', NULL, NULL, NULL, NULL, 'SI:CH211-137I24.10', NULL, NULL, NULL, 15),
(158404, NULL, 'PTHR24281:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158405, NULL, 'PTHR27009:SF154', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10', NULL, NULL, NULL, 15),
(158406, NULL, 'PTHR33076:SF50', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(158407, NULL, 'PTHR45878:SF26', NULL, NULL, NULL, NULL, 'TESTA 1 PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158408, NULL, 'PTHR37199:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158409, NULL, 'PTHR31215:SF31', NULL, NULL, NULL, NULL, 'BNAA02G24340D PROTEIN', NULL, NULL, NULL, 15),
(158410, NULL, 'PTHR12560:SF0', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 1', NULL, NULL, NULL, 15),
(158411, NULL, 'PTHR22298:SF121', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 18', NULL, NULL, NULL, 15),
(158412, NULL, 'PTHR31325:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158413, NULL, 'PTHR22950:SF643', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT6A', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158414, NULL, 'PTHR22545:SF0', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 95 KDA', NULL, NULL, NULL, 15),
(158415, NULL, 'PTHR11206:SF388', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(158416, NULL, 'PTHR12419:SF81', NULL, NULL, NULL, NULL, 'BNACNNG10230D PROTEIN', NULL, NULL, NULL, 15),
(158417, NULL, 'PTHR31579:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158418, NULL, 'PTHR13160:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158419, NULL, 'PTHR33886:SF8', NULL, NULL, NULL, NULL, 'UNSATURATED RHAMNOGALACTURONAN HYDROLASE (EUROFUNG)', NULL, NULL, NULL, 15),
(158420, NULL, 'PTHR43157:SF51', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE (SDR FAMILY) MEMBER 13-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(158421, NULL, 'PTHR31375:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158422, NULL, 'PTHR12156:SF23', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN FAMILY B MEMBER 1', NULL, NULL, NULL, 15),
(158423, NULL, 'PTHR24418:SF426', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE WSCK-RELATED', NULL, NULL, NULL, 15),
(158424, NULL, 'PTHR33102:SF38', NULL, NULL, NULL, NULL, 'DVL12', NULL, NULL, NULL, 15),
(158425, NULL, 'PTHR33645:SF5', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(158426, NULL, 'PTHR43028:SF6', NULL, NULL, NULL, NULL, 'INOSITOL MONOPHOSPHATASE 3', NULL, NULL, NULL, 15),
(158427, NULL, 'PTHR45632:SF16', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 32', NULL, NULL, 28520, 15),
(158428, NULL, 'PTHR33076:SF57', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(158429, NULL, 'PTHR16223:SF125', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', NULL, NULL, NULL, 15),
(158430, NULL, 'PTHR46236:SF2', NULL, NULL, NULL, NULL, 'MEPRIN AND TRAF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158431, NULL, 'PTHR21562:SF7', NULL, NULL, NULL, NULL, 'PALMITOLEOYL-PROTEIN CARBOXYLESTERASE NOTUM', NULL, NULL, NULL, 15),
(158432, NULL, 'PTHR32212:SF356', NULL, NULL, NULL, NULL, 'BNAA09G16730D PROTEIN', NULL, NULL, NULL, 15),
(158433, NULL, 'PTHR46679', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158434, NULL, 'PTHR31677:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158435, NULL, 'PTHR31992:SF215', NULL, NULL, NULL, NULL, 'BNAA04G29070D PROTEIN', NULL, NULL, NULL, 15),
(158436, NULL, 'PTHR33527:SF30', NULL, NULL, NULL, NULL, 'BNAA04G25960D PROTEIN', NULL, NULL, NULL, 15),
(158437, NULL, 'PTHR22854:SF13', NULL, NULL, NULL, NULL, 'OS08G0320400 PROTEIN', NULL, NULL, NULL, 15),
(158438, NULL, 'PTHR46128:SF255', NULL, NULL, NULL, NULL, 'BNAANNG11840D PROTEIN', NULL, NULL, NULL, 15),
(158439, NULL, 'PTHR17469:SF15', NULL, NULL, NULL, NULL, 'AGAP005635-PA', NULL, NULL, NULL, 15),
(158440, NULL, 'PTHR14226:SF63', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(158441, NULL, 'PTHR31165:SF97', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 7-RELATED', NULL, NULL, NULL, 15),
(158442, NULL, 'PTHR13878:SF98', NULL, NULL, NULL, NULL, 'FAD-LINKED OXIDOREDUCTASE ASQF', NULL, NULL, NULL, 15),
(158443, NULL, 'PTHR45862:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SGT1 HOMOLOG ISOFORM X1', NULL, NULL, NULL, 15),
(158444, NULL, 'PTHR32227:SF343', NULL, NULL, NULL, NULL, 'BNACNNG40170D PROTEIN', NULL, NULL, NULL, 15),
(158445, NULL, 'PTHR11571:SF228', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(158446, NULL, 'PTHR16771:SF13', NULL, NULL, NULL, NULL, 'BNACNNG23950D PROTEIN', NULL, NULL, NULL, 15),
(158447, NULL, 'PTHR21461:SF65', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(158448, NULL, 'PTHR12791:SF48', NULL, NULL, NULL, NULL, 'OS08G0563300 PROTEIN', NULL, NULL, NULL, 15),
(158449, NULL, 'PTHR33737:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158450, NULL, 'PTHR32370:SF16', NULL, NULL, NULL, NULL, 'NON-PHOTOTROPIC HYPOCOTYL-LIKE PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158451, NULL, 'PTHR15615:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158452, NULL, 'PTHR34788:SF9', NULL, NULL, NULL, NULL, 'BNAC06G10520D PROTEIN', NULL, NULL, NULL, 15),
(158453, NULL, 'PTHR45878', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP2', NULL, NULL, 38071, 15),
(158454, NULL, 'PTHR24031:SF78', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX47-RELATED', NULL, NULL, NULL, 15),
(158455, NULL, 'PTHR46057:SF34', NULL, NULL, NULL, NULL, 'BNAANNG07180D PROTEIN', NULL, NULL, NULL, 15),
(158456, NULL, 'PTHR31215:SF27', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158457, NULL, 'PTHR22930:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158458, NULL, 'PTHR35474:SF1', NULL, NULL, NULL, NULL, 'ATP PHOSPHORIBOSYLTRANSFERASE REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(158459, NULL, 'PTHR34818', NULL, NULL, NULL, NULL, 'PROTEIN BLI-3', NULL, NULL, NULL, 15),
(158460, NULL, 'PTHR27004:SF381', NULL, NULL, NULL, NULL, 'BNAC04G42580D PROTEIN', NULL, NULL, NULL, 15),
(158461, NULL, 'PTHR40274', NULL, NULL, NULL, NULL, 'VIRGINIAMYCIN B LYASE', NULL, NULL, NULL, 15),
(158462, NULL, 'PTHR26453:SF660', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(158463, NULL, 'PTHR31044:SF90', NULL, NULL, NULL, NULL, 'BNACNNG46030D PROTEIN', NULL, NULL, NULL, 15),
(158464, NULL, 'PTHR21576:SF116', NULL, NULL, NULL, NULL, 'NODULIN-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158465, NULL, 'PTHR12771:SF51', NULL, NULL, NULL, NULL, 'LD01482P', NULL, NULL, NULL, 15),
(158466, NULL, 'PTHR22943:SF62', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(158467, NULL, 'PTHR11188:SF129', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN F', NULL, NULL, NULL, 15),
(158468, NULL, 'PTHR11528:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158469, NULL, 'PTHR15507:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN RLF', NULL, NULL, NULL, 15),
(158470, NULL, 'PTHR24416:SF123', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-B RECEPTOR 2', NULL, NULL, NULL, 15),
(158471, NULL, 'PTHR11214:SF123', NULL, NULL, NULL, NULL, 'BETA-1,6-GALACTOSYLTRANSFERASE GALT31A', NULL, NULL, NULL, 15),
(158472, NULL, 'PTHR20961:SF34', NULL, NULL, NULL, NULL, 'OS06G0707200 PROTEIN', NULL, NULL, NULL, 15),
(158473, NULL, 'PTHR11407:SF28', NULL, NULL, NULL, NULL, 'LYSOZYME C', NULL, NULL, 28562, 15),
(158474, NULL, 'PTHR32243:SF3', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEMS INNER MEMBRANE COMPONENT', NULL, NULL, NULL, 15),
(158475, NULL, 'PTHR22917:SF3', NULL, NULL, NULL, NULL, 'VITRONECTIN', NULL, NULL, NULL, 15),
(158476, NULL, 'PTHR43490:SF107', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(158477, NULL, 'PTHR11746:SF239', NULL, NULL, NULL, NULL, 'INDOLE GLUCOSINOLATE O-METHYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(158478, NULL, 'PTHR12000:SF48', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME-RELATED', NULL, NULL, NULL, 15),
(158479, NULL, 'PTHR14207:SF2', NULL, NULL, NULL, NULL, '3-BETA-HYDROXYSTEROID-DELTA(8),DELTA(7)-ISOMERASE-RELATED', NULL, NULL, NULL, 15),
(158480, NULL, 'PTHR46045:SF19', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(158481, NULL, 'PTHR32382:SF51', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 1', NULL, NULL, NULL, 15),
(158482, NULL, 'PTHR31062:SF233', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 26-RELATED', NULL, NULL, NULL, 15),
(158483, NULL, 'PTHR11461:SF274', NULL, NULL, NULL, NULL, 'PLASMA SERINE PROTEASE INHIBITOR', NULL, NULL, NULL, 15),
(158484, NULL, 'PTHR11040:SF174', NULL, NULL, NULL, NULL, 'BNACNNG51530D PROTEIN', NULL, NULL, NULL, 15),
(158485, NULL, 'PTHR31161', NULL, NULL, NULL, NULL, 'PROTEIN GRAVITROPIC IN THE LIGHT 1', NULL, NULL, 33744, 15),
(158486, NULL, 'PTHR42884:SF8', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE SUBTILISIN/KEXIN TYPE 6', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158487, NULL, 'PTHR23114:SF26', NULL, NULL, NULL, NULL, 'BNAC04G32440D PROTEIN', NULL, NULL, NULL, 15),
(158488, NULL, 'PTHR10891:SF861', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML45-RELATED', NULL, NULL, NULL, 15),
(158489, NULL, 'PTHR43574:SF29', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 3', NULL, NULL, NULL, 15),
(158490, NULL, 'PTHR10168:SF261', NULL, NULL, NULL, NULL, 'BNAC03G42140D PROTEIN', NULL, NULL, NULL, 15),
(158491, NULL, 'PTHR24054:SF28', NULL, NULL, NULL, NULL, 'CASEIN KINASE 2 ALPHA 1-RELATED', NULL, NULL, NULL, 15),
(158492, NULL, 'PTHR11731:SF135', NULL, NULL, NULL, NULL, 'INACTIVE DIPEPTIDYL PEPTIDASE 10-LIKE PROTEIN', NULL, NULL, NULL, 15),
(158493, NULL, 'PTHR15136:SF12', NULL, NULL, NULL, NULL, 'TROMAL INTERACTION MOLECULE 2A', NULL, NULL, NULL, 15),
(158494, NULL, 'PTHR10426:SF69', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 10', NULL, NULL, NULL, 15),
(158495, NULL, 'PTHR11977:SF115', NULL, NULL, NULL, NULL, 'VILLIN-3-LIKE', NULL, NULL, NULL, 15),
(158496, NULL, 'PTHR10795:SF550', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.3', NULL, NULL, NULL, 15),
(158497, NULL, 'PTHR37011:SF2', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(158498, NULL, 'PTHR10706:SF130', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 31', NULL, NULL, 23096, 15),
(158499, NULL, 'PTHR13680:SF38', NULL, NULL, NULL, NULL, 'CDGSH IRON SULFUR DOMAIN 1', NULL, NULL, NULL, 15),
(158500, NULL, 'PTHR43539:SF75', NULL, NULL, NULL, NULL, 'YUC10.1', NULL, NULL, NULL, 15),
(158501, NULL, 'PTHR12673:SF244', NULL, NULL, NULL, NULL, 'LD03170P', NULL, NULL, NULL, 15),
(158502, NULL, 'PTHR47487:SF11', NULL, NULL, NULL, NULL, 'OS09G0421800 PROTEIN', NULL, NULL, NULL, 15),
(158503, NULL, 'PTHR31325:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158504, NULL, 'PTHR33177:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158505, NULL, 'PTHR42988', NULL, NULL, NULL, NULL, 'PHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(158506, NULL, 'PTHR13417:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF146', NULL, NULL, 34116, 15),
(158507, NULL, 'PTHR15710:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158508, NULL, 'PTHR33232:SF25', NULL, NULL, NULL, NULL, 'BNACNNG05550D PROTEIN', NULL, NULL, NULL, 15),
(158509, NULL, 'PTHR12086:SF11', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN-CONTAINING FAMILY MEMBER C2', NULL, NULL, NULL, 15),
(158510, NULL, 'PTHR40624', NULL, NULL, NULL, NULL, 'BIOSYNTHESIS MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12025)-RELATED', NULL, NULL, NULL, 15),
(158511, NULL, 'PTHR31272:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN HI_1454-RELATED', NULL, NULL, NULL, 15),
(158512, NULL, 'PTHR11986:SF79', NULL, NULL, NULL, NULL, 'ACETYLORNITHINE AMINOTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(158513, NULL, 'PTHR24042:SF6', NULL, NULL, NULL, NULL, 'SI:CH211-252F13.5', NULL, NULL, NULL, 15),
(158514, NULL, 'PTHR47990:SF6', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE', NULL, NULL, NULL, 15),
(158515, NULL, 'PTHR31139:SF3', NULL, NULL, NULL, NULL, 'LIX1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(158516, NULL, 'PTHR16089', NULL, NULL, NULL, NULL, 'REST COREPRESSOR  COREST  PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158517, NULL, 'PTHR37814:SF1', NULL, NULL, NULL, NULL, 'CONSERVED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(158518, NULL, 'PTHR13408:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC4', NULL, NULL, NULL, 15),
(158519, NULL, 'PTHR10933:SF14', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-BINDING PROTEIN 1B', NULL, NULL, NULL, 15),
(158520, NULL, 'PTHR33286:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158521, NULL, 'PTHR11035:SF17', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE 2', NULL, NULL, NULL, 15),
(158522, NULL, 'PTHR48017:SF126', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158523, NULL, 'PTHR39741:SF11', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158524, NULL, 'PTHR46137', NULL, NULL, NULL, NULL, 'OS05G0310600 PROTEIN', NULL, NULL, NULL, 15),
(158525, NULL, 'PTHR10537:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158526, NULL, 'PTHR24282:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158527, NULL, 'PTHR17204:SF5', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 39', NULL, NULL, NULL, 15),
(158528, NULL, 'PTHR34629:SF3', NULL, NULL, NULL, NULL, 'PROLINE-RICH EXTENSIN-LIKE PROTEIN EPR1', NULL, NULL, NULL, 15),
(158529, NULL, 'PTHR43327:SF34', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(158530, NULL, 'PTHR12770:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158531, NULL, 'PTHR34379:SF9', NULL, NULL, NULL, NULL, 'BNAC09G47680D PROTEIN', NULL, NULL, NULL, 15),
(158532, NULL, 'PTHR12558:SF37', NULL, NULL, NULL, NULL, 'BNAA06G16860D PROTEIN', NULL, NULL, NULL, 15),
(158533, NULL, 'PTHR32246:SF115', NULL, NULL, NULL, NULL, 'BNAC01G41910D PROTEIN', NULL, NULL, NULL, 15),
(158534, NULL, 'PTHR45822:SF5', NULL, NULL, NULL, NULL, 'FREE FATTY ACID RECEPTOR 2', NULL, NULL, NULL, 15),
(158535, NULL, 'PTHR31045:SF30', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158536, NULL, 'PTHR13683:SF834', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(158537, NULL, 'PTHR46589', NULL, NULL, NULL, NULL, 'APOPTOTIC CHROMATIN CONDENSATION INDUCER IN THE NUCLEUS', NULL, NULL, NULL, 15),
(158538, NULL, 'PTHR11048:SF5', NULL, NULL, NULL, NULL, 'DECAPRENYL-PHOSPHATE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(158539, NULL, 'PTHR35350', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC314168', NULL, NULL, 29075, 15),
(158540, NULL, 'PTHR33463:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158541, NULL, 'PTHR35420:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158542, NULL, 'PTHR45724:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158543, NULL, 'PTHR31375:SF144', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE/GLYCOSIDE HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(158544, NULL, 'PTHR46205', NULL, NULL, NULL, NULL, 'LOQUACIOUS, ISOFORM B', NULL, NULL, NULL, 15),
(158545, NULL, 'PTHR31662:SF56', NULL, NULL, NULL, NULL, 'BNAC01G39850D PROTEIN', NULL, NULL, NULL, 15),
(158546, NULL, 'PTHR12299:SF56', NULL, NULL, NULL, NULL, 'HYALURONAN/MRNA-BINDING PROTEIN, STM1-RELATED', NULL, NULL, NULL, 15),
(158547, NULL, 'PTHR31375:SF204', NULL, NULL, NULL, NULL, 'BNAC09G40790D PROTEIN', NULL, NULL, NULL, 15),
(158548, NULL, 'PTHR39665', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158549, NULL, 'PTHR36812:SF8', NULL, NULL, NULL, NULL, 'GLUTAMIC ACID-RICH PROTEIN-LIKE', NULL, NULL, NULL, 15),
(158550, NULL, 'PTHR33270:SF27', NULL, NULL, NULL, NULL, 'BNAC07G20880D PROTEIN', NULL, NULL, NULL, 15),
(158551, NULL, 'PTHR12383:SF16', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE SUBUNIT 1', NULL, NULL, NULL, 15),
(158552, NULL, 'PTHR37526:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TUSB', NULL, NULL, NULL, 15),
(158553, NULL, 'PTHR47967:SF76', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(158554, NULL, 'PTHR46225:SF7', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158555, NULL, 'PTHR10353:SF154', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1 PROTEIN', NULL, NULL, NULL, 15),
(158556, NULL, 'PTHR23335:SF20', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 1', NULL, NULL, NULL, 15),
(158557, NULL, 'PTHR43166:SF23', NULL, NULL, NULL, NULL, 'ABC AMINO ACID TRANSPORTER ATPASE', NULL, NULL, NULL, 15),
(158558, NULL, 'PTHR22829:SF18', NULL, NULL, NULL, NULL, 'DEP DOMAIN-CONTAINING MTOR-INTERACTING PROTEIN', NULL, NULL, 34887, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158559, NULL, 'PTHR40070:SF1', NULL, NULL, NULL, NULL, 'UPF0478 PROTEIN YTXG', NULL, NULL, NULL, 15),
(158560, NULL, 'PTHR18945:SF213', NULL, NULL, NULL, NULL, 'GLYCINE RECEPTOR SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(158561, NULL, 'PTHR22943:SF109', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(158562, NULL, 'PTHR22945:SF33', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-51', NULL, NULL, NULL, 15),
(158563, NULL, 'PTHR24056:SF469', NULL, NULL, NULL, NULL, 'PROTEIN CBR-DYF-18', NULL, NULL, NULL, 15),
(158564, NULL, 'PTHR32100:SF55', NULL, NULL, NULL, NULL, 'OMEGA-6 FATTY ACID DESATURASE, ENDOPLASMIC RETICULUM', NULL, NULL, NULL, 15),
(158565, NULL, 'PTHR23271:SF1', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 6 HOMOLOG', NULL, NULL, NULL, 15),
(158566, NULL, 'PTHR33257:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158567, NULL, 'PTHR11852', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE', NULL, NULL, NULL, 15),
(158568, NULL, 'PTHR31720:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS Z', NULL, NULL, NULL, 15),
(158569, NULL, 'PTHR11008:SF29', NULL, NULL, NULL, NULL, 'AGAP001354-PA', NULL, NULL, NULL, 15),
(158570, NULL, 'PTHR45161:SF1', NULL, NULL, NULL, NULL, 'CYTOSKELETON-ASSOCIATED PROTEIN 4', NULL, NULL, NULL, 15),
(158571, NULL, 'PTHR33177:SF49', NULL, NULL, NULL, NULL, 'BNAA09G56300D PROTEIN', NULL, NULL, NULL, 15),
(158572, NULL, 'PTHR22952:SF388', NULL, NULL, NULL, NULL, 'OS02G0833600 PROTEIN', NULL, NULL, NULL, 15),
(158573, NULL, 'PTHR10869:SF156', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(158574, NULL, 'PTHR40472:SF11', NULL, NULL, NULL, NULL, 'RAPUNZEL 3-RELATED', NULL, NULL, NULL, 15),
(158575, NULL, 'PTHR23110', NULL, NULL, NULL, NULL, 'BTB DOMAIN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(158576, NULL, 'PTHR23503:SF113', NULL, NULL, NULL, NULL, 'FACILITATED GLUCOSE TRANSPORTER PROTEIN 1', NULL, NULL, NULL, 15),
(158577, NULL, 'PTHR46959:SF2', NULL, NULL, NULL, NULL, 'SULFOQUINOVOSIDASE', NULL, NULL, NULL, 15),
(158578, NULL, 'PTHR44337:SF1', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 8', NULL, NULL, NULL, 15),
(158579, NULL, 'PTHR23242:SF9', NULL, NULL, NULL, NULL, 'TOL-PAL SYSTEM PROTEIN TOLA', NULL, NULL, NULL, 15),
(158580, NULL, 'PTHR31376:SF92', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 3', NULL, NULL, NULL, 15),
(158581, NULL, 'PTHR31967:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG20756', NULL, NULL, NULL, 15),
(158582, NULL, 'PTHR23024:SF444', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', NULL, NULL, NULL, 15),
(158583, NULL, 'PTHR31945:SF89', NULL, NULL, NULL, NULL, 'BNAA02G08320D PROTEIN', NULL, NULL, NULL, 15),
(158584, NULL, 'PTHR31751', NULL, NULL, NULL, NULL, 'SI:CH211-108C17.2-RELATED-RELATED', NULL, NULL, NULL, 15),
(158585, NULL, 'PTHR13183:SF2', NULL, NULL, NULL, NULL, 'ARM LIGHT CHAIN, AXONEMAL, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158586, NULL, 'PTHR12411:SF709', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(158587, NULL, 'PTHR13771:SF4', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE TCAM-1', NULL, NULL, NULL, 15),
(158588, NULL, 'PTHR12988:SF6', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE 4', NULL, NULL, NULL, 15),
(158589, NULL, 'PTHR34552:SF7', NULL, NULL, NULL, NULL, 'BNAA10G27910D PROTEIN', NULL, NULL, NULL, 15),
(158590, NULL, 'PTHR33170:SF29', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(158591, NULL, 'PTHR13622:SF8', NULL, NULL, NULL, NULL, 'THIAMIN PYROPHOSPHOKINASE 1', NULL, NULL, NULL, 15),
(158592, NULL, 'PTHR24073:SF1122', NULL, NULL, NULL, NULL, 'RAB6B, MEMBER RAS ONCOGENE FAMILY B', NULL, NULL, NULL, 15),
(158593, NULL, 'PTHR27009:SF227', NULL, NULL, NULL, NULL, 'BNAA02G12710D PROTEIN', NULL, NULL, NULL, 15),
(158594, NULL, 'PTHR31845:SF31', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(158595, NULL, 'PTHR45613:SF391', NULL, NULL, NULL, NULL, 'OS07G0621100 PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158596, NULL, 'PTHR11472:SF62', NULL, NULL, NULL, NULL, 'REGULATOR OF TELOMERE ELONGATION HELICASE 1', NULL, NULL, NULL, 15),
(158597, NULL, 'PTHR45836:SF12', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 1', NULL, NULL, NULL, 15),
(158598, NULL, 'PTHR23070:SF138', NULL, NULL, NULL, NULL, 'AAA-ATPASE ASD MITOCHONDRIAL', NULL, NULL, NULL, 15),
(158599, NULL, 'PTHR12000:SF25', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME BETA-ISOZYME 1', NULL, NULL, 32096, 15),
(158600, NULL, 'PTHR14650', NULL, NULL, NULL, NULL, 'PROLYL HYDROXYLASE-RELATED', NULL, NULL, 35493, 15),
(158601, NULL, 'PTHR33124:SF85', NULL, NULL, NULL, NULL, 'BNAA05G30790D PROTEIN', NULL, NULL, NULL, 15),
(158602, NULL, 'PTHR11035:SF36', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE', NULL, NULL, NULL, 15),
(158603, NULL, 'PTHR23215', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 207', NULL, NULL, NULL, 15),
(158604, NULL, 'PTHR31513:SF13', NULL, NULL, NULL, NULL, 'BNAANNG07220D PROTEIN', NULL, NULL, NULL, 15),
(158605, NULL, 'PTHR33404:SF9', NULL, NULL, NULL, NULL, 'BNAC06G30560D PROTEIN', NULL, NULL, NULL, 15),
(158606, NULL, 'PTHR45708:SF30', NULL, NULL, NULL, NULL, 'ACIDIC ENDOCHITINASE', NULL, NULL, NULL, 15),
(158607, NULL, 'PTHR47425:SF2', NULL, NULL, NULL, NULL, 'FARB-RELATED', NULL, NULL, NULL, 15),
(158608, NULL, 'PTHR47976:SF46', NULL, NULL, NULL, NULL, 'OS01G0670100 PROTEIN', NULL, NULL, NULL, 15),
(158609, NULL, 'PTHR26312:SF168', NULL, NULL, NULL, NULL, 'F18B13.21 PROTEIN', NULL, NULL, NULL, 15),
(158610, NULL, 'PTHR43900:SF30', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE F3', NULL, NULL, NULL, 15),
(158611, NULL, 'PTHR45926:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE6-RELATED', NULL, NULL, NULL, 15),
(158612, NULL, 'PTHR31907:SF19', NULL, NULL, NULL, NULL, 'KIROLA-LIKE', NULL, NULL, NULL, 15),
(158613, NULL, 'PTHR31406:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG06702', NULL, NULL, NULL, 15),
(158614, NULL, 'PTHR32141:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158615, NULL, 'PTHR33044:SF102', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN GPI-ANCHORED 2-LIKE', NULL, NULL, NULL, 15),
(158616, NULL, 'PTHR27001:SF39', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(158617, NULL, 'PTHR47942:SF45', NULL, NULL, NULL, NULL, 'OS07G0599201 PROTEIN', NULL, NULL, NULL, 15),
(158618, NULL, 'PTHR12203:SF54', NULL, NULL, NULL, NULL, 'BETA-1,2-XYLOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(158619, NULL, 'PTHR33078:SF53', NULL, NULL, NULL, NULL, 'YCF2 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(158620, NULL, 'PTHR39600', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158621, NULL, 'PTHR33531', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN SUBFAMILY', NULL, NULL, NULL, 15),
(158622, NULL, 'PTHR32212:SF373', NULL, NULL, NULL, NULL, 'OS04G0267775 PROTEIN', NULL, NULL, NULL, 15),
(158623, NULL, 'PTHR37253:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GAMETE EXPRESSED 3', NULL, NULL, NULL, 15),
(158624, NULL, 'PTHR45675:SF31', NULL, NULL, NULL, NULL, 'BNAA07G36950D PROTEIN', NULL, NULL, NULL, 15),
(158625, NULL, 'PTHR35471:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(158626, NULL, 'PTHR19359:SF110', NULL, NULL, NULL, NULL, 'BNAC04G43300D PROTEIN', NULL, NULL, NULL, 15),
(158627, NULL, 'PTHR11210:SF41', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RBX1', NULL, NULL, NULL, 15),
(158628, NULL, 'PTHR10334:SF439', NULL, NULL, NULL, NULL, 'OS02G0786900 PROTEIN', NULL, NULL, NULL, 15),
(158629, NULL, 'PTHR22750:SF8', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 12', NULL, NULL, NULL, 15),
(158630, NULL, 'PTHR34367:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158631, NULL, 'PTHR46365', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN ATOX1', NULL, NULL, NULL, 15),
(158632, NULL, 'PTHR22912:SF207', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(158633, NULL, 'PTHR47995:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB120', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158634, NULL, 'PTHR21345:SF7', NULL, NULL, NULL, NULL, 'ZGC:114123', NULL, NULL, NULL, 15),
(158635, NULL, 'PTHR43811:SF43', NULL, NULL, NULL, NULL, 'FKBP-TYPE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKPA', NULL, NULL, NULL, 15),
(158636, NULL, 'PTHR46705:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG03165', NULL, NULL, NULL, 15),
(158637, NULL, 'PTHR31062:SF162', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 30-RELATED', NULL, NULL, NULL, 15),
(158638, NULL, 'PTHR12174:SF89', NULL, NULL, NULL, NULL, 'BNAA04G24810D PROTEIN', NULL, NULL, NULL, 15),
(158639, NULL, 'PTHR47999:SF71', NULL, NULL, NULL, NULL, 'BNACNNG69610D PROTEIN', NULL, NULL, NULL, 15),
(158640, NULL, 'PTHR48052:SF41', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HAIKU2', NULL, NULL, NULL, 15),
(158641, NULL, 'PTHR24068:SF369', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 5A', NULL, NULL, NULL, 15),
(158642, NULL, 'PTHR37023:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE', NULL, NULL, NULL, 15),
(158643, NULL, 'PTHR12878:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(158644, NULL, 'PTHR46267:SF18', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN', NULL, NULL, NULL, 15),
(158645, NULL, 'PTHR10996:SF260', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3', NULL, NULL, NULL, 15),
(158646, NULL, 'PTHR21139:SF25', NULL, NULL, NULL, NULL, 'SENESCENCE MARKER PROTEIN-30 (SMP-30)', NULL, NULL, NULL, 15),
(158647, NULL, 'PTHR16166:SF22', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13A', NULL, NULL, NULL, 15),
(158648, NULL, 'PTHR11654:SF457', NULL, NULL, NULL, NULL, 'BNAA09G06180D PROTEIN', NULL, NULL, NULL, 15),
(158649, NULL, 'PTHR40275:SF1', NULL, NULL, NULL, NULL, 'SSL7038 PROTEIN', NULL, NULL, NULL, 15),
(158650, NULL, 'PTHR22600:SF24', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE SUBUNIT A1-RELATED', NULL, NULL, NULL, 15),
(158651, NULL, 'PTHR33443:SF11', NULL, NULL, NULL, NULL, 'OS10G0573300 PROTEIN', NULL, NULL, NULL, 15),
(158652, NULL, 'PTHR11040:SF71', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 5-LIKE', NULL, NULL, NULL, 15),
(158653, NULL, 'PTHR33052:SF157', NULL, NULL, NULL, NULL, 'BNAC08G19630D PROTEIN', NULL, NULL, NULL, 15),
(158654, NULL, 'PTHR47289:SF4', NULL, NULL, NULL, NULL, 'BNAA09G28050D PROTEIN', NULL, NULL, NULL, 15),
(158655, NULL, 'PTHR43762:SF1', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE', NULL, NULL, NULL, 15),
(158656, NULL, 'PTHR10502:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158657, NULL, 'PTHR10263:SF47', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', NULL, NULL, NULL, 15),
(158658, NULL, 'PTHR47960:SF4', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 12', NULL, NULL, NULL, 15),
(158659, NULL, 'PTHR14604', NULL, NULL, NULL, NULL, 'WD40 REPEAT PF20', NULL, NULL, NULL, 15),
(158660, NULL, 'PTHR24221:SF399', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY B (MDR/TAP), MEMBER 11B', NULL, NULL, NULL, 15),
(158661, NULL, 'PTHR32472:SF20', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158662, NULL, 'PTHR47584:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158663, NULL, 'PTHR19850:SF29', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(T) SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(158664, NULL, 'PTHR23213:SF349', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(158665, NULL, 'PTHR12537:SF52', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 2', NULL, NULL, NULL, 15),
(158666, NULL, 'PTHR31175:SF44', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR61', NULL, NULL, NULL, 15),
(158667, NULL, 'PTHR12956:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158668, NULL, 'PTHR27007:SF58', NULL, NULL, NULL, NULL, 'LECTIN-LIKE RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158669, NULL, 'PTHR10992:SF1065', NULL, NULL, NULL, NULL, 'BNAC03G27920D PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158670, NULL, 'PTHR11214:SF148', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(158671, NULL, 'PTHR11566:SF159', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 1A', NULL, NULL, NULL, 15),
(158672, NULL, 'PTHR43943:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE (SDR FAMILY) MEMBER 4', NULL, NULL, NULL, 15),
(158673, NULL, 'PTHR47273:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH EXTENSIN-LIKE PROTEIN EPR1', NULL, NULL, NULL, 15),
(158674, NULL, 'PTHR45614:SF91', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB5', NULL, NULL, NULL, 15),
(158675, NULL, 'PTHR22835:SF595', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158676, NULL, 'PTHR45255:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 24', NULL, NULL, NULL, 15),
(158677, NULL, 'PTHR33279:SF16', NULL, NULL, NULL, NULL, 'SIRA FAMILY PROTEIN', NULL, NULL, NULL, 15),
(158678, NULL, 'PTHR43184:SF21', NULL, NULL, NULL, NULL, 'BNAC01G10160D PROTEIN', NULL, NULL, NULL, 15),
(158679, NULL, 'PTHR43284:SF4', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE', NULL, NULL, NULL, 15),
(158680, NULL, 'PTHR44586:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158681, NULL, 'PTHR32502:SF12', NULL, NULL, NULL, NULL, 'D-TAGATOSE-1,6-BISPHOSPHATE ALDOLASE SUBUNIT GATZ', NULL, NULL, NULL, 15),
(158682, NULL, 'PTHR23049:SF65', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 2', NULL, NULL, NULL, 15),
(158683, NULL, 'PTHR24338:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158684, NULL, 'PTHR35147', NULL, NULL, NULL, NULL, 'CHEMORECEPTOR GLUTAMINE DEAMIDASE CHED-RELATED', NULL, NULL, 3689, 15),
(158685, NULL, 'PTHR23280:SF32', NULL, NULL, NULL, NULL, 'FI22325P1', NULL, NULL, NULL, 15),
(158686, NULL, 'PTHR18884:SF71', NULL, NULL, NULL, NULL, 'SEPTIN-4', NULL, NULL, NULL, 15),
(158687, NULL, 'PTHR16070:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM222B', NULL, NULL, NULL, 15),
(158688, NULL, 'PTHR31422:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158689, NULL, 'PTHR35155:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 24', NULL, NULL, NULL, 15),
(158690, NULL, 'PTHR46137:SF6', NULL, NULL, NULL, NULL, 'GB|AAF32477.1', NULL, NULL, NULL, 15),
(158691, NULL, 'PTHR11461:SF332', NULL, NULL, NULL, NULL, 'PROTEIN CBG15466', NULL, NULL, NULL, 15),
(158692, NULL, 'PTHR19359:SF41', NULL, NULL, NULL, NULL, 'GEO08203P1', NULL, NULL, NULL, 15),
(158693, NULL, 'PTHR13935:SF130', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH36', NULL, NULL, NULL, 15),
(158694, NULL, 'PTHR46823:SF2', NULL, NULL, NULL, NULL, 'CALCINEURIN B HOMOLOGOUS PROTEIN 3', NULL, NULL, NULL, 15),
(158695, NULL, 'PTHR37446:SF1', NULL, NULL, NULL, NULL, 'CLAUDIN-LIKE IN CAENORHABDITIS', NULL, NULL, NULL, 15),
(158696, NULL, 'PTHR19924:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158697, NULL, 'PTHR31165:SF81', NULL, NULL, NULL, NULL, 'BNAA10G11840D PROTEIN', NULL, NULL, NULL, 15),
(158698, NULL, 'PTHR31279:SF57', NULL, NULL, NULL, NULL, 'BNAA02G34120D PROTEIN', NULL, NULL, NULL, 15),
(158699, NULL, 'PTHR23180:SF242', NULL, NULL, NULL, NULL, 'OS08G0537600 PROTEIN', NULL, NULL, NULL, 15),
(158700, NULL, 'PTHR15607:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158701, NULL, 'PTHR10168:SF227', NULL, NULL, NULL, NULL, 'GRX_C8-GLUTAREDOXIN SUBGROUP III', NULL, NULL, NULL, 15),
(158702, NULL, 'PTHR24093:SF480', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(158703, NULL, 'PTHR24343:SF359', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(158704, NULL, 'PTHR11817:SF3', NULL, NULL, NULL, NULL, 'AT14039P-RELATED', NULL, NULL, NULL, 15),
(158705, NULL, 'PTHR46292:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 102A', NULL, NULL, NULL, 15),
(158706, NULL, 'PTHR24282:SF192', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158707, NULL, 'PTHR39611:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158708, NULL, 'PTHR11758:SF35', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15A-1-RELATED', NULL, NULL, NULL, 15),
(158709, NULL, 'PTHR11615:SF256', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4B1', NULL, NULL, NULL, 15),
(158710, NULL, 'PTHR21419:SF30', NULL, NULL, NULL, NULL, 'AGAP002184-PA', NULL, NULL, NULL, 15),
(158711, NULL, 'PTHR44272:SF5', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 39', NULL, NULL, NULL, 15),
(158712, NULL, 'PTHR11143:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L26-LIKE 1', NULL, NULL, NULL, 15),
(158713, NULL, 'PTHR12000:SF3', NULL, NULL, NULL, NULL, 'LEGUMAIN', NULL, NULL, NULL, 15),
(158714, NULL, 'PTHR46565:SF6', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN 1', NULL, NULL, NULL, 15),
(158715, NULL, 'PTHR21567:SF34', NULL, NULL, NULL, NULL, 'PROTEIN CLASP-3', NULL, NULL, NULL, 15),
(158716, NULL, 'PTHR31683:SF149', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(158717, NULL, 'PTHR48018:SF93', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(158718, NULL, 'PTHR10177:SF494', NULL, NULL, NULL, NULL, 'CYCLIN-B2-3-RELATED', NULL, NULL, NULL, 15),
(158719, NULL, 'PTHR21566:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG18525', NULL, NULL, NULL, 15),
(158720, NULL, 'PTHR27006:SF305', NULL, NULL, NULL, NULL, 'BNAC02G44050D PROTEIN', NULL, NULL, NULL, 15),
(158721, NULL, 'PTHR14095:SF15', NULL, NULL, NULL, NULL, 'BNAA09G03510D PROTEIN', NULL, NULL, NULL, 15),
(158722, NULL, 'PTHR37557', NULL, NULL, NULL, NULL, '115 KDA PROTEIN IN TYPE-1 RETROTRANSPOSABLE ELEMENT R1DM-LIKE PROTEIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(158723, NULL, 'PTHR37928', NULL, NULL, NULL, NULL, 'CFEM DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G14090)', NULL, NULL, NULL, 15),
(158724, NULL, 'PTHR11453:SF91', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 1', NULL, NULL, NULL, 15),
(158725, NULL, 'PTHR23130:SF156', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(158726, NULL, 'PTHR26450:SF190', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(158727, NULL, 'PTHR21576:SF96', NULL, NULL, NULL, NULL, 'OS04G0388700 PROTEIN', NULL, NULL, NULL, 15),
(158728, NULL, 'PTHR24064:SF562', NULL, NULL, NULL, NULL, 'BNAC02G16980D PROTEIN', NULL, NULL, NULL, 15),
(158729, NULL, 'PTHR43029:SF33', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(158730, NULL, 'PTHR10543:SF86', NULL, NULL, NULL, NULL, 'BETA-CAROTENE OXYGENASE 1,-LIKE', NULL, NULL, NULL, 15),
(158731, NULL, 'PTHR11929:SF12', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE 7', NULL, NULL, NULL, 15),
(158732, NULL, 'PTHR31604:SF25', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 2', NULL, NULL, NULL, 15),
(158733, NULL, 'PTHR45658:SF81', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 10-RELATED', NULL, NULL, NULL, 15),
(158734, NULL, 'PTHR11814:SF33', NULL, NULL, NULL, NULL, 'PENDRIN', NULL, NULL, 28902, 15),
(158735, NULL, 'PTHR11850:SF283', NULL, NULL, NULL, NULL, 'BNAA06G13850D PROTEIN', NULL, NULL, NULL, 15),
(158736, NULL, 'PTHR31465:SF9', NULL, NULL, NULL, NULL, 'SPHINGOID LONG-CHAIN BASE TRANSPORTER RSB1', NULL, NULL, NULL, 15),
(158737, NULL, 'PTHR38746:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158738, NULL, 'PTHR11668:SF231', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(158739, NULL, 'PTHR35463:SF13', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158740, NULL, 'PTHR45792:SF7', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G02710)-RELATED', NULL, NULL, NULL, 15),
(158741, NULL, 'PTHR47412:SF1', NULL, NULL, NULL, NULL, 'FI01434P-RELATED', NULL, NULL, NULL, 15),
(158742, NULL, 'PTHR45738:SF12', NULL, NULL, NULL, NULL, 'BNAA05G15980D PROTEIN', NULL, NULL, NULL, 15),
(158743, NULL, 'PTHR34835:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158744, NULL, 'PTHR32212:SF322', NULL, NULL, NULL, NULL, 'FBD-LIKE DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158745, NULL, 'PTHR46272', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158746, NULL, 'PTHR14614:SF140', NULL, NULL, NULL, NULL, 'OJ990528_30.4 PROTEIN', NULL, NULL, NULL, 15),
(158747, NULL, 'PTHR10556', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE', NULL, NULL, 35664, 15),
(158748, NULL, 'PTHR31221:SF223', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158749, NULL, 'PTHR39112:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 27', NULL, NULL, NULL, 15),
(158750, NULL, 'PTHR35459:SF3', NULL, NULL, NULL, NULL, 'OSJNBA0065O17.1 PROTEIN', NULL, NULL, NULL, 15),
(158751, NULL, 'PTHR24197:SF44', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 61', NULL, NULL, NULL, 15),
(158752, NULL, 'PTHR43888:SF39', NULL, NULL, NULL, NULL, 'BNAC06G43160D PROTEIN', NULL, NULL, NULL, 15),
(158753, NULL, 'PTHR12011:SF264', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR G2', NULL, NULL, NULL, 15),
(158754, NULL, 'PTHR48022:SF8', NULL, NULL, NULL, NULL, 'QUINATE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00990)-RELATED', NULL, NULL, NULL, 15),
(158755, NULL, 'PTHR32133:SF311', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158756, NULL, 'PTHR31080:SF209', NULL, NULL, NULL, NULL, 'BNAA02G25810D PROTEIN', NULL, NULL, NULL, 15),
(158757, NULL, 'PTHR48108:SF5', NULL, NULL, NULL, NULL, 'CBS AND PB1 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G06780)', NULL, NULL, NULL, 15),
(158758, NULL, 'PTHR24242:SF177', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1346', NULL, NULL, NULL, 15),
(158759, NULL, 'PTHR31549:SF161', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158760, NULL, 'PTHR46128:SF241', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(158761, NULL, 'PTHR46591', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN 26', NULL, NULL, 23382, 15),
(158762, NULL, 'PTHR23050:SF362', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML16-RELATED', NULL, NULL, NULL, 15),
(158763, NULL, 'PTHR37271', NULL, NULL, NULL, NULL, 'KARYOGAMY PROTEIN KAR9', NULL, NULL, 17605, 15),
(158764, NULL, 'PTHR35035:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158765, NULL, 'PTHR45714:SF31', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HAT22-LIKE', NULL, NULL, NULL, 15),
(158766, NULL, 'PTHR46430:SF2', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE REGULATORY FACTOR 4', NULL, NULL, NULL, 15),
(158767, NULL, 'PTHR31673:SF34', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(158768, NULL, 'PTHR22835:SF523', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158769, NULL, 'PTHR42957', NULL, NULL, NULL, NULL, 'HELICASE MJ1565-RELATED', NULL, NULL, 13282, 15),
(158770, NULL, 'PTHR42643:SF20', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 60A', NULL, NULL, NULL, 15),
(158771, NULL, 'PTHR31790:SF394', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(158772, NULL, 'PTHR13011:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR', NULL, NULL, NULL, 15),
(158773, NULL, 'PTHR48011:SF32', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE NPK1-LIKE', NULL, NULL, NULL, 15),
(158774, NULL, 'PTHR10350:SF7', NULL, NULL, NULL, NULL, 'BNAC05G49530D PROTEIN', NULL, NULL, NULL, 15),
(158775, NULL, 'PTHR34768:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 89', NULL, NULL, NULL, 15),
(158776, NULL, 'PTHR42760:SF59', NULL, NULL, NULL, NULL, 'SHORT-CHAIN ALCOHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(158777, NULL, 'PTHR12242:SF38', NULL, NULL, NULL, NULL, 'OS01G0295600 PROTEIN', NULL, NULL, NULL, 15),
(158778, NULL, 'PTHR24246:SF23', NULL, NULL, NULL, NULL, 'SI:CH211-233F11.5', NULL, NULL, NULL, 15),
(158779, NULL, 'PTHR11036:SF36', NULL, NULL, NULL, NULL, 'SEMAPHORIN-3D', NULL, NULL, NULL, 15),
(158780, NULL, 'PTHR15730:SF4', NULL, NULL, NULL, NULL, 'TRPM8 CHANNEL-ASSOCIATED FACTOR 2', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158781, NULL, 'PTHR11537:SF257', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL PROTEIN SHAW', NULL, NULL, 9736, 15),
(158782, NULL, 'PTHR37469:SF2', NULL, NULL, NULL, NULL, 'CELLOBIONIC ACID PHOSPHORYLASE', NULL, NULL, NULL, 15),
(158783, NULL, 'PTHR22888:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158784, NULL, 'PTHR45651:SF81', NULL, NULL, NULL, NULL, 'BNAC03G31050D PROTEIN', NULL, NULL, NULL, 15),
(158785, NULL, 'PTHR34359:SF10', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 11-RELATED', NULL, NULL, NULL, 15),
(158786, NULL, 'PTHR31415:SF62', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(158787, NULL, 'PTHR11846:SF12', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(158788, NULL, 'PTHR24230:SF82', NULL, NULL, NULL, NULL, 'GONADOTROPIN-RELEASING HORMONE RECEPTOR (GNRHR) RELATED', NULL, NULL, NULL, 15),
(158789, NULL, 'PTHR43795:SF87', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(158790, NULL, 'PTHR14880', NULL, NULL, NULL, NULL, 'PROLINE AND SERINE-RICH PROTEIN 1', NULL, NULL, 37579, 15),
(158791, NULL, 'PTHR18966:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158792, NULL, 'PTHR47993:SF12', NULL, NULL, NULL, NULL, 'BNACNNG40520D PROTEIN', NULL, NULL, NULL, 15),
(158793, NULL, 'PTHR10638:SF18', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(158794, NULL, 'PTHR46288:SF12', NULL, NULL, NULL, NULL, 'OS07G0610700 PROTEIN', NULL, NULL, NULL, 15),
(158795, NULL, 'PTHR32429:SF25', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE/OXYGENASE ACTIVASE, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(158796, NULL, 'PTHR31276', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158797, NULL, 'PTHR11654:SF491', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', NULL, NULL, NULL, 15),
(158798, NULL, 'PTHR23111:SF82', NULL, NULL, NULL, NULL, 'BNAC02G48640D PROTEIN', NULL, NULL, NULL, 15),
(158799, NULL, 'PTHR21377:SF17', NULL, NULL, NULL, NULL, 'OJ991214_12.13 PROTEIN', NULL, NULL, NULL, 15),
(158800, NULL, 'PTHR31865:SF22', NULL, NULL, NULL, NULL, 'BNAA03G50800D PROTEIN', NULL, NULL, NULL, 15),
(158801, NULL, 'PTHR48049:SF96', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN 3-O-GLUCOSIDE 2''''-O-GLUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(158802, NULL, 'PTHR24365:SF541', NULL, NULL, NULL, NULL, 'MORPHOGENESIS PROTEIN SOG2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158803, NULL, 'PTHR26374:SF402', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158804, NULL, 'PTHR31235:SF225', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(158805, NULL, 'PTHR46905:SF12', NULL, NULL, NULL, NULL, 'BNAA01G26520D PROTEIN', NULL, NULL, NULL, 15),
(158806, NULL, 'PTHR27000:SF579', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO2', NULL, NULL, NULL, 15),
(158807, NULL, 'PTHR48002:SF86', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(158808, NULL, 'PTHR45642:SF92', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(158809, NULL, 'PTHR24223:SF414', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158810, NULL, 'PTHR34472', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN THIS', NULL, NULL, 5247, 15),
(158811, NULL, 'PTHR12383:SF34', NULL, NULL, NULL, NULL, 'PEPTIDASE S24/S26A/S26B/S26C FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158812, NULL, 'PTHR31662:SF31', NULL, NULL, NULL, NULL, 'OS06G0498000 PROTEIN', NULL, NULL, NULL, 15),
(158813, NULL, 'PTHR40050', NULL, NULL, NULL, NULL, 'INNER SPORE COAT PROTEIN H', NULL, NULL, 13170, 15),
(158814, NULL, 'PTHR11042:SF91', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2-ALPHA KINASE 3', NULL, NULL, NULL, 15),
(158815, NULL, 'PTHR47659:SF2', NULL, NULL, NULL, NULL, 'GLUCOSE STARVATION MODULATOR PROTEIN 1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158816, NULL, 'PTHR34450:SF7', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 228-RELATED', NULL, NULL, NULL, 15),
(158817, NULL, 'PTHR43471:SF11', NULL, NULL, NULL, NULL, 'TRANSPORTER, PERMEASE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158818, NULL, 'PTHR45809:SF4', NULL, NULL, NULL, NULL, 'PHOSDUCIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(158819, NULL, 'PTHR31375:SF114', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', NULL, NULL, NULL, 15),
(158820, NULL, 'PTHR48018:SF166', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1030', NULL, NULL, NULL, 15),
(158821, NULL, 'PTHR24221:SF407', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN 1B', NULL, NULL, NULL, 15),
(158822, NULL, 'PTHR23055:SF175', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT RSA-1', NULL, NULL, NULL, 15),
(158823, NULL, 'PTHR10165:SF41', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE-RELATED PROTEIN TYPE 1', NULL, NULL, 23881, 15),
(158824, NULL, 'PTHR10164:SF4', NULL, NULL, NULL, NULL, 'GH23156P', NULL, NULL, NULL, 15),
(158825, NULL, 'PTHR38629', NULL, NULL, NULL, NULL, 'PROTEIN CBG12672', NULL, NULL, NULL, 15),
(158826, NULL, 'PTHR32044:SF66', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 15-RELATED', NULL, NULL, NULL, 15),
(158827, NULL, 'PTHR47432', NULL, NULL, NULL, NULL, 'CELL WALL ASSEMBLY REGULATOR SMI1', NULL, NULL, NULL, 15),
(158828, NULL, 'PTHR24298:SF831', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP76M15', NULL, NULL, NULL, 15),
(158829, NULL, 'PTHR47856', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 20-LIKE', NULL, NULL, NULL, 15),
(158830, NULL, 'PTHR24208:SF88', NULL, NULL, NULL, NULL, 'LIM HOMEOBOX TRANSCRIPTION FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(158831, NULL, 'PTHR46025:SF1', NULL, NULL, NULL, NULL, 'XYLOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(158832, NULL, 'PTHR31218:SF205', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(158833, NULL, 'PTHR24296:SF81', NULL, NULL, NULL, NULL, 'OS05G0382500 PROTEIN', NULL, NULL, NULL, 15),
(158834, NULL, 'PTHR43248', NULL, NULL, NULL, NULL, '2-SUCCINYL-6-HYDROXY-2,4-CYCLOHEXADIENE-1-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(158835, NULL, 'PTHR33832:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158836, NULL, 'PTHR15454:SF34', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(158837, NULL, 'PTHR47959:SF4', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DBPA', NULL, NULL, NULL, 15),
(158838, NULL, 'PTHR10426:SF82', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 11', NULL, NULL, NULL, 15),
(158839, NULL, 'PTHR11455:SF54', NULL, NULL, NULL, NULL, 'CRYPTOCHROME 2B APOPROTEIN', NULL, NULL, NULL, 15),
(158840, NULL, 'PTHR42682', NULL, NULL, NULL, NULL, 'HYDROGENASE-4 COMPONENT F', NULL, NULL, NULL, 15),
(158841, NULL, 'PTHR11909:SF131', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN HD16 ISOFORM X1', NULL, NULL, NULL, 15),
(158842, NULL, 'PTHR46609:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158843, NULL, 'PTHR45801:SF15', NULL, NULL, NULL, NULL, 'OS05G0286100 PROTEIN', NULL, NULL, NULL, 15),
(158844, NULL, 'PTHR42804:SF1', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(158845, NULL, 'PTHR10366:SF609', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158846, NULL, 'PTHR33530', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 21498, 15),
(158847, NULL, 'PTHR22765:SF301', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(158848, NULL, 'PTHR11835:SF54', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] GAMMA 2, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(158849, NULL, 'PTHR42848:SF1', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION ATP-DEPENDENT DNA HELICASE RUVB', NULL, NULL, NULL, 15),
(158850, NULL, 'PTHR33800:SF3', NULL, NULL, NULL, NULL, 'OS06G0114333-LIKE PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158851, NULL, 'PTHR24203:SF39', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY ANKYRIN REPEAT SUBUNIT', NULL, NULL, NULL, 15),
(158852, NULL, 'PTHR11926:SF1270', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 74D1', NULL, NULL, NULL, 15),
(158853, NULL, 'PTHR13484', NULL, NULL, NULL, NULL, 'FIP1-LIKE 1 PROTEIN', NULL, NULL, NULL, 15),
(158854, NULL, 'PTHR13085:SF3', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(158855, NULL, 'PTHR24406:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(158856, NULL, 'PTHR10159:SF388', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 9', NULL, NULL, NULL, 15),
(158857, NULL, 'PTHR31707:SF12', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(158858, NULL, 'PTHR12263:SF7', NULL, NULL, NULL, NULL, 'SIMILAR TO ATP SYNTHASE SUBUNIT H PROTEIN', NULL, NULL, NULL, 15),
(158859, NULL, 'PTHR21114', NULL, NULL, NULL, NULL, 'DVS27 PROTEIN', NULL, NULL, 23760, 15),
(158860, NULL, 'PTHR31500:SF86', NULL, NULL, NULL, NULL, 'BNAA01G12480D PROTEIN', NULL, NULL, NULL, 15),
(158861, NULL, 'PTHR47984:SF13', NULL, NULL, NULL, NULL, 'BNACNNG41740D PROTEIN', NULL, NULL, NULL, 15),
(158862, NULL, 'PTHR10605', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE SULFOTRANSFERASE', NULL, NULL, 29614, 15),
(158863, NULL, 'PTHR33128:SF34', NULL, NULL, NULL, NULL, 'OSJNBA0044M19.15 PROTEIN', NULL, NULL, NULL, 15),
(158864, NULL, 'PTHR45682:SF15', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE 3 (VACCINIA VIRUS PHOSPHATASE VH1-RELATED)', NULL, NULL, NULL, 15),
(158865, NULL, 'PTHR33322:SF16', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 6', NULL, NULL, NULL, 15),
(158866, NULL, 'PTHR31225:SF110', NULL, NULL, NULL, NULL, '(S)-BETA-MACROCARPENE SYNTHASE', NULL, NULL, NULL, 15),
(158867, NULL, 'PTHR42683:SF41', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(158868, NULL, 'PTHR40448', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SENSOR HISTIDINE KINASE', NULL, NULL, NULL, 15),
(158869, NULL, 'PTHR14991:SF0', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 32', NULL, NULL, NULL, 15),
(158870, NULL, 'PTHR15347', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 5', NULL, NULL, 23412, 15),
(158871, NULL, 'PTHR30587', NULL, NULL, NULL, NULL, 'FLAGELLAR BIOSYNTHETIC PROTEIN FLIP', NULL, NULL, 5744, 15),
(158872, NULL, 'PTHR48007:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158873, NULL, 'PTHR34401:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12388', NULL, NULL, NULL, 15),
(158874, NULL, 'PTHR33065:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158875, NULL, 'PTHR31448:SF30', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(158876, NULL, 'PTHR24411:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR ERYTHROID 2-RELATED FACTOR 2', NULL, NULL, 28834, 15),
(158877, NULL, 'PTHR31727:SF6', NULL, NULL, NULL, NULL, 'OLEOYL-ACYL CARRIER PROTEIN THIOESTERASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(158878, NULL, 'PTHR22901:SF0', NULL, NULL, NULL, NULL, 'SIALATE O-ACETYLESTERASE', NULL, NULL, NULL, 15),
(158879, NULL, 'PTHR12522:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 703', NULL, NULL, NULL, 15),
(158880, NULL, 'PTHR35249', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 7', NULL, NULL, 29981, 15),
(158881, NULL, 'PTHR24064:SF508', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-7-RELATED', NULL, NULL, NULL, 15),
(158882, NULL, 'PTHR46702:SF6', NULL, NULL, NULL, NULL, 'BNAC03G41500D PROTEIN', NULL, NULL, NULL, 15),
(158883, NULL, 'PTHR22298:SF28', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 8', NULL, NULL, NULL, 15),
(158884, NULL, 'PTHR43670:SF82', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DDB_G0280215', NULL, NULL, NULL, 15),
(158885, NULL, 'PTHR12899:SF15', NULL, NULL, NULL, NULL, 'OS01G0256600 PROTEIN', NULL, NULL, NULL, 15),
(158886, NULL, 'PTHR24073:SF1120', NULL, NULL, NULL, NULL, 'OS03G0666500 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158887, NULL, 'PTHR24296:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(158888, NULL, 'PTHR43103:SF2', NULL, NULL, NULL, NULL, 'D-ERYTHRONATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(158889, NULL, 'PTHR46220:SF14', NULL, NULL, NULL, NULL, 'BNAC05G44090D PROTEIN', NULL, NULL, NULL, 15),
(158890, NULL, 'PTHR31718:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158891, NULL, 'PTHR13578', NULL, NULL, NULL, NULL, 'ADDITIONAL SEX COMBS LIKE PROTEIN  ASXL', NULL, NULL, 22596, 15),
(158892, NULL, 'PTHR23504:SF87', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(158893, NULL, 'PTHR31495:SF4', NULL, NULL, NULL, NULL, 'OS06G0254600 PROTEIN', NULL, NULL, NULL, 15),
(158894, NULL, 'PTHR16830:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158895, NULL, 'PTHR31362:SF10', NULL, NULL, NULL, NULL, 'OS07G0656400 PROTEIN', NULL, NULL, NULL, 15),
(158896, NULL, 'PTHR35715:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158897, NULL, 'PTHR42852:SF1', NULL, NULL, NULL, NULL, 'SPORULATION THIOL-DISULFIDE OXIDOREDUCTASE A', NULL, NULL, NULL, 15),
(158898, NULL, 'PTHR16119:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG12716', NULL, NULL, NULL, 15),
(158899, NULL, 'PTHR42659:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(158900, NULL, 'PTHR31784:SF2', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 5', NULL, NULL, NULL, 15),
(158901, NULL, 'PTHR10315:SF42', NULL, NULL, NULL, NULL, 'OS05G0238200 PROTEIN', NULL, NULL, NULL, 15),
(158902, NULL, 'PTHR47375', NULL, NULL, NULL, NULL, 'GB|AAF34833.1', NULL, NULL, 37271, 15),
(158903, NULL, 'PTHR18964:SF110', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, XYLR-RELATED', NULL, NULL, NULL, 15),
(158904, NULL, 'PTHR12406:SF38', NULL, NULL, NULL, NULL, 'PROTEIN CBG09699', NULL, NULL, NULL, 15),
(158905, NULL, 'PTHR31325:SF126', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF594)-RELATED', NULL, NULL, NULL, 15),
(158906, NULL, 'PTHR48081:SF8', NULL, NULL, NULL, NULL, 'AB HYDROLASE SUPERFAMILY PROTEIN C4A8.06C', NULL, NULL, NULL, 15),
(158907, NULL, 'PTHR11606:SF24', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(158908, NULL, 'PTHR10500:SF4', NULL, NULL, NULL, NULL, 'PROSTATE-ASSOCIATED MICROSEMINOPROTEIN', NULL, NULL, NULL, 15),
(158909, NULL, 'PTHR11839:SF26', NULL, NULL, NULL, NULL, 'ADP-RIBOSE PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(158910, NULL, 'PTHR24637:SF209', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(158911, NULL, 'PTHR46463:SF35', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(158912, NULL, 'PTHR11610:SF2', NULL, NULL, NULL, NULL, 'HEPATIC TRIACYLGLYCEROL LIPASE', NULL, NULL, 6847, 15),
(158913, NULL, 'PTHR15907:SF118', NULL, NULL, NULL, NULL, 'DUF614 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(158914, NULL, 'PTHR34824', NULL, NULL, NULL, NULL, 'HEAT-INDUCIBLE TRANSCRIPTION REPRESSOR HRCA', NULL, NULL, 1562, 15),
(158915, NULL, 'PTHR36453', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158916, NULL, 'PTHR11693', NULL, NULL, NULL, NULL, 'ATP SYNTHASE GAMMA CHAIN', NULL, NULL, 1704, 15),
(158917, NULL, 'PTHR31282:SF104', NULL, NULL, NULL, NULL, 'WRKY PROTEIN', NULL, NULL, NULL, 15),
(158918, NULL, 'PTHR19868:SF11', NULL, NULL, NULL, NULL, 'BNAA06G12310D PROTEIN', NULL, NULL, NULL, 15),
(158919, NULL, 'PTHR48022:SF77', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158920, NULL, 'PTHR10183:SF410', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158921, NULL, 'PTHR48063:SF19', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(158922, NULL, 'PTHR31194:SF110', NULL, NULL, NULL, NULL, 'OS01G0224100 PROTEIN', NULL, NULL, NULL, 15),
(158923, NULL, 'PTHR15680:SF10', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L19-1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158924, NULL, 'PTHR11654:SF380', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158925, NULL, 'PTHR10015:SF364', NULL, NULL, NULL, NULL, 'BNAA04G11750D PROTEIN', NULL, NULL, NULL, 15),
(158926, NULL, 'PTHR34152:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG25271', NULL, NULL, NULL, 15),
(158927, NULL, 'PTHR32401:SF16', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(158928, NULL, 'PTHR13806:SF42', NULL, NULL, NULL, NULL, 'FLOTILLIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(158929, NULL, 'PTHR31929:SF121', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR21-LIKE', NULL, NULL, NULL, 15),
(158930, NULL, 'PTHR33181:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158931, NULL, 'PTHR15907:SF101', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 1', NULL, NULL, NULL, 15),
(158932, NULL, 'PTHR24062:SF19', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(158933, NULL, 'PTHR10288:SF249', NULL, NULL, NULL, NULL, 'PAB1-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(158934, NULL, 'PTHR10210:SF45', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(158935, NULL, 'PTHR13116:SF8', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(158936, NULL, 'PTHR21136:SF104', NULL, NULL, NULL, NULL, 'OS02G0803600 PROTEIN', NULL, NULL, NULL, 15),
(158937, NULL, 'PTHR25462:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158938, NULL, 'PTHR22763', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(158939, NULL, 'PTHR32176:SF80', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE/ACYL HYDROLASE/LYSOPHOSPHOLIPASE-RELATED', NULL, NULL, NULL, 15),
(158940, NULL, 'PTHR31342:SF46', NULL, NULL, NULL, NULL, 'OS07G0188266 PROTEIN', NULL, NULL, NULL, 15),
(158941, NULL, 'PTHR24281:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158942, NULL, 'PTHR47997:SF21', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 55', NULL, NULL, NULL, 15),
(158943, NULL, 'PTHR10497:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', NULL, NULL, NULL, 15),
(158944, NULL, 'PTHR12867:SF7', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL UDP-N-ACETYLGLUCOSAMINE TRANSFERASE AND DEUBIQUITINASE ALG13-RELATED', NULL, NULL, NULL, 15),
(158945, NULL, 'PTHR24299:SF30', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', NULL, NULL, NULL, 15),
(158946, NULL, 'PTHR34186:SF2', NULL, NULL, NULL, NULL, 'CYANATE HYDRATASE', NULL, NULL, NULL, 15),
(158947, NULL, 'PTHR12360:SF13', NULL, NULL, NULL, NULL, 'NF-X1-TYPE ZINC FINGER PROTEIN NFXL1', NULL, NULL, NULL, 15),
(158948, NULL, 'PTHR15267:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 18', NULL, NULL, NULL, 15),
(158949, NULL, 'PTHR22847:SF708', NULL, NULL, NULL, NULL, 'WD REPEAT AND FYVE DOMAIN CONTAINING 2', NULL, NULL, NULL, 15),
(158950, NULL, 'PTHR32493:SF0', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(158951, NULL, 'PTHR21179:SF0', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 4', NULL, NULL, NULL, 15),
(158952, NULL, 'PTHR30462:SF0', NULL, NULL, NULL, NULL, 'INTERMEMBRANE TRANSPORT PROTEIN YEBT', NULL, NULL, NULL, 15),
(158953, NULL, 'PTHR13355:SF9', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE BSU40680-RELATED', NULL, NULL, NULL, 15),
(158954, NULL, 'PTHR22727:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG13728', NULL, NULL, NULL, 15),
(158955, NULL, 'PTHR10615:SF174', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 10', NULL, NULL, 30261, 15),
(158956, NULL, 'PTHR43441:SF3', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(158957, NULL, 'PTHR26379:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158958, NULL, 'PTHR16172', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(158959, NULL, 'PTHR15191:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG20567', NULL, NULL, NULL, 15),
(158960, NULL, 'PTHR35083:SF1', NULL, NULL, NULL, NULL, 'RGD1565685 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158961, NULL, 'PTHR31669:SF62', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 1', NULL, NULL, NULL, 15),
(158962, NULL, 'PTHR45671:SF19', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE/SOLUTE CARRIER', NULL, NULL, NULL, 15),
(158963, NULL, 'PTHR11709:SF270', NULL, NULL, NULL, NULL, 'MONOCOPPER OXIDASE-LIKE PROTEIN SKS1', NULL, NULL, NULL, 15),
(158964, NULL, 'PTHR34142:SF4', NULL, NULL, NULL, NULL, 'GALACTOSE-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(158965, NULL, 'PTHR35586:SF1', NULL, NULL, NULL, NULL, 'SLL1691 PROTEIN', NULL, NULL, NULL, 15),
(158966, NULL, 'PTHR48019:SF33', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL65', NULL, NULL, NULL, 15),
(158967, NULL, 'PTHR31388:SF219', NULL, NULL, NULL, NULL, 'PEROXIDASE 68', NULL, NULL, NULL, 15),
(158968, NULL, 'PTHR30231:SF11', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III, EPSILON SUBUNIT', NULL, NULL, NULL, 15),
(158969, NULL, 'PTHR10231:SF83', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR TRANSPORTER FAMILY', NULL, NULL, NULL, 15),
(158970, NULL, 'PTHR46087:SF17', NULL, NULL, NULL, NULL, 'BNAC05G04080D PROTEIN', NULL, NULL, NULL, 15),
(158971, NULL, 'PTHR12654:SF20', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', NULL, NULL, NULL, 15),
(158972, NULL, 'PTHR10283:SF92', NULL, NULL, NULL, NULL, 'LOW-AFFINITY PHOSPHATE TRANSPORTER PHO91', NULL, NULL, NULL, 15),
(158973, NULL, 'PTHR23502:SF145', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(158974, NULL, 'PTHR45931:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHY1A-RELATED', NULL, NULL, NULL, 15),
(158975, NULL, 'PTHR14885:SF2', NULL, NULL, NULL, NULL, 'CILIA AND FLAGELLA ASSOCIATED PROTEIN 44', NULL, NULL, NULL, 15),
(158976, NULL, 'PTHR43432:SF4', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(158977, NULL, 'PTHR31006:SF3', NULL, NULL, NULL, NULL, 'F-BOX A PROTEIN', NULL, NULL, NULL, 15),
(158978, NULL, 'PTHR19317:SF79', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(158979, NULL, 'PTHR31889:SF36', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(158980, NULL, 'PTHR23115:SF244', NULL, NULL, NULL, NULL, 'OS04G0677800 PROTEIN', NULL, NULL, NULL, 15),
(158981, NULL, 'PTHR15601:SF15', NULL, NULL, NULL, NULL, 'STRESS-ASSOCIATED ENDOPLASMIC RETICULUM PROTEIN', NULL, NULL, NULL, 15),
(158982, NULL, 'PTHR31500:SF94', NULL, NULL, NULL, NULL, 'BNAC04G33040D PROTEIN', NULL, NULL, NULL, 15),
(158983, NULL, 'PTHR10306', NULL, NULL, NULL, NULL, 'SYNAPTOPHYSIN', NULL, NULL, 363, 15),
(158984, NULL, 'PTHR11452:SF42', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(158985, NULL, 'PTHR44733:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 22', NULL, NULL, NULL, 15),
(158986, NULL, 'PTHR13372:SF5', NULL, NULL, NULL, NULL, 'GEMININ', NULL, NULL, NULL, 15),
(158987, NULL, 'PTHR47214:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ROUGH SHEATH 2 HOMOLOG', NULL, NULL, NULL, 15),
(158988, NULL, 'PTHR43669:SF3', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03445)-RELATED', NULL, NULL, NULL, 15),
(158989, NULL, 'PTHR24286:SF318', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 724B1-LIKE', NULL, NULL, NULL, 15),
(158990, NULL, 'PTHR20835:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PPP1R11', NULL, NULL, NULL, 15),
(158991, NULL, 'PTHR10361:SF28', NULL, NULL, NULL, NULL, 'RH04535P', NULL, NULL, NULL, 15),
(158992, NULL, 'PTHR10134:SF38', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX IRON-SULFUR SUBUNIT', NULL, NULL, NULL, 15),
(158993, NULL, 'PTHR33659:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158994, NULL, 'PTHR13466:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158995, NULL, 'PTHR18829', NULL, NULL, NULL, NULL, 'PROTEIN YAE1 HOMOLOG', NULL, NULL, 33387, 15),
(158996, NULL, 'PTHR32133:SF340', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158997, NULL, 'PTHR14226:SF72', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(158998, NULL, 'PTHR21706:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(158999, NULL, 'PTHR22804:SF41', NULL, NULL, NULL, NULL, 'BREVICAN CORE PROTEIN', NULL, NULL, NULL, 15),
(159000, NULL, 'PTHR46539:SF17', NULL, NULL, NULL, NULL, 'BNAA08G13100D PROTEIN', NULL, NULL, NULL, 15),
(159001, NULL, 'PTHR11802:SF376', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 41', NULL, NULL, NULL, 15),
(159002, NULL, 'PTHR10110:SF171', NULL, NULL, NULL, NULL, 'BNAA09G03600D PROTEIN', NULL, NULL, NULL, 15),
(159003, NULL, 'PTHR31557:SF1', NULL, NULL, NULL, NULL, 'PROTEIN UP-REGULATED IN DAF-2(GF)', NULL, NULL, NULL, 15),
(159004, NULL, 'PTHR24329:SF544', NULL, NULL, NULL, NULL, 'REPRODUCTIVE HOMEOBOX 10', NULL, NULL, NULL, 15),
(159005, NULL, 'PTHR36697:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(159006, NULL, 'PTHR21377:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM210A', NULL, NULL, NULL, 15),
(159007, NULL, 'PTHR21495:SF203', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(159008, NULL, 'PTHR20852:SF103', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE CYTOSOLIC ISOZYME 1-5', NULL, NULL, NULL, 15),
(159009, NULL, 'PTHR42684:SF1', NULL, NULL, NULL, NULL, 'BETA-ALANINE--PYRUVATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(159010, NULL, 'PTHR10472:SF7', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE', NULL, NULL, NULL, 15),
(159011, NULL, 'PTHR13140:SF769', NULL, NULL, NULL, NULL, 'MYOSIN-2', NULL, NULL, NULL, 15),
(159012, NULL, 'PTHR11260:SF692', NULL, NULL, NULL, NULL, 'BNACNNG49200D PROTEIN', NULL, NULL, NULL, 15),
(159013, NULL, 'PTHR48001:SF38', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(159014, NULL, 'PTHR33177:SF51', NULL, NULL, NULL, NULL, 'GB|AAF02129.1', NULL, NULL, NULL, 15),
(159015, NULL, 'PTHR17085:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 4', NULL, NULL, NULL, 15),
(159016, NULL, 'PTHR11206:SF377', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(159017, NULL, 'PTHR47982:SF38', NULL, NULL, NULL, NULL, 'BNAA01G28400D PROTEIN', NULL, NULL, NULL, 15),
(159018, NULL, 'PTHR33095:SF70', NULL, NULL, NULL, NULL, 'OS07G0619500 PROTEIN', NULL, NULL, NULL, 15),
(159019, NULL, 'PTHR18868:SF32', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(159020, NULL, 'PTHR31589:SF136', NULL, NULL, NULL, NULL, 'BNAA02G35170D PROTEIN', NULL, NULL, NULL, 15),
(159021, NULL, 'PTHR31388:SF228', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(159022, NULL, 'PTHR15627', NULL, NULL, NULL, NULL, 'NATURAL KILLER CELL-SPECIFIC ANTIGEN KLIP1', NULL, NULL, NULL, 15),
(159023, NULL, 'PTHR10791:SF204', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(159024, NULL, 'PTHR30346:SF8', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GLTC', NULL, NULL, NULL, 15),
(159025, NULL, 'PTHR10127:SF851', NULL, NULL, NULL, NULL, 'MEPRIN A SUBUNIT', NULL, NULL, NULL, 15),
(159026, NULL, 'PTHR28190:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR MIGRATION PROTEIN NUM1', NULL, NULL, NULL, 15),
(159027, NULL, 'PTHR43329:SF71', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', NULL, NULL, NULL, 15),
(159028, NULL, 'PTHR47005:SF13', NULL, NULL, NULL, NULL, 'CHITIN-BINDING LECTIN 1-LIKE', NULL, NULL, NULL, 15),
(159029, NULL, 'PTHR47928:SF95', NULL, NULL, NULL, NULL, 'OS11G0483950 PROTEIN', NULL, NULL, NULL, 15),
(159030, NULL, 'PTHR31485:SF7', NULL, NULL, NULL, NULL, 'PEPTIDYL SERINE ALPHA-GALACTOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(159031, NULL, 'PTHR31509:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159032, NULL, 'PTHR23158:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159033, NULL, 'PTHR43243:SF20', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 3', NULL, NULL, 10000, 15),
(159034, NULL, 'PTHR11465:SF54', NULL, NULL, NULL, NULL, 'CATALASE-RELATED PEROXIDASE', NULL, NULL, NULL, 15),
(159035, NULL, 'PTHR23338:SF51', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SMD1A', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159036, NULL, 'PTHR33360:SF3', NULL, NULL, NULL, NULL, 'IS200-LIKE TRANSPOSASE', NULL, NULL, NULL, 15),
(159037, NULL, 'PTHR32100:SF40', NULL, NULL, NULL, NULL, 'OLEATE HYDROXYLASE FAH12', NULL, NULL, NULL, 15),
(159038, NULL, 'PTHR22883:SF355', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(159039, NULL, 'PTHR15315:SF92', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(159040, NULL, 'PTHR33162:SF1', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATA, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(159041, NULL, 'PTHR17901:SF14', NULL, NULL, NULL, NULL, 'MAGNESIUM-DEPENDENT PHOSPHATASE 1', NULL, NULL, NULL, 15),
(159042, NULL, 'PTHR47584:SF10', NULL, NULL, NULL, NULL, 'BNAA09G54260D PROTEIN', NULL, NULL, NULL, 15),
(159043, NULL, 'PTHR36695:SF12', NULL, NULL, NULL, NULL, 'AGAP008648-PA', NULL, NULL, NULL, 15),
(159044, NULL, 'PTHR24072:SF0', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOB', NULL, NULL, NULL, 15),
(159045, NULL, 'PTHR37023', NULL, NULL, NULL, NULL, 'TRANSPOSASE', NULL, NULL, NULL, 15),
(159046, NULL, 'PTHR46565:SF8', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN 2', NULL, NULL, NULL, 15),
(159047, NULL, 'PTHR16768:SF5', NULL, NULL, NULL, NULL, 'FI14214P', NULL, NULL, NULL, 15),
(159048, NULL, 'PTHR10438:SF435', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(159049, NULL, 'PTHR10593:SF29', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 11', NULL, NULL, NULL, 15),
(159050, NULL, 'PTHR11042:SF140', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0268642-RELATED', NULL, NULL, NULL, 15),
(159051, NULL, 'PTHR42979:SF7', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(159052, NULL, 'PTHR11977:SF49', NULL, NULL, NULL, NULL, 'VILLIN-4', NULL, NULL, NULL, 15),
(159053, NULL, 'PTHR43327', NULL, NULL, NULL, NULL, 'STOMATIN-LIKE PROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(159054, NULL, 'PTHR13064', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 9 FAMILY MEMBER', NULL, NULL, 14320, 15),
(159055, NULL, 'PTHR11904', NULL, NULL, NULL, NULL, 'METHYLTHIOADENOSINE/PURINE NUCLEOSIDE PHOSPHORYLASE', NULL, NULL, 9525, 15),
(159056, NULL, 'PTHR46017:SF2', NULL, NULL, NULL, NULL, 'MANNOSYLGLYCERATE HYDROLASE', NULL, NULL, NULL, 15),
(159057, NULL, 'PTHR26312:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159058, NULL, 'PTHR32116:SF31', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 8', NULL, NULL, NULL, 15),
(159059, NULL, 'PTHR31165:SF84', NULL, NULL, NULL, NULL, 'BNAC02G25250D PROTEIN', NULL, NULL, NULL, 15),
(159060, NULL, 'PTHR11732:SF473', NULL, NULL, NULL, NULL, 'ASCORBATE BIOSYNTHESIS-RELATED PROTEIN', NULL, NULL, NULL, 15),
(159061, NULL, 'PTHR23021:SF23', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(159062, NULL, 'PTHR31016:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159063, NULL, 'PTHR13038:SF13', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 9A', NULL, NULL, NULL, 15),
(159064, NULL, 'PTHR11736:SF7', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN E2', NULL, NULL, NULL, 15),
(159065, NULL, 'PTHR10285:SF193', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(159066, NULL, 'PTHR31087:SF125', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 8-LIKE', NULL, NULL, NULL, 15),
(159067, NULL, 'PTHR22923:SF3', NULL, NULL, NULL, NULL, 'CEREBELLIN-4', NULL, NULL, NULL, 15),
(159068, NULL, 'PTHR31136', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159069, NULL, 'PTHR43464:SF53', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(159070, NULL, 'PTHR47989:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159071, NULL, 'PTHR45647:SF102', NULL, NULL, NULL, NULL, 'OS10G0548700 PROTEIN', NULL, NULL, NULL, 15),
(159072, NULL, 'PTHR24343:SF370', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE OSK4', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159073, NULL, 'PTHR12959:SF11', NULL, NULL, NULL, NULL, 'GPI TRANSAMIDASE COMPONENT PIG-T', NULL, NULL, NULL, 15),
(159074, NULL, 'PTHR18952:SF225', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 7', NULL, NULL, NULL, 15),
(159075, NULL, 'PTHR23023:SF266', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(159076, NULL, 'PTHR31284:SF38', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1', NULL, NULL, NULL, 15),
(159077, NULL, 'PTHR43616', NULL, NULL, NULL, NULL, 'GLYCEROL DEHYDROGENASE', NULL, NULL, 17491, 15),
(159078, NULL, 'PTHR42034:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(159079, NULL, 'PTHR46412:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BIM2', NULL, NULL, NULL, 15),
(159080, NULL, 'PTHR10972:SF141', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN', NULL, NULL, NULL, 15),
(159081, NULL, 'PTHR48007:SF48', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 8-LIKE', NULL, NULL, NULL, 15),
(159082, NULL, 'PTHR11929:SF187', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE FUT-1', NULL, NULL, NULL, 15),
(159083, NULL, 'PTHR34492', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(159084, NULL, 'PTHR34057:SF1', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR', NULL, NULL, NULL, 15),
(159085, NULL, 'PTHR12428:SF54', NULL, NULL, NULL, NULL, 'BNAA10G27850D PROTEIN', NULL, NULL, NULL, 15),
(159086, NULL, 'PTHR46352:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN STOP1 HOMOLOG', NULL, NULL, NULL, 15),
(159087, NULL, 'PTHR35617:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159088, NULL, 'PTHR45436:SF1', NULL, NULL, NULL, NULL, 'TRICARBOXYLIC TRANSPORT REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(159089, NULL, 'PTHR32208:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159090, NULL, 'PTHR38522:SF2', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE-ASSOCIATED CATION-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(159091, NULL, 'PTHR47960:SF16', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 6', NULL, NULL, NULL, 15),
(159092, NULL, 'PTHR46400:SF8', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE BIG BROTHER-RELATED-LIKE', NULL, NULL, NULL, 15),
(159093, NULL, 'PTHR30217:SF6', NULL, NULL, NULL, NULL, 'PROTEASE-RELATED', NULL, NULL, NULL, 15),
(159094, NULL, 'PTHR31549:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159095, NULL, 'PTHR33065:SF131', NULL, NULL, NULL, NULL, 'OS07G0486400 PROTEIN', NULL, NULL, NULL, 15),
(159096, NULL, 'PTHR24055:SF480', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE DDB_G0274613-RELATED', NULL, NULL, NULL, 15),
(159097, NULL, 'PTHR44442', NULL, NULL, NULL, NULL, '3-KETO-STEROID REDUCTASE', NULL, NULL, NULL, 15),
(159098, NULL, 'PTHR31752:SF61', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER-RELATED', NULL, NULL, NULL, 15),
(159099, NULL, 'PTHR15892:SF3', NULL, NULL, NULL, NULL, 'BNAA05G10090D PROTEIN', NULL, NULL, NULL, 15),
(159100, NULL, 'PTHR46038:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(159101, NULL, 'PTHR46324:SF28', NULL, NULL, NULL, NULL, 'OCS ELEMENT-BINDING FACTOR 1', NULL, NULL, NULL, 15),
(159102, NULL, 'PTHR12277:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CBG13831', NULL, NULL, NULL, 15),
(159103, NULL, 'PTHR11017:SF406', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(159104, NULL, 'PTHR11588:SF112', NULL, NULL, NULL, NULL, 'TUBULIN BETA-1 CHAIN', NULL, NULL, NULL, 15),
(159105, NULL, 'PTHR31973:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159106, NULL, 'PTHR33548:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159107, NULL, 'PTHR12606:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159108, NULL, 'PTHR12907', NULL, NULL, NULL, NULL, 'EGL NINE HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(159109, NULL, 'PTHR14343', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159110, NULL, 'PTHR43489:SF11', NULL, NULL, NULL, NULL, '2-OXO-TETRONATE ISOMERASE', NULL, NULL, NULL, 15),
(159111, NULL, 'PTHR33130:SF45', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 6 HOMOLOG', NULL, NULL, NULL, 15),
(159112, NULL, 'PTHR10671:SF7', NULL, NULL, NULL, NULL, 'PERIPHERAL MYELIN PROTEIN 22', NULL, NULL, 7444, 15),
(159113, NULL, 'PTHR15923:SF1', NULL, NULL, NULL, NULL, 'LIPOLYSIS-STIMULATED LIPOPROTEIN RECEPTOR', NULL, NULL, NULL, 15),
(159114, NULL, 'PTHR46008:SF28', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159115, NULL, 'PTHR48017:SF122', NULL, NULL, NULL, NULL, 'PROTEIN CBG09610', NULL, NULL, NULL, 15),
(159116, NULL, 'PTHR19861', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN SWD2', NULL, NULL, 32754, 15),
(159117, NULL, 'PTHR10177:SF378', NULL, NULL, NULL, NULL, 'CYCLIN-D2-1-LIKE', NULL, NULL, NULL, 15),
(159118, NULL, 'PTHR47925:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159119, NULL, 'PTHR10314:SF35', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(159120, NULL, 'PTHR45880:SF1', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, X-LINKED 2', NULL, NULL, NULL, 15),
(159121, NULL, 'PTHR16677:SF1', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC PROGENITOR CELL ANTIGEN CD34', NULL, NULL, NULL, 15),
(159122, NULL, 'PTHR46354:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159123, NULL, 'PTHR31269:SF42', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT ANION CHANNEL-RELATED', NULL, NULL, NULL, 15),
(159124, NULL, 'PTHR12537:SF48', NULL, NULL, NULL, NULL, 'MEIOTIC PUF FAMILY PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(159125, NULL, 'PTHR10641:SF1278', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR MIXTA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(159126, NULL, 'PTHR19851', NULL, NULL, NULL, NULL, 'OS02G0203500 PROTEIN', NULL, NULL, NULL, 15),
(159127, NULL, 'PTHR12290:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 4-LIKE', NULL, NULL, NULL, 15),
(159128, NULL, 'PTHR40036', NULL, NULL, NULL, NULL, 'MACROCIN O-METHYLTRANSFERASE', NULL, NULL, 7863, 15),
(159129, NULL, 'PTHR47960:SF14', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DEAD-BOX, CONSERVED SITE-RELATED', NULL, NULL, NULL, 15),
(159130, NULL, 'PTHR22777:SF28', NULL, NULL, NULL, NULL, 'BNAC03G73630D PROTEIN', NULL, NULL, NULL, 15),
(159131, NULL, 'PTHR23423:SF77', NULL, NULL, NULL, NULL, 'PROTEIN LAZ1', NULL, NULL, 21720, 15),
(159132, NULL, 'PTHR48026:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159133, NULL, 'PTHR45649:SF2', NULL, NULL, NULL, NULL, 'ACID PERMEASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159134, NULL, 'PTHR46005:SF4', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 190', NULL, NULL, NULL, 15),
(159135, NULL, 'PTHR31384:SF94', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 17', NULL, NULL, NULL, 15),
(159136, NULL, 'PTHR33744:SF14', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(159137, NULL, 'PTHR11304:SF5', NULL, NULL, NULL, NULL, 'EPHRIN-A3', NULL, NULL, NULL, 15),
(159138, NULL, 'PTHR31375:SF92', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(159139, NULL, 'PTHR24242:SF256', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(159140, NULL, 'PTHR45389:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN RUP1', NULL, NULL, NULL, 15),
(159141, NULL, 'PTHR33121:SF58', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION PROTEIN CONTAINING A EAL DOMAIN', NULL, NULL, NULL, 15),
(159142, NULL, 'PTHR45819:SF3', NULL, NULL, NULL, NULL, 'ARF-GAP WITH GTPASE, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(159143, NULL, 'PTHR13902:SF136', NULL, NULL, NULL, NULL, 'BNAANNG10720D PROTEIN', NULL, NULL, NULL, 15),
(159144, NULL, 'PTHR24028:SF58', NULL, NULL, NULL, NULL, 'MCG141285', NULL, NULL, NULL, 15),
(159145, NULL, 'PTHR44218:SF13', NULL, NULL, NULL, NULL, 'BNAA01G28800D PROTEIN', NULL, NULL, NULL, 15),
(159146, NULL, 'PTHR24073:SF974', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-1D', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159147, NULL, 'PTHR39490:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER, FYVE DOMAIN-CONTAINING 9A-RELATED', NULL, NULL, NULL, 15),
(159148, NULL, 'PTHR43272:SF55', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 5', NULL, NULL, NULL, 15),
(159149, NULL, 'PTHR11008:SF36', NULL, NULL, NULL, NULL, 'CIRCADIAN CLOCK-CONTROLLED PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(159150, NULL, 'PTHR10033:SF15', NULL, NULL, NULL, NULL, 'CALSEQUESTRIN-2', NULL, NULL, NULL, 15),
(159151, NULL, 'PTHR43968:SF4', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE OMEGA-2', NULL, NULL, NULL, 15),
(159152, NULL, 'PTHR43900:SF56', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE PHI 8', NULL, NULL, NULL, 15),
(159153, NULL, 'PTHR48034:SF19', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR SR45A-LIKE', NULL, NULL, NULL, 15),
(159154, NULL, 'PTHR11778:SF18', NULL, NULL, NULL, NULL, 'BNAA09G03770D PROTEIN', NULL, NULL, NULL, 15),
(159155, NULL, 'PTHR31485:SF3', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-ARABINOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(159156, NULL, 'PTHR24381:SF308', NULL, NULL, NULL, NULL, 'CHROMATIN-LINKED ADAPTOR FOR MSL PROTEINS, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(159157, NULL, 'PTHR11880:SF49', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15-2', NULL, NULL, NULL, 15),
(159158, NULL, 'PTHR10256', NULL, NULL, NULL, NULL, 'SELENIDE, WATER DIKINASE', NULL, NULL, 1927, 15),
(159159, NULL, 'PTHR46109:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LIN-28 HOMOLOG A', NULL, NULL, NULL, 15),
(159160, NULL, 'PTHR14095:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B''''BETA-LIKE', NULL, NULL, NULL, 15),
(159161, NULL, 'PTHR35976', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN J', NULL, NULL, NULL, 15),
(159162, NULL, 'PTHR36147', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159163, NULL, 'PTHR11699:SF287', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 2 MEMBER C4-LIKE', NULL, NULL, NULL, 15),
(159164, NULL, 'PTHR46214:SF4', NULL, NULL, NULL, NULL, 'OS05G0452800 PROTEIN', NULL, NULL, NULL, 15),
(159165, NULL, 'PTHR33239:SF15', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN 270-11', NULL, NULL, NULL, 15),
(159166, NULL, 'PTHR31059', NULL, NULL, NULL, NULL, 'HSSA/B-LIKE PROTEIN 1-RELATED-RELATED', NULL, NULL, NULL, 15),
(159167, NULL, 'PTHR23502:SF57', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTL', NULL, NULL, NULL, 15),
(159168, NULL, 'PTHR31232:SF82', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(159169, NULL, 'PTHR11615:SF212', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2A1', NULL, NULL, NULL, 15),
(159170, NULL, 'PTHR19338:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM8 A', NULL, NULL, NULL, 15),
(159171, NULL, 'PTHR45976:SF3', NULL, NULL, NULL, NULL, 'JUNCTION PLAKOGLOBIN', NULL, NULL, 26027, 15),
(159172, NULL, 'PTHR24350:SF0', NULL, NULL, NULL, NULL, 'AURORA A', NULL, NULL, NULL, 15),
(159173, NULL, 'PTHR24055:SF492', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE F-4', NULL, NULL, NULL, 15),
(159174, NULL, 'PTHR45654:SF51', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN MERISTEM L1-LIKE', NULL, NULL, NULL, 15),
(159175, NULL, 'PTHR38111:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FLIY, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159176, NULL, 'PTHR11206:SF272', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 40', NULL, NULL, NULL, 15),
(159177, NULL, 'PTHR43096', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(159178, NULL, 'PTHR46052', NULL, NULL, NULL, NULL, 'PHOSDUCIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(159179, NULL, 'PTHR35998:SF2', NULL, NULL, NULL, NULL, 'ENVELOPE GLYCOPROTEIN', NULL, NULL, NULL, 15),
(159180, NULL, 'PTHR47982:SF47', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK5', NULL, NULL, NULL, 15),
(159181, NULL, 'PTHR23236:SF78', NULL, NULL, NULL, NULL, 'BNAA04G17640D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159182, NULL, 'PTHR37690', NULL, NULL, NULL, NULL, 'CHORISMATE DEHYDRATASE', NULL, NULL, 23545, 15),
(159183, NULL, 'PTHR42716:SF2', NULL, NULL, NULL, NULL, 'L-ASPARTATE OXIDASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(159184, NULL, 'PTHR11945:SF642', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 20', NULL, NULL, NULL, 15),
(159185, NULL, 'PTHR11848:SF125', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA-1 PROPROTEIN', NULL, NULL, NULL, 15),
(159186, NULL, 'PTHR33649:SF2', NULL, NULL, NULL, NULL, 'PAR1 PROTEIN', NULL, NULL, NULL, 15),
(159187, NULL, 'PTHR32322:SF16', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE/S-ADENOSYLHOMOCYSTEINE TRANSPORTER', NULL, NULL, NULL, 15),
(159188, NULL, 'PTHR10894:SF22', NULL, NULL, NULL, NULL, 'BNAA05G26350D PROTEIN', NULL, NULL, NULL, 15),
(159189, NULL, 'PTHR13336', NULL, NULL, NULL, NULL, 'OVARIAN CARCINOMA IMMUNOREACTIVE ANTIGEN', NULL, NULL, 29934, 15),
(159190, NULL, 'PTHR46198:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 5', NULL, NULL, NULL, 15),
(159191, NULL, 'PTHR23505:SF11', NULL, NULL, NULL, NULL, 'OS09G0371200 PROTEIN', NULL, NULL, NULL, 15),
(159192, NULL, 'PTHR33107:SF33', NULL, NULL, NULL, NULL, 'KUNITZ TYPE TRYPSIN INHIBITOR', NULL, NULL, NULL, 15),
(159193, NULL, 'PTHR34043:SF8', NULL, NULL, NULL, NULL, 'LIPASE-LIKE', NULL, NULL, NULL, 15),
(159194, NULL, 'PTHR45712:SF9', NULL, NULL, NULL, NULL, 'CELL SURFACE PROTEIN, SIMILAR TO INTERNALIN PROTEINS-RELATED', NULL, NULL, NULL, 15),
(159195, NULL, 'PTHR45642:SF53', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(159196, NULL, 'PTHR31674:SF53', NULL, NULL, NULL, NULL, 'BNACNNG48580D PROTEIN', NULL, NULL, NULL, 15),
(159197, NULL, 'PTHR33881:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(159198, NULL, 'PTHR30201', NULL, NULL, NULL, NULL, 'TRIPHOSPHORIBOSYL-DEPHOSPHO-COA SYNTHASE', NULL, NULL, 3558, 15),
(159199, NULL, 'PTHR24206:SF62', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN WLIM2B-LIKE', NULL, NULL, NULL, 15),
(159200, NULL, 'PTHR46796', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR RHAS-RELATED', NULL, NULL, NULL, 15),
(159201, NULL, 'PTHR33168:SF68', NULL, NULL, NULL, NULL, 'BNAC08G08060D PROTEIN', NULL, NULL, NULL, 15),
(159202, NULL, 'PTHR10306:SF29', NULL, NULL, NULL, NULL, 'SYNAPTOPHYSIN-LIKE 2A', NULL, NULL, NULL, 15),
(159203, NULL, 'PTHR45616:SF1', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 80', NULL, NULL, NULL, 15),
(159204, NULL, 'PTHR20939:SF10', NULL, NULL, NULL, NULL, 'SORTING NEXIN-21', NULL, NULL, NULL, 15),
(159205, NULL, 'PTHR46104:SF1', NULL, NULL, NULL, NULL, 'GENE 9195-RELATED', NULL, NULL, NULL, 15),
(159206, NULL, 'PTHR23273:SF76', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', NULL, NULL, NULL, 15),
(159207, NULL, 'PTHR13674:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM162A', NULL, NULL, NULL, 15),
(159208, NULL, 'PTHR22607:SF3', NULL, NULL, NULL, NULL, 'CDK2-ASSOCIATED PROTEIN 1, ISOFORM B', NULL, NULL, NULL, 15),
(159209, NULL, 'PTHR24392:SF39', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 518A', NULL, NULL, NULL, 15),
(159210, NULL, 'PTHR11614:SF167', NULL, NULL, NULL, NULL, 'SERINE AMINOPEPTIDASE, S33, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(159211, NULL, 'PTHR12668:SF43', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14 HOMOLOG', NULL, NULL, NULL, 15),
(159212, NULL, 'PTHR43206:SF2', NULL, NULL, NULL, NULL, '4-AMINOBUTYRATE AMINOTRANSFERASE GABT', NULL, NULL, NULL, 15),
(159213, NULL, 'PTHR11442:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159214, NULL, 'PTHR11787:SF15', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR 2', NULL, NULL, NULL, 15),
(159215, NULL, 'PTHR37874:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1500011B03 GENE-RELATED', NULL, NULL, NULL, 15),
(159216, NULL, 'PTHR46913:SF3', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL16-LIKE', NULL, NULL, NULL, 15),
(159217, NULL, 'PTHR30093:SF31', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN G-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159218, NULL, 'PTHR42893:SF4', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 42', NULL, NULL, NULL, 15),
(159219, NULL, 'PTHR10134:SF35', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(159220, NULL, 'PTHR10997:SF9', NULL, NULL, NULL, NULL, 'IMPORTIN-9', NULL, NULL, NULL, 15),
(159221, NULL, 'PTHR31713:SF74', NULL, NULL, NULL, NULL, 'CALMODULIN BINDING PROTEIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(159222, NULL, 'PTHR45959:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18-LIKE', NULL, NULL, NULL, 15),
(159223, NULL, 'PTHR42923:SF24', NULL, NULL, NULL, NULL, 'OS04G0560500 PROTEIN', NULL, NULL, NULL, 15),
(159224, NULL, 'PTHR12136:SF47', NULL, NULL, NULL, NULL, 'ENHANCED DISEASE RESISTANCE PROTEIN (DUF1336)', NULL, NULL, NULL, 15),
(159225, NULL, 'PTHR31232:SF93', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159226, NULL, 'PTHR18902:SF26', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 3', NULL, NULL, 34055, 15),
(159227, NULL, 'PTHR31867:SF105', NULL, NULL, NULL, NULL, 'EXPANSIN-A2', NULL, NULL, NULL, 15),
(159228, NULL, 'PTHR45781:SF1', NULL, NULL, NULL, NULL, 'AGAP000281-PA', NULL, NULL, NULL, 15),
(159229, NULL, 'PTHR19431:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159230, NULL, 'PTHR47926:SF59', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(159231, NULL, 'PTHR46432', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 42', NULL, NULL, NULL, 15),
(159232, NULL, 'PTHR21649:SF4', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(159233, NULL, 'PTHR24128:SF24', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN RF_0381-RELATED', NULL, NULL, NULL, 15),
(159234, NULL, 'PTHR46133:SF20', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(159235, NULL, 'PTHR12570:SF19', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(159236, NULL, 'PTHR43228:SF15', NULL, NULL, NULL, NULL, 'SENSORY BOX HISTIDINE KINASE/RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(159237, NULL, 'PTHR19290:SF105', NULL, NULL, NULL, NULL, 'NEUROGENIN-2', NULL, NULL, 26951, 15),
(159238, NULL, 'PTHR45647:SF60', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 35', NULL, NULL, NULL, 15),
(159239, NULL, 'PTHR13314:SF2', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL FLOWER HOMOLOG', NULL, NULL, NULL, 15),
(159240, NULL, 'PTHR11893:SF35', NULL, NULL, NULL, NULL, 'INNEXIN', NULL, NULL, NULL, 15),
(159241, NULL, 'PTHR13778:SF40', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 9-RELATED', NULL, NULL, NULL, 15),
(159242, NULL, 'PTHR21290:SF24', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:CERAMIDE CHOLINEPHOSPHOTRANSFERASE 2', NULL, NULL, NULL, 15),
(159243, NULL, 'PTHR16560:SF2', NULL, NULL, NULL, NULL, 'ALPHA-2-MACROGLOBULIN RECEPTOR-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(159244, NULL, 'PTHR47907', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159245, NULL, 'PTHR36019', NULL, NULL, NULL, NULL, 'PLANT/PROTEIN', NULL, NULL, NULL, 15),
(159246, NULL, 'PTHR22750:SF6', NULL, NULL, NULL, NULL, 'MELANOCORTIN RECEPTOR 4', NULL, NULL, NULL, 15),
(159247, NULL, 'PTHR46508:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159248, NULL, 'PTHR12930', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 183', NULL, NULL, 31025, 15),
(159249, NULL, 'PTHR33124:SF2', NULL, NULL, NULL, NULL, 'OS06G0653200 PROTEIN', NULL, NULL, NULL, 15),
(159250, NULL, 'PTHR31675:SF34', NULL, NULL, NULL, NULL, 'BNAC08G43150D PROTEIN', NULL, NULL, NULL, 15),
(159251, NULL, 'PTHR11669:SF20', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C SUBUNIT 4', NULL, NULL, NULL, 15),
(159252, NULL, 'PTHR32444:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159253, NULL, 'PTHR37215:SF1', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159254, NULL, 'PTHR34704', NULL, NULL, NULL, NULL, 'ATPASE', NULL, NULL, NULL, 15),
(159255, NULL, 'PTHR46594:SF4', NULL, NULL, NULL, NULL, 'P-TYPE CATION-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(159256, NULL, 'PTHR43085:SF2', NULL, NULL, NULL, NULL, 'FRUCTOKINASE-LIKE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(159257, NULL, 'PTHR44307:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE N-METHYLTRANSFERASE 1', NULL, NULL, 25372, 15),
(159258, NULL, 'PTHR24039:SF0', NULL, NULL, NULL, NULL, 'FIBRILLIN-3', NULL, NULL, 7912, 15),
(159259, NULL, 'PTHR45619:SF43', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(159260, NULL, 'PTHR12701:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159261, NULL, 'PTHR31218:SF324', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(159262, NULL, 'PTHR32254:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159263, NULL, 'PTHR43719:SF42', NULL, NULL, NULL, NULL, 'AUTOINDUCER 2 SENSOR KINASE/PHOSPHATASE LUXQ', NULL, NULL, NULL, 15),
(159264, NULL, 'PTHR32009:SF64', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(159265, NULL, 'PTHR31625:SF59', NULL, NULL, NULL, NULL, 'BNAANNG32210D PROTEIN', NULL, NULL, NULL, 15),
(159266, NULL, 'PTHR44372:SF6', NULL, NULL, NULL, NULL, 'BNACNNG19790D PROTEIN', NULL, NULL, NULL, 15),
(159267, NULL, 'PTHR24023:SF866', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-3(IX) CHAIN', NULL, NULL, NULL, 15),
(159268, NULL, 'PTHR14159:SF1', NULL, NULL, NULL, NULL, 'ATAXIN-3', NULL, NULL, NULL, 15),
(159269, NULL, 'PTHR11830:SF28', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', NULL, NULL, NULL, 15),
(159270, NULL, 'PTHR10791:SF22', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET15', NULL, NULL, NULL, 15),
(159271, NULL, 'PTHR11360:SF231', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(159272, NULL, 'PTHR24392:SF18', NULL, NULL, NULL, NULL, 'RB-ASSOCIATED KRAB ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(159273, NULL, 'PTHR24074:SF26', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(159274, NULL, 'PTHR46638', NULL, NULL, NULL, NULL, 'CORRINOID ADENOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(159275, NULL, 'PTHR11926:SF1321', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(159276, NULL, 'PTHR33385:SF15', NULL, NULL, NULL, NULL, 'INDUCED TRANSCRIPT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159277, NULL, 'PTHR12864:SF13', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN IN THE MICROTUBULE-ORGANISING CENTRE PROTEIN', NULL, NULL, NULL, 15),
(159278, NULL, 'PTHR10015:SF371', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-4B-LIKE', NULL, NULL, NULL, 15),
(159279, NULL, 'PTHR45648:SF12', NULL, NULL, NULL, NULL, 'GDSL-LIPASE-LIKE', NULL, NULL, NULL, 15),
(159280, NULL, 'PTHR42712:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT I', NULL, NULL, NULL, 15),
(159281, NULL, 'PTHR31676:SF125', NULL, NULL, NULL, NULL, 'BNAC03G30980D PROTEIN', NULL, NULL, NULL, 15),
(159282, NULL, 'PTHR45785:SF7', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR H', NULL, NULL, NULL, 15),
(159283, NULL, 'PTHR33053', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159284, NULL, 'PTHR19353:SF15', NULL, NULL, NULL, NULL, 'MICROSOMAL DELTA-5 DESATURASE', NULL, NULL, NULL, 15),
(159285, NULL, 'PTHR13946', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I,II,III', NULL, NULL, NULL, 15),
(159286, NULL, 'PTHR42078:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159287, NULL, 'PTHR22972', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(159288, NULL, 'PTHR34776', NULL, NULL, NULL, NULL, 'F17F16.3 PROTEIN', NULL, NULL, NULL, 15),
(159289, NULL, 'PTHR12876:SF26', NULL, NULL, NULL, NULL, 'NEDD4-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(159290, NULL, 'PTHR47698', NULL, NULL, NULL, NULL, 'FATTY-ACID-BINDING PROTEIN 3, CHLOROPLASTIC', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159291, NULL, 'PTHR23042:SF6', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR NUCLEAR TRANSLOCATOR 2', NULL, NULL, NULL, 15),
(159292, NULL, 'PTHR39081:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159293, NULL, 'PTHR14000:SF11', NULL, NULL, NULL, NULL, 'BNAA07G24780D PROTEIN', NULL, NULL, NULL, 15),
(159294, NULL, 'PTHR31674:SF38', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM1', NULL, NULL, NULL, 15),
(159295, NULL, 'PTHR12411:SF740', NULL, NULL, NULL, NULL, 'VIGNAIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(159296, NULL, 'PTHR11348:SF8', NULL, NULL, NULL, NULL, 'CCN FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(159297, NULL, 'PTHR10772:SF48', NULL, NULL, NULL, NULL, 'BNAC09G37140D PROTEIN', NULL, NULL, NULL, 15),
(159298, NULL, 'PTHR23309:SF43', NULL, NULL, NULL, NULL, 'GLYOXYSOMAL FATTY ACID BETA-OXIDATION MULTIFUNCTIONAL PROTEIN MFP-A', NULL, NULL, NULL, 15),
(159299, NULL, 'PTHR46869:SF16', NULL, NULL, NULL, NULL, 'BNAC07G12310D PROTEIN', NULL, NULL, NULL, 15),
(159300, NULL, 'PTHR33432:SF17', NULL, NULL, NULL, NULL, 'EMSY N TERMINUS (ENT) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(159301, NULL, 'PTHR10239:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159302, NULL, 'PTHR31636:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159303, NULL, 'PTHR46128:SF271', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(159304, NULL, 'PTHR31669:SF88', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 6-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(159305, NULL, 'PTHR32385:SF19', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159306, NULL, 'PTHR14057', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ONECUT', NULL, NULL, NULL, 15),
(159307, NULL, 'PTHR20875:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159308, NULL, 'PTHR24177:SF300', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(159309, NULL, 'PTHR43675:SF17', NULL, NULL, NULL, NULL, 'CYCLOPROPANE-FATTY-ACYL-PHOSPHOLIPID SYNTHASE', NULL, NULL, NULL, 15),
(159310, NULL, 'PTHR21726:SF66', NULL, NULL, NULL, NULL, 'DUF3741-ASSOCIATED SEQUENCE MOTIF PROTEIN-RELATED', NULL, NULL, NULL, 15),
(159311, NULL, 'PTHR23172:SF68', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(159312, NULL, 'PTHR11878:SF6', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER 1', NULL, NULL, NULL, 15),
(159313, NULL, 'PTHR24298:SF771', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159314, NULL, 'PTHR21705:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FAM160B2', NULL, NULL, NULL, 15),
(159315, NULL, 'PTHR24089:SF725', NULL, NULL, NULL, NULL, 'OS02G0201500 PROTEIN', NULL, NULL, NULL, 15),
(159316, NULL, 'PTHR11036:SF139', NULL, NULL, NULL, NULL, 'SEMAPHORIN-2A', NULL, NULL, NULL, 15),
(159317, NULL, 'PTHR46915:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEASE 4', NULL, NULL, NULL, 15),
(159318, NULL, 'PTHR47309', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD5', NULL, NULL, 391, 15),
(159319, NULL, 'PTHR24404:SF44', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 697', NULL, NULL, NULL, 15),
(159320, NULL, 'PTHR13462:SF31', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(159321, NULL, 'PTHR42977:SF1', NULL, NULL, NULL, NULL, 'BLR6576 PROTEIN', NULL, NULL, NULL, 15),
(159322, NULL, 'PTHR24089:SF726', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN SCAMC-2-B', NULL, NULL, NULL, 15),
(159323, NULL, 'PTHR43617:SF2', NULL, NULL, NULL, NULL, 'SLL6060 PROTEIN', NULL, NULL, NULL, 15),
(159324, NULL, 'PTHR11814:SF185', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 26 MEMBER 10', NULL, NULL, NULL, 15),
(159325, NULL, 'PTHR22960:SF0', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN 1', NULL, NULL, NULL, 15),
(159326, NULL, 'PTHR11941:SF84', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 1, PEROXISOMAL', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159327, NULL, 'PTHR14898', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB', NULL, NULL, 27725, 15),
(159328, NULL, 'PTHR45679:SF1', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(159329, NULL, 'PTHR32487:SF0', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G00600)', NULL, NULL, NULL, 15),
(159330, NULL, 'PTHR10880:SF36', NULL, NULL, NULL, NULL, 'MALE-SPECIFIC LETHAL 3 HOMOLOG', NULL, NULL, 35513, 15),
(159331, NULL, 'PTHR45654', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN MERISTEM L1', NULL, NULL, 37378, 15),
(159332, NULL, 'PTHR16108', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 21900, 15),
(159333, NULL, 'PTHR32175:SF4', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(159334, NULL, 'PTHR22911:SF76', NULL, NULL, NULL, NULL, 'BIOTIN TRANSPORTER', NULL, NULL, NULL, 15),
(159335, NULL, 'PTHR24366:SF121', NULL, NULL, NULL, NULL, 'PROTEIN HALFWAY-LIKE PROTEIN', NULL, NULL, NULL, 15),
(159336, NULL, 'PTHR47978:SF9', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA4B-RELATED', NULL, NULL, NULL, 15),
(159337, NULL, 'PTHR33180:SF20', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP47 REACTION CENTER PROTEIN', NULL, NULL, NULL, 15),
(159338, NULL, 'PTHR19321:SF13', NULL, NULL, NULL, NULL, 'OS02G0126300 PROTEIN', NULL, NULL, NULL, 15),
(159339, NULL, 'PTHR24381:SF299', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 764', NULL, NULL, NULL, 15),
(159340, NULL, 'PTHR22978:SF29', NULL, NULL, NULL, NULL, 'PROTEIN BTG2', NULL, NULL, 34332, 15),
(159341, NULL, 'PTHR24399:SF57', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 22', NULL, NULL, NULL, 15),
(159342, NULL, 'PTHR10285:SF182', NULL, NULL, NULL, NULL, 'URACIL PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(159343, NULL, 'PTHR31114:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(159344, NULL, 'PTHR24064:SF200', NULL, NULL, NULL, NULL, 'METABOLITE TRANSPORT PROTEIN C1271.09-RELATED', NULL, NULL, NULL, 15),
(159345, NULL, 'PTHR47319:SF21', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(159346, NULL, 'PTHR45675:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB27', NULL, NULL, NULL, 15),
(159347, NULL, 'PTHR12002:SF188', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, NULL, 15),
(159348, NULL, 'PTHR47956:SF68', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 99A2', NULL, NULL, NULL, 15),
(159349, NULL, 'PTHR40031:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', NULL, NULL, NULL, 15),
(159350, NULL, 'PTHR47991:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159351, NULL, 'PTHR22765:SF231', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(159352, NULL, 'PTHR21495:SF54', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(159353, NULL, 'PTHR30618:SF6', NULL, NULL, NULL, NULL, 'PERMEASE-RELATED', NULL, NULL, NULL, 15),
(159354, NULL, 'PTHR35733', NULL, NULL, NULL, NULL, 'OS02G0307800 PROTEIN', NULL, NULL, NULL, 15),
(159355, NULL, 'PTHR31989:SF340', NULL, NULL, NULL, NULL, 'BNAA06G19740D PROTEIN', NULL, NULL, NULL, 15),
(159356, NULL, 'PTHR33033:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159357, NULL, 'PTHR35572:SF3', NULL, NULL, NULL, NULL, 'ABNORMAL CELL MIGRATION PROTEIN 18', NULL, NULL, NULL, 15),
(159358, NULL, 'PTHR31618:SF24', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 8', NULL, NULL, NULL, 15),
(159359, NULL, 'PTHR11127:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L14-1', NULL, NULL, NULL, 15),
(159360, NULL, 'PTHR47925:SF89', NULL, NULL, NULL, NULL, 'BNAA05G31840D PROTEIN', NULL, NULL, NULL, 15),
(159361, NULL, 'PTHR11761', NULL, NULL, NULL, NULL, '50S/60S RIBOSOMAL PROTEIN L14/L23', NULL, NULL, 1525, 15),
(159362, NULL, 'PTHR31238:SF180', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(159363, NULL, 'PTHR32246:SF130', NULL, NULL, NULL, NULL, 'BNACNNG77840D PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159364, NULL, 'PTHR45631:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159365, NULL, 'PTHR14385', NULL, NULL, NULL, NULL, 'CXC CHEMOKINE LIGAND', NULL, NULL, 23162, 15),
(159366, NULL, 'PTHR38696', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159367, NULL, 'PTHR47981:SF10', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB7-LIKE', NULL, NULL, NULL, 15),
(159368, NULL, 'PTHR33184:SF48', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(159369, NULL, 'PTHR18934:SF146', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(159370, NULL, 'PTHR22953:SF134', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(159371, NULL, 'PTHR31867:SF118', NULL, NULL, NULL, NULL, 'EXPANSIN-A14', NULL, NULL, NULL, 15),
(159372, NULL, 'PTHR11945:SF661', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159373, NULL, 'PTHR20856:SF8', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC2', NULL, NULL, NULL, 15),
(159374, NULL, 'PTHR34397:SF22', NULL, NULL, NULL, NULL, 'OS05G0237600 PROTEIN', NULL, NULL, NULL, 15),
(159375, NULL, 'PTHR31859:SF3', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 39A', NULL, NULL, 25078, 15),
(159376, NULL, 'PTHR12189:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159377, NULL, 'PTHR10168:SF270', NULL, NULL, NULL, NULL, 'BNAA09G40320D PROTEIN', NULL, NULL, NULL, 15),
(159378, NULL, 'PTHR31621:SF11', NULL, NULL, NULL, NULL, 'PROTEIN DMP8-RELATED', NULL, NULL, NULL, 15),
(159379, NULL, 'PTHR48083:SF20', NULL, NULL, NULL, NULL, 'LONG-CHAIN SPECIFIC ACYL-COA DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(159380, NULL, 'PTHR10791:SF176', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(159381, NULL, 'PTHR12504:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159382, NULL, 'PTHR43200:SF2', NULL, NULL, NULL, NULL, 'MYO-INOSITOL-1(OR 4)-MONOPHOSPHATASE', NULL, NULL, NULL, 15),
(159383, NULL, 'PTHR46170:SF1', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN WDR59', NULL, NULL, NULL, 15),
(159384, NULL, 'PTHR18860:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159385, NULL, 'PTHR12452:SF4', NULL, NULL, NULL, NULL, 'EG:140G11.5 PROTEIN', NULL, NULL, NULL, 15),
(159386, NULL, 'PTHR24012:SF766', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(159387, NULL, 'PTHR11439:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159388, NULL, 'PTHR47956:SF75', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A27', NULL, NULL, NULL, 15),
(159389, NULL, 'PTHR33127:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159390, NULL, 'PTHR10361:SF62', NULL, NULL, NULL, NULL, 'SODIUM/PYRUVATE COTRANSPORTER BASS2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(159391, NULL, 'PTHR11787:SF12', NULL, NULL, NULL, NULL, 'RAB PROTEINS GERANYLGERANYLTRANSFERASE COMPONENT A 1', NULL, NULL, NULL, 15),
(159392, NULL, 'PTHR12570:SF72', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA4-RELATED', NULL, NULL, NULL, 15),
(159393, NULL, 'PTHR30508:SF1', NULL, NULL, NULL, NULL, 'UPF0051 PROTEIN ABCI8, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(159394, NULL, 'PTHR33095:SF68', NULL, NULL, NULL, NULL, 'BNAA04G10200D PROTEIN', NULL, NULL, NULL, 15),
(159395, NULL, 'PTHR15617:SF1', NULL, NULL, NULL, NULL, 'AT-HOOK DNA-BINDING MOTIF-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(159396, NULL, 'PTHR21312:SF32', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 8', NULL, NULL, NULL, 15),
(159397, NULL, 'PTHR12585:SF62', NULL, NULL, NULL, NULL, 'BNAC09G41550D PROTEIN', NULL, NULL, NULL, 15),
(159398, NULL, 'PTHR12276:SF104', NULL, NULL, NULL, NULL, 'BNAC04G48670D PROTEIN', NULL, NULL, NULL, 15),
(159399, NULL, 'PTHR10288:SF267', NULL, NULL, NULL, NULL, 'F7A19.25 PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159400, NULL, 'PTHR35683', NULL, NULL, NULL, NULL, 'YALI0C04136P', NULL, NULL, NULL, 15),
(159401, NULL, 'PTHR11306:SF58', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL/PHOSPHATIDYLINOSITOL TRANSFER PROTEIN DDB_G0282179-RELATED', NULL, NULL, NULL, 15),
(159402, NULL, 'PTHR33543:SF15', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 1A', NULL, NULL, NULL, 15),
(159403, NULL, 'PTHR10257:SF76', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 57 KDA REGULATORY SUBUNIT B'' EPSILON ISOFORM', NULL, NULL, NULL, 15),
(159404, NULL, 'PTHR24286:SF237', NULL, NULL, NULL, NULL, 'OS07G0520300 PROTEIN', NULL, NULL, NULL, 15),
(159405, NULL, 'PTHR18898:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159406, NULL, 'PTHR35161:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159407, NULL, 'PTHR35548', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 32154, 15),
(159408, NULL, 'PTHR10803:SF17', NULL, NULL, NULL, NULL, 'ANION-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(159409, NULL, 'PTHR11959:SF3', NULL, NULL, NULL, NULL, 'PROTEIN C31H2.4-RELATED', NULL, NULL, NULL, 15),
(159410, NULL, 'PTHR13902:SF48', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-BINDING PROTEIN', NULL, NULL, NULL, 15),
(159411, NULL, 'PTHR33492:SF13', NULL, NULL, NULL, NULL, 'OS01G0927200 PROTEIN', NULL, NULL, NULL, 15),
(159412, NULL, 'PTHR11723:SF4', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN INHIBITOR ID-1', NULL, NULL, NULL, 15),
(159413, NULL, 'PTHR11715:SF6', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', NULL, NULL, NULL, 15),
(159414, NULL, 'PTHR23502:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159415, NULL, 'PTHR31071:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159416, NULL, 'PTHR31319:SF82', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS', NULL, NULL, NULL, 15),
(159417, NULL, 'PTHR10013', NULL, NULL, NULL, NULL, 'GENERAL VESICULAR TRANSPORT FACTOR P115', NULL, NULL, NULL, 15),
(159418, NULL, 'PTHR43537', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, GNTR FAMILY', NULL, NULL, NULL, 15),
(159419, NULL, 'PTHR19321:SF9', NULL, NULL, NULL, NULL, 'OS02G0720200 PROTEIN', NULL, NULL, NULL, 15),
(159420, NULL, 'PTHR37844:SF1', NULL, NULL, NULL, NULL, 'SER/THR PROTEIN PHOSPHATASE SUPERFAMILY (AFU_ORTHOLOGUE AFUA_1G14840)', NULL, NULL, NULL, 15),
(159421, NULL, 'PTHR47992:SF84', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 50', NULL, NULL, NULL, 15),
(159422, NULL, 'PTHR32422:SF0', NULL, NULL, NULL, NULL, 'ADHERENS JUNCTION-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(159423, NULL, 'PTHR11709:SF394', NULL, NULL, NULL, NULL, 'PLANT L-ASCORBATE OXIDASE', NULL, NULL, NULL, 15),
(159424, NULL, 'PTHR43671:SF33', NULL, NULL, NULL, NULL, 'PROTEIN DRL-1', NULL, NULL, NULL, 15),
(159425, NULL, 'PTHR43065:SF10', NULL, NULL, NULL, NULL, 'PEROXIDE STRESS-ACTIVATED HISTIDINE KINASE MAK3', NULL, NULL, NULL, 15),
(159426, NULL, 'PTHR48018:SF2', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(159427, NULL, 'PTHR33781:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHYTOCHROME KINASE SUBSTRATE 1', NULL, NULL, NULL, 15),
(159428, NULL, 'PTHR10969', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEINS 1A/1B LIGHT CHAIN 3-RELATED', NULL, NULL, 3570, 15),
(159429, NULL, 'PTHR33098:SF65', NULL, NULL, NULL, NULL, 'COTTON FIBER EXPRESSED PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(159430, NULL, 'PTHR31388:SF106', NULL, NULL, NULL, NULL, 'PEROXIDASE 32', NULL, NULL, NULL, 15),
(159431, NULL, 'PTHR21600:SF57', NULL, NULL, NULL, NULL, 'RIBOSOMAL LARGE SUBUNIT PSEUDOURIDINE SYNTHASE D', NULL, NULL, NULL, 15),
(159432, NULL, 'PTHR13848:SF44', NULL, NULL, NULL, NULL, 'YIPPEE-LIKE PROTEIN OS10G0369500-RELATED', NULL, NULL, NULL, 15),
(159433, NULL, 'PTHR10257:SF97', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(159434, NULL, 'PTHR45944:SF6', NULL, NULL, NULL, NULL, 'HUMAN IMMUNODEFICIENCY VIRUS TYPE I ENHANCER-BINDING PROTEIN 3A', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159435, NULL, 'PTHR13231:SF3', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S31, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(159436, NULL, 'PTHR10994:SF150', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(159437, NULL, 'PTHR11599:SF137', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-2', NULL, NULL, NULL, 15),
(159438, NULL, 'PTHR33463:SF58', NULL, NULL, NULL, NULL, 'NB-ARC-RELATED', NULL, NULL, NULL, 15),
(159439, NULL, 'PTHR10901:SF15', NULL, NULL, NULL, NULL, 'TROPOMODULIN-2', NULL, NULL, 23757, 15),
(159440, NULL, 'PTHR31048:SF143', NULL, NULL, NULL, NULL, 'BNAA02G17480D PROTEIN', NULL, NULL, NULL, 15),
(159441, NULL, 'PTHR33021:SF355', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159442, NULL, 'PTHR23244:SF356', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159443, NULL, 'PTHR12174:SF34', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 2A', NULL, NULL, 36207, 15),
(159444, NULL, 'PTHR31321:SF105', NULL, NULL, NULL, NULL, 'BNAA01G27440D PROTEIN', NULL, NULL, NULL, 15),
(159445, NULL, 'PTHR37009:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159446, NULL, 'PTHR31284:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159447, NULL, 'PTHR47928:SF141', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(159448, NULL, 'PTHR33120:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159449, NULL, 'PTHR12460:SF21', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(159450, NULL, 'PTHR31956:SF23', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03660)-RELATED', NULL, NULL, NULL, 15),
(159451, NULL, 'PTHR32338:SF8', NULL, NULL, NULL, NULL, 'N-ACETYL-GAMMA-GLUTAMYL-PHOSPHATE REDUCTASE', NULL, NULL, NULL, 15),
(159452, NULL, 'PTHR19354:SF5', NULL, NULL, NULL, NULL, 'ZIPPER PUTATIVE TUMOR SUPPRESSOR 1-RELATED', NULL, NULL, 34895, 15),
(159453, NULL, 'PTHR30600:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME C PEROXIDASE-RELATED', NULL, NULL, NULL, 15),
(159454, NULL, 'PTHR11783:SF38', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(159455, NULL, 'PTHR15454:SF48', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN 1, AXONEMAL', NULL, NULL, NULL, 15),
(159456, NULL, 'PTHR24404:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 350', NULL, NULL, NULL, 15),
(159457, NULL, 'PTHR35767:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159458, NULL, 'PTHR11588:SF299', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-4 CHAIN', NULL, NULL, NULL, 15),
(159459, NULL, 'PTHR47518:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(159460, NULL, 'PTHR31075', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 34280, 15),
(159461, NULL, 'PTHR32227:SF276', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE, ACIDIC ISOFORM', NULL, NULL, NULL, 15),
(159462, NULL, 'PTHR13598:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE INTEGRAL MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(159463, NULL, 'PTHR19336:SF11', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 57 KDA', NULL, NULL, 8161, 15),
(159464, NULL, 'PTHR33713', NULL, NULL, NULL, NULL, 'ANTITOXIN YAFN-RELATED', NULL, NULL, NULL, 15),
(159465, NULL, 'PTHR47164', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W-RELATED', NULL, NULL, NULL, 15),
(159466, NULL, 'PTHR48004:SF39', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 3-LIKE', NULL, NULL, NULL, 15),
(159467, NULL, 'PTHR46198:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE, NON-RECEPTOR TYPE 7', NULL, NULL, NULL, 15),
(159468, NULL, 'PTHR43900:SF73', NULL, NULL, NULL, NULL, 'OS01G0370200 PROTEIN', NULL, NULL, NULL, 15),
(159469, NULL, 'PTHR43153:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FIXB', NULL, NULL, NULL, 15),
(159470, NULL, 'PTHR33845', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159471, NULL, 'PTHR11430:SF89', NULL, NULL, NULL, NULL, 'ALLERGEN BOS D 2', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159472, NULL, 'PTHR47965:SF69', NULL, NULL, NULL, NULL, 'BETA-SECRETASE 1', NULL, NULL, 10614, 15),
(159473, NULL, 'PTHR31639:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159474, NULL, 'PTHR48061:SF12', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(159475, NULL, 'PTHR24211:SF18', NULL, NULL, NULL, NULL, 'PRICKLE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(159476, NULL, 'PTHR31205:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159477, NULL, 'PTHR26453:SF192', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(159478, NULL, 'PTHR31794', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX TRANSPORTER FAMILY PROTEIN (EUROFUNG)', NULL, NULL, NULL, 15),
(159479, NULL, 'PTHR22943:SF23', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(159480, NULL, 'PTHR12655:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG07159', NULL, NULL, NULL, 15),
(159481, NULL, 'PTHR31651:SF28', NULL, NULL, NULL, NULL, 'EFFLUX CARRIER FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159482, NULL, 'PTHR46830:SF1', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159483, NULL, 'PTHR46841:SF3', NULL, NULL, NULL, NULL, 'OX-2 MEMBRANE GLYCOPROTEIN', NULL, NULL, 36267, 15),
(159484, NULL, 'PTHR33597:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159485, NULL, 'PTHR34493', NULL, NULL, NULL, NULL, 'PROTEIN CBG13422-RELATED', NULL, NULL, NULL, 15),
(159486, NULL, 'PTHR46372:SF2', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 3', NULL, NULL, NULL, 15),
(159487, NULL, 'PTHR34145:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159488, NULL, 'PTHR31650:SF49', NULL, NULL, NULL, NULL, 'BNAA06G16100D PROTEIN', NULL, NULL, NULL, 15),
(159489, NULL, 'PTHR32212:SF348', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, FBD DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(159490, NULL, 'PTHR31699:SF4', NULL, NULL, NULL, NULL, 'NUDIX (NUCLEOSIDE DIPHOSPHATE-LINKED MOIETY X)-TYPE MOTIF 16-LIKE 2', NULL, NULL, NULL, 15),
(159491, NULL, 'PTHR14693', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700018B08', NULL, NULL, 24263, 15),
(159492, NULL, 'PTHR11132:SF336', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE/PHOSPHATE TRANSLOCATOR-RELATED', NULL, NULL, NULL, 15),
(159493, NULL, 'PTHR19433:SF80', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 25', NULL, NULL, NULL, 15),
(159494, NULL, 'PTHR31235:SF22', NULL, NULL, NULL, NULL, 'PEROXIDASE 47', NULL, NULL, NULL, 15),
(159495, NULL, 'PTHR48152', NULL, NULL, NULL, NULL, 'F1C9.34 PROTEIN', NULL, NULL, NULL, 15),
(159496, NULL, 'PTHR23266:SF283', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA CONSTANT 2-RELATED', NULL, NULL, NULL, 15),
(159497, NULL, 'PTHR34117', NULL, NULL, NULL, NULL, 'STYLE CELL-CYCLE INHIBITOR 1', NULL, NULL, 37012, 15),
(159498, NULL, 'PTHR10459:SF104', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(159499, NULL, 'PTHR13510:SF44', NULL, NULL, NULL, NULL, 'RABENOSYN-5', NULL, NULL, NULL, 15),
(159500, NULL, 'PTHR33608:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159501, NULL, 'PTHR43840:SF13', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN C3-RELATED', NULL, NULL, NULL, 15),
(159502, NULL, 'PTHR10201:SF268', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 1-LIKE', NULL, NULL, NULL, 15),
(159503, NULL, 'PTHR22870:SF355', NULL, NULL, NULL, NULL, 'CHROMOSOME CONDENSATION REGULATOR RCC1 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(159504, NULL, 'PTHR19422:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159505, NULL, 'PTHR48052:SF28', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXL1', NULL, NULL, NULL, 15),
(159506, NULL, 'PTHR32285:SF56', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(159507, NULL, 'PTHR43408', NULL, NULL, NULL, NULL, 'FMN REDUCTASE (NADPH)', NULL, NULL, NULL, 15),
(159508, NULL, 'PTHR34190:SF9', NULL, NULL, NULL, NULL, 'OS06G0126400 PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159509, NULL, 'PTHR34406', NULL, NULL, NULL, NULL, 'PROTEIN YCEI', NULL, NULL, NULL, 15),
(159510, NULL, 'PTHR11034:SF55', NULL, NULL, NULL, NULL, 'PROTEIN NDL3', NULL, NULL, NULL, 15),
(159511, NULL, 'PTHR11588:SF390', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(159512, NULL, 'PTHR48043:SF90', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 82A1', NULL, NULL, NULL, 15),
(159513, NULL, 'PTHR10641:SF1188', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 306-LIKE', NULL, NULL, NULL, 15),
(159514, NULL, 'PTHR35632', NULL, NULL, NULL, NULL, 'MAJOR POLLEN ALLERGEN OLE E 6-LIKE', NULL, NULL, 13901, 15),
(159515, NULL, 'PTHR35098:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(159516, NULL, 'PTHR31549:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159517, NULL, 'PTHR12411:SF755', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(159518, NULL, 'PTHR33443:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159519, NULL, 'PTHR48092:SF15', NULL, NULL, NULL, NULL, 'STEROID HORMONE RECEPTOR ERR1', NULL, NULL, NULL, 15),
(159520, NULL, 'PTHR35546:SF16', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(159521, NULL, 'PTHR17985:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG09494', NULL, NULL, NULL, 15),
(159522, NULL, 'PTHR31768', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 30316, 15),
(159523, NULL, 'PTHR31639:SF168', NULL, NULL, NULL, NULL, 'OS09G0443100 PROTEIN', NULL, NULL, NULL, 15),
(159524, NULL, 'PTHR11967:SF2', NULL, NULL, NULL, NULL, 'ALPHA-1-ACID GLYCOPROTEIN 1', NULL, NULL, NULL, 15),
(159525, NULL, 'PTHR31642:SF136', NULL, NULL, NULL, NULL, 'OS10G0106200 PROTEIN', NULL, NULL, NULL, 15),
(159526, NULL, 'PTHR34591:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159527, NULL, 'PTHR11352:SF11', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN', NULL, NULL, NULL, 15),
(159528, NULL, 'PTHR43706:SF9', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', NULL, NULL, NULL, 15),
(159529, NULL, 'PTHR33346:SF38', NULL, NULL, NULL, NULL, 'COLD-ACCLIMATION SPECIFIC PROTEIN 31', NULL, NULL, NULL, 15),
(159530, NULL, 'PTHR14155:SF562', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL31-LIKE', NULL, NULL, NULL, 15),
(159531, NULL, 'PTHR47293:SF46', NULL, NULL, NULL, NULL, 'BNAC04G49250D PROTEIN', NULL, NULL, NULL, 15),
(159532, NULL, 'PTHR31384', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 4-RELATED', NULL, NULL, 37863, 15),
(159533, NULL, 'PTHR19229:SF213', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 7', NULL, NULL, NULL, 15),
(159534, NULL, 'PTHR24388:SF42', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN SNAI2', NULL, NULL, NULL, 15),
(159535, NULL, 'PTHR33640:SF22', NULL, NULL, NULL, NULL, 'BNAC01G23750D PROTEIN', NULL, NULL, NULL, 15),
(159536, NULL, 'PTHR46182:SF3', NULL, NULL, NULL, NULL, 'DYSLEXIA-ASSOCIATED PROTEIN KIAA0319-LIKE PROTEIN', NULL, NULL, NULL, 15),
(159537, NULL, 'PTHR35495:SF4', NULL, NULL, NULL, NULL, 'OS04G0624701 PROTEIN', NULL, NULL, NULL, 15),
(159538, NULL, 'PTHR33101:SF28', NULL, NULL, NULL, NULL, 'OS05G0560100 PROTEIN', NULL, NULL, NULL, 15),
(159539, NULL, 'PTHR46147:SF2', NULL, NULL, NULL, NULL, 'SET-BINDING PROTEIN', NULL, NULL, NULL, 15),
(159540, NULL, 'PTHR12178:SF3', NULL, NULL, NULL, NULL, 'N-TERMINAL EF-HAND CALCIUM-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(159541, NULL, 'PTHR24379:SF81', NULL, NULL, NULL, NULL, 'CCCTC-BINDING FACTOR-LIKE', NULL, NULL, NULL, 15),
(159542, NULL, 'PTHR22849:SF135', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(159543, NULL, 'PTHR31680:SF4', NULL, NULL, NULL, NULL, 'LONGIFOLIA PROTEIN', NULL, NULL, NULL, 15),
(159544, NULL, 'PTHR24321:SF10', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE DEACETYLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(159545, NULL, 'PTHR10758:SF1', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 3', NULL, NULL, 34629, 15),
(159546, NULL, 'PTHR19139:SF199', NULL, NULL, NULL, NULL, 'MIP17260P', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159547, NULL, 'PTHR31775', NULL, NULL, NULL, NULL, 'OS02G0117200 PROTEIN', NULL, NULL, NULL, 15),
(159548, NULL, 'PTHR32176:SF38', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(159549, NULL, 'PTHR21573', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 28838, 15),
(159550, NULL, 'PTHR23064:SF26', NULL, NULL, NULL, NULL, 'SPECTRIN ALPHA, NON-ERYTHROCYTIC 1', NULL, NULL, NULL, 15),
(159551, NULL, 'PTHR35293:SF6', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED PROTEIN 1.2-RELATED', NULL, NULL, NULL, 15),
(159552, NULL, 'PTHR12553', NULL, NULL, NULL, NULL, 'ZINC PHOSPHODIESTERASE ELAC PROTEIN 2', NULL, NULL, NULL, 15),
(159553, NULL, 'PTHR11132:SF369', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(159554, NULL, 'PTHR31080:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159555, NULL, 'PTHR10286:SF38', NULL, NULL, NULL, NULL, 'ACIDOCALCISOMAL PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(159556, NULL, 'PTHR11863:SF138', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 1', NULL, NULL, NULL, 15),
(159557, NULL, 'PTHR33568', NULL, NULL, NULL, NULL, 'DNA POLYMERASE', NULL, NULL, NULL, 15),
(159558, NULL, 'PTHR15484', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE I SUBUNIT RPA34', NULL, NULL, 12531, 15),
(159559, NULL, 'PTHR24071:SF22', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN', NULL, NULL, NULL, 15),
(159560, NULL, 'PTHR30309:SF1', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(159561, NULL, 'PTHR48002:SF150', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(159562, NULL, 'PTHR11886:SF89', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(159563, NULL, 'PTHR34366:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(159564, NULL, 'PTHR31929', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', NULL, NULL, 6087, 15),
(159565, NULL, 'PTHR38167:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159566, NULL, 'PTHR48008', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE IMK3-RELATED', NULL, NULL, NULL, 15),
(159567, NULL, 'PTHR24083:SF164', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(159568, NULL, 'PTHR35075', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 14', NULL, NULL, NULL, 15),
(159569, NULL, 'PTHR22978:SF47', NULL, NULL, NULL, NULL, 'B-CELL TRANSLOCATION GENE 4', NULL, NULL, NULL, 15),
(159570, NULL, 'PTHR11002:SF46', NULL, NULL, NULL, NULL, 'BETA CARBONIC ANHYDRASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(159571, NULL, 'PTHR21299:SF2', NULL, NULL, NULL, NULL, 'CYTIDYLATE KINASE', NULL, NULL, NULL, 15),
(159572, NULL, 'PTHR23139:SF115', NULL, NULL, NULL, NULL, 'U2 SNRNP AUXILIARY FACTOR LARGE SUBUNIT', NULL, NULL, NULL, 15),
(159573, NULL, 'PTHR13318:SF74', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159574, NULL, 'PTHR31787:SF12', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN K', NULL, NULL, NULL, 15),
(159575, NULL, 'PTHR12945:SF2', NULL, NULL, NULL, NULL, 'BNAC09G19990D PROTEIN', NULL, NULL, NULL, 15),
(159576, NULL, 'PTHR43586:SF13', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURASE CSDA', NULL, NULL, NULL, 15),
(159577, NULL, 'PTHR44554', NULL, NULL, NULL, NULL, 'LRP2-BINDING PROTEIN', NULL, NULL, NULL, 15),
(159578, NULL, 'PTHR11728:SF31', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)]', NULL, NULL, NULL, 15),
(159579, NULL, 'PTHR22761:SF71', NULL, NULL, NULL, NULL, 'SNF7 FAMILY-RELATED', NULL, NULL, NULL, 15),
(159580, NULL, 'PTHR12757:SF2', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA-INDUCED PROTEIN 8-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(159581, NULL, 'PTHR36068', NULL, NULL, NULL, NULL, 'OS01G0102500 PROTEIN', NULL, NULL, NULL, 15),
(159582, NULL, 'PTHR11449:SF21', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L30E-RELATED', NULL, NULL, NULL, 15),
(159583, NULL, 'PTHR33680:SF6', NULL, NULL, NULL, NULL, 'OS02G0474200 PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159584, NULL, 'PTHR19282:SF294', NULL, NULL, NULL, NULL, 'TETRASPANIN-10', NULL, NULL, NULL, 15),
(159585, NULL, 'PTHR24281:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159586, NULL, 'PTHR31896:SF37', NULL, NULL, NULL, NULL, 'N-HYDROXYCINNAMOYL BENZOYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(159587, NULL, 'PTHR36819', NULL, NULL, NULL, NULL, 'REGULATOR OF PHOSPHOLIPASE D SRF1', NULL, NULL, 29499, 15),
(159588, NULL, 'PTHR36398:SF1', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE FUSION PROTEIN', NULL, NULL, NULL, 15),
(159589, NULL, 'PTHR32083:SF32', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 110', NULL, NULL, NULL, 15),
(159590, NULL, 'PTHR36349:SF1', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER', NULL, NULL, NULL, 15),
(159591, NULL, 'PTHR24093:SF483', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(159592, NULL, 'PTHR11926:SF1352', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C1', NULL, NULL, NULL, 15),
(159593, NULL, 'PTHR48083', NULL, NULL, NULL, NULL, 'MEDIUM-CHAIN SPECIFIC ACYL-COA DEHYDROGENASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(159594, NULL, 'PTHR10593:SF156', NULL, NULL, NULL, NULL, 'ZINC FINGER C2H2-TYPE/INTEGRASE DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(159595, NULL, 'PTHR33130:SF42', NULL, NULL, NULL, NULL, 'DUF1639 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(159596, NULL, 'PTHR45029:SF1', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(159597, NULL, 'PTHR31286:SF42', NULL, NULL, NULL, NULL, 'OS05G0331616 PROTEIN', NULL, NULL, NULL, 15),
(159598, NULL, 'PTHR43691:SF6', NULL, NULL, NULL, NULL, 'AMP NUCLEOSIDASE', NULL, NULL, 9563, 15),
(159599, NULL, 'PTHR23137:SF29', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(159600, NULL, 'PTHR31175:SF62', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(159601, NULL, 'PTHR15603:SF3', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING PROTEIN 4', NULL, NULL, 20916, 15),
(159602, NULL, 'PTHR13068:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159603, NULL, 'PTHR24343:SF304', NULL, NULL, NULL, NULL, 'AGAP003174-PA', NULL, NULL, NULL, 15),
(159604, NULL, 'PTHR42946:SF2', NULL, NULL, NULL, NULL, 'OS06G0476200 PROTEIN', NULL, NULL, NULL, 15),
(159605, NULL, 'PTHR48010:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159606, NULL, 'PTHR47702', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG-LIKE PROTEIN 9', NULL, NULL, 36921, 15),
(159607, NULL, 'PTHR22870:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159608, NULL, 'PTHR12603:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159609, NULL, 'PTHR31236:SF7', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(159610, NULL, 'PTHR24071:SF23', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN', NULL, NULL, NULL, 15),
(159611, NULL, 'PTHR10972:SF165', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 3A', NULL, NULL, NULL, 15),
(159612, NULL, 'PTHR13523', NULL, NULL, NULL, NULL, 'COILED-COIL-HELIX-COILED-COIL-HELIX DOMAIN CONTAINING 2/NUR77', NULL, NULL, NULL, 15),
(159613, NULL, 'PTHR10795:SF560', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.6', NULL, NULL, NULL, 15),
(159614, NULL, 'PTHR22526:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159615, NULL, 'PTHR22870:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159616, NULL, 'PTHR27002:SF428', NULL, NULL, NULL, NULL, 'OS07G0541900 PROTEIN', NULL, NULL, NULL, 15),
(159617, NULL, 'PTHR42738', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA LYASE', NULL, NULL, 38023, 15),
(159618, NULL, 'PTHR35276:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(159619, NULL, 'PTHR36182:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G10930)-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159620, NULL, 'PTHR46455:SF4', NULL, NULL, NULL, NULL, 'GH11294P', NULL, NULL, NULL, 15),
(159621, NULL, 'PTHR44329:SF85', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', NULL, NULL, NULL, 15),
(159622, NULL, 'PTHR27001:SF673', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG', NULL, NULL, NULL, 15),
(159623, NULL, 'PTHR14859:SF10', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(159624, NULL, 'PTHR34553:SF4', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN-E PROTEIN', NULL, NULL, NULL, 15),
(159625, NULL, 'PTHR11822:SF38', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', NULL, NULL, NULL, 15),
(159626, NULL, 'PTHR47526', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(159627, NULL, 'PTHR34185:SF2', NULL, NULL, NULL, NULL, 'CYCLIC DI-AMP SYNTHASE CDAS', NULL, NULL, NULL, 15),
(159628, NULL, 'PTHR31500:SF84', NULL, NULL, NULL, NULL, 'BNAC01G10490D PROTEIN', NULL, NULL, NULL, 15),
(159629, NULL, 'PTHR24028:SF153', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-C1', NULL, NULL, 21729, 15),
(159630, NULL, 'PTHR12829:SF6', NULL, NULL, NULL, NULL, 'MT-A70-LIKE', NULL, NULL, NULL, 15),
(159631, NULL, 'PTHR39708', NULL, NULL, NULL, NULL, 'OS07G0483400 PROTEIN', NULL, NULL, NULL, 15),
(159632, NULL, 'PTHR15615:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159633, NULL, 'PTHR31717:SF85', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 9-LIKE', NULL, NULL, NULL, 15),
(159634, NULL, 'PTHR23516:SF14', NULL, NULL, NULL, NULL, 'MOLYBDATE-ANION TRANSPORTER', NULL, NULL, 23631, 15),
(159635, NULL, 'PTHR14909', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G5C', NULL, NULL, 26277, 15),
(159636, NULL, 'PTHR31351:SF34', NULL, NULL, NULL, NULL, 'BNAA10G11650D PROTEIN', NULL, NULL, NULL, 15),
(159637, NULL, 'PTHR48043:SF13', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-47-RELATED', NULL, NULL, NULL, 15),
(159638, NULL, 'PTHR16551:SF1', NULL, NULL, NULL, NULL, 'AGOUTI-SIGNALING PROTEIN', NULL, NULL, NULL, 15),
(159639, NULL, 'PTHR30024:SF38', NULL, NULL, NULL, NULL, 'TAURINE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, 6037, 15),
(159640, NULL, 'PTHR31839:SF58', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1C', NULL, NULL, NULL, 15),
(159641, NULL, 'PTHR37302:SF1', NULL, NULL, NULL, NULL, 'SLR1116 PROTEIN', NULL, NULL, NULL, 15),
(159642, NULL, 'PTHR48049:SF50', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(159643, NULL, 'PTHR31710', NULL, NULL, NULL, NULL, 'GB|AAF16529.1-RELATED', NULL, NULL, NULL, 15),
(159644, NULL, 'PTHR15711:SF22', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING RAP/RAN-GAP DOMAIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(159645, NULL, 'PTHR10983:SF67', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDYL ACYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(159646, NULL, 'PTHR34784', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L34', NULL, NULL, 11121, 15),
(159647, NULL, 'PTHR45649:SF30', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1', NULL, NULL, NULL, 15),
(159648, NULL, 'PTHR33346:SF23', NULL, NULL, NULL, NULL, 'WATER STRESS-INDUCIBLE PROTEIN RAB21', NULL, NULL, NULL, 15),
(159649, NULL, 'PTHR11227:SF51', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 18E', NULL, NULL, NULL, 15),
(159650, NULL, 'PTHR32444:SF123', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(159651, NULL, 'PTHR32227:SF351', NULL, NULL, NULL, NULL, 'BNAANNG19080D PROTEIN', NULL, NULL, NULL, 15),
(159652, NULL, 'PTHR47993:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159653, NULL, 'PTHR31071:SF2', NULL, NULL, NULL, NULL, 'ACTIN CYTOSKELETON-REGULATORY COMPLEX PAN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(159654, NULL, 'PTHR13683:SF790', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159655, NULL, 'PTHR47942:SF44', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159656, NULL, 'PTHR32227:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159657, NULL, 'PTHR42770:SF6', NULL, NULL, NULL, NULL, 'PUTRESCINE TRANSPORTER POTE', NULL, NULL, NULL, 15),
(159658, NULL, 'PTHR19423:SF4', NULL, NULL, NULL, NULL, 'SH3-DOMAIN-BINDING PROTEIN 5A (BTK-ASSOCIATED)', NULL, NULL, NULL, 15),
(159659, NULL, 'PTHR45648:SF8', NULL, NULL, NULL, NULL, 'OS06G0229400 PROTEIN', NULL, NULL, NULL, 15),
(159660, NULL, 'PTHR24056:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159661, NULL, 'PTHR12665:SF15', NULL, NULL, NULL, NULL, 'OS07G0452500 PROTEIN', NULL, NULL, NULL, 15),
(159662, NULL, 'PTHR31306', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYLTRANSFERASE MNN11-RELATED', NULL, NULL, 14218, 15),
(159663, NULL, 'PTHR33372:SF9', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(159664, NULL, 'PTHR31161:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(159665, NULL, 'PTHR24072:SF325', NULL, NULL, NULL, NULL, 'RAS-RELATED C3 BOTULINUM TOXIN SUBSTRATE 3', NULL, NULL, NULL, 15),
(159666, NULL, 'PTHR23317:SF71', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 10', NULL, NULL, NULL, 15),
(159667, NULL, 'PTHR31251:SF75', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(159668, NULL, 'PTHR13301:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159669, NULL, 'PTHR47782:SF12', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(159670, NULL, 'PTHR15574:SF65', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(159671, NULL, 'PTHR12415:SF3', NULL, NULL, NULL, NULL, 'OS04G0403400 PROTEIN', NULL, NULL, NULL, 15),
(159672, NULL, 'PTHR33147:SF64', NULL, NULL, NULL, NULL, 'BNAA05G19430D PROTEIN', NULL, NULL, NULL, 15),
(159673, NULL, 'PTHR43019:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159674, NULL, 'PTHR31232:SF35', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 26', NULL, NULL, NULL, 15),
(159675, NULL, 'PTHR43874:SF98', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR19-RELATED', NULL, NULL, NULL, 15),
(159676, NULL, 'PTHR46132:SF9', NULL, NULL, NULL, NULL, 'DIGALACTOSYLDIACYLGLYCEROL SYNTHASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(159677, NULL, 'PTHR43731:SF17', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 16, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(159678, NULL, 'PTHR24281:SF57', NULL, NULL, NULL, NULL, 'CYTOCHROME 98A2', NULL, NULL, NULL, 15),
(159679, NULL, 'PTHR35005', NULL, NULL, NULL, NULL, '3-DEHYDRO-SCYLLO-INOSOSE HYDROLASE', NULL, NULL, 3185, 15),
(159680, NULL, 'PTHR43880:SF2', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE CLASS 4 MU/SIGMA CHAIN', NULL, NULL, 29220, 15),
(159681, NULL, 'PTHR31832:SF63', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 23', NULL, NULL, NULL, 15),
(159682, NULL, 'PTHR22893:SF93', NULL, NULL, NULL, NULL, 'HYPOTHETICAL OXIDOREDUCTASE (EUROFUNG)', NULL, NULL, NULL, 15),
(159683, NULL, 'PTHR12277:SF160', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(159684, NULL, 'PTHR20961:SF103', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159685, NULL, 'PTHR32295:SF133', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 29', NULL, NULL, NULL, 15),
(159686, NULL, 'PTHR22847:SF703', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159687, NULL, 'PTHR24347:SF416', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159688, NULL, 'PTHR11347:SF197', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(159689, NULL, 'PTHR35365:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159690, NULL, 'PTHR45693:SF44', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN, TRANSCRIPTION FACTOR TGA LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(159691, NULL, 'PTHR11814:SF227', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159692, NULL, 'PTHR46723:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IQ DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(159693, NULL, 'PTHR12106:SF23', NULL, NULL, NULL, NULL, 'SORTILIN', NULL, NULL, NULL, 15),
(159694, NULL, 'PTHR21341', NULL, NULL, NULL, NULL, 'PROTAMINE-2', NULL, NULL, 5757, 15),
(159695, NULL, 'PTHR31415:SF114', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(159696, NULL, 'PTHR33179:SF58', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(159697, NULL, 'PTHR19241:SF289', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(159698, NULL, 'PTHR24206:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159699, NULL, 'PTHR24016:SF0', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(159700, NULL, 'PTHR12900:SF4', NULL, NULL, NULL, NULL, 'CHECKPOINT PROTEIN HUS1', NULL, NULL, NULL, 15),
(159701, NULL, 'PTHR31642:SF113', NULL, NULL, NULL, NULL, 'OS01G0924933 PROTEIN', NULL, NULL, NULL, 15),
(159702, NULL, 'PTHR48049:SF17', NULL, NULL, NULL, NULL, 'CYANIDIN-3-O-GLUCOSIDE 2-O-GLUCURONOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(159703, NULL, 'PTHR24303:SF28', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 304A1-RELATED', NULL, NULL, NULL, 15),
(159704, NULL, 'PTHR38926:SF12', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(159705, NULL, 'PTHR43598:SF1', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE-O MAJOR SUBUNIT', NULL, NULL, NULL, 15),
(159706, NULL, 'PTHR43116', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR 2', NULL, NULL, NULL, 15),
(159707, NULL, 'PTHR11088', NULL, NULL, NULL, NULL, 'TRNA DIMETHYLALLYLTRANSFERASE', NULL, NULL, 30046, 15),
(159708, NULL, 'PTHR48006:SF23', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(159709, NULL, 'PTHR11743:SF66', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL', NULL, NULL, NULL, 15),
(159710, NULL, 'PTHR45768:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL4', NULL, NULL, NULL, 15),
(159711, NULL, 'PTHR47274:SF13', NULL, NULL, NULL, NULL, 'BNAC04G01320D PROTEIN', NULL, NULL, NULL, 15),
(159712, NULL, 'PTHR16922:SF0', NULL, NULL, NULL, NULL, 'INTERLEUKIN-11', NULL, NULL, NULL, 15),
(159713, NULL, 'PTHR47071', NULL, NULL, NULL, NULL, 'PROTEIN TRM32', NULL, NULL, 36739, 15),
(159714, NULL, 'PTHR46016', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE', NULL, NULL, NULL, 15),
(159715, NULL, 'PTHR11064:SF144', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y PROTEIN', NULL, NULL, NULL, 15),
(159716, NULL, 'PTHR15241:SF355', NULL, NULL, NULL, NULL, '28 KDA RIBONUCLEOPROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(159717, NULL, 'PTHR33130:SF49', NULL, NULL, NULL, NULL, 'BNACNNG55670D PROTEIN', NULL, NULL, NULL, 15),
(159718, NULL, 'PTHR45805', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR HR3-RELATED', NULL, NULL, NULL, 15),
(159719, NULL, 'PTHR31521:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(159720, NULL, 'PTHR10061:SF0', NULL, NULL, NULL, NULL, 'S-FORMYLGLUTATHIONE HYDROLASE', NULL, NULL, NULL, 15),
(159721, NULL, 'PTHR31636:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159722, NULL, 'PTHR48056:SF34', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERL1-RELATED', NULL, NULL, NULL, 15),
(159723, NULL, 'PTHR31889:SF60', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(159724, NULL, 'PTHR38406', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR OPI1', NULL, NULL, 14089, 15),
(159725, NULL, 'PTHR21629', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(159726, NULL, 'PTHR34191:SF13', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(159727, NULL, 'PTHR48057:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159728, NULL, 'PTHR33926', NULL, NULL, NULL, NULL, 'PROTEIN TIC 22, CHLOROPLASTIC', NULL, NULL, 5928, 15),
(159729, NULL, 'PTHR12601:SF45', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(159730, NULL, 'PTHR34804:SF6', NULL, NULL, NULL, NULL, 'NEGATIVELY LIGHT-REGULATED PROTEIN', NULL, NULL, NULL, 15),
(159731, NULL, 'PTHR46749:SF1', NULL, NULL, NULL, NULL, 'COMPLEX III ASSEMBLY FACTOR LYRM7', NULL, NULL, NULL, 15),
(159732, NULL, 'PTHR32227:SF269', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE', NULL, NULL, NULL, 15),
(159733, NULL, 'PTHR31148:SF1', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN C', NULL, NULL, NULL, 15),
(159734, NULL, 'PTHR47344:SF2', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 40-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(159735, NULL, 'PTHR23155:SF943', NULL, NULL, NULL, NULL, 'OS08G0193700 PROTEIN', NULL, NULL, NULL, 15),
(159736, NULL, 'PTHR43655:SF19', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 12, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(159737, NULL, 'PTHR11777:SF34', NULL, NULL, NULL, NULL, 'ALANINE--TRNA LIGASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(159738, NULL, 'PTHR11767:SF107', NULL, NULL, NULL, NULL, 'INWARDLY RECTIFYING POTASSIUM CHANNEL 1, ISOFORM F-RELATED', NULL, NULL, NULL, 15),
(159739, NULL, 'PTHR46835:SF1', NULL, NULL, NULL, NULL, 'OS12G0194600 PROTEIN', NULL, NULL, NULL, 15),
(159740, NULL, 'PTHR13026:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA PROCESSING PROTEIN 1 HOMOLOG B', NULL, NULL, NULL, 15),
(159741, NULL, 'PTHR45843:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-LIKE 4', NULL, NULL, NULL, 15),
(159742, NULL, 'PTHR31988:SF25', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(159743, NULL, 'PTHR12290:SF33', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENATE--CYSTEINE LIGASE 1', NULL, NULL, NULL, 15),
(159744, NULL, 'PTHR46108:SF4', NULL, NULL, NULL, NULL, 'BLUE CHEESE', NULL, NULL, NULL, 15),
(159745, NULL, 'PTHR23056:SF122', NULL, NULL, NULL, NULL, 'BNAA02G37060D PROTEIN', NULL, NULL, NULL, 15),
(159746, NULL, 'PTHR11995:SF26', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT B 2', NULL, NULL, NULL, 15),
(159747, NULL, 'PTHR46931', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC2', NULL, NULL, 36723, 15),
(159748, NULL, 'PTHR31314:SF81', NULL, NULL, NULL, NULL, 'OSJNBA0005N02.4 PROTEIN', NULL, NULL, NULL, 15),
(159749, NULL, 'PTHR33156:SF9', NULL, NULL, NULL, NULL, 'OS02G0658300 PROTEIN', NULL, NULL, NULL, 15),
(159750, NULL, 'PTHR22426:SF2', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH COILED-COIL PROTEIN 2', NULL, NULL, NULL, 15),
(159751, NULL, 'PTHR30055:SF190', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY TETR-FAMILY)-RELATED', NULL, NULL, NULL, 15),
(159752, NULL, 'PTHR22923:SF61', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q TUMOR NECROSIS FACTOR-RELATED PROTEIN 8', NULL, NULL, NULL, 15),
(159753, NULL, 'PTHR47950:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(159754, NULL, 'PTHR28141:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159755, NULL, 'PTHR12639:SF7', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL CARBOXYLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(159756, NULL, 'PTHR10856:SF18', NULL, NULL, NULL, NULL, 'CORONIN-1A', NULL, NULL, 29481, 15),
(159757, NULL, 'PTHR24070:SF428', NULL, NULL, NULL, NULL, 'RAS HOMOLOG, MTORC1-BINDING-LIKE 1', NULL, NULL, NULL, 15),
(159758, NULL, 'PTHR43051', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE ADENYLYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(159759, NULL, 'PTHR10788:SF16', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] B', NULL, NULL, NULL, 15),
(159760, NULL, 'PTHR10953:SF215', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 1', NULL, NULL, NULL, 15),
(159761, NULL, 'PTHR33070:SF59', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159762, NULL, 'PTHR23068:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159763, NULL, 'PTHR24361:SF656', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 3', NULL, NULL, NULL, 15),
(159764, NULL, 'PTHR24072:SF350', NULL, NULL, NULL, NULL, 'RAC FAMILY SMALL GTPASE 1', NULL, NULL, NULL, 15),
(159765, NULL, 'PTHR43319:SF4', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(159766, NULL, 'PTHR21220:SF0', NULL, NULL, NULL, NULL, 'SPRT-LIKE DOMAIN-CONTAINING PROTEIN SPARTAN', NULL, NULL, NULL, 15),
(159767, NULL, 'PTHR30086:SF15', NULL, NULL, NULL, NULL, 'LEUCINE EFFLUX PROTEIN', NULL, NULL, NULL, 15),
(159768, NULL, 'PTHR30293:SF0', NULL, NULL, NULL, NULL, 'NITROGEN ASSIMILATION REGULATORY PROTEIN NAC', NULL, NULL, NULL, 15),
(159769, NULL, 'PTHR47926:SF74', NULL, NULL, NULL, NULL, 'OS10G0558600 PROTEIN', NULL, NULL, NULL, 15),
(159770, NULL, 'PTHR10015:SF213', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR PROTEIN 4', NULL, NULL, NULL, 15),
(159771, NULL, 'PTHR45613:SF297', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(159772, NULL, 'PTHR12537:SF159', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 14-RELATED', NULL, NULL, NULL, 15),
(159773, NULL, 'PTHR11439:SF354', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159774, NULL, 'PTHR12366:SF29', NULL, NULL, NULL, NULL, 'ASPARTYL/ASPARAGINYL BETA-HYDROXYLASE', NULL, NULL, NULL, 15),
(159775, NULL, 'PTHR34768:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 89', NULL, NULL, NULL, 15),
(159776, NULL, 'PTHR23278:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 27015, 15),
(159777, NULL, 'PTHR12210:SF153', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM50-LIKE', NULL, NULL, NULL, 15),
(159778, NULL, 'PTHR26312:SF87', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 5', NULL, NULL, NULL, 15),
(159779, NULL, 'PTHR42855:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', NULL, NULL, NULL, 15),
(159780, NULL, 'PTHR43600:SF1', NULL, NULL, NULL, NULL, 'COENZYME F420 HYDROGENASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(159781, NULL, 'PTHR12487:SF3', NULL, NULL, NULL, NULL, 'TEASHIRT HOMOLOG 2', NULL, NULL, 24189, 15),
(159782, NULL, 'PTHR11266:SF80', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(159783, NULL, 'PTHR39603:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159784, NULL, 'PTHR28263', NULL, NULL, NULL, NULL, 'GOLGI TO ER TRAFFIC PROTEIN 2', NULL, NULL, 22562, 15),
(159785, NULL, 'PTHR31901:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159786, NULL, 'PTHR43297:SF6', NULL, NULL, NULL, NULL, 'DIPEPTIDE TRANSPORT ATP-BINDING PROTEIN DPPD', NULL, NULL, NULL, 15),
(159787, NULL, 'PTHR13871:SF94', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN 1-RELATED', NULL, NULL, NULL, 15),
(159788, NULL, 'PTHR21733', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 10073, 15),
(159789, NULL, 'PTHR31235:SF193', NULL, NULL, NULL, NULL, 'PEROXIDASE 13', NULL, NULL, NULL, 15),
(159790, NULL, 'PTHR47059', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 32', NULL, NULL, NULL, 15),
(159791, NULL, 'PTHR11017:SF247', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN CHS1', NULL, NULL, NULL, 15),
(159792, NULL, 'PTHR10891:SF817', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML23-RELATED', NULL, NULL, NULL, 15),
(159793, NULL, 'PTHR36317:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MULTIPLE CHLOROPLAST DIVISION SITE 1', NULL, NULL, NULL, 15),
(159794, NULL, 'PTHR11528', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90 FAMILY MEMBER', NULL, NULL, 7470, 15),
(159795, NULL, 'PTHR10110:SF112', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15),
(159796, NULL, 'PTHR33975:SF2', NULL, NULL, NULL, NULL, 'MYELIN-ASSOCIATED OLIGODENDROCYTE BASIC PROTEIN', NULL, NULL, NULL, 15),
(159797, NULL, 'PTHR42881:SF7', NULL, NULL, NULL, NULL, 'PROLYL ENDOPEPTIDASE-LIKE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159798, NULL, 'PTHR43995:SF3', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 19 HOMOLOG 2', NULL, NULL, NULL, 15),
(159799, NULL, 'PTHR18953:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159800, NULL, 'PTHR22957:SF472', NULL, NULL, NULL, NULL, 'ACTIVATING PROTEIN (EVI5), PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13850)-RELATED', NULL, NULL, NULL, 15),
(159801, NULL, 'PTHR24376:SF52', NULL, NULL, NULL, NULL, 'ZNF423 PROTEIN', NULL, NULL, NULL, 15),
(159802, NULL, 'PTHR33065:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159803, NULL, 'PTHR34969:SF2', NULL, NULL, NULL, NULL, 'MYOSIN IB HEAVY CHAIN-LIKE', NULL, NULL, NULL, 15),
(159804, NULL, 'PTHR12428:SF53', NULL, NULL, NULL, NULL, 'ALBINO3-LIKE PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(159805, NULL, 'PTHR10593:SF160', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 13-RELATED', NULL, NULL, NULL, 15),
(159806, NULL, 'PTHR34258', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL DOMAIN CONTAINING PROTEIN 1', NULL, NULL, 31867, 15),
(159807, NULL, 'PTHR31895:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG02722', NULL, NULL, NULL, 15),
(159808, NULL, 'PTHR33057:SF147', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP5', NULL, NULL, NULL, 15),
(159809, NULL, 'PTHR15852', NULL, NULL, NULL, NULL, 'PLASTID TRANSCRIPTIONALLY ACTIVE PROTEIN', NULL, NULL, NULL, 15),
(159810, NULL, 'PTHR43371', NULL, NULL, NULL, NULL, 'VITAMIN B12-DEPENDENT RIBONUCLEOTIDE REDUCTASE', NULL, NULL, NULL, 15),
(159811, NULL, 'PTHR24056:SF327', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', NULL, NULL, NULL, 15),
(159812, NULL, 'PTHR18934', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE', NULL, NULL, NULL, 15),
(159813, NULL, 'PTHR34059', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(159814, NULL, 'PTHR24015:SF635', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(159815, NULL, 'PTHR33343', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN BL35M', NULL, NULL, 3404, 15),
(159816, NULL, 'PTHR33769:SF3', NULL, NULL, NULL, NULL, 'MESENTERIC ESTROGEN-DEPENDENT ADIPOGENESIS PROTEIN', NULL, NULL, 35694, 15),
(159817, NULL, 'PTHR31009:SF76', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(159818, NULL, 'PTHR47372:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159819, NULL, 'PTHR33594:SF1', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03035)-RELATED', NULL, NULL, NULL, 15),
(159820, NULL, 'PTHR10245:SF119', NULL, NULL, NULL, NULL, 'BNAC04G52530D PROTEIN', NULL, NULL, NULL, 15),
(159821, NULL, 'PTHR30621', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE ADENYLYLTRANSFERASE', NULL, NULL, 15271, 15),
(159822, NULL, 'PTHR46631:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(159823, NULL, 'PTHR33122:SF35', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(159824, NULL, 'PTHR31165:SF92', NULL, NULL, NULL, NULL, 'BNAANNG15760D PROTEIN', NULL, NULL, NULL, 15),
(159825, NULL, 'PTHR33101:SF26', NULL, NULL, NULL, NULL, 'OS01G0760300 PROTEIN', NULL, NULL, NULL, 15),
(159826, NULL, 'PTHR11994:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11', NULL, NULL, NULL, 15),
(159827, NULL, 'PTHR21292:SF7', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 3-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(159828, NULL, 'PTHR43243:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159829, NULL, 'PTHR12506:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 33-RELATED', NULL, NULL, NULL, 15),
(159830, NULL, 'PTHR48018:SF74', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(159831, NULL, 'PTHR38522:SF3', NULL, NULL, NULL, NULL, 'BNAANNG10170D PROTEIN', NULL, NULL, NULL, 15),
(159832, NULL, 'PTHR45769', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 4251, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159833, NULL, 'PTHR31989:SF296', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159834, NULL, 'PTHR12613', NULL, NULL, NULL, NULL, 'ERO1-RELATED', NULL, NULL, 6913, 15),
(159835, NULL, 'PTHR31223:SF56', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15),
(159836, NULL, 'PTHR43943:SF7', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(159837, NULL, 'PTHR27004:SF335', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(159838, NULL, 'PTHR22947:SF15', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(159839, NULL, 'PTHR36478:SF11', NULL, NULL, NULL, NULL, 'OSJNBA0093O08.7 PROTEIN', NULL, NULL, NULL, 15),
(159840, NULL, 'PTHR47956:SF97', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B29', NULL, NULL, NULL, 15),
(159841, NULL, 'PTHR11260:SF591', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U3', NULL, NULL, NULL, 15),
(159842, NULL, 'PTHR31236:SF45', NULL, NULL, NULL, NULL, 'BURP DOMAIN PROTEIN USPL1-LIKE', NULL, NULL, NULL, 15),
(159843, NULL, 'PTHR21089:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159844, NULL, 'PTHR11615:SF233', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(159845, NULL, 'PTHR45925:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 516', NULL, NULL, NULL, 15),
(159846, NULL, 'PTHR11863:SF142', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 1-LIKE', NULL, NULL, NULL, 15),
(159847, NULL, 'PTHR24414:SF161', NULL, NULL, NULL, NULL, 'BNAANNG11610D PROTEIN', NULL, NULL, NULL, 15),
(159848, NULL, 'PTHR11260:SF650', NULL, NULL, NULL, NULL, 'BNAA05G12560D PROTEIN', NULL, NULL, NULL, 15),
(159849, NULL, 'PTHR30335:SF1', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT E', NULL, NULL, 2255, 15),
(159850, NULL, 'PTHR23262:SF214', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 12-1', NULL, NULL, NULL, 15),
(159851, NULL, 'PTHR15663', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, 35060, 15),
(159852, NULL, 'PTHR35317:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', NULL, NULL, NULL, 15),
(159853, NULL, 'PTHR47173:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DR1 HOMOLOG', NULL, NULL, NULL, 15),
(159854, NULL, 'PTHR43198:SF8', NULL, NULL, NULL, NULL, 'HEME OXYGENASE-LIKE, MULTI-HELICAL-RELATED', NULL, NULL, NULL, 15),
(159855, NULL, 'PTHR21038:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-17O15.2', NULL, NULL, NULL, 15),
(159856, NULL, 'PTHR36303', NULL, NULL, NULL, NULL, '2'',3''-CYCLIC-NUCLEOTIDE 2''-PHOSPHODIESTERASE', NULL, NULL, 11270, 15),
(159857, NULL, 'PTHR10032:SF217', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR OVO-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(159858, NULL, 'PTHR43939:SF68', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159859, NULL, 'PTHR33702:SF16', NULL, NULL, NULL, NULL, 'OS05G0576600 PROTEIN', NULL, NULL, NULL, 15),
(159860, NULL, 'PTHR23070:SF99', NULL, NULL, NULL, NULL, 'A44L PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(159861, NULL, 'PTHR36138:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159862, NULL, 'PTHR48104:SF14', NULL, NULL, NULL, NULL, 'METACASPASE-7', NULL, NULL, NULL, 15),
(159863, NULL, 'PTHR27002:SF453', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 11-RELATED', NULL, NULL, NULL, 15),
(159864, NULL, 'PTHR26450:SF387', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(159865, NULL, 'PTHR33306:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159866, NULL, 'PTHR14592:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM3B', NULL, NULL, 30857, 15),
(159867, NULL, 'PTHR24559:SF351', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159868, NULL, 'PTHR32303:SF15', NULL, NULL, NULL, NULL, 'METHANOL DEHYDROGENASE HEAVY CHAIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159869, NULL, 'PTHR48104:SF21', NULL, NULL, NULL, NULL, 'METACASPASE-4', NULL, NULL, NULL, 15),
(159870, NULL, 'PTHR23322:SF21', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(159871, NULL, 'PTHR11183:SF115', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(159872, NULL, 'PTHR48111:SF46', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR', NULL, NULL, NULL, 15),
(159873, NULL, 'PTHR45724:SF22', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP1-3', NULL, NULL, NULL, 15),
(159874, NULL, 'PTHR21213:SF0', NULL, NULL, NULL, NULL, 'GEO09665P1-RELATED', NULL, NULL, NULL, 15),
(159875, NULL, 'PTHR36108:SF13', NULL, NULL, NULL, NULL, 'COLOSSIN-B-RELATED', NULL, NULL, NULL, 15),
(159876, NULL, 'PTHR48139:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-56M19.5', NULL, NULL, NULL, 15),
(159877, NULL, 'PTHR34114:SF17', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 13-RELATED', NULL, NULL, NULL, 15),
(159878, NULL, 'PTHR14196:SF12', NULL, NULL, NULL, NULL, 'PROTEIN ODD-SKIPPED', NULL, NULL, NULL, 15),
(159879, NULL, 'PTHR11206:SF405', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(159880, NULL, 'PTHR11545:SF24', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L13, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(159881, NULL, 'PTHR27003:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159882, NULL, 'PTHR23500:SF561', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 5', NULL, NULL, NULL, 15),
(159883, NULL, 'PTHR24085:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159884, NULL, 'PTHR45676:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159885, NULL, 'PTHR21010:SF3', NULL, NULL, NULL, NULL, 'AGAP001581-PA', NULL, NULL, NULL, 15),
(159886, NULL, 'PTHR21136:SF194', NULL, NULL, NULL, NULL, 'OS03G0165800 PROTEIN', NULL, NULL, NULL, 15),
(159887, NULL, 'PTHR31517:SF61', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(159888, NULL, 'PTHR46932:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159889, NULL, 'PTHR23018:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', NULL, NULL, NULL, 15),
(159890, NULL, 'PTHR24278:SF26', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR VII', NULL, NULL, 31972, 15),
(159891, NULL, 'PTHR36911', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159892, NULL, 'PTHR43591:SF48', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(159893, NULL, 'PTHR23137:SF1', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN SFT2B', NULL, NULL, NULL, 15),
(159894, NULL, 'PTHR45969:SF42', NULL, NULL, NULL, NULL, 'BNAA06G09810D PROTEIN', NULL, NULL, NULL, 15),
(159895, NULL, 'PTHR38527:SF6', NULL, NULL, NULL, NULL, 'BNAANNG31500D PROTEIN', NULL, NULL, NULL, 15),
(159896, NULL, 'PTHR13170', NULL, NULL, NULL, NULL, 'O-GLCNACASE', NULL, NULL, NULL, 15),
(159897, NULL, 'PTHR47925:SF63', NULL, NULL, NULL, NULL, 'BNAA05G29400D PROTEIN', NULL, NULL, NULL, 15),
(159898, NULL, 'PTHR12740', NULL, NULL, NULL, NULL, 'JNK1/MAPK8-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, 12415, 15),
(159899, NULL, 'PTHR31108:SF12', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P63-REGULATED 1-LIKE', NULL, NULL, NULL, 15),
(159900, NULL, 'PTHR15304', NULL, NULL, NULL, NULL, 'MYOD FAMILY INHIBITOR', NULL, NULL, 27997, 15),
(159901, NULL, 'PTHR11932:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159902, NULL, 'PTHR10795:SF468', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3.18', NULL, NULL, NULL, 15),
(159903, NULL, 'PTHR35470:SF7', NULL, NULL, NULL, NULL, 'OS02G0208500 PROTEIN', NULL, NULL, NULL, 15),
(159904, NULL, 'PTHR10388:SF14', NULL, NULL, NULL, NULL, 'OS01G0794500 PROTEIN', NULL, NULL, NULL, 15),
(159905, NULL, 'PTHR12266:SF13', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(159906, NULL, 'PTHR31669:SF235', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5-LIKE', NULL, NULL, NULL, 15),
(159907, NULL, 'PTHR24248:SF87', NULL, NULL, NULL, NULL, 'D(2) DOPAMINE RECEPTOR', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159908, NULL, 'PTHR37381', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(159909, NULL, 'PTHR11705:SF89', NULL, NULL, NULL, NULL, 'AGAP000539-PA', NULL, NULL, NULL, 15),
(159910, NULL, 'PTHR48011:SF14', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 17', NULL, NULL, NULL, 15),
(159911, NULL, 'PTHR31879:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159912, NULL, 'PTHR24343:SF154', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SIK2', NULL, NULL, NULL, 15),
(159913, NULL, 'PTHR45637:SF64', NULL, NULL, NULL, NULL, 'OSJNBA0079A21.12 PROTEIN', NULL, NULL, NULL, 15),
(159914, NULL, 'PTHR21654:SF21', NULL, NULL, NULL, NULL, 'OS02G0648300 PROTEIN', NULL, NULL, NULL, 15),
(159915, NULL, 'PTHR21219:SF3', NULL, NULL, NULL, NULL, 'FI19613P1', NULL, NULL, NULL, 15),
(159916, NULL, 'PTHR33672:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159917, NULL, 'PTHR27006:SF237', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE B120 ISOFORM X1', NULL, NULL, NULL, 15),
(159918, NULL, 'PTHR31832:SF46', NULL, NULL, NULL, NULL, 'ORPHANS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(159919, NULL, 'PTHR11485:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159920, NULL, 'PTHR12782:SF9', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159921, NULL, 'PTHR11909:SF415', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159922, NULL, 'PTHR27005:SF166', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL PSEUDOKINASE ZED1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(159923, NULL, 'PTHR23428:SF264', NULL, NULL, NULL, NULL, 'HISTONE H2B.4', NULL, NULL, NULL, 15),
(159924, NULL, 'PTHR14795:SF6', NULL, NULL, NULL, NULL, 'OS03G0260100 PROTEIN', NULL, NULL, NULL, 15),
(159925, NULL, 'PTHR43176:SF10', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159926, NULL, 'PTHR11679:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159927, NULL, 'PTHR31669:SF137', NULL, NULL, NULL, NULL, 'OS07G0615900 PROTEIN', NULL, NULL, NULL, 15),
(159928, NULL, 'PTHR32141:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159929, NULL, 'PTHR47966:SF18', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2', NULL, NULL, NULL, 15),
(159930, NULL, 'PTHR47981:SF2', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABG1-RELATED', NULL, NULL, NULL, 15),
(159931, NULL, 'PTHR44688:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MALT', NULL, NULL, NULL, 15),
(159932, NULL, 'PTHR35023', NULL, NULL, NULL, NULL, 'CHELATASE-RELATED', NULL, NULL, NULL, 15),
(159933, NULL, 'PTHR11636:SF68', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 6, TRANSCRIPTION FACTOR 2', NULL, NULL, 36354, 15),
(159934, NULL, 'PTHR22775:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159935, NULL, 'PTHR24096:SF360', NULL, NULL, NULL, NULL, 'AMP-BINDING ENZYME-RELATED', NULL, NULL, NULL, 15),
(159936, NULL, 'PTHR10110:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159937, NULL, 'PTHR47657:SF6', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(159938, NULL, 'PTHR14047:SF3', NULL, NULL, NULL, NULL, 'P ANTIGEN FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(159939, NULL, 'PTHR23336:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159940, NULL, 'PTHR33941:SF6', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTK', NULL, NULL, NULL, 15),
(159941, NULL, 'PTHR21312:SF27', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 1', NULL, NULL, NULL, 15),
(159942, NULL, 'PTHR31929:SF109', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(159943, NULL, 'PTHR18860:SF128', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN 8', NULL, NULL, NULL, 15),
(159944, NULL, 'PTHR31385:SF10', NULL, NULL, NULL, NULL, 'BNACNNG68830D PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159945, NULL, 'PTHR14969:SF14', NULL, NULL, NULL, NULL, 'SPHINGOSINE-1-PHOSPHATE PHOSPHATASE 2', NULL, NULL, NULL, 15),
(159946, NULL, 'PTHR13628:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 267', NULL, NULL, NULL, 15),
(159947, NULL, 'PTHR24015:SF1709', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159948, NULL, 'PTHR23279:SF3', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 18', NULL, NULL, NULL, 15),
(159949, NULL, 'PTHR23430:SF308', NULL, NULL, NULL, NULL, 'HISTONE H2AXA-RELATED', NULL, NULL, NULL, 15),
(159950, NULL, 'PTHR12411:SF562', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(159951, NULL, 'PTHR39177', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE YTRC-RELATED', NULL, NULL, NULL, 15),
(159952, NULL, 'PTHR43406:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159953, NULL, 'PTHR12601:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159954, NULL, 'PTHR10426:SF67', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 10-LIKE', NULL, NULL, NULL, 15),
(159955, NULL, 'PTHR36444', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR PROTEIN YOBU-RELATED', NULL, NULL, NULL, 15),
(159956, NULL, 'PTHR24064:SF457', NULL, NULL, NULL, NULL, 'TRANSPORTER SVOPL-RELATED', NULL, NULL, NULL, 15),
(159957, NULL, 'PTHR35545:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159958, NULL, 'PTHR33265:SF21', NULL, NULL, NULL, NULL, 'OS02G0229800 PROTEIN', NULL, NULL, NULL, 15),
(159959, NULL, 'PTHR30389:SF0', NULL, NULL, NULL, NULL, 'FUMARATE HYDRATASE CLASS I, ANAEROBIC', NULL, NULL, NULL, 15),
(159960, NULL, 'PTHR44329:SF96', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(159961, NULL, 'PTHR24377:SF613', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 599', NULL, NULL, NULL, 15),
(159962, NULL, 'PTHR21495:SF175', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(159963, NULL, 'PTHR11945:SF613', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL61', NULL, NULL, NULL, 15),
(159964, NULL, 'PTHR46641', NULL, NULL, NULL, NULL, 'FMRFAMIDE RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(159965, NULL, 'PTHR10625', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, NULL, 15),
(159966, NULL, 'PTHR34570:SF2', NULL, NULL, NULL, NULL, 'OS03G0593100 PROTEIN', NULL, NULL, NULL, 15),
(159967, NULL, 'PTHR31210:SF47', NULL, NULL, NULL, NULL, 'OS06G0731900 PROTEIN', NULL, NULL, NULL, 15),
(159968, NULL, 'PTHR22950:SF8', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(159969, NULL, 'PTHR24330:SF8', NULL, NULL, NULL, NULL, 'BARH-LIKE 1 HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(159970, NULL, 'PTHR11709:SF145', NULL, NULL, NULL, NULL, 'LCC1', NULL, NULL, NULL, 15),
(159971, NULL, 'PTHR24384:SF216', NULL, NULL, NULL, NULL, 'CKII-ALPHA SUBUNIT INTERACTOR-1-RELATED', NULL, NULL, NULL, 15),
(159972, NULL, 'PTHR30188:SF13', NULL, NULL, NULL, NULL, 'ABC-TRANSPORTER INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(159973, NULL, 'PTHR16223:SF143', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH54', NULL, NULL, NULL, 15),
(159974, NULL, 'PTHR47198:SF1', NULL, NULL, NULL, NULL, 'OS05G0299300 PROTEIN', NULL, NULL, NULL, 15),
(159975, NULL, 'PTHR45974:SF50', NULL, NULL, NULL, NULL, 'OSJNBB0004A17.8 PROTEIN', NULL, NULL, NULL, 15),
(159976, NULL, 'PTHR34141', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159977, NULL, 'PTHR31578', NULL, NULL, NULL, NULL, 'PROTEIN CBG21223-RELATED', NULL, NULL, 15194, 15),
(159978, NULL, 'PTHR46942', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 15', NULL, NULL, 37734, 15),
(159979, NULL, 'PTHR47926:SF282', NULL, NULL, NULL, NULL, 'BNAC08G08330D PROTEIN', NULL, NULL, NULL, 15),
(159980, NULL, 'PTHR47116:SF21', NULL, NULL, NULL, NULL, 'OS03G0173100 PROTEIN', NULL, NULL, NULL, 15),
(159981, NULL, 'PTHR10868', NULL, NULL, NULL, NULL, 'SIGMA 1-TYPE OPIOID RECEPTOR-RELATED', NULL, NULL, 2225, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(159982, NULL, 'PTHR15592:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159983, NULL, 'PTHR46445:SF13', NULL, NULL, NULL, NULL, 'BNAA04G20060D PROTEIN', NULL, NULL, NULL, 15),
(159984, NULL, 'PTHR10593:SF116', NULL, NULL, NULL, NULL, 'INDETERMINATE DOMAIN P10', NULL, NULL, NULL, 15),
(159985, NULL, 'PTHR10072', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY PROTEIN', NULL, NULL, NULL, 15),
(159986, NULL, 'PTHR11267:SF91', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX3', NULL, NULL, NULL, 15),
(159987, NULL, 'PTHR32227:SF71', NULL, NULL, NULL, NULL, 'OS01G0860800 PROTEIN', NULL, NULL, NULL, 15),
(159988, NULL, 'PTHR43744', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN MG189-RELATED-RELATED', NULL, NULL, NULL, 15),
(159989, NULL, 'PTHR48004:SF7', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(159990, NULL, 'PTHR33826', NULL, NULL, NULL, NULL, 'F20B24.21', NULL, NULL, NULL, 15),
(159991, NULL, 'PTHR48015:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DST3', NULL, NULL, NULL, 15),
(159992, NULL, 'PTHR10739:SF54', NULL, NULL, NULL, NULL, 'CHOLINE-PHOSPHATE CYTIDYLYLTRANSFERASE B', NULL, NULL, NULL, 15),
(159993, NULL, 'PTHR47870:SF2', NULL, NULL, NULL, NULL, 'FORMATE-DEPENDENT NITRITE REDUCTASE COMPLEX SUBUNIT NRFF', NULL, NULL, NULL, 15),
(159994, NULL, 'PTHR10992:SF785', NULL, NULL, NULL, NULL, 'METHYLESTERASE 14, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(159995, NULL, 'PTHR11073', NULL, NULL, NULL, NULL, 'CALRETICULIN AND CALNEXIN', NULL, NULL, 3356, 15),
(159996, NULL, 'PTHR11620:SF81', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L23A, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(159997, NULL, 'PTHR45642:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(159998, NULL, 'PTHR48104:SF7', NULL, NULL, NULL, NULL, 'METACASPASE-9', NULL, NULL, NULL, 15),
(159999, NULL, 'PTHR24015:SF982', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160000, NULL, 'PTHR23131', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE LACTB2', NULL, NULL, NULL, 15),
(160001, NULL, 'PTHR20856:SF27', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(160002, NULL, 'PTHR45868:SF46', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 35', NULL, NULL, NULL, 15),
(160003, NULL, 'PTHR31282:SF147', NULL, NULL, NULL, NULL, 'OS01G0820700 PROTEIN', NULL, NULL, NULL, 15),
(160004, NULL, 'PTHR11753:SF49', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT SIGMA-2', NULL, NULL, NULL, 15),
(160005, NULL, 'PTHR27005:SF371', NULL, NULL, NULL, NULL, 'OS02G0807200 PROTEIN', NULL, NULL, NULL, 15),
(160006, NULL, 'PTHR37096', NULL, NULL, NULL, NULL, 'YALI0E33429P', NULL, NULL, NULL, 15),
(160007, NULL, 'PTHR23430:SF244', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(160008, NULL, 'PTHR23267:SF402', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 12-98', NULL, NULL, NULL, 15),
(160009, NULL, 'PTHR22844:SF351', NULL, NULL, NULL, NULL, 'BNAA04G15460D PROTEIN', NULL, NULL, NULL, 15),
(160010, NULL, 'PTHR47880:SF1', NULL, NULL, NULL, NULL, 'OS05G0353300 PROTEIN', NULL, NULL, NULL, 15),
(160011, NULL, 'PTHR43798', NULL, NULL, NULL, NULL, 'MONOACYLGLYCEROL LIPASE', NULL, NULL, NULL, 15),
(160012, NULL, 'PTHR22799:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 3 MEMBER A', NULL, NULL, NULL, 15),
(160013, NULL, 'PTHR34373:SF10', NULL, NULL, NULL, NULL, 'SHUGOSHIN-1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(160014, NULL, 'PTHR13516:SF21', NULL, NULL, NULL, NULL, 'COLD AND DROUGHT-REGULATED PROTEIN CORA-LIKE', NULL, NULL, NULL, 15),
(160015, NULL, 'PTHR33671:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160016, NULL, 'PTHR23147:SF101', NULL, NULL, NULL, NULL, 'SERINE AND ARGININE RICH SPLICING FACTOR 8', NULL, NULL, NULL, 15),
(160017, NULL, 'PTHR13318:SF2', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 16', NULL, NULL, NULL, 15),
(160018, NULL, 'PTHR46168:SF9', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 2', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160019, NULL, 'PTHR31791:SF56', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(160020, NULL, 'PTHR10851:SF0', NULL, NULL, NULL, NULL, 'PYRIDOXINE-5''-PHOSPHATE OXIDASE', NULL, NULL, NULL, 15),
(160021, NULL, 'PTHR23073:SF7', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 6A', NULL, NULL, 18305, 15),
(160022, NULL, 'PTHR33098:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160023, NULL, 'PTHR31682:SF33', NULL, NULL, NULL, NULL, 'UDP-ARABINOPYRANOSE MUTASE 3', NULL, NULL, NULL, 15),
(160024, NULL, 'PTHR24376:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160025, NULL, 'PTHR11615:SF278', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN UU-1', NULL, NULL, NULL, 15),
(160026, NULL, 'PTHR24096:SF257', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', NULL, NULL, NULL, 15),
(160027, NULL, 'PTHR23110:SF100', NULL, NULL, NULL, NULL, 'MATERNAL GENE REQUIRED FOR MEIOSIS, ISOFORM H-RELATED', NULL, NULL, NULL, 15),
(160028, NULL, 'PTHR48027:SF15', NULL, NULL, NULL, NULL, 'OS01G0945800 PROTEIN', NULL, NULL, NULL, 15),
(160029, NULL, 'PTHR11081:SF1', NULL, NULL, NULL, NULL, 'FI23547P1', NULL, NULL, NULL, 15),
(160030, NULL, 'PTHR12001:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160031, NULL, 'PTHR19964:SF11', NULL, NULL, NULL, NULL, 'INAD-LIKE PROTEIN', NULL, NULL, NULL, 15),
(160032, NULL, 'PTHR34187:SF2', NULL, NULL, NULL, NULL, 'FGR18P', NULL, NULL, NULL, 15),
(160033, NULL, 'PTHR47440', NULL, NULL, NULL, NULL, 'RIKEN CDNA A430078G23 GENE', NULL, NULL, NULL, 15),
(160034, NULL, 'PTHR13080:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160035, NULL, 'PTHR24291:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160036, NULL, 'PTHR11480:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160037, NULL, 'PTHR43489:SF8', NULL, NULL, NULL, NULL, 'L-RIBULOSE-5-PHOSPHATE 3-EPIMERASE ULAE', NULL, NULL, NULL, 15),
(160038, NULL, 'PTHR10983:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160039, NULL, 'PTHR31669:SF203', NULL, NULL, NULL, NULL, 'OS02G0608100 PROTEIN', NULL, NULL, NULL, 15),
(160040, NULL, 'PTHR27001:SF885', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE IN IN FLOWERS PROTEIN', NULL, NULL, NULL, 15),
(160041, NULL, 'PTHR45974:SF186', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(160042, NULL, 'PTHR10983:SF61', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(160043, NULL, 'PTHR31360:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160044, NULL, 'PTHR39327:SF1', NULL, NULL, NULL, NULL, 'BLR5470 PROTEIN', NULL, NULL, NULL, 15),
(160045, NULL, 'PTHR23267:SF359', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-22', NULL, NULL, NULL, 15),
(160046, NULL, 'PTHR34450', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 245-RELATED', NULL, NULL, 9491, 15),
(160047, NULL, 'PTHR35719:SF2', NULL, NULL, NULL, NULL, 'OS01G0680600 PROTEIN', NULL, NULL, NULL, 15),
(160048, NULL, 'PTHR22883:SF352', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(160049, NULL, 'PTHR31764:SF0', NULL, NULL, NULL, NULL, 'PROTEIN HAPLESS 2', NULL, NULL, NULL, 15),
(160050, NULL, 'PTHR31150:SF21', NULL, NULL, NULL, NULL, 'OS02G0794000 PROTEIN', NULL, NULL, NULL, 15),
(160051, NULL, 'PTHR10353:SF159', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 16', NULL, NULL, NULL, 15),
(160052, NULL, 'PTHR48010:SF38', NULL, NULL, NULL, NULL, 'BNAC02G06700D PROTEIN', NULL, NULL, NULL, 15),
(160053, NULL, 'PTHR47982:SF22', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK14', NULL, NULL, NULL, 15),
(160054, NULL, 'PTHR13087', NULL, NULL, NULL, NULL, 'NF-KAPPA B ACTIVATING PROTEIN', NULL, NULL, 30800, 15),
(160055, NULL, 'PTHR31241:SF55', NULL, NULL, NULL, NULL, 'BNAC06G43980D PROTEIN', NULL, NULL, NULL, 15),
(160056, NULL, 'PTHR34222:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160057, NULL, 'PTHR47982:SF32', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK8', NULL, NULL, NULL, 15),
(160058, NULL, 'PTHR11761:SF28', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L14B/L23E-RELATED', NULL, NULL, NULL, 15),
(160059, NULL, 'PTHR23268:SF97', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 11-3', NULL, NULL, NULL, 15),
(160060, NULL, 'PTHR31208:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160061, NULL, 'PTHR45637:SF34', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIPK-LIKE', NULL, NULL, NULL, 15),
(160062, NULL, 'PTHR47939:SF4', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(160063, NULL, 'PTHR11875:SF35', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1-LIKE 5', NULL, NULL, NULL, 15),
(160064, NULL, 'PTHR47123:SF8', NULL, NULL, NULL, NULL, 'BNAC09G08910D PROTEIN', NULL, NULL, NULL, 15),
(160065, NULL, 'PTHR31374:SF306', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(160066, NULL, 'PTHR35262', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160067, NULL, 'PTHR11461:SF324', NULL, NULL, NULL, NULL, 'BNAC04G18570D PROTEIN', NULL, NULL, NULL, 15),
(160068, NULL, 'PTHR30509:SF23', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160069, NULL, 'PTHR48047:SF58', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(160070, NULL, 'PTHR33696:SF12', NULL, NULL, NULL, NULL, 'BNAA08G25910D PROTEIN', NULL, NULL, NULL, 15),
(160071, NULL, 'PTHR47569', NULL, NULL, NULL, NULL, 'NO-ASSOCIATED PROTEIN 1, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, 37018, 15),
(160072, NULL, 'PTHR11746:SF147', NULL, NULL, NULL, NULL, 'ACETYLSEROTONIN O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(160073, NULL, 'PTHR23500:SF461', NULL, NULL, NULL, NULL, 'POLYOL/MONOSACCHARIDE TRANSPORTER 1', NULL, NULL, NULL, 15),
(160074, NULL, 'PTHR31791:SF4', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(160075, NULL, 'PTHR43832:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160076, NULL, 'PTHR10192:SF20', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN MOLYBDENUMTRANSFERASE', NULL, NULL, NULL, 15),
(160077, NULL, 'PTHR46953:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR MTH-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(160078, NULL, 'PTHR23113:SF186', NULL, NULL, NULL, NULL, 'RAS-GEF DOMAIN-CONTAINING FAMILY MEMBER 1C', NULL, NULL, NULL, 15),
(160079, NULL, 'PTHR36059', NULL, NULL, NULL, NULL, 'OS02G0175800 PROTEIN', NULL, NULL, NULL, 15),
(160080, NULL, 'PTHR22761:SF69', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 5', NULL, NULL, NULL, 15),
(160081, NULL, 'PTHR31552:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(160082, NULL, 'PTHR31155:SF20', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(160083, NULL, 'PTHR31100:SF65', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(160084, NULL, 'PTHR13059:SF15', NULL, NULL, NULL, NULL, 'CAPICUA TRANSCRIPTIONAL REPRESSOR A', NULL, NULL, NULL, 15),
(160085, NULL, 'PTHR13859:SF11', NULL, NULL, NULL, NULL, 'GRUNGE, ISOFORM J', NULL, NULL, NULL, 15),
(160086, NULL, 'PTHR11206:SF329', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(160087, NULL, 'PTHR12876:SF11', NULL, NULL, NULL, NULL, 'RIBONUCLEASE ZC3H12D-RELATED', NULL, NULL, NULL, 15),
(160088, NULL, 'PTHR45770:SF11', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(160089, NULL, 'PTHR10027:SF10', NULL, NULL, NULL, NULL, 'SLOWPOKE 2, ISOFORM D', NULL, NULL, NULL, 15),
(160090, NULL, 'PTHR38825:SF1', NULL, NULL, NULL, NULL, 'LYSINE EXPORTER PROTEIN (LYSE/YGGA)', NULL, NULL, NULL, 15),
(160091, NULL, 'PTHR31082:SF11', NULL, NULL, NULL, NULL, 'DUF1212 DOMAIN MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G07620)', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160092, NULL, 'PTHR43903:SF3', NULL, NULL, NULL, NULL, 'NEUROLIGIN-2', NULL, NULL, 24709, 15),
(160093, NULL, 'PTHR13018:SF26', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G10920)-RELATED', NULL, NULL, NULL, 15),
(160094, NULL, 'PTHR45845:SF5', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 40', NULL, NULL, NULL, 15),
(160095, NULL, 'PTHR11709:SF391', NULL, NULL, NULL, NULL, 'OS01G0816700 PROTEIN', NULL, NULL, NULL, 15),
(160096, NULL, 'PTHR10351:SF54', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3', NULL, NULL, NULL, 15),
(160097, NULL, 'PTHR10816:SF9', NULL, NULL, NULL, NULL, 'SUPPRESSION OF TUMORIGENICITY 18 PROTEIN', NULL, NULL, NULL, 15),
(160098, NULL, 'PTHR31375:SF197', NULL, NULL, NULL, NULL, 'PECTIN LYASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(160099, NULL, 'PTHR24223:SF369', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 10', NULL, NULL, NULL, 15),
(160100, NULL, 'PTHR33958:SF1', NULL, NULL, NULL, NULL, 'PROTEIN C8ORF37', NULL, NULL, NULL, 15),
(160101, NULL, 'PTHR13878:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160102, NULL, 'PTHR43874:SF127', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(160103, NULL, 'PTHR42825:SF27', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(160104, NULL, 'PTHR13402:SF13', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16A', NULL, NULL, NULL, 15),
(160105, NULL, 'PTHR11588:SF247', NULL, NULL, NULL, NULL, 'TUBULIN BETA-4B CHAIN', NULL, NULL, NULL, 15),
(160106, NULL, 'PTHR15720:SF12', NULL, NULL, NULL, NULL, 'GREB1-LIKE PROTEIN', NULL, NULL, 15718, 15),
(160107, NULL, 'PTHR46034:SF24', NULL, NULL, NULL, NULL, 'DEVELOPMENT/CELL DEATH DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160108, NULL, 'PTHR11132:SF356', NULL, NULL, NULL, NULL, 'BNAC06G01790D PROTEIN', NULL, NULL, NULL, 15),
(160109, NULL, 'PTHR47317:SF3', NULL, NULL, NULL, NULL, 'BNAA05G15580D PROTEIN', NULL, NULL, NULL, 15),
(160110, NULL, 'PTHR15868:SF0', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 6430571L13 GENE, SIMILAR TO G20 PROTEIN', NULL, NULL, NULL, 15),
(160111, NULL, 'PTHR45974:SF43', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(160112, NULL, 'PTHR31867:SF161', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(160113, NULL, 'PTHR22446:SF3', NULL, NULL, NULL, NULL, 'M-PHASE-SPECIFIC PLK1-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(160114, NULL, 'PTHR28589', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S34, MITOCHONDRIAL', NULL, NULL, 23456, 15),
(160115, NULL, 'PTHR33623', NULL, NULL, NULL, NULL, 'OS04G0572500 PROTEIN', NULL, NULL, NULL, 15),
(160116, NULL, 'PTHR16021:SF11', NULL, NULL, NULL, NULL, 'MANSC DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(160117, NULL, 'PTHR43690:SF23', NULL, NULL, NULL, NULL, 'CATALYTIC/ METAL ION BINDING / METALLOENDOPEPTIDASE/ ZINC ION BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160118, NULL, 'PTHR48022:SF50', NULL, NULL, NULL, NULL, 'HEXOSE TRANSPORTER HXT14', NULL, NULL, NULL, 15),
(160119, NULL, 'PTHR11693:SF22', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT GAMMA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(160120, NULL, 'PTHR31674:SF31', NULL, NULL, NULL, NULL, 'BNAA04G12310D PROTEIN', NULL, NULL, NULL, 15),
(160121, NULL, 'PTHR11467:SF103', NULL, NULL, NULL, NULL, 'HMG-Y-RELATED PROTEIN A', NULL, NULL, 23619, 15),
(160122, NULL, 'PTHR11802:SF334', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 21', NULL, NULL, NULL, 15),
(160123, NULL, 'PTHR21461:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG26871', NULL, NULL, NULL, 15),
(160124, NULL, 'PTHR31288:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160125, NULL, 'PTHR37735:SF1', NULL, NULL, NULL, NULL, 'OS08G0567000 PROTEIN', NULL, NULL, NULL, 15),
(160126, NULL, 'PTHR13890:SF46', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(160127, NULL, 'PTHR10543:SF109', NULL, NULL, NULL, NULL, 'CAROTENOID 9,10(9'',10'')-CLEAVAGE DIOXYGENASE 1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160128, NULL, 'PTHR33142:SF69', NULL, NULL, NULL, NULL, 'BNAA08G27110D PROTEIN', NULL, NULL, NULL, 15),
(160129, NULL, 'PTHR19051:SF26', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 13-2', NULL, NULL, NULL, 15),
(160130, NULL, 'PTHR11668:SF456', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(160131, NULL, 'PTHR12100:SF1', NULL, NULL, NULL, NULL, 'RECYCLIN-1', NULL, NULL, NULL, 15),
(160132, NULL, 'PTHR22166:SF33', NULL, NULL, NULL, NULL, 'BNAA04G14280D PROTEIN', NULL, NULL, NULL, 15),
(160133, NULL, 'PTHR11730:SF105', NULL, NULL, NULL, NULL, 'RH BLOOD GROUP, D ANTIGEN', NULL, NULL, NULL, 15),
(160134, NULL, 'PTHR33169:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, PADR FAMILY', NULL, NULL, NULL, 15),
(160135, NULL, 'PTHR10168:SF62', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C1-LIKE', NULL, NULL, NULL, 15),
(160136, NULL, 'PTHR11662:SF435', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER 4,6-RELATED', NULL, NULL, NULL, 15),
(160137, NULL, 'PTHR45988', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY-RELATED', NULL, NULL, 38907, 15),
(160138, NULL, 'PTHR15159', NULL, NULL, NULL, NULL, 'NEUROSECRETORY PROTEIN VGF', NULL, NULL, 27853, 15),
(160139, NULL, 'PTHR33083:SF52', NULL, NULL, NULL, NULL, 'OJ000126_13.10 PROTEIN', NULL, NULL, NULL, 15),
(160140, NULL, 'PTHR11785:SF323', NULL, NULL, NULL, NULL, 'CYSTINE/GLUTAMATE TRANSPORTER', NULL, NULL, NULL, 15),
(160141, NULL, 'PTHR15907:SF150', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 8', NULL, NULL, NULL, 15),
(160142, NULL, 'PTHR43479:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, TETR FAMILY', NULL, NULL, NULL, 15),
(160143, NULL, 'PTHR14296:SF6', NULL, NULL, NULL, NULL, 'DDT DOMAIN-CONTAINING PROTEIN DDR4', NULL, NULL, NULL, 15),
(160144, NULL, 'PTHR31890:SF13', NULL, NULL, NULL, NULL, 'BNM1 LIKE PROTEIN', NULL, NULL, NULL, 15),
(160145, NULL, 'PTHR40641:SF2', NULL, NULL, NULL, NULL, 'INVOLUCRIN REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_2G08060)', NULL, NULL, NULL, 15),
(160146, NULL, 'PTHR12170', NULL, NULL, NULL, NULL, 'MACROPHAGE ERYTHROBLAST ATTACHER-RELATED', NULL, NULL, 38057, 15),
(160147, NULL, 'PTHR45797', NULL, NULL, NULL, NULL, 'RAD54-LIKE', NULL, NULL, 38672, 15),
(160148, NULL, 'PTHR34273:SF3', NULL, NULL, NULL, NULL, 'METHYLTHIORIBOSE KINASE', NULL, NULL, NULL, 15),
(160149, NULL, 'PTHR33472:SF9', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASES, ACTING ON NADH OR NADPH-RELATED', NULL, NULL, NULL, 15),
(160150, NULL, 'PTHR19325:SF484', NULL, NULL, NULL, NULL, 'P-SELECTIN', NULL, NULL, NULL, 15),
(160151, NULL, 'PTHR35718:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(160152, NULL, 'PTHR13847:SF187', NULL, NULL, NULL, NULL, 'DIMETHYLGLYCINE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(160153, NULL, 'PTHR10638:SF76', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(160154, NULL, 'PTHR14168:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160155, NULL, 'PTHR23430:SF135', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(160156, NULL, 'PTHR37317:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160157, NULL, 'PTHR24073:SF212', NULL, NULL, NULL, NULL, 'FI01544P', NULL, NULL, NULL, 15),
(160158, NULL, 'PTHR47370:SF1', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(160159, NULL, 'PTHR23406:SF68', NULL, NULL, NULL, NULL, 'MALIC ENZYME', NULL, NULL, NULL, 15),
(160160, NULL, 'PTHR11588:SF182', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(160161, NULL, 'PTHR12609', NULL, NULL, NULL, NULL, 'MICROTUBULE ASSOCIATED PROTEIN XMAP215', NULL, NULL, 37204, 15),
(160162, NULL, 'PTHR22835:SF492', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 2', NULL, NULL, NULL, 15),
(160163, NULL, 'PTHR45721', NULL, NULL, NULL, NULL, 'LAMIN DM0-RELATED', NULL, NULL, NULL, 15),
(160164, NULL, 'PTHR28637', NULL, NULL, NULL, NULL, 'DNA REPLICATION FACTOR CDT1', NULL, NULL, 37311, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160165, NULL, 'PTHR14209:SF26', NULL, NULL, NULL, NULL, 'ISOAMYL ACETATE-HYDROLYZING ESTERASE 1 HOMOLOG', NULL, NULL, NULL, 15),
(160166, NULL, 'PTHR12411:SF757', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160167, NULL, 'PTHR23501:SF149', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G10430)-RELATED', NULL, NULL, NULL, 15),
(160168, NULL, 'PTHR47364', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR 5', NULL, NULL, NULL, 15),
(160169, NULL, 'PTHR42891', NULL, NULL, NULL, NULL, 'D-GLYCERO-BETA-D-MANNO-HEPTOSE-1,7-BISPHOSPHATE 7-PHOSPHATASE', NULL, NULL, 7105, 15),
(160170, NULL, 'PTHR12289:SF23', NULL, NULL, NULL, NULL, 'CADMIUM RESPONSIVE', NULL, NULL, NULL, 15),
(160171, NULL, 'PTHR11406:SF27', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE 3, CYTOSOLIC', NULL, NULL, NULL, 15),
(160172, NULL, 'PTHR24373:SF97', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT NEURONAL PROTEIN 1', NULL, NULL, NULL, 15),
(160173, NULL, 'PTHR31072:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160174, NULL, 'PTHR34568:SF4', NULL, NULL, NULL, NULL, 'OS02G0638000 PROTEIN', NULL, NULL, NULL, 15),
(160175, NULL, 'PTHR12673:SF247', NULL, NULL, NULL, NULL, 'CYTOKINESIS PROTEIN DON1', NULL, NULL, NULL, 15),
(160176, NULL, 'PTHR11895:SF161', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160177, NULL, 'PTHR45660:SF40', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE FAMILY MEMBER SUVH9-LIKE', NULL, NULL, NULL, 15),
(160178, NULL, 'PTHR26452:SF385', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 483', NULL, NULL, NULL, 15),
(160179, NULL, 'PTHR47823', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160180, NULL, 'PTHR23177:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160181, NULL, 'PTHR23155:SF1133', NULL, NULL, NULL, NULL, 'OS11G0429100 PROTEIN', NULL, NULL, NULL, 15),
(160182, NULL, 'PTHR11972:SF150', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN I-RELATED', NULL, NULL, NULL, 15),
(160183, NULL, 'PTHR12758:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160184, NULL, 'PTHR43874:SF140', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR ARR8, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160185, NULL, 'PTHR13844:SF64', NULL, NULL, NULL, NULL, 'SWIB/MDM2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160186, NULL, 'PTHR11921', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE IRON-SULFUR PROTEIN', NULL, NULL, NULL, 15),
(160187, NULL, 'PTHR31916:SF51', NULL, NULL, NULL, NULL, 'NEUTRAL/ALKALINE INVERTASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(160188, NULL, 'PTHR11467:SF106', NULL, NULL, NULL, NULL, 'TITIN-LIKE', NULL, NULL, NULL, 15),
(160189, NULL, 'PTHR42690', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(160190, NULL, 'PTHR33326:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160191, NULL, 'PTHR11732:SF407', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER C18', NULL, NULL, NULL, 15),
(160192, NULL, 'PTHR10151:SF103', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(160193, NULL, 'PTHR16134:SF110', NULL, NULL, NULL, NULL, 'BNAA03G50450D PROTEIN', NULL, NULL, NULL, 15),
(160194, NULL, 'PTHR24286:SF189', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 722, SUBFAMILY A, POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(160195, NULL, 'PTHR43670:SF65', NULL, NULL, NULL, NULL, 'NEUROFILAMENT MEDIUM POLYPEPTIDE-LIKE', NULL, NULL, NULL, 15),
(160196, NULL, 'PTHR27001:SF144', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(160197, NULL, 'PTHR31264:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160198, NULL, 'PTHR45844:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH51', NULL, NULL, NULL, 15),
(160199, NULL, 'PTHR45642:SF105', NULL, NULL, NULL, NULL, 'YALI0D02255P', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160200, NULL, 'PTHR28646:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 201', NULL, NULL, NULL, 15),
(160201, NULL, 'PTHR10422:SF29', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 1 HOMOLOG, BACTEROID', NULL, NULL, 3096, 15),
(160202, NULL, 'PTHR13683:SF813', NULL, NULL, NULL, NULL, 'BNAANNG41520D PROTEIN', NULL, NULL, NULL, 15),
(160203, NULL, 'PTHR48020:SF6', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 3-RELATED', NULL, NULL, NULL, 15),
(160204, NULL, 'PTHR11362:SF88', NULL, NULL, NULL, NULL, 'ZCN16', NULL, NULL, NULL, 15),
(160205, NULL, 'PTHR23257:SF722', NULL, NULL, NULL, NULL, 'OS06G0646400 PROTEIN', NULL, NULL, NULL, 15),
(160206, NULL, 'PTHR24023:SF997', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160207, NULL, 'PTHR46093:SF10', NULL, NULL, NULL, NULL, 'KELCH-TYPE BETA PROPELLER-RELATED', NULL, NULL, NULL, 15),
(160208, NULL, 'PTHR47163', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160209, NULL, 'PTHR10891:SF885', NULL, NULL, NULL, NULL, 'CALCIUM BINDING PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(160210, NULL, 'PTHR11802:SF257', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 6', NULL, NULL, NULL, 15),
(160211, NULL, 'PTHR17616', NULL, NULL, NULL, NULL, 'YES-ASSOCIATED PROTEIN YAP1 FAMILY MEMBER', NULL, NULL, NULL, 15),
(160212, NULL, 'PTHR43187', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE DUG3-RELATED', NULL, NULL, NULL, 15),
(160213, NULL, 'PTHR31140:SF106', NULL, NULL, NULL, NULL, 'BNAANNG40580D PROTEIN', NULL, NULL, NULL, 15),
(160214, NULL, 'PTHR31062:SF224', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(160215, NULL, 'PTHR45633:SF3', NULL, NULL, NULL, NULL, '60 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(160216, NULL, 'PTHR33074:SF52', NULL, NULL, NULL, NULL, 'OS04G0388000 PROTEIN', NULL, NULL, NULL, 15),
(160217, NULL, 'PTHR33076:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160218, NULL, 'PTHR45730:SF34', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(160219, NULL, 'PTHR31407:SF41', NULL, NULL, NULL, NULL, 'BNAA08G28710D PROTEIN', NULL, NULL, NULL, 15),
(160220, NULL, 'PTHR47510:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160221, NULL, 'PTHR46037:SF4', NULL, NULL, NULL, NULL, 'GROWTH FACTOR RECEPTOR-BOUND PROTEIN 2', NULL, NULL, 23859, 15),
(160222, NULL, 'PTHR22814:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160223, NULL, 'PTHR31676:SF29', NULL, NULL, NULL, NULL, 'OS11G0683600 PROTEIN', NULL, NULL, NULL, 15),
(160224, NULL, 'PTHR36439:SF1', NULL, NULL, NULL, NULL, 'BLL4334 PROTEIN', NULL, NULL, NULL, 15),
(160225, NULL, 'PTHR10996:SF226', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160226, NULL, 'PTHR24058:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160227, NULL, 'PTHR22367', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, 24631, 15),
(160228, NULL, 'PTHR10334:SF448', NULL, NULL, NULL, NULL, 'OS07G0125000 PROTEIN', NULL, NULL, NULL, 15),
(160229, NULL, 'PTHR46971:SF1', NULL, NULL, NULL, NULL, 'CALCINEURIN B SUBUNIT (PROTEIN PHOSPHATASE 2B REGULATORY SUBUNIT)-LIKE PROTEIN', NULL, NULL, NULL, 15),
(160230, NULL, 'PTHR11530:SF16', NULL, NULL, NULL, NULL, 'D-AMINO ACID OXIDASE (AFU_ORTHOLOGUE AFUA_5G11290)', NULL, NULL, NULL, 15),
(160231, NULL, 'PTHR48013:SF21', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 3', NULL, NULL, NULL, 15),
(160232, NULL, 'PTHR43481:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160233, NULL, 'PTHR39444', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160234, NULL, 'PTHR47769:SF1', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 8', NULL, NULL, NULL, 15),
(160235, NULL, 'PTHR45737', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 5A', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160236, NULL, 'PTHR32285:SF229', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 20', NULL, NULL, NULL, 15),
(160237, NULL, 'PTHR22968:SF25', NULL, NULL, NULL, NULL, 'ZGC:175248', NULL, NULL, NULL, 15),
(160238, NULL, 'PTHR11035:SF3', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE', NULL, NULL, NULL, 15),
(160239, NULL, 'PTHR14140:SF42', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160240, NULL, 'PTHR10210:SF29', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYL PYROPHOSPHATE SYNTHASE-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(160241, NULL, 'PTHR37078:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160242, NULL, 'PTHR48024:SF13', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN Q', NULL, NULL, NULL, 15),
(160243, NULL, 'PTHR46413:SF1', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 6', NULL, NULL, NULL, 15),
(160244, NULL, 'PTHR33285:SF44', NULL, NULL, NULL, NULL, 'BNAC02G16840D PROTEIN', NULL, NULL, NULL, 15),
(160245, NULL, 'PTHR32309:SF25', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE ETK-RELATED', NULL, NULL, NULL, 15),
(160246, NULL, 'PTHR43324', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160247, NULL, 'PTHR10164:SF3', NULL, NULL, NULL, NULL, 'ISLET CELL AUTOANTIGEN 1', NULL, NULL, 22517, 15),
(160248, NULL, 'PTHR44592', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160249, NULL, 'PTHR15035:SF9', NULL, NULL, NULL, NULL, 'CORTICOLIBERIN', NULL, NULL, NULL, 15),
(160250, NULL, 'PTHR12415:SF4', NULL, NULL, NULL, NULL, 'TYROSYL-DNA PHOSPHODIESTERASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(160251, NULL, 'PTHR34343:SF1', NULL, NULL, NULL, NULL, 'SEROLOGICALLY DEFINED COLON CANCER ANTIGEN 8', NULL, NULL, NULL, 15),
(160252, NULL, 'PTHR46309:SF5', NULL, NULL, NULL, NULL, 'GNAT FAMILY ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(160253, NULL, 'PTHR10687:SF64', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(160254, NULL, 'PTHR32009:SF94', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(160255, NULL, 'PTHR34119:SF9', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(160256, NULL, 'PTHR24110:SF3', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 78 KDA', NULL, NULL, NULL, 15),
(160257, NULL, 'PTHR20963:SF43', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(160258, NULL, 'PTHR10775:SF148', NULL, NULL, NULL, NULL, 'OS04G0146034 PROTEIN', NULL, NULL, NULL, 15),
(160259, NULL, 'PTHR10485:SF3', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE 21.3 KDA SUBUNIT', NULL, NULL, NULL, 15),
(160260, NULL, 'PTHR43512:SF4', NULL, NULL, NULL, NULL, 'TRANSLATION FACTOR GUF1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(160261, NULL, 'PTHR47245:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(160262, NULL, 'PTHR32116:SF64', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(160263, NULL, 'PTHR31749', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN NSL1 HOMOLOG', NULL, NULL, 8238, 15),
(160264, NULL, 'PTHR24346:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160265, NULL, 'PTHR34630:SF46', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160266, NULL, 'PTHR47975:SF15', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(160267, NULL, 'PTHR27005:SF343', NULL, NULL, NULL, NULL, 'BNAA08G28110D PROTEIN', NULL, NULL, NULL, 15),
(160268, NULL, 'PTHR10204:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE [QUINONE] 1', NULL, NULL, NULL, 15),
(160269, NULL, 'PTHR35696:SF1', NULL, NULL, NULL, NULL, 'ELECTRON CARRIER/IRON ION-BINDING PROTEIN', NULL, NULL, NULL, 15),
(160270, NULL, 'PTHR24281:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160271, NULL, 'PTHR47926:SF118', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160272, NULL, 'PTHR11485:SF28', NULL, NULL, NULL, NULL, 'OVOTRANSFERRIN', NULL, NULL, NULL, 15),
(160273, NULL, 'PTHR30055:SF188', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(160274, NULL, 'PTHR14226:SF26', NULL, NULL, NULL, NULL, 'NEUROPATHY TARGET ESTERASE', NULL, NULL, NULL, 15),
(160275, NULL, 'PTHR24006:SF790', NULL, NULL, NULL, NULL, 'UBIQUITIN-SPECIFIC PROTEASE 12-RELATED', NULL, NULL, NULL, 15),
(160276, NULL, 'PTHR42877:SF8', NULL, NULL, NULL, NULL, 'MONOOXYGENASE', NULL, NULL, NULL, 15),
(160277, NULL, 'PTHR45676:SF31', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL51-RELATED', NULL, NULL, NULL, 15),
(160278, NULL, 'PTHR24329:SF545', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ESX1', NULL, NULL, NULL, 15),
(160279, NULL, 'PTHR34661', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 3', NULL, NULL, 29187, 15),
(160280, NULL, 'PTHR37353', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4921517D22 GENE', NULL, NULL, 29181, 15),
(160281, NULL, 'PTHR12083:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160282, NULL, 'PTHR44191:SF37', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1R1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(160283, NULL, 'PTHR37390:SF4', NULL, NULL, NULL, NULL, 'BNAA01G24000D PROTEIN', NULL, NULL, NULL, 15),
(160284, NULL, 'PTHR23091', NULL, NULL, NULL, NULL, 'N-TERMINAL ACETYLTRANSFERASE', NULL, NULL, 39472, 15),
(160285, NULL, 'PTHR13042:SF11', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(160286, NULL, 'PTHR24092:SF68', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(160287, NULL, 'PTHR46628', NULL, NULL, NULL, NULL, 'PIRNA BIOGENESIS PROTEIN EXD1', NULL, NULL, NULL, 15),
(160288, NULL, 'PTHR10994:SF141', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B10', NULL, NULL, NULL, 15),
(160289, NULL, 'PTHR30627:SF21', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN H', NULL, NULL, NULL, 15),
(160290, NULL, 'PTHR43795:SF81', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 8', NULL, NULL, NULL, 15),
(160291, NULL, 'PTHR33124:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IBH1-LIKE 1', NULL, NULL, NULL, 15),
(160292, NULL, 'PTHR31989:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160293, NULL, 'PTHR45660:SF17', NULL, NULL, NULL, NULL, 'SRA-YDG, PUA-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160294, NULL, 'PTHR46300:SF9', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(160295, NULL, 'PTHR15598:SF11', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160296, NULL, 'PTHR16719:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE COPPER CHAPERONE 2', NULL, NULL, NULL, 15),
(160297, NULL, 'PTHR47942:SF7', NULL, NULL, NULL, NULL, 'OS02G0711100 PROTEIN', NULL, NULL, NULL, 15),
(160298, NULL, 'PTHR21038', NULL, NULL, NULL, NULL, '40-2-3 PROTEIN-RELATED', NULL, NULL, 13435, 15),
(160299, NULL, 'PTHR46125:SF7', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 28-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(160300, NULL, 'PTHR33065:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160301, NULL, 'PTHR31080:SF123', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 2', NULL, NULL, NULL, 15),
(160302, NULL, 'PTHR43120:SF14', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', NULL, NULL, NULL, 15),
(160303, NULL, 'PTHR46204:SF23', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160304, NULL, 'PTHR43986:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160305, NULL, 'PTHR20905:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG11298', NULL, NULL, NULL, 15),
(160306, NULL, 'PTHR10513:SF38', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOSIDE KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160307, NULL, 'PTHR12606', NULL, NULL, NULL, NULL, 'SENTRIN/SUMO-SPECIFIC PROTEASE', NULL, NULL, NULL, 15),
(160308, NULL, 'PTHR24373:SF283', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE NEURONAL PROTEIN 4', NULL, NULL, NULL, 15),
(160309, NULL, 'PTHR10168:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160310, NULL, 'PTHR45676:SF97', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL51-LIKE', NULL, NULL, NULL, 15),
(160311, NULL, 'PTHR10050', NULL, NULL, NULL, NULL, 'DOLICHYL-PHOSPHATE-MANNOSE--PROTEIN MANNOSYLTRANSFERASE', NULL, NULL, 28141, 15),
(160312, NULL, 'PTHR31941', NULL, NULL, NULL, NULL, 'CYTOSKELETAL SIGNALING PROTEIN SLM1', NULL, NULL, NULL, 15),
(160313, NULL, 'PTHR31925:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 251', NULL, NULL, NULL, 15),
(160314, NULL, 'PTHR32133:SF134', NULL, NULL, NULL, NULL, 'OS10G0137700 PROTEIN', NULL, NULL, NULL, 15),
(160315, NULL, 'PTHR24381:SF278', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 391', NULL, NULL, NULL, 15),
(160316, NULL, 'PTHR11615:SF216', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT G', NULL, NULL, NULL, 15),
(160317, NULL, 'PTHR30249:SF15', NULL, NULL, NULL, NULL, 'BNAA05G16460D PROTEIN', NULL, NULL, NULL, 15),
(160318, NULL, 'PTHR43168:SF7', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L33, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(160319, NULL, 'PTHR11902:SF6', NULL, NULL, NULL, NULL, 'ENO3 PROTEIN', NULL, NULL, NULL, 15),
(160320, NULL, 'PTHR18966:SF505', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 1-RELATED', NULL, NULL, NULL, 15),
(160321, NULL, 'PTHR33207:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160322, NULL, 'PTHR42727', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(160323, NULL, 'PTHR31385:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF220)-RELATED', NULL, NULL, NULL, 15),
(160324, NULL, 'PTHR47358', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HOS1', NULL, NULL, 37897, 15),
(160325, NULL, 'PTHR36758', NULL, NULL, NULL, NULL, 'OS01G0342800 PROTEIN', NULL, NULL, NULL, 15),
(160326, NULL, 'PTHR33333:SF20', NULL, NULL, NULL, NULL, 'ERYTHROCYTE MEMBRANE PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(160327, NULL, 'PTHR40712:SF2', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 153 MEMBER C-RELATED', NULL, NULL, NULL, 15),
(160328, NULL, 'PTHR46154:SF6', NULL, NULL, NULL, NULL, 'BNAA02G36580D PROTEIN', NULL, NULL, NULL, 15),
(160329, NULL, 'PTHR31080:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160330, NULL, 'PTHR34401:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG07758', NULL, NULL, NULL, 15),
(160331, NULL, 'PTHR33085:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160332, NULL, 'PTHR23020', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED NUCLEAR HORMONE RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(160333, NULL, 'PTHR35108:SF6', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 3, CHLOROPLAST, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160334, NULL, 'PTHR30193:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YESP-RELATED', NULL, NULL, NULL, 15),
(160335, NULL, 'PTHR14927:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 10', NULL, NULL, NULL, 15),
(160336, NULL, 'PTHR11362:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160337, NULL, 'PTHR48049:SF73', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(160338, NULL, 'PTHR10133', NULL, NULL, NULL, NULL, 'DNA POLYMERASE I', NULL, NULL, 120, 15),
(160339, NULL, 'PTHR22952:SF355', NULL, NULL, NULL, NULL, 'OS09G0540800 PROTEIN', NULL, NULL, NULL, 15),
(160340, NULL, 'PTHR11929:SF205', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(160341, NULL, 'PTHR40657', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC681367', NULL, NULL, 36058, 15),
(160342, NULL, 'PTHR47976:SF58', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160343, NULL, 'PTHR20861', NULL, NULL, NULL, NULL, 'HOMOSERINE/4-DIPHOSPHOCYTIDYL-2-C-METHYL-D-ERYTHRITOL KINASE', NULL, NULL, NULL, 15),
(160344, NULL, 'PTHR42898:SF49', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', NULL, NULL, NULL, 15),
(160345, NULL, 'PTHR32060:SF5', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL-PROCESSING PEPTIDASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(160346, NULL, 'PTHR19850:SF38', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN, BETA SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(160347, NULL, 'PTHR31430:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG12472', NULL, NULL, NULL, 15),
(160348, NULL, 'PTHR16821:SF7', NULL, NULL, NULL, NULL, 'BNAA09G01420D PROTEIN', NULL, NULL, NULL, 15),
(160349, NULL, 'PTHR31213:SF121', NULL, NULL, NULL, NULL, 'MAJOR ALLERGEN PRU AR 1', NULL, NULL, NULL, 15),
(160350, NULL, 'PTHR24376:SF86', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 748', NULL, NULL, NULL, 15),
(160351, NULL, 'PTHR35307', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160352, NULL, 'PTHR31205:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160353, NULL, 'PTHR13848:SF77', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(160354, NULL, 'PTHR31901:SF90', NULL, NULL, NULL, NULL, 'BNAA03G52610D PROTEIN', NULL, NULL, NULL, 15),
(160355, NULL, 'PTHR33228:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160356, NULL, 'PTHR21068:SF41', NULL, NULL, NULL, NULL, 'SENESCENCE/DEHYDRATION-ASSOCIATED PROTEIN-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160357, NULL, 'PTHR12159:SF10', NULL, NULL, NULL, NULL, 'THYMINE DNA GLYCOSYLASE, TANDEM DUPLICATE 2', NULL, NULL, NULL, 15),
(160358, NULL, 'PTHR10795:SF523', NULL, NULL, NULL, NULL, 'SERINE PROTEINASE 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160359, NULL, 'PTHR12448:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160360, NULL, 'PTHR43572:SF41', NULL, NULL, NULL, NULL, 'PROTEIN SMAX1-LIKE 3-LIKE', NULL, NULL, NULL, 15),
(160361, NULL, 'PTHR31190:SF222', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF105', NULL, NULL, NULL, 15),
(160362, NULL, 'PTHR25466:SF7', NULL, NULL, NULL, NULL, 'HERV-H LTR-ASSOCIATING 2A, TANDEM DUPLICATE 1-RELATED', NULL, NULL, NULL, 15),
(160363, NULL, 'PTHR24637:SF261', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(160364, NULL, 'PTHR23273:SF50', NULL, NULL, NULL, NULL, 'BNAC02G25160D PROTEIN', NULL, NULL, NULL, 15),
(160365, NULL, 'PTHR23263:SF26', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 9', NULL, NULL, NULL, 15),
(160366, NULL, 'PTHR31967:SF18', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)', NULL, NULL, NULL, 15),
(160367, NULL, 'PTHR47956:SF29', NULL, NULL, NULL, NULL, 'OS02G0278400 PROTEIN', NULL, NULL, NULL, 15),
(160368, NULL, 'PTHR10942:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160369, NULL, 'PTHR12156:SF29', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN, FAMILY B, MEMBER 1A', NULL, NULL, NULL, 15),
(160370, NULL, 'PTHR24060:SF159', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 125', NULL, NULL, NULL, 15),
(160371, NULL, 'PTHR32444:SF126', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', NULL, NULL, NULL, 15),
(160372, NULL, 'PTHR21366', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(160373, NULL, 'PTHR10332:SF38', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 3-RELATED', NULL, NULL, NULL, 15),
(160374, NULL, 'PTHR19441:SF74', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 15A', NULL, NULL, NULL, 15),
(160375, NULL, 'PTHR34123:SF4', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN, PUTATIVE (DUF2358)-RELATED', NULL, NULL, NULL, 15),
(160376, NULL, 'PTHR22765:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160377, NULL, 'PTHR11278:SF18', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160378, NULL, 'PTHR11066:SF37', NULL, NULL, NULL, NULL, 'PROTEIN CBG08033', NULL, NULL, NULL, 15),
(160379, NULL, 'PTHR47460', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN ACR4', NULL, NULL, NULL, 15),
(160380, NULL, 'PTHR33147:SF98', NULL, NULL, NULL, NULL, 'GAMMA-THIONIN-RELATED', NULL, NULL, NULL, 15),
(160381, NULL, 'PTHR11736:SF10', NULL, NULL, NULL, NULL, 'NECDIN', NULL, NULL, 24779, 15),
(160382, NULL, 'PTHR36698', NULL, NULL, NULL, NULL, 'BLL5892 PROTEIN', NULL, NULL, NULL, 15),
(160383, NULL, 'PTHR43791:SF55', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G01820)-RELATED', NULL, NULL, NULL, 15),
(160384, NULL, 'PTHR46270:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160385, NULL, 'PTHR11062:SF214', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE XLT2', NULL, NULL, NULL, 15),
(160386, NULL, 'PTHR19290:SF150', NULL, NULL, NULL, NULL, 'ATONAL BHLH TRANSCRIPTION FACTOR 1B', NULL, NULL, NULL, 15),
(160387, NULL, 'PTHR34482:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160388, NULL, 'PTHR13904:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160389, NULL, 'PTHR31734:SF196', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(160390, NULL, 'PTHR31561:SF147', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(160391, NULL, 'PTHR24349:SF446', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160392, NULL, 'PTHR24559:SF373', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN, RIBONUCLEASE H-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160393, NULL, 'PTHR45642:SF90', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160394, NULL, 'PTHR36595:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(160395, NULL, 'PTHR10351', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3 FAMILY MEMBER', NULL, NULL, 35897, 15),
(160396, NULL, 'PTHR11469:SF3', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(160397, NULL, 'PTHR12277:SF163', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160398, NULL, 'PTHR22893:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160399, NULL, 'PTHR12634:SF28', NULL, NULL, NULL, NULL, 'BNAANNG11330D PROTEIN', NULL, NULL, NULL, 15),
(160400, NULL, 'PTHR10676', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN FAMILY PROTEIN', NULL, NULL, 24070, 15),
(160401, NULL, 'PTHR10113:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160402, NULL, 'PTHR31495:SF14', NULL, NULL, NULL, NULL, 'CALEOSIN', NULL, NULL, NULL, 15),
(160403, NULL, 'PTHR23090', NULL, NULL, NULL, NULL, 'NH 3 /GLUTAMINE-DEPENDENT NAD +  SYNTHETASE', NULL, NULL, 1689, 15),
(160404, NULL, 'PTHR33236:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160405, NULL, 'PTHR22589:SF55', NULL, NULL, NULL, NULL, 'CARNITINE O-PALMITOYLTRANSFERASE 1, BRAIN ISOFORM', NULL, NULL, NULL, 15),
(160406, NULL, 'PTHR22855:SF13', NULL, NULL, NULL, NULL, 'METHYLCROTONOYL-COA CARBOXYLASE BETA CHAIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(160407, NULL, 'PTHR47087:SF2', NULL, NULL, NULL, NULL, 'METHIONINE S-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(160408, NULL, 'PTHR16223:SF228', NULL, NULL, NULL, NULL, 'BNAA04G20390D PROTEIN', NULL, NULL, NULL, 15),
(160409, NULL, 'PTHR45676:SF38', NULL, NULL, NULL, NULL, 'BNAA02G16340D PROTEIN', NULL, NULL, NULL, 15),
(160410, NULL, 'PTHR11955:SF60', NULL, NULL, NULL, NULL, 'CELLULAR RETINOIC ACID-BINDING PROTEIN 2', NULL, NULL, 22155, 15),
(160411, NULL, 'PTHR10183', NULL, NULL, NULL, NULL, 'CALPAIN', NULL, NULL, NULL, 15),
(160412, NULL, 'PTHR47928', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160413, NULL, 'PTHR32193', NULL, NULL, NULL, NULL, 'REGULATOR OF CELL CYCLE RGCC', NULL, NULL, 21756, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160414, NULL, 'PTHR37297', NULL, NULL, NULL, NULL, 'PROTEIN NRDI', NULL, NULL, 7480, 15),
(160415, NULL, 'PTHR34721:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG20110', NULL, NULL, NULL, 15),
(160416, NULL, 'PTHR11242:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160417, NULL, 'PTHR12454:SF3', NULL, NULL, NULL, NULL, 'TRIMERIC INTRACELLULAR CATION CHANNEL TYPE A', NULL, NULL, NULL, 15),
(160418, NULL, 'PTHR33052:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160419, NULL, 'PTHR23333:SF33', NULL, NULL, NULL, NULL, 'BNACNNG13870D PROTEIN', NULL, NULL, NULL, 15),
(160420, NULL, 'PTHR31917:SF74', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(160421, NULL, 'PTHR23024:SF540', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', NULL, NULL, NULL, 15),
(160422, NULL, 'PTHR31683:SF144', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(160423, NULL, 'PTHR10791:SF54', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET2B', NULL, NULL, NULL, 15),
(160424, NULL, 'PTHR14467:SF0', NULL, NULL, NULL, NULL, 'PROTEIN ARV1', NULL, NULL, NULL, 15),
(160425, NULL, 'PTHR27007:SF318', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160426, NULL, 'PTHR30558:SF3', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBD-RELATED', NULL, NULL, NULL, 15),
(160427, NULL, 'PTHR10283:SF132', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 13 MEMBER 5A', NULL, NULL, NULL, 15),
(160428, NULL, 'PTHR42643:SF19', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 100A', NULL, NULL, NULL, 15),
(160429, NULL, 'PTHR45623:SF2', NULL, NULL, NULL, NULL, 'CHROMODOMAIN HELICASE DNA-BINDING PROTEIN 9', NULL, NULL, 38243, 15),
(160430, NULL, 'PTHR11165:SF131', NULL, NULL, NULL, NULL, 'BNACNNG61970D PROTEIN', NULL, NULL, NULL, 15),
(160431, NULL, 'PTHR45651:SF24', NULL, NULL, NULL, NULL, 'OS08G0254600 PROTEIN', NULL, NULL, NULL, 15),
(160432, NULL, 'PTHR24298:SF849', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A26', NULL, NULL, NULL, 15),
(160433, NULL, 'PTHR11071:SF475', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(160434, NULL, 'PTHR31568:SF84', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', NULL, NULL, NULL, 15),
(160435, NULL, 'PTHR45751:SF24', NULL, NULL, NULL, NULL, 'COPINE-RELATED', NULL, NULL, NULL, 15),
(160436, NULL, 'PTHR47488:SF16', NULL, NULL, NULL, NULL, 'HEAVY-METAL-ASSOCIATED DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(160437, NULL, 'PTHR47567', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE/SOLUTE CARRIER', NULL, NULL, NULL, 15),
(160438, NULL, 'PTHR22893:SF103', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOIC ACID REDUCTASE 1', NULL, NULL, NULL, 15),
(160439, NULL, 'PTHR37006:SF1', NULL, NULL, NULL, NULL, 'RETROVIRAL-LIKE ASPARTIC PROTEASE 1', NULL, NULL, NULL, 15),
(160440, NULL, 'PTHR24320:SF108', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 11', NULL, NULL, NULL, 15),
(160441, NULL, 'PTHR34387:SF2', NULL, NULL, NULL, NULL, 'SLR1258 PROTEIN', NULL, NULL, NULL, 15),
(160442, NULL, 'PTHR43884:SF20', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FADE27', NULL, NULL, NULL, 15),
(160443, NULL, 'PTHR11685:SF266', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARI12-RELATED', NULL, NULL, NULL, 15),
(160444, NULL, 'PTHR45684:SF34', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1A', NULL, NULL, NULL, 15),
(160445, NULL, 'PTHR12460:SF26', NULL, NULL, NULL, NULL, 'BNAA09G01820D PROTEIN', NULL, NULL, NULL, 15),
(160446, NULL, 'PTHR46411', NULL, NULL, NULL, NULL, 'FAMILY ATPASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160447, NULL, 'PTHR45808:SF3', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACL', NULL, NULL, NULL, 15),
(160448, NULL, 'PTHR34274:SF9', NULL, NULL, NULL, NULL, 'BNAA05G14730D PROTEIN', NULL, NULL, NULL, 15),
(160449, NULL, 'PTHR11783:SF14', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE FAMILY CYTOSOLIC 1B MEMBER 1', NULL, NULL, 30980, 15),
(160450, NULL, 'PTHR24119:SF0', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160451, NULL, 'PTHR23232:SF98', NULL, NULL, NULL, NULL, 'KRAB DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(160452, NULL, 'PTHR10417:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160453, NULL, 'PTHR13044:SF38', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR JLBA/IDI-4', NULL, NULL, NULL, 15),
(160454, NULL, 'PTHR10394:SF19', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', NULL, NULL, NULL, 15),
(160455, NULL, 'PTHR47167:SF2', NULL, NULL, NULL, NULL, 'TAO KINASE 3', NULL, NULL, NULL, 15),
(160456, NULL, 'PTHR12570:SF13', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA3', NULL, NULL, NULL, 15),
(160457, NULL, 'PTHR46386:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR BODY PROTEIN SP140', NULL, NULL, NULL, 15),
(160458, NULL, 'PTHR35076:SF1', NULL, NULL, NULL, NULL, 'TUBULIN EPSILON AND DELTA COMPLEX PROTEIN 1', NULL, NULL, NULL, 15),
(160459, NULL, 'PTHR11558:SF44', NULL, NULL, NULL, NULL, 'SPERMIDINE SYNTHASE', NULL, NULL, NULL, 15),
(160460, NULL, 'PTHR41307', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160461, NULL, 'PTHR30469:SF29', NULL, NULL, NULL, NULL, 'BLR2860 PROTEIN', NULL, NULL, NULL, 15),
(160462, NULL, 'PTHR40370:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(160463, NULL, 'PTHR45613:SF2', NULL, NULL, NULL, NULL, 'OS04G0350000 PROTEIN', NULL, NULL, NULL, 15),
(160464, NULL, 'PTHR23077:SF153', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 48 HOMOLOG', NULL, NULL, NULL, 15),
(160465, NULL, 'PTHR24637:SF289', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(160466, NULL, 'PTHR21191:SF16', NULL, NULL, NULL, NULL, 'AQUAPORIN', NULL, NULL, 26726, 15),
(160467, NULL, 'PTHR43495:SF7', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN YIFK-RELATED', NULL, NULL, NULL, 15),
(160468, NULL, 'PTHR34060:SF3', NULL, NULL, NULL, NULL, 'BNAA09G52170D PROTEIN', NULL, NULL, NULL, 15),
(160469, NULL, 'PTHR23428:SF77', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-A', NULL, NULL, NULL, 15),
(160470, NULL, 'PTHR12612:SF4', NULL, NULL, NULL, NULL, 'NTF2-RELATED EXPORT PROTEIN 1', NULL, NULL, NULL, 15),
(160471, NULL, 'PTHR31007', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE II INHIBITOR 2', NULL, NULL, 25242, 15),
(160472, NULL, 'PTHR22589:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG17205', NULL, NULL, NULL, 15),
(160473, NULL, 'PTHR24073:SF1121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160474, NULL, 'PTHR33232:SF20', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION B-LIKE', NULL, NULL, NULL, 15),
(160475, NULL, 'PTHR14156', NULL, NULL, NULL, NULL, 'MOTILIN', NULL, NULL, 18344, 15),
(160476, NULL, 'PTHR11717:SF31', NULL, NULL, NULL, NULL, 'LOW MOLECULAR WEIGHT PROTEIN-TYROSINE-PHOSPHATASE PTPB', NULL, NULL, NULL, 15),
(160477, NULL, 'PTHR31561:SF76', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 13-RELATED', NULL, NULL, NULL, 15),
(160478, NULL, 'PTHR10315:SF115', NULL, NULL, NULL, NULL, 'BNAC02G24630D PROTEIN', NULL, NULL, NULL, 15),
(160479, NULL, 'PTHR11409:SF39', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE 2', NULL, NULL, NULL, 15),
(160480, NULL, 'PTHR45724:SF12', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP3-1', NULL, NULL, NULL, 15),
(160481, NULL, 'PTHR23255:SF50', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN RECEPTOR TYPE-1A', NULL, NULL, NULL, 15),
(160482, NULL, 'PTHR23054:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160483, NULL, 'PTHR11474:SF109', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE E, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(160484, NULL, 'PTHR47499:SF5', NULL, NULL, NULL, NULL, 'SERINE PEPTIDASE INHIBITOR, KAZAL TYPE 6', NULL, NULL, NULL, 15),
(160485, NULL, 'PTHR11783:SF268', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160486, NULL, 'PTHR42978:SF2', NULL, NULL, NULL, NULL, 'QUORUM-QUENCHING LACTONASE YTNP-RELATED', NULL, NULL, NULL, 15),
(160487, NULL, 'PTHR21245:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160488, NULL, 'PTHR46169:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160489, NULL, 'PTHR10114:SF17', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', NULL, NULL, NULL, 15),
(160490, NULL, 'PTHR35998:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160491, NULL, 'PTHR46561:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', NULL, NULL, NULL, 15),
(160492, NULL, 'PTHR24377:SF867', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 712', NULL, NULL, NULL, 15),
(160493, NULL, 'PTHR44468:SF1', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING 8A', NULL, NULL, NULL, 15),
(160494, NULL, 'PTHR46287:SF7', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(160495, NULL, 'PTHR11586:SF33', NULL, NULL, NULL, NULL, 'AMINOACYL TRNA SYNTHASE COMPLEX-INTERACTING MULTIFUNCTIONAL PROTEIN 1', NULL, NULL, NULL, 15),
(160496, NULL, 'PTHR23115:SF119', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR GTP-BINDING SUBUNIT ERF3B', NULL, NULL, NULL, 15),
(160497, NULL, 'PTHR45712:SF3', NULL, NULL, NULL, NULL, 'OSTEOMODULIN', NULL, NULL, 2996, 15),
(160498, NULL, 'PTHR10353:SF228', NULL, NULL, NULL, NULL, 'BNAA08G05540D PROTEIN', NULL, NULL, NULL, 15),
(160499, NULL, 'PTHR32215:SF12', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(160500, NULL, 'PTHR19368', NULL, NULL, NULL, NULL, 'XLR/SCP3/FAM9', NULL, NULL, NULL, 15),
(160501, NULL, 'PTHR40326', NULL, NULL, NULL, NULL, 'PROTEIN CBG10816', NULL, NULL, NULL, 15),
(160502, NULL, 'PTHR47979:SF18', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN YPTC6', NULL, NULL, NULL, 15),
(160503, NULL, 'PTHR12693', NULL, NULL, NULL, NULL, 'MENIN', NULL, NULL, 1487, 15),
(160504, NULL, 'PTHR32100:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160505, NULL, 'PTHR14787:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 10 OPEN READING FRAME 88', NULL, NULL, NULL, 15),
(160506, NULL, 'PTHR11659:SF2', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT E', NULL, NULL, 7289, 15),
(160507, NULL, 'PTHR31197:SF21', NULL, NULL, NULL, NULL, 'BNAC03G28140D PROTEIN', NULL, NULL, NULL, 15),
(160508, NULL, 'PTHR24349:SF364', NULL, NULL, NULL, NULL, 'BNAC04G47900D PROTEIN', NULL, NULL, NULL, 15),
(160509, NULL, 'PTHR12547:SF144', NULL, NULL, NULL, NULL, 'MEX-1', NULL, NULL, NULL, 15),
(160510, NULL, 'PTHR10965:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L38', NULL, NULL, NULL, 15),
(160511, NULL, 'PTHR24298:SF826', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160512, NULL, 'PTHR15493:SF8', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 5', NULL, NULL, NULL, 15),
(160513, NULL, 'PTHR24070:SF424', NULL, NULL, NULL, NULL, 'RAP1A, MEMBER OF RAS ONCOGENE FAMILY', NULL, NULL, NULL, 15),
(160514, NULL, 'PTHR23236:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B', NULL, NULL, 31213, 15),
(160515, NULL, 'PTHR30376', NULL, NULL, NULL, NULL, 'SIGMA FACTOR RPOH  HEAT SHOCK  RELATED', NULL, NULL, NULL, 15),
(160516, NULL, 'PTHR37209:SF4', NULL, NULL, NULL, NULL, 'BNACNNG22370D PROTEIN', NULL, NULL, NULL, 15),
(160517, NULL, 'PTHR19433:SF125', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 39', NULL, NULL, NULL, 15),
(160518, NULL, 'PTHR46248:SF15', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1, LEUCINE-ZIPPER-RELATED', NULL, NULL, NULL, 15),
(160519, NULL, 'PTHR45791:SF3', NULL, NULL, NULL, NULL, 'CALCIUM AND INTEGRIN-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(160520, NULL, 'PTHR15197:SF0', NULL, NULL, NULL, NULL, 'COILIN', NULL, NULL, NULL, 15),
(160521, NULL, 'PTHR12542:SF122', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(160522, NULL, 'PTHR16517:SF104', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 5', NULL, NULL, NULL, 15),
(160523, NULL, 'PTHR11972:SF55', NULL, NULL, NULL, NULL, 'BNAA01G14440D PROTEIN', NULL, NULL, NULL, 15),
(160524, NULL, 'PTHR31390:SF19', NULL, NULL, NULL, NULL, 'BNAA10G27440D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160525, NULL, 'PTHR31086:SF2', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 12-RELATED', NULL, NULL, NULL, 15),
(160526, NULL, 'PTHR31375:SF154', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT H', NULL, NULL, NULL, 15),
(160527, NULL, 'PTHR31374:SF259', NULL, NULL, NULL, NULL, 'BNAANNG09090D PROTEIN', NULL, NULL, NULL, 15),
(160528, NULL, 'PTHR45863:SF30', NULL, NULL, NULL, NULL, 'BNAC01G10520D PROTEIN', NULL, NULL, NULL, 15),
(160529, NULL, 'PTHR30290:SF72', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR SGRR', NULL, NULL, NULL, 15),
(160530, NULL, 'PTHR47965:SF64', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE PCS1', NULL, NULL, NULL, 15),
(160531, NULL, 'PTHR31089:SF31', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 1', NULL, NULL, NULL, 15),
(160532, NULL, 'PTHR11328:SF45', NULL, NULL, NULL, NULL, 'BNAC04G22460D PROTEIN', NULL, NULL, NULL, 15),
(160533, NULL, 'PTHR33881', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH-LIKE PROTEIN', NULL, NULL, NULL, 15),
(160534, NULL, 'PTHR32370:SF14', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN SR1IP1', NULL, NULL, NULL, 15),
(160535, NULL, 'PTHR33203:SF35', NULL, NULL, NULL, NULL, 'OLEOSIN 14.9 KDA', NULL, NULL, NULL, 15),
(160536, NULL, 'PTHR13068:SF155', NULL, NULL, NULL, NULL, 'BNAC01G30010D PROTEIN', NULL, NULL, NULL, 15),
(160537, NULL, 'PTHR21527:SF6', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP35', NULL, NULL, NULL, 15),
(160538, NULL, 'PTHR35293', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED PROTEIN 1.5', NULL, NULL, 39190, 15),
(160539, NULL, 'PTHR10334:SF443', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(160540, NULL, 'PTHR31770:SF1', NULL, NULL, NULL, NULL, 'CHEMOKINE-LIKE PROTEIN TAFA-2', NULL, NULL, NULL, 15),
(160541, NULL, 'PTHR11711:SF378', NULL, NULL, NULL, NULL, 'BNAC09G20250D PROTEIN', NULL, NULL, NULL, 15),
(160542, NULL, 'PTHR13634:SF1', NULL, NULL, NULL, NULL, 'OS01G0148400 PROTEIN', NULL, NULL, NULL, 15),
(160543, NULL, 'PTHR15298:SF6', NULL, NULL, NULL, NULL, 'GLYCINE N-ACYLTRANSFERASE-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(160544, NULL, 'PTHR47976:SF52', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE', NULL, NULL, NULL, 15),
(160545, NULL, 'PTHR43874:SF85', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR2', NULL, NULL, NULL, 15),
(160546, NULL, 'PTHR32080:SF2', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 8', NULL, NULL, NULL, 15),
(160547, NULL, 'PTHR28570:SF3', NULL, NULL, NULL, NULL, 'ASPARTYL AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(160548, NULL, 'PTHR26379:SF372', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160549, NULL, 'PTHR15237:SF0', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT CONTROL PROTEIN', NULL, NULL, NULL, 15),
(160550, NULL, 'PTHR45633:SF38', NULL, NULL, NULL, NULL, 'BNACNNG52030D PROTEIN', NULL, NULL, NULL, 15),
(160551, NULL, 'PTHR38519:SF4', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(160552, NULL, 'PTHR11802:SF357', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE CATALYTIC SUBUNIT 1', NULL, NULL, NULL, 15),
(160553, NULL, 'PTHR28676:SF1', NULL, NULL, NULL, NULL, 'ALK AND LTK LIGAND 1', NULL, NULL, NULL, 15),
(160554, NULL, 'PTHR24073:SF588', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-31', NULL, NULL, NULL, 15),
(160555, NULL, 'PTHR31509:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160556, NULL, 'PTHR31916:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0084A10.16 PROTEIN', NULL, NULL, NULL, 15),
(160557, NULL, 'PTHR37743:SF1', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(160558, NULL, 'PTHR37457:SF2', NULL, NULL, NULL, NULL, 'TRNA SELENOCYSTEINE 1-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(160559, NULL, 'PTHR33128:SF38', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160560, NULL, 'PTHR19359:SF117', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 ISOFORM D', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160561, NULL, 'PTHR44051:SF12', NULL, NULL, NULL, NULL, 'DISULFIDE-BOND OXIDOREDUCTASE YGHU', NULL, NULL, NULL, 15),
(160562, NULL, 'PTHR43281:SF27', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(160563, NULL, 'PTHR12713:SF12', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G 1', NULL, NULL, NULL, 15),
(160564, NULL, 'PTHR12548', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DP', NULL, NULL, 18288, 15),
(160565, NULL, 'PTHR31086:SF14', NULL, NULL, NULL, NULL, 'OSJNBA0005N02.7 PROTEIN', NULL, NULL, NULL, 15),
(160566, NULL, 'PTHR13014:SF3', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN S30, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(160567, NULL, 'PTHR24026:SF103', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160568, NULL, 'PTHR13593:SF107', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160569, NULL, 'PTHR13502:SF6', NULL, NULL, NULL, NULL, 'CDC42 SMALL EFFECTOR PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(160570, NULL, 'PTHR15067:SF5', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE AMFR', NULL, NULL, NULL, 15),
(160571, NULL, 'PTHR27006:SF282', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(160572, NULL, 'PTHR33228:SF53', NULL, NULL, NULL, NULL, 'DUMPER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160573, NULL, 'PTHR31354:SF4', NULL, NULL, NULL, NULL, 'OS08G0425000 PROTEIN', NULL, NULL, NULL, 15),
(160574, NULL, 'PTHR11861:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160575, NULL, 'PTHR11849:SF282', NULL, NULL, NULL, NULL, 'ETV5-RELATED PROTEIN ETS96B', NULL, NULL, NULL, 15),
(160576, NULL, 'PTHR10173', NULL, NULL, NULL, NULL, 'METHIONINE SULFOXIDE REDUCTASE', NULL, NULL, 27393, 15),
(160577, NULL, 'PTHR31162', NULL, NULL, NULL, NULL, 'MALIC ACID TRANSPORT PROTEIN-RELATED', NULL, NULL, 24951, 15),
(160578, NULL, 'PTHR19957:SF38', NULL, NULL, NULL, NULL, 'LD23667P', NULL, NULL, NULL, 15),
(160579, NULL, 'PTHR40788:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160580, NULL, 'PTHR35575', NULL, NULL, NULL, NULL, 'PROTEIN CBG23599-RELATED', NULL, NULL, NULL, 15),
(160581, NULL, 'PTHR46371:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160582, NULL, 'PTHR13937:SF8', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT C', NULL, NULL, NULL, 15),
(160583, NULL, 'PTHR23024:SF435', NULL, NULL, NULL, NULL, 'OS06G0214300 PROTEIN', NULL, NULL, NULL, 15),
(160584, NULL, 'PTHR19422:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160585, NULL, 'PTHR31677:SF121', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ESR2-LIKE', NULL, NULL, NULL, 15),
(160586, NULL, 'PTHR23502:SF38', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER 4', NULL, NULL, NULL, 15),
(160587, NULL, 'PTHR31264:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160588, NULL, 'PTHR33086:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160589, NULL, 'PTHR11371:SF26', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE', NULL, NULL, NULL, 15),
(160590, NULL, 'PTHR16156:SF9', NULL, NULL, NULL, NULL, 'AFTIPHILIN', NULL, NULL, NULL, 15),
(160591, NULL, 'PTHR23235', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(160592, NULL, 'PTHR13924:SF11', NULL, NULL, NULL, NULL, 'TRANSFORMING ACIDIC COILED-COIL-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(160593, NULL, 'PTHR43795:SF76', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(160594, NULL, 'PTHR48043:SF85', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE UGT-46-RELATED', NULL, NULL, NULL, 15),
(160595, NULL, 'PTHR24006:SF721', NULL, NULL, NULL, NULL, 'UBIQUITIN SPECIFIC PEPTIDASE 27 X-LINKED', NULL, NULL, NULL, 15),
(160596, NULL, 'PTHR40043', NULL, NULL, NULL, NULL, 'UPF0719 INNER MEMBRANE PROTEIN YJFL', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160597, NULL, 'PTHR36011:SF1', NULL, NULL, NULL, NULL, 'BAT2 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(160598, NULL, 'PTHR47966:SF11', NULL, NULL, NULL, NULL, 'NAPSIN A ASPARTIC PEPTIDASE', NULL, NULL, NULL, 15),
(160599, NULL, 'PTHR38612', NULL, NULL, NULL, NULL, 'PROTEIN DCT-5-RELATED', NULL, NULL, 19563, 15),
(160600, NULL, 'PTHR34281:SF9', NULL, NULL, NULL, NULL, 'FLOWERING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160601, NULL, 'PTHR24062:SF148', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(160602, NULL, 'PTHR22972:SF6', NULL, NULL, NULL, NULL, 'PEAK FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(160603, NULL, 'PTHR15159:SF2', NULL, NULL, NULL, NULL, 'NEUROSECRETORY PROTEIN VGF', NULL, NULL, NULL, 15),
(160604, NULL, 'PTHR11092', NULL, NULL, NULL, NULL, 'SUGAR NUCLEOTIDE EPIMERASE RELATED', NULL, NULL, NULL, 15),
(160605, NULL, 'PTHR22883:SF99', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC23', NULL, NULL, NULL, 15),
(160606, NULL, 'PTHR24118:SF88', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX-CONTAINING 16', NULL, NULL, NULL, 15),
(160607, NULL, 'PTHR10353:SF259', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 6-LIKE', NULL, NULL, NULL, 15),
(160608, NULL, 'PTHR22765:SF271', NULL, NULL, NULL, NULL, 'OS02G0727700 PROTEIN', NULL, NULL, NULL, 15),
(160609, NULL, 'PTHR45974:SF181', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE CLAVATA1-LIKE', NULL, NULL, NULL, 15),
(160610, NULL, 'PTHR43409:SF2', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(160611, NULL, 'PTHR31516:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG10706', NULL, NULL, NULL, 15),
(160612, NULL, 'PTHR42898:SF72', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE 2', NULL, NULL, NULL, 15),
(160613, NULL, 'PTHR11860:SF92', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 6', NULL, NULL, NULL, 15),
(160614, NULL, 'PTHR37850:SF3', NULL, NULL, NULL, NULL, 'BLR7815 PROTEIN', NULL, NULL, NULL, 15),
(160615, NULL, 'PTHR15711:SF49', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN DDB_G0291510', NULL, NULL, NULL, 15),
(160616, NULL, 'PTHR23316:SF58', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-4', NULL, NULL, NULL, 15),
(160617, NULL, 'PTHR10503:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG11107', NULL, NULL, NULL, 15),
(160618, NULL, 'PTHR15741:SF25', NULL, NULL, NULL, NULL, 'MAX-LIKE PROTEIN X', NULL, NULL, 22003, 15),
(160619, NULL, 'PTHR11802:SF305', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(160620, NULL, 'PTHR23310:SF72', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(160621, NULL, 'PTHR33147:SF106', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 7-RELATED', NULL, NULL, NULL, 15),
(160622, NULL, 'PTHR11815:SF12', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [GDP-FORMING] SUBUNIT BETA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(160623, NULL, 'PTHR11929:SF214', NULL, NULL, NULL, NULL, 'CFTII', NULL, NULL, NULL, 15),
(160624, NULL, 'PTHR11802:SF353', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(160625, NULL, 'PTHR28598', NULL, NULL, NULL, NULL, 'STAGA COMPLEX 65 SUBUNIT GAMMA', NULL, NULL, 35868, 15),
(160626, NULL, 'PTHR10166:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160627, NULL, 'PTHR34042:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP17', NULL, NULL, NULL, 15),
(160628, NULL, 'PTHR11040:SF158', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP2-RELATED', NULL, NULL, NULL, 15),
(160629, NULL, 'PTHR32448:SF92', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(160630, NULL, 'PTHR33121:SF60', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEC-RELATED', NULL, NULL, NULL, 15),
(160631, NULL, 'PTHR10992:SF1048', NULL, NULL, NULL, NULL, 'BNAA04G13720D PROTEIN', NULL, NULL, NULL, 15),
(160632, NULL, 'PTHR43768:SF32', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE C-RELATED', NULL, NULL, NULL, 15),
(160633, NULL, 'PTHR37183:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160634, NULL, 'PTHR34806:SF6', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(160635, NULL, 'PTHR45617:SF70', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 32-RELATED', NULL, NULL, NULL, 15),
(160636, NULL, 'PTHR13620:SF70', NULL, NULL, NULL, NULL, 'BNAC01G38360D PROTEIN', NULL, NULL, NULL, 15),
(160637, NULL, 'PTHR45988:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN AZF1', NULL, NULL, NULL, 15),
(160638, NULL, 'PTHR45878:SF21', NULL, NULL, NULL, NULL, 'TESTA 1 PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160639, NULL, 'PTHR39289', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 10071, 15),
(160640, NULL, 'PTHR11548:SF9', NULL, NULL, NULL, NULL, 'THYMIDYLATE SYNTHASE', NULL, NULL, NULL, 15),
(160641, NULL, 'PTHR32021:SF33', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(160642, NULL, 'PTHR24148:SF64', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 39 HOMOLOG', NULL, NULL, NULL, 15),
(160643, NULL, 'PTHR14167:SF6', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING KINASE-BINDING PROTEIN 1', NULL, NULL, 26778, 15),
(160644, NULL, 'PTHR11849:SF191', NULL, NULL, NULL, NULL, 'ECDYSONE-INDUCED PROTEIN 74EF ISOFORM B', NULL, NULL, NULL, 15),
(160645, NULL, 'PTHR23509:SF8', NULL, NULL, NULL, NULL, 'DDHD DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(160646, NULL, 'PTHR33872:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160647, NULL, 'PTHR37365', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 44', NULL, NULL, 27512, 15),
(160648, NULL, 'PTHR11353:SF84', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(160649, NULL, 'PTHR27005:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160650, NULL, 'PTHR24296:SF179', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(160651, NULL, 'PTHR10666:SF353', NULL, NULL, NULL, NULL, 'ISG15 UBIQUITIN-LIKE MODIFIER', NULL, NULL, NULL, 15),
(160652, NULL, 'PTHR31241:SF62', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2C', NULL, NULL, NULL, 15),
(160653, NULL, 'PTHR48102:SF1', NULL, NULL, NULL, NULL, 'BNAA03G12280D PROTEIN', NULL, NULL, NULL, 15),
(160654, NULL, 'PTHR15507', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN RLF', NULL, NULL, NULL, 15),
(160655, NULL, 'PTHR28161', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT F, MITOCHONDRIAL', NULL, NULL, 21141, 15),
(160656, NULL, 'PTHR33272:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG27161', NULL, NULL, NULL, 15),
(160657, NULL, 'PTHR33044:SF146', NULL, NULL, NULL, NULL, 'LIPID TRANSFER-LIKE PROTEIN VAS', NULL, NULL, NULL, 15),
(160658, NULL, 'PTHR46851:SF6', NULL, NULL, NULL, NULL, 'SWIB/MDM2, PLUS-3 AND GYF DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(160659, NULL, 'PTHR46354:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160660, NULL, 'PTHR46257:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE', NULL, NULL, NULL, 15),
(160661, NULL, 'PTHR31213:SF146', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 10', NULL, NULL, NULL, 15),
(160662, NULL, 'PTHR48001:SF135', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1N2', NULL, NULL, NULL, 15),
(160663, NULL, 'PTHR11595:SF60', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA', NULL, NULL, NULL, 15),
(160664, NULL, 'PTHR31235:SF15', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(160665, NULL, 'PTHR23210:SF22', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR 7-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(160666, NULL, 'PTHR11711:SF393', NULL, NULL, NULL, NULL, 'BNAA01G19150D PROTEIN', NULL, NULL, NULL, 15),
(160667, NULL, 'PTHR23221', NULL, NULL, NULL, NULL, 'GLYCOSYLPHOSPHATIDYLINOSITOL PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(160668, NULL, 'PTHR22773:SF105', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT 2 B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(160669, NULL, 'PTHR46131:SF1', NULL, NULL, NULL, NULL, 'SD08549P', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160670, NULL, 'PTHR31694', NULL, NULL, NULL, NULL, 'DESICCATION-LIKE PROTEIN', NULL, NULL, NULL, 15),
(160671, NULL, 'PTHR43029:SF1', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(160672, NULL, 'PTHR31945:SF77', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH93-LIKE', NULL, NULL, NULL, 15),
(160673, NULL, 'PTHR31985:SF5', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF042', NULL, NULL, NULL, 15),
(160674, NULL, 'PTHR10694:SF116', NULL, NULL, NULL, NULL, 'BNAANNG07270D PROTEIN', NULL, NULL, NULL, 15),
(160675, NULL, 'PTHR22952:SF403', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(160676, NULL, 'PTHR34193:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160677, NULL, 'PTHR23428:SF29', NULL, NULL, NULL, NULL, 'HISTONE H2B SUBACROSOMAL VARIANT', NULL, NULL, NULL, 15),
(160678, NULL, 'PTHR23176:SF114', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN PAC-1', NULL, NULL, NULL, 15),
(160679, NULL, 'PTHR31282:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160680, NULL, 'PTHR11945:SF572', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL80', NULL, NULL, NULL, 15),
(160681, NULL, 'PTHR34138', NULL, NULL, NULL, NULL, 'CELL SHAPE-DETERMINING PROTEIN MREC', NULL, NULL, 6187, 15),
(160682, NULL, 'PTHR22888:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 2', NULL, NULL, NULL, 15),
(160683, NULL, 'PTHR43804:SF3', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR 1-LIKE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(160684, NULL, 'PTHR31989:SF151', NULL, NULL, NULL, NULL, 'OS06G0131700 PROTEIN', NULL, NULL, NULL, 15),
(160685, NULL, 'PTHR24394:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 47', NULL, NULL, NULL, 15),
(160686, NULL, 'PTHR47989:SF35', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RKF3-RELATED', NULL, NULL, NULL, 15),
(160687, NULL, 'PTHR27005:SF310', NULL, NULL, NULL, NULL, 'BNAA06G15000D PROTEIN', NULL, NULL, NULL, 15),
(160688, NULL, 'PTHR11706:SF76', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP3', NULL, NULL, NULL, 15),
(160689, NULL, 'PTHR11683', NULL, NULL, NULL, NULL, 'MYELIN PROTEOLIPID', NULL, NULL, 5400, 15),
(160690, NULL, 'PTHR37360:SF1', NULL, NULL, NULL, NULL, 'FRAGILE X MENTAL RETARDATION 1 NEIGHBOR PROTEIN', NULL, NULL, NULL, 15),
(160691, NULL, 'PTHR12552:SF12', NULL, NULL, NULL, NULL, 'ADAPTOR PROTEIN, PHOSPHOTYROSINE INTERACTING WITH PH DOMAIN AND LEUCINE ZIPPER 2', NULL, NULL, NULL, 15),
(160692, NULL, 'PTHR47928:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160693, NULL, 'PTHR47932:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160694, NULL, 'PTHR33164:SF70', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(160695, NULL, 'PTHR46126:SF1', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 5', NULL, NULL, NULL, 15),
(160696, NULL, 'PTHR12358:SF51', NULL, NULL, NULL, NULL, 'ACYLGLYCEROL KINASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(160697, NULL, 'PTHR24020:SF16', NULL, NULL, NULL, NULL, 'CARTILAGE MATRIX PROTEIN', NULL, NULL, 22130, 15),
(160698, NULL, 'PTHR24418:SF409', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160699, NULL, 'PTHR12011:SF456', NULL, NULL, NULL, NULL, 'LATROPHILIN CIRL', NULL, NULL, NULL, 15),
(160700, NULL, 'PTHR31045:SF29', NULL, NULL, NULL, NULL, 'ALPHA-BARBATENE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(160701, NULL, 'PTHR33346:SF15', NULL, NULL, NULL, NULL, 'BNACNNG20790D PROTEIN', NULL, NULL, NULL, 15),
(160702, NULL, 'PTHR31889:SF2', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(160703, NULL, 'PTHR24414:SF85', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT PROTEIN', NULL, NULL, NULL, 15),
(160704, NULL, 'PTHR10218', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN ALPHA SUBUNIT', NULL, NULL, 5021, 15),
(160705, NULL, 'PTHR31391:SF4', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS03G0184500', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160706, NULL, 'PTHR23430:SF320', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(160707, NULL, 'PTHR21220:SF2', NULL, NULL, NULL, NULL, 'OS09G0407300 PROTEIN', NULL, NULL, NULL, 15),
(160708, NULL, 'PTHR47926:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160709, NULL, 'PTHR13544:SF12', NULL, NULL, NULL, NULL, 'SELT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(160710, NULL, 'PTHR11999:SF156', NULL, NULL, NULL, NULL, 'TYROSINE/DOPA DECARBOXYLASE 2', NULL, NULL, NULL, 15),
(160711, NULL, 'PTHR47973:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(160712, NULL, 'PTHR12673:SF13', NULL, NULL, NULL, NULL, 'FYVE, RHOGEF AND PH DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(160713, NULL, 'PTHR11595:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160714, NULL, 'PTHR33057:SF101', NULL, NULL, NULL, NULL, 'OFP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(160715, NULL, 'PTHR40780:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160716, NULL, 'PTHR46626:SF2', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B17', NULL, NULL, NULL, 15),
(160717, NULL, 'PTHR11730:SF62', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER SLL1017-RELATED', NULL, NULL, NULL, 15),
(160718, NULL, 'PTHR27000:SF734', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 29', NULL, NULL, NULL, 15),
(160719, NULL, 'PTHR18953:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160720, NULL, 'PTHR23151:SF81', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(160721, NULL, 'PTHR44390', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 41 KDA', NULL, NULL, NULL, 15),
(160722, NULL, 'PTHR10185:SF26', NULL, NULL, NULL, NULL, 'SI:DKEYP-110E4.6', NULL, NULL, NULL, 15),
(160723, NULL, 'PTHR46039:SF3', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE 2-RELATED', NULL, NULL, NULL, 15),
(160724, NULL, 'PTHR22969:SF13', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(160725, NULL, 'PTHR45914:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HEC2', NULL, NULL, NULL, 15),
(160726, NULL, 'PTHR11771:SF154', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(160727, NULL, 'PTHR13115:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 19', NULL, NULL, NULL, 15),
(160728, NULL, 'PTHR36796', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(160729, NULL, 'PTHR40111', NULL, NULL, NULL, NULL, 'CEPHALOSPORIN-C DEACETYLASE', NULL, NULL, 35394, 15),
(160730, NULL, 'PTHR16199:SF4', NULL, NULL, NULL, NULL, 'CONDENSIN-2 COMPLEX SUBUNIT G2', NULL, NULL, NULL, 15),
(160731, NULL, 'PTHR12595:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160732, NULL, 'PTHR10353:SF238', NULL, NULL, NULL, NULL, 'BNAA08G19770D PROTEIN', NULL, NULL, NULL, 15),
(160733, NULL, 'PTHR24055:SF456', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 11', NULL, NULL, NULL, 15),
(160734, NULL, 'PTHR24296:SF188', NULL, NULL, NULL, NULL, 'BNAC04G04260D PROTEIN', NULL, NULL, NULL, 15),
(160735, NULL, 'PTHR21700:SF56', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(160736, NULL, 'PTHR24356:SF363', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NDRB-RELATED', NULL, NULL, NULL, 15),
(160737, NULL, 'PTHR24136:SF35', NULL, NULL, NULL, NULL, 'OS05G0124600 PROTEIN', NULL, NULL, NULL, 15),
(160738, NULL, 'PTHR43349:SF11', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 1', NULL, NULL, NULL, 15),
(160739, NULL, 'PTHR14382:SF1', NULL, NULL, NULL, NULL, 'MDM2-BINDING PROTEIN', NULL, NULL, NULL, 15),
(160740, NULL, 'PTHR46058:SF10', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 2', NULL, NULL, NULL, 15),
(160741, NULL, 'PTHR14097:SF8', NULL, NULL, NULL, NULL, 'EPIMERASES, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00670)-RELATED', NULL, NULL, NULL, 15),
(160742, NULL, 'PTHR24073:SF1000', NULL, NULL, NULL, NULL, 'SMALL MONOMERIC GTPASE-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160743, NULL, 'PTHR32308:SF10', NULL, NULL, NULL, NULL, 'CITRATE LYASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(160744, NULL, 'PTHR31790:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160745, NULL, 'PTHR24031:SF384', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE MSS116, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(160746, NULL, 'PTHR24092:SF186', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(160747, NULL, 'PTHR11850:SF255', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 5-RELATED', NULL, NULL, NULL, 15),
(160748, NULL, 'PTHR31645:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160749, NULL, 'PTHR43330:SF11', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(160750, NULL, 'PTHR11359:SF3', NULL, NULL, NULL, NULL, 'AMP DEAMINASE 2', NULL, NULL, 28395, 15),
(160751, NULL, 'PTHR42704:SF6', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE LARGE CHAIN', NULL, NULL, NULL, 15),
(160752, NULL, 'PTHR32444:SF61', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN, BULB-TYPE LECTIN DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160753, NULL, 'PTHR41700', NULL, NULL, NULL, NULL, 'GCN5-RELATED N-ACETYLTRANSFERASE', NULL, NULL, 34893, 15),
(160754, NULL, 'PTHR31374:SF278', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(160755, NULL, 'PTHR23065:SF11', NULL, NULL, NULL, NULL, 'SYNDAPIN, ISOFORM C', NULL, NULL, NULL, 15),
(160756, NULL, 'PTHR48018:SF130', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(160757, NULL, 'PTHR46910:SF13', NULL, NULL, NULL, NULL, 'SPECIFIC TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G06190)-RELATED', NULL, NULL, NULL, 15),
(160758, NULL, 'PTHR33800:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160759, NULL, 'PTHR10353:SF243', NULL, NULL, NULL, NULL, 'BNAC04G22420D PROTEIN', NULL, NULL, NULL, 15),
(160760, NULL, 'PTHR46736:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160761, NULL, 'PTHR13902:SF153', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(160762, NULL, 'PTHR11438:SF3', NULL, NULL, NULL, NULL, 'PROENKEPHALIN-A', NULL, NULL, 3732, 15),
(160763, NULL, 'PTHR31681:SF66', NULL, NULL, NULL, NULL, 'BNAA07G02240D PROTEIN', NULL, NULL, NULL, 15),
(160764, NULL, 'PTHR46494:SF2', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORT PROTEIN CORA', NULL, NULL, NULL, 15),
(160765, NULL, 'PTHR14791:SF22', NULL, NULL, NULL, NULL, 'PROTEIN KIBRA', NULL, NULL, NULL, 15),
(160766, NULL, 'PTHR36766:SF7', NULL, NULL, NULL, NULL, 'BNAA09G42680D PROTEIN', NULL, NULL, NULL, 15),
(160767, NULL, 'PTHR46086:SF19', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(160768, NULL, 'PTHR26453:SF81', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(160769, NULL, 'PTHR47624:SF1', NULL, NULL, NULL, NULL, 'OS01G0204900 PROTEIN', NULL, NULL, NULL, 15),
(160770, NULL, 'PTHR41747', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160771, NULL, 'PTHR13030:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160772, NULL, 'PTHR12374:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER 2-ALPHA', NULL, NULL, NULL, 15),
(160773, NULL, 'PTHR12233:SF15', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 26B', NULL, NULL, NULL, 15),
(160774, NULL, 'PTHR46284:SF1', NULL, NULL, NULL, NULL, 'PROTEIN KINESIN LIGHT CHAIN-RELATED 2', NULL, NULL, NULL, 15),
(160775, NULL, 'PTHR14363:SF30', NULL, NULL, NULL, NULL, 'PROTEIN 2, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(160776, NULL, 'PTHR43895:SF94', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(160777, NULL, 'PTHR11346:SF92', NULL, NULL, NULL, NULL, 'PLACENTAL PROTEIN 13-LIKE', NULL, NULL, 26560, 15),
(160778, NULL, 'PTHR35249:SF2', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160779, NULL, 'PTHR23501:SF183', NULL, NULL, NULL, NULL, 'EFFLUX PUMP ANTIBIOTIC RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(160780, NULL, 'PTHR32448:SF31', NULL, NULL, NULL, NULL, 'OS02G0235900 PROTEIN', NULL, NULL, NULL, 15),
(160781, NULL, 'PTHR44191:SF7', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(160782, NULL, 'PTHR12276:SF91', NULL, NULL, NULL, NULL, 'CLATHRIN INTERACTOR EPSIN 2-RELATED', NULL, NULL, NULL, 15),
(160783, NULL, 'PTHR27001:SF139', NULL, NULL, NULL, NULL, 'KINASE PBS1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160784, NULL, 'PTHR48000:SF9', NULL, NULL, NULL, NULL, 'BNACNNG13370D PROTEIN', NULL, NULL, NULL, 15),
(160785, NULL, 'PTHR24282:SF115', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160786, NULL, 'PTHR12906:SF2', NULL, NULL, NULL, NULL, 'BNAA04G16800D PROTEIN', NULL, NULL, NULL, 15),
(160787, NULL, 'PTHR22930', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 37119, 15),
(160788, NULL, 'PTHR10398:SF1', NULL, NULL, NULL, NULL, 'CANOE, ISOFORM E', NULL, NULL, NULL, 15),
(160789, NULL, 'PTHR36845', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05090)-RELATED', NULL, NULL, NULL, 15),
(160790, NULL, 'PTHR12763:SF44', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM14-2-LIKE', NULL, NULL, NULL, 15),
(160791, NULL, 'PTHR31418:SF7', NULL, NULL, NULL, NULL, 'FATTY-ACID AND RETINOL-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(160792, NULL, 'PTHR20908:SF1', NULL, NULL, NULL, NULL, 'LD15586P', NULL, NULL, NULL, 15),
(160793, NULL, 'PTHR10921:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR DISTRIBUTION PROTEIN NUDE HOMOLOG', NULL, NULL, NULL, 15),
(160794, NULL, 'PTHR36978:SF4', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOTIDE TRIPHOSPHATE HYDROLASE', NULL, NULL, NULL, 15),
(160795, NULL, 'PTHR10362:SF20', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(160796, NULL, 'PTHR47992:SF22', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 7', NULL, NULL, NULL, 15),
(160797, NULL, 'PTHR10218:SF316', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(Q) SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(160798, NULL, 'PTHR20772', NULL, NULL, NULL, NULL, 'PROTEIN FMP42', NULL, NULL, NULL, 15),
(160799, NULL, 'PTHR43776:SF4', NULL, NULL, NULL, NULL, 'PUTRESCINE EXPORT SYSTEM ATP-BINDING PROTEIN SAPF', NULL, NULL, NULL, 15),
(160800, NULL, 'PTHR15871:SF2', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY O MEMBER 2', NULL, NULL, NULL, 15),
(160801, NULL, 'PTHR22957:SF585', NULL, NULL, NULL, NULL, 'SMALL G PROTEIN SIGNALING MODULATOR 2-LIKE', NULL, NULL, NULL, 15),
(160802, NULL, 'PTHR47985:SF35', NULL, NULL, NULL, NULL, 'SERINE-THREONINE PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160803, NULL, 'PTHR27001:SF875', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160804, NULL, 'PTHR24248:SF174', NULL, NULL, NULL, NULL, 'AGAP000606-PA', NULL, NULL, NULL, 15),
(160805, NULL, 'PTHR24390:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 41', NULL, NULL, NULL, 15),
(160806, NULL, 'PTHR23505:SF77', NULL, NULL, NULL, NULL, 'SPINSTER (DROSOPHILA LYSOSOMAL PERMEASE) HOMOLOG', NULL, NULL, NULL, 15),
(160807, NULL, 'PTHR11909:SF152', NULL, NULL, NULL, NULL, 'PROTEIN CBG12201', NULL, NULL, NULL, 15),
(160808, NULL, 'PTHR35370', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED-RELATED', NULL, NULL, 7731, 15),
(160809, NULL, 'PTHR36766:SF15', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160810, NULL, 'PTHR45496:SF11', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(160811, NULL, 'PTHR38645:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(160812, NULL, 'PTHR11254:SF363', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HACE1', NULL, NULL, NULL, 15),
(160813, NULL, 'PTHR23074:SF145', NULL, NULL, NULL, NULL, 'PROTEIN CBG06057', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160814, NULL, 'PTHR46892:SF1', NULL, NULL, NULL, NULL, 'VISUAL SYSTEM HOMEOBOX 2', NULL, NULL, NULL, 15),
(160815, NULL, 'PTHR24035:SF128', NULL, NULL, NULL, NULL, 'MULTIPLE EGF-LIKE-DOMAINS 10', NULL, NULL, NULL, 15),
(160816, NULL, 'PTHR44129:SF10', NULL, NULL, NULL, NULL, 'LISSENCEPHALY-1 HOMOLOG B', NULL, NULL, NULL, 15),
(160817, NULL, 'PTHR10728:SF31', NULL, NULL, NULL, NULL, 'CYTOSOLIC PHOSPHOLIPASE A2 DELTA', NULL, NULL, NULL, 15),
(160818, NULL, 'PTHR10766:SF136', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(160819, NULL, 'PTHR27004:SF181', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(160820, NULL, 'PTHR47182:SF2', NULL, NULL, NULL, NULL, 'CELL WALL ALPHA-1,3-GLUCAN SYNTHASE AGS1-RELATED', NULL, NULL, NULL, 15),
(160821, NULL, 'PTHR31313:SF83', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(160822, NULL, 'PTHR11781:SF20', NULL, NULL, NULL, NULL, 'TYPE II IODOTHYRONINE DEIODINASE', NULL, NULL, NULL, 15),
(160823, NULL, 'PTHR47983:SF34', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE, RECEPTOR ROR-RELATED', NULL, NULL, NULL, 15),
(160824, NULL, 'PTHR34292:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160825, NULL, 'PTHR35125', NULL, NULL, NULL, NULL, 'NEURON NAVIGATOR 1-LIKE-RELATED', NULL, NULL, 35877, 15),
(160826, NULL, 'PTHR20881', NULL, NULL, NULL, NULL, '3-METHYL-2-OXOBUTANOATE HYDROXYMETHYLTRANSFERASE', NULL, NULL, 2465, 15),
(160827, NULL, 'PTHR11945:SF640', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', NULL, NULL, NULL, 15),
(160828, NULL, 'PTHR11903:SF29', NULL, NULL, NULL, NULL, 'BNAA02G16520D PROTEIN', NULL, NULL, NULL, 15),
(160829, NULL, 'PTHR43788:SF15', NULL, NULL, NULL, NULL, 'SLL1582 PROTEIN', NULL, NULL, NULL, 15),
(160830, NULL, 'PTHR34135:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14420)-RELATED', NULL, NULL, NULL, 15),
(160831, NULL, 'PTHR24347:SF252', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE 1D', NULL, NULL, NULL, 15),
(160832, NULL, 'PTHR48056:SF1', NULL, NULL, NULL, NULL, 'OS01G0515300 PROTEIN', NULL, NULL, NULL, 15),
(160833, NULL, 'PTHR19143:SF209', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-RELATED PROTEIN 6', NULL, NULL, NULL, 15),
(160834, NULL, 'PTHR33875', NULL, NULL, NULL, NULL, 'OS09G0542200 PROTEIN', NULL, NULL, NULL, 15),
(160835, NULL, 'PTHR11926:SF1349', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(160836, NULL, 'PTHR10353:SF222', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 46', NULL, NULL, NULL, 15),
(160837, NULL, 'PTHR21633:SF15', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN F6', NULL, NULL, NULL, 15),
(160838, NULL, 'PTHR22911:SF110', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER G6', NULL, NULL, NULL, 15),
(160839, NULL, 'PTHR10502:SF217', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(160840, NULL, 'PTHR15629:SF2', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING YSC84-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(160841, NULL, 'PTHR11814:SF241', NULL, NULL, NULL, NULL, 'HIGH AFFINITY SULFATE TRANSPORTER', NULL, NULL, NULL, 15),
(160842, NULL, 'PTHR34224:SF1', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS 1', NULL, NULL, NULL, 15),
(160843, NULL, 'PTHR31304:SF51', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 37-LIKE', NULL, NULL, NULL, 15),
(160844, NULL, 'PTHR31044:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160845, NULL, 'PTHR31257:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160846, NULL, 'PTHR47981:SF15', NULL, NULL, NULL, NULL, 'BNAA09G55930D PROTEIN', NULL, NULL, NULL, 15),
(160847, NULL, 'PTHR11697', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 2-RELATED ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(160848, NULL, 'PTHR31210:SF68', NULL, NULL, NULL, NULL, 'LYSINE KETOGLUTARATE REDUCTASE TRANS-SPLICING PROTEIN', NULL, NULL, NULL, 15),
(160849, NULL, 'PTHR23362:SF8', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160850, NULL, 'PTHR31129', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONE ALPHA-2', NULL, NULL, NULL, 15),
(160851, NULL, 'PTHR24099:SF4', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III AND SPRY DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(160852, NULL, 'PTHR10281', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROGESTERONE RECEPTOR COMPONENT-RELATED', NULL, NULL, NULL, 15),
(160853, NULL, 'PTHR22937:SF46', NULL, NULL, NULL, NULL, 'OS04G0603200 PROTEIN', NULL, NULL, NULL, 15),
(160854, NULL, 'PTHR47990:SF120', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE AOP1-RELATED', NULL, NULL, NULL, 15),
(160855, NULL, 'PTHR43952:SF72', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 5', NULL, NULL, NULL, 15),
(160856, NULL, 'PTHR11132:SF408', NULL, NULL, NULL, NULL, 'BNAC07G15290D PROTEIN', NULL, NULL, NULL, 15),
(160857, NULL, 'PTHR48015:SF31', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TAO1', NULL, NULL, NULL, 15),
(160858, NULL, 'PTHR23262:SF197', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 9-9', NULL, NULL, NULL, 15),
(160859, NULL, 'PTHR33450:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160860, NULL, 'PTHR34562:SF11', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(160861, NULL, 'PTHR45649:SF32', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE-RELATED', NULL, NULL, NULL, 15),
(160862, NULL, 'PTHR22936:SF31', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', NULL, NULL, NULL, 15),
(160863, NULL, 'PTHR43327:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160864, NULL, 'PTHR30036:SF6', NULL, NULL, NULL, NULL, 'L-ARABINOSE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(160865, NULL, 'PTHR11709:SF335', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(160866, NULL, 'PTHR42918:SF11', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(160867, NULL, 'PTHR11679:SF35', NULL, NULL, NULL, NULL, 'SYNTAXIN-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(160868, NULL, 'PTHR31459:SF20', NULL, NULL, NULL, NULL, 'DESICCATION PROTECTANT PROTEIN LEA14 HOMOLOG', NULL, NULL, NULL, 15),
(160869, NULL, 'PTHR26453:SF601', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(160870, NULL, 'PTHR47212:SF4', NULL, NULL, NULL, NULL, 'ADHESIN-LIKE PROTEIN, PUTATIVE (DUF3741)-RELATED', NULL, NULL, NULL, 15),
(160871, NULL, 'PTHR33404', NULL, NULL, NULL, NULL, 'CELL DIVISION TOPOLOGICAL SPECIFICITY FACTOR HOMOLOG, CHLOROPLASTIC', NULL, NULL, 1574, 15),
(160872, NULL, 'PTHR34270:SF8', NULL, NULL, NULL, NULL, 'BNAA01G22700D PROTEIN', NULL, NULL, NULL, 15),
(160873, NULL, 'PTHR23065:SF54', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF YEAST PROFILIN DELETION', NULL, NULL, NULL, 15),
(160874, NULL, 'PTHR35831:SF2', NULL, NULL, NULL, NULL, 'OS01G0642200 PROTEIN', NULL, NULL, NULL, 15),
(160875, NULL, 'PTHR12002:SF87', NULL, NULL, NULL, NULL, 'CLAUDIN-25-RELATED', NULL, NULL, NULL, 15),
(160876, NULL, 'PTHR34056:SF1', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN', NULL, NULL, NULL, 15),
(160877, NULL, 'PTHR14094:SF9', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE SUBUNIT SRP72', NULL, NULL, NULL, 15),
(160878, NULL, 'PTHR47870', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN CCMH', NULL, NULL, NULL, 15),
(160879, NULL, 'PTHR33101:SF62', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 8-LIKE', NULL, NULL, NULL, 15),
(160880, NULL, 'PTHR31009:SF67', NULL, NULL, NULL, NULL, 'ANTHRANILATE O-METHYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(160881, NULL, 'PTHR37000:SF3', NULL, NULL, NULL, NULL, 'MUCIN-22', NULL, NULL, NULL, 15),
(160882, NULL, 'PTHR12210:SF70', NULL, NULL, NULL, NULL, 'CTD NUCLEAR ENVELOPE PHOSPHATASE 1', NULL, NULL, NULL, 15),
(160883, NULL, 'PTHR24009:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 55', NULL, NULL, NULL, 15),
(160884, NULL, 'PTHR24414:SF143', NULL, NULL, NULL, NULL, 'BNAA09G40700D PROTEIN', NULL, NULL, NULL, 15),
(160885, NULL, 'PTHR24100:SF113', NULL, NULL, NULL, NULL, 'SI:DKEY-71P21.13-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160886, NULL, 'PTHR22835:SF519', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(160887, NULL, 'PTHR24349:SF435', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(160888, NULL, 'PTHR46163:SF6', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(160889, NULL, 'PTHR32166:SF87', NULL, NULL, NULL, NULL, 'BNACNNG60220D PROTEIN', NULL, NULL, NULL, 15),
(160890, NULL, 'PTHR14470:SF2', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(160891, NULL, 'PTHR13068:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160892, NULL, 'PTHR42081:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160893, NULL, 'PTHR46936:SF3', NULL, NULL, NULL, NULL, 'BNAA04G20580D PROTEIN', NULL, NULL, NULL, 15),
(160894, NULL, 'PTHR46080:SF12', NULL, NULL, NULL, NULL, 'SUBSTRATE CARRIER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160895, NULL, 'PTHR32468:SF104', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', NULL, NULL, NULL, 15),
(160896, NULL, 'PTHR22744', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX PROTEIN 21-RELATED', NULL, NULL, NULL, 15),
(160897, NULL, 'PTHR24012:SF798', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN Q-LIKE PROTEIN', NULL, NULL, NULL, 15),
(160898, NULL, 'PTHR47904', NULL, NULL, NULL, NULL, 'NATURAL CYTOTOXICITY TRIGGERING RECEPTOR 3', NULL, NULL, 37712, 15),
(160899, NULL, 'PTHR31447:SF7', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(160900, NULL, 'PTHR24243:SF209', NULL, NULL, NULL, NULL, 'PYROKININ 2 RECEPTOR 1-RELATED', NULL, NULL, NULL, 15),
(160901, NULL, 'PTHR26453:SF33', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(160902, NULL, 'PTHR46236:SF26', NULL, NULL, NULL, NULL, 'BNAA04G24510D PROTEIN', NULL, NULL, NULL, 15),
(160903, NULL, 'PTHR43707', NULL, NULL, NULL, NULL, 'HISTIDYL-TRNA SYNTHETASE', NULL, NULL, 1513, 15),
(160904, NULL, 'PTHR19890:SF14', NULL, NULL, NULL, NULL, 'FGF RECEPTOR-LIKE PROTEIN 1A', NULL, NULL, NULL, 15),
(160905, NULL, 'PTHR33142:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160906, NULL, 'PTHR31707:SF298', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(160907, NULL, 'PTHR32410:SF171', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160908, NULL, 'PTHR46547:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 8-LIKE', NULL, NULL, NULL, 15),
(160909, NULL, 'PTHR13962:SF28', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N4', NULL, NULL, NULL, 15),
(160910, NULL, 'PTHR33103:SF65', NULL, NULL, NULL, NULL, 'DUF674 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(160911, NULL, 'PTHR43880:SF3', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 8A-RELATED', NULL, NULL, NULL, 15),
(160912, NULL, 'PTHR11740:SF5', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', NULL, NULL, NULL, 15),
(160913, NULL, 'PTHR21290:SF50', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL:CERAMIDE INOSITOLPHOSPHOTRANSFERASE 3', NULL, NULL, NULL, 15),
(160914, NULL, 'PTHR11880:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160915, NULL, 'PTHR33116:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160916, NULL, 'PTHR12224:SF22', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 17-RELATED', NULL, NULL, NULL, 15),
(160917, NULL, 'PTHR14388:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160918, NULL, 'PTHR42770:SF14', NULL, NULL, NULL, NULL, 'ARGININE/ORNITHINE ANTIPORTER-RELATED', NULL, NULL, NULL, 15),
(160919, NULL, 'PTHR33270:SF21', NULL, NULL, NULL, NULL, 'BNAC06G24500D PROTEIN', NULL, NULL, NULL, 15),
(160920, NULL, 'PTHR45614:SF121', NULL, NULL, NULL, NULL, 'BNAA03G53870D PROTEIN', NULL, NULL, NULL, 15),
(160921, NULL, 'PTHR24100:SF102', NULL, NULL, NULL, NULL, 'SELECTION AND UPKEEP OF INTRAEPITHELIAL T-CELLS PROTEIN 2-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160922, NULL, 'PTHR31509:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160923, NULL, 'PTHR33737:SF2', NULL, NULL, NULL, NULL, 'OS05G0121800 PROTEIN', NULL, NULL, NULL, 15),
(160924, NULL, 'PTHR13034', NULL, NULL, NULL, NULL, 'DYNACTIN P62 SUBUNIT', NULL, NULL, 14091, 15),
(160925, NULL, 'PTHR17901', NULL, NULL, NULL, NULL, 'MAGNESIUM-DEPENDENT PHOSPHATASE 1 MDP1', NULL, NULL, 5167, 15),
(160926, NULL, 'PTHR11122:SF49', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(160927, NULL, 'PTHR32227:SF314', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 17 PROTEIN', NULL, NULL, NULL, 15),
(160928, NULL, 'PTHR15893', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L27', NULL, NULL, 3211, 15),
(160929, NULL, 'PTHR11200:SF148', NULL, NULL, NULL, NULL, 'SYNAPTOJANIN-2', NULL, NULL, 29060, 15),
(160930, NULL, 'PTHR24278:SF28', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR X', NULL, NULL, NULL, 15),
(160931, NULL, 'PTHR11219:SF8', NULL, NULL, NULL, NULL, 'TENEURIN-2', NULL, NULL, 26486, 15),
(160932, NULL, 'PTHR47374', NULL, NULL, NULL, NULL, 'ENDOSOME ANTIGEN-LIKE PROTEIN, PUTATIVE (DUF3444)-RELATED', NULL, NULL, NULL, 15),
(160933, NULL, 'PTHR47928:SF113', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(160934, NULL, 'PTHR13271:SF91', NULL, NULL, NULL, NULL, 'PROTEIN SET DOMAIN GROUP 40', NULL, NULL, NULL, 15),
(160935, NULL, 'PTHR20961:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160936, NULL, 'PTHR15860:SF20', NULL, NULL, NULL, NULL, 'RING FINGER AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(160937, NULL, 'PTHR33645:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160938, NULL, 'PTHR34584:SF1', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT E1', NULL, NULL, NULL, 15),
(160939, NULL, 'PTHR24012:SF759', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 6', NULL, NULL, NULL, 15),
(160940, NULL, 'PTHR24082:SF155', NULL, NULL, NULL, NULL, 'BILE ACID RECEPTOR', NULL, NULL, NULL, 15),
(160941, NULL, 'PTHR37308:SF1', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(160942, NULL, 'PTHR11471:SF53', NULL, NULL, NULL, NULL, 'CD154', NULL, NULL, NULL, 15),
(160943, NULL, 'PTHR31929:SF74', NULL, NULL, NULL, NULL, 'BNAC02G34510D PROTEIN', NULL, NULL, NULL, 15),
(160944, NULL, 'PTHR23111:SF74', NULL, NULL, NULL, NULL, 'OS02G0203700 PROTEIN', NULL, NULL, NULL, 15),
(160945, NULL, 'PTHR31194:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160946, NULL, 'PTHR16112:SF16', NULL, NULL, NULL, NULL, 'SIX-BANDED, ISOFORM H', NULL, NULL, NULL, 15),
(160947, NULL, 'PTHR23203:SF17', NULL, NULL, NULL, NULL, 'RIKEN CDNA 5530400C23 GENE', NULL, NULL, NULL, 15),
(160948, NULL, 'PTHR11960:SF37', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-1-LIKE', NULL, NULL, NULL, 15),
(160949, NULL, 'PTHR30624:SF10', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(160950, NULL, 'PTHR11686:SF60', NULL, NULL, NULL, NULL, 'BNAA06G40460D PROTEIN', NULL, NULL, NULL, 15),
(160951, NULL, 'PTHR48083:SF7', NULL, NULL, NULL, NULL, 'ACYL COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(160952, NULL, 'PTHR35936:SF29', NULL, NULL, NULL, NULL, 'L-CYSTINE-BINDING PROTEIN FLIY', NULL, NULL, NULL, 15),
(160953, NULL, 'PTHR31579:SF47', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC DOMAIN TIGR01615 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(160954, NULL, 'PTHR24186:SF5', NULL, NULL, NULL, NULL, 'ANKYRIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(160955, NULL, 'PTHR45974:SF12', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE RECEPTOR 2-LIKE', NULL, NULL, NULL, 15),
(160956, NULL, 'PTHR24072:SF152', NULL, NULL, NULL, NULL, 'RHO-RELATED PROTEIN RACL', NULL, NULL, NULL, 15),
(160957, NULL, 'PTHR23413:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32-1', NULL, NULL, NULL, 15),
(160958, NULL, 'PTHR44586:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160959, NULL, 'PTHR10902:SF20', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35A-1', NULL, NULL, NULL, 15),
(160960, NULL, 'PTHR47991:SF97', NULL, NULL, NULL, NULL, 'BNAC08G12030D PROTEIN', NULL, NULL, NULL, 15),
(160961, NULL, 'PTHR22596:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG12691', NULL, NULL, NULL, 15),
(160962, NULL, 'PTHR10666:SF356', NULL, NULL, NULL, NULL, 'OS10G0491500 PROTEIN', NULL, NULL, NULL, 15),
(160963, NULL, 'PTHR11958:SF51', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(160964, NULL, 'PTHR10125:SF25', NULL, NULL, NULL, NULL, 'P2X RECEPTOR E', NULL, NULL, 24387, 15),
(160965, NULL, 'PTHR23043:SF30', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(160966, NULL, 'PTHR23421:SF76', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 12', NULL, NULL, NULL, 15),
(160967, NULL, 'PTHR43201:SF17', NULL, NULL, NULL, NULL, 'OXALATE--COA LIGASE-LIKE', NULL, NULL, NULL, 15),
(160968, NULL, 'PTHR21593:SF33', NULL, NULL, NULL, NULL, 'PROTEIN CBG07574', NULL, NULL, NULL, 15),
(160969, NULL, 'PTHR44372:SF3', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-GAMMA 3', NULL, NULL, NULL, 15),
(160970, NULL, 'PTHR11926:SF1397', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(160971, NULL, 'PTHR23351:SF14', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER TRANSCRIPTIONAL FACTOR ATF-LIKE', NULL, NULL, 22699, 15),
(160972, NULL, 'PTHR10891:SF775', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING POLLEN ALLERGEN', NULL, NULL, NULL, 15),
(160973, NULL, 'PTHR10649:SF12', NULL, NULL, NULL, NULL, 'SPINELESS, ISOFORM C', NULL, NULL, NULL, 15),
(160974, NULL, 'PTHR34365:SF10', NULL, NULL, NULL, NULL, 'GLYCINE-RICH DOMAIN-CONTAINING PROTEIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(160975, NULL, 'PTHR11568:SF4', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(160976, NULL, 'PTHR31623:SF83', NULL, NULL, NULL, NULL, 'ACETYL-COA-BENZYLALCOHOL ACETYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(160977, NULL, 'PTHR15241:SF311', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160978, NULL, 'PTHR10271:SF25', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 8', NULL, NULL, NULL, 15),
(160979, NULL, 'PTHR13234:SF58', NULL, NULL, NULL, NULL, 'BNAC08G45100D PROTEIN', NULL, NULL, NULL, 15),
(160980, NULL, 'PTHR11994:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L11', NULL, NULL, NULL, 15),
(160981, NULL, 'PTHR43488:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR TRER', NULL, NULL, NULL, 15),
(160982, NULL, 'PTHR33279:SF6', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN YEDF-RELATED', NULL, NULL, NULL, 15),
(160983, NULL, 'PTHR24056:SF450', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(160984, NULL, 'PTHR10489:SF705', NULL, NULL, NULL, NULL, 'C-X-C CHEMOKINE RECEPTOR TYPE 6', NULL, NULL, 197, 15),
(160985, NULL, 'PTHR23202:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160986, NULL, 'PTHR23130:SF172', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(160987, NULL, 'PTHR24222:SF65', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 9', NULL, NULL, NULL, 15),
(160988, NULL, 'PTHR33204:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160989, NULL, 'PTHR31080:SF171', NULL, NULL, NULL, NULL, 'CELL WALL / VACUOLAR INHIBITOR OF FRUCTOSIDASE 2', NULL, NULL, NULL, 15),
(160990, NULL, 'PTHR10782:SF11', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE PIAS1', NULL, NULL, 23607, 15),
(160991, NULL, 'PTHR45657:SF29', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH10-RELATED', NULL, NULL, NULL, 15),
(160992, NULL, 'PTHR21659:SF76', NULL, NULL, NULL, NULL, 'BNAC03G34420D PROTEIN', NULL, NULL, NULL, 15),
(160993, NULL, 'PTHR31920:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160994, NULL, 'PTHR36834', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(160995, NULL, 'PTHR45633:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(160996, NULL, 'PTHR11604:SF45', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(160997, NULL, 'PTHR36737:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(160998, NULL, 'PTHR47971:SF5', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(160999, NULL, 'PTHR48048:SF54', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 91A1', NULL, NULL, NULL, 15),
(161000, NULL, 'PTHR23020:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG11515', NULL, NULL, NULL, 15),
(161001, NULL, 'PTHR37205:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161002, NULL, 'PTHR43671:SF71', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK3', NULL, NULL, NULL, 15),
(161003, NULL, 'PTHR27004:SF313', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 31', NULL, NULL, NULL, 15),
(161004, NULL, 'PTHR45752:SF37', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(161005, NULL, 'PTHR31062:SF168', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(161006, NULL, 'PTHR14944:SF2', NULL, NULL, NULL, NULL, 'RPA-RELATED PROTEIN RADX', NULL, NULL, NULL, 15),
(161007, NULL, 'PTHR48017:SF35', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(161008, NULL, 'PTHR32468:SF30', NULL, NULL, NULL, NULL, 'OS12G0109150 PROTEIN', NULL, NULL, NULL, 15),
(161009, NULL, 'PTHR33415:SF15', NULL, NULL, NULL, NULL, 'PROTEIN DCL HOMOLOG, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(161010, NULL, 'PTHR38765:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161011, NULL, 'PTHR23253:SF55', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4G-LIKE', NULL, NULL, NULL, 15),
(161012, NULL, 'PTHR46192:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-RELATED', NULL, NULL, NULL, 15),
(161013, NULL, 'PTHR33164:SF39', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(161014, NULL, 'PTHR47976:SF50', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', NULL, NULL, NULL, 15),
(161015, NULL, 'PTHR10732:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17-1-RELATED', NULL, NULL, NULL, 15),
(161016, NULL, 'PTHR43895:SF46', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(161017, NULL, 'PTHR37809:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S12 METHYLTHIOTRANSFERASE ACCESSORY FACTOR YCAO', NULL, NULL, NULL, 15),
(161018, NULL, 'PTHR27006:SF238', NULL, NULL, NULL, NULL, 'BNAA09G56220D PROTEIN', NULL, NULL, NULL, 15),
(161019, NULL, 'PTHR14399:SF14', NULL, NULL, NULL, NULL, 'PERP, TP53 APOPTOSIS EFFECTOR', NULL, NULL, NULL, 15),
(161020, NULL, 'PTHR19237:SF22', NULL, NULL, NULL, NULL, 'NUCLEOBINDIN-2', NULL, NULL, 27670, 15),
(161021, NULL, 'PTHR24301:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161022, NULL, 'PTHR47956:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161023, NULL, 'PTHR24089:SF700', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(161024, NULL, 'PTHR48044:SF63', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(161025, NULL, 'PTHR38616', NULL, NULL, NULL, NULL, 'PROTEIN CBG03925', NULL, NULL, 29747, 15),
(161026, NULL, 'PTHR12692:SF5', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 3B-RELATED', NULL, NULL, NULL, 15),
(161027, NULL, 'PTHR15615:SF100', NULL, NULL, NULL, NULL, 'CYCLIN', NULL, NULL, NULL, 15),
(161028, NULL, 'PTHR46756:SF11', NULL, NULL, NULL, NULL, 'CALPONIN', NULL, NULL, NULL, 15),
(161029, NULL, 'PTHR26452:SF745', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(161030, NULL, 'PTHR27009:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161031, NULL, 'PTHR38371:SF1', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(161032, NULL, 'PTHR11165:SF137', NULL, NULL, NULL, NULL, 'OS02G0101600 PROTEIN', NULL, NULL, NULL, 15),
(161033, NULL, 'PTHR12146:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161034, NULL, 'PTHR45621:SF153', NULL, NULL, NULL, NULL, 'BNAA01G32040D PROTEIN', NULL, NULL, NULL, 15),
(161035, NULL, 'PTHR43422:SF1', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161036, NULL, 'PTHR46184:SF4', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IXB-LIKE PROTEIN', NULL, NULL, NULL, 15),
(161037, NULL, 'PTHR10774:SF193', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-5-LIKE', NULL, NULL, NULL, 15),
(161038, NULL, 'PTHR45621:SF21', NULL, NULL, NULL, NULL, 'OS01G0973500 PROTEIN', NULL, NULL, NULL, 15),
(161039, NULL, 'PTHR40626:SF20', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161040, NULL, 'PTHR31503:SF37', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 1B', NULL, NULL, NULL, 15),
(161041, NULL, 'PTHR33671:SF2', NULL, NULL, NULL, NULL, 'N-METHYLTRANSFERASE, PUTATIVE (DUF688)-RELATED', NULL, NULL, NULL, 15),
(161042, NULL, 'PTHR43880:SF47', NULL, NULL, NULL, NULL, 'S-(HYDROXYMETHYL)GLUTATHIONE DEHYDROGENASE', NULL, NULL, NULL, 15),
(161043, NULL, 'PTHR32195:SF24', NULL, NULL, NULL, NULL, 'TRYPTOPHAN/TYROSINE PERMEASE', NULL, NULL, NULL, 15),
(161044, NULL, 'PTHR11690:SF19', NULL, NULL, NULL, NULL, 'AMILORIDE-SENSITIVE SODIUM CHANNEL SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(161045, NULL, 'PTHR10460:SF39', NULL, NULL, NULL, NULL, 'PROTEIN ABIL4-RELATED', NULL, NULL, NULL, 15),
(161046, NULL, 'PTHR24015:SF1693', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(161047, NULL, 'PTHR33994:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161048, NULL, 'PTHR11686:SF58', NULL, NULL, NULL, NULL, 'BNAA01G07620D PROTEIN', NULL, NULL, NULL, 15),
(161049, NULL, 'PTHR15741:SF35', NULL, NULL, NULL, NULL, 'PROTEIN WBSCR14 HOMOLOG', NULL, NULL, NULL, 15),
(161050, NULL, 'PTHR43883', NULL, NULL, NULL, NULL, 'SLR0207 PROTEIN', NULL, NULL, NULL, 15),
(161051, NULL, 'PTHR23101:SF104', NULL, NULL, NULL, NULL, 'PROTEIN SPRINT', NULL, NULL, NULL, 15),
(161052, NULL, 'PTHR47993:SF139', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN INTERACTION DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(161053, NULL, 'PTHR36181:SF5', NULL, NULL, NULL, NULL, 'LAGLIDADG ENDONUCLEASE', NULL, NULL, NULL, 15),
(161054, NULL, 'PTHR10258:SF10', NULL, NULL, NULL, NULL, 'POTASSIUM LARGE CONDUCTANCE CALCIUM-ACTIVATED CHANNEL, SUBFAMILY M, BETA MEMBER 2', NULL, NULL, NULL, 15),
(161055, NULL, 'PTHR16110:SF1', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 19', NULL, NULL, NULL, 15),
(161056, NULL, 'PTHR23220:SF69', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-9', NULL, NULL, NULL, 15),
(161057, NULL, 'PTHR12969:SF7', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 52 HOMOLOG', NULL, NULL, NULL, 15),
(161058, NULL, 'PTHR45631:SF85', NULL, NULL, NULL, NULL, 'REPEAT TRANSMEMBRANE PROTEIN KINASE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161059, NULL, 'PTHR21700:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG20620', NULL, NULL, NULL, 15),
(161060, NULL, 'PTHR12317:SF71', NULL, NULL, NULL, NULL, 'DGAT (ACYL-COA:DIACYLGLYCEROL ACYLTRANSFERASE) RELATED', NULL, NULL, NULL, 15),
(161061, NULL, 'PTHR13194:SF24', NULL, NULL, NULL, NULL, 'NADH:UBIQUINONE OXIDOREDUCTASE INTERMEDIATE-ASSOCIATED PROTEIN 30', NULL, NULL, NULL, 15),
(161062, NULL, 'PTHR48048:SF8', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(161063, NULL, 'PTHR46779:SF2', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(161064, NULL, 'PTHR12550:SF66', NULL, NULL, NULL, NULL, 'OS07G0655500 PROTEIN', NULL, NULL, NULL, 15),
(161065, NULL, 'PTHR24377:SF873', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161066, NULL, 'PTHR22936:SF86', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(161067, NULL, 'PTHR30252:SF0', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER CSTA', NULL, NULL, NULL, 15),
(161068, NULL, 'PTHR13025:SF7', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN FAMILY, MEMBER D2', NULL, NULL, NULL, 15),
(161069, NULL, 'PTHR43880:SF9', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(161070, NULL, 'PTHR45798', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL61-RELATED-RELATED', NULL, NULL, NULL, 15),
(161071, NULL, 'PTHR22298:SF125', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 12-RELATED', NULL, NULL, NULL, 15),
(161072, NULL, 'PTHR34883:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161073, NULL, 'PTHR23226:SF275', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 771', NULL, NULL, NULL, 15),
(161074, NULL, 'PTHR44170:SF27', NULL, NULL, NULL, NULL, 'NEOGENIN 1A-RELATED', NULL, NULL, NULL, 15),
(161075, NULL, 'PTHR23226:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 232', NULL, NULL, NULL, 15),
(161076, NULL, 'PTHR24193:SF119', NULL, NULL, NULL, NULL, 'ADA2A-CONTAINING COMPLEX COMPONENT 3, ISOFORM D', NULL, NULL, NULL, 15),
(161077, NULL, 'PTHR24559:SF253', NULL, NULL, NULL, NULL, 'PROTEIN CBG26278', NULL, NULL, NULL, 15),
(161078, NULL, 'PTHR23426:SF56', NULL, NULL, NULL, NULL, '2FE-2S FERREDOXIN', NULL, NULL, NULL, 15),
(161079, NULL, 'PTHR31595:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161080, NULL, 'PTHR46650:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL ADENINE NUCLEOTIDE TRANSPORTER 1', NULL, NULL, NULL, 15),
(161081, NULL, 'PTHR31415:SF20', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 26', NULL, NULL, NULL, 15),
(161082, NULL, 'PTHR34597:SF5', NULL, NULL, NULL, NULL, 'SLR1661 PROTEIN', NULL, NULL, NULL, 15),
(161083, NULL, 'PTHR31636:SF278', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 11', NULL, NULL, NULL, 15),
(161084, NULL, 'PTHR10388:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161085, NULL, 'PTHR14240:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FANTOM', NULL, NULL, 25774, 15),
(161086, NULL, 'PTHR44103', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE P', NULL, NULL, NULL, 15),
(161087, NULL, 'PTHR31639:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161088, NULL, 'PTHR22943:SF94', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(161089, NULL, 'PTHR23501:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161090, NULL, 'PTHR24106:SF64', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING OLIGOMERIZATION DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(161091, NULL, 'PTHR11353:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161092, NULL, 'PTHR22835:SF592', NULL, NULL, NULL, NULL, 'BNAC02G17620D PROTEIN', NULL, NULL, NULL, 15),
(161093, NULL, 'PTHR43601:SF15', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(161094, NULL, 'PTHR43056:SF10', NULL, NULL, NULL, NULL, 'COCE/NOND FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00600)-RELATED', NULL, NULL, NULL, 15),
(161095, NULL, 'PTHR47863:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161096, NULL, 'PTHR45670:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UPL3-LIKE', NULL, NULL, NULL, 15),
(161097, NULL, 'PTHR19290:SF32', NULL, NULL, NULL, NULL, 'OLIGODENDROCYTE TRANSCRIPTION FACTOR 2', NULL, NULL, 22302, 15),
(161098, NULL, 'PTHR23049:SF61', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN, SMOOTH MUSCLE ISOFORM X3', NULL, NULL, NULL, 15),
(161099, NULL, 'PTHR24404:SF45', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 24', NULL, NULL, NULL, 15),
(161100, NULL, 'PTHR37103:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161101, NULL, 'PTHR24067:SF290', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(161102, NULL, 'PTHR24015:SF1958', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161103, NULL, 'PTHR36292:SF1', NULL, NULL, NULL, NULL, 'UPF0575 PROTEIN C19ORF67', NULL, NULL, NULL, 15),
(161104, NULL, 'PTHR46561:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', NULL, NULL, NULL, 15),
(161105, NULL, 'PTHR21242:SF0', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 10', NULL, NULL, NULL, 15),
(161106, NULL, 'PTHR46281:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B-1', NULL, NULL, NULL, 15),
(161107, NULL, 'PTHR34051:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LOW PSII ACCUMULATION 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(161108, NULL, 'PTHR34377:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161109, NULL, 'PTHR45633:SF12', NULL, NULL, NULL, NULL, 'HSP60, MITOCHONDRIAL, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161110, NULL, 'PTHR31867:SF169', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(161111, NULL, 'PTHR35096:SF8', NULL, NULL, NULL, NULL, 'BNAA08G28570D PROTEIN', NULL, NULL, NULL, 15),
(161112, NULL, 'PTHR24015:SF1938', NULL, NULL, NULL, NULL, 'OS11G0158300 PROTEIN', NULL, NULL, NULL, 15),
(161113, NULL, 'PTHR10877:SF47', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY DISEASE 2-LIKE 2 PROTEIN', NULL, NULL, NULL, 15),
(161114, NULL, 'PTHR15507:SF16', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 654', NULL, NULL, NULL, 15),
(161115, NULL, 'PTHR11739:SF11', NULL, NULL, NULL, NULL, 'CITRATE/2-METHYLCITRATE SYNTHASE', NULL, NULL, NULL, 15),
(161116, NULL, 'PTHR30537:SF26', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM TRANSCRIPTIONAL ACTIVATOR', NULL, NULL, NULL, 15),
(161117, NULL, 'PTHR45844:SF22', NULL, NULL, NULL, NULL, 'BNAC04G56860D PROTEIN', NULL, NULL, NULL, 15),
(161118, NULL, 'PTHR12786:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161119, NULL, 'PTHR47976:SF62', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(161120, NULL, 'PTHR45598:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11839', NULL, NULL, NULL, 15),
(161121, NULL, 'PTHR13023:SF3', NULL, NULL, NULL, NULL, 'SOLUBLE CALCIUM-ACTIVATED NUCLEOTIDASE 1', NULL, NULL, NULL, 15),
(161122, NULL, 'PTHR24361:SF822', NULL, NULL, NULL, NULL, 'BNAC03G41990D PROTEIN', NULL, NULL, NULL, 15),
(161123, NULL, 'PTHR10194:SF19', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, 29166, 15),
(161124, NULL, 'PTHR46128:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161125, NULL, 'PTHR24042:SF0', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C-BINDING PROTEIN NELL2', NULL, NULL, NULL, 15),
(161126, NULL, 'PTHR46137:SF11', NULL, NULL, NULL, NULL, 'NC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161127, NULL, 'PTHR31769:SF74', NULL, NULL, NULL, NULL, 'BNAC06G05950D PROTEIN', NULL, NULL, NULL, 15),
(161128, NULL, 'PTHR12064:SF68', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER CNNM-5', NULL, NULL, NULL, 15),
(161129, NULL, 'PTHR12000:SF42', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME GAMMA-ISOZYME', NULL, NULL, NULL, 15),
(161130, NULL, 'PTHR47839:SF1', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G04830)-RELATED', NULL, NULL, NULL, 15),
(161131, NULL, 'PTHR11132:SF413', NULL, NULL, NULL, NULL, 'BNAA02G17980D PROTEIN', NULL, NULL, NULL, 15),
(161132, NULL, 'PTHR45752:SF26', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN SHOC-2', NULL, NULL, NULL, 15),
(161133, NULL, 'PTHR30529:SF6', NULL, NULL, NULL, NULL, 'BLL0291 PROTEIN', NULL, NULL, NULL, 15),
(161134, NULL, 'PTHR33204:SF29', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR HXLR', NULL, NULL, NULL, 15),
(161135, NULL, 'PTHR13604:SF0', NULL, NULL, NULL, NULL, 'ABASIC SITE PROCESSING PROTEIN HMCES', NULL, NULL, NULL, 15),
(161136, NULL, 'PTHR23070', NULL, NULL, NULL, NULL, 'BCS1 AAA-TYPE ATPASE', NULL, NULL, NULL, 15),
(161137, NULL, 'PTHR34775', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(161138, NULL, 'PTHR11841', NULL, NULL, NULL, NULL, 'REELIN', NULL, NULL, 18982, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161139, NULL, 'PTHR11119:SF54', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 11', NULL, NULL, NULL, 15),
(161140, NULL, 'PTHR11214:SF91', NULL, NULL, NULL, NULL, 'UDP-GLCNAC:BETAGAL BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE 9', NULL, NULL, NULL, 15),
(161141, NULL, 'PTHR10972:SF70', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN', NULL, NULL, NULL, 15),
(161142, NULL, 'PTHR27005:SF365', NULL, NULL, NULL, NULL, 'BNAC04G02640D PROTEIN', NULL, NULL, NULL, 15),
(161143, NULL, 'PTHR31780:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161144, NULL, 'PTHR23043:SF7', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(161145, NULL, 'PTHR31353:SF5', NULL, NULL, NULL, NULL, 'IM:7138535', NULL, NULL, NULL, 15),
(161146, NULL, 'PTHR10516:SF420', NULL, NULL, NULL, NULL, 'FK506-BINDING PROTEIN 59', NULL, NULL, NULL, 15),
(161147, NULL, 'PTHR14247:SF11', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 3A', NULL, NULL, NULL, 15),
(161148, NULL, 'PTHR13555:SF54', NULL, NULL, NULL, NULL, 'BNAC09G20680D PROTEIN', NULL, NULL, NULL, 15),
(161149, NULL, 'PTHR11214:SF290', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 14-RELATED', NULL, NULL, NULL, 15),
(161150, NULL, 'PTHR23339:SF93', NULL, NULL, NULL, NULL, 'ZGC:77752', NULL, NULL, NULL, 15),
(161151, NULL, 'PTHR31852:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161152, NULL, 'PTHR24012:SF828', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF 2, NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161153, NULL, 'PTHR31391:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161154, NULL, 'PTHR22870:SF311', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161155, NULL, 'PTHR21230', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE PROTEIN VTI1-RELATED', NULL, NULL, NULL, 15),
(161156, NULL, 'PTHR44051', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(161157, NULL, 'PTHR12850:SF29', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S25-2-RELATED', NULL, NULL, NULL, 15),
(161158, NULL, 'PTHR22884:SF413', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-36 SPECIFIC', NULL, NULL, NULL, 15),
(161159, NULL, 'PTHR47660:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(161160, NULL, 'PTHR43184:SF16', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE TRANSPORTER 1 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(161161, NULL, 'PTHR23267:SF431', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161162, NULL, 'PTHR33076', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 5827, 15),
(161163, NULL, 'PTHR12262:SF5', NULL, NULL, NULL, NULL, 'CELL DIFFERENTIATION PROTEIN RCD1-LIKE', NULL, NULL, NULL, 15),
(161164, NULL, 'PTHR12176:SF60', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(161165, NULL, 'PTHR12565:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161166, NULL, 'PTHR47176:SF2', NULL, NULL, NULL, NULL, 'T21P5.8 PROTEIN', NULL, NULL, NULL, 15),
(161167, NULL, 'PTHR43078:SF19', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE 4', NULL, NULL, NULL, 15),
(161168, NULL, 'PTHR12780', NULL, NULL, NULL, NULL, 'RNA POLYMERASE III  DNA DIRECTED , 39KD SUBUNIT-RELATED', NULL, NULL, 7941, 15),
(161169, NULL, 'PTHR46125:SF13', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 19', NULL, NULL, NULL, 15),
(161170, NULL, 'PTHR12268:SF16', NULL, NULL, NULL, NULL, 'DYSTROPHIN-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(161171, NULL, 'PTHR45682:SF3', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY PROTEIN PHOSPHATASE 13', NULL, NULL, NULL, 15),
(161172, NULL, 'PTHR24235:SF26', NULL, NULL, NULL, NULL, 'TACHYKININ-LIKE PEPTIDES RECEPTOR 86C', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161173, NULL, 'PTHR47073:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161174, NULL, 'PTHR13462:SF38', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(161175, NULL, 'PTHR11829:SF201', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 3-GAMMA', NULL, NULL, NULL, 15),
(161176, NULL, 'PTHR31234:SF39', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN 1 CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(161177, NULL, 'PTHR33021:SF29', NULL, NULL, NULL, NULL, 'EARLY NODULIN 20', NULL, NULL, NULL, 15),
(161178, NULL, 'PTHR48112:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161179, NULL, 'PTHR11850:SF265', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 8', NULL, NULL, NULL, 15),
(161180, NULL, 'PTHR11005', NULL, NULL, NULL, NULL, 'LYSOSOMAL ACID LIPASE-RELATED', NULL, NULL, NULL, 15),
(161181, NULL, 'PTHR11223:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161182, NULL, 'PTHR31470', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(161183, NULL, 'PTHR46318:SF3', NULL, NULL, NULL, NULL, 'UPSTREAM BINDING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(161184, NULL, 'PTHR11926:SF1344', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(161185, NULL, 'PTHR36372', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(161186, NULL, 'PTHR10812:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-2-EPSILON', NULL, NULL, NULL, 15),
(161187, NULL, 'PTHR46324:SF18', NULL, NULL, NULL, NULL, 'BNAC01G30400D PROTEIN', NULL, NULL, NULL, 15),
(161188, NULL, 'PTHR10357:SF198', NULL, NULL, NULL, NULL, 'MALTASE MALT (AFU_ORTHOLOGUE AFUA_8G07070)', NULL, NULL, NULL, 15),
(161189, NULL, 'PTHR30251:SF25', NULL, NULL, NULL, NULL, 'FIMBRIAE CHAPARONE-RELATED', NULL, NULL, NULL, 15),
(161190, NULL, 'PTHR11040:SF172', NULL, NULL, NULL, NULL, 'ZINC/IRON PERMEASE-RELATED', NULL, NULL, NULL, 15),
(161191, NULL, 'PTHR24073:SF950', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN YPT53-RELATED', NULL, NULL, NULL, 15),
(161192, NULL, 'PTHR10978:SF5', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE CYTOCHROME B560 SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(161193, NULL, 'PTHR14776', NULL, NULL, NULL, NULL, 'CADHERIN-LIKE AND PC-ESTERASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(161194, NULL, 'PTHR47164:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(161195, NULL, 'PTHR11527:SF141', NULL, NULL, NULL, NULL, '17.9 KDA HEAT SHOCK PROTEIN 2', NULL, NULL, NULL, 15),
(161196, NULL, 'PTHR46031:SF15', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(161197, NULL, 'PTHR43570:SF6', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 3 MEMBER B2', NULL, NULL, NULL, 15),
(161198, NULL, 'PTHR32212:SF254', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161199, NULL, 'PTHR24012:SF794', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(161200, NULL, 'PTHR22595:SF148', NULL, NULL, NULL, NULL, 'CHITINASE 7', NULL, NULL, NULL, 15),
(161201, NULL, 'PTHR34188:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161202, NULL, 'PTHR11538:SF70', NULL, NULL, NULL, NULL, 'PHENYLALANYL-TRNA SYNTHETASE-RELATED', NULL, NULL, NULL, 15),
(161203, NULL, 'PTHR11639:SF119', NULL, NULL, NULL, NULL, 'PROTEIN S100', NULL, NULL, NULL, 15),
(161204, NULL, 'PTHR12203:SF73', NULL, NULL, NULL, NULL, 'PROTEIN O-GLUCOSYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(161205, NULL, 'PTHR45649:SF24', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15150)-RELATED', NULL, NULL, NULL, 15),
(161206, NULL, 'PTHR33828:SF2', NULL, NULL, NULL, NULL, 'NUCLEOLIN', NULL, NULL, NULL, 15),
(161207, NULL, 'PTHR30603:SF48', NULL, NULL, NULL, NULL, 'OS05G0589000 PROTEIN', NULL, NULL, NULL, 15),
(161208, NULL, 'PTHR34223:SF8', NULL, NULL, NULL, NULL, 'OS08G0270000 PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161209, NULL, 'PTHR31043:SF3', NULL, NULL, NULL, NULL, 'NEPHROCYSTIN-4', NULL, NULL, NULL, 15),
(161210, NULL, 'PTHR11462:SF51', NULL, NULL, NULL, NULL, 'JUNE PROTO-ONCOGENE, AP-1 TRANSCRIPTION FACTOR SUBUNIT', NULL, NULL, NULL, 15),
(161211, NULL, 'PTHR20987:SF0', NULL, NULL, NULL, NULL, 'GEO07165P1-RELATED', NULL, NULL, NULL, 15),
(161212, NULL, 'PTHR42715:SF13', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE K-RELATED', NULL, NULL, NULL, 15),
(161213, NULL, 'PTHR13469:SF8', NULL, NULL, NULL, NULL, 'HEXAMETHYLENE BISACETAMIDE INDUCIBLE 1', NULL, NULL, NULL, 15),
(161214, NULL, 'PTHR38926:SF35', NULL, NULL, NULL, NULL, 'BNAA04G14150D PROTEIN', NULL, NULL, NULL, 15),
(161215, NULL, 'PTHR11220:SF24', NULL, NULL, NULL, NULL, 'HEME-BINDING PROTEIN SOUL4', NULL, NULL, NULL, 15),
(161216, NULL, 'PTHR12547:SF130', NULL, NULL, NULL, NULL, 'SB:CB81', NULL, NULL, NULL, 15),
(161217, NULL, 'PTHR11615:SF322', NULL, NULL, NULL, NULL, 'CYTOSOLIC IRON-SULFUR ASSEMBLY COMPONENT 3', NULL, NULL, NULL, 15),
(161218, NULL, 'PTHR47992:SF42', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', NULL, NULL, NULL, 15),
(161219, NULL, 'PTHR33286:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161220, NULL, 'PTHR45988:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161221, NULL, 'PTHR31017:SF1', NULL, NULL, NULL, NULL, 'LATE SECRETORY PATHWAY PROTEIN AVL9 HOMOLOG', NULL, NULL, NULL, 15),
(161222, NULL, 'PTHR33021:SF163', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(161223, NULL, 'PTHR16517:SF96', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 3', NULL, NULL, NULL, 15),
(161224, NULL, 'PTHR35081', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 105', NULL, NULL, 34490, 15),
(161225, NULL, 'PTHR31636:SF263', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS, SCARECROW-LIKE PROTEIN 8-RELATED', NULL, NULL, NULL, 15),
(161226, NULL, 'PTHR24058:SF122', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-INTERACTING PROTEIN KINASE 1A', NULL, NULL, NULL, 15),
(161227, NULL, 'PTHR40060', NULL, NULL, NULL, NULL, 'UPF0316 PROTEIN YEBE', NULL, NULL, 14704, 15),
(161228, NULL, 'PTHR22663:SF24', NULL, NULL, NULL, NULL, 'ZIP (YEAST MEIOTIC ZIPPER) HOMOLOGOUS PROTEIN', NULL, NULL, NULL, 15),
(161229, NULL, 'PTHR31194:SF91', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-11-LIKE', NULL, NULL, NULL, 15),
(161230, NULL, 'PTHR27008:SF484', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161231, NULL, 'PTHR12802:SF135', NULL, NULL, NULL, NULL, 'BNAA06G15430D PROTEIN', NULL, NULL, NULL, 15),
(161232, NULL, 'PTHR47849', NULL, NULL, NULL, NULL, 'CHITIN-BINDING LECTIN 1', NULL, NULL, NULL, 15),
(161233, NULL, 'PTHR11575:SF6', NULL, NULL, NULL, NULL, '2'',3''-CYCLIC-NUCLEOTIDE 2''-PHOSPHODIESTERASE/3''-NUCLEOTIDASE', NULL, NULL, NULL, 15),
(161234, NULL, 'PTHR38655:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 4930524B15', NULL, NULL, NULL, 15),
(161235, NULL, 'PTHR18843:SF2', NULL, NULL, NULL, NULL, 'TORSIN-1A-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(161236, NULL, 'PTHR10791:SF148', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(161237, NULL, 'PTHR10969:SF75', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(161238, NULL, 'PTHR12566:SF7', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATION ELEMENT-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(161239, NULL, 'PTHR11260:SF574', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE PARC-RELATED', NULL, NULL, NULL, 15),
(161240, NULL, 'PTHR33264:SF40', NULL, NULL, NULL, NULL, 'OS04G0194900 PROTEIN', NULL, NULL, NULL, 15),
(161241, NULL, 'PTHR43537:SF30', NULL, NULL, NULL, NULL, 'GNTR FAMILY REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161242, NULL, 'PTHR34218:SF2', NULL, NULL, NULL, NULL, 'PENICILLIN G ACYLASE', NULL, NULL, NULL, 15),
(161243, NULL, 'PTHR32347:SF26', NULL, NULL, NULL, NULL, 'SECRETION PROTEIN-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161244, NULL, 'PTHR46671:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG02521', NULL, NULL, NULL, 15),
(161245, NULL, 'PTHR46477:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161246, NULL, 'PTHR36615:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161247, NULL, 'PTHR11329', NULL, NULL, NULL, NULL, 'LEUKOCYTE CELL-DERIVED CHEMOTAXIN 2', NULL, NULL, 13461, 15),
(161248, NULL, 'PTHR15948:SF7', NULL, NULL, NULL, NULL, 'GPCR-TYPE G PROTEIN 2', NULL, NULL, NULL, 15),
(161249, NULL, 'PTHR47413:SF2', NULL, NULL, NULL, NULL, 'LIPASE-LIKE PAD4', NULL, NULL, NULL, 15),
(161250, NULL, 'PTHR31232:SF32', NULL, NULL, NULL, NULL, 'SELF-INCOMPATIBILITY PROTEIN S1 FAMILY, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161251, NULL, 'PTHR31311:SF26', NULL, NULL, NULL, NULL, 'ALPHA-6-GALACTOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(161252, NULL, 'PTHR43283:SF6', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G07500)', NULL, NULL, NULL, 15),
(161253, NULL, 'PTHR31790:SF418', NULL, NULL, NULL, NULL, 'BNAA04G19540D PROTEIN', NULL, NULL, NULL, 15),
(161254, NULL, 'PTHR30514:SF17', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR MURR', NULL, NULL, NULL, 15),
(161255, NULL, 'PTHR43198:SF5', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL TENA-E PROTEIN', NULL, NULL, NULL, 15),
(161256, NULL, 'PTHR46038:SF9', NULL, NULL, NULL, NULL, 'OS01G0920800 PROTEIN', NULL, NULL, NULL, 15),
(161257, NULL, 'PTHR18896:SF125', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(161258, NULL, 'PTHR45623:SF13', NULL, NULL, NULL, NULL, 'HELICASE PROTEIN MOM1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(161259, NULL, 'PTHR23421:SF164', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(161260, NULL, 'PTHR28228:SF1', NULL, NULL, NULL, NULL, 'SECRETORY COMPONENT PROTEIN SHR3', NULL, NULL, NULL, 15),
(161261, NULL, 'PTHR33448:SF7', NULL, NULL, NULL, NULL, 'NUCLEOLAR GTP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(161262, NULL, 'PTHR11746:SF257', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE COMT-TYPE, S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(161263, NULL, 'PTHR45807', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE HOPSCOTCH', NULL, NULL, NULL, 15),
(161264, NULL, 'PTHR47123:SF6', NULL, NULL, NULL, NULL, 'ASCORBIC ACID MANNOSE PATHWAY REGULATOR-RELATED', NULL, NULL, NULL, 15),
(161265, NULL, 'PTHR31636:SF182', NULL, NULL, NULL, NULL, 'OS02G0681900 PROTEIN', NULL, NULL, NULL, 15),
(161266, NULL, 'PTHR31384:SF140', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(161267, NULL, 'PTHR11134', NULL, NULL, NULL, NULL, 'ADAPTOR COMPLEX SUBUNIT BETA FAMILY MEMBER', NULL, NULL, 27483, 15),
(161268, NULL, 'PTHR43461:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 256', NULL, NULL, NULL, 15),
(161269, NULL, 'PTHR31717:SF101', NULL, NULL, NULL, NULL, 'BNAA05G26310D PROTEIN', NULL, NULL, NULL, 15),
(161270, NULL, 'PTHR11017:SF264', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(161271, NULL, 'PTHR40596:SF1', NULL, NULL, NULL, NULL, 'CITRATE LYASE ALPHA CHAIN', NULL, NULL, NULL, 15),
(161272, NULL, 'PTHR34294', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(161273, NULL, 'PTHR11548:SF12', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DIHYDROFOLATE REDUCTASE-THYMIDYLATE SYNTHASE', NULL, NULL, NULL, 15),
(161274, NULL, 'PTHR39429', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161275, NULL, 'PTHR47319:SF17', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND PROTEIN', NULL, NULL, NULL, 15),
(161276, NULL, 'PTHR33657', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00600)-RELATED', NULL, NULL, 13278, 15),
(161277, NULL, 'PTHR37962:SF2', NULL, NULL, NULL, NULL, 'MALE STERILE (3) 76CA', NULL, NULL, NULL, 15),
(161278, NULL, 'PTHR31370:SF5', NULL, NULL, NULL, NULL, 'BNAC04G31550D PROTEIN', NULL, NULL, NULL, 15),
(161279, NULL, 'PTHR43376:SF1', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161280, NULL, 'PTHR16476', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 28157, 15),
(161281, NULL, 'PTHR15902', NULL, NULL, NULL, NULL, 'NEURITIN-RELATED', NULL, NULL, 24180, 15),
(161282, NULL, 'PTHR30178', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YAAH', NULL, NULL, NULL, 15),
(161283, NULL, 'PTHR46592:SF8', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL70', NULL, NULL, NULL, 15),
(161284, NULL, 'PTHR11388:SF99', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 1C1', NULL, NULL, 21930, 15),
(161285, NULL, 'PTHR24270:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161286, NULL, 'PTHR11709:SF251', NULL, NULL, NULL, NULL, 'LACCASE-8-RELATED', NULL, NULL, NULL, 15),
(161287, NULL, 'PTHR43041:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE, METALLO-BETA-LACTAMASE SUPERFAMILY', NULL, NULL, NULL, 15),
(161288, NULL, 'PTHR13145:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161289, NULL, 'PTHR11451:SF36', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(161290, NULL, 'PTHR13924:SF12', NULL, NULL, NULL, NULL, 'TRANSFORMING ACIDIC COILED-COIL-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(161291, NULL, 'PTHR39665:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161292, NULL, 'PTHR24349:SF360', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 20', NULL, NULL, NULL, 15),
(161293, NULL, 'PTHR11782:SF92', NULL, NULL, NULL, NULL, 'GDA1/CD39 NUCLEOSIDE PHOSPHATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(161294, NULL, 'PTHR47657', NULL, NULL, NULL, NULL, 'STEROL REGULATORY ELEMENT-BINDING PROTEIN ECM22', NULL, NULL, NULL, 15),
(161295, NULL, 'PTHR18916:SF76', NULL, NULL, NULL, NULL, 'TUBULIN FOLDING COFACTOR B', NULL, NULL, NULL, 15),
(161296, NULL, 'PTHR31235:SF254', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(161297, NULL, 'PTHR22835:SF507', NULL, NULL, NULL, NULL, 'BNAC06G18430D PROTEIN', NULL, NULL, NULL, 15),
(161298, NULL, 'PTHR27007:SF321', NULL, NULL, NULL, NULL, 'KINASE CHARK-RELATED', NULL, NULL, NULL, 15),
(161299, NULL, 'PTHR31722:SF39', NULL, NULL, NULL, NULL, 'OS08G0474100 PROTEIN', NULL, NULL, NULL, 15),
(161300, NULL, 'PTHR31517:SF69', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(161301, NULL, 'PTHR22850:SF212', NULL, NULL, NULL, NULL, 'HISTONE-BINDING PROTEIN RBBP4-RELATED', NULL, NULL, NULL, 15),
(161302, NULL, 'PTHR45868:SF18', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 35-LIKE', NULL, NULL, NULL, 15),
(161303, NULL, 'PTHR47992:SF87', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 52-RELATED', NULL, NULL, NULL, 15),
(161304, NULL, 'PTHR22760:SF1', NULL, NULL, NULL, NULL, 'DOL-P-MAN:MAN(7)GLCNAC(2)-PP-DOL ALPHA-1,6-MANNOSYLTRANSFERASE', NULL, NULL, 36275, 15),
(161305, NULL, 'PTHR11516:SF41', NULL, NULL, NULL, NULL, '3-METHYL-2-OXOBUTANOATE DEHYDROGENASE SUBUNIT ALPHA', NULL, NULL, 16268, 15),
(161306, NULL, 'PTHR42923:SF4', NULL, NULL, NULL, NULL, '15-CIS-PHYTOENE DESATURASE, CHLOROPLASTIC/CHROMOPLASTIC', NULL, NULL, NULL, 15),
(161307, NULL, 'PTHR21600:SF24', NULL, NULL, NULL, NULL, '23S RRNA PSEUDOURIDINE(2604) SYNTHASE', NULL, NULL, NULL, 15),
(161308, NULL, 'PTHR31839', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1D', NULL, NULL, 39524, 15),
(161309, NULL, 'PTHR33566:SF1', NULL, NULL, NULL, NULL, 'EN/SPM-LIKE TRANSPOSON-RELATED', NULL, NULL, NULL, 15),
(161310, NULL, 'PTHR24096:SF246', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700061G19 GENE', NULL, NULL, NULL, 15),
(161311, NULL, 'PTHR46946', NULL, NULL, NULL, NULL, 'NEURITE EXTENSION AND MIGRATION FACTOR', NULL, NULL, 36532, 15),
(161312, NULL, 'PTHR42994:SF1', NULL, NULL, NULL, NULL, 'PEPTIDASE T', NULL, NULL, 10734, 15),
(161313, NULL, 'PTHR10412:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161314, NULL, 'PTHR19944:SF64', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DP ALPHA 1 CHAIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161315, NULL, 'PTHR11165:SF120', NULL, NULL, NULL, NULL, 'S-PHASE KINASE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(161316, NULL, 'PTHR46503:SF6', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN-RELATED', NULL, NULL, NULL, 15),
(161317, NULL, 'PTHR45650:SF49', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(161318, NULL, 'PTHR13596:SF6', NULL, NULL, NULL, NULL, 'RCG26176, ISOFORM CRA_A', NULL, NULL, NULL, 15),
(161319, NULL, 'PTHR46727:SF1', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE CBX4', NULL, NULL, NULL, 15),
(161320, NULL, 'PTHR11616:SF268', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(161321, NULL, 'PTHR13989:SF16', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A2', NULL, NULL, NULL, 15),
(161322, NULL, 'PTHR21394:SF0', NULL, NULL, NULL, NULL, 'MAU2 CHROMATID COHESION FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(161323, NULL, 'PTHR31651:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(161324, NULL, 'PTHR30272:SF3', NULL, NULL, NULL, NULL, '(3R)-HYDROXYMYRISTOYL-[ACYL CARRIER PROTEIN] DEHYDRATASE', NULL, NULL, NULL, 15),
(161325, NULL, 'PTHR12589:SF7', NULL, NULL, NULL, NULL, '6-PYRUVOYL TETRAHYDROBIOPTERIN SYNTHASE', NULL, NULL, NULL, 15),
(161326, NULL, 'PTHR11136', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE-RELATED', NULL, NULL, 3222, 15),
(161327, NULL, 'PTHR47753:SF4', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(161328, NULL, 'PTHR14513:SF0', NULL, NULL, NULL, NULL, 'PROTECTION OF TELOMERES PROTEIN 1', NULL, NULL, NULL, 15),
(161329, NULL, 'PTHR42861:SF83', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(161330, NULL, 'PTHR11467:SF122', NULL, NULL, NULL, NULL, 'HISTONE H1-LIKE', NULL, NULL, NULL, 15),
(161331, NULL, 'PTHR11945:SF506', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(161332, NULL, 'PTHR13866:SF25', NULL, NULL, NULL, NULL, 'SPARC-LIKE 1', NULL, NULL, NULL, 15),
(161333, NULL, 'PTHR10366:SF607', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161334, NULL, 'PTHR31903:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161335, NULL, 'PTHR24356:SF185', NULL, NULL, NULL, NULL, 'CELL CYCLE PROTEIN KINASE DBF2-RELATED', NULL, NULL, NULL, 15),
(161336, NULL, 'PTHR24281:SF166', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B37-LIKE', NULL, NULL, NULL, 15),
(161337, NULL, 'PTHR12591:SF1', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATASE 2', NULL, NULL, NULL, 15),
(161338, NULL, 'PTHR10015:SF358', NULL, NULL, NULL, NULL, 'BNACNNG47870D PROTEIN', NULL, NULL, NULL, 15),
(161339, NULL, 'PTHR23428:SF275', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(161340, NULL, 'PTHR38745:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161341, NULL, 'PTHR40705:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161342, NULL, 'PTHR10791:SF199', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(161343, NULL, 'PTHR34944:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM7-2', NULL, NULL, NULL, 15),
(161344, NULL, 'PTHR12482:SF20', NULL, NULL, NULL, NULL, 'LIPASE YDR444W-RELATED', NULL, NULL, 11332, 15),
(161345, NULL, 'PTHR43670:SF42', NULL, NULL, NULL, NULL, 'OS05G0592000 PROTEIN', NULL, NULL, NULL, 15),
(161346, NULL, 'PTHR31096:SF73', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161347, NULL, 'PTHR31818:SF24', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(161348, NULL, 'PTHR19424:SF4', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR-BINDING PROTEIN 1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(161349, NULL, 'PTHR18945:SF408', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(161350, NULL, 'PTHR13093:SF1', NULL, NULL, NULL, NULL, 'BNACNNG31940D PROTEIN', NULL, NULL, NULL, 15),
(161351, NULL, 'PTHR10489:SF937', NULL, NULL, NULL, NULL, 'RELAXIN FAMILY PEPTIDE RECEPTOR 3.2B', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161352, NULL, 'PTHR44218:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161353, NULL, 'PTHR19865:SF9', NULL, NULL, NULL, NULL, 'F-BOX AND WD REPEAT DOMAIN-CONTAINING 11A', NULL, NULL, NULL, 15),
(161354, NULL, 'PTHR10822:SF29', NULL, NULL, NULL, NULL, 'DIVISION ABNORMALLY DELAYED PROTEIN', NULL, NULL, 26796, 15),
(161355, NULL, 'PTHR32227:SF265', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-LIKE', NULL, NULL, NULL, 15),
(161356, NULL, 'PTHR21039', NULL, NULL, NULL, NULL, 'HISTIDINOL PHOSPHATASE-RELATED', NULL, NULL, 10986, 15),
(161357, NULL, 'PTHR11673:SF45', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A', NULL, NULL, NULL, 15),
(161358, NULL, 'PTHR14522:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 14', NULL, NULL, NULL, 15),
(161359, NULL, 'PTHR33110:SF57', NULL, NULL, NULL, NULL, 'OS02G0129200 PROTEIN', NULL, NULL, NULL, 15),
(161360, NULL, 'PTHR42773:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161361, NULL, 'PTHR47992:SF66', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 18-RELATED', NULL, NULL, NULL, 15),
(161362, NULL, 'PTHR31639:SF139', NULL, NULL, NULL, NULL, 'F-BOX/LRR PLANT PROTEIN', NULL, NULL, NULL, 15),
(161363, NULL, 'PTHR11426:SF227', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(161364, NULL, 'PTHR10125:SF19', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(161365, NULL, 'PTHR11977:SF102', NULL, NULL, NULL, NULL, 'VILLIN-3-LIKE', NULL, NULL, NULL, 15),
(161366, NULL, 'PTHR30069:SF27', NULL, NULL, NULL, NULL, 'HEMIN RECEPTOR', NULL, NULL, NULL, 15),
(161367, NULL, 'PTHR13047:SF5', NULL, NULL, NULL, NULL, 'BNAA03G47500D PROTEIN', NULL, NULL, NULL, 15),
(161368, NULL, 'PTHR24340:SF21', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-6.2', NULL, NULL, NULL, 15),
(161369, NULL, 'PTHR10792:SF42', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24-RELATED', NULL, NULL, NULL, 15),
(161370, NULL, 'PTHR10127:SF833', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-32', NULL, NULL, NULL, 15),
(161371, NULL, 'PTHR46391:SF22', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 61-LIKE', NULL, NULL, NULL, 15),
(161372, NULL, 'PTHR11521:SF1', NULL, NULL, NULL, NULL, 'TROPONIN T, SKELETAL MUSCLE', NULL, NULL, NULL, 15),
(161373, NULL, 'PTHR13675:SF3', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(161374, NULL, 'PTHR22589:SF60', NULL, NULL, NULL, NULL, 'O-PALMITOYLTRANSFERASE II, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161375, NULL, 'PTHR28638:SF1', NULL, NULL, NULL, NULL, 'PRE-B-CELL LEUKEMIA TRANSCRIPTION FACTOR-INTERACTING PROTEIN 1', NULL, NULL, 31762, 15),
(161376, NULL, 'PTHR13028:SF0', NULL, NULL, NULL, NULL, 'RRNA-PROCESSING PROTEIN EBP2-RELATED', NULL, NULL, NULL, 15),
(161377, NULL, 'PTHR10381', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', NULL, NULL, 10601, 15),
(161378, NULL, 'PTHR45886:SF11', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(161379, NULL, 'PTHR15895:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161380, NULL, 'PTHR10835:SF10', NULL, NULL, NULL, NULL, 'SQUALENE MONOOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(161381, NULL, 'PTHR32212:SF333', NULL, NULL, NULL, NULL, 'BNAA04G05290D PROTEIN', NULL, NULL, NULL, 15),
(161382, NULL, 'PTHR33147:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161383, NULL, 'PTHR31992:SF223', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF2.5', NULL, NULL, NULL, 15),
(161384, NULL, 'PTHR13439', NULL, NULL, NULL, NULL, 'CT120 PROTEIN', NULL, NULL, NULL, 15),
(161385, NULL, 'PTHR27009:SF249', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161386, NULL, 'PTHR46709:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG05848', NULL, NULL, NULL, 15),
(161387, NULL, 'PTHR10527:SF22', NULL, NULL, NULL, NULL, 'IMPORTIN-5', NULL, NULL, NULL, 15),
(161388, NULL, 'PTHR23262:SF183', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-13-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161389, NULL, 'PTHR11920:SF481', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', NULL, NULL, NULL, 15),
(161390, NULL, 'PTHR42861:SF54', NULL, NULL, NULL, NULL, 'ATPASE 7, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(161391, NULL, 'PTHR31989:SF218', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(161392, NULL, 'PTHR45810:SF5', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(161393, NULL, 'PTHR33088:SF61', NULL, NULL, NULL, NULL, 'PRE-MRNA POLYADENYLATION FACTOR FIP1-LIKE', NULL, NULL, NULL, 15),
(161394, NULL, 'PTHR22870:SF363', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY WITH FYVE ZINC FINGER DOMAIN', NULL, NULL, NULL, 15),
(161395, NULL, 'PTHR14102', NULL, NULL, NULL, NULL, 'PAR-6-RELATED', NULL, NULL, NULL, 15),
(161396, NULL, 'PTHR31110:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161397, NULL, 'PTHR16223:SF209', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH133', NULL, NULL, NULL, 15),
(161398, NULL, 'PTHR24203:SF62', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', NULL, NULL, NULL, 15),
(161399, NULL, 'PTHR11540', NULL, NULL, NULL, NULL, 'MALATE AND LACTATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(161400, NULL, 'PTHR12210:SF121', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(161401, NULL, 'PTHR46288:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161402, NULL, 'PTHR24072:SF150', NULL, NULL, NULL, NULL, 'RAS HOMOLOG GENE FAMILY, MEMBER GC-RELATED', NULL, NULL, NULL, 15),
(161403, NULL, 'PTHR47654', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(161404, NULL, 'PTHR47000:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161405, NULL, 'PTHR26379:SF324', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161406, NULL, 'PTHR24068:SF135', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 J2', NULL, NULL, NULL, 15),
(161407, NULL, 'PTHR45649:SF35', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE BAT1', NULL, NULL, NULL, 15),
(161408, NULL, 'PTHR23086:SF58', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 3', NULL, NULL, NULL, 15),
(161409, NULL, 'PTHR24232:SF83', NULL, NULL, NULL, NULL, 'GENE 5127-RELATED', NULL, NULL, NULL, 15),
(161410, NULL, 'PTHR42647:SF59', NULL, NULL, NULL, NULL, 'BNACNNG71790D PROTEIN', NULL, NULL, NULL, 15),
(161411, NULL, 'PTHR45295:SF4', NULL, NULL, NULL, NULL, '3FE-4S FERREDOXIN', NULL, NULL, NULL, 15),
(161412, NULL, 'PTHR24006:SF753', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', NULL, NULL, NULL, 15),
(161413, NULL, 'PTHR31606:SF1', NULL, NULL, NULL, NULL, 'WW DOMAIN BINDING PROTEIN 2, ISOFORM E', NULL, NULL, NULL, 15),
(161414, NULL, 'PTHR12307:SF23', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3C', NULL, NULL, NULL, 15),
(161415, NULL, 'PTHR13349:SF2', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 16', NULL, NULL, NULL, 15),
(161416, NULL, 'PTHR11783:SF255', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(161417, NULL, 'PTHR33405:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161418, NULL, 'PTHR22811:SF181', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY/GOLD FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161419, NULL, 'PTHR11746:SF117', NULL, NULL, NULL, NULL, 'OS12G0444800 PROTEIN', NULL, NULL, NULL, 15),
(161420, NULL, 'PTHR47023:SF1', NULL, NULL, NULL, NULL, 'SEX PEPTIDE RECEPTOR', NULL, NULL, NULL, 15),
(161421, NULL, 'PTHR30595:SF3', NULL, NULL, NULL, NULL, 'DEOR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(161422, NULL, 'PTHR48062:SF25', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 9A', NULL, NULL, NULL, 15),
(161423, NULL, 'PTHR32444:SF128', NULL, NULL, NULL, NULL, 'CURCULIN-LIKE (MANNOSE-BINDING) LECTIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(161424, NULL, 'PTHR31375:SF246', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161425, NULL, 'PTHR24376:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161426, NULL, 'PTHR48127', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161427, NULL, 'PTHR47846:SF1', NULL, NULL, NULL, NULL, 'OS06G0681300 PROTEIN', NULL, NULL, NULL, 15),
(161428, NULL, 'PTHR34452:SF1', NULL, NULL, NULL, NULL, 'SPORULATION-SPECIFIC PROTEIN', NULL, NULL, NULL, 15),
(161429, NULL, 'PTHR39323', NULL, NULL, NULL, NULL, 'BLR1149 PROTEIN', NULL, NULL, NULL, 15),
(161430, NULL, 'PTHR47937', NULL, NULL, NULL, NULL, 'PLASTID TRANSCRIPTIONALLY ACTIVE CHROMOSOME 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(161431, NULL, 'PTHR31642:SF52', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(161432, NULL, 'PTHR23347:SF6', NULL, NULL, NULL, NULL, 'FI17904P1', NULL, NULL, NULL, 15),
(161433, NULL, 'PTHR11059', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RECN', NULL, NULL, 597, 15),
(161434, NULL, 'PTHR11573', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE LARGE CHAIN', NULL, NULL, 33934, 15),
(161435, NULL, 'PTHR36150:SF1', NULL, NULL, NULL, NULL, 'DNA GYRASE INHIBITOR YACG', NULL, NULL, NULL, 15),
(161436, NULL, 'PTHR45957:SF1', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(161437, NULL, 'PTHR14753:SF3', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 38', NULL, NULL, NULL, 15),
(161438, NULL, 'PTHR45642:SF57', NULL, NULL, NULL, NULL, 'BNAA04G17460D PROTEIN', NULL, NULL, NULL, 15),
(161439, NULL, 'PTHR33722:SF3', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT EPSILON', NULL, NULL, NULL, 15),
(161440, NULL, 'PTHR10890', NULL, NULL, NULL, NULL, 'CYSTEINYL-TRNA SYNTHETASE', NULL, NULL, 14634, 15),
(161441, NULL, 'PTHR10209:SF741', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161442, NULL, 'PTHR11615:SF302', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(161443, NULL, 'PTHR24356:SF352', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE IRE3-RELATED', NULL, NULL, NULL, 15),
(161444, NULL, 'PTHR45738:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC2', NULL, NULL, 22226, 15),
(161445, NULL, 'PTHR10342:SF244', NULL, NULL, NULL, NULL, 'B, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161446, NULL, 'PTHR11945:SF618', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL61', NULL, NULL, NULL, 15),
(161447, NULL, 'PTHR32166:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161448, NULL, 'PTHR36723', NULL, NULL, NULL, NULL, 'F22C12.19', NULL, NULL, NULL, 15),
(161449, NULL, 'PTHR48193:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161450, NULL, 'PTHR10766:SF45', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(161451, NULL, 'PTHR12901:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161452, NULL, 'PTHR27006:SF289', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(161453, NULL, 'PTHR47942:SF50', NULL, NULL, NULL, NULL, 'OS03G0284900 PROTEIN', NULL, NULL, NULL, 15),
(161454, NULL, 'PTHR30204:SF74', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ADHR', NULL, NULL, NULL, 15),
(161455, NULL, 'PTHR12317:SF34', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161456, NULL, 'PTHR26453:SF649', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(161457, NULL, 'PTHR33122:SF62', NULL, NULL, NULL, NULL, 'OS01G0914300 PROTEIN', NULL, NULL, NULL, 15),
(161458, NULL, 'PTHR46726', NULL, NULL, NULL, NULL, 'TWO PORE CHANNEL 3', NULL, NULL, NULL, 15),
(161459, NULL, 'PTHR19957:SF310', NULL, NULL, NULL, NULL, 'SYNTAXIN-4-RELATED', NULL, NULL, NULL, 15),
(161460, NULL, 'PTHR22957:SF205', NULL, NULL, NULL, NULL, 'RAB GTPASE-ACTIVATING PROTEIN 1-LIKE', NULL, NULL, 37252, 15),
(161461, NULL, 'PTHR19241:SF579', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 35', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161462, NULL, 'PTHR22988:SF64', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161463, NULL, 'PTHR24222:SF45', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(161464, NULL, 'PTHR35602:SF3', NULL, NULL, NULL, NULL, 'ESTERASE YQIA', NULL, NULL, NULL, 15),
(161465, NULL, 'PTHR12713:SF5', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G 3', NULL, NULL, NULL, 15),
(161466, NULL, 'PTHR46719:SF7', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL71-RELATED', NULL, NULL, NULL, 15),
(161467, NULL, 'PTHR46166:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161468, NULL, 'PTHR31235:SF203', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(161469, NULL, 'PTHR23028:SF123', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(161470, NULL, 'PTHR37339:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 29', NULL, NULL, NULL, 15),
(161471, NULL, 'PTHR28663:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 173', NULL, NULL, NULL, 15),
(161472, NULL, 'PTHR38398:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161473, NULL, 'PTHR46268:SF16', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN C-RELATED', NULL, NULL, NULL, 15),
(161474, NULL, 'PTHR42812:SF12', NULL, NULL, NULL, NULL, 'BETA-XYLOSIDASE-RELATED', NULL, NULL, NULL, 15),
(161475, NULL, 'PTHR34361', NULL, NULL, NULL, NULL, 'OS08G0157800 PROTEIN', NULL, NULL, NULL, 15),
(161476, NULL, 'PTHR45687', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', NULL, NULL, 25369, 15),
(161477, NULL, 'PTHR22947:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG16675', NULL, NULL, NULL, 15),
(161478, NULL, 'PTHR12207:SF22', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 8', NULL, NULL, NULL, 15),
(161479, NULL, 'PTHR31126:SF46', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE DSP5', NULL, NULL, NULL, 15),
(161480, NULL, 'PTHR46196:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH155-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(161481, NULL, 'PTHR13301:SF171', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', NULL, NULL, NULL, 15),
(161482, NULL, 'PTHR31459:SF24', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN GROUP 2', NULL, NULL, NULL, 15),
(161483, NULL, 'PTHR47991:SF102', NULL, NULL, NULL, NULL, 'OS08G0417100 PROTEIN', NULL, NULL, NULL, 15),
(161484, NULL, 'PTHR44083:SF17', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(161485, NULL, 'PTHR13204:SF1', NULL, NULL, NULL, NULL, 'ESTER HYDROLASE C11ORF54', NULL, NULL, NULL, 15),
(161486, NULL, 'PTHR34709:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161487, NULL, 'PTHR13295:SF4', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(161488, NULL, 'PTHR33088:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161489, NULL, 'PTHR23288:SF17', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II ELONGATION FACTOR ELL', NULL, NULL, NULL, 15),
(161490, NULL, 'PTHR11923:SF55', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR (CD36 FAMILY) RELATED', NULL, NULL, NULL, 15),
(161491, NULL, 'PTHR14196:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ODD-SKIPPED-RELATED 1', NULL, NULL, NULL, 15),
(161492, NULL, 'PTHR42791:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161493, NULL, 'PTHR34710:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(161494, NULL, 'PTHR12329:SF42', NULL, NULL, NULL, NULL, 'BNAA02G11050D PROTEIN', NULL, NULL, NULL, 15),
(161495, NULL, 'PTHR47402:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161496, NULL, 'PTHR23105:SF133', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L1P/L10E FAMILY', NULL, NULL, NULL, 15),
(161497, NULL, 'PTHR48017:SF91', NULL, NULL, NULL, NULL, 'VESICULAR INHIBITORY AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(161498, NULL, 'PTHR46146:SF13', NULL, NULL, NULL, NULL, 'CGMP-DEPENDENT KINASE-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161499, NULL, 'PTHR12253:SF36', NULL, NULL, NULL, NULL, 'FI07253P-RELATED', NULL, NULL, NULL, 15),
(161500, NULL, 'PTHR18966:SF108', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, DELTA-1', NULL, NULL, NULL, 15),
(161501, NULL, 'PTHR10916:SF0', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L29, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(161502, NULL, 'PTHR23213:SF375', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(161503, NULL, 'PTHR46366:SF4', NULL, NULL, NULL, NULL, 'PEPTIDASE S1C, PEPTIDASE S1, PA CLAN, PDZ-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161504, NULL, 'PTHR37415', NULL, NULL, NULL, NULL, 'EFF-1A', NULL, NULL, 29478, 15),
(161505, NULL, 'PTHR31811', NULL, NULL, NULL, NULL, 'TRNA A64-2''-O-RIBOSYLPHOSPHATE TRANSFERASE', NULL, NULL, 4901, 15),
(161506, NULL, 'PTHR11610:SF159', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE', NULL, NULL, NULL, 15),
(161507, NULL, 'PTHR16103:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 140', NULL, NULL, NULL, 15),
(161508, NULL, 'PTHR24115:SF931', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIFC1', NULL, NULL, NULL, 15),
(161509, NULL, 'PTHR12547:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161510, NULL, 'PTHR34756:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(161511, NULL, 'PTHR11205:SF51', NULL, NULL, NULL, NULL, 'BNAA05G27160D PROTEIN', NULL, NULL, NULL, 15),
(161512, NULL, 'PTHR14499:SF4', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD18', NULL, NULL, NULL, 15),
(161513, NULL, 'PTHR12855', NULL, NULL, NULL, NULL, 'DNA METHYLTRANSFERASE 1-ASSOCIATED PROTEIN 1 FAMILY MEMBER', NULL, NULL, 23409, 15),
(161514, NULL, 'PTHR31739:SF32', NULL, NULL, NULL, NULL, 'ANTHER EAR1', NULL, NULL, NULL, 15),
(161515, NULL, 'PTHR11062:SF112', NULL, NULL, NULL, NULL, 'GLUCOSAMINE INOSITOLPHOSPHORYLCERAMIDE TRANSFERASE 1', NULL, NULL, NULL, 15),
(161516, NULL, 'PTHR20863:SF62', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(161517, NULL, 'PTHR38116:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161518, NULL, 'PTHR30173:SF43', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGJ', NULL, NULL, NULL, 15),
(161519, NULL, 'PTHR37300:SF2', NULL, NULL, NULL, NULL, 'UPF0291 PROTEIN BC_1827', NULL, NULL, NULL, 15),
(161520, NULL, 'PTHR33476:SF7', NULL, NULL, NULL, NULL, 'EMB|CAB62613.1', NULL, NULL, NULL, 15),
(161521, NULL, 'PTHR13742', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-ASSOCIATED PROTEIN  RB -RELATED', NULL, NULL, 24052, 15),
(161522, NULL, 'PTHR19981:SF34', NULL, NULL, NULL, NULL, 'TALIN-2', NULL, NULL, NULL, 15),
(161523, NULL, 'PTHR30012', NULL, NULL, NULL, NULL, 'GENERAL SECRETION PATHWAY PROTEIN', NULL, NULL, 7393, 15),
(161524, NULL, 'PTHR31669:SF237', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5', NULL, NULL, NULL, 15),
(161525, NULL, 'PTHR42859:SF8', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT PROTEIN HYDN-RELATED', NULL, NULL, NULL, 15),
(161526, NULL, 'PTHR11055:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161527, NULL, 'PTHR42928:SF1', NULL, NULL, NULL, NULL, 'BLR4371 PROTEIN', NULL, NULL, NULL, 15),
(161528, NULL, 'PTHR31744:SF103', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(161529, NULL, 'PTHR12015:SF174', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-C MOTIF) LIGAND 33, DUPLICATE 2-RELATED', NULL, NULL, NULL, 15),
(161530, NULL, 'PTHR24637:SF342', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(161531, NULL, 'PTHR27006:SF406', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161532, NULL, 'PTHR11249:SF2', NULL, NULL, NULL, NULL, 'GEO09696P1', NULL, NULL, NULL, 15),
(161533, NULL, 'PTHR37821', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER YUIF-RELATED', NULL, NULL, NULL, 15),
(161534, NULL, 'PTHR31221:SF233', NULL, NULL, NULL, NULL, 'BNAA06G40630D PROTEIN', NULL, NULL, NULL, 15),
(161535, NULL, 'PTHR12223:SF38', NULL, NULL, NULL, NULL, 'LEGUME LECTIN, BETA CHAIN, MN/CA-BINDING SITE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161536, NULL, 'PTHR11570', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE', NULL, NULL, 5174, 15),
(161537, NULL, 'PTHR34787:SF5', NULL, NULL, NULL, NULL, 'BNAC01G35500D PROTEIN', NULL, NULL, NULL, 15),
(161538, NULL, 'PTHR10356:SF4', NULL, NULL, NULL, NULL, 'ALLOGRAFT INFLAMMATORY FACTOR 1', NULL, NULL, NULL, 15),
(161539, NULL, 'PTHR47976:SF12', NULL, NULL, NULL, NULL, 'OS01G0668600 PROTEIN', NULL, NULL, NULL, 15),
(161540, NULL, 'PTHR15746', NULL, NULL, NULL, NULL, 'RAB11-RELATED', NULL, NULL, 32149, 15),
(161541, NULL, 'PTHR31860:SF10', NULL, NULL, NULL, NULL, 'OS04G0677400 PROTEIN', NULL, NULL, NULL, 15),
(161542, NULL, 'PTHR38372', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(161543, NULL, 'PTHR13068:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161544, NULL, 'PTHR24067:SF306', NULL, NULL, NULL, NULL, 'CONJUGATING ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15040)-RELATED', NULL, NULL, NULL, 15),
(161545, NULL, 'PTHR33343:SF3', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L35', NULL, NULL, NULL, 15),
(161546, NULL, 'PTHR45128', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TYPE 11', NULL, NULL, NULL, 15),
(161547, NULL, 'PTHR24298:SF578', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161548, NULL, 'PTHR40727:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR, ENCODED NEXT TO RECA SUPERFAMILY ATPASE-RELATED', NULL, NULL, NULL, 15),
(161549, NULL, 'PTHR31867:SF189', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(161550, NULL, 'PTHR22891:SF59', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE-2', NULL, NULL, NULL, 15),
(161551, NULL, 'PTHR24300:SF327', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP2X10-RELATED', NULL, NULL, NULL, 15),
(161552, NULL, 'PTHR33136:SF80', NULL, NULL, NULL, NULL, 'BNACNNG23920D PROTEIN', NULL, NULL, NULL, 15),
(161553, NULL, 'PTHR33729:SF12', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(161554, NULL, 'PTHR21225', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE  DAHP SYNTHETASE', NULL, NULL, 11366, 15),
(161555, NULL, 'PTHR11122:SF41', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(161556, NULL, 'PTHR22742:SF2', NULL, NULL, NULL, NULL, 'EXPANSION, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(161557, NULL, 'PTHR10185:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161558, NULL, 'PTHR40252:SF2', NULL, NULL, NULL, NULL, 'BLR0328 PROTEIN', NULL, NULL, NULL, 15),
(161559, NULL, 'PTHR47933:SF28', NULL, NULL, NULL, NULL, 'OS10G0116000 PROTEIN', NULL, NULL, NULL, 15),
(161560, NULL, 'PTHR23266:SF290', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3/OR16-13 (NON-FUNCTIONAL)', NULL, NULL, NULL, 15),
(161561, NULL, 'PTHR47959:SF8', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 29', NULL, NULL, NULL, 15),
(161562, NULL, 'PTHR48047:SF9', NULL, NULL, NULL, NULL, 'CYTOKININ-O-GLUCOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(161563, NULL, 'PTHR43814', NULL, NULL, NULL, NULL, 'ARGININOSUCCINATE LYASE', NULL, NULL, 6128, 15),
(161564, NULL, 'PTHR11502:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', NULL, NULL, NULL, 15),
(161565, NULL, 'PTHR42938:SF33', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(161566, NULL, 'PTHR13890:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161567, NULL, 'PTHR23236:SF27', NULL, NULL, NULL, NULL, 'EMBRYONIC POLYADENYLATE-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(161568, NULL, 'PTHR44554:SF1', NULL, NULL, NULL, NULL, 'LRP2-BINDING PROTEIN', NULL, NULL, NULL, 15),
(161569, NULL, 'PTHR47820:SF4', NULL, NULL, NULL, NULL, 'RING FINGER PFF0165C-LIKE PROTEIN', NULL, NULL, NULL, 15),
(161570, NULL, 'PTHR11091:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG03139', NULL, NULL, NULL, 15),
(161571, NULL, 'PTHR22937:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161572, NULL, 'PTHR24281:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161573, NULL, 'PTHR47993:SF121', NULL, NULL, NULL, NULL, 'BNAA05G20230D PROTEIN', NULL, NULL, NULL, 15),
(161574, NULL, 'PTHR11863:SF113', NULL, NULL, NULL, NULL, 'CHOLESTEROL 25-HYDROXYLASE-LIKE PROTEIN 1, MEMBER 2', NULL, NULL, NULL, 15),
(161575, NULL, 'PTHR45652:SF18', NULL, NULL, NULL, NULL, 'ALPHA-INTERNEXIN', NULL, NULL, 26564, 15),
(161576, NULL, 'PTHR42952', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE SUBUNIT, CONJECTURAL', NULL, NULL, NULL, 15),
(161577, NULL, 'PTHR31852:SF53', NULL, NULL, NULL, NULL, 'OS02G0667600 PROTEIN', NULL, NULL, NULL, 15),
(161578, NULL, 'PTHR31832:SF9', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 22', NULL, NULL, NULL, 15),
(161579, NULL, 'PTHR43572:SF43', NULL, NULL, NULL, NULL, 'BNAC04G13460D PROTEIN', NULL, NULL, NULL, 15),
(161580, NULL, 'PTHR12878', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE B8 SUBUNIT', NULL, NULL, 15902, 15),
(161581, NULL, 'PTHR11654:SF341', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 1.2', NULL, NULL, NULL, 15),
(161582, NULL, 'PTHR32176:SF41', NULL, NULL, NULL, NULL, 'XYLOSE ISOMERASE', NULL, NULL, NULL, 15),
(161583, NULL, 'PTHR11715', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', NULL, NULL, 6904, 15),
(161584, NULL, 'PTHR24220:SF607', NULL, NULL, NULL, NULL, 'NICKEL IMPORT ATP-BINDING PROTEIN NIKD', NULL, NULL, NULL, 15),
(161585, NULL, 'PTHR31339:SF58', NULL, NULL, NULL, NULL, 'OS05G0587000 PROTEIN', NULL, NULL, NULL, 15),
(161586, NULL, 'PTHR47593:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(161587, NULL, 'PTHR43722', NULL, NULL, NULL, NULL, 'PROLINE IMINOPEPTIDASE', NULL, NULL, 90, 15),
(161588, NULL, 'PTHR13327:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 11, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(161589, NULL, 'PTHR45704:SF9', NULL, NULL, NULL, NULL, 'RAS-RELATED AND ESTROGEN-REGULATED GROWTH INHIBITOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(161590, NULL, 'PTHR43856:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARDIOLIPIN HYDROLASE', NULL, NULL, NULL, 15),
(161591, NULL, 'PTHR32285:SF9', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 25', NULL, NULL, NULL, 15),
(161592, NULL, 'PTHR47925:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161593, NULL, 'PTHR46023:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161594, NULL, 'PTHR13002:SF1', NULL, NULL, NULL, NULL, 'COMPLEX I ASSEMBLY FACTOR TIMMDC1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(161595, NULL, 'PTHR32063:SF18', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN', NULL, NULL, NULL, 15),
(161596, NULL, 'PTHR47593:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 7-LIKE', NULL, NULL, NULL, 15),
(161597, NULL, 'PTHR27005:SF336', NULL, NULL, NULL, NULL, 'BNAANNG18600D PROTEIN', NULL, NULL, NULL, 15),
(161598, NULL, 'PTHR10071:SF154', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GATA-4', NULL, NULL, NULL, 15),
(161599, NULL, 'PTHR24161:SF84', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(161600, NULL, 'PTHR46732', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE LA (LON) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(161601, NULL, 'PTHR32343:SF50', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 11', NULL, NULL, NULL, 15),
(161602, NULL, 'PTHR36143:SF5', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN FUTSCH-LIKE', NULL, NULL, NULL, 15),
(161603, NULL, 'PTHR22298:SF114', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(161604, NULL, 'PTHR45821:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161605, NULL, 'PTHR34496:SF1', NULL, NULL, NULL, NULL, 'GLCNAC TRANSFERASE', NULL, NULL, NULL, 15),
(161606, NULL, 'PTHR47695:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161607, NULL, 'PTHR12461:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161608, NULL, 'PTHR33021:SF7', NULL, NULL, NULL, NULL, 'OS07G0542900 PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161609, NULL, 'PTHR32295:SF162', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', NULL, NULL, NULL, 15),
(161610, NULL, 'PTHR23122:SF7', NULL, NULL, NULL, NULL, 'PERIPHERAL PLASMA MEMBRANE PROTEIN CASK', NULL, NULL, NULL, 15),
(161611, NULL, 'PTHR13831:SF0', NULL, NULL, NULL, NULL, 'PROTEIN HIRA', NULL, NULL, NULL, 15),
(161612, NULL, 'PTHR24100', NULL, NULL, NULL, NULL, 'BUTYROPHILIN', NULL, NULL, NULL, 15),
(161613, NULL, 'PTHR22666', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 27017, 15),
(161614, NULL, 'PTHR33494:SF17', NULL, NULL, NULL, NULL, 'BNAC03G67900D PROTEIN', NULL, NULL, NULL, 15),
(161615, NULL, 'PTHR38456:SF1', NULL, NULL, NULL, NULL, 'CYCLIC DI-AMP RECEPTOR A', NULL, NULL, NULL, 15),
(161616, NULL, 'PTHR13326:SF21', NULL, NULL, NULL, NULL, 'PSEUDOURIDYLATE SYNTHASE 7 HOMOLOG', NULL, NULL, NULL, 15),
(161617, NULL, 'PTHR15012:SF32', NULL, NULL, NULL, NULL, 'PROTEIN SHROOM', NULL, NULL, 22443, 15),
(161618, NULL, 'PTHR13419:SF2', NULL, NULL, NULL, NULL, 'CXXC-TYPE ZINC FINGER PROTEIN 5', NULL, NULL, NULL, 15),
(161619, NULL, 'PTHR31419:SF11', NULL, NULL, NULL, NULL, 'BNAANNG15560D PROTEIN', NULL, NULL, NULL, 15),
(161620, NULL, 'PTHR42943:SF11', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE KAPPA-RELATED', NULL, NULL, NULL, 15),
(161621, NULL, 'PTHR31235:SF236', NULL, NULL, NULL, NULL, 'PEROXIDASE 3', NULL, NULL, NULL, 15),
(161622, NULL, 'PTHR45694:SF5', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-6-RELATED', NULL, NULL, NULL, 15),
(161623, NULL, 'PTHR43874:SF130', NULL, NULL, NULL, NULL, 'BNAA05G16250D PROTEIN', NULL, NULL, NULL, 15),
(161624, NULL, 'PTHR24416:SF317', NULL, NULL, NULL, NULL, 'MUSCLE, SKELETAL RECEPTOR TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(161625, NULL, 'PTHR11654:SF557', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.9', NULL, NULL, NULL, 15),
(161626, NULL, 'PTHR31790:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161627, NULL, 'PTHR31087:SF70', NULL, NULL, NULL, NULL, 'TUBBY C-TERMINAL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161628, NULL, 'PTHR30540:SF99', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(161629, NULL, 'PTHR48019:SF35', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL104', NULL, NULL, NULL, 15),
(161630, NULL, 'PTHR36319', NULL, NULL, NULL, NULL, 'PROTEIN GIGANTEA', NULL, NULL, 28277, 15),
(161631, NULL, 'PTHR10627:SF71', NULL, NULL, NULL, NULL, 'DEFECTIVE IN GERM LINE DEVELOPMENT PROTEIN 3', NULL, NULL, NULL, 15),
(161632, NULL, 'PTHR33348:SF31', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP3', NULL, NULL, NULL, 15),
(161633, NULL, 'PTHR10791:SF201', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(161634, NULL, 'PTHR47938:SF19', NULL, NULL, NULL, NULL, 'OS02G0127600 PROTEIN', NULL, NULL, NULL, 15),
(161635, NULL, 'PTHR11599:SF40', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-7', NULL, NULL, 8940, 15),
(161636, NULL, 'PTHR31415:SF104', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161637, NULL, 'PTHR46731:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 15', NULL, NULL, NULL, 15),
(161638, NULL, 'PTHR31966:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161639, NULL, 'PTHR48026:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161640, NULL, 'PTHR10182:SF30', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161641, NULL, 'PTHR16277:SF10', NULL, NULL, NULL, NULL, 'SERTA DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(161642, NULL, 'PTHR43813', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 16, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(161643, NULL, 'PTHR48002:SF155', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(161644, NULL, 'PTHR33861:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG18333', NULL, NULL, NULL, 15),
(161645, NULL, 'PTHR20916:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161646, NULL, 'PTHR10918', NULL, NULL, NULL, NULL, 'HOMER', NULL, NULL, 38385, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161647, NULL, 'PTHR24220:SF671', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM ATP-BINDING PROTEIN LOLD', NULL, NULL, NULL, 15),
(161648, NULL, 'PTHR10732:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17-LIKE', NULL, NULL, NULL, 15),
(161649, NULL, 'PTHR46285', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR I4, SERPIN (DUF716)-RELATED', NULL, NULL, NULL, 15),
(161650, NULL, 'PTHR31066:SF47', NULL, NULL, NULL, NULL, 'OS05G0427100 PROTEIN', NULL, NULL, NULL, 15),
(161651, NULL, 'PTHR30589:SF0', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL--PROLIPOPROTEIN DIACYLGLYCERYL TRANSFERASE', NULL, NULL, NULL, 15),
(161652, NULL, 'PTHR15107:SF0', NULL, NULL, NULL, NULL, 'COMPLETION OF MEIOTIC RECOMBINATION (BUDDING YEAST COM) RELATED', NULL, NULL, NULL, 15),
(161653, NULL, 'PTHR15107:SF4', NULL, NULL, NULL, NULL, 'DNA ENDONUCLEASE RBBP8', NULL, NULL, 29078, 15),
(161654, NULL, 'PTHR31707:SF290', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(161655, NULL, 'PTHR16188:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 14B', NULL, NULL, NULL, 15),
(161656, NULL, 'PTHR47416:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161657, NULL, 'PTHR20961:SF116', NULL, NULL, NULL, NULL, 'BNAA03G52580D PROTEIN', NULL, NULL, NULL, 15),
(161658, NULL, 'PTHR40077', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161659, NULL, 'PTHR12277:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161660, NULL, 'PTHR43409:SF7', NULL, NULL, NULL, NULL, 'ANAEROBIC MAGNESIUM-PROTOPORPHYRIN IX MONOMETHYL ESTER CYCLASE', NULL, NULL, NULL, 15),
(161661, NULL, 'PTHR10641:SF1111', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB92', NULL, NULL, NULL, 15),
(161662, NULL, 'PTHR46112', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(161663, NULL, 'PTHR23222:SF29', NULL, NULL, NULL, NULL, 'BNAA08G13690D PROTEIN', NULL, NULL, NULL, 15),
(161664, NULL, 'PTHR13038', NULL, NULL, NULL, NULL, 'APG9 AUTOPHAGY 9', NULL, NULL, 6564, 15),
(161665, NULL, 'PTHR32343:SF39', NULL, NULL, NULL, NULL, 'BNAA06G35870D PROTEIN', NULL, NULL, NULL, 15),
(161666, NULL, 'PTHR35560', NULL, NULL, NULL, NULL, 'BLL0132 PROTEIN', NULL, NULL, NULL, 15),
(161667, NULL, 'PTHR11139:SF71', NULL, NULL, NULL, NULL, 'OS03G0738200 PROTEIN', NULL, NULL, NULL, 15),
(161668, NULL, 'PTHR15907:SF180', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 3-RELATED', NULL, NULL, NULL, 15),
(161669, NULL, 'PTHR33285:SF48', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE PEPTIDE-RELATED', NULL, NULL, NULL, 15),
(161670, NULL, 'PTHR10209:SF230', NULL, NULL, NULL, NULL, 'SCOPOLETIN 8-HYDROXYLASE', NULL, NULL, NULL, 15),
(161671, NULL, 'PTHR46387:SF30', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H, BACTERIA-RELATED', NULL, NULL, NULL, 15),
(161672, NULL, 'PTHR45904:SF1', NULL, NULL, NULL, NULL, 'TRNA (URACIL(54)-C(5))-METHYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(161673, NULL, 'PTHR43427:SF6', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-E', NULL, NULL, NULL, 15),
(161674, NULL, 'PTHR22835:SF552', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161675, NULL, 'PTHR34056:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161676, NULL, 'PTHR24376:SF186', NULL, NULL, NULL, NULL, 'TRANSFORMER: XX ANIMALS TRANSFORMED INTO MALES', NULL, NULL, NULL, 15),
(161677, NULL, 'PTHR24637:SF282', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN SQT-1', NULL, NULL, NULL, 15),
(161678, NULL, 'PTHR26450:SF360', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 663', NULL, NULL, NULL, 15),
(161679, NULL, 'PTHR31671:SF3', NULL, NULL, NULL, NULL, 'DIABETES AND OBESITY REGULATED, ISOFORM G', NULL, NULL, NULL, 15),
(161680, NULL, 'PTHR31321:SF87', NULL, NULL, NULL, NULL, 'PECTINESTERASE 63-RELATED', NULL, NULL, NULL, 15),
(161681, NULL, 'PTHR28265:SF1', NULL, NULL, NULL, NULL, 'MAINTENANCE OF TELOMERE CAPPING PROTEIN 1', NULL, NULL, NULL, 15),
(161682, NULL, 'PTHR24264:SF59', NULL, NULL, NULL, NULL, 'TRYPSIN-1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161683, NULL, 'PTHR38543', NULL, NULL, NULL, NULL, 'OS04G0465800 PROTEIN', NULL, NULL, NULL, 15),
(161684, NULL, 'PTHR12321:SF143', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 3', NULL, NULL, NULL, 15),
(161685, NULL, 'PTHR30510:SF2', NULL, NULL, NULL, NULL, 'UPF0229 PROTEIN YEAH', NULL, NULL, NULL, 15),
(161686, NULL, 'PTHR31080:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161687, NULL, 'PTHR10985:SF77', NULL, NULL, NULL, NULL, 'GH26014P', NULL, NULL, NULL, 15),
(161688, NULL, 'PTHR12709:SF7', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE IV SUBUNIT 7', NULL, NULL, NULL, 15),
(161689, NULL, 'PTHR31587:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN (DUF2215)', NULL, NULL, NULL, 15),
(161690, NULL, 'PTHR10593:SF152', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JACKDAW-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(161691, NULL, 'PTHR24058:SF22', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY TYROSINE-PHOSPHORYLATION-REGULATED KINASE 4', NULL, NULL, NULL, 15),
(161692, NULL, 'PTHR10353:SF211', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 10-RELATED', NULL, NULL, NULL, 15),
(161693, NULL, 'PTHR48201:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161694, NULL, 'PTHR28039:SF9', NULL, NULL, NULL, NULL, 'CHALCONE--FLAVONONE ISOMERASE 1B-1', NULL, NULL, NULL, 15),
(161695, NULL, 'PTHR13437:SF2', NULL, NULL, NULL, NULL, 'NUCLEOPORIN P58/P45', NULL, NULL, NULL, 15),
(161696, NULL, 'PTHR31210:SF13', NULL, NULL, NULL, NULL, 'LYSINE KETOGLUTARATE REDUCTASE TRANS-SPLICING RELATED 1-LIKE', NULL, NULL, NULL, 15),
(161697, NULL, 'PTHR23320:SF79', NULL, NULL, NULL, NULL, 'B-LYMPHOCYTE ANTIGEN CD20', NULL, NULL, 26043, 15),
(161698, NULL, 'PTHR19271:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 16986, 15),
(161699, NULL, 'PTHR11710:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161700, NULL, 'PTHR45724:SF37', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP-TYPE-RELATED', NULL, NULL, NULL, 15),
(161701, NULL, 'PTHR23257:SF758', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0282963-RELATED', NULL, NULL, NULL, 15),
(161702, NULL, 'PTHR11009', NULL, NULL, NULL, NULL, 'DER1-LIKE PROTEIN, DERLIN', NULL, NULL, NULL, 15),
(161703, NULL, 'PTHR24078:SF301', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(161704, NULL, 'PTHR12928:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FRG1', NULL, NULL, NULL, 15),
(161705, NULL, 'PTHR37692:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', NULL, NULL, NULL, 15),
(161706, NULL, 'PTHR13659', NULL, NULL, NULL, NULL, 'AUTOSOMAL HIGHLY CONSERVED PROTEIN', NULL, NULL, 34856, 15),
(161707, NULL, 'PTHR34630:SF24', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(161708, NULL, 'PTHR10666:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161709, NULL, 'PTHR11119:SF47', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 2', NULL, NULL, NULL, 15),
(161710, NULL, 'PTHR13068:SF150', NULL, NULL, NULL, NULL, 'F19K23.4 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161711, NULL, 'PTHR31636:SF220', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION REGULATOR', NULL, NULL, NULL, 15),
(161712, NULL, 'PTHR23012:SF192', NULL, NULL, NULL, NULL, 'BNACNNG32140D PROTEIN', NULL, NULL, NULL, 15),
(161713, NULL, 'PTHR31181:SF66', NULL, NULL, NULL, NULL, 'BNAA02G33740D PROTEIN', NULL, NULL, NULL, 15),
(161714, NULL, 'PTHR45621:SF133', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NAK-RELATED', NULL, NULL, NULL, 15),
(161715, NULL, 'PTHR13713:SF57', NULL, NULL, NULL, NULL, 'CMP-N-ACETYLNEURAMINATE-BETA-GALACTOSAMIDE-ALPHA-2,3-SIALYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(161716, NULL, 'PTHR33920:SF7', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(161717, NULL, 'PTHR31623:SF37', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(161718, NULL, 'PTHR13088:SF4', NULL, NULL, NULL, NULL, 'FAS APOPTOTIC INHIBITORY MOLECULE 1', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161719, NULL, 'PTHR22883:SF296', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(161720, NULL, 'PTHR45828:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161721, NULL, 'PTHR22752:SF5', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 61', NULL, NULL, NULL, 15),
(161722, NULL, 'PTHR30115:SF11', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN P-II HOMOLOG', NULL, NULL, NULL, 15),
(161723, NULL, 'PTHR31676:SF147', NULL, NULL, NULL, NULL, 'BNAA06G36100D PROTEIN', NULL, NULL, NULL, 15),
(161724, NULL, 'PTHR12487', NULL, NULL, NULL, NULL, 'TEASHIRT-RELATED', NULL, NULL, 25105, 15),
(161725, NULL, 'PTHR33432:SF21', NULL, NULL, NULL, NULL, 'PROTEIN EMSY-LIKE 1', NULL, NULL, NULL, 15),
(161726, NULL, 'PTHR48000:SF3', NULL, NULL, NULL, NULL, 'BNAC02G43910D PROTEIN', NULL, NULL, NULL, 15),
(161727, NULL, 'PTHR31302:SF23', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE', NULL, NULL, NULL, 15),
(161728, NULL, 'PTHR10218:SF73', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I) SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(161729, NULL, 'PTHR10772:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161730, NULL, 'PTHR46401', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE WBBK-RELATED', NULL, NULL, NULL, 15),
(161731, NULL, 'PTHR13234:SF53', NULL, NULL, NULL, NULL, 'GAMMA INTERFERON RESPONSIVE LYSOSOMAL THIOL (GILT) REDUCTASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161732, NULL, 'PTHR24381:SF324', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 432', NULL, NULL, NULL, 15),
(161733, NULL, 'PTHR10110:SF116', NULL, NULL, NULL, NULL, 'NA+/H+ EXCHANGER', NULL, NULL, NULL, 15),
(161734, NULL, 'PTHR12411:SF569', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 35319, 15),
(161735, NULL, 'PTHR11042:SF154', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161736, NULL, 'PTHR33798', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN OXYGENASE', NULL, NULL, NULL, 15),
(161737, NULL, 'PTHR24166:SF52', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 65', NULL, NULL, NULL, 15),
(161738, NULL, 'PTHR31639:SF24', NULL, NULL, NULL, NULL, 'OSJNBB0115I09.7 PROTEIN', NULL, NULL, NULL, 15),
(161739, NULL, 'PTHR32444:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161740, NULL, 'PTHR31744:SF154', NULL, NULL, NULL, NULL, 'BNACNNG44060D PROTEIN', NULL, NULL, NULL, 15),
(161741, NULL, 'PTHR42077', NULL, NULL, NULL, NULL, 'YALI0F30239P', NULL, NULL, NULL, 15),
(161742, NULL, 'PTHR18959:SF46', NULL, NULL, NULL, NULL, 'CALPONIN-3', NULL, NULL, NULL, 15),
(161743, NULL, 'PTHR16255:SF6', NULL, NULL, NULL, NULL, 'OS07G0694800 PROTEIN', NULL, NULL, NULL, 15),
(161744, NULL, 'PTHR12480:SF22', NULL, NULL, NULL, NULL, 'JMJC DOMAIN', NULL, NULL, NULL, 15),
(161745, NULL, 'PTHR10334:SF161', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', NULL, NULL, NULL, 15),
(161746, NULL, 'PTHR11439:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161747, NULL, 'PTHR31998:SF39', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGISED PROTON PUMP, PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(161748, NULL, 'PTHR23428:SF183', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE F-M', NULL, NULL, NULL, 15),
(161749, NULL, 'PTHR21712:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161750, NULL, 'PTHR10696:SF45', NULL, NULL, NULL, NULL, 'TAUD/TFDA-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161751, NULL, 'PTHR39579', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YHCB', NULL, NULL, 8093, 15),
(161752, NULL, 'PTHR13844:SF1', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY D MEMBER 1', NULL, NULL, 36076, 15),
(161753, NULL, 'PTHR31218:SF301', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(161754, NULL, 'PTHR45618:SF22', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN 5-LIKE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161755, NULL, 'PTHR48032:SF10', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MUSASHI HOMOLOG 2', NULL, NULL, NULL, 15),
(161756, NULL, 'PTHR15454:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161757, NULL, 'PTHR11362:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161758, NULL, 'PTHR23073:SF119', NULL, NULL, NULL, NULL, '26S PROTEASE REGULATORY SUBUNIT S10B HOMOLOG B-LIKE', NULL, NULL, NULL, 15),
(161759, NULL, 'PTHR21622:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161760, NULL, 'PTHR18929:SF207', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 5-2-LIKE', NULL, NULL, NULL, 15),
(161761, NULL, 'PTHR47958:SF93', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX19B', NULL, NULL, NULL, 15),
(161762, NULL, 'PTHR33147:SF4', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 19', NULL, NULL, NULL, 15),
(161763, NULL, 'PTHR10759:SF0', NULL, NULL, NULL, NULL, 'FI02850P-RELATED', NULL, NULL, NULL, 15),
(161764, NULL, 'PTHR10253:SF8', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN', NULL, NULL, NULL, 15),
(161765, NULL, 'PTHR31734:SF35', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA27', NULL, NULL, NULL, 15),
(161766, NULL, 'PTHR46214:SF12', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(161767, NULL, 'PTHR18945:SF579', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT THETA', NULL, NULL, NULL, 15),
(161768, NULL, 'PTHR21660:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161769, NULL, 'PTHR11679:SF75', NULL, NULL, NULL, NULL, 'BNACNNG57670D PROTEIN', NULL, NULL, NULL, 15),
(161770, NULL, 'PTHR18952:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161771, NULL, 'PTHR48081:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161772, NULL, 'PTHR31872:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 179', NULL, NULL, NULL, 15),
(161773, NULL, 'PTHR45626:SF31', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE (EUROFUNG)', NULL, NULL, NULL, 15),
(161774, NULL, 'PTHR31205:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161775, NULL, 'PTHR13980:SF23', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SPT16', NULL, NULL, NULL, 15),
(161776, NULL, 'PTHR46259:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC-TYPE AND RNA-BINDING MOTIF-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(161777, NULL, 'PTHR12307:SF34', NULL, NULL, NULL, NULL, 'GLC7-INTERACTING PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(161778, NULL, 'PTHR11654:SF532', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.1', NULL, NULL, NULL, 15),
(161779, NULL, 'PTHR11730:SF95', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1 MEMBER 3', NULL, NULL, NULL, 15),
(161780, NULL, 'PTHR28052:SF1', NULL, NULL, NULL, NULL, 'UPF0545 PROTEIN C22ORF39', NULL, NULL, NULL, 15),
(161781, NULL, 'PTHR47639', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, 36956, 15),
(161782, NULL, 'PTHR11214:SF281', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(161783, NULL, 'PTHR37187:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161784, NULL, 'PTHR11073:SF24', NULL, NULL, NULL, NULL, 'CALRETICULIN-3', NULL, NULL, NULL, 15),
(161785, NULL, 'PTHR18763:SF3', NULL, NULL, NULL, NULL, 'OS09G0477800 PROTEIN', NULL, NULL, NULL, 15),
(161786, NULL, 'PTHR43356:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(161787, NULL, 'PTHR11142:SF0', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE-LIKE 1', NULL, NULL, NULL, 15),
(161788, NULL, 'PTHR35689:SF4', NULL, NULL, NULL, NULL, 'BNAA09G22990D PROTEIN', NULL, NULL, NULL, 15),
(161789, NULL, 'PTHR14491:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN SOWAHA', NULL, NULL, NULL, 15),
(161790, NULL, 'PTHR47001:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH121', NULL, NULL, NULL, 15),
(161791, NULL, 'PTHR46609', NULL, NULL, NULL, NULL, 'EXONUCLEASE, PHAGE-TYPE/RECB, C-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161792, NULL, 'PTHR33493:SF13', NULL, NULL, NULL, NULL, '18 KDA SEED MATURATION PROTEIN-LIKE', NULL, NULL, NULL, 15),
(161793, NULL, 'PTHR32525', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE', NULL, NULL, NULL, 15),
(161794, NULL, 'PTHR24070:SF245', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN R-RAS', NULL, NULL, NULL, 15),
(161795, NULL, 'PTHR30570:SF4', NULL, NULL, NULL, NULL, 'PHOSPHATE-BINDING PROTEIN PSTS', NULL, NULL, NULL, 15),
(161796, NULL, 'PTHR24399:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GFI-1B', NULL, NULL, NULL, 15),
(161797, NULL, 'PTHR32133:SF312', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161798, NULL, 'PTHR10218:SF291', NULL, NULL, NULL, NULL, 'OS06G0111400 PROTEIN', NULL, NULL, NULL, 15),
(161799, NULL, 'PTHR24381:SF297', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 785', NULL, NULL, NULL, 15),
(161800, NULL, 'PTHR47993:SF76', NULL, NULL, NULL, NULL, 'BNAC05G30880D PROTEIN', NULL, NULL, NULL, 15),
(161801, NULL, 'PTHR15574:SF63', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 8', NULL, NULL, NULL, 15),
(161802, NULL, 'PTHR33576', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161803, NULL, 'PTHR46265', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 7', NULL, NULL, NULL, 15),
(161804, NULL, 'PTHR12341:SF29', NULL, NULL, NULL, NULL, 'EXONUCLEASE XRNC, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161805, NULL, 'PTHR45647:SF49', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 36-RELATED', NULL, NULL, NULL, 15),
(161806, NULL, 'PTHR41294:SF1', NULL, NULL, NULL, NULL, 'CADMIUM-INDUCED PROTEIN CADI', NULL, NULL, NULL, 15),
(161807, NULL, 'PTHR48047:SF30', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(161808, NULL, 'PTHR21471:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG15004', NULL, NULL, NULL, 15),
(161809, NULL, 'PTHR21642:SF6', NULL, NULL, NULL, NULL, 'CEREBRAL CAVERNOUS MALFORMATIONS PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(161810, NULL, 'PTHR11945:SF669', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161811, NULL, 'PTHR11599:SF129', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-6', NULL, NULL, NULL, 15),
(161812, NULL, 'PTHR46146:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN CCR4', NULL, NULL, NULL, 15),
(161813, NULL, 'PTHR33599:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161814, NULL, 'PTHR23113:SF254', NULL, NULL, NULL, NULL, 'CYCLIC GMP-BINDING PROTEIN D', NULL, NULL, NULL, 15),
(161815, NULL, 'PTHR10497:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', NULL, NULL, NULL, 15),
(161816, NULL, 'PTHR37239:SF3', NULL, NULL, NULL, NULL, 'STOMAGEN-RELATED', NULL, NULL, NULL, 15),
(161817, NULL, 'PTHR10269:SF12', NULL, NULL, NULL, NULL, 'GLIAL CELL LINE-DERIVED NEUROTROPHIC FAMILY RECEPTOR-LIKE, ISOFORM E', NULL, NULL, NULL, 15),
(161818, NULL, 'PTHR43796:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161819, NULL, 'PTHR48026:SF7', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN R05D3.8-RELATED', NULL, NULL, NULL, 15),
(161820, NULL, 'PTHR43768:SF25', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE E-RELATED', NULL, NULL, NULL, 15),
(161821, NULL, 'PTHR11206:SF301', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(161822, NULL, 'PTHR22904:SF524', NULL, NULL, NULL, NULL, 'BNAC08G41350D PROTEIN', NULL, NULL, NULL, 15),
(161823, NULL, 'PTHR37383', NULL, NULL, NULL, NULL, 'OS01G0694200 PROTEIN', NULL, NULL, NULL, 15),
(161824, NULL, 'PTHR11614:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161825, NULL, 'PTHR24075:SF6', NULL, NULL, NULL, NULL, 'ACTIVATING SIGNAL COINTEGRATOR 1 COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(161826, NULL, 'PTHR19357:SF2', NULL, NULL, NULL, NULL, 'TRIGGERING RECEPTOR EXPRESSED ON MYELOID CELLS 3', NULL, NULL, NULL, 15),
(161827, NULL, 'PTHR43047:SF41', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION HISTIDINE-PROTEIN KINASE ARLS', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161828, NULL, 'PTHR15036:SF40', NULL, NULL, NULL, NULL, 'CONTACTIN-ASSOCIATED PROTEIN-LIKE 4', NULL, NULL, 28489, 15),
(161829, NULL, 'PTHR41878', NULL, NULL, NULL, NULL, 'LEXA REPRESSOR-RELATED', NULL, NULL, 13403, 15),
(161830, NULL, 'PTHR23193:SF23', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP153', NULL, NULL, NULL, 15),
(161831, NULL, 'PTHR31636:SF237', NULL, NULL, NULL, NULL, 'BNAA03G53550D PROTEIN', NULL, NULL, NULL, 15),
(161832, NULL, 'PTHR31707:SF222', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(161833, NULL, 'PTHR11206:SF372', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(161834, NULL, 'PTHR33443:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161835, NULL, 'PTHR11361:SF135', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161836, NULL, 'PTHR11599:SF166', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(161837, NULL, 'PTHR24281:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161838, NULL, 'PTHR24230:SF1', NULL, NULL, NULL, NULL, 'KISS1 RECEPTOR B', NULL, NULL, NULL, 15),
(161839, NULL, 'PTHR10903:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161840, NULL, 'PTHR22937:SF140', NULL, NULL, NULL, NULL, 'BNAC03G69460D PROTEIN', NULL, NULL, NULL, 15),
(161841, NULL, 'PTHR11984:SF115', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', NULL, NULL, NULL, 15),
(161842, NULL, 'PTHR11461:SF39', NULL, NULL, NULL, NULL, 'THYROXINE-BINDING GLOBULIN', NULL, NULL, NULL, 15),
(161843, NULL, 'PTHR10960:SF0', NULL, NULL, NULL, NULL, 'V(D)J RECOMBINATION-ACTIVATING PROTEIN 2', NULL, NULL, NULL, 15),
(161844, NULL, 'PTHR12603:SF7', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(161845, NULL, 'PTHR24224:SF15', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(161846, NULL, 'PTHR42089', NULL, NULL, NULL, NULL, 'YALI0F09427P', NULL, NULL, NULL, 15),
(161847, NULL, 'PTHR31906:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161848, NULL, 'PTHR45676:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161849, NULL, 'PTHR10430:SF36', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN', NULL, NULL, NULL, 15),
(161850, NULL, 'PTHR46798:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RFI2', NULL, NULL, NULL, 15),
(161851, NULL, 'PTHR33021:SF299', NULL, NULL, NULL, NULL, 'BNAA01G14220D PROTEIN', NULL, NULL, NULL, 15),
(161852, NULL, 'PTHR46592', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL67', NULL, NULL, 36660, 15),
(161853, NULL, 'PTHR27006:SF179', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(161854, NULL, 'PTHR10668:SF105', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(161855, NULL, 'PTHR10953:SF198', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME 7', NULL, NULL, NULL, 15),
(161856, NULL, 'PTHR22942:SF64', NULL, NULL, NULL, NULL, 'MEIOTIC RECOMBINATION PROTEIN DMC1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(161857, NULL, 'PTHR23164:SF25', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161858, NULL, 'PTHR10339:SF2', NULL, NULL, NULL, NULL, 'ECTO-ADP-RIBOSYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(161859, NULL, 'PTHR31912', NULL, NULL, NULL, NULL, 'IP13529P', NULL, NULL, NULL, 15),
(161860, NULL, 'PTHR24221:SF536', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 27-LIKE', NULL, NULL, NULL, 15),
(161861, NULL, 'PTHR11814:SF200', NULL, NULL, NULL, NULL, 'SI:CH211-117C9.2', NULL, NULL, NULL, 15),
(161862, NULL, 'PTHR45873', NULL, NULL, NULL, NULL, 'DNA POLYMERASE ETA', NULL, NULL, NULL, 15),
(161863, NULL, 'PTHR47928:SF109', NULL, NULL, NULL, NULL, 'BNAC05G11880D PROTEIN', NULL, NULL, NULL, 15),
(161864, NULL, 'PTHR48002:SF58', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(161865, NULL, 'PTHR11716:SF1', NULL, NULL, NULL, NULL, 'OTOCONIN-90', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161866, NULL, 'PTHR12210:SF111', NULL, NULL, NULL, NULL, 'OS05G0513200 PROTEIN', NULL, NULL, NULL, 15),
(161867, NULL, 'PTHR48013:SF1', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE PBS2', NULL, NULL, NULL, 15),
(161868, NULL, 'PTHR24286:SF266', NULL, NULL, NULL, NULL, 'ABSCISIC ACID 8''-HYDROXYLASE 1', NULL, NULL, NULL, 15),
(161869, NULL, 'PTHR24320:SF79', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161870, NULL, 'PTHR33595:SF4', NULL, NULL, NULL, NULL, 'EMB|CAB62340.1', NULL, NULL, NULL, 15),
(161871, NULL, 'PTHR47016:SF4', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPT2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(161872, NULL, 'PTHR24394:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING 48', NULL, NULL, NULL, 15),
(161873, NULL, 'PTHR22838:SF15', NULL, NULL, NULL, NULL, 'OS02G0294600 PROTEIN', NULL, NULL, NULL, 15),
(161874, NULL, 'PTHR28607', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 10472, 15),
(161875, NULL, 'PTHR40266:SF2', NULL, NULL, NULL, NULL, 'TOXIN HIGB-1', NULL, NULL, NULL, 15),
(161876, NULL, 'PTHR31669:SF220', NULL, NULL, NULL, NULL, 'OSJNBA0022H21.20 PROTEIN', NULL, NULL, NULL, 15),
(161877, NULL, 'PTHR22996:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LUL1-RELATED', NULL, NULL, NULL, 15),
(161878, NULL, 'PTHR24376:SF38', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 445', NULL, NULL, NULL, 15),
(161879, NULL, 'PTHR26454:SF56', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(161880, NULL, 'PTHR35243:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161881, NULL, 'PTHR36223', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161882, NULL, 'PTHR48010:SF36', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', NULL, NULL, NULL, 15),
(161883, NULL, 'PTHR12802:SF44', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX SUBUNIT SWI3B', NULL, NULL, NULL, 15),
(161884, NULL, 'PTHR11669:SF5', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C SUBUNIT 2', NULL, NULL, NULL, 15),
(161885, NULL, 'PTHR24270:SF14', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR', NULL, NULL, NULL, 15),
(161886, NULL, 'PTHR31024:SF6', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(161887, NULL, 'PTHR26451:SF869', NULL, NULL, NULL, NULL, 'LOC791954 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161888, NULL, 'PTHR23138:SF147', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP50', NULL, NULL, NULL, 15),
(161889, NULL, 'PTHR33285:SF41', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 2', NULL, NULL, NULL, 15),
(161890, NULL, 'PTHR48017:SF41', NULL, NULL, NULL, NULL, 'OS05G0364700 PROTEIN', NULL, NULL, NULL, 15),
(161891, NULL, 'PTHR43725:SF8', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE', NULL, NULL, NULL, 15),
(161892, NULL, 'PTHR15566:SF5', NULL, NULL, NULL, NULL, 'POM121-LIKE PROTEIN 1-LIKE-RELATED', NULL, NULL, NULL, 15),
(161893, NULL, 'PTHR30314:SF12', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSZ HOMOLOG 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(161894, NULL, 'PTHR46916', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 205', NULL, NULL, 38776, 15),
(161895, NULL, 'PTHR31525', NULL, NULL, NULL, NULL, 'HEME TRANSPORTER HRG1', NULL, NULL, 28028, 15),
(161896, NULL, 'PTHR19957:SF332', NULL, NULL, NULL, NULL, 'T-SNARE-RELATED', NULL, NULL, NULL, 15),
(161897, NULL, 'PTHR16105', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 39966, 15),
(161898, NULL, 'PTHR31087:SF126', NULL, NULL, NULL, NULL, 'BNAC03G72170D PROTEIN', NULL, NULL, NULL, 15),
(161899, NULL, 'PTHR46760', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 1', NULL, NULL, NULL, 15),
(161900, NULL, 'PTHR12321:SF137', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 1', NULL, NULL, NULL, 15),
(161901, NULL, 'PTHR46632:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINA-LIKE 7-RELATED', NULL, NULL, NULL, 15),
(161902, NULL, 'PTHR33477:SF8', NULL, NULL, NULL, NULL, 'P-LOOP NTPASE DOMAIN-CONTAINING PROTEIN LPA1 HOMOLOG 2', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161903, NULL, 'PTHR44259:SF19', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN KIB2-RELATED', NULL, NULL, NULL, 15),
(161904, NULL, 'PTHR21096', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 13165, 15),
(161905, NULL, 'PTHR21660:SF1', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 13', NULL, NULL, NULL, 15),
(161906, NULL, 'PTHR11100:SF7', NULL, NULL, NULL, NULL, 'NEUREGULIN 1', NULL, NULL, NULL, 15),
(161907, NULL, 'PTHR12533:SF11', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR OF ACTIVATED T-CELLS, CYTOPLASMIC 4', NULL, NULL, NULL, 15),
(161908, NULL, 'PTHR11003:SF113', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(161909, NULL, 'PTHR48021:SF54', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 6', NULL, NULL, NULL, 15),
(161910, NULL, 'PTHR33566:SF6', NULL, NULL, NULL, NULL, 'PROTEIN DEFECTIVE IN MERISTEM SILENCING 3', NULL, NULL, NULL, 15),
(161911, NULL, 'PTHR24349:SF400', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 4', NULL, NULL, NULL, 15),
(161912, NULL, 'PTHR47955:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', NULL, NULL, NULL, 15),
(161913, NULL, 'PTHR47268:SF7', NULL, NULL, NULL, NULL, 'ACYLPHOSPHATASE', NULL, NULL, NULL, 15),
(161914, NULL, 'PTHR33147:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161915, NULL, 'PTHR33928', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT3', NULL, NULL, 33393, 15),
(161916, NULL, 'PTHR24031:SF357', NULL, NULL, NULL, NULL, 'HELICASE POLQ-LIKE', NULL, NULL, NULL, 15),
(161917, NULL, 'PTHR33347:SF36', NULL, NULL, NULL, NULL, 'BNAA07G36970D PROTEIN', NULL, NULL, NULL, 15),
(161918, NULL, 'PTHR45613:SF340', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161919, NULL, 'PTHR10285:SF174', NULL, NULL, NULL, NULL, 'URIDINE KINASE', NULL, NULL, NULL, 15),
(161920, NULL, 'PTHR47531', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(161921, NULL, 'PTHR34666:SF3', NULL, NULL, NULL, NULL, 'OS04G0436000 PROTEIN', NULL, NULL, NULL, 15),
(161922, NULL, 'PTHR16290:SF24', NULL, NULL, NULL, NULL, 'MRNA-DECAPPING ENZYME-LIKE PROTEIN ISOFORM X1', NULL, NULL, NULL, 15),
(161923, NULL, 'PTHR48111:SF45', NULL, NULL, NULL, NULL, 'SENSORY TRANSDUCTION PROTEIN REGX3', NULL, NULL, NULL, 15),
(161924, NULL, 'PTHR45621:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161925, NULL, 'PTHR16223:SF232', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH84-LIKE', NULL, NULL, NULL, 15),
(161926, NULL, 'PTHR11006:SF68', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE PRMT10', NULL, NULL, NULL, 15),
(161927, NULL, 'PTHR21253', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(161928, NULL, 'PTHR48023:SF7', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 10', NULL, NULL, NULL, 15),
(161929, NULL, 'PTHR47448:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161930, NULL, 'PTHR46175', NULL, NULL, NULL, NULL, 'BACTERIOOPSIN TRANSCRIPTIONAL ACTIVATOR', NULL, NULL, NULL, 15),
(161931, NULL, 'PTHR32440:SF27', NULL, NULL, NULL, NULL, 'BNAA06G22550D PROTEIN', NULL, NULL, NULL, 15),
(161932, NULL, 'PTHR12558:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161933, NULL, 'PTHR38776:SF1', NULL, NULL, NULL, NULL, 'MLTA-INTERACTING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161934, NULL, 'PTHR11908:SF89', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(161935, NULL, 'PTHR33696:SF10', NULL, NULL, NULL, NULL, 'BNACNNG07700D PROTEIN', NULL, NULL, NULL, 15),
(161936, NULL, 'PTHR12144:SF0', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR C/D', NULL, NULL, NULL, 15),
(161937, NULL, 'PTHR24246:SF1', NULL, NULL, NULL, NULL, 'ADENOSINE RECEPTOR A1', NULL, NULL, NULL, 15),
(161938, NULL, 'PTHR31920:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161939, NULL, 'PTHR23196:SF23', NULL, NULL, NULL, NULL, 'OS01G0939300 PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161940, NULL, 'PTHR31839:SF43', NULL, NULL, NULL, NULL, 'CBF2C', NULL, NULL, NULL, 15),
(161941, NULL, 'PTHR11193:SF6', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', NULL, NULL, NULL, 15),
(161942, NULL, 'PTHR35135', NULL, NULL, NULL, NULL, 'OS05G0517800 PROTEIN', NULL, NULL, NULL, 15),
(161943, NULL, 'PTHR10791:SF50', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET15', NULL, NULL, NULL, 15),
(161944, NULL, 'PTHR10505', NULL, NULL, NULL, NULL, 'CALCITONIN-RELATED', NULL, NULL, 17365, 15),
(161945, NULL, 'PTHR31282:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', NULL, NULL, NULL, 15),
(161946, NULL, 'PTHR33219:SF12', NULL, NULL, NULL, NULL, 'YLMG HOMOLOG PROTEIN 1-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(161947, NULL, 'PTHR38797:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161948, NULL, 'PTHR10283:SF109', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 13 MEMBER 5', NULL, NULL, NULL, 15),
(161949, NULL, 'PTHR34585', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161950, NULL, 'PTHR33420:SF4', NULL, NULL, NULL, NULL, 'FIMBRIAL-LIKE PROTEIN FIMF', NULL, NULL, NULL, 15),
(161951, NULL, 'PTHR19432:SF64', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUT1', NULL, NULL, NULL, 15),
(161952, NULL, 'PTHR43096:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161953, NULL, 'PTHR10050:SF52', NULL, NULL, NULL, NULL, 'DOLICHYL-PHOSPHATE-MANNOSE--PROTEIN MANNOSYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(161954, NULL, 'PTHR26454:SF160', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(161955, NULL, 'PTHR31639:SF93', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(161956, NULL, 'PTHR48083:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161957, NULL, 'PTHR33547:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161958, NULL, 'PTHR48022:SF74', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02010)-RELATED', NULL, NULL, NULL, 15),
(161959, NULL, 'PTHR33312:SF29', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 4-RELATED', NULL, NULL, NULL, 15),
(161960, NULL, 'PTHR31459:SF6', NULL, NULL, NULL, NULL, 'DESICCATION-RELATED PROTEIN LEA14-RELATED', NULL, NULL, NULL, 15),
(161961, NULL, 'PTHR33876:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161962, NULL, 'PTHR11926:SF1265', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(161963, NULL, 'PTHR12346:SF1', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX PROTEIN SIN3B', NULL, NULL, NULL, 15),
(161964, NULL, 'PTHR48018:SF158', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(161965, NULL, 'PTHR35700:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(161966, NULL, 'PTHR33175:SF5', NULL, NULL, NULL, NULL, 'INTEGRATION HOST FACTOR SUBUNIT BETA', NULL, NULL, NULL, 15),
(161967, NULL, 'PTHR45786:SF18', NULL, NULL, NULL, NULL, 'BNACNNG36820D PROTEIN', NULL, NULL, NULL, 15),
(161968, NULL, 'PTHR10315:SF103', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(161969, NULL, 'PTHR45712:SF15', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN FLRT1', NULL, NULL, NULL, 15),
(161970, NULL, 'PTHR39227', NULL, NULL, NULL, NULL, 'ADIPOGENESIS REGULATORY FACTOR', NULL, NULL, 2671, 15),
(161971, NULL, 'PTHR35704:SF7', NULL, NULL, NULL, NULL, 'BNAA02G21870D PROTEIN', NULL, NULL, NULL, 15),
(161972, NULL, 'PTHR12322:SF73', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR 3', NULL, NULL, NULL, 15),
(161973, NULL, 'PTHR47976:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161974, NULL, 'PTHR11732:SF386', NULL, NULL, NULL, NULL, 'OS01G0847700 PROTEIN', NULL, NULL, NULL, 15),
(161975, NULL, 'PTHR31376:SF88', NULL, NULL, NULL, NULL, 'BNAC05G15350D PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(161976, NULL, 'PTHR31142:SF21', NULL, NULL, NULL, NULL, 'OS03G0120300 PROTEIN', NULL, NULL, NULL, 15),
(161977, NULL, 'PTHR14205:SF15', NULL, NULL, NULL, NULL, 'EARP AND GARP COMPLEX-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(161978, NULL, 'PTHR11125:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT5', NULL, NULL, NULL, 15),
(161979, NULL, 'PTHR10199:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161980, NULL, 'PTHR10666:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161981, NULL, 'PTHR45624:SF18', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN D', NULL, NULL, NULL, 15),
(161982, NULL, 'PTHR48044:SF7', NULL, NULL, NULL, NULL, 'ZEATIN O-XYLOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(161983, NULL, 'PTHR47076:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161984, NULL, 'PTHR31151:SF3', NULL, NULL, NULL, NULL, 'OS02G0195500 PROTEIN', NULL, NULL, NULL, 15),
(161985, NULL, 'PTHR13384:SF20', NULL, NULL, NULL, NULL, 'BNACNNG56020D PROTEIN', NULL, NULL, NULL, 15),
(161986, NULL, 'PTHR10775:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161987, NULL, 'PTHR36113:SF5', NULL, NULL, NULL, NULL, 'FOSFOMYCIN RESISTANCE PROTEIN FOSX', NULL, NULL, NULL, 15),
(161988, NULL, 'PTHR32467:SF151', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR BBM ISOFORM X1', NULL, NULL, NULL, 15),
(161989, NULL, 'PTHR47271', NULL, NULL, NULL, NULL, 'ARGININE DEIMINASE', NULL, NULL, NULL, 15),
(161990, NULL, 'PTHR11913:SF31', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 6', NULL, NULL, NULL, 15),
(161991, NULL, 'PTHR12247:SF86', NULL, NULL, NULL, NULL, 'POLYHOMEOTIC-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(161992, NULL, 'PTHR32343:SF58', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 9', NULL, NULL, NULL, 15),
(161993, NULL, 'PTHR31509:SF117', NULL, NULL, NULL, NULL, 'CAA303718.1 PROTEIN', NULL, NULL, NULL, 15),
(161994, NULL, 'PTHR37376:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(161995, NULL, 'PTHR11176:SF20', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN ARP1 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(161996, NULL, 'PTHR43384', NULL, NULL, NULL, NULL, 'SEPTUM SITE-DETERMINING PROTEIN MIND HOMOLOG, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(161997, NULL, 'PTHR24249:SF374', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 8', NULL, NULL, NULL, 15),
(161998, NULL, 'PTHR22957:SF296', NULL, NULL, NULL, NULL, 'SMALL G PROTEIN SIGNALING MODULATOR 3', NULL, NULL, NULL, 15),
(161999, NULL, 'PTHR23084:SF224', NULL, NULL, NULL, NULL, 'PROTEIN ACCUMULATION AND REPLICATION OFS PROTEIN', NULL, NULL, NULL, 15),
(162000, NULL, 'PTHR31497', NULL, NULL, NULL, NULL, 'AUTOCRINE PROLIFERATION REPRESSOR PROTEIN A', NULL, NULL, 9944, 15),
(162001, NULL, 'PTHR12995:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 39B', NULL, NULL, NULL, 15),
(162002, NULL, 'PTHR10933:SF15', NULL, NULL, NULL, NULL, 'HCG1642624, ISOFORM CRA_A', NULL, NULL, NULL, 15),
(162003, NULL, 'PTHR27006:SF168', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(162004, NULL, 'PTHR12687:SF10', NULL, NULL, NULL, NULL, 'NUCLEOLAR COMPLEX PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(162005, NULL, 'PTHR45637:SF54', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIPK-LIKE', NULL, NULL, NULL, 15),
(162006, NULL, 'PTHR10110:SF160', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15),
(162007, NULL, 'PTHR34618:SF1', NULL, NULL, NULL, NULL, 'SURFACE PROTEIN MAS1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(162008, NULL, 'PTHR26452:SF394', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(162009, NULL, 'PTHR20855', NULL, NULL, NULL, NULL, 'ADIPOR/PROGESTIN RECEPTOR-RELATED', NULL, NULL, 3843, 15),
(162010, NULL, 'PTHR22870:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162011, NULL, 'PTHR10585:SF77', NULL, NULL, NULL, NULL, 'BNAA07G05020D PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162012, NULL, 'PTHR31499:SF55', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162013, NULL, 'PTHR26450:SF31', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 645', NULL, NULL, NULL, 15),
(162014, NULL, 'PTHR12357:SF71', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(162015, NULL, 'PTHR24102', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN', NULL, NULL, NULL, 15),
(162016, NULL, 'PTHR19269:SF53', NULL, NULL, NULL, NULL, 'TROPOMYOSIN-2', NULL, NULL, NULL, 15),
(162017, NULL, 'PTHR33110:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162018, NULL, 'PTHR31713:SF59', NULL, NULL, NULL, NULL, 'BNAA09G04040D PROTEIN', NULL, NULL, NULL, 15),
(162019, NULL, 'PTHR47141:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-F', NULL, NULL, NULL, 15),
(162020, NULL, 'PTHR13906:SF12', NULL, NULL, NULL, NULL, 'PROTEIN-SERINE O-PALMITOLEOYLTRANSFERASE PORCUPINE', NULL, NULL, NULL, 15),
(162021, NULL, 'PTHR24256:SF512', NULL, NULL, NULL, NULL, 'LP01850P-RELATED', NULL, NULL, NULL, 15),
(162022, NULL, 'PTHR42790:SF3', NULL, NULL, NULL, NULL, 'KYNURENINE/ALPHA-AMINOADIPATE AMINOTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(162023, NULL, 'PTHR30213:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YHJD', NULL, NULL, NULL, 15),
(162024, NULL, 'PTHR16140:SF0', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', NULL, NULL, NULL, 15),
(162025, NULL, 'PTHR43259:SF1', NULL, NULL, NULL, NULL, 'SPT10P', NULL, NULL, NULL, 15),
(162026, NULL, 'PTHR36437', NULL, NULL, NULL, NULL, 'GLYOXALASE/BLEOMYCIN RESISTANCE PROTEIN/DIOXYGENASE', NULL, NULL, NULL, 15),
(162027, NULL, 'PTHR23428:SF260', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162028, NULL, 'PTHR22954:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBR-FCE-2', NULL, NULL, NULL, 15),
(162029, NULL, 'PTHR23051:SF9', NULL, NULL, NULL, NULL, 'THIAMINE-REPRESSIBLE MITOCHONDRIAL TRANSPORT PROTEIN THI74-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(162030, NULL, 'PTHR32018:SF29', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162031, NULL, 'PTHR11257:SF9', NULL, NULL, NULL, NULL, 'CHEMOSENSORY PROTEIN 13', NULL, NULL, NULL, 15),
(162032, NULL, 'PTHR24012:SF491', NULL, NULL, NULL, NULL, 'EG:132E8.1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162033, NULL, 'PTHR20861:SF1', NULL, NULL, NULL, NULL, 'HOMOSERINE KINASE', NULL, NULL, NULL, 15),
(162034, NULL, 'PTHR31096:SF50', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR2', NULL, NULL, NULL, 15),
(162035, NULL, 'PTHR10527:SF59', NULL, NULL, NULL, NULL, 'KARYOPHERIN BETA', NULL, NULL, NULL, 15),
(162036, NULL, 'PTHR10110:SF165', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 8', NULL, NULL, 9031, 15),
(162037, NULL, 'PTHR31446', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE/VANADIUM-DEPENDENT HALOPEROXIDASE-RELATED PROTEIN', NULL, NULL, 6409, 15),
(162038, NULL, 'PTHR47719', NULL, NULL, NULL, NULL, 'SKP1-INTERACTING PARTNER 15', NULL, NULL, NULL, 15),
(162039, NULL, 'PTHR45836:SF19', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN COMPLEX ACID LABILE SUBUNIT', NULL, NULL, NULL, 15),
(162040, NULL, 'PTHR13844:SF41', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX COMPONENT SNF12 HOMOLOG ISOFORM X1', NULL, NULL, NULL, 15),
(162041, NULL, 'PTHR10655', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE-RELATED', NULL, NULL, NULL, 15),
(162042, NULL, 'PTHR43128:SF16', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(162043, NULL, 'PTHR10641:SF1075', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB63', NULL, NULL, NULL, 15),
(162044, NULL, 'PTHR12126:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162045, NULL, 'PTHR11620:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162046, NULL, 'PTHR23050:SF337', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(162047, NULL, 'PTHR11746:SF98', NULL, NULL, NULL, NULL, 'ACETYLSEROTONIN O-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162048, NULL, 'PTHR22975:SF23', NULL, NULL, NULL, NULL, 'GB|AAD55616.1-RELATED', NULL, NULL, NULL, 15),
(162049, NULL, 'PTHR21266:SF52', NULL, NULL, NULL, NULL, 'CHLOROPHYLLIDE A OXYGENASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(162050, NULL, 'PTHR21495:SF208', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(162051, NULL, 'PTHR32448:SF37', NULL, NULL, NULL, NULL, 'OS06G0549900 PROTEIN', NULL, NULL, NULL, 15),
(162052, NULL, 'PTHR15045:SF1', NULL, NULL, NULL, NULL, 'FUCOSE-1-PHOSPHATE GUANYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(162053, NULL, 'PTHR10263', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', NULL, NULL, NULL, 15),
(162054, NULL, 'PTHR14269:SF47', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--SERINE O-PHOSPHATIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(162055, NULL, 'PTHR11699:SF209', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 1 MEMBER A3', NULL, NULL, NULL, 15),
(162056, NULL, 'PTHR30308:SF2', NULL, NULL, NULL, NULL, 'SSRA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(162057, NULL, 'PTHR22802:SF397', NULL, NULL, NULL, NULL, 'ASIALOGLYCOPROTEIN RECEPTOR 2', NULL, NULL, NULL, 15),
(162058, NULL, 'PTHR21213:SF5', NULL, NULL, NULL, NULL, 'OS06G0708600 PROTEIN', NULL, NULL, NULL, 15),
(162059, NULL, 'PTHR11537:SF39', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY S MEMBER 3', NULL, NULL, NULL, 15),
(162060, NULL, 'PTHR11240:SF46', NULL, NULL, NULL, NULL, 'INTRACELLULAR RIBONUCLEASE LX-LIKE', NULL, NULL, NULL, 15),
(162061, NULL, 'PTHR10134:SF33', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX IRON-SULFUR SUBUNIT', NULL, NULL, NULL, 15),
(162062, NULL, 'PTHR42894:SF1', NULL, NULL, NULL, NULL, 'N-(5''-PHOSPHORIBOSYL)ANTHRANILATE ISOMERASE', NULL, NULL, NULL, 15),
(162063, NULL, 'PTHR32010', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II STABILITY/ASSEMBLY FACTOR HCF136, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(162064, NULL, 'PTHR11904:SF24', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(162065, NULL, 'PTHR31915:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162066, NULL, 'PTHR31642:SF155', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162067, NULL, 'PTHR11360:SF274', NULL, NULL, NULL, NULL, 'TRANSPORTER MCH2-RELATED', NULL, NULL, NULL, 15),
(162068, NULL, 'PTHR12294:SF13', NULL, NULL, NULL, NULL, 'CALCIUM UPTAKE PROTEIN 1 HOMOLOG, MITOCHONDRIAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162069, NULL, 'PTHR31471:SF64', NULL, NULL, NULL, NULL, 'BNAA02G14240D PROTEIN', NULL, NULL, 29207, 15),
(162070, NULL, 'PTHR33648:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162071, NULL, 'PTHR46892', NULL, NULL, NULL, NULL, 'VISUAL SYSTEM HOMEOBOX 2', NULL, NULL, NULL, 15),
(162072, NULL, 'PTHR33021:SF333', NULL, NULL, NULL, NULL, 'BNAA09G38360D PROTEIN', NULL, NULL, NULL, 15),
(162073, NULL, 'PTHR23349:SF102', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 24', NULL, NULL, NULL, 15),
(162074, NULL, 'PTHR32080:SF39', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 3', NULL, NULL, NULL, 15),
(162075, NULL, 'PTHR12374:SF63', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER 2-BETA', NULL, NULL, NULL, 15),
(162076, NULL, 'PTHR26379:SF360', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(162077, NULL, 'PTHR42918:SF6', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR P--(R)-BETA-LYSINE LIGASE', NULL, NULL, NULL, 15),
(162078, NULL, 'PTHR24353:SF37', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE CATALYTIC SUBUNIT PRKX', NULL, NULL, NULL, 15),
(162079, NULL, 'PTHR31769:SF63', NULL, NULL, NULL, NULL, 'AEROBIC COPROPORPHYRINOGEN-III OXIDASE (DUF1218)', NULL, NULL, NULL, 15),
(162080, NULL, 'PTHR21236:SF6', NULL, NULL, NULL, NULL, 'PROTEIN YIPF5', NULL, NULL, NULL, 15),
(162081, NULL, 'PTHR34145:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162082, NULL, 'PTHR23158:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162083, NULL, 'PTHR12181:SF10', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE LPIN1', NULL, NULL, 28661, 15),
(162084, NULL, 'PTHR43112:SF10', NULL, NULL, NULL, NULL, 'FERREDOXIN C 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(162085, NULL, 'PTHR31503:SF64', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 1C', NULL, NULL, NULL, 15),
(162086, NULL, 'PTHR43302:SF5', NULL, NULL, NULL, NULL, 'TRANSPORTER ARSB-RELATED', NULL, NULL, NULL, 15),
(162087, NULL, 'PTHR21349:SF5', NULL, NULL, NULL, NULL, 'BNAA08G12830D PROTEIN', NULL, NULL, NULL, 15),
(162088, NULL, 'PTHR13587:SF7', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(162089, NULL, 'PTHR13018:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATE METABOLISM PROTEIN 7', NULL, NULL, NULL, 15),
(162090, NULL, 'PTHR33384:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162091, NULL, 'PTHR13962:SF29', NULL, NULL, NULL, NULL, 'CHECKPOINT SUPPRESSOR 1', NULL, NULL, NULL, 15),
(162092, NULL, 'PTHR24253:SF109', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162093, NULL, 'PTHR46880:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 862', NULL, NULL, NULL, 15),
(162094, NULL, 'PTHR30386:SF20', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162095, NULL, 'PTHR11954:SF17', NULL, NULL, NULL, NULL, 'MIF-LIKE PROTEIN MIF-3', NULL, NULL, NULL, 15),
(162096, NULL, 'PTHR30252', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PEPTIDE TRANSPORTER', NULL, NULL, NULL, 15),
(162097, NULL, 'PTHR10407:SF20', NULL, NULL, NULL, NULL, 'TALIN 2', NULL, NULL, NULL, 15),
(162098, NULL, 'PTHR45772:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(162099, NULL, 'PTHR34458:SF5', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162100, NULL, 'PTHR24381:SF350', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 688', NULL, NULL, NULL, 15),
(162101, NULL, 'PTHR22989:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG06405', NULL, NULL, NULL, 15),
(162102, NULL, 'PTHR11442:SF90', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT DELTA', NULL, NULL, NULL, 15),
(162103, NULL, 'PTHR21668:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A, ISOFORM A', NULL, NULL, NULL, 15),
(162104, NULL, 'PTHR38042', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III SYNTHASE, CHLOROPLASTIC', NULL, NULL, 33937, 15),
(162105, NULL, 'PTHR31413:SF5', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN MODD', NULL, NULL, NULL, 15),
(162106, NULL, 'PTHR10578:SF70', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE GLO3', NULL, NULL, NULL, 15),
(162107, NULL, 'PTHR46286:SF10', NULL, NULL, NULL, NULL, 'BNAA08G13150D PROTEIN', NULL, NULL, NULL, 15),
(162108, NULL, 'PTHR11685:SF226', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(162109, NULL, 'PTHR17615:SF7', NULL, NULL, NULL, NULL, 'PROTEIN FAM189B', NULL, NULL, NULL, 15),
(162110, NULL, 'PTHR20889:SF24', NULL, NULL, NULL, NULL, 'BNAA09G44850D PROTEIN', NULL, NULL, NULL, 15),
(162111, NULL, 'PTHR33021:SF214', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN', NULL, NULL, NULL, 15),
(162112, NULL, 'PTHR22762:SF149', NULL, NULL, NULL, NULL, 'BNAA01G23630D PROTEIN', NULL, NULL, NULL, 15),
(162113, NULL, 'PTHR10315:SF84', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINAT4', NULL, NULL, NULL, 15),
(162114, NULL, 'PTHR11915:SF439', NULL, NULL, NULL, NULL, 'UTROPHIN', NULL, NULL, NULL, 15),
(162115, NULL, 'PTHR47014:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY S MEMBER 1', NULL, NULL, NULL, 15),
(162116, NULL, 'PTHR11595:SF65', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA', NULL, NULL, NULL, 15),
(162117, NULL, 'PTHR46206:SF6', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(162118, NULL, 'PTHR11639:SF123', NULL, NULL, NULL, NULL, 'OS04G0601500 PROTEIN', NULL, NULL, NULL, 15),
(162119, NULL, 'PTHR31549:SF149', NULL, NULL, NULL, NULL, 'OS08G0120900 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162120, NULL, 'PTHR44094:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(162121, NULL, 'PTHR22298:SF103', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 22', NULL, NULL, NULL, 15),
(162122, NULL, 'PTHR12651', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 9', NULL, NULL, 15571, 15),
(162123, NULL, 'PTHR43337:SF11', NULL, NULL, NULL, NULL, 'GUANINE/HYPOXANTHINE PERMEASE PBUG', NULL, NULL, NULL, 15),
(162124, NULL, 'PTHR23500:SF460', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 11', NULL, NULL, NULL, 15),
(162125, NULL, 'PTHR31145:SF5', NULL, NULL, NULL, NULL, 'DUF907 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G06100)', NULL, NULL, NULL, 15),
(162126, NULL, 'PTHR43243:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162127, NULL, 'PTHR23155:SF1107', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RGA5', NULL, NULL, NULL, 15),
(162128, NULL, 'PTHR46347:SF2', NULL, NULL, NULL, NULL, 'OS02G0132300 PROTEIN', NULL, NULL, NULL, 15),
(162129, NULL, 'PTHR15955:SF8', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN 2B', NULL, NULL, NULL, 15),
(162130, NULL, 'PTHR13298', NULL, NULL, NULL, NULL, 'CYTOSOLIC REGULATOR PIANISSIMO', NULL, NULL, 23915, 15),
(162131, NULL, 'PTHR24221:SF288', NULL, NULL, NULL, NULL, 'ABC A-PHEROMONE EFFLUX PUMP ATRD', NULL, NULL, NULL, 15),
(162132, NULL, 'PTHR24057:SF42', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE ETA', NULL, NULL, NULL, 15),
(162133, NULL, 'PTHR15600', NULL, NULL, NULL, NULL, 'SACSIN', NULL, NULL, NULL, 15),
(162134, NULL, 'PTHR45961:SF1', NULL, NULL, NULL, NULL, 'SI:CH1073-184J22.2', NULL, NULL, NULL, 15),
(162135, NULL, 'PTHR11926:SF1356', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 74C1', NULL, NULL, NULL, 15),
(162136, NULL, 'PTHR34953:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE RELATED PROTEIN', NULL, NULL, NULL, 15),
(162137, NULL, 'PTHR23081:SF31', NULL, NULL, NULL, NULL, 'BNAA05G20480D PROTEIN', NULL, NULL, NULL, 15),
(162138, NULL, 'PTHR31948:SF74', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(162139, NULL, 'PTHR16399:SF21', NULL, NULL, NULL, NULL, 'GASDERMIN-C', NULL, NULL, NULL, 15),
(162140, NULL, 'PTHR15948', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 89-RELATED', NULL, NULL, 18299, 15),
(162141, NULL, 'PTHR14562:SF3', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT D', NULL, NULL, NULL, 15),
(162142, NULL, 'PTHR11416', NULL, NULL, NULL, NULL, 'PRO-OPIOMELANOCORTIN', NULL, NULL, NULL, 15),
(162143, NULL, 'PTHR15298:SF19', NULL, NULL, NULL, NULL, 'SI:CH73-106K19.2', NULL, NULL, NULL, 15),
(162144, NULL, 'PTHR22948:SF59', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING PROTEIN 7-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162145, NULL, 'PTHR24027:SF267', NULL, NULL, NULL, NULL, 'CADHERIN-3', NULL, NULL, NULL, 15),
(162146, NULL, 'PTHR11815:SF17', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [GDP-FORMING] SUBUNIT BETA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(162147, NULL, 'PTHR32009:SF92', NULL, NULL, NULL, NULL, 'BNAC08G45140D PROTEIN', NULL, NULL, NULL, 15),
(162148, NULL, 'PTHR26379:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162149, NULL, 'PTHR10165:SF183', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 2', NULL, NULL, NULL, 15),
(162150, NULL, 'PTHR43719:SF30', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(162151, NULL, 'PTHR31992:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162152, NULL, 'PTHR12974', NULL, NULL, NULL, NULL, 'PRION-LIKE- Q/N-RICH -DOMAIN-BEARING PROTEIN PROTEIN 44', NULL, NULL, 8482, 15),
(162153, NULL, 'PTHR23431', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC5 FAMILY MEMBER', NULL, NULL, 630, 15),
(162154, NULL, 'PTHR31157:SF26', NULL, NULL, NULL, NULL, 'HYPOTHETICAL EXPORTED PROTEIN', NULL, NULL, NULL, 15),
(162155, NULL, 'PTHR11135:SF7', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 3', NULL, NULL, 35193, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162156, NULL, 'PTHR10342:SF68', NULL, NULL, NULL, NULL, 'ARYLSULFATASE I', NULL, NULL, NULL, 15),
(162157, NULL, 'PTHR24399:SF35', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 131', NULL, NULL, 24005, 15),
(162158, NULL, 'PTHR48048:SF50', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(162159, NULL, 'PTHR11256:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162160, NULL, 'PTHR33722:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162161, NULL, 'PTHR24106:SF268', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162162, NULL, 'PTHR46610:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162163, NULL, 'PTHR11260:SF543', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162164, NULL, 'PTHR22957:SF27', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 13', NULL, NULL, NULL, 15),
(162165, NULL, 'PTHR15871:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162166, NULL, 'PTHR38588', NULL, NULL, NULL, NULL, 'BLL0334 PROTEIN', NULL, NULL, 9520, 15),
(162167, NULL, 'PTHR11636:SF84', NULL, NULL, NULL, NULL, 'PITUITARY-SPECIFIC POSITIVE TRANSCRIPTION FACTOR 1', NULL, NULL, 9564, 15),
(162168, NULL, 'PTHR23115:SF249', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(162169, NULL, 'PTHR47928:SF131', NULL, NULL, NULL, NULL, 'OS05G0307200 PROTEIN', NULL, NULL, NULL, 15),
(162170, NULL, 'PTHR33994:SF27', NULL, NULL, NULL, NULL, 'OS01G0771700 PROTEIN', NULL, NULL, NULL, 15),
(162171, NULL, 'PTHR43880:SF49', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE SUPERFAMILY, ZINC-TYPE, GROES-LIKE, NAD(P)-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162172, NULL, 'PTHR43033:SF1', NULL, NULL, NULL, NULL, 'TRNA(ILE)-LYSIDINE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(162173, NULL, 'PTHR13007:SF20', NULL, NULL, NULL, NULL, 'SPLICING FACTOR PRP18 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162174, NULL, 'PTHR14154:SF95', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', NULL, NULL, NULL, 15),
(162175, NULL, 'PTHR18966:SF399', NULL, NULL, NULL, NULL, 'IP13856P', NULL, NULL, NULL, 15),
(162176, NULL, 'PTHR11206:SF313', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 25', NULL, NULL, NULL, 15),
(162177, NULL, 'PTHR45708:SF19', NULL, NULL, NULL, NULL, 'ACIDIC ENDOCHITINASE', NULL, NULL, NULL, 15),
(162178, NULL, 'PTHR46288:SF27', NULL, NULL, NULL, NULL, 'BNACNNG53840D PROTEIN', NULL, NULL, NULL, 15),
(162179, NULL, 'PTHR24241:SF143', NULL, NULL, NULL, NULL, 'PYROGLUTAMYLATED RFAMIDE PEPTIDE RECEPTOR A', NULL, NULL, NULL, 15),
(162180, NULL, 'PTHR11945:SF617', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(162181, NULL, 'PTHR12242:SF6', NULL, NULL, NULL, NULL, 'PROTEIN ROLLING PROTEIN', NULL, NULL, NULL, 15),
(162182, NULL, 'PTHR32176:SF66', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(162183, NULL, 'PTHR22968:SF26', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D3', NULL, NULL, NULL, 15),
(162184, NULL, 'PTHR10994:SF158', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162185, NULL, 'PTHR33076:SF66', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 3', NULL, NULL, NULL, 15),
(162186, NULL, 'PTHR11909:SF110', NULL, NULL, NULL, NULL, 'PROTEIN CBG02430', NULL, NULL, NULL, 15),
(162187, NULL, 'PTHR10257:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 56 KDA REGULATORY SUBUNIT GAMMA ISOFORM', NULL, NULL, NULL, 15),
(162188, NULL, 'PTHR39180', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162189, NULL, 'PTHR21231:SF10', NULL, NULL, NULL, NULL, 'GPN-LOOP GTPASE 3', NULL, NULL, NULL, 15),
(162190, NULL, 'PTHR22069:SF0', NULL, NULL, NULL, NULL, 'RADIAL SPOKE HEAD PROTEIN 9 HOMOLOG', NULL, NULL, NULL, 15),
(162191, NULL, 'PTHR18945:SF426', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-TYPE ACR-7', NULL, NULL, NULL, 15),
(162192, NULL, 'PTHR32015:SF1', NULL, NULL, NULL, NULL, 'FASTING INDUCED LIPASE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162193, NULL, 'PTHR16223:SF136', NULL, NULL, NULL, NULL, 'OS05G0228400 PROTEIN', NULL, NULL, NULL, 15),
(162194, NULL, 'PTHR10799:SF879', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED MATRIX-ASSOCIATED ACTIN-DEPENDENT REGULATOR OF CHROMATIN SUBFAMILY A MEMBER 5', NULL, NULL, NULL, 15),
(162195, NULL, 'PTHR43373', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT', NULL, NULL, NULL, 15),
(162196, NULL, 'PTHR45650:SF12', NULL, NULL, NULL, NULL, 'OS12G0274200 PROTEIN', NULL, NULL, NULL, 15),
(162197, NULL, 'PTHR14845:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 121', NULL, NULL, NULL, 15),
(162198, NULL, 'PTHR19317:SF53', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN G2', NULL, NULL, NULL, 15),
(162199, NULL, 'PTHR13025', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN-CONTAINING PROTEIN D', NULL, NULL, 34320, 15),
(162200, NULL, 'PTHR43314:SF22', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE, EMBRYO ISOZYME, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(162201, NULL, 'PTHR31205:SF40', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN', NULL, NULL, NULL, 15),
(162202, NULL, 'PTHR23235:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162203, NULL, 'PTHR10797:SF62', NULL, NULL, NULL, NULL, 'OS08G0440300 PROTEIN', NULL, NULL, NULL, 15),
(162204, NULL, 'PTHR22988:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MRCK GAMMA', NULL, NULL, 36435, 15),
(162205, NULL, 'PTHR16442:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 17', NULL, NULL, NULL, 15),
(162206, NULL, 'PTHR24340:SF38', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-3.1', NULL, NULL, NULL, 15),
(162207, NULL, 'PTHR47750:SF3', NULL, NULL, NULL, NULL, 'BNAA09G02870D PROTEIN', NULL, NULL, NULL, 15),
(162208, NULL, 'PTHR31589:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162209, NULL, 'PTHR47446:SF4', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(162210, NULL, 'PTHR45786:SF46', NULL, NULL, NULL, NULL, 'BNAA06G19270D PROTEIN', NULL, NULL, NULL, 15),
(162211, NULL, 'PTHR11306:SF50', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL/PHOSPHATIDYLINOSITOL TRANSFER PROTEIN DDB_G0282179-RELATED', NULL, NULL, NULL, 15),
(162212, NULL, 'PTHR34959:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(162213, NULL, 'PTHR28657:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162214, NULL, 'PTHR31692:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162215, NULL, 'PTHR21174:SF0', NULL, NULL, NULL, NULL, 'AGAP007594-PA', NULL, NULL, NULL, 15),
(162216, NULL, 'PTHR48011:SF34', NULL, NULL, NULL, NULL, 'BNAC04G55540D PROTEIN', NULL, NULL, NULL, 15),
(162217, NULL, 'PTHR15241:SF326', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN 70 KDA ISOFORM X1', NULL, NULL, NULL, 15),
(162218, NULL, 'PTHR31568:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162219, NULL, 'PTHR14002:SF21', NULL, NULL, NULL, NULL, 'SI:CH211-103F14.3-RELATED', NULL, NULL, NULL, 15),
(162220, NULL, 'PTHR48102:SF6', NULL, NULL, NULL, NULL, 'CLP PROTEASE REGULATORY SUBUNIT CLPX1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(162221, NULL, 'PTHR48006:SF3', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK15', NULL, NULL, NULL, 15),
(162222, NULL, 'PTHR23282:SF86', NULL, NULL, NULL, NULL, 'MAM AND LDL-RECEPTOR CLASS A DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(162223, NULL, 'PTHR46456', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD51 HOMOLOG 2', NULL, NULL, 28921, 15),
(162224, NULL, 'PTHR10314:SF182', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162225, NULL, 'PTHR46131:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162226, NULL, 'PTHR24248:SF176', NULL, NULL, NULL, NULL, 'DOPAMINE RECEPTOR 2', NULL, NULL, NULL, 15),
(162227, NULL, 'PTHR31371:SF11', NULL, NULL, NULL, NULL, 'DUF3475 DOMAIN PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162228, NULL, 'PTHR44307:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(162229, NULL, 'PTHR47990:SF123', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE', NULL, NULL, NULL, 15),
(162230, NULL, 'PTHR47021', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD6-RELATED', NULL, NULL, 37669, 15),
(162231, NULL, 'PTHR33052:SF124', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN ABC TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162232, NULL, 'PTHR10168:SF212', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S1-LIKE', NULL, NULL, NULL, 15),
(162233, NULL, 'PTHR14326:SF39', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) PROTEIN FAMILY', NULL, NULL, NULL, 15),
(162234, NULL, 'PTHR42968:SF36', NULL, NULL, NULL, NULL, 'WD40 REPEAT', NULL, NULL, NULL, 15),
(162235, NULL, 'PTHR47389', NULL, NULL, NULL, NULL, 'OS09G0436400 PROTEIN', NULL, NULL, NULL, 15),
(162236, NULL, 'PTHR27001:SF874', NULL, NULL, NULL, NULL, 'OS07G0618400 PROTEIN', NULL, NULL, NULL, 15),
(162237, NULL, 'PTHR23064:SF47', NULL, NULL, NULL, NULL, 'TROPONIN C, SLOW SKELETAL AND CARDIAC MUSCLES', NULL, NULL, NULL, 15),
(162238, NULL, 'PTHR11058:SF12', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(162239, NULL, 'PTHR19957:SF231', NULL, NULL, NULL, NULL, 'SYNTAXIN-1A HOMOLOG', NULL, NULL, NULL, 15),
(162240, NULL, 'PTHR11926:SF1392', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(162241, NULL, 'PTHR24418:SF251', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(162242, NULL, 'PTHR31422:SF1', NULL, NULL, NULL, NULL, 'OS08G0442350 PROTEIN', NULL, NULL, NULL, 15),
(162243, NULL, 'PTHR38049:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162244, NULL, 'PTHR34191:SF21', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(162245, NULL, 'PTHR42776:SF3', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE FOUR (IV) FAMILY', NULL, NULL, NULL, 15),
(162246, NULL, 'PTHR27005:SF385', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 22', NULL, NULL, NULL, 15),
(162247, NULL, 'PTHR24349:SF303', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 22', NULL, NULL, NULL, 15),
(162248, NULL, 'PTHR31790:SF159', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162249, NULL, 'PTHR31147:SF34', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 9', NULL, NULL, NULL, 15),
(162250, NULL, 'PTHR37448', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 29773, 15),
(162251, NULL, 'PTHR10465:SF2', NULL, NULL, NULL, NULL, 'MITOFUSIN-1', NULL, NULL, 26967, 15),
(162252, NULL, 'PTHR12341:SF39', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE', NULL, NULL, NULL, 15),
(162253, NULL, 'PTHR46173', NULL, NULL, NULL, NULL, 'CCA TRNA NUCLEOTIDYLTRANSFERASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(162254, NULL, 'PTHR45969:SF33', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162255, NULL, 'PTHR13906:SF20', NULL, NULL, NULL, NULL, 'MEMBRANE BOUND O-ACYL TRANSFERASE, MBOAT-RELATED', NULL, NULL, NULL, 15),
(162256, NULL, 'PTHR37755:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TIC 56, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(162257, NULL, 'PTHR13691:SF50', NULL, NULL, NULL, NULL, 'BNAA07G02120D PROTEIN', NULL, NULL, NULL, 15),
(162258, NULL, 'PTHR30272:SF13', NULL, NULL, NULL, NULL, 'BNAA09G42770D PROTEIN', NULL, NULL, NULL, 15),
(162259, NULL, 'PTHR48019:SF6', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN AGL24-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(162260, NULL, 'PTHR11850:SF247', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 9', NULL, NULL, NULL, 15),
(162261, NULL, 'PTHR36766:SF17', NULL, NULL, NULL, NULL, 'BNAA09G42690D PROTEIN', NULL, NULL, NULL, 15),
(162262, NULL, 'PTHR30011:SF30', NULL, NULL, NULL, NULL, 'XENOBIOTIC COMPOUND MONOOXYGENASE, DSZA FAMILY (AFU_ORTHOLOGUE AFUA_6G01920)', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162263, NULL, 'PTHR12027:SF75', NULL, NULL, NULL, NULL, 'PROTEIN WNT-9A', NULL, NULL, 8685, 15),
(162264, NULL, 'PTHR12308:SF20', NULL, NULL, NULL, NULL, 'ANOCTAMIN-2', NULL, NULL, 22647, 15),
(162265, NULL, 'PTHR11931:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE', NULL, NULL, NULL, 15),
(162266, NULL, 'PTHR16154', NULL, NULL, NULL, NULL, 'NEURABIN', NULL, NULL, 36637, 15),
(162267, NULL, 'PTHR12673:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162268, NULL, 'PTHR33181:SF18', NULL, NULL, NULL, NULL, 'OSJNBA0041A02.21-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162269, NULL, 'PTHR31987:SF12', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G10910)-RELATED', NULL, NULL, NULL, 15),
(162270, NULL, 'PTHR33103:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162271, NULL, 'PTHR33780:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(162272, NULL, 'PTHR10394:SF14', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', NULL, NULL, NULL, 15),
(162273, NULL, 'PTHR43272:SF67', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', NULL, NULL, NULL, 15),
(162274, NULL, 'PTHR45642:SF109', NULL, NULL, NULL, NULL, 'GDSL-MOTIF LIPASE/HYDROLASE-LIKE', NULL, NULL, NULL, 15),
(162275, NULL, 'PTHR30055:SF201', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(162276, NULL, 'PTHR34709:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162277, NULL, 'PTHR31004:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 79', NULL, NULL, NULL, 15),
(162278, NULL, 'PTHR11533:SF271', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(162279, NULL, 'PTHR24064:SF573', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(162280, NULL, 'PTHR10694:SF124', NULL, NULL, NULL, NULL, 'BNAA08G05240D PROTEIN', NULL, NULL, NULL, 15),
(162281, NULL, 'PTHR10314:SF165', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(162282, NULL, 'PTHR11581:SF25', NULL, NULL, NULL, NULL, 'BNAANNG13180D PROTEIN', NULL, NULL, NULL, 15),
(162283, NULL, 'PTHR47583:SF1', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(162284, NULL, 'PTHR11527:SF296', NULL, NULL, NULL, NULL, '26.5 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(162285, NULL, 'PTHR10219:SF74', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162286, NULL, 'PTHR31062:SF243', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(162287, NULL, 'PTHR34599:SF1', NULL, NULL, NULL, NULL, 'PEROXIDASE-RELATED', NULL, NULL, NULL, 15),
(162288, NULL, 'PTHR15615:SF105', NULL, NULL, NULL, NULL, 'CYCLIN', NULL, NULL, NULL, 15),
(162289, NULL, 'PTHR33095:SF55', NULL, NULL, NULL, NULL, 'BNACNNG71370D PROTEIN', NULL, NULL, NULL, 15),
(162290, NULL, 'PTHR45717:SF14', NULL, NULL, NULL, NULL, 'OSJNBA0041M06.2 PROTEIN', NULL, NULL, NULL, 15),
(162291, NULL, 'PTHR22835:SF619', NULL, NULL, NULL, NULL, 'ESTER HYDROLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(162292, NULL, 'PTHR45878:SF4', NULL, NULL, NULL, NULL, 'OS01G0859100 PROTEIN', NULL, NULL, NULL, 15),
(162293, NULL, 'PTHR47423:SF3', NULL, NULL, NULL, NULL, 'G-PATCH DOMAIN, R3H DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162294, NULL, 'PTHR47034', NULL, NULL, NULL, NULL, 'ZINC FINGER TRANSCRIPTION FACTOR TRPS1', NULL, NULL, 24211, 15),
(162295, NULL, 'PTHR16509:SF1', NULL, NULL, NULL, NULL, 'MANGANESE-DEPENDENT ADP-RIBOSE/CDP-ALCOHOL DIPHOSPHATASE', NULL, NULL, NULL, 15),
(162296, NULL, 'PTHR47993:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162297, NULL, 'PTHR11467:SF120', NULL, NULL, NULL, NULL, 'OS03G0711600 PROTEIN', NULL, NULL, NULL, 15),
(162298, NULL, 'PTHR12596:SF8', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 17', NULL, NULL, NULL, 15),
(162299, NULL, 'PTHR31311:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162300, NULL, 'PTHR24020:SF32', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE VI, ALPHA 3', NULL, NULL, NULL, 15),
(162301, NULL, 'PTHR32278:SF98', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10-LIKE', NULL, NULL, NULL, 15),
(162302, NULL, 'PTHR46039:SF1', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE 4-RELATED', NULL, NULL, NULL, 15),
(162303, NULL, 'PTHR47999:SF42', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 308-LIKE', NULL, NULL, NULL, 15),
(162304, NULL, 'PTHR11626:SF5', NULL, NULL, NULL, NULL, 'SQUALENE SYNTHASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(162305, NULL, 'PTHR34269:SF10', NULL, NULL, NULL, NULL, 'BNAA02G18980D PROTEIN', NULL, NULL, NULL, 15),
(162306, NULL, 'PTHR28110', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(162307, NULL, 'PTHR21162:SF0', NULL, NULL, NULL, NULL, 'P53 AND DNA DAMAGE-REGULATED PROTEIN 1', NULL, NULL, NULL, 15),
(162308, NULL, 'PTHR24559:SF379', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162309, NULL, 'PTHR11017:SF304', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)-RELATED', NULL, NULL, NULL, 15),
(162310, NULL, 'PTHR22931:SF40', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE', NULL, NULL, NULL, 15),
(162311, NULL, 'PTHR35705:SF1', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING TAIL-ANCHORED PROTEIN 1', NULL, NULL, 29520, 15),
(162312, NULL, 'PTHR11875:SF133', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 14 ISOFORM X1', NULL, NULL, NULL, 15),
(162313, NULL, 'PTHR10562:SF96', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', NULL, NULL, NULL, 15),
(162314, NULL, 'PTHR46274:SF13', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE, CATALYTIC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(162315, NULL, 'PTHR23024:SF511', NULL, NULL, NULL, NULL, 'BNAC09G54450D PROTEIN', NULL, NULL, NULL, 15),
(162316, NULL, 'PTHR31116:SF7', NULL, NULL, NULL, NULL, 'OS09G0420300 PROTEIN', NULL, NULL, NULL, 15),
(162317, NULL, 'PTHR45648:SF53', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(162318, NULL, 'PTHR11886:SF92', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN LC6, FLAGELLAR OUTER ARM', NULL, NULL, NULL, 15),
(162319, NULL, 'PTHR12967:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SHQ1 HOMOLOG', NULL, NULL, NULL, 15),
(162320, NULL, 'PTHR12526:SF583', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, GROUP 1/2 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162321, NULL, 'PTHR43782:SF4', NULL, NULL, NULL, NULL, 'ARGINASE-2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(162322, NULL, 'PTHR11215:SF1', NULL, NULL, NULL, NULL, 'UPF0160 PROTEIN MYG1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(162323, NULL, 'PTHR10589:SF43', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(162324, NULL, 'PTHR34545:SF10', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER', NULL, NULL, NULL, 15),
(162325, NULL, 'PTHR31225:SF73', NULL, NULL, NULL, NULL, '(3S)-LINALOOL/(E)-NEROLIDOL/(E,E)-GERANYL LINALOOL SYNTHASE', NULL, NULL, NULL, 15),
(162326, NULL, 'PTHR21206:SF0', NULL, NULL, NULL, NULL, 'DNA REPLICATION COMPLEX GINS PROTEIN SLD5', NULL, NULL, NULL, 15),
(162327, NULL, 'PTHR10015:SF378', NULL, NULL, NULL, NULL, 'BNAANNG15230D PROTEIN', NULL, NULL, NULL, 15),
(162328, NULL, 'PTHR33074:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162329, NULL, 'PTHR11599:SF171', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-2-A', NULL, NULL, 9346, 15),
(162330, NULL, 'PTHR46320:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG16011', NULL, NULL, NULL, 15),
(162331, NULL, 'PTHR32552:SF85', NULL, NULL, NULL, NULL, 'BLL7968 PROTEIN', NULL, NULL, NULL, 15),
(162332, NULL, 'PTHR30354:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PERMEASE YGBN', NULL, NULL, NULL, 15),
(162333, NULL, 'PTHR11046:SF18', NULL, NULL, NULL, NULL, 'OLIGORIBONUCLEASE-LIKE', NULL, NULL, NULL, 15),
(162334, NULL, 'PTHR43314:SF19', NULL, NULL, NULL, NULL, 'FERREDOXIN--NADP REDUCTASE, LEAF ISOZYME 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162335, NULL, 'PTHR11829:SF310', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN I2', NULL, NULL, NULL, 15),
(162336, NULL, 'PTHR33076:SF118', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(162337, NULL, 'PTHR26451:SF233', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4E1', NULL, NULL, NULL, 15),
(162338, NULL, 'PTHR11351:SF26', NULL, NULL, NULL, NULL, 'AGAP003050-PA', NULL, NULL, NULL, 15),
(162339, NULL, 'PTHR31384:SF125', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(162340, NULL, 'PTHR31731:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162341, NULL, 'PTHR31225:SF124', NULL, NULL, NULL, NULL, 'GAMMA-TERPINENE SYNTHASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(162342, NULL, 'PTHR32227:SF384', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162343, NULL, 'PTHR34671:SF19', NULL, NULL, NULL, NULL, 'EMBRYONIC ABUNDANT PROTEIN 1', NULL, NULL, NULL, 15),
(162344, NULL, 'PTHR31008:SF31', NULL, NULL, NULL, NULL, 'COP-1 INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(162345, NULL, 'PTHR24164', NULL, NULL, NULL, NULL, 'RELA-ASSOCIATED INHIBITOR', NULL, NULL, 25714, 15),
(162346, NULL, 'PTHR48002:SF107', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(162347, NULL, 'PTHR47116:SF5', NULL, NULL, NULL, NULL, 'PHLOEM FILAMENT PROTEIN', NULL, NULL, NULL, 15),
(162348, NULL, 'PTHR12447:SF20', NULL, NULL, NULL, NULL, 'GPCR-CHAPERONE PROTEIN', NULL, NULL, NULL, 15),
(162349, NULL, 'PTHR33047:SF28', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(162350, NULL, 'PTHR23157', NULL, NULL, NULL, NULL, 'GRIP AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(162351, NULL, 'PTHR42705:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NON-HOMOLOGOUS END JOINING PROTEIN LIGD', NULL, NULL, NULL, 15),
(162352, NULL, 'PTHR18945:SF456', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(162353, NULL, 'PTHR11629:SF58', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(162354, NULL, 'PTHR10009:SF19', NULL, NULL, NULL, NULL, 'RE55542P', NULL, NULL, NULL, 15),
(162355, NULL, 'PTHR11655:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162356, NULL, 'PTHR11252:SF14', NULL, NULL, NULL, NULL, 'BNAA08G12540D PROTEIN', NULL, NULL, NULL, 15),
(162357, NULL, 'PTHR45496:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162358, NULL, 'PTHR32219:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162359, NULL, 'PTHR31744:SF54', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 15', NULL, NULL, NULL, 15),
(162360, NULL, 'PTHR24247:SF179', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 4', NULL, NULL, NULL, 15),
(162361, NULL, 'PTHR32241', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(162362, NULL, 'PTHR20855:SF105', NULL, NULL, NULL, NULL, 'HAEMOLYSIN-III RELATED FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(162363, NULL, 'PTHR16181:SF12', NULL, NULL, NULL, NULL, 'PROTEIN FAM83E', NULL, NULL, NULL, 15),
(162364, NULL, 'PTHR13412', NULL, NULL, NULL, NULL, 'T-CELL IMMUNOMODULATORY PROTEIN HOMOLOG', NULL, NULL, 29121, 15),
(162365, NULL, 'PTHR21479:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG17573', NULL, NULL, NULL, 15),
(162366, NULL, 'PTHR33142:SF71', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR12', NULL, NULL, NULL, 15),
(162367, NULL, 'PTHR36809', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(162368, NULL, 'PTHR21668:SF6', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1A-RELATED', NULL, NULL, NULL, 15),
(162369, NULL, 'PTHR48018:SF79', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(162370, NULL, 'PTHR47841:SF13', NULL, NULL, NULL, NULL, 'BNAA03G17430D PROTEIN', NULL, NULL, NULL, 15),
(162371, NULL, 'PTHR10917:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC3', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162372, NULL, 'PTHR23411:SF7', NULL, NULL, NULL, NULL, 'NATURAL CYTOTOXICITY TRIGGERING RECEPTOR 3 LIGAND 1', NULL, NULL, NULL, 15),
(162373, NULL, 'PTHR35998', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162374, NULL, 'PTHR22904:SF523', NULL, NULL, NULL, NULL, 'HSP70-HSP90 ORGANIZING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(162375, NULL, 'PTHR32059:SF1', NULL, NULL, NULL, NULL, 'LISH DOMAIN AND HEAT REPEAT KIAA1468-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162376, NULL, 'PTHR24366:SF115', NULL, NULL, NULL, NULL, 'LD10349P', NULL, NULL, NULL, 15),
(162377, NULL, 'PTHR10151:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162378, NULL, 'PTHR22956:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG13407', NULL, NULL, NULL, 15),
(162379, NULL, 'PTHR21495:SF163', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 15', NULL, NULL, NULL, 15),
(162380, NULL, 'PTHR43449', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(162381, NULL, 'PTHR12929:SF3', NULL, NULL, NULL, NULL, 'RIBOFLAVIN TRANSPORTER RFT-1', NULL, NULL, NULL, 15),
(162382, NULL, 'PTHR36206:SF14', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(162383, NULL, 'PTHR39181', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE YWQE', NULL, NULL, 20851, 15),
(162384, NULL, 'PTHR27005:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162385, NULL, 'PTHR44665:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 14', NULL, NULL, NULL, 15),
(162386, NULL, 'PTHR24409:SF352', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162387, NULL, 'PTHR47965:SF40', NULL, NULL, NULL, NULL, 'BETA-SECRETASE 2', NULL, NULL, 10820, 15),
(162388, NULL, 'PTHR24229:SF8', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN D2 RECEPTOR 2', NULL, NULL, NULL, 15),
(162389, NULL, 'PTHR31865:SF1', NULL, NULL, NULL, NULL, 'INSERTASE, PUTATIVE (DUF1685)-RELATED', NULL, NULL, NULL, 15),
(162390, NULL, 'PTHR17453', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 19 KD PROTEIN', NULL, NULL, 4833, 15),
(162391, NULL, 'PTHR48036:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162392, NULL, 'PTHR11082:SF32', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(16/17) SYNTHASE [NAD(P)(+)]-LIKE', NULL, NULL, NULL, 15),
(162393, NULL, 'PTHR23050:SF429', NULL, NULL, NULL, NULL, 'BNACNNG44220D PROTEIN', NULL, NULL, NULL, 15),
(162394, NULL, 'PTHR23516:SF1', NULL, NULL, NULL, NULL, 'SAM (S-ADENOSYL METHIONINE) TRANSPORTER', NULL, NULL, NULL, 15),
(162395, NULL, 'PTHR43976:SF5', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162396, NULL, 'PTHR11362:SF9', NULL, NULL, NULL, NULL, 'PROTEIN FLOWERING LOCUS T-RELATED', NULL, NULL, NULL, 15),
(162397, NULL, 'PTHR48002:SF158', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(162398, NULL, 'PTHR12064:SF72', NULL, NULL, NULL, NULL, 'CBS DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(162399, NULL, 'PTHR22800:SF164', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY H, MEMBER 1', NULL, NULL, NULL, 15),
(162400, NULL, 'PTHR22883:SF147', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(162401, NULL, 'PTHR44329:SF35', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 9', NULL, NULL, NULL, 15),
(162402, NULL, 'PTHR39666:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162403, NULL, 'PTHR32191:SF15', NULL, NULL, NULL, NULL, 'OS01G0977100 PROTEIN', NULL, NULL, NULL, 15),
(162404, NULL, 'PTHR31802:SF12', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE HDT3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(162405, NULL, 'PTHR33895:SF3', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 10', NULL, NULL, NULL, 15),
(162406, NULL, 'PTHR22811:SF150', NULL, NULL, NULL, NULL, 'ERP3', NULL, NULL, NULL, 15),
(162407, NULL, 'PTHR12763:SF28', NULL, NULL, NULL, NULL, 'GEO10507P1-RELATED', NULL, NULL, NULL, 15),
(162408, NULL, 'PTHR47293:SF1', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 3', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162409, NULL, 'PTHR12542:SF145', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162410, NULL, 'PTHR24282:SF26', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162411, NULL, 'PTHR24177:SF122', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN NPR4-LIKE', NULL, NULL, NULL, 15),
(162412, NULL, 'PTHR33929:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162413, NULL, 'PTHR11070:SF58', NULL, NULL, NULL, NULL, 'DNA HELICASE IV', NULL, NULL, NULL, 15),
(162414, NULL, 'PTHR45029:SF6', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(162415, NULL, 'PTHR13748:SF61', NULL, NULL, NULL, NULL, 'COBALAMIN (VITAMIN B12) BIOSYNTHESIS COBW-LIKE,C-TERMINAL', NULL, NULL, NULL, 15),
(162416, NULL, 'PTHR13164:SF3', NULL, NULL, NULL, NULL, 'CALCYCLIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(162417, NULL, 'PTHR31618:SF30', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL MSCS, LSM DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162418, NULL, 'PTHR46767:SF2', NULL, NULL, NULL, NULL, 'LIM DOMAIN 7B', NULL, NULL, NULL, 15),
(162419, NULL, 'PTHR31232:SF79', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY S1-RELATED', NULL, NULL, NULL, 15),
(162420, NULL, 'PTHR16943:SF8', NULL, NULL, NULL, NULL, '2-METHYLCITRATE DEHYDRATASE-RELATED', NULL, NULL, NULL, 15),
(162421, NULL, 'PTHR39235', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT Y', NULL, NULL, 29998, 15),
(162422, NULL, 'PTHR31448:SF42', NULL, NULL, NULL, NULL, 'BNACNNG06430D PROTEIN', NULL, NULL, NULL, 15),
(162423, NULL, 'PTHR19300:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162424, NULL, 'PTHR48170', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162425, NULL, 'PTHR18896:SF163', NULL, NULL, NULL, NULL, 'BNAA01G28530D PROTEIN', NULL, NULL, NULL, 15),
(162426, NULL, 'PTHR40131:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162427, NULL, 'PTHR22951:SF63', NULL, NULL, NULL, NULL, 'CLATHRIN COAT ASSEMBLY PROTEIN AP180-LIKE', NULL, NULL, NULL, 15),
(162428, NULL, 'PTHR24414:SF89', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN', NULL, NULL, NULL, 15),
(162429, NULL, 'PTHR10772:SF40', NULL, NULL, NULL, NULL, 'BNAC09G18910D PROTEIN', NULL, NULL, NULL, 15),
(162430, NULL, 'PTHR31987:SF14', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G09910)-RELATED', NULL, NULL, NULL, 15),
(162431, NULL, 'PTHR41373:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162432, NULL, 'PTHR32347:SF10', NULL, NULL, NULL, NULL, 'SLR1207 PROTEIN', NULL, NULL, NULL, 15),
(162433, NULL, 'PTHR46214:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162434, NULL, 'PTHR33737:SF16', NULL, NULL, NULL, NULL, 'BNAA03G18210D PROTEIN', NULL, NULL, NULL, 15),
(162435, NULL, 'PTHR22949:SF0', NULL, NULL, NULL, NULL, 'RE27538P', NULL, NULL, NULL, 15),
(162436, NULL, 'PTHR15622:SF12', NULL, NULL, NULL, NULL, 'WD REPEAT AND SOCS BOX-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(162437, NULL, 'PTHR45125:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162438, NULL, 'PTHR44755', NULL, NULL, NULL, NULL, 'NATRIURETIC PEPTIDE RECEPTOR 3-RELATED', NULL, NULL, NULL, 15),
(162439, NULL, 'PTHR46174:SF4', NULL, NULL, NULL, NULL, 'CXXC FINGER PROTEIN 1B', NULL, NULL, NULL, 15),
(162440, NULL, 'PTHR21178', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 61', NULL, NULL, 31130, 15),
(162441, NULL, 'PTHR10504:SF140', NULL, NULL, NULL, NULL, 'PROTEIN CBG17409', NULL, NULL, NULL, 15),
(162442, NULL, 'PTHR31340', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GENOME MAINTENANCE EXONUCLEASE 1', NULL, NULL, NULL, 15),
(162443, NULL, 'PTHR23330', NULL, NULL, NULL, NULL, 'P300 TRANSCRIPTIONAL COFACTOR JMY-RELATED', NULL, NULL, NULL, 15),
(162444, NULL, 'PTHR13817:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162445, NULL, 'PTHR11453:SF92', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 4 MEMBER 11', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162446, NULL, 'PTHR43484:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR MOTOR SWITCH PROTEIN FLIN', NULL, NULL, NULL, 15),
(162447, NULL, 'PTHR10366:SF369', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162448, NULL, 'PTHR21346:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162449, NULL, 'PTHR33101:SF34', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162450, NULL, 'PTHR33086:SF51', NULL, NULL, NULL, NULL, 'OS06G0307900 PROTEIN', NULL, NULL, NULL, 15),
(162451, NULL, 'PTHR45993:SF5', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA/LEUKEMIA 11A', NULL, NULL, NULL, 15),
(162452, NULL, 'PTHR31282:SF146', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 7 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(162453, NULL, 'PTHR33021:SF309', NULL, NULL, NULL, NULL, 'BNAA03G51730D PROTEIN', NULL, NULL, NULL, 15),
(162454, NULL, 'PTHR13306:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 138', NULL, NULL, NULL, 15),
(162455, NULL, 'PTHR47573', NULL, NULL, NULL, NULL, 'PROTEIN AF-9 HOMOLOG', NULL, NULL, NULL, 15),
(162456, NULL, 'PTHR43899:SF37', NULL, NULL, NULL, NULL, 'BETA-KETOACYL REDUCTASE 1-RELATED', NULL, NULL, NULL, 15),
(162457, NULL, 'PTHR13061:SF28', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE-LIKE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(162458, NULL, 'PTHR34463:SF6', NULL, NULL, NULL, NULL, 'WAG22 ANTIGEN-LIKE', NULL, NULL, NULL, 15),
(162459, NULL, 'PTHR47267', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162460, NULL, 'PTHR19969:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162461, NULL, 'PTHR37166:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FLAG', NULL, NULL, NULL, 15),
(162462, NULL, 'PTHR28152:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162463, NULL, 'PTHR10353:SF36', NULL, NULL, NULL, NULL, 'CYTOSOLIC BETA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(162464, NULL, 'PTHR33595:SF16', NULL, NULL, NULL, NULL, 'BNAC02G42480D PROTEIN', NULL, NULL, NULL, 15),
(162465, NULL, 'PTHR13530:SF3', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 7', NULL, NULL, NULL, 15),
(162466, NULL, 'PTHR46506:SF33', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(162467, NULL, 'PTHR11071:SF498', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(162468, NULL, 'PTHR14493:SF110', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 33-RELATED', NULL, NULL, NULL, 15),
(162469, NULL, 'PTHR10286:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162470, NULL, 'PTHR24031:SF409', NULL, NULL, NULL, NULL, 'TUDOR DOMAIN-CONTAINING 12', NULL, NULL, NULL, 15),
(162471, NULL, 'PTHR46853', NULL, NULL, NULL, NULL, 'METHYLOSOME PROTEIN 50', NULL, NULL, NULL, 15),
(162472, NULL, 'PTHR33193:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162473, NULL, 'PTHR19331:SF447', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS A MEMBER 5', NULL, NULL, NULL, 15),
(162474, NULL, 'PTHR33473:SF13', NULL, NULL, NULL, NULL, 'OS01G0833600 PROTEIN', NULL, NULL, NULL, 15),
(162475, NULL, 'PTHR10891:SF890', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(162476, NULL, 'PTHR12786', NULL, NULL, NULL, NULL, 'SPLICING FACTOR SF3A-RELATED', NULL, NULL, NULL, 15),
(162477, NULL, 'PTHR22814:SF340', NULL, NULL, NULL, NULL, 'BNAC06G15850D PROTEIN', NULL, NULL, NULL, 15),
(162478, NULL, 'PTHR23315:SF299', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(162479, NULL, 'PTHR48071:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162480, NULL, 'PTHR23037:SF38', NULL, NULL, NULL, NULL, 'COLONY-STIMULATING FACTOR 2 RECEPTOR, BETA, LOW-AFFINITY (GRANULOCYTE-MACROPHAGE)', NULL, NULL, NULL, 15),
(162481, NULL, 'PTHR33979', NULL, NULL, NULL, NULL, 'OS02G0221600 PROTEIN', NULL, NULL, NULL, 15),
(162482, NULL, 'PTHR10218:SF334', NULL, NULL, NULL, NULL, 'EXTRA-LARGE GUANINE NUCLEOTIDE-BINDING PROTEIN 3', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162483, NULL, 'PTHR15335:SF7', NULL, NULL, NULL, NULL, 'PROTEIN TFG', NULL, NULL, NULL, 15),
(162484, NULL, 'PTHR43105:SF8', NULL, NULL, NULL, NULL, 'RESPIRATORY NITRATE REDUCTASE 1 ALPHA CHAIN', NULL, NULL, NULL, 15),
(162485, NULL, 'PTHR38218:SF12', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(162486, NULL, 'PTHR42731:SF4', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(162487, NULL, 'PTHR31707:SF166', NULL, NULL, NULL, NULL, 'OS01G0253200 PROTEIN', NULL, NULL, NULL, 15),
(162488, NULL, 'PTHR11165:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162489, NULL, 'PTHR48004:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KINASE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(162490, NULL, 'PTHR13099:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 SUBUNIT C2-RELATED', NULL, NULL, NULL, 15),
(162491, NULL, 'PTHR22791:SF21', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 224', NULL, NULL, 33040, 15),
(162492, NULL, 'PTHR13929:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162493, NULL, 'PTHR43220', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37182, 15),
(162494, NULL, 'PTHR46081:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE 2', NULL, NULL, NULL, 15),
(162495, NULL, 'PTHR11850:SF105', NULL, NULL, NULL, NULL, 'ASSOCIATED WITH HOX FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(162496, NULL, 'PTHR31205:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162497, NULL, 'PTHR48111:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN AFSQ1', NULL, NULL, NULL, 15),
(162498, NULL, 'PTHR45948:SF3', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 22', NULL, NULL, NULL, 15),
(162499, NULL, 'PTHR31170:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162500, NULL, 'PTHR36746:SF8', NULL, NULL, NULL, NULL, 'BNACNNG09210D PROTEIN', NULL, NULL, NULL, 15),
(162501, NULL, 'PTHR11802:SF229', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(162502, NULL, 'PTHR22923:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162503, NULL, 'PTHR13301:SF41', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN G3', NULL, NULL, NULL, 15),
(162504, NULL, 'PTHR33914', NULL, NULL, NULL, NULL, '18S PRE-RIBOSOMAL ASSEMBLY PROTEIN GAR2-LIKE PROTEIN', NULL, NULL, 30478, 15),
(162505, NULL, 'PTHR45886:SF14', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(162506, NULL, 'PTHR23353:SF13', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY, MEMBER 24', NULL, NULL, NULL, 15),
(162507, NULL, 'PTHR31692:SF14', NULL, NULL, NULL, NULL, 'EXPANSIN-B12', NULL, NULL, NULL, 15),
(162508, NULL, 'PTHR16024:SF19', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', NULL, NULL, NULL, 15),
(162509, NULL, 'PTHR12303:SF11', NULL, NULL, NULL, NULL, 'AER338CP', NULL, NULL, NULL, 15),
(162510, NULL, 'PTHR36516:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG21751', NULL, NULL, NULL, 15),
(162511, NULL, 'PTHR43849', NULL, NULL, NULL, NULL, 'BLL3936 PROTEIN', NULL, NULL, NULL, 15),
(162512, NULL, 'PTHR12151:SF22', NULL, NULL, NULL, NULL, 'BNAA01G05740D PROTEIN', NULL, NULL, NULL, 15),
(162513, NULL, 'PTHR11134:SF30', NULL, NULL, NULL, NULL, 'BETA-ADAPTIN-LIKE PROTEIN B', NULL, NULL, NULL, 15),
(162514, NULL, 'PTHR43570:SF7', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(162515, NULL, 'PTHR14624', NULL, NULL, NULL, NULL, 'DFG10 PROTEIN', NULL, NULL, 33662, 15),
(162516, NULL, 'PTHR47272:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162517, NULL, 'PTHR33800:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162518, NULL, 'PTHR31645:SF53', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', NULL, NULL, NULL, 15),
(162519, NULL, 'PTHR16222:SF21', NULL, NULL, NULL, NULL, '[PROTEIN ADP-RIBOSYLARGININE] HYDROLASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162520, NULL, 'PTHR10687:SF2', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(162521, NULL, 'PTHR47926:SF33', NULL, NULL, NULL, NULL, 'OS01G0914600 PROTEIN', NULL, NULL, NULL, 15),
(162522, NULL, 'PTHR10556:SF35', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162523, NULL, 'PTHR34000:SF13', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(162524, NULL, 'PTHR46476:SF8', NULL, NULL, NULL, NULL, 'CHITINASE 2-LIKE', NULL, NULL, NULL, 15),
(162525, NULL, 'PTHR11730:SF42', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER RH TYPE B', NULL, NULL, NULL, 15),
(162526, NULL, 'PTHR46245:SF2', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION REPRESSOR VAL2', NULL, NULL, NULL, 15),
(162527, NULL, 'PTHR31827:SF40', NULL, NULL, NULL, NULL, 'F22C12.10', NULL, NULL, NULL, 15),
(162528, NULL, 'PTHR11632:SF37', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(162529, NULL, 'PTHR11596:SF81', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE, GERM CELL TYPE', NULL, NULL, NULL, 15),
(162530, NULL, 'PTHR12378:SF54', NULL, NULL, NULL, NULL, 'BNACNNG05060D PROTEIN', NULL, NULL, NULL, 15),
(162531, NULL, 'PTHR33373:SF13', NULL, NULL, NULL, NULL, 'DUF4050 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162532, NULL, 'PTHR12570', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 13167, 15),
(162533, NULL, 'PTHR10593:SF165', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 9-LIKE', NULL, NULL, NULL, 15),
(162534, NULL, 'PTHR22803:SF132', NULL, NULL, NULL, NULL, 'REG III DELTA', NULL, NULL, NULL, 15),
(162535, NULL, 'PTHR11306:SF57', NULL, NULL, NULL, NULL, 'BNAANNG29980D PROTEIN', NULL, NULL, NULL, 15),
(162536, NULL, 'PTHR21353:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162537, NULL, 'PTHR31549:SF147', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF247)-RELATED', NULL, NULL, NULL, 15),
(162538, NULL, 'PTHR47401', NULL, NULL, NULL, NULL, 'INTERLEUKIN-4', NULL, NULL, 6833, 15),
(162539, NULL, 'PTHR12935:SF14', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLCYCLOTRANSFERASE B', NULL, NULL, NULL, 15),
(162540, NULL, 'PTHR45702:SF1', NULL, NULL, NULL, NULL, 'SI:CH1073-396H14.1', NULL, NULL, NULL, 15),
(162541, NULL, 'PTHR34269:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162542, NULL, 'PTHR13510', NULL, NULL, NULL, NULL, 'FYVE-FINGER-CONTAINING RAB5 EFFECTOR PROTEIN RABENOSYN-5-RELATED', NULL, NULL, NULL, 15),
(162543, NULL, 'PTHR23516:SF19', NULL, NULL, NULL, NULL, 'MOLYBDATE-ANION TRANSPORTER', NULL, NULL, NULL, 15),
(162544, NULL, 'PTHR31798:SF5', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162545, NULL, 'PTHR12429', NULL, NULL, NULL, NULL, 'NEURALIZED', NULL, NULL, 33758, 15),
(162546, NULL, 'PTHR42106:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(162547, NULL, 'PTHR32071:SF74', NULL, NULL, NULL, NULL, 'ARGININE UTILIZATION REGULATORY PROTEIN ROCR', NULL, NULL, NULL, 15),
(162548, NULL, 'PTHR48055:SF11', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE MSP1', NULL, NULL, NULL, 15),
(162549, NULL, 'PTHR45781', NULL, NULL, NULL, NULL, 'AGAP000281-PA', NULL, NULL, NULL, 15),
(162550, NULL, 'PTHR33403:SF22', NULL, NULL, NULL, NULL, 'DEHYDROGENASE LARGE SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(162551, NULL, 'PTHR15452:SF5', NULL, NULL, NULL, NULL, 'LEUKOCYTE-SPECIFIC TRANSCRIPT 1 PROTEIN', NULL, NULL, NULL, 15),
(162552, NULL, 'PTHR31790:SF298', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162553, NULL, 'PTHR45676:SF36', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(162554, NULL, 'PTHR10578:SF67', NULL, NULL, NULL, NULL, 'CYTOCHROME B2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(162555, NULL, 'PTHR31528:SF15', NULL, NULL, NULL, NULL, 'RIBOFLAVIN-BINDING PROTEIN RIBY', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162556, NULL, 'PTHR24024:SF36', NULL, NULL, NULL, NULL, 'PROTEIN CBG01919', NULL, NULL, NULL, 15),
(162557, NULL, 'PTHR32410:SF189', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162558, NULL, 'PTHR47596:SF7', NULL, NULL, NULL, NULL, 'DVL15', NULL, NULL, NULL, 15),
(162559, NULL, 'PTHR24177:SF290', NULL, NULL, NULL, NULL, 'OS12G0283700 PROTEIN', NULL, NULL, NULL, 15),
(162560, NULL, 'PTHR31682:SF32', NULL, NULL, NULL, NULL, 'UDP-ARABINOPYRANOSE MUTASE 4-RELATED', NULL, NULL, NULL, 15),
(162561, NULL, 'PTHR48002:SF7', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C13', NULL, NULL, NULL, 15),
(162562, NULL, 'PTHR45651:SF56', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 1-LIKE', NULL, NULL, NULL, 15),
(162563, NULL, 'PTHR31001:SF62', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(162564, NULL, 'PTHR23044:SF26', NULL, NULL, NULL, NULL, 'DNA POLYMERASE III POLC-TYPE', NULL, NULL, NULL, 15),
(162565, NULL, 'PTHR36855:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(162566, NULL, 'PTHR33090:SF38', NULL, NULL, NULL, NULL, 'DUF3774 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(162567, NULL, 'PTHR39087:SF2', NULL, NULL, NULL, NULL, 'UPF0104 MEMBRANE PROTEIN MJ1595', NULL, NULL, NULL, 15),
(162568, NULL, 'PTHR37695', NULL, NULL, NULL, NULL, 'RECOMBINATION INITIATION DEFECTS 3-RELATED', NULL, NULL, 17557, 15),
(162569, NULL, 'PTHR47348', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 190 PROTEIN', NULL, NULL, NULL, 15),
(162570, NULL, 'PTHR45651:SF33', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 12-RELATED', NULL, NULL, NULL, 15),
(162571, NULL, 'PTHR24351:SF115', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE ALPHA-5', NULL, NULL, NULL, 15),
(162572, NULL, 'PTHR46325', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC8', NULL, NULL, 37137, 15),
(162573, NULL, 'PTHR14196:SF10', NULL, NULL, NULL, NULL, 'AGAP002993-PA', NULL, NULL, NULL, 15),
(162574, NULL, 'PTHR31415:SF59', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED 1', NULL, NULL, NULL, 15),
(162575, NULL, 'PTHR11547:SF56', NULL, NULL, NULL, NULL, 'CKMT2 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162576, NULL, 'PTHR23024:SF476', NULL, NULL, NULL, NULL, 'MCG65768, ISOFORM CRA_B-RELATED', NULL, NULL, NULL, 15),
(162577, NULL, 'PTHR32198', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ESCAPE PROTEIN 2', NULL, NULL, 29107, 15),
(162578, NULL, 'PTHR42865:SF5', NULL, NULL, NULL, NULL, 'L-CYSTINE TRANSPORTER YDJN', NULL, NULL, NULL, 15),
(162579, NULL, 'PTHR13466:SF14', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED SEQUENCE 2 PROTEIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(162580, NULL, 'PTHR47926:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162581, NULL, 'PTHR45635:SF14', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(162582, NULL, 'PTHR10782:SF78', NULL, NULL, NULL, NULL, 'BNAC08G42920D PROTEIN', NULL, NULL, NULL, 15),
(162583, NULL, 'PTHR11959:SF13', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE', NULL, NULL, NULL, 15),
(162584, NULL, 'PTHR11351:SF21', NULL, NULL, NULL, NULL, 'GH07782P', NULL, NULL, NULL, 15),
(162585, NULL, 'PTHR47958:SF23', NULL, NULL, NULL, NULL, 'MUTATOR', NULL, NULL, NULL, 15),
(162586, NULL, 'PTHR11533:SF276', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(162587, NULL, 'PTHR24089:SF722', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162588, NULL, 'PTHR12961:SF1', NULL, NULL, NULL, NULL, 'BNAA01G14200D PROTEIN', NULL, NULL, NULL, 15),
(162589, NULL, 'PTHR44259:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162590, NULL, 'PTHR43277:SF3', NULL, NULL, NULL, NULL, 'LYSINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(162591, NULL, 'PTHR48017:SF140', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 6', NULL, NULL, NULL, 15),
(162592, NULL, 'PTHR31790:SF127', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 8-LIKE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162593, NULL, 'PTHR23413:SF3', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32', NULL, NULL, NULL, 15),
(162594, NULL, 'PTHR22803:SF129', NULL, NULL, NULL, NULL, 'LITHOSTATHINE-1-BETA', NULL, NULL, NULL, 15),
(162595, NULL, 'PTHR48172:SF2', NULL, NULL, NULL, NULL, 'BNAC05G02270D PROTEIN', NULL, NULL, NULL, 15),
(162596, NULL, 'PTHR23244:SF437', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162597, NULL, 'PTHR22763:SF165', NULL, NULL, NULL, NULL, 'DSC E3 UBIQUITIN LIGASE COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(162598, NULL, 'PTHR30371:SF0', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATC, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(162599, NULL, 'PTHR35172:SF4', NULL, NULL, NULL, NULL, 'INVOLUCRIN', NULL, NULL, NULL, 15),
(162600, NULL, 'PTHR31161:SF26', NULL, NULL, NULL, NULL, 'BNAC03G69620D PROTEIN', NULL, NULL, NULL, 15),
(162601, NULL, 'PTHR15574:SF62', NULL, NULL, NULL, NULL, 'WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162602, NULL, 'PTHR47990:SF159', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 1-D-LIKE', NULL, NULL, NULL, 15),
(162603, NULL, 'PTHR20961:SF19', NULL, NULL, NULL, NULL, 'OS06G0470000 PROTEIN', NULL, NULL, NULL, 15),
(162604, NULL, 'PTHR24060:SF165', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, METABOTROPIC 5A', NULL, NULL, NULL, 15),
(162605, NULL, 'PTHR11430:SF32', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC LIPOCALIN', NULL, NULL, NULL, 15),
(162606, NULL, 'PTHR36766:SF12', NULL, NULL, NULL, NULL, 'LRR AND NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(162607, NULL, 'PTHR47992:SF111', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 77', NULL, NULL, NULL, 15),
(162608, NULL, 'PTHR42959', NULL, NULL, NULL, NULL, 'CARBAMOYLTRANSFERASE', NULL, NULL, NULL, 15),
(162609, NULL, 'PTHR33895', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 4', NULL, NULL, 23564, 15),
(162610, NULL, 'PTHR16223:SF100', NULL, NULL, NULL, NULL, 'BHLH PROTEIN-LIKE', NULL, NULL, NULL, 15),
(162611, NULL, 'PTHR31544:SF3', NULL, NULL, NULL, NULL, 'AVRRPT2-INDUCED PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(162612, NULL, 'PTHR31225:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162613, NULL, 'PTHR11685:SF297', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(162614, NULL, 'PTHR31046:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 264', NULL, NULL, NULL, 15),
(162615, NULL, 'PTHR24271:SF75', NULL, NULL, NULL, NULL, 'KALLIKREIN-2', NULL, NULL, NULL, 15),
(162616, NULL, 'PTHR31250:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162617, NULL, 'PTHR42673:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(162618, NULL, 'PTHR31992:SF225', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN PBF', NULL, NULL, NULL, 15),
(162619, NULL, 'PTHR12483:SF91', NULL, NULL, NULL, NULL, 'CTR FAMILY COPPER TRANSPORTER', NULL, NULL, NULL, 15),
(162620, NULL, 'PTHR12894:SF27', NULL, NULL, NULL, NULL, 'VAM6/VPS39-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162621, NULL, 'PTHR43861:SF2', NULL, NULL, NULL, NULL, 'CARBOXY-S-ADENOSYL-L-METHIONINE SYNTHASE', NULL, NULL, 4339, 15),
(162622, NULL, 'PTHR37840', NULL, NULL, NULL, NULL, 'L-FUCOSE ISOMERASE', NULL, NULL, NULL, 15),
(162623, NULL, 'PTHR23257:SF783', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0271402-RELATED', NULL, NULL, NULL, 15),
(162624, NULL, 'PTHR10778:SF8', NULL, NULL, NULL, NULL, 'ADENOSINE 3''-PHOSPHO 5''-PHOSPHOSULFATE TRANSPORTER 2', NULL, NULL, NULL, 15),
(162625, NULL, 'PTHR14677', NULL, NULL, NULL, NULL, 'ARSENITE INDUCUBLE RNA ASSOCIATED PROTEIN AIP-1-RELATED', NULL, NULL, NULL, 15),
(162626, NULL, 'PTHR31218:SF184', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(162627, NULL, 'PTHR19367:SF27', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 8-1', NULL, NULL, NULL, 15),
(162628, NULL, 'PTHR22951:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162629, NULL, 'PTHR35022:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162630, NULL, 'PTHR10209:SF756', NULL, NULL, NULL, NULL, 'BNAA01G37310D PROTEIN', NULL, NULL, NULL, 15),
(162631, NULL, 'PTHR45893:SF3', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP RING FINGER PROTEIN 3', NULL, NULL, NULL, 15),
(162632, NULL, 'PTHR31232:SF23', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY S1-RELATED', NULL, NULL, NULL, 15),
(162633, NULL, 'PTHR45693:SF55', NULL, NULL, NULL, NULL, 'BNAA08G20970D PROTEIN', NULL, NULL, NULL, 15),
(162634, NULL, 'PTHR16501', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 12835, 15),
(162635, NULL, 'PTHR11685:SF353', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(162636, NULL, 'PTHR31245:SF27', NULL, NULL, NULL, NULL, 'BNAA09G26810D PROTEIN', NULL, NULL, NULL, 15),
(162637, NULL, 'PTHR22947:SF10', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(162638, NULL, 'PTHR33227:SF38', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(162639, NULL, 'PTHR28610', NULL, NULL, NULL, NULL, 'DRAXIN', NULL, NULL, 26223, 15),
(162640, NULL, 'PTHR11538:SF79', NULL, NULL, NULL, NULL, 'PHENYLALANINE--TRNA LIGASE ALPHA SUBUNIT', NULL, NULL, NULL, 15),
(162641, NULL, 'PTHR45785:SF2', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR H-RELATED', NULL, NULL, NULL, 15),
(162642, NULL, 'PTHR23315:SF300', NULL, NULL, NULL, NULL, 'BNACNNG05650D PROTEIN', NULL, NULL, NULL, 15),
(162643, NULL, 'PTHR11878:SF8', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER 2', NULL, NULL, NULL, 15),
(162644, NULL, 'PTHR11945:SF586', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN AGL42', NULL, NULL, NULL, 15),
(162645, NULL, 'PTHR22762:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162646, NULL, 'PTHR23084:SF245', NULL, NULL, NULL, NULL, 'MORN MOTIF PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162647, NULL, 'PTHR44067:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(162648, NULL, 'PTHR21642', NULL, NULL, NULL, NULL, 'CEREBRAL CAVERNOUS MALFORMATIONS PROTEIN 2 HOMOLOG', NULL, NULL, 23942, 15),
(162649, NULL, 'PTHR22618', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35707, 15),
(162650, NULL, 'PTHR24032:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162651, NULL, 'PTHR45649:SF15', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(162652, NULL, 'PTHR24637:SF229', NULL, NULL, NULL, NULL, 'ROLLER: HELICALLY TWISTED, ANIMALS ROLL WHEN MOVING', NULL, NULL, NULL, 15),
(162653, NULL, 'PTHR11183:SF141', NULL, NULL, NULL, NULL, 'GLYCOGENIN-1', NULL, NULL, NULL, 15),
(162654, NULL, 'PTHR10060:SF43', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF139', NULL, NULL, NULL, 15),
(162655, NULL, 'PTHR12306:SF8', NULL, NULL, NULL, NULL, 'CELL DEATH ACTIVATOR CIDE-A', NULL, NULL, 26802, 15),
(162656, NULL, 'PTHR43466:SF1', NULL, NULL, NULL, NULL, '2-OXO-4-HYDROXY-4-CARBOXY-5-UREIDOIMIDAZOLINE DECARBOXYLASE-RELATED', NULL, NULL, NULL, 15),
(162657, NULL, 'PTHR23155', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RP', NULL, NULL, 38349, 15),
(162658, NULL, 'PTHR23159:SF17', NULL, NULL, NULL, NULL, 'ROOTLETIN-RELATED', NULL, NULL, 22463, 15),
(162659, NULL, 'PTHR38657:SF1', NULL, NULL, NULL, NULL, 'SLR1343 PROTEIN', NULL, NULL, NULL, 15),
(162660, NULL, 'PTHR11715:SF30', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', NULL, NULL, NULL, 15),
(162661, NULL, 'PTHR30330:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, LRP FAMILY-RELATED', NULL, NULL, NULL, 15),
(162662, NULL, 'PTHR42968:SF5', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 2', NULL, NULL, NULL, 15),
(162663, NULL, 'PTHR42898:SF58', NULL, NULL, NULL, NULL, 'BNAC04G14130D PROTEIN', NULL, NULL, NULL, 15),
(162664, NULL, 'PTHR11362:SF106', NULL, NULL, NULL, NULL, 'PROTEIN HEADING DATE 3A-LIKE', NULL, NULL, NULL, 15),
(162665, NULL, 'PTHR23159:SF30', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN 135KDA, ISOFORM B', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162666, NULL, 'PTHR33618:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L53, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(162667, NULL, 'PTHR46188:SF1', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(162668, NULL, 'PTHR10151:SF119', NULL, NULL, NULL, NULL, 'BNAA08G13350D PROTEIN', NULL, NULL, NULL, 15),
(162669, NULL, 'PTHR43391:SF14', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE-LIKE 5', NULL, NULL, NULL, 15),
(162670, NULL, 'PTHR23028:SF120', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(162671, NULL, 'PTHR31953:SF76', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 32-RELATED', NULL, NULL, NULL, 15),
(162672, NULL, 'PTHR24033:SF196', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162673, NULL, 'PTHR24174:SF9', NULL, NULL, NULL, NULL, 'GULP PTB DOMAIN CONTAINING ENGULFMENT ADAPTOR 1', NULL, NULL, NULL, 15),
(162674, NULL, 'PTHR12195', NULL, NULL, NULL, NULL, 'CYTOPLASMIC FMR1-INTERACTING PROTEIN-RELATED', NULL, NULL, 6396, 15),
(162675, NULL, 'PTHR48000:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX3', NULL, NULL, NULL, 15),
(162676, NULL, 'PTHR16423', NULL, NULL, NULL, NULL, 'TREM-LIKE TRANSCRIPT PROTEIN', NULL, NULL, NULL, 15),
(162677, NULL, 'PTHR11328:SF37', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 180', NULL, NULL, NULL, 15),
(162678, NULL, 'PTHR24058:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MINIBRAIN', NULL, NULL, NULL, 15),
(162679, NULL, 'PTHR33354', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G01540)', NULL, NULL, NULL, 15),
(162680, NULL, 'PTHR31126:SF60', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(162681, NULL, 'PTHR22595:SF136', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(162682, NULL, 'PTHR31376:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162683, NULL, 'PTHR24221:SF557', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', NULL, NULL, NULL, 15),
(162684, NULL, 'PTHR43520:SF5', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING P-TYPE ATPASE-RELATED', NULL, NULL, NULL, 15),
(162685, NULL, 'PTHR31111:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162686, NULL, 'PTHR34042:SF4', NULL, NULL, NULL, NULL, 'BNACNNG76830D PROTEIN', NULL, NULL, NULL, 15),
(162687, NULL, 'PTHR11993:SF39', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT H, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(162688, NULL, 'PTHR47993:SF134', NULL, NULL, NULL, NULL, 'BNAC04G43500D PROTEIN', NULL, NULL, NULL, 15),
(162689, NULL, 'PTHR32099:SF52', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(162690, NULL, 'PTHR12482:SF57', NULL, NULL, NULL, NULL, 'OS08G0143700 PROTEIN', NULL, NULL, NULL, 15),
(162691, NULL, 'PTHR24155:SF11', NULL, NULL, NULL, NULL, 'CASKIN, ISOFORM B', NULL, NULL, NULL, 15),
(162692, NULL, 'PTHR45787:SF7', NULL, NULL, NULL, NULL, 'LIM DOMAIN ONLY PROTEIN 3', NULL, NULL, NULL, 15),
(162693, NULL, 'PTHR45624:SF22', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ORNITHINE TRANSPORTER 1', NULL, NULL, NULL, 15),
(162694, NULL, 'PTHR26450:SF179', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(162695, NULL, 'PTHR42898:SF73', NULL, NULL, NULL, NULL, 'ROSSMANN-FOLD SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(162696, NULL, 'PTHR11371:SF27', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE-1', NULL, NULL, NULL, 15),
(162697, NULL, 'PTHR10894:SF28', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 5-1-RELATED', NULL, NULL, NULL, 15),
(162698, NULL, 'PTHR42683:SF44', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 2-RELATED', NULL, NULL, NULL, 15),
(162699, NULL, 'PTHR12630:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162700, NULL, 'PTHR30096:SF1', NULL, NULL, NULL, NULL, 'AROMATIC RING-OPENING DIOXYGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_7G00640)', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162701, NULL, 'PTHR31218:SF240', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(162702, NULL, 'PTHR31717:SF103', NULL, NULL, NULL, NULL, 'B-BOX-TYPE ZINC FINGER, CCT DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162703, NULL, 'PTHR23318:SF22', NULL, NULL, NULL, NULL, 'BNAA05G30700D PROTEIN', NULL, NULL, NULL, 15),
(162704, NULL, 'PTHR11142:SF22', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE A 2', NULL, NULL, NULL, 15),
(162705, NULL, 'PTHR24298:SF184', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 93G2', NULL, NULL, NULL, 15),
(162706, NULL, 'PTHR32510:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 98', NULL, NULL, NULL, 15),
(162707, NULL, 'PTHR30055:SF184', NULL, NULL, NULL, NULL, 'ACRR FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(162708, NULL, 'PTHR48043:SF19', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162709, NULL, 'PTHR23413:SF17', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32-1', NULL, NULL, NULL, 15),
(162710, NULL, 'PTHR16134', NULL, NULL, NULL, NULL, 'F-BOX/TPR REPEAT PROTEIN POF3', NULL, NULL, NULL, 15),
(162711, NULL, 'PTHR24343:SF420', NULL, NULL, NULL, NULL, 'BNAA01G23120D PROTEIN', NULL, NULL, NULL, 15),
(162712, NULL, 'PTHR45614:SF10', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(162713, NULL, 'PTHR31062:SF145', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(162714, NULL, 'PTHR46921:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 21', NULL, NULL, NULL, 15),
(162715, NULL, 'PTHR15860:SF14', NULL, NULL, NULL, NULL, 'RING FINGER AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(162716, NULL, 'PTHR10067:SF13', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(162717, NULL, 'PTHR45752:SF126', NULL, NULL, NULL, NULL, 'BNAC03G47790D PROTEIN', NULL, NULL, NULL, 15),
(162718, NULL, 'PTHR47081:SF2', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING X-LINKED PROTEIN 5', NULL, NULL, NULL, 15),
(162719, NULL, 'PTHR34720:SF7', NULL, NULL, NULL, NULL, 'MICROCYSTIN DEPENDENT PROTEIN', NULL, NULL, NULL, 15),
(162720, NULL, 'PTHR10288:SF96', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(162721, NULL, 'PTHR13055:SF12', NULL, NULL, NULL, NULL, 'LD40707P', NULL, NULL, NULL, 15),
(162722, NULL, 'PTHR13301:SF81', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 3 [UDP-FORMING]-RELATED', NULL, NULL, NULL, 15),
(162723, NULL, 'PTHR31739:SF16', NULL, NULL, NULL, NULL, 'ACYCLIC SESQUITERPENE SYNTHASE', NULL, NULL, NULL, 15),
(162724, NULL, 'PTHR44846:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(162725, NULL, 'PTHR31282:SF32', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162726, NULL, 'PTHR32387:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162727, NULL, 'PTHR31075:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162728, NULL, 'PTHR15549:SF14', NULL, NULL, NULL, NULL, 'PAIRED IMMUNOGLOBULIN-LIKE TYPE 2 RECEPTOR ALPHA', NULL, NULL, NULL, 15),
(162729, NULL, 'PTHR43900:SF39', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE GSTF2-RELATED', NULL, NULL, NULL, 15),
(162730, NULL, 'PTHR12932', NULL, NULL, NULL, NULL, 'P25 ALPHA-RELATED', NULL, NULL, 7684, 15),
(162731, NULL, 'PTHR43447:SF21', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', NULL, NULL, NULL, 15),
(162732, NULL, 'PTHR36040:SF5', NULL, NULL, NULL, NULL, 'BNAC01G24170D PROTEIN', NULL, NULL, NULL, 15),
(162733, NULL, 'PTHR32176:SF10', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(162734, NULL, 'PTHR11654:SF435', NULL, NULL, NULL, NULL, 'OS03G0138700 PROTEIN', NULL, NULL, NULL, 15),
(162735, NULL, 'PTHR19321:SF17', NULL, NULL, NULL, NULL, 'OS06G0308300 PROTEIN', NULL, NULL, NULL, 15),
(162736, NULL, 'PTHR10788:SF100', NULL, NULL, NULL, NULL, 'TREHALOSE-6-PHOSPHATE SYNTHASE2', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162737, NULL, 'PTHR33463:SF62', NULL, NULL, NULL, NULL, 'PVR4', NULL, NULL, NULL, 15),
(162738, NULL, 'PTHR12714:SF19', NULL, NULL, NULL, NULL, 'PROTEIN-S-ISOPRENYLCYSTEINE O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(162739, NULL, 'PTHR11346:SF107', NULL, NULL, NULL, NULL, 'GALECTIN-7', NULL, NULL, 22661, 15),
(162740, NULL, 'PTHR46033:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM HOMOLOG ISOFORM X1', NULL, NULL, NULL, 15),
(162741, NULL, 'PTHR12718:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162742, NULL, 'PTHR31235:SF251', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(162743, NULL, 'PTHR23202:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162744, NULL, 'PTHR10774:SF194', NULL, NULL, NULL, NULL, 'C2 DOMAIN, SYNAPTOTAGMIN-LIKE MITOCHONDRIAL-LIPID-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162745, NULL, 'PTHR13759:SF8', NULL, NULL, NULL, NULL, 'TWINFILIN-1', NULL, NULL, NULL, 15),
(162746, NULL, 'PTHR47386', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 1B', NULL, NULL, NULL, 15),
(162747, NULL, 'PTHR31221:SF243', NULL, NULL, NULL, NULL, 'WRKY FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(162748, NULL, 'PTHR22911:SF105', NULL, NULL, NULL, NULL, 'PROTEIN LICB', NULL, NULL, NULL, 15),
(162749, NULL, 'PTHR19332:SF8', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 13', NULL, NULL, NULL, 15),
(162750, NULL, 'PTHR15135:SF3', NULL, NULL, NULL, NULL, 'SH3 AND CYSTEINE-RICH DOMAIN-CONTAINING PROTEIN', NULL, NULL, 18067, 15),
(162751, NULL, 'PTHR30443:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE TRANSFERASE OPGE-RELATED', NULL, NULL, NULL, 15),
(162752, NULL, 'PTHR43653:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN NRFE-RELATED', NULL, NULL, NULL, 15),
(162753, NULL, 'PTHR36715:SF4', NULL, NULL, NULL, NULL, 'BNAA02G13840D PROTEIN', NULL, NULL, NULL, 15),
(162754, NULL, 'PTHR10903:SF73', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 8', NULL, NULL, NULL, 15),
(162755, NULL, 'PTHR32153:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162756, NULL, 'PTHR16240:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MENT', NULL, NULL, NULL, 15),
(162757, NULL, 'PTHR12242:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162758, NULL, 'PTHR11691', NULL, NULL, NULL, NULL, 'TYPE I INTERFERON', NULL, NULL, 5769, 15),
(162759, NULL, 'PTHR31639:SF136', NULL, NULL, NULL, NULL, 'OS08G0267700 PROTEIN', NULL, NULL, NULL, 15),
(162760, NULL, 'PTHR10314:SF221', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(162761, NULL, 'PTHR13935:SF122', NULL, NULL, NULL, NULL, 'BNAUNNG04340D PROTEIN', NULL, NULL, NULL, 15),
(162762, NULL, 'PTHR15138:SF22', NULL, NULL, NULL, NULL, 'SI:DKEY-219C3.2', NULL, NULL, NULL, 15),
(162763, NULL, 'PTHR21669:SF32', NULL, NULL, NULL, NULL, 'UBINUCLEIN 2A', NULL, NULL, NULL, 15),
(162764, NULL, 'PTHR22739:SF21', NULL, NULL, NULL, NULL, 'ACTIN BINDING RHO ACTIVATING PROTEIN A', NULL, NULL, NULL, 15),
(162765, NULL, 'PTHR47786', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN:MALTOSE-1-PHOSPHATE MALTOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(162766, NULL, 'PTHR26452:SF119', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5C1', NULL, NULL, NULL, 15),
(162767, NULL, 'PTHR43490:SF103', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', NULL, NULL, NULL, 15),
(162768, NULL, 'PTHR24559:SF340', NULL, NULL, NULL, NULL, 'OS03G0100250 PROTEIN', NULL, NULL, NULL, 15),
(162769, NULL, 'PTHR19282:SF261', NULL, NULL, NULL, NULL, 'TETRASPANIN-14', NULL, NULL, NULL, 15),
(162770, NULL, 'PTHR22765:SF309', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G13310)-RELATED', NULL, NULL, NULL, 15),
(162771, NULL, 'PTHR33233', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162772, NULL, 'PTHR45802', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162773, NULL, 'PTHR45687:SF61', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE INTRINSIC PROTEIN 2,4-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162774, NULL, 'PTHR45089:SF23', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK AMINO-TERMINAL DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162775, NULL, 'PTHR33159:SF43', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(162776, NULL, 'PTHR11654:SF501', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER', NULL, NULL, NULL, 15),
(162777, NULL, 'PTHR22829', NULL, NULL, NULL, NULL, 'DEP DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(162778, NULL, 'PTHR13848:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE 1', NULL, NULL, NULL, 15),
(162779, NULL, 'PTHR22601:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162780, NULL, 'PTHR31016:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162781, NULL, 'PTHR37234:SF2', NULL, NULL, NULL, NULL, 'BNAA09G36090D PROTEIN', NULL, NULL, NULL, 15),
(162782, NULL, 'PTHR47926:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162783, NULL, 'PTHR22595:SF164', NULL, NULL, NULL, NULL, 'ENDOCHITINASE EP3-LIKE', NULL, NULL, NULL, 15),
(162784, NULL, 'PTHR47078:SF1', NULL, NULL, NULL, NULL, 'CYTOSKELETON-ASSOCIATED PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(162785, NULL, 'PTHR22883:SF203', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(162786, NULL, 'PTHR47119', NULL, NULL, NULL, NULL, 'PLANT VIRAL-RESPONSE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162787, NULL, 'PTHR47926:SF231', NULL, NULL, NULL, NULL, 'BNAA08G27480D PROTEIN', NULL, NULL, NULL, 15),
(162788, NULL, 'PTHR31602:SF3', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 7', NULL, NULL, NULL, 15),
(162789, NULL, 'PTHR12882', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TY 4', NULL, NULL, 13859, 15),
(162790, NULL, 'PTHR24356:SF158', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C BETA TYPE', NULL, NULL, NULL, 15),
(162791, NULL, 'PTHR24072:SF332', NULL, NULL, NULL, NULL, 'NTGP2', NULL, NULL, NULL, 15),
(162792, NULL, 'PTHR46625', NULL, NULL, NULL, NULL, '72 KDA INOSITOL POLYPHOSPHATE 5-PHOSPHATASE', NULL, NULL, 38236, 15),
(162793, NULL, 'PTHR21479:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG21787', NULL, NULL, NULL, 15),
(162794, NULL, 'PTHR38378:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162795, NULL, 'PTHR23226:SF154', NULL, NULL, NULL, NULL, 'MCG3834', NULL, NULL, NULL, 15),
(162796, NULL, 'PTHR12497', NULL, NULL, NULL, NULL, 'TAZ PROTEIN  TAFAZZIN', NULL, NULL, 4568, 15),
(162797, NULL, 'PTHR31889:SF57', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162798, NULL, 'PTHR16431:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MIS18-ALPHA', NULL, NULL, NULL, 15),
(162799, NULL, 'PTHR31829:SF6', NULL, NULL, NULL, NULL, 'PYRIDOXAL 5''-PHOSPHATE SYNTHASE PDX1-LIKE 4-RELATED', NULL, NULL, NULL, 15),
(162800, NULL, 'PTHR32098:SF5', NULL, NULL, NULL, NULL, 'LYCOPENE BETA/EPSILON CYCLASE PROTEIN', NULL, NULL, NULL, 15),
(162801, NULL, 'PTHR31985:SF212', NULL, NULL, NULL, NULL, 'BNAA03G56380D PROTEIN', NULL, NULL, NULL, 15),
(162802, NULL, 'PTHR26379:SF395', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162803, NULL, 'PTHR27006:SF390', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162804, NULL, 'PTHR42898:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162805, NULL, 'PTHR12398:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162806, NULL, 'PTHR31985:SF200', NULL, NULL, NULL, NULL, 'BNAA09G30360D PROTEIN', NULL, NULL, NULL, 15),
(162807, NULL, 'PTHR33048:SF137', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G13725)', NULL, NULL, NULL, 15),
(162808, NULL, 'PTHR26450:SF128', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(162809, NULL, 'PTHR45654:SF74', NULL, NULL, NULL, NULL, 'BNAC04G04470D PROTEIN', NULL, NULL, NULL, 15),
(162810, NULL, 'PTHR33065:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162811, NULL, 'PTHR46390', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLYLTRANSFERASE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162812, NULL, 'PTHR31985:SF151', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF023', NULL, NULL, NULL, 15),
(162813, NULL, 'PTHR33755', NULL, NULL, NULL, NULL, 'TOXIN PARE1-RELATED', NULL, NULL, NULL, 15),
(162814, NULL, 'PTHR45816:SF2', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR TYPE 1', NULL, NULL, NULL, 15),
(162815, NULL, 'PTHR43233:SF1', NULL, NULL, NULL, NULL, 'FAMILY N-ACETYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03350)-RELATED', NULL, NULL, NULL, 15),
(162816, NULL, 'PTHR33917:SF2', NULL, NULL, NULL, NULL, 'PROTEIN EXECUTER 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(162817, NULL, 'PTHR30558:SF13', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBD2', NULL, NULL, NULL, 15),
(162818, NULL, 'PTHR47116:SF20', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(162819, NULL, 'PTHR42912:SF6', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(162820, NULL, 'PTHR13169:SF20', NULL, NULL, NULL, NULL, 'BNAANNG17130D PROTEIN', NULL, NULL, NULL, 15),
(162821, NULL, 'PTHR34402:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG02762', NULL, NULL, NULL, 15),
(162822, NULL, 'PTHR12322:SF15', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR C2', NULL, NULL, NULL, 15),
(162823, NULL, 'PTHR30175:SF3', NULL, NULL, NULL, NULL, 'PTS SYSTEM N-ACETYLMURAMIC ACID-SPECIFIC EIIBC COMPONENT', NULL, NULL, NULL, 15),
(162824, NULL, 'PTHR35766:SF2', NULL, NULL, NULL, NULL, 'BNAC09G30010D PROTEIN', NULL, NULL, NULL, 15),
(162825, NULL, 'PTHR24056:SF487', NULL, NULL, NULL, NULL, 'BNAC05G02020D PROTEIN', NULL, NULL, NULL, 15),
(162826, NULL, 'PTHR31307:SF38', NULL, NULL, NULL, NULL, '6B-INTERACTING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(162827, NULL, 'PTHR13833:SF79', NULL, NULL, NULL, NULL, 'NHL REPEAT-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(162828, NULL, 'PTHR22814:SF329', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', NULL, NULL, NULL, 15),
(162829, NULL, 'PTHR21496:SF0', NULL, NULL, NULL, NULL, 'RIESKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(162830, NULL, 'PTHR33870:SF15', NULL, NULL, NULL, NULL, 'SERINE-RICH ADHESIN FOR PLATELETS-LIKE', NULL, NULL, NULL, 15),
(162831, NULL, 'PTHR12547:SF137', NULL, NULL, NULL, NULL, 'BNAA01G26190D PROTEIN', NULL, NULL, NULL, 15),
(162832, NULL, 'PTHR47926:SF187', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(162833, NULL, 'PTHR18945:SF493', NULL, NULL, NULL, NULL, 'IP12579P', NULL, NULL, NULL, 15),
(162834, NULL, 'PTHR10514:SF38', NULL, NULL, NULL, NULL, 'ANGIOTENSIN-CONVERTING ENZYME', NULL, NULL, NULL, 15),
(162835, NULL, 'PTHR11467:SF102', NULL, NULL, NULL, NULL, 'HISTONE H1.0', NULL, NULL, NULL, 15),
(162836, NULL, 'PTHR21634:SF12', NULL, NULL, NULL, NULL, 'FOLLICULIN-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(162837, NULL, 'PTHR10529:SF262', NULL, NULL, NULL, NULL, 'ADAPTOR PROTEIN COMPLEX 1, MU SUBUNIT', NULL, NULL, NULL, 15),
(162838, NULL, 'PTHR26453:SF227', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1340', NULL, NULL, NULL, 15),
(162839, NULL, 'PTHR10612:SF48', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN D', NULL, NULL, NULL, 15),
(162840, NULL, 'PTHR31656:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162841, NULL, 'PTHR47725:SF2', NULL, NULL, NULL, NULL, 'OS03G0364000 PROTEIN', NULL, NULL, NULL, 15),
(162842, NULL, 'PTHR12905:SF0', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(162843, NULL, 'PTHR12999:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER RAN-BINDING DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(162844, NULL, 'PTHR30097:SF4', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN CUSB', NULL, NULL, NULL, 15),
(162845, NULL, 'PTHR24329:SF538', NULL, NULL, NULL, NULL, 'IP01065P', NULL, NULL, NULL, 15),
(162846, NULL, 'PTHR33835:SF1', NULL, NULL, NULL, NULL, 'YALI0C07656P', NULL, NULL, NULL, 15),
(162847, NULL, 'PTHR11783:SF232', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162848, NULL, 'PTHR24291:SF146', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(162849, NULL, 'PTHR31218:SF304', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(162850, NULL, 'PTHR10797:SF38', NULL, NULL, NULL, NULL, 'OS06G0138400 PROTEIN', NULL, NULL, NULL, 15),
(162851, NULL, 'PTHR11652:SF61', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S23', NULL, NULL, NULL, 15),
(162852, NULL, 'PTHR21355:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162853, NULL, 'PTHR24253:SF50', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF TUMORIGENICITY 14 PROTEIN', NULL, NULL, NULL, 15),
(162854, NULL, 'PTHR10106:SF17', NULL, NULL, NULL, NULL, 'ASCORBATE-SPECIFIC TRANSMEMBRANE ELECTRON TRANSPORTER 2-RELATED', NULL, NULL, NULL, 15),
(162855, NULL, 'PTHR22950:SF369', NULL, NULL, NULL, NULL, 'ACID TRANSPORTER 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(162856, NULL, 'PTHR13233:SF8', NULL, NULL, NULL, NULL, 'FORKHEAD-ASSOCIATED (FHA) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(162857, NULL, 'PTHR13683:SF799', NULL, NULL, NULL, NULL, 'BNAA05G35610D PROTEIN', NULL, NULL, NULL, 15),
(162858, NULL, 'PTHR13169:SF17', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN', NULL, NULL, NULL, 15),
(162859, NULL, 'PTHR42115:SF1', NULL, NULL, NULL, NULL, 'BETA-SYNTHASE (BETA-THIONASE), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G08420)-RELATED', NULL, NULL, NULL, 15),
(162860, NULL, 'PTHR47640:SF32', NULL, NULL, NULL, NULL, 'OLIGOURIDYLATE-BINDING PROTEIN 1A', NULL, NULL, NULL, 15),
(162861, NULL, 'PTHR42898:SF64', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162862, NULL, 'PTHR43295:SF6', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE', NULL, NULL, NULL, 15),
(162863, NULL, 'PTHR33076:SF76', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(162864, NULL, 'PTHR46970', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX DOMAIN-CONTAINING PROTEIN USF3', NULL, NULL, NULL, 15),
(162865, NULL, 'PTHR10438:SF422', NULL, NULL, NULL, NULL, 'BNACNNG05900D PROTEIN', NULL, NULL, NULL, 15),
(162866, NULL, 'PTHR38046', NULL, NULL, NULL, NULL, 'CRYPTIC LOCI REGULATOR 2', NULL, NULL, 33203, 15),
(162867, NULL, 'PTHR11101:SF16', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(162868, NULL, 'PTHR12217:SF4', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2D', NULL, NULL, NULL, 15),
(162869, NULL, 'PTHR10736:SF4', NULL, NULL, NULL, NULL, 'BESTROPHIN-1', NULL, NULL, 35635, 15),
(162870, NULL, 'PTHR31286:SF76', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162871, NULL, 'PTHR33602:SF1', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN RECX FAMILY PROTEIN', NULL, NULL, NULL, 15),
(162872, NULL, 'PTHR48063:SF53', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO2', NULL, NULL, NULL, 15),
(162873, NULL, 'PTHR36576:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CON-6, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03615)-RELATED', NULL, NULL, NULL, 15),
(162874, NULL, 'PTHR39640:SF1', NULL, NULL, NULL, NULL, 'VNG6129C', NULL, NULL, NULL, 15),
(162875, NULL, 'PTHR13820', NULL, NULL, NULL, NULL, 'SYNUCLEIN', NULL, NULL, 2421, 15),
(162876, NULL, 'PTHR12174:SF74', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162877, NULL, 'PTHR41517', NULL, NULL, NULL, NULL, '1,2-DIOXYGENASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162878, NULL, 'PTHR22574:SF15', NULL, NULL, NULL, NULL, 'PROTEIN FAM71A', NULL, NULL, NULL, 15),
(162879, NULL, 'PTHR19876:SF49', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''-2', NULL, NULL, NULL, 15),
(162880, NULL, 'PTHR46372:SF13', NULL, NULL, NULL, NULL, 'OS07G0185432 PROTEIN', NULL, NULL, NULL, 15),
(162881, NULL, 'PTHR12565:SF399', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH62', NULL, NULL, NULL, 15),
(162882, NULL, 'PTHR19134:SF507', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162883, NULL, 'PTHR15925:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S23, MITOCHONDRIAL', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162884, NULL, 'PTHR10749:SF5', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE B KINASE REGULATORY SUBUNIT ALPHA, LIVER ISOFORM', NULL, NULL, NULL, 15),
(162885, NULL, 'PTHR21472:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162886, NULL, 'PTHR14038:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PRRC2A', NULL, NULL, NULL, 15),
(162887, NULL, 'PTHR22835:SF501', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162888, NULL, 'PTHR46665:SF8', NULL, NULL, NULL, NULL, 'OS05G0199800 PROTEIN', NULL, NULL, NULL, 15),
(162889, NULL, 'PTHR33453:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162890, NULL, 'PTHR36944', NULL, NULL, NULL, NULL, 'PROTEIN CBG02791-RELATED', NULL, NULL, NULL, 15),
(162891, NULL, 'PTHR31218:SF248', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(162892, NULL, 'PTHR47487', NULL, NULL, NULL, NULL, 'OS06G0651300 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162893, NULL, 'PTHR44813:SF1', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(162894, NULL, 'PTHR11952:SF10', NULL, NULL, NULL, NULL, '16S RRNA PROCESSING PROTEIN RIMM FAMILY', NULL, NULL, NULL, 15),
(162895, NULL, 'PTHR23202:SF3', NULL, NULL, NULL, NULL, 'WAS/WASL-INTERACTING PROTEIN FAMILY MEMBER 2-RELATED', NULL, NULL, 21566, 15),
(162896, NULL, 'PTHR31942:SF80', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(162897, NULL, 'PTHR43903:SF5', NULL, NULL, NULL, NULL, 'NEUROLIGIN-4, Y-LINKED', NULL, NULL, 24713, 15),
(162898, NULL, 'PTHR11709:SF411', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(162899, NULL, 'PTHR33124:SF66', NULL, NULL, NULL, NULL, 'BNAC07G33520D PROTEIN', NULL, NULL, NULL, 15),
(162900, NULL, 'PTHR14202', NULL, NULL, NULL, NULL, '60 KDA RIBONUCLEOPROTEIN SSA/RO', NULL, NULL, 32674, 15),
(162901, NULL, 'PTHR32472:SF10', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RADA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162902, NULL, 'PTHR14057:SF32', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ONECUT', NULL, NULL, NULL, 15),
(162903, NULL, 'PTHR28592:SF2', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(162904, NULL, 'PTHR24253:SF44', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR XI', NULL, NULL, NULL, 15),
(162905, NULL, 'PTHR12064:SF84', NULL, NULL, NULL, NULL, 'DUF21 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(162906, NULL, 'PTHR24012:SF821', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 6', NULL, NULL, NULL, 15),
(162907, NULL, 'PTHR43619:SF8', NULL, NULL, NULL, NULL, 'LEUCINE CARBOXYL METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(162908, NULL, 'PTHR47247', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR 2', NULL, NULL, NULL, 15),
(162909, NULL, 'PTHR35042:SF1', NULL, NULL, NULL, NULL, 'ANTHRONE OXYGENASE ENCC', NULL, NULL, NULL, 15),
(162910, NULL, 'PTHR19359:SF89', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE HEME/STEROID BINDING DOMAIN', NULL, NULL, NULL, 15),
(162911, NULL, 'PTHR24205:SF5', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS PROTEIN 3', NULL, NULL, NULL, 15),
(162912, NULL, 'PTHR39555', NULL, NULL, NULL, NULL, 'FIMBRIAL ASSEMBLY PROTEIN PILO-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162913, NULL, 'PTHR11017:SF444', NULL, NULL, NULL, NULL, 'BNAA05G33170D PROTEIN', NULL, NULL, NULL, 15),
(162914, NULL, 'PTHR31153:SF17', NULL, NULL, NULL, NULL, 'OS01G0774500 PROTEIN', NULL, NULL, NULL, 15),
(162915, NULL, 'PTHR37231:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(162916, NULL, 'PTHR10383:SF5', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR 4', NULL, NULL, 22068, 15),
(162917, NULL, 'PTHR19856', NULL, NULL, NULL, NULL, 'WD-REPEATCONTAINING PROTEIN  WDR1', NULL, NULL, NULL, 15),
(162918, NULL, 'PTHR31676:SF157', NULL, NULL, NULL, NULL, 'BNAA09G15320D PROTEIN', NULL, NULL, NULL, 15),
(162919, NULL, 'PTHR11216:SF146', NULL, NULL, NULL, NULL, 'GH06923P', NULL, NULL, NULL, 15),
(162920, NULL, 'PTHR11532:SF63', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE Z', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162921, NULL, 'PTHR33710:SF20', NULL, NULL, NULL, NULL, 'DNASE I-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(162922, NULL, 'PTHR15073:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162923, NULL, 'PTHR10949', NULL, NULL, NULL, NULL, 'LIPOYL SYNTHASE', NULL, NULL, 2427, 15),
(162924, NULL, 'PTHR31736:SF19', NULL, NULL, NULL, NULL, 'PECTIN LYASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162925, NULL, 'PTHR24379:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162926, NULL, 'PTHR10894:SF31', NULL, NULL, NULL, NULL, 'BNAA02G29790D PROTEIN', NULL, NULL, NULL, 15),
(162927, NULL, 'PTHR47976:SF38', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(162928, NULL, 'PTHR45863:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162929, NULL, 'PTHR15478:SF5', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN FAMILY A MEMBER 3', NULL, NULL, NULL, 15),
(162930, NULL, 'PTHR43820', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN LIVF', NULL, NULL, NULL, 15),
(162931, NULL, 'PTHR47992:SF115', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 63-RELATED', NULL, NULL, NULL, 15),
(162932, NULL, 'PTHR33052:SF85', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(162933, NULL, 'PTHR45496:SF6', NULL, NULL, NULL, NULL, 'OS09G0463700 PROTEIN', NULL, NULL, NULL, 15),
(162934, NULL, 'PTHR22811:SF126', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA3-LIKE', NULL, NULL, NULL, 15),
(162935, NULL, 'PTHR23226:SF88', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(162936, NULL, 'PTHR43272:SF40', NULL, NULL, NULL, NULL, 'ACYL COA SYNTHETASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(162937, NULL, 'PTHR11011:SF39', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(162938, NULL, 'PTHR13533:SF30', NULL, NULL, NULL, NULL, 'PROTEIN REDUCED WALL ACETYLATION 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(162939, NULL, 'PTHR36013:SF2', NULL, NULL, NULL, NULL, 'ATP SYNTHASE 24 KDA SUBUNIT, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(162940, NULL, 'PTHR12358:SF93', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162941, NULL, 'PTHR10625:SF210', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, NULL, 15),
(162942, NULL, 'PTHR33494:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162943, NULL, 'PTHR12592:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT (S)-NAD(P)H-HYDRATE DEHYDRATASE', NULL, NULL, NULL, 15),
(162944, NULL, 'PTHR47364:SF16', NULL, NULL, NULL, NULL, 'BNACNNG57870D PROTEIN', NULL, NULL, NULL, 15),
(162945, NULL, 'PTHR10996:SF233', NULL, NULL, NULL, NULL, 'HYDROXYPHENYLPYRUVATE REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(162946, NULL, 'PTHR42160:SF1', NULL, NULL, NULL, NULL, 'URACIL-DNA GLYCOSYLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(162947, NULL, 'PTHR33154:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(162948, NULL, 'PTHR46657:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 128 KDA', NULL, NULL, NULL, 15),
(162949, NULL, 'PTHR10177:SF483', NULL, NULL, NULL, NULL, 'BNAANNG03810D PROTEIN', NULL, NULL, NULL, 15),
(162950, NULL, 'PTHR33057:SF31', NULL, NULL, NULL, NULL, 'OS10G0431700 PROTEIN', NULL, NULL, NULL, 15),
(162951, NULL, 'PTHR10809:SF122', NULL, NULL, NULL, NULL, 'BNAC09G20050D PROTEIN', NULL, NULL, NULL, 15),
(162952, NULL, 'PTHR36140:SF9', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(162953, NULL, 'PTHR10791:SF191', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(162954, NULL, 'PTHR16485:SF3', NULL, NULL, NULL, NULL, 'MICROFIBRILLAR-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(162955, NULL, 'PTHR11588:SF394', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162956, NULL, 'PTHR45659:SF10', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A5', NULL, NULL, NULL, 15),
(162957, NULL, 'PTHR11145:SF24', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(162958, NULL, 'PTHR13392:SF6', NULL, NULL, NULL, NULL, 'ATAXIN-1-LIKE', NULL, NULL, NULL, 15),
(162959, NULL, 'PTHR43512', NULL, NULL, NULL, NULL, 'TRANSLATION FACTOR GUF1-RELATED', NULL, NULL, 4807, 15),
(162960, NULL, 'PTHR48014:SF20', NULL, NULL, NULL, NULL, 'STE20-RELATED KINASE ADAPTER PROTEIN ALPHA', NULL, NULL, NULL, 15),
(162961, NULL, 'PTHR31314:SF106', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS PROTEIN', NULL, NULL, NULL, 15),
(162962, NULL, 'PTHR31286:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162963, NULL, 'PTHR24403:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 646', NULL, NULL, NULL, 15),
(162964, NULL, 'PTHR24070:SF269', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN DI-RAS3', NULL, NULL, NULL, 15),
(162965, NULL, 'PTHR12842:SF6', NULL, NULL, NULL, NULL, 'FI01459P', NULL, NULL, NULL, 15),
(162966, NULL, 'PTHR48019:SF21', NULL, NULL, NULL, NULL, 'APETALA3', NULL, NULL, NULL, 15),
(162967, NULL, 'PTHR45786:SF22', NULL, NULL, NULL, NULL, 'BNAC01G27740D PROTEIN', NULL, NULL, NULL, 15),
(162968, NULL, 'PTHR47991:SF127', NULL, NULL, NULL, NULL, 'PROTEIN DOWNY MILDEW RESISTANCE 6-LIKE', NULL, NULL, NULL, 15),
(162969, NULL, 'PTHR31083:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162970, NULL, 'PTHR42715:SF15', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(162971, NULL, 'PTHR14407:SF9', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 4 PROTEIN', NULL, NULL, NULL, 15),
(162972, NULL, 'PTHR16083:SF28', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 40', NULL, NULL, NULL, 15),
(162973, NULL, 'PTHR31472:SF15', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162974, NULL, 'PTHR18935:SF6', NULL, NULL, NULL, NULL, 'JANUS KINASE AND MICROTUBULE-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(162975, NULL, 'PTHR31917:SF100', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE, ACYL-COA N-ACYLTRANSFERASE, JAS TPL-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(162976, NULL, 'PTHR19359:SF106', NULL, NULL, NULL, NULL, 'B5 ISOFORM 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(162977, NULL, 'PTHR11905:SF238', NULL, NULL, NULL, NULL, 'PROTEIN CBG16757', NULL, NULL, NULL, 15),
(162978, NULL, 'PTHR24381:SF143', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 90 HOMOLOG', NULL, NULL, NULL, 15),
(162979, NULL, 'PTHR13318:SF170', NULL, NULL, NULL, NULL, 'OS04G0371600 PROTEIN', NULL, NULL, NULL, 15),
(162980, NULL, 'PTHR24348:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ULK1', NULL, NULL, NULL, 15),
(162981, NULL, 'PTHR12181:SF12', NULL, NULL, NULL, NULL, 'GH19076P', NULL, NULL, NULL, 15),
(162982, NULL, 'PTHR11954:SF21', NULL, NULL, NULL, NULL, 'D-DOPACHROME TAUTOMERASE', NULL, NULL, NULL, 15),
(162983, NULL, 'PTHR42995', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162984, NULL, 'PTHR11716:SF92', NULL, NULL, NULL, NULL, 'BNAA09G09940D PROTEIN', NULL, NULL, NULL, 15),
(162985, NULL, 'PTHR23421:SF67', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 10', NULL, NULL, NULL, 15),
(162986, NULL, 'PTHR32258:SF30', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1A', NULL, NULL, NULL, 15),
(162987, NULL, 'PTHR13140:SF255', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IC', NULL, NULL, NULL, 15),
(162988, NULL, 'PTHR16317:SF1', NULL, NULL, NULL, NULL, 'KICSTOR COMPLEX PROTEIN ITFG2', NULL, NULL, NULL, 15),
(162989, NULL, 'PTHR46553:SF10', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(162990, NULL, 'PTHR22745', NULL, NULL, NULL, NULL, 'PROTHYMOSIN ALPHA', NULL, NULL, 1845, 15),
(162991, NULL, 'PTHR47986:SF8', NULL, NULL, NULL, NULL, 'BNAA06G34540D PROTEIN', NULL, NULL, NULL, 15),
(162992, NULL, 'PTHR34371:SF18', NULL, NULL, NULL, NULL, 'BNAA02G10550D PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(162993, NULL, 'PTHR10509:SF28', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(162994, NULL, 'PTHR48055:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162995, NULL, 'PTHR31884:SF1', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', NULL, NULL, NULL, 15),
(162996, NULL, 'PTHR19847:SF21', NULL, NULL, NULL, NULL, 'LEC14B HOMOLOG', NULL, NULL, NULL, 15),
(162997, NULL, 'PTHR10795:SF566', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.5', NULL, NULL, NULL, 15),
(162998, NULL, 'PTHR33525', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(162999, NULL, 'PTHR13337', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE', NULL, NULL, 4015, 15),
(163000, NULL, 'PTHR22844:SF199', NULL, NULL, NULL, NULL, 'F21J9.19', NULL, NULL, NULL, 15),
(163001, NULL, 'PTHR19965:SF73', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163002, NULL, 'PTHR22956', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN F37A4.4-RELATED-RELATED', NULL, NULL, NULL, 15),
(163003, NULL, 'PTHR31692:SF50', NULL, NULL, NULL, NULL, 'EXPANSIN-B11', NULL, NULL, NULL, 15),
(163004, NULL, 'PTHR31719:SF119', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(163005, NULL, 'PTHR13742:SF30', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-RELATED PROTEIN-LIKE ISOFORM X1', NULL, NULL, 18328, 15),
(163006, NULL, 'PTHR34127:SF1', NULL, NULL, NULL, NULL, 'OS04G0405600 PROTEIN', NULL, NULL, NULL, 15),
(163007, NULL, 'PTHR31713:SF38', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(163008, NULL, 'PTHR45717:SF10', NULL, NULL, NULL, NULL, 'OS10G0501200 PROTEIN', NULL, NULL, NULL, 15),
(163009, NULL, 'PTHR31310:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163010, NULL, 'PTHR35324:SF4', NULL, NULL, NULL, NULL, 'BNAA08G03750D PROTEIN', NULL, NULL, NULL, 15),
(163011, NULL, 'PTHR24068:SF380', NULL, NULL, NULL, NULL, 'BNAA05G13430D PROTEIN', NULL, NULL, NULL, 15),
(163012, NULL, 'PTHR31989:SF223', NULL, NULL, NULL, NULL, 'OS01G0378400 PROTEIN', NULL, NULL, NULL, 15),
(163013, NULL, 'PTHR39186:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163014, NULL, 'PTHR16052', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 36274, 15),
(163015, NULL, 'PTHR31339:SF49', NULL, NULL, NULL, NULL, 'BNAC06G13740D PROTEIN', NULL, NULL, NULL, 15),
(163016, NULL, 'PTHR11440:SF86', NULL, NULL, NULL, NULL, 'BNAA09G50730D PROTEIN', NULL, NULL, NULL, 15),
(163017, NULL, 'PTHR35735:SF8', NULL, NULL, NULL, NULL, 'PROTEIN NIM1-INTERACTING 2', NULL, NULL, NULL, 15),
(163018, NULL, 'PTHR46387', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(163019, NULL, 'PTHR31283', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT PCC1 FAMILY MEMBER', NULL, NULL, 7737, 15),
(163020, NULL, 'PTHR12753:SF0', NULL, NULL, NULL, NULL, 'ALPHA N-TERMINAL PROTEIN METHYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(163021, NULL, 'PTHR43795:SF91', NULL, NULL, NULL, NULL, 'BNAANNG22030D PROTEIN', NULL, NULL, NULL, 15),
(163022, NULL, 'PTHR11818:SF116', NULL, NULL, NULL, NULL, 'CRYSTALLIN BETA-GAMMA DOMAIN-CONTAINING 1A', NULL, NULL, NULL, 15),
(163023, NULL, 'PTHR11132:SF446', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163024, NULL, 'PTHR22765:SF42', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 150', NULL, NULL, NULL, 15),
(163025, NULL, 'PTHR33512:SF23', NULL, NULL, NULL, NULL, 'BNAA03G54720D PROTEIN', NULL, NULL, NULL, 15),
(163026, NULL, 'PTHR11871:SF30', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', NULL, NULL, NULL, 15),
(163027, NULL, 'PTHR24379:SF80', NULL, NULL, NULL, NULL, 'MCG125498, ISOFORM CRA_A-RELATED', NULL, NULL, NULL, 15),
(163028, NULL, 'PTHR13603:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 186', NULL, NULL, NULL, 15),
(163029, NULL, 'PTHR22765:SF313', NULL, NULL, NULL, NULL, 'OS02G0798200 PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163030, NULL, 'PTHR11599:SF115', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(163031, NULL, 'PTHR20900:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(163032, NULL, 'PTHR11183:SF154', NULL, NULL, NULL, NULL, 'GLYCOGENIN LIKE', NULL, NULL, NULL, 15),
(163033, NULL, 'PTHR32176:SF5', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(163034, NULL, 'PTHR11668:SF442', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP1 ISOZYME 3', NULL, NULL, NULL, 15),
(163035, NULL, 'PTHR30175:SF1', NULL, NULL, NULL, NULL, 'PTS SYSTEM ARBUTIN-, CELLOBIOSE-, AND SALICIN-SPECIFIC EIIBC COMPONENT-RELATED', NULL, NULL, NULL, 15),
(163036, NULL, 'PTHR20855:SF92', NULL, NULL, NULL, NULL, 'MEMBRANE PROGESTIN RECEPTOR BETA-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(163037, NULL, 'PTHR14063:SF7', NULL, NULL, NULL, NULL, 'PROTEIN LIN-7 HOMOLOG B', NULL, NULL, NULL, 15),
(163038, NULL, 'PTHR18949:SF0', NULL, NULL, NULL, NULL, 'CALDESMON', NULL, NULL, 1455, 15),
(163039, NULL, 'PTHR11250:SF0', NULL, NULL, NULL, NULL, 'TACHYKININ PRECUROSOR', NULL, NULL, NULL, 15),
(163040, NULL, 'PTHR31235:SF315', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(163041, NULL, 'PTHR47370', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(163042, NULL, 'PTHR31009:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163043, NULL, 'PTHR14353:SF8', NULL, NULL, NULL, NULL, 'MARCKS-RELATED PROTEIN', NULL, NULL, NULL, 15),
(163044, NULL, 'PTHR23112:SF12', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 157', NULL, NULL, NULL, 15),
(163045, NULL, 'PTHR47958:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163046, NULL, 'PTHR23334:SF48', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 19', NULL, NULL, NULL, 15),
(163047, NULL, 'PTHR12673:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163048, NULL, 'PTHR37441:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG16517', NULL, NULL, NULL, 15),
(163049, NULL, 'PTHR43153', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN ALPHA', NULL, NULL, 2344, 15),
(163050, NULL, 'PTHR45717:SF33', NULL, NULL, NULL, NULL, 'BNAA09G03740D PROTEIN', NULL, NULL, NULL, 15),
(163051, NULL, 'PTHR28628:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 88', NULL, NULL, 32150, 15),
(163052, NULL, 'PTHR32444:SF75', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', NULL, NULL, NULL, 15),
(163053, NULL, 'PTHR48002:SF73', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(163054, NULL, 'PTHR33505', NULL, NULL, NULL, NULL, 'ZGC:162634', NULL, NULL, NULL, 15),
(163055, NULL, 'PTHR34352:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YHFA', NULL, NULL, NULL, 15),
(163056, NULL, 'PTHR12357:SF99', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING PROTEIN ECT2-RELATED', NULL, NULL, NULL, 15),
(163057, NULL, 'PTHR43888:SF34', NULL, NULL, NULL, NULL, 'BNAC09G36560D PROTEIN', NULL, NULL, NULL, 15),
(163058, NULL, 'PTHR13937:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG08600', NULL, NULL, NULL, 15),
(163059, NULL, 'PTHR31969:SF50', NULL, NULL, NULL, NULL, 'BNAA04G12930D PROTEIN', NULL, NULL, NULL, 15),
(163060, NULL, 'PTHR13690:SF79', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(163061, NULL, 'PTHR43899:SF14', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN 3-OXOACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(163062, NULL, 'PTHR36586:SF22', NULL, NULL, NULL, NULL, 'EXTENSIN-3-LIKE', NULL, NULL, NULL, 15),
(163063, NULL, 'PTHR11977:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163064, NULL, 'PTHR31741:SF44', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(163065, NULL, 'PTHR48205:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163066, NULL, 'PTHR35750:SF2', NULL, NULL, NULL, NULL, 'BNAANNG36270D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163067, NULL, 'PTHR31529:SF47', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 31', NULL, NULL, NULL, 15),
(163068, NULL, 'PTHR13929:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163069, NULL, 'PTHR13675:SF0', NULL, NULL, NULL, NULL, 'LYR MOTIF-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(163070, NULL, 'PTHR46362', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 5', NULL, NULL, NULL, 15),
(163071, NULL, 'PTHR46050:SF16', NULL, NULL, NULL, NULL, 'BNAA01G24400D PROTEIN', NULL, NULL, NULL, 15),
(163072, NULL, 'PTHR37419:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TOXIN HIPA', NULL, NULL, NULL, 15),
(163073, NULL, 'PTHR14499:SF118', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(163074, NULL, 'PTHR45868:SF34', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(163075, NULL, 'PTHR47985:SF30', NULL, NULL, NULL, NULL, 'BNAC01G29960D PROTEIN', NULL, NULL, NULL, 15),
(163076, NULL, 'PTHR45967:SF28', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER (BZIP) TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(163077, NULL, 'PTHR31050:SF11', NULL, NULL, NULL, NULL, 'F13B4.1 PROTEIN', NULL, NULL, NULL, 15),
(163078, NULL, 'PTHR23147:SF151', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 2 ISOFORM X1', NULL, NULL, NULL, 15),
(163079, NULL, 'PTHR35830:SF1', NULL, NULL, NULL, NULL, 'OS05G0299200 PROTEIN', NULL, NULL, NULL, 15),
(163080, NULL, 'PTHR11461:SF165', NULL, NULL, NULL, NULL, 'ALPHA-1-ANTITRYPSIN', NULL, NULL, NULL, 15),
(163081, NULL, 'PTHR24133:SF40', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX-CONTAINING 3', NULL, NULL, NULL, 15),
(163082, NULL, 'PTHR21290:SF34', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:CERAMIDE CHOLINEPHOSPHOTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(163083, NULL, 'PTHR10209:SF664', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE, NON-HEME DIOXYGENASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163084, NULL, 'PTHR24078:SF550', NULL, NULL, NULL, NULL, 'BNAANNG28460D PROTEIN', NULL, NULL, NULL, 15),
(163085, NULL, 'PTHR33861:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163086, NULL, 'PTHR10182:SF22', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN', NULL, NULL, NULL, 15),
(163087, NULL, 'PTHR27000:SF558', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IRK-RELATED', NULL, NULL, NULL, 15),
(163088, NULL, 'PTHR47488:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(163089, NULL, 'PTHR38753', NULL, NULL, NULL, NULL, 'SLR1441 PROTEIN', NULL, NULL, NULL, 15),
(163090, NULL, 'PTHR46352:SF11', NULL, NULL, NULL, NULL, 'PROTEIN SENSITIVE TO PROTON RHIZOTOXICITY 2', NULL, NULL, NULL, 15),
(163091, NULL, 'PTHR32018:SF15', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-RELATED', NULL, NULL, NULL, 15),
(163092, NULL, 'PTHR21301:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163093, NULL, 'PTHR10114:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', NULL, NULL, NULL, 15),
(163094, NULL, 'PTHR23122', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED GUANYLATE KINASE  MAGUK', NULL, NULL, NULL, 15),
(163095, NULL, 'PTHR42734:SF7', NULL, NULL, NULL, NULL, 'MANGANESE TRANSPORT SYSTEM ATP-BINDING PROTEIN MNTA', NULL, NULL, NULL, 15),
(163096, NULL, 'PTHR31692:SF12', NULL, NULL, NULL, NULL, 'EXPANSIN-B6', NULL, NULL, NULL, 15),
(163097, NULL, 'PTHR23167:SF45', NULL, NULL, NULL, NULL, 'SMOOTHELIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(163098, NULL, 'PTHR11742:SF45', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE ALPHA-1,2-MANNOSIDASE 1B', NULL, NULL, NULL, 15),
(163099, NULL, 'PTHR11615:SF305', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163100, NULL, 'PTHR35496', NULL, NULL, NULL, NULL, '2S SEED STORAGE PROTEIN 1-RELATED', NULL, NULL, 5962, 15),
(163101, NULL, 'PTHR30328', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163102, NULL, 'PTHR39683:SF4', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN TB16.3', NULL, NULL, NULL, 15),
(163103, NULL, 'PTHR11071:SF328', NULL, NULL, NULL, NULL, 'MOCA-CYP, ISOFORM A', NULL, NULL, NULL, 15),
(163104, NULL, 'PTHR43650:SF23', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA 2', NULL, NULL, NULL, 15),
(163105, NULL, 'PTHR37024', NULL, NULL, NULL, NULL, 'TYPE VI SECRETION SYSTEM DUF2094 AND IMPA-RELATED DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(163106, NULL, 'PTHR46614', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(163107, NULL, 'PTHR24223:SF411', NULL, NULL, NULL, NULL, 'NHPM BACTERIOCIN SYSTEM ABC TRANSPORTER, PEPTIDASE/ATP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163108, NULL, 'PTHR27000:SF484', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1-RELATED', NULL, NULL, NULL, 15),
(163109, NULL, 'PTHR28206:SF1', NULL, NULL, NULL, NULL, 'NUCLEOPORIN POM152', NULL, NULL, NULL, 15),
(163110, NULL, 'PTHR33074:SF82', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(163111, NULL, 'PTHR28051:SF2', NULL, NULL, NULL, NULL, 'ADR205CP', NULL, NULL, NULL, 15),
(163112, NULL, 'PTHR13748:SF60', NULL, NULL, NULL, NULL, 'BNAA06G10350D PROTEIN', NULL, NULL, NULL, 15),
(163113, NULL, 'PTHR11017:SF394', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163114, NULL, 'PTHR12399:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT D', NULL, NULL, NULL, 15),
(163115, NULL, 'PTHR41328', NULL, NULL, NULL, NULL, 'TERMINASE SMALL SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(163116, NULL, 'PTHR43129', NULL, NULL, NULL, NULL, 'FOSMIDOMYCIN RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(163117, NULL, 'PTHR24078:SF529', NULL, NULL, NULL, NULL, 'HEAT-SHOCK PROTEIN DNAJ', NULL, NULL, NULL, 15),
(163118, NULL, 'PTHR45666:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163119, NULL, 'PTHR37422:SF11', NULL, NULL, NULL, NULL, 'O-ANTIGEN LIGASE', NULL, NULL, NULL, 15),
(163120, NULL, 'PTHR31495:SF37', NULL, NULL, NULL, NULL, 'CALEOSIN-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163121, NULL, 'PTHR28094', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 113 PROTEIN', NULL, NULL, NULL, 15),
(163122, NULL, 'PTHR15031:SF0', NULL, NULL, NULL, NULL, 'CARTILAGE INTERMEDIATE LAYER PROTEIN 2', NULL, NULL, NULL, 15),
(163123, NULL, 'PTHR21255:SF2', NULL, NULL, NULL, NULL, 'LIGHT CHAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(163124, NULL, 'PTHR10353:SF170', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 44-LIKE', NULL, NULL, NULL, 15),
(163125, NULL, 'PTHR33021:SF363', NULL, NULL, NULL, NULL, 'MAVICYANIN-LIKE', NULL, NULL, NULL, 15),
(163126, NULL, 'PTHR38936', NULL, NULL, NULL, NULL, 'TITIN-LIKE ISOFORM X2', NULL, NULL, NULL, 15),
(163127, NULL, 'PTHR30126:SF83', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(163128, NULL, 'PTHR24298:SF563', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 76C3', NULL, NULL, NULL, 15),
(163129, NULL, 'PTHR21353:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163130, NULL, 'PTHR31512:SF1', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC049762', NULL, NULL, NULL, 15),
(163131, NULL, 'PTHR36724', NULL, NULL, NULL, NULL, 'COMPLEX 1 LYR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163132, NULL, 'PTHR16083:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 27', NULL, NULL, NULL, 15),
(163133, NULL, 'PTHR11716:SF52', NULL, NULL, NULL, NULL, 'OS11G0546600 PROTEIN', NULL, NULL, NULL, 15),
(163134, NULL, 'PTHR32510:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163135, NULL, 'PTHR31807:SF45', NULL, NULL, NULL, NULL, 'BNAA04G25600D PROTEIN', NULL, NULL, NULL, 15),
(163136, NULL, 'PTHR13793:SF135', NULL, NULL, NULL, NULL, 'OS01G0179500 PROTEIN', NULL, NULL, NULL, 15),
(163137, NULL, 'PTHR31828:SF32', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163138, NULL, 'PTHR24064:SF413', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-4-RELATED', NULL, NULL, NULL, 15),
(163139, NULL, 'PTHR43052', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163140, NULL, 'PTHR31901:SF40', NULL, NULL, NULL, NULL, 'JASMONIC ACID-AMIDO SYNTHETASE JAR1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(163141, NULL, 'PTHR35115:SF4', NULL, NULL, NULL, NULL, 'PROTEIN IN CHLOROPLAST ATPASE BIOGENESIS, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(163142, NULL, 'PTHR31142:SF34', NULL, NULL, NULL, NULL, 'OS03G0565600 PROTEIN', NULL, NULL, NULL, 15),
(163143, NULL, 'PTHR37686:SF1', NULL, NULL, NULL, NULL, 'LD36006P', NULL, NULL, NULL, 15),
(163144, NULL, 'PTHR30546:SF25', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(163145, NULL, 'PTHR13748:SF62', NULL, NULL, NULL, NULL, 'COBW DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G07990)', NULL, NULL, NULL, 15),
(163146, NULL, 'PTHR23022:SF106', NULL, NULL, NULL, NULL, 'TRANSPOSABLE ELEMENT TC1 TRANSPOSASE', NULL, NULL, NULL, 15),
(163147, NULL, 'PTHR11362:SF7', NULL, NULL, NULL, NULL, 'AGAP003580-PA', NULL, NULL, NULL, 15),
(163148, NULL, 'PTHR19863:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 47', NULL, NULL, NULL, 15),
(163149, NULL, 'PTHR24006:SF667', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 29', NULL, NULL, 32535, 15),
(163150, NULL, 'PTHR21257:SF53', NULL, NULL, NULL, NULL, '7-DEHYDROCHOLESTEROL REDUCTASE', NULL, NULL, NULL, 15),
(163151, NULL, 'PTHR10443:SF37', NULL, NULL, NULL, NULL, 'DIPEPTIDASE', NULL, NULL, NULL, 15),
(163152, NULL, 'PTHR34206:SF8', NULL, NULL, NULL, NULL, 'OS10G0390701 PROTEIN', NULL, NULL, NULL, 15),
(163153, NULL, 'PTHR47985:SF8', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE LIP2', NULL, NULL, NULL, 15),
(163154, NULL, 'PTHR15711:SF7', NULL, NULL, NULL, NULL, 'SIGNAL-INDUCED PROLIFERATION-ASSOCIATED 1-LIKE PROTEIN 2', NULL, NULL, 24972, 15),
(163155, NULL, 'PTHR34222:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163156, NULL, 'PTHR31517:SF46', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(163157, NULL, 'PTHR45995:SF5', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(163158, NULL, 'PTHR10658:SF38', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 4', NULL, NULL, NULL, 15),
(163159, NULL, 'PTHR42861:SF29', NULL, NULL, NULL, NULL, 'SECRETORY PATHWAY CALCIUM ATPASE, ISOFORM G', NULL, NULL, NULL, 15),
(163160, NULL, 'PTHR13333:SF5', NULL, NULL, NULL, NULL, 'M-AAA PROTEASE-INTERACTING PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(163161, NULL, 'PTHR12166', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT SECRETION ACTIVATOR', NULL, NULL, 35375, 15),
(163162, NULL, 'PTHR48104:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163163, NULL, 'PTHR10972:SF159', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(163164, NULL, 'PTHR27007:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163165, NULL, 'PTHR42758:SF1', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE D GDPD1', NULL, NULL, NULL, 15),
(163166, NULL, 'PTHR47988:SF2', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 3', NULL, NULL, NULL, 15),
(163167, NULL, 'PTHR45980:SF15', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 2, CHLOROPLASTIC ISOFORM X1', NULL, NULL, NULL, 15),
(163168, NULL, 'PTHR33650', NULL, NULL, NULL, NULL, 'CHLOROPLAST ENVELOPE MEMBRANE PROTEIN-RELATED', NULL, NULL, 4627, 15),
(163169, NULL, 'PTHR14696:SF2', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 6 PROTEIN', NULL, NULL, NULL, 15),
(163170, NULL, 'PTHR31457:SF2', NULL, NULL, NULL, NULL, 'METHYLMALONIC ACIDURIA AND HOMOCYSTINURIA TYPE C PROTEIN', NULL, NULL, NULL, 15),
(163171, NULL, 'PTHR33648:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163172, NULL, 'PTHR11064:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163173, NULL, 'PTHR10127:SF815', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-9', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163174, NULL, 'PTHR48215:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163175, NULL, 'PTHR46560:SF8', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(163176, NULL, 'PTHR10590:SF20', NULL, NULL, NULL, NULL, 'SODIUM/NUCLEOSIDE COTRANSPORTER', NULL, NULL, 27848, 15),
(163177, NULL, 'PTHR46328:SF12', NULL, NULL, NULL, NULL, 'FAR-RED IMPAIRED RESPONSE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163178, NULL, 'PTHR45621:SF166', NULL, NULL, NULL, NULL, 'GPCR KINASE, CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163179, NULL, 'PTHR22883:SF334', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC11-RELATED', NULL, NULL, NULL, 15),
(163180, NULL, 'PTHR23113:SF217', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR 2', NULL, NULL, 26879, 15),
(163181, NULL, 'PTHR23122:SF44', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PALMITOYLATED 6A (MAGUK P55 SUBFAMILY MEMBER 6)', NULL, NULL, NULL, 15),
(163182, NULL, 'PTHR45752:SF16', NULL, NULL, NULL, NULL, 'OS01G0937400 PROTEIN', NULL, NULL, NULL, 15),
(163183, NULL, 'PTHR31086:SF58', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 6', NULL, NULL, NULL, 15),
(163184, NULL, 'PTHR23267:SF439', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163185, NULL, 'PTHR34005:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG08730', NULL, NULL, NULL, 15),
(163186, NULL, 'PTHR43758', NULL, NULL, NULL, NULL, '7,8-DIHYDRO-8-OXOGUANINE TRIPHOSPHATASE', NULL, NULL, NULL, 15),
(163187, NULL, 'PTHR31651:SF20', NULL, NULL, NULL, NULL, 'EFFLUX CARRIER FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(163188, NULL, 'PTHR16866', NULL, NULL, NULL, NULL, 'GASTRIN-RELEASING PEPTIDE', NULL, NULL, 143, 15),
(163189, NULL, 'PTHR19876:SF23', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''-3', NULL, NULL, NULL, 15),
(163190, NULL, 'PTHR15175', NULL, NULL, NULL, NULL, 'NEUTROPHIL CYTOSOLIC FACTOR 2, NEUTROPHIL NADPH OXIDASE FACTOR 2', NULL, NULL, NULL, 15),
(163191, NULL, 'PTHR11486:SF146', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', NULL, NULL, NULL, 15),
(163192, NULL, 'PTHR19139:SF277', NULL, NULL, NULL, NULL, 'AQUAPORIN-0B', NULL, NULL, NULL, 15),
(163193, NULL, 'PTHR31674:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163194, NULL, 'PTHR31707:SF213', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 32-RELATED', NULL, NULL, NULL, 15),
(163195, NULL, 'PTHR35763', NULL, NULL, NULL, NULL, 'COMPLEX 1 LYR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163196, NULL, 'PTHR14057:SF46', NULL, NULL, NULL, NULL, 'ONE CUT DOMAIN FAMILY MEMBER', NULL, NULL, NULL, 15),
(163197, NULL, 'PTHR40036:SF1', NULL, NULL, NULL, NULL, 'MACROCIN O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(163198, NULL, 'PTHR24559:SF338', NULL, NULL, NULL, NULL, 'TRANSPOSON TF2-9 POLYPROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163199, NULL, 'PTHR45974:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163200, NULL, 'PTHR34545:SF8', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER', NULL, NULL, NULL, 15),
(163201, NULL, 'PTHR48043:SF66', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(163202, NULL, 'PTHR15271', NULL, NULL, NULL, NULL, 'CHROMATIN ASSEMBLY FACTOR 1 SUBUNIT B', NULL, NULL, 39040, 15),
(163203, NULL, 'PTHR10155:SF23', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALLING 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163204, NULL, 'PTHR43452', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE', NULL, NULL, 13223, 15),
(163205, NULL, 'PTHR45560', NULL, NULL, NULL, NULL, 'OS04G0163150 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163206, NULL, 'PTHR33513:SF27', NULL, NULL, NULL, NULL, 'OS06G0523300 PROTEIN', NULL, NULL, NULL, 15),
(163207, NULL, 'PTHR21470:SF20', NULL, NULL, NULL, NULL, 'BNAA04G16000D PROTEIN', NULL, NULL, NULL, 15),
(163208, NULL, 'PTHR31639:SF50', NULL, NULL, NULL, NULL, 'OS10G0384600 PROTEIN', NULL, NULL, NULL, 15),
(163209, NULL, 'PTHR31836:SF21', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163210, NULL, 'PTHR13068:SF168', NULL, NULL, NULL, NULL, 'MITOCHODRIAL TRANSCRIPTION TERMINATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(163211, NULL, 'PTHR31852:SF33', NULL, NULL, NULL, NULL, 'OS05G0584300 PROTEIN', NULL, NULL, NULL, 15),
(163212, NULL, 'PTHR44196', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7B', NULL, NULL, NULL, 15),
(163213, NULL, 'PTHR22870:SF369', NULL, NULL, NULL, NULL, 'CHROMATIN REGULATOR PHD FAMILY-RELATED', NULL, NULL, NULL, 15),
(163214, NULL, 'PTHR21646:SF5', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', NULL, NULL, NULL, 15),
(163215, NULL, 'PTHR31790:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163216, NULL, 'PTHR36424', NULL, NULL, NULL, NULL, 'PHEROMONE-REGULATED MEMBRANE PROTEIN 6', NULL, NULL, 27167, 15),
(163217, NULL, 'PTHR48001:SF148', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1J1', NULL, NULL, NULL, 15),
(163218, NULL, 'PTHR47618:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL OLIGORIBONUCLEASE AND PAP PHOSPHATASE NRNA', NULL, NULL, NULL, 15),
(163219, NULL, 'PTHR43637:SF2', NULL, NULL, NULL, NULL, 'PROTEIN GVPD 1', NULL, NULL, NULL, 15),
(163220, NULL, 'PTHR10869:SF193', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 5', NULL, NULL, NULL, 15),
(163221, NULL, 'PTHR23420:SF16', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE 2', NULL, NULL, NULL, 15),
(163222, NULL, 'PTHR31471:SF2', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(163223, NULL, 'PTHR24055:SF351', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 12', NULL, NULL, NULL, 15),
(163224, NULL, 'PTHR46056:SF2', NULL, NULL, NULL, NULL, 'OS10G0475100 PROTEIN', NULL, NULL, NULL, 15),
(163225, NULL, 'PTHR34195:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT PSAK, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(163226, NULL, 'PTHR45631:SF33', NULL, NULL, NULL, NULL, 'BNAC03G63900D PROTEIN', NULL, NULL, NULL, 15),
(163227, NULL, 'PTHR12447:SF7', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(163228, NULL, 'PTHR46537:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1A-RELATED', NULL, NULL, NULL, 15),
(163229, NULL, 'PTHR13019', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 13463, 15),
(163230, NULL, 'PTHR11638:SF163', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPB', NULL, NULL, NULL, 15),
(163231, NULL, 'PTHR22870:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163232, NULL, 'PTHR16266', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 9', NULL, NULL, NULL, 15),
(163233, NULL, 'PTHR10410:SF32', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT H', NULL, NULL, NULL, 15),
(163234, NULL, 'PTHR26312:SF179', NULL, NULL, NULL, NULL, 'REPEAT-LIKE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(163235, NULL, 'PTHR32212:SF311', NULL, NULL, NULL, NULL, 'BNAA02G08690D PROTEIN', NULL, NULL, NULL, 15),
(163236, NULL, 'PTHR43861:SF1', NULL, NULL, NULL, NULL, 'TRANS-ACONITATE 2-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(163237, NULL, 'PTHR26452:SF222', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6B2-RELATED', NULL, NULL, NULL, 15),
(163238, NULL, 'PTHR34306', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163239, NULL, 'PTHR43795:SF33', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(163240, NULL, 'PTHR47444', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(163241, NULL, 'PTHR34606:SF12', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(163242, NULL, 'PTHR12479:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163243, NULL, 'PTHR10722:SF18', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', NULL, NULL, NULL, 15),
(163244, NULL, 'PTHR47765:SF2', NULL, NULL, NULL, NULL, '3''-5'' EXONUCLEASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(163245, NULL, 'PTHR24323:SF3', NULL, NULL, NULL, NULL, 'VISUAL SYSTEM HOMEOBOX 1', NULL, NULL, NULL, 15),
(163246, NULL, 'PTHR31384:SF112', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 15', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163247, NULL, 'PTHR40083', NULL, NULL, NULL, NULL, 'UPF0122 PROTEIN CBO2450/CLC_2298', NULL, NULL, 3714, 15),
(163248, NULL, 'PTHR46547:SF14', NULL, NULL, NULL, NULL, 'BNAC03G23550D PROTEIN', NULL, NULL, NULL, 15),
(163249, NULL, 'PTHR27003', NULL, NULL, NULL, NULL, 'OS07G0166700 PROTEIN', NULL, NULL, 37274, 15),
(163250, NULL, 'PTHR24300:SF88', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 518A1-RELATED', NULL, NULL, NULL, 15),
(163251, NULL, 'PTHR11003:SF301', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(163252, NULL, 'PTHR16036:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND ZINC FINGER DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(163253, NULL, 'PTHR10844:SF28', NULL, NULL, NULL, NULL, 'CAVEOLIN', NULL, NULL, NULL, 15),
(163254, NULL, 'PTHR31989:SF205', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 17', NULL, NULL, NULL, 15),
(163255, NULL, 'PTHR31674:SF66', NULL, NULL, NULL, NULL, 'BNAA04G14550D PROTEIN', NULL, NULL, NULL, 15),
(163256, NULL, 'PTHR33727:SF16', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF3317)-RELATED', NULL, NULL, NULL, 15),
(163257, NULL, 'PTHR31988:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163258, NULL, 'PTHR34793', NULL, NULL, NULL, NULL, 'PROTEIN THYLAKOID FORMATION 1, CHLOROPLASTIC', NULL, NULL, 21156, 15),
(163259, NULL, 'PTHR13062:SF9', NULL, NULL, NULL, NULL, 'MICROBIAL COLLAGENASE', NULL, NULL, NULL, 15),
(163260, NULL, 'PTHR12121:SF83', NULL, NULL, NULL, NULL, 'CARBON CATABOLITE REPRESSOR PROTEIN 4 HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(163261, NULL, 'PTHR12027:SF72', NULL, NULL, NULL, NULL, 'PROTEIN WNT-6', NULL, NULL, NULL, 15),
(163262, NULL, 'PTHR10658:SF55', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 1', NULL, NULL, NULL, 15),
(163263, NULL, 'PTHR46486', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163264, NULL, 'PTHR11426:SF209', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE 4', NULL, NULL, NULL, 15),
(163265, NULL, 'PTHR11732:SF206', NULL, NULL, NULL, NULL, 'REDUCTASE (AKR), PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14270)-RELATED', NULL, NULL, NULL, 15),
(163266, NULL, 'PTHR36917:SF1', NULL, NULL, NULL, NULL, 'INTRACELLULAR SEPTATION PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(163267, NULL, 'PTHR11454', NULL, NULL, NULL, NULL, 'INSULIN/INSULIN GROWTH FACTOR', NULL, NULL, 4412, 15),
(163268, NULL, 'PTHR24377:SF818', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 34', NULL, NULL, NULL, 15),
(163269, NULL, 'PTHR33191:SF48', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(163270, NULL, 'PTHR31636:SF2', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 18', NULL, NULL, 22792, 15),
(163271, NULL, 'PTHR24064:SF565', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER 13', NULL, NULL, NULL, 15),
(163272, NULL, 'PTHR31739:SF31', NULL, NULL, NULL, NULL, 'ENT-COPALYL DIPHOSPHATE SYNTHASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(163273, NULL, 'PTHR46258', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38185, 15),
(163274, NULL, 'PTHR22793', NULL, NULL, NULL, NULL, 'MYOCARDIN-RELATED TRANSCRIPTION FACTOR-RELATED', NULL, NULL, 36704, 15),
(163275, NULL, 'PTHR10426:SF88', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 4-RELATED', NULL, NULL, NULL, 15),
(163276, NULL, 'PTHR31235:SF259', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(163277, NULL, 'PTHR30345:SF6', NULL, NULL, NULL, NULL, 'RIBOSE 5-PHOSPHATE ISOMERASE-RELATED', NULL, NULL, NULL, 15),
(163278, NULL, 'PTHR11176:SF37', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163279, NULL, 'PTHR30540:SF79', NULL, NULL, NULL, NULL, 'LOW AFFINITY POTASSIUM TRANSPORT SYSTEM PROTEIN KUP', NULL, NULL, NULL, 15),
(163280, NULL, 'PTHR31458:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163281, NULL, 'PTHR12286', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(163282, NULL, 'PTHR23076:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163283, NULL, 'PTHR11736:SF153', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 10', NULL, NULL, 24978, 15),
(163284, NULL, 'PTHR48018:SF172', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8G3 PSEUDOGENE-RELATED', NULL, NULL, NULL, 15),
(163285, NULL, 'PTHR10994:SF168', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B15', NULL, NULL, NULL, 15),
(163286, NULL, 'PTHR24390:SF92', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN SNAI1', NULL, NULL, NULL, 15),
(163287, NULL, 'PTHR11831:SF35', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(163288, NULL, 'PTHR13886:SF4', NULL, NULL, NULL, NULL, 'JNK-INTERACTING PROTEIN 3', NULL, NULL, NULL, 15),
(163289, NULL, 'PTHR34618', NULL, NULL, NULL, NULL, 'SURFACE PROTEIN MAS1, PUTATIVE-RELATED', NULL, NULL, 18940, 15),
(163290, NULL, 'PTHR22923:SF96', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(163291, NULL, 'PTHR33377:SF64', NULL, NULL, NULL, NULL, 'OS05G0533400 PROTEIN', NULL, NULL, NULL, 15),
(163292, NULL, 'PTHR10108:SF1127', NULL, NULL, NULL, NULL, 'PMT16, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(163293, NULL, 'PTHR22975:SF19', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(163294, NULL, 'PTHR31105:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163295, NULL, 'PTHR15241:SF322', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1', NULL, NULL, NULL, 15),
(163296, NULL, 'PTHR42756:SF1', NULL, NULL, NULL, NULL, 'MARR FAMILY REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(163297, NULL, 'PTHR14454:SF11', NULL, NULL, NULL, NULL, 'SERRANO, ISOFORM F', NULL, NULL, NULL, 15),
(163298, NULL, 'PTHR45620:SF17', NULL, NULL, NULL, NULL, 'SECRETIN/CLASS B GPCR', NULL, NULL, NULL, 15),
(163299, NULL, 'PTHR11711:SF371', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR B1C', NULL, NULL, NULL, 15),
(163300, NULL, 'PTHR34671:SF11', NULL, NULL, NULL, NULL, 'EM-LIKE PROTEIN GEA1', NULL, NULL, NULL, 15),
(163301, NULL, 'PTHR47968:SF25', NULL, NULL, NULL, NULL, 'KINESIN-RELATED PROTEIN 11', NULL, NULL, NULL, 15),
(163302, NULL, 'PTHR24223:SF173', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY C MEMBER 9', NULL, NULL, 6135, 15),
(163303, NULL, 'PTHR31235:SF181', NULL, NULL, NULL, NULL, 'PEROXIDASE 64', NULL, NULL, NULL, 15),
(163304, NULL, 'PTHR39473:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163305, NULL, 'PTHR21319:SF52', NULL, NULL, NULL, NULL, 'BNAC09G39170D PROTEIN', NULL, NULL, NULL, 15),
(163306, NULL, 'PTHR35119:SF1', NULL, NULL, NULL, NULL, 'PROTEIN POLYCHOME', NULL, NULL, NULL, 15),
(163307, NULL, 'PTHR31775:SF34', NULL, NULL, NULL, NULL, 'REMORIN-RELATED', NULL, NULL, NULL, 15),
(163308, NULL, 'PTHR12483:SF79', NULL, NULL, NULL, NULL, 'CTR COPPER TRANSPORTER', NULL, NULL, NULL, 15),
(163309, NULL, 'PTHR31374:SF275', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR32-LIKE', NULL, NULL, NULL, 15),
(163310, NULL, 'PTHR40141:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163311, NULL, 'PTHR23500:SF533', NULL, NULL, NULL, NULL, 'OS07G0582400 PROTEIN', NULL, NULL, NULL, 15),
(163312, NULL, 'PTHR23322:SF64', NULL, NULL, NULL, NULL, 'OS02G0640700 PROTEIN', NULL, NULL, NULL, 15),
(163313, NULL, 'PTHR37368:SF1', NULL, NULL, NULL, NULL, 'TSSK6-ACTIVATING CO-CHAPERONE PROTEIN', NULL, NULL, NULL, 15),
(163314, NULL, 'PTHR37232:SF2', NULL, NULL, NULL, NULL, 'FASCICLIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(163315, NULL, 'PTHR33998:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163316, NULL, 'PTHR10775:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163317, NULL, 'PTHR11132:SF362', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE/PHOSPHATE-TRANSLOCATOR-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(163318, NULL, 'PTHR31720:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS Z', NULL, NULL, NULL, 15),
(163319, NULL, 'PTHR12706:SF5', NULL, NULL, NULL, NULL, 'PROTEIN STRAWBERRY NOTCH HOMOLOG 2', NULL, NULL, 24176, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163320, NULL, 'PTHR24349:SF447', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 2-LIKE', NULL, NULL, NULL, 15),
(163321, NULL, 'PTHR47958:SF35', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: DEAD-BOX ATP-DEPENDENT RNA HELICASE 42-LIKE', NULL, NULL, NULL, 15),
(163322, NULL, 'PTHR47447:SF6', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT SMR4', NULL, NULL, NULL, 15),
(163323, NULL, 'PTHR43433:SF8', NULL, NULL, NULL, NULL, 'BLL8011 PROTEIN', NULL, NULL, NULL, 15),
(163324, NULL, 'PTHR31218:SF296', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(163325, NULL, 'PTHR14983:SF1', NULL, NULL, NULL, NULL, 'CILIOGENESIS AND PLANAR POLARITY EFFECTOR 2', NULL, NULL, NULL, 15),
(163326, NULL, 'PTHR48100:SF25', NULL, NULL, NULL, NULL, 'PE-PGRS FAMILY PROTEIN PE_PGRS11', NULL, NULL, NULL, 15),
(163327, NULL, 'PTHR31621:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163328, NULL, 'PTHR45614:SF72', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB25', NULL, NULL, NULL, 15),
(163329, NULL, 'PTHR24281:SF176', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163330, NULL, 'PTHR31213:SF70', NULL, NULL, NULL, NULL, 'MAJOR ALLERGEN PRU AR 1-LIKE', NULL, NULL, NULL, 15),
(163331, NULL, 'PTHR10579:SF54', NULL, NULL, NULL, NULL, 'OS03G0142500 PROTEIN', NULL, NULL, NULL, 15),
(163332, NULL, 'PTHR48201:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163333, NULL, 'PTHR28242:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163334, NULL, 'PTHR23051:SF12', NULL, NULL, NULL, NULL, 'OSJNBA0070O11.5 PROTEIN', NULL, NULL, NULL, 15),
(163335, NULL, 'PTHR42854:SF9', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 3', NULL, NULL, NULL, 15),
(163336, NULL, 'PTHR24198', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND PROTEIN KINASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(163337, NULL, 'PTHR31683:SF124', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(163338, NULL, 'PTHR31009:SF75', NULL, NULL, NULL, NULL, 'CARBOXYL METHYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(163339, NULL, 'PTHR24128:SF71', NULL, NULL, NULL, NULL, 'BNAA04G16730D PROTEIN', NULL, NULL, NULL, 15),
(163340, NULL, 'PTHR43380:SF11', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT ALPHA 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(163341, NULL, 'PTHR31852:SF55', NULL, NULL, NULL, NULL, 'OS09G0435400 PROTEIN', NULL, NULL, NULL, 15),
(163342, NULL, 'PTHR33064:SF28', NULL, NULL, NULL, NULL, 'POL PROTEIN', NULL, NULL, NULL, 15),
(163343, NULL, 'PTHR31374', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN-LIKE-RELATED', NULL, NULL, 6087, 15),
(163344, NULL, 'PTHR27005:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163345, NULL, 'PTHR25462:SF283', NULL, NULL, NULL, NULL, 'MCG1377', NULL, NULL, NULL, 15),
(163346, NULL, 'PTHR38355', NULL, NULL, NULL, NULL, 'OS06G0149500 PROTEIN', NULL, NULL, NULL, 15),
(163347, NULL, 'PTHR15744:SF1', NULL, NULL, NULL, NULL, 'KH HOMOLOGY DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(163348, NULL, 'PTHR31674:SF60', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM8-LIKE', NULL, NULL, NULL, 15),
(163349, NULL, 'PTHR48043:SF18', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(163350, NULL, 'PTHR11802:SF259', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE 3', NULL, NULL, NULL, 15),
(163351, NULL, 'PTHR23322:SF83', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(163352, NULL, 'PTHR33737:SF11', NULL, NULL, NULL, NULL, 'BNAA10G12980D PROTEIN', NULL, NULL, NULL, 15),
(163353, NULL, 'PTHR45915:SF7', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 66', NULL, NULL, 29606, 15),
(163354, NULL, 'PTHR24320:SF169', NULL, NULL, NULL, NULL, 'AT09608P', NULL, NULL, NULL, 15),
(163355, NULL, 'PTHR11523:SF12', NULL, NULL, NULL, NULL, 'PROTEIN ATP1B4', NULL, NULL, NULL, 15),
(163356, NULL, 'PTHR21052:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163357, NULL, 'PTHR43652:SF1', NULL, NULL, NULL, NULL, 'CATION TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(163358, NULL, 'PTHR48169:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163359, NULL, 'PTHR24056:SF470', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE D-2', NULL, NULL, NULL, 15),
(163360, NULL, 'PTHR33186:SF20', NULL, NULL, NULL, NULL, 'OS10G0138300 PROTEIN', NULL, NULL, NULL, 15),
(163361, NULL, 'PTHR10093:SF12', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY PROTEIN 3', NULL, NULL, NULL, 15),
(163362, NULL, 'PTHR23274:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE PIF3', NULL, NULL, NULL, 15),
(163363, NULL, 'PTHR10113:SF29', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1 (ERF1), PF03463-RELATED', NULL, NULL, NULL, 15),
(163364, NULL, 'PTHR14379:SF29', NULL, NULL, NULL, NULL, 'ACID BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(163365, NULL, 'PTHR11668:SF299', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(163366, NULL, 'PTHR46375:SF3', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 13', NULL, NULL, NULL, 15),
(163367, NULL, 'PTHR17920', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 4 TMCO4', NULL, NULL, 4396, 15),
(163368, NULL, 'PTHR38657', NULL, NULL, NULL, NULL, 'SLR1343 PROTEIN', NULL, NULL, NULL, 15),
(163369, NULL, 'PTHR43592:SF19', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(163370, NULL, 'PTHR31042:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163371, NULL, 'PTHR24092:SF161', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(163372, NULL, 'PTHR24203:SF38', NULL, NULL, NULL, NULL, 'NOTCH-REGULATED ANKYRIN REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(163373, NULL, 'PTHR11956:SF5', NULL, NULL, NULL, NULL, 'ARGININE--TRNA LIGASE, CYTOPLASMIC-RELATED', NULL, NULL, NULL, 15),
(163374, NULL, 'PTHR10229:SF4', NULL, NULL, NULL, NULL, 'GTPASE HFLX', NULL, NULL, NULL, 15),
(163375, NULL, 'PTHR13318:SF180', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(163376, NULL, 'PTHR38626', NULL, NULL, NULL, NULL, 'SKN-1 DEPENDENT ZYGOTIC TRANSCRIPT-RELATED', NULL, NULL, 33679, 15),
(163377, NULL, 'PTHR46681', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN NDC80 HOMOLOG', NULL, NULL, NULL, 15),
(163378, NULL, 'PTHR46058:SF18', NULL, NULL, NULL, NULL, 'PROTEIN BREVIS RADIX-LIKE 2', NULL, NULL, NULL, 15),
(163379, NULL, 'PTHR35446', NULL, NULL, NULL, NULL, 'SI:CH211-175M2.5', NULL, NULL, NULL, 15),
(163380, NULL, 'PTHR43614', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(163381, NULL, 'PTHR22957:SF532', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 15-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(163382, NULL, 'PTHR24039:SF43', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C1Q RECEPTOR', NULL, NULL, NULL, 15),
(163383, NULL, 'PTHR12810:SF0', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S29, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(163384, NULL, 'PTHR24300:SF104', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 508A2-RELATED', NULL, NULL, NULL, 15),
(163385, NULL, 'PTHR23301:SF72', NULL, NULL, NULL, NULL, 'FI02047P-RELATED', NULL, NULL, NULL, 15),
(163386, NULL, 'PTHR33871:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163387, NULL, 'PTHR10887:SF474', NULL, NULL, NULL, NULL, 'OS04G0582700 PROTEIN', NULL, NULL, NULL, 15),
(163388, NULL, 'PTHR11913:SF96', NULL, NULL, NULL, NULL, 'COFILIN/ACTIN-DEPOLYMERIZING FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163389, NULL, 'PTHR10336:SF153', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(163390, NULL, 'PTHR33120:SF38', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(163391, NULL, 'PTHR42825:SF24', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(163392, NULL, 'PTHR10562:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163393, NULL, 'PTHR14047:SF4', NULL, NULL, NULL, NULL, 'X ANTIGEN FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(163394, NULL, 'PTHR10093', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY ENZYME  NIFU HOMOLOG', NULL, NULL, 5649, 15),
(163395, NULL, 'PTHR22870:SF403', NULL, NULL, NULL, NULL, 'CHROMOSOME CONDENSATION REGULATOR RCC1 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(163396, NULL, 'PTHR41771', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, 12605, 15),
(163397, NULL, 'PTHR34372:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C-1-LIKE', NULL, NULL, NULL, 15),
(163398, NULL, 'PTHR45770:SF14', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(163399, NULL, 'PTHR43694:SF4', NULL, NULL, NULL, NULL, 'RIBONUCLEASE J 2', NULL, NULL, NULL, 15),
(163400, NULL, 'PTHR23221:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-GLYCAN-SPECIFIC PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(163401, NULL, 'PTHR11905:SF140', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPEPTIDASE DOMAIN 6-RELATED', NULL, NULL, NULL, 15),
(163402, NULL, 'PTHR43671', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK', NULL, NULL, NULL, 15),
(163403, NULL, 'PTHR32278:SF48', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B11', NULL, NULL, NULL, 15),
(163404, NULL, 'PTHR31087:SF79', NULL, NULL, NULL, NULL, 'OS01G0817650 PROTEIN', NULL, NULL, NULL, 15),
(163405, NULL, 'PTHR10745:SF8', NULL, NULL, NULL, NULL, 'DNA POLYMERASE SUBUNIT GAMMA-2, MITOCHONDRIAL', NULL, NULL, 24153, 15),
(163406, NULL, 'PTHR45811:SF54', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 12', NULL, NULL, NULL, 15),
(163407, NULL, 'PTHR31300:SF30', NULL, NULL, NULL, NULL, 'EMB|CAB81597.1', NULL, NULL, NULL, 15),
(163408, NULL, 'PTHR24112:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT, ISOFORM F', NULL, NULL, NULL, 15),
(163409, NULL, 'PTHR35479:SF6', NULL, NULL, NULL, NULL, 'BNAA05G11280D PROTEIN', NULL, NULL, NULL, 15),
(163410, NULL, 'PTHR23112:SF16', NULL, NULL, NULL, NULL, 'CYCLIC AMP RECEPTOR-LIKE PROTEIN E', NULL, NULL, NULL, 15),
(163411, NULL, 'PTHR32488:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163412, NULL, 'PTHR10192:SF19', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN BIOSYNTHESIS PROTEIN MJ0666-RELATED', NULL, NULL, NULL, 15),
(163413, NULL, 'PTHR43289:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEKL-3', NULL, NULL, NULL, 15),
(163414, NULL, 'PTHR22145:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-266K22.6', NULL, NULL, NULL, 15),
(163415, NULL, 'PTHR42856:SF1', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE PAAI', NULL, NULL, NULL, 15),
(163416, NULL, 'PTHR10316:SF72', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED GUANYLATE KINASE, WW AND PDZ DOMAIN-CONTAINING 2A', NULL, NULL, NULL, 15),
(163417, NULL, 'PTHR34835:SF24', NULL, NULL, NULL, NULL, 'OS06G0475900 PROTEIN', NULL, NULL, NULL, 15),
(163418, NULL, 'PTHR46587:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(163419, NULL, 'PTHR31579:SF16', NULL, NULL, NULL, NULL, 'OS03G0162500 PROTEIN', NULL, NULL, NULL, 15),
(163420, NULL, 'PTHR31707:SF253', NULL, NULL, NULL, NULL, 'PECTINESTERASE 1-LIKE', NULL, NULL, NULL, 15),
(163421, NULL, 'PTHR26453:SF22', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10A7', NULL, NULL, NULL, 15),
(163422, NULL, 'PTHR11746:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163423, NULL, 'PTHR47592:SF6', NULL, NULL, NULL, NULL, 'PBF68 PROTEIN', NULL, NULL, NULL, 15),
(163424, NULL, 'PTHR37553:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163425, NULL, 'PTHR25462:SF245', NULL, NULL, NULL, NULL, 'RET FINGER PROTEIN-LIKE 4A-RELATED', NULL, NULL, 33865, 15),
(163426, NULL, 'PTHR31375:SF205', NULL, NULL, NULL, NULL, 'BNAA08G20470D PROTEIN', NULL, NULL, NULL, 15),
(163427, NULL, 'PTHR24012:SF685', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 42', NULL, NULL, NULL, 15),
(163428, NULL, 'PTHR35685', NULL, NULL, NULL, NULL, '825-OAK-RELATED-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163429, NULL, 'PTHR48019:SF40', NULL, NULL, NULL, NULL, 'SERUM RESPONSE FACTOR', NULL, NULL, NULL, 15),
(163430, NULL, 'PTHR21724:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG03105', NULL, NULL, NULL, 15),
(163431, NULL, 'PTHR44259:SF53', NULL, NULL, NULL, NULL, 'BNAC01G15180D PROTEIN', NULL, NULL, NULL, 15),
(163432, NULL, 'PTHR31632:SF2', NULL, NULL, NULL, NULL, 'IRON TRANSPORTER FTH1', NULL, NULL, NULL, 15),
(163433, NULL, 'PTHR16244:SF2', NULL, NULL, NULL, NULL, 'CEROID-LIPOFUSCINOSIS NEURONAL PROTEIN 6', NULL, NULL, NULL, 15),
(163434, NULL, 'PTHR31636:SF242', NULL, NULL, NULL, NULL, 'BNAANNG36390D PROTEIN', NULL, NULL, NULL, 15),
(163435, NULL, 'PTHR32467:SF181', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ANT ISOFORM X1', NULL, NULL, NULL, 15),
(163436, NULL, 'PTHR31086:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163437, NULL, 'PTHR48016:SF33', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163438, NULL, 'PTHR45763:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163439, NULL, 'PTHR12606:SF116', NULL, NULL, NULL, NULL, 'OS04G0316900 PROTEIN', NULL, NULL, NULL, 15),
(163440, NULL, 'PTHR34455:SF1', NULL, NULL, NULL, NULL, 'OS07G0673550 PROTEIN', NULL, NULL, NULL, 15),
(163441, NULL, 'PTHR45649:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163442, NULL, 'PTHR11662:SF411', NULL, NULL, NULL, NULL, 'GH05102P', NULL, NULL, NULL, 15),
(163443, NULL, 'PTHR28200', NULL, NULL, NULL, NULL, 'DASH COMPLEX SUBUNIT ASK1', NULL, NULL, 8151, 15),
(163444, NULL, 'PTHR34075:SF5', NULL, NULL, NULL, NULL, 'BLR3430 PROTEIN', NULL, NULL, NULL, 15),
(163445, NULL, 'PTHR31472:SF13', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(163446, NULL, 'PTHR31903:SF17', NULL, NULL, NULL, NULL, 'BNAC05G09710D PROTEIN', NULL, NULL, NULL, 15),
(163447, NULL, 'PTHR39677:SF4', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC6', NULL, NULL, NULL, 15),
(163448, NULL, 'PTHR24056:SF442', NULL, NULL, NULL, NULL, 'BNACNNG54190D PROTEIN', NULL, NULL, NULL, 15),
(163449, NULL, 'PTHR10218:SF65', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(Z) SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(163450, NULL, 'PTHR23074:SF156', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A1', NULL, NULL, NULL, 15),
(163451, NULL, 'PTHR31325:SF173', NULL, NULL, NULL, NULL, 'OSJNBA0089E12.13-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163452, NULL, 'PTHR47985:SF18', NULL, NULL, NULL, NULL, 'OS05G0498900 PROTEIN', NULL, NULL, NULL, 15),
(163453, NULL, 'PTHR43433:SF1', NULL, NULL, NULL, NULL, 'BLL5160 PROTEIN', NULL, NULL, NULL, 15),
(163454, NULL, 'PTHR26450:SF166', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51D1', NULL, NULL, NULL, 15),
(163455, NULL, 'PTHR23425:SF16', NULL, NULL, NULL, NULL, 'SPERM PROTEIN ASSOCIATED WITH THE NUCLEUS ON THE X CHROMOSOME A-RELATED', NULL, NULL, NULL, 15),
(163456, NULL, 'PTHR12725', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE', NULL, NULL, NULL, 15),
(163457, NULL, 'PTHR46746:SF1', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY F MEMBER 1', NULL, NULL, NULL, 15),
(163458, NULL, 'PTHR24414:SF65', NULL, NULL, NULL, NULL, 'BNAA09G42970D PROTEIN', NULL, NULL, NULL, 15),
(163459, NULL, 'PTHR24365:SF524', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 3', NULL, NULL, 25394, 15),
(163460, NULL, 'PTHR45974:SF26', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING RECEPTOR-LIKE CYTOPLASMIC KINASE 1', NULL, NULL, NULL, 15),
(163461, NULL, 'PTHR21649:SF108', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(163462, NULL, 'PTHR46028:SF2', NULL, NULL, NULL, NULL, 'KYNURENINE 3-MONOOXYGENASE', NULL, NULL, NULL, 15),
(163463, NULL, 'PTHR34199:SF5', NULL, NULL, NULL, NULL, 'BNAC06G10320D PROTEIN', NULL, NULL, NULL, 15),
(163464, NULL, 'PTHR46008:SF23', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.1', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163465, NULL, 'PTHR12636:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163466, NULL, 'PTHR45675:SF6', NULL, NULL, NULL, NULL, 'OS01G0298400 PROTEIN', NULL, NULL, NULL, 15),
(163467, NULL, 'PTHR21681:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT J', NULL, NULL, NULL, 15),
(163468, NULL, 'PTHR10369:SF26', NULL, NULL, NULL, NULL, 'OS07G0450000 PROTEIN', NULL, NULL, NULL, 15),
(163469, NULL, 'PTHR12021', NULL, NULL, NULL, NULL, 'THYMOSIN BETA', NULL, NULL, 1031, 15),
(163470, NULL, 'PTHR33391', NULL, NULL, NULL, NULL, 'CYTOCHROME B559 SUBUNIT BETA-RELATED', NULL, NULL, NULL, 15),
(163471, NULL, 'PTHR31636:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163472, NULL, 'PTHR34344', NULL, NULL, NULL, NULL, 'UPF0184 PROTEIN C9ORF16', NULL, NULL, 6406, 15),
(163473, NULL, 'PTHR23253:SF36', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-RELATED', NULL, NULL, NULL, 15),
(163474, NULL, 'PTHR10037:SF206', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 5 SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(163475, NULL, 'PTHR24072:SF175', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOD', NULL, NULL, NULL, 15),
(163476, NULL, 'PTHR31669:SF229', NULL, NULL, NULL, NULL, 'OS11G0244900 PROTEIN', NULL, NULL, NULL, 15),
(163477, NULL, 'PTHR47074:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163478, NULL, 'PTHR42771:SF4', NULL, NULL, NULL, NULL, 'IRON(3+)-HYDROXAMATE IMPORT ATP-BINDING PROTEIN FHUC', NULL, NULL, NULL, 15),
(163479, NULL, 'PTHR24056:SF445', NULL, NULL, NULL, NULL, 'CGMP-DEPENDENT KINASE-RELATED', NULL, NULL, NULL, 15),
(163480, NULL, 'PTHR23226:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 449', NULL, NULL, NULL, 15),
(163481, NULL, 'PTHR46668:SF8', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN NPR5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(163482, NULL, 'PTHR48144:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163483, NULL, 'PTHR11071:SF500', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(163484, NULL, 'PTHR21366:SF21', NULL, NULL, NULL, NULL, 'METALLOTHIOL TRANSFERASE FOSB', NULL, NULL, NULL, 15),
(163485, NULL, 'PTHR31072:SF65', NULL, NULL, NULL, NULL, 'OS09G0410500 PROTEIN', NULL, NULL, NULL, 15),
(163486, NULL, 'PTHR31235:SF310', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(163487, NULL, 'PTHR48015:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TAO3', NULL, NULL, NULL, 15),
(163488, NULL, 'PTHR27009:SF173', NULL, NULL, NULL, NULL, 'INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(163489, NULL, 'PTHR45666:SF23', NULL, NULL, NULL, NULL, 'PHOSPHORIC MONOESTER HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(163490, NULL, 'PTHR31933:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163491, NULL, 'PTHR42757:SF30', NULL, NULL, NULL, NULL, 'MAM DOMAIN-CONTAINING GLYCOSYLPHOSPHATIDYLINOSITOL ANCHOR PROTEIN 1', NULL, NULL, NULL, 15),
(163492, NULL, 'PTHR21576:SF107', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(163493, NULL, 'PTHR10291:SF26', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(163494, NULL, 'PTHR27007:SF257', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.6-RELATED', NULL, NULL, NULL, 15),
(163495, NULL, 'PTHR24253:SF64', NULL, NULL, NULL, NULL, 'PLASMA KALLIKREIN', NULL, NULL, NULL, 15),
(163496, NULL, 'PTHR11849:SF216', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ERG', NULL, NULL, NULL, 15),
(163497, NULL, 'PTHR24343:SF403', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SAPK3', NULL, NULL, NULL, 15),
(163498, NULL, 'PTHR48043:SF14', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(163499, NULL, 'PTHR13042:SF7', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(163500, NULL, 'PTHR10881:SF46', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 2', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163501, NULL, 'PTHR10426:SF102', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 11', NULL, NULL, NULL, 15),
(163502, NULL, 'PTHR43539', NULL, NULL, NULL, NULL, 'FLAVIN-BINDING MONOOXYGENASE-LIKE PROTEIN (AFU_ORTHOLOGUE AFUA_4G09220)', NULL, NULL, NULL, 15),
(163503, NULL, 'PTHR12975', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN  TRAPP', NULL, NULL, 25232, 15),
(163504, NULL, 'PTHR33163:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163505, NULL, 'PTHR34152', NULL, NULL, NULL, NULL, 'PROTEIN CBG12353-RELATED', NULL, NULL, NULL, 15),
(163506, NULL, 'PTHR14789:SF6', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING 14A', NULL, NULL, NULL, 15),
(163507, NULL, 'PTHR10891:SF904', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163508, NULL, 'PTHR45690', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(163509, NULL, 'PTHR46206:SF9', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(163510, NULL, 'PTHR24302:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163511, NULL, 'PTHR45667', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE MITOCHONDRIAL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(163512, NULL, 'PTHR42693', NULL, NULL, NULL, NULL, 'ARYLSULFATASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(163513, NULL, 'PTHR34491', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(163514, NULL, 'PTHR20844:SF0', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 9', NULL, NULL, NULL, 15),
(163515, NULL, 'PTHR43157:SF31', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-GLYCAN BIOSYNTHESIS CLASS F PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163516, NULL, 'PTHR46695', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 44-RELATED', NULL, NULL, NULL, 15),
(163517, NULL, 'PTHR31920:SF39', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM20-RELATED', NULL, NULL, NULL, 15),
(163518, NULL, 'PTHR45676:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163519, NULL, 'PTHR24413:SF229', NULL, NULL, NULL, NULL, 'GH01369P', NULL, NULL, NULL, 15),
(163520, NULL, 'PTHR11921:SF40', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] IRON-SULFUR SUBUNIT 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(163521, NULL, 'PTHR14309', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 29377, 15),
(163522, NULL, 'PTHR24115:SF513', NULL, NULL, NULL, NULL, 'KINESIN-1 HEAVY CHAIN', NULL, NULL, NULL, 15),
(163523, NULL, 'PTHR31719:SF147', NULL, NULL, NULL, NULL, 'OS02G0555300 PROTEIN', NULL, NULL, NULL, 15),
(163524, NULL, 'PTHR23176:SF103', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 9', NULL, NULL, NULL, 15),
(163525, NULL, 'PTHR27000:SF729', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PEPR1', NULL, NULL, NULL, 15),
(163526, NULL, 'PTHR48016:SF17', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', NULL, NULL, NULL, 15),
(163527, NULL, 'PTHR10333:SF42', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN 4', NULL, NULL, NULL, 15),
(163528, NULL, 'PTHR13107:SF0', NULL, NULL, NULL, NULL, 'N6-ADENOSINE-METHYLTRANSFERASE NON-CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(163529, NULL, 'PTHR42766', NULL, NULL, NULL, NULL, 'MALTOOLIGOSYL TREHALOSE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(163530, NULL, 'PTHR32297:SF1', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL MODIFIER 1', NULL, NULL, NULL, 15),
(163531, NULL, 'PTHR43862:SF4', NULL, NULL, NULL, NULL, 'CYCLOMALTODEXTRINASE', NULL, NULL, NULL, 15),
(163532, NULL, 'PTHR45650:SF57', NULL, NULL, NULL, NULL, 'BNAC09G22170D PROTEIN', NULL, NULL, NULL, 15),
(163533, NULL, 'PTHR13301:SF44', NULL, NULL, NULL, NULL, 'MIXED-LINKED GLUCAN SYNTHASE 3-RELATED', NULL, NULL, NULL, 15),
(163534, NULL, 'PTHR13943', NULL, NULL, NULL, NULL, 'HRAS-LIKE SUPPRESSOR - RELATED', NULL, NULL, NULL, 15),
(163535, NULL, 'PTHR45995:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163536, NULL, 'PTHR31321:SF103', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(163537, NULL, 'PTHR31140:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163538, NULL, 'PTHR33156:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163539, NULL, 'PTHR47435:SF4', NULL, NULL, NULL, NULL, 'KELCH REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_5G12780)', NULL, NULL, NULL, 15),
(163540, NULL, 'PTHR33564:SF22', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(163541, NULL, 'PTHR33124:SF81', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH149-LIKE', NULL, NULL, NULL, 15),
(163542, NULL, 'PTHR10578:SF131', NULL, NULL, NULL, NULL, 'BNAC05G52090D PROTEIN', NULL, NULL, NULL, 15),
(163543, NULL, 'PTHR31985:SF222', NULL, NULL, NULL, NULL, 'BNAC09G28540D PROTEIN', NULL, NULL, NULL, 15),
(163544, NULL, 'PTHR31650:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163545, NULL, 'PTHR35729:SF4', NULL, NULL, NULL, NULL, 'PEPTIDASE S1, PA CLAN-RELATED', NULL, NULL, NULL, 15),
(163546, NULL, 'PTHR45621:SF125', NULL, NULL, NULL, NULL, 'BNAC09G51400D PROTEIN', NULL, NULL, NULL, 15),
(163547, NULL, 'PTHR40628:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163548, NULL, 'PTHR37002:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163549, NULL, 'PTHR11558:SF51', NULL, NULL, NULL, NULL, 'SPERMIDINE/SPERMINE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(163550, NULL, 'PTHR11132:SF238', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER C2', NULL, NULL, NULL, 15),
(163551, NULL, 'PTHR12537:SF156', NULL, NULL, NULL, NULL, 'BNAA06G36900D PROTEIN', NULL, NULL, NULL, 15),
(163552, NULL, 'PTHR31657:SF56', NULL, NULL, NULL, NULL, 'BNAC03G60650D PROTEIN', NULL, NULL, NULL, 15),
(163553, NULL, 'PTHR33333:SF22', NULL, NULL, NULL, NULL, 'EGG APPARATUS-1 PROTEIN', NULL, NULL, NULL, 15),
(163554, NULL, 'PTHR47926:SF14', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(163555, NULL, 'PTHR16223:SF230', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH139', NULL, NULL, NULL, 15),
(163556, NULL, 'PTHR46821:SF4', NULL, NULL, NULL, NULL, 'OS08G0275200 PROTEIN', NULL, NULL, NULL, 15),
(163557, NULL, 'PTHR21237:SF25', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(163558, NULL, 'PTHR30308', NULL, NULL, NULL, NULL, 'TMRNA-BINDING COMPONENT OF TRANS-TRANSLATION TAGGING COMPLEX', NULL, NULL, 2669, 15),
(163559, NULL, 'PTHR35164:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0086B14.10 PROTEIN', NULL, NULL, NULL, 15),
(163560, NULL, 'PTHR23023:SF215', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(163561, NULL, 'PTHR10665:SF2', NULL, NULL, NULL, NULL, 'RECOMBINING BINDING PROTEIN SUPPRESSOR OF HAIRLESS-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163562, NULL, 'PTHR15741:SF36', NULL, NULL, NULL, NULL, 'MLX-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(163563, NULL, 'PTHR11890:SF18', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ACTIVATION GENE 3 PROTEIN', NULL, NULL, NULL, 15),
(163564, NULL, 'PTHR24177:SF331', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(163565, NULL, 'PTHR24147:SF58', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 144 N-TERMINAL-LIKE-RELATED', NULL, NULL, NULL, 15),
(163566, NULL, 'PTHR11132:SF326', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER 6', NULL, NULL, 26977, 15),
(163567, NULL, 'PTHR23111:SF30', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN VAR3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(163568, NULL, 'PTHR34803:SF4', NULL, NULL, NULL, NULL, 'BNAA04G07250D PROTEIN', NULL, NULL, NULL, 15),
(163569, NULL, 'PTHR13278', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29831, 15),
(163570, NULL, 'PTHR45680:SF31', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(163571, NULL, 'PTHR45637:SF24', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AGC1-5', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163572, NULL, 'PTHR23315:SF276', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 38', NULL, NULL, NULL, 15),
(163573, NULL, 'PTHR24296:SF154', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94A1-LIKE', NULL, NULL, NULL, 15),
(163574, NULL, 'PTHR43422:SF13', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(163575, NULL, 'PTHR16134:SF99', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT INHIBITOR RESPONSE 1-LIKE', NULL, NULL, NULL, 15),
(163576, NULL, 'PTHR24282:SF109', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-LIKE', NULL, NULL, NULL, 15),
(163577, NULL, 'PTHR10986:SF12', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L20, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(163578, NULL, 'PTHR12411:SF654', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED GENE 12', NULL, NULL, NULL, 15),
(163579, NULL, 'PTHR24073:SF910', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-22A', NULL, NULL, NULL, 15),
(163580, NULL, 'PTHR18966:SF452', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(163581, NULL, 'PTHR31009:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163582, NULL, 'PTHR47476:SF3', NULL, NULL, NULL, NULL, 'BNAC04G26110D PROTEIN', NULL, NULL, NULL, 15),
(163583, NULL, 'PTHR15852:SF16', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE PTAC5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(163584, NULL, 'PTHR24012:SF728', NULL, NULL, NULL, NULL, 'CUGBP ELAV-LIKE FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(163585, NULL, 'PTHR11373:SF37', NULL, NULL, NULL, NULL, 'DEOXYNUCLEOSIDE TRIPHOSPHATE TRIPHOSPHOHYDROLASE SAMHD1 HOMOLOG', NULL, NULL, NULL, 15),
(163586, NULL, 'PTHR45668:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE RDGC', NULL, NULL, NULL, 15),
(163587, NULL, 'PTHR45781:SF5', NULL, NULL, NULL, NULL, 'TOX HIGH MOBILITY GROUP BOX FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(163588, NULL, 'PTHR45774:SF2', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(163589, NULL, 'PTHR48225:SF1', NULL, NULL, NULL, NULL, 'HORMA DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(163590, NULL, 'PTHR12510', NULL, NULL, NULL, NULL, 'TROPONIN C-AKIN-1 PROTEIN', NULL, NULL, 30130, 15),
(163591, NULL, 'PTHR48002:SF130', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(163592, NULL, 'PTHR47978:SF35', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-37', NULL, NULL, NULL, 15),
(163593, NULL, 'PTHR11954:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163594, NULL, 'PTHR12427:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT E, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(163595, NULL, 'PTHR12307:SF25', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(163596, NULL, 'PTHR18953:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163597, NULL, 'PTHR21405', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC021608', NULL, NULL, 33779, 15),
(163598, NULL, 'PTHR46756:SF15', NULL, NULL, NULL, NULL, 'RAC GUANINE NUCLEOTIDE EXCHANGE FACTOR B', NULL, NULL, NULL, 15),
(163599, NULL, 'PTHR33453:SF25', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(163600, NULL, 'PTHR14096:SF60', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L, 1-RELATED', NULL, NULL, NULL, 15),
(163601, NULL, 'PTHR11062:SF117', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT20-RELATED', NULL, NULL, NULL, 15),
(163602, NULL, 'PTHR11802:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163603, NULL, 'PTHR11017', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN', NULL, NULL, 38349, 15),
(163604, NULL, 'PTHR28653:SF1', NULL, NULL, NULL, NULL, 'ATPASE SWSAP1', NULL, NULL, NULL, 15),
(163605, NULL, 'PTHR24128:SF57', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE XBAT31, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(163606, NULL, 'PTHR23273', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR A 1, RFA1', NULL, NULL, 970, 15),
(163607, NULL, 'PTHR47925:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163608, NULL, 'PTHR42808:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(163609, NULL, 'PTHR27008:SF467', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163610, NULL, 'PTHR13398', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE 2', NULL, NULL, 39052, 15),
(163611, NULL, 'PTHR24240:SF144', NULL, NULL, NULL, NULL, 'MELANOPSIN-LIKE', NULL, NULL, NULL, 15),
(163612, NULL, 'PTHR10015', NULL, NULL, NULL, NULL, 'HEAT SHOCK TRANSCRIPTION FACTOR', NULL, NULL, 24759, 15),
(163613, NULL, 'PTHR45973:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163614, NULL, 'PTHR12358:SF94', NULL, NULL, NULL, NULL, 'BNAA04G26670D PROTEIN', NULL, NULL, NULL, 15),
(163615, NULL, 'PTHR13061:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163616, NULL, 'PTHR47928:SF19', NULL, NULL, NULL, NULL, 'OS03G0795200 PROTEIN', NULL, NULL, NULL, 15),
(163617, NULL, 'PTHR30231:SF33', NULL, NULL, NULL, NULL, 'PROTEIN NEN3-LIKE', NULL, NULL, NULL, 15),
(163618, NULL, 'PTHR43720:SF3', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE ALDH (AFU_ORTHOLOGUE AFUA_8G02310)', NULL, NULL, NULL, 15),
(163619, NULL, 'PTHR33091:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163620, NULL, 'PTHR11256:SF13', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(163621, NULL, 'PTHR21337:SF24', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(163622, NULL, 'PTHR31639:SF22', NULL, NULL, NULL, NULL, 'OS07G0160500 PROTEIN', NULL, NULL, NULL, 15),
(163623, NULL, 'PTHR34883', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN, PUTATIVE-RELATED-RELATED', NULL, NULL, NULL, 15),
(163624, NULL, 'PTHR21230:SF63', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE, T-SNARE-RELATED', NULL, NULL, NULL, 15),
(163625, NULL, 'PTHR31496:SF30', NULL, NULL, NULL, NULL, 'MYB DOMAIN, PLANT, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163626, NULL, 'PTHR27007:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163627, NULL, 'PTHR27007:SF240', NULL, NULL, NULL, NULL, 'OS09G0268000 PROTEIN', NULL, NULL, NULL, 15),
(163628, NULL, 'PTHR22599:SF32', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR 2A-RELATED', NULL, NULL, NULL, 15),
(163629, NULL, 'PTHR10380:SF209', NULL, NULL, NULL, NULL, 'AGAP000744-PA', NULL, NULL, NULL, 15),
(163630, NULL, 'PTHR14052', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 2', NULL, NULL, 6470, 15),
(163631, NULL, 'PTHR12313:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF5', NULL, NULL, NULL, 15),
(163632, NULL, 'PTHR24256:SF518', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 9-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163633, NULL, 'PTHR11802:SF272', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(163634, NULL, 'PTHR48049:SF70', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(163635, NULL, 'PTHR46813:SF11', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 20-RELATED', NULL, NULL, NULL, 15),
(163636, NULL, 'PTHR33110:SF24', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(163637, NULL, 'PTHR31490:SF44', NULL, NULL, NULL, NULL, 'OS11G0556866 PROTEIN', NULL, NULL, NULL, 15),
(163638, NULL, 'PTHR11709:SF363', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(163639, NULL, 'PTHR19307:SF13', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN D54', NULL, NULL, NULL, 15),
(163640, NULL, 'PTHR32208:SF56', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE-RELATED', NULL, NULL, NULL, 15),
(163641, NULL, 'PTHR46071:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND BTB/POZ DOMAIN-CONTAINING PROTEIN BTBD11', NULL, NULL, NULL, 15),
(163642, NULL, 'PTHR15629:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163643, NULL, 'PTHR42898:SF69', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163644, NULL, 'PTHR21720:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG03889', NULL, NULL, NULL, 15),
(163645, NULL, 'PTHR31250:SF50', NULL, NULL, NULL, NULL, 'BNAC01G37540D PROTEIN', NULL, NULL, NULL, 15),
(163646, NULL, 'PTHR47938:SF2', NULL, NULL, NULL, NULL, 'OS06G0184866 PROTEIN', NULL, NULL, NULL, 15),
(163647, NULL, 'PTHR31604:SF37', NULL, NULL, NULL, NULL, 'LATERAL ROOT PRIMORDIUM PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163648, NULL, 'PTHR37718:SF2', NULL, NULL, NULL, NULL, 'BNAC03G61340D PROTEIN', NULL, NULL, NULL, 15),
(163649, NULL, 'PTHR45771:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163650, NULL, 'PTHR46214:SF24', NULL, NULL, NULL, NULL, 'BNACNNG61870D PROTEIN', NULL, NULL, NULL, 15),
(163651, NULL, 'PTHR11461:SF32', NULL, NULL, NULL, NULL, 'ALPHA-1-ANTITRYPSIN 1-6', NULL, NULL, NULL, 15),
(163652, NULL, 'PTHR10724', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S1', NULL, NULL, NULL, 15),
(163653, NULL, 'PTHR10098:SF107', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 28', NULL, NULL, NULL, 15),
(163654, NULL, 'PTHR11511:SF4', NULL, NULL, NULL, NULL, 'PHENOLOXIDASE 2-RELATED', NULL, NULL, NULL, 15),
(163655, NULL, 'PTHR31707:SF306', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(163656, NULL, 'PTHR11705:SF86', NULL, NULL, NULL, NULL, 'LP17541P-RELATED', NULL, NULL, NULL, 15),
(163657, NULL, 'PTHR31741:SF57', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 24', NULL, NULL, NULL, 15),
(163658, NULL, 'PTHR36052', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(163659, NULL, 'PTHR22911:SF102', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163660, NULL, 'PTHR46626:SF3', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163661, NULL, 'PTHR31042:SF103', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(163662, NULL, 'PTHR16431:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MIS18-BETA', NULL, NULL, NULL, 15),
(163663, NULL, 'PTHR32467:SF114', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S8E FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163664, NULL, 'PTHR12619:SF24', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN RFX8', NULL, NULL, NULL, 15),
(163665, NULL, 'PTHR44324:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 49', NULL, NULL, NULL, 15),
(163666, NULL, 'PTHR22406:SF2', NULL, NULL, NULL, NULL, 'SLAIN MOTIF-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(163667, NULL, 'PTHR11444:SF24', NULL, NULL, NULL, NULL, 'FUMARATE HYDRATASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(163668, NULL, 'PTHR12200:SF17', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCIBLE PROTEIN AIM2-RELATED', NULL, NULL, NULL, 15),
(163669, NULL, 'PTHR10366:SF683', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 1-LIKE', NULL, NULL, NULL, 15),
(163670, NULL, 'PTHR45744:SF29', NULL, NULL, NULL, NULL, 'TYROSINE/NICOTIANAMINE AMINOTRANSFERASE, PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(163671, NULL, 'PTHR15315:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163672, NULL, 'PTHR43811:SF16', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(163673, NULL, 'PTHR24233:SF4', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 171-RELATED', NULL, NULL, NULL, 15),
(163674, NULL, 'PTHR24347:SF198', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE H1 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(163675, NULL, 'PTHR10434:SF8', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(163676, NULL, 'PTHR33086:SF44', NULL, NULL, NULL, NULL, 'OS03G0683600 PROTEIN', NULL, NULL, NULL, 15),
(163677, NULL, 'PTHR10663:SF310', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 1', NULL, NULL, NULL, 15),
(163678, NULL, 'PTHR30092:SF0', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN CRED', NULL, NULL, NULL, 15),
(163679, NULL, 'PTHR26452:SF701', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 11L1', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163680, NULL, 'PTHR36083', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L32, CHLOROPLASTIC', NULL, NULL, 38097, 15),
(163681, NULL, 'PTHR19965:SF76', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 4D', NULL, NULL, NULL, 15),
(163682, NULL, 'PTHR21324:SF3', NULL, NULL, NULL, NULL, 'MODULATOR OF MACROAUTOPHAGY TMEM150B', NULL, NULL, NULL, 15),
(163683, NULL, 'PTHR18966:SF376', NULL, NULL, NULL, NULL, 'OS06G0190000 PROTEIN', NULL, NULL, NULL, 15),
(163684, NULL, 'PTHR48045:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(163685, NULL, 'PTHR11081:SF49', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE 1 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(163686, NULL, 'PTHR11524:SF45', NULL, NULL, NULL, NULL, 'BNAC04G03350D PROTEIN', NULL, NULL, NULL, 15),
(163687, NULL, 'PTHR26374:SF403', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163688, NULL, 'PTHR19375:SF456', NULL, NULL, NULL, NULL, 'BNAA09G29100D PROTEIN', NULL, NULL, NULL, 15),
(163689, NULL, 'PTHR13119:SF35', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 62-LIKE', NULL, NULL, NULL, 15),
(163690, NULL, 'PTHR17602:SF5', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(163691, NULL, 'PTHR24222:SF68', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 9', NULL, NULL, NULL, 15),
(163692, NULL, 'PTHR33781:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PHYTOCHROME KINASE SUBSTRATE 3-LIKE', NULL, NULL, NULL, 15),
(163693, NULL, 'PTHR31687', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 14574, 15),
(163694, NULL, 'PTHR10388:SF53', NULL, NULL, NULL, NULL, 'APO PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(163695, NULL, 'PTHR45774:SF6', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(163696, NULL, 'PTHR10926:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG23873', NULL, NULL, NULL, 15),
(163697, NULL, 'PTHR46182', NULL, NULL, NULL, NULL, 'FI19480P1', NULL, NULL, 24210, 15),
(163698, NULL, 'PTHR10676:SF287', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(163699, NULL, 'PTHR23053:SF0', NULL, NULL, NULL, NULL, 'HYDROCEPHALUS-INDUCING PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(163700, NULL, 'PTHR32246:SF27', NULL, NULL, NULL, NULL, 'OS05G0370300 PROTEIN', NULL, NULL, NULL, 15),
(163701, NULL, 'PTHR43491:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-D-MANNOSAMINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(163702, NULL, 'PTHR42251:SF1', NULL, NULL, NULL, NULL, 'UPF0147 PROTEIN MJ1419', NULL, NULL, NULL, 15),
(163703, NULL, 'PTHR13068:SF39', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR-LIKE', NULL, NULL, NULL, 15),
(163704, NULL, 'PTHR35165:SF4', NULL, NULL, NULL, NULL, 'OS03G0126900 PROTEIN', NULL, NULL, NULL, 15),
(163705, NULL, 'PTHR33155:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163706, NULL, 'PTHR10218:SF340', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-4 SUBUNIT', NULL, NULL, NULL, 15),
(163707, NULL, 'PTHR23100', NULL, NULL, NULL, NULL, 'ARGININE BIOSYNTHESIS BIFUNCTIONAL PROTEIN ARGJ', NULL, NULL, 4863, 15),
(163708, NULL, 'PTHR13244', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(163709, NULL, 'PTHR31072:SF172', NULL, NULL, NULL, NULL, 'TEOSINTE BRANCHED 1, CYCLOIDEA, AND PCF FAMILY 24-RELATED', NULL, NULL, NULL, 15),
(163710, NULL, 'PTHR10177:SF187', NULL, NULL, NULL, NULL, 'CYCLIN-I', NULL, NULL, 25010, 15),
(163711, NULL, 'PTHR30619:SF1', NULL, NULL, NULL, NULL, 'RECOMBINATION PROTEIN 2', NULL, NULL, NULL, 15),
(163712, NULL, 'PTHR21700:SF28', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(163713, NULL, 'PTHR10218:SF337', NULL, NULL, NULL, NULL, 'EXTRA-LARGE GUANINE NUCLEOTIDE-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(163714, NULL, 'PTHR14110:SF25', NULL, NULL, NULL, NULL, 'BNAA10G09540D PROTEIN', NULL, NULL, NULL, 15),
(163715, NULL, 'PTHR43327:SF37', NULL, NULL, NULL, NULL, 'SPFH DOMAIN/BAND 7 FAMILY PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163716, NULL, 'PTHR31269:SF6', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH3', NULL, NULL, NULL, 15),
(163717, NULL, 'PTHR47516', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U-RELATED', NULL, NULL, NULL, 15),
(163718, NULL, 'PTHR31998:SF38', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE-ENERGIZED VACUOLAR MEMBRANE PROTON PUMP', NULL, NULL, NULL, 15),
(163719, NULL, 'PTHR33397:SF3', NULL, NULL, NULL, NULL, 'TOXIN-ANTITOXIN SYSTEM TOXIN HEPN FAMILY', NULL, NULL, NULL, 15),
(163720, NULL, 'PTHR21377:SF0', NULL, NULL, NULL, NULL, 'PROTEIN FAM210B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(163721, NULL, 'PTHR31837', NULL, NULL, NULL, NULL, 'CYTOCHROME B-245 CHAPERONE 1', NULL, NULL, 28308, 15),
(163722, NULL, 'PTHR22975:SF30', NULL, NULL, NULL, NULL, 'BNAA05G33070D PROTEIN', NULL, NULL, NULL, 15),
(163723, NULL, 'PTHR24409:SF321', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 7C', NULL, NULL, NULL, 15),
(163724, NULL, 'PTHR48052:SF20', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BRI1-LIKE 2', NULL, NULL, NULL, 15),
(163725, NULL, 'PTHR33159:SF38', NULL, NULL, NULL, NULL, 'BNAA10G09960D PROTEIN', NULL, NULL, NULL, 15),
(163726, NULL, 'PTHR21592:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG08461', NULL, NULL, NULL, 15),
(163727, NULL, 'PTHR31042:SF20', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(163728, NULL, 'PTHR36522:SF1', NULL, NULL, NULL, NULL, 'AT HOOK-CONTAINING PROTEIN ATTF-4', NULL, NULL, NULL, 15),
(163729, NULL, 'PTHR45666:SF51', NULL, NULL, NULL, NULL, 'BNAC02G43530D PROTEIN', NULL, NULL, NULL, 15),
(163730, NULL, 'PTHR31325:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163731, NULL, 'PTHR10836:SF106', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(163732, NULL, 'PTHR10782:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163733, NULL, 'PTHR34113:SF3', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163734, NULL, 'PTHR11426:SF190', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE 2', NULL, NULL, NULL, 15),
(163735, NULL, 'PTHR37002', NULL, NULL, NULL, NULL, 'AGAP007005-PA', NULL, NULL, NULL, 15),
(163736, NULL, 'PTHR33374:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163737, NULL, 'PTHR13902:SF121', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK9-RELATED', NULL, NULL, NULL, 15),
(163738, NULL, 'PTHR19375:SF427', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163739, NULL, 'PTHR13803:SF17', NULL, NULL, NULL, NULL, 'OS05G0443300 PROTEIN', NULL, NULL, NULL, 15),
(163740, NULL, 'PTHR46637', NULL, NULL, NULL, NULL, 'TIS1421-TRANSPOSASE PROTEIN A', NULL, NULL, NULL, 15),
(163741, NULL, 'PTHR11732:SF294', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER B1', NULL, NULL, NULL, 15),
(163742, NULL, 'PTHR34190:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(163743, NULL, 'PTHR31901:SF35', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.4-RELATED', NULL, NULL, NULL, 15),
(163744, NULL, 'PTHR31003:SF35', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS PROTEIN', NULL, NULL, NULL, 15),
(163745, NULL, 'PTHR23023:SF247', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT URATE HYDROXYLASE', NULL, NULL, NULL, 15),
(163746, NULL, 'PTHR38498', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 191B-RELATED', NULL, NULL, 22464, 15),
(163747, NULL, 'PTHR31992:SF68', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.6', NULL, NULL, NULL, 15),
(163748, NULL, 'PTHR12634', NULL, NULL, NULL, NULL, 'SIT4 YEAST -ASSOCIATING PROTEIN-RELATED', NULL, NULL, 2565, 15),
(163749, NULL, 'PTHR33326:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163750, NULL, 'PTHR21503:SF36', NULL, NULL, NULL, NULL, 'PROTEIN CBG11455', NULL, NULL, NULL, 15),
(163751, NULL, 'PTHR31953:SF46', NULL, NULL, NULL, NULL, 'SUCROSE:FRUCTAN 6-FRUCTOSYLTRANSFERASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163752, NULL, 'PTHR47631', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)-RELATED', NULL, NULL, NULL, 15),
(163753, NULL, 'PTHR15414:SF0', NULL, NULL, NULL, NULL, 'PROTEIN OS-9', NULL, NULL, NULL, 15),
(163754, NULL, 'PTHR21723:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RIC-3', NULL, NULL, NULL, 15),
(163755, NULL, 'PTHR23147:SF149', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SC35-LIKE SPLICING FACTOR SCL30A', NULL, NULL, NULL, 15),
(163756, NULL, 'PTHR34678:SF3', NULL, NULL, NULL, NULL, 'BNAC04G24780D PROTEIN', NULL, NULL, NULL, 15),
(163757, NULL, 'PTHR44042:SF46', NULL, NULL, NULL, NULL, 'MYB DOMAIN, PLANT, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163758, NULL, 'PTHR31953:SF90', NULL, NULL, NULL, NULL, 'BNAC05G09640D PROTEIN', NULL, NULL, NULL, 15),
(163759, NULL, 'PTHR46561:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', NULL, NULL, NULL, 15),
(163760, NULL, 'PTHR10485:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163761, NULL, 'PTHR11066:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163762, NULL, 'PTHR31683:SF147', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(163763, NULL, 'PTHR24286:SF199', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 88D6', NULL, NULL, NULL, 15),
(163764, NULL, 'PTHR32099:SF66', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163765, NULL, 'PTHR35410:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(163766, NULL, 'PTHR21596:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163767, NULL, 'PTHR45621:SF127', NULL, NULL, NULL, NULL, 'OS02G0118200 PROTEIN', NULL, NULL, NULL, 15),
(163768, NULL, 'PTHR10766:SF116', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(163769, NULL, 'PTHR46293:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP1-LIKE', NULL, NULL, NULL, 15),
(163770, NULL, 'PTHR11036:SF72', NULL, NULL, NULL, NULL, 'SEMAPHORIN-4F', NULL, NULL, 8376, 15),
(163771, NULL, 'PTHR47929:SF21', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(163772, NULL, 'PTHR46513:SF26', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 4', NULL, NULL, NULL, 15),
(163773, NULL, 'PTHR42938:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163774, NULL, 'PTHR24100:SF117', NULL, NULL, NULL, NULL, 'BUTYROPHILIN-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(163775, NULL, 'PTHR33736:SF20', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(163776, NULL, 'PTHR23013:SF27', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(163777, NULL, 'PTHR33052:SF128', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(163778, NULL, 'PTHR47186:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 57', NULL, NULL, NULL, 15),
(163779, NULL, 'PTHR37873:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 33', NULL, NULL, NULL, 15),
(163780, NULL, 'PTHR10366:SF667', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 2', NULL, NULL, NULL, 15),
(163781, NULL, 'PTHR13061:SF38', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE 1, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(163782, NULL, 'PTHR46281:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B', NULL, NULL, NULL, 15),
(163783, NULL, 'PTHR23155:SF889', NULL, NULL, NULL, NULL, 'OS08G0293300 PROTEIN', NULL, NULL, NULL, 15),
(163784, NULL, 'PTHR32227:SF225', NULL, NULL, NULL, NULL, 'OS07G0168600 PROTEIN', NULL, NULL, NULL, 15),
(163785, NULL, 'PTHR11843:SF23', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15),
(163786, NULL, 'PTHR45089', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163787, NULL, 'PTHR46128:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163788, NULL, 'PTHR33736:SF6', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163789, NULL, 'PTHR14520', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN 63', NULL, NULL, 18480, 15),
(163790, NULL, 'PTHR43217', NULL, NULL, NULL, NULL, 'SUCCINATE SEMIALDEHYDE DEHYDROGENASE [NAD(P)+] SAD', NULL, NULL, NULL, 15),
(163791, NULL, 'PTHR31676:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163792, NULL, 'PTHR11955:SF70', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN 9', NULL, NULL, NULL, 15),
(163793, NULL, 'PTHR27005:SF381', NULL, NULL, NULL, NULL, 'BNAA08G28120D PROTEIN', NULL, NULL, NULL, 15),
(163794, NULL, 'PTHR23130:SF177', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(163795, NULL, 'PTHR24015:SF517', NULL, NULL, NULL, NULL, 'OS11G0256100 PROTEIN', NULL, NULL, NULL, 15),
(163796, NULL, 'PTHR27006:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163797, NULL, 'PTHR45657:SF28', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH8-LIKE', NULL, NULL, NULL, 15),
(163798, NULL, 'PTHR45651:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CNGC15A', NULL, NULL, NULL, 15),
(163799, NULL, 'PTHR19370:SF190', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163800, NULL, 'PTHR14191:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163801, NULL, 'PTHR13523:SF14', NULL, NULL, NULL, NULL, 'BNAC09G47040D PROTEIN', NULL, NULL, NULL, 15),
(163802, NULL, 'PTHR13160:SF4', NULL, NULL, NULL, NULL, 'OLIGOSACCHARYLTRANSFERASE COMPLEX SUBUNIT OSTC', NULL, NULL, NULL, 15),
(163803, NULL, 'PTHR32044', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163804, NULL, 'PTHR46238', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163805, NULL, 'PTHR10314:SF204', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE 1-RELATED', NULL, NULL, NULL, 15),
(163806, NULL, 'PTHR46235', NULL, NULL, NULL, NULL, 'PHD FINGER-CONTAINING PROTEIN DDB_G0268158', NULL, NULL, NULL, 15),
(163807, NULL, 'PTHR13308', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 27607, 15),
(163808, NULL, 'PTHR32235:SF1', NULL, NULL, NULL, NULL, 'NON-HOMOLOGOUS END-JOINING FACTOR 1', NULL, NULL, NULL, 15),
(163809, NULL, 'PTHR16301:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163810, NULL, 'PTHR22760:SF3', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(163811, NULL, 'PTHR43628:SF8', NULL, NULL, NULL, NULL, 'PROTEIN DSF2', NULL, NULL, NULL, 15),
(163812, NULL, 'PTHR11817:SF105', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(163813, NULL, 'PTHR45961:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG09952', NULL, NULL, NULL, 15),
(163814, NULL, 'PTHR10288:SF262', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN K', NULL, NULL, 35386, 15),
(163815, NULL, 'PTHR42689:SF1', NULL, NULL, NULL, NULL, 'ACETYL-COA ACYLTRANSFERASE FADA2 (3-KETOACYL-COA THIOLASE) (BETA-KETOTHIOLASE)-RELATED', NULL, NULL, NULL, 15),
(163816, NULL, 'PTHR47998:SF34', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(163817, NULL, 'PTHR16165:SF9', NULL, NULL, NULL, NULL, 'NXPE FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(163818, NULL, 'PTHR12434', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 22', NULL, NULL, 14767, 15),
(163819, NULL, 'PTHR24343:SF431', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2A', NULL, NULL, NULL, 15),
(163820, NULL, 'PTHR46368:SF12', NULL, NULL, NULL, NULL, 'BNAA06G01630D PROTEIN', NULL, NULL, NULL, 15),
(163821, NULL, 'PTHR45865:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SHPRH', NULL, NULL, NULL, 15),
(163822, NULL, 'PTHR19282:SF158', NULL, NULL, NULL, NULL, 'TETRASPANIN-19', NULL, NULL, NULL, 15),
(163823, NULL, 'PTHR35118:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163824, NULL, 'PTHR24177:SF253', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163825, NULL, 'PTHR12247:SF128', NULL, NULL, NULL, NULL, 'SEX COMB ON MIDLEG-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(163826, NULL, 'PTHR10466:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE 2', NULL, NULL, NULL, 15),
(163827, NULL, 'PTHR11481:SF91', NULL, NULL, NULL, NULL, 'SI:CABZ01036006.1-RELATED', NULL, NULL, NULL, 15),
(163828, NULL, 'PTHR33991', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RECO', NULL, NULL, 2299, 15),
(163829, NULL, 'PTHR18919:SF160', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE, CYTOSOLIC 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(163830, NULL, 'PTHR24416:SF499', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE TYROSINE-PROTEIN KINASE KIN-16', NULL, NULL, NULL, 15),
(163831, NULL, 'PTHR11098:SF19', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(163832, NULL, 'PTHR11141:SF28', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', NULL, NULL, NULL, 15),
(163833, NULL, 'PTHR36359:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RESISTANCE TO PHYTOPHTHORA 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(163834, NULL, 'PTHR43115:SF4', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 11', NULL, NULL, NULL, 15),
(163835, NULL, 'PTHR12411:SF771', NULL, NULL, NULL, NULL, 'SERINE-REPEAT ANTIGEN PROTEIN', NULL, NULL, NULL, 15),
(163836, NULL, 'PTHR35885:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163837, NULL, 'PTHR11638:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163838, NULL, 'PTHR43476:SF3', NULL, NULL, NULL, NULL, '3-(3-HYDROXY-PHENYL)PROPIONATE/3-HYDROXYCINNAMIC ACID HYDROXYLASE', NULL, NULL, NULL, 15),
(163839, NULL, 'PTHR33834:SF9', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(163840, NULL, 'PTHR27001:SF155', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(163841, NULL, 'PTHR45621:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163842, NULL, 'PTHR31929:SF78', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR24', NULL, NULL, NULL, 15),
(163843, NULL, 'PTHR23404:SF2', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN SYNTHASE CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(163844, NULL, 'PTHR33207:SF24', NULL, NULL, NULL, NULL, 'OS05G0147800 PROTEIN', NULL, NULL, NULL, 15),
(163845, NULL, 'PTHR31719:SF80', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 67', NULL, NULL, NULL, 15),
(163846, NULL, 'PTHR23266:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163847, NULL, 'PTHR10972:SF148', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(163848, NULL, 'PTHR43523:SF19', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(163849, NULL, 'PTHR12537:SF157', NULL, NULL, NULL, NULL, 'BNAA10G12990D PROTEIN', NULL, NULL, NULL, 15),
(163850, NULL, 'PTHR20855:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163851, NULL, 'PTHR22952:SF398', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(163852, NULL, 'PTHR23349:SF95', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX', NULL, NULL, NULL, 15),
(163853, NULL, 'PTHR12400:SF79', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE MULTIKINASE ALPHA', NULL, NULL, NULL, 15),
(163854, NULL, 'PTHR26453:SF273', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(163855, NULL, 'PTHR24264:SF38', NULL, NULL, NULL, NULL, 'UROKINASE-TYPE PLASMINOGEN ACTIVATOR', NULL, NULL, 20039, 15),
(163856, NULL, 'PTHR26452:SF217', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(163857, NULL, 'PTHR24282:SF179', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(163858, NULL, 'PTHR30603:SF50', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-70 LIKE DOMAIN, RNA POLYMERASE SIGMA-B/F/G TYPE-RELATED', NULL, NULL, NULL, 15),
(163859, NULL, 'PTHR10127:SF838', NULL, NULL, NULL, NULL, 'HATCHING ENZYME 1, TANDEM DUPLICATE 3-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163860, NULL, 'PTHR45615:SF31', NULL, NULL, NULL, NULL, 'MYOSIN-14', NULL, NULL, NULL, 15),
(163861, NULL, 'PTHR45967:SF27', NULL, NULL, NULL, NULL, 'BASIC REGION/LEUCINE ZIPPER TRANSCRIPTION FACTOR 68-RELATED', NULL, NULL, NULL, 15),
(163862, NULL, 'PTHR11945:SF658', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN AGL71', NULL, NULL, NULL, 15),
(163863, NULL, 'PTHR31719:SF148', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 56-LIKE', NULL, NULL, NULL, 15),
(163864, NULL, 'PTHR24281', NULL, NULL, NULL, NULL, 'STEROID 21-HYDROXYLASE-RELATED', NULL, NULL, NULL, 15),
(163865, NULL, 'PTHR33650:SF3', NULL, NULL, NULL, NULL, 'CEMA-LIKE PROTON EXTRUSION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163866, NULL, 'PTHR10809:SF135', NULL, NULL, NULL, NULL, 'BNACNNG14560D PROTEIN', NULL, NULL, NULL, 15),
(163867, NULL, 'PTHR35547:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163868, NULL, 'PTHR10168:SF243', NULL, NULL, NULL, NULL, 'BNAANNG26900D PROTEIN', NULL, NULL, NULL, 15),
(163869, NULL, 'PTHR47850:SF2', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, KELCH-TYPE BETA PROPELLER-RELATED', NULL, NULL, NULL, 15),
(163870, NULL, 'PTHR10454:SF31', NULL, NULL, NULL, NULL, 'CASPASE-7', NULL, NULL, 9489, 15),
(163871, NULL, 'PTHR32285:SF298', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BEREFRINGENCE-LIKE 7', NULL, NULL, NULL, 15),
(163872, NULL, 'PTHR16172:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163873, NULL, 'PTHR13793:SF85', NULL, NULL, NULL, NULL, 'PEREGRIN', NULL, NULL, NULL, 15),
(163874, NULL, 'PTHR27005:SF382', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163875, NULL, 'PTHR24296:SF121', NULL, NULL, NULL, NULL, 'CYTOCHROME P-450-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163876, NULL, 'PTHR33294:SF8', NULL, NULL, NULL, NULL, 'OS02G0731500 PROTEIN', NULL, NULL, NULL, 15),
(163877, NULL, 'PTHR31656:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163878, NULL, 'PTHR24118:SF85', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX-CONTAINING 10', NULL, NULL, NULL, 15),
(163879, NULL, 'PTHR10122:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163880, NULL, 'PTHR33542:SF5', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163881, NULL, 'PTHR44427:SF11', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 3', NULL, NULL, NULL, 15),
(163882, NULL, 'PTHR23012:SF183', NULL, NULL, NULL, NULL, 'OS08G0436200 PROTEIN', NULL, NULL, NULL, 15),
(163883, NULL, 'PTHR11309:SF99', NULL, NULL, NULL, NULL, 'FRIZZLED-3', NULL, NULL, NULL, 15),
(163884, NULL, 'PTHR40084:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOHYDROLASE, PHP FAMILY', NULL, NULL, NULL, 15),
(163885, NULL, 'PTHR38435', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 14090, 15),
(163886, NULL, 'PTHR11937:SF184', NULL, NULL, NULL, NULL, 'ACTIN ALPHA CARDIAC MUSCLE 1B', NULL, NULL, NULL, 15),
(163887, NULL, 'PTHR10782:SF71', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE SIZ1', NULL, NULL, NULL, 15),
(163888, NULL, 'PTHR45749', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163889, NULL, 'PTHR47928:SF108', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN', NULL, NULL, NULL, 15),
(163890, NULL, 'PTHR48027:SF11', NULL, NULL, NULL, NULL, 'OS01G0367300 PROTEIN', NULL, NULL, NULL, 15),
(163891, NULL, 'PTHR22730:SF8', NULL, NULL, NULL, NULL, 'PROMININ 1 B', NULL, NULL, NULL, 15),
(163892, NULL, 'PTHR43520:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163893, NULL, 'PTHR31282:SF9', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 69-RELATED', NULL, NULL, NULL, 15),
(163894, NULL, 'PTHR48005:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163895, NULL, 'PTHR33562:SF17', NULL, NULL, NULL, NULL, 'PROTEIN QUIVER', NULL, NULL, NULL, 15),
(163896, NULL, 'PTHR24377:SF661', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 211', NULL, NULL, NULL, 15),
(163897, NULL, 'PTHR24115:SF422', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163898, NULL, 'PTHR19229:SF219', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 9', NULL, NULL, NULL, 15),
(163899, NULL, 'PTHR24326', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN', NULL, NULL, 39480, 15),
(163900, NULL, 'PTHR12483:SF112', NULL, NULL, NULL, NULL, 'BNAA02G07170D PROTEIN', NULL, NULL, NULL, 15),
(163901, NULL, 'PTHR45974:SF103', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(163902, NULL, 'PTHR12997:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG05397', NULL, NULL, NULL, 15),
(163903, NULL, 'PTHR12322:SF56', NULL, NULL, NULL, NULL, 'DM (DOUBLESEX/MAB-3) DOMAIN FAMILY', NULL, NULL, NULL, 15),
(163904, NULL, 'PTHR12787:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA-PROCESSING PROTEIN 8', NULL, NULL, NULL, 15),
(163905, NULL, 'PTHR31343:SF46', NULL, NULL, NULL, NULL, 'BNAC08G46230D PROTEIN', NULL, NULL, NULL, 15),
(163906, NULL, 'PTHR46304:SF1', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR II-I REPEAT DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(163907, NULL, 'PTHR31415:SF21', NULL, NULL, NULL, NULL, 'OS08G0102551 PROTEIN', NULL, NULL, NULL, 15),
(163908, NULL, 'PTHR12015:SF100', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 24', NULL, NULL, NULL, 15),
(163909, NULL, 'PTHR41247:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR YCNK', NULL, NULL, NULL, 15),
(163910, NULL, 'PTHR10201:SF29', NULL, NULL, NULL, NULL, '72 KDA TYPE IV COLLAGENASE', NULL, NULL, 23140, 15),
(163911, NULL, 'PTHR47972:SF16', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163912, NULL, 'PTHR11910:SF8', NULL, NULL, NULL, NULL, 'ATPASE, F1 COMPLEX, OSCP/DELTA SUBUNIT PROTEIN', NULL, NULL, NULL, 15),
(163913, NULL, 'PTHR23130:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163914, NULL, 'PTHR10543:SF93', NULL, NULL, NULL, NULL, '9-CIS-EPOXYCAROTENOID DIOXYGENASE NCED2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(163915, NULL, 'PTHR18966:SF483', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(163916, NULL, 'PTHR10694:SF113', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ16-RELATED', NULL, NULL, NULL, 15),
(163917, NULL, 'PTHR47916', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE CLASS 1', NULL, NULL, NULL, 15),
(163918, NULL, 'PTHR33156:SF37', NULL, NULL, NULL, NULL, 'BNAA06G40680D PROTEIN', NULL, NULL, NULL, 15),
(163919, NULL, 'PTHR24219:SF4', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN JUB', NULL, NULL, NULL, 15),
(163920, NULL, 'PTHR34061:SF18', NULL, NULL, NULL, NULL, 'BNAC07G38680D PROTEIN', NULL, NULL, NULL, 15),
(163921, NULL, 'PTHR21525:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG12274', NULL, NULL, NULL, 15),
(163922, NULL, 'PTHR45665:SF18', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP3.1', NULL, NULL, NULL, 15),
(163923, NULL, 'PTHR11177:SF314', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163924, NULL, 'PTHR47928:SF112', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN, DYW DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163925, NULL, 'PTHR33908:SF11', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE YKCB-RELATED', NULL, NULL, NULL, 15),
(163926, NULL, 'PTHR23292:SF2', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE-INDUCED TUMOR NECROSIS FACTOR-ALPHA FACTOR', NULL, NULL, NULL, 15),
(163927, NULL, 'PTHR17408:SF0', NULL, NULL, NULL, NULL, 'HISTONE RNA HAIRPIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(163928, NULL, 'PTHR24376:SF181', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 808', NULL, NULL, NULL, 15),
(163929, NULL, 'PTHR30540:SF123', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 11', NULL, NULL, NULL, 15),
(163930, NULL, 'PTHR43180:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163931, NULL, 'PTHR10896:SF20', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX9L-RELATED', NULL, NULL, NULL, 15),
(163932, NULL, 'PTHR10155:SF18', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE-SIGNALING 9', NULL, NULL, NULL, 15),
(163933, NULL, 'PTHR11559:SF360', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163934, NULL, 'PTHR47992:SF3', NULL, NULL, NULL, NULL, 'BNAA01G37370D PROTEIN', NULL, NULL, NULL, 15),
(163935, NULL, 'PTHR30009:SF8', NULL, NULL, NULL, NULL, 'PTS SYSTEM, IIBC COMPONENT', NULL, NULL, NULL, 15),
(163936, NULL, 'PTHR35773:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX, SUBUNIT 8', NULL, NULL, NULL, 15),
(163937, NULL, 'PTHR43795:SF79', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(163938, NULL, 'PTHR33911', NULL, NULL, NULL, NULL, 'RRNA-PROCESSING PROTEIN EFG1', NULL, NULL, NULL, 15),
(163939, NULL, 'PTHR31111:SF33', NULL, NULL, NULL, NULL, 'BNAA02G16630D PROTEIN', NULL, NULL, NULL, 15),
(163940, NULL, 'PTHR47267:SF4', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE PHOSPHATASE YIGL', NULL, NULL, NULL, 15),
(163941, NULL, 'PTHR11426:SF194', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(163942, NULL, 'PTHR47990:SF7', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 3', NULL, NULL, NULL, 15),
(163943, NULL, 'PTHR31351:SF25', NULL, NULL, NULL, NULL, 'AUXIN CANALIZATION PROTEIN (DUF828)', NULL, NULL, NULL, 15),
(163944, NULL, 'PTHR37324', NULL, NULL, NULL, NULL, 'PTS SYSTEM GALACTITOL-SPECIFIC EIIC COMPONENT', NULL, NULL, 8228, 15),
(163945, NULL, 'PTHR31151:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163946, NULL, 'PTHR46326:SF15', NULL, NULL, NULL, NULL, 'BNACNNG73530D PROTEIN', NULL, NULL, NULL, 15),
(163947, NULL, 'PTHR23430:SF323', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(163948, NULL, 'PTHR42691:SF1', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE YHDR-RELATED', NULL, NULL, NULL, 15),
(163949, NULL, 'PTHR11206:SF293', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 17', NULL, NULL, NULL, 15),
(163950, NULL, 'PTHR22572:SF151', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(163951, NULL, 'PTHR27009:SF238', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.4', NULL, NULL, NULL, 15),
(163952, NULL, 'PTHR12419:SF21', NULL, NULL, NULL, NULL, 'DEUBIQUITINASE OTUD6B', NULL, NULL, NULL, 15),
(163953, NULL, 'PTHR31860:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF639)-RELATED', NULL, NULL, NULL, 15),
(163954, NULL, 'PTHR31218:SF245', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(163955, NULL, 'PTHR33138:SF11', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE, GALACTURONAN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163956, NULL, 'PTHR31232', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 7663, 15),
(163957, NULL, 'PTHR45614:SF144', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', NULL, NULL, NULL, 15),
(163958, NULL, 'PTHR43562:SF3', NULL, NULL, NULL, NULL, 'SODIUM ION/PROTON EXCHANGER (EUROFUNG)', NULL, NULL, NULL, 15),
(163959, NULL, 'PTHR30372', NULL, NULL, NULL, NULL, 'LIPID-A-DISACCHARIDE SYNTHASE', NULL, NULL, 3049, 15),
(163960, NULL, 'PTHR31824', NULL, NULL, NULL, NULL, 'PROTEIN CBG17809', NULL, NULL, NULL, 15),
(163961, NULL, 'PTHR37702:SF3', NULL, NULL, NULL, NULL, 'OS01G0112000 PROTEIN', NULL, NULL, NULL, 15),
(163962, NULL, 'PTHR48224', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 270-RELATED', NULL, NULL, NULL, 15),
(163963, NULL, 'PTHR10209:SF767', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00750)-RELATED', NULL, NULL, NULL, 15),
(163964, NULL, 'PTHR31267:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163965, NULL, 'PTHR20981', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L21', NULL, NULL, 1322, 15),
(163966, NULL, 'PTHR47992:SF149', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C FAMILY PROTEIN', NULL, NULL, NULL, 15),
(163967, NULL, 'PTHR10314:SF190', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE, CHLOROPLASTIC/CHROMOPLASTIC', NULL, NULL, NULL, 15),
(163968, NULL, 'PTHR32044:SF60', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 9-LIKE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(163969, NULL, 'PTHR46271:SF3', NULL, NULL, NULL, NULL, 'RETINAL HOMEOBOX PROTEIN RX', NULL, NULL, NULL, 15),
(163970, NULL, 'PTHR32481:SF7', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE YHFE-RELATED', NULL, NULL, NULL, 15),
(163971, NULL, 'PTHR24253:SF122', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P133', NULL, NULL, NULL, 15),
(163972, NULL, 'PTHR45650:SF48', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(163973, NULL, 'PTHR24637:SF194', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', NULL, NULL, NULL, 15),
(163974, NULL, 'PTHR14845:SF4', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 166', NULL, NULL, 29043, 15),
(163975, NULL, 'PTHR17103:SF11', NULL, NULL, NULL, NULL, 'NEUREXOPHILIN-2', NULL, NULL, NULL, 15),
(163976, NULL, 'PTHR24073:SF1090', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABF2B', NULL, NULL, NULL, 15),
(163977, NULL, 'PTHR47992:SF62', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 52-RELATED', NULL, NULL, NULL, 15),
(163978, NULL, 'PTHR23428:SF191', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(163979, NULL, 'PTHR43867:SF4', NULL, NULL, NULL, NULL, 'BETA-(1-3)-GLUCOSYL TRANSFERASE', NULL, NULL, NULL, 15),
(163980, NULL, 'PTHR31656:SF37', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163981, NULL, 'PTHR33932', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT B', NULL, NULL, NULL, 15),
(163982, NULL, 'PTHR11926:SF1244', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76D1', NULL, NULL, NULL, 15),
(163983, NULL, 'PTHR27000:SF716', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', NULL, NULL, NULL, 15),
(163984, NULL, 'PTHR24296:SF93', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', NULL, NULL, NULL, 15),
(163985, NULL, 'PTHR34539:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(163986, NULL, 'PTHR12629:SF43', NULL, NULL, NULL, NULL, 'DIPHOSPHOINOSITOL POLYPHOSPHATE PHOSPHOHYDROLASE 3-ALPHA', NULL, NULL, NULL, 15),
(163987, NULL, 'PTHR10574:SF411', NULL, NULL, NULL, NULL, 'BASEMENT MEMBRANE-SPECIFIC HEPARAN SULFATE PROTEOGLYCAN CORE PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(163988, NULL, 'PTHR24068:SF376', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 28-LIKE', NULL, NULL, NULL, 15),
(163989, NULL, 'PTHR11683:SF10', NULL, NULL, NULL, NULL, 'NEURONAL MEMBRANE GLYCOPROTEIN M6-B', NULL, NULL, NULL, 15),
(163990, NULL, 'PTHR31066:SF26', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN WITH OCTICOSAPEPTIDE/PHOX/BEM1P DOMAIN', NULL, NULL, NULL, 15),
(163991, NULL, 'PTHR46458:SF11', NULL, NULL, NULL, NULL, 'GLOBIN RELATED-RELATED', NULL, NULL, NULL, 15),
(163992, NULL, 'PTHR23023:SF257', NULL, NULL, NULL, NULL, 'YALI0D21076P', NULL, NULL, NULL, 15),
(163993, NULL, 'PTHR26453:SF609', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(163994, NULL, 'PTHR12002', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, 11434, 15),
(163995, NULL, 'PTHR10353:SF134', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G12600)-RELATED', NULL, NULL, NULL, 15),
(163996, NULL, 'PTHR11216:SF148', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR SUBSTRATE 15-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(163997, NULL, 'PTHR35711:SF8', NULL, NULL, NULL, NULL, 'PROSTATIC SPERMINE-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(163998, NULL, 'PTHR35825', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA PRIME-INTERACTING PROTEIN', NULL, NULL, 33361, 15),
(163999, NULL, 'PTHR43272:SF66', NULL, NULL, NULL, NULL, 'LONG-CHAIN ACYL-COA SYNTHETASE 6-RELATED', NULL, NULL, NULL, 15),
(164000, NULL, 'PTHR11640:SF124', NULL, NULL, NULL, NULL, 'HEMICENTIN 2', NULL, NULL, NULL, 15),
(164001, NULL, 'PTHR11216:SF54', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR SUBSTRATE 15', NULL, NULL, NULL, 15),
(164002, NULL, 'PTHR19970:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164003, NULL, 'PTHR20961:SF98', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164004, NULL, 'PTHR15197:SF2', NULL, NULL, NULL, NULL, 'SPHERE ORGANELLES PROTEIN-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164005, NULL, 'PTHR15909:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L35, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(164006, NULL, 'PTHR46387:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164007, NULL, 'PTHR31234:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164008, NULL, 'PTHR31989:SF324', NULL, NULL, NULL, NULL, 'BNAA09G51610D PROTEIN', NULL, NULL, NULL, 15),
(164009, NULL, 'PTHR43610', NULL, NULL, NULL, NULL, 'BLL6696 PROTEIN', NULL, NULL, NULL, 15),
(164010, NULL, 'PTHR46993:SF7', NULL, NULL, NULL, NULL, 'BNAC09G33810D PROTEIN', NULL, NULL, NULL, 15),
(164011, NULL, 'PTHR42994', NULL, NULL, NULL, NULL, 'PEPTIDASE T', NULL, NULL, NULL, 15),
(164012, NULL, 'PTHR47350:SF5', NULL, NULL, NULL, NULL, 'PROTEIN IWS1 HOMOLOG 2', NULL, NULL, NULL, 15),
(164013, NULL, 'PTHR32021:SF36', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(164014, NULL, 'PTHR46152', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR-INTERACTING RAS-LIKE PROTEIN', NULL, NULL, 39685, 15),
(164015, NULL, 'PTHR19972:SF10', NULL, NULL, NULL, NULL, 'SECRETAGOGIN', NULL, NULL, NULL, 15),
(164016, NULL, 'PTHR33087:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164017, NULL, 'PTHR21575', NULL, NULL, NULL, NULL, 'PROTEIN HID1', NULL, NULL, 25485, 15),
(164018, NULL, 'PTHR12801:SF132', NULL, NULL, NULL, NULL, 'SMALL RNA DEGRADING NUCLEASE 2', NULL, NULL, NULL, 15),
(164019, NULL, 'PTHR47926:SF222', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164020, NULL, 'PTHR22770', NULL, NULL, NULL, NULL, 'UBIQUITIN CONJUGATING ENZYME 7 INTERACTING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164021, NULL, 'PTHR43674', NULL, NULL, NULL, NULL, 'NITRILASE C965.09-RELATED', NULL, NULL, NULL, 15),
(164022, NULL, 'PTHR30154:SF51', NULL, NULL, NULL, NULL, 'ASNC-FAMILY TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(164023, NULL, 'PTHR11003:SF276', NULL, NULL, NULL, NULL, 'RE21922P', NULL, NULL, NULL, 15),
(164024, NULL, 'PTHR31077:SF5', NULL, NULL, NULL, NULL, 'U4/U6.U5 SMALL NUCLEAR RIBONUCLEOPROTEIN 27 KDA PROTEIN', NULL, NULL, NULL, 15),
(164025, NULL, 'PTHR24291:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164026, NULL, 'PTHR47977:SF29', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-35', NULL, NULL, NULL, 15),
(164027, NULL, 'PTHR31384:SF13', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 3', NULL, NULL, NULL, 15),
(164028, NULL, 'PTHR16557:SF9', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(164029, NULL, 'PTHR11712:SF297', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(164030, NULL, 'PTHR22814:SF331', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(164031, NULL, 'PTHR11908:SF92', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE 1-RELATED', NULL, NULL, NULL, 15),
(164032, NULL, 'PTHR32093:SF111', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(164033, NULL, 'PTHR13817:SF16', NULL, NULL, NULL, NULL, 'MYOMESIN-1', NULL, NULL, NULL, 15),
(164034, NULL, 'PTHR36311:SF3', NULL, NULL, NULL, NULL, 'BNAANNG28120D PROTEIN', NULL, NULL, NULL, 15),
(164035, NULL, 'PTHR34364:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164036, NULL, 'PTHR13066:SF2', NULL, NULL, NULL, NULL, 'GOLGIN-45', NULL, NULL, NULL, 15),
(164037, NULL, 'PTHR19226:SF2', NULL, NULL, NULL, NULL, 'THY-1 MEMBRANE GLYCOPROTEIN', NULL, NULL, NULL, 15),
(164038, NULL, 'PTHR11062:SF205', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164039, NULL, 'PTHR13123:SF7', NULL, NULL, NULL, NULL, 'LD30288P', NULL, NULL, NULL, 15),
(164040, NULL, 'PTHR22595:SF79', NULL, NULL, NULL, NULL, 'CHITINASE 12', NULL, NULL, NULL, 15),
(164041, NULL, 'PTHR32258:SF29', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 4B', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164042, NULL, 'PTHR31933:SF15', NULL, NULL, NULL, NULL, 'BNAANNG04900D PROTEIN', NULL, NULL, NULL, 15),
(164043, NULL, 'PTHR31089:SF34', NULL, NULL, NULL, NULL, 'OS10G0406300 PROTEIN', NULL, NULL, NULL, 15),
(164044, NULL, 'PTHR10283:SF77', NULL, NULL, NULL, NULL, 'PROTEIN CBG18085', NULL, NULL, NULL, 15),
(164045, NULL, 'PTHR31080:SF169', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(164046, NULL, 'PTHR31765:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12783', NULL, NULL, NULL, 15),
(164047, NULL, 'PTHR23324:SF86', NULL, NULL, NULL, NULL, 'PROTEIN CBG23168', NULL, NULL, NULL, 15),
(164048, NULL, 'PTHR23226:SF279', NULL, NULL, NULL, NULL, 'ZNF70 ISOFORM 1', NULL, NULL, NULL, 15),
(164049, NULL, 'PTHR14208:SF7', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER AND W2 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(164050, NULL, 'PTHR13318:SF59', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(164051, NULL, 'PTHR33377:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164052, NULL, 'PTHR38811:SF1', NULL, NULL, NULL, NULL, 'UPF0284 PROTEIN SLL1500', NULL, NULL, NULL, 15),
(164053, NULL, 'PTHR47500:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 21', NULL, NULL, NULL, 15),
(164054, NULL, 'PTHR33477:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164055, NULL, 'PTHR10751', NULL, NULL, NULL, NULL, 'GUANYLATE BINDING PROTEIN', NULL, NULL, NULL, 15),
(164056, NULL, 'PTHR24062:SF45', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(164057, NULL, 'PTHR24256:SF503', NULL, NULL, NULL, NULL, 'SERINE PROTEASE H64', NULL, NULL, NULL, 15),
(164058, NULL, 'PTHR21700:SF114', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(164059, NULL, 'PTHR24221:SF546', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164060, NULL, 'PTHR22952', NULL, NULL, NULL, NULL, 'CAMP-RESPONSE ELEMENT BINDING PROTEIN-RELATED', NULL, NULL, 36719, 15),
(164061, NULL, 'PTHR12918', NULL, NULL, NULL, NULL, 'CYSTEINE DIOXYGENASE', NULL, NULL, 7736, 15),
(164062, NULL, 'PTHR31657:SF26', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-13-LIKE', NULL, NULL, NULL, 15),
(164063, NULL, 'PTHR31662:SF64', NULL, NULL, NULL, NULL, 'BNAC07G47850D PROTEIN', NULL, NULL, NULL, 15),
(164064, NULL, 'PTHR15245:SF40', NULL, NULL, NULL, NULL, 'BNAA09G27860D PROTEIN', NULL, NULL, NULL, 15),
(164065, NULL, 'PTHR46073:SF1', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE-RELATED', NULL, NULL, NULL, 15),
(164066, NULL, 'PTHR26379:SF288', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164067, NULL, 'PTHR47967:SF85', NULL, NULL, NULL, NULL, 'OS05G0383700 PROTEIN', NULL, NULL, NULL, 15),
(164068, NULL, 'PTHR31375:SF53', NULL, NULL, NULL, NULL, 'EXO-BETA-1,3-GLUCANASE', NULL, NULL, NULL, 15),
(164069, NULL, 'PTHR38146:SF8', NULL, NULL, NULL, NULL, 'BNACNNG13060D PROTEIN', NULL, NULL, NULL, 15),
(164070, NULL, 'PTHR23250:SF9', NULL, NULL, NULL, NULL, 'TECTONIN BETA-PROPELLER REPEAT-CONTAINING 1A', NULL, NULL, NULL, 15),
(164071, NULL, 'PTHR30411', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(164072, NULL, 'PTHR46499:SF2', NULL, NULL, NULL, NULL, 'ARCHAEOSINE TRNA-RIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(164073, NULL, 'PTHR46323:SF1', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE (EUROFUNG)', NULL, NULL, NULL, 15),
(164074, NULL, 'PTHR12828', NULL, NULL, NULL, NULL, 'PROTEASOME MATURATION PROTEIN  UMP1', NULL, NULL, 5128, 15),
(164075, NULL, 'PTHR46047:SF3', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 61F', NULL, NULL, NULL, 15),
(164076, NULL, 'PTHR43139:SF49', NULL, NULL, NULL, NULL, 'BNAC02G00900D PROTEIN', NULL, NULL, NULL, 15),
(164077, NULL, 'PTHR21696:SF2', NULL, NULL, NULL, NULL, 'PROTEIN UNC-79 HOMOLOG', NULL, NULL, NULL, 15),
(164078, NULL, 'PTHR33184:SF61', NULL, NULL, NULL, NULL, 'TPD1 PROTEIN HOMOLOG 1', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164079, NULL, 'PTHR22953:SF120', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 11-RELATED', NULL, NULL, NULL, 15),
(164080, NULL, 'PTHR47925:SF70', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164081, NULL, 'PTHR32285:SF38', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE RELATED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(164082, NULL, 'PTHR22812:SF149', NULL, NULL, NULL, NULL, 'CHROMOBOX 3', NULL, NULL, 36208, 15),
(164083, NULL, 'PTHR47456:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-31C13.1', NULL, NULL, NULL, 15),
(164084, NULL, 'PTHR10792:SF37', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24', NULL, NULL, NULL, 15),
(164085, NULL, 'PTHR31415:SF53', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(164086, NULL, 'PTHR24286:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164087, NULL, 'PTHR10908:SF5', NULL, NULL, NULL, NULL, 'ARYLALKYLAMINE N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(164088, NULL, 'PTHR10484:SF81', NULL, NULL, NULL, NULL, 'HISTONE H4.1', NULL, NULL, NULL, 15),
(164089, NULL, 'PTHR36945:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN C02F5.12-RELATED', NULL, NULL, NULL, 15),
(164090, NULL, 'PTHR22595:SF160', NULL, NULL, NULL, NULL, 'BASIC ENDOCHITINASE-LIKE', NULL, NULL, NULL, 15),
(164091, NULL, 'PTHR48019:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164092, NULL, 'PTHR11814:SF195', NULL, NULL, NULL, NULL, 'AGAP001531-PA', NULL, NULL, NULL, 15),
(164093, NULL, 'PTHR14226:SF68', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE PATATIN FAMILY', NULL, NULL, NULL, 15),
(164094, NULL, 'PTHR11588:SF53', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-4A CHAIN', NULL, NULL, NULL, 15),
(164095, NULL, 'PTHR31589:SF132', NULL, NULL, NULL, NULL, 'BNAC06G31720D PROTEIN', NULL, NULL, NULL, 15),
(164096, NULL, 'PTHR47978:SF33', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA2D', NULL, NULL, NULL, 15),
(164097, NULL, 'PTHR26452:SF265', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(164098, NULL, 'PTHR20905:SF1', NULL, NULL, NULL, NULL, 'EG:BACR25B3.5 PROTEIN', NULL, NULL, NULL, 15),
(164099, NULL, 'PTHR37369', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 270', NULL, NULL, 21620, 15),
(164100, NULL, 'PTHR19367:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164101, NULL, 'PTHR11008:SF31', NULL, NULL, NULL, NULL, 'AGAP001983-PA', NULL, NULL, NULL, 15),
(164102, NULL, 'PTHR31235:SF198', NULL, NULL, NULL, NULL, 'PEROXIDASE 57', NULL, NULL, NULL, 15),
(164103, NULL, 'PTHR43731:SF16', NULL, NULL, NULL, NULL, 'RHOMBOSORTASE', NULL, NULL, NULL, 15),
(164104, NULL, 'PTHR46506:SF20', NULL, NULL, NULL, NULL, 'JACALIN-LIKE LECTIN DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(164105, NULL, 'PTHR24056:SF452', NULL, NULL, NULL, NULL, 'OS08G0112500 PROTEIN', NULL, NULL, NULL, 15),
(164106, NULL, 'PTHR31985:SF202', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF027-LIKE', NULL, NULL, NULL, 15),
(164107, NULL, 'PTHR23400', NULL, NULL, NULL, NULL, 'DENTIN MATRIX ACIDIC PHOSPHOPROTEIN 1', NULL, NULL, 14744, 15),
(164108, NULL, 'PTHR30128:SF63', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I CHLOROPHYLL A APOPROTEIN A2', NULL, NULL, NULL, 15),
(164109, NULL, 'PTHR45613:SF277', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(164110, NULL, 'PTHR33649:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164111, NULL, 'PTHR39244:SF5', NULL, NULL, NULL, NULL, 'NATTERIN-4', NULL, NULL, NULL, 15),
(164112, NULL, 'PTHR22917:SF7', NULL, NULL, NULL, NULL, 'VITRONECTIN A', NULL, NULL, NULL, 15),
(164113, NULL, 'PTHR22552:SF31', NULL, NULL, NULL, NULL, 'CAENACIN (CAENORHABDITIS BACTERIOCIN)-RELATED', NULL, NULL, NULL, 15),
(164114, NULL, 'PTHR30069:SF34', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT HEME RECEPTOR A', NULL, NULL, NULL, 15),
(164115, NULL, 'PTHR31992:SF230', NULL, NULL, NULL, NULL, 'BNAANNG33280D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164116, NULL, 'PTHR12297:SF11', NULL, NULL, NULL, NULL, 'HIG1 DOMAIN FAMILY MEMBER 2A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(164117, NULL, 'PTHR19856:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(164118, NULL, 'PTHR16083:SF20', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(164119, NULL, 'PTHR18966:SF450', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2.9', NULL, NULL, NULL, 15),
(164120, NULL, 'PTHR23095:SF16', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN MA2', NULL, NULL, 24352, 15),
(164121, NULL, 'PTHR11206:SF425', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(164122, NULL, 'PTHR10961:SF41', NULL, NULL, NULL, NULL, 'SARCOSINE OXIDASE-RELATED', NULL, NULL, NULL, 15),
(164123, NULL, 'PTHR46095', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 593', NULL, NULL, NULL, 15),
(164124, NULL, 'PTHR12628:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164125, NULL, 'PTHR24349:SF337', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE', NULL, NULL, NULL, 15),
(164126, NULL, 'PTHR43626:SF1', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE NAT5', NULL, NULL, NULL, 15),
(164127, NULL, 'PTHR13582', NULL, NULL, NULL, NULL, 'M-PHASE PHOSPHOPROTEIN 6', NULL, NULL, 15244, 15),
(164128, NULL, 'PTHR12321:SF115', NULL, NULL, NULL, NULL, 'ALFIN-LIKE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(164129, NULL, 'PTHR31668:SF10', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(164130, NULL, 'PTHR37010', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE TUSE', NULL, NULL, 4828, 15),
(164131, NULL, 'PTHR43391:SF57', NULL, NULL, NULL, NULL, 'ACYL REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(164132, NULL, 'PTHR43397', NULL, NULL, NULL, NULL, 'ERGOTHIONEINE BIOSYNTHESIS PROTEIN 1', NULL, NULL, NULL, 15),
(164133, NULL, 'PTHR22743:SF167', NULL, NULL, NULL, NULL, 'PROTEIN CBG03413', NULL, NULL, NULL, 15),
(164134, NULL, 'PTHR10366:SF635', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164135, NULL, 'PTHR11935:SF77', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(164136, NULL, 'PTHR11516:SF60', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(164137, NULL, 'PTHR20854:SF17', NULL, NULL, NULL, NULL, 'PHOSPHATASE IMPL1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(164138, NULL, 'PTHR43874:SF96', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR4', NULL, NULL, NULL, 15),
(164139, NULL, 'PTHR47997:SF42', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164140, NULL, 'PTHR10891:SF899', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML27-RELATED', NULL, NULL, NULL, 15),
(164141, NULL, 'PTHR31541:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164142, NULL, 'PTHR15467', NULL, NULL, NULL, NULL, 'ZINC-FINGERS AND HOMEOBOXES RELATED', NULL, NULL, NULL, 15),
(164143, NULL, 'PTHR11177:SF367', NULL, NULL, NULL, NULL, 'SI:CH211-226M16.2', NULL, NULL, NULL, 15),
(164144, NULL, 'PTHR43776:SF12', NULL, NULL, NULL, NULL, 'D,D-DIPEPTIDE TRANSPORT ATP-BINDING PROTEIN DDPF-RELATED', NULL, NULL, NULL, 15),
(164145, NULL, 'PTHR47646:SF1', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN MAGIX', NULL, NULL, NULL, 15),
(164146, NULL, 'PTHR33052:SF30', NULL, NULL, NULL, NULL, 'OS01G0165600 PROTEIN', NULL, NULL, NULL, 15),
(164147, NULL, 'PTHR45974:SF14', NULL, NULL, NULL, NULL, 'DNA-DAMAGE-REPAIR/TOLERATION PROTEIN DRT100-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(164148, NULL, 'PTHR47719:SF2', NULL, NULL, NULL, NULL, 'SKP1-INTERACTING PARTNER 15', NULL, NULL, NULL, 15),
(164149, NULL, 'PTHR10290:SF1', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE I, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(164150, NULL, 'PTHR12612:SF29', NULL, NULL, NULL, NULL, 'NTF2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(164151, NULL, 'PTHR10334:SF440', NULL, NULL, NULL, NULL, 'CAP, CYSTEINE-RICH SECRETORY PROTEIN, ANTIGEN 5', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164152, NULL, 'PTHR33181:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164153, NULL, 'PTHR12307:SF44', NULL, NULL, NULL, NULL, 'GLYCOGEN-BINDING SUBUNIT 76A', NULL, NULL, NULL, 15),
(164154, NULL, 'PTHR12587:SF4', NULL, NULL, NULL, NULL, 'LIPRIN-ALPHA-3', NULL, NULL, 24145, 15),
(164155, NULL, 'PTHR33207:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164156, NULL, 'PTHR28136', NULL, NULL, NULL, NULL, 'NUCLEUS EXPORT PROTEIN BRR6', NULL, NULL, 33947, 15),
(164157, NULL, 'PTHR47747:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(164158, NULL, 'PTHR11210:SF1', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 11', NULL, NULL, NULL, 15),
(164159, NULL, 'PTHR31642:SF223', NULL, NULL, NULL, NULL, 'BAHD FAMILY ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(164160, NULL, 'PTHR33021:SF270', NULL, NULL, NULL, NULL, 'PLASTOCYANIN-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(164161, NULL, 'PTHR24247:SF205', NULL, NULL, NULL, NULL, 'D(4) DOPAMINE RECEPTOR', NULL, NULL, NULL, 15),
(164162, NULL, 'PTHR11260:SF700', NULL, NULL, NULL, NULL, 'BNAC05G13370D PROTEIN', NULL, NULL, NULL, 15),
(164163, NULL, 'PTHR22751:SF54', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(164164, NULL, 'PTHR43490:SF88', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(164165, NULL, 'PTHR31589:SF77', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PEPTIDASE', NULL, NULL, NULL, 15),
(164166, NULL, 'PTHR10302:SF18', NULL, NULL, NULL, NULL, 'PROTEIN OSB1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(164167, NULL, 'PTHR31683:SF78', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(164168, NULL, 'PTHR24409:SF383', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(164169, NULL, 'PTHR12411:SF526', NULL, NULL, NULL, NULL, 'GERMINATION-SPECIFIC CYSTEINE PROTEASE 1', NULL, NULL, NULL, 15),
(164170, NULL, 'PTHR38595:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164171, NULL, 'PTHR33120:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164172, NULL, 'PTHR31118:SF28', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE-RELATED', NULL, NULL, NULL, 15),
(164173, NULL, 'PTHR11247:SF58', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(164174, NULL, 'PTHR42701', NULL, NULL, NULL, NULL, 'IMIDAZOLE GLYCEROL PHOSPHATE SYNTHASE SUBUNIT HISH', NULL, NULL, 10905, 15),
(164175, NULL, 'PTHR14952:SF9', NULL, NULL, NULL, NULL, 'ROPPORIN-1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(164176, NULL, 'PTHR31463:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164177, NULL, 'PTHR11527:SF326', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONE-RELATED', NULL, NULL, NULL, 15),
(164178, NULL, 'PTHR31717:SF76', NULL, NULL, NULL, NULL, 'B-BOX-TYPE ZINC FINGER-RELATED', NULL, NULL, NULL, 15),
(164179, NULL, 'PTHR14455', NULL, NULL, NULL, NULL, 'ASKOPOS', NULL, NULL, 26121, 15),
(164180, NULL, 'PTHR43220:SF9', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN FAMILY', NULL, NULL, NULL, 15),
(164181, NULL, 'PTHR47029:SF2', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS PROTEIN 1', NULL, NULL, NULL, 15),
(164182, NULL, 'PTHR21659:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164183, NULL, 'PTHR32467:SF172', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(164184, NULL, 'PTHR15124:SF21', NULL, NULL, NULL, NULL, 'SELENOPROTEIN W', NULL, NULL, NULL, 15),
(164185, NULL, 'PTHR11895:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164186, NULL, 'PTHR43839:SF3', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(164187, NULL, 'PTHR36338', NULL, NULL, NULL, NULL, 'OS02G0495900 PROTEIN', NULL, NULL, NULL, 15),
(164188, NULL, 'PTHR21646:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164189, NULL, 'PTHR42865:SF10', NULL, NULL, NULL, NULL, 'SODIUM:DICARBOXYLATE SYMPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(164190, NULL, 'PTHR31115', NULL, NULL, NULL, NULL, 'OS05G0107300 PROTEIN', NULL, NULL, NULL, 15),
(164191, NULL, 'PTHR47979:SF31', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5B-LIKE', NULL, NULL, NULL, 15),
(164192, NULL, 'PTHR24073:SF912', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-17', NULL, NULL, NULL, 15),
(164193, NULL, 'PTHR10662:SF27', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR 1', NULL, NULL, NULL, 15),
(164194, NULL, 'PTHR31790:SF362', NULL, NULL, NULL, NULL, 'BNAC03G47290D PROTEIN', NULL, NULL, NULL, 15),
(164195, NULL, 'PTHR32212:SF300', NULL, NULL, NULL, NULL, 'BNAC09G29960D PROTEIN', NULL, NULL, NULL, 15),
(164196, NULL, 'PTHR27005:SF314', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL PSEUDOKINASE ZED1', NULL, NULL, NULL, 15),
(164197, NULL, 'PTHR35706', NULL, NULL, NULL, NULL, 'F14O23.11 PROTEIN', NULL, NULL, NULL, 15),
(164198, NULL, 'PTHR27006:SF176', NULL, NULL, NULL, NULL, 'BNAC02G19770D PROTEIN', NULL, NULL, NULL, 15),
(164199, NULL, 'PTHR43310:SF2', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(164200, NULL, 'PTHR14224:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164201, NULL, 'PTHR22844:SF344', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(164202, NULL, 'PTHR13964', NULL, NULL, NULL, NULL, 'RBP-RELATED', NULL, NULL, NULL, 15),
(164203, NULL, 'PTHR37543:SF1', NULL, NULL, NULL, NULL, 'CCCH ZINC FINGER DNA BINDING PROTEIN (AFU_ORTHOLOGUE AFUA_5G12760)', NULL, NULL, NULL, 15),
(164204, NULL, 'PTHR43139:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164205, NULL, 'PTHR11247:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164206, NULL, 'PTHR10544:SF10', NULL, NULL, NULL, NULL, 'RPL28 ISOFORM 1', NULL, NULL, NULL, 15),
(164207, NULL, 'PTHR33983:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164208, NULL, 'PTHR16214:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 260', NULL, NULL, NULL, 15),
(164209, NULL, 'PTHR13903:SF21', NULL, NULL, NULL, NULL, 'PIRIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(164210, NULL, 'PTHR24286:SF65', NULL, NULL, NULL, NULL, 'OS04G0570600 PROTEIN', NULL, NULL, NULL, 15),
(164211, NULL, 'PTHR30126:SF80', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(164212, NULL, 'PTHR15710:SF44', NULL, NULL, NULL, NULL, 'BNAA03G47990D PROTEIN', NULL, NULL, NULL, 15),
(164213, NULL, 'PTHR43243:SF70', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORTER YGJI-RELATED', NULL, NULL, NULL, 15),
(164214, NULL, 'PTHR12320:SF52', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C BIPP2C1-RELATED', NULL, NULL, NULL, 15),
(164215, NULL, 'PTHR35766', NULL, NULL, NULL, NULL, 'OS08G0543600 PROTEIN', NULL, NULL, NULL, 15),
(164216, NULL, 'PTHR15431', NULL, NULL, NULL, NULL, 'FGFR1 ONCOGENE PARTNER/LISH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(164217, NULL, 'PTHR25462:SF252', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 24', NULL, NULL, NULL, 15),
(164218, NULL, 'PTHR33321:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164219, NULL, 'PTHR37534:SF10', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(164220, NULL, 'PTHR24073:SF1148', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN YPTM1', NULL, NULL, NULL, 15),
(164221, NULL, 'PTHR34048:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164222, NULL, 'PTHR46463:SF36', NULL, NULL, NULL, NULL, 'BNAA09G51750D PROTEIN', NULL, NULL, NULL, 15),
(164223, NULL, 'PTHR43597', NULL, NULL, NULL, NULL, 'SULFUR ACCEPTOR PROTEIN CSDE', NULL, NULL, 3165, 15),
(164224, NULL, 'PTHR31429:SF82', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 31-RELATED', NULL, NULL, NULL, 15),
(164225, NULL, 'PTHR46506:SF13', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164226, NULL, 'PTHR24223', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY C', NULL, NULL, NULL, 15),
(164227, NULL, 'PTHR11926:SF1374', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76F1-RELATED', NULL, NULL, NULL, 15),
(164228, NULL, 'PTHR12947:SF14', NULL, NULL, NULL, NULL, 'AMSH-LIKE UBIQUITIN THIOESTERASE', NULL, NULL, NULL, 15),
(164229, NULL, 'PTHR22874:SF9', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(164230, NULL, 'PTHR21100:SF10', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 4', NULL, NULL, NULL, 15),
(164231, NULL, 'PTHR43177:SF8', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN OXIDOREDUCTASE, IRON-SULFUR BINDING SUBUNIT', NULL, NULL, NULL, 15),
(164232, NULL, 'PTHR43329:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(164233, NULL, 'PTHR24173:SF14', NULL, NULL, NULL, NULL, 'PROTEIN FEM-1 HOMOLOG C', NULL, NULL, NULL, 15),
(164234, NULL, 'PTHR12287:SF20', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR KINASE SUBSTRATE 8-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(164235, NULL, 'PTHR19869', NULL, NULL, NULL, NULL, 'SPERMATID WD-REPEAT PROTEIN', NULL, NULL, 33596, 15),
(164236, NULL, 'PTHR31717:SF70', NULL, NULL, NULL, NULL, 'OS02G0176000 PROTEIN', NULL, NULL, NULL, 15),
(164237, NULL, 'PTHR46236:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164238, NULL, 'PTHR12596:SF18', NULL, NULL, NULL, NULL, 'BNAA10G30440D PROTEIN', NULL, NULL, NULL, 15),
(164239, NULL, 'PTHR34630:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164240, NULL, 'PTHR45619:SF46', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(164241, NULL, 'PTHR24637:SF314', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(164242, NULL, 'PTHR46076:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING2', NULL, NULL, 35914, 15),
(164243, NULL, 'PTHR32212:SF378', NULL, NULL, NULL, NULL, 'F-BOX/RNI/FBD-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(164244, NULL, 'PTHR36327', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(164245, NULL, 'PTHR10909:SF344', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACYL-COENZYME A OXIDASE 2', NULL, NULL, NULL, 15),
(164246, NULL, 'PTHR13408:SF6', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE III SUBUNIT RPC4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(164247, NULL, 'PTHR46301:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164248, NULL, 'PTHR36916:SF2', NULL, NULL, NULL, NULL, 'SI:CH1073-263O8.2-RELATED', NULL, NULL, NULL, 15),
(164249, NULL, 'PTHR31241:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164250, NULL, 'PTHR12320:SF58', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(164251, NULL, 'PTHR38097:SF2', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN STPA', NULL, NULL, NULL, 15),
(164252, NULL, 'PTHR13683:SF630', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-2-LIKE', NULL, NULL, NULL, 15),
(164253, NULL, 'PTHR11438:SF2', NULL, NULL, NULL, NULL, 'PREPRONOCICEPTIN', NULL, NULL, NULL, 15),
(164254, NULL, 'PTHR32285:SF194', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 19', NULL, NULL, NULL, 15),
(164255, NULL, 'PTHR45717:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164256, NULL, 'PTHR34947:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(164257, NULL, 'PTHR11249:SF3', NULL, NULL, NULL, NULL, 'GLIA MATURATION FACTOR BETA', NULL, NULL, NULL, 15),
(164258, NULL, 'PTHR44083:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164259, NULL, 'PTHR10926:SF49', NULL, NULL, NULL, NULL, 'ALA-INTERACTING SUBUNIT 4-RELATED', NULL, NULL, NULL, 15),
(164260, NULL, 'PTHR11461:SF145', NULL, NULL, NULL, NULL, 'ALPHA-1-ANTICHYMOTRYPSIN', NULL, NULL, NULL, 15),
(164261, NULL, 'PTHR11122:SF46', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164262, NULL, 'PTHR21177:SF6', NULL, NULL, NULL, NULL, 'GH11627P', NULL, NULL, NULL, 15),
(164263, NULL, 'PTHR12480', NULL, NULL, NULL, NULL, 'ARGININE DEMETHYLASE AND LYSYL-HYDROXYLASE JMJD', NULL, NULL, NULL, 15),
(164264, NULL, 'PTHR26452', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(164265, NULL, 'PTHR27005:SF380', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164266, NULL, 'PTHR48022:SF69', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(164267, NULL, 'PTHR11615:SF258', NULL, NULL, NULL, NULL, 'CYTOSOLIC FE-S CLUSTER ASSEMBLY FACTOR CG17683-RELATED', NULL, NULL, NULL, 15),
(164268, NULL, 'PTHR36291', NULL, NULL, NULL, NULL, 'UBAP1-MVB12-ASSOCIATED (UMA)-DOMAIN CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(164269, NULL, 'PTHR24023:SF912', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XV) CHAIN', NULL, NULL, NULL, 15),
(164270, NULL, 'PTHR37179', NULL, NULL, NULL, NULL, 'TRANSGLYCOSYLASE', NULL, NULL, NULL, 15),
(164271, NULL, 'PTHR46787:SF1', NULL, NULL, NULL, NULL, 'SYNDROMES PUTATIVE CHAPERONIN-RELATED', NULL, NULL, NULL, 15),
(164272, NULL, 'PTHR19818:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164273, NULL, 'PTHR47254:SF1', NULL, NULL, NULL, NULL, 'CELL WALL MANNOPROTEIN CIS3-RELATED', NULL, NULL, NULL, 15),
(164274, NULL, 'PTHR44337:SF15', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC BETA-1-GLYCOPROTEIN 11-RELATED', NULL, NULL, NULL, 15),
(164275, NULL, 'PTHR43537:SF20', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR GLAR', NULL, NULL, NULL, 15),
(164276, NULL, 'PTHR36531:SF2', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED EXONUCLEASE CAS4', NULL, NULL, NULL, 15),
(164277, NULL, 'PTHR13006:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 395B', NULL, NULL, NULL, 15),
(164278, NULL, 'PTHR22765:SF265', NULL, NULL, NULL, NULL, 'BNAA06G00320D PROTEIN', NULL, NULL, NULL, 15),
(164279, NULL, 'PTHR10642:SF23', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H1', NULL, NULL, NULL, 15),
(164280, NULL, 'PTHR47926:SF143', NULL, NULL, NULL, NULL, 'BNAC01G35620D PROTEIN', NULL, NULL, NULL, 15),
(164281, NULL, 'PTHR43243:SF66', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 1-LIKE', NULL, NULL, NULL, 15),
(164282, NULL, 'PTHR31111:SF14', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 8', NULL, NULL, NULL, 15),
(164283, NULL, 'PTHR24296:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164284, NULL, 'PTHR11528:SF112', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90-2-RELATED', NULL, NULL, NULL, 15),
(164285, NULL, 'PTHR31650:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164286, NULL, 'PTHR11514:SF136', NULL, NULL, NULL, NULL, 'BNAC07G33660D PROTEIN', NULL, NULL, NULL, 15),
(164287, NULL, 'PTHR31225:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164288, NULL, 'PTHR47005:SF2', NULL, NULL, NULL, NULL, 'NEUROFILAMENT HEAVY POLYPEPTIDE-LIKE', NULL, NULL, NULL, 15),
(164289, NULL, 'PTHR46094', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 9', NULL, NULL, 27367, 15),
(164290, NULL, 'PTHR23155:SF896', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RFL1-RELATED', NULL, NULL, NULL, 15),
(164291, NULL, 'PTHR26374:SF352', NULL, NULL, NULL, NULL, 'CYS2-HIS2 ZINC FINGER TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(164292, NULL, 'PTHR46158:SF9', NULL, NULL, NULL, NULL, 'BNAANNG08520D PROTEIN', NULL, NULL, NULL, 15),
(164293, NULL, 'PTHR31062:SF103', NULL, NULL, NULL, NULL, 'ENDOXYLOGLUCAN TRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(164294, NULL, 'PTHR10288:SF264', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS K HOMOLOGY DOMAIN-LIKE', NULL, NULL, NULL, 15),
(164295, NULL, 'PTHR12113:SF12', NULL, NULL, NULL, NULL, 'DICKKOPF-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(164296, NULL, 'PTHR40736:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164297, NULL, 'PTHR45680:SF15', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164298, NULL, 'PTHR33074', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164299, NULL, 'PTHR33052:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164300, NULL, 'PTHR13817:SF57', NULL, NULL, NULL, NULL, 'IG (IMMUNOGLOBULIN) AND DB (CYS-RICH) DOMAINS', NULL, NULL, NULL, 15),
(164301, NULL, 'PTHR35353', NULL, NULL, NULL, NULL, 'OSTEOCRIN', NULL, NULL, 15435, 15),
(164302, NULL, 'PTHR23220:SF73', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-IIB', NULL, NULL, NULL, 15),
(164303, NULL, 'PTHR45614:SF151', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(164304, NULL, 'PTHR23322:SF85', NULL, NULL, NULL, NULL, 'BNAA02G21640D PROTEIN', NULL, NULL, NULL, 15),
(164305, NULL, 'PTHR12451:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CASTOR HOMOLOG 1', NULL, NULL, NULL, 15),
(164306, NULL, 'PTHR21461', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(164307, NULL, 'PTHR14677:SF17', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(164308, NULL, 'PTHR10725:SF61', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(164309, NULL, 'PTHR34374:SF1', NULL, NULL, NULL, NULL, 'LARGE RIBOSOMAL RNA SUBUNIT ACCUMULATION PROTEIN YCED HOMOLOG 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(164310, NULL, 'PTHR24064:SF73', NULL, NULL, NULL, NULL, 'PROTEIN CBG13370', NULL, NULL, NULL, 15),
(164311, NULL, 'PTHR45776:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR EC', NULL, NULL, 19404, 15),
(164312, NULL, 'PTHR24092:SF91', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, 28566, 15),
(164313, NULL, 'PTHR24028:SF54', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-10', NULL, NULL, NULL, 15),
(164314, NULL, 'PTHR33527:SF21', NULL, NULL, NULL, NULL, 'OS10G0182800 PROTEIN', NULL, NULL, NULL, 15),
(164315, NULL, 'PTHR10231:SF89', NULL, NULL, NULL, NULL, 'BNAC03G49310D PROTEIN', NULL, NULL, NULL, 15),
(164316, NULL, 'PTHR46756:SF16', NULL, NULL, NULL, NULL, 'GAS2-LIKE PROTEIN 1', NULL, NULL, 27122, 15),
(164317, NULL, 'PTHR31391:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164318, NULL, 'PTHR31061:SF21', NULL, NULL, NULL, NULL, 'SI:DKEY-192P21.6', NULL, NULL, NULL, 15),
(164319, NULL, 'PTHR11040:SF48', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 10-RELATED', NULL, NULL, NULL, 15),
(164320, NULL, 'PTHR31286:SF63', NULL, NULL, NULL, NULL, 'BNAC09G51710D PROTEIN', NULL, NULL, NULL, 15),
(164321, NULL, 'PTHR26454:SF36', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(164322, NULL, 'PTHR23266:SF120', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY CONSTANT MU', NULL, NULL, NULL, 15),
(164323, NULL, 'PTHR11032:SF1', NULL, NULL, NULL, NULL, 'FMS-RELATED TYROSINE KINASE 3 LIGAND', NULL, NULL, NULL, 15),
(164324, NULL, 'PTHR33565:SF23', NULL, NULL, NULL, NULL, 'DORMANCYAUXIN ASSOCIATED-RELATED', NULL, NULL, NULL, 15),
(164325, NULL, 'PTHR11089:SF11', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN-LIKE 3', NULL, NULL, NULL, 15),
(164326, NULL, 'PTHR33527:SF14', NULL, NULL, NULL, NULL, 'OS07G0274300 PROTEIN', NULL, NULL, NULL, 15),
(164327, NULL, 'PTHR31752:SF4', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 2', NULL, NULL, 33404, 15),
(164328, NULL, 'PTHR15387', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 17', NULL, NULL, 31325, 15),
(164329, NULL, 'PTHR38730', NULL, NULL, NULL, NULL, 'SLL7028 PROTEIN', NULL, NULL, NULL, 15),
(164330, NULL, 'PTHR12447:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164331, NULL, 'PTHR11860:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN TMIGD3', NULL, NULL, NULL, 15),
(164332, NULL, 'PTHR45705', NULL, NULL, NULL, NULL, 'FI20236P1', NULL, NULL, NULL, 15),
(164333, NULL, 'PTHR40606', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164334, NULL, 'PTHR31274:SF2', NULL, NULL, NULL, NULL, 'AGL149CP', NULL, NULL, NULL, 15),
(164335, NULL, 'PTHR31734:SF204', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164336, NULL, 'PTHR15907:SF165', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 12', NULL, NULL, NULL, 15),
(164337, NULL, 'PTHR24073:SF1119', NULL, NULL, NULL, NULL, 'RAS FAMILY PROTEIN', NULL, NULL, NULL, 15),
(164338, NULL, 'PTHR48021:SF14', NULL, NULL, NULL, NULL, 'BNAA07G01410D PROTEIN', NULL, NULL, NULL, 15),
(164339, NULL, 'PTHR12999:SF19', NULL, NULL, NULL, NULL, 'BNAC09G30490D PROTEIN', NULL, NULL, NULL, 15),
(164340, NULL, 'PTHR13068:SF87', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(164341, NULL, 'PTHR12186:SF3', NULL, NULL, NULL, NULL, 'FGFR1 ONCOGENE PARTNER 2', NULL, NULL, NULL, 15),
(164342, NULL, 'PTHR34052:SF6', NULL, NULL, NULL, NULL, 'CUB AND SUSHI DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(164343, NULL, 'PTHR46216:SF1', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 37B', NULL, NULL, NULL, 15),
(164344, NULL, 'PTHR46057:SF24', NULL, NULL, NULL, NULL, 'OS08G0451200 PROTEIN', NULL, NULL, NULL, 15),
(164345, NULL, 'PTHR11850:SF300', NULL, NULL, NULL, NULL, 'PBX1A HOMEODOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164346, NULL, 'PTHR23268:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164347, NULL, 'PTHR33474', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(164348, NULL, 'PTHR48043:SF114', NULL, NULL, NULL, NULL, 'DOROTHY, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(164349, NULL, 'PTHR31448:SF33', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(164350, NULL, 'PTHR12741:SF74', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 11', NULL, NULL, NULL, 15),
(164351, NULL, 'PTHR14572', NULL, NULL, NULL, NULL, 'PANCREATIC PROGENITOR CELL DIFFERENTIATION AND PROLIFERATION FACTOR', NULL, NULL, 25417, 15),
(164352, NULL, 'PTHR11254:SF293', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SMURF1', NULL, NULL, NULL, 15),
(164353, NULL, 'PTHR33548:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164354, NULL, 'PTHR42844:SF9', NULL, NULL, NULL, NULL, '7,8-DIHYDRONEOPTERIN ALDOLASE', NULL, NULL, NULL, 15),
(164355, NULL, 'PTHR23050:SF312', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(164356, NULL, 'PTHR13145:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164357, NULL, 'PTHR42842', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE', NULL, NULL, 2238, 15),
(164358, NULL, 'PTHR24177:SF33', NULL, NULL, NULL, NULL, 'ANKYRIN-REPEAT CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(164359, NULL, 'PTHR46136:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE11', NULL, NULL, NULL, 15),
(164360, NULL, 'PTHR31009:SF42', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETATE O-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(164361, NULL, 'PTHR30212:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YIIM', NULL, NULL, NULL, 15),
(164362, NULL, 'PTHR48018:SF14', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8B4', NULL, NULL, NULL, 15),
(164363, NULL, 'PTHR46130:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164364, NULL, 'PTHR47985:SF21', NULL, NULL, NULL, NULL, 'BNACNNG52200D PROTEIN', NULL, NULL, NULL, 15),
(164365, NULL, 'PTHR24092:SF189', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(164366, NULL, 'PTHR32258:SF21', NULL, NULL, NULL, NULL, 'KINASE INTERACTING (KIP1-LIKE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(164367, NULL, 'PTHR31048:SF134', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(164368, NULL, 'PTHR48017:SF32', NULL, NULL, NULL, NULL, 'BNAC03G65390D PROTEIN', NULL, NULL, NULL, 15),
(164369, NULL, 'PTHR32161:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164370, NULL, 'PTHR46316:SF2', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(164371, NULL, 'PTHR22765:SF288', NULL, NULL, NULL, NULL, 'ERAD-ASSOCIATED E3 UBIQUITIN-PROTEIN LIGASE HRD1B', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164372, NULL, 'PTHR44688:SF17', NULL, NULL, NULL, NULL, 'DNA-BINDING TRANSCRIPTIONAL ACTIVATOR EVGA-RELATED', NULL, NULL, NULL, 15),
(164373, NULL, 'PTHR45000', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(164374, NULL, 'PTHR24349:SF81', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 6', NULL, NULL, NULL, 15),
(164375, NULL, 'PTHR45048:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 88', NULL, NULL, NULL, 15),
(164376, NULL, 'PTHR31989:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164377, NULL, 'PTHR43512:SF6', NULL, NULL, NULL, NULL, 'TRANSLATION FACTOR GUF1 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(164378, NULL, 'PTHR23500:SF559', NULL, NULL, NULL, NULL, 'BNAC03G34490D PROTEIN', NULL, NULL, NULL, 15),
(164379, NULL, 'PTHR35574:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14602', NULL, NULL, NULL, 15),
(164380, NULL, 'PTHR43210:SF5', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DETHIOBIOTIN SYNTHETASE BIOD 1', NULL, NULL, NULL, 15),
(164381, NULL, 'PTHR10315:SF91', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINAT2-LIKE', NULL, NULL, NULL, 15),
(164382, NULL, 'PTHR31509:SF67', NULL, NULL, NULL, NULL, 'OSJNBA0018M05.6 PROTEIN', NULL, NULL, NULL, 15),
(164383, NULL, 'PTHR46291:SF5', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT DOMAIN-CONTAINING PROTEIN 4C', NULL, NULL, 25209, 15),
(164384, NULL, 'PTHR43112:SF28', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(164385, NULL, 'PTHR10972:SF88', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 2B', NULL, NULL, NULL, 15),
(164386, NULL, 'PTHR23305:SF18', NULL, NULL, NULL, NULL, 'OBG-LIKE ATPASE 1', NULL, NULL, NULL, 15),
(164387, NULL, 'PTHR42888:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L36, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(164388, NULL, 'PTHR31963:SF16', NULL, NULL, NULL, NULL, 'OS06G0635200 PROTEIN', NULL, NULL, NULL, 15),
(164389, NULL, 'PTHR46304', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR II-I REPEAT DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(164390, NULL, 'PTHR11783:SF179', NULL, NULL, NULL, NULL, 'CYTOSOLIC SULFOTRANSFERASE 12-RELATED', NULL, NULL, NULL, 15),
(164391, NULL, 'PTHR45762', NULL, NULL, NULL, NULL, 'ZINC FINGER RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(164392, NULL, 'PTHR10605:SF18', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(164393, NULL, 'PTHR33651:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG06246', NULL, NULL, NULL, 15),
(164394, NULL, 'PTHR36339:SF2', NULL, NULL, NULL, NULL, 'F23A5.5', NULL, NULL, NULL, 15),
(164395, NULL, 'PTHR30258', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN GSPE-RELATED', NULL, NULL, NULL, 15),
(164396, NULL, 'PTHR13817:SF81', NULL, NULL, NULL, NULL, 'CONTACTIN-2', NULL, NULL, NULL, 15),
(164397, NULL, 'PTHR46677', NULL, NULL, NULL, NULL, 'SMC5-SMC6 COMPLEX LOCALIZATION FACTOR PROTEIN 1', NULL, NULL, 40015, 15),
(164398, NULL, 'PTHR31985:SF192', NULL, NULL, NULL, NULL, 'INTEGRASE-TYPE DNA-BINDING SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164399, NULL, 'PTHR31446:SF30', NULL, NULL, NULL, NULL, 'BNAA09G39460D PROTEIN', NULL, NULL, NULL, 15),
(164400, NULL, 'PTHR43004:SF4', NULL, NULL, NULL, NULL, 'PHENOL 2-MONOOXYGENASE', NULL, NULL, NULL, 15),
(164401, NULL, 'PTHR10559:SF18', NULL, NULL, NULL, NULL, 'AGAP004726-PA', NULL, NULL, NULL, 15),
(164402, NULL, 'PTHR19969:SF8', NULL, NULL, NULL, NULL, 'ADAPTER MOLECULE CRK', NULL, NULL, NULL, 15),
(164403, NULL, 'PTHR31561:SF140', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 11-LIKE', NULL, NULL, NULL, 15),
(164404, NULL, 'PTHR33779:SF10', NULL, NULL, NULL, NULL, 'BNAA09G38550D PROTEIN', NULL, NULL, NULL, 15),
(164405, NULL, 'PTHR22999', NULL, NULL, NULL, NULL, 'PX SERINE/THREONINE KINASE  PXK', NULL, NULL, NULL, 15),
(164406, NULL, 'PTHR31080:SF96', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15),
(164407, NULL, 'PTHR45662:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITIDE PHOSPHATASE SAC2', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164408, NULL, 'PTHR11596:SF76', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE', NULL, NULL, NULL, 15),
(164409, NULL, 'PTHR37389:SF26', NULL, NULL, NULL, NULL, 'BNAC03G74330D PROTEIN', NULL, NULL, NULL, 15),
(164410, NULL, 'PTHR32212', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX', NULL, NULL, NULL, 15),
(164411, NULL, 'PTHR10744:SF26', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11-1', NULL, NULL, NULL, 15),
(164412, NULL, 'PTHR23226:SF164', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS 2', NULL, NULL, NULL, 15),
(164413, NULL, 'PTHR31798:SF3', NULL, NULL, NULL, NULL, 'OS01G0103800 PROTEIN', NULL, NULL, NULL, 15),
(164414, NULL, 'PTHR23305', NULL, NULL, NULL, NULL, 'OBG GTPASE FAMILY', NULL, NULL, NULL, 15),
(164415, NULL, 'PTHR31787:SF13', NULL, NULL, NULL, NULL, 'FRIZZLED AND SMOOTHENED-LIKE PROTEIN J', NULL, NULL, NULL, 15),
(164416, NULL, 'PTHR37701:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164417, NULL, 'PTHR43721:SF21', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU', NULL, NULL, NULL, 15),
(164418, NULL, 'PTHR34789:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(164419, NULL, 'PTHR18966:SF503', NULL, NULL, NULL, NULL, 'NMDA CLASS GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(164420, NULL, 'PTHR36419', NULL, NULL, NULL, NULL, 'ARRESTIN FAMILY PROTEIN 1', NULL, NULL, NULL, 15),
(164421, NULL, 'PTHR48044:SF12', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(164422, NULL, 'PTHR45730:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164423, NULL, 'PTHR47958:SF61', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 11', NULL, NULL, NULL, 15),
(164424, NULL, 'PTHR43327:SF38', NULL, NULL, NULL, NULL, 'BNACNNG14570D PROTEIN', NULL, NULL, NULL, 15),
(164425, NULL, 'PTHR30100:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(164426, NULL, 'PTHR31232:SF69', NULL, NULL, NULL, NULL, 'BNACNNG20600D PROTEIN', NULL, NULL, NULL, 15),
(164427, NULL, 'PTHR24345:SF82', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK4', NULL, NULL, NULL, 15),
(164428, NULL, 'PTHR31790:SF344', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164429, NULL, 'PTHR42927:SF1', NULL, NULL, NULL, NULL, 'HELICASE SUPERFAMILY 1 AND 2 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(164430, NULL, 'PTHR45658:SF71', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(164431, NULL, 'PTHR31568:SF64', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', NULL, NULL, NULL, 15),
(164432, NULL, 'PTHR12203:SF95', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 90 PROTEIN', NULL, NULL, NULL, 15),
(164433, NULL, 'PTHR42747', NULL, NULL, NULL, NULL, 'NITRONATE MONOOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(164434, NULL, 'PTHR11374:SF42', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE', NULL, NULL, NULL, 15),
(164435, NULL, 'PTHR24033:SF183', NULL, NULL, NULL, NULL, 'ABNORMAL PHARYNGEAL PUMPING EAT-20', NULL, NULL, NULL, 15),
(164436, NULL, 'PTHR34806:SF9', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(164437, NULL, 'PTHR32285:SF200', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(164438, NULL, 'PTHR23021:SF43', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(164439, NULL, 'PTHR10351:SF57', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3', NULL, NULL, NULL, 15),
(164440, NULL, 'PTHR11732:SF477', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(164441, NULL, 'PTHR24096:SF362', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 9', NULL, NULL, NULL, 15),
(164442, NULL, 'PTHR13382:SF12', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RHP7', NULL, NULL, NULL, 15),
(164443, NULL, 'PTHR45658:SF87', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164444, NULL, 'PTHR33095:SF67', NULL, NULL, NULL, NULL, 'PHEROMONE RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(164445, NULL, 'PTHR31213:SF157', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN', NULL, NULL, NULL, 15),
(164446, NULL, 'PTHR48024:SF9', NULL, NULL, NULL, NULL, 'OSJNBB0034I13.9 PROTEIN', NULL, NULL, NULL, 15),
(164447, NULL, 'PTHR30632', NULL, NULL, NULL, NULL, 'MOLYBDATE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(164448, NULL, 'PTHR12064:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164449, NULL, 'PTHR10026:SF133', NULL, NULL, NULL, NULL, 'CYCLIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164450, NULL, 'PTHR42991:SF8', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(164451, NULL, 'PTHR10183:SF329', NULL, NULL, NULL, NULL, 'CALPAIN-3', NULL, NULL, 25835, 15),
(164452, NULL, 'PTHR41294', NULL, NULL, NULL, NULL, 'CADMIUM-INDUCED PROTEIN CADI', NULL, NULL, NULL, 15),
(164453, NULL, 'PTHR16266:SF17', NULL, NULL, NULL, NULL, 'BRWD3', NULL, NULL, NULL, 15),
(164454, NULL, 'PTHR24177:SF269', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164455, NULL, 'PTHR31561:SF113', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 19-LIKE', NULL, NULL, NULL, 15),
(164456, NULL, 'PTHR36942', NULL, NULL, NULL, NULL, 'PROTEIN CBG10268', NULL, NULL, NULL, 15),
(164457, NULL, 'PTHR43228:SF5', NULL, NULL, NULL, NULL, 'STAGE 0 SPORULATION PROTEIN A', NULL, NULL, NULL, 15),
(164458, NULL, 'PTHR24384:SF207', NULL, NULL, NULL, NULL, 'SI:CH211-161M3.1-RELATED', NULL, NULL, NULL, 15),
(164459, NULL, 'PTHR35716', NULL, NULL, NULL, NULL, 'OS05G0574700 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164460, NULL, 'PTHR10159:SF408', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164461, NULL, 'PTHR12565:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164462, NULL, 'PTHR34223:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164463, NULL, 'PTHR11746:SF232', NULL, NULL, NULL, NULL, 'INDOLE GLUCOSINOLATE O-METHYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(164464, NULL, 'PTHR45348:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL OXIDOREDUCTASE (EUROFUNG)', NULL, NULL, NULL, 15),
(164465, NULL, 'PTHR24412:SF22', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 40', NULL, NULL, 26891, 15),
(164466, NULL, 'PTHR45824:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN 3', NULL, NULL, NULL, 15),
(164467, NULL, 'PTHR16134:SF94', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', NULL, NULL, NULL, 15),
(164468, NULL, 'PTHR36892', NULL, NULL, NULL, NULL, 'OS01G0201800 PROTEIN', NULL, NULL, NULL, 15),
(164469, NULL, 'PTHR45640:SF8', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP-12.2', NULL, NULL, NULL, 15),
(164470, NULL, 'PTHR11571:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164471, NULL, 'PTHR23236:SF50', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B', NULL, NULL, NULL, 15),
(164472, NULL, 'PTHR47701:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MODIFIER OF SNC1 11', NULL, NULL, NULL, 15),
(164473, NULL, 'PTHR11183:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164474, NULL, 'PTHR24064', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER', NULL, NULL, NULL, 15),
(164475, NULL, 'PTHR33401:SF18', NULL, NULL, NULL, NULL, 'BNAC04G43810D PROTEIN', NULL, NULL, NULL, 15),
(164476, NULL, 'PTHR44019:SF18', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(164477, NULL, 'PTHR10426:SF57', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 8-LIKE', NULL, NULL, 2521, 15),
(164478, NULL, 'PTHR19143:SF255', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-LIKE 1B', NULL, NULL, NULL, 15),
(164479, NULL, 'PTHR24096:SF381', NULL, NULL, NULL, NULL, 'FATTY ACID COA SYNTHETASE FAMILY', NULL, NULL, NULL, 15),
(164480, NULL, 'PTHR16740:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164481, NULL, 'PTHR16267:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE 3-KINASE ADAPTER PROTEIN 1', NULL, NULL, NULL, 15),
(164482, NULL, 'PTHR10824:SF37', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE 20', NULL, NULL, NULL, 15),
(164483, NULL, 'PTHR11967', NULL, NULL, NULL, NULL, 'ALPHA-1-ACID GLYCOPROTEIN', NULL, NULL, NULL, 15),
(164484, NULL, 'PTHR31339:SF50', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(164485, NULL, 'PTHR36981:SF1', NULL, NULL, NULL, NULL, 'ZGC:195170', NULL, NULL, NULL, 15),
(164486, NULL, 'PTHR33021:SF360', NULL, NULL, NULL, NULL, 'OS08G0482600 PROTEIN', NULL, NULL, NULL, 15),
(164487, NULL, 'PTHR45817', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE-LIKE-RELATED', NULL, NULL, NULL, 15),
(164488, NULL, 'PTHR31044:SF57', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(164489, NULL, 'PTHR35182:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG05388', NULL, NULL, NULL, 15),
(164490, NULL, 'PTHR24036:SF16', NULL, NULL, NULL, NULL, 'KNICKKOPF', NULL, NULL, NULL, 15),
(164491, NULL, 'PTHR21426:SF12', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 8', NULL, NULL, NULL, 15),
(164492, NULL, 'PTHR15588:SF16', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM1', NULL, NULL, NULL, 15),
(164493, NULL, 'PTHR43537:SF2', NULL, NULL, NULL, NULL, 'GLUCONATE OPERON TRANSCRIPTIONAL REPRESSOR', NULL, NULL, NULL, 15),
(164494, NULL, 'PTHR27000:SF724', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164495, NULL, 'PTHR42711:SF13', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(164496, NULL, 'PTHR11260:SF625', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(164497, NULL, 'PTHR43157:SF44', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 13', NULL, NULL, NULL, 15),
(164498, NULL, 'PTHR45703:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164499, NULL, 'PTHR10877:SF184', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND IQ MOTIF CONTAINING 1', NULL, NULL, NULL, 15),
(164500, NULL, 'PTHR34536:SF7', NULL, NULL, NULL, NULL, 'BNAA10G28360D PROTEIN', NULL, NULL, NULL, 15),
(164501, NULL, 'PTHR23119:SF52', NULL, NULL, NULL, NULL, 'DISKS LARGE HOMOLOG 1', NULL, NULL, NULL, 15),
(164502, NULL, 'PTHR46443:SF3', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 8', NULL, NULL, NULL, 15),
(164503, NULL, 'PTHR11100:SF18', NULL, NULL, NULL, NULL, 'PRO-NEUREGULIN-3, MEMBRANE-BOUND ISOFORM', NULL, NULL, NULL, 15),
(164504, NULL, 'PTHR12411:SF327', NULL, NULL, NULL, NULL, 'CATHEPSIN L-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(164505, NULL, 'PTHR12203:SF76', NULL, NULL, NULL, NULL, 'DOWNSTREAM TARGET OF AGL15 2', NULL, NULL, NULL, 15),
(164506, NULL, 'PTHR33621:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164507, NULL, 'PTHR24343:SF368', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(164508, NULL, 'PTHR48053:SF47', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR ISOFORM X1', NULL, NULL, NULL, 15),
(164509, NULL, 'PTHR45619:SF23', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(164510, NULL, 'PTHR12290:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 2-RELATED', NULL, NULL, NULL, 15),
(164511, NULL, 'PTHR38009', NULL, NULL, NULL, NULL, 'CONSERVED HYPOTHETICAL PHAGE TAIL PROTEIN', NULL, NULL, 11725, 15),
(164512, NULL, 'PTHR32133:SF343', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164513, NULL, 'PTHR24377:SF142', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 546', NULL, NULL, NULL, 15),
(164514, NULL, 'PTHR34708', NULL, NULL, NULL, NULL, 'OS07G0440000 PROTEIN', NULL, NULL, NULL, 15),
(164515, NULL, 'PTHR33565:SF24', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN HOMOLOG 4', NULL, NULL, NULL, 15),
(164516, NULL, 'PTHR33870:SF19', NULL, NULL, NULL, NULL, 'LRR PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164517, NULL, 'PTHR47560:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(164518, NULL, 'PTHR10438:SF394', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CXXS2-RELATED', NULL, NULL, NULL, 15),
(164519, NULL, 'PTHR26374:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164520, NULL, 'PTHR15036:SF69', NULL, NULL, NULL, NULL, 'SI:DKEYP-41F9.3', NULL, NULL, NULL, 15),
(164521, NULL, 'PTHR13793:SF146', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN, 140KD, ISOFORM A', NULL, NULL, NULL, 15),
(164522, NULL, 'PTHR33167:SF36', NULL, NULL, NULL, NULL, 'BNAC08G40020D PROTEIN', NULL, NULL, NULL, 15),
(164523, NULL, 'PTHR31448:SF46', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(164524, NULL, 'PTHR45676:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164525, NULL, 'PTHR15241:SF327', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1', NULL, NULL, NULL, 15),
(164526, NULL, 'PTHR23421:SF159', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00670)-RELATED', NULL, NULL, NULL, 15),
(164527, NULL, 'PTHR23063:SF2', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(164528, NULL, 'PTHR10953:SF226', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 3', NULL, NULL, NULL, 15),
(164529, NULL, 'PTHR43908:SF8', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 12', NULL, NULL, NULL, 15),
(164530, NULL, 'PTHR38706', NULL, NULL, NULL, NULL, 'SI:CH211-198C19.1-RELATED', NULL, NULL, NULL, 15),
(164531, NULL, 'PTHR11746:SF254', NULL, NULL, NULL, NULL, 'ACETYLSEROTONIN O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(164532, NULL, 'PTHR47976:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(164533, NULL, 'PTHR11037', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CP2', NULL, NULL, NULL, 15),
(164534, NULL, 'PTHR11011:SF67', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 1', NULL, NULL, NULL, 15),
(164535, NULL, 'PTHR31232:SF87', NULL, NULL, NULL, NULL, 'BNAANNG19020D PROTEIN', NULL, NULL, NULL, 15),
(164536, NULL, 'PTHR10519', NULL, NULL, NULL, NULL, 'GABA-B RECEPTOR', NULL, NULL, 7052, 15),
(164537, NULL, 'PTHR12552:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164538, NULL, 'PTHR10283:SF133', NULL, NULL, NULL, NULL, 'BNAA02G25550D PROTEIN', NULL, NULL, NULL, 15),
(164539, NULL, 'PTHR31284:SF42', NULL, NULL, NULL, NULL, 'BNAA06G36380D PROTEIN', NULL, NULL, NULL, 15),
(164540, NULL, 'PTHR23279:SF38', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 9, ISOFORM A', NULL, NULL, NULL, 15),
(164541, NULL, 'PTHR24343:SF396', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 31', NULL, NULL, NULL, 15),
(164542, NULL, 'PTHR33147:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164543, NULL, 'PTHR31114:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-RELATED', NULL, NULL, NULL, 15),
(164544, NULL, 'PTHR40623', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164545, NULL, 'PTHR22811:SF123', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24BETA2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(164546, NULL, 'PTHR37736:SF1', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(164547, NULL, 'PTHR32077:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164548, NULL, 'PTHR23024:SF416', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 15-RELATED', NULL, NULL, NULL, 15),
(164549, NULL, 'PTHR15751:SF12', NULL, NULL, NULL, NULL, 'TRAFFICKING KINESIN-BINDING PROTEIN MILT', NULL, NULL, NULL, 15),
(164550, NULL, 'PTHR45690:SF9', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 4A', NULL, NULL, NULL, 15),
(164551, NULL, 'PTHR48105:SF19', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE 3', NULL, NULL, NULL, 15),
(164552, NULL, 'PTHR31218:SF291', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164553, NULL, 'PTHR11654:SF411', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164554, NULL, 'PTHR38248:SF2', NULL, NULL, NULL, NULL, 'FUNK1 6', NULL, NULL, NULL, 15),
(164555, NULL, 'PTHR28498:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(164556, NULL, 'PTHR47988:SF29', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(164557, NULL, 'PTHR14948:SF25', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(164558, NULL, 'PTHR42695:SF13', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE CLASS-I FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(164559, NULL, 'PTHR33413:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(164560, NULL, 'PTHR35312:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164561, NULL, 'PTHR21325:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164562, NULL, 'PTHR33076:SF59', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(164563, NULL, 'PTHR43266:SF3', NULL, NULL, NULL, NULL, 'MACROLIDE-EFFLUX PROTEIN', NULL, NULL, NULL, 15),
(164564, NULL, 'PTHR11544:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164565, NULL, 'PTHR11926:SF1006', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(164566, NULL, 'PTHR11153:SF35', NULL, NULL, NULL, NULL, 'SIDOREFLEXIN', NULL, NULL, NULL, 15),
(164567, NULL, 'PTHR13683:SF848', NULL, NULL, NULL, NULL, 'BNACNNG04620D PROTEIN', NULL, NULL, NULL, 15),
(164568, NULL, 'PTHR32080:SF40', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(164569, NULL, 'PTHR13082', NULL, NULL, NULL, NULL, 'SAP18', NULL, NULL, 12155, 15),
(164570, NULL, 'PTHR35753:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MAINTENANCE OF PSII UNDER HIGH LIGHT 1', NULL, NULL, NULL, 15),
(164571, NULL, 'PTHR15896', NULL, NULL, NULL, NULL, 'GOLGI PHOSPHOPROTEIN 2/GP73-RELATED', NULL, NULL, 24427, 15),
(164572, NULL, 'PTHR13328:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164573, NULL, 'PTHR36315', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 4, CHLOROPLASTIC', NULL, NULL, 18338, 15),
(164574, NULL, 'PTHR36762:SF4', NULL, NULL, NULL, NULL, 'LIGHT-REGULATED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(164575, NULL, 'PTHR23336:SF54', NULL, NULL, NULL, NULL, 'ATP-BINDING REGION, ATPASE-LIKE DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(164576, NULL, 'PTHR43029:SF31', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(164577, NULL, 'PTHR19424:SF8', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR-BINDING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(164578, NULL, 'PTHR13769:SF5', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN BB, TANDEM DUPLICATE 1-RELATED', NULL, NULL, NULL, 15),
(164579, NULL, 'PTHR33191:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164580, NULL, 'PTHR24343:SF189', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 32', NULL, NULL, NULL, 15),
(164581, NULL, 'PTHR11537:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164582, NULL, 'PTHR31113:SF34', NULL, NULL, NULL, NULL, 'BNAC06G29750D PROTEIN', NULL, NULL, NULL, 15),
(164583, NULL, 'PTHR23176:SF14', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN GACJJ', NULL, NULL, NULL, 15),
(164584, NULL, 'PTHR23015:SF4', NULL, NULL, NULL, NULL, 'BTB AND MATH DOMAIN CONTAINING-RELATED', NULL, NULL, NULL, 15),
(164585, NULL, 'PTHR47727:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 9 MEMBER A', NULL, NULL, NULL, 15),
(164586, NULL, 'PTHR33021:SF152', NULL, NULL, NULL, NULL, 'OS04G0545600 PROTEIN', NULL, NULL, NULL, 15),
(164587, NULL, 'PTHR31017:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LCHN', NULL, NULL, NULL, 15),
(164588, NULL, 'PTHR22883:SF357', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(164589, NULL, 'PTHR12565:SF378', NULL, NULL, NULL, NULL, 'OSJNBA0038P21.14 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164590, NULL, 'PTHR11158:SF28', NULL, NULL, NULL, NULL, 'OS09G0486000 PROTEIN', NULL, NULL, NULL, 15),
(164591, NULL, 'PTHR16517:SF127', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(164592, NULL, 'PTHR37078', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164593, NULL, 'PTHR31775:SF27', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(164594, NULL, 'PTHR10338:SF154', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN 1-RELATED', NULL, NULL, NULL, 15),
(164595, NULL, 'PTHR16081', NULL, NULL, NULL, NULL, 'VERTNIN', NULL, NULL, 33739, 15),
(164596, NULL, 'PTHR13832:SF738', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-LIKE PROTEIN', NULL, NULL, NULL, 15),
(164597, NULL, 'PTHR11043:SF30', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ZETA-2-LIKE', NULL, NULL, NULL, 15),
(164598, NULL, 'PTHR10805:SF2', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT EPSILON-2', NULL, NULL, NULL, 15),
(164599, NULL, 'PTHR24221:SF553', NULL, NULL, NULL, NULL, 'LD18126P', NULL, NULL, 24444, 15),
(164600, NULL, 'PTHR11738:SF176', NULL, NULL, NULL, NULL, 'LEUKOCYTE IMMUNOGLOBULIN-LIKE RECEPTOR SUBFAMILY B MEMBER 2', NULL, NULL, NULL, 15),
(164601, NULL, 'PTHR12322:SF66', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR B1', NULL, NULL, NULL, 15),
(164602, NULL, 'PTHR11709:SF2', NULL, NULL, NULL, NULL, 'MULTICOPPER OXIDASE LPR2', NULL, NULL, NULL, 15),
(164603, NULL, 'PTHR22907', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(164604, NULL, 'PTHR13028', NULL, NULL, NULL, NULL, 'RRNA PROCESSING PROTEIN EBNA1-BINDING PROTEIN-RELATED', NULL, NULL, 14413, 15),
(164605, NULL, 'PTHR33479:SF11', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE TRYPSIN INHIBITOR', NULL, NULL, NULL, 15),
(164606, NULL, 'PTHR48019:SF52', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN AGAMOUS-LIKE', NULL, NULL, NULL, 15),
(164607, NULL, 'PTHR10489:SF655', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR-LIKE 2', NULL, NULL, NULL, 15),
(164608, NULL, 'PTHR46855:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164609, NULL, 'PTHR13080:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164610, NULL, 'PTHR43243:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164611, NULL, 'PTHR27004:SF384', NULL, NULL, NULL, NULL, 'BNAA01G31210D PROTEIN', NULL, NULL, NULL, 15),
(164612, NULL, 'PTHR33732', NULL, NULL, NULL, NULL, 'REF/SRPP-LIKE PROTEIN OS05G0151300/LOC_OS05G05940', NULL, NULL, 14282, 15),
(164613, NULL, 'PTHR35814:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YECN', NULL, NULL, NULL, 15),
(164614, NULL, 'PTHR32448:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164615, NULL, 'PTHR10039:SF8', NULL, NULL, NULL, NULL, 'NACHT AND TPR DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_7G06670)', NULL, NULL, NULL, 15),
(164616, NULL, 'PTHR22893:SF68', NULL, NULL, NULL, NULL, 'NAD(P)H:FLAVIN OXIDOREDUCTASE SYE2', NULL, NULL, NULL, 15),
(164617, NULL, 'PTHR22957:SF561', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 2A-LIKE', NULL, NULL, NULL, 15),
(164618, NULL, 'PTHR26450:SF97', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(164619, NULL, 'PTHR31520', NULL, NULL, NULL, NULL, 'VEXIN', NULL, NULL, 29472, 15),
(164620, NULL, 'PTHR42820:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164621, NULL, 'PTHR10509:SF30', NULL, NULL, NULL, NULL, 'TRICIN SYNTHASE 2', NULL, NULL, NULL, 15),
(164622, NULL, 'PTHR31190:SF319', NULL, NULL, NULL, NULL, 'BNAANNG21280D PROTEIN', NULL, NULL, NULL, 15),
(164623, NULL, 'PTHR41283:SF1', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(164624, NULL, 'PTHR18868:SF29', NULL, NULL, NULL, NULL, 'OS06G0142000 PROTEIN', NULL, NULL, NULL, 15),
(164625, NULL, 'PTHR27000:SF622', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(164626, NULL, 'PTHR24067:SF264', NULL, NULL, NULL, NULL, 'AGAP003090-PA', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164627, NULL, 'PTHR46804:SF3', NULL, NULL, NULL, NULL, 'MGC134232 PROTEIN', NULL, NULL, NULL, 15),
(164628, NULL, 'PTHR12203:SF78', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 90 PROTEIN', NULL, NULL, NULL, 15),
(164629, NULL, 'PTHR11960:SF49', NULL, NULL, NULL, NULL, 'BNAA05G12740D PROTEIN', NULL, NULL, NULL, 15),
(164630, NULL, 'PTHR12022:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(164631, NULL, 'PTHR32227:SF248', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(164632, NULL, 'PTHR23119:SF53', NULL, NULL, NULL, NULL, 'SYNAPTOJANIN-2-BINDING PROTEIN', NULL, NULL, NULL, 15),
(164633, NULL, 'PTHR33453:SF22', NULL, NULL, NULL, NULL, '60 KDA JASMONATE-INDUCED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(164634, NULL, 'PTHR24225:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164635, NULL, 'PTHR35473', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 20506, 15),
(164636, NULL, 'PTHR37911', NULL, NULL, NULL, NULL, 'OSJNBA0067K08.20 PROTEIN', NULL, NULL, NULL, 15),
(164637, NULL, 'PTHR33130:SF47', NULL, NULL, NULL, NULL, 'DUF1639 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(164638, NULL, 'PTHR11455:SF55', NULL, NULL, NULL, NULL, 'CRYPTOCHROME-1-LIKE', NULL, NULL, NULL, 15),
(164639, NULL, 'PTHR43220:SF6', NULL, NULL, NULL, NULL, 'OS04G0592600 PROTEIN', NULL, NULL, NULL, 15),
(164640, NULL, 'PTHR24373:SF341', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(164641, NULL, 'PTHR14699:SF0', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 21 HOMOLOG', NULL, NULL, NULL, 15),
(164642, NULL, 'PTHR11839:SF5', NULL, NULL, NULL, NULL, 'ADP-RIBOSE PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(164643, NULL, 'PTHR12822:SF7', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', NULL, NULL, NULL, 15),
(164644, NULL, 'PTHR47989:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164645, NULL, 'PTHR47402', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164646, NULL, 'PTHR35336:SF6', NULL, NULL, NULL, NULL, 'ADENOSYLCOBINAMIDE AMIDOHYDROLASE', NULL, NULL, NULL, 15),
(164647, NULL, 'PTHR11857:SF41', NULL, NULL, NULL, NULL, 'ODORANT-BINDING PROTEIN 47A, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(164648, NULL, 'PTHR12771:SF48', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN F', NULL, NULL, NULL, 15),
(164649, NULL, 'PTHR27003:SF317', NULL, NULL, NULL, NULL, 'FERONIA RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(164650, NULL, 'PTHR47780', NULL, NULL, NULL, NULL, 'PROTEIN SET DOMAIN GROUP 41', NULL, NULL, NULL, 15),
(164651, NULL, 'PTHR10334:SF468', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(164652, NULL, 'PTHR11895:SF67', NULL, NULL, NULL, NULL, 'OS12G0169000 PROTEIN', NULL, NULL, NULL, 15),
(164653, NULL, 'PTHR19297:SF181', NULL, NULL, NULL, NULL, 'GLY-1', NULL, NULL, NULL, 15),
(164654, NULL, 'PTHR23180:SF241', NULL, NULL, NULL, NULL, 'ARF-GAP WITH COILED-COIL, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(164655, NULL, 'PTHR43294', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(164656, NULL, 'PTHR36191:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164657, NULL, 'PTHR31580:SF5', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 3', NULL, NULL, NULL, 15),
(164658, NULL, 'PTHR12274:SF3', NULL, NULL, NULL, NULL, 'PROGRANULIN', NULL, NULL, NULL, 15),
(164659, NULL, 'PTHR32099:SF56', NULL, NULL, NULL, NULL, 'SALT STRESS RESPONSE/ANTIFUNGAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(164660, NULL, 'PTHR23358:SF4', NULL, NULL, NULL, NULL, 'METHYLCYTOSINE DIOXYGENASE TET3', NULL, NULL, NULL, 15),
(164661, NULL, 'PTHR11132:SF383', NULL, NULL, NULL, NULL, 'OS02G0724500 PROTEIN', NULL, NULL, NULL, 15),
(164662, NULL, 'PTHR31454', NULL, NULL, NULL, NULL, 'ACTIVE REGULATOR OF SIRT1', NULL, NULL, 20141, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164663, NULL, 'PTHR45870:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MONOGLYCYLASE TTLL8', NULL, NULL, NULL, 15),
(164664, NULL, 'PTHR21141:SF88', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2-3', NULL, NULL, NULL, 15),
(164665, NULL, 'PTHR11158:SF33', NULL, NULL, NULL, NULL, 'PRELI DOMAIN CONTAINING 1', NULL, NULL, NULL, 15),
(164666, NULL, 'PTHR11088:SF74', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(164667, NULL, 'PTHR46245', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS07G0563300', NULL, NULL, NULL, 15),
(164668, NULL, 'PTHR21592:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG24671', NULL, NULL, NULL, 15),
(164669, NULL, 'PTHR46374:SF3', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 5', NULL, NULL, 27546, 15),
(164670, NULL, 'PTHR13423', NULL, NULL, NULL, NULL, 'OUT AT FIRST', NULL, NULL, 27752, 15),
(164671, NULL, 'PTHR45743:SF10', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT3', NULL, NULL, NULL, 15),
(164672, NULL, 'PTHR31218:SF161', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(164673, NULL, 'PTHR31071:SF12', NULL, NULL, NULL, NULL, 'OS08G0190700 PROTEIN', NULL, NULL, NULL, 15),
(164674, NULL, 'PTHR31874:SF36', NULL, NULL, NULL, NULL, 'BNAA10G11220D PROTEIN', NULL, NULL, NULL, 15),
(164675, NULL, 'PTHR10027', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED POTASSIUM CHANNEL ALPHA CHAIN', NULL, NULL, NULL, 15),
(164676, NULL, 'PTHR13572:SF6', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN ENDO-ALPHA-1,2-MANNOSIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(164677, NULL, 'PTHR13831:SF3', NULL, NULL, NULL, NULL, 'PROTEIN HIRA', NULL, NULL, NULL, 15),
(164678, NULL, 'PTHR32116:SF61', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 9-RELATED', NULL, NULL, NULL, 15),
(164679, NULL, 'PTHR23268:SF95', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 5-4', NULL, NULL, NULL, 15),
(164680, NULL, 'PTHR24246:SF21', NULL, NULL, NULL, NULL, 'ADENOSINE RECEPTOR A2C', NULL, NULL, NULL, 15),
(164681, NULL, 'PTHR34407', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(164682, NULL, 'PTHR19865', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA INTERACTING PROTEIN 2', NULL, NULL, 34482, 15),
(164683, NULL, 'PTHR16019', NULL, NULL, NULL, NULL, 'SYNAPSE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(164684, NULL, 'PTHR45637:SF62', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL1 ISOFORM X1', NULL, NULL, NULL, 15),
(164685, NULL, 'PTHR19317:SF74', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN 1', NULL, NULL, NULL, 15),
(164686, NULL, 'PTHR12934:SF14', NULL, NULL, NULL, NULL, 'BNAA06G23640D PROTEIN', NULL, NULL, NULL, 15),
(164687, NULL, 'PTHR23155:SF981', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(164688, NULL, 'PTHR10285:SF68', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE-LIKE 1', NULL, NULL, 28706, 15),
(164689, NULL, 'PTHR45869:SF5', NULL, NULL, NULL, NULL, 'SERUM AMYLOID P-COMPONENT', NULL, NULL, NULL, 15),
(164690, NULL, 'PTHR46632:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(164691, NULL, 'PTHR27008:SF436', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164692, NULL, 'PTHR22298:SF118', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 23', NULL, NULL, NULL, 15),
(164693, NULL, 'PTHR48104:SF11', NULL, NULL, NULL, NULL, 'ICE-LIKE PROTEASE (CASPASE) P20 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(164694, NULL, 'PTHR30537:SF66', NULL, NULL, NULL, NULL, 'IRON-REGULATED VIRULENCE REGULATORY PROTEIN IRGB', NULL, NULL, NULL, 15),
(164695, NULL, 'PTHR11926:SF1324', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(164696, NULL, 'PTHR11260:SF612', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U28', NULL, NULL, NULL, 15),
(164697, NULL, 'PTHR36766:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164698, NULL, 'PTHR45730:SF77', NULL, NULL, NULL, NULL, 'AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164699, NULL, 'PTHR47984:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164700, NULL, 'PTHR10004', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(164701, NULL, 'PTHR24096:SF369', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10160)-RELATED', NULL, NULL, NULL, 15),
(164702, NULL, 'PTHR32444:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164703, NULL, 'PTHR21569:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S16', NULL, NULL, NULL, 15),
(164704, NULL, 'PTHR33074:SF66', NULL, NULL, NULL, NULL, 'OS07G0633300 PROTEIN', NULL, NULL, NULL, 15),
(164705, NULL, 'PTHR10849:SF31', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 8, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(164706, NULL, 'PTHR12022:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(164707, NULL, 'PTHR31415:SF108', NULL, NULL, NULL, NULL, 'BNAA05G27420D PROTEIN', NULL, NULL, NULL, 15),
(164708, NULL, 'PTHR22883:SF332', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(164709, NULL, 'PTHR31066:SF62', NULL, NULL, NULL, NULL, 'BNACNNG15710D PROTEIN', NULL, NULL, NULL, 15),
(164710, NULL, 'PTHR12174:SF93', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(164711, NULL, 'PTHR24092:SF48', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IC', NULL, NULL, 22384, 15),
(164712, NULL, 'PTHR21649:SF107', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(164713, NULL, 'PTHR24056:SF359', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(164714, NULL, 'PTHR21499', NULL, NULL, NULL, NULL, 'ASPARTATE KINASE', NULL, NULL, NULL, 15),
(164715, NULL, 'PTHR13318:SF181', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD7', NULL, NULL, NULL, 15),
(164716, NULL, 'PTHR34935:SF4', NULL, NULL, NULL, NULL, 'BNAA10G28000D PROTEIN', NULL, NULL, NULL, 15),
(164717, NULL, 'PTHR42991:SF7', NULL, NULL, NULL, NULL, 'BNAC02G44970D PROTEIN', NULL, NULL, NULL, 15),
(164718, NULL, 'PTHR12461:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164719, NULL, 'PTHR12373:SF3', NULL, NULL, NULL, NULL, 'ENHANCER OF RUDIMENTARY HOMOLOG', NULL, NULL, NULL, 15),
(164720, NULL, 'PTHR34122', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164721, NULL, 'PTHR31490:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 10 PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(164722, NULL, 'PTHR31630:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164723, NULL, 'PTHR48239:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164724, NULL, 'PTHR31627:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-1-RELATED', NULL, NULL, NULL, 15),
(164725, NULL, 'PTHR47925:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164726, NULL, 'PTHR42898:SF59', NULL, NULL, NULL, NULL, 'BNAA05G12690D PROTEIN', NULL, NULL, NULL, 15),
(164727, NULL, 'PTHR46156:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(164728, NULL, 'PTHR35848:SF6', NULL, NULL, NULL, NULL, 'OXALATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(164729, NULL, 'PTHR27007:SF162', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.2', NULL, NULL, NULL, 15),
(164730, NULL, 'PTHR31149:SF15', NULL, NULL, NULL, NULL, 'OS01G0108000 PROTEIN', NULL, NULL, NULL, 15),
(164731, NULL, 'PTHR31221:SF219', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 50-RELATED', NULL, NULL, NULL, 15),
(164732, NULL, 'PTHR21512:SF6', NULL, NULL, NULL, NULL, 'TRAPP II COMPLEX, TRS120-RELATED', NULL, NULL, NULL, 15),
(164733, NULL, 'PTHR11680:SF46', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(164734, NULL, 'PTHR21562:SF45', NULL, NULL, NULL, NULL, 'PALMITOLEOYL-PROTEIN CARBOXYLESTERASE NOTUM', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164735, NULL, 'PTHR16024:SF7', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 7', NULL, NULL, NULL, 15),
(164736, NULL, 'PTHR47222:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 532', NULL, NULL, NULL, 15),
(164737, NULL, 'PTHR10795:SF596', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.2', NULL, NULL, NULL, 15),
(164738, NULL, 'PTHR27001:SF658', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(164739, NULL, 'PTHR42028:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(164740, NULL, 'PTHR31717:SF56', NULL, NULL, NULL, NULL, 'ACTIVATOR OF SPOMIN::LUC2', NULL, NULL, NULL, 15),
(164741, NULL, 'PTHR23101:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164742, NULL, 'PTHR14002:SF7', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA RECEPTOR TYPE 3', NULL, NULL, NULL, 15),
(164743, NULL, 'PTHR47958:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164744, NULL, 'PTHR48001:SF164', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(164745, NULL, 'PTHR11802:SF125', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(164746, NULL, 'PTHR32212:SF375', NULL, NULL, NULL, NULL, 'BNAA03G10800D PROTEIN', NULL, NULL, NULL, 15),
(164747, NULL, 'PTHR22595:SF161', NULL, NULL, NULL, NULL, 'BNAC04G49090D PROTEIN', NULL, NULL, NULL, 15),
(164748, NULL, 'PTHR32191:SF14', NULL, NULL, NULL, NULL, 'PROTEIN TORNADO 2', NULL, NULL, NULL, 15),
(164749, NULL, 'PTHR33734:SF24', NULL, NULL, NULL, NULL, 'STAGE VI SPORULATION PROTEIN D', NULL, NULL, NULL, 15),
(164750, NULL, 'PTHR34808:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164751, NULL, 'PTHR45961:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164752, NULL, 'PTHR23506:SF28', NULL, NULL, NULL, NULL, 'MFS-TYPE TRANSPORTER SLC18B1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(164753, NULL, 'PTHR47471', NULL, NULL, NULL, NULL, 'GYF DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(164754, NULL, 'PTHR31374:SF30', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(164755, NULL, 'PTHR10353:SF216', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 18-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(164756, NULL, 'PTHR45786:SF48', NULL, NULL, NULL, NULL, 'BNAC05G00220D PROTEIN', NULL, NULL, NULL, 15),
(164757, NULL, 'PTHR24068:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164758, NULL, 'PTHR12198:SF6', NULL, NULL, NULL, NULL, 'PROSPERO HOMEOBOX PROTEIN 1', NULL, NULL, 1005, 15),
(164759, NULL, 'PTHR47956:SF26', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(164760, NULL, 'PTHR24343:SF194', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(164761, NULL, 'PTHR11830:SF25', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', NULL, NULL, NULL, 15),
(164762, NULL, 'PTHR23338:SF47', NULL, NULL, NULL, NULL, 'BNAC08G19330D PROTEIN', NULL, NULL, NULL, 15),
(164763, NULL, 'PTHR46128:SF226', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164764, NULL, 'PTHR45917:SF4', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 4', NULL, NULL, 32039, 15),
(164765, NULL, 'PTHR33033:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164766, NULL, 'PTHR27002:SF506', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164767, NULL, 'PTHR31374:SF274', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(164768, NULL, 'PTHR31189:SF41', NULL, NULL, NULL, NULL, 'VICILIN C72', NULL, NULL, NULL, 15),
(164769, NULL, 'PTHR15665:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ASTEROID HOMOLOG 1', NULL, NULL, NULL, 15),
(164770, NULL, 'PTHR45647:SF80', NULL, NULL, NULL, NULL, 'BNAANNG06970D PROTEIN', NULL, NULL, NULL, 15),
(164771, NULL, 'PTHR12460:SF28', NULL, NULL, NULL, NULL, 'ENTH/VHS FAMILY PROTEIN', NULL, NULL, NULL, 15),
(164772, NULL, 'PTHR48056:SF39', NULL, NULL, NULL, NULL, 'BNAA09G02190D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164773, NULL, 'PTHR24061:SF511', NULL, NULL, NULL, NULL, 'SI:CH211-229C8.4-RELATED', NULL, NULL, NULL, 15),
(164774, NULL, 'PTHR33443:SF2', NULL, NULL, NULL, NULL, 'ZGC:112980', NULL, NULL, NULL, 15),
(164775, NULL, 'PTHR32285:SF247', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 19', NULL, NULL, NULL, 15),
(164776, NULL, 'PTHR31867:SF96', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(164777, NULL, 'PTHR31791:SF51', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(164778, NULL, 'PTHR15486:SF18', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(164779, NULL, 'PTHR28096:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAF1', NULL, NULL, NULL, 15),
(164780, NULL, 'PTHR23024:SF108', NULL, NULL, NULL, NULL, 'NEUTRAL CHOLESTEROL ESTER HYDROLASE 1', NULL, NULL, NULL, 15),
(164781, NULL, 'PTHR33044:SF18', NULL, NULL, NULL, NULL, 'B1358B12.9 PROTEIN', NULL, NULL, NULL, 15),
(164782, NULL, 'PTHR46872:SF15', NULL, NULL, NULL, NULL, 'BNAA09G29010D PROTEIN', NULL, NULL, NULL, 15),
(164783, NULL, 'PTHR31676:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164784, NULL, 'PTHR48017:SF88', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164785, NULL, 'PTHR31120:SF6', NULL, NULL, NULL, NULL, 'METALLOPROTEASE TIKI HOMOLOG', NULL, NULL, NULL, 15),
(164786, NULL, 'PTHR11955:SF74', NULL, NULL, NULL, NULL, 'RETINOL-BINDING PROTEIN 5', NULL, NULL, 27046, 15),
(164787, NULL, 'PTHR22050:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 131-LIKE', NULL, NULL, NULL, 15),
(164788, NULL, 'PTHR45836:SF21', NULL, NULL, NULL, NULL, 'PROTEIN DELTA HOMOLOG 2', NULL, NULL, NULL, 15),
(164789, NULL, 'PTHR31945:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH28', NULL, NULL, NULL, 15),
(164790, NULL, 'PTHR47993:SF176', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(164791, NULL, 'PTHR22789', NULL, NULL, NULL, NULL, 'FUCULOSE PHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(164792, NULL, 'PTHR23085:SF14', NULL, NULL, NULL, NULL, 'JUNCTOPHILIN-4', NULL, NULL, NULL, 15),
(164793, NULL, 'PTHR10887:SF494', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164794, NULL, 'PTHR11260:SF571', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U17-LIKE', NULL, NULL, NULL, 15),
(164795, NULL, 'PTHR45752:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164796, NULL, 'PTHR24089:SF442', NULL, NULL, NULL, NULL, 'CA-DEPENDENT SOLUTE CARRIER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(164797, NULL, 'PTHR31929:SF86', NULL, NULL, NULL, NULL, 'BNAC09G39850D PROTEIN', NULL, NULL, NULL, 15),
(164798, NULL, 'PTHR11211:SF16', NULL, NULL, NULL, NULL, 'IROQUOIS-CLASS HOMEODOMAIN PROTEIN IRX-4', NULL, NULL, NULL, 15),
(164799, NULL, 'PTHR47928:SF144', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(164800, NULL, 'PTHR15832:SF1', NULL, NULL, NULL, NULL, 'HETEROCHROMATIN PROTEIN 1-BINDING PROTEIN 3', NULL, NULL, 35587, 15),
(164801, NULL, 'PTHR35779:SF2', NULL, NULL, NULL, NULL, 'PROTEIN DFG16', NULL, NULL, NULL, 15),
(164802, NULL, 'PTHR13068:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164803, NULL, 'PTHR33148:SF60', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(164804, NULL, 'PTHR48247:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164805, NULL, 'PTHR10164', NULL, NULL, NULL, NULL, 'ISLET CELL AUTOANTIGEN 1', NULL, NULL, 9659, 15),
(164806, NULL, 'PTHR43270:SF11', NULL, NULL, NULL, NULL, 'CYTOSOLIC NON-SPECIFIC DIPEPTIDASE', NULL, NULL, NULL, 15),
(164807, NULL, 'PTHR31787:SF4', NULL, NULL, NULL, NULL, 'FRIZZLED/SMOOTHENED-LIKE SANS CRD PROTEIN H', NULL, NULL, NULL, 15),
(164808, NULL, 'PTHR43147:SF1', NULL, NULL, NULL, NULL, 'OS09G0567350 PROTEIN', NULL, NULL, NULL, 15),
(164809, NULL, 'PTHR45723:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RIO1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164810, NULL, 'PTHR24291:SF158', NULL, NULL, NULL, NULL, 'PHYLLOQUINONE OMEGA-HYDROXYLASE CYP4F2', NULL, NULL, NULL, 15),
(164811, NULL, 'PTHR24418:SF369', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE ZAP-70', NULL, NULL, NULL, 15),
(164812, NULL, 'PTHR10766:SF48', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(164813, NULL, 'PTHR12931:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG09100', NULL, NULL, NULL, 15),
(164814, NULL, 'PTHR32212:SF355', NULL, NULL, NULL, NULL, 'BNAA09G35070D PROTEIN', NULL, NULL, NULL, 15),
(164815, NULL, 'PTHR25480', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 73', NULL, NULL, NULL, 15),
(164816, NULL, 'PTHR34677', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164817, NULL, 'PTHR46653', NULL, NULL, NULL, NULL, 'SPECIFICITY PROTEIN PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(164818, NULL, 'PTHR42813:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE-INDEPENDENT FORMALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(164819, NULL, 'PTHR10372', NULL, NULL, NULL, NULL, 'PLAKOPHILLIN-RELATED', NULL, NULL, 22144, 15),
(164820, NULL, 'PTHR13624', NULL, NULL, NULL, NULL, 'RE42071P', NULL, NULL, 16803, 15),
(164821, NULL, 'PTHR23070:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164822, NULL, 'PTHR31218:SF1', NULL, NULL, NULL, NULL, 'PROTEIN WALLS ARE THIN 1', NULL, NULL, NULL, 15),
(164823, NULL, 'PTHR32341:SF13', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(164824, NULL, 'PTHR12760:SF1', NULL, NULL, NULL, NULL, 'BNAANNG10660D PROTEIN', NULL, NULL, NULL, 15),
(164825, NULL, 'PTHR23418:SF10', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE HOMOLOG 1', NULL, NULL, NULL, 15),
(164826, NULL, 'PTHR35001', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164827, NULL, 'PTHR45842:SF15', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(164828, NULL, 'PTHR16011', NULL, NULL, NULL, NULL, 'IFT57/HIPPI', NULL, NULL, 19088, 15),
(164829, NULL, 'PTHR12013:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164830, NULL, 'PTHR34046', NULL, NULL, NULL, NULL, 'OS06G0218800 PROTEIN', NULL, NULL, NULL, 15),
(164831, NULL, 'PTHR31251:SF127', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, SBP-BOX-RELATED', NULL, NULL, NULL, 15),
(164832, NULL, 'PTHR24064:SF529', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 4', NULL, NULL, NULL, 15),
(164833, NULL, 'PTHR34115:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(164834, NULL, 'PTHR11588:SF294', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(164835, NULL, 'PTHR47976:SF42', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164836, NULL, 'PTHR20852:SF101', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', NULL, NULL, NULL, 15),
(164837, NULL, 'PTHR47052:SF4', NULL, NULL, NULL, NULL, 'ELICITOR-RESPONSIVE PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(164838, NULL, 'PTHR43384:SF11', NULL, NULL, NULL, NULL, 'SEPTUM SITE DETERMINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164839, NULL, 'PTHR23168:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164840, NULL, 'PTHR23140:SF3', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, ARGININE/SERINE-RICH 15', NULL, NULL, NULL, 15),
(164841, NULL, 'PTHR33076:SF5', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 14-RELATED', NULL, NULL, NULL, 15),
(164842, NULL, 'PTHR11260:SF647', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164843, NULL, 'PTHR23040:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 25', NULL, NULL, NULL, 15),
(164844, NULL, 'PTHR31917:SF68', NULL, NULL, NULL, NULL, 'PLANT TUDOR-LIKE RNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164845, NULL, 'PTHR31517:SF66', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164846, NULL, 'PTHR10633:SF0', NULL, NULL, NULL, NULL, 'LEUKEMIA INHIBITORY FACTOR', NULL, NULL, NULL, 15),
(164847, NULL, 'PTHR48045:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(164848, NULL, 'PTHR10546', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL SUBUNIT BETA-1 AND 3', NULL, NULL, 22410, 15),
(164849, NULL, 'PTHR15316:SF1', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3A SUBUNIT 1', NULL, NULL, NULL, 15),
(164850, NULL, 'PTHR12924:SF6', NULL, NULL, NULL, NULL, 'BNAA04G11990D PROTEIN', NULL, NULL, NULL, 15),
(164851, NULL, 'PTHR31374:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164852, NULL, 'PTHR23506:SF13', NULL, NULL, NULL, NULL, 'VESICULAR ACETYLCHOLINE TRANSPORTER', NULL, NULL, NULL, 15),
(164853, NULL, 'PTHR11655:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164854, NULL, 'PTHR10780:SF20', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER HOMOLOG 2', NULL, NULL, NULL, 15),
(164855, NULL, 'PTHR21089:SF29', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3-DEHYDROQUINATE DEHYDRATASE/SHIKIMATE DEHYDROGENASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(164856, NULL, 'PTHR31683:SF29', NULL, NULL, NULL, NULL, 'PECTATE LYASE 11-RELATED', NULL, NULL, NULL, 15),
(164857, NULL, 'PTHR12371:SF4', NULL, NULL, NULL, NULL, 'TRANSLOCATING CHAIN-ASSOCIATED MEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(164858, NULL, 'PTHR46277:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164859, NULL, 'PTHR22957:SF550', NULL, NULL, NULL, NULL, 'RAB-GTPASE-TBC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164860, NULL, 'PTHR23023:SF70', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', NULL, NULL, NULL, 15),
(164861, NULL, 'PTHR22775', NULL, NULL, NULL, NULL, 'SORTING NEXIN', NULL, NULL, NULL, 15),
(164862, NULL, 'PTHR43625:SF4', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 7, MEMBER A3 (AFLATOXIN ALDEHYDE REDUCTASE)', NULL, NULL, NULL, 15),
(164863, NULL, 'PTHR42738:SF11', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA LYASE (AFU_ORTHOLOGUE AFUA_2G12450)', NULL, NULL, NULL, 15),
(164864, NULL, 'PTHR11802:SF378', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(164865, NULL, 'PTHR22870:SF393', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE-RELATED', NULL, NULL, NULL, 15),
(164866, NULL, 'PTHR46158:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING-CH-TYPE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(164867, NULL, 'PTHR23336:SF61', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE-LIKE ATPASE, C-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164868, NULL, 'PTHR34291:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(164869, NULL, 'PTHR48092:SF16', NULL, NULL, NULL, NULL, 'ESTROGEN RECEPTOR', NULL, NULL, NULL, 15),
(164870, NULL, 'PTHR24320:SF193', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER FEY', NULL, NULL, NULL, 15),
(164871, NULL, 'PTHR22844', NULL, NULL, NULL, NULL, 'F-BOX AND WD40 DOMAIN PROTEIN', NULL, NULL, 36860, 15),
(164872, NULL, 'PTHR33670:SF23', NULL, NULL, NULL, NULL, 'BNAA08G31170D PROTEIN', NULL, NULL, NULL, 15),
(164873, NULL, 'PTHR26374:SF385', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT11', NULL, NULL, NULL, 15),
(164874, NULL, 'PTHR47969:SF14', NULL, NULL, NULL, NULL, 'CHROMOSOME-ASSOCIATED KINESIN KIF4A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(164875, NULL, 'PTHR33099:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164876, NULL, 'PTHR46128:SF207', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(164877, NULL, 'PTHR11328:SF36', NULL, NULL, NULL, NULL, 'MELIBIOSE CARRIER PROTEIN', NULL, NULL, NULL, 15),
(164878, NULL, 'PTHR11908:SF139', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE GAD-3-RELATED', NULL, NULL, NULL, 15),
(164879, NULL, 'PTHR47925:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164880, NULL, 'PTHR31233', NULL, NULL, NULL, NULL, 'BICAUDAL D FAMILY MEMBER', NULL, NULL, 21710, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164881, NULL, 'PTHR44427:SF17', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC BETA-1-GLYCOPROTEIN 4', NULL, NULL, NULL, 15),
(164882, NULL, 'PTHR10996:SF158', NULL, NULL, NULL, NULL, 'OSJNBB0085F13.12 PROTEIN', NULL, NULL, NULL, 15),
(164883, NULL, 'PTHR12756:SF5', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE 4', NULL, NULL, NULL, 15),
(164884, NULL, 'PTHR13482:SF3', NULL, NULL, NULL, NULL, 'MICROPROCESSOR COMPLEX SUBUNIT DGCR8', NULL, NULL, NULL, 15),
(164885, NULL, 'PTHR10920:SF18', NULL, NULL, NULL, NULL, 'RRNA METHYLTRANSFERASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(164886, NULL, 'PTHR43240:SF9', NULL, NULL, NULL, NULL, 'PROOFREADING THIOESTERASE ENTH', NULL, NULL, NULL, 15),
(164887, NULL, 'PTHR26451:SF847', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(164888, NULL, 'PTHR11566:SF56', NULL, NULL, NULL, NULL, 'DYNAMIN-B', NULL, NULL, NULL, 15),
(164889, NULL, 'PTHR24353:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164890, NULL, 'PTHR24225:SF48', NULL, NULL, NULL, NULL, 'SI:CH73-160I9.3-RELATED', NULL, NULL, NULL, 15),
(164891, NULL, 'PTHR31692:SF105', NULL, NULL, NULL, NULL, 'EXPANSIN-B11-LIKE', NULL, NULL, NULL, 15),
(164892, NULL, 'PTHR31124:SF7', NULL, NULL, NULL, NULL, 'APICAL MERISTEM FORMATION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(164893, NULL, 'PTHR40029:SF2', NULL, NULL, NULL, NULL, 'HEPTAPRENYLGLYCERYL PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(164894, NULL, 'PTHR48020:SF18', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(164895, NULL, 'PTHR10937:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164896, NULL, 'PTHR31970:SF8', NULL, NULL, NULL, NULL, 'MOLYBDATE TRANSPORTER 1/2-RELATED', NULL, NULL, NULL, 15),
(164897, NULL, 'PTHR23105:SF158', NULL, NULL, NULL, NULL, 'NHP2-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(164898, NULL, 'PTHR34678:SF4', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN 5, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(164899, NULL, 'PTHR23359:SF210', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4', NULL, NULL, NULL, 15),
(164900, NULL, 'PTHR43541:SF1', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(164901, NULL, 'PTHR36792:SF9', NULL, NULL, NULL, NULL, 'OS05G0342900 PROTEIN', NULL, NULL, NULL, 15),
(164902, NULL, 'PTHR12784:SF29', NULL, NULL, NULL, NULL, 'NEURON NAVIGATOR 1B', NULL, NULL, NULL, 15),
(164903, NULL, 'PTHR43727:SF1', NULL, NULL, NULL, NULL, 'CARBOXYNORSPERMIDINE/CARBOXYSPERMIDINE DECARBOXYLASE', NULL, NULL, 4602, 15),
(164904, NULL, 'PTHR42966:SF3', NULL, NULL, NULL, NULL, 'BLR5971 PROTEIN', NULL, NULL, NULL, 15),
(164905, NULL, 'PTHR47990:SF106', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 4', NULL, NULL, NULL, 15),
(164906, NULL, 'PTHR21625:SF0', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(164907, NULL, 'PTHR38437:SF2', NULL, NULL, NULL, NULL, 'ENDOSPORE COAT-ASSOCIATED PROTEIN YHEC', NULL, NULL, NULL, 15),
(164908, NULL, 'PTHR33264:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164909, NULL, 'PTHR19957:SF316', NULL, NULL, NULL, NULL, 'BNAA02G27060D PROTEIN', NULL, NULL, NULL, 15),
(164910, NULL, 'PTHR43095:SF3', NULL, NULL, NULL, NULL, 'L-XYLULOSE/3-KETO-L-GULONATE KINASE', NULL, NULL, NULL, 15),
(164911, NULL, 'PTHR45724:SF41', NULL, NULL, NULL, NULL, 'BNAA02G36290D PROTEIN', NULL, NULL, NULL, 15),
(164912, NULL, 'PTHR38566:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164913, NULL, 'PTHR11669:SF48', NULL, NULL, NULL, NULL, 'ATPASE FAMILY ASSOCIATED WITH VARIOUS CELLULAR ACTIVITIES (AAA)', NULL, NULL, NULL, 15),
(164914, NULL, 'PTHR37722', NULL, NULL, NULL, NULL, 'OS01G0167700 PROTEIN', NULL, NULL, NULL, 15),
(164915, NULL, 'PTHR46285:SF1', NULL, NULL, NULL, NULL, 'OS09G0444800 PROTEIN', NULL, NULL, NULL, 15),
(164916, NULL, 'PTHR43008:SF10', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE/OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G15740)-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164917, NULL, 'PTHR48132:SF1', NULL, NULL, NULL, NULL, 'ZGC:171772', NULL, NULL, NULL, 15),
(164918, NULL, 'PTHR23103:SF13', NULL, NULL, NULL, NULL, 'AMYLOID-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(164919, NULL, 'PTHR11736:SF152', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B2', NULL, NULL, 22118, 15),
(164920, NULL, 'PTHR45622:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164921, NULL, 'PTHR47984:SF6', NULL, NULL, NULL, NULL, 'BNAANNG25880D PROTEIN', NULL, NULL, NULL, 15),
(164922, NULL, 'PTHR33470:SF8', NULL, NULL, NULL, NULL, 'OS05G0531200 PROTEIN', NULL, NULL, NULL, 15),
(164923, NULL, 'PTHR34409:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164924, NULL, 'PTHR47992:SF100', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 53', NULL, NULL, NULL, 15),
(164925, NULL, 'PTHR11772:SF37', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING]', NULL, NULL, NULL, 15),
(164926, NULL, 'PTHR40599', NULL, NULL, NULL, NULL, '[CITRATE [PRO-3S]-LYASE] LIGASE', NULL, NULL, 10545, 15),
(164927, NULL, 'PTHR46055:SF1', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(164928, NULL, 'PTHR47990:SF152', NULL, NULL, NULL, NULL, 'OS08G0392300 PROTEIN', NULL, NULL, NULL, 15),
(164929, NULL, 'PTHR35731:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(164930, NULL, 'PTHR46548:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164931, NULL, 'PTHR47980:SF5', NULL, NULL, NULL, NULL, 'BNAA07G37610D PROTEIN', NULL, NULL, NULL, 15),
(164932, NULL, 'PTHR33325', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', NULL, NULL, NULL, 15),
(164933, NULL, 'PTHR47127', NULL, NULL, NULL, NULL, '10A19I.15', NULL, NULL, NULL, 15),
(164934, NULL, 'PTHR22937:SF123', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HIP1-RELATED', NULL, NULL, NULL, 15),
(164935, NULL, 'PTHR45777:SF6', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2', NULL, NULL, NULL, 15),
(164936, NULL, 'PTHR24055:SF467', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(164937, NULL, 'PTHR23138:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164938, NULL, 'PTHR45657:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH6', NULL, NULL, NULL, 15),
(164939, NULL, 'PTHR20338:SF6', NULL, NULL, NULL, NULL, 'RE35195P', NULL, NULL, NULL, 15),
(164940, NULL, 'PTHR11629:SF61', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(164941, NULL, 'PTHR16840', NULL, NULL, NULL, NULL, 'GROWTH ARREST-SPECIFIC PROTEIN 1', NULL, NULL, 36172, 15),
(164942, NULL, 'PTHR33995:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG19312', NULL, NULL, NULL, 15),
(164943, NULL, 'PTHR23189:SF41', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN SPENITO', NULL, NULL, NULL, 15),
(164944, NULL, 'PTHR12555:SF23', NULL, NULL, NULL, NULL, 'UBIQUITIN FUSION DEGRADATION PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(164945, NULL, 'PTHR43214:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN BGLJ', NULL, NULL, NULL, 15),
(164946, NULL, 'PTHR18896:SF153', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(164947, NULL, 'PTHR38338:SF1', NULL, NULL, NULL, NULL, 'AGAP013079-PA', NULL, NULL, NULL, 15),
(164948, NULL, 'PTHR10394:SF27', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S8E FAMILY PROTEIN', NULL, NULL, NULL, 15),
(164949, NULL, 'PTHR31832:SF54', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 21', NULL, NULL, NULL, 15),
(164950, NULL, 'PTHR27003:SF387', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(164951, NULL, 'PTHR11844', NULL, NULL, NULL, NULL, 'METALLOPROTEASE INHIBITOR', NULL, NULL, 4470, 15),
(164952, NULL, 'PTHR33402:SF33', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(164953, NULL, 'PTHR46044:SF13', NULL, NULL, NULL, NULL, 'NITRILASE-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164954, NULL, 'PTHR11711:SF186', NULL, NULL, NULL, NULL, 'ADP RIBOSYLATION FACTOR-LIKE 4, ISOFORM B', NULL, NULL, NULL, 15),
(164955, NULL, 'PTHR14624:SF0', NULL, NULL, NULL, NULL, 'POLYPRENOL REDUCTASE', NULL, NULL, NULL, 15),
(164956, NULL, 'PTHR47991:SF130', NULL, NULL, NULL, NULL, 'OS03G0856000 PROTEIN', NULL, NULL, NULL, 15),
(164957, NULL, 'PTHR10131:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164958, NULL, 'PTHR46363', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE TATDN2-RELATED', NULL, NULL, NULL, 15),
(164959, NULL, 'PTHR44329:SF53', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE SHKD', NULL, NULL, NULL, 15),
(164960, NULL, 'PTHR10286:SF51', NULL, NULL, NULL, NULL, 'OS01G0866500 PROTEIN', NULL, NULL, NULL, 15),
(164961, NULL, 'PTHR45637:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164962, NULL, 'PTHR11523:SF47', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-3', NULL, NULL, NULL, 15),
(164963, NULL, 'PTHR47991:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164964, NULL, 'PTHR48148:SF1', NULL, NULL, NULL, NULL, 'KERATINOCYTE PROLINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(164965, NULL, 'PTHR43019:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164966, NULL, 'PTHR12547:SF58', NULL, NULL, NULL, NULL, 'MRNA DECAY ACTIVATOR PROTEIN ZFP36', NULL, NULL, NULL, 15),
(164967, NULL, 'PTHR11527:SF175', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 42', NULL, NULL, NULL, 15),
(164968, NULL, 'PTHR43174', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 2-EPIMERASE', NULL, NULL, 24744, 15),
(164969, NULL, 'PTHR11362:SF98', NULL, NULL, NULL, NULL, 'OS09G0513500 PROTEIN', NULL, NULL, NULL, 15),
(164970, NULL, 'PTHR30081:SF10', NULL, NULL, NULL, NULL, 'PROTEIN EXPORT MEMBRANE PROTEIN', NULL, NULL, 5283, 15),
(164971, NULL, 'PTHR16223:SF252', NULL, NULL, NULL, NULL, 'BNAC04G48190D PROTEIN', NULL, NULL, NULL, 15),
(164972, NULL, 'PTHR31472:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164973, NULL, 'PTHR38626:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG09935', NULL, NULL, NULL, 15),
(164974, NULL, 'PTHR10366:SF736', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164975, NULL, 'PTHR45616:SF14', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 2 EPIDERMAL', NULL, NULL, NULL, 15),
(164976, NULL, 'PTHR46561:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)', NULL, NULL, NULL, 15),
(164977, NULL, 'PTHR27000:SF727', NULL, NULL, NULL, NULL, 'OS07G0597200 PROTEIN', NULL, NULL, NULL, 15),
(164978, NULL, 'PTHR37261', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', NULL, NULL, NULL, 15),
(164979, NULL, 'PTHR10694:SF54', NULL, NULL, NULL, NULL, 'INACTIVE LYSINE-SPECIFIC DEMETHYLASE JMJ19-RELATED', NULL, NULL, NULL, 15),
(164980, NULL, 'PTHR31642:SF264', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: METHANOL O-ANTHRANILOYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(164981, NULL, 'PTHR48239', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164982, NULL, 'PTHR15361:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164983, NULL, 'PTHR24282:SF118', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(164984, NULL, 'PTHR33044:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164985, NULL, 'PTHR12321:SF140', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 3', NULL, NULL, NULL, 15),
(164986, NULL, 'PTHR31681:SF52', NULL, NULL, NULL, NULL, 'BNAA10G08260D PROTEIN', NULL, NULL, NULL, 15),
(164987, NULL, 'PTHR47821:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(164988, NULL, 'PTHR14445', NULL, NULL, NULL, NULL, 'GRB10 INTERACTING GYF PROTEIN', NULL, NULL, NULL, 15),
(164989, NULL, 'PTHR34188:SF3', NULL, NULL, NULL, NULL, 'OS05G0131900 PROTEIN', NULL, NULL, NULL, 15),
(164990, NULL, 'PTHR47958:SF12', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX19A', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(164991, NULL, 'PTHR23291:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG15624', NULL, NULL, NULL, 15),
(164992, NULL, 'PTHR24034:SF89', NULL, NULL, NULL, NULL, 'FIBROPELLIN-2', NULL, NULL, NULL, 15),
(164993, NULL, 'PTHR11106:SF65', NULL, NULL, NULL, NULL, 'PROCESSING ENZYME FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(164994, NULL, 'PTHR43318:SF2', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 4,6-DEHYDRATASE (INVERTING)', NULL, NULL, NULL, 15),
(164995, NULL, 'PTHR23262:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(164996, NULL, 'PTHR10424:SF63', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP FC1 ENV POLYPROTEIN-RELATED', NULL, NULL, NULL, 15),
(164997, NULL, 'PTHR43790:SF2', NULL, NULL, NULL, NULL, 'AUTOINDUCER 2 IMPORT ATP-BINDING PROTEIN LSRA', NULL, NULL, 27092, 15),
(164998, NULL, 'PTHR33128:SF46', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF 3339)-RELATED', NULL, NULL, NULL, 15),
(164999, NULL, 'PTHR15188', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 14', NULL, NULL, 29103, 15),
(165000, NULL, 'PTHR33972:SF14', NULL, NULL, NULL, NULL, 'BNAANNG13050D PROTEIN', NULL, NULL, NULL, 15),
(165001, NULL, 'PTHR36476', NULL, NULL, NULL, NULL, 'OREXIGENIC NEUROPEPTIDE QRFP', NULL, NULL, 28890, 15),
(165002, NULL, 'PTHR34047', NULL, NULL, NULL, NULL, 'NUCLEAR INTRON MATURASE 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(165003, NULL, 'PTHR31673:SF20', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(165004, NULL, 'PTHR14155:SF508', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL29-LIKE', NULL, NULL, NULL, 15),
(165005, NULL, 'PTHR12673:SF261', NULL, NULL, NULL, NULL, 'GUANYL NUCLEOTIDE EXCHANGE FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G11890)-RELATED', NULL, NULL, NULL, 15),
(165006, NULL, 'PTHR42721', NULL, NULL, NULL, NULL, 'SUGAR HYDROLASE-RELATED', NULL, NULL, 39263, 15),
(165007, NULL, 'PTHR33879:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165008, NULL, 'PTHR15241:SF301', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(165009, NULL, 'PTHR47928:SF39', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(165010, NULL, 'PTHR15717:SF2', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(165011, NULL, 'PTHR31707:SF323', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(165012, NULL, 'PTHR33133:SF1', NULL, NULL, NULL, NULL, 'SON OF SEVENLESS PROTEIN', NULL, NULL, NULL, 15),
(165013, NULL, 'PTHR31376:SF76', NULL, NULL, NULL, NULL, 'PURINE PERMEASE', NULL, NULL, NULL, 15),
(165014, NULL, 'PTHR15583:SF12', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR C', NULL, NULL, NULL, 15),
(165015, NULL, 'PTHR10404:SF36', NULL, NULL, NULL, NULL, 'GLUTAMATE CARBOXYPEPTIDASE 2-RELATED', NULL, NULL, NULL, 15),
(165016, NULL, 'PTHR24377:SF904', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 275', NULL, NULL, NULL, 15),
(165017, NULL, 'PTHR15822', NULL, NULL, NULL, NULL, 'TRAF AND TNF RECEPTOR-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(165018, NULL, 'PTHR47956:SF76', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A26', NULL, NULL, NULL, 15),
(165019, NULL, 'PTHR21143:SF100', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR FAMILY PROTEIN 3', NULL, NULL, NULL, 15),
(165020, NULL, 'PTHR14791:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165021, NULL, 'PTHR24056:SF376', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(165022, NULL, 'PTHR11764:SF70', NULL, NULL, NULL, NULL, 'BNAA05G18980D PROTEIN', NULL, NULL, NULL, 15),
(165023, NULL, 'PTHR10126:SF52', NULL, NULL, NULL, NULL, 'TATA-BOX-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(165024, NULL, 'PTHR22952:SF444', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(165025, NULL, 'PTHR31744:SF68', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165026, NULL, 'PTHR33204:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(165027, NULL, 'PTHR11886:SF38', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(165028, NULL, 'PTHR33127:SF36', NULL, NULL, NULL, NULL, 'OS06G0135800 PROTEIN', NULL, NULL, NULL, 15),
(165029, NULL, 'PTHR35393:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(165030, NULL, 'PTHR10059:SF0', NULL, NULL, NULL, NULL, 'GRANULOCYTE-MACROPHAGE COLONY-STIMULATING FACTOR', NULL, NULL, NULL, 15),
(165031, NULL, 'PTHR46910:SF11', NULL, NULL, NULL, NULL, 'SPECIFIC TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(165032, NULL, 'PTHR34793:SF7', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II BIOGENESIS PROTEIN', NULL, NULL, NULL, 15),
(165033, NULL, 'PTHR17223:SF1', NULL, NULL, NULL, NULL, 'PARATHYROID HORMONE 4', NULL, NULL, NULL, 15),
(165034, NULL, 'PTHR24248:SF159', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 19T', NULL, NULL, NULL, 15),
(165035, NULL, 'PTHR48018:SF37', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(165036, NULL, 'PTHR30349:SF36', NULL, NULL, NULL, NULL, 'PROPHAGE INTEGRASE INTR-RELATED', NULL, NULL, NULL, 15),
(165037, NULL, 'PTHR21472:SF15', NULL, NULL, NULL, NULL, 'SI:CH211-133N4.4-RELATED', NULL, NULL, NULL, 15),
(165038, NULL, 'PTHR47220:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 25', NULL, NULL, NULL, 15),
(165039, NULL, 'PTHR43748:SF6', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE 2-RELATED', NULL, NULL, NULL, 15),
(165040, NULL, 'PTHR43096:SF53', NULL, NULL, NULL, NULL, 'SHOCK PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(165041, NULL, 'PTHR42738:SF7', NULL, NULL, NULL, NULL, 'TA01441P', NULL, NULL, NULL, 15),
(165042, NULL, 'PTHR47126:SF7', NULL, NULL, NULL, NULL, 'BNAA01G33890D PROTEIN', NULL, NULL, NULL, 15),
(165043, NULL, 'PTHR43520:SF22', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE PAA1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(165044, NULL, 'PTHR27009:SF214', NULL, NULL, NULL, NULL, 'BNAC02G17060D PROTEIN', NULL, NULL, NULL, 15),
(165045, NULL, 'PTHR21553:SF34', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN 295', NULL, NULL, NULL, 15),
(165046, NULL, 'PTHR44375:SF15', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165047, NULL, 'PTHR37049:SF4', NULL, NULL, NULL, NULL, 'PEPTIDASE S41 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(165048, NULL, 'PTHR45908:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG01095', NULL, NULL, NULL, 15),
(165049, NULL, 'PTHR46817:SF2', NULL, NULL, NULL, NULL, 'SAC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165050, NULL, 'PTHR12329:SF17', NULL, NULL, NULL, NULL, 'OS04G0619900 PROTEIN', NULL, NULL, NULL, 15),
(165051, NULL, 'PTHR33074:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(165052, NULL, 'PTHR44191:SF13', NULL, NULL, NULL, NULL, 'DUPLICATED HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(165053, NULL, 'PTHR43049', NULL, NULL, NULL, NULL, 'EARLY ENDOSOME ANTIGEN', NULL, NULL, NULL, 15),
(165054, NULL, 'PTHR43895:SF4', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 25', NULL, NULL, NULL, 15),
(165055, NULL, 'PTHR45665:SF41', NULL, NULL, NULL, NULL, 'MIP PROTEIN', NULL, NULL, NULL, 15),
(165056, NULL, 'PTHR24064:SF247', NULL, NULL, NULL, NULL, 'PROTEIN CBG21797', NULL, NULL, NULL, 15),
(165057, NULL, 'PTHR44269', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7-RELATED', NULL, NULL, NULL, 15),
(165058, NULL, 'PTHR21137:SF9', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR CORECEPTOR', NULL, NULL, NULL, 15),
(165059, NULL, 'PTHR47992:SF139', NULL, NULL, NULL, NULL, 'QUALITY PROTEIN: PROBABLE PROTEIN PHOSPHATASE 2C 78-RELATED', NULL, NULL, NULL, 15),
(165060, NULL, 'PTHR46215:SF19', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(165061, NULL, 'PTHR33109:SF6', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 7', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165062, NULL, 'PTHR47958:SF76', NULL, NULL, NULL, NULL, 'DEAD BOX RNA HELICASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165063, NULL, 'PTHR48021:SF15', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 5 ISOFORM X1', NULL, NULL, NULL, 15),
(165064, NULL, 'PTHR33513:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165065, NULL, 'PTHR24351:SF218', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(165066, NULL, 'PTHR23425:SF2', NULL, NULL, NULL, NULL, 'SPERM PROTEIN ASSOCIATED WITH THE NUCLEUS ON THE X CHROMOSOME N4', NULL, NULL, NULL, 15),
(165067, NULL, 'PTHR48061:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165068, NULL, 'PTHR11471:SF3', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 11', NULL, NULL, NULL, 15),
(165069, NULL, 'PTHR35507', NULL, NULL, NULL, NULL, 'OS09G0488600 PROTEIN', NULL, NULL, NULL, 15),
(165070, NULL, 'PTHR23500:SF541', NULL, NULL, NULL, NULL, 'BNAA09G08760D PROTEIN', NULL, NULL, NULL, 15),
(165071, NULL, 'PTHR24249:SF394', NULL, NULL, NULL, NULL, 'PROTEIN CBG15445', NULL, NULL, NULL, 15),
(165072, NULL, 'PTHR43329:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165073, NULL, 'PTHR21646:SF15', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 44', NULL, NULL, NULL, 15),
(165074, NULL, 'PTHR43028', NULL, NULL, NULL, NULL, '3''(2''),5''-BISPHOSPHATE NUCLEOTIDASE 1', NULL, NULL, NULL, 15),
(165075, NULL, 'PTHR24174:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165076, NULL, 'PTHR12669:SF4', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(165077, NULL, 'PTHR21662:SF5', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(165078, NULL, 'PTHR13054:SF6', NULL, NULL, NULL, NULL, 'PROTEIN DGCR6L', NULL, NULL, NULL, 15),
(165079, NULL, 'PTHR11999:SF158', NULL, NULL, NULL, NULL, 'BNAA09G52950D PROTEIN', NULL, NULL, NULL, 15),
(165080, NULL, 'PTHR31561:SF170', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(165081, NULL, 'PTHR33167:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165082, NULL, 'PTHR32487:SF23', NULL, NULL, NULL, NULL, '3-OXO-DELTA(4,5)-STEROID 5-BETA-REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(165083, NULL, 'PTHR15069:SF1', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 1', NULL, NULL, NULL, 15),
(165084, NULL, 'PTHR19248:SF29', NULL, NULL, NULL, NULL, 'BNACNNG24480D PROTEIN', NULL, NULL, NULL, 15),
(165085, NULL, 'PTHR21502:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2 TYPE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(165086, NULL, 'PTHR13256:SF16', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 9', NULL, NULL, NULL, 15),
(165087, NULL, 'PTHR47987:SF11', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK7 ISOFORM X1', NULL, NULL, NULL, 15),
(165088, NULL, 'PTHR45788:SF7', NULL, NULL, NULL, NULL, 'TRICARBOXYLATE TRANSPORT PROTEIN A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(165089, NULL, 'PTHR31245:SF31', NULL, NULL, NULL, NULL, 'OS02G0184500 PROTEIN', NULL, NULL, NULL, 15),
(165090, NULL, 'PTHR31376:SF77', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 2', NULL, NULL, NULL, 15),
(165091, NULL, 'PTHR24177:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165092, NULL, 'PTHR23421:SF56', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(165093, NULL, 'PTHR44489:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 48-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(165094, NULL, 'PTHR11905:SF116', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 21', NULL, NULL, NULL, 15),
(165095, NULL, 'PTHR31775:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165096, NULL, 'PTHR27005:SF335', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(165097, NULL, 'PTHR24060:SF136', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR FAMILY', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165098, NULL, 'PTHR24221:SF554', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER TAP-LIKE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(165099, NULL, 'PTHR47290:SF4', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN', NULL, NULL, NULL, 15),
(165100, NULL, 'PTHR11447', NULL, NULL, NULL, NULL, 'CELLULAR TUMOR ANTIGEN P53', NULL, NULL, 1416, 15),
(165101, NULL, 'PTHR10201:SF271', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165102, NULL, 'PTHR11206:SF402', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(165103, NULL, 'PTHR47926:SF19', NULL, NULL, NULL, NULL, 'OS05G0370000 PROTEIN', NULL, NULL, NULL, 15),
(165104, NULL, 'PTHR10334:SF459', NULL, NULL, NULL, NULL, 'GLI PATHOGENESIS-RELATED 1-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(165105, NULL, 'PTHR43579:SF1', NULL, NULL, NULL, NULL, 'PEPTIDASE M4', NULL, NULL, NULL, 15),
(165106, NULL, 'PTHR33193:SF46', NULL, NULL, NULL, NULL, 'BNAA02G16090D PROTEIN', NULL, NULL, NULL, 15),
(165107, NULL, 'PTHR43162:SF1', NULL, NULL, NULL, NULL, 'PRESTALK A DIFFERENTIATION PROTEIN A', NULL, NULL, NULL, 15),
(165108, NULL, 'PTHR22765:SF223', NULL, NULL, NULL, NULL, 'OS09G0344900 PROTEIN', NULL, NULL, NULL, 15),
(165109, NULL, 'PTHR11961:SF24', NULL, NULL, NULL, NULL, 'CYTOCHROME C', NULL, NULL, NULL, 15),
(165110, NULL, 'PTHR34187', NULL, NULL, NULL, NULL, 'FGR18P', NULL, NULL, NULL, 15),
(165111, NULL, 'PTHR35135:SF3', NULL, NULL, NULL, NULL, 'OS05G0517800 PROTEIN', NULL, NULL, NULL, 15),
(165112, NULL, 'PTHR35610:SF7', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE', NULL, NULL, NULL, 15),
(165113, NULL, 'PTHR48048:SF6', NULL, NULL, NULL, NULL, 'ANTHOCYANIDIN 53-O-GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(165114, NULL, 'PTHR33790:SF7', NULL, NULL, NULL, NULL, 'RESPONSIVE TO DEHYDRATION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(165115, NULL, 'PTHR33874:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(165116, NULL, 'PTHR23235:SF44', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 15', NULL, NULL, NULL, 15),
(165117, NULL, 'PTHR42866:SF2', NULL, NULL, NULL, NULL, '3-DEOXY-MANNO-OCTULOSONATE CYTIDYLYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(165118, NULL, 'PTHR10209:SF668', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165119, NULL, 'PTHR37807:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165120, NULL, 'PTHR22799:SF5', NULL, NULL, NULL, NULL, 'SURFACTANT PROTEIN A2', NULL, NULL, NULL, 15),
(165121, NULL, 'PTHR10366:SF726', NULL, NULL, NULL, NULL, 'OSJNBA0089N06.22 PROTEIN', NULL, NULL, NULL, 15),
(165122, NULL, 'PTHR13140:SF781', NULL, NULL, NULL, NULL, 'MYOSIN-15', NULL, NULL, NULL, 15),
(165123, NULL, 'PTHR44067:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(165124, NULL, 'PTHR43544:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165125, NULL, 'PTHR24089:SF402', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN V', NULL, NULL, NULL, 15),
(165126, NULL, 'PTHR13843:SF12', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN FUTSCH', NULL, NULL, NULL, 15),
(165127, NULL, 'PTHR23239:SF204', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA6', NULL, NULL, NULL, 15),
(165128, NULL, 'PTHR47388', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 18', NULL, NULL, NULL, 15),
(165129, NULL, 'PTHR30251:SF0', NULL, NULL, NULL, NULL, 'FIMBRIAL CHAPERONE PROTEIN ELFD-RELATED', NULL, NULL, NULL, 15),
(165130, NULL, 'PTHR34042:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP17-LIKE PROTEIN', NULL, NULL, NULL, 15),
(165131, NULL, 'PTHR46048:SF8', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLIC ACID RECEPTOR 1', NULL, NULL, NULL, 15),
(165132, NULL, 'PTHR15464:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 19', NULL, NULL, NULL, 15),
(165133, NULL, 'PTHR11236:SF42', NULL, NULL, NULL, NULL, 'BNAA04G16750D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165134, NULL, 'PTHR12117', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE COMPLEX', NULL, NULL, NULL, 15),
(165135, NULL, 'PTHR24034:SF92', NULL, NULL, NULL, NULL, 'PRO-EPIDERMAL GROWTH FACTOR', NULL, NULL, NULL, 15),
(165136, NULL, 'PTHR11062:SF189', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE MUR3', NULL, NULL, NULL, 15),
(165137, NULL, 'PTHR15951:SF2', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR-ASSOCIATED TRANSMEMBRANE ADAPTER 1', NULL, NULL, NULL, 15),
(165138, NULL, 'PTHR11040:SF162', NULL, NULL, NULL, NULL, 'ZRT (ZRT), IRT-(IRT-) LIKE PROTEIN TRANSPORTER', NULL, NULL, NULL, 15),
(165139, NULL, 'PTHR36009:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(165140, NULL, 'PTHR11850:SF234', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 6', NULL, NULL, NULL, 15),
(165141, NULL, 'PTHR35333', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE', NULL, NULL, 55, 15),
(165142, NULL, 'PTHR24338:SF9', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MSX-3', NULL, NULL, NULL, 15),
(165143, NULL, 'PTHR19134:SF494', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE 36E, ISOFORM A', NULL, NULL, NULL, 15),
(165144, NULL, 'PTHR33132:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165145, NULL, 'PTHR24031:SF614', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX10-RELATED', NULL, NULL, NULL, 15),
(165146, NULL, 'PTHR12917:SF1', NULL, NULL, NULL, NULL, 'AT13091P', NULL, NULL, NULL, 15),
(165147, NULL, 'PTHR46206:SF7', NULL, NULL, NULL, NULL, 'ENT-KAURENE OXIDASE', NULL, NULL, NULL, 15),
(165148, NULL, 'PTHR34314:SF7', NULL, NULL, NULL, NULL, 'PAREP7', NULL, NULL, NULL, 15),
(165149, NULL, 'PTHR24103:SF286', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM69', NULL, NULL, NULL, 15),
(165150, NULL, 'PTHR37536', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G02970)-RELATED', NULL, NULL, 4570, 15),
(165151, NULL, 'PTHR43171:SF1', NULL, NULL, NULL, NULL, 'EBONY', NULL, NULL, NULL, 15),
(165152, NULL, 'PTHR47241:SF1', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(165153, NULL, 'PTHR22835:SF611', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165154, NULL, 'PTHR12765:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165155, NULL, 'PTHR33101:SF45', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 11', NULL, NULL, NULL, 15),
(165156, NULL, 'PTHR31568:SF74', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(165157, NULL, 'PTHR31642:SF161', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(165158, NULL, 'PTHR31376:SF63', NULL, NULL, NULL, NULL, 'TRIOSE-PHOSPHATE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(165159, NULL, 'PTHR13610:SF18', NULL, NULL, NULL, NULL, 'SI:DKEY-190G11.3', NULL, NULL, NULL, 15),
(165160, NULL, 'PTHR36306:SF3', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 57', NULL, NULL, NULL, 15),
(165161, NULL, 'PTHR31113:SF30', NULL, NULL, NULL, NULL, 'BNAC06G29800D PROTEIN', NULL, NULL, NULL, 15),
(165162, NULL, 'PTHR45621:SF94', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', NULL, NULL, NULL, 15),
(165163, NULL, 'PTHR35749:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0084A10.10 PROTEIN', NULL, NULL, NULL, 15),
(165164, NULL, 'PTHR42898:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165165, NULL, 'PTHR34529:SF1', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX-ASSOCIATED REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(165166, NULL, 'PTHR31197:SF5', NULL, NULL, NULL, NULL, 'OS01G0612600 PROTEIN', NULL, NULL, NULL, 15),
(165167, NULL, 'PTHR36206:SF9', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(165168, NULL, 'PTHR45684:SF24', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1B-RELATED', NULL, NULL, NULL, 15),
(165169, NULL, 'PTHR47977:SF50', NULL, NULL, NULL, NULL, 'RAB34, MEMBER RAS ONCOGENE FAMILY B', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165170, NULL, 'PTHR10165:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165171, NULL, 'PTHR34997:SF4', NULL, NULL, NULL, NULL, 'LYSM DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(165172, NULL, 'PTHR11748:SF103', NULL, NULL, NULL, NULL, 'GLYCOLATE OXIDASE SUBUNIT GLCE', NULL, NULL, NULL, 15),
(165173, NULL, 'PTHR11266:SF106', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE 22 KDA (MPV17/PMP22) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165174, NULL, 'PTHR31388:SF220', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(165175, NULL, 'PTHR31314:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATE STARVATION RESPONSE 2', NULL, NULL, NULL, 15),
(165176, NULL, 'PTHR31282:SF171', NULL, NULL, NULL, NULL, 'BNAC06G15910D PROTEIN', NULL, NULL, NULL, 15),
(165177, NULL, 'PTHR33645:SF11', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE (DUF3754)', NULL, NULL, NULL, 15),
(165178, NULL, 'PTHR37908:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(165179, NULL, 'PTHR33265:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165180, NULL, 'PTHR13859:SF26', NULL, NULL, NULL, NULL, 'BNAA01G21460D PROTEIN', NULL, NULL, NULL, 15),
(165181, NULL, 'PTHR45673', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2B CATALYTIC SUBUNIT 1-RELATED', NULL, NULL, 37920, 15),
(165182, NULL, 'PTHR24409:SF310', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN CONTAINING 39', NULL, NULL, NULL, 15),
(165183, NULL, 'PTHR10574:SF202', NULL, NULL, NULL, NULL, 'PIKACHURIN', NULL, NULL, NULL, 15),
(165184, NULL, 'PTHR47640:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165185, NULL, 'PTHR15821', NULL, NULL, NULL, NULL, 'PROTEIN MN1', NULL, NULL, 33564, 15),
(165186, NULL, 'PTHR31181:SF70', NULL, NULL, NULL, NULL, 'BNAA04G12440D PROTEIN', NULL, NULL, NULL, 15),
(165187, NULL, 'PTHR45621:SF92', NULL, NULL, NULL, NULL, 'PROTEIN KINASE APK1B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(165188, NULL, 'PTHR43229:SF2', NULL, NULL, NULL, NULL, 'NODULATION PROTEIN J', NULL, NULL, NULL, 15),
(165189, NULL, 'PTHR23101:SF116', NULL, NULL, NULL, NULL, 'VPS9 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165190, NULL, 'PTHR17149:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN 1', NULL, NULL, NULL, 15),
(165191, NULL, 'PTHR43058:SF1', NULL, NULL, NULL, NULL, 'SLR0655 PROTEIN', NULL, NULL, NULL, 15),
(165192, NULL, 'PTHR46631:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165193, NULL, 'PTHR11206:SF296', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(165194, NULL, 'PTHR33294:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165195, NULL, 'PTHR43120:SF8', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', NULL, NULL, NULL, 15),
(165196, NULL, 'PTHR31108:SF1', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P63-REGULATED GENE 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(165197, NULL, 'PTHR31707:SF169', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(165198, NULL, 'PTHR11064:SF37', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-2', NULL, NULL, NULL, 15),
(165199, NULL, 'PTHR33074:SF62', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(165200, NULL, 'PTHR43471', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE', NULL, NULL, NULL, 15),
(165201, NULL, 'PTHR20900', NULL, NULL, NULL, NULL, 'NADH:UBIQUINONE OXIDOREDUCTASE B18-LIKE SUBUNIT', NULL, NULL, 13048, 15),
(165202, NULL, 'PTHR24305:SF190', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(165203, NULL, 'PTHR19269:SF65', NULL, NULL, NULL, NULL, 'TROPOMYOSIN 4A-RELATED', NULL, NULL, NULL, 15),
(165204, NULL, 'PTHR31509:SF60', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(165205, NULL, 'PTHR47397:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 19L', NULL, NULL, NULL, 15),
(165206, NULL, 'PTHR13145:SF6', NULL, NULL, NULL, NULL, 'BNAA03G50870D PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165207, NULL, 'PTHR10459:SF109', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(165208, NULL, 'PTHR13693:SF91', NULL, NULL, NULL, NULL, 'LONG CHAIN BASE BIOSYNTHESIS PROTEIN 2A', NULL, NULL, NULL, 15),
(165209, NULL, 'PTHR18953:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165210, NULL, 'PTHR31802:SF23', NULL, NULL, NULL, NULL, 'BNAA03G60250D PROTEIN', NULL, NULL, NULL, 15),
(165211, NULL, 'PTHR10460:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165212, NULL, 'PTHR10985:SF3', NULL, NULL, NULL, NULL, 'CLASS E BASIC HELIX-LOOP-HELIX PROTEIN 40', NULL, NULL, NULL, 15),
(165213, NULL, 'PTHR19305:SF24', NULL, NULL, NULL, NULL, 'SNAP25 HOMOLOGOUS PROTEIN SNAP29', NULL, NULL, NULL, 15),
(165214, NULL, 'PTHR18945:SF595', NULL, NULL, NULL, NULL, 'HISTAMINE-GATED CHLORIDE CHANNEL SUBUNIT 1', NULL, NULL, NULL, 15),
(165215, NULL, 'PTHR20932:SF35', NULL, NULL, NULL, NULL, 'LD36653P', NULL, NULL, NULL, 15),
(165216, NULL, 'PTHR47562', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165217, NULL, 'PTHR34890:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165218, NULL, 'PTHR45699:SF18', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0-1', NULL, NULL, NULL, 15),
(165219, NULL, 'PTHR13723:SF179', NULL, NULL, NULL, NULL, 'PAPILIN', NULL, NULL, NULL, 15),
(165220, NULL, 'PTHR24377:SF692', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 17', NULL, NULL, NULL, 15),
(165221, NULL, 'PTHR24346:SF39', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE KINASE 1', NULL, NULL, NULL, 15),
(165222, NULL, 'PTHR15204:SF5', NULL, NULL, NULL, NULL, 'OS07G0498800 PROTEIN', NULL, NULL, NULL, 15),
(165223, NULL, 'PTHR24390:SF144', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE AI854703', NULL, NULL, NULL, 15),
(165224, NULL, 'PTHR24381:SF359', NULL, NULL, NULL, NULL, 'GENE 10772-RELATED', NULL, NULL, NULL, 15),
(165225, NULL, 'PTHR31861:SF21', NULL, NULL, NULL, NULL, 'BNACNNG29580D PROTEIN', NULL, NULL, NULL, 15),
(165226, NULL, 'PTHR21338', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN L41', NULL, NULL, 18930, 15),
(165227, NULL, 'PTHR32448:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165228, NULL, 'PTHR13710:SF130', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE RECQ', NULL, NULL, NULL, 15),
(165229, NULL, 'PTHR32295:SF151', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', NULL, NULL, NULL, 15),
(165230, NULL, 'PTHR12601:SF17', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(165231, NULL, 'PTHR45868:SF59', NULL, NULL, NULL, NULL, 'HEAVY-METAL-ASSOCIATED DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(165232, NULL, 'PTHR30620:SF92', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE BOGH3B-LIKE', NULL, NULL, NULL, 15),
(165233, NULL, 'PTHR10811:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165234, NULL, 'PTHR42811:SF20', NULL, NULL, NULL, NULL, 'BNAA08G00140D PROTEIN', NULL, NULL, NULL, 15),
(165235, NULL, 'PTHR23509', NULL, NULL, NULL, NULL, 'PA-PL1 PHOSPHOLIPASE FAMILY', NULL, NULL, NULL, 15),
(165236, NULL, 'PTHR14060', NULL, NULL, NULL, NULL, 'PROTEIN P13 MTCP-1', NULL, NULL, 4499, 15),
(165237, NULL, 'PTHR31960', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A15', NULL, NULL, NULL, 15),
(165238, NULL, 'PTHR30614:SF34', NULL, NULL, NULL, NULL, 'BLR6398 PROTEIN', NULL, NULL, NULL, 15),
(165239, NULL, 'PTHR22953:SF131', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(165240, NULL, 'PTHR33429:SF33', NULL, NULL, NULL, NULL, 'BNAA08G05490D PROTEIN', NULL, NULL, NULL, 15),
(165241, NULL, 'PTHR34061:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165242, NULL, 'PTHR31673:SF48', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(165243, NULL, 'PTHR24248:SF71', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(165244, NULL, 'PTHR23239:SF90', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 40', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165245, NULL, 'PTHR15420:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 10', NULL, NULL, NULL, 15),
(165246, NULL, 'PTHR48097:SF4', NULL, NULL, NULL, NULL, 'L-ALLO-THREONINE ALDOLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(165247, NULL, 'PTHR43908:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(165248, NULL, 'PTHR22572', NULL, NULL, NULL, NULL, 'SUGAR-1-PHOSPHATE GUANYL TRANSFERASE', NULL, NULL, NULL, 15),
(165249, NULL, 'PTHR10811:SF91', NULL, NULL, NULL, NULL, 'BNAC09G24010D PROTEIN', NULL, NULL, NULL, 15),
(165250, NULL, 'PTHR10352:SF55', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING, ALPHA-BETA PLAIT', NULL, NULL, NULL, 15),
(165251, NULL, 'PTHR30346:SF17', NULL, NULL, NULL, NULL, 'HCA OPERON TRANSCRIPTIONAL ACTIVATOR HCAR', NULL, NULL, NULL, 15),
(165252, NULL, 'PTHR22880', NULL, NULL, NULL, NULL, 'FALZ-RELATED BROMODOMAIN-CONTAINING PROTEINS', NULL, NULL, NULL, 15),
(165253, NULL, 'PTHR48020:SF10', NULL, NULL, NULL, NULL, 'H(+) MYOINOSITOL COTRANSPORTER', NULL, NULL, NULL, 15),
(165254, NULL, 'PTHR31286:SF48', NULL, NULL, NULL, NULL, 'OS10G0362600 PROTEIN', NULL, NULL, NULL, 15),
(165255, NULL, 'PTHR24323:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165256, NULL, 'PTHR12411:SF718', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE', NULL, NULL, NULL, 15),
(165257, NULL, 'PTHR47900:SF1', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 131A', NULL, NULL, NULL, 15),
(165258, NULL, 'PTHR10064:SF26', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L22-2-LIKE', NULL, NULL, NULL, 15),
(165259, NULL, 'PTHR23172:SF19', NULL, NULL, NULL, NULL, 'AUXILIN, ISOFORM A', NULL, NULL, NULL, 15),
(165260, NULL, 'PTHR19378:SF3', NULL, NULL, NULL, NULL, 'HAUS AUGMIN LIKE COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(165261, NULL, 'PTHR36309:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165262, NULL, 'PTHR24376:SF97', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 585B', NULL, NULL, NULL, 15),
(165263, NULL, 'PTHR10314:SF178', NULL, NULL, NULL, NULL, 'O-ACETYLSERINE (THIOL) LYASE', NULL, NULL, NULL, 15),
(165264, NULL, 'PTHR20648:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165265, NULL, 'PTHR46326:SF7', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT1-LIKE', NULL, NULL, NULL, 15),
(165266, NULL, 'PTHR11731:SF128', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE 4', NULL, NULL, NULL, 15),
(165267, NULL, 'PTHR15615:SF89', NULL, NULL, NULL, NULL, 'CYCLIN-U3-1', NULL, NULL, NULL, 15),
(165268, NULL, 'PTHR10694:SF38', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE REF6', NULL, NULL, NULL, 15),
(165269, NULL, 'PTHR46463:SF19', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(165270, NULL, 'PTHR13105:SF7', NULL, NULL, NULL, NULL, 'MYELOID LEUKEMIA FACTOR', NULL, NULL, NULL, 15),
(165271, NULL, 'PTHR15276:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(165272, NULL, 'PTHR24348:SF37', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0271538-RELATED', NULL, NULL, NULL, 15),
(165273, NULL, 'PTHR12893:SF2', NULL, NULL, NULL, NULL, 'GOLGI REASSEMBLY-STACKING PROTEIN 1', NULL, NULL, NULL, 15),
(165274, NULL, 'PTHR11685:SF333', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(165275, NULL, 'PTHR32212:SF252', NULL, NULL, NULL, NULL, 'FBD / LEUCINE RICH REPEAT DOMAINS CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(165276, NULL, 'PTHR43981:SF3', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(165277, NULL, 'PTHR24082:SF488', NULL, NULL, NULL, NULL, 'PEROXISOME PROLIFERATOR-ACTIVATED RECEPTOR GAMMA', NULL, NULL, NULL, 15),
(165278, NULL, 'PTHR11567:SF29', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE FAMILY', NULL, NULL, NULL, 15),
(165279, NULL, 'PTHR43653', NULL, NULL, NULL, NULL, 'CYTOCHROME C ASSEMBLY PROTEIN-RELATED', NULL, NULL, 171, 15),
(165280, NULL, 'PTHR31319:SF46', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165281, NULL, 'PTHR19277:SF1', NULL, NULL, NULL, NULL, 'NEURONAL PENTRAXIN-2', NULL, NULL, NULL, 15),
(165282, NULL, 'PTHR48021:SF70', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 15', NULL, NULL, NULL, 15),
(165283, NULL, 'PTHR46153:SF15', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(165284, NULL, 'PTHR27004:SF173', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(165285, NULL, 'PTHR32401:SF22', NULL, NULL, NULL, NULL, 'LEGUME LECTIN BETA DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(165286, NULL, 'PTHR31058:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBR-VAB-23', NULL, NULL, NULL, 15),
(165287, NULL, 'PTHR19367:SF25', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 9-2', NULL, NULL, NULL, 15),
(165288, NULL, 'PTHR24246:SF50', NULL, NULL, NULL, NULL, 'ADENOSINE RECEPTOR, ISOFORM A', NULL, NULL, NULL, 15),
(165289, NULL, 'PTHR15860:SF15', NULL, NULL, NULL, NULL, 'OS05G0316000 PROTEIN', NULL, NULL, NULL, 15),
(165290, NULL, 'PTHR12138:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165291, NULL, 'PTHR11662:SF420', NULL, NULL, NULL, NULL, 'BLR1003 PROTEIN', NULL, NULL, NULL, 15),
(165292, NULL, 'PTHR32096:SF57', NULL, NULL, NULL, NULL, 'OS06G0504900 PROTEIN', NULL, NULL, NULL, 15),
(165293, NULL, 'PTHR48047:SF81', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(165294, NULL, 'PTHR43141:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME BD-II UBIQUINOL OXIDASE SUBUNIT 2', NULL, NULL, NULL, 15),
(165295, NULL, 'PTHR32227:SF118', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(165296, NULL, 'PTHR10108:SF1122', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(165297, NULL, 'PTHR15726:SF5', NULL, NULL, NULL, NULL, 'RAB11 FAMILY-INTERACTING PROTEIN 4', NULL, NULL, NULL, 15),
(165298, NULL, 'PTHR13715:SF16', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 3', NULL, NULL, NULL, 15),
(165299, NULL, 'PTHR24373:SF290', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE NEURONAL PROTEIN 1', NULL, NULL, NULL, 15),
(165300, NULL, 'PTHR11552:SF213', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(165301, NULL, 'PTHR39069:SF5', NULL, NULL, NULL, NULL, 'AGAP001390-PA', NULL, NULL, NULL, 15),
(165302, NULL, 'PTHR34222:SF6', NULL, NULL, NULL, NULL, 'OS02G0671800 PROTEIN', NULL, NULL, NULL, 15),
(165303, NULL, 'PTHR47985:SF34', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL24-RELATED', NULL, NULL, NULL, 15),
(165304, NULL, 'PTHR46776', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 4-RELATED', NULL, NULL, 37907, 15),
(165305, NULL, 'PTHR33273:SF2', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(165306, NULL, 'PTHR24024:SF20', NULL, NULL, NULL, NULL, 'COLLECTIN-10', NULL, NULL, NULL, 15),
(165307, NULL, 'PTHR11827:SF97', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 10, TANDEM DUPLICATE 1-RELATED', NULL, NULL, NULL, 15),
(165308, NULL, 'PTHR12045:SF3', NULL, NULL, NULL, NULL, 'ALLANTOICASE-RELATED', NULL, NULL, NULL, 15),
(165309, NULL, 'PTHR10177:SF492', NULL, NULL, NULL, NULL, 'BNAA03G57140D PROTEIN', NULL, NULL, NULL, 15),
(165310, NULL, 'PTHR36914', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165311, NULL, 'PTHR45768:SF24', NULL, NULL, NULL, NULL, 'OS09G0376700 PROTEIN', NULL, NULL, NULL, 15),
(165312, NULL, 'PTHR45921:SF6', NULL, NULL, NULL, NULL, 'C15', NULL, NULL, NULL, 15),
(165313, NULL, 'PTHR24240:SF62', NULL, NULL, NULL, NULL, 'OPSIN-3', NULL, NULL, NULL, 15),
(165314, NULL, 'PTHR17357:SF0', NULL, NULL, NULL, NULL, 'GANGLIOSIDE GM2 ACTIVATOR', NULL, NULL, NULL, 15),
(165315, NULL, 'PTHR20903:SF1', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 1', NULL, NULL, NULL, 15),
(165316, NULL, 'PTHR10676:SF346', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(165317, NULL, 'PTHR33600:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165318, NULL, 'PTHR10828:SF70', NULL, NULL, NULL, NULL, 'M-PHASE INDUCER PHOSPHATASE CDC-25.3', NULL, NULL, NULL, 15),
(165319, NULL, 'PTHR43806:SF49', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE', NULL, NULL, NULL, 15),
(165320, NULL, 'PTHR45878:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP2', NULL, NULL, NULL, 15),
(165321, NULL, 'PTHR26374:SF362', NULL, NULL, NULL, NULL, 'C2H2 ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(165322, NULL, 'PTHR10687:SF24', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 4', NULL, NULL, NULL, 15),
(165323, NULL, 'PTHR45863:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165324, NULL, 'PTHR32258:SF40', NULL, NULL, NULL, NULL, 'BNAA05G16920D PROTEIN', NULL, NULL, NULL, 15),
(165325, NULL, 'PTHR23500:SF531', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(165326, NULL, 'PTHR31613:SF2', NULL, NULL, NULL, NULL, 'AUGURIN', NULL, NULL, NULL, 15),
(165327, NULL, 'PTHR48016:SF1', NULL, NULL, NULL, NULL, 'OS07G0119000 PROTEIN', NULL, NULL, NULL, 15),
(165328, NULL, 'PTHR30255:SF2', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED-DNA-SPECIFIC EXONUCLEASE RECJ', NULL, NULL, NULL, 15),
(165329, NULL, 'PTHR31086:SF81', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 10', NULL, NULL, NULL, 15),
(165330, NULL, 'PTHR34131:SF2', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF1997)-RELATED', NULL, NULL, NULL, 15),
(165331, NULL, 'PTHR31136:SF5', NULL, NULL, NULL, NULL, 'OS10G0463800 PROTEIN', NULL, NULL, NULL, 15),
(165332, NULL, 'PTHR31956:SF30', NULL, NULL, NULL, NULL, 'OS11G0593000 PROTEIN', NULL, NULL, NULL, 15),
(165333, NULL, 'PTHR11017:SF384', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165334, NULL, 'PTHR10797:SF59', NULL, NULL, NULL, NULL, 'RIBONUCLEASE CAF1, RIBONUCLEASE H-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165335, NULL, 'PTHR35967', NULL, NULL, NULL, NULL, 'UPF0450 PROTEIN C17ORF58', NULL, NULL, NULL, 15),
(165336, NULL, 'PTHR22814:SF291', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165337, NULL, 'PTHR43240:SF1', NULL, NULL, NULL, NULL, 'BLR5584 PROTEIN', NULL, NULL, NULL, 15),
(165338, NULL, 'PTHR27001:SF840', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK10', NULL, NULL, NULL, 15),
(165339, NULL, 'PTHR23267:SF355', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-V REGION T1-RELATED', NULL, NULL, NULL, 15),
(165340, NULL, 'PTHR24256:SF315', NULL, NULL, NULL, NULL, 'PROTEASE, SERINE 32', NULL, NULL, NULL, 15),
(165341, NULL, 'PTHR48007:SF12', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 51', NULL, NULL, NULL, 15),
(165342, NULL, 'PTHR10315:SF114', NULL, NULL, NULL, NULL, 'OS01G0121900 PROTEIN', NULL, NULL, NULL, 15),
(165343, NULL, 'PTHR13301:SF58', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D2', NULL, NULL, NULL, 15),
(165344, NULL, 'PTHR23099:SF0', NULL, NULL, NULL, NULL, 'ACIDIC REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(165345, NULL, 'PTHR22844:SF358', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165346, NULL, 'PTHR45974:SF151', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(165347, NULL, 'PTHR45775:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG22069', NULL, NULL, NULL, 15),
(165348, NULL, 'PTHR38432', NULL, NULL, NULL, NULL, 'TELA-LIKE PROTEIN SAOUHSC_01408', NULL, NULL, 14129, 15),
(165349, NULL, 'PTHR15907:SF32', NULL, NULL, NULL, NULL, 'PLACENTA-SPECIFIC GENE 8 PROTEIN', NULL, NULL, NULL, 15),
(165350, NULL, 'PTHR47926:SF248', NULL, NULL, NULL, NULL, 'BNAA05G13240D PROTEIN', NULL, NULL, NULL, 15),
(165351, NULL, 'PTHR23311:SF7', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 72 KDA', NULL, NULL, 32995, 15),
(165352, NULL, 'PTHR33204', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, MARR FAMILY', NULL, NULL, NULL, 15),
(165353, NULL, 'PTHR47504:SF4', NULL, NULL, NULL, NULL, 'MULTIPLE ANTIBIOTIC RESISTANCE PROTEIN MARA', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165354, NULL, 'PTHR30012:SF0', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN F-RELATED', NULL, NULL, NULL, 15),
(165355, NULL, 'PTHR48041:SF32', NULL, NULL, NULL, NULL, 'PROTEIN WHITE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(165356, NULL, 'PTHR13780:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165357, NULL, 'PTHR26452:SF719', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(165358, NULL, 'PTHR24299:SF14', NULL, NULL, NULL, NULL, 'OS10G0514300 PROTEIN', NULL, NULL, NULL, 15),
(165359, NULL, 'PTHR32246:SF80', NULL, NULL, NULL, NULL, 'PROTEIN SRC2', NULL, NULL, NULL, 15),
(165360, NULL, 'PTHR13318:SF37', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(165361, NULL, 'PTHR46084:SF25', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', NULL, NULL, NULL, 15),
(165362, NULL, 'PTHR14064:SF3', NULL, NULL, NULL, NULL, 'TENOMODULIN', NULL, NULL, NULL, 15),
(165363, NULL, 'PTHR45644:SF6', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(165364, NULL, 'PTHR35068', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(165365, NULL, 'PTHR24241:SF132', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE FF RECEPTOR 2', NULL, NULL, NULL, 15),
(165366, NULL, 'PTHR12424:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TWEETY HOMOLOG 3', NULL, NULL, NULL, 15),
(165367, NULL, 'PTHR22943:SF46', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(165368, NULL, 'PTHR24031:SF708', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-3', NULL, NULL, NULL, 15),
(165369, NULL, 'PTHR16083:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG03577', NULL, NULL, NULL, 15),
(165370, NULL, 'PTHR31920:SF79', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS11G0625400-RELATED', NULL, NULL, NULL, 15),
(165371, NULL, 'PTHR34658:SF6', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN G1', NULL, NULL, NULL, 15),
(165372, NULL, 'PTHR46225:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165373, NULL, 'PTHR32343:SF55', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 11', NULL, NULL, NULL, 15),
(165374, NULL, 'PTHR12610:SF22', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(165375, NULL, 'PTHR48063:SF45', NULL, NULL, NULL, NULL, 'REPEAT RESISTANCE PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(165376, NULL, 'PTHR33121:SF16', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEL-RELATED', NULL, NULL, NULL, 15),
(165377, NULL, 'PTHR16208', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN/SYNTAPHILIN', NULL, NULL, NULL, 15),
(165378, NULL, 'PTHR12791:SF55', NULL, NULL, NULL, NULL, 'BNAC03G58880D PROTEIN', NULL, NULL, NULL, 15),
(165379, NULL, 'PTHR24299:SF22', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 76A1-LIKE', NULL, NULL, NULL, 15),
(165380, NULL, 'PTHR11800', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', NULL, NULL, NULL, 15),
(165381, NULL, 'PTHR11515:SF27', NULL, NULL, NULL, NULL, 'CHORIOGONADOTROPIN SUBUNIT BETA 3-RELATED', NULL, NULL, NULL, 15),
(165382, NULL, 'PTHR31058', NULL, NULL, NULL, NULL, 'ZINC FINGER C4H2 DOMAIN-CONTAINING PROTEIN', NULL, NULL, 9296, 15),
(165383, NULL, 'PTHR31346:SF7', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(165384, NULL, 'PTHR33671:SF13', NULL, NULL, NULL, NULL, 'BNAA05G11690D PROTEIN', NULL, NULL, NULL, 15),
(165385, NULL, 'PTHR23291:SF102', NULL, NULL, NULL, NULL, 'BAX INHIBITOR 1-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165386, NULL, 'PTHR31482:SF14', NULL, NULL, NULL, NULL, 'BNAA09G47460D PROTEIN', NULL, NULL, NULL, 15),
(165387, NULL, 'PTHR43107:SF12', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 27 MEMBER 3', NULL, NULL, 27035, 15),
(165388, NULL, 'PTHR31375:SF41', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(165389, NULL, 'PTHR11165:SF143', NULL, NULL, NULL, NULL, 'BNAC09G21280D PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165390, NULL, 'PTHR33210:SF21', NULL, NULL, NULL, NULL, 'PROTODERMAL FACTOR 1-LIKE', NULL, NULL, NULL, 15),
(165391, NULL, 'PTHR30015:SF7', NULL, NULL, NULL, NULL, 'MRR RESTRICTION SYSTEM PROTEIN', NULL, NULL, NULL, 15),
(165392, NULL, 'PTHR48062:SF21', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 14', NULL, NULL, NULL, 15),
(165393, NULL, 'PTHR43464:SF45', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TYPE 12', NULL, NULL, NULL, 15),
(165394, NULL, 'PTHR33463:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165395, NULL, 'PTHR36406', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 30', NULL, NULL, 3707, 15),
(165396, NULL, 'PTHR33543:SF9', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN TYPE 2', NULL, NULL, NULL, 15),
(165397, NULL, 'PTHR46746:SF3', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY F MEMBER 2', NULL, NULL, NULL, 15),
(165398, NULL, 'PTHR10835:SF6', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE 5-RELATED', NULL, NULL, NULL, 15),
(165399, NULL, 'PTHR33128', NULL, NULL, NULL, NULL, 'OS05G0103400 PROTEIN', NULL, NULL, 19626, 15),
(165400, NULL, 'PTHR45938:SF3', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR 3', NULL, NULL, NULL, 15),
(165401, NULL, 'PTHR31194:SF116', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF069', NULL, NULL, NULL, 15),
(165402, NULL, 'PTHR10201:SF139', NULL, NULL, NULL, NULL, 'HEMOPEXIN', NULL, NULL, NULL, 15),
(165403, NULL, 'PTHR31634:SF2', NULL, NULL, NULL, NULL, 'BLOC-1-RELATED COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(165404, NULL, 'PTHR24012:SF834', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(165405, NULL, 'PTHR22802:SF389', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165406, NULL, 'PTHR11430:SF77', NULL, NULL, NULL, NULL, 'LIPOCALIN-LIKE 1 PROTEIN', NULL, NULL, NULL, 15),
(165407, NULL, 'PTHR31549:SF220', NULL, NULL, NULL, NULL, 'BNAC07G31690D PROTEIN', NULL, NULL, NULL, 15),
(165408, NULL, 'PTHR15332', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(165409, NULL, 'PTHR13447:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S28, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(165410, NULL, 'PTHR48078:SF14', NULL, NULL, NULL, NULL, 'SI:CH73-263O4.4', NULL, NULL, NULL, 15),
(165411, NULL, 'PTHR13087:SF10', NULL, NULL, NULL, NULL, 'BNACNNG32680D PROTEIN', NULL, NULL, NULL, 15),
(165412, NULL, 'PTHR11640:SF129', NULL, NULL, NULL, NULL, 'KIN OF IRRE LIKE (DROSOPHILA)', NULL, NULL, NULL, 15),
(165413, NULL, 'PTHR35736:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165414, NULL, 'PTHR31376:SF2', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 11-RELATED', NULL, NULL, NULL, 15),
(165415, NULL, 'PTHR31339:SF9', NULL, NULL, NULL, NULL, 'HYDROLASE FAMILY 28 PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(165416, NULL, 'PTHR34059:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(165417, NULL, 'PTHR27005:SF396', NULL, NULL, NULL, NULL, 'BNAA09G56430D PROTEIN', NULL, NULL, NULL, 15),
(165418, NULL, 'PTHR24279:SF115', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 11B1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(165419, NULL, 'PTHR31403:SF56', NULL, NULL, NULL, NULL, 'GALACTOLIPASE DONGLE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(165420, NULL, 'PTHR47925:SF64', NULL, NULL, NULL, NULL, 'BNAA02G05460D PROTEIN', NULL, NULL, NULL, 15),
(165421, NULL, 'PTHR45589:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 62', NULL, NULL, NULL, 15),
(165422, NULL, 'PTHR31865:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165423, NULL, 'PTHR22750:SF21', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDIC ACID RECEPTOR 3', NULL, NULL, NULL, 15),
(165424, NULL, 'PTHR39532:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165425, NULL, 'PTHR27004:SF222', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 47-RELATED', NULL, NULL, NULL, 15),
(165426, NULL, 'PTHR31153:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165427, NULL, 'PTHR31042:SF95', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING ENZYME', NULL, NULL, NULL, 15),
(165428, NULL, 'PTHR14119:SF17', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(165429, NULL, 'PTHR22950:SF529', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT3B', NULL, NULL, NULL, 15),
(165430, NULL, 'PTHR42680:SF2', NULL, NULL, NULL, NULL, 'DCTP DEAMINASE', NULL, NULL, NULL, 15),
(165431, NULL, 'PTHR33207:SF23', NULL, NULL, NULL, NULL, 'OS07G0554900 PROTEIN', NULL, NULL, NULL, 15),
(165432, NULL, 'PTHR22811:SF59', NULL, NULL, NULL, NULL, 'OPOSSUM, ISOFORM A', NULL, NULL, NULL, 15),
(165433, NULL, 'PTHR47990:SF137', NULL, NULL, NULL, NULL, 'BNAC01G36960D PROTEIN', NULL, NULL, NULL, 15),
(165434, NULL, 'PTHR31140:SF74', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR LEC2 ISOFORM X1', NULL, NULL, NULL, 15),
(165435, NULL, 'PTHR48000:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RAX2-LIKE', NULL, NULL, NULL, 15),
(165436, NULL, 'PTHR11802:SF286', NULL, NULL, NULL, NULL, '1-O-ACYLGLUCOSE:ANTHOCYANIN ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(165437, NULL, 'PTHR45089:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165438, NULL, 'PTHR12801:SF144', NULL, NULL, NULL, NULL, 'ZGC:152968', NULL, NULL, NULL, 15),
(165439, NULL, 'PTHR31204', NULL, NULL, NULL, NULL, 'SIGMA INTRACELLULAR RECEPTOR 2', NULL, NULL, NULL, 15),
(165440, NULL, 'PTHR17070', NULL, NULL, NULL, NULL, 'DEXAMETHASONE-INDUCED PROTEIN', NULL, NULL, 18865, 15),
(165441, NULL, 'PTHR24403:SF88', NULL, NULL, NULL, NULL, 'ENHANCER OF VARIEGATION 3-9-RELATED', NULL, NULL, NULL, 15),
(165442, NULL, 'PTHR41237:SF1', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN MRP21, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(165443, NULL, 'PTHR31155:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165444, NULL, 'PTHR23239:SF99', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA3-II', NULL, NULL, NULL, 15),
(165445, NULL, 'PTHR46646:SF1', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(165446, NULL, 'PTHR37754:SF1', NULL, NULL, NULL, NULL, 'CALCIUM ION-BINDING PROTEIN', NULL, NULL, NULL, 15),
(165447, NULL, 'PTHR33406:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN SCO6666-RELATED', NULL, NULL, NULL, 15),
(165448, NULL, 'PTHR24355:SF26', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE', NULL, NULL, NULL, 15),
(165449, NULL, 'PTHR14365:SF1', NULL, NULL, NULL, NULL, 'APOPTOSIS REGULATORY PROTEIN SIVA', NULL, NULL, NULL, 15),
(165450, NULL, 'PTHR21562:SF69', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 9', NULL, NULL, NULL, 15),
(165451, NULL, 'PTHR10353:SF182', NULL, NULL, NULL, NULL, 'MYROSINASE 1-RELATED', NULL, NULL, NULL, 15),
(165452, NULL, 'PTHR48085:SF5', NULL, NULL, NULL, NULL, 'CADMIUM/ZINC-TRANSPORTING ATPASE HMA2', NULL, NULL, NULL, 15),
(165453, NULL, 'PTHR24326:SF589', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-6-LIKE', NULL, NULL, NULL, 15),
(165454, NULL, 'PTHR31479:SF12', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(165455, NULL, 'PTHR10218:SF212', NULL, NULL, NULL, NULL, 'G PROTEIN ALPHA S SUBUNIT', NULL, NULL, NULL, 15),
(165456, NULL, 'PTHR31750:SF21', NULL, NULL, NULL, NULL, 'PROTEIN STAY-GREEN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(165457, NULL, 'PTHR31388:SF225', NULL, NULL, NULL, NULL, 'PEROXIDASE 70-LIKE', NULL, NULL, NULL, 15),
(165458, NULL, 'PTHR30128:SF44', NULL, NULL, NULL, NULL, 'SMF-DEPENDENT FLAGELLAR MOTOR PROTEIN MOTY', NULL, NULL, NULL, 15),
(165459, NULL, 'PTHR16228', NULL, NULL, NULL, NULL, 'DIVALENT CATION TRANSPORTER  SOLUTE CARRIER FAMILY 41', NULL, NULL, 37373, 15),
(165460, NULL, 'PTHR19879:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 5', NULL, NULL, NULL, 15),
(165461, NULL, 'PTHR33646:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(165462, NULL, 'PTHR31235:SF223', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165463, NULL, 'PTHR45901:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165464, NULL, 'PTHR11588:SF326', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(165465, NULL, 'PTHR46100:SF10', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(165466, NULL, 'PTHR11471:SF33', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 6', NULL, NULL, NULL, 15),
(165467, NULL, 'PTHR28145', NULL, NULL, NULL, NULL, '12 KDA HEAT SHOCK PROTEIN', NULL, NULL, 6616, 15),
(165468, NULL, 'PTHR22844:SF342', NULL, NULL, NULL, NULL, 'AND WD40 DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(165469, NULL, 'PTHR10257:SF66', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 59 KDA REGULATORY SUBUNIT B'' ETA ISOFORM', NULL, NULL, NULL, 15),
(165470, NULL, 'PTHR11994:SF28', NULL, NULL, NULL, NULL, 'OS01G0205500 PROTEIN', NULL, NULL, NULL, 15),
(165471, NULL, 'PTHR32246:SF123', NULL, NULL, NULL, NULL, 'BNACNNG52320D PROTEIN', NULL, NULL, NULL, 15),
(165472, NULL, 'PTHR21472:SF23', NULL, NULL, NULL, NULL, 'INO80 COMPLEX SUBUNIT E', NULL, NULL, NULL, 15),
(165473, NULL, 'PTHR41775:SF1', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165474, NULL, 'PTHR24248:SF163', NULL, NULL, NULL, NULL, 'HISTAMINE RECEPTOR H2A', NULL, NULL, NULL, 15),
(165475, NULL, 'PTHR11689:SF142', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-B', NULL, NULL, NULL, 15),
(165476, NULL, 'PTHR33107:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165477, NULL, 'PTHR11475:SF111', NULL, NULL, NULL, NULL, 'HEME PEROXIDASE', NULL, NULL, NULL, 15),
(165478, NULL, 'PTHR43015', NULL, NULL, NULL, NULL, 'D-RIBITOL-5-PHOSPHATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(165479, NULL, 'PTHR43128:SF2', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE B CHAIN', NULL, NULL, NULL, 15),
(165480, NULL, 'PTHR43245:SF33', NULL, NULL, NULL, NULL, 'UDP-D-APIOSE/UDP-D-XYLOSE SYNTHASE 1-RELATED', NULL, NULL, NULL, 15),
(165481, NULL, 'PTHR33214:SF20', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(165482, NULL, 'PTHR10201:SF279', NULL, NULL, NULL, NULL, 'METALLOENDOPROTEINASE 1-MMP', NULL, NULL, NULL, 15),
(165483, NULL, 'PTHR11567:SF192', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1, ISOFORM B', NULL, NULL, NULL, 15),
(165484, NULL, 'PTHR36355:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(165485, NULL, 'PTHR24372:SF72', NULL, NULL, NULL, NULL, 'RELAXIN RECEPTOR 2', NULL, NULL, NULL, 15),
(165486, NULL, 'PTHR33074:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165487, NULL, 'PTHR42881:SF6', NULL, NULL, NULL, NULL, 'PROLYL ENDOPEPTIDASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(165488, NULL, 'PTHR11183:SF138', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(165489, NULL, 'PTHR11757:SF18', NULL, NULL, NULL, NULL, 'BNAA08G02180D PROTEIN', NULL, NULL, NULL, 15),
(165490, NULL, 'PTHR31561:SF127', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(165491, NULL, 'PTHR32261:SF2', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN 1', NULL, NULL, 27288, 15),
(165492, NULL, 'PTHR43204:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(165493, NULL, 'PTHR10209:SF678', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(165494, NULL, 'PTHR24055:SF107', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 13', NULL, NULL, NULL, 15),
(165495, NULL, 'PTHR45737:SF6', NULL, NULL, NULL, NULL, 'VON WILLEBRAND FACTOR A DOMAIN-CONTAINING PROTEIN 5A', NULL, NULL, NULL, 15),
(165496, NULL, 'PTHR45621:SF116', NULL, NULL, NULL, NULL, 'OS06G0168800 PROTEIN', NULL, NULL, NULL, 15),
(165497, NULL, 'PTHR27009:SF157', NULL, NULL, NULL, NULL, 'OS01G0113300 PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165498, NULL, 'PTHR23155:SF1129', NULL, NULL, NULL, NULL, 'OS08G0190300 PROTEIN', NULL, NULL, NULL, 15),
(165499, NULL, 'PTHR40115', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN WITH PEPSY TM HELIX', NULL, NULL, 26532, 15),
(165500, NULL, 'PTHR13742:SF8', NULL, NULL, NULL, NULL, 'RETINOBLASTOMA-LIKE PROTEIN 2', NULL, NULL, 24156, 15),
(165501, NULL, 'PTHR22792:SF106', NULL, NULL, NULL, NULL, 'OS09G0540900 PROTEIN', NULL, NULL, NULL, 15),
(165502, NULL, 'PTHR33930:SF8', NULL, NULL, NULL, NULL, '4-CARBOXYMUCONOLACTONE DECARBOXYLASE', NULL, NULL, NULL, 15),
(165503, NULL, 'PTHR10925:SF5', NULL, NULL, NULL, NULL, 'RNA CYTIDINE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(165504, NULL, 'PTHR14089:SF16', NULL, NULL, NULL, NULL, 'U2 AUXILIARY FACTOR SMALL SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(165505, NULL, 'PTHR43895:SF105', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(165506, NULL, 'PTHR46039:SF9', NULL, NULL, NULL, NULL, 'SUCROSE PHOSPHATE SYNTHASE, PLANT-RELATED', NULL, NULL, NULL, 15),
(165507, NULL, 'PTHR37940', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 6428, 15),
(165508, NULL, 'PTHR43497:SF4', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE SUPERFAMILY', NULL, NULL, NULL, 15),
(165509, NULL, 'PTHR10994:SF175', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(165510, NULL, 'PTHR31133:SF16', NULL, NULL, NULL, NULL, 'BNAA06G32130D PROTEIN', NULL, NULL, NULL, 15),
(165511, NULL, 'PTHR27005:SF313', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(165512, NULL, 'PTHR45732:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR LIKE PROTEIN', NULL, NULL, NULL, 15),
(165513, NULL, 'PTHR35243:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165514, NULL, 'PTHR32468:SF86', NULL, NULL, NULL, NULL, 'OS11G0123600 PROTEIN', NULL, NULL, NULL, 15),
(165515, NULL, 'PTHR45750:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165516, NULL, 'PTHR45654:SF54', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG3', NULL, NULL, NULL, 15),
(165517, NULL, 'PTHR13382:SF16', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP28', NULL, NULL, NULL, 15),
(165518, NULL, 'PTHR23423:SF15', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER OSTALPHA PROTEIN (DUF300)', NULL, NULL, NULL, 15),
(165519, NULL, 'PTHR10183:SF262', NULL, NULL, NULL, NULL, 'CALPAIN FAMILY', NULL, NULL, NULL, 15),
(165520, NULL, 'PTHR37718:SF4', NULL, NULL, NULL, NULL, 'BNAA03G54120D PROTEIN', NULL, NULL, NULL, 15),
(165521, NULL, 'PTHR48053:SF8', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(165522, NULL, 'PTHR35607:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165523, NULL, 'PTHR11349:SF57', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE B', NULL, NULL, NULL, 15),
(165524, NULL, 'PTHR13068:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165525, NULL, 'PTHR48004:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165526, NULL, 'PTHR35017:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG16222', NULL, NULL, NULL, 15),
(165527, NULL, 'PTHR11017:SF227', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY-RELATED', NULL, NULL, NULL, 15),
(165528, NULL, 'PTHR11501:SF14', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN TAU', NULL, NULL, NULL, 15),
(165529, NULL, 'PTHR45886:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(165530, NULL, 'PTHR21600:SF62', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(165531, NULL, 'PTHR31194:SF140', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF2', NULL, NULL, NULL, 15),
(165532, NULL, 'PTHR45712:SF5', NULL, NULL, NULL, NULL, 'PODOCAN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(165533, NULL, 'PTHR24365:SF17', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 2', NULL, NULL, 22319, 15),
(165534, NULL, 'PTHR22777:SF30', NULL, NULL, NULL, NULL, 'UPF0053 PROTEIN YEGH', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165535, NULL, 'PTHR43132', NULL, NULL, NULL, NULL, 'ARSENICAL RESISTANCE OPERON REPRESSOR ARSR-RELATED', NULL, NULL, NULL, 15),
(165536, NULL, 'PTHR12577:SF7', NULL, NULL, NULL, NULL, 'DACHSHUND HOMOLOG 2', NULL, NULL, NULL, 15),
(165537, NULL, 'PTHR31836:SF17', NULL, NULL, NULL, NULL, 'CELLULASE CELA/ALLERGEN ASP F7-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G08030)-RELATED', NULL, NULL, NULL, 15),
(165538, NULL, 'PTHR33477', NULL, NULL, NULL, NULL, 'P-LOOP NTPASE DOMAIN-CONTAINING PROTEIN LPA1 HOMOLOG 1', NULL, NULL, NULL, 15),
(165539, NULL, 'PTHR11360:SF257', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY TRANSPORTER', NULL, NULL, NULL, 15),
(165540, NULL, 'PTHR11955:SF57', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN, BRAIN', NULL, NULL, NULL, 15),
(165541, NULL, 'PTHR48100:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165542, NULL, 'PTHR14255:SF23', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE LA (LON) DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(165543, NULL, 'PTHR21495:SF198', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(165544, NULL, 'PTHR21183:SF18', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L47, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(165545, NULL, 'PTHR36939:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG03389', NULL, NULL, NULL, 15),
(165546, NULL, 'PTHR21662:SF18', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(165547, NULL, 'PTHR34223:SF38', NULL, NULL, NULL, NULL, 'OS11G0201600 PROTEIN', NULL, NULL, NULL, 15),
(165548, NULL, 'PTHR22534', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(165549, NULL, 'PTHR46779', NULL, NULL, NULL, NULL, 'BETA-1,6-GALACTOSYLTRANSFERASE GALT29A', NULL, NULL, NULL, 15),
(165550, NULL, 'PTHR37853', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(165551, NULL, 'PTHR23194:SF16', NULL, NULL, NULL, NULL, 'PROTEIN BCL9 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(165552, NULL, 'PTHR23139:SF117', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165553, NULL, 'PTHR23155:SF1127', NULL, NULL, NULL, NULL, 'OS02G0199200 PROTEIN', NULL, NULL, NULL, 15),
(165554, NULL, 'PTHR12161:SF16', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', NULL, NULL, NULL, 15),
(165555, NULL, 'PTHR47925:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165556, NULL, 'PTHR19229:SF215', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 8', NULL, NULL, NULL, 15),
(165557, NULL, 'PTHR18934:SF100', NULL, NULL, NULL, NULL, '3''-5'' RNA HELICASE YTHDC2', NULL, NULL, 26668, 15),
(165558, NULL, 'PTHR21058', NULL, NULL, NULL, NULL, '6,7-DIMETHYL-8-RIBITYLLUMAZINE SYNTHASE  DMRL SYNTHASE   LUMAZINE SYNTHASE', NULL, NULL, 14742, 15),
(165559, NULL, 'PTHR22870:SF358', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY WITH FYVE ZINC FINGER DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(165560, NULL, 'PTHR48022:SF4', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04550)-RELATED', NULL, NULL, NULL, 15),
(165561, NULL, 'PTHR47984:SF34', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(165562, NULL, 'PTHR47984:SF22', NULL, NULL, NULL, NULL, 'OS03G0125600 PROTEIN', NULL, NULL, NULL, 15),
(165563, NULL, 'PTHR36329', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(165564, NULL, 'PTHR43976:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165565, NULL, 'PTHR27002:SF674', NULL, NULL, NULL, NULL, 'OS01G0784200 PROTEIN', NULL, NULL, NULL, 15),
(165566, NULL, 'PTHR43952:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165567, NULL, 'PTHR44156', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165568, NULL, 'PTHR47929:SF9', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(165569, NULL, 'PTHR11280:SF5', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-6-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165570, NULL, 'PTHR30537:SF68', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(165571, NULL, 'PTHR11909:SF417', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 11', NULL, NULL, NULL, 15),
(165572, NULL, 'PTHR45829:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 36', NULL, NULL, NULL, 15),
(165573, NULL, 'PTHR47363:SF1', NULL, NULL, NULL, NULL, 'GLUCOKINASE', NULL, NULL, NULL, 15),
(165574, NULL, 'PTHR14292', NULL, NULL, NULL, NULL, 'INTERLEUKIN-18-BINDING PROTEIN', NULL, NULL, 29072, 15),
(165575, NULL, 'PTHR14614:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165576, NULL, 'PTHR23406:SF65', NULL, NULL, NULL, NULL, 'MALIC ENZYME', NULL, NULL, NULL, 15),
(165577, NULL, 'PTHR24055:SF372', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165578, NULL, 'PTHR43574:SF26', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', NULL, NULL, NULL, 15),
(165579, NULL, 'PTHR43272:SF72', NULL, NULL, NULL, NULL, 'OS01G0681200 PROTEIN', NULL, NULL, NULL, 15),
(165580, NULL, 'PTHR24637:SF325', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(165581, NULL, 'PTHR21011:SF15', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S6 ALPHA, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(165582, NULL, 'PTHR33790:SF12', NULL, NULL, NULL, NULL, 'DEHYDRATION-INDUCED PROTEIN (ERD15)-RELATED', NULL, NULL, NULL, 15),
(165583, NULL, 'PTHR33630:SF9', NULL, NULL, NULL, NULL, 'CUTINASE RV1984C-RELATED', NULL, NULL, NULL, 15),
(165584, NULL, 'PTHR47521:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-6', NULL, NULL, NULL, 15),
(165585, NULL, 'PTHR10366:SF709', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL POLYMYXIN RESISTANCE PROTEIN, ARNA-RELATED', NULL, NULL, NULL, 15),
(165586, NULL, 'PTHR19307:SF14', NULL, NULL, NULL, NULL, 'AGAP004868-PA', NULL, NULL, NULL, 15),
(165587, NULL, 'PTHR43482:SF2', NULL, NULL, NULL, NULL, 'ZINC-BINDING DEHYDROGENASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G15030)-RELATED', NULL, NULL, NULL, 15),
(165588, NULL, 'PTHR24247:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165589, NULL, 'PTHR11593:SF33', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17-1-LIKE', NULL, NULL, NULL, 15),
(165590, NULL, 'PTHR10099:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165591, NULL, 'PTHR45621:SF124', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(165592, NULL, 'PTHR45880:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165593, NULL, 'PTHR12847:SF10', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 21', NULL, NULL, NULL, 15),
(165594, NULL, 'PTHR24044:SF456', NULL, NULL, NULL, NULL, 'PROTEIN SERRATE', NULL, NULL, NULL, 15),
(165595, NULL, 'PTHR11835:SF58', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT GAMMA 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(165596, NULL, 'PTHR33374:SF19', NULL, NULL, NULL, NULL, 'OS05G0217000 PROTEIN', NULL, NULL, NULL, 15),
(165597, NULL, 'PTHR10574:SF398', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165598, NULL, 'PTHR42783:SF1', NULL, NULL, NULL, NULL, 'PROTEIN AEGA', NULL, NULL, 1058, 15),
(165599, NULL, 'PTHR15730:SF5', NULL, NULL, NULL, NULL, 'SI:CH211-210B2.2-RELATED', NULL, NULL, NULL, 15),
(165600, NULL, 'PTHR11923:SF98', NULL, NULL, NULL, NULL, 'SENSORY NEURON MEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(165601, NULL, 'PTHR31696:SF84', NULL, NULL, NULL, NULL, 'DUF617 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(165602, NULL, 'PTHR28004:SF2', NULL, NULL, NULL, NULL, 'ZGC:162816', NULL, NULL, NULL, 15),
(165603, NULL, 'PTHR15696:SF27', NULL, NULL, NULL, NULL, 'BNAC03G58470D PROTEIN', NULL, NULL, NULL, 15),
(165604, NULL, 'PTHR31734:SF97', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA1', NULL, NULL, NULL, 15),
(165605, NULL, 'PTHR24320:SF219', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(165606, NULL, 'PTHR43039:SF11', NULL, NULL, NULL, NULL, 'OS05G0590300 PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165607, NULL, 'PTHR46205:SF3', NULL, NULL, NULL, NULL, 'LOQUACIOUS, ISOFORM B', NULL, NULL, NULL, 15),
(165608, NULL, 'PTHR12629:SF52', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 21, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(165609, NULL, 'PTHR42829:SF2', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 5', NULL, NULL, NULL, 15),
(165610, NULL, 'PTHR31407:SF6', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 2-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(165611, NULL, 'PTHR24248:SF175', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 150', NULL, NULL, NULL, 15),
(165612, NULL, 'PTHR11063:SF22', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(165613, NULL, 'PTHR24637:SF230', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(165614, NULL, 'PTHR31642:SF245', NULL, NULL, NULL, NULL, 'OSJNBA0079A21.8 PROTEIN', NULL, NULL, NULL, 15),
(165615, NULL, 'PTHR34814', NULL, NULL, NULL, NULL, 'NITROSOGUANIDINE RESISTANCE PROTEIN SNG1', NULL, NULL, NULL, 15),
(165616, NULL, 'PTHR35205:SF1', NULL, NULL, NULL, NULL, 'NB-ARC AND TPR DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(165617, NULL, 'PTHR24064:SF475', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-4', NULL, NULL, NULL, 15),
(165618, NULL, 'PTHR24240:SF72', NULL, NULL, NULL, NULL, 'MELANOPSIN', NULL, NULL, NULL, 15),
(165619, NULL, 'PTHR10177:SF398', NULL, NULL, NULL, NULL, 'CYCLIN-D3-3', NULL, NULL, NULL, 15),
(165620, NULL, 'PTHR31064', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORT PROTEIN DDB_G0292412-RELATED', NULL, NULL, NULL, 15),
(165621, NULL, 'PTHR37162:SF2', NULL, NULL, NULL, NULL, 'AGAP012961-PA', NULL, NULL, NULL, 15),
(165622, NULL, 'PTHR24384:SF217', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 735-RELATED', NULL, NULL, NULL, 15),
(165623, NULL, 'PTHR21504:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08468', NULL, NULL, NULL, 15),
(165624, NULL, 'PTHR18959:SF47', NULL, NULL, NULL, NULL, 'CALPONIN-2', NULL, NULL, NULL, 15),
(165625, NULL, 'PTHR47938:SF24', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(165626, NULL, 'PTHR43198:SF2', NULL, NULL, NULL, NULL, 'SI:CH1073-67J19.1-RELATED', NULL, NULL, NULL, 15),
(165627, NULL, 'PTHR37852:SF1', NULL, NULL, NULL, NULL, 'YALI0B21208P', NULL, NULL, NULL, 15),
(165628, NULL, 'PTHR15071:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165629, NULL, 'PTHR13385:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN ATG12B', NULL, NULL, NULL, 15),
(165630, NULL, 'PTHR13999:SF22', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 6', NULL, NULL, NULL, 15),
(165631, NULL, 'PTHR24103:SF633', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 108-RELATED', NULL, NULL, NULL, 15),
(165632, NULL, 'PTHR39072:SF2', NULL, NULL, NULL, NULL, 'AGAP005333-PA', NULL, NULL, NULL, 15),
(165633, NULL, 'PTHR31734:SF144', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA31', NULL, NULL, NULL, 15),
(165634, NULL, 'PTHR46236:SF15', NULL, NULL, NULL, NULL, 'BNAC08G46060D PROTEIN', NULL, NULL, NULL, 15),
(165635, NULL, 'PTHR33172:SF51', NULL, NULL, NULL, NULL, 'BNACNNG28890D PROTEIN', NULL, NULL, NULL, 15),
(165636, NULL, 'PTHR31165:SF85', NULL, NULL, NULL, NULL, 'BNAC03G73240D PROTEIN', NULL, NULL, NULL, 15),
(165637, NULL, 'PTHR22804:SF6', NULL, NULL, NULL, NULL, 'VERSICAN CORE PROTEIN', NULL, NULL, NULL, 15),
(165638, NULL, 'PTHR47481:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165639, NULL, 'PTHR23257:SF728', NULL, NULL, NULL, NULL, 'KINASE AND EXCHANGE FACTOR FOR RAC B-RELATED', NULL, NULL, NULL, 15),
(165640, NULL, 'PTHR10837', NULL, NULL, NULL, NULL, 'PEPTIDYLARGININE DEIMINASE', NULL, NULL, 4666, 15),
(165641, NULL, 'PTHR48100:SF15', NULL, NULL, NULL, NULL, 'SEDOHEPTULOSE 1,7-BISPHOSPHATASE', NULL, NULL, NULL, 15),
(165642, NULL, 'PTHR14222:SF1', NULL, NULL, NULL, NULL, 'CONDENSIN-2 COMPLEX SUBUNIT D3', NULL, NULL, NULL, 15),
(165643, NULL, 'PTHR24073:SF285', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-18', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165644, NULL, 'PTHR35737', NULL, NULL, NULL, NULL, 'CRYPTIC LOCI REGULATOR', NULL, NULL, NULL, 15),
(165645, NULL, 'PTHR31591:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165646, NULL, 'PTHR16189:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165647, NULL, 'PTHR24222:SF58', NULL, NULL, NULL, NULL, 'OS01G0977901 PROTEIN', NULL, NULL, NULL, 15),
(165648, NULL, 'PTHR23155:SF1128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165649, NULL, 'PTHR23215:SF0', NULL, NULL, NULL, NULL, 'BUB3-INTERACTING AND GLEBS MOTIF-CONTAINING PROTEIN ZNF207', NULL, NULL, NULL, 15),
(165650, NULL, 'PTHR11465:SF41', NULL, NULL, NULL, NULL, 'CATALASE ISOZYME 2', NULL, NULL, NULL, 15),
(165651, NULL, 'PTHR11461:SF154', NULL, NULL, NULL, NULL, 'SERPIN A11', NULL, NULL, NULL, 15),
(165652, NULL, 'PTHR23055:SF66', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN M', NULL, NULL, NULL, 15),
(165653, NULL, 'PTHR10819', NULL, NULL, NULL, NULL, 'PHOSPHOTRIESTERASE-RELATED', NULL, NULL, 5198, 15),
(165654, NULL, 'PTHR23426:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165655, NULL, 'PTHR31153', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 36783, 15),
(165656, NULL, 'PTHR38140:SF4', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 19-5', NULL, NULL, NULL, 15),
(165657, NULL, 'PTHR33202:SF2', NULL, NULL, NULL, NULL, 'FERRIC UPTAKE REGULATION PROTEIN', NULL, NULL, NULL, 15),
(165658, NULL, 'PTHR46128:SF237', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165659, NULL, 'PTHR31818:SF12', NULL, NULL, NULL, NULL, 'OS08G0554050 PROTEIN', NULL, NULL, NULL, 15),
(165660, NULL, 'PTHR46293:SF14', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN, RAD18-RELATED', NULL, NULL, NULL, 15),
(165661, NULL, 'PTHR46577', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATORY PROTEIN GABR', NULL, NULL, NULL, 15),
(165662, NULL, 'PTHR24073:SF362', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-19', NULL, NULL, NULL, 15),
(165663, NULL, 'PTHR47600', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD-LIKE PROTEIN', NULL, NULL, NULL, 15),
(165664, NULL, 'PTHR33270:SF7', NULL, NULL, NULL, NULL, 'OS06G0136300 PROTEIN', NULL, NULL, NULL, 15),
(165665, NULL, 'PTHR46648:SF1', NULL, NULL, NULL, NULL, 'HIT FAMILY PROTEIN 1', NULL, NULL, NULL, 15),
(165666, NULL, 'PTHR48012:SF6', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE KINASE 2', NULL, NULL, NULL, 15),
(165667, NULL, 'PTHR31707:SF339', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR', NULL, NULL, NULL, 15),
(165668, NULL, 'PTHR23333:SF34', NULL, NULL, NULL, NULL, 'BNAA04G13020D PROTEIN', NULL, NULL, NULL, 15),
(165669, NULL, 'PTHR33676:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(165670, NULL, 'PTHR45767:SF8', NULL, NULL, NULL, NULL, 'FORKHEAD BOX O4', NULL, NULL, NULL, 15),
(165671, NULL, 'PTHR22747:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165672, NULL, 'PTHR10366:SF596', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165673, NULL, 'PTHR43248:SF2', NULL, NULL, NULL, NULL, 'PROLYL AMINOPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(165674, NULL, 'PTHR47990:SF107', NULL, NULL, NULL, NULL, 'BNAA09G26500D PROTEIN', NULL, NULL, NULL, 15),
(165675, NULL, 'PTHR47593', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(165676, NULL, 'PTHR15099', NULL, NULL, NULL, NULL, 'PROTEIN PM1', NULL, NULL, 27672, 15),
(165677, NULL, 'PTHR35303:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165678, NULL, 'PTHR13683:SF826', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN 1', NULL, NULL, NULL, 15),
(165679, NULL, 'PTHR24364:SF21', NULL, NULL, NULL, NULL, 'TROPHOBLAST GLYCOPROTEIN B', NULL, NULL, NULL, 15),
(165680, NULL, 'PTHR32328', NULL, NULL, NULL, NULL, 'L-SERYL-TRNA(SEC) SELENIUM TRANSFERASE', NULL, NULL, NULL, 15),
(165681, NULL, 'PTHR31651:SF11', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165682, NULL, 'PTHR34206:SF6', NULL, NULL, NULL, NULL, 'OS02G0782900 PROTEIN', NULL, NULL, NULL, 15),
(165683, NULL, 'PTHR14493:SF90', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(165684, NULL, 'PTHR13691:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165685, NULL, 'PTHR21382:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 11', NULL, NULL, NULL, 15),
(165686, NULL, 'PTHR23050:SF418', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(165687, NULL, 'PTHR43272:SF77', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE AND LIGASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165688, NULL, 'PTHR48017:SF17', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165689, NULL, 'PTHR10153:SF43', NULL, NULL, NULL, NULL, 'SMALL CONDUCTANCE CALCIUM-ACTIVATED POTASSIUM CHANNEL PROTEIN 2', NULL, NULL, NULL, 15),
(165690, NULL, 'PTHR45752:SF15', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE PHLPP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(165691, NULL, 'PTHR10791:SF173', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(165692, NULL, 'PTHR21450:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165693, NULL, 'PTHR10971:SF5', NULL, NULL, NULL, NULL, 'MITOTIC CHECKPOINT PROTEIN BUB3', NULL, NULL, NULL, 15),
(165694, NULL, 'PTHR22814:SF305', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(165695, NULL, 'PTHR37239:SF2', NULL, NULL, NULL, NULL, 'OS01G0914400 PROTEIN', NULL, NULL, NULL, 15),
(165696, NULL, 'PTHR33411', NULL, NULL, NULL, NULL, 'OS08G0392500 PROTEIN', NULL, NULL, NULL, 15),
(165697, NULL, 'PTHR10381:SF64', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', NULL, NULL, NULL, 15),
(165698, NULL, 'PTHR46203:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE CHAIN RELEASE FACTOR C12ORF65, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(165699, NULL, 'PTHR13789:SF308', NULL, NULL, NULL, NULL, 'SALICYLATE HYDROXYLASE/MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13860)-RELATED', NULL, NULL, NULL, 15),
(165700, NULL, 'PTHR33498:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS1557', NULL, NULL, NULL, 15),
(165701, NULL, 'PTHR34142:SF1', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,4-GLUCANASE A', NULL, NULL, NULL, 15),
(165702, NULL, 'PTHR43539:SF71', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(165703, NULL, 'PTHR45627:SF2', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 2', NULL, NULL, NULL, 15),
(165704, NULL, 'PTHR47972:SF27', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(165705, NULL, 'PTHR33326:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165706, NULL, 'PTHR34195:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT V, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(165707, NULL, 'PTHR11937:SF168', NULL, NULL, NULL, NULL, 'BETA-ACTIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(165708, NULL, 'PTHR32295:SF228', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', NULL, NULL, NULL, 15),
(165709, NULL, 'PTHR31945:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165710, NULL, 'PTHR31657:SF59', NULL, NULL, NULL, NULL, 'BNAA06G24070D PROTEIN', NULL, NULL, NULL, 15),
(165711, NULL, 'PTHR45707:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165712, NULL, 'PTHR11309:SF90', NULL, NULL, NULL, NULL, 'FRIZZLED-8', NULL, NULL, NULL, 15),
(165713, NULL, 'PTHR35184', NULL, NULL, NULL, NULL, 'YALI0C10208P', NULL, NULL, NULL, 15),
(165714, NULL, 'PTHR43085:SF42', NULL, NULL, NULL, NULL, '1-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(165715, NULL, 'PTHR43756:SF5', NULL, NULL, NULL, NULL, 'CHOLINE MONOOXYGENASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(165716, NULL, 'PTHR31707:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165717, NULL, 'PTHR11606', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(165718, NULL, 'PTHR32295:SF169', NULL, NULL, NULL, NULL, 'BNAC03G24390D PROTEIN', NULL, NULL, NULL, 15),
(165719, NULL, 'PTHR11590:SF41', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE Z', NULL, NULL, NULL, 15),
(165720, NULL, 'PTHR24103:SF582', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165721, NULL, 'PTHR33021:SF408', NULL, NULL, NULL, NULL, 'OS03G0791366 PROTEIN', NULL, NULL, NULL, 15),
(165722, NULL, 'PTHR24095:SF83', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', NULL, NULL, NULL, 15),
(165723, NULL, 'PTHR31194:SF58', NULL, NULL, NULL, NULL, 'AP DOMAIN CONTAINING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(165724, NULL, 'PTHR11208:SF49', NULL, NULL, NULL, NULL, 'OS01G0818300 PROTEIN', NULL, NULL, NULL, 15),
(165725, NULL, 'PTHR15819', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN FAM155', NULL, NULL, NULL, 15),
(165726, NULL, 'PTHR23236:SF12', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4B-RELATED', NULL, NULL, NULL, 15),
(165727, NULL, 'PTHR47990:SF32', NULL, NULL, NULL, NULL, 'SYNTHASE/FLAVANONE 3-HYDROXYLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(165728, NULL, 'PTHR43859:SF46', NULL, NULL, NULL, NULL, 'SYNTHETASE AND LIGASE FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(165729, NULL, 'PTHR24390:SF153', NULL, NULL, NULL, NULL, 'SI:DKEYP-121D2.7-RELATED', NULL, NULL, NULL, 15),
(165730, NULL, 'PTHR45998:SF4', NULL, NULL, NULL, NULL, 'BNAANNG25480D PROTEIN', NULL, NULL, NULL, 15),
(165731, NULL, 'PTHR34947:SF6', NULL, NULL, NULL, NULL, 'BNAC05G40260D PROTEIN', NULL, NULL, NULL, 15),
(165732, NULL, 'PTHR46113:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165733, NULL, 'PTHR44375:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165734, NULL, 'PTHR11467:SF42', NULL, NULL, NULL, NULL, 'HISTONE H1OO', NULL, NULL, NULL, 15),
(165735, NULL, 'PTHR43784:SF1', NULL, NULL, NULL, NULL, 'POSSIBLE EXPORTED PROTEIN', NULL, NULL, NULL, 15),
(165736, NULL, 'PTHR10836:SF65', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE 1-RELATED', NULL, NULL, NULL, 15),
(165737, NULL, 'PTHR34482:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, RETROTRANSPOSON GAG DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165738, NULL, 'PTHR10634:SF67', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 4', NULL, NULL, NULL, 15),
(165739, NULL, 'PTHR27006:SF246', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165740, NULL, 'PTHR44307:SF12', NULL, NULL, NULL, NULL, 'BNAC09G37790D PROTEIN', NULL, NULL, NULL, 15),
(165741, NULL, 'PTHR23423:SF69', NULL, NULL, NULL, NULL, 'BNAA05G31380D PROTEIN', NULL, NULL, NULL, 15),
(165742, NULL, 'PTHR34257:SF3', NULL, NULL, NULL, NULL, 'TRAF3-INTERACTING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(165743, NULL, 'PTHR21533:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CHIBBY HOMOLOG 1', NULL, NULL, NULL, 15),
(165744, NULL, 'PTHR14379:SF49', NULL, NULL, NULL, NULL, 'BNAA10G17300D PROTEIN', NULL, NULL, NULL, 15),
(165745, NULL, 'PTHR21262:SF0', NULL, NULL, NULL, NULL, 'GTP DIPHOSPHOKINASE RSH3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(165746, NULL, 'PTHR11177:SF228', NULL, NULL, NULL, NULL, 'V CHITINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G02800)-RELATED', NULL, NULL, NULL, 15),
(165747, NULL, 'PTHR24086:SF43', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(165748, NULL, 'PTHR30574:SF9', NULL, NULL, NULL, NULL, 'UPF0394 INNER MEMBRANE PROTEIN YEEE', NULL, NULL, NULL, 15),
(165749, NULL, 'PTHR11920:SF76', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-6', NULL, NULL, NULL, 15),
(165750, NULL, 'PTHR47947:SF16', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 82A3', NULL, NULL, NULL, 15),
(165751, NULL, 'PTHR36577:SF3', NULL, NULL, NULL, NULL, 'DUF521 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_6G00490)', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165752, NULL, 'PTHR34135:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE', NULL, NULL, NULL, 15),
(165753, NULL, 'PTHR37613:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165754, NULL, 'PTHR32285:SF256', NULL, NULL, NULL, NULL, 'PROTEIN ALTERED XYLOGLUCAN 4', NULL, NULL, NULL, 15),
(165755, NULL, 'PTHR28630:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165756, NULL, 'PTHR42825:SF7', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(165757, NULL, 'PTHR45636:SF24', NULL, NULL, NULL, NULL, 'N-TERMINAL PAX (PAI DOMAIN ONLY) PROTEIN', NULL, NULL, NULL, 15),
(165758, NULL, 'PTHR47468:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165759, NULL, 'PTHR21597:SF2', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC005561', NULL, NULL, NULL, 15),
(165760, NULL, 'PTHR31769:SF78', NULL, NULL, NULL, NULL, 'BNAC03G71930D PROTEIN', NULL, NULL, NULL, 15),
(165761, NULL, 'PTHR15402:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR-LIKE 5 PROTEIN', NULL, NULL, NULL, 15),
(165762, NULL, 'PTHR24062:SF168', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(165763, NULL, 'PTHR10418:SF7', NULL, NULL, NULL, NULL, 'SECURIN', NULL, NULL, NULL, 15),
(165764, NULL, 'PTHR12731', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN, DELTA SUBUNIT', NULL, NULL, 14159, 15),
(165765, NULL, 'PTHR24114:SF40', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 74A', NULL, NULL, NULL, 15),
(165766, NULL, 'PTHR26379:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165767, NULL, 'PTHR31232:SF75', NULL, NULL, NULL, NULL, 'BNAA01G28420D PROTEIN', NULL, NULL, NULL, 15),
(165768, NULL, 'PTHR24044:SF421', NULL, NULL, NULL, NULL, 'PROTEIN JAGGED-2', NULL, NULL, NULL, 15),
(165769, NULL, 'PTHR27001:SF782', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE NCRK', NULL, NULL, NULL, 15),
(165770, NULL, 'PTHR47938:SF13', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(165771, NULL, 'PTHR10170:SF10', NULL, NULL, NULL, NULL, 'HUNTINGTIN', NULL, NULL, NULL, 15),
(165772, NULL, 'PTHR24103:SF51', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 34-RELATED', NULL, NULL, NULL, 15),
(165773, NULL, 'PTHR31080:SF221', NULL, NULL, NULL, NULL, 'BNACNNG59740D PROTEIN', NULL, NULL, NULL, 15),
(165774, NULL, 'PTHR15443:SF5', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(165775, NULL, 'PTHR12052:SF11', NULL, NULL, NULL, NULL, 'MRNA SPLICING FACTOR, THIOREDOXIN-LIKE U5 SNRNP PROTEIN', NULL, NULL, NULL, 15),
(165776, NULL, 'PTHR33074:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165777, NULL, 'PTHR45138:SF9', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCM-RELATED', NULL, NULL, NULL, 15),
(165778, NULL, 'PTHR42854:SF4', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 3, Y-LINKED', NULL, NULL, NULL, 15),
(165779, NULL, 'PTHR23192:SF8', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-LIKE PROTEIN 3', NULL, NULL, 24945, 15),
(165780, NULL, 'PTHR11937:SF416', NULL, NULL, NULL, NULL, 'ACTIN ALPHA 1, SKELETAL MUSCLE A', NULL, NULL, NULL, 15),
(165781, NULL, 'PTHR45974:SF63', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(165782, NULL, 'PTHR21567:SF6', NULL, NULL, NULL, NULL, 'TOG ARRAY REGULATOR OF AXONEMAL MICROTUBULES PROTEIN 1', NULL, NULL, 22449, 15),
(165783, NULL, 'PTHR31625:SF56', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165784, NULL, 'PTHR43036:SF1', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(165785, NULL, 'PTHR36022', NULL, NULL, NULL, NULL, 'GPI-ANCHORED ADHESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(165786, NULL, 'PTHR32116:SF27', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 13-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165787, NULL, 'PTHR24381:SF325', NULL, NULL, NULL, NULL, 'ZNF461 ISOFORM 4', NULL, NULL, NULL, 15),
(165788, NULL, 'PTHR19353:SF37', NULL, NULL, NULL, NULL, 'ACYL-LIPID (8-3)-DESATURASE B-RELATED', NULL, NULL, NULL, 15),
(165789, NULL, 'PTHR12280', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE', NULL, NULL, 962, 15),
(165790, NULL, 'PTHR31985:SF125', NULL, NULL, NULL, NULL, 'BNAA03G52210D PROTEIN', NULL, NULL, NULL, 15),
(165791, NULL, 'PTHR10231:SF82', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(165792, NULL, 'PTHR12083:SF20', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE KINASE 3-PHOSPHATASE, EUKARYOTA', NULL, NULL, NULL, 15),
(165793, NULL, 'PTHR12377:SF6', NULL, NULL, NULL, NULL, 'CYTOSOLIC IRON-SULFUR ASSEMBLY COMPONENT 2A', NULL, NULL, NULL, 15),
(165794, NULL, 'PTHR33110:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165795, NULL, 'PTHR34721', NULL, NULL, NULL, NULL, 'PROTEIN CBG09734', NULL, NULL, NULL, 15),
(165796, NULL, 'PTHR11362:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(165797, NULL, 'PTHR11761:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23', NULL, NULL, NULL, 15),
(165798, NULL, 'PTHR12001', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(165799, NULL, 'PTHR30540:SF114', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(165800, NULL, 'PTHR11926:SF1376', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165801, NULL, 'PTHR21071', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLENOLPYRUVOYLGLUCOSAMINE REDUCTASE', NULL, NULL, 1993, 15),
(165802, NULL, 'PTHR22802:SF366', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(165803, NULL, 'PTHR22747:SF19', NULL, NULL, NULL, NULL, 'NUCLEOPHOSMIN/NUCLEOPLASMIN, 2A', NULL, NULL, NULL, 15),
(165804, NULL, 'PTHR11960:SF50', NULL, NULL, NULL, NULL, 'BNAA10G16710D PROTEIN', NULL, NULL, NULL, 15),
(165805, NULL, 'PTHR33499:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165806, NULL, 'PTHR47377:SF4', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(165807, NULL, 'PTHR47997:SF31', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(165808, NULL, 'PTHR31218:SF268', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(165809, NULL, 'PTHR31686:SF2', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLATE TRANSPORTER/MALIC ACID TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(165810, NULL, 'PTHR46020:SF8', NULL, NULL, NULL, NULL, '4-HYDROXY-4-METHYL-2-OXOGLUTARATE ALDOLASE', NULL, NULL, NULL, 15),
(165811, NULL, 'PTHR27000:SF735', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165812, NULL, 'PTHR48019:SF8', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL29', NULL, NULL, NULL, 15),
(165813, NULL, 'PTHR31920:SF83', NULL, NULL, NULL, NULL, 'B3 DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(165814, NULL, 'PTHR47990:SF8', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 7', NULL, NULL, NULL, 15),
(165815, NULL, 'PTHR46186:SF4', NULL, NULL, NULL, NULL, 'CYSTATIN 10', NULL, NULL, NULL, 15),
(165816, NULL, 'PTHR24067:SF148', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 R2', NULL, NULL, NULL, 15),
(165817, NULL, 'PTHR10061', NULL, NULL, NULL, NULL, 'S-FORMYLGLUTATHIONE HYDROLASE', NULL, NULL, 8963, 15),
(165818, NULL, 'PTHR19143:SF199', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-2', NULL, NULL, 26526, 15),
(165819, NULL, 'PTHR31282:SF166', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 70-RELATED', NULL, NULL, NULL, 15),
(165820, NULL, 'PTHR31994:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 42', NULL, NULL, NULL, 15),
(165821, NULL, 'PTHR24115:SF893', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF21B', NULL, NULL, NULL, 15),
(165822, NULL, 'PTHR10137:SF6', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165823, NULL, 'PTHR22765:SF39', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF149', NULL, NULL, NULL, 15),
(165824, NULL, 'PTHR16717:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 8A', NULL, NULL, NULL, 15),
(165825, NULL, 'PTHR20919:SF0', NULL, NULL, NULL, NULL, 'HOMOSERINE O-SUCCINYLTRANSFERASE', NULL, NULL, NULL, 15),
(165826, NULL, 'PTHR45647:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165827, NULL, 'PTHR23110:SF78', NULL, NULL, NULL, NULL, 'LONGITUDINALS LACKING PROTEIN, ISOFORMS F/I/K/T', NULL, NULL, NULL, 15),
(165828, NULL, 'PTHR42985:SF5', NULL, NULL, NULL, NULL, 'LP24461P', NULL, NULL, NULL, 15),
(165829, NULL, 'PTHR27008:SF420', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(165830, NULL, 'PTHR23050:SF424', NULL, NULL, NULL, NULL, 'CALMODULIN', NULL, NULL, NULL, 15),
(165831, NULL, 'PTHR45642:SF31', NULL, NULL, NULL, NULL, 'OS01G0827700 PROTEIN', NULL, NULL, NULL, 15),
(165832, NULL, 'PTHR47972:SF41', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14P', NULL, NULL, NULL, 15),
(165833, NULL, 'PTHR24098', NULL, NULL, NULL, NULL, 'OUTER SEGMENT 5', NULL, NULL, NULL, 15),
(165834, NULL, 'PTHR47992:SF142', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 6-RELATED', NULL, NULL, NULL, 15),
(165835, NULL, 'PTHR11255:SF29', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(165836, NULL, 'PTHR48017:SF15', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 2', NULL, NULL, NULL, 15),
(165837, NULL, 'PTHR33143:SF4', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 20', NULL, NULL, 31445, 15),
(165838, NULL, 'PTHR27004:SF317', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 54', NULL, NULL, NULL, 15),
(165839, NULL, 'PTHR38636:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08771', NULL, NULL, NULL, 15),
(165840, NULL, 'PTHR33142:SF41', NULL, NULL, NULL, NULL, 'OS02G0131000 PROTEIN', NULL, NULL, NULL, 15),
(165841, NULL, 'PTHR35715', NULL, NULL, NULL, NULL, 'OS08G0511800 PROTEIN', NULL, NULL, NULL, 15),
(165842, NULL, 'PTHR31165:SF72', NULL, NULL, NULL, NULL, 'DUF640 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(165843, NULL, 'PTHR31677:SF114', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 12-LIKE', NULL, NULL, NULL, 15),
(165844, NULL, 'PTHR23235:SF57', NULL, NULL, NULL, NULL, 'KRUPPEL-LIKE FACTOR (ZINC FINGER PROTEIN)', NULL, NULL, NULL, 15),
(165845, NULL, 'PTHR46281:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT', NULL, NULL, NULL, 15),
(165846, NULL, 'PTHR31375:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165847, NULL, 'PTHR34709:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165848, NULL, 'PTHR43787', NULL, NULL, NULL, NULL, 'FEMO COFACTOR BIOSYNTHESIS PROTEIN NIFB-RELATED', NULL, NULL, NULL, 15),
(165849, NULL, 'PTHR27008:SF246', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(165850, NULL, 'PTHR11309:SF133', NULL, NULL, NULL, NULL, 'FRIZZLED-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(165851, NULL, 'PTHR46302:SF3', NULL, NULL, NULL, NULL, 'DOUBLECORTIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(165852, NULL, 'PTHR45855:SF49', NULL, NULL, NULL, NULL, 'BNAC03G72400D PROTEIN', NULL, NULL, NULL, 15),
(165853, NULL, 'PTHR24073:SF1009', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABC2B', NULL, NULL, NULL, 15),
(165854, NULL, 'PTHR33527:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165855, NULL, 'PTHR14571', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(165856, NULL, 'PTHR30290:SF59', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER,SUBSTRATE-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165857, NULL, 'PTHR47992:SF160', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 68-RELATED', NULL, NULL, NULL, 15),
(165858, NULL, 'PTHR11629:SF96', NULL, NULL, NULL, NULL, 'VACUOLAR PROTON ATPASE A1', NULL, NULL, NULL, 15),
(165859, NULL, 'PTHR15108:SF0', NULL, NULL, NULL, NULL, 'N-ACYLGLUCOSAMINE 2-EPIMERASE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165860, NULL, 'PTHR22891:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 2-RELATED', NULL, NULL, NULL, 15),
(165861, NULL, 'PTHR11132:SF346', NULL, NULL, NULL, NULL, 'NUCLEOTIDE/SUGAR TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(165862, NULL, 'PTHR11022:SF65', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN RECOGNITION PROTEIN 5', NULL, NULL, NULL, 15),
(165863, NULL, 'PTHR26454:SF25', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(165864, NULL, 'PTHR47156:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG20840', NULL, NULL, NULL, 15),
(165865, NULL, 'PTHR33044:SF166', NULL, NULL, NULL, NULL, 'BNAA09G44630D PROTEIN', NULL, NULL, NULL, 15),
(165866, NULL, 'PTHR30105', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED YIBQ-RELATED', NULL, NULL, 4285, 15),
(165867, NULL, 'PTHR45665:SF43', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP2-3', NULL, NULL, NULL, 15),
(165868, NULL, 'PTHR46128:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165869, NULL, 'PTHR10113:SF31', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1-2', NULL, NULL, NULL, 15),
(165870, NULL, 'PTHR10398:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165871, NULL, 'PTHR31174:SF27', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 49-RELATED', NULL, NULL, NULL, 15),
(165872, NULL, 'PTHR11492:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR 1 X-TYPE', NULL, NULL, NULL, 15),
(165873, NULL, 'PTHR21315:SF3', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(165874, NULL, 'PTHR33098:SF57', NULL, NULL, NULL, NULL, 'DUF4408 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(165875, NULL, 'PTHR12103:SF15', NULL, NULL, NULL, NULL, 'CYTOSOLIC PURINE 5''-NUCLEOTIDASE', NULL, NULL, NULL, 15),
(165876, NULL, 'PTHR11977:SF101', NULL, NULL, NULL, NULL, 'VILLIN-3', NULL, NULL, 38339, 15),
(165877, NULL, 'PTHR43423:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATE IMPORT ATP-BINDING PROTEIN PSTB', NULL, NULL, 13382, 15),
(165878, NULL, 'PTHR10336:SF176', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(165879, NULL, 'PTHR23138:SF137', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 1 HOMOLOG B-LIKE', NULL, NULL, NULL, 15),
(165880, NULL, 'PTHR34755:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165881, NULL, 'PTHR10366:SF559', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165882, NULL, 'PTHR12271:SF110', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(165883, NULL, 'PTHR11537:SF245', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL PROTEIN EGL-36', NULL, NULL, NULL, 15),
(165884, NULL, 'PTHR24068:SF71', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 Q2', NULL, NULL, NULL, 15),
(165885, NULL, 'PTHR24245:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 63-RELATED', NULL, NULL, NULL, 15),
(165886, NULL, 'PTHR36180', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(165887, NULL, 'PTHR10462:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165888, NULL, 'PTHR31390:SF21', NULL, NULL, NULL, NULL, 'BNAC05G02590D PROTEIN', NULL, NULL, NULL, 15),
(165889, NULL, 'PTHR48021:SF36', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE-SENSING PROTEIN 3', NULL, NULL, NULL, 15),
(165890, NULL, 'PTHR18842', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE 1-BINDING PROTEIN 1', NULL, NULL, 24043, 15),
(165891, NULL, 'PTHR41302', NULL, NULL, NULL, NULL, 'PRESPORE-SPECIFIC TRANSCRIPTIONAL REGULATOR RSFA-RELATED', NULL, NULL, 10706, 15),
(165892, NULL, 'PTHR45778:SF29', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(165893, NULL, 'PTHR15750:SF4', NULL, NULL, NULL, NULL, 'TUBULINYL-TYR CARBOXYPEPTIDASE 2', NULL, NULL, NULL, 15),
(165894, NULL, 'PTHR22298:SF107', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 21', NULL, NULL, NULL, 15),
(165895, NULL, 'PTHR31042:SF8', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165896, NULL, 'PTHR24567:SF23', NULL, NULL, NULL, NULL, 'SLR0607 PROTEIN', NULL, NULL, NULL, 15),
(165897, NULL, 'PTHR24298:SF823', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165898, NULL, 'PTHR43065:SF22', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE', NULL, NULL, NULL, 15),
(165899, NULL, 'PTHR47979:SF61', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, RAN GTPASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(165900, NULL, 'PTHR46519:SF7', NULL, NULL, NULL, NULL, 'OS02G0823300 PROTEIN', NULL, NULL, NULL, 15),
(165901, NULL, 'PTHR48021:SF13', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 7', NULL, NULL, NULL, 15),
(165902, NULL, 'PTHR37938:SF1', NULL, NULL, NULL, NULL, 'BLL0215 PROTEIN', NULL, NULL, NULL, 15),
(165903, NULL, 'PTHR24326:SF591', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-51-RELATED', NULL, NULL, NULL, 15),
(165904, NULL, 'PTHR35483:SF4', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(165905, NULL, 'PTHR31221:SF241', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 51-RELATED', NULL, NULL, NULL, 15),
(165906, NULL, 'PTHR12197:SF272', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165907, NULL, 'PTHR24023:SF877', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-5(IV) CHAIN', NULL, NULL, NULL, 15),
(165908, NULL, 'PTHR11588:SF363', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(165909, NULL, 'PTHR31235:SF335', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(165910, NULL, 'PTHR47968:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165911, NULL, 'PTHR31343:SF53', NULL, NULL, NULL, NULL, 'BNAA02G27040D PROTEIN', NULL, NULL, NULL, 15),
(165912, NULL, 'PTHR43127:SF7', NULL, NULL, NULL, NULL, 'DEVELOPMENTALLY-REGULATED G-PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(165913, NULL, 'PTHR22814:SF295', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(165914, NULL, 'PTHR33874', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN', NULL, NULL, NULL, 15),
(165915, NULL, 'PTHR11740:SF22', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA-3', NULL, NULL, NULL, 15),
(165916, NULL, 'PTHR31741:SF86', NULL, NULL, NULL, NULL, 'BNAA08G14890D PROTEIN', NULL, NULL, NULL, 15),
(165917, NULL, 'PTHR12702:SF0', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 6', NULL, NULL, NULL, 15),
(165918, NULL, 'PTHR31225:SF143', NULL, NULL, NULL, NULL, 'SESQUITERPENE SYNTHASE', NULL, NULL, NULL, 15),
(165919, NULL, 'PTHR31636:SF187', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL1-LIKE', NULL, NULL, NULL, 15),
(165920, NULL, 'PTHR45710:SF7', NULL, NULL, NULL, NULL, 'EARLY ACTIVATION ANTIGEN CD69', NULL, NULL, NULL, 15),
(165921, NULL, 'PTHR12837:SF13', NULL, NULL, NULL, NULL, 'POLY(ADP-RIBOSE) GLYCOHYDROLASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(165922, NULL, 'PTHR11556:SF12', NULL, NULL, NULL, NULL, 'OS06G0664200 PROTEIN', NULL, NULL, NULL, 15),
(165923, NULL, 'PTHR32448:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165924, NULL, 'PTHR48001:SF97', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1', NULL, NULL, NULL, 15),
(165925, NULL, 'PTHR47967:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165926, NULL, 'PTHR32077:SF71', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 11', NULL, NULL, NULL, 15),
(165927, NULL, 'PTHR10489:SF773', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 10', NULL, NULL, 6841, 15),
(165928, NULL, 'PTHR12155:SF2', NULL, NULL, NULL, NULL, 'SCHLAFEN FAMILY MEMBER 12-LIKE', NULL, NULL, NULL, 15),
(165929, NULL, 'PTHR31659:SF33', NULL, NULL, NULL, NULL, 'PROTEIN OCTOPUS', NULL, NULL, NULL, 15),
(165930, NULL, 'PTHR24230:SF76', NULL, NULL, NULL, NULL, 'PROTEIN CBG08799', NULL, NULL, NULL, 15),
(165931, NULL, 'PTHR10185:SF9', NULL, NULL, NULL, NULL, 'INACTIVE PHOSPHOLIPASE D5', NULL, NULL, NULL, 15),
(165932, NULL, 'PTHR21236:SF21', NULL, NULL, NULL, NULL, 'PROTEIN YIPF', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165933, NULL, 'PTHR47041:SF2', NULL, NULL, NULL, NULL, 'SEC14 CYTOSOLIC FACTOR FAMILY PROTEIN / PHOSPHOGLYCERIDE TRANSFER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(165934, NULL, 'PTHR33349:SF18', NULL, NULL, NULL, NULL, 'CHROMO DOMAIN CEC-LIKE PROTEIN', NULL, NULL, NULL, 15),
(165935, NULL, 'PTHR13061:SF31', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(165936, NULL, 'PTHR13251:SF5', NULL, NULL, NULL, NULL, 'BNAC09G30770D PROTEIN', NULL, NULL, NULL, 15),
(165937, NULL, 'PTHR23077:SF156', NULL, NULL, NULL, NULL, 'NUCLEAR VALOSIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(165938, NULL, 'PTHR12632:SF40', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(165939, NULL, 'PTHR35265:SF1', NULL, NULL, NULL, NULL, 'LEUKOSIALIN', NULL, NULL, NULL, 15),
(165940, NULL, 'PTHR31901:SF50', NULL, NULL, NULL, NULL, 'JASMONIC ACID-AMIDO SYNTHETASE JAR1', NULL, NULL, 22592, 15),
(165941, NULL, 'PTHR45839:SF11', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', NULL, NULL, NULL, 15),
(165942, NULL, 'PTHR11353:SF206', NULL, NULL, NULL, NULL, 'BNAA02G05110D PROTEIN', NULL, NULL, 11672, 15),
(165943, NULL, 'PTHR13803:SF38', NULL, NULL, NULL, NULL, 'SECRETORY 24CD, ISOFORM C', NULL, NULL, NULL, 15),
(165944, NULL, 'PTHR45693:SF47', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER DOMAIN, TRANSCRIPTION FACTOR TGA LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165945, NULL, 'PTHR12411:SF642', NULL, NULL, NULL, NULL, 'PRO-CATHEPSIN H', NULL, NULL, NULL, 15),
(165946, NULL, 'PTHR31681:SF67', NULL, NULL, NULL, NULL, 'BNACNNG07610D PROTEIN', NULL, NULL, NULL, 15),
(165947, NULL, 'PTHR11176:SF41', NULL, NULL, NULL, NULL, 'BNAC07G15090D PROTEIN', NULL, NULL, NULL, 15),
(165948, NULL, 'PTHR31636:SF228', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165949, NULL, 'PTHR32444:SF28', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(165950, NULL, 'PTHR45620:SF6', NULL, NULL, NULL, NULL, 'GROWTH HORMONE-RELEASING HORMONE-LIKE PEPTIDE RECEPTOR', NULL, NULL, NULL, 15),
(165951, NULL, 'PTHR41786', NULL, NULL, NULL, NULL, 'MOTILITY ACCESSORY FACTOR MAF', NULL, NULL, NULL, 15),
(165952, NULL, 'PTHR26450:SF103', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(165953, NULL, 'PTHR34301', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(165954, NULL, 'PTHR31571', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 6', NULL, NULL, NULL, 15),
(165955, NULL, 'PTHR10093:SF20', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER ASSEMBLY PROTEIN', NULL, NULL, NULL, 15),
(165956, NULL, 'PTHR30108:SF17', NULL, NULL, NULL, NULL, 'FERULIC ACID DECARBOXYLASE 1', NULL, NULL, NULL, 15),
(165957, NULL, 'PTHR11783:SF204', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(165958, NULL, 'PTHR18860:SF67', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN EPSILON', NULL, NULL, NULL, 15),
(165959, NULL, 'PTHR31238:SF140', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(165960, NULL, 'PTHR32467:SF165', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR SMZ', NULL, NULL, NULL, 15),
(165961, NULL, 'PTHR24414:SF70', NULL, NULL, NULL, NULL, 'BNAC07G24830D PROTEIN', NULL, NULL, NULL, 15),
(165962, NULL, 'PTHR43045:SF6', NULL, NULL, NULL, NULL, 'METABOLITE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(165963, NULL, 'PTHR34051', NULL, NULL, NULL, NULL, 'PROTEIN LOW PSII ACCUMULATION 3, CHLOROPLASTIC', NULL, NULL, 37139, 15),
(165964, NULL, 'PTHR39290:SF6', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(165965, NULL, 'PTHR10209:SF432', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165966, NULL, 'PTHR10507:SF0', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 45 HOMOLOG', NULL, NULL, NULL, 15),
(165967, NULL, 'PTHR30523:SF34', NULL, NULL, NULL, NULL, 'BNACNNG24040D PROTEIN', NULL, NULL, NULL, 15),
(165968, NULL, 'PTHR14519:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(165969, NULL, 'PTHR22907:SF23', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(165970, NULL, 'PTHR22851:SF1', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(165971, NULL, 'PTHR24230:SF51', NULL, NULL, NULL, NULL, 'LEUKOTRIENE B4 RECEPTOR 1', NULL, NULL, 7030, 15),
(165972, NULL, 'PTHR21319:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN BRUTUS', NULL, NULL, NULL, 15),
(165973, NULL, 'PTHR10334:SF444', NULL, NULL, NULL, NULL, 'BNAA03G50560D PROTEIN', NULL, NULL, NULL, 15),
(165974, NULL, 'PTHR45719:SF20', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(165975, NULL, 'PTHR10891:SF884', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(165976, NULL, 'PTHR42801:SF7', NULL, NULL, NULL, NULL, 'SLL1159 PROTEIN', NULL, NULL, NULL, 15),
(165977, NULL, 'PTHR31147:SF26', NULL, NULL, NULL, NULL, 'B1168G10.9 PROTEIN', NULL, NULL, NULL, 15),
(165978, NULL, 'PTHR33731:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165979, NULL, 'PTHR31752:SF62', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', NULL, NULL, NULL, 15),
(165980, NULL, 'PTHR24247:SF87', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5T3', NULL, NULL, NULL, 15),
(165981, NULL, 'PTHR46769:SF1', NULL, NULL, NULL, NULL, 'FIBROCYSTIN', NULL, NULL, 25133, 15),
(165982, NULL, 'PTHR11388:SF84', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 1A6', NULL, NULL, NULL, 15),
(165983, NULL, 'PTHR10209:SF764', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(165984, NULL, 'PTHR11017:SF338', NULL, NULL, NULL, NULL, 'BNAC09G39900D PROTEIN', NULL, NULL, NULL, 15),
(165985, NULL, 'PTHR11640:SF79', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE PROTEOGLYCAN 2', NULL, NULL, NULL, 15),
(165986, NULL, 'PTHR36570:SF2', NULL, NULL, NULL, NULL, 'DISULFIDE BOND FORMATION PROTEIN B', NULL, NULL, NULL, 15),
(165987, NULL, 'PTHR11941:SF125', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE/ISOMERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G01210)', NULL, NULL, NULL, 15),
(165988, NULL, 'PTHR31707:SF238', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 2', NULL, NULL, NULL, 15),
(165989, NULL, 'PTHR16263', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 38', NULL, NULL, 34079, 15),
(165990, NULL, 'PTHR42876', NULL, NULL, NULL, NULL, 'BLR6771 PROTEIN', NULL, NULL, NULL, 15),
(165991, NULL, 'PTHR36848', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN (PUTATIVE SECRETED PROTEIN)-RELATED', NULL, NULL, NULL, 15),
(165992, NULL, 'PTHR19970:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165993, NULL, 'PTHR26453:SF96', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2Z1', NULL, NULL, NULL, 15),
(165994, NULL, 'PTHR47991:SF91', NULL, NULL, NULL, NULL, 'HYOSCYAMINE 6-DIOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(165995, NULL, 'PTHR13748:SF31', NULL, NULL, NULL, NULL, 'COBW DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(165996, NULL, 'PTHR33065:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(165997, NULL, 'PTHR28647:SF2', NULL, NULL, NULL, NULL, 'UNIQUE CARTILAGE MATRIX-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(165998, NULL, 'PTHR10168:SF249', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C9-LIKE', NULL, NULL, NULL, 15),
(165999, NULL, 'PTHR22593:SF13', NULL, NULL, NULL, NULL, 'BNAA08G06420D PROTEIN', NULL, NULL, NULL, 15),
(166000, NULL, 'PTHR22847:SF637', NULL, NULL, NULL, NULL, 'RIK1-ASSOCIATED FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(166001, NULL, 'PTHR32285:SF23', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 12', NULL, NULL, 27240, 15),
(166002, NULL, 'PTHR45752:SF70', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 8', NULL, NULL, NULL, 15),
(166003, NULL, 'PTHR43391:SF43', NULL, NULL, NULL, NULL, 'DEHYDROGENASE 2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166004, NULL, 'PTHR21445:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166005, NULL, 'PTHR22750:SF54', NULL, NULL, NULL, NULL, 'CANNABINOID RECEPTOR', NULL, NULL, NULL, 15),
(166006, NULL, 'PTHR31246:SF20', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-2-LIKE', NULL, NULL, NULL, 15),
(166007, NULL, 'PTHR31692:SF5', NULL, NULL, NULL, NULL, 'EXPANSIN-B3', NULL, NULL, NULL, 15),
(166008, NULL, 'PTHR23202', NULL, NULL, NULL, NULL, 'WASP INTERACTING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166009, NULL, 'PTHR14499:SF29', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD12', NULL, NULL, NULL, 15),
(166010, NULL, 'PTHR45642:SF93', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166011, NULL, 'PTHR11461:SF311', NULL, NULL, NULL, NULL, 'SERPIN-Z8-RELATED', NULL, NULL, NULL, 15),
(166012, NULL, 'PTHR14002:SF14', NULL, NULL, NULL, NULL, 'SI:DKEY-103G5.3', NULL, NULL, NULL, 15),
(166013, NULL, 'PTHR22412:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG23477', NULL, NULL, NULL, 15),
(166014, NULL, 'PTHR35574', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166015, NULL, 'PTHR10516:SF428', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(166016, NULL, 'PTHR33021:SF264', NULL, NULL, NULL, NULL, 'OS05G0570900 PROTEIN', NULL, NULL, NULL, 15),
(166017, NULL, 'PTHR31969:SF35', NULL, NULL, NULL, NULL, 'GEM-LIKE PROTEIN 8 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(166018, NULL, 'PTHR37431:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG06905', NULL, NULL, NULL, 15),
(166019, NULL, 'PTHR45680:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(166020, NULL, 'PTHR10678:SF3', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 2', NULL, NULL, 34896, 15),
(166021, NULL, 'PTHR32166:SF91', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166022, NULL, 'PTHR45666:SF44', NULL, NULL, NULL, NULL, 'OS07G0175900 PROTEIN', NULL, NULL, NULL, 15),
(166023, NULL, 'PTHR12785:SF6', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 2', NULL, NULL, NULL, 15),
(166024, NULL, 'PTHR19241:SF320', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 16', NULL, NULL, NULL, 15),
(166025, NULL, 'PTHR34916:SF1', NULL, NULL, NULL, NULL, 'GI:13385330', NULL, NULL, NULL, 15),
(166026, NULL, 'PTHR43848:SF2', NULL, NULL, NULL, NULL, 'PUTRESCINE TRANSPORT SYSTEM PERMEASE PROTEIN POTI', NULL, NULL, NULL, 15),
(166027, NULL, 'PTHR33086:SF68', NULL, NULL, NULL, NULL, 'DUF1618 DOMAIN CONTAINING FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166028, NULL, 'PTHR10009', NULL, NULL, NULL, NULL, 'PROTEIN YELLOW-RELATED', NULL, NULL, 19018, 15),
(166029, NULL, 'PTHR24347:SF403', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE II SUBUNIT BETA', NULL, NULL, NULL, 15),
(166030, NULL, 'PTHR14136:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166031, NULL, 'PTHR45011', NULL, NULL, NULL, NULL, 'DAP3-BINDING CELL DEATH ENHANCER 1', NULL, NULL, NULL, 15),
(166032, NULL, 'PTHR23167:SF32', NULL, NULL, NULL, NULL, 'ACTININ ALPHA 4', NULL, NULL, NULL, 15),
(166033, NULL, 'PTHR11999:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166034, NULL, 'PTHR36342:SF1', NULL, NULL, NULL, NULL, 'PTB DOMAIN ENGULFMENT ADAPTER', NULL, NULL, NULL, 15),
(166035, NULL, 'PTHR39168:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(166036, NULL, 'PTHR20929:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CASC1', NULL, NULL, NULL, 15),
(166037, NULL, 'PTHR47189:SF1', NULL, NULL, NULL, NULL, 'MHC CLASS II TRANSACTIVATOR', NULL, NULL, NULL, 15),
(166038, NULL, 'PTHR10775:SF145', NULL, NULL, NULL, NULL, 'TRANSPOSASE-ASSOCIATED DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166039, NULL, 'PTHR10985', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX TRANSCRIPTION FACTOR, HES-RELATED', NULL, NULL, NULL, 15),
(166040, NULL, 'PTHR24281:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166041, NULL, 'PTHR23024:SF536', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', NULL, NULL, NULL, 15),
(166042, NULL, 'PTHR42760:SF75', NULL, NULL, NULL, NULL, '3-ALPHA-(OR 20-BETA)-HYDROXYSTEROID DEHYDROGENASE', NULL, NULL, NULL, 15),
(166043, NULL, 'PTHR46759:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 72', NULL, NULL, NULL, 15),
(166044, NULL, 'PTHR22093:SF0', NULL, NULL, NULL, NULL, 'LEUKOCYTE RECEPTOR CLUSTER MEMBER 1', NULL, NULL, NULL, 15),
(166045, NULL, 'PTHR11017:SF343', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(166046, NULL, 'PTHR12801:SF62', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE 1 HOMOLOG', NULL, NULL, NULL, 15),
(166047, NULL, 'PTHR11818:SF43', NULL, NULL, NULL, NULL, 'CRYSTALLIN, GAMMA S3-RELATED', NULL, NULL, NULL, 15),
(166048, NULL, 'PTHR46800:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(166049, NULL, 'PTHR43503:SF9', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN PRX1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(166050, NULL, 'PTHR45790:SF6', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III C-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(166051, NULL, 'PTHR23130:SF187', NULL, NULL, NULL, NULL, 'BNAA09G18330D PROTEIN', NULL, NULL, NULL, 15),
(166052, NULL, 'PTHR31953:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166053, NULL, 'PTHR14381', NULL, NULL, NULL, NULL, 'DACTYLIN', NULL, NULL, NULL, 15),
(166054, NULL, 'PTHR30543', NULL, NULL, NULL, NULL, 'CHROMATE REDUCTASE', NULL, NULL, NULL, 15),
(166055, NULL, 'PTHR45684:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166056, NULL, 'PTHR19375:SF454', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(166057, NULL, 'PTHR12346:SF2', NULL, NULL, NULL, NULL, 'PAIRED AMPHIPATHIC HELIX PROTEIN SIN3A', NULL, NULL, 36342, 15),
(166058, NULL, 'PTHR46364', NULL, NULL, NULL, NULL, 'OS08G0421900 PROTEIN', NULL, NULL, NULL, 15),
(166059, NULL, 'PTHR31568:SF81', NULL, NULL, NULL, NULL, 'BNAC02G16810D PROTEIN', NULL, NULL, NULL, 15),
(166060, NULL, 'PTHR31388:SF192', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(166061, NULL, 'PTHR39177:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE YTRC-RELATED', NULL, NULL, NULL, 15),
(166062, NULL, 'PTHR48023:SF1', NULL, NULL, NULL, NULL, 'D-XYLOSE-PROTON SYMPORTER-LIKE 1', NULL, NULL, NULL, 15),
(166063, NULL, 'PTHR23267:SF121', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR DELTA VARIABLE 2', NULL, NULL, NULL, 15),
(166064, NULL, 'PTHR47603:SF3', NULL, NULL, NULL, NULL, 'BNAANNG12240D PROTEIN', NULL, NULL, NULL, 15),
(166065, NULL, 'PTHR10782:SF38', NULL, NULL, NULL, NULL, 'ZINC FINGER MIZ DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(166066, NULL, 'PTHR33044:SF152', NULL, NULL, NULL, NULL, 'OS07G0175600 PROTEIN', NULL, NULL, NULL, 15),
(166067, NULL, 'PTHR15615:SF103', NULL, NULL, NULL, NULL, 'CYCLIN-U4-2', NULL, NULL, NULL, 15),
(166068, NULL, 'PTHR24073:SF471', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-24', NULL, NULL, NULL, 15),
(166069, NULL, 'PTHR13935:SF52', NULL, NULL, NULL, NULL, 'OS01G0108400 PROTEIN', NULL, NULL, NULL, 15),
(166070, NULL, 'PTHR34629', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166071, NULL, 'PTHR21450:SF39', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(166072, NULL, 'PTHR30504:SF2', NULL, NULL, NULL, NULL, 'GLUCANS BIOSYNTHESIS PROTEIN G', NULL, NULL, NULL, 15),
(166073, NULL, 'PTHR13500', NULL, NULL, NULL, NULL, 'NUCLEOLAR PRERIBOSOMAL-ASSOCIATED PROTEIN 1', NULL, NULL, 29543, 15),
(166074, NULL, 'PTHR31288:SF28', NULL, NULL, NULL, NULL, 'BNAA01G25300D PROTEIN', NULL, NULL, NULL, 15),
(166075, NULL, 'PTHR43853:SF16', NULL, NULL, NULL, NULL, 'BNAC04G11470D PROTEIN', NULL, NULL, NULL, 15),
(166076, NULL, 'PTHR33403', NULL, NULL, NULL, NULL, 'SPR1', NULL, NULL, 29452, 15),
(166077, NULL, 'PTHR24281:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166078, NULL, 'PTHR37262', NULL, NULL, NULL, NULL, 'PROTEIN PEP-RELATED DEVELOPMENT ARRESTED 1, CHLOROPLASTIC', NULL, NULL, 32901, 15),
(166079, NULL, 'PTHR35323:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 62', NULL, NULL, NULL, 15),
(166080, NULL, 'PTHR33946', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166081, NULL, 'PTHR11647', NULL, NULL, NULL, NULL, 'HYDRANTOINASE/DIHYDROPYRIMIDINASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(166082, NULL, 'PTHR23064:SF24', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CP1', NULL, NULL, NULL, 15),
(166083, NULL, 'PTHR45389:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN RUP2', NULL, NULL, NULL, 15),
(166084, NULL, 'PTHR45665:SF22', NULL, NULL, NULL, NULL, 'INTRINSIC PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166085, NULL, 'PTHR46080:SF13', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 44-RELATED', NULL, NULL, NULL, 15),
(166086, NULL, 'PTHR30255', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED-DNA-SPECIFIC EXONUCLEASE RECJ', NULL, NULL, NULL, 15),
(166087, NULL, 'PTHR24393:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(166088, NULL, 'PTHR10485:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166089, NULL, 'PTHR21680', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 9591, 15),
(166090, NULL, 'PTHR47926:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166091, NULL, 'PTHR16021', NULL, NULL, NULL, NULL, 'MANSC DOMAIN CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(166092, NULL, 'PTHR23239:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166093, NULL, 'PTHR34311:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG09514', NULL, NULL, NULL, 15),
(166094, NULL, 'PTHR45086:SF4', NULL, NULL, NULL, NULL, 'BNAA09G27890D PROTEIN', NULL, NULL, NULL, 15),
(166095, NULL, 'PTHR24364:SF25', NULL, NULL, NULL, NULL, 'ELRR (EXTRACELLULAR LEUCINE-RICH REPEAT) ONLY', NULL, NULL, NULL, 15),
(166096, NULL, 'PTHR12757:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA-INDUCED PROTEIN 8-LIKE PROTEIN', NULL, NULL, NULL, 15),
(166097, NULL, 'PTHR10641:SF1246', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166098, NULL, 'PTHR45621:SF189', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOPLASMIC KINASE 176', NULL, NULL, NULL, 15),
(166099, NULL, 'PTHR12634:SF26', NULL, NULL, NULL, NULL, 'SIT4 PHOSPHATASE-ASSOCIATED PROTEIN FAMILY, ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166100, NULL, 'PTHR10166:SF25', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL SUBUNIT ALPHA-2/DELTA-3', NULL, NULL, NULL, 15),
(166101, NULL, 'PTHR33057:SF127', NULL, NULL, NULL, NULL, 'OVATE TRANSCRIPTIONAL REPRESSOR', NULL, NULL, NULL, 15),
(166102, NULL, 'PTHR10121:SF3', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT DELTA-3', NULL, NULL, NULL, 15),
(166103, NULL, 'PTHR46927:SF1', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(166104, NULL, 'PTHR32285:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 26556, 15),
(166105, NULL, 'PTHR10791:SF185', NULL, NULL, NULL, NULL, 'BNAA07G09540D PROTEIN', NULL, NULL, NULL, 15),
(166106, NULL, 'PTHR31701', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM MEMBRANE-ASSOCIATED RNA DEGRADATION PROTEIN', NULL, NULL, 29159, 15),
(166107, NULL, 'PTHR43768:SF40', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(166108, NULL, 'PTHR38527', NULL, NULL, NULL, NULL, 'OS01G0838200 PROTEIN', NULL, NULL, NULL, 15),
(166109, NULL, 'PTHR40625:SF2', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN ESDC', NULL, NULL, NULL, 15),
(166110, NULL, 'PTHR33986:SF15', NULL, NULL, NULL, NULL, 'OS02G0535700 PROTEIN', NULL, NULL, NULL, 15),
(166111, NULL, 'PTHR16932', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-INDUCIBLE PROTEIN 27', NULL, NULL, 14583, 15),
(166112, NULL, 'PTHR24209:SF35', NULL, NULL, NULL, NULL, 'PROTEIN DA1-RELATED 6-LIKE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166113, NULL, 'PTHR24064:SF450', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHOINOSITOL TRANSPORTER 1', NULL, NULL, NULL, 15),
(166114, NULL, 'PTHR47990:SF178', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE-DEPENDENT DIOXYGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(166115, NULL, 'PTHR43791:SF65', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G07950)-RELATED', NULL, NULL, NULL, 15),
(166116, NULL, 'PTHR48111:SF48', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(166117, NULL, 'PTHR31425:SF16', NULL, NULL, NULL, NULL, 'BNAA10G16860D PROTEIN', NULL, NULL, NULL, 15),
(166118, NULL, 'PTHR33371:SF20', NULL, NULL, NULL, NULL, 'MCE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(166119, NULL, 'PTHR46642:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCAN PHOSPHATASE LSF2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(166120, NULL, 'PTHR32285:SF306', NULL, NULL, NULL, NULL, 'BNACNNG70870D PROTEIN', NULL, NULL, 27781, 15),
(166121, NULL, 'PTHR43180:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166122, NULL, 'PTHR24356:SF342', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(166123, NULL, 'PTHR24347:SF116', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE TYPE 1G', NULL, NULL, NULL, 15),
(166124, NULL, 'PTHR33175:SF3', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN HU-BETA', NULL, NULL, NULL, 15),
(166125, NULL, 'PTHR31984:SF14', NULL, NULL, NULL, NULL, 'BNAA02G29770D PROTEIN', NULL, NULL, NULL, 15),
(166126, NULL, 'PTHR11165:SF127', NULL, NULL, NULL, NULL, 'OS02G0225100 PROTEIN', NULL, NULL, NULL, 15),
(166127, NULL, 'PTHR22943:SF126', NULL, NULL, NULL, NULL, 'PROTEIN CBG00354', NULL, NULL, NULL, 15),
(166128, NULL, 'PTHR16062:SF18', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(166129, NULL, 'PTHR45647:SF38', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 52', NULL, NULL, NULL, 15),
(166130, NULL, 'PTHR23244:SF463', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166131, NULL, 'PTHR15959', NULL, NULL, NULL, NULL, 'SYNTAXIN-18', NULL, NULL, NULL, 15),
(166132, NULL, 'PTHR13283:SF10', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(166133, NULL, 'PTHR16166:SF133', NULL, NULL, NULL, NULL, 'PROTEIN SORTING-ASSOCIATED PROTEIN, PUTATIVE (DUF1162)-RELATED', NULL, NULL, NULL, 15),
(166134, NULL, 'PTHR10697', NULL, NULL, NULL, NULL, 'MAMMALIAN EPENDYMIN-RELATED PROTEIN 1', NULL, NULL, 812, 15),
(166135, NULL, 'PTHR31087:SF108', NULL, NULL, NULL, NULL, 'TUBBY C-TERMINAL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166136, NULL, 'PTHR30238:SF0', NULL, NULL, NULL, NULL, 'THYLAKOID MEMBRANE PROTEIN TERC, CHLOROPLASTIC', NULL, NULL, 17427, 15),
(166137, NULL, 'PTHR18896:SF136', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D B', NULL, NULL, NULL, 15),
(166138, NULL, 'PTHR13341:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CANOPY HOMOLOG 2', NULL, NULL, NULL, 15),
(166139, NULL, 'PTHR33248:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166140, NULL, 'PTHR24384:SF200', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 977', NULL, NULL, NULL, 15),
(166141, NULL, 'PTHR13115:SF16', NULL, NULL, NULL, NULL, 'BNAC08G48800D PROTEIN', NULL, NULL, NULL, 15),
(166142, NULL, 'PTHR15431:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166143, NULL, 'PTHR47926:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166144, NULL, 'PTHR13345:SF8', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 10', NULL, NULL, NULL, 15),
(166145, NULL, 'PTHR43235:SF7', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE GAT1_2.1-RELATED', NULL, NULL, NULL, 15),
(166146, NULL, 'PTHR30372:SF0', NULL, NULL, NULL, NULL, 'LIPID-A-DISACCHARIDE SYNTHASE', NULL, NULL, NULL, 15),
(166147, NULL, 'PTHR11690:SF268', NULL, NULL, NULL, NULL, 'PICKPOCKET 17, ISOFORM A', NULL, NULL, NULL, 15),
(166148, NULL, 'PTHR47995:SF8', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166149, NULL, 'PTHR46969', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN HLDE', NULL, NULL, NULL, 15),
(166150, NULL, 'PTHR21708:SF34', NULL, NULL, NULL, NULL, 'OUTER SPORE WALL PROTEIN 2', NULL, NULL, NULL, 15),
(166151, NULL, 'PTHR23226:SF152', NULL, NULL, NULL, NULL, 'RCG50438, ISOFORM CRA_A', NULL, NULL, NULL, 15),
(166152, NULL, 'PTHR19268', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(166153, NULL, 'PTHR12121:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166154, NULL, 'PTHR45937:SF1', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(166155, NULL, 'PTHR10177:SF440', NULL, NULL, NULL, NULL, 'BNAA04G12940D PROTEIN', NULL, NULL, 26492, 15),
(166156, NULL, 'PTHR47933:SF23', NULL, NULL, NULL, NULL, 'FERTILITY RESTORER HOMOLOGUE A-LIKE', NULL, NULL, NULL, 15),
(166157, NULL, 'PTHR21184:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM151A', NULL, NULL, NULL, 15),
(166158, NULL, 'PTHR31929:SF75', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(166159, NULL, 'PTHR45635:SF31', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166160, NULL, 'PTHR31852:SF137', NULL, NULL, NULL, NULL, 'OS01G0712000 PROTEIN', NULL, NULL, NULL, 15),
(166161, NULL, 'PTHR24023:SF1016', NULL, NULL, NULL, NULL, 'ADIPONECTIN F1', NULL, NULL, NULL, 15),
(166162, NULL, 'PTHR37534:SF15', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(166163, NULL, 'PTHR15925', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN S23', NULL, NULL, 18735, 15),
(166164, NULL, 'PTHR43895:SF27', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(166165, NULL, 'PTHR24023:SF992', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166166, NULL, 'PTHR34570:SF13', NULL, NULL, NULL, NULL, 'BNAANNG35530D PROTEIN', NULL, NULL, NULL, 15),
(166167, NULL, 'PTHR10585:SF79', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN RETAINING RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(166168, NULL, 'PTHR24286:SF10', NULL, NULL, NULL, NULL, 'ABSCISIC ACID 8''-HYDROXYLASE 3', NULL, NULL, NULL, 15),
(166169, NULL, 'PTHR21261:SF3', NULL, NULL, NULL, NULL, 'BEAT-VII', NULL, NULL, NULL, 15),
(166170, NULL, 'PTHR26454:SF39', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6C3', NULL, NULL, NULL, 15),
(166171, NULL, 'PTHR10639:SF32', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(166172, NULL, 'PTHR31676:SF75', NULL, NULL, NULL, NULL, 'OS07G0120600-LIKE PROTEIN', NULL, NULL, NULL, 15),
(166173, NULL, 'PTHR46326:SF19', NULL, NULL, NULL, NULL, 'C2H2-LIKE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(166174, NULL, 'PTHR45763:SF24', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(166175, NULL, 'PTHR31541:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166176, NULL, 'PTHR30538:SF0', NULL, NULL, NULL, NULL, 'L-LYSINE 2,3-AMINOMUTASE AQ_1632-RELATED', NULL, NULL, NULL, 15),
(166177, NULL, 'PTHR31696:SF70', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1', NULL, NULL, NULL, 15),
(166178, NULL, 'PTHR27007:SF21', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE S.7-RELATED', NULL, NULL, NULL, 15),
(166179, NULL, 'PTHR34278:SF1', NULL, NULL, NULL, NULL, 'PROTEIN THI031, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166180, NULL, 'PTHR10383', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR', NULL, NULL, 975, 15),
(166181, NULL, 'PTHR35469', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(166182, NULL, 'PTHR11055', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL 3''-PHOSPHOADENOSINE 5''-PHOSPHOSULFATE SYNTHASE', NULL, NULL, NULL, 15),
(166183, NULL, 'PTHR45711:SF3', NULL, NULL, NULL, NULL, 'CLC CHANNEL', NULL, NULL, NULL, 15),
(166184, NULL, 'PTHR31190:SF235', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(166185, NULL, 'PTHR34977:SF1', NULL, NULL, NULL, NULL, 'UPF0337 PROTEIN YJBJ', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166186, NULL, 'PTHR11571:SF229', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 4', NULL, NULL, NULL, 15),
(166187, NULL, 'PTHR31561:SF91', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(166188, NULL, 'PTHR11085:SF3', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE SIRTUIN-2', NULL, NULL, NULL, 15),
(166189, NULL, 'PTHR35833', NULL, NULL, NULL, NULL, 'GALACTOSE-BINDING DOMAIN-LIKE, ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166190, NULL, 'PTHR10509:SF80', NULL, NULL, NULL, NULL, 'FLAVONOID 3'',5''-METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(166191, NULL, 'PTHR23164:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE-TYPE CONTAINING 28', NULL, NULL, NULL, 15),
(166192, NULL, 'PTHR10794:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166193, NULL, 'PTHR33564:SF13', NULL, NULL, NULL, NULL, 'BNAC05G37530D PROTEIN', NULL, NULL, NULL, 15),
(166194, NULL, 'PTHR22835:SF597', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166195, NULL, 'PTHR32295:SF139', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF PROTEIN', NULL, NULL, NULL, 15),
(166196, NULL, 'PTHR48211:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166197, NULL, 'PTHR19282:SF417', NULL, NULL, NULL, NULL, 'TOBAMOVIRUS MULTIPLICATION PROTEIN 2A', NULL, NULL, NULL, 15),
(166198, NULL, 'PTHR35340:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166199, NULL, 'PTHR47990:SF146', NULL, NULL, NULL, NULL, 'OSJNBA0033G05.6 PROTEIN', NULL, NULL, NULL, 15),
(166200, NULL, 'PTHR42107', NULL, NULL, NULL, NULL, 'YALI0D24453P', NULL, NULL, NULL, 15),
(166201, NULL, 'PTHR15950:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION COFACTOR VESTIGIAL-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(166202, NULL, 'PTHR11066:SF49', NULL, NULL, NULL, NULL, 'PROTEIN CBG08110', NULL, NULL, NULL, 15),
(166203, NULL, 'PTHR24072:SF24', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOE', NULL, NULL, NULL, 15),
(166204, NULL, 'PTHR10625:SF109', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 8', NULL, NULL, NULL, 15),
(166205, NULL, 'PTHR11732:SF416', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(166206, NULL, 'PTHR27009:SF243', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE 2', NULL, NULL, NULL, 15),
(166207, NULL, 'PTHR21342:SF0', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NMN ADENYLYLTRANSFERASE/NUDIX HYDROLASE', NULL, NULL, NULL, 15),
(166208, NULL, 'PTHR23501:SF163', NULL, NULL, NULL, NULL, 'EFFLUX PUMP ALNA', NULL, NULL, NULL, 15),
(166209, NULL, 'PTHR22883:SF40', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(166210, NULL, 'PTHR35313:SF1', NULL, NULL, NULL, NULL, 'NO EXINE FORMATION 1', NULL, NULL, NULL, 15),
(166211, NULL, 'PTHR43745', NULL, NULL, NULL, NULL, 'NITROREDUCTASE MJ1384-RELATED', NULL, NULL, NULL, 15),
(166212, NULL, 'PTHR11785:SF526', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(166213, NULL, 'PTHR33231', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(166214, NULL, 'PTHR42898:SF18', NULL, NULL, NULL, NULL, 'BNAC02G25030D PROTEIN', NULL, NULL, NULL, 15),
(166215, NULL, 'PTHR12887', NULL, NULL, NULL, NULL, 'NANOS PROTEIN', NULL, NULL, 13356, 15),
(166216, NULL, 'PTHR47928:SF93', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166217, NULL, 'PTHR31692:SF114', NULL, NULL, NULL, NULL, 'BETA EXPANSIN4', NULL, NULL, NULL, 15),
(166218, NULL, 'PTHR21493:SF247', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN GOT1', NULL, NULL, NULL, 15),
(166219, NULL, 'PTHR46391:SF14', NULL, NULL, NULL, NULL, 'BZIP PROTEIN', NULL, NULL, NULL, 15),
(166220, NULL, 'PTHR23012:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166221, NULL, 'PTHR33705', NULL, NULL, NULL, NULL, 'PHOSPHOCARRIER PROTEIN HPR', NULL, NULL, NULL, 15),
(166222, NULL, 'PTHR42085:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166223, NULL, 'PTHR45687:SF41', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-7', NULL, NULL, NULL, 15),
(166224, NULL, 'PTHR46391:SF21', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 34-LIKE', NULL, NULL, NULL, 15),
(166225, NULL, 'PTHR36024:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166226, NULL, 'PTHR24412:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166227, NULL, 'PTHR48010:SF17', NULL, NULL, NULL, NULL, 'PIRIFORMOSPORA INDICA-INSENSITIVE PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(166228, NULL, 'PTHR47965:SF62', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(166229, NULL, 'PTHR23209', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 12', NULL, NULL, 27088, 15),
(166230, NULL, 'PTHR12449', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 29771, 15),
(166231, NULL, 'PTHR24221:SF304', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', NULL, NULL, NULL, 15),
(166232, NULL, 'PTHR23124:SF142', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(166233, NULL, 'PTHR32382:SF33', NULL, NULL, NULL, NULL, 'OS02G0726000 PROTEIN', NULL, NULL, NULL, 15),
(166234, NULL, 'PTHR38599', NULL, NULL, NULL, NULL, 'CUPIN DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G13620)', NULL, NULL, NULL, 15),
(166235, NULL, 'PTHR24300:SF331', NULL, NULL, NULL, NULL, 'BNAC03G61460D PROTEIN', NULL, NULL, NULL, 15),
(166236, NULL, 'PTHR36797:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166237, NULL, 'PTHR35631:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166238, NULL, 'PTHR48099:SF12', NULL, NULL, NULL, NULL, 'MONOFUNCTIONAL C1-TETRAHYDROFOLATE SYNTHASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(166239, NULL, 'PTHR11141', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', NULL, NULL, 32232, 15),
(166240, NULL, 'PTHR43948:SF13', NULL, NULL, NULL, NULL, '4930503B20RIK PROTEIN', NULL, NULL, NULL, 15),
(166241, NULL, 'PTHR46400:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(166242, NULL, 'PTHR45693:SF39', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA5', NULL, NULL, NULL, 15),
(166243, NULL, 'PTHR35549:SF2', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(166244, NULL, 'PTHR13042:SF12', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(166245, NULL, 'PTHR43490:SF65', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(166246, NULL, 'PTHR31790:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166247, NULL, 'PTHR46775:SF4', NULL, NULL, NULL, NULL, 'BNAC01G39750D PROTEIN', NULL, NULL, NULL, 15),
(166248, NULL, 'PTHR13128', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN-SORTING-ASSOCIATED PROTEIN 36', NULL, NULL, 34796, 15),
(166249, NULL, 'PTHR35281:SF2', NULL, NULL, NULL, NULL, 'BNAA02G34170D PROTEIN', NULL, NULL, NULL, 15),
(166250, NULL, 'PTHR43218:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(166251, NULL, 'PTHR11548', NULL, NULL, NULL, NULL, 'THYMIDYLATE SYNTHASE 1', NULL, NULL, 38112, 15),
(166252, NULL, 'PTHR22146:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166253, NULL, 'PTHR31496:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166254, NULL, 'PTHR34586:SF3', NULL, NULL, NULL, NULL, 'SPERACT/SCAVENGER RECEPTOR DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(166255, NULL, 'PTHR45676:SF123', NULL, NULL, NULL, NULL, 'BNAA03G52560D PROTEIN', NULL, NULL, NULL, 15),
(166256, NULL, 'PTHR24291:SF151', NULL, NULL, NULL, NULL, 'PROTEIN LUTEIN DEFICIENT 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(166257, NULL, 'PTHR21724:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG10496', NULL, NULL, NULL, 15),
(166258, NULL, 'PTHR18952:SF93', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE-RELATED PROTEIN 11', NULL, NULL, NULL, 15),
(166259, NULL, 'PTHR12791:SF53', NULL, NULL, NULL, NULL, 'BET1 HOMOLOG', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166260, NULL, 'PTHR31681:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166261, NULL, 'PTHR32285:SF260', NULL, NULL, NULL, NULL, 'BNAC02G01870D PROTEIN', NULL, NULL, NULL, 15),
(166262, NULL, 'PTHR10462:SF27', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 6 DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(166263, NULL, 'PTHR15722:SF2', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 172 HOMOLOG', NULL, NULL, NULL, 15),
(166264, NULL, 'PTHR47925:SF44', NULL, NULL, NULL, NULL, 'BNACNNG13520D PROTEIN', NULL, NULL, NULL, 15),
(166265, NULL, 'PTHR31500:SF87', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(166266, NULL, 'PTHR47972:SF14', NULL, NULL, NULL, NULL, 'KINESIN-4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(166267, NULL, 'PTHR11760:SF48', NULL, NULL, NULL, NULL, 'PROTEIN GET1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(166268, NULL, 'PTHR19139:SF279', NULL, NULL, NULL, NULL, 'AQUAPORIN A-RELATED', NULL, NULL, NULL, 15),
(166269, NULL, 'PTHR45633:SF34', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60/TCP-1 FAMILY, TCP-1-LIKE CHAPERONIN INTERMEDIATE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166270, NULL, 'PTHR28259:SF13', NULL, NULL, NULL, NULL, 'BNAC04G47810D PROTEIN', NULL, NULL, NULL, 15),
(166271, NULL, 'PTHR10052:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', NULL, NULL, NULL, 15),
(166272, NULL, 'PTHR45620:SF24', NULL, NULL, NULL, NULL, 'VASOACTIVE INTESTINAL POLYPEPTIDE RECEPTOR 1', NULL, NULL, NULL, 15),
(166273, NULL, 'PTHR27003:SF369', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166274, NULL, 'PTHR31846:SF17', NULL, NULL, NULL, NULL, '(CRM) DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166275, NULL, 'PTHR45647:SF48', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASE-LIKE DOMAIN KINASE', NULL, NULL, NULL, 15),
(166276, NULL, 'PTHR10623:SF7', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN RP/EB FAMILY MEMBER 2', NULL, NULL, 26265, 15),
(166277, NULL, 'PTHR31080:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166278, NULL, 'PTHR14221:SF48', NULL, NULL, NULL, NULL, 'APOPTOTIC PROTEASE-ACTIVATING FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(166279, NULL, 'PTHR32470', NULL, NULL, NULL, NULL, 'ADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX ASSEMBLY FACTOR 2', NULL, NULL, NULL, 15),
(166280, NULL, 'PTHR46289:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-250D21.1', NULL, NULL, NULL, 15),
(166281, NULL, 'PTHR43546:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166282, NULL, 'PTHR45633:SF29', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60-2, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(166283, NULL, 'PTHR33159:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166284, NULL, 'PTHR45704:SF4', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(166285, NULL, 'PTHR10742:SF399', NULL, NULL, NULL, NULL, 'CONTAINING AMINE OXIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01470)-RELATED', NULL, NULL, NULL, 15),
(166286, NULL, 'PTHR11712:SF321', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE 2', NULL, NULL, NULL, 15),
(166287, NULL, 'PTHR15414', NULL, NULL, NULL, NULL, 'OS-9-RELATED', NULL, NULL, 39033, 15),
(166288, NULL, 'PTHR43166:SF15', NULL, NULL, NULL, NULL, 'HISTIDINE TRANSPORT ATP-BINDING PROTEIN HISP', NULL, NULL, NULL, 15),
(166289, NULL, 'PTHR23359:SF182', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 4', NULL, NULL, NULL, 15),
(166290, NULL, 'PTHR24020:SF54', NULL, NULL, NULL, NULL, 'PROTEIN CBG15420', NULL, NULL, NULL, 15),
(166291, NULL, 'PTHR45770:SF36', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(166292, NULL, 'PTHR24078:SF552', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166293, NULL, 'PTHR46128:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166294, NULL, 'PTHR31251:SF115', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(166295, NULL, 'PTHR14224:SF19', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 11-RELATED', NULL, NULL, NULL, 15),
(166296, NULL, 'PTHR36616:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166297, NULL, 'PTHR22912:SF214', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE 2 MITOCHONDRIAL', NULL, NULL, NULL, 15),
(166298, NULL, 'PTHR45952:SF5', NULL, NULL, NULL, NULL, 'ALUMINUM INDUCED PROTEIN WITH YGL AND LRDR MOTIFS', NULL, NULL, NULL, 15),
(166299, NULL, 'PTHR45730:SF69', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-RELATED', NULL, NULL, NULL, 15),
(166300, NULL, 'PTHR17575:SF1', NULL, NULL, NULL, NULL, 'UROCORTIN-3', NULL, NULL, NULL, 15),
(166301, NULL, 'PTHR33449:SF7', NULL, NULL, NULL, NULL, 'BNAA02G17680D PROTEIN', NULL, NULL, NULL, 15),
(166302, NULL, 'PTHR42861:SF59', NULL, NULL, NULL, NULL, 'ATPASE 6, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(166303, NULL, 'PTHR43663:SF1', NULL, NULL, NULL, NULL, 'CHROMATE TRANSPORTER', NULL, NULL, NULL, 15),
(166304, NULL, 'PTHR45650:SF60', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166305, NULL, 'PTHR31225:SF142', NULL, NULL, NULL, NULL, '(-)-GERMACRENE D SYNTHASE', NULL, NULL, NULL, 15),
(166306, NULL, 'PTHR18950', NULL, NULL, NULL, NULL, 'PROGESTERONE-INDUCED BLOCKING FACTOR 1', NULL, NULL, 25739, 15),
(166307, NULL, 'PTHR11615:SF310', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 4', NULL, NULL, NULL, 15),
(166308, NULL, 'PTHR14592:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAM3C', NULL, NULL, 35775, 15),
(166309, NULL, 'PTHR33784:SF19', NULL, NULL, NULL, NULL, 'BNACNNG56230D PROTEIN', NULL, NULL, NULL, 15),
(166310, NULL, 'PTHR21497:SF51', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(166311, NULL, 'PTHR33780:SF2', NULL, NULL, NULL, NULL, 'OS05G0419600 PROTEIN', NULL, NULL, NULL, 15),
(166312, NULL, 'PTHR13326:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166313, NULL, 'PTHR24356:SF394', NULL, NULL, NULL, NULL, 'PROTEIN CBG15660', NULL, NULL, NULL, 15),
(166314, NULL, 'PTHR42684:SF8', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRATE TRANSAMINASE 4-RELATED', NULL, NULL, NULL, 15),
(166315, NULL, 'PTHR24292:SF93', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 310A1-RELATED', NULL, NULL, NULL, 15),
(166316, NULL, 'PTHR33401:SF19', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(166317, NULL, 'PTHR19957:SF288', NULL, NULL, NULL, NULL, 'SYNTAXIN OF PLANTS 122 PROTEIN', NULL, NULL, NULL, 15),
(166318, NULL, 'PTHR11461:SF304', NULL, NULL, NULL, NULL, 'SERPIN-Z10-RELATED', NULL, NULL, NULL, 15),
(166319, NULL, 'PTHR11877:SF75', NULL, NULL, NULL, NULL, 'BNAA03G53070D PROTEIN', NULL, NULL, NULL, 15),
(166320, NULL, 'PTHR31677:SF82', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 4', NULL, NULL, NULL, 15),
(166321, NULL, 'PTHR21649:SF102', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(166322, NULL, 'PTHR12733:SF5', NULL, NULL, NULL, NULL, 'ATP SYNTHASE B HOMOLOG', NULL, NULL, NULL, 15),
(166323, NULL, 'PTHR33983', NULL, NULL, NULL, NULL, 'OS07G0185900 PROTEIN', NULL, NULL, NULL, 15),
(166324, NULL, 'PTHR22624:SF53', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE', NULL, NULL, 29147, 15),
(166325, NULL, 'PTHR35326:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PSBN', NULL, NULL, NULL, 15),
(166326, NULL, 'PTHR28139', NULL, NULL, NULL, NULL, 'UPF0768 PROTEIN YBL029C-A', NULL, NULL, NULL, 15),
(166327, NULL, 'PTHR31008:SF16', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(166328, NULL, 'PTHR11711:SF163', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM23', NULL, NULL, NULL, 15),
(166329, NULL, 'PTHR24028:SF247', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-1', NULL, NULL, NULL, 15),
(166330, NULL, 'PTHR46038:SF29', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166331, NULL, 'PTHR10845:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166332, NULL, 'PTHR12353:SF19', NULL, NULL, NULL, NULL, 'DISKS LARGE-ASSOCIATED PROTEIN 4', NULL, NULL, 26051, 15),
(166333, NULL, 'PTHR26451:SF855', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(166334, NULL, 'PTHR13663', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 34684, 15),
(166335, NULL, 'PTHR34223:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166336, NULL, 'PTHR31311:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 6-RELATED', NULL, NULL, NULL, 15),
(166337, NULL, 'PTHR31001:SF39', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(166338, NULL, 'PTHR11238', NULL, NULL, NULL, NULL, 'PROMININ ISOFORM D-RELATED', NULL, NULL, NULL, 15),
(166339, NULL, 'PTHR10037:SF288', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN PARA', NULL, NULL, NULL, 15),
(166340, NULL, 'PTHR28586:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PAXX', NULL, NULL, NULL, 15),
(166341, NULL, 'PTHR34269:SF15', NULL, NULL, NULL, NULL, 'BNAA05G15880D PROTEIN', NULL, NULL, NULL, 15),
(166342, NULL, 'PTHR22803:SF105', NULL, NULL, NULL, NULL, 'LITHOSTATHINE-1-ALPHA', NULL, NULL, NULL, 15),
(166343, NULL, 'PTHR36169', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTQ', NULL, NULL, 9746, 15),
(166344, NULL, 'PTHR23054:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166345, NULL, 'PTHR35024:SF4', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(166346, NULL, 'PTHR31390:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166347, NULL, 'PTHR45752:SF106', NULL, NULL, NULL, NULL, 'RICH DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166348, NULL, 'PTHR31681:SF38', NULL, NULL, NULL, NULL, 'BNAA09G20920D PROTEIN', NULL, NULL, NULL, 15),
(166349, NULL, 'PTHR14237:SF77', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE, PYRUVATE KINASE-LIKE, INSERT DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166350, NULL, 'PTHR31339:SF66', NULL, NULL, NULL, NULL, 'OS06G0106800 PROTEIN', NULL, NULL, NULL, 15),
(166351, NULL, 'PTHR31790:SF408', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(166352, NULL, 'PTHR27005:SF238', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 3', NULL, NULL, NULL, 15),
(166353, NULL, 'PTHR22298:SF134', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(166354, NULL, 'PTHR10380:SF219', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 47EE', NULL, NULL, NULL, 15),
(166355, NULL, 'PTHR43470:SF4', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YQGI-RELATED', NULL, NULL, NULL, 15),
(166356, NULL, 'PTHR24410:SF36', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(166357, NULL, 'PTHR10078:SF25', NULL, NULL, NULL, NULL, 'INTERLEUKIN-36 ALPHA', NULL, NULL, 27045, 15),
(166358, NULL, 'PTHR43157', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-GLYCAN BIOSYNTHESIS CLASS F PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166359, NULL, 'PTHR45825', NULL, NULL, NULL, NULL, 'GRANULE-BOUND STARCH SYNTHASE 1, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(166360, NULL, 'PTHR11351:SF89', NULL, NULL, NULL, NULL, 'BNAA04G18360D PROTEIN', NULL, NULL, NULL, 15),
(166361, NULL, 'PTHR43671:SF72', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK7-LIKE', NULL, NULL, NULL, 15),
(166362, NULL, 'PTHR10830:SF2', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE 48 KDA SUBUNIT', NULL, NULL, NULL, 15),
(166363, NULL, 'PTHR24256:SF507', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 2', NULL, NULL, NULL, 15),
(166364, NULL, 'PTHR46319:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN 16', NULL, NULL, 21532, 15),
(166365, NULL, 'PTHR27008:SF11', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166366, NULL, 'PTHR48099:SF16', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PROTEIN FOLD 1, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(166367, NULL, 'PTHR31889:SF40', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(166368, NULL, 'PTHR47350:SF4', NULL, NULL, NULL, NULL, 'PROTEIN IWS1 HOMOLOG 1', NULL, NULL, NULL, 15),
(166369, NULL, 'PTHR47926:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166370, NULL, 'PTHR47539', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN OTP51, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(166371, NULL, 'PTHR43243:SF74', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(166372, NULL, 'PTHR32382:SF58', NULL, NULL, NULL, NULL, 'BNAC03G14100D PROTEIN', NULL, NULL, NULL, 15),
(166373, NULL, 'PTHR11571:SF99', NULL, NULL, NULL, NULL, 'SIMILAR TO CLASS-ALPHA GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(166374, NULL, 'PTHR31719:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166375, NULL, 'PTHR10742:SF390', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 2 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(166376, NULL, 'PTHR31656:SF46', NULL, NULL, NULL, NULL, 'ROOT CAP-RELATED', NULL, NULL, NULL, 15),
(166377, NULL, 'PTHR11271:SF37', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00460)-RELATED', NULL, NULL, NULL, 15),
(166378, NULL, 'PTHR24074:SF42', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 3 HOMOLOG', NULL, NULL, NULL, 15),
(166379, NULL, 'PTHR11070:SF25', NULL, NULL, NULL, NULL, 'DNA HELICASE', NULL, NULL, NULL, 15),
(166380, NULL, 'PTHR31284:SF32', NULL, NULL, NULL, NULL, 'OS07G0681200 PROTEIN', NULL, NULL, NULL, 15),
(166381, NULL, 'PTHR14379:SF15', NULL, NULL, NULL, NULL, 'ENDONUCLEASE OR GLYCOSYL HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(166382, NULL, 'PTHR24068:SF357', NULL, NULL, NULL, NULL, 'BNAA03G11080D PROTEIN', NULL, NULL, NULL, 15),
(166383, NULL, 'PTHR43363:SF1', NULL, NULL, NULL, NULL, 'HYPOXANTHINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(166384, NULL, 'PTHR33840', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166385, NULL, 'PTHR22945:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-34', NULL, NULL, NULL, 15),
(166386, NULL, 'PTHR37610:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166387, NULL, 'PTHR32133:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166388, NULL, 'PTHR23147:SF172', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(166389, NULL, 'PTHR45647:SF78', NULL, NULL, NULL, NULL, 'BNAA06G11260D PROTEIN', NULL, NULL, NULL, 15),
(166390, NULL, 'PTHR31656:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166391, NULL, 'PTHR24414:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 43', NULL, NULL, NULL, 15),
(166392, NULL, 'PTHR34441', NULL, NULL, NULL, NULL, 'MOTILE SPERM DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 35895, 15),
(166393, NULL, 'PTHR34992:SF1', NULL, NULL, NULL, NULL, 'HYPHAL ANASTAMOSIS-7 PROTEIN', NULL, NULL, NULL, 15),
(166394, NULL, 'PTHR15615:SF82', NULL, NULL, NULL, NULL, 'PHO85 CYCLIN PHO80', NULL, NULL, NULL, 15),
(166395, NULL, 'PTHR10201:SF241', NULL, NULL, NULL, NULL, 'MATRIXIN FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(166396, NULL, 'PTHR31683:SF141', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(166397, NULL, 'PTHR27002:SF838', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166398, NULL, 'PTHR31917', NULL, NULL, NULL, NULL, 'AGENET DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166399, NULL, 'PTHR45436:SF7', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN BASS', NULL, NULL, NULL, 15),
(166400, NULL, 'PTHR33710', NULL, NULL, NULL, NULL, 'BNAC02G09200D PROTEIN', NULL, NULL, NULL, 15),
(166401, NULL, 'PTHR13598', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 15959, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166402, NULL, 'PTHR40028:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR CTSR', NULL, NULL, NULL, 15),
(166403, NULL, 'PTHR15565:SF0', NULL, NULL, NULL, NULL, 'PROTEIN AATF', NULL, NULL, NULL, 15),
(166404, NULL, 'PTHR34482:SF14', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166405, NULL, 'PTHR47934:SF14', NULL, NULL, NULL, NULL, 'OSJNBA0088A01.11 PROTEIN', NULL, NULL, NULL, 15),
(166406, NULL, 'PTHR43447:SF33', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(166407, NULL, 'PTHR30520:SF8', NULL, NULL, NULL, NULL, 'NITRITE TRANSPORTER NIRC', NULL, NULL, NULL, 15),
(166408, NULL, 'PTHR48024:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166409, NULL, 'PTHR32227:SF335', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE', NULL, NULL, NULL, 15),
(166410, NULL, 'PTHR31938:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR SPECKLE SPLICING REGULATORY PROTEIN 1', NULL, NULL, NULL, 15),
(166411, NULL, 'PTHR11746:SF260', NULL, NULL, NULL, NULL, 'BNAA10G07270D PROTEIN', NULL, NULL, NULL, 15),
(166412, NULL, 'PTHR46034:SF15', NULL, NULL, NULL, NULL, 'DCD (DEVELOPMENT AND CELL DEATH) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(166413, NULL, 'PTHR12253:SF34', NULL, NULL, NULL, NULL, 'RH14732P', NULL, NULL, NULL, 15),
(166414, NULL, 'PTHR19353:SF19', NULL, NULL, NULL, NULL, 'DELTA(5) FATTY ACID DESATURASE FAT-4', NULL, NULL, NULL, 15),
(166415, NULL, 'PTHR46387:SF21', NULL, NULL, NULL, NULL, '14.7 KDA RIBONUCLEASE H-LIKE PROTEIN', NULL, NULL, NULL, 15),
(166416, NULL, 'PTHR43797:SF3', NULL, NULL, NULL, NULL, 'O-ACETYLHOMOSERINE SULFHYDRYLASE', NULL, NULL, NULL, 15),
(166417, NULL, 'PTHR10127:SF818', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-4', NULL, NULL, NULL, 15),
(166418, NULL, 'PTHR27005:SF286', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 3', NULL, NULL, NULL, 15),
(166419, NULL, 'PTHR23158:SF57', NULL, NULL, NULL, NULL, 'CTAGE FAMILY MEMBER 15-RELATED', NULL, NULL, NULL, 15),
(166420, NULL, 'PTHR42678:SF29', NULL, NULL, NULL, NULL, 'AMIDASE C869.01-RELATED', NULL, NULL, NULL, 15),
(166421, NULL, 'PTHR46742:SF3', NULL, NULL, NULL, NULL, 'LYSINE-RICH COILED-COIL PROTEIN 1', NULL, NULL, NULL, 15),
(166422, NULL, 'PTHR31642:SF258', NULL, NULL, NULL, NULL, 'BAHD FAMILY ACYLTRANSFERASE, CLADE IV', NULL, NULL, NULL, 15),
(166423, NULL, 'PTHR10954', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H2 SUBUNIT A', NULL, NULL, 2053, 15),
(166424, NULL, 'PTHR27004:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166425, NULL, 'PTHR35793', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YJIG', NULL, NULL, NULL, 15),
(166426, NULL, 'PTHR36216:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, TRMB', NULL, NULL, NULL, 15),
(166427, NULL, 'PTHR10543:SF108', NULL, NULL, NULL, NULL, 'RETINOID ISOMEROHYDROLASE', NULL, NULL, NULL, 15),
(166428, NULL, 'PTHR48021:SF50', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 10-RELATED', NULL, NULL, NULL, 15),
(166429, NULL, 'PTHR47932:SF51', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166430, NULL, 'PTHR35547:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166431, NULL, 'PTHR19375:SF371', NULL, NULL, NULL, NULL, 'MAJOR HEAT SHOCK 70 KDA PROTEIN AA-RELATED', NULL, NULL, NULL, 15),
(166432, NULL, 'PTHR45657:SF23', NULL, NULL, NULL, NULL, 'OS02G0721800 PROTEIN', NULL, NULL, NULL, 15),
(166433, NULL, 'PTHR42683:SF70', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 2-RELATED', NULL, NULL, NULL, 15),
(166434, NULL, 'PTHR31852:SF153', NULL, NULL, NULL, NULL, 'OS05G0482501 PROTEIN', NULL, NULL, NULL, 15),
(166435, NULL, 'PTHR37325', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 21 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G05910)-RELATED', NULL, NULL, 15433, 15),
(166436, NULL, 'PTHR31734:SF168', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(166437, NULL, 'PTHR24281:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166438, NULL, 'PTHR13832:SF772', NULL, NULL, NULL, NULL, 'BNAC04G00380D PROTEIN', NULL, NULL, NULL, 15),
(166439, NULL, 'PTHR48053:SF10', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166440, NULL, 'PTHR24286:SF267', NULL, NULL, NULL, NULL, 'ALLENE OXIDE SYNTHASE 1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(166441, NULL, 'PTHR11639:SF59', NULL, NULL, NULL, NULL, 'PROTEIN S100-A2', NULL, NULL, NULL, 15),
(166442, NULL, 'PTHR24349:SF290', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 34-LIKE', NULL, NULL, NULL, 15),
(166443, NULL, 'PTHR24377:SF650', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 867', NULL, NULL, NULL, 15),
(166444, NULL, 'PTHR40351:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG19323', NULL, NULL, NULL, 15),
(166445, NULL, 'PTHR45640:SF5', NULL, NULL, NULL, NULL, 'ALPHA-CRYSTALLIN B CHAIN', NULL, NULL, NULL, 15),
(166446, NULL, 'PTHR45879:SF3', NULL, NULL, NULL, NULL, 'CYCLIC AMP RESPONSE ELEMENT-BINDING PROTEIN B', NULL, NULL, NULL, 15),
(166447, NULL, 'PTHR31235:SF175', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(166448, NULL, 'PTHR11877:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166449, NULL, 'PTHR43874:SF106', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR RECEIVER DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(166450, NULL, 'PTHR42821:SF1', NULL, NULL, NULL, NULL, 'CATALASE-B', NULL, NULL, NULL, 15),
(166451, NULL, 'PTHR47980:SF13', NULL, NULL, NULL, NULL, 'LOC100135070 PROTEIN', NULL, NULL, NULL, 15),
(166452, NULL, 'PTHR11984:SF3', NULL, NULL, NULL, NULL, 'GAP JUNCTION DELTA-4 PROTEIN', NULL, NULL, NULL, 15),
(166453, NULL, 'PTHR10015:SF206', NULL, NULL, NULL, NULL, 'HEAT SHOCK TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(166454, NULL, 'PTHR23267:SF119', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 40', NULL, NULL, NULL, 15),
(166455, NULL, 'PTHR33377:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166456, NULL, 'PTHR11759:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166457, NULL, 'PTHR10816:SF18', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 2-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(166458, NULL, 'PTHR10606:SF50', NULL, NULL, NULL, NULL, '6-BIPHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166459, NULL, 'PTHR46128:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166460, NULL, 'PTHR33122:SF7', NULL, NULL, NULL, NULL, 'OS05G0160300 PROTEIN', NULL, NULL, NULL, 15),
(166461, NULL, 'PTHR31472:SF21', NULL, NULL, NULL, NULL, 'BNAC01G10000D PROTEIN', NULL, NULL, NULL, 15),
(166462, NULL, 'PTHR31802', NULL, NULL, NULL, NULL, '32 KDA HEAT SHOCK PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166463, NULL, 'PTHR24377:SF732', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN OZF', NULL, NULL, NULL, 15),
(166464, NULL, 'PTHR23500:SF5', NULL, NULL, NULL, NULL, 'OS12G0514000 PROTEIN', NULL, NULL, NULL, 15),
(166465, NULL, 'PTHR27006:SF265', NULL, NULL, NULL, NULL, 'OS04G0616600 PROTEIN', NULL, NULL, NULL, 15),
(166466, NULL, 'PTHR45799', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(166467, NULL, 'PTHR31645:SF41', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL14-RELATED', NULL, NULL, NULL, 15),
(166468, NULL, 'PTHR28243:SF1', NULL, NULL, NULL, NULL, 'AGL049CP', NULL, NULL, NULL, 15),
(166469, NULL, 'PTHR43880:SF51', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 6B (CLASS V)', NULL, NULL, NULL, 15),
(166470, NULL, 'PTHR23050:SF330', NULL, NULL, NULL, NULL, 'RE52086P', NULL, NULL, NULL, 15),
(166471, NULL, 'PTHR31407:SF3', NULL, NULL, NULL, NULL, 'PSBP DOMAIN-CONTAINING PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(166472, NULL, 'PTHR10900:SF12', NULL, NULL, NULL, NULL, 'PERIOSTIN', NULL, NULL, NULL, 15),
(166473, NULL, 'PTHR12133:SF2', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(58)-N(1))-METHYLTRANSFERASE CATALYTIC SUBUNIT TRMT61A', NULL, NULL, NULL, 15),
(166474, NULL, 'PTHR43869:SF1', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE/PROLINE BETAINE TRANSPORT SYSTEM ATP-BINDING PROTEIN PROV', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166475, NULL, 'PTHR11709:SF386', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(166476, NULL, 'PTHR24198:SF175', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND PROTEIN KINASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(166477, NULL, 'PTHR13394:SF1', NULL, NULL, NULL, NULL, 'BNAC05G50940D PROTEIN', NULL, NULL, NULL, 15),
(166478, NULL, 'PTHR31312:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GLK1-RELATED', NULL, NULL, NULL, 15),
(166479, NULL, 'PTHR27003:SF361', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166480, NULL, 'PTHR38100', NULL, NULL, NULL, NULL, 'HIGH FREQUENCY LYSOGENIZATION PROTEIN HFLD', NULL, NULL, 4885, 15),
(166481, NULL, 'PTHR33318:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166482, NULL, 'PTHR47313', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE K/L', NULL, NULL, NULL, 15),
(166483, NULL, 'PTHR18952:SF95', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 4', NULL, NULL, 20867, 15),
(166484, NULL, 'PTHR31234:SF54', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(166485, NULL, 'PTHR31161:SF7', NULL, NULL, NULL, NULL, 'F28N24.3 PROTEIN', NULL, NULL, NULL, 15),
(166486, NULL, 'PTHR31639:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166487, NULL, 'PTHR11972:SF133', NULL, NULL, NULL, NULL, 'OS05G0465800 PROTEIN', NULL, NULL, NULL, 15),
(166488, NULL, 'PTHR10390:SF36', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX4', NULL, NULL, NULL, 15),
(166489, NULL, 'PTHR12825:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166490, NULL, 'PTHR31421:SF11', NULL, NULL, NULL, NULL, 'BNAA09G45560D PROTEIN', NULL, NULL, NULL, 15),
(166491, NULL, 'PTHR11360:SF237', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 12-B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(166492, NULL, 'PTHR45705:SF4', NULL, NULL, NULL, NULL, 'STROMAL MEMBRANE-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(166493, NULL, 'PTHR22742', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(166494, NULL, 'PTHR16295:SF19', NULL, NULL, NULL, NULL, 'TRAF-TYPE ZINC FINGER DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(166495, NULL, 'PTHR10462:SF33', NULL, NULL, NULL, NULL, 'ALPHA-1,3-GALACTOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(166496, NULL, 'PTHR43572:SF7', NULL, NULL, NULL, NULL, 'DOUBLE CLP-N MOTIF P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(166497, NULL, 'PTHR24028:SF73', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA SUBFAMILY B, 8', NULL, NULL, NULL, 15),
(166498, NULL, 'PTHR24157:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT, SAM AND BASIC LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(166499, NULL, 'PTHR48047:SF27', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(166500, NULL, 'PTHR34473:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166501, NULL, 'PTHR48112:SF24', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN 1', NULL, NULL, NULL, 15),
(166502, NULL, 'PTHR47604:SF1', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE', NULL, NULL, NULL, 15),
(166503, NULL, 'PTHR12483:SF27', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 1A, ISOFORM C-RELATED', NULL, NULL, NULL, 15),
(166504, NULL, 'PTHR26451:SF122', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(166505, NULL, 'PTHR31268:SF14', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(166506, NULL, 'PTHR36006:SF2', NULL, NULL, NULL, NULL, 'BNAC02G25390D PROTEIN', NULL, NULL, NULL, 15),
(166507, NULL, 'PTHR47516:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(166508, NULL, 'PTHR34672:SF12', NULL, NULL, NULL, NULL, 'BNACNNG40600D PROTEIN', NULL, NULL, NULL, 15),
(166509, NULL, 'PTHR33348:SF28', NULL, NULL, NULL, NULL, 'PRECURSOR OF CEP7', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166510, NULL, 'PTHR28040:SF1', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE 5''-PHOSPHATE OXIDASE YLR456W HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(166511, NULL, 'PTHR31062:SF165', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(166512, NULL, 'PTHR11774:SF4', NULL, NULL, NULL, NULL, 'GERANYLGERANYL TRANSFERASE TYPE-1 SUBUNIT BETA', NULL, NULL, NULL, 15),
(166513, NULL, 'PTHR31140:SF104', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS02G0455900-RELATED', NULL, NULL, NULL, 15),
(166514, NULL, 'PTHR24296:SF217', NULL, NULL, NULL, NULL, 'BNAC02G41740D PROTEIN', NULL, NULL, NULL, 15),
(166515, NULL, 'PTHR45760', NULL, NULL, NULL, NULL, 'FI19922P1-RELATED', NULL, NULL, 39549, 15),
(166516, NULL, 'PTHR42659:SF2', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE SUBUNIT C-RELATED', NULL, NULL, NULL, 15),
(166517, NULL, 'PTHR36507:SF1', NULL, NULL, NULL, NULL, 'BLL1555 PROTEIN', NULL, NULL, NULL, 15),
(166518, NULL, 'PTHR15222:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166519, NULL, 'PTHR10795:SF711', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE', NULL, NULL, NULL, 15),
(166520, NULL, 'PTHR47926:SF250', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(166521, NULL, 'PTHR48001:SF33', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(166522, NULL, 'PTHR43609:SF1', NULL, NULL, NULL, NULL, 'ACETYL-COA HYDROLASE', NULL, NULL, NULL, 15),
(166523, NULL, 'PTHR31232:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166524, NULL, 'PTHR28064:SF1', NULL, NULL, NULL, NULL, 'INNER KINETOCHORE SUBUNIT NKP2', NULL, NULL, NULL, 15),
(166525, NULL, 'PTHR11815', NULL, NULL, NULL, NULL, 'SUCCINYL-COA SYNTHETASE BETA CHAIN', NULL, NULL, 5812, 15),
(166526, NULL, 'PTHR37827', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166527, NULL, 'PTHR13693:SF54', NULL, NULL, NULL, NULL, 'SERINE PALMITOYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(166528, NULL, 'PTHR11764:SF55', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(166529, NULL, 'PTHR14154:SF87', NULL, NULL, NULL, NULL, 'LIGHT-HARVESTING COMPLEX-LIKE PROTEIN 3 ISOTYPE 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(166530, NULL, 'PTHR15315:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166531, NULL, 'PTHR13674', NULL, NULL, NULL, NULL, 'GROWTH AND TRANSFORMATION-DEPENDENT PROTEIN', NULL, NULL, 8476, 15),
(166532, NULL, 'PTHR11361:SF132', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MUTS, TYPE 2', NULL, NULL, NULL, 15),
(166533, NULL, 'PTHR33128:SF71', NULL, NULL, NULL, NULL, 'BNAC07G48990D PROTEIN', NULL, NULL, NULL, 15),
(166534, NULL, 'PTHR12603:SF24', NULL, NULL, NULL, NULL, 'RNA BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(166535, NULL, 'PTHR11260:SF642', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(166536, NULL, 'PTHR14096:SF55', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L1', NULL, NULL, NULL, 15),
(166537, NULL, 'PTHR33562:SF4', NULL, NULL, NULL, NULL, 'GEO08323P1', NULL, NULL, NULL, 15),
(166538, NULL, 'PTHR11699:SF225', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 2 MEMBER B4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(166539, NULL, 'PTHR31683:SF148', NULL, NULL, NULL, NULL, 'PECTATE LYASE P59-RELATED', NULL, NULL, NULL, 15),
(166540, NULL, 'PTHR33165:SF32', NULL, NULL, NULL, NULL, 'OS07G0177000 PROTEIN', NULL, NULL, NULL, 15),
(166541, NULL, 'PTHR36695', NULL, NULL, NULL, NULL, 'AGAP008648-PA', NULL, NULL, NULL, 15),
(166542, NULL, 'PTHR12210:SF141', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(166543, NULL, 'PTHR14002:SF11', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA PROTEIN D', NULL, NULL, NULL, 15),
(166544, NULL, 'PTHR31989:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166545, NULL, 'PTHR38083:SF1', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT CELL ADHESION MOLECULE 1-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166546, NULL, 'PTHR43840:SF5', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 11', NULL, NULL, NULL, 15),
(166547, NULL, 'PTHR31992:SF96', NULL, NULL, NULL, NULL, 'OS01G0865800 PROTEIN', NULL, NULL, NULL, 15),
(166548, NULL, 'PTHR10799:SF985', NULL, NULL, NULL, NULL, 'REMODELING FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166549, NULL, 'PTHR40630', NULL, NULL, NULL, NULL, 'POSSIBLE DNA-BINDING PROTEIN', NULL, NULL, 18599, 15),
(166550, NULL, 'PTHR21145', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', NULL, NULL, 650, 15),
(166551, NULL, 'PTHR24282:SF52', NULL, NULL, NULL, NULL, 'OS07G0635200 PROTEIN', NULL, NULL, NULL, 15),
(166552, NULL, 'PTHR30290:SF57', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE ABC TRANSPORTER, PERIPLASMIC OLIGOPEPTIDE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(166553, NULL, 'PTHR46011', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-86-RELATED', NULL, NULL, NULL, 15),
(166554, NULL, 'PTHR17250:SF0', NULL, NULL, NULL, NULL, 'NEGATIVE ELONGATION FACTOR E', NULL, NULL, NULL, 15),
(166555, NULL, 'PTHR22912:SF215', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', NULL, NULL, NULL, 15),
(166556, NULL, 'PTHR22925:SF49', NULL, NULL, NULL, NULL, 'BETA-GLUCANASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(166557, NULL, 'PTHR46128:SF79', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(166558, NULL, 'PTHR10183:SF411', NULL, NULL, NULL, NULL, 'CALPAIN RELATED-RELATED', NULL, NULL, NULL, 15),
(166559, NULL, 'PTHR12751:SF20', NULL, NULL, NULL, NULL, 'PHOSPHATASE AND ACTIN REGULATOR 4A', NULL, NULL, 22456, 15),
(166560, NULL, 'PTHR35149:SF2', NULL, NULL, NULL, NULL, 'SLL5132 PROTEIN', NULL, NULL, NULL, 15),
(166561, NULL, 'PTHR10270:SF307', NULL, NULL, NULL, NULL, 'SOX DOMAIN-CONTAINING PROTEIN DICHAETE', NULL, NULL, NULL, 15),
(166562, NULL, 'PTHR23530', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166563, NULL, 'PTHR43520:SF4', NULL, NULL, NULL, NULL, 'P-TYPE ATPASE', NULL, NULL, NULL, 15),
(166564, NULL, 'PTHR34449:SF2', NULL, NULL, NULL, NULL, 'RHO TERMINATION FACTOR', NULL, NULL, NULL, 15),
(166565, NULL, 'PTHR31549:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166566, NULL, 'PTHR16517:SF116', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(166567, NULL, 'PTHR37705:SF9', NULL, NULL, NULL, NULL, 'BNAA03G50760D PROTEIN', NULL, NULL, NULL, 15),
(166568, NULL, 'PTHR47357:SF6', NULL, NULL, NULL, NULL, 'BNACNNG44890D PROTEIN', NULL, NULL, NULL, 15),
(166569, NULL, 'PTHR23207:SF2', NULL, NULL, NULL, NULL, 'CORNEODESMOSIN', NULL, NULL, NULL, 15),
(166570, NULL, 'PTHR42893:SF11', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 43', NULL, NULL, NULL, 15),
(166571, NULL, 'PTHR39338', NULL, NULL, NULL, NULL, 'BLL5662 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166572, NULL, 'PTHR31062:SF117', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(166573, NULL, 'PTHR31190:SF294', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', NULL, NULL, NULL, 15),
(166574, NULL, 'PTHR23339:SF55', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE TYPE IVA 1', NULL, NULL, NULL, 15),
(166575, NULL, 'PTHR32246:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166576, NULL, 'PTHR33790:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166577, NULL, 'PTHR13101', NULL, NULL, NULL, NULL, 'PHOSPHOMEVALONATE KINASE', NULL, NULL, 293, 15),
(166578, NULL, 'PTHR21700:SF39', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(166579, NULL, 'PTHR12363:SF46', NULL, NULL, NULL, NULL, 'IMPORTIN-13 HOMOLOG A', NULL, NULL, NULL, 15),
(166580, NULL, 'PTHR24006:SF786', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1-RELATED', NULL, NULL, NULL, 15),
(166581, NULL, 'PTHR46679:SF2', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN', NULL, NULL, NULL, 15),
(166582, NULL, 'PTHR30614:SF10', NULL, NULL, NULL, NULL, 'ARGININE ABC TRANSPORTER PERMEASE PROTEIN ARTM', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166583, NULL, 'PTHR31568:SF90', NULL, NULL, NULL, NULL, 'ADHESIVE/PROLINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(166584, NULL, 'PTHR43143:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE CPPED1', NULL, NULL, NULL, 15),
(166585, NULL, 'PTHR21662:SF55', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(166586, NULL, 'PTHR11371:SF28', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE-1-LIKE 1', NULL, NULL, NULL, 15),
(166587, NULL, 'PTHR43413:SF3', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN ASNC', NULL, NULL, NULL, 15),
(166588, NULL, 'PTHR35275', NULL, NULL, NULL, NULL, 'ZCF37', NULL, NULL, 39872, 15),
(166589, NULL, 'PTHR32246:SF28', NULL, NULL, NULL, NULL, 'LIPID-BINDING FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166590, NULL, 'PTHR24074:SF50', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166591, NULL, 'PTHR11829:SF137', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN I3', NULL, NULL, NULL, 15),
(166592, NULL, 'PTHR35299:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166593, NULL, 'PTHR25465:SF12', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 25,-LIKE', NULL, NULL, NULL, 15),
(166594, NULL, 'PTHR31451', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37719, 15),
(166595, NULL, 'PTHR45676:SF80', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL52-LIKE', NULL, NULL, NULL, 15),
(166596, NULL, 'PTHR27005:SF339', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166597, NULL, 'PTHR34710:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166598, NULL, 'PTHR10209:SF732', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(166599, NULL, 'PTHR31190:SF279', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 2', NULL, NULL, NULL, 15),
(166600, NULL, 'PTHR48006:SF4', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 8-LIKE', NULL, NULL, NULL, 15),
(166601, NULL, 'PTHR35490:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166602, NULL, 'PTHR11266:SF100', NULL, NULL, NULL, NULL, 'PXMP2/4 FAMILY PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(166603, NULL, 'PTHR33297:SF4', NULL, NULL, NULL, NULL, 'AMASTIN-LIKE SURFACE PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(166604, NULL, 'PTHR16675:SF139', NULL, NULL, NULL, NULL, 'MCG58238', NULL, NULL, NULL, 15),
(166605, NULL, 'PTHR43180:SF48', NULL, NULL, NULL, NULL, 'CHAIN ALCOHOL DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166606, NULL, 'PTHR10500:SF0', NULL, NULL, NULL, NULL, 'BETA-MICROSEMINOPROTEIN', NULL, NULL, NULL, 15),
(166607, NULL, 'PTHR34124', NULL, NULL, NULL, NULL, 'F16B3.27 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166608, NULL, 'PTHR15029:SF0', NULL, NULL, NULL, NULL, 'CAMPATH-1 ANTIGEN', NULL, NULL, NULL, 15),
(166609, NULL, 'PTHR34875:SF6', NULL, NULL, NULL, NULL, 'UPF0237 PROTEIN MJ1558', NULL, NULL, NULL, 15),
(166610, NULL, 'PTHR11071:SF503', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE E (CYCLOPHILIN E)', NULL, NULL, NULL, 15),
(166611, NULL, 'PTHR33186:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166612, NULL, 'PTHR31415:SF76', NULL, NULL, NULL, NULL, 'YLS9', NULL, NULL, NULL, 15),
(166613, NULL, 'PTHR45667:SF7', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(166614, NULL, 'PTHR13866:SF24', NULL, NULL, NULL, NULL, 'SPARC-LIKE 2', NULL, NULL, NULL, 15),
(166615, NULL, 'PTHR31851:SF41', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER HOMOLOG 2.1-LIKE', NULL, NULL, NULL, 15),
(166616, NULL, 'PTHR33052:SF106', NULL, NULL, NULL, NULL, 'OS03G0844850 PROTEIN', NULL, NULL, NULL, 15),
(166617, NULL, 'PTHR33057:SF156', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(166618, NULL, 'PTHR45676:SF128', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL54-LIKE', NULL, NULL, NULL, 15),
(166619, NULL, 'PTHR46473:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166620, NULL, 'PTHR35342', NULL, NULL, NULL, NULL, 'TRICARBOXYLIC TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(166621, NULL, 'PTHR31314:SF71', NULL, NULL, NULL, NULL, 'BNAA06G09420D PROTEIN', NULL, NULL, NULL, 15),
(166622, NULL, 'PTHR42735:SF2', NULL, NULL, NULL, NULL, 'SPHINGOSINE PHOSPHATE LYASE-RELATED', NULL, NULL, NULL, 15),
(166623, NULL, 'PTHR11254:SF300', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SMURF2', NULL, NULL, NULL, 15),
(166624, NULL, 'PTHR19290:SF52', NULL, NULL, NULL, NULL, 'CLASS E BASIC HELIX-LOOP-HELIX PROTEIN 22', NULL, NULL, 22168, 15),
(166625, NULL, 'PTHR15422:SF42', NULL, NULL, NULL, NULL, 'EUKARYOTIC CYTOCHROME B561 PROTEIN', NULL, NULL, NULL, 15),
(166626, NULL, 'PTHR31116:SF33', NULL, NULL, NULL, NULL, 'GMP SYNTHASE [GLUTAMINE-HYDROLYZING]-RELATED', NULL, NULL, NULL, 15),
(166627, NULL, 'PTHR47992:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166628, NULL, 'PTHR15454:SF56', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 7', NULL, NULL, NULL, 15),
(166629, NULL, 'PTHR45768:SF26', NULL, NULL, NULL, NULL, 'OS03G0149800 PROTEIN', NULL, NULL, NULL, 15),
(166630, NULL, 'PTHR40314', NULL, NULL, NULL, NULL, 'PROTEIN CBG09102-RELATED', NULL, NULL, NULL, 15),
(166631, NULL, 'PTHR45689', NULL, NULL, NULL, NULL, 'I[[H]] CHANNEL, ISOFORM E', NULL, NULL, NULL, 15),
(166632, NULL, 'PTHR46490:SF4', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 12 MEMBER A', NULL, NULL, NULL, 15),
(166633, NULL, 'PTHR23322:SF66', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 10-LIKE', NULL, NULL, NULL, 15),
(166634, NULL, 'PTHR11604:SF35', NULL, NULL, NULL, NULL, 'PROFILIN-5', NULL, NULL, NULL, 15),
(166635, NULL, 'PTHR12845:SF6', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 19', NULL, NULL, NULL, 15),
(166636, NULL, 'PTHR30085:SF7', NULL, NULL, NULL, NULL, 'AMINO-ACID ABC TRANSPORTER-BINDING PROTEIN YHDW-RELATED', NULL, NULL, NULL, 15),
(166637, NULL, 'PTHR24214:SF31', NULL, NULL, NULL, NULL, 'PROTEIN CBG01035', NULL, NULL, NULL, 15),
(166638, NULL, 'PTHR33159:SF15', NULL, NULL, NULL, NULL, 'OS04G0379600 PROTEIN', NULL, NULL, NULL, 15),
(166639, NULL, 'PTHR47682', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(166640, NULL, 'PTHR44366:SF3', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--PEPTIDE N-ACETYLGLUCOSAMINYLTRANSFERASE SEC ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(166641, NULL, 'PTHR15439:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166642, NULL, 'PTHR12894:SF33', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(166643, NULL, 'PTHR46266:SF8', NULL, NULL, NULL, NULL, 'BNAC09G11380D PROTEIN', NULL, NULL, NULL, 15),
(166644, NULL, 'PTHR12428:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166645, NULL, 'PTHR11359', NULL, NULL, NULL, NULL, 'AMP DEAMINASE', NULL, NULL, 4668, 15),
(166646, NULL, 'PTHR45716:SF1', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-LIKE PROTEIN 3', NULL, NULL, 24152, 15),
(166647, NULL, 'PTHR24253:SF71', NULL, NULL, NULL, NULL, 'ENTEROPEPTIDASE', NULL, NULL, NULL, 15),
(166648, NULL, 'PTHR16291', NULL, NULL, NULL, NULL, 'NUCLEAR CAP-BINDING PROTEIN SUBUNIT 3', NULL, NULL, 16863, 15),
(166649, NULL, 'PTHR37199:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(166650, NULL, 'PTHR13768:SF38', NULL, NULL, NULL, NULL, 'NSF ATTACHMENT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166651, NULL, 'PTHR46371:SF15', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', NULL, NULL, NULL, 15),
(166652, NULL, 'PTHR31313:SF79', NULL, NULL, NULL, NULL, 'C6 FINGER DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(166653, NULL, 'PTHR31232:SF29', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 13', NULL, NULL, NULL, 15),
(166654, NULL, 'PTHR31375:SF179', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', NULL, NULL, NULL, 15),
(166655, NULL, 'PTHR33172:SF56', NULL, NULL, NULL, NULL, 'BNAC03G67550D PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166656, NULL, 'PTHR13301:SF141', NULL, NULL, NULL, NULL, 'MIXED-LINKED GLUCAN SYNTHASE 7-RELATED', NULL, NULL, NULL, 15),
(166657, NULL, 'PTHR32003', NULL, NULL, NULL, NULL, 'PROTEIN FAM199X', NULL, NULL, 24502, 15),
(166658, NULL, 'PTHR46070', NULL, NULL, NULL, NULL, 'PINSTRIPE, ISOFORM A', NULL, NULL, NULL, 15),
(166659, NULL, 'PTHR44329:SF130', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE', NULL, NULL, NULL, 15),
(166660, NULL, 'PTHR11206:SF285', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(166661, NULL, 'PTHR11843:SF12', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15),
(166662, NULL, 'PTHR31474', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166663, NULL, 'PTHR19282:SF472', NULL, NULL, NULL, NULL, 'BNAA05G35820D PROTEIN', NULL, NULL, NULL, 15),
(166664, NULL, 'PTHR19957:SF331', NULL, NULL, NULL, NULL, 'SYNTAXIN-51-LIKE', NULL, NULL, NULL, 15),
(166665, NULL, 'PTHR19302:SF59', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT', NULL, NULL, NULL, 15),
(166666, NULL, 'PTHR22953:SF114', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 25-RELATED', NULL, NULL, NULL, 15),
(166667, NULL, 'PTHR19876:SF41', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(166668, NULL, 'PTHR10362:SF7', NULL, NULL, NULL, NULL, 'HISTIDINE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(166669, NULL, 'PTHR27007:SF288', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166670, NULL, 'PTHR14690:SF9', NULL, NULL, NULL, NULL, 'GH08353P', NULL, NULL, NULL, 15),
(166671, NULL, 'PTHR33912:SF3', NULL, NULL, NULL, NULL, 'OS01G0939400 PROTEIN', NULL, NULL, NULL, 15),
(166672, NULL, 'PTHR46290:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166673, NULL, 'PTHR13155', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEINS', NULL, NULL, NULL, 15),
(166674, NULL, 'PTHR15863:SF2', NULL, NULL, NULL, NULL, 'MRN COMPLEX-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(166675, NULL, 'PTHR14155:SF557', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166676, NULL, 'PTHR47782:SF8', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(166677, NULL, 'PTHR23002:SF107', NULL, NULL, NULL, NULL, 'CELLULAR NUCLEIC ACID-BINDING PROTEIN', NULL, NULL, NULL, 15),
(166678, NULL, 'PTHR40289:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04714', NULL, NULL, NULL, 15),
(166679, NULL, 'PTHR30335:SF0', NULL, NULL, NULL, NULL, 'ION-TRANSLOCATING OXIDOREDUCTASE COMPLEX SUBUNIT A', NULL, NULL, NULL, 15),
(166680, NULL, 'PTHR11260:SF575', NULL, NULL, NULL, NULL, 'OS01G0950000 PROTEIN', NULL, NULL, NULL, 15),
(166681, NULL, 'PTHR28019:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_6G07470)', NULL, NULL, NULL, 15),
(166682, NULL, 'PTHR48017:SF9', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166683, NULL, 'PTHR42695:SF7', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYL PEPTIDASE 1', NULL, NULL, NULL, 15),
(166684, NULL, 'PTHR13710:SF84', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE RECS-RELATED', NULL, NULL, NULL, 15),
(166685, NULL, 'PTHR13780:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166686, NULL, 'PTHR32246:SF24', NULL, NULL, NULL, NULL, 'OS07G0670200 PROTEIN', NULL, NULL, NULL, 15),
(166687, NULL, 'PTHR24346:SF30', NULL, NULL, NULL, NULL, 'KP78A-RELATED', NULL, NULL, NULL, 15),
(166688, NULL, 'PTHR12668:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14A', NULL, NULL, NULL, 15),
(166689, NULL, 'PTHR23021:SF26', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(166690, NULL, 'PTHR47538', NULL, NULL, NULL, NULL, 'PERILIPIN 4', NULL, NULL, NULL, 15),
(166691, NULL, 'PTHR47975:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166692, NULL, 'PTHR35632:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166693, NULL, 'PTHR39673', NULL, NULL, NULL, NULL, 'TUNGSTEN FORMYLMETHANOFURAN DEHYDROGENASE, SUBUNIT C (FWDC)', NULL, NULL, NULL, 15),
(166694, NULL, 'PTHR26452:SF821', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(166695, NULL, 'PTHR31325:SF207', NULL, NULL, NULL, NULL, 'OS08G0149333 PROTEIN', NULL, NULL, NULL, 15),
(166696, NULL, 'PTHR43070:SF9', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ASPARTOKINASE/HOMOSERINE DEHYDROGENASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(166697, NULL, 'PTHR24296:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166698, NULL, 'PTHR16517:SF97', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(166699, NULL, 'PTHR45787:SF10', NULL, NULL, NULL, NULL, 'BEADEX, ISOFORM D', NULL, NULL, NULL, 15),
(166700, NULL, 'PTHR10621:SF42', NULL, NULL, NULL, NULL, 'BNAC05G12320D PROTEIN', NULL, NULL, NULL, 15),
(166701, NULL, 'PTHR44137:SF19', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(166702, NULL, 'PTHR48047:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(166703, NULL, 'PTHR12236:SF79', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 50CB', NULL, NULL, NULL, 15),
(166704, NULL, 'PTHR20883:SF34', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE', NULL, NULL, NULL, 15),
(166705, NULL, 'PTHR46665:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH041-RELATED', NULL, NULL, NULL, 15),
(166706, NULL, 'PTHR24637:SF266', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(166707, NULL, 'PTHR11214:SF153', NULL, NULL, NULL, NULL, 'UDP-GALNAC:BETA-1,3-N-ACETYLGALACTOSAMINYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(166708, NULL, 'PTHR31081:SF8', NULL, NULL, NULL, NULL, 'OS12G0503300 PROTEIN', NULL, NULL, NULL, 15),
(166709, NULL, 'PTHR18063:SF16', NULL, NULL, NULL, NULL, 'OS06G0718800 PROTEIN', NULL, NULL, NULL, 15),
(166710, NULL, 'PTHR32176:SF68', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(166711, NULL, 'PTHR10826:SF35', NULL, NULL, NULL, NULL, 'BNAC03G15060D PROTEIN', NULL, NULL, NULL, 15),
(166712, NULL, 'PTHR16093:SF6', NULL, NULL, NULL, NULL, 'INNATE IMMUNITY ACTIVATOR B', NULL, NULL, NULL, 15),
(166713, NULL, 'PTHR34276', NULL, NULL, NULL, NULL, 'MINI-RIBONUCLEASE 3', NULL, NULL, NULL, 15),
(166714, NULL, 'PTHR39174', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, 9584, 15),
(166715, NULL, 'PTHR11670:SF43', NULL, NULL, NULL, NULL, '2-METHYLCITRATE DEHYDRATASE (2-METHYL-TRANS-ACONITATE FORMING)', NULL, NULL, 11885, 15),
(166716, NULL, 'PTHR43900:SF83', NULL, NULL, NULL, NULL, 'BNAA08G27280D PROTEIN', NULL, NULL, NULL, 15),
(166717, NULL, 'PTHR10578:SF134', NULL, NULL, NULL, NULL, 'BNAA07G39260D PROTEIN', NULL, NULL, NULL, 15),
(166718, NULL, 'PTHR23500:SF14', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN 14', NULL, NULL, NULL, 15),
(166719, NULL, 'PTHR45589:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 62, ISOFORM G', NULL, NULL, NULL, 15),
(166720, NULL, 'PTHR43396:SF1', NULL, NULL, NULL, NULL, 'FLAVOHEMOPROTEIN B', NULL, NULL, NULL, 15),
(166721, NULL, 'PTHR11062:SF292', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX10-RELATED', NULL, NULL, NULL, 15),
(166722, NULL, 'PTHR32011:SF8', NULL, NULL, NULL, NULL, 'BNAC08G21750D PROTEIN', NULL, NULL, NULL, 15),
(166723, NULL, 'PTHR43507:SF8', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE CHAIN 4-2', NULL, NULL, NULL, 15),
(166724, NULL, 'PTHR43822:SF9', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE', NULL, NULL, NULL, 15),
(166725, NULL, 'PTHR10340:SF52', NULL, NULL, NULL, NULL, 'SPHINGOMYELINASE PHOSPHODIESTERASE D', NULL, NULL, NULL, 15),
(166726, NULL, 'PTHR43204', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 6, CHLOROPLASTIC', NULL, NULL, 4275, 15),
(166727, NULL, 'PTHR18952:SF82', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 1', NULL, NULL, 18926, 15),
(166728, NULL, 'PTHR34198:SF12', NULL, NULL, NULL, NULL, 'BNAA05G35680D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166729, NULL, 'PTHR26450:SF154', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51B4', NULL, NULL, NULL, 15),
(166730, NULL, 'PTHR47999:SF10', NULL, NULL, NULL, NULL, 'MYB DOMAIN CLASS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(166731, NULL, 'PTHR11538:SF41', NULL, NULL, NULL, NULL, 'PHENYLALANINE--TRNA LIGASE, MITOCHONDRIAL', NULL, NULL, 1849, 15),
(166732, NULL, 'PTHR10177:SF434', NULL, NULL, NULL, NULL, 'CYCLIN-A2-4', NULL, NULL, NULL, 15),
(166733, NULL, 'PTHR18945:SF335', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT ALPHA-6', NULL, NULL, NULL, 15),
(166734, NULL, 'PTHR11504:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(166735, NULL, 'PTHR12960:SF0', NULL, NULL, NULL, NULL, 'NUCLEOPORIN GLE1', NULL, NULL, NULL, 15),
(166736, NULL, 'PTHR16223', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH83-RELATED', NULL, NULL, NULL, 15),
(166737, NULL, 'PTHR36016:SF7', NULL, NULL, NULL, NULL, 'BNAA04G18030D PROTEIN', NULL, NULL, NULL, 15),
(166738, NULL, 'PTHR24298:SF137', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 93G1', NULL, NULL, NULL, 15),
(166739, NULL, 'PTHR10281:SF87', NULL, NULL, NULL, NULL, 'METABOLISM-RELATED PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166740, NULL, 'PTHR45644:SF44', NULL, NULL, NULL, NULL, 'BNAA08G07900D PROTEIN', NULL, NULL, NULL, 15),
(166741, NULL, 'PTHR31251:SF77', NULL, NULL, NULL, NULL, '1 PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166742, NULL, 'PTHR11003:SF296', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(166743, NULL, 'PTHR24365:SF542', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 2', NULL, NULL, NULL, 15),
(166744, NULL, 'PTHR10196:SF68', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE 5-RELATED', NULL, NULL, NULL, 15),
(166745, NULL, 'PTHR15336:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(166746, NULL, 'PTHR43939:SF47', NULL, NULL, NULL, NULL, 'PREFOLDIN', NULL, NULL, NULL, 15),
(166747, NULL, 'PTHR31642:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166748, NULL, 'PTHR43370:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(166749, NULL, 'PTHR34222', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166750, NULL, 'PTHR42867', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166751, NULL, 'PTHR33307:SF5', NULL, NULL, NULL, NULL, 'ALFA-L-RHAMNOSIDASE', NULL, NULL, NULL, 15),
(166752, NULL, 'PTHR24373:SF313', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166753, NULL, 'PTHR31235:SF299', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(166754, NULL, 'PTHR31080:SF110', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 3', NULL, NULL, NULL, 15),
(166755, NULL, 'PTHR11430:SF1', NULL, NULL, NULL, NULL, 'EPIDIDYMAL-SPECIFIC LIPOCALIN-8', NULL, NULL, NULL, 15),
(166756, NULL, 'PTHR31859:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166757, NULL, 'PTHR12622:SF35', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DTX3-RELATED', NULL, NULL, NULL, 15),
(166758, NULL, 'PTHR13723:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166759, NULL, 'PTHR39654:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 75B', NULL, NULL, NULL, 15),
(166760, NULL, 'PTHR33270:SF35', NULL, NULL, NULL, NULL, 'BNAC02G20240D PROTEIN', NULL, NULL, NULL, 15),
(166761, NULL, 'PTHR12931:SF32', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE', NULL, NULL, NULL, 15),
(166762, NULL, 'PTHR11088:SF41', NULL, NULL, NULL, NULL, 'ADENYLATE ISOPENTENYLTRANSFERASE', NULL, NULL, NULL, 15),
(166763, NULL, 'PTHR34052', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN-LIKE', NULL, NULL, NULL, 15),
(166764, NULL, 'PTHR34568:SF6', NULL, NULL, NULL, NULL, 'BNAA04G05660D PROTEIN', NULL, NULL, NULL, 15),
(166765, NULL, 'PTHR13048:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PARTICLE COMPLEX SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166766, NULL, 'PTHR14879:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166767, NULL, 'PTHR19919:SF3', NULL, NULL, NULL, NULL, 'SEVEN WD REPEATS, AN11 FAMILY', NULL, NULL, NULL, 15),
(166768, NULL, 'PTHR31916:SF36', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE E, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(166769, NULL, 'PTHR30511', NULL, NULL, NULL, NULL, 'ALANINE RACEMASE', NULL, NULL, NULL, 15),
(166770, NULL, 'PTHR10218:SF215', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-17 SUBUNIT', NULL, NULL, NULL, 15),
(166771, NULL, 'PTHR10913:SF45', NULL, NULL, NULL, NULL, 'MIP10102P-RELATED', NULL, NULL, NULL, 15),
(166772, NULL, 'PTHR23183', NULL, NULL, NULL, NULL, 'NOP14', NULL, NULL, 7261, 15),
(166773, NULL, 'PTHR31221:SF255', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 71-RELATED', NULL, NULL, NULL, 15),
(166774, NULL, 'PTHR31241', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 2C', NULL, NULL, NULL, 15),
(166775, NULL, 'PTHR45614:SF127', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166776, NULL, 'PTHR22829:SF7', NULL, NULL, NULL, NULL, 'SI:DKEYP-97E7.9', NULL, NULL, NULL, 15),
(166777, NULL, 'PTHR48047:SF113', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(166778, NULL, 'PTHR35546:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166779, NULL, 'PTHR37313:SF2', NULL, NULL, NULL, NULL, 'UPF0749 PROTEIN RV1825', NULL, NULL, NULL, 15),
(166780, NULL, 'PTHR34567:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166781, NULL, 'PTHR45638:SF10', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE GATED CHANNEL', NULL, NULL, NULL, 15),
(166782, NULL, 'PTHR31332:SF6', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(166783, NULL, 'PTHR12817:SF3', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 6B', NULL, NULL, NULL, 15),
(166784, NULL, 'PTHR23424:SF23', NULL, NULL, NULL, NULL, 'PROTEIN SAAL1', NULL, NULL, NULL, 15),
(166785, NULL, 'PTHR37488:SF2', NULL, NULL, NULL, NULL, 'DUF1275 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(166786, NULL, 'PTHR31989:SF345', NULL, NULL, NULL, NULL, 'OS02G0643600 PROTEIN', NULL, NULL, NULL, 15),
(166787, NULL, 'PTHR30154:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR AZLB', NULL, NULL, NULL, 15),
(166788, NULL, 'PTHR33048:SF112', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(166789, NULL, 'PTHR13505', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 208', NULL, NULL, 12302, 15),
(166790, NULL, 'PTHR19332:SF9', NULL, NULL, NULL, NULL, 'OS07G0152800 PROTEIN', NULL, NULL, NULL, 15),
(166791, NULL, 'PTHR22970', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(166792, NULL, 'PTHR18929:SF206', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 1-3', NULL, NULL, NULL, 15),
(166793, NULL, 'PTHR35849:SF2', NULL, NULL, NULL, NULL, 'BLR2341 PROTEIN', NULL, NULL, NULL, 15),
(166794, NULL, 'PTHR45707:SF41', NULL, NULL, NULL, NULL, 'ANTHRANILATE PHOSPHORIBOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(166795, NULL, 'PTHR10663:SF108', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 1', NULL, NULL, NULL, 15),
(166796, NULL, 'PTHR22793:SF11', NULL, NULL, NULL, NULL, 'MYOCARDIN', NULL, NULL, 23102, 15),
(166797, NULL, 'PTHR16551:SF5', NULL, NULL, NULL, NULL, 'AGOUTI-RELATED PEPTIDE 2', NULL, NULL, NULL, 15),
(166798, NULL, 'PTHR14096:SF1', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(166799, NULL, 'PTHR11063:SF16', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(166800, NULL, 'PTHR15511:SF2', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 13B', NULL, NULL, NULL, 15),
(166801, NULL, 'PTHR43133:SF31', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGW', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166802, NULL, 'PTHR11566:SF195', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN DNM1', NULL, NULL, NULL, 15),
(166803, NULL, 'PTHR43920', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL, ISOFORM A', NULL, NULL, NULL, 15),
(166804, NULL, 'PTHR11601:SF34', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURASE, MITOCHONDRIAL', NULL, NULL, 5253, 15),
(166805, NULL, 'PTHR41533', NULL, NULL, NULL, NULL, 'L,D-TRANSPEPTIDASE HI_1667-RELATED', NULL, NULL, NULL, 15),
(166806, NULL, 'PTHR11254:SF310', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NEDD4-LIKE', NULL, NULL, NULL, 15),
(166807, NULL, 'PTHR43649:SF6', NULL, NULL, NULL, NULL, 'SLR1865 PROTEIN', NULL, NULL, NULL, 15),
(166808, NULL, 'PTHR31722:SF50', NULL, NULL, NULL, NULL, 'BNAC08G22030D PROTEIN', NULL, NULL, NULL, 15),
(166809, NULL, 'PTHR15710:SF141', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL36-RELATED', NULL, NULL, NULL, 15),
(166810, NULL, 'PTHR11961:SF29', NULL, NULL, NULL, NULL, 'CYTOCHROME C', NULL, NULL, NULL, 15),
(166811, NULL, 'PTHR26454:SF3', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(166812, NULL, 'PTHR23073:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG20339', NULL, NULL, NULL, 15),
(166813, NULL, 'PTHR43031', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(166814, NULL, 'PTHR34545:SF11', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 21', NULL, NULL, NULL, 15),
(166815, NULL, 'PTHR43880:SF28', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(166816, NULL, 'PTHR46796:SF5', NULL, NULL, NULL, NULL, 'ARAC SUBFAMILY', NULL, NULL, NULL, 15),
(166817, NULL, 'PTHR13763:SF6', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED RING DOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(166818, NULL, 'PTHR20934:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(166819, NULL, 'PTHR15907:SF181', NULL, NULL, NULL, NULL, 'PLAC8 MOTIF-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166820, NULL, 'PTHR35291:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166821, NULL, 'PTHR43880:SF46', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE CLASS-3', NULL, NULL, NULL, 15),
(166822, NULL, 'PTHR13774:SF19', NULL, NULL, NULL, NULL, 'OS03G0434400 PROTEIN', NULL, NULL, NULL, 15),
(166823, NULL, 'PTHR24186:SF8', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(166824, NULL, 'PTHR12900:SF3', NULL, NULL, NULL, NULL, 'CHECKPOINT PROTEIN HUS1B', NULL, NULL, NULL, 15),
(166825, NULL, 'PTHR34996:SF2', NULL, NULL, NULL, NULL, 'OS02G0193732 PROTEIN', NULL, NULL, NULL, 15),
(166826, NULL, 'PTHR10108:SF1086', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(166827, NULL, 'PTHR42798:SF4', NULL, NULL, NULL, NULL, 'TRANSPORTER, ATP-BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166828, NULL, 'PTHR31213:SF55', NULL, NULL, NULL, NULL, 'STRESS-INDUCED PROTEIN SAM22', NULL, NULL, NULL, 15),
(166829, NULL, 'PTHR45652:SF14', NULL, NULL, NULL, NULL, 'PERIPHERIN', NULL, NULL, 26744, 15),
(166830, NULL, 'PTHR30420:SF2', NULL, NULL, NULL, NULL, 'N-SUCCINYLARGININE DIHYDROLASE', NULL, NULL, NULL, 15),
(166831, NULL, 'PTHR47793', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT CTI6', NULL, NULL, NULL, 15),
(166832, NULL, 'PTHR45696:SF13', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1', NULL, NULL, NULL, 15),
(166833, NULL, 'PTHR41791', NULL, NULL, NULL, NULL, 'SSL7039 PROTEIN', NULL, NULL, 13678, 15),
(166834, NULL, 'PTHR14292:SF2', NULL, NULL, NULL, NULL, 'INTERLEUKIN-18-BINDING PROTEIN', NULL, NULL, NULL, 15),
(166835, NULL, 'PTHR11334:SF26', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER E', NULL, NULL, 28750, 15),
(166836, NULL, 'PTHR35870:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03330)-RELATED', NULL, NULL, NULL, 15),
(166837, NULL, 'PTHR23266:SF241', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-30-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166838, NULL, 'PTHR11206:SF392', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(166839, NULL, 'PTHR24031:SF223', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE GLH-4', NULL, NULL, NULL, 15),
(166840, NULL, 'PTHR21700:SF51', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(166841, NULL, 'PTHR12112:SF47', NULL, NULL, NULL, NULL, 'EXOPOLYPHOSPHATASE PRUNE1', NULL, NULL, NULL, 15),
(166842, NULL, 'PTHR24161:SF57', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 55', NULL, NULL, NULL, 15),
(166843, NULL, 'PTHR46483', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1 PLIP2, CHLOROPLASTIC', NULL, NULL, 36730, 15),
(166844, NULL, 'PTHR11097:SF27', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE NUCLEOTIDYLTRANSFERASE, PNPASE/RNASE PH DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166845, NULL, 'PTHR24007:SF7', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(166846, NULL, 'PTHR21450:SF17', NULL, NULL, NULL, NULL, 'OS09G0542500 PROTEIN', NULL, NULL, NULL, 15),
(166847, NULL, 'PTHR31311:SF8', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(166848, NULL, 'PTHR31985:SF86', NULL, NULL, NULL, NULL, 'OS02G0781300 PROTEIN', NULL, NULL, NULL, 15),
(166849, NULL, 'PTHR24221:SF543', NULL, NULL, NULL, NULL, 'FINGER-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166850, NULL, 'PTHR47293:SF13', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 45', NULL, NULL, NULL, 15),
(166851, NULL, 'PTHR45745:SF2', NULL, NULL, NULL, NULL, 'GLUCOSE 1,6-BISPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(166852, NULL, 'PTHR23284:SF2', NULL, NULL, NULL, NULL, 'SEC12-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(166853, NULL, 'PTHR10693:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166854, NULL, 'PTHR10849', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE  UBIQUINONE  IRON-SULFUR PROTEIN 8, MITOCHONDRIAL', NULL, NULL, 4126, 15),
(166855, NULL, 'PTHR10404:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166856, NULL, 'PTHR22588', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(166857, NULL, 'PTHR11706:SF83', NULL, NULL, NULL, NULL, 'ETHYLENE-INSENSITIVE PROTEIN 2', NULL, NULL, NULL, 15),
(166858, NULL, 'PTHR36956:SF2', NULL, NULL, NULL, NULL, 'UTERINE LUMIN EXPRESSED/LOCAILIZED', NULL, NULL, NULL, 15),
(166859, NULL, 'PTHR23070:SF123', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(166860, NULL, 'PTHR36766:SF3', NULL, NULL, NULL, NULL, 'PLANT BROAD-SPECTRUM MILDEW RESISTANCE PROTEIN RPW8', NULL, NULL, NULL, 15),
(166861, NULL, 'PTHR43880:SF39', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE 3', NULL, NULL, NULL, 15),
(166862, NULL, 'PTHR10366:SF672', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166863, NULL, 'PTHR13803:SF34', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC24-LIKE CEF', NULL, NULL, NULL, 15),
(166864, NULL, 'PTHR23240:SF30', NULL, NULL, NULL, NULL, 'DNA CROSS-LINK REPAIR PROTEIN SNM1', NULL, NULL, NULL, 15),
(166865, NULL, 'PTHR45923:SF17', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG', NULL, NULL, NULL, 15),
(166866, NULL, 'PTHR14000:SF12', NULL, NULL, NULL, NULL, 'BNAC08G14560D PROTEIN', NULL, NULL, NULL, 15),
(166867, NULL, 'PTHR19871:SF19', NULL, NULL, NULL, NULL, 'QUININE NON-AVOIDER', NULL, NULL, NULL, 15),
(166868, NULL, 'PTHR24068:SF352', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME 15', NULL, NULL, NULL, 15),
(166869, NULL, 'PTHR47990:SF122', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 4', NULL, NULL, NULL, 15),
(166870, NULL, 'PTHR11824:SF5', NULL, NULL, NULL, NULL, 'CA2+-CHANNEL-PROTEIN-BETA-SUBUNIT, ISOFORM L', NULL, NULL, NULL, 15),
(166871, NULL, 'PTHR11177:SF248', NULL, NULL, NULL, NULL, 'CHITOTRIOSIDASE-1', NULL, NULL, NULL, 15),
(166872, NULL, 'PTHR24419:SF7', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE 3', NULL, NULL, 36363, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166873, NULL, 'PTHR11417:SF13', NULL, NULL, NULL, NULL, 'GROWTH HORMONE D9', NULL, NULL, NULL, 15),
(166874, NULL, 'PTHR31589:SF98', NULL, NULL, NULL, NULL, 'PEPTIDASE, PUTATIVE (DUF239)-RELATED', NULL, NULL, NULL, 15),
(166875, NULL, 'PTHR24339:SF28', NULL, NULL, NULL, NULL, 'INTERMEDIATE NEUROBLASTS DEFECTIVE', NULL, NULL, NULL, 15),
(166876, NULL, 'PTHR31815:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 200C', NULL, NULL, NULL, 15),
(166877, NULL, 'PTHR45982:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166878, NULL, 'PTHR11407:SF27', NULL, NULL, NULL, NULL, '9530003J23RIK PROTEIN', NULL, NULL, NULL, 15),
(166879, NULL, 'PTHR12297:SF12', NULL, NULL, NULL, NULL, 'HIG1 HYPOXIA-INDUCIBLE DOMAIN FAMILY MEMBER 1C', NULL, NULL, NULL, 15),
(166880, NULL, 'PTHR19282:SF421', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(166881, NULL, 'PTHR22884:SF488', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(166882, NULL, 'PTHR48049:SF27', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(166883, NULL, 'PTHR31549:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166884, NULL, 'PTHR12748:SF0', NULL, NULL, NULL, NULL, 'ORIGIN RECOGNITION COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(166885, NULL, 'PTHR47091', NULL, NULL, NULL, NULL, 'ALPHA-PROTEIN KINASE 2-RELATED', NULL, NULL, NULL, 15),
(166886, NULL, 'PTHR24216:SF11', NULL, NULL, NULL, NULL, 'PAXILLIN', NULL, NULL, 2179, 15),
(166887, NULL, 'PTHR23140:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166888, NULL, 'PTHR11829:SF209', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN B1', NULL, NULL, NULL, 15),
(166889, NULL, 'PTHR13633:SF3', NULL, NULL, NULL, NULL, 'SIMILAR TO PROTEIN C6ORF203', NULL, NULL, NULL, 15),
(166890, NULL, 'PTHR33107:SF49', NULL, NULL, NULL, NULL, 'BNAANNG20120D PROTEIN', NULL, NULL, NULL, 15),
(166891, NULL, 'PTHR23115:SF255', NULL, NULL, NULL, NULL, 'HBS1-LIKE PROTEIN ISOFORM X1', NULL, NULL, NULL, 15),
(166892, NULL, 'PTHR15056:SF0', NULL, NULL, NULL, NULL, 'ACTIVATOR OF APOPTOSIS HARAKIRI', NULL, NULL, NULL, 15),
(166893, NULL, 'PTHR12394', NULL, NULL, NULL, NULL, 'ZYGIN', NULL, NULL, 10647, 15),
(166894, NULL, 'PTHR33232:SF12', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(166895, NULL, 'PTHR41401:SF1', NULL, NULL, NULL, NULL, 'RGD1559909', NULL, NULL, NULL, 15),
(166896, NULL, 'PTHR24117:SF6', NULL, NULL, NULL, NULL, 'BCL-6 COREPRESSOR-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(166897, NULL, 'PTHR33386:SF28', NULL, NULL, NULL, NULL, 'BNAA06G20790D PROTEIN', NULL, NULL, NULL, 15),
(166898, NULL, 'PTHR16062', NULL, NULL, NULL, NULL, 'SWI/SNF-RELATED', NULL, NULL, 31689, 15),
(166899, NULL, 'PTHR42715:SF3', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE B', NULL, NULL, NULL, 15),
(166900, NULL, 'PTHR46463', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE', NULL, NULL, NULL, 15),
(166901, NULL, 'PTHR46508:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166902, NULL, 'PTHR33199:SF16', NULL, NULL, NULL, NULL, 'MEMBRANE ATTACK COMPLEX COMPONENT/PERFORIN (MACPF) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166903, NULL, 'PTHR11728:SF7', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(166904, NULL, 'PTHR47926:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166905, NULL, 'PTHR28242:SF47', NULL, NULL, NULL, NULL, 'HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 1', NULL, NULL, NULL, 15),
(166906, NULL, 'PTHR32080:SF42', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 5', NULL, NULL, NULL, 15),
(166907, NULL, 'PTHR10768', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L37', NULL, NULL, NULL, 15),
(166908, NULL, 'PTHR10177:SF227', NULL, NULL, NULL, NULL, 'CYCLIN-D1-1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(166909, NULL, 'PTHR12655:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG14719', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166910, NULL, 'PTHR47991:SF53', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE', NULL, NULL, NULL, 15),
(166911, NULL, 'PTHR28285:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BIG1', NULL, NULL, NULL, 15),
(166912, NULL, 'PTHR20835', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PPP1R11-RELATED', NULL, NULL, 11005, 15),
(166913, NULL, 'PTHR13693:SF88', NULL, NULL, NULL, NULL, 'LONG CHAIN BASE BIOSYNTHESIS 2A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(166914, NULL, 'PTHR13252:SF1', NULL, NULL, NULL, NULL, 'DAMPENED, ISOFORM A', NULL, NULL, NULL, 15),
(166915, NULL, 'PTHR11480:SF86', NULL, NULL, NULL, NULL, 'BNACNNG40660D PROTEIN', NULL, NULL, NULL, 15),
(166916, NULL, 'PTHR31072:SF161', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, TCP-RELATED', NULL, NULL, NULL, 15),
(166917, NULL, 'PTHR33138:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166918, NULL, 'PTHR45619:SF40', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(166919, NULL, 'PTHR23017:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(166920, NULL, 'PTHR45957:SF2', NULL, NULL, NULL, NULL, 'BNAC04G32030D PROTEIN', NULL, NULL, NULL, 15),
(166921, NULL, 'PTHR35165:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166922, NULL, 'PTHR21522:SF34', NULL, NULL, NULL, NULL, 'OTOPETRIN-LIKE', NULL, NULL, NULL, 15),
(166923, NULL, 'PTHR48062:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE MSL1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(166924, NULL, 'PTHR24388:SF63', NULL, NULL, NULL, NULL, 'ZGC:153635', NULL, NULL, NULL, 15),
(166925, NULL, 'PTHR47024:SF2', NULL, NULL, NULL, NULL, 'BIOFILM ABSENT ON HEAD (AFTER YERSINIA EXPOSURE)', NULL, NULL, NULL, 15),
(166926, NULL, 'PTHR18929:SF222', NULL, NULL, NULL, NULL, 'DISULFIDE ISOMERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166927, NULL, 'PTHR35872:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166928, NULL, 'PTHR31096:SF52', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR6-LIKE', NULL, NULL, NULL, 15),
(166929, NULL, 'PTHR32208:SF73', NULL, NULL, NULL, NULL, 'GLYOXAL OXIDASE-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166930, NULL, 'PTHR45630:SF5', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(166931, NULL, 'PTHR20953:SF3', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(166932, NULL, 'PTHR13018:SF114', NULL, NULL, NULL, NULL, 'RE44586P', NULL, NULL, NULL, 15),
(166933, NULL, 'PTHR23106', NULL, NULL, NULL, NULL, 'ANGIOGENIC FACTOR WITH G PATCH AND FHA DOMAINS 1', NULL, NULL, NULL, 15),
(166934, NULL, 'PTHR45660:SF62', NULL, NULL, NULL, NULL, 'BNAC04G11240D PROTEIN', NULL, NULL, NULL, 15),
(166935, NULL, 'PTHR31429:SF93', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166936, NULL, 'PTHR36982:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 18', NULL, NULL, NULL, 15),
(166937, NULL, 'PTHR11913:SF59', NULL, NULL, NULL, NULL, 'DEPOLYMERIZING FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166938, NULL, 'PTHR16223:SF141', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH130-LIKE', NULL, NULL, NULL, 15),
(166939, NULL, 'PTHR24034:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166940, NULL, 'PTHR44067:SF13', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(166941, NULL, 'PTHR22984:SF23', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIM-2', NULL, NULL, NULL, 15),
(166942, NULL, 'PTHR11439:SF252', NULL, NULL, NULL, NULL, 'TRANSPOSON TY4-H GAG POLYPROTEIN-RELATED', NULL, NULL, NULL, 15),
(166943, NULL, 'PTHR43086:SF2', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(166944, NULL, 'PTHR19317:SF71', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166945, NULL, 'PTHR22603:SF80', NULL, NULL, NULL, NULL, 'BNAC06G07990D PROTEIN', NULL, NULL, NULL, 15),
(166946, NULL, 'PTHR46224:SF12', NULL, NULL, NULL, NULL, 'OS03G0680300 PROTEIN', NULL, NULL, NULL, 15),
(166947, NULL, 'PTHR46336:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166948, NULL, 'PTHR41391:SF1', NULL, NULL, NULL, NULL, 'RESTRICTION OF TELOMERE CAPPING PROTEIN 4', NULL, NULL, NULL, 15),
(166949, NULL, 'PTHR31871:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166950, NULL, 'PTHR33698:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2)-LIKE PROTEIN', NULL, NULL, NULL, 15),
(166951, NULL, 'PTHR14208:SF0', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER AND W2 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(166952, NULL, 'PTHR46691:SF6', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(166953, NULL, 'PTHR46472:SF1', NULL, NULL, NULL, NULL, 'NUCLEOREDOXIN', NULL, NULL, NULL, 15),
(166954, NULL, 'PTHR18966:SF489', NULL, NULL, NULL, NULL, 'RECEPTOR 3.3, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166955, NULL, 'PTHR47159:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG11491', NULL, NULL, NULL, 15),
(166956, NULL, 'PTHR46267:SF11', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING FACTOR 2', NULL, NULL, NULL, 15),
(166957, NULL, 'PTHR24247:SF30', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 2A', NULL, NULL, 6800, 15),
(166958, NULL, 'PTHR13199:SF17', NULL, NULL, NULL, NULL, 'MEIOSIS CHROMOSOME SEGREGATION FAMILY PROTEIN', NULL, NULL, NULL, 15),
(166959, NULL, 'PTHR45895:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166960, NULL, 'PTHR11315:SF0', NULL, NULL, NULL, NULL, 'FOLATE GAMMA-GLUTAMYL HYDROLASE', NULL, NULL, NULL, 15),
(166961, NULL, 'PTHR12668:SF37', NULL, NULL, NULL, NULL, 'PROTEIN FATTY ACID EXPORT 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(166962, NULL, 'PTHR26312:SF148', NULL, NULL, NULL, NULL, 'BNAC05G00170D PROTEIN', NULL, NULL, NULL, 15),
(166963, NULL, 'PTHR12047:SF2', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP A PROTEIN', NULL, NULL, NULL, 15),
(166964, NULL, 'PTHR10796:SF94', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(166965, NULL, 'PTHR43000:SF27', NULL, NULL, NULL, NULL, 'DTDP-GLUCOSE 4,6-DEHYDRATASE 2', NULL, NULL, NULL, 15),
(166966, NULL, 'PTHR33680:SF4', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(166967, NULL, 'PTHR24416:SF559', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166968, NULL, 'PTHR34589:SF1', NULL, NULL, NULL, NULL, 'SPINDLIN INTERACTOR AND REPRESSOR OF CHROMATIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(166969, NULL, 'PTHR37391:SF7', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(166970, NULL, 'PTHR32285:SF169', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(166971, NULL, 'PTHR23257:SF752', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0275165-RELATED', NULL, NULL, NULL, 15),
(166972, NULL, 'PTHR24058:SF113', NULL, NULL, NULL, NULL, 'HYPOTHETICAL SER-THR PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(166973, NULL, 'PTHR10288:SF263', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(166974, NULL, 'PTHR22745:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166975, NULL, 'PTHR46704:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166976, NULL, 'PTHR10783', NULL, NULL, NULL, NULL, 'XENOTROPIC AND POLYTROPIC RETROVIRUS RECEPTOR 1-RELATED', NULL, NULL, NULL, 15),
(166977, NULL, 'PTHR23418:SF14', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE', NULL, NULL, NULL, 15),
(166978, NULL, 'PTHR12879:SF14', NULL, NULL, NULL, NULL, 'SPHINGOLIPID DELTA(4)-DESATURASE/C4-MONOOXYGENASE DES2', NULL, NULL, NULL, 15),
(166979, NULL, 'PTHR10102:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(166980, NULL, 'PTHR24286:SF320', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(166981, NULL, 'PTHR13690:SF138', NULL, NULL, NULL, NULL, 'BNAA08G28740D PROTEIN', NULL, NULL, NULL, 15),
(166982, NULL, 'PTHR34569:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(166983, NULL, 'PTHR31205:SF51', NULL, NULL, NULL, NULL, 'BNAC06G30990D PROTEIN', NULL, NULL, NULL, 15),
(166984, NULL, 'PTHR15710:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(166985, NULL, 'PTHR11442:SF80', NULL, NULL, NULL, NULL, 'ZGC:163057', NULL, NULL, NULL, 15),
(166986, NULL, 'PTHR11803:SF50', NULL, NULL, NULL, NULL, 'BNAC01G32570D PROTEIN', NULL, NULL, NULL, 15),
(166987, NULL, 'PTHR23120:SF17', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT-CONTAINING PROTEIN FAMILY MEMBER 7', NULL, NULL, NULL, 15),
(166988, NULL, 'PTHR10794:SF80', NULL, NULL, NULL, NULL, 'MONOACYLGLYCEROL LIPASE ABHD2-A', NULL, NULL, NULL, 15),
(166989, NULL, 'PTHR22595:SF157', NULL, NULL, NULL, NULL, 'BNAA01G30560D PROTEIN', NULL, NULL, NULL, 15),
(166990, NULL, 'PTHR45978:SF1', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(166991, NULL, 'PTHR31388:SF208', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(166992, NULL, 'PTHR11662:SF399', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 17 MEMBER 5', NULL, NULL, NULL, 15),
(166993, NULL, 'PTHR45649:SF11', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(166994, NULL, 'PTHR42847', NULL, NULL, NULL, NULL, 'ALKANESULFONATE MONOOXYGENASE', NULL, NULL, NULL, 15),
(166995, NULL, 'PTHR35277:SF17', NULL, NULL, NULL, NULL, 'BNAA10G29050D PROTEIN', NULL, NULL, NULL, 15),
(166996, NULL, 'PTHR12419:SF67', NULL, NULL, NULL, NULL, 'OVARIAN TUMOUR, OTUBAIN', NULL, NULL, NULL, 15),
(166997, NULL, 'PTHR46151:SF20', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(166998, NULL, 'PTHR12396:SF6', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN PROTEIN 3-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(166999, NULL, 'PTHR12930:SF0', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 113A1-RELATED', NULL, NULL, NULL, 15),
(167000, NULL, 'PTHR45644:SF31', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(167001, NULL, 'PTHR23111:SF75', NULL, NULL, NULL, NULL, 'OS06G0141200 PROTEIN', NULL, NULL, NULL, 15),
(167002, NULL, 'PTHR32305', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167003, NULL, 'PTHR13018:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167004, NULL, 'PTHR19430', NULL, NULL, NULL, NULL, 'PROTEIN BEX1-RELATED', NULL, NULL, 2625, 15),
(167005, NULL, 'PTHR11346:SF97', NULL, NULL, NULL, NULL, 'GALECTIN-1', NULL, NULL, NULL, 15),
(167006, NULL, 'PTHR31099:SF24', NULL, NULL, NULL, NULL, 'BNAC03G75020D PROTEIN', NULL, NULL, NULL, 15),
(167007, NULL, 'PTHR23507:SF1', NULL, NULL, NULL, NULL, 'ZGC:174356', NULL, NULL, NULL, 15),
(167008, NULL, 'PTHR14207:SF0', NULL, NULL, NULL, NULL, '3-BETA-HYDROXYSTEROID-DELTA(8),DELTA(7)-ISOMERASE', NULL, NULL, NULL, 15),
(167009, NULL, 'PTHR37702', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', NULL, NULL, NULL, 15),
(167010, NULL, 'PTHR35463:SF11', NULL, NULL, NULL, NULL, 'BNAC05G12860D PROTEIN', NULL, NULL, NULL, 15),
(167011, NULL, 'PTHR46189:SF1', NULL, NULL, NULL, NULL, 'LD41958P', NULL, NULL, NULL, 15),
(167012, NULL, 'PTHR19441:SF13', NULL, NULL, NULL, NULL, 'ANTILEUKOPROTEINASE', NULL, NULL, NULL, 15),
(167013, NULL, 'PTHR20905', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(167014, NULL, 'PTHR12638', NULL, NULL, NULL, NULL, 'PROTEIN MAGO NASHI HOMOLOG', NULL, NULL, 893, 15),
(167015, NULL, 'PTHR37553:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167016, NULL, 'PTHR10166:SF46', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, VOLTAGE-DEPENDENT, ALPHA 2/DELTA SUBUNIT 2B', NULL, NULL, NULL, 15),
(167017, NULL, 'PTHR11467:SF117', NULL, NULL, NULL, NULL, 'BNAANNG11070D PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167018, NULL, 'PTHR10579:SF146', NULL, NULL, NULL, NULL, 'OS10G0464800 PROTEIN', NULL, NULL, NULL, 15),
(167019, NULL, 'PTHR11783:SF44', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 1A2', NULL, NULL, NULL, 15),
(167020, NULL, 'PTHR16004:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167021, NULL, 'PTHR24096:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167022, NULL, 'PTHR24390:SF64', NULL, NULL, NULL, NULL, 'PLAG1 ZINC FINGER', NULL, NULL, 24226, 15),
(167023, NULL, 'PTHR46008:SF38', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167024, NULL, 'PTHR23189:SF95', NULL, NULL, NULL, NULL, 'DAF-12-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(167025, NULL, 'PTHR33103:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167026, NULL, 'PTHR11559:SF192', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 1C-RELATED', NULL, NULL, NULL, 15),
(167027, NULL, 'PTHR12713:SF28', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G1', NULL, NULL, NULL, 15),
(167028, NULL, 'PTHR26452:SF38', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5K1', NULL, NULL, NULL, 15),
(167029, NULL, 'PTHR31147:SF47', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 15', NULL, NULL, NULL, 15),
(167030, NULL, 'PTHR45759:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167031, NULL, 'PTHR12276:SF54', NULL, NULL, NULL, NULL, 'MYCBP-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(167032, NULL, 'PTHR48102:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE ATPASE SUBUNIT HSLU', NULL, NULL, 1624, 15),
(167033, NULL, 'PTHR33207:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167034, NULL, 'PTHR32093:SF116', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(167035, NULL, 'PTHR42784', NULL, NULL, NULL, NULL, 'PYRANOSE 2-OXIDASE', NULL, NULL, NULL, 15),
(167036, NULL, 'PTHR10614:SF2', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR SUBSTRATE 4', NULL, NULL, NULL, 15),
(167037, NULL, 'PTHR12865:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE TYPE 2-BETA', NULL, NULL, NULL, 15),
(167038, NULL, 'PTHR24147:SF29', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 62', NULL, NULL, NULL, 15),
(167039, NULL, 'PTHR34120:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(167040, NULL, 'PTHR46207:SF1', NULL, NULL, NULL, NULL, 'PROTEIN RCC2', NULL, NULL, NULL, 15),
(167041, NULL, 'PTHR47979:SF67', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-2-A', NULL, NULL, NULL, 15),
(167042, NULL, 'PTHR22989:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG04437', NULL, NULL, NULL, 15),
(167043, NULL, 'PTHR43908:SF3', NULL, NULL, NULL, NULL, 'AT29763P-RELATED', NULL, NULL, NULL, 15),
(167044, NULL, 'PTHR33133', NULL, NULL, NULL, NULL, 'OS08G0107100 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167045, NULL, 'PTHR23359:SF70', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 1, ISOFORM B', NULL, NULL, NULL, 15),
(167046, NULL, 'PTHR36311', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I SUBUNIT O', NULL, NULL, 21385, 15),
(167047, NULL, 'PTHR31741:SF63', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 37', NULL, NULL, NULL, 15),
(167048, NULL, 'PTHR34133', NULL, NULL, NULL, NULL, 'OS07G0633000 PROTEIN', NULL, NULL, NULL, 15),
(167049, NULL, 'PTHR11748:SF111', NULL, NULL, NULL, NULL, 'D-LACTATE DEHYDROGENASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(167050, NULL, 'PTHR31639:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167051, NULL, 'PTHR12002:SF99', NULL, NULL, NULL, NULL, 'CLAUDIN-14', NULL, NULL, 476, 15),
(167052, NULL, 'PTHR43394:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PERMEASE MDL2, MITOCHONDRIAL', NULL, NULL, 27124, 15),
(167053, NULL, 'PTHR46445:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167054, NULL, 'PTHR45769:SF6', NULL, NULL, NULL, NULL, 'ADENOSINE KINASE B', NULL, NULL, NULL, 15),
(167055, NULL, 'PTHR11767:SF14', NULL, NULL, NULL, NULL, 'ATP-SENSITIVE INWARD RECTIFIER POTASSIUM CHANNEL 12-RELATED', NULL, NULL, 3340, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167056, NULL, 'PTHR12015:SF165', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-C MOTIF) LIGAND 34A, DUPLICATE 3-RELATED', NULL, NULL, NULL, 15),
(167057, NULL, 'PTHR22599:SF30', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR 1A', NULL, NULL, NULL, 15),
(167058, NULL, 'PTHR31677:SF134', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 7', NULL, NULL, NULL, 15),
(167059, NULL, 'PTHR43559', NULL, NULL, NULL, NULL, 'HYDROLASE YCAC-RELATED', NULL, NULL, NULL, 15),
(167060, NULL, 'PTHR20531', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 32635, 15),
(167061, NULL, 'PTHR46806:SF4', NULL, NULL, NULL, NULL, 'NEUROPILIN-1', NULL, NULL, 26158, 15),
(167062, NULL, 'PTHR31403:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167063, NULL, 'PTHR12984:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167064, NULL, 'PTHR31851:SF56', NULL, NULL, NULL, NULL, 'BNAA07G03300D PROTEIN', NULL, NULL, NULL, 15),
(167065, NULL, 'PTHR10454:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167066, NULL, 'PTHR43442', NULL, NULL, NULL, NULL, 'GLUCONOKINASE-RELATED', NULL, NULL, 1313, 15),
(167067, NULL, 'PTHR24173:SF33', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 2', NULL, NULL, NULL, 15),
(167068, NULL, 'PTHR33433:SF17', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(167069, NULL, 'PTHR11730:SF101', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1 MEMBER 4', NULL, NULL, NULL, 15),
(167070, NULL, 'PTHR31719:SF183', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(167071, NULL, 'PTHR10488:SF1', NULL, NULL, NULL, NULL, 'GLYCINE AMIDINOTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(167072, NULL, 'PTHR45654:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167073, NULL, 'PTHR44083:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167074, NULL, 'PTHR23195:SF14', NULL, NULL, NULL, NULL, 'PROTEIN ENL', NULL, NULL, NULL, 15),
(167075, NULL, 'PTHR35683:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167076, NULL, 'PTHR35987:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID REDOX INSENSITIVE 2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(167077, NULL, 'PTHR26453:SF225', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(167078, NULL, 'PTHR22925:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167079, NULL, 'PTHR42836:SF2', NULL, NULL, NULL, NULL, 'PROTEIN YFKA-RELATED', NULL, NULL, 26757, 15),
(167080, NULL, 'PTHR24281:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167081, NULL, 'PTHR31009:SF129', NULL, NULL, NULL, NULL, 'BNAA07G12630D PROTEIN', NULL, NULL, NULL, 15),
(167082, NULL, 'PTHR30012:SF7', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN HOFC HOMOLOG', NULL, NULL, NULL, 15),
(167083, NULL, 'PTHR31650', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE (WSD1-LIKE) FAMILY PROTEIN', NULL, NULL, 38494, 15),
(167084, NULL, 'PTHR10572:SF39', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', NULL, NULL, NULL, 15),
(167085, NULL, 'PTHR23268:SF91', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 12-5', NULL, NULL, NULL, 15),
(167086, NULL, 'PTHR11952:SF15', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE DIPHOSPHORYLASE 1', NULL, NULL, NULL, 15),
(167087, NULL, 'PTHR10582:SF30', NULL, NULL, NULL, NULL, 'OSM-9 AND CAPSAICIN RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(167088, NULL, 'PTHR45833', NULL, NULL, NULL, NULL, 'METHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(167089, NULL, 'PTHR24153', NULL, NULL, NULL, NULL, 'ESPIN', NULL, NULL, NULL, 15),
(167090, NULL, 'PTHR24248:SF17', NULL, NULL, NULL, NULL, 'ALPHA-1B ADRENERGIC RECEPTOR', NULL, NULL, 1268, 15),
(167091, NULL, 'PTHR47687:SF1', NULL, NULL, NULL, NULL, 'COMMUNICATION MUTANT PROTEIN F-RELATED', NULL, NULL, NULL, 15),
(167092, NULL, 'PTHR23503:SF105', NULL, NULL, NULL, NULL, 'PROTEIN CBG05043', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167093, NULL, 'PTHR47424', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN GAL4', NULL, NULL, NULL, 15),
(167094, NULL, 'PTHR47478', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167095, NULL, 'PTHR31087:SF91', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 1-RELATED', NULL, NULL, NULL, 15),
(167096, NULL, 'PTHR33784:SF26', NULL, NULL, NULL, NULL, 'BNAC02G26070D PROTEIN', NULL, NULL, NULL, 15),
(167097, NULL, 'PTHR31828:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167098, NULL, 'PTHR35257:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 82', NULL, NULL, NULL, 15),
(167099, NULL, 'PTHR35534', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L32', NULL, NULL, 38016, 15),
(167100, NULL, 'PTHR21230:SF70', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE 12', NULL, NULL, NULL, 15),
(167101, NULL, 'PTHR33178:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167102, NULL, 'PTHR34054', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 39873, 15),
(167103, NULL, 'PTHR33982:SF4', NULL, NULL, NULL, NULL, 'OS05G0532800 PROTEIN', NULL, NULL, NULL, 15),
(167104, NULL, 'PTHR11743:SF30', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 4', NULL, NULL, NULL, 15),
(167105, NULL, 'PTHR47293:SF43', NULL, NULL, NULL, NULL, 'BNACNNG46500D PROTEIN', NULL, NULL, NULL, 15),
(167106, NULL, 'PTHR31235:SF284', NULL, NULL, NULL, NULL, 'PEROXIDASE 69', NULL, NULL, NULL, 15),
(167107, NULL, 'PTHR22750:SF4', NULL, NULL, NULL, NULL, 'MELANOCORTIN RECEPTOR 3', NULL, NULL, 1350, 15),
(167108, NULL, 'PTHR27005:SF334', NULL, NULL, NULL, NULL, 'OS10G0326100 PROTEIN', NULL, NULL, NULL, 15),
(167109, NULL, 'PTHR11267:SF104', NULL, NULL, NULL, NULL, 'T-BOX TRANSCRIPTION FACTOR TBX1', NULL, NULL, NULL, 15),
(167110, NULL, 'PTHR31614:SF12', NULL, NULL, NULL, NULL, 'OS06G0556600 PROTEIN', NULL, NULL, NULL, 15),
(167111, NULL, 'PTHR48015:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 4 HOMOLOG B', NULL, NULL, NULL, 15),
(167112, NULL, 'PTHR47956:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(167113, NULL, 'PTHR31176:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG09313', NULL, NULL, NULL, 15),
(167114, NULL, 'PTHR45878:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP5', NULL, NULL, NULL, 15),
(167115, NULL, 'PTHR36515:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG00810', NULL, NULL, NULL, 15),
(167116, NULL, 'PTHR47232:SF4', NULL, NULL, NULL, NULL, 'BNAA02G04590D PROTEIN', NULL, NULL, NULL, 15),
(167117, NULL, 'PTHR35472:SF7', NULL, NULL, NULL, NULL, 'BNAA09G12580D PROTEIN', NULL, NULL, NULL, 15),
(167118, NULL, 'PTHR11941:SF151', NULL, NULL, NULL, NULL, 'BLR3445 PROTEIN', NULL, NULL, NULL, 15),
(167119, NULL, 'PTHR32468:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167120, NULL, 'PTHR33443:SF19', NULL, NULL, NULL, NULL, 'BNAANNG13750D PROTEIN', NULL, NULL, NULL, 15),
(167121, NULL, 'PTHR11449:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30-LIKE', NULL, NULL, NULL, 15),
(167122, NULL, 'PTHR10916:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167123, NULL, 'PTHR46610:SF2', NULL, NULL, NULL, NULL, 'OS01G0714600 PROTEIN', NULL, NULL, NULL, 15),
(167124, NULL, 'PTHR47799:SF1', NULL, NULL, NULL, NULL, 'OMEGA-AMIDASE YAFV', NULL, NULL, NULL, 15),
(167125, NULL, 'PTHR22912:SF216', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE 2, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(167126, NULL, 'PTHR16983:SF26', NULL, NULL, NULL, NULL, 'LY6E ISOFORM 1', NULL, NULL, NULL, 15),
(167127, NULL, 'PTHR11614:SF173', NULL, NULL, NULL, NULL, 'BNAA05G35650D PROTEIN', NULL, NULL, NULL, 15),
(167128, NULL, 'PTHR46214:SF8', NULL, NULL, NULL, NULL, 'OS01G0731800 PROTEIN', NULL, NULL, NULL, 15),
(167129, NULL, 'PTHR19890:SF10', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR-LIKE 1', NULL, NULL, NULL, 15),
(167130, NULL, 'PTHR11627:SF55', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167131, NULL, 'PTHR48017:SF116', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 1', NULL, NULL, NULL, 15),
(167132, NULL, 'PTHR34874:SF3', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE TUSD', NULL, NULL, NULL, 15),
(167133, NULL, 'PTHR23064:SF59', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(167134, NULL, 'PTHR32241:SF19', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(167135, NULL, 'PTHR43952:SF65', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 4', NULL, NULL, NULL, 15),
(167136, NULL, 'PTHR46991:SF24', NULL, NULL, NULL, NULL, '14.7 KDA HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(167137, NULL, 'PTHR43184:SF24', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167138, NULL, 'PTHR45719:SF28', NULL, NULL, NULL, NULL, 'BNAC02G20540D PROTEIN', NULL, NULL, NULL, 15),
(167139, NULL, 'PTHR11388:SF147', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', NULL, NULL, NULL, 15),
(167140, NULL, 'PTHR23338:SF38', NULL, NULL, NULL, NULL, 'NUCLEAR RIBONUCLEOPROTEIN SMD3, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167141, NULL, 'PTHR12400:SF77', NULL, NULL, NULL, NULL, 'KINASE', NULL, NULL, NULL, 15),
(167142, NULL, 'PTHR11280:SF9', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-6-PHOSPHATE ISOMERASE 2', NULL, NULL, NULL, 15),
(167143, NULL, 'PTHR43981', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(167144, NULL, 'PTHR48018:SF54', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(167145, NULL, 'PTHR47991:SF60', NULL, NULL, NULL, NULL, 'NARINGENIN,2-OXOGLUTARATE 3-DIOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(167146, NULL, 'PTHR34061:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167147, NULL, 'PTHR45663:SF26', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(167148, NULL, 'PTHR26454:SF12', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6F1', NULL, NULL, NULL, 15),
(167149, NULL, 'PTHR14233:SF22', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER SLC35F1/F2/F6-RELATED', NULL, NULL, NULL, 15),
(167150, NULL, 'PTHR14255:SF39', NULL, NULL, NULL, NULL, 'SULFITE EXPORTER TAUE/SAFE FAMILY PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(167151, NULL, 'PTHR43180:SF35', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(167152, NULL, 'PTHR10982:SF23', NULL, NULL, NULL, NULL, 'FATTY ACID SYNTHASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(167153, NULL, 'PTHR34380:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167154, NULL, 'PTHR23259:SF19', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-ELASTASE INHIBITOR IXODIDIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(167155, NULL, 'PTHR27004:SF328', NULL, NULL, NULL, NULL, 'BNAA04G18870D PROTEIN', NULL, NULL, NULL, 15),
(167156, NULL, 'PTHR24222:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167157, NULL, 'PTHR31238:SF49', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 8-13', NULL, NULL, NULL, 15),
(167158, NULL, 'PTHR10901', NULL, NULL, NULL, NULL, 'TROPOMODULIN', NULL, NULL, 1857, 15),
(167159, NULL, 'PTHR31791:SF9', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(167160, NULL, 'PTHR43427:SF8', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(167161, NULL, 'PTHR31512', NULL, NULL, NULL, NULL, 'GENE 12569-RELATED', NULL, NULL, NULL, 15),
(167162, NULL, 'PTHR20977:SF0', NULL, NULL, NULL, NULL, 'AT13385P-RELATED', NULL, NULL, NULL, 15),
(167163, NULL, 'PTHR15001:SF9', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 115', NULL, NULL, NULL, 15),
(167164, NULL, 'PTHR48226', NULL, NULL, NULL, NULL, 'OS06G0326200 PROTEIN', NULL, NULL, NULL, 15),
(167165, NULL, 'PTHR10194:SF21', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN 2', NULL, NULL, NULL, 15),
(167166, NULL, 'PTHR46455:SF2', NULL, NULL, NULL, NULL, 'AT24727P', NULL, NULL, NULL, 15),
(167167, NULL, 'PTHR10612:SF41', NULL, NULL, NULL, NULL, 'GLIAL LAZARILLO, ISOFORM A', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167168, NULL, 'PTHR16209:SF7', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(167169, NULL, 'PTHR21347:SF0', NULL, NULL, NULL, NULL, 'CLEFT LIP AND PALATE TRANSMEMBRANE PROTEIN 1', NULL, NULL, 24234, 15),
(167170, NULL, 'PTHR33101:SF59', NULL, NULL, NULL, NULL, 'PRONE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167171, NULL, 'PTHR22603:SF87', NULL, NULL, NULL, NULL, 'ETHANOLAMINE KINASE 1', NULL, NULL, NULL, 15),
(167172, NULL, 'PTHR31480:SF17', NULL, NULL, NULL, NULL, 'PHYTOENE SYNTHASE-RELATED', NULL, NULL, 20402, 15),
(167173, NULL, 'PTHR27007:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167174, NULL, 'PTHR34195', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT V, CHLOROPLASTIC-RELATED', NULL, NULL, 20641, 15),
(167175, NULL, 'PTHR11759:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167176, NULL, 'PTHR12444:SF4', NULL, NULL, NULL, NULL, 'PROTEIN EFR3 HOMOLOG B', NULL, NULL, NULL, 15),
(167177, NULL, 'PTHR42788', NULL, NULL, NULL, NULL, 'TAURINE IMPORT ATP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167178, NULL, 'PTHR48144', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167179, NULL, 'PTHR43708:SF4', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE YCEM-RELATED', NULL, NULL, NULL, 15),
(167180, NULL, 'PTHR31218:SF321', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(167181, NULL, 'PTHR22916:SF61', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS GLYCOSYL TRANSFERASE WCAA-RELATED', NULL, NULL, NULL, 15),
(167182, NULL, 'PTHR36411', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 3173, 15),
(167183, NULL, 'PTHR34227:SF4', NULL, NULL, NULL, NULL, 'BLL5480 PROTEIN', NULL, NULL, NULL, 15),
(167184, NULL, 'PTHR35490', NULL, NULL, NULL, NULL, 'BACTERIOPHAGE N4 ADSORPTION B PROTEIN', NULL, NULL, NULL, 15),
(167185, NULL, 'PTHR13011:SF3', NULL, NULL, NULL, NULL, 'BNAANNG16720D PROTEIN', NULL, NULL, NULL, 15),
(167186, NULL, 'PTHR48056:SF46', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT M', NULL, NULL, NULL, 15),
(167187, NULL, 'PTHR24067:SF315', NULL, NULL, NULL, NULL, 'BNAA10G03140D PROTEIN', NULL, NULL, NULL, 15),
(167188, NULL, 'PTHR11685:SF322', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(167189, NULL, 'PTHR14788', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 156', NULL, NULL, 28247, 15),
(167190, NULL, 'PTHR18919:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167191, NULL, 'PTHR24346:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167192, NULL, 'PTHR48011:SF63', NULL, NULL, NULL, NULL, 'ACTIVATED PROTEIN KINASE KINASE KINASE 3, MAPKKK3, MEKK3, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167193, NULL, 'PTHR21194', NULL, NULL, NULL, NULL, 'CARDIAC PHOSPHOLAMBAN', NULL, NULL, 1232, 15),
(167194, NULL, 'PTHR32227:SF263', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167195, NULL, 'PTHR11705:SF119', NULL, NULL, NULL, NULL, 'OS02G0119300 PROTEIN', NULL, NULL, NULL, 15),
(167196, NULL, 'PTHR31059:SF5', NULL, NULL, NULL, NULL, 'HSSA/B-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(167197, NULL, 'PTHR36950:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG24899', NULL, NULL, NULL, 15),
(167198, NULL, 'PTHR45700', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE E3C', NULL, NULL, 38571, 15),
(167199, NULL, 'PTHR31675:SF33', NULL, NULL, NULL, NULL, 'YABBY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167200, NULL, 'PTHR47978:SF8', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA4A', NULL, NULL, NULL, 15),
(167201, NULL, 'PTHR27002:SF808', NULL, NULL, NULL, NULL, 'REPEAT RECEPTOR PROTEIN KINASE EXS, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167202, NULL, 'PTHR20842', NULL, NULL, NULL, NULL, 'PROTEASE S51 ALPHA-ASPARTYL DIPEPTIDASE', NULL, NULL, NULL, 15),
(167203, NULL, 'PTHR33775:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH BASIC PROTEIN 1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167204, NULL, 'PTHR39222', NULL, NULL, NULL, NULL, 'MCG9903', NULL, NULL, 33510, 15),
(167205, NULL, 'PTHR24333:SF6', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA HOMEOBOX PROTEIN 3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(167206, NULL, 'PTHR24073:SF618', NULL, NULL, NULL, NULL, 'OS10G0441800 PROTEIN', NULL, NULL, NULL, 15),
(167207, NULL, 'PTHR35841:SF1', NULL, NULL, NULL, NULL, 'PHOSPHONATES-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(167208, NULL, 'PTHR46224:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167209, NULL, 'PTHR11227:SF33', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167210, NULL, 'PTHR21562:SF77', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(167211, NULL, 'PTHR24027:SF414', NULL, NULL, NULL, NULL, 'CADHERIN-RELATED FAMILY MEMBER 5B', NULL, NULL, NULL, 15),
(167212, NULL, 'PTHR35001:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167213, NULL, 'PTHR43860:SF8', NULL, NULL, NULL, NULL, 'BETAINE ALDEHYDE DEHYDROGENASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(167214, NULL, 'PTHR47989:SF46', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 3-LIKE', NULL, NULL, NULL, 15),
(167215, NULL, 'PTHR36167:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167216, NULL, 'PTHR10671:SF85', NULL, NULL, NULL, NULL, 'EPITHELIAL MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(167217, NULL, 'PTHR31062:SF240', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(167218, NULL, 'PTHR46588', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/TYROSINE-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(167219, NULL, 'PTHR31934:SF5', NULL, NULL, NULL, NULL, 'OS05G0557900 PROTEIN', NULL, NULL, NULL, 15),
(167220, NULL, 'PTHR23043:SF31', NULL, NULL, NULL, NULL, 'NEURONAL PAS DOMAIN-CONTAINING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(167221, NULL, 'PTHR33884', NULL, NULL, NULL, NULL, 'UPF0410 PROTEIN YMGE', NULL, NULL, 5909, 15),
(167222, NULL, 'PTHR22936:SF77', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(167223, NULL, 'PTHR24300:SF277', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2B19-RELATED', NULL, NULL, NULL, 15),
(167224, NULL, 'PTHR11318:SF4', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE ACTIVATOR 2B', NULL, NULL, NULL, 15),
(167225, NULL, 'PTHR26312:SF177', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT DOMAIN-CONTAINING PROTEIN PYG7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(167226, NULL, 'PTHR27000:SF686', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXC2', NULL, NULL, NULL, 15),
(167227, NULL, 'PTHR31645:SF55', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL10-RELATED', NULL, NULL, NULL, 15),
(167228, NULL, 'PTHR34740:SF2', NULL, NULL, NULL, NULL, 'FINGER, C3HC4 TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167229, NULL, 'PTHR24177:SF117', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(167230, NULL, 'PTHR23506:SF31', NULL, NULL, NULL, NULL, 'CHROMAFFIN GRANULE AMINE TRANSPORTER', NULL, NULL, NULL, 15),
(167231, NULL, 'PTHR11654:SF475', NULL, NULL, NULL, NULL, 'OS04G0491200 PROTEIN', NULL, NULL, NULL, 15),
(167232, NULL, 'PTHR11062:SF325', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE, FIVE-BLADED BETA-PROPELLOR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167233, NULL, 'PTHR47900:SF2', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 131B', NULL, NULL, NULL, 15),
(167234, NULL, 'PTHR43139:SF6', NULL, NULL, NULL, NULL, 'OS02G0706900 PROTEIN', NULL, NULL, NULL, 15),
(167235, NULL, 'PTHR11516:SF38', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA-2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(167236, NULL, 'PTHR11616:SF281', NULL, NULL, NULL, NULL, 'BLOATED TUBULES, ISOFORM B', NULL, NULL, NULL, 15),
(167237, NULL, 'PTHR24361:SF835', NULL, NULL, NULL, NULL, 'KINASE, NEK', NULL, NULL, NULL, 15),
(167238, NULL, 'PTHR10353:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167239, NULL, 'PTHR24031:SF682', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167240, NULL, 'PTHR12386:SF15', NULL, NULL, NULL, NULL, 'OS01G0720100 PROTEIN', NULL, NULL, NULL, 15),
(167241, NULL, 'PTHR33406', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN MJ1562-RELATED', NULL, NULL, NULL, 15),
(167242, NULL, 'PTHR48055:SF3', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', NULL, NULL, NULL, 15),
(167243, NULL, 'PTHR46983:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167244, NULL, 'PTHR21645:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN F59C6.8', NULL, NULL, NULL, 15),
(167245, NULL, 'PTHR24404:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167246, NULL, 'PTHR36485:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167247, NULL, 'PTHR10759:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL L34-LIKE PROTEIN', NULL, NULL, NULL, 15),
(167248, NULL, 'PTHR48085:SF6', NULL, NULL, NULL, NULL, 'INACTIVE CADMIUM/ZINC-TRANSPORTING ATPASE HMA3-RELATED', NULL, NULL, NULL, 15),
(167249, NULL, 'PTHR31952', NULL, NULL, NULL, NULL, 'CB1 CANNABINOID RECEPTOR-INTERACTING PROTEIN 1', NULL, NULL, 29464, 15),
(167250, NULL, 'PTHR24412:SF428', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 6', NULL, NULL, 28751, 15),
(167251, NULL, 'PTHR47970:SF16', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12C ISOFORM X1', NULL, NULL, NULL, 15),
(167252, NULL, 'PTHR42754:SF1', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(167253, NULL, 'PTHR47585', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167254, NULL, 'PTHR12302:SF17', NULL, NULL, NULL, NULL, 'STAPHYLOCOCCAL-LIKE NUCLEASE CAN2-RELATED', NULL, NULL, NULL, 15),
(167255, NULL, 'PTHR43139', NULL, NULL, NULL, NULL, 'SI:DKEY-122A22.2', NULL, NULL, NULL, 15),
(167256, NULL, 'PTHR35397', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167257, NULL, 'PTHR48203', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167258, NULL, 'PTHR24257:SF11', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE ELASTASE FAMILY MEMBER 3A', NULL, NULL, NULL, 15),
(167259, NULL, 'PTHR11360:SF250', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167260, NULL, 'PTHR31189:SF28', NULL, NULL, NULL, NULL, 'OS09G0552500 PROTEIN', NULL, NULL, NULL, 15),
(167261, NULL, 'PTHR31062:SF229', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(167262, NULL, 'PTHR37610:SF5', NULL, NULL, NULL, NULL, 'COPIA-LIKE POLYPROTEIN/RETROTRANSPOSON', NULL, NULL, NULL, 15),
(167263, NULL, 'PTHR46603', NULL, NULL, NULL, NULL, 'ABSCISSION/NOCUT CHECKPOINT REGULATOR', NULL, NULL, NULL, 15),
(167264, NULL, 'PTHR24411:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR NF-E2 45 KDA SUBUNIT', NULL, NULL, 28633, 15),
(167265, NULL, 'PTHR46987:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167266, NULL, 'PTHR31413:SF27', NULL, NULL, NULL, NULL, 'BNAA01G32410D PROTEIN', NULL, NULL, NULL, 15),
(167267, NULL, 'PTHR22811:SF182', NULL, NULL, NULL, NULL, 'BNAC01G27450D PROTEIN', NULL, NULL, NULL, 15),
(167268, NULL, 'PTHR47956:SF62', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A8-LIKE', NULL, NULL, NULL, 15),
(167269, NULL, 'PTHR38481', NULL, NULL, NULL, NULL, 'HYALURONATE LYASE', NULL, NULL, 32323, 15),
(167270, NULL, 'PTHR31947:SF30', NULL, NULL, NULL, NULL, 'DNA/RNA-BINDING PROTEIN ALBA-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167271, NULL, 'PTHR23303:SF14', NULL, NULL, NULL, NULL, 'NODAL MODULATOR 1-RELATED', NULL, NULL, NULL, 15),
(167272, NULL, 'PTHR42773:SF3', NULL, NULL, NULL, NULL, 'SLR0630 PROTEIN', NULL, NULL, NULL, 15),
(167273, NULL, 'PTHR27005:SF245', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.5', NULL, NULL, NULL, 15),
(167274, NULL, 'PTHR13273', NULL, NULL, NULL, NULL, 'ANAMORSIN', NULL, NULL, 2085, 15),
(167275, NULL, 'PTHR35042:SF3', NULL, NULL, NULL, NULL, 'ANTHRONE OXYGENASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167276, NULL, 'PTHR47942:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167277, NULL, 'PTHR12419:SF66', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(167278, NULL, 'PTHR10614:SF7', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR SUBSTRATE 2', NULL, NULL, NULL, 15),
(167279, NULL, 'PTHR42932', NULL, NULL, NULL, NULL, 'GENERAL STRESS PROTEIN 20U', NULL, NULL, 492, 15),
(167280, NULL, 'PTHR11550:SF8', NULL, NULL, NULL, NULL, 'CTP SYNTHASE 1', NULL, NULL, NULL, 15),
(167281, NULL, 'PTHR23272:SF146', NULL, NULL, NULL, NULL, 'OS05G0102300 PROTEIN', NULL, NULL, NULL, 15),
(167282, NULL, 'PTHR10845:SF235', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING RGS-3', NULL, NULL, NULL, 15),
(167283, NULL, 'PTHR47886', NULL, NULL, NULL, NULL, 'CYSTATIN-11', NULL, NULL, 38929, 15),
(167284, NULL, 'PTHR13009:SF20', NULL, NULL, NULL, NULL, 'OS02G0139100 PROTEIN', NULL, NULL, NULL, 15),
(167285, NULL, 'PTHR48001:SF111', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(167286, NULL, 'PTHR18934:SF237', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH1', NULL, NULL, NULL, 15),
(167287, NULL, 'PTHR11639:SF130', NULL, NULL, NULL, NULL, 'S100 CALCIUM-BINDING PROTEIN A11', NULL, NULL, NULL, 15),
(167288, NULL, 'PTHR30540:SF23', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 16-RELATED', NULL, NULL, NULL, 15),
(167289, NULL, 'PTHR46443:SF5', NULL, NULL, NULL, NULL, 'OS01G0593200 PROTEIN', NULL, NULL, NULL, 15),
(167290, NULL, 'PTHR22601:SF65', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 9', NULL, NULL, NULL, 15),
(167291, NULL, 'PTHR46574', NULL, NULL, NULL, NULL, '43 KDA RECEPTOR-ASSOCIATED PROTEIN OF THE SYNAPSE', NULL, NULL, NULL, 15),
(167292, NULL, 'PTHR35828:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167293, NULL, 'PTHR47521:SF8', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR F27E5.5-RELATED', NULL, NULL, NULL, 15),
(167294, NULL, 'PTHR11056:SF4', NULL, NULL, NULL, NULL, '1,2-DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G10810)-RELATED', NULL, NULL, NULL, 15),
(167295, NULL, 'PTHR24305:SF192', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, E-CLASS, GROUP I', NULL, NULL, NULL, 15),
(167296, NULL, 'PTHR45949:SF3', NULL, NULL, NULL, NULL, 'SORTING NEXIN-7', NULL, NULL, 24066, 15),
(167297, NULL, 'PTHR45632:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167298, NULL, 'PTHR22245', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 33897, 15),
(167299, NULL, 'PTHR48192', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167300, NULL, 'PTHR12701:SF42', NULL, NULL, NULL, NULL, 'PROTEIN, BAP, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167301, NULL, 'PTHR20921:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167302, NULL, 'PTHR48017:SF147', NULL, NULL, NULL, NULL, 'MAHOGANY', NULL, NULL, NULL, 15),
(167303, NULL, 'PTHR16083:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 59', NULL, NULL, NULL, 15),
(167304, NULL, 'PTHR35726:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167305, NULL, 'PTHR35607:SF8', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06690)-RELATED', NULL, NULL, NULL, 15),
(167306, NULL, 'PTHR40382', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 30598, 15),
(167307, NULL, 'PTHR10071:SF310', NULL, NULL, NULL, NULL, 'GATA-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(167308, NULL, 'PTHR31047', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 157 PROTEIN', NULL, NULL, 7694, 15),
(167309, NULL, 'PTHR23413', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32 AND DNA-DIRECTED RNA POLYMERASE II, SUBUNIT N', NULL, NULL, 6461, 15),
(167310, NULL, 'PTHR46361', NULL, NULL, NULL, NULL, 'ELECTRON CARRIER/ PROTEIN DISULFIDE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(167311, NULL, 'PTHR33700:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167312, NULL, 'PTHR34806:SF11', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167313, NULL, 'PTHR47873', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(167314, NULL, 'PTHR23063:SF49', NULL, NULL, NULL, NULL, 'BNAA03G56890D PROTEIN', NULL, NULL, NULL, 15),
(167315, NULL, 'PTHR12537:SF162', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 7, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(167316, NULL, 'PTHR11040:SF69', NULL, NULL, NULL, NULL, 'ZINC-REGULATED TRANSPORTER 2', NULL, NULL, NULL, 15),
(167317, NULL, 'PTHR11073:SF39', NULL, NULL, NULL, NULL, 'BNAA08G26940D PROTEIN', NULL, NULL, NULL, 15),
(167318, NULL, 'PTHR31140:SF62', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING TRANSCRIPTION REPRESSOR RAV2-LIKE', NULL, NULL, NULL, 15),
(167319, NULL, 'PTHR46215:SF13', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(167320, NULL, 'PTHR33474:SF29', NULL, NULL, NULL, NULL, 'OS01G0815400 PROTEIN', NULL, NULL, NULL, 15),
(167321, NULL, 'PTHR11709:SF267', NULL, NULL, NULL, NULL, 'MULTI-COPPER OXIDASE TYPE I FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167322, NULL, 'PTHR11474:SF81', NULL, NULL, NULL, NULL, 'OS01G0793300 PROTEIN', NULL, NULL, NULL, 15),
(167323, NULL, 'PTHR31459:SF3', NULL, NULL, NULL, NULL, 'OS01G0225600 PROTEIN', NULL, NULL, NULL, 15),
(167324, NULL, 'PTHR22835:SF532', NULL, NULL, NULL, NULL, 'SERINE-RICH ADHESIN FOR PLATELETS-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(167325, NULL, 'PTHR43161:SF7', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14390)-RELATED', NULL, NULL, NULL, 15),
(167326, NULL, 'PTHR26312:SF188', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167327, NULL, 'PTHR13451:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167328, NULL, 'PTHR10953:SF212', NULL, NULL, NULL, NULL, 'BNAANNG16230D PROTEIN', NULL, NULL, NULL, 15),
(167329, NULL, 'PTHR18860:SF39', NULL, NULL, NULL, NULL, '14-3-3 PROTEIN (EUROFUNG)', NULL, NULL, NULL, 15),
(167330, NULL, 'PTHR10353:SF266', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 23', NULL, NULL, NULL, 15),
(167331, NULL, 'PTHR46855:SF1', NULL, NULL, NULL, NULL, 'OSJNBB0038F03.10 PROTEIN', NULL, NULL, NULL, 15),
(167332, NULL, 'PTHR11528:SF105', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE PROTEIN 80', NULL, NULL, NULL, 15),
(167333, NULL, 'PTHR23336:SF64', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 4', NULL, NULL, NULL, 15),
(167334, NULL, 'PTHR11758:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167335, NULL, 'PTHR11903:SF25', NULL, NULL, NULL, NULL, 'ALPHA-DIOXYGENASE 2', NULL, NULL, NULL, 15),
(167336, NULL, 'PTHR42788:SF7', NULL, NULL, NULL, NULL, 'ALIPHATIC SULFONATES IMPORT ATP-BINDING PROTEIN SSUB', NULL, NULL, NULL, 15),
(167337, NULL, 'PTHR42760:SF45', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G09150)-RELATED', NULL, NULL, NULL, 15),
(167338, NULL, 'PTHR23077:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167339, NULL, 'PTHR23519', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 22', NULL, NULL, NULL, 15),
(167340, NULL, 'PTHR33085:SF78', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(167341, NULL, 'PTHR39110:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(167342, NULL, 'PTHR35371:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167343, NULL, 'PTHR11923:SF51', NULL, NULL, NULL, NULL, 'EPITHELIAL MEMBRANE PROTEIN, ISOFORM B', NULL, NULL, NULL, 15),
(167344, NULL, 'PTHR32141:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167345, NULL, 'PTHR31662:SF13', NULL, NULL, NULL, NULL, 'OS09G0102300 PROTEIN', NULL, NULL, NULL, 15),
(167346, NULL, 'PTHR11654:SF429', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.4-LIKE', NULL, NULL, NULL, 15),
(167347, NULL, 'PTHR31744:SF81', NULL, NULL, NULL, NULL, 'OS06G0675600 PROTEIN', NULL, NULL, NULL, 15),
(167348, NULL, 'PTHR24343:SF475', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167349, NULL, 'PTHR43831:SF1', NULL, NULL, NULL, NULL, 'ISOBUTYRYL-COA DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(167350, NULL, 'PTHR48112:SF5', NULL, NULL, NULL, NULL, 'BOX PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G04550)-RELATED', NULL, NULL, NULL, 15),
(167351, NULL, 'PTHR31044:SF52', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(167352, NULL, 'PTHR31744:SF147', NULL, NULL, NULL, NULL, 'BNAC09G21000D PROTEIN', NULL, NULL, NULL, 15),
(167353, NULL, 'PTHR33137:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167354, NULL, 'PTHR31048:SF151', NULL, NULL, NULL, NULL, 'PATHOGENESIS RELATED PROTEIN5', NULL, NULL, NULL, 15),
(167355, NULL, 'PTHR24409:SF380', NULL, NULL, NULL, NULL, 'SI:DKEY-208K4.2', NULL, NULL, NULL, 15),
(167356, NULL, 'PTHR43795:SF52', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(167357, NULL, 'PTHR11909:SF316', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(167358, NULL, 'PTHR37165:SF1', NULL, NULL, NULL, NULL, 'MARITIMACIN', NULL, NULL, NULL, 15),
(167359, NULL, 'PTHR31639:SF62', NULL, NULL, NULL, NULL, 'OS07G0242900 PROTEIN', NULL, NULL, NULL, 15),
(167360, NULL, 'PTHR31960:SF3', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A13', NULL, NULL, NULL, 15),
(167361, NULL, 'PTHR34458:SF18', NULL, NULL, NULL, NULL, 'BNAANNG38080D PROTEIN', NULL, NULL, NULL, 15),
(167362, NULL, 'PTHR46387:SF2', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(167363, NULL, 'PTHR30188:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TRIGALACTOSYLDIACYLGLYCEROL 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(167364, NULL, 'PTHR12656:SF11', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 1B', NULL, NULL, 36329, 15),
(167365, NULL, 'PTHR10258:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167366, NULL, 'PTHR13402:SF24', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC16', NULL, NULL, NULL, 15),
(167367, NULL, 'PTHR33136:SF39', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 22', NULL, NULL, NULL, 15),
(167368, NULL, 'PTHR31945:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167369, NULL, 'PTHR31391', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS11G0197600-RELATED', NULL, NULL, 37890, 15),
(167370, NULL, 'PTHR30511:SF3', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167371, NULL, 'PTHR45650:SF4', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(167372, NULL, 'PTHR10984:SF37', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 5-4', NULL, NULL, NULL, 15),
(167373, NULL, 'PTHR11606:SF34', NULL, NULL, NULL, NULL, 'BNAA05G37230D PROTEIN', NULL, NULL, NULL, 15),
(167374, NULL, 'PTHR28632:SF7', NULL, NULL, NULL, NULL, 'BNAC05G37320D PROTEIN', NULL, NULL, NULL, 15),
(167375, NULL, 'PTHR34797:SF3', NULL, NULL, NULL, NULL, 'ATG8-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(167376, NULL, 'PTHR47033', NULL, NULL, NULL, NULL, 'CYSTATIN-M', NULL, NULL, NULL, 15),
(167377, NULL, 'PTHR11645:SF59', NULL, NULL, NULL, NULL, 'PYRROLINE-5-CARBOXYLATE REDUCTASE 1', NULL, NULL, NULL, 15),
(167378, NULL, 'PTHR12247:SF79', NULL, NULL, NULL, NULL, 'MBT DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(167379, NULL, 'PTHR47532:SF1', NULL, NULL, NULL, NULL, 'RETINAL-BINDING PROTEIN', NULL, NULL, NULL, 15),
(167380, NULL, 'PTHR13968:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167381, NULL, 'PTHR33170:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167382, NULL, 'PTHR10562:SF59', NULL, NULL, NULL, NULL, 'OS07G0574500 PROTEIN', NULL, NULL, NULL, 15),
(167383, NULL, 'PTHR47437', NULL, NULL, NULL, NULL, 'JNK-INTERACTING PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(167384, NULL, 'PTHR11474:SF117', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE CHLOROPLASTIC', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167385, NULL, 'PTHR33389:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167386, NULL, 'PTHR46097:SF2', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE-INTERACTING ARFGAP 2B', NULL, NULL, NULL, 15),
(167387, NULL, 'PTHR21600:SF19', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(167388, NULL, 'PTHR13364:SF6', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-DEFECTIVE PROTEIN 39 HOMOLOG', NULL, NULL, NULL, 15),
(167389, NULL, 'PTHR15286:SF10', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, 31559, 15),
(167390, NULL, 'PTHR15711:SF25', NULL, NULL, NULL, NULL, 'RADISH, ISOFORM I', NULL, NULL, NULL, 15),
(167391, NULL, 'PTHR13301:SF192', NULL, NULL, NULL, NULL, 'BNAA01G13600D PROTEIN', NULL, NULL, NULL, 15),
(167392, NULL, 'PTHR45666:SF5', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 3', NULL, NULL, NULL, 15),
(167393, NULL, 'PTHR45613:SF57', NULL, NULL, NULL, NULL, 'OS01G0816000 PROTEIN', NULL, NULL, NULL, 15),
(167394, NULL, 'PTHR11685:SF370', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(167395, NULL, 'PTHR13399', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN  TRAP , GAMMA SUBUNIT', NULL, NULL, 12641, 15),
(167396, NULL, 'PTHR45614:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167397, NULL, 'PTHR10188', NULL, NULL, NULL, NULL, 'L-ASPARAGINASE', NULL, NULL, 4375, 15),
(167398, NULL, 'PTHR21520', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 25270, 15),
(167399, NULL, 'PTHR32295:SF143', NULL, NULL, NULL, NULL, 'BNAC05G13590D PROTEIN', NULL, NULL, NULL, 15),
(167400, NULL, 'PTHR31225:SF141', NULL, NULL, NULL, NULL, 'S-(+)-LINALOOL SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(167401, NULL, 'PTHR33210:SF14', NULL, NULL, NULL, NULL, 'MEIOSIS 5', NULL, NULL, NULL, 15),
(167402, NULL, 'PTHR30137:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167403, NULL, 'PTHR10969:SF4', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR-ASSOCIATED PROTEIN-LIKE 2', NULL, NULL, NULL, 15),
(167404, NULL, 'PTHR24115:SF908', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-10C', NULL, NULL, NULL, 15),
(167405, NULL, 'PTHR31675:SF38', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 2', NULL, NULL, NULL, 15),
(167406, NULL, 'PTHR24418:SF228', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(167407, NULL, 'PTHR23086:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167408, NULL, 'PTHR43026', NULL, NULL, NULL, NULL, '2-HYDROXYACID DEHYDROGENASE HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(167409, NULL, 'PTHR23057:SF2', NULL, NULL, NULL, NULL, 'JAZF ZINC FINGER 1B', NULL, NULL, NULL, 15),
(167410, NULL, 'PTHR13233:SF13', NULL, NULL, NULL, NULL, 'FHA DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(167411, NULL, 'PTHR10476:SF36', NULL, NULL, NULL, NULL, 'ESCRT-RELATED PROTEIN CHMP1B-LIKE', NULL, NULL, NULL, 15),
(167412, NULL, 'PTHR23319:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167413, NULL, 'PTHR46316:SF8', NULL, NULL, NULL, NULL, 'SNF1-RELATED PROTEIN KINASE REGULATORY SUBUNIT BETA-2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(167414, NULL, 'PTHR45620:SF15', NULL, NULL, NULL, NULL, 'DIURETIC HORMONE 44 RECEPTOR 1-RELATED', NULL, NULL, NULL, 15),
(167415, NULL, 'PTHR12161:SF44', NULL, NULL, NULL, NULL, 'IST1P', NULL, NULL, NULL, 15),
(167416, NULL, 'PTHR13105:SF18', NULL, NULL, NULL, NULL, 'MYELOID LEUKEMIA FACTOR-RELATED', NULL, NULL, NULL, 15),
(167417, NULL, 'PTHR22765:SF263', NULL, NULL, NULL, NULL, 'OS11G0116550 PROTEIN', NULL, NULL, NULL, 15),
(167418, NULL, 'PTHR13009:SF26', NULL, NULL, NULL, NULL, 'ACTIVATOR OF HSP90 ATPASE, N-TERMINAL', NULL, NULL, NULL, 15),
(167419, NULL, 'PTHR31722:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167420, NULL, 'PTHR34427:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167421, NULL, 'PTHR31007:SF1', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE II INHIBITOR 2', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167422, NULL, 'PTHR15371:SF24', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM23-3', NULL, NULL, NULL, 15),
(167423, NULL, 'PTHR11945:SF425', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(167424, NULL, 'PTHR43008:SF7', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE (AFU_ORTHOLOGUE AFUA_2G00830)', NULL, NULL, NULL, 15),
(167425, NULL, 'PTHR27001:SF49', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 3', NULL, NULL, NULL, 15),
(167426, NULL, 'PTHR15316:SF10', NULL, NULL, NULL, NULL, 'BNAA09G55450D PROTEIN', NULL, NULL, NULL, 15),
(167427, NULL, 'PTHR33202:SF8', NULL, NULL, NULL, NULL, 'PEROXIDE-RESPONSIVE REPRESSOR PERR', NULL, NULL, NULL, 15),
(167428, NULL, 'PTHR33373:SF30', NULL, NULL, NULL, NULL, 'DUF4050 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(167429, NULL, 'PTHR31391:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167430, NULL, 'PTHR11036:SF18', NULL, NULL, NULL, NULL, 'SEMAPHORIN-4D', NULL, NULL, NULL, 15),
(167431, NULL, 'PTHR32093:SF133', NULL, NULL, NULL, NULL, 'BNAA07G36350D PROTEIN', NULL, NULL, NULL, 15),
(167432, NULL, 'PTHR28585', NULL, NULL, NULL, NULL, 'TUBEROINFUNDIBULAR PEPTIDE OF 39 RESIDUES', NULL, NULL, 24420, 15),
(167433, NULL, 'PTHR31985:SF153', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF038-LIKE', NULL, NULL, NULL, 15),
(167434, NULL, 'PTHR24064:SF540', NULL, NULL, NULL, NULL, 'BNAC09G17510D PROTEIN', NULL, NULL, NULL, 15),
(167435, NULL, 'PTHR47960:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167436, NULL, 'PTHR45684:SF10', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1B', NULL, NULL, NULL, 15),
(167437, NULL, 'PTHR37544', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167438, NULL, 'PTHR45974:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167439, NULL, 'PTHR31642:SF227', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', NULL, NULL, NULL, 15),
(167440, NULL, 'PTHR23201:SF97', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 14-LIKE', NULL, NULL, NULL, 15),
(167441, NULL, 'PTHR20275:SF33', NULL, NULL, NULL, NULL, 'NAD KINASE 2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(167442, NULL, 'PTHR33510:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167443, NULL, 'PTHR34002:SF5', NULL, NULL, NULL, NULL, 'BLR1656 PROTEIN', NULL, NULL, NULL, 15),
(167444, NULL, 'PTHR24286:SF290', NULL, NULL, NULL, NULL, 'ENT-KAURENOIC ACID OXIDASE 2-LIKE', NULL, NULL, NULL, 15),
(167445, NULL, 'PTHR10736:SF58', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(167446, NULL, 'PTHR33237:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167447, NULL, 'PTHR10535:SF12', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE V SUBUNIT 5C', NULL, NULL, NULL, 15),
(167448, NULL, 'PTHR11066:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG02441', NULL, NULL, NULL, 15),
(167449, NULL, 'PTHR12231:SF220', NULL, NULL, NULL, NULL, 'LACHESIN', NULL, NULL, NULL, 15),
(167450, NULL, 'PTHR11477:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(167451, NULL, 'PTHR46695:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 20', NULL, NULL, NULL, 15),
(167452, NULL, 'PTHR44598:SF1', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE 3A', NULL, NULL, NULL, 15),
(167453, NULL, 'PTHR48039', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN 14B', NULL, NULL, NULL, 15),
(167454, NULL, 'PTHR46476:SF18', NULL, NULL, NULL, NULL, 'CHITINASE 1', NULL, NULL, NULL, 15),
(167455, NULL, 'PTHR11562:SF40', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM PROTEIN', NULL, NULL, NULL, 15),
(167456, NULL, 'PTHR11461:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167457, NULL, 'PTHR22298:SF139', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(167458, NULL, 'PTHR11455:SF57', NULL, NULL, NULL, NULL, 'CRYPTOCHROME 1-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167459, NULL, 'PTHR45778:SF24', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(167460, NULL, 'PTHR47926:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167461, NULL, 'PTHR46550:SF1', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 3', NULL, NULL, NULL, 15),
(167462, NULL, 'PTHR31088:SF14', NULL, NULL, NULL, NULL, 'PROTEIN LIAH', NULL, NULL, NULL, 15),
(167463, NULL, 'PTHR30505:SF31', NULL, NULL, NULL, NULL, 'FRUCTOSE-LIKE PTS SYSTEM EIIBC COMPONENT-RELATED', NULL, NULL, NULL, 15),
(167464, NULL, 'PTHR10751:SF97', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(167465, NULL, 'PTHR31676:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167466, NULL, 'PTHR47650:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 22', NULL, NULL, NULL, 15),
(167467, NULL, 'PTHR48043:SF99', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(167468, NULL, 'PTHR23070:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167469, NULL, 'PTHR23280:SF15', NULL, NULL, NULL, NULL, 'BAND 4.1-LIKE PROTEIN 5', NULL, NULL, 24516, 15),
(167470, NULL, 'PTHR48011:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167471, NULL, 'PTHR10666', NULL, NULL, NULL, NULL, 'UBIQUITIN', NULL, NULL, NULL, 15),
(167472, NULL, 'PTHR22957:SF557', NULL, NULL, NULL, NULL, 'PLANT ADHESION MOLECULE 1', NULL, NULL, NULL, 15),
(167473, NULL, 'PTHR46521:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167474, NULL, 'PTHR10627:SF35', NULL, NULL, NULL, NULL, 'MCG56945-RELATED', NULL, NULL, NULL, 15),
(167475, NULL, 'PTHR21493:SF245', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN GOT1A', NULL, NULL, NULL, 15),
(167476, NULL, 'PTHR11918:SF45', NULL, NULL, NULL, NULL, 'THREONYLCARBAMOYLADENOSINE TRNA METHYLTHIOTRANSFERASE', NULL, NULL, NULL, 15),
(167477, NULL, 'PTHR11255:SF102', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(167478, NULL, 'PTHR14625', NULL, NULL, NULL, NULL, 'MICROCEPHALIN', NULL, NULL, 20888, 15),
(167479, NULL, 'PTHR48112', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN DSP1', NULL, NULL, NULL, 15),
(167480, NULL, 'PTHR45730:SF52', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-RELATED', NULL, NULL, NULL, 15),
(167481, NULL, 'PTHR33128:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167482, NULL, 'PTHR10291:SF15', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(167483, NULL, 'PTHR10774:SF201', NULL, NULL, NULL, NULL, 'BNAC04G21980D PROTEIN', NULL, NULL, 27558, 15),
(167484, NULL, 'PTHR47991:SF63', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(167485, NULL, 'PTHR44170:SF4', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY, MEMBER 9BA', NULL, NULL, NULL, 15),
(167486, NULL, 'PTHR38812:SF2', NULL, NULL, NULL, NULL, 'MU-LIKE PROPHAGE FLUMU PROTEIN GP42', NULL, NULL, NULL, 15),
(167487, NULL, 'PTHR11117:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167488, NULL, 'PTHR12621:SF9', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(167489, NULL, 'PTHR11017:SF389', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS CLASS)', NULL, NULL, NULL, 15),
(167490, NULL, 'PTHR33703:SF19', NULL, NULL, NULL, NULL, 'WOUND-INDUCED PROTEIN, WUN1-RELATED', NULL, NULL, NULL, 15),
(167491, NULL, 'PTHR32382:SF61', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 5', NULL, NULL, NULL, 15),
(167492, NULL, 'PTHR24298:SF842', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167493, NULL, 'PTHR26452:SF773', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 476-RELATED', NULL, NULL, NULL, 15),
(167494, NULL, 'PTHR27009:SF139', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167495, NULL, 'PTHR32285:SF228', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167496, NULL, 'PTHR47910:SF1', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE LARGE CHAIN, CATALYTIC DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(167497, NULL, 'PTHR37550:SF1', NULL, NULL, NULL, NULL, 'SSL1300 PROTEIN', NULL, NULL, NULL, 15),
(167498, NULL, 'PTHR24242:SF90', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 11H6', NULL, NULL, NULL, 15),
(167499, NULL, 'PTHR33090:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167500, NULL, 'PTHR31221:SF177', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 28-RELATED', NULL, NULL, NULL, 15),
(167501, NULL, 'PTHR36487:SF2', NULL, NULL, NULL, NULL, 'OS08G0343501 PROTEIN', NULL, NULL, NULL, 15),
(167502, NULL, 'PTHR10891:SF743', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML42', NULL, NULL, NULL, 15),
(167503, NULL, 'PTHR10177:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167504, NULL, 'PTHR31707:SF286', NULL, NULL, NULL, NULL, 'PECTINESTERASE, CATALYTIC-RELATED', NULL, NULL, NULL, 15),
(167505, NULL, 'PTHR10622', NULL, NULL, NULL, NULL, 'HET DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(167506, NULL, 'PTHR23507:SF32', NULL, NULL, NULL, NULL, 'SI:DKEY-5G14.1', NULL, NULL, NULL, 15),
(167507, NULL, 'PTHR31235:SF282', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(167508, NULL, 'PTHR43742:SF3', NULL, NULL, NULL, NULL, 'DIMETHYL SULFOXIDE REDUCTASE DMSA', NULL, NULL, NULL, 15),
(167509, NULL, 'PTHR15205:SF2', NULL, NULL, NULL, NULL, 'DEATH EFFECTOR DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(167510, NULL, 'PTHR34449:SF6', NULL, NULL, NULL, NULL, 'ATP BINDING / ATPASE', NULL, NULL, NULL, 15),
(167511, NULL, 'PTHR16254:SF19', NULL, NULL, NULL, NULL, 'K(+) EFFLUX ANTIPORTER 4-LIKE', NULL, NULL, NULL, 15),
(167512, NULL, 'PTHR24342:SF14', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE DAPK-1', NULL, NULL, NULL, 15),
(167513, NULL, 'PTHR48041:SF65', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(167514, NULL, 'PTHR19367:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167515, NULL, 'PTHR28187', NULL, NULL, NULL, NULL, 'PROTEIN RCR1-RELATED', NULL, NULL, 20852, 15),
(167516, NULL, 'PTHR37013', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_1G05950)-RELATED', NULL, NULL, NULL, 15),
(167517, NULL, 'PTHR11803:SF48', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167518, NULL, 'PTHR12161:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167519, NULL, 'PTHR32331:SF0', NULL, NULL, NULL, NULL, 'UPF0313 PROTEIN YGIQ', NULL, NULL, NULL, 15),
(167520, NULL, 'PTHR24128:SF14', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT31-RELATED', NULL, NULL, NULL, 15),
(167521, NULL, 'PTHR48041:SF11', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(167522, NULL, 'PTHR12231:SF253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167523, NULL, 'PTHR47052:SF7', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167524, NULL, 'PTHR15730:SF1', NULL, NULL, NULL, NULL, 'TRPM8 CHANNEL-ASSOCIATED FACTOR 1', NULL, NULL, NULL, 15),
(167525, NULL, 'PTHR10366:SF731', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167526, NULL, 'PTHR45666:SF32', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 7-LIKE', NULL, NULL, NULL, 15),
(167527, NULL, 'PTHR33021:SF196', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(167528, NULL, 'PTHR31896:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167529, NULL, 'PTHR47491:SF3', NULL, NULL, NULL, NULL, 'OS07G0686400 PROTEIN', NULL, NULL, NULL, 15),
(167530, NULL, 'PTHR15092', NULL, NULL, NULL, NULL, 'POLY A -SPECIFIC RIBONUCLEASE/TARGET OF EGR1, MEMBER 1', NULL, NULL, NULL, 15),
(167531, NULL, 'PTHR31669:SF42', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 4', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167532, NULL, 'PTHR22907:SF11', NULL, NULL, NULL, NULL, 'CUTICLIN', NULL, NULL, NULL, 15),
(167533, NULL, 'PTHR11937:SF423', NULL, NULL, NULL, NULL, 'CYTOPLASMATIC ACTIN', NULL, NULL, NULL, 15),
(167534, NULL, 'PTHR43355:SF2', NULL, NULL, NULL, NULL, 'FLAVIN REDUCTASE (NADPH)', NULL, NULL, NULL, 15),
(167535, NULL, 'PTHR23428:SF255', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(167536, NULL, 'PTHR30146:SF98', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR GALR', NULL, NULL, NULL, 15),
(167537, NULL, 'PTHR12619:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RFX3', NULL, NULL, NULL, 15),
(167538, NULL, 'PTHR22846:SF62', NULL, NULL, NULL, NULL, 'F-BOX-LIKE/WD REPEAT-CONTAINING PROTEIN TBL1XR1 ISOFORM X1', NULL, NULL, NULL, 15),
(167539, NULL, 'PTHR24134:SF7', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(167540, NULL, 'PTHR45811:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167541, NULL, 'PTHR11783:SF209', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(167542, NULL, 'PTHR24093:SF478', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 6, PLASMA MEMBRANE-TYPE-RELATED', NULL, NULL, NULL, 15),
(167543, NULL, 'PTHR45932:SF22', NULL, NULL, NULL, NULL, 'BNAC09G40150D PROTEIN', NULL, NULL, NULL, 15),
(167544, NULL, 'PTHR24095:SF217', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', NULL, NULL, NULL, 15),
(167545, NULL, 'PTHR48017:SF152', NULL, NULL, NULL, NULL, 'VACUOLAR AMINO ACID TRANSPORTER 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(167546, NULL, 'PTHR11938:SF139', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE 1 [NADH], CHLOROPLASTIC', NULL, NULL, NULL, 15),
(167547, NULL, 'PTHR10288:SF158', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR 2 MRNA-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(167548, NULL, 'PTHR43652', NULL, NULL, NULL, NULL, 'BASIC AMINO ACID ANTIPORTER YFCC-RELATED', NULL, NULL, NULL, 15),
(167549, NULL, 'PTHR13866:SF16', NULL, NULL, NULL, NULL, 'SPARC-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(167550, NULL, 'PTHR43411', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE LYASE', NULL, NULL, NULL, 15),
(167551, NULL, 'PTHR33403:SF17', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1-LIKE 4', NULL, NULL, NULL, 15),
(167552, NULL, 'PTHR10151:SF114', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE C27A7.1', NULL, NULL, NULL, 15),
(167553, NULL, 'PTHR35675:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC100362216', NULL, NULL, NULL, 15),
(167554, NULL, 'PTHR26453:SF630', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2L5', NULL, NULL, NULL, 15),
(167555, NULL, 'PTHR12989:SF11', NULL, NULL, NULL, NULL, 'DOL-P-GLC:GLC(2)MAN(9)GLCNAC(2)-PP-DOL ALPHA-1,2-GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(167556, NULL, 'PTHR31246:SF4', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-3', NULL, NULL, NULL, 15),
(167557, NULL, 'PTHR11820:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167558, NULL, 'PTHR42683:SF40', NULL, NULL, NULL, NULL, '8-HYDROXYGERANIOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(167559, NULL, 'PTHR47958:SF86', NULL, NULL, NULL, NULL, 'DEAD-BOX HELICASE 3 X-LINKED B', NULL, NULL, NULL, 15),
(167560, NULL, 'PTHR13271:SF104', NULL, NULL, NULL, NULL, 'SET DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(167561, NULL, 'PTHR23418', NULL, NULL, NULL, NULL, 'ACIREDUCTONE DIOXYGENASE', NULL, NULL, 4697, 15),
(167562, NULL, 'PTHR12749', NULL, NULL, NULL, NULL, 'EXCISION REPAIR CROSS-COMPLEMENTING 1 ERCC1', NULL, NULL, 789, 15),
(167563, NULL, 'PTHR38826', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC13', NULL, NULL, NULL, 15),
(167564, NULL, 'PTHR42896:SF4', NULL, NULL, NULL, NULL, 'OS08G0485900 PROTEIN', NULL, NULL, NULL, 15),
(167565, NULL, 'PTHR32141:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167566, NULL, 'PTHR42880:SF1', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE 2', NULL, NULL, NULL, 15),
(167567, NULL, 'PTHR11255:SF93', NULL, NULL, NULL, NULL, 'EYE-SPECIFIC DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167568, NULL, 'PTHR36619:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167569, NULL, 'PTHR35687:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167570, NULL, 'PTHR11802:SF373', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(167571, NULL, 'PTHR45770:SF31', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(167572, NULL, 'PTHR21266:SF32', NULL, NULL, NULL, NULL, 'NEVERLAND', NULL, NULL, NULL, 15),
(167573, NULL, 'PTHR24343:SF128', NULL, NULL, NULL, NULL, 'SPERM MOTILITY KINASE X-RELATED', NULL, NULL, NULL, 15),
(167574, NULL, 'PTHR31875:SF6', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19', NULL, NULL, NULL, 15),
(167575, NULL, 'PTHR46756:SF7', NULL, NULL, NULL, NULL, 'GAS2-LIKE PROTEIN 3', NULL, NULL, 27341, 15),
(167576, NULL, 'PTHR22625:SF4', NULL, NULL, NULL, NULL, 'PLEXIN-C1', NULL, NULL, NULL, 15),
(167577, NULL, 'PTHR31313:SF82', NULL, NULL, NULL, NULL, 'ACTIVATORY PROTEIN CHA4-RELATED', NULL, NULL, NULL, 15),
(167578, NULL, 'PTHR31879:SF6', NULL, NULL, NULL, NULL, 'DET1- AND DDB1-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(167579, NULL, 'PTHR10788:SF103', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 20, TREHALOSE-PHOSPHATASE, HAD-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167580, NULL, 'PTHR27004:SF357', NULL, NULL, NULL, NULL, 'BNAA05G10310D PROTEIN', NULL, NULL, NULL, 15),
(167581, NULL, 'PTHR23353:SF21', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN U', NULL, NULL, NULL, 15),
(167582, NULL, 'PTHR15494', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING TYROSINE PHOSPHORYLATION-REGULATED PROTEIN', NULL, NULL, 35835, 15),
(167583, NULL, 'PTHR40074:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YCFT-RELATED', NULL, NULL, NULL, 15),
(167584, NULL, 'PTHR46207', NULL, NULL, NULL, NULL, 'PROTEIN RCC2', NULL, NULL, 29356, 15),
(167585, NULL, 'PTHR19918:SF1', NULL, NULL, NULL, NULL, 'FIZZY-RELATED PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(167586, NULL, 'PTHR20884:SF17', NULL, NULL, NULL, NULL, 'GDP-L-GALACTOSE PHOSPHORYLASE 2', NULL, NULL, NULL, 15),
(167587, NULL, 'PTHR22809:SF3', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(167588, NULL, 'PTHR23155:SF1060', NULL, NULL, NULL, NULL, 'NBS-LRR DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(167589, NULL, 'PTHR37378:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167590, NULL, 'PTHR32227:SF325', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(167591, NULL, 'PTHR23065:SF22', NULL, NULL, NULL, NULL, 'SI:CH211-51C14.1', NULL, NULL, NULL, 15),
(167592, NULL, 'PTHR33782:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167593, NULL, 'PTHR33191:SF47', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(167594, NULL, 'PTHR11654:SF428', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER', NULL, NULL, NULL, 15),
(167595, NULL, 'PTHR11814:SF180', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER SULP-8A', NULL, NULL, NULL, 15),
(167596, NULL, 'PTHR47116:SF17', NULL, NULL, NULL, NULL, 'OS03G0172400 PROTEIN', NULL, NULL, NULL, 15),
(167597, NULL, 'PTHR24281:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167598, NULL, 'PTHR43350', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT ALCOHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(167599, NULL, 'PTHR39352', NULL, NULL, NULL, NULL, 'PROTEIN CBG14251', NULL, NULL, NULL, 15),
(167600, NULL, 'PTHR11206:SF408', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(167601, NULL, 'PTHR37337:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING GLUTAMATE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(167602, NULL, 'PTHR31019:SF1', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 14', NULL, NULL, NULL, 15),
(167603, NULL, 'PTHR31867:SF184', NULL, NULL, NULL, NULL, 'EXPANSIN-A24', NULL, NULL, NULL, 15),
(167604, NULL, 'PTHR33305:SF39', NULL, NULL, NULL, NULL, 'OS09G0490200 PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167605, NULL, 'PTHR23001:SF33', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5', NULL, NULL, NULL, 15),
(167606, NULL, 'PTHR11746:SF238', NULL, NULL, NULL, NULL, 'BNAC01G20290D PROTEIN', NULL, NULL, NULL, 15),
(167607, NULL, 'PTHR12011:SF443', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR G11', NULL, NULL, NULL, 15),
(167608, NULL, 'PTHR22600:SF18', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE', NULL, NULL, NULL, 15),
(167609, NULL, 'PTHR33491:SF14', NULL, NULL, NULL, NULL, 'OS02G0632900 PROTEIN', NULL, NULL, NULL, 15),
(167610, NULL, 'PTHR48043:SF41', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(167611, NULL, 'PTHR12398:SF33', NULL, NULL, NULL, NULL, 'BNAA03G12720D PROTEIN', NULL, NULL, NULL, 15),
(167612, NULL, 'PTHR11426:SF204', NULL, NULL, NULL, NULL, 'HISTONE H3.1', NULL, NULL, NULL, 15),
(167613, NULL, 'PTHR46641:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG01619', NULL, NULL, NULL, 15),
(167614, NULL, 'PTHR11991:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167615, NULL, 'PTHR13347:SF1', NULL, NULL, NULL, NULL, 'HEAT REPEAT-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(167616, NULL, 'PTHR13523:SF15', NULL, NULL, NULL, NULL, 'CHCH DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(167617, NULL, 'PTHR46128:SF115', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(167618, NULL, 'PTHR31476:SF14', NULL, NULL, NULL, NULL, 'OS09G0473400 PROTEIN', NULL, NULL, NULL, 15),
(167619, NULL, 'PTHR23197:SF9', NULL, NULL, NULL, NULL, 'RE03558P', NULL, NULL, NULL, 15),
(167620, NULL, 'PTHR14167:SF62', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SH3RF3', NULL, NULL, 26994, 15),
(167621, NULL, 'PTHR38563', NULL, NULL, NULL, NULL, 'FL(2)D-ASSOCIATED COMPLEX COMPONENT', NULL, NULL, 34153, 15),
(167622, NULL, 'PTHR48054:SF29', NULL, NULL, NULL, NULL, 'SYSTEMIN RECEPTOR SR160-LIKE', NULL, NULL, NULL, 15),
(167623, NULL, 'PTHR31390:SF24', NULL, NULL, NULL, NULL, 'TUBBY C-TERMINAL-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167624, NULL, 'PTHR10759:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', NULL, NULL, NULL, 15),
(167625, NULL, 'PTHR13090', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(167626, NULL, 'PTHR31645:SF69', NULL, NULL, NULL, NULL, 'BNAA06G20330D PROTEIN', NULL, NULL, NULL, 15),
(167627, NULL, 'PTHR22883:SF316', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 21', NULL, NULL, NULL, 15),
(167628, NULL, 'PTHR12210:SF129', NULL, NULL, NULL, NULL, 'CTD SMALL PHOSPHATASE-LIKE PROTEIN 2 ISOFORM X1', NULL, NULL, NULL, 15),
(167629, NULL, 'PTHR26451:SF962', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(167630, NULL, 'PTHR19845:SF17', NULL, NULL, NULL, NULL, 'KATANIN P80 WD40 REPEAT-CONTAINING SUBUNIT B1 HOMOLOG', NULL, NULL, NULL, 15),
(167631, NULL, 'PTHR33543', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 2A', NULL, NULL, 4742, 15),
(167632, NULL, 'PTHR10836:SF79', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE, TESTIS-SPECIFIC', NULL, NULL, NULL, 15),
(167633, NULL, 'PTHR31589:SF16', NULL, NULL, NULL, NULL, 'PEPTIDASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(167634, NULL, 'PTHR38772', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 5662, 15),
(167635, NULL, 'PTHR24410:SF34', NULL, NULL, NULL, NULL, 'LD40565P', NULL, NULL, NULL, 15),
(167636, NULL, 'PTHR23334:SF45', NULL, NULL, NULL, NULL, 'PROTEIN MABIKI', NULL, NULL, NULL, 15),
(167637, NULL, 'PTHR11351:SF39', NULL, NULL, NULL, NULL, 'ACYL-COA DESATURASE 3', NULL, NULL, NULL, 15),
(167638, NULL, 'PTHR46128:SF182', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(167639, NULL, 'PTHR33065:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167640, NULL, 'PTHR47611:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167641, NULL, 'PTHR11461:SF327', NULL, NULL, NULL, NULL, 'SERPIN-ZX-LIKE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167642, NULL, 'PTHR42985:SF11', NULL, NULL, NULL, NULL, 'SODIUM/IODIDE COTRANSPORTER', NULL, NULL, NULL, 15),
(167643, NULL, 'PTHR12460:SF30', NULL, NULL, NULL, NULL, 'CID DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(167644, NULL, 'PTHR24369:SF102', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 4B', NULL, NULL, 28755, 15),
(167645, NULL, 'PTHR45621:SF97', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(167646, NULL, 'PTHR13076:SF5', NULL, NULL, NULL, NULL, 'COILED-COIL AND C2 DOMAIN-CONTAINING PROTEIN 1B', NULL, NULL, NULL, 15),
(167647, NULL, 'PTHR10209:SF784', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 3', NULL, NULL, NULL, 15),
(167648, NULL, 'PTHR24086:SF24', NULL, NULL, NULL, NULL, 'STEROIDOGENIC FACTOR 1', NULL, NULL, NULL, 15),
(167649, NULL, 'PTHR24177:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167650, NULL, 'PTHR10558:SF6', NULL, NULL, NULL, NULL, 'SOMATOSTATIN 1, TANDEM DUPLICATE 2', NULL, NULL, NULL, 15),
(167651, NULL, 'PTHR45758:SF14', NULL, NULL, NULL, NULL, 'YALI0F00418P', NULL, NULL, NULL, 15),
(167652, NULL, 'PTHR21562:SF52', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 11', NULL, NULL, NULL, 15),
(167653, NULL, 'PTHR45973:SF17', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 7', NULL, NULL, NULL, 15),
(167654, NULL, 'PTHR11932:SF163', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167655, NULL, 'PTHR31384:SF108', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(167656, NULL, 'PTHR11689:SF67', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-A', NULL, NULL, NULL, 15),
(167657, NULL, 'PTHR31089:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167658, NULL, 'PTHR24229:SF4', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 1', NULL, NULL, NULL, 15),
(167659, NULL, 'PTHR48073:SF5', NULL, NULL, NULL, NULL, 'O-SUCCINYLBENZOATE SYNTHASE', NULL, NULL, 4180, 15),
(167660, NULL, 'PTHR11984:SF32', NULL, NULL, NULL, NULL, 'GAP JUNCTION DELTA-2 PROTEIN', NULL, NULL, NULL, 15),
(167661, NULL, 'PTHR37206:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(167662, NULL, 'PTHR30509:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167663, NULL, 'PTHR22747:SF37', NULL, NULL, NULL, NULL, 'NUCLEOPHOSMIN 1B', NULL, NULL, NULL, 15),
(167664, NULL, 'PTHR45926:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE4', NULL, NULL, NULL, 15),
(167665, NULL, 'PTHR45763:SF53', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167666, NULL, 'PTHR23527:SF1', NULL, NULL, NULL, NULL, 'BLL3282 PROTEIN', NULL, NULL, NULL, 15),
(167667, NULL, 'PTHR11017:SF425', NULL, NULL, NULL, NULL, 'NB-ARC-RELATED', NULL, NULL, NULL, 15),
(167668, NULL, 'PTHR31568:SF92', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH TRANSMEMBRANE CYSTM DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167669, NULL, 'PTHR27005:SF297', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 17-RELATED', NULL, NULL, NULL, 15),
(167670, NULL, 'PTHR10465:SF1', NULL, NULL, NULL, NULL, 'MITOFUSIN-2', NULL, NULL, 22039, 15),
(167671, NULL, 'PTHR10290:SF17', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE I', NULL, NULL, NULL, 15),
(167672, NULL, 'PTHR10788:SF81', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 10-RELATED', NULL, NULL, NULL, 15),
(167673, NULL, 'PTHR24223:SF360', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN LETHAL(2)03659-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167674, NULL, 'PTHR46957:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE BETA', NULL, NULL, NULL, 15),
(167675, NULL, 'PTHR31642:SF200', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167676, NULL, 'PTHR10836:SF100', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(167677, NULL, 'PTHR11709:SF256', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167678, NULL, 'PTHR46058:SF21', NULL, NULL, NULL, NULL, 'BNAA08G07050D PROTEIN', NULL, NULL, NULL, 15),
(167679, NULL, 'PTHR46392:SF1', NULL, NULL, NULL, NULL, 'DUAL SERINE/THREONINE AND TYROSINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(167680, NULL, 'PTHR31428:SF6', NULL, NULL, NULL, NULL, 'RGM DOMAIN FAMILY MEMBER DRAG-1', NULL, NULL, NULL, 15),
(167681, NULL, 'PTHR23084:SF226', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-4-PHOSPHATE 5-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(167682, NULL, 'PTHR43191:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167683, NULL, 'PTHR44329:SF104', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY46-LIKE', NULL, NULL, NULL, 15),
(167684, NULL, 'PTHR47381', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(167685, NULL, 'PTHR10666:SF238', NULL, NULL, NULL, NULL, 'GH17761P', NULL, NULL, NULL, 15),
(167686, NULL, 'PTHR11673:SF36', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-1', NULL, NULL, NULL, 15),
(167687, NULL, 'PTHR31698:SF7', NULL, NULL, NULL, NULL, 'LYSOZYME 3-LIKE', NULL, NULL, NULL, 15),
(167688, NULL, 'PTHR16469:SF49', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(167689, NULL, 'PTHR32285:SF160', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 39', NULL, NULL, NULL, 15),
(167690, NULL, 'PTHR43880:SF7', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE 7', NULL, NULL, NULL, 15),
(167691, NULL, 'PTHR40631:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167692, NULL, 'PTHR12801:SF142', NULL, NULL, NULL, NULL, 'BNACNNG40580D PROTEIN', NULL, NULL, NULL, 15),
(167693, NULL, 'PTHR31972:SF59', NULL, NULL, NULL, NULL, 'BNAC01G39880D PROTEIN', NULL, NULL, NULL, 15),
(167694, NULL, 'PTHR47074:SF22', NULL, NULL, NULL, NULL, 'BNAC02G24850D PROTEIN', NULL, NULL, NULL, 15),
(167695, NULL, 'PTHR47771', NULL, NULL, NULL, NULL, 'LD27203P-RELATED', NULL, NULL, NULL, 15),
(167696, NULL, 'PTHR10334:SF415', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(167697, NULL, 'PTHR45711:SF9', NULL, NULL, NULL, NULL, 'ANION/PROTON EXCHANGE TRANSPORTER GEF1', NULL, NULL, NULL, 15),
(167698, NULL, 'PTHR24271:SF22', NULL, NULL, NULL, NULL, 'MAST CELL PROTEASE 8', NULL, NULL, NULL, 15),
(167699, NULL, 'PTHR31194:SF139', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR WIN1-LIKE', NULL, NULL, NULL, 15),
(167700, NULL, 'PTHR47985:SF37', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(167701, NULL, 'PTHR10314:SF196', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167702, NULL, 'PTHR23317:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167703, NULL, 'PTHR21014:SF2', NULL, NULL, NULL, NULL, 'TYPE 1 PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 4-PHOSPHATASE', NULL, NULL, NULL, 15),
(167704, NULL, 'PTHR14918:SF3', NULL, NULL, NULL, NULL, 'KICSTOR COMPLEX PROTEIN SZT2', NULL, NULL, NULL, 15),
(167705, NULL, 'PTHR10383:SF16', NULL, NULL, NULL, NULL, 'SERINE INCORPORATOR 5', NULL, NULL, 21785, 15),
(167706, NULL, 'PTHR24068:SF367', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 30', NULL, NULL, NULL, 15),
(167707, NULL, 'PTHR13179', NULL, NULL, NULL, NULL, 'DEP DOMAIN CONTAINING PROTEIN 5', NULL, NULL, 28068, 15),
(167708, NULL, 'PTHR35365:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167709, NULL, 'PTHR31639:SF222', NULL, NULL, NULL, NULL, 'FBD, F-BOX AND LRR PROTEIN', NULL, NULL, NULL, 15),
(167710, NULL, 'PTHR32094:SF5', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP E PROTEIN', NULL, NULL, NULL, 15),
(167711, NULL, 'PTHR31744:SF73', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 46', NULL, NULL, NULL, 15),
(167712, NULL, 'PTHR30457:SF17', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE SURE-LIKE', NULL, NULL, NULL, 15),
(167713, NULL, 'PTHR31413:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167714, NULL, 'PTHR23115:SF243', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167715, NULL, 'PTHR24028:SF146', NULL, NULL, NULL, NULL, 'CADHERIN-87A', NULL, NULL, NULL, 15),
(167716, NULL, 'PTHR47929:SF3', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(167717, NULL, 'PTHR47979:SF63', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB11C', NULL, NULL, NULL, 15),
(167718, NULL, 'PTHR31657:SF36', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF054', NULL, NULL, NULL, 15),
(167719, NULL, 'PTHR43611:SF3', NULL, NULL, NULL, NULL, 'FLAVIN MONONUCLEOTIDE HYDROLASE 1, CHLOROPLATIC', NULL, NULL, NULL, 15),
(167720, NULL, 'PTHR41967:SF6', NULL, NULL, NULL, NULL, 'FI19406P1-RELATED', NULL, NULL, NULL, 15),
(167721, NULL, 'PTHR40394', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(167722, NULL, 'PTHR11738:SF168', NULL, NULL, NULL, NULL, 'KILLER CELL IMMUNOGLOBULIN-LIKE RECEPTOR 2DL2-RELATED', NULL, NULL, NULL, 15),
(167723, NULL, 'PTHR31360:SF11', NULL, NULL, NULL, NULL, 'OIL BODY-ASSOCIATED PROTEIN 2C', NULL, NULL, NULL, 15),
(167724, NULL, 'PTHR44259:SF9', NULL, NULL, NULL, NULL, 'OS01G0183800 PROTEIN', NULL, NULL, NULL, 15),
(167725, NULL, 'PTHR11769:SF20', NULL, NULL, NULL, NULL, 'HYALURONIDASE PH-20', NULL, NULL, NULL, 15),
(167726, NULL, 'PTHR43600:SF3', NULL, NULL, NULL, NULL, 'F420-NON-REDUCING HYDROGENASE VHU SUBUNIT A', NULL, NULL, NULL, 15),
(167727, NULL, 'PTHR32295:SF191', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(167728, NULL, 'PTHR45900:SF7', NULL, NULL, NULL, NULL, 'OS01G0901200 PROTEIN', NULL, NULL, NULL, 15),
(167729, NULL, 'PTHR13968:SF29', NULL, NULL, NULL, NULL, 'RNA-BINDING RALY-LIKE PROTEIN', NULL, NULL, NULL, 15),
(167730, NULL, 'PTHR14207:SF1', NULL, NULL, NULL, NULL, 'EMOPAMIL-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(167731, NULL, 'PTHR45652:SF11', NULL, NULL, NULL, NULL, 'NOTOCHORD GRANULAR SURFACE-RELATED', NULL, NULL, NULL, 15),
(167732, NULL, 'PTHR12899:SF12', NULL, NULL, NULL, NULL, 'OS09G0549700 PROTEIN', NULL, NULL, NULL, 15),
(167733, NULL, 'PTHR48011:SF66', NULL, NULL, NULL, NULL, 'BNAC03G16670D PROTEIN', NULL, NULL, NULL, 15),
(167734, NULL, 'PTHR45940:SF21', NULL, NULL, NULL, NULL, 'BNAA06G25450D PROTEIN', NULL, NULL, NULL, 15),
(167735, NULL, 'PTHR43016:SF13', NULL, NULL, NULL, NULL, 'PRESEQUENCE PROTEASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(167736, NULL, 'PTHR13743:SF125', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167737, NULL, 'PTHR10809:SF114', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 4-1-LIKE', NULL, NULL, NULL, 15),
(167738, NULL, 'PTHR35072', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 91', NULL, NULL, 4804, 15),
(167739, NULL, 'PTHR25462:SF278', NULL, NULL, NULL, NULL, 'MOTIF PROTEIN TRIM9, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167740, NULL, 'PTHR35186:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167741, NULL, 'PTHR10627:SF73', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167742, NULL, 'PTHR16056:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167743, NULL, 'PTHR33076:SF141', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(167744, NULL, 'PTHR11761:SF35', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN HLP, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(167745, NULL, 'PTHR10562:SF14', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 1', NULL, NULL, NULL, 15),
(167746, NULL, 'PTHR23056:SF112', NULL, NULL, NULL, NULL, 'BNAA03G52310D PROTEIN', NULL, NULL, NULL, 15),
(167747, NULL, 'PTHR31675:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CRABS CLAW', NULL, NULL, NULL, 15),
(167748, NULL, 'PTHR45811:SF61', NULL, NULL, NULL, NULL, 'ION-BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167749, NULL, 'PTHR46910:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PDR1', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167750, NULL, 'PTHR23135:SF19', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMOYL-L-ALANYL-D-GLUTAMATE--2, 6-DIAMINOPIMELATE LIGASE MURE HOMOLOG, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(167751, NULL, 'PTHR31707:SF329', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(167752, NULL, 'PTHR47032:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(167753, NULL, 'PTHR10226:SF3', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 11', NULL, NULL, NULL, 15),
(167754, NULL, 'PTHR31674:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167755, NULL, 'PTHR24055:SF391', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(167756, NULL, 'PTHR18905:SF13', NULL, NULL, NULL, NULL, 'BLASTODERM-SPECIFIC PROTEIN 25D', NULL, NULL, NULL, 15),
(167757, NULL, 'PTHR19443:SF19', NULL, NULL, NULL, NULL, 'HEXOKINASE-10', NULL, NULL, NULL, 15),
(167758, NULL, 'PTHR45714:SF46', NULL, NULL, NULL, NULL, 'BNAA01G34550D PROTEIN', NULL, NULL, NULL, 15),
(167759, NULL, 'PTHR35848', NULL, NULL, NULL, NULL, 'OXALATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(167760, NULL, 'PTHR24559:SF334', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167761, NULL, 'PTHR12772', NULL, NULL, NULL, NULL, 'DNA REPLICATION COMPLEX GINS PROTEIN PSF2', NULL, NULL, 6634, 15),
(167762, NULL, 'PTHR15348:SF23', NULL, NULL, NULL, NULL, 'BNAA06G14770D PROTEIN', NULL, NULL, NULL, 15),
(167763, NULL, 'PTHR21310:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167764, NULL, 'PTHR33044:SF184', NULL, NULL, NULL, NULL, 'OS03G0793800 PROTEIN', NULL, NULL, NULL, 15),
(167765, NULL, 'PTHR22881:SF12', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(167766, NULL, 'PTHR47926:SF271', NULL, NULL, NULL, NULL, 'OS08G0538800 PROTEIN', NULL, NULL, NULL, 15),
(167767, NULL, 'PTHR46756:SF8', NULL, NULL, NULL, NULL, 'GAS2-LIKE PROTEIN PICKLED EGGS', NULL, NULL, NULL, 15),
(167768, NULL, 'PTHR10822:SF32', NULL, NULL, NULL, NULL, 'GLYPICAN 4', NULL, NULL, NULL, 15),
(167769, NULL, 'PTHR23315:SF240', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(167770, NULL, 'PTHR23167:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167771, NULL, 'PTHR35307:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167772, NULL, 'PTHR12385:SF93', NULL, NULL, NULL, NULL, 'PLASMA-MEMBRANE CHOLINE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(167773, NULL, 'PTHR47359', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN DL-ENDOPEPTIDASE CWLO', NULL, NULL, NULL, 15),
(167774, NULL, 'PTHR18945:SF515', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(167775, NULL, 'PTHR31407:SF15', NULL, NULL, NULL, NULL, 'PSBP DOMAIN-CONTAINING PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(167776, NULL, 'PTHR48043:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(167777, NULL, 'PTHR24412:SF35', NULL, NULL, NULL, NULL, 'ACTIN-BINDING PROTEIN IPP', NULL, NULL, 22944, 15),
(167778, NULL, 'PTHR47881', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUBFAMILY MEMBER 4', NULL, NULL, 20144, 15),
(167779, NULL, 'PTHR33562:SF21', NULL, NULL, NULL, NULL, 'LD40063P', NULL, NULL, NULL, 15),
(167780, NULL, 'PTHR44083:SF35', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(167781, NULL, 'PTHR11712:SF327', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE I, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(167782, NULL, 'PTHR13847:SF273', NULL, NULL, NULL, NULL, 'D-AMINO ACID DEHYDROGENASE SMALL SUBUNIT', NULL, NULL, NULL, 15),
(167783, NULL, 'PTHR47746:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167784, NULL, 'PTHR48049:SF77', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 79B6', NULL, NULL, NULL, 15),
(167785, NULL, 'PTHR45746:SF5', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 7-LIKE PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167786, NULL, 'PTHR38437:SF3', NULL, NULL, NULL, NULL, 'ENDOSPORE COAT-ASSOCIATED PROTEIN YHED', NULL, NULL, NULL, 15),
(167787, NULL, 'PTHR28494', NULL, NULL, NULL, NULL, 'UPF0600 PROTEIN C5ORF51', NULL, NULL, 35030, 15),
(167788, NULL, 'PTHR46692:SF10', NULL, NULL, NULL, NULL, 'INOSINE/URIDINE-PREFERRING NUCLEOSIDE HYDROLASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167789, NULL, 'PTHR11442:SF50', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT DELTA', NULL, NULL, NULL, 15),
(167790, NULL, 'PTHR24099:SF7', NULL, NULL, NULL, NULL, 'CARDIOMYOPATHY-ASSOCIATED PROTEIN 5', NULL, NULL, NULL, 15),
(167791, NULL, 'PTHR31561:SF86', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 16', NULL, NULL, NULL, 15),
(167792, NULL, 'PTHR11214:SF275', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 8-RELATED', NULL, NULL, NULL, 15),
(167793, NULL, 'PTHR46175:SF5', NULL, NULL, NULL, NULL, 'ADAGIO PROTEIN 1', NULL, NULL, NULL, 15),
(167794, NULL, 'PTHR14225', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-III', NULL, NULL, 8771, 15),
(167795, NULL, 'PTHR31194:SF151', NULL, NULL, NULL, NULL, 'BNAANNG36370D PROTEIN', NULL, NULL, NULL, 15),
(167796, NULL, 'PTHR24381:SF288', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 454', NULL, NULL, NULL, 15),
(167797, NULL, 'PTHR21540:SF0', NULL, NULL, NULL, NULL, 'PHD FAMILY PROTEIN', NULL, NULL, NULL, 15),
(167798, NULL, 'PTHR43655:SF9', NULL, NULL, NULL, NULL, 'AFG3-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(167799, NULL, 'PTHR23064:SF55', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(167800, NULL, 'PTHR38402', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN OM14', NULL, NULL, 33294, 15),
(167801, NULL, 'PTHR46662:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167802, NULL, 'PTHR47967:SF30', NULL, NULL, NULL, NULL, 'OS01G0696800 PROTEIN', NULL, NULL, NULL, 15),
(167803, NULL, 'PTHR37884', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 25008, 15),
(167804, NULL, 'PTHR45805:SF5', NULL, NULL, NULL, NULL, 'RAR-RELATED ORPHAN RECEPTOR C', NULL, NULL, NULL, 15),
(167805, NULL, 'PTHR12917:SF17', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(167806, NULL, 'PTHR24026:SF96', NULL, NULL, NULL, NULL, 'CADHERIN-86C', NULL, NULL, NULL, 15),
(167807, NULL, 'PTHR23255:SF72', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN SERINE/THREONINE KINASE', NULL, NULL, NULL, 15),
(167808, NULL, 'PTHR13696:SF95', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', NULL, NULL, NULL, 15),
(167809, NULL, 'PTHR10366:SF601', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167810, NULL, 'PTHR43490:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167811, NULL, 'PTHR32071', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(167812, NULL, 'PTHR48047:SF77', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73C7', NULL, NULL, NULL, 15),
(167813, NULL, 'PTHR37823:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C-553-LIKE', NULL, NULL, NULL, 15),
(167814, NULL, 'PTHR21141:SF94', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2-1', NULL, NULL, NULL, 15),
(167815, NULL, 'PTHR48033:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167816, NULL, 'PTHR24031:SF735', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-2', NULL, NULL, NULL, 15),
(167817, NULL, 'PTHR31100:SF20', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(167818, NULL, 'PTHR21576:SF129', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', NULL, NULL, NULL, 15),
(167819, NULL, 'PTHR22914:SF38', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 2', NULL, NULL, NULL, 15),
(167820, NULL, 'PTHR10339:SF1', NULL, NULL, NULL, NULL, 'ECTO-ADP-RIBOSYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(167821, NULL, 'PTHR42647:SF34', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167822, NULL, 'PTHR47149:SF1', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN RMF', NULL, NULL, NULL, 15),
(167823, NULL, 'PTHR47075:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH062', NULL, NULL, NULL, 15),
(167824, NULL, 'PTHR33044:SF190', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(167825, NULL, 'PTHR11098:SF25', NULL, NULL, NULL, NULL, 'NICOTINATE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(167826, NULL, 'PTHR46671:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG11221', NULL, NULL, NULL, 15),
(167827, NULL, 'PTHR32502:SF3', NULL, NULL, NULL, NULL, 'D-GALACTOSAMINE-6-PHOSPHATE DEAMINASE AGAS-RELATED', NULL, NULL, NULL, 15),
(167828, NULL, 'PTHR24286:SF310', NULL, NULL, NULL, NULL, 'BNACNNG57040D PROTEIN', NULL, NULL, NULL, 15),
(167829, NULL, 'PTHR21224:SF1', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(167830, NULL, 'PTHR43895:SF63', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(167831, NULL, 'PTHR11537:SF128', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY KQT MEMBER 5', NULL, NULL, 37329, 15),
(167832, NULL, 'PTHR45720:SF5', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(167833, NULL, 'PTHR31642:SF9', NULL, NULL, NULL, NULL, 'BENZYL ALCOHOL O-BENZOYLTRANSFERASE', NULL, NULL, NULL, 15),
(167834, NULL, 'PTHR23266:SF296', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA CONSTANT 7', NULL, NULL, NULL, 15),
(167835, NULL, 'PTHR11753:SF40', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT SIGMA-1', NULL, NULL, NULL, 15),
(167836, NULL, 'PTHR45618:SF15', NULL, NULL, NULL, NULL, 'UCP2L PROTEIN', NULL, NULL, NULL, 15),
(167837, NULL, 'PTHR33147:SF67', NULL, NULL, NULL, NULL, 'GAMMA-THIONIN-RELATED', NULL, NULL, NULL, 15),
(167838, NULL, 'PTHR45851', NULL, NULL, NULL, NULL, 'MYC PROTO-ONCOGENE', NULL, NULL, NULL, 15),
(167839, NULL, 'PTHR18966:SF401', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(167840, NULL, 'PTHR43874', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, 38606, 15),
(167841, NULL, 'PTHR24174:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167842, NULL, 'PTHR11360:SF275', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 16 MEMBER 6A', NULL, NULL, NULL, 15),
(167843, NULL, 'PTHR43791:SF58', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04470)-RELATED', NULL, NULL, NULL, 15),
(167844, NULL, 'PTHR37433:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG08578', NULL, NULL, NULL, 15),
(167845, NULL, 'PTHR33690:SF2', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 241 MEMBER B-RELATED', NULL, NULL, NULL, 15),
(167846, NULL, 'PTHR21517:SF3', NULL, NULL, NULL, NULL, 'APICAL JUNCTION COMPONENT 1 HOMOLOG', NULL, NULL, NULL, 15),
(167847, NULL, 'PTHR20883:SF37', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE', NULL, NULL, NULL, 15),
(167848, NULL, 'PTHR40351:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG19320', NULL, NULL, NULL, 15),
(167849, NULL, 'PTHR13806:SF16', NULL, NULL, NULL, NULL, 'FLOTILLIN-1', NULL, NULL, NULL, 15),
(167850, NULL, 'PTHR13382:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167851, NULL, 'PTHR44067:SF6', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(167852, NULL, 'PTHR24376:SF157', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(167853, NULL, 'PTHR33124:SF54', NULL, NULL, NULL, NULL, 'HLH DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167854, NULL, 'PTHR43488', NULL, NULL, NULL, NULL, 'GLUTAMATE-PYRUVATE AMINOTRANSFERASE ALAA', NULL, NULL, NULL, 15),
(167855, NULL, 'PTHR10828:SF48', NULL, NULL, NULL, NULL, 'M-PHASE INDUCER PHOSPHATASE 2', NULL, NULL, NULL, 15),
(167856, NULL, 'PTHR31218:SF341', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(167857, NULL, 'PTHR24253:SF79', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 41', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167858, NULL, 'PTHR31374:SF242', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(167859, NULL, 'PTHR14399', NULL, NULL, NULL, NULL, 'P53-INDUCED PROTEIN RELATED', NULL, NULL, 18413, 15),
(167860, NULL, 'PTHR47591:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT2-RELATED', NULL, NULL, NULL, 15),
(167861, NULL, 'PTHR22879:SF14', NULL, NULL, NULL, NULL, 'NUT FAMILY MEMBER 2A-RELATED', NULL, NULL, NULL, 15),
(167862, NULL, 'PTHR21454:SF31', NULL, NULL, NULL, NULL, 'DIPHTHAMIDE BIOSYNTHESIS PROTEIN 4', NULL, NULL, NULL, 15),
(167863, NULL, 'PTHR22427', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(167864, NULL, 'PTHR23317:SF81', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 11', NULL, NULL, NULL, 15),
(167865, NULL, 'PTHR31225:SF62', NULL, NULL, NULL, NULL, '1,8-CINEOLE SYNTHASE 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(167866, NULL, 'PTHR24384:SF94', NULL, NULL, NULL, NULL, 'MCG23719', NULL, NULL, NULL, 15),
(167867, NULL, 'PTHR47678:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-33C12.4', NULL, NULL, NULL, 15),
(167868, NULL, 'PTHR31391:SF3', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS05G0481400', NULL, NULL, NULL, 15),
(167869, NULL, 'PTHR34121:SF4', NULL, NULL, NULL, NULL, 'OS05G0162200 PROTEIN', NULL, NULL, NULL, 15),
(167870, NULL, 'PTHR22950:SF631', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER ANTL1-LIKE', NULL, NULL, NULL, 15),
(167871, NULL, 'PTHR11977:SF57', NULL, NULL, NULL, NULL, 'VILLIN-LIKE PROTEIN QUAIL', NULL, NULL, 24645, 15),
(167872, NULL, 'PTHR24072:SF310', NULL, NULL, NULL, NULL, 'RHO-RELATED PROTEIN RACC', NULL, NULL, NULL, 15),
(167873, NULL, 'PTHR31238:SF163', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(167874, NULL, 'PTHR28366', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(167875, NULL, 'PTHR47025:SF6', NULL, NULL, NULL, NULL, 'N-LYSINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(167876, NULL, 'PTHR10257:SF74', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 57 KDA REGULATORY SUBUNIT B'' BETA ISOFORM', NULL, NULL, NULL, 15),
(167877, NULL, 'PTHR15371:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM23-RELATED', NULL, NULL, NULL, 15),
(167878, NULL, 'PTHR48002:SF36', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(167879, NULL, 'PTHR33371', NULL, NULL, NULL, NULL, 'INTERMEMBRANE PHOSPHOLIPID TRANSPORT SYSTEM BINDING PROTEIN MLAD-RELATED', NULL, NULL, NULL, 15),
(167880, NULL, 'PTHR45935:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ZBED8', NULL, NULL, NULL, 15),
(167881, NULL, 'PTHR12169:SF22', NULL, NULL, NULL, NULL, 'AFG1-LIKE ATPASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(167882, NULL, 'PTHR15453:SF9', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR 2, MITOCHONDRIAL CALCIUM REGULATOR A', NULL, NULL, NULL, 15),
(167883, NULL, 'PTHR19432:SF75', NULL, NULL, NULL, NULL, 'BNAA03G52810D PROTEIN', NULL, NULL, NULL, 15),
(167884, NULL, 'PTHR38753:SF1', NULL, NULL, NULL, NULL, 'SLR1441 PROTEIN', NULL, NULL, NULL, 15),
(167885, NULL, 'PTHR13683:SF669', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1', NULL, NULL, NULL, 15),
(167886, NULL, 'PTHR11802:SF384', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(167887, NULL, 'PTHR43432:SF3', NULL, NULL, NULL, NULL, 'SLR0285 PROTEIN', NULL, NULL, NULL, 15),
(167888, NULL, 'PTHR11590:SF6', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(167889, NULL, 'PTHR11359:SF13', NULL, NULL, NULL, NULL, 'AMP DEAMINASE-RELATED', NULL, NULL, NULL, 15),
(167890, NULL, 'PTHR46945:SF3', NULL, NULL, NULL, NULL, 'CYSTATIN E2', NULL, NULL, NULL, 15),
(167891, NULL, 'PTHR33491:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167892, NULL, 'PTHR45801:SF42', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(167893, NULL, 'PTHR43908', NULL, NULL, NULL, NULL, 'AT29763P-RELATED', NULL, NULL, NULL, 15),
(167894, NULL, 'PTHR43864', NULL, NULL, NULL, NULL, 'HYPOXANTHINE/GUANINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167895, NULL, 'PTHR23268:SF19', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 6-1-RELATED', NULL, NULL, NULL, 15),
(167896, NULL, 'PTHR35268', NULL, NULL, NULL, NULL, 'PROTEIN CCSMST1', NULL, NULL, 29163, 15),
(167897, NULL, 'PTHR11560:SF10', NULL, NULL, NULL, NULL, 'OS05G0121500 PROTEIN', NULL, NULL, NULL, 15),
(167898, NULL, 'PTHR13131:SF12', NULL, NULL, NULL, NULL, 'LYSOSOMAL CYSTINE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(167899, NULL, 'PTHR11781:SF4', NULL, NULL, NULL, NULL, 'THYROXINE 5-DEIODINASE', NULL, NULL, NULL, 15),
(167900, NULL, 'PTHR35546:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167901, NULL, 'PTHR21230:SF26', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE 13', NULL, NULL, NULL, 15),
(167902, NULL, 'PTHR47532', NULL, NULL, NULL, NULL, 'RETINAL-BINDING PROTEIN', NULL, NULL, NULL, 15),
(167903, NULL, 'PTHR33472:SF15', NULL, NULL, NULL, NULL, 'MUCIN-2-LIKE', NULL, NULL, NULL, 15),
(167904, NULL, 'PTHR11547:SF59', NULL, NULL, NULL, NULL, 'CYTOPLASMIC CREATINE KINASE PROTEIN', NULL, NULL, NULL, 15),
(167905, NULL, 'PTHR47928:SF134', NULL, NULL, NULL, NULL, 'OS10G0444500 PROTEIN', NULL, NULL, NULL, 15),
(167906, NULL, 'PTHR31008:SF4', NULL, NULL, NULL, NULL, 'COP1-INTERACTING PROTEIN 7', NULL, NULL, NULL, 15),
(167907, NULL, 'PTHR19818:SF131', NULL, NULL, NULL, NULL, 'METAL REGULATORY TRANSCRIPTION FACTOR 1', NULL, NULL, 27618, 15),
(167908, NULL, 'PTHR45785:SF10', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR H-RELATED', NULL, NULL, NULL, 15),
(167909, NULL, 'PTHR10858', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE II', NULL, NULL, 2873, 15),
(167910, NULL, 'PTHR31500:SF61', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 5-LIKE', NULL, NULL, NULL, 15),
(167911, NULL, 'PTHR12800:SF3', NULL, NULL, NULL, NULL, 'HSP90 CO-CHAPERONE CDC37', NULL, NULL, NULL, 15),
(167912, NULL, 'PTHR27009:SF192', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.1', NULL, NULL, NULL, 15),
(167913, NULL, 'PTHR24286:SF30', NULL, NULL, NULL, NULL, '3-EPI-6-DEOXOCATHASTERONE 23-MONOOXYGENASE CYP90D1', NULL, NULL, NULL, 15),
(167914, NULL, 'PTHR46755:SF5', NULL, NULL, NULL, NULL, 'METHIONINE-R-SULFOXIDE REDUCTASE B1', NULL, NULL, NULL, 15),
(167915, NULL, 'PTHR33095:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167916, NULL, 'PTHR37031:SF2', NULL, NULL, NULL, NULL, 'METALLOPHOSPHATASE BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(167917, NULL, 'PTHR33572:SF14', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL AND SECONDARY METABOLISM REGULATOR VEA', NULL, NULL, NULL, 15),
(167918, NULL, 'PTHR42713:SF3', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR YESN', NULL, NULL, NULL, 15),
(167919, NULL, 'PTHR35537', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE APOPTOSIS SUPPRESSOR PROTEIN DDIAS', NULL, NULL, 38411, 15),
(167920, NULL, 'PTHR12899:SF17', NULL, NULL, NULL, NULL, 'BNAC02G39880D PROTEIN', NULL, NULL, NULL, 15),
(167921, NULL, 'PTHR11618:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167922, NULL, 'PTHR24298:SF666', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(167923, NULL, 'PTHR11276:SF39', NULL, NULL, NULL, NULL, 'DNA POLYMERASE BETA', NULL, NULL, NULL, 15),
(167924, NULL, 'PTHR16291:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR CAP-BINDING PROTEIN SUBUNIT 3', NULL, NULL, NULL, 15),
(167925, NULL, 'PTHR47696', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 24293, 15),
(167926, NULL, 'PTHR23502:SF20', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13880)-RELATED', NULL, NULL, NULL, 15),
(167927, NULL, 'PTHR31839:SF47', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1E', NULL, NULL, NULL, 15),
(167928, NULL, 'PTHR23050:SF374', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML19-RELATED', NULL, NULL, NULL, 15),
(167929, NULL, 'PTHR35256', NULL, NULL, NULL, NULL, 'CHROMOSOME 8 OPEN READING FRAME 48', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167930, NULL, 'PTHR19855:SF29', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 59', NULL, NULL, NULL, 15),
(167931, NULL, 'PTHR42938:SF26', NULL, NULL, NULL, NULL, 'FORMATE DEHYDROGENASE CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(167932, NULL, 'PTHR35371:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(167933, NULL, 'PTHR48122', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN H', NULL, NULL, 33925, 15),
(167934, NULL, 'PTHR35803:SF1', NULL, NULL, NULL, NULL, 'GLUCAN 1,4-ALPHA-GLUCOSIDASE SUSB', NULL, NULL, NULL, 15),
(167935, NULL, 'PTHR23070:SF52', NULL, NULL, NULL, NULL, 'CHAPERONE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(167936, NULL, 'PTHR31865:SF20', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE EPSILON-1, PUTATIVE (DUF1685)-RELATED', NULL, NULL, NULL, 15),
(167937, NULL, 'PTHR11945:SF635', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 79', NULL, NULL, NULL, 15),
(167938, NULL, 'PTHR31673:SF3', NULL, NULL, NULL, NULL, 'PROTEIN COBRA', NULL, NULL, NULL, 15),
(167939, NULL, 'PTHR46710:SF2', NULL, NULL, NULL, NULL, 'ARM REPEAT PROTEIN INTERACTING WITH ABF2-LIKE', NULL, NULL, NULL, 15),
(167940, NULL, 'PTHR31238:SF210', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(167941, NULL, 'PTHR10288:SF138', NULL, NULL, NULL, NULL, 'FUBP (FUBP) LIKE', NULL, NULL, NULL, 15),
(167942, NULL, 'PTHR10211:SF0', NULL, NULL, NULL, NULL, 'ZGC:66475', NULL, NULL, NULL, 15),
(167943, NULL, 'PTHR22811:SF129', NULL, NULL, NULL, NULL, 'OS07G0632700 PROTEIN', NULL, NULL, NULL, 15),
(167944, NULL, 'PTHR27008:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167945, NULL, 'PTHR46128:SF88', NULL, NULL, NULL, NULL, 'BNAA06G14350D PROTEIN', NULL, NULL, NULL, 15),
(167946, NULL, 'PTHR47028:SF1', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE O', NULL, NULL, NULL, 15),
(167947, NULL, 'PTHR46303', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38523, 15),
(167948, NULL, 'PTHR45125:SF4', NULL, NULL, NULL, NULL, 'OS06G0117800 PROTEIN', NULL, NULL, NULL, 15),
(167949, NULL, 'PTHR11461:SF347', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR (SERPIN) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(167950, NULL, 'PTHR24055:SF450', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(167951, NULL, 'PTHR44013:SF8', NULL, NULL, NULL, NULL, 'ZINC-BINDING DEHYDROGENASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(167952, NULL, 'PTHR30466:SF1', NULL, NULL, NULL, NULL, 'FMN REDUCTASE (NADH) RUTF', NULL, NULL, NULL, 15),
(167953, NULL, 'PTHR24173:SF72', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 16', NULL, NULL, NULL, 15),
(167954, NULL, 'PTHR31366:SF2', NULL, NULL, NULL, NULL, 'UPF0739 PROTEIN C1ORF74', NULL, NULL, NULL, 15),
(167955, NULL, 'PTHR45707:SF2', NULL, NULL, NULL, NULL, 'PROTEIN QUIRKY', NULL, NULL, NULL, 15),
(167956, NULL, 'PTHR13318:SF157', NULL, NULL, NULL, NULL, 'GH16156P-RELATED', NULL, NULL, NULL, 15),
(167957, NULL, 'PTHR48092:SF10', NULL, NULL, NULL, NULL, 'ESTROGEN-RELATED RECEPTOR GAMMA', NULL, NULL, NULL, 15),
(167958, NULL, 'PTHR21141:SF95', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2', NULL, NULL, NULL, 15),
(167959, NULL, 'PTHR13376', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 20868, 15),
(167960, NULL, 'PTHR10891:SF875', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(167961, NULL, 'PTHR23266:SF287', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-73', NULL, NULL, NULL, 15),
(167962, NULL, 'PTHR43725:SF12', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE 4', NULL, NULL, NULL, 15),
(167963, NULL, 'PTHR24342:SF12', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE RELATED', NULL, NULL, NULL, 15),
(167964, NULL, 'PTHR11375', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32', NULL, NULL, 36837, 15),
(167965, NULL, 'PTHR22883:SF321', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(167966, NULL, 'PTHR12002:SF24', NULL, NULL, NULL, NULL, 'CLAUDIN-8', NULL, NULL, 6158, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(167967, NULL, 'PTHR32343:SF29', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(167968, NULL, 'PTHR31140:SF5', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS04G0581400', NULL, NULL, NULL, 15),
(167969, NULL, 'PTHR45619:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A CATALYTIC SUBUNIT BETA ISOFORM', NULL, NULL, NULL, 15),
(167970, NULL, 'PTHR19957:SF328', NULL, NULL, NULL, NULL, 'SYNTAXIN, QA-SNARE FAMILY', NULL, NULL, NULL, 15),
(167971, NULL, 'PTHR48051:SF8', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND CALPONIN HOMOLOGY DOMAIN CONTAINING 3', NULL, NULL, NULL, 15),
(167972, NULL, 'PTHR34033:SF1', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(167973, NULL, 'PTHR14966:SF0', NULL, NULL, NULL, NULL, 'Z-DNA-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(167974, NULL, 'PTHR11909:SF150', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ZK507.1-RELATED', NULL, NULL, NULL, 15),
(167975, NULL, 'PTHR31086:SF18', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 9-LIKE', NULL, NULL, NULL, 15),
(167976, NULL, 'PTHR21551:SF14', NULL, NULL, NULL, NULL, 'TOPOISOMERASE II-ASSOCIATED PROTEIN PAT1', NULL, NULL, NULL, 15),
(167977, NULL, 'PTHR24056:SF473', NULL, NULL, NULL, NULL, 'ARID DNA-BINDING DOMAIN, ZINC FINGER, CCHC-TYPE, SERINE/THREONINE-PROTEIN KINASE UNC-51-RELATED', NULL, NULL, NULL, 15),
(167978, NULL, 'PTHR10218:SF248', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN-LIKE ALPHA-11 SUBUNIT', NULL, NULL, NULL, 15),
(167979, NULL, 'PTHR31048:SF129', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(167980, NULL, 'PTHR24270:SF31', NULL, NULL, NULL, NULL, 'LDL RECEPTOR-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(167981, NULL, 'PTHR46444:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167982, NULL, 'PTHR21454:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167983, NULL, 'PTHR32099:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167984, NULL, 'PTHR16821:SF4', NULL, NULL, NULL, NULL, 'FRATAXIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(167985, NULL, 'PTHR10908', NULL, NULL, NULL, NULL, 'SEROTONIN N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(167986, NULL, 'PTHR10292:SF1', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(167987, NULL, 'PTHR10209:SF455', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167988, NULL, 'PTHR45476', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(167989, NULL, 'PTHR35317', NULL, NULL, NULL, NULL, 'OS04G0629600 PROTEIN', NULL, NULL, NULL, 15),
(167990, NULL, 'PTHR11937:SF393', NULL, NULL, NULL, NULL, 'ACTIN-97', NULL, NULL, NULL, 15),
(167991, NULL, 'PTHR10527:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(167992, NULL, 'PTHR15924:SF9', NULL, NULL, NULL, NULL, 'RNA TRANSCRIPTION, TRANSLATION AND TRANSPORT FACTOR PROTEIN', NULL, NULL, NULL, 15),
(167993, NULL, 'PTHR12994:SF7', NULL, NULL, NULL, NULL, 'SECERNIN-1', NULL, NULL, NULL, 15),
(167994, NULL, 'PTHR30625', NULL, NULL, NULL, NULL, 'PROTEIN TOLQ', NULL, NULL, NULL, 15),
(167995, NULL, 'PTHR32005:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 178B', NULL, NULL, NULL, 15),
(167996, NULL, 'PTHR31428:SF5', NULL, NULL, NULL, NULL, 'RGM DOMAIN FAMILY MEMBER B', NULL, NULL, 34259, 15),
(167997, NULL, 'PTHR36461', NULL, NULL, NULL, NULL, 'COORDINATOR OF PRMT5 AND DIFFERENTIATION STIMULATOR', NULL, NULL, 25396, 15),
(167998, NULL, 'PTHR33415:SF4', NULL, NULL, NULL, NULL, 'DCL PROTEIN (DUF3223)', NULL, NULL, NULL, 15),
(167999, NULL, 'PTHR11306:SF49', NULL, NULL, NULL, NULL, 'BNAC01G41790D PROTEIN', NULL, NULL, NULL, 15),
(168000, NULL, 'PTHR10459:SF60', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE 2', NULL, NULL, NULL, 15),
(168001, NULL, 'PTHR47322:SF1', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168002, NULL, 'PTHR31053', NULL, NULL, NULL, NULL, 'MAGNESIUM-PROTOPORPHYRIN IX MONOMETHYL ESTER [OXIDATIVE] CYCLASE, CHLOROPLASTIC', NULL, NULL, 8992, 15),
(168003, NULL, 'PTHR19282:SF283', NULL, NULL, NULL, NULL, 'TETRASPANIN-RELATED', NULL, NULL, NULL, 15),
(168004, NULL, 'PTHR11073:SF40', NULL, NULL, NULL, NULL, 'CALRETICULIN/CALNEXIN, CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168005, NULL, 'PTHR22893:SF102', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 11-RELATED', NULL, NULL, NULL, 15),
(168006, NULL, 'PTHR40061:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168007, NULL, 'PTHR32134:SF139', NULL, NULL, NULL, NULL, 'INACTIVE SERINE/THREONINE-PROTEIN KINASE FNKD-RELATED', NULL, NULL, NULL, 15),
(168008, NULL, 'PTHR11266:SF97', NULL, NULL, NULL, NULL, 'BNAC09G51010D PROTEIN', NULL, NULL, NULL, 15),
(168009, NULL, 'PTHR15326:SF7', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 2-LIKE PROTEIN', NULL, NULL, 25266, 15),
(168010, NULL, 'PTHR45891:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(168011, NULL, 'PTHR33784:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168012, NULL, 'PTHR10983:SF60', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(168013, NULL, 'PTHR31917:SF78', NULL, NULL, NULL, NULL, 'BNAA06G23040D PROTEIN', NULL, NULL, NULL, 15),
(168014, NULL, 'PTHR41252', NULL, NULL, NULL, NULL, 'BLR2505 PROTEIN', NULL, NULL, NULL, 15),
(168015, NULL, 'PTHR46836:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(168016, NULL, 'PTHR31549:SF23', NULL, NULL, NULL, NULL, 'OS06G0179500 PROTEIN', NULL, NULL, NULL, 15),
(168017, NULL, 'PTHR47990:SF136', NULL, NULL, NULL, NULL, 'BNAC02G01710D PROTEIN', NULL, NULL, NULL, 15),
(168018, NULL, 'PTHR10209:SF502', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168019, NULL, 'PTHR43788:SF2', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN SMUBP-2', NULL, NULL, NULL, 15),
(168020, NULL, 'PTHR23236:SF74', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168021, NULL, 'PTHR31989:SF281', NULL, NULL, NULL, NULL, 'BNAA01G31680D PROTEIN', NULL, NULL, NULL, 15),
(168022, NULL, 'PTHR10961:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168023, NULL, 'PTHR12081:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2F7', NULL, NULL, NULL, 15),
(168024, NULL, 'PTHR11647:SF57', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINASE-RELATED PROTEIN 3', NULL, NULL, 24858, 15),
(168025, NULL, 'PTHR33596:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168026, NULL, 'PTHR11066:SF60', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE', NULL, NULL, NULL, 15),
(168027, NULL, 'PTHR37558', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168028, NULL, 'PTHR47975:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168029, NULL, 'PTHR14614:SF10', NULL, NULL, NULL, NULL, 'PROTEIN N-TERMINAL AND LYSINE N-METHYLTRANSFERASE EFM7', NULL, NULL, NULL, 15),
(168030, NULL, 'PTHR47993:SF83', NULL, NULL, NULL, NULL, 'BNAC09G21430D PROTEIN', NULL, NULL, NULL, 15),
(168031, NULL, 'PTHR27001:SF762', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168032, NULL, 'PTHR12607:SF11', NULL, NULL, NULL, NULL, 'ADENOMATOUS POLYPOSIS COLI PROTEIN', NULL, NULL, 26542, 15),
(168033, NULL, 'PTHR31376:SF34', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 17-RELATED', NULL, NULL, NULL, 15),
(168034, NULL, 'PTHR16073:SF8', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PLURIPOTENCY-ASSOCIATED PROTEIN 4', NULL, NULL, 31890, 15),
(168035, NULL, 'PTHR31087:SF95', NULL, NULL, NULL, NULL, 'OS11G0121000 PROTEIN', NULL, NULL, NULL, 15),
(168036, NULL, 'PTHR43490:SF79', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168037, NULL, 'PTHR11852:SF8', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE, ISOFORM IB, GAMMA SUBUNIT', NULL, NULL, NULL, 15),
(168038, NULL, 'PTHR30098:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168039, NULL, 'PTHR33321:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168040, NULL, 'PTHR21089:SF10', NULL, NULL, NULL, NULL, 'DEHYDROQUINATE DEHYDRATASE/SHIKIMATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(168041, NULL, 'PTHR38218:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168042, NULL, 'PTHR11394:SF57', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2', NULL, NULL, NULL, 15),
(168043, NULL, 'PTHR31429:SF87', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168044, NULL, 'PTHR24349:SF333', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 6', NULL, NULL, NULL, 15),
(168045, NULL, 'PTHR42103', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(168046, NULL, 'PTHR32183:SF14', NULL, NULL, NULL, NULL, 'BNAC04G03210D PROTEIN', NULL, NULL, NULL, 15),
(168047, NULL, 'PTHR46735:SF2', NULL, NULL, NULL, NULL, 'SORCIN', NULL, NULL, NULL, 15),
(168048, NULL, 'PTHR31713:SF47', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(168049, NULL, 'PTHR32141:SF71', NULL, NULL, NULL, NULL, 'OS01G0596100 PROTEIN', NULL, NULL, NULL, 15),
(168050, NULL, 'PTHR12231:SF227', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE L1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(168051, NULL, 'PTHR43670:SF38', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 2-LIKE', NULL, NULL, NULL, 15),
(168052, NULL, 'PTHR15298:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11385', NULL, NULL, NULL, 15),
(168053, NULL, 'PTHR32382:SF55', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 3', NULL, NULL, NULL, 15),
(168054, NULL, 'PTHR14327', NULL, NULL, NULL, NULL, 'CATION CHANNEL SPERM-ASSOCIATED PROTEIN SUBUNIT GAMMA', NULL, NULL, 21689, 15),
(168055, NULL, 'PTHR23070:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168056, NULL, 'PTHR13247', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 11  TPR REPEAT PROTEIN 11', NULL, NULL, 16313, 15),
(168057, NULL, 'PTHR11473:SF16', NULL, NULL, NULL, NULL, 'TRYPTOPHAN 5-HYDROXYLASE 2', NULL, NULL, NULL, 15),
(168058, NULL, 'PTHR11214:SF270', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(168059, NULL, 'PTHR23272:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168060, NULL, 'PTHR24147:SF22', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 18B', NULL, NULL, NULL, 15),
(168061, NULL, 'PTHR11073:SF3', NULL, NULL, NULL, NULL, 'CALRETICULIN-3', NULL, NULL, NULL, 15),
(168062, NULL, 'PTHR33304:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(168063, NULL, 'PTHR15228:SF36', NULL, NULL, NULL, NULL, 'SI:CH211-247J9.1', NULL, NULL, NULL, 15),
(168064, NULL, 'PTHR34366', NULL, NULL, NULL, NULL, 'OS07G0289901 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168065, NULL, 'PTHR21614', NULL, NULL, NULL, NULL, 'SHORT COILED COIL PROTEIN', NULL, NULL, 15845, 15),
(168066, NULL, 'PTHR47992:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168067, NULL, 'PTHR45805:SF4', NULL, NULL, NULL, NULL, 'ECDYSONE-INDUCED PROTEIN 78C', NULL, NULL, NULL, 15),
(168068, NULL, 'PTHR47984:SF18', NULL, NULL, NULL, NULL, 'BNAA01G36950D PROTEIN', NULL, NULL, NULL, 15),
(168069, NULL, 'PTHR31301:SF160', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(168070, NULL, 'PTHR36736:SF3', NULL, NULL, NULL, NULL, 'BNAC01G10370D PROTEIN', NULL, NULL, NULL, 15),
(168071, NULL, 'PTHR19339', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 39', NULL, NULL, NULL, 15),
(168072, NULL, 'PTHR24390:SF164', NULL, NULL, NULL, NULL, 'IP01252P-RELATED', NULL, NULL, NULL, 15),
(168073, NULL, 'PTHR43281:SF26', NULL, NULL, NULL, NULL, 'BNAA01G29350D PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168074, NULL, 'PTHR32246:SF112', NULL, NULL, NULL, NULL, 'BNAA09G51880D PROTEIN', NULL, NULL, NULL, 15),
(168075, NULL, 'PTHR23333:SF28', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(168076, NULL, 'PTHR24073:SF1135', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-6A', NULL, NULL, NULL, 15),
(168077, NULL, 'PTHR31549:SF213', NULL, NULL, NULL, NULL, 'BNAA02G24980D PROTEIN', NULL, NULL, NULL, 15),
(168078, NULL, 'PTHR37392', NULL, NULL, NULL, NULL, 'OS09G0556800 PROTEIN', NULL, NULL, NULL, 15),
(168079, NULL, 'PTHR31126:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168080, NULL, 'PTHR42898:SF55', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE 2', NULL, NULL, NULL, 15),
(168081, NULL, 'PTHR38011:SF6', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(168082, NULL, 'PTHR47993:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168083, NULL, 'PTHR47372:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168084, NULL, 'PTHR31236:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168085, NULL, 'PTHR31288:SF29', NULL, NULL, NULL, NULL, 'BNAA02G26850D PROTEIN', NULL, NULL, NULL, 15),
(168086, NULL, 'PTHR10165:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE-RELATED PROTEIN TYPE 3', NULL, NULL, 23830, 15),
(168087, NULL, 'PTHR28108', NULL, NULL, NULL, NULL, 'SWR1-COMPLEX PROTEIN 3', NULL, NULL, 33557, 15),
(168088, NULL, 'PTHR12173', NULL, NULL, NULL, NULL, 'GDNF SUBFAMILY OF TGF-BETA FAMILY', NULL, NULL, 39439, 15),
(168089, NULL, 'PTHR47520:SF2', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(168090, NULL, 'PTHR46000:SF2', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(168091, NULL, 'PTHR32123:SF10', NULL, NULL, NULL, NULL, 'BICAUDAL-D-RELATED PROTEIN 2-LIKE-RELATED', NULL, NULL, NULL, 15),
(168092, NULL, 'PTHR24020:SF14', NULL, NULL, NULL, NULL, 'MATRILIN-4', NULL, NULL, 7479, 15),
(168093, NULL, 'PTHR22957:SF574', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY, MEMBER 10C', NULL, NULL, NULL, 15),
(168094, NULL, 'PTHR48174:SF1', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN (DUF946)', NULL, NULL, NULL, 15),
(168095, NULL, 'PTHR35744:SF2', NULL, NULL, NULL, NULL, 'OS06G0166200 PROTEIN', NULL, NULL, NULL, 15),
(168096, NULL, 'PTHR47072:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168097, NULL, 'PTHR11955:SF75', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN HOMOLOG 7-RELATED', NULL, NULL, NULL, 15),
(168098, NULL, 'PTHR33095:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168099, NULL, 'PTHR36714:SF1', NULL, NULL, NULL, NULL, 'T23E23.1', NULL, NULL, NULL, 15),
(168100, NULL, 'PTHR31676:SF115', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(168101, NULL, 'PTHR10996:SF219', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (SERA-2)-RELATED', NULL, NULL, NULL, 15),
(168102, NULL, 'PTHR35546:SF59', NULL, NULL, NULL, NULL, 'OS01G0379400 PROTEIN', NULL, NULL, NULL, 15),
(168103, NULL, 'PTHR24377:SF244', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 623', NULL, NULL, NULL, 15),
(168104, NULL, 'PTHR32295:SF150', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1', NULL, NULL, NULL, 15),
(168105, NULL, 'PTHR11304:SF42', NULL, NULL, NULL, NULL, 'EPHRIN-A4', NULL, NULL, NULL, 15),
(168106, NULL, 'PTHR24223:SF374', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(168107, NULL, 'PTHR31734:SF96', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(168108, NULL, 'PTHR32080:SF36', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 1', NULL, NULL, NULL, 15),
(168109, NULL, 'PTHR21181:SF13', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE (UBIQUINONE) COMPLEX I, ASSEMBLY FACTOR 6', NULL, NULL, NULL, 15),
(168110, NULL, 'PTHR13439:SF4', NULL, NULL, NULL, NULL, 'TLC DOMAIN-CONTAINING PROTEIN FLD-1', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168111, NULL, 'PTHR31642:SF140', NULL, NULL, NULL, NULL, 'PUTRESCINE HYDROXYCINNAMOYLTRANSFERASE', NULL, NULL, NULL, 15),
(168112, NULL, 'PTHR33306:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168113, NULL, 'PTHR42060', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168114, NULL, 'PTHR34740:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168115, NULL, 'PTHR46519:SF8', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBOS34-RELATED', NULL, NULL, NULL, 15),
(168116, NULL, 'PTHR45634:SF2', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 4', NULL, NULL, NULL, 15),
(168117, NULL, 'PTHR23128:SF133', NULL, NULL, NULL, NULL, 'PROTEIN CBG02266', NULL, NULL, NULL, 15),
(168118, NULL, 'PTHR48083:SF16', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FADE3-RELATED', NULL, NULL, NULL, 15),
(168119, NULL, 'PTHR43497', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 11', NULL, NULL, NULL, 15),
(168120, NULL, 'PTHR23064:SF22', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM BINDING DOMAIN 7', NULL, NULL, NULL, 15),
(168121, NULL, 'PTHR32044:SF86', NULL, NULL, NULL, NULL, 'BNAA02G05900D PROTEIN', NULL, NULL, NULL, 15),
(168122, NULL, 'PTHR24256:SF316', NULL, NULL, NULL, NULL, 'INACTIVE SERINE PROTEASE 39-RELATED', NULL, NULL, NULL, 15),
(168123, NULL, 'PTHR24221:SF305', NULL, NULL, NULL, NULL, 'OS08G0153000 PROTEIN', NULL, NULL, NULL, 15),
(168124, NULL, 'PTHR11593:SF29', NULL, NULL, NULL, NULL, 'BNAA09G27910D PROTEIN', NULL, NULL, NULL, 15),
(168125, NULL, 'PTHR23189:SF97', NULL, NULL, NULL, NULL, 'PROTEIN MEI2-LIKE 2', NULL, NULL, NULL, 15),
(168126, NULL, 'PTHR35304:SF1', NULL, NULL, NULL, NULL, 'OS05G0120300 PROTEIN', NULL, NULL, NULL, 15),
(168127, NULL, 'PTHR14604:SF3', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 16 PROTEIN', NULL, NULL, NULL, 15),
(168128, NULL, 'PTHR33626:SF2', NULL, NULL, NULL, NULL, 'ZGC:158463', NULL, NULL, NULL, 15),
(168129, NULL, 'PTHR48002:SF22', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(168130, NULL, 'PTHR48044:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(168131, NULL, 'PTHR39453', NULL, NULL, NULL, NULL, 'PHOSPHATE PROPANOYLTRANSFERASE', NULL, NULL, 8877, 15),
(168132, NULL, 'PTHR31989:SF198', NULL, NULL, NULL, NULL, 'NAC DOMAIN TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168133, NULL, 'PTHR32116:SF33', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(168134, NULL, 'PTHR37517:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168135, NULL, 'PTHR10492:SF73', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(168136, NULL, 'PTHR42826:SF11', NULL, NULL, NULL, NULL, 'DICARBOXYLATE TRANSPORTER 2.1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(168137, NULL, 'PTHR43665:SF1', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE', NULL, NULL, NULL, 15),
(168138, NULL, 'PTHR43853:SF17', NULL, NULL, NULL, NULL, '3-KETOACYL-COA THIOLASE B, PEROXISOMAL', NULL, NULL, NULL, 15),
(168139, NULL, 'PTHR10983:SF56', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 2-LIKE', NULL, NULL, NULL, 15),
(168140, NULL, 'PTHR31086:SF48', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER-LIKE', NULL, NULL, NULL, 15),
(168141, NULL, 'PTHR11595:SF59', NULL, NULL, NULL, NULL, 'EF-HAND AND COILED-COIL DOMAIN-CONTAINING 1', NULL, NULL, NULL, 15),
(168142, NULL, 'PTHR46074:SF5', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN C', NULL, NULL, NULL, 15),
(168143, NULL, 'PTHR46929:SF17', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(168144, NULL, 'PTHR16206:SF11', NULL, NULL, NULL, NULL, 'DEP DOMAIN-CONTAINING PROTEIN 1B', NULL, NULL, NULL, 15),
(168145, NULL, 'PTHR13767:SF2', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE 1-RELATED', NULL, NULL, NULL, 15),
(168146, NULL, 'PTHR24062:SF180', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(168147, NULL, 'PTHR47485:SF1', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 17.4 KDA PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168148, NULL, 'PTHR10913:SF70', NULL, NULL, NULL, NULL, 'TOMOREGULIN-2', NULL, NULL, NULL, 15),
(168149, NULL, 'PTHR47926:SF266', NULL, NULL, NULL, NULL, 'BNAANNG14220D PROTEIN', NULL, NULL, NULL, 15),
(168150, NULL, 'PTHR44899:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK5', NULL, NULL, NULL, 15),
(168151, NULL, 'PTHR24103:SF560', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIML1-RELATED', NULL, NULL, NULL, 15),
(168152, NULL, 'PTHR45855:SF51', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF4', NULL, NULL, NULL, 15),
(168153, NULL, 'PTHR48018:SF170', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(168154, NULL, 'PTHR14154:SF69', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', NULL, NULL, NULL, 15),
(168155, NULL, 'PTHR10992:SF1062', NULL, NULL, NULL, NULL, 'SALICYLIC ACID-BINDING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(168156, NULL, 'PTHR16099', NULL, NULL, NULL, NULL, '8-OXO-DGTP DIPHOSPHATES NUDT15', NULL, NULL, NULL, 15),
(168157, NULL, 'PTHR43245:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168158, NULL, 'PTHR28607:SF2', NULL, NULL, NULL, NULL, 'RGD1562114', NULL, NULL, NULL, 15),
(168159, NULL, 'PTHR24093:SF445', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 10, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(168160, NULL, 'PTHR46372:SF5', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(168161, NULL, 'PTHR32212:SF341', NULL, NULL, NULL, NULL, 'BNAC02G12230D PROTEIN', NULL, NULL, NULL, 15),
(168162, NULL, 'PTHR10605:SF55', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(168163, NULL, 'PTHR11875:SF67', NULL, NULL, NULL, NULL, 'PROTEIN SET', NULL, NULL, NULL, 15),
(168164, NULL, 'PTHR46241:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(168165, NULL, 'PTHR42908:SF30', NULL, NULL, NULL, NULL, 'BNAC03G76150D PROTEIN', NULL, NULL, NULL, 15),
(168166, NULL, 'PTHR17098', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE MWFE SUBUNIT', NULL, NULL, 18256, 15),
(168167, NULL, 'PTHR47966:SF44', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE', NULL, NULL, NULL, 15),
(168168, NULL, 'PTHR22997:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KINTOUN', NULL, NULL, NULL, 15),
(168169, NULL, 'PTHR26450:SF196', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(168170, NULL, 'PTHR12080:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168171, NULL, 'PTHR13557:SF2', NULL, NULL, NULL, NULL, 'BNAA04G18300D PROTEIN', NULL, NULL, NULL, 15),
(168172, NULL, 'PTHR13589:SF6', NULL, NULL, NULL, NULL, 'CREB-REGULATED TRANSCRIPTION COACTIVATOR 2', NULL, NULL, NULL, 15),
(168173, NULL, 'PTHR11671:SF2', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT D', NULL, NULL, NULL, 15),
(168174, NULL, 'PTHR45168:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 2', NULL, NULL, NULL, 15),
(168175, NULL, 'PTHR31027', NULL, NULL, NULL, NULL, 'NUCLEAR SEGREGATION PROTEIN BFR1', NULL, NULL, 35345, 15),
(168176, NULL, 'PTHR47067:SF7', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) PROTEIN FAMILY', NULL, NULL, NULL, 15),
(168177, NULL, 'PTHR24381:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 599', NULL, NULL, NULL, 15),
(168178, NULL, 'PTHR10366:SF632', NULL, NULL, NULL, NULL, 'OS07G0601900 PROTEIN', NULL, NULL, NULL, 15),
(168179, NULL, 'PTHR43880:SF6', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 6A (CLASS V)', NULL, NULL, NULL, 15),
(168180, NULL, 'PTHR21230:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168181, NULL, 'PTHR31713:SF64', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN60-RELATED', NULL, NULL, NULL, 15),
(168182, NULL, 'PTHR10209:SF781', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168183, NULL, 'PTHR46508:SF7', NULL, NULL, NULL, NULL, 'DDT DOMAIN-CONTAINING PROTEIN PTM', NULL, NULL, NULL, 15),
(168184, NULL, 'PTHR31875:SF25', NULL, NULL, NULL, NULL, 'DROUGHT-INDUCED PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168185, NULL, 'PTHR43570:SF2', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY 3 MEMBER B1', NULL, NULL, NULL, 15),
(168186, NULL, 'PTHR10625:SF207', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, NULL, 15),
(168187, NULL, 'PTHR28375', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 28256, 15),
(168188, NULL, 'PTHR46387:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168189, NULL, 'PTHR20932:SF5', NULL, NULL, NULL, NULL, 'AND PUTATIVE PEPTIDOGLYCAN-BINDING DOMAIN-CONTAINING PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(168190, NULL, 'PTHR31451:SF60', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 7', NULL, NULL, NULL, 15),
(168191, NULL, 'PTHR33078:SF59', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(168192, NULL, 'PTHR31731:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168193, NULL, 'PTHR14212:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168194, NULL, 'PTHR43917:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168195, NULL, 'PTHR22773:SF104', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT 2 A, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(168196, NULL, 'PTHR11911', NULL, NULL, NULL, NULL, 'INOSINE-5-MONOPHOSPHATE DEHYDROGENASE RELATED', NULL, NULL, 1433, 15),
(168197, NULL, 'PTHR11738:SF153', NULL, NULL, NULL, NULL, 'KILLER CELL IMMUNOGLOBULIN-LIKE RECEPTOR-LIKE PROTEIN KIR3DX1-RELATED', NULL, NULL, NULL, 15),
(168198, NULL, 'PTHR46330', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 10B', NULL, NULL, NULL, 15),
(168199, NULL, 'PTHR33786:SF6', NULL, NULL, NULL, NULL, 'BNAA07G25240D PROTEIN', NULL, NULL, NULL, 15),
(168200, NULL, 'PTHR46560:SF5', NULL, NULL, NULL, NULL, 'CYPHER, ISOFORM B', NULL, NULL, NULL, 15),
(168201, NULL, 'PTHR23273:SF59', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A SUBUNIT', NULL, NULL, NULL, 15),
(168202, NULL, 'PTHR34504', NULL, NULL, NULL, NULL, 'ANTITOXIN HICB', NULL, NULL, NULL, 15),
(168203, NULL, 'PTHR24136:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 11', NULL, NULL, NULL, 15),
(168204, NULL, 'PTHR16223:SF245', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH84', NULL, NULL, NULL, 15),
(168205, NULL, 'PTHR42774:SF8', NULL, NULL, NULL, NULL, 'PFKB-LIKE CARBOHYDRATE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(168206, NULL, 'PTHR31525:SF3', NULL, NULL, NULL, NULL, 'HEME TRANSPORTER HRG-4', NULL, NULL, NULL, 15),
(168207, NULL, 'PTHR10974:SF1', NULL, NULL, NULL, NULL, 'FI21235P1', NULL, NULL, NULL, 15),
(168208, NULL, 'PTHR16736:SF1', NULL, NULL, NULL, NULL, 'CORTEXIN-3', NULL, NULL, NULL, 15),
(168209, NULL, 'PTHR43080:SF18', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX3, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(168210, NULL, 'PTHR31446:SF32', NULL, NULL, NULL, NULL, 'BNAA07G09020D PROTEIN', NULL, NULL, NULL, 15),
(168211, NULL, 'PTHR22955:SF60', NULL, NULL, NULL, NULL, 'PROTEIN CBG26950', NULL, NULL, NULL, 15),
(168212, NULL, 'PTHR27001:SF220', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 1', NULL, NULL, NULL, 15),
(168213, NULL, 'PTHR37417:SF4', NULL, NULL, NULL, NULL, '67 KDA MYOSIN-CROSS-REACTIVE ANTIGEN FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G03570)', NULL, NULL, NULL, 15),
(168214, NULL, 'PTHR45005:SF2', NULL, NULL, NULL, NULL, 'PROTEIN HLB1', NULL, NULL, NULL, 15),
(168215, NULL, 'PTHR16165', NULL, NULL, NULL, NULL, 'BRUSH BORDER-RELATED', NULL, NULL, NULL, 15),
(168216, NULL, 'PTHR24270:SF12', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 6', NULL, NULL, NULL, 15),
(168217, NULL, 'PTHR21646:SF73', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(168218, NULL, 'PTHR11206:SF397', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 1', NULL, NULL, NULL, 15),
(168219, NULL, 'PTHR35496:SF14', NULL, NULL, NULL, NULL, 'BNAC01G19320D PROTEIN', NULL, NULL, NULL, 15),
(168220, NULL, 'PTHR45962:SF1', NULL, NULL, NULL, NULL, 'N-FATTY-ACYL-AMINO ACID SYNTHASE/HYDROLASE PM20D1', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168221, NULL, 'PTHR27002:SF849', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168222, NULL, 'PTHR46766:SF1', NULL, NULL, NULL, NULL, 'GLUTAMINE-RICH PROTEIN 2', NULL, NULL, NULL, 15),
(168223, NULL, 'PTHR10281:SF84', NULL, NULL, NULL, NULL, 'VACUOLE MEMBRANE PROTEIN KMS2', NULL, NULL, NULL, 15),
(168224, NULL, 'PTHR24249:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168225, NULL, 'PTHR22835:SF565', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(168226, NULL, 'PTHR48033:SF4', NULL, NULL, NULL, NULL, 'OS08G0320100 PROTEIN', NULL, NULL, NULL, 15),
(168227, NULL, 'PTHR28219', NULL, NULL, NULL, NULL, 'UPF0642 PROTEIN YBL028C', NULL, NULL, NULL, 15),
(168228, NULL, 'PTHR32263:SF13', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(168229, NULL, 'PTHR23503:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168230, NULL, 'PTHR10174:SF224', NULL, NULL, NULL, NULL, 'ALPHA-TOCOPHEROL TRANSFER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(168231, NULL, 'PTHR47458', NULL, NULL, NULL, NULL, 'SMAD/FHA DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(168232, NULL, 'PTHR23267:SF278', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 2-29', NULL, NULL, NULL, 15),
(168233, NULL, 'PTHR32246:SF136', NULL, NULL, NULL, NULL, 'BNAA02G36410D PROTEIN', NULL, NULL, NULL, 15),
(168234, NULL, 'PTHR46525', NULL, NULL, NULL, NULL, 'EMB|CAB72159.1', NULL, NULL, NULL, 15),
(168235, NULL, 'PTHR43379', NULL, NULL, NULL, NULL, 'CYSTATHIONINE GAMMA-SYNTHASE', NULL, NULL, 37559, 15),
(168236, NULL, 'PTHR43874:SF149', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR12', NULL, NULL, NULL, 15),
(168237, NULL, 'PTHR48019:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168238, NULL, 'PTHR32472:SF19', NULL, NULL, NULL, NULL, 'DNA REPAIR-LIKE PROTEINRADA', NULL, NULL, NULL, 15),
(168239, NULL, 'PTHR45681:SF5', NULL, NULL, NULL, NULL, 'POLYKETIDE SYNTHASE 27-RELATED', NULL, NULL, NULL, 15),
(168240, NULL, 'PTHR47999:SF19', NULL, NULL, NULL, NULL, 'BNAC03G74080D PROTEIN', NULL, NULL, NULL, 15),
(168241, NULL, 'PTHR11266:SF49', NULL, NULL, NULL, NULL, 'YALI0E12881P', NULL, NULL, NULL, 15),
(168242, NULL, 'PTHR35525', NULL, NULL, NULL, NULL, 'BLL6575 PROTEIN', NULL, NULL, 11887, 15),
(168243, NULL, 'PTHR45621:SF68', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15),
(168244, NULL, 'PTHR45645:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG17382', NULL, NULL, NULL, 15),
(168245, NULL, 'PTHR24247:SF212', NULL, NULL, NULL, NULL, 'PARIETOPSIN', NULL, NULL, NULL, 15),
(168246, NULL, 'PTHR35692:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168247, NULL, 'PTHR11972:SF168', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN C', NULL, NULL, NULL, 15),
(168248, NULL, 'PTHR12626:SF6', NULL, NULL, NULL, NULL, 'OS04G0482800 PROTEIN', NULL, NULL, NULL, 15),
(168249, NULL, 'PTHR24320:SF218', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(168250, NULL, 'PTHR10972:SF191', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN, PH DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168251, NULL, 'PTHR31374:SF211', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A', NULL, NULL, NULL, 15),
(168252, NULL, 'PTHR11059:SF0', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RECN', NULL, NULL, NULL, 15),
(168253, NULL, 'PTHR12713:SF22', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G 2', NULL, NULL, NULL, 15),
(168254, NULL, 'PTHR46420', NULL, NULL, NULL, NULL, 'BETA-1,4-GLUCURONYLTRANSFERASE 1', NULL, NULL, 37130, 15),
(168255, NULL, 'PTHR11465', NULL, NULL, NULL, NULL, 'CATALASE', NULL, NULL, 16963, 15),
(168256, NULL, 'PTHR14913:SF0', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR TYPE 1-ASSOCIATED DEATH DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(168257, NULL, 'PTHR47754:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(168258, NULL, 'PTHR26452:SF772', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5K2', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168259, NULL, 'PTHR42927', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168260, NULL, 'PTHR12192:SF22', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLCYCLOTRANSFERASE', NULL, NULL, NULL, 15),
(168261, NULL, 'PTHR33193', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (DUF3511)-RELATED', NULL, NULL, NULL, 15),
(168262, NULL, 'PTHR11409:SF45', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE 2-A', NULL, NULL, NULL, 15),
(168263, NULL, 'PTHR31674:SF61', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0905400', NULL, NULL, NULL, 15),
(168264, NULL, 'PTHR24054:SF49', NULL, NULL, NULL, NULL, 'BNAC09G11140D PROTEIN', NULL, NULL, NULL, 15),
(168265, NULL, 'PTHR12162', NULL, NULL, NULL, NULL, 'NIBRIN-RELATED', NULL, NULL, 34273, 15),
(168266, NULL, 'PTHR47129:SF1', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE 2', NULL, NULL, NULL, 15),
(168267, NULL, 'PTHR11011:SF45', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE 1', NULL, NULL, NULL, 15),
(168268, NULL, 'PTHR31077', NULL, NULL, NULL, NULL, 'U4/U6.U5 SMALL NUCLEAR RIBONUCLEOPROTEIN 27 KDA PROTEIN', NULL, NULL, NULL, 15),
(168269, NULL, 'PTHR31807:SF25', NULL, NULL, NULL, NULL, 'QWRF MOTIF-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(168270, NULL, 'PTHR45620:SF30', NULL, NULL, NULL, NULL, 'GLUCAGON RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(168271, NULL, 'PTHR10641:SF1232', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB74', NULL, NULL, NULL, 15),
(168272, NULL, 'PTHR11654:SF322', NULL, NULL, NULL, NULL, 'OS10G0579600 PROTEIN', NULL, NULL, NULL, 15),
(168273, NULL, 'PTHR47951:SF2', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(168274, NULL, 'PTHR27006:SF367', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168275, NULL, 'PTHR47557:SF3', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(168276, NULL, 'PTHR31973:SF106', NULL, NULL, NULL, NULL, 'OS09G0268600 PROTEIN', NULL, NULL, NULL, 15),
(168277, NULL, 'PTHR24031:SF624', NULL, NULL, NULL, NULL, 'DEAD/H RNA HELICASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(168278, NULL, 'PTHR22930:SF212', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(168279, NULL, 'PTHR10292:SF21', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(168280, NULL, 'PTHR11712:SF334', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE', NULL, NULL, NULL, 15),
(168281, NULL, 'PTHR45089:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168282, NULL, 'PTHR48106:SF14', NULL, NULL, NULL, NULL, 'DEHYDROGENASE ORSE-RELATED', NULL, NULL, NULL, 15),
(168283, NULL, 'PTHR22920:SF20', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168284, NULL, 'PTHR26452:SF801', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(168285, NULL, 'PTHR23081:SF28', NULL, NULL, NULL, NULL, 'BNAC03G12630D PROTEIN', NULL, NULL, NULL, 15),
(168286, NULL, 'PTHR26450:SF23', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52E5', NULL, NULL, NULL, 15),
(168287, NULL, 'PTHR47293:SF12', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 32-RELATED', NULL, NULL, NULL, 15),
(168288, NULL, 'PTHR12125', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 6-LIKE PROTEIN', NULL, NULL, 30939, 15),
(168289, NULL, 'PTHR21292:SF14', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 3-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(168290, NULL, 'PTHR42946', NULL, NULL, NULL, NULL, 'PHOSPHOHEXOSE MUTASE', NULL, NULL, NULL, 15),
(168291, NULL, 'PTHR11977:SF85', NULL, NULL, NULL, NULL, 'PROTEIN FLIGHTLESS-1 HOMOLOG', NULL, NULL, 27003, 15),
(168292, NULL, 'PTHR46705:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02606', NULL, NULL, NULL, 15),
(168293, NULL, 'PTHR22763:SF168', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN', NULL, NULL, NULL, 15),
(168294, NULL, 'PTHR10071:SF281', NULL, NULL, NULL, NULL, 'BOX A-BINDING FACTOR-RELATED', NULL, NULL, NULL, 15),
(168295, NULL, 'PTHR35094:SF8', NULL, NULL, NULL, NULL, 'BNAC02G20450D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168296, NULL, 'PTHR24339:SF53', NULL, NULL, NULL, NULL, 'GS HOMEOBOX 2', NULL, NULL, NULL, 15),
(168297, NULL, 'PTHR24115:SF363', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF26B', NULL, NULL, NULL, 15),
(168298, NULL, 'PTHR43572:SF65', NULL, NULL, NULL, NULL, 'DOUBLE CLP-N MOTIF-CONTAINING P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(168299, NULL, 'PTHR38505:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC100362176', NULL, NULL, NULL, 15),
(168300, NULL, 'PTHR24298:SF829', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 98A3', NULL, NULL, NULL, 15),
(168301, NULL, 'PTHR45853:SF5', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE SRT1', NULL, NULL, NULL, 15),
(168302, NULL, 'PTHR48002:SF105', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4C12', NULL, NULL, NULL, 15),
(168303, NULL, 'PTHR15344:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168304, NULL, 'PTHR31549:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168305, NULL, 'PTHR45923:SF9', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(168306, NULL, 'PTHR31147:SF31', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 5', NULL, NULL, NULL, 15),
(168307, NULL, 'PTHR47134', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 11A', NULL, NULL, NULL, 15),
(168308, NULL, 'PTHR47926:SF166', NULL, NULL, NULL, NULL, 'OS07G0635800 PROTEIN', NULL, NULL, NULL, 15),
(168309, NULL, 'PTHR45807:SF5', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE JAK1', NULL, NULL, NULL, 15),
(168310, NULL, 'PTHR24031:SF717', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-9-LIKE', NULL, NULL, NULL, 15),
(168311, NULL, 'PTHR23024:SF482', NULL, NULL, NULL, NULL, 'CXE CARBOXYLESTERASE', NULL, NULL, NULL, 15),
(168312, NULL, 'PTHR10677:SF45', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN DSK2B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(168313, NULL, 'PTHR46084:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168314, NULL, 'PTHR31415:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168315, NULL, 'PTHR47985:SF40', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(168316, NULL, 'PTHR47763', NULL, NULL, NULL, NULL, 'ALPHA-PROTEIN KINASE VWKA', NULL, NULL, NULL, 15),
(168317, NULL, 'PTHR31322', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TM129', NULL, NULL, 19144, 15),
(168318, NULL, 'PTHR22943:SF68', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(168319, NULL, 'PTHR11524:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7-LIKE 1', NULL, NULL, NULL, 15),
(168320, NULL, 'PTHR11564:SF34', NULL, NULL, NULL, NULL, 'BNAA03G48140D PROTEIN', NULL, NULL, NULL, 15),
(168321, NULL, 'PTHR35361', NULL, NULL, NULL, NULL, 'OS08G0443700 PROTEIN', NULL, NULL, NULL, 15),
(168322, NULL, 'PTHR11712:SF338', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE II, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(168323, NULL, 'PTHR11835:SF60', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT GAMMA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(168324, NULL, 'PTHR33070:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168325, NULL, 'PTHR30523:SF36', NULL, NULL, NULL, NULL, 'BNAC04G02430D PROTEIN', NULL, NULL, NULL, 15),
(168326, NULL, 'PTHR11640:SF127', NULL, NULL, NULL, NULL, 'SI:CH211-57N23.4', NULL, NULL, NULL, 15),
(168327, NULL, 'PTHR33124:SF61', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH148', NULL, NULL, NULL, 15),
(168328, NULL, 'PTHR32015:SF12', NULL, NULL, NULL, NULL, 'LIPASE RELATED', NULL, NULL, NULL, 15),
(168329, NULL, 'PTHR42709:SF7', NULL, NULL, NULL, NULL, 'THIOSULFATE SULFURTRANSFERASE GLPE', NULL, NULL, NULL, 15),
(168330, NULL, 'PTHR45926:SF28', NULL, NULL, NULL, NULL, 'BROMODOMAIN TESTIS-SPECIFIC PROTEIN', NULL, NULL, NULL, 15),
(168331, NULL, 'PTHR35745', NULL, NULL, NULL, NULL, 'BNACNNG14650D PROTEIN', NULL, NULL, 29957, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168332, NULL, 'PTHR21357:SF4', NULL, NULL, NULL, NULL, 'FAM172 FAMILY PROTEIN HOMOLOG CG10038', NULL, NULL, NULL, 15),
(168333, NULL, 'PTHR45616:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168334, NULL, 'PTHR46084:SF16', NULL, NULL, NULL, NULL, 'OS05G0471000 PROTEIN', NULL, NULL, NULL, 15),
(168335, NULL, 'PTHR22842:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN-CONTAINING PROTEIN 83', NULL, NULL, NULL, 15),
(168336, NULL, 'PTHR14392:SF8', NULL, NULL, NULL, NULL, 'PH DOMAIN-CONTAINING PROTEIN DDB_G0267786', NULL, NULL, NULL, 15),
(168337, NULL, 'PTHR42791:SF2', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, GNAT FAMILY FAMILY (AFU_ORTHOLOGUE AFUA_8G05690)', NULL, NULL, NULL, 15),
(168338, NULL, 'PTHR32468:SF119', NULL, NULL, NULL, NULL, 'CATION/H(+) SYMPORTER 13', NULL, NULL, NULL, 15),
(168339, NULL, 'PTHR46128:SF263', NULL, NULL, NULL, NULL, 'BNAC09G42770D PROTEIN', NULL, NULL, NULL, 15),
(168340, NULL, 'PTHR34152:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04886', NULL, NULL, NULL, 15),
(168341, NULL, 'PTHR46449:SF1', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 47, MEMBER A', NULL, NULL, NULL, 15),
(168342, NULL, 'PTHR12203:SF96', NULL, NULL, NULL, NULL, 'BNAC04G50500D PROTEIN', NULL, NULL, NULL, 15),
(168343, NULL, 'PTHR31895:SF10', NULL, NULL, NULL, NULL, 'ACTIVATED IN BLOCKED UNFOLDED PROTEIN RESPONSE', NULL, NULL, NULL, 15),
(168344, NULL, 'PTHR24103:SF652', NULL, NULL, NULL, NULL, 'ZGC:194990', NULL, NULL, NULL, 15),
(168345, NULL, 'PTHR11941:SF155', NULL, NULL, NULL, NULL, '3-HYDROXYBUTYRYL-COA DEHYDRATASE-LIKE PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(168346, NULL, 'PTHR10593:SF126', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 14', NULL, NULL, NULL, 15),
(168347, NULL, 'PTHR19957:SF302', NULL, NULL, NULL, NULL, 'SYNTAXIN OF PLANTS PROTEIN', NULL, NULL, NULL, 15),
(168348, NULL, 'PTHR23252:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG17275', NULL, NULL, NULL, 15),
(168349, NULL, 'PTHR11575:SF40', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168350, NULL, 'PTHR10353:SF164', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 30', NULL, NULL, NULL, 15),
(168351, NULL, 'PTHR12929:SF17', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 52, RIBOFLAVIN TRANSPORTER, MEMBER 2', NULL, NULL, NULL, 15),
(168352, NULL, 'PTHR10871:SF34', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S18, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(168353, NULL, 'PTHR27006:SF314', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(168354, NULL, 'PTHR18901:SF40', NULL, NULL, NULL, NULL, '(DL)-GLYCEROL-3-PHOSPHATASE 2', NULL, NULL, NULL, 15),
(168355, NULL, 'PTHR24028:SF66', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-B6', NULL, NULL, NULL, 15),
(168356, NULL, 'PTHR32011:SF7', NULL, NULL, NULL, NULL, 'BNAC07G16360D PROTEIN', NULL, NULL, NULL, 15),
(168357, NULL, 'PTHR23535', NULL, NULL, NULL, NULL, 'SUGAR EFFLUX TRANSPORTER A-RELATED', NULL, NULL, NULL, 15),
(168358, NULL, 'PTHR22595:SF162', NULL, NULL, NULL, NULL, 'CHITINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(168359, NULL, 'PTHR47979:SF56', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1E', NULL, NULL, NULL, 15),
(168360, NULL, 'PTHR33306:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(168361, NULL, 'PTHR31232:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168362, NULL, 'PTHR23266:SF154', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA-LIKE POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(168363, NULL, 'PTHR33352:SF2', NULL, NULL, NULL, NULL, 'SLR1095 PROTEIN', NULL, NULL, NULL, 15),
(168364, NULL, 'PTHR31165:SF77', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE1', NULL, NULL, NULL, 15),
(168365, NULL, 'PTHR31485:SF24', NULL, NULL, NULL, NULL, 'BNAA09G04630D PROTEIN', NULL, NULL, NULL, 15),
(168366, NULL, 'PTHR24046:SF3', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE, CUB AND EGF-LIKE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(168367, NULL, 'PTHR23267:SF326', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-12-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168368, NULL, 'PTHR36370:SF6', NULL, NULL, NULL, NULL, 'THYLAKOID SOLUBLE PHOSPHOPROTEIN TSP9-RELATED', NULL, NULL, NULL, 15),
(168369, NULL, 'PTHR22765:SF252', NULL, NULL, NULL, NULL, 'OS01G0535100 PROTEIN', NULL, NULL, NULL, 15),
(168370, NULL, 'PTHR31080:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168371, NULL, 'PTHR43051:SF4', NULL, NULL, NULL, NULL, 'POLY(A) POLYMERASE I-LIKE', NULL, NULL, NULL, 15),
(168372, NULL, 'PTHR10218:SF308', NULL, NULL, NULL, NULL, 'EXTRA-LARGE GTP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(168373, NULL, 'PTHR32467:SF83', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR AIL1', NULL, NULL, NULL, 15),
(168374, NULL, 'PTHR43009:SF7', NULL, NULL, NULL, NULL, 'HOMOGENTISATE SOLANESYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(168375, NULL, 'PTHR19876:SF40', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''-3', NULL, NULL, NULL, 15),
(168376, NULL, 'PTHR11863:SF145', NULL, NULL, NULL, NULL, 'OS02G0745700 PROTEIN', NULL, NULL, NULL, 15),
(168377, NULL, 'PTHR34371:SF16', NULL, NULL, NULL, NULL, 'BNAC04G52140D PROTEIN', NULL, NULL, NULL, 15),
(168378, NULL, 'PTHR10366:SF693', NULL, NULL, NULL, NULL, 'VESTITONE REDUCTASE', NULL, NULL, NULL, 15),
(168379, NULL, 'PTHR33646:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(168380, NULL, 'PTHR10736:SF55', NULL, NULL, NULL, NULL, 'BESTROPHIN 1, ISOFORM C-RELATED', NULL, NULL, NULL, 15),
(168381, NULL, 'PTHR47920:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13378', NULL, NULL, NULL, 15),
(168382, NULL, 'PTHR24393:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 524', NULL, NULL, NULL, 15),
(168383, NULL, 'PTHR21668:SF15', NULL, NULL, NULL, NULL, 'BNAA05G09370D PROTEIN', NULL, NULL, NULL, 15),
(168384, NULL, 'PTHR12357:SF88', NULL, NULL, NULL, NULL, 'OS01G0329800 PROTEIN', NULL, NULL, NULL, 15),
(168385, NULL, 'PTHR48107:SF11', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE', NULL, NULL, NULL, 15),
(168386, NULL, 'PTHR10682:SF26', NULL, NULL, NULL, NULL, 'OS02G0771500 PROTEIN', NULL, NULL, NULL, 15),
(168387, NULL, 'PTHR24009:SF18', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(168388, NULL, 'PTHR47992:SF43', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 11-RELATED', NULL, NULL, NULL, 15),
(168389, NULL, 'PTHR13391:SF0', NULL, NULL, NULL, NULL, 'PROTEIN MISATO HOMOLOG 1', NULL, NULL, NULL, 15),
(168390, NULL, 'PTHR46128:SF42', NULL, NULL, NULL, NULL, 'BNAA09G28960D PROTEIN', NULL, NULL, NULL, 15),
(168391, NULL, 'PTHR37702:SF7', NULL, NULL, NULL, NULL, 'EXTENSIN-1-LIKE', NULL, NULL, NULL, 15),
(168392, NULL, 'PTHR21450:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (DUF630 AND DUF632)-RELATED', NULL, NULL, NULL, 15),
(168393, NULL, 'PTHR33834', NULL, NULL, NULL, NULL, 'SIGNALING PEPTIDE TAXIMIN 2', NULL, NULL, NULL, 15),
(168394, NULL, 'PTHR10129', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAF', NULL, NULL, 22527, 15),
(168395, NULL, 'PTHR36335:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(168396, NULL, 'PTHR21141:SF92', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2A-LIKE', NULL, NULL, NULL, 15),
(168397, NULL, 'PTHR23075:SF7', NULL, NULL, NULL, NULL, 'AAA-TYPE ATPASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(168398, NULL, 'PTHR47041:SF4', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168399, NULL, 'PTHR34123:SF1', NULL, NULL, NULL, NULL, 'OS04G0578200 PROTEIN', NULL, NULL, NULL, 15),
(168400, NULL, 'PTHR32227:SF252', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE', NULL, NULL, NULL, 15),
(168401, NULL, 'PTHR21625', NULL, NULL, NULL, NULL, 'NYD-SP28 PROTEIN', NULL, NULL, 30929, 15),
(168402, NULL, 'PTHR42850:SF2', NULL, NULL, NULL, NULL, 'BLL5683 PROTEIN', NULL, NULL, NULL, 15),
(168403, NULL, 'PTHR23267:SF398', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-25', NULL, NULL, NULL, 15),
(168404, NULL, 'PTHR10334:SF388', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN 2', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168405, NULL, 'PTHR21632', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22176, 15),
(168406, NULL, 'PTHR27007:SF334', NULL, NULL, NULL, NULL, 'BNAA04G27940D PROTEIN', NULL, NULL, NULL, 15),
(168407, NULL, 'PTHR11178:SF43', NULL, NULL, NULL, NULL, 'NIFU-LIKE PROTEIN 5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(168408, NULL, 'PTHR24394:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 652', NULL, NULL, NULL, 15),
(168409, NULL, 'PTHR48014:SF5', NULL, NULL, NULL, NULL, 'BNACNNG25290D PROTEIN', NULL, NULL, NULL, 15),
(168410, NULL, 'PTHR32295:SF164', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 18', NULL, NULL, NULL, 15),
(168411, NULL, 'PTHR23020:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG19297', NULL, NULL, NULL, 15),
(168412, NULL, 'PTHR48041:SF7', NULL, NULL, NULL, NULL, 'PROTEIN WHITE', NULL, NULL, NULL, 15),
(168413, NULL, 'PTHR33265:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168414, NULL, 'PTHR45688:SF14', NULL, NULL, NULL, NULL, 'BNAC01G00550D PROTEIN', NULL, NULL, NULL, 15),
(168415, NULL, 'PTHR33710:SF44', NULL, NULL, NULL, NULL, 'OS06G0205337 PROTEIN', NULL, NULL, NULL, 15),
(168416, NULL, 'PTHR23155:SF954', NULL, NULL, NULL, NULL, 'OS10G0133166 PROTEIN', NULL, NULL, NULL, 15),
(168417, NULL, 'PTHR48044:SF32', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(168418, NULL, 'PTHR45027:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168419, NULL, 'PTHR11705:SF133', NULL, NULL, NULL, NULL, 'PROTEIN CBG05161', NULL, NULL, NULL, 15),
(168420, NULL, 'PTHR19384:SF89', NULL, NULL, NULL, NULL, 'NADPH OXIDOREDUCTASE A', NULL, NULL, NULL, 15),
(168421, NULL, 'PTHR32121:SF0', NULL, NULL, NULL, NULL, 'PCNA-INTERACTING PARTNER', NULL, NULL, NULL, 15),
(168422, NULL, 'PTHR11629:SF26', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 116 KDA SUBUNIT A ISOFORM 4', NULL, NULL, NULL, 15),
(168423, NULL, 'PTHR32285:SF239', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 34', NULL, NULL, NULL, 15),
(168424, NULL, 'PTHR47941:SF8', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(168425, NULL, 'PTHR14107:SF22', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: WD REPEAT-CONTAINING PROTEIN 20-LIKE', NULL, NULL, NULL, 15),
(168426, NULL, 'PTHR24015:SF1885', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(168427, NULL, 'PTHR32428:SF2', NULL, NULL, NULL, NULL, 'TARGET OF RAPAMYCIN COMPLEX 2 SUBUNIT BIT61-RELATED', NULL, NULL, NULL, 15),
(168428, NULL, 'PTHR24403:SF43', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 64', NULL, NULL, NULL, 15),
(168429, NULL, 'PTHR31589:SF91', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', NULL, NULL, NULL, 15),
(168430, NULL, 'PTHR11489:SF25', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', NULL, NULL, NULL, 15),
(168431, NULL, 'PTHR12542:SF105', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(168432, NULL, 'PTHR31989:SF306', NULL, NULL, NULL, NULL, 'BNAA09G00430D PROTEIN', NULL, NULL, NULL, 15),
(168433, NULL, 'PTHR18884:SF119', NULL, NULL, NULL, NULL, 'SEPTIN 4, ISOFORM A', NULL, NULL, NULL, 15),
(168434, NULL, 'PTHR24343:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NIM1', NULL, NULL, NULL, 15),
(168435, NULL, 'PTHR33454:SF4', NULL, NULL, NULL, NULL, 'AVENIN-LIKE A6', NULL, NULL, NULL, 15),
(168436, NULL, 'PTHR10334:SF483', NULL, NULL, NULL, NULL, 'BASIC FORM OF PATHOGENESIS-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(168437, NULL, 'PTHR23360:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(168438, NULL, 'PTHR11829:SF206', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN Q1', NULL, NULL, NULL, 15),
(168439, NULL, 'PTHR35127', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168440, NULL, 'PTHR24298:SF838', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(168441, NULL, 'PTHR12373:SF10', NULL, NULL, NULL, NULL, 'ENHANCER OF RUDIMENTARY-LIKE PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168442, NULL, 'PTHR34293', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR TRMBL2', NULL, NULL, NULL, 15),
(168443, NULL, 'PTHR33033', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168444, NULL, 'PTHR48054:SF25', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', NULL, NULL, NULL, 15),
(168445, NULL, 'PTHR45810:SF1', NULL, NULL, NULL, NULL, 'HISTONE H3.2', NULL, NULL, NULL, 15),
(168446, NULL, 'PTHR32370:SF121', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY3-LIKE', NULL, NULL, NULL, 15),
(168447, NULL, 'PTHR33743:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168448, NULL, 'PTHR11640:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168449, NULL, 'PTHR33710:SF6', NULL, NULL, NULL, NULL, 'BNAC02G09200D PROTEIN', NULL, NULL, NULL, 15),
(168450, NULL, 'PTHR45824:SF25', NULL, NULL, NULL, NULL, 'RANDOM SLUG PROTEIN 5-LIKE', NULL, NULL, NULL, 15),
(168451, NULL, 'PTHR14390', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN CONTAINING PROTEIN 3', NULL, NULL, 30470, 15),
(168452, NULL, 'PTHR32499:SF15', NULL, NULL, NULL, NULL, 'BNAA03G55350D PROTEIN', NULL, NULL, NULL, 15),
(168453, NULL, 'PTHR19308:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168454, NULL, 'PTHR33033:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168455, NULL, 'PTHR11668:SF439', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(168456, NULL, 'PTHR10974:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CBG09618', NULL, NULL, NULL, 15),
(168457, NULL, 'PTHR21229', NULL, NULL, NULL, NULL, 'LUNG SEVEN TRANSMEMBRANE RECEPTOR', NULL, NULL, 11391, 15),
(168458, NULL, 'PTHR15094', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168459, NULL, 'PTHR23324:SF62', NULL, NULL, NULL, NULL, 'SEC14-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(168460, NULL, 'PTHR43292:SF4', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FADE34', NULL, NULL, NULL, 15),
(168461, NULL, 'PTHR30563', NULL, NULL, NULL, NULL, 'DNA RECOMBINATION PROTEIN RMUC', NULL, NULL, 3087, 15),
(168462, NULL, 'PTHR10527:SF63', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT BETA-LIKE PROTEIN', NULL, NULL, 27280, 15),
(168463, NULL, 'PTHR20971:SF2', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM5', NULL, NULL, NULL, 15),
(168464, NULL, 'PTHR11242:SF3', NULL, NULL, NULL, NULL, 'AH RECEPTOR-INTERACTING PROTEIN', NULL, NULL, 27475, 15),
(168465, NULL, 'PTHR37897:SF1', NULL, NULL, NULL, NULL, 'DNAK FAMILY PROTEIN', NULL, NULL, NULL, 15),
(168466, NULL, 'PTHR23315:SF309', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(168467, NULL, 'PTHR13887', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE KAPPA', NULL, NULL, NULL, 15),
(168468, NULL, 'PTHR12482:SF42', NULL, NULL, NULL, NULL, 'LIPASE ROG1-RELATED', NULL, NULL, NULL, 15),
(168469, NULL, 'PTHR31744:SF22', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 58', NULL, NULL, NULL, 15),
(168470, NULL, 'PTHR10332:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168471, NULL, 'PTHR47071:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TRM32-LIKE', NULL, NULL, NULL, 15),
(168472, NULL, 'PTHR18929:SF193', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM RESIDENT PROTEIN 27', NULL, NULL, NULL, 15),
(168473, NULL, 'PTHR12994', NULL, NULL, NULL, NULL, 'SECERNIN', NULL, NULL, 5970, 15),
(168474, NULL, 'PTHR23151:SF83', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE COMPONENT 4 OF PYRUVATE DEHYDROGENASE COMPLEX, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(168475, NULL, 'PTHR11362:SF94', NULL, NULL, NULL, NULL, 'PROTEIN HEADING DATE 3A-LIKE', NULL, NULL, NULL, 15),
(168476, NULL, 'PTHR10177:SF405', NULL, NULL, NULL, NULL, 'CYCLIN-D7-1-RELATED', NULL, NULL, NULL, 15),
(168477, NULL, 'PTHR31140:SF97', NULL, NULL, NULL, NULL, 'BNAA06G02510D PROTEIN', NULL, NULL, NULL, 15),
(168478, NULL, 'PTHR23226:SF274', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 72', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168479, NULL, 'PTHR47959:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE SRMB', NULL, NULL, NULL, 15),
(168480, NULL, 'PTHR12612:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168481, NULL, 'PTHR48016:SF25', NULL, NULL, NULL, NULL, 'OS02G0666300 PROTEIN', NULL, NULL, NULL, 15),
(168482, NULL, 'PTHR13878:SF42', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(168483, NULL, 'PTHR31734:SF38', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA20', NULL, NULL, NULL, 15),
(168484, NULL, 'PTHR31083:SF5', NULL, NULL, NULL, NULL, 'F3F20.2 PROTEIN', NULL, NULL, NULL, 15),
(168485, NULL, 'PTHR12176:SF14', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(168486, NULL, 'PTHR12446:SF35', NULL, NULL, NULL, NULL, 'CPP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(168487, NULL, 'PTHR24115:SF454', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF2C', NULL, NULL, NULL, 15),
(168488, NULL, 'PTHR23168:SF0', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE ASSEMBLY CHECKPOINT PROTEIN MAD1', NULL, NULL, NULL, 15),
(168489, NULL, 'PTHR10891:SF844', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML19-RELATED', NULL, NULL, NULL, 15),
(168490, NULL, 'PTHR21879:SF12', NULL, NULL, NULL, NULL, 'OSIRIS 12', NULL, NULL, NULL, 15),
(168491, NULL, 'PTHR37718:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168492, NULL, 'PTHR34401:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01832', NULL, NULL, NULL, 15),
(168493, NULL, 'PTHR18896:SF168', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D1-LIKE PROTEIN (PLD1)', NULL, NULL, NULL, 15),
(168494, NULL, 'PTHR31235:SF221', NULL, NULL, NULL, NULL, 'PEROXIDASE 61-RELATED', NULL, NULL, NULL, 15),
(168495, NULL, 'PTHR11206:SF113', NULL, NULL, NULL, NULL, 'MATE EFFLUX FAMILY PROTEIN (EUROFUNG)', NULL, NULL, NULL, 15),
(168496, NULL, 'PTHR45644:SF38', NULL, NULL, NULL, NULL, 'PEROXISOME BIOSYNTHESIS PROTEIN PAS1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(168497, NULL, 'PTHR19317:SF48', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(168498, NULL, 'PTHR12128:SF47', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE SYNTHETASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G01230)', NULL, NULL, NULL, 15),
(168499, NULL, 'PTHR13233:SF11', NULL, NULL, NULL, NULL, 'SMAD/FHA DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(168500, NULL, 'PTHR47920:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168501, NULL, 'PTHR33044:SF156', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(168502, NULL, 'PTHR43750:SF4', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 6-DEHYDROGENASE YWQF', NULL, NULL, NULL, 15),
(168503, NULL, 'PTHR36180:SF1', NULL, NULL, NULL, NULL, 'ANTI REPRESSOR', NULL, NULL, NULL, 15),
(168504, NULL, 'PTHR43895:SF6', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 19', NULL, NULL, NULL, 15),
(168505, NULL, 'PTHR14002:SF13', NULL, NULL, NULL, NULL, 'BETA-TECTORIN', NULL, NULL, NULL, 15),
(168506, NULL, 'PTHR33127:SF29', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(168507, NULL, 'PTHR12947:SF16', NULL, NULL, NULL, NULL, 'BNAA01G17680D PROTEIN', NULL, NULL, NULL, 15),
(168508, NULL, 'PTHR33070:SF104', NULL, NULL, NULL, NULL, 'BNAC07G32230D PROTEIN', NULL, NULL, NULL, 15),
(168509, NULL, 'PTHR16106', NULL, NULL, NULL, NULL, 'CHROMOSOME 4 OPEN READING FRAME 19', NULL, NULL, 27352, 15),
(168510, NULL, 'PTHR22957:SF582', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(168511, NULL, 'PTHR10759:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168512, NULL, 'PTHR14978:SF4', NULL, NULL, NULL, NULL, 'BETA-CATENIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(168513, NULL, 'PTHR43768:SF36', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE 9-RELATED', NULL, NULL, NULL, 15),
(168514, NULL, 'PTHR33286:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168515, NULL, 'PTHR43047:SF10', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE', NULL, NULL, NULL, 15),
(168516, NULL, 'PTHR30134:SF2', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYPB', NULL, NULL, NULL, 15),
(168517, NULL, 'PTHR11195:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168518, NULL, 'PTHR22966:SF42', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 2', NULL, NULL, NULL, 15),
(168519, NULL, 'PTHR47993:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168520, NULL, 'PTHR33430:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168521, NULL, 'PTHR12446:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168522, NULL, 'PTHR26450:SF1', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 613', NULL, NULL, NULL, 15),
(168523, NULL, 'PTHR34956:SF6', NULL, NULL, NULL, NULL, 'BNAANNG08740D PROTEIN', NULL, NULL, NULL, 15),
(168524, NULL, 'PTHR23272:SF52', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN DAYSLEEPER', NULL, NULL, NULL, 15),
(168525, NULL, 'PTHR12898', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 24', NULL, NULL, 18466, 15),
(168526, NULL, 'PTHR31527', NULL, NULL, NULL, NULL, 'RE64534P', NULL, NULL, NULL, 15),
(168527, NULL, 'PTHR22722:SF8', NULL, NULL, NULL, NULL, 'SI:DKEY-88L16.3', NULL, NULL, NULL, 15),
(168528, NULL, 'PTHR31065:SF38', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(168529, NULL, 'PTHR10795:SF458', NULL, NULL, NULL, NULL, 'OSJNBA0065O17.12 PROTEIN', NULL, NULL, NULL, 15),
(168530, NULL, 'PTHR31734', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA17', NULL, NULL, 3641, 15),
(168531, NULL, 'PTHR28260', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT SPC105', NULL, NULL, 32159, 15),
(168532, NULL, 'PTHR33879:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168533, NULL, 'PTHR44144', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 9', NULL, NULL, NULL, 15),
(168534, NULL, 'PTHR45730:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168535, NULL, 'PTHR45737:SF4', NULL, NULL, NULL, NULL, 'VON WILLEBRAND DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G01160)', NULL, NULL, NULL, 15),
(168536, NULL, 'PTHR19134:SF477', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168537, NULL, 'PTHR45952:SF6', NULL, NULL, NULL, NULL, 'NUCLEOPHILE AMINOHYDROLASE-RELATED', NULL, NULL, NULL, 15),
(168538, NULL, 'PTHR13068:SF157', NULL, NULL, NULL, NULL, 'BNAA10G09910D PROTEIN', NULL, NULL, NULL, 15),
(168539, NULL, 'PTHR23050:SF357', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML21-RELATED', NULL, NULL, NULL, 15),
(168540, NULL, 'PTHR42944:SF1', NULL, NULL, NULL, NULL, 'ADENINE DNA GLYCOSYLASE', NULL, NULL, NULL, 15),
(168541, NULL, 'PTHR19282:SF394', NULL, NULL, NULL, NULL, 'GH14950P-RELATED', NULL, NULL, NULL, 15),
(168542, NULL, 'PTHR47146:SF1', NULL, NULL, NULL, NULL, 'OTORAPLIN', NULL, NULL, NULL, 15),
(168543, NULL, 'PTHR38371', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(168544, NULL, 'PTHR23259:SF61', NULL, NULL, NULL, NULL, 'PROTEIN CBG20701', NULL, NULL, NULL, 15),
(168545, NULL, 'PTHR45712:SF16', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN FLRT2', NULL, NULL, NULL, 15),
(168546, NULL, 'PTHR11589:SF3', NULL, NULL, NULL, NULL, 'BRAIN-DERIVED NEUROTROPHIC FACTOR', NULL, NULL, 20705, 15),
(168547, NULL, 'PTHR27006:SF403', NULL, NULL, NULL, NULL, 'BNACNNG55900D PROTEIN', NULL, NULL, NULL, 15),
(168548, NULL, 'PTHR12395:SF25', NULL, NULL, NULL, NULL, 'DECAPPING AND EXORIBONUCLEASE PROTEIN 1', NULL, NULL, NULL, 15),
(168549, NULL, 'PTHR17600:SF2', NULL, NULL, NULL, NULL, 'LRP CHAPERONE MESD', NULL, NULL, NULL, 15),
(168550, NULL, 'PTHR24281:SF210', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', NULL, NULL, NULL, 15),
(168551, NULL, 'PTHR24115:SF821', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168552, NULL, 'PTHR11138:SF5', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(168553, NULL, 'PTHR21290:SF28', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLCHOLINE:CERAMIDE CHOLINEPHOSPHOTRANSFERASE 1', NULL, NULL, NULL, 15),
(168554, NULL, 'PTHR12802:SF106', NULL, NULL, NULL, NULL, 'PROTEIN CCA1', NULL, NULL, NULL, 15),
(168555, NULL, 'PTHR24061:SF436', NULL, NULL, NULL, NULL, 'EC2-V2R PHEROMONE RECEPTOR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168556, NULL, 'PTHR15710:SF105', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL19-RELATED', NULL, NULL, NULL, 15),
(168557, NULL, 'PTHR37826:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168558, NULL, 'PTHR23024:SF429', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 2-RELATED', NULL, NULL, NULL, 15),
(168559, NULL, 'PTHR20973:SF2', NULL, NULL, NULL, NULL, 'BNAANNG27890D PROTEIN', NULL, NULL, NULL, 15),
(168560, NULL, 'PTHR43749:SF2', NULL, NULL, NULL, NULL, 'RNA-SPLICING LIGASE RTCB', NULL, NULL, NULL, 15),
(168561, NULL, 'PTHR32077:SF75', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168562, NULL, 'PTHR31867:SF99', NULL, NULL, NULL, NULL, 'EXPANSIN-A20', NULL, NULL, NULL, 15),
(168563, NULL, 'PTHR46805', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J1', NULL, NULL, NULL, 15),
(168564, NULL, 'PTHR38332:SF1', NULL, NULL, NULL, NULL, 'RE49668P', NULL, NULL, NULL, 15),
(168565, NULL, 'PTHR11629:SF102', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(168566, NULL, 'PTHR48017:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168567, NULL, 'PTHR11952:SF16', NULL, NULL, NULL, NULL, 'BNACNNG10940D PROTEIN', NULL, NULL, NULL, 15),
(168568, NULL, 'PTHR33791:SF14', NULL, NULL, NULL, NULL, 'BNAC02G09090D PROTEIN', NULL, NULL, NULL, 15),
(168569, NULL, 'PTHR24330:SF6', NULL, NULL, NULL, NULL, 'BARH-LIKE HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(168570, NULL, 'PTHR30472:SF64', NULL, NULL, NULL, NULL, 'IRON(3+)-HYDROXAMATE IMPORT SYSTEM PERMEASE PROTEIN FHUG', NULL, NULL, NULL, 15),
(168571, NULL, 'PTHR31235:SF276', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(168572, NULL, 'PTHR10846:SF64', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER CG1090-RELATED', NULL, NULL, NULL, 15),
(168573, NULL, 'PTHR47926:SF128', NULL, NULL, NULL, NULL, 'BNAC09G43850D PROTEIN', NULL, NULL, NULL, 15),
(168574, NULL, 'PTHR31003:SF31', NULL, NULL, NULL, NULL, 'BNACNNG76060D PROTEIN', NULL, NULL, NULL, 15),
(168575, NULL, 'PTHR11893:SF6', NULL, NULL, NULL, NULL, 'INNEXIN-16', NULL, NULL, NULL, 15),
(168576, NULL, 'PTHR19918:SF43', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 20.2, COFACTOR OF APC COMPLEX-LIKE ISOFORM X2', NULL, NULL, NULL, 15),
(168577, NULL, 'PTHR23012:SF181', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH-RELATED', NULL, NULL, NULL, 15),
(168578, NULL, 'PTHR34949:SF10', NULL, NULL, NULL, NULL, 'T-SNARE-RELATED', NULL, NULL, NULL, 15),
(168579, NULL, 'PTHR42735:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168580, NULL, 'PTHR48017:SF75', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(168581, NULL, 'PTHR31741:SF79', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168582, NULL, 'PTHR11908:SF150', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE', NULL, NULL, NULL, 15),
(168583, NULL, 'PTHR43490:SF113', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(168584, NULL, 'PTHR21716:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168585, NULL, 'PTHR23167:SF56', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN', NULL, NULL, NULL, 15),
(168586, NULL, 'PTHR11113:SF2', NULL, NULL, NULL, NULL, 'ADENINE DEAMINASE', NULL, NULL, 2154, 15),
(168587, NULL, 'PTHR47993:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168588, NULL, 'PTHR10426:SF73', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 12', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168589, NULL, 'PTHR37001', NULL, NULL, NULL, NULL, 'PHOSPHORYN, PUTATIVE-RELATED-RELATED', NULL, NULL, NULL, 15),
(168590, NULL, 'PTHR32552:SF84', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(168591, NULL, 'PTHR31495:SF16', NULL, NULL, NULL, NULL, 'ABA-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(168592, NULL, 'PTHR23115:SF191', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(168593, NULL, 'PTHR46235:SF10', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DOWNY MILDEW 2', NULL, NULL, NULL, 15),
(168594, NULL, 'PTHR23315:SF310', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(168595, NULL, 'PTHR31194:SF126', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERN1-LIKE', NULL, NULL, NULL, 15),
(168596, NULL, 'PTHR11037:SF20', NULL, NULL, NULL, NULL, 'GEMINI, ISOFORM C', NULL, NULL, NULL, 15),
(168597, NULL, 'PTHR13068:SF193', NULL, NULL, NULL, NULL, 'BNAA09G13550D PROTEIN', NULL, NULL, NULL, 15),
(168598, NULL, 'PTHR13531:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 17', NULL, NULL, NULL, 15),
(168599, NULL, 'PTHR36346:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(168600, NULL, 'PTHR46146:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN CCR3-RELATED', NULL, NULL, NULL, 15),
(168601, NULL, 'PTHR36127:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168602, NULL, 'PTHR31225:SF125', NULL, NULL, NULL, NULL, '5-EPI-ARISTOLOCHENE SYNTHASE', NULL, NULL, NULL, 15),
(168603, NULL, 'PTHR32448:SF120', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(168604, NULL, 'PTHR31642:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168605, NULL, 'PTHR33085:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168606, NULL, 'PTHR43090', NULL, NULL, NULL, NULL, '1-(5-PHOSPHORIBOSYL)-5-[(5-PHOSPHORIBOSYLAMINO)METHYLIDENEAMINO] IMIDAZOLE-4-CARBOXAMIDE ISOMERASE', NULL, NULL, 37004, 15),
(168607, NULL, 'PTHR32166:SF78', NULL, NULL, NULL, NULL, 'PHEROMONE-PROCESSING CARBOXYPEPTIDASE KEX1-LIKE', NULL, NULL, NULL, 15),
(168608, NULL, 'PTHR31838:SF1', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 55 KDA', NULL, NULL, NULL, 15),
(168609, NULL, 'PTHR10681:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168610, NULL, 'PTHR33748:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG14815', NULL, NULL, NULL, 15),
(168611, NULL, 'PTHR35132', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX-LIKE PROTEIN', NULL, NULL, NULL, 15),
(168612, NULL, 'PTHR13018:SF38', NULL, NULL, NULL, NULL, 'CSC1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(168613, NULL, 'PTHR33365:SF4', NULL, NULL, NULL, NULL, 'YALI0B05434P', NULL, NULL, NULL, 15),
(168614, NULL, 'PTHR31731:SF49', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(168615, NULL, 'PTHR35558:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168616, NULL, 'PTHR11616:SF280', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(168617, NULL, 'PTHR33184:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168618, NULL, 'PTHR23359:SF81', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 8', NULL, NULL, NULL, 15),
(168619, NULL, 'PTHR23301:SF0', NULL, NULL, NULL, NULL, 'LP01340P', NULL, NULL, NULL, 15),
(168620, NULL, 'PTHR31541:SF28', NULL, NULL, NULL, NULL, 'B3 DOMAIN PLANT PROTEIN', NULL, NULL, NULL, 15),
(168621, NULL, 'PTHR31384:SF1', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 9', NULL, NULL, NULL, 15),
(168622, NULL, 'PTHR47708:SF2', NULL, NULL, NULL, NULL, 'SI:CH73-132F6.5', NULL, NULL, NULL, 15),
(168623, NULL, 'PTHR23106:SF24', NULL, NULL, NULL, NULL, 'ANGIOGENIC FACTOR WITH G PATCH AND FHA DOMAINS 1', NULL, NULL, NULL, 15),
(168624, NULL, 'PTHR11119:SF53', NULL, NULL, NULL, NULL, 'OS09G0381100 PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168625, NULL, 'PTHR13738:SF15', NULL, NULL, NULL, NULL, 'TROPONIN I, FAST SKELETAL MUSCLE', NULL, NULL, NULL, 15),
(168626, NULL, 'PTHR42663:SF6', NULL, NULL, NULL, NULL, 'HYDROLASE C777.06C-RELATED', NULL, NULL, NULL, 15),
(168627, NULL, 'PTHR33052:SF116', NULL, NULL, NULL, NULL, 'BNAA08G15460D PROTEIN', NULL, NULL, NULL, 15),
(168628, NULL, 'PTHR46131:SF5', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 53', NULL, NULL, NULL, 15),
(168629, NULL, 'PTHR31225:SF93', NULL, NULL, NULL, NULL, 'TERPENOID SYNTHASE 9', NULL, NULL, NULL, 15),
(168630, NULL, 'PTHR12537:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168631, NULL, 'PTHR24365:SF535', NULL, NULL, NULL, NULL, 'TOLL LIKE RECEPTOR 8', NULL, NULL, NULL, 15),
(168632, NULL, 'PTHR45970', NULL, NULL, NULL, NULL, 'AGAP004664-PA', NULL, NULL, NULL, 15),
(168633, NULL, 'PTHR15469', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE B15 SUBUNIT', NULL, NULL, 14664, 15),
(168634, NULL, 'PTHR46459', NULL, NULL, NULL, NULL, 'E1A-BINDING PROTEIN P400-RELATED', NULL, NULL, NULL, 15),
(168635, NULL, 'PTHR46354:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA6-LIKE', NULL, NULL, NULL, 15),
(168636, NULL, 'PTHR12210:SF112', NULL, NULL, NULL, NULL, 'CTD (CARBOXY-TERMINAL DOMAIN, RNA POLYMERASE II, POLYPEPTIDE A) SMALL PHOSPHATASE-LIKE 3', NULL, NULL, NULL, 15),
(168637, NULL, 'PTHR11711:SF387', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR D', NULL, NULL, NULL, 15),
(168638, NULL, 'PTHR45627:SF24', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE 1B', NULL, NULL, NULL, 15),
(168639, NULL, 'PTHR43706:SF10', NULL, NULL, NULL, NULL, 'ROTENONE-INSENSITIVE NADH-UBIQUINONE OXIDOREDUCTASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(168640, NULL, 'PTHR32096:SF28', NULL, NULL, NULL, NULL, 'OS03G0855100 PROTEIN', NULL, NULL, NULL, 15),
(168641, NULL, 'PTHR37862:SF1', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA CORE COMPLEX-ASSOCIATED PROTEIN 20', NULL, NULL, NULL, 15),
(168642, NULL, 'PTHR43811:SF36', NULL, NULL, NULL, NULL, 'FK506-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(168643, NULL, 'PTHR31409', NULL, NULL, NULL, NULL, 'WASH COMPLEX SUBUNIT 4', NULL, NULL, 26820, 15),
(168644, NULL, 'PTHR13780:SF39', NULL, NULL, NULL, NULL, 'CBS', NULL, NULL, NULL, 15),
(168645, NULL, 'PTHR24291:SF39', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 4A11-RELATED', NULL, NULL, NULL, 15),
(168646, NULL, 'PTHR22617:SF44', NULL, NULL, NULL, NULL, 'PURINE-BINDING CHEMOTAXIS PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168647, NULL, 'PTHR12862:SF0', NULL, NULL, NULL, NULL, 'N-ACETYL-D-GLUCOSAMINE KINASE', NULL, NULL, NULL, 15),
(168648, NULL, 'PTHR45647:SF8', NULL, NULL, NULL, NULL, 'OS02G0152300 PROTEIN', NULL, NULL, NULL, 15),
(168649, NULL, 'PTHR45666:SF12', NULL, NULL, NULL, NULL, 'I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(168650, NULL, 'PTHR31989:SF319', NULL, NULL, NULL, NULL, 'BNAA09G00360D PROTEIN', NULL, NULL, NULL, 15),
(168651, NULL, 'PTHR35349:SF5', NULL, NULL, NULL, NULL, 'DYNACTIN-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(168652, NULL, 'PTHR10177:SF438', NULL, NULL, NULL, NULL, 'CYCD3,1 PROTEIN', NULL, NULL, NULL, 15),
(168653, NULL, 'PTHR44042:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168654, NULL, 'PTHR12606:SF1', NULL, NULL, NULL, NULL, 'DENEDDYLASE 1, ISOFORM C-RELATED', NULL, NULL, NULL, 15),
(168655, NULL, 'PTHR24637:SF298', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 75-RELATED', NULL, NULL, NULL, 15),
(168656, NULL, 'PTHR19970:SF23', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39', NULL, NULL, NULL, 15),
(168657, NULL, 'PTHR47746:SF23', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE ZINC-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168658, NULL, 'PTHR47577:SF1', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(168659, NULL, 'PTHR36856', NULL, NULL, NULL, NULL, 'OS07G0175200 PROTEIN', NULL, NULL, NULL, 15),
(168660, NULL, 'PTHR12357:SF95', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CONSERVED C-TERMINAL REGION 11', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168661, NULL, 'PTHR31907:SF29', NULL, NULL, NULL, NULL, 'BNAA07G10100D PROTEIN', NULL, NULL, NULL, 15),
(168662, NULL, 'PTHR33142:SF44', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR9', NULL, NULL, NULL, 15),
(168663, NULL, 'PTHR23232:SF67', NULL, NULL, NULL, NULL, 'PROTEIN ZNF738', NULL, NULL, NULL, 15),
(168664, NULL, 'PTHR31669', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 10-RELATED', NULL, NULL, 27530, 15),
(168665, NULL, 'PTHR30520:SF6', NULL, NULL, NULL, NULL, 'FORMATE TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(168666, NULL, 'PTHR32133:SF323', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168667, NULL, 'PTHR33044:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168668, NULL, 'PTHR10183:SF402', NULL, NULL, NULL, NULL, 'CALPAIN-5', NULL, NULL, NULL, 15),
(168669, NULL, 'PTHR30325:SF0', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YEJE', NULL, NULL, NULL, 15),
(168670, NULL, 'PTHR22800:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168671, NULL, 'PTHR24286:SF244', NULL, NULL, NULL, NULL, 'OS07G0567100 PROTEIN', NULL, NULL, NULL, 15),
(168672, NULL, 'PTHR11036:SF80', NULL, NULL, NULL, NULL, 'SEMAPHORIN-7A', NULL, NULL, NULL, 15),
(168673, NULL, 'PTHR46224:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168674, NULL, 'PTHR34382:SF8', NULL, NULL, NULL, NULL, 'PTS SYSTEM OLIGO-BETA-MANNOSIDE-SPECIFIC EIIA COMPONENT', NULL, NULL, NULL, 15),
(168675, NULL, 'PTHR12905', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE', NULL, NULL, NULL, 15),
(168676, NULL, 'PTHR24282:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168677, NULL, 'PTHR12642:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168678, NULL, 'PTHR46045:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(168679, NULL, 'PTHR31989:SF16', NULL, NULL, NULL, NULL, 'PROTEIN SOMBRERO', NULL, NULL, NULL, 15),
(168680, NULL, 'PTHR21461:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN RCOM_0530710', NULL, NULL, NULL, 15),
(168681, NULL, 'PTHR38138:SF1', NULL, NULL, NULL, NULL, 'VNG6441H', NULL, NULL, NULL, 15),
(168682, NULL, 'PTHR15243:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 19', NULL, NULL, NULL, 15),
(168683, NULL, 'PTHR31301:SF120', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 23-RELATED', NULL, NULL, NULL, 15),
(168684, NULL, 'PTHR45636:SF33', NULL, NULL, NULL, NULL, 'PAIRED BOX 10', NULL, NULL, NULL, 15),
(168685, NULL, 'PTHR13803:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC24A', NULL, NULL, NULL, 15),
(168686, NULL, 'PTHR24015:SF1933', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(168687, NULL, 'PTHR10634:SF121', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(168688, NULL, 'PTHR46646:SF5', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(168689, NULL, 'PTHR31964:SF134', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(168690, NULL, 'PTHR23049:SF10', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 2, SKELETAL MUSCLE ISOFORM', NULL, NULL, NULL, 15),
(168691, NULL, 'PTHR32002:SF12', NULL, NULL, NULL, NULL, 'OS02G0136000 PROTEIN', NULL, NULL, NULL, 15),
(168692, NULL, 'PTHR42973:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168693, NULL, 'PTHR32212:SF250', NULL, NULL, NULL, NULL, 'BNAA03G12830D PROTEIN', NULL, NULL, NULL, 15),
(168694, NULL, 'PTHR38081', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168695, NULL, 'PTHR31190:SF122', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', NULL, NULL, NULL, 15),
(168696, NULL, 'PTHR24349:SF311', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE KINASE 2-LIKE', NULL, NULL, NULL, 15),
(168697, NULL, 'PTHR12373:SF0', NULL, NULL, NULL, NULL, 'ENHANCER OF RUDIMENTARY HOMOLOG', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168698, NULL, 'PTHR21184:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM151B', NULL, NULL, NULL, 15),
(168699, NULL, 'PTHR13999:SF6', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED TRANSMEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(168700, NULL, 'PTHR46309:SF9', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(168701, NULL, 'PTHR19308:SF44', NULL, NULL, NULL, NULL, 'BNAA06G00040D PROTEIN', NULL, NULL, NULL, 15),
(168702, NULL, 'PTHR46623', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE-RELATED', NULL, NULL, NULL, 15),
(168703, NULL, 'PTHR31225:SF155', NULL, NULL, NULL, NULL, 'BNAANNG04280D PROTEIN', NULL, NULL, NULL, 15),
(168704, NULL, 'PTHR31953:SF43', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV4', NULL, NULL, NULL, 15),
(168705, NULL, 'PTHR10390:SF34', NULL, NULL, NULL, NULL, 'ANOMALOUS HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(168706, NULL, 'PTHR45658:SF48', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(168707, NULL, 'PTHR31967:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG24357', NULL, NULL, NULL, 15),
(168708, NULL, 'PTHR43899:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168709, NULL, 'PTHR12365:SF10', NULL, NULL, NULL, NULL, 'PROTEIN SPROUTY HOMOLOG 1', NULL, NULL, 25271, 15),
(168710, NULL, 'PTHR24416:SF91', NULL, NULL, NULL, NULL, 'EPIDERMAL GROWTH FACTOR RECEPTOR', NULL, NULL, NULL, 15),
(168711, NULL, 'PTHR36311:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I SUBUNIT O', NULL, NULL, NULL, 15),
(168712, NULL, 'PTHR14926', NULL, NULL, NULL, NULL, 'M-PHASE PHOSPHOPROTEIN 9', NULL, NULL, 26963, 15),
(168713, NULL, 'PTHR14716:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 69', NULL, NULL, NULL, 15),
(168714, NULL, 'PTHR35125:SF2', NULL, NULL, NULL, NULL, 'NEURON NAVIGATOR 1-LIKE', NULL, NULL, NULL, 15),
(168715, NULL, 'PTHR33090:SF28', NULL, NULL, NULL, NULL, 'OS08G0178500 PROTEIN', NULL, NULL, NULL, 15),
(168716, NULL, 'PTHR45631:SF89', NULL, NULL, NULL, NULL, 'BNAC02G06920D PROTEIN', NULL, NULL, NULL, 15),
(168717, NULL, 'PTHR15052:SF2', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 2', NULL, NULL, NULL, 15),
(168718, NULL, 'PTHR10965:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L38', NULL, NULL, NULL, 15),
(168719, NULL, 'PTHR21659:SF89', NULL, NULL, NULL, NULL, 'PROTEOLIPID MEMBRANE POTENTIAL MODULATOR-RELATED', NULL, NULL, NULL, 15),
(168720, NULL, 'PTHR21669:SF36', NULL, NULL, NULL, NULL, 'ZGC:153184', NULL, NULL, NULL, 15),
(168721, NULL, 'PTHR23505:SF19', NULL, NULL, NULL, NULL, 'LP14756P', NULL, NULL, NULL, 15),
(168722, NULL, 'PTHR47990:SF92', NULL, NULL, NULL, NULL, 'GA2OX-B11 PROTEIN', NULL, NULL, NULL, 15),
(168723, NULL, 'PTHR19331:SF441', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CYSTEINE-RICH TYPE 1 PROTEIN M130', NULL, NULL, NULL, 15),
(168724, NULL, 'PTHR38101', NULL, NULL, NULL, NULL, 'UPF0307 PROTEIN YJGA', NULL, NULL, 4249, 15),
(168725, NULL, 'PTHR48220', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168726, NULL, 'PTHR16083:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND CALPONIN HOMOLOGY DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(168727, NULL, 'PTHR15907:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168728, NULL, 'PTHR11825:SF70', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE, CYTOSOLIC', NULL, NULL, NULL, 15),
(168729, NULL, 'PTHR30462:SF2', NULL, NULL, NULL, NULL, 'INTERMEMBRANE TRANSPORT PROTEIN PQIB', NULL, NULL, NULL, 15),
(168730, NULL, 'PTHR11863:SF196', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 1-LIKE', NULL, NULL, NULL, 15),
(168731, NULL, 'PTHR10980:SF49', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 1-LIKE', NULL, NULL, NULL, 15),
(168732, NULL, 'PTHR30529:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 HOMOLOG 1', NULL, NULL, NULL, 15),
(168733, NULL, 'PTHR31350:SF24', NULL, NULL, NULL, NULL, 'BNAC03G63070D PROTEIN', NULL, NULL, NULL, 15),
(168734, NULL, 'PTHR31048:SF166', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168735, NULL, 'PTHR34563:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168736, NULL, 'PTHR30443:SF3', NULL, NULL, NULL, NULL, 'KDO(2)-LIPID A PHOSPHOETHANOLAMINE 7''''-TRANSFERASE', NULL, NULL, NULL, 15),
(168737, NULL, 'PTHR37508:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168738, NULL, 'PTHR12015:SF94', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 18', NULL, NULL, NULL, 15),
(168739, NULL, 'PTHR31388:SF170', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(168740, NULL, 'PTHR15381:SF1', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE PROTEOGLYCAN 5', NULL, NULL, NULL, 15),
(168741, NULL, 'PTHR36964:SF1', NULL, NULL, NULL, NULL, 'PROTEIN-METHIONINE-SULFOXIDE REDUCTASE HEME-BINDING SUBUNIT MSRQ', NULL, NULL, NULL, 15),
(168742, NULL, 'PTHR46163:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168743, NULL, 'PTHR33703:SF13', NULL, NULL, NULL, NULL, 'SENESCENCE ASSOCIATED GENE 20', NULL, NULL, NULL, 15),
(168744, NULL, 'PTHR32361:SF24', NULL, NULL, NULL, NULL, 'FERRIC REDUCTASE', NULL, NULL, NULL, 15),
(168745, NULL, 'PTHR33156:SF40', NULL, NULL, NULL, NULL, 'OS01G0754000 PROTEIN', NULL, NULL, NULL, 15),
(168746, NULL, 'PTHR46447:SF1', NULL, NULL, NULL, NULL, 'INTERLEUKIN ENHANCER-BINDING FACTOR 2', NULL, NULL, NULL, 15),
(168747, NULL, 'PTHR24147:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 20A1-RELATED', NULL, NULL, NULL, 15),
(168748, NULL, 'PTHR31062:SF140', NULL, NULL, NULL, NULL, 'OS02G0280250 PROTEIN', NULL, NULL, NULL, 15),
(168749, NULL, 'PTHR24348:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ULK3', NULL, NULL, NULL, 15),
(168750, NULL, 'PTHR10410:SF29', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(168751, NULL, 'PTHR19308:SF42', NULL, NULL, NULL, NULL, 'BNAA03G11970D PROTEIN', NULL, NULL, NULL, 15),
(168752, NULL, 'PTHR15427:SF26', NULL, NULL, NULL, NULL, 'COMPLEMENT C1Q SUBCOMPONENT SUBUNIT A', NULL, NULL, 34824, 15),
(168753, NULL, 'PTHR31042:SF123', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14-RELATED', NULL, NULL, NULL, 15),
(168754, NULL, 'PTHR10693:SF49', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN WITH RNA BINDING (RRM-RBD-RNP MOTIFS) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(168755, NULL, 'PTHR31376:SF1', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 2', NULL, NULL, NULL, 15),
(168756, NULL, 'PTHR12072', NULL, NULL, NULL, NULL, 'CWF19, CELL CYCLE CONTROL PROTEIN', NULL, NULL, 33918, 15),
(168757, NULL, 'PTHR31325:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168758, NULL, 'PTHR23201:SF87', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(168759, NULL, 'PTHR12131:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168760, NULL, 'PTHR11926:SF1429', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYL TRANSFERASE 76E1-RELATED', NULL, NULL, NULL, 15),
(168761, NULL, 'PTHR21314:SF1', NULL, NULL, NULL, NULL, 'QUEUOSINE SALVAGE PROTEIN', NULL, NULL, NULL, 15),
(168762, NULL, 'PTHR21255:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168763, NULL, 'PTHR37343', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 32', NULL, NULL, 25224, 15),
(168764, NULL, 'PTHR33321:SF14', NULL, NULL, NULL, NULL, 'BASIC SECRETORY PROTEIN (BSP) FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(168765, NULL, 'PTHR43252:SF6', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN YWZG-RELATED', NULL, NULL, NULL, 15),
(168766, NULL, 'PTHR43349:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168767, NULL, 'PTHR31168:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168768, NULL, 'PTHR10543:SF97', NULL, NULL, NULL, NULL, '9-CIS-EPOXYCAROTENOID DIOXYGENASE NCED4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(168769, NULL, 'PTHR11599:SF155', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168770, NULL, 'PTHR12826', NULL, NULL, NULL, NULL, 'RIBONUCLEASE Y', NULL, NULL, NULL, 15),
(168771, NULL, 'PTHR15074', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING PROTEIN', NULL, NULL, 39207, 15),
(168772, NULL, 'PTHR24115:SF557', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(168773, NULL, 'PTHR46713:SF5', NULL, NULL, NULL, NULL, 'OS08G0526700 PROTEIN', NULL, NULL, NULL, 15),
(168774, NULL, 'PTHR45877:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIAH2', NULL, NULL, NULL, 15),
(168775, NULL, 'PTHR15348:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168776, NULL, 'PTHR33053:SF18', NULL, NULL, NULL, NULL, 'AGAP000105-PA', NULL, NULL, NULL, 15),
(168777, NULL, 'PTHR31972:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168778, NULL, 'PTHR45288:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(168779, NULL, 'PTHR45768:SF23', NULL, NULL, NULL, NULL, 'OS02G0790600 PROTEIN', NULL, NULL, NULL, 15),
(168780, NULL, 'PTHR36479:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168781, NULL, 'PTHR36370:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168782, NULL, 'PTHR47966:SF53', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE A1', NULL, NULL, NULL, 15),
(168783, NULL, 'PTHR18929:SF167', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 5-3', NULL, NULL, NULL, 15),
(168784, NULL, 'PTHR43876:SF11', NULL, NULL, NULL, NULL, 'GLYOXALASE', NULL, NULL, NULL, 15),
(168785, NULL, 'PTHR16188:SF18', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY INHIBITOR SUBUNIT 14B', NULL, NULL, NULL, 15),
(168786, NULL, 'PTHR24240:SF0', NULL, NULL, NULL, NULL, 'OPSIN-5', NULL, NULL, NULL, 15),
(168787, NULL, 'PTHR31750:SF17', NULL, NULL, NULL, NULL, 'PROTEIN STAY-GREEN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(168788, NULL, 'PTHR10891:SF855', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(168789, NULL, 'PTHR32096:SF61', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY-RELATED', NULL, NULL, NULL, 15),
(168790, NULL, 'PTHR11645:SF21', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PYRROLINE-5-CARBOXYLATE REDUCTASE (EUROFUNG)', NULL, NULL, NULL, 15),
(168791, NULL, 'PTHR11358:SF30', NULL, NULL, NULL, NULL, 'AGMATINASE 1-RELATED', NULL, NULL, NULL, 15),
(168792, NULL, 'PTHR46419:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD5', NULL, NULL, NULL, 15),
(168793, NULL, 'PTHR43389:SF13', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT B1-RELATED', NULL, NULL, NULL, 15),
(168794, NULL, 'PTHR31625:SF35', NULL, NULL, NULL, NULL, 'PHENOLIC GLUCOSIDE MALONYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(168795, NULL, 'PTHR11803:SF52', NULL, NULL, NULL, NULL, 'BLL6075 PROTEIN', NULL, NULL, NULL, 15),
(168796, NULL, 'PTHR31495:SF38', NULL, NULL, NULL, NULL, 'BNAC07G13170D PROTEIN', NULL, NULL, NULL, 15),
(168797, NULL, 'PTHR24074', NULL, NULL, NULL, NULL, 'CO-CHAPERONE PROTEIN DJLA', NULL, NULL, NULL, 15),
(168798, NULL, 'PTHR11417:SF2', NULL, NULL, NULL, NULL, 'SOMATOTROPIN', NULL, NULL, 17388, 15),
(168799, NULL, 'PTHR24161:SF51', NULL, NULL, NULL, NULL, 'ANKYRIN 2', NULL, NULL, NULL, 15),
(168800, NULL, 'PTHR24159', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168801, NULL, 'PTHR26453:SF562', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(168802, NULL, 'PTHR10996', NULL, NULL, NULL, NULL, '2-HYDROXYACID DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(168803, NULL, 'PTHR31282:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168804, NULL, 'PTHR26452:SF815', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(168805, NULL, 'PTHR23428:SF272', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(168806, NULL, 'PTHR23322:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168807, NULL, 'PTHR34058:SF10', NULL, NULL, NULL, NULL, 'BNAC02G48890D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168808, NULL, 'PTHR21683:SF5', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 100', NULL, NULL, NULL, 15),
(168809, NULL, 'PTHR10655:SF21', NULL, NULL, NULL, NULL, 'ACYL-PROTEIN THIOESTERASE 1 HOMOLOG 2', NULL, NULL, NULL, 15),
(168810, NULL, 'PTHR10155:SF16', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(168811, NULL, 'PTHR47996:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB58-RELATED', NULL, NULL, NULL, 15),
(168812, NULL, 'PTHR42744', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEMS INNER MEMBRANE COMPONENT', NULL, NULL, NULL, 15),
(168813, NULL, 'PTHR24559:SF361', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON, UNCLASSIFIED-LIKE PROTEIN', NULL, NULL, NULL, 15),
(168814, NULL, 'PTHR38337', NULL, NULL, NULL, NULL, 'AGAP010540-PA', NULL, NULL, NULL, 15),
(168815, NULL, 'PTHR11486:SF77', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', NULL, NULL, 28352, 15),
(168816, NULL, 'PTHR24235:SF15', NULL, NULL, NULL, NULL, 'PROLACTIN-RELEASING PEPTIDE RECEPTOR-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(168817, NULL, 'PTHR43880:SF54', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(168818, NULL, 'PTHR41263', NULL, NULL, NULL, NULL, 'ASPARTYL-PHOSPHATE PHOSPHATASE YISI', NULL, NULL, NULL, 15),
(168819, NULL, 'PTHR45656:SF11', NULL, NULL, NULL, NULL, 'CUBILIN', NULL, NULL, 28476, 15),
(168820, NULL, 'PTHR24070:SF426', NULL, NULL, NULL, NULL, 'GTP BINDING PROTEIN', NULL, NULL, NULL, 15),
(168821, NULL, 'PTHR43272', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE', NULL, NULL, NULL, 15),
(168822, NULL, 'PTHR22943:SF116', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS R-10', NULL, NULL, NULL, 15),
(168823, NULL, 'PTHR27007:SF298', NULL, NULL, NULL, NULL, 'GPCR KINASE-RELATED', NULL, NULL, NULL, 15),
(168824, NULL, 'PTHR37247:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(168825, NULL, 'PTHR46776:SF7', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR', NULL, NULL, NULL, 15),
(168826, NULL, 'PTHR11125:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT5', NULL, NULL, NULL, 15),
(168827, NULL, 'PTHR32227:SF273', NULL, NULL, NULL, NULL, 'LICHENASE-2', NULL, NULL, NULL, 15),
(168828, NULL, 'PTHR12080:SF95', NULL, NULL, NULL, NULL, 'SI:DKEYP-97A10.2', NULL, NULL, NULL, 15),
(168829, NULL, 'PTHR45708:SF43', NULL, NULL, NULL, NULL, 'HEVAMINE-A-LIKE', NULL, NULL, NULL, 15),
(168830, NULL, 'PTHR24250', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-RELATED', NULL, NULL, NULL, 15),
(168831, NULL, 'PTHR24032:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168832, NULL, 'PTHR27003:SF316', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE ANXUR1-RELATED', NULL, NULL, NULL, 15),
(168833, NULL, 'PTHR39475', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168834, NULL, 'PTHR11777:SF35', NULL, NULL, NULL, NULL, 'BNACNNG61840D PROTEIN', NULL, NULL, NULL, 15),
(168835, NULL, 'PTHR19308:SF11', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(168836, NULL, 'PTHR28570', NULL, NULL, NULL, NULL, 'ASPARTYL AMINOPEPTIDASE', NULL, NULL, 4475, 15),
(168837, NULL, 'PTHR31696:SF63', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1-LIKE', NULL, NULL, NULL, 15),
(168838, NULL, 'PTHR24381:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 337', NULL, NULL, NULL, 15),
(168839, NULL, 'PTHR43591:SF60', NULL, NULL, NULL, NULL, '2-PHYTYL-1,4-BETA-NAPHTHOQUINONE METHYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(168840, NULL, 'PTHR24023:SF995', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(XXIII) CHAIN', NULL, NULL, NULL, 15),
(168841, NULL, 'PTHR11533:SF259', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(168842, NULL, 'PTHR21666:SF265', NULL, NULL, NULL, NULL, 'MUREIN HYDROLASE ACTIVATOR ENVC', NULL, NULL, NULL, 15),
(168843, NULL, 'PTHR11254:SF127', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECW2', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168844, NULL, 'PTHR45810:SF13', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(168845, NULL, 'PTHR35613:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168846, NULL, 'PTHR34611:SF3', NULL, NULL, NULL, NULL, 'RECOMBINATION-PROMOTING NUCLEASE PSLT051', NULL, NULL, NULL, 15),
(168847, NULL, 'PTHR30134:SF1', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN UREG', NULL, NULL, NULL, 15),
(168848, NULL, 'PTHR23107:SF28', NULL, NULL, NULL, NULL, 'SS18 FAMILY-RELATED', NULL, NULL, NULL, 15),
(168849, NULL, 'PTHR45188:SF2', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN P58IPK HOMOLOG', NULL, NULL, NULL, 15),
(168850, NULL, 'PTHR11654:SF184', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.7', NULL, NULL, NULL, 15),
(168851, NULL, 'PTHR47990:SF71', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 3', NULL, NULL, NULL, 15),
(168852, NULL, 'PTHR43139:SF56', NULL, NULL, NULL, NULL, 'MONOACYLGLYCEROL LIPASE ABHD6-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(168853, NULL, 'PTHR10696:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168854, NULL, 'PTHR24064:SF566', NULL, NULL, NULL, NULL, 'ORGANIC ANION TRANSPORTER X', NULL, NULL, NULL, 15),
(168855, NULL, 'PTHR30537:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR LYSR FAMILY', NULL, NULL, NULL, 15),
(168856, NULL, 'PTHR37273:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(168857, NULL, 'PTHR46872:SF5', NULL, NULL, NULL, NULL, 'BNAA08G19780D PROTEIN', NULL, NULL, NULL, 15),
(168858, NULL, 'PTHR36571:SF2', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168859, NULL, 'PTHR13809:SF51', NULL, NULL, NULL, NULL, 'G PROTEIN SUBUNIT GAMMA 5', NULL, NULL, NULL, 15),
(168860, NULL, 'PTHR31636:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168861, NULL, 'PTHR11604:SF26', NULL, NULL, NULL, NULL, 'PROFILIN-3', NULL, NULL, NULL, 15),
(168862, NULL, 'PTHR46903:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168863, NULL, 'PTHR22916', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(168864, NULL, 'PTHR36478:SF10', NULL, NULL, NULL, NULL, 'OS04G0614237 PROTEIN', NULL, NULL, NULL, 15),
(168865, NULL, 'PTHR35275:SF7', NULL, NULL, NULL, NULL, 'BNAA08G25890D PROTEIN', NULL, NULL, NULL, 15),
(168866, NULL, 'PTHR22874:SF11', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168867, NULL, 'PTHR36910:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168868, NULL, 'PTHR10766:SF105', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(168869, NULL, 'PTHR31992:SF161', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.5-LIKE', NULL, NULL, NULL, 15),
(168870, NULL, 'PTHR31839:SF54', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168871, NULL, 'PTHR32191:SF47', NULL, NULL, NULL, NULL, 'TETRASPANIN-14-RELATED', NULL, NULL, NULL, 15),
(168872, NULL, 'PTHR18896:SF65', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D BETA 1', NULL, NULL, NULL, 15),
(168873, NULL, 'PTHR11533:SF257', NULL, NULL, NULL, NULL, 'PROTEIN CBG19917', NULL, NULL, NULL, 15),
(168874, NULL, 'PTHR24381:SF59', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 19', NULL, NULL, NULL, 15),
(168875, NULL, 'PTHR30055:SF198', NULL, NULL, NULL, NULL, 'SLR0895 PROTEIN', NULL, NULL, NULL, 15),
(168876, NULL, 'PTHR24115:SF560', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(168877, NULL, 'PTHR10687:SF8', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(168878, NULL, 'PTHR47878:SF1', NULL, NULL, NULL, NULL, 'FERREDOXIN NADP+ REDUCTASE', NULL, NULL, NULL, 15),
(168879, NULL, 'PTHR32227:SF382', NULL, NULL, NULL, NULL, 'BNACNNG07410D PROTEIN', NULL, NULL, NULL, 15),
(168880, NULL, 'PTHR39535', NULL, NULL, NULL, NULL, 'SPORULATION-DELAYING PROTEIN SDPB', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168881, NULL, 'PTHR48071:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168882, NULL, 'PTHR47998:SF28', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR ETC1', NULL, NULL, NULL, 15),
(168883, NULL, 'PTHR31307:SF42', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASIL2-LIKE', NULL, NULL, NULL, 15),
(168884, NULL, 'PTHR24365:SF26', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 18', NULL, NULL, NULL, 15),
(168885, NULL, 'PTHR31607:SF17', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF1216)-RELATED', NULL, NULL, NULL, 15),
(168886, NULL, 'PTHR31780:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168887, NULL, 'PTHR14319:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(168888, NULL, 'PTHR10906:SF34', NULL, NULL, NULL, NULL, 'BNAC06G18550D PROTEIN', NULL, NULL, NULL, 15),
(168889, NULL, 'PTHR36148:SF3', NULL, NULL, NULL, NULL, '50 KDA SPICULE MATRIX PROTEIN', NULL, NULL, NULL, 15),
(168890, NULL, 'PTHR47891:SF1', NULL, NULL, NULL, NULL, 'CORA-MAGNESIUM AND COBALT TRANSPORTER', NULL, NULL, NULL, 15),
(168891, NULL, 'PTHR32385:SF15', NULL, NULL, NULL, NULL, 'INOSITOL PHOSPHOCERAMIDE MANNOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(168892, NULL, 'PTHR39661:SF1', NULL, NULL, NULL, NULL, 'UPF0310 PROTEIN MJECL36', NULL, NULL, NULL, 15),
(168893, NULL, 'PTHR12877:SF7', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 10-LIKE PROTEIN', NULL, NULL, NULL, 15),
(168894, NULL, 'PTHR45720:SF4', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN 1', NULL, NULL, NULL, 15),
(168895, NULL, 'PTHR24072:SF100', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOC', NULL, NULL, NULL, 15),
(168896, NULL, 'PTHR13593', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(168897, NULL, 'PTHR11332', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 1D', NULL, NULL, NULL, 15),
(168898, NULL, 'PTHR22883:SF113', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(168899, NULL, 'PTHR39073:SF1', NULL, NULL, NULL, NULL, 'AGAP006153-PA', NULL, NULL, NULL, 15),
(168900, NULL, 'PTHR22996:SF15', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MGRN1-RELATED', NULL, NULL, NULL, 15),
(168901, NULL, 'PTHR31953:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168902, NULL, 'PTHR47978:SF22', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA2B', NULL, NULL, NULL, 15),
(168903, NULL, 'PTHR36699', NULL, NULL, NULL, NULL, 'LD-TRANSPEPTIDASE', NULL, NULL, NULL, 15),
(168904, NULL, 'PTHR10836:SF92', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE GAPCP1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(168905, NULL, 'PTHR11592:SF120', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 2-RELATED', NULL, NULL, NULL, 15),
(168906, NULL, 'PTHR45777:SF5', NULL, NULL, NULL, NULL, 'BNAC01G19200D PROTEIN', NULL, NULL, NULL, 15),
(168907, NULL, 'PTHR11877:SF65', NULL, NULL, NULL, NULL, 'ECERIFERUM-C', NULL, NULL, NULL, 15),
(168908, NULL, 'PTHR33374:SF35', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 41-RELATED', NULL, NULL, NULL, 15),
(168909, NULL, 'PTHR46128:SF267', NULL, NULL, NULL, NULL, 'BNAA09G52210D PROTEIN', NULL, NULL, NULL, 15),
(168910, NULL, 'PTHR31241:SF24', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ABI4', NULL, NULL, NULL, 15),
(168911, NULL, 'PTHR26451:SF862', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168912, NULL, 'PTHR23320:SF121', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700025F22', NULL, NULL, NULL, 15),
(168913, NULL, 'PTHR13878:SF39', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE (EUROFUNG)', NULL, NULL, NULL, 15),
(168914, NULL, 'PTHR13523:SF13', NULL, NULL, NULL, NULL, 'BNAANNG15100D PROTEIN', NULL, NULL, NULL, 15),
(168915, NULL, 'PTHR13976:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168916, NULL, 'PTHR46132:SF10', NULL, NULL, NULL, NULL, 'DIGALACTOSYLDIACYLGLYCEROL SYNTHASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(168917, NULL, 'PTHR43721:SF22', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU, MITOCHONDRIAL', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168918, NULL, 'PTHR22601:SF71', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03140)-RELATED', NULL, NULL, NULL, 15),
(168919, NULL, 'PTHR31549:SF208', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(168920, NULL, 'PTHR42861:SF86', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(168921, NULL, 'PTHR33334:SF11', NULL, NULL, NULL, NULL, 'SIALOPHOSPHOPROTEIN-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(168922, NULL, 'PTHR11662:SF285', NULL, NULL, NULL, NULL, 'HEXURONATE TRANSPORTER', NULL, NULL, NULL, 15),
(168923, NULL, 'PTHR24390:SF141', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 391', NULL, NULL, NULL, 15),
(168924, NULL, 'PTHR33133:SF42', NULL, NULL, NULL, NULL, 'BNAC03G74610D PROTEIN', NULL, NULL, NULL, 15),
(168925, NULL, 'PTHR31213:SF107', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL4-LIKE', NULL, NULL, NULL, 15),
(168926, NULL, 'PTHR31948:SF59', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 6-LIKE', NULL, NULL, NULL, 15),
(168927, NULL, 'PTHR48058:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168928, NULL, 'PTHR22603:SF82', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOLAMINE KINASE', NULL, NULL, NULL, 15),
(168929, NULL, 'PTHR47735:SF2', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY KQT MEMBER 4', NULL, NULL, NULL, 15),
(168930, NULL, 'PTHR33919:SF9', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS NEP1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(168931, NULL, 'PTHR22966:SF29', NULL, NULL, NULL, NULL, '2-AMINOETHANETHIOL DIOXYGENASE', NULL, NULL, NULL, 15),
(168932, NULL, 'PTHR33138:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168933, NULL, 'PTHR34835:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168934, NULL, 'PTHR43078:SF33', NULL, NULL, NULL, NULL, 'BNAA04G16630D PROTEIN', NULL, NULL, NULL, 15),
(168935, NULL, 'PTHR47966:SF41', NULL, NULL, NULL, NULL, 'BNAC03G29860D PROTEIN', NULL, NULL, NULL, 15),
(168936, NULL, 'PTHR10438:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168937, NULL, 'PTHR10177:SF397', NULL, NULL, NULL, NULL, 'CYCLIN-D6-1 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(168938, NULL, 'PTHR31512:SF0', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN-RELATED', NULL, NULL, NULL, 15),
(168939, NULL, 'PTHR11206:SF436', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(168940, NULL, 'PTHR23518', NULL, NULL, NULL, NULL, 'C-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(168941, NULL, 'PTHR13140:SF706', NULL, NULL, NULL, NULL, 'DILUTE CLASS UNCONVENTIONAL MYOSIN, ISOFORM C', NULL, NULL, NULL, 15),
(168942, NULL, 'PTHR34277:SF1', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER MTCLE20', NULL, NULL, NULL, 15),
(168943, NULL, 'PTHR31009:SF90', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETATE O-METHYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(168944, NULL, 'PTHR36166:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(168945, NULL, 'PTHR45628:SF1', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL TYPE D SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(168946, NULL, 'PTHR31065:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168947, NULL, 'PTHR31339:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168948, NULL, 'PTHR34990', NULL, NULL, NULL, NULL, 'UDP-2,3-DIACYLGLUCOSAMINE HYDROLASE-RELATED', NULL, NULL, 37614, 15),
(168949, NULL, 'PTHR14363:SF40', NULL, NULL, NULL, NULL, 'GLUCURONIDASE 3-RELATED', NULL, NULL, NULL, 15),
(168950, NULL, 'PTHR23410:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L5-1 HOMOLOG B', NULL, NULL, NULL, 15),
(168951, NULL, 'PTHR33076:SF121', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(168952, NULL, 'PTHR24068:SF228', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 20', NULL, NULL, NULL, 15),
(168953, NULL, 'PTHR10744:SF31', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168954, NULL, 'PTHR36080:SF3', NULL, NULL, NULL, NULL, 'BNAA06G23330D PROTEIN', NULL, NULL, NULL, 15),
(168955, NULL, 'PTHR33116:SF43', NULL, NULL, NULL, NULL, 'OS11G0672600 PROTEIN', NULL, NULL, NULL, 15),
(168956, NULL, 'PTHR22422:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 5B', NULL, NULL, NULL, 15),
(168957, NULL, 'PTHR31388:SF6', NULL, NULL, NULL, NULL, 'PEROXIDASE 59', NULL, NULL, NULL, 15),
(168958, NULL, 'PTHR45627:SF9', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 7', NULL, NULL, NULL, 15),
(168959, NULL, 'PTHR24349:SF371', NULL, NULL, NULL, NULL, 'BNACNNG07350D PROTEIN', NULL, NULL, NULL, 15),
(168960, NULL, 'PTHR47051', NULL, NULL, NULL, NULL, 'NESTIN', NULL, NULL, 25631, 15),
(168961, NULL, 'PTHR45645', NULL, NULL, NULL, NULL, 'DORSAL-VENTRAL PATTERNING PROTEIN TOLLOID-RELATED-RELATED', NULL, NULL, NULL, 15),
(168962, NULL, 'PTHR35297:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(168963, NULL, 'PTHR31490:SF41', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE 4', NULL, NULL, NULL, 15),
(168964, NULL, 'PTHR31080:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168965, NULL, 'PTHR12446', NULL, NULL, NULL, NULL, 'TESMIN/TSO1-RELATED', NULL, NULL, 24358, 15),
(168966, NULL, 'PTHR43991:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WD40-LIKE FAMILY-RELATED', NULL, NULL, NULL, 15),
(168967, NULL, 'PTHR42715:SF16', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE J-RELATED', NULL, NULL, NULL, 15),
(168968, NULL, 'PTHR36396:SF1', NULL, NULL, NULL, NULL, 'MALTASE-GLUCOAMYLASE, INTESTINAL PROTEIN', NULL, NULL, NULL, 15),
(168969, NULL, 'PTHR43447:SF30', NULL, NULL, NULL, NULL, 'ALPHA AMYLASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(168970, NULL, 'PTHR45006:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CAJ1', NULL, NULL, NULL, 15),
(168971, NULL, 'PTHR33513', NULL, NULL, NULL, NULL, 'OS06G0523300 PROTEIN', NULL, NULL, NULL, 15),
(168972, NULL, 'PTHR31741:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168973, NULL, 'PTHR43158:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(168974, NULL, 'PTHR42658', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 11290, 15),
(168975, NULL, 'PTHR24301', NULL, NULL, NULL, NULL, 'THROMBOXANE-A SYNTHASE', NULL, NULL, NULL, 15),
(168976, NULL, 'PTHR34936:SF6', NULL, NULL, NULL, NULL, 'OS03G0669600 PROTEIN', NULL, NULL, NULL, 15),
(168977, NULL, 'PTHR11214:SF247', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE BRN', NULL, NULL, NULL, 15),
(168978, NULL, 'PTHR43874:SF90', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(168979, NULL, 'PTHR46283:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH5', NULL, NULL, NULL, 15),
(168980, NULL, 'PTHR15874:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR AND SPINDLE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(168981, NULL, 'PTHR31062:SF188', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 22', NULL, NULL, NULL, 15),
(168982, NULL, 'PTHR43479:SF1', NULL, NULL, NULL, NULL, 'TETR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(168983, NULL, 'PTHR43874:SF108', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR9-LIKE', NULL, NULL, NULL, 15),
(168984, NULL, 'PTHR13847:SF185', NULL, NULL, NULL, NULL, 'FAD DEPENDENT OXIDOREDUCTASE SUPERFAMILY (AFU_ORTHOLOGUE AFUA_3G02360)', NULL, NULL, NULL, 15),
(168985, NULL, 'PTHR23334:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(168986, NULL, 'PTHR46514', NULL, NULL, NULL, NULL, 'AMPHIPHYSIN', NULL, NULL, NULL, 15),
(168987, NULL, 'PTHR45228', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE TM_0186-RELATED', NULL, NULL, NULL, 15),
(168988, NULL, 'PTHR38165', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 35516, 15),
(168989, NULL, 'PTHR31657:SF42', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR SHINE 3-LIKE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(168990, NULL, 'PTHR23430:SF289', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(168991, NULL, 'PTHR31852:SF182', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(168992, NULL, 'PTHR11062:SF184', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(168993, NULL, 'PTHR31620:SF6', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 6 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(168994, NULL, 'PTHR31734:SF155', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA7', NULL, NULL, NULL, 15),
(168995, NULL, 'PTHR24072:SF262', NULL, NULL, NULL, NULL, 'CDC42L PROTEIN', NULL, NULL, NULL, 15),
(168996, NULL, 'PTHR23213:SF378', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(168997, NULL, 'PTHR13258', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29626, 15),
(168998, NULL, 'PTHR10683:SF37', NULL, NULL, NULL, NULL, 'BNAA08G02750D PROTEIN', NULL, NULL, NULL, 15),
(168999, NULL, 'PTHR46635:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 1-RELATED', NULL, NULL, NULL, 15),
(169000, NULL, 'PTHR45669:SF8', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE', NULL, NULL, NULL, 15),
(169001, NULL, 'PTHR23147:SF48', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 19-RELATED', NULL, NULL, NULL, 15),
(169002, NULL, 'PTHR13234:SF61', NULL, NULL, NULL, NULL, 'GILT-LIKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(169003, NULL, 'PTHR10653:SF4', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(169004, NULL, 'PTHR31205:SF55', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING-RELATED', NULL, NULL, NULL, 15),
(169005, NULL, 'PTHR35692', NULL, NULL, NULL, NULL, 'F26F24.11', NULL, NULL, NULL, 15),
(169006, NULL, 'PTHR33022', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169007, NULL, 'PTHR33270:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169008, NULL, 'PTHR30634:SF11', NULL, NULL, NULL, NULL, 'OUTER-MEMBRANE LIPOPROTEIN LOLB', NULL, NULL, NULL, 15),
(169009, NULL, 'PTHR10177:SF429', NULL, NULL, NULL, NULL, 'BNAC08G04660D PROTEIN', NULL, NULL, NULL, 15),
(169010, NULL, 'PTHR43056:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169011, NULL, 'PTHR45974:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169012, NULL, 'PTHR31985:SF204', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF012', NULL, NULL, NULL, 15),
(169013, NULL, 'PTHR12565:SF333', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH76', NULL, NULL, NULL, 15),
(169014, NULL, 'PTHR23073:SF96', NULL, NULL, NULL, NULL, 'BNAC09G33780D PROTEIN', NULL, NULL, NULL, 15),
(169015, NULL, 'PTHR14680:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-126G1.9-RELATED', NULL, NULL, NULL, 15),
(169016, NULL, 'PTHR31885', NULL, NULL, NULL, NULL, 'GH04784P', NULL, NULL, 12505, 15),
(169017, NULL, 'PTHR45979:SF2', NULL, NULL, NULL, NULL, 'PAP/OAS1 SUBSTRATE-BINDING DOMAIN SUPERFAMILY', NULL, NULL, NULL, 15),
(169018, NULL, 'PTHR10655:SF13', NULL, NULL, NULL, NULL, 'ACYL-PROTEIN THIOESTERASE 2', NULL, NULL, NULL, 15),
(169019, NULL, 'PTHR14233:SF18', NULL, NULL, NULL, NULL, 'OS05G0444300 PROTEIN', NULL, NULL, NULL, 15),
(169020, NULL, 'PTHR12377:SF3', NULL, NULL, NULL, NULL, 'PROTEIN AE7-LIKE 1', NULL, NULL, NULL, 15),
(169021, NULL, 'PTHR38546:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE6-LIKE', NULL, NULL, NULL, 15),
(169022, NULL, 'PTHR43822:SF16', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDRATASE LARGE SUBUNIT', NULL, NULL, NULL, 15),
(169023, NULL, 'PTHR23500:SF2', NULL, NULL, NULL, NULL, 'OS04G0453400 PROTEIN', NULL, NULL, NULL, 15),
(169024, NULL, 'PTHR24411:SF55', NULL, NULL, NULL, NULL, 'SEGMENTATION PROTEIN CAP''N''COLLAR', NULL, NULL, NULL, 15),
(169025, NULL, 'PTHR24355:SF23', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR KINASE', NULL, NULL, NULL, 15),
(169026, NULL, 'PTHR31851:SF62', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER HOMOLOG 3', NULL, NULL, NULL, 15),
(169027, NULL, 'PTHR23113:SF213', NULL, NULL, NULL, NULL, 'RAL GUANINE NUCLEOTIDE DISSOCIATION STIMULATOR-LIKE 2', NULL, NULL, 26771, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169028, NULL, 'PTHR23232:SF95', NULL, NULL, NULL, NULL, 'MGC134150 PROTEIN', NULL, NULL, NULL, 15),
(169029, NULL, 'PTHR12714:SF18', NULL, NULL, NULL, NULL, 'CONSERVED HYPOTHETICAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(169030, NULL, 'PTHR47709:SF2', NULL, NULL, NULL, NULL, 'SHORT TRANSMEMBRANE MITOCHONDRIAL PROTEIN 1', NULL, NULL, NULL, 15),
(169031, NULL, 'PTHR10715:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169032, NULL, 'PTHR35310:SF4', NULL, NULL, NULL, NULL, 'BNAC03G60710D PROTEIN', NULL, NULL, NULL, 15),
(169033, NULL, 'PTHR47380', NULL, NULL, NULL, NULL, 'OS02G0533000 PROTEIN', NULL, NULL, 37941, 15),
(169034, NULL, 'PTHR11245:SF6', NULL, NULL, NULL, NULL, 'STANNIOCALCIN PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(169035, NULL, 'PTHR43643:SF5', NULL, NULL, NULL, NULL, 'CONSTITUTIVE LYSINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(169036, NULL, 'PTHR10288:SF142', NULL, NULL, NULL, NULL, 'MUSHROOM-BODY EXPRESSED, ISOFORM K', NULL, NULL, NULL, 15),
(169037, NULL, 'PTHR27006:SF295', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE CES101 ISOFORM X1', NULL, NULL, NULL, 15),
(169038, NULL, 'PTHR11527:SF333', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(169039, NULL, 'PTHR31589:SF99', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PEPTIDASE', NULL, NULL, NULL, 15),
(169040, NULL, 'PTHR31260:SF47', NULL, NULL, NULL, NULL, 'BNAA10G10980D PROTEIN', NULL, NULL, NULL, 15),
(169041, NULL, 'PTHR11850:SF87', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 7', NULL, NULL, NULL, 15),
(169042, NULL, 'PTHR43657:SF1', NULL, NULL, NULL, NULL, 'TRYPTOPHAN RNA-BINDING ATTENUATOR PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(169043, NULL, 'PTHR46925:SF4', NULL, NULL, NULL, NULL, 'SUBSTANCE-P RECEPTOR', NULL, NULL, NULL, 15),
(169044, NULL, 'PTHR13943:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169045, NULL, 'PTHR31500:SF46', NULL, NULL, NULL, NULL, 'OSJNBA0086O06.13 PROTEIN', NULL, NULL, NULL, 15),
(169046, NULL, 'PTHR31639:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169047, NULL, 'PTHR35131:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169048, NULL, 'PTHR24364:SF18', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN LIG-1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(169049, NULL, 'PTHR36315:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(169050, NULL, 'PTHR10641:SF1063', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-RELATED', NULL, NULL, NULL, 15),
(169051, NULL, 'PTHR31190:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169052, NULL, 'PTHR31149:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169053, NULL, 'PTHR31696:SF3', NULL, NULL, NULL, NULL, 'OS09G0463600 PROTEIN', NULL, NULL, NULL, 15),
(169054, NULL, 'PTHR14791:SF37', NULL, NULL, NULL, NULL, 'WW DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(169055, NULL, 'PTHR31042:SF96', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14-RELATED', NULL, NULL, NULL, 15),
(169056, NULL, 'PTHR10891:SF685', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML34-RELATED', NULL, NULL, NULL, 15),
(169057, NULL, 'PTHR47260:SF5', NULL, NULL, NULL, NULL, 'THIOESTERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G02390)', NULL, NULL, NULL, 15),
(169058, NULL, 'PTHR33791:SF2', NULL, NULL, NULL, NULL, 'OS07G0569600 PROTEIN', NULL, NULL, NULL, 15),
(169059, NULL, 'PTHR15437:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(169060, NULL, 'PTHR45674:SF9', NULL, NULL, NULL, NULL, 'DNA LIGASE 3', NULL, NULL, NULL, 15),
(169061, NULL, 'PTHR32191:SF81', NULL, NULL, NULL, NULL, 'TETRASPANIN/PERIPHERIN-RELATED', NULL, NULL, NULL, 15),
(169062, NULL, 'PTHR47926:SF140', NULL, NULL, NULL, NULL, 'BNAA05G20200D PROTEIN', NULL, NULL, NULL, 15),
(169063, NULL, 'PTHR48004:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169064, NULL, 'PTHR30151:SF38', NULL, NULL, NULL, NULL, 'ALIPHATIC SULFONATES TRANSPORT PERMEASE PROTEIN SSUC-RELATED', NULL, NULL, NULL, 15),
(169065, NULL, 'PTHR23022:SF119', NULL, NULL, NULL, NULL, 'INTEGRASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(169066, NULL, 'PTHR31446:SF19', NULL, NULL, NULL, NULL, 'BNAA05G19610D PROTEIN', NULL, NULL, NULL, 15),
(169067, NULL, 'PTHR15135', NULL, NULL, NULL, NULL, 'STAC', NULL, NULL, 30340, 15),
(169068, NULL, 'PTHR31053:SF4', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(169069, NULL, 'PTHR21215:SF0', NULL, NULL, NULL, NULL, 'LD36024P', NULL, NULL, NULL, 15),
(169070, NULL, 'PTHR33137:SF31', NULL, NULL, NULL, NULL, 'BNAA09G56710D PROTEIN', NULL, NULL, NULL, 15),
(169071, NULL, 'PTHR37264:SF2', NULL, NULL, NULL, NULL, 'BNAA10G09370D PROTEIN', NULL, NULL, NULL, 15),
(169072, NULL, 'PTHR33827:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SAWADEE HOMEODOMAIN HOMOLOG 1', NULL, NULL, NULL, 15),
(169073, NULL, 'PTHR12947:SF4', NULL, NULL, NULL, NULL, 'FI19924P1', NULL, NULL, NULL, 15),
(169074, NULL, 'PTHR10502:SF178', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(169075, NULL, 'PTHR31042:SF82', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-16-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(169076, NULL, 'PTHR43344:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(169077, NULL, 'PTHR11923:SF103', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR (CD36 FAMILY) RELATED', NULL, NULL, NULL, 15),
(169078, NULL, 'PTHR42987', NULL, NULL, NULL, NULL, 'PEPTIDASE S49', NULL, NULL, NULL, 15),
(169079, NULL, 'PTHR10585:SF84', NULL, NULL, NULL, NULL, 'LUMEN PROTEIN RETAINING RECEPTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(169080, NULL, 'PTHR31969:SF13', NULL, NULL, NULL, NULL, 'GLABRA2 EXPRESSION MODULATOR', NULL, NULL, NULL, 15),
(169081, NULL, 'PTHR47027:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169082, NULL, 'PTHR11817:SF82', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(169083, NULL, 'PTHR43194:SF6', NULL, NULL, NULL, NULL, 'ABHYDROLASE DOMAIN-CONTAINING PROTEIN C57A10.08C', NULL, NULL, NULL, 15),
(169084, NULL, 'PTHR31250:SF11', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(169085, NULL, 'PTHR33796:SF1', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION ATP-DEPENDENT DNA HELICASE RUVA', NULL, NULL, NULL, 15),
(169086, NULL, 'PTHR35745:SF1', NULL, NULL, NULL, NULL, 'BNACNNG14650D PROTEIN', NULL, NULL, NULL, 15),
(169087, NULL, 'PTHR45764:SF30', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 53-LIKE', NULL, NULL, NULL, 15),
(169088, NULL, 'PTHR24103:SF618', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 61-RELATED', NULL, NULL, NULL, 15),
(169089, NULL, 'PTHR42721:SF35', NULL, NULL, NULL, NULL, 'SUGAR HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(169090, NULL, 'PTHR24055:SF418', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(169091, NULL, 'PTHR43450:SF3', NULL, NULL, NULL, NULL, 'SYNTHETASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(169092, NULL, 'PTHR31549:SF117', NULL, NULL, NULL, NULL, 'BNAC09G36450D PROTEIN', NULL, NULL, NULL, 15),
(169093, NULL, 'PTHR45926:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GTE4-LIKE', NULL, NULL, NULL, 15),
(169094, NULL, 'PTHR48007:SF29', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 6', NULL, NULL, NULL, 15),
(169095, NULL, 'PTHR22621:SF16', NULL, NULL, NULL, NULL, 'RAB44, MEMBER RAS ONCOGENE FAMILY', NULL, NULL, NULL, 15),
(169096, NULL, 'PTHR43329:SF45', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(169097, NULL, 'PTHR43991:SF25', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(169098, NULL, 'PTHR31225:SF144', NULL, NULL, NULL, NULL, 'TERPENOID CYCLASES/PROTEIN PRENYLTRANSFERASE ALPHA-ALPHA TOROID-RELATED', NULL, NULL, NULL, 15),
(169099, NULL, 'PTHR34041:SF3', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II D1 PRECURSOR PROCESSING PROTEIN PSB27-H2, CHLOROPLASTIC', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169100, NULL, 'PTHR23115:SF252', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(169101, NULL, 'PTHR23257:SF837', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', NULL, NULL, NULL, 15),
(169102, NULL, 'PTHR12656:SF5', NULL, NULL, NULL, NULL, 'TRITHORAX GROUP PROTEIN OSA', NULL, NULL, NULL, 15),
(169103, NULL, 'PTHR33599:SF15', NULL, NULL, NULL, NULL, 'PROTEIN IDA-LIKE 2', NULL, NULL, NULL, 15),
(169104, NULL, 'PTHR24068:SF353', NULL, NULL, NULL, NULL, 'AMINOACYLTRANSFERASE, E1 UBIQUITIN-ACTIVATING ENZYME-RELATED', NULL, NULL, NULL, 15),
(169105, NULL, 'PTHR31105:SF32', NULL, NULL, NULL, NULL, 'BNAANNG24350D PROTEIN', NULL, NULL, NULL, 15),
(169106, NULL, 'PTHR36981:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169107, NULL, 'PTHR13832:SF643', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 70', NULL, NULL, NULL, 15),
(169108, NULL, 'PTHR45267:SF2', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT PTERIN ALDEHYDE REDUCTASE', NULL, NULL, NULL, 15),
(169109, NULL, 'PTHR20852:SF90', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', NULL, NULL, NULL, 15),
(169110, NULL, 'PTHR11746:SF253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169111, NULL, 'PTHR31674:SF40', NULL, NULL, NULL, NULL, 'BNAA05G27900D PROTEIN', NULL, NULL, NULL, 15),
(169112, NULL, 'PTHR45862:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SGT1 HOMOLOG A', NULL, NULL, NULL, 15),
(169113, NULL, 'PTHR48019:SF46', NULL, NULL, NULL, NULL, 'KELCH MOTIF FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(169114, NULL, 'PTHR45752:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169115, NULL, 'PTHR48044:SF40', NULL, NULL, NULL, NULL, 'ZEATIN O-GLUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(169116, NULL, 'PTHR21700:SF34', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(169117, NULL, 'PTHR12665:SF11', NULL, NULL, NULL, NULL, 'ORM1-LIKE PROTEIN 3', NULL, NULL, 29328, 15),
(169118, NULL, 'PTHR13284:SF10', NULL, NULL, NULL, NULL, 'SELENOCYSTEINE INSERTION SEQUENCE-BINDING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(169119, NULL, 'PTHR24228:SF32', NULL, NULL, NULL, NULL, 'TYPE-1B ANGIOTENSIN II RECEPTOR', NULL, NULL, NULL, 15),
(169120, NULL, 'PTHR19303:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169121, NULL, 'PTHR45768:SF48', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(169122, NULL, 'PTHR31317:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169123, NULL, 'PTHR10891:SF835', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML38', NULL, NULL, NULL, 15),
(169124, NULL, 'PTHR12869', NULL, NULL, NULL, NULL, 'SMALL SEVEN TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN', NULL, NULL, 18625, 15),
(169125, NULL, 'PTHR11668:SF473', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(169126, NULL, 'PTHR21700:SF25', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(169127, NULL, 'PTHR31507', NULL, NULL, NULL, NULL, 'PROTEIN CBG15923', NULL, NULL, NULL, 15),
(169128, NULL, 'PTHR34709:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169129, NULL, 'PTHR18953:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169130, NULL, 'PTHR21237:SF10', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(169131, NULL, 'PTHR28093:SF1', NULL, NULL, NULL, NULL, 'MORPHOGENESIS-RELATED PROTEIN MSB1', NULL, NULL, NULL, 15),
(169132, NULL, 'PTHR33133:SF21', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(169133, NULL, 'PTHR24342:SF16', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE 17A-LIKE', NULL, NULL, NULL, 15),
(169134, NULL, 'PTHR47642:SF3', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(169135, NULL, 'PTHR12992:SF27', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 22, CHLOROPLASTIC', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169136, NULL, 'PTHR26454:SF73', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(169137, NULL, 'PTHR24112:SF58', NULL, NULL, NULL, NULL, 'SI:DKEY-288A3.2', NULL, NULL, NULL, 15),
(169138, NULL, 'PTHR47841:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169139, NULL, 'PTHR11706', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER PROTEIN FAMILY 11 MEMBER', NULL, NULL, 2383, 15),
(169140, NULL, 'PTHR35460', NULL, NULL, NULL, NULL, 'TRNA LIGASE 1', NULL, NULL, 34633, 15),
(169141, NULL, 'PTHR48065:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169142, NULL, 'PTHR10288:SF132', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(169143, NULL, 'PTHR10744:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S11-1-RELATED', NULL, NULL, NULL, 15),
(169144, NULL, 'PTHR43157:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169145, NULL, 'PTHR15315:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169146, NULL, 'PTHR13743:SF64', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE-RESPONSIVE AND BEIGE-LIKE ANCHOR PROTEIN', NULL, NULL, NULL, 15),
(169147, NULL, 'PTHR46837', NULL, NULL, NULL, NULL, 'PROTEIN MLN51 HOMOLOG', NULL, NULL, 37108, 15),
(169148, NULL, 'PTHR45673:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2B CATALYTIC SUBUNIT ALPHA ISOFORM', NULL, NULL, NULL, 15),
(169149, NULL, 'PTHR35107', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(169150, NULL, 'PTHR21713:SF20', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(169151, NULL, 'PTHR11926:SF1366', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(169152, NULL, 'PTHR34059:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169153, NULL, 'PTHR10078:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169154, NULL, 'PTHR11002:SF56', NULL, NULL, NULL, NULL, 'BETA CARBONIC ANHYDRASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(169155, NULL, 'PTHR45621:SF53', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PCRK1', NULL, NULL, NULL, 15),
(169156, NULL, 'PTHR43831', NULL, NULL, NULL, NULL, 'ISOBUTYRYL-COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(169157, NULL, 'PTHR11815:SF10', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT BETA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(169158, NULL, 'PTHR33033:SF52', NULL, NULL, NULL, NULL, 'OS02G0175302 PROTEIN', NULL, NULL, NULL, 15),
(169159, NULL, 'PTHR40588', NULL, NULL, NULL, NULL, 'MRNA INTERFERASE TOXIN YAFQ', NULL, NULL, 5654, 15),
(169160, NULL, 'PTHR11496:SF83', NULL, NULL, NULL, NULL, 'HYDROXYACID-OXOACID TRANSHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(169161, NULL, 'PTHR31194:SF132', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF003-LIKE', NULL, NULL, NULL, 15),
(169162, NULL, 'PTHR21556', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 23602, 15),
(169163, NULL, 'PTHR21562:SF5', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE 12', NULL, NULL, NULL, 15),
(169164, NULL, 'PTHR13946:SF16', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB11', NULL, NULL, NULL, 15),
(169165, NULL, 'PTHR10887:SF423', NULL, NULL, NULL, NULL, 'PROTEIN CBG01003', NULL, NULL, NULL, 15),
(169166, NULL, 'PTHR11654:SF91', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 15 MEMBER 5', NULL, NULL, NULL, 15),
(169167, NULL, 'PTHR15154', NULL, NULL, NULL, NULL, 'HAMARTIN', NULL, NULL, 10256, 15),
(169168, NULL, 'PTHR11956:SF8', NULL, NULL, NULL, NULL, 'BNAC08G12170D PROTEIN', NULL, NULL, NULL, 15),
(169169, NULL, 'PTHR15239:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR EXPORT MEDIATOR FACTOR NEMF', NULL, NULL, NULL, 15),
(169170, NULL, 'PTHR10634:SF68', NULL, NULL, NULL, NULL, 'ZINC FINGER AN1-TYPE CONTAINING 4', NULL, NULL, NULL, 15),
(169171, NULL, 'PTHR11926:SF1375', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169172, NULL, 'PTHR42733:SF2', NULL, NULL, NULL, NULL, 'DJ-1/THIJ/PFPI FAMILY PROTEIN', NULL, NULL, NULL, 15),
(169173, NULL, 'PTHR10903:SF147', NULL, NULL, NULL, NULL, 'BNAC06G07830D PROTEIN', NULL, NULL, NULL, 15),
(169174, NULL, 'PTHR43199', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE', NULL, NULL, NULL, 15),
(169175, NULL, 'PTHR33207:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169176, NULL, 'PTHR31526', NULL, NULL, NULL, NULL, 'SOSS COMPLEX SUBUNIT C', NULL, NULL, 23260, 15),
(169177, NULL, 'PTHR11926:SF1422', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(169178, NULL, 'PTHR31838', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 55 KDA', NULL, NULL, 29077, 15),
(169179, NULL, 'PTHR22748:SF12', NULL, NULL, NULL, NULL, 'DNA-(APURINIC OR APYRIMIDINIC SITE) LYASE', NULL, NULL, NULL, 15),
(169180, NULL, 'PTHR11850:SF311', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 7', NULL, NULL, NULL, 15),
(169181, NULL, 'PTHR23502:SF24', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(169182, NULL, 'PTHR31235:SF46', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(169183, NULL, 'PTHR30558:SF12', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBD1', NULL, NULL, NULL, 15),
(169184, NULL, 'PTHR18945:SF82', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-6', NULL, NULL, NULL, 15),
(169185, NULL, 'PTHR11008:SF37', NULL, NULL, NULL, NULL, 'IP17226P', NULL, NULL, NULL, 15),
(169186, NULL, 'PTHR24118:SF81', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 15', NULL, NULL, NULL, 15),
(169187, NULL, 'PTHR10383:SF43', NULL, NULL, NULL, NULL, 'BNAC07G07190D PROTEIN', NULL, NULL, NULL, 15),
(169188, NULL, 'PTHR24072:SF73', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE', NULL, NULL, NULL, 15),
(169189, NULL, 'PTHR45647:SF24', NULL, NULL, NULL, NULL, 'OS06G0140800 PROTEIN', NULL, NULL, NULL, 15),
(169190, NULL, 'PTHR11742:SF91', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(169191, NULL, 'PTHR11439:SF302', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE, RNA-DEPENDENT DNA POLYMERASE-RELATED', NULL, NULL, NULL, 15),
(169192, NULL, 'PTHR19957:SF285', NULL, NULL, NULL, NULL, 'SYNTAXIN-51-RELATED', NULL, NULL, NULL, 15),
(169193, NULL, 'PTHR31221:SF191', NULL, NULL, NULL, NULL, 'BNAA03G17820D PROTEIN', NULL, NULL, NULL, 15),
(169194, NULL, 'PTHR46752:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 39', NULL, NULL, NULL, 15),
(169195, NULL, 'PTHR12848:SF17', NULL, NULL, NULL, NULL, 'REGULATORY-ASSOCIATED PROTEIN OF TOR 1', NULL, NULL, NULL, 15),
(169196, NULL, 'PTHR24058:SF120', NULL, NULL, NULL, NULL, 'BNAA06G33320D PROTEIN', NULL, NULL, NULL, 15),
(169197, NULL, 'PTHR48022:SF62', NULL, NULL, NULL, NULL, 'HEXOSE CARRIER PROTEIN', NULL, NULL, NULL, 15),
(169198, NULL, 'PTHR43874:SF153', NULL, NULL, NULL, NULL, 'PRR RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(169199, NULL, 'PTHR24247:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169200, NULL, 'PTHR11843:SF26', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15),
(169201, NULL, 'PTHR12411:SF690', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169202, NULL, 'PTHR21461:SF55', NULL, NULL, NULL, NULL, 'C3H4 TYPE ZINC FINGER PROTEIN (DUF23)', NULL, NULL, NULL, 15),
(169203, NULL, 'PTHR12935:SF0', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLCYCLOTRANSFERASE', NULL, NULL, NULL, 15),
(169204, NULL, 'PTHR45085', NULL, NULL, NULL, NULL, 'F21J9.14', NULL, NULL, NULL, 15),
(169205, NULL, 'PTHR43329:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169206, NULL, 'PTHR33156:SF53', NULL, NULL, NULL, NULL, 'OS02G0273900 PROTEIN', NULL, NULL, NULL, 15),
(169207, NULL, 'PTHR18895', NULL, NULL, NULL, NULL, 'HEMK METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(169208, NULL, 'PTHR37474', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169209, NULL, 'PTHR31835', NULL, NULL, NULL, NULL, 'URIDINE DIPHOSPHATE GLUCOSE PYROPHOSPHATASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169210, NULL, 'PTHR22791:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169211, NULL, 'PTHR33149:SF21', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PROTEIN D1', NULL, NULL, NULL, 15),
(169212, NULL, 'PTHR32266:SF20', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE', NULL, NULL, NULL, 15),
(169213, NULL, 'PTHR39669:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169214, NULL, 'PTHR11746:SF154', NULL, NULL, NULL, NULL, 'BENZOXAZINONE SYNTHESIS10', NULL, NULL, NULL, 15),
(169215, NULL, 'PTHR38030', NULL, NULL, NULL, NULL, 'PROTOPORPHYRINOGEN IX DEHYDROGENASE [MENAQUINONE]', NULL, NULL, NULL, 15),
(169216, NULL, 'PTHR11220:SF1', NULL, NULL, NULL, NULL, 'OS01G0235300 PROTEIN', NULL, NULL, NULL, 15),
(169217, NULL, 'PTHR11141:SF25', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC23', NULL, NULL, NULL, 15),
(169218, NULL, 'PTHR23079:SF42', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(169219, NULL, 'PTHR37266:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(169220, NULL, 'PTHR34894:SF5', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE RSMI, CONSERVED SITE', NULL, NULL, NULL, 15),
(169221, NULL, 'PTHR32208:SF61', NULL, NULL, NULL, NULL, 'F10A5.18', NULL, NULL, NULL, 15),
(169222, NULL, 'PTHR48018:SF113', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(169223, NULL, 'PTHR36388:SF1', NULL, NULL, NULL, NULL, 'OS02G0469000 PROTEIN', NULL, NULL, NULL, 15),
(169224, NULL, 'PTHR10775:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169225, NULL, 'PTHR11972:SF60', NULL, NULL, NULL, NULL, 'CYTOCHROME B-245 HEAVY CHAIN', NULL, NULL, NULL, 15),
(169226, NULL, 'PTHR47252:SF5', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(169227, NULL, 'PTHR12755:SF19', NULL, NULL, NULL, NULL, 'PRE-MRNA CLEAVAGE COMPLEX II PROTEIN-RELATED', NULL, NULL, NULL, 15),
(169228, NULL, 'PTHR11771:SF171', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(169229, NULL, 'PTHR11771:SF141', NULL, NULL, NULL, NULL, 'LIPOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(169230, NULL, 'PTHR43874:SF122', NULL, NULL, NULL, NULL, 'BNAA06G13210D PROTEIN', NULL, NULL, NULL, 15),
(169231, NULL, 'PTHR33065:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169232, NULL, 'PTHR22845', NULL, NULL, NULL, NULL, 'APOPTOTIC PROTEASE-ACTIVATING FACTOR 1', NULL, NULL, NULL, 15),
(169233, NULL, 'PTHR46463:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169234, NULL, 'PTHR32285:SF164', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 1', NULL, NULL, NULL, 15),
(169235, NULL, 'PTHR11802:SF327', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(169236, NULL, 'PTHR21593:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG21549', NULL, NULL, NULL, 15),
(169237, NULL, 'PTHR31745:SF1', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN WHY2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(169238, NULL, 'PTHR24234:SF7', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 132-RELATED', NULL, NULL, NULL, 15),
(169239, NULL, 'PTHR11771:SF157', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(169240, NULL, 'PTHR13377:SF9', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 19', NULL, NULL, NULL, 15),
(169241, NULL, 'PTHR31194:SF142', NULL, NULL, NULL, NULL, 'BNAANNG35170D PROTEIN', NULL, NULL, NULL, 15),
(169242, NULL, 'PTHR36510', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE 2-RELATED', NULL, NULL, NULL, 15),
(169243, NULL, 'PTHR12884:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', NULL, NULL, NULL, 15),
(169244, NULL, 'PTHR10160:SF30', NULL, NULL, NULL, NULL, 'NICOTINAMIDE NUCLEOTIDE TRANSHYDROGENASE 2', NULL, NULL, NULL, 15),
(169245, NULL, 'PTHR38926', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(169246, NULL, 'PTHR31044:SF76', NULL, NULL, NULL, NULL, 'X8 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169247, NULL, 'PTHR47720:SF2', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP2-1 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(169248, NULL, 'PTHR47153:SF2', NULL, NULL, NULL, NULL, 'LACTATE UTILIZATION PROTEIN B', NULL, NULL, NULL, 15),
(169249, NULL, 'PTHR10587:SF80', NULL, NULL, NULL, NULL, 'CHITOOLIGOSACCHARIDE DEACETYLASE', NULL, NULL, NULL, 15),
(169250, NULL, 'PTHR13808', NULL, NULL, NULL, NULL, 'CBP/P300-RELATED', NULL, NULL, 17692, 15),
(169251, NULL, 'PTHR47005', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(169252, NULL, 'PTHR35262:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169253, NULL, 'PTHR47982:SF3', NULL, NULL, NULL, NULL, 'BNAC03G58600D PROTEIN', NULL, NULL, NULL, 15),
(169254, NULL, 'PTHR13900:SF3', NULL, NULL, NULL, NULL, 'BNAA01G26290D PROTEIN', NULL, NULL, NULL, 15),
(169255, NULL, 'PTHR48001:SF47', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7E24', NULL, NULL, NULL, 15),
(169256, NULL, 'PTHR16189:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169257, NULL, 'PTHR10540:SF18', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 6B', NULL, NULL, NULL, 15),
(169258, NULL, 'PTHR18934:SF108', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DQX1', NULL, NULL, NULL, 15),
(169259, NULL, 'PTHR37808:SF1', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN-LIKE PROTEIN YDZR', NULL, NULL, NULL, 15),
(169260, NULL, 'PTHR33543:SF25', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 2C', NULL, NULL, NULL, 15),
(169261, NULL, 'PTHR43157:SF35', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(169262, NULL, 'PTHR14091:SF4', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(169263, NULL, 'PTHR34601', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP B', NULL, NULL, NULL, 15),
(169264, NULL, 'PTHR24296:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169265, NULL, 'PTHR47992:SF32', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 48-RELATED', NULL, NULL, NULL, 15),
(169266, NULL, 'PTHR47990:SF25', NULL, NULL, NULL, NULL, 'OS01G0209700 PROTEIN', NULL, NULL, NULL, 15),
(169267, NULL, 'PTHR24221:SF174', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 7', NULL, NULL, NULL, 15),
(169268, NULL, 'PTHR26374:SF375', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169269, NULL, 'PTHR14360:SF19', NULL, NULL, NULL, NULL, 'PROTEIN FMP32, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(169270, NULL, 'PTHR12403:SF12', NULL, NULL, NULL, NULL, 'MCG6979, ISOFORM CRA_A', NULL, NULL, NULL, 15),
(169271, NULL, 'PTHR12588:SF4', NULL, NULL, NULL, NULL, 'INOSITOL OXYGENASE 4', NULL, NULL, NULL, 15),
(169272, NULL, 'PTHR15336:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(169273, NULL, 'PTHR46122:SF14', NULL, NULL, NULL, NULL, 'BNAC05G49720D PROTEIN', NULL, NULL, NULL, 15),
(169274, NULL, 'PTHR35474:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SHORT HYPOCOTYL IN WHITE LIGHT 1', NULL, NULL, NULL, 15),
(169275, NULL, 'PTHR19957:SF312', NULL, NULL, NULL, NULL, 'SYNTAXIN-43-LIKE', NULL, NULL, NULL, 15),
(169276, NULL, 'PTHR12489:SF20', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 211', NULL, NULL, NULL, 15),
(169277, NULL, 'PTHR24028:SF98', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-18-RELATED', NULL, NULL, NULL, 15),
(169278, NULL, 'PTHR46553', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169279, NULL, 'PTHR43828:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MBP1', NULL, NULL, 22171, 15),
(169280, NULL, 'PTHR11730:SF32', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER RH TYPE A', NULL, NULL, NULL, 15),
(169281, NULL, 'PTHR31852:SF200', NULL, NULL, NULL, NULL, 'BNAA05G31330D PROTEIN', NULL, NULL, NULL, 15),
(169282, NULL, 'PTHR24281:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169283, NULL, 'PTHR11843:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S12', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169284, NULL, 'PTHR12832:SF11', NULL, NULL, NULL, NULL, 'LD23868P', NULL, NULL, NULL, 15),
(169285, NULL, 'PTHR16134:SF59', NULL, NULL, NULL, NULL, 'TRANSPORT INHIBITOR RESPONSE 1-LIKE PROTEIN OS11G0515500', NULL, NULL, NULL, 15),
(169286, NULL, 'PTHR31731:SF121', NULL, NULL, NULL, NULL, 'LIPID-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(169287, NULL, 'PTHR27007:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169288, NULL, 'PTHR16267:SF13', NULL, NULL, NULL, NULL, 'B-CELL SCAFFOLD PROTEIN WITH ANKYRIN REPEATS', NULL, NULL, NULL, 15),
(169289, NULL, 'PTHR11802:SF369', NULL, NULL, NULL, NULL, 'BNAC02G06770D PROTEIN', NULL, NULL, NULL, 15),
(169290, NULL, 'PTHR48049:SF61', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71B5', NULL, NULL, NULL, 15),
(169291, NULL, 'PTHR32077:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169292, NULL, 'PTHR23344:SF13', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(169293, NULL, 'PTHR13314', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 15561, 15),
(169294, NULL, 'PTHR11909:SF84', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM ALPHA', NULL, NULL, NULL, 15),
(169295, NULL, 'PTHR22803:SF133', NULL, NULL, NULL, NULL, 'WU:FA56D06', NULL, NULL, NULL, 15),
(169296, NULL, 'PTHR28196', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN NET1-RELATED', NULL, NULL, 37144, 15),
(169297, NULL, 'PTHR11615:SF263', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1C1', NULL, NULL, NULL, 15),
(169298, NULL, 'PTHR37703', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L31-RELATED', NULL, NULL, NULL, 15),
(169299, NULL, 'PTHR27007:SF346', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', NULL, NULL, NULL, 15),
(169300, NULL, 'PTHR24414:SF105', NULL, NULL, NULL, NULL, 'BNAC01G00470D PROTEIN', NULL, NULL, NULL, 15),
(169301, NULL, 'PTHR45974:SF202', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(169302, NULL, 'PTHR46391:SF23', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 61', NULL, NULL, NULL, 15),
(169303, NULL, 'PTHR46268:SF17', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN MJ0531', NULL, NULL, NULL, 15),
(169304, NULL, 'PTHR34295:SF3', NULL, NULL, NULL, NULL, 'BIOTIN TRANSPORTER BIOYB-RELATED', NULL, NULL, NULL, 15),
(169305, NULL, 'PTHR23500:SF152', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(169306, NULL, 'PTHR31867:SF200', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(169307, NULL, 'PTHR11017:SF357', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169308, NULL, 'PTHR46668:SF2', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN AND ANKYRIN REPEAT-CONTAINING PROTEIN NH5.2', NULL, NULL, NULL, 15),
(169309, NULL, 'PTHR43045:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE METABOLITE TRANSPORT PROTEIN YHJE', NULL, NULL, NULL, 15),
(169310, NULL, 'PTHR16219', NULL, NULL, NULL, NULL, 'AUGMIN SUBUNIT 4 FAMILY MEMBER', NULL, NULL, 21552, 15),
(169311, NULL, 'PTHR32212:SF342', NULL, NULL, NULL, NULL, 'BNAA03G12850D PROTEIN', NULL, NULL, NULL, 15),
(169312, NULL, 'PTHR36405:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169313, NULL, 'PTHR23239:SF365', NULL, NULL, NULL, NULL, 'KERATIN 18B', NULL, NULL, NULL, 15),
(169314, NULL, 'PTHR46855:SF13', NULL, NULL, NULL, NULL, 'BNAC09G20040D PROTEIN', NULL, NULL, NULL, 15),
(169315, NULL, 'PTHR23263:SF131', NULL, NULL, NULL, NULL, 'SMALL PROLINE-RICH PROTEIN 3', NULL, NULL, NULL, 15),
(169316, NULL, 'PTHR33448:SF11', NULL, NULL, NULL, NULL, 'BNAA07G10610D PROTEIN', NULL, NULL, NULL, 15),
(169317, NULL, 'PTHR33345:SF8', NULL, NULL, NULL, NULL, 'BNAC05G29900D PROTEIN', NULL, NULL, NULL, 15),
(169318, NULL, 'PTHR11474:SF32', NULL, NULL, NULL, NULL, 'TYROSINASE', NULL, NULL, NULL, 15),
(169319, NULL, 'PTHR31403:SF40', NULL, NULL, NULL, NULL, 'OS10G0562200 PROTEIN', NULL, NULL, NULL, 15),
(169320, NULL, 'PTHR44372:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169321, NULL, 'PTHR11062:SF324', NULL, NULL, NULL, NULL, 'BNAA06G15190D PROTEIN', NULL, NULL, NULL, 15),
(169322, NULL, 'PTHR33565:SF21', NULL, NULL, NULL, NULL, 'BNAC06G10490D PROTEIN', NULL, NULL, NULL, 15),
(169323, NULL, 'PTHR47752:SF1', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR FABR', NULL, NULL, NULL, 15),
(169324, NULL, 'PTHR23095:SF40', NULL, NULL, NULL, NULL, 'PARANEOPLASTIC ANTIGEN-LIKE PROTEIN 6A', NULL, NULL, NULL, 15),
(169325, NULL, 'PTHR32254:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(169326, NULL, 'PTHR24369:SF191', NULL, NULL, NULL, NULL, 'SI:CH211-159I8.4', NULL, NULL, NULL, 15),
(169327, NULL, 'PTHR33734:SF18', NULL, NULL, NULL, NULL, 'OS02G0769200 PROTEIN', NULL, NULL, NULL, 15),
(169328, NULL, 'PTHR31985:SF140', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF038', NULL, NULL, NULL, 15),
(169329, NULL, 'PTHR33830:SF19', NULL, NULL, NULL, NULL, 'BNAANNG31540D PROTEIN', NULL, NULL, NULL, 15),
(169330, NULL, 'PTHR43008:SF11', NULL, NULL, NULL, NULL, 'CHAIN DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G08710)-RELATED', NULL, NULL, NULL, 15),
(169331, NULL, 'PTHR31374:SF55', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-INDUCED PROTEIN ARG7-LIKE', NULL, NULL, NULL, 15),
(169332, NULL, 'PTHR27008:SF411', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169333, NULL, 'PTHR37249', NULL, NULL, NULL, NULL, 'OS03G0206201 PROTEIN', NULL, NULL, NULL, 15),
(169334, NULL, 'PTHR46594:SF6', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE RAN1', NULL, NULL, NULL, 15),
(169335, NULL, 'PTHR24286:SF69', NULL, NULL, NULL, NULL, 'P450 OXIDOREDUCTASE, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(169336, NULL, 'PTHR14952', NULL, NULL, NULL, NULL, 'ROPPORIN-1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(169337, NULL, 'PTHR11767:SF11', NULL, NULL, NULL, NULL, 'ATP-SENSITIVE INWARD RECTIFIER POTASSIUM CHANNEL 8', NULL, NULL, 6151, 15),
(169338, NULL, 'PTHR31840', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 97', NULL, NULL, 16212, 15),
(169339, NULL, 'PTHR11145:SF8', NULL, NULL, NULL, NULL, 'RE57120P', NULL, NULL, NULL, 15),
(169340, NULL, 'PTHR19353:SF66', NULL, NULL, NULL, NULL, 'FATTY ACID/SPHINGOLIPID DESATURASE', NULL, NULL, NULL, 15),
(169341, NULL, 'PTHR13539', NULL, NULL, NULL, NULL, 'CALMODULIN-LYSINE N-METHYLTRANSFERASE', NULL, NULL, 23867, 15),
(169342, NULL, 'PTHR11206:SF299', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(169343, NULL, 'PTHR48001:SF112', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7A10', NULL, NULL, NULL, 15),
(169344, NULL, 'PTHR24123:SF98', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 4', NULL, NULL, NULL, 15),
(169345, NULL, 'PTHR31985:SF72', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1C', NULL, NULL, NULL, 15),
(169346, NULL, 'PTHR26374:SF408', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(169347, NULL, 'PTHR24103:SF397', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM17', NULL, NULL, 26966, 15),
(169348, NULL, 'PTHR46127', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 65', NULL, NULL, NULL, 15),
(169349, NULL, 'PTHR24104:SF30', NULL, NULL, NULL, NULL, 'THIN, ISOFORM C', NULL, NULL, NULL, 15),
(169350, NULL, 'PTHR31264:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169351, NULL, 'PTHR35043', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169352, NULL, 'PTHR10177:SF475', NULL, NULL, NULL, NULL, 'BNAA06G14500D PROTEIN', NULL, NULL, NULL, 15),
(169353, NULL, 'PTHR15583:SF17', NULL, NULL, NULL, NULL, 'SI:CH211-207E14.4', NULL, NULL, NULL, 15),
(169354, NULL, 'PTHR10795:SF716', NULL, NULL, NULL, NULL, 'CO(2)-RESPONSE SECRETED PROTEASE', NULL, NULL, NULL, 15),
(169355, NULL, 'PTHR11328:SF30', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 2B', NULL, NULL, NULL, 15),
(169356, NULL, 'PTHR10219:SF39', NULL, NULL, NULL, NULL, 'OS07G0445800 PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169357, NULL, 'PTHR17615', NULL, NULL, NULL, NULL, 'PROTEIN FAM189A', NULL, NULL, 27358, 15),
(169358, NULL, 'PTHR33021:SF352', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(169359, NULL, 'PTHR27002:SF821', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169360, NULL, 'PTHR33102:SF27', NULL, NULL, NULL, NULL, 'OS01G0844200 PROTEIN', NULL, NULL, NULL, 15),
(169361, NULL, 'PTHR14493:SF104', NULL, NULL, NULL, NULL, 'ARM REPEAT CCCH-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(169362, NULL, 'PTHR24055:SF100', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(169363, NULL, 'PTHR24305:SF194', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 12A4, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(169364, NULL, 'PTHR45644:SF53', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(169365, NULL, 'PTHR33021:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169366, NULL, 'PTHR24015:SF1744', NULL, NULL, NULL, NULL, 'OS08G0112400 PROTEIN', NULL, NULL, NULL, 15),
(169367, NULL, 'PTHR11834:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ENHANCER FACTOR TEF-1', NULL, NULL, NULL, 15),
(169368, NULL, 'PTHR24365:SF522', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 12', NULL, NULL, NULL, 15),
(169369, NULL, 'PTHR11935:SF116', NULL, NULL, NULL, NULL, 'HYDROLASE PNKD-RELATED', NULL, NULL, NULL, 15),
(169370, NULL, 'PTHR46038:SF27', NULL, NULL, NULL, NULL, 'BNAA10G09520D PROTEIN', NULL, NULL, NULL, 15),
(169371, NULL, 'PTHR33178:SF7', NULL, NULL, NULL, NULL, 'STRESS RESPONSIVE A/B BARREL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(169372, NULL, 'PTHR31458:SF4', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(169373, NULL, 'PTHR11527:SF323', NULL, NULL, NULL, NULL, '17.3 KDA CLASS I HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(169374, NULL, 'PTHR33478:SF1', NULL, NULL, NULL, NULL, 'EXTRACELLULAR METALLOPROTEINASE MEP', NULL, NULL, NULL, 15),
(169375, NULL, 'PTHR12542:SF17', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(169376, NULL, 'PTHR10513:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169377, NULL, 'PTHR12187:SF12', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE-4-PHOSPHATASE TYPE I AA', NULL, NULL, NULL, 15),
(169378, NULL, 'PTHR47278:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE 6', NULL, NULL, NULL, 15),
(169379, NULL, 'PTHR24023:SF981', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE IX, ALPHA 3', NULL, NULL, NULL, 15),
(169380, NULL, 'PTHR21277:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169381, NULL, 'PTHR26453:SF64', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(169382, NULL, 'PTHR30097:SF13', NULL, NULL, NULL, NULL, 'CATION EFFLUX SYSTEM (CZCB-LIKE)', NULL, NULL, NULL, 15),
(169383, NULL, 'PTHR35889', NULL, NULL, NULL, NULL, 'CYCLOINULO-OLIGOSACCHARIDE FRUCTANOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(169384, NULL, 'PTHR13301:SF216', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 7 [UDP-FORMING]-LIKE', NULL, NULL, NULL, 15),
(169385, NULL, 'PTHR46735:SF5', NULL, NULL, NULL, NULL, 'GRANCALCIN', NULL, NULL, NULL, 15),
(169386, NULL, 'PTHR43574:SF46', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 6', NULL, NULL, NULL, 15),
(169387, NULL, 'PTHR27009:SF96', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.7-RELATED', NULL, NULL, NULL, 15),
(169388, NULL, 'PTHR24073:SF1066', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1D', NULL, NULL, NULL, 15),
(169389, NULL, 'PTHR10527:SF17', NULL, NULL, NULL, NULL, 'TRANSPORTIN-2', NULL, NULL, NULL, 15),
(169390, NULL, 'PTHR11977:SF31', NULL, NULL, NULL, NULL, 'PROTOVILLIN', NULL, NULL, NULL, 15),
(169391, NULL, 'PTHR34410', NULL, NULL, NULL, NULL, 'INTRON-ENCODED HOMING ENDONUCLEASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(169392, NULL, 'PTHR13789:SF147', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G01950)-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169393, NULL, 'PTHR12931:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169394, NULL, 'PTHR11728:SF37', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)]', NULL, NULL, NULL, 15),
(169395, NULL, 'PTHR38451', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(22)-N(1))-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(169396, NULL, 'PTHR11211:SF11', NULL, NULL, NULL, NULL, 'IROQUOIS-CLASS HOMEODOMAIN PROTEIN IRX-6', NULL, NULL, NULL, 15),
(169397, NULL, 'PTHR24336:SF12', NULL, NULL, NULL, NULL, 'LADYBIRD HOMEOBOX 2', NULL, NULL, NULL, 15),
(169398, NULL, 'PTHR31515:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169399, NULL, 'PTHR46761:SF5', NULL, NULL, NULL, NULL, 'RAN GTPASE-ACTIVATING PROTEIN 2', NULL, NULL, NULL, 15),
(169400, NULL, 'PTHR11579:SF25', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(169401, NULL, 'PTHR11654:SF471', NULL, NULL, NULL, NULL, 'BNAA03G19060D PROTEIN', NULL, NULL, NULL, 15),
(169402, NULL, 'PTHR45707:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169403, NULL, 'PTHR24416:SF389', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 6', NULL, NULL, NULL, 15),
(169404, NULL, 'PTHR48059:SF10', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITOR 2', NULL, NULL, NULL, 15),
(169405, NULL, 'PTHR11615:SF116', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(169406, NULL, 'PTHR36900', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT M, CHLOROPLASTIC', NULL, NULL, 15437, 15),
(169407, NULL, 'PTHR31235:SF158', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(169408, NULL, 'PTHR30400', NULL, NULL, NULL, NULL, 'MONOFUNCTIONAL BIOSYNTHETIC PEPTIDOGLYCAN TRANSGLYCOSYLASE', NULL, NULL, 13032, 15),
(169409, NULL, 'PTHR43278:SF3', NULL, NULL, NULL, NULL, 'IRON-SULFUR FLAVOPROTEIN MJ0731', NULL, NULL, NULL, 15),
(169410, NULL, 'PTHR22526:SF4', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 15', NULL, NULL, NULL, 15),
(169411, NULL, 'PTHR33924', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(169412, NULL, 'PTHR31048:SF115', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(169413, NULL, 'PTHR31681:SF37', NULL, NULL, NULL, NULL, 'BNAANNG20300D PROTEIN', NULL, NULL, NULL, 15),
(169414, NULL, 'PTHR11062:SF263', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE XLT2-LIKE', NULL, NULL, NULL, 15),
(169415, NULL, 'PTHR14401', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN K', NULL, NULL, 14699, 15),
(169416, NULL, 'PTHR18952:SF228', NULL, NULL, NULL, NULL, 'IP04174P', NULL, NULL, NULL, 15),
(169417, NULL, 'PTHR32246:SF65', NULL, NULL, NULL, NULL, 'OS09G0571200 PROTEIN', NULL, NULL, NULL, 15),
(169418, NULL, 'PTHR37240', NULL, NULL, NULL, NULL, 'PREPROTEIN TRANSLOCASE SUBUNIT SECE1', NULL, NULL, NULL, 15),
(169419, NULL, 'PTHR16469:SF47', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED AND SH3 DOMAIN-CONTAINING BA-RELATED', NULL, NULL, NULL, 15),
(169420, NULL, 'PTHR11959:SF15', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLPYRUVATE DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(169421, NULL, 'PTHR13449', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN GPR177', NULL, NULL, 10012, 15),
(169422, NULL, 'PTHR43270:SF9', NULL, NULL, NULL, NULL, 'SUCCINYL-DIAMINOPIMELATE DESUCCINYLASE', NULL, NULL, NULL, 15),
(169423, NULL, 'PTHR33130:SF54', NULL, NULL, NULL, NULL, 'BNAA08G19370D PROTEIN', NULL, NULL, NULL, 15),
(169424, NULL, 'PTHR31790:SF311', NULL, NULL, NULL, NULL, 'BNAC05G52170D PROTEIN', NULL, NULL, NULL, 15),
(169425, NULL, 'PTHR42747:SF4', NULL, NULL, NULL, NULL, 'DIOXYGENASE', NULL, NULL, NULL, 15),
(169426, NULL, 'PTHR31548:SF5', NULL, NULL, NULL, NULL, 'CLARIN-2', NULL, NULL, NULL, 15),
(169427, NULL, 'PTHR24373:SF276', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 3B', NULL, NULL, NULL, 15),
(169428, NULL, 'PTHR47774', NULL, NULL, NULL, NULL, 'GROWTH-DIFFERENTIATION TRANSITION PROTEIN 5-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169429, NULL, 'PTHR11362:SF81', NULL, NULL, NULL, NULL, 'PROTEIN CBG19696', NULL, NULL, NULL, 15),
(169430, NULL, 'PTHR45637:SF57', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WAG2', NULL, NULL, NULL, 15),
(169431, NULL, 'PTHR21879:SF14', NULL, NULL, NULL, NULL, 'OSIRIS 8', NULL, NULL, NULL, 15),
(169432, NULL, 'PTHR38461:SF1', NULL, NULL, NULL, NULL, '4-DEOXY-L-THREO-5-HEXOSULOSE-URONATE KETOL-ISOMERASE', NULL, NULL, NULL, 15),
(169433, NULL, 'PTHR47993:SF82', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN EXPRESSED', NULL, NULL, NULL, 15),
(169434, NULL, 'PTHR46034:SF3', NULL, NULL, NULL, NULL, 'B2 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(169435, NULL, 'PTHR11932:SF161', NULL, NULL, NULL, NULL, 'BNAC06G12710D PROTEIN', NULL, NULL, NULL, 15),
(169436, NULL, 'PTHR45647:SF30', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(169437, NULL, 'PTHR13326', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE D', NULL, NULL, 3233, 15),
(169438, NULL, 'PTHR12223:SF36', NULL, NULL, NULL, NULL, 'VESICULAR INTEGRAL-MEMBRANE PROTEIN VIP36', NULL, NULL, NULL, 15),
(169439, NULL, 'PTHR12086', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN  C-TERMINAL  CONTAINING PROTEIN', NULL, NULL, 33972, 15),
(169440, NULL, 'PTHR31482:SF2', NULL, NULL, NULL, NULL, 'ESTS AU081301(E20138)', NULL, NULL, NULL, 15),
(169441, NULL, 'PTHR48201:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169442, NULL, 'PTHR34953:SF5', NULL, NULL, NULL, NULL, 'BNAANNG33690D PROTEIN', NULL, NULL, NULL, 15),
(169443, NULL, 'PTHR31009:SF116', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(169444, NULL, 'PTHR47990:SF40', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(169445, NULL, 'PTHR21654:SF60', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR PTL', NULL, NULL, NULL, 15),
(169446, NULL, 'PTHR10380:SF119', NULL, NULL, NULL, NULL, 'PROTEIN LETHAL(3)MALIGNANT BLOOD NEOPLASM 1', NULL, NULL, NULL, 15),
(169447, NULL, 'PTHR21541:SF3', NULL, NULL, NULL, NULL, 'STRUCTURE-SPECIFIC ENDONUCLEASE SUBUNIT SLX4', NULL, NULL, NULL, 15),
(169448, NULL, 'PTHR45651:SF86', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 9', NULL, NULL, NULL, 15),
(169449, NULL, 'PTHR23130:SF197', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(169450, NULL, 'PTHR43943:SF11', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE SDRA', NULL, NULL, NULL, 15),
(169451, NULL, 'PTHR10201:SF120', NULL, NULL, NULL, NULL, 'MATRIX METALLOPEPTIDASE 23BB', NULL, NULL, NULL, 15),
(169452, NULL, 'PTHR24320:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169453, NULL, 'PTHR19317:SF0', NULL, NULL, NULL, NULL, 'PRENYLATED RAB ACCEPTOR PROTEIN 1', NULL, NULL, NULL, 15),
(169454, NULL, 'PTHR47966:SF46', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE ORYZASIN-1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(169455, NULL, 'PTHR31674:SF67', NULL, NULL, NULL, NULL, 'BNAA09G41270D PROTEIN', NULL, NULL, NULL, 15),
(169456, NULL, 'PTHR24057:SF64', NULL, NULL, NULL, NULL, 'BNAANNG02930D PROTEIN', NULL, NULL, NULL, 15),
(169457, NULL, 'PTHR31623:SF53', NULL, NULL, NULL, NULL, 'N-BENZOYLTRANSFERASE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(169458, NULL, 'PTHR23430:SF213', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(169459, NULL, 'PTHR32191:SF72', NULL, NULL, NULL, NULL, 'OS09G0425900 PROTEIN', NULL, NULL, NULL, 15),
(169460, NULL, 'PTHR33136:SF34', NULL, NULL, NULL, NULL, 'OS12G0541700 PROTEIN', NULL, NULL, NULL, 15),
(169461, NULL, 'PTHR14493:SF111', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 49', NULL, NULL, NULL, 15),
(169462, NULL, 'PTHR27002:SF16', NULL, NULL, NULL, NULL, 'OS07G0538200 PROTEIN', NULL, NULL, NULL, 15),
(169463, NULL, 'PTHR46139:SF3', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169464, NULL, 'PTHR48136:SF1', NULL, NULL, NULL, NULL, 'RUBREDOXIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(169465, NULL, 'PTHR37249:SF7', NULL, NULL, NULL, NULL, 'BNACNNG03800D PROTEIN', NULL, NULL, NULL, 15),
(169466, NULL, 'PTHR22989:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG22229', NULL, NULL, NULL, 15),
(169467, NULL, 'PTHR42470', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169468, NULL, 'PTHR33021:SF378', NULL, NULL, NULL, NULL, 'BNAC03G71950D PROTEIN', NULL, NULL, NULL, 15),
(169469, NULL, 'PTHR11571:SF237', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE PI 3', NULL, NULL, NULL, 15),
(169470, NULL, 'PTHR31218:SF251', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(169471, NULL, 'PTHR24300:SF330', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 508A4-RELATED', NULL, NULL, NULL, 15),
(169472, NULL, 'PTHR45532:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 97', NULL, NULL, NULL, 15),
(169473, NULL, 'PTHR47768', NULL, NULL, NULL, NULL, 'GLOBIN RELATED-RELATED', NULL, NULL, NULL, 15),
(169474, NULL, 'PTHR11119:SF89', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(169475, NULL, 'PTHR11157:SF126', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(169476, NULL, 'PTHR15430', NULL, NULL, NULL, NULL, 'GLOMULIN', NULL, NULL, 18613, 15),
(169477, NULL, 'PTHR47926:SF149', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(169478, NULL, 'PTHR47985:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169479, NULL, 'PTHR11819:SF112', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 5 MEMBER 4', NULL, NULL, NULL, 15),
(169480, NULL, 'PTHR11746:SF185', NULL, NULL, NULL, NULL, 'TRANS-RESVERATROL DI-O-METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(169481, NULL, 'PTHR10593:SF166', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 2-LIKE', NULL, NULL, NULL, 15),
(169482, NULL, 'PTHR31218:SF195', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(169483, NULL, 'PTHR33214:SF52', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2', NULL, NULL, NULL, 15),
(169484, NULL, 'PTHR43479:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR TETR FAMILY', NULL, NULL, NULL, 15),
(169485, NULL, 'PTHR16470:SF0', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN UBFD1', NULL, NULL, NULL, 15),
(169486, NULL, 'PTHR11654:SF345', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(169487, NULL, 'PTHR13630', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE-ACTIVATING PROTEIN', NULL, NULL, 24193, 15),
(169488, NULL, 'PTHR21228:SF40', NULL, NULL, NULL, NULL, 'GH07286P-RELATED', NULL, NULL, NULL, 15),
(169489, NULL, 'PTHR32411:SF66', NULL, NULL, NULL, NULL, 'BNAC03G42430D PROTEIN', NULL, NULL, NULL, 15),
(169490, NULL, 'PTHR48017:SF67', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 1-LIKE', NULL, NULL, NULL, 15),
(169491, NULL, 'PTHR31235:SF271', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(169492, NULL, 'PTHR40472:SF8', NULL, NULL, NULL, NULL, 'RAPUNZEL 2', NULL, NULL, NULL, 15),
(169493, NULL, 'PTHR47566:SF1', NULL, NULL, NULL, NULL, 'SEPTATION INITIATION NETWORK SCAFFOLD PROTEIN CDC11', NULL, NULL, NULL, 15),
(169494, NULL, 'PTHR10845:SF145', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 19', NULL, NULL, NULL, 15),
(169495, NULL, 'PTHR20437:SF2', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 13C', NULL, NULL, 15877, 15),
(169496, NULL, 'PTHR24404:SF68', NULL, NULL, NULL, NULL, 'IKAROS FAMILY ZINC FINGER 2', NULL, NULL, NULL, 15),
(169497, NULL, 'PTHR31357:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG21509', NULL, NULL, NULL, 15),
(169498, NULL, 'PTHR31325', NULL, NULL, NULL, NULL, 'OS01G0798800 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(169499, NULL, 'PTHR10168:SF208', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C2-RELATED', NULL, NULL, NULL, 15),
(169500, NULL, 'PTHR19441:SF46', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 3', NULL, NULL, 25057, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169501, NULL, 'PTHR33493:SF3', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(169502, NULL, 'PTHR30531:SF6', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS PROTEIN SSAU', NULL, NULL, NULL, 15),
(169503, NULL, 'PTHR14240:SF1', NULL, NULL, NULL, NULL, 'RPGR-INTERACTING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(169504, NULL, 'PTHR11774:SF14', NULL, NULL, NULL, NULL, 'PROTEIN FARNESYLTRANSFERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(169505, NULL, 'PTHR24376:SF165', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 585A', NULL, NULL, NULL, 15),
(169506, NULL, 'PTHR16125:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 74', NULL, NULL, 27486, 15),
(169507, NULL, 'PTHR21366:SF27', NULL, NULL, NULL, NULL, 'CATECHOL 2,3-DIOXYGENASE (METAPYROCATECHASE)', NULL, NULL, NULL, 15),
(169508, NULL, 'PTHR21304:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169509, NULL, 'PTHR28630:SF7', NULL, NULL, NULL, NULL, 'PROSTAMIDE/PROSTAGLANDIN F SYNTHASE', NULL, NULL, NULL, 15),
(169510, NULL, 'PTHR15486:SF65', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(169511, NULL, 'PTHR37379:SF1', NULL, NULL, NULL, NULL, 'OS01G0220500 PROTEIN', NULL, NULL, NULL, 15),
(169512, NULL, 'PTHR11941:SF141', NULL, NULL, NULL, NULL, 'RPFF PROTEIN', NULL, NULL, NULL, 15),
(169513, NULL, 'PTHR33048:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169514, NULL, 'PTHR10720', NULL, NULL, NULL, NULL, 'HEME OXYGENASE', NULL, NULL, 1217, 15),
(169515, NULL, 'PTHR45863:SF25', NULL, NULL, NULL, NULL, 'TPR DOMAIN KINASE', NULL, NULL, NULL, 15),
(169516, NULL, 'PTHR47878', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE FAD/NAD(P)-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(169517, NULL, 'PTHR43029', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER MEP2', NULL, NULL, 5499, 15),
(169518, NULL, 'PTHR13832:SF779', NULL, NULL, NULL, NULL, 'SI:CH211-15P9.2', NULL, NULL, NULL, 15),
(169519, NULL, 'PTHR44200', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 7', NULL, NULL, NULL, 15),
(169520, NULL, 'PTHR34039:SF1', NULL, NULL, NULL, NULL, 'UPF0102 PROTEIN YRAN', NULL, NULL, NULL, 15),
(169521, NULL, 'PTHR22773:SF107', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C', NULL, NULL, NULL, 15),
(169522, NULL, 'PTHR35547:SF1', NULL, NULL, NULL, NULL, 'OS02G0737300 PROTEIN', NULL, NULL, NULL, 15),
(169523, NULL, 'PTHR32444:SF78', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK3', NULL, NULL, NULL, 15),
(169524, NULL, 'PTHR10351:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3 HOMOLOG 4', NULL, NULL, NULL, 15),
(169525, NULL, 'PTHR23059:SF4', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(169526, NULL, 'PTHR31752:SF48', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 1A', NULL, NULL, NULL, 15),
(169527, NULL, 'PTHR18947:SF30', NULL, NULL, NULL, NULL, 'GIRDIN', NULL, NULL, 22304, 15),
(169528, NULL, 'PTHR33726:SF13', NULL, NULL, NULL, NULL, 'OS05G0565701 PROTEIN', NULL, NULL, NULL, 15),
(169529, NULL, 'PTHR10371:SF3', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(169530, NULL, 'PTHR31391:SF92', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0234100-LIKE', NULL, NULL, NULL, 15),
(169531, NULL, 'PTHR32448:SF83', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 11', NULL, NULL, NULL, 15),
(169532, NULL, 'PTHR24078:SF551', NULL, NULL, NULL, NULL, 'BNAA06G20720D PROTEIN', NULL, NULL, NULL, 15),
(169533, NULL, 'PTHR47958:SF48', NULL, NULL, NULL, NULL, 'DNA HELICASE, ATP-DEPENDENT, RECQ TYPE, BACTERIAL-RELATED', NULL, NULL, NULL, 15),
(169534, NULL, 'PTHR13108', NULL, NULL, NULL, NULL, 'CONDENSIN COMPLEX SUBUNIT 2', NULL, NULL, 15149, 15),
(169535, NULL, 'PTHR10127:SF802', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-10', NULL, NULL, NULL, 15),
(169536, NULL, 'PTHR32054:SF53', NULL, NULL, NULL, NULL, 'WEB FAMILY-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169537, NULL, 'PTHR10283:SF131', NULL, NULL, NULL, NULL, 'BNAC09G20290D PROTEIN', NULL, NULL, NULL, 15),
(169538, NULL, 'PTHR21505:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169539, NULL, 'PTHR36324', NULL, NULL, NULL, NULL, 'OS09G0460100 PROTEIN', NULL, NULL, NULL, 15),
(169540, NULL, 'PTHR11926:SF1408', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(169541, NULL, 'PTHR33386:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169542, NULL, 'PTHR24043:SF5', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS F MEMBER 2', NULL, NULL, 34125, 15),
(169543, NULL, 'PTHR31683:SF113', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(169544, NULL, 'PTHR12482:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169545, NULL, 'PTHR24023:SF994', NULL, NULL, NULL, NULL, 'PERSISTENT PLEXUS', NULL, NULL, NULL, 15),
(169546, NULL, 'PTHR45635:SF34', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(169547, NULL, 'PTHR47068:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(169548, NULL, 'PTHR48073:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169549, NULL, 'PTHR11793:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 12', NULL, NULL, NULL, 15),
(169550, NULL, 'PTHR45659:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C5', NULL, NULL, NULL, 15),
(169551, NULL, 'PTHR46367', NULL, NULL, NULL, NULL, 'ATAXIN-7-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(169552, NULL, 'PTHR24376:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169553, NULL, 'PTHR11736:SF22', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B4', NULL, NULL, NULL, 15),
(169554, NULL, 'PTHR47992:SF64', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 33-RELATED', NULL, NULL, NULL, 15),
(169555, NULL, 'PTHR32093:SF144', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(169556, NULL, 'PTHR23132:SF8', NULL, NULL, NULL, NULL, 'D-ALANINE--D-ALANINE LIGASE A', NULL, NULL, NULL, 15),
(169557, NULL, 'PTHR33321:SF22', NULL, NULL, NULL, NULL, 'BASIC SECRETORY PROTEASE', NULL, NULL, NULL, 15),
(169558, NULL, 'PTHR23239:SF137', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 10', NULL, NULL, NULL, 15),
(169559, NULL, 'PTHR47740:SF1', NULL, NULL, NULL, NULL, 'LCK-INTERACTING TRANSMEMBRANE ADAPTER 1', NULL, NULL, NULL, 15),
(169560, NULL, 'PTHR45639:SF23', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70 FAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(169561, NULL, 'PTHR46929', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(169562, NULL, 'PTHR36351', NULL, NULL, NULL, NULL, 'EMBRYO SAC DEVELOPMENT ARREST 12', NULL, NULL, NULL, 15),
(169563, NULL, 'PTHR43454', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(169564, NULL, 'PTHR11439', NULL, NULL, NULL, NULL, 'GAG-POL-RELATED RETROTRANSPOSON', NULL, NULL, NULL, 15),
(169565, NULL, 'PTHR11749:SF12', NULL, NULL, NULL, NULL, 'RIBULOSE-PHOSPHATE 3-EPIMERASE', NULL, NULL, NULL, 15),
(169566, NULL, 'PTHR43146:SF1', NULL, NULL, NULL, NULL, 'CANCER-RELATED NUCLEOSIDE-TRIPHOSPHATASE', NULL, NULL, NULL, 15),
(169567, NULL, 'PTHR14043:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CUT-LIKE 1', NULL, NULL, NULL, 15),
(169568, NULL, 'PTHR22950:SF472', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', NULL, NULL, NULL, 15),
(169569, NULL, 'PTHR48101:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE MUTASE SIGMA SUBUNIT', NULL, NULL, NULL, 15),
(169570, NULL, 'PTHR30347', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL RELATED', NULL, NULL, NULL, 15),
(169571, NULL, 'PTHR44240:SF14', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 11, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(169572, NULL, 'PTHR30481:SF3', NULL, NULL, NULL, NULL, 'DNA ADENINE METHYLASE', NULL, NULL, NULL, 15),
(169573, NULL, 'PTHR46929:SF2', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169574, NULL, 'PTHR12465:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 20', NULL, NULL, NULL, 15),
(169575, NULL, 'PTHR39741:SF14', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(169576, NULL, 'PTHR10015:SF302', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-1A', NULL, NULL, NULL, 15),
(169577, NULL, 'PTHR24100:SF56', NULL, NULL, NULL, NULL, 'BUTYROPHILIN SUBFAMILY 3 MEMBER A1', NULL, NULL, NULL, 15),
(169578, NULL, 'PTHR46720', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01460)-RELATED', NULL, NULL, NULL, 15),
(169579, NULL, 'PTHR10353:SF137', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 31-RELATED', NULL, NULL, NULL, 15),
(169580, NULL, 'PTHR46632:SF19', NULL, NULL, NULL, NULL, 'BNAA05G11490D PROTEIN', NULL, NULL, NULL, 15),
(169581, NULL, 'PTHR33021:SF289', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(169582, NULL, 'PTHR37534:SF18', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(169583, NULL, 'PTHR35805:SF1', NULL, NULL, NULL, NULL, 'ASPARTATE CARBAMOYLTRANSFERASE REGULATORY CHAIN', NULL, NULL, NULL, 15),
(169584, NULL, 'PTHR21012:SF0', NULL, NULL, NULL, NULL, 'ASPARTATE 1-DECARBOXYLASE', NULL, NULL, NULL, 15),
(169585, NULL, 'PTHR14689:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169586, NULL, 'PTHR33463:SF8', NULL, NULL, NULL, NULL, 'OS04G0115650 PROTEIN', NULL, NULL, NULL, 15),
(169587, NULL, 'PTHR47435', NULL, NULL, NULL, NULL, 'KELCH REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_5G12780)', NULL, NULL, NULL, 15),
(169588, NULL, 'PTHR11814:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169589, NULL, 'PTHR32278:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169590, NULL, 'PTHR47956:SF71', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(169591, NULL, 'PTHR18978:SF1', NULL, NULL, NULL, NULL, 'GRIP1-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(169592, NULL, 'PTHR36337:SF1', NULL, NULL, NULL, NULL, 'OBSCURIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(169593, NULL, 'PTHR13215', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II TRANSCRIPTIONAL COACTIVATOR', NULL, NULL, 39065, 15),
(169594, NULL, 'PTHR46211:SF5', NULL, NULL, NULL, NULL, 'BLR6584 PROTEIN', NULL, NULL, NULL, 15),
(169595, NULL, 'PTHR47926:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169596, NULL, 'PTHR10694:SF125', NULL, NULL, NULL, NULL, 'LYSINE (K)-SPECIFIC DEMETHYLASE 5BA', NULL, NULL, NULL, 15),
(169597, NULL, 'PTHR22912:SF103', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(169598, NULL, 'PTHR36540:SF1', NULL, NULL, NULL, NULL, 'PYRIMIDINE/PURINE NUCLEOSIDE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(169599, NULL, 'PTHR12132:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169600, NULL, 'PTHR34448:SF3', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE AMPS', NULL, NULL, NULL, 15),
(169601, NULL, 'PTHR22936', NULL, NULL, NULL, NULL, 'RHOMBOID-RELATED', NULL, NULL, 1970, 15),
(169602, NULL, 'PTHR34267:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169603, NULL, 'PTHR45798:SF52', NULL, NULL, NULL, NULL, 'BNAA01G27180D PROTEIN', NULL, NULL, NULL, 15),
(169604, NULL, 'PTHR10918:SF2', NULL, NULL, NULL, NULL, 'HOMER PROTEIN HOMOLOG 2', NULL, NULL, NULL, 15),
(169605, NULL, 'PTHR32098', NULL, NULL, NULL, NULL, 'LYCOPENE BETA/EPSILON CYCLASE PROTEIN', NULL, NULL, NULL, 15),
(169606, NULL, 'PTHR28071', NULL, NULL, NULL, NULL, 'REDOX PROTEIN FMP46, MITOCHONDRIAL-RELATED', NULL, NULL, 13059, 15),
(169607, NULL, 'PTHR44156:SF6', NULL, NULL, NULL, NULL, 'SUPERNUMERARY LIMBS, ISOFORM B', NULL, NULL, NULL, 15),
(169608, NULL, 'PTHR34189:SF13', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(169609, NULL, 'PTHR31476:SF16', NULL, NULL, NULL, NULL, 'F14O23.23 PROTEIN', NULL, NULL, NULL, 15),
(169610, NULL, 'PTHR27001:SF601', NULL, NULL, NULL, NULL, 'OS06G0288100 PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169611, NULL, 'PTHR33078:SF62', NULL, NULL, NULL, NULL, 'PROTEIN YCF2', NULL, NULL, NULL, 15),
(169612, NULL, 'PTHR10250', NULL, NULL, NULL, NULL, 'MICROSOMAL GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(169613, NULL, 'PTHR11527:SF97', NULL, NULL, NULL, NULL, '15.4 KDA CLASS V HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(169614, NULL, 'PTHR31906:SF35', NULL, NULL, NULL, NULL, 'PLASTID LIPID-ASSOCIATED PROTEIN/FIBRILLIN CONSERVED DOMAIN', NULL, NULL, NULL, 15),
(169615, NULL, 'PTHR10145:SF8', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE NUCLEOTIDYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(169616, NULL, 'PTHR36294:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 139', NULL, NULL, NULL, 15),
(169617, NULL, 'PTHR24409:SF382', NULL, NULL, NULL, NULL, 'IP01303P', NULL, NULL, NULL, 15),
(169618, NULL, 'PTHR34150:SF1', NULL, NULL, NULL, NULL, 'PRION-LIKE-(Q/N-RICH)-DOMAIN-BEARING PROTEIN', NULL, NULL, NULL, 15),
(169619, NULL, 'PTHR24072:SF141', NULL, NULL, NULL, NULL, 'RHO-RELATED BTB DOMAIN-CONTAINING 4', NULL, NULL, NULL, 15),
(169620, NULL, 'PTHR30472:SF67', NULL, NULL, NULL, NULL, 'PERMEASE OF ABC TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(169621, NULL, 'PTHR10161:SF42', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(169622, NULL, 'PTHR23105:SF136', NULL, NULL, NULL, NULL, 'OS06G0274200 PROTEIN', NULL, NULL, NULL, 15),
(169623, NULL, 'PTHR10829:SF51', NULL, NULL, NULL, NULL, 'LIM-TYPE ZINC FINGER-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(169624, NULL, 'PTHR24366:SF126', NULL, NULL, NULL, NULL, 'REDUCED OCELLI, ISOFORM B', NULL, NULL, NULL, 15),
(169625, NULL, 'PTHR11908:SF100', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(169626, NULL, 'PTHR33244', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169627, NULL, 'PTHR32401:SF25', NULL, NULL, NULL, NULL, 'BNAA05G29190D PROTEIN', NULL, NULL, NULL, 15),
(169628, NULL, 'PTHR12110:SF21', NULL, NULL, NULL, NULL, 'DEHYDRATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G08740)-RELATED', NULL, NULL, NULL, 15),
(169629, NULL, 'PTHR11165:SF24', NULL, NULL, NULL, NULL, 'S-PHASE KINASE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(169630, NULL, 'PTHR44191:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169631, NULL, 'PTHR36542:SF2', NULL, NULL, NULL, NULL, 'GIG2-LIKE PROTEIN DRED-RELATED', NULL, NULL, NULL, 15),
(169632, NULL, 'PTHR31325:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169633, NULL, 'PTHR48044:SF64', NULL, NULL, NULL, NULL, 'CIS-ZEATIN O-GLUCOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(169634, NULL, 'PTHR47274:SF7', NULL, NULL, NULL, NULL, 'BNAA03G54520D PROTEIN', NULL, NULL, NULL, 15),
(169635, NULL, 'PTHR31676:SF110', NULL, NULL, NULL, NULL, 'OS01G0913100 PROTEIN', NULL, NULL, NULL, 15),
(169636, NULL, 'PTHR18945:SF401', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-4', NULL, NULL, NULL, 15),
(169637, NULL, 'PTHR12213:SF0', NULL, NULL, NULL, NULL, 'CORRINOID ADENOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(169638, NULL, 'PTHR33669:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169639, NULL, 'PTHR11699:SF277', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(169640, NULL, 'PTHR10129:SF24', NULL, NULL, NULL, NULL, 'NEURAL RETINA-SPECIFIC LEUCINE ZIPPER PROTEIN', NULL, NULL, 21842, 15),
(169641, NULL, 'PTHR11145:SF14', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING ADAPTER FOR CUL3-MEDIATED RHOA DEGRADATION PROTEIN 3', NULL, NULL, NULL, 15),
(169642, NULL, 'PTHR23065:SF23', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C AND CASEIN KINASE SUBSTRATE IN NEURONS 1A', NULL, NULL, 23643, 15),
(169643, NULL, 'PTHR13902:SF148', NULL, NULL, NULL, NULL, 'BNAA09G30580D PROTEIN', NULL, NULL, NULL, 15),
(169644, NULL, 'PTHR24044:SF431', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(169645, NULL, 'PTHR47989:SF14', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN KINASE SELMODRAFT_444075', NULL, NULL, NULL, 15),
(169646, NULL, 'PTHR12673:SF257', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-77', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169647, NULL, 'PTHR11236:SF38', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(169648, NULL, 'PTHR15532', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169649, NULL, 'PTHR45966:SF7', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(169650, NULL, 'PTHR11528:SF78', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP 90-BETA 2-RELATED', NULL, NULL, NULL, 15),
(169651, NULL, 'PTHR23264:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169652, NULL, 'PTHR31907:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169653, NULL, 'PTHR31376:SF62', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 14-RELATED', NULL, NULL, NULL, 15),
(169654, NULL, 'PTHR10285:SF188', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE B', NULL, NULL, NULL, 15),
(169655, NULL, 'PTHR33090:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169656, NULL, 'PTHR31677:SF148', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 14', NULL, NULL, NULL, 15),
(169657, NULL, 'PTHR43112', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(169658, NULL, 'PTHR33057:SF76', NULL, NULL, NULL, NULL, 'OS05G0441400 PROTEIN', NULL, NULL, NULL, 15),
(169659, NULL, 'PTHR11711:SF319', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE 11', NULL, NULL, NULL, 15),
(169660, NULL, 'PTHR22741:SF5', NULL, NULL, NULL, NULL, 'SRC KINASE SIGNALING INHIBITOR 1', NULL, NULL, 22128, 15),
(169661, NULL, 'PTHR11945:SF405', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(169662, NULL, 'PTHR46539:SF2', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL43', NULL, NULL, NULL, 15),
(169663, NULL, 'PTHR24115:SF917', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14C-RELATED', NULL, NULL, NULL, 15),
(169664, NULL, 'PTHR32410:SF182', NULL, NULL, NULL, NULL, 'BNAA02G06660D PROTEIN', NULL, NULL, NULL, 15),
(169665, NULL, 'PTHR32054:SF35', NULL, NULL, NULL, NULL, 'OS02G0554200 PROTEIN', NULL, NULL, NULL, 15),
(169666, NULL, 'PTHR33349:SF24', NULL, NULL, NULL, NULL, 'BNAC02G42140D PROTEIN', NULL, NULL, NULL, 15),
(169667, NULL, 'PTHR43702', NULL, NULL, NULL, NULL, 'L-FUCOSE-PROTON SYMPORTER', NULL, NULL, NULL, 15),
(169668, NULL, 'PTHR46057:SF4', NULL, NULL, NULL, NULL, 'OSJNBA0013K16.16 PROTEIN', NULL, NULL, NULL, 15),
(169669, NULL, 'PTHR31029:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169670, NULL, 'PTHR24096:SF357', NULL, NULL, NULL, NULL, '4-COUMARATE:COA LIGASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(169671, NULL, 'PTHR34115:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169672, NULL, 'PTHR24414:SF31', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN AFR', NULL, NULL, NULL, 15),
(169673, NULL, 'PTHR33883:SF9', NULL, NULL, NULL, NULL, 'WPP DOMAIN-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(169674, NULL, 'PTHR31845:SF19', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(169675, NULL, 'PTHR31459:SF16', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(169676, NULL, 'PTHR12400:SF4', NULL, NULL, NULL, NULL, 'INOSITOL-TRISPHOSPHATE 3-KINASE B', NULL, NULL, NULL, 15),
(169677, NULL, 'PTHR16047:SF10', NULL, NULL, NULL, NULL, 'OS03G0108200 PROTEIN', NULL, NULL, NULL, 15),
(169678, NULL, 'PTHR11639:SF63', NULL, NULL, NULL, NULL, 'PROTEIN S100', NULL, NULL, NULL, 15),
(169679, NULL, 'PTHR16209', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169680, NULL, 'PTHR24068:SF164', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 21-RELATED', NULL, NULL, NULL, 15),
(169681, NULL, 'PTHR31422:SF36', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(169682, NULL, 'PTHR10857:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169683, NULL, 'PTHR45166', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169684, NULL, 'PTHR46934:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169685, NULL, 'PTHR33170:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169686, NULL, 'PTHR34237:SF5', NULL, NULL, NULL, NULL, 'PAREP8', NULL, NULL, NULL, 15),
(169687, NULL, 'PTHR45973:SF13', NULL, NULL, NULL, NULL, 'CENTRIOLIN', NULL, NULL, NULL, 15),
(169688, NULL, 'PTHR30193:SF37', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YCJO', NULL, NULL, NULL, 15),
(169689, NULL, 'PTHR24281:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169690, NULL, 'PTHR47568:SF4', NULL, NULL, NULL, NULL, 'BNAA08G31460D PROTEIN', NULL, NULL, NULL, 15),
(169691, NULL, 'PTHR11958:SF22', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER 5', NULL, NULL, NULL, 15),
(169692, NULL, 'PTHR12506:SF64', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 32', NULL, NULL, NULL, 15),
(169693, NULL, 'PTHR33184:SF51', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(169694, NULL, 'PTHR48018:SF91', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8U9', NULL, NULL, NULL, 15),
(169695, NULL, 'PTHR47150', NULL, NULL, NULL, NULL, 'OS12G0169200 PROTEIN', NULL, NULL, NULL, 15),
(169696, NULL, 'PTHR48247:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169697, NULL, 'PTHR20855:SF15', NULL, NULL, NULL, NULL, 'PROGESTIN AND ADIPOQ RECEPTOR FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(169698, NULL, 'PTHR21258:SF40', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR SUBSTRATE 2', NULL, NULL, NULL, 15),
(169699, NULL, 'PTHR28630', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 22880, 15),
(169700, NULL, 'PTHR19969:SF5', NULL, NULL, NULL, NULL, 'ADAPTER MOLECULE CRK', NULL, NULL, NULL, 15),
(169701, NULL, 'PTHR11132:SF309', NULL, NULL, NULL, NULL, 'OS08G0135100 PROTEIN', NULL, NULL, NULL, 15),
(169702, NULL, 'PTHR15284:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR, INTERLEUKIN 3-REGULATED, MEMBER 5', NULL, NULL, NULL, 15),
(169703, NULL, 'PTHR35615:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169704, NULL, 'PTHR21229:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169705, NULL, 'PTHR34269', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR B3-DOMAIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(169706, NULL, 'PTHR43748:SF4', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE 1-RELATED', NULL, NULL, NULL, 15),
(169707, NULL, 'PTHR47533:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG21859', NULL, NULL, NULL, 15),
(169708, NULL, 'PTHR45134:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169709, NULL, 'PTHR32285:SF155', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 36', NULL, NULL, NULL, 15),
(169710, NULL, 'PTHR11620:SF60', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A', NULL, NULL, NULL, 15),
(169711, NULL, 'PTHR44019:SF17', NULL, NULL, NULL, NULL, 'SI:CH73-142C19.1', NULL, NULL, NULL, 15),
(169712, NULL, 'PTHR10369:SF32', NULL, NULL, NULL, NULL, 'MCG113838', NULL, NULL, NULL, 15),
(169713, NULL, 'PTHR10252:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT GAMMA', NULL, NULL, 26136, 15),
(169714, NULL, 'PTHR12047', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP A PROTEIN', NULL, NULL, 6174, 15),
(169715, NULL, 'PTHR43725', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE', NULL, NULL, NULL, 15),
(169716, NULL, 'PTHR10177:SF450', NULL, NULL, NULL, NULL, 'BNAA05G17760D PROTEIN', NULL, NULL, NULL, 15),
(169717, NULL, 'PTHR10587:SF125', NULL, NULL, NULL, NULL, 'POLYSACCHARIDE DEACETYLASE YHEN-RELATED', NULL, NULL, NULL, 15),
(169718, NULL, 'PTHR36386', NULL, NULL, NULL, NULL, 'OS06G0683900 PROTEIN', NULL, NULL, NULL, 15),
(169719, NULL, 'PTHR11866:SF4', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN F2-ALPHA RECEPTOR', NULL, NULL, 3610, 15),
(169720, NULL, 'PTHR22847', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169721, NULL, 'PTHR34011:SF2', NULL, NULL, NULL, NULL, 'ALLOPHYCOCYANIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(169722, NULL, 'PTHR10887:SF484', NULL, NULL, NULL, NULL, 'HELICASE DDB_G0274399-RELATED', NULL, NULL, NULL, 15),
(169723, NULL, 'PTHR48060:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(169724, NULL, 'PTHR14499:SF65', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD1', NULL, NULL, NULL, 15),
(169725, NULL, 'PTHR27007:SF305', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IV.1-LIKE', NULL, NULL, NULL, 15),
(169726, NULL, 'PTHR35094:SF5', NULL, NULL, NULL, NULL, 'BNAA09G51330D PROTEIN', NULL, NULL, NULL, 15),
(169727, NULL, 'PTHR35245', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169728, NULL, 'PTHR32054:SF26', NULL, NULL, NULL, NULL, 'BNAA01G17900D PROTEIN', NULL, NULL, NULL, 15),
(169729, NULL, 'PTHR33044:SF121', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(169730, NULL, 'PTHR47991:SF9', NULL, NULL, NULL, NULL, 'PROTEIN SRG1', NULL, NULL, NULL, 15),
(169731, NULL, 'PTHR31374:SF147', NULL, NULL, NULL, NULL, 'OS01G0924966 PROTEIN', NULL, NULL, NULL, 15),
(169732, NULL, 'PTHR31374:SF203', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71-LIKE', NULL, NULL, NULL, 15),
(169733, NULL, 'PTHR11596:SF5', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(169734, NULL, 'PTHR33124:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(169735, NULL, 'PTHR12081:SF87', NULL, NULL, NULL, NULL, 'E2F TRANSCRIPTION FACTOR 3-RELATED', NULL, NULL, NULL, 15),
(169736, NULL, 'PTHR14226:SF66', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PHOSPHOLIPASE DOMAIN-CONTAINING PROTEIN SPAC1786.01C', NULL, NULL, NULL, 15),
(169737, NULL, 'PTHR24254:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169738, NULL, 'PTHR46855:SF2', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 27', NULL, NULL, NULL, 15),
(169739, NULL, 'PTHR38627:SF1', NULL, NULL, NULL, NULL, 'GA BINDING AND ACTIVATING AND SPK (SPK) DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(169740, NULL, 'PTHR24241', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR-RELATED G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(169741, NULL, 'PTHR43295', NULL, NULL, NULL, NULL, 'ARGININE DECARBOXYLASE', NULL, NULL, 7263, 15),
(169742, NULL, 'PTHR39559', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 10425, 15),
(169743, NULL, 'PTHR46001', NULL, NULL, NULL, NULL, 'TIAM (MAMMALIAN TUMOR INVASION AND METASTASIS FACTOR) HOMOLOG', NULL, NULL, 37513, 15),
(169744, NULL, 'PTHR24377:SF407', NULL, NULL, NULL, NULL, 'REGULATOR OF SEX-LIMITATION CANDIDATE 15-RELATED', NULL, NULL, NULL, 15),
(169745, NULL, 'PTHR11360:SF264', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 22', NULL, NULL, NULL, 15),
(169746, NULL, 'PTHR24213:SF17', NULL, NULL, NULL, NULL, 'DEMATIN', NULL, NULL, NULL, 15),
(169747, NULL, 'PTHR47487:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169748, NULL, 'PTHR11132:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169749, NULL, 'PTHR23507', NULL, NULL, NULL, NULL, 'ZGC:174356', NULL, NULL, NULL, 15),
(169750, NULL, 'PTHR31535', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169751, NULL, 'PTHR25465:SF21', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM47', NULL, NULL, NULL, 15),
(169752, NULL, 'PTHR36565:SF1', NULL, NULL, NULL, NULL, 'UPF0332 PROTEIN TM_1000', NULL, NULL, NULL, 15),
(169753, NULL, 'PTHR46442:SF12', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(169754, NULL, 'PTHR14971:SF2', NULL, NULL, NULL, NULL, 'VESICULAR, OVEREXPRESSED IN CANCER, PROSURVIVAL PROTEIN 1', NULL, NULL, NULL, 15),
(169755, NULL, 'PTHR46261:SF20', NULL, NULL, NULL, NULL, 'BNAA03G53430D PROTEIN', NULL, NULL, NULL, 15),
(169756, NULL, 'PTHR33286:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169757, NULL, 'PTHR32258:SF15', NULL, NULL, NULL, NULL, 'KINASE INTERACTING (KIP1-LIKE) FAMILY PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169758, NULL, 'PTHR36434', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEASE YUGP-RELATED', NULL, NULL, 3786, 15),
(169759, NULL, 'PTHR21564:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 609', NULL, NULL, NULL, 15),
(169760, NULL, 'PTHR35481:SF2', NULL, NULL, NULL, NULL, 'BNAC03G21320D PROTEIN', NULL, NULL, NULL, 15),
(169761, NULL, 'PTHR24148:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169762, NULL, 'PTHR13952:SF19', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 4, MITOCHONDRIAL ISOFORM X1', NULL, NULL, NULL, 15),
(169763, NULL, 'PTHR46483:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1 PLIP1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(169764, NULL, 'PTHR43047:SF49', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE SYNTHESIS SENSOR PROTEIN PHOR', NULL, NULL, NULL, 15),
(169765, NULL, 'PTHR30349:SF73', NULL, NULL, NULL, NULL, 'TYROSINE RECOMBINASE XERD', NULL, NULL, NULL, 15),
(169766, NULL, 'PTHR11267:SF51', NULL, NULL, NULL, NULL, 'DORSOCROSS1, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(169767, NULL, 'PTHR45829', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN RIM2', NULL, NULL, NULL, 15),
(169768, NULL, 'PTHR12375:SF46', NULL, NULL, NULL, NULL, 'BNAC02G44170D PROTEIN', NULL, NULL, NULL, 15),
(169769, NULL, 'PTHR27002:SF787', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE CES101', NULL, NULL, NULL, 15),
(169770, NULL, 'PTHR24411:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR ERYTHROID 2-RELATED FACTOR 3', NULL, NULL, 28869, 15),
(169771, NULL, 'PTHR46855', NULL, NULL, NULL, NULL, 'OSJNBB0038F03.10 PROTEIN', NULL, NULL, 36755, 15),
(169772, NULL, 'PTHR31116:SF20', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(169773, NULL, 'PTHR33137:SF27', NULL, NULL, NULL, NULL, 'OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15A, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(169774, NULL, 'PTHR21663', NULL, NULL, NULL, NULL, 'HYPOTHETICAL HEAT DOMAIN-CONTAINING', NULL, NULL, 34176, 15),
(169775, NULL, 'PTHR30505:SF29', NULL, NULL, NULL, NULL, 'FRUCTOSE-LIKE PERMEASE IIC COMPONENT 2', NULL, NULL, NULL, 15),
(169776, NULL, 'PTHR31284:SF9', NULL, NULL, NULL, NULL, 'HAD SUPERFAMILY, SUBFAMILY IIIB ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(169777, NULL, 'PTHR47970:SF10', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(169778, NULL, 'PTHR24296:SF208', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94C1', NULL, NULL, NULL, 15),
(169779, NULL, 'PTHR13180:SF3', NULL, NULL, NULL, NULL, 'OS02G0566900 PROTEIN', NULL, NULL, NULL, 15),
(169780, NULL, 'PTHR43486:SF1', NULL, NULL, NULL, NULL, 'LIPID II FLIPPASE MURJ-RELATED', NULL, NULL, NULL, 15),
(169781, NULL, 'PTHR13301:SF196', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', NULL, NULL, NULL, 15),
(169782, NULL, 'PTHR11709:SF403', NULL, NULL, NULL, NULL, 'BNAC05G39970D PROTEIN', NULL, NULL, NULL, 15),
(169783, NULL, 'PTHR23500:SF563', NULL, NULL, NULL, NULL, 'BNAC03G41260D PROTEIN', NULL, NULL, NULL, 15),
(169784, NULL, 'PTHR34120:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169785, NULL, 'PTHR43112:SF34', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(169786, NULL, 'PTHR34458:SF15', NULL, NULL, NULL, NULL, 'BNAA02G13680D PROTEIN', NULL, NULL, NULL, 15),
(169787, NULL, 'PTHR17490:SF14', NULL, NULL, NULL, NULL, 'SI:CH211-153B23.3', NULL, NULL, NULL, 15),
(169788, NULL, 'PTHR10641:SF1028', NULL, NULL, NULL, NULL, 'MYB15', NULL, NULL, NULL, 15),
(169789, NULL, 'PTHR46684:SF12', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(169790, NULL, 'PTHR10641:SF1220', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(169791, NULL, 'PTHR31927:SF15', NULL, NULL, NULL, NULL, 'RE71854P', NULL, NULL, NULL, 15),
(169792, NULL, 'PTHR44420:SF1', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE DHAR3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(169793, NULL, 'PTHR31080:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169794, NULL, 'PTHR11851:SF49', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(169795, NULL, 'PTHR36000:SF2', NULL, NULL, NULL, NULL, 'DEFECTIVE 1273 PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(169796, NULL, 'PTHR31867:SF192', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(169797, NULL, 'PTHR24118:SF82', NULL, NULL, NULL, NULL, 'RABANKYRIN-5', NULL, NULL, NULL, 15),
(169798, NULL, 'PTHR11352:SF6', NULL, NULL, NULL, NULL, 'PROLIFERATING CELL NUCLEAR ANTIGEN', NULL, NULL, NULL, 15),
(169799, NULL, 'PTHR34142', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,4-GLUCANASE A', NULL, NULL, NULL, 15),
(169800, NULL, 'PTHR46824:SF8', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML49-RELATED', NULL, NULL, NULL, 15),
(169801, NULL, 'PTHR31140:SF91', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS03G0120900', NULL, NULL, NULL, 15),
(169802, NULL, 'PTHR43795:SF90', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(169803, NULL, 'PTHR10252:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169804, NULL, 'PTHR11055:SF39', NULL, NULL, NULL, NULL, 'ATP SULFURYLASE 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(169805, NULL, 'PTHR31375:SF18', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(169806, NULL, 'PTHR31194:SF63', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-11', NULL, NULL, NULL, 15),
(169807, NULL, 'PTHR11863:SF181', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: SPHINGANINE C4-MONOOXYGENASE 2', NULL, NULL, NULL, 15),
(169808, NULL, 'PTHR45615:SF17', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN STRUCTURAL GENES', NULL, NULL, NULL, 15),
(169809, NULL, 'PTHR31323:SF11', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(169810, NULL, 'PTHR33463:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169811, NULL, 'PTHR12197:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169812, NULL, 'PTHR23107:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SSXT', NULL, NULL, NULL, 15),
(169813, NULL, 'PTHR31644:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(169814, NULL, 'PTHR35095', NULL, NULL, NULL, NULL, 'OS05G0143300 PROTEIN', NULL, NULL, NULL, 15),
(169815, NULL, 'PTHR12321:SF146', NULL, NULL, NULL, NULL, 'ZINC FINGER, FYVE/PHD-TYPE, ZINC FINGER, RING/FYVE/PHD-TYPE, ALFIN-RELATED', NULL, NULL, NULL, 15),
(169816, NULL, 'PTHR32251:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169817, NULL, 'PTHR12644:SF1', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(169818, NULL, 'PTHR31221:SF245', NULL, NULL, NULL, NULL, 'BNAA06G16820D PROTEIN', NULL, NULL, NULL, 15),
(169819, NULL, 'PTHR31589:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169820, NULL, 'PTHR11570:SF25', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', NULL, NULL, NULL, 15),
(169821, NULL, 'PTHR15288:SF4', NULL, NULL, NULL, NULL, 'DENN (AEX-3) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(169822, NULL, 'PTHR42721:SF27', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 3 PROTEIN', NULL, NULL, NULL, 15),
(169823, NULL, 'PTHR47981:SF9', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-9A', NULL, NULL, NULL, 15),
(169824, NULL, 'PTHR20937:SF6', NULL, NULL, NULL, NULL, 'MESODERM POSTERIOR PROTEIN 1', NULL, NULL, NULL, 15),
(169825, NULL, 'PTHR30191', NULL, NULL, NULL, NULL, 'FORMATE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(169826, NULL, 'PTHR10502', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(169827, NULL, 'PTHR40143', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 24667, 15),
(169828, NULL, 'PTHR33877:SF1', NULL, NULL, NULL, NULL, '5-METHYLCYTOSINE-SPECIFIC RESTRICTION ENZYME A', NULL, NULL, NULL, 15),
(169829, NULL, 'PTHR11205:SF19', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S7, MITOCHONDRIAL', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169830, NULL, 'PTHR11431:SF104', NULL, NULL, NULL, NULL, 'BNAC02G40270D PROTEIN', NULL, NULL, NULL, 15),
(169831, NULL, 'PTHR24250:SF45', NULL, NULL, NULL, NULL, 'INACTIVE SERINE PROTEASE 54', NULL, NULL, NULL, 15),
(169832, NULL, 'PTHR48065:SF16', NULL, NULL, NULL, NULL, 'OS10G0469600 PROTEIN', NULL, NULL, NULL, 15),
(169833, NULL, 'PTHR23350:SF0', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS FACTOR 10', NULL, NULL, NULL, 15),
(169834, NULL, 'PTHR12231:SF246', NULL, NULL, NULL, NULL, 'ROUNDABOUT 2, ISOFORM B', NULL, NULL, NULL, 15),
(169835, NULL, 'PTHR43621', NULL, NULL, NULL, NULL, 'ALKYLDIHYDROXYACETONEPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(169836, NULL, 'PTHR16200:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169837, NULL, 'PTHR47926:SF63', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(169838, NULL, 'PTHR11439:SF337', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169839, NULL, 'PTHR42840', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(169840, NULL, 'PTHR21420:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169841, NULL, 'PTHR11571:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169842, NULL, 'PTHR31843:SF15', NULL, NULL, NULL, NULL, 'BNAA06G33400D PROTEIN', NULL, NULL, NULL, 15),
(169843, NULL, 'PTHR22930:SF136', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(169844, NULL, 'PTHR24281:SF41', NULL, NULL, NULL, NULL, 'ISOFLAVONE 2''-HYDROXYLASE-LIKE', NULL, NULL, NULL, 15),
(169845, NULL, 'PTHR32285:SF224', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 26', NULL, NULL, NULL, 15),
(169846, NULL, 'PTHR24006:SF655', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 5', NULL, NULL, NULL, 15),
(169847, NULL, 'PTHR33076:SF140', NULL, NULL, NULL, NULL, 'PROTEIN ARABIDOPSIS THALIANA ANTHER 7', NULL, NULL, NULL, 15),
(169848, NULL, 'PTHR22953:SF108', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(169849, NULL, 'PTHR31865:SF45', NULL, NULL, NULL, NULL, 'BNAA09G52150D PROTEIN', NULL, NULL, NULL, 15),
(169850, NULL, 'PTHR33994', NULL, NULL, NULL, NULL, 'OS04G0515000 PROTEIN', NULL, NULL, NULL, 15),
(169851, NULL, 'PTHR23032:SF2', NULL, NULL, NULL, NULL, 'ENDOSOMAL TARGETING BRO1-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(169852, NULL, 'PTHR31959', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169853, NULL, 'PTHR47928:SF138', NULL, NULL, NULL, NULL, 'OS03G0216400 PROTEIN', NULL, NULL, NULL, 15),
(169854, NULL, 'PTHR33127:SF69', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN KIB4-RELATED', NULL, NULL, NULL, 15),
(169855, NULL, 'PTHR23339:SF108', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE CDC14B', NULL, NULL, NULL, 15),
(169856, NULL, 'PTHR22835:SF551', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(169857, NULL, 'PTHR24168:SF19', NULL, NULL, NULL, NULL, 'KN MOTIF AND ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(169858, NULL, 'PTHR48023:SF6', NULL, NULL, NULL, NULL, 'D-XYLOSE-PROTON SYMPORTER-LIKE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(169859, NULL, 'PTHR43523:SF14', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE LARGE SUBUNIT, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(169860, NULL, 'PTHR46226:SF6', NULL, NULL, NULL, NULL, 'OS06G0607200 PROTEIN', NULL, NULL, NULL, 15),
(169861, NULL, 'PTHR23056:SF109', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(169862, NULL, 'PTHR23427:SF1', NULL, NULL, NULL, NULL, 'SURFEIT LOCUS PROTEIN 4', NULL, NULL, NULL, 15),
(169863, NULL, 'PTHR11208:SF106', NULL, NULL, NULL, NULL, 'SPLICING FACTOR-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(169864, NULL, 'PTHR31769:SF81', NULL, NULL, NULL, NULL, 'BNAA01G36070D PROTEIN', NULL, NULL, NULL, 15),
(169865, NULL, 'PTHR11945:SF651', NULL, NULL, NULL, NULL, 'BNAC01G28010D PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169866, NULL, 'PTHR43238:SF1', NULL, NULL, NULL, NULL, 'GDP-L-FUCOSE SYNTHASE', NULL, NULL, NULL, 15),
(169867, NULL, 'PTHR21411:SF0', NULL, NULL, NULL, NULL, 'APONTIC, ISOFORM F-RELATED', NULL, NULL, NULL, 15),
(169868, NULL, 'PTHR31992:SF220', NULL, NULL, NULL, NULL, 'BNAA09G05460D PROTEIN', NULL, NULL, NULL, 15),
(169869, NULL, 'PTHR24104:SF31', NULL, NULL, NULL, NULL, 'NHL REPEAT-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(169870, NULL, 'PTHR11937:SF440', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169871, NULL, 'PTHR10352:SF47', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-BINDING ALPHA-BETA PLAIT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(169872, NULL, 'PTHR42837:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE METALLOPROTEASE ARASP2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(169873, NULL, 'PTHR24281:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169874, NULL, 'PTHR11986', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE CLASS III', NULL, NULL, NULL, 15),
(169875, NULL, 'PTHR16435:SF7', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED 6', NULL, NULL, NULL, 15),
(169876, NULL, 'PTHR11527:SF320', NULL, NULL, NULL, NULL, '17.5 KDA CLASS I HEAT SHOCK PROTEIN', NULL, NULL, NULL, 15),
(169877, NULL, 'PTHR31234:SF44', NULL, NULL, NULL, NULL, 'BNAA04G17590D PROTEIN', NULL, NULL, NULL, 15),
(169878, NULL, 'PTHR33167:SF49', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(169879, NULL, 'PTHR33052:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169880, NULL, 'PTHR26452:SF239', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(169881, NULL, 'PTHR43795:SF15', NULL, NULL, NULL, NULL, 'L-TRYPTOPHAN--PYRUVATE AMINOTRANSFERASE 1', NULL, NULL, NULL, 15),
(169882, NULL, 'PTHR47925:SF58', NULL, NULL, NULL, NULL, 'BNAA01G29800D PROTEIN', NULL, NULL, NULL, 15),
(169883, NULL, 'PTHR48021:SF23', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 6', NULL, NULL, NULL, 15),
(169884, NULL, 'PTHR22911:SF121', NULL, NULL, NULL, NULL, 'BLL0423 PROTEIN', NULL, NULL, NULL, 15),
(169885, NULL, 'PTHR33180:SF17', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP47 REACTION CENTER PROTEIN', NULL, NULL, NULL, 15),
(169886, NULL, 'PTHR42647:SF5', NULL, NULL, NULL, NULL, 'SBP (S-RIBONUCLEASE BINDING PROTEIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(169887, NULL, 'PTHR47042:SF5', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(169888, NULL, 'PTHR43096:SF26', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(169889, NULL, 'PTHR21646:SF39', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL HYDROLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(169890, NULL, 'PTHR28492:SF3', NULL, NULL, NULL, NULL, 'BNAA03G47800D PROTEIN', NULL, NULL, NULL, 15),
(169891, NULL, 'PTHR46128:SF188', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(169892, NULL, 'PTHR27009:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169893, NULL, 'PTHR23024:SF115', NULL, NULL, NULL, NULL, 'ARYLACETAMIDE DEACETYLASE-LIKE 3', NULL, NULL, NULL, 15),
(169894, NULL, 'PTHR33021:SF318', NULL, NULL, NULL, NULL, 'BASIC BLUE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(169895, NULL, 'PTHR24366:SF110', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 3B', NULL, NULL, NULL, 15),
(169896, NULL, 'PTHR12409:SF0', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 3', NULL, NULL, NULL, 15),
(169897, NULL, 'PTHR24107:SF8', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(169898, NULL, 'PTHR13976:SF60', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN H', NULL, NULL, NULL, 15),
(169899, NULL, 'PTHR22798:SF9', NULL, NULL, NULL, NULL, 'BNACNNG06600D PROTEIN', NULL, NULL, NULL, 15),
(169900, NULL, 'PTHR21659:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169901, NULL, 'PTHR33789:SF1', NULL, NULL, NULL, NULL, 'OS05G0201700 PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169902, NULL, 'PTHR10209:SF429', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(169903, NULL, 'PTHR22911:SF122', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(169904, NULL, 'PTHR11945:SF647', NULL, NULL, NULL, NULL, 'MADS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(169905, NULL, 'PTHR45090:SF12', NULL, NULL, NULL, NULL, 'BNACNNG44960D PROTEIN', NULL, NULL, NULL, 15),
(169906, NULL, 'PTHR32285:SF305', NULL, NULL, NULL, NULL, 'TRICHOME BIREFRINGENCE-LIKE 42-RELATED', NULL, NULL, NULL, 15),
(169907, NULL, 'PTHR45665:SF21', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP1-3', NULL, NULL, NULL, 15),
(169908, NULL, 'PTHR22589', NULL, NULL, NULL, NULL, 'CARNITINE O-ACYLTRANSFERASE', NULL, NULL, 4128, 15),
(169909, NULL, 'PTHR21567:SF76', NULL, NULL, NULL, NULL, 'CRESCERIN-LIKE PROTEIN CHE-12', NULL, NULL, NULL, 15),
(169910, NULL, 'PTHR45717:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169911, NULL, 'PTHR23401:SF2', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 5 ACTIVATOR 1', NULL, NULL, NULL, 15),
(169912, NULL, 'PTHR45811:SF43', NULL, NULL, NULL, NULL, 'PROTEIN PXR1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(169913, NULL, 'PTHR36505', NULL, NULL, NULL, NULL, 'BLR1072 PROTEIN', NULL, NULL, NULL, 15),
(169914, NULL, 'PTHR16059', NULL, NULL, NULL, NULL, 'ANTHRAX TOXIN RECEPTOR', NULL, NULL, NULL, 15),
(169915, NULL, 'PTHR33985', NULL, NULL, NULL, NULL, 'OS02G0491300 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(169916, NULL, 'PTHR33070:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169917, NULL, 'PTHR31168:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169918, NULL, 'PTHR19288:SF25', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROPHOSPHATASE GEP4, MITOCHONDRIAL', NULL, NULL, 5268, 15),
(169919, NULL, 'PTHR37205', NULL, NULL, NULL, NULL, 'F23A5.30 PROTEIN', NULL, NULL, 35248, 15),
(169920, NULL, 'PTHR11590:SF49', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE K', NULL, NULL, NULL, 15),
(169921, NULL, 'PTHR23546:SF1', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(169922, NULL, 'PTHR33177:SF8', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(169923, NULL, 'PTHR10937:SF17', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-FRUCTOSE-6-PHOSPHATE AMINOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(169924, NULL, 'PTHR10593:SF155', NULL, NULL, NULL, NULL, 'BNAA03G00770D PROTEIN', NULL, NULL, NULL, 15),
(169925, NULL, 'PTHR11161:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN NDG-4', NULL, NULL, NULL, 15),
(169926, NULL, 'PTHR11909:SF85', NULL, NULL, NULL, NULL, 'PROTEIN CBG12789', NULL, NULL, NULL, 15),
(169927, NULL, 'PTHR45928:SF3', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 34', NULL, NULL, NULL, 15),
(169928, NULL, 'PTHR10697:SF1', NULL, NULL, NULL, NULL, 'MAMMALIAN EPENDYMIN-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(169929, NULL, 'PTHR47801', NULL, NULL, NULL, NULL, 'OS05G0145600 PROTEIN', NULL, NULL, NULL, 15),
(169930, NULL, 'PTHR21495:SF150', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(169931, NULL, 'PTHR33921:SF21', NULL, NULL, NULL, NULL, 'CALVIN CYCLE PROTEIN CP12-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(169932, NULL, 'PTHR31499:SF62', NULL, NULL, NULL, NULL, 'BNACNNG12310D PROTEIN', NULL, NULL, NULL, 15),
(169933, NULL, 'PTHR12349:SF1', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC8-RELATED', NULL, NULL, 26481, 15),
(169934, NULL, 'PTHR45801:SF5', NULL, NULL, NULL, NULL, 'OS07G0101800 PROTEIN', NULL, NULL, NULL, 15),
(169935, NULL, 'PTHR12221', NULL, NULL, NULL, NULL, 'PESCADILLO - RELATED', NULL, NULL, 8076, 15),
(169936, NULL, 'PTHR18853:SF9', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 27', NULL, NULL, NULL, 15),
(169937, NULL, 'PTHR13466:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169938, NULL, 'PTHR26453:SF618', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1D2', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169939, NULL, 'PTHR31530', NULL, NULL, NULL, NULL, 'MAJOR INTRINSICALLY DISORDERED NOTCH2-BINDING RECEPTOR 1 MINAR1 FAMILY MEMBER', NULL, NULL, 30559, 15),
(169940, NULL, 'PTHR24057:SF65', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE ALPHA', NULL, NULL, NULL, 15),
(169941, NULL, 'PTHR47738:SF4', NULL, NULL, NULL, NULL, 'PTS SYSTEM GALACTITOL-SPECIFIC EIIA COMPONENT', NULL, NULL, NULL, 15),
(169942, NULL, 'PTHR34567:SF3', NULL, NULL, NULL, NULL, 'FK506-BINDING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(169943, NULL, 'PTHR46473:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 55', NULL, NULL, NULL, 15),
(169944, NULL, 'PTHR19375:SF420', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(169945, NULL, 'PTHR24361:SF661', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 20', NULL, NULL, NULL, 15),
(169946, NULL, 'PTHR36911:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169947, NULL, 'PTHR31080:SF233', NULL, NULL, NULL, NULL, '21 KDA PROTEIN', NULL, NULL, NULL, 15),
(169948, NULL, 'PTHR10161:SF47', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(169949, NULL, 'PTHR11453:SF103', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 3-RELATED', NULL, NULL, NULL, 15),
(169950, NULL, 'PTHR47933:SF24', NULL, NULL, NULL, NULL, 'OS05G0207200 PROTEIN', NULL, NULL, NULL, 15),
(169951, NULL, 'PTHR31992:SF101', NULL, NULL, NULL, NULL, 'OS05G0112200 PROTEIN', NULL, NULL, NULL, 15),
(169952, NULL, 'PTHR45648', NULL, NULL, NULL, NULL, 'GDSL LIPASE/ACYLHYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_4G14700)', NULL, NULL, NULL, 15),
(169953, NULL, 'PTHR11467:SF119', NULL, NULL, NULL, NULL, 'HISTONE H5-RELATED', NULL, NULL, NULL, 15),
(169954, NULL, 'PTHR11453:SF15', NULL, NULL, NULL, NULL, 'ANION EXCHANGE PROTEIN 3', NULL, NULL, 7091, 15),
(169955, NULL, 'PTHR11533:SF170', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(169956, NULL, 'PTHR47991:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169957, NULL, 'PTHR31197:SF34', NULL, NULL, NULL, NULL, 'BNAC02G36580D PROTEIN', NULL, NULL, NULL, 15),
(169958, NULL, 'PTHR46000:SF7', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(169959, NULL, 'PTHR12207:SF27', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2B', NULL, NULL, NULL, 15),
(169960, NULL, 'PTHR11654:SF386', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER', NULL, NULL, NULL, 15),
(169961, NULL, 'PTHR21623:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 33', NULL, NULL, NULL, 15),
(169962, NULL, 'PTHR36465:SF1', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME-C REDUCTASE COMPLEX ASSEMBLY FACTOR 3', NULL, NULL, NULL, 15),
(169963, NULL, 'PTHR31403:SF51', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IGAMMA2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(169964, NULL, 'PTHR10812:SF15', NULL, NULL, NULL, NULL, 'AP-2 TRANSCRIPTION FACTOR FAMILY', NULL, NULL, NULL, 15),
(169965, NULL, 'PTHR32370:SF134', NULL, NULL, NULL, NULL, 'OS09G0420900 PROTEIN', NULL, NULL, NULL, 15),
(169966, NULL, 'PTHR23202:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169967, NULL, 'PTHR11570:SF20', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', NULL, NULL, NULL, 15),
(169968, NULL, 'PTHR43063:SF1', NULL, NULL, NULL, NULL, '4FE-4S CLUSTER CONTAINING PARA FAMILY ATPASE PROTEIN', NULL, NULL, NULL, 15),
(169969, NULL, 'PTHR18966:SF488', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, AMPA 4A', NULL, NULL, NULL, 15),
(169970, NULL, 'PTHR11753:SF42', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', NULL, NULL, NULL, 15),
(169971, NULL, 'PTHR21593:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG05802', NULL, NULL, NULL, 15),
(169972, NULL, 'PTHR13976:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169973, NULL, 'PTHR24092:SF65', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(169974, NULL, 'PTHR12428:SF46', NULL, NULL, NULL, NULL, 'ALBINO3-LIKE PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(169975, NULL, 'PTHR32409:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM20-1-RELATED', NULL, NULL, NULL, 15),
(169976, NULL, 'PTHR10562:SF93', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', NULL, NULL, NULL, 15),
(169977, NULL, 'PTHR32285:SF290', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(169978, NULL, 'PTHR46370:SF1', NULL, NULL, NULL, NULL, 'GPALPP MOTIFS-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(169979, NULL, 'PTHR47930', NULL, NULL, NULL, NULL, 'YALI0C12947P', NULL, NULL, NULL, 15),
(169980, NULL, 'PTHR46512:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(169981, NULL, 'PTHR19375:SF421', NULL, NULL, NULL, NULL, 'LUMINAL-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(169982, NULL, 'PTHR21581:SF5', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE DACD', NULL, NULL, NULL, 15),
(169983, NULL, 'PTHR44329:SF172', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY46-LIKE', NULL, NULL, NULL, 15),
(169984, NULL, 'PTHR24186:SF30', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', NULL, NULL, NULL, 15),
(169985, NULL, 'PTHR35811:SF1', NULL, NULL, NULL, NULL, 'SLR1870 PROTEIN', NULL, NULL, NULL, 15),
(169986, NULL, 'PTHR46238:SF6', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN LINE-1', NULL, NULL, NULL, 15),
(169987, NULL, 'PTHR21075:SF0', NULL, NULL, NULL, NULL, 'ANAEROBIC RIBONUCLEOSIDE-TRIPHOSPHATE REDUCTASE', NULL, NULL, NULL, 15),
(169988, NULL, 'PTHR31145', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_7G01610)', NULL, NULL, 34329, 15),
(169989, NULL, 'PTHR30605:SF0', NULL, NULL, NULL, NULL, 'ANHYDRO-N-ACETYLMURAMIC ACID KINASE', NULL, NULL, NULL, 15),
(169990, NULL, 'PTHR14742:SF2', NULL, NULL, NULL, NULL, 'RIBONUCLEASE MRP PROTEIN SUBUNIT SNM1', NULL, NULL, NULL, 15),
(169991, NULL, 'PTHR43537:SF27', NULL, NULL, NULL, NULL, 'GNTR FAMILY REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(169992, NULL, 'PTHR20275:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169993, NULL, 'PTHR20648:SF11', NULL, NULL, NULL, NULL, 'ELONGIN-C', NULL, NULL, NULL, 15),
(169994, NULL, 'PTHR22601:SF25', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER', NULL, NULL, NULL, 15),
(169995, NULL, 'PTHR33091:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169996, NULL, 'PTHR32099:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(169997, NULL, 'PTHR34787:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT VI-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(169998, NULL, 'PTHR48001:SF133', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(169999, NULL, 'PTHR43161:SF18', NULL, NULL, NULL, NULL, 'ZINC-BINDING DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(170000, NULL, 'PTHR14224:SF12', NULL, NULL, NULL, NULL, 'LYSOSOMAL THIOESTERASE PPT2', NULL, NULL, NULL, 15),
(170001, NULL, 'PTHR10338:SF62', NULL, NULL, NULL, NULL, 'INTER-ALPHA-TRYPSIN INHIBITOR HEAVY CHAIN H5', NULL, NULL, NULL, 15),
(170002, NULL, 'PTHR22727:SF13', NULL, NULL, NULL, NULL, 'UPF0577 PROTEIN KIAA1324', NULL, NULL, NULL, 15),
(170003, NULL, 'PTHR38899', NULL, NULL, NULL, NULL, 'DOMAIN OOKINETE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170004, NULL, 'PTHR33115:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170005, NULL, 'PTHR23155:SF1126', NULL, NULL, NULL, NULL, 'OS10G0394400 PROTEIN', NULL, NULL, NULL, 15),
(170006, NULL, 'PTHR38760', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', NULL, NULL, 4808, 15),
(170007, NULL, 'PTHR12713:SF13', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G 2', NULL, NULL, NULL, 15),
(170008, NULL, 'PTHR31325:SF129', NULL, NULL, NULL, NULL, 'OS10G0144300 PROTEIN', NULL, NULL, NULL, 15),
(170009, NULL, 'PTHR31448:SF3', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(170010, NULL, 'PTHR24356:SF376', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170011, NULL, 'PTHR33347:SF43', NULL, NULL, NULL, NULL, 'OS03G0199500 PROTEIN', NULL, NULL, NULL, 15),
(170012, NULL, 'PTHR24543:SF314', NULL, NULL, NULL, NULL, 'LACTADHERIN', NULL, NULL, NULL, 15),
(170013, NULL, 'PTHR23055:SF165', NULL, NULL, NULL, NULL, 'CALSENILIN', NULL, NULL, NULL, 15),
(170014, NULL, 'PTHR46101:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170015, NULL, 'PTHR31374:SF29', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(170016, NULL, 'PTHR19443:SF30', NULL, NULL, NULL, NULL, 'GLUCOKINASE-1-RELATED', NULL, NULL, NULL, 15),
(170017, NULL, 'PTHR33836:SF5', NULL, NULL, NULL, NULL, 'EUKARYOTIC RNA POLYMERASE II HEPTAPEPTIDE REPEAT', NULL, NULL, NULL, 15),
(170018, NULL, 'PTHR35218:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170019, NULL, 'PTHR33591', NULL, NULL, NULL, NULL, 'BETA-CAROTENE ISOMERASE D27', NULL, NULL, 34330, 15),
(170020, NULL, 'PTHR11474:SF4', NULL, NULL, NULL, NULL, 'L-DOPACHROME TAUTOMERASE', NULL, NULL, NULL, 15),
(170021, NULL, 'PTHR43991:SF27', NULL, NULL, NULL, NULL, 'OS02G0721600 PROTEIN', NULL, NULL, NULL, 15),
(170022, NULL, 'PTHR13531:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 17A', NULL, NULL, NULL, 15),
(170023, NULL, 'PTHR33101:SF67', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 9', NULL, NULL, NULL, 15),
(170024, NULL, 'PTHR32133:SF271', NULL, NULL, NULL, NULL, 'OS10G0144800 PROTEIN', NULL, NULL, NULL, 15),
(170025, NULL, 'PTHR44259:SF55', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', NULL, NULL, NULL, 15),
(170026, NULL, 'PTHR27007:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170027, NULL, 'PTHR18952:SF25', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 5B, MITOCHONDRIAL', NULL, NULL, 18622, 15),
(170028, NULL, 'PTHR31263:SF56', NULL, NULL, NULL, NULL, 'HYDROLYZING O-GLYCOSYL COMPOUNDS, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170029, NULL, 'PTHR43948:SF10', NULL, NULL, NULL, NULL, 'MRJ, ISOFORM E', NULL, NULL, NULL, 15),
(170030, NULL, 'PTHR23299:SF43', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN', NULL, NULL, NULL, 15),
(170031, NULL, 'PTHR36586:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170032, NULL, 'PTHR15245', NULL, NULL, NULL, NULL, 'SYMPLEKIN-RELATED', NULL, NULL, NULL, 15),
(170033, NULL, 'PTHR46395:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, NULL, 15),
(170034, NULL, 'PTHR31985:SF95', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(170035, NULL, 'PTHR45958:SF13', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 44', NULL, NULL, NULL, 15),
(170036, NULL, 'PTHR13903:SF22', NULL, NULL, NULL, NULL, 'PIRIN-1', NULL, NULL, NULL, 15),
(170037, NULL, 'PTHR47322:SF6', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15),
(170038, NULL, 'PTHR32011:SF6', NULL, NULL, NULL, NULL, 'BNAA04G13250D PROTEIN', NULL, NULL, NULL, 15),
(170039, NULL, 'PTHR31189:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170040, NULL, 'PTHR11040:SF145', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORT PROTEIN 2', NULL, NULL, NULL, 15),
(170041, NULL, 'PTHR43132:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR SMTB HOMOLOG', NULL, NULL, NULL, 15),
(170042, NULL, 'PTHR33103:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170043, NULL, 'PTHR48020:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG12142', NULL, NULL, NULL, 15),
(170044, NULL, 'PTHR30314:SF16', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSZ HOMOLOG 2-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(170045, NULL, 'PTHR10791:SF120', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET17', NULL, NULL, NULL, 15),
(170046, NULL, 'PTHR36483', NULL, NULL, NULL, NULL, 'OS02G0130700 PROTEIN', NULL, NULL, NULL, 15),
(170047, NULL, 'PTHR11339:SF269', NULL, NULL, NULL, NULL, 'MUCIN-5B', NULL, NULL, NULL, 15),
(170048, NULL, 'PTHR11685:SF356', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170049, NULL, 'PTHR10276', NULL, NULL, NULL, NULL, 'CORE-BINDING FACTOR, BETA SUBUNIT', NULL, NULL, 5059, 15),
(170050, NULL, 'PTHR47988:SF24', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 2-LIKE', NULL, NULL, NULL, 15),
(170051, NULL, 'PTHR37233:SF3', NULL, NULL, NULL, NULL, 'BNAA05G28610D PROTEIN', NULL, NULL, NULL, 15),
(170052, NULL, 'PTHR47991:SF29', NULL, NULL, NULL, NULL, 'PROTEIN SRG1', NULL, NULL, NULL, 15),
(170053, NULL, 'PTHR31325:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170054, NULL, 'PTHR22870:SF405', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170055, NULL, 'PTHR24006:SF777', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAF-X-RELATED', NULL, NULL, 26856, 15),
(170056, NULL, 'PTHR33593:SF19', NULL, NULL, NULL, NULL, 'BNAANNG32220D PROTEIN', NULL, NULL, NULL, 15),
(170057, NULL, 'PTHR23033:SF13', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1', NULL, NULL, 22717, 15),
(170058, NULL, 'PTHR21527:SF11', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP35', NULL, NULL, NULL, 15),
(170059, NULL, 'PTHR43725:SF6', NULL, NULL, NULL, NULL, 'CHLOROPLAST STEM-LOOP BINDING PROTEIN OF 41 KDA A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(170060, NULL, 'PTHR43433:SF7', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD FAMILY, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170061, NULL, 'PTHR31218:SF190', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(170062, NULL, 'PTHR48077:SF3', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE', NULL, NULL, NULL, 15),
(170063, NULL, 'PTHR26452:SF822', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1086', NULL, NULL, NULL, 15),
(170064, NULL, 'PTHR10177:SF481', NULL, NULL, NULL, NULL, 'PROTEIN CBG20098', NULL, NULL, NULL, 15),
(170065, NULL, 'PTHR45753:SF1', NULL, NULL, NULL, NULL, 'ORNITHINE CARBAMOYLTRANSFERASE, CATABOLIC', NULL, NULL, NULL, 15),
(170066, NULL, 'PTHR11306:SF40', NULL, NULL, NULL, NULL, 'BNAC02G01990D PROTEIN', NULL, NULL, NULL, 15),
(170067, NULL, 'PTHR33645:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170068, NULL, 'PTHR11465:SF56', NULL, NULL, NULL, NULL, 'CATALASE-2', NULL, NULL, NULL, 15),
(170069, NULL, 'PTHR12815:SF41', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE OMP85 FAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(170070, NULL, 'PTHR45675:SF56', NULL, NULL, NULL, NULL, 'BNAC02G46060D PROTEIN', NULL, NULL, NULL, 15),
(170071, NULL, 'PTHR10252:SF108', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-10', NULL, NULL, NULL, 15),
(170072, NULL, 'PTHR23360:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(170073, NULL, 'PTHR47517:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(170074, NULL, 'PTHR48017:SF20', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 3-LIKE', NULL, NULL, NULL, 15),
(170075, NULL, 'PTHR23430:SF237', NULL, NULL, NULL, NULL, 'HISTONE H2A VARIANT 1', NULL, NULL, NULL, 15),
(170076, NULL, 'PTHR33662', NULL, NULL, NULL, NULL, 'OTU DEUBIQUITINASE WITH LINEAR LINKAGE-SPECIFICITY A-RELATED', NULL, NULL, 15686, 15),
(170077, NULL, 'PTHR24220:SF600', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(170078, NULL, 'PTHR13338:SF4', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX ASSEMBLY FACTOR 4', NULL, NULL, NULL, 15),
(170079, NULL, 'PTHR12884:SF24', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', NULL, NULL, NULL, 15),
(170080, NULL, 'PTHR12968:SF4', NULL, NULL, NULL, NULL, 'MECKEL SYNDROME TYPE 1 PROTEIN', NULL, NULL, NULL, 15),
(170081, NULL, 'PTHR45751:SF12', NULL, NULL, NULL, NULL, 'OS06G0608800 PROTEIN', NULL, NULL, NULL, 15),
(170082, NULL, 'PTHR16100:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 100', NULL, NULL, 27695, 15),
(170083, NULL, 'PTHR40698', NULL, NULL, NULL, NULL, 'FLAGELLA-RELATED PROTEIN E-RELATED-RELATED', NULL, NULL, NULL, 15),
(170084, NULL, 'PTHR22792:SF112', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 6B-LIKE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170085, NULL, 'PTHR23501:SF155', NULL, NULL, NULL, NULL, 'EFFLUX PUMP AFOB', NULL, NULL, NULL, 15),
(170086, NULL, 'PTHR10048:SF7', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3-KINASE CATALYTIC SUBUNIT TYPE 3', NULL, NULL, NULL, 15),
(170087, NULL, 'PTHR42648:SF12', NULL, NULL, NULL, NULL, 'BLL1855 PROTEIN', NULL, NULL, NULL, 15),
(170088, NULL, 'PTHR11106:SF104', NULL, NULL, NULL, NULL, 'ADP-RIBOSE GLYCOHYDROLASE MACROD2', NULL, NULL, NULL, 15),
(170089, NULL, 'PTHR13318:SF131', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170090, NULL, 'PTHR44523:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 13', NULL, NULL, NULL, 15),
(170091, NULL, 'PTHR46736:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170092, NULL, 'PTHR33671:SF1', NULL, NULL, NULL, NULL, 'BNAC07G32500D PROTEIN', NULL, NULL, NULL, 15),
(170093, NULL, 'PTHR45098:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170094, NULL, 'PTHR21450:SF46', NULL, NULL, NULL, NULL, 'BNAA09G38370D PROTEIN', NULL, NULL, NULL, 15),
(170095, NULL, 'PTHR47993:SF110', NULL, NULL, NULL, NULL, 'OS02G0630200 PROTEIN', NULL, NULL, NULL, 15),
(170096, NULL, 'PTHR31428:SF7', NULL, NULL, NULL, NULL, 'RGM DOMAIN FAMILY, MEMBER D', NULL, NULL, NULL, 15),
(170097, NULL, 'PTHR46128:SF124', NULL, NULL, NULL, NULL, 'BNAA06G01860D PROTEIN', NULL, NULL, NULL, 15),
(170098, NULL, 'PTHR24305:SF85', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(170099, NULL, 'PTHR11685:SF294', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(170100, NULL, 'PTHR30363:SF19', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR CSQR', NULL, NULL, NULL, 15),
(170101, NULL, 'PTHR15545:SF4', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(170102, NULL, 'PTHR44793:SF1', NULL, NULL, NULL, NULL, 'MATRIX REMODELING-ASSOCIATED PROTEIN 8', NULL, NULL, NULL, 15),
(170103, NULL, 'PTHR36950:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG24898', NULL, NULL, NULL, 15),
(170104, NULL, 'PTHR32295:SF163', NULL, NULL, NULL, NULL, 'BNAC03G65130D PROTEIN', NULL, NULL, NULL, 15),
(170105, NULL, 'PTHR22870:SF377', NULL, NULL, NULL, NULL, 'GUANIDINE NUCLEOTIDE EXCHANGE FACTOR', NULL, NULL, NULL, 15),
(170106, NULL, 'PTHR11655:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170107, NULL, 'PTHR48062:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170108, NULL, 'PTHR46293', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE DRIP1', NULL, NULL, 37565, 15),
(170109, NULL, 'PTHR46206:SF3', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(170110, NULL, 'PTHR33076:SF115', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(170111, NULL, 'PTHR10000:SF54', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATASE YIDA', NULL, NULL, NULL, 15),
(170112, NULL, 'PTHR43675:SF23', NULL, NULL, NULL, NULL, 'BNAC01G30700D PROTEIN', NULL, NULL, NULL, 15),
(170113, NULL, 'PTHR11937:SF443', NULL, NULL, NULL, NULL, 'ACTIN', NULL, NULL, NULL, 15),
(170114, NULL, 'PTHR11467:SF105', NULL, NULL, NULL, NULL, 'HISTONE H1', NULL, NULL, NULL, 15),
(170115, NULL, 'PTHR15177:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 143', NULL, NULL, NULL, 15),
(170116, NULL, 'PTHR15417:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 1B', NULL, NULL, 18016, 15),
(170117, NULL, 'PTHR24093:SF454', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE PLANT', NULL, NULL, NULL, 15),
(170118, NULL, 'PTHR11514:SF129', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(170119, NULL, 'PTHR45675:SF2', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYBAS1', NULL, NULL, NULL, 15),
(170120, NULL, 'PTHR47055:SF4', NULL, NULL, NULL, NULL, 'CHIMERIC ERCC6-PGBD3 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170121, NULL, 'PTHR11945:SF150', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL1-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170122, NULL, 'PTHR12506:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(170123, NULL, 'PTHR13160:SF9', NULL, NULL, NULL, NULL, 'OLIGOSACCHARYLTRANSFERASE COMPLEX SUBUNIT OSTC', NULL, NULL, NULL, 15),
(170124, NULL, 'PTHR33077:SF106', NULL, NULL, NULL, NULL, 'TIFY20', NULL, NULL, NULL, 15),
(170125, NULL, 'PTHR35363', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170126, NULL, 'PTHR33834:SF2', NULL, NULL, NULL, NULL, 'SIGNALING PEPTIDE TAXIMIN 1', NULL, NULL, NULL, 15),
(170127, NULL, 'PTHR31734:SF199', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(170128, NULL, 'PTHR47991:SF106', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(170129, NULL, 'PTHR22957:SF577', NULL, NULL, NULL, NULL, 'SI:CH211-288D18.1', NULL, NULL, NULL, 15),
(170130, NULL, 'PTHR10155:SF15', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 5', NULL, NULL, 27192, 15),
(170131, NULL, 'PTHR48001:SF70', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1D4-RELATED', NULL, NULL, NULL, 15),
(170132, NULL, 'PTHR22926:SF3', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-PHOSPHATE ALPHA-N-ACETYLGLUCOSAMINYL 1-PHOSPHATE TRANSFERASE', NULL, NULL, NULL, 15),
(170133, NULL, 'PTHR43669:SF8', NULL, NULL, NULL, NULL, 'SHORT-CHAIN TYPE DEHYDROGENASE/REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(170134, NULL, 'PTHR31060:SF29', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(170135, NULL, 'PTHR14226:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG00653', NULL, NULL, NULL, 15),
(170136, NULL, 'PTHR12394:SF11', NULL, NULL, NULL, NULL, 'FASCICULATION AND ELONGATION PROTEIN ZETA-2', NULL, NULL, 18068, 15),
(170137, NULL, 'PTHR14155:SF569', NULL, NULL, NULL, NULL, 'FINGER PROTEIN ATL5H, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170138, NULL, 'PTHR48086:SF7', NULL, NULL, NULL, NULL, 'SODIUM/SOLUTE SYMPORTER', NULL, NULL, NULL, 15),
(170139, NULL, 'PTHR35485:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170140, NULL, 'PTHR33882', NULL, NULL, NULL, NULL, 'PATHOGENIC TYPE III EFFECTOR AVIRULENCE FACTOR AVR AVRRPT-CLEAVAGE: CLEAVAGE SITE PROTEIN', NULL, NULL, NULL, 15),
(170141, NULL, 'PTHR23504:SF19', NULL, NULL, NULL, NULL, 'FACILITATOR SUPERFAMILY ANTIPORTER, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(170142, NULL, 'PTHR43511:SF2', NULL, NULL, NULL, NULL, 'UTP--GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(170143, NULL, 'PTHR43128:SF10', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE A CHAIN', NULL, NULL, NULL, 15),
(170144, NULL, 'PTHR48051:SF9', NULL, NULL, NULL, NULL, 'SHOC2, LEUCINE RICH REPEAT SCAFFOLD PROTEIN', NULL, NULL, 25191, 15),
(170145, NULL, 'PTHR47993:SF23', NULL, NULL, NULL, NULL, 'OS02G0543200 PROTEIN', NULL, NULL, NULL, 15),
(170146, NULL, 'PTHR10285:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170147, NULL, 'PTHR33544:SF13', NULL, NULL, NULL, NULL, 'OS02G0733400 PROTEIN', NULL, NULL, NULL, 15),
(170148, NULL, 'PTHR36378:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170149, NULL, 'PTHR47371:SF3', NULL, NULL, NULL, NULL, 'LIPOTEICHOIC ACID SYNTHASE', NULL, NULL, NULL, 15),
(170150, NULL, 'PTHR31989:SF292', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(170151, NULL, 'PTHR44013:SF5', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G01290)-RELATED', NULL, NULL, NULL, 15),
(170152, NULL, 'PTHR46373', NULL, NULL, NULL, NULL, 'PROTEIN RKD4', NULL, NULL, 38845, 15),
(170153, NULL, 'PTHR47390:SF1', NULL, NULL, NULL, NULL, 'PODOPLANIN', NULL, NULL, NULL, 15),
(170154, NULL, 'PTHR10779:SF13', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN ROADBLOCK', NULL, NULL, NULL, 15),
(170155, NULL, 'PTHR34724:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(170156, NULL, 'PTHR31008:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170157, NULL, 'PTHR11692:SF0', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PURINE BIOSYNTHESIS PROTEIN PURH', NULL, NULL, NULL, 15),
(170158, NULL, 'PTHR33044:SF145', NULL, NULL, NULL, NULL, 'LIPID BINDING PROTEIN', NULL, NULL, NULL, 15),
(170159, NULL, 'PTHR33237:SF35', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170160, NULL, 'PTHR23359', NULL, NULL, NULL, NULL, 'NUCLEOTIDE KINASE', NULL, NULL, 15, 15),
(170161, NULL, 'PTHR31683:SF82', NULL, NULL, NULL, NULL, 'PECTATE LYASE P56-RELATED', NULL, NULL, NULL, 15),
(170162, NULL, 'PTHR43792:SF11', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE PA3944', NULL, NULL, NULL, 15),
(170163, NULL, 'PTHR22850:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170164, NULL, 'PTHR24040:SF8', NULL, NULL, NULL, NULL, 'FIBRILLIN 1', NULL, NULL, NULL, 15),
(170165, NULL, 'PTHR31790:SF384', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(170166, NULL, 'PTHR33430', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST PROTEIN', NULL, NULL, NULL, 15),
(170167, NULL, 'PTHR21859', NULL, NULL, NULL, NULL, 'ACROSOME-SPECIFIC PROTEIN', NULL, NULL, NULL, 15),
(170168, NULL, 'PTHR24015:SF1969', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(170169, NULL, 'PTHR45658:SF77', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 4-LIKE', NULL, NULL, NULL, 15),
(170170, NULL, 'PTHR31338:SF33', NULL, NULL, NULL, NULL, 'BNAC03G76760D PROTEIN', NULL, NULL, NULL, 15),
(170171, NULL, 'PTHR14732:SF0', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II SUBUNIT B1 CTD PHOSPHATASE RPAP2-RELATED', NULL, NULL, NULL, 15),
(170172, NULL, 'PTHR43432:SF2', NULL, NULL, NULL, NULL, 'DNA REPAIR PHOTOLYASE', NULL, NULL, NULL, 15),
(170173, NULL, 'PTHR33270:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170174, NULL, 'PTHR43719:SF35', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE 2', NULL, NULL, NULL, 15),
(170175, NULL, 'PTHR11960:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170176, NULL, 'PTHR36362', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(170177, NULL, 'PTHR10134:SF32', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE-2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(170178, NULL, 'PTHR10125:SF12', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR 5', NULL, NULL, 520, 15),
(170179, NULL, 'PTHR31652:SF0', NULL, NULL, NULL, NULL, 'LIMR FAMILY PROTEIN DDB_G0283707-RELATED', NULL, NULL, NULL, 15),
(170180, NULL, 'PTHR47203:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL BASE EXCISION DNA REPAIR PROTEIN (EUROFUNG)', NULL, NULL, NULL, 15),
(170181, NULL, 'PTHR11028', NULL, NULL, NULL, NULL, 'VACUOLAR ATP SYNTHASE SUBUNIT AC39', NULL, NULL, 21981, 15),
(170182, NULL, 'PTHR33121:SF41', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEA-RELATED', NULL, NULL, NULL, 15),
(170183, NULL, 'PTHR45977', NULL, NULL, NULL, NULL, 'TARGET OF ERK KINASE MPK-1', NULL, NULL, NULL, 15),
(170184, NULL, 'PTHR12537:SF170', NULL, NULL, NULL, NULL, 'BNAA03G10760D PROTEIN', NULL, NULL, NULL, 15),
(170185, NULL, 'PTHR46387:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170186, NULL, 'PTHR22811:SF184', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(170187, NULL, 'PTHR12341:SF62', NULL, NULL, NULL, NULL, 'OS11G0157000 PROTEIN', NULL, NULL, NULL, 15),
(170188, NULL, 'PTHR11769:SF37', NULL, NULL, NULL, NULL, 'HYALURONIDASE', NULL, NULL, NULL, 15),
(170189, NULL, 'PTHR21567:SF68', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170190, NULL, 'PTHR19229:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170191, NULL, 'PTHR47982:SF7', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK6-RELATED', NULL, NULL, NULL, 15),
(170192, NULL, 'PTHR24094', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170193, NULL, 'PTHR45863:SF21', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK3', NULL, NULL, NULL, 15),
(170194, NULL, 'PTHR46128:SF274', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170195, NULL, 'PTHR11071:SF496', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170196, NULL, 'PTHR47138:SF1', NULL, NULL, NULL, NULL, 'PERILIPIN-1', NULL, NULL, NULL, 15),
(170197, NULL, 'PTHR11822:SF27', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', NULL, NULL, NULL, 15),
(170198, NULL, 'PTHR23320:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170199, NULL, 'PTHR11405:SF5', NULL, NULL, NULL, NULL, 'CAD PROTEIN', NULL, NULL, NULL, 15),
(170200, NULL, 'PTHR13239:SF6', NULL, NULL, NULL, NULL, 'STRIATIN-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(170201, NULL, 'PTHR24270:SF34', NULL, NULL, NULL, NULL, 'LIPOPROTEIN RECEPTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170202, NULL, 'PTHR47833', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF LUMENAL LOCATION 4, CHLOROPLASTIC', NULL, NULL, 39490, 15),
(170203, NULL, 'PTHR10108:SF1107', NULL, NULL, NULL, NULL, 'BNAA09G18060D PROTEIN', NULL, NULL, NULL, 15),
(170204, NULL, 'PTHR19212:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT FLIGHTLESS-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(170205, NULL, 'PTHR12992:SF38', NULL, NULL, NULL, NULL, 'PEROXISOMAL COENZYME A DIPHOSPHATASE 1, PEROXISOMAL', NULL, NULL, NULL, 15),
(170206, NULL, 'PTHR31317:SF20', NULL, NULL, NULL, NULL, 'BNAC01G31200D PROTEIN', NULL, NULL, NULL, 15),
(170207, NULL, 'PTHR34219:SF1', NULL, NULL, NULL, NULL, 'BLL7967 PROTEIN', NULL, NULL, NULL, 15),
(170208, NULL, 'PTHR13177', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN 1', NULL, NULL, 8168, 15),
(170209, NULL, 'PTHR31317:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170210, NULL, 'PTHR46011:SF20', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER ODR-7', NULL, NULL, NULL, 15),
(170211, NULL, 'PTHR45644:SF55', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(170212, NULL, 'PTHR10996:SF129', NULL, NULL, NULL, NULL, '2-HYDROXYACID DEHYDROGENASE C1773.17C-RELATED', NULL, NULL, NULL, 15),
(170213, NULL, 'PTHR24356:SF162', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C GAMMA TYPE', NULL, NULL, NULL, 15),
(170214, NULL, 'PTHR12411:SF587', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(170215, NULL, 'PTHR43459:SF3', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE ECHA15 (ENOYL HYDRASE) (UNSATURATED ACYL-COA HYDRATASE) (CROTONASE)-RELATED', NULL, NULL, NULL, 15),
(170216, NULL, 'PTHR45769:SF7', NULL, NULL, NULL, NULL, 'ADENOSINE KINASE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(170217, NULL, 'PTHR31190:SF243', NULL, NULL, NULL, NULL, 'AP2/ERF DOMAIN-CONTAINING TRANSCRIPTION FACTOR-LIKE PROTEIN ISOFORM 2', NULL, NULL, NULL, 15),
(170218, NULL, 'PTHR27005:SF376', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 1', NULL, NULL, NULL, 15),
(170219, NULL, 'PTHR43531:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ICFG', NULL, NULL, NULL, 15),
(170220, NULL, 'PTHR17498:SF1', NULL, NULL, NULL, NULL, 'SEMINAL VESICLE SECRETORY PROTEIN 6', NULL, NULL, NULL, 15),
(170221, NULL, 'PTHR33789:SF3', NULL, NULL, NULL, NULL, 'LACHRYMATORY-FACTOR SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(170222, NULL, 'PTHR21576:SF138', NULL, NULL, NULL, NULL, 'NODULIN-LIKE/MFS TRANSPORTER', NULL, NULL, NULL, 15),
(170223, NULL, 'PTHR13718:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170224, NULL, 'PTHR24416:SF537', NULL, NULL, NULL, NULL, 'TYROSINE KINASE RECEPTOR CAD96CA', NULL, NULL, NULL, 15),
(170225, NULL, 'PTHR42785', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE, TYPE IA, CORE', NULL, NULL, 6571, 15),
(170226, NULL, 'PTHR16675:SF64', NULL, NULL, NULL, NULL, 'RETINOIC ACID EARLY TRANSCRIPT 1E', NULL, NULL, NULL, 15),
(170227, NULL, 'PTHR37389:SF16', NULL, NULL, NULL, NULL, 'COLD AND DROUGHT-REGULATED PROTEIN CORA-LIKE ISOFORM X1', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170228, NULL, 'PTHR34998:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(170229, NULL, 'PTHR27000:SF708', NULL, NULL, NULL, NULL, 'TYROSINE-SULFATED GLYCOPEPTIDE RECEPTOR 1', NULL, NULL, NULL, 15),
(170230, NULL, 'PTHR35751:SF4', NULL, NULL, NULL, NULL, 'BNAA03G46330D PROTEIN', NULL, NULL, NULL, 15),
(170231, NULL, 'PTHR38134', NULL, NULL, NULL, NULL, 'SLR1395 PROTEIN', NULL, NULL, NULL, 15),
(170232, NULL, 'PTHR34369:SF7', NULL, NULL, NULL, NULL, 'OS07G0147550 PROTEIN', NULL, NULL, NULL, 15),
(170233, NULL, 'PTHR43632:SF1', NULL, NULL, NULL, NULL, 'PERMEASE COMPONENT OF TUNGSTATE ABC TRANSPORTER', NULL, NULL, NULL, 15),
(170234, NULL, 'PTHR31232:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170235, NULL, 'PTHR46598', NULL, NULL, NULL, NULL, 'BNAC05G43320D PROTEIN', NULL, NULL, NULL, 15),
(170236, NULL, 'PTHR31415:SF6', NULL, NULL, NULL, NULL, 'OS07G0250900 PROTEIN', NULL, NULL, NULL, 15),
(170237, NULL, 'PTHR47995:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB28-LIKE', NULL, NULL, NULL, 15),
(170238, NULL, 'PTHR42985:SF32', NULL, NULL, NULL, NULL, 'SODIUM IODIDE SYMPORTER', NULL, NULL, NULL, 15),
(170239, NULL, 'PTHR11945:SF623', NULL, NULL, NULL, NULL, 'BNAA02G06310D PROTEIN', NULL, NULL, NULL, 15),
(170240, NULL, 'PTHR24177:SF218', NULL, NULL, NULL, NULL, 'REPEAT FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170241, NULL, 'PTHR46093', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(170242, NULL, 'PTHR36438:SF1', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER REPAIR PROTEIN YTFE', NULL, NULL, NULL, 15),
(170243, NULL, 'PTHR34382', NULL, NULL, NULL, NULL, 'PTS SYSTEM N,N''-DIACETYLCHITOBIOSE-SPECIFIC EIIA COMPONENT', NULL, NULL, 3187, 15),
(170244, NULL, 'PTHR13220:SF11', NULL, NULL, NULL, NULL, 'TIMELESS-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(170245, NULL, 'PTHR47926:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170246, NULL, 'PTHR18945:SF538', NULL, NULL, NULL, NULL, 'GLYCINE RECEPTOR SUBUNIT BETA-TYPE 4', NULL, NULL, NULL, 15),
(170247, NULL, 'PTHR15881:SF2', NULL, NULL, NULL, NULL, 'MARGINAL ZONE B- AND B1-CELL-SPECIFIC PROTEIN', NULL, NULL, NULL, 15),
(170248, NULL, 'PTHR39959', NULL, NULL, NULL, NULL, 'RE44287P-RELATED', NULL, NULL, NULL, 15),
(170249, NULL, 'PTHR15316', NULL, NULL, NULL, NULL, 'SPLICEOSOME ASSOCIATED PROTEIN 114/SWAP SPLICING FACTOR-RELATED', NULL, NULL, 39229, 15),
(170250, NULL, 'PTHR12419:SF78', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN DDB_G0284757-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(170251, NULL, 'PTHR10701:SF15', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN-ASSOCIATED PROTEINS B AND B''', NULL, NULL, NULL, 15),
(170252, NULL, 'PTHR32472:SF13', NULL, NULL, NULL, NULL, 'ATPASE-RELATED', NULL, NULL, NULL, 15),
(170253, NULL, 'PTHR31596:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170254, NULL, 'PTHR22948:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170255, NULL, 'PTHR24216:SF27', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA-1-INDUCED TRANSCRIPT 1 PROTEIN', NULL, NULL, NULL, 15),
(170256, NULL, 'PTHR47372:SF14', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(170257, NULL, 'PTHR43341:SF10', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE PERMEASE SAM3-RELATED', NULL, NULL, NULL, 15),
(170258, NULL, 'PTHR24377:SF708', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 586', NULL, NULL, NULL, 15),
(170259, NULL, 'PTHR31403:SF54', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(1) DAD1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(170260, NULL, 'PTHR13976:SF72', NULL, NULL, NULL, NULL, 'HNRNP F HOMOLOG', NULL, NULL, NULL, 15),
(170261, NULL, 'PTHR36593', NULL, NULL, NULL, NULL, 'EXPORTED SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(170262, NULL, 'PTHR39394', NULL, NULL, NULL, NULL, 'YALI0E31793P', NULL, NULL, NULL, 15),
(170263, NULL, 'PTHR11140:SF2', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING-SPLICING FACTOR 8A-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170264, NULL, 'PTHR43874:SF121', NULL, NULL, NULL, NULL, 'CHEY-LIKE SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(170265, NULL, 'PTHR24223:SF404', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(170266, NULL, 'PTHR48111:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR CADC', NULL, NULL, NULL, 15),
(170267, NULL, 'PTHR33297', NULL, NULL, NULL, NULL, 'AMASTIN-LIKE SURFACE PROTEIN-LIKE PROTEIN-RELATED', NULL, NULL, 8377, 15),
(170268, NULL, 'PTHR26312:SF137', NULL, NULL, NULL, NULL, 'OS05G0182100 PROTEIN', NULL, NULL, NULL, 15),
(170269, NULL, 'PTHR12303:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170270, NULL, 'PTHR47181:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170271, NULL, 'PTHR45621:SF40', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PIX13-RELATED', NULL, NULL, NULL, 15),
(170272, NULL, 'PTHR43384:SF6', NULL, NULL, NULL, NULL, 'SEPTUM SITE-DETERMINING PROTEIN MIND HOMOLOG, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(170273, NULL, 'PTHR37727', NULL, NULL, NULL, NULL, 'ECOTROPIC VIRAL INTEGRATION SITE PROTEIN', NULL, NULL, NULL, 15),
(170274, NULL, 'PTHR12371:SF3', NULL, NULL, NULL, NULL, 'TRANSLOCATING CHAIN-ASSOCIATED MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(170275, NULL, 'PTHR24023:SF1013', NULL, NULL, NULL, NULL, 'COLLAGEN, TYPE V, ALPHA 2B', NULL, NULL, NULL, 15),
(170276, NULL, 'PTHR12197', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SMYD', NULL, NULL, NULL, 15),
(170277, NULL, 'PTHR31044:SF35', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(170278, NULL, 'PTHR12831:SF0', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIH SUBUNIT 3', NULL, NULL, NULL, 15),
(170279, NULL, 'PTHR47162:SF3', NULL, NULL, NULL, NULL, 'OS02G0192300 PROTEIN', NULL, NULL, NULL, 15),
(170280, NULL, 'PTHR31374:SF163', NULL, NULL, NULL, NULL, 'AUXIN INDUCED LIKE-PROTEIN', NULL, NULL, NULL, 15),
(170281, NULL, 'PTHR24242:SF363', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(170282, NULL, 'PTHR37013:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170283, NULL, 'PTHR31024:SF9', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(170284, NULL, 'PTHR30482', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT SYSTEM PERMEASE', NULL, NULL, 37335, 15),
(170285, NULL, 'PTHR33265:SF22', NULL, NULL, NULL, NULL, 'OS02G0517700 PROTEIN', NULL, NULL, NULL, 15),
(170286, NULL, 'PTHR21041', NULL, NULL, NULL, NULL, 'DENDRITIC CELL-SPECIFIC TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(170287, NULL, 'PTHR45733:SF3', NULL, NULL, NULL, NULL, 'FORMIN-I', NULL, NULL, NULL, 15),
(170288, NULL, 'PTHR24332:SF27', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CDX-2', NULL, NULL, NULL, 15),
(170289, NULL, 'PTHR31604:SF40', NULL, NULL, NULL, NULL, 'BNAANNG09150D PROTEIN', NULL, NULL, NULL, 15),
(170290, NULL, 'PTHR45651:SF61', NULL, NULL, NULL, NULL, 'OS06G0527100 PROTEIN', NULL, NULL, NULL, 15),
(170291, NULL, 'PTHR30474', NULL, NULL, NULL, NULL, 'CELL CYCLE PROTEIN', NULL, NULL, 1213, 15),
(170292, NULL, 'PTHR21503:SF6', NULL, NULL, NULL, NULL, 'SKN-1 DEPENDENT ZYGOTIC TRANSCRIPT 15 PROTEIN', NULL, NULL, NULL, 15),
(170293, NULL, 'PTHR33217', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS1081', NULL, NULL, 1498, 15),
(170294, NULL, 'PTHR46741', NULL, NULL, NULL, NULL, 'OS09G0413600 PROTEIN', NULL, NULL, NULL, 15),
(170295, NULL, 'PTHR31722:SF54', NULL, NULL, NULL, NULL, 'OSJNBA0058K23.8 PROTEIN', NULL, NULL, NULL, 15),
(170296, NULL, 'PTHR12475:SF2', NULL, NULL, NULL, NULL, 'PROTEIN THEM6', NULL, NULL, NULL, 15),
(170297, NULL, 'PTHR24377:SF853', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 888', NULL, NULL, NULL, 15),
(170298, NULL, 'PTHR27005:SF285', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(170299, NULL, 'PTHR23235:SF71', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 16', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170300, NULL, 'PTHR36334', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF2358)-RELATED', NULL, NULL, NULL, 15),
(170301, NULL, 'PTHR48041:SF90', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY G MEMBER 1', NULL, NULL, 12047, 15),
(170302, NULL, 'PTHR45932:SF11', NULL, NULL, NULL, NULL, 'PATELLIN-3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(170303, NULL, 'PTHR22900:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG08041', NULL, NULL, NULL, 15),
(170304, NULL, 'PTHR13774:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG03343', NULL, NULL, NULL, 15),
(170305, NULL, 'PTHR46836:SF7', NULL, NULL, NULL, NULL, 'DUF4378 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(170306, NULL, 'PTHR31356:SF43', NULL, NULL, NULL, NULL, 'ASCORBATE PEROXIDASE', NULL, NULL, NULL, 15),
(170307, NULL, 'PTHR33076:SF67', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(170308, NULL, 'PTHR24361:SF486', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MKCD-RELATED', NULL, NULL, NULL, 15),
(170309, NULL, 'PTHR11818:SF119', NULL, NULL, NULL, NULL, 'GAMMA-CRYSTALLIN D', NULL, NULL, NULL, 15),
(170310, NULL, 'PTHR34938:SF5', NULL, NULL, NULL, NULL, 'BNAC03G59750D PROTEIN', NULL, NULL, NULL, 15),
(170311, NULL, 'PTHR10263:SF48', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', NULL, NULL, NULL, 15),
(170312, NULL, 'PTHR13872:SF46', NULL, NULL, NULL, NULL, 'BNAA05G18450D PROTEIN', NULL, NULL, NULL, 15),
(170313, NULL, 'PTHR27007:SF364', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170314, NULL, 'PTHR11588:SF406', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(170315, NULL, 'PTHR10231:SF81', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 3', NULL, NULL, NULL, 15),
(170316, NULL, 'PTHR31852:SF159', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(170317, NULL, 'PTHR10031:SF40', NULL, NULL, NULL, NULL, 'ATP SYNTHASE F(0) COMPLEX SUBUNIT C1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(170318, NULL, 'PTHR32208:SF84', NULL, NULL, NULL, NULL, 'COPPER RADICAL OXIDASE', NULL, NULL, NULL, 15),
(170319, NULL, 'PTHR24177:SF312', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', NULL, NULL, NULL, 15),
(170320, NULL, 'PTHR33397:SF5', NULL, NULL, NULL, NULL, 'UPF0331 PROTEIN YUTE', NULL, NULL, NULL, 15),
(170321, NULL, 'PTHR11915:SF443', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170322, NULL, 'PTHR35820:SF1', NULL, NULL, NULL, NULL, 'SPERM MITOCHONDRIAL-ASSOCIATED CYSTEINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(170323, NULL, 'PTHR22883:SF329', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(170324, NULL, 'PTHR33067:SF20', NULL, NULL, NULL, NULL, 'ELEMENT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170325, NULL, 'PTHR20863:SF61', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 2, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(170326, NULL, 'PTHR43464:SF58', NULL, NULL, NULL, NULL, 'BLR7975 PROTEIN', NULL, NULL, NULL, 15),
(170327, NULL, 'PTHR48178', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170328, NULL, 'PTHR31262:SF16', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE SMALL CHAIN', NULL, NULL, NULL, 15),
(170329, NULL, 'PTHR32075:SF6', NULL, NULL, NULL, NULL, 'ISWI CHROMATIN-REMODELING COMPLEX SUBUNIT YPL216W-RELATED', NULL, NULL, NULL, 15),
(170330, NULL, 'PTHR46163:SF9', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(170331, NULL, 'PTHR24298:SF675', NULL, NULL, NULL, NULL, 'PHENYLALANINE N-MONOOXYGENASE', NULL, NULL, NULL, 15),
(170332, NULL, 'PTHR36036', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', NULL, NULL, 34356, 15),
(170333, NULL, 'PTHR10824:SF12', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A THIOESTERASE 1-RELATED', NULL, NULL, NULL, 15),
(170334, NULL, 'PTHR39662:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170335, NULL, 'PTHR13115:SF18', NULL, NULL, NULL, NULL, 'SWIB/MDM2 DOMAIN, GYF DOMAIN, PLUS-3 DOMAIN, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170336, NULL, 'PTHR31183', NULL, NULL, NULL, NULL, 'TRICHOPLEIN KERATIN FILAMENT-BINDING PROTEIN FAMILY MEMBER', NULL, NULL, 38246, 15),
(170337, NULL, 'PTHR21145:SF7', NULL, NULL, NULL, NULL, 'CHORISMATE MUTASE', NULL, NULL, NULL, 15),
(170338, NULL, 'PTHR15598:SF8', NULL, NULL, NULL, NULL, 'OS06G0300800 PROTEIN', NULL, NULL, NULL, 15),
(170339, NULL, 'PTHR16027', NULL, NULL, NULL, NULL, 'DILUTE DOMAIN-CONTAINING PROTEIN YPR089W', NULL, NULL, NULL, 15),
(170340, NULL, 'PTHR33337:SF35', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G03180)', NULL, NULL, NULL, 15),
(170341, NULL, 'PTHR45879:SF2', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-1', NULL, NULL, 23408, 15),
(170342, NULL, 'PTHR45665:SF14', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP3-2-RELATED', NULL, NULL, NULL, 15),
(170343, NULL, 'PTHR23018:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', NULL, NULL, NULL, 15),
(170344, NULL, 'PTHR33078:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170345, NULL, 'PTHR11165:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170346, NULL, 'PTHR34555:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170347, NULL, 'PTHR47928:SF44', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN OGR1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(170348, NULL, 'PTHR24322:SF732', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(170349, NULL, 'PTHR12307:SF13', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3B', NULL, NULL, 26086, 15),
(170350, NULL, 'PTHR31867:SF79', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(170351, NULL, 'PTHR47978:SF23', NULL, NULL, NULL, NULL, 'OS06G0714600 PROTEIN', NULL, NULL, NULL, 15),
(170352, NULL, 'PTHR47281:SF4', NULL, NULL, NULL, NULL, 'DOMON DOMAIN, CYTOCHROME B561/FERRIC REDUCTASE TRANSMEMBRANE, DM13 DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170353, NULL, 'PTHR36741', NULL, NULL, NULL, NULL, 'OS07G0100500 PROTEIN', NULL, NULL, NULL, 15),
(170354, NULL, 'PTHR24346:SF40', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0280133-RELATED', NULL, NULL, NULL, 15),
(170355, NULL, 'PTHR33889:SF7', NULL, NULL, NULL, NULL, 'OS04G0681850 PROTEIN', NULL, NULL, NULL, 15),
(170356, NULL, 'PTHR45794:SF4', NULL, NULL, NULL, NULL, 'BNAC08G42640D PROTEIN', NULL, NULL, NULL, 15),
(170357, NULL, 'PTHR14281', NULL, NULL, NULL, NULL, 'KINETOCHORE PROTEIN SPC25-RELATED', NULL, NULL, 39279, 15),
(170358, NULL, 'PTHR33115:SF63', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170359, NULL, 'PTHR31115:SF11', NULL, NULL, NULL, NULL, 'BNAA03G49750D PROTEIN', NULL, NULL, NULL, 15),
(170360, NULL, 'PTHR35546:SF24', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE-LIKE', NULL, NULL, NULL, 15),
(170361, NULL, 'PTHR33179:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170362, NULL, 'PTHR35735:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170363, NULL, 'PTHR45748', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 3-PHOSPHATE 5-KINASE-RELATED', NULL, NULL, NULL, 15),
(170364, NULL, 'PTHR11618:SF50', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB', NULL, NULL, NULL, 15),
(170365, NULL, 'PTHR35936:SF6', NULL, NULL, NULL, NULL, 'ABC-TYPE TRANSPORT SYSTEM SUBSTRATE BINDING COMPONENT', NULL, NULL, NULL, 15),
(170366, NULL, 'PTHR31673:SF26', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(170367, NULL, 'PTHR46910:SF5', NULL, NULL, NULL, NULL, 'MISCELLANEOUS ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(170368, NULL, 'PTHR10334:SF352', NULL, NULL, NULL, NULL, 'SCP-LIKE EXTRACELLULAR PROTEIN', NULL, NULL, NULL, 15),
(170369, NULL, 'PTHR23428:SF292', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(170370, NULL, 'PTHR13439:SF49', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 56-B', NULL, NULL, NULL, 15),
(170371, NULL, 'PTHR11860:SF59', NULL, NULL, NULL, NULL, 'FAS APOPTOTIC INHIBITORY MOLECULE 3', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170372, NULL, 'PTHR47956:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B10', NULL, NULL, NULL, 15),
(170373, NULL, 'PTHR23428:SF281', NULL, NULL, NULL, NULL, 'HISTONE H2B.2', NULL, NULL, NULL, 15),
(170374, NULL, 'PTHR45724:SF31', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP1-3-RELATED', NULL, NULL, NULL, 15),
(170375, NULL, 'PTHR27000:SF641', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RPK2', NULL, NULL, NULL, 15),
(170376, NULL, 'PTHR23122:SF34', NULL, NULL, NULL, NULL, 'MAGUK P55 SUBFAMILY MEMBER 4', NULL, NULL, NULL, 15),
(170377, NULL, 'PTHR46409:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170378, NULL, 'PTHR24396:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR STP4', NULL, NULL, NULL, 15),
(170379, NULL, 'PTHR15205', NULL, NULL, NULL, NULL, 'DEATH EFFECTOR DOMAIN-CONTAINING PROTEIN', NULL, NULL, 34787, 15),
(170380, NULL, 'PTHR44167:SF17', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FHKB-RELATED', NULL, NULL, NULL, 15),
(170381, NULL, 'PTHR43281:SF23', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE 3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(170382, NULL, 'PTHR41244:SF1', NULL, NULL, NULL, NULL, 'RHAMNAN SYNTHESIS F', NULL, NULL, NULL, 15),
(170383, NULL, 'PTHR22725:SF9', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN HOMOLOG 3', NULL, NULL, NULL, 15),
(170384, NULL, 'PTHR46053:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH11', NULL, NULL, NULL, 15),
(170385, NULL, 'PTHR13382:SF25', NULL, NULL, NULL, NULL, 'OS03G0633100 PROTEIN', NULL, NULL, NULL, 15),
(170386, NULL, 'PTHR14499:SF57', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD21', NULL, NULL, NULL, 15),
(170387, NULL, 'PTHR22595:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170388, NULL, 'PTHR48012:SF15', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE KINASE 1', NULL, NULL, NULL, 15),
(170389, NULL, 'PTHR48083:SF24', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE IBR3-RELATED', NULL, NULL, NULL, 15),
(170390, NULL, 'PTHR14398:SF4', NULL, NULL, NULL, NULL, 'BNAA02G29020D PROTEIN', NULL, NULL, NULL, 15),
(170391, NULL, 'PTHR10131:SF135', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR', NULL, NULL, NULL, 15),
(170392, NULL, 'PTHR22600:SF44', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE', NULL, NULL, NULL, 15),
(170393, NULL, 'PTHR24414:SF177', NULL, NULL, NULL, NULL, 'BNAA09G00090D PROTEIN', NULL, NULL, NULL, 15),
(170394, NULL, 'PTHR31296:SF1', NULL, NULL, NULL, NULL, 'UPF0565 PROTEIN C2ORF69', NULL, NULL, NULL, 15),
(170395, NULL, 'PTHR10994:SF138', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(170396, NULL, 'PTHR13385', NULL, NULL, NULL, NULL, 'AUTOPHAGY PROTEIN 12', NULL, NULL, 6856, 15),
(170397, NULL, 'PTHR48044:SF8', NULL, NULL, NULL, NULL, 'ZEATIN O-GLUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(170398, NULL, 'PTHR13468', NULL, NULL, NULL, NULL, 'DEK PROTEIN', NULL, NULL, 37476, 15),
(170399, NULL, 'PTHR10795:SF608', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9', NULL, NULL, NULL, 15),
(170400, NULL, 'PTHR31282:SF25', NULL, NULL, NULL, NULL, 'OS11G0117500 PROTEIN', NULL, NULL, NULL, 15),
(170401, NULL, 'PTHR31218:SF56', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(170402, NULL, 'PTHR47774:SF1', NULL, NULL, NULL, NULL, 'GROWTH-DIFFERENTIATION TRANSITION PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(170403, NULL, 'PTHR19818:SF84', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GLIS2', NULL, NULL, 27703, 15),
(170404, NULL, 'PTHR22594:SF51', NULL, NULL, NULL, NULL, 'BNAC05G44530D PROTEIN', NULL, NULL, NULL, 15),
(170405, NULL, 'PTHR47979:SF30', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5C', NULL, NULL, NULL, 15),
(170406, NULL, 'PTHR36519', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED-RELATED', NULL, NULL, NULL, 15),
(170407, NULL, 'PTHR33271:SF29', NULL, NULL, NULL, NULL, 'BNAC04G12200D PROTEIN', NULL, NULL, NULL, 15),
(170408, NULL, 'PTHR12570:SF11', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER NIPA6-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170409, NULL, 'PTHR10036:SF7', NULL, NULL, NULL, NULL, 'LY6/PLAUR DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(170410, NULL, 'PTHR43636:SF2', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR G, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(170411, NULL, 'PTHR13018:SF98', NULL, NULL, NULL, NULL, 'TO DEHYDRATION PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(170412, NULL, 'PTHR24096:SF374', NULL, NULL, NULL, NULL, 'BNAC08G19270D PROTEIN', NULL, NULL, NULL, 15),
(170413, NULL, 'PTHR13683', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASES', NULL, NULL, 6100, 15),
(170414, NULL, 'PTHR45992', NULL, NULL, NULL, NULL, 'EUKARYOTIC ELONGATION FACTOR 2 KINASE-RELATED', NULL, NULL, NULL, 15),
(170415, NULL, 'PTHR22670:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG05370', NULL, NULL, NULL, 15),
(170416, NULL, 'PTHR24073:SF1147', NULL, NULL, NULL, NULL, 'SMALL MONOMERIC GTPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G05770)-RELATED', NULL, NULL, NULL, 15),
(170417, NULL, 'PTHR24403:SF75', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 280D', NULL, NULL, NULL, 15),
(170418, NULL, 'PTHR17920:SF12', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE/COILED-COIL PROTEIN (DUF726)', NULL, NULL, NULL, 15),
(170419, NULL, 'PTHR19321:SF23', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 7', NULL, NULL, NULL, 15),
(170420, NULL, 'PTHR10544:SF15', NULL, NULL, NULL, NULL, 'BNAA09G09950D PROTEIN', NULL, NULL, NULL, 15),
(170421, NULL, 'PTHR23226:SF127', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 24', NULL, NULL, NULL, 15),
(170422, NULL, 'PTHR15241:SF297', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE E', NULL, NULL, NULL, 15),
(170423, NULL, 'PTHR10663:SF342', NULL, NULL, NULL, NULL, 'FI21420P1', NULL, NULL, NULL, 15),
(170424, NULL, 'PTHR31989:SF20', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(170425, NULL, 'PTHR10024:SF344', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-7', NULL, NULL, NULL, 15),
(170426, NULL, 'PTHR31677:SF141', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', NULL, NULL, NULL, 15),
(170427, NULL, 'PTHR10127:SF845', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-14', NULL, NULL, NULL, 15),
(170428, NULL, 'PTHR31190:SF298', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(170429, NULL, 'PTHR24064:SF501', NULL, NULL, NULL, NULL, 'GH09241P-RELATED', NULL, NULL, NULL, 15),
(170430, NULL, 'PTHR46952:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(170431, NULL, 'PTHR45655:SF7', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE SOLUBLE SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(170432, NULL, 'PTHR10641:SF541', NULL, NULL, NULL, NULL, 'MYB-RELATED TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(170433, NULL, 'PTHR45803:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170434, NULL, 'PTHR15377:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION REGULATOR HOMOLOG', NULL, NULL, NULL, 15),
(170435, NULL, 'PTHR24074:SF32', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(170436, NULL, 'PTHR24032:SF9', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(170437, NULL, 'PTHR39664:SF2', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING PROTEIN, CONTAINING PIN DOMAIN-RELATED', NULL, NULL, NULL, 15),
(170438, NULL, 'PTHR20961:SF121', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(170439, NULL, 'PTHR38491:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF HEMOGLOBINIZATION AND ERYTHROID CELL EXPANSION PROTEIN', NULL, NULL, NULL, 15),
(170440, NULL, 'PTHR34196:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170441, NULL, 'PTHR24237:SF36', NULL, NULL, NULL, NULL, 'SI:DKEY-6N21.13', NULL, NULL, NULL, 15),
(170442, NULL, 'PTHR43642:SF1', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE G', NULL, NULL, NULL, 15),
(170443, NULL, 'PTHR10671:SF35', NULL, NULL, NULL, NULL, 'GERM CELL-SPECIFIC GENE 1-LIKE PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170444, NULL, 'PTHR31190:SF285', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170445, NULL, 'PTHR12137:SF61', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(170446, NULL, 'PTHR48017:SF154', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170447, NULL, 'PTHR31509:SF68', NULL, NULL, NULL, NULL, 'OS02G0109200 PROTEIN', NULL, NULL, NULL, 15),
(170448, NULL, 'PTHR11746:SF269', NULL, NULL, NULL, NULL, 'BNAC02G13760D PROTEIN', NULL, NULL, NULL, 15),
(170449, NULL, 'PTHR45665:SF35', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP1-1-RELATED', NULL, NULL, NULL, 15),
(170450, NULL, 'PTHR12701:SF48', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED-LIKE PROTEIN', NULL, NULL, NULL, 15),
(170451, NULL, 'PTHR28309', NULL, NULL, NULL, NULL, 'REQUIRED FOR EXCISION 1-B DOMAIN-CONTAINING PROTEIN', NULL, NULL, 31337, 15),
(170452, NULL, 'PTHR31232:SF8', NULL, NULL, NULL, NULL, 'BNAA01G23250D PROTEIN', NULL, NULL, NULL, 15),
(170453, NULL, 'PTHR31889:SF11', NULL, NULL, NULL, NULL, 'OS06G0211600 PROTEIN', NULL, NULL, NULL, 15),
(170454, NULL, 'PTHR32037:SF2', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 12A', NULL, NULL, NULL, 15),
(170455, NULL, 'PTHR10468:SF6', NULL, NULL, NULL, NULL, 'GLCNAC TRANSFERASE', NULL, NULL, NULL, 15),
(170456, NULL, 'PTHR12374:SF58', NULL, NULL, NULL, NULL, 'F25A4.19 PROTEIN', NULL, NULL, NULL, 15),
(170457, NULL, 'PTHR10201:SF129', NULL, NULL, NULL, NULL, 'STROMELYSIN-2', NULL, NULL, NULL, 15),
(170458, NULL, 'PTHR35483', NULL, NULL, NULL, NULL, 'NUCLEUSENVELOPE PROTEIN', NULL, NULL, NULL, 15),
(170459, NULL, 'PTHR32093:SF104', NULL, NULL, NULL, NULL, 'OS11G0657400 PROTEIN', NULL, NULL, NULL, 15),
(170460, NULL, 'PTHR43691:SF10', NULL, NULL, NULL, NULL, 'URIDINE PHOSPHORYLASE 1', NULL, NULL, NULL, 15),
(170461, NULL, 'PTHR23159:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170462, NULL, 'PTHR22897:SF8', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE', NULL, NULL, NULL, 15),
(170463, NULL, 'PTHR45693:SF49', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HBP-1B(C38)-LIKE', NULL, NULL, NULL, 15),
(170464, NULL, 'PTHR45779:SF7', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP13, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(170465, NULL, 'PTHR31500:SF74', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 10-LIKE', NULL, NULL, NULL, 15),
(170466, NULL, 'PTHR31681:SF81', NULL, NULL, NULL, NULL, 'BNAA02G10110D PROTEIN', NULL, NULL, NULL, 15),
(170467, NULL, 'PTHR24178:SF2', NULL, NULL, NULL, NULL, 'INVERSIN', NULL, NULL, NULL, 15),
(170468, NULL, 'PTHR46213:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR DEMETER-LIKE', NULL, NULL, NULL, 15),
(170469, NULL, 'PTHR31960:SF27', NULL, NULL, NULL, NULL, 'PHLOEM PROTEIN 2-A11-RELATED', NULL, NULL, NULL, 15),
(170470, NULL, 'PTHR13681:SF32', NULL, NULL, NULL, NULL, 'BNAA06G34090D PROTEIN', NULL, NULL, NULL, 15),
(170471, NULL, 'PTHR36881:SF1', NULL, NULL, NULL, NULL, 'DERMOKINE', NULL, NULL, NULL, 15),
(170472, NULL, 'PTHR16021:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170473, NULL, 'PTHR46493:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP3', NULL, NULL, NULL, 15),
(170474, NULL, 'PTHR27002:SF427', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 19-RELATED', NULL, NULL, NULL, 15),
(170475, NULL, 'PTHR26453:SF271', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2V1', NULL, NULL, NULL, 15),
(170476, NULL, 'PTHR47741:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(170477, NULL, 'PTHR11347', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(170478, NULL, 'PTHR31734:SF179', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(170479, NULL, 'PTHR24373:SF293', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 3', NULL, NULL, NULL, 15),
(170480, NULL, 'PTHR24114', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170481, NULL, 'PTHR47989:SF8', NULL, NULL, NULL, NULL, 'BNAA10G10920D PROTEIN', NULL, NULL, NULL, 15),
(170482, NULL, 'PTHR13313:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170483, NULL, 'PTHR32448:SF19', NULL, NULL, NULL, NULL, 'OS06G0548100 PROTEIN', NULL, NULL, NULL, 15),
(170484, NULL, 'PTHR43791:SF19', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01812)-RELATED', NULL, NULL, NULL, 15),
(170485, NULL, 'PTHR31787', NULL, NULL, NULL, NULL, 'G-PROTEIN-COUPLED RECEPTOR  GPCR  FAMILY PROTEIN', NULL, NULL, NULL, 15),
(170486, NULL, 'PTHR36968', NULL, NULL, NULL, NULL, 'HOMEOBOX-DDT DOMAIN PROTEIN RLT2', NULL, NULL, 39142, 15),
(170487, NULL, 'PTHR10314:SF211', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE 1', NULL, NULL, NULL, 15),
(170488, NULL, 'PTHR27008:SF413', NULL, NULL, NULL, NULL, 'SERINE-THREONINE PROTEIN KINASE PLANT-TYPE', NULL, NULL, NULL, 15),
(170489, NULL, 'PTHR10629:SF49', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE CMT3', NULL, NULL, NULL, 15),
(170490, NULL, 'PTHR23195:SF25', NULL, NULL, NULL, NULL, 'PROTEIN AF-9', NULL, NULL, NULL, 15),
(170491, NULL, 'PTHR47749:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170492, NULL, 'PTHR24349:SF373', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170493, NULL, 'PTHR20934:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(170494, NULL, 'PTHR21292:SF1', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 3', NULL, NULL, NULL, 15),
(170495, NULL, 'PTHR19241:SF624', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 48', NULL, NULL, NULL, 15),
(170496, NULL, 'PTHR43029:SF21', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1', NULL, NULL, NULL, 15),
(170497, NULL, 'PTHR11945:SF420', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(170498, NULL, 'PTHR11017:SF272', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N', NULL, NULL, NULL, 15),
(170499, NULL, 'PTHR14095:SF19', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(170500, NULL, 'PTHR47843:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170501, NULL, 'PTHR12306', NULL, NULL, NULL, NULL, 'CELL DEATH ACTIVATOR CIDE', NULL, NULL, NULL, 15),
(170502, NULL, 'PTHR47977', NULL, NULL, NULL, NULL, 'LD21953P-RELATED', NULL, NULL, NULL, 15),
(170503, NULL, 'PTHR13292', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 14995, 15),
(170504, NULL, 'PTHR37207:SF1', NULL, NULL, NULL, NULL, 'OS09G0446000 PROTEIN', NULL, NULL, NULL, 15),
(170505, NULL, 'PTHR47990:SF21', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 3', NULL, NULL, NULL, 15),
(170506, NULL, 'PTHR14791:SF26', NULL, NULL, NULL, NULL, 'PROTEIN WWC2', NULL, NULL, NULL, 15),
(170507, NULL, 'PTHR22933:SF37', NULL, NULL, NULL, NULL, 'FI18007P1', NULL, NULL, NULL, 15),
(170508, NULL, 'PTHR31623:SF80', NULL, NULL, NULL, NULL, 'DEACETYLVINDOLINE O-ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(170509, NULL, 'PTHR24276:SF90', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE PROTEINASE 5B', NULL, NULL, NULL, 15),
(170510, NULL, 'PTHR10579:SF66', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED CHLORIDE CHANNEL REGULATOR 2', NULL, NULL, NULL, 15),
(170511, NULL, 'PTHR16021:SF13', NULL, NULL, NULL, NULL, 'SPORE COAT PROTEIN SP96', NULL, NULL, NULL, 15),
(170512, NULL, 'PTHR15746:SF23', NULL, NULL, NULL, NULL, 'RAB11 INTERACTING PROTEIN, ISOFORM A', NULL, NULL, NULL, 15),
(170513, NULL, 'PTHR12694:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 1', NULL, NULL, NULL, 15),
(170514, NULL, 'PTHR13872:SF44', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT STT3A', NULL, NULL, NULL, 15),
(170515, NULL, 'PTHR23267:SF313', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 5-2', NULL, NULL, NULL, 15),
(170516, NULL, 'PTHR43669:SF10', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] REDUCTASE FABG1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170517, NULL, 'PTHR34807:SF3', NULL, NULL, NULL, NULL, 'OS08G0270800 PROTEIN', NULL, NULL, NULL, 15),
(170518, NULL, 'PTHR36140:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170519, NULL, 'PTHR10732:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170520, NULL, 'PTHR34573:SF1', NULL, NULL, NULL, NULL, 'THIOL-DISULFIDE OXIDOREDUCTASE LTO1', NULL, NULL, NULL, 15),
(170521, NULL, 'PTHR27002:SF762', NULL, NULL, NULL, NULL, 'DUF26-DOMAIN RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170522, NULL, 'PTHR13914:SF28', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(170523, NULL, 'PTHR47956:SF93', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B2', NULL, NULL, NULL, 15),
(170524, NULL, 'PTHR11604:SF1', NULL, NULL, NULL, NULL, 'PROFILIN-2', NULL, NULL, NULL, 15),
(170525, NULL, 'PTHR15431:SF17', NULL, NULL, NULL, NULL, 'BNAA09G54800D PROTEIN', NULL, NULL, NULL, 15),
(170526, NULL, 'PTHR31314:SF7', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR PHL5', NULL, NULL, NULL, 15),
(170527, NULL, 'PTHR36321:SF12', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 9', NULL, NULL, NULL, 15),
(170528, NULL, 'PTHR10466:SF11', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE', NULL, NULL, NULL, 15),
(170529, NULL, 'PTHR11514:SF128', NULL, NULL, NULL, NULL, 'BNAC04G50860D PROTEIN', NULL, NULL, NULL, 15),
(170530, NULL, 'PTHR46622', NULL, NULL, NULL, NULL, 'DNA-DEPENDENT METALLOPROTEASE WSS1', NULL, NULL, NULL, 15),
(170531, NULL, 'PTHR47841:SF9', NULL, NULL, NULL, NULL, 'BNAC03G72070D PROTEIN', NULL, NULL, NULL, 15),
(170532, NULL, 'PTHR45934:SF5', NULL, NULL, NULL, NULL, 'FAD BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(170533, NULL, 'PTHR17068', NULL, NULL, NULL, NULL, 'MYELOID-ASSOCIATED DIFFERENTIATION MARKER MYADM FAMILY MEMBER', NULL, NULL, NULL, 15),
(170534, NULL, 'PTHR11063:SF8', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(170535, NULL, 'PTHR31636:SF239', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(170536, NULL, 'PTHR35110:SF3', NULL, NULL, NULL, NULL, 'OS08G0360000 PROTEIN', NULL, NULL, NULL, 15),
(170537, NULL, 'PTHR31260:SF35', NULL, NULL, NULL, NULL, 'BNAC05G32080D PROTEIN', NULL, NULL, NULL, 15),
(170538, NULL, 'PTHR23253:SF23', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4 GAMMA 3', NULL, NULL, 36341, 15),
(170539, NULL, 'PTHR31374:SF32', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(170540, NULL, 'PTHR15446:SF17', NULL, NULL, NULL, NULL, 'UROPLAKIN-3A', NULL, NULL, 22901, 15),
(170541, NULL, 'PTHR47376:SF8', NULL, NULL, NULL, NULL, 'OS04G0483000 PROTEIN', NULL, NULL, NULL, 15),
(170542, NULL, 'PTHR11206:SF144', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(170543, NULL, 'PTHR17178:SF0', NULL, NULL, NULL, NULL, 'SERGLYCIN', NULL, NULL, NULL, 15),
(170544, NULL, 'PTHR43019:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170545, NULL, 'PTHR12431:SF20', NULL, NULL, NULL, NULL, 'SORTING NEXIN FAMILY MEMBER 27A', NULL, NULL, NULL, 15),
(170546, NULL, 'PTHR31790:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170547, NULL, 'PTHR34046:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170548, NULL, 'PTHR46357:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ATRX', NULL, NULL, NULL, 15),
(170549, NULL, 'PTHR10891:SF853', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170550, NULL, 'PTHR28118', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE 5''-TRIPHOSPHATASE-RELATED', NULL, NULL, 29824, 15),
(170551, NULL, 'PTHR10067:SF9', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLSERINE DECARBOXYLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_7G01730)', NULL, NULL, NULL, 15),
(170552, NULL, 'PTHR23273:SF56', NULL, NULL, NULL, NULL, 'BNAA04G12470D PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170553, NULL, 'PTHR15692:SF19', NULL, NULL, NULL, NULL, 'MASTERMIND-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(170554, NULL, 'PTHR47385:SF1', NULL, NULL, NULL, NULL, 'TRANSGELIN-3', NULL, NULL, 22495, 15),
(170555, NULL, 'PTHR12274:SF6', NULL, NULL, NULL, NULL, 'GRANULIN B', NULL, NULL, NULL, 15),
(170556, NULL, 'PTHR33886:SF9', NULL, NULL, NULL, NULL, 'UNSATURATED RHAMNOGALACTURONAN HYDROLASE (EUROFUNG)', NULL, NULL, NULL, 15),
(170557, NULL, 'PTHR35334:SF3', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YQEG', NULL, NULL, NULL, 15),
(170558, NULL, 'PTHR23359:SF190', NULL, NULL, NULL, NULL, 'BNAA04G21280D PROTEIN', NULL, NULL, NULL, 15),
(170559, NULL, 'PTHR23235:SF75', NULL, NULL, NULL, NULL, 'LETHAL (3) NEO38, ISOFORM L', NULL, NULL, NULL, 15),
(170560, NULL, 'PTHR33563:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170561, NULL, 'PTHR31213:SF116', NULL, NULL, NULL, NULL, 'BNAANNG26820D PROTEIN', NULL, NULL, NULL, 15),
(170562, NULL, 'PTHR17103', NULL, NULL, NULL, NULL, 'NEUREXOPHILIN', NULL, NULL, 10422, 15),
(170563, NULL, 'PTHR45617:SF99', NULL, NULL, NULL, NULL, 'AGAP007846-PA', NULL, NULL, NULL, 15),
(170564, NULL, 'PTHR21109:SF17', NULL, NULL, NULL, NULL, 'PROTEIN S21 FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170565, NULL, 'PTHR46913:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(170566, NULL, 'PTHR12592', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT (S)-NAD(P)H-HYDRATE DEHYDRATASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(170567, NULL, 'PTHR11709:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170568, NULL, 'PTHR34491:SF30', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(170569, NULL, 'PTHR12419:SF9', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(170570, NULL, 'PTHR10641:SF1284', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB-HB-LIKE FAMILY-RELATED', NULL, NULL, NULL, 15),
(170571, NULL, 'PTHR46754:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170572, NULL, 'PTHR39338:SF6', NULL, NULL, NULL, NULL, 'BLL5662 PROTEIN', NULL, NULL, NULL, 15),
(170573, NULL, 'PTHR23055:SF79', NULL, NULL, NULL, NULL, 'HIPPOCALCIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(170574, NULL, 'PTHR47946:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 78A7', NULL, NULL, NULL, 15),
(170575, NULL, 'PTHR24186:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY INHIBITOR SUBUNIT 16B', NULL, NULL, NULL, 15),
(170576, NULL, 'PTHR24028:SF248', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-9', NULL, NULL, NULL, 15),
(170577, NULL, 'PTHR13362:SF4', NULL, NULL, NULL, NULL, 'BNAANNG05200D PROTEIN', NULL, NULL, NULL, 15),
(170578, NULL, 'PTHR34193', NULL, NULL, NULL, NULL, 'OS11G0199801 PROTEIN', NULL, NULL, NULL, 15),
(170579, NULL, 'PTHR23195:SF2', NULL, NULL, NULL, NULL, 'SOMETHING ABOUT SILENCING PROTEIN 5-RELATED', NULL, NULL, 20834, 15),
(170580, NULL, 'PTHR37610:SF10', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', NULL, NULL, NULL, 15),
(170581, NULL, 'PTHR33527:SF31', NULL, NULL, NULL, NULL, 'BNAA07G00110D PROTEIN', NULL, NULL, NULL, 15),
(170582, NULL, 'PTHR45926:SF6', NULL, NULL, NULL, NULL, 'OSJNBA0053K19.4 PROTEIN', NULL, NULL, NULL, 15),
(170583, NULL, 'PTHR31448:SF43', NULL, NULL, NULL, NULL, 'ZEIN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170584, NULL, 'PTHR45270:SF3', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(170585, NULL, 'PTHR11941:SF156', NULL, NULL, NULL, NULL, 'ISOMERASE, MITOCHONDRIAL, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170586, NULL, 'PTHR31384:SF128', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 8-LIKE', NULL, NULL, NULL, 15),
(170587, NULL, 'PTHR11219:SF63', NULL, NULL, NULL, NULL, 'SI:DKEY-237H12.3', NULL, NULL, NULL, 15),
(170588, NULL, 'PTHR10048', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL KINASE', NULL, NULL, 9173, 15),
(170589, NULL, 'PTHR12322:SF72', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR 2', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170590, NULL, 'PTHR12863:SF1', NULL, NULL, NULL, NULL, 'FATTY ACID 2-HYDROXYLASE', NULL, NULL, NULL, 15),
(170591, NULL, 'PTHR10353:SF230', NULL, NULL, NULL, NULL, 'FURCATIN HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(170592, NULL, 'PTHR43735:SF5', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(170593, NULL, 'PTHR24253:SF58', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 33', NULL, NULL, NULL, 15),
(170594, NULL, 'PTHR24278', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR', NULL, NULL, NULL, 15),
(170595, NULL, 'PTHR10132', NULL, NULL, NULL, NULL, 'ALPHA-/EPSILON-SARCOGLYCAN FAMILY MEMBER', NULL, NULL, 7871, 15),
(170596, NULL, 'PTHR24637:SF244', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(170597, NULL, 'PTHR21493', NULL, NULL, NULL, NULL, 'CGI-141-RELATED/LIPASE CONTAINING PROTEIN', NULL, NULL, 39537, 15),
(170598, NULL, 'PTHR11477:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN 3', NULL, NULL, NULL, 15),
(170599, NULL, 'PTHR33405:SF17', NULL, NULL, NULL, NULL, 'PROTEIN FLC EXPRESSOR', NULL, NULL, NULL, 15),
(170600, NULL, 'PTHR11705:SF49', NULL, NULL, NULL, NULL, 'PROTEIN CBG05160', NULL, NULL, NULL, 15),
(170601, NULL, 'PTHR22089:SF2', NULL, NULL, NULL, NULL, 'MIRROR-IMAGE POLYDACTYLY GENE 1 PROTEIN', NULL, NULL, NULL, 15),
(170602, NULL, 'PTHR47926:SF142', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(170603, NULL, 'PTHR11885:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170604, NULL, 'PTHR45651:SF64', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 7-RELATED', NULL, NULL, NULL, 15),
(170605, NULL, 'PTHR28448', NULL, NULL, NULL, NULL, 'UPF0728 PROTEIN C10ORF53', NULL, NULL, 25117, 15),
(170606, NULL, 'PTHR31867:SF186', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(170607, NULL, 'PTHR45744:SF23', NULL, NULL, NULL, NULL, 'BNAA09G10030D PROTEIN', NULL, NULL, NULL, 15),
(170608, NULL, 'PTHR19441:SF27', NULL, NULL, NULL, NULL, 'WHEY ACIDIC PROTEIN', NULL, NULL, NULL, 15),
(170609, NULL, 'PTHR22950:SF190', NULL, NULL, NULL, NULL, 'PROTON-COUPLED AMINO ACID TRANSPORTER 4', NULL, NULL, NULL, 15),
(170610, NULL, 'PTHR22888:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 2', NULL, NULL, NULL, 15),
(170611, NULL, 'PTHR46310', NULL, NULL, NULL, NULL, 'AMIDASE 1', NULL, NULL, NULL, 15),
(170612, NULL, 'PTHR38737', NULL, NULL, NULL, NULL, 'ACTIN-FRAGMIN KINASE DDB_G0279609-RELATED', NULL, NULL, 36366, 15),
(170613, NULL, 'PTHR47083', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 11', NULL, NULL, 36502, 15),
(170614, NULL, 'PTHR10682:SF27', NULL, NULL, NULL, NULL, 'OS02G0227400 PROTEIN', NULL, NULL, NULL, 15),
(170615, NULL, 'PTHR22911:SF6', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER G1', NULL, NULL, NULL, 15),
(170616, NULL, 'PTHR12200:SF5', NULL, NULL, NULL, NULL, 'GAMMA-INTERFERON-INDUCIBLE PROTEIN 16', NULL, NULL, NULL, 15),
(170617, NULL, 'PTHR36109', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170618, NULL, 'PTHR13248:SF3', NULL, NULL, NULL, NULL, 'ELONGIN B-LIKE', NULL, NULL, NULL, 15),
(170619, NULL, 'PTHR43679', NULL, NULL, NULL, NULL, 'OCTANOYLTRANSFERASE LIPM-RELATED', NULL, NULL, NULL, 15),
(170620, NULL, 'PTHR42105', NULL, NULL, NULL, NULL, 'DIM2-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(170621, NULL, 'PTHR45701:SF7', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 8', NULL, NULL, NULL, 15),
(170622, NULL, 'PTHR21683:SF11', NULL, NULL, NULL, NULL, 'GH10882P', NULL, NULL, NULL, 15),
(170623, NULL, 'PTHR12085:SF6', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(170624, NULL, 'PTHR43520:SF26', NULL, NULL, NULL, NULL, 'COPPER-TRANSPORTING ATPASE HMA5-RELATED', NULL, NULL, NULL, 15),
(170625, NULL, 'PTHR32077:SF54', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 6', NULL, NULL, NULL, 15),
(170626, NULL, 'PTHR24100:SF125', NULL, NULL, NULL, NULL, 'BUTYROPHILIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170627, NULL, 'PTHR47171:SF6', NULL, NULL, NULL, NULL, 'SPECIFIC TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170628, NULL, 'PTHR18952:SF238', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 5-RELATED', NULL, NULL, NULL, 15),
(170629, NULL, 'PTHR24412:SF419', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB (POZ) DOMAIN-CONTAINING 4', NULL, NULL, NULL, 15),
(170630, NULL, 'PTHR31388:SF161', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(170631, NULL, 'PTHR10972:SF67', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 1D', NULL, NULL, NULL, 15),
(170632, NULL, 'PTHR31218:SF299', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(170633, NULL, 'PTHR31729:SF0', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-10', NULL, NULL, NULL, 15),
(170634, NULL, 'PTHR11042:SF156', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G16620)-RELATED', NULL, NULL, NULL, 15),
(170635, NULL, 'PTHR32134:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170636, NULL, 'PTHR36453:SF1', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170637, NULL, 'PTHR28013:SF3', NULL, NULL, NULL, NULL, 'PROTEIN DCV1-RELATED', NULL, NULL, NULL, 15),
(170638, NULL, 'PTHR14000:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170639, NULL, 'PTHR46301:SF32', NULL, NULL, NULL, NULL, 'BNACNNG30580D PROTEIN', NULL, NULL, NULL, 15),
(170640, NULL, 'PTHR45187', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE DOMAIN-CONTAINING PROTEIN 11, CHLOROPLASTIC', NULL, NULL, 38898, 15),
(170641, NULL, 'PTHR12297:SF10', NULL, NULL, NULL, NULL, 'HIG1 DOMAIN FAMILY MEMBER 1C', NULL, NULL, NULL, 15),
(170642, NULL, 'PTHR10552:SF7', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN 40K', NULL, NULL, NULL, 15),
(170643, NULL, 'PTHR45660:SF57', NULL, NULL, NULL, NULL, 'SRA-YDG-RELATED', NULL, NULL, NULL, 15),
(170644, NULL, 'PTHR47998:SF25', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170645, NULL, 'PTHR21308:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG00368', NULL, NULL, NULL, 15),
(170646, NULL, 'PTHR13832:SF382', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C-LIKE PROTEIN', NULL, NULL, NULL, 15),
(170647, NULL, 'PTHR22835:SF117', NULL, NULL, NULL, NULL, 'BNAA06G32900D PROTEIN', NULL, NULL, NULL, 15),
(170648, NULL, 'PTHR13367:SF3', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR ALPHA-INDUCED PROTEIN 3', NULL, NULL, 36375, 15),
(170649, NULL, 'PTHR35578:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH TRANSMEMBRANE PROTEIN 4', NULL, NULL, 36612, 15),
(170650, NULL, 'PTHR31901:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170651, NULL, 'PTHR31044:SF30', NULL, NULL, NULL, NULL, 'OS05G0512600 PROTEIN', NULL, NULL, NULL, 15),
(170652, NULL, 'PTHR47274:SF12', NULL, NULL, NULL, NULL, 'BNAC06G15820D PROTEIN', NULL, NULL, NULL, 15),
(170653, NULL, 'PTHR48001:SF13', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(170654, NULL, 'PTHR36451', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170655, NULL, 'PTHR33169:SF25', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN YIZB-RELATED', NULL, NULL, NULL, 15),
(170656, NULL, 'PTHR33967', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR4', NULL, NULL, 10980, 15),
(170657, NULL, 'PTHR24015:SF423', NULL, NULL, NULL, NULL, 'OS02G0106300 PROTEIN', NULL, NULL, NULL, 15),
(170658, NULL, 'PTHR36760:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170659, NULL, 'PTHR36159', NULL, NULL, NULL, NULL, 'PROTEIN CBG23766', NULL, NULL, NULL, 15),
(170660, NULL, 'PTHR31373:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170661, NULL, 'PTHR31862', NULL, NULL, NULL, NULL, 'UPF0261 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G10120)', NULL, NULL, NULL, 15),
(170662, NULL, 'PTHR47085', NULL, NULL, NULL, NULL, 'ZINC FINGER MYND DOMAIN-CONTAINING PROTEIN 15', NULL, NULL, 38256, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170663, NULL, 'PTHR45675:SF66', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170664, NULL, 'PTHR12411:SF787', NULL, NULL, NULL, NULL, 'CATHEPSIN B-LIKE PROTEASE 3', NULL, NULL, NULL, 15),
(170665, NULL, 'PTHR48001:SF1', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 867', NULL, NULL, NULL, 15),
(170666, NULL, 'PTHR21141:SF83', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2A-LIKE', NULL, NULL, NULL, 15),
(170667, NULL, 'PTHR48043:SF47', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 2A3', NULL, NULL, NULL, 15),
(170668, NULL, 'PTHR35204', NULL, NULL, NULL, NULL, 'YALI0A21131P', NULL, NULL, 36063, 15),
(170669, NULL, 'PTHR36328:SF6', NULL, NULL, NULL, NULL, 'CRYPTDIN PROTEIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170670, NULL, 'PTHR12429:SF10', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NEURL1B', NULL, NULL, NULL, 15),
(170671, NULL, 'PTHR46148:SF36', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, RETROTRANSPOSON GAG DOMAIN, ASPARTIC PEPTIDASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170672, NULL, 'PTHR11176:SF39', NULL, NULL, NULL, NULL, 'BNAA07G10540D PROTEIN', NULL, NULL, NULL, 15),
(170673, NULL, 'PTHR48065:SF17', NULL, NULL, NULL, NULL, 'OS07G0466500 PROTEIN', NULL, NULL, NULL, 15),
(170674, NULL, 'PTHR10795:SF595', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170675, NULL, 'PTHR42721:SF24', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 7-RELATED', NULL, NULL, NULL, 15),
(170676, NULL, 'PTHR31623:SF92', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170677, NULL, 'PTHR34105:SF1', NULL, NULL, NULL, NULL, 'PROLINE-, GLUTAMIC ACID- AND LEUCINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(170678, NULL, 'PTHR23266:SF313', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-15', NULL, NULL, NULL, 15),
(170679, NULL, 'PTHR34552:SF10', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER W PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(170680, NULL, 'PTHR31220', NULL, NULL, NULL, NULL, 'HYCCIN RELATED', NULL, NULL, 16068, 15),
(170681, NULL, 'PTHR22893:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170682, NULL, 'PTHR30160:SF21', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE 1,2-N-ACETYLGLUCOSAMINETRANSFERASE', NULL, NULL, NULL, 15),
(170683, NULL, 'PTHR45806:SF8', NULL, NULL, NULL, NULL, 'OS01G0964000 PROTEIN', NULL, NULL, NULL, 15),
(170684, NULL, 'PTHR48049:SF56', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(170685, NULL, 'PTHR11467:SF126', NULL, NULL, NULL, NULL, 'HISTONE H1.3', NULL, NULL, NULL, 15),
(170686, NULL, 'PTHR31769:SF16', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCAN SYNTHASE COMPONENT (DUF1218)', NULL, NULL, NULL, 15),
(170687, NULL, 'PTHR30164:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MTFA', NULL, NULL, NULL, 15),
(170688, NULL, 'PTHR47003:SF8', NULL, NULL, NULL, NULL, 'BNAA06G16700D PROTEIN', NULL, NULL, NULL, 15),
(170689, NULL, 'PTHR24369:SF172', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND FIBRONECTIN TYPE III DOMAIN CONTAINING 1', NULL, NULL, NULL, 15),
(170690, NULL, 'PTHR34708:SF1', NULL, NULL, NULL, NULL, 'OS08G0126400 PROTEIN', NULL, NULL, NULL, 15),
(170691, NULL, 'PTHR33146:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170692, NULL, 'PTHR46547:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 8-LIKE', NULL, NULL, NULL, 15),
(170693, NULL, 'PTHR43776:SF9', NULL, NULL, NULL, NULL, 'NICKEL IMPORT ATP-BINDING PROTEIN NIKE-RELATED', NULL, NULL, NULL, 15),
(170694, NULL, 'PTHR24241:SF174', NULL, NULL, NULL, NULL, 'CARDIOACCELERATORY PEPTIDE RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(170695, NULL, 'PTHR11062:SF313', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(170696, NULL, 'PTHR33452:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170697, NULL, 'PTHR46018:SF2', NULL, NULL, NULL, NULL, 'ZINC PHOSPHODIESTERASE ELAC PROTEIN 1', NULL, NULL, NULL, 15),
(170698, NULL, 'PTHR21495:SF164', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170699, NULL, 'PTHR34303:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170700, NULL, 'PTHR47929:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170701, NULL, 'PTHR35541', NULL, NULL, NULL, NULL, 'RAD9, HUS1, RAD1-INTERACTING NUCLEAR ORPHAN PROTEIN 1', NULL, NULL, 25688, 15),
(170702, NULL, 'PTHR47968:SF3', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7G', NULL, NULL, NULL, 15),
(170703, NULL, 'PTHR35202:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170704, NULL, 'PTHR31218:SF346', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(170705, NULL, 'PTHR43879', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(170706, NULL, 'PTHR45686:SF7', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD8-RELATED', NULL, NULL, NULL, 15),
(170707, NULL, 'PTHR14221:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170708, NULL, 'PTHR26379:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170709, NULL, 'PTHR45637:SF71', NULL, NULL, NULL, NULL, 'BNAA02G07840D PROTEIN', NULL, NULL, NULL, 15),
(170710, NULL, 'PTHR24064:SF534', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-7-RELATED', NULL, NULL, NULL, 15),
(170711, NULL, 'PTHR16172:SF30', NULL, NULL, NULL, NULL, 'SUGAR BABY, ISOFORM C', NULL, NULL, NULL, 15),
(170712, NULL, 'PTHR11042:SF157', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE 11', NULL, NULL, NULL, 15),
(170713, NULL, 'PTHR34152:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG04891', NULL, NULL, NULL, 15),
(170714, NULL, 'PTHR48001:SF78', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(170715, NULL, 'PTHR10811:SF84', NULL, NULL, NULL, NULL, 'BNAA03G58710D PROTEIN', NULL, NULL, NULL, 15),
(170716, NULL, 'PTHR12791:SF46', NULL, NULL, NULL, NULL, 'BET1-LIKE SNARE 1-1', NULL, NULL, NULL, 15),
(170717, NULL, 'PTHR15344:SF2', NULL, NULL, NULL, NULL, 'ZGC:154093', NULL, NULL, NULL, 15),
(170718, NULL, 'PTHR13639:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 4 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(170719, NULL, 'PTHR14343:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-8L13.5', NULL, NULL, NULL, 15),
(170720, NULL, 'PTHR12308:SF13', NULL, NULL, NULL, NULL, 'ANOCTAMIN-1', NULL, NULL, 22509, 15),
(170721, NULL, 'PTHR19431:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L1', NULL, NULL, NULL, 15),
(170722, NULL, 'PTHR31218:SF189', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(170723, NULL, 'PTHR45627:SF5', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE 8 (BRAIN)', NULL, NULL, NULL, 15),
(170724, NULL, 'PTHR34120:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170725, NULL, 'PTHR11933:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRNA-SPECIFIC 2-THIOURIDYLASE 1', NULL, NULL, NULL, 15),
(170726, NULL, 'PTHR35829:SF2', NULL, NULL, NULL, NULL, 'OS01G0829600 PROTEIN', NULL, NULL, NULL, 15),
(170727, NULL, 'PTHR21212:SF8', NULL, NULL, NULL, NULL, 'ADIPOSE-REGULATORY PROTEIN (SEIPIN)-RELATED', NULL, NULL, NULL, 15),
(170728, NULL, 'PTHR33377:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170729, NULL, 'PTHR23302:SF39', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE CHANNEL-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(170730, NULL, 'PTHR31630', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE-RELATED-RELATED', NULL, NULL, NULL, 15),
(170731, NULL, 'PTHR42721:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170732, NULL, 'PTHR47234:SF3', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR', NULL, NULL, NULL, 15),
(170733, NULL, 'PTHR33877', NULL, NULL, NULL, NULL, 'SLL1193 PROTEIN', NULL, NULL, NULL, 15),
(170734, NULL, 'PTHR16320:SF18', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE', NULL, NULL, NULL, 15),
(170735, NULL, 'PTHR10903:SF150', NULL, NULL, NULL, NULL, 'PROTEIN AIG1', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170736, NULL, 'PTHR45786:SF31', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170737, NULL, 'PTHR45752:SF96', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS GROUP-RELATED LRR 4-RELATED', NULL, NULL, NULL, 15),
(170738, NULL, 'PTHR12864', NULL, NULL, NULL, NULL, 'RAN BINDING PROTEIN 9-RELATED', NULL, NULL, NULL, 15),
(170739, NULL, 'PTHR21516:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG24541', NULL, NULL, NULL, 15),
(170740, NULL, 'PTHR34365:SF4', NULL, NULL, NULL, NULL, 'GLYCINE-RICH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(170741, NULL, 'PTHR31920:SF77', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(170742, NULL, 'PTHR31549:SF108', NULL, NULL, NULL, NULL, 'DUF247 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(170743, NULL, 'PTHR42208:SF1', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(170744, NULL, 'PTHR31992:SF171', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.6', NULL, NULL, NULL, 15),
(170745, NULL, 'PTHR10706:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170746, NULL, 'PTHR33431:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170747, NULL, 'PTHR23078:SF3', NULL, NULL, NULL, NULL, 'VESICLE-FUSING ATPASE', NULL, NULL, NULL, 15),
(170748, NULL, 'PTHR48017:SF64', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 3', NULL, NULL, NULL, 15),
(170749, NULL, 'PTHR10791:SF186', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET12', NULL, NULL, NULL, 15),
(170750, NULL, 'PTHR11573:SF24', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE', NULL, NULL, NULL, 15),
(170751, NULL, 'PTHR11161:SF63', NULL, NULL, NULL, NULL, 'FI21449P1', NULL, NULL, NULL, 15),
(170752, NULL, 'PTHR48018:SF51', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5B12', NULL, NULL, NULL, 15),
(170753, NULL, 'PTHR47990:SF158', NULL, NULL, NULL, NULL, 'SYNTHASE/FLAVANONE 3-HYDROXYLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170754, NULL, 'PTHR12097:SF0', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 1', NULL, NULL, NULL, 15),
(170755, NULL, 'PTHR23277:SF113', NULL, NULL, NULL, NULL, 'POLIOVIRUS RECEPTOR-RELATED 2-LIKE', NULL, NULL, NULL, 15),
(170756, NULL, 'PTHR31656:SF31', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN-RELATED / LEA PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170757, NULL, 'PTHR43732', NULL, NULL, NULL, NULL, 'RIBOSE 5-PHOSPHATE ISOMERASE-RELATED', NULL, NULL, NULL, 15),
(170758, NULL, 'PTHR11863', NULL, NULL, NULL, NULL, 'STEROL DESATURASE', NULL, NULL, NULL, 15),
(170759, NULL, 'PTHR16779:SF1', NULL, NULL, NULL, NULL, 'BETA-1,4-MANNOSYLTRANSFERASE EGH', NULL, NULL, NULL, 15),
(170760, NULL, 'PTHR22850:SF196', NULL, NULL, NULL, NULL, 'WD-40 REPEAT-CONTAINING PROTEIN MSI2-RELATED', NULL, NULL, NULL, 15),
(170761, NULL, 'PTHR31650:SF63', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE WSD1-LIKE', NULL, NULL, NULL, 15),
(170762, NULL, 'PTHR15535:SF17', NULL, NULL, NULL, NULL, 'PROTEIN DDB_G0287365', NULL, NULL, NULL, 15),
(170763, NULL, 'PTHR15923:SF5', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING RECEPTOR 1A', NULL, NULL, NULL, 15),
(170764, NULL, 'PTHR46281:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6B-1', NULL, NULL, NULL, 15),
(170765, NULL, 'PTHR43564:SF1', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(170766, NULL, 'PTHR31568:SF79', NULL, NULL, NULL, NULL, 'BNAA03G01180D PROTEIN', NULL, NULL, NULL, 15),
(170767, NULL, 'PTHR47958:SF110', NULL, NULL, NULL, NULL, 'BNAANNG06720D PROTEIN', NULL, NULL, NULL, 15),
(170768, NULL, 'PTHR10522', NULL, NULL, NULL, NULL, 'GONADOLIBERIN', NULL, NULL, 17900, 15),
(170769, NULL, 'PTHR31314:SF100', NULL, NULL, NULL, NULL, 'BNAC03G73670D PROTEIN', NULL, NULL, NULL, 15),
(170770, NULL, 'PTHR31238:SF218', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(170771, NULL, 'PTHR31787:SF5', NULL, NULL, NULL, NULL, 'FRIZZLED/SMOOTHENED-LIKE SANS CRD PROTEIN A', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170772, NULL, 'PTHR10853:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PELOTA HOMOLOG', NULL, NULL, NULL, 15),
(170773, NULL, 'PTHR10796', NULL, NULL, NULL, NULL, 'PATCHED-RELATED', NULL, NULL, NULL, 15),
(170774, NULL, 'PTHR31246', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-2', NULL, NULL, 12585, 15),
(170775, NULL, 'PTHR16112', NULL, NULL, NULL, NULL, 'METHYL-CPG BINDING PROTEIN, DROSOPHILA', NULL, NULL, 29945, 15),
(170776, NULL, 'PTHR30614:SF7', NULL, NULL, NULL, NULL, 'GLUTAMINE ABC TRANSPORTER PERMEASE PROTEIN GLNM-RELATED', NULL, NULL, NULL, 15),
(170777, NULL, 'PTHR31639:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170778, NULL, 'PTHR10058', NULL, NULL, NULL, NULL, 'MACROPHAGE COLONY STIMULATING FACTOR', NULL, NULL, 4394, 15),
(170779, NULL, 'PTHR31677:SF124', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 7-LIKE', NULL, NULL, NULL, 15),
(170780, NULL, 'PTHR22941:SF136', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(170781, NULL, 'PTHR45644:SF28', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY PARTICLE CHAIN RPT6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(170782, NULL, 'PTHR48053:SF53', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(170783, NULL, 'PTHR47601:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS CCMH-LIKE MITOCHONDRIAL PROTEIN', NULL, NULL, NULL, 15),
(170784, NULL, 'PTHR33257:SF9', NULL, NULL, NULL, NULL, 'OS05G0335500 PROTEIN', NULL, NULL, NULL, 15),
(170785, NULL, 'PTHR34144:SF5', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYLTRANSFERASE CMT1', NULL, NULL, NULL, 15),
(170786, NULL, 'PTHR21553:SF33', NULL, NULL, NULL, NULL, 'CEP295 N-TERMINAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(170787, NULL, 'PTHR24224:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG21053', NULL, NULL, NULL, 15),
(170788, NULL, 'PTHR33893:SF11', NULL, NULL, NULL, NULL, 'INSULIN RELATED-RELATED', NULL, NULL, NULL, 15),
(170789, NULL, 'PTHR24248:SF16', NULL, NULL, NULL, NULL, 'ALPHA-1A ADRENERGIC RECEPTOR', NULL, NULL, NULL, 15),
(170790, NULL, 'PTHR31306:SF5', NULL, NULL, NULL, NULL, 'ALPHA-1,6-MANNOSYLTRANSFERASE MNN10-RELATED', NULL, NULL, NULL, 15),
(170791, NULL, 'PTHR33702:SF18', NULL, NULL, NULL, NULL, 'OS01G0308600 PROTEIN', NULL, NULL, NULL, 15),
(170792, NULL, 'PTHR45651:SF58', NULL, NULL, NULL, NULL, 'OS01G0782800 PROTEIN', NULL, NULL, NULL, 15),
(170793, NULL, 'PTHR12707:SF0', NULL, NULL, NULL, NULL, 'PININ', NULL, NULL, NULL, 15),
(170794, NULL, 'PTHR34366:SF5', NULL, NULL, NULL, NULL, 'OS05G0355900 PROTEIN', NULL, NULL, NULL, 15),
(170795, NULL, 'PTHR48057:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170796, NULL, 'PTHR12714:SF22', NULL, NULL, NULL, NULL, 'PROTEIN-S-ISOPRENYLCYSTEINE O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(170797, NULL, 'PTHR46947:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 73', NULL, NULL, NULL, 15),
(170798, NULL, 'PTHR21113:SF4', NULL, NULL, NULL, NULL, 'AGAP001705-PA', NULL, NULL, NULL, 15),
(170799, NULL, 'PTHR10269:SF17', NULL, NULL, NULL, NULL, 'GDNF FAMILY RECEPTOR ALPHA 3', NULL, NULL, NULL, 15),
(170800, NULL, 'PTHR26452:SF396', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 494', NULL, NULL, NULL, 15),
(170801, NULL, 'PTHR12035:SF45', NULL, NULL, NULL, NULL, 'MYELOID CELL SURFACE ANTIGEN CD33', NULL, NULL, NULL, 15),
(170802, NULL, 'PTHR10218:SF328', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT ALPHA-11', NULL, NULL, NULL, 15),
(170803, NULL, 'PTHR47733', NULL, NULL, NULL, NULL, 'ATAXIN-7 LIKE PROTEIN 3B, ATXN7L3B', NULL, NULL, 39136, 15),
(170804, NULL, 'PTHR33788:SF15', NULL, NULL, NULL, NULL, 'BNAC03G27200D PROTEIN', NULL, NULL, NULL, 15),
(170805, NULL, 'PTHR45654:SF71', NULL, NULL, NULL, NULL, 'START DOMAIN, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170806, NULL, 'PTHR33257:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170807, NULL, 'PTHR10562:SF68', NULL, NULL, NULL, NULL, 'DI-SUMO-LIKE PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170808, NULL, 'PTHR44586:SF19', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(170809, NULL, 'PTHR33347:SF22', NULL, NULL, NULL, NULL, 'BNAA08G19660D PROTEIN', NULL, NULL, NULL, 15),
(170810, NULL, 'PTHR45632:SF13', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 26', NULL, NULL, 27548, 15),
(170811, NULL, 'PTHR46860:SF1', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 2', NULL, NULL, NULL, 15),
(170812, NULL, 'PTHR43539:SF54', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA1-RELATED', NULL, NULL, NULL, 15),
(170813, NULL, 'PTHR19375:SF438', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 14', NULL, NULL, NULL, 15),
(170814, NULL, 'PTHR44240:SF25', NULL, NULL, NULL, NULL, 'BNAA06G25520D PROTEIN', NULL, NULL, NULL, 15),
(170815, NULL, 'PTHR24046:SF4', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE, CUB AND EGF-LIKE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(170816, NULL, 'PTHR34283:SF6', NULL, NULL, NULL, NULL, 'UP-9A', NULL, NULL, NULL, 15),
(170817, NULL, 'PTHR14359:SF26', NULL, NULL, NULL, NULL, 'PHOSPHOPANTOTHENOYLCYSTEINE DECARBOXYLASE-RELATED', NULL, NULL, NULL, 15),
(170818, NULL, 'PTHR22943:SF251', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(170819, NULL, 'PTHR11462:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-1', NULL, NULL, 8286, 15),
(170820, NULL, 'PTHR46750:SF1', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEASE INHIBITOR 1', NULL, NULL, NULL, 15),
(170821, NULL, 'PTHR13343:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170822, NULL, 'PTHR11753', NULL, NULL, NULL, NULL, 'ADAPTOR COMPLEXES SMALL SUBUNIT FAMILY', NULL, NULL, 19679, 15),
(170823, NULL, 'PTHR13773:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE, PHOTORECEPTOR-SPECIFIC', NULL, NULL, NULL, 15),
(170824, NULL, 'PTHR47104:SF3', NULL, NULL, NULL, NULL, 'BNAANNG16210D PROTEIN', NULL, NULL, NULL, 15),
(170825, NULL, 'PTHR22599:SF1', NULL, NULL, NULL, NULL, 'MOB-LIKE PROTEIN PHOCEIN', NULL, NULL, NULL, 15),
(170826, NULL, 'PTHR31972:SF8', NULL, NULL, NULL, NULL, 'OS06G0181800 PROTEIN', NULL, NULL, NULL, 15),
(170827, NULL, 'PTHR10656:SF7', NULL, NULL, NULL, NULL, 'PROTEIN MAB-21-LIKE 4', NULL, NULL, 22565, 15),
(170828, NULL, 'PTHR31730:SF33', NULL, NULL, NULL, NULL, 'D-LACTATE DEHYDROGENASE (DUF668)', NULL, NULL, NULL, 15),
(170829, NULL, 'PTHR43077', NULL, NULL, NULL, NULL, 'TRANSPORT PERMEASE YVFS-RELATED', NULL, NULL, NULL, 15),
(170830, NULL, 'PTHR14435:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 106', NULL, NULL, NULL, 15),
(170831, NULL, 'PTHR31495:SF30', NULL, NULL, NULL, NULL, 'PEROXYGENASE 2', NULL, NULL, NULL, 15),
(170832, NULL, 'PTHR31062:SF207', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(170833, NULL, 'PTHR11188:SF67', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(170834, NULL, 'PTHR24028:SF150', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA-8', NULL, NULL, NULL, 15),
(170835, NULL, 'PTHR22847:SF603', NULL, NULL, NULL, NULL, 'PROTEIN WILL DIE SLOWLY', NULL, NULL, NULL, 15),
(170836, NULL, 'PTHR36934', NULL, NULL, NULL, NULL, 'BLR0278 PROTEIN', NULL, NULL, 25335, 15),
(170837, NULL, 'PTHR23350', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY PROTEIN 10', NULL, NULL, NULL, 15),
(170838, NULL, 'PTHR23110:SF97', NULL, NULL, NULL, NULL, 'MODIFIER OF MDG4', NULL, NULL, NULL, 15),
(170839, NULL, 'PTHR21504:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG08471', NULL, NULL, NULL, 15),
(170840, NULL, 'PTHR39466', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170841, NULL, 'PTHR24128:SF35', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT33', NULL, NULL, NULL, 15),
(170842, NULL, 'PTHR24089:SF680', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL3-RELATED', NULL, NULL, NULL, 15),
(170843, NULL, 'PTHR43139:SF55', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD-1 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(170844, NULL, 'PTHR48053:SF67', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM1', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170845, NULL, 'PTHR13318:SF89', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP2', NULL, NULL, NULL, 15),
(170846, NULL, 'PTHR46101', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170847, NULL, 'PTHR24423:SF625', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE SENSOR 1', NULL, NULL, NULL, 15),
(170848, NULL, 'PTHR32078:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN MDM1', NULL, NULL, NULL, 15),
(170849, NULL, 'PTHR45621:SF173', NULL, NULL, NULL, NULL, 'BNAC01G39330D PROTEIN', NULL, NULL, NULL, 15),
(170850, NULL, 'PTHR27006:SF212', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170851, NULL, 'PTHR15157:SF5', NULL, NULL, NULL, NULL, 'UV RADIATION RESISTANCE-ASSOCIATED GENE PROTEIN', NULL, NULL, NULL, 15),
(170852, NULL, 'PTHR11746:SF227', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(170853, NULL, 'PTHR45792:SF2', NULL, NULL, NULL, NULL, 'SN1-SPECIFIC DIACYLGLYCEROL LIPASE BETA', NULL, NULL, NULL, 15),
(170854, NULL, 'PTHR45709:SF2', NULL, NULL, NULL, NULL, 'LARGE SUBUNIT GTPASE 1 HOMOLOG', NULL, NULL, NULL, 15),
(170855, NULL, 'PTHR19368:SF9', NULL, NULL, NULL, NULL, 'X-LINKED LYMPHOCYTE-REGULATED 5A-RELATED', NULL, NULL, NULL, 15),
(170856, NULL, 'PTHR31790:SF413', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170857, NULL, 'PTHR11132:SF333', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-LIKE', NULL, NULL, 27247, 15),
(170858, NULL, 'PTHR24284:SF8', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(170859, NULL, 'PTHR10000:SF25', NULL, NULL, NULL, NULL, 'PHOSPHATASE YKRA-RELATED', NULL, NULL, NULL, 15),
(170860, NULL, 'PTHR21659:SF21', NULL, NULL, NULL, NULL, 'OS06G0651900 PROTEIN', NULL, NULL, NULL, 15),
(170861, NULL, 'PTHR45631:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170862, NULL, 'PTHR16266:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170863, NULL, 'PTHR24096:SF392', NULL, NULL, NULL, NULL, 'BNAC07G15330D PROTEIN', NULL, NULL, NULL, 15),
(170864, NULL, 'PTHR31388:SF11', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(170865, NULL, 'PTHR24377:SF691', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 773', NULL, NULL, NULL, 15),
(170866, NULL, 'PTHR47664:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170867, NULL, 'PTHR31175:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170868, NULL, 'PTHR47941:SF6', NULL, NULL, NULL, NULL, 'OS01G0546700 PROTEIN', NULL, NULL, NULL, 15),
(170869, NULL, 'PTHR46980', NULL, NULL, NULL, NULL, 'TRICALBIN-1-RELATED', NULL, NULL, NULL, 15),
(170870, NULL, 'PTHR45635:SF8', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN ER-ANT1', NULL, NULL, NULL, 15),
(170871, NULL, 'PTHR31945:SF82', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ICE1', NULL, NULL, NULL, 15),
(170872, NULL, 'PTHR12214', NULL, NULL, NULL, NULL, 'GC-RICH SEQUENCE DNA-BINDING FACTOR', NULL, NULL, 13033, 15),
(170873, NULL, 'PTHR34830:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN MGC34837', NULL, NULL, NULL, 15),
(170874, NULL, 'PTHR19134:SF433', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE ALPHA', NULL, NULL, 28595, 15),
(170875, NULL, 'PTHR43601:SF9', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 1-3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(170876, NULL, 'PTHR12022:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 7-1', NULL, NULL, NULL, 15),
(170877, NULL, 'PTHR46236:SF12', NULL, NULL, NULL, NULL, 'BNAC04G52710D PROTEIN', NULL, NULL, NULL, 15),
(170878, NULL, 'PTHR14948', NULL, NULL, NULL, NULL, 'NG5', NULL, NULL, NULL, 15),
(170879, NULL, 'PTHR34395:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170880, NULL, 'PTHR22574:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAM71F2', NULL, NULL, NULL, 15),
(170881, NULL, 'PTHR33769:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 26', NULL, NULL, NULL, 15),
(170882, NULL, 'PTHR16675:SF232', NULL, NULL, NULL, NULL, 'UL-16 BINDING PROTEIN 5', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170883, NULL, 'PTHR10302:SF13', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(170884, NULL, 'PTHR12002:SF32', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, NULL, 15),
(170885, NULL, 'PTHR31235:SF176', NULL, NULL, NULL, NULL, 'OS07G0156910 PROTEIN', NULL, NULL, NULL, 15),
(170886, NULL, 'PTHR13105:SF15', NULL, NULL, NULL, NULL, 'MYELOID LEUKEMIA FACTOR 1', NULL, NULL, NULL, 15),
(170887, NULL, 'PTHR30353:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(170888, NULL, 'PTHR31356:SF42', NULL, NULL, NULL, NULL, 'HAEM PEROXIDASE, PLANT/FUNGAL/BACTERIAL', NULL, NULL, NULL, 15),
(170889, NULL, 'PTHR12722:SF3', NULL, NULL, NULL, NULL, 'BNAA04G11980D PROTEIN', NULL, NULL, NULL, 15),
(170890, NULL, 'PTHR10915', NULL, NULL, NULL, NULL, 'SYNDECAN', NULL, NULL, 2189, 15),
(170891, NULL, 'PTHR48002:SF11', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(170892, NULL, 'PTHR15315:SF75', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(170893, NULL, 'PTHR47998:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WER', NULL, NULL, NULL, 15),
(170894, NULL, 'PTHR19328:SF68', NULL, NULL, NULL, NULL, 'HIPL1 PROTEIN', NULL, NULL, NULL, 15),
(170895, NULL, 'PTHR10353:SF280', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 12', NULL, NULL, NULL, 15),
(170896, NULL, 'PTHR43434:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00760)-RELATED', NULL, NULL, NULL, 15),
(170897, NULL, 'PTHR31080:SF216', NULL, NULL, NULL, NULL, 'KDA PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170898, NULL, 'PTHR11851:SF208', NULL, NULL, NULL, NULL, 'BNAA05G15080D PROTEIN', NULL, NULL, NULL, 15),
(170899, NULL, 'PTHR10933:SF16', NULL, NULL, NULL, NULL, 'PP2A REGULATORY SUBUNIT TAP46', NULL, NULL, NULL, 15),
(170900, NULL, 'PTHR46209:SF2', NULL, NULL, NULL, NULL, 'SORTING NEXIN-10', NULL, NULL, NULL, 15),
(170901, NULL, 'PTHR34427', NULL, NULL, NULL, NULL, 'DUF4283 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(170902, NULL, 'PTHR24416:SF390', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR RECEPTOR 1', NULL, NULL, NULL, 15),
(170903, NULL, 'PTHR23267:SF433', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 2-18', NULL, NULL, NULL, 15),
(170904, NULL, 'PTHR31500:SF99', NULL, NULL, NULL, NULL, 'BNAC04G26040D PROTEIN', NULL, NULL, NULL, 15),
(170905, NULL, 'PTHR11377:SF7', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(170906, NULL, 'PTHR47365:SF1', NULL, NULL, NULL, NULL, 'PLANT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170907, NULL, 'PTHR31889:SF9', NULL, NULL, NULL, NULL, 'OS06G0212600 PROTEIN', NULL, NULL, NULL, 15),
(170908, NULL, 'PTHR22847:SF709', NULL, NULL, NULL, NULL, 'SI:CH211-154O6.3', NULL, NULL, NULL, 15),
(170909, NULL, 'PTHR45642:SF42', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(170910, NULL, 'PTHR12526:SF577', NULL, NULL, NULL, NULL, 'GDP-MANNOSE-DEPENDENT ALPHA-(1-6)-PHOSPHATIDYLINOSITOL MONOMANNOSIDE MANNOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(170911, NULL, 'PTHR21104', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(170912, NULL, 'PTHR31232:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170913, NULL, 'PTHR38394', NULL, NULL, NULL, NULL, 'NEUROFILAMENT LIGHT PROTEIN', NULL, NULL, NULL, 15),
(170914, NULL, 'PTHR21668:SF16', NULL, NULL, NULL, NULL, 'BNAC06G03140D PROTEIN', NULL, NULL, NULL, 15),
(170915, NULL, 'PTHR34126:SF8', NULL, NULL, NULL, NULL, 'BNACNNG26350D PROTEIN', NULL, NULL, NULL, 15),
(170916, NULL, 'PTHR45866:SF7', NULL, NULL, NULL, NULL, 'DNA GYRASE SUBUNIT B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(170917, NULL, 'PTHR43763:SF11', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE APEPP', NULL, NULL, NULL, 15),
(170918, NULL, 'PTHR31645:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170919, NULL, 'PTHR26452:SF117', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 490', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170920, NULL, 'PTHR11017:SF224', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(170921, NULL, 'PTHR31815', NULL, NULL, NULL, NULL, 'AGAP005329-PA', NULL, NULL, 19190, 15),
(170922, NULL, 'PTHR45580:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG05737', NULL, NULL, NULL, 15),
(170923, NULL, 'PTHR11487', NULL, NULL, NULL, NULL, 'THIOESTERASE', NULL, NULL, 14050, 15),
(170924, NULL, 'PTHR11523:SF28', NULL, NULL, NULL, NULL, 'AT04468P-RELATED', NULL, NULL, NULL, 15),
(170925, NULL, 'PTHR35167:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170926, NULL, 'PTHR33621:SF3', NULL, NULL, NULL, NULL, 'LISH DOMAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(170927, NULL, 'PTHR43385:SF1', NULL, NULL, NULL, NULL, 'RIBOFLAVIN TRANSPORTER RIBJ', NULL, NULL, NULL, 15),
(170928, NULL, 'PTHR47074:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170929, NULL, 'PTHR23102:SF24', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION-SPECIFIC FACTOR 4', NULL, NULL, NULL, 15),
(170930, NULL, 'PTHR11530:SF15', NULL, NULL, NULL, NULL, 'D-AMINO-ACID OXIDASE', NULL, NULL, NULL, 15),
(170931, NULL, 'PTHR24131', NULL, NULL, NULL, NULL, 'APOPTOSIS-STIMULATING OF P53 PROTEIN', NULL, NULL, NULL, 15),
(170932, NULL, 'PTHR20859:SF81', NULL, NULL, NULL, NULL, 'INTERLEUKIN 10 RECEPTOR, ALPHA', NULL, NULL, NULL, 15),
(170933, NULL, 'PTHR22870:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170934, NULL, 'PTHR10378:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR SLK2-RELATED', NULL, NULL, NULL, 15),
(170935, NULL, 'PTHR48017:SF99', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170936, NULL, 'PTHR35546:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170937, NULL, 'PTHR15503:SF4', NULL, NULL, NULL, NULL, 'PROTEIN BOP', NULL, NULL, 24653, 15),
(170938, NULL, 'PTHR11690:SF177', NULL, NULL, NULL, NULL, 'EGF PLUS ASC DOMAIN ION CHANNEL', NULL, NULL, NULL, 15),
(170939, NULL, 'PTHR48021:SF63', NULL, NULL, NULL, NULL, 'GH07001P-RELATED', NULL, NULL, NULL, 15),
(170940, NULL, 'PTHR33124:SF45', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(170941, NULL, 'PTHR46699:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE', NULL, NULL, NULL, 15),
(170942, NULL, 'PTHR31720:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS Z', NULL, NULL, NULL, 15),
(170943, NULL, 'PTHR46756:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170944, NULL, 'PTHR30540:SF15', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 19', NULL, NULL, NULL, 15),
(170945, NULL, 'PTHR45842:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT, IMMUNOGLOBULIN-LIKE DOMAIN AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(170946, NULL, 'PTHR35541:SF1', NULL, NULL, NULL, NULL, 'RAD9, HUS1, RAD1-INTERACTING NUCLEAR ORPHAN PROTEIN 1', NULL, NULL, NULL, 15),
(170947, NULL, 'PTHR10131:SF69', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR FAMILY PROTEIN DDB_G0273435/DDB_G0273505', NULL, NULL, NULL, 15),
(170948, NULL, 'PTHR11690:SF179', NULL, NULL, NULL, NULL, 'PICKPOCKET 10-RELATED', NULL, NULL, NULL, 15),
(170949, NULL, 'PTHR36493:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170950, NULL, 'PTHR34280:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170951, NULL, 'PTHR32219:SF17', NULL, NULL, NULL, NULL, 'BNAC07G50300D PROTEIN', NULL, NULL, 25818, 15),
(170952, NULL, 'PTHR33026', NULL, NULL, NULL, NULL, 'OS06G0360600 PROTEIN', NULL, NULL, NULL, 15),
(170953, NULL, 'PTHR43072:SF26', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, GNAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(170954, NULL, 'PTHR11679:SF65', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT SEC1B', NULL, NULL, NULL, 15),
(170955, NULL, 'PTHR43002:SF6', NULL, NULL, NULL, NULL, 'ISOAMYLASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170956, NULL, 'PTHR47928:SF34', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN, DYW DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170957, NULL, 'PTHR24103:SF643', NULL, NULL, NULL, NULL, 'SI:CH73-54F23.4', NULL, NULL, NULL, 15),
(170958, NULL, 'PTHR34460:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170959, NULL, 'PTHR22914:SF20', NULL, NULL, NULL, NULL, 'SYNTHASE 2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(170960, NULL, 'PTHR22647:SF2', NULL, NULL, NULL, NULL, 'SH3 DOMAIN AND TETRATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(170961, NULL, 'PTHR38811', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 4507, 15),
(170962, NULL, 'PTHR31307:SF41', NULL, NULL, NULL, NULL, 'FRIGIDA INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(170963, NULL, 'PTHR30461:SF3', NULL, NULL, NULL, NULL, 'DNA RECOMBINASE-RELATED', NULL, NULL, NULL, 15),
(170964, NULL, 'PTHR42748:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170965, NULL, 'PTHR34779:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170966, NULL, 'PTHR47958:SF111', NULL, NULL, NULL, NULL, 'DEAD (ASP-GLU-ALA-ASP) BOX POLYPEPTIDE 43', NULL, NULL, NULL, 15),
(170967, NULL, 'PTHR38386:SF5', NULL, NULL, NULL, NULL, 'OS01G0877900 PROTEIN', NULL, NULL, NULL, 15),
(170968, NULL, 'PTHR24221:SF506', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(170969, NULL, 'PTHR37524:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE M', NULL, NULL, NULL, 15),
(170970, NULL, 'PTHR31050:SF0', NULL, NULL, NULL, NULL, 'OS08G0412800 PROTEIN', NULL, NULL, NULL, 15),
(170971, NULL, 'PTHR43939:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170972, NULL, 'PTHR45652:SF3', NULL, NULL, NULL, NULL, 'NEUROFILAMENT MEDIUM POLYPEPTIDE', NULL, NULL, 26739, 15),
(170973, NULL, 'PTHR47649', NULL, NULL, NULL, NULL, 'RIBONUCLEASE D', NULL, NULL, NULL, 15),
(170974, NULL, 'PTHR11709:SF352', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(170975, NULL, 'PTHR23033:SF14', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN-N-ACETYLGALACTOSAMINE 3-BETA-GALACTOSYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(170976, NULL, 'PTHR36721', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', NULL, NULL, NULL, 15),
(170977, NULL, 'PTHR11787:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170978, NULL, 'PTHR48061:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170979, NULL, 'PTHR45863:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(170980, NULL, 'PTHR34403:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG06366', NULL, NULL, NULL, 15),
(170981, NULL, 'PTHR43649', NULL, NULL, NULL, NULL, 'ARABINOSE-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(170982, NULL, 'PTHR46325:SF12', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC11-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(170983, NULL, 'PTHR46776:SF18', NULL, NULL, NULL, NULL, 'BNAC04G12110D PROTEIN', NULL, NULL, NULL, 15),
(170984, NULL, 'PTHR22734:SF2', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RIBONUCLEOPROTEIN PROTEIN IMP4', NULL, NULL, NULL, 15),
(170985, NULL, 'PTHR13680:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170986, NULL, 'PTHR32285:SF309', NULL, NULL, NULL, NULL, 'PMR5 N-TERMINAL DOMAIN, PC-ESTERASE-RELATED', NULL, NULL, NULL, 15),
(170987, NULL, 'PTHR11035', NULL, NULL, NULL, NULL, 'PTPLA DOMAIN PROTEIN', NULL, NULL, 10057, 15),
(170988, NULL, 'PTHR23042:SF48', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR NUCLEAR TRANSLOCATOR-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(170989, NULL, 'PTHR24168', NULL, NULL, NULL, NULL, 'KN MOTIF AND ANKYRIN REPEAT DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(170990, NULL, 'PTHR22770:SF32', NULL, NULL, NULL, NULL, 'HELICASE CONSERVED C-TERMINAL DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(170991, NULL, 'PTHR17571', NULL, NULL, NULL, NULL, 'URINARY PROTEIN  RUP /ACROSOMAL PROTEIN SP-10', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(170992, NULL, 'PTHR11537:SF269', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170993, NULL, 'PTHR43016:SF15', NULL, NULL, NULL, NULL, 'BNAA01G26230D PROTEIN', NULL, NULL, NULL, 15),
(170994, NULL, 'PTHR10634:SF116', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 10', NULL, NULL, NULL, 15),
(170995, NULL, 'PTHR31828:SF34', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA-LIKE', NULL, NULL, NULL, 15),
(170996, NULL, 'PTHR12083:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(170997, NULL, 'PTHR22589:SF102', NULL, NULL, NULL, NULL, 'CARNITINE PALMITOYLTRANSFERASE 1A (LIVER)', NULL, NULL, NULL, 15),
(170998, NULL, 'PTHR24093:SF435', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE CALCIUM-TRANSPORTING ATPASE 4', NULL, NULL, 8488, 15),
(170999, NULL, 'PTHR42826', NULL, NULL, NULL, NULL, 'DICARBOXYLATE TRANSPORTER 2.1, CHLOROPLASTIC', NULL, NULL, 24602, 15),
(171000, NULL, 'PTHR46458:SF9', NULL, NULL, NULL, NULL, 'BLR2807 PROTEIN', NULL, NULL, NULL, 15),
(171001, NULL, 'PTHR45614:SF3', NULL, NULL, NULL, NULL, 'OS06G0637500 PROTEIN', NULL, NULL, NULL, 15),
(171002, NULL, 'PTHR11570:SF19', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', NULL, NULL, NULL, 15),
(171003, NULL, 'PTHR15239:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171004, NULL, 'PTHR24032:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171005, NULL, 'PTHR23087:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171006, NULL, 'PTHR12612:SF37', NULL, NULL, NULL, NULL, 'BNAC03G58210D PROTEIN', NULL, NULL, NULL, 15),
(171007, NULL, 'PTHR24103:SF625', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 69', NULL, NULL, NULL, 15),
(171008, NULL, 'PTHR10652:SF14', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(171009, NULL, 'PTHR20275:SF37', NULL, NULL, NULL, NULL, 'BNAC02G25050D PROTEIN', NULL, NULL, NULL, 15),
(171010, NULL, 'PTHR22969:SF15', NULL, NULL, NULL, NULL, 'FI05319P-RELATED', NULL, NULL, NULL, 15),
(171011, NULL, 'PTHR45645:SF37', NULL, NULL, NULL, NULL, 'CUB DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(171012, NULL, 'PTHR16771:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171013, NULL, 'PTHR19854:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171014, NULL, 'PTHR27006:SF395', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171015, NULL, 'PTHR31949:SF12', NULL, NULL, NULL, NULL, 'BNAC01G39250D PROTEIN', NULL, NULL, NULL, 15),
(171016, NULL, 'PTHR15663:SF4', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(171017, NULL, 'PTHR38479:SF2', NULL, NULL, NULL, NULL, 'LMO0824 PROTEIN', NULL, NULL, NULL, 15),
(171018, NULL, 'PTHR47616', NULL, NULL, NULL, NULL, 'CHOLESTERYL ESTER TRANSFER PROTEIN', NULL, NULL, 20646, 15),
(171019, NULL, 'PTHR45687:SF72', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-3-RELATED', NULL, NULL, NULL, 15),
(171020, NULL, 'PTHR10529:SF357', NULL, NULL, NULL, NULL, 'ASSEMBLY PROTEIN AP47, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(171021, NULL, 'PTHR11481:SF60', NULL, NULL, NULL, NULL, 'MUSCLE M-LINE ASSEMBLY PROTEIN UNC-89', NULL, NULL, NULL, 15),
(171022, NULL, 'PTHR31852:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171023, NULL, 'PTHR31374:SF298', NULL, NULL, NULL, NULL, 'BNACNNG23650D PROTEIN', NULL, NULL, NULL, 15),
(171024, NULL, 'PTHR43670:SF68', NULL, NULL, NULL, NULL, 'BNAC02G02530D PROTEIN', NULL, NULL, NULL, 15),
(171025, NULL, 'PTHR11078', NULL, NULL, NULL, NULL, 'N UTILIZATION SUBSTANCE PROTEIN B-RELATED', NULL, NULL, 11421, 15),
(171026, NULL, 'PTHR22952:SF396', NULL, NULL, NULL, NULL, 'G-BOX-BINDING FACTOR 4', NULL, NULL, NULL, 15),
(171027, NULL, 'PTHR24245:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171028, NULL, 'PTHR33177:SF32', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171029, NULL, 'PTHR13024:SF2', NULL, NULL, NULL, NULL, 'MICROSOMAL TRIGLYCERIDE TRANSFER PROTEIN LARGE SUBUNIT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(171030, NULL, 'PTHR26451:SF49', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10Z1', NULL, NULL, NULL, 15),
(171031, NULL, 'PTHR46443:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171032, NULL, 'PTHR20981:SF31', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L21-1', NULL, NULL, NULL, 15),
(171033, NULL, 'PTHR31852:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171034, NULL, 'PTHR24245:SF7', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 78', NULL, NULL, NULL, 15),
(171035, NULL, 'PTHR10795:SF718', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171036, NULL, 'PTHR43451', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE (GNAT) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(171037, NULL, 'PTHR11157:SF122', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN A-LIKE', NULL, NULL, NULL, 15),
(171038, NULL, 'PTHR12743:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C HEME LYASE', NULL, NULL, NULL, 15),
(171039, NULL, 'PTHR18945:SF811', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 3E', NULL, NULL, NULL, 15),
(171040, NULL, 'PTHR10283:SF125', NULL, NULL, NULL, NULL, 'CITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(171041, NULL, 'PTHR24329:SF546', NULL, NULL, NULL, NULL, 'ARISTALESS (DROSOPHILA HOMEODOMAIN) RELATED', NULL, NULL, NULL, 15),
(171042, NULL, 'PTHR43485', NULL, NULL, NULL, NULL, 'HYDROGENASE-4 COMPONENT G', NULL, NULL, NULL, 15),
(171043, NULL, 'PTHR21552', NULL, NULL, NULL, NULL, 'ADULT RETINA PROTEIN', NULL, NULL, 35129, 15),
(171044, NULL, 'PTHR14379:SF43', NULL, NULL, NULL, NULL, 'BNAA05G18550D PROTEIN', NULL, NULL, NULL, 15),
(171045, NULL, 'PTHR47924:SF34', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(171046, NULL, 'PTHR24559:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171047, NULL, 'PTHR45694:SF11', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C6', NULL, NULL, NULL, 15),
(171048, NULL, 'PTHR18934:SF81', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DEAH11, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(171049, NULL, 'PTHR43833', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL PROTEIN 2-RELATED-RELATED', NULL, NULL, NULL, 15),
(171050, NULL, 'PTHR31190:SF226', NULL, NULL, NULL, NULL, 'BNAC04G53270D PROTEIN', NULL, NULL, NULL, 15),
(171051, NULL, 'PTHR12084:SF0', NULL, NULL, NULL, NULL, 'NUCLEOPORIN 62-LIKE', NULL, NULL, NULL, 15),
(171052, NULL, 'PTHR21599', NULL, NULL, NULL, NULL, 'GLYCERATE KINASE', NULL, NULL, 5845, 15),
(171053, NULL, 'PTHR46571:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN-8', NULL, NULL, NULL, 15),
(171054, NULL, 'PTHR47946:SF13', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(171055, NULL, 'PTHR36006', NULL, NULL, NULL, NULL, 'BNAC02G25390D PROTEIN', NULL, NULL, NULL, 15),
(171056, NULL, 'PTHR34803', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 15385, 15),
(171057, NULL, 'PTHR11002:SF42', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 1', NULL, NULL, NULL, 15),
(171058, NULL, 'PTHR24287:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE APDE-RELATED', NULL, NULL, NULL, 15),
(171059, NULL, 'PTHR31388:SF169', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(171060, NULL, 'PTHR31087:SF109', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(171061, NULL, 'PTHR16228:SF26', NULL, NULL, NULL, NULL, 'AGAP000663-PA', NULL, NULL, NULL, 15),
(171062, NULL, 'PTHR33675:SF6', NULL, NULL, NULL, NULL, 'OS01G0182500 PROTEIN', NULL, NULL, NULL, 15),
(171063, NULL, 'PTHR31578:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG21223', NULL, NULL, NULL, 15),
(171064, NULL, 'PTHR45974:SF146', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(171065, NULL, 'PTHR10378', NULL, NULL, NULL, NULL, 'LIM DOMAIN-BINDING PROTEIN', NULL, NULL, 28873, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171066, NULL, 'PTHR11926:SF1202', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 79', NULL, NULL, NULL, 15),
(171067, NULL, 'PTHR11252:SF9', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE NUCLEOTIDYLTRANSFERASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(171068, NULL, 'PTHR48125:SF3', NULL, NULL, NULL, NULL, 'BLR3067 PROTEIN', NULL, NULL, NULL, 15),
(171069, NULL, 'PTHR36916', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(171070, NULL, 'PTHR23023:SF263', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(171071, NULL, 'PTHR23201:SF107', NULL, NULL, NULL, NULL, 'BNACNNG52390D PROTEIN', NULL, NULL, NULL, 15),
(171072, NULL, 'PTHR32243:SF52', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE SUGAR TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(171073, NULL, 'PTHR45614:SF122', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(171074, NULL, 'PTHR10578', NULL, NULL, NULL, NULL, 'S -2-HYDROXY-ACID OXIDASE-RELATED', NULL, NULL, NULL, 15),
(171075, NULL, 'PTHR31355:SF20', NULL, NULL, NULL, NULL, 'TORTIFOLIA1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(171076, NULL, 'PTHR13356:SF0', NULL, NULL, NULL, NULL, 'SOSS COMPLEX SUBUNIT B HOMOLOG', NULL, NULL, NULL, 15),
(171077, NULL, 'PTHR10980:SF15', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 2', NULL, NULL, NULL, 15),
(171078, NULL, 'PTHR31683:SF118', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(171079, NULL, 'PTHR45728:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG00376', NULL, NULL, NULL, 15),
(171080, NULL, 'PTHR22814:SF288', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 44', NULL, NULL, NULL, 15),
(171081, NULL, 'PTHR23024:SF517', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171082, NULL, 'PTHR33067:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171083, NULL, 'PTHR12210:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171084, NULL, 'PTHR13451:SF0', NULL, NULL, NULL, NULL, 'CROSSOVER JUNCTION ENDONUCLEASE MUS81', NULL, NULL, NULL, 15),
(171085, NULL, 'PTHR46709:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG09737', NULL, NULL, NULL, 15),
(171086, NULL, 'PTHR31394', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 199', NULL, NULL, 15169, 15),
(171087, NULL, 'PTHR11839:SF28', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 27, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(171088, NULL, 'PTHR19944:SF97', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DR BETA 5 CHAIN', NULL, NULL, NULL, 15),
(171089, NULL, 'PTHR14122:SF1', NULL, NULL, NULL, NULL, 'APPETITE-REGULATING HORMONE', NULL, NULL, NULL, 15),
(171090, NULL, 'PTHR11615:SF264', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1F1', NULL, NULL, NULL, 15),
(171091, NULL, 'PTHR22298:SF108', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(171092, NULL, 'PTHR31169:SF19', NULL, NULL, NULL, NULL, 'ZINC-FINGER DOMAIN OF MONOAMINE-OXIDASE A REPRESSOR R1-RELATED', NULL, NULL, NULL, 15),
(171093, NULL, 'PTHR14401:SF6', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN K', NULL, NULL, NULL, 15),
(171094, NULL, 'PTHR24031:SF634', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX18', NULL, NULL, NULL, 15),
(171095, NULL, 'PTHR45793:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TTX-1', NULL, NULL, NULL, 15),
(171096, NULL, 'PTHR21637:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171097, NULL, 'PTHR42778', NULL, NULL, NULL, NULL, '2-AMINOETHYLPHOSPHONATE--PYRUVATE TRANSAMINASE', NULL, NULL, NULL, 15),
(171098, NULL, 'PTHR36447', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE GANA', NULL, NULL, 6452, 15),
(171099, NULL, 'PTHR33021:SF305', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(171100, NULL, 'PTHR18866:SF126', NULL, NULL, NULL, NULL, 'ACETYL-/PROPIONYL-COENZYME A CARBOXYLASE ALPHA CHAIN (ALPHA SUBUNIT) ACCA2: BIOTIN CARBOXYLASE + BIOTIN CARBOXYL CARRIER PROTEIN (BCCP)-RELATED', NULL, NULL, NULL, 15),
(171101, NULL, 'PTHR47975:SF11', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 6', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171102, NULL, 'PTHR36801:SF3', NULL, NULL, NULL, NULL, 'OS06G0150200 PROTEIN', NULL, NULL, NULL, 15),
(171103, NULL, 'PTHR14950:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171104, NULL, 'PTHR10263:SF49', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C3', NULL, NULL, NULL, 15),
(171105, NULL, 'PTHR34399', NULL, NULL, NULL, NULL, 'AVIDIN-RELATED', NULL, NULL, NULL, 15),
(171106, NULL, 'PTHR24064:SF481', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 3', NULL, NULL, NULL, 15),
(171107, NULL, 'PTHR45844:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH30', NULL, NULL, NULL, 15),
(171108, NULL, 'PTHR10179:SF34', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 3', NULL, NULL, NULL, 15),
(171109, NULL, 'PTHR12612:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171110, NULL, 'PTHR24296:SF157', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171111, NULL, 'PTHR48001:SF136', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(171112, NULL, 'PTHR47504:SF5', NULL, NULL, NULL, NULL, 'RIGHT ORIGIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(171113, NULL, 'PTHR13502', NULL, NULL, NULL, NULL, 'CDC42 SMALL EFFECTOR PROTEIN HOMOLOG', NULL, NULL, 35530, 15),
(171114, NULL, 'PTHR14413', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L17', NULL, NULL, 6838, 15),
(171115, NULL, 'PTHR19842:SF0', NULL, NULL, NULL, NULL, 'TARGET OF RAPAMYCIN COMPLEX SUBUNIT LST8', NULL, NULL, NULL, 15),
(171116, NULL, 'PTHR22854:SF18', NULL, NULL, NULL, NULL, 'ALDOLASE-TYPE TIM BARREL FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(171117, NULL, 'PTHR33207:SF54', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(171118, NULL, 'PTHR46043:SF11', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(171119, NULL, 'PTHR32467:SF118', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-7', NULL, NULL, NULL, 15),
(171120, NULL, 'PTHR43763', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE 1', NULL, NULL, NULL, 15),
(171121, NULL, 'PTHR47991:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171122, NULL, 'PTHR47107', NULL, NULL, NULL, NULL, 'SVF1-LIKE PROTEIN YDR222W-RELATED', NULL, NULL, NULL, 15),
(171123, NULL, 'PTHR21022:SF25', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(171124, NULL, 'PTHR10465', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GTPASE FZO1', NULL, NULL, 22241, 15),
(171125, NULL, 'PTHR46152:SF1', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR-INTERACTING RAS-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(171126, NULL, 'PTHR39615:SF1', NULL, NULL, NULL, NULL, 'YALI0E17897P', NULL, NULL, NULL, 15),
(171127, NULL, 'PTHR47406', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR 5/8 TYPE, C-TERMINAL', NULL, NULL, NULL, 15),
(171128, NULL, 'PTHR15852:SF29', NULL, NULL, NULL, NULL, 'PLASTID TRANSCRIPTIONALLY ACTIVE PROTEIN', NULL, NULL, NULL, 15),
(171129, NULL, 'PTHR11820:SF90', NULL, NULL, NULL, NULL, 'FLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(171130, NULL, 'PTHR34553:SF2', NULL, NULL, NULL, NULL, 'OS05G0597400 PROTEIN', NULL, NULL, NULL, 15),
(171131, NULL, 'PTHR11017:SF312', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(171132, NULL, 'PTHR11746:SF228', NULL, NULL, NULL, NULL, 'ISOFLAVONE 4''-O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(171133, NULL, 'PTHR12526:SF566', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSYLGLUCOSYLDIACYLGLYCEROL SYNTHASE', NULL, NULL, NULL, 15),
(171134, NULL, 'PTHR22891:SF154', NULL, NULL, NULL, NULL, 'RNA INTERFERENCE PROMOTING FACTOR RDE-1', NULL, NULL, NULL, 15),
(171135, NULL, 'PTHR12630:SF19', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE RECEPTOR BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(171136, NULL, 'PTHR16024:SF16', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 4', NULL, NULL, NULL, 15),
(171137, NULL, 'PTHR36077', NULL, NULL, NULL, NULL, 'BNAA02G07370D PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171138, NULL, 'PTHR33351:SF1', NULL, NULL, NULL, NULL, 'HISACTOPHILIN-1-RELATED', NULL, NULL, NULL, 15),
(171139, NULL, 'PTHR47979:SF51', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB2BV-LIKE', NULL, NULL, NULL, 15),
(171140, NULL, 'PTHR11945:SF592', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL14', NULL, NULL, NULL, 15),
(171141, NULL, 'PTHR10740:SF4', NULL, NULL, NULL, NULL, 'PROHEPARIN-BINDING EGF-LIKE GROWTH FACTOR', NULL, NULL, NULL, 15),
(171142, NULL, 'PTHR18879', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 290 KDA', NULL, NULL, 26813, 15),
(171143, NULL, 'PTHR24068:SF366', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-17 KDA-LIKE', NULL, NULL, NULL, 15),
(171144, NULL, 'PTHR11394:SF51', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 116', NULL, NULL, NULL, 15),
(171145, NULL, 'PTHR45680:SF29', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(171146, NULL, 'PTHR14025:SF20', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP M PROTEIN', NULL, NULL, 30026, 15),
(171147, NULL, 'PTHR45760:SF9', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN MTM1', NULL, NULL, NULL, 15),
(171148, NULL, 'PTHR40387:SF4', NULL, NULL, NULL, NULL, 'T0192810 ISOFORM 2', NULL, NULL, NULL, 15),
(171149, NULL, 'PTHR45931', NULL, NULL, NULL, NULL, 'SI:CH211-59O9.10', NULL, NULL, NULL, 15),
(171150, NULL, 'PTHR14255:SF1', NULL, NULL, NULL, NULL, 'SULFITE EXPORTER TAUE/SAFE FAMILY PROTEIN 3', NULL, NULL, NULL, 15),
(171151, NULL, 'PTHR10210:SF48', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 3', NULL, NULL, NULL, 15),
(171152, NULL, 'PTHR36562:SF7', NULL, NULL, NULL, NULL, 'LYSOZYME C', NULL, NULL, NULL, 15),
(171153, NULL, 'PTHR31681:SF78', NULL, NULL, NULL, NULL, 'BNAC06G01230D PROTEIN', NULL, NULL, NULL, 15),
(171154, NULL, 'PTHR13690:SF139', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RF2B', NULL, NULL, NULL, 15),
(171155, NULL, 'PTHR48019:SF59', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 57', NULL, NULL, NULL, 15),
(171156, NULL, 'PTHR38147', NULL, NULL, NULL, NULL, '5-FORMAMINOIMIDAZOLE-4-CARBOXAMIDE-1-(BETA)-D-RIBOFURANOSYL 5''-MONOPHOSPHATE SYNTHETASE-RELATED', NULL, NULL, 642, 15),
(171157, NULL, 'PTHR13234:SF48', NULL, NULL, NULL, NULL, 'GAMMA INTERFERON RESPONSIVE LYSOSOMAL THIOL (GILT) REDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(171158, NULL, 'PTHR32212:SF302', NULL, NULL, NULL, NULL, 'BNAC03G13550D PROTEIN', NULL, NULL, NULL, 15),
(171159, NULL, 'PTHR45947:SF6', NULL, NULL, NULL, NULL, 'GROUP 1 FAMILY GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(171160, NULL, 'PTHR15073:SF3', NULL, NULL, NULL, NULL, 'MAP7 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(171161, NULL, 'PTHR15813:SF8', NULL, NULL, NULL, NULL, 'SORTING NEXIN-22', NULL, NULL, NULL, 15),
(171162, NULL, 'PTHR35872:SF2', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G07110)', NULL, NULL, NULL, 15),
(171163, NULL, 'PTHR12320:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PHOSPHATASE FAMILY 2C', NULL, NULL, NULL, 15),
(171164, NULL, 'PTHR47287:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(171165, NULL, 'PTHR15020:SF44', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING DOMAIN', NULL, NULL, NULL, 15),
(171166, NULL, 'PTHR10666:SF301', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 11-LIKE', NULL, NULL, NULL, 15),
(171167, NULL, 'PTHR16247', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9430015G10 GENE', NULL, NULL, 27824, 15),
(171168, NULL, 'PTHR24206:SF22', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN PLIM2B', NULL, NULL, NULL, 15),
(171169, NULL, 'PTHR24044:SF419', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171170, NULL, 'PTHR31708:SF0', NULL, NULL, NULL, NULL, 'ABPBG26-RELATED', NULL, NULL, NULL, 15),
(171171, NULL, 'PTHR24073:SF960', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA5C', NULL, NULL, NULL, 15),
(171172, NULL, 'PTHR33021:SF234', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(171173, NULL, 'PTHR10572:SF27', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE 2', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171174, NULL, 'PTHR19868:SF12', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(171175, NULL, 'PTHR10877:SF134', NULL, NULL, NULL, NULL, 'POLYCYSTIC KIDNEY DISEASE PROTEIN 1-LIKE 2', NULL, NULL, NULL, 15),
(171176, NULL, 'PTHR31942:SF107', NULL, NULL, NULL, NULL, 'BNAC08G14830D PROTEIN', NULL, NULL, NULL, 15),
(171177, NULL, 'PTHR10579:SF114', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(171178, NULL, 'PTHR45687:SF30', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-1', NULL, NULL, NULL, 15),
(171179, NULL, 'PTHR24418:SF42', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE LYN', NULL, NULL, NULL, 15),
(171180, NULL, 'PTHR24326:SF590', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-5', NULL, NULL, NULL, 15),
(171181, NULL, 'PTHR12864:SF46', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 3', NULL, NULL, NULL, 15),
(171182, NULL, 'PTHR32246:SF21', NULL, NULL, NULL, NULL, 'OS02G0518000 PROTEIN', NULL, NULL, NULL, 15),
(171183, NULL, 'PTHR48053:SF12', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID LRR RECEPTOR KINASE BRL1', NULL, NULL, NULL, 15),
(171184, NULL, 'PTHR22880:SF20', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(171185, NULL, 'PTHR22936:SF73', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(171186, NULL, 'PTHR23420:SF3', NULL, NULL, NULL, NULL, 'S-ADENOSYLHOMOCYSTEINE HYDROLASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(171187, NULL, 'PTHR10579:SF105', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(171188, NULL, 'PTHR11927:SF2', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(171189, NULL, 'PTHR31807:SF43', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(171190, NULL, 'PTHR27008:SF332', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171191, NULL, 'PTHR30529:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME B561', NULL, NULL, NULL, 15),
(171192, NULL, 'PTHR24399:SF7', NULL, NULL, NULL, NULL, 'B-CELL LYMPHOMA 6 PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(171193, NULL, 'PTHR36400:SF2', NULL, NULL, NULL, NULL, 'BNAANNG05650D PROTEIN', NULL, NULL, NULL, 15),
(171194, NULL, 'PTHR36402:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(171195, NULL, 'PTHR21562:SF99', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(171196, NULL, 'PTHR31718:SF40', NULL, NULL, NULL, NULL, 'OS10G0361900 PROTEIN', NULL, NULL, NULL, 15),
(171197, NULL, 'PTHR10127:SF837', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(171198, NULL, 'PTHR23409:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171199, NULL, 'PTHR48018:SF23', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(171200, NULL, 'PTHR21229:SF59', NULL, NULL, NULL, NULL, 'BNAA05G28910D PROTEIN', NULL, NULL, NULL, 15),
(171201, NULL, 'PTHR11206:SF130', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(171202, NULL, 'PTHR43840:SF15', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL METAL TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(171203, NULL, 'PTHR48011:SF48', NULL, NULL, NULL, NULL, 'BNAA05G11450D PROTEIN', NULL, NULL, NULL, 15),
(171204, NULL, 'PTHR48021:SF34', NULL, NULL, NULL, NULL, 'FACILITATED TREHALOSE TRANSPORTER TRET1-2 HOMOLOG-LIKE PROTEIN', NULL, NULL, NULL, 15),
(171205, NULL, 'PTHR20913:SF7', NULL, NULL, NULL, NULL, 'RE60063P', NULL, NULL, NULL, 15),
(171206, NULL, 'PTHR45897:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171207, NULL, 'PTHR24055:SF397', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(171208, NULL, 'PTHR10527:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171209, NULL, 'PTHR45752:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171210, NULL, 'PTHR31777:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 169', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171211, NULL, 'PTHR10108:SF1101', NULL, NULL, NULL, NULL, 'OS01G0828300 PROTEIN', NULL, NULL, NULL, 15),
(171212, NULL, 'PTHR45786:SF51', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(171213, NULL, 'PTHR26453:SF655', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(171214, NULL, 'PTHR47939:SF3', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(171215, NULL, 'PTHR43496', NULL, NULL, NULL, NULL, 'PROTEIN LPLB', NULL, NULL, NULL, 15),
(171216, NULL, 'PTHR31125:SF9', NULL, NULL, NULL, NULL, 'BNAC01G14450D PROTEIN', NULL, NULL, NULL, 15),
(171217, NULL, 'PTHR47580:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(171218, NULL, 'PTHR48019:SF45', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL12', NULL, NULL, NULL, 15),
(171219, NULL, 'PTHR43649:SF16', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERIPLASMIC-BINDING PROTEIN YCJN-RELATED', NULL, NULL, NULL, 15),
(171220, NULL, 'PTHR24286:SF275', NULL, NULL, NULL, NULL, 'ACID OXIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(171221, NULL, 'PTHR21726:SF65', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(171222, NULL, 'PTHR18952:SF176', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(171223, NULL, 'PTHR24326:SF533', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-53', NULL, NULL, NULL, 15),
(171224, NULL, 'PTHR33913:SF1', NULL, NULL, NULL, NULL, 'ALEURONE LAYER MORPHOGENESIS PROTEIN', NULL, NULL, NULL, 15),
(171225, NULL, 'PTHR10529:SF360', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT MU', NULL, NULL, NULL, 15),
(171226, NULL, 'PTHR11886:SF78', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(171227, NULL, 'PTHR22298:SF117', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(171228, NULL, 'PTHR36864:SF1', NULL, NULL, NULL, NULL, 'CANCER-ASSOCIATED GENE 1 PROTEIN', NULL, NULL, NULL, 15),
(171229, NULL, 'PTHR28630:SF23', NULL, NULL, NULL, NULL, 'THIOREDOXIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(171230, NULL, 'PTHR24061:SF398', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 111-RELATED', NULL, NULL, NULL, 15),
(171231, NULL, 'PTHR32329:SF8', NULL, NULL, NULL, NULL, 'ACTIVATOR OF (R)-2-HYDROXYGLUTARYL-COA DEHYDRATASE', NULL, NULL, NULL, 15),
(171232, NULL, 'PTHR22826:SF49', NULL, NULL, NULL, NULL, 'KALIRIN', NULL, NULL, NULL, 15),
(171233, NULL, 'PTHR31367:SF0', NULL, NULL, NULL, NULL, 'CYTOSOLIC 5''-NUCLEOTIDASE 1B', NULL, NULL, NULL, 15),
(171234, NULL, 'PTHR10361:SF29', NULL, NULL, NULL, NULL, 'SODIUM/BILE ACID COTRANSPORTER 5', NULL, NULL, 21713, 15),
(171235, NULL, 'PTHR46115', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(171236, NULL, 'PTHR47925:SF4', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(171237, NULL, 'PTHR31941:SF11', NULL, NULL, NULL, NULL, 'ACTIVATOR OF SKN7 PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(171238, NULL, 'PTHR33872', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON CATALYTIC SUBUNIT A', NULL, NULL, NULL, 15),
(171239, NULL, 'PTHR10740:SF12', NULL, NULL, NULL, NULL, 'AMPHIREGULIN', NULL, NULL, NULL, 15),
(171240, NULL, 'PTHR13914:SF20', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(171241, NULL, 'PTHR31867:SF4', NULL, NULL, NULL, NULL, 'EXPANSIN-A11', NULL, NULL, NULL, 15),
(171242, NULL, 'PTHR47633:SF2', NULL, NULL, NULL, NULL, 'OBSCURIN', NULL, NULL, 20536, 15),
(171243, NULL, 'PTHR32468:SF93', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 8', NULL, NULL, NULL, 15),
(171244, NULL, 'PTHR34548:SF4', NULL, NULL, NULL, NULL, 'OS02G0187600 PROTEIN', NULL, NULL, NULL, 15),
(171245, NULL, 'PTHR45657:SF45', NULL, NULL, NULL, NULL, 'CRAL-TRIO LIPID BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(171246, NULL, 'PTHR38797', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171247, NULL, 'PTHR43272:SF36', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE LONG CHAIN FAMILY MEMBER 2', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171248, NULL, 'PTHR27007:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171249, NULL, 'PTHR11178', NULL, NULL, NULL, NULL, 'IRON-SULFUR CLUSTER SCAFFOLD PROTEIN NFU-RELATED', NULL, NULL, NULL, 15),
(171250, NULL, 'PTHR19878:SF6', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 16-1', NULL, NULL, NULL, 15),
(171251, NULL, 'PTHR31636:SF178', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(171252, NULL, 'PTHR31839:SF46', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CBF PROTEIN', NULL, NULL, NULL, 15),
(171253, NULL, 'PTHR48104:SF18', NULL, NULL, NULL, NULL, 'METACASPASE-8', NULL, NULL, NULL, 15),
(171254, NULL, 'PTHR24115:SF898', NULL, NULL, NULL, NULL, 'PHRAGMOPLAST ORIENTING KINESIN-1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(171255, NULL, 'PTHR33248:SF26', NULL, NULL, NULL, NULL, 'BNAA01G28470D PROTEIN', NULL, NULL, NULL, 15),
(171256, NULL, 'PTHR24040:SF11', NULL, NULL, NULL, NULL, 'FIBRILLIN 2', NULL, NULL, NULL, 15),
(171257, NULL, 'PTHR44375', NULL, NULL, NULL, NULL, 'BETA-KETOACYL-ACP REDUCTASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(171258, NULL, 'PTHR45722:SF8', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-4', NULL, NULL, NULL, 15),
(171259, NULL, 'PTHR46224:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171260, NULL, 'PTHR12203:SF85', NULL, NULL, NULL, NULL, 'O-GLUCOSYLTRANSFERASE RUMI HOMOLOG', NULL, NULL, NULL, 15),
(171261, NULL, 'PTHR36003:SF4', NULL, NULL, NULL, NULL, 'SLL1 PROTEIN', NULL, NULL, NULL, 15),
(171262, NULL, 'PTHR42769:SF3', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [FE] 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(171263, NULL, 'PTHR43768:SF26', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(171264, NULL, 'PTHR14217:SF16', NULL, NULL, NULL, NULL, 'INOSITOL 1,3,4-TRISPHOSPHATE 5/6-KINASE 4', NULL, NULL, NULL, 15),
(171265, NULL, 'PTHR44981:SF3', NULL, NULL, NULL, NULL, 'PERICENTRIN', NULL, NULL, NULL, 15),
(171266, NULL, 'PTHR19370:SF189', NULL, NULL, NULL, NULL, 'CYTOCHROME C MITOCHONDRIAL IMPORT FACTOR CYC2', NULL, NULL, NULL, 15),
(171267, NULL, 'PTHR42845:SF2', NULL, NULL, NULL, NULL, 'COENZYME F420 HYDROGENASE SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(171268, NULL, 'PTHR11133:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171269, NULL, 'PTHR42861:SF95', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE 2-LIKE', NULL, NULL, NULL, 15),
(171270, NULL, 'PTHR10052:SF33', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', NULL, NULL, NULL, 15),
(171271, NULL, 'PTHR10825:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171272, NULL, 'PTHR11736:SF142', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 12', NULL, NULL, NULL, 15),
(171273, NULL, 'PTHR43341:SF41', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(171274, NULL, 'PTHR46031:SF25', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(171275, NULL, 'PTHR32166:SF86', NULL, NULL, NULL, NULL, 'OS09G0499600 PROTEIN', NULL, NULL, NULL, 15),
(171276, NULL, 'PTHR13944:SF20', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 2', NULL, NULL, NULL, 15),
(171277, NULL, 'PTHR34856:SF2', NULL, NULL, NULL, NULL, 'PROTEIN NRFD', NULL, NULL, NULL, 15),
(171278, NULL, 'PTHR14110:SF18', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 16-3, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(171279, NULL, 'PTHR43437:SF1', NULL, NULL, NULL, NULL, 'BLL6372 PROTEIN', NULL, NULL, NULL, 15),
(171280, NULL, 'PTHR37174', NULL, NULL, NULL, NULL, 'FORKHEAD-ASSOCIATED DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(171281, NULL, 'PTHR21068:SF33', NULL, NULL, NULL, NULL, 'OS03G0241900 PROTEIN', NULL, NULL, NULL, 15),
(171282, NULL, 'PTHR14196', NULL, NULL, NULL, NULL, 'ODD-SKIPPED - RELATED', NULL, NULL, NULL, 15),
(171283, NULL, 'PTHR21681', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT J', NULL, NULL, 18386, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171284, NULL, 'PTHR36058', NULL, NULL, NULL, NULL, 'NUCLEOPHOSMIN', NULL, NULL, NULL, 15),
(171285, NULL, 'PTHR11615:SF255', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(171286, NULL, 'PTHR34709:SF29', NULL, NULL, NULL, NULL, 'OS07G0130000 PROTEIN', NULL, NULL, NULL, 15),
(171287, NULL, 'PTHR39668:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL TRANSMEMBRANE PROTEIN L6586.03', NULL, NULL, NULL, 15),
(171288, NULL, 'PTHR13620:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171289, NULL, 'PTHR24637:SF249', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(171290, NULL, 'PTHR31639:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171291, NULL, 'PTHR12370:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE PROTEIN A', NULL, NULL, NULL, 15),
(171292, NULL, 'PTHR23502:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171293, NULL, 'PTHR48082:SF4', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(171294, NULL, 'PTHR10769:SF6', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S28-1', NULL, NULL, NULL, 15),
(171295, NULL, 'PTHR33454:SF3', NULL, NULL, NULL, NULL, 'GLUTELIN-2', NULL, NULL, NULL, 15),
(171296, NULL, 'PTHR45817:SF1', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE HOMOLOG 2', NULL, NULL, NULL, 15),
(171297, NULL, 'PTHR32193:SF3', NULL, NULL, NULL, NULL, 'REGULATOR OF CELL CYCLE RGCC', NULL, NULL, NULL, 15),
(171298, NULL, 'PTHR31766', NULL, NULL, NULL, NULL, 'GLABROUS1 ENHANCER-BINDING PROTEIN-LIKE 2', NULL, NULL, 30109, 15),
(171299, NULL, 'PTHR31595:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171300, NULL, 'PTHR39952', NULL, NULL, NULL, NULL, 'FI02073P', NULL, NULL, NULL, 15),
(171301, NULL, 'PTHR42793:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-LYSINE N-ACETYLTRANSFERASE PATZ', NULL, NULL, NULL, 15),
(171302, NULL, 'PTHR31238:SF14', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY T MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(171303, NULL, 'PTHR11680:SF21', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE, CYTOSOLIC', NULL, NULL, NULL, 15),
(171304, NULL, 'PTHR43775:SF31', NULL, NULL, NULL, NULL, 'CONIDIAL PIGMENT POLYKETIDE SYNTHASE ALB1', NULL, NULL, NULL, 15),
(171305, NULL, 'PTHR12485:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(171306, NULL, 'PTHR31636:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171307, NULL, 'PTHR10454:SF26', NULL, NULL, NULL, NULL, 'CASPASE-10', NULL, NULL, 35654, 15),
(171308, NULL, 'PTHR11017:SF298', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RLM3', NULL, NULL, NULL, 15),
(171309, NULL, 'PTHR13890:SF0', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(171310, NULL, 'PTHR36737', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(171311, NULL, 'PTHR18896:SF60', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(171312, NULL, 'PTHR45688:SF12', NULL, NULL, NULL, NULL, 'BNAANNG13240D PROTEIN', NULL, NULL, NULL, 15),
(171313, NULL, 'PTHR33454:SF14', NULL, NULL, NULL, NULL, '50 KDA GAMMA-ZEIN', NULL, NULL, NULL, 15),
(171314, NULL, 'PTHR42811:SF19', NULL, NULL, NULL, NULL, 'SERINE O-ACETYLTRANSFERASE, SERINE ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(171315, NULL, 'PTHR11863:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171316, NULL, 'PTHR22855:SF25', NULL, NULL, NULL, NULL, 'SI:CH211-198N5.11', NULL, NULL, NULL, 15),
(171317, NULL, 'PTHR46663:SF2', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE DGCT-RELATED', NULL, NULL, NULL, 15),
(171318, NULL, 'PTHR33362:SF7', NULL, NULL, NULL, NULL, 'SLL1103 PROTEIN', NULL, NULL, NULL, 15),
(171319, NULL, 'PTHR33472:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171320, NULL, 'PTHR48015:SF35', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171321, NULL, 'PTHR11691:SF27', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-6', NULL, NULL, NULL, 15),
(171322, NULL, 'PTHR31429:SF73', NULL, NULL, NULL, NULL, 'BNAC03G67380D PROTEIN', NULL, NULL, NULL, 15),
(171323, NULL, 'PTHR11675:SF119', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 13-RELATED', NULL, NULL, NULL, 15),
(171324, NULL, 'PTHR18945:SF849', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-10', NULL, NULL, NULL, 15),
(171325, NULL, 'PTHR22591:SF3', NULL, NULL, NULL, NULL, 'XIN ACTIN-BINDING REPEAT-CONTAINING 2B', NULL, NULL, NULL, 15),
(171326, NULL, 'PTHR11803:SF42', NULL, NULL, NULL, NULL, 'MMF1', NULL, NULL, NULL, 15),
(171327, NULL, 'PTHR43836:SF5', NULL, NULL, NULL, NULL, 'CATECHOL O-METHYLTRANSFERASE A-RELATED', NULL, NULL, NULL, 15),
(171328, NULL, 'PTHR31218:SF133', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(171329, NULL, 'PTHR27001:SF796', NULL, NULL, NULL, NULL, 'OS04G0213800 PROTEIN', NULL, NULL, NULL, 15),
(171330, NULL, 'PTHR14677:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER AN1 AND C2H2 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 11-RELATED', NULL, NULL, NULL, 15),
(171331, NULL, 'PTHR31674:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171332, NULL, 'PTHR47405', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H-RELATED', NULL, NULL, NULL, 15),
(171333, NULL, 'PTHR12398:SF34', NULL, NULL, NULL, NULL, 'PHOSPHOPROTEIN PHOSPHATASE INHIBITOR', NULL, NULL, NULL, 15),
(171334, NULL, 'PTHR10791:SF140', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(171335, NULL, 'PTHR11559:SF402', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(171336, NULL, 'PTHR19960:SF23', NULL, NULL, NULL, NULL, 'TEKTIN-5', NULL, NULL, NULL, 15),
(171337, NULL, 'PTHR11712:SF328', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE', NULL, NULL, NULL, 15),
(171338, NULL, 'PTHR12112:SF45', NULL, NULL, NULL, NULL, 'PRUNE HOMOLOG 2', NULL, NULL, NULL, 15),
(171339, NULL, 'PTHR43155:SF1', NULL, NULL, NULL, NULL, '3''3''-CGAMP-SPECIFIC PHOSPHODIESTERASE 1', NULL, NULL, NULL, 15),
(171340, NULL, 'PTHR33091:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171341, NULL, 'PTHR24305:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 302A1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(171342, NULL, 'PTHR23133:SF2', NULL, NULL, NULL, NULL, 'IMIDAZOLEGLYCEROL-PHOSPHATE DEHYDRATASE', NULL, NULL, NULL, 15),
(171343, NULL, 'PTHR13160:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171344, NULL, 'PTHR33048:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171345, NULL, 'PTHR12549', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING HISTONE DEMETHYLATION PROTEIN', NULL, NULL, 37164, 15),
(171346, NULL, 'PTHR18870:SF9', NULL, NULL, NULL, NULL, 'PROTEIN TAG-278-RELATED', NULL, NULL, NULL, 15),
(171347, NULL, 'PTHR42663:SF9', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE/OXIDOREDUCTASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(171348, NULL, 'PTHR46537:SF3', NULL, NULL, NULL, NULL, 'OS11G0578200 PROTEIN', NULL, NULL, NULL, 15),
(171349, NULL, 'PTHR35098:SF5', NULL, NULL, NULL, NULL, 'BNAC03G56520D PROTEIN', NULL, NULL, NULL, 15),
(171350, NULL, 'PTHR11986:SF58', NULL, NULL, NULL, NULL, '4-AMINOBUTYRATE AMINOTRANSFERASE (GABT-2)', NULL, NULL, NULL, 15),
(171351, NULL, 'PTHR10774:SF174', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(171352, NULL, 'PTHR32063:SF32', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE EFFLUX PUMP-RELATED', NULL, NULL, NULL, 15),
(171353, NULL, 'PTHR34989', NULL, NULL, NULL, NULL, 'PROTEIN HDED', NULL, NULL, NULL, 15),
(171354, NULL, 'PTHR40691', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 10165, 15),
(171355, NULL, 'PTHR10795:SF704', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171356, NULL, 'PTHR31194:SF70', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF116', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171357, NULL, 'PTHR36705:SF4', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE201 PROTEIN', NULL, NULL, NULL, 15),
(171358, NULL, 'PTHR21530:SF5', NULL, NULL, NULL, NULL, 'PHEROMONE SHUTDOWN, TRAB', NULL, NULL, NULL, 15),
(171359, NULL, 'PTHR46771:SF7', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN BIR-2', NULL, NULL, NULL, 15),
(171360, NULL, 'PTHR34804:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171361, NULL, 'PTHR12092', NULL, NULL, NULL, NULL, 'PLECKSTRIN', NULL, NULL, NULL, 15),
(171362, NULL, 'PTHR31443:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 263', NULL, NULL, NULL, 15),
(171363, NULL, 'PTHR31044:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171364, NULL, 'PTHR14095:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B''''BETA-LIKE ISOFORM X2', NULL, NULL, NULL, 15),
(171365, NULL, 'PTHR13260:SF0', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(171366, NULL, 'PTHR28524', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE ASSEMBLY FACTOR 4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(171367, NULL, 'PTHR31216:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS BETA-7', NULL, NULL, NULL, 15),
(171368, NULL, 'PTHR27009:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171369, NULL, 'PTHR15315', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 41, 151', NULL, NULL, NULL, 15),
(171370, NULL, 'PTHR43391:SF68', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE 1B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(171371, NULL, 'PTHR24299', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 1', NULL, NULL, NULL, 15),
(171372, NULL, 'PTHR10855', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 12/COP9 SIGNALOSOME COMPLEX SUBUNIT 4', NULL, NULL, 29943, 15),
(171373, NULL, 'PTHR45633:SF16', NULL, NULL, NULL, NULL, 'CHAPERONIN CPN60-LIKE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(171374, NULL, 'PTHR43166:SF26', NULL, NULL, NULL, NULL, 'METHIONINE IMPORT ATP-BINDING PROTEIN METN 2', NULL, NULL, NULL, 15),
(171375, NULL, 'PTHR43670:SF67', NULL, NULL, NULL, NULL, 'ATP-INDEPENDENT CHAPERONE, ALPHA-CRYSTALLIN/HSP20 FAMILY', NULL, NULL, NULL, 15),
(171376, NULL, 'PTHR47216', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171377, NULL, 'PTHR47985:SF32', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE LIP1', NULL, NULL, NULL, 15),
(171378, NULL, 'PTHR23070:SF131', NULL, NULL, NULL, NULL, 'PROTEIN HYPER-SENSITIVITY-RELATED 4-LIKE', NULL, NULL, NULL, 15),
(171379, NULL, 'PTHR24115:SF944', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(171380, NULL, 'PTHR45839:SF27', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 4', NULL, NULL, NULL, 15),
(171381, NULL, 'PTHR10263:SF44', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT C5', NULL, NULL, NULL, 15),
(171382, NULL, 'PTHR22692:SF29', NULL, NULL, NULL, NULL, 'MYOSIN VIIBB', NULL, NULL, NULL, 15),
(171383, NULL, 'PTHR15241:SF314', NULL, NULL, NULL, NULL, 'BNAA02G06700D PROTEIN', NULL, NULL, NULL, 15),
(171384, NULL, 'PTHR21085:SF1', NULL, NULL, NULL, NULL, 'CHORISMATE SYNTHASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(171385, NULL, 'PTHR27007:SF188', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.10-RELATED', NULL, NULL, NULL, 15),
(171386, NULL, 'PTHR43397:SF1', NULL, NULL, NULL, NULL, 'ERGOTHIONEINE BIOSYNTHESIS PROTEIN 1', NULL, NULL, NULL, 15),
(171387, NULL, 'PTHR24282:SF187', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(171388, NULL, 'PTHR17901:SF16', NULL, NULL, NULL, NULL, 'MAGNESIUM-DEPENDENT PHOSPHATASE-1,EUKARYOTIC/ARCAHEAL TYPE', NULL, NULL, NULL, 15),
(171389, NULL, 'PTHR31248:SF12', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN A3-LIKE', NULL, NULL, NULL, 15),
(171390, NULL, 'PTHR11863:SF201', NULL, NULL, NULL, NULL, 'STEROL-4ALPHA-METHYL OXIDASE 1-1-RELATED', NULL, NULL, NULL, 15),
(171391, NULL, 'PTHR47712:SF1', NULL, NULL, NULL, NULL, 'OS09G0555300 PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171392, NULL, 'PTHR31718:SF36', NULL, NULL, NULL, NULL, 'TMV-INDUCED PROTEIN I', NULL, NULL, NULL, 15),
(171393, NULL, 'PTHR23155:SF1105', NULL, NULL, NULL, NULL, 'OS12G0206100 PROTEIN', NULL, NULL, NULL, 15),
(171394, NULL, 'PTHR31806:SF1', NULL, NULL, NULL, NULL, 'PURINE-CYTOSINE PERMEASE FCY2-RELATED', NULL, NULL, NULL, 15),
(171395, NULL, 'PTHR11783:SF249', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(171396, NULL, 'PTHR46962:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KIST', NULL, NULL, NULL, 15),
(171397, NULL, 'PTHR43995:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171398, NULL, 'PTHR36066:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH144', NULL, NULL, NULL, 15),
(171399, NULL, 'PTHR19411:SF9', NULL, NULL, NULL, NULL, 'BNAA03G58540D PROTEIN', NULL, NULL, NULL, 15),
(171400, NULL, 'PTHR10029', NULL, NULL, NULL, NULL, 'ACYLPHOSPHATASE', NULL, NULL, 20997, 15),
(171401, NULL, 'PTHR21551:SF21', NULL, NULL, NULL, NULL, 'TOPOISOMERASE II-ASSOCIATED PROTEIN PAT1-RELATED', NULL, NULL, NULL, 15),
(171402, NULL, 'PTHR24161:SF78', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(171403, NULL, 'PTHR47926:SF124', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(171404, NULL, 'PTHR46462:SF3', NULL, NULL, NULL, NULL, 'UPSET, ISOFORM A', NULL, NULL, NULL, 15),
(171405, NULL, 'PTHR45772:SF10', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE EXPORT SYSTEM ATP-BINDING PROTEIN LPTB', NULL, NULL, NULL, 15),
(171406, NULL, 'PTHR47975:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(171407, NULL, 'PTHR22835:SF625', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171408, NULL, 'PTHR22780:SF26', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA-1', NULL, NULL, NULL, 15),
(171409, NULL, 'PTHR31448:SF34', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(171410, NULL, 'PTHR36361:SF1', NULL, NULL, NULL, NULL, 'PROTEIN APEM9', NULL, NULL, NULL, 15),
(171411, NULL, 'PTHR48019:SF91', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN SOC1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(171412, NULL, 'PTHR44826:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171413, NULL, 'PTHR11132:SF390', NULL, NULL, NULL, NULL, 'BNAA07G37530D PROTEIN', NULL, NULL, NULL, 15),
(171414, NULL, 'PTHR24012:SF809', NULL, NULL, NULL, NULL, 'BNAA06G33110D PROTEIN', NULL, NULL, NULL, 15),
(171415, NULL, 'PTHR33648:SF15', NULL, NULL, NULL, NULL, 'EMBRYO SAC 1', NULL, NULL, NULL, 15),
(171416, NULL, 'PTHR21461:SF40', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(171417, NULL, 'PTHR15954:SF5', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 51 HOMOLOG', NULL, NULL, NULL, 15),
(171418, NULL, 'PTHR10182:SF26', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL, MO25-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(171419, NULL, 'PTHR33509:SF5', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENIS ABUNDANT PROTEIN 2', NULL, NULL, NULL, 15),
(171420, NULL, 'PTHR33091:SF46', NULL, NULL, NULL, NULL, 'SUBTILISIN-CHYMOTRYPSIN INHIBITOR CI-1A', NULL, NULL, NULL, 15),
(171421, NULL, 'PTHR11453:SF32', NULL, NULL, NULL, NULL, 'SODIUM-DRIVEN CHLORIDE BICARBONATE EXCHANGER', NULL, NULL, NULL, 15),
(171422, NULL, 'PTHR43107:SF11', NULL, NULL, NULL, NULL, 'LONG-CHAIN FATTY ACID TRANSPORT PROTEIN 4', NULL, NULL, 27176, 15),
(171423, NULL, 'PTHR11760:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171424, NULL, 'PTHR13723:SF33', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 9', NULL, NULL, NULL, 15),
(171425, NULL, 'PTHR16194', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 16', NULL, NULL, 22652, 15),
(171426, NULL, 'PTHR18863:SF5', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED GENE 21', NULL, NULL, NULL, 15),
(171427, NULL, 'PTHR10766:SF41', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 3', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171428, NULL, 'PTHR44329:SF135', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CTR1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(171429, NULL, 'PTHR24006:SF833', NULL, NULL, NULL, NULL, 'OS01G0771400 PROTEIN', NULL, NULL, NULL, 15),
(171430, NULL, 'PTHR31488:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171431, NULL, 'PTHR47757', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)-RELATED', NULL, NULL, NULL, 15),
(171432, NULL, 'PTHR47990:SF48', NULL, NULL, NULL, NULL, 'SEXUAL DIFFERENTIATION PROCESS PROTEIN ISP7', NULL, NULL, NULL, 15),
(171433, NULL, 'PTHR24253:SF70', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 5', NULL, NULL, NULL, 15),
(171434, NULL, 'PTHR24093:SF455', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 12, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(171435, NULL, 'PTHR11247:SF40', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE EPSILON 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(171436, NULL, 'PTHR13809:SF54', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(171437, NULL, 'PTHR31541:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171438, NULL, 'PTHR31929:SF46', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 6B', NULL, NULL, NULL, 15),
(171439, NULL, 'PTHR39203:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(171440, NULL, 'PTHR43205:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171441, NULL, 'PTHR46846', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W-RELATED', NULL, NULL, NULL, 15),
(171442, NULL, 'PTHR11920:SF267', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-8', NULL, NULL, NULL, 15),
(171443, NULL, 'PTHR43796:SF2', NULL, NULL, NULL, NULL, 'CARBOXYNORSPERMIDINE SYNTHASE', NULL, NULL, NULL, 15),
(171444, NULL, 'PTHR26452:SF748', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(171445, NULL, 'PTHR10380:SF173', NULL, NULL, NULL, NULL, 'CUTICLE PROTEIN LCP65AA-RELATED', NULL, NULL, NULL, 15),
(171446, NULL, 'PTHR31865:SF24', NULL, NULL, NULL, NULL, 'BNAC03G33860D PROTEIN', NULL, NULL, NULL, 15),
(171447, NULL, 'PTHR15454:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171448, NULL, 'PTHR34818:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BLI-3', NULL, NULL, NULL, 15),
(171449, NULL, 'PTHR45971:SF4', NULL, NULL, NULL, NULL, 'RUN DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(171450, NULL, 'PTHR34950:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171451, NULL, 'PTHR21603', NULL, NULL, NULL, NULL, 'ANTIGEN KI-67-LIKE PROTEIN', NULL, NULL, NULL, 15),
(171452, NULL, 'PTHR33746:SF4', NULL, NULL, NULL, NULL, 'RUBRERYTHRIN', NULL, NULL, NULL, 15),
(171453, NULL, 'PTHR24399:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR KAISO', NULL, NULL, NULL, 15),
(171454, NULL, 'PTHR11453:SF37', NULL, NULL, NULL, NULL, 'ELECTRONEUTRAL SODIUM BICARBONATE EXCHANGER 1', NULL, NULL, NULL, 15),
(171455, NULL, 'PTHR13674:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM162B', NULL, NULL, NULL, 15),
(171456, NULL, 'PTHR15168:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME B-245 LIGHT CHAIN', NULL, NULL, NULL, 15),
(171457, NULL, 'PTHR10241:SF25', NULL, NULL, NULL, NULL, 'TOMOSYN, ISOFORM C', NULL, NULL, NULL, 15),
(171458, NULL, 'PTHR24015:SF1909', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(171459, NULL, 'PTHR39342:SF1', NULL, NULL, NULL, NULL, 'UPF0283 MEMBRANE PROTEIN YCJF', NULL, NULL, NULL, 15),
(171460, NULL, 'PTHR24128:SF62', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(171461, NULL, 'PTHR10336:SF33', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE DELTA-3', NULL, NULL, 25871, 15),
(171462, NULL, 'PTHR45927:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171463, NULL, 'PTHR47038:SF6', NULL, NULL, NULL, NULL, 'BNAANNG26660D PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171464, NULL, 'PTHR48015:SF30', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAK 3', NULL, NULL, NULL, 15),
(171465, NULL, 'PTHR31251:SF93', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SBP FAMILY-RELATED', NULL, NULL, NULL, 15),
(171466, NULL, 'PTHR47993:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171467, NULL, 'PTHR18966:SF463', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(171468, NULL, 'PTHR32141:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171469, NULL, 'PTHR19282:SF465', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171470, NULL, 'PTHR11452:SF14', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE A', NULL, NULL, NULL, 15),
(171471, NULL, 'PTHR21562:SF94', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(171472, NULL, 'PTHR27002:SF744', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(171473, NULL, 'PTHR31988:SF19', NULL, NULL, NULL, NULL, 'BNACNNG62850D PROTEIN', NULL, NULL, NULL, 15),
(171474, NULL, 'PTHR16551', NULL, NULL, NULL, NULL, 'AGOUTI RELATED', NULL, NULL, 1098, 15),
(171475, NULL, 'PTHR23192:SF27', NULL, NULL, NULL, NULL, 'NOELIN-2', NULL, NULL, 27376, 15),
(171476, NULL, 'PTHR47926:SF161', NULL, NULL, NULL, NULL, 'BNAA05G27600D PROTEIN', NULL, NULL, NULL, 15),
(171477, NULL, 'PTHR31992:SF107', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.1-RELATED', NULL, NULL, NULL, 15),
(171478, NULL, 'PTHR13453:SF12', NULL, NULL, NULL, NULL, 'BNAA08G31730D PROTEIN', NULL, NULL, NULL, 15),
(171479, NULL, 'PTHR11614:SF87', NULL, NULL, NULL, NULL, 'MONOGLYCERIDE LIPASE', NULL, NULL, NULL, 15),
(171480, NULL, 'PTHR43591:SF45', NULL, NULL, NULL, NULL, 'SAM BINDING MOTIF CONTAINING PROTEIN (AFU_ORTHOLOGUE AFUA_4G12760)', NULL, NULL, NULL, 15),
(171481, NULL, 'PTHR21229:SF69', NULL, NULL, NULL, NULL, 'BNAA02G35120D PROTEIN', NULL, NULL, NULL, 15),
(171482, NULL, 'PTHR48007:SF33', NULL, NULL, NULL, NULL, 'BNAC02G46420D PROTEIN', NULL, NULL, NULL, 15),
(171483, NULL, 'PTHR47338:SF8', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(171484, NULL, 'PTHR34188:SF17', NULL, NULL, NULL, NULL, 'BNAANNG29080D PROTEIN', NULL, NULL, NULL, 15),
(171485, NULL, 'PTHR15430:SF1', NULL, NULL, NULL, NULL, 'GLOMULIN', NULL, NULL, NULL, 15),
(171486, NULL, 'PTHR45647:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171487, NULL, 'PTHR31218:SF307', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(171488, NULL, 'PTHR27009:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171489, NULL, 'PTHR31871:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171490, NULL, 'PTHR45676:SF96', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(171491, NULL, 'PTHR43247:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171492, NULL, 'PTHR45748:SF13', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1C-RELATED', NULL, NULL, NULL, 15),
(171493, NULL, 'PTHR34477:SF1', NULL, NULL, NULL, NULL, 'UPF0213 PROTEIN YHBQ', NULL, NULL, NULL, 15),
(171494, NULL, 'PTHR10585:SF75', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR', NULL, NULL, NULL, 15),
(171495, NULL, 'PTHR23086:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171496, NULL, 'PTHR43900:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171497, NULL, 'PTHR23428:SF286', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(171498, NULL, 'PTHR11673:SF32', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-2', NULL, NULL, NULL, 15),
(171499, NULL, 'PTHR43615', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(171500, NULL, 'PTHR46489', NULL, NULL, NULL, NULL, 'STEROIDOGENIC ACUTE REGULATORY PROTEIN, MITOCHONDRIAL', NULL, NULL, 22766, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171501, NULL, 'PTHR13282:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAM32A', NULL, NULL, NULL, 15),
(171502, NULL, 'PTHR47990:SF135', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE 5', NULL, NULL, NULL, 15),
(171503, NULL, 'PTHR46966', NULL, NULL, NULL, NULL, 'HOMEOBOX EXPRESSED IN ES CELLS 1', NULL, NULL, 38143, 15),
(171504, NULL, 'PTHR37018', NULL, NULL, NULL, NULL, 'CULTURE SPECIFIC PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00130)-RELATED', NULL, NULL, NULL, 15),
(171505, NULL, 'PTHR12127', NULL, NULL, NULL, NULL, 'MUCOLIPIN', NULL, NULL, 31977, 15),
(171506, NULL, 'PTHR19134:SF499', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE EPSILON', NULL, NULL, NULL, 15),
(171507, NULL, 'PTHR15583:SF11', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR B', NULL, NULL, NULL, 15),
(171508, NULL, 'PTHR24068:SF330', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 D2', NULL, NULL, NULL, 15),
(171509, NULL, 'PTHR22957:SF488', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 15-LIKE', NULL, NULL, NULL, 15),
(171510, NULL, 'PTHR16055', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 24239, 15),
(171511, NULL, 'PTHR33044:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171512, NULL, 'PTHR42825:SF21', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(171513, NULL, 'PTHR26452:SF713', NULL, NULL, NULL, NULL, 'MCG23425-RELATED', NULL, NULL, NULL, 15),
(171514, NULL, 'PTHR46162:SF47', NULL, NULL, NULL, NULL, 'BNAA07G24170D PROTEIN', NULL, NULL, NULL, 15),
(171515, NULL, 'PTHR18945:SF492', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171516, NULL, 'PTHR43592:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171517, NULL, 'PTHR38497:SF1', NULL, NULL, NULL, NULL, 'KINOCILIN', NULL, NULL, NULL, 15),
(171518, NULL, 'PTHR46990', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN DOMAIN-CONTAINING CYSTEINE-RICH PROTEIN 1', NULL, NULL, 36564, 15),
(171519, NULL, 'PTHR24117', NULL, NULL, NULL, NULL, 'AGAP007537-PB', NULL, NULL, NULL, 15),
(171520, NULL, 'PTHR47977:SF21', NULL, NULL, NULL, NULL, 'C-5 CYTOSINE METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(171521, NULL, 'PTHR22601:SF9', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 2', NULL, NULL, NULL, 15),
(171522, NULL, 'PTHR21262:SF31', NULL, NULL, NULL, NULL, 'OS02G0699400 PROTEIN', NULL, NULL, NULL, 15),
(171523, NULL, 'PTHR48050', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(171524, NULL, 'PTHR41814', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(171525, NULL, 'PTHR47999:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171526, NULL, 'PTHR11021:SF10', NULL, NULL, NULL, NULL, 'SM-LIKE PROTEIN LSM6A', NULL, NULL, NULL, 15),
(171527, NULL, 'PTHR34484:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171528, NULL, 'PTHR22957:SF204', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(171529, NULL, 'PTHR46407:SF14', NULL, NULL, NULL, NULL, 'BNACNNG64790D PROTEIN', NULL, NULL, NULL, 15),
(171530, NULL, 'PTHR33548:SF16', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(171531, NULL, 'PTHR31734:SF185', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(171532, NULL, 'PTHR30587:SF2', NULL, NULL, NULL, NULL, 'SURFACE PRESENTATION OF ANTIGENS PROTEIN SPAP', NULL, NULL, NULL, 15),
(171533, NULL, 'PTHR34174:SF1', NULL, NULL, NULL, NULL, 'HYDROLETHALUS SYNDROME PROTEIN 1', NULL, NULL, NULL, 15),
(171534, NULL, 'PTHR47347', NULL, NULL, NULL, NULL, 'GOLGIN CANDIDATE 5', NULL, NULL, NULL, 15),
(171535, NULL, 'PTHR31029:SF4', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(171536, NULL, 'PTHR22792:SF102', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 6A', NULL, NULL, NULL, 15),
(171537, NULL, 'PTHR23021:SF28', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171538, NULL, 'PTHR11710:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171539, NULL, 'PTHR31636:SF217', NULL, NULL, NULL, NULL, 'DELLA PROTEIN RGL1-LIKE', NULL, NULL, NULL, 15),
(171540, NULL, 'PTHR45707:SF62', NULL, NULL, NULL, NULL, 'C2 DOMAIN, PHOSPHORIBOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(171541, NULL, 'PTHR31769:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171542, NULL, 'PTHR24223:SF354', NULL, NULL, NULL, NULL, 'BILE ACID TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(171543, NULL, 'PTHR24365', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR', NULL, NULL, 15927, 15),
(171544, NULL, 'PTHR46301:SF31', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, GALACTOSE OXIDASE/KELCH, BETA-PROPELLER, GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', NULL, NULL, NULL, 15),
(171545, NULL, 'PTHR10891:SF764', NULL, NULL, NULL, NULL, 'CALPAIN-B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(171546, NULL, 'PTHR48001:SF116', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2AT4', NULL, NULL, NULL, 15),
(171547, NULL, 'PTHR33646:SF14', NULL, NULL, NULL, NULL, 'BNAA02G03980D PROTEIN', NULL, NULL, NULL, 15),
(171548, NULL, 'PTHR21530:SF11', NULL, NULL, NULL, NULL, 'TRAB DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(171549, NULL, 'PTHR13980:SF17', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SPT16', NULL, NULL, NULL, 15),
(171550, NULL, 'PTHR13112:SF5', NULL, NULL, NULL, NULL, 'REGULATOR OF NONSENSE TRANSCRIPTS UPF3', NULL, NULL, NULL, 15),
(171551, NULL, 'PTHR12771:SF41', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN C', NULL, NULL, NULL, 15),
(171552, NULL, 'PTHR14485:SF3', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 23', NULL, NULL, NULL, 15),
(171553, NULL, 'PTHR31257:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171554, NULL, 'PTHR21250', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 16996, 15),
(171555, NULL, 'PTHR11552:SF152', NULL, NULL, NULL, NULL, 'OXIDASE (CODA), PUTATIVE (AFU_ORTHOLOGUE AFUA_8G04090)-RELATED', NULL, NULL, NULL, 15),
(171556, NULL, 'PTHR27002:SF869', NULL, NULL, NULL, NULL, 'OS02G0710500 PROTEIN', NULL, NULL, NULL, 15),
(171557, NULL, 'PTHR23130:SF191', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(171558, NULL, 'PTHR43859:SF39', NULL, NULL, NULL, NULL, 'ACETATE/BUTYRATE--COA LIGASE AAE7, PEROXISOMAL', NULL, NULL, NULL, 15),
(171559, NULL, 'PTHR47211:SF3', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(171560, NULL, 'PTHR15486:SF75', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(171561, NULL, 'PTHR45752:SF85', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 7', NULL, NULL, NULL, 15),
(171562, NULL, 'PTHR31672:SF4', NULL, NULL, NULL, NULL, 'BNAA09G39880D PROTEIN', NULL, NULL, NULL, 15),
(171563, NULL, 'PTHR28242:SF57', NULL, NULL, NULL, NULL, 'PSEUDO HISTIDINE-CONTAINING PHOSPHOTRANSFER PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(171564, NULL, 'PTHR31669:SF154', NULL, NULL, NULL, NULL, 'FAR1 DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(171565, NULL, 'PTHR24103:SF573', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM62', NULL, NULL, NULL, 15),
(171566, NULL, 'PTHR34733:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171567, NULL, 'PTHR34357:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(171568, NULL, 'PTHR47991:SF64', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE', NULL, NULL, NULL, 15),
(171569, NULL, 'PTHR33668:SF1', NULL, NULL, NULL, NULL, 'PROTEIN BRICK1', NULL, NULL, NULL, 15),
(171570, NULL, 'PTHR48056:SF48', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1', NULL, NULL, NULL, 15),
(171571, NULL, 'PTHR10913:SF44', NULL, NULL, NULL, NULL, 'FOLLISTATIN-RELATED PROTEIN 5', NULL, NULL, NULL, 15),
(171572, NULL, 'PTHR34481:SF7', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE/TRYPSIN INHIBITOR CM16', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171573, NULL, 'PTHR31374:SF326', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(171574, NULL, 'PTHR23139:SF118', NULL, NULL, NULL, NULL, 'U2 SNRNP AUXILIARY FACTOR LARGE SUBUNIT', NULL, NULL, NULL, 15),
(171575, NULL, 'PTHR31929:SF111', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(171576, NULL, 'PTHR22596:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG21834', NULL, NULL, NULL, 15),
(171577, NULL, 'PTHR45754', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE', NULL, NULL, NULL, 15),
(171578, NULL, 'PTHR24012:SF793', NULL, NULL, NULL, NULL, 'OS01G0938200 PROTEIN', NULL, NULL, NULL, 15),
(171579, NULL, 'PTHR31263:SF60', NULL, NULL, NULL, NULL, 'RICIN B, LECTIN DOMAIN, GLYCOSIDE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(171580, NULL, 'PTHR11746:SF189', NULL, NULL, NULL, NULL, 'FLAVONOID O-METHYLTRANSFERASE-LIKE PROTEIN OS11G0303600', NULL, NULL, NULL, 15),
(171581, NULL, 'PTHR23421:SF153', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 2', NULL, NULL, NULL, 15),
(171582, NULL, 'PTHR47268:SF4', NULL, NULL, NULL, NULL, 'ACYLPHOSPHATASE', NULL, NULL, NULL, 15),
(171583, NULL, 'PTHR22950:SF515', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT6E', NULL, NULL, NULL, 15),
(171584, NULL, 'PTHR48029:SF1', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 8', NULL, NULL, NULL, 15),
(171585, NULL, 'PTHR24253', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE', NULL, NULL, NULL, 15),
(171586, NULL, 'PTHR45614:SF41', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 3R-1-LIKE', NULL, NULL, NULL, 15),
(171587, NULL, 'PTHR15921:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171588, NULL, 'PTHR26453:SF141', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(171589, NULL, 'PTHR34308', NULL, NULL, NULL, NULL, 'COBALAMIN BIOSYNTHESIS PROTEIN CBIB', NULL, NULL, 1457, 15),
(171590, NULL, 'PTHR31007:SF5', NULL, NULL, NULL, NULL, 'SI:DKEY-33M11.6', NULL, NULL, NULL, 15),
(171591, NULL, 'PTHR47758:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS M', NULL, NULL, NULL, 15),
(171592, NULL, 'PTHR33164:SF67', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(171593, NULL, 'PTHR39231:SF3', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP25', NULL, NULL, NULL, 15),
(171594, NULL, 'PTHR15887:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 69', NULL, NULL, NULL, 15),
(171595, NULL, 'PTHR23407:SF10', NULL, NULL, NULL, NULL, '5-FORMYLTETRAHYDROFOLATE CYCLO-LIGASE, MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(171596, NULL, 'PTHR22298:SF53', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 5', NULL, NULL, NULL, 15),
(171597, NULL, 'PTHR23226:SF184', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 29', NULL, NULL, NULL, 15),
(171598, NULL, 'PTHR43048:SF4', NULL, NULL, NULL, NULL, 'LYASE-RELATED', NULL, NULL, NULL, 15),
(171599, NULL, 'PTHR13952:SF17', NULL, NULL, NULL, NULL, 'BNAC05G19110D PROTEIN', NULL, NULL, NULL, 15),
(171600, NULL, 'PTHR40637:SF3', NULL, NULL, NULL, NULL, 'BNAA03G19790D PROTEIN', NULL, NULL, NULL, 15),
(171601, NULL, 'PTHR11304:SF68', NULL, NULL, NULL, NULL, 'EPHRIN-A3A', NULL, NULL, NULL, 15),
(171602, NULL, 'PTHR13890:SF27', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(171603, NULL, 'PTHR45745', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE 45A', NULL, NULL, NULL, 15),
(171604, NULL, 'PTHR10663:SF344', NULL, NULL, NULL, NULL, 'BREFELDIN A-INHIBITED GUANINE NUCLEOTIDE-EXCHANGE PROTEIN 3', NULL, NULL, NULL, 15),
(171605, NULL, 'PTHR24067:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171606, NULL, 'PTHR22776:SF25', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(171607, NULL, 'PTHR47928:SF126', NULL, NULL, NULL, NULL, 'OS06G0112000 PROTEIN', NULL, NULL, NULL, 15),
(171608, NULL, 'PTHR11909:SF365', NULL, NULL, NULL, NULL, 'BNAC02G11920D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171609, NULL, 'PTHR45645:SF20', NULL, NULL, NULL, NULL, 'MEMBRANE FRIZZLED-RELATED PROTEIN', NULL, NULL, NULL, 15),
(171610, NULL, 'PTHR10005:SF15', NULL, NULL, NULL, NULL, 'SKI ONCOGENE', NULL, NULL, 24031, 15),
(171611, NULL, 'PTHR24054:SF16', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA-RELATED', NULL, NULL, NULL, 15),
(171612, NULL, 'PTHR31917:SF42', NULL, NULL, NULL, NULL, 'DUF724 DOMAIN-CONTAINING PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(171613, NULL, 'PTHR24637:SF241', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(171614, NULL, 'PTHR11866:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171615, NULL, 'PTHR12864:SF3', NULL, NULL, NULL, NULL, 'GLUCOSE-INDUCED DEGRADATION PROTEIN 8 HOMOLOG', NULL, NULL, NULL, 15),
(171616, NULL, 'PTHR23335:SF3', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING TRANSCRIPTION ACTIVATOR 6', NULL, NULL, NULL, 15),
(171617, NULL, 'PTHR10315:SF126', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(171618, NULL, 'PTHR31561', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, 13569, 15),
(171619, NULL, 'PTHR11733', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE FAMILY M13 NEPRILYSIN-RELATED', NULL, NULL, 3650, 15),
(171620, NULL, 'PTHR31314:SF48', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS PROTEIN', NULL, NULL, NULL, 15),
(171621, NULL, 'PTHR31174', NULL, NULL, NULL, NULL, 'SEED MATURATION FAMILY PROTEIN', NULL, NULL, 38346, 15),
(171622, NULL, 'PTHR38790:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171623, NULL, 'PTHR10758', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 3/COP9 SIGNALOSOME COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(171624, NULL, 'PTHR31642:SF177', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 26', NULL, NULL, NULL, 15),
(171625, NULL, 'PTHR43107:SF15', NULL, NULL, NULL, NULL, 'RE52015P', NULL, NULL, 24419, 15),
(171626, NULL, 'PTHR22669:SF8', NULL, NULL, NULL, NULL, 'PROTEIN LAG-2', NULL, NULL, NULL, 15),
(171627, NULL, 'PTHR34289:SF1', NULL, NULL, NULL, NULL, 'OS06G0107100 PROTEIN', NULL, NULL, NULL, 15),
(171628, NULL, 'PTHR12441:SF10', NULL, NULL, NULL, NULL, 'ATP SYNTHASE-COUPLING FACTOR 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(171629, NULL, 'PTHR37694', NULL, NULL, NULL, NULL, 'SLR8022 PROTEIN', NULL, NULL, NULL, 15),
(171630, NULL, 'PTHR43085:SF30', NULL, NULL, NULL, NULL, 'PFKB FAMILY CARBOHYDRATE KINASE', NULL, NULL, NULL, 15),
(171631, NULL, 'PTHR46193:SF11', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(171632, NULL, 'PTHR43856', NULL, NULL, NULL, NULL, 'CARDIOLIPIN HYDROLASE', NULL, NULL, NULL, 15),
(171633, NULL, 'PTHR38696:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171634, NULL, 'PTHR12113:SF7', NULL, NULL, NULL, NULL, 'DICKKOPF-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(171635, NULL, 'PTHR39322', NULL, NULL, NULL, NULL, 'ACYL-HOMOSERINE-LACTONE SYNTHASE', NULL, NULL, 3142, 15),
(171636, NULL, 'PTHR24247:SF115', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10J5', NULL, NULL, NULL, 15),
(171637, NULL, 'PTHR24300:SF291', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2W1', NULL, NULL, NULL, 15),
(171638, NULL, 'PTHR16200:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZNRF3', NULL, NULL, NULL, 15),
(171639, NULL, 'PTHR13683:SF839', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED3-LIKE', NULL, NULL, NULL, 15),
(171640, NULL, 'PTHR21593:SF32', NULL, NULL, NULL, NULL, 'PROTEIN CBR-JUD-4', NULL, NULL, NULL, 15),
(171641, NULL, 'PTHR32444:SF59', NULL, NULL, NULL, NULL, 'S-LOCUS-SPECIFIC GLYCOPROTEIN S13-LIKE', NULL, NULL, NULL, 15),
(171642, NULL, 'PTHR11599:SF44', NULL, NULL, NULL, NULL, 'AT05866P-RELATED', NULL, NULL, 30163, 15),
(171643, NULL, 'PTHR13371:SF0', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 104 KDA', NULL, NULL, NULL, 15),
(171644, NULL, 'PTHR11132:SF306', NULL, NULL, NULL, NULL, 'OS01G0167500 PROTEIN', NULL, NULL, NULL, 15),
(171645, NULL, 'PTHR32134:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171646, NULL, 'PTHR11556:SF36', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, CYTOSOLIC', NULL, NULL, NULL, 15),
(171647, NULL, 'PTHR33227:SF18', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC STIG1-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(171648, NULL, 'PTHR30363:SF40', NULL, NULL, NULL, NULL, 'LACTOSE PHOSPHOTRANSFERASE SYSTEM REPRESSOR', NULL, NULL, NULL, 15),
(171649, NULL, 'PTHR45676:SF126', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL54', NULL, NULL, NULL, 15),
(171650, NULL, 'PTHR12869:SF1', NULL, NULL, NULL, NULL, 'BNAA08G03740D PROTEIN', NULL, NULL, NULL, 15),
(171651, NULL, 'PTHR10653', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA', NULL, NULL, 220, 15),
(171652, NULL, 'PTHR12300:SF132', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(171653, NULL, 'PTHR12161', NULL, NULL, NULL, NULL, 'IST1 FAMILY MEMBER', NULL, NULL, 2194, 15),
(171654, NULL, 'PTHR24298:SF830', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(171655, NULL, 'PTHR31110', NULL, NULL, NULL, NULL, 'PESTICIDAL CRYSTAL CRY8BA PROTEIN', NULL, NULL, NULL, 15),
(171656, NULL, 'PTHR11802:SF398', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(171657, NULL, 'PTHR14076:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171658, NULL, 'PTHR23292:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG15750', NULL, NULL, NULL, 15),
(171659, NULL, 'PTHR42778:SF1', NULL, NULL, NULL, NULL, '2-AMINOETHYLPHOSPHONATE--PYRUVATE TRANSAMINASE', NULL, NULL, NULL, 15),
(171660, NULL, 'PTHR24281:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171661, NULL, 'PTHR33728:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(171662, NULL, 'PTHR32191:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171663, NULL, 'PTHR20852:SF95', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', NULL, NULL, NULL, 15),
(171664, NULL, 'PTHR30620:SF16', NULL, NULL, NULL, NULL, 'LYSOSOMAL BETA GLUCOSIDASE', NULL, NULL, NULL, 15),
(171665, NULL, 'PTHR37734:SF1', NULL, NULL, NULL, NULL, 'LARGE RIBOSOMAL RNA SUBUNIT ACCUMULATION PROTEIN YCED HOMOLOG 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(171666, NULL, 'PTHR26450:SF125', NULL, NULL, NULL, NULL, 'MOR 5''BETA5', NULL, NULL, NULL, 15),
(171667, NULL, 'PTHR44846:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(171668, NULL, 'PTHR22883:SF127', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(171669, NULL, 'PTHR10177:SF490', NULL, NULL, NULL, NULL, 'CYCLIN-A3-2', NULL, NULL, NULL, 15),
(171670, NULL, 'PTHR38146:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171671, NULL, 'PTHR14200:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171672, NULL, 'PTHR10091:SF34', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(171673, NULL, 'PTHR33115:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171674, NULL, 'PTHR46135:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(171675, NULL, 'PTHR46915:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171676, NULL, 'PTHR24208:SF118', NULL, NULL, NULL, NULL, 'LIM HOMEOBOX TRANSCRIPTION FACTOR 1, ALPHA-LIKE', NULL, NULL, NULL, 15),
(171677, NULL, 'PTHR11732:SF278', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER B10', NULL, NULL, NULL, 15),
(171678, NULL, 'PTHR12832:SF31', NULL, NULL, NULL, NULL, 'OS02G0556700 PROTEIN', NULL, NULL, NULL, 15),
(171679, NULL, 'PTHR11038:SF23', NULL, NULL, NULL, NULL, 'BNAA04G28560D PROTEIN', NULL, NULL, NULL, 15),
(171680, NULL, 'PTHR43828:SF10', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN YAR1', NULL, NULL, NULL, 15),
(171681, NULL, 'PTHR14226', NULL, NULL, NULL, NULL, 'NEUROPATHY TARGET ESTERASE/SWISS CHEESE D.MELANOGASTER', NULL, NULL, NULL, 15),
(171682, NULL, 'PTHR47447:SF3', NULL, NULL, NULL, NULL, 'OS03G0856100 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171683, NULL, 'PTHR10956:SF34', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L31-1', NULL, NULL, NULL, 15),
(171684, NULL, 'PTHR11926:SF1386', NULL, NULL, NULL, NULL, 'BNACNNG37570D PROTEIN', NULL, NULL, NULL, 15),
(171685, NULL, 'PTHR33826:SF2', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(171686, NULL, 'PTHR22952:SF391', NULL, NULL, NULL, NULL, 'PROTEIN FD-LIKE', NULL, NULL, NULL, 15),
(171687, NULL, 'PTHR10209:SF786', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171688, NULL, 'PTHR24300:SF296', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 508A1-RELATED', NULL, NULL, NULL, 15),
(171689, NULL, 'PTHR22811:SF167', NULL, NULL, NULL, NULL, 'TMP21-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(171690, NULL, 'PTHR47745:SF1', NULL, NULL, NULL, NULL, 'IZUMO SPERM-EGG FUSION PROTEIN 2', NULL, NULL, NULL, 15),
(171691, NULL, 'PTHR16271:SF10', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 46', NULL, NULL, NULL, 15),
(171692, NULL, 'PTHR10155:SF14', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 4', NULL, NULL, NULL, 15),
(171693, NULL, 'PTHR33288:SF4', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY PROTEIN YCF4', NULL, NULL, NULL, 15),
(171694, NULL, 'PTHR30096:SF19', NULL, NULL, NULL, NULL, 'BNAANNG27710D PROTEIN', NULL, NULL, NULL, 15),
(171695, NULL, 'PTHR11438:SF4', NULL, NULL, NULL, NULL, 'PROENKEPHALIN-B', NULL, NULL, 5030, 15),
(171696, NULL, 'PTHR42721:SF29', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 7-RELATED', NULL, NULL, NULL, 15),
(171697, NULL, 'PTHR31731:SF129', NULL, NULL, NULL, NULL, '14 KDA PROLINE-RICH PROTEIN DC2.15-LIKE', NULL, NULL, NULL, 15),
(171698, NULL, 'PTHR13238:SF4', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 298', NULL, NULL, NULL, 15),
(171699, NULL, 'PTHR44272:SF8', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(171700, NULL, 'PTHR45992:SF5', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE D', NULL, NULL, NULL, 15),
(171701, NULL, 'PTHR11956', NULL, NULL, NULL, NULL, 'ARGINYL-TRNA SYNTHETASE', NULL, NULL, 420, 15),
(171702, NULL, 'PTHR47993:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171703, NULL, 'PTHR43066:SF11', NULL, NULL, NULL, NULL, 'RHOMBOID PROTEASE GLPG', NULL, NULL, NULL, 15),
(171704, NULL, 'PTHR45914:SF31', NULL, NULL, NULL, NULL, 'BNAA03G36230D PROTEIN', NULL, NULL, NULL, 15),
(171705, NULL, 'PTHR30620:SF81', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE BOGH3B-LIKE', NULL, NULL, NULL, 15),
(171706, NULL, 'PTHR22765:SF333', NULL, NULL, NULL, NULL, 'OS12G0580700 PROTEIN', NULL, NULL, NULL, 15),
(171707, NULL, 'PTHR19134:SF492', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE PTP1', NULL, NULL, NULL, 15),
(171708, NULL, 'PTHR43349', NULL, NULL, NULL, NULL, 'PINORESINOL REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(171709, NULL, 'PTHR12526:SF561', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS GLYCOSYLTRANSFERASE WCAL-RELATED', NULL, NULL, NULL, 15),
(171710, NULL, 'PTHR23002:SF67', NULL, NULL, NULL, NULL, 'CELLULAR NUCLEIC ACID-BINDING PROTEIN', NULL, NULL, NULL, 15),
(171711, NULL, 'PTHR48112:SF14', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN B3', NULL, NULL, 26646, 15),
(171712, NULL, 'PTHR47926:SF283', NULL, NULL, NULL, NULL, 'OS11G0680200 PROTEIN', NULL, NULL, NULL, 15),
(171713, NULL, 'PTHR47992', NULL, NULL, NULL, NULL, 'ALPHABET, ISOFORM E-RELATED', NULL, NULL, NULL, 15),
(171714, NULL, 'PTHR46634', NULL, NULL, NULL, NULL, 'M REDUCTASE II SUBUNIT GAMMA, PUTATIVE (DUF3741)-RELATED', NULL, NULL, NULL, 15),
(171715, NULL, 'PTHR46234', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(171716, NULL, 'PTHR33318:SF20', NULL, NULL, NULL, NULL, 'BNAA04G19430D PROTEIN', NULL, NULL, NULL, 15),
(171717, NULL, 'PTHR38035:SF1', NULL, NULL, NULL, NULL, 'UPF0070 PROTEIN YFGM', NULL, NULL, NULL, 15),
(171718, NULL, 'PTHR23167:SF43', NULL, NULL, NULL, NULL, 'EH DOMAIN-BINDING PROTEIN 1', NULL, NULL, 21504, 15),
(171719, NULL, 'PTHR11921:SF43', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] IRON-SULFUR SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171720, NULL, 'PTHR46353:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JAGGED-LIKE', NULL, NULL, NULL, 15),
(171721, NULL, 'PTHR32468:SF109', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 24-RELATED', NULL, NULL, NULL, 15),
(171722, NULL, 'PTHR10285:SF168', NULL, NULL, NULL, NULL, 'URIDINE KINASE', NULL, NULL, NULL, 15),
(171723, NULL, 'PTHR24056:SF243', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 8', NULL, NULL, NULL, 15),
(171724, NULL, 'PTHR47928:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171725, NULL, 'PTHR23234', NULL, NULL, NULL, NULL, 'ZNF44 PROTEIN', NULL, NULL, NULL, 15),
(171726, NULL, 'PTHR31258:SF1', NULL, NULL, NULL, NULL, 'KERATINOCYTE-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(171727, NULL, 'PTHR24089:SF674', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL3-RELATED', NULL, NULL, NULL, 15),
(171728, NULL, 'PTHR31444:SF38', NULL, NULL, NULL, NULL, 'BNAC02G45640D PROTEIN', NULL, NULL, NULL, 15),
(171729, NULL, 'PTHR23120:SF0', NULL, NULL, NULL, NULL, 'MAESTRO HEAT-LIKE REPEAT FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(171730, NULL, 'PTHR10395:SF7', NULL, NULL, NULL, NULL, '5-HYDROXYISOURATE HYDROLASE', NULL, NULL, NULL, 15),
(171731, NULL, 'PTHR33063:SF8', NULL, NULL, NULL, NULL, 'OS08G0271600 PROTEIN', NULL, NULL, NULL, 15),
(171732, NULL, 'PTHR31339', NULL, NULL, NULL, NULL, 'PECTIN LYASE-RELATED', NULL, NULL, NULL, 15),
(171733, NULL, 'PTHR31319:SF56', NULL, NULL, NULL, NULL, 'OS02G0610500 PROTEIN', NULL, NULL, NULL, 15),
(171734, NULL, 'PTHR21461:SF56', NULL, NULL, NULL, NULL, 'GALACTAN BETA-1,4-GALACTOSYLTRANSFERASE GALS1', NULL, NULL, NULL, 15),
(171735, NULL, 'PTHR24559:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171736, NULL, 'PTHR34411:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171737, NULL, 'PTHR27005:SF395', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(171738, NULL, 'PTHR48015:SF1', NULL, NULL, NULL, NULL, 'NIK-RELATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(171739, NULL, 'PTHR45093:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR MSS11', NULL, NULL, NULL, 15),
(171740, NULL, 'PTHR10183:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171741, NULL, 'PTHR23501:SF182', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01360)-RELATED', NULL, NULL, NULL, 15),
(171742, NULL, 'PTHR11008:SF9', NULL, NULL, NULL, NULL, 'RE70318P', NULL, NULL, NULL, 15),
(171743, NULL, 'PTHR30046:SF2', NULL, NULL, NULL, NULL, 'YOP PROTEINS TRANSLOCATION LIPOPROTEIN J', NULL, NULL, NULL, 15),
(171744, NULL, 'PTHR47407:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG15905', NULL, NULL, NULL, 15),
(171745, NULL, 'PTHR34783:SF1', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 144-RELATED', NULL, NULL, NULL, 15),
(171746, NULL, 'PTHR31533:SF19', NULL, NULL, NULL, NULL, 'BNAA10G10320D PROTEIN', NULL, NULL, NULL, 15),
(171747, NULL, 'PTHR47925:SF56', NULL, NULL, NULL, NULL, 'BNAA02G27730D PROTEIN', NULL, NULL, NULL, 15),
(171748, NULL, 'PTHR46665:SF10', NULL, NULL, NULL, NULL, 'BNAA06G36620D PROTEIN', NULL, NULL, NULL, 15),
(171749, NULL, 'PTHR46211', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHORYL DIESTER PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(171750, NULL, 'PTHR23076:SF108', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 4, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(171751, NULL, 'PTHR47926:SF6', NULL, NULL, NULL, NULL, 'BNAC09G47480D PROTEIN', NULL, NULL, NULL, 15),
(171752, NULL, 'PTHR32183:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171753, NULL, 'PTHR44699', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 11', NULL, NULL, 38152, 15),
(171754, NULL, 'PTHR24099:SF15', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM9', NULL, NULL, NULL, 15),
(171755, NULL, 'PTHR11590:SF69', NULL, NULL, NULL, NULL, 'RE08173P', NULL, NULL, NULL, 15),
(171756, NULL, 'PTHR13832:SF731', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171757, NULL, 'PTHR22870:SF419', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171758, NULL, 'PTHR31642:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171759, NULL, 'PTHR24326:SF588', NULL, NULL, NULL, NULL, 'HOMEOBOX LEUCINE ZIPPER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(171760, NULL, 'PTHR19384:SF17', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', NULL, NULL, NULL, 15),
(171761, NULL, 'PTHR11861:SF1', NULL, NULL, NULL, NULL, 'MELANOCYTE PROTEIN PMEL', NULL, NULL, NULL, 15),
(171762, NULL, 'PTHR10652:SF17', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(171763, NULL, 'PTHR24015:SF1862', NULL, NULL, NULL, NULL, 'OS01G0357800 PROTEIN', NULL, NULL, NULL, 15),
(171764, NULL, 'PTHR32440:SF21', NULL, NULL, NULL, NULL, 'PDP3-INTERACTING FACTOR 1', NULL, NULL, NULL, 15),
(171765, NULL, 'PTHR48061:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171766, NULL, 'PTHR45676:SF90', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL79-LIKE', NULL, NULL, NULL, 15),
(171767, NULL, 'PTHR45295:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ C76, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(171768, NULL, 'PTHR42693:SF10', NULL, NULL, NULL, NULL, 'ARYLSULFATASE G', NULL, NULL, NULL, 15),
(171769, NULL, 'PTHR33266', NULL, NULL, NULL, NULL, 'CHROMOSOME 15, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(171770, NULL, 'PTHR33309:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171771, NULL, 'PTHR22850', NULL, NULL, NULL, NULL, 'WD40 REPEAT FAMILY', NULL, NULL, NULL, 15),
(171772, NULL, 'PTHR43523:SF18', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE LARGE SUBUNIT 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(171773, NULL, 'PTHR48002:SF16', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(171774, NULL, 'PTHR19317:SF54', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(171775, NULL, 'PTHR31232:SF81', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 30', NULL, NULL, NULL, 15),
(171776, NULL, 'PTHR14200:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(171777, NULL, 'PTHR14237:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171778, NULL, 'PTHR24201', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171779, NULL, 'PTHR12313:SF39', NULL, NULL, NULL, NULL, 'OS12G0636000 PROTEIN', NULL, NULL, NULL, 15),
(171780, NULL, 'PTHR36309', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(171781, NULL, 'PTHR45743:SF35', NULL, NULL, NULL, NULL, 'BNAA09G17910D PROTEIN', NULL, NULL, NULL, 15),
(171782, NULL, 'PTHR31044:SF86', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(171783, NULL, 'PTHR11278:SF12', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15),
(171784, NULL, 'PTHR10845:SF147', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 8', NULL, NULL, 20996, 15),
(171785, NULL, 'PTHR24028:SF239', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA 9', NULL, NULL, NULL, 15),
(171786, NULL, 'PTHR38409:SF1', NULL, NULL, NULL, NULL, 'MDM10-COMPLEMENTING PROTEIN 1', NULL, NULL, NULL, 15),
(171787, NULL, 'PTHR19256', NULL, NULL, NULL, NULL, 'T-CELL RECEPTOR GAMMA CHAIN', NULL, NULL, NULL, 15),
(171788, NULL, 'PTHR33312:SF23', NULL, NULL, NULL, NULL, 'OS05G0120900 PROTEIN', NULL, NULL, NULL, 15),
(171789, NULL, 'PTHR30427:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN LYSR', NULL, NULL, NULL, 15),
(171790, NULL, 'PTHR31865:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171791, NULL, 'PTHR33890:SF5', NULL, NULL, NULL, NULL, 'OS10G0571000 PROTEIN', NULL, NULL, NULL, 15),
(171792, NULL, 'PTHR37333:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH SINGLE-PASS MEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(171793, NULL, 'PTHR32010:SF19', NULL, NULL, NULL, NULL, 'OS04G0675000 PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171794, NULL, 'PTHR24232:SF7', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 20', NULL, NULL, NULL, 15),
(171795, NULL, 'PTHR33164:SF71', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR MARR FAMILY', NULL, NULL, NULL, 15),
(171796, NULL, 'PTHR37048:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171797, NULL, 'PTHR35982', NULL, NULL, NULL, NULL, 'AGAP005361-PA', NULL, NULL, NULL, 15),
(171798, NULL, 'PTHR21136:SF197', NULL, NULL, NULL, NULL, 'BNAA08G05870D PROTEIN', NULL, NULL, NULL, 15),
(171799, NULL, 'PTHR36102:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171800, NULL, 'PTHR13088:SF2', NULL, NULL, NULL, NULL, 'FAS APOPTOTIC INHIBITORY MOLECULE-LIKE', NULL, NULL, NULL, 15),
(171801, NULL, 'PTHR21596:SF71', NULL, NULL, NULL, NULL, 'BNAC09G28530D PROTEIN', NULL, NULL, NULL, 15),
(171802, NULL, 'PTHR23079:SF39', NULL, NULL, NULL, NULL, 'RNA-DIRECTED RNA POLYMERASE', NULL, NULL, NULL, 15),
(171803, NULL, 'PTHR31905:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171804, NULL, 'PTHR11705:SF54', NULL, NULL, NULL, NULL, 'PROTEIN CBG21349', NULL, NULL, NULL, 15),
(171805, NULL, 'PTHR32481:SF0', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE YPDE-RELATED', NULL, NULL, NULL, 15),
(171806, NULL, 'PTHR37572:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171807, NULL, 'PTHR35317:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE-RELATED', NULL, NULL, NULL, 15),
(171808, NULL, 'PTHR42985:SF10', NULL, NULL, NULL, NULL, 'SODIUM-COUPLED MONOCARBOXYLATE TRANSPORTER 1', NULL, NULL, NULL, 15),
(171809, NULL, 'PTHR11782:SF31', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 8', NULL, NULL, NULL, 15),
(171810, NULL, 'PTHR12398:SF30', NULL, NULL, NULL, NULL, 'PROTEIN GLC8-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(171811, NULL, 'PTHR11474:SF108', NULL, NULL, NULL, NULL, 'OS01G0793100 PROTEIN', NULL, NULL, NULL, 15),
(171812, NULL, 'PTHR23024:SF563', NULL, NULL, NULL, NULL, 'OS07G0501400 PROTEIN', NULL, NULL, NULL, 15),
(171813, NULL, 'PTHR10468:SF0', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 2-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(171814, NULL, 'PTHR12378:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171815, NULL, 'PTHR36714:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(171816, NULL, 'PTHR11406:SF24', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 7', NULL, NULL, NULL, 15),
(171817, NULL, 'PTHR11586:SF37', NULL, NULL, NULL, NULL, 'CHAPERONE CSAA-RELATED', NULL, NULL, 692, 15),
(171818, NULL, 'PTHR16059:SF13', NULL, NULL, NULL, NULL, 'ANTHRAX TOXIN RECEPTOR 2', NULL, NULL, 17765, 15),
(171819, NULL, 'PTHR45528:SF6', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SENSOR KINASE', NULL, NULL, NULL, 15),
(171820, NULL, 'PTHR31375:SF104', NULL, NULL, NULL, NULL, 'OS01G0517500 PROTEIN', NULL, NULL, NULL, 15),
(171821, NULL, 'PTHR23226:SF211', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 773', NULL, NULL, NULL, 15),
(171822, NULL, 'PTHR14795', NULL, NULL, NULL, NULL, 'HELICASE RELATED', NULL, NULL, NULL, 15),
(171823, NULL, 'PTHR10985:SF138', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CWO', NULL, NULL, NULL, 15),
(171824, NULL, 'PTHR10579:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171825, NULL, 'PTHR46510', NULL, NULL, NULL, NULL, 'BROMODOMAIN ADJACENT TO ZINC FINGER DOMAIN PROTEIN 1A', NULL, NULL, NULL, 15),
(171826, NULL, 'PTHR11574', NULL, NULL, NULL, NULL, 'KIT LIGAND', NULL, NULL, 5537, 15),
(171827, NULL, 'PTHR23200:SF48', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(171828, NULL, 'PTHR46631:SF6', NULL, NULL, NULL, NULL, 'OS06G0359400 PROTEIN', NULL, NULL, NULL, 15),
(171829, NULL, 'PTHR10165:SF25', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE 2', NULL, NULL, 23591, 15),
(171830, NULL, 'PTHR31636:SF175', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 3', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171831, NULL, 'PTHR11014', NULL, NULL, NULL, NULL, 'PEPTIDASE M20 FAMILY MEMBER', NULL, NULL, 18887, 15),
(171832, NULL, 'PTHR24072:SF290', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHO4', NULL, NULL, NULL, 15),
(171833, NULL, 'PTHR45646:SF11', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DOA', NULL, NULL, NULL, 15),
(171834, NULL, 'PTHR37246', NULL, NULL, NULL, NULL, 'OS07G0658000 PROTEIN', NULL, NULL, NULL, 15),
(171835, NULL, 'PTHR23244:SF434', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171836, NULL, 'PTHR31677:SF99', NULL, NULL, NULL, NULL, 'BNAC09G39250D PROTEIN', NULL, NULL, NULL, 15),
(171837, NULL, 'PTHR26453:SF56', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1339', NULL, NULL, NULL, 15),
(171838, NULL, 'PTHR31616:SF5', NULL, NULL, NULL, NULL, 'GLUCAN 1,4-ALPHA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(171839, NULL, 'PTHR12821:SF1', NULL, NULL, NULL, NULL, 'BNACNNG38680D PROTEIN', NULL, NULL, NULL, 15),
(171840, NULL, 'PTHR23266:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171841, NULL, 'PTHR22947:SF18', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(171842, NULL, 'PTHR11206:SF318', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(171843, NULL, 'PTHR24390:SF154', NULL, NULL, NULL, NULL, 'LSY-2-LIKE', NULL, NULL, NULL, 15),
(171844, NULL, 'PTHR40142', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B, MEMBER 9B-RELATED', NULL, NULL, 6414, 15),
(171845, NULL, 'PTHR43952:SF54', NULL, NULL, NULL, NULL, 'BNAC05G15040D PROTEIN', NULL, NULL, NULL, 15),
(171846, NULL, 'PTHR14347:SF3', NULL, NULL, NULL, NULL, 'CLAUDIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(171847, NULL, 'PTHR33404:SF2', NULL, NULL, NULL, NULL, 'CELL DIVISION TOPOLOGICAL SPECIFICITY FACTOR HOMOLOG, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(171848, NULL, 'PTHR13522', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 24279, 15),
(171849, NULL, 'PTHR11246:SF25', NULL, NULL, NULL, NULL, 'BNAA02G34100D PROTEIN', NULL, NULL, NULL, 15),
(171850, NULL, 'PTHR47926:SF267', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(171851, NULL, 'PTHR31080:SF213', NULL, NULL, NULL, NULL, 'BNAA09G30040D PROTEIN', NULL, NULL, NULL, 15),
(171852, NULL, 'PTHR33172:SF65', NULL, NULL, NULL, NULL, 'OS06G0559400 PROTEIN', NULL, NULL, NULL, 15),
(171853, NULL, 'PTHR37380', NULL, NULL, NULL, NULL, 'CLE FAMILY OSCLE501 PROTEIN', NULL, NULL, NULL, 15),
(171854, NULL, 'PTHR11947', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE KINASE', NULL, NULL, 34314, 15),
(171855, NULL, 'PTHR11501:SF16', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 4', NULL, NULL, 26258, 15),
(171856, NULL, 'PTHR15162', NULL, NULL, NULL, NULL, 'ASPARTOACYLASE', NULL, NULL, NULL, 15),
(171857, NULL, 'PTHR33494:SF1', NULL, NULL, NULL, NULL, 'OS02G0793800 PROTEIN', NULL, NULL, NULL, 15),
(171858, NULL, 'PTHR15141', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR B POLYPEPTIDE 3', NULL, NULL, NULL, 15),
(171859, NULL, 'PTHR47732:SF1', NULL, NULL, NULL, NULL, 'RUN AND FYVE DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(171860, NULL, 'PTHR48017:SF49', NULL, NULL, NULL, NULL, 'BNAA09G57230D PROTEIN', NULL, NULL, NULL, 15),
(171861, NULL, 'PTHR22870:SF418', NULL, NULL, NULL, NULL, 'OS05G0545200 PROTEIN', NULL, NULL, NULL, 15),
(171862, NULL, 'PTHR10606:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171863, NULL, 'PTHR11814:SF234', NULL, NULL, NULL, NULL, 'BNAA09G30120D PROTEIN', NULL, NULL, 28885, 15),
(171864, NULL, 'PTHR11566:SF182', NULL, NULL, NULL, NULL, 'BNAA09G45430D PROTEIN', NULL, NULL, NULL, 15),
(171865, NULL, 'PTHR45630:SF7', NULL, NULL, NULL, NULL, 'MANGANESE-TRANSPORTING ATPASE 13A1', NULL, NULL, NULL, 15),
(171866, NULL, 'PTHR18884:SF109', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 12', NULL, NULL, NULL, 15),
(171867, NULL, 'PTHR11132:SF364', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE/PHOSPHATE TRANSLOCATOR 2, CHLOROPLASTIC', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171868, NULL, 'PTHR47991:SF104', NULL, NULL, NULL, NULL, 'BNAA04G21880D PROTEIN', NULL, NULL, NULL, 15),
(171869, NULL, 'PTHR24282:SF220', NULL, NULL, NULL, NULL, '11-OXO-BETA-AMYRIN 30-OXIDASE', NULL, NULL, NULL, 15),
(171870, NULL, 'PTHR43349:SF66', NULL, NULL, NULL, NULL, 'CIPA-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12460)-RELATED', NULL, NULL, NULL, 15),
(171871, NULL, 'PTHR23239:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171872, NULL, 'PTHR13361:SF1', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 11', NULL, NULL, NULL, 15),
(171873, NULL, 'PTHR22916:SF41', NULL, NULL, NULL, NULL, 'TEICHOIC ACID GLYCEROL-PHOSPHATE TRANSFERASE', NULL, NULL, NULL, 15),
(171874, NULL, 'PTHR11709:SF379', NULL, NULL, NULL, NULL, 'LACCASE-9-RELATED', NULL, NULL, NULL, 15),
(171875, NULL, 'PTHR24392:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 518B', NULL, NULL, NULL, 15),
(171876, NULL, 'PTHR47993:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171877, NULL, 'PTHR11848:SF232', NULL, NULL, NULL, NULL, 'LEFT-RIGHT DETERMINATION FACTOR 2', NULL, NULL, NULL, 15),
(171878, NULL, 'PTHR31867:SF181', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(171879, NULL, 'PTHR48001:SF16', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(171880, NULL, 'PTHR33349:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171881, NULL, 'PTHR20961:SF90', NULL, NULL, NULL, NULL, 'OSJNBB0026E15.11 PROTEIN', NULL, NULL, NULL, 15),
(171882, NULL, 'PTHR43416:SF32', NULL, NULL, NULL, NULL, 'BIOTIN CARBOXYL CARRIER PROTEIN OF ACETYL-COA CARBOXYLASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(171883, NULL, 'PTHR43240:SF22', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-2-NAPHTHOYL-COA THIOESTERASE 1-LIKE', NULL, NULL, NULL, 15),
(171884, NULL, 'PTHR47942:SF40', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_4G07240)', NULL, NULL, NULL, 15),
(171885, NULL, 'PTHR46222:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(171886, NULL, 'PTHR31042:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171887, NULL, 'PTHR48034:SF11', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF', NULL, NULL, NULL, 15),
(171888, NULL, 'PTHR27009:SF215', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK3', NULL, NULL, NULL, 15),
(171889, NULL, 'PTHR47958:SF99', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 53-LIKE', NULL, NULL, NULL, 15),
(171890, NULL, 'PTHR11127:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L14-2', NULL, NULL, NULL, 15),
(171891, NULL, 'PTHR11732:SF483', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE/POTASSIUM CHANNEL SUBUNIT BETA-RELATED', NULL, NULL, NULL, 15),
(171892, NULL, 'PTHR45614:SF73', NULL, NULL, NULL, NULL, 'OS01G0210200 PROTEIN', NULL, NULL, NULL, 15),
(171893, NULL, 'PTHR35010:SF3', NULL, NULL, NULL, NULL, 'BLL4873 PROTEIN', NULL, NULL, NULL, 15),
(171894, NULL, 'PTHR26453:SF645', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2L2', NULL, NULL, NULL, 15),
(171895, NULL, 'PTHR11458:SF3', NULL, NULL, NULL, NULL, 'DELTA-AMINOLEVULINIC ACID DEHYDRATASE 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(171896, NULL, 'PTHR45654:SF73', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ROC2', NULL, NULL, NULL, 15),
(171897, NULL, 'PTHR15706:SF10', NULL, NULL, NULL, NULL, 'NADPH OXIDASE ORGANIZER 1', NULL, NULL, NULL, 15),
(171898, NULL, 'PTHR21495:SF158', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(171899, NULL, 'PTHR12919:SF33', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S16-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(171900, NULL, 'PTHR31284:SF33', NULL, NULL, NULL, NULL, 'STEM 28 KDA GLYCOPROTEIN', NULL, NULL, NULL, 15),
(171901, NULL, 'PTHR10201:SF260', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE', NULL, NULL, NULL, 15),
(171902, NULL, 'PTHR33083:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171903, NULL, 'PTHR33698:SF5', NULL, NULL, NULL, NULL, 'NTF2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171904, NULL, 'PTHR47417:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171905, NULL, 'PTHR42744:SF1', NULL, NULL, NULL, NULL, 'BINDING-PROTEIN-DEPENDENT TRANSPORT SYSTEMS INNER MEMBRANE COMPONENT', NULL, NULL, NULL, 15),
(171906, NULL, 'PTHR37856:SF1', NULL, NULL, NULL, NULL, 'MAST CELL-EXPRESSED MEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(171907, NULL, 'PTHR24058:SF114', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(171908, NULL, 'PTHR23232:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171909, NULL, 'PTHR12375:SF44', NULL, NULL, NULL, NULL, 'OS03G0843500 PROTEIN', NULL, NULL, NULL, 15),
(171910, NULL, 'PTHR11711:SF110', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 4', NULL, NULL, NULL, 15),
(171911, NULL, 'PTHR31639:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171912, NULL, 'PTHR43345:SF8', NULL, NULL, NULL, NULL, 'BNAA05G34440D PROTEIN', NULL, NULL, NULL, 15),
(171913, NULL, 'PTHR21519', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, 35676, 15),
(171914, NULL, 'PTHR23510:SF23', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING MEMBRANE PROTEIN OS02G45520', NULL, NULL, NULL, 15),
(171915, NULL, 'PTHR12931:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE OTUB1', NULL, NULL, 27658, 15),
(171916, NULL, 'PTHR31062:SF204', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(171917, NULL, 'PTHR11006:SF109', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 1.2-RELATED', NULL, NULL, NULL, 15),
(171918, NULL, 'PTHR46447', NULL, NULL, NULL, NULL, 'INTERLEUKIN ENHANCER-BINDING FACTOR', NULL, NULL, NULL, 15),
(171919, NULL, 'PTHR21596:SF23', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 4', NULL, NULL, NULL, 15),
(171920, NULL, 'PTHR21569:SF29', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S16-1-RELATED', NULL, NULL, NULL, 15),
(171921, NULL, 'PTHR48045:SF7', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(171922, NULL, 'PTHR43900:SF44', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F8, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(171923, NULL, 'PTHR30540:SF102', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 1', NULL, NULL, NULL, 15),
(171924, NULL, 'PTHR33044:SF178', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN GPI-ANCHORED 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(171925, NULL, 'PTHR23067', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(171926, NULL, 'PTHR10390:SF63', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SIX7', NULL, NULL, NULL, 15),
(171927, NULL, 'PTHR45618:SF37', NULL, NULL, NULL, NULL, 'BNAC04G26520D PROTEIN', NULL, NULL, NULL, 15),
(171928, NULL, 'PTHR15241:SF293', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A1 PSEUDOGENE 48', NULL, NULL, NULL, 15),
(171929, NULL, 'PTHR11588:SF360', NULL, NULL, NULL, NULL, 'MISCELLANEOUS ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(171930, NULL, 'PTHR24103:SF591', NULL, NULL, NULL, NULL, 'SI:DKEY-183C6.9', NULL, NULL, NULL, 15),
(171931, NULL, 'PTHR48012:SF11', NULL, NULL, NULL, NULL, 'STE20-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(171932, NULL, 'PTHR46835:SF4', NULL, NULL, NULL, NULL, 'B-ZIP PROTEIN', NULL, NULL, NULL, 15),
(171933, NULL, 'PTHR34260:SF1', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME-C REDUCTASE COMPLEX ASSEMBLY FACTOR 2', NULL, NULL, NULL, 15),
(171934, NULL, 'PTHR11043', NULL, NULL, NULL, NULL, 'ZETA-COAT PROTEIN', NULL, NULL, 29406, 15),
(171935, NULL, 'PTHR21255:SF4', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN TCTEX-TYPE', NULL, NULL, NULL, 15),
(171936, NULL, 'PTHR46859', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE FRAGILE-X-F-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(171937, NULL, 'PTHR23292:SF36', NULL, NULL, NULL, NULL, 'PROTEIN CBG15749', NULL, NULL, NULL, 15),
(171938, NULL, 'PTHR35358:SF12', NULL, NULL, NULL, NULL, 'BNAA09G43510D PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171939, NULL, 'PTHR22951:SF90', NULL, NULL, NULL, NULL, 'BNAA09G40960D PROTEIN', NULL, NULL, NULL, 15),
(171940, NULL, 'PTHR23201:SF98', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 11-LIKE', NULL, NULL, NULL, 15),
(171941, NULL, 'PTHR31533:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171942, NULL, 'PTHR12755:SF6', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE 5''-HYDROXYL-KINASE CLP1', NULL, NULL, NULL, 15),
(171943, NULL, 'PTHR31881:SF15', NULL, NULL, NULL, NULL, 'PLANT/F12B17-70 PROTEIN', NULL, NULL, NULL, 15),
(171944, NULL, 'PTHR13395', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION PROTEIN DCC1-RELATED', NULL, NULL, 17884, 15),
(171945, NULL, 'PTHR22625:SF34', NULL, NULL, NULL, NULL, 'PLEXIN-A4', NULL, NULL, NULL, 15),
(171946, NULL, 'PTHR33593:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT/KH DOMAIN PROTEIN (DUF1442)', NULL, NULL, NULL, 15),
(171947, NULL, 'PTHR10502:SF206', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(171948, NULL, 'PTHR40061', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN YLMC-RELATED', NULL, NULL, 10826, 15),
(171949, NULL, 'PTHR24372:SF69', NULL, NULL, NULL, NULL, 'ELRR (EXTRACELLULAR LEUCINE-RICH REPEAT) ONLY', NULL, NULL, NULL, 15),
(171950, NULL, 'PTHR31549:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171951, NULL, 'PTHR31048:SF47', NULL, NULL, NULL, NULL, 'PROTEIN P21', NULL, NULL, NULL, 15),
(171952, NULL, 'PTHR24418:SF394', NULL, NULL, NULL, NULL, 'PROTEIN NIPI-4', NULL, NULL, NULL, 15),
(171953, NULL, 'PTHR14526:SF2', NULL, NULL, NULL, NULL, 'AURORA KINASE A AND NINEIN-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(171954, NULL, 'PTHR35968', NULL, NULL, NULL, NULL, 'CHROMOSOME 6 C6ORF201 HOMOLOG', NULL, NULL, 22558, 15),
(171955, NULL, 'PTHR34656:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171956, NULL, 'PTHR24128:SF48', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBAT31-RELATED', NULL, NULL, NULL, 15),
(171957, NULL, 'PTHR35373:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG24194', NULL, NULL, NULL, 15),
(171958, NULL, 'PTHR30372:SF4', NULL, NULL, NULL, NULL, 'LIPID-A-DISACCHARIDE SYNTHASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(171959, NULL, 'PTHR33726:SF21', NULL, NULL, NULL, NULL, 'BNAA06G36050D PROTEIN', NULL, NULL, NULL, 15),
(171960, NULL, 'PTHR11705:SF137', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE A1', NULL, NULL, NULL, 15),
(171961, NULL, 'PTHR31750:SF19', NULL, NULL, NULL, NULL, 'STAY-GREEN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(171962, NULL, 'PTHR43447:SF29', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', NULL, NULL, NULL, 15),
(171963, NULL, 'PTHR19229:SF101', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY A (ABC1), MEMBER 16', NULL, NULL, NULL, 15),
(171964, NULL, 'PTHR31506:SF21', NULL, NULL, NULL, NULL, 'BETA-AMYLASE 8-LIKE', NULL, NULL, NULL, 15),
(171965, NULL, 'PTHR33622:SF10', NULL, NULL, NULL, NULL, 'DIPEPTIDE TRANSPORT ATP-BINDING PROTEIN DPPF', NULL, NULL, NULL, 15),
(171966, NULL, 'PTHR43479:SF14', NULL, NULL, NULL, NULL, 'TETR-FAMILY REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(171967, NULL, 'PTHR24055:SF464', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C', NULL, NULL, NULL, 15),
(171968, NULL, 'PTHR23315:SF307', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(171969, NULL, 'PTHR24377:SF374', NULL, NULL, NULL, NULL, 'ZINC FINGER, IMPRINTED 1', NULL, NULL, NULL, 15),
(171970, NULL, 'PTHR47990:SF173', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(171971, NULL, 'PTHR26450:SF356', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR FAMILY 56 SUBFAMILY A MEMBER 4', NULL, NULL, NULL, 15),
(171972, NULL, 'PTHR14206:SF6', NULL, NULL, NULL, NULL, 'ZGC:158689', NULL, NULL, NULL, 15),
(171973, NULL, 'PTHR45680:SF21', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(171974, NULL, 'PTHR23136:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171975, NULL, 'PTHR24353:SF68', NULL, NULL, NULL, NULL, 'PROTEIN KINASE CGMP-DEPENDENT 1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(171976, NULL, 'PTHR46429', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 7273, 15),
(171977, NULL, 'PTHR47977:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171978, NULL, 'PTHR31889:SF45', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 10-RELATED', NULL, NULL, NULL, 15),
(171979, NULL, 'PTHR11480:SF78', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(171980, NULL, 'PTHR45635:SF26', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(171981, NULL, 'PTHR24012:SF699', NULL, NULL, NULL, NULL, 'CUGBP ELAV-LIKE FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(171982, NULL, 'PTHR11525', NULL, NULL, NULL, NULL, 'FARNESYL-PYROPHOSPHATE SYNTHETASE', NULL, NULL, 30025, 15),
(171983, NULL, 'PTHR33623:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(171984, NULL, 'PTHR46191', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171985, NULL, 'PTHR43355:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171986, NULL, 'PTHR11929:SF212', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE FAMILY 10-RELATED', NULL, NULL, NULL, 15),
(171987, NULL, 'PTHR10547:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171988, NULL, 'PTHR46109:SF3', NULL, NULL, NULL, NULL, 'PROTEIN LIN-28 HOMOLOG B', NULL, NULL, NULL, 15),
(171989, NULL, 'PTHR24207:SF1', NULL, NULL, NULL, NULL, 'FILAMIN-BINDING LIM PROTEIN 1', NULL, NULL, NULL, 15),
(171990, NULL, 'PTHR14002:SF24', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA-LIKE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(171991, NULL, 'PTHR47993:SF174', NULL, NULL, NULL, NULL, 'OS05G0116300 PROTEIN', NULL, NULL, NULL, 15),
(171992, NULL, 'PTHR30437:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR GREA', NULL, NULL, NULL, 15),
(171993, NULL, 'PTHR16223:SF192', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH112', NULL, NULL, NULL, 15),
(171994, NULL, 'PTHR12059', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L23-RELATED', NULL, NULL, 11680, 15),
(171995, NULL, 'PTHR31916:SF44', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE A, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(171996, NULL, 'PTHR33138:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(171997, NULL, 'PTHR46345', NULL, NULL, NULL, NULL, 'INVERTED FORMIN-2', NULL, NULL, 28103, 15),
(171998, NULL, 'PTHR11260:SF232', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE37', NULL, NULL, NULL, 15),
(171999, NULL, 'PTHR43574:SF58', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 5', NULL, NULL, NULL, 15),
(172000, NULL, 'PTHR34835:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172001, NULL, 'PTHR45979:SF20', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172002, NULL, 'PTHR13018:SF127', NULL, NULL, NULL, NULL, 'BNAA08G05680D PROTEIN', NULL, NULL, NULL, 15),
(172003, NULL, 'PTHR11668:SF445', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(172004, NULL, 'PTHR10943:SF2', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 1', NULL, NULL, 18477, 15),
(172005, NULL, 'PTHR31194:SF99', NULL, NULL, NULL, NULL, 'CYTOKININ RESPONSE FACTOR 5-RELATED', NULL, NULL, NULL, 15),
(172006, NULL, 'PTHR11051', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(172007, NULL, 'PTHR31072:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP21-RELATED', NULL, NULL, NULL, 15),
(172008, NULL, 'PTHR46032', NULL, NULL, NULL, NULL, 'ALPHA-2,3-SIALYLTRANSFERASE ST3GAL I ISOFORM X1', NULL, NULL, NULL, 15),
(172009, NULL, 'PTHR45758:SF11', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(172010, NULL, 'PTHR38934:SF16', NULL, NULL, NULL, NULL, 'GPI-ANCHORED CFEM DOMAIN PROTEIN A-LIKE', NULL, NULL, NULL, 15),
(172011, NULL, 'PTHR23155:SF860', NULL, NULL, NULL, NULL, 'OS10G0130600 PROTEIN', NULL, NULL, NULL, 15),
(172012, NULL, 'PTHR21119:SF7', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172013, NULL, 'PTHR48031', NULL, NULL, NULL, NULL, 'SRA STEM-LOOP-INTERACTING RNA-BINDING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(172014, NULL, 'PTHR46636:SF1', NULL, NULL, NULL, NULL, 'CDK2-ASSOCIATED AND CULLIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(172015, NULL, 'PTHR47785:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(172016, NULL, 'PTHR35694', NULL, NULL, NULL, NULL, 'DENEDDYLASE', NULL, NULL, NULL, 15),
(172017, NULL, 'PTHR31699:SF1', NULL, NULL, NULL, NULL, 'ZGC:103759', NULL, NULL, NULL, 15),
(172018, NULL, 'PTHR44329:SF138', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY46-LIKE', NULL, NULL, NULL, 15),
(172019, NULL, 'PTHR24373:SF347', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172020, NULL, 'PTHR31042:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172021, NULL, 'PTHR24298:SF587', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81F4', NULL, NULL, NULL, 15),
(172022, NULL, 'PTHR35868:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172023, NULL, 'PTHR13817:SF102', NULL, NULL, NULL, NULL, 'PROTEIN SIDEKICK HOMOLOG', NULL, NULL, NULL, 15),
(172024, NULL, 'PTHR37731:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172025, NULL, 'PTHR30462', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(172026, NULL, 'PTHR21689:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172027, NULL, 'PTHR24377:SF772', NULL, NULL, NULL, NULL, 'PROTEIN ESCARGOT', NULL, NULL, NULL, 15),
(172028, NULL, 'PTHR31454:SF2', NULL, NULL, NULL, NULL, 'ACTIVE REGULATOR OF SIRT1', NULL, NULL, NULL, 15),
(172029, NULL, 'PTHR33509:SF3', NULL, NULL, NULL, NULL, 'OS05G0362600 PROTEIN', NULL, NULL, NULL, 15),
(172030, NULL, 'PTHR33730:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172031, NULL, 'PTHR36981', NULL, NULL, NULL, NULL, 'ZGC:195170', NULL, NULL, NULL, 15),
(172032, NULL, 'PTHR26312:SF142', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(172033, NULL, 'PTHR42790:SF9', NULL, NULL, NULL, NULL, 'GNTR FAMILY REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172034, NULL, 'PTHR21461:SF12', NULL, NULL, NULL, NULL, 'GALACTAN BETA-1,4-GALACTOSYLTRANSFERASE GALS2', NULL, NULL, NULL, 15),
(172035, NULL, 'PTHR42925', NULL, NULL, NULL, NULL, 'MULTIDRUG AND TOXIN EFFLUX PROTEIN MATE FAMILY', NULL, NULL, NULL, 15),
(172036, NULL, 'PTHR20974', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 8680, 15),
(172037, NULL, 'PTHR14155:SF532', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL17-RELATED', NULL, NULL, NULL, 15),
(172038, NULL, 'PTHR11362:SF128', NULL, NULL, NULL, NULL, 'BNAC02G23820D PROTEIN', NULL, NULL, NULL, 15),
(172039, NULL, 'PTHR31148:SF4', NULL, NULL, NULL, NULL, 'U1 SMALL NUCLEAR RIBONUCLEOPROTEIN C', NULL, NULL, NULL, 15),
(172040, NULL, 'PTHR43805', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHORYL DIESTER PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(172041, NULL, 'PTHR47201:SF3', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(172042, NULL, 'PTHR45616:SF43', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CUTICULAR HB5', NULL, NULL, NULL, 15),
(172043, NULL, 'PTHR22958:SF23', NULL, NULL, NULL, NULL, 'DEPENDENT KINASE INHIBITOR PHO81, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G06020)-RELATED', NULL, NULL, NULL, 15),
(172044, NULL, 'PTHR42262', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172045, NULL, 'PTHR30546:SF38', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(172046, NULL, 'PTHR34064', NULL, NULL, NULL, NULL, 'OS04G0672300 PROTEIN', NULL, NULL, NULL, 15),
(172047, NULL, 'PTHR42850:SF4', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE YNL217W-RELATED', NULL, NULL, NULL, 15),
(172048, NULL, 'PTHR17503', NULL, NULL, NULL, NULL, 'SYNCOLLIN', NULL, NULL, 27110, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172049, NULL, 'PTHR31790:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172050, NULL, 'PTHR14081', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 11A-RELATED-RELATED', NULL, NULL, 4278, 15),
(172051, NULL, 'PTHR19430:SF0', NULL, NULL, NULL, NULL, 'PROTEIN BEX5', NULL, NULL, NULL, 15),
(172052, NULL, 'PTHR46359:SF3', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 11A', NULL, NULL, NULL, 15),
(172053, NULL, 'PTHR46265:SF8', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 6', NULL, NULL, NULL, 15),
(172054, NULL, 'PTHR11534:SF4', NULL, NULL, NULL, NULL, 'MYOGENIC FACTOR 6', NULL, NULL, NULL, 15),
(172055, NULL, 'PTHR11439:SF338', NULL, NULL, NULL, NULL, 'GAG-POL POLYPROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(172056, NULL, 'PTHR37362:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 38', NULL, NULL, NULL, 15),
(172057, NULL, 'PTHR33353:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14540)-RELATED', NULL, NULL, NULL, 15),
(172058, NULL, 'PTHR31692:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172059, NULL, 'PTHR12814:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN NOB1', NULL, NULL, NULL, 15),
(172060, NULL, 'PTHR12241:SF96', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL6', NULL, NULL, 26190, 15),
(172061, NULL, 'PTHR24403:SF85', NULL, NULL, NULL, NULL, 'ZINC FINGER AND AT-HOOK DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(172062, NULL, 'PTHR13227:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2A', NULL, NULL, NULL, 15),
(172063, NULL, 'PTHR11945:SF534', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2', NULL, NULL, NULL, 15),
(172064, NULL, 'PTHR24414:SF176', NULL, NULL, NULL, NULL, 'BNAA06G39870D PROTEIN', NULL, NULL, NULL, 15),
(172065, NULL, 'PTHR47273', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(172066, NULL, 'PTHR32227:SF370', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE A6-RELATED', NULL, NULL, NULL, 15),
(172067, NULL, 'PTHR34779:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172068, NULL, 'PTHR21292:SF13', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 3', NULL, NULL, NULL, 15),
(172069, NULL, 'PTHR46268:SF8', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN SLL1388', NULL, NULL, NULL, 15),
(172070, NULL, 'PTHR31104:SF1', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA-GLUCOSAMINYL)ASPARAGINE AMIDASE A PROTEIN', NULL, NULL, NULL, 15),
(172071, NULL, 'PTHR14817', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 15', NULL, NULL, 30682, 15),
(172072, NULL, 'PTHR35751:SF3', NULL, NULL, NULL, NULL, 'OS06G0530200 PROTEIN', NULL, NULL, NULL, 15),
(172073, NULL, 'PTHR33693:SF1', NULL, NULL, NULL, NULL, 'TYPE-4 URACIL-DNA GLYCOSYLASE', NULL, NULL, NULL, 15),
(172074, NULL, 'PTHR38499:SF1', NULL, NULL, NULL, NULL, 'ADIPOGENIN', NULL, NULL, NULL, 15),
(172075, NULL, 'PTHR16943:SF22', NULL, NULL, NULL, NULL, 'DEHYDRATASE (PRPD), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172076, NULL, 'PTHR12864:SF55', NULL, NULL, NULL, NULL, 'SPLA/RYANODINE RECEPTOR (SPRY) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(172077, NULL, 'PTHR42643', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 20A-RELATED', NULL, NULL, NULL, 15),
(172078, NULL, 'PTHR24027:SF272', NULL, NULL, NULL, NULL, 'CADHERIN-24-RELATED', NULL, NULL, NULL, 15),
(172079, NULL, 'PTHR33744:SF12', NULL, NULL, NULL, NULL, 'LMO2727 PROTEIN', NULL, NULL, NULL, 15),
(172080, NULL, 'PTHR48047:SF55', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(172081, NULL, 'PTHR11938:SF133', NULL, NULL, NULL, NULL, 'GLUTAMATE SYNTHASE [NADH]', NULL, NULL, NULL, 15),
(172082, NULL, 'PTHR10494:SF6', NULL, NULL, NULL, NULL, 'NOGGIN', NULL, NULL, NULL, 15),
(172083, NULL, 'PTHR43200:SF22', NULL, NULL, NULL, NULL, 'BNAA02G34000D PROTEIN', NULL, NULL, NULL, 15),
(172084, NULL, 'PTHR23501', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY', NULL, NULL, NULL, 15),
(172085, NULL, 'PTHR23411', NULL, NULL, NULL, NULL, 'TAPASIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172086, NULL, 'PTHR39601', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172087, NULL, 'PTHR11165:SF144', NULL, NULL, NULL, NULL, 'BNAANNG29500D PROTEIN', NULL, NULL, NULL, 15),
(172088, NULL, 'PTHR14189:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE METHYLESTERASE 1', NULL, NULL, NULL, 15),
(172089, NULL, 'PTHR36694:SF4', NULL, NULL, NULL, NULL, 'LD42595P', NULL, NULL, NULL, 15),
(172090, NULL, 'PTHR24012:SF844', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN-DEFENSE RELATED 1-RELATED', NULL, NULL, NULL, 15),
(172091, NULL, 'PTHR44115:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG05820', NULL, NULL, NULL, 15),
(172092, NULL, 'PTHR10390:SF64', NULL, NULL, NULL, NULL, 'SIX HOMEOBOX 4A-RELATED', NULL, NULL, NULL, 15),
(172093, NULL, 'PTHR48043:SF8', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(172094, NULL, 'PTHR24078:SF531', NULL, NULL, NULL, NULL, 'OS07G0513600 PROTEIN', NULL, NULL, NULL, 15),
(172095, NULL, 'PTHR31867:SF164', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(172096, NULL, 'PTHR22751:SF283', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(172097, NULL, 'PTHR46466', NULL, NULL, NULL, NULL, 'GLYOXALASE DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 37058, 15),
(172098, NULL, 'PTHR30363:SF15', NULL, NULL, NULL, NULL, 'AGA OPERON TRANSCRIPTIONAL REPRESSOR-RELATED', NULL, NULL, NULL, 15),
(172099, NULL, 'PTHR15422:SF36', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(172100, NULL, 'PTHR32285:SF258', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 4', NULL, NULL, NULL, 15),
(172101, NULL, 'PTHR47073', NULL, NULL, NULL, NULL, 'PROTEIN ANTI-SILENCING 1', NULL, NULL, NULL, 15),
(172102, NULL, 'PTHR48042:SF8', NULL, NULL, NULL, NULL, 'CASSETTE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172103, NULL, 'PTHR10013:SF3', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G14620)', NULL, NULL, NULL, 15),
(172104, NULL, 'PTHR46506:SF30', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(172105, NULL, 'PTHR36899:SF4', NULL, NULL, NULL, NULL, 'BNAA08G24560D PROTEIN', NULL, NULL, NULL, 15),
(172106, NULL, 'PTHR31674:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172107, NULL, 'PTHR24281:SF22', NULL, NULL, NULL, NULL, 'GERANIOL 8-HYDROXYLASE', NULL, NULL, NULL, 15),
(172108, NULL, 'PTHR31286:SF64', NULL, NULL, NULL, NULL, 'BNAC01G30320D PROTEIN', NULL, NULL, NULL, 15),
(172109, NULL, 'PTHR11485:SF21', NULL, NULL, NULL, NULL, 'MELANOTRANSFERRIN', NULL, NULL, 24171, 15),
(172110, NULL, 'PTHR36007:SF2', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172111, NULL, 'PTHR24071:SF20', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN-2', NULL, NULL, NULL, 15),
(172112, NULL, 'PTHR12673:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172113, NULL, 'PTHR18834', NULL, NULL, NULL, NULL, 'STEROID RECEPTOR RNA ACTIVATOR 1', NULL, NULL, 34939, 15),
(172114, NULL, 'PTHR16675:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172115, NULL, 'PTHR34404', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, FMDB FAMILY', NULL, NULL, NULL, 15),
(172116, NULL, 'PTHR33507:SF4', NULL, NULL, NULL, NULL, 'NODULATION COMPETITIVENESS PROTEIN NFED', NULL, NULL, NULL, 15),
(172117, NULL, 'PTHR11514:SF132', NULL, NULL, NULL, NULL, 'ABA-INDUCIBLE BHLH-TYPE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(172118, NULL, 'PTHR46506:SF27', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(172119, NULL, 'PTHR33530:SF16', NULL, NULL, NULL, NULL, 'OS01G0145800 PROTEIN', NULL, NULL, NULL, 15),
(172120, NULL, 'PTHR30462:SF3', NULL, NULL, NULL, NULL, 'INTERMEMBRANE TRANSPORT PROTEIN PQIA', NULL, NULL, NULL, 15),
(172121, NULL, 'PTHR11909:SF378', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM DELTA', NULL, NULL, NULL, 15),
(172122, NULL, 'PTHR45740:SF7', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE TIPARP', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172123, NULL, 'PTHR11662:SF201', NULL, NULL, NULL, NULL, 'VESICULAR GLUTAMATE TRANSPORTER 2', NULL, NULL, NULL, 15),
(172124, NULL, 'PTHR14559:SF11', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 11-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(172125, NULL, 'PTHR33065:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172126, NULL, 'PTHR47001:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH11', NULL, NULL, NULL, 15),
(172127, NULL, 'PTHR45617:SF72', NULL, NULL, NULL, NULL, 'SYM-1 PROTEIN', NULL, NULL, NULL, 15),
(172128, NULL, 'PTHR45974', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 55', NULL, NULL, NULL, 15),
(172129, NULL, 'PTHR44259:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172130, NULL, 'PTHR31945:SF67', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(172131, NULL, 'PTHR16155:SF18', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 9-LIKE', NULL, NULL, NULL, 15),
(172132, NULL, 'PTHR39113:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(172133, NULL, 'PTHR22677:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 60', NULL, NULL, NULL, 15),
(172134, NULL, 'PTHR10210:SF93', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(172135, NULL, 'PTHR23201:SF113', NULL, NULL, NULL, NULL, 'BNAA02G06740D PROTEIN', NULL, NULL, NULL, 15),
(172136, NULL, 'PTHR11419', NULL, NULL, NULL, NULL, 'INTERFERON GAMMA', NULL, NULL, 1392, 15),
(172137, NULL, 'PTHR13234:SF49', NULL, NULL, NULL, NULL, 'GAMMA INTERFERON INDUCIBLE LYSOSOMAL THIOL REDUCTASE', NULL, NULL, NULL, 15),
(172138, NULL, 'PTHR12058:SF0', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(172139, NULL, 'PTHR33349:SF1', NULL, NULL, NULL, NULL, 'EMB|CAB62594.1', NULL, NULL, NULL, 15),
(172140, NULL, 'PTHR47941:SF10', NULL, NULL, NULL, NULL, 'OS02G0759500 PROTEIN', NULL, NULL, NULL, 15),
(172141, NULL, 'PTHR18953:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172142, NULL, 'PTHR11964:SF60', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(172143, NULL, 'PTHR15852:SF67', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(172144, NULL, 'PTHR12829:SF2', NULL, NULL, NULL, NULL, 'N6-ADENOSINE-METHYLTRANSFERASE CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(172145, NULL, 'PTHR34687:SF3', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ-RELATED', NULL, NULL, NULL, 15),
(172146, NULL, 'PTHR32002:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172147, NULL, 'PTHR11804:SF56', NULL, NULL, NULL, NULL, 'THIMET OLIGOPEPTIDASE 1', NULL, NULL, NULL, 15),
(172148, NULL, 'PTHR11243:SF25', NULL, NULL, NULL, NULL, 'GROWTH FACTOR RECEPTOR-BOUND PROTEIN 7', NULL, NULL, 30284, 15),
(172149, NULL, 'PTHR24037:SF10', NULL, NULL, NULL, NULL, 'HEART DEVELOPMENT PROTEIN WITH EGF-LIKE DOMAINS 1', NULL, NULL, NULL, 15),
(172150, NULL, 'PTHR12011:SF459', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR G3', NULL, NULL, NULL, 15),
(172151, NULL, 'PTHR46380', NULL, NULL, NULL, NULL, 'CYCLIN-D-BINDING MYB-LIKE TRANSCRIPTION FACTOR 1', NULL, NULL, NULL, 15),
(172152, NULL, 'PTHR31140:SF100', NULL, NULL, NULL, NULL, 'BNAANNG17880D PROTEIN', NULL, NULL, NULL, 15),
(172153, NULL, 'PTHR42770:SF11', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YBAT', NULL, NULL, NULL, 15),
(172154, NULL, 'PTHR21645:SF21', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(172155, NULL, 'PTHR48054:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172156, NULL, 'PTHR24559:SF337', NULL, NULL, NULL, NULL, 'DNA/RNA POLYMERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(172157, NULL, 'PTHR12549:SF39', NULL, NULL, NULL, NULL, 'BNAA08G25010D PROTEIN', NULL, NULL, NULL, 15),
(172158, NULL, 'PTHR13007', NULL, NULL, NULL, NULL, 'PRE-MRNA SPLICING FACTOR-RELATED', NULL, NULL, 31202, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172159, NULL, 'PTHR48111', NULL, NULL, NULL, NULL, 'REGULATOR OF RPOS', NULL, NULL, 35830, 15),
(172160, NULL, 'PTHR11669:SF25', NULL, NULL, NULL, NULL, 'OS02G0704966 PROTEIN', NULL, NULL, NULL, 15),
(172161, NULL, 'PTHR36062:SF4', NULL, NULL, NULL, NULL, 'OS05G0552100 PROTEIN', NULL, NULL, NULL, 15),
(172162, NULL, 'PTHR10357:SF199', NULL, NULL, NULL, NULL, 'ALPHA AMYLASE CATALYTIC REGION', NULL, NULL, NULL, 15),
(172163, NULL, 'PTHR44943:SF4', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE OPERON PROTEIN C', NULL, NULL, NULL, 15),
(172164, NULL, 'PTHR32054:SF43', NULL, NULL, NULL, NULL, 'WEB FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172165, NULL, 'PTHR47978:SF29', NULL, NULL, NULL, NULL, 'MONOMERIC G-PROTEIN', NULL, NULL, NULL, 15),
(172166, NULL, 'PTHR27008:SF398', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE EFR', NULL, NULL, NULL, 15),
(172167, NULL, 'PTHR46502:SF18', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172168, NULL, 'PTHR24061:SF498', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 126-RELATED', NULL, NULL, NULL, 15),
(172169, NULL, 'PTHR45398', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172170, NULL, 'PTHR23073:SF90', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 6A', NULL, NULL, 18305, 15),
(172171, NULL, 'PTHR10217:SF468', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 6', NULL, NULL, 24588, 15),
(172172, NULL, 'PTHR34467:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(172173, NULL, 'PTHR27003:SF274', NULL, NULL, NULL, NULL, 'NODULATION RECEPTOR KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(172174, NULL, 'PTHR45651:SF76', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 1-LIKE', NULL, NULL, NULL, 15),
(172175, NULL, 'PTHR48050:SF21', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172176, NULL, 'PTHR10869:SF183', NULL, NULL, NULL, NULL, '4-HYDROXYLASE ALPHA SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172177, NULL, 'PTHR36949', NULL, NULL, NULL, NULL, 'PROTEIN CBR-LIN-66', NULL, NULL, NULL, 15),
(172178, NULL, 'PTHR47968:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172179, NULL, 'PTHR47506:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR OF GLUTATHIONE DETOXIFICATION', NULL, NULL, NULL, 15),
(172180, NULL, 'PTHR45744:SF16', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE TAT1-RELATED', NULL, NULL, NULL, 15),
(172181, NULL, 'PTHR46284:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172182, NULL, 'PTHR14344', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN', NULL, NULL, NULL, 15),
(172183, NULL, 'PTHR11134:SF10', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(172184, NULL, 'PTHR12414', NULL, NULL, NULL, NULL, 'GLIAL CELLS MISSING RELATED/GLIDE', NULL, NULL, 33896, 15),
(172185, NULL, 'PTHR21578:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG03826', NULL, NULL, NULL, 15),
(172186, NULL, 'PTHR31368', NULL, NULL, NULL, NULL, 'DEVELOPMENT PLURPOTENCY-ASSOCIATED PROTEIN 1/5 FAMILY MEMBER', NULL, NULL, NULL, 15),
(172187, NULL, 'PTHR43127:SF3', NULL, NULL, NULL, NULL, 'DEVELOPMENTALLY-REGULATED G-PROTEIN 1', NULL, NULL, NULL, 15),
(172188, NULL, 'PTHR31524', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172189, NULL, 'PTHR27005:SF181', NULL, NULL, NULL, NULL, 'LYSM TYPE RECEPTOR KINASE', NULL, NULL, NULL, 15),
(172190, NULL, 'PTHR46128:SF244', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(172191, NULL, 'PTHR33976:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172192, NULL, 'PTHR47840', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(172193, NULL, 'PTHR13683:SF751', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172194, NULL, 'PTHR42989:SF1', NULL, NULL, NULL, NULL, 'FORMATE HYDROGENLYASE SUBUNIT 7-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172195, NULL, 'PTHR11709:SF243', NULL, NULL, NULL, NULL, 'LACCASE-3', NULL, NULL, NULL, 15),
(172196, NULL, 'PTHR38113:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL ARGININE AND ALANINE RICH PROTEIN', NULL, NULL, NULL, 15),
(172197, NULL, 'PTHR47985:SF26', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1-LIKE', NULL, NULL, NULL, 15),
(172198, NULL, 'PTHR48019:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPARENT TESTA 16-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(172199, NULL, 'PTHR11830:SF15', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE CYLD', NULL, NULL, NULL, 15),
(172200, NULL, 'PTHR31190:SF248', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172201, NULL, 'PTHR32410:SF172', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172202, NULL, 'PTHR24404:SF56', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 281', NULL, NULL, NULL, 15),
(172203, NULL, 'PTHR45979:SF4', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(172204, NULL, 'PTHR31355:SF21', NULL, NULL, NULL, NULL, 'OS06G0244700 PROTEIN', NULL, NULL, NULL, 15),
(172205, NULL, 'PTHR45708:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172206, NULL, 'PTHR10099:SF10', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE', NULL, NULL, NULL, 15),
(172207, NULL, 'PTHR24241:SF135', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR Y1', NULL, NULL, NULL, 15),
(172208, NULL, 'PTHR23349:SF97', NULL, NULL, NULL, NULL, '48 RELATED 2, ISOFORM D', NULL, NULL, NULL, 15),
(172209, NULL, 'PTHR23430:SF295', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(172210, NULL, 'PTHR15336:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(172211, NULL, 'PTHR21020', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35581, 15),
(172212, NULL, 'PTHR46852:SF3', NULL, NULL, NULL, NULL, 'ALKALINE PHYTOCERAMIDASE', NULL, NULL, NULL, 15),
(172213, NULL, 'PTHR11654:SF528', NULL, NULL, NULL, NULL, 'BNAC01G35410D PROTEIN', NULL, NULL, NULL, 15),
(172214, NULL, 'PTHR12138:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172215, NULL, 'PTHR10705:SF1', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT DAD1', NULL, NULL, NULL, 15),
(172216, NULL, 'PTHR18934:SF189', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172217, NULL, 'PTHR31238:SF106', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 1 MEMBER 10-RELATED', NULL, NULL, NULL, 15),
(172218, NULL, 'PTHR10992:SF1047', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172219, NULL, 'PTHR11266:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172220, NULL, 'PTHR10182:SF29', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL, MO25-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172221, NULL, 'PTHR23044:SF64', NULL, NULL, NULL, NULL, 'ERI1 EXORIBONUCLEASE 2-LIKE', NULL, NULL, NULL, 15),
(172222, NULL, 'PTHR31140:SF99', NULL, NULL, NULL, NULL, 'BNAC06G03900D PROTEIN', NULL, NULL, NULL, 15),
(172223, NULL, 'PTHR45751:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RGLG4', NULL, NULL, NULL, 15),
(172224, NULL, 'PTHR23257:SF842', NULL, NULL, NULL, NULL, 'KINASE SUPERFAMILY WITH OCTICOSAPEPTIDE/PHOX/BEM1P DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(172225, NULL, 'PTHR48053:SF64', NULL, NULL, NULL, NULL, 'OS06G0589800 PROTEIN', NULL, NULL, NULL, 15),
(172226, NULL, 'PTHR13448:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 214', NULL, NULL, NULL, 15),
(172227, NULL, 'PTHR47144:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(172228, NULL, 'PTHR16308:SF18', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(172229, NULL, 'PTHR19241:SF626', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 18', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172230, NULL, 'PTHR13248:SF4', NULL, NULL, NULL, NULL, 'ELONGIN B', NULL, NULL, NULL, 15),
(172231, NULL, 'PTHR11480:SF71', NULL, NULL, NULL, NULL, 'SAPOSIN B DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(172232, NULL, 'PTHR31187', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 2983, 15),
(172233, NULL, 'PTHR38899:SF1', NULL, NULL, NULL, NULL, 'DOMAIN OOKINETE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172234, NULL, 'PTHR24271:SF19', NULL, NULL, NULL, NULL, 'KALLIKREIN-6', NULL, NULL, NULL, 15),
(172235, NULL, 'PTHR48052:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172236, NULL, 'PTHR33091:SF68', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, POTATO INHIBITOR I-TYPE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172237, NULL, 'PTHR13743:SF130', NULL, NULL, NULL, NULL, 'WD-40 REPEAT PROTEIN/BEIGE PROTEIN', NULL, NULL, NULL, 15),
(172238, NULL, 'PTHR33172:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172239, NULL, 'PTHR46343:SF3', NULL, NULL, NULL, NULL, 'SUSHI REPEAT-CONTAINING PROTEIN SRPX2', NULL, NULL, 22095, 15),
(172240, NULL, 'PTHR35265', NULL, NULL, NULL, NULL, 'LEUKOSIALIN', NULL, NULL, 33575, 15),
(172241, NULL, 'PTHR32176', NULL, NULL, NULL, NULL, 'XYLOSE ISOMERASE', NULL, NULL, NULL, 15),
(172242, NULL, 'PTHR21569', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S9', NULL, NULL, 6698, 15),
(172243, NULL, 'PTHR24298:SF408', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B10', NULL, NULL, NULL, 15),
(172244, NULL, 'PTHR47861:SF2', NULL, NULL, NULL, NULL, 'FKBP-TYPE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE MJ0825-RELATED', NULL, NULL, NULL, 15),
(172245, NULL, 'PTHR34278:SF4', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING SITE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172246, NULL, 'PTHR16023:SF1', NULL, NULL, NULL, NULL, 'PROTEIN VAC14 HOMOLOG', NULL, NULL, NULL, 15),
(172247, NULL, 'PTHR22879:SF2', NULL, NULL, NULL, NULL, 'NUT FAMILY MEMBER 2F-RELATED', NULL, NULL, NULL, 15),
(172248, NULL, 'PTHR24056:SF393', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(172249, NULL, 'PTHR11945:SF387', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL80', NULL, NULL, NULL, 15),
(172250, NULL, 'PTHR22753:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172251, NULL, 'PTHR47652', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172252, NULL, 'PTHR46137:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172253, NULL, 'PTHR23081:SF26', NULL, NULL, NULL, NULL, 'BNAC03G41020D PROTEIN', NULL, NULL, NULL, 15),
(172254, NULL, 'PTHR32343:SF67', NULL, NULL, NULL, NULL, 'OS01G0209400 PROTEIN', NULL, NULL, NULL, 15),
(172255, NULL, 'PTHR45693:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA10', NULL, NULL, NULL, 15),
(172256, NULL, 'PTHR11802:SF333', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(172257, NULL, 'PTHR47631:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-45', NULL, NULL, NULL, 15),
(172258, NULL, 'PTHR33702:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172259, NULL, 'PTHR10438:SF410', NULL, NULL, NULL, NULL, 'THIOREDOXIN H3', NULL, NULL, NULL, 15),
(172260, NULL, 'PTHR43651:SF2', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN-BRANCHING ENZYME, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(172261, NULL, 'PTHR12553:SF64', NULL, NULL, NULL, NULL, 'ZINC PHOSPHODIESTERASE ELAC PROTEIN 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(172262, NULL, 'PTHR14217:SF31', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', NULL, NULL, NULL, 15),
(172263, NULL, 'PTHR31988:SF11', NULL, NULL, NULL, NULL, 'CARBOHYDRATE ESTERASE-RELATED', NULL, NULL, NULL, 15),
(172264, NULL, 'PTHR24379:SF94', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 433', NULL, NULL, NULL, 15),
(172265, NULL, 'PTHR20787', NULL, NULL, NULL, NULL, 'TREACLE', NULL, NULL, 9152, 15),
(172266, NULL, 'PTHR24376:SF76', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 227', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172267, NULL, 'PTHR48017:SF26', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172268, NULL, 'PTHR31645:SF22', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', NULL, NULL, NULL, 15),
(172269, NULL, 'PTHR48010:SF28', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE RLK902-RELATED', NULL, NULL, NULL, 15),
(172270, NULL, 'PTHR34790:SF3', NULL, NULL, NULL, NULL, 'BNAA07G38700D PROTEIN', NULL, NULL, NULL, 15),
(172271, NULL, 'PTHR24343:SF166', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE/THREONINE-PROTEIN KINASE 6', NULL, NULL, NULL, 15),
(172272, NULL, 'PTHR23020:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG11337', NULL, NULL, NULL, 15),
(172273, NULL, 'PTHR11915:SF430', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172274, NULL, 'PTHR12831', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIH  TFIIH , POLYPEPTIDE 3-RELATED', NULL, NULL, 551, 15),
(172275, NULL, 'PTHR23426:SF35', NULL, NULL, NULL, NULL, '2FE-2S FERREDOXIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(172276, NULL, 'PTHR33064:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172277, NULL, 'PTHR33919:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172278, NULL, 'PTHR10619', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT BETA', NULL, NULL, 3213, 15),
(172279, NULL, 'PTHR11311:SF25', NULL, NULL, NULL, NULL, 'COADHESIN', NULL, NULL, NULL, 15),
(172280, NULL, 'PTHR45617:SF94', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT TRANSMEMBRANE NEURONAL 1', NULL, NULL, NULL, 15),
(172281, NULL, 'PTHR14145:SF6', NULL, NULL, NULL, NULL, 'BNAC08G11800D PROTEIN', NULL, NULL, NULL, 15),
(172282, NULL, 'PTHR23243', NULL, NULL, NULL, NULL, 'SUPRABASAL-SPECIFIC PROTEIN SUPRABASIN', NULL, NULL, NULL, 15),
(172283, NULL, 'PTHR46590:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(172284, NULL, 'PTHR48006:SF13', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172285, NULL, 'PTHR22916:SF64', NULL, NULL, NULL, NULL, 'GLYCOSIDE TRANSFERASE FAMILY 2', NULL, NULL, NULL, 15),
(172286, NULL, 'PTHR14453:SF89', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP15', NULL, NULL, 15754, 15),
(172287, NULL, 'PTHR13225', NULL, NULL, NULL, NULL, 'MISEXPRESSION SUPPRESSOR OF RAS 6', NULL, NULL, 8036, 15),
(172288, NULL, 'PTHR11743:SF61', NULL, NULL, NULL, NULL, 'PORIN/VOLTAGE-DEPENDENT ANION-SELECTIVE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(172289, NULL, 'PTHR23147:SF163', NULL, NULL, NULL, NULL, 'BNAA03G55470D PROTEIN', NULL, NULL, NULL, 15),
(172290, NULL, 'PTHR30037', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE 1', NULL, NULL, NULL, 15),
(172291, NULL, 'PTHR14134:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RAD18', NULL, NULL, NULL, 15),
(172292, NULL, 'PTHR43391:SF15', NULL, NULL, NULL, NULL, 'ESTRADIOL 17-BETA-DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(172293, NULL, 'PTHR12677:SF56', NULL, NULL, NULL, NULL, 'TVP38/TMEM64 FAMILY MEMBRANE PROTEIN SLR0305-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(172294, NULL, 'PTHR31840:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 97', NULL, NULL, NULL, 15),
(172295, NULL, 'PTHR47998:SF39', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB5', NULL, NULL, NULL, 15),
(172296, NULL, 'PTHR33088:SF54', NULL, NULL, NULL, NULL, 'PROTEIN APP1-LIKE', NULL, NULL, NULL, 15),
(172297, NULL, 'PTHR33148:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172298, NULL, 'PTHR19325:SF497', NULL, NULL, NULL, NULL, 'AGAP000123-PA', NULL, NULL, NULL, 15),
(172299, NULL, 'PTHR45717:SF41', NULL, NULL, NULL, NULL, 'BNAA06G10190D PROTEIN', NULL, NULL, NULL, 15),
(172300, NULL, 'PTHR24180:SF19', NULL, NULL, NULL, NULL, 'FERM DOMAIN (PROTEIN4.1-EZRIN-RADIXIN-MOESIN) FAMILY', NULL, NULL, NULL, 15),
(172301, NULL, 'PTHR11972:SF167', NULL, NULL, NULL, NULL, 'FERRIC REDUCTION OXIDASE 7, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172302, NULL, 'PTHR24559:SF385', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172303, NULL, 'PTHR38742:SF2', NULL, NULL, NULL, NULL, 'P17/29C-LIKE PROTEIN DDB_G0287399', NULL, NULL, NULL, 15),
(172304, NULL, 'PTHR31651:SF24', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER FAMILY PROTEIN ISOFORM 2', NULL, NULL, NULL, 15),
(172305, NULL, 'PTHR31639:SF197', NULL, NULL, NULL, NULL, 'OS11G0702800 PROTEIN', NULL, NULL, NULL, 15),
(172306, NULL, 'PTHR31126:SF53', NULL, NULL, NULL, NULL, 'PHOSPHOTYROSINE PROTEIN PHOSPHATASES SUPERFAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(172307, NULL, 'PTHR14894:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172308, NULL, 'PTHR10858:SF27', NULL, NULL, NULL, NULL, 'CELL-DEATH-RELATED NUCLEASE 7', NULL, NULL, NULL, 15),
(172309, NULL, 'PTHR23500:SF450', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(172310, NULL, 'PTHR30333:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE PROTEIN TORC', NULL, NULL, NULL, 15),
(172311, NULL, 'PTHR11632:SF78', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE1', NULL, NULL, NULL, 15),
(172312, NULL, 'PTHR33239:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172313, NULL, 'PTHR37773:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172314, NULL, 'PTHR11932:SF147', NULL, NULL, NULL, NULL, 'BNAA09G17890D PROTEIN', NULL, NULL, NULL, 15),
(172315, NULL, 'PTHR10283:SF127', NULL, NULL, NULL, NULL, 'OS08G0503700 PROTEIN', NULL, NULL, NULL, 15),
(172316, NULL, 'PTHR44147', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(172317, NULL, 'PTHR10912:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172318, NULL, 'PTHR34221:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172319, NULL, 'PTHR31952:SF1', NULL, NULL, NULL, NULL, 'CB1 CANNABINOID RECEPTOR-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(172320, NULL, 'PTHR12794:SF8', NULL, NULL, NULL, NULL, 'BNAC01G40330D PROTEIN', NULL, NULL, NULL, 15),
(172321, NULL, 'PTHR23105:SF38', NULL, NULL, NULL, NULL, 'NHP2-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(172322, NULL, 'PTHR47942:SF12', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(172323, NULL, 'PTHR11926:SF1430', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172324, NULL, 'PTHR15039:SF12', NULL, NULL, NULL, NULL, 'DOLICHOL PHOSPHATE-MANNOSE BIOSYNTHESIS REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(172325, NULL, 'PTHR43737', NULL, NULL, NULL, NULL, 'BLL7424 PROTEIN', NULL, NULL, NULL, 15),
(172326, NULL, 'PTHR11465:SF13', NULL, NULL, NULL, NULL, 'CATALASE (EUROFUNG)', NULL, NULL, NULL, 15),
(172327, NULL, 'PTHR18964:SF151', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(172328, NULL, 'PTHR13528:SF11', NULL, NULL, NULL, NULL, 'BNAC03G67590D PROTEIN', NULL, NULL, NULL, 15),
(172329, NULL, 'PTHR38737:SF2', NULL, NULL, NULL, NULL, 'ACTIN-FRAGMIN KINASE DDB_G0268748-RELATED', NULL, NULL, NULL, 15),
(172330, NULL, 'PTHR46507:SF1', NULL, NULL, NULL, NULL, 'AFADIN- AND ALPHA-ACTININ-BINDING PROTEIN', NULL, NULL, NULL, 15),
(172331, NULL, 'PTHR11576:SF2', NULL, NULL, NULL, NULL, 'POM121 AND ZP3 FUSION PROTEIN-RELATED', NULL, NULL, 34733, 15),
(172332, NULL, 'PTHR23203:SF4', NULL, NULL, NULL, NULL, 'BASIC SALIVARY PROLINE-RICH PROTEIN 3', NULL, NULL, NULL, 15),
(172333, NULL, 'PTHR48048:SF53', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(172334, NULL, 'PTHR24096:SF323', NULL, NULL, NULL, NULL, 'BLR2951 PROTEIN', NULL, NULL, NULL, 15),
(172335, NULL, 'PTHR19878:SF14', NULL, NULL, NULL, NULL, 'AUTOPHAGIC-RELATED PROTEIN 16.2', NULL, NULL, NULL, 15),
(172336, NULL, 'PTHR32429:SF21', NULL, NULL, NULL, NULL, 'BISPHOSPHATE CARBOXYLASE/OXYGENASE ACTIVASE 1, CHLOROPLAST, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172337, NULL, 'PTHR18896:SF124', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA 1', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172338, NULL, 'PTHR45631:SF114', NULL, NULL, NULL, NULL, 'OS01G0124500 PROTEIN', NULL, NULL, NULL, 15),
(172339, NULL, 'PTHR23133:SF5', NULL, NULL, NULL, NULL, 'IMIDAZOLEGLYCEROL-PHOSPHATE DEHYDRATASE', NULL, NULL, NULL, 15),
(172340, NULL, 'PTHR33680', NULL, NULL, NULL, NULL, 'OS07G0190500 PROTEIN', NULL, NULL, NULL, 15),
(172341, NULL, 'PTHR23268:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172342, NULL, 'PTHR11481:SF69', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE S, SCAVENGER RECEPTOR', NULL, NULL, NULL, 15),
(172343, NULL, 'PTHR33975:SF7', NULL, NULL, NULL, NULL, 'OS08G0119100 PROTEIN', NULL, NULL, NULL, 15),
(172344, NULL, 'PTHR33798:SF5', NULL, NULL, NULL, NULL, 'FLAVOPROTEIN OXYGENASE', NULL, NULL, NULL, 15),
(172345, NULL, 'PTHR31717:SF54', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172346, NULL, 'PTHR48000:SF36', NULL, NULL, NULL, NULL, 'OS09G0431300 PROTEIN', NULL, NULL, NULL, 15),
(172347, NULL, 'PTHR42213:SF1', NULL, NULL, NULL, NULL, 'CPX CHROMOSOMAL REGION CANDIDATE GENE 1 PROTEIN', NULL, NULL, NULL, 15),
(172348, NULL, 'PTHR48049:SF84', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(172349, NULL, 'PTHR11733:SF141', NULL, NULL, NULL, NULL, 'MEMBRANE METALLO-ENDOPEPTIDASE-LIKE 1', NULL, NULL, 23050, 15),
(172350, NULL, 'PTHR19980', NULL, NULL, NULL, NULL, 'RNA CLEAVAGE STIMULATION FACTOR', NULL, NULL, 39669, 15),
(172351, NULL, 'PTHR48002:SF87', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(172352, NULL, 'PTHR41677', NULL, NULL, NULL, NULL, 'YALI0B19030P', NULL, NULL, NULL, 15),
(172353, NULL, 'PTHR31175:SF71', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN FAMILY, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172354, NULL, 'PTHR35683:SF7', NULL, NULL, NULL, NULL, 'YALI0C04136P', NULL, NULL, NULL, 15),
(172355, NULL, 'PTHR46325:SF17', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC10-LIKE', NULL, NULL, NULL, 15),
(172356, NULL, 'PTHR12239:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172357, NULL, 'PTHR33165:SF25', NULL, NULL, NULL, NULL, 'OS08G0363000 PROTEIN', NULL, NULL, NULL, 15),
(172358, NULL, 'PTHR13182:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 622', NULL, NULL, NULL, 15),
(172359, NULL, 'PTHR10024:SF346', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172360, NULL, 'PTHR11818', NULL, NULL, NULL, NULL, 'BETA/GAMMA CRYSTALLIN', NULL, NULL, NULL, 15),
(172361, NULL, 'PTHR31282:SF168', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 15-RELATED', NULL, NULL, NULL, 15),
(172362, NULL, 'PTHR33333', NULL, NULL, NULL, NULL, 'ERYTHROCYTE MEMBRANE PROTEIN 1-LIKE', NULL, NULL, 29927, 15),
(172363, NULL, 'PTHR46163', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(172364, NULL, 'PTHR12015:SF92', NULL, NULL, NULL, NULL, 'FRACTALKINE', NULL, NULL, 6208, 15),
(172365, NULL, 'PTHR12103:SF14', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(172366, NULL, 'PTHR11509:SF0', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONES ALPHA CHAIN', NULL, NULL, NULL, 15),
(172367, NULL, 'PTHR12822', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35522, 15),
(172368, NULL, 'PTHR12128:SF59', NULL, NULL, NULL, NULL, '4-HYDROXY-TETRAHYDRODIPICOLINATE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(172369, NULL, 'PTHR44094:SF18', NULL, NULL, NULL, NULL, 'BNAA09G43130D PROTEIN', NULL, NULL, NULL, 15),
(172370, NULL, 'PTHR11304:SF44', NULL, NULL, NULL, NULL, 'EPHRIN-4', NULL, NULL, NULL, 15),
(172371, NULL, 'PTHR31213:SF140', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYR1-LIKE', NULL, NULL, NULL, 15),
(172372, NULL, 'PTHR13906:SF3', NULL, NULL, NULL, NULL, 'GHRELIN O-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(172373, NULL, 'PTHR31985:SF196', NULL, NULL, NULL, NULL, 'AP21', NULL, NULL, NULL, 15),
(172374, NULL, 'PTHR11055:SF49', NULL, NULL, NULL, NULL, 'BNAA05G16830D PROTEIN', NULL, NULL, NULL, 15),
(172375, NULL, 'PTHR31265:SF48', NULL, NULL, NULL, NULL, 'PLANT/F18G18-200 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172376, NULL, 'PTHR26454:SF70', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(172377, NULL, 'PTHR48012:SF10', NULL, NULL, NULL, NULL, 'STERILE20-LIKE KINASE, ISOFORM B', NULL, NULL, NULL, 15),
(172378, NULL, 'PTHR11616:SF240', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT GABA TRANSPORTER INE', NULL, NULL, NULL, 15),
(172379, NULL, 'PTHR19432:SF7', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 45 MEMBER 4', NULL, NULL, NULL, 15),
(172380, NULL, 'PTHR43874:SF133', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR33', NULL, NULL, NULL, 15),
(172381, NULL, 'PTHR21700:SF31', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(172382, NULL, 'PTHR10846:SF41', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER 2', NULL, NULL, 22477, 15),
(172383, NULL, 'PTHR23231:SF17', NULL, NULL, NULL, NULL, 'GERM CELL-LESS HOMOLOG 1 (DROSOPHILA)', NULL, NULL, NULL, 15),
(172384, NULL, 'PTHR12673:SF82', NULL, NULL, NULL, NULL, 'FYVE, RHOGEF AND PH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(172385, NULL, 'PTHR34482:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172386, NULL, 'PTHR40706', NULL, NULL, NULL, NULL, 'RIBOFLAVIN KINASE', NULL, NULL, 29381, 15),
(172387, NULL, 'PTHR19282:SF429', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(172388, NULL, 'PTHR45624:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172389, NULL, 'PTHR45670:SF3', NULL, NULL, NULL, NULL, 'OS05G0122400 PROTEIN', NULL, NULL, NULL, 15),
(172390, NULL, 'PTHR45669:SF34', NULL, NULL, NULL, NULL, 'BNAA09G02360D PROTEIN', NULL, NULL, NULL, 15),
(172391, NULL, 'PTHR37728:SF1', NULL, NULL, NULL, NULL, 'BNAA04G26730D PROTEIN', NULL, NULL, NULL, 15),
(172392, NULL, 'PTHR47942:SF22', NULL, NULL, NULL, NULL, 'OSJNBA0033G05.8 PROTEIN', NULL, NULL, NULL, 15),
(172393, NULL, 'PTHR33207:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172394, NULL, 'PTHR42509:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172395, NULL, 'PTHR47179', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIS3', NULL, NULL, 37727, 15),
(172396, NULL, 'PTHR11818:SF98', NULL, NULL, NULL, NULL, 'CRYGM5 PROTEIN', NULL, NULL, NULL, 15),
(172397, NULL, 'PTHR10122', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5B, MITOCHONDRIAL', NULL, NULL, 5371, 15),
(172398, NULL, 'PTHR26379:SF261', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(172399, NULL, 'PTHR12292:SF2', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(172400, NULL, 'PTHR24068:SF142', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-23 KDA-LIKE', NULL, NULL, NULL, 15),
(172401, NULL, 'PTHR12326', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(172402, NULL, 'PTHR23267:SF373', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 1-5', NULL, NULL, NULL, 15),
(172403, NULL, 'PTHR10522:SF6', NULL, NULL, NULL, NULL, 'PROGONADOLIBERIN-2', NULL, NULL, NULL, 15),
(172404, NULL, 'PTHR43495:SF5', NULL, NULL, NULL, NULL, 'GABA PERMEASE', NULL, NULL, NULL, 15),
(172405, NULL, 'PTHR30472:SF57', NULL, NULL, NULL, NULL, 'COBALAMIN IMPORT SYSTEM PERMEASE PROTEIN BTUC', NULL, NULL, NULL, 15),
(172406, NULL, 'PTHR31919:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGERS AND HOMEOBOXES PROTEIN 1, ISOFORM 2', NULL, NULL, NULL, 15),
(172407, NULL, 'PTHR39465:SF1', NULL, NULL, NULL, NULL, 'DNA LIGASE D, 3''-PHOSPHOESTERASE DOMAIN', NULL, NULL, NULL, 15),
(172408, NULL, 'PTHR11937:SF46', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 7', NULL, NULL, NULL, 15),
(172409, NULL, 'PTHR14330:SF2', NULL, NULL, NULL, NULL, 'A-KINASE-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(172410, NULL, 'PTHR42960', NULL, NULL, NULL, NULL, 'YCF46 PROTEIN', NULL, NULL, NULL, 15),
(172411, NULL, 'PTHR27002:SF828', NULL, NULL, NULL, NULL, 'OS04G0633600 PROTEIN', NULL, NULL, NULL, 15),
(172412, NULL, 'PTHR45635:SF23', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172413, NULL, 'PTHR10804:SF102', NULL, NULL, NULL, NULL, 'METALLOPROTEASE ARX1-RELATED', NULL, NULL, NULL, 15),
(172414, NULL, 'PTHR31374:SF263', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71-LIKE', NULL, NULL, NULL, 15),
(172415, NULL, 'PTHR23076:SF99', NULL, NULL, NULL, NULL, 'INACTIVE ATP-DEPENDENT ZINC METALLOPROTEASE FTSHI 4, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(172416, NULL, 'PTHR47781', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L36 2', NULL, NULL, NULL, 15),
(172417, NULL, 'PTHR12309:SF23', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT GAMMA-LIKE', NULL, NULL, NULL, 15),
(172418, NULL, 'PTHR11817:SF93', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(172419, NULL, 'PTHR46300:SF1', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(172420, NULL, 'PTHR46052:SF2', NULL, NULL, NULL, NULL, 'PHOSDUCIN B', NULL, NULL, NULL, 15),
(172421, NULL, 'PTHR43675:SF9', NULL, NULL, NULL, NULL, 'ARSENITE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(172422, NULL, 'PTHR11405:SF16', NULL, NULL, NULL, NULL, 'ASPARTATE CARBAMOYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, 1231, 15),
(172423, NULL, 'PTHR35764:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SHORTAGE IN CHIASMATA 1', NULL, NULL, NULL, 15),
(172424, NULL, 'PTHR33193:SF33', NULL, NULL, NULL, NULL, 'BNAANNG02720D PROTEIN', NULL, NULL, NULL, 15),
(172425, NULL, 'PTHR12370:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE PROTEIN B-RELATED', NULL, NULL, NULL, 15),
(172426, NULL, 'PTHR32002:SF33', NULL, NULL, NULL, NULL, 'PROTEIN NLP7', NULL, NULL, NULL, 15),
(172427, NULL, 'PTHR31413:SF29', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE BINDING FACTOR-ASSOCIATED REPRESSION-RELATED', NULL, NULL, NULL, 15),
(172428, NULL, 'PTHR21759:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02235', NULL, NULL, NULL, 15),
(172429, NULL, 'PTHR34552:SF11', NULL, NULL, NULL, NULL, 'BNAC04G13890D PROTEIN', NULL, NULL, NULL, 15),
(172430, NULL, 'PTHR23128:SF35', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(172431, NULL, 'PTHR31625:SF45', NULL, NULL, NULL, NULL, 'ANTHOCYANIN ACYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(172432, NULL, 'PTHR46081:SF7', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE B5', NULL, NULL, NULL, 15),
(172433, NULL, 'PTHR26450:SF24', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 655', NULL, NULL, NULL, 15),
(172434, NULL, 'PTHR22947:SF7', NULL, NULL, NULL, NULL, 'SPERM SPECIFIC FAMILY, CLASS P-RELATED', NULL, NULL, NULL, 15),
(172435, NULL, 'PTHR11709:SF233', NULL, NULL, NULL, NULL, 'HEPHAESTIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(172436, NULL, 'PTHR46475:SF10', NULL, NULL, NULL, NULL, 'NPR1-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(172437, NULL, 'PTHR24062:SF62', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(172438, NULL, 'PTHR45701:SF8', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 5', NULL, NULL, NULL, 15),
(172439, NULL, 'PTHR36855', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(172440, NULL, 'PTHR15933:SF13', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 30', NULL, NULL, NULL, 15),
(172441, NULL, 'PTHR33912:SF10', NULL, NULL, NULL, NULL, 'BNAA10G27810D PROTEIN', NULL, NULL, NULL, 15),
(172442, NULL, 'PTHR32444:SF117', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(172443, NULL, 'PTHR22589:SF29', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARNITINE O-ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(172444, NULL, 'PTHR31721', NULL, NULL, NULL, NULL, 'OS06G0710300 PROTEIN', NULL, NULL, NULL, 15),
(172445, NULL, 'PTHR47168:SF3', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172446, NULL, 'PTHR30258:SF13', NULL, NULL, NULL, NULL, 'GENERAL SECRETORY PATHWAY RELATED PROTEIN', NULL, NULL, NULL, 15),
(172447, NULL, 'PTHR11071:SF408', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE F, MITOCHONDRIAL', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172448, NULL, 'PTHR35835:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172449, NULL, 'PTHR10605:SF30', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL HEPARAN SULFATE N-DEACETYLASE/N-SULFOTRANSFERASE 1', NULL, NULL, NULL, 15),
(172450, NULL, 'PTHR40430:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172451, NULL, 'PTHR43148:SF14', NULL, NULL, NULL, NULL, 'BNAA02G28150D PROTEIN', NULL, NULL, NULL, 15),
(172452, NULL, 'PTHR11102:SF53', NULL, NULL, NULL, NULL, 'PROTEIN SEL-1 HOMOLOG 2', NULL, NULL, NULL, 15),
(172453, NULL, 'PTHR33601:SF18', NULL, NULL, NULL, NULL, 'PROTEIN LITTLE ZIPPER 2', NULL, NULL, NULL, 15),
(172454, NULL, 'PTHR37689', NULL, NULL, NULL, NULL, 'PROTEIN FDHE', NULL, NULL, 6955, 15),
(172455, NULL, 'PTHR37705:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172456, NULL, 'PTHR33788:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172457, NULL, 'PTHR11941:SF54', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(172458, NULL, 'PTHR32467:SF148', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(172459, NULL, 'PTHR11220:SF50', NULL, NULL, NULL, NULL, 'SOUL HEME-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172460, NULL, 'PTHR11999:SF68', NULL, NULL, NULL, NULL, 'HISTIDINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(172461, NULL, 'PTHR33269', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 6', NULL, NULL, NULL, 15),
(172462, NULL, 'PTHR11909:SF405', NULL, NULL, NULL, NULL, 'BNAC05G39650D PROTEIN', NULL, NULL, NULL, 15),
(172463, NULL, 'PTHR44137:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172464, NULL, 'PTHR13847:SF254', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLPUTRESCINE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(172465, NULL, 'PTHR45697:SF3', NULL, NULL, NULL, NULL, 'DEAD END', NULL, NULL, NULL, 15),
(172466, NULL, 'PTHR23070:SF170', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(172467, NULL, 'PTHR20961:SF17', NULL, NULL, NULL, NULL, 'OS01G0118400 PROTEIN', NULL, NULL, NULL, 15),
(172468, NULL, 'PTHR21654:SF84', NULL, NULL, NULL, NULL, 'FI21293P1', NULL, NULL, NULL, 15),
(172469, NULL, 'PTHR12121:SF37', NULL, NULL, NULL, NULL, '2'',5''-PHOSPHODIESTERASE 12', NULL, NULL, NULL, 15),
(172470, NULL, 'PTHR33879:SF3', NULL, NULL, NULL, NULL, '17.6 KDA CLASS II HEAT SHOCK PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172471, NULL, 'PTHR18966:SF466', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(172472, NULL, 'PTHR21450:SF27', NULL, NULL, NULL, NULL, 'DUF630 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172473, NULL, 'PTHR15711', NULL, NULL, NULL, NULL, 'RAP GTPASE-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(172474, NULL, 'PTHR23169:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172475, NULL, 'PTHR36757', NULL, NULL, NULL, NULL, 'BNAANNG22500D PROTEIN', NULL, NULL, NULL, 15),
(172476, NULL, 'PTHR30389:SF1', NULL, NULL, NULL, NULL, 'L(+)-TARTRATE DEHYDRATASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(172477, NULL, 'PTHR35022:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172478, NULL, 'PTHR43712:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14580)-RELATED', NULL, NULL, NULL, 15),
(172479, NULL, 'PTHR20922:SF13', NULL, NULL, NULL, NULL, 'DNL-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(172480, NULL, 'PTHR45703:SF12', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 11', NULL, NULL, NULL, 15),
(172481, NULL, 'PTHR23430:SF306', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(172482, NULL, 'PTHR11017:SF278', NULL, NULL, NULL, NULL, 'BNAC03G63240D PROTEIN', NULL, NULL, NULL, 15),
(172483, NULL, 'PTHR31580:SF32', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', NULL, NULL, NULL, 15),
(172484, NULL, 'PTHR37992:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172485, NULL, 'PTHR32378:SF10', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 3', NULL, NULL, NULL, 15),
(172486, NULL, 'PTHR21420:SF3', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(172487, NULL, 'PTHR21346', NULL, NULL, NULL, NULL, 'FUN14 DOMAIN CONTAINING', NULL, NULL, 6587, 15),
(172488, NULL, 'PTHR47651:SF2', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT HISTONE DEACETYLASE HST4', NULL, NULL, NULL, 15),
(172489, NULL, 'PTHR12956:SF63', NULL, NULL, NULL, NULL, 'BNAC03G58440D PROTEIN', NULL, NULL, NULL, 15),
(172490, NULL, 'PTHR31741:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172491, NULL, 'PTHR13281', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 12446, 15),
(172492, NULL, 'PTHR22605:SF21', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF213-BETA', NULL, NULL, NULL, 15),
(172493, NULL, 'PTHR43827', NULL, NULL, NULL, NULL, '2,5-DIKETO-D-GLUCONIC ACID REDUCTASE', NULL, NULL, 19717, 15),
(172494, NULL, 'PTHR48050:SF10', NULL, NULL, NULL, NULL, 'OS07G0419500 PROTEIN', NULL, NULL, NULL, 15),
(172495, NULL, 'PTHR31589:SF97', NULL, NULL, NULL, NULL, 'BNAA08G20520D PROTEIN', NULL, NULL, NULL, 15),
(172496, NULL, 'PTHR11630:SF72', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM3', NULL, NULL, NULL, 15),
(172497, NULL, 'PTHR11139', NULL, NULL, NULL, NULL, 'ATAXIA TELANGIECTASIA MUTATED  ATM -RELATED', NULL, NULL, NULL, 15),
(172498, NULL, 'PTHR38037:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172499, NULL, 'PTHR11875:SF123', NULL, NULL, NULL, NULL, 'BNAA06G12980D PROTEIN', NULL, NULL, NULL, 15),
(172500, NULL, 'PTHR35983', NULL, NULL, NULL, NULL, 'UPF0166 PROTEIN TM_0021', NULL, NULL, NULL, 15),
(172501, NULL, 'PTHR28562:SF1', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 9', NULL, NULL, NULL, 15),
(172502, NULL, 'PTHR33074:SF63', NULL, NULL, NULL, NULL, 'OS04G0143700 PROTEIN', NULL, NULL, NULL, 15),
(172503, NULL, 'PTHR30559', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE CLASS 2', NULL, NULL, 5635, 15),
(172504, NULL, 'PTHR30327', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED PROTEIN YQGE', NULL, NULL, 2528, 15),
(172505, NULL, 'PTHR37469:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172506, NULL, 'PTHR31639:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172507, NULL, 'PTHR11227:SF3', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 21', NULL, NULL, NULL, 15),
(172508, NULL, 'PTHR31657:SF46', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-4', NULL, NULL, NULL, 15),
(172509, NULL, 'PTHR32133:SF302', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(172510, NULL, 'PTHR30290:SF19', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERIPLASMIC BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172511, NULL, 'PTHR13906', NULL, NULL, NULL, NULL, 'PORCUPINE', NULL, NULL, NULL, 15),
(172512, NULL, 'PTHR12565:SF366', NULL, NULL, NULL, NULL, 'BNAC05G07950D PROTEIN', NULL, NULL, NULL, 15),
(172513, NULL, 'PTHR30086:SF6', NULL, NULL, NULL, NULL, 'AMINO ACID EFFLUX PROTEIN YCGF-RELATED', NULL, NULL, NULL, 15),
(172514, NULL, 'PTHR23428:SF257', NULL, NULL, NULL, NULL, 'HISTONE H2B.1', NULL, NULL, NULL, 15),
(172515, NULL, 'PTHR15742', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(172516, NULL, 'PTHR11527:SF271', NULL, NULL, NULL, NULL, '22.0 KDA CLASS IV HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(172517, NULL, 'PTHR10259:SF11', NULL, NULL, NULL, NULL, 'THIOPURINE S-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(172518, NULL, 'PTHR10462:SF45', NULL, NULL, NULL, NULL, 'HISTO-BLOOD GROUP ABO SYSTEM TRANSFERASE', NULL, NULL, NULL, 15),
(172519, NULL, 'PTHR47416:SF3', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER TRANSCRIPTION FACTOR F-RELATED', NULL, NULL, NULL, 15),
(172520, NULL, 'PTHR24157:SF0', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 34C', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172521, NULL, 'PTHR45848', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 12 FAMILY MEMBER', NULL, NULL, NULL, 15),
(172522, NULL, 'PTHR13097:SF7', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIE SUBUNIT 1', NULL, NULL, NULL, 15),
(172523, NULL, 'PTHR15414:SF4', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM LECTIN 1', NULL, NULL, NULL, 15),
(172524, NULL, 'PTHR12479', NULL, NULL, NULL, NULL, 'LYSOSOMAL-ASSOCIATED TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(172525, NULL, 'PTHR11819:SF151', NULL, NULL, NULL, NULL, 'SODIUM/GLUCOSE COTRANSPORTER 1', NULL, NULL, NULL, 15),
(172526, NULL, 'PTHR11743:SF62', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 3', NULL, NULL, NULL, 15),
(172527, NULL, 'PTHR43840:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG20465', NULL, NULL, NULL, 15),
(172528, NULL, 'PTHR11559:SF391', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(172529, NULL, 'PTHR21859:SF54', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 31E1', NULL, NULL, NULL, 15),
(172530, NULL, 'PTHR10641:SF1094', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR MYB30', NULL, NULL, NULL, 15),
(172531, NULL, 'PTHR31876:SF22', NULL, NULL, NULL, NULL, 'BNAC07G03830D PROTEIN', NULL, NULL, NULL, 15),
(172532, NULL, 'PTHR21368', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L9', NULL, NULL, 919, 15),
(172533, NULL, 'PTHR48001:SF89', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(172534, NULL, 'PTHR43795:SF77', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(172535, NULL, 'PTHR46011:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-42', NULL, NULL, NULL, 15),
(172536, NULL, 'PTHR47990:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172537, NULL, 'PTHR23005:SF3', NULL, NULL, NULL, NULL, 'RETINITIS PIGMENTOSA 1-LIKE 1 PROTEIN', NULL, NULL, NULL, 15),
(172538, NULL, 'PTHR26379:SF349', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172539, NULL, 'PTHR31187:SF3', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN', NULL, NULL, NULL, 15),
(172540, NULL, 'PTHR23009', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 26244, 15),
(172541, NULL, 'PTHR46410:SF1', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(172542, NULL, 'PTHR13009', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90  HSP90  CO-CHAPERONE AHA-1', NULL, NULL, 31139, 15),
(172543, NULL, 'PTHR23234:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172544, NULL, 'PTHR36174', NULL, NULL, NULL, NULL, 'LIPID II:GLYCINE GLYCYLTRANSFERASE', NULL, NULL, NULL, 15),
(172545, NULL, 'PTHR33702:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172546, NULL, 'PTHR46764:SF6', NULL, NULL, NULL, NULL, 'SPX DOMAIN, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(172547, NULL, 'PTHR46162:SF41', NULL, NULL, NULL, NULL, 'BNAA01G24880D PROTEIN', NULL, NULL, NULL, 15),
(172548, NULL, 'PTHR45690:SF18', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(172549, NULL, 'PTHR22835:SF509', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(172550, NULL, 'PTHR31080:SF138', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(172551, NULL, 'PTHR23231:SF3', NULL, NULL, NULL, NULL, 'BTB DOMAIN-CONTAINING 35, FAMILY MEMBER 10-RELATED', NULL, NULL, NULL, 15),
(172552, NULL, 'PTHR45660:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172553, NULL, 'PTHR11753:SF6', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT SIGMA', NULL, NULL, 28930, 15),
(172554, NULL, 'PTHR23236:SF11', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4H', NULL, NULL, NULL, 15),
(172555, NULL, 'PTHR37180:SF9', NULL, NULL, NULL, NULL, 'BNAC03G75990D PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172556, NULL, 'PTHR18763:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(172557, NULL, 'PTHR26453:SF582', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(172558, NULL, 'PTHR38355:SF1', NULL, NULL, NULL, NULL, 'OS06G0149500 PROTEIN', NULL, NULL, NULL, 15),
(172559, NULL, 'PTHR47408', NULL, NULL, NULL, NULL, 'PROTEIN CBG01304-RELATED', NULL, NULL, NULL, 15),
(172560, NULL, 'PTHR22798:SF0', NULL, NULL, NULL, NULL, 'MALIGNANT T-CELL-AMPLIFIED SEQUENCE 1', NULL, NULL, NULL, 15),
(172561, NULL, 'PTHR37402:SF1', NULL, NULL, NULL, NULL, 'GRAM DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(172562, NULL, 'PTHR13280:SF17', NULL, NULL, NULL, NULL, 'KRUEPPEL TARGET AT 95D, ISOFORM A', NULL, NULL, NULL, 15),
(172563, NULL, 'PTHR45636:SF8', NULL, NULL, NULL, NULL, 'PAIRED BOX PROTEIN PAX-4', NULL, NULL, 34138, 15),
(172564, NULL, 'PTHR10210:SF100', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(172565, NULL, 'PTHR36682', NULL, NULL, NULL, NULL, 'RAB15 EFFECTOR PROTEIN', NULL, NULL, 26441, 15),
(172566, NULL, 'PTHR41930:SF1', NULL, NULL, NULL, NULL, 'UPF0200 PROTEIN MJ1399', NULL, NULL, NULL, 15),
(172567, NULL, 'PTHR39591:SF1', NULL, NULL, NULL, NULL, 'UPF0265 PROTEIN YEEX', NULL, NULL, NULL, 15),
(172568, NULL, 'PTHR24089:SF705', NULL, NULL, NULL, NULL, 'GRAVES DISEASE CARRIER PROTEIN', NULL, NULL, NULL, 15),
(172569, NULL, 'PTHR23262', NULL, NULL, NULL, NULL, 'KERATIN ASSOCIATED PROTEIN', NULL, NULL, 848, 15),
(172570, NULL, 'PTHR45800:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 4', NULL, NULL, NULL, 15),
(172571, NULL, 'PTHR27003:SF389', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE THESEUS 1', NULL, NULL, NULL, 15),
(172572, NULL, 'PTHR10075:SF77', NULL, NULL, NULL, NULL, 'NEURONAL-GLIAL CELL ADHESION MOLECULE', NULL, NULL, NULL, 15),
(172573, NULL, 'PTHR31744:SF146', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172574, NULL, 'PTHR31867:SF147', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(172575, NULL, 'PTHR24253:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172576, NULL, 'PTHR47319', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN KIC', NULL, NULL, 37438, 15),
(172577, NULL, 'PTHR22725:SF2', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(172578, NULL, 'PTHR10615:SF177', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(172579, NULL, 'PTHR46204:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172580, NULL, 'PTHR43655:SF28', NULL, NULL, NULL, NULL, 'ZINC METALLOPEPTIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172581, NULL, 'PTHR22746:SF10', NULL, NULL, NULL, NULL, 'RAB6A-GEF COMPLEX PARTNER PROTEIN 1', NULL, NULL, NULL, 15),
(172582, NULL, 'PTHR31063', NULL, NULL, NULL, NULL, 'PROTEIN CBG08668', NULL, NULL, NULL, 15),
(172583, NULL, 'PTHR31044:SF49', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(172584, NULL, 'PTHR11530:SF17', NULL, NULL, NULL, NULL, 'RE49860P', NULL, NULL, NULL, 15),
(172585, NULL, 'PTHR47965:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172586, NULL, 'PTHR46162:SF34', NULL, NULL, NULL, NULL, 'BNAA04G13830D PROTEIN', NULL, NULL, NULL, 15),
(172587, NULL, 'PTHR11783:SF165', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(172588, NULL, 'PTHR42733:SF3', NULL, NULL, NULL, NULL, 'THIJ/PFPI DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(172589, NULL, 'PTHR20275:SF6', NULL, NULL, NULL, NULL, 'NAD+ KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172590, NULL, 'PTHR43080:SF11', NULL, NULL, NULL, NULL, 'CBS DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(172591, NULL, 'PTHR37839', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT A', NULL, NULL, 13443, 15),
(172592, NULL, 'PTHR44395', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172593, NULL, 'PTHR15696:SF20', NULL, NULL, NULL, NULL, 'PROTEIN SMG7-LIKE', NULL, NULL, NULL, 15),
(172594, NULL, 'PTHR48041:SF81', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 22', NULL, NULL, NULL, 15),
(172595, NULL, 'PTHR35691:SF2', NULL, NULL, NULL, NULL, 'BNAANNG04120D PROTEIN', NULL, NULL, NULL, 15),
(172596, NULL, 'PTHR33709:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172597, NULL, 'PTHR10509:SF74', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(172598, NULL, 'PTHR22937:SF114', NULL, NULL, NULL, NULL, 'F27F5.26', NULL, NULL, NULL, 15),
(172599, NULL, 'PTHR35754', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B', NULL, NULL, NULL, 15),
(172600, NULL, 'PTHR11017:SF290', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172601, NULL, 'PTHR26454:SF0', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(172602, NULL, 'PTHR12223:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172603, NULL, 'PTHR10285:SF139', NULL, NULL, NULL, NULL, 'PANTOTHENATE KINASE', NULL, NULL, 716, 15),
(172604, NULL, 'PTHR10314:SF8', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-SYNTHASE', NULL, NULL, NULL, 15),
(172605, NULL, 'PTHR34666:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(172606, NULL, 'PTHR11552', NULL, NULL, NULL, NULL, 'GLUCOSE-METHANOL-CHOLINE  GMC  OXIDOREDUCTASE', NULL, NULL, 14317, 15),
(172607, NULL, 'PTHR22826:SF115', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR DBS', NULL, NULL, NULL, 15),
(172608, NULL, 'PTHR24032:SF14', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172609, NULL, 'PTHR10751:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172610, NULL, 'PTHR16083:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172611, NULL, 'PTHR45841:SF4', NULL, NULL, NULL, NULL, 'RIBOSOME ASSEMBLY FACTOR MRT4', NULL, NULL, NULL, 15),
(172612, NULL, 'PTHR27007:SF353', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VII.1-LIKE', NULL, NULL, NULL, 15),
(172613, NULL, 'PTHR37461:SF1', NULL, NULL, NULL, NULL, 'ANTI-SIGMA-K FACTOR RSKA', NULL, NULL, NULL, 15),
(172614, NULL, 'PTHR24177:SF244', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172615, NULL, 'PTHR26374:SF415', NULL, NULL, NULL, NULL, 'HVZFP16-1', NULL, NULL, NULL, 15),
(172616, NULL, 'PTHR21479:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG15728', NULL, NULL, NULL, 15),
(172617, NULL, 'PTHR46116:SF15', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 24-RELATED', NULL, NULL, NULL, 15),
(172618, NULL, 'PTHR13131:SF7', NULL, NULL, NULL, NULL, 'PQ LOOP REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172619, NULL, 'PTHR30371:SF8', NULL, NULL, NULL, NULL, 'BNAA09G18470D PROTEIN', NULL, NULL, NULL, 15),
(172620, NULL, 'PTHR12864:SF58', NULL, NULL, NULL, NULL, 'PROTEIN EAR1', NULL, NULL, NULL, 15),
(172621, NULL, 'PTHR27005:SF159', NULL, NULL, NULL, NULL, 'OS09G0561500 PROTEIN', NULL, NULL, NULL, 15),
(172622, NULL, 'PTHR11353:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172623, NULL, 'PTHR13195', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE-RELATED', NULL, NULL, 35811, 15),
(172624, NULL, 'PTHR43684:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172625, NULL, 'PTHR47441:SF3', NULL, NULL, NULL, NULL, 'RELEASE FACTOR GLUTAMINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(172626, NULL, 'PTHR33063:SF6', NULL, NULL, NULL, NULL, 'OS02G0583500 PROTEIN', NULL, NULL, NULL, 15),
(172627, NULL, 'PTHR37523:SF1', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE', NULL, NULL, NULL, 15),
(172628, NULL, 'PTHR33172:SF13', NULL, NULL, NULL, NULL, 'COLD INDUCED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(172629, NULL, 'PTHR11515', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONE BETA CHAIN', NULL, NULL, 3244, 15),
(172630, NULL, 'PTHR21451:SF11', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-79 SPECIFIC', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172631, NULL, 'PTHR30069:SF8', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT SIDEROPHORE RECEPTOR PROTEIN', NULL, NULL, NULL, 15),
(172632, NULL, 'PTHR46128:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172633, NULL, 'PTHR32411:SF60', NULL, NULL, NULL, NULL, 'BNAC03G15220D PROTEIN', NULL, NULL, NULL, 15),
(172634, NULL, 'PTHR32278:SF82', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B10-RELATED', NULL, NULL, NULL, 15),
(172635, NULL, 'PTHR11685:SF272', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(172636, NULL, 'PTHR45659:SF17', NULL, NULL, NULL, NULL, 'HOMEOBOX B7', NULL, NULL, NULL, 15),
(172637, NULL, 'PTHR19288:SF81', NULL, NULL, NULL, NULL, 'RIBONUCLEOTIDE MONOPHOSPHATASE NAGD', NULL, NULL, NULL, 15),
(172638, NULL, 'PTHR45877:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIAH1', NULL, NULL, NULL, 15),
(172639, NULL, 'PTHR24055:SF507', NULL, NULL, NULL, NULL, 'BNAANNG05580D PROTEIN', NULL, NULL, NULL, 15),
(172640, NULL, 'PTHR31387:SF0', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 19', NULL, NULL, NULL, 15),
(172641, NULL, 'PTHR39387:SF1', NULL, NULL, NULL, NULL, 'SHAVENOID, ISOFORM B', NULL, NULL, NULL, 15),
(172642, NULL, 'PTHR15673:SF2', NULL, NULL, NULL, NULL, 'IQ CALMODULIN-BINDING MOTIF-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(172643, NULL, 'PTHR11130:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE SYNTHETASE', NULL, NULL, NULL, 15),
(172644, NULL, 'PTHR33978:SF21', NULL, NULL, NULL, NULL, 'PLANT/K16L22-9 PROTEIN', NULL, NULL, NULL, 15),
(172645, NULL, 'PTHR45993:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 296', NULL, NULL, NULL, 15),
(172646, NULL, 'PTHR11629:SF92', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(172647, NULL, 'PTHR43065:SF24', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN PILS', NULL, NULL, NULL, 15),
(172648, NULL, 'PTHR31060:SF7', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(172649, NULL, 'PTHR18945:SF843', NULL, NULL, NULL, NULL, 'IP12572P-RELATED', NULL, NULL, NULL, 15),
(172650, NULL, 'PTHR24015:SF930', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(172651, NULL, 'PTHR48099:SF8', NULL, NULL, NULL, NULL, 'C-1-TETRAHYDROFOLATE SYNTHASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(172652, NULL, 'PTHR31325:SF194', NULL, NULL, NULL, NULL, 'OSJNBB0050N09.3 PROTEIN', NULL, NULL, NULL, 15),
(172653, NULL, 'PTHR19375:SF176', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN HSCA', NULL, NULL, NULL, 15),
(172654, NULL, 'PTHR34373', NULL, NULL, NULL, NULL, 'SHUGOSHIN 2', NULL, NULL, 37530, 15),
(172655, NULL, 'PTHR31236', NULL, NULL, NULL, NULL, 'BURP DOMAIN PROTEIN USPL1-LIKE', NULL, NULL, 39236, 15),
(172656, NULL, 'PTHR36978:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172657, NULL, 'PTHR31734:SF191', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(172658, NULL, 'PTHR24376:SF99', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 51', NULL, NULL, NULL, 15),
(172659, NULL, 'PTHR30146:SF37', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR IDNR', NULL, NULL, NULL, 15),
(172660, NULL, 'PTHR11551:SF13', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(172661, NULL, 'PTHR12640:SF1', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE SUBUNIT 2', NULL, NULL, NULL, 15),
(172662, NULL, 'PTHR23502:SF130', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G16860)-RELATED', NULL, NULL, NULL, 15),
(172663, NULL, 'PTHR12884:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', NULL, NULL, NULL, 15),
(172664, NULL, 'PTHR12345:SF12', NULL, NULL, NULL, NULL, 'AMYLOID-BETA A4 PRECURSOR PROTEIN-BINDING FAMILY A MEMBER 2', NULL, NULL, 26075, 15),
(172665, NULL, 'PTHR33090:SF66', NULL, NULL, NULL, NULL, 'OS07G0558900 PROTEIN', NULL, NULL, NULL, 15),
(172666, NULL, 'PTHR12509:SF16', NULL, NULL, NULL, NULL, 'SPERM FLAGELLAR PROTEIN 1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172667, NULL, 'PTHR23121:SF10', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 4A', NULL, NULL, NULL, 15),
(172668, NULL, 'PTHR33044:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172669, NULL, 'PTHR46267:SF3', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING FACTOR 4-RELATED', NULL, NULL, NULL, 15),
(172670, NULL, 'PTHR11929:SF220', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172671, NULL, 'PTHR39411:SF1', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 113', NULL, NULL, NULL, 15),
(172672, NULL, 'PTHR31029:SF3', NULL, NULL, NULL, NULL, 'IRK-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(172673, NULL, 'PTHR46176:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM76B', NULL, NULL, 26044, 15),
(172674, NULL, 'PTHR45743:SF24', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT2/3-LIKE', NULL, NULL, NULL, 15),
(172675, NULL, 'PTHR10970:SF2', NULL, NULL, NULL, NULL, 'CLUSTERIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(172676, NULL, 'PTHR42861:SF55', NULL, NULL, NULL, NULL, 'ATPASE 9, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(172677, NULL, 'PTHR31388:SF196', NULL, NULL, NULL, NULL, 'LIGNIN-FORMING ANIONIC PEROXIDASE', NULL, NULL, NULL, 15),
(172678, NULL, 'PTHR24064:SF432', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 2', NULL, NULL, NULL, 15),
(172679, NULL, 'PTHR43169:SF2', NULL, NULL, NULL, NULL, 'EXSB FAMILY PROTEIN', NULL, NULL, 11086, 15),
(172680, NULL, 'PTHR38828:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172681, NULL, 'PTHR32044:SF85', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(172682, NULL, 'PTHR31872', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 179', NULL, NULL, 25686, 15),
(172683, NULL, 'PTHR40787:SF2', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN', NULL, NULL, NULL, 15),
(172684, NULL, 'PTHR45927:SF5', NULL, NULL, NULL, NULL, 'PROTEIN LYK5-LIKE', NULL, NULL, NULL, 15),
(172685, NULL, 'PTHR14002:SF27', NULL, NULL, NULL, NULL, 'CUB AND ZONA PELLUCIDA-LIKE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(172686, NULL, 'PTHR14493:SF37', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UNKL-RELATED', NULL, NULL, NULL, 15),
(172687, NULL, 'PTHR10857:SF4', NULL, NULL, NULL, NULL, 'COPINE-4', NULL, NULL, NULL, 15),
(172688, NULL, 'PTHR10353:SF264', NULL, NULL, NULL, NULL, 'BNAA04G25750D PROTEIN', NULL, NULL, NULL, 15),
(172689, NULL, 'PTHR35176:SF4', NULL, NULL, NULL, NULL, 'PYRIDOXAMINE 5''-PHOSPHATE OXIDASE-RELATED FMN-BINDING', NULL, NULL, NULL, 15),
(172690, NULL, 'PTHR35980', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE CCHAMIDE-1-RELATED', NULL, NULL, 36477, 15),
(172691, NULL, 'PTHR44329:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172692, NULL, 'PTHR43329:SF65', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', NULL, NULL, NULL, 15),
(172693, NULL, 'PTHR33271:SF7', NULL, NULL, NULL, NULL, 'PLASTID TRANSCRIPTIONALLY ACTIVE 18', NULL, NULL, NULL, 15),
(172694, NULL, 'PTHR11452:SF75', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE 3', NULL, NULL, NULL, 15),
(172695, NULL, 'PTHR31459:SF25', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN LEA14-1', NULL, NULL, NULL, 15),
(172696, NULL, 'PTHR45743:SF25', NULL, NULL, NULL, NULL, 'CHANNEL AKT6, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172697, NULL, 'PTHR48021:SF59', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 6', NULL, NULL, NULL, 15),
(172698, NULL, 'PTHR22765:SF156', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 126', NULL, NULL, NULL, 15),
(172699, NULL, 'PTHR20003:SF4', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN', NULL, NULL, NULL, 15),
(172700, NULL, 'PTHR48053:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172701, NULL, 'PTHR45651:SF50', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 2', NULL, NULL, NULL, 15),
(172702, NULL, 'PTHR42818', NULL, NULL, NULL, NULL, 'SULFOPYRUVATE DECARBOXYLASE SUBUNIT ALPHA', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172703, NULL, 'PTHR10075:SF53', NULL, NULL, NULL, NULL, 'DOWN SYNDROME CELL ADHESION MOLECULE 1, ISOFORM BQ', NULL, NULL, NULL, 15),
(172704, NULL, 'PTHR31642:SF217', NULL, NULL, NULL, NULL, 'OMEGA-HYDROXYPALMITATE O-FERULOYL TRANSFERASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(172705, NULL, 'PTHR19317:SF1', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN H', NULL, NULL, NULL, 15),
(172706, NULL, 'PTHR10657:SF31', NULL, NULL, NULL, NULL, 'PIN1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172707, NULL, 'PTHR20961:SF126', NULL, NULL, NULL, NULL, 'EGF DOMAIN-SPECIFIC O-LINKED N-ACETYLGLUCOSAMINE TRANSFERASE', NULL, NULL, NULL, 15),
(172708, NULL, 'PTHR46301:SF30', NULL, NULL, NULL, NULL, 'BNAC08G19470D PROTEIN', NULL, NULL, NULL, 15),
(172709, NULL, 'PTHR12471:SF4', NULL, NULL, NULL, NULL, 'AGAP001624-PA', NULL, NULL, NULL, 15),
(172710, NULL, 'PTHR24031:SF91', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX24', NULL, NULL, NULL, 15),
(172711, NULL, 'PTHR46545:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 51', NULL, NULL, NULL, 15),
(172712, NULL, 'PTHR48071:SF8', NULL, NULL, NULL, NULL, 'CD5 ANTIGEN-LIKE', NULL, NULL, NULL, 15),
(172713, NULL, 'PTHR10353:SF172', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1 PROTEIN', NULL, NULL, NULL, 15),
(172714, NULL, 'PTHR45763:SF40', NULL, NULL, NULL, NULL, 'BNAA06G22610D PROTEIN', NULL, NULL, NULL, 15),
(172715, NULL, 'PTHR24221:SF559', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN 1, 2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172716, NULL, 'PTHR10168:SF272', NULL, NULL, NULL, NULL, 'BNAC01G41950D PROTEIN', NULL, NULL, NULL, 15),
(172717, NULL, 'PTHR30126:SF29', NULL, NULL, NULL, NULL, 'LYSR FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(172718, NULL, 'PTHR26453:SF239', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(172719, NULL, 'PTHR47926:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172720, NULL, 'PTHR43220:SF12', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 41A-B', NULL, NULL, NULL, 15),
(172721, NULL, 'PTHR31948:SF100', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172722, NULL, 'PTHR36206:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN MOC3', NULL, NULL, NULL, 15),
(172723, NULL, 'PTHR11673:SF25', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-1-LIKE', NULL, NULL, NULL, 15),
(172724, NULL, 'PTHR34072:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172725, NULL, 'PTHR22930:SF186', NULL, NULL, NULL, NULL, 'LOW PROTEIN: NUCLEASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(172726, NULL, 'PTHR24221:SF567', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 21', NULL, NULL, NULL, 15),
(172727, NULL, 'PTHR24055:SF171', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 6', NULL, NULL, NULL, 15),
(172728, NULL, 'PTHR10497:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', NULL, NULL, NULL, 15),
(172729, NULL, 'PTHR16223:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172730, NULL, 'PTHR31313:SF77', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(172731, NULL, 'PTHR13318:SF166', NULL, NULL, NULL, NULL, 'ANTAGONIST OF MITOTIC EXIT NETWORK PROTEIN 1', NULL, NULL, NULL, 15),
(172732, NULL, 'PTHR11707', NULL, NULL, NULL, NULL, 'L-ASPARAGINASE', NULL, NULL, NULL, 15),
(172733, NULL, 'PTHR35539:SF1', NULL, NULL, NULL, NULL, 'CDNA SEQUENCE BC048562', NULL, NULL, NULL, 15),
(172734, NULL, 'PTHR13271:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172735, NULL, 'PTHR43139:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172736, NULL, 'PTHR45839:SF16', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE 6', NULL, NULL, NULL, 15),
(172737, NULL, 'PTHR47635', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172738, NULL, 'PTHR23113:SF319', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR Y', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172739, NULL, 'PTHR48094:SF1', NULL, NULL, NULL, NULL, 'THIJ/PFPI FAMILY', NULL, NULL, NULL, 15),
(172740, NULL, 'PTHR11630:SF75', NULL, NULL, NULL, NULL, 'MINICHROMOSOME MAINTENANCE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(172741, NULL, 'PTHR27009:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172742, NULL, 'PTHR43521:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172743, NULL, 'PTHR37296', NULL, NULL, NULL, NULL, 'CONSERVED VIRULENCE FACTOR B', NULL, NULL, 9832, 15),
(172744, NULL, 'PTHR46214:SF21', NULL, NULL, NULL, NULL, 'BNAA09G52340D PROTEIN', NULL, NULL, NULL, 15),
(172745, NULL, 'PTHR12092:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172746, NULL, 'PTHR33057:SF82', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP4', NULL, NULL, NULL, 15),
(172747, NULL, 'PTHR33698:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2 (NTF2) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172748, NULL, 'PTHR11616:SF260', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(172749, NULL, 'PTHR20920:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-7K24.5', NULL, NULL, NULL, 15),
(172750, NULL, 'PTHR19359:SF85', NULL, NULL, NULL, NULL, 'B5, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172751, NULL, 'PTHR31827:SF46', NULL, NULL, NULL, NULL, 'LORICRIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(172752, NULL, 'PTHR48063:SF24', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE FAMILY PROTEIN / LRR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172753, NULL, 'PTHR16517:SF89', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 2', NULL, NULL, NULL, 15),
(172754, NULL, 'PTHR32134:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172755, NULL, 'PTHR24115:SF933', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(172756, NULL, 'PTHR11911:SF111', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(172757, NULL, 'PTHR35791', NULL, NULL, NULL, NULL, 'UPF0754 MEMBRANE PROTEIN YHEB', NULL, NULL, NULL, 15),
(172758, NULL, 'PTHR35296:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(172759, NULL, 'PTHR11588:SF402', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(172760, NULL, 'PTHR27006:SF213', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172761, NULL, 'PTHR11802:SF310', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 18', NULL, NULL, NULL, 15),
(172762, NULL, 'PTHR24376:SF115', NULL, NULL, NULL, NULL, 'DNA SEGMENT, CHR 3, ERATO DOI 254,-EXPRESSED', NULL, NULL, NULL, 15),
(172763, NULL, 'PTHR12558:SF10', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 23 HOMOLOG', NULL, NULL, NULL, 15),
(172764, NULL, 'PTHR34571', NULL, NULL, NULL, NULL, '(S)-UREIDOGLYCINE AMINOHYDROLASE', NULL, NULL, NULL, 15),
(172765, NULL, 'PTHR34368:SF7', NULL, NULL, NULL, NULL, 'ALKALINE PHYTOCERAMIDASE (APHC)', NULL, NULL, NULL, 15),
(172766, NULL, 'PTHR11709:SF367', NULL, NULL, NULL, NULL, 'BNAC01G37690D PROTEIN', NULL, NULL, NULL, 15),
(172767, NULL, 'PTHR36215', NULL, NULL, NULL, NULL, 'BLL4998 PROTEIN', NULL, NULL, NULL, 15),
(172768, NULL, 'PTHR46929:SF6', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(172769, NULL, 'PTHR23177:SF74', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 3', NULL, NULL, NULL, 15),
(172770, NULL, 'PTHR11909:SF309', NULL, NULL, NULL, NULL, 'TAU TUBULIN KINASE 2A', NULL, NULL, NULL, 15),
(172771, NULL, 'PTHR10489:SF931', NULL, NULL, NULL, NULL, 'ATYPICAL CHEMOKINE RECEPTOR 3', NULL, NULL, 6996, 15),
(172772, NULL, 'PTHR31928', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 8768, 15),
(172773, NULL, 'PTHR11588:SF388', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(172774, NULL, 'PTHR10408:SF10', NULL, NULL, NULL, NULL, 'STEROL O-ACYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(172775, NULL, 'PTHR45969:SF30', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 11 RING-H2 FINGER PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172776, NULL, 'PTHR31351:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(172777, NULL, 'PTHR23114:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172778, NULL, 'PTHR28086', NULL, NULL, NULL, NULL, 'UPF0662 PROTEIN YPL260W', NULL, NULL, 20128, 15),
(172779, NULL, 'PTHR45934:SF9', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172780, NULL, 'PTHR14274', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 8', NULL, NULL, 27143, 15),
(172781, NULL, 'PTHR31642:SF49', NULL, NULL, NULL, NULL, 'OS06G0710700 PROTEIN', NULL, NULL, NULL, 15),
(172782, NULL, 'PTHR33984:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172783, NULL, 'PTHR44137:SF16', NULL, NULL, NULL, NULL, 'OS03G0837400 PROTEIN', NULL, NULL, NULL, 15),
(172784, NULL, 'PTHR22925:SF52', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 43 PROTEIN', NULL, NULL, NULL, 15),
(172785, NULL, 'PTHR22952:SF436', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(172786, NULL, 'PTHR24559:SF356', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE DOMAINCONTAINING PROTEIN', NULL, NULL, NULL, 15),
(172787, NULL, 'PTHR14155:SF573', NULL, NULL, NULL, NULL, 'BNAA08G01790D PROTEIN', NULL, NULL, NULL, 15),
(172788, NULL, 'PTHR11604:SF42', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(172789, NULL, 'PTHR46855:SF11', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 26-LIKE', NULL, NULL, NULL, 15),
(172790, NULL, 'PTHR26452:SF754', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5H6', NULL, NULL, NULL, 15),
(172791, NULL, 'PTHR12872:SF1', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGLUCOSAMINIDASE', NULL, NULL, NULL, 15),
(172792, NULL, 'PTHR32208:SF68', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE', NULL, NULL, NULL, 15),
(172793, NULL, 'PTHR24083:SF73', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(172794, NULL, 'PTHR43900:SF71', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F3-RELATED', NULL, NULL, NULL, 15),
(172795, NULL, 'PTHR20855:SF123', NULL, NULL, NULL, NULL, 'BNAA03G51100D PROTEIN', NULL, NULL, NULL, 15),
(172796, NULL, 'PTHR46128:SF25', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(172797, NULL, 'PTHR11746:SF186', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(172798, NULL, 'PTHR31346:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172799, NULL, 'PTHR10845:SF256', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING RGS-2', NULL, NULL, NULL, 15),
(172800, NULL, 'PTHR12565:SF362', NULL, NULL, NULL, NULL, 'BNAC03G65970D PROTEIN', NULL, NULL, NULL, 15),
(172801, NULL, 'PTHR35304:SF8', NULL, NULL, NULL, NULL, 'BNAANNG36440D PROTEIN', NULL, NULL, NULL, 15),
(172802, NULL, 'PTHR31423:SF4', NULL, NULL, NULL, NULL, 'BNAC06G00890D PROTEIN', NULL, NULL, NULL, 15),
(172803, NULL, 'PTHR46987:SF4', NULL, NULL, NULL, NULL, 'R-SPONDIN 2', NULL, NULL, 37199, 15),
(172804, NULL, 'PTHR47652:SF4', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT DOMAIN-CONTAINING PROTEIN / LEA DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(172805, NULL, 'PTHR34211', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(172806, NULL, 'PTHR28097:SF1', NULL, NULL, NULL, NULL, 'PHEROMONE A FACTOR RECEPTOR', NULL, NULL, NULL, 15),
(172807, NULL, 'PTHR12301', NULL, NULL, NULL, NULL, 'SAM-DOMAIN, SH3 AND NUCLEAR LOCALIZATION SIGNALS PROTEIN RELATED', NULL, NULL, NULL, 15),
(172808, NULL, 'PTHR35301:SF3', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 42', NULL, NULL, NULL, 15),
(172809, NULL, 'PTHR19861:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 82', NULL, NULL, NULL, 15),
(172810, NULL, 'PTHR33254:SF4', NULL, NULL, NULL, NULL, '4-HYDROXY-4-METHYL-2-OXOGLUTARATE ALDOLASE 3-RELATED', NULL, NULL, NULL, 15),
(172811, NULL, 'PTHR21419:SF33', NULL, NULL, NULL, NULL, 'BNAANNG24460D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172812, NULL, 'PTHR47076:SF7', NULL, NULL, NULL, NULL, 'BNAC09G42640D PROTEIN', NULL, NULL, NULL, 15),
(172813, NULL, 'PTHR43535', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(172814, NULL, 'PTHR11452:SF76', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(172815, NULL, 'PTHR47993:SF58', NULL, NULL, NULL, NULL, 'OSJNBA0040D17.11 PROTEIN', NULL, NULL, NULL, 15),
(172816, NULL, 'PTHR27008:SF294', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(172817, NULL, 'PTHR12713:SF31', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT G', NULL, NULL, NULL, 15),
(172818, NULL, 'PTHR48017:SF57', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 6', NULL, NULL, NULL, 15),
(172819, NULL, 'PTHR48005:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172820, NULL, 'PTHR11709:SF305', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(172821, NULL, 'PTHR24089:SF713', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER BTL3-RELATED', NULL, NULL, NULL, 15),
(172822, NULL, 'PTHR15704:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172823, NULL, 'PTHR11003:SF289', NULL, NULL, NULL, NULL, 'BNAC09G32260D PROTEIN', NULL, NULL, NULL, 15),
(172824, NULL, 'PTHR45266:SF3', NULL, NULL, NULL, NULL, 'OXALOACETATE DECARBOXYLASE ALPHA CHAIN', NULL, NULL, NULL, 15),
(172825, NULL, 'PTHR24300:SF54', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(172826, NULL, 'PTHR11739:SF33', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE 4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(172827, NULL, 'PTHR45786:SF36', NULL, NULL, NULL, NULL, 'BNAC06G27670D PROTEIN', NULL, NULL, NULL, 15),
(172828, NULL, 'PTHR21229:SF19', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 87A', NULL, NULL, NULL, 15),
(172829, NULL, 'PTHR44324', NULL, NULL, NULL, NULL, 'WD40 REPEAT DOMAIN 95', NULL, NULL, NULL, 15),
(172830, NULL, 'PTHR34183:SF9', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSN', NULL, NULL, NULL, 15),
(172831, NULL, 'PTHR23514:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172832, NULL, 'PTHR45658:SF74', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 6-RELATED', NULL, NULL, NULL, 15),
(172833, NULL, 'PTHR24340:SF31', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-6.1', NULL, NULL, 36173, 15),
(172834, NULL, 'PTHR46632:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(172835, NULL, 'PTHR46991:SF31', NULL, NULL, NULL, NULL, 'BNAA02G24810D PROTEIN', NULL, NULL, NULL, 15),
(172836, NULL, 'PTHR34576:SF14', NULL, NULL, NULL, NULL, 'KINASE REGULATOR-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172837, NULL, 'PTHR10168:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172838, NULL, 'PTHR47993:SF3', NULL, NULL, NULL, NULL, 'BNAA09G54060D PROTEIN', NULL, NULL, NULL, 15),
(172839, NULL, 'PTHR31145:SF8', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_2G17475)', NULL, NULL, NULL, 15),
(172840, NULL, 'PTHR43874:SF138', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR1', NULL, NULL, NULL, 15),
(172841, NULL, 'PTHR45973:SF9', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 1, AXONEMAL HOMOLOG', NULL, NULL, 26234, 15),
(172842, NULL, 'PTHR23267:SF420', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172843, NULL, 'PTHR46163:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(172844, NULL, 'PTHR23182:SF3', NULL, NULL, NULL, NULL, 'BREAKPOINT CLUSTER REGION PROTEIN', NULL, NULL, NULL, 15),
(172845, NULL, 'PTHR33052:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172846, NULL, 'PTHR41700:SF1', NULL, NULL, NULL, NULL, 'GCN5-RELATED N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(172847, NULL, 'PTHR44298', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 11', NULL, NULL, NULL, 15),
(172848, NULL, 'PTHR12788:SF8', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE SULFOTRANSFERASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172849, NULL, 'PTHR32141:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172850, NULL, 'PTHR43434:SF16', NULL, NULL, NULL, NULL, 'BLL8046 PROTEIN', NULL, NULL, NULL, 15),
(172851, NULL, 'PTHR47967:SF68', NULL, NULL, NULL, NULL, 'OS07G0533000 PROTEIN', NULL, NULL, NULL, 15),
(172852, NULL, 'PTHR23024:SF477', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE', NULL, NULL, NULL, 15),
(172853, NULL, 'PTHR30406:SF1', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORT SYSTEM PERMEASE PROTEIN CYSW', NULL, NULL, 14440, 15),
(172854, NULL, 'PTHR47843', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172855, NULL, 'PTHR15260:SF1', NULL, NULL, NULL, NULL, 'SARCOSPAN', NULL, NULL, NULL, 15),
(172856, NULL, 'PTHR35762:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(172857, NULL, 'PTHR33831:SF5', NULL, NULL, NULL, NULL, 'OS07G0102300 PROTEIN', NULL, NULL, NULL, 15),
(172858, NULL, 'PTHR45669:SF35', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN (GRX) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172859, NULL, 'PTHR24093:SF245', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE CALCIUM-TRANSPORTING ATPASE 1', NULL, NULL, 27524, 15),
(172860, NULL, 'PTHR21845:SF2', NULL, NULL, NULL, NULL, 'MATRIX-REMODELING-ASSOCIATED PROTEIN 7', NULL, NULL, NULL, 15),
(172861, NULL, 'PTHR22751:SF266', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(172862, NULL, 'PTHR18952:SF84', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 14', NULL, NULL, 18555, 15),
(172863, NULL, 'PTHR23266:SF253', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-1', NULL, NULL, NULL, 15),
(172864, NULL, 'PTHR12538', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', NULL, NULL, 4786, 15),
(172865, NULL, 'PTHR19422:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172866, NULL, 'PTHR11188:SF148', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN 17', NULL, NULL, NULL, 15),
(172867, NULL, 'PTHR34200:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172868, NULL, 'PTHR30562', NULL, NULL, NULL, NULL, 'UVRC/OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(172869, NULL, 'PTHR42840:SF12', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(172870, NULL, 'PTHR31607:SF23', NULL, NULL, NULL, NULL, 'BNAA02G34240D PROTEIN', NULL, NULL, NULL, 15),
(172871, NULL, 'PTHR31303:SF1', NULL, NULL, NULL, NULL, 'CTP-DEPENDENT DIACYLGLYCEROL KINASE 1', NULL, NULL, NULL, 15),
(172872, NULL, 'PTHR11963:SF37', NULL, NULL, NULL, NULL, 'LEUCINE AMINOPEPTIDASE 2 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(172873, NULL, 'PTHR32448:SF76', NULL, NULL, NULL, NULL, 'CANNABIDIOLIC ACID SYNTHASE-LIKE 1', NULL, NULL, NULL, 15),
(172874, NULL, 'PTHR12542:SF85', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(172875, NULL, 'PTHR23334:SF3', NULL, NULL, NULL, NULL, 'CCAAT/ENHANCER-BINDING PROTEIN DELTA', NULL, NULL, NULL, 15),
(172876, NULL, 'PTHR37324:SF2', NULL, NULL, NULL, NULL, 'PTS SYSTEM GALACTITOL-SPECIFIC EIIC COMPONENT', NULL, NULL, NULL, 15),
(172877, NULL, 'PTHR11863:SF202', NULL, NULL, NULL, NULL, 'BNAANNG24600D PROTEIN', NULL, NULL, NULL, 15),
(172878, NULL, 'PTHR37881:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172879, NULL, 'PTHR11960:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172880, NULL, 'PTHR15215:SF1', NULL, NULL, NULL, NULL, 'PROTEIN THEMIS', NULL, NULL, NULL, 15),
(172881, NULL, 'PTHR23112:SF41', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_2G12640)', NULL, NULL, NULL, 15),
(172882, NULL, 'PTHR22804:SF47', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH PROTEIN', NULL, NULL, NULL, 15),
(172883, NULL, 'PTHR10513:SF15', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX SUBUNIT 10, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(172884, NULL, 'PTHR10857', NULL, NULL, NULL, NULL, 'COPINE', NULL, NULL, 39307, 15),
(172885, NULL, 'PTHR27009:SF222', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172886, NULL, 'PTHR31225:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172887, NULL, 'PTHR47601:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN', NULL, NULL, NULL, 15),
(172888, NULL, 'PTHR13580:SF6', NULL, NULL, NULL, NULL, 'CYSTEINE/SERINE-RICH NUCLEAR PROTEIN 2', NULL, NULL, NULL, 15),
(172889, NULL, 'PTHR33087', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172890, NULL, 'PTHR45952:SF20', NULL, NULL, NULL, NULL, 'BNAA08G14100D PROTEIN', NULL, NULL, NULL, 15),
(172891, NULL, 'PTHR22765:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172892, NULL, 'PTHR24408:SF36', NULL, NULL, NULL, NULL, 'PROTEIN CBG00742', NULL, NULL, NULL, 15),
(172893, NULL, 'PTHR23198:SF15', NULL, NULL, NULL, NULL, 'NUCLEOPORIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(172894, NULL, 'PTHR31980:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM220BP-RELATED', NULL, NULL, NULL, 15),
(172895, NULL, 'PTHR17613:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAINS PROTEIN 1', NULL, NULL, NULL, 15),
(172896, NULL, 'PTHR42825:SF10', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(172897, NULL, 'PTHR36360', NULL, NULL, NULL, NULL, 'ACTIN T1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(172898, NULL, 'PTHR27006:SF359', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172899, NULL, 'PTHR11654:SF384', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 7.3', NULL, NULL, NULL, 15),
(172900, NULL, 'PTHR10545:SF56', NULL, NULL, NULL, NULL, 'HYDROXYCINNAMOYL-COA: SEROTONIN N-(HYDROXYCINNAMOYL)TRANSFERASE', NULL, NULL, NULL, 15),
(172901, NULL, 'PTHR34191', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN (LEA) FAMILY PROTEIN', NULL, NULL, 29223, 15),
(172902, NULL, 'PTHR18868:SF38', NULL, NULL, NULL, NULL, 'OS11G0147200 PROTEIN', NULL, NULL, NULL, 15),
(172903, NULL, 'PTHR10828:SF64', NULL, NULL, NULL, NULL, 'M-PHASE INDUCER PHOSPHATASE 3', NULL, NULL, NULL, 15),
(172904, NULL, 'PTHR23155:SF687', NULL, NULL, NULL, NULL, 'OS07G0481400 PROTEIN', NULL, NULL, NULL, 15),
(172905, NULL, 'PTHR24296:SF192', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94C1', NULL, NULL, NULL, 15),
(172906, NULL, 'PTHR13491:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172907, NULL, 'PTHR43415:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172908, NULL, 'PTHR12673:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172909, NULL, 'PTHR12547:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172910, NULL, 'PTHR47925:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172911, NULL, 'PTHR31967:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG04279', NULL, NULL, NULL, 15),
(172912, NULL, 'PTHR16517:SF80', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 9', NULL, NULL, NULL, 15),
(172913, NULL, 'PTHR32258:SF8', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1A', NULL, NULL, NULL, 15),
(172914, NULL, 'PTHR13318:SF126', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 16', NULL, NULL, NULL, 15),
(172915, NULL, 'PTHR33304:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172916, NULL, 'PTHR31065:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172917, NULL, 'PTHR31561:SF141', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(172918, NULL, 'PTHR38123', NULL, NULL, NULL, NULL, 'CELL WALL SERINE-THREONINE-RICH GALACTOMANNOPROTEIN MP1 (AFU_ORTHOLOGUE AFUA_4G03240)', NULL, NULL, NULL, 15),
(172919, NULL, 'PTHR10795:SF603', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172920, NULL, 'PTHR10219:SF34', NULL, NULL, NULL, NULL, 'GLYCOLIPID TRANSFER PROTEIN 3', NULL, NULL, NULL, 15),
(172921, NULL, 'PTHR46796:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172922, NULL, 'PTHR10795:SF556', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172923, NULL, 'PTHR15348:SF24', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN 3B (BRIGHT-LIKE)', NULL, NULL, NULL, 15),
(172924, NULL, 'PTHR24298:SF377', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(172925, NULL, 'PTHR31639:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172926, NULL, 'PTHR31602:SF79', NULL, NULL, NULL, NULL, 'BNAC04G52430D PROTEIN', NULL, NULL, NULL, 15),
(172927, NULL, 'PTHR34721:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG23402', NULL, NULL, NULL, 15),
(172928, NULL, 'PTHR48043:SF15', NULL, NULL, NULL, NULL, 'TRANSFERASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(172929, NULL, 'PTHR32096:SF98', NULL, NULL, NULL, NULL, 'OS06G0158100 PROTEIN', NULL, NULL, NULL, 15),
(172930, NULL, 'PTHR46430:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SKT5', NULL, NULL, NULL, 15),
(172931, NULL, 'PTHR46008:SF17', NULL, NULL, NULL, NULL, 'OS01G0136800 PROTEIN', NULL, NULL, NULL, 15),
(172932, NULL, 'PTHR11709:SF329', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(172933, NULL, 'PTHR23024:SF455', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 16-RELATED', NULL, NULL, NULL, 15),
(172934, NULL, 'PTHR11439:SF311', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE PROTEIN KINASE) 8', NULL, NULL, NULL, 15),
(172935, NULL, 'PTHR48001:SF119', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(172936, NULL, 'PTHR45632:SF5', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 22', NULL, NULL, 28899, 15),
(172937, NULL, 'PTHR31963:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172938, NULL, 'PTHR11920:SF485', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE DAF-11', NULL, NULL, NULL, 15),
(172939, NULL, 'PTHR46278', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172940, NULL, 'PTHR31342:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172941, NULL, 'PTHR31490:SF55', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-LIKE', NULL, NULL, NULL, 15),
(172942, NULL, 'PTHR31140:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172943, NULL, 'PTHR31947:SF1', NULL, NULL, NULL, NULL, 'DNA/RNA-BINDING PROTEIN ALBA 3', NULL, NULL, NULL, 15),
(172944, NULL, 'PTHR24399:SF42', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 34', NULL, NULL, NULL, 15),
(172945, NULL, 'PTHR24096:SF359', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 4', NULL, NULL, NULL, 15),
(172946, NULL, 'PTHR23273:SF52', NULL, NULL, NULL, NULL, 'BNAC05G28600D PROTEIN', NULL, NULL, NULL, 15),
(172947, NULL, 'PTHR34779:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172948, NULL, 'PTHR26453:SF36', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(172949, NULL, 'PTHR31282:SF172', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 74-RELATED', NULL, NULL, NULL, 15),
(172950, NULL, 'PTHR48062:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172951, NULL, 'PTHR48112:SF20', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN D-RELATED', NULL, NULL, NULL, 15),
(172952, NULL, 'PTHR10551:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172953, NULL, 'PTHR11388:SF14', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 2A1', NULL, NULL, NULL, 15),
(172954, NULL, 'PTHR26451:SF881', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(172955, NULL, 'PTHR47338:SF11', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(172956, NULL, 'PTHR45961:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG14753', NULL, NULL, NULL, 15),
(172957, NULL, 'PTHR27002', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-8', NULL, NULL, NULL, 15),
(172958, NULL, 'PTHR33339', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172959, NULL, 'PTHR43625:SF67', NULL, NULL, NULL, NULL, 'REDUCTASE (GLIO), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(172960, NULL, 'PTHR31190:SF320', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF105', NULL, NULL, NULL, 15),
(172961, NULL, 'PTHR48005:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172962, NULL, 'PTHR45690:SF6', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(172963, NULL, 'PTHR10943:SF21', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2 HOMOLOG', NULL, NULL, NULL, 15),
(172964, NULL, 'PTHR11909:SF396', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(172965, NULL, 'PTHR46193:SF18', NULL, NULL, NULL, NULL, 'HEXITOL PHOSPHATASE B', NULL, NULL, NULL, 15),
(172966, NULL, 'PTHR43029:SF27', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 2 MEMBER 3', NULL, NULL, NULL, 15),
(172967, NULL, 'PTHR31279:SF50', NULL, NULL, NULL, NULL, 'OS02G0757100 PROTEIN', NULL, NULL, NULL, 15),
(172968, NULL, 'PTHR12277:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172969, NULL, 'PTHR13832:SF736', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172970, NULL, 'PTHR10353:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172971, NULL, 'PTHR46038:SF8', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(172972, NULL, 'PTHR45948:SF2', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE DDB_G0269404-RELATED', NULL, NULL, NULL, 15),
(172973, NULL, 'PTHR46840:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(172974, NULL, 'PTHR33526:SF26', NULL, NULL, NULL, NULL, 'BNAA06G24870D PROTEIN', NULL, NULL, NULL, 15),
(172975, NULL, 'PTHR33428:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172976, NULL, 'PTHR42809', NULL, NULL, NULL, NULL, 'FLAVODOXIN 2', NULL, NULL, NULL, 15),
(172977, NULL, 'PTHR31221:SF42', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 49-RELATED', NULL, NULL, NULL, 15),
(172978, NULL, 'PTHR24245', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(172979, NULL, 'PTHR33349:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172980, NULL, 'PTHR11071:SF327', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE C, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(172981, NULL, 'PTHR31956:SF24', NULL, NULL, NULL, NULL, 'PHOSPHOESTERASE SUPERFAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G17590)', NULL, NULL, NULL, 15),
(172982, NULL, 'PTHR31827:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172983, NULL, 'PTHR31155:SF24', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE', NULL, NULL, NULL, 15),
(172984, NULL, 'PTHR33095:SF72', NULL, NULL, NULL, NULL, 'BNAC07G24810D PROTEIN', NULL, NULL, NULL, 15),
(172985, NULL, 'PTHR33630:SF10', NULL, NULL, NULL, NULL, 'ACETYLXYLAN ESTERASE', NULL, NULL, NULL, 15),
(172986, NULL, 'PTHR13683:SF661', NULL, NULL, NULL, NULL, 'BNAA05G12860D PROTEIN', NULL, NULL, NULL, 15),
(172987, NULL, 'PTHR10687:SF7', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(172988, NULL, 'PTHR40018:SF1', NULL, NULL, NULL, NULL, '[PSI+] INDUCTION PROTEIN 2', NULL, NULL, NULL, 15),
(172989, NULL, 'PTHR31945:SF123', NULL, NULL, NULL, NULL, 'BNAA02G27110D PROTEIN', NULL, NULL, NULL, 15),
(172990, NULL, 'PTHR30239:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(172991, NULL, 'PTHR15405:SF6', NULL, NULL, NULL, NULL, 'PROLINE-RICH NUCLEAR RECEPTOR COACTIVATOR 2', NULL, NULL, 27627, 15),
(172992, NULL, 'PTHR10792:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L24', NULL, NULL, NULL, 15),
(172993, NULL, 'PTHR22574:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FAM71E1', NULL, NULL, NULL, 15),
(172994, NULL, 'PTHR33309', NULL, NULL, NULL, NULL, 'KERATIN, ULTRA HIGH-SULFUR MATRIX PROTEIN-LIKE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(172995, NULL, 'PTHR35585:SF3', NULL, NULL, NULL, NULL, 'HHE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(172996, NULL, 'PTHR23155:SF1084', NULL, NULL, NULL, NULL, 'OS05G0414300 PROTEIN', NULL, NULL, NULL, 15),
(172997, NULL, 'PTHR33357:SF3', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(172998, NULL, 'PTHR11510:SF5', NULL, NULL, NULL, NULL, 'INOSITOL-3-PHOSPHATE SYNTHASE 1', NULL, NULL, NULL, 15),
(172999, NULL, 'PTHR24089:SF719', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173000, NULL, 'PTHR34300:SF2', NULL, NULL, NULL, NULL, 'QUEUOSINE PRECURSOR TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(173001, NULL, 'PTHR30033', NULL, NULL, NULL, NULL, 'FLAGELLAR HOOK-ASSOCIATED PROTEIN 1', NULL, NULL, 6837, 15),
(173002, NULL, 'PTHR47854:SF2', NULL, NULL, NULL, NULL, 'BNAANNG33100D PROTEIN', NULL, NULL, NULL, 15),
(173003, NULL, 'PTHR35855:SF3', NULL, NULL, NULL, NULL, 'SKN-1 DEPENDENT ZYGOTIC TRANSCRIPT', NULL, NULL, NULL, 15),
(173004, NULL, 'PTHR11027:SF0', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN A-II', NULL, NULL, NULL, 15),
(173005, NULL, 'PTHR10837:SF12', NULL, NULL, NULL, NULL, 'PROTEIN-ARGININE DEIMINASE TYPE-2', NULL, NULL, NULL, 15),
(173006, NULL, 'PTHR33511:SF21', NULL, NULL, NULL, NULL, 'OS06G0632400 PROTEIN', NULL, NULL, NULL, 15),
(173007, NULL, 'PTHR45961:SF5', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 14', NULL, NULL, NULL, 15),
(173008, NULL, 'PTHR33673:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173009, NULL, 'PTHR23147:SF178', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS31A', NULL, NULL, NULL, 15),
(173010, NULL, 'PTHR24177:SF295', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(173011, NULL, 'PTHR32096:SF106', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 29-RELATED', NULL, NULL, NULL, 15),
(173012, NULL, 'PTHR33417:SF13', NULL, NULL, NULL, NULL, 'OS07G0274700 PROTEIN', NULL, NULL, NULL, 15),
(173013, NULL, 'PTHR16260:SF3', NULL, NULL, NULL, NULL, 'SIMILAR TO 1700123O20RIK PROTEIN', NULL, NULL, NULL, 15),
(173014, NULL, 'PTHR24082:SF330', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173015, NULL, 'PTHR10578:SF126', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(173016, NULL, 'PTHR46872', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(173017, NULL, 'PTHR48007:SF11', NULL, NULL, NULL, NULL, 'OS05G0454300 PROTEIN', NULL, NULL, NULL, 15),
(173018, NULL, 'PTHR12537:SF146', NULL, NULL, NULL, NULL, 'BNAA10G12590D PROTEIN', NULL, NULL, NULL, 15),
(173019, NULL, 'PTHR47477:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173020, NULL, 'PTHR47680:SF2', NULL, NULL, NULL, NULL, 'SHEWANELLA-LIKE PROTEIN PHOSPHATASE 2', NULL, NULL, NULL, 15),
(173021, NULL, 'PTHR31942:SF103', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(173022, NULL, 'PTHR43874:SF7', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(173023, NULL, 'PTHR31190:SF306', NULL, NULL, NULL, NULL, 'AP2-DOMAIN DNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(173024, NULL, 'PTHR47776:SF2', NULL, NULL, NULL, NULL, 'F5A8.9 PROTEIN', NULL, NULL, NULL, 15),
(173025, NULL, 'PTHR43795:SF5', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(173026, NULL, 'PTHR22692:SF19', NULL, NULL, NULL, NULL, 'MYOSIN VIIA', NULL, NULL, NULL, 15),
(173027, NULL, 'PTHR43515', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE-LIKE 1', NULL, NULL, NULL, 15),
(173028, NULL, 'PTHR46281:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE, SUBUNIT VIB FAMILY PROTEIN', NULL, NULL, NULL, 15),
(173029, NULL, 'PTHR36875', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173030, NULL, 'PTHR31642:SF154', NULL, NULL, NULL, NULL, 'SPERMIDINE HYDROXYCINNAMOYL TRANSFERASE', NULL, NULL, NULL, 15),
(173031, NULL, 'PTHR11690:SF247', NULL, NULL, NULL, NULL, 'PICKPOCKET 23, ISOFORM C', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173032, NULL, 'PTHR31268:SF5', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 6-RELATED', NULL, NULL, NULL, 15),
(173033, NULL, 'PTHR10656', NULL, NULL, NULL, NULL, 'CELL FATE DETERMINING PROTEIN MAB21-RELATED', NULL, NULL, NULL, 15),
(173034, NULL, 'PTHR43991:SF7', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_8G05640)', NULL, NULL, NULL, 15),
(173035, NULL, 'PTHR31265:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173036, NULL, 'PTHR12925:SF1', NULL, NULL, NULL, NULL, 'BNAA07G25590D PROTEIN', NULL, NULL, NULL, 15),
(173037, NULL, 'PTHR35339:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173038, NULL, 'PTHR46442:SF15', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(173039, NULL, 'PTHR31147:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173040, NULL, 'PTHR11627:SF20', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE 5, CYTOSOLIC-RELATED', NULL, NULL, NULL, 15),
(173041, NULL, 'PTHR46140:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173042, NULL, 'PTHR34183:SF8', NULL, NULL, NULL, NULL, 'ENDOLYTIC PEPTIDOGLYCAN TRANSGLYCOSYLASE RLPA', NULL, NULL, NULL, 15),
(173043, NULL, 'PTHR22846:SF40', NULL, NULL, NULL, NULL, 'F-BOX-LIKE/WD REPEAT-CONTAINING PROTEIN TBL1XR1', NULL, NULL, NULL, 15),
(173044, NULL, 'PTHR12174:SF82', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE 1', NULL, NULL, NULL, 15),
(173045, NULL, 'PTHR37819', NULL, NULL, NULL, NULL, 'PROTEIN PSIE', NULL, NULL, 14669, 15),
(173046, NULL, 'PTHR23291:SF40', NULL, NULL, NULL, NULL, 'OS07G0177200 PROTEIN', NULL, NULL, NULL, 15),
(173047, NULL, 'PTHR21304:SF11', NULL, NULL, NULL, NULL, 'BNAA07G10410D PROTEIN', NULL, NULL, NULL, 15),
(173048, NULL, 'PTHR31246:SF17', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-2', NULL, NULL, NULL, 15),
(173049, NULL, 'PTHR37181:SF1', NULL, NULL, NULL, NULL, 'F6A14.6 PROTEIN', NULL, NULL, NULL, 15),
(173050, NULL, 'PTHR47408:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG18900', NULL, NULL, NULL, 15),
(173051, NULL, 'PTHR31719', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 56', NULL, NULL, NULL, 15),
(173052, NULL, 'PTHR22807:SF53', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE B-RELATED', NULL, NULL, NULL, 15),
(173053, NULL, 'PTHR43215:SF6', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(173054, NULL, 'PTHR47870:SF3', NULL, NULL, NULL, NULL, 'FORMATE-DEPENDENT NITRITE REDUCTASE COMPLEX SUBUNIT NRFG', NULL, NULL, NULL, 15),
(173055, NULL, 'PTHR31639', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', NULL, NULL, NULL, 15),
(173056, NULL, 'PTHR13165:SF4', NULL, NULL, NULL, NULL, 'OS02G0149600 PROTEIN', NULL, NULL, NULL, 15),
(173057, NULL, 'PTHR36984', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDORIBONUCLEASE CAS6 1', NULL, NULL, 10901, 15),
(173058, NULL, 'PTHR47956:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173059, NULL, 'PTHR12443:SF12', NULL, NULL, NULL, NULL, 'BNAA05G19980D PROTEIN', NULL, NULL, NULL, 15),
(173060, NULL, 'PTHR35527', NULL, NULL, NULL, NULL, 'CHOLOYLGLYCINE HYDROLASE', NULL, NULL, NULL, 15),
(173061, NULL, 'PTHR35017:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG14685', NULL, NULL, NULL, 15),
(173062, NULL, 'PTHR48086:SF4', NULL, NULL, NULL, NULL, 'SODIUM/PANTOTHENATE SYMPORTER', NULL, NULL, NULL, 15),
(173063, NULL, 'PTHR46446', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE', NULL, NULL, 37079, 15),
(173064, NULL, 'PTHR24381:SF320', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 555', NULL, NULL, NULL, 15),
(173065, NULL, 'PTHR13832:SF349', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 31-RELATED', NULL, NULL, NULL, 15),
(173066, NULL, 'PTHR47291:SF3', NULL, NULL, NULL, NULL, 'UPSTREAM ORF PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173067, NULL, 'PTHR22765:SF233', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING RECEPTOR 7', NULL, NULL, NULL, 15),
(173068, NULL, 'PTHR34567:SF5', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE/TRANSITION METAL ION-BINDING PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173069, NULL, 'PTHR10778:SF39', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE/UDP-GLUCOSE TRANSPORTER 5-LIKE', NULL, NULL, NULL, 15),
(173070, NULL, 'PTHR45644:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173071, NULL, 'PTHR24326:SF586', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-13-LIKE', NULL, NULL, NULL, 15),
(173072, NULL, 'PTHR23050:SF350', NULL, NULL, NULL, NULL, 'CENTRIN-4', NULL, NULL, NULL, 15),
(173073, NULL, 'PTHR12411:SF622', NULL, NULL, NULL, NULL, 'KDEL-TAILED CYSTEINE ENDOPEPTIDASE CEP3', NULL, NULL, NULL, 15),
(173074, NULL, 'PTHR34221:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC691189', NULL, NULL, NULL, 15),
(173075, NULL, 'PTHR33472:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173076, NULL, 'PTHR27007:SF263', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173077, NULL, 'PTHR43939:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173078, NULL, 'PTHR24393:SF39', NULL, NULL, NULL, NULL, 'SI:CH211-166G5.4', NULL, NULL, NULL, 15),
(173079, NULL, 'PTHR43313:SF12', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 5', NULL, NULL, NULL, 15),
(173080, NULL, 'PTHR31669:SF230', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 4-LIKE', NULL, NULL, NULL, 15),
(173081, NULL, 'PTHR21733:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG12168', NULL, NULL, NULL, 15),
(173082, NULL, 'PTHR31072:SF91', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP11', NULL, NULL, NULL, 15),
(173083, NULL, 'PTHR21234:SF30', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(173084, NULL, 'PTHR10824:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG12426', NULL, NULL, NULL, 15),
(173085, NULL, 'PTHR45649:SF19', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(173086, NULL, 'PTHR21576:SF11', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(173087, NULL, 'PTHR46783', NULL, NULL, NULL, NULL, 'CYTOGLOBIN', NULL, NULL, 8866, 15),
(173088, NULL, 'PTHR13869:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173089, NULL, 'PTHR23155:SF1135', NULL, NULL, NULL, NULL, 'OS11G0609700 PROTEIN', NULL, NULL, NULL, 15),
(173090, NULL, 'PTHR43112:SF30', NULL, NULL, NULL, NULL, 'FERREDOXIN-3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(173091, NULL, 'PTHR10891:SF898', NULL, NULL, NULL, NULL, 'BNAA04G11660D PROTEIN', NULL, NULL, NULL, 15),
(173092, NULL, 'PTHR44943', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE OPERON PROTEIN C', NULL, NULL, NULL, 15),
(173093, NULL, 'PTHR46455:SF5', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN CONTAINING, ARTHROPOD-SPECIFIC, MEMBER 4, ISOFORM A', NULL, NULL, NULL, 15),
(173094, NULL, 'PTHR34466:SF1', NULL, NULL, NULL, NULL, 'BNAC03G27780D PROTEIN', NULL, NULL, NULL, 15),
(173095, NULL, 'PTHR42898:SF38', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD PROTEIN', NULL, NULL, NULL, 15),
(173096, NULL, 'PTHR31989:SF376', NULL, NULL, NULL, NULL, 'BNAANNG17650D PROTEIN', NULL, NULL, NULL, 15),
(173097, NULL, 'PTHR24221:SF463', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY PROTEIN', NULL, NULL, NULL, 15),
(173098, NULL, 'PTHR42673:SF20', NULL, NULL, NULL, NULL, 'S-CRYSTALLIN-RELATED', NULL, NULL, NULL, 15),
(173099, NULL, 'PTHR22988:SF71', NULL, NULL, NULL, NULL, 'RHO-ASSOCIATED PROTEIN KINASE', NULL, NULL, 29086, 15),
(173100, NULL, 'PTHR33982:SF5', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE MEMBRANE PROTEIN 7', NULL, NULL, NULL, 15),
(173101, NULL, 'PTHR31062:SF221', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(173102, NULL, 'PTHR35098:SF7', NULL, NULL, NULL, NULL, 'NODULIN-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(173103, NULL, 'PTHR11064:SF83', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-4', NULL, NULL, NULL, 15),
(173104, NULL, 'PTHR12002:SF171', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, NULL, 15),
(173105, NULL, 'PTHR16877:SF0', NULL, NULL, NULL, NULL, 'HEPCIDIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173106, NULL, 'PTHR31989:SF210', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(173107, NULL, 'PTHR24247:SF99', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 11H4', NULL, NULL, NULL, 15),
(173108, NULL, 'PTHR10363:SF2', NULL, NULL, NULL, NULL, 'BLEOMYCIN HYDROLASE', NULL, NULL, NULL, 15),
(173109, NULL, 'PTHR33048:SF8', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN PTH11-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G13715)-RELATED', NULL, NULL, NULL, 15),
(173110, NULL, 'PTHR23067:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 385D', NULL, NULL, NULL, 15),
(173111, NULL, 'PTHR10634:SF123', NULL, NULL, NULL, NULL, 'BNAC06G14100D PROTEIN', NULL, NULL, NULL, 15),
(173112, NULL, 'PTHR11604:SF25', NULL, NULL, NULL, NULL, 'PROFILIN-4', NULL, NULL, NULL, 15),
(173113, NULL, 'PTHR30607', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE A CHAIN', NULL, NULL, 2037, 15),
(173114, NULL, 'PTHR24282:SF167', NULL, NULL, NULL, NULL, '11-OXO-BETA-AMYRIN 30-OXIDASE', NULL, NULL, NULL, 15),
(173115, NULL, 'PTHR31639:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173116, NULL, 'PTHR32370:SF115', NULL, NULL, NULL, NULL, 'OS12G0117600 PROTEIN', NULL, NULL, NULL, 15),
(173117, NULL, 'PTHR48017:SF123', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 2', NULL, NULL, NULL, 15),
(173118, NULL, 'PTHR32089:SF103', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN MCPC', NULL, NULL, NULL, 15),
(173119, NULL, 'PTHR22603:SF69', NULL, NULL, NULL, NULL, 'CHOLINE KINASE BETA', NULL, NULL, NULL, 15),
(173120, NULL, 'PTHR33085:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173121, NULL, 'PTHR11552:SF201', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173122, NULL, 'PTHR24028:SF275', NULL, NULL, NULL, NULL, 'CADHERIN EGF LAG SEVEN-PASS G-TYPE RECEPTOR 3', NULL, NULL, NULL, 15),
(173123, NULL, 'PTHR11017:SF301', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173124, NULL, 'PTHR24373', NULL, NULL, NULL, NULL, 'SLIT RELATED LEUCINE-RICH REPEAT NEURONAL PROTEIN', NULL, NULL, NULL, 15),
(173125, NULL, 'PTHR15240:SF3', NULL, NULL, NULL, NULL, 'CAVEOLAE-ASSOCIATED PROTEIN 1', NULL, NULL, 30730, 15),
(173126, NULL, 'PTHR10795:SF636', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT2.5', NULL, NULL, NULL, 15),
(173127, NULL, 'PTHR24412:SF135', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(173128, NULL, 'PTHR24253:SF24', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 42', NULL, NULL, NULL, 15),
(173129, NULL, 'PTHR22427:SF8', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 36', NULL, NULL, NULL, 15),
(173130, NULL, 'PTHR45886', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED-RELATED', NULL, NULL, NULL, 15),
(173131, NULL, 'PTHR43072:SF28', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE HLS1-LIKE-RELATED', NULL, NULL, NULL, 15),
(173132, NULL, 'PTHR27008:SF397', NULL, NULL, NULL, NULL, 'OS01G0523100 PROTEIN', NULL, NULL, NULL, 15),
(173133, NULL, 'PTHR36814:SF3', NULL, NULL, NULL, NULL, 'BNAA02G34030D PROTEIN', NULL, NULL, NULL, 15),
(173134, NULL, 'PTHR48024:SF20', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING, ABSCISIC ACID-INDUCIBLE PROTEIN', NULL, NULL, NULL, 15),
(173135, NULL, 'PTHR33832:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(173136, NULL, 'PTHR31960:SF29', NULL, NULL, NULL, NULL, 'BNAA09G12930D PROTEIN', NULL, NULL, NULL, 15),
(173137, NULL, 'PTHR31769:SF85', NULL, NULL, NULL, NULL, 'BNAC08G42060D PROTEIN', NULL, NULL, NULL, 15),
(173138, NULL, 'PTHR34458:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173139, NULL, 'PTHR13902:SF130', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK1-RELATED', NULL, NULL, NULL, 15),
(173140, NULL, 'PTHR43655:SF13', NULL, NULL, NULL, NULL, 'MIP17311P', NULL, NULL, NULL, 15),
(173141, NULL, 'PTHR12276:SF92', NULL, NULL, NULL, NULL, 'EPSIN-3', NULL, NULL, NULL, 15),
(173142, NULL, 'PTHR10395:SF11', NULL, NULL, NULL, NULL, '5-HYDROXYISOURATE HYDROLASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173143, NULL, 'PTHR10621:SF51', NULL, NULL, NULL, NULL, 'BNAC09G41720D PROTEIN', NULL, NULL, NULL, 15),
(173144, NULL, 'PTHR24416:SF527', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE TYROSINE-PROTEIN KINASE ROS', NULL, NULL, NULL, 15),
(173145, NULL, 'PTHR46904:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN T', NULL, NULL, NULL, 15),
(173146, NULL, 'PTHR11654:SF498', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173147, NULL, 'PTHR13315:SF0', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE 1', NULL, NULL, NULL, 15),
(173148, NULL, 'PTHR10165:SF162', NULL, NULL, NULL, NULL, 'LIPID PHOSPHATE PHOSPHATASE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(173149, NULL, 'PTHR38746:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173150, NULL, 'PTHR45791:SF5', NULL, NULL, NULL, NULL, 'CALCIUM AND INTEGRIN-BINDING FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(173151, NULL, 'PTHR15726', NULL, NULL, NULL, NULL, 'RAB11-FAMILY INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(173152, NULL, 'PTHR39653:SF7', NULL, NULL, NULL, NULL, 'MGC58416 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(173153, NULL, 'PTHR11929:SF222', NULL, NULL, NULL, NULL, 'PROTEIN CBG13289', NULL, NULL, NULL, 15),
(173154, NULL, 'PTHR22748:SF11', NULL, NULL, NULL, NULL, 'DNA-(APURINIC OR APYRIMIDINIC SITE) LYASE CHLOROPLASTIC', NULL, NULL, NULL, 15),
(173155, NULL, 'PTHR11964:SF57', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE 1', NULL, NULL, NULL, 15),
(173156, NULL, 'PTHR33595:SF22', NULL, NULL, NULL, NULL, 'BNAA02G28730D PROTEIN', NULL, NULL, NULL, 15),
(173157, NULL, 'PTHR10378:SF34', NULL, NULL, NULL, NULL, 'LIM-DOMAIN BINDING PROTEIN/SEUSS-RELATED', NULL, NULL, NULL, 15),
(173158, NULL, 'PTHR10989', NULL, NULL, NULL, NULL, 'ANDROGEN-INDUCED PROTEIN 1-RELATED', NULL, NULL, 4301, 15),
(173159, NULL, 'PTHR36769', NULL, NULL, NULL, NULL, '2,3-BISPHOSPHOGLYCERATE-DEPENDENT PHOSPHOGLYCERATE MUTASE', NULL, NULL, NULL, 15),
(173160, NULL, 'PTHR11206:SF324', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(173161, NULL, 'PTHR10666:SF341', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN 4', NULL, NULL, NULL, 15),
(173162, NULL, 'PTHR12247:SF99', NULL, NULL, NULL, NULL, 'ATHERIN-RELATED', NULL, NULL, NULL, 15),
(173163, NULL, 'PTHR22235', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 30', NULL, NULL, 27626, 15),
(173164, NULL, 'PTHR10859:SF91', NULL, NULL, NULL, NULL, 'DOLICHYL-PHOSPHATE BETA-GLUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(173165, NULL, 'PTHR14110:SF19', NULL, NULL, NULL, NULL, 'BNACNNG41500D PROTEIN', NULL, NULL, NULL, 15),
(173166, NULL, 'PTHR34055:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(173167, NULL, 'PTHR31062:SF174', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(173168, NULL, 'PTHR12449:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173169, NULL, 'PTHR11937:SF472', NULL, NULL, NULL, NULL, 'ACTIN-97', NULL, NULL, NULL, 15),
(173170, NULL, 'PTHR34116:SF12', NULL, NULL, NULL, NULL, 'BNAA09G15030D PROTEIN', NULL, NULL, NULL, 15),
(173171, NULL, 'PTHR10795:SF322', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.3', NULL, NULL, NULL, 15),
(173172, NULL, 'PTHR10438', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(173173, NULL, 'PTHR21510:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173174, NULL, 'PTHR12649:SF21', NULL, NULL, NULL, NULL, 'BNAANNG15190D PROTEIN', NULL, NULL, NULL, 15),
(173175, NULL, 'PTHR11003:SF31', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 7', NULL, NULL, NULL, 15),
(173176, NULL, 'PTHR45789:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-5', NULL, NULL, NULL, 15),
(173177, NULL, 'PTHR42812:SF11', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06110)-RELATED', NULL, NULL, NULL, 15),
(173178, NULL, 'PTHR48162:SF1', NULL, NULL, NULL, NULL, 'YALI0A06930P', NULL, NULL, NULL, 15),
(173179, NULL, 'PTHR14586', NULL, NULL, NULL, NULL, 'THIAMINE-TRIPHOSPHATASE', NULL, NULL, 36328, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173180, NULL, 'PTHR33447:SF13', NULL, NULL, NULL, NULL, 'BNAA02G22480D PROTEIN', NULL, NULL, NULL, 15),
(173181, NULL, 'PTHR24543:SF311', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173182, NULL, 'PTHR31360:SF10', NULL, NULL, NULL, NULL, 'OIL BODY-ASSOCIATED PROTEIN 1A', NULL, NULL, NULL, 15),
(173183, NULL, 'PTHR20961:SF14', NULL, NULL, NULL, NULL, 'OS02G0135500 PROTEIN', NULL, NULL, NULL, 15),
(173184, NULL, 'PTHR24270:SF5', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 4', NULL, NULL, NULL, 15),
(173185, NULL, 'PTHR10285:SF171', NULL, NULL, NULL, NULL, 'URACIL PHOSPHORIBOSYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(173186, NULL, 'PTHR31169:SF21', NULL, NULL, NULL, NULL, 'ZINC-FINGER DOMAIN OF MONOAMINE-OXIDASE A REPRESSOR R1 PROTEIN', NULL, NULL, NULL, 15),
(173187, NULL, 'PTHR31860:SF4', NULL, NULL, NULL, NULL, 'OS02G0637800 PROTEIN', NULL, NULL, NULL, 15),
(173188, NULL, 'PTHR43874:SF61', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR23', NULL, NULL, NULL, 15),
(173189, NULL, 'PTHR47958:SF79', NULL, NULL, NULL, NULL, 'BNAA06G38640D PROTEIN', NULL, NULL, NULL, 15),
(173190, NULL, 'PTHR10791:SF181', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 13', NULL, NULL, NULL, 15),
(173191, NULL, 'PTHR31190:SF314', NULL, NULL, NULL, NULL, 'OS07G0410300 PROTEIN', NULL, NULL, NULL, 15),
(173192, NULL, 'PTHR27005:SF319', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-LIKE', NULL, NULL, NULL, 15),
(173193, NULL, 'PTHR32370:SF92', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', NULL, NULL, 22072, 15),
(173194, NULL, 'PTHR11638:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173195, NULL, 'PTHR15233', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PROTEOLIPID', NULL, NULL, 9639, 15),
(173196, NULL, 'PTHR44083:SF41', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(173197, NULL, 'PTHR28051', NULL, NULL, NULL, NULL, 'PROTEIN MTL1-RELATED', NULL, NULL, NULL, 15),
(173198, NULL, 'PTHR48050:SF16', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE UGT80B1', NULL, NULL, NULL, 15),
(173199, NULL, 'PTHR35759', NULL, NULL, NULL, NULL, 'BNAA09G03860D PROTEIN', NULL, NULL, NULL, 15),
(173200, NULL, 'PTHR35307:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173201, NULL, 'PTHR21495:SF153', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(173202, NULL, 'PTHR30146:SF128', NULL, NULL, NULL, NULL, 'RIBOSE OPERON REPRESSOR', NULL, NULL, NULL, 15),
(173203, NULL, 'PTHR12363:SF34', NULL, NULL, NULL, NULL, 'IMPORTIN BETA-LIKE PROTEIN KAP122', NULL, NULL, NULL, 15),
(173204, NULL, 'PTHR10110:SF180', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15),
(173205, NULL, 'PTHR24559:SF331', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173206, NULL, 'PTHR14789:SF4', NULL, NULL, NULL, NULL, 'ENDOSIALIN', NULL, NULL, NULL, 15),
(173207, NULL, 'PTHR37184:SF2', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 27', NULL, NULL, NULL, 15),
(173208, NULL, 'PTHR47864:SF5', NULL, NULL, NULL, NULL, 'BNAA01G22410D PROTEIN', NULL, NULL, NULL, 15),
(173209, NULL, 'PTHR43399', NULL, NULL, NULL, NULL, 'SUBTILISIN-RELATED', NULL, NULL, NULL, 15),
(173210, NULL, 'PTHR47530:SF3', NULL, NULL, NULL, NULL, 'OS08G0548300 PROTEIN', NULL, NULL, NULL, 15),
(173211, NULL, 'PTHR24096:SF365', NULL, NULL, NULL, NULL, 'PROTEIN CBG11998', NULL, NULL, NULL, 15),
(173212, NULL, 'PTHR33873:SF10', NULL, NULL, NULL, NULL, 'BNAC04G48260D PROTEIN', NULL, NULL, NULL, 15),
(173213, NULL, 'PTHR36535:SF1', NULL, NULL, NULL, NULL, 'YALI0E30327P', NULL, NULL, NULL, 15),
(173214, NULL, 'PTHR21579:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG23225', NULL, NULL, NULL, 15),
(173215, NULL, 'PTHR46011:SF18', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(173216, NULL, 'PTHR45824:SF14', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173217, NULL, 'PTHR42972:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173218, NULL, 'PTHR42071', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173219, NULL, 'PTHR31062:SF40', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(173220, NULL, 'PTHR23427:SF12', NULL, NULL, NULL, NULL, 'SURF1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(173221, NULL, 'PTHR32289:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173222, NULL, 'PTHR42647:SF57', NULL, NULL, NULL, NULL, 'BNAC05G08160D PROTEIN', NULL, NULL, NULL, 15),
(173223, NULL, 'PTHR36752', NULL, NULL, NULL, NULL, 'OS12G0405700 PROTEIN', NULL, NULL, 10973, 15),
(173224, NULL, 'PTHR32077:SF37', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN-PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(173225, NULL, 'PTHR45901', NULL, NULL, NULL, NULL, 'PROTEIN CBG12474', NULL, NULL, NULL, 15),
(173226, NULL, 'PTHR32343:SF52', NULL, NULL, NULL, NULL, 'CTC-INTERACTING DOMAIN 8-RELATED', NULL, NULL, NULL, 15),
(173227, NULL, 'PTHR31132:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173228, NULL, 'PTHR33995:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG07696', NULL, NULL, NULL, 15),
(173229, NULL, 'PTHR13006:SF8', NULL, NULL, NULL, NULL, 'SLC2A4 REGULATOR', NULL, NULL, NULL, 15),
(173230, NULL, 'PTHR21435', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 15408, 15),
(173231, NULL, 'PTHR11592:SF117', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(173232, NULL, 'PTHR10682:SF41', NULL, NULL, NULL, NULL, 'POLY(A) POLYMERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(173233, NULL, 'PTHR48002:SF33', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(173234, NULL, 'PTHR22802:SF346', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(173235, NULL, 'PTHR31235:SF355', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(173236, NULL, 'PTHR10638:SF25', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(173237, NULL, 'PTHR43840:SF4', NULL, NULL, NULL, NULL, 'CDF DIVALENT METAL CATION TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(173238, NULL, 'PTHR11679:SF42', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT SEC1A-RELATED', NULL, NULL, NULL, 15),
(173239, NULL, 'PTHR11571:SF246', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD', NULL, NULL, NULL, 15),
(173240, NULL, 'PTHR46804', NULL, NULL, NULL, NULL, 'ADP RIBOSYLATION FACTOR LIKE GTPASE 14 EFFECTOR PROTEIN LIKE', NULL, NULL, NULL, 15),
(173241, NULL, 'PTHR31549:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173242, NULL, 'PTHR24305:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173243, NULL, 'PTHR47924:SF19', NULL, NULL, NULL, NULL, 'BNAC03G22150D PROTEIN', NULL, NULL, NULL, 15),
(173244, NULL, 'PTHR45655:SF10', NULL, NULL, NULL, NULL, 'SOLUBLE GUANYLATE CYCLASE 88E', NULL, NULL, NULL, 15),
(173245, NULL, 'PTHR43747:SF1', NULL, NULL, NULL, NULL, 'FAD-BINDING PROTEIN', NULL, NULL, NULL, 15),
(173246, NULL, 'PTHR12157:SF17', NULL, NULL, NULL, NULL, 'REGULATING SYNAPTIC MEMBRANE EXOCYTOSIS 4', NULL, NULL, NULL, 15),
(173247, NULL, 'PTHR11673:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173248, NULL, 'PTHR13056', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 17932, 15),
(173249, NULL, 'PTHR11588:SF384', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(173250, NULL, 'PTHR24015:SF156', NULL, NULL, NULL, NULL, 'OS05G0574800 PROTEIN', NULL, NULL, NULL, 15),
(173251, NULL, 'PTHR42260:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173252, NULL, 'PTHR33778:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MGTC', NULL, NULL, NULL, 15),
(173253, NULL, 'PTHR33355:SF1', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 15', NULL, NULL, NULL, 15),
(173254, NULL, 'PTHR11132:SF425', NULL, NULL, NULL, NULL, 'BNAC05G05080D PROTEIN', NULL, NULL, NULL, 15),
(173255, NULL, 'PTHR21495:SF200', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173256, NULL, 'PTHR23508:SF3', NULL, NULL, NULL, NULL, 'SIALIC ACID TRANSPORTER NANT', NULL, NULL, NULL, 15),
(173257, NULL, 'PTHR13094:SF4', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 10-A-LIKE', NULL, NULL, NULL, 15),
(173258, NULL, 'PTHR10366:SF491', NULL, NULL, NULL, NULL, 'NAD DEPENDENT EPIMERASE/DEHYDRATASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(173259, NULL, 'PTHR35243:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173260, NULL, 'PTHR45621:SF102', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', NULL, NULL, NULL, 15),
(173261, NULL, 'PTHR12526:SF569', NULL, NULL, NULL, NULL, 'SLR1166 PROTEIN', NULL, NULL, NULL, 15),
(173262, NULL, 'PTHR48111:SF11', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(173263, NULL, 'PTHR11384:SF59', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY D MEMBER 3', NULL, NULL, NULL, 15),
(173264, NULL, 'PTHR31282:SF140', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(173265, NULL, 'PTHR22957:SF466', NULL, NULL, NULL, NULL, 'SI:DKEY-238D18.4', NULL, NULL, NULL, 15),
(173266, NULL, 'PTHR31382', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER', NULL, NULL, NULL, 15),
(173267, NULL, 'PTHR31225:SF107', NULL, NULL, NULL, NULL, 'CASBENE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(173268, NULL, 'PTHR33115:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173269, NULL, 'PTHR11711:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173270, NULL, 'PTHR16083:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 10B', NULL, NULL, NULL, 15),
(173271, NULL, 'PTHR45626:SF2', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD5B', NULL, NULL, NULL, 15),
(173272, NULL, 'PTHR13680', NULL, NULL, NULL, NULL, 'CDGSH IRON-SULFUR DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 39334, 15),
(173273, NULL, 'PTHR37066:SF1', NULL, NULL, NULL, NULL, 'HELICASE-ASSOCIATED', NULL, NULL, NULL, 15),
(173274, NULL, 'PTHR35936:SF11', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER EXTRACELLULAR-BINDING PROTEIN YCKB-RELATED', NULL, NULL, NULL, 15),
(173275, NULL, 'PTHR10168:SF111', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S9', NULL, NULL, NULL, 15),
(173276, NULL, 'PTHR11486:SF41', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 22', NULL, NULL, 28271, 15),
(173277, NULL, 'PTHR34481:SF2', NULL, NULL, NULL, NULL, 'TRYPSIN/FACTOR XIIA INHIBITOR', NULL, NULL, NULL, 15),
(173278, NULL, 'PTHR24381:SF276', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 282', NULL, NULL, NULL, 15),
(173279, NULL, 'PTHR45719:SF29', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14A-LIKE', NULL, NULL, NULL, 15),
(173280, NULL, 'PTHR46001:SF1', NULL, NULL, NULL, NULL, 'T-LYMPHOMA INVASION AND METASTASIS-INDUCING PROTEIN 1', NULL, NULL, 29711, 15),
(173281, NULL, 'PTHR15453:SF10', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR 2, MITOCHONDRIAL CALCIUM REGULATOR B', NULL, NULL, NULL, 15),
(173282, NULL, 'PTHR33917:SF3', NULL, NULL, NULL, NULL, 'PROTEIN EXECUTER 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(173283, NULL, 'PTHR11406:SF25', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE, CYTOSOLIC', NULL, NULL, NULL, 15),
(173284, NULL, 'PTHR24384:SF203', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 723', NULL, NULL, NULL, 15),
(173285, NULL, 'PTHR10362:SF54', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(173286, NULL, 'PTHR47645:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08267', NULL, NULL, NULL, 15),
(173287, NULL, 'PTHR47928:SF157', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(173288, NULL, 'PTHR35420:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173289, NULL, 'PTHR38818', NULL, NULL, NULL, NULL, 'PROTEIN FAM27A/B/C', NULL, NULL, 35180, 15),
(173290, NULL, 'PTHR31984:SF11', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (DUF179)-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173291, NULL, 'PTHR10606:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173292, NULL, 'PTHR12997:SF2', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL 1,4,5-TRISPHOSPHATE 5-PHOSPHATASE', NULL, NULL, NULL, 15),
(173293, NULL, 'PTHR22807:SF68', NULL, NULL, NULL, NULL, '28S RRNA (CYTOSINE-C(5))-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(173294, NULL, 'PTHR11467:SF91', NULL, NULL, NULL, NULL, 'HISTONE1A', NULL, NULL, NULL, 15),
(173295, NULL, 'PTHR34011:SF7', NULL, NULL, NULL, NULL, 'C-PHYCOCYANIN BETA CHAIN', NULL, NULL, NULL, 15),
(173296, NULL, 'PTHR10641:SF1183', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB34-LIKE', NULL, NULL, NULL, 15),
(173297, NULL, 'PTHR28090', NULL, NULL, NULL, NULL, 'PROTEIN ROT1', NULL, NULL, 21356, 15),
(173298, NULL, 'PTHR46524:SF7', NULL, NULL, NULL, NULL, 'CW-TYPE ZINC FINGER', NULL, NULL, NULL, 15),
(173299, NULL, 'PTHR33214:SF48', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(173300, NULL, 'PTHR11802:SF387', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(173301, NULL, 'PTHR23147:SF52', NULL, NULL, NULL, NULL, 'SERINE AND ARGININE-RICH-SPLICING FACTOR 7A', NULL, NULL, NULL, 15),
(173302, NULL, 'PTHR36215:SF1', NULL, NULL, NULL, NULL, 'BLL4998 PROTEIN', NULL, NULL, NULL, 15),
(173303, NULL, 'PTHR11035:SF37', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE', NULL, NULL, NULL, 15),
(173304, NULL, 'PTHR31579:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173305, NULL, 'PTHR33374:SF38', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 41', NULL, NULL, NULL, 15),
(173306, NULL, 'PTHR12550:SF41', NULL, NULL, NULL, NULL, 'HEPATOMA-DERIVED GROWTH FACTOR-RELATED', NULL, NULL, NULL, 15),
(173307, NULL, 'PTHR12138:SF96', NULL, NULL, NULL, NULL, 'PROTEIN GVQW2', NULL, NULL, NULL, 15),
(173308, NULL, 'PTHR36381:SF5', NULL, NULL, NULL, NULL, 'ETHYLENE-REGULATED NUCLEAR PROTEIN ERT2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(173309, NULL, 'PTHR30028', NULL, NULL, NULL, NULL, 'UPF0014 INNER MEMBRANE PROTEIN YBBM-RELATED', NULL, NULL, 11402, 15),
(173310, NULL, 'PTHR31600', NULL, NULL, NULL, NULL, 'TINY MACROCYSTS PROTEIN B-RELATED', NULL, NULL, NULL, 15),
(173311, NULL, 'PTHR42735:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173312, NULL, 'PTHR47991:SF55', NULL, NULL, NULL, NULL, 'BNAA02G09910D PROTEIN', NULL, NULL, NULL, 15),
(173313, NULL, 'PTHR32282:SF24', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE', NULL, NULL, NULL, 15),
(173314, NULL, 'PTHR46448:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173315, NULL, 'PTHR24349:SF316', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT KINASE', NULL, NULL, NULL, 15),
(173316, NULL, 'PTHR47987:SF17', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-PROTEIN KINASE RBK2 ISOFORM X1', NULL, NULL, NULL, 15),
(173317, NULL, 'PTHR19343:SF5', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 7-6', NULL, NULL, NULL, 15),
(173318, NULL, 'PTHR43690:SF25', NULL, NULL, NULL, NULL, 'ZINC PROTEASE PQQL-LIKE', NULL, NULL, NULL, 15),
(173319, NULL, 'PTHR32361:SF3', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13750)-RELATED', NULL, NULL, NULL, 15),
(173320, NULL, 'PTHR23048:SF13', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(173321, NULL, 'PTHR10809:SF136', NULL, NULL, NULL, NULL, 'MSP DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(173322, NULL, 'PTHR11937:SF417', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173323, NULL, 'PTHR11802:SF280', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 35', NULL, NULL, NULL, 15),
(173324, NULL, 'PTHR43033:SF3', NULL, NULL, NULL, NULL, 'TRNA(ILE)-LYSIDINE/2-THIOCYTIDINE SYNTHASE', NULL, NULL, NULL, 15),
(173325, NULL, 'PTHR47839', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G04830)-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173326, NULL, 'PTHR37976:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG16927', NULL, NULL, NULL, 15),
(173327, NULL, 'PTHR46408:SF14', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 25', NULL, NULL, NULL, 15),
(173328, NULL, 'PTHR23179:SF28', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 20', NULL, NULL, NULL, 15),
(173329, NULL, 'PTHR48146:SF1', NULL, NULL, NULL, NULL, 'K-STIMULATED PYROPHOSPHATE-ENERGIZED SODIUM PUMP PROTEIN', NULL, NULL, NULL, 15),
(173330, NULL, 'PTHR33086:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173331, NULL, 'PTHR31642:SF45', NULL, NULL, NULL, NULL, 'PUTRESCINE HYDROXYCINNAMOYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(173332, NULL, 'PTHR32295:SF215', NULL, NULL, NULL, NULL, 'BNAA06G14070D PROTEIN', NULL, NULL, NULL, 15),
(173333, NULL, 'PTHR47338:SF14', NULL, NULL, NULL, NULL, 'C6 TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(173334, NULL, 'PTHR33172:SF61', NULL, NULL, NULL, NULL, 'BNAA02G05360D PROTEIN', NULL, NULL, NULL, 15),
(173335, NULL, 'PTHR21538:SF25', NULL, NULL, NULL, NULL, 'ANILLIN, ACTIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(173336, NULL, 'PTHR23389:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173337, NULL, 'PTHR14255:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173338, NULL, 'PTHR10814:SF21', NULL, NULL, NULL, NULL, 'PROTEIN GROUCHO', NULL, NULL, NULL, 15),
(173339, NULL, 'PTHR43309:SF3', NULL, NULL, NULL, NULL, '5-OXOPROLINASE SUBUNIT C', NULL, NULL, NULL, 15),
(173340, NULL, 'PTHR31951:SF27', NULL, NULL, NULL, NULL, 'BNAA07G25690D PROTEIN', NULL, NULL, NULL, 15),
(173341, NULL, 'PTHR46554:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173342, NULL, 'PTHR22443', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LETHAL 1, ISOFORM M', NULL, NULL, 26595, 15),
(173343, NULL, 'PTHR47038:SF5', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(173344, NULL, 'PTHR45658:SF45', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(173345, NULL, 'PTHR22951:SF81', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN', NULL, NULL, NULL, 15),
(173346, NULL, 'PTHR33228:SF54', NULL, NULL, NULL, NULL, 'BNAANNG40800D PROTEIN', NULL, NULL, NULL, 15),
(173347, NULL, 'PTHR13809:SF8', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-7', NULL, NULL, NULL, 15),
(173348, NULL, 'PTHR10292', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN RELATED', NULL, NULL, NULL, 15),
(173349, NULL, 'PTHR11351:SF86', NULL, NULL, NULL, NULL, 'BNAC03G17450D PROTEIN', NULL, NULL, NULL, 15),
(173350, NULL, 'PTHR46327:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173351, NULL, 'PTHR11258:SF4', NULL, NULL, NULL, NULL, '2''-5''-OLIGOADENYLATE SYNTHASE 3', NULL, NULL, NULL, 15),
(173352, NULL, 'PTHR12788:SF7', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE SULFOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(173353, NULL, 'PTHR11769:SF17', NULL, NULL, NULL, NULL, 'HYALURONIDASE PH-20', NULL, NULL, NULL, 15),
(173354, NULL, 'PTHR23505:SF59', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(173355, NULL, 'PTHR15443:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173356, NULL, 'PTHR33690:SF1', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 241 MEMBER A', NULL, NULL, NULL, 15),
(173357, NULL, 'PTHR31992:SF124', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF1.8', NULL, NULL, NULL, 15),
(173358, NULL, 'PTHR47965:SF38', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173359, NULL, 'PTHR30265:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ANTITERMINATION PROTEIN RFAH', NULL, NULL, NULL, 15),
(173360, NULL, 'PTHR32063:SF72', NULL, NULL, NULL, NULL, 'MULTIDRUG EXPORT PROTEIN ACRF', NULL, NULL, NULL, 15),
(173361, NULL, 'PTHR38492', NULL, NULL, NULL, NULL, 'ADROPIN', NULL, NULL, 7131, 15),
(173362, NULL, 'PTHR23266:SF277', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173363, NULL, 'PTHR12200:SF26', NULL, NULL, NULL, NULL, 'PYRIN AND HIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(173364, NULL, 'PTHR10353:SF35', NULL, NULL, NULL, NULL, 'ARYL-PHOSPHO-BETA-D-GLUCOSIDASE BGLH', NULL, NULL, NULL, 15),
(173365, NULL, 'PTHR45801:SF46', NULL, NULL, NULL, NULL, 'BNACNNG72130D PROTEIN', NULL, NULL, NULL, 15),
(173366, NULL, 'PTHR10411:SF4', NULL, NULL, NULL, NULL, 'GROWTH ARREST AND DNA DAMAGE-INDUCIBLE PROTEIN GADD45 GAMMA', NULL, NULL, NULL, 15),
(173367, NULL, 'PTHR10168:SF269', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C13', NULL, NULL, NULL, 15),
(173368, NULL, 'PTHR21716:SF43', NULL, NULL, NULL, NULL, 'SLR0784 PROTEIN', NULL, NULL, NULL, 15),
(173369, NULL, 'PTHR30055:SF187', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(173370, NULL, 'PTHR12506:SF68', NULL, NULL, NULL, NULL, 'BNAA05G33310D PROTEIN', NULL, NULL, NULL, 15),
(173371, NULL, 'PTHR47023:SF4', NULL, NULL, NULL, NULL, 'SEX PEPTIDE RECEPTOR (DROSOPHILA) RELATED', NULL, NULL, NULL, 15),
(173372, NULL, 'PTHR13382:SF20', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP14-LIKE', NULL, NULL, NULL, 15),
(173373, NULL, 'PTHR37943', NULL, NULL, NULL, NULL, 'PROTEIN VES', NULL, NULL, 7878, 15),
(173374, NULL, 'PTHR45966:SF26', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(173375, NULL, 'PTHR23521:SF3', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(173376, NULL, 'PTHR22835:SF530', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173377, NULL, 'PTHR31614:SF29', NULL, NULL, NULL, NULL, 'BNAC03G58910D PROTEIN', NULL, NULL, NULL, 15),
(173378, NULL, 'PTHR38926:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173379, NULL, 'PTHR47928:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173380, NULL, 'PTHR33177:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173381, NULL, 'PTHR47999', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB8-RELATED-RELATED', NULL, NULL, NULL, 15),
(173382, NULL, 'PTHR21433:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 120B', NULL, NULL, NULL, 15),
(173383, NULL, 'PTHR11863:SF36', NULL, NULL, NULL, NULL, 'PROTEIN CBG00643', NULL, NULL, NULL, 15),
(173384, NULL, 'PTHR31533:SF12', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN LORELEI-LIKE', NULL, NULL, NULL, 15),
(173385, NULL, 'PTHR34064:SF8', NULL, NULL, NULL, NULL, 'BNAA01G34640D PROTEIN', NULL, NULL, NULL, 15),
(173386, NULL, 'PTHR32241:SF22', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(173387, NULL, 'PTHR17616:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173388, NULL, 'PTHR33232:SF17', NULL, NULL, NULL, NULL, 'SIEVE ELEMENT OCCLUSION-RELATED', NULL, NULL, NULL, 15),
(173389, NULL, 'PTHR32295:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173390, NULL, 'PTHR22957:SF591', NULL, NULL, NULL, NULL, 'GTPASE ACTIVATING PROTEIN PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173391, NULL, 'PTHR43058', NULL, NULL, NULL, NULL, 'SLR0655 PROTEIN', NULL, NULL, NULL, 15),
(173392, NULL, 'PTHR35685:SF2', NULL, NULL, NULL, NULL, '825-OAK-RELATED', NULL, NULL, NULL, 15),
(173393, NULL, 'PTHR35546:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173394, NULL, 'PTHR35007:SF2', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(173395, NULL, 'PTHR46839', NULL, NULL, NULL, NULL, 'SUSHI DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, 38372, 15),
(173396, NULL, 'PTHR10165:SF103', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE HOMOLOG', NULL, NULL, NULL, 15),
(173397, NULL, 'PTHR11011:SF25', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(173398, NULL, 'PTHR23024:SF397', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(173399, NULL, 'PTHR34067', NULL, NULL, NULL, NULL, 'OS04G0193200 PROTEIN', NULL, NULL, 34446, 15),
(173400, NULL, 'PTHR17453:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173401, NULL, 'PTHR15592:SF2', NULL, NULL, NULL, NULL, 'MATRIN-3', NULL, NULL, NULL, 15),
(173402, NULL, 'PTHR23189:SF6', NULL, NULL, NULL, NULL, 'RIBONUCLEOPROTEIN PTB-BINDING 2', NULL, NULL, 29596, 15),
(173403, NULL, 'PTHR24392:SF33', NULL, NULL, NULL, NULL, 'HUNCHBACK-LIKE', NULL, NULL, 24697, 15),
(173404, NULL, 'PTHR10584:SF167', NULL, NULL, NULL, NULL, 'PFKB DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(173405, NULL, 'PTHR24099:SF11', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING 3BA-RELATED', NULL, NULL, NULL, 15),
(173406, NULL, 'PTHR31625', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173407, NULL, 'PTHR15139', NULL, NULL, NULL, NULL, 'TUBULIN FOLDING COFACTOR C', NULL, NULL, 26496, 15),
(173408, NULL, 'PTHR11652:SF59', NULL, NULL, NULL, NULL, 'BNACNNG03140D PROTEIN', NULL, NULL, NULL, 15),
(173409, NULL, 'PTHR24015:SF1878', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173410, NULL, 'PTHR43184:SF18', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE TRANSPORTER 5-RELATED', NULL, NULL, NULL, 15),
(173411, NULL, 'PTHR11639:SF134', NULL, NULL, NULL, NULL, 'PROTEIN S100-B-RELATED', NULL, NULL, 22777, 15),
(173412, NULL, 'PTHR46469:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 8', NULL, NULL, NULL, 15),
(173413, NULL, 'PTHR31228:SF34', NULL, NULL, NULL, NULL, 'BNAC05G03000D PROTEIN', NULL, NULL, NULL, 15),
(173414, NULL, 'PTHR48017:SF40', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 1-RELATED', NULL, NULL, NULL, 15),
(173415, NULL, 'PTHR10270:SF302', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-21-A-RELATED', NULL, NULL, NULL, 15),
(173416, NULL, 'PTHR15304:SF1', NULL, NULL, NULL, NULL, 'MYOD FAMILY INHIBITOR', NULL, NULL, NULL, 15),
(173417, NULL, 'PTHR24112:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173418, NULL, 'PTHR32263:SF11', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE RCD1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(173419, NULL, 'PTHR22930:SF76', NULL, NULL, NULL, NULL, 'OS02G0813200 PROTEIN', NULL, NULL, NULL, 15),
(173420, NULL, 'PTHR10666:SF349', NULL, NULL, NULL, NULL, 'F15I1.3 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(173421, NULL, 'PTHR24225:SF54', NULL, NULL, NULL, NULL, 'SI:CH211-137J23.6-RELATED', NULL, NULL, NULL, 15),
(173422, NULL, 'PTHR11006:SF110', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(173423, NULL, 'PTHR47968:SF21', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7I', NULL, NULL, NULL, 15),
(173424, NULL, 'PTHR31374:SF148', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 10A5-LIKE', NULL, NULL, NULL, 15),
(173425, NULL, 'PTHR35298:SF8', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN S1FA', NULL, NULL, NULL, 15),
(173426, NULL, 'PTHR37572', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173427, NULL, 'PTHR21402:SF5', NULL, NULL, NULL, NULL, 'ZGC:56699', NULL, NULL, NULL, 15),
(173428, NULL, 'PTHR15597:SF22', NULL, NULL, NULL, NULL, 'RNA-BINDING FOX PROTEIN 1, ISOFORM H', NULL, NULL, NULL, 15),
(173429, NULL, 'PTHR13723:SF142', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 7', NULL, NULL, NULL, 15),
(173430, NULL, 'PTHR43047:SF9', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM SENSOR PROTEIN', NULL, NULL, NULL, 15),
(173431, NULL, 'PTHR34227', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN YCDY', NULL, NULL, NULL, 15),
(173432, NULL, 'PTHR33321:SF17', NULL, NULL, NULL, NULL, 'PR17D', NULL, NULL, NULL, 15),
(173433, NULL, 'PTHR24169:SF20', NULL, NULL, NULL, NULL, 'DORSAL-RELATED IMMUNITY FACTOR DIF-RELATED', NULL, NULL, NULL, 15),
(173434, NULL, 'PTHR14107:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 20', NULL, NULL, NULL, 15),
(173435, NULL, 'PTHR16866:SF2', NULL, NULL, NULL, NULL, 'GASTRIN-RELEASING PEPTIDE', NULL, NULL, 18445, 15),
(173436, NULL, 'PTHR27002:SF797', NULL, NULL, NULL, NULL, 'OS11G0226201 PROTEIN', NULL, NULL, NULL, 15),
(173437, NULL, 'PTHR34539:SF18', NULL, NULL, NULL, NULL, 'BNAC08G15840D PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173438, NULL, 'PTHR35396:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173439, NULL, 'PTHR11759:SF29', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14', NULL, NULL, NULL, 15),
(173440, NULL, 'PTHR37698:SF1', NULL, NULL, NULL, NULL, 'PHOTOSYNTHETIC NDH SUBUNIT OF SUBCOMPLEX B 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(173441, NULL, 'PTHR31104:SF13', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA- GLUCOSAMINYL)ASPARAGINE AMIDASE A-LIKE', NULL, NULL, NULL, 15),
(173442, NULL, 'PTHR16166:SF114', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(173443, NULL, 'PTHR45811:SF60', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(173444, NULL, 'PTHR33463:SF66', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING DISEASE RESISTANCE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173445, NULL, 'PTHR36364:SF1', NULL, NULL, NULL, NULL, 'OS03G0203000 PROTEIN', NULL, NULL, NULL, 15),
(173446, NULL, 'PTHR34491:SF37', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173447, NULL, 'PTHR44042:SF43', NULL, NULL, NULL, NULL, 'BNAANNG39140D PROTEIN', NULL, NULL, NULL, 15),
(173448, NULL, 'PTHR45658:SF85', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(173449, NULL, 'PTHR35505', NULL, NULL, NULL, NULL, 'OS01G0600300 PROTEIN', NULL, NULL, NULL, 15),
(173450, NULL, 'PTHR35324', NULL, NULL, NULL, NULL, 'BNAA08G03750D PROTEIN', NULL, NULL, NULL, 15),
(173451, NULL, 'PTHR11802:SF237', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173452, NULL, 'PTHR34267', NULL, NULL, NULL, NULL, 'OS11G0161033 PROTEIN', NULL, NULL, 9295, 15),
(173453, NULL, 'PTHR10343:SF83', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE SUBUNIT BETA-2', NULL, NULL, 30572, 15),
(173454, NULL, 'PTHR26453:SF20', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6', NULL, NULL, NULL, 15),
(173455, NULL, 'PTHR21136:SF177', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 713', NULL, NULL, NULL, 15),
(173456, NULL, 'PTHR11830:SF34', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', NULL, NULL, NULL, 15),
(173457, NULL, 'PTHR10809:SF113', NULL, NULL, NULL, NULL, 'OS07G0558800 PROTEIN', NULL, NULL, NULL, 15),
(173458, NULL, 'PTHR47950:SF18', NULL, NULL, NULL, NULL, '3''-HYDROXYLASE ISOZYME, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173459, NULL, 'PTHR31223:SF49', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG6-RELATED', NULL, NULL, NULL, 15),
(173460, NULL, 'PTHR10177:SF413', NULL, NULL, NULL, NULL, 'CYCLIN-D4-2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(173461, NULL, 'PTHR48108:SF14', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN WITH 2 CBS DOMAINS', NULL, NULL, NULL, 15),
(173462, NULL, 'PTHR33365:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173463, NULL, 'PTHR31444:SF3', NULL, NULL, NULL, NULL, 'OS05G0447800 PROTEIN', NULL, NULL, NULL, 15),
(173464, NULL, 'PTHR31642:SF220', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173465, NULL, 'PTHR27002:SF181', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE B120', NULL, NULL, NULL, 15),
(173466, NULL, 'PTHR42769:SF12', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE', NULL, NULL, NULL, 15),
(173467, NULL, 'PTHR47108:SF3', NULL, NULL, NULL, NULL, 'BETA-PHOSPHOGLUCOMUTASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(173468, NULL, 'PTHR22597:SF22', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN EMBRYONIC FLOWER 2-RELATED', NULL, NULL, NULL, 15),
(173469, NULL, 'PTHR12552:SF13', NULL, NULL, NULL, NULL, 'ADAPTOR PROTEIN, PHOSPHOTYROSINE INTERACTING WITH PH DOMAIN AND LEUCINE ZIPPER 1', NULL, NULL, NULL, 15),
(173470, NULL, 'PTHR17630:SF79', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173471, NULL, 'PTHR13038:SF14', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 9B', NULL, NULL, NULL, 15),
(173472, NULL, 'PTHR24327', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173473, NULL, 'PTHR43829:SF2', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', NULL, NULL, NULL, 15),
(173474, NULL, 'PTHR31388:SF48', NULL, NULL, NULL, NULL, 'PEROXIDASE 70', NULL, NULL, NULL, 15),
(173475, NULL, 'PTHR31964:SF55', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(173476, NULL, 'PTHR47327:SF19', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(173477, NULL, 'PTHR14326', NULL, NULL, NULL, NULL, 'TARGETING PROTEIN FOR XKLP2', NULL, NULL, 11583, 15),
(173478, NULL, 'PTHR21016:SF1', NULL, NULL, NULL, NULL, 'TM2 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(173479, NULL, 'PTHR31748:SF0', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(173480, NULL, 'PTHR34106:SF5', NULL, NULL, NULL, NULL, 'GLYCOSIDASE', NULL, NULL, NULL, 15),
(173481, NULL, 'PTHR43690:SF20', NULL, NULL, NULL, NULL, 'ZINC PROTEASE PQQL-LIKE', NULL, NULL, NULL, 15),
(173482, NULL, 'PTHR14614:SF7', NULL, NULL, NULL, NULL, 'OS05G0564100 PROTEIN', NULL, NULL, NULL, 15),
(173483, NULL, 'PTHR15653:SF2', NULL, NULL, NULL, NULL, 'STRIATIN', NULL, NULL, NULL, 15),
(173484, NULL, 'PTHR38926:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173485, NULL, 'PTHR24282:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173486, NULL, 'PTHR43483', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN HI_0806-RELATED', NULL, NULL, NULL, 15),
(173487, NULL, 'PTHR43802:SF1', NULL, NULL, NULL, NULL, 'ZGC:101569', NULL, NULL, NULL, 15),
(173488, NULL, 'PTHR38567', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 26476, 15),
(173489, NULL, 'PTHR13276:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG02782', NULL, NULL, NULL, 15),
(173490, NULL, 'PTHR23300:SF13', NULL, NULL, NULL, NULL, 'BNAA08G07570D PROTEIN', NULL, NULL, NULL, 15),
(173491, NULL, 'PTHR12341:SF7', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE 1', NULL, NULL, 16354, 15),
(173492, NULL, 'PTHR38036', NULL, NULL, NULL, NULL, 'UPF0250 PROTEIN YBED', NULL, NULL, 4889, 15),
(173493, NULL, 'PTHR31677:SF163', NULL, NULL, NULL, NULL, 'BNAC02G01530D PROTEIN', NULL, NULL, NULL, 15),
(173494, NULL, 'PTHR43795:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173495, NULL, 'PTHR24006:SF729', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 24', NULL, NULL, 34570, 15),
(173496, NULL, 'PTHR21014:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-4,5-BISPHOSPHATE 4-PHOSPHATASE', NULL, NULL, NULL, 15),
(173497, NULL, 'PTHR11730:SF6', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(173498, NULL, 'PTHR47934', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN PET309, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(173499, NULL, 'PTHR33124:SF76', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IBH1-LIKE', NULL, NULL, NULL, 15),
(173500, NULL, 'PTHR11844:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173501, NULL, 'PTHR14312', NULL, NULL, NULL, NULL, 'CREB/ATF BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(173502, NULL, 'PTHR46929:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173503, NULL, 'PTHR27006:SF173', NULL, NULL, NULL, NULL, 'RECEPTOR KINASE-LIKE PROTEIN XA21', NULL, NULL, NULL, 15),
(173504, NULL, 'PTHR12320:SF10', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 23-RELATED', NULL, NULL, NULL, 15),
(173505, NULL, 'PTHR48018:SF164', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(173506, NULL, 'PTHR46001:SF5', NULL, NULL, NULL, NULL, 'T-LYMPHOMA INVASION AND METASTASIS-INDUCING PROTEIN 2', NULL, NULL, NULL, 15),
(173507, NULL, 'PTHR23316:SF77', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(173508, NULL, 'PTHR31731:SF18', NULL, NULL, NULL, NULL, 'CELL DELINEATING PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(173509, NULL, 'PTHR21645:SF19', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN R07B7.12', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173510, NULL, 'PTHR10663:SF327', NULL, NULL, NULL, NULL, 'IQ MOTIF AND SEC7 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 26949, 15),
(173511, NULL, 'PTHR47999:SF43', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN HV1', NULL, NULL, NULL, 15),
(173512, NULL, 'PTHR45914:SF27', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(173513, NULL, 'PTHR45798:SF9', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL80', NULL, NULL, NULL, 15),
(173514, NULL, 'PTHR22802:SF377', NULL, NULL, NULL, NULL, 'IMMUNITY ADHESION RECEPTOR CD209L2', NULL, NULL, NULL, 15),
(173515, NULL, 'PTHR48021:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173516, NULL, 'PTHR15351:SF2', NULL, NULL, NULL, NULL, 'ERLIN-1', NULL, NULL, NULL, 15),
(173517, NULL, 'PTHR14162:SF1', NULL, NULL, NULL, NULL, 'MUCOSAL ADDRESSIN CELL ADHESION MOLECULE 1', NULL, NULL, NULL, 15),
(173518, NULL, 'PTHR20932:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173519, NULL, 'PTHR33021:SF13', NULL, NULL, NULL, NULL, 'OS09G0557900 PROTEIN', NULL, NULL, NULL, 15),
(173520, NULL, 'PTHR47363', NULL, NULL, NULL, NULL, 'GLUCOKINASE', NULL, NULL, NULL, 15),
(173521, NULL, 'PTHR22714', NULL, NULL, NULL, NULL, 'PROTEIN CBG02446-RELATED', NULL, NULL, 29822, 15),
(173522, NULL, 'PTHR10915:SF5', NULL, NULL, NULL, NULL, 'SYNDECAN-1', NULL, NULL, 26741, 15),
(173523, NULL, 'PTHR43586:SF4', NULL, NULL, NULL, NULL, 'ISOPENICILLIN N EPIMERASE', NULL, NULL, NULL, 15),
(173524, NULL, 'PTHR10378:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR SEUSS', NULL, NULL, NULL, 15),
(173525, NULL, 'PTHR35460:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173526, NULL, 'PTHR45977:SF13', NULL, NULL, NULL, NULL, 'GB|AAF27103.1', NULL, NULL, NULL, 15),
(173527, NULL, 'PTHR12300:SF121', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(173528, NULL, 'PTHR31503:SF45', NULL, NULL, NULL, NULL, 'ION BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173529, NULL, 'PTHR13291:SF2', NULL, NULL, NULL, NULL, 'JOSEPHIN-2', NULL, NULL, NULL, 15),
(173530, NULL, 'PTHR31797', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(173531, NULL, 'PTHR24245:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173532, NULL, 'PTHR10300:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SARAH', NULL, NULL, NULL, 15),
(173533, NULL, 'PTHR48231', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173534, NULL, 'PTHR10934:SF14', NULL, NULL, NULL, NULL, 'BNAA05G31620D PROTEIN', NULL, NULL, NULL, 15),
(173535, NULL, 'PTHR12198:SF10', NULL, NULL, NULL, NULL, 'PROSPERO HOMEOBOX 1A', NULL, NULL, NULL, 15),
(173536, NULL, 'PTHR12951:SF3', NULL, NULL, NULL, NULL, 'PROTEIN UNC-119 HOMOLOG B', NULL, NULL, NULL, 15),
(173537, NULL, 'PTHR11304:SF29', NULL, NULL, NULL, NULL, 'EPHRIN', NULL, NULL, NULL, 15),
(173538, NULL, 'PTHR23338:SF32', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', NULL, NULL, NULL, 15),
(173539, NULL, 'PTHR11783:SF9', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE FAMILY CYTOSOLIC 2B MEMBER 1', NULL, NULL, NULL, 15),
(173540, NULL, 'PTHR46883:SF1', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 12 PROTEIN', NULL, NULL, NULL, 15),
(173541, NULL, 'PTHR31722:SF28', NULL, NULL, NULL, NULL, 'OS09G0459200 PROTEIN', NULL, NULL, NULL, 15),
(173542, NULL, 'PTHR34762:SF1', NULL, NULL, NULL, NULL, 'SMALL VASOHIBIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(173543, NULL, 'PTHR32343:SF26', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(173544, NULL, 'PTHR47808', NULL, NULL, NULL, NULL, 'INNER NUCLEAR MEMBRANE PROTEIN HEH2-RELATED', NULL, NULL, 39166, 15),
(173545, NULL, 'PTHR12483:SF42', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 6', NULL, NULL, NULL, 15),
(173546, NULL, 'PTHR10302:SF16', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD-LIKE PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173547, NULL, 'PTHR12668:SF38', NULL, NULL, NULL, NULL, 'PROTEIN FATTY ACID EXPORT 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(173548, NULL, 'PTHR47967:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173549, NULL, 'PTHR33021:SF349', NULL, NULL, NULL, NULL, 'NTEPC-LIKE', NULL, NULL, NULL, 15),
(173550, NULL, 'PTHR37828', NULL, NULL, NULL, NULL, 'GSR2449 PROTEIN', NULL, NULL, NULL, 15),
(173551, NULL, 'PTHR47322:SF17', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN, PROBABLY INVOLVED IN NUTRIENT BINDING-RELATED', NULL, NULL, NULL, 15),
(173552, NULL, 'PTHR43243:SF45', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 9, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(173553, NULL, 'PTHR27009:SF225', NULL, NULL, NULL, NULL, 'BNAA04G27930D PROTEIN', NULL, NULL, NULL, 15),
(173554, NULL, 'PTHR11839:SF16', NULL, NULL, NULL, NULL, 'GDP-MANNOSE PYROPHOSPHATASE NUDK', NULL, NULL, NULL, 15),
(173555, NULL, 'PTHR31014:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSLATION SYSTEM COMPONENT PET127-RELATED', NULL, NULL, NULL, 15),
(173556, NULL, 'PTHR43684', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173557, NULL, 'PTHR31104:SF18', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA- GLUCOSAMINYL)ASPARAGINE AMIDASE A-LIKE', NULL, NULL, NULL, 15),
(173558, NULL, 'PTHR45614:SF82', NULL, NULL, NULL, NULL, 'OS01G0977300 PROTEIN', NULL, NULL, NULL, 15),
(173559, NULL, 'PTHR24221:SF384', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 19', NULL, NULL, NULL, 15),
(173560, NULL, 'PTHR21493:SF244', NULL, NULL, NULL, NULL, 'GOT1/SFT2-LIKE VESCICLE TRANSPORT PROTEIN FAMILY', NULL, NULL, NULL, 15),
(173561, NULL, 'PTHR24230:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173562, NULL, 'PTHR30093', NULL, NULL, NULL, NULL, 'GENERAL SECRETION PATHWAY PROTEIN G', NULL, NULL, NULL, 15),
(173563, NULL, 'PTHR10134:SF29', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(173564, NULL, 'PTHR43053:SF8', NULL, NULL, NULL, NULL, 'FI04818P', NULL, NULL, NULL, 15),
(173565, NULL, 'PTHR45675:SF63', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 116', NULL, NULL, NULL, 15),
(173566, NULL, 'PTHR19359:SF100', NULL, NULL, NULL, NULL, 'BNAA03G12180D PROTEIN', NULL, NULL, NULL, 15),
(173567, NULL, 'PTHR46128:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173568, NULL, 'PTHR12059:SF5', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L23, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(173569, NULL, 'PTHR47972:SF12', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14H', NULL, NULL, NULL, 15),
(173570, NULL, 'PTHR31656:SF29', NULL, NULL, NULL, NULL, 'OS01G0968100 PROTEIN', NULL, NULL, NULL, 15),
(173571, NULL, 'PTHR46041:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0019G23.8 PROTEIN', NULL, NULL, NULL, 15),
(173572, NULL, 'PTHR35442', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 249', NULL, NULL, 27823, 15),
(173573, NULL, 'PTHR31325:SF90', NULL, NULL, NULL, NULL, 'OS04G0149300 PROTEIN', NULL, NULL, NULL, 15),
(173574, NULL, 'PTHR11732:SF417', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173575, NULL, 'PTHR19136:SF83', NULL, NULL, NULL, NULL, 'ADENOSYLCOBINAMIDE-PHOSPHATE GUANYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(173576, NULL, 'PTHR35480:SF1', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST 22', NULL, NULL, NULL, 15),
(173577, NULL, 'PTHR15268:SF4', NULL, NULL, NULL, NULL, 'BCL-2-ASSOCIATED TRANSCRIPTION FACTOR 1', NULL, NULL, 22069, 15),
(173578, NULL, 'PTHR36001', NULL, NULL, NULL, NULL, 'CTAGE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(173579, NULL, 'PTHR13793:SF143', NULL, NULL, NULL, NULL, 'PHD FINGER FAMILY', NULL, NULL, NULL, 15),
(173580, NULL, 'PTHR23430:SF236', NULL, NULL, NULL, NULL, 'HISTONE H2A.2.2', NULL, NULL, NULL, 15),
(173581, NULL, 'PTHR46128:SF197', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(173582, NULL, 'PTHR44591:SF12', NULL, NULL, NULL, NULL, 'CHEY SUBFAMILY', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173583, NULL, 'PTHR33110:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173584, NULL, 'PTHR13800:SF5', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 5', NULL, NULL, 28696, 15),
(173585, NULL, 'PTHR11947:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173586, NULL, 'PTHR11785:SF315', NULL, NULL, NULL, NULL, 'L-TYPE AMINO ACID TRANSPORTER 1-LIKE PROTEIN IMAA-RELATED', NULL, NULL, NULL, 15),
(173587, NULL, 'PTHR43181:SF3', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 2,4-CYCLODIPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(173588, NULL, 'PTHR34045:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173589, NULL, 'PTHR24390:SF94', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E4F1', NULL, NULL, NULL, 15),
(173590, NULL, 'PTHR15004:SF0', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT C, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(173591, NULL, 'PTHR33168:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173592, NULL, 'PTHR24235:SF21', NULL, NULL, NULL, NULL, 'PROLACTIN-RELEASING HORMONE RECEPTOR', NULL, NULL, NULL, 15),
(173593, NULL, 'PTHR32246:SF81', NULL, NULL, NULL, NULL, 'PROTEIN SRC2-LIKE', NULL, NULL, NULL, 15),
(173594, NULL, 'PTHR10379:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBFA2T3', NULL, NULL, NULL, 15),
(173595, NULL, 'PTHR45880:SF4', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, X-LINKED 2', NULL, NULL, NULL, 15),
(173596, NULL, 'PTHR24381:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 559', NULL, NULL, NULL, 15),
(173597, NULL, 'PTHR47914', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(173598, NULL, 'PTHR43811:SF47', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(173599, NULL, 'PTHR48078:SF6', NULL, NULL, NULL, NULL, 'LP08712P', NULL, NULL, NULL, 15),
(173600, NULL, 'PTHR12830', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 5', NULL, NULL, 29759, 15),
(173601, NULL, 'PTHR43744:SF6', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN YESQ-RELATED', NULL, NULL, NULL, 15),
(173602, NULL, 'PTHR45671:SF23', NULL, NULL, NULL, NULL, 'OS09G0454600 PROTEIN', NULL, NULL, NULL, 15),
(173603, NULL, 'PTHR24343:SF204', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SIK1-RELATED', NULL, NULL, NULL, 15),
(173604, NULL, 'PTHR21596:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173605, NULL, 'PTHR11603:SF147', NULL, NULL, NULL, NULL, 'PILI RETRACTION PROTEIN PILT', NULL, NULL, NULL, 15),
(173606, NULL, 'PTHR45857:SF8', NULL, NULL, NULL, NULL, 'FORMIN-HOMOLOGY AND ZINC FINGER DOMAINS PROTEIN 1', NULL, NULL, NULL, 15),
(173607, NULL, 'PTHR47354:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RFBI', NULL, NULL, NULL, 15),
(173608, NULL, 'PTHR46385', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37123, 15),
(173609, NULL, 'PTHR47232', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN / WD-40 REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(173610, NULL, 'PTHR31851:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173611, NULL, 'PTHR43046', NULL, NULL, NULL, NULL, 'GDP-MANNOSE MANNOSYL HYDROLASE', NULL, NULL, NULL, 15),
(173612, NULL, 'PTHR22930:SF195', NULL, NULL, NULL, NULL, 'OS01G0186900 PROTEIN', NULL, NULL, NULL, 15),
(173613, NULL, 'PTHR31730', NULL, NULL, NULL, NULL, 'OS01G0873900 PROTEIN', NULL, NULL, 38170, 15),
(173614, NULL, 'PTHR10751:SF94', NULL, NULL, NULL, NULL, 'OS02G0307000 PROTEIN', NULL, NULL, NULL, 15),
(173615, NULL, 'PTHR21533', NULL, NULL, NULL, NULL, 'LEUCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(173616, NULL, 'PTHR15936', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G I /G S /G O  GAMMA-13 SUBUNIT', NULL, NULL, 35612, 15),
(173617, NULL, 'PTHR11477:SF0', NULL, NULL, NULL, NULL, 'IP08861P-RELATED', NULL, NULL, NULL, 15),
(173618, NULL, 'PTHR11977:SF78', NULL, NULL, NULL, NULL, 'ADSEVERIN', NULL, NULL, 27890, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173619, NULL, 'PTHR34310', NULL, NULL, NULL, NULL, 'DUF427 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G02220)', NULL, NULL, NULL, 15),
(173620, NULL, 'PTHR45841', NULL, NULL, NULL, NULL, 'MRNA TURNOVER PROTEIN 4 MRTO4', NULL, NULL, NULL, 15),
(173621, NULL, 'PTHR47976:SF18', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE 4', NULL, NULL, NULL, 15),
(173622, NULL, 'PTHR45614:SF171', NULL, NULL, NULL, NULL, 'BNAC02G34810D PROTEIN', NULL, NULL, NULL, 15),
(173623, NULL, 'PTHR21698:SF3', NULL, NULL, NULL, NULL, 'GEO02592P1', NULL, NULL, NULL, 15),
(173624, NULL, 'PTHR24377:SF421', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 251', NULL, NULL, NULL, 15),
(173625, NULL, 'PTHR31238:SF213', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(173626, NULL, 'PTHR10766:SF133', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(173627, NULL, 'PTHR21298', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(173628, NULL, 'PTHR21576:SF26', NULL, NULL, NULL, NULL, 'OS03G0682100 PROTEIN', NULL, NULL, NULL, 15),
(173629, NULL, 'PTHR10795:SF685', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT4.3', NULL, NULL, NULL, 15),
(173630, NULL, 'PTHR43820:SF7', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN LIVF-RELATED', NULL, NULL, NULL, 15),
(173631, NULL, 'PTHR20946', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 39173, 15),
(173632, NULL, 'PTHR23262:SF207', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-7', NULL, NULL, NULL, 15),
(173633, NULL, 'PTHR43532:SF4', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE THYMIDYLYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(173634, NULL, 'PTHR33784:SF23', NULL, NULL, NULL, NULL, 'BNAANNG41340D PROTEIN', NULL, NULL, NULL, 15),
(173635, NULL, 'PTHR24559:SF371', NULL, NULL, NULL, NULL, 'OS12G0499932 PROTEIN', NULL, NULL, NULL, 15),
(173636, NULL, 'PTHR32163:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 8', NULL, NULL, NULL, 15),
(173637, NULL, 'PTHR11958:SF89', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(173638, NULL, 'PTHR48065:SF1', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN CF-9 HOMOLOG', NULL, NULL, NULL, 15),
(173639, NULL, 'PTHR21071:SF5', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLENOLPYRUVOYLGLUCOSAMINE REDUCTASE', NULL, NULL, NULL, 15),
(173640, NULL, 'PTHR48151:SF1', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(173641, NULL, 'PTHR31374:SF153', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(173642, NULL, 'PTHR11119:SF108', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(173643, NULL, 'PTHR30251:SF11', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN FIMC-RELATED', NULL, NULL, NULL, 15),
(173644, NULL, 'PTHR24241:SF125', NULL, NULL, NULL, NULL, 'PROKINETICIN RECEPTOR 2', NULL, NULL, NULL, 15),
(173645, NULL, 'PTHR12371', NULL, NULL, NULL, NULL, 'TRANSLOCATION ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, 15654, 15),
(173646, NULL, 'PTHR11618:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173647, NULL, 'PTHR11375:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173648, NULL, 'PTHR23079:SF6', NULL, NULL, NULL, NULL, 'ENHANCER OF GLP-ONE (GLP-1)', NULL, NULL, NULL, 15),
(173649, NULL, 'PTHR33021:SF177', NULL, NULL, NULL, NULL, 'PLASTOCYANIN-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(173650, NULL, 'PTHR32018', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(173651, NULL, 'PTHR45652:SF1', NULL, NULL, NULL, NULL, 'SYNEMIN, INTERMEDIATE FILAMENT PROTEIN', NULL, NULL, NULL, 15),
(173652, NULL, 'PTHR13869:SF22', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE-LIKE', NULL, NULL, 27684, 15),
(173653, NULL, 'PTHR31953:SF42', NULL, NULL, NULL, NULL, 'OS02G0106100 PROTEIN', NULL, NULL, NULL, 15),
(173654, NULL, 'PTHR11564', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54K PROTEIN SRP54', NULL, NULL, 14693, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173655, NULL, 'PTHR13299:SF0', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX16', NULL, NULL, NULL, 15),
(173656, NULL, 'PTHR10460', NULL, NULL, NULL, NULL, 'ABL INTERACTOR FAMILY MEMBER', NULL, NULL, 27187, 15),
(173657, NULL, 'PTHR21310:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173658, NULL, 'PTHR24637:SF328', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(173659, NULL, 'PTHR33033:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173660, NULL, 'PTHR37465', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173661, NULL, 'PTHR15260', NULL, NULL, NULL, NULL, 'SARCOSPAN', NULL, NULL, 27401, 15),
(173662, NULL, 'PTHR26452:SF804', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5H2', NULL, NULL, NULL, 15),
(173663, NULL, 'PTHR22957:SF360', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 17', NULL, NULL, NULL, 15),
(173664, NULL, 'PTHR45621:SF126', NULL, NULL, NULL, NULL, 'BNAA04G22340D PROTEIN', NULL, NULL, NULL, 15),
(173665, NULL, 'PTHR10015:SF388', NULL, NULL, NULL, NULL, 'FLOCCULATION SUPPRESSION PROTEIN', NULL, NULL, 24520, 15),
(173666, NULL, 'PTHR22952:SF434', NULL, NULL, NULL, NULL, 'BNAC04G52290D PROTEIN', NULL, NULL, NULL, 15),
(173667, NULL, 'PTHR42905:SF9', NULL, NULL, NULL, NULL, 'BNACNNG47390D PROTEIN', NULL, NULL, NULL, 15),
(173668, NULL, 'PTHR11021:SF11', NULL, NULL, NULL, NULL, 'BNAC01G36510D PROTEIN', NULL, NULL, NULL, 15),
(173669, NULL, 'PTHR22765:SF178', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(173670, NULL, 'PTHR11732:SF389', NULL, NULL, NULL, NULL, 'D-XYLOSE REDUCTASES (EUROFUNG)', NULL, NULL, NULL, 15),
(173671, NULL, 'PTHR31190:SF102', NULL, NULL, NULL, NULL, 'BNACNNG09130D PROTEIN', NULL, NULL, NULL, 15),
(173672, NULL, 'PTHR10811:SF100', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', NULL, NULL, NULL, 15),
(173673, NULL, 'PTHR18968:SF159', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE ISOZYME 1 LARGE SUBUNIT', NULL, NULL, NULL, 15),
(173674, NULL, 'PTHR24250:SF28', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE PROTEASE CTRL-1', NULL, NULL, NULL, 15),
(173675, NULL, 'PTHR31790:SF330', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(173676, NULL, 'PTHR12558', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 16,23,27', NULL, NULL, NULL, 15),
(173677, NULL, 'PTHR22883:SF335', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(173678, NULL, 'PTHR48022:SF60', NULL, NULL, NULL, NULL, 'TRANSPORT-RELATED PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173679, NULL, 'PTHR10972:SF155', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 2A', NULL, NULL, NULL, 15),
(173680, NULL, 'PTHR47522:SF1', NULL, NULL, NULL, NULL, 'SALVADOR FAMILY WW DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(173681, NULL, 'PTHR12850:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173682, NULL, 'PTHR32091:SF20', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B1', NULL, NULL, NULL, 15),
(173683, NULL, 'PTHR23360:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173684, NULL, 'PTHR12930:SF8', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(173685, NULL, 'PTHR33669:SF4', NULL, NULL, NULL, NULL, 'PROTEIN NIM1-INTERACTING 3', NULL, NULL, NULL, 15),
(173686, NULL, 'PTHR11783:SF55', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE 6B1', NULL, NULL, NULL, 15),
(173687, NULL, 'PTHR43257:SF2', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA', NULL, NULL, NULL, 15),
(173688, NULL, 'PTHR31009:SF88', NULL, NULL, NULL, NULL, 'SALICYLATE/BENZOATE CARBOXYL METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(173689, NULL, 'PTHR24177:SF297', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(173690, NULL, 'PTHR11012:SF55', NULL, NULL, NULL, NULL, 'AGAP008987-PA', NULL, NULL, NULL, 15),
(173691, NULL, 'PTHR48148', NULL, NULL, NULL, NULL, 'KERATINOCYTE PROLINE-RICH PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173692, NULL, 'PTHR44042:SF25', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(173693, NULL, 'PTHR32370:SF21', NULL, NULL, NULL, NULL, 'PHOTOTROPIC-RESPONSIVE NPH3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(173694, NULL, 'PTHR23333:SF29', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(173695, NULL, 'PTHR13318:SF75', NULL, NULL, NULL, NULL, 'EIN3-BINDING F-BOX PROTEIN 1', NULL, NULL, NULL, 15),
(173696, NULL, 'PTHR12045', NULL, NULL, NULL, NULL, 'ALLANTOICASE', NULL, NULL, 4716, 15),
(173697, NULL, 'PTHR34630:SF33', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RGA3-RELATED', NULL, NULL, NULL, 15),
(173698, NULL, 'PTHR15462:SF17', NULL, NULL, NULL, NULL, 'INACTIVE SERINE PROTEASE 35', NULL, NULL, NULL, 15),
(173699, NULL, 'PTHR47928:SF135', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(173700, NULL, 'PTHR13822:SF16', NULL, NULL, NULL, NULL, 'BNAA06G35640D PROTEIN', NULL, NULL, NULL, 15),
(173701, NULL, 'PTHR46405:SF3', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(173702, NULL, 'PTHR11857:SF43', NULL, NULL, NULL, NULL, 'GEO07581P1-RELATED', NULL, NULL, NULL, 15),
(173703, NULL, 'PTHR23023:SF204', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', NULL, NULL, NULL, 15),
(173704, NULL, 'PTHR33065:SF145', NULL, NULL, NULL, NULL, 'OS05G0506400 PROTEIN', NULL, NULL, NULL, 15),
(173705, NULL, 'PTHR10168:SF264', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173706, NULL, 'PTHR45683:SF9', NULL, NULL, NULL, NULL, 'NICOTINAMIDE ADENINE DINUCLEOTIDE TRANSPORTER 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(173707, NULL, 'PTHR21093', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(173708, NULL, 'PTHR42953:SF1', NULL, NULL, NULL, NULL, 'MANGANESE ABC TRANSPORTER SUBSTRATE-BINDING LIPOPROTEIN', NULL, NULL, NULL, 15),
(173709, NULL, 'PTHR10593', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RIO', NULL, NULL, NULL, 15),
(173710, NULL, 'PTHR11895:SF156', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE', NULL, NULL, NULL, 15),
(173711, NULL, 'PTHR23007:SF11', NULL, NULL, NULL, NULL, 'CBL LONG ISOFORM', NULL, NULL, NULL, 15),
(173712, NULL, 'PTHR48061:SF9', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE FAMILY PROTEIN/LRR PROTEIN', NULL, NULL, NULL, 15),
(173713, NULL, 'PTHR45138:SF19', NULL, NULL, NULL, NULL, 'REGULATORY COMPONENTS OF SENSORY TRANSDUCTION SYSTEM', NULL, NULL, NULL, 15),
(173714, NULL, 'PTHR34871', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173715, NULL, 'PTHR22650', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN IB BETA', NULL, NULL, NULL, 15),
(173716, NULL, 'PTHR10887:SF489', NULL, NULL, NULL, NULL, 'BNAC01G22370D PROTEIN', NULL, NULL, NULL, 15),
(173717, NULL, 'PTHR11206:SF396', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173718, NULL, 'PTHR37156', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173719, NULL, 'PTHR36312:SF12', NULL, NULL, NULL, NULL, 'BNACNNG31580D PROTEIN', NULL, NULL, NULL, 15),
(173720, NULL, 'PTHR10489:SF735', NULL, NULL, NULL, NULL, 'ATYPICAL CHEMOKINE RECEPTOR 2', NULL, NULL, 34707, 15),
(173721, NULL, 'PTHR10891:SF826', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173722, NULL, 'PTHR48047:SF91', NULL, NULL, NULL, NULL, 'OS04G0271800 PROTEIN', NULL, NULL, NULL, 15),
(173723, NULL, 'PTHR11709:SF249', NULL, NULL, NULL, NULL, 'LACCASE-RELATED', NULL, NULL, NULL, 15),
(173724, NULL, 'PTHR10501:SF49', NULL, NULL, NULL, NULL, 'CELL WALL INTEGRITY PROTEIN SCW1', NULL, NULL, NULL, 15),
(173725, NULL, 'PTHR12120:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173726, NULL, 'PTHR13936:SF2', NULL, NULL, NULL, NULL, 'PROFILIN-3', NULL, NULL, 26286, 15),
(173727, NULL, 'PTHR43110:SF1', NULL, NULL, NULL, NULL, 'THIOL PEROXIDASE', NULL, NULL, NULL, 15),
(173728, NULL, 'PTHR13773:SF21', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173729, NULL, 'PTHR13480:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HAKAI', NULL, NULL, NULL, 15),
(173730, NULL, 'PTHR31235:SF60', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(173731, NULL, 'PTHR43004:SF18', NULL, NULL, NULL, NULL, '2-MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11480)-RELATED', NULL, NULL, NULL, 15),
(173732, NULL, 'PTHR47389:SF4', NULL, NULL, NULL, NULL, 'OS09G0436400 PROTEIN', NULL, NULL, NULL, 15),
(173733, NULL, 'PTHR42938:SF19', NULL, NULL, NULL, NULL, 'OS08G0151600 PROTEIN', NULL, NULL, NULL, 15),
(173734, NULL, 'PTHR48002:SF144', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(173735, NULL, 'PTHR43725:SF24', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL UDP-GLUCOSE 4-EPIMERASE AND UDP-XYLOSE 4-EPIMERASE 3', NULL, NULL, NULL, 15),
(173736, NULL, 'PTHR35555:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173737, NULL, 'PTHR36748:SF3', NULL, NULL, NULL, NULL, 'MENTAL RETARDATION GTPASE ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(173738, NULL, 'PTHR10695:SF51', NULL, NULL, NULL, NULL, 'BNAUNNG03560D PROTEIN', NULL, NULL, NULL, 15),
(173739, NULL, 'PTHR46836:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173740, NULL, 'PTHR11523:SF26', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(173741, NULL, 'PTHR45935:SF15', NULL, NULL, NULL, NULL, 'SCAN DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(173742, NULL, 'PTHR33444', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.12-RELATED', NULL, NULL, 29682, 15),
(173743, NULL, 'PTHR33509', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENIS ABUNDANT PROTEIN 2-RELATED', NULL, NULL, 1719, 15),
(173744, NULL, 'PTHR10684:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 1', NULL, NULL, 27561, 15),
(173745, NULL, 'PTHR11886:SF95', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(173746, NULL, 'PTHR23428:SF250', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-N', NULL, NULL, NULL, 15),
(173747, NULL, 'PTHR45718:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GLIS1', NULL, NULL, 27573, 15),
(173748, NULL, 'PTHR23266:SF316', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-13', NULL, NULL, NULL, 15),
(173749, NULL, 'PTHR35321:SF1', NULL, NULL, NULL, NULL, 'OS02G0753200 PROTEIN', NULL, NULL, NULL, 15),
(173750, NULL, 'PTHR14927', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 31998, 15),
(173751, NULL, 'PTHR34938:SF3', NULL, NULL, NULL, NULL, 'PROTEIN YELLOW LEAF 1, CHOLOROPLASTIC', NULL, NULL, NULL, 15),
(173752, NULL, 'PTHR10970', NULL, NULL, NULL, NULL, 'CLUSTERIN', NULL, NULL, 5191, 15),
(173753, NULL, 'PTHR42883:SF2', NULL, NULL, NULL, NULL, 'ZGC:136439', NULL, NULL, NULL, 15),
(173754, NULL, 'PTHR27006:SF378', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173755, NULL, 'PTHR46863:SF4', NULL, NULL, NULL, NULL, 'LYSM DOMAIN RECEPTOR-LIKE KINASE 3', NULL, NULL, NULL, 15),
(173756, NULL, 'PTHR10868:SF1', NULL, NULL, NULL, NULL, 'SIGMA NON-OPIOID INTRACELLULAR RECEPTOR 1', NULL, NULL, NULL, 15),
(173757, NULL, 'PTHR30053:SF12', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR P (EF-P) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(173758, NULL, 'PTHR42709:SF4', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YQAA', NULL, NULL, NULL, 15),
(173759, NULL, 'PTHR44094:SF15', NULL, NULL, NULL, NULL, 'BNAA01G05380D PROTEIN', NULL, NULL, NULL, 15),
(173760, NULL, 'PTHR46192', NULL, NULL, NULL, NULL, 'BROAD-RANGE ACID PHOSPHATASE DET1', NULL, NULL, NULL, 15),
(173761, NULL, 'PTHR24377:SF645', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173762, NULL, 'PTHR37976', NULL, NULL, NULL, NULL, 'PROTEIN CBG16927', NULL, NULL, NULL, 15),
(173763, NULL, 'PTHR11629:SF105', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT A', NULL, NULL, NULL, 15),
(173764, NULL, 'PTHR12161:SF41', NULL, NULL, NULL, NULL, 'OS02G0159200 PROTEIN', NULL, NULL, NULL, 15),
(173765, NULL, 'PTHR36886:SF11', NULL, NULL, NULL, NULL, 'BNAC06G02290D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173766, NULL, 'PTHR14269', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--GLYCEROL-3-PHOSPHATE 3-PHOSPHATIDYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(173767, NULL, 'PTHR11134:SF1', NULL, NULL, NULL, NULL, 'AP-3 COMPLEX SUBUNIT BETA', NULL, NULL, 27252, 15),
(173768, NULL, 'PTHR26452:SF189', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 491', NULL, NULL, NULL, 15),
(173769, NULL, 'PTHR13914:SF25', NULL, NULL, NULL, NULL, 'PROLINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(173770, NULL, 'PTHR39221', NULL, NULL, NULL, NULL, 'CHROMOSOME 7 OPEN READING FRAME 61', NULL, NULL, 27134, 15),
(173771, NULL, 'PTHR14647:SF57', NULL, NULL, NULL, NULL, 'GALACTOSE-3-O-SULFOTRANSFERASE 4', NULL, NULL, NULL, 15),
(173772, NULL, 'PTHR11627:SF3', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE C', NULL, NULL, NULL, 15),
(173773, NULL, 'PTHR39648:SF1', NULL, NULL, NULL, NULL, '6-HYDROXYMETHYL-7,8-DIHYDROPTERIN PYROPHOSPHOKINASE', NULL, NULL, NULL, 15),
(173774, NULL, 'PTHR15057:SF2', NULL, NULL, NULL, NULL, 'HISTATIN-1', NULL, NULL, 27570, 15),
(173775, NULL, 'PTHR14155:SF544', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(173776, NULL, 'PTHR47578', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE PROTEIN CDSP32, CHLOROPLASTIC', NULL, NULL, 38815, 15),
(173777, NULL, 'PTHR46056:SF4', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', NULL, NULL, NULL, 15),
(173778, NULL, 'PTHR45856:SF12', NULL, NULL, NULL, NULL, 'LIPASE-LIKE', NULL, NULL, NULL, 15),
(173779, NULL, 'PTHR43711:SF19', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YXDK', NULL, NULL, NULL, 15),
(173780, NULL, 'PTHR10554:SF1', NULL, NULL, NULL, NULL, 'FI16515P1', NULL, NULL, NULL, 15),
(173781, NULL, 'PTHR20934:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(173782, NULL, 'PTHR31376:SF64', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 11-RELATED', NULL, NULL, NULL, 15),
(173783, NULL, 'PTHR13806:SF45', NULL, NULL, NULL, NULL, 'BNAC03G49410D PROTEIN', NULL, NULL, NULL, 15),
(173784, NULL, 'PTHR19325:SF533', NULL, NULL, NULL, NULL, 'SELECTIN P', NULL, NULL, NULL, 15),
(173785, NULL, 'PTHR23042', NULL, NULL, NULL, NULL, 'CIRCADIAN PROTEIN CLOCK/ARNT/BMAL/PAS', NULL, NULL, NULL, 15),
(173786, NULL, 'PTHR32212:SF369', NULL, NULL, NULL, NULL, 'BNAA02G08640D PROTEIN', NULL, NULL, NULL, 15),
(173787, NULL, 'PTHR46254:SF5', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP AT-HOOK 2', NULL, NULL, NULL, 15),
(173788, NULL, 'PTHR24057:SF40', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE DELTA-RELATED', NULL, NULL, NULL, 15),
(173789, NULL, 'PTHR31234:SF5', NULL, NULL, NULL, NULL, 'OS07G0206800 PROTEIN', NULL, NULL, NULL, 15),
(173790, NULL, 'PTHR31589:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173791, NULL, 'PTHR33305:SF23', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 3 PROTEIN', NULL, NULL, NULL, 15),
(173792, NULL, 'PTHR21447:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173793, NULL, 'PTHR22789:SF9', NULL, NULL, NULL, NULL, 'L-RIBULOSE-5-PHOSPHATE 4-EPIMERASE ULAF', NULL, NULL, NULL, 15),
(173794, NULL, 'PTHR42947:SF1', NULL, NULL, NULL, NULL, 'COB--COM HETERODISULFIDE REDUCTASE SUBUNIT B 1', NULL, NULL, NULL, 15),
(173795, NULL, 'PTHR11430:SF71', NULL, NULL, NULL, NULL, 'EPIDIDYMAL-SPECIFIC LIPOCALIN-5', NULL, NULL, NULL, 15),
(173796, NULL, 'PTHR31373:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173797, NULL, 'PTHR45786:SF25', NULL, NULL, NULL, NULL, 'BNAC02G29620D PROTEIN', NULL, NULL, NULL, 15),
(173798, NULL, 'PTHR47998:SF21', NULL, NULL, NULL, NULL, 'R2R3 MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(173799, NULL, 'PTHR47956:SF14', NULL, NULL, NULL, NULL, 'OS04G0480700 PROTEIN', NULL, NULL, NULL, 15),
(173800, NULL, 'PTHR31604:SF5', NULL, NULL, NULL, NULL, 'OS06G0712600 PROTEIN', NULL, NULL, NULL, 15),
(173801, NULL, 'PTHR11566:SF53', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED GTP-BINDING PROTEIN MX1', NULL, NULL, NULL, 15),
(173802, NULL, 'PTHR43490:SF109', NULL, NULL, NULL, NULL, 'CARBONYL REDUCTASE [NADPH] 1-LIKE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173803, NULL, 'PTHR45769:SF2', NULL, NULL, NULL, NULL, 'ADENOSINE KINASE A', NULL, NULL, NULL, 15),
(173804, NULL, 'PTHR16254:SF22', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER-RELATED', NULL, NULL, NULL, 15),
(173805, NULL, 'PTHR19051:SF27', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 13-1', NULL, NULL, NULL, 15),
(173806, NULL, 'PTHR11987:SF29', NULL, NULL, NULL, NULL, 'ALPHA-2,8-SIALYLTRANSFERASE 8F', NULL, NULL, NULL, 15),
(173807, NULL, 'PTHR11947:SF40', NULL, NULL, NULL, NULL, 'DEHYDROGENASE (LIPOAMIDE) KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173808, NULL, 'PTHR34572', NULL, NULL, NULL, NULL, 'GOLGIN FAMILY A PROTEIN', NULL, NULL, NULL, 15),
(173809, NULL, 'PTHR22826:SF117', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 25', NULL, NULL, 26675, 15),
(173810, NULL, 'PTHR11216:SF127', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 22224, 15),
(173811, NULL, 'PTHR34847:SF1', NULL, NULL, NULL, NULL, 'NODULATION PROTEIN U', NULL, NULL, NULL, 15),
(173812, NULL, 'PTHR31992:SF149', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF4.7', NULL, NULL, NULL, 15),
(173813, NULL, 'PTHR46162:SF46', NULL, NULL, NULL, NULL, 'BNAA05G18690D PROTEIN', NULL, NULL, NULL, 15),
(173814, NULL, 'PTHR48017:SF96', NULL, NULL, NULL, NULL, 'OS06G0228800 PROTEIN', NULL, NULL, NULL, 15),
(173815, NULL, 'PTHR21539:SF0', NULL, NULL, NULL, NULL, 'SAGA-ASSOCIATED FACTOR 29', NULL, NULL, NULL, 15),
(173816, NULL, 'PTHR31194:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173817, NULL, 'PTHR43029:SF30', NULL, NULL, NULL, NULL, 'BNACNNG62050D PROTEIN', NULL, NULL, NULL, 15),
(173818, NULL, 'PTHR17045', NULL, NULL, NULL, NULL, 'MELANOCYTE SPECIFIC GENE RELATED  CITED', NULL, NULL, 1775, 15),
(173819, NULL, 'PTHR31533:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173820, NULL, 'PTHR10668', NULL, NULL, NULL, NULL, 'PHYTOENE DEHYDROGENASE', NULL, NULL, NULL, 15),
(173821, NULL, 'PTHR46021:SF2', NULL, NULL, NULL, NULL, 'ARF-GAP WITH DUAL PH DOMAIN-CONTAINING PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(173822, NULL, 'PTHR31989:SF346', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 68-LIKE', NULL, NULL, NULL, 15),
(173823, NULL, 'PTHR46279:SF8', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL69-RELATED', NULL, NULL, NULL, 15),
(173824, NULL, 'PTHR12560:SF11', NULL, NULL, NULL, NULL, 'SPHINGOSINE N-ACYLTRANSFERASE LAC1-RELATED', NULL, NULL, NULL, 15),
(173825, NULL, 'PTHR12902:SF6', NULL, NULL, NULL, NULL, 'WISKOTT-ALDRICH SYNDROME PROTEIN FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(173826, NULL, 'PTHR10937:SF13', NULL, NULL, NULL, NULL, 'GLUTAMINE--FRUCTOSE-6-PHOSPHATE AMINOTRANSFERASE [ISOMERIZING] 2-LIKE', NULL, NULL, NULL, 15),
(173827, NULL, 'PTHR34114:SF19', NULL, NULL, NULL, NULL, 'BNAA02G08570D PROTEIN', NULL, NULL, NULL, 15),
(173828, NULL, 'PTHR24023:SF1026', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', NULL, NULL, NULL, 15),
(173829, NULL, 'PTHR47972:SF5', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIFC3', NULL, NULL, 26424, 15),
(173830, NULL, 'PTHR11654:SF458', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.11-LIKE', NULL, NULL, NULL, 15),
(173831, NULL, 'PTHR43539:SF4', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT PYRIDINE NUCLEOTIDE-DISULPHIDE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(173832, NULL, 'PTHR31669:SF40', NULL, NULL, NULL, NULL, 'FAR1 DNA BINDING DOMAIN, ZINC FINGER, SWIM-TYPE, MULE TRANSPOSASE DOMAIN, FHY3/FAR1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(173833, NULL, 'PTHR30505', NULL, NULL, NULL, NULL, 'FRUCTOSE-LIKE PERMEASE', NULL, NULL, NULL, 15),
(173834, NULL, 'PTHR42762:SF1', NULL, NULL, NULL, NULL, 'BIOTIN SYNTHASE-RELATED PROTEIN, RADICAL SAM SUPERFAMILY', NULL, NULL, NULL, 15),
(173835, NULL, 'PTHR24050', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173836, NULL, 'PTHR48019:SF11', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 4', NULL, NULL, NULL, 15),
(173837, NULL, 'PTHR13264:SF6', NULL, NULL, NULL, NULL, 'OS06G0711200 PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173838, NULL, 'PTHR12299:SF33', NULL, NULL, NULL, NULL, 'OS05G0589600 PROTEIN', NULL, NULL, NULL, 15),
(173839, NULL, 'PTHR24388:SF71', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 38', NULL, NULL, NULL, 15),
(173840, NULL, 'PTHR12011:SF348', NULL, NULL, NULL, NULL, 'CD97 ANTIGEN', NULL, NULL, NULL, 15),
(173841, NULL, 'PTHR33699', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(173842, NULL, 'PTHR10799:SF983', NULL, NULL, NULL, NULL, 'SWI/SNF NUCLEOSOME REMODELING COMPLEX COMPONENT', NULL, NULL, NULL, 15),
(173843, NULL, 'PTHR31490:SF47', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-LIKE', NULL, NULL, NULL, 15),
(173844, NULL, 'PTHR15581', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN R', NULL, NULL, 1731, 15),
(173845, NULL, 'PTHR10335:SF18', NULL, NULL, NULL, NULL, 'BNAA02G10840D PROTEIN', NULL, NULL, NULL, 15),
(173846, NULL, 'PTHR31989:SF359', NULL, NULL, NULL, NULL, 'BNAA02G36760D PROTEIN', NULL, NULL, NULL, 15),
(173847, NULL, 'PTHR16166:SF130', NULL, NULL, NULL, NULL, 'PROTEIN SORTING-ASSOCIATED PROTEIN, PUTATIVE (DUF1162)-RELATED', NULL, NULL, NULL, 15),
(173848, NULL, 'PTHR38792', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173849, NULL, 'PTHR31929:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173850, NULL, 'PTHR46413:SF18', NULL, NULL, NULL, NULL, 'OS09G0549600 PROTEIN', NULL, NULL, NULL, 15),
(173851, NULL, 'PTHR24068:SF226', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-23 KDA-LIKE', NULL, NULL, NULL, 15),
(173852, NULL, 'PTHR10795:SF669', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173853, NULL, 'PTHR33941:SF13', NULL, NULL, NULL, NULL, 'CARBON DIOXIDE-CONCENTRATING MECHANISM PROTEIN CCMK HOMOLOG 4', NULL, NULL, NULL, 15),
(173854, NULL, 'PTHR33207:SF94', NULL, NULL, NULL, NULL, 'OS09G0341600 PROTEIN', NULL, NULL, NULL, 15),
(173855, NULL, 'PTHR23122:SF69', NULL, NULL, NULL, NULL, 'FI17352P1', NULL, NULL, NULL, 15),
(173856, NULL, 'PTHR37836:SF2', NULL, NULL, NULL, NULL, 'LMO1036 PROTEIN', NULL, NULL, NULL, 15),
(173857, NULL, 'PTHR47961:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE HFM1-RELATED', NULL, NULL, NULL, 15),
(173858, NULL, 'PTHR21749:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG12211', NULL, NULL, NULL, 15),
(173859, NULL, 'PTHR22803:SF126', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING PROTEIN 161', NULL, NULL, NULL, 15),
(173860, NULL, 'PTHR31451:SF48', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 5', NULL, NULL, NULL, 15),
(173861, NULL, 'PTHR10799:SF961', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173862, NULL, 'PTHR31048:SF88', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(173863, NULL, 'PTHR40621:SF7', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR HAPX', NULL, NULL, NULL, 15),
(173864, NULL, 'PTHR46169', NULL, NULL, NULL, NULL, 'DNA REPLICATION-RELATED ELEMENT FACTOR, ISOFORM A', NULL, NULL, NULL, 15),
(173865, NULL, 'PTHR47928:SF32', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173866, NULL, 'PTHR12620:SF45', NULL, NULL, NULL, NULL, 'BNAA06G23240D PROTEIN', NULL, NULL, NULL, 15),
(173867, NULL, 'PTHR31062:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 16 PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(173868, NULL, 'PTHR33305:SF27', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 1 PROTEIN', NULL, NULL, NULL, 15),
(173869, NULL, 'PTHR24296:SF133', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(173870, NULL, 'PTHR24377:SF889', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 774', NULL, NULL, NULL, 15),
(173871, NULL, 'PTHR45857:SF5', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 2', NULL, NULL, 28134, 15),
(173872, NULL, 'PTHR24343:SF413', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(173873, NULL, 'PTHR43507:SF14', NULL, NULL, NULL, NULL, 'NADH-PLASTOQUINONE OXIDOREDUCTASE SUBUNIT', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173874, NULL, 'PTHR11945:SF610', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL61', NULL, NULL, NULL, 15),
(173875, NULL, 'PTHR13146', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(173876, NULL, 'PTHR33286:SF41', NULL, NULL, NULL, NULL, 'PROTEASE INHIBITOR/SEED STORAGE/LIPID TRANSFER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(173877, NULL, 'PTHR31374:SF253', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173878, NULL, 'PTHR46219:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG24922', NULL, NULL, NULL, 15),
(173879, NULL, 'PTHR45868:SF51', NULL, NULL, NULL, NULL, 'HEAVY-METAL-ASSOCIATED DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(173880, NULL, 'PTHR31602:SF71', NULL, NULL, NULL, NULL, 'WRC DOMAIN, GLUTAMINE-LEUCINE-GLUTAMINE, QLQ, GROWTH-REGULATING FACTOR-RELATED', NULL, NULL, NULL, 15),
(173881, NULL, 'PTHR10173:SF37', NULL, NULL, NULL, NULL, 'METHIONINE-R-SULFOXIDE REDUCTASE B2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(173882, NULL, 'PTHR23211:SF0', NULL, NULL, NULL, NULL, 'TRANS-GOLGI NETWORK INTEGRAL MEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(173883, NULL, 'PTHR33469:SF26', NULL, NULL, NULL, NULL, 'BNAC04G56730D PROTEIN', NULL, NULL, NULL, 15),
(173884, NULL, 'PTHR33600', NULL, NULL, NULL, NULL, 'PLASTID DIVISION PROTEIN PDV2', NULL, NULL, 34261, 15),
(173885, NULL, 'PTHR24221:SF529', NULL, NULL, NULL, NULL, 'BNAC04G06010D PROTEIN', NULL, NULL, NULL, 15),
(173886, NULL, 'PTHR46610:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173887, NULL, 'PTHR41394:SF5', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MGTE', NULL, NULL, NULL, 15),
(173888, NULL, 'PTHR43706:SF3', NULL, NULL, NULL, NULL, 'EXTERNAL ALTERNATIVE NAD(P)H-UBIQUINONE OXIDOREDUCTASE B2, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(173889, NULL, 'PTHR22589:SF48', NULL, NULL, NULL, NULL, 'CARNITINE O-ACETYLTRANSFERASE YAT2', NULL, NULL, NULL, 15),
(173890, NULL, 'PTHR33962', NULL, NULL, NULL, NULL, 'RECQ-MEDIATED GENOME INSTABILITY PROTEIN 2 RMI2', NULL, NULL, 24221, 15),
(173891, NULL, 'PTHR47636', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RCO1', NULL, NULL, NULL, 15),
(173892, NULL, 'PTHR10194:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173893, NULL, 'PTHR14155:SF543', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173894, NULL, 'PTHR31791:SF59', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(173895, NULL, 'PTHR48105:SF5', NULL, NULL, NULL, NULL, 'THIOREDOXIN REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(173896, NULL, 'PTHR22298:SF126', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 2', NULL, NULL, NULL, 15),
(173897, NULL, 'PTHR46158:SF7', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(173898, NULL, 'PTHR10529:SF338', NULL, NULL, NULL, NULL, 'OS05G0543100 PROTEIN', NULL, NULL, NULL, 15),
(173899, NULL, 'PTHR13288', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 45 SPF45', NULL, NULL, 33763, 15),
(173900, NULL, 'PTHR24416:SF550', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(173901, NULL, 'PTHR24177:SF261', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173902, NULL, 'PTHR16038:SF4', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 74', NULL, NULL, NULL, 15),
(173903, NULL, 'PTHR12893:SF1', NULL, NULL, NULL, NULL, 'GOLGI REASSEMBLY-STACKING PROTEIN 2', NULL, NULL, NULL, 15),
(173904, NULL, 'PTHR42743:SF4', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(173905, NULL, 'PTHR33388:SF22', NULL, NULL, NULL, NULL, 'PROTEIN SPEAR3-LIKE', NULL, NULL, NULL, 15),
(173906, NULL, 'PTHR35503', NULL, NULL, NULL, NULL, 'OSJNBA0006M15.15 PROTEIN', NULL, NULL, NULL, 15),
(173907, NULL, 'PTHR24255:SF22', NULL, NULL, NULL, NULL, 'ANIONIC TRYPSIN-2-LIKE ISOFORM X4', NULL, NULL, NULL, 15),
(173908, NULL, 'PTHR24253:SF66', NULL, NULL, NULL, NULL, 'SERINE PROTEINASE STUBBLE', NULL, NULL, NULL, 15),
(173909, NULL, 'PTHR47186', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 57', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173910, NULL, 'PTHR35684:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173911, NULL, 'PTHR40062:SF1', NULL, NULL, NULL, NULL, 'GTP-SENSING TRANSCRIPTIONAL PLEIOTROPIC REPRESSOR CODY', NULL, NULL, NULL, 15),
(173912, NULL, 'PTHR37076', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-79 SPECIFIC-LIKE-RELATED', NULL, NULL, NULL, 15),
(173913, NULL, 'PTHR10353:SF283', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 12', NULL, NULL, NULL, 15),
(173914, NULL, 'PTHR16119:SF21', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 144 HOMOLOG B', NULL, NULL, NULL, 15),
(173915, NULL, 'PTHR10394:SF25', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', NULL, NULL, NULL, 15),
(173916, NULL, 'PTHR23348', NULL, NULL, NULL, NULL, 'PERIAXIN/AHNAK', NULL, NULL, NULL, 15),
(173917, NULL, 'PTHR12775:SF0', NULL, NULL, NULL, NULL, 'REPLICATION TERMINATION FACTOR 2', NULL, NULL, NULL, 15),
(173918, NULL, 'PTHR10809:SF6', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN-ASSOCIATED PROTEIN A', NULL, NULL, NULL, 15),
(173919, NULL, 'PTHR16517:SF110', NULL, NULL, NULL, NULL, 'TUBBY PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(173920, NULL, 'PTHR48025:SF8', NULL, NULL, NULL, NULL, 'RIBONUCLEOPROTEIN', NULL, NULL, NULL, 15),
(173921, NULL, 'PTHR13351:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173922, NULL, 'PTHR45959:SF2', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(173923, NULL, 'PTHR43235:SF5', NULL, NULL, NULL, NULL, 'PROTEIN NTPR-LIKE', NULL, NULL, NULL, 15),
(173924, NULL, 'PTHR13511', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29612, 15),
(173925, NULL, 'PTHR12436:SF35', NULL, NULL, NULL, NULL, 'BNAA05G31040D PROTEIN', NULL, NULL, NULL, 15),
(173926, NULL, 'PTHR10835:SF20', NULL, NULL, NULL, NULL, 'SQUALENE EPOXIDASE 4', NULL, NULL, NULL, 15),
(173927, NULL, 'PTHR16058', NULL, NULL, NULL, NULL, 'DOUBLE ZINC RIBBON AND ANKYRIN REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(173928, NULL, 'PTHR47993:SF38', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173929, NULL, 'PTHR24153:SF0', NULL, NULL, NULL, NULL, 'ESPIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(173930, NULL, 'PTHR31731:SF118', NULL, NULL, NULL, NULL, 'OS10G0178000 PROTEIN', NULL, NULL, NULL, 15),
(173931, NULL, 'PTHR22957:SF300', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 15', NULL, NULL, NULL, 15),
(173932, NULL, 'PTHR11046:SF16', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(173933, NULL, 'PTHR31471:SF5', NULL, NULL, NULL, NULL, 'GB|AAD39278.1', NULL, NULL, NULL, 15),
(173934, NULL, 'PTHR31896:SF48', NULL, NULL, NULL, NULL, 'BNAA09G06710D PROTEIN', NULL, NULL, NULL, 15),
(173935, NULL, 'PTHR42775:SF1', NULL, NULL, NULL, NULL, 'PERMEASE RV2963-RELATED', NULL, NULL, NULL, 15),
(173936, NULL, 'PTHR43039:SF19', NULL, NULL, NULL, NULL, 'FACTOR SIGB REGULATION PROTEIN RSBQ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(173937, NULL, 'PTHR47965:SF72', NULL, NULL, NULL, NULL, 'BNAC09G38520D PROTEIN', NULL, NULL, NULL, 15),
(173938, NULL, 'PTHR24223:SF398', NULL, NULL, NULL, NULL, 'PROTEIN CBR-MRP-2', NULL, NULL, NULL, 15),
(173939, NULL, 'PTHR32227:SF218', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE', NULL, NULL, NULL, 15),
(173940, NULL, 'PTHR48047:SF72', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(173941, NULL, 'PTHR13844:SF42', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR SWI/SNF-BAF60B FAMILY-RELATED', NULL, NULL, NULL, 15),
(173942, NULL, 'PTHR47714:SF2', NULL, NULL, NULL, NULL, 'RNA-BINDING CRS1 / YHBY (CRM) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(173943, NULL, 'PTHR22765:SF324', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(173944, NULL, 'PTHR43330:SF1', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 1B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(173945, NULL, 'PTHR22925:SF39', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14190)-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173946, NULL, 'PTHR30367:SF13', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE EFFLUX PUMP-RELATED', NULL, NULL, NULL, 15),
(173947, NULL, 'PTHR22950:SF658', NULL, NULL, NULL, NULL, 'BNAA09G35680D PROTEIN', NULL, NULL, NULL, 15),
(173948, NULL, 'PTHR13778:SF49', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(173949, NULL, 'PTHR38926:SF38', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(173950, NULL, 'PTHR25466:SF3', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH 1 LIGAND 1', NULL, NULL, NULL, 15),
(173951, NULL, 'PTHR37787', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT KXD1', NULL, NULL, NULL, 15),
(173952, NULL, 'PTHR31168:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173953, NULL, 'PTHR43619', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE YKTD-RELATED', NULL, NULL, NULL, 15),
(173954, NULL, 'PTHR33156:SF44', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(173955, NULL, 'PTHR12982:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173956, NULL, 'PTHR40031', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', NULL, NULL, NULL, 15),
(173957, NULL, 'PTHR45752:SF13', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 58', NULL, NULL, NULL, 15),
(173958, NULL, 'PTHR11002:SF57', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(173959, NULL, 'PTHR13844:SF59', NULL, NULL, NULL, NULL, 'UPSTREAM ACTIVATION FACTOR SUBUNIT UAF30-LIKE', NULL, NULL, NULL, 15),
(173960, NULL, 'PTHR47760:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG22705', NULL, NULL, NULL, 15),
(173961, NULL, 'PTHR11306:SF53', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL/PHOSPHATIDYLINOSITOL TRANSFER PROTEIN DDB_G0282179-RELATED', NULL, NULL, NULL, 15),
(173962, NULL, 'PTHR10334:SF436', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1B-LIKE', NULL, NULL, NULL, 15),
(173963, NULL, 'PTHR10015:SF295', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-3-LIKE', NULL, NULL, NULL, 15),
(173964, NULL, 'PTHR15298:SF20', NULL, NULL, NULL, NULL, 'GLYCINE N-ACYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(173965, NULL, 'PTHR33109:SF73', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(173966, NULL, 'PTHR33172:SF41', NULL, NULL, NULL, NULL, 'OS06G0698748 PROTEIN', NULL, NULL, NULL, 15),
(173967, NULL, 'PTHR45740:SF6', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP12', NULL, NULL, NULL, 15),
(173968, NULL, 'PTHR37750', NULL, NULL, NULL, NULL, 'COX19-LIKE CHCH FAMILY PROTEIN', NULL, NULL, NULL, 15),
(173969, NULL, 'PTHR10335:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173970, NULL, 'PTHR46277:SF7', NULL, NULL, NULL, NULL, 'SEC14 CYTOSOLIC FACTOR-LIKE', NULL, NULL, NULL, 15),
(173971, NULL, 'PTHR23430:SF61', NULL, NULL, NULL, NULL, 'HISTONE H2A.V3', NULL, NULL, NULL, 15),
(173972, NULL, 'PTHR10989:SF21', NULL, NULL, NULL, NULL, 'PROTEIN CBG16421', NULL, NULL, NULL, 15),
(173973, NULL, 'PTHR31375:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173974, NULL, 'PTHR24377:SF660', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 214', NULL, NULL, NULL, 15),
(173975, NULL, 'PTHR32133:SF317', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173976, NULL, 'PTHR13850:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173977, NULL, 'PTHR12670:SF18', NULL, NULL, NULL, NULL, 'NEUTRAL CERAMIDASE', NULL, NULL, NULL, 15),
(173978, NULL, 'PTHR31391:SF59', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS02G0598200-LIKE', NULL, NULL, NULL, 15),
(173979, NULL, 'PTHR31636:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173980, NULL, 'PTHR21567:SF74', NULL, NULL, NULL, NULL, 'CLIP-ASSOCIATED PROTEIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(173981, NULL, 'PTHR11639:SF29', NULL, NULL, NULL, NULL, 'PROTEIN S100-A15A', NULL, NULL, 26680, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(173982, NULL, 'PTHR31549:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173983, NULL, 'PTHR44329:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173984, NULL, 'PTHR10621:SF43', NULL, NULL, NULL, NULL, 'BNAC09G00350D PROTEIN', NULL, NULL, NULL, 15),
(173985, NULL, 'PTHR24637:SF345', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(173986, NULL, 'PTHR43758:SF5', NULL, NULL, NULL, NULL, 'MUTT-FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(173987, NULL, 'PTHR43895:SF108', NULL, NULL, NULL, NULL, 'BNAA04G17470D PROTEIN', NULL, NULL, NULL, 15),
(173988, NULL, 'PTHR38111:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173989, NULL, 'PTHR35883:SF1', NULL, NULL, NULL, NULL, 'CYCLIC AMP-INDUCIBLE PROTEIN BP74-RELATED', NULL, NULL, NULL, 15),
(173990, NULL, 'PTHR11404:SF37', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE', NULL, NULL, NULL, 15),
(173991, NULL, 'PTHR14150:SF14', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 14 HOMOLOG A', NULL, NULL, NULL, 15),
(173992, NULL, 'PTHR11746:SF231', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173993, NULL, 'PTHR24366:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(173994, NULL, 'PTHR10460:SF37', NULL, NULL, NULL, NULL, 'PROTEIN ABIL3-RELATED', NULL, NULL, NULL, 15),
(173995, NULL, 'PTHR11937:SF469', NULL, NULL, NULL, NULL, 'ACTIN-11', NULL, NULL, NULL, 15),
(173996, NULL, 'PTHR46362:SF1', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 5', NULL, NULL, NULL, 15),
(173997, NULL, 'PTHR15046:SF2', NULL, NULL, NULL, NULL, 'BETA-1,4 N-ACETYLGALACTOSAMINYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(173998, NULL, 'PTHR23213:SF269', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(173999, NULL, 'PTHR10269', NULL, NULL, NULL, NULL, 'GDNF RECEPTOR ALPHA', NULL, NULL, 5489, 15),
(174000, NULL, 'PTHR45724:SF36', NULL, NULL, NULL, NULL, 'BNAA05G09450D PROTEIN', NULL, NULL, NULL, 15),
(174001, NULL, 'PTHR43405', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174002, NULL, 'PTHR19241:SF623', NULL, NULL, NULL, NULL, 'DRUG RESISTANCE TRANSPORTER-LIKE ABC DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(174003, NULL, 'PTHR24298:SF723', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71C3', NULL, NULL, NULL, 15),
(174004, NULL, 'PTHR30173:SF36', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGI-RELATED', NULL, NULL, NULL, 15),
(174005, NULL, 'PTHR22898:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE C06E1.7-RELATED', NULL, NULL, NULL, 15),
(174006, NULL, 'PTHR11214:SF308', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(174007, NULL, 'PTHR32341:SF4', NULL, NULL, NULL, NULL, 'INTERFERON-GAMMA-INDUCIBLE GTPASE IFGGA3 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174008, NULL, 'PTHR33346:SF11', NULL, NULL, NULL, NULL, 'DEHYDRIN COR47-RELATED', NULL, NULL, NULL, 15),
(174009, NULL, 'PTHR10209:SF733', NULL, NULL, NULL, NULL, 'GIBBERELLIN-44 DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(174010, NULL, 'PTHR46387:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174011, NULL, 'PTHR41813', NULL, NULL, NULL, NULL, 'REGULATOR PAB1642, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11955)-RELATED', NULL, NULL, NULL, 15),
(174012, NULL, 'PTHR18884:SF66', NULL, NULL, NULL, NULL, 'SEPTIN-12', NULL, NULL, NULL, 15),
(174013, NULL, 'PTHR21139', NULL, NULL, NULL, NULL, 'TRIOSEPHOSPHATE ISOMERASE', NULL, NULL, 4335, 15),
(174014, NULL, 'PTHR34067:SF3', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 13', NULL, NULL, NULL, 15),
(174015, NULL, 'PTHR23155:SF759', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE RPP13-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(174016, NULL, 'PTHR47151:SF1', NULL, NULL, NULL, NULL, 'LEU/ILE/VAL-BINDING PROTEIN', NULL, NULL, NULL, 15),
(174017, NULL, 'PTHR31639:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174018, NULL, 'PTHR33272:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG04801', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174019, NULL, 'PTHR31722:SF59', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN DDB_G0274915-LIKE', NULL, NULL, NULL, 15),
(174020, NULL, 'PTHR21447:SF9', NULL, NULL, NULL, NULL, 'INFECTION RESPONSE PROTEIN', NULL, NULL, NULL, 15),
(174021, NULL, 'PTHR31719:SF94', NULL, NULL, NULL, NULL, 'PROTEIN ATAF2', NULL, NULL, NULL, 15),
(174022, NULL, 'PTHR46480', NULL, NULL, NULL, NULL, 'F20B24.22', NULL, NULL, 25881, 15),
(174023, NULL, 'PTHR46364:SF7', NULL, NULL, NULL, NULL, 'CHROMATIN REMODELING PROTEIN SHL', NULL, NULL, 39079, 15),
(174024, NULL, 'PTHR11471:SF27', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 10', NULL, NULL, NULL, 15),
(174025, NULL, 'PTHR31388:SF212', NULL, NULL, NULL, NULL, 'SUBERIZATION-ASSOCIATED ANIONIC PEROXIDASE 1', NULL, NULL, NULL, 15),
(174026, NULL, 'PTHR46371:SF29', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY', NULL, NULL, NULL, 15),
(174027, NULL, 'PTHR14167:SF68', NULL, NULL, NULL, NULL, 'ENDOPHILIN-B2', NULL, NULL, NULL, 15),
(174028, NULL, 'PTHR11909:SF72', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SPE-6', NULL, NULL, NULL, 15),
(174029, NULL, 'PTHR23310:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174030, NULL, 'PTHR43386', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN APPC', NULL, NULL, NULL, 15),
(174031, NULL, 'PTHR11929:SF211', NULL, NULL, NULL, NULL, 'ALPHA-1,3-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(174032, NULL, 'PTHR43195:SF4', NULL, NULL, NULL, NULL, 'TRANSKETOLASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(174033, NULL, 'PTHR41152', NULL, NULL, NULL, NULL, 'AT26438P-RELATED', NULL, NULL, NULL, 15),
(174034, NULL, 'PTHR12601:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174035, NULL, 'PTHR10947', NULL, NULL, NULL, NULL, 'PHENYLALANYL-TRNA SYNTHETASE BETA CHAIN AND LEUCINE-RICH REPEAT-CONTAINING PROTEIN 47', NULL, NULL, 36742, 15),
(174036, NULL, 'PTHR43078:SF31', NULL, NULL, NULL, NULL, 'BNAA02G07140D PROTEIN', NULL, NULL, NULL, 15),
(174037, NULL, 'PTHR11177:SF332', NULL, NULL, NULL, NULL, 'CHITINASE, ACIDIC.1', NULL, NULL, NULL, 15),
(174038, NULL, 'PTHR46054:SF3', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT PROTEIN STAUFEN', NULL, NULL, NULL, 15),
(174039, NULL, 'PTHR43420:SF35', NULL, NULL, NULL, NULL, 'SLR1501 PROTEIN', NULL, NULL, NULL, 15),
(174040, NULL, 'PTHR15315:SF87', NULL, NULL, NULL, NULL, 'BNAC05G08980D PROTEIN', NULL, NULL, NULL, 15),
(174041, NULL, 'PTHR47992:SF107', NULL, NULL, NULL, NULL, 'BNAA03G47830D PROTEIN', NULL, NULL, NULL, 15),
(174042, NULL, 'PTHR19308:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(174043, NULL, 'PTHR34553:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174044, NULL, 'PTHR46184', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-IXB-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174045, NULL, 'PTHR23024:SF512', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174046, NULL, 'PTHR34858', NULL, NULL, NULL, NULL, 'CYSO-CYSTEINE PEPTIDASE', NULL, NULL, NULL, 15),
(174047, NULL, 'PTHR31218:SF318', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(174048, NULL, 'PTHR44218:SF11', NULL, NULL, NULL, NULL, 'PROTEIN SPA1-RELATED 4', NULL, NULL, NULL, 15),
(174049, NULL, 'PTHR47095', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 222', NULL, NULL, 37670, 15),
(174050, NULL, 'PTHR15681', NULL, NULL, NULL, NULL, 'MAD2L1-BINDING PROTEIN', NULL, NULL, 9245, 15),
(174051, NULL, 'PTHR12447:SF4', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 13A', NULL, NULL, NULL, 15),
(174052, NULL, 'PTHR38418', NULL, NULL, NULL, NULL, 'SUGAR ISOMERASE, KPSF/GUTQ (AFU_ORTHOLOGUE AFUA_6G08860)', NULL, NULL, NULL, 15),
(174053, NULL, 'PTHR48124', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174054, NULL, 'PTHR47965:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174055, NULL, 'PTHR27005:SF76', NULL, NULL, NULL, NULL, 'OS02G0633066 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174056, NULL, 'PTHR24223:SF421', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174057, NULL, 'PTHR41695', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN BRANCHING ENZYME RV3031-RELATED', NULL, NULL, 29521, 15),
(174058, NULL, 'PTHR45628:SF16', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT N-TYPE CALCIUM CHANNEL SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(174059, NULL, 'PTHR33231:SF3', NULL, NULL, NULL, NULL, 'RIBOSOME-ASSOCIATED INHIBITOR A', NULL, NULL, NULL, 15),
(174060, NULL, 'PTHR11662:SF336', NULL, NULL, NULL, NULL, 'LP19554P', NULL, NULL, NULL, 15),
(174061, NULL, 'PTHR46086', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, 36844, 15),
(174062, NULL, 'PTHR36407:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(174063, NULL, 'PTHR30590:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174064, NULL, 'PTHR12066:SF0', NULL, NULL, NULL, NULL, 'TELOMERASE REVERSE TRANSCRIPTASE', NULL, NULL, NULL, 15),
(174065, NULL, 'PTHR34145:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174066, NULL, 'PTHR10640', NULL, NULL, NULL, NULL, 'METHYLTHIORIBULOSE-1-PHOSPHATE DEHYDRATASE', NULL, NULL, 18050, 15),
(174067, NULL, 'PTHR11654:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174068, NULL, 'PTHR43572:SF4', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPD, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(174069, NULL, 'PTHR22943:SF245', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(174070, NULL, 'PTHR22655', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(174071, NULL, 'PTHR21847:SF1', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(174072, NULL, 'PTHR11941:SF101', NULL, NULL, NULL, NULL, 'CARNITINYL-COA DEHYDRATASE', NULL, NULL, NULL, 15),
(174073, NULL, 'PTHR14383:SF5', NULL, NULL, NULL, NULL, 'RUN DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(174074, NULL, 'PTHR24300:SF180', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2A13', NULL, NULL, NULL, 15),
(174075, NULL, 'PTHR45724:SF32', NULL, NULL, NULL, NULL, 'NODULIN-26 LIKE INTRINSIC PROTEIN', NULL, NULL, NULL, 15),
(174076, NULL, 'PTHR47069:SF7', NULL, NULL, NULL, NULL, 'OS03G0580500 PROTEIN', NULL, NULL, NULL, 15),
(174077, NULL, 'PTHR38819:SF2', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 20G', NULL, NULL, NULL, 15),
(174078, NULL, 'PTHR26453:SF586', NULL, NULL, NULL, NULL, 'MCG1046656-RELATED', NULL, NULL, NULL, 15),
(174079, NULL, 'PTHR10315:SF122', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SIN-LIKE, ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(174080, NULL, 'PTHR12411:SF743', NULL, NULL, NULL, NULL, 'VIGNAIN', NULL, NULL, NULL, 15),
(174081, NULL, 'PTHR14744', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 60', NULL, NULL, 39231, 15),
(174082, NULL, 'PTHR24156', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38211, 15),
(174083, NULL, 'PTHR31717:SF59', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN', NULL, NULL, NULL, 15),
(174084, NULL, 'PTHR26379:SF382', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(174085, NULL, 'PTHR47961:SF3', NULL, NULL, NULL, NULL, 'ATP DEPENDENT DEAD-BOX HELICASE-RELATED', NULL, NULL, NULL, 15),
(174086, NULL, 'PTHR31647', NULL, NULL, NULL, NULL, '2-CELL-STAGE, VARIABLE GROUP, MEMBER 1-RELATED', NULL, NULL, 14960, 15),
(174087, NULL, 'PTHR12258:SF5', NULL, NULL, NULL, NULL, 'BCDNA.GH02250-RELATED', NULL, NULL, NULL, 15),
(174088, NULL, 'PTHR16675:SF256', NULL, NULL, NULL, NULL, 'HLA CLASS I HISTOCOMPATIBILITY ANTIGEN, ALPHA CHAIN H-RELATED', NULL, NULL, NULL, 15),
(174089, NULL, 'PTHR42683:SF36', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(174090, NULL, 'PTHR47928:SF35', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT (PPR) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(174091, NULL, 'PTHR47372:SF21', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, GROUP 3-LIKE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174092, NULL, 'PTHR31844:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM168A', NULL, NULL, NULL, 15),
(174093, NULL, 'PTHR22599:SF10', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR 3A', NULL, NULL, NULL, 15),
(174094, NULL, 'PTHR10652:SF20', NULL, NULL, NULL, NULL, 'ADENYLYL CYCLASE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(174095, NULL, 'PTHR35719:SF5', NULL, NULL, NULL, NULL, 'T6K12.7 PROTEIN', NULL, NULL, NULL, 15),
(174096, NULL, 'PTHR22914:SF11', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE B', NULL, NULL, NULL, 15),
(174097, NULL, 'PTHR27002:SF826', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 7', NULL, NULL, NULL, 15),
(174098, NULL, 'PTHR18945:SF828', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL 4', NULL, NULL, NULL, 15),
(174099, NULL, 'PTHR13068:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF6, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(174100, NULL, 'PTHR42851:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174101, NULL, 'PTHR45398:SF1', NULL, NULL, NULL, NULL, 'D-ALANINE--D-ALANYL CARRIER PROTEIN LIGASE', NULL, NULL, NULL, 15),
(174102, NULL, 'PTHR23113:SF343', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 25', NULL, NULL, NULL, 15),
(174103, NULL, 'PTHR31221:SF141', NULL, NULL, NULL, NULL, 'WRKY PROTEIN', NULL, NULL, NULL, 15),
(174104, NULL, 'PTHR24291:SF118', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(174105, NULL, 'PTHR31562:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG15947', NULL, NULL, NULL, 15),
(174106, NULL, 'PTHR15082:SF5', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(174107, NULL, 'PTHR47999:SF76', NULL, NULL, NULL, NULL, 'BNAA03G53110D PROTEIN', NULL, NULL, NULL, 15),
(174108, NULL, 'PTHR11306:SF35', NULL, NULL, NULL, NULL, 'MD-2-RELATED LIPID-RECOGNITION PROTEIN ROSY1', NULL, NULL, NULL, 15),
(174109, NULL, 'PTHR34372:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 5C-RELATED', NULL, NULL, NULL, 15),
(174110, NULL, 'PTHR48051:SF10', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(174111, NULL, 'PTHR43522:SF5', NULL, NULL, NULL, NULL, 'TRANSKETOLASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(174112, NULL, 'PTHR45969:SF10', NULL, NULL, NULL, NULL, 'BRH1 RING FINGER PROTEIN', NULL, NULL, NULL, 15),
(174113, NULL, 'PTHR21732:SF0', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(174114, NULL, 'PTHR11685:SF267', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ARI10-RELATED', NULL, NULL, NULL, 15),
(174115, NULL, 'PTHR34787', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT VI-2, CHLOROPLASTIC', NULL, NULL, 1824, 15),
(174116, NULL, 'PTHR35373:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG16894', NULL, NULL, NULL, 15),
(174117, NULL, 'PTHR36520:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG13000', NULL, NULL, NULL, 15),
(174118, NULL, 'PTHR10281:SF45', NULL, NULL, NULL, NULL, 'MEMBRANE STEROID-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(174119, NULL, 'PTHR46201', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN MALE MEIOCYTE DEATH 1-RELATED', NULL, NULL, NULL, 15),
(174120, NULL, 'PTHR11375:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174121, NULL, 'PTHR43459', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE', NULL, NULL, NULL, 15),
(174122, NULL, 'PTHR13378:SF1', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR3', NULL, NULL, NULL, 15),
(174123, NULL, 'PTHR31903:SF20', NULL, NULL, NULL, NULL, 'BNAC03G57500D PROTEIN', NULL, NULL, NULL, 15),
(174124, NULL, 'PTHR24006:SF800', NULL, NULL, NULL, NULL, 'PROTEIN CBG01315', NULL, NULL, NULL, 15),
(174125, NULL, 'PTHR48042:SF26', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 11-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(174126, NULL, 'PTHR15314:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P20', NULL, NULL, NULL, 15),
(174127, NULL, 'PTHR12997:SF9', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE-5-PHOSPHATASE L', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174128, NULL, 'PTHR43968:SF12', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(174129, NULL, 'PTHR16263:SF9', NULL, NULL, NULL, NULL, 'BNAA09G29550D PROTEIN', NULL, NULL, NULL, 15),
(174130, NULL, 'PTHR14399:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 47', NULL, NULL, NULL, 15),
(174131, NULL, 'PTHR19422:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174132, NULL, 'PTHR11360:SF260', NULL, NULL, NULL, NULL, 'AGAP001782-PA', NULL, NULL, NULL, 15),
(174133, NULL, 'PTHR18804:SF16', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(174134, NULL, 'PTHR12242:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174135, NULL, 'PTHR47046', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE ASSEMBLY FACTOR 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(174136, NULL, 'PTHR24189:SF59', NULL, NULL, NULL, NULL, 'SI:CH211-203B8.6', NULL, NULL, NULL, 15),
(174137, NULL, 'PTHR31623:SF77', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(174138, NULL, 'PTHR48002:SF50', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(174139, NULL, 'PTHR11377:SF21', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE', NULL, NULL, NULL, 15),
(174140, NULL, 'PTHR12106:SF20', NULL, NULL, NULL, NULL, 'SORTILIN-RELATED RECEPTOR', NULL, NULL, NULL, 15),
(174141, NULL, 'PTHR46617:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX G1B-RELATED', NULL, NULL, NULL, 15),
(174142, NULL, 'PTHR30313:SF2', NULL, NULL, NULL, NULL, 'DNA PRIMASE', NULL, NULL, NULL, 15),
(174143, NULL, 'PTHR16119', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 9087, 15),
(174144, NULL, 'PTHR32419:SF23', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE (EUROFUNG)', NULL, NULL, NULL, 15),
(174145, NULL, 'PTHR46629:SF2', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(174146, NULL, 'PTHR31851:SF65', NULL, NULL, NULL, NULL, 'VACUOLAR IRON TRANSPORTER-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(174147, NULL, 'PTHR36380', NULL, NULL, NULL, NULL, 'BNAA03G58330D PROTEIN', NULL, NULL, 32558, 15),
(174148, NULL, 'PTHR26374:SF411', NULL, NULL, NULL, NULL, 'BNAA07G37620D PROTEIN', NULL, NULL, NULL, 15),
(174149, NULL, 'PTHR34542:SF4', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174150, NULL, 'PTHR48011:SF23', NULL, NULL, NULL, NULL, 'BNAC04G02350D PROTEIN', NULL, NULL, NULL, 15),
(174151, NULL, 'PTHR13058:SF23', NULL, NULL, NULL, NULL, 'POLYMERASE III POLC-TYPE, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(174152, NULL, 'PTHR22802:SF403', NULL, NULL, NULL, NULL, 'PROTEIN CBG11253', NULL, NULL, NULL, 15),
(174153, NULL, 'PTHR13313:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7C, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(174154, NULL, 'PTHR47926:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174155, NULL, 'PTHR45968:SF18', NULL, NULL, NULL, NULL, 'GLUCOSE-METHANOL-CHOLINE (GMC) OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(174156, NULL, 'PTHR46154:SF4', NULL, NULL, NULL, NULL, 'UREA ACTIVE TRANSPORTER', NULL, NULL, NULL, 15),
(174157, NULL, 'PTHR16223:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH83-RELATED', NULL, NULL, NULL, 15),
(174158, NULL, 'PTHR11093:SF6', NULL, NULL, NULL, NULL, 'RUVB-LIKE 1', NULL, NULL, 35505, 15),
(174159, NULL, 'PTHR21191', NULL, NULL, NULL, NULL, 'AQUAPORIN', NULL, NULL, NULL, 15),
(174160, NULL, 'PTHR22993:SF11', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 8-LIKE 2', NULL, NULL, NULL, 15),
(174161, NULL, 'PTHR33830:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174162, NULL, 'PTHR31412', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE EGY1', NULL, NULL, 37824, 15),
(174163, NULL, 'PTHR31225:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174164, NULL, 'PTHR35326', NULL, NULL, NULL, NULL, 'PROTEIN PSBN', NULL, NULL, 5494, 15),
(174165, NULL, 'PTHR47328:SF1', NULL, NULL, NULL, NULL, 'RUTC FAMILY PROTEIN YOAB', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174166, NULL, 'PTHR32028:SF1', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN M', NULL, NULL, NULL, 15),
(174167, NULL, 'PTHR31561:SF65', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(174168, NULL, 'PTHR38777:SF1', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', NULL, NULL, NULL, 15),
(174169, NULL, 'PTHR10288:SF295', NULL, NULL, NULL, NULL, 'NEURO-ONCOLOGICAL VENTRAL ANTIGEN 2', NULL, NULL, NULL, 15),
(174170, NULL, 'PTHR46026:SF1', NULL, NULL, NULL, NULL, 'RHO-TYPE GUANINE NUCLEOTIDE EXCHANGE FACTOR, ISOFORM F', NULL, NULL, NULL, 15),
(174171, NULL, 'PTHR24416:SF565', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR RECEPTOR', NULL, NULL, NULL, 15),
(174172, NULL, 'PTHR31205:SF34', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN', NULL, NULL, NULL, 15),
(174173, NULL, 'PTHR33627:SF1', NULL, NULL, NULL, NULL, 'TRANSPOSASE', NULL, NULL, NULL, 15),
(174174, NULL, 'PTHR33237:SF33', NULL, NULL, NULL, NULL, 'OS05G0588400 PROTEIN', NULL, NULL, NULL, 15),
(174175, NULL, 'PTHR23044:SF60', NULL, NULL, NULL, NULL, 'OS11G0525900 PROTEIN', NULL, NULL, NULL, 15),
(174176, NULL, 'PTHR33985:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174177, NULL, 'PTHR22884', NULL, NULL, NULL, NULL, 'SET DOMAIN PROTEINS', NULL, NULL, NULL, 15),
(174178, NULL, 'PTHR48041:SF54', NULL, NULL, NULL, NULL, 'PIGMENT PERMEASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(174179, NULL, 'PTHR24412:SF304', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 23', NULL, NULL, NULL, 15),
(174180, NULL, 'PTHR21551:SF9', NULL, NULL, NULL, NULL, 'OS02G0295700 PROTEIN', NULL, NULL, NULL, 15),
(174181, NULL, 'PTHR14237:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174182, NULL, 'PTHR43279:SF1', NULL, NULL, NULL, NULL, 'CATECHOL-2,3-DIOXYGENASE', NULL, NULL, NULL, 15),
(174183, NULL, 'PTHR33463:SF76', NULL, NULL, NULL, NULL, 'PROTEIN LAP1-LIKE', NULL, NULL, NULL, 15),
(174184, NULL, 'PTHR11709:SF314', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174185, NULL, 'PTHR10177:SF384', NULL, NULL, NULL, NULL, 'CYCLIN-D3-1', NULL, NULL, NULL, 15),
(174186, NULL, 'PTHR21654:SF78', NULL, NULL, NULL, NULL, 'SANT/MYB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174187, NULL, 'PTHR24282:SF209', NULL, NULL, NULL, NULL, '11-OXO-BETA-AMYRIN 30-OXIDASE-RELATED', NULL, NULL, NULL, 15),
(174188, NULL, 'PTHR31021:SF3', NULL, NULL, NULL, NULL, 'PROTEIN APCDD1-LIKE', NULL, NULL, NULL, 15),
(174189, NULL, 'PTHR24286:SF232', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(174190, NULL, 'PTHR39224:SF1', NULL, NULL, NULL, NULL, 'IGA-INDUCING PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(174191, NULL, 'PTHR26453:SF249', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1511', NULL, NULL, NULL, 15),
(174192, NULL, 'PTHR34676:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174193, NULL, 'PTHR31853:SF1', NULL, NULL, NULL, NULL, 'PSORIASIS SUSCEPTIBILITY 1 CANDIDATE GENE 2 PROTEIN', NULL, NULL, NULL, 15),
(174194, NULL, 'PTHR20932:SF7', NULL, NULL, NULL, NULL, 'AND PUTATIVE PEPTIDOGLYCAN-BINDING DOMAIN-CONTAINING PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(174195, NULL, 'PTHR46133', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, 37483, 15),
(174196, NULL, 'PTHR22947:SF4', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN', NULL, NULL, NULL, 15),
(174197, NULL, 'PTHR24023:SF906', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(IX) CHAIN', NULL, NULL, NULL, 15),
(174198, NULL, 'PTHR45909:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(174199, NULL, 'PTHR43126', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE DIPEPTIDASE', NULL, NULL, NULL, 15),
(174200, NULL, 'PTHR22870:SF344', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN / REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(174201, NULL, 'PTHR48007:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PXC1', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174202, NULL, 'PTHR24148:SF75', NULL, NULL, NULL, NULL, 'HETEROKARYON INCOMPATIBILITY PROTEIN 6, OR ALLELE', NULL, NULL, NULL, 15),
(174203, NULL, 'PTHR10388:SF44', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1', NULL, NULL, NULL, 15),
(174204, NULL, 'PTHR24248:SF142', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR M4', NULL, NULL, 3029, 15),
(174205, NULL, 'PTHR36510:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE 2-RELATED', NULL, NULL, NULL, 15),
(174206, NULL, 'PTHR23294:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174207, NULL, 'PTHR22930:SF193', NULL, NULL, NULL, NULL, 'NUCLEASE HARBI1 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(174208, NULL, 'PTHR26379:SF350', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174209, NULL, 'PTHR35460:SF1', NULL, NULL, NULL, NULL, 'TRNA LIGASE 1', NULL, NULL, NULL, 15),
(174210, NULL, 'PTHR23508:SF10', NULL, NULL, NULL, NULL, 'CARBOXYLIC ACID TRANSPORTER PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(174211, NULL, 'PTHR46392', NULL, NULL, NULL, NULL, 'DUAL SERINE/THREONINE AND TYROSINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(174212, NULL, 'PTHR11945:SF419', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 33', NULL, NULL, NULL, 15),
(174213, NULL, 'PTHR48049:SF21', NULL, NULL, NULL, NULL, 'SOYASAPOGENOL B GLUCURONIDE GALACTOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(174214, NULL, 'PTHR36344', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174215, NULL, 'PTHR11071:SF436', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(174216, NULL, 'PTHR46552', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 2', NULL, NULL, NULL, 15),
(174217, NULL, 'PTHR13771', NULL, NULL, NULL, NULL, 'INTERCELLULAR ADHESION MOLECULE', NULL, NULL, NULL, 15),
(174218, NULL, 'PTHR24393:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174219, NULL, 'PTHR11073:SF16', NULL, NULL, NULL, NULL, 'CALRETICULIN', NULL, NULL, NULL, 15),
(174220, NULL, 'PTHR36023', NULL, NULL, NULL, NULL, 'ARGOS-LIKE PROTEIN', NULL, NULL, 36157, 15),
(174221, NULL, 'PTHR31264:SF17', NULL, NULL, NULL, NULL, 'OSJNBA0042D13.1 PROTEIN', NULL, NULL, NULL, 15),
(174222, NULL, 'PTHR33970:SF1', NULL, NULL, NULL, NULL, 'VIOLAXANTHIN DE-EPOXIDASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(174223, NULL, 'PTHR45801:SF51', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR TAC1-LIKE', NULL, NULL, NULL, 15),
(174224, NULL, 'PTHR45851:SF1', NULL, NULL, NULL, NULL, 'MYC PROTO-ONCOGENE PROTEIN', NULL, NULL, NULL, 15),
(174225, NULL, 'PTHR19269:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174226, NULL, 'PTHR15241:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174227, NULL, 'PTHR30349:SF64', NULL, NULL, NULL, NULL, 'TYROSINE RECOMBINASE XERD', NULL, NULL, NULL, 15),
(174228, NULL, 'PTHR22957:SF558', NULL, NULL, NULL, NULL, 'RAB-GTPASE-TBC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174229, NULL, 'PTHR32295:SF173', NULL, NULL, NULL, NULL, 'BNAANNG27880D PROTEIN', NULL, NULL, NULL, 15),
(174230, NULL, 'PTHR10334:SF73', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN LCCL DOMAIN-CONTAINING 1', NULL, NULL, NULL, 15),
(174231, NULL, 'PTHR31175:SF30', NULL, NULL, NULL, NULL, 'OS09G0546100 PROTEIN', NULL, NULL, NULL, 15),
(174232, NULL, 'PTHR10791:SF197', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET8', NULL, NULL, NULL, 15),
(174233, NULL, 'PTHR30540:SF128', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(174234, NULL, 'PTHR13683:SF841', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(174235, NULL, 'PTHR33728:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174236, NULL, 'PTHR10528:SF18', NULL, NULL, NULL, NULL, 'AF4/FMR2 FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(174237, NULL, 'PTHR11731:SF136', NULL, NULL, NULL, NULL, 'PROLYL ENDOPEPTIDASE FAP', NULL, NULL, 27081, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174238, NULL, 'PTHR31325:SF131', NULL, NULL, NULL, NULL, 'OS04G0137700 PROTEIN', NULL, NULL, NULL, 15),
(174239, NULL, 'PTHR34660:SF4', NULL, NULL, NULL, NULL, 'DNA LIGASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174240, NULL, 'PTHR46984:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 71', NULL, NULL, NULL, 15),
(174241, NULL, 'PTHR32278:SF68', NULL, NULL, NULL, NULL, 'BNAA08G26600D PROTEIN', NULL, NULL, NULL, 15),
(174242, NULL, 'PTHR11818:SF19', NULL, NULL, NULL, NULL, 'BETA-CRYSTALLIN A4', NULL, NULL, 34489, 15),
(174243, NULL, 'PTHR43154:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G00290)-RELATED', NULL, NULL, NULL, 15),
(174244, NULL, 'PTHR31181:SF68', NULL, NULL, NULL, NULL, 'BNAA02G30010D PROTEIN', NULL, NULL, NULL, 15),
(174245, NULL, 'PTHR47196:SF1', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(174246, NULL, 'PTHR24177:SF308', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(174247, NULL, 'PTHR11567:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174248, NULL, 'PTHR31044:SF97', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(174249, NULL, 'PTHR33059:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174250, NULL, 'PTHR15431:SF4', NULL, NULL, NULL, NULL, 'LISH DOMAIN-CONTAINING PROTEIN FOPNL', NULL, NULL, NULL, 15),
(174251, NULL, 'PTHR15315:SF86', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(174252, NULL, 'PTHR10174:SF38', NULL, NULL, NULL, NULL, 'HL01515P', NULL, NULL, NULL, 15),
(174253, NULL, 'PTHR19290:SF134', NULL, NULL, NULL, NULL, 'NEUROG3 PROTEIN-RELATED', NULL, NULL, 22033, 15),
(174254, NULL, 'PTHR32035', NULL, NULL, NULL, NULL, 'AURORA KINASE A-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(174255, NULL, 'PTHR10641:SF1186', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174256, NULL, 'PTHR48002:SF27', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(174257, NULL, 'PTHR48063:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174258, NULL, 'PTHR43515:SF1', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE-LIKE 1', NULL, NULL, NULL, 15),
(174259, NULL, 'PTHR10809:SF118', NULL, NULL, NULL, NULL, 'BNAA06G35540D PROTEIN', NULL, NULL, NULL, 15),
(174260, NULL, 'PTHR36765', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(174261, NULL, 'PTHR31206:SF10', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 177 MEMBER A1', NULL, NULL, NULL, 15),
(174262, NULL, 'PTHR46224:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174263, NULL, 'PTHR32191:SF56', NULL, NULL, NULL, NULL, 'TETRASPANIN-13', NULL, NULL, NULL, 15),
(174264, NULL, 'PTHR47993:SF49', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174265, NULL, 'PTHR34562', NULL, NULL, NULL, NULL, 'WPP DOMAIN-INTERACTING PROTEIN 2', NULL, NULL, 39337, 15),
(174266, NULL, 'PTHR43245:SF6', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DTDP-4-DEHYDRORHAMNOSE 35-EPIMERASE/DTDP-4-DEHYDRORHAMNOSE REDUCTASE', NULL, NULL, NULL, 15),
(174267, NULL, 'PTHR48043:SF113', NULL, NULL, NULL, NULL, 'MCG131371-RELATED', NULL, NULL, NULL, 15),
(174268, NULL, 'PTHR44899', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(174269, NULL, 'PTHR33710:SF33', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(174270, NULL, 'PTHR11945:SF665', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', NULL, NULL, NULL, 15),
(174271, NULL, 'PTHR43363:SF3', NULL, NULL, NULL, NULL, 'XANTHINE-GUANINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(174272, NULL, 'PTHR10334:SF467', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1-8', NULL, NULL, NULL, 15),
(174273, NULL, 'PTHR24230:SF59', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 84', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174274, NULL, 'PTHR12137:SF4', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 12', NULL, NULL, NULL, 15),
(174275, NULL, 'PTHR23249:SF20', NULL, NULL, NULL, NULL, 'BNACNNG03550D PROTEIN', NULL, NULL, NULL, 15),
(174276, NULL, 'PTHR47462', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 5', NULL, NULL, 39704, 15),
(174277, NULL, 'PTHR45695:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 151-RELATED', NULL, NULL, NULL, 15),
(174278, NULL, 'PTHR24055:SF400', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 17', NULL, NULL, NULL, 15),
(174279, NULL, 'PTHR43868', NULL, NULL, NULL, NULL, 'OS02G0711200 PROTEIN', NULL, NULL, NULL, 15),
(174280, NULL, 'PTHR11477', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR S-II ZINC FINGER DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(174281, NULL, 'PTHR47123:SF15', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23', NULL, NULL, NULL, 15),
(174282, NULL, 'PTHR31677:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174283, NULL, 'PTHR42940:SF3', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1-RELATED', NULL, NULL, NULL, 15),
(174284, NULL, 'PTHR13718:SF93', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S2', NULL, NULL, NULL, 15),
(174285, NULL, 'PTHR31165:SF71', NULL, NULL, NULL, NULL, 'PROTEIN G1', NULL, NULL, NULL, 15),
(174286, NULL, 'PTHR35116:SF6', NULL, NULL, NULL, NULL, 'OS02G0625900 PROTEIN', NULL, NULL, NULL, 15),
(174287, NULL, 'PTHR47993:SF9', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(174288, NULL, 'PTHR11097:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174289, NULL, 'PTHR10288:SF243', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(174290, NULL, 'PTHR31561:SF130', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(174291, NULL, 'PTHR19308:SF8', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 7, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(174292, NULL, 'PTHR21052:SF0', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT DIOXYGENASE ALKB HOMOLOG 7, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(174293, NULL, 'PTHR33646:SF2', NULL, NULL, NULL, NULL, 'GB|AAF00631.1', NULL, NULL, NULL, 15),
(174294, NULL, 'PTHR45854:SF3', NULL, NULL, NULL, NULL, 'ARFGAP WITH SH3 DOMAIN, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(174295, NULL, 'PTHR31225:SF82', NULL, NULL, NULL, NULL, 'SESQUITERPENE CYCLASE1', NULL, NULL, NULL, 15),
(174296, NULL, 'PTHR10201:SF143', NULL, NULL, NULL, NULL, 'MATRILYSIN', NULL, NULL, 23491, 15),
(174297, NULL, 'PTHR10293:SF16', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-RELATED PROTEIN 5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(174298, NULL, 'PTHR27001:SF615', NULL, NULL, NULL, NULL, 'PROTEIN STRUBBELIG-RECEPTOR FAMILY 4', NULL, NULL, NULL, 15),
(174299, NULL, 'PTHR46135:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(174300, NULL, 'PTHR27006:SF278', NULL, NULL, NULL, NULL, 'BNACNNG59240D PROTEIN', NULL, NULL, NULL, 15),
(174301, NULL, 'PTHR28141:SF1', NULL, NULL, NULL, NULL, '2'',3''-CYCLIC-NUCLEOTIDE 3''-PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(174302, NULL, 'PTHR16135', NULL, NULL, NULL, NULL, 'REPRESSOR OF YIELD OF DENV PROTEIN', NULL, NULL, 22971, 15),
(174303, NULL, 'PTHR31917:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174304, NULL, 'PTHR45926:SF24', NULL, NULL, NULL, NULL, 'BNAA08G28520D PROTEIN', NULL, NULL, NULL, 15),
(174305, NULL, 'PTHR21495:SF147', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(174306, NULL, 'PTHR44830:SF1', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1 ALPHA', NULL, NULL, NULL, 15),
(174307, NULL, 'PTHR30606:SF9', NULL, NULL, NULL, NULL, 'LIPID A BIOSYNTHESIS LAUROYLTRANSFERASE', NULL, NULL, NULL, 15),
(174308, NULL, 'PTHR48100:SF2', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN', NULL, NULL, NULL, 15),
(174309, NULL, 'PTHR44313', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 17', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174310, NULL, 'PTHR21008', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 20397, 15),
(174311, NULL, 'PTHR46045:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(174312, NULL, 'PTHR11984:SF109', NULL, NULL, NULL, NULL, 'CONNEXIN 28.1-RELATED', NULL, NULL, NULL, 15),
(174313, NULL, 'PTHR47982:SF49', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN KINASE SELMODRAFT_444075', NULL, NULL, NULL, 15),
(174314, NULL, 'PTHR22966:SF47', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 2', NULL, NULL, NULL, 15),
(174315, NULL, 'PTHR20878:SF0', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 25', NULL, NULL, NULL, 15),
(174316, NULL, 'PTHR22589:SF108', NULL, NULL, NULL, NULL, 'ZGC:154046', NULL, NULL, NULL, 15),
(174317, NULL, 'PTHR12419:SF75', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(174318, NULL, 'PTHR24056:SF372', NULL, NULL, NULL, NULL, 'BNAANNG02480D PROTEIN', NULL, NULL, NULL, 15),
(174319, NULL, 'PTHR40240', NULL, NULL, NULL, NULL, 'PLEXUS, ISOFORM A', NULL, NULL, NULL, 15),
(174320, NULL, 'PTHR11461:SF159', NULL, NULL, NULL, NULL, 'PLASMA PROTEASE C1 INHIBITOR', NULL, NULL, 8128, 15),
(174321, NULL, 'PTHR47926:SF193', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(174322, NULL, 'PTHR45650:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174323, NULL, 'PTHR31718:SF42', NULL, NULL, NULL, NULL, 'BNAA09G05940D PROTEIN', NULL, NULL, NULL, 15),
(174324, NULL, 'PTHR13832:SF751', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1H', NULL, NULL, NULL, 15),
(174325, NULL, 'PTHR47944:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174326, NULL, 'PTHR11010:SF79', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(174327, NULL, 'PTHR11717:SF7', NULL, NULL, NULL, NULL, 'LOW MOLECULAR WEIGHT PHOSPHOTYROSINE PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(174328, NULL, 'PTHR28567:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM53A', NULL, NULL, NULL, 15),
(174329, NULL, 'PTHR13947:SF42', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 8', NULL, NULL, NULL, 15),
(174330, NULL, 'PTHR31989:SF253', NULL, NULL, NULL, NULL, 'F5D14.30 PROTEIN', NULL, NULL, NULL, 15),
(174331, NULL, 'PTHR31509:SF42', NULL, NULL, NULL, NULL, 'BPS1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174332, NULL, 'PTHR13483', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(174333, NULL, 'PTHR10502:SF220', NULL, NULL, NULL, NULL, 'ANNEXIN D2', NULL, NULL, NULL, 15),
(174334, NULL, 'PTHR11909:SF384', NULL, NULL, NULL, NULL, 'CASEIN KINASE I-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(174335, NULL, 'PTHR33566:SF5', NULL, NULL, NULL, NULL, 'PROTEIN DEFECTIVE IN MERISTEM SILENCING 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(174336, NULL, 'PTHR24390:SF139', NULL, NULL, NULL, NULL, 'TELOMERE ZINC FINGER-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(174337, NULL, 'PTHR24249:SF402', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 1', NULL, NULL, NULL, 15),
(174338, NULL, 'PTHR15941:SF11', NULL, NULL, NULL, NULL, 'MYOZENIN-1', NULL, NULL, NULL, 15),
(174339, NULL, 'PTHR35601', NULL, NULL, NULL, NULL, 'TOXIN RELE', NULL, NULL, NULL, 15),
(174340, NULL, 'PTHR43156', NULL, NULL, NULL, NULL, 'STAGE II SPORULATION PROTEIN E-RELATED', NULL, NULL, NULL, 15),
(174341, NULL, 'PTHR31132:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174342, NULL, 'PTHR31989:SF372', NULL, NULL, NULL, NULL, 'BNAA07G03200D PROTEIN', NULL, NULL, NULL, 15),
(174343, NULL, 'PTHR42974:SF1', NULL, NULL, NULL, NULL, 'TYPE-3 GLUTAMINE SYNTHETASE', NULL, NULL, NULL, 15),
(174344, NULL, 'PTHR24186:SF29', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174345, NULL, 'PTHR24220:SF654', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELEASING SYSTEM ATP-BINDING PROTEIN LOLD', NULL, NULL, 13399, 15),
(174346, NULL, 'PTHR46072:SF3', NULL, NULL, NULL, NULL, 'AMIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174347, NULL, 'PTHR43800:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-LYSINE N-ACETYLTRANSFERASE YJAB', NULL, NULL, NULL, 15),
(174348, NULL, 'PTHR46347:SF6', NULL, NULL, NULL, NULL, 'BNAC08G14680D PROTEIN', NULL, NULL, NULL, 15),
(174349, NULL, 'PTHR23115', NULL, NULL, NULL, NULL, 'TRANSLATION FACTOR', NULL, NULL, NULL, 15),
(174350, NULL, 'PTHR46986:SF3', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING P-TYPE ATPASE', NULL, NULL, NULL, 15),
(174351, NULL, 'PTHR45829:SF1', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G06780)-RELATED', NULL, NULL, NULL, 15),
(174352, NULL, 'PTHR27006:SF319', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(174353, NULL, 'PTHR46558:SF11', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(174354, NULL, 'PTHR11153:SF21', NULL, NULL, NULL, NULL, 'SIDEROFLEXIN-1', NULL, NULL, NULL, 15),
(174355, NULL, 'PTHR47090', NULL, NULL, NULL, NULL, 'PROTEIN EDS1-RELATED', NULL, NULL, 39908, 15),
(174356, NULL, 'PTHR37900:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174357, NULL, 'PTHR45839:SF25', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', NULL, NULL, NULL, 15),
(174358, NULL, 'PTHR41152:SF8', NULL, NULL, NULL, NULL, 'AT26438P-RELATED', NULL, NULL, NULL, 15),
(174359, NULL, 'PTHR10113:SF12', NULL, NULL, NULL, NULL, 'OS01G0939500 PROTEIN', NULL, NULL, NULL, 15),
(174360, NULL, 'PTHR34150', NULL, NULL, NULL, NULL, 'PROTEIN CBG08832-RELATED', NULL, NULL, NULL, 15),
(174361, NULL, 'PTHR43697', NULL, NULL, NULL, NULL, 'SERYL-TRNA SYNTHETASE', NULL, NULL, 6637, 15),
(174362, NULL, 'PTHR21652:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174363, NULL, 'PTHR21963:SF1', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 17', NULL, NULL, NULL, 15),
(174364, NULL, 'PTHR31213:SF151', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE, START-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174365, NULL, 'PTHR45648:SF48', NULL, NULL, NULL, NULL, 'OS03G0581400 PROTEIN', NULL, NULL, NULL, 15),
(174366, NULL, 'PTHR45846', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(47) SYNTHASE [NAD(P)(+)]-LIKE', NULL, NULL, NULL, 15),
(174367, NULL, 'PTHR31050:SF3', NULL, NULL, NULL, NULL, 'OS08G0413200 PROTEIN', NULL, NULL, NULL, 15),
(174368, NULL, 'PTHR24377:SF301', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 28', NULL, NULL, NULL, 15),
(174369, NULL, 'PTHR38530', NULL, NULL, NULL, NULL, 'OS06G0468300 PROTEIN', NULL, NULL, NULL, 15),
(174370, NULL, 'PTHR21037:SF3', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L14, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(174371, NULL, 'PTHR11639:SF135', NULL, NULL, NULL, NULL, 'UPF0607 PROTEIN ENSP00000381514-RELATED', NULL, NULL, NULL, 15),
(174372, NULL, 'PTHR12174:SF85', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 2', NULL, NULL, NULL, 15),
(174373, NULL, 'PTHR34375:SF2', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(174374, NULL, 'PTHR28643:SF1', NULL, NULL, NULL, NULL, 'SWI5-DEPENDENT RECOMBINATION DNA REPAIR PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(174375, NULL, 'PTHR48011:SF67', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA-LIKE', NULL, NULL, NULL, 15),
(174376, NULL, 'PTHR18953:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174377, NULL, 'PTHR39867:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174378, NULL, 'PTHR10783:SF104', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 10', NULL, NULL, NULL, 15),
(174379, NULL, 'PTHR26450:SF160', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 553', NULL, NULL, NULL, 15),
(174380, NULL, 'PTHR11802:SF209', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(174381, NULL, 'PTHR23148:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174382, NULL, 'PTHR11994:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174383, NULL, 'PTHR46040:SF3', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN 2', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174384, NULL, 'PTHR21601:SF0', NULL, NULL, NULL, NULL, 'PROTEIN SPA2-RELATED', NULL, NULL, NULL, 15),
(174385, NULL, 'PTHR33480:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-117M1.4', NULL, NULL, NULL, 15),
(174386, NULL, 'PTHR34465:SF5', NULL, NULL, NULL, NULL, 'OS11G0598900 PROTEIN', NULL, NULL, NULL, 15),
(174387, NULL, 'PTHR10380:SF197', NULL, NULL, NULL, NULL, 'CUTICLE PROTEIN DCP2-RELATED', NULL, NULL, NULL, 15),
(174388, NULL, 'PTHR11229:SF13', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(174389, NULL, 'PTHR24141:SF1', NULL, NULL, NULL, NULL, '2-5A-DEPENDENT RIBONUCLEASE', NULL, NULL, NULL, 15),
(174390, NULL, 'PTHR43791:SF75', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00110)-RELATED', NULL, NULL, NULL, 15),
(174391, NULL, 'PTHR20889:SF23', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(174392, NULL, 'PTHR48049:SF76', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71B6', NULL, NULL, NULL, 15),
(174393, NULL, 'PTHR45700:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN-PROTEIN LIGASE E3B', NULL, NULL, NULL, 15),
(174394, NULL, 'PTHR31235:SF349', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(174395, NULL, 'PTHR11746:SF264', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174396, NULL, 'PTHR21304:SF6', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC10', NULL, NULL, NULL, 15),
(174397, NULL, 'PTHR27006:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174398, NULL, 'PTHR31896:SF51', NULL, NULL, NULL, NULL, 'BNAC02G01430D PROTEIN', NULL, NULL, NULL, 15),
(174399, NULL, 'PTHR33146:SF2', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 2', NULL, NULL, NULL, 15),
(174400, NULL, 'PTHR10226:SF8', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 4', NULL, NULL, NULL, 15),
(174401, NULL, 'PTHR46057:SF31', NULL, NULL, NULL, NULL, 'BNAA09G38310D PROTEIN', NULL, NULL, NULL, 15),
(174402, NULL, 'PTHR33598:SF10', NULL, NULL, NULL, NULL, 'HOP-INTERACTING PROTEIN THI043', NULL, NULL, NULL, 15),
(174403, NULL, 'PTHR11474:SF115', NULL, NULL, NULL, NULL, 'OS04G0624500 PROTEIN', NULL, NULL, NULL, 15),
(174404, NULL, 'PTHR22765:SF184', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(174405, NULL, 'PTHR24296:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174406, NULL, 'PTHR10366:SF587', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(174407, NULL, 'PTHR46011:SF27', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-11', NULL, NULL, NULL, 15),
(174408, NULL, 'PTHR23324:SF39', NULL, NULL, NULL, NULL, 'SEC14-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(174409, NULL, 'PTHR11746:SF256', NULL, NULL, NULL, NULL, 'BNAA02G18290D PROTEIN', NULL, NULL, NULL, 15),
(174410, NULL, 'PTHR44813', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(174411, NULL, 'PTHR31450:SF3', NULL, NULL, NULL, NULL, 'TYPE III ENDOSOME MEMBRANE PROTEIN TEMP', NULL, NULL, 33537, 15),
(174412, NULL, 'PTHR31190:SF164', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1A-LIKE', NULL, NULL, NULL, 15),
(174413, NULL, 'PTHR14149:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174414, NULL, 'PTHR11783:SF64', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(174415, NULL, 'PTHR35134', NULL, NULL, NULL, NULL, 'NUCLEOTIDASE YQFW-RELATED', NULL, NULL, NULL, 15),
(174416, NULL, 'PTHR34835:SF13', NULL, NULL, NULL, NULL, 'OS07G0283600 PROTEIN', NULL, NULL, NULL, 15),
(174417, NULL, 'PTHR31657:SF60', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF062-LIKE', NULL, NULL, NULL, 15),
(174418, NULL, 'PTHR10075:SF30', NULL, NULL, NULL, NULL, 'PALLADIN', NULL, NULL, NULL, 15),
(174419, NULL, 'PTHR23113:SF26', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR 5', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174420, NULL, 'PTHR24377:SF859', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 578', NULL, NULL, NULL, 15),
(174421, NULL, 'PTHR19302:SF62', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT', NULL, NULL, NULL, 15),
(174422, NULL, 'PTHR10663:SF354', NULL, NULL, NULL, NULL, 'ARF GUANINE-NUCLEOTIDE EXCHANGE FACTOR GNOM-LIKE', NULL, NULL, NULL, 15),
(174423, NULL, 'PTHR34551', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174424, NULL, 'PTHR47993:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174425, NULL, 'PTHR36504', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE EXPORT SYSTEM PROTEIN LPTA', NULL, NULL, NULL, 15),
(174426, NULL, 'PTHR12542:SF116', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(174427, NULL, 'PTHR46084:SF19', NULL, NULL, NULL, NULL, 'OS04G0534200 PROTEIN', NULL, NULL, NULL, 15),
(174428, NULL, 'PTHR24320:SF231', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE TIC 32, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(174429, NULL, 'PTHR43572:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174430, NULL, 'PTHR27003:SF326', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174431, NULL, 'PTHR11935:SF139', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(174432, NULL, 'PTHR11132:SF289', NULL, NULL, NULL, NULL, 'OS03G0622700 PROTEIN', NULL, NULL, NULL, 15),
(174433, NULL, 'PTHR10209:SF460', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE', NULL, NULL, NULL, 15),
(174434, NULL, 'PTHR12874:SF23', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 48', NULL, NULL, NULL, 15),
(174435, NULL, 'PTHR11017:SF418', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RML1B', NULL, NULL, NULL, 15),
(174436, NULL, 'PTHR14928', NULL, NULL, NULL, NULL, 'ROTAVIRUS ''X'' ASSOCIATED NON-STRUCTURAL PROTEIN/ZINC FINGER CCCH DOMAIN CONTAINING 7', NULL, NULL, 30500, 15),
(174437, NULL, 'PTHR43874:SF97', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR15', NULL, NULL, NULL, 15),
(174438, NULL, 'PTHR31087:SF21', NULL, NULL, NULL, NULL, 'OS05G0484800 PROTEIN', NULL, NULL, NULL, 15),
(174439, NULL, 'PTHR43876:SF17', NULL, NULL, NULL, NULL, 'NEOXANTHIN SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(174440, NULL, 'PTHR11528:SF87', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP 90-ALPHA-RELATED', NULL, NULL, NULL, 15),
(174441, NULL, 'PTHR33090:SF62', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(174442, NULL, 'PTHR33165:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174443, NULL, 'PTHR36594:SF1', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(174444, NULL, 'PTHR11764:SF67', NULL, NULL, NULL, NULL, 'ALPHA/BETA AMYRIN SYNTHASE', NULL, NULL, NULL, 15),
(174445, NULL, 'PTHR10270:SF231', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-2', NULL, NULL, 22317, 15),
(174446, NULL, 'PTHR11552:SF219', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174447, NULL, 'PTHR10015:SF292', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-4C-LIKE', NULL, NULL, NULL, 15),
(174448, NULL, 'PTHR23244:SF451', NULL, NULL, NULL, NULL, 'ZMP:0000001301', NULL, NULL, NULL, 15),
(174449, NULL, 'PTHR10168:SF202', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C1 PROTEIN', NULL, NULL, NULL, 15),
(174450, NULL, 'PTHR42647:SF27', NULL, NULL, NULL, NULL, 'SBP (S-RIBONUCLEASE BINDING PROTEIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(174451, NULL, 'PTHR13793:SF107', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 14', NULL, NULL, NULL, 15),
(174452, NULL, 'PTHR34105', NULL, NULL, NULL, NULL, 'PROLINE-, GLUTAMIC ACID- AND LEUCINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(174453, NULL, 'PTHR46924:SF3', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR-LIKE PROTEIN C-RELATED', NULL, NULL, NULL, 15),
(174454, NULL, 'PTHR12548:SF18', NULL, NULL, NULL, NULL, 'DP TF', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174455, NULL, 'PTHR28174', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L36, MITOCHONDRIAL', NULL, NULL, 10991, 15),
(174456, NULL, 'PTHR24281:SF48', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(174457, NULL, 'PTHR24637:SF267', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', NULL, NULL, NULL, 15),
(174458, NULL, 'PTHR12620', NULL, NULL, NULL, NULL, 'U2 SNRNP AUXILIARY FACTOR, SMALL SUBUNIT', NULL, NULL, 10984, 15),
(174459, NULL, 'PTHR10736:SF3', NULL, NULL, NULL, NULL, 'BESTROPHIN-4', NULL, NULL, NULL, 15),
(174460, NULL, 'PTHR13832:SF540', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174461, NULL, 'PTHR23502:SF60', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G03040)-RELATED', NULL, NULL, NULL, 15),
(174462, NULL, 'PTHR24068:SF213', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G15570)-RELATED', NULL, NULL, NULL, 15),
(174463, NULL, 'PTHR24064:SF474', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174464, NULL, 'PTHR26391:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174465, NULL, 'PTHR24083:SF49', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 2 GROUP C MEMBER 1', NULL, NULL, NULL, 15),
(174466, NULL, 'PTHR11715:SF10', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN', NULL, NULL, NULL, 15),
(174467, NULL, 'PTHR31517:SF21', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(174468, NULL, 'PTHR22952:SF175', NULL, NULL, NULL, NULL, 'PROTEIN ABSCISIC ACID-INSENSITIVE 5', NULL, NULL, NULL, 15),
(174469, NULL, 'PTHR35091', NULL, NULL, NULL, NULL, 'FLAGELLAR PROTEIN FLIL', NULL, NULL, 583, 15),
(174470, NULL, 'PTHR11062:SF217', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(174471, NULL, 'PTHR13935:SF41', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ORG2-RELATED', NULL, NULL, NULL, 15),
(174472, NULL, 'PTHR24093:SF439', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 8, PLASMA MEMBRANE-TYPE', NULL, NULL, NULL, 15),
(174473, NULL, 'PTHR32285:SF37', NULL, NULL, NULL, NULL, 'OS05G0354400 PROTEIN', NULL, NULL, NULL, 15),
(174474, NULL, 'PTHR36010:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C BIOGENESIS FC', NULL, NULL, NULL, 15),
(174475, NULL, 'PTHR13887:SF33', NULL, NULL, NULL, NULL, 'ISOMERASE-RELATED', NULL, NULL, NULL, 15),
(174476, NULL, 'PTHR34124:SF2', NULL, NULL, NULL, NULL, 'F16B3.27 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174477, NULL, 'PTHR34457', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 2410', NULL, NULL, NULL, 15),
(174478, NULL, 'PTHR27005:SF347', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE, ERK3/4-RELATED', NULL, NULL, NULL, 15),
(174479, NULL, 'PTHR31187:SF6', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(174480, NULL, 'PTHR30061:SF50', NULL, NULL, NULL, NULL, 'MALTOSE/MALTODEXTRIN-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(174481, NULL, 'PTHR11926:SF1329', NULL, NULL, NULL, NULL, 'OS07G0241500 PROTEIN', NULL, NULL, NULL, 15),
(174482, NULL, 'PTHR23055:SF168', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE ACTIVATOR 1G', NULL, NULL, NULL, 15),
(174483, NULL, 'PTHR31677:SF143', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174484, NULL, 'PTHR43245:SF32', NULL, NULL, NULL, NULL, 'BNAA08G27100D PROTEIN', NULL, NULL, NULL, 15),
(174485, NULL, 'PTHR19328:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174486, NULL, 'PTHR22776', NULL, NULL, NULL, NULL, 'MARVEL-CONTAINING POTENTIAL LIPID RAFT-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(174487, NULL, 'PTHR39532:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174488, NULL, 'PTHR31803:SF19', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE', NULL, NULL, NULL, 15),
(174489, NULL, 'PTHR31827:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174490, NULL, 'PTHR11036', NULL, NULL, NULL, NULL, 'SEMAPHORIN', NULL, NULL, 22266, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174491, NULL, 'PTHR13318:SF173', NULL, NULL, NULL, NULL, 'OS06G0605900 PROTEIN', NULL, NULL, NULL, 15),
(174492, NULL, 'PTHR23157:SF26', NULL, NULL, NULL, NULL, 'GRIP AND COILED-COIL DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(174493, NULL, 'PTHR18966:SF377', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, NMDA 1', NULL, NULL, NULL, 15),
(174494, NULL, 'PTHR46049:SF4', NULL, NULL, NULL, NULL, 'MYOSIN X,-LIKE 1', NULL, NULL, NULL, 15),
(174495, NULL, 'PTHR47704', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER KIMA', NULL, NULL, NULL, 15),
(174496, NULL, 'PTHR11581:SF33', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', NULL, NULL, NULL, 15),
(174497, NULL, 'PTHR23077:SF169', NULL, NULL, NULL, NULL, 'BNAC01G38940D PROTEIN', NULL, NULL, NULL, 15),
(174498, NULL, 'PTHR36264:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174499, NULL, 'PTHR22961:SF15', NULL, NULL, NULL, NULL, 'TRIBBLES HOMOLOG 2', NULL, NULL, NULL, 15),
(174500, NULL, 'PTHR31741:SF58', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONAN I RHAMNOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(174501, NULL, 'PTHR24247:SF202', NULL, NULL, NULL, NULL, 'SEROTONIN/OCTOPAMINE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(174502, NULL, 'PTHR42884:SF16', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE SUBTILISIN/KEXIN TYPE 4', NULL, NULL, NULL, 15),
(174503, NULL, 'PTHR12174:SF73', NULL, NULL, NULL, NULL, 'PEPTIDASE A22B, SIGNAL PEPTIDE PEPTIDASE', NULL, NULL, NULL, 15),
(174504, NULL, 'PTHR10209:SF725', NULL, NULL, NULL, NULL, 'BNAA08G29880D PROTEIN', NULL, NULL, NULL, 15),
(174505, NULL, 'PTHR15574:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174506, NULL, 'PTHR31345:SF3', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN Q', NULL, NULL, NULL, 15),
(174507, NULL, 'PTHR24067:SF310', NULL, NULL, NULL, NULL, 'UBC2', NULL, NULL, NULL, 15),
(174508, NULL, 'PTHR38013:SF1', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN/POLYSACCHARIDE METABOLISM', NULL, NULL, NULL, 15),
(174509, NULL, 'PTHR46146:SF7', NULL, NULL, NULL, NULL, 'OS11G0664000 PROTEIN', NULL, NULL, NULL, 15),
(174510, NULL, 'PTHR21329', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT Q-RELATED', NULL, NULL, 1437, 15),
(174511, NULL, 'PTHR19139:SF34', NULL, NULL, NULL, NULL, 'AQUAPORIN-4', NULL, NULL, NULL, 15),
(174512, NULL, 'PTHR24023:SF861', NULL, NULL, NULL, NULL, 'ACETYLCHOLINESTERASE COLLAGENIC TAIL PEPTIDE', NULL, NULL, NULL, 15),
(174513, NULL, 'PTHR23076:SF118', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(174514, NULL, 'PTHR32175:SF23', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(174515, NULL, 'PTHR31997:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM149A', NULL, NULL, NULL, 15),
(174516, NULL, 'PTHR46128:SF247', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(174517, NULL, 'PTHR45811:SF56', NULL, NULL, NULL, NULL, 'BNAA02G10700D PROTEIN', NULL, NULL, NULL, 15),
(174518, NULL, 'PTHR31241:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174519, NULL, 'PTHR11783:SF272', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(174520, NULL, 'PTHR12111:SF4', NULL, NULL, NULL, NULL, 'CELL CYCLE CONTROL PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174521, NULL, 'PTHR45834:SF7', NULL, NULL, NULL, NULL, 'RHOGEF DOMAIN-CONTAINING PROTEIN GXCJ', NULL, NULL, NULL, 15),
(174522, NULL, 'PTHR27009:SF181', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(174523, NULL, 'PTHR32309:SF16', NULL, NULL, NULL, NULL, 'ECA POLYSACCHARIDE CHAIN LENGTH MODULATION PROTEIN', NULL, NULL, NULL, 15),
(174524, NULL, 'PTHR45974:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174525, NULL, 'PTHR24177:SF176', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174526, NULL, 'PTHR10972:SF102', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 9', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174527, NULL, 'PTHR43391:SF69', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE-LIKE 6', NULL, NULL, NULL, 15),
(174528, NULL, 'PTHR11749:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174529, NULL, 'PTHR22872:SF3', NULL, NULL, NULL, NULL, 'RCC1 AND BTB DOMAIN CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(174530, NULL, 'PTHR45765:SF7', NULL, NULL, NULL, NULL, 'BNAANNG08940D PROTEIN', NULL, NULL, NULL, 15),
(174531, NULL, 'PTHR22924:SF92', NULL, NULL, NULL, NULL, 'NON-SYMBIOTIC HEMOGLOBIN 2', NULL, NULL, NULL, 15),
(174532, NULL, 'PTHR21277:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174533, NULL, 'PTHR23430:SF290', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(174534, NULL, 'PTHR12220:SF13', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L16, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(174535, NULL, 'PTHR43410:SF1', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE OXYGENASE', NULL, NULL, NULL, 15),
(174536, NULL, 'PTHR12290:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 2', NULL, NULL, NULL, 15),
(174537, NULL, 'PTHR13140:SF709', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-XV', NULL, NULL, NULL, 15),
(174538, NULL, 'PTHR22847:SF714', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE RECEPTOR ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(174539, NULL, 'PTHR27009:SF159', NULL, NULL, NULL, NULL, 'OS01G0115800 PROTEIN', NULL, NULL, NULL, 15),
(174540, NULL, 'PTHR11603', NULL, NULL, NULL, NULL, 'AAA FAMILY ATPASE', NULL, NULL, NULL, 15),
(174541, NULL, 'PTHR46519', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(174542, NULL, 'PTHR13291:SF1', NULL, NULL, NULL, NULL, 'JOSEPHIN-1', NULL, NULL, NULL, 15),
(174543, NULL, 'PTHR44094:SF16', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 10-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(174544, NULL, 'PTHR22814:SF327', NULL, NULL, NULL, NULL, 'BNAC07G13390D PROTEIN', NULL, NULL, NULL, 15),
(174545, NULL, 'PTHR34714:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174546, NULL, 'PTHR11206:SF335', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(174547, NULL, 'PTHR17490:SF8', NULL, NULL, NULL, NULL, 'THREONYLCARBAMOYL-AMP SYNTHASE', NULL, NULL, 17295, 15),
(174548, NULL, 'PTHR23294:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG04461', NULL, NULL, NULL, 15),
(174549, NULL, 'PTHR47947:SF21', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', NULL, NULL, NULL, 15),
(174550, NULL, 'PTHR22625:SF37', NULL, NULL, NULL, NULL, 'PLEXIN-A2', NULL, NULL, NULL, 15),
(174551, NULL, 'PTHR11871:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE PP2A 55 KDA REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(174552, NULL, 'PTHR47111:SF1', NULL, NULL, NULL, NULL, 'BCDNA.LD29892', NULL, NULL, NULL, 15),
(174553, NULL, 'PTHR35040', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 20522, 15),
(174554, NULL, 'PTHR26379:SF361', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174555, NULL, 'PTHR16223:SF254', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH123-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(174556, NULL, 'PTHR31989:SF282', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 41-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(174557, NULL, 'PTHR24073:SF899', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-6.1', NULL, NULL, NULL, 15),
(174558, NULL, 'PTHR15001:SF10', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 135', NULL, NULL, NULL, 15),
(174559, NULL, 'PTHR10612:SF47', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED', NULL, NULL, NULL, 15),
(174560, NULL, 'PTHR30265:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION/ANTITERMINATION PROTEIN NUSG', NULL, NULL, 1104, 15),
(174561, NULL, 'PTHR31415:SF92', NULL, NULL, NULL, NULL, 'PROTEIN 1 (HIN1), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(174562, NULL, 'PTHR32295:SF190', NULL, NULL, NULL, NULL, 'BNAC03G78010D PROTEIN', NULL, NULL, NULL, 15),
(174563, NULL, 'PTHR34572:SF8', NULL, NULL, NULL, NULL, 'BNAC09G31710D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174564, NULL, 'PTHR46033:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM HOMOLOG', NULL, NULL, NULL, 15),
(174565, NULL, 'PTHR45619', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-RELATED', NULL, NULL, NULL, 15),
(174566, NULL, 'PTHR24271:SF82', NULL, NULL, NULL, NULL, 'SI:CH211-212D10.1', NULL, NULL, NULL, 15),
(174567, NULL, 'PTHR38909', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174568, NULL, 'PTHR15561:SF1', NULL, NULL, NULL, NULL, 'BNAA09G06290D PROTEIN', NULL, NULL, NULL, 15),
(174569, NULL, 'PTHR45782:SF1', NULL, NULL, NULL, NULL, 'DAR GTPASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(174570, NULL, 'PTHR39214:SF1', NULL, NULL, NULL, NULL, 'MICROBODY (PEROXISOME) BIOGENESIS PROTEIN PEROXIN 8 (EUROFUNG)', NULL, NULL, NULL, 15),
(174571, NULL, 'PTHR48034:SF14', NULL, NULL, NULL, NULL, 'TRANSFORMER-2 PROTEIN HOMOLOG ALPHA', NULL, NULL, NULL, 15),
(174572, NULL, 'PTHR24414:SF91', NULL, NULL, NULL, NULL, 'BNAC03G76980D PROTEIN', NULL, NULL, NULL, 15),
(174573, NULL, 'PTHR13803:SF39', NULL, NULL, NULL, NULL, 'OS04G0129500 PROTEIN', NULL, NULL, NULL, 15),
(174574, NULL, 'PTHR34197:SF1', NULL, NULL, NULL, NULL, 'OS02G0693000 PROTEIN', NULL, NULL, NULL, 15),
(174575, NULL, 'PTHR22974:SF21', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE TTK', NULL, NULL, 27621, 15),
(174576, NULL, 'PTHR24353:SF58', NULL, NULL, NULL, NULL, 'LP05330P', NULL, NULL, NULL, 15),
(174577, NULL, 'PTHR47154:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR MTH-RELATED', NULL, NULL, NULL, 15),
(174578, NULL, 'PTHR28520:SF9', NULL, NULL, NULL, NULL, 'MITOTIC-SPINDLE ORGANIZING PROTEIN 1B', NULL, NULL, NULL, 15),
(174579, NULL, 'PTHR18945:SF415', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', NULL, NULL, NULL, 15),
(174580, NULL, 'PTHR31899:SF15', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(174581, NULL, 'PTHR11132:SF426', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_2G17760)', NULL, NULL, NULL, 15),
(174582, NULL, 'PTHR48100:SF30', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(174583, NULL, 'PTHR10570:SF5', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD3 DELTA CHAIN', NULL, NULL, 9348, 15),
(174584, NULL, 'PTHR11905', NULL, NULL, NULL, NULL, 'ADAM  A DISINTEGRIN AND METALLOPROTEASE DOMAIN', NULL, NULL, NULL, 15),
(174585, NULL, 'PTHR36782:SF3', NULL, NULL, NULL, NULL, 'BNAA03G46320D PROTEIN', NULL, NULL, NULL, 15),
(174586, NULL, 'PTHR45969:SF11', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(174587, NULL, 'PTHR33470:SF20', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(174588, NULL, 'PTHR16675:SF147', NULL, NULL, NULL, NULL, 'HISTOCOMPATIBILITY ANTIGEN 60B-RELATED', NULL, NULL, NULL, 15),
(174589, NULL, 'PTHR31458:SF10', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE 1 BETA-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(174590, NULL, 'PTHR46560:SF9', NULL, NULL, NULL, NULL, 'AGAP003317-PA', NULL, NULL, NULL, 15),
(174591, NULL, 'PTHR36290:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA D630039A03 GENE', NULL, NULL, NULL, 15),
(174592, NULL, 'PTHR10250:SF4', NULL, NULL, NULL, NULL, 'LEUKOTRIENE C4 SYNTHASE', NULL, NULL, NULL, 15),
(174593, NULL, 'PTHR12489:SF19', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 2 PROTEIN', NULL, NULL, NULL, 15),
(174594, NULL, 'PTHR24356:SF368', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PKH1-RELATED', NULL, NULL, NULL, 15),
(174595, NULL, 'PTHR31949:SF21', NULL, NULL, NULL, NULL, 'OS05G0316300 PROTEIN', NULL, NULL, NULL, 15),
(174596, NULL, 'PTHR34838:SF3', NULL, NULL, NULL, NULL, 'OS08G0142100 PROTEIN', NULL, NULL, NULL, 15),
(174597, NULL, 'PTHR31087:SF85', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 7', NULL, NULL, NULL, 15),
(174598, NULL, 'PTHR45663:SF24', NULL, NULL, NULL, NULL, 'THIOREDOXIN-1-LIKE', NULL, NULL, NULL, 15),
(174599, NULL, 'PTHR47967:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174600, NULL, 'PTHR23024:SF506', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174601, NULL, 'PTHR12542:SF91', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(174602, NULL, 'PTHR46020:SF23', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN APG, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(174603, NULL, 'PTHR33103:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174604, NULL, 'PTHR31874:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174605, NULL, 'PTHR24343:SF338', NULL, NULL, NULL, NULL, 'HORMONALLY UP-REGULATED NEU TUMOR-ASSOCIATED KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174606, NULL, 'PTHR10805:SF3', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT EPSILON-1', NULL, NULL, NULL, 15),
(174607, NULL, 'PTHR31351:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE BINDING PROTEIN', NULL, NULL, NULL, 15),
(174608, NULL, 'PTHR12300:SF115', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174609, NULL, 'PTHR30406:SF10', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORT SYSTEM PERMEASE PROTEIN CYST', NULL, NULL, 14230, 15),
(174610, NULL, 'PTHR18919:SF163', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACETOACETYL-COENZYME A THIOLASE', NULL, NULL, NULL, 15),
(174611, NULL, 'PTHR45751:SF14', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(174612, NULL, 'PTHR24056:SF394', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174613, NULL, 'PTHR44083:SF9', NULL, NULL, NULL, NULL, 'PROTEIN TOPLESS', NULL, NULL, NULL, 15),
(174614, NULL, 'PTHR35978:SF1', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN M', NULL, NULL, NULL, 15),
(174615, NULL, 'PTHR21266:SF19', NULL, NULL, NULL, NULL, 'CHLOROPHYLLIDE A OXYGENASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(174616, NULL, 'PTHR31294', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174617, NULL, 'PTHR42679', NULL, NULL, NULL, NULL, 'S-METHYL-5''-THIOADENOSINE PHOSPHORYLASE', NULL, NULL, 5260, 15),
(174618, NULL, 'PTHR23122:SF45', NULL, NULL, NULL, NULL, 'MAGUK P55 SUBFAMILY MEMBER 6', NULL, NULL, NULL, 15),
(174619, NULL, 'PTHR42342:SF1', NULL, NULL, NULL, NULL, 'STATIONARY PHASE PROTEIN 5', NULL, NULL, NULL, 15),
(174620, NULL, 'PTHR31681:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174621, NULL, 'PTHR16717:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 8C, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(174622, NULL, 'PTHR11875:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174623, NULL, 'PTHR10994:SF161', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174624, NULL, 'PTHR43625:SF31', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(174625, NULL, 'PTHR45644:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174626, NULL, 'PTHR11999:SF152', NULL, NULL, NULL, NULL, 'TYROSINE DECARBOXYLASE 2-RELATED', NULL, NULL, NULL, 15),
(174627, NULL, 'PTHR10277:SF70', NULL, NULL, NULL, NULL, 'ALDOLASE-TYPE TIM BARREL-RELATED', NULL, NULL, NULL, 15),
(174628, NULL, 'PTHR31215:SF21', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(174629, NULL, 'PTHR27002:SF402', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174630, NULL, 'PTHR42763:SF2', NULL, NULL, NULL, NULL, 'ADP-GLUCOSE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(174631, NULL, 'PTHR24373:SF275', NULL, NULL, NULL, NULL, 'CD180 ANTIGEN', NULL, NULL, NULL, 15),
(174632, NULL, 'PTHR24349:SF390', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174633, NULL, 'PTHR47751:SF1', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G16580)-RELATED', NULL, NULL, NULL, 15),
(174634, NULL, 'PTHR13763:SF9', NULL, NULL, NULL, NULL, 'BRCA1-ASSOCIATED RING DOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(174635, NULL, 'PTHR33053:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174636, NULL, 'PTHR23074:SF65', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A-LIKE 1', NULL, NULL, NULL, 15),
(174637, NULL, 'PTHR14758:SF1', NULL, NULL, NULL, NULL, 'AGAP005440-PA', NULL, NULL, NULL, 15),
(174638, NULL, 'PTHR46232:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174639, NULL, 'PTHR31280:SF20', NULL, NULL, NULL, NULL, 'F19P19.6 PROTEIN', NULL, NULL, NULL, 15),
(174640, NULL, 'PTHR24103:SF393', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM58', NULL, NULL, NULL, 15),
(174641, NULL, 'PTHR11955:SF58', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(174642, NULL, 'PTHR10245:SF116', NULL, NULL, NULL, NULL, 'MULTIPROTEIN-BRIDGING FACTOR 1B-LIKE', NULL, NULL, NULL, 15),
(174643, NULL, 'PTHR10438:SF403', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174644, NULL, 'PTHR44936:SF5', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN CREC', NULL, NULL, NULL, 15),
(174645, NULL, 'PTHR36142', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174646, NULL, 'PTHR37217:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(174647, NULL, 'PTHR13780:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174648, NULL, 'PTHR37736:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174649, NULL, 'PTHR24388:SF41', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 646', NULL, NULL, NULL, 15),
(174650, NULL, 'PTHR45977:SF25', NULL, NULL, NULL, NULL, 'BNAC08G15700D PROTEIN', NULL, NULL, NULL, 15),
(174651, NULL, 'PTHR45614:SF177', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN B-LIKE', NULL, NULL, NULL, 15),
(174652, NULL, 'PTHR11003:SF18', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL SUBFAMILY K MEMBER 15', NULL, NULL, NULL, 15),
(174653, NULL, 'PTHR24356:SF150', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED SERINE/THREONINE-PROTEIN KINASE 1', NULL, NULL, 26981, 15),
(174654, NULL, 'PTHR46929:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174655, NULL, 'PTHR24296:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 96, SUBFAMILY A, POLYPEPTIDE 10', NULL, NULL, NULL, 15),
(174656, NULL, 'PTHR10902:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174657, NULL, 'PTHR31213:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174658, NULL, 'PTHR47479:SF2', NULL, NULL, NULL, NULL, 'OS05G0393200 PROTEIN', NULL, NULL, NULL, 15),
(174659, NULL, 'PTHR37476:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 171', NULL, NULL, NULL, 15),
(174660, NULL, 'PTHR21704:SF18', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174661, NULL, 'PTHR19353:SF65', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE HEME/STEROID BINDING DOMAIN', NULL, NULL, NULL, 15),
(174662, NULL, 'PTHR23259:SF62', NULL, NULL, NULL, NULL, 'SPERM ACTIVATION WITHOUT MATING', NULL, NULL, NULL, 15),
(174663, NULL, 'PTHR24093:SF464', NULL, NULL, NULL, NULL, 'ATPASE, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(174664, NULL, 'PTHR23515:SF21', NULL, NULL, NULL, NULL, 'HIGH AFFINITY NITRATE TRANSPORTER 2.4-LIKE', NULL, NULL, NULL, 15),
(174665, NULL, 'PTHR14154:SF58', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', NULL, NULL, NULL, 15),
(174666, NULL, 'PTHR28208', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE APP1', NULL, NULL, NULL, 15),
(174667, NULL, 'PTHR23267:SF414', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174668, NULL, 'PTHR32134:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174669, NULL, 'PTHR45717:SF39', NULL, NULL, NULL, NULL, 'BNACNNG47780D PROTEIN', NULL, NULL, NULL, 15),
(174670, NULL, 'PTHR22870:SF389', NULL, NULL, NULL, NULL, 'BNAC09G21720D PROTEIN', NULL, NULL, NULL, 15),
(174671, NULL, 'PTHR15818', NULL, NULL, NULL, NULL, 'G PATCH AND KOW-CONTAINING', NULL, NULL, 37015, 15),
(174672, NULL, 'PTHR46209:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN-11', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174673, NULL, 'PTHR31069:SF24', NULL, NULL, NULL, NULL, 'MONODICTYPHENONE CLUSTER TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(174674, NULL, 'PTHR10210:SF39', NULL, NULL, NULL, NULL, 'SYNTHETASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(174675, NULL, 'PTHR23389:SF12', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR-LIKE FACTOR 3', NULL, NULL, NULL, 15),
(174676, NULL, 'PTHR47506:SF6', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR NEMR', NULL, NULL, NULL, 15),
(174677, NULL, 'PTHR14845', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 166', NULL, NULL, NULL, 15),
(174678, NULL, 'PTHR37258:SF1', NULL, NULL, NULL, NULL, 'FANTOM PROTEIN', NULL, NULL, NULL, 15),
(174679, NULL, 'PTHR11814:SF205', NULL, NULL, NULL, NULL, 'OS03G0195300 PROTEIN', NULL, NULL, NULL, 15),
(174680, NULL, 'PTHR23167', NULL, NULL, NULL, NULL, 'CALPONIN HOMOLOGY DOMAIN-CONTAINING PROTEIN DDB_G0272472-RELATED', NULL, NULL, NULL, 15),
(174681, NULL, 'PTHR31319:SF70', NULL, NULL, NULL, NULL, 'OS12G0262400 PROTEIN', NULL, NULL, NULL, 15),
(174682, NULL, 'PTHR23292:SF6', NULL, NULL, NULL, NULL, 'FI16602P1-RELATED', NULL, NULL, NULL, 15),
(174683, NULL, 'PTHR23503:SF103', NULL, NULL, NULL, NULL, 'PLASTIDIC GLUCOSE TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(174684, NULL, 'PTHR34105:SF2', NULL, NULL, NULL, NULL, 'BNAA03G49090D PROTEIN', NULL, NULL, NULL, 15),
(174685, NULL, 'PTHR11309:SF7', NULL, NULL, NULL, NULL, 'SECRETED FRIZZLED-RELATED PROTEIN 4', NULL, NULL, 26332, 15),
(174686, NULL, 'PTHR11010:SF92', NULL, NULL, NULL, NULL, 'LYSOSOMAL PRO-X CARBOXYPEPTIDASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(174687, NULL, 'PTHR11260:SF628', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U15', NULL, NULL, NULL, 15),
(174688, NULL, 'PTHR19375:SF462', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174689, NULL, 'PTHR43975:SF2', NULL, NULL, NULL, NULL, 'ZGC:101858', NULL, NULL, NULL, 15),
(174690, NULL, 'PTHR31744:SF115', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 38', NULL, NULL, NULL, 15),
(174691, NULL, 'PTHR24006:SF783', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 46', NULL, NULL, NULL, 15),
(174692, NULL, 'PTHR26452:SF144', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(174693, NULL, 'PTHR47992:SF54', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 45-RELATED', NULL, NULL, NULL, 15),
(174694, NULL, 'PTHR11042:SF58', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PDIK1L', NULL, NULL, NULL, 15),
(174695, NULL, 'PTHR42694', NULL, NULL, NULL, NULL, 'BLL7601 PROTEIN', NULL, NULL, NULL, 15),
(174696, NULL, 'PTHR47250:SF5', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(174697, NULL, 'PTHR31708', NULL, NULL, NULL, NULL, 'ABPBG26-RELATED', NULL, NULL, 13692, 15),
(174698, NULL, 'PTHR11969:SF69', NULL, NULL, NULL, NULL, 'BNAA09G30620D PROTEIN', NULL, NULL, NULL, 15),
(174699, NULL, 'PTHR11760:SF37', NULL, NULL, NULL, NULL, '40S RIBOSOMAL S3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174700, NULL, 'PTHR14000:SF6', NULL, NULL, NULL, NULL, 'OS08G0100800 PROTEIN', NULL, NULL, NULL, 15),
(174701, NULL, 'PTHR12385:SF37', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(174702, NULL, 'PTHR10554:SF6', NULL, NULL, NULL, NULL, 'ALPHA-1-SYNTROPHIN', NULL, NULL, 25732, 15),
(174703, NULL, 'PTHR34956:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174704, NULL, 'PTHR34948:SF4', NULL, NULL, NULL, NULL, 'TRIPHOSPHATE TUNEL METALLOENZYME 3', NULL, NULL, NULL, 15),
(174705, NULL, 'PTHR12320:SF49', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 80-RELATED', NULL, NULL, NULL, 15),
(174706, NULL, 'PTHR23086:SF111', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 10', NULL, NULL, NULL, 15),
(174707, NULL, 'PTHR10177:SF188', NULL, NULL, NULL, NULL, 'CYCLIN-D6-1-RELATED', NULL, NULL, NULL, 15),
(174708, NULL, 'PTHR33484:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174709, NULL, 'PTHR23113:SF308', NULL, NULL, NULL, NULL, 'FI05912P-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174710, NULL, 'PTHR47341', NULL, NULL, NULL, NULL, 'GATA-TYPE ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(174711, NULL, 'PTHR19143:SF272', NULL, NULL, NULL, NULL, 'SI:CH211-287A12.9', NULL, NULL, NULL, 15),
(174712, NULL, 'PTHR46463:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174713, NULL, 'PTHR26450', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 56B1-RELATED', NULL, NULL, NULL, 15),
(174714, NULL, 'PTHR33173:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174715, NULL, 'PTHR21245:SF12', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN R-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(174716, NULL, 'PTHR24373:SF266', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 3C', NULL, NULL, NULL, 15),
(174717, NULL, 'PTHR46443:SF16', NULL, NULL, NULL, NULL, 'BNAA01G24630D PROTEIN', NULL, NULL, NULL, 15),
(174718, NULL, 'PTHR24248:SF3', NULL, NULL, NULL, NULL, 'BETA-3 ADRENERGIC RECEPTOR', NULL, NULL, NULL, 15),
(174719, NULL, 'PTHR34115:SF7', NULL, NULL, NULL, NULL, 'RPB1A', NULL, NULL, NULL, 15),
(174720, NULL, 'PTHR31631', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 2D', NULL, NULL, NULL, 15),
(174721, NULL, 'PTHR44051:SF18', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(174722, NULL, 'PTHR12668', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 14, 15', NULL, NULL, 6218, 15),
(174723, NULL, 'PTHR13140:SF755', NULL, NULL, NULL, NULL, 'MYOSIN-15', NULL, NULL, NULL, 15),
(174724, NULL, 'PTHR30548:SF6', NULL, NULL, NULL, NULL, 'DEHYDRATASE SUBUNIT YJIM-RELATED', NULL, NULL, NULL, 15),
(174725, NULL, 'PTHR43130:SF3', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR RV1931C', NULL, NULL, NULL, 15),
(174726, NULL, 'PTHR11276:SF21', NULL, NULL, NULL, NULL, 'DNA NUCLEOTIDYLEXOTRANSFERASE', NULL, NULL, NULL, 15),
(174727, NULL, 'PTHR46869:SF13', NULL, NULL, NULL, NULL, 'BNAA09G29040D PROTEIN', NULL, NULL, NULL, 15),
(174728, NULL, 'PTHR34280:SF2', NULL, NULL, NULL, NULL, 'OS01G0920100 PROTEIN', NULL, NULL, NULL, 15),
(174729, NULL, 'PTHR47925:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174730, NULL, 'PTHR45657:SF39', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL/PHOSPHATIDYLCHOLINE TRANSFER PROTEIN SFH1-RELATED', NULL, NULL, NULL, 15),
(174731, NULL, 'PTHR26450:SF9', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(174732, NULL, 'PTHR12001:SF78', NULL, NULL, NULL, NULL, 'DECAPRENYL-DIPHOSPHATE SYNTHASE SUBUNIT 1', NULL, NULL, NULL, 15),
(174733, NULL, 'PTHR33322', NULL, NULL, NULL, NULL, 'BAG DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, 29505, 15),
(174734, NULL, 'PTHR37680:SF1', NULL, NULL, NULL, NULL, 'C130050O18RIK PROTEIN', NULL, NULL, NULL, 15),
(174735, NULL, 'PTHR13683:SF809', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174736, NULL, 'PTHR16255:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174737, NULL, 'PTHR14068:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT B', NULL, NULL, NULL, 15),
(174738, NULL, 'PTHR11848:SF242', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 1', NULL, NULL, NULL, 15),
(174739, NULL, 'PTHR10209:SF718', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174740, NULL, 'PTHR11972:SF41', NULL, NULL, NULL, NULL, 'FERRIC REDUCTION OXIDASE 2', NULL, NULL, NULL, 15),
(174741, NULL, 'PTHR47998', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB51-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(174742, NULL, 'PTHR34135:SF3', NULL, NULL, NULL, NULL, 'PNEUMOCOCCAL VACCINE ANTIGEN A', NULL, NULL, NULL, 15),
(174743, NULL, 'PTHR32309:SF28', NULL, NULL, NULL, NULL, 'FERRIC ENTEROBACTIN TRANSPORT PROTEIN FEPE', NULL, NULL, NULL, 15),
(174744, NULL, 'PTHR21222', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(174745, NULL, 'PTHR36971', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(174746, NULL, 'PTHR10102:SF8', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174747, NULL, 'PTHR33509:SF31', NULL, NULL, NULL, NULL, 'BNAA02G36510D PROTEIN', NULL, NULL, NULL, 15),
(174748, NULL, 'PTHR45676:SF104', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL66-LIKE', NULL, NULL, NULL, 15),
(174749, NULL, 'PTHR48043:SF97', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(174750, NULL, 'PTHR31942:SF108', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174751, NULL, 'PTHR43884:SF18', NULL, NULL, NULL, NULL, 'ISOVALERYL-COENZYME A DEHYDROGENASE', NULL, NULL, NULL, 15),
(174752, NULL, 'PTHR33333:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174753, NULL, 'PTHR34399:SF3', NULL, NULL, NULL, NULL, 'AVIDIN-RELATED', NULL, NULL, NULL, 15),
(174754, NULL, 'PTHR11926:SF1405', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(174755, NULL, 'PTHR46797:SF11', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PUUR', NULL, NULL, NULL, 15),
(174756, NULL, 'PTHR18849:SF13', NULL, NULL, NULL, NULL, 'BNACNNG14750D PROTEIN', NULL, NULL, NULL, 15),
(174757, NULL, 'PTHR48047:SF116', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(174758, NULL, 'PTHR43156:SF2', NULL, NULL, NULL, NULL, 'STAGE II SPORULATION PROTEIN E', NULL, NULL, NULL, 15),
(174759, NULL, 'PTHR31677:SF63', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR LEP-LIKE', NULL, NULL, NULL, 15),
(174760, NULL, 'PTHR13844:SF71', NULL, NULL, NULL, NULL, 'UPSTREAM ACTIVATION FACTOR SUBUNIT UAF30-LIKE', NULL, NULL, NULL, 15),
(174761, NULL, 'PTHR34360:SF15', NULL, NULL, NULL, NULL, 'BNAA04G14370D PROTEIN', NULL, NULL, NULL, 15),
(174762, NULL, 'PTHR26452:SF198', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(174763, NULL, 'PTHR10078:SF33', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 ALPHA', NULL, NULL, 3364, 15),
(174764, NULL, 'PTHR32114', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ABCH.3', NULL, NULL, NULL, 15),
(174765, NULL, 'PTHR31251:SF139', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 13A ISOFORM X1', NULL, NULL, NULL, 15),
(174766, NULL, 'PTHR31901:SF33', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.17', NULL, NULL, NULL, 15),
(174767, NULL, 'PTHR23001:SF24', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT 2', NULL, NULL, NULL, 15),
(174768, NULL, 'PTHR47925:SF65', NULL, NULL, NULL, NULL, 'REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(174769, NULL, 'PTHR31197:SF28', NULL, NULL, NULL, NULL, 'BNAA08G19270D PROTEIN', NULL, NULL, NULL, 15),
(174770, NULL, 'PTHR42734:SF9', NULL, NULL, NULL, NULL, 'ZINC IMPORT ATP-BINDING PROTEIN ZNUC', NULL, NULL, 7509, 15),
(174771, NULL, 'PTHR44845:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174772, NULL, 'PTHR10663:SF376', NULL, NULL, NULL, NULL, 'EXCHANGE FACTOR FOR ARF 6, ISOFORM H', NULL, NULL, NULL, 15),
(174773, NULL, 'PTHR26312:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174774, NULL, 'PTHR14027:SF2', NULL, NULL, NULL, NULL, 'RNA POLYMERASE-ASSOCIATED PROTEIN CTR9 HOMOLOG', NULL, NULL, NULL, 15),
(174775, NULL, 'PTHR11905:SF233', NULL, NULL, NULL, NULL, 'ZGC:174164', NULL, NULL, NULL, 15),
(174776, NULL, 'PTHR11799', NULL, NULL, NULL, NULL, 'PARAOXONASE', NULL, NULL, NULL, 15),
(174777, NULL, 'PTHR23428:SF288', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 2-C-RELATED', NULL, NULL, NULL, 15),
(174778, NULL, 'PTHR31286:SF41', NULL, NULL, NULL, NULL, 'ZINC ION BINDING,NUCLEIC ACID BINDING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174779, NULL, 'PTHR13269', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 16543, 15),
(174780, NULL, 'PTHR33157:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(174781, NULL, 'PTHR46865:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174782, NULL, 'PTHR11241:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174783, NULL, 'PTHR21098:SF0', NULL, NULL, NULL, NULL, 'RIBOFLAVIN SYNTHASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174784, NULL, 'PTHR30126:SF39', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ABGR', NULL, NULL, NULL, 15),
(174785, NULL, 'PTHR42861:SF75', NULL, NULL, NULL, NULL, 'CALCIUM PUMP1', NULL, NULL, NULL, 15),
(174786, NULL, 'PTHR31080:SF227', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15),
(174787, NULL, 'PTHR12185:SF14', NULL, NULL, NULL, NULL, 'CHOLESTEROL UPTAKE ASSOCIATED', NULL, NULL, NULL, 15),
(174788, NULL, 'PTHR11920:SF458', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', NULL, NULL, NULL, 15),
(174789, NULL, 'PTHR11782:SF112', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-TRIPHOSPHATASE NTP-1', NULL, NULL, NULL, 15),
(174790, NULL, 'PTHR10052:SF44', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', NULL, NULL, NULL, 15),
(174791, NULL, 'PTHR11920:SF381', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-5', NULL, NULL, NULL, 15),
(174792, NULL, 'PTHR13326:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174793, NULL, 'PTHR35498:SF4', NULL, NULL, NULL, NULL, 'PROTEIN LOW PSII ACCUMULATION 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(174794, NULL, 'PTHR16675:SF175', NULL, NULL, NULL, NULL, 'ANTIGEN-PRESENTING GLYCOPROTEIN CD1D', NULL, NULL, NULL, 15),
(174795, NULL, 'PTHR24282:SF199', NULL, NULL, NULL, NULL, 'BNAA02G10890D PROTEIN', NULL, NULL, NULL, 15),
(174796, NULL, 'PTHR33703:SF16', NULL, NULL, NULL, NULL, 'OS05G0342100 PROTEIN', NULL, NULL, NULL, 15),
(174797, NULL, 'PTHR43871:SF2', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE YWHC-RELATED', NULL, NULL, NULL, 15),
(174798, NULL, 'PTHR23086:SF21', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 5-PHOSPHATE 4-KINASE TYPE-2 ALPHA', NULL, NULL, NULL, 15),
(174799, NULL, 'PTHR13360:SF1', NULL, NULL, NULL, NULL, 'ACTIVATING SIGNAL COINTEGRATOR 1 COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(174800, NULL, 'PTHR39185:SF1', NULL, NULL, NULL, NULL, 'SWARMING MOTILITY PROTEIN SWRD', NULL, NULL, NULL, 15),
(174801, NULL, 'PTHR24349:SF291', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 21', NULL, NULL, NULL, 15),
(174802, NULL, 'PTHR11654:SF167', NULL, NULL, NULL, NULL, 'OS10G0579800 PROTEIN', NULL, NULL, NULL, 15),
(174803, NULL, 'PTHR24339:SF29', NULL, NULL, NULL, NULL, 'GS HOMEOBOX 1', NULL, NULL, NULL, 15),
(174804, NULL, 'PTHR13172:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM9', NULL, NULL, NULL, 15),
(174805, NULL, 'PTHR21049', NULL, NULL, NULL, NULL, 'RIBOPHORIN I', NULL, NULL, 701, 15),
(174806, NULL, 'PTHR24416:SF296', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-B RECEPTOR 4', NULL, NULL, NULL, 15),
(174807, NULL, 'PTHR24390:SF97', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 746', NULL, NULL, NULL, 15),
(174808, NULL, 'PTHR46059:SF1', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDE ALPHA-2,6-SIALYLTRANSFERASE', NULL, NULL, NULL, 15),
(174809, NULL, 'PTHR12673:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174810, NULL, 'PTHR38831:SF2', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN K', NULL, NULL, NULL, 15),
(174811, NULL, 'PTHR13194:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174812, NULL, 'PTHR23171:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174813, NULL, 'PTHR46284:SF11', NULL, NULL, NULL, NULL, '43KDA POSTSYNAPTIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174814, NULL, 'PTHR43380:SF5', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT ALPHA 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(174815, NULL, 'PTHR35278:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174816, NULL, 'PTHR12378:SF51', NULL, NULL, NULL, NULL, 'DESI-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174817, NULL, 'PTHR27003:SF69', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HERK 1', NULL, NULL, NULL, 15),
(174818, NULL, 'PTHR35093:SF8', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN NMB0088-RELATED', NULL, NULL, NULL, 15),
(174819, NULL, 'PTHR22930:SF205', NULL, NULL, NULL, NULL, 'PROTEIN ALP1-LIKE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174820, NULL, 'PTHR31627:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-9', NULL, NULL, NULL, 15),
(174821, NULL, 'PTHR11431:SF86', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(174822, NULL, 'PTHR33203:SF33', NULL, NULL, NULL, NULL, 'OLEOSIN 20.3 KDA', NULL, NULL, NULL, 15),
(174823, NULL, 'PTHR11566:SF160', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 3A', NULL, NULL, NULL, 15),
(174824, NULL, 'PTHR12271:SF121', NULL, NULL, NULL, NULL, 'CAFFEINE INDUCED DEATH (S. POMBE CID) HOMOLOG', NULL, NULL, NULL, 15),
(174825, NULL, 'PTHR43280:SF23', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL TRANSCRIPTIONAL ACTIVATOR/DNA REPAIR ENZYME ADAA', NULL, NULL, NULL, 15),
(174826, NULL, 'PTHR23177:SF57', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 5', NULL, NULL, NULL, 15),
(174827, NULL, 'PTHR31391:SF107', NULL, NULL, NULL, NULL, 'DNA-BINDING PSEUDOBARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174828, NULL, 'PTHR11579:SF19', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(174829, NULL, 'PTHR21646:SF58', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 10-RELATED', NULL, NULL, NULL, 15),
(174830, NULL, 'PTHR28474:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 72', NULL, NULL, NULL, 15),
(174831, NULL, 'PTHR45642:SF58', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE EXL3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(174832, NULL, 'PTHR45812', NULL, NULL, NULL, NULL, 'DNA POLYMERASE ZETA CATALYTIC SUBUNIT', NULL, NULL, 26056, 15),
(174833, NULL, 'PTHR24055:SF420', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 18-RELATED', NULL, NULL, NULL, 15),
(174834, NULL, 'PTHR30419:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, LYSR FAMILY', NULL, NULL, NULL, 15),
(174835, NULL, 'PTHR21600:SF52', NULL, NULL, NULL, NULL, 'RNA PSEUDOURIDINE SYNTHASE 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(174836, NULL, 'PTHR11014:SF148', NULL, NULL, NULL, NULL, 'AUXIN CONJUGATE HYDROLASE', NULL, NULL, NULL, 15),
(174837, NULL, 'PTHR11266:SF85', NULL, NULL, NULL, NULL, 'MPV17-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174838, NULL, 'PTHR16222:SF23', NULL, NULL, NULL, NULL, '[PROTEIN ADP-RIBOSYLARGININE] HYDROLASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(174839, NULL, 'PTHR10606:SF74', NULL, NULL, NULL, NULL, 'BNAC05G04910D PROTEIN', NULL, NULL, NULL, 15),
(174840, NULL, 'PTHR43452:SF3', NULL, NULL, NULL, NULL, 'TRANSAMINATED AMINO ACID DECARBOXYLASE', NULL, NULL, NULL, 15),
(174841, NULL, 'PTHR15286:SF13', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, 31973, 15),
(174842, NULL, 'PTHR22761', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN', NULL, NULL, 1173, 15),
(174843, NULL, 'PTHR10989:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174844, NULL, 'PTHR28268:SF1', NULL, NULL, NULL, NULL, 'MICOS SUBUNIT MIC26', NULL, NULL, NULL, 15),
(174845, NULL, 'PTHR48048', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(174846, NULL, 'PTHR15710:SF45', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(174847, NULL, 'PTHR33044:SF91', NULL, NULL, NULL, NULL, 'RALF', NULL, NULL, NULL, 15),
(174848, NULL, 'PTHR33511:SF15', NULL, NULL, NULL, NULL, 'OS02G0192001 PROTEIN', NULL, NULL, NULL, 15),
(174849, NULL, 'PTHR45768:SF32', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL46-LIKE', NULL, NULL, NULL, 15),
(174850, NULL, 'PTHR24023:SF533', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-6(IV) CHAIN', NULL, NULL, NULL, 15),
(174851, NULL, 'PTHR11647:SF74', NULL, NULL, NULL, NULL, 'PROTEIN UNC-33', NULL, NULL, NULL, 15),
(174852, NULL, 'PTHR32015:SF9', NULL, NULL, NULL, NULL, 'LIPASE RELATED', NULL, NULL, NULL, 15),
(174853, NULL, 'PTHR13817:SF77', NULL, NULL, NULL, NULL, 'CONTACTIN 1', NULL, NULL, NULL, 15),
(174854, NULL, 'PTHR10827:SF52', NULL, NULL, NULL, NULL, 'IP16409P', NULL, NULL, NULL, 15),
(174855, NULL, 'PTHR44573:SF4', NULL, NULL, NULL, NULL, '2-METHYLENE-FURAN-3-ONE REDUCTASE-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174856, NULL, 'PTHR19343:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174857, NULL, 'PTHR12609:SF5', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN 224', NULL, NULL, NULL, 15),
(174858, NULL, 'PTHR11439:SF360', NULL, NULL, NULL, NULL, 'OS11G0656500 PROTEIN', NULL, NULL, NULL, 15),
(174859, NULL, 'PTHR16223:SF181', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH68', NULL, NULL, NULL, 15),
(174860, NULL, 'PTHR24103:SF562', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174861, NULL, 'PTHR24093:SF486', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(174862, NULL, 'PTHR48031:SF2', NULL, NULL, NULL, NULL, 'SRA STEM-LOOP-INTERACTING RNA-BINDING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(174863, NULL, 'PTHR31717:SF96', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 11-RELATED', NULL, NULL, NULL, 15),
(174864, NULL, 'PTHR11394:SF59', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 40', NULL, NULL, NULL, 15),
(174865, NULL, 'PTHR31235:SF31', NULL, NULL, NULL, NULL, 'PEROXIDASE 1', NULL, NULL, NULL, 15),
(174866, NULL, 'PTHR23101:SF72', NULL, NULL, NULL, NULL, 'RAS AND RAB INTERACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174867, NULL, 'PTHR24281:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174868, NULL, 'PTHR46389:SF2', NULL, NULL, NULL, NULL, 'CHROMOBOX HOMOLOG 6A', NULL, NULL, NULL, 15),
(174869, NULL, 'PTHR31471:SF70', NULL, NULL, NULL, NULL, 'BNAC03G56540D PROTEIN', NULL, NULL, NULL, 15),
(174870, NULL, 'PTHR12302:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 31', NULL, NULL, NULL, 15),
(174871, NULL, 'PTHR45168', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 2', NULL, NULL, 39753, 15),
(174872, NULL, 'PTHR11731:SF21', NULL, NULL, NULL, NULL, 'INACTIVE DIPEPTIDYL PEPTIDASE 10', NULL, NULL, NULL, 15),
(174873, NULL, 'PTHR31650:SF53', NULL, NULL, NULL, NULL, 'BNAA06G39110D PROTEIN', NULL, NULL, NULL, 15),
(174874, NULL, 'PTHR31376:SF41', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 16-RELATED', NULL, NULL, NULL, 15),
(174875, NULL, 'PTHR38926:SF24', NULL, NULL, NULL, NULL, 'BNAC03G29740D PROTEIN', NULL, NULL, NULL, 15),
(174876, NULL, 'PTHR40038', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED PROTEIN TCAA', NULL, NULL, NULL, 15),
(174877, NULL, 'PTHR46443:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(174878, NULL, 'PTHR31776:SF21', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE 2', NULL, NULL, NULL, 15),
(174879, NULL, 'PTHR31319:SF53', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 5', NULL, NULL, NULL, 15),
(174880, NULL, 'PTHR43270:SF7', NULL, NULL, NULL, NULL, 'PATTERNED EXPRESSION SITE', NULL, NULL, NULL, 15),
(174881, NULL, 'PTHR23262:SF210', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 9-3', NULL, NULL, NULL, 15),
(174882, NULL, 'PTHR32382:SF39', NULL, NULL, NULL, NULL, 'OS05G0459700 PROTEIN', NULL, NULL, NULL, 15),
(174883, NULL, 'PTHR48002:SF138', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(174884, NULL, 'PTHR34766', NULL, NULL, NULL, NULL, 'UPF0449 PROTEIN C19ORF25', NULL, NULL, 23047, 15),
(174885, NULL, 'PTHR23123:SF12', NULL, NULL, NULL, NULL, 'JMJC DOMAIN-CONTAINING HISTONE DEMETHYLATION PROTEIN 1', NULL, NULL, NULL, 15),
(174886, NULL, 'PTHR24220:SF662', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(174887, NULL, 'PTHR12565:SF339', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH49', NULL, NULL, NULL, 15),
(174888, NULL, 'PTHR11920:SF464', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', NULL, NULL, NULL, 15),
(174889, NULL, 'PTHR47928:SF136', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174890, NULL, 'PTHR31238:SF185', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(174891, NULL, 'PTHR10351:SF55', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', NULL, NULL, NULL, 15),
(174892, NULL, 'PTHR31867:SF35', NULL, NULL, NULL, NULL, 'EXPANSIN-A15', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174893, NULL, 'PTHR23511:SF31', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR-TYPE TRANSPORTER HXNZ-RELATED', NULL, NULL, NULL, 15),
(174894, NULL, 'PTHR33264:SF26', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(174895, NULL, 'PTHR20963:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174896, NULL, 'PTHR23024:SF481', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 12-RELATED', NULL, NULL, NULL, 15),
(174897, NULL, 'PTHR43874:SF144', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE, CHEY-LIKE SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(174898, NULL, 'PTHR23097:SF116', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 6B', NULL, NULL, NULL, 15),
(174899, NULL, 'PTHR33446:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TONB', NULL, NULL, NULL, 15),
(174900, NULL, 'PTHR24044:SF462', NULL, NULL, NULL, NULL, 'DELTA-LIKE 2 HOMOLOG (DROSOPHILA)', NULL, NULL, NULL, 15),
(174901, NULL, 'PTHR43671:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174902, NULL, 'PTHR18952:SF236', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(174903, NULL, 'PTHR34804:SF7', NULL, NULL, NULL, NULL, 'BNAC01G22000D PROTEIN', NULL, NULL, NULL, 15),
(174904, NULL, 'PTHR43900:SF38', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, N-TERMINAL DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(174905, NULL, 'PTHR35138:SF1', NULL, NULL, NULL, NULL, 'OS01G0225300 PROTEIN', NULL, NULL, NULL, 15),
(174906, NULL, 'PTHR10609:SF14', NULL, NULL, NULL, NULL, 'BIOTINIDASE', NULL, NULL, NULL, 15),
(174907, NULL, 'PTHR21568:SF1', NULL, NULL, NULL, NULL, 'BNAC07G15400D PROTEIN', NULL, NULL, NULL, 15),
(174908, NULL, 'PTHR34379:SF12', NULL, NULL, NULL, NULL, 'OS10G0485900 PROTEIN', NULL, NULL, NULL, 15),
(174909, NULL, 'PTHR38148', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174910, NULL, 'PTHR23335:SF21', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(174911, NULL, 'PTHR43464:SF47', NULL, NULL, NULL, NULL, 'SLR1117 PROTEIN', NULL, NULL, NULL, 15),
(174912, NULL, 'PTHR43235:SF1', NULL, NULL, NULL, NULL, 'GLUTAMINE AMIDOTRANSFERASE PB2B2.05-RELATED', NULL, NULL, NULL, 15),
(174913, NULL, 'PTHR31940:SF2', NULL, NULL, NULL, NULL, 'SMALL KINETOCHORE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(174914, NULL, 'PTHR11689:SF157', NULL, NULL, NULL, NULL, 'BNAA02G11800D PROTEIN', NULL, NULL, NULL, 15),
(174915, NULL, 'PTHR30194:SF3', NULL, NULL, NULL, NULL, 'CROSSOVER JUNCTION ENDODEOXYRIBONUCLEASE RUVC', NULL, NULL, NULL, 15),
(174916, NULL, 'PTHR42980:SF1', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT BETA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(174917, NULL, 'PTHR27000:SF714', NULL, NULL, NULL, NULL, 'PROTEIN TOO MANY MOUTHS', NULL, NULL, NULL, 15),
(174918, NULL, 'PTHR24064:SF541', NULL, NULL, NULL, NULL, 'BNAA02G22230D PROTEIN', NULL, NULL, NULL, 15),
(174919, NULL, 'PTHR10353:SF284', NULL, NULL, NULL, NULL, 'BNAA06G18980D PROTEIN', NULL, NULL, NULL, 15),
(174920, NULL, 'PTHR10353:SF281', NULL, NULL, NULL, NULL, 'BNAA04G17070D PROTEIN', NULL, NULL, NULL, 15),
(174921, NULL, 'PTHR10677:SF28', NULL, NULL, NULL, NULL, 'OS10G0542200 PROTEIN', NULL, NULL, NULL, 15),
(174922, NULL, 'PTHR14154:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174923, NULL, 'PTHR30026:SF13', NULL, NULL, NULL, NULL, 'MEMBRANE EFFLUX PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(174924, NULL, 'PTHR45801:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174925, NULL, 'PTHR32026:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG13751', NULL, NULL, NULL, 15),
(174926, NULL, 'PTHR10266:SF14', NULL, NULL, NULL, NULL, 'BNAA02G28720D PROTEIN', NULL, NULL, NULL, 15),
(174927, NULL, 'PTHR11214:SF278', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(174928, NULL, 'PTHR31967:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG21540', NULL, NULL, NULL, 15),
(174929, NULL, 'PTHR47179:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174930, NULL, 'PTHR11260:SF670', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174931, NULL, 'PTHR37834:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174932, NULL, 'PTHR35107:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174933, NULL, 'PTHR12526:SF586', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE GROUP 1', NULL, NULL, NULL, 15),
(174934, NULL, 'PTHR11960', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E RELATED', NULL, NULL, 1246, 15),
(174935, NULL, 'PTHR43248:SF12', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', NULL, NULL, NULL, 15),
(174936, NULL, 'PTHR43756:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174937, NULL, 'PTHR35356:SF5', NULL, NULL, NULL, NULL, 'OS01G0157300 PROTEIN', NULL, NULL, NULL, 15),
(174938, NULL, 'PTHR35859:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE CHANNEL PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11300)-RELATED', NULL, NULL, NULL, 15),
(174939, NULL, 'PTHR28083', NULL, NULL, NULL, NULL, 'GOOD FOR FULL DBP5 ACTIVITY PROTEIN 2', NULL, NULL, 32852, 15),
(174940, NULL, 'PTHR45847:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174941, NULL, 'PTHR10037:SF210', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 11 SUBUNIT ALPHA', NULL, NULL, 25328, 15),
(174942, NULL, 'PTHR12181', NULL, NULL, NULL, NULL, 'LIPIN', NULL, NULL, 25823, 15),
(174943, NULL, 'PTHR14248', NULL, NULL, NULL, NULL, 'CYCLIN Y, ISOFORM A', NULL, NULL, NULL, 15),
(174944, NULL, 'PTHR10174:SF120', NULL, NULL, NULL, NULL, 'CELLULAR RETINALDEHYDE BINDING PROTEIN', NULL, NULL, NULL, 15),
(174945, NULL, 'PTHR21646:SF27', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 8', NULL, NULL, NULL, 15),
(174946, NULL, 'PTHR15171', NULL, NULL, NULL, NULL, 'EMERIN', NULL, NULL, 12140, 15),
(174947, NULL, 'PTHR46746:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174948, NULL, 'PTHR47966:SF42', NULL, NULL, NULL, NULL, 'CATHEPSIN D', NULL, NULL, NULL, 15),
(174949, NULL, 'PTHR31659:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174950, NULL, 'PTHR20861:SF3', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE', NULL, NULL, 4402, 15),
(174951, NULL, 'PTHR24286:SF316', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174952, NULL, 'PTHR11851:SF134', NULL, NULL, NULL, NULL, 'ZINC PROTEASE ALBF-RELATED', NULL, NULL, NULL, 15),
(174953, NULL, 'PTHR17224', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE', NULL, NULL, 2301, 15),
(174954, NULL, 'PTHR33601:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174955, NULL, 'PTHR31674:SF57', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM-LIKE 2', NULL, NULL, NULL, 15),
(174956, NULL, 'PTHR12064:SF67', NULL, NULL, NULL, NULL, 'PROTEIN MAM3', NULL, NULL, NULL, 15),
(174957, NULL, 'PTHR11863:SF106', NULL, NULL, NULL, NULL, 'CHOLESTEROL 25-HYDROXYLASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(174958, NULL, 'PTHR19970:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39', NULL, NULL, NULL, 15),
(174959, NULL, 'PTHR13247:SF14', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION 1 PROTEIN', NULL, NULL, NULL, 15),
(174960, NULL, 'PTHR46230:SF7', NULL, NULL, NULL, NULL, 'BNAC09G40360D PROTEIN', NULL, NULL, NULL, 15),
(174961, NULL, 'PTHR32278:SF76', NULL, NULL, NULL, NULL, 'BNAA02G26300D PROTEIN', NULL, NULL, NULL, 15),
(174962, NULL, 'PTHR12300:SF113', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN H', NULL, NULL, NULL, 15),
(174963, NULL, 'PTHR10573:SF0', NULL, NULL, NULL, NULL, 'INTERLEUKIN-2 RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(174964, NULL, 'PTHR15889', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN L37', NULL, NULL, NULL, 15),
(174965, NULL, 'PTHR14815', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 17', NULL, NULL, 27934, 15),
(174966, NULL, 'PTHR43066:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174967, NULL, 'PTHR12835:SF9', NULL, NULL, NULL, NULL, 'BIOTIN--PROTEIN LIGASE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(174968, NULL, 'PTHR31639:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174969, NULL, 'PTHR10055:SF1', NULL, NULL, NULL, NULL, 'TRYPTOPHAN--TRNA LIGASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(174970, NULL, 'PTHR42893:SF16', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(174971, NULL, 'PTHR48042', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 11', NULL, NULL, NULL, 15),
(174972, NULL, 'PTHR16223:SF227', NULL, NULL, NULL, NULL, 'BNAA01G07690D PROTEIN', NULL, NULL, NULL, 15),
(174973, NULL, 'PTHR11972:SF153', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN F', NULL, NULL, NULL, 15),
(174974, NULL, 'PTHR11937:SF390', NULL, NULL, NULL, NULL, 'SI:CH211-241J12.3', NULL, NULL, NULL, 15),
(174975, NULL, 'PTHR24414:SF39', NULL, NULL, NULL, NULL, 'KELCH MOTIF FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(174976, NULL, 'PTHR31589:SF123', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED', NULL, NULL, NULL, 15),
(174977, NULL, 'PTHR20961:SF85', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', NULL, NULL, NULL, 15),
(174978, NULL, 'PTHR31470:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174979, NULL, 'PTHR31221:SF86', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(174980, NULL, 'PTHR10183:SF395', NULL, NULL, NULL, NULL, 'CALPAIN 2, (M/II) LARGE SUBUNIT A-RELATED', NULL, NULL, NULL, 15),
(174981, NULL, 'PTHR12499:SF15', NULL, NULL, NULL, NULL, 'OPTIC ATROPHY 3 PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(174982, NULL, 'PTHR33048:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174983, NULL, 'PTHR12845:SF8', NULL, NULL, NULL, NULL, 'EPHEXIN-1', NULL, NULL, NULL, 15),
(174984, NULL, 'PTHR23137:SF6', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(174985, NULL, 'PTHR22175:SF0', NULL, NULL, NULL, NULL, 'SMALL ACIDIC PROTEIN', NULL, NULL, NULL, 15),
(174986, NULL, 'PTHR32423:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174987, NULL, 'PTHR31415:SF51', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY', NULL, NULL, NULL, 15),
(174988, NULL, 'PTHR47926:SF81', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(174989, NULL, 'PTHR35797', NULL, NULL, NULL, NULL, 'PROTEASE-RELATED', NULL, NULL, 36545, 15),
(174990, NULL, 'PTHR45228:SF5', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE VC_1348-RELATED', NULL, NULL, NULL, 15),
(174991, NULL, 'PTHR47367:SF1', NULL, NULL, NULL, NULL, 'AUXIN-REGULATED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(174992, NULL, 'PTHR31790:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174993, NULL, 'PTHR26452:SF256', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(174994, NULL, 'PTHR24305:SF162', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(174995, NULL, 'PTHR21528', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 34703, 15),
(174996, NULL, 'PTHR22847:SF650', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(174997, NULL, 'PTHR11727:SF27', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(174998, NULL, 'PTHR24192:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 40', NULL, NULL, NULL, 15),
(174999, NULL, 'PTHR31194:SF114', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED GENES TRANSCRIPTIONAL ACTIVATOR PTI6-LIKE', NULL, NULL, NULL, 15),
(175000, NULL, 'PTHR30433:SF2', NULL, NULL, NULL, NULL, 'MOTILITY PROTEIN A', NULL, NULL, NULL, 15),
(175001, NULL, 'PTHR35191:SF1', NULL, NULL, NULL, NULL, 'PROPHAGE SIDE TAIL FIBER PROTEIN HOMOLOG STFQ-RELATED', NULL, NULL, NULL, 15),
(175002, NULL, 'PTHR48019:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175003, NULL, 'PTHR48018:SF99', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175004, NULL, 'PTHR20957', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 36087, 15),
(175005, NULL, 'PTHR24214:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175006, NULL, 'PTHR23079:SF36', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(175007, NULL, 'PTHR13477:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L49, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(175008, NULL, 'PTHR18898:SF3', NULL, NULL, NULL, NULL, 'TRANSLOCATED PROMOTER REGION A, NUCLEAR BASKET PROTEIN', NULL, NULL, NULL, 15),
(175009, NULL, 'PTHR46312:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175010, NULL, 'PTHR46286:SF3', NULL, NULL, NULL, NULL, 'OS05G0145400 PROTEIN', NULL, NULL, NULL, 15),
(175011, NULL, 'PTHR13962', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N3-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175012, NULL, 'PTHR22588:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04137', NULL, NULL, NULL, 15),
(175013, NULL, 'PTHR11492:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR 1 A-TYPE', NULL, NULL, NULL, 15),
(175014, NULL, 'PTHR21716:SF55', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN SLL0063-RELATED', NULL, NULL, NULL, 15),
(175015, NULL, 'PTHR23313:SF0', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 9', NULL, NULL, NULL, 15),
(175016, NULL, 'PTHR48018:SF34', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(175017, NULL, 'PTHR16040:SF5', NULL, NULL, NULL, NULL, 'BOREALIN-2', NULL, NULL, NULL, 15),
(175018, NULL, 'PTHR19384:SF116', NULL, NULL, NULL, NULL, 'NADPH--CYTOCHROME P450 REDUCTASE', NULL, NULL, NULL, 15),
(175019, NULL, 'PTHR10445', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIF SUBUNIT 2', NULL, NULL, 3117, 15),
(175020, NULL, 'PTHR31367:SF5', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE', NULL, NULL, NULL, 15),
(175021, NULL, 'PTHR14659', NULL, NULL, NULL, NULL, 'ALPHA- AND GAMMA-ADAPTIN-BINDING PROTEIN P34', NULL, NULL, 15743, 15),
(175022, NULL, 'PTHR11161:SF51', NULL, NULL, NULL, NULL, 'NOSE RESISTANT TO FLUOXETINE PROTEIN 6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(175023, NULL, 'PTHR35975:SF2', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 11B', NULL, NULL, NULL, 15),
(175024, NULL, 'PTHR24296:SF214', NULL, NULL, NULL, NULL, 'BNAC08G09240D PROTEIN', NULL, NULL, NULL, 15),
(175025, NULL, 'PTHR48043:SF3', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(175026, NULL, 'PTHR46153:SF12', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(175027, NULL, 'PTHR11267:SF186', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175028, NULL, 'PTHR44591:SF13', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(175029, NULL, 'PTHR46406', NULL, NULL, NULL, NULL, 'NITRIC OXIDE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(175030, NULL, 'PTHR13270', NULL, NULL, NULL, NULL, 'PROTEIN C20ORF116-RELATED', NULL, NULL, NULL, 15),
(175031, NULL, 'PTHR34231:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175032, NULL, 'PTHR13483:SF3', NULL, NULL, NULL, NULL, 'BOX C/D SNORNA PROTEIN 1', NULL, NULL, NULL, 15),
(175033, NULL, 'PTHR33167:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175034, NULL, 'PTHR10801:SF15', NULL, NULL, NULL, NULL, 'DELTA(24)-STEROL REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(175035, NULL, 'PTHR46410:SF14', NULL, NULL, NULL, NULL, 'BNAA04G26630D PROTEIN', NULL, NULL, NULL, 15),
(175036, NULL, 'PTHR33044:SF103', NULL, NULL, NULL, NULL, 'OS07G0244900 PROTEIN', NULL, NULL, NULL, 15),
(175037, NULL, 'PTHR22930:SF218', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(175038, NULL, 'PTHR23086:SF66', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(175039, NULL, 'PTHR24104:SF8', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(175040, NULL, 'PTHR11771:SF54', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE 2', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175041, NULL, 'PTHR24075', NULL, NULL, NULL, NULL, 'SEC63 DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(175042, NULL, 'PTHR23226:SF133', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 715', NULL, NULL, NULL, 15),
(175043, NULL, 'PTHR37860', NULL, NULL, NULL, NULL, 'AGAP008810-PA', NULL, NULL, NULL, 15),
(175044, NULL, 'PTHR43520:SF12', NULL, NULL, NULL, NULL, 'COPPER RESISTANCE P-TYPE ATPASE (EUROFUNG)', NULL, NULL, NULL, 15),
(175045, NULL, 'PTHR22765:SF318', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175046, NULL, 'PTHR28242:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175047, NULL, 'PTHR23336:SF56', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE-, DNA GYRASE B-, AND HSP90-LIKE ATPASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(175048, NULL, 'PTHR33142:SF73', NULL, NULL, NULL, NULL, 'BNAA03G54850D PROTEIN', NULL, NULL, NULL, 15),
(175049, NULL, 'PTHR13677', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 10059, 15),
(175050, NULL, 'PTHR21082:SF4', NULL, NULL, NULL, NULL, 'PROTEIN INTURNED', NULL, NULL, NULL, 15),
(175051, NULL, 'PTHR34976:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE BC_0920', NULL, NULL, NULL, 15),
(175052, NULL, 'PTHR12131:SF22', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH10-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(175053, NULL, 'PTHR21266', NULL, NULL, NULL, NULL, 'IRON-SULFUR DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(175054, NULL, 'PTHR10015:SF382', NULL, NULL, NULL, NULL, 'BNAC06G00310D PROTEIN', NULL, NULL, NULL, 15),
(175055, NULL, 'PTHR45920:SF3', NULL, NULL, NULL, NULL, 'FH1/FH2 DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(175056, NULL, 'PTHR45963:SF3', NULL, NULL, NULL, NULL, 'SORTING NEXIN-12', NULL, NULL, NULL, 15),
(175057, NULL, 'PTHR27007:SF43', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VI.1-RELATED', NULL, NULL, NULL, 15),
(175058, NULL, 'PTHR13778:SF13', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(175059, NULL, 'PTHR42771:SF10', NULL, NULL, NULL, NULL, 'FERRICHROME TRANSPORT ATP-BINDING PROTEIN FHUC', NULL, NULL, NULL, 15),
(175060, NULL, 'PTHR24223:SF362', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(175061, NULL, 'PTHR48181:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175062, NULL, 'PTHR39933:SF1', NULL, NULL, NULL, NULL, 'CENTAURIN-GAMMA-1A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(175063, NULL, 'PTHR27006:SF324', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-7', NULL, NULL, NULL, 15),
(175064, NULL, 'PTHR46669:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH PPR MOTIF-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(175065, NULL, 'PTHR21250:SF5', NULL, NULL, NULL, NULL, 'BNAA09G03570D PROTEIN', NULL, NULL, NULL, 15),
(175066, NULL, 'PTHR45971:SF1', NULL, NULL, NULL, NULL, 'PHOX (PX) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(175067, NULL, 'PTHR45089:SF24', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(175068, NULL, 'PTHR43182', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-6B C(15)-METHYLTRANSFERASE (DECARBOXYLATING)', NULL, NULL, NULL, 15),
(175069, NULL, 'PTHR31878:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175070, NULL, 'PTHR38618:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG21701', NULL, NULL, NULL, 15),
(175071, NULL, 'PTHR18945:SF851', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175072, NULL, 'PTHR31238:SF96', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 12-4-RELATED', NULL, NULL, NULL, 15),
(175073, NULL, 'PTHR45717:SF36', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175074, NULL, 'PTHR48227:SF1', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 1-LIKE', NULL, NULL, NULL, 15),
(175075, NULL, 'PTHR46567:SF3', NULL, NULL, NULL, NULL, 'BNAA09G51930D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175076, NULL, 'PTHR36477:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 225', NULL, NULL, NULL, 15),
(175077, NULL, 'PTHR10819:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOTRIESTERASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(175078, NULL, 'PTHR10606:SF36', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175079, NULL, 'PTHR43827:SF3', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE', NULL, NULL, NULL, 15),
(175080, NULL, 'PTHR31731:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175081, NULL, 'PTHR11850:SF264', NULL, NULL, NULL, NULL, 'CLASS II KNOTTED-LIKE HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(175082, NULL, 'PTHR45866:SF4', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 4 SUBUNIT B', NULL, NULL, NULL, 15),
(175083, NULL, 'PTHR24248:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175084, NULL, 'PTHR10791:SF196', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET11', NULL, NULL, NULL, 15),
(175085, NULL, 'PTHR31286:SF74', NULL, NULL, NULL, NULL, 'BNAA05G15600D PROTEIN', NULL, NULL, NULL, 15),
(175086, NULL, 'PTHR31796:SF4', NULL, NULL, NULL, NULL, 'SUZ DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(175087, NULL, 'PTHR13780:SF142', NULL, NULL, NULL, NULL, 'PROTEIN SDS23-RELATED', NULL, NULL, NULL, 15),
(175088, NULL, 'PTHR47958:SF29', NULL, NULL, NULL, NULL, 'DEAD/DEAH BOX RNA HELICASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175089, NULL, 'PTHR12856:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175090, NULL, 'PTHR31384:SF85', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(175091, NULL, 'PTHR12771:SF23', NULL, NULL, NULL, NULL, 'ENGULFMENT AND CELL MOTILITY PROTEIN 1', NULL, NULL, 24634, 15),
(175092, NULL, 'PTHR45532', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 97', NULL, NULL, NULL, 15),
(175093, NULL, 'PTHR11255:SF105', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(175094, NULL, 'PTHR24128:SF65', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBOS31-RELATED', NULL, NULL, NULL, 15),
(175095, NULL, 'PTHR12945', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF3-RELATED', NULL, NULL, 18558, 15),
(175096, NULL, 'PTHR10168:SF203', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C14', NULL, NULL, NULL, 15),
(175097, NULL, 'PTHR11139:SF105', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASES/INOSITOL OR PHOSPHATIDYLINOSITOL KINASE', NULL, NULL, NULL, 15),
(175098, NULL, 'PTHR31346:SF12', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 7, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(175099, NULL, 'PTHR31707:SF256', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(175100, NULL, 'PTHR47928:SF137', NULL, NULL, NULL, NULL, 'OS06G0493801 PROTEIN', NULL, NULL, NULL, 15),
(175101, NULL, 'PTHR32176:SF30', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(175102, NULL, 'PTHR11732:SF393', NULL, NULL, NULL, NULL, 'DEHYDROGENASE (GCY1), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175103, NULL, 'PTHR11306:SF55', NULL, NULL, NULL, NULL, 'GEO08227P1-RELATED', NULL, NULL, NULL, 15),
(175104, NULL, 'PTHR43418:SF3', NULL, NULL, NULL, NULL, 'GMP SYNTHASE [GLUTAMINE-HYDROLYZING] SUBUNIT B', NULL, NULL, NULL, 15),
(175105, NULL, 'PTHR14017:SF25', NULL, NULL, NULL, NULL, 'HISTONE DEMETHYLASE UTY', NULL, NULL, NULL, 15),
(175106, NULL, 'PTHR46442:SF11', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 12-RELATED', NULL, NULL, NULL, 15),
(175107, NULL, 'PTHR31207:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175108, NULL, 'PTHR37213:SF1', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE', NULL, NULL, NULL, 15),
(175109, NULL, 'PTHR10132:SF16', NULL, NULL, NULL, NULL, 'ALPHA-SARCOGLYCAN', NULL, NULL, 23241, 15),
(175110, NULL, 'PTHR43188', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, 37865, 15),
(175111, NULL, 'PTHR24286:SF177', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 26B1', NULL, NULL, NULL, 15),
(175112, NULL, 'PTHR24296:SF78', NULL, NULL, NULL, NULL, 'OS02G0666500 PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175113, NULL, 'PTHR12939:SF10', NULL, NULL, NULL, NULL, 'EG:4F1.1 PROTEIN', NULL, NULL, NULL, 15),
(175114, NULL, 'PTHR45134:SF5', NULL, NULL, NULL, NULL, 'OS08G0543275 PROTEIN', NULL, NULL, NULL, 15),
(175115, NULL, 'PTHR45687:SF64', NULL, NULL, NULL, NULL, 'PLASMAMEMBRANE INTRINSIC PROTEIN 25', NULL, NULL, NULL, 15),
(175116, NULL, 'PTHR31594:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175117, NULL, 'PTHR10774:SF197', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175118, NULL, 'PTHR10231:SF41', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR TRANSPORTER FAMILY', NULL, NULL, NULL, 15),
(175119, NULL, 'PTHR32099:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175120, NULL, 'PTHR11347:SF104', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(175121, NULL, 'PTHR31953:SF58', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV3', NULL, NULL, NULL, 15),
(175122, NULL, 'PTHR12521:SF0', NULL, NULL, NULL, NULL, 'ADP-RIBOSE GLYCOHYDROLASE OARD1', NULL, NULL, NULL, 15),
(175123, NULL, 'PTHR42865:SF3', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLATE TRANSPORT PROTEIN 1', NULL, NULL, NULL, 15),
(175124, NULL, 'PTHR15343:SF0', NULL, NULL, NULL, NULL, 'T-CELL ANTIGEN CD7', NULL, NULL, NULL, 15),
(175125, NULL, 'PTHR47527:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175126, NULL, 'PTHR35166', NULL, NULL, NULL, NULL, 'OS05G0193700 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175127, NULL, 'PTHR12320:SF67', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(175128, NULL, 'PTHR46230', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175129, NULL, 'PTHR31989:SF141', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175130, NULL, 'PTHR27001:SF527', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175131, NULL, 'PTHR36586:SF18', NULL, NULL, NULL, NULL, 'PROLINE-RICH EXTENSIN-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(175132, NULL, 'PTHR12612:SF35', NULL, NULL, NULL, NULL, 'TRANSPORT FACTOR 2 PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175133, NULL, 'PTHR23319:SF33', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED LIPID-BINDING PROTEIN LAM5-RELATED', NULL, NULL, NULL, 15),
(175134, NULL, 'PTHR32227:SF346', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-LIKE', NULL, NULL, NULL, 15),
(175135, NULL, 'PTHR22957:SF593', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175136, NULL, 'PTHR24418:SF90', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE YES', NULL, NULL, NULL, 15),
(175137, NULL, 'PTHR34451:SF15', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(175138, NULL, 'PTHR24034:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175139, NULL, 'PTHR33927:SF5', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G01222)-RELATED', NULL, NULL, NULL, 15),
(175140, NULL, 'PTHR45745:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOMANNOMUTASE 45A', NULL, NULL, NULL, 15),
(175141, NULL, 'PTHR47846:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175142, NULL, 'PTHR47005:SF11', NULL, NULL, NULL, NULL, 'OS04G0401100 PROTEIN', NULL, NULL, NULL, 15),
(175143, NULL, 'PTHR34379:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175144, NULL, 'PTHR31072:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175145, NULL, 'PTHR28492:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC691921', NULL, NULL, NULL, 15),
(175146, NULL, 'PTHR13464', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR PROTEIN HCNGP', NULL, NULL, 11612, 15),
(175147, NULL, 'PTHR42746', NULL, NULL, NULL, NULL, 'DIADENOSINE 5'',5''''''-P1,P4-TETRAPHOSPHATE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(175148, NULL, 'PTHR12411:SF141', NULL, NULL, NULL, NULL, 'CATHEPSIN R', NULL, NULL, 34953, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175149, NULL, 'PTHR24015:SF1822', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175150, NULL, 'PTHR10261:SF8', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(175151, NULL, 'PTHR34438', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 26071, 15),
(175152, NULL, 'PTHR44743:SF5', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(175153, NULL, 'PTHR23281:SF20', NULL, NULL, NULL, NULL, 'NEUROFIBROMIN 2B (MERLIN)', NULL, NULL, NULL, 15),
(175154, NULL, 'PTHR21493:SF79', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN GOT1B', NULL, NULL, NULL, 15),
(175155, NULL, 'PTHR47518:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(175156, NULL, 'PTHR27006:SF266', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175157, NULL, 'PTHR31374:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175158, NULL, 'PTHR10891:SF783', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML31-RELATED', NULL, NULL, NULL, 15),
(175159, NULL, 'PTHR43297', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT ATP-BINDING PROTEIN APPD', NULL, NULL, NULL, 15),
(175160, NULL, 'PTHR11690:SF257', NULL, NULL, NULL, NULL, 'DEGENERIN DEG-1', NULL, NULL, NULL, 15),
(175161, NULL, 'PTHR45730:SF56', NULL, NULL, NULL, NULL, 'C2H2 AND C2HC ZINC FINGERS SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175162, NULL, 'PTHR42721:SF23', NULL, NULL, NULL, NULL, 'BETA-XYLOSIDASE/ALPHA-L-ARABINOFURANOSIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(175163, NULL, 'PTHR45959:SF34', NULL, NULL, NULL, NULL, 'BASIC HELIX LOOP HELIX (BHLH) DNA-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(175164, NULL, 'PTHR12231:SF218', NULL, NULL, NULL, NULL, 'CNTN2 ISOFORM 1', NULL, NULL, NULL, 15),
(175165, NULL, 'PTHR15241:SF347', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A3-LIKE', NULL, NULL, NULL, 15),
(175166, NULL, 'PTHR45738:SF16', NULL, NULL, NULL, NULL, 'SAC DOMAIN, PHOSPHOINOSITIDE PHOSPHATASE SAC, PLANT-RELATED', NULL, NULL, NULL, 15),
(175167, NULL, 'PTHR33294:SF16', NULL, NULL, NULL, NULL, 'BNAC05G02680D PROTEIN', NULL, NULL, NULL, 15),
(175168, NULL, 'PTHR10855:SF4', NULL, NULL, NULL, NULL, 'BNAA06G36960D PROTEIN', NULL, NULL, NULL, 15),
(175169, NULL, 'PTHR31415:SF90', NULL, NULL, NULL, NULL, 'NDR1/HIN1-LIKE PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(175170, NULL, 'PTHR21879:SF23', NULL, NULL, NULL, NULL, 'IP06949P', NULL, NULL, NULL, 15),
(175171, NULL, 'PTHR33086:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175172, NULL, 'PTHR15139:SF0', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE C', NULL, NULL, NULL, 15),
(175173, NULL, 'PTHR46400:SF13', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175174, NULL, 'PTHR46091:SF2', NULL, NULL, NULL, NULL, 'INACTIVE ALL-TRANS-RETINOL 13,14-REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(175175, NULL, 'PTHR48010:SF62', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE-RELATED', NULL, NULL, NULL, 15),
(175176, NULL, 'PTHR10464:SF6', NULL, NULL, NULL, NULL, 'UREA TRANSPORTER 2', NULL, NULL, NULL, 15),
(175177, NULL, 'PTHR11711:SF31', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE 5', NULL, NULL, NULL, 15),
(175178, NULL, 'PTHR45749:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175179, NULL, 'PTHR13154:SF6', NULL, NULL, NULL, NULL, 'GEO05078P1', NULL, NULL, NULL, 15),
(175180, NULL, 'PTHR11963:SF4', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE NPEPL1-RELATED', NULL, NULL, NULL, 15),
(175181, NULL, 'PTHR33527:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175182, NULL, 'PTHR44329:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175183, NULL, 'PTHR35243:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175184, NULL, 'PTHR11232:SF57', NULL, NULL, NULL, NULL, 'RE46159P', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175185, NULL, 'PTHR32467:SF160', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(175186, NULL, 'PTHR30272:SF1', NULL, NULL, NULL, NULL, '(3R)-HYDROXYMYRISTOYL-[ACYL CARRIER PROTEIN] DEHYDRATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(175187, NULL, 'PTHR31385:SF5', NULL, NULL, NULL, NULL, 'F5O8.12 PROTEIN', NULL, NULL, NULL, 15),
(175188, NULL, 'PTHR24418:SF225', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(175189, NULL, 'PTHR45714:SF58', NULL, NULL, NULL, NULL, 'BNAA03G55490D PROTEIN', NULL, NULL, NULL, 15),
(175190, NULL, 'PTHR33721:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-283J8.1', NULL, NULL, NULL, 15),
(175191, NULL, 'PTHR33137:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175192, NULL, 'PTHR18966:SF174', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, KAINATE 3', NULL, NULL, NULL, 15),
(175193, NULL, 'PTHR24241:SF150', NULL, NULL, NULL, NULL, 'CHOLECYSTOKININ RECEPTOR TYPE A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(175194, NULL, 'PTHR47086:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175195, NULL, 'PTHR21593:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG06429', NULL, NULL, NULL, 15),
(175196, NULL, 'PTHR11346:SF108', NULL, NULL, NULL, NULL, '32 KDA BETA-GALACTOSIDE-BINDING LECTIN', NULL, NULL, NULL, 15),
(175197, NULL, 'PTHR31376:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175198, NULL, 'PTHR37310:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175199, NULL, 'PTHR24377:SF792', NULL, NULL, NULL, NULL, 'METAL RESPONSE ELEMENT-BINDING TRANSCRIPTION FACTOR-1, ISOFORM C', NULL, NULL, NULL, 15),
(175200, NULL, 'PTHR32467:SF163', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(175201, NULL, 'PTHR22705:SF0', NULL, NULL, NULL, NULL, 'ZZ-TYPE ZINC FINGER-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(175202, NULL, 'PTHR15852:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ORANGE-LIKE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(175203, NULL, 'PTHR21402:SF6', NULL, NULL, NULL, NULL, 'GAMETOCYTE-SPECIFIC FACTOR 2', NULL, NULL, NULL, 15),
(175204, NULL, 'PTHR48006:SF2', NULL, NULL, NULL, NULL, 'OS05G0305900 PROTEIN', NULL, NULL, NULL, 15),
(175205, NULL, 'PTHR32093:SF121', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(175206, NULL, 'PTHR11711:SF361', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(175207, NULL, 'PTHR15071:SF27', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 27', NULL, NULL, NULL, 15),
(175208, NULL, 'PTHR24381:SF245', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 22', NULL, NULL, NULL, 15),
(175209, NULL, 'PTHR33592:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175210, NULL, 'PTHR33159:SF44', NULL, NULL, NULL, NULL, 'RIN4, PATHOGENIC TYPE III EFFECTOR AVIRULENCE FACTOR AVR CLEAVAGE-RELATED', NULL, NULL, NULL, 15),
(175211, NULL, 'PTHR42968:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175212, NULL, 'PTHR17378', NULL, NULL, NULL, NULL, 'SECRETIN', NULL, NULL, 18321, 15),
(175213, NULL, 'PTHR14093', NULL, NULL, NULL, NULL, 'HLA CLASS II GAMMA CHAIN', NULL, NULL, NULL, 15),
(175214, NULL, 'PTHR30555:SF6', NULL, NULL, NULL, NULL, 'CATALASE-PEROXIDASE', NULL, NULL, NULL, 15),
(175215, NULL, 'PTHR34652:SF2', NULL, NULL, NULL, NULL, 'AGAP002134-PA', NULL, NULL, NULL, 15),
(175216, NULL, 'PTHR10292:SF26', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(175217, NULL, 'PTHR11544:SF106', NULL, NULL, NULL, NULL, 'COLD SHOCK-LIKE PROTEIN CSPG-RELATED', NULL, NULL, NULL, 15),
(175218, NULL, 'PTHR19918:SF54', NULL, NULL, NULL, NULL, 'BNACNNG73980D PROTEIN', NULL, NULL, NULL, 15),
(175219, NULL, 'PTHR15932:SF2', NULL, NULL, NULL, NULL, 'BRCA1-A COMPLEX SUBUNIT RAP80', NULL, NULL, NULL, 15),
(175220, NULL, 'PTHR48016:SF11', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA-LIKE ISOFORM X1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175221, NULL, 'PTHR31388:SF158', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(175222, NULL, 'PTHR47990:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175223, NULL, 'PTHR46910:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175224, NULL, 'PTHR43207:SF6', NULL, NULL, NULL, NULL, 'OS06G0542200 PROTEIN', NULL, NULL, NULL, 15),
(175225, NULL, 'PTHR33795', NULL, NULL, NULL, NULL, 'INSERTION ELEMENT IS150 PROTEIN INSJ', NULL, NULL, NULL, 15),
(175226, NULL, 'PTHR11451:SF53', NULL, NULL, NULL, NULL, 'THREONINE--TRNA LIGASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(175227, NULL, 'PTHR11157:SF124', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(175228, NULL, 'PTHR24353:SF135', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, CAMP-DEPENDENT, CATALYTIC, ALPHA, GENOME DUPLICATE B', NULL, NULL, NULL, 15),
(175229, NULL, 'PTHR21522:SF31', NULL, NULL, NULL, NULL, 'OTOPETRIN-LIKE', NULL, NULL, NULL, 15),
(175230, NULL, 'PTHR24368:SF62', NULL, NULL, NULL, NULL, 'AMPHOTERIN-INDUCED PROTEIN 3', NULL, NULL, 22850, 15),
(175231, NULL, 'PTHR11205:SF49', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S5', NULL, NULL, NULL, 15),
(175232, NULL, 'PTHR37771:SF3', NULL, NULL, NULL, NULL, 'BNACNNG15720D PROTEIN', NULL, NULL, NULL, 15),
(175233, NULL, 'PTHR13690:SF122', NULL, NULL, NULL, NULL, 'ATBZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(175234, NULL, 'PTHR23339:SF65', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE TYPE IVA 2', NULL, NULL, NULL, 15),
(175235, NULL, 'PTHR24221:SF538', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN HOMOLOG 65', NULL, NULL, NULL, 15),
(175236, NULL, 'PTHR11702:SF39', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN OBGC2-RELATED', NULL, NULL, NULL, 15),
(175237, NULL, 'PTHR11848:SF19', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 9', NULL, NULL, 17958, 15),
(175238, NULL, 'PTHR46163:SF7', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE-LIKE PROTEIN EGG-3', NULL, NULL, NULL, 15),
(175239, NULL, 'PTHR12308:SF33', NULL, NULL, NULL, NULL, 'ANOCTAMIN', NULL, NULL, 22775, 15),
(175240, NULL, 'PTHR33406:SF10', NULL, NULL, NULL, NULL, 'MMPL FAMILY EFFLUX PUMP', NULL, NULL, NULL, 15),
(175241, NULL, 'PTHR48050:SF6', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE 1-10-RELATED', NULL, NULL, NULL, 15),
(175242, NULL, 'PTHR22814', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN ATOX1-RELATED', NULL, NULL, 37408, 15),
(175243, NULL, 'PTHR27007:SF62', NULL, NULL, NULL, NULL, 'OS12G0608500 PROTEIN', NULL, NULL, NULL, 15),
(175244, NULL, 'PTHR10353:SF273', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1 PROTEIN', NULL, NULL, NULL, 15),
(175245, NULL, 'PTHR32071:SF91', NULL, NULL, NULL, NULL, 'TUNGSTATE-RESPONSIVE TWO COMPONENT SIGMA54-DEPENDENT SIGNAL TRANSDUCTION SYSTEM RESPONSE REGULATOR FIS FAMILY', NULL, NULL, NULL, 15),
(175246, NULL, 'PTHR12210:SF145', NULL, NULL, NULL, NULL, 'CTD SMALL PHOSPHATASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(175247, NULL, 'PTHR43751:SF3', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE 6-SULFATASE (GALNS)', NULL, NULL, NULL, 15),
(175248, NULL, 'PTHR15840', NULL, NULL, NULL, NULL, 'CGI-121 FAMILY MEMBER', NULL, NULL, 14152, 15),
(175249, NULL, 'PTHR22765:SF305', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175250, NULL, 'PTHR43557:SF8', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 3', NULL, NULL, NULL, 15),
(175251, NULL, 'PTHR47989', NULL, NULL, NULL, NULL, 'OS01G0750732 PROTEIN', NULL, NULL, NULL, 15),
(175252, NULL, 'PTHR47903:SF2', NULL, NULL, NULL, NULL, 'OS07G0636400 PROTEIN', NULL, NULL, NULL, 15),
(175253, NULL, 'PTHR33257:SF38', NULL, NULL, NULL, NULL, 'OS01G0824900 PROTEIN', NULL, NULL, NULL, 15),
(175254, NULL, 'PTHR43360:SF1', NULL, NULL, NULL, NULL, 'CARBON DIOXIDE CONCENTRATING MECHANISM PROTEIN CCMM', NULL, NULL, NULL, 15),
(175255, NULL, 'PTHR22923:SF103', NULL, NULL, NULL, NULL, 'CEREBELLIN 20-RELATED', NULL, NULL, NULL, 15),
(175256, NULL, 'PTHR33392', NULL, NULL, NULL, NULL, 'POLYISOPRENYL-TEICHOIC ACID--PEPTIDOGLYCAN TEICHOIC ACID TRANSFERASE TAGU', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175257, NULL, 'PTHR47980:SF36', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-10', NULL, NULL, NULL, 15),
(175258, NULL, 'PTHR10660:SF2', NULL, NULL, NULL, NULL, 'LD45860P', NULL, NULL, NULL, 15),
(175259, NULL, 'PTHR15336:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(175260, NULL, 'PTHR14768:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 91', NULL, NULL, NULL, 15),
(175261, NULL, 'PTHR43068:SF1', NULL, NULL, NULL, NULL, 'SLR1854 PROTEIN', NULL, NULL, NULL, 15),
(175262, NULL, 'PTHR12801:SF117', NULL, NULL, NULL, NULL, 'PROTEIN CBG19115', NULL, NULL, NULL, 15),
(175263, NULL, 'PTHR21580:SF21', NULL, NULL, NULL, NULL, 'O(6)-METHYLGUANINE-INDUCED APOPTOSIS 2', NULL, NULL, NULL, 15),
(175264, NULL, 'PTHR34801:SF4', NULL, NULL, NULL, NULL, 'DUF1499 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(175265, NULL, 'PTHR38038:SF1', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN ACTIVATOR LPOA', NULL, NULL, NULL, 15),
(175266, NULL, 'PTHR23124:SF139', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(175267, NULL, 'PTHR21649:SF5', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I CHLOROPHYLL A/B-BINDING PROTEIN 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(175268, NULL, 'PTHR38604:SF1', NULL, NULL, NULL, NULL, 'PERIPLASMIC NITRATE REDUCTASE, ELECTRON TRANSFER SUBUNIT', NULL, NULL, NULL, 15),
(175269, NULL, 'PTHR43527', NULL, NULL, NULL, NULL, '4-DIPHOSPHOCYTIDYL-2-C-METHYL-D-ERYTHRITOL KINASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(175270, NULL, 'PTHR42647:SF41', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BOI-LIKE', NULL, NULL, NULL, 15),
(175271, NULL, 'PTHR23284:SF5', NULL, NULL, NULL, NULL, 'SEC12P-LIKE 2 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175272, NULL, 'PTHR48026:SF12', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A3', NULL, NULL, NULL, 15),
(175273, NULL, 'PTHR31506:SF25', NULL, NULL, NULL, NULL, 'PROTEIN BRASSINAZOLE-RESISTANT 2', NULL, NULL, NULL, 15),
(175274, NULL, 'PTHR23257:SF803', NULL, NULL, NULL, NULL, 'OS12G0594300 PROTEIN', NULL, NULL, NULL, 15),
(175275, NULL, 'PTHR30023', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE', NULL, NULL, 6681, 15),
(175276, NULL, 'PTHR35274:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CLKA-RELATED', NULL, NULL, NULL, 15),
(175277, NULL, 'PTHR24286:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175278, NULL, 'PTHR33433:SF24', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(175279, NULL, 'PTHR23359:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175280, NULL, 'PTHR31558:SF27', NULL, NULL, NULL, NULL, 'BNAA09G48200D PROTEIN', NULL, NULL, NULL, 15),
(175281, NULL, 'PTHR27007:SF242', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.9', NULL, NULL, NULL, 15),
(175282, NULL, 'PTHR24377:SF747', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 408', NULL, NULL, NULL, 15),
(175283, NULL, 'PTHR31155:SF30', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(175284, NULL, 'PTHR47293:SF26', NULL, NULL, NULL, NULL, 'MANNOSE-BINDING LECTIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(175285, NULL, 'PTHR31625:SF30', NULL, NULL, NULL, NULL, 'MALONYL-COA:ISOFLAVONE 7-O-GLUCOSIDE MALONYLTRANSFERASE', NULL, NULL, NULL, 15),
(175286, NULL, 'PTHR14224:SF42', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 75A', NULL, NULL, NULL, 15),
(175287, NULL, 'PTHR11437:SF31', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 7', NULL, NULL, NULL, 15),
(175288, NULL, 'PTHR46524:SF8', NULL, NULL, NULL, NULL, 'BNAC05G01610D PROTEIN', NULL, NULL, NULL, 15),
(175289, NULL, 'PTHR37422:SF9', NULL, NULL, NULL, NULL, 'O-ANTIGEN LIGASE', NULL, NULL, NULL, 15),
(175290, NULL, 'PTHR38501:SF1', NULL, NULL, NULL, NULL, 'PHOTORECEPTOR DISK COMPONENT PRCD', NULL, NULL, NULL, 15),
(175291, NULL, 'PTHR48034:SF6', NULL, NULL, NULL, NULL, 'TRANSFORMER-2 SEX-DETERMINING PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175292, NULL, 'PTHR45660:SF36', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH1-LIKE', NULL, NULL, NULL, 15),
(175293, NULL, 'PTHR36709:SF1', NULL, NULL, NULL, NULL, 'OS02G0604100 PROTEIN', NULL, NULL, NULL, 15),
(175294, NULL, 'PTHR47997:SF11', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(175295, NULL, 'PTHR21713:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175296, NULL, 'PTHR46320', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE 1', NULL, NULL, NULL, 15),
(175297, NULL, 'PTHR45630:SF12', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE 13A3-RELATED', NULL, NULL, NULL, 15),
(175298, NULL, 'PTHR32080', NULL, NULL, NULL, NULL, 'ANTIFUNGAL PROTEIN GINKBILOBIN-2-LIKE', NULL, NULL, NULL, 15),
(175299, NULL, 'PTHR42210', NULL, NULL, NULL, NULL, 'DNA POLYMERASE II LARGE SUBUNIT', NULL, NULL, 7443, 15),
(175300, NULL, 'PTHR24135', NULL, NULL, NULL, NULL, 'SH3 AND MULTIPLE ANKYRIN REPEAT DOMAINS PROTEIN', NULL, NULL, NULL, 15),
(175301, NULL, 'PTHR43184:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG22645', NULL, NULL, NULL, 15),
(175302, NULL, 'PTHR19282:SF424', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(175303, NULL, 'PTHR33095:SF64', NULL, NULL, NULL, NULL, 'OS02G0134200 PROTEIN', NULL, NULL, NULL, 15),
(175304, NULL, 'PTHR13018:SF132', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT CHANNEL, 7TM REGION, PUTATIVE PHOSPHATE-RELATED', NULL, NULL, NULL, 15),
(175305, NULL, 'PTHR13980:SF18', NULL, NULL, NULL, NULL, 'FACT COMPLEX SUBUNIT SPT16-RELATED', NULL, NULL, NULL, 15),
(175306, NULL, 'PTHR16200', NULL, NULL, NULL, NULL, 'RING ZINC FINGER', NULL, NULL, NULL, 15),
(175307, NULL, 'PTHR10891:SF781', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML20-RELATED', NULL, NULL, NULL, 15),
(175308, NULL, 'PTHR13798:SF6', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(175309, NULL, 'PTHR33377:SF13', NULL, NULL, NULL, NULL, 'OS10G0134700 PROTEIN', NULL, NULL, NULL, 15),
(175310, NULL, 'PTHR11413:SF105', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(175311, NULL, 'PTHR12907:SF26', NULL, NULL, NULL, NULL, 'HIF PROLYL HYDROXYLASE, ISOFORM C', NULL, NULL, NULL, 15),
(175312, NULL, 'PTHR33021:SF312', NULL, NULL, NULL, NULL, 'BNAC06G01720D PROTEIN', NULL, NULL, NULL, 15),
(175313, NULL, 'PTHR22683:SF46', NULL, NULL, NULL, NULL, 'OOCYST CAPSULE PROTEIN', NULL, NULL, NULL, 15),
(175314, NULL, 'PTHR31865:SF39', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(175315, NULL, 'PTHR11010:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175316, NULL, 'PTHR46672:SF4', NULL, NULL, NULL, NULL, 'OS08G0495500 PROTEIN', NULL, NULL, NULL, 15),
(175317, NULL, 'PTHR46606:SF4', NULL, NULL, NULL, NULL, 'SHOOTIN2', NULL, NULL, NULL, 15),
(175318, NULL, 'PTHR45277', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(175319, NULL, 'PTHR19375:SF414', NULL, NULL, NULL, NULL, 'BNAA01G13780D PROTEIN', NULL, NULL, NULL, 15),
(175320, NULL, 'PTHR11685:SF373', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(175321, NULL, 'PTHR31580:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175322, NULL, 'PTHR14519:SF6', NULL, NULL, NULL, NULL, 'VITAMIN K EPOXIDE REDUCTASE COMPLEX, SUBUNIT 1', NULL, NULL, NULL, 15),
(175323, NULL, 'PTHR31096:SF22', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN ACR4', NULL, NULL, NULL, 15),
(175324, NULL, 'PTHR11941:SF133', NULL, NULL, NULL, NULL, '1,2-EPOXYPHENYLACETYL-COA ISOMERASE', NULL, NULL, NULL, 15),
(175325, NULL, 'PTHR24281:SF42', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A9-LIKE', NULL, NULL, NULL, 15),
(175326, NULL, 'PTHR10121:SF4', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT DELTA', NULL, NULL, NULL, 15),
(175327, NULL, 'PTHR15551:SF9', NULL, NULL, NULL, NULL, 'LIM AND CALPONIN HOMOLOGY DOMAINS 1B', NULL, NULL, NULL, 15),
(175328, NULL, 'PTHR31992:SF42', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175329, NULL, 'PTHR33052:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175330, NULL, 'PTHR31236:SF28', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175331, NULL, 'PTHR23050:SF402', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND-LIKE PROTEIN', NULL, NULL, NULL, 15),
(175332, NULL, 'PTHR23012:SF180', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(175333, NULL, 'PTHR11802:SF322', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(175334, NULL, 'PTHR21560:SF0', NULL, NULL, NULL, NULL, 'KINASE NON-CATALYTIC C-LOBE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(175335, NULL, 'PTHR33735:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175336, NULL, 'PTHR45645:SF31', NULL, NULL, NULL, NULL, 'CUBILIN (INTRINSIC FACTOR-COBALAMIN RECEPTOR)', NULL, NULL, NULL, 15),
(175337, NULL, 'PTHR10177:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175338, NULL, 'PTHR21654:SF7', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(175339, NULL, 'PTHR11183', NULL, NULL, NULL, NULL, 'GLYCOGENIN SUBFAMILY MEMBER', NULL, NULL, NULL, 15),
(175340, NULL, 'PTHR23428:SF258', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(175341, NULL, 'PTHR31223:SF63', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG', NULL, NULL, NULL, 15),
(175342, NULL, 'PTHR43768:SF37', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(175343, NULL, 'PTHR48022:SF24', NULL, NULL, NULL, NULL, 'HEXOSE TRANSPORTER PROTEIN (AFU_ORTHOLOGUE AFUA_8G04480)', NULL, NULL, NULL, 15),
(175344, NULL, 'PTHR12172:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175345, NULL, 'PTHR31645:SF11', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL1', NULL, NULL, NULL, 15),
(175346, NULL, 'PTHR32411:SF43', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 38', NULL, NULL, NULL, 15),
(175347, NULL, 'PTHR11006', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE', NULL, NULL, 23044, 15),
(175348, NULL, 'PTHR11385:SF11', NULL, NULL, NULL, NULL, 'VITAMIN D-BINDING PROTEIN', NULL, NULL, 1721, 15),
(175349, NULL, 'PTHR48018:SF40', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(175350, NULL, 'PTHR31384:SF74', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(175351, NULL, 'PTHR34278:SF12', NULL, NULL, NULL, NULL, 'EF-HAND 1, CALCIUM-BINDING SITE-RELATED', NULL, NULL, NULL, 15),
(175352, NULL, 'PTHR12629:SF15', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(175353, NULL, 'PTHR46108:SF3', NULL, NULL, NULL, NULL, 'WD REPEAT- AND FYVE DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(175354, NULL, 'PTHR32054:SF70', NULL, NULL, NULL, NULL, 'OS07G0620100 PROTEIN', NULL, NULL, NULL, 15),
(175355, NULL, 'PTHR33601:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175356, NULL, 'PTHR10857:SF112', NULL, NULL, NULL, NULL, 'COPINE-9', NULL, NULL, NULL, 15),
(175357, NULL, 'PTHR23050:SF447', NULL, NULL, NULL, NULL, 'BNACNNG21080D PROTEIN', NULL, NULL, NULL, 15),
(175358, NULL, 'PTHR33102:SF16', NULL, NULL, NULL, NULL, 'OS01G0972300 PROTEIN', NULL, NULL, NULL, 15),
(175359, NULL, 'PTHR31568:SF76', NULL, NULL, NULL, NULL, 'BNAA04G18640D PROTEIN', NULL, NULL, NULL, 15),
(175360, NULL, 'PTHR27005:SF87', NULL, NULL, NULL, NULL, 'OS11G0556600 PROTEIN', NULL, NULL, NULL, 15),
(175361, NULL, 'PTHR10285:SF116', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(175362, NULL, 'PTHR45648:SF5', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 6', NULL, NULL, NULL, 15),
(175363, NULL, 'PTHR47092', NULL, NULL, NULL, NULL, 'CAT EYE SYNDROME CRITICAL REGION PROTEIN 2', NULL, NULL, 22899, 15),
(175364, NULL, 'PTHR31218:SF335', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175365, NULL, 'PTHR35496:SF7', NULL, NULL, NULL, NULL, '2S SULFUR-RICH SEED STORAGE PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(175366, NULL, 'PTHR45971:SF3', NULL, NULL, NULL, NULL, 'RUN DOMAIN BECLIN-1-INTERACTING AND CYSTEINE-RICH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(175367, NULL, 'PTHR42716:SF3', NULL, NULL, NULL, NULL, 'SLL1913 PROTEIN', NULL, NULL, NULL, 15),
(175368, NULL, 'PTHR13593:SF38', NULL, NULL, NULL, NULL, 'AGAP006088-PA', NULL, NULL, NULL, 15),
(175369, NULL, 'PTHR31541:SF40', NULL, NULL, NULL, NULL, 'BNAA04G18270D PROTEIN', NULL, NULL, NULL, 15),
(175370, NULL, 'PTHR31896:SF62', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175371, NULL, 'PTHR24183:SF1', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE 3 AND ANKYRIN REPEAT DOMAINS PROTEIN 1', NULL, NULL, NULL, 15),
(175372, NULL, 'PTHR16223:SF180', NULL, NULL, NULL, NULL, 'OS04G0489600 PROTEIN', NULL, NULL, NULL, 15),
(175373, NULL, 'PTHR38839:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR WHID', NULL, NULL, NULL, 15),
(175374, NULL, 'PTHR47293:SF37', NULL, NULL, NULL, NULL, 'BNACNNG15490D PROTEIN', NULL, NULL, NULL, 15),
(175375, NULL, 'PTHR45684:SF28', NULL, NULL, NULL, NULL, 'SAR1 GTP BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175376, NULL, 'PTHR15427:SF36', NULL, NULL, NULL, NULL, 'ELASTIN MICROFIBRIL INTERFACER 2A', NULL, NULL, NULL, 15),
(175377, NULL, 'PTHR33985:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175378, NULL, 'PTHR31342:SF47', NULL, NULL, NULL, NULL, 'ACTIN BINDING PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(175379, NULL, 'PTHR27002:SF513', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN PR1-RK2-RELATED', NULL, NULL, NULL, 15),
(175380, NULL, 'PTHR18945:SF799', NULL, NULL, NULL, NULL, 'NICOTINIC ACETYLCHOLINE RECEPTOR ALPHA7, ISOFORM E', NULL, NULL, NULL, 15),
(175381, NULL, 'PTHR24136:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175382, NULL, 'PTHR10994:SF172', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(175383, NULL, 'PTHR48062:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175384, NULL, 'PTHR45708:SF8', NULL, NULL, NULL, NULL, 'OS01G0860400 PROTEIN', NULL, NULL, NULL, 15),
(175385, NULL, 'PTHR31692:SF10', NULL, NULL, NULL, NULL, 'EXPANSIN-B1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(175386, NULL, 'PTHR43678', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00640)-RELATED', NULL, NULL, NULL, 15),
(175387, NULL, 'PTHR46041:SF4', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEASE SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(175388, NULL, 'PTHR11771:SF172', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE 1', NULL, NULL, NULL, 15),
(175389, NULL, 'PTHR33974', NULL, NULL, NULL, NULL, 'VASCULAR-RELATED UNKNOWN PROTEIN 1-RELATED', NULL, NULL, 35673, 15),
(175390, NULL, 'PTHR10641:SF1286', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39-LIKE', NULL, NULL, NULL, 15),
(175391, NULL, 'PTHR47341:SF1', NULL, NULL, NULL, NULL, 'GATA-TYPE ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(175392, NULL, 'PTHR27005:SF263', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(175393, NULL, 'PTHR30485:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME YDHU-RELATED', NULL, NULL, NULL, 15),
(175394, NULL, 'PTHR11260:SF684', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(175395, NULL, 'PTHR10259:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175396, NULL, 'PTHR22595:SF153', NULL, NULL, NULL, NULL, 'BNAC01G38450D PROTEIN', NULL, NULL, NULL, 15),
(175397, NULL, 'PTHR31458:SF2', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE 1 BETA-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(175398, NULL, 'PTHR11206:SF341', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(175399, NULL, 'PTHR42683:SF59', NULL, NULL, NULL, NULL, 'CINNAMYL ALCOHOL DEHYDROGENASE 5-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175400, NULL, 'PTHR42673:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175401, NULL, 'PTHR31080:SF97', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(175402, NULL, 'PTHR12138:SF117', NULL, NULL, NULL, NULL, 'PROTEIN GVQW3', NULL, NULL, NULL, 15),
(175403, NULL, 'PTHR10617:SF107', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN-UBIQUINONE OXIDOREDUCTASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(175404, NULL, 'PTHR21137:SF35', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 13A-RELATED', NULL, NULL, NULL, 15),
(175405, NULL, 'PTHR22902:SF42', NULL, NULL, NULL, NULL, 'ARFGAP WITH COILED-COIL, ANKYRIN REPEAT AND PH DOMAINS 1', NULL, NULL, NULL, 15),
(175406, NULL, 'PTHR24326:SF578', NULL, NULL, NULL, NULL, 'BNACNNG73330D PROTEIN', NULL, NULL, NULL, 15),
(175407, NULL, 'PTHR31155:SF35', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE', NULL, NULL, NULL, 15),
(175408, NULL, 'PTHR10366:SF617', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONOL 4-REDUCTASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(175409, NULL, 'PTHR19446:SF408', NULL, NULL, NULL, NULL, 'LRRG00124', NULL, NULL, NULL, 15),
(175410, NULL, 'PTHR21014', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 18621, 15),
(175411, NULL, 'PTHR11406:SF29', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE', NULL, NULL, NULL, 15),
(175412, NULL, 'PTHR40060:SF1', NULL, NULL, NULL, NULL, 'UPF0316 PROTEIN YEBE', NULL, NULL, NULL, 15),
(175413, NULL, 'PTHR33795:SF1', NULL, NULL, NULL, NULL, 'INSERTION ELEMENT IS150 PROTEIN INSJ', NULL, NULL, NULL, 15),
(175414, NULL, 'PTHR16504:SF4', NULL, NULL, NULL, NULL, '5''(3'')-DEOXYRIBONUCLEOTIDASE', NULL, NULL, NULL, 15),
(175415, NULL, 'PTHR23115:SF236', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA 1', NULL, NULL, NULL, 15),
(175416, NULL, 'PTHR26452:SF812', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(175417, NULL, 'PTHR39413', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 136', NULL, NULL, 15610, 15),
(175418, NULL, 'PTHR19876:SF38', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(175419, NULL, 'PTHR23021:SF17', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(175420, NULL, 'PTHR35458:SF8', NULL, NULL, NULL, NULL, 'SLR0650 PROTEIN', NULL, NULL, NULL, 15),
(175421, NULL, 'PTHR10921:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR DISTRIBUTION PROTEIN NUDE HOMOLOG 1', NULL, NULL, NULL, 15),
(175422, NULL, 'PTHR11654:SF152', NULL, NULL, NULL, NULL, 'OS10G0370700 PROTEIN', NULL, NULL, NULL, 15),
(175423, NULL, 'PTHR32303:SF19', NULL, NULL, NULL, NULL, 'POLYVINYLALCOHOL DEHYDROGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(175424, NULL, 'PTHR12461:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175425, NULL, 'PTHR12236:SF9', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 76BD, ISOFORM C-RELATED', NULL, NULL, NULL, 15),
(175426, NULL, 'PTHR20991:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PTHB1', NULL, NULL, NULL, 15),
(175427, NULL, 'PTHR21585', NULL, NULL, NULL, NULL, 'FULL-LENGTH CDNA CLONE CS0DC025YL05 OF NEUROBLASTOMA', NULL, NULL, 28991, 15),
(175428, NULL, 'PTHR42701:SF1', NULL, NULL, NULL, NULL, 'IMIDAZOLE GLYCEROL PHOSPHATE SYNTHASE SUBUNIT HISH', NULL, NULL, NULL, 15),
(175429, NULL, 'PTHR35905', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175430, NULL, 'PTHR45830:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(175431, NULL, 'PTHR22988:SF69', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(175432, NULL, 'PTHR31636:SF20', NULL, NULL, NULL, NULL, 'OS11G0139600 PROTEIN', NULL, NULL, NULL, 15),
(175433, NULL, 'PTHR31251:SF83', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER BINDING-LIKE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(175434, NULL, 'PTHR31089:SF45', NULL, NULL, NULL, NULL, 'DOF-TYPE ZINC FINGER DNA-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(175435, NULL, 'PTHR21660:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175436, NULL, 'PTHR48078:SF7', NULL, NULL, NULL, NULL, 'BLL6502 PROTEIN', NULL, NULL, NULL, 15),
(175437, NULL, 'PTHR48017:SF12', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER 2', NULL, NULL, NULL, 15),
(175438, NULL, 'PTHR31967:SF13', NULL, NULL, NULL, NULL, 'GROUNDHOG (HEDGEHOG-LIKE FAMILY)', NULL, NULL, NULL, 15),
(175439, NULL, 'PTHR16253:SF0', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 22', NULL, NULL, NULL, 15),
(175440, NULL, 'PTHR12673:SF241', NULL, NULL, NULL, NULL, 'PROTEIN CBR-EXC-5', NULL, NULL, NULL, 15),
(175441, NULL, 'PTHR31561:SF124', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(175442, NULL, 'PTHR13504:SF35', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE SOFIC', NULL, NULL, NULL, 15),
(175443, NULL, 'PTHR11527:SF334', NULL, NULL, NULL, NULL, 'SMALL HEAT SHOCK PROTEIN HSP16.5', NULL, NULL, NULL, 15),
(175444, NULL, 'PTHR48047:SF61', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(175445, NULL, 'PTHR31790:SF193', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(175446, NULL, 'PTHR10209:SF728', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(175447, NULL, 'PTHR11654:SF350', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.5-LIKE', NULL, NULL, NULL, 15),
(175448, NULL, 'PTHR33530:SF8', NULL, NULL, NULL, NULL, 'OS04G0591500 PROTEIN', NULL, NULL, NULL, 15),
(175449, NULL, 'PTHR12951', NULL, NULL, NULL, NULL, 'RETINAL PROTEIN 4', NULL, NULL, NULL, 15),
(175450, NULL, 'PTHR35277:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175451, NULL, 'PTHR14167:SF73', NULL, NULL, NULL, NULL, '[PSI+] INDUCIBILITY PROTEIN 3', NULL, NULL, NULL, 15),
(175452, NULL, 'PTHR10411:SF8', NULL, NULL, NULL, NULL, 'FI09246P', NULL, NULL, NULL, 15),
(175453, NULL, 'PTHR48011:SF16', NULL, NULL, NULL, NULL, 'BNAC04G48010D PROTEIN', NULL, NULL, NULL, 15),
(175454, NULL, 'PTHR32370:SF149', NULL, NULL, NULL, NULL, 'BNAC05G23580D PROTEIN', NULL, NULL, NULL, 15),
(175455, NULL, 'PTHR35365:SF18', NULL, NULL, NULL, NULL, 'LP04239P', NULL, NULL, NULL, 15),
(175456, NULL, 'PTHR31686:SF1', NULL, NULL, NULL, NULL, 'SULFITE EFFLUX PUMP SSU1', NULL, NULL, NULL, 15),
(175457, NULL, 'PTHR13690:SF135', NULL, NULL, NULL, NULL, 'BNAC04G42420D PROTEIN', NULL, NULL, NULL, 15),
(175458, NULL, 'PTHR11206:SF407', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 37', NULL, NULL, NULL, 15),
(175459, NULL, 'PTHR19860:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175460, NULL, 'PTHR11746:SF148', NULL, NULL, NULL, NULL, 'OS05G0515500 PROTEIN', NULL, NULL, NULL, 15),
(175461, NULL, 'PTHR30217:SF3', NULL, NULL, NULL, NULL, 'PROTEASE-RELATED', NULL, NULL, NULL, 15),
(175462, NULL, 'PTHR23050:SF412', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175463, NULL, 'PTHR10641:SF1129', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB14', NULL, NULL, NULL, 15),
(175464, NULL, 'PTHR32285:SF270', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 41 ISOFORM X1', NULL, NULL, NULL, 15),
(175465, NULL, 'PTHR46894:SF1', NULL, NULL, NULL, NULL, 'TSC22 DOMAIN FAMILY PROTEIN 2', NULL, NULL, NULL, 15),
(175466, NULL, 'PTHR11921:SF29', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] IRON-SULFUR SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(175467, NULL, 'PTHR47912:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(175468, NULL, 'PTHR45774:SF7', NULL, NULL, NULL, NULL, 'AXUNDEAD, ISOFORM A', NULL, NULL, NULL, 15),
(175469, NULL, 'PTHR34582:SF5', NULL, NULL, NULL, NULL, 'UPF0702 TRANSMEMBRANE PROTEIN YETF', NULL, NULL, NULL, 15),
(175470, NULL, 'PTHR46084:SF13', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE', NULL, NULL, NULL, 15),
(175471, NULL, 'PTHR26312:SF167', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY PROTEIN YCF3', NULL, NULL, NULL, 15),
(175472, NULL, 'PTHR11017:SF371', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN CHL1', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175473, NULL, 'PTHR16133', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 39  ZINC TRANSPORTER , MEMBER 9-RELATED', NULL, NULL, 39401, 15),
(175474, NULL, 'PTHR12630:SF17', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(175475, NULL, 'PTHR31321:SF28', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONAN ACETYLESTERASE', NULL, NULL, NULL, 15),
(175476, NULL, 'PTHR12241:SF118', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE TTLL2-RELATED', NULL, NULL, NULL, 15),
(175477, NULL, 'PTHR42146', NULL, NULL, NULL, NULL, '3'',5''-CYCLIC-NUCLEOTIDE PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(175478, NULL, 'PTHR13593:SF113', NULL, NULL, NULL, NULL, 'FI02810P', NULL, NULL, NULL, 15),
(175479, NULL, 'PTHR11599:SF149', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(175480, NULL, 'PTHR36713:SF1', NULL, NULL, NULL, NULL, 'OS09G0344700 PROTEIN', NULL, NULL, NULL, 15),
(175481, NULL, 'PTHR19290:SF9', NULL, NULL, NULL, NULL, 'NEUROGENIC DIFFERENTIATION FACTOR 6', NULL, NULL, 28446, 15),
(175482, NULL, 'PTHR16002:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 248', NULL, NULL, NULL, 15),
(175483, NULL, 'PTHR11119:SF50', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 7-RELATED', NULL, NULL, NULL, 15),
(175484, NULL, 'PTHR47918:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN FIS', NULL, NULL, NULL, 15),
(175485, NULL, 'PTHR31499:SF43', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR APL', NULL, NULL, NULL, 15),
(175486, NULL, 'PTHR31664:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG00408', NULL, NULL, NULL, 15),
(175487, NULL, 'PTHR24057:SF60', NULL, NULL, NULL, NULL, 'SHAGGY-RELATED PROTEIN KINASE THETA', NULL, NULL, NULL, 15),
(175488, NULL, 'PTHR11902:SF44', NULL, NULL, NULL, NULL, 'ENOLASE 1A, (ALPHA)', NULL, NULL, NULL, 15),
(175489, NULL, 'PTHR31415:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0088H09.16 PROTEIN', NULL, NULL, NULL, 15),
(175490, NULL, 'PTHR23155:SF1039', NULL, NULL, NULL, NULL, 'OS11G0229300 PROTEIN', NULL, NULL, NULL, 15),
(175491, NULL, 'PTHR20916:SF12', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN 13-RELATED', NULL, NULL, NULL, 15),
(175492, NULL, 'PTHR43347:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175493, NULL, 'PTHR48048:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(175494, NULL, 'PTHR11157:SF152', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(175495, NULL, 'PTHR24026:SF110', NULL, NULL, NULL, NULL, 'LIPOPROTEIN RECEPTOR-RELATED PROTEIN', NULL, NULL, NULL, 15),
(175496, NULL, 'PTHR10615:SF26', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT6A', NULL, NULL, 27589, 15),
(175497, NULL, 'PTHR23431:SF5', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES II, IV AND V SUBUNIT 10', NULL, NULL, NULL, 15),
(175498, NULL, 'PTHR44279', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID (11-BETA) DEHYDROGENASE 1-LIKE B-RELATED', NULL, NULL, NULL, 15),
(175499, NULL, 'PTHR27001:SF870', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175500, NULL, 'PTHR11746:SF193', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE ZRP4', NULL, NULL, NULL, 15),
(175501, NULL, 'PTHR43168:SF2', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L33, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(175502, NULL, 'PTHR33207:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175503, NULL, 'PTHR24235', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE Y RECEPTOR', NULL, NULL, NULL, 15),
(175504, NULL, 'PTHR24356:SF354', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE IRE4-RELATED', NULL, NULL, NULL, 15),
(175505, NULL, 'PTHR10593:SF130', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 7-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(175506, NULL, 'PTHR33565:SF28', NULL, NULL, NULL, NULL, 'BNAA01G29540D PROTEIN', NULL, NULL, NULL, 15),
(175507, NULL, 'PTHR21494:SF0', NULL, NULL, NULL, NULL, 'ACTIVATING SIGNAL COINTEGRATOR 1 COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(175508, NULL, 'PTHR11076:SF34', NULL, NULL, NULL, NULL, 'PROTEIN UMUC', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175509, NULL, 'PTHR24416:SF535', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR', NULL, NULL, NULL, 15),
(175510, NULL, 'PTHR22996:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN LIGASE RNF157', NULL, NULL, NULL, 15),
(175511, NULL, 'PTHR43643:SF2', NULL, NULL, NULL, NULL, 'INDUCIBLE LYSINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(175512, NULL, 'PTHR31602:SF67', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 6-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(175513, NULL, 'PTHR21586:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175514, NULL, 'PTHR24320:SF185', NULL, NULL, NULL, NULL, 'BNACNNG10380D PROTEIN', NULL, NULL, NULL, 15),
(175515, NULL, 'PTHR47506:SF3', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LMRA', NULL, NULL, NULL, 15),
(175516, NULL, 'PTHR12223:SF20', NULL, NULL, NULL, NULL, 'VIP36-LIKE PROTEIN', NULL, NULL, NULL, 15),
(175517, NULL, 'PTHR31642:SF138', NULL, NULL, NULL, NULL, 'PUTRESCINE HYDROXYCINNAMOYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(175518, NULL, 'PTHR31642:SF192', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175519, NULL, 'PTHR45757:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG21726', NULL, NULL, NULL, 15),
(175520, NULL, 'PTHR11977:SF87', NULL, NULL, NULL, NULL, 'SUPERVILLIN D', NULL, NULL, NULL, 15),
(175521, NULL, 'PTHR10130:SF4', NULL, NULL, NULL, NULL, 'MICROBODY (PEROXISOME) BIOGENESIS PROTEIN PEROXIN 20 (EUROFUNG)', NULL, NULL, NULL, 15),
(175522, NULL, 'PTHR26379:SF355', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175523, NULL, 'PTHR33347:SF42', NULL, NULL, NULL, NULL, 'BNAANNG07890D PROTEIN', NULL, NULL, NULL, 15),
(175524, NULL, 'PTHR19861:SF4', NULL, NULL, NULL, NULL, 'SET1 WD40 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(175525, NULL, 'PTHR12858', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN', NULL, NULL, 36095, 15),
(175526, NULL, 'PTHR31140:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175527, NULL, 'PTHR34272:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175528, NULL, 'PTHR31415:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175529, NULL, 'PTHR21646:SF67', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(175530, NULL, 'PTHR12892:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG00645', NULL, NULL, NULL, 15),
(175531, NULL, 'PTHR11071:SF478', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE, RHODOPSIN-SPECIFIC ISOZYME', NULL, NULL, NULL, 15),
(175532, NULL, 'PTHR31207:SF30', NULL, NULL, NULL, NULL, 'BNAA01G30700D PROTEIN', NULL, NULL, NULL, 15),
(175533, NULL, 'PTHR24206:SF90', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN WLIM2A', NULL, NULL, NULL, 15),
(175534, NULL, 'PTHR34051:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LOW PSII ACCUMULATION 3, CHLOROPLASTIC ISOFORM X1', NULL, NULL, NULL, 15),
(175535, NULL, 'PTHR43570:SF31', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(175536, NULL, 'PTHR33155:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175537, NULL, 'PTHR47990:SF47', NULL, NULL, NULL, NULL, 'FLAVONOL SYNTHASE/FLAVANONE 3-HYDROXYLASE', NULL, NULL, NULL, 15),
(175538, NULL, 'PTHR13018:SF112', NULL, NULL, NULL, NULL, 'EARLY-RESPONSIVE TO DEHYDRATION PROTEIN-LIKE', NULL, NULL, NULL, 15),
(175539, NULL, 'PTHR33059:SF75', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 7', NULL, NULL, NULL, 15),
(175540, NULL, 'PTHR28589:SF1', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S34, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(175541, NULL, 'PTHR27001:SF104', NULL, NULL, NULL, NULL, 'OS02G0236100 PROTEIN', NULL, NULL, NULL, 15),
(175542, NULL, 'PTHR11824:SF11', NULL, NULL, NULL, NULL, 'CALCIUM CHANNEL, VOLTAGE-DEPENDENT, BETA 2B', NULL, NULL, NULL, 15),
(175543, NULL, 'PTHR12317:SF26', NULL, NULL, NULL, NULL, '2-ACYLGLYCEROL O-ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(175544, NULL, 'PTHR24133:SF34', NULL, NULL, NULL, NULL, 'ANKYRIN-3', NULL, NULL, NULL, 15),
(175545, NULL, 'PTHR48049:SF78', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175546, NULL, 'PTHR45659:SF4', NULL, NULL, NULL, NULL, 'HOMEOTIC PROTEIN ANTENNAPEDIA', NULL, NULL, NULL, 15),
(175547, NULL, 'PTHR28285', NULL, NULL, NULL, NULL, 'PROTEIN BIG1', NULL, NULL, 33855, 15),
(175548, NULL, 'PTHR11877:SF66', NULL, NULL, NULL, NULL, 'CHALCONE AND STILBENE SYNTHASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(175549, NULL, 'PTHR45832:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STE20-LIKE-RELATED', NULL, NULL, NULL, 15),
(175550, NULL, 'PTHR37999', NULL, NULL, NULL, NULL, 'MUCIN-17', NULL, NULL, NULL, 15),
(175551, NULL, 'PTHR46020', NULL, NULL, NULL, NULL, 'OSJNBB0059K02.9 PROTEIN', NULL, NULL, NULL, 15),
(175552, NULL, 'PTHR43792:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(175553, NULL, 'PTHR48041:SF58', NULL, NULL, NULL, NULL, 'BNAA05G14460D PROTEIN', NULL, NULL, NULL, 15),
(175554, NULL, 'PTHR31803:SF25', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE', NULL, NULL, NULL, 15),
(175555, NULL, 'PTHR28202', NULL, NULL, NULL, NULL, 'ASSEMBLY FACTOR CBP4', NULL, NULL, 13882, 15),
(175556, NULL, 'PTHR11783:SF266', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(175557, NULL, 'PTHR31155:SF27', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(175558, NULL, 'PTHR11937:SF439', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(175559, NULL, 'PTHR10182:SF18', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 39,-LIKE 1', NULL, NULL, NULL, 15),
(175560, NULL, 'PTHR11388:SF89', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 1B3', NULL, NULL, NULL, 15),
(175561, NULL, 'PTHR46157:SF2', NULL, NULL, NULL, NULL, 'K(+) EFFLUX ANTIPORTER 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(175562, NULL, 'PTHR11764:SF64', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(175563, NULL, 'PTHR11005:SF90', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(175564, NULL, 'PTHR11581:SF27', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4', NULL, NULL, NULL, 15),
(175565, NULL, 'PTHR31499:SF36', NULL, NULL, NULL, NULL, 'G2-LIKE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(175566, NULL, 'PTHR47926:SF183', NULL, NULL, NULL, NULL, 'BNAA03G51270D PROTEIN', NULL, NULL, NULL, 15),
(175567, NULL, 'PTHR31907:SF55', NULL, NULL, NULL, NULL, 'BNAA08G20250D PROTEIN', NULL, NULL, NULL, 15),
(175568, NULL, 'PTHR10414:SF49', NULL, NULL, NULL, NULL, 'OS06G0204400 PROTEIN', NULL, NULL, NULL, 15),
(175569, NULL, 'PTHR37451', NULL, NULL, NULL, NULL, 'MARVEL DOMAIN', NULL, NULL, NULL, 15),
(175570, NULL, 'PTHR30287:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175571, NULL, 'PTHR24068:SF343', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 1B', NULL, NULL, NULL, 15),
(175572, NULL, 'PTHR35750:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175573, NULL, 'PTHR31707:SF159', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(175574, NULL, 'PTHR33052:SF150', NULL, NULL, NULL, NULL, 'OS02G0193100 PROTEIN', NULL, NULL, NULL, 15),
(175575, NULL, 'PTHR12398', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE INHIBITOR', NULL, NULL, 6695, 15),
(175576, NULL, 'PTHR11289:SF1', NULL, NULL, NULL, NULL, 'BNAC06G42060D PROTEIN', NULL, NULL, NULL, 15),
(175577, NULL, 'PTHR38396:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(175578, NULL, 'PTHR32054:SF3', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(175579, NULL, 'PTHR46595:SF6', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L34', NULL, NULL, NULL, 15),
(175580, NULL, 'PTHR37534:SF24', NULL, NULL, NULL, NULL, 'MISCELLANEOUS ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)', NULL, NULL, NULL, 15),
(175581, NULL, 'PTHR48019:SF70', NULL, NULL, NULL, NULL, 'TRUNCATED TRANSCRIPTION FACTOR CAULIFLOWER A-LIKE ISOFORM X1', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175582, NULL, 'PTHR34146', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175583, NULL, 'PTHR11559:SF368', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(175584, NULL, 'PTHR11511:SF5', NULL, NULL, NULL, NULL, 'FAT-BODY PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(175585, NULL, 'PTHR17486', NULL, NULL, NULL, NULL, 'SPERMATID NUCLEAR TRANSITION PROTEIN 1', NULL, NULL, 2169, 15),
(175586, NULL, 'PTHR46556', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY M MEMBER 2', NULL, NULL, NULL, 15),
(175587, NULL, 'PTHR11566:SF147', NULL, NULL, NULL, NULL, 'OS06G0247800 PROTEIN', NULL, NULL, NULL, 15),
(175588, NULL, 'PTHR24012:SF792', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175589, NULL, 'PTHR42983', NULL, NULL, NULL, NULL, 'DINITROGENASE IRON-MOLYBDENUM COFACTOR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175590, NULL, 'PTHR12223:SF28', NULL, NULL, NULL, NULL, 'RE50040P', NULL, NULL, NULL, 15),
(175591, NULL, 'PTHR46955:SF2', NULL, NULL, NULL, NULL, 'DAF-16/FOXO CONTROLLED, GERMLINE TUMOR AFFECTING', NULL, NULL, NULL, 15),
(175592, NULL, 'PTHR31621', NULL, NULL, NULL, NULL, 'PROTEIN DMP3', NULL, NULL, 1094, 15),
(175593, NULL, 'PTHR30543:SF25', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT AZOREDUCTASE AZR', NULL, NULL, NULL, 15),
(175594, NULL, 'PTHR38785:SF1', NULL, NULL, NULL, NULL, 'HOMOLOG OF VIRK', NULL, NULL, NULL, 15),
(175595, NULL, 'PTHR43154:SF1', NULL, NULL, NULL, NULL, 'SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00940)-RELATED', NULL, NULL, NULL, 15),
(175596, NULL, 'PTHR26379:SF297', NULL, NULL, NULL, NULL, 'TD AND POZ DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(175597, NULL, 'PTHR45640:SF11', NULL, NULL, NULL, NULL, 'SI:DKEY-1K23.3', NULL, NULL, NULL, 15),
(175598, NULL, 'PTHR12348:SF24', NULL, NULL, NULL, NULL, 'SI:CH211-220E11.3', NULL, NULL, NULL, 15),
(175599, NULL, 'PTHR12161:SF13', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', NULL, NULL, NULL, 15),
(175600, NULL, 'PTHR13512:SF2', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 28', NULL, NULL, NULL, 15),
(175601, NULL, 'PTHR45090:SF11', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 20 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(175602, NULL, 'PTHR41400:SF1', NULL, NULL, NULL, NULL, 'MGC152344 PROTEIN', NULL, NULL, NULL, 15),
(175603, NULL, 'PTHR45699:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175604, NULL, 'PTHR32343:SF68', NULL, NULL, NULL, NULL, 'BNACNNG36930D PROTEIN', NULL, NULL, NULL, 15),
(175605, NULL, 'PTHR33830:SF22', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 165-RELATED', NULL, NULL, NULL, 15),
(175606, NULL, 'PTHR45648:SF98', NULL, NULL, NULL, NULL, 'BNAA10G09320D PROTEIN', NULL, NULL, NULL, 15),
(175607, NULL, 'PTHR34368:SF2', NULL, NULL, NULL, NULL, 'ALKALINE PHYTOCERAMIDASE (APHC)', NULL, NULL, NULL, 15),
(175608, NULL, 'PTHR45790:SF3', NULL, NULL, NULL, NULL, 'UROPORPHYRINOGEN-III C-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(175609, NULL, 'PTHR42742:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR MPRA', NULL, NULL, NULL, 15),
(175610, NULL, 'PTHR19211:SF118', NULL, NULL, NULL, NULL, '[NU+] PRION FORMATION PROTEIN 1', NULL, NULL, NULL, 15),
(175611, NULL, 'PTHR12446:SF60', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 8', NULL, NULL, NULL, 15),
(175612, NULL, 'PTHR14614:SF136', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175613, NULL, 'PTHR42732:SF1', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE (EUROFUNG)', NULL, NULL, NULL, 15),
(175614, NULL, 'PTHR22298:SF64', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 7', NULL, NULL, NULL, 15),
(175615, NULL, 'PTHR31561:SF109', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 2', NULL, NULL, NULL, 15),
(175616, NULL, 'PTHR12483:SF93', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER CRMD-RELATED', NULL, NULL, NULL, 15),
(175617, NULL, 'PTHR23136', NULL, NULL, NULL, NULL, 'TAX1-BINDING PROTEIN 3-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175618, NULL, 'PTHR33738', NULL, NULL, NULL, NULL, 'EMB|CAB82975.1', NULL, NULL, NULL, 15),
(175619, NULL, 'PTHR22762:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175620, NULL, 'PTHR12622:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175621, NULL, 'PTHR27008:SF422', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175622, NULL, 'PTHR33181:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(175623, NULL, 'PTHR24349:SF384', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175624, NULL, 'PTHR45089:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175625, NULL, 'PTHR19370:SF192', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE 2', NULL, NULL, NULL, 15),
(175626, NULL, 'PTHR11783:SF201', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(175627, NULL, 'PTHR47116:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(175628, NULL, 'PTHR46557', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 10-RELATED', NULL, NULL, NULL, 15),
(175629, NULL, 'PTHR26453:SF270', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(175630, NULL, 'PTHR31645:SF9', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL4-RELATED', NULL, NULL, NULL, 15),
(175631, NULL, 'PTHR31897', NULL, NULL, NULL, NULL, 'PROTEIN CBG17011-RELATED', NULL, NULL, NULL, 15),
(175632, NULL, 'PTHR23351:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FOSB', NULL, NULL, 28825, 15),
(175633, NULL, 'PTHR13832:SF389', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 35-RELATED', NULL, NULL, NULL, 15),
(175634, NULL, 'PTHR45648:SF32', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(175635, NULL, 'PTHR11699:SF292', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175636, NULL, 'PTHR31969:SF39', NULL, NULL, NULL, NULL, 'GRAM DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(175637, NULL, 'PTHR22870:SF392', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175638, NULL, 'PTHR45614:SF125', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 64-RELATED', NULL, NULL, NULL, 15),
(175639, NULL, 'PTHR34602', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP E-RELATED', NULL, NULL, 14147, 15),
(175640, NULL, 'PTHR11003:SF286', NULL, NULL, NULL, NULL, 'TWO-PORE POTASSIUM CHANNEL 3-LIKE', NULL, NULL, NULL, 15),
(175641, NULL, 'PTHR11937:SF438', NULL, NULL, NULL, NULL, 'ACTIN-4', NULL, NULL, NULL, 15),
(175642, NULL, 'PTHR46439', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH MOTOR NEURON 1 PROTEIN', NULL, NULL, NULL, 15),
(175643, NULL, 'PTHR12801:SF123', NULL, NULL, NULL, NULL, 'EXONUCLEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(175644, NULL, 'PTHR19229:SF227', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER', NULL, NULL, NULL, 15),
(175645, NULL, 'PTHR22844:SF354', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE B-LIKE', NULL, NULL, NULL, 15),
(175646, NULL, 'PTHR35296', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(175647, NULL, 'PTHR23050:SF443', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(175648, NULL, 'PTHR24006:SF802', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE FAF-X-RELATED', NULL, NULL, NULL, 15),
(175649, NULL, 'PTHR23063:SF10', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(175650, NULL, 'PTHR11802:SF20', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 44', NULL, NULL, NULL, 15),
(175651, NULL, 'PTHR19431:SF9', NULL, NULL, NULL, NULL, 'BNAA03G00670D PROTEIN', NULL, NULL, NULL, 15),
(175652, NULL, 'PTHR33294:SF6', NULL, NULL, NULL, NULL, 'AWPM-19-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(175653, NULL, 'PTHR31218:SF330', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(175654, NULL, 'PTHR14255:SF5', NULL, NULL, NULL, NULL, 'SULFITE EXPORTER TAUE/SAFE FAMILY PROTEIN 4', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175655, NULL, 'PTHR33653:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC6', NULL, NULL, NULL, 15),
(175656, NULL, 'PTHR44329:SF178', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175657, NULL, 'PTHR11782:SF30', NULL, NULL, NULL, NULL, 'APYRASE 6-RELATED', NULL, NULL, NULL, 15),
(175658, NULL, 'PTHR24347:SF374', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-/ DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN', NULL, NULL, NULL, 15),
(175659, NULL, 'PTHR24016:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175660, NULL, 'PTHR43670:SF28', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(175661, NULL, 'PTHR12631:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175662, NULL, 'PTHR11722:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', NULL, NULL, NULL, 15),
(175663, NULL, 'PTHR43148:SF16', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(175664, NULL, 'PTHR46034:SF14', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(175665, NULL, 'PTHR46274:SF7', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE DSP8 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(175666, NULL, 'PTHR31891', NULL, NULL, NULL, NULL, 'FORMAMIDASE C869.04-RELATED', NULL, NULL, 4970, 15),
(175667, NULL, 'PTHR22716:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG03376', NULL, NULL, NULL, 15),
(175668, NULL, 'PTHR11058:SF19', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 3', NULL, NULL, NULL, 15),
(175669, NULL, 'PTHR33184:SF34', NULL, NULL, NULL, NULL, 'TPD1 PROTEIN HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(175670, NULL, 'PTHR34629:SF1', NULL, NULL, NULL, NULL, 'EARLY NODULIN-75-LIKE', NULL, NULL, NULL, 15),
(175671, NULL, 'PTHR26453:SF666', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10G2', NULL, NULL, 27678, 15),
(175672, NULL, 'PTHR10177:SF380', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175673, NULL, 'PTHR45859:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT BETA', NULL, NULL, NULL, 15),
(175674, NULL, 'PTHR12496:SF2', NULL, NULL, NULL, NULL, 'PROTEIN RRNAD1', NULL, NULL, NULL, 15),
(175675, NULL, 'PTHR31807:SF31', NULL, NULL, NULL, NULL, 'QWRF MOTIF PROTEIN (DUF566)-RELATED', NULL, NULL, NULL, 15),
(175676, NULL, 'PTHR10288:SF169', NULL, NULL, NULL, NULL, 'OS02G0125500 PROTEIN', NULL, NULL, NULL, 15),
(175677, NULL, 'PTHR23267:SF366', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-IV REGION S107B-RELATED', NULL, NULL, NULL, 15),
(175678, NULL, 'PTHR44468:SF2', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING 8B', NULL, NULL, NULL, 15),
(175679, NULL, 'PTHR24343:SF153', NULL, NULL, NULL, NULL, 'SPERM MOTILITY KINASE Y-RELATED', NULL, NULL, NULL, 15),
(175680, NULL, 'PTHR22966:SF36', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 4', NULL, NULL, NULL, 15),
(175681, NULL, 'PTHR11206:SF165', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 55', NULL, NULL, NULL, 15),
(175682, NULL, 'PTHR15749', NULL, NULL, NULL, NULL, 'FANCONI-ASSOCIATED NUCLEASE 1', NULL, NULL, 34008, 15),
(175683, NULL, 'PTHR33727:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175684, NULL, 'PTHR11439:SF250', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175685, NULL, 'PTHR42044:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175686, NULL, 'PTHR31418', NULL, NULL, NULL, NULL, 'FATTY-ACID AND RETINOL-BINDING PROTEIN 1', NULL, NULL, 14127, 15),
(175687, NULL, 'PTHR33110:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175688, NULL, 'PTHR30540:SF117', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(175689, NULL, 'PTHR40781', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175690, NULL, 'PTHR23196:SF31', NULL, NULL, NULL, NULL, 'PAX-INTERACTING PROTEIN 1', NULL, NULL, 35905, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175691, NULL, 'PTHR15583:SF16', NULL, NULL, NULL, NULL, 'INTERLEUKIN-17 RECEPTOR D', NULL, NULL, NULL, 15),
(175692, NULL, 'PTHR23502:SF29', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06680)-RELATED', NULL, NULL, NULL, 15),
(175693, NULL, 'PTHR37932:SF1', NULL, NULL, NULL, NULL, 'SMALL LYSINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(175694, NULL, 'PTHR31038:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175695, NULL, 'PTHR24300:SF321', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2B10', NULL, NULL, NULL, 15),
(175696, NULL, 'PTHR10462:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175697, NULL, 'PTHR13989:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175698, NULL, 'PTHR11660:SF51', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 MEMBER 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(175699, NULL, 'PTHR34928:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 217', NULL, NULL, NULL, 15),
(175700, NULL, 'PTHR18966:SF363', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 93A', NULL, NULL, NULL, 15),
(175701, NULL, 'PTHR12814:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175702, NULL, 'PTHR31828:SF37', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 1', NULL, NULL, NULL, 15),
(175703, NULL, 'PTHR31836:SF23', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(175704, NULL, 'PTHR34222:SF40', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN, BULB-TYPE LECTIN DOMAIN, ZINC FINGER, CCHC-TYPE-RELATED', NULL, NULL, NULL, 15),
(175705, NULL, 'PTHR19957:SF287', NULL, NULL, NULL, NULL, 'BNAANNG32640D PROTEIN', NULL, NULL, NULL, 15),
(175706, NULL, 'PTHR31241:SF61', NULL, NULL, NULL, NULL, 'BNAA02G35180D PROTEIN', NULL, NULL, NULL, 15),
(175707, NULL, 'PTHR31142:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TOM THREE HOMOLOG 1', NULL, NULL, NULL, 15),
(175708, NULL, 'PTHR22749', NULL, NULL, NULL, NULL, 'RIBOFLAVIN KINASE/FMN ADENYLYLTRANSFERASE', NULL, NULL, 16090, 15),
(175709, NULL, 'PTHR10009:SF12', NULL, NULL, NULL, NULL, 'LD43175P', NULL, NULL, NULL, 15),
(175710, NULL, 'PTHR24343:SF312', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE KSP1-RELATED', NULL, NULL, NULL, 15),
(175711, NULL, 'PTHR18952:SF234', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 4-RELATED', NULL, NULL, NULL, 15),
(175712, NULL, 'PTHR33623:SF20', NULL, NULL, NULL, NULL, 'BNAANNG23720D PROTEIN', NULL, NULL, NULL, 15),
(175713, NULL, 'PTHR23184', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 14', NULL, NULL, 33948, 15),
(175714, NULL, 'PTHR31736:SF20', NULL, NULL, NULL, NULL, 'BNAANNG05300D PROTEIN', NULL, NULL, NULL, 15),
(175715, NULL, 'PTHR11685:SF290', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF14', NULL, NULL, 28887, 15),
(175716, NULL, 'PTHR22904:SF394', NULL, NULL, NULL, NULL, 'STRESS-INDUCED-PHOSPHOPROTEIN 1', NULL, NULL, NULL, 15),
(175717, NULL, 'PTHR12246:SF13', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC16', NULL, NULL, NULL, 15),
(175718, NULL, 'PTHR10953:SF218', NULL, NULL, NULL, NULL, 'NEDD8-ACTIVATING ENZYME E1 REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(175719, NULL, 'PTHR27002:SF523', NULL, NULL, NULL, NULL, 'OSJNBA0043L09.9 PROTEIN', NULL, NULL, NULL, 15),
(175720, NULL, 'PTHR23314:SF1', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 6', NULL, NULL, NULL, 15),
(175721, NULL, 'PTHR11489:SF9', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', NULL, NULL, NULL, 15),
(175722, NULL, 'PTHR31611', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NICKEL TRANSPORT PROTEIN NIC1', NULL, NULL, 3307, 15),
(175723, NULL, 'PTHR35446:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-175M2.5', NULL, NULL, NULL, 15),
(175724, NULL, 'PTHR31790:SF176', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(175725, NULL, 'PTHR31286:SF75', NULL, NULL, NULL, NULL, 'BNAC09G14680D PROTEIN', NULL, NULL, NULL, 15),
(175726, NULL, 'PTHR10343:SF81', NULL, NULL, NULL, NULL, 'CRUCIFORM DNA-RECOGNIZING PROTEIN 1-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175727, NULL, 'PTHR15857:SF0', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(175728, NULL, 'PTHR11937:SF248', NULL, NULL, NULL, NULL, 'ACTIN-1', NULL, NULL, NULL, 15),
(175729, NULL, 'PTHR22595:SF151', NULL, NULL, NULL, NULL, 'CHITINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(175730, NULL, 'PTHR27006:SF234', NULL, NULL, NULL, NULL, 'BNAA07G07760D PROTEIN', NULL, NULL, NULL, 15),
(175731, NULL, 'PTHR31384:SF86', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 10', NULL, NULL, NULL, 15),
(175732, NULL, 'PTHR26453:SF312', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2AG2', NULL, NULL, NULL, 15),
(175733, NULL, 'PTHR46522', NULL, NULL, NULL, NULL, 'CYTIDINE MONOPHOSPHATE-N-ACETYLNEURAMINIC ACID HYDROXYLASE', NULL, NULL, 25472, 15),
(175734, NULL, 'PTHR11088:SF28', NULL, NULL, NULL, NULL, 'ADENYLATE DIMETHYLALLYLTRANSFERASE', NULL, NULL, 2715, 15),
(175735, NULL, 'PTHR22750:SF17', NULL, NULL, NULL, NULL, 'SPHINGOSINE 1-PHOSPHATE RECEPTOR 2', NULL, NULL, 727, 15),
(175736, NULL, 'PTHR11527:SF327', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175737, NULL, 'PTHR32370:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0018M05.10 PROTEIN', NULL, NULL, NULL, 15),
(175738, NULL, 'PTHR31985:SF185', NULL, NULL, NULL, NULL, 'BNACNNG07950D PROTEIN', NULL, NULL, NULL, 15),
(175739, NULL, 'PTHR13367', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE', NULL, NULL, NULL, 15),
(175740, NULL, 'PTHR24006:SF685', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 15', NULL, NULL, NULL, 15),
(175741, NULL, 'PTHR40626:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WITH C2H2 AND ZN(2)-CYS(6) DNA BINDING DOMAIN (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(175742, NULL, 'PTHR10791', NULL, NULL, NULL, NULL, 'RAG1-ACTIVATING PROTEIN 1', NULL, NULL, NULL, 15),
(175743, NULL, 'PTHR10579:SF102', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(175744, NULL, 'PTHR31374:SF193', NULL, NULL, NULL, NULL, 'OS03G0780350 PROTEIN', NULL, NULL, NULL, 15),
(175745, NULL, 'PTHR19317:SF16', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN E', NULL, NULL, NULL, 15),
(175746, NULL, 'PTHR33077:SF104', NULL, NULL, NULL, NULL, 'PROTEIN TIFY 11A', NULL, NULL, NULL, 15),
(175747, NULL, 'PTHR18939', NULL, NULL, NULL, NULL, 'RIBOSOME BINDING PROTEIN-1', NULL, NULL, 34652, 15),
(175748, NULL, 'PTHR13814', NULL, NULL, NULL, NULL, 'FETUIN', NULL, NULL, NULL, 15),
(175749, NULL, 'PTHR46146:SF14', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE CCR4-LIKE PROTEIN', NULL, NULL, NULL, 15),
(175750, NULL, 'PTHR26452:SF310', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5P3', NULL, NULL, NULL, 15),
(175751, NULL, 'PTHR45954', NULL, NULL, NULL, NULL, 'LD33695P', NULL, NULL, NULL, 15),
(175752, NULL, 'PTHR45648:SF70', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(175753, NULL, 'PTHR11817:SF87', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(175754, NULL, 'PTHR30158:SF3', NULL, NULL, NULL, NULL, 'MULTIDRUG EXPORT PROTEIN ACRE', NULL, NULL, NULL, 15),
(175755, NULL, 'PTHR21660:SF12', NULL, NULL, NULL, NULL, 'OS07G0462700 PROTEIN', NULL, NULL, NULL, 15),
(175756, NULL, 'PTHR37248:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR', NULL, NULL, NULL, 15),
(175757, NULL, 'PTHR45613:SF368', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175758, NULL, 'PTHR31218:SF223', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(175759, NULL, 'PTHR31775:SF6', NULL, NULL, NULL, NULL, 'OS03G0111200 PROTEIN', NULL, NULL, NULL, 15),
(175760, NULL, 'PTHR11559:SF390', NULL, NULL, NULL, NULL, 'PROTEIN CBG23034', NULL, NULL, NULL, 15),
(175761, NULL, 'PTHR36562:SF3', NULL, NULL, NULL, NULL, 'LYSOZYME D', NULL, NULL, NULL, 15),
(175762, NULL, 'PTHR24296:SF140', NULL, NULL, NULL, NULL, 'BNAC01G00400D PROTEIN', NULL, NULL, NULL, 15),
(175763, NULL, 'PTHR22654:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175764, NULL, 'PTHR31374:SF257', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR71-LIKE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175765, NULL, 'PTHR44163', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 4 HOMOLOG', NULL, NULL, NULL, 15),
(175766, NULL, 'PTHR11040:SF58', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP1', NULL, NULL, NULL, 15),
(175767, NULL, 'PTHR46780:SF2', NULL, NULL, NULL, NULL, 'PROTEIN EVA-1 HOMOLOG B', NULL, NULL, 30792, 15),
(175768, NULL, 'PTHR44324:SF4', NULL, NULL, NULL, NULL, 'WD40 REPEAT DOMAIN 95', NULL, NULL, NULL, 15),
(175769, NULL, 'PTHR12322', NULL, NULL, NULL, NULL, 'DOUBLESEX AND MAB-3 RELATED TRANSCRIPTION FACTOR  DMRT', NULL, NULL, 28886, 15),
(175770, NULL, 'PTHR43721:SF11', NULL, NULL, NULL, NULL, 'SELENOCYSTEINE-SPECIFIC ELONGATION FACTOR', NULL, NULL, NULL, 15),
(175771, NULL, 'PTHR21700:SF30', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-LIKE PROTEIN 15', NULL, NULL, NULL, 15),
(175772, NULL, 'PTHR11260:SF599', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U16', NULL, NULL, NULL, 15),
(175773, NULL, 'PTHR24326:SF527', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-40', NULL, NULL, NULL, 15),
(175774, NULL, 'PTHR40261', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175775, NULL, 'PTHR11932:SF157', NULL, NULL, NULL, NULL, 'CULLIN-1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(175776, NULL, 'PTHR15297', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 6', NULL, NULL, 29283, 15),
(175777, NULL, 'PTHR30442:SF0', NULL, NULL, NULL, NULL, 'FE(3+) DICITRATE TRANSPORT PROTEIN FECA', NULL, NULL, NULL, 15),
(175778, NULL, 'PTHR43795:SF83', NULL, NULL, NULL, NULL, 'PYRIDOXAL PHOSPHATE-DEPENDENT TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(175779, NULL, 'PTHR10443:SF12', NULL, NULL, NULL, NULL, 'DIPEPTIDASE', NULL, NULL, NULL, 15),
(175780, NULL, 'PTHR12419:SF8', NULL, NULL, NULL, NULL, 'OS09G0487700 PROTEIN', NULL, NULL, NULL, 15),
(175781, NULL, 'PTHR11254:SF340', NULL, NULL, NULL, NULL, 'APOPTOSIS-RESISTANT E3 UBIQUITIN PROTEIN LIGASE 1', NULL, NULL, NULL, 15),
(175782, NULL, 'PTHR23501:SF87', NULL, NULL, NULL, NULL, 'SIDEROPHORE IRON TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(175783, NULL, 'PTHR21022:SF29', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', NULL, NULL, NULL, 15),
(175784, NULL, 'PTHR31790:SF390', NULL, NULL, NULL, NULL, 'BNAUNNG01500D PROTEIN', NULL, NULL, NULL, 15),
(175785, NULL, 'PTHR43522:SF2', NULL, NULL, NULL, NULL, 'TRANSKETOLASE 1-RELATED', NULL, NULL, NULL, 15),
(175786, NULL, 'PTHR22978:SF48', NULL, NULL, NULL, NULL, 'B-CELL TRANSLOCATION GENE 3', NULL, NULL, NULL, 15),
(175787, NULL, 'PTHR35371', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(175788, NULL, 'PTHR48017:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175789, NULL, 'PTHR10015:SF366', NULL, NULL, NULL, NULL, 'BNAC09G52680D PROTEIN', NULL, NULL, NULL, 15),
(175790, NULL, 'PTHR26450:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175791, NULL, 'PTHR11264', NULL, NULL, NULL, NULL, 'URACIL-DNA GLYCOSYLASE', NULL, NULL, 1436, 15),
(175792, NULL, 'PTHR10168:SF215', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C5', NULL, NULL, NULL, 15),
(175793, NULL, 'PTHR47471:SF2', NULL, NULL, NULL, NULL, 'GYF DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(175794, NULL, 'PTHR24351:SF184', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SGK1', NULL, NULL, NULL, 15),
(175795, NULL, 'PTHR11009:SF26', NULL, NULL, NULL, NULL, 'DERLIN', NULL, NULL, NULL, 15),
(175796, NULL, 'PTHR19237:SF20', NULL, NULL, NULL, NULL, 'NUCB1', NULL, NULL, NULL, 15),
(175797, NULL, 'PTHR34376:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175798, NULL, 'PTHR31245:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175799, NULL, 'PTHR47926:SF40', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(175800, NULL, 'PTHR11127:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L14', NULL, NULL, NULL, 15),
(175801, NULL, 'PTHR15440', NULL, NULL, NULL, NULL, 'XRP2 PROTEIN', NULL, NULL, 29209, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175802, NULL, 'PTHR23272:SF125', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(175803, NULL, 'PTHR12015:SF101', NULL, NULL, NULL, NULL, 'CYTOKINE SCM-1 BETA-RELATED', NULL, NULL, 6262, 15),
(175804, NULL, 'PTHR31008:SF19', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(175805, NULL, 'PTHR11705', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY M14 CARBOXYPEPTIDASE A,B', NULL, NULL, NULL, 15),
(175806, NULL, 'PTHR11157:SF129', NULL, NULL, NULL, NULL, 'GNS1/SUR4 MEMBRANE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(175807, NULL, 'PTHR32370:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175808, NULL, 'PTHR37290', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YIAA-RELATED', NULL, NULL, 32292, 15),
(175809, NULL, 'PTHR22750:SF48', NULL, NULL, NULL, NULL, 'CANNABINOID RECEPTOR ISOFORM X1', NULL, NULL, NULL, 15),
(175810, NULL, 'PTHR31544:SF10', NULL, NULL, NULL, NULL, 'BUTIROSIN BIOSYNTHESIS, BTRG-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175811, NULL, 'PTHR34563:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175812, NULL, 'PTHR11709:SF206', NULL, NULL, NULL, NULL, 'LACCASE-12', NULL, NULL, NULL, 15),
(175813, NULL, 'PTHR15574:SF59', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(175814, NULL, 'PTHR21733:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG09578', NULL, NULL, NULL, 15),
(175815, NULL, 'PTHR32465:SF0', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 2 PROTEIN', NULL, NULL, NULL, 15),
(175816, NULL, 'PTHR24414:SF107', NULL, NULL, NULL, NULL, 'BNAA04G27990D PROTEIN', NULL, NULL, NULL, 15),
(175817, NULL, 'PTHR48013:SF19', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE DSOR1', NULL, NULL, NULL, 15),
(175818, NULL, 'PTHR33137:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175819, NULL, 'PTHR21879:SF26', NULL, NULL, NULL, NULL, 'OSIRIS 1', NULL, NULL, NULL, 15),
(175820, NULL, 'PTHR48142:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175821, NULL, 'PTHR24349:SF339', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 29', NULL, NULL, NULL, 15),
(175822, NULL, 'PTHR13239:SF7', NULL, NULL, NULL, NULL, 'STRIATIN-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(175823, NULL, 'PTHR10562:SF101', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', NULL, NULL, NULL, 15),
(175824, NULL, 'PTHR39161', NULL, NULL, NULL, NULL, 'ADAPTER PROTEIN MECA', NULL, NULL, 13052, 15),
(175825, NULL, 'PTHR33090:SF56', NULL, NULL, NULL, NULL, 'WOUND-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(175826, NULL, 'PTHR23147:SF187', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, ARGININE/SERINE-RICH 5-RELATED', NULL, NULL, NULL, 15),
(175827, NULL, 'PTHR21495', NULL, NULL, NULL, NULL, 'NUCLEOPORIN-RELATED', NULL, NULL, 3624, 15),
(175828, NULL, 'PTHR35165:SF1', NULL, NULL, NULL, NULL, 'OS08G0113900 PROTEIN', NULL, NULL, NULL, 15),
(175829, NULL, 'PTHR16471:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175830, NULL, 'PTHR47962:SF5', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE LHR-RELATED', NULL, NULL, NULL, 15),
(175831, NULL, 'PTHR13099', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE SUBUNIT B14.5B', NULL, NULL, 8166, 15),
(175832, NULL, 'PTHR48001:SF95', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(175833, NULL, 'PTHR10732:SF13', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17-4', NULL, NULL, NULL, 15),
(175834, NULL, 'PTHR36880:SF1', NULL, NULL, NULL, NULL, '9130008F23RIK PROTEIN', NULL, NULL, NULL, 15),
(175835, NULL, 'PTHR46455:SF7', NULL, NULL, NULL, NULL, 'RE12806P', NULL, NULL, NULL, 15),
(175836, NULL, 'PTHR11510:SF16', NULL, NULL, NULL, NULL, 'INOSITOL-3-PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(175837, NULL, 'PTHR10052:SF50', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175838, NULL, 'PTHR24300:SF108', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP2J9-RELATED', NULL, NULL, NULL, 15),
(175839, NULL, 'PTHR44379:SF5', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE WITH IRON-SULFUR SUBUNIT', NULL, NULL, NULL, 15),
(175840, NULL, 'PTHR47499:SF2', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 9', NULL, NULL, NULL, 15),
(175841, NULL, 'PTHR24281:SF29', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175842, NULL, 'PTHR23339:SF26', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 23', NULL, NULL, 21585, 15),
(175843, NULL, 'PTHR35022:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175844, NULL, 'PTHR13318:SF189', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175845, NULL, 'PTHR42766:SF1', NULL, NULL, NULL, NULL, 'MALTOOLIGOSYL TREHALOSE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(175846, NULL, 'PTHR24096', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE', NULL, NULL, NULL, 15),
(175847, NULL, 'PTHR22951:SF100', NULL, NULL, NULL, NULL, 'BNAA08G14170D PROTEIN', NULL, NULL, NULL, 15),
(175848, NULL, 'PTHR14132', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(175849, NULL, 'PTHR42953', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY ZINC UPTAKE SYSTEM PROTEIN ZNUA-RELATED', NULL, NULL, NULL, 15),
(175850, NULL, 'PTHR19432:SF82', NULL, NULL, NULL, NULL, 'BNAA02G26600D PROTEIN', NULL, NULL, NULL, 15),
(175851, NULL, 'PTHR43768:SF33', NULL, NULL, NULL, NULL, 'TREHALOSE-PHOSPHATE PHOSPHATASE I-RELATED', NULL, NULL, NULL, 15),
(175852, NULL, 'PTHR11019:SF199', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR NIMR', NULL, NULL, NULL, 15),
(175853, NULL, 'PTHR47313:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE K/L', NULL, NULL, NULL, 15),
(175854, NULL, 'PTHR42057', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G00200)', NULL, NULL, NULL, 15),
(175855, NULL, 'PTHR23152:SF4', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE E1 COMPONENT DHKTD1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(175856, NULL, 'PTHR24031:SF625', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175857, NULL, 'PTHR47993:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175858, NULL, 'PTHR45763', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(175859, NULL, 'PTHR45621:SF78', NULL, NULL, NULL, NULL, 'OS08G0457400 PROTEIN', NULL, NULL, NULL, 15),
(175860, NULL, 'PTHR33108:SF43', NULL, NULL, NULL, NULL, 'BNAC01G22740D PROTEIN', NULL, NULL, NULL, 15),
(175861, NULL, 'PTHR13593:SF73', NULL, NULL, NULL, NULL, 'MAP3K PROTEIN KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(175862, NULL, 'PTHR48015:SF2', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE KINASE 4', NULL, NULL, NULL, 15),
(175863, NULL, 'PTHR47999:SF63', NULL, NULL, NULL, NULL, 'OS01G0305900 PROTEIN', NULL, NULL, NULL, 15),
(175864, NULL, 'PTHR10426:SF20', NULL, NULL, NULL, NULL, 'ZGC:194209', NULL, NULL, NULL, 15),
(175865, NULL, 'PTHR22891:SF8', NULL, NULL, NULL, NULL, 'NUCLEAR RNAI DEFECTIVE-3 PROTEIN', NULL, NULL, NULL, 15),
(175866, NULL, 'PTHR21593:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG06009', NULL, NULL, NULL, 15),
(175867, NULL, 'PTHR31734:SF99', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(175868, NULL, 'PTHR18953:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175869, NULL, 'PTHR48054:SF16', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN FASCIATED EAR2', NULL, NULL, NULL, 15),
(175870, NULL, 'PTHR24030:SF0', NULL, NULL, NULL, NULL, 'PROTEIN CMSS1', NULL, NULL, NULL, 15),
(175871, NULL, 'PTHR22835:SF535', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175872, NULL, 'PTHR31953:SF88', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME 3', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175873, NULL, 'PTHR46128:SF260', NULL, NULL, NULL, NULL, 'BNAA05G11340D PROTEIN', NULL, NULL, NULL, 15),
(175874, NULL, 'PTHR43591:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175875, NULL, 'PTHR10424:SF69', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRAL ENVELOPE PROTEIN HEMO', NULL, NULL, NULL, 15),
(175876, NULL, 'PTHR10553:SF19', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G-RELATED', NULL, NULL, NULL, 15),
(175877, NULL, 'PTHR22957:SF514', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(175878, NULL, 'PTHR23280:SF27', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE', NULL, NULL, NULL, 15),
(175879, NULL, 'PTHR36316:SF1', NULL, NULL, NULL, NULL, 'OS06G0213900 PROTEIN', NULL, NULL, NULL, 15),
(175880, NULL, 'PTHR18968:SF161', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE', NULL, NULL, NULL, 15),
(175881, NULL, 'PTHR22765:SF30', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF128', NULL, NULL, NULL, 15),
(175882, NULL, 'PTHR47025:SF10', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(175883, NULL, 'PTHR32251:SF17', NULL, NULL, NULL, NULL, 'SI:CH211-210C8.6', NULL, NULL, NULL, 15),
(175884, NULL, 'PTHR31288', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 13269, 15),
(175885, NULL, 'PTHR11764:SF69', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(175886, NULL, 'PTHR15184:SF51', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(175887, NULL, 'PTHR35716:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175888, NULL, 'PTHR31907:SF42', NULL, NULL, NULL, NULL, 'MLP-LIKE PROTEIN 43', NULL, NULL, NULL, 15),
(175889, NULL, 'PTHR32370:SF107', NULL, NULL, NULL, NULL, 'OSJNBA0044K18.3 PROTEIN', NULL, NULL, NULL, 15),
(175890, NULL, 'PTHR10553:SF25', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', NULL, NULL, NULL, 15),
(175891, NULL, 'PTHR10891:SF878', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML45-RELATED', NULL, NULL, NULL, 15),
(175892, NULL, 'PTHR33936:SF14', NULL, NULL, NULL, NULL, 'AT HOOK TRANSCRIPTION FACTOR FAMILY', NULL, NULL, NULL, 15),
(175893, NULL, 'PTHR11489:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', NULL, NULL, NULL, 15),
(175894, NULL, 'PTHR31175:SF64', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(175895, NULL, 'PTHR45617', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175896, NULL, 'PTHR24027:SF290', NULL, NULL, NULL, NULL, 'CADHERIN-10', NULL, NULL, NULL, 15),
(175897, NULL, 'PTHR14241:SF3', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN 44', NULL, NULL, 8873, 15),
(175898, NULL, 'PTHR33347:SF39', NULL, NULL, NULL, NULL, 'BNAC06G29720D PROTEIN', NULL, NULL, NULL, 15),
(175899, NULL, 'PTHR31286:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175900, NULL, 'PTHR11984:SF116', NULL, NULL, NULL, NULL, 'SI:RP71-1C10.10', NULL, NULL, NULL, 15),
(175901, NULL, 'PTHR36946:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG03445', NULL, NULL, NULL, 15),
(175902, NULL, 'PTHR38366:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175903, NULL, 'PTHR43682:SF1', NULL, NULL, NULL, NULL, 'LACTATE UTILIZATION PROTEIN C', NULL, NULL, NULL, 15),
(175904, NULL, 'PTHR31989:SF333', NULL, NULL, NULL, NULL, 'BNAA01G31650D PROTEIN', NULL, NULL, NULL, 15),
(175905, NULL, 'PTHR11654:SF395', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.7-LIKE', NULL, NULL, NULL, 15),
(175906, NULL, 'PTHR33102:SF64', NULL, NULL, NULL, NULL, 'DVL5-RELATED', NULL, NULL, NULL, 15),
(175907, NULL, 'PTHR10117', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CHANNEL', NULL, NULL, 17, 15),
(175908, NULL, 'PTHR20859:SF51', NULL, NULL, NULL, NULL, 'INTERLEUKIN-22 RECEPTOR SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(175909, NULL, 'PTHR23292', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE-INDUCED TUMOR NECROSIS FACTOR-ALPHA FACTOR', NULL, NULL, 35995, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175910, NULL, 'PTHR35882:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 10217, 15),
(175911, NULL, 'PTHR27006:SF420', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175912, NULL, 'PTHR31747:SF17', NULL, NULL, NULL, NULL, 'PROTEIN LOL2', NULL, NULL, NULL, 15),
(175913, NULL, 'PTHR47255:SF8', NULL, NULL, NULL, NULL, 'ZINC FINGER, NHR/GATA-TYPE-RELATED', NULL, NULL, NULL, 15),
(175914, NULL, 'PTHR11037:SF6', NULL, NULL, NULL, NULL, 'GRAINYHEAD-LIKE PROTEIN 3 HOMOLOG', NULL, NULL, NULL, 15),
(175915, NULL, 'PTHR33103:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175916, NULL, 'PTHR45793:SF15', NULL, NULL, NULL, NULL, 'DIVERGENT PAIRED-RELATED HOMEOBOX', NULL, NULL, NULL, 15),
(175917, NULL, 'PTHR10635:SF4', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA', NULL, NULL, NULL, 15),
(175918, NULL, 'PTHR33429', NULL, NULL, NULL, NULL, 'OS02G0708000 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175919, NULL, 'PTHR11863:SF137', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 2-2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(175920, NULL, 'PTHR36527', NULL, NULL, NULL, NULL, 'OS01G0282866 PROTEIN', NULL, NULL, NULL, 15),
(175921, NULL, 'PTHR32141:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175922, NULL, 'PTHR11632:SF51', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(175923, NULL, 'PTHR46078:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PROTEIN ISOFORM X1', NULL, NULL, NULL, 15),
(175924, NULL, 'PTHR43243:SF17', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(175925, NULL, 'PTHR45863:SF24', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE 4 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175926, NULL, 'PTHR42939:SF2', NULL, NULL, NULL, NULL, 'ABC-TYPE TRANSPORTER ATP-BINDING PROTEIN ECSA', NULL, NULL, NULL, 15),
(175927, NULL, 'PTHR18966:SF480', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(175928, NULL, 'PTHR31063:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG08684', NULL, NULL, NULL, 15),
(175929, NULL, 'PTHR45652:SF2', NULL, NULL, NULL, NULL, 'DESMIN', NULL, NULL, NULL, 15),
(175930, NULL, 'PTHR23054:SF74', NULL, NULL, NULL, NULL, 'BNAC04G19530D PROTEIN', NULL, NULL, NULL, 15),
(175931, NULL, 'PTHR12100:SF3', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC10', NULL, NULL, NULL, 15),
(175932, NULL, 'PTHR10129:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAFF', NULL, NULL, 33252, 15),
(175933, NULL, 'PTHR11909:SF151', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM GAMMA-3', NULL, NULL, NULL, 15),
(175934, NULL, 'PTHR16206:SF12', NULL, NULL, NULL, NULL, 'DEP DOMAIN-CONTAINING PROTEIN 1A', NULL, NULL, NULL, 15),
(175935, NULL, 'PTHR22904:SF517', NULL, NULL, NULL, NULL, 'STRESS-INDUCED-PHOSPHOPROTEIN 1', NULL, NULL, NULL, 15),
(175936, NULL, 'PTHR45908:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG11750', NULL, NULL, NULL, 15),
(175937, NULL, 'PTHR47999:SF34', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(175938, NULL, 'PTHR13903:SF8', NULL, NULL, NULL, NULL, 'PIRIN', NULL, NULL, NULL, 15),
(175939, NULL, 'PTHR19923:SF0', NULL, NULL, NULL, NULL, 'PLEIOTROPIC REGULATOR 1', NULL, NULL, NULL, 15),
(175940, NULL, 'PTHR48006:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(175941, NULL, 'PTHR22974:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TOUSLED-LIKE 1', NULL, NULL, NULL, 15),
(175942, NULL, 'PTHR24403:SF78', NULL, NULL, NULL, NULL, 'KUMGANG', NULL, NULL, NULL, 15),
(175943, NULL, 'PTHR31569:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 30348, 15),
(175944, NULL, 'PTHR24261', NULL, NULL, NULL, NULL, 'PLASMINOGEN-RELATED', NULL, NULL, NULL, 15),
(175945, NULL, 'PTHR24356:SF389', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(175946, NULL, 'PTHR32546:SF26', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR CG31760-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175947, NULL, 'PTHR22808:SF24', NULL, NULL, NULL, NULL, 'BNAA04G12850D PROTEIN', NULL, NULL, NULL, 15),
(175948, NULL, 'PTHR12083', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL POLYNUCLEOTIDE PHOSPHATASE/KINASE', NULL, NULL, NULL, 15),
(175949, NULL, 'PTHR19139:SF45', NULL, NULL, NULL, NULL, 'AQUAPORIN-2', NULL, NULL, NULL, 15),
(175950, NULL, 'PTHR34682:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175951, NULL, 'PTHR38440:SF1', NULL, NULL, NULL, NULL, 'UPF0398 PROTEIN YPSA', NULL, NULL, NULL, 15),
(175952, NULL, 'PTHR24248:SF141', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR', NULL, NULL, NULL, 15),
(175953, NULL, 'PTHR19256:SF44', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR GAMMA VARIABLE 9', NULL, NULL, NULL, 15),
(175954, NULL, 'PTHR10885:SF11', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE', NULL, NULL, NULL, 15),
(175955, NULL, 'PTHR31947:SF38', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(175956, NULL, 'PTHR12241:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175957, NULL, 'PTHR47993:SF150', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 8-LIKE', NULL, NULL, NULL, 15),
(175958, NULL, 'PTHR22802:SF269', NULL, NULL, NULL, NULL, 'CD209 ANTIGEN-LIKE PROTEIN D', NULL, NULL, NULL, 15),
(175959, NULL, 'PTHR36482:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0024J22.15 PROTEIN', NULL, NULL, NULL, 15),
(175960, NULL, 'PTHR27006:SF166', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(175961, NULL, 'PTHR48018:SF102', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5B3', NULL, NULL, NULL, 15),
(175962, NULL, 'PTHR23316:SF66', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(175963, NULL, 'PTHR23012:SF164', NULL, NULL, NULL, NULL, 'OS05G0552400 PROTEIN', NULL, NULL, NULL, 15),
(175964, NULL, 'PTHR14155:SF223', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175965, NULL, 'PTHR31182', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175966, NULL, 'PTHR22691:SF12', NULL, NULL, NULL, NULL, 'SPT2 CHROMATIN PROTEIN', NULL, NULL, NULL, 15),
(175967, NULL, 'PTHR45775:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG11333', NULL, NULL, NULL, 15),
(175968, NULL, 'PTHR14206:SF7', NULL, NULL, NULL, NULL, 'INSULIN RECEPTOR SUBSTRATE 53 KDA, ISOFORM A', NULL, NULL, NULL, 15),
(175969, NULL, 'PTHR22779:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 170B', NULL, NULL, NULL, 15),
(175970, NULL, 'PTHR46126', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 5', NULL, NULL, NULL, 15),
(175971, NULL, 'PTHR14517:SF10', NULL, NULL, NULL, NULL, 'RIB43A-LIKE WITH COILED-COILS PROTEIN 2', NULL, NULL, NULL, 15),
(175972, NULL, 'PTHR31891:SF1', NULL, NULL, NULL, NULL, 'FORMAMIDASE C869.04-RELATED', NULL, NULL, NULL, 15),
(175973, NULL, 'PTHR23120:SF18', NULL, NULL, NULL, NULL, 'PROTEIN MROH8', NULL, NULL, NULL, 15),
(175974, NULL, 'PTHR37829', NULL, NULL, NULL, NULL, 'PHAGE-LIKE ELEMENT PBSX PROTEIN XKDT', NULL, NULL, NULL, 15),
(175975, NULL, 'PTHR38926:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175976, NULL, 'PTHR33995:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG09882', NULL, NULL, NULL, 15),
(175977, NULL, 'PTHR12113:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175978, NULL, 'PTHR10110:SF87', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 10', NULL, NULL, 24283, 15),
(175979, NULL, 'PTHR12341:SF59', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE 4', NULL, NULL, NULL, 15),
(175980, NULL, 'PTHR24377:SF116', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 334', NULL, NULL, NULL, 15),
(175981, NULL, 'PTHR22912:SF160', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', NULL, NULL, NULL, 15),
(175982, NULL, 'PTHR27005:SF397', NULL, NULL, NULL, NULL, 'OSJNBA0027H09.1 PROTEIN', NULL, NULL, NULL, 15),
(175983, NULL, 'PTHR11014:SF119', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 4', NULL, NULL, NULL, 15),
(175984, NULL, 'PTHR33076:SF99', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(175985, NULL, 'PTHR24083:SF161', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(175986, NULL, 'PTHR11987:SF4', NULL, NULL, NULL, NULL, 'ALPHA-2,8-SIALYLTRANSFERASE 8E', NULL, NULL, NULL, 15),
(175987, NULL, 'PTHR31449', NULL, NULL, NULL, NULL, 'UPF0598 PROTEIN C8ORF82', NULL, NULL, 26263, 15),
(175988, NULL, 'PTHR46008:SF6', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(175989, NULL, 'PTHR19331:SF458', NULL, NULL, NULL, NULL, 'ANTIGEN WC1.1', NULL, NULL, NULL, 15),
(175990, NULL, 'PTHR15672:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ENCORE', NULL, NULL, NULL, 15),
(175991, NULL, 'PTHR11850:SF279', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 6', NULL, NULL, NULL, 15),
(175992, NULL, 'PTHR12191', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 39', NULL, NULL, NULL, 15),
(175993, NULL, 'PTHR31301:SF26', NULL, NULL, NULL, NULL, 'OS05G0417000 PROTEIN', NULL, NULL, NULL, 15),
(175994, NULL, 'PTHR37440:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG17852', NULL, NULL, NULL, 15),
(175995, NULL, 'PTHR11880:SF41', NULL, NULL, NULL, NULL, 'BNAA03G55820D PROTEIN', NULL, NULL, NULL, 15),
(175996, NULL, 'PTHR27009:SF256', NULL, NULL, NULL, NULL, 'OSJNBB0022F16.11-LIKE PROTEIN', NULL, NULL, NULL, 15),
(175997, NULL, 'PTHR27005:SF401', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(175998, NULL, 'PTHR24305:SF96', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(175999, NULL, 'PTHR24241:SF67', NULL, NULL, NULL, NULL, 'FREE FATTY ACID RECEPTOR 4', NULL, NULL, NULL, 15),
(176000, NULL, 'PTHR10606:SF72', NULL, NULL, NULL, NULL, 'FRUCTOSE-6-PHOSPHATE-2-KINASE/FRUCTOSE-2, 6-BISPHOSPHATASE', NULL, NULL, NULL, 15),
(176001, NULL, 'PTHR32166:SF70', NULL, NULL, NULL, NULL, 'PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(176002, NULL, 'PTHR32212:SF368', NULL, NULL, NULL, NULL, 'SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176003, NULL, 'PTHR46244:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE-DEPENDENT PHOSPHOTRANSFERASE SYSTEM', NULL, NULL, NULL, 15),
(176004, NULL, 'PTHR10992:SF1058', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176005, NULL, 'PTHR24296:SF136', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', NULL, NULL, NULL, 15),
(176006, NULL, 'PTHR11205:SF40', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S7-RELATED', NULL, NULL, NULL, 15),
(176007, NULL, 'PTHR11627:SF52', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(176008, NULL, 'PTHR33052:SF108', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(176009, NULL, 'PTHR45941:SF4', NULL, NULL, NULL, NULL, 'ST6 (ALPHA-N-ACETYL-NEURAMINYL-2,3-BETA-GALACTOSYL-1,3)-N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE', NULL, NULL, NULL, 15),
(176010, NULL, 'PTHR40130:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(176011, NULL, 'PTHR11921:SF35', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [IRON-SULFUR SUBUNIT] (SUCCINIC DEHYDROGENASE)-RELATED', NULL, NULL, NULL, 15),
(176012, NULL, 'PTHR23500:SF555', NULL, NULL, NULL, NULL, 'BNACNNG25770D PROTEIN', NULL, NULL, NULL, 15),
(176013, NULL, 'PTHR47981:SF27', NULL, NULL, NULL, NULL, 'BNAC03G69320D PROTEIN', NULL, NULL, NULL, 15),
(176014, NULL, 'PTHR12112:SF14', NULL, NULL, NULL, NULL, 'PROTEIN PRUNE HOMOLOG 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176015, NULL, 'PTHR31506:SF18', NULL, NULL, NULL, NULL, 'PROTEIN BRASSINAZOLE-RESISTANT 1', NULL, NULL, NULL, 15),
(176016, NULL, 'PTHR27000:SF642', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(176017, NULL, 'PTHR45627:SF18', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE', NULL, NULL, NULL, 15),
(176018, NULL, 'PTHR19300:SF47', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(176019, NULL, 'PTHR21700:SF117', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(176020, NULL, 'PTHR18945:SF829', NULL, NULL, NULL, NULL, 'NEURONAL ACETYLCHOLINE RECEPTOR SUBUNIT EAT-2', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176021, NULL, 'PTHR13392', NULL, NULL, NULL, NULL, 'ATAXIN 1', NULL, NULL, 40037, 15),
(176022, NULL, 'PTHR46087:SF16', NULL, NULL, NULL, NULL, 'BNAA08G31700D PROTEIN', NULL, NULL, NULL, 15),
(176023, NULL, 'PTHR23523:SF2', NULL, NULL, NULL, NULL, '2-NITROIMIDAZOLE TRANSPORTER', NULL, NULL, NULL, 15),
(176024, NULL, 'PTHR23274:SF30', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176025, NULL, 'PTHR37167:SF1', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-6-NAPHTOATE SYNTHASE', NULL, NULL, NULL, 15),
(176026, NULL, 'PTHR24222:SF66', NULL, NULL, NULL, NULL, 'COMPOSITE ABC TRANSPORTER, ATP-BINDING/PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(176027, NULL, 'PTHR33433:SF8', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(176028, NULL, 'PTHR46029:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176029, NULL, 'PTHR21004', NULL, NULL, NULL, NULL, 'SERINE PROTEASE-RELATED', NULL, NULL, 35323, 15),
(176030, NULL, 'PTHR12433:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176031, NULL, 'PTHR32018:SF37', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B-RELATED', NULL, NULL, NULL, 15),
(176032, NULL, 'PTHR46684:SF14', NULL, NULL, NULL, NULL, 'BNAANNG03080D PROTEIN', NULL, NULL, NULL, 15),
(176033, NULL, 'PTHR31204:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(176034, NULL, 'PTHR46413:SF28', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', NULL, NULL, NULL, 15),
(176035, NULL, 'PTHR31238:SF191', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176036, NULL, 'PTHR32278:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176037, NULL, 'PTHR31232:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176038, NULL, 'PTHR24206:SF75', NULL, NULL, NULL, NULL, 'LIM DOMAIN PROTEIN PLIM-2', NULL, NULL, NULL, 15),
(176039, NULL, 'PTHR13847:SF268', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(176040, NULL, 'PTHR24256:SF441', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 29-RELATED', NULL, NULL, NULL, 15),
(176041, NULL, 'PTHR47990:SF82', NULL, NULL, NULL, NULL, 'OS05G0421900 PROTEIN', NULL, NULL, NULL, 15),
(176042, NULL, 'PTHR11523', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-DEPENDENT ATPASE BETA SUBUNIT', NULL, NULL, 4747, 15),
(176043, NULL, 'PTHR23105:SF152', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7A-1', NULL, NULL, NULL, 15),
(176044, NULL, 'PTHR36982', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176045, NULL, 'PTHR19372:SF15', NULL, NULL, NULL, NULL, 'BNAC02G33150D PROTEIN', NULL, NULL, NULL, 15),
(176046, NULL, 'PTHR31631:SF5', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 2D', NULL, NULL, NULL, 15),
(176047, NULL, 'PTHR33605:SF3', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176048, NULL, 'PTHR46083:SF8', NULL, NULL, NULL, NULL, 'CARBOHYDRATE BINDING MODULE FAMILY 25', NULL, NULL, NULL, 15),
(176049, NULL, 'PTHR11409:SF43', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE', NULL, NULL, NULL, 15),
(176050, NULL, 'PTHR46912:SF1', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 13', NULL, NULL, NULL, 15),
(176051, NULL, 'PTHR11953:SF2', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT MTR3', NULL, NULL, NULL, 15),
(176052, NULL, 'PTHR12758:SF24', NULL, NULL, NULL, NULL, 'BNAA05G09720D PROTEIN', NULL, NULL, NULL, 15),
(176053, NULL, 'PTHR11654:SF339', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 4.2', NULL, NULL, NULL, 15),
(176054, NULL, 'PTHR31197:SF8', NULL, NULL, NULL, NULL, 'OS02G0566500 PROTEIN', NULL, NULL, NULL, 15),
(176055, NULL, 'PTHR32285:SF168', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 19', NULL, NULL, NULL, 15),
(176056, NULL, 'PTHR23235:SF102', NULL, NULL, NULL, NULL, 'SP1-LIKE FACTOR FOR PAIRING SENSITIVE-SILENCING, ISOFORM B', NULL, NULL, NULL, 15),
(176057, NULL, 'PTHR31916:SF28', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE CINV1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176058, NULL, 'PTHR16231:SF4', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(176059, NULL, 'PTHR24015:SF1992', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(176060, NULL, 'PTHR13232:SF13', NULL, NULL, NULL, NULL, 'NAD(P)H-HYDRATE EPIMERASE', NULL, NULL, NULL, 15),
(176061, NULL, 'PTHR31062:SF179', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(176062, NULL, 'PTHR41913', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 14809, 15),
(176063, NULL, 'PTHR24286:SF309', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176064, NULL, 'PTHR43789:SF6', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176065, NULL, 'PTHR48018:SF45', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(176066, NULL, 'PTHR23023:SF241', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(176067, NULL, 'PTHR33286:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176068, NULL, 'PTHR47584:SF15', NULL, NULL, NULL, NULL, 'BNAA09G23080D PROTEIN', NULL, NULL, NULL, 15),
(176069, NULL, 'PTHR44666:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 53', NULL, NULL, NULL, 15),
(176070, NULL, 'PTHR10209:SF759', NULL, NULL, NULL, NULL, 'PROTEIN DOWNY MILDEW RESISTANCE 6', NULL, NULL, NULL, 15),
(176071, NULL, 'PTHR12746:SF4', NULL, NULL, NULL, NULL, '60S RIBOSOMAL EXPORT PROTEIN NMD3', NULL, NULL, NULL, 15),
(176072, NULL, 'PTHR31371:SF4', NULL, NULL, NULL, NULL, 'PLANT/T32M21-140 PROTEIN', NULL, NULL, NULL, 15),
(176073, NULL, 'PTHR45833:SF1', NULL, NULL, NULL, NULL, 'METHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(176074, NULL, 'PTHR31258:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 54', NULL, NULL, NULL, 15),
(176075, NULL, 'PTHR42038:SF2', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE AUSL', NULL, NULL, NULL, 15),
(176076, NULL, 'PTHR22674:SF6', NULL, NULL, NULL, NULL, 'NTPASE, KAP FAMILY P-LOOP DOMAIN-CONTAINING 1', NULL, NULL, NULL, 15),
(176077, NULL, 'PTHR24253:SF29', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEASE SERINE 11B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176078, NULL, 'PTHR24366:SF72', NULL, NULL, NULL, NULL, 'SLIT AND NTRK LIKE FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(176079, NULL, 'PTHR46596', NULL, NULL, NULL, NULL, 'SORTING NEXIN-4', NULL, NULL, 11886, 15),
(176080, NULL, 'PTHR24305:SF156', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(176081, NULL, 'PTHR47238:SF4', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 5', NULL, NULL, NULL, 15),
(176082, NULL, 'PTHR11407:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176083, NULL, 'PTHR10907', NULL, NULL, NULL, NULL, 'REGUCALCIN', NULL, NULL, NULL, 15),
(176084, NULL, 'PTHR11730:SF106', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(176085, NULL, 'PTHR24353:SF130', NULL, NULL, NULL, NULL, 'AGAP008863-PA', NULL, NULL, NULL, 15),
(176086, NULL, 'PTHR42683:SF50', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE ADHA-RELATED', NULL, NULL, NULL, 15),
(176087, NULL, 'PTHR31325:SF181', NULL, NULL, NULL, NULL, 'OS04G0146750 PROTEIN', NULL, NULL, NULL, 15),
(176088, NULL, 'PTHR44329:SF191', NULL, NULL, NULL, NULL, 'ACT-LIKE TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(176089, NULL, 'PTHR46137:SF3', NULL, NULL, NULL, NULL, 'OS05G0310600 PROTEIN', NULL, NULL, NULL, 15),
(176090, NULL, 'PTHR36528', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM SINGLE-STRAND-SPECIFIC DEOXYRIBONUCLEASE CAS10/CSM1 (SUBTYPE III-A)', NULL, NULL, NULL, 15),
(176091, NULL, 'PTHR45988:SF22', NULL, NULL, NULL, NULL, 'OS07G0600900 PROTEIN', NULL, NULL, NULL, 15),
(176092, NULL, 'PTHR10870', NULL, NULL, NULL, NULL, 'CELL CYCLE CHECKPOINT PROTEIN RAD1', NULL, NULL, 281, 15),
(176093, NULL, 'PTHR11945:SF575', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, MADS-BOX-RELATED', NULL, NULL, NULL, 15),
(176094, NULL, 'PTHR10559:SF15', NULL, NULL, NULL, NULL, 'COBALAMIN BINDING INTRINSIC FACTOR', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176095, NULL, 'PTHR11885:SF20', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S13', NULL, NULL, NULL, 15),
(176096, NULL, 'PTHR46835:SF3', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER (BZIP) TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(176097, NULL, 'PTHR36120:SF1', NULL, NULL, NULL, NULL, 'LMO1031 PROTEIN', NULL, NULL, NULL, 15),
(176098, NULL, 'PTHR33493:SF23', NULL, NULL, NULL, NULL, 'PROTEIN LE25', NULL, NULL, NULL, 15),
(176099, NULL, 'PTHR47142:SF1', NULL, NULL, NULL, NULL, 'BETA-CATENIN-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(176100, NULL, 'PTHR22017', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 24018, 15),
(176101, NULL, 'PTHR19865:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG19705', NULL, NULL, NULL, 15),
(176102, NULL, 'PTHR16128:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(176103, NULL, 'PTHR24356:SF303', NULL, NULL, NULL, NULL, 'ATYPICAL PROTEIN KINASE C', NULL, NULL, NULL, 15),
(176104, NULL, 'PTHR47909:SF2', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(176105, NULL, 'PTHR11746:SF258', NULL, NULL, NULL, NULL, 'BNAANNG10770D PROTEIN', NULL, NULL, NULL, 15),
(176106, NULL, 'PTHR10445:SF6', NULL, NULL, NULL, NULL, 'BNAA06G13960D PROTEIN', NULL, NULL, NULL, 15),
(176107, NULL, 'PTHR46128:SF231', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(176108, NULL, 'PTHR12459:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 135', NULL, NULL, NULL, 15),
(176109, NULL, 'PTHR31790:SF318', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176110, NULL, 'PTHR24300:SF275', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2F1', NULL, NULL, NULL, 15),
(176111, NULL, 'PTHR31215:SF30', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(176112, NULL, 'PTHR42684:SF17', NULL, NULL, NULL, NULL, 'ADENOSYLMETHIONINE-8-AMINO-7-OXONONANOATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(176113, NULL, 'PTHR11514:SF119', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ABA-INDUCIBLE BHLH-TYPE', NULL, NULL, NULL, 15),
(176114, NULL, 'PTHR31388:SF200', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(176115, NULL, 'PTHR16305:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176116, NULL, 'PTHR31065:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176117, NULL, 'PTHR31533:SF24', NULL, NULL, NULL, NULL, 'BNAA08G13810D PROTEIN', NULL, NULL, NULL, 15),
(176118, NULL, 'PTHR11588:SF373', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(176119, NULL, 'PTHR24177:SF286', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(176120, NULL, 'PTHR10202:SF26', NULL, NULL, NULL, NULL, 'PRESENILIN', NULL, NULL, NULL, 15),
(176121, NULL, 'PTHR23012:SF185', NULL, NULL, NULL, NULL, 'BNACNNG15100D PROTEIN', NULL, NULL, NULL, 15),
(176122, NULL, 'PTHR46701:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(176123, NULL, 'PTHR36766:SF14', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(176124, NULL, 'PTHR37321:SF1', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176125, NULL, 'PTHR33803:SF3', NULL, NULL, NULL, NULL, 'IS1478 TRANSPOSASE', NULL, NULL, NULL, 15),
(176126, NULL, 'PTHR11005:SF133', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(176127, NULL, 'PTHR11504:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 6A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(176128, NULL, 'PTHR33454:SF8', NULL, NULL, NULL, NULL, 'DELTA GLIADIN-D1', NULL, NULL, NULL, 15),
(176129, NULL, 'PTHR46324:SF26', NULL, NULL, NULL, NULL, 'BZIP PROTEIN (ATBZIP48)', NULL, NULL, NULL, 15),
(176130, NULL, 'PTHR31403:SF53', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IGAMMA2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(176131, NULL, 'PTHR14110:SF6', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT HP30-2', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176132, NULL, 'PTHR15348:SF19', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 6-LIKE', NULL, NULL, NULL, 15),
(176133, NULL, 'PTHR11689:SF89', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN D', NULL, NULL, NULL, 15),
(176134, NULL, 'PTHR31391:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176135, NULL, 'PTHR24296:SF190', NULL, NULL, NULL, NULL, 'BNAA06G18960D PROTEIN', NULL, NULL, NULL, 15),
(176136, NULL, 'PTHR47564', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 37576, 15),
(176137, NULL, 'PTHR27003:SF355', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176138, NULL, 'PTHR46256:SF2', NULL, NULL, NULL, NULL, 'NEITHER INACTIVATION NOR AFTERPOTENTIAL PROTEIN C', NULL, NULL, NULL, 15),
(176139, NULL, 'PTHR36516:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG12669', NULL, NULL, NULL, 15),
(176140, NULL, 'PTHR42835', NULL, NULL, NULL, NULL, 'MALTO-OLIGOSYLTREHALOSE TREHALOHYDROLASE', NULL, NULL, NULL, 15),
(176141, NULL, 'PTHR45775:SF6', NULL, NULL, NULL, NULL, 'RAD, GEM/KIR FAMILY MEMBER 2, ISOFORM C', NULL, NULL, NULL, 15),
(176142, NULL, 'PTHR36026:SF1', NULL, NULL, NULL, NULL, 'OS05G0542100 PROTEIN', NULL, NULL, NULL, 15),
(176143, NULL, 'PTHR48043:SF91', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(176144, NULL, 'PTHR47968:SF29', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176145, NULL, 'PTHR45639:SF5', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 4L', NULL, NULL, NULL, 15),
(176146, NULL, 'PTHR43854:SF1', NULL, NULL, NULL, NULL, 'INDOLEPYRUVATE OXIDOREDUCTASE SUBUNIT IORB', NULL, NULL, NULL, 15),
(176147, NULL, 'PTHR12138', NULL, NULL, NULL, NULL, 'PRIMATE-EXPANDED PROTEIN FAMILY', NULL, NULL, NULL, 15),
(176148, NULL, 'PTHR47950:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 76 SUBFAMILY C POLYPEPTIDE 7', NULL, NULL, NULL, 15),
(176149, NULL, 'PTHR43495:SF4', NULL, NULL, NULL, NULL, 'AROMATIC AMINO ACID TRANSPORT PROTEIN AROP', NULL, NULL, NULL, 15),
(176150, NULL, 'PTHR19422:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176151, NULL, 'PTHR37164:SF1', NULL, NULL, NULL, NULL, 'BACTERIOHEMERYTHRIN', NULL, NULL, NULL, 15),
(176152, NULL, 'PTHR10165:SF26', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE 1', NULL, NULL, 23709, 15),
(176153, NULL, 'PTHR34281:SF15', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176154, NULL, 'PTHR36030:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176155, NULL, 'PTHR46222:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP7', NULL, NULL, NULL, 15),
(176156, NULL, 'PTHR21104:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176157, NULL, 'PTHR12892', NULL, NULL, NULL, NULL, 'FGF RECEPTOR ACTIVATING PROTEIN 1', NULL, NULL, 35715, 15),
(176158, NULL, 'PTHR12101:SF15', NULL, NULL, NULL, NULL, 'POPEYE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(176159, NULL, 'PTHR32154:SF16', NULL, NULL, NULL, NULL, 'PYRUVATE FLAVODOXIN/FERREDOXIN OXIDOREDUCTASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(176160, NULL, 'PTHR10943:SF1', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 2', NULL, NULL, 19900, 15),
(176161, NULL, 'PTHR33107:SF18', NULL, NULL, NULL, NULL, 'MIRACULIN-LIKE', NULL, NULL, NULL, 15),
(176162, NULL, 'PTHR33576:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176163, NULL, 'PTHR12542:SF111', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(176164, NULL, 'PTHR23226:SF85', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 397', NULL, NULL, NULL, 15),
(176165, NULL, 'PTHR11042:SF99', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED TYROSINE- AND THREONINE-SPECIFIC CDC2-INHIBITORY KINASE', NULL, NULL, NULL, 15),
(176166, NULL, 'PTHR31678:SF3', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 6-2', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176167, NULL, 'PTHR31056:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 179B', NULL, NULL, NULL, 15),
(176168, NULL, 'PTHR36045', NULL, NULL, NULL, NULL, 'OS04G0558500 PROTEIN', NULL, NULL, NULL, 15),
(176169, NULL, 'PTHR45914:SF25', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HEC1', NULL, NULL, NULL, 15),
(176170, NULL, 'PTHR14897:SF5', NULL, NULL, NULL, NULL, 'WD REPEAT AND COILED-COIL-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(176171, NULL, 'PTHR46236:SF24', NULL, NULL, NULL, NULL, 'BNAC04G52800D PROTEIN', NULL, NULL, NULL, 15),
(176172, NULL, 'PTHR20923:SF1', NULL, NULL, NULL, NULL, 'G PATCH DOMAIN AND ANKYRIN REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(176173, NULL, 'PTHR11972:SF126', NULL, NULL, NULL, NULL, 'DUAL OXIDASE', NULL, NULL, NULL, 15),
(176174, NULL, 'PTHR32134:SF130', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN DDB_G0271996', NULL, NULL, NULL, 15),
(176175, NULL, 'PTHR45948', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE DDB_G0269404-RELATED', NULL, NULL, NULL, 15),
(176176, NULL, 'PTHR43888:SF21', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(176177, NULL, 'PTHR13678:SF20', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 37A', NULL, NULL, NULL, 15),
(176178, NULL, 'PTHR45626:SF16', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE ULS1', NULL, NULL, NULL, 15),
(176179, NULL, 'PTHR23072:SF0', NULL, NULL, NULL, NULL, 'GPI ETHANOLAMINE PHOSPHATE TRANSFERASE 2', NULL, NULL, NULL, 15),
(176180, NULL, 'PTHR43459:SF5', NULL, NULL, NULL, NULL, 'OS11G0270000 PROTEIN', NULL, NULL, NULL, 15),
(176181, NULL, 'PTHR31677:SF152', NULL, NULL, NULL, NULL, 'BNAC05G02080D PROTEIN', NULL, NULL, NULL, 15),
(176182, NULL, 'PTHR24072:SF135', NULL, NULL, NULL, NULL, 'RHO-RELATED PROTEIN RACH', NULL, NULL, NULL, 15),
(176183, NULL, 'PTHR47640:SF11', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 42-LIKE', NULL, NULL, NULL, 15),
(176184, NULL, 'PTHR21449:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG05271', NULL, NULL, NULL, 15),
(176185, NULL, 'PTHR11176:SF32', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 38-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(176186, NULL, 'PTHR48012:SF16', NULL, NULL, NULL, NULL, 'FRAYED, ISOFORM A', NULL, NULL, NULL, 15),
(176187, NULL, 'PTHR34005:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG26225', NULL, NULL, NULL, 15),
(176188, NULL, 'PTHR24033:SF194', NULL, NULL, NULL, NULL, 'PROTEIN SHIFTED', NULL, NULL, NULL, 15),
(176189, NULL, 'PTHR47803', NULL, NULL, NULL, NULL, 'TRNA-SPECIFIC ADENOSINE DEAMINASE 1', NULL, NULL, 38556, 15),
(176190, NULL, 'PTHR48082:SF3', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ALPHA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(176191, NULL, 'PTHR45800:SF4', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 3', NULL, NULL, NULL, 15),
(176192, NULL, 'PTHR10840:SF0', NULL, NULL, NULL, NULL, 'PROGRAMMED CELL DEATH PROTEIN 5', NULL, NULL, NULL, 15),
(176193, NULL, 'PTHR14150:SF12', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 14 HOMOLOG A-RELATED', NULL, NULL, NULL, 15),
(176194, NULL, 'PTHR12815:SF40', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PROTEIN 36, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(176195, NULL, 'PTHR10353:SF166', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1 PROTEIN', NULL, NULL, NULL, 15),
(176196, NULL, 'PTHR31499:SF53', NULL, NULL, NULL, NULL, 'PROTEIN PHR1-LIKE 3', NULL, NULL, NULL, 15),
(176197, NULL, 'PTHR23315:SF304', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(176198, NULL, 'PTHR45765:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176199, NULL, 'PTHR32467:SF154', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(176200, NULL, 'PTHR31375:SF187', NULL, NULL, NULL, NULL, 'BNAC04G49330D PROTEIN', NULL, NULL, NULL, 15),
(176201, NULL, 'PTHR31790', NULL, NULL, NULL, NULL, 'OS02G0783600 PROTEIN', NULL, NULL, NULL, 15),
(176202, NULL, 'PTHR46734:SF2', NULL, NULL, NULL, NULL, 'TELOMERIC REPEAT-BINDING FACTOR', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176203, NULL, 'PTHR12210:SF65', NULL, NULL, NULL, NULL, 'CHAIN A, THREE-DIMENSIONAL STRUCTURE OF A RNA-POLYMERASE II BINDING PROTEIN WITH ASSOCIATED LIGAND-LIKE', NULL, NULL, NULL, 15),
(176204, NULL, 'PTHR11220:SF65', NULL, NULL, NULL, NULL, 'HEME-BINDING PROTEIN SOUL5', NULL, NULL, NULL, 15),
(176205, NULL, 'PTHR13964:SF38', NULL, NULL, NULL, NULL, 'CHROMATIN STRUCTURE-REMODELING COMPLEX SUBUNIT RSC9', NULL, NULL, NULL, 15),
(176206, NULL, 'PTHR43371:SF1', NULL, NULL, NULL, NULL, 'ADENOSYLCOBALAMIN-DEPENDENT RIBONUCLEOSIDE-TRIPHOSPHATE REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(176207, NULL, 'PTHR31087:SF58', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 13', NULL, NULL, NULL, 15),
(176208, NULL, 'PTHR11964:SF43', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(176209, NULL, 'PTHR48018:SF22', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1022', NULL, NULL, NULL, 15),
(176210, NULL, 'PTHR30273:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FECR', NULL, NULL, NULL, 15),
(176211, NULL, 'PTHR33604:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176212, NULL, 'PTHR12354:SF10', NULL, NULL, NULL, NULL, 'INTERFERON-RELATED DEVELOPMENTAL REGULATOR FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(176213, NULL, 'PTHR45374', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE TCHQD', NULL, NULL, 36848, 15),
(176214, NULL, 'PTHR23278:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176215, NULL, 'PTHR10551:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176216, NULL, 'PTHR11689:SF136', NULL, NULL, NULL, NULL, 'H(+)/CL(-) EXCHANGE TRANSPORTER 7', NULL, NULL, NULL, 15),
(176217, NULL, 'PTHR32217:SF2', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6L', NULL, NULL, NULL, 15),
(176218, NULL, 'PTHR10965:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L38-LIKE', NULL, NULL, NULL, 15),
(176219, NULL, 'PTHR11260:SF675', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176220, NULL, 'PTHR45702:SF4', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, 26692, 15),
(176221, NULL, 'PTHR45614:SF30', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN B', NULL, NULL, 24155, 15),
(176222, NULL, 'PTHR11972:SF66', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE2', NULL, NULL, NULL, 15),
(176223, NULL, 'PTHR32021:SF22', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176224, NULL, 'PTHR47976:SF30', NULL, NULL, NULL, NULL, 'OS04G0303100 PROTEIN', NULL, NULL, NULL, 15),
(176225, NULL, 'PTHR47990:SF115', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(176226, NULL, 'PTHR46196:SF2', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK (WITH NO LYSINE)-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176227, NULL, 'PTHR10910:SF62', NULL, NULL, NULL, NULL, 'A-TO-I RNA EDITING REGULATOR ADR-1', NULL, NULL, NULL, 15),
(176228, NULL, 'PTHR46301:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176229, NULL, 'PTHR12563:SF20', NULL, NULL, NULL, NULL, 'GLYCERONEPHOSPHATE O-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(176230, NULL, 'PTHR31048:SF45', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(176231, NULL, 'PTHR12924:SF2', NULL, NULL, NULL, NULL, 'SIGNAL SEQUENCE RECEPTOR, ALPHA', NULL, NULL, NULL, 15),
(176232, NULL, 'PTHR46419:SF10', NULL, NULL, NULL, NULL, 'ARF GTPASE ACTIVATING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176233, NULL, 'PTHR47948:SF3', NULL, NULL, NULL, NULL, 'OS02G0467000 PROTEIN', NULL, NULL, NULL, 15),
(176234, NULL, 'PTHR12730:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SDA1 HOMOLOG', NULL, NULL, NULL, 15),
(176235, NULL, 'PTHR27000:SF738', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176236, NULL, 'PTHR28080', NULL, NULL, NULL, NULL, 'PEROXISOMAL BIOGENESIS FACTOR 3', NULL, NULL, 5869, 15),
(176237, NULL, 'PTHR35743:SF1', NULL, NULL, NULL, NULL, 'NODULIN HOMEOBOX', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176238, NULL, 'PTHR46506:SF16', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(176239, NULL, 'PTHR27008:SF416', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176240, NULL, 'PTHR27005:SF369', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(176241, NULL, 'PTHR45665:SF17', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP3-1', NULL, NULL, NULL, 15),
(176242, NULL, 'PTHR22802:SF394', NULL, NULL, NULL, NULL, 'COLLECTIN SUBFAMILY MEMBER 12', NULL, NULL, NULL, 15),
(176243, NULL, 'PTHR36021', NULL, NULL, NULL, NULL, 'COREPRESSOR', NULL, NULL, NULL, 15),
(176244, NULL, 'PTHR14132:SF12', NULL, NULL, NULL, NULL, 'PHOSPHOLEMMAN', NULL, NULL, NULL, 15),
(176245, NULL, 'PTHR10566:SF127', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176246, NULL, 'PTHR11480:SF36', NULL, NULL, NULL, NULL, 'PROSAPOSIN', NULL, NULL, NULL, 15),
(176247, NULL, 'PTHR35495', NULL, NULL, NULL, NULL, 'OS06G0679600 PROTEIN', NULL, NULL, NULL, 15),
(176248, NULL, 'PTHR31989:SF171', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(176249, NULL, 'PTHR33065:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176250, NULL, 'PTHR10865:SF29', NULL, NULL, NULL, NULL, 'METASTASIS ASSOCIATED 1-LIKE, ISOFORM D', NULL, NULL, NULL, 15),
(176251, NULL, 'PTHR10543:SF95', NULL, NULL, NULL, NULL, '9-CIS-EPOXYCAROTENOID DIOXYGENASE NCED9, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(176252, NULL, 'PTHR45637:SF56', NULL, NULL, NULL, NULL, 'PROTEIN KINASE', NULL, NULL, NULL, 15),
(176253, NULL, 'PTHR45642:SF96', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176254, NULL, 'PTHR27009:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176255, NULL, 'PTHR23206:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 17', NULL, NULL, NULL, 15),
(176256, NULL, 'PTHR38594:SF1', NULL, NULL, NULL, NULL, 'PEP-DEPENDENT DIHYDROXYACETONE KINASE, PHOSPHORYL DONOR SUBUNIT DHAM', NULL, NULL, NULL, 15),
(176257, NULL, 'PTHR11846:SF2', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE ISOZYME 1', NULL, NULL, NULL, 15),
(176258, NULL, 'PTHR45932:SF1', NULL, NULL, NULL, NULL, 'OS05G0429400 PROTEIN', NULL, NULL, NULL, 15),
(176259, NULL, 'PTHR10352:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176260, NULL, 'PTHR30363', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR SRLR-RELATED', NULL, NULL, NULL, 15),
(176261, NULL, 'PTHR46400:SF12', NULL, NULL, NULL, NULL, 'BNAA02G11030D PROTEIN', NULL, NULL, NULL, 15),
(176262, NULL, 'PTHR22891:SF152', NULL, NULL, NULL, NULL, 'BNAA08G03260D PROTEIN', NULL, NULL, NULL, 15),
(176263, NULL, 'PTHR48099:SF4', NULL, NULL, NULL, NULL, 'FORMATE-DIHYDROFOLATE LIGASE', NULL, NULL, NULL, 15),
(176264, NULL, 'PTHR13524', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED', NULL, NULL, 31284, 15),
(176265, NULL, 'PTHR44191:SF31', NULL, NULL, NULL, NULL, 'BNAC02G02590D PROTEIN', NULL, NULL, NULL, 15),
(176266, NULL, 'PTHR11759:SF38', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S11, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(176267, NULL, 'PTHR11453:SF107', NULL, NULL, NULL, NULL, 'BNAC03G72490D PROTEIN', NULL, NULL, NULL, 15),
(176268, NULL, 'PTHR10641:SF1256', NULL, NULL, NULL, NULL, 'BNACNNG13680D PROTEIN', NULL, NULL, NULL, 15),
(176269, NULL, 'PTHR47617', NULL, NULL, NULL, NULL, 'G-PROTEIN SIGNALING MODULATOR 3', NULL, NULL, 36929, 15),
(176270, NULL, 'PTHR16089:SF40', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF ACTIVATED EGL-4 PROTEIN 1', NULL, NULL, NULL, 15),
(176271, NULL, 'PTHR48192:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(176272, NULL, 'PTHR23080:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176273, NULL, 'PTHR27003:SF302', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE ANXUR2', NULL, NULL, NULL, 15),
(176274, NULL, 'PTHR22800:SF185', NULL, NULL, NULL, NULL, 'NKG2-F TYPE II INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176275, NULL, 'PTHR33070:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176276, NULL, 'PTHR43694:SF5', NULL, NULL, NULL, NULL, 'RNA-METABOLISING METALLO-BETA-LACTAMASE', NULL, NULL, NULL, 15),
(176277, NULL, 'PTHR43279', NULL, NULL, NULL, NULL, 'CATECHOL-2,3-DIOXYGENASE', NULL, NULL, NULL, 15),
(176278, NULL, 'PTHR35760:SF1', NULL, NULL, NULL, NULL, 'SI:CH211-22I13.2', NULL, NULL, NULL, 15),
(176279, NULL, 'PTHR31321:SF98', NULL, NULL, NULL, NULL, 'PECTINESTERASE 67-RELATED', NULL, NULL, NULL, 15),
(176280, NULL, 'PTHR23095:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(176281, NULL, 'PTHR15426:SF6', NULL, NULL, NULL, NULL, 'PROTEIN DEPP1', NULL, NULL, NULL, 15),
(176282, NULL, 'PTHR23409:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176283, NULL, 'PTHR33973', NULL, NULL, NULL, NULL, 'OS07G0153300 PROTEIN', NULL, NULL, 10524, 15),
(176284, NULL, 'PTHR46422:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(176285, NULL, 'PTHR14317', NULL, NULL, NULL, NULL, 'SPERM PROTAMINE P3', NULL, NULL, 21831, 15),
(176286, NULL, 'PTHR12002:SF15', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, NULL, 15),
(176287, NULL, 'PTHR11413:SF111', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(176288, NULL, 'PTHR10177:SF489', NULL, NULL, NULL, NULL, 'BNAA06G10270D PROTEIN', NULL, NULL, NULL, 15),
(176289, NULL, 'PTHR13047:SF0', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 5', NULL, NULL, NULL, 15),
(176290, NULL, 'PTHR23430:SF284', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(176291, NULL, 'PTHR43860', NULL, NULL, NULL, NULL, 'BETAINE ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(176292, NULL, 'PTHR23226:SF278', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 572', NULL, NULL, NULL, 15),
(176293, NULL, 'PTHR47999:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176294, NULL, 'PTHR38398:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(176295, NULL, 'PTHR43327:SF43', NULL, NULL, NULL, NULL, 'HYPERSENSITIVE-INDUCED RESPONSE PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(176296, NULL, 'PTHR31548:SF4', NULL, NULL, NULL, NULL, 'CLARIN-1', NULL, NULL, NULL, 15),
(176297, NULL, 'PTHR23052:SF1', NULL, NULL, NULL, NULL, 'AXONEMAL DYNEIN LIGHT CHAIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(176298, NULL, 'PTHR33124:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176299, NULL, 'PTHR13612', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(176300, NULL, 'PTHR42840:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176301, NULL, 'PTHR43160:SF6', NULL, NULL, NULL, NULL, 'ACONITATE HYDRATASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(176302, NULL, 'PTHR24282:SF63', NULL, NULL, NULL, NULL, 'CYTOCHROMEA2', NULL, NULL, NULL, 15),
(176303, NULL, 'PTHR43016:SF11', NULL, NULL, NULL, NULL, 'METALLOENZYME, LUXS/M16 PEPTIDASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176304, NULL, 'PTHR42790:SF10', NULL, NULL, NULL, NULL, 'AROMATIC/AMINOADIPATE AMINOTRANSFERASE 1', NULL, NULL, NULL, 15),
(176305, NULL, 'PTHR26453:SF603', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1338', NULL, NULL, NULL, 15),
(176306, NULL, 'PTHR46008:SF35', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176307, NULL, 'PTHR24089:SF689', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN SCAMC-1-B-LIKE', NULL, NULL, NULL, 15),
(176308, NULL, 'PTHR47970:SF1', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-5A', NULL, NULL, NULL, 15),
(176309, NULL, 'PTHR10634', NULL, NULL, NULL, NULL, 'AN1-TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(176310, NULL, 'PTHR14140:SF39', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ORTHRUS 2-LIKE', NULL, NULL, NULL, 15),
(176311, NULL, 'PTHR31343:SF48', NULL, NULL, NULL, NULL, 'BNAA09G45280D PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176312, NULL, 'PTHR24296:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176313, NULL, 'PTHR48001:SF30', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(176314, NULL, 'PTHR16656:SF7', NULL, NULL, NULL, NULL, 'ALPHA-S2-CASEIN-LIKE A', NULL, NULL, NULL, 15),
(176315, NULL, 'PTHR43874:SF69', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR3', NULL, NULL, NULL, 15),
(176316, NULL, 'PTHR48053:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176317, NULL, 'PTHR18945:SF837', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT BETA-TYPE LEV-1', NULL, NULL, NULL, 15),
(176318, NULL, 'PTHR11480:SF39', NULL, NULL, NULL, NULL, 'PROACTIVATOR POLYPEPTIDE-LIKE 1', NULL, NULL, NULL, 15),
(176319, NULL, 'PTHR22957:SF587', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176320, NULL, 'PTHR23024:SF548', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 16-RELATED', NULL, NULL, NULL, 15),
(176321, NULL, 'PTHR15898:SF15', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PRT1-LIKE', NULL, NULL, NULL, 15),
(176322, NULL, 'PTHR31341', NULL, NULL, NULL, NULL, 'IPT/TIG DOMAIN-CONTAINING PROTEIN-RELATED-RELATED', NULL, NULL, NULL, 15),
(176323, NULL, 'PTHR11595:SF66', NULL, NULL, NULL, NULL, 'BNAC02G08760D PROTEIN', NULL, NULL, NULL, 15),
(176324, NULL, 'PTHR23262:SF160', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-11', NULL, NULL, NULL, 15),
(176325, NULL, 'PTHR35996', NULL, NULL, NULL, NULL, 'OSJNBA0038O10.25 PROTEIN', NULL, NULL, 34067, 15),
(176326, NULL, 'PTHR31045:SF28', NULL, NULL, NULL, NULL, 'PLAC8 MOTIF-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176327, NULL, 'PTHR24381:SF144', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 101', NULL, NULL, NULL, 15),
(176328, NULL, 'PTHR46709:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG08295', NULL, NULL, NULL, 15),
(176329, NULL, 'PTHR34049:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176330, NULL, 'PTHR23080:SF133', NULL, NULL, NULL, NULL, 'SI:CH211-262I1.5-RELATED', NULL, NULL, NULL, 15),
(176331, NULL, 'PTHR37534:SF29', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(176332, NULL, 'PTHR31470:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176333, NULL, 'PTHR10117:SF25', NULL, NULL, NULL, NULL, 'SHORT TRANSIENT RECEPTOR POTENTIAL CHANNEL 4', NULL, NULL, 526, 15),
(176334, NULL, 'PTHR21038:SF2', NULL, NULL, NULL, NULL, 'UAP56-INTERACTING FACTOR', NULL, NULL, NULL, 15),
(176335, NULL, 'PTHR11639:SF51', NULL, NULL, NULL, NULL, 'PROTEIN S100-A4', NULL, NULL, 26878, 15),
(176336, NULL, 'PTHR48049:SF7', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73B1', NULL, NULL, NULL, 15),
(176337, NULL, 'PTHR31414:SF13', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(176338, NULL, 'PTHR43828:SF5', NULL, NULL, NULL, NULL, 'APSES TRANSCRIPTION FACTOR XBP1', NULL, NULL, NULL, 15),
(176339, NULL, 'PTHR35469:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(176340, NULL, 'PTHR12736:SF22', NULL, NULL, NULL, NULL, 'LANC-LIKE PROTEIN GCL2', NULL, NULL, NULL, 15),
(176341, NULL, 'PTHR30087:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, NULL, 15),
(176342, NULL, 'PTHR10231:SF71', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 4', NULL, NULL, NULL, 15),
(176343, NULL, 'PTHR31260:SF40', NULL, NULL, NULL, NULL, 'BNAA08G13290D PROTEIN', NULL, NULL, NULL, 15),
(176344, NULL, 'PTHR24414:SF112', NULL, NULL, NULL, NULL, 'BNAC03G76310D PROTEIN', NULL, NULL, NULL, 15),
(176345, NULL, 'PTHR43349:SF80', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 2 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(176346, NULL, 'PTHR15854:SF4', NULL, NULL, NULL, NULL, 'THAP DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(176347, NULL, 'PTHR37480:SF1', NULL, NULL, NULL, NULL, 'ENOYL-[ACYL-CARRIER-PROTEIN] REDUCTASE [NADH]', NULL, NULL, NULL, 15),
(176348, NULL, 'PTHR11863:SF159', NULL, NULL, NULL, NULL, 'SPHINGANINE C4-MONOOXYGENASE 2-LIKE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176349, NULL, 'PTHR11211', NULL, NULL, NULL, NULL, 'IROQUOIS-CLASS HOMEODOMAIN PROTEIN IRX', NULL, NULL, NULL, 15),
(176350, NULL, 'PTHR21011', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S6', NULL, NULL, 5865, 15),
(176351, NULL, 'PTHR22811:SF124', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA9', NULL, NULL, NULL, 15),
(176352, NULL, 'PTHR24377:SF739', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 728', NULL, NULL, NULL, 15),
(176353, NULL, 'PTHR19241:SF524', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 36', NULL, NULL, NULL, 15),
(176354, NULL, 'PTHR24340:SF20', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-6.3', NULL, NULL, NULL, 15),
(176355, NULL, 'PTHR13768:SF31', NULL, NULL, NULL, NULL, 'ALPHA-SOLUBLE NSF ATTACHMENT PROTEIN', NULL, NULL, NULL, 15),
(176356, NULL, 'PTHR24377:SF900', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 577', NULL, NULL, NULL, 15),
(176357, NULL, 'PTHR33346:SF14', NULL, NULL, NULL, NULL, 'COLD-SHOCK PROTEIN CS120', NULL, NULL, NULL, 15),
(176358, NULL, 'PTHR45743:SF15', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL GORK', NULL, NULL, NULL, 15),
(176359, NULL, 'PTHR36000', NULL, NULL, NULL, NULL, 'DEFECTIVE 1273 PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176360, NULL, 'PTHR46332', NULL, NULL, NULL, NULL, 'ASPARTATE BETA-HYDROXYLASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(176361, NULL, 'PTHR28077:SF1', NULL, NULL, NULL, NULL, 'INOSITOL PHOSPHORYLCERAMIDE SYNTHASE REGULATORY SUBUNIT KEI1', NULL, NULL, NULL, 15),
(176362, NULL, 'PTHR42820:SF16', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE 3B', NULL, NULL, NULL, 15),
(176363, NULL, 'PTHR19368:SF8', NULL, NULL, NULL, NULL, 'GENE 1140-RELATED', NULL, NULL, NULL, 15),
(176364, NULL, 'PTHR11785:SF523', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(176365, NULL, 'PTHR10165:SF94', NULL, NULL, NULL, NULL, 'PHOSPHATIDIC ACID PHOSPHATASE TYPE 2D', NULL, NULL, NULL, 15),
(176366, NULL, 'PTHR37265', NULL, NULL, NULL, NULL, 'OS01G0195300 PROTEIN', NULL, NULL, NULL, 15),
(176367, NULL, 'PTHR10903:SF144', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 6', NULL, NULL, NULL, 15),
(176368, NULL, 'PTHR46352:SF10', NULL, NULL, NULL, NULL, 'PROTEIN SENSITIVE TO PROTON RHIZOTOXICITY 1-LIKE', NULL, NULL, NULL, 15),
(176369, NULL, 'PTHR10920:SF21', NULL, NULL, NULL, NULL, 'RRNA METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(176370, NULL, 'PTHR11972:SF152', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN C', NULL, NULL, NULL, 15),
(176371, NULL, 'PTHR37869:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 89', NULL, NULL, NULL, 15),
(176372, NULL, 'PTHR23266:SF281', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 2-26', NULL, NULL, NULL, 15),
(176373, NULL, 'PTHR45683:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL NICOTINAMIDE ADENINE DINUCLEOTIDE TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(176374, NULL, 'PTHR35326:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PSBN', NULL, NULL, NULL, 15),
(176375, NULL, 'PTHR46033:SF22', NULL, NULL, NULL, NULL, 'PROTEIN MAINTENANCE OF MERISTEMS', NULL, NULL, NULL, 15),
(176376, NULL, 'PTHR47956:SF60', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(176377, NULL, 'PTHR34484:SF4', NULL, NULL, NULL, NULL, 'BNAA02G04570D PROTEIN', NULL, NULL, NULL, 15),
(176378, NULL, 'PTHR33159:SF63', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(176379, NULL, 'PTHR45740', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(176380, NULL, 'PTHR22642:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LONG AFTER FAR-RED 3', NULL, NULL, NULL, 15),
(176381, NULL, 'PTHR23088:SF51', NULL, NULL, NULL, NULL, 'OMEGA-AMIDASE NIT2', NULL, NULL, NULL, 15),
(176382, NULL, 'PTHR12357:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176383, NULL, 'PTHR43670', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 26', NULL, NULL, 38223, 15),
(176384, NULL, 'PTHR27009:SF203', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176385, NULL, 'PTHR31731:SF112', NULL, NULL, NULL, NULL, 'BNAC02G17350D PROTEIN', NULL, NULL, NULL, 15),
(176386, NULL, 'PTHR31218:SF329', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(176387, NULL, 'PTHR33347:SF7', NULL, NULL, NULL, NULL, 'OS09G0473600 PROTEIN', NULL, NULL, NULL, 15),
(176388, NULL, 'PTHR35819', NULL, NULL, NULL, NULL, 'PICALM INTERACTING MITOTIC REGULATOR PIMREG', NULL, NULL, 8131, 15),
(176389, NULL, 'PTHR18860:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176390, NULL, 'PTHR30069:SF32', NULL, NULL, NULL, NULL, 'MEMBRANE RECEPTOR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176391, NULL, 'PTHR11733:SF167', NULL, NULL, NULL, NULL, 'NEPRILYSIN-2', NULL, NULL, NULL, 15),
(176392, NULL, 'PTHR43174:SF2', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 2-EPIMERASE', NULL, NULL, NULL, 15),
(176393, NULL, 'PTHR31627:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V-RELATED', NULL, NULL, NULL, 15),
(176394, NULL, 'PTHR31989:SF380', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(176395, NULL, 'PTHR47925:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176396, NULL, 'PTHR47374:SF2', NULL, NULL, NULL, NULL, 'ENDOSOME ANTIGEN-LIKE PROTEIN, PUTATIVE (DUF3444)-RELATED', NULL, NULL, NULL, 15),
(176397, NULL, 'PTHR31645:SF72', NULL, NULL, NULL, NULL, 'BNAC03G62050D PROTEIN', NULL, NULL, NULL, 15),
(176398, NULL, 'PTHR35479:SF5', NULL, NULL, NULL, NULL, 'OS01G0750800 PROTEIN', NULL, NULL, NULL, 15),
(176399, NULL, 'PTHR48052:SF5', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', NULL, NULL, NULL, 15),
(176400, NULL, 'PTHR24064:SF493', NULL, NULL, NULL, NULL, 'OS09G0559800 PROTEIN', NULL, NULL, NULL, 15),
(176401, NULL, 'PTHR11736:SF145', NULL, NULL, NULL, NULL, 'MAGEB16 PROTEIN', NULL, NULL, NULL, 15),
(176402, NULL, 'PTHR34938:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176403, NULL, 'PTHR31731:SF65', NULL, NULL, NULL, NULL, 'HYPOTHETICAL HPS-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176404, NULL, 'PTHR48002:SF133', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(176405, NULL, 'PTHR27007:SF271', NULL, NULL, NULL, NULL, 'OS09G0341100 PROTEIN', NULL, NULL, NULL, 15),
(176406, NULL, 'PTHR24135:SF28', NULL, NULL, NULL, NULL, 'SEXUAL DIFFERENTIATION PROTEIN STE4', NULL, NULL, NULL, 15),
(176407, NULL, 'PTHR44499', NULL, NULL, NULL, NULL, 'JOUBERIN', NULL, NULL, NULL, 15),
(176408, NULL, 'PTHR18952:SF141', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 1', NULL, NULL, NULL, 15),
(176409, NULL, 'PTHR30532:SF4', NULL, NULL, NULL, NULL, 'PETROBACTIN-BINDING PROTEIN YCLQ', NULL, NULL, NULL, 15),
(176410, NULL, 'PTHR33207:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176411, NULL, 'PTHR33021:SF334', NULL, NULL, NULL, NULL, 'BNAC01G20120D PROTEIN', NULL, NULL, NULL, 15),
(176412, NULL, 'PTHR14898:SF6', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB HOMOLOG 1', NULL, NULL, NULL, 15),
(176413, NULL, 'PTHR45839:SF19', NULL, NULL, NULL, NULL, 'SUCROSE SYNTHASE', NULL, NULL, NULL, 15),
(176414, NULL, 'PTHR20934:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR 1 HOMOLOG', NULL, NULL, NULL, 15),
(176415, NULL, 'PTHR39671:SF2', NULL, NULL, NULL, NULL, 'COMPLEX PROTEIN NUCLEASE, PUTATIVE KREPB1-RELATED', NULL, NULL, NULL, 15),
(176416, NULL, 'PTHR45706:SF7', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 4', NULL, NULL, NULL, 15),
(176417, NULL, 'PTHR39608', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G08640)', NULL, NULL, NULL, 15),
(176418, NULL, 'PTHR16134:SF29', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP1', NULL, NULL, NULL, 15),
(176419, NULL, 'PTHR48141', NULL, NULL, NULL, NULL, 'KINASE C, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176420, NULL, 'PTHR16523', NULL, NULL, NULL, NULL, 'PEST PROTEOLYTIC SIGNAL-CONTAINING NUCLEAR PROTEIN', NULL, NULL, 28931, 15),
(176421, NULL, 'PTHR31651:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176422, NULL, 'PTHR37696:SF1', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE-RELATED', NULL, NULL, NULL, 15),
(176423, NULL, 'PTHR31221:SF181', NULL, NULL, NULL, NULL, 'BNAA09G45940D PROTEIN', NULL, NULL, NULL, 15),
(176424, NULL, 'PTHR24026:SF111', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-23', NULL, NULL, NULL, 15),
(176425, NULL, 'PTHR16515:SF2', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER PROTEIN 4', NULL, NULL, NULL, 15),
(176426, NULL, 'PTHR37908', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(176427, NULL, 'PTHR46364:SF11', NULL, NULL, NULL, NULL, 'CHROMATIN REMODELING PROTEIN EBS', NULL, NULL, NULL, 15),
(176428, NULL, 'PTHR14715:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176429, NULL, 'PTHR33775:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-38L22.2', NULL, NULL, NULL, 15),
(176430, NULL, 'PTHR12570:SF73', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(176431, NULL, 'PTHR43303:SF7', NULL, NULL, NULL, NULL, 'FLAVIN OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G06420)-RELATED', NULL, NULL, NULL, 15),
(176432, NULL, 'PTHR32212:SF274', NULL, NULL, NULL, NULL, 'BNAC05G10130D PROTEIN', NULL, NULL, NULL, 15),
(176433, NULL, 'PTHR23266:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176434, NULL, 'PTHR45693', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA9', NULL, NULL, NULL, 15),
(176435, NULL, 'PTHR33286:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(176436, NULL, 'PTHR31521', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(176437, NULL, 'PTHR46177', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176438, NULL, 'PTHR42973:SF2', NULL, NULL, NULL, NULL, 'FAD-BINDING, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14470)-RELATED', NULL, NULL, NULL, 15),
(176439, NULL, 'PTHR45717:SF46', NULL, NULL, NULL, NULL, 'BNAC07G03560D PROTEIN', NULL, NULL, NULL, 15),
(176440, NULL, 'PTHR12245:SF8', NULL, NULL, NULL, NULL, 'SPRY DOMAIN-CONTAINING SOCS BOX PROTEIN 1', NULL, NULL, NULL, 15),
(176441, NULL, 'PTHR11592:SF99', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID HYDROPEROXIDE GLUTATHIONE PEROXIDASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(176442, NULL, 'PTHR48043:SF32', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(176443, NULL, 'PTHR36694:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG13296', NULL, NULL, NULL, 15),
(176444, NULL, 'PTHR34112:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176445, NULL, 'PTHR31314:SF102', NULL, NULL, NULL, NULL, 'BNACNNG44310D PROTEIN', NULL, NULL, NULL, 15),
(176446, NULL, 'PTHR35176:SF1', NULL, NULL, NULL, NULL, 'F420H(2)-DEPENDENT BILIVERDIN REDUCTASE', NULL, NULL, NULL, 15),
(176447, NULL, 'PTHR23500:SF565', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER 14-RELATED', NULL, NULL, NULL, 15),
(176448, NULL, 'PTHR34564:SF9', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE G', NULL, NULL, NULL, 15),
(176449, NULL, 'PTHR45702:SF5', NULL, NULL, NULL, NULL, 'ADAM METALLOPEPTIDASE DOMAIN 17B', NULL, NULL, NULL, 15),
(176450, NULL, 'PTHR10891:SF860', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML27-RELATED', NULL, NULL, NULL, 15),
(176451, NULL, 'PTHR44259:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(176452, NULL, 'PTHR23210:SF23', NULL, NULL, NULL, NULL, 'ACTIVATING TRANSCRIPTION FACTOR 7-INTERACTING PROTEIN 2', NULL, NULL, 25903, 15),
(176453, NULL, 'PTHR36519:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13414', NULL, NULL, NULL, 15),
(176454, NULL, 'PTHR48041:SF1', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 24', NULL, NULL, NULL, 15),
(176455, NULL, 'PTHR33086:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176456, NULL, 'PTHR46169:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(176457, NULL, 'PTHR28681', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 196', NULL, NULL, 35161, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176458, NULL, 'PTHR35525:SF3', NULL, NULL, NULL, NULL, 'BLL6575 PROTEIN', NULL, NULL, NULL, 15),
(176459, NULL, 'PTHR12161:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176460, NULL, 'PTHR47983:SF36', NULL, NULL, NULL, NULL, 'PTI1-LIKE TYROSINE-PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(176461, NULL, 'PTHR24015:SF47', NULL, NULL, NULL, NULL, 'OS01G0374200 PROTEIN', NULL, NULL, NULL, 15),
(176462, NULL, 'PTHR24071:SF26', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN-4', NULL, NULL, NULL, 15),
(176463, NULL, 'PTHR31818:SF22', NULL, NULL, NULL, NULL, 'AXI 1 PROTEIN', NULL, NULL, NULL, 15),
(176464, NULL, 'PTHR10438:SF421', NULL, NULL, NULL, NULL, 'THIOREDOXIN H-TYPE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(176465, NULL, 'PTHR11909:SF397', NULL, NULL, NULL, NULL, 'OS07G0171300 PROTEIN', NULL, NULL, NULL, 15),
(176466, NULL, 'PTHR12606:SF119', NULL, NULL, NULL, NULL, 'ULP1 PROTEASE FAMILY, CARBOXY-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(176467, NULL, 'PTHR10811:SF26', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(176468, NULL, 'PTHR13301:SF70', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 11 [UDP-FORMING]-RELATED', NULL, NULL, NULL, 15),
(176469, NULL, 'PTHR33624', NULL, NULL, NULL, NULL, 'SIGMA FACTOR BINDING PROTEIN 1, CHLOROPLASTIC', NULL, NULL, 36442, 15),
(176470, NULL, 'PTHR11709:SF356', NULL, NULL, NULL, NULL, 'LACCASE-7', NULL, NULL, NULL, 15),
(176471, NULL, 'PTHR16557:SF2', NULL, NULL, NULL, NULL, 'NUCLEIC ACID DIOXYGENASE ALKBH1', NULL, NULL, NULL, 15),
(176472, NULL, 'PTHR46183:SF12', NULL, NULL, NULL, NULL, 'PB1 DOMAIN, TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176473, NULL, 'PTHR36016:SF12', NULL, NULL, NULL, NULL, 'BNAC04G13300D PROTEIN', NULL, NULL, NULL, 15),
(176474, NULL, 'PTHR11132:SF402', NULL, NULL, NULL, NULL, 'OS01G0749900 PROTEIN', NULL, NULL, NULL, 15),
(176475, NULL, 'PTHR11742', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE ALPHA-1,2-MANNOSIDASE-RELATED', NULL, NULL, NULL, 15),
(176476, NULL, 'PTHR28066:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176477, NULL, 'PTHR32133:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176478, NULL, 'PTHR31161:SF13', NULL, NULL, NULL, NULL, 'OS01G0203800 PROTEIN', NULL, NULL, NULL, 15),
(176479, NULL, 'PTHR12015:SF103', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 4-RELATED', NULL, NULL, NULL, 15),
(176480, NULL, 'PTHR45752:SF31', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 10B', NULL, NULL, NULL, 15),
(176481, NULL, 'PTHR45893:SF2', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP RING FINGER PROTEIN 6', NULL, NULL, NULL, 15),
(176482, NULL, 'PTHR23196:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176483, NULL, 'PTHR47915', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.7', NULL, NULL, NULL, 15),
(176484, NULL, 'PTHR24072:SF321', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176485, NULL, 'PTHR36586:SF30', NULL, NULL, NULL, NULL, 'BNAC04G02760D PROTEIN', NULL, NULL, NULL, 15),
(176486, NULL, 'PTHR46287:SF10', NULL, NULL, NULL, NULL, 'OS01G0908200 PROTEIN', NULL, NULL, NULL, 15),
(176487, NULL, 'PTHR34216', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176488, NULL, 'PTHR24247:SF195', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR DM1', NULL, NULL, NULL, 15),
(176489, NULL, 'PTHR25465:SF10', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 16-RELATED', NULL, NULL, NULL, 15),
(176490, NULL, 'PTHR12385:SF42', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(176491, NULL, 'PTHR31614:SF34', NULL, NULL, NULL, NULL, 'PROTEIN DOWNSTREAM OF FLC', NULL, NULL, NULL, 15),
(176492, NULL, 'PTHR47986:SF5', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE TMK3', NULL, NULL, NULL, 15),
(176493, NULL, 'PTHR31669:SF236', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 7-LIKE ISOFORM X1', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176494, NULL, 'PTHR32044:SF58', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 11-RELATED', NULL, NULL, NULL, 15),
(176495, NULL, 'PTHR34648:SF6', NULL, NULL, NULL, NULL, 'CLOCK-INTERACTING PACEMAKER B', NULL, NULL, NULL, 15),
(176496, NULL, 'PTHR33470:SF24', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(176497, NULL, 'PTHR10795:SF700', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE', NULL, NULL, NULL, 15),
(176498, NULL, 'PTHR19957:SF292', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN SED5-RELATED', NULL, NULL, NULL, 15),
(176499, NULL, 'PTHR33227', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 5704, 15),
(176500, NULL, 'PTHR10972:SF180', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176501, NULL, 'PTHR10334:SF386', NULL, NULL, NULL, NULL, 'GOLGI-ASSOCIATED PLANT PATHOGENESIS-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(176502, NULL, 'PTHR46314:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG17655', NULL, NULL, NULL, 15),
(176503, NULL, 'PTHR24414:SF99', NULL, NULL, NULL, NULL, 'BNACNNG31110D PROTEIN', NULL, NULL, NULL, 15),
(176504, NULL, 'PTHR31241:SF38', NULL, NULL, NULL, NULL, 'AP2-EREBP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(176505, NULL, 'PTHR32263:SF29', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(176506, NULL, 'PTHR30537:SF21', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR SINR-RELATED', NULL, NULL, NULL, 15),
(176507, NULL, 'PTHR11260:SF597', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U18', NULL, NULL, NULL, 15),
(176508, NULL, 'PTHR21495:SF189', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(176509, NULL, 'PTHR26450:SF373', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(176510, NULL, 'PTHR45733:SF5', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(176511, NULL, 'PTHR11414:SF22', NULL, NULL, NULL, NULL, 'CYSTATIN-B', NULL, NULL, NULL, 15),
(176512, NULL, 'PTHR10641:SF1303', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB39-LIKE', NULL, NULL, NULL, 15),
(176513, NULL, 'PTHR47441', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176514, NULL, 'PTHR19321', NULL, NULL, NULL, NULL, 'PROTEIN REGULATOR OF CYTOKINESIS 1 PRC1-RELATED', NULL, NULL, 167, 15),
(176515, NULL, 'PTHR12243', NULL, NULL, NULL, NULL, 'MADF DOMAIN TRANSCRIPTION FACTOR', NULL, NULL, 35986, 15),
(176516, NULL, 'PTHR24377:SF887', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176517, NULL, 'PTHR10809:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176518, NULL, 'PTHR33067', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176519, NULL, 'PTHR24388:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176520, NULL, 'PTHR48199:SF1', NULL, NULL, NULL, NULL, 'ALPHA KAFIRIN', NULL, NULL, NULL, 15),
(176521, NULL, 'PTHR45693:SF15', NULL, NULL, NULL, NULL, 'TGACG-SEQUENCE-SPECIFIC DNA-BINDING PROTEIN TGA-2.1', NULL, NULL, NULL, 15),
(176522, NULL, 'PTHR36435', NULL, NULL, NULL, NULL, 'SLR1288 PROTEIN', NULL, NULL, NULL, 15),
(176523, NULL, 'PTHR47608', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 2, SPINK2', NULL, NULL, 39709, 15),
(176524, NULL, 'PTHR36343:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(176525, NULL, 'PTHR13074:SF9', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 8', NULL, NULL, NULL, 15),
(176526, NULL, 'PTHR23266:SF248', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 3-20', NULL, NULL, NULL, 15),
(176527, NULL, 'PTHR11852:SF9', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE 1B, CATALYTIC SUBUNIT 2', NULL, NULL, NULL, 15),
(176528, NULL, 'PTHR31157:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176529, NULL, 'PTHR16078:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 87', NULL, NULL, NULL, 15),
(176530, NULL, 'PTHR33044:SF189', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176531, NULL, 'PTHR11945:SF549', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN AGL24', NULL, NULL, NULL, 15),
(176532, NULL, 'PTHR36156:SF2', NULL, NULL, NULL, NULL, 'SLR2101 PROTEIN', NULL, NULL, NULL, 15),
(176533, NULL, 'PTHR11950', NULL, NULL, NULL, NULL, 'RUNT RELATED', NULL, NULL, 2749, 15),
(176534, NULL, 'PTHR46122:SF17', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', NULL, NULL, NULL, 15),
(176535, NULL, 'PTHR23262:SF133', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 9-6-RELATED', NULL, NULL, NULL, 15),
(176536, NULL, 'PTHR32018:SF9', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B', NULL, NULL, NULL, 15),
(176537, NULL, 'PTHR31549:SF201', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176538, NULL, 'PTHR47985:SF38', NULL, NULL, NULL, NULL, 'BNAC05G16020D PROTEIN', NULL, NULL, NULL, 15),
(176539, NULL, 'PTHR31852:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176540, NULL, 'PTHR12629:SF12', NULL, NULL, NULL, NULL, 'HYDROLASE 13, MITOCHONDRIAL, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(176541, NULL, 'PTHR10516:SF419', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(176542, NULL, 'PTHR45932:SF18', NULL, NULL, NULL, NULL, 'PATELLIN 1-RELATED', NULL, NULL, NULL, 15),
(176543, NULL, 'PTHR46446:SF21', NULL, NULL, NULL, NULL, 'BNAA02G36990D PROTEIN', NULL, NULL, NULL, 15),
(176544, NULL, 'PTHR34848', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 3385, 15),
(176545, NULL, 'PTHR11014:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176546, NULL, 'PTHR19300', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE', NULL, NULL, 3128, 15),
(176547, NULL, 'PTHR26452:SF771', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(176548, NULL, 'PTHR24006:SF823', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', NULL, NULL, NULL, 15),
(176549, NULL, 'PTHR22955:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176550, NULL, 'PTHR41729', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA SYNTHETASE', NULL, NULL, 23674, 15),
(176551, NULL, 'PTHR11926:SF1372', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 76C2-LIKE', NULL, NULL, NULL, 15),
(176552, NULL, 'PTHR24412:SF10', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 29', NULL, NULL, NULL, 15),
(176553, NULL, 'PTHR46877:SF1', NULL, NULL, NULL, NULL, 'EPH RECEPTOR A5', NULL, NULL, NULL, 15),
(176554, NULL, 'PTHR28467:SF1', NULL, NULL, NULL, NULL, 'PAXIP1-ASSOCIATED GLUTAMATE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(176555, NULL, 'PTHR24115:SF802', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN UNC-104', NULL, NULL, NULL, 15),
(176556, NULL, 'PTHR24240:SF176', NULL, NULL, NULL, NULL, 'TELEOST MULTIPLE TISSUE OPSIN 2B', NULL, NULL, NULL, 15),
(176557, NULL, 'PTHR10334:SF491', NULL, NULL, NULL, NULL, 'BNACNNG34480D PROTEIN', NULL, NULL, NULL, 15),
(176558, NULL, 'PTHR33674:SF2', NULL, NULL, NULL, NULL, 'OS05G0126800 PROTEIN', NULL, NULL, NULL, 15),
(176559, NULL, 'PTHR10641:SF1292', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB-HB-LIKE FAMILY-RELATED', NULL, NULL, NULL, 15),
(176560, NULL, 'PTHR46999', NULL, NULL, NULL, NULL, 'ALPHA-GLUCAN WATER DIKINASE 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(176561, NULL, 'PTHR45631:SF59', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(176562, NULL, 'PTHR10900:SF80', NULL, NULL, NULL, NULL, 'FASCICLIN-1', NULL, NULL, NULL, 15),
(176563, NULL, 'PTHR47954:SF3', NULL, NULL, NULL, NULL, 'OS12G0640200 PROTEIN', NULL, NULL, NULL, 15),
(176564, NULL, 'PTHR24343:SF43', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HAL5-RELATED', NULL, NULL, NULL, 15),
(176565, NULL, 'PTHR27006:SF232', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RFK1-RELATED', NULL, NULL, NULL, 15),
(176566, NULL, 'PTHR47431:SF2', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(176567, NULL, 'PTHR34703:SF2', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER SUBUNIT G1', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176568, NULL, 'PTHR10270:SF303', NULL, NULL, NULL, NULL, 'SOX (MAMMALIAN SRY BOX) FAMILY', NULL, NULL, NULL, 15),
(176569, NULL, 'PTHR10641:SF1298', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176570, NULL, 'PTHR13555:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176571, NULL, 'PTHR10725:SF58', NULL, NULL, NULL, NULL, 'AGAP005571-PA', NULL, NULL, NULL, 15),
(176572, NULL, 'PTHR21600:SF2', NULL, NULL, NULL, NULL, 'RIBOSOMAL LARGE SUBUNIT PSEUDOURIDINE SYNTHASE E', NULL, NULL, NULL, 15),
(176573, NULL, 'PTHR13509:SF15', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT BETA', NULL, NULL, NULL, 15),
(176574, NULL, 'PTHR11377:SF5', NULL, NULL, NULL, NULL, 'GLYCYLPEPTIDE N-TETRADECANOYLTRANSFERASE', NULL, NULL, NULL, 15),
(176575, NULL, 'PTHR24083:SF54', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR HR78', NULL, NULL, NULL, 15),
(176576, NULL, 'PTHR46125:SF15', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 28 ISOFORM X1', NULL, NULL, NULL, 15),
(176577, NULL, 'PTHR21143:SF115', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR 8A', NULL, NULL, NULL, 15),
(176578, NULL, 'PTHR31108:SF11', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN P63-REGULATED 1', NULL, NULL, NULL, 15),
(176579, NULL, 'PTHR32263', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE SRO4-RELATED', NULL, NULL, 39464, 15),
(176580, NULL, 'PTHR36203:SF2', NULL, NULL, NULL, NULL, 'POSSIBLE SUGAR-TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(176581, NULL, 'PTHR23146', NULL, NULL, NULL, NULL, 'LEO1 PROTEIN', NULL, NULL, 206, 15),
(176582, NULL, 'PTHR13780:SF118', NULL, NULL, NULL, NULL, 'CBS DOMAIN, IMMUNOGLOBULIN E-SET-RELATED', NULL, NULL, NULL, 15),
(176583, NULL, 'PTHR10658:SF78', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN CYTOPLASMIC 1B', NULL, NULL, NULL, 15),
(176584, NULL, 'PTHR33044:SF174', NULL, NULL, NULL, NULL, 'BNAA02G16470D PROTEIN', NULL, NULL, NULL, 15),
(176585, NULL, 'PTHR27009:SF145', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 2.4', NULL, NULL, NULL, 15),
(176586, NULL, 'PTHR23012:SF93', NULL, NULL, NULL, NULL, 'OS01G0121200 PROTEIN', NULL, NULL, NULL, 15),
(176587, NULL, 'PTHR30368', NULL, NULL, NULL, NULL, 'SULFATE-BINDING PROTEIN', NULL, NULL, 3738, 15),
(176588, NULL, 'PTHR44169:SF11', NULL, NULL, NULL, NULL, 'BNAA06G24130D PROTEIN', NULL, NULL, NULL, 15),
(176589, NULL, 'PTHR22736', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35356, 15),
(176590, NULL, 'PTHR48217', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176591, NULL, 'PTHR47926:SF286', NULL, NULL, NULL, NULL, 'BNAA06G13890D PROTEIN', NULL, NULL, NULL, 15),
(176592, NULL, 'PTHR32448:SF104', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176593, NULL, 'PTHR22595:SF169', NULL, NULL, NULL, NULL, 'CHITINASE 8', NULL, NULL, NULL, 15),
(176594, NULL, 'PTHR11655:SF41', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L9', NULL, NULL, NULL, 15),
(176595, NULL, 'PTHR42282', NULL, NULL, NULL, NULL, 'PANTOATE KINASE-RELATED', NULL, NULL, 11884, 15),
(176596, NULL, 'PTHR10252:SF106', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-3-RELATED', NULL, NULL, NULL, 15),
(176597, NULL, 'PTHR11024:SF17', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC13 HOMOLOG B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(176598, NULL, 'PTHR10353:SF152', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1 PROTEIN', NULL, NULL, NULL, 15),
(176599, NULL, 'PTHR26453:SF219', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(176600, NULL, 'PTHR24320:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176601, NULL, 'PTHR10880:SF45', NULL, NULL, NULL, NULL, 'MSL3-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(176602, NULL, 'PTHR35285:SF2', NULL, NULL, NULL, NULL, 'BNAC01G44830D PROTEIN', NULL, NULL, NULL, 15),
(176603, NULL, 'PTHR12794:SF10', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176604, NULL, 'PTHR43276', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN:MALTOSE-1-PHOSPHATE MALTOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(176605, NULL, 'PTHR31731:SF89', NULL, NULL, NULL, NULL, 'LIPID-BINDING PROTEIN AIR1-RELATED', NULL, NULL, NULL, 15),
(176606, NULL, 'PTHR11177:SF344', NULL, NULL, NULL, NULL, 'CHITINASE 2-RELATED', NULL, NULL, NULL, 15),
(176607, NULL, 'PTHR11502:SF26', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', NULL, NULL, NULL, 15),
(176608, NULL, 'PTHR34483:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176609, NULL, 'PTHR33883:SF10', NULL, NULL, NULL, NULL, 'WPP DOMAIN-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(176610, NULL, 'PTHR24203:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176611, NULL, 'PTHR19375:SF415', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 70 FAMILY, PEPTIDE-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176612, NULL, 'PTHR19134:SF485', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE-PHOSPHATASE', NULL, NULL, NULL, 15),
(176613, NULL, 'PTHR10108:SF968', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT19-RELATED', NULL, NULL, NULL, 15),
(176614, NULL, 'PTHR36801:SF2', NULL, NULL, NULL, NULL, 'OS01G0570601 PROTEIN', NULL, NULL, NULL, 15),
(176615, NULL, 'PTHR48054:SF18', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE PEPR1', NULL, NULL, NULL, 15),
(176616, NULL, 'PTHR33078:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176617, NULL, 'PTHR32166:SF54', NULL, NULL, NULL, NULL, 'HAT DIMERIZATION DOMAIN-CONTAINING PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(176618, NULL, 'PTHR46924', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR-LIKE PROTEIN C-RELATED-RELATED', NULL, NULL, NULL, 15),
(176619, NULL, 'PTHR34553:SF7', NULL, NULL, NULL, NULL, 'BNAA05G10680D PROTEIN', NULL, NULL, NULL, 15),
(176620, NULL, 'PTHR31557:SF0', NULL, NULL, NULL, NULL, '5C820-RELATED', NULL, NULL, NULL, 15),
(176621, NULL, 'PTHR30069:SF36', NULL, NULL, NULL, NULL, 'BLL6948 PROTEIN', NULL, NULL, NULL, 15),
(176622, NULL, 'PTHR45631:SF22', NULL, NULL, NULL, NULL, 'BNAA02G06960D PROTEIN', NULL, NULL, NULL, 15),
(176623, NULL, 'PTHR24055:SF154', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE PMK-2', NULL, NULL, NULL, 15),
(176624, NULL, 'PTHR46314', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 44', NULL, NULL, 37493, 15),
(176625, NULL, 'PTHR40045:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176626, NULL, 'PTHR10003:SF73', NULL, NULL, NULL, NULL, 'EXTRACELLULAR SUPEROXIDE DISMUTASE [CU-ZN] 2', NULL, NULL, 24672, 15),
(176627, NULL, 'PTHR13743:SF135', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN B', NULL, NULL, NULL, 15),
(176628, NULL, 'PTHR47977:SF47', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABH1B', NULL, NULL, NULL, 15),
(176629, NULL, 'PTHR12002:SF174', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, NULL, 15),
(176630, NULL, 'PTHR38445', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR YTRA', NULL, NULL, NULL, 15),
(176631, NULL, 'PTHR47969:SF9', NULL, NULL, NULL, NULL, 'BNACNNG40390D PROTEIN', NULL, NULL, NULL, 15),
(176632, NULL, 'PTHR37035:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176633, NULL, 'PTHR10772:SF47', NULL, NULL, NULL, NULL, 'BNAA09G45320D PROTEIN', NULL, NULL, NULL, 15),
(176634, NULL, 'PTHR31882:SF6', NULL, NULL, NULL, NULL, 'TNFAIP3-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(176635, NULL, 'PTHR35458', NULL, NULL, NULL, NULL, 'SLR0755 PROTEIN', NULL, NULL, NULL, 15),
(176636, NULL, 'PTHR22930:SF166', NULL, NULL, NULL, NULL, 'OS04G0422900 PROTEIN', NULL, NULL, NULL, 15),
(176637, NULL, 'PTHR45948:SF4', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 15', NULL, NULL, NULL, 15),
(176638, NULL, 'PTHR31218:SF338', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(176639, NULL, 'PTHR46835:SF6', NULL, NULL, NULL, NULL, 'BNAA09G14950D PROTEIN', NULL, NULL, NULL, 15),
(176640, NULL, 'PTHR48022:SF47', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176641, NULL, 'PTHR38564:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176642, NULL, 'PTHR23339:SF97', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 3', NULL, NULL, NULL, 15),
(176643, NULL, 'PTHR24410:SF20', NULL, NULL, NULL, NULL, 'BTB DOMAIN CONTAINING 2', NULL, NULL, NULL, 15),
(176644, NULL, 'PTHR27000:SF54', NULL, NULL, NULL, NULL, 'OS03G0400800 PROTEIN', NULL, NULL, NULL, 15),
(176645, NULL, 'PTHR45588', NULL, NULL, NULL, NULL, 'TPR DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(176646, NULL, 'PTHR15730:SF11', NULL, NULL, NULL, NULL, 'IMMUNO-DOMINANT VARIABLE SURFACE ANTIGEN-LIKE', NULL, NULL, NULL, 15),
(176647, NULL, 'PTHR23055:SF178', NULL, NULL, NULL, NULL, 'RECOVERIN FAMILY PROTEIN DDB_G0274781', NULL, NULL, NULL, 15),
(176648, NULL, 'PTHR23402:SF24', NULL, NULL, NULL, NULL, 'BNAA09G15240D PROTEIN', NULL, NULL, NULL, 15),
(176649, NULL, 'PTHR23074:SF144', NULL, NULL, NULL, NULL, 'OS01G0141100 PROTEIN', NULL, NULL, NULL, 15),
(176650, NULL, 'PTHR12378:SF11', NULL, NULL, NULL, NULL, 'DESI-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176651, NULL, 'PTHR21115', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(176652, NULL, 'PTHR39191:SF1', NULL, NULL, NULL, NULL, 'GALACTOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(176653, NULL, 'PTHR12549:SF55', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ25-LIKE', NULL, NULL, NULL, 15),
(176654, NULL, 'PTHR13718:SF90', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(176655, NULL, 'PTHR47349', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(176656, NULL, 'PTHR45752:SF27', NULL, NULL, NULL, NULL, 'SI:CH73-302O18.2', NULL, NULL, NULL, 15),
(176657, NULL, 'PTHR27009:SF103', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(176658, NULL, 'PTHR38525', NULL, NULL, NULL, NULL, 'OS03G0824500 PROTEIN', NULL, NULL, NULL, 15),
(176659, NULL, 'PTHR47946:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 78, SUBFAMILY A, POLYPEPTIDE 8', NULL, NULL, NULL, 15),
(176660, NULL, 'PTHR31080:SF199', NULL, NULL, NULL, NULL, 'BNAA06G09680D PROTEIN', NULL, NULL, NULL, 15),
(176661, NULL, 'PTHR47601', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176662, NULL, 'PTHR10044:SF99', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(176663, NULL, 'PTHR24413:SF106', NULL, NULL, NULL, NULL, 'PROTEIN MATERNAL EFFECT LETHAL 26', NULL, NULL, NULL, 15),
(176664, NULL, 'PTHR45617:SF76', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 66', NULL, NULL, NULL, 15),
(176665, NULL, 'PTHR11769:SF6', NULL, NULL, NULL, NULL, 'HYALURONIDASE-2', NULL, NULL, NULL, 15),
(176666, NULL, 'PTHR43721:SF4', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176667, NULL, 'PTHR24208:SF96', NULL, NULL, NULL, NULL, 'LIM HOMEOBOX TRANSCRIPTION FACTOR 1-BETA', NULL, NULL, NULL, 15),
(176668, NULL, 'PTHR18945:SF34', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT DELTA', NULL, NULL, 6486, 15),
(176669, NULL, 'PTHR23121:SF24', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT GLUCOSE TRANSPORTER 1C', NULL, NULL, NULL, 15),
(176670, NULL, 'PTHR11926:SF1335', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(176671, NULL, 'PTHR24177:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176672, NULL, 'PTHR24305:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176673, NULL, 'PTHR16675:SF172', NULL, NULL, NULL, NULL, 'HEREDITARY HEMOCHROMATOSIS PROTEIN', NULL, NULL, 26212, 15),
(176674, NULL, 'PTHR11767:SF55', NULL, NULL, NULL, NULL, 'KIR6.3 PROTEIN', NULL, NULL, NULL, 15),
(176675, NULL, 'PTHR17103:SF15', NULL, NULL, NULL, NULL, 'NEUREXOPHILIN', NULL, NULL, NULL, 15),
(176676, NULL, 'PTHR10306:SF9', NULL, NULL, NULL, NULL, 'SYNAPTOPHYSIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(176677, NULL, 'PTHR27002:SF822', NULL, NULL, NULL, NULL, 'REPEAT RECEPTOR PROTEIN KINASE EXS, PUTATIVE-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176678, NULL, 'PTHR23024:SF402', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176679, NULL, 'PTHR43977:SF2', NULL, NULL, NULL, NULL, 'STRUCTURAL MAINTENANCE OF CHROMOSOMES PROTEIN', NULL, NULL, NULL, 15),
(176680, NULL, 'PTHR21514:SF0', NULL, NULL, NULL, NULL, 'AP-4 COMPLEX ACCESSORY SUBUNIT TEPSIN', NULL, NULL, NULL, 15),
(176681, NULL, 'PTHR13369:SF0', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE C-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(176682, NULL, 'PTHR12266:SF12', NULL, NULL, NULL, NULL, 'OS10G0436900 PROTEIN', NULL, NULL, NULL, 15),
(176683, NULL, 'PTHR11364:SF27', NULL, NULL, NULL, NULL, 'SULFURTRANSFERASE', NULL, NULL, NULL, 15),
(176684, NULL, 'PTHR24269:SF19', NULL, NULL, NULL, NULL, 'PROTEIN SLG1', NULL, NULL, NULL, 15),
(176685, NULL, 'PTHR45626:SF4', NULL, NULL, NULL, NULL, 'FAMILY HELICASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176686, NULL, 'PTHR10980:SF39', NULL, NULL, NULL, NULL, 'RHO GDP-DISSOCIATION INHIBITOR 1', NULL, NULL, NULL, 15),
(176687, NULL, 'PTHR45125:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176688, NULL, 'PTHR23101:SF111', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN AND VPS9 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(176689, NULL, 'PTHR23018:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS XA 10', NULL, NULL, NULL, 15),
(176690, NULL, 'PTHR12386:SF13', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT G 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(176691, NULL, 'PTHR47946:SF1', NULL, NULL, NULL, NULL, 'OS03G0134500 PROTEIN', NULL, NULL, NULL, 15),
(176692, NULL, 'PTHR10670:SF0', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON CATALYTIC SUBUNIT A', NULL, NULL, NULL, 15),
(176693, NULL, 'PTHR11662:SF53', NULL, NULL, NULL, NULL, 'PROTEIN CBG05932', NULL, NULL, NULL, 15),
(176694, NULL, 'PTHR13596:SF10', NULL, NULL, NULL, NULL, 'SMALL EDRK-RICH FACTOR 2-LIKE', NULL, NULL, NULL, 15),
(176695, NULL, 'PTHR33463:SF85', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN FAMILY, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176696, NULL, 'PTHR32467:SF134', NULL, NULL, NULL, NULL, 'BNACNNG39690D PROTEIN', NULL, NULL, NULL, 15),
(176697, NULL, 'PTHR23220:SF83', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-PS2', NULL, NULL, NULL, 15),
(176698, NULL, 'PTHR36921', NULL, NULL, NULL, NULL, 'BLL6035 PROTEIN', NULL, NULL, NULL, 15),
(176699, NULL, 'PTHR30092', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN CRED', NULL, NULL, 8913, 15),
(176700, NULL, 'PTHR43369:SF1', NULL, NULL, NULL, NULL, 'AIR SYNTHASE RELATED PROTEIN', NULL, NULL, NULL, 15),
(176701, NULL, 'PTHR10335:SF13', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176702, NULL, 'PTHR11866:SF6', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E2 RECEPTOR EP4 SUBTYPE', NULL, NULL, 5241, 15),
(176703, NULL, 'PTHR30126:SF42', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL ACTIVATOR AAER', NULL, NULL, NULL, 15),
(176704, NULL, 'PTHR47655:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(176705, NULL, 'PTHR31375:SF123', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', NULL, NULL, NULL, 15),
(176706, NULL, 'PTHR24034:SF93', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 2B', NULL, NULL, NULL, 15),
(176707, NULL, 'PTHR38451:SF1', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(22)-N(1))-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(176708, NULL, 'PTHR22897:SF20', NULL, NULL, NULL, NULL, 'SULFHYDRYL OXIDASE', NULL, NULL, NULL, 15),
(176709, NULL, 'PTHR10811:SF25', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(176710, NULL, 'PTHR33511:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176711, NULL, 'PTHR15427:SF37', NULL, NULL, NULL, NULL, 'ELASTIN MICROFIBRIL INTERFACER 3A', NULL, NULL, NULL, 15),
(176712, NULL, 'PTHR27004:SF304', NULL, NULL, NULL, NULL, 'OS12G0157550 PROTEIN', NULL, NULL, NULL, 15),
(176713, NULL, 'PTHR46200', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN WDR24', NULL, NULL, 34944, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176714, NULL, 'PTHR33377:SF24', NULL, NULL, NULL, NULL, 'OS10G0134900 PROTEIN', NULL, NULL, NULL, 15),
(176715, NULL, 'PTHR43743:SF1', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE ATP-BINDING SUBUNIT', NULL, NULL, NULL, 15),
(176716, NULL, 'PTHR23076:SF117', NULL, NULL, NULL, NULL, 'ATPASE, AAA-TYPE, CORE-RELATED', NULL, NULL, NULL, 15),
(176717, NULL, 'PTHR33559', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 4', NULL, NULL, 28145, 15),
(176718, NULL, 'PTHR11220:SF7', NULL, NULL, NULL, NULL, 'SOUL PROTEIN', NULL, NULL, NULL, 15),
(176719, NULL, 'PTHR36149', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176720, NULL, 'PTHR33088:SF51', NULL, NULL, NULL, NULL, 'LEGUMINOSIN GROUP485 SECRETED PEPTIDE', NULL, NULL, NULL, 15),
(176721, NULL, 'PTHR10075:SF64', NULL, NULL, NULL, NULL, 'CONTACTIN-RELATED', NULL, NULL, NULL, 15),
(176722, NULL, 'PTHR27003:SF371', NULL, NULL, NULL, NULL, 'BNAA01G05340D PROTEIN', NULL, NULL, NULL, 15),
(176723, NULL, 'PTHR10139:SF3', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR PROTEIN', NULL, NULL, NULL, 15),
(176724, NULL, 'PTHR38706:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-198C19.1-RELATED', NULL, NULL, NULL, 15),
(176725, NULL, 'PTHR23342:SF0', NULL, NULL, NULL, NULL, 'N-ACETYLGLUTAMATE SYNTHASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(176726, NULL, 'PTHR32411:SF51', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN 2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176727, NULL, 'PTHR47926:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176728, NULL, 'PTHR42088', NULL, NULL, NULL, NULL, 'YALI0F10131P', NULL, NULL, NULL, 15),
(176729, NULL, 'PTHR22891:SF160', NULL, NULL, NULL, NULL, 'PROTEIN ARGONAUTE 15', NULL, NULL, NULL, 15),
(176730, NULL, 'PTHR10438:SF388', NULL, NULL, NULL, NULL, 'THIOREDOXIN H5', NULL, NULL, NULL, 15),
(176731, NULL, 'PTHR34125:SF5', NULL, NULL, NULL, NULL, 'BNAA01G29960D PROTEIN', NULL, NULL, NULL, 15),
(176732, NULL, 'PTHR42678:SF2', NULL, NULL, NULL, NULL, 'AMIDASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G14410)', NULL, NULL, NULL, 15),
(176733, NULL, 'PTHR21615', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29848, 15),
(176734, NULL, 'PTHR24232:SF21', NULL, NULL, NULL, NULL, 'PROTEINASE-ACTIVATED RECEPTOR 2', NULL, NULL, NULL, 15),
(176735, NULL, 'PTHR22752', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(176736, NULL, 'PTHR33083:SF93', NULL, NULL, NULL, NULL, 'SENESCENCE REGULATOR S40-RELATED', NULL, NULL, NULL, 15),
(176737, NULL, 'PTHR27007:SF28', NULL, NULL, NULL, NULL, 'LECTIN-LIKE RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176738, NULL, 'PTHR23512:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176739, NULL, 'PTHR46891:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(176740, NULL, 'PTHR31929:SF40', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(176741, NULL, 'PTHR31707:SF326', NULL, NULL, NULL, NULL, 'BNAC02G00730D PROTEIN', NULL, NULL, NULL, 15),
(176742, NULL, 'PTHR27004:SF358', NULL, NULL, NULL, NULL, 'BNACNNG65590D PROTEIN', NULL, NULL, NULL, 15),
(176743, NULL, 'PTHR16024:SF25', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN', NULL, NULL, NULL, 15),
(176744, NULL, 'PTHR23262:SF32', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 9-1', NULL, NULL, NULL, 15),
(176745, NULL, 'PTHR15151', NULL, NULL, NULL, NULL, 'PROTEIN EIGER', NULL, NULL, NULL, 15),
(176746, NULL, 'PTHR30195:SF16', NULL, NULL, NULL, NULL, 'TYPE I RESTRICTION ENZYME R PROTEIN', NULL, NULL, NULL, 15),
(176747, NULL, 'PTHR22591:SF1', NULL, NULL, NULL, NULL, 'XIN ACTIN-BINDING REPEAT-CONTAINING PROTEIN 2', NULL, NULL, 22521, 15),
(176748, NULL, 'PTHR17613:SF10', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC PROTEIN TEX28', NULL, NULL, 18081, 15),
(176749, NULL, 'PTHR20967:SF0', NULL, NULL, NULL, NULL, 'BRAIN PEPTIDE IDL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176750, NULL, 'PTHR28627', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 5', NULL, NULL, 19070, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176751, NULL, 'PTHR27002:SF498', NULL, NULL, NULL, NULL, 'DUF26-DOMAIN PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176752, NULL, 'PTHR47474', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE RLPH2', NULL, NULL, NULL, 15),
(176753, NULL, 'PTHR48053:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176754, NULL, 'PTHR11132:SF387', NULL, NULL, NULL, NULL, 'BNAANNG38660D PROTEIN', NULL, NULL, NULL, 15),
(176755, NULL, 'PTHR47047:SF4', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE, PUTATIVE CYSTEINE PEPTIDASE, CLAN CA, FAMILY C2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176756, NULL, 'PTHR12281:SF28', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', NULL, NULL, NULL, 15),
(176757, NULL, 'PTHR24049:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CRUMBS HOMOLOG 1', NULL, NULL, NULL, 15),
(176758, NULL, 'PTHR34455:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(176759, NULL, 'PTHR47295:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176760, NULL, 'PTHR32093:SF129', NULL, NULL, NULL, NULL, 'LRR/EXTENSIN', NULL, NULL, NULL, 15),
(176761, NULL, 'PTHR19924:SF26', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 15 HOMOLOG', NULL, NULL, NULL, 15),
(176762, NULL, 'PTHR23266:SF302', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176763, NULL, 'PTHR13068:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176764, NULL, 'PTHR46288:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176765, NULL, 'PTHR11954:SF43', NULL, NULL, NULL, NULL, 'MACROPHAGE MIGRATION INHIBITION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176766, NULL, 'PTHR11616:SF277', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(176767, NULL, 'PTHR24384:SF115', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 675', NULL, NULL, NULL, 15),
(176768, NULL, 'PTHR11143:SF7', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L26', NULL, NULL, NULL, 15),
(176769, NULL, 'PTHR22996:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176770, NULL, 'PTHR30128:SF52', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A1', NULL, NULL, NULL, 15),
(176771, NULL, 'PTHR12582:SF41', NULL, NULL, NULL, NULL, 'UNC5C-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176772, NULL, 'PTHR21704:SF20', NULL, NULL, NULL, NULL, 'NIPPED-B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176773, NULL, 'PTHR37439', NULL, NULL, NULL, NULL, 'PROTEIN CBG25991-RELATED', NULL, NULL, NULL, 15),
(176774, NULL, 'PTHR23032', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35445, 15),
(176775, NULL, 'PTHR10209:SF779', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(176776, NULL, 'PTHR43763:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG01440', NULL, NULL, NULL, 15),
(176777, NULL, 'PTHR10778:SF10', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER B1', NULL, NULL, NULL, 15),
(176778, NULL, 'PTHR11089:SF34', NULL, NULL, NULL, NULL, 'BNAA05G30500D PROTEIN', NULL, NULL, NULL, 15),
(176779, NULL, 'PTHR43350:SF16', NULL, NULL, NULL, NULL, 'S-NITROSOMYCOTHIOL REDUCTASE MSCR', NULL, NULL, NULL, 15),
(176780, NULL, 'PTHR27009:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176781, NULL, 'PTHR12245:SF12', NULL, NULL, NULL, NULL, 'AT05339P', NULL, NULL, NULL, 15),
(176782, NULL, 'PTHR33203:SF31', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(176783, NULL, 'PTHR23284', NULL, NULL, NULL, NULL, 'PROLACTIN REGULATORY ELEMENT BINDING PROTEIN', NULL, NULL, 38107, 15),
(176784, NULL, 'PTHR23338:SF57', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', NULL, NULL, NULL, 15),
(176785, NULL, 'PTHR12136:SF109', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2-LIKE', NULL, NULL, NULL, 15),
(176786, NULL, 'PTHR10373:SF38', NULL, NULL, NULL, NULL, 'PROTEIN PANGOLIN, ISOFORM J', NULL, NULL, 28388, 15),
(176787, NULL, 'PTHR47926:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176788, NULL, 'PTHR21677:SF7', NULL, NULL, NULL, NULL, 'TSL-KINASE INTERACTING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(176789, NULL, 'PTHR11046:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176790, NULL, 'PTHR46809:SF1', NULL, NULL, NULL, NULL, 'STROMAL CELL-DERIVED FACTOR 2-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(176791, NULL, 'PTHR46287:SF8', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(176792, NULL, 'PTHR31769:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176793, NULL, 'PTHR24223:SF168', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY C MEMBER 11', NULL, NULL, 22492, 15),
(176794, NULL, 'PTHR36965', NULL, NULL, NULL, NULL, 'FE(2+)-TRAFFICKING PROTEIN-RELATED', NULL, NULL, 4887, 15),
(176795, NULL, 'PTHR42647:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176796, NULL, 'PTHR10684:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 2', NULL, NULL, 24377, 15),
(176797, NULL, 'PTHR19282:SF120', NULL, NULL, NULL, NULL, 'TETRASPANIN-36', NULL, NULL, NULL, 15),
(176798, NULL, 'PTHR33076:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176799, NULL, 'PTHR47967:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176800, NULL, 'PTHR16955:SF6', NULL, NULL, NULL, NULL, 'METASTASIS-SUPPRESSOR KISS-1', NULL, NULL, NULL, 15),
(176801, NULL, 'PTHR34491:SF22', NULL, NULL, NULL, NULL, 'PARAMYOSIN', NULL, NULL, NULL, 15),
(176802, NULL, 'PTHR36839:SF1', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G12770)', NULL, NULL, NULL, 15),
(176803, NULL, 'PTHR24028:SF263', NULL, NULL, NULL, NULL, 'CADHERIN-RELATED FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(176804, NULL, 'PTHR30031:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE [ATP] PROTEIN', NULL, NULL, NULL, 15),
(176805, NULL, 'PTHR11102:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176806, NULL, 'PTHR23085:SF17', NULL, NULL, NULL, NULL, 'SI:CH211-146M13.3', NULL, NULL, NULL, 15),
(176807, NULL, 'PTHR11909:SF115', NULL, NULL, NULL, NULL, 'PROTEIN CBG00573', NULL, NULL, NULL, 15),
(176808, NULL, 'PTHR46413:SF27', NULL, NULL, NULL, NULL, 'BNAC04G08310D PROTEIN', NULL, NULL, NULL, 15),
(176809, NULL, 'PTHR38425:SF1', NULL, NULL, NULL, NULL, 'LONG CHRONOLOGICAL LIFESPAN PROTEIN 2', NULL, NULL, NULL, 15),
(176810, NULL, 'PTHR13937:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08598', NULL, NULL, NULL, 15),
(176811, NULL, 'PTHR34007:SF1', NULL, NULL, NULL, NULL, 'AEROLYSIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176812, NULL, 'PTHR10179:SF28', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 11', NULL, NULL, 24613, 15),
(176813, NULL, 'PTHR35970:SF1', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL AND CLATHRIN LINKER 1', NULL, NULL, NULL, 15),
(176814, NULL, 'PTHR31656:SF20', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176815, NULL, 'PTHR42788:SF18', NULL, NULL, NULL, NULL, 'TAURINE IMPORT ATP-BINDING PROTEIN TAUB', NULL, NULL, 13151, 15),
(176816, NULL, 'PTHR12931:SF3', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOESTERASE OTUB2', NULL, NULL, 27964, 15),
(176817, NULL, 'PTHR46067:SF15', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE (GNAT) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(176818, NULL, 'PTHR31248:SF8', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(176819, NULL, 'PTHR37829:SF3', NULL, NULL, NULL, NULL, 'PROTEIN JAYE-RELATED', NULL, NULL, NULL, 15),
(176820, NULL, 'PTHR33086:SF10', NULL, NULL, NULL, NULL, 'OS05G0468200 PROTEIN', NULL, NULL, NULL, 15),
(176821, NULL, 'PTHR31945:SF61', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(176822, NULL, 'PTHR34873:SF3', NULL, NULL, NULL, NULL, 'SSR1766 PROTEIN', NULL, NULL, NULL, 15),
(176823, NULL, 'PTHR31472:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176824, NULL, 'PTHR46201:SF9', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN MALE MEIOCYTE DEATH 1-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176825, NULL, 'PTHR24190:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176826, NULL, 'PTHR47928:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176827, NULL, 'PTHR46649:SF5', NULL, NULL, NULL, NULL, 'F14L17.7 PROTEIN', NULL, NULL, NULL, 15),
(176828, NULL, 'PTHR31852:SF141', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, GROUP 2', NULL, NULL, NULL, 15),
(176829, NULL, 'PTHR33940', NULL, NULL, NULL, NULL, 'PROTEIN CBG13625', NULL, NULL, NULL, 15),
(176830, NULL, 'PTHR37352', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC GENE 13 PROTEIN', NULL, NULL, 22007, 15),
(176831, NULL, 'PTHR24281:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176832, NULL, 'PTHR43176:SF17', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 3, MITOCHONDRIAL ISOFORM X1', NULL, NULL, NULL, 15),
(176833, NULL, 'PTHR22850:SF104', NULL, NULL, NULL, NULL, 'CHROMATIN ASSEMBLY FACTOR 1 SUBUNIT P50', NULL, NULL, NULL, 15),
(176834, NULL, 'PTHR24296:SF115', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 96, SUBFAMILY A, POLYPEPTIDE 13', NULL, NULL, NULL, 15),
(176835, NULL, 'PTHR43599:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176836, NULL, 'PTHR43795:SF17', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(176837, NULL, 'PTHR19241:SF635', NULL, NULL, NULL, NULL, 'CASSETTE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(176838, NULL, 'PTHR40143:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176839, NULL, 'PTHR11920', NULL, NULL, NULL, NULL, 'GUANYLYL CYCLASE', NULL, NULL, NULL, 15),
(176840, NULL, 'PTHR10127:SF848', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-27', NULL, NULL, NULL, 15),
(176841, NULL, 'PTHR23138:SF126', NULL, NULL, NULL, NULL, 'PROTEIN EXPORT PROTEIN YRB2, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G10810)-RELATED', NULL, NULL, NULL, 15),
(176842, NULL, 'PTHR24067:SF319', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 2', NULL, NULL, NULL, 15),
(176843, NULL, 'PTHR24099:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176844, NULL, 'PTHR45860', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(176845, NULL, 'PTHR19278:SF33', NULL, NULL, NULL, NULL, 'OROTATE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(176846, NULL, 'PTHR14098', NULL, NULL, NULL, NULL, 'SH2 DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(176847, NULL, 'PTHR21109:SF14', NULL, NULL, NULL, NULL, 'BNAA09G01910D PROTEIN', NULL, NULL, NULL, 15),
(176848, NULL, 'PTHR31744:SF93', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176849, NULL, 'PTHR22298', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-GLUCANASE', NULL, NULL, NULL, 15),
(176850, NULL, 'PTHR32285:SF27', NULL, NULL, NULL, NULL, 'OS05G0214900 PROTEIN', NULL, NULL, NULL, 15),
(176851, NULL, 'PTHR11266:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176852, NULL, 'PTHR24258:SF139', NULL, NULL, NULL, NULL, 'PROTEIN MASQUERADE', NULL, NULL, NULL, 15),
(176853, NULL, 'PTHR10865:SF27', NULL, NULL, NULL, NULL, 'MESODERM INDUCTION EARLY RESPONSE PROTEIN 2', NULL, NULL, NULL, 15),
(176854, NULL, 'PTHR15036:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176855, NULL, 'PTHR20956:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176856, NULL, 'PTHR30622:SF4', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-DIPHOSPHATASE', NULL, NULL, NULL, 15),
(176857, NULL, 'PTHR33377:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176858, NULL, 'PTHR31048:SF146', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(176859, NULL, 'PTHR13561:SF20', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(176860, NULL, 'PTHR23023:SF210', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING]', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176861, NULL, 'PTHR31118:SF18', NULL, NULL, NULL, NULL, 'KYNURENINE FORMAMIDASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(176862, NULL, 'PTHR31175:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176863, NULL, 'PTHR38050', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38434, 15),
(176864, NULL, 'PTHR34023', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176865, NULL, 'PTHR24115:SF852', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176866, NULL, 'PTHR47599:SF1', NULL, NULL, NULL, NULL, 'CELL-TO-CELL MOVEMENT PROTEIN', NULL, NULL, NULL, 15),
(176867, NULL, 'PTHR11129:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FARNESYLTRANSFERASE/GERANYLGERANYLTRANSFERASE TYPE-1 SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(176868, NULL, 'PTHR34095:SF1', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L55, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(176869, NULL, 'PTHR33386:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176870, NULL, 'PTHR12146:SF10', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10', NULL, NULL, NULL, 15),
(176871, NULL, 'PTHR31644:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR ARO80', NULL, NULL, NULL, 15),
(176872, NULL, 'PTHR23208:SF40', NULL, NULL, NULL, NULL, 'LYSOZYME-RELATED', NULL, NULL, NULL, 15),
(176873, NULL, 'PTHR31694:SF5', NULL, NULL, NULL, NULL, 'DESICCATION PROTEIN PCC13-62', NULL, NULL, NULL, 15),
(176874, NULL, 'PTHR21136', NULL, NULL, NULL, NULL, 'SNARE PROTEINS', NULL, NULL, NULL, 15),
(176875, NULL, 'PTHR31719:SF107', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(176876, NULL, 'PTHR35153', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 154', NULL, NULL, 24648, 15),
(176877, NULL, 'PTHR43405:SF1', NULL, NULL, NULL, NULL, 'UPF0748 LIPOPROTEIN YDDW', NULL, NULL, NULL, 15),
(176878, NULL, 'PTHR33730:SF22', NULL, NULL, NULL, NULL, 'OS06G0601100 PROTEIN', NULL, NULL, NULL, 15),
(176879, NULL, 'PTHR43228:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN GLNL', NULL, NULL, NULL, 15),
(176880, NULL, 'PTHR31246:SF16', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-3', NULL, NULL, NULL, 15),
(176881, NULL, 'PTHR34058:SF8', NULL, NULL, NULL, NULL, 'BNAA02G34760D PROTEIN', NULL, NULL, NULL, 15),
(176882, NULL, 'PTHR13944:SF22', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 28', NULL, NULL, NULL, 15),
(176883, NULL, 'PTHR35180', NULL, NULL, NULL, NULL, 'PROTEIN CBG06219', NULL, NULL, NULL, 15),
(176884, NULL, 'PTHR31218:SF178', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(176885, NULL, 'PTHR48049:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(176886, NULL, 'PTHR23333:SF20', NULL, NULL, NULL, NULL, 'GH01724P', NULL, NULL, NULL, 15),
(176887, NULL, 'PTHR23192:SF79', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN-LIKE 2BB', NULL, NULL, NULL, 15),
(176888, NULL, 'PTHR37561', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176889, NULL, 'PTHR13815', NULL, NULL, NULL, NULL, 'GOLGIN-84', NULL, NULL, 18563, 15),
(176890, NULL, 'PTHR12001:SF69', NULL, NULL, NULL, NULL, 'DECAPRENYL-DIPHOSPHATE SYNTHASE SUBUNIT 1', NULL, NULL, NULL, 15),
(176891, NULL, 'PTHR27003:SF290', NULL, NULL, NULL, NULL, 'BNAA09G06560D PROTEIN', NULL, NULL, NULL, 15),
(176892, NULL, 'PTHR22883:SF341', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(176893, NULL, 'PTHR31221:SF230', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 45-RELATED', NULL, NULL, NULL, 15),
(176894, NULL, 'PTHR24093:SF429', NULL, NULL, NULL, NULL, 'MAGNESIUM-TRANSPORTING ATPASE, P-TYPE 1', NULL, NULL, NULL, 15),
(176895, NULL, 'PTHR11214:SF300', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(176896, NULL, 'PTHR31676:SF158', NULL, NULL, NULL, NULL, 'BNAC03G35290D PROTEIN', NULL, NULL, NULL, 15),
(176897, NULL, 'PTHR47947:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP82D47-LIKE', NULL, NULL, NULL, 15),
(176898, NULL, 'PTHR31677:SF100', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 3', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176899, NULL, 'PTHR45613:SF30', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(176900, NULL, 'PTHR31344:SF14', NULL, NULL, NULL, NULL, 'NUCLEOLAR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176901, NULL, 'PTHR13621', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN PRCC', NULL, NULL, 19130, 15),
(176902, NULL, 'PTHR11811:SF57', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING 3-LIKE', NULL, NULL, NULL, 15),
(176903, NULL, 'PTHR31618:SF17', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 9', NULL, NULL, NULL, 15),
(176904, NULL, 'PTHR43806:SF51', NULL, NULL, NULL, NULL, 'CLAN SB, FAMILY S8, SUBTILISIN-LIKE SERINE PEPTIDASE', NULL, NULL, NULL, 15),
(176905, NULL, 'PTHR23054:SF69', NULL, NULL, NULL, NULL, 'BNAA09G07810D PROTEIN', NULL, NULL, NULL, 15),
(176906, NULL, 'PTHR24291:SF148', NULL, NULL, NULL, NULL, 'BNACNNG60990D PROTEIN', NULL, NULL, NULL, 15),
(176907, NULL, 'PTHR14856:SF11', NULL, NULL, NULL, NULL, 'SI:DKEY-246G23.2', NULL, NULL, NULL, 15),
(176908, NULL, 'PTHR47929:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176909, NULL, 'PTHR45768:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176910, NULL, 'PTHR33871:SF21', NULL, NULL, NULL, NULL, 'BNAC08G42190D PROTEIN', NULL, NULL, NULL, 15),
(176911, NULL, 'PTHR10031:SF39', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT C, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(176912, NULL, 'PTHR31235:SF245', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(176913, NULL, 'PTHR23074', NULL, NULL, NULL, NULL, 'AAA DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(176914, NULL, 'PTHR12844', NULL, NULL, NULL, NULL, 'CONNECTOR ENCHANCER OF KINASE SUPPRESSOR OF RAS', NULL, NULL, NULL, 15),
(176915, NULL, 'PTHR10540:SF17', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY PARTICLE NON-ATPASE SUBUNIT 8', NULL, NULL, NULL, 15),
(176916, NULL, 'PTHR13832:SF550', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 40-RELATED', NULL, NULL, NULL, 15),
(176917, NULL, 'PTHR11516:SF65', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(176918, NULL, 'PTHR24381:SF168', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 810', NULL, NULL, NULL, 15),
(176919, NULL, 'PTHR31066:SF5', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P FAMILY PROTEIN', NULL, NULL, NULL, 15),
(176920, NULL, 'PTHR24286:SF230', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176921, NULL, 'PTHR46502:SF15', NULL, NULL, NULL, NULL, 'ELICITOR-RESPONSIVE PROTEIN 1', NULL, NULL, NULL, 15),
(176922, NULL, 'PTHR46632:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176923, NULL, 'PTHR10795:SF536', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176924, NULL, 'PTHR43341:SF4', NULL, NULL, NULL, NULL, 'ARGININE PERMEASE CAN1-RELATED', NULL, NULL, NULL, 15),
(176925, NULL, 'PTHR23320:SF130', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 212', NULL, NULL, NULL, 15),
(176926, NULL, 'PTHR31659:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176927, NULL, 'PTHR13832:SF589', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 57', NULL, NULL, NULL, 15),
(176928, NULL, 'PTHR13542:SF0', NULL, NULL, NULL, NULL, 'PROTEIN LSM12 HOMOLOG', NULL, NULL, NULL, 15),
(176929, NULL, 'PTHR43090:SF5', NULL, NULL, NULL, NULL, '1-(5-PHOSPHORIBOSYL)-5-[(5-PHOSPHORIBOSYLAMINO)METHYLIDENEAMINO] IMIDAZOLE-4-CARBOXAMIDE ISOMERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(176930, NULL, 'PTHR40368', NULL, NULL, NULL, NULL, 'YALI0F14399P', NULL, NULL, NULL, 15),
(176931, NULL, 'PTHR13864:SF21', NULL, NULL, NULL, NULL, 'T-CELL ACUTE LYMPHOCYTIC LEUKEMIA PROTEIN 2', NULL, NULL, NULL, 15),
(176932, NULL, 'PTHR10855:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176933, NULL, 'PTHR15572:SF2', NULL, NULL, NULL, NULL, 'BRD4-INTERACTING CHROMATIN-REMODELING COMPLEX-ASSOCIATED PROTEIN-LIKE', NULL, NULL, 33012, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176934, NULL, 'PTHR35678:SF1', NULL, NULL, NULL, NULL, 'PROTEIN STPG4', NULL, NULL, NULL, 15),
(176935, NULL, 'PTHR46352:SF9', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: PROTEIN SENSITIVE TO PROTON RHIZOTOXICITY 2', NULL, NULL, NULL, 15),
(176936, NULL, 'PTHR34315:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 21, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(176937, NULL, 'PTHR13703:SF58', NULL, NULL, NULL, NULL, 'DWARFIN SMA-3', NULL, NULL, NULL, 15),
(176938, NULL, 'PTHR24296:SF110', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176939, NULL, 'PTHR10315', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE SIAH', NULL, NULL, NULL, 15),
(176940, NULL, 'PTHR33264', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(176941, NULL, 'PTHR47926:SF272', NULL, NULL, NULL, NULL, 'BNAA03G01460D PROTEIN', NULL, NULL, NULL, 15),
(176942, NULL, 'PTHR43107:SF4', NULL, NULL, NULL, NULL, 'BILE ACYL-COA SYNTHETASE', NULL, NULL, 27387, 15),
(176943, NULL, 'PTHR45743:SF29', NULL, NULL, NULL, NULL, 'INWARDLY RECTIFYING POTASSIUM CHANNEL SUBUNIT', NULL, NULL, NULL, 15),
(176944, NULL, 'PTHR44157:SF3', NULL, NULL, NULL, NULL, 'DNAJ (HSP40) HOMOLOG, SUBFAMILY C, MEMBER 11B', NULL, NULL, NULL, 15),
(176945, NULL, 'PTHR31425:SF4', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLANTHRANILATE TRANSFERASE ISOFORM 1', NULL, NULL, NULL, 15),
(176946, NULL, 'PTHR33133:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176947, NULL, 'PTHR31266:SF3', NULL, NULL, NULL, NULL, 'TRAF-INTERACTING PROTEIN WITH FHA DOMAIN-CONTAINING PROTEIN B', NULL, NULL, NULL, 15),
(176948, NULL, 'PTHR12306:SF9', NULL, NULL, NULL, NULL, 'CELL DEATH ACTIVATOR CIDE-3', NULL, NULL, NULL, 15),
(176949, NULL, 'PTHR45767:SF7', NULL, NULL, NULL, NULL, 'FORKHEAD BOX O3A', NULL, NULL, NULL, 15),
(176950, NULL, 'PTHR30529:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME B561', NULL, NULL, NULL, 15),
(176951, NULL, 'PTHR31871:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176952, NULL, 'PTHR11062:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176953, NULL, 'PTHR35506:SF1', NULL, NULL, NULL, NULL, 'OS02G0135600 PROTEIN', NULL, NULL, NULL, 15),
(176954, NULL, 'PTHR34359:SF17', NULL, NULL, NULL, NULL, 'BNAA07G09450D PROTEIN', NULL, NULL, NULL, 15),
(176955, NULL, 'PTHR45933:SF18', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 4-LIKE', NULL, NULL, NULL, 15),
(176956, NULL, 'PTHR13021', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ISY1', NULL, NULL, 14572, 15),
(176957, NULL, 'PTHR47926:SF75', NULL, NULL, NULL, NULL, 'OSJNBB0012E08.2 PROTEIN', NULL, NULL, NULL, 15),
(176958, NULL, 'PTHR37315:SF1', NULL, NULL, NULL, NULL, 'UPF0311 PROTEIN BLR7842', NULL, NULL, NULL, 15),
(176959, NULL, 'PTHR31390:SF12', NULL, NULL, NULL, NULL, 'PUTATIVE (DUF3527)-RELATED', NULL, NULL, NULL, 15),
(176960, NULL, 'PTHR31048:SF175', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(176961, NULL, 'PTHR11902:SF45', NULL, NULL, NULL, NULL, 'ENOLASE-RELATED', NULL, NULL, NULL, 15),
(176962, NULL, 'PTHR47993:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176963, NULL, 'PTHR24027:SF84', NULL, NULL, NULL, NULL, 'CADHERIN-20', NULL, NULL, NULL, 15),
(176964, NULL, 'PTHR13364', NULL, NULL, NULL, NULL, 'DEFECTIVE SPERMATOGENESIS PROTEIN 39', NULL, NULL, 33829, 15),
(176965, NULL, 'PTHR10978:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176966, NULL, 'PTHR23020:SF42', NULL, NULL, NULL, NULL, 'PROTEIN CBG06658', NULL, NULL, NULL, 15),
(176967, NULL, 'PTHR24026:SF42', NULL, NULL, NULL, NULL, 'PROTOCADHERIN FAT 1', NULL, NULL, NULL, 15),
(176968, NULL, 'PTHR11817:SF2', NULL, NULL, NULL, NULL, 'PLASTIDIAL PYRUVATE KINASE 2', NULL, NULL, NULL, 15),
(176969, NULL, 'PTHR11062:SF212', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT15-RELATED', NULL, NULL, NULL, 15),
(176970, NULL, 'PTHR45683:SF10', NULL, NULL, NULL, NULL, 'BNAA09G28490D PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(176971, NULL, 'PTHR11848:SF264', NULL, NULL, NULL, NULL, 'ACTIVIN BETA A SUBUNIT', NULL, NULL, NULL, 15),
(176972, NULL, 'PTHR11618:SF49', NULL, NULL, NULL, NULL, 'PLANT-SPECIFIC TFIIB-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(176973, NULL, 'PTHR43601:SF26', NULL, NULL, NULL, NULL, 'BNAC07G50790D PROTEIN', NULL, NULL, NULL, 15),
(176974, NULL, 'PTHR12888:SF1', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY PROTEIN 12', NULL, NULL, NULL, 15),
(176975, NULL, 'PTHR12207:SF23', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 2A', NULL, NULL, NULL, 15),
(176976, NULL, 'PTHR43207:SF3', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDROGENASE 1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(176977, NULL, 'PTHR31642:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176978, NULL, 'PTHR31238:SF207', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176979, NULL, 'PTHR15577', NULL, NULL, NULL, NULL, 'ZINC FINGER CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(176980, NULL, 'PTHR42770:SF16', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE-RELATED', NULL, NULL, NULL, 15),
(176981, NULL, 'PTHR46772:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176982, NULL, 'PTHR34949:SF8', NULL, NULL, NULL, NULL, 'BNAC03G21260D PROTEIN', NULL, NULL, NULL, 15),
(176983, NULL, 'PTHR13935:SF87', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ORG2-LIKE', NULL, NULL, NULL, 15),
(176984, NULL, 'PTHR33155:SF51', NULL, NULL, NULL, NULL, 'PROTEIN FANTASTIC FOUR 4-LIKE', NULL, NULL, NULL, 15),
(176985, NULL, 'PTHR37705:SF4', NULL, NULL, NULL, NULL, 'BNAA08G02630D PROTEIN', NULL, NULL, NULL, 15),
(176986, NULL, 'PTHR36124:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176987, NULL, 'PTHR47990:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(176988, NULL, 'PTHR12321:SF122', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 2', NULL, NULL, NULL, 15),
(176989, NULL, 'PTHR10891:SF754', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(176990, NULL, 'PTHR45863:SF10', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(176991, NULL, 'PTHR36973:SF4', NULL, NULL, NULL, NULL, 'SLL1456 PROTEIN', NULL, NULL, NULL, 15),
(176992, NULL, 'PTHR14224:SF79', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 18-RELATED', NULL, NULL, NULL, 15),
(176993, NULL, 'PTHR48049:SF34', NULL, NULL, NULL, NULL, '3-O-GLUCOSYLTRANSFERASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(176994, NULL, 'PTHR13027:SF13', NULL, NULL, NULL, NULL, 'VACUOLAR FUSION PROTEIN MON1 HOMOLOG B', NULL, NULL, NULL, 15),
(176995, NULL, 'PTHR30266', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE CHANNEL MSCL', NULL, NULL, 29636, 15),
(176996, NULL, 'PTHR28599', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 12', NULL, NULL, 26014, 15),
(176997, NULL, 'PTHR36726:SF4', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 45', NULL, NULL, NULL, 15),
(176998, NULL, 'PTHR12290:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CORNICHON HOMOLOG 4-LIKE', NULL, NULL, NULL, 15),
(176999, NULL, 'PTHR23226:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 25', NULL, NULL, NULL, 15),
(177000, NULL, 'PTHR47989:SF33', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CDL1', NULL, NULL, NULL, 15),
(177001, NULL, 'PTHR16500:SF3', NULL, NULL, NULL, NULL, 'BRCA2-INTERACTING TRANSCRIPTIONAL REPRESSOR EMSY', NULL, NULL, NULL, 15),
(177002, NULL, 'PTHR31181:SF53', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177003, NULL, 'PTHR27006:SF384', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177004, NULL, 'PTHR26451:SF280', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(177005, NULL, 'PTHR15350:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT M', NULL, NULL, NULL, 15),
(177006, NULL, 'PTHR48007:SF6', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177007, NULL, 'PTHR47591:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATORY PROTEIN SNF2-LIKE', NULL, NULL, NULL, 15),
(177008, NULL, 'PTHR11071:SF293', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE 6', NULL, NULL, NULL, 15),
(177009, NULL, 'PTHR22936:SF93', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177010, NULL, 'PTHR23213:SF364', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(177011, NULL, 'PTHR46776:SF17', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 6', NULL, NULL, NULL, 15),
(177012, NULL, 'PTHR24326:SF582', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-52-LIKE', NULL, NULL, NULL, 15),
(177013, NULL, 'PTHR27002:SF422', NULL, NULL, NULL, NULL, 'S-LOCUS-SPECIFIC GLYCOPROTEIN S6', NULL, NULL, NULL, 15),
(177014, NULL, 'PTHR33124:SF34', NULL, NULL, NULL, NULL, 'OS09G0427125 PROTEIN', NULL, NULL, NULL, 15),
(177015, NULL, 'PTHR31238:SF194', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177016, NULL, 'PTHR33476', NULL, NULL, NULL, NULL, 'EMB|CAB62613.1', NULL, NULL, 29655, 15),
(177017, NULL, 'PTHR10353:SF56', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 38', NULL, NULL, NULL, 15),
(177018, NULL, 'PTHR35255:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 71', NULL, NULL, NULL, 15),
(177019, NULL, 'PTHR42695:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177020, NULL, 'PTHR27005:SF388', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR RECEPTOR 2 (VEGFR2)-RELATED', NULL, NULL, NULL, 15),
(177021, NULL, 'PTHR45959:SF35', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177022, NULL, 'PTHR22895:SF0', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING PROTEIN 6', NULL, NULL, 34085, 15),
(177023, NULL, 'PTHR12701:SF18', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM TRANSMEMBRANE PROTEIN 3', NULL, NULL, NULL, 15),
(177024, NULL, 'PTHR47932:SF18', NULL, NULL, NULL, NULL, 'OS05G0132000 PROTEIN', NULL, NULL, NULL, 15),
(177025, NULL, 'PTHR13303', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 2', NULL, NULL, 28133, 15),
(177026, NULL, 'PTHR33391:SF9', NULL, NULL, NULL, NULL, 'CYTOCHROME B559 SUBUNIT BETA-RELATED', NULL, NULL, NULL, 15),
(177027, NULL, 'PTHR37997:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN C1ORF162', NULL, NULL, NULL, 15),
(177028, NULL, 'PTHR22835:SF546', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(177029, NULL, 'PTHR32012:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177030, NULL, 'PTHR11309:SF140', NULL, NULL, NULL, NULL, 'FRIZZLED 8A PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177031, NULL, 'PTHR10190', NULL, NULL, NULL, NULL, 'EYES ABSENT', NULL, NULL, 27916, 15),
(177032, NULL, 'PTHR31549:SF83', NULL, NULL, NULL, NULL, 'OS09G0268700 PROTEIN', NULL, NULL, NULL, 15),
(177033, NULL, 'PTHR28540', NULL, NULL, NULL, NULL, 'BCL2-ASSOCIATED AGONIST OF CELL DEATH', NULL, NULL, 21196, 15),
(177034, NULL, 'PTHR10924:SF2', NULL, NULL, NULL, NULL, 'FELINE LEUKEMIA VIRUS SUBGROUP C RECEPTOR-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(177035, NULL, 'PTHR16675:SF261', NULL, NULL, NULL, NULL, 'CLASS I HISTOCOMPATIBILITY ANTIGEN, GOGO-A*0201 ALPHA CHAIN', NULL, NULL, NULL, 15),
(177036, NULL, 'PTHR31677:SF87', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF088', NULL, NULL, NULL, 15),
(177037, NULL, 'PTHR22983:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 36', NULL, NULL, NULL, 15),
(177038, NULL, 'PTHR12864:SF45', NULL, NULL, NULL, NULL, 'RYANODINE RECEPTOR 2', NULL, NULL, NULL, 15),
(177039, NULL, 'PTHR37748:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177040, NULL, 'PTHR31558:SF23', NULL, NULL, NULL, NULL, 'BNAC05G07930D PROTEIN', NULL, NULL, NULL, 15),
(177041, NULL, 'PTHR12784:SF18', NULL, NULL, NULL, NULL, 'NEURON NAVIGATOR 3', NULL, NULL, NULL, 15),
(177042, NULL, 'PTHR13061:SF37', NULL, NULL, NULL, NULL, 'POSSIBLE SIDEROPHORE-BINDING PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177043, NULL, 'PTHR36051:SF2', NULL, NULL, NULL, NULL, 'DYNAMIN', NULL, NULL, NULL, 15),
(177044, NULL, 'PTHR15241:SF298', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN GRP1A-LIKE', NULL, NULL, NULL, 15),
(177045, NULL, 'PTHR31161:SF14', NULL, NULL, NULL, NULL, 'PROTEIN GRAVITROPIC IN THE LIGHT 1', NULL, NULL, NULL, 15),
(177046, NULL, 'PTHR48010:SF42', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', NULL, NULL, NULL, 15),
(177047, NULL, 'PTHR36004', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(177048, NULL, 'PTHR24068:SF141', NULL, NULL, NULL, NULL, 'UBE2N PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177049, NULL, 'PTHR22802:SF408', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 4 MEMBER A', NULL, NULL, NULL, 15),
(177050, NULL, 'PTHR11006:SF107', NULL, NULL, NULL, NULL, 'BNAC07G50720D PROTEIN', NULL, NULL, NULL, 15),
(177051, NULL, 'PTHR15555:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER HIT DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(177052, NULL, 'PTHR31966', NULL, NULL, NULL, NULL, 'OS01G0783500 PROTEIN', NULL, NULL, 39154, 15),
(177053, NULL, 'PTHR45690:SF1', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(177054, NULL, 'PTHR22946:SF5', NULL, NULL, NULL, NULL, 'HYDROLASE OR PEPTIDASE', NULL, NULL, NULL, 15),
(177055, NULL, 'PTHR45621:SF25', NULL, NULL, NULL, NULL, 'BNAA07G14290D PROTEIN', NULL, NULL, NULL, 15),
(177056, NULL, 'PTHR45667:SF8', NULL, NULL, NULL, NULL, 'PROTEIN MITOFERRINLIKE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(177057, NULL, 'PTHR46076:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1', NULL, NULL, NULL, 15),
(177058, NULL, 'PTHR11905:SF159', NULL, NULL, NULL, NULL, 'ADAM METALLOPROTEASE', NULL, NULL, NULL, 15),
(177059, NULL, 'PTHR36480:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177060, NULL, 'PTHR14773', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(177061, NULL, 'PTHR33057:SF170', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP6-LIKE', NULL, NULL, NULL, 15),
(177062, NULL, 'PTHR33115:SF62', NULL, NULL, NULL, NULL, 'OS07G0649300 PROTEIN', NULL, NULL, NULL, 15),
(177063, NULL, 'PTHR43243:SF4', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 4', NULL, NULL, NULL, 15),
(177064, NULL, 'PTHR31260:SF46', NULL, NULL, NULL, NULL, 'UPF0725 PROTEIN EMB2204', NULL, NULL, NULL, 15),
(177065, NULL, 'PTHR26312:SF174', NULL, NULL, NULL, NULL, 'BNAC09G37590D PROTEIN', NULL, NULL, NULL, 15),
(177066, NULL, 'PTHR23026:SF101', NULL, NULL, NULL, NULL, 'OXYGEN-INSENSITIVE NAD(P)H NITROREDUCTASE', NULL, NULL, NULL, 15),
(177067, NULL, 'PTHR26454:SF47', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(177068, NULL, 'PTHR31851:SF43', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN OF ER BODY 1', NULL, NULL, NULL, 15),
(177069, NULL, 'PTHR33672:SF8', NULL, NULL, NULL, NULL, 'OS01G0798600 PROTEIN', NULL, NULL, NULL, 15),
(177070, NULL, 'PTHR15193:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-109A10.2', NULL, NULL, NULL, 15),
(177071, NULL, 'PTHR33101:SF6', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 1', NULL, NULL, NULL, 15),
(177072, NULL, 'PTHR33927:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177073, NULL, 'PTHR17463:SF0', NULL, NULL, NULL, NULL, 'SCRAPIE-RESPONSIVE PROTEIN 1', NULL, NULL, NULL, 15),
(177074, NULL, 'PTHR13932:SF5', NULL, NULL, NULL, NULL, 'RADICAL S-ADENOSYL METHIONINE DOMAIN-CONTAINING PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(177075, NULL, 'PTHR10199:SF89', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-3', NULL, NULL, 25241, 15),
(177076, NULL, 'PTHR27005:SF356', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-LIKE', NULL, NULL, NULL, 15),
(177077, NULL, 'PTHR33972:SF3', NULL, NULL, NULL, NULL, 'OS06G0661500 PROTEIN', NULL, NULL, NULL, 15),
(177078, NULL, 'PTHR22957:SF537', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 3-RELATED', NULL, NULL, NULL, 15),
(177079, NULL, 'PTHR32444:SF124', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177080, NULL, 'PTHR11477:SF24', NULL, NULL, NULL, NULL, 'PROTEIN PARTNER OF SNF, ISOFORM B', NULL, NULL, NULL, 15),
(177081, NULL, 'PTHR21555:SF0', NULL, NULL, NULL, NULL, 'SPECIFICALLY ANDROGEN-REGULATED GENE PROTEIN', NULL, NULL, NULL, 15),
(177082, NULL, 'PTHR39211:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(177083, NULL, 'PTHR23062:SF7', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(177084, NULL, 'PTHR36066:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH143', NULL, NULL, NULL, 15),
(177085, NULL, 'PTHR19143:SF346', NULL, NULL, NULL, NULL, 'FICOLIN-1-RELATED', NULL, NULL, NULL, 15),
(177086, NULL, 'PTHR36205:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177087, NULL, 'PTHR31205:SF31', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN', NULL, NULL, NULL, 15),
(177088, NULL, 'PTHR47991:SF80', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE', NULL, NULL, NULL, 15),
(177089, NULL, 'PTHR21228:SF62', NULL, NULL, NULL, NULL, 'AGAP004777-PA', NULL, NULL, NULL, 15),
(177090, NULL, 'PTHR45637:SF14', NULL, NULL, NULL, NULL, 'OS11G0150700 PROTEIN', NULL, NULL, NULL, 15),
(177091, NULL, 'PTHR31589:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177092, NULL, 'PTHR10971:SF34', NULL, NULL, NULL, NULL, 'MRNA EXPORT FACTOR-RELATED', NULL, NULL, NULL, 15),
(177093, NULL, 'PTHR10110:SF61', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 9', NULL, NULL, 21638, 15),
(177094, NULL, 'PTHR15261:SF4', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-TYPE LAMININ G DOMAIN AND EAR REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(177095, NULL, 'PTHR47720', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP2-1-RELATED', NULL, NULL, 37240, 15),
(177096, NULL, 'PTHR10314:SF191', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-SYNTHASE', NULL, NULL, NULL, 15),
(177097, NULL, 'PTHR31391:SF94', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS02G0598200', NULL, NULL, NULL, 15),
(177098, NULL, 'PTHR43620:SF30', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPD6', NULL, NULL, NULL, 15),
(177099, NULL, 'PTHR18898:SF4', NULL, NULL, NULL, NULL, 'TRANSLOCATED PROMOTER REGION B, NUCLEAR BASKET PROTEIN', NULL, NULL, NULL, 15),
(177100, NULL, 'PTHR10558', NULL, NULL, NULL, NULL, 'SOMATOSTATIN', NULL, NULL, 3505, 15),
(177101, NULL, 'PTHR26453:SF663', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(177102, NULL, 'PTHR39475:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177103, NULL, 'PTHR10067:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177104, NULL, 'PTHR47926:SF112', NULL, NULL, NULL, NULL, 'BNAA10G12150D PROTEIN', NULL, NULL, NULL, 15),
(177105, NULL, 'PTHR16201:SF35', NULL, NULL, NULL, NULL, 'VACUOLAR AMINO ACID TRANSPORTER YPQ1-RELATED', NULL, NULL, NULL, 15),
(177106, NULL, 'PTHR11709:SF397', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(177107, NULL, 'PTHR33272:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG19065', NULL, NULL, NULL, 15),
(177108, NULL, 'PTHR21677:SF5', NULL, NULL, NULL, NULL, 'OS07G0634100 PROTEIN', NULL, NULL, NULL, 15),
(177109, NULL, 'PTHR48048:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(177110, NULL, 'PTHR24064:SF436', NULL, NULL, NULL, NULL, 'PROTEIN CBG15510', NULL, NULL, NULL, 15),
(177111, NULL, 'PTHR30055:SF191', NULL, NULL, NULL, NULL, 'TETR-FAMILY FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(177112, NULL, 'PTHR31852:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177113, NULL, 'PTHR14499:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177114, NULL, 'PTHR12199:SF4', NULL, NULL, NULL, NULL, 'INTERPHOTORECEPTOR MATRIX PROTEOGLYCAN 2', NULL, NULL, 27325, 15),
(177115, NULL, 'PTHR31790:SF209', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(177116, NULL, 'PTHR10891:SF907', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML47-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177117, NULL, 'PTHR47506', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(177118, NULL, 'PTHR23505:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SPINSTER HOMOLOG 3', NULL, NULL, NULL, 15),
(177119, NULL, 'PTHR45634:SF1', NULL, NULL, NULL, NULL, 'TYPE-2 HISTONE DEACETYLASE 2', NULL, NULL, NULL, 15),
(177120, NULL, 'PTHR13318:SF152', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 4', NULL, NULL, NULL, 15),
(177121, NULL, 'PTHR10357:SF175', NULL, NULL, NULL, NULL, 'MALTASE A1', NULL, NULL, NULL, 15),
(177122, NULL, 'PTHR31642:SF185', NULL, NULL, NULL, NULL, '(Z)-3-HEXEN-1-OL ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(177123, NULL, 'PTHR24246:SF31', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED BILE ACID RECEPTOR 1', NULL, NULL, NULL, 15),
(177124, NULL, 'PTHR48063:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177125, NULL, 'PTHR31699:SF5', NULL, NULL, NULL, NULL, 'U8 SNORNA-DECAPPING ENZYME', NULL, NULL, NULL, 15),
(177126, NULL, 'PTHR24023:SF880', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(X) CHAIN', NULL, NULL, NULL, 15),
(177127, NULL, 'PTHR22444', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 22115, 15),
(177128, NULL, 'PTHR45138:SF5', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL PERIPLASMIC SUBSTRATE BINDING PROTEIN/CYTOPLASMIC DIGUANYLATE CYCLASE', NULL, NULL, NULL, 15),
(177129, NULL, 'PTHR46128:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(177130, NULL, 'PTHR43445:SF3', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLMURAMATE--L-ALANINE LIGASE', NULL, NULL, NULL, 15),
(177131, NULL, 'PTHR33086:SF59', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(177132, NULL, 'PTHR46880:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177133, NULL, 'PTHR44329:SF147', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177134, NULL, 'PTHR48002:SF67', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(177135, NULL, 'PTHR31388:SF214', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(177136, NULL, 'PTHR12242:SF37', NULL, NULL, NULL, NULL, 'BNAA08G25610D PROTEIN', NULL, NULL, NULL, 15),
(177137, NULL, 'PTHR47967:SF49', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE-RELATED', NULL, NULL, NULL, 15),
(177138, NULL, 'PTHR32468:SF26', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15', NULL, NULL, NULL, 15),
(177139, NULL, 'PTHR11371:SF32', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE GAMMA', NULL, NULL, NULL, 15),
(177140, NULL, 'PTHR31636:SF181', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 21', NULL, NULL, NULL, 15),
(177141, NULL, 'PTHR11476:SF8', NULL, NULL, NULL, NULL, 'HISTIDINE--TRNA LIGASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(177142, NULL, 'PTHR46128:SF30', NULL, NULL, NULL, NULL, 'BNAC01G37880D PROTEIN', NULL, NULL, NULL, 15),
(177143, NULL, 'PTHR48052:SF16', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 1', NULL, NULL, NULL, 15),
(177144, NULL, 'PTHR33526:SF6', NULL, NULL, NULL, NULL, 'OS01G0766300 PROTEIN', NULL, NULL, NULL, 15),
(177145, NULL, 'PTHR43874:SF113', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(177146, NULL, 'PTHR45992:SF1', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE C', NULL, NULL, NULL, 15),
(177147, NULL, 'PTHR23055:SF87', NULL, NULL, NULL, NULL, 'NEUROCALCIN-DELTA', NULL, NULL, NULL, 15),
(177148, NULL, 'PTHR10869:SF103', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROLYL 4-HYDROXYLASE', NULL, NULL, NULL, 15),
(177149, NULL, 'PTHR22595:SF107', NULL, NULL, NULL, NULL, 'CHITINASE 6', NULL, NULL, NULL, 15),
(177150, NULL, 'PTHR36953:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG16638', NULL, NULL, NULL, 15),
(177151, NULL, 'PTHR13196', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING', NULL, NULL, 29327, 15),
(177152, NULL, 'PTHR33107:SF32', NULL, NULL, NULL, NULL, 'NODULE CYSTEINE-RICH (NCR) SECRETED PEPTIDE', NULL, NULL, NULL, 15),
(177153, NULL, 'PTHR11494', NULL, NULL, NULL, NULL, 'CYTOTOXIC T-LYMPHOCYTE PROTEIN', NULL, NULL, 29625, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177154, NULL, 'PTHR34773', NULL, NULL, NULL, NULL, 'FLAGELLAR SECRETION CHAPERONE FLIS', NULL, NULL, 2038, 15),
(177155, NULL, 'PTHR47987:SF8', NULL, NULL, NULL, NULL, 'BNAA05G32020D PROTEIN', NULL, NULL, NULL, 15),
(177156, NULL, 'PTHR11036:SF131', NULL, NULL, NULL, NULL, 'MIP07328P', NULL, NULL, NULL, 15),
(177157, NULL, 'PTHR31756', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE REGULATORY PROTEIN 1, CHLOROPLASTIC', NULL, NULL, 5002, 15),
(177158, NULL, 'PTHR30514:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(177159, NULL, 'PTHR15597:SF31', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN FOX-1 HOMOLOG 2', NULL, NULL, NULL, 15),
(177160, NULL, 'PTHR11556', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE-RELATED', NULL, NULL, 3931, 15),
(177161, NULL, 'PTHR10807:SF73', NULL, NULL, NULL, NULL, 'LD06050P', NULL, NULL, NULL, 15),
(177162, NULL, 'PTHR31138:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177163, NULL, 'PTHR31282:SF127', NULL, NULL, NULL, NULL, 'BNAC06G13990D PROTEIN', NULL, NULL, NULL, 15),
(177164, NULL, 'PTHR34222:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177165, NULL, 'PTHR14076:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR ACTIVITY-MODIFYING PROTEIN 3', NULL, NULL, NULL, 15),
(177166, NULL, 'PTHR11537:SF246', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, SHAW-RELATED SUBFAMILY, MEMBER 4', NULL, NULL, NULL, 15),
(177167, NULL, 'PTHR12019:SF5', NULL, NULL, NULL, NULL, 'EMERIN (EMERY-DREIFUSS MUSCULAR DYSTROPHY)-RELATED', NULL, NULL, NULL, 15),
(177168, NULL, 'PTHR32099:SF74', NULL, NULL, NULL, NULL, 'OS01G0545500 PROTEIN', NULL, NULL, NULL, 15),
(177169, NULL, 'PTHR43201:SF2', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE (JCVI)-RELATED', NULL, NULL, NULL, 15),
(177170, NULL, 'PTHR24006:SF804', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 16', NULL, NULL, NULL, 15),
(177171, NULL, 'PTHR11431:SF75', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(177172, NULL, 'PTHR45664:SF7', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-B2', NULL, NULL, NULL, 15),
(177173, NULL, 'PTHR39087', NULL, NULL, NULL, NULL, 'UPF0104 MEMBRANE PROTEIN MJ1595', NULL, NULL, NULL, 15),
(177174, NULL, 'PTHR34853:SF5', NULL, NULL, NULL, NULL, 'LIPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00110)-RELATED', NULL, NULL, NULL, 15),
(177175, NULL, 'PTHR31121:SF11', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE KTR3-RELATED', NULL, NULL, NULL, 15),
(177176, NULL, 'PTHR21576:SF29', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4', NULL, NULL, NULL, 15),
(177177, NULL, 'PTHR11923:SF102', NULL, NULL, NULL, NULL, 'LYSOSOME MEMBRANE PROTEIN 2-B', NULL, NULL, NULL, 15),
(177178, NULL, 'PTHR36219:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177179, NULL, 'PTHR44858:SF4', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF OUTER MITOCHONDRIAL MEMBRANE 70', NULL, NULL, NULL, 15),
(177180, NULL, 'PTHR44329:SF132', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', NULL, NULL, NULL, 15),
(177181, NULL, 'PTHR15881', NULL, NULL, NULL, NULL, 'MARGINAL ZONE B- AND B1-CELL-SPECIFIC PROTEIN', NULL, NULL, NULL, 15),
(177182, NULL, 'PTHR23213', NULL, NULL, NULL, NULL, 'FORMIN-RELATED', NULL, NULL, 28896, 15),
(177183, NULL, 'PTHR12849', NULL, NULL, NULL, NULL, 'RNA LARIAT DEBRANCHING ENZYME', NULL, NULL, NULL, 15),
(177184, NULL, 'PTHR21569:SF35', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S9P', NULL, NULL, NULL, 15),
(177185, NULL, 'PTHR31719:SF156', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177186, NULL, 'PTHR31218:SF310', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(177187, NULL, 'PTHR45693:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA1', NULL, NULL, NULL, 15),
(177188, NULL, 'PTHR23057', NULL, NULL, NULL, NULL, 'JUXTAPOSED WITH ANOTHER ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(177189, NULL, 'PTHR46273:SF12', NULL, NULL, NULL, NULL, 'AT19640P', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177190, NULL, 'PTHR43776:SF7', NULL, NULL, NULL, NULL, 'GLUTATHIONE IMPORT ATP-BINDING PROTEIN GSIA', NULL, NULL, NULL, 15),
(177191, NULL, 'PTHR11079:SF182', NULL, NULL, NULL, NULL, 'CYTIDINE/DEOXYCYTIDYLATE DEAMINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(177192, NULL, 'PTHR33052:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177193, NULL, 'PTHR34314:SF6', NULL, NULL, NULL, NULL, 'CRENARCHAEAL PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177194, NULL, 'PTHR33914:SF11', NULL, NULL, NULL, NULL, 'BNAC05G49340D PROTEIN', NULL, NULL, NULL, 15),
(177195, NULL, 'PTHR33227:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177196, NULL, 'PTHR16294:SF4', NULL, NULL, NULL, NULL, 'DYSBINDIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(177197, NULL, 'PTHR31083:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177198, NULL, 'PTHR22776:SF42', NULL, NULL, NULL, NULL, 'PROTEIN MAL2', NULL, NULL, 35226, 15),
(177199, NULL, 'PTHR46949:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM89A', NULL, NULL, NULL, 15),
(177200, NULL, 'PTHR33021:SF261', NULL, NULL, NULL, NULL, 'OS02G0256800 PROTEIN', NULL, NULL, NULL, 15),
(177201, NULL, 'PTHR31985:SF208', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF039-LIKE', NULL, NULL, NULL, 15),
(177202, NULL, 'PTHR11232:SF36', NULL, NULL, NULL, NULL, 'PROTEIN FAM43A', NULL, NULL, NULL, 15),
(177203, NULL, 'PTHR11075:SF54', NULL, NULL, NULL, NULL, 'PEPTIDYL-TRNA HYDROLASE ICT1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(177204, NULL, 'PTHR33074:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177205, NULL, 'PTHR24247:SF126', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1094', NULL, NULL, 34110, 15),
(177206, NULL, 'PTHR45690:SF7', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(177207, NULL, 'PTHR48046:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(177208, NULL, 'PTHR24416:SF28', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 1', NULL, NULL, NULL, 15),
(177209, NULL, 'PTHR24276:SF83', NULL, NULL, NULL, NULL, 'GH13245P2-RELATED', NULL, NULL, NULL, 15),
(177210, NULL, 'PTHR43725:SF16', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE', NULL, NULL, NULL, 15),
(177211, NULL, 'PTHR43434:SF9', NULL, NULL, NULL, NULL, 'HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(177212, NULL, 'PTHR14700:SF0', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(177213, NULL, 'PTHR44216:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND TETRATRICOPEPTIDE REPEAT-CONTAINING 2B', NULL, NULL, NULL, 15),
(177214, NULL, 'PTHR22957:SF475', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177215, NULL, 'PTHR14110:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177216, NULL, 'PTHR46223:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUV39H1', NULL, NULL, NULL, 15),
(177217, NULL, 'PTHR32212:SF309', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177218, NULL, 'PTHR33450:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177219, NULL, 'PTHR44329:SF76', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1 ISOFORM X1', NULL, NULL, NULL, 15),
(177220, NULL, 'PTHR47424:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(177221, NULL, 'PTHR39490:SF4', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY F MEMBER 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177222, NULL, 'PTHR10291:SF20', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE 5', NULL, NULL, NULL, 15),
(177223, NULL, 'PTHR11712:SF341', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACYL-CARRIER-PROTEIN] SYNTHASE II, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(177224, NULL, 'PTHR33057:SF139', NULL, NULL, NULL, NULL, 'BNAA05G12010D PROTEIN', NULL, NULL, NULL, 15),
(177225, NULL, 'PTHR43340:SF7', NULL, NULL, NULL, NULL, 'HYPOXANTHINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177226, NULL, 'PTHR42893:SF36', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(177227, NULL, 'PTHR15185:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177228, NULL, 'PTHR10257:SF60', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B'' DELTA ISOFORM', NULL, NULL, NULL, 15),
(177229, NULL, 'PTHR41173:SF1', NULL, NULL, NULL, NULL, 'UPF0278 PROTEIN TK1425', NULL, NULL, NULL, 15),
(177230, NULL, 'PTHR45959:SF14', NULL, NULL, NULL, NULL, 'BASIC HELIX LOOP HELIX (BHLH) DNA-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(177231, NULL, 'PTHR12663:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177232, NULL, 'PTHR43952:SF7', NULL, NULL, NULL, NULL, 'OS05G0579700 PROTEIN', NULL, NULL, NULL, 15),
(177233, NULL, 'PTHR10024:SF250', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-13', NULL, NULL, 23791, 15),
(177234, NULL, 'PTHR47021:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD6-RELATED', NULL, NULL, NULL, 15),
(177235, NULL, 'PTHR33108:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177236, NULL, 'PTHR33087:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177237, NULL, 'PTHR10498', NULL, NULL, NULL, NULL, 'PARALEMMIN-RELATED', NULL, NULL, NULL, 15),
(177238, NULL, 'PTHR31165:SF93', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE6', NULL, NULL, NULL, 15),
(177239, NULL, 'PTHR12463', NULL, NULL, NULL, NULL, 'OXYGENASE-RELATED', NULL, NULL, 24892, 15),
(177240, NULL, 'PTHR24296:SF5', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94B3', NULL, NULL, NULL, 15),
(177241, NULL, 'PTHR24120:SF8', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 12', NULL, NULL, NULL, 15),
(177242, NULL, 'PTHR27009:SF200', NULL, NULL, NULL, NULL, 'OS01G0114900 PROTEIN', NULL, NULL, NULL, 15),
(177243, NULL, 'PTHR36110:SF3', NULL, NULL, NULL, NULL, 'GLYOXALASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(177244, NULL, 'PTHR33426:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177245, NULL, 'PTHR22901', NULL, NULL, NULL, NULL, 'SIALATE O-ACETYLESTERASE', NULL, NULL, 36264, 15),
(177246, NULL, 'PTHR47926:SF257', NULL, NULL, NULL, NULL, 'BNAA06G18930D PROTEIN', NULL, NULL, NULL, 15),
(177247, NULL, 'PTHR33646', NULL, NULL, NULL, NULL, 'GB|AAF00631.1', NULL, NULL, 38969, 15),
(177248, NULL, 'PTHR34144', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, 15256, 15),
(177249, NULL, 'PTHR13009:SF22', NULL, NULL, NULL, NULL, 'OS06G0703800 PROTEIN', NULL, NULL, NULL, 15),
(177250, NULL, 'PTHR14089:SF12', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(177251, NULL, 'PTHR13707:SF23', NULL, NULL, NULL, NULL, 'SUCCINYL-COA:3-KETOACID-COENZYME A TRANSFERASE', NULL, NULL, NULL, 15),
(177252, NULL, 'PTHR10983:SF64', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID/GLYCEROL ACYLTRANSFERASE, ACYLTRANSFERASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177253, NULL, 'PTHR27001:SF88', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(177254, NULL, 'PTHR13793:SF90', NULL, NULL, NULL, NULL, 'PROTEIN AF-17', NULL, NULL, NULL, 15),
(177255, NULL, 'PTHR10190:SF17', NULL, NULL, NULL, NULL, 'EYES ABSENT HOMOLOG 4', NULL, NULL, 22260, 15),
(177256, NULL, 'PTHR11062:SF318', NULL, NULL, NULL, NULL, 'BNAC09G50610D PROTEIN', NULL, NULL, NULL, 15),
(177257, NULL, 'PTHR24012:SF706', NULL, NULL, NULL, NULL, 'PROTEIN CBR-EXC-7', NULL, NULL, NULL, 15),
(177258, NULL, 'PTHR47437:SF3', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 8 INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(177259, NULL, 'PTHR31210:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177260, NULL, 'PTHR43791:SF88', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G08340)-RELATED', NULL, NULL, NULL, 15),
(177261, NULL, 'PTHR13848:SF68', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177262, NULL, 'PTHR10314:SF205', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL L-3-CYANOALANINE SYNTHASE/CYSTEINE SYNTHASE D2', NULL, NULL, NULL, 15),
(177263, NULL, 'PTHR32196:SF63', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER PERMEASE PROTEIN YJFF', NULL, NULL, NULL, 15),
(177264, NULL, 'PTHR31190:SF214', NULL, NULL, NULL, NULL, 'OS09G0434500 PROTEIN', NULL, NULL, NULL, 15),
(177265, NULL, 'PTHR40269:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177266, NULL, 'PTHR45654:SF7', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN MERISTEM L1', NULL, NULL, NULL, 15),
(177267, NULL, 'PTHR23236:SF63', NULL, NULL, NULL, NULL, 'BNAC08G40390D PROTEIN', NULL, NULL, NULL, 15),
(177268, NULL, 'PTHR31867:SF40', NULL, NULL, NULL, NULL, 'EXPANSIN-A20', NULL, NULL, NULL, 15),
(177269, NULL, 'PTHR48018:SF167', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(177270, NULL, 'PTHR22945:SF28', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS DELTA-55', NULL, NULL, NULL, 15),
(177271, NULL, 'PTHR46397:SF2', NULL, NULL, NULL, NULL, 'DAUER PHEROMONE RESPONSIVE-RELATED', NULL, NULL, NULL, 15),
(177272, NULL, 'PTHR24271:SF73', NULL, NULL, NULL, NULL, 'PROSTATE-SPECIFIC ANTIGEN', NULL, NULL, NULL, 15),
(177273, NULL, 'PTHR11245:SF1', NULL, NULL, NULL, NULL, 'STANNIOCALCIN-1', NULL, NULL, NULL, 15),
(177274, NULL, 'PTHR22576:SF38', NULL, NULL, NULL, NULL, 'MALT PARACASPASE 3', NULL, NULL, NULL, 15),
(177275, NULL, 'PTHR46720:SF4', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT MONOOXYGENASE AFOD-RELATED', NULL, NULL, NULL, 15),
(177276, NULL, 'PTHR10366:SF669', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177277, NULL, 'PTHR48002:SF19', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(177278, NULL, 'PTHR31867:SF188', NULL, NULL, NULL, NULL, 'EXPANSIN-A10', NULL, NULL, NULL, 15),
(177279, NULL, 'PTHR32227:SF319', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177280, NULL, 'PTHR39380:SF1', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED-RELATED', NULL, NULL, NULL, 15),
(177281, NULL, 'PTHR48014:SF8', NULL, NULL, NULL, NULL, 'OS02G0179000 PROTEIN', NULL, NULL, NULL, 15),
(177282, NULL, 'PTHR31066:SF66', NULL, NULL, NULL, NULL, 'PB1 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(177283, NULL, 'PTHR42820:SF10', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(177284, NULL, 'PTHR13317:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE ANTERIOR POSTERIOR TRANSFORMATION PROTEIN 1 HOMOLOG', NULL, NULL, NULL, 15),
(177285, NULL, 'PTHR11802:SF367', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(177286, NULL, 'PTHR12768', NULL, NULL, NULL, NULL, 'BECLIN 1', NULL, NULL, 6934, 15),
(177287, NULL, 'PTHR31640', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN KIAA1109', NULL, NULL, 32319, 15),
(177288, NULL, 'PTHR45843:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(177289, NULL, 'PTHR22055:SF8', NULL, NULL, NULL, NULL, '28 KDA HEAT- AND ACID-STABLE PHOSPHOPROTEIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(177290, NULL, 'PTHR47993:SF20', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN', NULL, NULL, NULL, 15),
(177291, NULL, 'PTHR31579:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177292, NULL, 'PTHR33767:SF2', NULL, NULL, NULL, NULL, 'LEUCINE RICH ADAPTOR PROTEIN 1', NULL, NULL, NULL, 15),
(177293, NULL, 'PTHR47640:SF13', NULL, NULL, NULL, NULL, 'OS04G0449900 PROTEIN', NULL, NULL, NULL, 15),
(177294, NULL, 'PTHR31929:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177295, NULL, 'PTHR11911:SF124', NULL, NULL, NULL, NULL, 'INOSINE-5''-MONOPHOSPHATE DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(177296, NULL, 'PTHR34667:SF1', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE', NULL, NULL, NULL, 15),
(177297, NULL, 'PTHR33836:SF13', NULL, NULL, NULL, NULL, 'LOW-TEMPERATURE-INDUCED 78 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15),
(177298, NULL, 'PTHR36582', NULL, NULL, NULL, NULL, 'ANTITOXIN PARD', NULL, NULL, 6115, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177299, NULL, 'PTHR45650:SF42', NULL, NULL, NULL, NULL, 'BNAA07G01300D PROTEIN', NULL, NULL, NULL, 15),
(177300, NULL, 'PTHR45626', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 2-RELATED', NULL, NULL, NULL, 15),
(177301, NULL, 'PTHR31128:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG12549', NULL, NULL, NULL, 15),
(177302, NULL, 'PTHR12210:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177303, NULL, 'PTHR33871', NULL, NULL, NULL, NULL, 'OS05G0503100 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177304, NULL, 'PTHR11254:SF425', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177305, NULL, 'PTHR24278:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177306, NULL, 'PTHR31465:SF35', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G01970)-RELATED', NULL, NULL, NULL, 15),
(177307, NULL, 'PTHR11426:SF218', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(177308, NULL, 'PTHR40099', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE, SMALL SUBUNIT', NULL, NULL, NULL, 15),
(177309, NULL, 'PTHR45782:SF7', NULL, NULL, NULL, NULL, 'SHORT INTEGUMENTS 2, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(177310, NULL, 'PTHR46008:SF31', NULL, NULL, NULL, NULL, 'BNAA04G27950D PROTEIN', NULL, NULL, NULL, 15),
(177311, NULL, 'PTHR33748:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177312, NULL, 'PTHR47947:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 81, SUBFAMILY D, POLYPEPTIDE 5', NULL, NULL, NULL, 15),
(177313, NULL, 'PTHR11017:SF442', NULL, NULL, NULL, NULL, 'BNAC09G18980D PROTEIN', NULL, NULL, NULL, 15),
(177314, NULL, 'PTHR12606:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177315, NULL, 'PTHR48017:SF42', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 5', NULL, NULL, NULL, 15),
(177316, NULL, 'PTHR45665:SF25', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP3-2-RELATED', NULL, NULL, NULL, 15),
(177317, NULL, 'PTHR45666:SF43', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 9-LIKE', NULL, NULL, NULL, 15),
(177318, NULL, 'PTHR22814:SF306', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 45', NULL, NULL, NULL, 15),
(177319, NULL, 'PTHR36766:SF5', NULL, NULL, NULL, NULL, 'RPW8-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(177320, NULL, 'PTHR16156', NULL, NULL, NULL, NULL, 'AFTIPHILIN A-RELATED', NULL, NULL, NULL, 15),
(177321, NULL, 'PTHR46955', NULL, NULL, NULL, NULL, 'PROTEIN CBG01349-RELATED', NULL, NULL, NULL, 15),
(177322, NULL, 'PTHR33090:SF52', NULL, NULL, NULL, NULL, 'BNAA08G13840D PROTEIN', NULL, NULL, NULL, 15),
(177323, NULL, 'PTHR33128:SF68', NULL, NULL, NULL, NULL, 'BNAA04G10730D PROTEIN', NULL, NULL, NULL, 15),
(177324, NULL, 'PTHR33057:SF141', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP8', NULL, NULL, NULL, 15),
(177325, NULL, 'PTHR15696:SF21', NULL, NULL, NULL, NULL, 'TELOMERASE ACTIVATING PROTEIN EST1-RELATED', NULL, NULL, NULL, 15),
(177326, NULL, 'PTHR31718:SF43', NULL, NULL, NULL, NULL, 'PLAT/LH2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177327, NULL, 'PTHR19918:SF12', NULL, NULL, NULL, NULL, 'OS09G0242300 PROTEIN', NULL, NULL, NULL, 15),
(177328, NULL, 'PTHR35497:SF2', NULL, NULL, NULL, NULL, 'BNAA03G49140D PROTEIN', NULL, NULL, NULL, 15),
(177329, NULL, 'PTHR31549:SF173', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177330, NULL, 'PTHR40089:SF1', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTH', NULL, NULL, NULL, 15),
(177331, NULL, 'PTHR33285:SF39', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES-LIKE', NULL, NULL, NULL, 15),
(177332, NULL, 'PTHR31589', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF239)-RELATED-RELATED', NULL, NULL, NULL, 15),
(177333, NULL, 'PTHR34208:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177334, NULL, 'PTHR42738:SF1', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA LYASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(177335, NULL, 'PTHR10497', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', NULL, NULL, 1206, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177336, NULL, 'PTHR10454', NULL, NULL, NULL, NULL, 'CASPASE', NULL, NULL, 6126, 15),
(177337, NULL, 'PTHR12400:SF73', NULL, NULL, NULL, NULL, 'INOSITOL HEXAKISPHOSPHATE KINASE 1', NULL, NULL, NULL, 15),
(177338, NULL, 'PTHR10836:SF105', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177339, NULL, 'PTHR11388:SF131', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', NULL, NULL, NULL, 15),
(177340, NULL, 'PTHR45617:SF104', NULL, NULL, NULL, NULL, 'LP04042P', NULL, NULL, NULL, 15),
(177341, NULL, 'PTHR48022:SF22', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDE TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177342, NULL, 'PTHR23023:SF120', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(177343, NULL, 'PTHR24062:SF177', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(177344, NULL, 'PTHR24329:SF520', NULL, NULL, NULL, NULL, 'ALX HOMEOBOX PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177345, NULL, 'PTHR34618:SF4', NULL, NULL, NULL, NULL, 'CAS1', NULL, NULL, NULL, 15),
(177346, NULL, 'PTHR33132:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177347, NULL, 'PTHR42833:SF1', NULL, NULL, NULL, NULL, 'ASPARTATE/GLUTAMATE/URIDYLATE KINASE FAMILY PROTEIN', NULL, NULL, 13208, 15),
(177348, NULL, 'PTHR24298:SF839', NULL, NULL, NULL, NULL, 'ISOFLAVONE 2''-HYDROXYLASE', NULL, NULL, NULL, 15),
(177349, NULL, 'PTHR21324:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 150A', NULL, NULL, 25515, 15),
(177350, NULL, 'PTHR36896:SF3', NULL, NULL, NULL, NULL, 'BNAC03G59480D PROTEIN', NULL, NULL, NULL, 15),
(177351, NULL, 'PTHR36572', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE PROTEIN I-RELATED', NULL, NULL, 9937, 15),
(177352, NULL, 'PTHR31727:SF13', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', NULL, NULL, NULL, 15),
(177353, NULL, 'PTHR46038:SF20', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(177354, NULL, 'PTHR31080:SF158', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(177355, NULL, 'PTHR45527:SF6', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT', NULL, NULL, NULL, 15),
(177356, NULL, 'PTHR11742:SF88', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(177357, NULL, 'PTHR31403:SF13', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(177358, NULL, 'PTHR12131:SF8', NULL, NULL, NULL, NULL, 'HELICASE SKI2W', NULL, NULL, NULL, 15),
(177359, NULL, 'PTHR43679:SF5', NULL, NULL, NULL, NULL, 'OCTANOYL-[GCVH]:PROTEIN N-OCTANOYLTRANSFERASE', NULL, NULL, NULL, 15),
(177360, NULL, 'PTHR31954', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 157', NULL, NULL, 35336, 15),
(177361, NULL, 'PTHR33966', NULL, NULL, NULL, NULL, 'PROTEIN ODR-4 HOMOLOG', NULL, NULL, 27743, 15),
(177362, NULL, 'PTHR11926:SF1387', NULL, NULL, NULL, NULL, 'BNAA07G10530D PROTEIN', NULL, NULL, NULL, 15),
(177363, NULL, 'PTHR20920', NULL, NULL, NULL, NULL, 'RPE-SPONDIN', NULL, NULL, 34673, 15),
(177364, NULL, 'PTHR22605:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177365, NULL, 'PTHR34262:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 220', NULL, NULL, NULL, 15),
(177366, NULL, 'PTHR12304:SF1', NULL, NULL, NULL, NULL, 'URIDINE NUCLEOSIDASE 1', NULL, NULL, NULL, 15),
(177367, NULL, 'PTHR24379:SF83', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 844', NULL, NULL, NULL, 15),
(177368, NULL, 'PTHR13683:SF609', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177369, NULL, 'PTHR46371:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177370, NULL, 'PTHR24373:SF130', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING NOGO RECEPTOR-INTERACTING PROTEIN 3', NULL, NULL, NULL, 15),
(177371, NULL, 'PTHR10015:SF365', NULL, NULL, NULL, NULL, 'BNAC03G43990D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177372, NULL, 'PTHR41805:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(177373, NULL, 'PTHR24117:SF8', NULL, NULL, NULL, NULL, 'BCL-6 COREPRESSOR-RELATED', NULL, NULL, NULL, 15),
(177374, NULL, 'PTHR10336:SF187', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(177375, NULL, 'PTHR31639:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177376, NULL, 'PTHR31907:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177377, NULL, 'PTHR19282:SF380', NULL, NULL, NULL, NULL, 'TETRASPANIN-8', NULL, NULL, NULL, 15),
(177378, NULL, 'PTHR48107:SF15', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_2G03620)', NULL, NULL, NULL, 15),
(177379, NULL, 'PTHR48017:SF63', NULL, NULL, NULL, NULL, 'BNAANNG17090D PROTEIN', NULL, NULL, NULL, 15),
(177380, NULL, 'PTHR46698:SF3', NULL, NULL, NULL, NULL, 'TENECTIN ISOFORM 1', NULL, NULL, NULL, 15),
(177381, NULL, 'PTHR31203', NULL, NULL, NULL, NULL, 'BETA-KERATIN-RELATED PROTEIN-RELATED', NULL, NULL, 5946, 15),
(177382, NULL, 'PTHR16049:SF8', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN C', NULL, NULL, NULL, 15),
(177383, NULL, 'PTHR46215:SF8', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(177384, NULL, 'PTHR47943', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 93A3-LIKE', NULL, NULL, NULL, 15),
(177385, NULL, 'PTHR12385:SF13', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(177386, NULL, 'PTHR10579:SF42', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED CHLORIDE CHANNEL REGULATOR 3A-1-RELATED', NULL, NULL, NULL, 15),
(177387, NULL, 'PTHR24343:SF410', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(177388, NULL, 'PTHR21141:SF93', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P2-3-RELATED', NULL, NULL, NULL, 15),
(177389, NULL, 'PTHR34710:SF15', NULL, NULL, NULL, NULL, 'OS03G0834100 PROTEIN', NULL, NULL, NULL, 15),
(177390, NULL, 'PTHR48043:SF79', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 91B1', NULL, NULL, NULL, 15),
(177391, NULL, 'PTHR11984:SF106', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', NULL, NULL, NULL, 15),
(177392, NULL, 'PTHR47993:SF122', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(177393, NULL, 'PTHR39419', NULL, NULL, NULL, NULL, 'SLL0814 PROTEIN', NULL, NULL, 5739, 15),
(177394, NULL, 'PTHR24377:SF426', NULL, NULL, NULL, NULL, 'MCG1051036-RELATED', NULL, NULL, NULL, 15),
(177395, NULL, 'PTHR21712:SF38', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR FHA1', NULL, NULL, NULL, 15),
(177396, NULL, 'PTHR10566:SF53', NULL, NULL, NULL, NULL, 'PROTEIN ACTIVITY OF BC1 COMPLEX KINASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(177397, NULL, 'PTHR33936:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG21722', NULL, NULL, NULL, 15),
(177398, NULL, 'PTHR27005:SF213', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177399, NULL, 'PTHR23202:SF67', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE B (CPB)', NULL, NULL, NULL, 15),
(177400, NULL, 'PTHR16140:SF17', NULL, NULL, NULL, NULL, 'NON-STRUCTURAL MAINTENANCE OF CHROMOSOMES ELEMENT 4', NULL, NULL, NULL, 15),
(177401, NULL, 'PTHR11861:SF11', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GLYCOPROTEIN NMB', NULL, NULL, NULL, 15),
(177402, NULL, 'PTHR11571:SF209', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(177403, NULL, 'PTHR23065:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177404, NULL, 'PTHR32096:SF89', NULL, NULL, NULL, NULL, 'BNAA09G05000D PROTEIN', NULL, NULL, NULL, 15),
(177405, NULL, 'PTHR31741:SF45', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(177406, NULL, 'PTHR43133:SF23', NULL, NULL, NULL, NULL, 'ECF SIGMA FACTOR', NULL, NULL, NULL, 15),
(177407, NULL, 'PTHR48001:SF24', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(177408, NULL, 'PTHR31065:SF41', NULL, NULL, NULL, NULL, 'PLATZ TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177409, NULL, 'PTHR10502:SF107', NULL, NULL, NULL, NULL, 'ANNEXIN ANXC4 (AFU_ORTHOLOGUE AFUA_3G07020)', NULL, NULL, NULL, 15),
(177410, NULL, 'PTHR46398:SF11', NULL, NULL, NULL, NULL, 'OS09G0569300 PROTEIN', NULL, NULL, NULL, 15),
(177411, NULL, 'PTHR31642:SF165', NULL, NULL, NULL, NULL, 'SHIKIMATE O-HYDROXYCINNAMOYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(177412, NULL, 'PTHR23257:SF859', NULL, NULL, NULL, NULL, 'BNAA09G12080D PROTEIN', NULL, NULL, NULL, 15),
(177413, NULL, 'PTHR13329:SF2', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S18B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(177414, NULL, 'PTHR33794:SF1', NULL, NULL, NULL, NULL, 'BACILLOLYSIN', NULL, NULL, NULL, 15),
(177415, NULL, 'PTHR23130:SF159', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(177416, NULL, 'PTHR11923', NULL, NULL, NULL, NULL, 'SCAVENGER RECEPTOR CLASS B TYPE-1  SR-B1', NULL, NULL, 56, 15),
(177417, NULL, 'PTHR14499', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL TETRAMERIZATION DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(177418, NULL, 'PTHR46524:SF12', NULL, NULL, NULL, NULL, 'CW-TYPE ZINC-FINGER PROTEIN', NULL, NULL, NULL, 15),
(177419, NULL, 'PTHR22906:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177420, NULL, 'PTHR19964:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177421, NULL, 'PTHR43305:SF1', NULL, NULL, NULL, NULL, 'FAMILY N-ACETYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G01380)-RELATED', NULL, NULL, NULL, 15),
(177422, NULL, 'PTHR15710:SF18', NULL, NULL, NULL, NULL, 'LD47007P', NULL, NULL, NULL, 15),
(177423, NULL, 'PTHR33130:SF53', NULL, NULL, NULL, NULL, 'BNACNNG54010D PROTEIN', NULL, NULL, NULL, 15),
(177424, NULL, 'PTHR13743:SF140', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN LVSD', NULL, NULL, NULL, 15),
(177425, NULL, 'PTHR37904', NULL, NULL, NULL, NULL, 'OS10G0566900 PROTEIN', NULL, NULL, 33337, 15),
(177426, NULL, 'PTHR31969:SF58', NULL, NULL, NULL, NULL, 'GLABRA2 EXPRESSION MODULATOR', NULL, NULL, NULL, 15),
(177427, NULL, 'PTHR23086:SF8', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 5-PHOSPHATE 4-KINASE, ISOFORM A', NULL, NULL, NULL, 15),
(177428, NULL, 'PTHR33257:SF34', NULL, NULL, NULL, NULL, 'BNAA05G34210D PROTEIN', NULL, NULL, NULL, 15),
(177429, NULL, 'PTHR48019', NULL, NULL, NULL, NULL, 'SERUM RESPONSE FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(177430, NULL, 'PTHR31280:SF18', NULL, NULL, NULL, NULL, 'DUF810 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(177431, NULL, 'PTHR10291:SF32', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(177432, NULL, 'PTHR45621:SF50', NULL, NULL, NULL, NULL, 'OS06G0727400 PROTEIN', NULL, NULL, NULL, 15),
(177433, NULL, 'PTHR33257:SF42', NULL, NULL, NULL, NULL, 'BNAC06G15870D PROTEIN', NULL, NULL, NULL, 15),
(177434, NULL, 'PTHR10048:SF33', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 3-KINASE CATALYTIC SUBUNIT BETA ISOFORM', NULL, NULL, NULL, 15),
(177435, NULL, 'PTHR16515:SF11', NULL, NULL, NULL, NULL, 'PR DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(177436, NULL, 'PTHR33048:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177437, NULL, 'PTHR24246:SF49', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR K01A12.3-RELATED', NULL, NULL, NULL, 15),
(177438, NULL, 'PTHR36965:SF1', NULL, NULL, NULL, NULL, 'FE(2+)-TRAFFICKING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177439, NULL, 'PTHR30603:SF53', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA-F TYPE, RNA POLYMERASE SIGMA-70 LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177440, NULL, 'PTHR12040:SF22', NULL, NULL, NULL, NULL, 'HISTONE CHAPERONE ASF1B', NULL, NULL, NULL, 15),
(177441, NULL, 'PTHR24250:SF50', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN-LIKE-RELATED', NULL, NULL, NULL, 15),
(177442, NULL, 'PTHR33107:SF61', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR 7', NULL, NULL, NULL, 15),
(177443, NULL, 'PTHR46801:SF4', NULL, NULL, NULL, NULL, 'LBP/BPI/CETP FAMILY, CARBOXY-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177444, NULL, 'PTHR18945:SF578', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT ALPHA-TYPE ACR-16', NULL, NULL, NULL, 15),
(177445, NULL, 'PTHR43103', NULL, NULL, NULL, NULL, 'NUCLEOSIDE-DIPHOSPHATE-SUGAR EPIMERASE', NULL, NULL, NULL, 15),
(177446, NULL, 'PTHR10891:SF703', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(177447, NULL, 'PTHR18945:SF441', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR', NULL, NULL, NULL, 15),
(177448, NULL, 'PTHR43128:SF25', NULL, NULL, NULL, NULL, 'L-LACTATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(177449, NULL, 'PTHR45999:SF1', NULL, NULL, NULL, NULL, 'BAI1-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(177450, NULL, 'PTHR24062:SF8', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(177451, NULL, 'PTHR10131:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177452, NULL, 'PTHR31916:SF41', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE F-RELATED', NULL, NULL, NULL, 15),
(177453, NULL, 'PTHR47993:SF169', NULL, NULL, NULL, NULL, 'BNAA01G31770D PROTEIN', NULL, NULL, NULL, 15),
(177454, NULL, 'PTHR24020:SF9', NULL, NULL, NULL, NULL, 'ZMP:0000000846', NULL, NULL, NULL, 15),
(177455, NULL, 'PTHR10485:SF23', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM17-2-LIKE', NULL, NULL, NULL, 15),
(177456, NULL, 'PTHR46952', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X-RELATED', NULL, NULL, NULL, 15),
(177457, NULL, 'PTHR24416:SF488', NULL, NULL, NULL, NULL, 'PROTEIN CBG19102', NULL, NULL, NULL, 15),
(177458, NULL, 'PTHR30546:SF46', NULL, NULL, NULL, NULL, 'NAD(P)H DEHYDROGENASE (QUINONE) FQR1-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(177459, NULL, 'PTHR13119:SF33', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(177460, NULL, 'PTHR22091', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 30586, 15),
(177461, NULL, 'PTHR28004', NULL, NULL, NULL, NULL, 'ZGC:162816-RELATED', NULL, NULL, NULL, 15),
(177462, NULL, 'PTHR37030:SF1', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(177463, NULL, 'PTHR47640:SF44', NULL, NULL, NULL, NULL, 'OS03G0569900 PROTEIN', NULL, NULL, NULL, 15),
(177464, NULL, 'PTHR31376:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177465, NULL, 'PTHR10992:SF1043', NULL, NULL, NULL, NULL, 'METHYLESTERASE 17-LIKE', NULL, NULL, NULL, 15),
(177466, NULL, 'PTHR33108:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(177467, NULL, 'PTHR24251:SF15', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GAMMA-CARBOXYGLUTAMIC ACID PROTEIN 4', NULL, NULL, NULL, 15),
(177468, NULL, 'PTHR24240:SF81', NULL, NULL, NULL, NULL, 'PROTEIN CBG14214', NULL, NULL, NULL, 15),
(177469, NULL, 'PTHR23054:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177470, NULL, 'PTHR31300:SF26', NULL, NULL, NULL, NULL, 'DUF620 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(177471, NULL, 'PTHR47966:SF20', NULL, NULL, NULL, NULL, 'FUNGAL PROTEINASE A, ASPARTIC PROTEINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(177472, NULL, 'PTHR24177:SF311', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177473, NULL, 'PTHR31276:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177474, NULL, 'PTHR21576:SF132', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', NULL, NULL, NULL, 15),
(177475, NULL, 'PTHR21669:SF10', NULL, NULL, NULL, NULL, 'UBINUCLEIN-2', NULL, NULL, 28698, 15),
(177476, NULL, 'PTHR19431:SF11', NULL, NULL, NULL, NULL, 'BNACNNG03190D PROTEIN', NULL, NULL, NULL, 15),
(177477, NULL, 'PTHR21312:SF30', NULL, NULL, NULL, NULL, 'GENE 10267-RELATED', NULL, NULL, NULL, 15),
(177478, NULL, 'PTHR45816', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177479, NULL, 'PTHR43874:SF125', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR7', NULL, NULL, NULL, 15),
(177480, NULL, 'PTHR24070:SF154', NULL, NULL, NULL, NULL, 'GENE MODEL 266, (NCBI)', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177481, NULL, 'PTHR24240:SF173', NULL, NULL, NULL, NULL, 'SI:DKEY-9I23.8-RELATED', NULL, NULL, NULL, 15),
(177482, NULL, 'PTHR46721', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N1', NULL, NULL, NULL, 15),
(177483, NULL, 'PTHR16886:SF0', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE LIPID DROPLET-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(177484, NULL, 'PTHR14636', NULL, NULL, NULL, NULL, 'TPA-INDUCED TRANSMEMBRANE PROTEIN', NULL, NULL, 30162, 15),
(177485, NULL, 'PTHR11835:SF66', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NAD] SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(177486, NULL, 'PTHR21235', NULL, NULL, NULL, NULL, 'IMIDAZOLE GLYCEROL PHOSPHATE SYNTHASE SUBUNIT HISF/H  IGP SYNTHASE SUBUNIT HISF/H', NULL, NULL, NULL, 15),
(177487, NULL, 'PTHR48041:SF93', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN/PERMEASE WHT-1-RELATED', NULL, NULL, NULL, 15),
(177488, NULL, 'PTHR46304:SF2', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR II-I', NULL, NULL, NULL, 15),
(177489, NULL, 'PTHR45690:SF15', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(177490, NULL, 'PTHR11079:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177491, NULL, 'PTHR22849:SF121', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(177492, NULL, 'PTHR19961:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177493, NULL, 'PTHR31707:SF171', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 13-RELATED', NULL, NULL, NULL, 15),
(177494, NULL, 'PTHR15228', NULL, NULL, NULL, NULL, 'SPERMATHECAL PHYSIOLOGY VARIANT', NULL, NULL, NULL, 15),
(177495, NULL, 'PTHR31236:SF41', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE RD22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177496, NULL, 'PTHR31657:SF55', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(177497, NULL, 'PTHR23226:SF78', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 396', NULL, NULL, NULL, 15),
(177498, NULL, 'PTHR45807:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE JAK2', NULL, NULL, NULL, 15),
(177499, NULL, 'PTHR42825:SF18', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(177500, NULL, 'PTHR24261:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE-3-KINASE-INTERACTING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(177501, NULL, 'PTHR31509:SF97', NULL, NULL, NULL, NULL, 'BNAA07G03190D PROTEIN', NULL, NULL, NULL, 15),
(177502, NULL, 'PTHR33971:SF6', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(177503, NULL, 'PTHR17534', NULL, NULL, NULL, NULL, 'OX40 LIGAND', NULL, NULL, 38566, 15),
(177504, NULL, 'PTHR10836:SF91', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(177505, NULL, 'PTHR32163', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR LIGAND SUPERFAMILY MEMBER 8', NULL, NULL, NULL, 15),
(177506, NULL, 'PTHR11049:SF5', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTER HYDROLASE YCIA', NULL, NULL, NULL, 15),
(177507, NULL, 'PTHR10698:SF3', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT H', NULL, NULL, NULL, 15),
(177508, NULL, 'PTHR38377:SF1', NULL, NULL, NULL, NULL, 'THREONINE-TRNA LIGASE 2', NULL, NULL, NULL, 15),
(177509, NULL, 'PTHR47960:SF12', NULL, NULL, NULL, NULL, 'BNAA09G39020D PROTEIN', NULL, NULL, NULL, 15),
(177510, NULL, 'PTHR22937:SF67', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(177511, NULL, 'PTHR23001:SF22', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5', NULL, NULL, NULL, 15),
(177512, NULL, 'PTHR24056:SF389', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', NULL, NULL, NULL, 15),
(177513, NULL, 'PTHR11955:SF139', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177514, NULL, 'PTHR10937:SF14', NULL, NULL, NULL, NULL, 'GLUCOSAMINE-FRUCTOSE-6-PHOSPHATE AMINOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(177515, NULL, 'PTHR47372:SF24', NULL, NULL, NULL, NULL, 'OSJNBA0085I10.12 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177516, NULL, 'PTHR33869:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177517, NULL, 'PTHR31241:SF58', NULL, NULL, NULL, NULL, 'BNACNNG69090D PROTEIN', NULL, NULL, NULL, 15),
(177518, NULL, 'PTHR36710:SF1', NULL, NULL, NULL, NULL, 'F14J9.2 PROTEIN', NULL, NULL, NULL, 15),
(177519, NULL, 'PTHR27002:SF804', NULL, NULL, NULL, NULL, 'SALT STRESS RESPONSE/ANTIFUNGAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(177520, NULL, 'PTHR13413:SF0', NULL, NULL, NULL, NULL, 'YLP MOTIF-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(177521, NULL, 'PTHR20854:SF42', NULL, NULL, NULL, NULL, 'INOSITOL-1-MONOPHOSPHATASE', NULL, NULL, NULL, 15),
(177522, NULL, 'PTHR33052:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177523, NULL, 'PTHR33390:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177524, NULL, 'PTHR47059:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 32', NULL, NULL, NULL, 15),
(177525, NULL, 'PTHR48047:SF49', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(177526, NULL, 'PTHR47976:SF67', NULL, NULL, NULL, NULL, 'OS06G0602500 PROTEIN', NULL, NULL, NULL, 15),
(177527, NULL, 'PTHR45786:SF26', NULL, NULL, NULL, NULL, 'BNAUNNG01660D PROTEIN', NULL, NULL, NULL, 15),
(177528, NULL, 'PTHR45631:SF90', NULL, NULL, NULL, NULL, 'BNAC03G42080D PROTEIN', NULL, NULL, NULL, 15),
(177529, NULL, 'PTHR23267:SF369', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177530, NULL, 'PTHR11533:SF262', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(177531, NULL, 'PTHR10615:SF127', NULL, NULL, NULL, NULL, 'REMODELING AND SPACING FACTOR 1', NULL, NULL, NULL, 15),
(177532, NULL, 'PTHR33753:SF1', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,4-GLUCANASE CELB', NULL, NULL, NULL, 15),
(177533, NULL, 'PTHR11751:SF475', NULL, NULL, NULL, NULL, 'ALANINE AMINOTRANSFERASE 2', NULL, NULL, NULL, 15),
(177534, NULL, 'PTHR24064:SF490', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 7', NULL, NULL, NULL, 15),
(177535, NULL, 'PTHR37368', NULL, NULL, NULL, NULL, 'TSSK6-ACTIVATING CO-CHAPERONE PROTEIN', NULL, NULL, 27365, 15),
(177536, NULL, 'PTHR37936', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSC FOR INSERTION ELEMENT IS2A-RELATED', NULL, NULL, NULL, 15),
(177537, NULL, 'PTHR46410:SF2', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(177538, NULL, 'PTHR10980:SF53', NULL, NULL, NULL, NULL, 'BNAA05G29800D PROTEIN', NULL, NULL, NULL, 15),
(177539, NULL, 'PTHR33743:SF17', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177540, NULL, 'PTHR47929:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177541, NULL, 'PTHR34829:SF1', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 3A MEMBER 1', NULL, NULL, NULL, 15),
(177542, NULL, 'PTHR21615:SF2', NULL, NULL, NULL, NULL, 'CYCLIN N-TERMINAL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(177543, NULL, 'PTHR43578', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT F', NULL, NULL, NULL, 15),
(177544, NULL, 'PTHR10696:SF33', NULL, NULL, NULL, NULL, 'GAMMA-BUTYROBETAINE DIOXYGENASE', NULL, NULL, NULL, 15),
(177545, NULL, 'PTHR44329:SF196', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE STY46-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(177546, NULL, 'PTHR31388:SF130', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(177547, NULL, 'PTHR48100:SF19', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(177548, NULL, 'PTHR10012:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A ACTIVATOR 2', NULL, NULL, NULL, 15),
(177549, NULL, 'PTHR11550:SF30', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', NULL, NULL, NULL, 15),
(177550, NULL, 'PTHR47067:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ATRX-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177551, NULL, 'PTHR43719:SF57', NULL, NULL, NULL, NULL, 'BNAC03G44990D PROTEIN', NULL, NULL, NULL, 15),
(177552, NULL, 'PTHR13691:SF54', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L8-LIKE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177553, NULL, 'PTHR35819:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177554, NULL, 'PTHR47996:SF2', NULL, NULL, NULL, NULL, 'BNAA09G38510D PROTEIN', NULL, NULL, NULL, 15),
(177555, NULL, 'PTHR23235:SF78', NULL, NULL, NULL, NULL, 'EARLY GROWTH RESPONSE PROTEIN 3', NULL, NULL, NULL, 15),
(177556, NULL, 'PTHR11038', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM10', NULL, NULL, NULL, 15),
(177557, NULL, 'PTHR14218:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177558, NULL, 'PTHR45770:SF20', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(177559, NULL, 'PTHR34395:SF11', NULL, NULL, NULL, NULL, 'OS09G0292400 PROTEIN', NULL, NULL, NULL, 15),
(177560, NULL, 'PTHR20981:SF19', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L21-1', NULL, NULL, NULL, 15),
(177561, NULL, 'PTHR15819:SF11', NULL, NULL, NULL, NULL, 'MID1, ISOFORM A', NULL, NULL, NULL, 15),
(177562, NULL, 'PTHR31992:SF204', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN MNB1A', NULL, NULL, NULL, 15),
(177563, NULL, 'PTHR24376:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 782', NULL, NULL, NULL, 15),
(177564, NULL, 'PTHR48059:SF8', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITOR 1', NULL, NULL, NULL, 15),
(177565, NULL, 'PTHR11566:SF139', NULL, NULL, NULL, NULL, 'OS09G0572900 PROTEIN', NULL, NULL, NULL, 15),
(177566, NULL, 'PTHR32468:SF35', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE', NULL, NULL, NULL, 15),
(177567, NULL, 'PTHR10942:SF0', NULL, NULL, NULL, NULL, 'LEISHMANOLYSIN-LIKE PEPTIDASE', NULL, NULL, NULL, 15),
(177568, NULL, 'PTHR11062:SF279', NULL, NULL, NULL, NULL, 'BNAC09G37520D PROTEIN', NULL, NULL, NULL, 15),
(177569, NULL, 'PTHR43788:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177570, NULL, 'PTHR30012:SF4', NULL, NULL, NULL, NULL, 'MSHA BIOGENESIS PROTEIN MSHG', NULL, NULL, NULL, 15),
(177571, NULL, 'PTHR31190:SF105', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', NULL, NULL, NULL, 15),
(177572, NULL, 'PTHR33526:SF16', NULL, NULL, NULL, NULL, 'BNAC08G42370D PROTEIN', NULL, NULL, NULL, 15),
(177573, NULL, 'PTHR31867:SF170', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(177574, NULL, 'PTHR46559:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177575, NULL, 'PTHR10579:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177576, NULL, 'PTHR36853:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(177577, NULL, 'PTHR46148:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177578, NULL, 'PTHR33070:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177579, NULL, 'PTHR43144:SF4', NULL, NULL, NULL, NULL, 'LL-DIAMINOPIMELATE AMINOTRANSFERASE, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(177580, NULL, 'PTHR11132:SF398', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE/PHOSPHATE TRANSLOCATOR-RELATED', NULL, NULL, NULL, 15),
(177581, NULL, 'PTHR10687:SF73', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(177582, NULL, 'PTHR24012:SF719', NULL, NULL, NULL, NULL, 'AGAP005249-PA', NULL, NULL, NULL, 15),
(177583, NULL, 'PTHR10784:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 6', NULL, NULL, NULL, 15),
(177584, NULL, 'PTHR23517:SF3', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN MDTM, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177585, NULL, 'PTHR11829:SF180', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN I1', NULL, NULL, 30373, 15),
(177586, NULL, 'PTHR43903:SF15', NULL, NULL, NULL, NULL, 'FI21425P1', NULL, NULL, NULL, 15),
(177587, NULL, 'PTHR13720:SF13', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 251', NULL, NULL, NULL, 15),
(177588, NULL, 'PTHR12546:SF34', NULL, NULL, NULL, NULL, 'FER-1-LIKE PROTEIN 5', NULL, NULL, 28672, 15),
(177589, NULL, 'PTHR31656:SF34', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS ABUNDANT PROTEIN-RELATED / LEA PROTEIN-RELATED, PUTATIVE-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177590, NULL, 'PTHR43349:SF67', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE-4-EPIMERASE', NULL, NULL, NULL, 15),
(177591, NULL, 'PTHR22883:SF291', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 23-RELATED', NULL, NULL, NULL, 15),
(177592, NULL, 'PTHR16861:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177593, NULL, 'PTHR23306:SF18', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 3', NULL, NULL, NULL, 15),
(177594, NULL, 'PTHR16156:SF7', NULL, NULL, NULL, NULL, 'CLATHRIN BINDING BOX OF AFTIPHILIN CONTAINING 1', NULL, NULL, NULL, 15),
(177595, NULL, 'PTHR24229:SF53', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR 18', NULL, NULL, NULL, 15),
(177596, NULL, 'PTHR15597', NULL, NULL, NULL, NULL, 'ATAXIN 2-BINDING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(177597, NULL, 'PTHR23402:SF15', NULL, NULL, NULL, NULL, 'PYROGLUTAMYL-PEPTIDASE 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177598, NULL, 'PTHR45651:SF55', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177599, NULL, 'PTHR43341:SF38', NULL, NULL, NULL, NULL, 'PROLINE TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(177600, NULL, 'PTHR11157:SF68', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 3', NULL, NULL, 32099, 15),
(177601, NULL, 'PTHR33124:SF63', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177602, NULL, 'PTHR31321:SF93', NULL, NULL, NULL, NULL, 'BNAC02G01620D PROTEIN', NULL, NULL, NULL, 15),
(177603, NULL, 'PTHR11062:SF262', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT13-RELATED', NULL, NULL, NULL, 15),
(177604, NULL, 'PTHR10671:SF45', NULL, NULL, NULL, NULL, 'PROTEIN CBG23133', NULL, NULL, NULL, 15),
(177605, NULL, 'PTHR14002:SF38', NULL, NULL, NULL, NULL, 'CUB AND ZONA PELLUCIDA-LIKE DOMAINS 1, GENE 2', NULL, NULL, NULL, 15),
(177606, NULL, 'PTHR46327:SF2', NULL, NULL, NULL, NULL, 'SEQUENCE-SPECIFIC DNA BINDING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(177607, NULL, 'PTHR45752:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177608, NULL, 'PTHR22814:SF338', NULL, NULL, NULL, NULL, 'BNAC03G60050D PROTEIN', NULL, NULL, NULL, 15),
(177609, NULL, 'PTHR24381:SF321', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 41 HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(177610, NULL, 'PTHR45798:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL23', NULL, NULL, NULL, 15),
(177611, NULL, 'PTHR10258', NULL, NULL, NULL, NULL, 'CALCIUM-ACTIVATED POTASSIUM CHANNEL SUBUNIT BETA', NULL, NULL, 6230, 15),
(177612, NULL, 'PTHR47993:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177613, NULL, 'PTHR24106', NULL, NULL, NULL, NULL, 'NACHT, LRR AND CARD DOMAINS-CONTAINING', NULL, NULL, NULL, 15),
(177614, NULL, 'PTHR47981:SF13', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-7A', NULL, NULL, NULL, 15),
(177615, NULL, 'PTHR47942:SF29', NULL, NULL, NULL, NULL, 'REPEAT (PPR-LIKE) SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177616, NULL, 'PTHR31080:SF69', NULL, NULL, NULL, NULL, 'OS03G0830600 PROTEIN', NULL, NULL, NULL, 15),
(177617, NULL, 'PTHR46700:SF3', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(177618, NULL, 'PTHR45616:SF10', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 79', NULL, NULL, NULL, 15),
(177619, NULL, 'PTHR22601:SF74', NULL, NULL, NULL, NULL, 'OS08G0492000 PROTEIN', NULL, NULL, NULL, 15),
(177620, NULL, 'PTHR19971:SF5', NULL, NULL, NULL, NULL, 'RIKEN CDNA F830045P16', NULL, NULL, NULL, 15),
(177621, NULL, 'PTHR33107:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177622, NULL, 'PTHR43820:SF5', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT ATP-BINDING PROTEIN', NULL, NULL, 19110, 15),
(177623, NULL, 'PTHR33361:SF15', NULL, NULL, NULL, NULL, 'DUF885 FAMILY LIPOPROTEIN', NULL, NULL, NULL, 15),
(177624, NULL, 'PTHR31989:SF305', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 66', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177625, NULL, 'PTHR31636:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177626, NULL, 'PTHR33511:SF26', NULL, NULL, NULL, NULL, 'BNAANNG02940D PROTEIN', NULL, NULL, NULL, 15),
(177627, NULL, 'PTHR11654:SF461', NULL, NULL, NULL, NULL, 'BNACNNG27190D PROTEIN', NULL, NULL, NULL, 15),
(177628, NULL, 'PTHR11461:SF348', NULL, NULL, NULL, NULL, 'SERPIN B6', NULL, NULL, NULL, 15),
(177629, NULL, 'PTHR15025', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-1 SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(177630, NULL, 'PTHR43603', NULL, NULL, NULL, NULL, 'COBW DOMAIN-CONTAINING PROTEIN DDB_G0274527', NULL, NULL, NULL, 15),
(177631, NULL, 'PTHR31005:SF8', NULL, NULL, NULL, NULL, 'BLL7080 PROTEIN', NULL, NULL, NULL, 15),
(177632, NULL, 'PTHR11654:SF502', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.7', NULL, NULL, NULL, 15),
(177633, NULL, 'PTHR10388:SF48', NULL, NULL, NULL, NULL, 'APO PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(177634, NULL, 'PTHR24115:SF472', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF3A', NULL, NULL, NULL, 15),
(177635, NULL, 'PTHR11640:SF89', NULL, NULL, NULL, NULL, 'IMMUNOGLOBIN SUPERFAMILY MEMBER 21', NULL, NULL, NULL, 15),
(177636, NULL, 'PTHR22847:SF655', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(177637, NULL, 'PTHR38928:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177638, NULL, 'PTHR47999:SF62', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB5', NULL, NULL, NULL, 15),
(177639, NULL, 'PTHR10201:SF138', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-24', NULL, NULL, 24929, 15),
(177640, NULL, 'PTHR47979:SF3', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-39A', NULL, NULL, NULL, 15),
(177641, NULL, 'PTHR48021:SF19', NULL, NULL, NULL, NULL, 'GENERAL SUBSTRATE TRANSPORTER', NULL, NULL, NULL, 15),
(177642, NULL, 'PTHR24296:SF176', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 94A2-LIKE', NULL, NULL, NULL, 15),
(177643, NULL, 'PTHR10515:SF0', NULL, NULL, NULL, NULL, 'THYMIDINE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(177644, NULL, 'PTHR10125:SF8', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR 3', NULL, NULL, 801, 15),
(177645, NULL, 'PTHR23130:SF157', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED IN ROOT CULTURES PROTEIN 12', NULL, NULL, NULL, 15),
(177646, NULL, 'PTHR13734:SF7', NULL, NULL, NULL, NULL, 'BNAC07G13590D PROTEIN', NULL, NULL, NULL, 15),
(177647, NULL, 'PTHR37426:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA LARGE SUBUNIT METHYLTRANSFERASE J', NULL, NULL, NULL, 15),
(177648, NULL, 'PTHR11668', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(177649, NULL, 'PTHR32227:SF359', NULL, NULL, NULL, NULL, 'GLUCOSIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177650, NULL, 'PTHR24229:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG19271', NULL, NULL, NULL, 15),
(177651, NULL, 'PTHR12129:SF17', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE 2-O-SULFOTRANSFERASE 1', NULL, NULL, NULL, 15),
(177652, NULL, 'PTHR47971:SF10', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177653, NULL, 'PTHR43876:SF7', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS MONOOXYGENASE COQ6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(177654, NULL, 'PTHR42847:SF4', NULL, NULL, NULL, NULL, 'ALKANESULFONATE MONOOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(177655, NULL, 'PTHR47938:SF7', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177656, NULL, 'PTHR45708:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177657, NULL, 'PTHR19328:SF66', NULL, NULL, NULL, NULL, 'HIPL1 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(177658, NULL, 'PTHR31300:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177659, NULL, 'PTHR44340', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 10', NULL, NULL, NULL, 15),
(177660, NULL, 'PTHR34837', NULL, NULL, NULL, NULL, 'OS05G0595500 PROTEIN', NULL, NULL, NULL, 15),
(177661, NULL, 'PTHR45720:SF8', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-KB', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177662, NULL, 'PTHR22909:SF22', NULL, NULL, NULL, NULL, 'GOLGI INTEGRAL MEMBRANE PROTEIN 4', NULL, NULL, NULL, 15),
(177663, NULL, 'PTHR46186:SF5', NULL, NULL, NULL, NULL, 'CYSTATIN-SN', NULL, NULL, NULL, 15),
(177664, NULL, 'PTHR32382:SF37', NULL, NULL, NULL, NULL, 'OS02G0461000 PROTEIN', NULL, NULL, NULL, 15),
(177665, NULL, 'PTHR43570:SF33', NULL, NULL, NULL, NULL, 'BNAA10G08800D PROTEIN', NULL, NULL, NULL, 15),
(177666, NULL, 'PTHR10841:SF24', NULL, NULL, NULL, NULL, 'SYNAPSIN-1', NULL, NULL, 23479, 15),
(177667, NULL, 'PTHR31062:SF215', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(177668, NULL, 'PTHR10693:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177669, NULL, 'PTHR32258:SF5', NULL, NULL, NULL, NULL, 'KINASE INTERACTING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(177670, NULL, 'PTHR47122:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177671, NULL, 'PTHR31568:SF77', NULL, NULL, NULL, NULL, 'PROTEIN CBG05978', NULL, NULL, NULL, 15),
(177672, NULL, 'PTHR11802:SF65', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(177673, NULL, 'PTHR13593:SF117', NULL, NULL, NULL, NULL, 'PI-PLC X DOMAIN PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177674, NULL, 'PTHR32467:SF145', NULL, NULL, NULL, NULL, 'AP2 DOMAIN-CONTAINING TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(177675, NULL, 'PTHR32191:SF61', NULL, NULL, NULL, NULL, 'TETRASPANIN-2-LIKE', NULL, NULL, NULL, 15),
(177676, NULL, 'PTHR43785:SF8', NULL, NULL, NULL, NULL, 'TYPE-1 GLUTAMINE SYNTHETASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(177677, NULL, 'PTHR12542:SF131', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(177678, NULL, 'PTHR31902:SF18', NULL, NULL, NULL, NULL, 'SUCRASE/FERREDOXIN-LIKE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177679, NULL, 'PTHR35775:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT VIII', NULL, NULL, NULL, 15),
(177680, NULL, 'PTHR43884', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE', NULL, NULL, NULL, 15),
(177681, NULL, 'PTHR47901:SF1', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 17', NULL, NULL, NULL, 15),
(177682, NULL, 'PTHR38039:SF1', NULL, NULL, NULL, NULL, 'TOXIN YOEB', NULL, NULL, NULL, 15),
(177683, NULL, 'PTHR24070:SF427', NULL, NULL, NULL, NULL, 'RAP1A, MEMBER OF RAS ONCOGENE FAMILY B', NULL, NULL, NULL, 15),
(177684, NULL, 'PTHR47830', NULL, NULL, NULL, NULL, 'OS11G0534100 PROTEIN', NULL, NULL, NULL, 15),
(177685, NULL, 'PTHR33156:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177686, NULL, 'PTHR31776:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177687, NULL, 'PTHR18966:SF520', NULL, NULL, NULL, NULL, 'AGAP002904-PA', NULL, NULL, NULL, 15),
(177688, NULL, 'PTHR45725:SF7', NULL, NULL, NULL, NULL, 'DISHEVELED-ASSOCIATED ACTIVATOR OF MORPHOGENESIS 2', NULL, NULL, NULL, 15),
(177689, NULL, 'PTHR23428:SF269', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(177690, NULL, 'PTHR12741:SF65', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 3', NULL, NULL, NULL, 15),
(177691, NULL, 'PTHR31889:SF74', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(177692, NULL, 'PTHR43329:SF94', NULL, NULL, NULL, NULL, 'HYDROLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177693, NULL, 'PTHR11616:SF111', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT GABA TRANSPORTER 2', NULL, NULL, NULL, 15),
(177694, NULL, 'PTHR28264:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A', NULL, NULL, NULL, 15),
(177695, NULL, 'PTHR23160:SF20', NULL, NULL, NULL, NULL, 'WEB FAMILY PROTEIN CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(177696, NULL, 'PTHR31973:SF138', NULL, NULL, NULL, NULL, 'RMUA', NULL, NULL, NULL, 15),
(177697, NULL, 'PTHR36777:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(177698, NULL, 'PTHR45616:SF32', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 5', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177699, NULL, 'PTHR34693:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177700, NULL, 'PTHR37320:SF1', NULL, NULL, NULL, NULL, 'AG-1 BLOOD STAGE MEMBRANE PROTEIN HOMOLOGUE', NULL, NULL, NULL, 15),
(177701, NULL, 'PTHR14209:SF22', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(177702, NULL, 'PTHR15710:SF100', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177703, NULL, 'PTHR19248:SF16', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY E MEMBER 1', NULL, NULL, NULL, 15),
(177704, NULL, 'PTHR28286:SF1', NULL, NULL, NULL, NULL, '30 KDA HEAT SHOCK PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177705, NULL, 'PTHR45631', NULL, NULL, NULL, NULL, 'OS07G0107800 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177706, NULL, 'PTHR32071:SF29', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE TRANSPORT SYSTEM TRANSCRIPTIONAL REGULATORY PROTEIN PGTA', NULL, NULL, NULL, 15),
(177707, NULL, 'PTHR40619:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177708, NULL, 'PTHR44170:SF9', NULL, NULL, NULL, NULL, 'ROUNDABOUT HOMOLOG 2', NULL, NULL, NULL, 15),
(177709, NULL, 'PTHR35263:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 49', NULL, NULL, NULL, 15),
(177710, NULL, 'PTHR24185:SF7', NULL, NULL, NULL, NULL, 'PATATIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(177711, NULL, 'PTHR34351:SF2', NULL, NULL, NULL, NULL, 'CONSERVED REPEAT DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(177712, NULL, 'PTHR14418:SF5', NULL, NULL, NULL, NULL, 'CONDENSIN COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(177713, NULL, 'PTHR33171:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177714, NULL, 'PTHR12354:SF21', NULL, NULL, NULL, NULL, 'INTERFERON-RELATED DEVELOPMENTAL REGULATOR 1-LIKE', NULL, NULL, NULL, 15),
(177715, NULL, 'PTHR44314', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 70', NULL, NULL, NULL, 15),
(177716, NULL, 'PTHR35825:SF2', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA''-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(177717, NULL, 'PTHR13301:SF213', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177718, NULL, 'PTHR46248:SF9', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(177719, NULL, 'PTHR23058:SF5', NULL, NULL, NULL, NULL, 'MICROBODY (PEROXISOME) BIOGENESIS PROTEIN PEROXIN 14/17 (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(177720, NULL, 'PTHR21447:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG11488', NULL, NULL, NULL, 15),
(177721, NULL, 'PTHR31190:SF254', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177722, NULL, 'PTHR23086:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177723, NULL, 'PTHR12860:SF0', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE SUBUNIT SRP68', NULL, NULL, NULL, 15),
(177724, NULL, 'PTHR31707:SF251', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 25-RELATED', NULL, NULL, NULL, 15),
(177725, NULL, 'PTHR15109:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM193B', NULL, NULL, 25534, 15),
(177726, NULL, 'PTHR16223:SF246', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH84-LIKE', NULL, NULL, NULL, 15),
(177727, NULL, 'PTHR46274:SF16', NULL, NULL, NULL, NULL, 'BNAA04G20710D PROTEIN', NULL, NULL, NULL, 15),
(177728, NULL, 'PTHR12203:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177729, NULL, 'PTHR10788:SF46', NULL, NULL, NULL, NULL, 'ALPHA,ALPHA-TREHALOSE-PHOSPHATE SYNTHASE [UDP-FORMING] 11-RELATED', NULL, NULL, NULL, 15),
(177730, NULL, 'PTHR18945:SF397', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT EPSILON', NULL, NULL, NULL, 15),
(177731, NULL, 'PTHR47929:SF2', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177732, NULL, 'PTHR31194:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177733, NULL, 'PTHR45627:SF23', NULL, NULL, NULL, NULL, 'ACXA, ISOFORM A-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177734, NULL, 'PTHR22883:SF28', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC14-RELATED', NULL, NULL, NULL, 15),
(177735, NULL, 'PTHR24247:SF228', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE (SEROTONIN) RECEPTOR 2A, ISOFORM B', NULL, NULL, NULL, 15),
(177736, NULL, 'PTHR24232:SF91', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN LOC653160', NULL, NULL, NULL, 15),
(177737, NULL, 'PTHR13696', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', NULL, NULL, NULL, 15),
(177738, NULL, 'PTHR10974:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG09258', NULL, NULL, NULL, 15),
(177739, NULL, 'PTHR33430:SF6', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST PROTEIN', NULL, NULL, NULL, 15),
(177740, NULL, 'PTHR42765:SF2', NULL, NULL, NULL, NULL, 'TYROSINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(177741, NULL, 'PTHR14898:SF11', NULL, NULL, NULL, NULL, 'ENHANCER OF POLYCOMB-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177742, NULL, 'PTHR23004:SF9', NULL, NULL, NULL, NULL, 'DOUBLECORTIN DOMAIN-CONTAINING PROTEIN 2C', NULL, NULL, NULL, 15),
(177743, NULL, 'PTHR31517:SF42', NULL, NULL, NULL, NULL, 'PEROXIDASE 65', NULL, NULL, NULL, 15),
(177744, NULL, 'PTHR45644:SF42', NULL, NULL, NULL, NULL, 'BNAA09G51110D PROTEIN', NULL, NULL, NULL, 15),
(177745, NULL, 'PTHR10649:SF3', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR REPRESSOR', NULL, NULL, 29450, 15),
(177746, NULL, 'PTHR23147:SF171', NULL, NULL, NULL, NULL, 'BNACNNG35790D PROTEIN', NULL, NULL, NULL, 15),
(177747, NULL, 'PTHR10805:SF4', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT EPSILON', NULL, NULL, NULL, 15),
(177748, NULL, 'PTHR31948:SF90', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 1', NULL, NULL, NULL, 15),
(177749, NULL, 'PTHR34229:SF1', NULL, NULL, NULL, NULL, 'METAL TRANSPORT PROTEIN HI_1621-RELATED', NULL, NULL, NULL, 15),
(177750, NULL, 'PTHR12902:SF1', NULL, NULL, NULL, NULL, 'MIP02973P', NULL, NULL, NULL, 15),
(177751, NULL, 'PTHR32243:SF34', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN OLIGOMER TRANSPORT SYSTEM PERMEASE PROTEIN GANQ-RELATED', NULL, NULL, NULL, 15),
(177752, NULL, 'PTHR45138:SF2', NULL, NULL, NULL, NULL, 'DIGUANYLATE CYCLASE VDCA', NULL, NULL, NULL, 15),
(177753, NULL, 'PTHR11206:SF431', NULL, NULL, NULL, NULL, 'MULTI ANTIMICROBIAL EXTRUSION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177754, NULL, 'PTHR31081:SF14', NULL, NULL, NULL, NULL, 'UREIDE PERMEASE 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(177755, NULL, 'PTHR33215:SF6', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSE FOR INSERTION SEQUENCE IS3A-RELATED', NULL, NULL, NULL, 15),
(177756, NULL, 'PTHR24377:SF162', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 873', NULL, NULL, NULL, 15),
(177757, NULL, 'PTHR12289:SF32', NULL, NULL, NULL, NULL, 'CADMIUM RESPONSIVE', NULL, NULL, NULL, 15),
(177758, NULL, 'PTHR39233', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, 2142, 15),
(177759, NULL, 'PTHR31889:SF43', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177760, NULL, 'PTHR48017:SF50', NULL, NULL, NULL, NULL, 'PROTEIN CBG03527', NULL, NULL, NULL, 15),
(177761, NULL, 'PTHR31929:SF87', NULL, NULL, NULL, NULL, 'BNAA10G16770D PROTEIN', NULL, NULL, NULL, 15),
(177762, NULL, 'PTHR23322:SF71', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED (UBA) PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177763, NULL, 'PTHR42799:SF24', NULL, NULL, NULL, NULL, 'BNAA07G37260D PROTEIN', NULL, NULL, NULL, 15),
(177764, NULL, 'PTHR15895:SF11', NULL, NULL, NULL, NULL, 'IMMEDIATE EARLY RESPONSE GENE 5-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177765, NULL, 'PTHR34311', NULL, NULL, NULL, NULL, 'PROTEIN CBG21698-RELATED', NULL, NULL, NULL, 15),
(177766, NULL, 'PTHR45712:SF12', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT TRANSMEMBRANE PROTEIN FLRT3', NULL, NULL, NULL, 15),
(177767, NULL, 'PTHR31388:SF157', NULL, NULL, NULL, NULL, 'CATIONIC PEROXIDASE', NULL, NULL, NULL, 15),
(177768, NULL, 'PTHR31047:SF1', NULL, NULL, NULL, NULL, 'DUF1237 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177769, NULL, 'PTHR43791:SF31', NULL, NULL, NULL, NULL, 'VITAMIN H TRANSPORTER', NULL, NULL, NULL, 15),
(177770, NULL, 'PTHR37393', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 1A-LIKE', NULL, NULL, NULL, 15),
(177771, NULL, 'PTHR33021:SF217', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177772, NULL, 'PTHR28577:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN P', NULL, NULL, NULL, 15),
(177773, NULL, 'PTHR11850:SF306', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN 12', NULL, NULL, NULL, 15),
(177774, NULL, 'PTHR45682:SF13', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE SLINGSHOT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177775, NULL, 'PTHR47959:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177776, NULL, 'PTHR45778:SF10', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(177777, NULL, 'PTHR46929:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(177778, NULL, 'PTHR14217:SF25', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE', NULL, NULL, NULL, 15),
(177779, NULL, 'PTHR48010:SF59', NULL, NULL, NULL, NULL, 'OS05G0480400 PROTEIN', NULL, NULL, NULL, 15),
(177780, NULL, 'PTHR24217:SF0', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177781, NULL, 'PTHR31744:SF140', NULL, NULL, NULL, NULL, 'PROTEIN CUP-SHAPED COTYLEDON 1-LIKE', NULL, NULL, NULL, 15),
(177782, NULL, 'PTHR12608:SF14', NULL, NULL, NULL, NULL, 'GDT1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(177783, NULL, 'PTHR10984:SF30', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM-GOLGI INTERMEDIATE COMPARTMENT PROTEIN 2', NULL, NULL, NULL, 15),
(177784, NULL, 'PTHR11532:SF43', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE X1-RELATED', NULL, NULL, NULL, 15),
(177785, NULL, 'PTHR36450:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(177786, NULL, 'PTHR27002:SF408', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177787, NULL, 'PTHR32295:SF201', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', NULL, NULL, NULL, 15),
(177788, NULL, 'PTHR31624:SF3', NULL, NULL, NULL, NULL, 'UPF0472 PROTEIN C16ORF72', NULL, NULL, NULL, 15),
(177789, NULL, 'PTHR21328:SF2', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP16', NULL, NULL, NULL, 15),
(177790, NULL, 'PTHR12931', NULL, NULL, NULL, NULL, 'UBIQUITIN THIOLESTERASE PROTEIN OTUB', NULL, NULL, 16952, 15),
(177791, NULL, 'PTHR10797:SF36', NULL, NULL, NULL, NULL, 'OS10G0421700 PROTEIN', NULL, NULL, NULL, 15),
(177792, NULL, 'PTHR10615:SF191', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(177793, NULL, 'PTHR10252:SF112', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT C-4', NULL, NULL, NULL, 15),
(177794, NULL, 'PTHR21724:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-293', NULL, NULL, NULL, 15),
(177795, NULL, 'PTHR31044:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177796, NULL, 'PTHR22950:SF188', NULL, NULL, NULL, NULL, 'PROTON-COUPLED AMINO ACID TRANSPORTER 1', NULL, NULL, NULL, 15),
(177797, NULL, 'PTHR14338:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177798, NULL, 'PTHR11913', NULL, NULL, NULL, NULL, 'COFILIN-RELATED', NULL, NULL, 8458, 15),
(177799, NULL, 'PTHR18952:SF120', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 2', NULL, NULL, NULL, 15),
(177800, NULL, 'PTHR38936:SF1', NULL, NULL, NULL, NULL, 'TITIN-LIKE ISOFORM X2', NULL, NULL, NULL, 15),
(177801, NULL, 'PTHR31464:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG11668', NULL, NULL, NULL, 15),
(177802, NULL, 'PTHR13600:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177803, NULL, 'PTHR12300:SF43', NULL, NULL, NULL, NULL, 'TB2/DP1, HVA22 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(177804, NULL, 'PTHR10972:SF78', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(177805, NULL, 'PTHR23531:SF2', NULL, NULL, NULL, NULL, 'QUINOLONE RESISTENCE NORA PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177806, NULL, 'PTHR31235:SF329', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(177807, NULL, 'PTHR45985:SF4', NULL, NULL, NULL, NULL, 'LIN-12 AND GLP-1 X-HYBRIDIZING', NULL, NULL, NULL, 15),
(177808, NULL, 'PTHR11071:SF409', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177809, NULL, 'PTHR10334:SF485', NULL, NULL, NULL, NULL, 'PROTEIN CBG23203', NULL, NULL, NULL, 15),
(177810, NULL, 'PTHR33871:SF1', NULL, NULL, NULL, NULL, 'OS05G0503100 PROTEIN', NULL, NULL, NULL, 15),
(177811, NULL, 'PTHR31087:SF104', NULL, NULL, NULL, NULL, 'BNAA01G37110D PROTEIN', NULL, NULL, NULL, 15),
(177812, NULL, 'PTHR21700:SF3', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-LIKE PROTEIN 46', NULL, NULL, NULL, 15),
(177813, NULL, 'PTHR10856:SF41', NULL, NULL, NULL, NULL, 'CORONIN', NULL, NULL, 24628, 15),
(177814, NULL, 'PTHR45730', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JAGGED', NULL, NULL, 39801, 15),
(177815, NULL, 'PTHR11920:SF475', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE', NULL, NULL, NULL, 15),
(177816, NULL, 'PTHR11071:SF433', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(177817, NULL, 'PTHR36326:SF4', NULL, NULL, NULL, NULL, 'PROTEIN POLLENLESS 3-LIKE 1', NULL, NULL, NULL, 15),
(177818, NULL, 'PTHR32077:SF65', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 11', NULL, NULL, NULL, 15),
(177819, NULL, 'PTHR31246:SF25', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 70-4-LIKE', NULL, NULL, NULL, 15),
(177820, NULL, 'PTHR11848:SF43', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 6', NULL, NULL, NULL, 15),
(177821, NULL, 'PTHR37187', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(177822, NULL, 'PTHR21553:SF22', NULL, NULL, NULL, NULL, 'ALSTROM SYNDROME PROTEIN 1', NULL, NULL, 28822, 15),
(177823, NULL, 'PTHR26312:SF159', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY PROTEIN YCF3', NULL, NULL, NULL, 15),
(177824, NULL, 'PTHR10288:SF302', NULL, NULL, NULL, NULL, 'FAR UPSTREAM ELEMENT-BINDING PROTEIN 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(177825, NULL, 'PTHR30258:SF3', NULL, NULL, NULL, NULL, 'ATP/GTP-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177826, NULL, 'PTHR11767:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177827, NULL, 'PTHR19375:SF369', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177828, NULL, 'PTHR18945:SF386', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(177829, NULL, 'PTHR33076:SF104', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(177830, NULL, 'PTHR47978:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177831, NULL, 'PTHR46300:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 MONOOXYGENASE ALNH-RELATED', NULL, NULL, NULL, 15),
(177832, NULL, 'PTHR34295:SF1', NULL, NULL, NULL, NULL, 'BIOTIN TRANSPORTER BIOY', NULL, NULL, NULL, 15),
(177833, NULL, 'PTHR43558:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177834, NULL, 'PTHR48049:SF64', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(177835, NULL, 'PTHR11709:SF341', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(177836, NULL, 'PTHR13847:SF193', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE PHOSPHATASE REGULATORY SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(177837, NULL, 'PTHR21645:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(177838, NULL, 'PTHR39232:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 50', NULL, NULL, NULL, 15),
(177839, NULL, 'PTHR11627:SF16', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(177840, NULL, 'PTHR23113:SF224', NULL, NULL, NULL, NULL, 'RAP GUANINE NUCLEOTIDE EXCHANGE FACTOR 1', NULL, NULL, NULL, 15),
(177841, NULL, 'PTHR11947:SF39', NULL, NULL, NULL, NULL, 'BRANCHED CHAIN KETOACID DEHYDROGENASE KINASE', NULL, NULL, NULL, 15),
(177842, NULL, 'PTHR11984:SF49', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177843, NULL, 'PTHR14241:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177844, NULL, 'PTHR24031:SF240', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX49-RELATED', NULL, NULL, NULL, 15),
(177845, NULL, 'PTHR12940', NULL, NULL, NULL, NULL, 'ES-2 PROTEIN - RELATED', NULL, NULL, 18973, 15),
(177846, NULL, 'PTHR43625:SF65', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 4-RELATED', NULL, NULL, NULL, 15),
(177847, NULL, 'PTHR31315:SF13', NULL, NULL, NULL, NULL, 'BNAA02G18890D PROTEIN', NULL, NULL, NULL, 15),
(177848, NULL, 'PTHR47999:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB111', NULL, NULL, NULL, 15),
(177849, NULL, 'PTHR24221:SF251', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN 1', NULL, NULL, 24065, 15),
(177850, NULL, 'PTHR33778:SF1', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER YHID-RELATED', NULL, NULL, NULL, 15),
(177851, NULL, 'PTHR11817:SF90', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(177852, NULL, 'PTHR45798:SF61', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL44-RELATED', NULL, NULL, NULL, 15),
(177853, NULL, 'PTHR34569:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177854, NULL, 'PTHR43790:SF3', NULL, NULL, NULL, NULL, 'D-ALLOSE IMPORT ATP-BINDING PROTEIN ALSA-RELATED', NULL, NULL, NULL, 15),
(177855, NULL, 'PTHR43841', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-THIOESTER DEHYDRATASE HTDX-RELATED', NULL, NULL, NULL, 15),
(177856, NULL, 'PTHR21510:SF16', NULL, NULL, NULL, NULL, 'PROTEIN AKNAD1', NULL, NULL, NULL, 15),
(177857, NULL, 'PTHR14735:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 134', NULL, NULL, NULL, 15),
(177858, NULL, 'PTHR46987:SF5', NULL, NULL, NULL, NULL, 'R-SPONDIN 1', NULL, NULL, 37228, 15),
(177859, NULL, 'PTHR11709:SF361', NULL, NULL, NULL, NULL, 'IRON TRANSPORT MULTICOPPER OXIDASE FET5', NULL, NULL, NULL, 15),
(177860, NULL, 'PTHR24637:SF252', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(177861, NULL, 'PTHR33800', NULL, NULL, NULL, NULL, 'OS06G0113600 PROTEIN', NULL, NULL, NULL, 15),
(177862, NULL, 'PTHR13789:SF311', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G10180)-RELATED', NULL, NULL, NULL, 15),
(177863, NULL, 'PTHR15138', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 4', NULL, NULL, 39381, 15),
(177864, NULL, 'PTHR45811:SF11', NULL, NULL, NULL, NULL, 'METAL-ASSOCIATED DOMAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177865, NULL, 'PTHR44591', NULL, NULL, NULL, NULL, 'STRESS RESPONSE REGULATOR PROTEIN 1', NULL, NULL, NULL, 15),
(177866, NULL, 'PTHR22803:SF134', NULL, NULL, NULL, NULL, 'GH28601P', NULL, NULL, NULL, 15),
(177867, NULL, 'PTHR33866:SF2', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', NULL, NULL, NULL, 15),
(177868, NULL, 'PTHR35587:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177869, NULL, 'PTHR31257:SF13', NULL, NULL, NULL, NULL, 'OS03G0325900 PROTEIN', NULL, NULL, NULL, 15),
(177870, NULL, 'PTHR31105:SF8', NULL, NULL, NULL, NULL, 'OS05G0586400 PROTEIN', NULL, NULL, NULL, 15),
(177871, NULL, 'PTHR37191:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER/BTB DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(177872, NULL, 'PTHR46690', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 6 HOMOLOG', NULL, NULL, 37354, 15),
(177873, NULL, 'PTHR20437:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177874, NULL, 'PTHR46016:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE', NULL, NULL, NULL, 15),
(177875, NULL, 'PTHR21524', NULL, NULL, NULL, NULL, 'SPECTRIN REPEAT CONTAINING NUCLEAR ENVELOPE PROTEIN 2', NULL, NULL, 34251, 15),
(177876, NULL, 'PTHR23030:SF35', NULL, NULL, NULL, NULL, 'OS10G0495466 PROTEIN', NULL, NULL, NULL, 15),
(177877, NULL, 'PTHR40688', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177878, NULL, 'PTHR46660', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177879, NULL, 'PTHR13847:SF44', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177880, NULL, 'PTHR31374:SF210', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(177881, NULL, 'PTHR22467:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE AU022751-RELATED', NULL, NULL, NULL, 15),
(177882, NULL, 'PTHR11945:SF456', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN APETALA 1', NULL, NULL, NULL, 15),
(177883, NULL, 'PTHR42867:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(177884, NULL, 'PTHR32054:SF64', NULL, NULL, NULL, NULL, 'BNAA03G19090D PROTEIN', NULL, NULL, NULL, 15),
(177885, NULL, 'PTHR35337:SF1', NULL, NULL, NULL, NULL, 'SLR1478 PROTEIN', NULL, NULL, NULL, 15),
(177886, NULL, 'PTHR24349:SF322', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 18', NULL, NULL, NULL, 15),
(177887, NULL, 'PTHR24414:SF175', NULL, NULL, NULL, NULL, 'BNAA09G35040D PROTEIN', NULL, NULL, NULL, 15),
(177888, NULL, 'PTHR22943:SF248', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(177889, NULL, 'PTHR31713:SF18', NULL, NULL, NULL, NULL, 'OS02G0177800 PROTEIN', NULL, NULL, NULL, 15),
(177890, NULL, 'PTHR13206', NULL, NULL, NULL, NULL, 'UBIQUITIN LIGASE PROTEIN PHF9  FANCONI ANEMIA GROUP L PROTEIN', NULL, NULL, 26271, 15),
(177891, NULL, 'PTHR13030:SF8', NULL, NULL, NULL, NULL, 'ADP-RIBOSE PYROPHOSPHATASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(177892, NULL, 'PTHR23056:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177893, NULL, 'PTHR46351:SF9', NULL, NULL, NULL, NULL, 'CHITINASE / HEVEIN / PR-4 / WHEATWIN2', NULL, NULL, NULL, 15),
(177894, NULL, 'PTHR16705:SF7', NULL, NULL, NULL, NULL, 'COMPLEXIN-4', NULL, NULL, NULL, 15),
(177895, NULL, 'PTHR48003:SF4', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GHR1', NULL, NULL, NULL, 15),
(177896, NULL, 'PTHR24341:SF7', NULL, NULL, NULL, NULL, 'SEGMENTATION POLARITY HOMEOBOX PROTEIN ENGRAILED', NULL, NULL, NULL, 15),
(177897, NULL, 'PTHR21490:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177898, NULL, 'PTHR36810:SF1', NULL, NULL, NULL, NULL, 'BNACNNG47150D PROTEIN', NULL, NULL, NULL, 15),
(177899, NULL, 'PTHR11994:SF4', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L7, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(177900, NULL, 'PTHR21580:SF50', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER OF SPERM TAILS 3-LIKE 2A', NULL, NULL, NULL, 15),
(177901, NULL, 'PTHR10634:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 9', NULL, NULL, NULL, 15),
(177902, NULL, 'PTHR15919:SF1', NULL, NULL, NULL, NULL, 'DAPPER HOMOLOG 3', NULL, NULL, 16087, 15),
(177903, NULL, 'PTHR33349:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177904, NULL, 'PTHR46991:SF11', NULL, NULL, NULL, NULL, '23.5 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(177905, NULL, 'PTHR13301:SF205', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN E1', NULL, NULL, NULL, 15),
(177906, NULL, 'PTHR10788:SF107', NULL, NULL, NULL, NULL, 'BNAA02G18920D PROTEIN', NULL, NULL, NULL, 15),
(177907, NULL, 'PTHR11679:SF74', NULL, NULL, NULL, NULL, 'SEC1 FAMILY DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(177908, NULL, 'PTHR31325:SF140', NULL, NULL, NULL, NULL, 'USTILAGO MAYDIS INDUCED11', NULL, NULL, NULL, 15),
(177909, NULL, 'PTHR12756:SF42', NULL, NULL, NULL, NULL, 'CYTOSOLIC CARBOXYPEPTIDASE NNA1', NULL, NULL, NULL, 15),
(177910, NULL, 'PTHR43205:SF33', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN REDUCTASE 1', NULL, NULL, NULL, 15),
(177911, NULL, 'PTHR24298:SF515', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B6', NULL, NULL, NULL, 15),
(177912, NULL, 'PTHR31471:SF13', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(177913, NULL, 'PTHR11008:SF25', NULL, NULL, NULL, NULL, 'IP09473P', NULL, NULL, NULL, 15),
(177914, NULL, 'PTHR36023:SF9', NULL, NULL, NULL, NULL, 'PROTEIN ORGAN SIZE RELATED 1', NULL, NULL, NULL, 15),
(177915, NULL, 'PTHR23070:SF111', NULL, NULL, NULL, NULL, 'BNAANNG18740D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177916, NULL, 'PTHR14469', NULL, NULL, NULL, NULL, 'SARCOMA ANTIGEN NY-SAR-23', NULL, NULL, NULL, 15),
(177917, NULL, 'PTHR43329:SF101', NULL, NULL, NULL, NULL, 'SLL1305 PROTEIN', NULL, NULL, NULL, 15),
(177918, NULL, 'PTHR24559:SF365', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177919, NULL, 'PTHR34319:SF6', NULL, NULL, NULL, NULL, 'MAJOR EXPORTED PROTEIN', NULL, NULL, NULL, 15),
(177920, NULL, 'PTHR19957:SF324', NULL, NULL, NULL, NULL, 'BNAC07G32850D PROTEIN', NULL, NULL, NULL, 15),
(177921, NULL, 'PTHR10720:SF1', NULL, NULL, NULL, NULL, 'HEME OXYGENASE 1', NULL, NULL, NULL, 15),
(177922, NULL, 'PTHR33110:SF101', NULL, NULL, NULL, NULL, 'OS02G0159800 PROTEIN', NULL, NULL, NULL, 15),
(177923, NULL, 'PTHR11685:SF311', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(177924, NULL, 'PTHR48012:SF14', NULL, NULL, NULL, NULL, 'STE20/SPS1-RELATED PROLINE-ALANINE-RICH PROTEIN KINASE', NULL, NULL, NULL, 15),
(177925, NULL, 'PTHR46514:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177926, NULL, 'PTHR10992:SF1025', NULL, NULL, NULL, NULL, 'METHYLESTERASE 15, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(177927, NULL, 'PTHR32073:SF6', NULL, NULL, NULL, NULL, 'DIVERGENT PROTEIN KINASE DOMAIN 2A', NULL, NULL, NULL, 15),
(177928, NULL, 'PTHR31642:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177929, NULL, 'PTHR43791:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177930, NULL, 'PTHR33136:SF81', NULL, NULL, NULL, NULL, 'OS10G0328900 PROTEIN', NULL, NULL, NULL, 15),
(177931, NULL, 'PTHR43687:SF1', NULL, NULL, NULL, NULL, 'ADENYLYLSULFATE REDUCTASE, BETA SUBUNIT', NULL, NULL, NULL, 15),
(177932, NULL, 'PTHR31062:SF122', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 11-RELATED', NULL, NULL, NULL, 15),
(177933, NULL, 'PTHR35730:SF3', NULL, NULL, NULL, NULL, 'BNAC01G39290D PROTEIN', NULL, NULL, NULL, 15),
(177934, NULL, 'PTHR37435:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG14344', NULL, NULL, NULL, 15),
(177935, NULL, 'PTHR10920:SF19', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177936, NULL, 'PTHR48040', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(177937, NULL, 'PTHR38626:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG09928', NULL, NULL, NULL, 15),
(177938, NULL, 'PTHR34461', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(177939, NULL, 'PTHR43031:SF3', NULL, NULL, NULL, NULL, 'RHODANESE-RELATED SULFURTRANSFERASES-RELATED', NULL, NULL, NULL, 15),
(177940, NULL, 'PTHR22765:SF230', NULL, NULL, NULL, NULL, 'ERAD-ASSOCIATED E3 UBIQUITIN-PROTEIN LIGASE HRD1B-LIKE', NULL, NULL, NULL, 15),
(177941, NULL, 'PTHR45621:SF55', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CST-RELATED', NULL, NULL, NULL, 15),
(177942, NULL, 'PTHR33326:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177943, NULL, 'PTHR24637:SF336', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(177944, NULL, 'PTHR27002:SF646', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(177945, NULL, 'PTHR21411', NULL, NULL, NULL, NULL, 'APONTIC', NULL, NULL, NULL, 15),
(177946, NULL, 'PTHR31232:SF46', NULL, NULL, NULL, NULL, 'S-PROTEIN HOMOLOG 1-RELATED', NULL, NULL, NULL, 15),
(177947, NULL, 'PTHR11827:SF6', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 8', NULL, NULL, 22987, 15),
(177948, NULL, 'PTHR14725', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35207, 15),
(177949, NULL, 'PTHR33128:SF53', NULL, NULL, NULL, NULL, 'BNAA06G39150D PROTEIN', NULL, NULL, NULL, 15),
(177950, NULL, 'PTHR42715:SF20', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE E-RELATED', NULL, NULL, NULL, 15),
(177951, NULL, 'PTHR31355', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN TORTIFOLIA1', NULL, NULL, 32187, 15),
(177952, NULL, 'PTHR24376:SF155', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 788', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177953, NULL, 'PTHR47991:SF107', NULL, NULL, NULL, NULL, 'PROTEIN DMR6-LIKE OXYGENASE 1', NULL, NULL, NULL, 15),
(177954, NULL, 'PTHR16517:SF83', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(177955, NULL, 'PTHR12203:SF79', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(177956, NULL, 'PTHR14206:SF4', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC ANGIOGENESIS INHIBITOR 1-ASSOCIATED PROTEIN 2-LIKE PROTEIN 1', NULL, NULL, 26543, 15),
(177957, NULL, 'PTHR28124', NULL, NULL, NULL, NULL, 'DNA REPLICATION REGULATOR SLD2', NULL, NULL, 33869, 15),
(177958, NULL, 'PTHR11206:SF419', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(177959, NULL, 'PTHR21660:SF48', NULL, NULL, NULL, NULL, 'THIOESTERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(177960, NULL, 'PTHR46409', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177961, NULL, 'PTHR33827:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177962, NULL, 'PTHR26451:SF874', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR', NULL, NULL, NULL, 15),
(177963, NULL, 'PTHR32083:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177964, NULL, 'PTHR10426:SF21', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 13', NULL, NULL, NULL, 15),
(177965, NULL, 'PTHR23510:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG04675', NULL, NULL, NULL, 15),
(177966, NULL, 'PTHR31089', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 2', NULL, NULL, 37124, 15),
(177967, NULL, 'PTHR23257:SF747', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0282895-RELATED', NULL, NULL, NULL, 15),
(177968, NULL, 'PTHR11640:SF14', NULL, NULL, NULL, NULL, 'KIN OF IRRE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(177969, NULL, 'PTHR10024:SF203', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177970, NULL, 'PTHR32153:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177971, NULL, 'PTHR23199:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SPAETZLE', NULL, NULL, NULL, 15),
(177972, NULL, 'PTHR10574:SF365', NULL, NULL, NULL, NULL, 'NETRIN-A-RELATED', NULL, NULL, NULL, 15),
(177973, NULL, 'PTHR33377:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177974, NULL, 'PTHR31286:SF78', NULL, NULL, NULL, NULL, 'BNACNNG21020D PROTEIN', NULL, NULL, NULL, 15),
(177975, NULL, 'PTHR31391:SF65', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(177976, NULL, 'PTHR14166:SF16', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 4', NULL, NULL, NULL, 15),
(177977, NULL, 'PTHR12236:SF45', NULL, NULL, NULL, NULL, 'PRO-RESILIN', NULL, NULL, NULL, 15),
(177978, NULL, 'PTHR33668', NULL, NULL, NULL, NULL, 'PROTEIN BRICK1', NULL, NULL, 35102, 15),
(177979, NULL, 'PTHR43622:SF3', NULL, NULL, NULL, NULL, '2-EPI-5-EPI-VALIOLONE SYNTHASE', NULL, NULL, NULL, 15),
(177980, NULL, 'PTHR45757:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG04877', NULL, NULL, NULL, 15),
(177981, NULL, 'PTHR12174:SF91', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 2A', NULL, NULL, NULL, 15),
(177982, NULL, 'PTHR31929:SF105', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(177983, NULL, 'PTHR19288:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177984, NULL, 'PTHR10768:SF26', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L37', NULL, NULL, NULL, 15),
(177985, NULL, 'PTHR33091', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, 24, 15),
(177986, NULL, 'PTHR21470:SF19', NULL, NULL, NULL, NULL, 'RAB6-INTERACTING GOLGIN-RELATED', NULL, NULL, NULL, 15),
(177987, NULL, 'PTHR47966:SF7', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE A1-LIKE', NULL, NULL, NULL, 15),
(177988, NULL, 'PTHR31008:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177989, NULL, 'PTHR21090:SF5', NULL, NULL, NULL, NULL, 'PENTAFUNCTIONAL AROM POLYPEPTIDE', NULL, NULL, NULL, 15),
(177990, NULL, 'PTHR33264:SF6', NULL, NULL, NULL, NULL, 'OS01G0661650 PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(177991, NULL, 'PTHR45634:SF10', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, NULL, 15),
(177992, NULL, 'PTHR24340:SF94', NULL, NULL, NULL, NULL, 'NK2 HOMEOBOX 1A-RELATED', NULL, NULL, NULL, 15),
(177993, NULL, 'PTHR13691:SF40', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L8-2', NULL, NULL, NULL, 15),
(177994, NULL, 'PTHR11132:SF376', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(177995, NULL, 'PTHR47990:SF127', NULL, NULL, NULL, NULL, 'LEUCOANTHOCYANIDIN DIOXYGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(177996, NULL, 'PTHR43811:SF19', NULL, NULL, NULL, NULL, '39 KDA FK506-BINDING NUCLEAR PROTEIN', NULL, NULL, NULL, 15),
(177997, NULL, 'PTHR47062:SF1', NULL, NULL, NULL, NULL, 'SMALL HEAT SHOCK PROTEIN IBPA', NULL, NULL, NULL, 15),
(177998, NULL, 'PTHR33083:SF8', NULL, NULL, NULL, NULL, 'OSJNBB0103I08.8 PROTEIN', NULL, NULL, NULL, 15),
(177999, NULL, 'PTHR10681:SF161', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-2', NULL, NULL, NULL, 15),
(178000, NULL, 'PTHR46073:SF8', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE', NULL, NULL, NULL, 15),
(178001, NULL, 'PTHR11616:SF158', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT GLYCINE TRANSPORTER 2', NULL, NULL, NULL, 15),
(178002, NULL, 'PTHR10529:SF354', NULL, NULL, NULL, NULL, 'BNAC05G08250D PROTEIN', NULL, NULL, NULL, 15),
(178003, NULL, 'PTHR46115:SF3', NULL, NULL, NULL, NULL, 'THIOREDOXIN-5-RELATED', NULL, NULL, NULL, 15),
(178004, NULL, 'PTHR23032:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178005, NULL, 'PTHR11829:SF162', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN D3', NULL, NULL, NULL, 15),
(178006, NULL, 'PTHR23257:SF824', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(178007, NULL, 'PTHR23049', NULL, NULL, NULL, NULL, 'MYOSIN REGULATORY LIGHT CHAIN 2', NULL, NULL, NULL, 15),
(178008, NULL, 'PTHR31344', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP205', NULL, NULL, 20349, 15),
(178009, NULL, 'PTHR23505:SF83', NULL, NULL, NULL, NULL, 'SPHINGOLIPID TRANSPORTER SPINSTER HOMOLOG 2-RELATED', NULL, NULL, NULL, 15),
(178010, NULL, 'PTHR10739:SF55', NULL, NULL, NULL, NULL, 'BNAA05G10750D PROTEIN', NULL, NULL, NULL, 15),
(178011, NULL, 'PTHR11661:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12', NULL, NULL, NULL, 15),
(178012, NULL, 'PTHR10209', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, 2OG-FE II  OXYGENASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(178013, NULL, 'PTHR31397:SF1', NULL, NULL, NULL, NULL, 'BLOC-1-RELATED COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(178014, NULL, 'PTHR10887:SF460', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178015, NULL, 'PTHR31382:SF4', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER', NULL, NULL, 3593, 15),
(178016, NULL, 'PTHR46213:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178017, NULL, 'PTHR46380:SF3', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4932411N23', NULL, NULL, NULL, 15),
(178018, NULL, 'PTHR47926:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178019, NULL, 'PTHR24027:SF322', NULL, NULL, NULL, NULL, 'CADHERIN-6', NULL, NULL, NULL, 15),
(178020, NULL, 'PTHR24064:SF575', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178021, NULL, 'PTHR12628', NULL, NULL, NULL, NULL, 'POLYCOMB-LIKE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(178022, NULL, 'PTHR24089:SF698', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ADENINE NUCLEOTIDE TRANSPORTER ADNT1-LIKE', NULL, NULL, NULL, 15),
(178023, NULL, 'PTHR24056:SF461', NULL, NULL, NULL, NULL, 'BNAC06G10110D PROTEIN', NULL, NULL, NULL, 15),
(178024, NULL, 'PTHR11668:SF465', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(178025, NULL, 'PTHR24404:SF69', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 835', NULL, NULL, NULL, 15),
(178026, NULL, 'PTHR33044:SF198', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN GPI-ANCHORED 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(178027, NULL, 'PTHR43060:SF10', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178028, NULL, 'PTHR11632:SF79', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN SUBUNIT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(178029, NULL, 'PTHR31338:SF19', NULL, NULL, NULL, NULL, 'F17F8.9-RELATED', NULL, NULL, NULL, 15),
(178030, NULL, 'PTHR31469:SF13', NULL, NULL, NULL, NULL, 'BNACNNG20370D PROTEIN', NULL, NULL, NULL, 15),
(178031, NULL, 'PTHR22904:SF525', NULL, NULL, NULL, NULL, 'AGAP004797-PA', NULL, NULL, NULL, 15),
(178032, NULL, 'PTHR23194:SF7', NULL, NULL, NULL, NULL, 'PYGOPUS HOMOLOG 2', NULL, NULL, NULL, 15),
(178033, NULL, 'PTHR42685:SF13', NULL, NULL, NULL, NULL, 'OS01G0265000 PROTEIN', NULL, NULL, NULL, 15),
(178034, NULL, 'PTHR48111:SF5', NULL, NULL, NULL, NULL, 'OMPR SUBFAMILY', NULL, NULL, NULL, 15),
(178035, NULL, 'PTHR35722', NULL, NULL, NULL, NULL, 'MAL D 1-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(178036, NULL, 'PTHR33237:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178037, NULL, 'PTHR31945:SF56', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH28', NULL, NULL, NULL, 15),
(178038, NULL, 'PTHR11003:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178039, NULL, 'PTHR33098:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178040, NULL, 'PTHR20905:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG06005', NULL, NULL, NULL, 15),
(178041, NULL, 'PTHR10751:SF108', NULL, NULL, NULL, NULL, 'GBP6 PROTEIN', NULL, NULL, NULL, 15),
(178042, NULL, 'PTHR35803:SF3', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(178043, NULL, 'PTHR31218:SF282', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(178044, NULL, 'PTHR10177:SF436', NULL, NULL, NULL, NULL, 'CYCLIN-A3-1-RELATED', NULL, NULL, NULL, 15),
(178045, NULL, 'PTHR34952', NULL, NULL, NULL, NULL, 'OS05G0113500 PROTEIN', NULL, NULL, NULL, 15),
(178046, NULL, 'PTHR11241', NULL, NULL, NULL, NULL, 'DEOXYURIDINE 5''-TRIPHOSPHATE NUCLEOTIDOHYDROLASE', NULL, NULL, 7311, 15),
(178047, NULL, 'PTHR47999:SF59', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WER-LIKE', NULL, NULL, NULL, 15),
(178048, NULL, 'PTHR31558:SF5', NULL, NULL, NULL, NULL, 'OS03G0759000 PROTEIN', NULL, NULL, NULL, 15),
(178049, NULL, 'PTHR23167:SF42', NULL, NULL, NULL, NULL, 'EH DOMAIN-BINDING PROTEIN 1-LIKE PROTEIN 1', NULL, NULL, 27016, 15),
(178050, NULL, 'PTHR33102:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178051, NULL, 'PTHR43349:SF36', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE-LIKE PROTEIN ISOFORM X1', NULL, NULL, NULL, 15),
(178052, NULL, 'PTHR10742:SF379', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 5-RELATED', NULL, NULL, NULL, 15),
(178053, NULL, 'PTHR21290:SF61', NULL, NULL, NULL, NULL, 'BNAA04G21700D PROTEIN', NULL, NULL, NULL, 15),
(178054, NULL, 'PTHR13131', NULL, NULL, NULL, NULL, 'CYSTINOSIN', NULL, NULL, 4084, 15),
(178055, NULL, 'PTHR22835:SF604', NULL, NULL, NULL, NULL, 'OS01G0216300 PROTEIN', NULL, NULL, NULL, 15),
(178056, NULL, 'PTHR47979:SF32', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB11B-RELATED', NULL, NULL, NULL, 15),
(178057, NULL, 'PTHR14920', NULL, NULL, NULL, NULL, 'OSMOTIC AVOIDANCE ABNORMAL PROTEIN 1/WD REPEAT MEMBRANE PROTEIN', NULL, NULL, 31826, 15),
(178058, NULL, 'PTHR45654:SF30', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG2', NULL, NULL, NULL, 15),
(178059, NULL, 'PTHR24253:SF95', NULL, NULL, NULL, NULL, 'AGAP002813-PA', NULL, NULL, NULL, 15),
(178060, NULL, 'PTHR45707', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(178061, NULL, 'PTHR48005:SF20', NULL, NULL, NULL, NULL, 'ICE RECRYSTALLIZATION INHIBITION PROTEIN 1', NULL, NULL, NULL, 15),
(178062, NULL, 'PTHR10529:SF346', NULL, NULL, NULL, NULL, 'ADAPTOR-RELATED PROTEIN COMPLEX 1 SUBUNIT MU 3', NULL, NULL, NULL, 15),
(178063, NULL, 'PTHR15564:SF4', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN/RETINOIC ACID-INDUCIBLE NEURAL-SPECIFIC 2', NULL, NULL, NULL, 15),
(178064, NULL, 'PTHR48004:SF41', NULL, NULL, NULL, NULL, 'DNA-DAMAGE-REPAIR/TOLERATION PROTEIN DRT100', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178065, NULL, 'PTHR12114:SF7', NULL, NULL, NULL, NULL, 'BETA-PARVIN', NULL, NULL, NULL, 15),
(178066, NULL, 'PTHR11348:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CYR61', NULL, NULL, NULL, 15),
(178067, NULL, 'PTHR38000:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 2900092C05', NULL, NULL, NULL, 15),
(178068, NULL, 'PTHR13025:SF5', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN-CONTAINING PROTEIN D1', NULL, NULL, NULL, 15),
(178069, NULL, 'PTHR42798:SF1', NULL, NULL, NULL, NULL, 'ALPHA-D-RIBOSE 1-METHYLPHOSPHONATE 5-TRIPHOSPHATE SYNTHASE SUBUNIT PHNL', NULL, NULL, NULL, 15),
(178070, NULL, 'PTHR24256:SF482', NULL, NULL, NULL, NULL, 'AGAP008998-PA', NULL, NULL, NULL, 15),
(178071, NULL, 'PTHR10533:SF14', NULL, NULL, NULL, NULL, 'PEPTIDE YY-RELATED', NULL, NULL, NULL, 15),
(178072, NULL, 'PTHR47293:SF50', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 1-LIKE', NULL, NULL, NULL, 15),
(178073, NULL, 'PTHR31503:SF43', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 1', NULL, NULL, NULL, 15),
(178074, NULL, 'PTHR23299:SF42', NULL, NULL, NULL, NULL, 'T0058857 ISOFORM 1', NULL, NULL, NULL, 15),
(178075, NULL, 'PTHR31920:SF82', NULL, NULL, NULL, NULL, 'BNAA09G07640D PROTEIN', NULL, NULL, NULL, 15),
(178076, NULL, 'PTHR43648:SF1', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN BETA SUBUNIT LYSINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(178077, NULL, 'PTHR33048:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178078, NULL, 'PTHR24055:SF468', NULL, NULL, NULL, NULL, 'BNAA02G05970D PROTEIN', NULL, NULL, NULL, 15),
(178079, NULL, 'PTHR34049:SF1', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP27', NULL, NULL, NULL, 15),
(178080, NULL, 'PTHR31832:SF61', NULL, NULL, NULL, NULL, 'BNAC06G30820D PROTEIN', NULL, NULL, NULL, 15),
(178081, NULL, 'PTHR19229:SF34', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 1', NULL, NULL, 26777, 15),
(178082, NULL, 'PTHR46560:SF10', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(178083, NULL, 'PTHR42844:SF1', NULL, NULL, NULL, NULL, 'DIHYDRONEOPTERIN ALDOLASE 1-RELATED', NULL, NULL, NULL, 15),
(178084, NULL, 'PTHR13808:SF41', NULL, NULL, NULL, NULL, 'BNAA01G30150D PROTEIN', NULL, NULL, NULL, 15),
(178085, NULL, 'PTHR45927:SF15', NULL, NULL, NULL, NULL, 'OS02G0681700 PROTEIN', NULL, NULL, NULL, 15),
(178086, NULL, 'PTHR10801:SF0', NULL, NULL, NULL, NULL, 'DELTA(24)-STEROL REDUCTASE', NULL, NULL, NULL, 15),
(178087, NULL, 'PTHR44042:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178088, NULL, 'PTHR23238', NULL, NULL, NULL, NULL, 'RNA BINDING PROTEIN', NULL, NULL, 31327, 15),
(178089, NULL, 'PTHR12547:SF18', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN MEX-5-RELATED', NULL, NULL, NULL, 15),
(178090, NULL, 'PTHR47292', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR (TFIIS) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(178091, NULL, 'PTHR11726:SF40', NULL, NULL, NULL, NULL, 'BNAA06G09110D PROTEIN', NULL, NULL, NULL, 15),
(178092, NULL, 'PTHR46410:SF12', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 2', NULL, NULL, NULL, 15),
(178093, NULL, 'PTHR14758', NULL, NULL, NULL, NULL, 'AGAP005440-PA', NULL, NULL, 26139, 15),
(178094, NULL, 'PTHR31992:SF112', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.2-RELATED', NULL, NULL, NULL, 15),
(178095, NULL, 'PTHR15911', NULL, NULL, NULL, NULL, 'WW DOMAIN-CONTAINING ADAPTER PROTEIN WITH COILED-COIL', NULL, NULL, 34023, 15),
(178096, NULL, 'PTHR45647:SF94', NULL, NULL, NULL, NULL, 'OS02G0822900 PROTEIN', NULL, NULL, NULL, 15),
(178097, NULL, 'PTHR24052:SF11', NULL, NULL, NULL, NULL, 'PROTEIN DELTA HOMOLOG 1', NULL, NULL, NULL, 15),
(178098, NULL, 'PTHR16296:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 126A', NULL, NULL, NULL, 15),
(178099, NULL, 'PTHR24078:SF538', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK FAMILY PROTEIN', NULL, NULL, NULL, 15),
(178100, NULL, 'PTHR11961:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178101, NULL, 'PTHR48111:SF8', NULL, NULL, NULL, NULL, 'RESPONSE REGULATOR, PATAN AND FRGAF DOMAIN-CONTAINING', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178102, NULL, 'PTHR15588:SF15', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM8', NULL, NULL, NULL, 15),
(178103, NULL, 'PTHR45752:SF21', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 63', NULL, NULL, NULL, 15),
(178104, NULL, 'PTHR16932:SF26', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-INDUCIBLE PROTEIN 27-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(178105, NULL, 'PTHR30204:SF16', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CUER', NULL, NULL, NULL, 15),
(178106, NULL, 'PTHR46790:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN N', NULL, NULL, NULL, 15),
(178107, NULL, 'PTHR16254:SF15', NULL, NULL, NULL, NULL, 'K(+) EFFLUX ANTIPORTER 6', NULL, NULL, NULL, 15),
(178108, NULL, 'PTHR45613:SF444', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(178109, NULL, 'PTHR13610:SF5', NULL, NULL, NULL, NULL, 'PROTEIN N-LYSINE METHYLTRANSFERASE FAM173A', NULL, NULL, NULL, 15),
(178110, NULL, 'PTHR30590:SF3', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE SPANNING PROTEIN', NULL, NULL, NULL, 15),
(178111, NULL, 'PTHR11736:SF88', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN B17', NULL, NULL, NULL, 15),
(178112, NULL, 'PTHR11866:SF5', NULL, NULL, NULL, NULL, 'THROMBOXANE A2 RECEPTOR', NULL, NULL, NULL, 15),
(178113, NULL, 'PTHR21312:SF31', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 13', NULL, NULL, NULL, 15),
(178114, NULL, 'PTHR31087:SF121', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(178115, NULL, 'PTHR10812:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-2 GAMMA', NULL, NULL, NULL, 15),
(178116, NULL, 'PTHR38827:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178117, NULL, 'PTHR11558:SF28', NULL, NULL, NULL, NULL, 'SYNTHASE 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(178118, NULL, 'PTHR30406', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORT SYSTEM PERMEASE PROTEIN', NULL, NULL, 3857, 15),
(178119, NULL, 'PTHR33078:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178120, NULL, 'PTHR11926:SF391', NULL, NULL, NULL, NULL, 'OS04G0326201 PROTEIN', NULL, NULL, NULL, 15),
(178121, NULL, 'PTHR10031:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178122, NULL, 'PTHR46991:SF29', NULL, NULL, NULL, NULL, 'BNAC08G47960D PROTEIN', NULL, NULL, NULL, 15),
(178123, NULL, 'PTHR32021:SF42', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(178124, NULL, 'PTHR15591:SF15', NULL, NULL, NULL, NULL, 'FARNESYL DIPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(178125, NULL, 'PTHR31582:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS A (ALPHA)-RELATED', NULL, NULL, NULL, 15),
(178126, NULL, 'PTHR38780', NULL, NULL, NULL, NULL, 'PROTEIN TUSC', NULL, NULL, 21405, 15),
(178127, NULL, 'PTHR11685:SF367', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(178128, NULL, 'PTHR47117', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 9', NULL, NULL, 38371, 15),
(178129, NULL, 'PTHR11685:SF319', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(178130, NULL, 'PTHR33021:SF182', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(178131, NULL, 'PTHR34365:SF8', NULL, NULL, NULL, NULL, 'GLYCINE-RICH DOMAIN-CONTAINING PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(178132, NULL, 'PTHR21553:SF25', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 295 KDA', NULL, NULL, 26694, 15),
(178133, NULL, 'PTHR32026:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178134, NULL, 'PTHR11042:SF136', NULL, NULL, NULL, NULL, 'GCN2, ISOFORM C', NULL, NULL, NULL, 15),
(178135, NULL, 'PTHR10585:SF58', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR C28H8.4-RELATED', NULL, NULL, NULL, 15),
(178136, NULL, 'PTHR47926:SF216', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178137, NULL, 'PTHR22738:SF3', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, 29719, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178138, NULL, 'PTHR47990:SF45', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 6', NULL, NULL, NULL, 15),
(178139, NULL, 'PTHR10201:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178140, NULL, 'PTHR24327:SF29', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN VENTX', NULL, NULL, NULL, 15),
(178141, NULL, 'PTHR13077:SF7', NULL, NULL, NULL, NULL, 'SELENOPROTEIN M', NULL, NULL, NULL, 15),
(178142, NULL, 'PTHR13411:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-281', NULL, NULL, NULL, 15),
(178143, NULL, 'PTHR10683:SF18', NULL, NULL, NULL, NULL, 'TRANSALDOLASE', NULL, NULL, 3639, 15),
(178144, NULL, 'PTHR27003:SF282', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178145, NULL, 'PTHR33563:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178146, NULL, 'PTHR31803:SF6', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(178147, NULL, 'PTHR24377:SF864', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 606', NULL, NULL, NULL, 15),
(178148, NULL, 'PTHR45675:SF38', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(178149, NULL, 'PTHR33648:SF8', NULL, NULL, NULL, NULL, 'OSJNBA0019K04.5 PROTEIN', NULL, NULL, NULL, 15),
(178150, NULL, 'PTHR32089:SF41', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN', NULL, NULL, NULL, 15),
(178151, NULL, 'PTHR31625:SF9', NULL, NULL, NULL, NULL, 'OS08G0174100 PROTEIN', NULL, NULL, NULL, 15),
(178152, NULL, 'PTHR22597:SF0', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN SUZ12', NULL, NULL, NULL, 15),
(178153, NULL, 'PTHR13140:SF498', NULL, NULL, NULL, NULL, 'DACHS, ISOFORM E', NULL, NULL, NULL, 15),
(178154, NULL, 'PTHR10398', NULL, NULL, NULL, NULL, 'AFADIN', NULL, NULL, NULL, 15),
(178155, NULL, 'PTHR34199:SF6', NULL, NULL, NULL, NULL, 'BNAC03G78190D PROTEIN', NULL, NULL, NULL, 15),
(178156, NULL, 'PTHR31352:SF45', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', NULL, NULL, NULL, 15),
(178157, NULL, 'PTHR10217:SF633', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178158, NULL, 'PTHR16305:SF32', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE 10', NULL, NULL, NULL, 15),
(178159, NULL, 'PTHR37384:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178160, NULL, 'PTHR16675:SF244', NULL, NULL, NULL, NULL, 'H-2 CLASS I HISTOCOMPATIBILITY ANTIGEN, D-37 ALPHA CHAIN', NULL, NULL, NULL, 15),
(178161, NULL, 'PTHR24221:SF532', NULL, NULL, NULL, NULL, 'TRANSPORTER 1, ATP-BINDING CASSETTE, SUB-FAMILY B (MDR/TAP)', NULL, NULL, NULL, 15),
(178162, NULL, 'PTHR11132:SF282', NULL, NULL, NULL, NULL, 'JC8.12-LIKE PROTEIN', NULL, NULL, NULL, 15),
(178163, NULL, 'PTHR31942:SF92', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(178164, NULL, 'PTHR11003:SF284', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL PROTEIN TREK2A', NULL, NULL, NULL, 15),
(178165, NULL, 'PTHR10332:SF73', NULL, NULL, NULL, NULL, 'EQUILIBRATIVE NUCLEOTIDE TRANSPORTER 2', NULL, NULL, NULL, 15),
(178166, NULL, 'PTHR31549:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178167, NULL, 'PTHR10285:SF180', NULL, NULL, NULL, NULL, 'URIDINE KINASE', NULL, NULL, NULL, 15),
(178168, NULL, 'PTHR33165:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178169, NULL, 'PTHR33127:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178170, NULL, 'PTHR33433:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178171, NULL, 'PTHR12400:SF86', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE MULTIKINASE', NULL, NULL, NULL, 15),
(178172, NULL, 'PTHR31225:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178173, NULL, 'PTHR45863:SF28', NULL, NULL, NULL, NULL, 'BNACNNG43070D PROTEIN', NULL, NULL, NULL, 15),
(178174, NULL, 'PTHR48011:SF69', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE YODA', NULL, NULL, NULL, 15),
(178175, NULL, 'PTHR13046:SF0', NULL, NULL, NULL, NULL, 'CAAX PRENYL PROTEASE 2', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178176, NULL, 'PTHR24216:SF58', NULL, NULL, NULL, NULL, 'PAXILLIN-B', NULL, NULL, NULL, 15),
(178177, NULL, 'PTHR23024:SF247', NULL, NULL, NULL, NULL, 'GENE 13124-RELATED', NULL, NULL, NULL, 15),
(178178, NULL, 'PTHR45649:SF25', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(178179, NULL, 'PTHR22941:SF36', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(178180, NULL, 'PTHR31072:SF133', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR CYCLOIDEA-LIKE', NULL, NULL, NULL, 15),
(178181, NULL, 'PTHR47967:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178182, NULL, 'PTHR22601:SF62', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 1', NULL, NULL, NULL, 15),
(178183, NULL, 'PTHR39414:SF1', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN 5', NULL, NULL, NULL, 15),
(178184, NULL, 'PTHR24366:SF112', NULL, NULL, NULL, NULL, 'VASORIN B', NULL, NULL, NULL, 15),
(178185, NULL, 'PTHR10766:SF127', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(178186, NULL, 'PTHR15224:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178187, NULL, 'PTHR45901:SF2', NULL, NULL, NULL, NULL, 'LIPOXYGENASE HOMOLOGY DOMAINS 1B', NULL, NULL, NULL, 15),
(178188, NULL, 'PTHR11886:SF98', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(178189, NULL, 'PTHR11134:SF13', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT BETA', NULL, NULL, NULL, 15),
(178190, NULL, 'PTHR32077:SF69', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 7', NULL, NULL, NULL, 15),
(178191, NULL, 'PTHR40622:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178192, NULL, 'PTHR24223:SF166', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY C (CFTR/MRP), MEMBER 13', NULL, NULL, NULL, 15),
(178193, NULL, 'PTHR14155:SF296', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL57', NULL, NULL, NULL, 15),
(178194, NULL, 'PTHR32191:SF60', NULL, NULL, NULL, NULL, 'TETRASPANIN-7', NULL, NULL, NULL, 15),
(178195, NULL, 'PTHR34716', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178196, NULL, 'PTHR31374:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178197, NULL, 'PTHR12802:SF46', NULL, NULL, NULL, NULL, 'MPN DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(178198, NULL, 'PTHR11604:SF36', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(178199, NULL, 'PTHR11441:SF0', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE, CYTOSOLIC', NULL, NULL, NULL, 15),
(178200, NULL, 'PTHR12425:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-195B15.7', NULL, NULL, NULL, 15),
(178201, NULL, 'PTHR45914:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HEC2', NULL, NULL, NULL, 15),
(178202, NULL, 'PTHR12419:SF13', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 6A', NULL, NULL, NULL, 15),
(178203, NULL, 'PTHR11439:SF273', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN BOP1 HOMOLOG', NULL, NULL, NULL, 15),
(178204, NULL, 'PTHR45648:SF103', NULL, NULL, NULL, NULL, 'BNAA05G14080D PROTEIN', NULL, NULL, NULL, 15),
(178205, NULL, 'PTHR44102:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MPCBP, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(178206, NULL, 'PTHR30344:SF8', NULL, NULL, NULL, NULL, 'PERIPLASMIC GLUCONOLACTONASE, PPGL', NULL, NULL, NULL, 15),
(178207, NULL, 'PTHR34853:SF1', NULL, NULL, NULL, NULL, 'LIPASE 5', NULL, NULL, NULL, 15),
(178208, NULL, 'PTHR30390:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOHEPTOSE ISOMERASE', NULL, NULL, NULL, 15),
(178209, NULL, 'PTHR43634:SF10', NULL, NULL, NULL, NULL, 'BNAANNG21790D PROTEIN', NULL, NULL, NULL, 15),
(178210, NULL, 'PTHR20986:SF16', NULL, NULL, NULL, NULL, 'FMRFAMIDE-LIKE NEUROPEPTIDES 7', NULL, NULL, NULL, 15),
(178211, NULL, 'PTHR39602:SF2', NULL, NULL, NULL, NULL, 'ACW-9', NULL, NULL, NULL, 15),
(178212, NULL, 'PTHR16318:SF0', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE SUBUNIT PEN-2', NULL, NULL, NULL, 15),
(178213, NULL, 'PTHR12372:SF6', NULL, NULL, NULL, NULL, 'PECANEX-LIKE PROTEIN 4', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178214, NULL, 'PTHR11129:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PRENYLTRANSFERASE ALPHA SUBUNIT REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(178215, NULL, 'PTHR45778:SF7', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(178216, NULL, 'PTHR13419:SF0', NULL, NULL, NULL, NULL, 'AGAP007178-PA', NULL, NULL, NULL, 15),
(178217, NULL, 'PTHR46057:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178218, NULL, 'PTHR11228:SF22', NULL, NULL, NULL, NULL, 'SLR1507 PROTEIN', NULL, NULL, NULL, 15),
(178219, NULL, 'PTHR33681:SF16', NULL, NULL, NULL, NULL, 'OS12G0165400 PROTEIN', NULL, NULL, NULL, 15),
(178220, NULL, 'PTHR13005', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH HYDROPHOBIC DOMAIN PROTEIN  BRAIN X-LINKED PROTEIN', NULL, NULL, 34867, 15),
(178221, NULL, 'PTHR11412:SF133', NULL, NULL, NULL, NULL, 'MURINOGLOBULIN-1-RELATED', NULL, NULL, NULL, 15),
(178222, NULL, 'PTHR43176:SF12', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE-LIKE PROTEIN 5 ISOFORM X1', NULL, NULL, NULL, 15),
(178223, NULL, 'PTHR33605:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178224, NULL, 'PTHR14965:SF2', NULL, NULL, NULL, NULL, 'BCL-2-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(178225, NULL, 'PTHR45621:SF159', NULL, NULL, NULL, NULL, 'BNAA08G14940D PROTEIN', NULL, NULL, NULL, 15),
(178226, NULL, 'PTHR11260:SF616', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(178227, NULL, 'PTHR43999:SF4', NULL, NULL, NULL, NULL, 'DNAJ AND MYB-LIKE DNA-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(178228, NULL, 'PTHR31561:SF161', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(178229, NULL, 'PTHR46640:SF1', NULL, NULL, NULL, NULL, 'TRIACYLGLYCEROL LIPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G06510)-RELATED', NULL, NULL, NULL, 15),
(178230, NULL, 'PTHR11814:SF220', NULL, NULL, NULL, NULL, 'SLC26A/SULP TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(178231, NULL, 'PTHR34844:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178232, NULL, 'PTHR31930:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS R', NULL, NULL, NULL, 15),
(178233, NULL, 'PTHR24176', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 31-RELATED', NULL, NULL, 38131, 15),
(178234, NULL, 'PTHR21064:SF4', NULL, NULL, NULL, NULL, 'HOMOSERINE KINASE', NULL, NULL, NULL, 15),
(178235, NULL, 'PTHR30068:SF4', NULL, NULL, NULL, NULL, 'URONATE ISOMERASE', NULL, NULL, NULL, 15),
(178236, NULL, 'PTHR44598', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE C', NULL, NULL, 37954, 15),
(178237, NULL, 'PTHR10168:SF220', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S6-LIKE', NULL, NULL, NULL, 15),
(178238, NULL, 'PTHR24244:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178239, NULL, 'PTHR32009:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178240, NULL, 'PTHR13857:SF43', NULL, NULL, NULL, NULL, 'DNA DC-DU-EDITING ENZYME APOBEC-3H', NULL, NULL, NULL, 15),
(178241, NULL, 'PTHR37882:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PROTEIN LOC690352', NULL, NULL, NULL, 15),
(178242, NULL, 'PTHR43337:SF4', NULL, NULL, NULL, NULL, 'GUANINE/HYPOXANTHINE PERMEASE GHXQ', NULL, NULL, NULL, 15),
(178243, NULL, 'PTHR36510:SF2', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE', NULL, NULL, NULL, 15),
(178244, NULL, 'PTHR23149:SF27', NULL, NULL, NULL, NULL, 'PIN2/TERF1-INTERACTING TELOMERASE INHIBITOR 1', NULL, NULL, NULL, 15),
(178245, NULL, 'PTHR11571:SF150', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE ALPHA-3-RELATED', NULL, NULL, NULL, 15),
(178246, NULL, 'PTHR45981:SF3', NULL, NULL, NULL, NULL, 'LD02310P', NULL, NULL, NULL, 15),
(178247, NULL, 'PTHR12929', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 52', NULL, NULL, 14708, 15),
(178248, NULL, 'PTHR31062:SF57', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(178249, NULL, 'PTHR24404:SF55', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN PEGASUS', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178250, NULL, 'PTHR11349:SF44', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE II, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(178251, NULL, 'PTHR23239:SF98', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA3-I', NULL, NULL, NULL, 15),
(178252, NULL, 'PTHR12992:SF31', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(178253, NULL, 'PTHR43952:SF11', NULL, NULL, NULL, NULL, 'OS01G0635200 PROTEIN', NULL, NULL, NULL, 15),
(178254, NULL, 'PTHR12093:SF9', NULL, NULL, NULL, NULL, 'NCK-ASSOCIATED PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(178255, NULL, 'PTHR23201:SF60', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 5', NULL, NULL, NULL, 15),
(178256, NULL, 'PTHR47525:SF1', NULL, NULL, NULL, NULL, 'OS07G0295200 PROTEIN', NULL, NULL, NULL, 15),
(178257, NULL, 'PTHR22600', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE', NULL, NULL, 28004, 15),
(178258, NULL, 'PTHR10165:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178259, NULL, 'PTHR18952:SF240', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 7-LIKE', NULL, NULL, NULL, 15),
(178260, NULL, 'PTHR12673:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178261, NULL, 'PTHR12308:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178262, NULL, 'PTHR21258:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178263, NULL, 'PTHR10334:SF220', NULL, NULL, NULL, NULL, 'GLIPR1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(178264, NULL, 'PTHR24056:SF46', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT-LIKE KINASE 5', NULL, NULL, NULL, 15),
(178265, NULL, 'PTHR37300', NULL, NULL, NULL, NULL, 'UPF0291 PROTEIN CBO2609/CLC_2481', NULL, NULL, 13999, 15),
(178266, NULL, 'PTHR48021:SF64', NULL, NULL, NULL, NULL, 'BNAA02G35880D PROTEIN', NULL, NULL, NULL, 15),
(178267, NULL, 'PTHR12378:SF44', NULL, NULL, NULL, NULL, 'DESUMOYLATING ISOPEPTIDASE 2-LIKE', NULL, NULL, NULL, 15),
(178268, NULL, 'PTHR15710:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178269, NULL, 'PTHR16223:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178270, NULL, 'PTHR11610:SF149', NULL, NULL, NULL, NULL, 'FI01450P-RELATED', NULL, NULL, NULL, 15),
(178271, NULL, 'PTHR14628:SF1', NULL, NULL, NULL, NULL, 'BEN DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(178272, NULL, 'PTHR35829:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178273, NULL, 'PTHR31998:SF44', NULL, NULL, NULL, NULL, 'BNAA09G56670D PROTEIN', NULL, NULL, NULL, 15),
(178274, NULL, 'PTHR21654:SF79', NULL, NULL, NULL, NULL, 'BNAA03G00390D PROTEIN', NULL, NULL, 24231, 15),
(178275, NULL, 'PTHR43806:SF42', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL PEPTIDASE II', NULL, NULL, NULL, 15),
(178276, NULL, 'PTHR47068:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT3', NULL, NULL, NULL, 15),
(178277, NULL, 'PTHR23024:SF500', NULL, NULL, NULL, NULL, 'BNAC06G02750D PROTEIN', NULL, NULL, NULL, 15),
(178278, NULL, 'PTHR31929:SF81', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(178279, NULL, 'PTHR46128:SF149', NULL, NULL, NULL, NULL, 'OS09G0267300 PROTEIN', NULL, NULL, NULL, 15),
(178280, NULL, 'PTHR19443:SF72', NULL, NULL, NULL, NULL, 'HEXOKINASE YLR446W-RELATED', NULL, NULL, NULL, 15),
(178281, NULL, 'PTHR11119:SF3', NULL, NULL, NULL, NULL, 'LD30822P', NULL, NULL, NULL, 15),
(178282, NULL, 'PTHR15711:SF57', NULL, NULL, NULL, NULL, 'RAP1 GTPASE-ACTIVATING PROTEIN 2B', NULL, NULL, NULL, 15),
(178283, NULL, 'PTHR47982:SF10', NULL, NULL, NULL, NULL, 'OS07G0137800 PROTEIN', NULL, NULL, NULL, 15),
(178284, NULL, 'PTHR36947:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG03147', NULL, NULL, NULL, 15),
(178285, NULL, 'PTHR24115:SF400', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF16B', NULL, NULL, NULL, 15),
(178286, NULL, 'PTHR45794:SF2', NULL, NULL, NULL, NULL, 'LEUCYL-TRNA SYNTHETASE-RELATED', NULL, NULL, NULL, 15),
(178287, NULL, 'PTHR31238:SF179', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178288, NULL, 'PTHR31079:SF23', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(178289, NULL, 'PTHR11885', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S15P/S13E', NULL, NULL, 15178, 15),
(178290, NULL, 'PTHR24409:SF375', NULL, NULL, NULL, NULL, 'SNAIL FAMILY ZINC FINGER 2 TRANSCRIPTION FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(178291, NULL, 'PTHR15241:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178292, NULL, 'PTHR31204:SF7', NULL, NULL, NULL, NULL, 'BNAC08G46350D PROTEIN', NULL, NULL, NULL, 15),
(178293, NULL, 'PTHR27008:SF222', NULL, NULL, NULL, NULL, 'OS08G0248100 PROTEIN', NULL, NULL, NULL, 15),
(178294, NULL, 'PTHR30615:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178295, NULL, 'PTHR37904:SF2', NULL, NULL, NULL, NULL, 'OS10G0566900 PROTEIN', NULL, NULL, NULL, 15),
(178296, NULL, 'PTHR48189:SF3', NULL, NULL, NULL, NULL, 'BNAA10G07240D PROTEIN', NULL, NULL, NULL, 15),
(178297, NULL, 'PTHR24381:SF265', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 266', NULL, NULL, NULL, 15),
(178298, NULL, 'PTHR10502:SF102', NULL, NULL, NULL, NULL, 'ANNEXIN B11', NULL, NULL, NULL, 15),
(178299, NULL, 'PTHR31145:SF4', NULL, NULL, NULL, NULL, 'FLAVIN CARRIER PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(178300, NULL, 'PTHR45631:SF69', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE MEE39-RELATED', NULL, NULL, NULL, 15),
(178301, NULL, 'PTHR11659:SF0', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(178302, NULL, 'PTHR35826:SF3', NULL, NULL, NULL, NULL, 'GENE 45521-RELATED', NULL, NULL, NULL, 15),
(178303, NULL, 'PTHR40738:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178304, NULL, 'PTHR31692:SF96', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN B1', NULL, NULL, NULL, 15),
(178305, NULL, 'PTHR10166:SF48', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-180', NULL, NULL, NULL, 15),
(178306, NULL, 'PTHR46350:SF3', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN FAMILY MEMBER 10A', NULL, NULL, NULL, 15),
(178307, NULL, 'PTHR22844:SF341', NULL, NULL, NULL, NULL, 'OS06G0238700 PROTEIN', NULL, NULL, NULL, 15),
(178308, NULL, 'PTHR31744:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178309, NULL, 'PTHR10640:SF7', NULL, NULL, NULL, NULL, 'METHYLTHIORIBULOSE-1-PHOSPHATE DEHYDRATASE', NULL, NULL, NULL, 15),
(178310, NULL, 'PTHR34482:SF28', NULL, NULL, NULL, NULL, 'OS02G0566300 PROTEIN', NULL, NULL, NULL, 15),
(178311, NULL, 'PTHR12377:SF7', NULL, NULL, NULL, NULL, 'PROTEIN AE7-LIKE 2', NULL, NULL, NULL, 15),
(178312, NULL, 'PTHR22993:SF10', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 8-LIKE 3', NULL, NULL, NULL, 15),
(178313, NULL, 'PTHR22978:SF6', NULL, NULL, NULL, NULL, 'PROTEIN BTG3', NULL, NULL, NULL, 15),
(178314, NULL, 'PTHR24009:SF33', NULL, NULL, NULL, NULL, 'BNAC07G32610D PROTEIN', NULL, NULL, NULL, 15),
(178315, NULL, 'PTHR43255', NULL, NULL, NULL, NULL, 'IRON-SULFUR-BINDING OXIDOREDUCTASE FADF-RELATED-RELATED', NULL, NULL, NULL, 15),
(178316, NULL, 'PTHR33543:SF22', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN, FAMILY 15, PLANT-RELATED', NULL, NULL, NULL, 15),
(178317, NULL, 'PTHR45626:SF27', NULL, NULL, NULL, NULL, 'BNAA01G36010D PROTEIN', NULL, NULL, NULL, 15),
(178318, NULL, 'PTHR12558:SF32', NULL, NULL, NULL, NULL, 'LIPOPROTEIN NLPI', NULL, NULL, NULL, 15),
(178319, NULL, 'PTHR24078:SF560', NULL, NULL, NULL, NULL, 'BNAA10G08820D PROTEIN', NULL, NULL, NULL, 15),
(178320, NULL, 'PTHR11945:SF627', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178321, NULL, 'PTHR45650:SF28', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(178322, NULL, 'PTHR21227', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN2', NULL, NULL, 2113, 15),
(178323, NULL, 'PTHR11839:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178324, NULL, 'PTHR11652:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN, SMALL', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178325, NULL, 'PTHR34630:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178326, NULL, 'PTHR22814:SF299', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 29', NULL, NULL, NULL, 15),
(178327, NULL, 'PTHR11422', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD4', NULL, NULL, NULL, 15),
(178328, NULL, 'PTHR42838:SF1', NULL, NULL, NULL, NULL, 'NITROUS-OXIDE REDUCTASE', NULL, NULL, NULL, 15),
(178329, NULL, 'PTHR35275:SF6', NULL, NULL, NULL, NULL, 'BNACNNG37810D PROTEIN', NULL, NULL, NULL, 15),
(178330, NULL, 'PTHR31279:SF56', NULL, NULL, NULL, NULL, 'EXORDIUM LIKE 6-RELATED', NULL, NULL, NULL, 15),
(178331, NULL, 'PTHR33450:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178332, NULL, 'PTHR43130', NULL, NULL, NULL, NULL, 'ARAC-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(178333, NULL, 'PTHR31677:SF108', NULL, NULL, NULL, NULL, 'BNAC03G58300D PROTEIN', NULL, NULL, NULL, 15),
(178334, NULL, 'PTHR16675:SF198', NULL, NULL, NULL, NULL, 'ZINC-ALPHA-2-GLYCOPROTEIN', NULL, NULL, NULL, 15),
(178335, NULL, 'PTHR11289:SF0', NULL, NULL, NULL, NULL, 'BREAST CANCER TYPE 2 SUSCEPTIBILITY PROTEIN', NULL, NULL, NULL, 15),
(178336, NULL, 'PTHR24343:SF306', NULL, NULL, NULL, NULL, '5''-AMP-ACTIVATED PROTEIN KINASE CATALYTIC SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(178337, NULL, 'PTHR45649:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178338, NULL, 'PTHR43662:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178339, NULL, 'PTHR31639:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178340, NULL, 'PTHR34838:SF2', NULL, NULL, NULL, NULL, 'OS08G0142900 PROTEIN', NULL, NULL, NULL, 15),
(178341, NULL, 'PTHR30406:SF9', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORT SYSTEM PERMEASE PROTEIN CYSW', NULL, NULL, 14440, 15),
(178342, NULL, 'PTHR45728:SF3', NULL, NULL, NULL, NULL, 'ACETYL-COA CARBOXYLASE, ISOFORM A', NULL, NULL, NULL, 15),
(178343, NULL, 'PTHR45792', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL LIPASE HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(178344, NULL, 'PTHR22937:SF153', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MBR2-LIKE', NULL, NULL, NULL, 15),
(178345, NULL, 'PTHR19944:SF46', NULL, NULL, NULL, NULL, 'HLA CLASS II HISTOCOMPATIBILITY ANTIGEN, DP BETA 1 CHAIN', NULL, NULL, NULL, 15),
(178346, NULL, 'PTHR34998:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178347, NULL, 'PTHR36373:SF3', NULL, NULL, NULL, NULL, 'BNACNNG36630D PROTEIN', NULL, NULL, NULL, 15),
(178348, NULL, 'PTHR33463:SF92', NULL, NULL, NULL, NULL, 'NB-ARC-RELATED', NULL, NULL, NULL, 15),
(178349, NULL, 'PTHR47678:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 31', NULL, NULL, NULL, 15),
(178350, NULL, 'PTHR15904:SF18', NULL, NULL, NULL, NULL, 'PROTEIN FAM13A', NULL, NULL, NULL, 15),
(178351, NULL, 'PTHR28260:SF1', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT SPC105', NULL, NULL, NULL, 15),
(178352, NULL, 'PTHR42866', NULL, NULL, NULL, NULL, '3-DEOXY-MANNO-OCTULOSONATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(178353, NULL, 'PTHR48133', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178354, NULL, 'PTHR10788:SF22', NULL, NULL, NULL, NULL, 'OS01G0730300 PROTEIN', NULL, NULL, NULL, 15),
(178355, NULL, 'PTHR16771:SF8', NULL, NULL, NULL, NULL, 'OS01G0316800 PROTEIN', NULL, NULL, NULL, 15),
(178356, NULL, 'PTHR21581:SF26', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE ENDOPEPTIDASE', NULL, NULL, NULL, 15),
(178357, NULL, 'PTHR32212:SF253', NULL, NULL, NULL, NULL, 'EMB|CAB62440.1', NULL, NULL, NULL, 15),
(178358, NULL, 'PTHR24056:SF329', NULL, NULL, NULL, NULL, 'OS12G0427450 PROTEIN', NULL, NULL, NULL, 15),
(178359, NULL, 'PTHR31069:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR ALNR-RELATED', NULL, NULL, NULL, 15),
(178360, NULL, 'PTHR10277:SF67', NULL, NULL, NULL, NULL, 'BNAA02G36350D PROTEIN', NULL, NULL, NULL, 15),
(178361, NULL, 'PTHR19376:SF56', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178362, NULL, 'PTHR47926:SF125', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(178363, NULL, 'PTHR34126:SF3', NULL, NULL, NULL, NULL, 'PEROXISOME BIOGENESIS PROTEIN 22', NULL, NULL, NULL, 15),
(178364, NULL, 'PTHR33540:SF1', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMATE/N-ACETYLGLUCOSAMINE KINASE', NULL, NULL, NULL, 15),
(178365, NULL, 'PTHR23239:SF160', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 25', NULL, NULL, NULL, 15),
(178366, NULL, 'PTHR23021:SF37', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(178367, NULL, 'PTHR26453:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(178368, NULL, 'PTHR10543:SF37', NULL, NULL, NULL, NULL, 'CAROTENOID CLEAVAGE DIOXYGENASE 7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(178369, NULL, 'PTHR10891:SF905', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(178370, NULL, 'PTHR45652:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-33C12.3', NULL, NULL, NULL, 15),
(178371, NULL, 'PTHR47984:SF23', NULL, NULL, NULL, NULL, 'OS01G0664200 PROTEIN', NULL, NULL, NULL, 15),
(178372, NULL, 'PTHR33142:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178373, NULL, 'PTHR31155:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178374, NULL, 'PTHR42876:SF1', NULL, NULL, NULL, NULL, 'BLR6771 PROTEIN', NULL, NULL, NULL, 15),
(178375, NULL, 'PTHR12801:SF45', NULL, NULL, NULL, NULL, 'INTERFERON STIMULATED EXONUCLEASE GENE 20-RELATED', NULL, NULL, 31409, 15),
(178376, NULL, 'PTHR24225:SF18', NULL, NULL, NULL, NULL, 'FORMYL PEPTIDE RECEPTOR-RELATED SEQUENCE 3', NULL, NULL, NULL, 15),
(178377, NULL, 'PTHR33454:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178378, NULL, 'PTHR12489:SF16', NULL, NULL, NULL, NULL, 'LIPOMA HMGIC FUSION PARTNER HOMOLOG-LIKE PROTEIN', NULL, NULL, NULL, 15),
(178379, NULL, 'PTHR45766:SF5', NULL, NULL, NULL, NULL, 'DNA ANNEALING HELICASE AND ENDONUCLEASE ZRANB3', NULL, NULL, NULL, 15),
(178380, NULL, 'PTHR43907:SF1', NULL, NULL, NULL, NULL, 'SLEI FAMILY PROTEIN', NULL, NULL, NULL, 15),
(178381, NULL, 'PTHR18934:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178382, NULL, 'PTHR33332:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178383, NULL, 'PTHR46196:SF11', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(178384, NULL, 'PTHR46043:SF3', NULL, NULL, NULL, NULL, 'OS02G0160250 PROTEIN', NULL, NULL, NULL, 15),
(178385, NULL, 'PTHR13215:SF10', NULL, NULL, NULL, NULL, 'SUB1 HOMOLOG, TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(178386, NULL, 'PTHR23267:SF374', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 2', NULL, NULL, NULL, 15),
(178387, NULL, 'PTHR28185', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 34', NULL, NULL, 24835, 15),
(178388, NULL, 'PTHR12644:SF2', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 5-LIKE PROTEIN', NULL, NULL, 27571, 15),
(178389, NULL, 'PTHR11618:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB', NULL, NULL, NULL, 15),
(178390, NULL, 'PTHR10110:SF154', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15),
(178391, NULL, 'PTHR19305:SF28', NULL, NULL, NULL, NULL, 'CULMINATION SPECIFIC PROTEIN 37D', NULL, NULL, NULL, 15),
(178392, NULL, 'PTHR15031:SF4', NULL, NULL, NULL, NULL, 'SI:DKEY-205H13.2', NULL, NULL, NULL, 15),
(178393, NULL, 'PTHR11468:SF13', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE, MUSCLE FORM', NULL, NULL, NULL, 15),
(178394, NULL, 'PTHR33159:SF52', NULL, NULL, NULL, NULL, 'BNAC09G32420D PROTEIN', NULL, NULL, NULL, 15),
(178395, NULL, 'PTHR10009:SF7', NULL, NULL, NULL, NULL, 'GH10609P-RELATED', NULL, NULL, NULL, 15),
(178396, NULL, 'PTHR34265', NULL, NULL, NULL, NULL, 'TYPE III PANTOTHENATE KINASE', NULL, NULL, 2468, 15),
(178397, NULL, 'PTHR35108', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN 3, CHLOROPLASTIC', NULL, NULL, 5155, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178398, NULL, 'PTHR12308:SF40', NULL, NULL, NULL, NULL, 'ANOCTAMIN-10', NULL, NULL, 27073, 15),
(178399, NULL, 'PTHR46412:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BIM1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(178400, NULL, 'PTHR43060', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRATE DEHYDROGENASE-LIKE 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(178401, NULL, 'PTHR48062:SF13', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12 ISOFORM X2', NULL, NULL, NULL, 15),
(178402, NULL, 'PTHR43785:SF5', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE GLNA4 (GLUTAMINE SYNTHASE) (GS-II)-RELATED', NULL, NULL, NULL, 15),
(178403, NULL, 'PTHR43952:SF66', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 1', NULL, NULL, NULL, 15),
(178404, NULL, 'PTHR48078:SF3', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE', NULL, NULL, NULL, 15),
(178405, NULL, 'PTHR45800:SF2', NULL, NULL, NULL, NULL, 'OS09G0474800 PROTEIN', NULL, NULL, NULL, 15),
(178406, NULL, 'PTHR23225:SF2', NULL, NULL, NULL, NULL, 'AT09679P-RELATED', NULL, NULL, NULL, 15),
(178407, NULL, 'PTHR24404', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(178408, NULL, 'PTHR46543:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(178409, NULL, 'PTHR19375:SF395', NULL, NULL, NULL, NULL, 'RIBOSOME-ASSOCIATED MOLECULAR CHAPERONE SSB1-RELATED', NULL, NULL, NULL, 15),
(178410, NULL, 'PTHR27004:SF203', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(178411, NULL, 'PTHR24025:SF20', NULL, NULL, NULL, NULL, 'DACHSOUS CADHERIN-RELATED 2', NULL, NULL, NULL, 15),
(178412, NULL, 'PTHR13947:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178413, NULL, 'PTHR31852:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178414, NULL, 'PTHR31639:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178415, NULL, 'PTHR10994:SF164', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(178416, NULL, 'PTHR23164:SF22', NULL, NULL, NULL, NULL, 'RUN AND FYVE DOMAIN CONTAINING 2', NULL, NULL, NULL, 15),
(178417, NULL, 'PTHR11455:SF58', NULL, NULL, NULL, NULL, 'CRYPTOCHROME 1A', NULL, NULL, NULL, 15),
(178418, NULL, 'PTHR23140:SF0', NULL, NULL, NULL, NULL, 'U2 SNRNP-ASSOCIATED SURP MOTIF-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(178419, NULL, 'PTHR36016:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178420, NULL, 'PTHR10353:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178421, NULL, 'PTHR47993:SF180', NULL, NULL, NULL, NULL, 'OS02G0563800 PROTEIN', NULL, NULL, NULL, 15),
(178422, NULL, 'PTHR47983:SF9', NULL, NULL, NULL, NULL, 'PTO-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(178423, NULL, 'PTHR31752:SF40', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 8', NULL, NULL, NULL, 15),
(178424, NULL, 'PTHR11347:SF98', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CAMP-SPECIFIC AND IBMX-INSENSITIVE 3'',5''-CYCLIC PHOSPHODIESTERASE 8B', NULL, NULL, NULL, 15),
(178425, NULL, 'PTHR23017:SF20', NULL, NULL, NULL, NULL, 'F-BOX A PROTEIN-RELATED', NULL, NULL, NULL, 15),
(178426, NULL, 'PTHR10012:SF0', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A ACTIVATOR', NULL, NULL, NULL, 15),
(178427, NULL, 'PTHR32285:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178428, NULL, 'PTHR26450:SF117', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(178429, NULL, 'PTHR31300:SF23', NULL, NULL, NULL, NULL, 'OS03G0606100 PROTEIN', NULL, NULL, NULL, 15),
(178430, NULL, 'PTHR24161:SF95', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(178431, NULL, 'PTHR35760', NULL, NULL, NULL, NULL, 'SI:CH211-22I13.2', NULL, NULL, NULL, 15),
(178432, NULL, 'PTHR37725:SF3', NULL, NULL, NULL, NULL, 'BNAC03G21620D PROTEIN', NULL, NULL, NULL, 15),
(178433, NULL, 'PTHR10966:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178434, NULL, 'PTHR45631:SF110', NULL, NULL, NULL, NULL, 'BNACNNG34450D PROTEIN', NULL, NULL, NULL, 15),
(178435, NULL, 'PTHR31623:SF65', NULL, NULL, NULL, NULL, 'ANTHOCYANIN ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(178436, NULL, 'PTHR31042:SF115', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14-RELATED', NULL, NULL, NULL, 15),
(178437, NULL, 'PTHR23023:SF252', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(178438, NULL, 'PTHR45436:SF5', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE YKOH', NULL, NULL, NULL, 15),
(178439, NULL, 'PTHR35828:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178440, NULL, 'PTHR33124:SF87', NULL, NULL, NULL, NULL, 'BNAA01G27410D PROTEIN', NULL, NULL, NULL, 15),
(178441, NULL, 'PTHR11528:SF109', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 81-3', NULL, NULL, NULL, 15),
(178442, NULL, 'PTHR33401:SF16', NULL, NULL, NULL, NULL, 'BNACNNG22130D PROTEIN', NULL, NULL, NULL, 15),
(178443, NULL, 'PTHR36924:SF1', NULL, NULL, NULL, NULL, 'ANTITOXIN HIGA-1', NULL, NULL, NULL, 15),
(178444, NULL, 'PTHR43524', NULL, NULL, NULL, NULL, 'RADICAL SAM SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(178445, NULL, 'PTHR22957:SF438', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(178446, NULL, 'PTHR11759:SF37', NULL, NULL, NULL, NULL, 'BNAA05G27530D PROTEIN', NULL, NULL, NULL, 15),
(178447, NULL, 'PTHR12446:SF49', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 5 ISOFORM X1', NULL, NULL, NULL, 15),
(178448, NULL, 'PTHR12348:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG15980', NULL, NULL, NULL, 15),
(178449, NULL, 'PTHR24361:SF747', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE 10', NULL, NULL, NULL, 15),
(178450, NULL, 'PTHR31623:SF41', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', NULL, NULL, NULL, 15),
(178451, NULL, 'PTHR35969', NULL, NULL, NULL, NULL, 'PROTEIN FAM243A-RELATED', NULL, NULL, 36149, 15),
(178452, NULL, 'PTHR35243:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178453, NULL, 'PTHR11909:SF374', NULL, NULL, NULL, NULL, 'CASEIN KINASE I HOMOLOG 3', NULL, NULL, NULL, 15),
(178454, NULL, 'PTHR33492:SF1', NULL, NULL, NULL, NULL, 'OS02G0516800 PROTEIN', NULL, NULL, NULL, 15),
(178455, NULL, 'PTHR46301:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178456, NULL, 'PTHR22883:SF130', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(178457, NULL, 'PTHR30005:SF14', NULL, NULL, NULL, NULL, 'EXOPOLYPHOSPHATASE', NULL, NULL, NULL, 15),
(178458, NULL, 'PTHR23500:SF575', NULL, NULL, NULL, NULL, 'BNAC05G05120D PROTEIN', NULL, NULL, NULL, 15),
(178459, NULL, 'PTHR35513:SF1', NULL, NULL, NULL, NULL, 'OS02G0158600 PROTEIN', NULL, NULL, NULL, 15),
(178460, NULL, 'PTHR12706', NULL, NULL, NULL, NULL, 'STRAWBERRY NOTCH-RELATED', NULL, NULL, 27511, 15),
(178461, NULL, 'PTHR10388:SF54', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLATION FACTOR SUI1 HOMOLOG 2', NULL, NULL, NULL, 15),
(178462, NULL, 'PTHR19308:SF36', NULL, NULL, NULL, NULL, 'MEMBRANE RELATED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(178463, NULL, 'PTHR13789', NULL, NULL, NULL, NULL, 'MONOOXYGENASE', NULL, NULL, NULL, 15),
(178464, NULL, 'PTHR36885:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(178465, NULL, 'PTHR43070:SF7', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ASPARTOKINASE/HOMOSERINE DEHYDROGENASE 1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(178466, NULL, 'PTHR10052', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', NULL, NULL, 22440, 15),
(178467, NULL, 'PTHR46008', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.4', NULL, NULL, 38484, 15),
(178468, NULL, 'PTHR47938', NULL, NULL, NULL, NULL, 'RESPIRATORY COMPLEX I CHAPERONE (CIA84), PUTATIVE (AFU_ORTHOLOGUE AFUA_2G06020)-RELATED', NULL, NULL, NULL, 15),
(178469, NULL, 'PTHR11699:SF204', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178470, NULL, 'PTHR47925:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178471, NULL, 'PTHR33057:SF155', NULL, NULL, NULL, NULL, 'BNAA04G17530D PROTEIN', NULL, NULL, NULL, 15),
(178472, NULL, 'PTHR46186:SF14', NULL, NULL, NULL, NULL, 'CYSTATIN', NULL, NULL, NULL, 15),
(178473, NULL, 'PTHR46790', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN N', NULL, NULL, NULL, 15),
(178474, NULL, 'PTHR10209:SF754', NULL, NULL, NULL, NULL, 'ISOPENICILLIN N SYNTHASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(178475, NULL, 'PTHR31817:SF3', NULL, NULL, NULL, NULL, 'SI:DKEY-222B8.4', NULL, NULL, NULL, 15),
(178476, NULL, 'PTHR10026:SF51', NULL, NULL, NULL, NULL, 'CYCLIN-K', NULL, NULL, NULL, 15),
(178477, NULL, 'PTHR35261', NULL, NULL, NULL, NULL, 'ORGANELLAR PROTEIN, PUTATIVE-RELATED-RELATED', NULL, NULL, NULL, 15),
(178478, NULL, 'PTHR12919:SF20', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S16, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(178479, NULL, 'PTHR35129:SF5', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA 2-LIKE', NULL, NULL, NULL, 15),
(178480, NULL, 'PTHR23085:SF6', NULL, NULL, NULL, NULL, 'JUNCTOPHILIN-1', NULL, NULL, NULL, 15),
(178481, NULL, 'PTHR45526', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN DPIA', NULL, NULL, 14144, 15),
(178482, NULL, 'PTHR10509:SF84', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(178483, NULL, 'PTHR11232:SF65', NULL, NULL, NULL, NULL, 'SI:DKEY-19B23.8', NULL, NULL, NULL, 15),
(178484, NULL, 'PTHR10381:SF58', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT', NULL, NULL, NULL, 15),
(178485, NULL, 'PTHR45811:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178486, NULL, 'PTHR24221:SF474', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 3-RELATED', NULL, NULL, NULL, 15),
(178487, NULL, 'PTHR10012:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A ACTIVATOR 2-RELATED', NULL, NULL, NULL, 15),
(178488, NULL, 'PTHR14894', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 3', NULL, NULL, 12144, 15),
(178489, NULL, 'PTHR48017:SF104', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AMINO ACID TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(178490, NULL, 'PTHR31890:SF9', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(178491, NULL, 'PTHR10509:SF70', NULL, NULL, NULL, NULL, 'BNAA02G13470D PROTEIN', NULL, NULL, NULL, 15),
(178492, NULL, 'PTHR10956:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178493, NULL, 'PTHR19346:SF3', NULL, NULL, NULL, NULL, 'THIAMINE TRANSPORTER SLC35F3-RELATED', NULL, NULL, NULL, 15),
(178494, NULL, 'PTHR19282:SF466', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(178495, NULL, 'PTHR32044:SF11', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(178496, NULL, 'PTHR34838:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178497, NULL, 'PTHR45637:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL3', NULL, NULL, NULL, 15),
(178498, NULL, 'PTHR43133:SF38', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGK', NULL, NULL, NULL, 15),
(178499, NULL, 'PTHR21237:SF36', NULL, NULL, NULL, NULL, 'GRPE PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(178500, NULL, 'PTHR10218:SF130', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT ALPHA-12', NULL, NULL, NULL, 15),
(178501, NULL, 'PTHR45614:SF175', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB105', NULL, NULL, NULL, 15),
(178502, NULL, 'PTHR31503:SF55', NULL, NULL, NULL, NULL, 'BNAC07G33590D PROTEIN', NULL, NULL, NULL, 15),
(178503, NULL, 'PTHR14744:SF17', NULL, NULL, NULL, NULL, 'BNAC09G41050D PROTEIN', NULL, NULL, NULL, 15),
(178504, NULL, 'PTHR31241:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178505, NULL, 'PTHR24379:SF87', NULL, NULL, NULL, NULL, 'ZINC FINGER Y-CHROMOSOMAL PROTEIN 2', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178506, NULL, 'PTHR45974:SF67', NULL, NULL, NULL, NULL, 'INACTIVE LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BIR2', NULL, NULL, NULL, 15),
(178507, NULL, 'PTHR31282:SF93', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 11-RELATED', NULL, NULL, NULL, 15),
(178508, NULL, 'PTHR31207:SF31', NULL, NULL, NULL, NULL, 'BNAANNG09350D PROTEIN', NULL, NULL, NULL, 15),
(178509, NULL, 'PTHR34659:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178510, NULL, 'PTHR18947:SF35', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 88B', NULL, NULL, NULL, 15),
(178511, NULL, 'PTHR32044:SF64', NULL, NULL, NULL, NULL, 'MANNAN SYNTHASE 7-RELATED', NULL, NULL, NULL, 15),
(178512, NULL, 'PTHR10288:SF299', NULL, NULL, NULL, NULL, 'BNAC09G54720D PROTEIN', NULL, NULL, NULL, 15),
(178513, NULL, 'PTHR46301:SF11', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PLANT PROTEIN', NULL, NULL, NULL, 15),
(178514, NULL, 'PTHR10783:SF89', NULL, NULL, NULL, NULL, 'EXS (ERD1/XPR1/SYG1) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(178515, NULL, 'PTHR48061:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178516, NULL, 'PTHR22961:SF14', NULL, NULL, NULL, NULL, 'TRIBBLES HOMOLOG 3', NULL, NULL, 12168, 15),
(178517, NULL, 'PTHR28112', NULL, NULL, NULL, NULL, 'SRP-INDEPENDENT TARGETING PROTEIN 3', NULL, NULL, 13365, 15),
(178518, NULL, 'PTHR14950:SF56', NULL, NULL, NULL, NULL, 'LOW QUALITY PROTEIN: ENDORIBONUCLEASE DICER HOMOLOG 3B-LIKE', NULL, NULL, NULL, 15),
(178519, NULL, 'PTHR31321:SF12', NULL, NULL, NULL, NULL, 'PECTINESTERASE 31', NULL, NULL, NULL, 15),
(178520, NULL, 'PTHR43081:SF16', NULL, NULL, NULL, NULL, 'BLL5647 PROTEIN', NULL, NULL, NULL, 15),
(178521, NULL, 'PTHR34198:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178522, NULL, 'PTHR31391:SF10', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS01G0234100-LIKE', NULL, NULL, NULL, 15),
(178523, NULL, 'PTHR33994:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178524, NULL, 'PTHR22957:SF357', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(178525, NULL, 'PTHR12308:SF16', NULL, NULL, NULL, NULL, 'ANOCTAMIN-3', NULL, NULL, 27116, 15),
(178526, NULL, 'PTHR15356', NULL, NULL, NULL, NULL, 'NEUROTENSIN/NEUROMEDIN N', NULL, NULL, 5084, 15),
(178527, NULL, 'PTHR19367:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178528, NULL, 'PTHR12668:SF15', NULL, NULL, NULL, NULL, 'UPF0136 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G03720)', NULL, NULL, NULL, 15),
(178529, NULL, 'PTHR37720', NULL, NULL, NULL, NULL, 'OS10G0481400 PROTEIN', NULL, NULL, NULL, 15),
(178530, NULL, 'PTHR31501:SF6', NULL, NULL, NULL, NULL, 'PROTEIN ORAI-3', NULL, NULL, 24174, 15),
(178531, NULL, 'PTHR28608:SF1', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(178532, NULL, 'PTHR31179', NULL, NULL, NULL, NULL, 'RAB GTPASE-BINDING EFFECTOR PROTEIN', NULL, NULL, 6111, 15),
(178533, NULL, 'PTHR45818:SF1', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR VAV3', NULL, NULL, NULL, 15),
(178534, NULL, 'PTHR35712', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(178535, NULL, 'PTHR36264:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178536, NULL, 'PTHR28626:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178537, NULL, 'PTHR14430:SF0', NULL, NULL, NULL, NULL, 'RAB GUANINE NUCLEOTIDE EXCHANGE FACTOR SEC2', NULL, NULL, NULL, 15),
(178538, NULL, 'PTHR11353:SF78', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT THETA', NULL, NULL, NULL, 15),
(178539, NULL, 'PTHR45650:SF7', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(178540, NULL, 'PTHR11909:SF383', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(178541, NULL, 'PTHR24282:SF160', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY MONOOXYGENASE', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178542, NULL, 'PTHR33697:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178543, NULL, 'PTHR47984:SF5', NULL, NULL, NULL, NULL, 'OS12G0108100 PROTEIN', NULL, NULL, NULL, 15),
(178544, NULL, 'PTHR46080:SF7', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(178545, NULL, 'PTHR31282:SF85', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 70-RELATED', NULL, NULL, NULL, 15),
(178546, NULL, 'PTHR19256:SF40', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR GAMMA CONSTANT 1-RELATED', NULL, NULL, NULL, 15),
(178547, NULL, 'PTHR45663:SF3', NULL, NULL, NULL, NULL, 'THIOREDOXIN, CONSERVED SITE', NULL, NULL, NULL, 15),
(178548, NULL, 'PTHR31042:SF66', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(178549, NULL, 'PTHR13710:SF137', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE TLH2', NULL, NULL, NULL, 15),
(178550, NULL, 'PTHR25464:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM32', NULL, NULL, NULL, 15),
(178551, NULL, 'PTHR31365:SF20', NULL, NULL, NULL, NULL, 'BNAA03G52130D PROTEIN', NULL, NULL, NULL, 15),
(178552, NULL, 'PTHR46450:SF1', NULL, NULL, NULL, NULL, 'INACTIVE HISTONE-LYSINE N-METHYLTRANSFERASE SUVR1-RELATED', NULL, NULL, NULL, 15),
(178553, NULL, 'PTHR28241:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT PROTEIN 1', NULL, NULL, NULL, 15),
(178554, NULL, 'PTHR12544:SF32', NULL, NULL, NULL, NULL, 'GLUTAMINASE 1', NULL, NULL, NULL, 15),
(178555, NULL, 'PTHR35866:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(178556, NULL, 'PTHR10802:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM40 HOMOLOG', NULL, NULL, NULL, 15),
(178557, NULL, 'PTHR21141:SF80', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN, LARGE SUBUNIT, ACIDIC (P1)', NULL, NULL, NULL, 15),
(178558, NULL, 'PTHR11003:SF303', NULL, NULL, NULL, NULL, 'OS01G0696100 PROTEIN', NULL, NULL, NULL, 15),
(178559, NULL, 'PTHR46387:SF8', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE', NULL, NULL, NULL, 15),
(178560, NULL, 'PTHR46234:SF12', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(178561, NULL, 'PTHR46112:SF6', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(178562, NULL, 'PTHR11544:SF116', NULL, NULL, NULL, NULL, 'C. ELEGANS Y-BOX', NULL, NULL, NULL, 15),
(178563, NULL, 'PTHR11527:SF277', NULL, NULL, NULL, NULL, '17.6 KDA CLASS II HEAT SHOCK PROTEIN-RELATED', NULL, NULL, NULL, 15),
(178564, NULL, 'PTHR11615:SF283', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(178565, NULL, 'PTHR30540:SF83', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 4', NULL, NULL, NULL, 15),
(178566, NULL, 'PTHR31210:SF81', NULL, NULL, NULL, NULL, 'BNAANNG28070D PROTEIN', NULL, NULL, NULL, 15),
(178567, NULL, 'PTHR34791:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178568, NULL, 'PTHR21736:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178569, NULL, 'PTHR22957:SF503', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178570, NULL, 'PTHR10218:SF227', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I) SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(178571, NULL, 'PTHR11999:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178572, NULL, 'PTHR48029:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(178573, NULL, 'PTHR16675:SF150', NULL, NULL, NULL, NULL, 'HISTOCOMPATIBILITY 2, M REGION LOCUS 2', NULL, NULL, NULL, 15),
(178574, NULL, 'PTHR46168:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 4', NULL, NULL, NULL, 15),
(178575, NULL, 'PTHR48002:SF147', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(178576, NULL, 'PTHR12112:SF9', NULL, NULL, NULL, NULL, 'CAYTAXIN', NULL, NULL, NULL, 15),
(178577, NULL, 'PTHR33373:SF27', NULL, NULL, NULL, NULL, 'DUF4050 FAMILY PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178578, NULL, 'PTHR11260:SF622', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE, AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(178579, NULL, 'PTHR12136:SF105', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2', NULL, NULL, NULL, 15),
(178580, NULL, 'PTHR31775:SF29', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL REGION REMORIN', NULL, NULL, NULL, 15),
(178581, NULL, 'PTHR11394:SF58', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 7', NULL, NULL, 26663, 15),
(178582, NULL, 'PTHR47063', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H2 SUBUNIT C', NULL, NULL, NULL, 15),
(178583, NULL, 'PTHR13018:SF124', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT CHANNEL, 7TM REGION, PUTATIVE PHOSPHATE-RELATED', NULL, NULL, NULL, 15),
(178584, NULL, 'PTHR45770:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(178585, NULL, 'PTHR14155:SF576', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL31-LIKE', NULL, NULL, NULL, 15),
(178586, NULL, 'PTHR36072', NULL, NULL, NULL, NULL, 'OS01G0541600 PROTEIN', NULL, NULL, NULL, 15),
(178587, NULL, 'PTHR11890:SF20', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR ACCESSORY PROTEIN', NULL, NULL, NULL, 15),
(178588, NULL, 'PTHR33469:SF16', NULL, NULL, NULL, NULL, 'PROTEIN ELF4-LIKE 3', NULL, NULL, NULL, 15),
(178589, NULL, 'PTHR43487:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178590, NULL, 'PTHR33155:SF48', NULL, NULL, NULL, NULL, 'BNACNNG47650D PROTEIN', NULL, NULL, NULL, 15),
(178591, NULL, 'PTHR44119:SF1', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLH, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(178592, NULL, 'PTHR36762:SF2', NULL, NULL, NULL, NULL, 'LIGHT-REGULATED PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(178593, NULL, 'PTHR11240:SF47', NULL, NULL, NULL, NULL, 'DROUGHT-INDUCED S-LIKE RIBONUCLEASE', NULL, NULL, NULL, 15),
(178594, NULL, 'PTHR24103:SF590', NULL, NULL, NULL, NULL, 'SI:CH211-120G10.1-RELATED', NULL, NULL, NULL, 15),
(178595, NULL, 'PTHR11039:SF39', NULL, NULL, NULL, NULL, 'NEBULIN-RELATED-ANCHORING PROTEIN', NULL, NULL, NULL, 15),
(178596, NULL, 'PTHR48041:SF31', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN/PERMEASE WHT-3', NULL, NULL, NULL, 15),
(178597, NULL, 'PTHR17575', NULL, NULL, NULL, NULL, 'UROCORTIN-2 AND 3', NULL, NULL, 9143, 15),
(178598, NULL, 'PTHR31374:SF315', NULL, NULL, NULL, NULL, 'BNAC01G00010D PROTEIN', NULL, NULL, NULL, 15),
(178599, NULL, 'PTHR26450:SF75', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52D1', NULL, NULL, NULL, 15),
(178600, NULL, 'PTHR11384:SF60', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN RELATED', NULL, NULL, NULL, 15),
(178601, NULL, 'PTHR27003:SF352', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(178602, NULL, 'PTHR31790:SF297', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(178603, NULL, 'PTHR16166:SF126', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING 13B, ISOFORM A', NULL, NULL, NULL, 15),
(178604, NULL, 'PTHR14418:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178605, NULL, 'PTHR21668:SF10', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR 1A (EIF-1A), RNA-BINDING DOMAIN, S1, IF1 TYPE-RELATED', NULL, NULL, NULL, 15),
(178606, NULL, 'PTHR24253:SF63', NULL, NULL, NULL, NULL, 'SERINE PROTEASE P84', NULL, NULL, NULL, 15),
(178607, NULL, 'PTHR37973', NULL, NULL, NULL, NULL, 'CHONDROITIN PROTEOGLYCAN 3', NULL, NULL, 34101, 15),
(178608, NULL, 'PTHR18359', NULL, NULL, NULL, NULL, 'WD-REPEAT PROTEIN-RELATED', NULL, NULL, 39224, 15),
(178609, NULL, 'PTHR46999:SF6', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE-RELATED', NULL, NULL, NULL, 15),
(178610, NULL, 'PTHR34666:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178611, NULL, 'PTHR22763:SF29', NULL, NULL, NULL, NULL, 'SI:DKEY-51A16.9-RELATED', NULL, NULL, NULL, 15),
(178612, NULL, 'PTHR10468:SF9', NULL, NULL, NULL, NULL, 'GLYCOSYLATION RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178613, NULL, 'PTHR35309', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 27687, 15),
(178614, NULL, 'PTHR34214:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CONSERVED IN THE GREEN LINEAGE AND DIATOMS 27, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(178615, NULL, 'PTHR12113:SF11', NULL, NULL, NULL, NULL, 'DICKKOPF-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(178616, NULL, 'PTHR44307:SF10', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(178617, NULL, 'PTHR48022:SF20', NULL, NULL, NULL, NULL, 'MONOSACCHARIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G14442)-RELATED', NULL, NULL, NULL, 15),
(178618, NULL, 'PTHR12549:SF7', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 3A', NULL, NULL, NULL, 15),
(178619, NULL, 'PTHR19818:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178620, NULL, 'PTHR11011:SF73', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(178621, NULL, 'PTHR10314:SF171', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(178622, NULL, 'PTHR11474:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178623, NULL, 'PTHR11165:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178624, NULL, 'PTHR43725:SF25', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE 2-LIKE', NULL, NULL, NULL, 15),
(178625, NULL, 'PTHR10811:SF82', NULL, NULL, NULL, NULL, 'BNAC07G50040D PROTEIN', NULL, NULL, NULL, 15),
(178626, NULL, 'PTHR45786:SF21', NULL, NULL, NULL, NULL, 'BNAC08G08520D PROTEIN', NULL, NULL, NULL, 15),
(178627, NULL, 'PTHR12623', NULL, NULL, NULL, NULL, 'NGFI-A BINDING PROTEIN', NULL, NULL, 30123, 15),
(178628, NULL, 'PTHR31080:SF21', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(178629, NULL, 'PTHR12526:SF573', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE CORE BIOSYNTHESIS PROTEIN RFAG', NULL, NULL, NULL, 15),
(178630, NULL, 'PTHR34773:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR SECRETION CHAPERONE FLIS', NULL, NULL, NULL, 15),
(178631, NULL, 'PTHR43900:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178632, NULL, 'PTHR46020:SF22', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(178633, NULL, 'PTHR23359:SF213', NULL, NULL, NULL, NULL, 'KINASE PLANT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(178634, NULL, 'PTHR11362:SF20', NULL, NULL, NULL, NULL, 'OS12G0232300 PROTEIN', NULL, NULL, NULL, 15),
(178635, NULL, 'PTHR27007:SF245', NULL, NULL, NULL, NULL, 'LECTIN RECEPTOR KINASE', NULL, NULL, NULL, 15),
(178636, NULL, 'PTHR47159:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG02800', NULL, NULL, NULL, 15),
(178637, NULL, 'PTHR43656:SF2', NULL, NULL, NULL, NULL, 'BINDING OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G08260)-RELATED', NULL, NULL, NULL, 15),
(178638, NULL, 'PTHR36910:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178639, NULL, 'PTHR31470:SF46', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(178640, NULL, 'PTHR46780', NULL, NULL, NULL, NULL, 'PROTEIN EVA-1', NULL, NULL, NULL, 15),
(178641, NULL, 'PTHR31559:SF0', NULL, NULL, NULL, NULL, 'PYRIDOXAL 5''-PHOSPHATE SYNTHASE SUBUNIT SNO1-RELATED', NULL, NULL, NULL, 15),
(178642, NULL, 'PTHR34560:SF3', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(178643, NULL, 'PTHR13555:SF53', NULL, NULL, NULL, NULL, 'AGAP004068-PA', NULL, NULL, NULL, 15),
(178644, NULL, 'PTHR23500:SF73', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN MST1', NULL, NULL, NULL, 15),
(178645, NULL, 'PTHR43510', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE FUNCTION, HYPOTHETICAL (EUROFUNG)', NULL, NULL, NULL, 15),
(178646, NULL, 'PTHR15241:SF323', NULL, NULL, NULL, NULL, '29 KDA RIBONUCLEOPROTEIN A, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(178647, NULL, 'PTHR35475:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT PROTEIN', NULL, NULL, NULL, 15),
(178648, NULL, 'PTHR45647:SF109', NULL, NULL, NULL, NULL, 'BNAA07G01480D PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178649, NULL, 'PTHR45668:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 7 LONG FORM HOMOLOG', NULL, NULL, NULL, 15),
(178650, NULL, 'PTHR11895:SF76', NULL, NULL, NULL, NULL, 'BLL2914 PROTEIN', NULL, NULL, NULL, 15),
(178651, NULL, 'PTHR43943:SF8', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 4-RELATED', NULL, NULL, 24209, 15),
(178652, NULL, 'PTHR43795:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178653, NULL, 'PTHR45819:SF5', NULL, NULL, NULL, NULL, 'CENTAURIN-GAMMA-1A', NULL, NULL, NULL, 15),
(178654, NULL, 'PTHR31719:SF114', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 19', NULL, NULL, NULL, 15),
(178655, NULL, 'PTHR47716:SF1', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 4', NULL, NULL, NULL, 15),
(178656, NULL, 'PTHR15907:SF168', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 9-LIKE', NULL, NULL, NULL, 15),
(178657, NULL, 'PTHR31947:SF14', NULL, NULL, NULL, NULL, 'OS01G0173100 PROTEIN', NULL, NULL, NULL, 15),
(178658, NULL, 'PTHR22750:SF7', NULL, NULL, NULL, NULL, 'GLUCOSE-DEPENDENT INSULINOTROPIC RECEPTOR', NULL, NULL, 24326, 15),
(178659, NULL, 'PTHR45786:SF34', NULL, NULL, NULL, NULL, 'BNAC02G48170D PROTEIN', NULL, NULL, NULL, 15),
(178660, NULL, 'PTHR33538', NULL, NULL, NULL, NULL, 'PROTEIN GAMETE EXPRESSED 1', NULL, NULL, 29837, 15),
(178661, NULL, 'PTHR10151:SF66', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE FAMILY MEMBER 6', NULL, NULL, 22636, 15),
(178662, NULL, 'PTHR13947:SF45', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE CML5-RELATED', NULL, NULL, NULL, 15),
(178663, NULL, 'PTHR34223:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178664, NULL, 'PTHR28288:SF1', NULL, NULL, NULL, NULL, 'YALI0A01452P', NULL, NULL, NULL, 15),
(178665, NULL, 'PTHR31843:SF9', NULL, NULL, NULL, NULL, 'ALLENE OXIDE CYCLASE 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(178666, NULL, 'PTHR11945:SF176', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL82', NULL, NULL, NULL, 15),
(178667, NULL, 'PTHR46964:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(178668, NULL, 'PTHR42681:SF6', NULL, NULL, NULL, NULL, 'BLL0263 PROTEIN', NULL, NULL, NULL, 15),
(178669, NULL, 'PTHR19848:SF0', NULL, NULL, NULL, NULL, 'NOTCHLESS HOMOLOG 1 (DROSOPHILA)', NULL, NULL, NULL, 15),
(178670, NULL, 'PTHR24355:SF12', NULL, NULL, NULL, NULL, 'RHODOPSIN KINASE', NULL, NULL, NULL, 15),
(178671, NULL, 'PTHR23024:SF463', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 17-RELATED', NULL, NULL, NULL, 15),
(178672, NULL, 'PTHR22937:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178673, NULL, 'PTHR24298:SF669', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81F1', NULL, NULL, NULL, 15),
(178674, NULL, 'PTHR46639:SF2', NULL, NULL, NULL, NULL, 'DIENCEPHALON/MESENCEPHALON HOMEOBOX PROTEIN 1', NULL, NULL, NULL, 15),
(178675, NULL, 'PTHR33702:SF5', NULL, NULL, NULL, NULL, 'BNAA09G40010D PROTEIN', NULL, NULL, NULL, 15),
(178676, NULL, 'PTHR24061:SF519', NULL, NULL, NULL, NULL, 'SI:CH73-125K17.2', NULL, NULL, NULL, 15),
(178677, NULL, 'PTHR43534:SF1', NULL, NULL, NULL, NULL, 'MIND SUPERFAMILY P-LOOP ATPASE CONTAINING AN INSERTED FERREDOXIN DOMAIN', NULL, NULL, NULL, 15),
(178678, NULL, 'PTHR16131:SF2', NULL, NULL, NULL, NULL, 'LIGAND-DEPENDENT NUCLEAR RECEPTOR-INTERACTING FACTOR 1', NULL, NULL, NULL, 15),
(178679, NULL, 'PTHR36016:SF4', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE) GENE FAMILY MEMBER', NULL, NULL, NULL, 15),
(178680, NULL, 'PTHR18901:SF42', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(178681, NULL, 'PTHR35325:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178682, NULL, 'PTHR45125:SF25', NULL, NULL, NULL, NULL, 'NO-APICAL-MERISTEM-ASSOCIATED CARBOXY-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(178683, NULL, 'PTHR24161:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178684, NULL, 'PTHR33107:SF59', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE/SUBTILISIN INHIBITOR-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178685, NULL, 'PTHR27005:SF373', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178686, NULL, 'PTHR33312:SF5', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 4-RELATED', NULL, NULL, NULL, 15),
(178687, NULL, 'PTHR18952:SF127', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE 3', NULL, NULL, 18698, 15),
(178688, NULL, 'PTHR24019:SF12', NULL, NULL, NULL, NULL, 'ADIPOLIN', NULL, NULL, NULL, 15),
(178689, NULL, 'PTHR11034:SF21', NULL, NULL, NULL, NULL, 'PROTEIN NDRG4', NULL, NULL, 22601, 15),
(178690, NULL, 'PTHR24414:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 22', NULL, NULL, 27911, 15),
(178691, NULL, 'PTHR33091:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178692, NULL, 'PTHR10139:SF8', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR PROTEIN', NULL, NULL, NULL, 15),
(178693, NULL, 'PTHR23266:SF272', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY VARIABLE 1-2', NULL, NULL, NULL, 15),
(178694, NULL, 'PTHR47418:SF1', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(178695, NULL, 'PTHR34968', NULL, NULL, NULL, NULL, 'AUGMIN SUBUNIT 5', NULL, NULL, 39348, 15),
(178696, NULL, 'PTHR47585:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178697, NULL, 'PTHR24056:SF477', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE C-1', NULL, NULL, NULL, 15),
(178698, NULL, 'PTHR31963:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178699, NULL, 'PTHR23235:SF46', NULL, NULL, NULL, NULL, 'KRUEPPEL-LIKE FACTOR 8', NULL, NULL, NULL, 15),
(178700, NULL, 'PTHR12479:SF5', NULL, NULL, NULL, NULL, 'LYSOSOMAL-ASSOCIATED TRANSMEMBRANE PROTEIN 4A', NULL, NULL, NULL, 15),
(178701, NULL, 'PTHR42743:SF8', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID AMINOTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(178702, NULL, 'PTHR10641:SF1152', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB60', NULL, NULL, NULL, 15),
(178703, NULL, 'PTHR15066', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 187', NULL, NULL, 28694, 15),
(178704, NULL, 'PTHR10168:SF128', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C7', NULL, NULL, NULL, 15),
(178705, NULL, 'PTHR33927:SF3', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN TMPA', NULL, NULL, NULL, 15),
(178706, NULL, 'PTHR23024:SF113', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 8-RELATED', NULL, NULL, NULL, 15),
(178707, NULL, 'PTHR12526:SF581', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(178708, NULL, 'PTHR33116:SF38', NULL, NULL, NULL, NULL, 'OS01G0158850 PROTEIN', NULL, NULL, NULL, 15),
(178709, NULL, 'PTHR44542:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178710, NULL, 'PTHR35545:SF11', NULL, NULL, NULL, NULL, 'OS04G0376200 PROTEIN', NULL, NULL, NULL, 15),
(178711, NULL, 'PTHR45957', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 2', NULL, NULL, 38654, 15),
(178712, NULL, 'PTHR27005:SF359', NULL, NULL, NULL, NULL, 'BNAC02G23840D PROTEIN', NULL, NULL, NULL, 15),
(178713, NULL, 'PTHR37443', NULL, NULL, NULL, NULL, 'PROTEIN CBG09852-RELATED', NULL, NULL, 29717, 15),
(178714, NULL, 'PTHR37230:SF1', NULL, NULL, NULL, NULL, 'OS06G0731300 PROTEIN', NULL, NULL, NULL, 15),
(178715, NULL, 'PTHR31388:SF233', NULL, NULL, NULL, NULL, 'LIGNIN-FORMING ANIONIC PEROXIDASE-LIKE', NULL, NULL, NULL, 15),
(178716, NULL, 'PTHR27003:SF335', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR RECEPTOR 2 (VEGFR2)-RELATED', NULL, NULL, NULL, 15),
(178717, NULL, 'PTHR23198:SF21', NULL, NULL, NULL, NULL, 'BNAC09G11300D PROTEIN', NULL, NULL, NULL, 15),
(178718, NULL, 'PTHR21685', NULL, NULL, NULL, NULL, 'TON-B BOX DOMAIN', NULL, NULL, 27356, 15),
(178719, NULL, 'PTHR15315:SF94', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(178720, NULL, 'PTHR43240:SF21', NULL, NULL, NULL, NULL, 'BNAA05G17470D PROTEIN', NULL, NULL, NULL, 15),
(178721, NULL, 'PTHR23510', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PROTEIN YAJR', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178722, NULL, 'PTHR31225:SF130', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE FAMILY, METAL-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(178723, NULL, 'PTHR24089:SF716', NULL, NULL, NULL, NULL, 'BRITTLE-1, CHLOROPLAST, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(178724, NULL, 'PTHR10742:SF21', NULL, NULL, NULL, NULL, 'L-AMINO-ACID OXIDASE', NULL, NULL, NULL, 15),
(178725, NULL, 'PTHR43620:SF26', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE GDPDL1-RELATED', NULL, NULL, NULL, 15),
(178726, NULL, 'PTHR16223:SF220', NULL, NULL, NULL, NULL, 'BNAA07G08770D PROTEIN', NULL, NULL, NULL, 15),
(178727, NULL, 'PTHR12276:SF105', NULL, NULL, NULL, NULL, 'PROTEIN CBR-RSD-3', NULL, NULL, NULL, 15),
(178728, NULL, 'PTHR35609:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178729, NULL, 'PTHR33098:SF53', NULL, NULL, NULL, NULL, 'OS06G0566500 PROTEIN', NULL, NULL, NULL, 15),
(178730, NULL, 'PTHR45959:SF12', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18-LIKE', NULL, NULL, NULL, 15),
(178731, NULL, 'PTHR45628:SF11', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT ALPHA-1D', NULL, NULL, NULL, 15),
(178732, NULL, 'PTHR34552:SF5', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER W PROTEIN, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(178733, NULL, 'PTHR46667:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178734, NULL, 'PTHR46247:SF2', NULL, NULL, NULL, NULL, 'CRS2-ASSOCIATED FACTOR 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(178735, NULL, 'PTHR33088:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178736, NULL, 'PTHR45705:SF8', NULL, NULL, NULL, NULL, 'STROMAL MEMBRANE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(178737, NULL, 'PTHR33358:SF9', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-RELATED', NULL, NULL, NULL, 15),
(178738, NULL, 'PTHR47960:SF19', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 39', NULL, NULL, NULL, 15),
(178739, NULL, 'PTHR33203', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, 1900, 15),
(178740, NULL, 'PTHR31190:SF167', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF113', NULL, NULL, NULL, 15),
(178741, NULL, 'PTHR43859:SF6', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 5, PEROXISOMAL-RELATED', NULL, NULL, NULL, 15),
(178742, NULL, 'PTHR23056:SF124', NULL, NULL, NULL, NULL, 'BNAANNG31750D PROTEIN', NULL, NULL, NULL, 15),
(178743, NULL, 'PTHR33917:SF4', NULL, NULL, NULL, NULL, 'BNAA03G52660D PROTEIN', NULL, NULL, NULL, 15),
(178744, NULL, 'PTHR34222:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178745, NULL, 'PTHR24250:SF55', NULL, NULL, NULL, NULL, 'CHYMOTRYPSINOGEN 2', NULL, NULL, NULL, 15),
(178746, NULL, 'PTHR31621:SF52', NULL, NULL, NULL, NULL, 'BNAA08G14730D PROTEIN', NULL, NULL, NULL, 15),
(178747, NULL, 'PTHR21366:SF19', NULL, NULL, NULL, NULL, 'CATECHOL 2,3-DIOXYGENASE (METAPYROCATECHASE)', NULL, NULL, NULL, 15),
(178748, NULL, 'PTHR22115:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 187-RELATED', NULL, NULL, NULL, 15),
(178749, NULL, 'PTHR28309:SF1', NULL, NULL, NULL, NULL, 'REQUIRED FOR EXCISION 1-B DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(178750, NULL, 'PTHR11742:SF80', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(178751, NULL, 'PTHR31123:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ALCS', NULL, NULL, 24946, 15),
(178752, NULL, 'PTHR47015:SF3', NULL, NULL, NULL, NULL, 'BPIFA4P PROTEIN-RELATED', NULL, NULL, 24690, 15),
(178753, NULL, 'PTHR47985:SF43', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL27', NULL, NULL, NULL, 15),
(178754, NULL, 'PTHR11362:SF120', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(178755, NULL, 'PTHR14224:SF13', NULL, NULL, NULL, NULL, 'MELANOMA ANTIGEN PREFERENTIALLY EXPRESSED IN TUMORS', NULL, NULL, NULL, 15),
(178756, NULL, 'PTHR31499:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178757, NULL, 'PTHR12277:SF166', NULL, NULL, NULL, NULL, 'BNAA01G06110D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178758, NULL, 'PTHR31175:SF26', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR36', NULL, NULL, NULL, 15),
(178759, NULL, 'PTHR10751:SF81', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(178760, NULL, 'PTHR10352:SF23', NULL, NULL, NULL, NULL, 'FI04408P', NULL, NULL, NULL, 15),
(178761, NULL, 'PTHR11559:SF367', NULL, NULL, NULL, NULL, 'PROTEIN CBG05033', NULL, NULL, NULL, 15),
(178762, NULL, 'PTHR19443:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178763, NULL, 'PTHR42908', NULL, NULL, NULL, NULL, 'TRANSLATION ELONGATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(178764, NULL, 'PTHR46324:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178765, NULL, 'PTHR31874:SF37', NULL, NULL, NULL, NULL, 'CCT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(178766, NULL, 'PTHR31357', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-10', NULL, NULL, NULL, 15),
(178767, NULL, 'PTHR22835:SF515', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178768, NULL, 'PTHR12741:SF59', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 1', NULL, NULL, 23307, 15),
(178769, NULL, 'PTHR38123:SF1', NULL, NULL, NULL, NULL, 'WALL PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(178770, NULL, 'PTHR48016:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178771, NULL, 'PTHR11214:SF295', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(178772, NULL, 'PTHR31533:SF15', NULL, NULL, NULL, NULL, 'OS09G0297800 PROTEIN', NULL, NULL, NULL, 15),
(178773, NULL, 'PTHR13780:SF137', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSCBSPB1', NULL, NULL, NULL, 15),
(178774, NULL, 'PTHR45620:SF8', NULL, NULL, NULL, NULL, 'CALCITONIN RECEPTOR', NULL, NULL, 3358, 15),
(178775, NULL, 'PTHR46592:SF6', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL67', NULL, NULL, NULL, 15),
(178776, NULL, 'PTHR31221:SF221', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 25-RELATED', NULL, NULL, NULL, 15),
(178777, NULL, 'PTHR45727:SF2', NULL, NULL, NULL, NULL, 'NPC INTRACELLULAR CHOLESTEROL TRANSPORTER 1', NULL, NULL, NULL, 15),
(178778, NULL, 'PTHR43139:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178779, NULL, 'PTHR45676:SF107', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(178780, NULL, 'PTHR45667:SF1', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(178781, NULL, 'PTHR48018:SF135', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AK3-RELATED', NULL, NULL, NULL, 15),
(178782, NULL, 'PTHR31917:SF70', NULL, NULL, NULL, NULL, 'PHD FINGER TRANSCRIPTION FACTOR-LIKE PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(178783, NULL, 'PTHR11875:SF29', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC Y-ENCODED-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(178784, NULL, 'PTHR14255:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178785, NULL, 'PTHR10543:SF85', NULL, NULL, NULL, NULL, 'BETA-CAROTENE OXYGENASE 2A', NULL, NULL, NULL, 15),
(178786, NULL, 'PTHR10739:SF52', NULL, NULL, NULL, NULL, 'CHOLINE-PHOSPHATE CYTIDYLYLTRANSFERASE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(178787, NULL, 'PTHR47967:SF81', NULL, NULL, NULL, NULL, 'OS07G0603500 PROTEIN', NULL, NULL, NULL, 15),
(178788, NULL, 'PTHR42241:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED, DUF998 FAMILY', NULL, NULL, NULL, 15),
(178789, NULL, 'PTHR19376:SF37', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II SUBUNIT RPB1', NULL, NULL, NULL, 15),
(178790, NULL, 'PTHR22948:SF52', NULL, NULL, NULL, NULL, 'PROTEIN VRETENO', NULL, NULL, NULL, 15),
(178791, NULL, 'PTHR31312:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR GLK1', NULL, NULL, NULL, 15),
(178792, NULL, 'PTHR31988:SF20', NULL, NULL, NULL, NULL, 'CARBOHYDRATE ESTERASE-RELATED', NULL, NULL, NULL, 15),
(178793, NULL, 'PTHR43574:SF43', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 4', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178794, NULL, 'PTHR47985', NULL, NULL, NULL, NULL, 'OS07G0668900 PROTEIN', NULL, NULL, NULL, 15),
(178795, NULL, 'PTHR33065:SF19', NULL, NULL, NULL, NULL, 'OS12G0228350 PROTEIN', NULL, NULL, NULL, 15),
(178796, NULL, 'PTHR31568:SF104', NULL, NULL, NULL, NULL, 'BNAA03G19450D PROTEIN', NULL, NULL, NULL, 15),
(178797, NULL, 'PTHR43736', NULL, NULL, NULL, NULL, 'ADP-RIBOSE PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(178798, NULL, 'PTHR23073:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178799, NULL, 'PTHR33057:SF32', NULL, NULL, NULL, NULL, 'OS05G0440900 PROTEIN', NULL, NULL, NULL, 15),
(178800, NULL, 'PTHR31066:SF42', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P FAMILY PROTEIN', NULL, NULL, NULL, 15),
(178801, NULL, 'PTHR10285:SF122', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE C', NULL, NULL, NULL, 15),
(178802, NULL, 'PTHR11477:SF20', NULL, NULL, NULL, NULL, 'SPOC DOMAIN / TRANSCRIPTION ELONGATION FACTOR S-II PROTEIN', NULL, NULL, NULL, 15),
(178803, NULL, 'PTHR13317', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 5420, 15),
(178804, NULL, 'PTHR21643', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29038, 15),
(178805, NULL, 'PTHR43078', NULL, NULL, NULL, NULL, 'UDP-GLUCURONIC ACID DECARBOXYLASE-RELATED', NULL, NULL, 39339, 15),
(178806, NULL, 'PTHR23431:SF4', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC5', NULL, NULL, NULL, 15),
(178807, NULL, 'PTHR43719:SF46', NULL, NULL, NULL, NULL, 'PHYTOCHROME A', NULL, NULL, NULL, 15),
(178808, NULL, 'PTHR35695:SF1', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(178809, NULL, 'PTHR10153:SF36', NULL, NULL, NULL, NULL, 'KCNN (POTASSIUM K CHANNEL, CALCIUM ACTIVATED)-LIKE', NULL, NULL, NULL, 15),
(178810, NULL, 'PTHR11945:SF417', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL27-RELATED', NULL, NULL, NULL, 15),
(178811, NULL, 'PTHR48007:SF1', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(178812, NULL, 'PTHR36017:SF1', NULL, NULL, NULL, NULL, 'EMBRYO DEFECTIVE 1381', NULL, NULL, NULL, 15),
(178813, NULL, 'PTHR33065:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178814, NULL, 'PTHR46558:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, PBSX FAMILY', NULL, NULL, NULL, 15),
(178815, NULL, 'PTHR11003:SF283', NULL, NULL, NULL, NULL, 'TWO PORE DOMAIN POTASSIUM CHANNEL, EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(178816, NULL, 'PTHR11566:SF46', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED GTP-BINDING PROTEIN MX2', NULL, NULL, NULL, 15),
(178817, NULL, 'PTHR11588:SF380', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(178818, NULL, 'PTHR22792:SF113', NULL, NULL, NULL, NULL, 'OS03G0566500 PROTEIN', NULL, NULL, NULL, 15),
(178819, NULL, 'PTHR23024:SF166', NULL, NULL, NULL, NULL, 'STERIGMATOCYSTIN BIOSYNTHESIS LIPASE/ESTERASE STCI-RELATED', NULL, NULL, NULL, 15),
(178820, NULL, 'PTHR31175:SF32', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR66-LIKE', NULL, NULL, NULL, 15),
(178821, NULL, 'PTHR11003:SF304', NULL, NULL, NULL, NULL, 'OPEN RECTIFIER POTASSIUM CHANNEL PROTEIN 1', NULL, NULL, NULL, 15),
(178822, NULL, 'PTHR31707:SF236', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(178823, NULL, 'PTHR13297:SF5', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 23', NULL, NULL, NULL, 15),
(178824, NULL, 'PTHR31003:SF17', NULL, NULL, NULL, NULL, 'OS07G0119300 PROTEIN', NULL, NULL, NULL, 15),
(178825, NULL, 'PTHR43895:SF60', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 26', NULL, NULL, NULL, 15),
(178826, NULL, 'PTHR48004:SF37', NULL, NULL, NULL, NULL, 'PROTEIN KINASE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(178827, NULL, 'PTHR47956:SF30', NULL, NULL, NULL, NULL, 'OS06G0641500 PROTEIN', NULL, NULL, NULL, 15),
(178828, NULL, 'PTHR15333', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 5', NULL, NULL, 25345, 15),
(178829, NULL, 'PTHR13273:SF15', NULL, NULL, NULL, NULL, 'ANAMORSIN HOMOLOG 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178830, NULL, 'PTHR33137:SF23', NULL, NULL, NULL, NULL, 'BNAC05G49870D PROTEIN', NULL, NULL, NULL, 15),
(178831, NULL, 'PTHR35771', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(178832, NULL, 'PTHR20855:SF122', NULL, NULL, NULL, NULL, 'BNAA03G54210D PROTEIN', NULL, NULL, NULL, 15),
(178833, NULL, 'PTHR45646:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AFC2', NULL, NULL, NULL, 15),
(178834, NULL, 'PTHR14145:SF2', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 1', NULL, NULL, 27278, 15),
(178835, NULL, 'PTHR42854:SF13', NULL, NULL, NULL, NULL, 'BNAC05G02310D PROTEIN', NULL, NULL, NULL, 15),
(178836, NULL, 'PTHR11214:SF244', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(178837, NULL, 'PTHR32099:SF38', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 25', NULL, NULL, NULL, 15),
(178838, NULL, 'PTHR33164:SF73', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(178839, NULL, 'PTHR45669:SF31', NULL, NULL, NULL, NULL, 'F3H7.9 PROTEIN', NULL, NULL, NULL, 15),
(178840, NULL, 'PTHR18884', NULL, NULL, NULL, NULL, 'SEPTIN', NULL, NULL, NULL, 15),
(178841, NULL, 'PTHR11246:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178842, NULL, 'PTHR10641:SF1263', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178843, NULL, 'PTHR39643:SF1', NULL, NULL, NULL, NULL, 'CCA-ADDING ENZYME', NULL, NULL, NULL, 15),
(178844, NULL, 'PTHR22765:SF269', NULL, NULL, NULL, NULL, 'EGF-LIKE CALCIUM-BINDING DOMAIN, PA DOMAIN, THIOREDOXIN-LIKE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(178845, NULL, 'PTHR34277', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 26', NULL, NULL, 29248, 15),
(178846, NULL, 'PTHR24028:SF276', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 20', NULL, NULL, NULL, 15),
(178847, NULL, 'PTHR24305:SF176', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(178848, NULL, 'PTHR12802:SF101', NULL, NULL, NULL, NULL, 'OSJNBA0027H06.15 PROTEIN', NULL, NULL, NULL, 15),
(178849, NULL, 'PTHR31680:SF18', NULL, NULL, NULL, NULL, 'BNAANNG16850D PROTEIN', NULL, NULL, NULL, 15),
(178850, NULL, 'PTHR23282:SF128', NULL, NULL, NULL, NULL, 'SI:CH211-106H4.4', NULL, NULL, NULL, 15),
(178851, NULL, 'PTHR44329:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR-INTERACTING SERINE/THREONINE-PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(178852, NULL, 'PTHR46214:SF31', NULL, NULL, NULL, NULL, 'BNACNNG38000D PROTEIN', NULL, NULL, NULL, 15),
(178853, NULL, 'PTHR36814', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT N, CHLOROPLASTIC', NULL, NULL, 14201, 15),
(178854, NULL, 'PTHR31889:SF59', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 8-RELATED', NULL, NULL, NULL, 15),
(178855, NULL, 'PTHR31489:SF2', NULL, NULL, NULL, NULL, 'PROTEIN LIN-52 HOMOLOG', NULL, NULL, NULL, 15),
(178856, NULL, 'PTHR27005:SF261', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178857, NULL, 'PTHR11848:SF259', NULL, NULL, NULL, NULL, 'CVG1 PROTEIN', NULL, NULL, NULL, 15),
(178858, NULL, 'PTHR48041:SF60', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 14', NULL, NULL, NULL, 15),
(178859, NULL, 'PTHR13994:SF35', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 2-LIKE', NULL, NULL, NULL, 15),
(178860, NULL, 'PTHR45621:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178861, NULL, 'PTHR33974:SF16', NULL, NULL, NULL, NULL, 'BNACNNG07040D PROTEIN', NULL, NULL, NULL, 15),
(178862, NULL, 'PTHR19229:SF223', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(178863, NULL, 'PTHR10851:SF4', NULL, NULL, NULL, NULL, 'IP08110P', NULL, NULL, NULL, 15),
(178864, NULL, 'PTHR42684:SF18', NULL, NULL, NULL, NULL, 'GAMMA AMINOBUTYRATE TRANSAMINASE 3 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(178865, NULL, 'PTHR15151:SF24', NULL, NULL, NULL, NULL, 'PROTEIN EIGER', NULL, NULL, NULL, 15),
(178866, NULL, 'PTHR31009:SF123', NULL, NULL, NULL, NULL, 'BENZOATE O-METHYLTRANSFERASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178867, NULL, 'PTHR13683:SF678', NULL, NULL, NULL, NULL, 'OS06G0119600 PROTEIN', NULL, NULL, NULL, 15),
(178868, NULL, 'PTHR11875:SF38', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1-LIKE 3', NULL, NULL, NULL, 15),
(178869, NULL, 'PTHR45764:SF55', NULL, NULL, NULL, NULL, 'BASIC LEUCINE-ZIPPER 5-RELATED', NULL, NULL, NULL, 15),
(178870, NULL, 'PTHR12307:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 3G', NULL, NULL, NULL, 15),
(178871, NULL, 'PTHR11740:SF28', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT BETA', NULL, NULL, NULL, 15),
(178872, NULL, 'PTHR12812:SF1', NULL, NULL, NULL, NULL, 'HEPARAN-SULFATE 6-O-SULFOTRANSFERASE 1', NULL, NULL, NULL, 15),
(178873, NULL, 'PTHR24177:SF162', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(178874, NULL, 'PTHR10634:SF97', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 9', NULL, NULL, NULL, 15),
(178875, NULL, 'PTHR33210:SF20', NULL, NULL, NULL, NULL, 'OS01G0201600 PROTEIN', NULL, NULL, NULL, 15),
(178876, NULL, 'PTHR31174:SF33', NULL, NULL, NULL, NULL, 'BNAC03G42830D PROTEIN', NULL, NULL, NULL, 15),
(178877, NULL, 'PTHR46989:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178878, NULL, 'PTHR10502:SF203', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(178879, NULL, 'PTHR43447:SF32', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', NULL, NULL, NULL, 15),
(178880, NULL, 'PTHR20982:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178881, NULL, 'PTHR12121:SF27', NULL, NULL, NULL, NULL, 'PROTEIN ANGEL HOMOLOG 2', NULL, NULL, NULL, 15),
(178882, NULL, 'PTHR13340', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING', NULL, NULL, 35526, 15),
(178883, NULL, 'PTHR10653:SF19', NULL, NULL, NULL, NULL, 'F-ACTIN-CAPPING PROTEIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(178884, NULL, 'PTHR24264:SF6', NULL, NULL, NULL, NULL, 'TRYPSINOGEN', NULL, NULL, NULL, 15),
(178885, NULL, 'PTHR16592:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178886, NULL, 'PTHR10894:SF14', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(178887, NULL, 'PTHR11407:SF31', NULL, NULL, NULL, NULL, 'SPERM ACROSOME-ASSOCIATED PROTEIN 5', NULL, NULL, 26799, 15),
(178888, NULL, 'PTHR45768:SF59', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(178889, NULL, 'PTHR22891:SF12', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN', NULL, NULL, NULL, 15),
(178890, NULL, 'PTHR23500:SF10', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORT PROTEIN MST8', NULL, NULL, NULL, 15),
(178891, NULL, 'PTHR21057', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', NULL, NULL, 3898, 15),
(178892, NULL, 'PTHR47187', NULL, NULL, NULL, NULL, 'NFATC2-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(178893, NULL, 'PTHR24135:SF4', NULL, NULL, NULL, NULL, 'SH3 AND MULTIPLE ANKYRIN REPEAT DOMAINS PROTEIN 3', NULL, NULL, NULL, 15),
(178894, NULL, 'PTHR24177:SF225', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(178895, NULL, 'PTHR47626', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF (SAM) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(178896, NULL, 'PTHR14165:SF11', NULL, NULL, NULL, NULL, 'MAJOR VAULT PROTEIN BETA', NULL, NULL, NULL, 15),
(178897, NULL, 'PTHR48101:SF3', NULL, NULL, NULL, NULL, 'COENZYME B12-DEPENDENT MUTASE', NULL, NULL, NULL, 15),
(178898, NULL, 'PTHR11374:SF49', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(178899, NULL, 'PTHR31086:SF72', NULL, NULL, NULL, NULL, 'BNAA09G28580D PROTEIN', NULL, NULL, NULL, 15),
(178900, NULL, 'PTHR13400:SF3', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 28A', NULL, NULL, NULL, 15),
(178901, NULL, 'PTHR21315:SF2', NULL, NULL, NULL, NULL, 'APRATAXIN AND PNK-LIKE FACTOR', NULL, NULL, NULL, 15),
(178902, NULL, 'PTHR11654:SF470', NULL, NULL, NULL, NULL, 'BNAC04G01330D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178903, NULL, 'PTHR11926:SF1330', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(178904, NULL, 'PTHR48021:SF48', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(178905, NULL, 'PTHR34340', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 25046, 15),
(178906, NULL, 'PTHR47960:SF17', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX6-RELATED', NULL, NULL, NULL, 15),
(178907, NULL, 'PTHR31529:SF28', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 19', NULL, NULL, NULL, 15),
(178908, NULL, 'PTHR31639:SF151', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178909, NULL, 'PTHR33737:SF10', NULL, NULL, NULL, NULL, 'OS12G0102700 PROTEIN', NULL, NULL, NULL, 15),
(178910, NULL, 'PTHR15416:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178911, NULL, 'PTHR21659:SF57', NULL, NULL, NULL, NULL, 'UPF0057 MEMBRANE PROTEIN ZK632.10', NULL, NULL, NULL, 15),
(178912, NULL, 'PTHR32116:SF21', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY-LIKE', NULL, NULL, NULL, 15),
(178913, NULL, 'PTHR14680', NULL, NULL, NULL, NULL, 'SI:DKEY-126G1.9-RELATED', NULL, NULL, 28089, 15),
(178914, NULL, 'PTHR20961:SF135', NULL, NULL, NULL, NULL, 'BNAC05G35210D PROTEIN', NULL, NULL, NULL, 15),
(178915, NULL, 'PTHR23149:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178916, NULL, 'PTHR11615:SF288', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(178917, NULL, 'PTHR33346:SF22', NULL, NULL, NULL, NULL, 'ABSCISIC ACID AND ENVIRONMENTAL STRESS-INDUCIBLE PROTEIN TAS14', NULL, NULL, NULL, 15),
(178918, NULL, 'PTHR36787', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(178919, NULL, 'PTHR18034:SF5', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR CWC22 HOMOLOG', NULL, NULL, NULL, 15),
(178920, NULL, 'PTHR43180:SF52', NULL, NULL, NULL, NULL, 'OS07G0663600 PROTEIN', NULL, NULL, NULL, 15),
(178921, NULL, 'PTHR33228:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178922, NULL, 'PTHR45826:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(178923, NULL, 'PTHR23070:SF153', NULL, NULL, NULL, NULL, 'PROTEIN HYPER-SENSITIVITY-RELATED 4', NULL, NULL, NULL, 15),
(178924, NULL, 'PTHR10183:SF333', NULL, NULL, NULL, NULL, 'CALPAIN-13', NULL, NULL, 26608, 15),
(178925, NULL, 'PTHR32071:SF95', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN ZRAR', NULL, NULL, NULL, 15),
(178926, NULL, 'PTHR46186:SF2', NULL, NULL, NULL, NULL, 'CYSTATIN', NULL, NULL, NULL, 15),
(178927, NULL, 'PTHR11200:SF262', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE-5-PHOSPHATASE JA', NULL, NULL, NULL, 15),
(178928, NULL, 'PTHR23180:SF403', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD3-LIKE', NULL, NULL, NULL, 15),
(178929, NULL, 'PTHR41286:SF1', NULL, NULL, NULL, NULL, 'HNH NUCLEASE YAJD-RELATED', NULL, NULL, NULL, 15),
(178930, NULL, 'PTHR10612', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN D', NULL, NULL, NULL, 15),
(178931, NULL, 'PTHR36066:SF7', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(178932, NULL, 'PTHR45837:SF10', NULL, NULL, NULL, NULL, 'BNAA09G47480D PROTEIN', NULL, NULL, NULL, 15),
(178933, NULL, 'PTHR31232:SF110', NULL, NULL, NULL, NULL, 'BNAA09G04410D PROTEIN', NULL, NULL, NULL, 15),
(178934, NULL, 'PTHR11905:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178935, NULL, 'PTHR23428:SF267', NULL, NULL, NULL, NULL, 'HISTONE H2B.5-RELATED', NULL, NULL, NULL, 15),
(178936, NULL, 'PTHR33883:SF6', NULL, NULL, NULL, NULL, 'WPP DOMAIN-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(178937, NULL, 'PTHR45631:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178938, NULL, 'PTHR45980:SF12', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 9', NULL, NULL, NULL, 15),
(178939, NULL, 'PTHR48007:SF46', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178940, NULL, 'PTHR11669:SF62', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C SUBUNIT 4', NULL, NULL, NULL, 15),
(178941, NULL, 'PTHR36144', NULL, NULL, NULL, NULL, 'S-ANTIGEN PROTEIN', NULL, NULL, NULL, 15),
(178942, NULL, 'PTHR36073:SF1', NULL, NULL, NULL, NULL, 'OS01G0962100 PROTEIN', NULL, NULL, NULL, 15),
(178943, NULL, 'PTHR43813:SF1', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 16, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(178944, NULL, 'PTHR48060:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(178945, NULL, 'PTHR38382', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(178946, NULL, 'PTHR11439:SF348', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178947, NULL, 'PTHR37172:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(178948, NULL, 'PTHR45662', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITIDE PHOSPHATASE SAC1', NULL, NULL, NULL, 15),
(178949, NULL, 'PTHR48054:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178950, NULL, 'PTHR31236:SF24', NULL, NULL, NULL, NULL, 'BURP DOMAIN PROTEIN RD22', NULL, NULL, NULL, 15),
(178951, NULL, 'PTHR32212:SF317', NULL, NULL, NULL, NULL, 'BNACNNG60560D PROTEIN', NULL, NULL, NULL, 15),
(178952, NULL, 'PTHR24418:SF422', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(178953, NULL, 'PTHR45969:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178954, NULL, 'PTHR30081:SF13', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLOCASE SUBUNIT SECD', NULL, NULL, NULL, 15),
(178955, NULL, 'PTHR47972:SF30', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(178956, NULL, 'PTHR43223:SF1', NULL, NULL, NULL, NULL, 'ALKYL/ARYL-SULFATASE BDS1', NULL, NULL, NULL, 15),
(178957, NULL, 'PTHR34671:SF16', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN EMB564', NULL, NULL, NULL, 15),
(178958, NULL, 'PTHR43243:SF78', NULL, NULL, NULL, NULL, 'BNAA05G32770D PROTEIN', NULL, NULL, NULL, 15),
(178959, NULL, 'PTHR23359:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178960, NULL, 'PTHR28173', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP8', NULL, NULL, 19644, 15),
(178961, NULL, 'PTHR28673', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 108', NULL, NULL, 26351, 15),
(178962, NULL, 'PTHR33214:SF54', NULL, NULL, NULL, NULL, 'BNAA02G18990D PROTEIN', NULL, NULL, NULL, 15),
(178963, NULL, 'PTHR19860:SF10', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 12', NULL, NULL, NULL, 15),
(178964, NULL, 'PTHR10974:SF40', NULL, NULL, NULL, NULL, 'PROTEIN CBG05224', NULL, NULL, NULL, 15),
(178965, NULL, 'PTHR26453:SF161', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T29-RELATED', NULL, NULL, NULL, 15),
(178966, NULL, 'PTHR10502:SF25', NULL, NULL, NULL, NULL, 'ANNEXIN A3', NULL, NULL, 6378, 15),
(178967, NULL, 'PTHR24220:SF667', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(178968, NULL, 'PTHR12497:SF0', NULL, NULL, NULL, NULL, 'TAFAZZIN', NULL, NULL, NULL, 15),
(178969, NULL, 'PTHR33178:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178970, NULL, 'PTHR31677:SF132', NULL, NULL, NULL, NULL, 'BNAC06G10050D PROTEIN', NULL, NULL, NULL, 15),
(178971, NULL, 'PTHR13962:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178972, NULL, 'PTHR19051:SF14', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 11-1', NULL, NULL, NULL, 15),
(178973, NULL, 'PTHR33404:SF3', NULL, NULL, NULL, NULL, 'NMDA RECEPTOR SUBUNIT EPSILON-1, PUTATIVE (DUF3598)-RELATED', NULL, NULL, NULL, 15),
(178974, NULL, 'PTHR46340:SF1', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(178975, NULL, 'PTHR11742:SF6', NULL, NULL, NULL, NULL, 'MANNOSYL-OLIGOSACCHARIDE ALPHA-1,2-MANNOSIDASE IA-RELATED', NULL, NULL, NULL, 15),
(178976, NULL, 'PTHR31495:SF26', NULL, NULL, NULL, NULL, 'PEROXYGENASE 4-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(178977, NULL, 'PTHR24253:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178978, NULL, 'PTHR28580:SF1', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR IIH SUBUNIT 5', NULL, NULL, NULL, 15),
(178979, NULL, 'PTHR21600:SF47', NULL, NULL, NULL, NULL, 'RNA PSEUDOURIDINE SYNTHASE 1', NULL, NULL, NULL, 15),
(178980, NULL, 'PTHR43471:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED', NULL, NULL, NULL, 15),
(178981, NULL, 'PTHR44169:SF5', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(178982, NULL, 'PTHR33163:SF32', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I ASSEMBLY YCF1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(178983, NULL, 'PTHR47734:SF1', NULL, NULL, NULL, NULL, 'T-CELL IMMUNORECEPTOR WITH IG AND ITIM DOMAINS', NULL, NULL, NULL, 15),
(178984, NULL, 'PTHR46036:SF12', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE', NULL, NULL, NULL, 15),
(178985, NULL, 'PTHR31682:SF18', NULL, NULL, NULL, NULL, 'UDP-ARABINOPYRANOSE MUTASE 1', NULL, NULL, NULL, 15),
(178986, NULL, 'PTHR38366', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN DEACETYLASE HST1-LIKE PROTEIN', NULL, NULL, 39453, 15),
(178987, NULL, 'PTHR11394:SF61', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 117', NULL, NULL, NULL, 15),
(178988, NULL, 'PTHR12770:SF31', NULL, NULL, NULL, NULL, 'PROTEIN ROOT UVB SENSITIVE 3', NULL, NULL, NULL, 15),
(178989, NULL, 'PTHR35088:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 178', NULL, NULL, NULL, 15),
(178990, NULL, 'PTHR33737:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178991, NULL, 'PTHR43787:SF12', NULL, NULL, NULL, NULL, 'RADICAL SAM DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(178992, NULL, 'PTHR34081:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178993, NULL, 'PTHR34266:SF2', NULL, NULL, NULL, NULL, 'THIAZOLE SYNTHASE', NULL, NULL, NULL, 15),
(178994, NULL, 'PTHR31627:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-16', NULL, NULL, NULL, 15),
(178995, NULL, 'PTHR23266:SF297', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(178996, NULL, 'PTHR34360:SF1', NULL, NULL, NULL, NULL, 'OS08G0519400 PROTEIN', NULL, NULL, NULL, 15),
(178997, NULL, 'PTHR12542:SF40', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(178998, NULL, 'PTHR23511:SF12', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G01740)-RELATED', NULL, NULL, NULL, 15),
(178999, NULL, 'PTHR43406', NULL, NULL, NULL, NULL, 'TRYPTOPHAN SYNTHASE, ALPHA CHAIN', NULL, NULL, 5447, 15),
(179000, NULL, 'PTHR45752:SF111', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179001, NULL, 'PTHR33573:SF18', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(179002, NULL, 'PTHR33108:SF38', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(179003, NULL, 'PTHR43547:SF10', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE DCUS', NULL, NULL, NULL, 15),
(179004, NULL, 'PTHR10353:SF141', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 34-LIKE', NULL, NULL, NULL, 15),
(179005, NULL, 'PTHR31544:SF11', NULL, NULL, NULL, NULL, 'AIG2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(179006, NULL, 'PTHR11886:SF70', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(179007, NULL, 'PTHR24282:SF55', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP13A3-RELATED', NULL, NULL, NULL, 15),
(179008, NULL, 'PTHR30069:SF44', NULL, NULL, NULL, NULL, 'HEME/HEMOPEXIN UTILIZATION PROTEIN C', NULL, NULL, NULL, 15),
(179009, NULL, 'PTHR11206:SF411', NULL, NULL, NULL, NULL, 'MULTI ANTIMICROBIAL EXTRUSION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179010, NULL, 'PTHR11851:SF186', NULL, NULL, NULL, NULL, 'ANTILISTERIAL BACTERIOCIN SUBTILOSIN BIOSYNTHESIS PROTEIN ALBE', NULL, NULL, NULL, 15),
(179011, NULL, 'PTHR11347:SF179', NULL, NULL, NULL, NULL, '3'',5''-CYCLIC PHOSPHODIESTERASE PDE-3-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179012, NULL, 'PTHR46991:SF13', NULL, NULL, NULL, NULL, 'BNAA06G35720D PROTEIN', NULL, NULL, NULL, 15),
(179013, NULL, 'PTHR24068:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179014, NULL, 'PTHR31989:SF275', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 13', NULL, NULL, NULL, 15),
(179015, NULL, 'PTHR21225:SF10', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE, TYR-SENSITIVE', NULL, NULL, NULL, 15),
(179016, NULL, 'PTHR11502', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', NULL, NULL, 6897, 15),
(179017, NULL, 'PTHR11260:SF611', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(179018, NULL, 'PTHR32341:SF6', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY M MEMBER 2-RELATED', NULL, NULL, NULL, 15),
(179019, NULL, 'PTHR47966:SF1', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEINASE', NULL, NULL, NULL, 15),
(179020, NULL, 'PTHR32468:SF126', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 18', NULL, NULL, NULL, 15),
(179021, NULL, 'PTHR11709:SF241', NULL, NULL, NULL, NULL, 'LACCASE-14-LIKE', NULL, NULL, NULL, 15),
(179022, NULL, 'PTHR45676:SF43', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL52-LIKE', NULL, NULL, NULL, 15),
(179023, NULL, 'PTHR11042:SF159', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2-ALPHA KINASE 1-RELATED', NULL, NULL, NULL, 15),
(179024, NULL, 'PTHR31707:SF268', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 58-RELATED', NULL, NULL, NULL, 15),
(179025, NULL, 'PTHR12103', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE DOMAIN-CONTAINING', NULL, NULL, 7632, 15),
(179026, NULL, 'PTHR31374:SF5', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR78', NULL, NULL, NULL, 15),
(179027, NULL, 'PTHR43330:SF21', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 1C, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(179028, NULL, 'PTHR43143', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE, CALCINEURIN SUPERFAMILY', NULL, NULL, NULL, 15),
(179029, NULL, 'PTHR24073:SF1125', NULL, NULL, NULL, NULL, 'RE48347P', NULL, NULL, NULL, 15),
(179030, NULL, 'PTHR22738', NULL, NULL, NULL, NULL, 'RASSF', NULL, NULL, 33623, 15),
(179031, NULL, 'PTHR33696:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179032, NULL, 'PTHR11969:SF52', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179033, NULL, 'PTHR31442:SF28', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR12-LIKE', NULL, NULL, NULL, 15),
(179034, NULL, 'PTHR24419:SF2', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-ASSOCIATED KINASE-LIKE 2', NULL, NULL, 32977, 15),
(179035, NULL, 'PTHR19325:SF523', NULL, NULL, NULL, NULL, 'P-SELECTIN-LIKE', NULL, NULL, NULL, 15),
(179036, NULL, 'PTHR47982:SF12', NULL, NULL, NULL, NULL, 'SERINE-THREONINE/TYROSINE-PROTEIN KINASE CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179037, NULL, 'PTHR24377:SF814', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 264', NULL, NULL, NULL, 15),
(179038, NULL, 'PTHR22595:SF135', NULL, NULL, NULL, NULL, 'OS09G0494200 PROTEIN', NULL, NULL, NULL, 15),
(179039, NULL, 'PTHR40613:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179040, NULL, 'PTHR31235:SF189', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(179041, NULL, 'PTHR11482:SF7', NULL, NULL, NULL, NULL, 'ANTIZYME INHIBITOR 1', NULL, NULL, 24884, 15),
(179042, NULL, 'PTHR14146', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT 4', NULL, NULL, 29393, 15),
(179043, NULL, 'PTHR11550:SF38', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', NULL, NULL, NULL, 15),
(179044, NULL, 'PTHR33132:SF83', NULL, NULL, NULL, NULL, 'BNAA09G04610D PROTEIN', NULL, NULL, NULL, 15),
(179045, NULL, 'PTHR45747', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE E(Z)', NULL, NULL, 37287, 15),
(179046, NULL, 'PTHR43222:SF7', NULL, NULL, NULL, NULL, 'MUTATOR MUTT PROTEIN (7,8-DIHYDRO-8-OXOGUANINE-TRIPHOSPHATASE)', NULL, NULL, NULL, 15),
(179047, NULL, 'PTHR43841:SF1', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-THIOESTER DEHYDRATASE HTDX-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179048, NULL, 'PTHR24068:SF379', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179049, NULL, 'PTHR46573', NULL, NULL, NULL, NULL, 'WD REPEAT, SAM AND U-BOX DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(179050, NULL, 'PTHR33143:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179051, NULL, 'PTHR12815:SF39', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE OMP85 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(179052, NULL, 'PTHR28026:SF11', NULL, NULL, NULL, NULL, 'BNAA08G31290D PROTEIN', NULL, NULL, NULL, 15),
(179053, NULL, 'PTHR31956:SF25', NULL, NULL, NULL, NULL, 'SPECIFIC PHOSPHOLIPASE C, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179054, NULL, 'PTHR45654:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN TF1', NULL, NULL, NULL, 15),
(179055, NULL, 'PTHR37226:SF4', NULL, NULL, NULL, NULL, 'GOLGIN FAMILY A PROTEIN', NULL, NULL, NULL, 15),
(179056, NULL, 'PTHR45476:SF1', NULL, NULL, NULL, NULL, 'CHLORIDE INTRACELLULAR CHANNEL PROTEIN 6', NULL, NULL, 28468, 15),
(179057, NULL, 'PTHR11017:SF317', NULL, NULL, NULL, NULL, 'BNAANNG14860D PROTEIN', NULL, NULL, NULL, 15),
(179058, NULL, 'PTHR31376:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179059, NULL, 'PTHR12321:SF144', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 5-RELATED', NULL, NULL, NULL, 15),
(179060, NULL, 'PTHR46234:SF13', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(179061, NULL, 'PTHR32440:SF28', NULL, NULL, NULL, NULL, 'BNAA06G22560D PROTEIN', NULL, NULL, NULL, 15),
(179062, NULL, 'PTHR31113:SF25', NULL, NULL, NULL, NULL, 'BNAA09G07770D PROTEIN', NULL, NULL, NULL, 15),
(179063, NULL, 'PTHR24422', NULL, NULL, NULL, NULL, 'CHEMOTAXIS PROTEIN METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(179064, NULL, 'PTHR42673:SF7', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(179065, NULL, 'PTHR21277:SF42', NULL, NULL, NULL, NULL, 'BNAANNG14490D PROTEIN', NULL, NULL, NULL, 15),
(179066, NULL, 'PTHR47985:SF54', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179067, NULL, 'PTHR42807', NULL, NULL, NULL, NULL, 'GLUTARYL-COA DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(179068, NULL, 'PTHR47977:SF35', NULL, NULL, NULL, NULL, 'RAB GTPASE-LIKE PROTEIN A5D', NULL, NULL, NULL, 15),
(179069, NULL, 'PTHR13140:SF749', NULL, NULL, NULL, NULL, 'OS01G0584200 PROTEIN', NULL, NULL, NULL, 15),
(179070, NULL, 'PTHR15615:SF94', NULL, NULL, NULL, NULL, 'PHO85 CYCLIN-6-RELATED', NULL, NULL, NULL, 15),
(179071, NULL, 'PTHR35359:SF1', NULL, NULL, NULL, NULL, 'OS11G0514100 PROTEIN', NULL, NULL, NULL, 15),
(179072, NULL, 'PTHR46867:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM9-2', NULL, NULL, NULL, 15),
(179073, NULL, 'PTHR47991:SF32', NULL, NULL, NULL, NULL, 'PROTEIN DOWNY MILDEW RESISTANCE 6', NULL, NULL, NULL, 15),
(179074, NULL, 'PTHR43939:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179075, NULL, 'PTHR27007:SF150', NULL, NULL, NULL, NULL, 'LECTIN-LIKE RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179076, NULL, 'PTHR23195:SF27', NULL, NULL, NULL, NULL, 'ENL/AF9-RELATED, ISOFORM B', NULL, NULL, NULL, 15),
(179077, NULL, 'PTHR47978:SF26', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-33', NULL, NULL, NULL, 15),
(179078, NULL, 'PTHR24072:SF17', NULL, NULL, NULL, NULL, 'RHO-RELATED GTP-BINDING PROTEIN RHOJ', NULL, NULL, NULL, 15),
(179079, NULL, 'PTHR33110:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179080, NULL, 'PTHR46148:SF3', NULL, NULL, NULL, NULL, 'GYPSY RETROTRANSPOSON INTEGRASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(179081, NULL, 'PTHR13005:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH HYDROPHOBIC DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(179082, NULL, 'PTHR19433:SF112', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 4', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179083, NULL, 'PTHR32077:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179084, NULL, 'PTHR45979:SF22', NULL, NULL, NULL, NULL, 'BNAC07G32340D PROTEIN', NULL, NULL, NULL, 15),
(179085, NULL, 'PTHR46581:SF8', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(179086, NULL, 'PTHR13596:SF11', NULL, NULL, NULL, NULL, 'SERF-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179087, NULL, 'PTHR33124:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179088, NULL, 'PTHR34583:SF2', NULL, NULL, NULL, NULL, 'ANTIPORTER SUBUNIT MNHC2-RELATED', NULL, NULL, NULL, 15),
(179089, NULL, 'PTHR46758:SF4', NULL, NULL, NULL, NULL, 'MYND FINGER FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(179090, NULL, 'PTHR13693:SF94', NULL, NULL, NULL, NULL, '8-AMINO-7-OXONONANOATE SYNTHASE 2-RELATED', NULL, NULL, NULL, 15),
(179091, NULL, 'PTHR16684:SF11', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN C', NULL, NULL, NULL, 15),
(179092, NULL, 'PTHR24296:SF201', NULL, NULL, NULL, NULL, 'BNACNNG36830D PROTEIN', NULL, NULL, NULL, 15),
(179093, NULL, 'PTHR21562:SF88', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(179094, NULL, 'PTHR31003:SF19', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179095, NULL, 'PTHR35202:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179096, NULL, 'PTHR48017:SF127', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(179097, NULL, 'PTHR38030:SF2', NULL, NULL, NULL, NULL, 'PROTOPORPHYRINOGEN IX DEHYDROGENASE [MENAQUINONE]', NULL, NULL, NULL, 15),
(179098, NULL, 'PTHR23117:SF18', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT AND GUANYLATE KINASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(179099, NULL, 'PTHR23235:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP3', NULL, NULL, 25518, 15),
(179100, NULL, 'PTHR12299:SF46', NULL, NULL, NULL, NULL, 'HYALURONAN / MRNA BINDING FAMILY', NULL, NULL, NULL, 15),
(179101, NULL, 'PTHR21106:SF2', NULL, NULL, NULL, NULL, 'GM23292P', NULL, NULL, NULL, 15),
(179102, NULL, 'PTHR46105:SF4', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 7B', NULL, NULL, NULL, 15),
(179103, NULL, 'PTHR30055:SF180', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR TETR FAMILY', NULL, NULL, NULL, 15),
(179104, NULL, 'PTHR46128:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179105, NULL, 'PTHR31384:SF27', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 10', NULL, NULL, NULL, 15),
(179106, NULL, 'PTHR45693:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA9', NULL, NULL, NULL, 15),
(179107, NULL, 'PTHR33385:SF19', NULL, NULL, NULL, NULL, 'BNAA02G30390D PROTEIN', NULL, NULL, NULL, 15),
(179108, NULL, 'PTHR24302:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 3, SUBFAMILY C, POLYPEPTIDE 4-RELATED', NULL, NULL, NULL, 15),
(179109, NULL, 'PTHR31731:SF12', NULL, NULL, NULL, NULL, 'OS03G0718800 PROTEIN', NULL, NULL, NULL, 15),
(179110, NULL, 'PTHR31865:SF29', NULL, NULL, NULL, NULL, 'BNAA04G24650D PROTEIN', NULL, NULL, NULL, 15),
(179111, NULL, 'PTHR47687:SF4', NULL, NULL, NULL, NULL, 'G8 DOMAIN-CONTAINING PROTEIN DDB_G0288475-RELATED', NULL, NULL, NULL, 15),
(179112, NULL, 'PTHR24082:SF38', NULL, NULL, NULL, NULL, 'VITAMIN D3 RECEPTOR', NULL, NULL, NULL, 15),
(179113, NULL, 'PTHR11571:SF105', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(179114, NULL, 'PTHR46604:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MID1-COMPLEMENTING ACTIVITY 1', NULL, NULL, NULL, 15),
(179115, NULL, 'PTHR23389:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME TRANSMISSION FIDELITY PROTEIN 18 HOMOLOG', NULL, NULL, NULL, 15),
(179116, NULL, 'PTHR11588:SF291', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2 CHAIN', NULL, NULL, NULL, 15),
(179117, NULL, 'PTHR31683:SF138', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(179118, NULL, 'PTHR19879', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID', NULL, NULL, 31434, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179119, NULL, 'PTHR45894:SF6', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN Y14A-LIKE', NULL, NULL, NULL, 15),
(179120, NULL, 'PTHR16469:SF27', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(179121, NULL, 'PTHR23105:SF160', NULL, NULL, NULL, NULL, 'BNAC09G37610D PROTEIN', NULL, NULL, NULL, 15),
(179122, NULL, 'PTHR31338:SF29', NULL, NULL, NULL, NULL, 'BNAA08G20640D PROTEIN', NULL, NULL, NULL, 15),
(179123, NULL, 'PTHR10476:SF54', NULL, NULL, NULL, NULL, 'SNF7 FAMILY-RELATED', NULL, NULL, NULL, 15),
(179124, NULL, 'PTHR45754:SF3', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE', NULL, NULL, NULL, 15),
(179125, NULL, 'PTHR31375:SF6', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11980)-RELATED', NULL, NULL, NULL, 15),
(179126, NULL, 'PTHR32468:SF74', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', NULL, NULL, NULL, 15),
(179127, NULL, 'PTHR35247', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 43', NULL, NULL, 25262, 15),
(179128, NULL, 'PTHR10134', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT RIESKE, MITOCHONDRIAL', NULL, NULL, 6714, 15),
(179129, NULL, 'PTHR45750:SF4', NULL, NULL, NULL, NULL, 'BNAC04G26160D PROTEIN', NULL, NULL, NULL, 15),
(179130, NULL, 'PTHR27008:SF447', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179131, NULL, 'PTHR47926:SF132', NULL, NULL, NULL, NULL, 'BNAA02G26650D PROTEIN', NULL, NULL, NULL, 15),
(179132, NULL, 'PTHR24410:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179133, NULL, 'PTHR24009:SF31', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 53-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(179134, NULL, 'PTHR33711:SF8', NULL, NULL, NULL, NULL, 'PROTOCATECHUATE 3,4-DIOXYGENASE BETA CHAIN', NULL, NULL, NULL, 15),
(179135, NULL, 'PTHR33882:SF2', NULL, NULL, NULL, NULL, 'PATHOGENIC TYPE III EFFECTOR AVIRULENCE FACTOR AVR AVRRPT-CLEAVAGE: CLEAVAGE SITE PROTEIN', NULL, NULL, NULL, 15),
(179136, NULL, 'PTHR22923:SF102', NULL, NULL, NULL, NULL, 'CEREBELLIN 11-RELATED', NULL, NULL, NULL, 15),
(179137, NULL, 'PTHR36401:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 8, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(179138, NULL, 'PTHR11716', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2 FAMILY MEMBER', NULL, NULL, 1039, 15),
(179139, NULL, 'PTHR37832', NULL, NULL, NULL, NULL, 'BLL2683 PROTEIN', NULL, NULL, NULL, 15),
(179140, NULL, 'PTHR12935:SF13', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLCYCLOTRANSFERASE A', NULL, NULL, NULL, 15),
(179141, NULL, 'PTHR21422:SF9', NULL, NULL, NULL, NULL, 'RAB3 GTPASE-ACTIVATING PROTEIN CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(179142, NULL, 'PTHR43795:SF54', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE 5', NULL, NULL, NULL, 15),
(179143, NULL, 'PTHR48098:SF3', NULL, NULL, NULL, NULL, 'ENTEROCHELIN ESTERASE', NULL, NULL, NULL, 15),
(179144, NULL, 'PTHR47986:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE TMK1-RELATED', NULL, NULL, NULL, 15),
(179145, NULL, 'PTHR11850:SF205', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN TGIF2LX-RELATED', NULL, NULL, NULL, 15),
(179146, NULL, 'PTHR48199', NULL, NULL, NULL, NULL, 'ALPHA KAFIRIN', NULL, NULL, NULL, 15),
(179147, NULL, 'PTHR16134:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179148, NULL, 'PTHR10663:SF320', NULL, NULL, NULL, NULL, 'CYTOHESIN-3', NULL, NULL, NULL, 15),
(179149, NULL, 'PTHR11505:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179150, NULL, 'PTHR12289:SF68', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179151, NULL, 'PTHR44167:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CHK2', NULL, NULL, NULL, 15),
(179152, NULL, 'PTHR33132:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179153, NULL, 'PTHR30352:SF24', NULL, NULL, NULL, NULL, 'RADICAL SAM PROTEIN TATD FAMILY-ASSOCIATED', NULL, NULL, NULL, 15),
(179154, NULL, 'PTHR21600:SF40', NULL, NULL, NULL, NULL, 'RNA PSEUDOURIDYLATE SYNTHASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179155, NULL, 'PTHR46818:SF1', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179156, NULL, 'PTHR46354:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DOG1-LIKE 1', NULL, NULL, NULL, 15),
(179157, NULL, 'PTHR45619:SF16', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-1 CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(179158, NULL, 'PTHR12697:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179159, NULL, 'PTHR34061:SF19', NULL, NULL, NULL, NULL, 'OS10G0502100 PROTEIN', NULL, NULL, NULL, 15),
(179160, NULL, 'PTHR31442:SF13', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR21-LIKE', NULL, NULL, NULL, 15),
(179161, NULL, 'PTHR10380:SF199', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179162, NULL, 'PTHR30126:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(179163, NULL, 'PTHR33873:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR VOZ1-LIKE', NULL, NULL, NULL, 15),
(179164, NULL, 'PTHR24174:SF6', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR ADAPTOR PROTEIN 1', NULL, NULL, NULL, 15),
(179165, NULL, 'PTHR34054:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179166, NULL, 'PTHR47788:SF1', NULL, NULL, NULL, NULL, 'POLYA POLYMERASE', NULL, NULL, NULL, 15),
(179167, NULL, 'PTHR19359', NULL, NULL, NULL, NULL, 'CYTOCHROME B5', NULL, NULL, NULL, 15),
(179168, NULL, 'PTHR23291:SF47', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930511M11, ISOFORM CRA_C', NULL, NULL, NULL, 15),
(179169, NULL, 'PTHR28603:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 243', NULL, NULL, NULL, 15),
(179170, NULL, 'PTHR22227:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAM122C ISOFORM X8', NULL, NULL, NULL, 15),
(179171, NULL, 'PTHR10357:SF202', NULL, NULL, NULL, NULL, 'MALTASE 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(179172, NULL, 'PTHR11728:SF40', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)]', NULL, NULL, NULL, 15),
(179173, NULL, 'PTHR10218:SF180', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-4 SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(179174, NULL, 'PTHR35469:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179175, NULL, 'PTHR37891:SF1', NULL, NULL, NULL, NULL, 'OS06G0113900 PROTEIN', NULL, NULL, NULL, 15),
(179176, NULL, 'PTHR10173:SF52', NULL, NULL, NULL, NULL, 'METHIONINE-R-SULFOXIDE REDUCTASE B1', NULL, NULL, NULL, 15),
(179177, NULL, 'PTHR12396:SF46', NULL, NULL, NULL, NULL, 'METHYL-CPG BINDING DOMAIN PROTEIN-LIKE, ISOFORM C', NULL, NULL, NULL, 15),
(179178, NULL, 'PTHR47998:SF11', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 5 ISOFORM 1', NULL, NULL, NULL, 15),
(179179, NULL, 'PTHR26452:SF818', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AC2', NULL, NULL, NULL, 15),
(179180, NULL, 'PTHR12735', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN-RELATED', NULL, NULL, 37006, 15),
(179181, NULL, 'PTHR40697:SF3', NULL, NULL, NULL, NULL, 'ACETOIN CATABOLISM PROTEIN X', NULL, NULL, NULL, 15),
(179182, NULL, 'PTHR34305:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(179183, NULL, 'PTHR10782:SF85', NULL, NULL, NULL, NULL, 'BNAA10G13230D PROTEIN', NULL, NULL, 27163, 15),
(179184, NULL, 'PTHR11510:SF20', NULL, NULL, NULL, NULL, 'BNAA04G12720D PROTEIN', NULL, NULL, NULL, 15),
(179185, NULL, 'PTHR46008:SF30', NULL, NULL, NULL, NULL, 'BNAC06G27840D PROTEIN', NULL, NULL, NULL, 15),
(179186, NULL, 'PTHR24256:SF504', NULL, NULL, NULL, NULL, 'SERINE PROTEASE H35', NULL, NULL, NULL, 15),
(179187, NULL, 'PTHR31225:SF58', NULL, NULL, NULL, NULL, '(E,E)-GERMACRENE B SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(179188, NULL, 'PTHR10795:SF585', NULL, NULL, NULL, NULL, 'OS01G0868900 PROTEIN', NULL, NULL, NULL, 15),
(179189, NULL, 'PTHR31032:SF1', NULL, NULL, NULL, NULL, 'PGR5-LIKE PROTEIN 1B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(179190, NULL, 'PTHR33377:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179191, NULL, 'PTHR12320:SF47', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179192, NULL, 'PTHR23147:SF65', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 5 ALPHA', NULL, NULL, NULL, 15),
(179193, NULL, 'PTHR35740:SF4', NULL, NULL, NULL, NULL, 'BNAA09G35720D PROTEIN', NULL, NULL, NULL, 15),
(179194, NULL, 'PTHR31717:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 11-RELATED', NULL, NULL, NULL, 15),
(179195, NULL, 'PTHR10590:SF13', NULL, NULL, NULL, NULL, 'NUCLEOSIDE PERMEASE NUPC', NULL, NULL, NULL, 15),
(179196, NULL, 'PTHR23417:SF23', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-N(7)-)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(179197, NULL, 'PTHR31338', NULL, NULL, NULL, NULL, 'POLYKETIDE CYCLASE/DEHYDRASE AND LIPID TRANSPORT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(179198, NULL, 'PTHR45650:SF16', NULL, NULL, NULL, NULL, 'OS02G0732800 PROTEIN', NULL, NULL, NULL, 15),
(179199, NULL, 'PTHR11732:SF475', NULL, NULL, NULL, NULL, 'PROTEIN CBG11027', NULL, NULL, NULL, 15),
(179200, NULL, 'PTHR21089:SF32', NULL, NULL, NULL, NULL, 'BNAC03G34680D PROTEIN', NULL, NULL, NULL, 15),
(179201, NULL, 'PTHR11958:SF24', NULL, NULL, NULL, NULL, 'EXCITATORY AMINO ACID TRANSPORTER 1', NULL, NULL, NULL, 15),
(179202, NULL, 'PTHR10285:SF183', NULL, NULL, NULL, NULL, 'BNAA03G17760D PROTEIN', NULL, NULL, NULL, 15),
(179203, NULL, 'PTHR31218:SF254', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(179204, NULL, 'PTHR28599:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 1 OPEN READING FRAME 212', NULL, NULL, NULL, 15),
(179205, NULL, 'PTHR31251:SF135', NULL, NULL, NULL, NULL, 'BNAA06G36780D PROTEIN', NULL, NULL, NULL, 15),
(179206, NULL, 'PTHR19961:SF59', NULL, NULL, NULL, NULL, 'FIMBRIN-2', NULL, NULL, NULL, 15),
(179207, NULL, 'PTHR34780:SF5', NULL, NULL, NULL, NULL, 'OS08G0427800 PROTEIN', NULL, NULL, NULL, 15),
(179208, NULL, 'PTHR16243', NULL, NULL, NULL, NULL, 'BTG3-ASSOCIATED NUCLEAR PROTEIN BANP', NULL, NULL, 39314, 15),
(179209, NULL, 'PTHR14237:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179210, NULL, 'PTHR10283:SF65', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 13 MEMBER 1', NULL, NULL, NULL, 15),
(179211, NULL, 'PTHR33710:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179212, NULL, 'PTHR25952', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179213, NULL, 'PTHR43820:SF6', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(179214, NULL, 'PTHR47217:SF1', NULL, NULL, NULL, NULL, 'GLOBIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(179215, NULL, 'PTHR30182:SF6', NULL, NULL, NULL, NULL, 'L-SERINE DEHYDRATASE TDCG', NULL, NULL, NULL, 15),
(179216, NULL, 'PTHR13935:SF127', NULL, NULL, NULL, NULL, 'BNAUNNG04210D PROTEIN', NULL, NULL, NULL, 15),
(179217, NULL, 'PTHR10334:SF418', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179218, NULL, 'PTHR22573:SF57', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE', NULL, NULL, NULL, 15),
(179219, NULL, 'PTHR11732:SF469', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179220, NULL, 'PTHR28202:SF1', NULL, NULL, NULL, NULL, 'ASSEMBLY FACTOR CBP4', NULL, NULL, NULL, 15),
(179221, NULL, 'PTHR35035:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179222, NULL, 'PTHR24015:SF328', NULL, NULL, NULL, NULL, 'OS06G0611200 PROTEIN', NULL, NULL, NULL, 15),
(179223, NULL, 'PTHR35697:SF12', NULL, NULL, NULL, NULL, 'OSJNBA0006B20.17 PROTEIN', NULL, NULL, NULL, 15),
(179224, NULL, 'PTHR11699:SF272', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179225, NULL, 'PTHR26453:SF186', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(179226, NULL, 'PTHR45712:SF17', NULL, NULL, NULL, NULL, 'ZGC:113307', NULL, NULL, NULL, 15),
(179227, NULL, 'PTHR31776:SF16', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE 1-LIKE', NULL, NULL, NULL, 15),
(179228, NULL, 'PTHR11199:SF0', NULL, NULL, NULL, NULL, 'LD34181P-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179229, NULL, 'PTHR35831', NULL, NULL, NULL, NULL, 'OS01G0642200 PROTEIN', NULL, NULL, NULL, 15),
(179230, NULL, 'PTHR31642:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179231, NULL, 'PTHR46891:SF6', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(179232, NULL, 'PTHR31190:SF223', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179233, NULL, 'PTHR32481:SF20', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE YSDC-RELATED', NULL, NULL, NULL, 15),
(179234, NULL, 'PTHR24416:SF556', NULL, NULL, NULL, NULL, 'DISCOIDIN DOMAIN RECEPTOR, ISOFORM F', NULL, NULL, NULL, 15),
(179235, NULL, 'PTHR30204:SF70', NULL, NULL, NULL, NULL, 'NODULATION PROTEIN NOLA', NULL, NULL, NULL, 15),
(179236, NULL, 'PTHR43327:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179237, NULL, 'PTHR46085:SF3', NULL, NULL, NULL, NULL, 'OS02G0208900 PROTEIN', NULL, NULL, NULL, 15),
(179238, NULL, 'PTHR17085', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR COACTIVATOR 4', NULL, NULL, 30962, 15),
(179239, NULL, 'PTHR22765:SF315', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', NULL, NULL, NULL, 15),
(179240, NULL, 'PTHR36141:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179241, NULL, 'PTHR11662:SF418', NULL, NULL, NULL, NULL, 'VESICULAR GLUTAMATE TRANSPORTER, ISOFORM A', NULL, NULL, NULL, 15),
(179242, NULL, 'PTHR36405:SF1', NULL, NULL, NULL, NULL, 'BNAA10G09140D PROTEIN', NULL, NULL, NULL, 15),
(179243, NULL, 'PTHR22802:SF383', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(179244, NULL, 'PTHR33931', NULL, NULL, NULL, NULL, 'HOLIN-LIKE PROTEIN CIDA-RELATED', NULL, NULL, 1692, 15),
(179245, NULL, 'PTHR27006:SF280', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179246, NULL, 'PTHR11802:SF395', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(179247, NULL, 'PTHR47872', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR SDE5-RELATED', NULL, NULL, NULL, 15),
(179248, NULL, 'PTHR46553:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179249, NULL, 'PTHR31723:SF8', NULL, NULL, NULL, NULL, 'PATHOGEN-RELATED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(179250, NULL, 'PTHR23226:SF74', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 500', NULL, NULL, NULL, 15),
(179251, NULL, 'PTHR43456:SF2', NULL, NULL, NULL, NULL, 'RIESKE (2FE-2S) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(179252, NULL, 'PTHR33154:SF31', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, ARSR FAMILY', NULL, NULL, NULL, 15),
(179253, NULL, 'PTHR19876:SF53', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''', NULL, NULL, NULL, 15),
(179254, NULL, 'PTHR31080:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179255, NULL, 'PTHR10224', NULL, NULL, NULL, NULL, 'ES1 PROTEIN HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(179256, NULL, 'PTHR13809:SF48', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT GAMMA-RELATED', NULL, NULL, NULL, 15),
(179257, NULL, 'PTHR33593:SF27', NULL, NULL, NULL, NULL, 'BNAA09G38980D PROTEIN', NULL, NULL, NULL, 15),
(179258, NULL, 'PTHR11477:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN 1', NULL, NULL, NULL, 15),
(179259, NULL, 'PTHR45625:SF2', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE-LIKE 3', NULL, NULL, NULL, 15),
(179260, NULL, 'PTHR48103:SF2', NULL, NULL, NULL, NULL, 'MIDASIN', NULL, NULL, NULL, 15),
(179261, NULL, 'PTHR47665', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(179262, NULL, 'PTHR33184:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179263, NULL, 'PTHR43656:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG20577', NULL, NULL, NULL, 15),
(179264, NULL, 'PTHR30118:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(179265, NULL, 'PTHR30587:SF3', NULL, NULL, NULL, NULL, 'VIRULENCE PROTEIN YSCR', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179266, NULL, 'PTHR33128:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179267, NULL, 'PTHR31874:SF44', NULL, NULL, NULL, NULL, 'BNAA02G13920D PROTEIN', NULL, NULL, NULL, 15),
(179268, NULL, 'PTHR11654:SF319', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.7-LIKE', NULL, NULL, NULL, 15),
(179269, NULL, 'PTHR31428:SF4', NULL, NULL, NULL, NULL, 'REPULSIVE GUIDANCE MOLECULE A', NULL, NULL, 30001, 15),
(179270, NULL, 'PTHR30004:SF6', NULL, NULL, NULL, NULL, 'D-THREONATE 4-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(179271, NULL, 'PTHR40077:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179272, NULL, 'PTHR43112:SF23', NULL, NULL, NULL, NULL, 'FERREDOXIN-4, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(179273, NULL, 'PTHR45764:SF31', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 1', NULL, NULL, NULL, 15),
(179274, NULL, 'PTHR33044:SF107', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179275, NULL, 'PTHR31235:SF217', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(179276, NULL, 'PTHR24373:SF311', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEATS AND IMMUNOGLOBULIN-LIKE DOMAINS PROTEIN 3', NULL, NULL, NULL, 15),
(179277, NULL, 'PTHR31471:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179278, NULL, 'PTHR31703', NULL, NULL, NULL, NULL, 'UPF0669 PROTEIN C6ORF120', NULL, NULL, 28244, 15),
(179279, NULL, 'PTHR24286:SF288', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(179280, NULL, 'PTHR27004:SF379', NULL, NULL, NULL, NULL, 'BNAC04G42620D PROTEIN', NULL, NULL, NULL, 15),
(179281, NULL, 'PTHR12313:SF67', NULL, NULL, NULL, NULL, 'BNAC07G50700D PROTEIN', NULL, NULL, NULL, 15),
(179282, NULL, 'PTHR24161:SF20', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SAM DOMAIN-CONTAINING PROTEIN 4B', NULL, NULL, NULL, 15),
(179283, NULL, 'PTHR10672:SF26', NULL, NULL, NULL, NULL, 'ADDUCIN-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(179284, NULL, 'PTHR24083:SF167', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 4, GAMMA', NULL, NULL, NULL, 15),
(179285, NULL, 'PTHR24349:SF167', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 30', NULL, NULL, NULL, 15),
(179286, NULL, 'PTHR15741', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX ZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(179287, NULL, 'PTHR43066:SF12', NULL, NULL, NULL, NULL, 'RHOMBOID DOMAIN-CONTAINING 2', NULL, NULL, NULL, 15),
(179288, NULL, 'PTHR11895:SF151', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT A', NULL, NULL, NULL, 15),
(179289, NULL, 'PTHR24064:SF491', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179290, NULL, 'PTHR47992:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179291, NULL, 'PTHR43691:SF3', NULL, NULL, NULL, NULL, 'FI09636P-RELATED', NULL, NULL, NULL, 15),
(179292, NULL, 'PTHR11576', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA SPERM-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(179293, NULL, 'PTHR32122', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT A', NULL, NULL, NULL, 15),
(179294, NULL, 'PTHR24064:SF580', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179295, NULL, 'PTHR48018:SF90', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AK2', NULL, NULL, NULL, 15),
(179296, NULL, 'PTHR31589:SF24', NULL, NULL, NULL, NULL, 'OS07G0573400 PROTEIN', NULL, NULL, NULL, 15),
(179297, NULL, 'PTHR35292:SF7', NULL, NULL, NULL, NULL, 'BNAA07G00590D PROTEIN', NULL, NULL, NULL, 15),
(179298, NULL, 'PTHR11139:SF111', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SMG1', NULL, NULL, NULL, 15),
(179299, NULL, 'PTHR43524:SF1', NULL, NULL, NULL, NULL, 'RADICAL SAM SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(179300, NULL, 'PTHR45994:SF2', NULL, NULL, NULL, NULL, 'PROTEIN UNC-45 HOMOLOG B', NULL, NULL, NULL, 15),
(179301, NULL, 'PTHR11220:SF59', NULL, NULL, NULL, NULL, 'HEME-BINDING PROTEIN 2-LIKE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179302, NULL, 'PTHR24298:SF850', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(179303, NULL, 'PTHR12675:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(179304, NULL, 'PTHR13809:SF11', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-3', NULL, NULL, NULL, 15),
(179305, NULL, 'PTHR31867:SF85', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(179306, NULL, 'PTHR45959:SF25', NULL, NULL, NULL, NULL, 'SYMBIOTIC AMMONIUM TRANSPORTER', NULL, NULL, NULL, 15),
(179307, NULL, 'PTHR33701', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(179308, NULL, 'PTHR22876:SF5', NULL, NULL, NULL, NULL, 'ZGC:101016', NULL, NULL, NULL, 15),
(179309, NULL, 'PTHR47438', NULL, NULL, NULL, NULL, 'PHOSPHATE METABOLISM PROTEIN 8-RELATED', NULL, NULL, NULL, 15),
(179310, NULL, 'PTHR12277:SF175', NULL, NULL, NULL, NULL, 'OS02G0190800 PROTEIN', NULL, NULL, NULL, 15),
(179311, NULL, 'PTHR12262:SF17', NULL, NULL, NULL, NULL, 'CELL DIFFERENTIATION, RCD1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(179312, NULL, 'PTHR33169:SF13', NULL, NULL, NULL, NULL, 'PADR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(179313, NULL, 'PTHR47977:SF41', NULL, NULL, NULL, NULL, 'BNAC07G34400D PROTEIN', NULL, NULL, NULL, 15),
(179314, NULL, 'PTHR34676:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179315, NULL, 'PTHR10362:SF34', NULL, NULL, NULL, NULL, 'PHENYLALANINE AMMONIA-LYASE', NULL, NULL, NULL, 15),
(179316, NULL, 'PTHR15020:SF38', NULL, NULL, NULL, NULL, 'UPF0659 PROTEIN YMR090W', NULL, NULL, NULL, 15),
(179317, NULL, 'PTHR33237', NULL, NULL, NULL, NULL, 'F2P16.13 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179318, NULL, 'PTHR24198:SF178', NULL, NULL, NULL, NULL, 'TNNI3 INTERACTING KINASE', NULL, NULL, NULL, 15),
(179319, NULL, 'PTHR12035:SF113', NULL, NULL, NULL, NULL, 'SIGLEC FAMILY-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(179320, NULL, 'PTHR33138:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179321, NULL, 'PTHR32410:SF187', NULL, NULL, NULL, NULL, 'ZINC FINGER, PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(179322, NULL, 'PTHR13516:SF19', NULL, NULL, NULL, NULL, 'OSJNBA0042L16.6 PROTEIN', NULL, NULL, NULL, 15),
(179323, NULL, 'PTHR31549:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179324, NULL, 'PTHR31343:SF30', NULL, NULL, NULL, NULL, 'BNACNNG50270D PROTEIN', NULL, NULL, NULL, 15),
(179325, NULL, 'PTHR10593:SF158', NULL, NULL, NULL, NULL, 'BNAA06G34330D PROTEIN', NULL, NULL, NULL, 15),
(179326, NULL, 'PTHR47982:SF37', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK13', NULL, NULL, NULL, 15),
(179327, NULL, 'PTHR12322:SF71', NULL, NULL, NULL, NULL, 'DOUBLESEX- AND MAB-3-RELATED TRANSCRIPTION FACTOR A1', NULL, NULL, NULL, 15),
(179328, NULL, 'PTHR34533:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 159', NULL, NULL, NULL, 15),
(179329, NULL, 'PTHR33184:SF28', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(179330, NULL, 'PTHR37336:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO 9930012K11RIK PROTEIN', NULL, NULL, NULL, 15),
(179331, NULL, 'PTHR46089:SF1', NULL, NULL, NULL, NULL, 'ALS2 C-TERMINAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(179332, NULL, 'PTHR43413', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, ASNC FAMILY', NULL, NULL, NULL, 15),
(179333, NULL, 'PTHR24067:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179334, NULL, 'PTHR10174:SF213', NULL, NULL, NULL, NULL, 'ALPHA-TOCOPHEROL TRANSFER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(179335, NULL, 'PTHR11921:SF36', NULL, NULL, NULL, NULL, 'FUMARATE REDUCTASE IRON-SULFUR SUBUNIT', NULL, NULL, NULL, 15),
(179336, NULL, 'PTHR44337', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 8', NULL, NULL, NULL, 15),
(179337, NULL, 'PTHR16223:SF138', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH112', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179338, NULL, 'PTHR11571:SF153', NULL, NULL, NULL, NULL, 'PROTEIN CBG04233', NULL, NULL, NULL, 15),
(179339, NULL, 'PTHR43340:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179340, NULL, 'PTHR24056:SF446', NULL, NULL, NULL, NULL, 'BNAC08G13720D PROTEIN', NULL, NULL, NULL, 15),
(179341, NULL, 'PTHR47784:SF8', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(179342, NULL, 'PTHR15896:SF8', NULL, NULL, NULL, NULL, 'GOLGI MEMBRANE PROTEIN 1', NULL, NULL, 24497, 15),
(179343, NULL, 'PTHR24015:SF1680', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(179344, NULL, 'PTHR24056:SF335', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE B1-1', NULL, NULL, NULL, 15),
(179345, NULL, 'PTHR12000:SF34', NULL, NULL, NULL, NULL, 'PREPROLEGUMAIN-RELATED', NULL, NULL, NULL, 15),
(179346, NULL, 'PTHR13077', NULL, NULL, NULL, NULL, 'SELENOPROTEIN F', NULL, NULL, 32846, 15),
(179347, NULL, 'PTHR47991:SF3', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE', NULL, NULL, NULL, 15),
(179348, NULL, 'PTHR46779:SF4', NULL, NULL, NULL, NULL, 'SIALYLTRANSFERASE-LIKE PROTEIN 1 ISOFORM X1', NULL, NULL, NULL, 15),
(179349, NULL, 'PTHR31860:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179350, NULL, 'PTHR13493', NULL, NULL, NULL, NULL, 'ZINC FINGER CCHC DOMAIN-CONTAINING', NULL, NULL, 29746, 15),
(179351, NULL, 'PTHR37366', NULL, NULL, NULL, NULL, 'SPERM ACROSOME MEMBRANE-ASSOCIATED PROTEIN 6', NULL, NULL, 17609, 15),
(179352, NULL, 'PTHR33103:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179353, NULL, 'PTHR23073:SF123', NULL, NULL, NULL, NULL, 'BNAC02G30020D PROTEIN', NULL, NULL, NULL, 15),
(179354, NULL, 'PTHR43057', NULL, NULL, NULL, NULL, 'ARSENITE EFFLUX TRANSPORTER', NULL, NULL, 3521, 15),
(179355, NULL, 'PTHR24034:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179356, NULL, 'PTHR12565:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179357, NULL, 'PTHR34630:SF30', NULL, NULL, NULL, NULL, 'OF AVRB OPERATION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179358, NULL, 'PTHR12509:SF8', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 4', NULL, NULL, NULL, 15),
(179359, NULL, 'PTHR33090:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179360, NULL, 'PTHR23345:SF29', NULL, NULL, NULL, NULL, 'VITELLOGENIN 3, PHOSVITINLESS', NULL, NULL, NULL, 15),
(179361, NULL, 'PTHR12277:SF52', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE DOMAIN-CONTAINING PROTEIN 17A', NULL, NULL, NULL, 15),
(179362, NULL, 'PTHR48104:SF12', NULL, NULL, NULL, NULL, 'BNAA09G10690D PROTEIN', NULL, NULL, NULL, 15),
(179363, NULL, 'PTHR13070:SF0', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN34', NULL, NULL, NULL, 15),
(179364, NULL, 'PTHR33210', NULL, NULL, NULL, NULL, 'PROTODERMAL FACTOR 1', NULL, NULL, 29974, 15),
(179365, NULL, 'PTHR26451:SF52', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 12D1', NULL, NULL, NULL, 15),
(179366, NULL, 'PTHR11246:SF18', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(179367, NULL, 'PTHR47972:SF13', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179368, NULL, 'PTHR39113', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(179369, NULL, 'PTHR36786', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE', NULL, NULL, NULL, 15),
(179370, NULL, 'PTHR33155:SF17', NULL, NULL, NULL, NULL, 'F2E2.18-RELATED', NULL, NULL, NULL, 15),
(179371, NULL, 'PTHR13161', NULL, NULL, NULL, NULL, 'SPLICING FACTOR  SUPPRESSOR OF WHITE APRICOT', NULL, NULL, 29893, 15),
(179372, NULL, 'PTHR31920:SF66', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(179373, NULL, 'PTHR23505', NULL, NULL, NULL, NULL, 'SPINSTER', NULL, NULL, 36813, 15),
(179374, NULL, 'PTHR31972:SF45', NULL, NULL, NULL, NULL, 'BNAC05G52260D PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179375, NULL, 'PTHR47988:SF10', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 3', NULL, NULL, NULL, 15),
(179376, NULL, 'PTHR19970:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L39-1', NULL, NULL, NULL, 15),
(179377, NULL, 'PTHR11216:SF64', NULL, NULL, NULL, NULL, 'RALBP1-ASSOCIATED EPS DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(179378, NULL, 'PTHR19282:SF249', NULL, NULL, NULL, NULL, 'TETRASPANIN-18', NULL, NULL, NULL, 15),
(179379, NULL, 'PTHR31928:SF14', NULL, NULL, NULL, NULL, 'DUF936 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(179380, NULL, 'PTHR35497:SF1', NULL, NULL, NULL, NULL, 'ACYL-UDP-N-ACETYLGLUCOSAMINE O-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(179381, NULL, 'PTHR23257:SF878', NULL, NULL, NULL, NULL, 'PAS DOMAIN-CONTAINING PROTEIN TYROSINE KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179382, NULL, 'PTHR46011:SF23', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-121', NULL, NULL, NULL, 15),
(179383, NULL, 'PTHR31956:SF8', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE PHOA (AFU_ORTHOLOGUE AFUA_1G03570)', NULL, NULL, NULL, 15),
(179384, NULL, 'PTHR31413:SF30', NULL, NULL, NULL, NULL, 'BNAA09G02630D PROTEIN', NULL, NULL, NULL, 15),
(179385, NULL, 'PTHR11630:SF93', NULL, NULL, NULL, NULL, 'DNA HELICASE', NULL, NULL, NULL, 15),
(179386, NULL, 'PTHR45621:SF138', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(179387, NULL, 'PTHR12307:SF47', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(179388, NULL, 'PTHR10110:SF166', NULL, NULL, NULL, NULL, 'NA(+)/H(+) ANTIPORTER NHX-9-RELATED', NULL, NULL, NULL, 15),
(179389, NULL, 'PTHR31734:SF134', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(179390, NULL, 'PTHR35201', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE', NULL, NULL, NULL, 15),
(179391, NULL, 'PTHR48107:SF1', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(179392, NULL, 'PTHR31983:SF14', NULL, NULL, NULL, NULL, 'ENDO-1,3(4)-BETA-GLUCANASE 2', NULL, NULL, NULL, 15),
(179393, NULL, 'PTHR33794', NULL, NULL, NULL, NULL, 'BACILLOLYSIN', NULL, NULL, NULL, 15),
(179394, NULL, 'PTHR46667', NULL, NULL, NULL, NULL, 'OS05G0182700 PROTEIN', NULL, NULL, NULL, 15),
(179395, NULL, 'PTHR21649:SF116', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(179396, NULL, 'PTHR46402:SF2', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(179397, NULL, 'PTHR43134:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179398, NULL, 'PTHR14089:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179399, NULL, 'PTHR24223:SF329', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 10-RELATED', NULL, NULL, NULL, 15),
(179400, NULL, 'PTHR28523', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 1', NULL, NULL, 39312, 15),
(179401, NULL, 'PTHR46067:SF27', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(179402, NULL, 'PTHR46735:SF4', NULL, NULL, NULL, NULL, 'CALPAIN SMALL SUBUNIT 2', NULL, NULL, NULL, 15),
(179403, NULL, 'PTHR31115:SF7', NULL, NULL, NULL, NULL, 'PLANT/F27B13-30 PROTEIN', NULL, NULL, NULL, 15),
(179404, NULL, 'PTHR40626:SF14', NULL, NULL, NULL, NULL, 'C2H2 TYPE ZINC FINGER DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G02360)', NULL, NULL, NULL, 15),
(179405, NULL, 'PTHR31472:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179406, NULL, 'PTHR44916', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, 37770, 15),
(179407, NULL, 'PTHR47126:SF5', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE-LIKE 5', NULL, NULL, NULL, 15),
(179408, NULL, 'PTHR42893:SF38', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 44, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(179409, NULL, 'PTHR46623:SF3', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179410, NULL, 'PTHR12446:SF47', NULL, NULL, NULL, NULL, 'OS08G0369600 PROTEIN', NULL, NULL, NULL, 15),
(179411, NULL, 'PTHR12228:SF12', NULL, NULL, NULL, NULL, 'BNAANNG35590D PROTEIN', NULL, NULL, NULL, 15),
(179412, NULL, 'PTHR45634:SF11', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE-RELATED', NULL, NULL, NULL, 15),
(179413, NULL, 'PTHR30546:SF7', NULL, NULL, NULL, NULL, 'OS03G0748500 PROTEIN', NULL, NULL, NULL, 15),
(179414, NULL, 'PTHR10996:SF237', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3-LIKE', NULL, NULL, NULL, 15),
(179415, NULL, 'PTHR10177:SF433', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN CYCLIN', NULL, NULL, NULL, 15),
(179416, NULL, 'PTHR45707:SF7', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(179417, NULL, 'PTHR41156', NULL, NULL, NULL, NULL, 'AGAP006184-PA', NULL, NULL, NULL, 15),
(179418, NULL, 'PTHR33207:SF2', NULL, NULL, NULL, NULL, 'OS09G0324300 PROTEIN', NULL, NULL, NULL, 15),
(179419, NULL, 'PTHR47325:SF2', NULL, NULL, NULL, NULL, 'SET DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(179420, NULL, 'PTHR43418:SF10', NULL, NULL, NULL, NULL, 'AMINODEOXYCHORISMATE SYNTHASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(179421, NULL, 'PTHR31190:SF318', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 1B', NULL, NULL, NULL, 15),
(179422, NULL, 'PTHR31677:SF146', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ESR1', NULL, NULL, NULL, 15),
(179423, NULL, 'PTHR24096:SF371', NULL, NULL, NULL, NULL, 'BNAA06G14440D PROTEIN', NULL, NULL, NULL, 15),
(179424, NULL, 'PTHR39677', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC6', NULL, NULL, NULL, 15),
(179425, NULL, 'PTHR24299:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(179426, NULL, 'PTHR23421:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179427, NULL, 'PTHR10509:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179428, NULL, 'PTHR11439:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179429, NULL, 'PTHR33432:SF15', NULL, NULL, NULL, NULL, 'EMSY N TERMINUS (ENT)/ PLANT TUDOR-LIKE DOMAINS-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(179430, NULL, 'PTHR31189:SF38', NULL, NULL, NULL, NULL, '12S SEED STORAGE PROTEIN CRD', NULL, NULL, NULL, 15),
(179431, NULL, 'PTHR11654:SF536', NULL, NULL, NULL, NULL, 'BNAA06G13070D PROTEIN', NULL, NULL, NULL, 15),
(179432, NULL, 'PTHR43649:SF7', NULL, NULL, NULL, NULL, 'BINDING PROTEIN MSME-RELATED', NULL, NULL, NULL, 15),
(179433, NULL, 'PTHR47993:SF136', NULL, NULL, NULL, NULL, 'F-BOX FAMILY PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(179434, NULL, 'PTHR13301:SF180', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(179435, NULL, 'PTHR32410:SF165', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179436, NULL, 'PTHR12480:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179437, NULL, 'PTHR24055:SF382', NULL, NULL, NULL, NULL, 'SRSF PROTEIN KINASE 1-LIKE', NULL, NULL, NULL, 15),
(179438, NULL, 'PTHR10507', NULL, NULL, NULL, NULL, 'CDC45-RELATED PROTEIN', NULL, NULL, 4024, 15),
(179439, NULL, 'PTHR14582:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN O', NULL, NULL, NULL, 15),
(179440, NULL, 'PTHR35546:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179441, NULL, 'PTHR45959:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR NAI1', NULL, NULL, NULL, 15),
(179442, NULL, 'PTHR33326:SF38', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(179443, NULL, 'PTHR31395:SF11', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-LIKE-1', NULL, NULL, NULL, 15),
(179444, NULL, 'PTHR11655:SF17', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L6-RELATED', NULL, NULL, NULL, 15),
(179445, NULL, 'PTHR12565:SF372', NULL, NULL, NULL, NULL, 'BNAC06G42050D PROTEIN', NULL, NULL, NULL, 15),
(179446, NULL, 'PTHR21680:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 124', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179447, NULL, 'PTHR22798', NULL, NULL, NULL, NULL, 'MCT-1 PROTEIN', NULL, NULL, 15644, 15),
(179448, NULL, 'PTHR45085:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179449, NULL, 'PTHR30352:SF14', NULL, NULL, NULL, NULL, 'PYRUVATE FORMATE-LYASE 3-ACTIVATING ENZYME-RELATED', NULL, NULL, NULL, 15),
(179450, NULL, 'PTHR45620:SF25', NULL, NULL, NULL, NULL, 'GLUCAGON-LIKE PEPTIDE 1 RECEPTOR', NULL, NULL, 3059, 15),
(179451, NULL, 'PTHR11113', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-6-PHOSPHATE DEACETYLASE', NULL, NULL, NULL, 15),
(179452, NULL, 'PTHR33207:SF63', NULL, NULL, NULL, NULL, 'OS04G0349550 PROTEIN', NULL, NULL, NULL, 15),
(179453, NULL, 'PTHR12740:SF3', NULL, NULL, NULL, NULL, 'JNK1/MAPK8-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(179454, NULL, 'PTHR11510:SF21', NULL, NULL, NULL, NULL, 'INOSITOL-3-PHOSPHATE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(179455, NULL, 'PTHR31238:SF171', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(179456, NULL, 'PTHR34371:SF6', NULL, NULL, NULL, NULL, 'OS01G0551000 PROTEIN', NULL, NULL, NULL, 15),
(179457, NULL, 'PTHR31376:SF93', NULL, NULL, NULL, NULL, 'PURINE PERMEASE, PLANT-RELATED', NULL, NULL, NULL, 15),
(179458, NULL, 'PTHR42811:SF18', NULL, NULL, NULL, NULL, 'BNAA05G13500D PROTEIN', NULL, NULL, NULL, 15),
(179459, NULL, 'PTHR18945:SF751', NULL, NULL, NULL, NULL, 'SI:CH211-39A7.1', NULL, NULL, NULL, 15),
(179460, NULL, 'PTHR46662:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179461, NULL, 'PTHR23500:SF469', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(179462, NULL, 'PTHR15356:SF0', NULL, NULL, NULL, NULL, 'NEUROTENSIN/NEUROMEDIN N', NULL, NULL, NULL, 15),
(179463, NULL, 'PTHR18966:SF517', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179464, NULL, 'PTHR10300:SF6', NULL, NULL, NULL, NULL, 'CALCIPRESSIN-3', NULL, NULL, 11481, 15),
(179465, NULL, 'PTHR38140', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 19-3-RELATED', NULL, NULL, NULL, 15),
(179466, NULL, 'PTHR24299:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179467, NULL, 'PTHR47841', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE THETA-LIKE-RELATED', NULL, NULL, NULL, 15),
(179468, NULL, 'PTHR42861:SF102', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE 2, ENDOPLASMIC RETICULUM-TYPE', NULL, NULL, NULL, 15),
(179469, NULL, 'PTHR24543:SF302', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR V', NULL, NULL, NULL, 15),
(179470, NULL, 'PTHR22761:SF14', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 4A', NULL, NULL, NULL, 15),
(179471, NULL, 'PTHR11165:SF115', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 11', NULL, NULL, NULL, 15),
(179472, NULL, 'PTHR31080:SF35', NULL, NULL, NULL, NULL, 'OS08G0338500 PROTEIN', NULL, NULL, NULL, 15),
(179473, NULL, 'PTHR32468:SF110', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 3', NULL, NULL, NULL, 15),
(179474, NULL, 'PTHR12859:SF0', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(179475, NULL, 'PTHR37484:SF1', NULL, NULL, NULL, NULL, 'ROD SHAPE-DETERMINING PROTEIN MRED', NULL, NULL, NULL, 15),
(179476, NULL, 'PTHR11782', NULL, NULL, NULL, NULL, 'ADENOSINE/GUANOSINE DIPHOSPHATASE', NULL, NULL, 4983, 15),
(179477, NULL, 'PTHR14559:SF12', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(179478, NULL, 'PTHR31189:SF31', NULL, NULL, NULL, NULL, 'CUPIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(179479, NULL, 'PTHR14297:SF8', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORT PROTEIN XK', NULL, NULL, NULL, 15),
(179480, NULL, 'PTHR33331:SF13', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 162', NULL, NULL, NULL, 15),
(179481, NULL, 'PTHR23138:SF155', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700123L14 GENE', NULL, NULL, NULL, 15),
(179482, NULL, 'PTHR35936', NULL, NULL, NULL, NULL, 'MEMBRANE-BOUND LYTIC MUREIN TRANSGLYCOSYLASE F', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179483, NULL, 'PTHR46632:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179484, NULL, 'PTHR21426:SF13', NULL, NULL, NULL, NULL, 'OS08G0566700 PROTEIN', NULL, NULL, NULL, 15),
(179485, NULL, 'PTHR37982:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179486, NULL, 'PTHR43900:SF45', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE F9', NULL, NULL, NULL, 15),
(179487, NULL, 'PTHR24103:SF326', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM50-RELATED', NULL, NULL, NULL, 15),
(179488, NULL, 'PTHR11932:SF152', NULL, NULL, NULL, NULL, 'CULLIN-1-LIKE', NULL, NULL, NULL, 15),
(179489, NULL, 'PTHR22946:SF9', NULL, NULL, NULL, NULL, 'POLYKETIDE TRANSFERASE AF380', NULL, NULL, NULL, 15),
(179490, NULL, 'PTHR10996:SF179', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179491, NULL, 'PTHR46136:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179492, NULL, 'PTHR31845:SF23', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(179493, NULL, 'PTHR32077:SF6', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN SELMODRAFT_448915', NULL, NULL, NULL, 15),
(179494, NULL, 'PTHR31917:SF82', NULL, NULL, NULL, NULL, 'AGENET DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(179495, NULL, 'PTHR10091:SF38', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(179496, NULL, 'PTHR33544:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179497, NULL, 'PTHR43227:SF9', NULL, NULL, NULL, NULL, 'SN-GLYCEROL-3-PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN UGPA', NULL, NULL, NULL, 15),
(179498, NULL, 'PTHR24223:SF371', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179499, NULL, 'PTHR45834:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179500, NULL, 'PTHR21576:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179501, NULL, 'PTHR31585:SF0', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(179502, NULL, 'PTHR43874:SF155', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR5-LIKE', NULL, NULL, NULL, 15),
(179503, NULL, 'PTHR28620:SF7', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN V-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(179504, NULL, 'PTHR36914:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179505, NULL, 'PTHR22911:SF120', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER G1-LIKE', NULL, NULL, NULL, 15),
(179506, NULL, 'PTHR23201:SF90', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED FAMILY PROTEIN', NULL, NULL, NULL, 15),
(179507, NULL, 'PTHR33128:SF77', NULL, NULL, NULL, NULL, 'BNAC06G13370D PROTEIN', NULL, NULL, NULL, 15),
(179508, NULL, 'PTHR33172:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179509, NULL, 'PTHR38791:SF11', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(179510, NULL, 'PTHR45631:SF113', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE', NULL, NULL, NULL, 15),
(179511, NULL, 'PTHR32370:SF157', NULL, NULL, NULL, NULL, 'BNAC03G16990D PROTEIN', NULL, NULL, 22336, 15),
(179512, NULL, 'PTHR43281:SF29', NULL, NULL, NULL, NULL, 'BNAA04G13910D PROTEIN', NULL, NULL, NULL, 15),
(179513, NULL, 'PTHR19325:SF317', NULL, NULL, NULL, NULL, 'COMPLEMENT DECAY-ACCELERATING FACTOR', NULL, NULL, NULL, 15),
(179514, NULL, 'PTHR31589:SF68', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PEPTIDASE', NULL, NULL, NULL, 15),
(179515, NULL, 'PTHR46701:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE-LIKE KOBITO 1', NULL, NULL, NULL, 15),
(179516, NULL, 'PTHR23262:SF91', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 29-1', NULL, NULL, NULL, 15),
(179517, NULL, 'PTHR31465:SF30', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179518, NULL, 'PTHR20948:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179519, NULL, 'PTHR12565:SF389', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BEE 3-LIKE', NULL, NULL, NULL, 15),
(179520, NULL, 'PTHR10956:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L31', NULL, NULL, NULL, 15),
(179521, NULL, 'PTHR22752:SF6', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 62', NULL, NULL, NULL, 15),
(179522, NULL, 'PTHR10426:SF113', NULL, NULL, NULL, NULL, 'BNAC05G15360D PROTEIN', NULL, NULL, NULL, 15),
(179523, NULL, 'PTHR31867:SF175', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(179524, NULL, 'PTHR10071:SF155', NULL, NULL, NULL, NULL, 'PROTEIN CBR-EGL-18', NULL, NULL, NULL, 15),
(179525, NULL, 'PTHR31980', NULL, NULL, NULL, NULL, 'PROTEIN FAM220A', NULL, NULL, 30082, 15),
(179526, NULL, 'PTHR11480:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179527, NULL, 'PTHR14009:SF8', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PROTON/CALCIUM EXCHANGER PROTEIN', NULL, NULL, NULL, 15),
(179528, NULL, 'PTHR10648:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2 (FORMERLY 2A), REGULATORY SUBUNIT A, BETA ISOFORM-RELATED', NULL, NULL, NULL, 15),
(179529, NULL, 'PTHR42085', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 34599, 15),
(179530, NULL, 'PTHR12224:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 17-RELATED', NULL, NULL, NULL, 15),
(179531, NULL, 'PTHR47295:SF11', NULL, NULL, NULL, NULL, 'RLPA-LIKE DOUBLE-PSI BETA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179532, NULL, 'PTHR30485:SF2', NULL, NULL, NULL, NULL, 'BLL0597 PROTEIN', NULL, NULL, NULL, 15),
(179533, NULL, 'PTHR10110:SF174', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 8-LIKE', NULL, NULL, NULL, 15),
(179534, NULL, 'PTHR31674:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179535, NULL, 'PTHR24377:SF143', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 528-RELATED', NULL, NULL, NULL, 15),
(179536, NULL, 'PTHR12794:SF0', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(179537, NULL, 'PTHR24403:SF57', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 518B', NULL, NULL, NULL, 15),
(179538, NULL, 'PTHR33463:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179539, NULL, 'PTHR27009:SF83', NULL, NULL, NULL, NULL, 'OS01G0115900 PROTEIN', NULL, NULL, NULL, 15),
(179540, NULL, 'PTHR37207:SF2', NULL, NULL, NULL, NULL, 'BNAA09G43730D PROTEIN', NULL, NULL, NULL, 15),
(179541, NULL, 'PTHR42721:SF11', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 3 C TERMINAL DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(179542, NULL, 'PTHR10509:SF69', NULL, NULL, NULL, NULL, 'BNAC08G09610D PROTEIN', NULL, NULL, NULL, 15),
(179543, NULL, 'PTHR33044:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179544, NULL, 'PTHR45663:SF5', NULL, NULL, NULL, NULL, 'THIOREDOXIN M1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(179545, NULL, 'PTHR31189:SF48', NULL, NULL, NULL, NULL, 'LEGUMIN B', NULL, NULL, NULL, 15),
(179546, NULL, 'PTHR10108:SF1140', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT18-RELATED', NULL, NULL, NULL, 15),
(179547, NULL, 'PTHR22850:SF133', NULL, NULL, NULL, NULL, 'HISTONE-BINDING PROTEIN RBA-1-RELATED', NULL, NULL, NULL, 15),
(179548, NULL, 'PTHR46454:SF3', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 7', NULL, NULL, NULL, 15),
(179549, NULL, 'PTHR12433:SF12', NULL, NULL, NULL, NULL, 'MEDIATOR COMPLEX SUBUNIT 25 VON WILLEBRAND FACTOR TYPE A PROTEIN', NULL, NULL, NULL, 15),
(179550, NULL, 'PTHR11709:SF387', NULL, NULL, NULL, NULL, 'OSJNBA0084K11.18 PROTEIN', NULL, NULL, NULL, 15),
(179551, NULL, 'PTHR39472', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(179552, NULL, 'PTHR24072:SF331', NULL, NULL, NULL, NULL, 'SI:CH211-133L11.10', NULL, NULL, NULL, 15),
(179553, NULL, 'PTHR31129:SF2', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN HORMONE ALPHA-2', NULL, NULL, NULL, 15),
(179554, NULL, 'PTHR21726:SF67', NULL, NULL, NULL, NULL, 'BNAC02G48370D PROTEIN', NULL, NULL, NULL, 15),
(179555, NULL, 'PTHR31960:SF20', NULL, NULL, NULL, NULL, 'OS09G0525300 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179556, NULL, 'PTHR48044:SF21', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(179557, NULL, 'PTHR43392:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CFXQ HOMOLOG', NULL, NULL, NULL, 15),
(179558, NULL, 'PTHR17488:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSITION PROTEIN 2', NULL, NULL, NULL, 15),
(179559, NULL, 'PTHR46458:SF6', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', NULL, NULL, NULL, 15),
(179560, NULL, 'PTHR20974:SF0', NULL, NULL, NULL, NULL, 'UPF0585 PROTEIN CG18661', NULL, NULL, NULL, 15),
(179561, NULL, 'PTHR10891:SF805', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML45-RELATED', NULL, NULL, NULL, 15),
(179562, NULL, 'PTHR11227:SF17', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED 18A, ISOFORM E', NULL, NULL, NULL, 15),
(179563, NULL, 'PTHR46746:SF4', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN-LIKE DOMAIN FAMILY 1', NULL, NULL, NULL, 15),
(179564, NULL, 'PTHR37916:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179565, NULL, 'PTHR33981:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(179566, NULL, 'PTHR24350:SF24', NULL, NULL, NULL, NULL, 'AURORA KINASE B', NULL, NULL, 22129, 15),
(179567, NULL, 'PTHR33070:SF100', NULL, NULL, NULL, NULL, 'T23E18.15', NULL, NULL, NULL, 15),
(179568, NULL, 'PTHR14005:SF2', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT A', NULL, NULL, NULL, 15),
(179569, NULL, 'PTHR24089:SF196', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN SCAMC-3', NULL, NULL, NULL, 15),
(179570, NULL, 'PTHR15082:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(179571, NULL, 'PTHR11480:SF7', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(179572, NULL, 'PTHR31297:SF14', NULL, NULL, NULL, NULL, 'GLUCAN 1,3-BETA-GLUCOSIDASE 3', NULL, NULL, NULL, 15),
(179573, NULL, 'PTHR10687:SF53', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179574, NULL, 'PTHR10078', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 FAMILY MEMBER', NULL, NULL, 3178, 15),
(179575, NULL, 'PTHR48000:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB36', NULL, NULL, NULL, 15),
(179576, NULL, 'PTHR43649:SF13', NULL, NULL, NULL, NULL, 'SOLUTE-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179577, NULL, 'PTHR43240:SF3', NULL, NULL, NULL, NULL, '4-HYDROXYBENZOYL-COA THIOESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(179578, NULL, 'PTHR12313:SF48', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(179579, NULL, 'PTHR24377:SF141', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 571', NULL, NULL, NULL, 15),
(179580, NULL, 'PTHR35356:SF3', NULL, NULL, NULL, NULL, 'OS01G0156300 PROTEIN', NULL, NULL, NULL, 15),
(179581, NULL, 'PTHR48020:SF15', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 2-RELATED', NULL, NULL, NULL, 15),
(179582, NULL, 'PTHR21495:SF199', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 17-RELATED', NULL, NULL, NULL, 15),
(179583, NULL, 'PTHR44825:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 4', NULL, NULL, NULL, 15),
(179584, NULL, 'PTHR31048:SF104', NULL, NULL, NULL, NULL, 'OSMOTIN-LIKE PROTEIN OSM34', NULL, NULL, NULL, 15),
(179585, NULL, 'PTHR43748:SF3', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE 3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(179586, NULL, 'PTHR31734:SF45', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA2', NULL, NULL, NULL, 15),
(179587, NULL, 'PTHR42919:SF27', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(179588, NULL, 'PTHR12035:SF106', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 8', NULL, NULL, NULL, 15),
(179589, NULL, 'PTHR24070:SF368', NULL, NULL, NULL, NULL, 'SMALL GTPASE', NULL, NULL, NULL, 15),
(179590, NULL, 'PTHR23428:SF273', NULL, NULL, NULL, NULL, 'HISTONE H2B.4', NULL, NULL, NULL, 15),
(179591, NULL, 'PTHR24015:SF334', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179592, NULL, 'PTHR10747:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR COE3', NULL, NULL, NULL, 15),
(179593, NULL, 'PTHR12101:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179594, NULL, 'PTHR11945:SF681', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL63', NULL, NULL, NULL, 15),
(179595, NULL, 'PTHR47926:SF39', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(179596, NULL, 'PTHR33270:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179597, NULL, 'PTHR11188:SF147', NULL, NULL, NULL, NULL, 'ARRESTIN-RELATED TRAFFICKING ADAPTER 10', NULL, NULL, NULL, 15),
(179598, NULL, 'PTHR33592:SF8', NULL, NULL, NULL, NULL, 'BNAA10G04070D PROTEIN', NULL, NULL, NULL, 15),
(179599, NULL, 'PTHR16517:SF130', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(179600, NULL, 'PTHR36586:SF25', NULL, NULL, NULL, NULL, 'EXTENSIN-2-LIKE', NULL, NULL, NULL, 15),
(179601, NULL, 'PTHR43220:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBR-BUS-19', NULL, NULL, NULL, 15),
(179602, NULL, 'PTHR48018:SF17', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(179603, NULL, 'PTHR36345', NULL, NULL, NULL, NULL, 'CCG-BINDING PROTEIN 1', NULL, NULL, 36190, 15),
(179604, NULL, 'PTHR31945:SF70', NULL, NULL, NULL, NULL, 'HLH DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179605, NULL, 'PTHR24282:SF169', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 709B2', NULL, NULL, NULL, 15),
(179606, NULL, 'PTHR43572:SF8', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CLPC1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(179607, NULL, 'PTHR18947', NULL, NULL, NULL, NULL, 'HOOK PROTEINS', NULL, NULL, NULL, 15),
(179608, NULL, 'PTHR31642:SF241', NULL, NULL, NULL, NULL, '(Z)-3-HEXEN-1-OL ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(179609, NULL, 'PTHR10015:SF185', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR PROTEIN 2', NULL, NULL, 24804, 15),
(179610, NULL, 'PTHR45650:SF52', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179611, NULL, 'PTHR28632:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179612, NULL, 'PTHR43446', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179613, NULL, 'PTHR34303:SF4', NULL, NULL, NULL, NULL, 'OS01G0890400 PROTEIN', NULL, NULL, NULL, 15),
(179614, NULL, 'PTHR33102:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179615, NULL, 'PTHR10281:SF70', NULL, NULL, NULL, NULL, 'OS02G0640300 PROTEIN', NULL, NULL, NULL, 15),
(179616, NULL, 'PTHR10454:SF226', NULL, NULL, NULL, NULL, 'CASPASE NC-LIKE PROTEIN', NULL, NULL, NULL, 15),
(179617, NULL, 'PTHR12313:SF69', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA3-LIKE', NULL, NULL, NULL, 15),
(179618, NULL, 'PTHR23202:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179619, NULL, 'PTHR11746:SF259', NULL, NULL, NULL, NULL, 'ACETYLSEROTONIN O-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(179620, NULL, 'PTHR23272', NULL, NULL, NULL, NULL, 'BED FINGER-RELATED', NULL, NULL, 39806, 15),
(179621, NULL, 'PTHR32054:SF36', NULL, NULL, NULL, NULL, 'WEB FAMILY-RELATED', NULL, NULL, NULL, 15),
(179622, NULL, 'PTHR47256:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(179623, NULL, 'PTHR22811:SF159', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA4', NULL, NULL, NULL, 15),
(179624, NULL, 'PTHR19375:SF448', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70-KD PROTEIN, TANDEM DUPLICATE 2-RELATED', NULL, NULL, NULL, 15),
(179625, NULL, 'PTHR22811:SF61', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 PROTEIN TRANSPORT DOMAIN CONTAINING 1', NULL, NULL, NULL, 15),
(179626, NULL, 'PTHR42808', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(179627, NULL, 'PTHR34576:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179628, NULL, 'PTHR24326:SF549', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-12-LIKE', NULL, NULL, NULL, 15),
(179629, NULL, 'PTHR24347:SF386', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE B KINASE GAMMA CATALYTIC CHAIN, SKELETAL MUSCLE/HEART ISOFORM', NULL, NULL, NULL, 15),
(179630, NULL, 'PTHR13348', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P SUBUNIT P29', NULL, NULL, 16315, 15),
(179631, NULL, 'PTHR13061:SF29', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE-LIKE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(179632, NULL, 'PTHR12688:SF0', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT INTERMEDIATE CHAIN, ISOFORM A', NULL, NULL, NULL, 15),
(179633, NULL, 'PTHR12652:SF7', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11B', NULL, NULL, NULL, 15),
(179634, NULL, 'PTHR41302:SF1', NULL, NULL, NULL, NULL, 'PRESPORE-SPECIFIC TRANSCRIPTIONAL REGULATOR RSFA', NULL, NULL, NULL, 15),
(179635, NULL, 'PTHR23334:SF49', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 23', NULL, NULL, NULL, 15),
(179636, NULL, 'PTHR11176:SF23', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(179637, NULL, 'PTHR31942:SF82', NULL, NULL, NULL, NULL, 'MLO PROTEIN HOMOLOG 1', NULL, NULL, NULL, 15),
(179638, NULL, 'PTHR42206:SF1', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(179639, NULL, 'PTHR11654:SF451', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.4', NULL, NULL, NULL, 15),
(179640, NULL, 'PTHR27007:SF299', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179641, NULL, 'PTHR35310:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179642, NULL, 'PTHR12027:SF33', NULL, NULL, NULL, NULL, 'PROTEIN WNT-5A', NULL, NULL, 28270, 15),
(179643, NULL, 'PTHR20661', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL-GLYCAN BIOSYNTHESIS CLASS W PROTEIN', NULL, NULL, 8092, 15),
(179644, NULL, 'PTHR10105:SF2', NULL, NULL, NULL, NULL, 'AGAP003297-PA', NULL, NULL, NULL, 15),
(179645, NULL, 'PTHR35377:SF4', NULL, NULL, NULL, NULL, 'SSL2138 PROTEIN', NULL, NULL, NULL, 15),
(179646, NULL, 'PTHR11588:SF332', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(179647, NULL, 'PTHR31790:SF416', NULL, NULL, NULL, NULL, 'BNAC05G01150D PROTEIN', NULL, NULL, NULL, 15),
(179648, NULL, 'PTHR23076:SF121', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179649, NULL, 'PTHR45992:SF2', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN KINASE B', NULL, NULL, NULL, 15),
(179650, NULL, 'PTHR47410', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 7-RELATED', NULL, NULL, NULL, 15),
(179651, NULL, 'PTHR31375:SF167', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT2', NULL, NULL, NULL, 15),
(179652, NULL, 'PTHR46070:SF1', NULL, NULL, NULL, NULL, 'PINSTRIPE, ISOFORM A', NULL, NULL, NULL, 15),
(179653, NULL, 'PTHR13833:SF71', NULL, NULL, NULL, NULL, 'NHL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(179654, NULL, 'PTHR30043:SF7', NULL, NULL, NULL, NULL, 'CRYPTIC PHOSPHONATE TRANSPORT SYSTEM PERMEASE PROTEIN PHNE1-RELATED', NULL, NULL, NULL, 15),
(179655, NULL, 'PTHR11850:SF295', NULL, NULL, NULL, NULL, 'C. ELEGANS HOMEOBOX-RELATED', NULL, NULL, NULL, 15),
(179656, NULL, 'PTHR43574:SF34', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE 4-EPIMERASE 2', NULL, NULL, NULL, 15),
(179657, NULL, 'PTHR10801:SF16', NULL, NULL, NULL, NULL, 'S-LOCUS GLYCOPROTEIN DOMAIN, BULB-TYPE LECTIN DOMAIN, FAD-BINDING, TYPE 2-RELATED', NULL, NULL, NULL, 15),
(179658, NULL, 'PTHR45682:SF6', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE DUPD1', NULL, NULL, NULL, 15),
(179659, NULL, 'PTHR31373', NULL, NULL, NULL, NULL, 'OS06G0652100 PROTEIN', NULL, NULL, 10913, 15),
(179660, NULL, 'PTHR10795:SF660', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179661, NULL, 'PTHR43576', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE C-RELATED', NULL, NULL, NULL, 15),
(179662, NULL, 'PTHR46565', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN PROTEIN 2', NULL, NULL, NULL, 15),
(179663, NULL, 'PTHR48112:SF11', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP PROTEIN B1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179664, NULL, 'PTHR47108:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0065O17.2 PROTEIN', NULL, NULL, NULL, 15),
(179665, NULL, 'PTHR47827:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179666, NULL, 'PTHR46980:SF2', NULL, NULL, NULL, NULL, 'TRICALBIN-1-RELATED', NULL, NULL, NULL, 15),
(179667, NULL, 'PTHR23113:SF331', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR I-RELATED', NULL, NULL, NULL, 15),
(179668, NULL, 'PTHR33137:SF22', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15A-LIKE PROTEIN', NULL, NULL, NULL, 15),
(179669, NULL, 'PTHR48019:SF49', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL104', NULL, NULL, NULL, 15),
(179670, NULL, 'PTHR19282:SF458', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179671, NULL, 'PTHR31343:SF34', NULL, NULL, NULL, NULL, 'BNAC07G50600D PROTEIN', NULL, NULL, NULL, 15),
(179672, NULL, 'PTHR27006:SF225', NULL, NULL, NULL, NULL, 'BNAC06G12380D PROTEIN', NULL, NULL, NULL, 15),
(179673, NULL, 'PTHR24347:SF18', NULL, NULL, NULL, NULL, 'CAM KINASE-LIKE VESICLE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(179674, NULL, 'PTHR11620:SF70', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A-1', NULL, NULL, NULL, 15),
(179675, NULL, 'PTHR34189:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(179676, NULL, 'PTHR24115:SF916', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179677, NULL, 'PTHR31235:SF292', NULL, NULL, NULL, NULL, 'PEROXIDASE 48-RELATED', NULL, NULL, NULL, 15),
(179678, NULL, 'PTHR10209:SF473', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 7', NULL, NULL, NULL, 15),
(179679, NULL, 'PTHR41317', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179680, NULL, 'PTHR37225', NULL, NULL, NULL, NULL, 'OSJNBA0011F23.3 PROTEIN', NULL, NULL, NULL, 15),
(179681, NULL, 'PTHR34502:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179682, NULL, 'PTHR36091:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179683, NULL, 'PTHR22674:SF2', NULL, NULL, NULL, NULL, 'LOC100144969 PROTEIN', NULL, NULL, NULL, 15),
(179684, NULL, 'PTHR43689:SF46', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179685, NULL, 'PTHR48002:SF141', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(179686, NULL, 'PTHR47956:SF35', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(179687, NULL, 'PTHR11257', NULL, NULL, NULL, NULL, 'CHEMOSENSORY PROTEIN-RELATED', NULL, NULL, 2224, 15),
(179688, NULL, 'PTHR48023:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 12', NULL, NULL, NULL, 15),
(179689, NULL, 'PTHR45656:SF7', NULL, NULL, NULL, NULL, 'CD55 MOLECULE', NULL, NULL, NULL, 15),
(179690, NULL, 'PTHR43751', NULL, NULL, NULL, NULL, 'SULFATASE', NULL, NULL, NULL, 15),
(179691, NULL, 'PTHR10638:SF67', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(179692, NULL, 'PTHR23338:SF52', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', NULL, NULL, NULL, 15),
(179693, NULL, 'PTHR33264:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179694, NULL, 'PTHR46798:SF5', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179695, NULL, 'PTHR23310:SF119', NULL, NULL, NULL, NULL, 'ACYL COA BINDING PROTEIN FAMILY (AFU_ORTHOLOGUE AFUA_2G11060)', NULL, NULL, NULL, 15),
(179696, NULL, 'PTHR11931', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE', NULL, NULL, 263, 15),
(179697, NULL, 'PTHR24223:SF339', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE-ASSOCIATED PROTEIN 6', NULL, NULL, 27611, 15),
(179698, NULL, 'PTHR12176:SF59', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(179699, NULL, 'PTHR10285:SF150', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179700, NULL, 'PTHR10681:SF149', NULL, NULL, NULL, NULL, '1-CYS PEROXIREDOXIN PER1', NULL, NULL, NULL, 15),
(179701, NULL, 'PTHR40472', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 35509, 15),
(179702, NULL, 'PTHR23359:SF150', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', NULL, NULL, NULL, 15),
(179703, NULL, 'PTHR14132:SF1', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR 7', NULL, NULL, NULL, 15),
(179704, NULL, 'PTHR14083:SF14', NULL, NULL, NULL, NULL, 'PROTEIN YIF1B-LIKE', NULL, NULL, NULL, 15),
(179705, NULL, 'PTHR43016:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179706, NULL, 'PTHR11726:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10-LIKE', NULL, NULL, NULL, 15),
(179707, NULL, 'PTHR34934:SF1', NULL, NULL, NULL, NULL, 'FLAVIN-DEPENDENT THYMIDYLATE SYNTHASE', NULL, NULL, NULL, 15),
(179708, NULL, 'PTHR37731', NULL, NULL, NULL, NULL, 'PEPTIDE TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(179709, NULL, 'PTHR12606:SF97', NULL, NULL, NULL, NULL, 'SUMO-SPECIFIC PEPTIDASE 2', NULL, NULL, NULL, 15),
(179710, NULL, 'PTHR13439:SF64', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 56-B ISOFORM X1', NULL, NULL, NULL, 15),
(179711, NULL, 'PTHR11926:SF1383', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(179712, NULL, 'PTHR10334:SF62', NULL, NULL, NULL, NULL, 'PEPTIDASE INHIBITOR R3HDML', NULL, NULL, NULL, 15),
(179713, NULL, 'PTHR11772:SF23', NULL, NULL, NULL, NULL, 'ASPARAGINE SYNTHETASE [GLUTAMINE-HYDROLYZING]', NULL, NULL, NULL, 15),
(179714, NULL, 'PTHR34023:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179715, NULL, 'PTHR24092:SF50', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE IIB-RELATED', NULL, NULL, 23865, 15),
(179716, NULL, 'PTHR24064:SF216', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 17', NULL, NULL, NULL, 15),
(179717, NULL, 'PTHR11552:SF215', NULL, NULL, NULL, NULL, 'FI02019P', NULL, NULL, NULL, 15),
(179718, NULL, 'PTHR31390:SF22', NULL, NULL, NULL, NULL, 'BNAA10G12100D PROTEIN', NULL, NULL, NULL, 15),
(179719, NULL, 'PTHR47592:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179720, NULL, 'PTHR24366:SF84', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT AND FIBRONECTIN TYPE III DOMAIN CONTAINING 4', NULL, NULL, NULL, 15),
(179721, NULL, 'PTHR45680:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(179722, NULL, 'PTHR33248:SF12', NULL, NULL, NULL, NULL, 'BNAUNNG00620D PROTEIN', NULL, NULL, NULL, 15),
(179723, NULL, 'PTHR48104:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179724, NULL, 'PTHR22166:SF31', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE METAL-BINDING FAMILY PROTEIN (DUF2296)', NULL, NULL, NULL, 15),
(179725, NULL, 'PTHR34671:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179726, NULL, 'PTHR36764:SF1', NULL, NULL, NULL, NULL, 'TRNA (ILE)-LYSIDINE SYNTHASE', NULL, NULL, NULL, 15),
(179727, NULL, 'PTHR42898:SF20', NULL, NULL, NULL, NULL, 'BNAC04G56400D PROTEIN', NULL, NULL, NULL, 15),
(179728, NULL, 'PTHR34781', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(179729, NULL, 'PTHR11680:SF49', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(179730, NULL, 'PTHR47925:SF36', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(179731, NULL, 'PTHR10334:SF458', NULL, NULL, NULL, NULL, 'BNACNNG34490D PROTEIN', NULL, NULL, NULL, 15),
(179732, NULL, 'PTHR10641:SF1255', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB23-LIKE', NULL, NULL, NULL, 15),
(179733, NULL, 'PTHR10288:SF247', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS K HOMOLOGY DOMAIN-LIKE', NULL, NULL, NULL, 15),
(179734, NULL, 'PTHR20986:SF18', NULL, NULL, NULL, NULL, 'FMRF-LIKE PEPTIDE', NULL, NULL, NULL, 15),
(179735, NULL, 'PTHR28559', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN XRCC4', NULL, NULL, 8392, 15),
(179736, NULL, 'PTHR11929', NULL, NULL, NULL, NULL, 'ALPHA- 1,3 -FUCOSYLTRANSFERASE', NULL, NULL, 6161, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179737, NULL, 'PTHR48128:SF1', NULL, NULL, NULL, NULL, 'REPELLENT PROTEIN 1', NULL, NULL, NULL, 15),
(179738, NULL, 'PTHR16465', NULL, NULL, NULL, NULL, 'NUCLEASE-RELATED', NULL, NULL, NULL, 15),
(179739, NULL, 'PTHR10671:SF54', NULL, NULL, NULL, NULL, 'CLC-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(179740, NULL, 'PTHR32134:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179741, NULL, 'PTHR34191:SF25', NULL, NULL, NULL, NULL, 'BNAA08G05160D PROTEIN', NULL, NULL, NULL, 15),
(179742, NULL, 'PTHR23023:SF272', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(179743, NULL, 'PTHR12484:SF1', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 17B', NULL, NULL, NULL, 15),
(179744, NULL, 'PTHR42811:SF15', NULL, NULL, NULL, NULL, 'SERINE O-ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(179745, NULL, 'PTHR11764:SF63', NULL, NULL, NULL, NULL, 'BETA-AMYRIN SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(179746, NULL, 'PTHR31390', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(179747, NULL, 'PTHR45770:SF23', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(179748, NULL, 'PTHR31375:SF209', NULL, NULL, NULL, NULL, 'BNAC04G03160D PROTEIN', NULL, NULL, NULL, 15),
(179749, NULL, 'PTHR47673:SF1', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(179750, NULL, 'PTHR15817', NULL, NULL, NULL, NULL, 'STG PROTEIN', NULL, NULL, 25536, 15),
(179751, NULL, 'PTHR31636:SF145', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 18', NULL, NULL, NULL, 15),
(179752, NULL, 'PTHR45763:SF37', NULL, NULL, NULL, NULL, 'OS03G0116316 PROTEIN', NULL, NULL, NULL, 15),
(179753, NULL, 'PTHR31689:SF2', NULL, NULL, NULL, NULL, 'DIAMINOPIMELATE EPIMERASE', NULL, NULL, NULL, 15),
(179754, NULL, 'PTHR23155:SF972', NULL, NULL, NULL, NULL, 'OS01G0269800 PROTEIN', NULL, NULL, NULL, 15),
(179755, NULL, 'PTHR48015:SF27', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAK 5', NULL, NULL, NULL, 15),
(179756, NULL, 'PTHR47975:SF12', NULL, NULL, NULL, NULL, 'OSJNBB0002J11.8 PROTEIN', NULL, NULL, NULL, 15),
(179757, NULL, 'PTHR10485:SF0', NULL, NULL, NULL, NULL, 'AT05822P-RELATED', NULL, NULL, NULL, 15),
(179758, NULL, 'PTHR31676:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179759, NULL, 'PTHR12753:SF4', NULL, NULL, NULL, NULL, 'BNACNNG52650D PROTEIN', NULL, NULL, NULL, 15),
(179760, NULL, 'PTHR18934:SF227', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH2', NULL, NULL, NULL, 15),
(179761, NULL, 'PTHR15949', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 264', NULL, NULL, NULL, 15),
(179762, NULL, 'PTHR11559:SF377', NULL, NULL, NULL, NULL, 'LD40049P', NULL, NULL, NULL, 15),
(179763, NULL, 'PTHR31677:SF119', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF087', NULL, NULL, NULL, 15),
(179764, NULL, 'PTHR10704:SF36', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE 1', NULL, NULL, NULL, 15),
(179765, NULL, 'PTHR11544:SF104', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN CSPD', NULL, NULL, NULL, 15),
(179766, NULL, 'PTHR32468:SF69', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 9', NULL, NULL, NULL, 15),
(179767, NULL, 'PTHR30540:SF82', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(179768, NULL, 'PTHR34382:SF7', NULL, NULL, NULL, NULL, 'PTS SYSTEM N,N''-DIACETYLCHITOBIOSE-SPECIFIC EIIA COMPONENT', NULL, NULL, NULL, 15),
(179769, NULL, 'PTHR46413:SF4', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(179770, NULL, 'PTHR10778:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179771, NULL, 'PTHR21197:SF0', NULL, NULL, NULL, NULL, 'UDP-GALACTOPYRANOSE MUTASE', NULL, NULL, NULL, 15),
(179772, NULL, 'PTHR46890:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179773, NULL, 'PTHR10110:SF177', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179774, NULL, 'PTHR43650:SF8', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(179775, NULL, 'PTHR46295:SF2', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(179776, NULL, 'PTHR45987:SF2', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN-LIKE', NULL, NULL, NULL, 15),
(179777, NULL, 'PTHR31225:SF152', NULL, NULL, NULL, NULL, 'ALPHA-FARNESENE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(179778, NULL, 'PTHR47984:SF25', NULL, NULL, NULL, NULL, 'OS02G0549200 PROTEIN', NULL, NULL, NULL, 15),
(179779, NULL, 'PTHR22656:SF1', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN-CONTAINING PROTEIN 13', NULL, NULL, NULL, 15),
(179780, NULL, 'PTHR22883:SF22', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC11B-RELATED', NULL, NULL, NULL, 15),
(179781, NULL, 'PTHR10606:SF1', NULL, NULL, NULL, NULL, '6-PHOSPHOFRUCTO-2-KINASE 2', NULL, NULL, NULL, 15),
(179782, NULL, 'PTHR24376:SF121', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 771', NULL, NULL, NULL, 15),
(179783, NULL, 'PTHR31509:SF74', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(179784, NULL, 'PTHR46325:SF25', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC9', NULL, NULL, NULL, 15),
(179785, NULL, 'PTHR21596:SF54', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR-LIKE-RELATED', NULL, NULL, NULL, 15),
(179786, NULL, 'PTHR34365:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179787, NULL, 'PTHR33280:SF6', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L31', NULL, NULL, NULL, 15),
(179788, NULL, 'PTHR23036:SF168', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR-LIKE FACTOR 2-RELATED', NULL, NULL, NULL, 15),
(179789, NULL, 'PTHR23423:SF17', NULL, NULL, NULL, NULL, 'IP17403P', NULL, NULL, NULL, 15),
(179790, NULL, 'PTHR22936:SF79', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(179791, NULL, 'PTHR45652:SF19', NULL, NULL, NULL, NULL, 'DESMIN B', NULL, NULL, NULL, 15),
(179792, NULL, 'PTHR20935', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-RELATED', NULL, NULL, NULL, 15),
(179793, NULL, 'PTHR43806:SF48', NULL, NULL, NULL, NULL, 'PROTEINASE T', NULL, NULL, NULL, 15),
(179794, NULL, 'PTHR31472:SF8', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED-LIKE', NULL, NULL, NULL, 15),
(179795, NULL, 'PTHR47946:SF12', NULL, NULL, NULL, NULL, 'OS09G0528700 PROTEIN', NULL, NULL, NULL, 15),
(179796, NULL, 'PTHR31852:SF152', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(179797, NULL, 'PTHR48001:SF79', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7C2', NULL, NULL, NULL, 15),
(179798, NULL, 'PTHR10026:SF8', NULL, NULL, NULL, NULL, 'CYCLIN-H', NULL, NULL, NULL, 15),
(179799, NULL, 'PTHR43452:SF27', NULL, NULL, NULL, NULL, 'PYRUVATE DECARBOXYLASE 1-LIKE', NULL, NULL, NULL, 15),
(179800, NULL, 'PTHR32343:SF54', NULL, NULL, NULL, NULL, 'BNAANNG17810D PROTEIN', NULL, NULL, NULL, 15),
(179801, NULL, 'PTHR22844:SF355', NULL, NULL, NULL, NULL, 'OS03G0625300 PROTEIN', NULL, NULL, NULL, 15),
(179802, NULL, 'PTHR11165:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179803, NULL, 'PTHR11133', NULL, NULL, NULL, NULL, 'SACCHAROPINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(179804, NULL, 'PTHR32011:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(179805, NULL, 'PTHR17614', NULL, NULL, NULL, NULL, 'ZINC FINGER-CONTAINING', NULL, NULL, NULL, 15),
(179806, NULL, 'PTHR10694:SF103', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ14-RELATED', NULL, NULL, NULL, 15),
(179807, NULL, 'PTHR21539', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 32394, 15),
(179808, NULL, 'PTHR31972:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179809, NULL, 'PTHR22883:SF35', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC6', NULL, NULL, NULL, 15),
(179810, NULL, 'PTHR13061:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179811, NULL, 'PTHR45331:SF2', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, IRON-SULPHUR BINDING SUBUNIT-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179812, NULL, 'PTHR31079:SF26', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(179813, NULL, 'PTHR10891:SF895', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML25-RELATED', NULL, NULL, NULL, 15),
(179814, NULL, 'PTHR11040:SF74', NULL, NULL, NULL, NULL, 'ZRT (ZRT), IRT-(IRT-) LIKE PROTEIN TRANSPORTER', NULL, NULL, NULL, 15),
(179815, NULL, 'PTHR31415:SF117', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(179816, NULL, 'PTHR31719:SF176', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 84', NULL, NULL, NULL, 15),
(179817, NULL, 'PTHR11537:SF140', NULL, NULL, NULL, NULL, 'VOLTAGE-GATED POTASSIUM CHANNEL SUBUNIT KVS-4-RELATED', NULL, NULL, NULL, 15),
(179818, NULL, 'PTHR39185', NULL, NULL, NULL, NULL, 'SWARMING MOTILITY PROTEIN SWRD', NULL, NULL, 8493, 15),
(179819, NULL, 'PTHR12227', NULL, NULL, NULL, NULL, 'GLYCERATE KINASE', NULL, NULL, 29410, 15),
(179820, NULL, 'PTHR33577:SF19', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00610)-RELATED', NULL, NULL, NULL, 15),
(179821, NULL, 'PTHR11926:SF1428', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYL/UDP-GLUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(179822, NULL, 'PTHR30561:SF7', NULL, NULL, NULL, NULL, 'GUANIDINIUM EFFLUX SYSTEM SUBUNIT GDNC-RELATED', NULL, NULL, NULL, 15),
(179823, NULL, 'PTHR22891:SF60', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN', NULL, NULL, NULL, 15),
(179824, NULL, 'PTHR23501:SF156', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179825, NULL, 'PTHR33127:SF52', NULL, NULL, NULL, NULL, 'OS11G0436500 PROTEIN', NULL, NULL, NULL, 15),
(179826, NULL, 'PTHR10075:SF68', NULL, NULL, NULL, NULL, 'BASIGIN, ISOFORM G', NULL, NULL, NULL, 15),
(179827, NULL, 'PTHR21577', NULL, NULL, NULL, NULL, 'SHUGOSHIN', NULL, NULL, 34704, 15),
(179828, NULL, 'PTHR36024:SF3', NULL, NULL, NULL, NULL, 'BNAC04G03320D PROTEIN', NULL, NULL, NULL, 15),
(179829, NULL, 'PTHR16223:SF213', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH54', NULL, NULL, NULL, 15),
(179830, NULL, 'PTHR31636:SF156', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE1', NULL, NULL, NULL, 15),
(179831, NULL, 'PTHR42924', NULL, NULL, NULL, NULL, 'EXONUCLEASE', NULL, NULL, NULL, 15),
(179832, NULL, 'PTHR13068:SF166', NULL, NULL, NULL, NULL, 'OS04G0637500 PROTEIN', NULL, NULL, NULL, 15),
(179833, NULL, 'PTHR46059', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDE ALPHA-2,6-SIALYLTRANSFERASE', NULL, NULL, NULL, 15),
(179834, NULL, 'PTHR21596', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P SUBUNIT P38', NULL, NULL, 37295, 15),
(179835, NULL, 'PTHR22963:SF38', NULL, NULL, NULL, NULL, 'LP13770P', NULL, NULL, NULL, 15),
(179836, NULL, 'PTHR23063:SF21', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDYLCHOLINE ACYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(179837, NULL, 'PTHR38542:SF2', NULL, NULL, NULL, NULL, 'OS04G0450500 PROTEIN', NULL, NULL, NULL, 15),
(179838, NULL, 'PTHR23035:SF1', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 97', NULL, NULL, NULL, 15),
(179839, NULL, 'PTHR46572:SF1', NULL, NULL, NULL, NULL, 'RHO1 GUANINE NUCLEOTIDE EXCHANGE FACTOR TUS1', NULL, NULL, NULL, 15),
(179840, NULL, 'PTHR23105:SF127', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(179841, NULL, 'PTHR32141:SF38', NULL, NULL, NULL, NULL, 'OS07G0285200 PROTEIN', NULL, NULL, NULL, 15),
(179842, NULL, 'PTHR32116:SF78', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(179843, NULL, 'PTHR48063', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(179844, NULL, 'PTHR35528:SF3', NULL, NULL, NULL, NULL, 'BLL1675 PROTEIN', NULL, NULL, NULL, 15),
(179845, NULL, 'PTHR12709', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE II, III', NULL, NULL, 37002, 15),
(179846, NULL, 'PTHR43538:SF1', NULL, NULL, NULL, NULL, '(R)-CITRAMALATE SYNTHASE', NULL, NULL, NULL, 15),
(179847, NULL, 'PTHR27003:SF327', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE KINASE KINASE STE11, CRYPTOCOCCUS-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179848, NULL, 'PTHR45878:SF29', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WIP2', NULL, NULL, NULL, 15),
(179849, NULL, 'PTHR31503:SF51', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER 4', NULL, NULL, NULL, 15),
(179850, NULL, 'PTHR45654:SF9', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HDG10-RELATED', NULL, NULL, NULL, 15),
(179851, NULL, 'PTHR37695:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179852, NULL, 'PTHR23421:SF170', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(179853, NULL, 'PTHR30589', NULL, NULL, NULL, NULL, 'PROLIPOPROTEIN DIACYLGLYCERYL TRANSFERASE', NULL, NULL, 3221, 15),
(179854, NULL, 'PTHR10129:SF15', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MAFG', NULL, NULL, 22088, 15),
(179855, NULL, 'PTHR42281:SF1', NULL, NULL, NULL, NULL, 'ACETYL-COA DECARBONYLASE/SYNTHASE COMPLEX SUBUNIT BETA 2', NULL, NULL, NULL, 15),
(179856, NULL, 'PTHR11850:SF319', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 4 ISOFORM X1', NULL, NULL, NULL, 15),
(179857, NULL, 'PTHR35104:SF9', NULL, NULL, NULL, NULL, 'BNAC03G70500D PROTEIN', NULL, NULL, NULL, 15),
(179858, NULL, 'PTHR33074:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179859, NULL, 'PTHR34292', NULL, NULL, NULL, NULL, 'OUTER SPORE WALL PROTEIN LDS1', NULL, NULL, NULL, 15),
(179860, NULL, 'PTHR11394:SF134', NULL, NULL, NULL, NULL, 'TASTE RECEPTOR TYPE 2 MEMBER 45', NULL, NULL, NULL, 15),
(179861, NULL, 'PTHR22835:SF518', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179862, NULL, 'PTHR31192:SF4', NULL, NULL, NULL, NULL, 'SPERM-SPECIFIC FAMILY, CLASS Q', NULL, NULL, NULL, 15),
(179863, NULL, 'PTHR31589:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179864, NULL, 'PTHR42718', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY MULTIDRUG TRANSPORTER MFSC', NULL, NULL, NULL, 15),
(179865, NULL, 'PTHR10366:SF743', NULL, NULL, NULL, NULL, 'BNAA04G26150D PROTEIN', NULL, NULL, NULL, 15),
(179866, NULL, 'PTHR43261:SF1', NULL, NULL, NULL, NULL, 'RIBOSOME-RELEASING FACTOR 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(179867, NULL, 'PTHR45703', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(179868, NULL, 'PTHR37534:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN UGA3', NULL, NULL, NULL, 15),
(179869, NULL, 'PTHR19924', NULL, NULL, NULL, NULL, 'UTP15 U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 15 FAMILY MEMBER', NULL, NULL, NULL, 15),
(179870, NULL, 'PTHR46371:SF30', NULL, NULL, NULL, NULL, 'OSJNBA0016O02.20 PROTEIN', NULL, NULL, NULL, 15),
(179871, NULL, 'PTHR46045:SF12', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(179872, NULL, 'PTHR11247:SF62', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(179873, NULL, 'PTHR14605:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 231', NULL, NULL, NULL, 15),
(179874, NULL, 'PTHR33078:SF66', NULL, NULL, NULL, NULL, 'YCF2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(179875, NULL, 'PTHR45621:SF161', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(179876, NULL, 'PTHR31500:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179877, NULL, 'PTHR11524:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179878, NULL, 'PTHR23080:SF63', NULL, NULL, NULL, NULL, 'ZGC:113019', NULL, NULL, NULL, 15),
(179879, NULL, 'PTHR10314:SF81', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL L-3-CYANOALANINE SYNTHASE/CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(179880, NULL, 'PTHR45665:SF29', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP-TYPE-RELATED', NULL, NULL, NULL, 15),
(179881, NULL, 'PTHR45683:SF13', NULL, NULL, NULL, NULL, 'BNAC03G22330D PROTEIN', NULL, NULL, NULL, 15),
(179882, NULL, 'PTHR45632:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179883, NULL, 'PTHR47974', NULL, NULL, NULL, NULL, 'OS07G0415500 PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179884, NULL, 'PTHR43219:SF1', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDONUCLEASE CAS1', NULL, NULL, NULL, 15),
(179885, NULL, 'PTHR31485:SF20', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE O-ARABINOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(179886, NULL, 'PTHR13018:SF131', NULL, NULL, NULL, NULL, 'OS03G0673800 PROTEIN', NULL, NULL, NULL, 15),
(179887, NULL, 'PTHR11961:SF7', NULL, NULL, NULL, NULL, 'CYTOCHROME C 2.2-RELATED', NULL, NULL, NULL, 15),
(179888, NULL, 'PTHR21243:SF15', NULL, NULL, NULL, NULL, 'PROTEIN SCAI', NULL, NULL, NULL, 15),
(179889, NULL, 'PTHR44229', NULL, NULL, NULL, NULL, '15-HYDROXYPROSTAGLANDIN DEHYDROGENASE [NAD(+)]', NULL, NULL, NULL, 15),
(179890, NULL, 'PTHR11524:SF47', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7-RELATED', NULL, NULL, NULL, 15),
(179891, NULL, 'PTHR14000:SF29', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(179892, NULL, 'PTHR24058:SF118', NULL, NULL, NULL, NULL, 'PKINASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(179893, NULL, 'PTHR48161', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179894, NULL, 'PTHR31989:SF244', NULL, NULL, NULL, NULL, 'SWN2', NULL, NULL, NULL, 15),
(179895, NULL, 'PTHR45710:SF11', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN-CONTAINING PROTEIN 180', NULL, NULL, NULL, 15),
(179896, NULL, 'PTHR24637:SF281', NULL, NULL, NULL, NULL, 'COLLAGEN-RELATED', NULL, NULL, NULL, 15),
(179897, NULL, 'PTHR23423:SF14', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER ALPHA-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(179898, NULL, 'PTHR23193:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR ENVELOPE PORE MEMBRANE PROTEIN POM 121C-RELATED', NULL, NULL, NULL, 15),
(179899, NULL, 'PTHR22957:SF320', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 8B', NULL, NULL, NULL, 15),
(179900, NULL, 'PTHR11177:SF188', NULL, NULL, NULL, NULL, 'ACIDIC MAMMALIAN CHITINASE', NULL, NULL, NULL, 15),
(179901, NULL, 'PTHR47997:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR MYB6', NULL, NULL, NULL, 15),
(179902, NULL, 'PTHR34150:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG04441', NULL, NULL, NULL, 15),
(179903, NULL, 'PTHR35510:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179904, NULL, 'PTHR11006:SF10', NULL, NULL, NULL, NULL, 'HISTONE-ARGININE METHYLTRANSFERASE CARMER-RELATED', NULL, NULL, NULL, 15),
(179905, NULL, 'PTHR23354:SF110', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179906, NULL, 'PTHR28520', NULL, NULL, NULL, NULL, 'MITOTIC-SPINDLE ORGANIZING PROTEIN 1', NULL, NULL, 21477, 15),
(179907, NULL, 'PTHR46640:SF3', NULL, NULL, NULL, NULL, 'LIPASE YJR107W-RELATED', NULL, NULL, NULL, 15),
(179908, NULL, 'PTHR47722', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 37250, 15),
(179909, NULL, 'PTHR36483:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179910, NULL, 'PTHR34261', NULL, NULL, NULL, NULL, 'APC REGULATOR OF WNT-SIGNALING PATHWAY-RELATED', NULL, NULL, NULL, 15),
(179911, NULL, 'PTHR13789:SF172', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G12410)-RELATED', NULL, NULL, NULL, 15),
(179912, NULL, 'PTHR46551:SF2', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING RIBONUCLEOPROTEIN', NULL, NULL, NULL, 15),
(179913, NULL, 'PTHR20371:SF1', NULL, NULL, NULL, NULL, 'ENOLASE-PHOSPHATASE E1', NULL, NULL, NULL, 15),
(179914, NULL, 'PTHR32096:SF55', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(179915, NULL, 'PTHR12289:SF34', NULL, NULL, NULL, NULL, 'METAXIN-1', NULL, NULL, NULL, 15),
(179916, NULL, 'PTHR23050:SF400', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML18-RELATED', NULL, NULL, NULL, 15),
(179917, NULL, 'PTHR46301:SF38', NULL, NULL, NULL, NULL, 'BNACNNG09590D PROTEIN', NULL, NULL, NULL, 15),
(179918, NULL, 'PTHR27003:SF47', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(179919, NULL, 'PTHR23138:SF149', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179920, NULL, 'PTHR10285:SF147', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE 2-B', NULL, NULL, 28792, 15),
(179921, NULL, 'PTHR10666:SF364', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179922, NULL, 'PTHR42659', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE SUBUNIT C-RELATED', NULL, NULL, NULL, 15),
(179923, NULL, 'PTHR47171', NULL, NULL, NULL, NULL, 'FARA-RELATED', NULL, NULL, NULL, 15),
(179924, NULL, 'PTHR10489:SF932', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(179925, NULL, 'PTHR11339:SF272', NULL, NULL, NULL, NULL, 'BMP-BINDING ENDOTHELIAL REGULATOR PROTEIN', NULL, NULL, NULL, 15),
(179926, NULL, 'PTHR42908:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179927, NULL, 'PTHR30546:SF51', NULL, NULL, NULL, NULL, 'BNACNNG16580D PROTEIN', NULL, NULL, NULL, 15),
(179928, NULL, 'PTHR23050:SF211', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(179929, NULL, 'PTHR11254:SF282', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE NEDD4', NULL, NULL, NULL, 15),
(179930, NULL, 'PTHR15132', NULL, NULL, NULL, NULL, 'SNRNA-ACTIVATING PROTEIN COMPLEX SUBUNIT 2', NULL, NULL, 17969, 15),
(179931, NULL, 'PTHR13437:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP58', NULL, NULL, NULL, 15),
(179932, NULL, 'PTHR12411:SF274', NULL, NULL, NULL, NULL, 'TUBULOINTERSTITIAL NEPHRITIS ANTIGEN', NULL, NULL, 30042, 15),
(179933, NULL, 'PTHR43808:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179934, NULL, 'PTHR43327:SF28', NULL, NULL, NULL, NULL, 'RESPONSE PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(179935, NULL, 'PTHR31391:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179936, NULL, 'PTHR34280:SF12', NULL, NULL, NULL, NULL, 'BNAA06G32320D PROTEIN', NULL, NULL, NULL, 15),
(179937, NULL, 'PTHR10102:SF14', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE', NULL, NULL, NULL, 15),
(179938, NULL, 'PTHR36381:SF1', NULL, NULL, NULL, NULL, 'ETHYLENE-REGULATED TRANSCRIPT 2 (ERT2)', NULL, NULL, NULL, 15),
(179939, NULL, 'PTHR22765:SF307', NULL, NULL, NULL, NULL, 'OS06G0687200 PROTEIN', NULL, NULL, NULL, 15),
(179940, NULL, 'PTHR30468:SF27', NULL, NULL, NULL, NULL, 'ALPHA-KETOGLUTARATE-DEPENDENT SULFONATE DIOXYGENASE', NULL, NULL, NULL, 15),
(179941, NULL, 'PTHR31190:SF224', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF096', NULL, NULL, NULL, 15),
(179942, NULL, 'PTHR10562:SF87', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', NULL, NULL, NULL, 15),
(179943, NULL, 'PTHR10314:SF209', NULL, NULL, NULL, NULL, 'O-ACETYLSERINE DEPENDENT CYSTATHIONINE BETA-SYNTHASE', NULL, NULL, NULL, 15),
(179944, NULL, 'PTHR31384:SF134', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(179945, NULL, 'PTHR31388:SF234', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(179946, NULL, 'PTHR22629', NULL, NULL, NULL, NULL, 'ARP2/3 COMPLEX 20 KD SUBUNIT', NULL, NULL, 7557, 15),
(179947, NULL, 'PTHR11977:SF117', NULL, NULL, NULL, NULL, 'BNAC03G13000D PROTEIN', NULL, NULL, NULL, 15),
(179948, NULL, 'PTHR47465', NULL, NULL, NULL, NULL, 'MCG113260-RELATED-RELATED', NULL, NULL, NULL, 15),
(179949, NULL, 'PTHR31083:SF31', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(179950, NULL, 'PTHR10285:SF187', NULL, NULL, NULL, NULL, 'URIDINE-CYTIDINE KINASE C-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(179951, NULL, 'PTHR43349:SF4', NULL, NULL, NULL, NULL, 'PINORESINOL REDUCTASE 1-RELATED', NULL, NULL, NULL, 15),
(179952, NULL, 'PTHR13690:SF105', NULL, NULL, NULL, NULL, 'ZIPPER TRANSCRIPTION FACTOR FAMILY PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(179953, NULL, 'PTHR24006:SF747', NULL, NULL, NULL, NULL, 'UBIQUITINYL HYDROLASE 1', NULL, NULL, NULL, 15),
(179954, NULL, 'PTHR24068:SF329', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 4-RELATED', NULL, NULL, NULL, 15),
(179955, NULL, 'PTHR30579:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179956, NULL, 'PTHR33753:SF2', NULL, NULL, NULL, NULL, '1,4-BETA-D-GLUCAN CELLOBIOHYDROLASE B', NULL, NULL, NULL, 15),
(179957, NULL, 'PTHR23151:SF82', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE COMPLEX PROTEIN X COMPONENT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(179958, NULL, 'PTHR10484:SF187', NULL, NULL, NULL, NULL, 'HISTONE H4', NULL, NULL, NULL, 15),
(179959, NULL, 'PTHR46193:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE-RELATED', NULL, NULL, NULL, 15),
(179960, NULL, 'PTHR45979:SF12', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(179961, NULL, 'PTHR23206', NULL, NULL, NULL, NULL, 'MASK PROTEIN', NULL, NULL, NULL, 15),
(179962, NULL, 'PTHR18945:SF403', NULL, NULL, NULL, NULL, 'GABA/GLYCINE RECEPTOR FAMILY (SEE GBR)-RELATED', NULL, NULL, NULL, 15),
(179963, NULL, 'PTHR23507:SF37', NULL, NULL, NULL, NULL, 'GH08173P', NULL, NULL, NULL, 15),
(179964, NULL, 'PTHR42918:SF1', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(179965, NULL, 'PTHR42956:SF1', NULL, NULL, NULL, NULL, 'NITROGENASE IRON-MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN NIFE', NULL, NULL, NULL, 15),
(179966, NULL, 'PTHR24247:SF119', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5T2', NULL, NULL, NULL, 15),
(179967, NULL, 'PTHR39942:SF1', NULL, NULL, NULL, NULL, 'BCDNA.LD26519-RELATED', NULL, NULL, NULL, 15),
(179968, NULL, 'PTHR24028:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179969, NULL, 'PTHR12854:SF7', NULL, NULL, NULL, NULL, 'ATAXIN-2 HOMOLOG', NULL, NULL, NULL, 15),
(179970, NULL, 'PTHR23430:SF245', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1', NULL, NULL, NULL, 15),
(179971, NULL, 'PTHR47047:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(179972, NULL, 'PTHR13318:SF122', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 17', NULL, NULL, NULL, 15),
(179973, NULL, 'PTHR10177:SF410', NULL, NULL, NULL, NULL, 'CYCLIN-B1-3', NULL, NULL, NULL, 15),
(179974, NULL, 'PTHR24068:SF191', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179975, NULL, 'PTHR26452:SF228', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(179976, NULL, 'PTHR10663:SF373', NULL, NULL, NULL, NULL, 'SEC7 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G05700)', NULL, NULL, NULL, 15),
(179977, NULL, 'PTHR10209:SF771', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(179978, NULL, 'PTHR43752:SF7', NULL, NULL, NULL, NULL, 'BNR/ASP-BOX REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(179979, NULL, 'PTHR45089:SF9', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(179980, NULL, 'PTHR47094:SF2', NULL, NULL, NULL, NULL, 'OS09G0504700 PROTEIN', NULL, NULL, NULL, 15),
(179981, NULL, 'PTHR34791:SF4', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(179982, NULL, 'PTHR44340:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 10', NULL, NULL, NULL, 15),
(179983, NULL, 'PTHR11081:SF27', NULL, NULL, NULL, NULL, '5''-3'' EXONUCLEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(179984, NULL, 'PTHR23301', NULL, NULL, NULL, NULL, 'CHITIN BINDING PERITROPHIN-A', NULL, NULL, NULL, 15),
(179985, NULL, 'PTHR11489:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179986, NULL, 'PTHR30457:SF0', NULL, NULL, NULL, NULL, 'OS07G0204500 PROTEIN', NULL, NULL, NULL, 15),
(179987, NULL, 'PTHR34044:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN', NULL, NULL, NULL, 15),
(179988, NULL, 'PTHR46133:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILR3-LIKE', NULL, NULL, NULL, 15),
(179989, NULL, 'PTHR24128:SF20', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(179990, NULL, 'PTHR31042:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179991, NULL, 'PTHR13184', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S22', NULL, NULL, NULL, 15),
(179992, NULL, 'PTHR28333', NULL, NULL, NULL, NULL, 'NUCLEAR FRAGILE X MENTAL RETARDATION-INTERACTING PROTEIN 2', NULL, NULL, 22798, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(179993, NULL, 'PTHR24377:SF886', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 573', NULL, NULL, NULL, 15),
(179994, NULL, 'PTHR11751:SF373', NULL, NULL, NULL, NULL, 'GLUTAMATE--GLYOXYLATE AMINOTRANSFERASE 2', NULL, NULL, NULL, 15),
(179995, NULL, 'PTHR31881', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179996, NULL, 'PTHR31395:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-3 HOMOLOG', NULL, NULL, NULL, 15),
(179997, NULL, 'PTHR22879', NULL, NULL, NULL, NULL, 'NUT FAMILY MEMBER 1', NULL, NULL, 25984, 15),
(179998, NULL, 'PTHR13743:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(179999, NULL, 'PTHR35122:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180000, NULL, 'PTHR23149:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180001, NULL, 'PTHR31384:SF139', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(180002, NULL, 'PTHR46834:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TIP2', NULL, NULL, NULL, 15),
(180003, NULL, 'PTHR24418:SF425', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(180004, NULL, 'PTHR46128:SF268', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180005, NULL, 'PTHR13271:SF34', NULL, NULL, NULL, NULL, 'RIBOSOMAL LYSINE N-METHYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(180006, NULL, 'PTHR43999:SF1', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 2', NULL, NULL, NULL, 15),
(180007, NULL, 'PTHR46381:SF3', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0277071-RELATED', NULL, NULL, NULL, 15),
(180008, NULL, 'PTHR46148:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180009, NULL, 'PTHR37824:SF1', NULL, NULL, NULL, NULL, 'IRON-REGULATED SURFACE DETERMINANT PROTEIN C', NULL, NULL, NULL, 15),
(180010, NULL, 'PTHR43518:SF3', NULL, NULL, NULL, NULL, 'RESPIRATORY NITRATE REDUCTASE 2 BETA CHAIN', NULL, NULL, NULL, 15),
(180011, NULL, 'PTHR21308', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA ALPHA-HYDROXYLASE', NULL, NULL, NULL, 15),
(180012, NULL, 'PTHR10992:SF1045', NULL, NULL, NULL, NULL, 'BNAC07G12100D PROTEIN', NULL, NULL, NULL, 15),
(180013, NULL, 'PTHR28160', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L15, MITOCHONDRIAL', NULL, NULL, 33886, 15),
(180014, NULL, 'PTHR23234:SF2', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9030624G23 GENE-RELATED', NULL, NULL, NULL, 15),
(180015, NULL, 'PTHR47976:SF37', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK3', NULL, NULL, NULL, 15),
(180016, NULL, 'PTHR23430:SF328', NULL, NULL, NULL, NULL, 'BNAC04G49710D PROTEIN', NULL, NULL, NULL, 15),
(180017, NULL, 'PTHR33108', NULL, NULL, NULL, NULL, 'OS01G0745000 PROTEIN', NULL, NULL, 12982, 15),
(180018, NULL, 'PTHR31775:SF28', NULL, NULL, NULL, NULL, 'REMORIN-LIKE', NULL, NULL, NULL, 15),
(180019, NULL, 'PTHR11267:SF13', NULL, NULL, NULL, NULL, 'EOMESODERMIN HOMOLOG', NULL, NULL, NULL, 15),
(180020, NULL, 'PTHR35690:SF1', NULL, NULL, NULL, NULL, 'OS01G0363500 PROTEIN', NULL, NULL, NULL, 15),
(180021, NULL, 'PTHR22590:SF5', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE', NULL, NULL, NULL, 15),
(180022, NULL, 'PTHR33681', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(180023, NULL, 'PTHR46961:SF1', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 1, AXONEMAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(180024, NULL, 'PTHR22953:SF128', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(180025, NULL, 'PTHR16253', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 22', NULL, NULL, 39080, 15),
(180026, NULL, 'PTHR12844:SF17', NULL, NULL, NULL, NULL, 'CONNECTOR ENHANCER OF KINASE SUPPRESSOR OF RAS 3', NULL, NULL, NULL, 15),
(180027, NULL, 'PTHR46151:SF14', NULL, NULL, NULL, NULL, 'OS06G0717600 PROTEIN', NULL, NULL, NULL, 15),
(180028, NULL, 'PTHR40903:SF1', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 1-LIKE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180029, NULL, 'PTHR33088:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180030, NULL, 'PTHR42241', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED, DUF998 FAMILY', NULL, NULL, NULL, 15),
(180031, NULL, 'PTHR31711:SF1', NULL, NULL, NULL, NULL, 'ARGININE AND GLUTAMATE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(180032, NULL, 'PTHR11850:SF288', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SHOOT MERISTEMLESS', NULL, NULL, NULL, 15),
(180033, NULL, 'PTHR31165:SF89', NULL, NULL, NULL, NULL, 'G1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(180034, NULL, 'PTHR36203', NULL, NULL, NULL, NULL, 'ASCORBATE-SPECIFIC PTS SYSTEM EIIA COMPONENT', NULL, NULL, NULL, 15),
(180035, NULL, 'PTHR10533:SF5', NULL, NULL, NULL, NULL, 'PRO-NEUROPEPTIDE Y', NULL, NULL, NULL, 15),
(180036, NULL, 'PTHR23105:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180037, NULL, 'PTHR35799', NULL, NULL, NULL, NULL, 'S-RIBOSYLHOMOCYSTEINE LYASE', NULL, NULL, 3338, 15),
(180038, NULL, 'PTHR15272:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180039, NULL, 'PTHR23236:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180040, NULL, 'PTHR23024:SF559', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(180041, NULL, 'PTHR16089:SF11', NULL, NULL, NULL, NULL, 'REST COREPRESSOR 1', NULL, NULL, NULL, 15),
(180042, NULL, 'PTHR46891', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H-RELATED', NULL, NULL, NULL, 15),
(180043, NULL, 'PTHR33132:SF80', NULL, NULL, NULL, NULL, 'BNACNNG20100D PROTEIN', NULL, NULL, NULL, 15),
(180044, NULL, 'PTHR23421:SF173', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 35 PROTEIN', NULL, NULL, NULL, 15),
(180045, NULL, 'PTHR32141:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180046, NULL, 'PTHR47074:SF17', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(180047, NULL, 'PTHR10485:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180048, NULL, 'PTHR14155:SF503', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3', NULL, NULL, NULL, 15),
(180049, NULL, 'PTHR14085', NULL, NULL, NULL, NULL, 'WD-REPEAT PROTEIN BING4', NULL, NULL, 33907, 15),
(180050, NULL, 'PTHR11615:SF237', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 4A2', NULL, NULL, NULL, 15),
(180051, NULL, 'PTHR45952:SF15', NULL, NULL, NULL, NULL, 'NUCLEOPHILE AMINOHYDROLASE-RELATED', NULL, NULL, NULL, 15),
(180052, NULL, 'PTHR19359:SF78', NULL, NULL, NULL, NULL, 'CYTOCHROME B5', NULL, NULL, NULL, 15),
(180053, NULL, 'PTHR14003:SF14', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 42', NULL, NULL, NULL, 15),
(180054, NULL, 'PTHR34475', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180055, NULL, 'PTHR35605:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180056, NULL, 'PTHR36516:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04168', NULL, NULL, NULL, 15),
(180057, NULL, 'PTHR31375:SF189', NULL, NULL, NULL, NULL, 'BNACNNG50710D PROTEIN', NULL, NULL, NULL, 15),
(180058, NULL, 'PTHR16451:SF13', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ELONGATION FACTOR 2', NULL, NULL, NULL, 15),
(180059, NULL, 'PTHR31736:SF6', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE B-RELATED', NULL, NULL, NULL, 15),
(180060, NULL, 'PTHR32285:SF241', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 4', NULL, NULL, NULL, 15),
(180061, NULL, 'PTHR31769:SF54', NULL, NULL, NULL, NULL, 'BNAA05G10770D PROTEIN', NULL, NULL, NULL, 15),
(180062, NULL, 'PTHR24006:SF806', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 1', NULL, NULL, NULL, 15),
(180063, NULL, 'PTHR46641:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG18923', NULL, NULL, NULL, 15),
(180064, NULL, 'PTHR43799', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(180065, NULL, 'PTHR22916:SF58', NULL, NULL, NULL, NULL, 'SUGAR TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(180066, NULL, 'PTHR21068:SF42', NULL, NULL, NULL, NULL, 'PROTEIN EARLY-RESPONSIVE TO DEHYDRATION 7, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180067, NULL, 'PTHR12266:SF18', NULL, NULL, NULL, NULL, 'CATION/CALCIUM EXCHANGER 2', NULL, NULL, NULL, 15),
(180068, NULL, 'PTHR31274', NULL, NULL, NULL, NULL, 'PROTEIN ECM3', NULL, NULL, 29571, 15),
(180069, NULL, 'PTHR31325:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180070, NULL, 'PTHR11829:SF364', NULL, NULL, NULL, NULL, 'FORKHEAD BOX E1', NULL, NULL, NULL, 15),
(180071, NULL, 'PTHR34149:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG02644', NULL, NULL, NULL, 15),
(180072, NULL, 'PTHR10627', NULL, NULL, NULL, NULL, 'SCP160', NULL, NULL, NULL, 15),
(180073, NULL, 'PTHR22957:SF268', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(180074, NULL, 'PTHR46234:SF10', NULL, NULL, NULL, NULL, 'ACYL-PROTEIN THIOESTERASE 1-LIKE', NULL, NULL, NULL, 15),
(180075, NULL, 'PTHR11040:SF24', NULL, NULL, NULL, NULL, 'FE(2+) TRANSPORTER 3', NULL, NULL, NULL, 15),
(180076, NULL, 'PTHR47991:SF110', NULL, NULL, NULL, NULL, 'PROTEIN DOWNY MILDEW RESISTANCE 6-LIKE', NULL, NULL, NULL, 15),
(180077, NULL, 'PTHR47988:SF23', NULL, NULL, NULL, NULL, 'BNAA08G11770D PROTEIN', NULL, NULL, 26665, 15),
(180078, NULL, 'PTHR31165:SF91', NULL, NULL, NULL, NULL, 'BNAA01G33570D PROTEIN', NULL, NULL, NULL, 15),
(180079, NULL, 'PTHR10641:SF1249', NULL, NULL, NULL, NULL, 'MYB DOMAIN PROTEIN 93-RELATED', NULL, NULL, NULL, 15),
(180080, NULL, 'PTHR24055:SF25', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 4', NULL, NULL, NULL, 15),
(180081, NULL, 'PTHR35461:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180082, NULL, 'PTHR11003:SF294', NULL, NULL, NULL, NULL, 'BNAA01G21820D PROTEIN', NULL, NULL, NULL, 15),
(180083, NULL, 'PTHR45717:SF13', NULL, NULL, NULL, NULL, 'OS02G0796400 PROTEIN', NULL, NULL, NULL, 15),
(180084, NULL, 'PTHR19850:SF36', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-5', NULL, NULL, NULL, 15),
(180085, NULL, 'PTHR16833', NULL, NULL, NULL, NULL, 'DNA DAMAGE-INDUCIBLE TRANSCRIPT 3 DDIT3', NULL, NULL, 20920, 15),
(180086, NULL, 'PTHR44068', NULL, NULL, NULL, NULL, 'ZGC:194242', NULL, NULL, NULL, 15),
(180087, NULL, 'PTHR22989:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG15151', NULL, NULL, NULL, 15),
(180088, NULL, 'PTHR42820:SF12', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE REDUCTASE 3C', NULL, NULL, NULL, 15),
(180089, NULL, 'PTHR47979:SF40', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABQ', NULL, NULL, NULL, 15),
(180090, NULL, 'PTHR24377:SF619', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 256', NULL, NULL, NULL, 15),
(180091, NULL, 'PTHR27002:SF145', NULL, NULL, NULL, NULL, 'OS06G0693000 PROTEIN', NULL, NULL, NULL, 15),
(180092, NULL, 'PTHR31881:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180093, NULL, 'PTHR24221:SF402', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY B MEMBER 7, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(180094, NULL, 'PTHR32468:SF34', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 18', NULL, NULL, NULL, 15),
(180095, NULL, 'PTHR24388:SF47', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 280A', NULL, NULL, NULL, 15),
(180096, NULL, 'PTHR24015:SF1880', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(180097, NULL, 'PTHR24271:SF83', NULL, NULL, NULL, NULL, 'GRANZYME H', NULL, NULL, NULL, 15),
(180098, NULL, 'PTHR10218:SF324', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-6 SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(180099, NULL, 'PTHR26312:SF136', NULL, NULL, NULL, NULL, 'BNAC05G05070D PROTEIN', NULL, NULL, NULL, 15),
(180100, NULL, 'PTHR36024:SF2', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN SKIP35', NULL, NULL, NULL, 15),
(180101, NULL, 'PTHR45637:SF5', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(180102, NULL, 'PTHR47445', NULL, NULL, NULL, NULL, 'OS08G0441400 PROTEIN', NULL, NULL, NULL, 15),
(180103, NULL, 'PTHR48010:SF2', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180104, NULL, 'PTHR14517:SF6', NULL, NULL, NULL, NULL, 'RE41410P', NULL, NULL, NULL, 15),
(180105, NULL, 'PTHR33120:SF50', NULL, NULL, NULL, NULL, 'OS05G0571300 PROTEIN', NULL, NULL, NULL, 15),
(180106, NULL, 'PTHR11932:SF63', NULL, NULL, NULL, NULL, 'CULLIN-5', NULL, NULL, NULL, 15),
(180107, NULL, 'PTHR13218:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 11', NULL, NULL, NULL, 15),
(180108, NULL, 'PTHR31251:SF149', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(180109, NULL, 'PTHR33406:SF6', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN MJ1562-RELATED', NULL, NULL, NULL, 15),
(180110, NULL, 'PTHR11732:SF182', NULL, NULL, NULL, NULL, 'PROTEIN CBG06720', NULL, NULL, NULL, 15),
(180111, NULL, 'PTHR38431:SF1', NULL, NULL, NULL, NULL, 'BLL2305 PROTEIN', NULL, NULL, NULL, 15),
(180112, NULL, 'PTHR31062:SF154', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(180113, NULL, 'PTHR22814:SF310', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN CCH', NULL, NULL, NULL, 15),
(180114, NULL, 'PTHR44094:SF8', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK N-TERMINAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(180115, NULL, 'PTHR24217', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(180116, NULL, 'PTHR23019:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR PORE MEMBRANE GLYCOPROTEIN 210-LIKE', NULL, NULL, NULL, 15),
(180117, NULL, 'PTHR11969:SF64', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH57', NULL, NULL, NULL, 15),
(180118, NULL, 'PTHR22808:SF14', NULL, NULL, NULL, NULL, 'OS08G0484400 PROTEIN', NULL, NULL, NULL, 15),
(180119, NULL, 'PTHR24271:SF63', NULL, NULL, NULL, NULL, 'KALLIKREIN-12', NULL, NULL, NULL, 15),
(180120, NULL, 'PTHR46802:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE BAZ1B', NULL, NULL, NULL, 15),
(180121, NULL, 'PTHR31966:SF3', NULL, NULL, NULL, NULL, 'OS01G0783500 PROTEIN', NULL, NULL, NULL, 15),
(180122, NULL, 'PTHR11122:SF35', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(180123, NULL, 'PTHR11588:SF354', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-8 CHAIN', NULL, NULL, NULL, 15),
(180124, NULL, 'PTHR21345:SF5', NULL, NULL, NULL, NULL, 'PROTEIN SPIRE HOMOLOG 2', NULL, NULL, 26689, 15),
(180125, NULL, 'PTHR32552:SF65', NULL, NULL, NULL, NULL, 'FERRIOXAMINE B RECEPTOR', NULL, NULL, NULL, 15),
(180126, NULL, 'PTHR42976:SF1', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL CHITINASE/LYSOZYME-RELATED', NULL, NULL, NULL, 15),
(180127, NULL, 'PTHR14559', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN FAMILY', NULL, NULL, NULL, 15),
(180128, NULL, 'PTHR47926:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180129, NULL, 'PTHR46128:SF24', NULL, NULL, NULL, NULL, 'PPR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(180130, NULL, 'PTHR10562:SF99', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE RAD60 SUMO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(180131, NULL, 'PTHR22572:SF150', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLTRANSFERASE', NULL, NULL, NULL, 15),
(180132, NULL, 'PTHR14269:SF46', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--GLYCEROL-3-PHOSPHATE 3-PHOSPHATIDYLTRANSFERASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(180133, NULL, 'PTHR43880:SF43', NULL, NULL, NULL, NULL, 'OS07G0621800 PROTEIN', NULL, NULL, NULL, 15),
(180134, NULL, 'PTHR24027:SF81', NULL, NULL, NULL, NULL, 'CADHERIN-4', NULL, NULL, NULL, 15),
(180135, NULL, 'PTHR24384:SF102', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 141', NULL, NULL, NULL, 15),
(180136, NULL, 'PTHR31446:SF8', NULL, NULL, NULL, NULL, 'OJ991113_30.3 PROTEIN', NULL, NULL, NULL, 15),
(180137, NULL, 'PTHR27009:SF61', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(180138, NULL, 'PTHR10994:SF144', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(180139, NULL, 'PTHR16311:SF3', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN TYPE-1 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(180140, NULL, 'PTHR15459:SF5', NULL, NULL, NULL, NULL, 'POLYAMINE MODULATED FACTOR 1', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180141, NULL, 'PTHR19918:SF40', NULL, NULL, NULL, NULL, 'PROTEIN FIZZY-RELATED 1', NULL, NULL, NULL, 15),
(180142, NULL, 'PTHR24390:SF165', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 777', NULL, NULL, NULL, 15),
(180143, NULL, 'PTHR33493:SF6', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 6', NULL, NULL, NULL, 15),
(180144, NULL, 'PTHR37725:SF2', NULL, NULL, NULL, NULL, 'BNAA03G18120D PROTEIN', NULL, NULL, NULL, 15),
(180145, NULL, 'PTHR24300:SF344', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180146, NULL, 'PTHR45527:SF5', NULL, NULL, NULL, NULL, 'NONRIBOSOMAL PEPTIDE SYNTHASE INPB', NULL, NULL, NULL, 15),
(180147, NULL, 'PTHR37744:SF1', NULL, NULL, NULL, NULL, 'STAR LIPID TRANSFER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(180148, NULL, 'PTHR45696:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180149, NULL, 'PTHR42820:SF11', NULL, NULL, NULL, NULL, 'XANTHOXIN DEHYDROGENASE', NULL, NULL, NULL, 15),
(180150, NULL, 'PTHR12483:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG08664', NULL, NULL, NULL, 15),
(180151, NULL, 'PTHR10291:SF37', NULL, NULL, NULL, NULL, 'ALKYL TRANSFERASE', NULL, NULL, NULL, 15),
(180152, NULL, 'PTHR18934:SF93', NULL, NULL, NULL, NULL, 'SPLICING FACTOR ATP-DEPENDENT RNA HELICASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(180153, NULL, 'PTHR43591:SF32', NULL, NULL, NULL, NULL, 'MAGNESIUM PROTOPORPHYRIN IX METHYLTRANSFERASE, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(180154, NULL, 'PTHR34145:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180155, NULL, 'PTHR24351:SF201', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C', NULL, NULL, NULL, 15),
(180156, NULL, 'PTHR45716:SF5', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-LIKE PROTEIN 2', NULL, NULL, 22990, 15),
(180157, NULL, 'PTHR47025:SF15', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 1', NULL, NULL, NULL, 15),
(180158, NULL, 'PTHR12277:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180159, NULL, 'PTHR24072:SF329', NULL, NULL, NULL, NULL, 'RAS HOMOLOG FAMILY MEMBER CA-RELATED', NULL, NULL, NULL, 15),
(180160, NULL, 'PTHR46797:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR SLRR', NULL, NULL, NULL, 15),
(180161, NULL, 'PTHR37611:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180162, NULL, 'PTHR11782:SF107', NULL, NULL, NULL, NULL, 'APYRASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(180163, NULL, 'PTHR34630', NULL, NULL, NULL, NULL, 'OS11G0677101 PROTEIN', NULL, NULL, NULL, 15),
(180164, NULL, 'PTHR34149:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG18148', NULL, NULL, NULL, 15),
(180165, NULL, 'PTHR45665:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180166, NULL, 'PTHR34064:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180167, NULL, 'PTHR45676:SF10', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL54', NULL, NULL, NULL, 15),
(180168, NULL, 'PTHR11690:SF131', NULL, NULL, NULL, NULL, 'DEGENERIN-LIKE PROTEIN ASIC-1', NULL, NULL, NULL, 15),
(180169, NULL, 'PTHR16092:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180170, NULL, 'PTHR37610:SF43', NULL, NULL, NULL, NULL, 'BNACNNG58880D PROTEIN', NULL, NULL, NULL, 15),
(180171, NULL, 'PTHR45755', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 39909, 15),
(180172, NULL, 'PTHR12874:SF19', NULL, NULL, NULL, NULL, 'OS02G0686500 PROTEIN', NULL, NULL, NULL, 15),
(180173, NULL, 'PTHR31896:SF57', NULL, NULL, NULL, NULL, 'BNAA10G27540D PROTEIN', NULL, NULL, NULL, 15),
(180174, NULL, 'PTHR11732:SF436', NULL, NULL, NULL, NULL, 'NON-FUNCTIONAL NADPH-DEPENDENT CODEINONE REDUCTASE 2-LIKE', NULL, NULL, NULL, 15),
(180175, NULL, 'PTHR31029:SF11', NULL, NULL, NULL, NULL, 'BNAC08G15560D PROTEIN', NULL, NULL, NULL, 15),
(180176, NULL, 'PTHR23292:SF7', NULL, NULL, NULL, NULL, 'CELL DEATH-INDUCING P53-TARGET PROTEIN 1', NULL, NULL, NULL, 15),
(180177, NULL, 'PTHR31236:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180178, NULL, 'PTHR37392:SF1', NULL, NULL, NULL, NULL, 'OS09G0556800 PROTEIN', NULL, NULL, NULL, 15),
(180179, NULL, 'PTHR45978', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 27450, 15),
(180180, NULL, 'PTHR12635:SF14', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN 6', NULL, NULL, NULL, 15),
(180181, NULL, 'PTHR33411:SF5', NULL, NULL, NULL, NULL, 'OS08G0392500 PROTEIN', NULL, NULL, NULL, 15),
(180182, NULL, 'PTHR10985:SF84', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HES-7', NULL, NULL, 22105, 15),
(180183, NULL, 'PTHR23087:SF2', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP NUCLEOSOME-BINDING DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 26626, 15),
(180184, NULL, 'PTHR11960:SF14', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E', NULL, NULL, NULL, 15),
(180185, NULL, 'PTHR10662', NULL, NULL, NULL, NULL, 'NUCLEAR RNA EXPORT FACTOR', NULL, NULL, 27789, 15),
(180186, NULL, 'PTHR16223:SF206', NULL, NULL, NULL, NULL, 'OS03G0205300 PROTEIN', NULL, NULL, NULL, 15),
(180187, NULL, 'PTHR13068:SF35', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(180188, NULL, 'PTHR45811:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180189, NULL, 'PTHR23147:SF155', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SC35-LIKE SPLICING FACTOR SCL30A', NULL, NULL, NULL, 15),
(180190, NULL, 'PTHR45630:SF1', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE 13A4-RELATED', NULL, NULL, NULL, 15),
(180191, NULL, 'PTHR11937:SF477', NULL, NULL, NULL, NULL, 'ACTIN, CYTOPLASMIC 1', NULL, NULL, NULL, 15),
(180192, NULL, 'PTHR33885', NULL, NULL, NULL, NULL, 'PHAGE SHOCK PROTEIN C', NULL, NULL, NULL, 15),
(180193, NULL, 'PTHR14155:SF505', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL31-LIKE', NULL, NULL, NULL, 15),
(180194, NULL, 'PTHR14241:SF19', NULL, NULL, NULL, NULL, 'SI:CH211-197G15.10-RELATED', NULL, NULL, NULL, 15),
(180195, NULL, 'PTHR21325:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180196, NULL, 'PTHR11358:SF28', NULL, NULL, NULL, NULL, 'HYPOTHETICAL ARGINASE FAMILY PROTEIN (EUROFUNG)', NULL, NULL, NULL, 15),
(180197, NULL, 'PTHR11246:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180198, NULL, 'PTHR43205:SF32', NULL, NULL, NULL, NULL, '(+)-PULEGONE REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(180199, NULL, 'PTHR14081:SF3', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 11', NULL, NULL, NULL, 15),
(180200, NULL, 'PTHR34411:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180201, NULL, 'PTHR47319:SF7', NULL, NULL, NULL, NULL, 'CALTRACTIN', NULL, NULL, NULL, 15),
(180202, NULL, 'PTHR14224:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180203, NULL, 'PTHR11604:SF31', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(180204, NULL, 'PTHR33972', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(180205, NULL, 'PTHR15486:SF80', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(180206, NULL, 'PTHR35545:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180207, NULL, 'PTHR10353:SF27', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 47', NULL, NULL, NULL, 15),
(180208, NULL, 'PTHR21136:SF168', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 9', NULL, NULL, NULL, 15),
(180209, NULL, 'PTHR22872:SF4', NULL, NULL, NULL, NULL, 'RCC1 AND BTB DOMAIN CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(180210, NULL, 'PTHR31533:SF29', NULL, NULL, NULL, NULL, 'BNAA09G05300D PROTEIN', NULL, NULL, NULL, 15),
(180211, NULL, 'PTHR36496', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180212, NULL, 'PTHR33318:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(180213, NULL, 'PTHR31589:SF162', NULL, NULL, NULL, NULL, 'BNAA03G17940D PROTEIN', NULL, NULL, NULL, 15),
(180214, NULL, 'PTHR24107:SF5', NULL, NULL, NULL, NULL, 'NLR FAMILY PYRIN DOMAIN CONTAINING 9', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180215, NULL, 'PTHR47360:SF1', NULL, NULL, NULL, NULL, 'MUREIN DD-ENDOPEPTIDASE MEPS/MUREIN LD-CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(180216, NULL, 'PTHR34145:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180217, NULL, 'PTHR33193:SF45', NULL, NULL, NULL, NULL, 'BNAA07G35980D PROTEIN', NULL, NULL, NULL, 15),
(180218, NULL, 'PTHR42979:SF5', NULL, NULL, NULL, NULL, '3-ISOPROPYLMALATE DEHYDROGENASE 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(180219, NULL, 'PTHR10906:SF19', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT PROTEIN SEC61 SUBUNIT ALPHA ISOFORM 1', NULL, NULL, NULL, 15),
(180220, NULL, 'PTHR22765:SF298', NULL, NULL, NULL, NULL, 'ERAD-ASSOCIATED E3 UBIQUITIN-PROTEIN LIGASE HRD1A', NULL, NULL, NULL, 15),
(180221, NULL, 'PTHR33107:SF69', NULL, NULL, NULL, NULL, 'BNAANNG20080D PROTEIN', NULL, NULL, NULL, 15),
(180222, NULL, 'PTHR10791:SF182', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(180223, NULL, 'PTHR14083:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YIF1B', NULL, NULL, NULL, 15),
(180224, NULL, 'PTHR46736:SF10', NULL, NULL, NULL, NULL, 'BNAANNG24740D PROTEIN', NULL, NULL, NULL, 15),
(180225, NULL, 'PTHR11636:SF125', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 3, TRANSCRIPTION FACTOR 3', NULL, NULL, NULL, 15),
(180226, NULL, 'PTHR23317:SF77', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 9', NULL, NULL, 23442, 15),
(180227, NULL, 'PTHR33099:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180228, NULL, 'PTHR46662:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180229, NULL, 'PTHR26450:SF13', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52E4', NULL, NULL, NULL, 15),
(180230, NULL, 'PTHR12650:SF27', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S30', NULL, NULL, NULL, 15),
(180231, NULL, 'PTHR45798:SF46', NULL, NULL, NULL, NULL, 'OS04G0585000 PROTEIN', NULL, NULL, NULL, 15),
(180232, NULL, 'PTHR22894:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-183N20.15', NULL, NULL, NULL, 15),
(180233, NULL, 'PTHR10579:SF43', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL ACCESSORY 2', NULL, NULL, NULL, 15),
(180234, NULL, 'PTHR31642:SF261', NULL, NULL, NULL, NULL, 'BNAC03G12710D PROTEIN', NULL, NULL, NULL, 15),
(180235, NULL, 'PTHR24225:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180236, NULL, 'PTHR38120', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(180237, NULL, 'PTHR31508', NULL, NULL, NULL, NULL, 'PROTEIN PITCHFORK', NULL, NULL, 30866, 15),
(180238, NULL, 'PTHR33738:SF8', NULL, NULL, NULL, NULL, 'EMB|CAB82975.1', NULL, NULL, NULL, 15),
(180239, NULL, 'PTHR23024:SF514', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 12-RELATED', NULL, NULL, NULL, 15),
(180240, NULL, 'PTHR30614:SF37', NULL, NULL, NULL, NULL, 'AMINO-ACID ABC TRANSPORTER PERMEASE PROTEIN YHDX-RELATED', NULL, NULL, NULL, 15),
(180241, NULL, 'PTHR11011:SF93', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(180242, NULL, 'PTHR10285:SF181', NULL, NULL, NULL, NULL, 'KINASE-RELATED PROTEIN (AFU_ORTHOLOGUE AFUA_4G06710)', NULL, NULL, NULL, 15),
(180243, NULL, 'PTHR46502:SF17', NULL, NULL, NULL, NULL, 'OSJNBA0032F06.15 PROTEIN', NULL, NULL, NULL, 15),
(180244, NULL, 'PTHR10953:SF228', NULL, NULL, NULL, NULL, 'BNAA04G15480D PROTEIN', NULL, NULL, NULL, 15),
(180245, NULL, 'PTHR12220:SF21', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L16, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(180246, NULL, 'PTHR12956:SF71', NULL, NULL, NULL, NULL, 'BNAC05G21710D PROTEIN', NULL, NULL, NULL, 15),
(180247, NULL, 'PTHR19432:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180248, NULL, 'PTHR42886:SF21', NULL, NULL, NULL, NULL, 'PROTEIN ABHD4', NULL, NULL, NULL, 15),
(180249, NULL, 'PTHR11216:SF140', NULL, NULL, NULL, NULL, 'EH DOMAIN-CONTAINING PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(180250, NULL, 'PTHR24300:SF289', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 2, SUBFAMILY J, POLYPEPTIDE 12-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180251, NULL, 'PTHR46565:SF5', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(180252, NULL, 'PTHR36526:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 154', NULL, NULL, NULL, 15),
(180253, NULL, 'PTHR12289:SF41', NULL, NULL, NULL, NULL, 'METAXIN-1 HOMOLOG', NULL, NULL, NULL, 15),
(180254, NULL, 'PTHR24245:SF6', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 26', NULL, NULL, NULL, 15),
(180255, NULL, 'PTHR11349:SF67', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(180256, NULL, 'PTHR23147:SF8', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4930595M18 GENE', NULL, NULL, NULL, 15),
(180257, NULL, 'PTHR32075', NULL, NULL, NULL, NULL, 'ISWI CHROMATIN-REMODELING COMPLEX SUBUNIT YPL216W-RELATED', NULL, NULL, NULL, 15),
(180258, NULL, 'PTHR47047:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(180259, NULL, 'PTHR34591:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180260, NULL, 'PTHR11202:SF12', NULL, NULL, NULL, NULL, 'VASODILATOR-STIMULATED PHOSPHOPROTEIN', NULL, NULL, 4161, 15),
(180261, NULL, 'PTHR31602:SF81', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 9', NULL, NULL, NULL, 15),
(180262, NULL, 'PTHR18868:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180263, NULL, 'PTHR35164:SF7', NULL, NULL, NULL, NULL, 'MYOSIN-13-LIKE', NULL, NULL, NULL, 15),
(180264, NULL, 'PTHR26453:SF135', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(180265, NULL, 'PTHR12565:SF184', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BEE 2', NULL, NULL, NULL, 15),
(180266, NULL, 'PTHR22765:SF164', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(180267, NULL, 'PTHR36072:SF2', NULL, NULL, NULL, NULL, 'OS01G0541600 PROTEIN', NULL, NULL, NULL, 15),
(180268, NULL, 'PTHR11616:SF254', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(180269, NULL, 'PTHR36687:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180270, NULL, 'PTHR34108', NULL, NULL, NULL, NULL, 'SEPTUM SITE-DETERMINING PROTEIN MINC', NULL, NULL, 12870, 15),
(180271, NULL, 'PTHR12931:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180272, NULL, 'PTHR36774:SF1', NULL, NULL, NULL, NULL, 'INSULIN-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(180273, NULL, 'PTHR10091:SF6', NULL, NULL, NULL, NULL, '1-EPIMERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G13240)-RELATED', NULL, NULL, NULL, 15),
(180274, NULL, 'PTHR23232:SF99', NULL, NULL, NULL, NULL, 'ZNF268 PROTEIN', NULL, NULL, NULL, 15),
(180275, NULL, 'PTHR33600:SF13', NULL, NULL, NULL, NULL, 'OS01G0224200 PROTEIN', NULL, NULL, NULL, 15),
(180276, NULL, 'PTHR39455:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN ZAPD', NULL, NULL, NULL, 15),
(180277, NULL, 'PTHR24031:SF196', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180278, NULL, 'PTHR47116:SF11', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(180279, NULL, 'PTHR33377:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180280, NULL, 'PTHR33377:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180281, NULL, 'PTHR10989:SF17', NULL, NULL, NULL, NULL, 'ANDROGEN-DEPENDENT TFPI-REGULATING PROTEIN', NULL, NULL, NULL, 15),
(180282, NULL, 'PTHR23139:SF109', NULL, NULL, NULL, NULL, 'U2 SNRNP AUXILIARY FACTOR LARGE SUBUNIT', NULL, NULL, NULL, 15),
(180283, NULL, 'PTHR33133:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180284, NULL, 'PTHR15545:SF6', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING RING FINGER PROTEIN 4', NULL, NULL, NULL, 15),
(180285, NULL, 'PTHR32227:SF253', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(180286, NULL, 'PTHR31048:SF154', NULL, NULL, NULL, NULL, 'THAUMATIN-RELATED', NULL, NULL, NULL, 15),
(180287, NULL, 'PTHR23137:SF35', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180288, NULL, 'PTHR21047', NULL, NULL, NULL, NULL, 'DTDP-6-DEOXY-D-GLUCOSE-3,5 EPIMERASE', NULL, NULL, 112, 15),
(180289, NULL, 'PTHR47928:SF80', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(180290, NULL, 'PTHR21021:SF15', NULL, NULL, NULL, NULL, 'FREE METHIONINE-R-SULFOXIDE REDUCTASE', NULL, NULL, NULL, 15),
(180291, NULL, 'PTHR20648:SF0', NULL, NULL, NULL, NULL, 'ELONGIN-C', NULL, NULL, NULL, 15),
(180292, NULL, 'PTHR11069:SF33', NULL, NULL, NULL, NULL, 'LYSOSOMAL ACID GLUCOSYLCERAMIDASE', NULL, NULL, NULL, 15),
(180293, NULL, 'PTHR45938', NULL, NULL, NULL, NULL, 'ACP24A4-RELATED', NULL, NULL, NULL, 15),
(180294, NULL, 'PTHR22691:SF14', NULL, NULL, NULL, NULL, 'BNAA09G42400D PROTEIN', NULL, NULL, NULL, 15),
(180295, NULL, 'PTHR48044:SF29', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(180296, NULL, 'PTHR10740:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180297, NULL, 'PTHR34787:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I REACTION CENTER SUBUNIT VI-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(180298, NULL, 'PTHR34613:SF1', NULL, NULL, NULL, NULL, 'SLL0800 PROTEIN', NULL, NULL, NULL, 15),
(180299, NULL, 'PTHR10176:SF1', NULL, NULL, NULL, NULL, 'GLYCOGEN [STARCH] SYNTHASE, LIVER', NULL, NULL, NULL, 15),
(180300, NULL, 'PTHR31374:SF44', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(180301, NULL, 'PTHR43310', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER YBAR-RELATED', NULL, NULL, NULL, 15),
(180302, NULL, 'PTHR24243:SF208', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 19-RELATED', NULL, NULL, NULL, 15),
(180303, NULL, 'PTHR24215:SF23', NULL, NULL, NULL, NULL, 'CYSTEINE AND GLYCINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(180304, NULL, 'PTHR12826:SF15', NULL, NULL, NULL, NULL, 'RIBONUCLEASE Y', NULL, NULL, 18056, 15),
(180305, NULL, 'PTHR11709:SF296', NULL, NULL, NULL, NULL, 'MULTI-COPPER OXIDASE TYPE I FAMILY PROTEIN', NULL, NULL, NULL, 15),
(180306, NULL, 'PTHR24302', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 3', NULL, NULL, NULL, 15),
(180307, NULL, 'PTHR11783:SF241', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(180308, NULL, 'PTHR46221:SF1', NULL, NULL, NULL, NULL, 'FERM AND PDZ DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(180309, NULL, 'PTHR33165:SF35', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(180310, NULL, 'PTHR10766:SF139', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 4', NULL, NULL, NULL, 15),
(180311, NULL, 'PTHR45798:SF37', NULL, NULL, NULL, NULL, 'OS05G0478000 PROTEIN', NULL, NULL, NULL, 15),
(180312, NULL, 'PTHR11362:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180313, NULL, 'PTHR31741:SF85', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(180314, NULL, 'PTHR31622:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 218', NULL, NULL, NULL, 15),
(180315, NULL, 'PTHR12301:SF5', NULL, NULL, NULL, NULL, 'SAM AND SH3 DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 33627, 15),
(180316, NULL, 'PTHR27006:SF342', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE IN FLOWERS 1-RELATED', NULL, NULL, NULL, 15),
(180317, NULL, 'PTHR33149:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180318, NULL, 'PTHR27000:SF728', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(180319, NULL, 'PTHR37334', NULL, NULL, NULL, NULL, 'RGD1561796', NULL, NULL, 26810, 15),
(180320, NULL, 'PTHR31790:SF381', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN CPR30-LIKE', NULL, NULL, NULL, 15),
(180321, NULL, 'PTHR23262:SF190', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 9-6', NULL, NULL, NULL, 15),
(180322, NULL, 'PTHR12035:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180323, NULL, 'PTHR35822', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 45', NULL, NULL, 34722, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180324, NULL, 'PTHR31839:SF10', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1A', NULL, NULL, NULL, 15),
(180325, NULL, 'PTHR31801:SF1', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(180326, NULL, 'PTHR45418:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180327, NULL, 'PTHR11802:SF60', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(180328, NULL, 'PTHR45721:SF3', NULL, NULL, NULL, NULL, 'LAMIN-B1', NULL, NULL, NULL, 15),
(180329, NULL, 'PTHR28072', NULL, NULL, NULL, NULL, 'CRUCIFORM CUTTING ENDONUCLEASE 1, MITOCHONDRIAL-RELATED', NULL, NULL, 35930, 15),
(180330, NULL, 'PTHR46446:SF20', NULL, NULL, NULL, NULL, 'BNAA07G09310D PROTEIN', NULL, NULL, NULL, 15),
(180331, NULL, 'PTHR12686', NULL, NULL, NULL, NULL, '3''-5'' EXORIBONUCLEASE CSL4-RELATED', NULL, NULL, 36288, 15),
(180332, NULL, 'PTHR31719:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180333, NULL, 'PTHR11334:SF59', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER X4', NULL, NULL, 23827, 15),
(180334, NULL, 'PTHR43574:SF30', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 3,5-EPIMERASE 1', NULL, NULL, NULL, 15),
(180335, NULL, 'PTHR47480:SF1', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(180336, NULL, 'PTHR32444:SF101', NULL, NULL, NULL, NULL, 'OS06G0551800 PROTEIN', NULL, NULL, NULL, 15),
(180337, NULL, 'PTHR34222:SF44', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK REPAIR PROTEIN MRE11A-LIKE', NULL, NULL, NULL, 15),
(180338, NULL, 'PTHR22776:SF49', NULL, NULL, NULL, NULL, 'CKLF-LIKE MARVEL TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(180339, NULL, 'PTHR23167:SF48', NULL, NULL, NULL, NULL, 'AGAP011397-PA', NULL, NULL, NULL, 15),
(180340, NULL, 'PTHR11260:SF555', NULL, NULL, NULL, NULL, 'OS07G0168300 PROTEIN', NULL, NULL, NULL, 15),
(180341, NULL, 'PTHR26374:SF414', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT12-LIKE', NULL, NULL, NULL, 15),
(180342, NULL, 'PTHR10159:SF514', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE DDB_G0271350-RELATED', NULL, NULL, NULL, 15),
(180343, NULL, 'PTHR24006:SF809', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(180344, NULL, 'PTHR33184:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180345, NULL, 'PTHR31734:SF124', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA5', NULL, NULL, NULL, 15),
(180346, NULL, 'PTHR42879:SF4', NULL, NULL, NULL, NULL, '3-OXOACYL-[ACP] REDUCTASE', NULL, NULL, NULL, 15),
(180347, NULL, 'PTHR12921', NULL, NULL, NULL, NULL, 'UBIQUITIN-FOLD MODIFIER-CONJUGATING ENZYME 1', NULL, NULL, 11996, 15),
(180348, NULL, 'PTHR21262:SF37', NULL, NULL, NULL, NULL, 'HD/PDEASE DOMAIN, RELA/SPOT-RELATED', NULL, NULL, NULL, 15),
(180349, NULL, 'PTHR11055:SF51', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(180350, NULL, 'PTHR11575', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE-RELATED', NULL, NULL, 11002, 15),
(180351, NULL, 'PTHR32063:SF10', NULL, NULL, NULL, NULL, 'EFFLUX PUMP MEMBRANE TRANSPORTER', NULL, NULL, NULL, 15),
(180352, NULL, 'PTHR28006:SF1', NULL, NULL, NULL, NULL, 'MONOPOLIN COMPLEX SUBUNIT CSM1', NULL, NULL, NULL, 15),
(180353, NULL, 'PTHR33109:SF72', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(180354, NULL, 'PTHR23244:SF459', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(180355, NULL, 'PTHR12498:SF0', NULL, NULL, NULL, NULL, 'PROTEIN N-TERMINAL ASPARAGINE AMIDOHYDROLASE', NULL, NULL, NULL, 15),
(180356, NULL, 'PTHR22907:SF34', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(180357, NULL, 'PTHR19422:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180358, NULL, 'PTHR10811:SF16', NULL, NULL, NULL, NULL, 'BNAA10G29960D PROTEIN', NULL, NULL, NULL, 15),
(180359, NULL, 'PTHR19422:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180360, NULL, 'PTHR21593:SF23', NULL, NULL, NULL, NULL, 'ONCHOCERCA RELATED ANTIGEN FAMILY', NULL, NULL, NULL, 15),
(180361, NULL, 'PTHR15354', NULL, NULL, NULL, NULL, 'MUF1', NULL, NULL, 27804, 15),
(180362, NULL, 'PTHR45933:SF14', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 5', NULL, NULL, NULL, 15),
(180363, NULL, 'PTHR34197:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180364, NULL, 'PTHR11003:SF107', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(180365, NULL, 'PTHR33285:SF35', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 2', NULL, NULL, NULL, 15),
(180366, NULL, 'PTHR11426:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180367, NULL, 'PTHR45940:SF31', NULL, NULL, NULL, NULL, 'BNAA09G09400D PROTEIN', NULL, NULL, NULL, 15),
(180368, NULL, 'PTHR16453:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180369, NULL, 'PTHR23501:SF161', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(180370, NULL, 'PTHR10778:SF42', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER B1-RELATED', NULL, NULL, NULL, 15),
(180371, NULL, 'PTHR14254:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG15950', NULL, NULL, NULL, 15),
(180372, NULL, 'PTHR43460', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(180373, NULL, 'PTHR11654:SF323', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.9', NULL, NULL, NULL, 15),
(180374, NULL, 'PTHR42985:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180375, NULL, 'PTHR11783:SF185', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(180376, NULL, 'PTHR45636:SF30', NULL, NULL, NULL, NULL, 'PAX (PAIRED BOX) TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(180377, NULL, 'PTHR12357:SF97', NULL, NULL, NULL, NULL, 'YTH DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(180378, NULL, 'PTHR23167:SF58', NULL, NULL, NULL, NULL, 'ALPHA ACTININ 3-RELATED', NULL, NULL, NULL, 15),
(180379, NULL, 'PTHR31044:SF77', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-D-GLUCOSIDASE-LIKE', NULL, NULL, NULL, 15),
(180380, NULL, 'PTHR11913:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180381, NULL, 'PTHR11461:SF312', NULL, NULL, NULL, NULL, 'SERPIN-Z1', NULL, NULL, NULL, 15),
(180382, NULL, 'PTHR43393:SF1', NULL, NULL, NULL, NULL, 'PYRIMIDINE/PURINE NUCLEOTIDE 5''-MONOPHOSPHATE NUCLEOSIDASE', NULL, NULL, NULL, 15),
(180383, NULL, 'PTHR19433:SF121', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 6', NULL, NULL, NULL, 15),
(180384, NULL, 'PTHR13594:SF1', NULL, NULL, NULL, NULL, 'CENTRIOLAR COILED-COIL PROTEIN OF 110 KDA', NULL, NULL, NULL, 15),
(180385, NULL, 'PTHR23501:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180386, NULL, 'PTHR12002:SF41', NULL, NULL, NULL, NULL, 'CLAUDIN-6', NULL, NULL, 6453, 15),
(180387, NULL, 'PTHR24136:SF18', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 5', NULL, NULL, NULL, 15),
(180388, NULL, 'PTHR16322:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-70P6.1', NULL, NULL, NULL, 15),
(180389, NULL, 'PTHR36488:SF7', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1U3', NULL, NULL, NULL, 15),
(180390, NULL, 'PTHR43497:SF2', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 11', NULL, NULL, NULL, 15),
(180391, NULL, 'PTHR21566:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG18514', NULL, NULL, NULL, 15),
(180392, NULL, 'PTHR46128:SF116', NULL, NULL, NULL, NULL, 'BNAC04G02050D PROTEIN', NULL, NULL, NULL, 15),
(180393, NULL, 'PTHR24205:SF14', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS 1', NULL, NULL, NULL, 15),
(180394, NULL, 'PTHR12920:SF3', NULL, NULL, NULL, NULL, 'RING1 AND YY1-BINDING PROTEIN', NULL, NULL, NULL, 15),
(180395, NULL, 'PTHR33147:SF76', NULL, NULL, NULL, NULL, 'DEFENSIN', NULL, NULL, NULL, 15),
(180396, NULL, 'PTHR21662:SF29', NULL, NULL, NULL, NULL, 'INSULIN/EGF-RECEPTOR L DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(180397, NULL, 'PTHR37694:SF1', NULL, NULL, NULL, NULL, 'SLR8022 PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180398, NULL, 'PTHR32100:SF13', NULL, NULL, NULL, NULL, 'DELTA(12)-FATTY-ACID DESATURASE', NULL, NULL, NULL, 15),
(180399, NULL, 'PTHR47896', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BETA-9', NULL, NULL, 38338, 15),
(180400, NULL, 'PTHR24214:SF56', NULL, NULL, NULL, NULL, 'Z BAND ALTERNATIVELY SPLICED PDZ-MOTIF PROTEIN 67, ISOFORM G', NULL, NULL, NULL, 15),
(180401, NULL, 'PTHR46601:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180402, NULL, 'PTHR13335:SF1', NULL, NULL, NULL, NULL, 'TARGET OF RAPAMYCIN COMPLEX 2 SUBUNIT MAPKAP1', NULL, NULL, NULL, 15),
(180403, NULL, 'PTHR31048:SF138', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(180404, NULL, 'PTHR19375:SF442', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN BIP2', NULL, NULL, NULL, 15),
(180405, NULL, 'PTHR22958:SF36', NULL, NULL, NULL, NULL, 'PLC-LIKE PHOSPHODIESTERASE, TIM BETA/ALPHA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(180406, NULL, 'PTHR11879:SF4', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(180407, NULL, 'PTHR16461:SF5', NULL, NULL, NULL, NULL, 'TOLL-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(180408, NULL, 'PTHR39136:SF1', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 11', NULL, NULL, NULL, 15),
(180409, NULL, 'PTHR15859:SF5', NULL, NULL, NULL, NULL, 'SH3KBP1-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(180410, NULL, 'PTHR47256:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(180411, NULL, 'PTHR27002:SF817', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(180412, NULL, 'PTHR12276:SF86', NULL, NULL, NULL, NULL, 'CLATHRIN INTERACTOR EPSIN 3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(180413, NULL, 'PTHR33148:SF44', NULL, NULL, NULL, NULL, 'OS02G0667100 PROTEIN', NULL, NULL, NULL, 15),
(180414, NULL, 'PTHR13422:SF18', NULL, NULL, NULL, NULL, 'SIN3-HDAC COMPLEX-ASSOCIATED FACTOR', NULL, NULL, NULL, 15),
(180415, NULL, 'PTHR12801:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180416, NULL, 'PTHR33110:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180417, NULL, 'PTHR12466:SF8', NULL, NULL, NULL, NULL, 'PARAFIBROMIN', NULL, NULL, NULL, 15),
(180418, NULL, 'PTHR24349', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(180419, NULL, 'PTHR32141:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180420, NULL, 'PTHR15321', NULL, NULL, NULL, NULL, 'TUMOR SUPPRESSOR P53-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(180421, NULL, 'PTHR11223:SF10', NULL, NULL, NULL, NULL, 'PROTEIN EXPORTIN 1B', NULL, NULL, NULL, 15),
(180422, NULL, 'PTHR13020:SF28', NULL, NULL, NULL, NULL, 'TRINUCLEOTIDE REPEAT-CONTAINING GENE 6A PROTEIN', NULL, NULL, 30566, 15),
(180423, NULL, 'PTHR23428:SF289', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(180424, NULL, 'PTHR24072:SF284', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RHO GTPASE', NULL, NULL, NULL, 15),
(180425, NULL, 'PTHR31170:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180426, NULL, 'PTHR45693:SF30', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA6', NULL, NULL, NULL, 15),
(180427, NULL, 'PTHR24377:SF663', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 868', NULL, NULL, NULL, 15),
(180428, NULL, 'PTHR23226:SF206', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 575', NULL, NULL, NULL, 15),
(180429, NULL, 'PTHR11567', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(180430, NULL, 'PTHR31137:SF11', NULL, NULL, NULL, NULL, 'PROTEIN PSIF', NULL, NULL, NULL, 15),
(180431, NULL, 'PTHR45889:SF4', NULL, NULL, NULL, NULL, 'HEMICENTIN 2', NULL, NULL, NULL, 15),
(180432, NULL, 'PTHR31356:SF50', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 6, CHLOROPLASTIC/MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(180433, NULL, 'PTHR48022:SF53', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01700)-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180434, NULL, 'PTHR32179:SF3', NULL, NULL, NULL, NULL, 'NICOTINATE-NUCLEOTIDE PYROPHOSPHORYLASE [CARBOXYLATING]', NULL, NULL, NULL, 15),
(180435, NULL, 'PTHR16106:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 4 OPEN READING FRAME 19', NULL, NULL, NULL, 15),
(180436, NULL, 'PTHR43553:SF18', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN MA_1418-RELATED', NULL, NULL, NULL, 15),
(180437, NULL, 'PTHR46619', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF XS DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(180438, NULL, 'PTHR10290:SF5', NULL, NULL, NULL, NULL, 'DNA TOPOISOMERASE 1', NULL, NULL, NULL, 15),
(180439, NULL, 'PTHR11929:SF184', NULL, NULL, NULL, NULL, 'ALPHA-(1,3)-FUCOSYLTRANSFERASE C-LIKE PROTEIN', NULL, NULL, NULL, 15),
(180440, NULL, 'PTHR33138:SF49', NULL, NULL, NULL, NULL, 'OS01G0117266 PROTEIN', NULL, NULL, NULL, 15),
(180441, NULL, 'PTHR37194', NULL, NULL, NULL, NULL, 'T2E6.7-RELATED', NULL, NULL, NULL, 15),
(180442, NULL, 'PTHR34996:SF5', NULL, NULL, NULL, NULL, 'OS02G0713250 PROTEIN', NULL, NULL, NULL, 15),
(180443, NULL, 'PTHR26454:SF62', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(180444, NULL, 'PTHR20835:SF7', NULL, NULL, NULL, NULL, 'BNAA05G11440D PROTEIN', NULL, NULL, NULL, 15),
(180445, NULL, 'PTHR31207:SF37', NULL, NULL, NULL, NULL, 'BNAANNG38700D PROTEIN', NULL, NULL, NULL, 15),
(180446, NULL, 'PTHR24299:SF25', NULL, NULL, NULL, NULL, 'OS07G0293000 PROTEIN', NULL, NULL, NULL, 15),
(180447, NULL, 'PTHR28020:SF1', NULL, NULL, NULL, NULL, 'YAP1-BINDING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(180448, NULL, 'PTHR36316:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180449, NULL, 'PTHR47174:SF2', NULL, NULL, NULL, NULL, 'SH3 DOMAIN SIGNALLING PROTEIN (AFU_ORTHOLOGUE AFUA_5G07670)', NULL, NULL, NULL, 15),
(180450, NULL, 'PTHR35318', NULL, NULL, NULL, NULL, 'BNAA10G08410D PROTEIN', NULL, NULL, NULL, 15),
(180451, NULL, 'PTHR45631:SF41', NULL, NULL, NULL, NULL, 'BNAC07G15800D PROTEIN', NULL, NULL, NULL, 15),
(180452, NULL, 'PTHR30193:SF42', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(180453, NULL, 'PTHR47926:SF188', NULL, NULL, NULL, NULL, 'BNAA09G40880D PROTEIN', NULL, NULL, NULL, 15),
(180454, NULL, 'PTHR43628:SF7', NULL, NULL, NULL, NULL, 'SEL1-LIKE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(180455, NULL, 'PTHR30600:SF9', NULL, NULL, NULL, NULL, 'BLR7738 PROTEIN', NULL, NULL, NULL, 15),
(180456, NULL, 'PTHR10177:SF461', NULL, NULL, NULL, NULL, 'BNAA08G31410D PROTEIN', NULL, NULL, NULL, 15),
(180457, NULL, 'PTHR15258', NULL, NULL, NULL, NULL, 'FGF BINDING PROTEIN-RELATED', NULL, NULL, 11000, 15),
(180458, NULL, 'PTHR48047:SF44', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(180459, NULL, 'PTHR15923:SF3', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-LIKE DOMAIN-CONTAINING RECEPTOR 1', NULL, NULL, NULL, 15),
(180460, NULL, 'PTHR24351:SF204', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(180461, NULL, 'PTHR43443', NULL, NULL, NULL, NULL, '3-HEXULOSE-6-PHOSPHATE ISOMERASE', NULL, NULL, 15340, 15),
(180462, NULL, 'PTHR10209:SF461', NULL, NULL, NULL, NULL, 'DOWNSTREAM TARGET OF AGL15-4 PROTEIN', NULL, NULL, NULL, 15),
(180463, NULL, 'PTHR22957:SF578', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(180464, NULL, 'PTHR12210:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180465, NULL, 'PTHR11908:SF133', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETALDEHYDE OXIDASE', NULL, NULL, NULL, 15),
(180466, NULL, 'PTHR11908:SF123', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDOREDUCTASE MOLYBDENUM-BINDING SUBUNIT PAOC', NULL, NULL, NULL, 15),
(180467, NULL, 'PTHR47989:SF32', NULL, NULL, NULL, NULL, 'PTO-INTERACTING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(180468, NULL, 'PTHR47954:SF2', NULL, NULL, NULL, NULL, 'OS09G0275400 PROTEIN', NULL, NULL, NULL, 15),
(180469, NULL, 'PTHR10457:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180470, NULL, 'PTHR43731:SF18', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN 9, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(180471, NULL, 'PTHR47248:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG08649', NULL, NULL, NULL, 15),
(180472, NULL, 'PTHR30146:SF110', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR TRER', NULL, NULL, NULL, 15),
(180473, NULL, 'PTHR12864:SF62', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(180474, NULL, 'PTHR36493', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180475, NULL, 'PTHR31707:SF277', NULL, NULL, NULL, NULL, 'PECTINESTERASE 3', NULL, NULL, NULL, 15),
(180476, NULL, 'PTHR15629:SF32', NULL, NULL, NULL, NULL, 'SH3 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G10320)', NULL, NULL, 28680, 15),
(180477, NULL, 'PTHR12904:SF28', NULL, NULL, NULL, NULL, 'GASTRULATION-DEFECTIVE PROTEIN 3', NULL, NULL, NULL, 15),
(180478, NULL, 'PTHR31621:SF62', NULL, NULL, NULL, NULL, 'BNAA05G19650D PROTEIN', NULL, NULL, NULL, 15),
(180479, NULL, 'PTHR11689:SF146', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(180480, NULL, 'PTHR11652:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180481, NULL, 'PTHR47387:SF1', NULL, NULL, NULL, NULL, 'NECTIN-2', NULL, NULL, 32516, 15),
(180482, NULL, 'PTHR16024:SF8', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 8', NULL, NULL, NULL, 15),
(180483, NULL, 'PTHR44137:SF26', NULL, NULL, NULL, NULL, 'BNAA02G34340D PROTEIN', NULL, NULL, NULL, 15),
(180484, NULL, 'PTHR14493:SF119', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCCH-TYPE, ANKYRIN REPEAT-CONTAINING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(180485, NULL, 'PTHR46867:SF5', NULL, NULL, NULL, NULL, 'BNAA09G16830D PROTEIN', NULL, NULL, NULL, 15),
(180486, NULL, 'PTHR22952:SF380', NULL, NULL, NULL, NULL, 'OS07G0686100 PROTEIN', NULL, NULL, NULL, 15),
(180487, NULL, 'PTHR47992:SF17', NULL, NULL, NULL, NULL, 'PHOSPHATASE, MG2+/MN2+-DEPENDENT, 1NA (PUTATIVE)-RELATED', NULL, NULL, NULL, 15),
(180488, NULL, 'PTHR43329:SF85', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL EPOXIDE HYDROLASE 2-LIKE', NULL, NULL, NULL, 15),
(180489, NULL, 'PTHR12277:SF75', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(180490, NULL, 'PTHR42109', NULL, NULL, NULL, NULL, 'UNPLACED GENOMIC SCAFFOLD UM_SCAF_CONTIG_1.265, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(180491, NULL, 'PTHR13316:SF8', NULL, NULL, NULL, NULL, 'PROLINE-RICH SPLICEOSOME-ASSOCIATED (PSP) FAMILY PROTEIN / ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(180492, NULL, 'PTHR46994:SF3', NULL, NULL, NULL, NULL, 'NUCLEOSIDE PHOSPHORYLASE-RELATED', NULL, NULL, NULL, 15),
(180493, NULL, 'PTHR11958:SF17', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(180494, NULL, 'PTHR31235:SF11', NULL, NULL, NULL, NULL, 'PEROXIDASE 21', NULL, NULL, NULL, 15),
(180495, NULL, 'PTHR43791:SF54', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G00130)-RELATED', NULL, NULL, NULL, 15),
(180496, NULL, 'PTHR30477:SF13', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY ZINC UPTAKE SYSTEM MEMBRANE PROTEIN ZNUB', NULL, NULL, NULL, 15),
(180497, NULL, 'PTHR27007:SF169', NULL, NULL, NULL, NULL, 'OS07G0130100 PROTEIN', NULL, NULL, NULL, 15),
(180498, NULL, 'PTHR10766:SF122', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(180499, NULL, 'PTHR46671:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG23370', NULL, NULL, NULL, 15),
(180500, NULL, 'PTHR48021:SF47', NULL, NULL, NULL, NULL, 'GH17672P', NULL, NULL, NULL, 15),
(180501, NULL, 'PTHR31751:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180502, NULL, 'PTHR31415:SF122', NULL, NULL, NULL, NULL, 'OS01G0864632 PROTEIN', NULL, NULL, NULL, 15),
(180503, NULL, 'PTHR11099:SF5', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 35C', NULL, NULL, NULL, 15),
(180504, NULL, 'PTHR33018:SF17', NULL, NULL, NULL, NULL, 'OS06G0521633 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180505, NULL, 'PTHR27002:SF829', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-7', NULL, NULL, NULL, 15),
(180506, NULL, 'PTHR11709:SF402', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(180507, NULL, 'PTHR21879', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 14777, 15),
(180508, NULL, 'PTHR13743:SF121', NULL, NULL, NULL, NULL, 'OS02G0663300 PROTEIN', NULL, NULL, NULL, 15),
(180509, NULL, 'PTHR24241:SF155', NULL, NULL, NULL, NULL, 'PYROGLUTAMYLATED RF-AMIDE PEPTIDE RECEPTOR', NULL, NULL, NULL, 15),
(180510, NULL, 'PTHR48029', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 8', NULL, NULL, NULL, 15),
(180511, NULL, 'PTHR47990:SF13', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 8-LIKE', NULL, NULL, NULL, 15),
(180512, NULL, 'PTHR45775', NULL, NULL, NULL, NULL, 'RAD, GEM/KIR FAMILY MEMBER 2, ISOFORM C', NULL, NULL, NULL, 15),
(180513, NULL, 'PTHR11461:SF333', NULL, NULL, NULL, NULL, 'BNAC03G15800D PROTEIN', NULL, NULL, NULL, 15),
(180514, NULL, 'PTHR46503:SF11', NULL, NULL, NULL, NULL, 'BNAC05G14770D PROTEIN', NULL, NULL, NULL, 15),
(180515, NULL, 'PTHR10075:SF72', NULL, NULL, NULL, NULL, 'DOWN SYNDROME CELL ADHESION MOLECULE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(180516, NULL, 'PTHR47766:SF1', NULL, NULL, NULL, NULL, 'PROTEIN EFR3', NULL, NULL, NULL, 15),
(180517, NULL, 'PTHR11260:SF512', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE PARC-RELATED', NULL, NULL, NULL, 15),
(180518, NULL, 'PTHR24166:SF28', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 46', NULL, NULL, NULL, 15),
(180519, NULL, 'PTHR27004:SF142', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 27', NULL, NULL, NULL, 15),
(180520, NULL, 'PTHR23128:SF136', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-21', NULL, NULL, NULL, 15),
(180521, NULL, 'PTHR10891:SF858', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(180522, NULL, 'PTHR11439:SF340', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180523, NULL, 'PTHR21310:SF40', NULL, NULL, NULL, NULL, 'AMINOGLYCOSIDE PHOSPHOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(180524, NULL, 'PTHR11709:SF207', NULL, NULL, NULL, NULL, 'LACCASE-11', NULL, NULL, NULL, 15),
(180525, NULL, 'PTHR10916', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35/50S RIBOSOMAL PROTEIN L29', NULL, NULL, NULL, 15),
(180526, NULL, 'PTHR31580:SF26', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 5', NULL, NULL, NULL, 15),
(180527, NULL, 'PTHR22883:SF336', NULL, NULL, NULL, NULL, 'PROTEIN S-ACYLTRANSFERASE 9-RELATED', NULL, NULL, NULL, 15),
(180528, NULL, 'PTHR11260:SF681', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U9-LIKE', NULL, NULL, NULL, 15),
(180529, NULL, 'PTHR48102:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PROTEASE ATPASE SUBUNIT HSLU2', NULL, NULL, 1624, 15),
(180530, NULL, 'PTHR42861:SF97', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(180531, NULL, 'PTHR12292:SF4', NULL, NULL, NULL, NULL, 'RWD DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(180532, NULL, 'PTHR46641:SF13', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', NULL, NULL, NULL, 15),
(180533, NULL, 'PTHR12259:SF4', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN GIPC1', NULL, NULL, NULL, 15),
(180534, NULL, 'PTHR11866:SF16', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E2 RECEPTOR EP4 SUBTYPE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(180535, NULL, 'PTHR33264:SF35', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(180536, NULL, 'PTHR13619:SF1', NULL, NULL, NULL, NULL, 'BNAC03G57080D PROTEIN', NULL, NULL, NULL, 15),
(180537, NULL, 'PTHR24637:SF308', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(180538, NULL, 'PTHR24241:SF134', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 22B', NULL, NULL, NULL, 15),
(180539, NULL, 'PTHR33138:SF32', NULL, NULL, NULL, NULL, 'KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(180540, NULL, 'PTHR47958:SF39', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 37-LIKE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180541, NULL, 'PTHR26453:SF247', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(180542, NULL, 'PTHR31826:SF7', NULL, NULL, NULL, NULL, 'NICALIN', NULL, NULL, NULL, 15),
(180543, NULL, 'PTHR12125:SF10', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 6', NULL, NULL, NULL, 15),
(180544, NULL, 'PTHR39412:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 46', NULL, NULL, NULL, 15),
(180545, NULL, 'PTHR48004:SF42', NULL, NULL, NULL, NULL, 'PROTEIN TOO MANY MOUTHS', NULL, NULL, NULL, 15),
(180546, NULL, 'PTHR33284:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L25/GLN-TRNA SYNTHETASE, ANTI-CODON-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(180547, NULL, 'PTHR12884:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', NULL, NULL, NULL, 15),
(180548, NULL, 'PTHR11593:SF18', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L17C', NULL, NULL, NULL, 15),
(180549, NULL, 'PTHR35486:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180550, NULL, 'PTHR31213:SF138', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL5', NULL, NULL, NULL, 15),
(180551, NULL, 'PTHR33593:SF1', NULL, NULL, NULL, NULL, 'DUF1442 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(180552, NULL, 'PTHR47926:SF288', NULL, NULL, NULL, NULL, 'OS01G0839400 PROTEIN', NULL, NULL, NULL, 15),
(180553, NULL, 'PTHR19271', NULL, NULL, NULL, NULL, 'CYTOCHROME B', NULL, NULL, NULL, 15),
(180554, NULL, 'PTHR13009:SF4', NULL, NULL, NULL, NULL, 'ACTIVATOR OF 90 KDA HEAT SHOCK PROTEIN ATPASE HOMOLOG 2-RELATED', NULL, NULL, NULL, 15),
(180555, NULL, 'PTHR18952:SF211', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 7', NULL, NULL, NULL, 15),
(180556, NULL, 'PTHR10306:SF17', NULL, NULL, NULL, NULL, 'SYNAPTOPHYSIN', NULL, NULL, NULL, 15),
(180557, NULL, 'PTHR11629', NULL, NULL, NULL, NULL, 'VACUOLAR PROTON ATPASES', NULL, NULL, 681, 15),
(180558, NULL, 'PTHR13041', NULL, NULL, NULL, NULL, 'JTB PROTEIN-RELATED', NULL, NULL, 13290, 15),
(180559, NULL, 'PTHR31426:SF5', NULL, NULL, NULL, NULL, 'OJ990528_30.7 PROTEIN', NULL, NULL, NULL, 15),
(180560, NULL, 'PTHR31213:SF74', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL9-LIKE', NULL, NULL, NULL, 15),
(180561, NULL, 'PTHR42851:SF8', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATM', NULL, NULL, NULL, 15),
(180562, NULL, 'PTHR35041:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180563, NULL, 'PTHR26454:SF154', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(180564, NULL, 'PTHR15486:SF69', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID/GLYCEROL ACYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(180565, NULL, 'PTHR47998:SF1', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR ETC1', NULL, NULL, NULL, 15),
(180566, NULL, 'PTHR24271:SF62', NULL, NULL, NULL, NULL, 'KALLIKREIN-8', NULL, NULL, NULL, 15),
(180567, NULL, 'PTHR45726:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180568, NULL, 'PTHR22952:SF392', NULL, NULL, NULL, NULL, 'OS05G0437700 PROTEIN', NULL, NULL, NULL, 15),
(180569, NULL, 'PTHR36788:SF3', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 171-RELATED', NULL, NULL, NULL, 15),
(180570, NULL, 'PTHR12400:SF55', NULL, NULL, NULL, NULL, 'INOSITOL-TRISPHOSPHATE 3-KINASE A', NULL, NULL, NULL, 15),
(180571, NULL, 'PTHR47983:SF1', NULL, NULL, NULL, NULL, 'BNAA04G27250D PROTEIN', NULL, NULL, NULL, 15),
(180572, NULL, 'PTHR35995:SF1', NULL, NULL, NULL, NULL, 'OS04G0690500 PROTEIN', NULL, NULL, NULL, 15),
(180573, NULL, 'PTHR12146', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S10', NULL, NULL, 30875, 15),
(180574, NULL, 'PTHR31124:SF11', NULL, NULL, NULL, NULL, 'BNAC09G52530D PROTEIN', NULL, NULL, NULL, 15),
(180575, NULL, 'PTHR31038:SF2', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(180576, NULL, 'PTHR21588:SF20', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(180577, NULL, 'PTHR24414:SF132', NULL, NULL, NULL, NULL, 'BNAC02G45990D PROTEIN', NULL, NULL, NULL, 15),
(180578, NULL, 'PTHR36448', NULL, NULL, NULL, NULL, 'BLR7373 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180579, NULL, 'PTHR35304:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180580, NULL, 'PTHR43332:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PERMEASE YADH', NULL, NULL, NULL, 15),
(180581, NULL, 'PTHR10516:SF412', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP20-1', NULL, NULL, NULL, 15),
(180582, NULL, 'PTHR43952:SF49', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(180583, NULL, 'PTHR44668:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7C', NULL, NULL, NULL, 15),
(180584, NULL, 'PTHR24298:SF626', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 81, SUBFAMILY H, POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(180585, NULL, 'PTHR48052:SF21', NULL, NULL, NULL, NULL, 'BNACNNG16910D PROTEIN', NULL, NULL, NULL, 15),
(180586, NULL, 'PTHR12623:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180587, NULL, 'PTHR24206:SF92', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(180588, NULL, 'PTHR24286:SF90', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 87A3-LIKE', NULL, NULL, NULL, 15),
(180589, NULL, 'PTHR11850:SF208', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 2', NULL, NULL, NULL, 15),
(180590, NULL, 'PTHR33915', NULL, NULL, NULL, NULL, 'OSJNBA0033G05.11 PROTEIN', NULL, NULL, NULL, 15),
(180591, NULL, 'PTHR11097:SF30', NULL, NULL, NULL, NULL, 'BNAA05G29900D PROTEIN', NULL, NULL, NULL, 15),
(180592, NULL, 'PTHR10476:SF45', NULL, NULL, NULL, NULL, 'BNAANNG10150D PROTEIN', NULL, NULL, NULL, 15),
(180593, NULL, 'PTHR33170:SF8', NULL, NULL, NULL, NULL, 'OS07G0485366 PROTEIN', NULL, NULL, NULL, 15),
(180594, NULL, 'PTHR33669:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180595, NULL, 'PTHR22572:SF143', NULL, NULL, NULL, NULL, 'MANNOSE-1-PHOSPHATE GUANYLYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(180596, NULL, 'PTHR33021:SF350', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(180597, NULL, 'PTHR46913:SF10', NULL, NULL, NULL, NULL, 'BNAA10G27770D PROTEIN', NULL, NULL, NULL, 15),
(180598, NULL, 'PTHR24092:SF5', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(180599, NULL, 'PTHR45847:SF10', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE HOMOLOG', NULL, NULL, NULL, 15),
(180600, NULL, 'PTHR43097:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180601, NULL, 'PTHR13370:SF3', NULL, NULL, NULL, NULL, 'TRNA (GUANINE(10)-N2)-METHYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(180602, NULL, 'PTHR37424:SF1', NULL, NULL, NULL, NULL, 'BACTERIOFERRITIN-ASSOCIATED FERREDOXIN', NULL, NULL, NULL, 15),
(180603, NULL, 'PTHR22811:SF145', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24DELTA9-LIKE', NULL, NULL, NULL, 15),
(180604, NULL, 'PTHR31304:SF1', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 38', NULL, NULL, NULL, 15),
(180605, NULL, 'PTHR10414:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180606, NULL, 'PTHR18966:SF522', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(180607, NULL, 'PTHR37549', NULL, NULL, NULL, NULL, 'LIPOPROTEIN LPRI', NULL, NULL, NULL, 15),
(180608, NULL, 'PTHR32448:SF93', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 12', NULL, NULL, NULL, 15),
(180609, NULL, 'PTHR48000:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB87', NULL, NULL, NULL, 15),
(180610, NULL, 'PTHR11639:SF66', NULL, NULL, NULL, NULL, 'PROTEIN S100-A1', NULL, NULL, NULL, 15),
(180611, NULL, 'PTHR47942:SF27', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(180612, NULL, 'PTHR31413:SF28', NULL, NULL, NULL, NULL, 'BNAC08G40190D PROTEIN', NULL, NULL, NULL, 15),
(180613, NULL, 'PTHR12694:SF9', NULL, NULL, NULL, NULL, 'TFIIA-ALPHA AND BETA-LIKE FACTOR', NULL, NULL, NULL, 15),
(180614, NULL, 'PTHR31174:SF20', NULL, NULL, NULL, NULL, 'OS06G0341300 PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180615, NULL, 'PTHR13989:SF12', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 30 KDA SUBUNIT', NULL, NULL, NULL, 15),
(180616, NULL, 'PTHR12321:SF147', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 6', NULL, NULL, NULL, 15),
(180617, NULL, 'PTHR43791:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180618, NULL, 'PTHR23234:SF1', NULL, NULL, NULL, NULL, 'RIKEN CDNA 6720489N17 GENE', NULL, NULL, NULL, 15),
(180619, NULL, 'PTHR11132:SF436', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-SUGAR TRANSPORTER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(180620, NULL, 'PTHR36746:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180621, NULL, 'PTHR36441', NULL, NULL, NULL, NULL, 'HYPOTHETICAL CYTOSOLIC PROTEIN', NULL, NULL, 3680, 15),
(180622, NULL, 'PTHR12197:SF211', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN DDB_G0292140-RELATED', NULL, NULL, NULL, 15),
(180623, NULL, 'PTHR46766', NULL, NULL, NULL, NULL, 'GLUTAMINE-RICH PROTEIN 2', NULL, NULL, NULL, 15),
(180624, NULL, 'PTHR12770:SF21', NULL, NULL, NULL, NULL, 'RUS1 FAMILY PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(180625, NULL, 'PTHR14363:SF37', NULL, NULL, NULL, NULL, 'HEPARANASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(180626, NULL, 'PTHR12895:SF9', NULL, NULL, NULL, NULL, 'DYMECLIN', NULL, NULL, NULL, 15),
(180627, NULL, 'PTHR46866:SF1', NULL, NULL, NULL, NULL, 'GH12955P', NULL, NULL, NULL, 15),
(180628, NULL, 'PTHR13683:SF829', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(180629, NULL, 'PTHR45619:SF42', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A CATALYTIC SUBUNIT ALPHA ISOFORM', NULL, NULL, NULL, 15),
(180630, NULL, 'PTHR32423:SF65', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(180631, NULL, 'PTHR11514:SF117', NULL, NULL, NULL, NULL, 'OS01G0235700 PROTEIN', NULL, NULL, NULL, 15),
(180632, NULL, 'PTHR36575', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14430)-RELATED', NULL, NULL, NULL, 15),
(180633, NULL, 'PTHR48017:SF111', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1A', NULL, NULL, NULL, 15),
(180634, NULL, 'PTHR10104:SF1', NULL, NULL, NULL, NULL, 'STATHMIN, ISOFORM D', NULL, NULL, NULL, 15),
(180635, NULL, 'PTHR46151:SF11', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN-LIKE 1', NULL, NULL, NULL, 15),
(180636, NULL, 'PTHR26453:SF636', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2B8-RELATED', NULL, NULL, NULL, 15),
(180637, NULL, 'PTHR23088:SF53', NULL, NULL, NULL, NULL, 'OMEGA-AMIDASE,CHLOROPLASTIC', NULL, NULL, NULL, 15),
(180638, NULL, 'PTHR46047', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 61F', NULL, NULL, NULL, 15),
(180639, NULL, 'PTHR45847:SF8', NULL, NULL, NULL, NULL, 'VITAMIN D3 HYDROXYLASE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(180640, NULL, 'PTHR40255', NULL, NULL, NULL, NULL, 'UPF0093 MEMBRANE PROTEIN SLR1790', NULL, NULL, 4193, 15),
(180641, NULL, 'PTHR23050:SF448', NULL, NULL, NULL, NULL, 'CALMODULIN-1', NULL, NULL, NULL, 15),
(180642, NULL, 'PTHR34183', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180643, NULL, 'PTHR24070:SF406', NULL, NULL, NULL, NULL, 'RE63021P', NULL, NULL, NULL, 15),
(180644, NULL, 'PTHR33102:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180645, NULL, 'PTHR24031:SF722', NULL, NULL, NULL, NULL, 'EUKARYOTIC INITIATION FACTOR 4A-13-LIKE', NULL, NULL, NULL, 15),
(180646, NULL, 'PTHR11722:SF5', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', NULL, NULL, NULL, 15),
(180647, NULL, 'PTHR31265:SF34', NULL, NULL, NULL, NULL, 'BNAA05G09330D PROTEIN', NULL, NULL, NULL, 15),
(180648, NULL, 'PTHR12436', NULL, NULL, NULL, NULL, '80 KDA MCM3-ASSOCIATED PROTEIN', NULL, NULL, 39436, 15),
(180649, NULL, 'PTHR22941:SF133', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(180650, NULL, 'PTHR44027:SF6', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 5B', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180651, NULL, 'PTHR45862:SF6', NULL, NULL, NULL, NULL, 'PROTEIN SGT1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(180652, NULL, 'PTHR12537:SF132', NULL, NULL, NULL, NULL, 'PUMILIO-FAMILY RNA-BINDING REPEATPROTEIN', NULL, NULL, NULL, 15),
(180653, NULL, 'PTHR44542:SF15', NULL, NULL, NULL, NULL, 'RHODANESE/CELL CYCLE CONTROL PHOSPHATASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(180654, NULL, 'PTHR11439:SF322', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 9-LIKE', NULL, NULL, NULL, 15),
(180655, NULL, 'PTHR27005:SF308', NULL, NULL, NULL, NULL, 'BNAC09G53720D PROTEIN', NULL, NULL, NULL, 15),
(180656, NULL, 'PTHR31790:SF363', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180657, NULL, 'PTHR10032:SF193', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR OVO-LIKE 2', NULL, NULL, NULL, 15),
(180658, NULL, 'PTHR31223:SF62', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE', NULL, NULL, NULL, 15),
(180659, NULL, 'PTHR11062:SF312', NULL, NULL, NULL, NULL, 'GLUCURONOSYLTRANSFERASE OS01G0926600-RELATED', NULL, NULL, NULL, 15),
(180660, NULL, 'PTHR43085:SF26', NULL, NULL, NULL, NULL, 'PFKB-LIKE CARBOHYDRATE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(180661, NULL, 'PTHR48047:SF92', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(180662, NULL, 'PTHR10722:SF27', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', NULL, NULL, NULL, 15),
(180663, NULL, 'PTHR10903:SF74', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(180664, NULL, 'PTHR34278:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180665, NULL, 'PTHR33609:SF5', NULL, NULL, NULL, NULL, 'LOW CALCIUM RESPONSE LOCUS PROTEIN S', NULL, NULL, NULL, 15),
(180666, NULL, 'PTHR14199:SF34', NULL, NULL, NULL, NULL, 'MYOMEGALIN ISOFORM X3', NULL, NULL, NULL, 15),
(180667, NULL, 'PTHR13743:SF139', NULL, NULL, NULL, NULL, 'BEACH DOMAIN-CONTAINING PROTEIN LVSB', NULL, NULL, NULL, 15),
(180668, NULL, 'PTHR11360:SF28', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 12', NULL, NULL, NULL, 15),
(180669, NULL, 'PTHR28591:SF2', NULL, NULL, NULL, NULL, 'RETINOIC ACID RECEPTOR RESPONDER PROTEIN 1', NULL, NULL, NULL, 15),
(180670, NULL, 'PTHR22957:SF260', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 8', NULL, NULL, NULL, 15),
(180671, NULL, 'PTHR11814:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180672, NULL, 'PTHR23301:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180673, NULL, 'PTHR32285:SF218', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(180674, NULL, 'PTHR10353:SF208', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1 PROTEIN', NULL, NULL, NULL, 15),
(180675, NULL, 'PTHR10505:SF13', NULL, NULL, NULL, NULL, 'CALCITONIN RECEPTOR-STIMULATING PEPTIDE 1', NULL, NULL, NULL, 15),
(180676, NULL, 'PTHR11430:SF76', NULL, NULL, NULL, NULL, 'MCG140531-RELATED', NULL, NULL, NULL, 15),
(180677, NULL, 'PTHR23140:SF5', NULL, NULL, NULL, NULL, 'ZGC:163098', NULL, NULL, NULL, 15),
(180678, NULL, 'PTHR43939:SF69', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', NULL, NULL, NULL, 15),
(180679, NULL, 'PTHR15710:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180680, NULL, 'PTHR30160', NULL, NULL, NULL, NULL, 'TETRAACYLDISACCHARIDE 4''-KINASE-RELATED', NULL, NULL, NULL, 15),
(180681, NULL, 'PTHR24390:SF71', NULL, NULL, NULL, NULL, 'ZGC:113090-RELATED', NULL, NULL, NULL, 15),
(180682, NULL, 'PTHR19300:SF56', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(180683, NULL, 'PTHR11647:SF54', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINASE-RELATED PROTEIN 1', NULL, NULL, 23581, 15),
(180684, NULL, 'PTHR13271:SF47', NULL, NULL, NULL, NULL, 'ACTIN-HISTIDINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(180685, NULL, 'PTHR11066:SF57', NULL, NULL, NULL, NULL, 'ACYL-COA THIOESTERASE', NULL, NULL, NULL, 15),
(180686, NULL, 'PTHR31284:SF24', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180687, NULL, 'PTHR15546:SF2', NULL, NULL, NULL, NULL, 'BROMODOMAIN ADJACENT TO ZINC FINGER DOMAIN, 2A', NULL, NULL, NULL, 15),
(180688, NULL, 'PTHR13036:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE ALG1-LIKE-RELATED', NULL, NULL, NULL, 15),
(180689, NULL, 'PTHR10316:SF67', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED GUANYLATE KINASE, WW AND PDZ DOMAIN-CONTAINING 1A', NULL, NULL, NULL, 15),
(180690, NULL, 'PTHR31384:SF131', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(180691, NULL, 'PTHR13683:SF716', NULL, NULL, NULL, NULL, 'OS02G0720600 PROTEIN', NULL, NULL, NULL, 15),
(180692, NULL, 'PTHR35308:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180693, NULL, 'PTHR42032:SF1', NULL, NULL, NULL, NULL, 'YALI0E30679P', NULL, NULL, NULL, 15),
(180694, NULL, 'PTHR11455:SF22', NULL, NULL, NULL, NULL, 'CRYPTOCHROME DASH', NULL, NULL, NULL, 15),
(180695, NULL, 'PTHR31044:SF33', NULL, NULL, NULL, NULL, 'ELICITOR INDUCIBLE BETA-1,3-GLUCANASE-LIKE', NULL, NULL, NULL, 15),
(180696, NULL, 'PTHR11802:SF283', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(180697, NULL, 'PTHR45903', NULL, NULL, NULL, NULL, 'GLUTAMATE-RICH WD REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(180698, NULL, 'PTHR32133:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180699, NULL, 'PTHR33780:SF9', NULL, NULL, NULL, NULL, 'BNAC04G27200D PROTEIN', NULL, NULL, NULL, 15),
(180700, NULL, 'PTHR13738:SF33', NULL, NULL, NULL, NULL, 'TROPONIN I4B, TANDEM DUPLICATE 1', NULL, NULL, NULL, 15),
(180701, NULL, 'PTHR13886:SF2', NULL, NULL, NULL, NULL, 'C-JUN-AMINO-TERMINAL KINASE-INTERACTING PROTEIN 4', NULL, NULL, NULL, 15),
(180702, NULL, 'PTHR30441:SF4', NULL, NULL, NULL, NULL, 'PROTEIN ASMA', NULL, NULL, NULL, 15),
(180703, NULL, 'PTHR31428', NULL, NULL, NULL, NULL, 'RGM DOMAIN FAMILY MEMBER DRAG-1', NULL, NULL, 34289, 15),
(180704, NULL, 'PTHR12489:SF13', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 3 PROTEIN', NULL, NULL, NULL, 15),
(180705, NULL, 'PTHR10484:SF184', NULL, NULL, NULL, NULL, 'HISTONE H4', NULL, NULL, NULL, 15),
(180706, NULL, 'PTHR12111:SF3', NULL, NULL, NULL, NULL, 'OS01G0588600 PROTEIN', NULL, NULL, NULL, 15),
(180707, NULL, 'PTHR30363:SF28', NULL, NULL, NULL, NULL, 'SLL0088 PROTEIN', NULL, NULL, NULL, 15),
(180708, NULL, 'PTHR22951:SF76', NULL, NULL, NULL, NULL, 'OS09G0468150 PROTEIN', NULL, NULL, NULL, 15),
(180709, NULL, 'PTHR32343:SF62', NULL, NULL, NULL, NULL, 'BNAA06G09130D PROTEIN', NULL, NULL, NULL, 15),
(180710, NULL, 'PTHR47289:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (DUF1664)-RELATED', NULL, NULL, NULL, 15),
(180711, NULL, 'PTHR12608:SF9', NULL, NULL, NULL, NULL, 'GDT1-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(180712, NULL, 'PTHR24115:SF927', NULL, NULL, NULL, NULL, 'KINESIN FAMILY MEMBER 5A, A-RELATED', NULL, NULL, NULL, 15),
(180713, NULL, 'PTHR46128:SF221', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(180714, NULL, 'PTHR35997:SF7', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN', NULL, NULL, NULL, 15),
(180715, NULL, 'PTHR21325:SF50', NULL, NULL, NULL, NULL, 'PROTEIN CBG02892', NULL, NULL, NULL, 15),
(180716, NULL, 'PTHR11636:SF122', NULL, NULL, NULL, NULL, 'POU DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(180717, NULL, 'PTHR24139:SF35', NULL, NULL, NULL, NULL, 'INTRACELLLAR PHOSPHOLIPASE A FAMILY', NULL, NULL, NULL, 15),
(180718, NULL, 'PTHR43451:SF1', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE (GNAT) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(180719, NULL, 'PTHR23201:SF89', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 6-LIKE', NULL, NULL, NULL, 15),
(180720, NULL, 'PTHR31429:SF77', NULL, NULL, NULL, NULL, 'BNAA03G59960D PROTEIN', NULL, NULL, NULL, 15),
(180721, NULL, 'PTHR21576:SF124', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(180722, NULL, 'PTHR19961:SF32', NULL, NULL, NULL, NULL, 'PLASTIN-3', NULL, NULL, 34442, 15),
(180723, NULL, 'PTHR11626:SF2', NULL, NULL, NULL, NULL, 'SQUALENE SYNTHASE', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180724, NULL, 'PTHR47060:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NOBOX', NULL, NULL, NULL, 15),
(180725, NULL, 'PTHR11630:SF73', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM6', NULL, NULL, NULL, 15),
(180726, NULL, 'PTHR33207:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180727, NULL, 'PTHR42912:SF66', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03321)-RELATED', NULL, NULL, NULL, 15),
(180728, NULL, 'PTHR45968', NULL, NULL, NULL, NULL, 'OSJNBA0019K04.7 PROTEIN', NULL, NULL, NULL, 15),
(180729, NULL, 'PTHR34281:SF17', NULL, NULL, NULL, NULL, 'BNAC01G43670D PROTEIN', NULL, NULL, NULL, 15),
(180730, NULL, 'PTHR11043:SF24', NULL, NULL, NULL, NULL, 'LONGIN-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(180731, NULL, 'PTHR11842:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180732, NULL, 'PTHR21494:SF2', NULL, NULL, NULL, NULL, 'NUCLEIC ACID BINDING PROTEIN', NULL, NULL, NULL, 15),
(180733, NULL, 'PTHR14950:SF53', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3-LIKE PROTEIN 3 ISOFORM X1', NULL, NULL, NULL, 15),
(180734, NULL, 'PTHR11200:SF279', NULL, NULL, NULL, NULL, 'BNAA08G28320D PROTEIN', NULL, NULL, NULL, 15),
(180735, NULL, 'PTHR45564:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180736, NULL, 'PTHR26379:SF328', NULL, NULL, NULL, NULL, 'OS08G0227200 PROTEIN', NULL, NULL, NULL, 15),
(180737, NULL, 'PTHR45631:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180738, NULL, 'PTHR47293:SF15', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 19', NULL, NULL, NULL, 15),
(180739, NULL, 'PTHR26454:SF10', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6V1', NULL, NULL, NULL, 15),
(180740, NULL, 'PTHR44083:SF10', NULL, NULL, NULL, NULL, 'PROTEIN TOPLESS-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(180741, NULL, 'PTHR11254:SF320', NULL, NULL, NULL, NULL, 'FI18049P1', NULL, NULL, NULL, 15),
(180742, NULL, 'PTHR34064:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180743, NULL, 'PTHR31079:SF30', NULL, NULL, NULL, NULL, 'NAC DOMAIN CONTAINING PROTEIN 44', NULL, NULL, NULL, 15),
(180744, NULL, 'PTHR45616:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180745, NULL, 'PTHR23176', NULL, NULL, NULL, NULL, 'RHO/RAC/CDC GTPASE-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(180746, NULL, 'PTHR12542:SF136', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(180747, NULL, 'PTHR27005:SF264', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180748, NULL, 'PTHR11709:SF346', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(180749, NULL, 'PTHR22957:SF549', NULL, NULL, NULL, NULL, 'BNAA02G10210D PROTEIN', NULL, NULL, NULL, 15),
(180750, NULL, 'PTHR36483:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180751, NULL, 'PTHR42812:SF6', NULL, NULL, NULL, NULL, 'XYLOSIDASE', NULL, NULL, NULL, 15),
(180752, NULL, 'PTHR32096:SF77', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 14-RELATED', NULL, NULL, NULL, 15),
(180753, NULL, 'PTHR24282:SF205', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 72C1', NULL, NULL, NULL, 15),
(180754, NULL, 'PTHR31048:SF126', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(180755, NULL, 'PTHR13076', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 33687, 15),
(180756, NULL, 'PTHR45650:SF8', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(180757, NULL, 'PTHR31681:SF4', NULL, NULL, NULL, NULL, 'NUCLEIC ACID BINDING PROTEIN', NULL, NULL, NULL, 15),
(180758, NULL, 'PTHR47273:SF6', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(180759, NULL, 'PTHR42881:SF3', NULL, NULL, NULL, NULL, 'PROLYL ENDOPEPTIDASE', NULL, NULL, NULL, 15),
(180760, NULL, 'PTHR43487:SF2', NULL, NULL, NULL, NULL, 'TRIPEPTIDYL AMINOPEPTIDASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180761, NULL, 'PTHR36800', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1-BINDING PROTEIN', NULL, NULL, NULL, 15),
(180762, NULL, 'PTHR27007:SF248', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180763, NULL, 'PTHR11085', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE SIR2 FAMILY MEMBER', NULL, NULL, NULL, 15),
(180764, NULL, 'PTHR11709:SF247', NULL, NULL, NULL, NULL, 'SKU5-SIMILAR 6', NULL, NULL, NULL, 15),
(180765, NULL, 'PTHR22692:SF16', NULL, NULL, NULL, NULL, 'UNCONVENTIONAL MYOSIN-XVB', NULL, NULL, NULL, 15),
(180766, NULL, 'PTHR31602:SF62', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 4-LIKE', NULL, NULL, NULL, 15),
(180767, NULL, 'PTHR22847:SF716', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 55', NULL, NULL, NULL, 15),
(180768, NULL, 'PTHR33115:SF25', NULL, NULL, NULL, NULL, 'OS05G0239400 PROTEIN', NULL, NULL, NULL, 15),
(180769, NULL, 'PTHR24286:SF223', NULL, NULL, NULL, NULL, 'ALLENE OXIDE SYNTHASE 3', NULL, NULL, NULL, 15),
(180770, NULL, 'PTHR12321:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180771, NULL, 'PTHR46632:SF21', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(180772, NULL, 'PTHR31140:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180773, NULL, 'PTHR31621:SF29', NULL, NULL, NULL, NULL, 'OS07G0645300 PROTEIN', NULL, NULL, NULL, 15),
(180774, NULL, 'PTHR45974:SF156', NULL, NULL, NULL, NULL, 'BNAC02G06810D PROTEIN', NULL, NULL, NULL, 15),
(180775, NULL, 'PTHR11903:SF13', NULL, NULL, NULL, NULL, 'LINOLEATE 10R-LIPOXYGENASE', NULL, NULL, NULL, 15),
(180776, NULL, 'PTHR36718:SF1', NULL, NULL, NULL, NULL, 'OS05G0435400 PROTEIN', NULL, NULL, NULL, 15),
(180777, NULL, 'PTHR19857:SF18', NULL, NULL, NULL, NULL, 'NACHT AND WD REPEAT DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(180778, NULL, 'PTHR24072:SF319', NULL, NULL, NULL, NULL, 'SMALL GTPASE SUPERFAMILY, RAN GTPASE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(180779, NULL, 'PTHR43322:SF6', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE-5-PHOSPHATE SYNTHASE 2, CHLOROPLASTIC ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(180780, NULL, 'PTHR26379:SF386', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180781, NULL, 'PTHR11890:SF9', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR-LIKE 2', NULL, NULL, NULL, 15),
(180782, NULL, 'PTHR16423:SF6', NULL, NULL, NULL, NULL, 'CRKD-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(180783, NULL, 'PTHR12411:SF308', NULL, NULL, NULL, NULL, 'CATHEPSIN J', NULL, NULL, NULL, 15),
(180784, NULL, 'PTHR45614:SF145', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB44-LIKE', NULL, NULL, NULL, 15),
(180785, NULL, 'PTHR33207:SF32', NULL, NULL, NULL, NULL, 'OS09G0261100 PROTEIN', NULL, NULL, NULL, 15),
(180786, NULL, 'PTHR15060', NULL, NULL, NULL, NULL, 'INTERLEUKIN-15 RECEPTOR SUBUNIT ALPHA', NULL, NULL, 39541, 15),
(180787, NULL, 'PTHR12181:SF59', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE PAH1', NULL, NULL, NULL, 15),
(180788, NULL, 'PTHR12320:SF43', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(180789, NULL, 'PTHR11850:SF190', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MEIS3-RELATED', NULL, NULL, NULL, 15),
(180790, NULL, 'PTHR38353', NULL, NULL, NULL, NULL, 'TROPOMYOSIN', NULL, NULL, NULL, 15),
(180791, NULL, 'PTHR11161:SF12', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG-RELATED', NULL, NULL, NULL, 15),
(180792, NULL, 'PTHR27009:SF101', NULL, NULL, NULL, NULL, 'RUST RESISTANCE KINASE LR10-LIKE', NULL, NULL, NULL, 15),
(180793, NULL, 'PTHR35170:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180794, NULL, 'PTHR23070:SF183', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180795, NULL, 'PTHR24637:SF356', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(180796, NULL, 'PTHR24281:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180797, NULL, 'PTHR45687:SF45', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP1-2', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180798, NULL, 'PTHR32278:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180799, NULL, 'PTHR31238:SF32', NULL, NULL, NULL, NULL, 'DECARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G14610)-RELATED', NULL, NULL, NULL, 15),
(180800, NULL, 'PTHR19961:SF73', NULL, NULL, NULL, NULL, 'DYSTROPHIN', NULL, NULL, NULL, 15),
(180801, NULL, 'PTHR37774', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN MI25-RELATED', NULL, NULL, 38008, 15),
(180802, NULL, 'PTHR11886:SF75', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(180803, NULL, 'PTHR10694:SF109', NULL, NULL, NULL, NULL, 'JUMONJI 14-RELATED', NULL, NULL, NULL, 15),
(180804, NULL, 'PTHR33057:SF148', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP1-LIKE', NULL, NULL, NULL, 15),
(180805, NULL, 'PTHR24055:SF189', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(180806, NULL, 'PTHR23500:SF455', NULL, NULL, NULL, NULL, 'POLYOL/MONOSACCHARIDE TRANSPORTER 1', NULL, NULL, NULL, 15),
(180807, NULL, 'PTHR10698:SF0', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT H', NULL, NULL, NULL, 15),
(180808, NULL, 'PTHR47458:SF1', NULL, NULL, NULL, NULL, 'SMAD/FHA DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(180809, NULL, 'PTHR32141:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180810, NULL, 'PTHR13754:SF18', NULL, NULL, NULL, NULL, '7,8-DIHYDROPTERIN-6-METHYL-4-(BETA-D-RIBOFURANOSYL)-AMINOBENZENE-5''-PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(180811, NULL, 'PTHR33124:SF39', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UPBEAT1', NULL, NULL, NULL, 15),
(180812, NULL, 'PTHR35721:SF1', NULL, NULL, NULL, NULL, 'UREIDOGLYCOLATE HYDROLASE', NULL, NULL, NULL, 15),
(180813, NULL, 'PTHR19865:SF7', NULL, NULL, NULL, NULL, 'BNAA08G02260D PROTEIN', NULL, NULL, NULL, 15),
(180814, NULL, 'PTHR33869:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180815, NULL, 'PTHR12161:SF58', NULL, NULL, NULL, NULL, 'REGULATOR OF VPS4 ACTIVITY IN THE MVB PATHWAY PROTEIN', NULL, NULL, NULL, 15),
(180816, NULL, 'PTHR12232:SF4', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING GLUTAMIC ACID-RICH-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(180817, NULL, 'PTHR31509:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180818, NULL, 'PTHR19353:SF73', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE', NULL, NULL, NULL, 15),
(180819, NULL, 'PTHR24326:SF568', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER, HOMEOBOX-ASSOCIATED, HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(180820, NULL, 'PTHR47618', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL OLIGORIBONUCLEASE AND PAP PHOSPHATASE NRNA', NULL, NULL, NULL, 15),
(180821, NULL, 'PTHR23335:SF32', NULL, NULL, NULL, NULL, 'ETHYLENE-UPREGULATED PROTEIN ER1, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(180822, NULL, 'PTHR11073:SF27', NULL, NULL, NULL, NULL, 'CALRETICULIN-3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(180823, NULL, 'PTHR33057:SF151', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP1-LIKE', NULL, NULL, NULL, 15),
(180824, NULL, 'PTHR32337:SF2', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 7', NULL, NULL, NULL, 15),
(180825, NULL, 'PTHR43313:SF15', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 9', NULL, NULL, NULL, 15),
(180826, NULL, 'PTHR27006:SF425', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE MSP1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(180827, NULL, 'PTHR31902:SF7', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 32', NULL, NULL, NULL, 15),
(180828, NULL, 'PTHR12411:SF703', NULL, NULL, NULL, NULL, 'CLAN CA, FAMILY C1, CATHEPSIN L-LIKE CYSTEINE PEPTIDASE', NULL, NULL, NULL, 15),
(180829, NULL, 'PTHR19241:SF280', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 32', NULL, NULL, NULL, 15),
(180830, NULL, 'PTHR33108:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180831, NULL, 'PTHR13140:SF808', NULL, NULL, NULL, NULL, 'PROTEIN OPAQUE1-LIKE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180832, NULL, 'PTHR12461:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180833, NULL, 'PTHR33474:SF25', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(180834, NULL, 'PTHR12210:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180835, NULL, 'PTHR11547:SF37', NULL, NULL, NULL, NULL, 'ARGININE KINASE F46H5.3-RELATED', NULL, NULL, NULL, 15),
(180836, NULL, 'PTHR26453:SF29', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1395', NULL, NULL, NULL, 15),
(180837, NULL, 'PTHR21646:SF29', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 11', NULL, NULL, NULL, 15),
(180838, NULL, 'PTHR11226', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE GLYCOPROTEIN:GLUCOSYLTRANSFERASE', NULL, NULL, 8478, 15),
(180839, NULL, 'PTHR22951:SF24', NULL, NULL, NULL, NULL, 'CLATHRIN ASSEMBLY PROTEIN', NULL, NULL, NULL, 15),
(180840, NULL, 'PTHR33414:SF10', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 1-RELATED 2', NULL, NULL, 31482, 15),
(180841, NULL, 'PTHR22835:SF591', NULL, NULL, NULL, NULL, 'BNAA06G16520D PROTEIN', NULL, NULL, NULL, 15),
(180842, NULL, 'PTHR10969:SF80', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8I', NULL, NULL, NULL, 15),
(180843, NULL, 'PTHR31080:SF154', NULL, NULL, NULL, NULL, 'LUSTRIN A', NULL, NULL, NULL, 15),
(180844, NULL, 'PTHR11550:SF33', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', NULL, NULL, NULL, 15),
(180845, NULL, 'PTHR31568:SF95', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN A-LIKE', NULL, NULL, NULL, 15),
(180846, NULL, 'PTHR38038', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN ACTIVATOR LPOA', NULL, NULL, 4961, 15),
(180847, NULL, 'PTHR10656:SF42', NULL, NULL, NULL, NULL, 'IP12463P', NULL, NULL, NULL, 15),
(180848, NULL, 'PTHR48022:SF36', NULL, NULL, NULL, NULL, 'LACTOSE PERMEASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17310)-RELATED', NULL, NULL, NULL, 15),
(180849, NULL, 'PTHR11501', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(180850, NULL, 'PTHR31920:SF36', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS11G0197600-LIKE', NULL, NULL, NULL, 15),
(180851, NULL, 'PTHR31066:SF54', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 8-RELATED', NULL, NULL, NULL, 15),
(180852, NULL, 'PTHR23235:SF43', NULL, NULL, NULL, NULL, 'EARLY GROWTH RESPONSE 4', NULL, NULL, NULL, 15),
(180853, NULL, 'PTHR27007:SF294', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180854, NULL, 'PTHR11903:SF18', NULL, NULL, NULL, NULL, 'COLLAGEN TRIPLE HELIX REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(180855, NULL, 'PTHR33088:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180856, NULL, 'PTHR24384:SF223', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(180857, NULL, 'PTHR11206:SF439', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(180858, NULL, 'PTHR46259:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180859, NULL, 'PTHR44191:SF11', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(180860, NULL, 'PTHR24064:SF560', NULL, NULL, NULL, NULL, 'BNAA06G36740D PROTEIN', NULL, NULL, NULL, 15),
(180861, NULL, 'PTHR18949:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180862, NULL, 'PTHR37982', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180863, NULL, 'PTHR22948:SF53', NULL, NULL, NULL, NULL, 'MATERNAL PROTEIN TUDOR', NULL, NULL, NULL, 15),
(180864, NULL, 'PTHR21649:SF14', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I CHLOROPHYLL A/B-BINDING PROTEIN 3-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(180865, NULL, 'PTHR34258:SF1', NULL, NULL, NULL, NULL, 'ARMADILLO-LIKE HELICAL DOMAIN CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(180866, NULL, 'PTHR46281:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE, SUBUNIT VIB-RELATED', NULL, NULL, NULL, 15),
(180867, NULL, 'PTHR48002:SF90', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180868, NULL, 'PTHR44156:SF1', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR WITH WDR REPEAT DOMAINS 1', NULL, NULL, NULL, 15),
(180869, NULL, 'PTHR10585:SF60', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR ERD-2.2', NULL, NULL, NULL, 15),
(180870, NULL, 'PTHR10641:SF1287', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(180871, NULL, 'PTHR31533:SF22', NULL, NULL, NULL, NULL, 'LORELEI-LIKE-GPI-ANCHORED PROTEIN', NULL, NULL, NULL, 15),
(180872, NULL, 'PTHR12968', NULL, NULL, NULL, NULL, 'B9 DOMAIN-CONTAINING', NULL, NULL, 11308, 15),
(180873, NULL, 'PTHR31621:SF32', NULL, NULL, NULL, NULL, 'PROTEIN DMP1', NULL, NULL, NULL, 15),
(180874, NULL, 'PTHR32261:SF8', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN 5', NULL, NULL, 28497, 15),
(180875, NULL, 'PTHR26450:SF84', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51Q1', NULL, NULL, NULL, 15),
(180876, NULL, 'PTHR33841:SF4', NULL, NULL, NULL, NULL, 'ENDONUCLEASE-METHYLTRANSFERASE FUSION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(180877, NULL, 'PTHR24054:SF34', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA''', NULL, NULL, NULL, 15),
(180878, NULL, 'PTHR45181:SF4', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DNAJ WITH TETRATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(180879, NULL, 'PTHR15508:SF8', NULL, NULL, NULL, NULL, 'LD24550P', NULL, NULL, NULL, 15),
(180880, NULL, 'PTHR24092:SF168', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE 4-RELATED', NULL, NULL, NULL, 15),
(180881, NULL, 'PTHR46662:SF47', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(180882, NULL, 'PTHR45775:SF2', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN REM 1', NULL, NULL, NULL, 15),
(180883, NULL, 'PTHR33227:SF26', NULL, NULL, NULL, NULL, 'OS01G0248000 PROTEIN', NULL, NULL, NULL, 15),
(180884, NULL, 'PTHR23500:SF127', NULL, NULL, NULL, NULL, 'OS05G0169700 PROTEIN', NULL, NULL, NULL, 15),
(180885, NULL, 'PTHR48029:SF7', NULL, NULL, NULL, NULL, 'OS08G0139000 PROTEIN', NULL, NULL, NULL, 15),
(180886, NULL, 'PTHR21659:SF73', NULL, NULL, NULL, NULL, 'HYDROPHOBIC PROTEIN RCI2B', NULL, NULL, NULL, 15),
(180887, NULL, 'PTHR30540:SF31', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 18', NULL, NULL, NULL, 15),
(180888, NULL, 'PTHR46858:SF8', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE APD2', NULL, NULL, NULL, 15),
(180889, NULL, 'PTHR46753', NULL, NULL, NULL, NULL, 'FYVE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(180890, NULL, 'PTHR47372:SF25', NULL, NULL, NULL, NULL, 'BNACNNG36560D PROTEIN', NULL, NULL, NULL, 15),
(180891, NULL, 'PTHR47928:SF165', NULL, NULL, NULL, NULL, 'OS02G0164600 PROTEIN', NULL, NULL, NULL, 15),
(180892, NULL, 'PTHR47926:SF83', NULL, NULL, NULL, NULL, 'OS11G0587100 PROTEIN', NULL, NULL, NULL, 15),
(180893, NULL, 'PTHR43782', NULL, NULL, NULL, NULL, 'ARGINASE', NULL, NULL, 2821, 15),
(180894, NULL, 'PTHR37389:SF11', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 10-LIKE', NULL, NULL, NULL, 15),
(180895, NULL, 'PTHR46195:SF3', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(180896, NULL, 'PTHR46546:SF4', NULL, NULL, NULL, NULL, 'SHEWANELLA-LIKE PROTEIN PHOSPHATASE 1', NULL, NULL, NULL, 15),
(180897, NULL, 'PTHR12673:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180898, NULL, 'PTHR31354:SF12', NULL, NULL, NULL, NULL, 'BNAA07G28690D PROTEIN', NULL, NULL, NULL, 15),
(180899, NULL, 'PTHR11054:SF9', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', NULL, NULL, NULL, 15),
(180900, NULL, 'PTHR31639:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180901, NULL, 'PTHR21304:SF10', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT MIC10', NULL, NULL, NULL, 15),
(180902, NULL, 'PTHR13964:SF25', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 5A', NULL, NULL, NULL, 15),
(180903, NULL, 'PTHR23013:SF13', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180904, NULL, 'PTHR24031:SF645', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180905, NULL, 'PTHR33779:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180906, NULL, 'PTHR31948:SF124', NULL, NULL, NULL, NULL, 'BNAA09G44460D PROTEIN', NULL, NULL, NULL, 15),
(180907, NULL, 'PTHR24230:SF123', NULL, NULL, NULL, NULL, 'SI:CH73-379F7.4', NULL, NULL, NULL, 15),
(180908, NULL, 'PTHR27009:SF204', NULL, NULL, NULL, NULL, 'BNAC08G11340D PROTEIN', NULL, NULL, NULL, 15),
(180909, NULL, 'PTHR43806:SF39', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.9', NULL, NULL, NULL, 15),
(180910, NULL, 'PTHR43660:SF1', NULL, NULL, NULL, NULL, 'DIPEPTIDYL CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(180911, NULL, 'PTHR45821', NULL, NULL, NULL, NULL, 'SNF2 DOMAIN-CONTAINING PROTEIN CLASSY 2-RELATED', NULL, NULL, 38578, 15),
(180912, NULL, 'PTHR23123:SF31', NULL, NULL, NULL, NULL, 'LYSINE (K)-SPECIFIC DEMETHYLASE 2AA', NULL, NULL, NULL, 15),
(180913, NULL, 'PTHR12773:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180914, NULL, 'PTHR47990:SF114', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 2', NULL, NULL, NULL, 15),
(180915, NULL, 'PTHR45924:SF2', NULL, NULL, NULL, NULL, 'FI17866P1', NULL, NULL, NULL, 15),
(180916, NULL, 'PTHR12015:SF175', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-C MOTIF) LIGAND 25A-RELATED', NULL, NULL, NULL, 15),
(180917, NULL, 'PTHR35094:SF4', NULL, NULL, NULL, NULL, 'CHITIN-BINDING LECTIN 1-LIKE', NULL, NULL, NULL, 15),
(180918, NULL, 'PTHR21700:SF45', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(180919, NULL, 'PTHR31062:SF218', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(180920, NULL, 'PTHR45647:SF91', NULL, NULL, NULL, NULL, 'BNAC02G44910D PROTEIN', NULL, NULL, NULL, 15),
(180921, NULL, 'PTHR24412:SF450', NULL, NULL, NULL, NULL, 'LP02641P', NULL, NULL, NULL, 15),
(180922, NULL, 'PTHR13129:SF5', NULL, NULL, NULL, NULL, 'BNAA03G51310D PROTEIN', NULL, NULL, NULL, 15),
(180923, NULL, 'PTHR11260:SF646', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE U17-LIKE', NULL, NULL, NULL, 15),
(180924, NULL, 'PTHR11210:SF27', NULL, NULL, NULL, NULL, 'RING-BOX PROTEIN 2', NULL, NULL, NULL, 15),
(180925, NULL, 'PTHR31388:SF133', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(180926, NULL, 'PTHR12735:SF27', NULL, NULL, NULL, NULL, 'BOLA-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(180927, NULL, 'PTHR12932:SF23', NULL, NULL, NULL, NULL, 'TUBULIN POLYMERIZATION-PROMOTING PROTEIN FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(180928, NULL, 'PTHR12526:SF584', NULL, NULL, NULL, NULL, 'SLL1534 PROTEIN', NULL, NULL, NULL, 15),
(180929, NULL, 'PTHR47926:SF236', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180930, NULL, 'PTHR23260:SF3', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 3-1', NULL, NULL, NULL, 15),
(180931, NULL, 'PTHR31264:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180932, NULL, 'PTHR13348:SF0', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P29', NULL, NULL, NULL, 15),
(180933, NULL, 'PTHR36326:SF11', NULL, NULL, NULL, NULL, 'MALE STERILITY MS5 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(180934, NULL, 'PTHR47991:SF49', NULL, NULL, NULL, NULL, '3-DIOXYGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(180935, NULL, 'PTHR32227:SF349', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(180936, NULL, 'PTHR10795:SF348', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE PROTEASE', NULL, NULL, NULL, 15),
(180937, NULL, 'PTHR10993', NULL, NULL, NULL, NULL, 'OCTANOYLTRANSFERASE', NULL, NULL, NULL, 15),
(180938, NULL, 'PTHR12297:SF9', NULL, NULL, NULL, NULL, 'HIG1 DOMAIN FAMILY MEMBER 1B', NULL, NULL, NULL, 15),
(180939, NULL, 'PTHR31301:SF162', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(180940, NULL, 'PTHR31828:SF21', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180941, NULL, 'PTHR34463:SF4', NULL, NULL, NULL, NULL, 'BNAA01G23450D PROTEIN', NULL, NULL, NULL, 15),
(180942, NULL, 'PTHR14199:SF37', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(180943, NULL, 'PTHR33120:SF47', NULL, NULL, NULL, NULL, 'OS10G0197000 PROTEIN', NULL, NULL, NULL, 15),
(180944, NULL, 'PTHR24027:SF416', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180945, NULL, 'PTHR35213:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180946, NULL, 'PTHR26451:SF128', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(180947, NULL, 'PTHR11932:SF149', NULL, NULL, NULL, NULL, 'BNAC05G01600D PROTEIN', NULL, NULL, NULL, 15),
(180948, NULL, 'PTHR45800:SF33', NULL, NULL, NULL, NULL, 'OS01G0234850 PROTEIN', NULL, NULL, NULL, 15),
(180949, NULL, 'PTHR30629:SF6', NULL, NULL, NULL, NULL, 'PROPHAGE INTEGRASE INTA-RELATED', NULL, NULL, NULL, 15),
(180950, NULL, 'PTHR16719:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE COPPER CHAPERONE', NULL, NULL, NULL, 15),
(180951, NULL, 'PTHR19139:SF38', NULL, NULL, NULL, NULL, 'AQUAPORIN-5', NULL, NULL, 17904, 15),
(180952, NULL, 'PTHR22943:SF113', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(180953, NULL, 'PTHR33090:SF3', NULL, NULL, NULL, NULL, 'OS06G0683600 PROTEIN', NULL, NULL, NULL, 15),
(180954, NULL, 'PTHR42714', NULL, NULL, NULL, NULL, 'TRNA MODIFICATION GTPASE GTPBP3', NULL, NULL, NULL, 15),
(180955, NULL, 'PTHR31638:SF4', NULL, NULL, NULL, NULL, 'DAZ-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(180956, NULL, 'PTHR45621:SF100', NULL, NULL, NULL, NULL, 'OS10G0405100 PROTEIN', NULL, NULL, NULL, 15),
(180957, NULL, 'PTHR24281:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180958, NULL, 'PTHR33180:SF15', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP43 REACTION CENTER PROTEIN', NULL, NULL, NULL, 15),
(180959, NULL, 'PTHR24281:SF124', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A6', NULL, NULL, NULL, 15),
(180960, NULL, 'PTHR45614:SF76', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB124', NULL, NULL, NULL, 15),
(180961, NULL, 'PTHR27002:SF777', NULL, NULL, NULL, NULL, 'OS07G0541000 PROTEIN', NULL, NULL, NULL, 15),
(180962, NULL, 'PTHR31735:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 110,-LIKE', NULL, NULL, NULL, 15),
(180963, NULL, 'PTHR23255:SF22', NULL, NULL, NULL, NULL, 'ACTIVIN RECEPTOR TYPE-1B', NULL, NULL, NULL, 15),
(180964, NULL, 'PTHR10502:SF198', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(180965, NULL, 'PTHR43329:SF110', NULL, NULL, NULL, NULL, 'SOLUBLE EPOXIDE HYDROLASE', NULL, NULL, NULL, 15),
(180966, NULL, 'PTHR24034:SF145', NULL, NULL, NULL, NULL, 'FIBRILLIN 2A', NULL, NULL, NULL, 15),
(180967, NULL, 'PTHR10837:SF3', NULL, NULL, NULL, NULL, 'PROTEIN-ARGININE DEIMINASE TYPE-4', NULL, NULL, NULL, 15),
(180968, NULL, 'PTHR31707:SF302', NULL, NULL, NULL, NULL, 'BNAC09G46900D PROTEIN', NULL, NULL, NULL, 15),
(180969, NULL, 'PTHR46174:SF1', NULL, NULL, NULL, NULL, 'CXXC-TYPE ZINC FINGER PROTEIN 1', NULL, NULL, NULL, 15),
(180970, NULL, 'PTHR24177:SF270', NULL, NULL, NULL, NULL, 'RECEPTOR-INTERACTING SERINE/THREONINE-PROTEIN KINASE 4-LIKE', NULL, NULL, NULL, 15),
(180971, NULL, 'PTHR47958:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180972, NULL, 'PTHR10288:SF283', NULL, NULL, NULL, NULL, 'FLOWERING LOCUS K-LIKE PROTEINY DOMAIN', NULL, NULL, NULL, 15),
(180973, NULL, 'PTHR39328', NULL, NULL, NULL, NULL, 'BLL2871 PROTEIN', NULL, NULL, NULL, 15),
(180974, NULL, 'PTHR11229:SF8', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(180975, NULL, 'PTHR24220:SF648', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(180976, NULL, 'PTHR35989:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 32', NULL, NULL, NULL, 15),
(180977, NULL, 'PTHR45614:SF156', NULL, NULL, NULL, NULL, 'BNAC04G32490D PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(180978, NULL, 'PTHR37198', NULL, NULL, NULL, NULL, 'NUCLEOLIN', NULL, NULL, NULL, 15),
(180979, NULL, 'PTHR15459', NULL, NULL, NULL, NULL, 'POLYAMINE-MODULATED FACTOR 1', NULL, NULL, 483, 15),
(180980, NULL, 'PTHR24286:SF102', NULL, NULL, NULL, NULL, 'OS02G0675400 PROTEIN', NULL, NULL, NULL, 15),
(180981, NULL, 'PTHR45793:SF11', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CEH-36', NULL, NULL, NULL, 15),
(180982, NULL, 'PTHR46880:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN C17ORF113', NULL, NULL, NULL, 15),
(180983, NULL, 'PTHR23201:SF118', NULL, NULL, NULL, NULL, 'GIBBERELLIN STIMULATED TRANSCRIPT RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(180984, NULL, 'PTHR12681:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 15', NULL, NULL, NULL, 15),
(180985, NULL, 'PTHR19446:SF405', NULL, NULL, NULL, NULL, 'NUCLEIC-ACID-BINDING PROTEIN FROM TRANSPOSON X-ELEMENT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(180986, NULL, 'PTHR10252:SF43', NULL, NULL, NULL, NULL, 'OS01G0102400 PROTEIN', NULL, NULL, NULL, 15),
(180987, NULL, 'PTHR31325:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180988, NULL, 'PTHR13866:SF22', NULL, NULL, NULL, NULL, 'FOLLISTATIN', NULL, NULL, NULL, 15),
(180989, NULL, 'PTHR33076:SF124', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(180990, NULL, 'PTHR31190:SF271', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(180991, NULL, 'PTHR36023:SF5', NULL, NULL, NULL, NULL, 'OS01G0888800 PROTEIN', NULL, NULL, NULL, 15),
(180992, NULL, 'PTHR22792:SF79', NULL, NULL, NULL, NULL, 'OS02G0610400 PROTEIN', NULL, NULL, NULL, 15),
(180993, NULL, 'PTHR12931:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(180994, NULL, 'PTHR43501', NULL, NULL, NULL, NULL, 'CYTOSOL NON-SPECIFIC DIPEPTIDASE', NULL, NULL, 1391, 15),
(180995, NULL, 'PTHR46237:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 REDUCTASE 4', NULL, NULL, NULL, 15),
(180996, NULL, 'PTHR24015:SF96', NULL, NULL, NULL, NULL, 'OS01G0848300 PROTEIN', NULL, NULL, NULL, 15),
(180997, NULL, 'PTHR19139:SF270', NULL, NULL, NULL, NULL, 'ENTOMOGLYCEROPORIN 1-RELATED', NULL, NULL, NULL, 15),
(180998, NULL, 'PTHR47928:SF53', NULL, NULL, NULL, NULL, 'OS02G0152100 PROTEIN', NULL, NULL, NULL, 15),
(180999, NULL, 'PTHR31213:SF131', NULL, NULL, NULL, NULL, 'PYR1-LIKE 4-RELATED', NULL, NULL, NULL, 15),
(181000, NULL, 'PTHR16983:SF13', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6E', NULL, NULL, NULL, 15),
(181001, NULL, 'PTHR31945:SF87', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR-RELATED', NULL, NULL, NULL, 15),
(181002, NULL, 'PTHR38926:SF20', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP19-RELATED', NULL, NULL, NULL, 15),
(181003, NULL, 'PTHR11937:SF436', NULL, NULL, NULL, NULL, 'ACTIN-101-LIKE', NULL, NULL, NULL, 15),
(181004, NULL, 'PTHR45702:SF3', NULL, NULL, NULL, NULL, 'KUZBANIAN-LIKE, ISOFORM A', NULL, NULL, NULL, 15),
(181005, NULL, 'PTHR22894:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF170-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(181006, NULL, 'PTHR10641:SF1170', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB122', NULL, NULL, NULL, 15),
(181007, NULL, 'PTHR43884:SF9', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FAMILY MEMBER 9, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(181008, NULL, 'PTHR11017:SF368', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181009, NULL, 'PTHR45886:SF10', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(181010, NULL, 'PTHR15993', NULL, NULL, NULL, NULL, 'HEMOGEN', NULL, NULL, 32727, 15),
(181011, NULL, 'PTHR43712:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181012, NULL, 'PTHR31568:SF72', NULL, NULL, NULL, NULL, 'ADHESIVE/PROLINE-RICH-LIKE PROTEIN', NULL, NULL, NULL, 15),
(181013, NULL, 'PTHR31016:SF5', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(181014, NULL, 'PTHR15901:SF16', NULL, NULL, NULL, NULL, 'TESTICULAR HAPLOID EXPRESSED GENE PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181015, NULL, 'PTHR45781:SF6', NULL, NULL, NULL, NULL, 'TOX HIGH MOBILITY GROUP BOX FAMILY MEMBER 4 A', NULL, NULL, NULL, 15),
(181016, NULL, 'PTHR47928:SF20', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(181017, NULL, 'PTHR24296:SF213', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181018, NULL, 'PTHR24067:SF320', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1', NULL, NULL, NULL, 15),
(181019, NULL, 'PTHR47999:SF48', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(181020, NULL, 'PTHR10687:SF70', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(181021, NULL, 'PTHR31801', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 24, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(181022, NULL, 'PTHR14042:SF22', NULL, NULL, NULL, NULL, 'PROTEIN DOPEY-1', NULL, NULL, NULL, 15),
(181023, NULL, 'PTHR21700:SF4', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(181024, NULL, 'PTHR35099:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181025, NULL, 'PTHR10527:SF71', NULL, NULL, NULL, NULL, 'BNAANNG11870D PROTEIN', NULL, NULL, NULL, 15),
(181026, NULL, 'PTHR11908:SF88', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE 4', NULL, NULL, NULL, 15),
(181027, NULL, 'PTHR13800:SF8', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL SUBFAMILY M MEMBER 7', NULL, NULL, 26122, 15),
(181028, NULL, 'PTHR36328:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181029, NULL, 'PTHR24015:SF339', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(181030, NULL, 'PTHR47993:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181031, NULL, 'PTHR33057:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181032, NULL, 'PTHR43003:SF10', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181033, NULL, 'PTHR12801:SF135', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE 4', NULL, NULL, NULL, 15),
(181034, NULL, 'PTHR14270', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35609, 15),
(181035, NULL, 'PTHR33044:SF136', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(181036, NULL, 'PTHR47100:SF6', NULL, NULL, NULL, NULL, 'OS01G0347000 PROTEIN', NULL, NULL, NULL, 15),
(181037, NULL, 'PTHR16675:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181038, NULL, 'PTHR13533:SF36', NULL, NULL, NULL, NULL, 'PROTEIN REDUCED WALL ACETYLATION 3-LIKE', NULL, NULL, NULL, 15),
(181039, NULL, 'PTHR24046:SF2', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE, CUB AND EGF-LIKE DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(181040, NULL, 'PTHR30231:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181041, NULL, 'PTHR22923:SF87', NULL, NULL, NULL, NULL, 'SI:CH211-219A15.3', NULL, NULL, NULL, 15),
(181042, NULL, 'PTHR48001:SF92', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(181043, NULL, 'PTHR24067:SF263', NULL, NULL, NULL, NULL, 'UBE2G1 PROTEIN', NULL, NULL, NULL, 15),
(181044, NULL, 'PTHR23145:SF6', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP NUCLEOSOME-BINDING DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(181045, NULL, 'PTHR33214:SF59', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(181046, NULL, 'PTHR10562:SF106', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEIN PMT3/SMT3', NULL, NULL, NULL, 15),
(181047, NULL, 'PTHR35310', NULL, NULL, NULL, NULL, 'CELL WALL INTEGRITY/STRESS RESPONSE COMPONENT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(181048, NULL, 'PTHR10489:SF733', NULL, NULL, NULL, NULL, 'ATYPICAL CHEMOKINE RECEPTOR 4', NULL, NULL, NULL, 15),
(181049, NULL, 'PTHR34609:SF16', NULL, NULL, NULL, NULL, 'GEO08273P1-RELATED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181050, NULL, 'PTHR47450', NULL, NULL, NULL, NULL, 'GLUCOKINASE', NULL, NULL, NULL, 15),
(181051, NULL, 'PTHR13136:SF3', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 30', NULL, NULL, NULL, 15),
(181052, NULL, 'PTHR47999:SF37', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR8', NULL, NULL, NULL, 15),
(181053, NULL, 'PTHR22752:SF10', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 161', NULL, NULL, NULL, 15),
(181054, NULL, 'PTHR39145:SF1', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT CNL1', NULL, NULL, NULL, 15),
(181055, NULL, 'PTHR24015:SF46', NULL, NULL, NULL, NULL, 'OS12G0181900 PROTEIN', NULL, NULL, NULL, 15),
(181056, NULL, 'PTHR12859:SF8', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(181057, NULL, 'PTHR36300:SF1', NULL, NULL, NULL, NULL, 'RAW, ISOFORM A', NULL, NULL, NULL, 15),
(181058, NULL, 'PTHR42647:SF58', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 1-LIKE', NULL, NULL, NULL, 15),
(181059, NULL, 'PTHR36586:SF28', NULL, NULL, NULL, NULL, 'EXTENSIN-2-LIKE', NULL, NULL, NULL, 15),
(181060, NULL, 'PTHR48169', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181061, NULL, 'PTHR47977:SF40', NULL, NULL, NULL, NULL, 'RAB GTPASE', NULL, NULL, NULL, 15),
(181062, NULL, 'PTHR38500', NULL, NULL, NULL, NULL, 'SURFACTANT-ASSOCIATED PROTEIN 2', NULL, NULL, 23116, 15),
(181063, NULL, 'PTHR12608:SF11', NULL, NULL, NULL, NULL, 'GDT1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(181064, NULL, 'PTHR21470:SF21', NULL, NULL, NULL, NULL, 'BNACNNG32210D PROTEIN', NULL, NULL, NULL, 15),
(181065, NULL, 'PTHR24115:SF920', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14B', NULL, NULL, NULL, 15),
(181066, NULL, 'PTHR16950:SF17', NULL, NULL, NULL, NULL, 'ZRT (ZRT), IRT-(IRT-) LIKE PROTEIN TRANSPORTER', NULL, NULL, NULL, 15),
(181067, NULL, 'PTHR14009:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181068, NULL, 'PTHR24356:SF181', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C THETA TYPE', NULL, NULL, NULL, 15),
(181069, NULL, 'PTHR30425:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORT SYSTEM PERMEASE PROTEIN PSTC', NULL, NULL, NULL, 15),
(181070, NULL, 'PTHR11132:SF378', NULL, NULL, NULL, NULL, 'BNAA04G16380D PROTEIN', NULL, NULL, NULL, 15),
(181071, NULL, 'PTHR45663:SF32', NULL, NULL, NULL, NULL, 'THIOREDOXIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181072, NULL, 'PTHR43275:SF1', NULL, NULL, NULL, NULL, 'D-MALATE DEHYDROGENASE [DECARBOXYLATING]', NULL, NULL, NULL, 15),
(181073, NULL, 'PTHR43783:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 1-CARBOXYVINYLTRANSFERASE', NULL, NULL, NULL, 15),
(181074, NULL, 'PTHR21479:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG11683', NULL, NULL, NULL, 15),
(181075, NULL, 'PTHR34788:SF4', NULL, NULL, NULL, NULL, 'F15I1.22', NULL, NULL, NULL, 15),
(181076, NULL, 'PTHR33432:SF28', NULL, NULL, NULL, NULL, 'PROTEIN EMSY-LIKE 4', NULL, NULL, NULL, 15),
(181077, NULL, 'PTHR22988:SF66', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE GENGHIS KHAN', NULL, NULL, NULL, 15),
(181078, NULL, 'PTHR42910', NULL, NULL, NULL, NULL, 'TRANSPORTER SCO4007-RELATED', NULL, NULL, NULL, 15),
(181079, NULL, 'PTHR23024:SF513', NULL, NULL, NULL, NULL, 'BNAA02G33300D PROTEIN', NULL, NULL, NULL, 15),
(181080, NULL, 'PTHR43627', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 11780, 15),
(181081, NULL, 'PTHR34043:SF5', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(181082, NULL, 'PTHR31707:SF259', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(181083, NULL, 'PTHR33057:SF137', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP12-LIKE', NULL, NULL, NULL, 15),
(181084, NULL, 'PTHR28533', NULL, NULL, NULL, NULL, 'PROTEIN PBN1', NULL, NULL, 38245, 15),
(181085, NULL, 'PTHR10277:SF64', NULL, NULL, NULL, NULL, '2-ISOPROPYLMALATE SYNTHASE 1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(181086, NULL, 'PTHR22920:SF7', NULL, NULL, NULL, NULL, 'MAJOR SPERM PROTEIN 78', NULL, NULL, NULL, 15),
(181087, NULL, 'PTHR40429', NULL, NULL, NULL, NULL, 'FLAGELLAR ASSOCIATED PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181088, NULL, 'PTHR38525:SF1', NULL, NULL, NULL, NULL, 'OS03G0824500 PROTEIN', NULL, NULL, NULL, 15),
(181089, NULL, 'PTHR46397:SF5', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(181090, NULL, 'PTHR31867', NULL, NULL, NULL, NULL, 'EXPANSIN-A15', NULL, NULL, 872, 15),
(181091, NULL, 'PTHR33047', NULL, NULL, NULL, NULL, 'PROTEIN TAR1', NULL, NULL, NULL, 15),
(181092, NULL, 'PTHR45693:SF48', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGAL1', NULL, NULL, NULL, 15),
(181093, NULL, 'PTHR12262:SF0', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 9', NULL, NULL, 6106, 15),
(181094, NULL, 'PTHR31407:SF20', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL 19 KDA PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(181095, NULL, 'PTHR11142:SF21', NULL, NULL, NULL, NULL, 'TRNA PSEUDOURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(181096, NULL, 'PTHR24637:SF255', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(181097, NULL, 'PTHR15104', NULL, NULL, NULL, NULL, 'DIHYDROPTERIDINE REDUCTASE', NULL, NULL, NULL, 15),
(181098, NULL, 'PTHR11132:SF304', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181099, NULL, 'PTHR31790:SF360', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181100, NULL, 'PTHR43877:SF2', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(181101, NULL, 'PTHR30532:SF24', NULL, NULL, NULL, NULL, 'PERIPLASMIC IRON-TRANSPORT LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(181102, NULL, 'PTHR20383', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II SUBUNIT A C-TERMINAL DOMAIN PHOSPHATASE', NULL, NULL, 3604, 15),
(181103, NULL, 'PTHR10903:SF68', NULL, NULL, NULL, NULL, 'TRANSLOCASE OF CHLOROPLAST 90, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(181104, NULL, 'PTHR33132:SF64', NULL, NULL, NULL, NULL, 'OS02G0799700 PROTEIN', NULL, NULL, NULL, 15),
(181105, NULL, 'PTHR23257:SF840', NULL, NULL, NULL, NULL, 'MITOSIS INHIBITOR PROTEIN KINASE WEE1-LIKE', NULL, NULL, NULL, 15),
(181106, NULL, 'PTHR12000:SF30', NULL, NULL, NULL, NULL, 'VACUOLAR-PROCESSING ENZYME-LIKE', NULL, NULL, NULL, 15),
(181107, NULL, 'PTHR33884:SF7', NULL, NULL, NULL, NULL, 'BSL8023 PROTEIN', NULL, NULL, NULL, 15),
(181108, NULL, 'PTHR34057:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181109, NULL, 'PTHR22957:SF563', NULL, NULL, NULL, NULL, 'RABGAP/TBC DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(181110, NULL, 'PTHR33222:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(181111, NULL, 'PTHR43452:SF11', NULL, NULL, NULL, NULL, 'DECARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G00750)-RELATED', NULL, NULL, NULL, 15),
(181112, NULL, 'PTHR12628:SF16', NULL, NULL, NULL, NULL, 'BNAA05G20560D PROTEIN', NULL, NULL, NULL, 15),
(181113, NULL, 'PTHR22762:SF151', NULL, NULL, NULL, NULL, 'ALPHA-XYLOSIDASE 1-RELATED', NULL, NULL, NULL, 15),
(181114, NULL, 'PTHR31495:SF36', NULL, NULL, NULL, NULL, 'PEROXYGENASE 1', NULL, NULL, NULL, 15),
(181115, NULL, 'PTHR10983:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBR-BUS-18', NULL, NULL, NULL, 15),
(181116, NULL, 'PTHR45389', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN RUP1', NULL, NULL, 38521, 15),
(181117, NULL, 'PTHR33076:SF56', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 4', NULL, NULL, NULL, 15),
(181118, NULL, 'PTHR24034:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181119, NULL, 'PTHR19134:SF468', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE GAMMA', NULL, NULL, NULL, 15),
(181120, NULL, 'PTHR11991:SF9', NULL, NULL, NULL, NULL, 'TPT1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181121, NULL, 'PTHR33021:SF382', NULL, NULL, NULL, NULL, 'BNAANNG21890D PROTEIN', NULL, NULL, NULL, 15),
(181122, NULL, 'PTHR33085:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181123, NULL, 'PTHR47965:SF14', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181124, NULL, 'PTHR12232:SF1', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING GLUTAMIC ACID-RICH PROTEIN', NULL, NULL, NULL, 15),
(181125, NULL, 'PTHR12497:SF5', NULL, NULL, NULL, NULL, 'N-ACYLPHOSPHATIDYLETHANOLAMINE SYNTHASE', NULL, NULL, NULL, 15),
(181126, NULL, 'PTHR34565:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(181127, NULL, 'PTHR35683:SF3', NULL, NULL, NULL, NULL, 'GENE, 21886-RELATED', NULL, NULL, NULL, 15),
(181128, NULL, 'PTHR32254:SF19', NULL, NULL, NULL, NULL, 'BNAA01G06130D PROTEIN', NULL, NULL, NULL, 15),
(181129, NULL, 'PTHR10811:SF81', NULL, NULL, NULL, NULL, 'TRANSFERRING GLYCOSYL GROUP TRANSFERASE', NULL, NULL, NULL, 15),
(181130, NULL, 'PTHR11692:SF2', NULL, NULL, NULL, NULL, 'BNAA04G29080D PROTEIN', NULL, NULL, NULL, 15),
(181131, NULL, 'PTHR47964:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE HOMOLOG RECG, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(181132, NULL, 'PTHR10535:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I, II, AND III SUBUNIT RPABC1', NULL, NULL, NULL, 15),
(181133, NULL, 'PTHR33373:SF26', NULL, NULL, NULL, NULL, 'BNAC03G67340D PROTEIN', NULL, NULL, NULL, 15),
(181134, NULL, 'PTHR40741', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181135, NULL, 'PTHR48015:SF17', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PAK 4', NULL, NULL, NULL, 15),
(181136, NULL, 'PTHR19446:SF441', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181137, NULL, 'PTHR46052:SF4', NULL, NULL, NULL, NULL, 'PHOSDUCIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(181138, NULL, 'PTHR33132:SF50', NULL, NULL, NULL, NULL, 'OS08G0167249 PROTEIN', NULL, NULL, NULL, 15),
(181139, NULL, 'PTHR24349:SF434', NULL, NULL, NULL, NULL, 'BNAC02G41580D PROTEIN', NULL, NULL, NULL, 15),
(181140, NULL, 'PTHR11636:SF89', NULL, NULL, NULL, NULL, 'POU DOMAIN PROTEIN CF1A', NULL, NULL, NULL, 15),
(181141, NULL, 'PTHR15384', NULL, NULL, NULL, NULL, 'PROTEIN EVI2B', NULL, NULL, 33552, 15),
(181142, NULL, 'PTHR23132:SF21', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(181143, NULL, 'PTHR10340:SF31', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE ASM-3-RELATED', NULL, NULL, NULL, 15),
(181144, NULL, 'PTHR21324:SF2', NULL, NULL, NULL, NULL, 'EG:22E5.9 PROTEIN', NULL, NULL, NULL, 15),
(181145, NULL, 'PTHR31829:SF5', NULL, NULL, NULL, NULL, 'OS11G0708500 PROTEIN', NULL, NULL, NULL, 15),
(181146, NULL, 'PTHR23500:SF17', NULL, NULL, NULL, NULL, 'OS11G0637200 PROTEIN', NULL, NULL, NULL, 15),
(181147, NULL, 'PTHR46327:SF6', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(181148, NULL, 'PTHR33228:SF50', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 6-LIKE', NULL, NULL, NULL, 15),
(181149, NULL, 'PTHR48041:SF84', NULL, NULL, NULL, NULL, 'WHITE (DROSOPHILA) RELATED ABC TRANSPORTER', NULL, NULL, NULL, 15),
(181150, NULL, 'PTHR10779:SF29', NULL, NULL, NULL, NULL, 'LIGHT CHAIN 2B, CYTOPLASMIC, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(181151, NULL, 'PTHR45348:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181152, NULL, 'PTHR23195:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 14B', NULL, NULL, NULL, 15),
(181153, NULL, 'PTHR46620:SF1', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN SPF31', NULL, NULL, NULL, 15),
(181154, NULL, 'PTHR42707:SF2', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE FAMILY MEMBER 11', NULL, NULL, NULL, 15),
(181155, NULL, 'PTHR11742:SF85', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(181156, NULL, 'PTHR45999:SF3', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG D', NULL, NULL, NULL, 15),
(181157, NULL, 'PTHR24256:SF511', NULL, NULL, NULL, NULL, 'TRYPTASE DELTA', NULL, NULL, NULL, 15),
(181158, NULL, 'PTHR37401:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181159, NULL, 'PTHR48019:SF17', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL80', NULL, NULL, NULL, 15),
(181160, NULL, 'PTHR31778:SF2', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN RAX2', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181161, NULL, 'PTHR33377:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181162, NULL, 'PTHR10000:SF8', NULL, NULL, NULL, NULL, 'MANNOSYL-3-PHOSPHOGLYCERATE PHOSPHATASE', NULL, NULL, NULL, 15),
(181163, NULL, 'PTHR11208:SF94', NULL, NULL, NULL, NULL, 'IP21806P', NULL, NULL, NULL, 15),
(181164, NULL, 'PTHR36153', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181165, NULL, 'PTHR47956:SF1', NULL, NULL, NULL, NULL, 'OS01G0377000 PROTEIN', NULL, NULL, NULL, 15),
(181166, NULL, 'PTHR31079:SF33', NULL, NULL, NULL, NULL, 'BNACNNG25190D PROTEIN', NULL, NULL, NULL, 15),
(181167, NULL, 'PTHR22916:SF66', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(181168, NULL, 'PTHR24023:SF1024', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181169, NULL, 'PTHR37869', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 89', NULL, NULL, 28624, 15),
(181170, NULL, 'PTHR45761:SF3', NULL, NULL, NULL, NULL, 'EXTENDED SYNAPTOTAGMIN-1', NULL, NULL, NULL, 15),
(181171, NULL, 'PTHR47322:SF13', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15),
(181172, NULL, 'PTHR21649:SF54', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(181173, NULL, 'PTHR11685:SF314', NULL, NULL, NULL, NULL, 'SI:CH211-212K18.15', NULL, NULL, NULL, 15),
(181174, NULL, 'PTHR19384:SF10', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT DIFLAVIN OXIDOREDUCTASE 1', NULL, NULL, NULL, 15),
(181175, NULL, 'PTHR45613:SF247', NULL, NULL, NULL, NULL, 'OS03G0728200 PROTEIN', NULL, NULL, NULL, 15),
(181176, NULL, 'PTHR46394', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(181177, NULL, 'PTHR10281:SF72', NULL, NULL, NULL, NULL, 'STEROID BINDING PROTEIN 1, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(181178, NULL, 'PTHR12306:SF16', NULL, NULL, NULL, NULL, 'DFFA ISOFORM 1', NULL, NULL, 16752, 15),
(181179, NULL, 'PTHR31852:SF188', NULL, NULL, NULL, NULL, 'EMB|CAB53482.1', NULL, NULL, NULL, 15),
(181180, NULL, 'PTHR11635:SF157', NULL, NULL, NULL, NULL, 'CAMP PROTEIN KINASE REGULATORY CHAIN', NULL, NULL, NULL, 15),
(181181, NULL, 'PTHR24123:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181182, NULL, 'PTHR27002:SF830', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD1-29', NULL, NULL, NULL, 15),
(181183, NULL, 'PTHR13526:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPT20 HOMOLOG ISOFORM C', NULL, NULL, NULL, 15),
(181184, NULL, 'PTHR21166', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(181185, NULL, 'PTHR30224', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(181186, NULL, 'PTHR18849:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING 61', NULL, NULL, NULL, 15),
(181187, NULL, 'PTHR33648:SF27', NULL, NULL, NULL, NULL, 'PEPTIDOGLYCAN-BINDING LYSM DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(181188, NULL, 'PTHR33305:SF37', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 4 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181189, NULL, 'PTHR30295:SF0', NULL, NULL, NULL, NULL, 'BACTERIOFERRITIN', NULL, NULL, NULL, 15),
(181190, NULL, 'PTHR13924', NULL, NULL, NULL, NULL, 'TRANSFORMING ACIDIC COILED-COIL CONTAINING PROTEIN 1/2', NULL, NULL, 34777, 15),
(181191, NULL, 'PTHR14154:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER 2', NULL, NULL, NULL, 15),
(181192, NULL, 'PTHR24258:SF128', NULL, NULL, NULL, NULL, 'TEQUILA, ISOFORM G', NULL, NULL, NULL, 15),
(181193, NULL, 'PTHR45868:SF43', NULL, NULL, NULL, NULL, 'BNAC07G32010D PROTEIN', NULL, NULL, NULL, 15),
(181194, NULL, 'PTHR12411:SF695', NULL, NULL, NULL, NULL, 'PAPAYA PROTEINASE 4', NULL, NULL, NULL, 15),
(181195, NULL, 'PTHR13148:SF1', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', NULL, NULL, NULL, 15),
(181196, NULL, 'PTHR31790:SF388', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181197, NULL, 'PTHR12419:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181198, NULL, 'PTHR46125:SF17', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 20-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(181199, NULL, 'PTHR32401:SF18', NULL, NULL, NULL, NULL, 'BNAC03G36250D PROTEIN', NULL, NULL, NULL, 15),
(181200, NULL, 'PTHR21523:SF6', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', NULL, NULL, NULL, 15),
(181201, NULL, 'PTHR11668:SF474', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP-Z1-RELATED', NULL, NULL, NULL, 15),
(181202, NULL, 'PTHR12618:SF20', NULL, NULL, NULL, NULL, 'PHD AND RING FINGER DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(181203, NULL, 'PTHR10351:SF63', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT BETA', NULL, NULL, NULL, 15),
(181204, NULL, 'PTHR43153:SF9', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(181205, NULL, 'PTHR21649:SF7', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(181206, NULL, 'PTHR33745:SF1', NULL, NULL, NULL, NULL, 'RSBT ANTAGONIST PROTEIN RSBS', NULL, NULL, NULL, 15),
(181207, NULL, 'PTHR10157:SF40', NULL, NULL, NULL, NULL, 'MOXD1 HOMOLOG 2', NULL, NULL, NULL, 15),
(181208, NULL, 'PTHR14098:SF16', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(181209, NULL, 'PTHR35357:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181210, NULL, 'PTHR45657:SF17', NULL, NULL, NULL, NULL, 'CELLULAR RETINALDEHYDE BINDING/ALPHA-TOCOPHEROL TRANSPORT, CRAL/TRIO-RELATED', NULL, NULL, NULL, 15),
(181211, NULL, 'PTHR20883:SF40', NULL, NULL, NULL, NULL, 'BNAC09G20570D PROTEIN', NULL, NULL, NULL, 15),
(181212, NULL, 'PTHR43655:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181213, NULL, 'PTHR30128:SF51', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A2', NULL, NULL, NULL, 15),
(181214, NULL, 'PTHR21669', NULL, NULL, NULL, NULL, 'CAPZ-INTERACTING PROTEIN AND RELATED PROTEINS', NULL, NULL, NULL, 15),
(181215, NULL, 'PTHR45730:SF50', NULL, NULL, NULL, NULL, 'OS12G0617001-LIKE PROTEIN', NULL, NULL, NULL, 15),
(181216, NULL, 'PTHR46514:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181217, NULL, 'PTHR24343:SF416', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G11930)-RELATED', NULL, NULL, NULL, 15),
(181218, NULL, 'PTHR45598:SF2', NULL, NULL, NULL, NULL, 'GLYCINE/PROLINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(181219, NULL, 'PTHR11926:SF1414', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(181220, NULL, 'PTHR14326:SF41', NULL, NULL, NULL, NULL, 'BNAC05G02060D PROTEIN', NULL, NULL, NULL, 15),
(181221, NULL, 'PTHR30540:SF95', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 10', NULL, NULL, NULL, 15),
(181222, NULL, 'PTHR34058', NULL, NULL, NULL, NULL, 'OXYGEN-EVOLVING ENHANCER PROTEIN 1-2, CHLOROPLASTIC', NULL, NULL, 2987, 15),
(181223, NULL, 'PTHR31589:SF137', NULL, NULL, NULL, NULL, 'NEP-INTERACTING PROTEIN (DUF239)', NULL, NULL, NULL, 15),
(181224, NULL, 'PTHR15597:SF46', NULL, NULL, NULL, NULL, 'SEX DETERMINATION PROTEIN FOX-1', NULL, NULL, NULL, 15),
(181225, NULL, 'PTHR45665:SF9', NULL, NULL, NULL, NULL, 'AQUAPORIN-8', NULL, NULL, NULL, 15),
(181226, NULL, 'PTHR11480:SF68', NULL, NULL, NULL, NULL, 'SAPOSIN B DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(181227, NULL, 'PTHR27004:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181228, NULL, 'PTHR13593:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181229, NULL, 'PTHR10602:SF3', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 2 SUBUNIT ALPHA-RELATED', NULL, NULL, NULL, 15),
(181230, NULL, 'PTHR39176:SF1', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181231, NULL, 'PTHR48002:SF113', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(181232, NULL, 'PTHR14684:SF2', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 15', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181233, NULL, 'PTHR32208:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181234, NULL, 'PTHR13068:SF103', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(181235, NULL, 'PTHR33623:SF15', NULL, NULL, NULL, NULL, 'GAR2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(181236, NULL, 'PTHR31282:SF141', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 74-RELATED', NULL, NULL, NULL, 15),
(181237, NULL, 'PTHR47293:SF24', NULL, NULL, NULL, NULL, 'MYROSINASE-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(181238, NULL, 'PTHR10869:SF167', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 4 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(181239, NULL, 'PTHR31862:SF1', NULL, NULL, NULL, NULL, 'UPF0261 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G10120)', NULL, NULL, NULL, 15),
(181240, NULL, 'PTHR33455', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181241, NULL, 'PTHR33981:SF10', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(181242, NULL, 'PTHR26379:SF242', NULL, NULL, NULL, NULL, 'OS08G0128700 PROTEIN', NULL, NULL, NULL, 15),
(181243, NULL, 'PTHR24414:SF111', NULL, NULL, NULL, NULL, 'BNAC05G43770D PROTEIN', NULL, NULL, NULL, 15),
(181244, NULL, 'PTHR12352:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181245, NULL, 'PTHR46405:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(181246, NULL, 'PTHR10869:SF185', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE, ALPHA POLYPEPTIDE I B-RELATED', NULL, NULL, NULL, 15),
(181247, NULL, 'PTHR48016:SF19', NULL, NULL, NULL, NULL, 'PROTEIN KINASE 1, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(181248, NULL, 'PTHR34136:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYL-D-MANNOSAMINURONIC ACID TRANSFERASE', NULL, NULL, NULL, 15),
(181249, NULL, 'PTHR31589:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181250, NULL, 'PTHR10052:SF38', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A-LIKE', NULL, NULL, NULL, 15),
(181251, NULL, 'PTHR31238:SF109', NULL, NULL, NULL, NULL, 'OS01G0249200 PROTEIN', NULL, NULL, NULL, 15),
(181252, NULL, 'PTHR31929:SF91', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(181253, NULL, 'PTHR30069:SF33', NULL, NULL, NULL, NULL, 'TRANSFERRIN-BINDING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(181254, NULL, 'PTHR46031', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181255, NULL, 'PTHR46144:SF1', NULL, NULL, NULL, NULL, 'ZGC:114104', NULL, NULL, NULL, 15),
(181256, NULL, 'PTHR26450:SF130', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 601', NULL, NULL, NULL, 15),
(181257, NULL, 'PTHR33699:SF19', NULL, NULL, NULL, NULL, 'OS01G0914000 PROTEIN', NULL, NULL, NULL, 15),
(181258, NULL, 'PTHR47966:SF6', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(181259, NULL, 'PTHR11692:SF1', NULL, NULL, NULL, NULL, 'AICARFT/IMPCHASE BIENZYME FAMILY PROTEIN', NULL, NULL, NULL, 15),
(181260, NULL, 'PTHR24281:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181261, NULL, 'PTHR11732:SF466', NULL, NULL, NULL, NULL, 'DEOXYMUGINEIC ACID SYNTHASE 1', NULL, NULL, NULL, 15),
(181262, NULL, 'PTHR11224:SF49', NULL, NULL, NULL, NULL, 'BNAA08G07960D PROTEIN', NULL, NULL, NULL, 15),
(181263, NULL, 'PTHR10693:SF72', NULL, NULL, NULL, NULL, 'BNAC06G30420D PROTEIN', NULL, NULL, NULL, 15),
(181264, NULL, 'PTHR11736:SF28', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN D1', NULL, NULL, 22184, 15),
(181265, NULL, 'PTHR15299', NULL, NULL, NULL, NULL, 'HERV-H LTR-ASSOCIATING PROTEIN 1', NULL, NULL, 33808, 15),
(181266, NULL, 'PTHR16560', NULL, NULL, NULL, NULL, 'ALPHA-2-MACROGLOBULIN RECEPTOR-ASSOCIATED PROTEIN', NULL, NULL, 35699, 15),
(181267, NULL, 'PTHR22595:SF158', NULL, NULL, NULL, NULL, 'ENDOCHITINASE EP3-LIKE', NULL, NULL, NULL, 15),
(181268, NULL, 'PTHR13809:SF5', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-5', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181269, NULL, 'PTHR47926:SF100', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(181270, NULL, 'PTHR46344:SF17', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', NULL, NULL, NULL, 15),
(181271, NULL, 'PTHR14499:SF112', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL TETRAMERISATION DOMAIN CONTAINING 15', NULL, NULL, NULL, 15),
(181272, NULL, 'PTHR43900:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181273, NULL, 'PTHR31953:SF91', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV2', NULL, NULL, NULL, 15),
(181274, NULL, 'PTHR47269:SF1', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP21-4', NULL, NULL, NULL, 15),
(181275, NULL, 'PTHR13061', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT P25', NULL, NULL, NULL, 15),
(181276, NULL, 'PTHR11771:SF165', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(181277, NULL, 'PTHR10331:SF6', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN J', NULL, NULL, NULL, 15),
(181278, NULL, 'PTHR31388:SF150', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(181279, NULL, 'PTHR14217:SF19', NULL, NULL, NULL, NULL, 'INOSITOL-TETRAKISPHOSPHATE 1-KINASE 2', NULL, NULL, NULL, 15),
(181280, NULL, 'PTHR27006:SF215', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(181281, NULL, 'PTHR33333:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181282, NULL, 'PTHR45719:SF22', NULL, NULL, NULL, NULL, 'BNAA06G01150D PROTEIN', NULL, NULL, NULL, 15),
(181283, NULL, 'PTHR39340:SF1', NULL, NULL, NULL, NULL, 'SULFOFRUCTOSEPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(181284, NULL, 'PTHR14652', NULL, NULL, NULL, NULL, 'TYPE 2 DNA TOPOISOMERASE 6 SUBUNIT B-LIKE', NULL, NULL, 24831, 15),
(181285, NULL, 'PTHR24058:SF45', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-INTERACTING PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(181286, NULL, 'PTHR32141:SF74', NULL, NULL, NULL, NULL, 'OS04G0409100 PROTEIN', NULL, NULL, NULL, 15),
(181287, NULL, 'PTHR31355:SF24', NULL, NULL, NULL, NULL, 'BNACNNG30840D PROTEIN', NULL, NULL, NULL, 15),
(181288, NULL, 'PTHR31132:SF13', NULL, NULL, NULL, NULL, 'N-LYSINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(181289, NULL, 'PTHR10165:SF90', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE 4', NULL, NULL, 23819, 15),
(181290, NULL, 'PTHR43139:SF29', NULL, NULL, NULL, NULL, 'CATALYTIC/ HYDROLASE', NULL, NULL, NULL, 15),
(181291, NULL, 'PTHR31707:SF214', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 21-RELATED', NULL, NULL, NULL, 15),
(181292, NULL, 'PTHR11601:SF50', NULL, NULL, NULL, NULL, 'CYSTEINE DESULFURASE ISCS 2-RELATED', NULL, NULL, NULL, 15),
(181293, NULL, 'PTHR45614:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181294, NULL, 'PTHR11615:SF326', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 3A1', NULL, NULL, NULL, 15),
(181295, NULL, 'PTHR11431:SF78', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(181296, NULL, 'PTHR40279:SF3', NULL, NULL, NULL, NULL, 'PQQC-LIKE PROTEIN', NULL, NULL, NULL, 15),
(181297, NULL, 'PTHR33199:SF3', NULL, NULL, NULL, NULL, 'MACPF DOMAIN-CONTAINING PROTEIN CAD1', NULL, NULL, NULL, 15),
(181298, NULL, 'PTHR47382:SF6', NULL, NULL, NULL, NULL, 'BNAA06G35280D PROTEIN', NULL, NULL, NULL, 15),
(181299, NULL, 'PTHR14555', NULL, NULL, NULL, NULL, 'MYELIN-ASSOCIATED OLIGODENDROCYTIC BASIC PROTEIN  MOBP -RELATED', NULL, NULL, NULL, 15),
(181300, NULL, 'PTHR32119:SF2', NULL, NULL, NULL, NULL, 'OROTIDINE 5''-PHOSPHATE DECARBOXYLASE', NULL, NULL, 9214, 15),
(181301, NULL, 'PTHR21010', NULL, NULL, NULL, NULL, 'AGAP001581-PA', NULL, NULL, NULL, 15),
(181302, NULL, 'PTHR12801:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181303, NULL, 'PTHR23167:SF36', NULL, NULL, NULL, NULL, 'SPECTRIN BETA CHAIN', NULL, NULL, NULL, 15),
(181304, NULL, 'PTHR33086:SF62', NULL, NULL, NULL, NULL, 'OS01G0182100 PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181305, NULL, 'PTHR24221:SF517', NULL, NULL, NULL, NULL, 'HEAVY METAL TOLERANCE PROTEIN', NULL, NULL, NULL, 15),
(181306, NULL, 'PTHR11830:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', NULL, NULL, NULL, 15),
(181307, NULL, 'PTHR43247:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE AMINOTRANSFERASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(181308, NULL, 'PTHR46950:SF4', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER CORA FAMILY PROTEIN', NULL, NULL, NULL, 15),
(181309, NULL, 'PTHR14491:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN SOWAHB', NULL, NULL, NULL, 15),
(181310, NULL, 'PTHR12612:SF28', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSPORT FACTOR 2', NULL, NULL, NULL, 15),
(181311, NULL, 'PTHR16779', NULL, NULL, NULL, NULL, 'BETA-1,4-MANNOSYLTRANSFERASE EGH', NULL, NULL, 25848, 15),
(181312, NULL, 'PTHR31790:SF301', NULL, NULL, NULL, NULL, 'BNAA02G05920D PROTEIN', NULL, NULL, NULL, 15),
(181313, NULL, 'PTHR13068:SF83', NULL, NULL, NULL, NULL, 'OS06G0224650 PROTEIN', NULL, NULL, NULL, 15),
(181314, NULL, 'PTHR10026:SF45', NULL, NULL, NULL, NULL, 'CYCLIN-L2', NULL, NULL, NULL, 15),
(181315, NULL, 'PTHR36761', NULL, NULL, NULL, NULL, 'ORF03 PROTEIN', NULL, NULL, NULL, 15),
(181316, NULL, 'PTHR24296:SF198', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', NULL, NULL, NULL, 15),
(181317, NULL, 'PTHR42981', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE [UBIQUINONE]', NULL, NULL, NULL, 15),
(181318, NULL, 'PTHR31846', NULL, NULL, NULL, NULL, 'CRS1 / YHBY (CRM) DOMAIN-CONTAINING PROTEIN', NULL, NULL, 38335, 15),
(181319, NULL, 'PTHR11544:SF68', NULL, NULL, NULL, NULL, 'NUCLEASE-SENSITIVE ELEMENT-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(181320, NULL, 'PTHR13018:SF116', NULL, NULL, NULL, NULL, 'CSC1-LIKE PROTEIN RXW8', NULL, NULL, NULL, 15),
(181321, NULL, 'PTHR11567:SF32', NULL, NULL, NULL, NULL, 'PROSTATIC ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(181322, NULL, 'PTHR41677:SF1', NULL, NULL, NULL, NULL, 'YALI0B19030P', NULL, NULL, NULL, 15),
(181323, NULL, 'PTHR23023:SF232', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(181324, NULL, 'PTHR21579:SF12', NULL, NULL, NULL, NULL, 'SAPOSIN-LIKE PROTEIN FAMILY', NULL, NULL, NULL, 15),
(181325, NULL, 'PTHR30482:SF10', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT SYSTEM PERMEASE PROTEIN LIVM', NULL, NULL, NULL, 15),
(181326, NULL, 'PTHR31429:SF33', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY28', NULL, NULL, NULL, 15),
(181327, NULL, 'PTHR22953:SF100', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(181328, NULL, 'PTHR32096:SF107', NULL, NULL, NULL, NULL, 'BNAA02G19570D PROTEIN', NULL, NULL, NULL, 15),
(181329, NULL, 'PTHR12040:SF0', NULL, NULL, NULL, NULL, 'HISTONE CHAPERONE ASF1', NULL, NULL, NULL, 15),
(181330, NULL, 'PTHR11533:SF20', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE-2-RELATED', NULL, NULL, NULL, 15),
(181331, NULL, 'PTHR10314:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181332, NULL, 'PTHR46506:SF44', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(181333, NULL, 'PTHR10231:SF79', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 4', NULL, NULL, NULL, 15),
(181334, NULL, 'PTHR11848:SF38', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 3', NULL, NULL, NULL, 15),
(181335, NULL, 'PTHR31682:SF35', NULL, NULL, NULL, NULL, 'REVERSIBLY GLYCOSYLATED POLYPEPTIDE FAMILY, NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(181336, NULL, 'PTHR12247:SF20', NULL, NULL, NULL, NULL, 'POLYHOMEOTIC-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(181337, NULL, 'PTHR24372:SF12', NULL, NULL, NULL, NULL, 'RICKETS', NULL, NULL, NULL, 15),
(181338, NULL, 'PTHR34589', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 2700081O15', NULL, NULL, NULL, 15),
(181339, NULL, 'PTHR46756:SF4', NULL, NULL, NULL, NULL, 'CALPONIN', NULL, NULL, NULL, 15),
(181340, NULL, 'PTHR45757', NULL, NULL, NULL, NULL, 'PROTEIN CBG23364-RELATED', NULL, NULL, NULL, 15),
(181341, NULL, 'PTHR10953:SF9', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME 5', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181342, NULL, 'PTHR45999:SF2', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG 4B', NULL, NULL, NULL, 15),
(181343, NULL, 'PTHR46978:SF5', NULL, NULL, NULL, NULL, 'BNAA09G42320D PROTEIN', NULL, NULL, NULL, 15),
(181344, NULL, 'PTHR10281:SF4', NULL, NULL, NULL, NULL, 'NEUFERRICIN', NULL, NULL, NULL, 15),
(181345, NULL, 'PTHR34222:SF13', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DDB_G0278845-RELATED', NULL, NULL, NULL, 15),
(181346, NULL, 'PTHR13286:SF7', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP30', NULL, NULL, NULL, 15),
(181347, NULL, 'PTHR31213:SF105', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE 1-LIKE', NULL, NULL, NULL, 15),
(181348, NULL, 'PTHR34226:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181349, NULL, 'PTHR19328:SF13', NULL, NULL, NULL, NULL, 'CATALYTICS', NULL, NULL, NULL, 15),
(181350, NULL, 'PTHR15354:SF1', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 41', NULL, NULL, NULL, 15),
(181351, NULL, 'PTHR10655:SF68', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(181352, NULL, 'PTHR46383:SF2', NULL, NULL, NULL, NULL, '(5-FORMYLFURAN-3-YL)METHYL PHOSPHATE TRANSAMINASE', NULL, NULL, NULL, 15),
(181353, NULL, 'PTHR31687:SF3', NULL, NULL, NULL, NULL, 'PROTEIN URG3', NULL, NULL, NULL, 15),
(181354, NULL, 'PTHR15151:SF22', NULL, NULL, NULL, NULL, 'TNF SUPERFAMILY MEMBER 12', NULL, NULL, NULL, 15),
(181355, NULL, 'PTHR45778:SF18', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(181356, NULL, 'PTHR24299:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 1, SUBFAMILY C, POLYPEPTIDE 1-RELATED', NULL, NULL, NULL, 15),
(181357, NULL, 'PTHR10264:SF87', NULL, NULL, NULL, NULL, 'STOMATIN (EPB72)-LIKE 3A-RELATED', NULL, NULL, NULL, 15),
(181358, NULL, 'PTHR44329:SF141', NULL, NULL, NULL, NULL, 'BNAC04G48460D PROTEIN', NULL, NULL, NULL, 15),
(181359, NULL, 'PTHR46772:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181360, NULL, 'PTHR46488', NULL, NULL, NULL, NULL, 'AP-5 COMPLEX SUBUNIT ZETA-1', NULL, NULL, 24060, 15),
(181361, NULL, 'PTHR10856:SF23', NULL, NULL, NULL, NULL, 'CORONIN-6', NULL, NULL, 26467, 15),
(181362, NULL, 'PTHR14030:SF19', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE CHECKPOINT PROTEIN BUBR1', NULL, NULL, NULL, 15),
(181363, NULL, 'PTHR23155:SF1111', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(181364, NULL, 'PTHR48218:SF1', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(181365, NULL, 'PTHR31973:SF149', NULL, NULL, NULL, NULL, 'OS08G0337601 PROTEIN', NULL, NULL, NULL, 15),
(181366, NULL, 'PTHR21368:SF18', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L9, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(181367, NULL, 'PTHR42881:SF11', NULL, NULL, NULL, NULL, 'PEPTIDASE S9A, PROLYL OLIGOPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(181368, NULL, 'PTHR21461:SF68', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(181369, NULL, 'PTHR31495:SF25', NULL, NULL, NULL, NULL, 'CALEOSIN', NULL, NULL, NULL, 15),
(181370, NULL, 'PTHR10681:SF154', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD', NULL, NULL, NULL, 15),
(181371, NULL, 'PTHR45743:SF36', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL KAT1', NULL, NULL, NULL, 15),
(181372, NULL, 'PTHR36999', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP]', NULL, NULL, 7093, 15),
(181373, NULL, 'PTHR13596', NULL, NULL, NULL, NULL, 'SMALL EDRK-RICH FACTOR 1', NULL, NULL, 29600, 15),
(181374, NULL, 'PTHR15623:SF10', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED SERINE-RICH PROTEIN 2', NULL, NULL, NULL, 15),
(181375, NULL, 'PTHR11451:SF55', NULL, NULL, NULL, NULL, 'BNAA09G44660D PROTEIN', NULL, NULL, NULL, 15),
(181376, NULL, 'PTHR16134:SF98', NULL, NULL, NULL, NULL, 'BNAC03G30680D PROTEIN', NULL, NULL, NULL, 15),
(181377, NULL, 'PTHR37218:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL PROTEIN', NULL, NULL, NULL, 15),
(181378, NULL, 'PTHR11685:SF316', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181379, NULL, 'PTHR33044:SF179', NULL, NULL, NULL, NULL, 'OS03G0323900 PROTEIN', NULL, NULL, NULL, 15),
(181380, NULL, 'PTHR24543:SF295', NULL, NULL, NULL, NULL, 'RETINOSCHISIN', NULL, NULL, NULL, 15),
(181381, NULL, 'PTHR11783:SF182', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(181382, NULL, 'PTHR48043:SF38', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 91A1', NULL, NULL, NULL, 15),
(181383, NULL, 'PTHR21659:SF96', NULL, NULL, NULL, NULL, 'BNAA04G22250D PROTEIN', NULL, NULL, NULL, 15),
(181384, NULL, 'PTHR16127:SF15', NULL, NULL, NULL, NULL, 'TAXILIN BETA B', NULL, NULL, NULL, 15),
(181385, NULL, 'PTHR23348:SF42', NULL, NULL, NULL, NULL, 'PERIAXIN', NULL, NULL, NULL, 15),
(181386, NULL, 'PTHR47925:SF47', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN DOT4, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(181387, NULL, 'PTHR24012:SF701', NULL, NULL, NULL, NULL, 'RNA BINDING MOTIF PROTEIN 46', NULL, NULL, NULL, 15),
(181388, NULL, 'PTHR18966:SF364', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, NMDA 3B', NULL, NULL, NULL, 15),
(181389, NULL, 'PTHR19441:SF44', NULL, NULL, NULL, NULL, 'ANTILEUKOPROTEINASE', NULL, NULL, NULL, 15),
(181390, NULL, 'PTHR31235:SF57', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(181391, NULL, 'PTHR22996:SF9', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LUL2-RELATED', NULL, NULL, NULL, 15),
(181392, NULL, 'PTHR12411:SF706', NULL, NULL, NULL, NULL, 'KDEL-TAILED CYSTEINE ENDOPEPTIDASE CEP1', NULL, NULL, NULL, 15),
(181393, NULL, 'PTHR35004:SF6', NULL, NULL, NULL, NULL, 'TRANSPOSASE RV3428C-RELATED', NULL, NULL, NULL, 15),
(181394, NULL, 'PTHR31110:SF3', NULL, NULL, NULL, NULL, 'PORTAL PROTEIN', NULL, NULL, NULL, 15),
(181395, NULL, 'PTHR24184:SF18', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND PROTEIN KINASE DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(181396, NULL, 'PTHR48186', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181397, NULL, 'PTHR47190:SF2', NULL, NULL, NULL, NULL, 'CELLOBIOSE DEHYDROGENASE (AFU_ORTHOLOGUE AFUA_2G17620)', NULL, NULL, NULL, 15),
(181398, NULL, 'PTHR35484:SF3', NULL, NULL, NULL, NULL, 'BNAA04G25490D PROTEIN', NULL, NULL, NULL, 15),
(181399, NULL, 'PTHR12546:SF56', NULL, NULL, NULL, NULL, 'FER-1 LIKE-RELATED', NULL, NULL, NULL, 15),
(181400, NULL, 'PTHR42748:SF7', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(181401, NULL, 'PTHR11260:SF667', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(181402, NULL, 'PTHR47877:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181403, NULL, 'PTHR10182:SF21', NULL, NULL, NULL, NULL, 'PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181404, NULL, 'PTHR31391:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181405, NULL, 'PTHR15304:SF3', NULL, NULL, NULL, NULL, 'ZGC:113363', NULL, NULL, NULL, 15),
(181406, NULL, 'PTHR48111:SF27', NULL, NULL, NULL, NULL, 'SENSORY TRANSDUCTION PROTEIN BCER', NULL, NULL, NULL, 15),
(181407, NULL, 'PTHR48085:SF1', NULL, NULL, NULL, NULL, 'CATION TRANSPORTING ATPASE (E1-E2 FAMILY)', NULL, NULL, NULL, 15),
(181408, NULL, 'PTHR12419:SF68', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(181409, NULL, 'PTHR43248:SF19', NULL, NULL, NULL, NULL, 'LIPASE-RELATED', NULL, NULL, NULL, 15),
(181410, NULL, 'PTHR23291:SF91', NULL, NULL, NULL, NULL, 'BI1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(181411, NULL, 'PTHR46162:SF35', NULL, NULL, NULL, NULL, 'BNAA02G14480D PROTEIN', NULL, NULL, NULL, 15),
(181412, NULL, 'PTHR43047:SF39', NULL, NULL, NULL, NULL, 'PHYTOCHROME-LIKE HISTIDINE KINASE 2', NULL, NULL, NULL, 15),
(181413, NULL, 'PTHR11926:SF1195', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(181414, NULL, 'PTHR23147:SF204', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR RS2Z32', NULL, NULL, NULL, 15),
(181415, NULL, 'PTHR37220:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181416, NULL, 'PTHR33405:SF23', NULL, NULL, NULL, NULL, 'BNAA05G13920D PROTEIN', NULL, NULL, NULL, 15),
(181417, NULL, 'PTHR23428:SF217', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-O', NULL, NULL, NULL, 15),
(181418, NULL, 'PTHR12306:SF22', NULL, NULL, NULL, NULL, 'DNAATION FACTOR-RELATED PROTEIN 2, ISOFORM B', NULL, NULL, NULL, 15),
(181419, NULL, 'PTHR34062:SF3', NULL, NULL, NULL, NULL, 'BNAC07G33700D PROTEIN', NULL, NULL, NULL, 15),
(181420, NULL, 'PTHR45669:SF23', NULL, NULL, NULL, NULL, 'OS08G0171333 PROTEIN', NULL, NULL, NULL, 15),
(181421, NULL, 'PTHR24278:SF32', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 56', NULL, NULL, NULL, 15),
(181422, NULL, 'PTHR38092:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR CUDA-RELATED', NULL, NULL, NULL, 15),
(181423, NULL, 'PTHR45817:SF2', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE HOMOLOG 3', NULL, NULL, NULL, 15),
(181424, NULL, 'PTHR31942:SF95', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(181425, NULL, 'PTHR16231', NULL, NULL, NULL, NULL, 'COMM DOMAIN-CONTAINING PROTEIN 4-8 FAMILY MEMBER', NULL, NULL, NULL, 15),
(181426, NULL, 'PTHR45224:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181427, NULL, 'PTHR34659:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181428, NULL, 'PTHR24073:SF1007', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABD1', NULL, NULL, NULL, 15),
(181429, NULL, 'PTHR32093:SF126', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(181430, NULL, 'PTHR12145', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 9851, 15),
(181431, NULL, 'PTHR11660:SF47', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 MEMBER 1', NULL, NULL, NULL, 15),
(181432, NULL, 'PTHR24300:SF303', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(181433, NULL, 'PTHR46624:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-11N16.2', NULL, NULL, NULL, 15),
(181434, NULL, 'PTHR43252:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR YQJI', NULL, NULL, NULL, 15),
(181435, NULL, 'PTHR31413', NULL, NULL, NULL, NULL, 'AFP HOMOLOG 2', NULL, NULL, 25347, 15),
(181436, NULL, 'PTHR10188:SF13', NULL, NULL, NULL, NULL, 'ISOASPARTYL PEPTIDASE/L-ASPARAGINASE 2-RELATED', NULL, NULL, NULL, 15),
(181437, NULL, 'PTHR47343', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR SPT7', NULL, NULL, 31063, 15),
(181438, NULL, 'PTHR33322:SF3', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR 7', NULL, NULL, NULL, 15),
(181439, NULL, 'PTHR42740:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC3', NULL, NULL, NULL, 15),
(181440, NULL, 'PTHR11960:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181441, NULL, 'PTHR34267:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181442, NULL, 'PTHR48001:SF105', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(181443, NULL, 'PTHR23130:SF194', NULL, NULL, NULL, NULL, 'CYTOCHROME B561 AND DOMON DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(181444, NULL, 'PTHR46739:SF4', NULL, NULL, NULL, NULL, 'SMALL BASIC INTRINSIC PROTEIN 11', NULL, NULL, NULL, 15),
(181445, NULL, 'PTHR31359:SF31', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 92', NULL, NULL, NULL, 15),
(181446, NULL, 'PTHR35152:SF1', NULL, NULL, NULL, NULL, 'DOMAIN SIGNALLING PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G11310)-RELATED', NULL, NULL, NULL, 15),
(181447, NULL, 'PTHR31235:SF191', NULL, NULL, NULL, NULL, 'PEROXIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(181448, NULL, 'PTHR46165:SF2', NULL, NULL, NULL, NULL, 'SET AND MYND DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(181449, NULL, 'PTHR24206:SF94', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN WLIM2B', NULL, NULL, NULL, 15),
(181450, NULL, 'PTHR12542:SF108', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(181451, NULL, 'PTHR12131:SF12', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH12-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181452, NULL, 'PTHR23272:SF64', NULL, NULL, NULL, NULL, 'OS04G0628400 PROTEIN', NULL, NULL, NULL, 15),
(181453, NULL, 'PTHR34806', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY NITRATE TRANSPORTER 3.2', NULL, NULL, 19568, 15),
(181454, NULL, 'PTHR14224:SF28', NULL, NULL, NULL, NULL, 'PRAME FAMILY MEMBER 10-RELATED', NULL, NULL, NULL, 15),
(181455, NULL, 'PTHR23262:SF200', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 4-1-RELATED', NULL, NULL, NULL, 15),
(181456, NULL, 'PTHR11685:SF364', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(181457, NULL, 'PTHR48059:SF13', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE INHIBITING PROTEIN', NULL, NULL, NULL, 15),
(181458, NULL, 'PTHR45560:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181459, NULL, 'PTHR12663:SF39', NULL, NULL, NULL, NULL, 'BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181460, NULL, 'PTHR35464:SF1', NULL, NULL, NULL, NULL, 'OS06G0115200 PROTEIN', NULL, NULL, NULL, 15),
(181461, NULL, 'PTHR43775:SF14', NULL, NULL, NULL, NULL, 'ITERATIVE POLYKETIDE SYNTHASE AFOE-RELATED', NULL, NULL, NULL, 15),
(181462, NULL, 'PTHR43859:SF38', NULL, NULL, NULL, NULL, 'AMP-DEPENDENT SYNTHETASE AND LIGASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181463, NULL, 'PTHR31218:SF198', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(181464, NULL, 'PTHR10869:SF163', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE', NULL, NULL, NULL, 15),
(181465, NULL, 'PTHR46634:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181466, NULL, 'PTHR31952:SF2', NULL, NULL, NULL, NULL, 'CANNABINOID RECEPTOR-INTERACTING PROTEIN 1A', NULL, NULL, NULL, 15),
(181467, NULL, 'PTHR47683', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE SYNTHASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181468, NULL, 'PTHR33386:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181469, NULL, 'PTHR32502:SF26', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE SYSTEM SUGAR-SPECIFIC EIID COMPONENT', NULL, NULL, NULL, 15),
(181470, NULL, 'PTHR10984:SF67', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 5-3', NULL, NULL, NULL, 15),
(181471, NULL, 'PTHR41151:SF1', NULL, NULL, NULL, NULL, 'PARTNER OF BURSICON', NULL, NULL, NULL, 15),
(181472, NULL, 'PTHR11588:SF375', NULL, NULL, NULL, NULL, 'TUBULIN BETA-2 CHAIN', NULL, NULL, NULL, 15),
(181473, NULL, 'PTHR10366:SF364', NULL, NULL, NULL, NULL, '3 BETA-HYDROXYSTEROID DEHYDROGENASE/DELTA 5--4-ISOMERASE TYPE 2', NULL, NULL, NULL, 15),
(181474, NULL, 'PTHR14083:SF9', NULL, NULL, NULL, NULL, 'OS06G0620600 PROTEIN', NULL, NULL, NULL, 15),
(181475, NULL, 'PTHR30614:SF35', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(181476, NULL, 'PTHR31745', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN WHY2, MITOCHONDRIAL', NULL, NULL, 7900, 15),
(181477, NULL, 'PTHR48137:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181478, NULL, 'PTHR34670:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181479, NULL, 'PTHR33048:SF47', NULL, NULL, NULL, NULL, 'PTH11-LIKE INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G11245)', NULL, NULL, NULL, 15),
(181480, NULL, 'PTHR33044:SF147', NULL, NULL, NULL, NULL, 'XYLOGEN-LIKE PROTEIN 11', NULL, NULL, NULL, 15),
(181481, NULL, 'PTHR11403:SF6', NULL, NULL, NULL, NULL, 'NITRIC OXIDE REDUCTASE SUBUNIT E', NULL, NULL, NULL, 15),
(181482, NULL, 'PTHR45680:SF14', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(181483, NULL, 'PTHR33336:SF14', NULL, NULL, NULL, NULL, 'ANTIBIOTIC BIOSYNTHESIS MONOOXYGENASE', NULL, NULL, NULL, 15),
(181484, NULL, 'PTHR22835:SF561', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181485, NULL, 'PTHR14225:SF0', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-III', NULL, NULL, NULL, 15),
(181486, NULL, 'PTHR47250:SF2', NULL, NULL, NULL, NULL, 'SET (TRITHORAX/POLYCOMB) DOMAIN CONTAINING', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181487, NULL, 'PTHR24037:SF9', NULL, NULL, NULL, NULL, 'PROTEIN HEG', NULL, NULL, NULL, 15),
(181488, NULL, 'PTHR45794:SF1', NULL, NULL, NULL, NULL, 'LEUCINE--TRNA LIGASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(181489, NULL, 'PTHR10516:SF439', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(181490, NULL, 'PTHR46371:SF8', NULL, NULL, NULL, NULL, 'OS04G0468600 PROTEIN', NULL, NULL, NULL, 15),
(181491, NULL, 'PTHR15889:SF2', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L37, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(181492, NULL, 'PTHR12773', NULL, NULL, NULL, NULL, 'UPF0315 PROTEIN-RELATED', NULL, NULL, 30244, 15),
(181493, NULL, 'PTHR12558:SF33', NULL, NULL, NULL, NULL, 'BLR2525 PROTEIN', NULL, NULL, NULL, 15),
(181494, NULL, 'PTHR10426:SF72', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 8', NULL, NULL, NULL, 15),
(181495, NULL, 'PTHR33048:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181496, NULL, 'PTHR31989:SF293', NULL, NULL, NULL, NULL, 'BNAC05G01000D PROTEIN', NULL, NULL, NULL, 15),
(181497, NULL, 'PTHR24282:SF193', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(181498, NULL, 'PTHR24223:SF401', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE TRANSPORTER, SUBFAMILY C, MEMBER 25, CLUSTER IB, SMABCC25', NULL, NULL, NULL, 15),
(181499, NULL, 'PTHR11003:SF142', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS PROTEIN 7-LIKE PROTEIN', NULL, NULL, NULL, 15),
(181500, NULL, 'PTHR21136:SF198', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 722-LIKE', NULL, NULL, NULL, 15),
(181501, NULL, 'PTHR10804', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY M24  METHIONYL AMINOPEPTIDASE, AMINOPEPTIDASE P', NULL, NULL, NULL, 15),
(181502, NULL, 'PTHR11926:SF1355', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(181503, NULL, 'PTHR45008', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCOSE-SPECIFIC EIIA COMPONENT', NULL, NULL, NULL, 15),
(181504, NULL, 'PTHR35704', NULL, NULL, NULL, NULL, 'OS02G0254600 PROTEIN', NULL, NULL, NULL, 15),
(181505, NULL, 'PTHR45736:SF5', NULL, NULL, NULL, NULL, 'ZINC FINGER MYM-TYPE PROTEIN 4', NULL, NULL, NULL, 15),
(181506, NULL, 'PTHR11593:SF35', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17-2-LIKE', NULL, NULL, NULL, 15),
(181507, NULL, 'PTHR33600:SF14', NULL, NULL, NULL, NULL, 'BNAA09G08610D PROTEIN', NULL, NULL, NULL, 15),
(181508, NULL, 'PTHR32208:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181509, NULL, 'PTHR37538', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181510, NULL, 'PTHR45639:SF2', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 105 KDA', NULL, NULL, NULL, 15),
(181511, NULL, 'PTHR37427', NULL, NULL, NULL, NULL, 'PROTEIN CBG20963-RELATED', NULL, NULL, NULL, 15),
(181512, NULL, 'PTHR10574:SF285', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA-3', NULL, NULL, NULL, 15),
(181513, NULL, 'PTHR13248', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR B POLYPEPTIDE 2', NULL, NULL, 35563, 15),
(181514, NULL, 'PTHR45717:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181515, NULL, 'PTHR33593:SF17', NULL, NULL, NULL, NULL, 'DUF1442 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(181516, NULL, 'PTHR48174', NULL, NULL, NULL, NULL, 'DUF946 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(181517, NULL, 'PTHR13218:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 11', NULL, NULL, NULL, 15),
(181518, NULL, 'PTHR22883:SF318', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(181519, NULL, 'PTHR15036:SF17', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE PROTEOGLYCAN 4', NULL, NULL, NULL, 15),
(181520, NULL, 'PTHR46548:SF1', NULL, NULL, NULL, NULL, 'BAH AND TFIIS DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181521, NULL, 'PTHR14789', NULL, NULL, NULL, NULL, 'CHONDROLECTIN VARIANT CHODLFDELTAE.', NULL, NULL, NULL, 15),
(181522, NULL, 'PTHR33098:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181523, NULL, 'PTHR33494:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(181524, NULL, 'PTHR23236:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181525, NULL, 'PTHR21022:SF32', NULL, NULL, NULL, NULL, 'AROGENATE DEHYDRATASE', NULL, NULL, NULL, 15),
(181526, NULL, 'PTHR42776:SF11', NULL, NULL, NULL, NULL, 'DIPEPTIDYL-PEPTIDASE 5-RELATED', NULL, NULL, NULL, 15),
(181527, NULL, 'PTHR42037', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181528, NULL, 'PTHR24229:SF95', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR C06G4.5-RELATED', NULL, NULL, NULL, 15),
(181529, NULL, 'PTHR19134:SF504', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(181530, NULL, 'PTHR31384:SF114', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(181531, NULL, 'PTHR48007:SF49', NULL, NULL, NULL, NULL, 'OS08G0521200 PROTEIN', NULL, NULL, NULL, 15),
(181532, NULL, 'PTHR34224:SF16', NULL, NULL, NULL, NULL, 'BNAA06G38430D PROTEIN', NULL, NULL, NULL, 15),
(181533, NULL, 'PTHR18860:SF86', NULL, NULL, NULL, NULL, 'GENERAL REGULATORY FACTOR 2', NULL, NULL, NULL, 15),
(181534, NULL, 'PTHR12413:SF2', NULL, NULL, NULL, NULL, 'DOLICHYL PYROPHOSPHATE GLC1MAN9GLCNAC2 ALPHA-1,3-GLUCOSYLTRANSFERASE-RELATED', NULL, NULL, 33614, 15),
(181535, NULL, 'PTHR47288:SF1', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 9', NULL, NULL, NULL, 15),
(181536, NULL, 'PTHR24006:SF677', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 19', NULL, NULL, NULL, 15),
(181537, NULL, 'PTHR35123:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(181538, NULL, 'PTHR31314:SF83', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(181539, NULL, 'PTHR11480', NULL, NULL, NULL, NULL, 'SAPOSIN-RELATED', NULL, NULL, NULL, 15),
(181540, NULL, 'PTHR16198', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(181541, NULL, 'PTHR19961:SF60', NULL, NULL, NULL, NULL, 'ACTIN-BINDING CALPONIN-LIKE (CH) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(181542, NULL, 'PTHR24177:SF275', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181543, NULL, 'PTHR22883:SF340', NULL, NULL, NULL, NULL, 'ZDHHC-TYPE PALMITOYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(181544, NULL, 'PTHR13817:SF129', NULL, NULL, NULL, NULL, 'ZORMIN, ISOFORM J', NULL, NULL, NULL, 15),
(181545, NULL, 'PTHR31121:SF8', NULL, NULL, NULL, NULL, 'GLYCOLIPID 2-ALPHA-MANNOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(181546, NULL, 'PTHR37316:SF1', NULL, NULL, NULL, NULL, 'TEICHOIC ACID GLYCEROL-PHOSPHATE PRIMASE', NULL, NULL, NULL, 15),
(181547, NULL, 'PTHR33159:SF60', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(181548, NULL, 'PTHR35573:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG21099', NULL, NULL, NULL, 15),
(181549, NULL, 'PTHR22696:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF26', NULL, NULL, NULL, 15),
(181550, NULL, 'PTHR45649:SF22', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(181551, NULL, 'PTHR30319:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR PAAX', NULL, NULL, NULL, 15),
(181552, NULL, 'PTHR10161:SF36', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(181553, NULL, 'PTHR35901', NULL, NULL, NULL, NULL, 'RIBONUCLEASE VAPC3', NULL, NULL, NULL, 15),
(181554, NULL, 'PTHR22950:SF20', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(181555, NULL, 'PTHR19876:SF52', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(181556, NULL, 'PTHR43671:SF51', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK5', NULL, NULL, NULL, 15),
(181557, NULL, 'PTHR47932:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181558, NULL, 'PTHR47925:SF84', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181559, NULL, 'PTHR46016:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF125', NULL, NULL, NULL, 15),
(181560, NULL, 'PTHR15486:SF71', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(181561, NULL, 'PTHR43671:SF45', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK3', NULL, NULL, NULL, 15),
(181562, NULL, 'PTHR23255:SF64', NULL, NULL, NULL, NULL, 'ACTIVIN RECEPTOR TYPE-2A', NULL, NULL, NULL, 15),
(181563, NULL, 'PTHR31087:SF106', NULL, NULL, NULL, NULL, 'BNAA03G57510D PROTEIN', NULL, NULL, NULL, 15),
(181564, NULL, 'PTHR10857:SF30', NULL, NULL, NULL, NULL, 'COPINE-B-RELATED', NULL, NULL, NULL, 15),
(181565, NULL, 'PTHR13059:SF16', NULL, NULL, NULL, NULL, 'BOBBY SOX', NULL, NULL, NULL, 15),
(181566, NULL, 'PTHR46213', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR DEMETER', NULL, NULL, 39417, 15),
(181567, NULL, 'PTHR47520', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181568, NULL, 'PTHR46097:SF1', NULL, NULL, NULL, NULL, 'ARF GTPASE-ACTIVATING PROTEIN GIT1', NULL, NULL, NULL, 15),
(181569, NULL, 'PTHR30559:SF3', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE, CLASS II,YEAST/E. COLI SUBTYPE', NULL, NULL, NULL, 15),
(181570, NULL, 'PTHR26453:SF115', NULL, NULL, NULL, NULL, 'FKSG35-RELATED', NULL, NULL, NULL, 15),
(181571, NULL, 'PTHR46136:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181572, NULL, 'PTHR32227:SF261', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-13-BETA-GLUCOSIDASE 14', NULL, NULL, NULL, 15),
(181573, NULL, 'PTHR11438', NULL, NULL, NULL, NULL, 'PROENKEPHALIN', NULL, NULL, 1108, 15),
(181574, NULL, 'PTHR12174:SF72', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDE PEPTIDASE-LIKE 3', NULL, NULL, NULL, 15),
(181575, NULL, 'PTHR46179:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 410', NULL, NULL, NULL, 15),
(181576, NULL, 'PTHR31714:SF10', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181577, NULL, 'PTHR32227:SF295', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 17 PROTEIN', NULL, NULL, NULL, 15),
(181578, NULL, 'PTHR21700:SF14', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(181579, NULL, 'PTHR45636:SF32', NULL, NULL, NULL, NULL, 'PAIRED BOX POX-NEURO PROTEIN', NULL, NULL, NULL, 15),
(181580, NULL, 'PTHR31889:SF41', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(181581, NULL, 'PTHR11351:SF77', NULL, NULL, NULL, NULL, 'BNAA08G28580D PROTEIN', NULL, NULL, NULL, 15),
(181582, NULL, 'PTHR23429', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE  G6PD', NULL, NULL, 2233, 15),
(181583, NULL, 'PTHR46978:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER, CCHC-TYPE, ZINC KNUCKLE CX2CX4HX4C-RELATED', NULL, NULL, NULL, 15),
(181584, NULL, 'PTHR30053:SF1', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR P', NULL, NULL, NULL, 15),
(181585, NULL, 'PTHR48056:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181586, NULL, 'PTHR42200:SF2', NULL, NULL, NULL, NULL, 'ARCHAEAL FLAGELLA-RELATED PROTEIN F', NULL, NULL, NULL, 15),
(181587, NULL, 'PTHR18945:SF30', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT RHO-1', NULL, NULL, NULL, 15),
(181588, NULL, 'PTHR37960:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG22893', NULL, NULL, NULL, 15),
(181589, NULL, 'PTHR32096:SF92', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', NULL, NULL, NULL, 15),
(181590, NULL, 'PTHR22765:SF300', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING RECEPTOR 1', NULL, NULL, NULL, 15),
(181591, NULL, 'PTHR11017:SF334', NULL, NULL, NULL, NULL, 'BNAC06G13520D PROTEIN', NULL, NULL, NULL, 15),
(181592, NULL, 'PTHR12313:SF58', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA1H1-LIKE', NULL, NULL, NULL, 15),
(181593, NULL, 'PTHR19051:SF20', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 14', NULL, NULL, NULL, 15),
(181594, NULL, 'PTHR45663:SF34', NULL, NULL, NULL, NULL, 'THIOREDOXIN M-TYPE PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181595, NULL, 'PTHR33065:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181596, NULL, 'PTHR19317:SF12', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(181597, NULL, 'PTHR36691:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 247', NULL, NULL, NULL, 15),
(181598, NULL, 'PTHR33021:SF59', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(181599, NULL, 'PTHR31789:SF4', NULL, NULL, NULL, NULL, 'OS01G0817800 PROTEIN', NULL, NULL, NULL, 15),
(181600, NULL, 'PTHR33265:SF32', NULL, NULL, NULL, NULL, 'BNAC08G46030D PROTEIN', NULL, NULL, NULL, 15),
(181601, NULL, 'PTHR45830:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(181602, NULL, 'PTHR10894:SF26', NULL, NULL, NULL, NULL, 'BNACNNG34340D PROTEIN', NULL, NULL, NULL, 15),
(181603, NULL, 'PTHR22654:SF3', NULL, NULL, NULL, NULL, 'G PROTEIN PATHWAY SUPPRESSOR 2', NULL, NULL, NULL, 15),
(181604, NULL, 'PTHR32133:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181605, NULL, 'PTHR23020:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG18622', NULL, NULL, NULL, 15),
(181606, NULL, 'PTHR31348:SF13', NULL, NULL, NULL, NULL, 'EID1-LIKE F-BOX PROTEIN 1', NULL, NULL, NULL, 15),
(181607, NULL, 'PTHR21398:SF4', NULL, NULL, NULL, NULL, 'AGAP002980-PA', NULL, NULL, NULL, 15),
(181608, NULL, 'PTHR38083', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT CELL ADHESION MOLECULE 1-RELATED', NULL, NULL, NULL, 15),
(181609, NULL, 'PTHR10422:SF35', NULL, NULL, NULL, NULL, 'CYTOCHROME BO(3) UBIQUINOL OXIDASE SUBUNIT 1', NULL, NULL, NULL, 15),
(181610, NULL, 'PTHR35304:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181611, NULL, 'PTHR35284', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 24A, CHLOROPLASTIC-RELATED', NULL, NULL, 17863, 15),
(181612, NULL, 'PTHR16083:SF29', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181613, NULL, 'PTHR33667', NULL, NULL, NULL, NULL, 'SI:DKEY-57N24.6', NULL, NULL, NULL, 15),
(181614, NULL, 'PTHR31549:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181615, NULL, 'PTHR33090:SF59', NULL, NULL, NULL, NULL, 'BNAC01G20750D PROTEIN', NULL, NULL, NULL, 15),
(181616, NULL, 'PTHR31651:SF15', NULL, NULL, NULL, NULL, 'PROTEIN PIN-LIKES 5', NULL, NULL, NULL, 15),
(181617, NULL, 'PTHR12027:SF81', NULL, NULL, NULL, NULL, 'WNT INHIBITOR OF DORSAL PROTEIN', NULL, NULL, 28086, 15),
(181618, NULL, 'PTHR11860:SF89', NULL, NULL, NULL, NULL, 'CMRF35-LIKE MOLECULE 2', NULL, NULL, NULL, 15),
(181619, NULL, 'PTHR31898:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 136', NULL, NULL, NULL, 15),
(181620, NULL, 'PTHR19971', NULL, NULL, NULL, NULL, 'SIGNAL-REGULATORY PROTEIN BETA', NULL, NULL, NULL, 15),
(181621, NULL, 'PTHR30483:SF37', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER AMINO ACID-BINDING PROTEIN', NULL, NULL, NULL, 15),
(181622, NULL, 'PTHR22881:SF34', NULL, NULL, NULL, NULL, 'BNAC08G19400D PROTEIN', NULL, NULL, NULL, 15),
(181623, NULL, 'PTHR45718:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GLI2', NULL, NULL, NULL, 15),
(181624, NULL, 'PTHR27005:SF257', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 10', NULL, NULL, NULL, 15),
(181625, NULL, 'PTHR47804:SF1', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L19', NULL, NULL, NULL, 15),
(181626, NULL, 'PTHR31421:SF13', NULL, NULL, NULL, NULL, 'BNAC04G22230D PROTEIN', NULL, NULL, NULL, 15),
(181627, NULL, 'PTHR10414:SF37', NULL, NULL, NULL, NULL, 'BB IN A BOXCAR, ISOFORM C', NULL, NULL, NULL, 15),
(181628, NULL, 'PTHR30401', NULL, NULL, NULL, NULL, 'TRNA 2-SELENOURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(181629, NULL, 'PTHR19303:SF32', NULL, NULL, NULL, NULL, 'CAG, ISOFORM A', NULL, NULL, NULL, 15),
(181630, NULL, 'PTHR37154', NULL, NULL, NULL, NULL, 'MITOREGULIN', NULL, NULL, 32730, 15),
(181631, NULL, 'PTHR22625:SF35', NULL, NULL, NULL, NULL, 'PLEXIN-A1', NULL, NULL, NULL, 15),
(181632, NULL, 'PTHR11871:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181633, NULL, 'PTHR11800:SF13', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES I AND III SUBUNIT RPAC1', NULL, NULL, 32811, 15),
(181634, NULL, 'PTHR28668:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 234', NULL, NULL, NULL, 15),
(181635, NULL, 'PTHR13296:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181636, NULL, 'PTHR31190:SF229', NULL, NULL, NULL, NULL, 'BNAA05G09970D PROTEIN', NULL, NULL, NULL, 15),
(181637, NULL, 'PTHR23065:SF52', NULL, NULL, NULL, NULL, 'SH3 AND F-BAR DOMAIN-CONTAINING PROTEIN DDB_G0271676', NULL, NULL, NULL, 15),
(181638, NULL, 'PTHR11746:SF221', NULL, NULL, NULL, NULL, 'CAFFEIC ACID O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(181639, NULL, 'PTHR33564', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(181640, NULL, 'PTHR12802:SF87', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 6', NULL, NULL, NULL, 15),
(181641, NULL, 'PTHR46577:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(181642, NULL, 'PTHR33294:SF3', NULL, NULL, NULL, NULL, 'AWPM-19-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(181643, NULL, 'PTHR30625:SF15', NULL, NULL, NULL, NULL, 'BIOPOLYMER TRANSPORT PROTEIN EXBB', NULL, NULL, NULL, 15),
(181644, NULL, 'PTHR48011:SF46', NULL, NULL, NULL, NULL, 'BNAC04G13010D PROTEIN', NULL, NULL, NULL, 15),
(181645, NULL, 'PTHR10233', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B', NULL, NULL, NULL, 15),
(181646, NULL, 'PTHR48069:SF3', NULL, NULL, NULL, NULL, 'DIHYDROFOLATE REDUCTASE', NULL, NULL, NULL, 15),
(181647, NULL, 'PTHR10788:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181648, NULL, 'PTHR37490:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(181649, NULL, 'PTHR24370', NULL, NULL, NULL, NULL, 'OPTICIN', NULL, NULL, NULL, 15),
(181650, NULL, 'PTHR10985:SF127', NULL, NULL, NULL, NULL, 'HAIRY-RELATED 5', NULL, NULL, NULL, 15),
(181651, NULL, 'PTHR11564:SF37', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN', NULL, NULL, NULL, 15),
(181652, NULL, 'PTHR30036:SF2', NULL, NULL, NULL, NULL, 'D-GALACTOSE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(181653, NULL, 'PTHR46128:SF222', NULL, NULL, NULL, NULL, 'BNAC01G19120D PROTEIN', NULL, NULL, NULL, 15),
(181654, NULL, 'PTHR21452', NULL, NULL, NULL, NULL, 'EXPORTIN-6', NULL, NULL, 33522, 15),
(181655, NULL, 'PTHR46128:SF106', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(181656, NULL, 'PTHR24356:SF224', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED SERINE/THREONINE-PROTEIN KINASE 4', NULL, NULL, NULL, 15),
(181657, NULL, 'PTHR37241:SF1', NULL, NULL, NULL, NULL, 'NEUROFILAMENT HEAVY PROTEIN', NULL, NULL, NULL, 15),
(181658, NULL, 'PTHR11771:SF5', NULL, NULL, NULL, NULL, 'ARACHIDONATE 5-LIPOXYGENASE', NULL, NULL, NULL, 15),
(181659, NULL, 'PTHR37604', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT', NULL, NULL, NULL, 15),
(181660, NULL, 'PTHR23198:SF17', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP98-NUP96', NULL, NULL, 35373, 15),
(181661, NULL, 'PTHR11850:SF308', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 3', NULL, NULL, NULL, 15),
(181662, NULL, 'PTHR27009:SF254', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(181663, NULL, 'PTHR19431', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L4', NULL, NULL, 36581, 15),
(181664, NULL, 'PTHR12385:SF12', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 44 MEMBER 1A-RELATED', NULL, NULL, NULL, 15),
(181665, NULL, 'PTHR18945:SF797', NULL, NULL, NULL, NULL, 'CHOLINERGIC RECEPTOR, NICOTINIC, BETA 2A', NULL, NULL, NULL, 15),
(181666, NULL, 'PTHR24068:SF375', NULL, NULL, NULL, NULL, 'BNAC07G51150D PROTEIN', NULL, NULL, NULL, 15),
(181667, NULL, 'PTHR31708:SF1', NULL, NULL, NULL, NULL, 'ABPBG11-RELATED', NULL, NULL, NULL, 15),
(181668, NULL, 'PTHR40940:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181669, NULL, 'PTHR10562:SF86', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER 4', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181670, NULL, 'PTHR31896:SF53', NULL, NULL, NULL, NULL, 'BNAA09G07570D PROTEIN', NULL, NULL, NULL, 15),
(181671, NULL, 'PTHR46482:SF8', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(181672, NULL, 'PTHR47477', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR HOMOLOG 1A', NULL, NULL, NULL, 15),
(181673, NULL, 'PTHR11610:SF100', NULL, NULL, NULL, NULL, 'PANCREATIC LIPASE-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(181674, NULL, 'PTHR45623:SF21', NULL, NULL, NULL, NULL, 'HELICASE CHR10-RELATED', NULL, NULL, NULL, 15),
(181675, NULL, 'PTHR24045:SF0', NULL, NULL, NULL, NULL, 'N-ACETYLGLUCOSAMINE-1-PHOSPHOTRANSFERASE SUBUNITS ALPHA/BETA', NULL, NULL, NULL, 15),
(181676, NULL, 'PTHR27006:SF417', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181677, NULL, 'PTHR24366:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181678, NULL, 'PTHR46128:SF266', NULL, NULL, NULL, NULL, 'BNAA02G35150D PROTEIN', NULL, NULL, NULL, 15),
(181679, NULL, 'PTHR31165:SF10', NULL, NULL, NULL, NULL, 'PROTEIN LIGHT-DEPENDENT SHORT HYPOCOTYLS 10', NULL, NULL, NULL, 15),
(181680, NULL, 'PTHR31260:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181681, NULL, 'PTHR10194:SF3', NULL, NULL, NULL, NULL, 'RASGAP-ACTIVATING-LIKE PROTEIN 1', NULL, NULL, 29424, 15),
(181682, NULL, 'PTHR43939:SF29', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN', NULL, NULL, NULL, 15),
(181683, NULL, 'PTHR22912:SF151', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(181684, NULL, 'PTHR34726:SF2', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN DDB_G0283913-RELATED', NULL, NULL, NULL, 15),
(181685, NULL, 'PTHR10503:SF22', NULL, NULL, NULL, NULL, 'HP1 LIKE (HETEROCHROMATIN PROTEIN)', NULL, NULL, NULL, 15),
(181686, NULL, 'PTHR43895:SF55', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 22', NULL, NULL, NULL, 15),
(181687, NULL, 'PTHR14511:SF9', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR FAMILY C GROUP 5 MEMBER B', NULL, NULL, NULL, 15),
(181688, NULL, 'PTHR34998:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181689, NULL, 'PTHR46450:SF15', NULL, NULL, NULL, NULL, 'BNAA02G22450D PROTEIN', NULL, NULL, NULL, 15),
(181690, NULL, 'PTHR46168:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181691, NULL, 'PTHR24384:SF222', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 562', NULL, NULL, NULL, 15),
(181692, NULL, 'PTHR27003:SF106', NULL, NULL, NULL, NULL, 'OS06G0126250 PROTEIN', NULL, NULL, NULL, 15),
(181693, NULL, 'PTHR24298:SF843', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 87 SUBFAMILY A POLYPEPTIDE 6', NULL, NULL, NULL, 15),
(181694, NULL, 'PTHR31585:SF23', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(181695, NULL, 'PTHR31867:SF127', NULL, NULL, NULL, NULL, 'EXPANSIN-A9', NULL, NULL, NULL, 15),
(181696, NULL, 'PTHR10590', NULL, NULL, NULL, NULL, 'SODIUM/NUCLEOSIDE COTRANSPORTER', NULL, NULL, 6256, 15),
(181697, NULL, 'PTHR32116:SF70', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(181698, NULL, 'PTHR38001:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CEBPZOS', NULL, NULL, NULL, 15),
(181699, NULL, 'PTHR48111:SF15', NULL, NULL, NULL, NULL, 'OMPR SUBFAMILY', NULL, NULL, NULL, 15),
(181700, NULL, 'PTHR43272:SF4', NULL, NULL, NULL, NULL, 'LONG CHAIN ACYL-COA SYNTHETASE 2', NULL, NULL, NULL, 15),
(181701, NULL, 'PTHR33365:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181702, NULL, 'PTHR43398', NULL, NULL, NULL, NULL, 'DOLICHOL-PHOSPHATE MANNOSYLTRANSFERASE SUBUNIT 1', NULL, NULL, 33608, 15),
(181703, NULL, 'PTHR21732', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 23913, 15),
(181704, NULL, 'PTHR24345:SF52', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK-1', NULL, NULL, NULL, 15),
(181705, NULL, 'PTHR12011:SF454', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181706, NULL, 'PTHR48047:SF88', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73C1', NULL, NULL, NULL, 15),
(181707, NULL, 'PTHR31642:SF231', NULL, NULL, NULL, NULL, 'OMEGA-HYDROXYPALMITATE O-FERULOYL TRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(181708, NULL, 'PTHR32176:SF75', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(181709, NULL, 'PTHR31867:SF150', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(181710, NULL, 'PTHR34481:SF9', NULL, NULL, NULL, NULL, '19 KDA GLOBULIN', NULL, NULL, NULL, 15),
(181711, NULL, 'PTHR11991:SF17', NULL, NULL, NULL, NULL, 'TRANSLATIONALLY CONTROLLED TUMOR PROTEIN 2', NULL, NULL, NULL, 15),
(181712, NULL, 'PTHR24377:SF622', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 8', NULL, NULL, NULL, 15),
(181713, NULL, 'PTHR33399:SF11', NULL, NULL, NULL, NULL, 'BNAA06G08980D PROTEIN', NULL, NULL, NULL, 15),
(181714, NULL, 'PTHR11985:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181715, NULL, 'PTHR24348:SF45', NULL, NULL, NULL, NULL, 'PROTEIN CBG14564', NULL, NULL, NULL, 15),
(181716, NULL, 'PTHR24223:SF189', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(181717, NULL, 'PTHR34406:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YCEI', NULL, NULL, NULL, 15),
(181718, NULL, 'PTHR43648', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN BETA SUBUNIT LYSINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(181719, NULL, 'PTHR47976:SF48', NULL, NULL, NULL, NULL, 'OS02G0234450 PROTEIN', NULL, NULL, NULL, 15),
(181720, NULL, 'PTHR19432:SF67', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUC2', NULL, NULL, NULL, 15),
(181721, NULL, 'PTHR31636:SF41', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(181722, NULL, 'PTHR10966:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIA SUBUNIT 2', NULL, NULL, NULL, 15),
(181723, NULL, 'PTHR45670:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECTD1', NULL, NULL, NULL, 15),
(181724, NULL, 'PTHR18945:SF860', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181725, NULL, 'PTHR12815:SF34', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE OMP85 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(181726, NULL, 'PTHR31221:SF180', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 73', NULL, NULL, NULL, 15),
(181727, NULL, 'PTHR10909:SF352', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(181728, NULL, 'PTHR22802:SF386', NULL, NULL, NULL, NULL, 'LECTIN-LIKE', NULL, NULL, NULL, 15),
(181729, NULL, 'PTHR15512:SF1', NULL, NULL, NULL, NULL, 'TERF1 (TRF1)-INTERACTING NUCLEAR FACTOR 2', NULL, NULL, NULL, 15),
(181730, NULL, 'PTHR31544', NULL, NULL, NULL, NULL, 'AIG2-LIKE PROTEIN D', NULL, NULL, 38078, 15),
(181731, NULL, 'PTHR20883:SF38', NULL, NULL, NULL, NULL, 'ECTOINE DIOXYGENASE', NULL, NULL, NULL, 15),
(181732, NULL, 'PTHR33930:SF7', NULL, NULL, NULL, NULL, 'ALKYL HYDROPEROXIDE REDUCTASE AHPD', NULL, NULL, NULL, 15),
(181733, NULL, 'PTHR10534', NULL, NULL, NULL, NULL, 'PYRIDOXAL KINASE', NULL, NULL, 2375, 15),
(181734, NULL, 'PTHR10666:SF365', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-LIKE', NULL, NULL, NULL, 15),
(181735, NULL, 'PTHR12811', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING VPS16', NULL, NULL, 16233, 15),
(181736, NULL, 'PTHR11371:SF29', NULL, NULL, NULL, NULL, 'DEOXYRIBONUCLEASE-1-LIKE 2', NULL, NULL, NULL, 15),
(181737, NULL, 'PTHR11036:SF85', NULL, NULL, NULL, NULL, 'SI:CH211-113G11.6', NULL, NULL, NULL, 15),
(181738, NULL, 'PTHR43031:SF12', NULL, NULL, NULL, NULL, 'RHODANESE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(181739, NULL, 'PTHR26452:SF692', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(181740, NULL, 'PTHR10039:SF12', NULL, NULL, NULL, NULL, 'NACHT DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(181741, NULL, 'PTHR33673:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181742, NULL, 'PTHR31832:SF58', NULL, NULL, NULL, NULL, 'BNAA08G28420D PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181743, NULL, 'PTHR31375:SF202', NULL, NULL, NULL, NULL, 'BNAA05G29810D PROTEIN', NULL, NULL, NULL, 15),
(181744, NULL, 'PTHR43473:SF2', NULL, NULL, NULL, NULL, 'MAGNESIUM-CHELATASE SUBUNIT CHLD, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(181745, NULL, 'PTHR15427:SF3', NULL, NULL, NULL, NULL, 'MULTIMERIN-1', NULL, NULL, 31534, 15),
(181746, NULL, 'PTHR20889:SF17', NULL, NULL, NULL, NULL, '2,3-DIKETO-5-METHYLTHIO-1-PHOSPHOPENTANE PHOSPHATASE', NULL, NULL, NULL, 15),
(181747, NULL, 'PTHR31707:SF3', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 3', NULL, NULL, NULL, 15),
(181748, NULL, 'PTHR10638:SF23', NULL, NULL, NULL, NULL, 'MEMBRANE PRIMARY AMINE OXIDASE', NULL, NULL, NULL, 15),
(181749, NULL, 'PTHR31170', NULL, NULL, NULL, NULL, 'BNAC04G53230D PROTEIN', NULL, NULL, NULL, 15),
(181750, NULL, 'PTHR34679:SF2', NULL, NULL, NULL, NULL, 'OS02G0122500 PROTEIN', NULL, NULL, NULL, 15),
(181751, NULL, 'PTHR11216:SF145', NULL, NULL, NULL, NULL, 'OSJNBA0043A12.19 PROTEIN', NULL, NULL, NULL, 15),
(181752, NULL, 'PTHR46895:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG13560', NULL, NULL, NULL, 15),
(181753, NULL, 'PTHR16228:SF22', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 41 MEMBER 3', NULL, NULL, NULL, 15),
(181754, NULL, 'PTHR38019:SF1', NULL, NULL, NULL, NULL, 'KDA ANTIGEN P200, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(181755, NULL, 'PTHR11614:SF151', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(181756, NULL, 'PTHR46443:SF17', NULL, NULL, NULL, NULL, 'BNAA09G55700D PROTEIN', NULL, NULL, NULL, 15),
(181757, NULL, 'PTHR31601:SF3', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S36, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(181758, NULL, 'PTHR21535:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181759, NULL, 'PTHR11972:SF173', NULL, NULL, NULL, NULL, 'REDUCTASE TRANSMEMBRANE COMPONENT 2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(181760, NULL, 'PTHR47452', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(181761, NULL, 'PTHR14083:SF12', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE HRF1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(181762, NULL, 'PTHR12128', NULL, NULL, NULL, NULL, 'DIHYDRODIPICOLINATE SYNTHASE', NULL, NULL, 6149, 15),
(181763, NULL, 'PTHR24356:SF153', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 32C', NULL, NULL, NULL, 15),
(181764, NULL, 'PTHR46248:SF4', NULL, NULL, NULL, NULL, 'TERNARY COMPLEX FACTOR MIP1, LEUCINE-ZIPPER-RELATED', NULL, NULL, NULL, 15),
(181765, NULL, 'PTHR11604:SF39', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, NULL, 15),
(181766, NULL, 'PTHR19375:SF409', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(181767, NULL, 'PTHR45616:SF19', NULL, NULL, NULL, NULL, 'KERATIN 90', NULL, NULL, NULL, 15),
(181768, NULL, 'PTHR43859:SF36', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 1, PEROXISOMAL-RELATED', NULL, NULL, NULL, 15),
(181769, NULL, 'PTHR31221:SF227', NULL, NULL, NULL, NULL, 'BNAC06G07320D PROTEIN', NULL, NULL, NULL, 15),
(181770, NULL, 'PTHR31744:SF132', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181771, NULL, 'PTHR45624:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181772, NULL, 'PTHR31162:SF1', NULL, NULL, NULL, NULL, 'TRANSPORTER/MALIC ACID TRANSPORT PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17660)-RELATED', NULL, NULL, NULL, 15),
(181773, NULL, 'PTHR33021:SF344', NULL, NULL, NULL, NULL, 'EARLY NODULIN-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(181774, NULL, 'PTHR31300:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181775, NULL, 'PTHR40459', NULL, NULL, NULL, NULL, 'CONSERVED HYPOTHETICAL ALANINE AND LEUCINE RICH PROTEIN', NULL, NULL, NULL, 15),
(181776, NULL, 'PTHR26452:SF383', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(181777, NULL, 'PTHR43447:SF35', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE', NULL, NULL, NULL, 15),
(181778, NULL, 'PTHR31442', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, 38347, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181779, NULL, 'PTHR31100:SF87', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(181780, NULL, 'PTHR40466', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 30653, 15),
(181781, NULL, 'PTHR11686:SF66', NULL, NULL, NULL, NULL, 'PROTEIN CBG22061', NULL, NULL, NULL, 15),
(181782, NULL, 'PTHR10168:SF278', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181783, NULL, 'PTHR11661:SF29', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12', NULL, NULL, NULL, 15),
(181784, NULL, 'PTHR43086', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN 3-OXOOACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(181785, NULL, 'PTHR19868:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181786, NULL, 'PTHR14815:SF2', NULL, NULL, NULL, NULL, 'DDB1- AND CUL4-ASSOCIATED FACTOR 17', NULL, NULL, NULL, 15),
(181787, NULL, 'PTHR14492', NULL, NULL, NULL, NULL, 'JBTS17', NULL, NULL, 23532, 15),
(181788, NULL, 'PTHR35106:SF5', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(181789, NULL, 'PTHR33048:SF19', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN PTH11-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14080)-RELATED', NULL, NULL, NULL, 15),
(181790, NULL, 'PTHR31943:SF17', NULL, NULL, NULL, NULL, 'INTERFERON LAMBDA-4', NULL, NULL, NULL, 15),
(181791, NULL, 'PTHR33674:SF8', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE [NAD(P)H]-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(181792, NULL, 'PTHR11119:SF112', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 6', NULL, NULL, NULL, 15),
(181793, NULL, 'PTHR27008:SF431', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', NULL, NULL, NULL, 15),
(181794, NULL, 'PTHR46445:SF12', NULL, NULL, NULL, NULL, 'BNAC03G59060D PROTEIN', NULL, NULL, NULL, 15),
(181795, NULL, 'PTHR34227:SF1', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN YCDY', NULL, NULL, NULL, 15),
(181796, NULL, 'PTHR47997:SF3', NULL, NULL, NULL, NULL, 'OS02G0641300 PROTEIN', NULL, NULL, NULL, 15),
(181797, NULL, 'PTHR23413:SF15', NULL, NULL, NULL, NULL, 'BNAA06G35970D PROTEIN', NULL, NULL, NULL, 15),
(181798, NULL, 'PTHR10694:SF115', NULL, NULL, NULL, NULL, 'BNAA04G20420D PROTEIN', NULL, NULL, NULL, 15),
(181799, NULL, 'PTHR21327:SF35', NULL, NULL, NULL, NULL, 'GTP CYCLOHYDROLASE II, RIBA', NULL, NULL, NULL, 15),
(181800, NULL, 'PTHR10127:SF778', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(181801, NULL, 'PTHR43198:SF9', NULL, NULL, NULL, NULL, 'AMINOPYRIMIDINE AMINOHYDROLASE, MITOCHONDRIAL ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(181802, NULL, 'PTHR10120:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181803, NULL, 'PTHR24103:SF233', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181804, NULL, 'PTHR10742:SF228', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 4-RELATED', NULL, NULL, NULL, 15),
(181805, NULL, 'PTHR24015:SF1865', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT-LIKE SUPERFAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(181806, NULL, 'PTHR46162:SF45', NULL, NULL, NULL, NULL, 'BNAC02G19400D PROTEIN', NULL, NULL, NULL, 15),
(181807, NULL, 'PTHR13023', NULL, NULL, NULL, NULL, 'APYRASE', NULL, NULL, 13575, 15),
(181808, NULL, 'PTHR31920:SF40', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN LOC_OS12G40080', NULL, NULL, NULL, 15),
(181809, NULL, 'PTHR42693:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181810, NULL, 'PTHR45855:SF33', NULL, NULL, NULL, NULL, 'MYC-TYPE, BASIC HELIX-LOOP-HELIX (BHLH) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181811, NULL, 'PTHR30519:SF25', NULL, NULL, NULL, NULL, 'COBALAMIN-INDEPENDENT METHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(181812, NULL, 'PTHR11216:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181813, NULL, 'PTHR24345:SF86', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK1', NULL, NULL, NULL, 15),
(181814, NULL, 'PTHR45863:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE BSK11', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181815, NULL, 'PTHR40707:SF1', NULL, NULL, NULL, NULL, 'POSSIBLE NUCLEASE OF RNASE H FOLD, RUVC/YQGF FAMILY', NULL, NULL, NULL, 15),
(181816, NULL, 'PTHR44145', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY A MEMBER 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(181817, NULL, 'PTHR46325:SF9', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC6-RELATED', NULL, NULL, NULL, 15),
(181818, NULL, 'PTHR45730:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 2', NULL, NULL, NULL, 15),
(181819, NULL, 'PTHR22591:SF2', NULL, NULL, NULL, NULL, 'XIN ACTIN-BINDING REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(181820, NULL, 'PTHR34930', NULL, NULL, NULL, NULL, 'GEO05313P1', NULL, NULL, 32444, 15),
(181821, NULL, 'PTHR21593:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG18492', NULL, NULL, NULL, 15),
(181822, NULL, 'PTHR45780:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181823, NULL, 'PTHR11814:SF19', NULL, NULL, NULL, NULL, 'CHLORIDE ANION EXCHANGER', NULL, NULL, 24860, 15),
(181824, NULL, 'PTHR39190:SF1', NULL, NULL, NULL, NULL, 'FLAGELLAR ASSEMBLY FACTOR FLIW', NULL, NULL, NULL, 15),
(181825, NULL, 'PTHR11071:SF453', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(181826, NULL, 'PTHR23111:SF35', NULL, NULL, NULL, NULL, 'OS08G0521400 PROTEIN', NULL, NULL, NULL, 15),
(181827, NULL, 'PTHR47926:SF243', NULL, NULL, NULL, NULL, 'OS01G0197450 PROTEIN', NULL, NULL, NULL, 15),
(181828, NULL, 'PTHR47992:SF16', NULL, NULL, NULL, NULL, 'BNAA03G49240D PROTEIN', NULL, NULL, NULL, 15),
(181829, NULL, 'PTHR10891:SF834', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML30-RELATED', NULL, NULL, NULL, 15),
(181830, NULL, 'PTHR22760:SF2', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSYLTRANSFERASE ALG9', NULL, NULL, 36467, 15),
(181831, NULL, 'PTHR11759:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S14', NULL, NULL, NULL, 15),
(181832, NULL, 'PTHR46261:SF18', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(181833, NULL, 'PTHR12804:SF0', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(181834, NULL, 'PTHR11339:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181835, NULL, 'PTHR42887:SF1', NULL, NULL, NULL, NULL, 'BLR3961 PROTEIN', NULL, NULL, NULL, 15),
(181836, NULL, 'PTHR24055:SF158', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE ERK-A', NULL, NULL, NULL, 15),
(181837, NULL, 'PTHR42763', NULL, NULL, NULL, NULL, 'ADP-GLUCOSE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(181838, NULL, 'PTHR47242:SF3', NULL, NULL, NULL, NULL, 'BNAA04G14850D PROTEIN', NULL, NULL, NULL, 15),
(181839, NULL, 'PTHR47632:SF4', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(181840, NULL, 'PTHR22738:SF10', NULL, NULL, NULL, NULL, 'RASSF (RAS-ASSOCIATION DOMAIN FAMILY) HOMOLOG', NULL, NULL, NULL, 15),
(181841, NULL, 'PTHR36607:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181842, NULL, 'PTHR15415', NULL, NULL, NULL, NULL, 'MITOFILIN', NULL, NULL, 17820, 15),
(181843, NULL, 'PTHR43834', NULL, NULL, NULL, NULL, 'GTPASE DER', NULL, NULL, NULL, 15),
(181844, NULL, 'PTHR11911:SF85', NULL, NULL, NULL, NULL, 'IMP DEHYDROGENASE SUBUNIT', NULL, NULL, 1226, 15),
(181845, NULL, 'PTHR46033:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MAIN-LIKE 2', NULL, NULL, NULL, 15),
(181846, NULL, 'PTHR47982:SF16', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(181847, NULL, 'PTHR10231:SF75', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER 5', NULL, NULL, NULL, 15),
(181848, NULL, 'PTHR45621:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181849, NULL, 'PTHR33734:SF6', NULL, NULL, NULL, NULL, 'OS02G0681632 PROTEIN', NULL, NULL, NULL, 15),
(181850, NULL, 'PTHR10822', NULL, NULL, NULL, NULL, 'GLYPICAN', NULL, NULL, 4257, 15),
(181851, NULL, 'PTHR45642:SF102', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(181852, NULL, 'PTHR12210:SF43', NULL, NULL, NULL, NULL, 'CTD SMALL PHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181853, NULL, 'PTHR31321:SF70', NULL, NULL, NULL, NULL, 'OS07G0655600 PROTEIN', NULL, NULL, NULL, 15),
(181854, NULL, 'PTHR22435:SF0', NULL, NULL, NULL, NULL, 'CHROMOSOME 6 OPEN READING FRAME 222', NULL, NULL, NULL, 15),
(181855, NULL, 'PTHR31414:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181856, NULL, 'PTHR42341:SF1', NULL, NULL, NULL, NULL, 'HYDROPHOBIN', NULL, NULL, NULL, 15),
(181857, NULL, 'PTHR32467:SF164', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR AIL6', NULL, NULL, NULL, 15),
(181858, NULL, 'PTHR33978:SF12', NULL, NULL, NULL, NULL, 'OS01G0621500 PROTEIN', NULL, NULL, NULL, 15),
(181859, NULL, 'PTHR31269:SF47', NULL, NULL, NULL, NULL, 'S-TYPE ANION CHANNEL SLAH2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(181860, NULL, 'PTHR22802:SF278', NULL, NULL, NULL, NULL, 'CD209 ANTIGEN-LIKE PROTEIN B', NULL, NULL, NULL, 15),
(181861, NULL, 'PTHR12027:SF7', NULL, NULL, NULL, NULL, 'PROTEIN WNT-11', NULL, NULL, 28039, 15),
(181862, NULL, 'PTHR37291:SF1', NULL, NULL, NULL, NULL, '5-METHYLCYTOSINE-SPECIFIC RESTRICTION ENZYME B', NULL, NULL, NULL, 15),
(181863, NULL, 'PTHR15633', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 36729, 15),
(181864, NULL, 'PTHR43253', NULL, NULL, NULL, NULL, 'TRICORN PROTEASE HOMOLOG 2-RELATED', NULL, NULL, 13723, 15),
(181865, NULL, 'PTHR11532:SF57', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE D, B', NULL, NULL, NULL, 15),
(181866, NULL, 'PTHR31087:SF22', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 8', NULL, NULL, NULL, 15),
(181867, NULL, 'PTHR24177:SF230', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181868, NULL, 'PTHR31223:SF58', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG4', NULL, NULL, NULL, 15),
(181869, NULL, 'PTHR45855:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ALC', NULL, NULL, NULL, 15),
(181870, NULL, 'PTHR33133:SF25', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(181871, NULL, 'PTHR20981:SF6', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L21', NULL, NULL, NULL, 15),
(181872, NULL, 'PTHR14145:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181873, NULL, 'PTHR35332', NULL, NULL, NULL, NULL, 'REGULATION OF ENOLASE PROTEIN 1', NULL, NULL, 13101, 15),
(181874, NULL, 'PTHR23309:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181875, NULL, 'PTHR38537:SF10', NULL, NULL, NULL, NULL, 'FILAMIN-C', NULL, NULL, NULL, 15),
(181876, NULL, 'PTHR31917:SF80', NULL, NULL, NULL, NULL, 'AGENET DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(181877, NULL, 'PTHR31656:SF47', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN-RELATED / LEA PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(181878, NULL, 'PTHR30290:SF32', NULL, NULL, NULL, NULL, 'GLUTATHIONE-BINDING PROTEIN GSIB', NULL, NULL, NULL, 15),
(181879, NULL, 'PTHR31235:SF265', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(181880, NULL, 'PTHR33348:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181881, NULL, 'PTHR28630:SF20', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN-LIKE 2C', NULL, NULL, NULL, 15),
(181882, NULL, 'PTHR31790:SF309', NULL, NULL, NULL, NULL, 'BNAANNG41050D PROTEIN', NULL, NULL, NULL, 15),
(181883, NULL, 'PTHR48024:SF5', NULL, NULL, NULL, NULL, 'OS06G0220600 PROTEIN', NULL, NULL, NULL, 15),
(181884, NULL, 'PTHR34453:SF5', NULL, NULL, NULL, NULL, 'BNAC02G01190D PROTEIN', NULL, NULL, NULL, 15),
(181885, NULL, 'PTHR10410:SF34', NULL, NULL, NULL, NULL, 'LYS-63-SPECIFIC DEUBIQUITINASE BRCC36', NULL, NULL, NULL, 15),
(181886, NULL, 'PTHR11010:SF78', NULL, NULL, NULL, NULL, 'PRO-X CARBOXYPEPTIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(181887, NULL, 'PTHR14392', NULL, NULL, NULL, NULL, 'NIBAN FAMILY MEMBER', NULL, NULL, 21978, 15),
(181888, NULL, 'PTHR45810:SF14', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE CENTROMERIC PROTEIN A', NULL, NULL, NULL, 15),
(181889, NULL, 'PTHR43195:SF2', NULL, NULL, NULL, NULL, 'TRANSKETOLASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181890, NULL, 'PTHR47662:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181891, NULL, 'PTHR33935:SF15', NULL, NULL, NULL, NULL, 'OS10G0148100 PROTEIN', NULL, NULL, NULL, 15),
(181892, NULL, 'PTHR24248:SF2', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 101-RELATED', NULL, NULL, NULL, 15),
(181893, NULL, 'PTHR33221:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(181894, NULL, 'PTHR19229:SF120', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY A MEMBER 9', NULL, NULL, 24988, 15),
(181895, NULL, 'PTHR48176:SF1', NULL, NULL, NULL, NULL, 'DDRGK DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(181896, NULL, 'PTHR31232:SF62', NULL, NULL, NULL, NULL, 'BNAA09G06110D PROTEIN', NULL, NULL, NULL, 15),
(181897, NULL, 'PTHR10083:SF340', NULL, NULL, NULL, NULL, 'TISSUE FACTOR PATHWAY INHIBITOR', NULL, NULL, NULL, 15),
(181898, NULL, 'PTHR34801:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(181899, NULL, 'PTHR11017:SF241', NULL, NULL, NULL, NULL, 'BNAA09G53220D PROTEIN', NULL, NULL, NULL, 15),
(181900, NULL, 'PTHR45631:SF88', NULL, NULL, NULL, NULL, 'BNAA05G15170D PROTEIN', NULL, NULL, NULL, 15),
(181901, NULL, 'PTHR11753:SF50', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', NULL, NULL, NULL, 15),
(181902, NULL, 'PTHR34414:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181903, NULL, 'PTHR43335:SF4', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(181904, NULL, 'PTHR46932:SF9', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY', NULL, NULL, NULL, 15),
(181905, NULL, 'PTHR31528', NULL, NULL, NULL, NULL, '4-AMINO-5-HYDROXYMETHYL-2-METHYLPYRIMIDINE PHOSPHATE SYNTHASE THI11-RELATED', NULL, NULL, 24968, 15),
(181906, NULL, 'PTHR11903:SF32', NULL, NULL, NULL, NULL, 'ALPHA-DIOXYGENASE 1', NULL, NULL, NULL, 15),
(181907, NULL, 'PTHR45635:SF7', NULL, NULL, NULL, NULL, 'ADP/ATP TRANSLOCASE 4', NULL, NULL, NULL, 15),
(181908, NULL, 'PTHR24366:SF75', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEATS AND IMMUNOGLOBULIN LIKE DOMAINS 1', NULL, NULL, NULL, 15),
(181909, NULL, 'PTHR32499:SF12', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 17 ISOFORM X1', NULL, NULL, NULL, 15),
(181910, NULL, 'PTHR31374:SF132', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(181911, NULL, 'PTHR34984:SF1', NULL, NULL, NULL, NULL, 'CARBON STORAGE REGULATOR', NULL, NULL, NULL, 15),
(181912, NULL, 'PTHR31213:SF158', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR PYL4-LIKE', NULL, NULL, NULL, 15),
(181913, NULL, 'PTHR14074:SF7', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DHX58-RELATED', NULL, NULL, NULL, 15),
(181914, NULL, 'PTHR44303:SF3', NULL, NULL, NULL, NULL, 'DNAJ (HSP40) HOMOLOG, SUBFAMILY C, MEMBER 16', NULL, NULL, NULL, 15),
(181915, NULL, 'PTHR45744:SF28', NULL, NULL, NULL, NULL, 'BNAA03G46070D PROTEIN', NULL, NULL, NULL, 15),
(181916, NULL, 'PTHR24056:SF228', NULL, NULL, NULL, NULL, 'PROTEIN IMPAIRED IN BABA-INDUCED STERILITY 1', NULL, NULL, NULL, 15),
(181917, NULL, 'PTHR14154:SF50', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', NULL, NULL, NULL, 15),
(181918, NULL, 'PTHR14112:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SSX6-RELATED', NULL, NULL, NULL, 15),
(181919, NULL, 'PTHR31549:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181920, NULL, 'PTHR35747', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(181921, NULL, 'PTHR11863:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181922, NULL, 'PTHR12558:SF25', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 27 HOMOLOG B-LIKE', NULL, NULL, NULL, 15),
(181923, NULL, 'PTHR37467:SF1', NULL, NULL, NULL, NULL, 'EXPORTED CALCIUM-BINDING GLYCOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(181924, NULL, 'PTHR26453:SF98', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181925, NULL, 'PTHR35683:SF2', NULL, NULL, NULL, NULL, 'AGAP002273-PA', NULL, NULL, NULL, 15),
(181926, NULL, 'PTHR11802:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181927, NULL, 'PTHR46413:SF14', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(181928, NULL, 'PTHR42080', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181929, NULL, 'PTHR35102:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181930, NULL, 'PTHR11206:SF338', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(181931, NULL, 'PTHR23263:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181932, NULL, 'PTHR24296:SF39', NULL, NULL, NULL, NULL, 'OS08G0263000 PROTEIN', NULL, NULL, NULL, 15),
(181933, NULL, 'PTHR13884:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181934, NULL, 'PTHR34998:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181935, NULL, 'PTHR23052', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(181936, NULL, 'PTHR11804:SF28', NULL, NULL, NULL, NULL, 'OLIGOENDOPEPTIDASE F', NULL, NULL, NULL, 15),
(181937, NULL, 'PTHR18959:SF99', NULL, NULL, NULL, NULL, 'CALPONIN-LIKE PROTEINS', NULL, NULL, NULL, 15),
(181938, NULL, 'PTHR24271:SF5', NULL, NULL, NULL, NULL, 'PROTEASE, SERINE 51', NULL, NULL, NULL, 15),
(181939, NULL, 'PTHR23268:SF40', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 4-1', NULL, NULL, NULL, 15),
(181940, NULL, 'PTHR19443:SF3', NULL, NULL, NULL, NULL, 'GLUCOKINASE', NULL, NULL, 35807, 15),
(181941, NULL, 'PTHR43449:SF1', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(181942, NULL, 'PTHR26452:SF809', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(181943, NULL, 'PTHR11953:SF0', NULL, NULL, NULL, NULL, 'EXOSOME COMPLEX COMPONENT RRP41', NULL, NULL, NULL, 15),
(181944, NULL, 'PTHR10219:SF89', NULL, NULL, NULL, NULL, 'PROTEIN CBG20406', NULL, NULL, NULL, 15),
(181945, NULL, 'PTHR11452:SF36', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(181946, NULL, 'PTHR34674:SF4', NULL, NULL, NULL, NULL, 'BNAA02G09120D PROTEIN', NULL, NULL, NULL, 15),
(181947, NULL, 'PTHR16676:SF0', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER CD24', NULL, NULL, NULL, 15),
(181948, NULL, 'PTHR38736:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181949, NULL, 'PTHR34672:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181950, NULL, 'PTHR15756:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 176A', NULL, NULL, NULL, 15),
(181951, NULL, 'PTHR42930:SF3', NULL, NULL, NULL, NULL, 'PHOSPHATE-SPECIFIC TRANSPORT SYSTEM ACCESSORY PROTEIN PHOU', NULL, NULL, NULL, 15),
(181952, NULL, 'PTHR37881', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181953, NULL, 'PTHR46354:SF12', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(181954, NULL, 'PTHR13869:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181955, NULL, 'PTHR19143:SF374', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181956, NULL, 'PTHR24128:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181957, NULL, 'PTHR12396:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181958, NULL, 'PTHR46407:SF2', NULL, NULL, NULL, NULL, 'OS02G0563000 PROTEIN', NULL, NULL, NULL, 15),
(181959, NULL, 'PTHR43874:SF157', NULL, NULL, NULL, NULL, 'BNAC09G14930D PROTEIN', NULL, NULL, NULL, 15),
(181960, NULL, 'PTHR24015:SF1013', NULL, NULL, NULL, NULL, 'OS03G0775400 PROTEIN', NULL, NULL, NULL, 15),
(181961, NULL, 'PTHR45832:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181962, NULL, 'PTHR11592:SF108', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, NULL, 15),
(181963, NULL, 'PTHR22904', NULL, NULL, NULL, NULL, 'TPR REPEAT CONTAINING PROTEIN', NULL, NULL, 39943, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(181964, NULL, 'PTHR37265:SF1', NULL, NULL, NULL, NULL, 'OS01G0195300 PROTEIN', NULL, NULL, NULL, 15),
(181965, NULL, 'PTHR21596:SF62', NULL, NULL, NULL, NULL, 'PROTEIN INVOLVED IN DE NOVO 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(181966, NULL, 'PTHR33044:SF27', NULL, NULL, NULL, NULL, 'OS03G0192600 PROTEIN', NULL, NULL, NULL, 15),
(181967, NULL, 'PTHR36710:SF4', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(181968, NULL, 'PTHR35000', NULL, NULL, NULL, NULL, 'MUCIN MUC17, PUTATIVE-RELATED-RELATED', NULL, NULL, NULL, 15),
(181969, NULL, 'PTHR31442:SF17', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ORR26', NULL, NULL, NULL, 15),
(181970, NULL, 'PTHR45619:SF34', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-4 CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(181971, NULL, 'PTHR11257:SF11', NULL, NULL, NULL, NULL, 'CHEMOSENSORY PROTEIN 17', NULL, NULL, NULL, 15),
(181972, NULL, 'PTHR10791:SF154', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(181973, NULL, 'PTHR21715:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(181974, NULL, 'PTHR13878:SF117', NULL, NULL, NULL, NULL, 'OS08G0519100 PROTEIN', NULL, NULL, NULL, 15),
(181975, NULL, 'PTHR24083:SF87', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(181976, NULL, 'PTHR31176:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG12635', NULL, NULL, NULL, 15),
(181977, NULL, 'PTHR33730:SF12', NULL, NULL, NULL, NULL, 'OS01G0704901 PROTEIN', NULL, NULL, NULL, 15),
(181978, NULL, 'PTHR10809', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN-ASSOCIATED PROTEIN', NULL, NULL, 21848, 15),
(181979, NULL, 'PTHR24029', NULL, NULL, NULL, NULL, 'UVRABC SYSTEM PROTEIN B', NULL, NULL, 4390, 15),
(181980, NULL, 'PTHR48049:SF23', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71D1-RELATED', NULL, NULL, NULL, 15),
(181981, NULL, 'PTHR33167:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(181982, NULL, 'PTHR18839:SF0', NULL, NULL, NULL, NULL, 'SI:CH211-153L6.6-RELATED', NULL, NULL, NULL, 15),
(181983, NULL, 'PTHR31602:SF72', NULL, NULL, NULL, NULL, 'WRC DOMAIN, GROWTH-REGULATING FACTOR-RELATED', NULL, NULL, NULL, 15),
(181984, NULL, 'PTHR14499:SF77', NULL, NULL, NULL, NULL, 'OS02G0612700 PROTEIN', NULL, NULL, NULL, 15),
(181985, NULL, 'PTHR33748:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG20827', NULL, NULL, NULL, 15),
(181986, NULL, 'PTHR33543:SF29', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-LIKE PROTEIN TYPE 2', NULL, NULL, NULL, 15),
(181987, NULL, 'PTHR46226:SF8', NULL, NULL, NULL, NULL, 'BNAA08G00250D PROTEIN', NULL, NULL, NULL, 15),
(181988, NULL, 'PTHR22552:SF23', NULL, NULL, NULL, NULL, 'FIP (FUNGUS-INDUCED PROTEIN) RELATED', NULL, NULL, NULL, 15),
(181989, NULL, 'PTHR45817:SF4', NULL, NULL, NULL, NULL, 'LYSYL OXIDASE-LIKE-RELATED', NULL, NULL, NULL, 15),
(181990, NULL, 'PTHR37705:SF1', NULL, NULL, NULL, NULL, 'BNAA08G11710D PROTEIN', NULL, NULL, NULL, 15),
(181991, NULL, 'PTHR33349:SF12', NULL, NULL, NULL, NULL, 'INNER CENTROMERE PROTEIN A-LIKE', NULL, NULL, NULL, 15),
(181992, NULL, 'PTHR47979:SF1', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA1G', NULL, NULL, NULL, 15),
(181993, NULL, 'PTHR42861:SF8', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE SARCOPLASMIC/ENDOPLASMIC RETICULUM TYPE', NULL, NULL, NULL, 15),
(181994, NULL, 'PTHR35114', NULL, NULL, NULL, NULL, 'CYTOCHROME OXIDASE COMPLEX ASSEMBLY PROTEIN', NULL, NULL, NULL, 15),
(181995, NULL, 'PTHR21297:SF2', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES IV AND V SUBUNIT 4', NULL, NULL, NULL, 15),
(181996, NULL, 'PTHR10825:SF72', NULL, NULL, NULL, NULL, 'POLYCOMB GROUP PROTEIN PSC-RELATED', NULL, NULL, NULL, 15),
(181997, NULL, 'PTHR45891', NULL, NULL, NULL, NULL, 'ZINC FINGER HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(181998, NULL, 'PTHR30603:SF15', NULL, NULL, NULL, NULL, 'RNA POLYMERASE SIGMA FACTOR RPOS', NULL, NULL, NULL, 15),
(181999, NULL, 'PTHR10288:SF292', NULL, NULL, NULL, NULL, 'BNAA05G28360D PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182000, NULL, 'PTHR43139:SF57', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182001, NULL, 'PTHR10209:SF766', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 2', NULL, NULL, NULL, 15),
(182002, NULL, 'PTHR38453:SF3', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182003, NULL, 'PTHR12461:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182004, NULL, 'PTHR31627:SF39', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA-15', NULL, NULL, NULL, 15),
(182005, NULL, 'PTHR45764:SF36', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(182006, NULL, 'PTHR33219:SF11', NULL, NULL, NULL, NULL, 'PROTEIN COFACTOR ASSEMBLY OF COMPLEX C SUBUNIT B CCB3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(182007, NULL, 'PTHR10909:SF304', NULL, NULL, NULL, NULL, 'PEROXISOMAL ACYL-COENZYME A OXIDASE 1.5-RELATED', NULL, NULL, NULL, 15),
(182008, NULL, 'PTHR24282:SF211', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP13A1-RELATED', NULL, NULL, NULL, 15),
(182009, NULL, 'PTHR12247:SF132', NULL, NULL, NULL, NULL, 'POLYCOMB PROTEIN SCM', NULL, NULL, NULL, 15),
(182010, NULL, 'PTHR15615:SF97', NULL, NULL, NULL, NULL, 'CYCLIN-U4-3', NULL, NULL, NULL, 15),
(182011, NULL, 'PTHR31137', NULL, NULL, NULL, NULL, 'PROTEIN PSIB-RELATED-RELATED', NULL, NULL, NULL, 15),
(182012, NULL, 'PTHR31083:SF23', NULL, NULL, NULL, NULL, 'PROTEIN UPSTREAM OF FLC-LIKE', NULL, NULL, NULL, 15),
(182013, NULL, 'PTHR34358:SF7', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(182014, NULL, 'PTHR18945:SF827', NULL, NULL, NULL, NULL, 'PROTEIN CBR-AVR-14', NULL, NULL, NULL, 15),
(182015, NULL, 'PTHR24092:SF59', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(182016, NULL, 'PTHR18934:SF88', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR ATP-DEPENDENT RNA HELICASE DHX32-RELATED', NULL, NULL, NULL, 15),
(182017, NULL, 'PTHR47979:SF6', NULL, NULL, NULL, NULL, 'RAB11A, MEMBER RAS ONCOGENE FAMILY,-LIKE', NULL, NULL, NULL, 15),
(182018, NULL, 'PTHR22792', NULL, NULL, NULL, NULL, 'LUPUS LA PROTEIN-RELATED', NULL, NULL, 36625, 15),
(182019, NULL, 'PTHR43570:SF28', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(182020, NULL, 'PTHR10223:SF12', NULL, NULL, NULL, NULL, 'BNAA06G37370D PROTEIN', NULL, NULL, NULL, 15),
(182021, NULL, 'PTHR31642:SF218', NULL, NULL, NULL, NULL, '(Z)-3-HEXEN-1-OL ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(182022, NULL, 'PTHR11699:SF293', NULL, NULL, NULL, NULL, 'RETINAL DEHYDROGENASE 1-RELATED', NULL, NULL, NULL, 15),
(182023, NULL, 'PTHR12700:SF21', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(182024, NULL, 'PTHR46162:SF32', NULL, NULL, NULL, NULL, 'MATH DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(182025, NULL, 'PTHR11599:SF152', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, 9346, 15),
(182026, NULL, 'PTHR38420:SF2', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(182027, NULL, 'PTHR28588', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(182028, NULL, 'PTHR46128:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182029, NULL, 'PTHR45675:SF59', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB48', NULL, NULL, NULL, 15),
(182030, NULL, 'PTHR24060:SF155', NULL, NULL, NULL, NULL, 'MANGETOUT, ISOFORM G', NULL, NULL, NULL, 15),
(182031, NULL, 'PTHR24291:SF119', NULL, NULL, NULL, NULL, 'SI:CH211-113J14.1', NULL, NULL, NULL, 15),
(182032, NULL, 'PTHR46610:SF23', NULL, NULL, NULL, NULL, 'OS01G0183900 PROTEIN', NULL, NULL, NULL, 15),
(182033, NULL, 'PTHR31662:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182034, NULL, 'PTHR13445:SF6', NULL, NULL, NULL, NULL, 'BNAA05G35050D PROTEIN', NULL, NULL, NULL, 15),
(182035, NULL, 'PTHR20910', NULL, NULL, NULL, NULL, 'AGAP001623-PA', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182036, NULL, 'PTHR47993:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182037, NULL, 'PTHR24377:SF653', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 708', NULL, NULL, NULL, 15),
(182038, NULL, 'PTHR13372', NULL, NULL, NULL, NULL, 'GEMININ', NULL, NULL, NULL, 15),
(182039, NULL, 'PTHR12027:SF93', NULL, NULL, NULL, NULL, 'PROTEIN WNT-2B', NULL, NULL, NULL, 15),
(182040, NULL, 'PTHR27001:SF93', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN CCR3-RELATED', NULL, NULL, NULL, 15),
(182041, NULL, 'PTHR31509:SF4', NULL, NULL, NULL, NULL, 'OS12G0164600 PROTEIN', NULL, NULL, NULL, 15),
(182042, NULL, 'PTHR36856:SF1', NULL, NULL, NULL, NULL, 'OS07G0175200 PROTEIN', NULL, NULL, NULL, 15),
(182043, NULL, 'PTHR16223:SF247', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', NULL, NULL, NULL, 15),
(182044, NULL, 'PTHR10257:SF80', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 56 KDA REGULATORY SUBUNIT EPSILON ISOFORM', NULL, NULL, NULL, 15),
(182045, NULL, 'PTHR34216:SF12', NULL, NULL, NULL, NULL, 'CARBOHYDRATE ESTERASE FAMILY 4', NULL, NULL, NULL, 15),
(182046, NULL, 'PTHR24068:SF315', NULL, NULL, NULL, NULL, 'NEDD8-CONJUGATING ENZYME UBC12', NULL, NULL, NULL, 15),
(182047, NULL, 'PTHR12062:SF14', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE C', NULL, NULL, NULL, 15),
(182048, NULL, 'PTHR18847:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR CAP-BINDING PROTEIN SUBUNIT 2-LIKE', NULL, NULL, NULL, 15),
(182049, NULL, 'PTHR33095:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182050, NULL, 'PTHR33143:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182051, NULL, 'PTHR11255:SF80', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE ETA', NULL, NULL, NULL, 15),
(182052, NULL, 'PTHR23155:SF1081', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182053, NULL, 'PTHR23320:SF74', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 3', NULL, NULL, 26453, 15),
(182054, NULL, 'PTHR31673:SF32', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(182055, NULL, 'PTHR26453:SF617', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2H2', NULL, NULL, NULL, 15),
(182056, NULL, 'PTHR31901:SF37', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6', NULL, NULL, NULL, 15),
(182057, NULL, 'PTHR23172:SF76', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE', NULL, NULL, NULL, 15),
(182058, NULL, 'PTHR33676:SF20', NULL, NULL, NULL, NULL, 'BNAA08G11690D PROTEIN', NULL, NULL, NULL, 15),
(182059, NULL, 'PTHR43655:SF11', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(182060, NULL, 'PTHR24123:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182061, NULL, 'PTHR31089:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER, DOF-TYPE, CUPREDOXIN-RELATED', NULL, NULL, NULL, 15),
(182062, NULL, 'PTHR31583:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182063, NULL, 'PTHR47654:SF2', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(182064, NULL, 'PTHR10981', NULL, NULL, NULL, NULL, 'BATTENIN', NULL, NULL, 6433, 15),
(182065, NULL, 'PTHR24414:SF160', NULL, NULL, NULL, NULL, 'BNACNNG49360D PROTEIN', NULL, NULL, NULL, 15),
(182066, NULL, 'PTHR47705:SF1', NULL, NULL, NULL, NULL, 'AGAP000321-PA', NULL, NULL, NULL, 15),
(182067, NULL, 'PTHR11132:SF405', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182068, NULL, 'PTHR46611:SF1', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(182069, NULL, 'PTHR48021:SF26', NULL, NULL, NULL, NULL, 'TONOPLAST MONOSACCHARIDE TRANSPORTER 2', NULL, NULL, NULL, 15),
(182070, NULL, 'PTHR35312', NULL, NULL, NULL, NULL, 'OS07G0641800 PROTEIN', NULL, NULL, NULL, 15),
(182071, NULL, 'PTHR47101', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE 5, CHLOROPLASTIC', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182072, NULL, 'PTHR12537:SF112', NULL, NULL, NULL, NULL, 'FEM-3 MRNA-BINDING FACTOR 1-RELATED', NULL, NULL, NULL, 15),
(182073, NULL, 'PTHR19970:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182074, NULL, 'PTHR11662:SF432', NULL, NULL, NULL, NULL, 'SI:CH1073-513E17.1', NULL, NULL, NULL, 15),
(182075, NULL, 'PTHR24134:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182076, NULL, 'PTHR19211:SF115', NULL, NULL, NULL, NULL, 'BNAA06G39310D PROTEIN', NULL, NULL, NULL, 15),
(182077, NULL, 'PTHR13293:SF6', NULL, NULL, NULL, NULL, 'AKIRIN-RELATED', NULL, NULL, NULL, 15),
(182078, NULL, 'PTHR47762:SF2', NULL, NULL, NULL, NULL, 'OSJNBB0079B02.4 PROTEIN', NULL, NULL, NULL, 15),
(182079, NULL, 'PTHR40129:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182080, NULL, 'PTHR34123:SF3', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(182081, NULL, 'PTHR32054:SF27', NULL, NULL, NULL, NULL, 'BNAC09G13510D PROTEIN', NULL, NULL, NULL, 15),
(182082, NULL, 'PTHR36922', NULL, NULL, NULL, NULL, 'BLL2446 PROTEIN', NULL, NULL, 14604, 15),
(182083, NULL, 'PTHR12027:SF78', NULL, NULL, NULL, NULL, 'PROTEIN WNT-7A', NULL, NULL, NULL, 15),
(182084, NULL, 'PTHR19305:SF22', NULL, NULL, NULL, NULL, 'SYNAPTOSOMAL-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(182085, NULL, 'PTHR27008:SF259', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182086, NULL, 'PTHR23056:SF88', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(182087, NULL, 'PTHR31080:SF239', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(182088, NULL, 'PTHR19919', NULL, NULL, NULL, NULL, 'WD REPEAT CONTAINING PROTEIN', NULL, NULL, 39074, 15),
(182089, NULL, 'PTHR11489:SF17', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN SA', NULL, NULL, NULL, 15),
(182090, NULL, 'PTHR12289:SF38', NULL, NULL, NULL, NULL, 'METAXIN-2', NULL, NULL, NULL, 15),
(182091, NULL, 'PTHR10217:SF634', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL, SUBFAMILY H (EAG-RELATED), MEMBER 1B', NULL, NULL, NULL, 15),
(182092, NULL, 'PTHR46855:SF5', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 26-LIKE', NULL, NULL, NULL, 15),
(182093, NULL, 'PTHR30487', NULL, NULL, NULL, NULL, 'TYPE 4 PREPILIN-LIKE PROTEINS LEADER PEPTIDE-PROCESSING ENZYME', NULL, NULL, NULL, 15),
(182094, NULL, 'PTHR37265:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182095, NULL, 'PTHR48005:SF13', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT KINASE 2', NULL, NULL, NULL, 15),
(182096, NULL, 'PTHR13302', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX COMPONENT 3', NULL, NULL, 6894, 15),
(182097, NULL, 'PTHR30537:SF69', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR TRPI', NULL, NULL, NULL, 15),
(182098, NULL, 'PTHR44329:SF160', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE HT1-LIKE', NULL, NULL, NULL, 15),
(182099, NULL, 'PTHR47999:SF20', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(182100, NULL, 'PTHR31614', NULL, NULL, NULL, NULL, 'PROTEIN DOWNSTREAM OF FLC-RELATED', NULL, NULL, 2877, 15),
(182101, NULL, 'PTHR48017:SF162', NULL, NULL, NULL, NULL, 'OS01G0908600 PROTEIN', NULL, NULL, NULL, 15),
(182102, NULL, 'PTHR24070', NULL, NULL, NULL, NULL, 'RAS, DI-RAS, AND RHEB FAMILY MEMBERS OF SMALL GTPASE SUPERFAMILY', NULL, NULL, 20151, 15),
(182103, NULL, 'PTHR42244:SF2', NULL, NULL, NULL, NULL, 'ANTITOXIN VAPB3-RELATED', NULL, NULL, NULL, 15),
(182104, NULL, 'PTHR38926:SF29', NULL, NULL, NULL, NULL, 'BNAA03G57200D PROTEIN', NULL, NULL, NULL, 15),
(182105, NULL, 'PTHR11863:SF165', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE-LIKE', NULL, NULL, NULL, 15),
(182106, NULL, 'PTHR23147:SF179', NULL, NULL, NULL, NULL, 'BNAC03G70430D PROTEIN', NULL, NULL, NULL, 15),
(182107, NULL, 'PTHR31111:SF29', NULL, NULL, NULL, NULL, 'BNAC07G32830D PROTEIN', NULL, NULL, NULL, 15),
(182108, NULL, 'PTHR44307', NULL, NULL, NULL, NULL, 'PHOSPHOETHANOLAMINE METHYLTRANSFERASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182109, NULL, 'PTHR31889:SF56', NULL, NULL, NULL, NULL, 'FUCOSYLTRANSFERASE 9-RELATED', NULL, NULL, NULL, 15),
(182110, NULL, 'PTHR34280:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182111, NULL, 'PTHR43878:SF1', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE RELATED PROTEIN', NULL, NULL, NULL, 15),
(182112, NULL, 'PTHR48175:SF1', NULL, NULL, NULL, NULL, 'OS04G0581700 PROTEIN', NULL, NULL, NULL, 15),
(182113, NULL, 'PTHR47183:SF1', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE CYTIDYLYLTRANSFERASE', NULL, NULL, 9069, 15),
(182114, NULL, 'PTHR11183:SF137', NULL, NULL, NULL, NULL, 'BNACNNG06520D PROTEIN', NULL, NULL, NULL, 15),
(182115, NULL, 'PTHR19325:SF526', NULL, NULL, NULL, NULL, 'LOCOMOTION-RELATED PROTEIN HIKARU GENKI', NULL, NULL, NULL, 15),
(182116, NULL, 'PTHR10426:SF105', NULL, NULL, NULL, NULL, 'STRICTOSIDINE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(182117, NULL, 'PTHR10969:SF81', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN', NULL, NULL, NULL, 15),
(182118, NULL, 'PTHR24349:SF356', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182119, NULL, 'PTHR19297:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182120, NULL, 'PTHR12448:SF2', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT EPSILON-LIKE PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(182121, NULL, 'PTHR35277', NULL, NULL, NULL, NULL, 'OS09G0363700 PROTEIN', NULL, NULL, NULL, 15),
(182122, NULL, 'PTHR12372:SF4', NULL, NULL, NULL, NULL, 'PECANEX-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(182123, NULL, 'PTHR47358:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HOS1', NULL, NULL, NULL, 15),
(182124, NULL, 'PTHR11117:SF2', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP/GDP-FORMING] SUBUNIT ALPHA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(182125, NULL, 'PTHR24072:SF342', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHO5', NULL, NULL, NULL, 15),
(182126, NULL, 'PTHR24349:SF367', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CG17528', NULL, NULL, NULL, 15),
(182127, NULL, 'PTHR13437', NULL, NULL, NULL, NULL, 'NUCLEOPORIN P58/P45  NUCLEOPORIN-LIKE PROTEIN 1', NULL, NULL, 29226, 15),
(182128, NULL, 'PTHR17408', NULL, NULL, NULL, NULL, 'HISTONE RNA HAIRPIN-BINDING PROTEIN', NULL, NULL, 24247, 15),
(182129, NULL, 'PTHR33279', NULL, NULL, NULL, NULL, 'SULFUR CARRIER PROTEIN YEDF-RELATED', NULL, NULL, NULL, 15),
(182130, NULL, 'PTHR10366:SF297', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT 3-KETO-STEROID REDUCTASE HSD3B4-RELATED', NULL, NULL, NULL, 15),
(182131, NULL, 'PTHR10075:SF63', NULL, NULL, NULL, NULL, 'CONTACTIN-4', NULL, NULL, NULL, 15),
(182132, NULL, 'PTHR11071:SF443', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE H', NULL, NULL, NULL, 15),
(182133, NULL, 'PTHR16223:SF243', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182134, NULL, 'PTHR26452:SF407', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5AC1', NULL, NULL, NULL, 15),
(182135, NULL, 'PTHR10151:SF21', NULL, NULL, NULL, NULL, 'ECTONUCLEOTIDE PYROPHOSPHATASE/PHOSPHODIESTERASE FAMILY MEMBER 2', NULL, NULL, 28932, 15),
(182136, NULL, 'PTHR13822:SF10', NULL, NULL, NULL, NULL, 'ATP SYNTHASE EPSILON CHAIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(182137, NULL, 'PTHR44042:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182138, NULL, 'PTHR10369:SF22', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36A-LIKE', NULL, NULL, NULL, 15),
(182139, NULL, 'PTHR10795:SF691', NULL, NULL, NULL, NULL, 'BNAC02G16650D PROTEIN', NULL, NULL, NULL, 15),
(182140, NULL, 'PTHR10288:SF162', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN NOVA-2', NULL, NULL, 34530, 15),
(182141, NULL, 'PTHR31286:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182142, NULL, 'PTHR11814:SF75', NULL, NULL, NULL, NULL, 'ANION EXCHANGE TRANSPORTER', NULL, NULL, 25623, 15),
(182143, NULL, 'PTHR23349:SF64', NULL, NULL, NULL, NULL, 'TWIST-RELATED PROTEIN 1', NULL, NULL, 12857, 15),
(182144, NULL, 'PTHR11205', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S7', NULL, NULL, 4795, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182145, NULL, 'PTHR11586:SF40', NULL, NULL, NULL, NULL, 'METHIONYL-TRN SYNTHETASE', NULL, NULL, NULL, 15),
(182146, NULL, 'PTHR21561', NULL, NULL, NULL, NULL, 'INO80 COMPLEX SUBUNIT B', NULL, NULL, 24743, 15),
(182147, NULL, 'PTHR43205:SF58', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(182148, NULL, 'PTHR48041:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT PERMEASE-RELATED', NULL, NULL, NULL, 15),
(182149, NULL, 'PTHR32134:SF107', NULL, NULL, NULL, NULL, 'FNIP REPEAT-CONTAINING PROTEIN DDB_G0289381-RELATED', NULL, NULL, NULL, 15),
(182150, NULL, 'PTHR46407:SF12', NULL, NULL, NULL, NULL, 'BNAC06G40570D PROTEIN', NULL, NULL, NULL, 15),
(182151, NULL, 'PTHR31238:SF28', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 3-2-RELATED', NULL, NULL, NULL, 15),
(182152, NULL, 'PTHR31065:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182153, NULL, 'PTHR42877', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182154, NULL, 'PTHR27005:SF202', NULL, NULL, NULL, NULL, 'OS09G0339300 PROTEIN', NULL, NULL, NULL, 15),
(182155, NULL, 'PTHR47926:SF109', NULL, NULL, NULL, NULL, 'BNAA06G32750D PROTEIN', NULL, NULL, NULL, 15),
(182156, NULL, 'PTHR33044:SF22', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID TRANSFER PROTEIN-LIKE 1', NULL, NULL, NULL, 15),
(182157, NULL, 'PTHR43183', NULL, NULL, NULL, NULL, 'HYPOTHETICAL DIHYDROXYACID DEHYDRATASE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(182158, NULL, 'PTHR31235:SF87', NULL, NULL, NULL, NULL, 'PEROXIDASE 25', NULL, NULL, NULL, 15),
(182159, NULL, 'PTHR45772:SF9', NULL, NULL, NULL, NULL, 'CONSERVED COMPONENT OF ABC TRANSPORTER FOR NATURAL AMINO ACIDS', NULL, NULL, NULL, 15),
(182160, NULL, 'PTHR33180:SF14', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP47 REACTION CENTER PROTEIN', NULL, NULL, NULL, 15),
(182161, NULL, 'PTHR27007:SF272', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.9', NULL, NULL, NULL, 15),
(182162, NULL, 'PTHR24015:SF97', NULL, NULL, NULL, NULL, 'OS03G0235200 PROTEIN', NULL, NULL, NULL, 15),
(182163, NULL, 'PTHR46311:SF3', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 8', NULL, NULL, NULL, 15),
(182164, NULL, 'PTHR24298:SF691', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D7', NULL, NULL, NULL, 15),
(182165, NULL, 'PTHR11003:SF76', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(182166, NULL, 'PTHR33033:SF64', NULL, NULL, NULL, NULL, 'RNASE H FAMILY PROTEIN', NULL, NULL, NULL, 15),
(182167, NULL, 'PTHR11606:SF28', NULL, NULL, NULL, NULL, 'GLUTAMATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(182168, NULL, 'PTHR46006:SF2', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 3', NULL, NULL, NULL, 15),
(182169, NULL, 'PTHR32361:SF4', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 32 SUPERFAMILY (AFU_ORTHOLOGUE AFUA_6G05000)', NULL, NULL, NULL, 15),
(182170, NULL, 'PTHR16125:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 74B', NULL, NULL, NULL, 15),
(182171, NULL, 'PTHR11699:SF221', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE, CYTOSOLIC 1', NULL, NULL, NULL, 15),
(182172, NULL, 'PTHR35632:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182173, NULL, 'PTHR40201:SF1', NULL, NULL, NULL, NULL, 'OSMIOPHILIC BODY PROTEIN', NULL, NULL, NULL, 15),
(182174, NULL, 'PTHR35069:SF1', NULL, NULL, NULL, NULL, 'PROTEIN C9ORF135', NULL, NULL, NULL, 15),
(182175, NULL, 'PTHR35014:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG25495', NULL, NULL, NULL, 15),
(182176, NULL, 'PTHR48001:SF122', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(182177, NULL, 'PTHR13817:SF99', NULL, NULL, NULL, NULL, 'PROTEIN CBR-UNC-40', NULL, NULL, NULL, 15),
(182178, NULL, 'PTHR23050:SF444', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182179, NULL, 'PTHR32227:SF303', NULL, NULL, NULL, NULL, 'BETA-1, 3-GLUCANASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(182180, NULL, 'PTHR12155:SF40', NULL, NULL, NULL, NULL, 'SCHLAFEN 1-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182181, NULL, 'PTHR45991:SF1', NULL, NULL, NULL, NULL, 'PACHYTENE CHECKPOINT PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(182182, NULL, 'PTHR23105:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182183, NULL, 'PTHR45616:SF25', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 8', NULL, NULL, NULL, 15),
(182184, NULL, 'PTHR22957:SF570', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 2A', NULL, NULL, NULL, 15),
(182185, NULL, 'PTHR16451:SF12', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DYNAMICS PROTEIN MID51', NULL, NULL, NULL, 15),
(182186, NULL, 'PTHR16223:SF237', NULL, NULL, NULL, NULL, 'OJ990528_30.9 PROTEIN', NULL, NULL, NULL, 15),
(182187, NULL, 'PTHR31674:SF49', NULL, NULL, NULL, NULL, 'BNAA10G28180D PROTEIN', NULL, NULL, NULL, 15),
(182188, NULL, 'PTHR11782:SF37', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 7', NULL, NULL, NULL, 15),
(182189, NULL, 'PTHR10352:SF34', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', NULL, NULL, NULL, 15),
(182190, NULL, 'PTHR22811:SF77', NULL, NULL, NULL, NULL, 'PROTEIN CBG24737', NULL, NULL, NULL, 15),
(182191, NULL, 'PTHR24075:SF16', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(182192, NULL, 'PTHR32295:SF217', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', NULL, NULL, NULL, 15),
(182193, NULL, 'PTHR10182', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN 39-RELATED', NULL, NULL, 17679, 15),
(182194, NULL, 'PTHR31551:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 12', NULL, NULL, NULL, 15),
(182195, NULL, 'PTHR47976:SF65', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-5', NULL, NULL, NULL, 15),
(182196, NULL, 'PTHR23356', NULL, NULL, NULL, NULL, 'DPY30-RELATED', NULL, NULL, 30860, 15),
(182197, NULL, 'PTHR32285:SF173', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 40', NULL, NULL, NULL, 15),
(182198, NULL, 'PTHR11093:SF2', NULL, NULL, NULL, NULL, 'RUVB-LIKE 2', NULL, NULL, 31740, 15),
(182199, NULL, 'PTHR30540:SF120', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER', NULL, NULL, NULL, 15),
(182200, NULL, 'PTHR33728:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182201, NULL, 'PTHR31479:SF2', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(182202, NULL, 'PTHR11850:SF322', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN BEL1 HOMOLOG', NULL, NULL, NULL, 15),
(182203, NULL, 'PTHR32448:SF91', NULL, NULL, NULL, NULL, 'TETRAHYDROCANNABINOLIC ACID SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(182204, NULL, 'PTHR14470:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182205, NULL, 'PTHR48012:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE OSR1', NULL, NULL, 29391, 15),
(182206, NULL, 'PTHR46458:SF10', NULL, NULL, NULL, NULL, 'GLOBIN RELATED', NULL, NULL, NULL, 15),
(182207, NULL, 'PTHR24416:SF357', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE LMTK2', NULL, NULL, NULL, 15),
(182208, NULL, 'PTHR11486:SF31', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 4', NULL, NULL, 25418, 15),
(182209, NULL, 'PTHR47991:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182210, NULL, 'PTHR12603:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182211, NULL, 'PTHR43199:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE HYDROLASE PROENZYME', NULL, NULL, NULL, 15),
(182212, NULL, 'PTHR33676:SF3', NULL, NULL, NULL, NULL, 'COLD REGULATED PROTEIN 27', NULL, NULL, NULL, 15),
(182213, NULL, 'PTHR22881:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182214, NULL, 'PTHR31525:SF4', NULL, NULL, NULL, NULL, 'HEME TRANSPORTER HRG-5', NULL, NULL, NULL, 15),
(182215, NULL, 'PTHR34379:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(182216, NULL, 'PTHR31669:SF162', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 5', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182217, NULL, 'PTHR23323:SF27', NULL, NULL, NULL, NULL, 'BNACNNG33440D PROTEIN', NULL, NULL, NULL, 15),
(182218, NULL, 'PTHR48021:SF65', NULL, NULL, NULL, NULL, 'BNAA06G14680D PROTEIN', NULL, NULL, NULL, 15),
(182219, NULL, 'PTHR24126:SF24', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 10', NULL, NULL, 30756, 15),
(182220, NULL, 'PTHR30588:SF0', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID TRANSPORT SYSTEM 2 CARRIER PROTEIN', NULL, NULL, NULL, 15),
(182221, NULL, 'PTHR11588:SF357', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(182222, NULL, 'PTHR45693:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGAL8', NULL, NULL, NULL, 15),
(182223, NULL, 'PTHR27001:SF886', NULL, NULL, NULL, NULL, 'OS01G0602800 PROTEIN', NULL, NULL, NULL, 15),
(182224, NULL, 'PTHR11639:SF4', NULL, NULL, NULL, NULL, 'PROTEIN S100-A14', NULL, NULL, 26749, 15),
(182225, NULL, 'PTHR31339:SF77', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE, FAMILY 28, PECTIN LYASE FOLD/VIRULENCE FACTOR-RELATED', NULL, NULL, NULL, 15),
(182226, NULL, 'PTHR11504', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE POLYPEPTIDE VIA', NULL, NULL, 2381, 15),
(182227, NULL, 'PTHR10366:SF712', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL DTDP-4-DEHYDRORHAMNOSE 3,5-EPIMERASE/DTDP-4-DEHYDRORHAMNOSE REDUCTASE', NULL, NULL, NULL, 15),
(182228, NULL, 'PTHR21453:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG20893', NULL, NULL, NULL, 15),
(182229, NULL, 'PTHR45676:SF92', NULL, NULL, NULL, NULL, 'BNAANNG21490D PROTEIN', NULL, NULL, NULL, 15),
(182230, NULL, 'PTHR13743:SF111', NULL, NULL, NULL, NULL, 'NEUROBEACHIN-LIKE PROTEIN 2', NULL, NULL, 28863, 15),
(182231, NULL, 'PTHR13420:SF7', NULL, NULL, NULL, NULL, 'UPF0235 PROTEIN C15ORF40', NULL, NULL, NULL, 15),
(182232, NULL, 'PTHR46045:SF17', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS U', NULL, NULL, NULL, 15),
(182233, NULL, 'PTHR10815:SF14', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL TRANSCRIPTIONAL ACTIVATOR/DNA REPAIR ENZYME ADA', NULL, NULL, NULL, 15),
(182234, NULL, 'PTHR24559:SF258', NULL, NULL, NULL, NULL, 'RETROVIRUS-RELATED POL POLYPROTEIN FROM TRANSPOSON 17.6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(182235, NULL, 'PTHR24377:SF854', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 534', NULL, NULL, NULL, 15),
(182236, NULL, 'PTHR12922:SF9', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS PROTEIN COQ4 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(182237, NULL, 'PTHR46291:SF1', NULL, NULL, NULL, NULL, 'C2 CALCIUM-DEPENDENT DOMAIN-CONTAINING PROTEIN 4D', NULL, NULL, NULL, 15),
(182238, NULL, 'PTHR11969:SF26', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX-LIKE PROTEIN', NULL, NULL, NULL, 15),
(182239, NULL, 'PTHR12136:SF106', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2-LIKE', NULL, NULL, NULL, 15),
(182240, NULL, 'PTHR26379:SF381', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182241, NULL, 'PTHR33781:SF12', NULL, NULL, NULL, NULL, 'BNAA06G33930D PROTEIN', NULL, NULL, 29662, 15),
(182242, NULL, 'PTHR22990:SF20', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 11', NULL, NULL, 21740, 15),
(182243, NULL, 'PTHR11567:SF193', NULL, NULL, NULL, NULL, 'RH44874P', NULL, NULL, NULL, 15),
(182244, NULL, 'PTHR45722:SF17', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35-1-RELATED', NULL, NULL, NULL, 15),
(182245, NULL, 'PTHR31561:SF110', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(182246, NULL, 'PTHR34480:SF12', NULL, NULL, NULL, NULL, 'OS01G0961600 PROTEIN', NULL, NULL, NULL, 15),
(182247, NULL, 'PTHR15688:SF1', NULL, NULL, NULL, NULL, 'KINETOCHORE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(182248, NULL, 'PTHR37378', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 39968, 15),
(182249, NULL, 'PTHR21659:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG05141', NULL, NULL, NULL, 15),
(182250, NULL, 'PTHR47959', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE RHLE-RELATED', NULL, NULL, NULL, 15),
(182251, NULL, 'PTHR22891:SF158', NULL, NULL, NULL, NULL, 'PAZ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182252, NULL, 'PTHR43066:SF16', NULL, NULL, NULL, NULL, 'RHOMBOID DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 32155, 15),
(182253, NULL, 'PTHR24286:SF313', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(182254, NULL, 'PTHR12341:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182255, NULL, 'PTHR46285:SF5', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 45A-LIKE', NULL, NULL, NULL, 15),
(182256, NULL, 'PTHR33672:SF21', NULL, NULL, NULL, NULL, 'BNAA05G08980D PROTEIN', NULL, NULL, NULL, 15),
(182257, NULL, 'PTHR23189:SF43', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN 15', NULL, NULL, NULL, 15),
(182258, NULL, 'PTHR31731:SF86', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(182259, NULL, 'PTHR32063:SF8', NULL, NULL, NULL, NULL, 'RAGC PROTEIN', NULL, NULL, NULL, 15),
(182260, NULL, 'PTHR21319:SF35', NULL, NULL, NULL, NULL, 'CHY ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(182261, NULL, 'PTHR14068', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3  EIF3 -RELATED', NULL, NULL, 7798, 15),
(182262, NULL, 'PTHR11206:SF355', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(182263, NULL, 'PTHR12789', NULL, NULL, NULL, NULL, 'DENSITY-REGULATED PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(182264, NULL, 'PTHR42048:SF1', NULL, NULL, NULL, NULL, 'ARS-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(182265, NULL, 'PTHR43472:SF1', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINE--GLYCINE LIGASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(182266, NULL, 'PTHR46669', NULL, NULL, NULL, NULL, 'LEUCINE-RICH PPR MOTIF-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, 35048, 15),
(182267, NULL, 'PTHR31989:SF363', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 30', NULL, NULL, NULL, 15),
(182268, NULL, 'PTHR19297:SF124', NULL, NULL, NULL, NULL, 'GLY-16-RELATED', NULL, NULL, NULL, 15),
(182269, NULL, 'PTHR21666:SF269', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE-RELATED', NULL, NULL, NULL, 15),
(182270, NULL, 'PTHR16650:SF6', NULL, NULL, NULL, NULL, 'GH21622P', NULL, NULL, NULL, 15),
(182271, NULL, 'PTHR46807:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PIF3', NULL, NULL, NULL, 15),
(182272, NULL, 'PTHR24237:SF40', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 141-RELATED', NULL, NULL, NULL, 15),
(182273, NULL, 'PTHR11999:SF70', NULL, NULL, NULL, NULL, 'AROMATIC-L-AMINO-ACID DECARBOXYLASE', NULL, NULL, NULL, 15),
(182274, NULL, 'PTHR47990:SF14', NULL, NULL, NULL, NULL, 'ISOPENICILLIN N SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(182275, NULL, 'PTHR33630:SF13', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(182276, NULL, 'PTHR14083:SF0', NULL, NULL, NULL, NULL, 'YIP1-INTERACTING FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(182277, NULL, 'PTHR38818:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM27A/B/C', NULL, NULL, NULL, 15),
(182278, NULL, 'PTHR14758:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM110A', NULL, NULL, NULL, 15),
(182279, NULL, 'PTHR11461:SF133', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR A3N', NULL, NULL, NULL, 15),
(182280, NULL, 'PTHR33526:SF4', NULL, NULL, NULL, NULL, 'OS07G0123800 PROTEIN', NULL, NULL, NULL, 15),
(182281, NULL, 'PTHR47932:SF4', NULL, NULL, NULL, NULL, 'OS03G0309800 PROTEIN', NULL, NULL, NULL, 15),
(182282, NULL, 'PTHR11506:SF27', NULL, NULL, NULL, NULL, 'LYSOSOME-ASSOCIATED MEMBRANE GLYCOPROTEIN 1', NULL, NULL, NULL, 15),
(182283, NULL, 'PTHR13617:SF14', NULL, NULL, NULL, NULL, 'PROTEIN ABHD18', NULL, NULL, NULL, 15),
(182284, NULL, 'PTHR10688:SF9', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(182285, NULL, 'PTHR21646:SF59', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(182286, NULL, 'PTHR19359:SF115', NULL, NULL, NULL, NULL, 'PROTEIN TRIGALACTOSYLDIACYLGLYCEROL 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(182287, NULL, 'PTHR15241:SF335', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 4, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182288, NULL, 'PTHR34212:SF5', NULL, NULL, NULL, NULL, 'BNAC03G74770D PROTEIN', NULL, NULL, NULL, 15),
(182289, NULL, 'PTHR33286:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182290, NULL, 'PTHR32133:SF326', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182291, NULL, 'PTHR24064:SF520', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PROTEIN11', NULL, NULL, NULL, 15),
(182292, NULL, 'PTHR12154', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', NULL, NULL, 8422, 15),
(182293, NULL, 'PTHR47761:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(182294, NULL, 'PTHR33124:SF40', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR IBH1', NULL, NULL, NULL, 15),
(182295, NULL, 'PTHR10492:SF76', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(182296, NULL, 'PTHR10414:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182297, NULL, 'PTHR11614:SF168', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE', NULL, NULL, NULL, 15),
(182298, NULL, 'PTHR24248:SF155', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR', NULL, NULL, 499, 15),
(182299, NULL, 'PTHR33305:SF46', NULL, NULL, NULL, NULL, 'BNACNNG68230D PROTEIN', NULL, NULL, NULL, 15),
(182300, NULL, 'PTHR13301:SF221', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', NULL, NULL, NULL, 15),
(182301, NULL, 'PTHR32263:SF21', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(182302, NULL, 'PTHR24055:SF490', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182303, NULL, 'PTHR42811:SF9', NULL, NULL, NULL, NULL, 'SERINE ACETYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(182304, NULL, 'PTHR46192:SF11', NULL, NULL, NULL, NULL, 'OS06G0109000 PROTEIN', NULL, NULL, NULL, 15),
(182305, NULL, 'PTHR23500:SF564', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN HEX6, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(182306, NULL, 'PTHR31284:SF28', NULL, NULL, NULL, NULL, 'VEGETATIVE STORAGE PROTEIN 2', NULL, NULL, NULL, 15),
(182307, NULL, 'PTHR24068:SF347', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-23 KDA-LIKE', NULL, NULL, NULL, 15),
(182308, NULL, 'PTHR11362:SF85', NULL, NULL, NULL, NULL, 'INHIBITOR (TFS1), PUTATIVE (AFU_ORTHOLOGUE AFUA_4G08120)-RELATED', NULL, NULL, NULL, 15),
(182309, NULL, 'PTHR11475', NULL, NULL, NULL, NULL, 'OXIDASE/PEROXIDASE', NULL, NULL, NULL, 15),
(182310, NULL, 'PTHR21596:SF49', NULL, NULL, NULL, NULL, 'OS01G0147400 PROTEIN', NULL, NULL, NULL, 15),
(182311, NULL, 'PTHR48112:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182312, NULL, 'PTHR48041:SF78', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER EXPRESSED IN TRACHEA, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(182313, NULL, 'PTHR24377:SF621', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 324A', NULL, NULL, NULL, 15),
(182314, NULL, 'PTHR19876:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG13231', NULL, NULL, NULL, 15),
(182315, NULL, 'PTHR31852:SF206', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182316, NULL, 'PTHR10366:SF680', NULL, NULL, NULL, NULL, 'CINNAMOYL-COA REDUCTASE 2-LIKE', NULL, NULL, NULL, 15),
(182317, NULL, 'PTHR12982:SF1', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT C', NULL, NULL, NULL, 15),
(182318, NULL, 'PTHR48107:SF19', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE', NULL, NULL, NULL, 15),
(182319, NULL, 'PTHR11909:SF18', NULL, NULL, NULL, NULL, 'CASEIN KINASE I ISOFORM EPSILON', NULL, NULL, NULL, 15),
(182320, NULL, 'PTHR43112:SF3', NULL, NULL, NULL, NULL, 'FERREDOXIN-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(182321, NULL, 'PTHR31490:SF69', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 10 PROTEIN', NULL, NULL, NULL, 15),
(182322, NULL, 'PTHR22952:SF439', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 12-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(182323, NULL, 'PTHR28606:SF1', NULL, NULL, NULL, NULL, 'INTERLEUKIN-34', NULL, NULL, NULL, 15),
(182324, NULL, 'PTHR12369:SF19', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE N-ACETYLGALACTOSAMINYLTRANSFERASE 1', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182325, NULL, 'PTHR11972:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182326, NULL, 'PTHR43014:SF2', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', NULL, NULL, NULL, 15),
(182327, NULL, 'PTHR13620:SF82', NULL, NULL, NULL, NULL, 'BNAA09G39800D PROTEIN', NULL, NULL, NULL, 15),
(182328, NULL, 'PTHR11575:SF22', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, 10438, 15),
(182329, NULL, 'PTHR11214:SF115', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(182330, NULL, 'PTHR45080:SF19', NULL, NULL, NULL, NULL, 'KLINGON', NULL, NULL, NULL, 15),
(182331, NULL, 'PTHR32468:SF122', NULL, NULL, NULL, NULL, 'OS03G0828600 PROTEIN', NULL, NULL, NULL, 15),
(182332, NULL, 'PTHR33103:SF43', NULL, NULL, NULL, NULL, 'DUF674 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(182333, NULL, 'PTHR10168:SF213', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C13', NULL, NULL, NULL, 15),
(182334, NULL, 'PTHR18959:SF41', NULL, NULL, NULL, NULL, 'TRANSGELIN-2', NULL, NULL, 2146, 15),
(182335, NULL, 'PTHR46322:SF1', NULL, NULL, NULL, NULL, 'PUROMYCIN-SENSITIVE AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(182336, NULL, 'PTHR47116', NULL, NULL, NULL, NULL, 'PHLOEM FILAMENT PROTEIN', NULL, NULL, 28605, 15),
(182337, NULL, 'PTHR30472:SF18', NULL, NULL, NULL, NULL, 'IRON(III) DICITRATE ABC TRANSPORTER,PERMEASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182338, NULL, 'PTHR21290:SF48', NULL, NULL, NULL, NULL, 'OS02G0543100 PROTEIN', NULL, NULL, NULL, 15),
(182339, NULL, 'PTHR43591:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182340, NULL, 'PTHR31623:SF43', NULL, NULL, NULL, NULL, 'ACETYL-COA:BENZYLALCOHOL ACETYLTRANFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(182341, NULL, 'PTHR10288:SF294', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15),
(182342, NULL, 'PTHR24361:SF759', NULL, NULL, NULL, NULL, 'MAP KINASE KINASE', NULL, NULL, NULL, 15),
(182343, NULL, 'PTHR13286', NULL, NULL, NULL, NULL, 'SAP30', NULL, NULL, 13400, 15),
(182344, NULL, 'PTHR37969:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07421', NULL, NULL, NULL, 15),
(182345, NULL, 'PTHR24298', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(182346, NULL, 'PTHR12223:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182347, NULL, 'PTHR45007:SF1', NULL, NULL, NULL, NULL, 'CARBOXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G07570)-RELATED', NULL, NULL, NULL, 15),
(182348, NULL, 'PTHR23504:SF99', NULL, NULL, NULL, NULL, 'HIPPOCAMPUS ABUNDANT TRANSCRIPT 1 PROTEIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(182349, NULL, 'PTHR24392:SF49', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF PRESENILIN PROTEIN 4', NULL, NULL, NULL, 15),
(182350, NULL, 'PTHR13009:SF25', NULL, NULL, NULL, NULL, 'ACTIVATOR OF 90 KDA HEAT SHOCK ATPASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(182351, NULL, 'PTHR48022:SF38', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G02840)-RELATED', NULL, NULL, NULL, 15),
(182352, NULL, 'PTHR10390:SF33', NULL, NULL, NULL, NULL, 'PROTEIN OPTIX', NULL, NULL, NULL, 15),
(182353, NULL, 'PTHR10459:SF110', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(182354, NULL, 'PTHR34565:SF2', NULL, NULL, NULL, NULL, 'ATP SYNTHASE 6 KDA SUBUNIT', NULL, NULL, NULL, 15),
(182355, NULL, 'PTHR28014:SF1', NULL, NULL, NULL, NULL, 'NEGATIVE REGULATOR OF RAS-CAMP PATHWAY', NULL, NULL, NULL, 15),
(182356, NULL, 'PTHR46011:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(182357, NULL, 'PTHR47978:SF5', NULL, NULL, NULL, NULL, 'RAB GTPASE-LIKE PROTEIN G3A', NULL, NULL, NULL, 15),
(182358, NULL, 'PTHR18853:SF7', NULL, NULL, NULL, NULL, 'FORKHEAD-ASSOCIATED DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(182359, NULL, 'PTHR31744:SF56', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 94-RELATED', NULL, NULL, NULL, 15),
(182360, NULL, 'PTHR30188:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182361, NULL, 'PTHR43298:SF3', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN NORM-RELATED', NULL, NULL, NULL, 15),
(182362, NULL, 'PTHR11877:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182363, NULL, 'PTHR31500:SF68', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 14', NULL, NULL, NULL, 15),
(182364, NULL, 'PTHR31066:SF45', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P FAMILY PROTEIN', NULL, NULL, NULL, 15),
(182365, NULL, 'PTHR23031:SF15', NULL, NULL, NULL, NULL, 'LD12055P', NULL, NULL, NULL, 15),
(182366, NULL, 'PTHR45881:SF4', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN K1', NULL, NULL, NULL, 15),
(182367, NULL, 'PTHR11493:SF54', NULL, NULL, NULL, NULL, 'ANAEROBIC SULFITE REDUCTASE SUBUNIT C', NULL, NULL, NULL, 15),
(182368, NULL, 'PTHR24070:SF400', NULL, NULL, NULL, NULL, 'FI21445P1', NULL, NULL, NULL, 15),
(182369, NULL, 'PTHR31549:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182370, NULL, 'PTHR34357:SF2', NULL, NULL, NULL, NULL, 'F7A19.14 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182371, NULL, 'PTHR47083:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 11', NULL, NULL, NULL, 15),
(182372, NULL, 'PTHR46033:SF17', NULL, NULL, NULL, NULL, 'BNAANNG03280D PROTEIN', NULL, NULL, NULL, 15),
(182373, NULL, 'PTHR31314:SF54', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(182374, NULL, 'PTHR43790', NULL, NULL, NULL, NULL, 'CARBOHYDRATE TRANSPORT ATP-BINDING PROTEIN MG119-RELATED', NULL, NULL, NULL, 15),
(182375, NULL, 'PTHR34724:SF2', NULL, NULL, NULL, NULL, 'OS12G0596101 PROTEIN', NULL, NULL, NULL, 15),
(182376, NULL, 'PTHR43221:SF2', NULL, NULL, NULL, NULL, 'PROTEASE HTPX HOMOLOG', NULL, NULL, NULL, 15),
(182377, NULL, 'PTHR22966:SF46', NULL, NULL, NULL, NULL, 'PLANT CYSTEINE OXIDASE 5', NULL, NULL, NULL, 15),
(182378, NULL, 'PTHR31657:SF34', NULL, NULL, NULL, NULL, 'DRE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(182379, NULL, 'PTHR14969:SF40', NULL, NULL, NULL, NULL, 'UNDECAPRENYL-DIPHOSPHATASE BCRC', NULL, NULL, NULL, 15),
(182380, NULL, 'PTHR48015:SF8', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(182381, NULL, 'PTHR10252:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182382, NULL, 'PTHR24359:SF29', NULL, NULL, NULL, NULL, 'SI:DKEY-8E10.3', NULL, NULL, NULL, 15),
(182383, NULL, 'PTHR19353', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE 2', NULL, NULL, 7141, 15),
(182384, NULL, 'PTHR18902', NULL, NULL, NULL, NULL, 'NUCLEAR MITOTIC APPARATUS PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(182385, NULL, 'PTHR11036:SF39', NULL, NULL, NULL, NULL, 'SEMAPHORIN-5B', NULL, NULL, NULL, 15),
(182386, NULL, 'PTHR31707:SF276', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(182387, NULL, 'PTHR23205', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3A SUBUNIT 2', NULL, NULL, NULL, 15),
(182388, NULL, 'PTHR31210:SF57', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182389, NULL, 'PTHR47970:SF15', NULL, NULL, NULL, NULL, '125 KDA KINESIN-RELATED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(182390, NULL, 'PTHR30413', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PERMEASE', NULL, NULL, NULL, 15),
(182391, NULL, 'PTHR24320:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182392, NULL, 'PTHR34948:SF6', NULL, NULL, NULL, NULL, 'TRIPHOSPHATE TUNNEL METALLOENZYME 3', NULL, NULL, 34091, 15),
(182393, NULL, 'PTHR48240', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182394, NULL, 'PTHR43031:SF7', NULL, NULL, NULL, NULL, 'NITRIC OXIDE REDUCTASE FLRD-NAD(+) REDUCTASE', NULL, NULL, NULL, 15),
(182395, NULL, 'PTHR31561:SF138', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(182396, NULL, 'PTHR12406:SF23', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PHOSPHOLIPASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(182397, NULL, 'PTHR33640:SF20', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182398, NULL, 'PTHR19444:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182399, NULL, 'PTHR31681:SF80', NULL, NULL, NULL, NULL, 'BNACNNG07640D PROTEIN', NULL, NULL, NULL, 15),
(182400, NULL, 'PTHR22893:SF117', NULL, NULL, NULL, NULL, 'NADPH DEHYDROGENASE 2-RELATED', NULL, NULL, NULL, 15),
(182401, NULL, 'PTHR24061:SF1', NULL, NULL, NULL, NULL, 'VOMERONASAL 2, RECEPTOR 2-RELATED', NULL, NULL, NULL, 15),
(182402, NULL, 'PTHR24015:SF1999', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182403, NULL, 'PTHR47968:SF38', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7D, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(182404, NULL, 'PTHR37036:SF2', NULL, NULL, NULL, NULL, 'LMO0863 PROTEIN', NULL, NULL, NULL, 15),
(182405, NULL, 'PTHR11851:SF187', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(182406, NULL, 'PTHR48070:SF9', NULL, NULL, NULL, NULL, 'FAMILY OF SERINE HYDROLASES 1', NULL, NULL, NULL, 15),
(182407, NULL, 'PTHR36487', NULL, NULL, NULL, NULL, 'OS09G0296500 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182408, NULL, 'PTHR34283:SF4', NULL, NULL, NULL, NULL, 'OS02G0129800 PROTEIN', NULL, NULL, NULL, 15),
(182409, NULL, 'PTHR10209:SF428', NULL, NULL, NULL, NULL, 'OSJNBA0027O01.11 PROTEIN', NULL, NULL, NULL, 15),
(182410, NULL, 'PTHR30344:SF7', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(182411, NULL, 'PTHR30547:SF0', NULL, NULL, NULL, NULL, 'BLR8175 PROTEIN', NULL, NULL, NULL, 15),
(182412, NULL, 'PTHR24093:SF477', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(182413, NULL, 'PTHR11183:SF110', NULL, NULL, NULL, NULL, 'UDP-GLUCURONATE:XYLAN ALPHA-GLUCURONOSYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(182414, NULL, 'PTHR33895:SF5', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 4', NULL, NULL, NULL, 15),
(182415, NULL, 'PTHR12729', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 10651, 15),
(182416, NULL, 'PTHR43243:SF35', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 2', NULL, NULL, NULL, 15),
(182417, NULL, 'PTHR31930:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS R', NULL, NULL, NULL, 15),
(182418, NULL, 'PTHR10612:SF51', NULL, NULL, NULL, NULL, 'BNAA02G07880D PROTEIN', NULL, NULL, NULL, 15),
(182419, NULL, 'PTHR33065:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182420, NULL, 'PTHR10110:SF163', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER 1', NULL, NULL, NULL, 15),
(182421, NULL, 'PTHR16489', NULL, NULL, NULL, NULL, 'GH11727P', NULL, NULL, NULL, 15),
(182422, NULL, 'PTHR46279:SF14', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL20-RELATED', NULL, NULL, NULL, 15),
(182423, NULL, 'PTHR33142:SF15', NULL, NULL, NULL, NULL, 'OS01G0843700 PROTEIN', NULL, NULL, NULL, 15),
(182424, NULL, 'PTHR31907:SF62', NULL, NULL, NULL, NULL, 'BNAC02G20410D PROTEIN', NULL, NULL, NULL, 15),
(182425, NULL, 'PTHR23079:SF33', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(182426, NULL, 'PTHR23428:SF256', NULL, NULL, NULL, NULL, 'HISTONE H2B.6', NULL, NULL, NULL, 15),
(182427, NULL, 'PTHR14255:SF40', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(182428, NULL, 'PTHR12236:SF71', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 64AB', NULL, NULL, NULL, 15),
(182429, NULL, 'PTHR36968:SF13', NULL, NULL, NULL, NULL, 'HOMEOBOX-DDT DOMAIN PROTEIN RLT1', NULL, NULL, NULL, 15),
(182430, NULL, 'PTHR10257:SF63', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(182431, NULL, 'PTHR23081:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182432, NULL, 'PTHR36076:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(182433, NULL, 'PTHR36573:SF1', NULL, NULL, NULL, NULL, 'INTERMEMBRANE PHOSPHOLIPID TRANSPORT SYSTEM BINDING PROTEIN MLAC', NULL, NULL, NULL, 15),
(182434, NULL, 'PTHR10693:SF69', NULL, NULL, NULL, NULL, 'BNAA09G05550D PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182435, NULL, 'PTHR47255:SF6', NULL, NULL, NULL, NULL, 'OS06G0571800 PROTEIN', NULL, NULL, NULL, 15),
(182436, NULL, 'PTHR10644:SF15', NULL, NULL, NULL, NULL, 'YALI0E24387P', NULL, NULL, NULL, 15),
(182437, NULL, 'PTHR45969:SF9', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', NULL, NULL, NULL, 15),
(182438, NULL, 'PTHR23236:SF24', NULL, NULL, NULL, NULL, 'PHRAGMOPLASTIN INTERACTING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(182439, NULL, 'PTHR47310:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FLUORESCENT IN BLUE LIGHT, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(182440, NULL, 'PTHR21600:SF71', NULL, NULL, NULL, NULL, 'RIBOSOMAL LARGE SUBUNIT PSEUDOURIDINE SYNTHASE D', NULL, NULL, NULL, 15),
(182441, NULL, 'PTHR19957:SF277', NULL, NULL, NULL, NULL, 'SYNTAXIN OF PLANTS 122 PROTEIN', NULL, NULL, NULL, 15),
(182442, NULL, 'PTHR47968', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN E', NULL, NULL, NULL, 15),
(182443, NULL, 'PTHR46463:SF33', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(182444, NULL, 'PTHR46772:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182445, NULL, 'PTHR31604:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SHORT INTERNODES', NULL, NULL, NULL, 15),
(182446, NULL, 'PTHR46060:SF2', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETMAR', NULL, NULL, NULL, 15),
(182447, NULL, 'PTHR16223:SF51', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH117-RELATED', NULL, NULL, NULL, 15),
(182448, NULL, 'PTHR22936:SF96', NULL, NULL, NULL, NULL, 'RHOMBOID-LIKE PROTEIN', NULL, NULL, NULL, 15),
(182449, NULL, 'PTHR13789:SF307', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G04330)-RELATED', NULL, NULL, NULL, 15),
(182450, NULL, 'PTHR24243:SF219', NULL, NULL, NULL, NULL, 'MOTILIN RECEPTOR', NULL, NULL, NULL, 15),
(182451, NULL, 'PTHR31080:SF235', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182452, NULL, 'PTHR21646:SF23', NULL, NULL, NULL, NULL, 'LD43649P', NULL, NULL, NULL, 15),
(182453, NULL, 'PTHR36974:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182454, NULL, 'PTHR24055:SF414', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 15', NULL, NULL, NULL, 15),
(182455, NULL, 'PTHR23139:SF121', NULL, NULL, NULL, NULL, 'U2 SNRNP AUXILIARY FACTOR LARGE SUBUNIT', NULL, NULL, NULL, 15),
(182456, NULL, 'PTHR47901:SF2', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 16', NULL, NULL, NULL, 15),
(182457, NULL, 'PTHR47957', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE HRQ1', NULL, NULL, NULL, 15),
(182458, NULL, 'PTHR10039:SF10', NULL, NULL, NULL, NULL, 'NACHT DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(182459, NULL, 'PTHR23257:SF860', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(182460, NULL, 'PTHR24089:SF684', NULL, NULL, NULL, NULL, 'ADP/ATP CARRIER PROTEIN', NULL, NULL, NULL, 15),
(182461, NULL, 'PTHR10943:SF19', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 1 HOMOLOG', NULL, NULL, NULL, 15),
(182462, NULL, 'PTHR27005:SF239', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 11-RELATED', NULL, NULL, NULL, 15),
(182463, NULL, 'PTHR12542:SF156', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(182464, NULL, 'PTHR26450:SF72', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(182465, NULL, 'PTHR46858:SF6', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(182466, NULL, 'PTHR31062:SF134', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(182467, NULL, 'PTHR35563', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182468, NULL, 'PTHR10366:SF742', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182469, NULL, 'PTHR10174:SF208', NULL, NULL, NULL, NULL, 'CRAL-TRIO DOMAIN-CONTAINING PROTEIN DDB_G0278031', NULL, NULL, NULL, 15),
(182470, NULL, 'PTHR45933:SF3', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 4', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182471, NULL, 'PTHR24296:SF112', NULL, NULL, NULL, NULL, 'CYTOCHROME 94A2', NULL, NULL, NULL, 15),
(182472, NULL, 'PTHR24068:SF231', NULL, NULL, NULL, NULL, 'UBIQUITIN CARRIER PROTEIN', NULL, NULL, NULL, 15),
(182473, NULL, 'PTHR21110', NULL, NULL, NULL, NULL, 'PHOSPHOPENTOMUTASE', NULL, NULL, 5239, 15),
(182474, NULL, 'PTHR46219:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG11139', NULL, NULL, NULL, 15),
(182475, NULL, 'PTHR22595:SF143', NULL, NULL, NULL, NULL, 'BASIC ENDOCHITINASE B', NULL, NULL, NULL, 15),
(182476, NULL, 'PTHR19282:SF364', NULL, NULL, NULL, NULL, 'TETRASPANIN-9', NULL, NULL, NULL, 15),
(182477, NULL, 'PTHR12558:SF36', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(182478, NULL, 'PTHR43213:SF3', NULL, NULL, NULL, NULL, 'MAF-LIKE PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(182479, NULL, 'PTHR33415', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 39073, 15),
(182480, NULL, 'PTHR31218:SF203', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(182481, NULL, 'PTHR31384:SF79', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 2', NULL, NULL, NULL, 15),
(182482, NULL, 'PTHR11062:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182483, NULL, 'PTHR15974', NULL, NULL, NULL, NULL, 'CYTOKINE-LIKE PROTEIN 1', NULL, NULL, 21576, 15),
(182484, NULL, 'PTHR11782:SF100', NULL, NULL, NULL, NULL, 'APYRASE 3-RELATED', NULL, NULL, NULL, 15),
(182485, NULL, 'PTHR37530', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN SLP', NULL, NULL, 2563, 15),
(182486, NULL, 'PTHR36205:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182487, NULL, 'PTHR12565:SF386', NULL, NULL, NULL, NULL, 'BNAC06G01430D PROTEIN', NULL, NULL, NULL, 15),
(182488, NULL, 'PTHR24015:SF1985', NULL, NULL, NULL, NULL, 'OS09G0555400 PROTEIN', NULL, NULL, NULL, 15),
(182489, NULL, 'PTHR33074:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182490, NULL, 'PTHR44259:SF23', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(182491, NULL, 'PTHR48011:SF30', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 3-LIKE', NULL, NULL, NULL, 15),
(182492, NULL, 'PTHR10901:SF6', NULL, NULL, NULL, NULL, 'TROPOMODULIN, ISOFORM N', NULL, NULL, 27457, 15),
(182493, NULL, 'PTHR21660:SF35', NULL, NULL, NULL, NULL, 'OS01G0882000 PROTEIN', NULL, NULL, NULL, 15),
(182494, NULL, 'PTHR31400', NULL, NULL, NULL, NULL, 'GUANYLYL CYCLASE DOMAIN CONTAINING PROTEIN 1 GUCD1', NULL, NULL, 16418, 15),
(182495, NULL, 'PTHR11225', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP93  NUCLEOPORIN NUP93   DEAD EYE PROTEIN', NULL, NULL, 6724, 15),
(182496, NULL, 'PTHR47924:SF15', NULL, NULL, NULL, NULL, 'BNAA05G36050D PROTEIN', NULL, NULL, NULL, 15),
(182497, NULL, 'PTHR24281:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182498, NULL, 'PTHR14552:SF21', NULL, NULL, NULL, NULL, 'DCTP PYROPHOSPHATASE 1', NULL, NULL, NULL, 15),
(182499, NULL, 'PTHR24377:SF868', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 850', NULL, NULL, NULL, 15),
(182500, NULL, 'PTHR33136:SF86', NULL, NULL, NULL, NULL, 'BNAC05G01530D PROTEIN', NULL, NULL, NULL, 15),
(182501, NULL, 'PTHR36141:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182502, NULL, 'PTHR23024:SF409', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 6-RELATED', NULL, NULL, NULL, 15),
(182503, NULL, 'PTHR31517:SF35', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(182504, NULL, 'PTHR35549:SF1', NULL, NULL, NULL, NULL, 'OS04G0584500 PROTEIN', NULL, NULL, NULL, 15),
(182505, NULL, 'PTHR11604', NULL, NULL, NULL, NULL, 'PROFILIN', NULL, NULL, 769, 15),
(182506, NULL, 'PTHR35713:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182507, NULL, 'PTHR45633:SF20', NULL, NULL, NULL, NULL, 'CHAPERONIN 60 SUBUNIT BETA 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(182508, NULL, 'PTHR37534:SF9', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182509, NULL, 'PTHR24055:SF484', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(182510, NULL, 'PTHR43364:SF6', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(182511, NULL, 'PTHR24271:SF51', NULL, NULL, NULL, NULL, 'GRANZYME M', NULL, NULL, 35974, 15),
(182512, NULL, 'PTHR14198:SF15', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 4 L6 FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(182513, NULL, 'PTHR42663:SF2', NULL, NULL, NULL, NULL, 'OS03G0642900 PROTEIN', NULL, NULL, NULL, 15),
(182514, NULL, 'PTHR23143:SF23', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 729-LIKE', NULL, NULL, NULL, 15),
(182515, NULL, 'PTHR28028', NULL, NULL, NULL, NULL, '60S RIBOSOMAL SUBUNIT ASSEMBLY/EXPORT PROTEIN LOC1', NULL, NULL, 33609, 15),
(182516, NULL, 'PTHR24296:SF184', NULL, NULL, NULL, NULL, 'BNAA06G40600D PROTEIN', NULL, NULL, NULL, 15),
(182517, NULL, 'PTHR11895:SF165', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE', NULL, NULL, NULL, 15),
(182518, NULL, 'PTHR22967:SF97', NULL, NULL, NULL, NULL, 'OS09G0279100 PROTEIN', NULL, NULL, NULL, 15),
(182519, NULL, 'PTHR11654:SF522', NULL, NULL, NULL, NULL, 'PROTON-DEPENDENT OLIGOPEPTIDE TRANSPORTER FAMILY-RELATED', NULL, NULL, NULL, 15),
(182520, NULL, 'PTHR38934:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182521, NULL, 'PTHR33320:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182522, NULL, 'PTHR12654:SF29', NULL, NULL, NULL, NULL, 'NON-LYSOSOMAL GLUCOSYLCERAMIDASE', NULL, NULL, NULL, 15),
(182523, NULL, 'PTHR15963:SF5', NULL, NULL, NULL, NULL, 'SHORT SPINDLE 6, ISOFORM A', NULL, NULL, NULL, 15),
(182524, NULL, 'PTHR11767:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182525, NULL, 'PTHR12668:SF16', NULL, NULL, NULL, NULL, 'OSJNBA0089K21.3 PROTEIN', NULL, NULL, NULL, 15),
(182526, NULL, 'PTHR18919:SF161', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE, CYTOSOLIC 1', NULL, NULL, NULL, 15),
(182527, NULL, 'PTHR46506:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182528, NULL, 'PTHR24206:SF30', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN PLIM2B', NULL, NULL, NULL, 15),
(182529, NULL, 'PTHR10165:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID PHOSPHATASE-RELATED PROTEIN TYPE 2', NULL, NULL, 23543, 15),
(182530, NULL, 'PTHR13723:SF140', NULL, NULL, NULL, NULL, 'A DISINTEGRIN AND METALLOPROTEINASE WITH THROMBOSPONDIN MOTIFS 16', NULL, NULL, NULL, 15),
(182531, NULL, 'PTHR11945:SF403', NULL, NULL, NULL, NULL, 'MADS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(182532, NULL, 'PTHR10791:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182533, NULL, 'PTHR24282:SF20', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP749A22-LIKE', NULL, NULL, NULL, 15),
(182534, NULL, 'PTHR21143:SF124', NULL, NULL, NULL, NULL, 'GUSTATORY AND ODORANT RECEPTOR 63A', NULL, NULL, NULL, 15),
(182535, NULL, 'PTHR36536:SF3', NULL, NULL, NULL, NULL, 'UPF0111 PROTEIN HI_1603', NULL, NULL, NULL, 15),
(182536, NULL, 'PTHR46998:SF8', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 11', NULL, NULL, NULL, 15),
(182537, NULL, 'PTHR31190:SF106', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF114', NULL, NULL, NULL, 15),
(182538, NULL, 'PTHR23294:SF0', NULL, NULL, NULL, NULL, 'UNC93-LIKE PROTEIN MFSD11', NULL, NULL, NULL, 15),
(182539, NULL, 'PTHR24083:SF158', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(182540, NULL, 'PTHR45631:SF58', NULL, NULL, NULL, NULL, 'BNAC08G45460D PROTEIN', NULL, NULL, NULL, 15),
(182541, NULL, 'PTHR24416:SF120', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-B RECEPTOR 3', NULL, NULL, NULL, 15),
(182542, NULL, 'PTHR11937:SF156', NULL, NULL, NULL, NULL, 'ACTIN DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(182543, NULL, 'PTHR46288:SF21', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(182544, NULL, 'PTHR22941:SF48', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182545, NULL, 'PTHR44525:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 27', NULL, NULL, NULL, 15),
(182546, NULL, 'PTHR31238:SF26', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 3-5', NULL, NULL, NULL, 15),
(182547, NULL, 'PTHR12211', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM PROTEIN ERP29', NULL, NULL, 16381, 15),
(182548, NULL, 'PTHR46518:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182549, NULL, 'PTHR27002:SF827', NULL, NULL, NULL, NULL, 'KINASE PBS1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(182550, NULL, 'PTHR33356:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182551, NULL, 'PTHR34362:SF8', NULL, NULL, NULL, NULL, 'BNAA08G04050D PROTEIN', NULL, NULL, NULL, 15),
(182552, NULL, 'PTHR11188:SF149', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(182553, NULL, 'PTHR11699:SF202', NULL, NULL, NULL, NULL, 'SUCCINATE-SEMIALDEHYDE DEHYDROGENASE [NADP(+)] 2-RELATED', NULL, NULL, NULL, 15),
(182554, NULL, 'PTHR11339:SF358', NULL, NULL, NULL, NULL, 'SCO-SPONDIN', NULL, NULL, 27648, 15),
(182555, NULL, 'PTHR22705', NULL, NULL, NULL, NULL, 'ZINC FINGER, ZZ DOMAIN CONTAINING 3', NULL, NULL, 33204, 15),
(182556, NULL, 'PTHR31586:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY PROTEIN COX20, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(182557, NULL, 'PTHR46460:SF1', NULL, NULL, NULL, NULL, 'METHYLATED-DNA--PROTEIN-CYSTEINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(182558, NULL, 'PTHR35317:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182559, NULL, 'PTHR45868:SF62', NULL, NULL, NULL, NULL, 'BNAC03G34170D PROTEIN', NULL, NULL, NULL, 15),
(182560, NULL, 'PTHR24225:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182561, NULL, 'PTHR48111:SF44', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RESD', NULL, NULL, NULL, 15),
(182562, NULL, 'PTHR24174:SF12', NULL, NULL, NULL, NULL, 'PTB DOMAIN-CONTAINING ADAPTER PROTEIN CED-6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(182563, NULL, 'PTHR34208:SF16', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(182564, NULL, 'PTHR10410:SF26', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(182565, NULL, 'PTHR10579:SF137', NULL, NULL, NULL, NULL, 'BNAC02G43940D PROTEIN', NULL, NULL, NULL, 15),
(182566, NULL, 'PTHR10751:SF109', NULL, NULL, NULL, NULL, 'BNAA06G40280D PROTEIN', NULL, NULL, NULL, 15),
(182567, NULL, 'PTHR48053:SF15', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2', NULL, NULL, NULL, 15),
(182568, NULL, 'PTHR43243:SF15', NULL, NULL, NULL, NULL, 'CATIONIC AMINO ACID TRANSPORTER 4, VACUOLAR', NULL, NULL, NULL, 15),
(182569, NULL, 'PTHR46208', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM70', NULL, NULL, NULL, 15),
(182570, NULL, 'PTHR42851:SF4', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(182571, NULL, 'PTHR26452:SF180', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 14C36', NULL, NULL, NULL, 15),
(182572, NULL, 'PTHR23036:SF98', NULL, NULL, NULL, NULL, 'INTERLEUKIN-6 RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(182573, NULL, 'PTHR13678:SF22', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN-SORTING-ASSOCIATED PROTEIN 37 HOMOLOG 2', NULL, NULL, NULL, 15),
(182574, NULL, 'PTHR33785:SF5', NULL, NULL, NULL, NULL, 'SERINE/ARGININE REPETITIVE MATRIX PROTEIN', NULL, NULL, NULL, 15),
(182575, NULL, 'PTHR43018:SF2', NULL, NULL, NULL, NULL, '2-DEHYDRO-3-DEOXYPHOSPHOOCTONATE ALDOLASE-RELATED', NULL, NULL, NULL, 15),
(182576, NULL, 'PTHR11034:SF49', NULL, NULL, NULL, NULL, 'BNAA10G10880D PROTEIN', NULL, NULL, NULL, 15),
(182577, NULL, 'PTHR31346:SF13', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(182578, NULL, 'PTHR24414:SF118', NULL, NULL, NULL, NULL, 'BNAA02G13520D PROTEIN', NULL, NULL, NULL, 15),
(182579, NULL, 'PTHR26453:SF196', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2AE1', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182580, NULL, 'PTHR21225:SF18', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE, PHENYLALANINE-INHIBITED', NULL, NULL, NULL, 15),
(182581, NULL, 'PTHR10335:SF17', NULL, NULL, NULL, NULL, 'FIBRILLARIN', NULL, NULL, NULL, 15),
(182582, NULL, 'PTHR47411', NULL, NULL, NULL, NULL, 'B3GNT1, BETA-1,3-N-ACETYLGUCOSAMINYLTRANSFERASE 1, HOMOLOG', NULL, NULL, NULL, 15),
(182583, NULL, 'PTHR35365:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182584, NULL, 'PTHR24282:SF12', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 72A11-RELATED', NULL, NULL, NULL, 15),
(182585, NULL, 'PTHR14154:SF78', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', NULL, NULL, NULL, 15),
(182586, NULL, 'PTHR12542:SF99', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(182587, NULL, 'PTHR10797:SF0', NULL, NULL, NULL, NULL, 'POP2, ISOFORM E', NULL, NULL, NULL, 15),
(182588, NULL, 'PTHR47177:SF3', NULL, NULL, NULL, NULL, 'F18C1.6 PROTEIN', NULL, NULL, NULL, 15),
(182589, NULL, 'PTHR45642:SF32', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(182590, NULL, 'PTHR10177:SF484', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL DOMAIN CYCLIN', NULL, NULL, NULL, 15),
(182591, NULL, 'PTHR45687:SF35', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-7', NULL, NULL, NULL, 15),
(182592, NULL, 'PTHR10024:SF217', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN VA', NULL, NULL, NULL, 15),
(182593, NULL, 'PTHR36720:SF2', NULL, NULL, NULL, NULL, 'BNAA09G40580D PROTEIN', NULL, NULL, NULL, 15),
(182594, NULL, 'PTHR43952:SF29', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 3', NULL, NULL, NULL, 15),
(182595, NULL, 'PTHR24096:SF300', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 3-RELATED', NULL, NULL, NULL, 15),
(182596, NULL, 'PTHR22594:SF46', NULL, NULL, NULL, NULL, 'ASPARAGINE--TRNA LIGASE, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(182597, NULL, 'PTHR23003:SF14', NULL, NULL, NULL, NULL, 'MAINTENANCE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(182598, NULL, 'PTHR14942:SF9', NULL, NULL, NULL, NULL, 'OS02G0188500 PROTEIN', NULL, NULL, NULL, 15),
(182599, NULL, 'PTHR32021:SF21', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 5C2', NULL, NULL, NULL, 15),
(182600, NULL, 'PTHR45588:SF1', NULL, NULL, NULL, NULL, 'TPR DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(182601, NULL, 'PTHR24384:SF15', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 460', NULL, NULL, NULL, 15),
(182602, NULL, 'PTHR13683:SF679', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN 2', NULL, NULL, NULL, 15),
(182603, NULL, 'PTHR32096:SF103', NULL, NULL, NULL, NULL, 'BNAA04G20400D PROTEIN', NULL, NULL, NULL, 15),
(182604, NULL, 'PTHR33132:SF81', NULL, NULL, NULL, NULL, 'SERINE-RICH PROTEIN-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182605, NULL, 'PTHR37389:SF6', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN M10-RELATED', NULL, NULL, NULL, 15),
(182606, NULL, 'PTHR48002:SF56', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4K5', NULL, NULL, NULL, 15),
(182607, NULL, 'PTHR24177:SF266', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(182608, NULL, 'PTHR22906:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182609, NULL, 'PTHR10676:SF360', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(182610, NULL, 'PTHR14950:SF67', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING DOMAIN (DSRBD)-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(182611, NULL, 'PTHR12889:SF1', NULL, NULL, NULL, NULL, 'GAMMA-SECRETASE SUBUNIT APH-1B', NULL, NULL, NULL, 15),
(182612, NULL, 'PTHR48001:SF27', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(182613, NULL, 'PTHR18945:SF575', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID (GABA) A RECEPTOR, ALPHA 6A', NULL, NULL, NULL, 15),
(182614, NULL, 'PTHR32234:SF3', NULL, NULL, NULL, NULL, 'SUPPRESSION OF COPPER SENSITIVITY PROTEIN', NULL, NULL, NULL, 15),
(182615, NULL, 'PTHR43384:SF10', NULL, NULL, NULL, NULL, 'ATPASE INVOLVED IN CHROMOSOME PARTITIONING, PARA/MIND FAMILY', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182616, NULL, 'PTHR45955:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOACETYLGLUCOSAMINE MUTASE', NULL, NULL, NULL, 15),
(182617, NULL, 'PTHR11351:SF87', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE, TYPE 1, CORE-RELATED', NULL, NULL, NULL, 15),
(182618, NULL, 'PTHR14167:SF86', NULL, NULL, NULL, NULL, 'SH3 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G08620)', NULL, NULL, NULL, 15),
(182619, NULL, 'PTHR33832:SF10', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR TYPE-2 P303.51-LIKE', NULL, NULL, NULL, 15),
(182620, NULL, 'PTHR24377:SF648', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 154', NULL, NULL, NULL, 15),
(182621, NULL, 'PTHR10657:SF32', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(182622, NULL, 'PTHR44137:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182623, NULL, 'PTHR28096', NULL, NULL, NULL, NULL, 'PROTEIN FAF1', NULL, NULL, NULL, 15),
(182624, NULL, 'PTHR15233:SF3', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ATP5MPL, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(182625, NULL, 'PTHR24305:SF28', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 49A1-RELATED', NULL, NULL, NULL, 15),
(182626, NULL, 'PTHR31009', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE:CARBOXYL METHYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, 5022, 15),
(182627, NULL, 'PTHR10980:SF35', NULL, NULL, NULL, NULL, 'OS06G0318300 PROTEIN', NULL, NULL, NULL, 15),
(182628, NULL, 'PTHR33168:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182629, NULL, 'PTHR21337:SF26', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', NULL, NULL, NULL, 15),
(182630, NULL, 'PTHR43085:SF18', NULL, NULL, NULL, NULL, 'PFKB FAMILY CARBOHYDRATE KINASE', NULL, NULL, NULL, 15),
(182631, NULL, 'PTHR11588:SF279', NULL, NULL, NULL, NULL, 'TUBULIN BETA-4 CHAIN', NULL, NULL, NULL, 15),
(182632, NULL, 'PTHR35355:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM229A', NULL, NULL, NULL, 15),
(182633, NULL, 'PTHR19971:SF3', NULL, NULL, NULL, NULL, 'SIGNAL-REGULATORY PROTEIN BETA-1', NULL, NULL, NULL, 15),
(182634, NULL, 'PTHR42684:SF10', NULL, NULL, NULL, NULL, 'GAMMA AMINOBUTYRATE TRANSAMINASE 2', NULL, NULL, NULL, 15),
(182635, NULL, 'PTHR13620:SF86', NULL, NULL, NULL, NULL, 'WERNER SYNDROME-LIKE EXONUCLEASE', NULL, NULL, NULL, 15),
(182636, NULL, 'PTHR23023', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE', NULL, NULL, NULL, 15),
(182637, NULL, 'PTHR23073:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182638, NULL, 'PTHR43038:SF4', NULL, NULL, NULL, NULL, 'RIBOSOME-ASSOCIATED ATPASE', NULL, NULL, NULL, 15),
(182639, NULL, 'PTHR11913:SF54', NULL, NULL, NULL, NULL, 'CFL1 PROTEIN', NULL, NULL, NULL, 15),
(182640, NULL, 'PTHR31947:SF24', NULL, NULL, NULL, NULL, 'ALBA DNA/RNA-BINDING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(182641, NULL, 'PTHR24421:SF37', NULL, NULL, NULL, NULL, 'SENSOR HISTIDINE KINASE NARS-RELATED', NULL, NULL, NULL, 15),
(182642, NULL, 'PTHR23232:SF96', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 383', NULL, NULL, NULL, 15),
(182643, NULL, 'PTHR33186', NULL, NULL, NULL, NULL, 'OS10G0136150 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182644, NULL, 'PTHR11820:SF7', NULL, NULL, NULL, NULL, 'ACYLPYRUVASE FAHD1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(182645, NULL, 'PTHR24377:SF719', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 790', NULL, NULL, NULL, 15),
(182646, NULL, 'PTHR31062:SF114', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 28-RELATED', NULL, NULL, NULL, 15),
(182647, NULL, 'PTHR27007:SF337', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182648, NULL, 'PTHR46751:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182649, NULL, 'PTHR38636:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG20488', NULL, NULL, NULL, 15),
(182650, NULL, 'PTHR11579:SF9', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE DOMAIN-CONTAINING PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(182651, NULL, 'PTHR10625:SF199', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182652, NULL, 'PTHR11680:SF44', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(182653, NULL, 'PTHR23024:SF509', NULL, NULL, NULL, NULL, 'LIPASE, GDXG, PUTATIVE HISTIDINE ACTIVE SITE, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182654, NULL, 'PTHR12788:SF10', NULL, NULL, NULL, NULL, 'PROTEIN-TYROSINE SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(182655, NULL, 'PTHR45669:SF40', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182656, NULL, 'PTHR31441:SF2', NULL, NULL, NULL, NULL, 'FOLLICULIN', NULL, NULL, NULL, 15),
(182657, NULL, 'PTHR13355:SF15', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(182658, NULL, 'PTHR47983:SF17', NULL, NULL, NULL, NULL, 'BNAC08G48860D PROTEIN', NULL, NULL, NULL, 15),
(182659, NULL, 'PTHR43161:SF3', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G02000)-RELATED', NULL, NULL, NULL, 15),
(182660, NULL, 'PTHR11926:SF1431', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(182661, NULL, 'PTHR32467:SF178', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182662, NULL, 'PTHR43227', NULL, NULL, NULL, NULL, 'BLL4140 PROTEIN', NULL, NULL, NULL, 15),
(182663, NULL, 'PTHR33122:SF65', NULL, NULL, NULL, NULL, 'INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(182664, NULL, 'PTHR12591:SF0', NULL, NULL, NULL, NULL, 'FI19814P1', NULL, NULL, NULL, 15),
(182665, NULL, 'PTHR24031:SF669', NULL, NULL, NULL, NULL, 'RNA HELICASE', NULL, NULL, NULL, 15),
(182666, NULL, 'PTHR11820:SF8', NULL, NULL, NULL, NULL, 'BLL6360 PROTEIN', NULL, NULL, NULL, 15),
(182667, NULL, 'PTHR19271:SF23', NULL, NULL, NULL, NULL, 'CYTOCHROME B6-F COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(182668, NULL, 'PTHR23024:SF421', NULL, NULL, NULL, NULL, '2-HYDROXYISOFLAVANONE DEHYDRATASE-LIKE', NULL, NULL, NULL, 15),
(182669, NULL, 'PTHR24068:SF126', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 S', NULL, NULL, NULL, 15),
(182670, NULL, 'PTHR35704:SF5', NULL, NULL, NULL, NULL, 'BNAANNG19700D PROTEIN', NULL, NULL, NULL, 15),
(182671, NULL, 'PTHR42647:SF30', NULL, NULL, NULL, NULL, 'BOI-RELATED E3 UBIQUITIN-PROTEIN LIGASE 1-LIKE', NULL, NULL, NULL, 15),
(182672, NULL, 'PTHR33469:SF18', NULL, NULL, NULL, NULL, 'BNAA09G44990D PROTEIN', NULL, NULL, NULL, 15),
(182673, NULL, 'PTHR30026', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN TOLC', NULL, NULL, NULL, 15),
(182674, NULL, 'PTHR48012:SF23', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(182675, NULL, 'PTHR36892:SF1', NULL, NULL, NULL, NULL, 'OS01G0201800 PROTEIN', NULL, NULL, NULL, 15),
(182676, NULL, 'PTHR13166', NULL, NULL, NULL, NULL, 'PROTEIN C6ORF149', NULL, NULL, NULL, 15),
(182677, NULL, 'PTHR11616:SF20', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT BETAINE TRANSPORTER', NULL, NULL, NULL, 15),
(182678, NULL, 'PTHR31901:SF89', NULL, NULL, NULL, NULL, 'INDOLE-3-ACETIC ACID-AMIDO SYNTHETASE GH3.6-LIKE', NULL, NULL, NULL, 15),
(182679, NULL, 'PTHR32448:SF138', NULL, NULL, NULL, NULL, 'TETRAHYDROCANNABINOLIC ACID SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(182680, NULL, 'PTHR39607:SF2', NULL, NULL, NULL, NULL, 'XANTHOCILLIN BIOSYNTHESIS CLUSTER TRANSCRIPTION FACTOR XANC', NULL, NULL, NULL, 15),
(182681, NULL, 'PTHR12002:SF116', NULL, NULL, NULL, NULL, 'CLAUDIN-1', NULL, NULL, NULL, 15),
(182682, NULL, 'PTHR12844:SF45', NULL, NULL, NULL, NULL, 'CNK3/IPCEF1 FUSION PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182683, NULL, 'PTHR42878:SF1', NULL, NULL, NULL, NULL, 'OSMOLARITY TWO-COMPONENT SYSTEM PROTEIN SSK1', NULL, NULL, NULL, 15),
(182684, NULL, 'PTHR42723:SF1', NULL, NULL, NULL, NULL, 'CHLOROPHYLL SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(182685, NULL, 'PTHR33047:SF17', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(182686, NULL, 'PTHR45752:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 28', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182687, NULL, 'PTHR31625:SF71', NULL, NULL, NULL, NULL, 'BNAA04G11530D PROTEIN', NULL, NULL, NULL, 15),
(182688, NULL, 'PTHR24180', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 2C-RELATED', NULL, NULL, NULL, 15),
(182689, NULL, 'PTHR26453:SF231', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR M37', NULL, NULL, NULL, 15),
(182690, NULL, 'PTHR43939:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182691, NULL, 'PTHR42104', NULL, NULL, NULL, NULL, 'EXTRACELLULAR GUANYL-SPECIFIC RIBONUCLEASE RNTA (AFU_ORTHOLOGUE AFUA_4G03230)', NULL, NULL, NULL, 15),
(182692, NULL, 'PTHR24056:SF52', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 18', NULL, NULL, NULL, 15),
(182693, NULL, 'PTHR42679:SF3', NULL, NULL, NULL, NULL, 'S-METHYL-5''-THIOADENOSINE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(182694, NULL, 'PTHR32176:SF49', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(182695, NULL, 'PTHR31989:SF279', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTORS 2', NULL, NULL, NULL, 15),
(182696, NULL, 'PTHR45722:SF14', NULL, NULL, NULL, NULL, '60S RIBOSOMAL L35-LIKE PROTEIN', NULL, NULL, NULL, 15),
(182697, NULL, 'PTHR33159:SF62', NULL, NULL, NULL, NULL, 'BNAA06G22650D PROTEIN', NULL, NULL, NULL, 15),
(182698, NULL, 'PTHR18929:SF232', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', NULL, NULL, NULL, 15),
(182699, NULL, 'PTHR47998:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB114-LIKE', NULL, NULL, NULL, 15),
(182700, NULL, 'PTHR24251:SF16', NULL, NULL, NULL, NULL, 'OVOCHYMASE-2', NULL, NULL, NULL, 15),
(182701, NULL, 'PTHR11991:SF18', NULL, NULL, NULL, NULL, 'BNAC01G35230D PROTEIN', NULL, NULL, NULL, 15),
(182702, NULL, 'PTHR13874:SF12', NULL, NULL, NULL, NULL, 'ENDOTHELIN-3A', NULL, NULL, NULL, 15),
(182703, NULL, 'PTHR34186', NULL, NULL, NULL, NULL, 'CYANATE HYDRATASE', NULL, NULL, 6412, 15),
(182704, NULL, 'PTHR47253', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 40020, 15),
(182705, NULL, 'PTHR43895:SF122', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(182706, NULL, 'PTHR11984:SF20', NULL, NULL, NULL, NULL, 'GAP JUNCTION BETA-1 PROTEIN', NULL, NULL, NULL, 15),
(182707, NULL, 'PTHR21576:SF139', NULL, NULL, NULL, NULL, 'BNAC09G20610D PROTEIN', NULL, NULL, NULL, 15),
(182708, NULL, 'PTHR47971:SF3', NULL, NULL, NULL, NULL, 'KINESIN KIF4-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(182709, NULL, 'PTHR11814:SF196', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 26 MEMBER 6', NULL, NULL, NULL, 15),
(182710, NULL, 'PTHR11801:SF41', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION 2', NULL, NULL, NULL, 15),
(182711, NULL, 'PTHR10891:SF845', NULL, NULL, NULL, NULL, 'BNAC03G63910D PROTEIN', NULL, NULL, NULL, 15),
(182712, NULL, 'PTHR47507:SF1', NULL, NULL, NULL, NULL, 'BARRIER TO AUTOINTEGRATION FACTOR 2', NULL, NULL, NULL, 15),
(182713, NULL, 'PTHR46287:SF6', NULL, NULL, NULL, NULL, 'BTB/POZ AND TAZ DOMAIN-CONTAINING PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(182714, NULL, 'PTHR43750:SF1', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 6-DEHYDROGENASE', NULL, NULL, NULL, 15),
(182715, NULL, 'PTHR33402:SF18', NULL, NULL, NULL, NULL, 'OS01G0747800 PROTEIN', NULL, NULL, NULL, 15),
(182716, NULL, 'PTHR33257:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182717, NULL, 'PTHR22952:SF429', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182718, NULL, 'PTHR10744:SF36', NULL, NULL, NULL, NULL, 'BNAA08G02720D PROTEIN', NULL, NULL, NULL, 15),
(182719, NULL, 'PTHR47308:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR GTPASE SLIP-GC', NULL, NULL, NULL, 15),
(182720, NULL, 'PTHR36574', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE-RELATED', NULL, NULL, 18496, 15),
(182721, NULL, 'PTHR36320:SF2', NULL, NULL, NULL, NULL, 'BNACNNG11070D PROTEIN', NULL, NULL, NULL, 15),
(182722, NULL, 'PTHR12112:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182723, NULL, 'PTHR24279:SF3', NULL, NULL, NULL, NULL, 'CHOLESTEROL SIDE-CHAIN CLEAVAGE ENZYME, MITOCHONDRIAL', NULL, NULL, 29935, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182724, NULL, 'PTHR12399', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT 7', NULL, NULL, 2267, 15),
(182725, NULL, 'PTHR10489:SF922', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-C MOTIF) RECEPTOR 12A-RELATED', NULL, NULL, NULL, 15),
(182726, NULL, 'PTHR31140:SF70', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS11G0156000', NULL, NULL, NULL, 15),
(182727, NULL, 'PTHR10972:SF178', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 3C-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(182728, NULL, 'PTHR48017:SF131', NULL, NULL, NULL, NULL, 'BNAC06G00580D PROTEIN', NULL, NULL, NULL, 15),
(182729, NULL, 'PTHR46128:SF82', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(182730, NULL, 'PTHR12732:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182731, NULL, 'PTHR39425:SF1', NULL, NULL, NULL, NULL, 'LIPOPROTEIN CYTOCHROME C', NULL, NULL, NULL, 15),
(182732, NULL, 'PTHR31210:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182733, NULL, 'PTHR10556:SF34', NULL, NULL, NULL, NULL, '3-OXO-5-ALPHA-STEROID 4-DEHYDROGENASE (NADP(+))', NULL, NULL, NULL, 15),
(182734, NULL, 'PTHR46998', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 11', NULL, NULL, 38737, 15),
(182735, NULL, 'PTHR32191:SF0', NULL, NULL, NULL, NULL, 'TETRASPANIN-2', NULL, NULL, NULL, 15),
(182736, NULL, 'PTHR22812:SF151', NULL, NULL, NULL, NULL, 'FI06908P-RELATED', NULL, NULL, NULL, 15),
(182737, NULL, 'PTHR12875:SF1', NULL, NULL, NULL, NULL, 'GOLGI TO ER TRAFFIC PROTEIN 4 HOMOLOG ISOFORM X1', NULL, NULL, NULL, 15),
(182738, NULL, 'PTHR10464:SF15', NULL, NULL, NULL, NULL, 'UREA TRANSPORTER', NULL, NULL, NULL, 15),
(182739, NULL, 'PTHR31676:SF151', NULL, NULL, NULL, NULL, 'DUF538 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(182740, NULL, 'PTHR47990:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182741, NULL, 'PTHR11573:SF27', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE', NULL, NULL, NULL, 15),
(182742, NULL, 'PTHR11260:SF596', NULL, NULL, NULL, NULL, 'OS01G0949700 PROTEIN', NULL, NULL, NULL, 15),
(182743, NULL, 'PTHR43969:SF3', NULL, NULL, NULL, NULL, 'GLUTATHIONE S TRANSFERASE E11, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(182744, NULL, 'PTHR11017:SF407', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN TAO1-LIKE', NULL, NULL, NULL, 15),
(182745, NULL, 'PTHR31228:SF22', NULL, NULL, NULL, NULL, 'CYSTATIN/MONELLIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(182746, NULL, 'PTHR12357:SF90', NULL, NULL, NULL, NULL, 'BNAC03G58200D PROTEIN', NULL, NULL, NULL, 15),
(182747, NULL, 'PTHR48052:SF7', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HSL1 ISOFORM X1', NULL, NULL, NULL, 15),
(182748, NULL, 'PTHR30055:SF194', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182749, NULL, 'PTHR33443:SF15', NULL, NULL, NULL, NULL, 'BNAA03G12100D PROTEIN', NULL, NULL, NULL, 15),
(182750, NULL, 'PTHR17530:SF2', NULL, NULL, NULL, NULL, 'PRO-THYROTROPIN-RELEASING HORMONE', NULL, NULL, NULL, 15),
(182751, NULL, 'PTHR22943:SF12', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(182752, NULL, 'PTHR42764:SF1', NULL, NULL, NULL, NULL, 'PHOSPHONATES UTILIZATION ATP-BINDING PROTEIN PHNK-RELATED', NULL, NULL, NULL, 15),
(182753, NULL, 'PTHR44102:SF17', NULL, NULL, NULL, NULL, '43KDA POSTSYNAPTIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182754, NULL, 'PTHR45671:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PHOSPHATE CARRIER PROTEIN 3 MITOCHONDRIAL', NULL, NULL, NULL, 15),
(182755, NULL, 'PTHR28254:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME B-C1 COMPLEX SUBUNIT 10', NULL, NULL, NULL, 15),
(182756, NULL, 'PTHR34078:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(182757, NULL, 'PTHR23058:SF10', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX14-LIKE', NULL, NULL, NULL, 15),
(182758, NULL, 'PTHR33389:SF18', NULL, NULL, NULL, NULL, 'DUF2921 FAMILY PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182759, NULL, 'PTHR11814:SF229', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 1.2', NULL, NULL, NULL, 15),
(182760, NULL, 'PTHR31390:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182761, NULL, 'PTHR23117:SF23', NULL, NULL, NULL, NULL, 'GUANYLATE KINASE 1A', NULL, NULL, NULL, 15),
(182762, NULL, 'PTHR47015', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A MEMBER 1', NULL, NULL, NULL, 15),
(182763, NULL, 'PTHR23024:SF497', NULL, NULL, NULL, NULL, 'OS08G0475400 PROTEIN', NULL, NULL, NULL, 15),
(182764, NULL, 'PTHR46857', NULL, NULL, NULL, NULL, 'EPITHELIAL CELL-TRANSFORMING SEQUENCE 2 ONCOGENE-LIKE', NULL, NULL, NULL, 15),
(182765, NULL, 'PTHR34043:SF3', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(182766, NULL, 'PTHR10279:SF8', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE ANTIZYME 1', NULL, NULL, 27818, 15),
(182767, NULL, 'PTHR43376', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORT SYSTEM PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(182768, NULL, 'PTHR31579:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182769, NULL, 'PTHR44461:SF1', NULL, NULL, NULL, NULL, 'QUINONE OXIDOREDUCTASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(182770, NULL, 'PTHR34837:SF6', NULL, NULL, NULL, NULL, 'PLECKSTRIN-LIKE (PH) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(182771, NULL, 'PTHR46986:SF1', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE YBEY, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(182772, NULL, 'PTHR11984:SF42', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-6 PROTEIN', NULL, NULL, NULL, 15),
(182773, NULL, 'PTHR21596:SF75', NULL, NULL, NULL, NULL, 'FACTOR OF DNA METHYLATION 1', NULL, NULL, NULL, 15),
(182774, NULL, 'PTHR10891:SF833', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML31-RELATED', NULL, NULL, NULL, 15),
(182775, NULL, 'PTHR31722:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182776, NULL, 'PTHR10529:SF236', NULL, NULL, NULL, NULL, 'AP-2 COMPLEX SUBUNIT MU', NULL, NULL, NULL, 15),
(182777, NULL, 'PTHR10285:SF157', NULL, NULL, NULL, NULL, 'URIDINE KINASE', NULL, NULL, NULL, 15),
(182778, NULL, 'PTHR12820', NULL, NULL, NULL, NULL, 'VACUOLAR SORTING PROTEIN 53', NULL, NULL, 35965, 15),
(182779, NULL, 'PTHR32285:SF61', NULL, NULL, NULL, NULL, 'OS06G0272800 PROTEIN', NULL, NULL, NULL, 15),
(182780, NULL, 'PTHR15173:SF2', NULL, NULL, NULL, NULL, 'OREXIN', NULL, NULL, NULL, 15),
(182781, NULL, 'PTHR26379:SF337', NULL, NULL, NULL, NULL, 'OS08G0226400 PROTEIN', NULL, NULL, NULL, 15),
(182782, NULL, 'PTHR10454:SF134', NULL, NULL, NULL, NULL, 'INACTIVE CASPASE-12', NULL, NULL, 34903, 15),
(182783, NULL, 'PTHR46078:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J2', NULL, NULL, NULL, 15),
(182784, NULL, 'PTHR34548', NULL, NULL, NULL, NULL, 'PROTEIN TIC 21, CHLOROPLASTIC', NULL, NULL, 20721, 15),
(182785, NULL, 'PTHR10196:SF86', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE 3', NULL, NULL, NULL, 15),
(182786, NULL, 'PTHR10091:SF2', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(182787, NULL, 'PTHR43625:SF46', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE 3-RELATED', NULL, NULL, NULL, 15),
(182788, NULL, 'PTHR31301:SF135', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(182789, NULL, 'PTHR24276:SF89', NULL, NULL, NULL, NULL, 'IP07603P', NULL, NULL, NULL, 15),
(182790, NULL, 'PTHR30038:SF5', NULL, NULL, NULL, NULL, 'ALDEHYDE FERREDOXIN OXIDOREDUCTASE (AOR)', NULL, NULL, NULL, 15),
(182791, NULL, 'PTHR31985:SF216', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182792, NULL, 'PTHR18919:SF157', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE, CYTOSOLIC 2-RELATED', NULL, NULL, NULL, 15),
(182793, NULL, 'PTHR47960:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX6-RELATED', NULL, NULL, NULL, 15),
(182794, NULL, 'PTHR11908:SF142', NULL, NULL, NULL, NULL, 'ALDEHYDE OXIDASE3', NULL, NULL, NULL, 15),
(182795, NULL, 'PTHR46482:SF9', NULL, NULL, NULL, NULL, '5''-ADENYLYLSULFATE REDUCTASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182796, NULL, 'PTHR38600:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(182797, NULL, 'PTHR10091:SF23', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(182798, NULL, 'PTHR23081:SF24', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II C-TERMINAL DOMAIN PHOSPHATASE-LIKE 2', NULL, NULL, NULL, 15),
(182799, NULL, 'PTHR47993:SF94', NULL, NULL, NULL, NULL, 'BNAANNG10970D PROTEIN', NULL, NULL, NULL, 15),
(182800, NULL, 'PTHR33122:SF43', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(182801, NULL, 'PTHR45967:SF33', NULL, NULL, NULL, NULL, 'HOMOSERINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(182802, NULL, 'PTHR31867:SF178', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(182803, NULL, 'PTHR33355:SF10', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE, GALACTURONAN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182804, NULL, 'PTHR47924:SF42', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(182805, NULL, 'PTHR40980', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182806, NULL, 'PTHR11685:SF286', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(182807, NULL, 'PTHR43469', NULL, NULL, NULL, NULL, 'DISULFIDE FORMATION PROTEIN-RELATED', NULL, NULL, 13396, 15),
(182808, NULL, 'PTHR31744:SF135', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 92', NULL, NULL, NULL, 15),
(182809, NULL, 'PTHR31645:SF12', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL11-RELATED', NULL, NULL, NULL, 15),
(182810, NULL, 'PTHR13050:SF9', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN, USE1-RELATED', NULL, NULL, NULL, 15),
(182811, NULL, 'PTHR22943:SF60', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(182812, NULL, 'PTHR31009:SF58', NULL, NULL, NULL, NULL, 'ATPP-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182813, NULL, 'PTHR11715:SF8', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H-LIKE PROTEIN GCVH4', NULL, NULL, NULL, 15),
(182814, NULL, 'PTHR10353:SF287', NULL, NULL, NULL, NULL, 'BNAC05G43610D PROTEIN', NULL, NULL, NULL, 15),
(182815, NULL, 'PTHR31920:SF84', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR VRN1-LIKE', NULL, NULL, NULL, 15),
(182816, NULL, 'PTHR24276:SF62', NULL, NULL, NULL, NULL, 'POLYSERASE-2', NULL, NULL, NULL, 15),
(182817, NULL, 'PTHR19370:SF171', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(182818, NULL, 'PTHR24289:SF1', NULL, NULL, NULL, NULL, 'STEROID 17-ALPHA-HYDROXYLASE/17,20 LYASE', NULL, NULL, NULL, 15),
(182819, NULL, 'PTHR10210:SF52', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(182820, NULL, 'PTHR48181', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182821, NULL, 'PTHR11909:SF73', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(182822, NULL, 'PTHR12840', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE ASHI SUBUNIT', NULL, NULL, 13244, 15),
(182823, NULL, 'PTHR34281:SF8', NULL, NULL, NULL, NULL, 'PROTEIN EARLY FLOWERING 3-LIKE', NULL, NULL, NULL, 15),
(182824, NULL, 'PTHR43097:SF2', NULL, NULL, NULL, NULL, 'GLUTAMINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(182825, NULL, 'PTHR24637:SF315', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 40', NULL, NULL, NULL, 15),
(182826, NULL, 'PTHR33147:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182827, NULL, 'PTHR31985:SF111', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF021', NULL, NULL, NULL, 15),
(182828, NULL, 'PTHR10164:SF5', NULL, NULL, NULL, NULL, 'ISLET CELL AUTOANTIGEN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(182829, NULL, 'PTHR33168:SF48', NULL, NULL, NULL, NULL, 'OS04G0558700 PROTEIN', NULL, NULL, NULL, 15),
(182830, NULL, 'PTHR23036', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR', NULL, NULL, NULL, 15),
(182831, NULL, 'PTHR11728', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, 10375, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182832, NULL, 'PTHR22802:SF339', NULL, NULL, NULL, NULL, 'SI:CH211-125E6.12 PROTEIN', NULL, NULL, NULL, 15),
(182833, NULL, 'PTHR22765:SF189', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1-LIKE', NULL, NULL, NULL, 15),
(182834, NULL, 'PTHR12299:SF30', NULL, NULL, NULL, NULL, 'INTRACELLULAR HYALURONAN-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(182835, NULL, 'PTHR26453:SF610', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(182836, NULL, 'PTHR15011:SF3', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN F', NULL, NULL, NULL, 15),
(182837, NULL, 'PTHR45793:SF7', NULL, NULL, NULL, NULL, 'CONE-ROD HOMEOBOX PROTEIN', NULL, NULL, NULL, 15),
(182838, NULL, 'PTHR45958', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(182839, NULL, 'PTHR33929:SF10', NULL, NULL, NULL, NULL, 'MEMBRANE-ASSOCIATED KINASE REGULATOR 2-RELATED', NULL, NULL, NULL, 15),
(182840, NULL, 'PTHR23204:SF9', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 6-LIKE', NULL, NULL, NULL, 15),
(182841, NULL, 'PTHR43787:SF11', NULL, NULL, NULL, NULL, 'UPF0026 PROTEIN SLR1464', NULL, NULL, NULL, 15),
(182842, NULL, 'PTHR40596', NULL, NULL, NULL, NULL, 'CITRATE LYASE ALPHA CHAIN', NULL, NULL, 6042, 15),
(182843, NULL, 'PTHR33286:SF14', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(182844, NULL, 'PTHR33799:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE ENZYME IIA COMPONENT YADI-RELATED', NULL, NULL, NULL, 15),
(182845, NULL, 'PTHR33677:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR RCNR', NULL, NULL, NULL, 15),
(182846, NULL, 'PTHR46445:SF7', NULL, NULL, NULL, NULL, 'DUF1296 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(182847, NULL, 'PTHR11654:SF422', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.5', NULL, NULL, NULL, 15),
(182848, NULL, 'PTHR35499:SF1', NULL, NULL, NULL, NULL, 'OS05G0128300 PROTEIN', NULL, NULL, NULL, 15),
(182849, NULL, 'PTHR22600:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182850, NULL, 'PTHR10161:SF19', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(182851, NULL, 'PTHR48198', NULL, NULL, NULL, NULL, 'EC PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(182852, NULL, 'PTHR36309:SF4', NULL, NULL, NULL, NULL, 'OS07G0256200 PROTEIN', NULL, NULL, NULL, 15),
(182853, NULL, 'PTHR32285:SF158', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 18', NULL, NULL, 23795, 15),
(182854, NULL, 'PTHR23248:SF58', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', NULL, NULL, NULL, 15),
(182855, NULL, 'PTHR42748:SF11', NULL, NULL, NULL, NULL, 'NMRA-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(182856, NULL, 'PTHR45631:SF34', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(182857, NULL, 'PTHR44379:SF7', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE IRON-SULFUR BINDING SUBUNIT', NULL, NULL, NULL, 15),
(182858, NULL, 'PTHR35085:SF2', NULL, NULL, NULL, NULL, 'KERATINOCYTE DIFFERENTIATION FACTOR 1B', NULL, NULL, NULL, 15),
(182859, NULL, 'PTHR43725:SF1', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE 4-EPIMERASE 4', NULL, NULL, NULL, 15),
(182860, NULL, 'PTHR33735:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182861, NULL, 'PTHR13844:SF58', NULL, NULL, NULL, NULL, 'SWIB/MDM2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182862, NULL, 'PTHR22850:SF204', NULL, NULL, NULL, NULL, 'WD-40 REPEAT-CONTAINING PROTEIN MSI5', NULL, NULL, NULL, 15),
(182863, NULL, 'PTHR11660:SF50', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 40 PROTEIN', NULL, NULL, NULL, 15),
(182864, NULL, 'PTHR20855:SF118', NULL, NULL, NULL, NULL, 'BNAC09G37480D PROTEIN', NULL, NULL, NULL, 15),
(182865, NULL, 'PTHR31618:SF6', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(182866, NULL, 'PTHR45743:SF21', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL AKT2/3', NULL, NULL, NULL, 15),
(182867, NULL, 'PTHR11929:SF209', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN 3-ALPHA-L-FUCOSYLTRANSFERASE A-LIKE ISOFORM X1', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182868, NULL, 'PTHR10997:SF7', NULL, NULL, NULL, NULL, 'IMPORTIN-11', NULL, NULL, NULL, 15),
(182869, NULL, 'PTHR43592:SF22', NULL, NULL, NULL, NULL, 'BLPY PROTEIN', NULL, NULL, NULL, 15),
(182870, NULL, 'PTHR11905:SF24', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 32', NULL, NULL, NULL, 15),
(182871, NULL, 'PTHR21600:SF51', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RNA PSEUDOURIDINE SYNTHASE RPUSD4', NULL, NULL, NULL, 15),
(182872, NULL, 'PTHR11929:SF145', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN 3-ALPHA-L-FUCOSYLTRANSFERASE A', NULL, NULL, NULL, 15),
(182873, NULL, 'PTHR33832:SF15', NULL, NULL, NULL, NULL, 'SERINE-TYPE ENDOPEPTIDASE INHIBITOR', NULL, NULL, NULL, 15),
(182874, NULL, 'PTHR20426:SF0', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN TSR3 HOMOLOG', NULL, NULL, NULL, 15),
(182875, NULL, 'PTHR21453:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG00787', NULL, NULL, NULL, 15),
(182876, NULL, 'PTHR31707:SF265', NULL, NULL, NULL, NULL, 'BNAANNG27150D PROTEIN', NULL, NULL, NULL, 15),
(182877, NULL, 'PTHR33070:SF88', NULL, NULL, NULL, NULL, 'ANAMORSIN HOMOLOG', NULL, NULL, NULL, 15),
(182878, NULL, 'PTHR19965:SF67', NULL, NULL, NULL, NULL, 'OS12G0100100 PROTEIN', NULL, NULL, NULL, 15),
(182879, NULL, 'PTHR23235:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182880, NULL, 'PTHR41534:SF2', NULL, NULL, NULL, NULL, '3-PHENYLPROPIONATE/CINNAMIC ACID DIOXYGENASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(182881, NULL, 'PTHR33836:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182882, NULL, 'PTHR37941:SF1', NULL, NULL, NULL, NULL, 'FUMARASE E-RELATED', NULL, NULL, NULL, 15),
(182883, NULL, 'PTHR32382:SF42', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 4', NULL, NULL, NULL, 15),
(182884, NULL, 'PTHR44303', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 16', NULL, NULL, NULL, 15),
(182885, NULL, 'PTHR11615:SF316', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(182886, NULL, 'PTHR46148:SF21', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(182887, NULL, 'PTHR47465:SF1', NULL, NULL, NULL, NULL, 'MCG113260-RELATED', NULL, NULL, NULL, 15),
(182888, NULL, 'PTHR31465:SF31', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G09550)-RELATED', NULL, NULL, NULL, 15),
(182889, NULL, 'PTHR43793:SF1', NULL, NULL, NULL, NULL, 'FAD SYNTHASE', NULL, NULL, NULL, 15),
(182890, NULL, 'PTHR18945:SF29', NULL, NULL, NULL, NULL, 'GLYCINE RECEPTOR SUBUNIT BETA', NULL, NULL, 5091, 15),
(182891, NULL, 'PTHR11654:SF155', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.1', NULL, NULL, NULL, 15),
(182892, NULL, 'PTHR11157:SF22', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(182893, NULL, 'PTHR42951:SF11', NULL, NULL, NULL, NULL, 'ZINC-DEPENDENT HYDROLASE, GLYOXYLASE II FAMILY', NULL, NULL, NULL, 15),
(182894, NULL, 'PTHR28624:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 51', NULL, NULL, NULL, 15),
(182895, NULL, 'PTHR23428:SF266', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(182896, NULL, 'PTHR31471:SF71', NULL, NULL, NULL, NULL, 'REMORIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182897, NULL, 'PTHR11132:SF435', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182898, NULL, 'PTHR21734:SF10', NULL, NULL, NULL, NULL, 'INHIBITOR OF NUCLEAR FACTOR KAPPA-B KINASE-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(182899, NULL, 'PTHR43294:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182900, NULL, 'PTHR11746:SF151', NULL, NULL, NULL, NULL, 'CAFFEIC ACID 3-O-METHYLTRANSFERASE 1-LIKE', NULL, NULL, NULL, 15),
(182901, NULL, 'PTHR31284:SF43', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE 1-LIKE', NULL, NULL, NULL, 15),
(182902, NULL, 'PTHR33044:SF20', NULL, NULL, NULL, NULL, 'OS07G0175000 PROTEIN', NULL, NULL, NULL, 15),
(182903, NULL, 'PTHR12372:SF7', NULL, NULL, NULL, NULL, 'PROTEIN PECANEX', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182904, NULL, 'PTHR32009:SF57', NULL, NULL, NULL, NULL, 'TIR DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(182905, NULL, 'PTHR31194:SF141', NULL, NULL, NULL, NULL, 'BNAA08G13940D PROTEIN', NULL, NULL, NULL, 15),
(182906, NULL, 'PTHR11014:SF158', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(182907, NULL, 'PTHR31297:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182908, NULL, 'PTHR10003:SF86', NULL, NULL, NULL, NULL, 'COPPER CHAPERONE FOR SUPEROXIDE DISMUTASE, CHLOROPLASTIC/CYTOSOLIC', NULL, NULL, NULL, 15),
(182909, NULL, 'PTHR10953:SF155', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE MODIFIER-ACTIVATING ENZYME 1', NULL, NULL, NULL, 15),
(182910, NULL, 'PTHR35279', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182911, NULL, 'PTHR24384:SF209', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 331', NULL, NULL, NULL, 15),
(182912, NULL, 'PTHR27006:SF229', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(182913, NULL, 'PTHR11624:SF103', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT BETA', NULL, NULL, NULL, 15),
(182914, NULL, 'PTHR31072:SF179', NULL, NULL, NULL, NULL, 'BNAC09G47560D PROTEIN', NULL, NULL, NULL, 15),
(182915, NULL, 'PTHR33236:SF12', NULL, NULL, NULL, NULL, 'FI18409P1', NULL, NULL, NULL, 15),
(182916, NULL, 'PTHR46855:SF9', NULL, NULL, NULL, NULL, 'BNAC08G48130D PROTEIN', NULL, NULL, NULL, 15),
(182917, NULL, 'PTHR47518:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS EPSILON-13', NULL, NULL, NULL, 15),
(182918, NULL, 'PTHR33510:SF9', NULL, NULL, NULL, NULL, 'HIT-TYPE ZINC FINGER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182919, NULL, 'PTHR24119:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182920, NULL, 'PTHR15838:SF2', NULL, NULL, NULL, NULL, 'OS05G0535800 PROTEIN', NULL, NULL, NULL, 15),
(182921, NULL, 'PTHR23428:SF262', NULL, NULL, NULL, NULL, 'HISTONE H2B.11', NULL, NULL, NULL, 15),
(182922, NULL, 'PTHR31992:SF153', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.1-LIKE', NULL, NULL, NULL, 15),
(182923, NULL, 'PTHR14885', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(182924, NULL, 'PTHR40063', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182925, NULL, 'PTHR43431', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_5G14000)', NULL, NULL, NULL, 15),
(182926, NULL, 'PTHR46891:SF9', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(182927, NULL, 'PTHR33622:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182928, NULL, 'PTHR46128:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182929, NULL, 'PTHR47926:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182930, NULL, 'PTHR42104:SF1', NULL, NULL, NULL, NULL, 'EXTRACELLULAR GUANYL-SPECIFIC RIBONUCLEASE RNTA (AFU_ORTHOLOGUE AFUA_4G03230)', NULL, NULL, NULL, 15),
(182931, NULL, 'PTHR43744:SF3', NULL, NULL, NULL, NULL, 'LACTOSE TRANSPORT SYSTEM PERMEASE PROTEIN LACG', NULL, NULL, NULL, 15),
(182932, NULL, 'PTHR21128:SF0', NULL, NULL, NULL, NULL, 'FETAL AND ADULT TESTIS-EXPRESSED TRANSCRIPT PROTEIN', NULL, NULL, NULL, 15),
(182933, NULL, 'PTHR11132:SF367', NULL, NULL, NULL, NULL, 'UDP-GALACTOSE TRANSPORTER 2-LIKE', NULL, NULL, NULL, 15),
(182934, NULL, 'PTHR45640:SF14', NULL, NULL, NULL, NULL, 'ALPHA-CRYSTALLIN A CHAIN-RELATED', NULL, NULL, 12191, 15),
(182935, NULL, 'PTHR14167:SF69', NULL, NULL, NULL, NULL, 'OSJNBA0011L07.8 PROTEIN', NULL, NULL, NULL, 15),
(182936, NULL, 'PTHR22750:SF39', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 3', NULL, NULL, NULL, 15),
(182937, NULL, 'PTHR12411:SF281', NULL, NULL, NULL, NULL, 'PROTEIN CBG01104', NULL, NULL, NULL, 15),
(182938, NULL, 'PTHR38032', NULL, NULL, NULL, NULL, 'POLYMERASE-RELATED', NULL, NULL, 2560, 15),
(182939, NULL, 'PTHR45617:SF103', NULL, NULL, NULL, NULL, 'RE54577P', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182940, NULL, 'PTHR47209:SF4', NULL, NULL, NULL, NULL, 'SEED DORMANCY CONTROL PROTEIN', NULL, NULL, NULL, 15),
(182941, NULL, 'PTHR45905:SF2', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-BINDING PROTEIN GGA2', NULL, NULL, NULL, 15),
(182942, NULL, 'PTHR24206:SF86', NULL, NULL, NULL, NULL, 'BNACNNG08890D PROTEIN', NULL, NULL, NULL, 15),
(182943, NULL, 'PTHR36780', NULL, NULL, NULL, NULL, 'OS05G0241400 PROTEIN', NULL, NULL, NULL, 15),
(182944, NULL, 'PTHR43862', NULL, NULL, NULL, NULL, 'MALTODEXTRIN GLUCOSIDASE', NULL, NULL, NULL, 15),
(182945, NULL, 'PTHR47292:SF4', NULL, NULL, NULL, NULL, 'BNAA03G46630D PROTEIN', NULL, NULL, NULL, 15),
(182946, NULL, 'PTHR33931:SF4', NULL, NULL, NULL, NULL, 'ANTIHOLIN-LIKE PROTEIN LRGA', NULL, NULL, NULL, 15),
(182947, NULL, 'PTHR31569', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182948, NULL, 'PTHR23226:SF238', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 528', NULL, NULL, NULL, 15),
(182949, NULL, 'PTHR15591:SF14', NULL, NULL, NULL, NULL, 'IPORIN', NULL, NULL, NULL, 15),
(182950, NULL, 'PTHR13136', NULL, NULL, NULL, NULL, 'TESTIS DEVELOPMENT PROTEIN PRTD', NULL, NULL, 27435, 15),
(182951, NULL, 'PTHR11662', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 17', NULL, NULL, NULL, 15),
(182952, NULL, 'PTHR18929:SF217', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE ISOMERASE-LIKE 1-3', NULL, NULL, NULL, 15),
(182953, NULL, 'PTHR27005:SF169', NULL, NULL, NULL, NULL, 'OS09G0482640 PROTEIN', NULL, NULL, NULL, 15),
(182954, NULL, 'PTHR38365:SF3', NULL, NULL, NULL, NULL, 'BNAC07G18580D PROTEIN', NULL, NULL, NULL, 15),
(182955, NULL, 'PTHR21319:SF51', NULL, NULL, NULL, NULL, 'CHY ZINC FINGER FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(182956, NULL, 'PTHR22702:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182957, NULL, 'PTHR10353:SF265', NULL, NULL, NULL, NULL, 'BNAA05G34490D PROTEIN', NULL, NULL, NULL, 15),
(182958, NULL, 'PTHR43740', NULL, NULL, NULL, NULL, 'LEUCYL-TRNA SYNTHETASE', NULL, NULL, 6756, 15),
(182959, NULL, 'PTHR38453', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, 3899, 15),
(182960, NULL, 'PTHR33147:SF31', NULL, NULL, NULL, NULL, 'DEFENSIN', NULL, NULL, NULL, 15),
(182961, NULL, 'PTHR11848:SF44', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 5', NULL, NULL, NULL, 15),
(182962, NULL, 'PTHR43544', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE', NULL, NULL, NULL, 15),
(182963, NULL, 'PTHR33184:SF27', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(182964, NULL, 'PTHR47926', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(182965, NULL, 'PTHR30520:SF9', NULL, NULL, NULL, NULL, 'TRANSPORTER 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(182966, NULL, 'PTHR10918:SF3', NULL, NULL, NULL, NULL, 'HOMER PROTEIN HOMOLOG 1', NULL, NULL, NULL, 15),
(182967, NULL, 'PTHR30429', NULL, NULL, NULL, NULL, 'D-METHIONINE-BINDING LIPOPROTEIN METQ', NULL, NULL, 7138, 15),
(182968, NULL, 'PTHR47013:SF1', NULL, NULL, NULL, NULL, 'SPLICING FACTOR, ARGININE/SERINE-RICH 19', NULL, NULL, NULL, 15),
(182969, NULL, 'PTHR31317:SF3', NULL, NULL, NULL, NULL, 'OS07G0133500 PROTEIN', NULL, NULL, NULL, 15),
(182970, NULL, 'PTHR10404:SF32', NULL, NULL, NULL, NULL, 'INACTIVE N-ACETYLATED-ALPHA-LINKED ACIDIC DIPEPTIDASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(182971, NULL, 'PTHR45659:SF1', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C6', NULL, NULL, NULL, 15),
(182972, NULL, 'PTHR10288:SF287', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182973, NULL, 'PTHR15467:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGERS AND HOMEOBOXES PROTEIN 3', NULL, NULL, NULL, 15),
(182974, NULL, 'PTHR43979:SF1', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 17', NULL, NULL, NULL, 15),
(182975, NULL, 'PTHR21450', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(182976, NULL, 'PTHR31944:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(182977, NULL, 'PTHR12411:SF772', NULL, NULL, NULL, NULL, 'BNAA08G28550D PROTEIN', NULL, NULL, NULL, 15),
(182978, NULL, 'PTHR36582:SF2', NULL, NULL, NULL, NULL, 'ANTITOXIN PARD', NULL, NULL, NULL, 15),
(182979, NULL, 'PTHR21669:SF35', NULL, NULL, NULL, NULL, 'UBINUCLEIN-2', NULL, NULL, NULL, 15),
(182980, NULL, 'PTHR43358:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182981, NULL, 'PTHR43176:SF28', NULL, NULL, NULL, NULL, 'BNAA08G28670D PROTEIN', NULL, NULL, NULL, 15),
(182982, NULL, 'PTHR19375:SF390', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN 2', NULL, NULL, NULL, 15),
(182983, NULL, 'PTHR16193', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 36671, 15),
(182984, NULL, 'PTHR10584:SF157', NULL, NULL, NULL, NULL, 'SULFOFRUCTOSE KINASE', NULL, NULL, NULL, 15),
(182985, NULL, 'PTHR31867:SF155', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(182986, NULL, 'PTHR47211:SF2', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASR3', NULL, NULL, NULL, 15),
(182987, NULL, 'PTHR11571:SF238', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182988, NULL, 'PTHR22298:SF124', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE 1', NULL, NULL, NULL, 15),
(182989, NULL, 'PTHR11732:SF437', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182990, NULL, 'PTHR21567:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182991, NULL, 'PTHR16083:SF26', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN SOG2', NULL, NULL, NULL, 15),
(182992, NULL, 'PTHR16134:SF92', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(182993, NULL, 'PTHR33237:SF30', NULL, NULL, NULL, NULL, 'BNAA01G26690D PROTEIN', NULL, NULL, NULL, 15),
(182994, NULL, 'PTHR45839', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 12576, 15),
(182995, NULL, 'PTHR33101:SF10', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 12', NULL, NULL, NULL, 15),
(182996, NULL, 'PTHR24221:SF494', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 23, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(182997, NULL, 'PTHR31790:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(182998, NULL, 'PTHR48047:SF64', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(182999, NULL, 'PTHR10044:SF168', NULL, NULL, NULL, NULL, 'BACULOVIRAL IAP REPEAT-CONTAINING 5B', NULL, NULL, NULL, 15),
(183000, NULL, 'PTHR47417:SF1', NULL, NULL, NULL, NULL, 'SMR DOMAIN-CONTAINING PROTEIN YPL199C', NULL, NULL, NULL, 15),
(183001, NULL, 'PTHR45966:SF19', NULL, NULL, NULL, NULL, 'ESTER HYDROLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(183002, NULL, 'PTHR48041:SF15', NULL, NULL, NULL, NULL, 'FI05267P', NULL, NULL, NULL, 15),
(183003, NULL, 'PTHR47119:SF2', NULL, NULL, NULL, NULL, 'C GLOBULAR STAGE ISOFORM 1', NULL, NULL, NULL, 15),
(183004, NULL, 'PTHR11157:SF137', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 4', NULL, NULL, NULL, 15),
(183005, NULL, 'PTHR10638:SF22', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(183006, NULL, 'PTHR12542:SF23', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(183007, NULL, 'PTHR43574:SF6', NULL, NULL, NULL, NULL, 'OS01G0261500 PROTEIN', NULL, NULL, NULL, 15),
(183008, NULL, 'PTHR31235:SF352', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(183009, NULL, 'PTHR16022:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT DOMAIN 60', NULL, NULL, NULL, 15),
(183010, NULL, 'PTHR13048:SF0', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(183011, NULL, 'PTHR14269:SF45', NULL, NULL, NULL, NULL, 'CDP-DIACYLGLYCEROL--GLYCEROL-3-PHOSPHATE 3-PHOSPHATIDYLTRANSFERASE 2-LIKE', NULL, NULL, NULL, 15),
(183012, NULL, 'PTHR46203', NULL, NULL, NULL, NULL, 'PROBABLE PEPTIDE CHAIN RELEASE FACTOR C12ORF65', NULL, NULL, NULL, 15),
(183013, NULL, 'PTHR33673:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183014, NULL, 'PTHR16083:SF32', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 28', NULL, NULL, NULL, 15),
(183015, NULL, 'PTHR14136:SF32', NULL, NULL, NULL, NULL, 'SLL1446 PROTEIN', NULL, NULL, NULL, 15),
(183016, NULL, 'PTHR31425:SF8', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING PLANT PHOSPHORIBOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(183017, NULL, 'PTHR27006:SF431', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10 ISOFORM X1', NULL, NULL, NULL, 15),
(183018, NULL, 'PTHR43505:SF1', NULL, NULL, NULL, NULL, 'REVERSE GYRASE', NULL, NULL, NULL, 15),
(183019, NULL, 'PTHR23501:SF81', NULL, NULL, NULL, NULL, 'VACUOLAR BASIC AMINO ACID TRANSPORTER 2', NULL, NULL, NULL, 15),
(183020, NULL, 'PTHR22996:SF18', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(183021, NULL, 'PTHR33088', NULL, NULL, NULL, NULL, 'MUCIN-2', NULL, NULL, 38842, 15),
(183022, NULL, 'PTHR45747:SF8', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(183023, NULL, 'PTHR24114:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183024, NULL, 'PTHR11206:SF386', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(183025, NULL, 'PTHR37564:SF2', NULL, NULL, NULL, NULL, 'DNA-ASSOCIATED PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(183026, NULL, 'PTHR34287:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183027, NULL, 'PTHR33214:SF23', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(183028, NULL, 'PTHR43209:SF1', NULL, NULL, NULL, NULL, 'TRNA SULFURTRANSFERASE', NULL, NULL, NULL, 15),
(183029, NULL, 'PTHR10350:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP155', NULL, NULL, NULL, 15),
(183030, NULL, 'PTHR11829:SF342', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN L2', NULL, NULL, NULL, 15),
(183031, NULL, 'PTHR33264:SF24', NULL, NULL, NULL, NULL, 'GB|AAF02136.1', NULL, NULL, NULL, 15),
(183032, NULL, 'PTHR44191', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KUA1', NULL, NULL, NULL, 15),
(183033, NULL, 'PTHR34400:SF4', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183034, NULL, 'PTHR11782:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183035, NULL, 'PTHR11941:SF27', NULL, NULL, NULL, NULL, 'ETHYLMALONYL-COA DECARBOXYLASE', NULL, NULL, NULL, 15),
(183036, NULL, 'PTHR12411:SF412', NULL, NULL, NULL, NULL, 'CATHEPSIN F', NULL, NULL, NULL, 15),
(183037, NULL, 'PTHR33115:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183038, NULL, 'PTHR24037', NULL, NULL, NULL, NULL, 'HEART DEVELOPMENT PROTEIN WITH EGF-LIKE DOMAINS 1', NULL, NULL, 23004, 15),
(183039, NULL, 'PTHR11803:SF22', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE FAMILY PROTEIN BRT1, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03780)-RELATED', NULL, NULL, NULL, 15),
(183040, NULL, 'PTHR43908:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183041, NULL, 'PTHR34710:SF18', NULL, NULL, NULL, NULL, 'OS05G0522700 PROTEIN', NULL, NULL, NULL, 15),
(183042, NULL, 'PTHR26379:SF310', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183043, NULL, 'PTHR22933:SF19', NULL, NULL, NULL, NULL, 'AGAP001203-PA', NULL, NULL, NULL, 15),
(183044, NULL, 'PTHR10687:SF58', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(183045, NULL, 'PTHR45751:SF23', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RGLG2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(183046, NULL, 'PTHR12374:SF66', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER', NULL, NULL, NULL, 15),
(183047, NULL, 'PTHR20961:SF99', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 61 PROTEIN', NULL, NULL, NULL, 15),
(183048, NULL, 'PTHR32278:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183049, NULL, 'PTHR43498:SF1', NULL, NULL, NULL, NULL, 'FERREDOXIN:COB-COM HETERODISULFIDE REDUCTASE SUBUNIT A', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183050, NULL, 'PTHR13019:SF22', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23', NULL, NULL, NULL, 15),
(183051, NULL, 'PTHR48005', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT KINASE 2', NULL, NULL, NULL, 15),
(183052, NULL, 'PTHR11210:SF2', NULL, NULL, NULL, NULL, 'RING-BOX PROTEIN 1A-RELATED', NULL, NULL, NULL, 15),
(183053, NULL, 'PTHR12806:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING PROTEIN SNF8', NULL, NULL, NULL, 15),
(183054, NULL, 'PTHR24286:SF37', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 724B1', NULL, NULL, NULL, 15),
(183055, NULL, 'PTHR32285:SF227', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 28', NULL, NULL, NULL, 15),
(183056, NULL, 'PTHR39183', NULL, NULL, NULL, NULL, 'SPORE COAT PROTEIN F-LIKE PROTEIN YHCQ', NULL, NULL, 12752, 15),
(183057, NULL, 'PTHR10956:SF36', NULL, NULL, NULL, NULL, 'OS02G0717800 PROTEIN', NULL, NULL, NULL, 15),
(183058, NULL, 'PTHR33207:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183059, NULL, 'PTHR35737:SF1', NULL, NULL, NULL, NULL, 'CRYPTIC LOCI REGULATOR', NULL, NULL, NULL, 15),
(183060, NULL, 'PTHR10725:SF65', NULL, NULL, NULL, NULL, 'THAP DOMAIN CONTAINING 6', NULL, NULL, NULL, 15),
(183061, NULL, 'PTHR22806', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP37  P37 -RELATED', NULL, NULL, 35489, 15),
(183062, NULL, 'PTHR19332:SF7', NULL, NULL, NULL, NULL, 'BNAA05G30070D PROTEIN', NULL, NULL, NULL, 15),
(183063, NULL, 'PTHR23233:SF19', NULL, NULL, NULL, NULL, 'SAL-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(183064, NULL, 'PTHR46248:SF14', NULL, NULL, NULL, NULL, 'BNAA05G26620D PROTEIN', NULL, NULL, NULL, 15),
(183065, NULL, 'PTHR31636:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183066, NULL, 'PTHR23267:SF428', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183067, NULL, 'PTHR14009:SF7', NULL, NULL, NULL, NULL, 'LETM1 DOMAIN-CONTAINING PROTEIN LETM2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(183068, NULL, 'PTHR33091:SF86', NULL, NULL, NULL, NULL, 'OS12G0548700 PROTEIN', NULL, NULL, NULL, 15),
(183069, NULL, 'PTHR34657:SF4', NULL, NULL, NULL, NULL, 'EMBRYO SAC DEVELOPMENT ARREST 6', NULL, NULL, NULL, 15),
(183070, NULL, 'PTHR13068:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR 4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(183071, NULL, 'PTHR47928:SF100', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(183072, NULL, 'PTHR43602', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183073, NULL, 'PTHR23113:SF329', NULL, NULL, NULL, NULL, 'RAS-SPECIFIC GUANINE NUCLEOTIDE-RELEASING FACTOR RALGPS1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(183074, NULL, 'PTHR23294:SF30', NULL, NULL, NULL, NULL, 'PROTEIN CBG24830', NULL, NULL, NULL, 15),
(183075, NULL, 'PTHR12448:SF4', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT EPSILON, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(183076, NULL, 'PTHR24219:SF3', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 23180, 15),
(183077, NULL, 'PTHR26453:SF641', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2J3', NULL, NULL, NULL, 15),
(183078, NULL, 'PTHR24012:SF716', NULL, NULL, NULL, NULL, 'CUGBP ELAV-LIKE FAMILY MEMBER 6', NULL, NULL, NULL, 15),
(183079, NULL, 'PTHR30055:SF169', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR KSTR', NULL, NULL, NULL, 15),
(183080, NULL, 'PTHR11458:SF2', NULL, NULL, NULL, NULL, 'DELTA-AMINOLEVULINIC ACID DEHYDRATASE', NULL, NULL, NULL, 15),
(183081, NULL, 'PTHR10593:SF144', NULL, NULL, NULL, NULL, 'PROTEIN INDETERMINATE-DOMAIN 7', NULL, NULL, NULL, 15),
(183082, NULL, 'PTHR43464:SF54', NULL, NULL, NULL, NULL, 'TRNA U34 CARBOXYMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(183083, NULL, 'PTHR27004:SF387', NULL, NULL, NULL, NULL, 'BNAA04G19350D PROTEIN', NULL, NULL, NULL, 15),
(183084, NULL, 'PTHR45661:SF10', NULL, NULL, NULL, NULL, 'SURFACE ANTIGEN', NULL, NULL, NULL, 15),
(183085, NULL, 'PTHR46125:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183086, NULL, 'PTHR31499:SF2', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(183087, NULL, 'PTHR19308:SF7', NULL, NULL, NULL, NULL, 'START DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(183088, NULL, 'PTHR33057:SF149', NULL, NULL, NULL, NULL, 'OVATE FAMILY PROTEIN 8-RELATED', NULL, NULL, NULL, 15),
(183089, NULL, 'PTHR43859:SF3', NULL, NULL, NULL, NULL, 'ENTEROBACTIN SYNTHASE COMPONENT E', NULL, NULL, NULL, 15),
(183090, NULL, 'PTHR33168:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183091, NULL, 'PTHR10293', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN FAMILY MEMBER', NULL, NULL, 7417, 15),
(183092, NULL, 'PTHR21119:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID TRANSFER PROTEIN C2CD2L', NULL, NULL, NULL, 15),
(183093, NULL, 'PTHR12565:SF358', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', NULL, NULL, NULL, 15),
(183094, NULL, 'PTHR37263', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(183095, NULL, 'PTHR35491:SF9', NULL, NULL, NULL, NULL, 'OS05G0101300 PROTEIN', NULL, NULL, NULL, 15),
(183096, NULL, 'PTHR19433:SF119', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 35', NULL, NULL, NULL, 15),
(183097, NULL, 'PTHR48018:SF121', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5D18', NULL, NULL, NULL, 15),
(183098, NULL, 'PTHR11988:SF7', NULL, NULL, NULL, NULL, 'D SITE-BINDING PROTEIN', NULL, NULL, 27843, 15),
(183099, NULL, 'PTHR12892:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG02772', NULL, NULL, NULL, 15),
(183100, NULL, 'PTHR31155:SF32', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE', NULL, NULL, NULL, 15),
(183101, NULL, 'PTHR34580:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PAFC', NULL, NULL, NULL, 15),
(183102, NULL, 'PTHR28186', NULL, NULL, NULL, NULL, 'MEIOTICALLY UP-REGULATED GENE 9 PROTEIN', NULL, NULL, 20209, 15),
(183103, NULL, 'PTHR11654:SF534', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.7', NULL, NULL, NULL, 15),
(183104, NULL, 'PTHR22771:SF2', NULL, NULL, NULL, NULL, 'CULLIN-9', NULL, NULL, 27268, 15),
(183105, NULL, 'PTHR47477:SF11', NULL, NULL, NULL, NULL, 'TRAF-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(183106, NULL, 'PTHR31062:SF153', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 21-RELATED', NULL, NULL, NULL, 15),
(183107, NULL, 'PTHR15907:SF59', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 7', NULL, NULL, NULL, 15),
(183108, NULL, 'PTHR31414:SF16', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(183109, NULL, 'PTHR45197:SF1', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04190)-RELATED', NULL, NULL, NULL, 15),
(183110, NULL, 'PTHR23426', NULL, NULL, NULL, NULL, 'FERREDOXIN/ADRENODOXIN', NULL, NULL, 2002, 15),
(183111, NULL, 'PTHR24361:SF690', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK4', NULL, NULL, NULL, 15),
(183112, NULL, 'PTHR13318:SF163', NULL, NULL, NULL, NULL, 'EIN3-BINDING F-BOX PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(183113, NULL, 'PTHR26454:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(183114, NULL, 'PTHR46215:SF5', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(183115, NULL, 'PTHR15678:SF9', NULL, NULL, NULL, NULL, 'PROTEIN KINKY POLLEN', NULL, NULL, NULL, 15),
(183116, NULL, 'PTHR34661:SF10', NULL, NULL, NULL, NULL, 'BNAC07G15100D PROTEIN', NULL, NULL, NULL, 15),
(183117, NULL, 'PTHR11346:SF86', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(183118, NULL, 'PTHR15715:SF18', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 170 KDA PROTEIN B', NULL, NULL, NULL, 15),
(183119, NULL, 'PTHR11941:SF12', NULL, NULL, NULL, NULL, 'METHYLGLUTACONYL-COA HYDRATASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(183120, NULL, 'PTHR47298', NULL, NULL, NULL, NULL, 'OXIDIZED LOW-DENSITY LIPOPROTEIN RECEPTOR 1', NULL, NULL, NULL, 15),
(183121, NULL, 'PTHR42886:SF65', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183122, NULL, 'PTHR16839:SF1', NULL, NULL, NULL, NULL, 'GALANIN PEPTIDES', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183123, NULL, 'PTHR31907:SF48', NULL, NULL, NULL, NULL, 'BET V I/MAJOR LATEX PROTEIN, START-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183124, NULL, 'PTHR23220:SF4', NULL, NULL, NULL, NULL, 'INTEGRIN ALPHA-V', NULL, NULL, NULL, 15),
(183125, NULL, 'PTHR11208:SF30', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING, RNA-BINDING, SIGNAL TRANSDUCTION-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(183126, NULL, 'PTHR24396', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(183127, NULL, 'PTHR24064:SF217', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 22 MEMBER 9', NULL, NULL, NULL, 15),
(183128, NULL, 'PTHR31828:SF14', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIALPHA', NULL, NULL, NULL, 15),
(183129, NULL, 'PTHR46129', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN 14, ISOFORM D', NULL, NULL, 37563, 15),
(183130, NULL, 'PTHR10934:SF18', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18-1-RELATED', NULL, NULL, NULL, 15),
(183131, NULL, 'PTHR14179:SF11', NULL, NULL, NULL, NULL, 'SUBMAXILLARY GLAND ANDROGEN-REGULATED PROTEIN 3A', NULL, NULL, NULL, 15),
(183132, NULL, 'PTHR47925:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183133, NULL, 'PTHR46351:SF6', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN PR-4A', NULL, NULL, NULL, 15),
(183134, NULL, 'PTHR42860:SF2', NULL, NULL, NULL, NULL, 'SUBSTRATE BINDING PROTEIN OF AN ABC TRANSPORTER COMPLEX', NULL, NULL, NULL, 15),
(183135, NULL, 'PTHR45270:SF5', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN, CLEAVAGE INDUCING MOLECULAR CHAPERONE, JIV-RELATED', NULL, NULL, NULL, 15),
(183136, NULL, 'PTHR31561:SF74', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(183137, NULL, 'PTHR12555:SF20', NULL, NULL, NULL, NULL, 'UBIQUITIN RECOGNITION FACTOR IN ER-ASSOCIATED DEGRADATION PROTEIN 1', NULL, NULL, NULL, 15),
(183138, NULL, 'PTHR10676:SF352', NULL, NULL, NULL, NULL, 'CYTOPLASMIC DYNEIN 2 HEAVY CHAIN 1', NULL, NULL, 23080, 15),
(183139, NULL, 'PTHR11434:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183140, NULL, 'PTHR45851:SF6', NULL, NULL, NULL, NULL, 'PROTEIN B-MYC', NULL, NULL, NULL, 15),
(183141, NULL, 'PTHR32212:SF352', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183142, NULL, 'PTHR33509:SF33', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(183143, NULL, 'PTHR31311:SF13', NULL, NULL, NULL, NULL, 'XYLOGLUCAN 6-XYLOSYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(183144, NULL, 'PTHR38019:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183145, NULL, 'PTHR47273:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(183146, NULL, 'PTHR43313:SF36', NULL, NULL, NULL, NULL, 'GH26015P', NULL, NULL, NULL, 15),
(183147, NULL, 'PTHR12673:SF248', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183148, NULL, 'PTHR34199:SF4', NULL, NULL, NULL, NULL, 'OS01G0772700 PROTEIN', NULL, NULL, NULL, 15),
(183149, NULL, 'PTHR31062:SF230', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(183150, NULL, 'PTHR47924:SF32', NULL, NULL, NULL, NULL, 'BNACNNG31280D PROTEIN', NULL, NULL, NULL, 15),
(183151, NULL, 'PTHR33332:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183152, NULL, 'PTHR11269', NULL, NULL, NULL, NULL, 'PERIOD CIRCADIAN PROTEIN', NULL, NULL, NULL, 15),
(183153, NULL, 'PTHR43737:SF1', NULL, NULL, NULL, NULL, 'BLL7424 PROTEIN', NULL, NULL, NULL, 15),
(183154, NULL, 'PTHR37096:SF1', NULL, NULL, NULL, NULL, 'YALI0E33429P', NULL, NULL, NULL, 15),
(183155, NULL, 'PTHR32134:SF143', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE FNKE-RELATED', NULL, NULL, NULL, 15),
(183156, NULL, 'PTHR24082:SF210', NULL, NULL, NULL, NULL, 'THYROID HORMONE RECEPTOR BETA', NULL, NULL, NULL, 15),
(183157, NULL, 'PTHR23309:SF39', NULL, NULL, NULL, NULL, 'BNAA01G07910D PROTEIN', NULL, NULL, NULL, 15),
(183158, NULL, 'PTHR27005:SF225', NULL, NULL, NULL, NULL, 'OS04G0307900 PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183159, NULL, 'PTHR33479', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK TYPE BRAN TRYPSIN INHIBITOR', NULL, NULL, NULL, 15),
(183160, NULL, 'PTHR11654:SF403', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.7-LIKE', NULL, NULL, NULL, 15),
(183161, NULL, 'PTHR47990:SF142', NULL, NULL, NULL, NULL, 'GIBBERELLIN 20 OXIDASE 3-LIKE', NULL, NULL, NULL, 15),
(183162, NULL, 'PTHR22950:SF482', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(183163, NULL, 'PTHR11132:SF389', NULL, NULL, NULL, NULL, 'UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER 1', NULL, NULL, NULL, 15),
(183164, NULL, 'PTHR48021:SF20', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 6', NULL, NULL, NULL, 15),
(183165, NULL, 'PTHR10527:SF68', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT BETA-1', NULL, NULL, 27280, 15),
(183166, NULL, 'PTHR31846:SF19', NULL, NULL, NULL, NULL, 'CRM-DOMAIN CONTAINING FACTOR CFM3A, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, 29769, 15),
(183167, NULL, 'PTHR21533:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183168, NULL, 'PTHR21500:SF4', NULL, NULL, NULL, NULL, 'TUBULIN-SPECIFIC CHAPERONE A', NULL, NULL, NULL, 15),
(183169, NULL, 'PTHR45648:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183170, NULL, 'PTHR11588:SF309', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(183171, NULL, 'PTHR48092:SF13', NULL, NULL, NULL, NULL, 'ANDROGEN RECEPTOR', NULL, NULL, NULL, 15),
(183172, NULL, 'PTHR14614:SF138', NULL, NULL, NULL, NULL, 'NICOTINAMIDE N-METHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(183173, NULL, 'PTHR43448:SF7', NULL, NULL, NULL, NULL, 'PROTOHEME IX FARNESYLTRANSFERASE', NULL, NULL, NULL, 15),
(183174, NULL, 'PTHR45657:SF20', NULL, NULL, NULL, NULL, 'CRAL/TRIO DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G00680)', NULL, NULL, NULL, 15),
(183175, NULL, 'PTHR31042:SF76', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-16-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(183176, NULL, 'PTHR10795:SF653', NULL, NULL, NULL, NULL, 'CUCUMISIN-RELATED', NULL, NULL, NULL, 15),
(183177, NULL, 'PTHR31403:SF59', NULL, NULL, NULL, NULL, 'BNAA05G35290D PROTEIN', NULL, NULL, NULL, 15),
(183178, NULL, 'PTHR45738:SF21', NULL, NULL, NULL, NULL, 'BNAC05G13480D PROTEIN', NULL, NULL, NULL, 15),
(183179, NULL, 'PTHR14155:SF491', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL41', NULL, NULL, NULL, 15),
(183180, NULL, 'PTHR47792', NULL, NULL, NULL, NULL, 'PROTEIN SOK2-RELATED', NULL, NULL, 22747, 15),
(183181, NULL, 'PTHR36046:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(183182, NULL, 'PTHR48017:SF48', NULL, NULL, NULL, NULL, 'VESICULAR GABA TRANSPORTER', NULL, NULL, NULL, 15),
(183183, NULL, 'PTHR47928:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183184, NULL, 'PTHR35852:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08380', NULL, NULL, NULL, 15),
(183185, NULL, 'PTHR30157:SF1', NULL, NULL, NULL, NULL, 'VIBRIOBACTIN UTILIZATION PROTEIN VIUB', NULL, NULL, NULL, 15),
(183186, NULL, 'PTHR21530:SF0', NULL, NULL, NULL, NULL, 'TRAB DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(183187, NULL, 'PTHR21096:SF4', NULL, NULL, NULL, NULL, 'BNAA04G25360D PROTEIN', NULL, NULL, NULL, 15),
(183188, NULL, 'PTHR31066:SF77', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P (PB1) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(183189, NULL, 'PTHR11945:SF585', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2B', NULL, NULL, NULL, 15),
(183190, NULL, 'PTHR46477', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(183191, NULL, 'PTHR13593:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183192, NULL, 'PTHR24123:SF114', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND SOCS BOX PROTEIN 10', NULL, NULL, NULL, 15),
(183193, NULL, 'PTHR19957:SF88', NULL, NULL, NULL, NULL, 'SYNTAXIN-12', NULL, NULL, NULL, 15),
(183194, NULL, 'PTHR22118', NULL, NULL, NULL, NULL, 'DYNEIN ASSEMBLY FACTOR 3, AXONEMAL', NULL, NULL, 29058, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183195, NULL, 'PTHR12100:SF5', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC10-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183196, NULL, 'PTHR33384:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183197, NULL, 'PTHR11851:SF207', NULL, NULL, NULL, NULL, 'BNAA01G33220D PROTEIN', NULL, NULL, NULL, 15),
(183198, NULL, 'PTHR11454:SF31', NULL, NULL, NULL, NULL, 'INSULIN, ISOFORM 2', NULL, NULL, NULL, 15),
(183199, NULL, 'PTHR31636:SF225', NULL, NULL, NULL, NULL, 'NODULATION-SIGNALING PATHWAY 2 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(183200, NULL, 'PTHR31901:SF66', NULL, NULL, NULL, NULL, 'BNACNNG59530D PROTEIN', NULL, NULL, NULL, 15),
(183201, NULL, 'PTHR47338:SF19', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(183202, NULL, 'PTHR38601', NULL, NULL, NULL, NULL, 'HYDROGENASE-4 COMPONENT E', NULL, NULL, 31777, 15),
(183203, NULL, 'PTHR31747:SF14', NULL, NULL, NULL, NULL, 'PROTEIN LOL2', NULL, NULL, NULL, 15),
(183204, NULL, 'PTHR46755', NULL, NULL, NULL, NULL, 'METHIONINE-R-SULFOXIDE REDUCTASE B1', NULL, NULL, NULL, 15),
(183205, NULL, 'PTHR45658:SF60', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(183206, NULL, 'PTHR33433:SF28', NULL, NULL, NULL, NULL, 'FLOWERING-PROMOTING FACTOR 1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(183207, NULL, 'PTHR10527:SF61', NULL, NULL, NULL, NULL, 'IMPORTIN BETA 3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(183208, NULL, 'PTHR33782', NULL, NULL, NULL, NULL, 'OS01G0121600 PROTEIN', NULL, NULL, NULL, 15),
(183209, NULL, 'PTHR31251:SF138', NULL, NULL, NULL, NULL, 'TEOSINTE GLUME ARCHITECTURE 1-LIKE', NULL, NULL, NULL, 15),
(183210, NULL, 'PTHR11441:SF5', NULL, NULL, NULL, NULL, 'THYMIDINE KINASE', NULL, NULL, NULL, 15),
(183211, NULL, 'PTHR13018:SF87', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G11660)-RELATED', NULL, NULL, NULL, 15),
(183212, NULL, 'PTHR47248:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG19214', NULL, NULL, NULL, 15),
(183213, NULL, 'PTHR23021:SF32', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS T', NULL, NULL, NULL, 15),
(183214, NULL, 'PTHR21225:SF6', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE, TRP-SENSITIVE', NULL, NULL, NULL, 15),
(183215, NULL, 'PTHR33566', NULL, NULL, NULL, NULL, 'EN/SPM-LIKE TRANSPOSON-RELATED', NULL, NULL, NULL, 15),
(183216, NULL, 'PTHR32411:SF44', NULL, NULL, NULL, NULL, 'OS05G0112800 PROTEIN', NULL, NULL, NULL, 15),
(183217, NULL, 'PTHR27006:SF368', NULL, NULL, NULL, NULL, 'BNACNNG58230D PROTEIN', NULL, NULL, NULL, 15),
(183218, NULL, 'PTHR10553:SF28', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN G', NULL, NULL, NULL, 15),
(183219, NULL, 'PTHR46508:SF9', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 1', NULL, NULL, NULL, 15),
(183220, NULL, 'PTHR22945:SF29', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(183221, NULL, 'PTHR24326:SF531', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-22', NULL, NULL, NULL, 15),
(183222, NULL, 'PTHR22957:SF26', NULL, NULL, NULL, NULL, 'LD44506P', NULL, NULL, NULL, 15),
(183223, NULL, 'PTHR42718:SF23', NULL, NULL, NULL, NULL, 'YALI0F06908P', NULL, NULL, NULL, 15),
(183224, NULL, 'PTHR46178:SF2', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(183225, NULL, 'PTHR31218:SF285', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(183226, NULL, 'PTHR11817:SF92', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE I', NULL, NULL, NULL, 15),
(183227, NULL, 'PTHR19316:SF18', NULL, NULL, NULL, NULL, 'HSP70-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(183228, NULL, 'PTHR14508:SF1', NULL, NULL, NULL, NULL, 'SNURF-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183229, NULL, 'PTHR36102', NULL, NULL, NULL, NULL, 'CHROMOSOME 10, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, 17874, 15),
(183230, NULL, 'PTHR12800', NULL, NULL, NULL, NULL, 'CDC37-RELATED', NULL, NULL, 1646, 15),
(183231, NULL, 'PTHR11615:SF235', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 1A1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183232, NULL, 'PTHR23428:SF261', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(183233, NULL, 'PTHR33228:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183234, NULL, 'PTHR31446:SF2', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE/VANADIUM-DEPENDENT HALOPEROXIDASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(183235, NULL, 'PTHR31962:SF4', NULL, NULL, NULL, NULL, 'PRIMARY COMPONENT OF EISOSOMES (EUROFUNG)', NULL, NULL, NULL, 15),
(183236, NULL, 'PTHR36467:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 207', NULL, NULL, NULL, 15),
(183237, NULL, 'PTHR34802:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183238, NULL, 'PTHR46858:SF9', NULL, NULL, NULL, NULL, 'OS05G0521000 PROTEIN', NULL, NULL, NULL, 15),
(183239, NULL, 'PTHR43780', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE DEAMINASE-RELATED', NULL, NULL, 28486, 15),
(183240, NULL, 'PTHR21499:SF41', NULL, NULL, NULL, NULL, 'ASPARTOKINASE 1', NULL, NULL, NULL, 15),
(183241, NULL, 'PTHR22835:SF158', NULL, NULL, NULL, NULL, 'OS01G0331100 PROTEIN', NULL, NULL, NULL, 15),
(183242, NULL, 'PTHR12534', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S2  PROKARYOTIC AND ORGANELLAR', NULL, NULL, 3831, 15),
(183243, NULL, 'PTHR32142:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183244, NULL, 'PTHR13318:SF129', NULL, NULL, NULL, NULL, 'EIN3-BINDING F-BOX-LIKE PROTEIN', NULL, NULL, NULL, 15),
(183245, NULL, 'PTHR37829:SF5', NULL, NULL, NULL, NULL, 'BASEPLATE ASSEMBLY PROTEIN V-RELATED', NULL, NULL, NULL, 15),
(183246, NULL, 'PTHR39180:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183247, NULL, 'PTHR36152', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183248, NULL, 'PTHR28518:SF1', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN15', NULL, NULL, NULL, 15),
(183249, NULL, 'PTHR34792', NULL, NULL, NULL, NULL, 'OS02G0121500 PROTEIN', NULL, NULL, 30488, 15),
(183250, NULL, 'PTHR15036:SF68', NULL, NULL, NULL, NULL, 'NEUREXIN 1, ISOFORM F', NULL, NULL, NULL, 15),
(183251, NULL, 'PTHR21497:SF39', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UBR3', NULL, NULL, NULL, 15),
(183252, NULL, 'PTHR12631:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183253, NULL, 'PTHR12316:SF20', NULL, NULL, NULL, NULL, 'NINJURIN A ALPHA', NULL, NULL, NULL, 15),
(183254, NULL, 'PTHR46327', NULL, NULL, NULL, NULL, 'F16F4.11 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183255, NULL, 'PTHR43811', NULL, NULL, NULL, NULL, 'FKBP-TYPE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKPA', NULL, NULL, NULL, 15),
(183256, NULL, 'PTHR31325:SF224', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183257, NULL, 'PTHR24248:SF132', NULL, NULL, NULL, NULL, 'TYRAMINE/OCTOPAMINE RECEPTOR', NULL, NULL, NULL, 15),
(183258, NULL, 'PTHR33124:SF56', NULL, NULL, NULL, NULL, 'BNACNNG19610D PROTEIN', NULL, NULL, NULL, 15),
(183259, NULL, 'PTHR31297', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,6-BETA-GLUCOSIDASE B', NULL, NULL, NULL, 15),
(183260, NULL, 'PTHR23155:SF1091', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(183261, NULL, 'PTHR23401:SF0', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 5 ACTIVATOR', NULL, NULL, NULL, 15),
(183262, NULL, 'PTHR34660:SF18', NULL, NULL, NULL, NULL, 'BNAC05G44690D PROTEIN', NULL, NULL, NULL, 15),
(183263, NULL, 'PTHR28562', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 9', NULL, NULL, 24080, 15),
(183264, NULL, 'PTHR11571:SF233', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(183265, NULL, 'PTHR40351', NULL, NULL, NULL, NULL, 'PROTEIN CBG19323', NULL, NULL, NULL, 15),
(183266, NULL, 'PTHR11552:SF186', NULL, NULL, NULL, NULL, 'AGAP003786-PA', NULL, NULL, NULL, 15),
(183267, NULL, 'PTHR11958:SF96', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(183268, NULL, 'PTHR11544:SF126', NULL, NULL, NULL, NULL, 'COLD SHOCK PROTEIN SCOF', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183269, NULL, 'PTHR43172:SF1', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE LYASE', NULL, NULL, NULL, 15),
(183270, NULL, 'PTHR46112:SF5', NULL, NULL, NULL, NULL, 'DIPEPTIDASE PEPE-RELATED', NULL, NULL, NULL, 15),
(183271, NULL, 'PTHR47477:SF6', NULL, NULL, NULL, NULL, 'TRAF-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(183272, NULL, 'PTHR45675:SF71', NULL, NULL, NULL, NULL, 'BNAC02G38120D PROTEIN', NULL, NULL, NULL, 15),
(183273, NULL, 'PTHR31218:SF315', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(183274, NULL, 'PTHR46998:SF1', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 10', NULL, NULL, NULL, 15),
(183275, NULL, 'PTHR33057:SF9', NULL, NULL, NULL, NULL, 'OS03G0197900 PROTEIN', NULL, NULL, NULL, 15),
(183276, NULL, 'PTHR48002:SF95', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(183277, NULL, 'PTHR36127:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(183278, NULL, 'PTHR32263:SF15', NULL, NULL, NULL, NULL, 'INACTIVE POLY [ADP-RIBOSE] POLYMERASE RCD1', NULL, NULL, NULL, 15),
(183279, NULL, 'PTHR13456', NULL, NULL, NULL, NULL, 'UPF0729 PROTEIN C18ORF32', NULL, NULL, 27825, 15),
(183280, NULL, 'PTHR23070:SF155', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183281, NULL, 'PTHR19359:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183282, NULL, 'PTHR37301:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183283, NULL, 'PTHR44203:SF2', NULL, NULL, NULL, NULL, 'ETO1-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(183284, NULL, 'PTHR47521:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG01451', NULL, NULL, NULL, 15),
(183285, NULL, 'PTHR22590:SF3', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN E', NULL, NULL, NULL, 15),
(183286, NULL, 'PTHR39150:SF1', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L28, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(183287, NULL, 'PTHR31190:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183288, NULL, 'PTHR33735:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183289, NULL, 'PTHR22847:SF516', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 5B', NULL, NULL, NULL, 15),
(183290, NULL, 'PTHR35860:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM24B', NULL, NULL, NULL, 15),
(183291, NULL, 'PTHR34491:SF45', NULL, NULL, NULL, NULL, 'ANUCLEATE PRIMARY STERIGMATA PROTEIN B', NULL, NULL, NULL, 15),
(183292, NULL, 'PTHR11017:SF277', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPS4-RELATED', NULL, NULL, NULL, 15),
(183293, NULL, 'PTHR36010:SF2', NULL, NULL, NULL, NULL, 'LOW PROTEIN: CYTOCHROME C BIOGENESIS CCMF-LIKE PROTEIN', NULL, NULL, NULL, 15),
(183294, NULL, 'PTHR19957:SF291', NULL, NULL, NULL, NULL, 'BNAA09G56390D PROTEIN', NULL, NULL, NULL, 15),
(183295, NULL, 'PTHR23147:SF3', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 12', NULL, NULL, 12390, 15),
(183296, NULL, 'PTHR47926:SF211', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183297, NULL, 'PTHR11829:SF358', NULL, NULL, NULL, NULL, 'PROTEIN CBR-LET-381', NULL, NULL, NULL, 15),
(183298, NULL, 'PTHR35491:SF10', NULL, NULL, NULL, NULL, 'BNAA04G27700D PROTEIN', NULL, NULL, NULL, 15),
(183299, NULL, 'PTHR31175:SF49', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(183300, NULL, 'PTHR14859:SF9', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE, PGAP2-INTERACTING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183301, NULL, 'PTHR11002:SF60', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(183302, NULL, 'PTHR12400:SF41', NULL, NULL, NULL, NULL, 'KINASE', NULL, NULL, NULL, 15),
(183303, NULL, 'PTHR48065:SF13', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE BRI1-LIKE 3', NULL, NULL, NULL, 15),
(183304, NULL, 'PTHR33622:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183305, NULL, 'PTHR31354:SF2', NULL, NULL, NULL, NULL, 'OS01G0793500 PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183306, NULL, 'PTHR23105:SF166', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183307, NULL, 'PTHR22792:SF43', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 4B', NULL, NULL, NULL, 15),
(183308, NULL, 'PTHR31100:SF76', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(183309, NULL, 'PTHR43022:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SMF', NULL, NULL, NULL, 15),
(183310, NULL, 'PTHR21593:SF26', NULL, NULL, NULL, NULL, 'PROTEIN CBG05948', NULL, NULL, NULL, 15),
(183311, NULL, 'PTHR37348:SF1', NULL, NULL, NULL, NULL, 'LLLL AND CFNLAS MOTIF-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(183312, NULL, 'PTHR11760:SF36', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3', NULL, NULL, NULL, 15),
(183313, NULL, 'PTHR34048', NULL, NULL, NULL, NULL, 'LOW-DENSITY RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(183314, NULL, 'PTHR43061:SF3', NULL, NULL, NULL, NULL, 'BNACNNG23270D PROTEIN', NULL, NULL, NULL, 15),
(183315, NULL, 'PTHR43818', NULL, NULL, NULL, NULL, 'BCDNA.GH03377', NULL, NULL, NULL, 15),
(183316, NULL, 'PTHR40626:SF12', NULL, NULL, NULL, NULL, 'RFEC', NULL, NULL, NULL, 15),
(183317, NULL, 'PTHR13233:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183318, NULL, 'PTHR33203:SF22', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN 20-RELATED', NULL, NULL, NULL, 15),
(183319, NULL, 'PTHR43976:SF6', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13950)-RELATED', NULL, NULL, NULL, 15),
(183320, NULL, 'PTHR34154:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183321, NULL, 'PTHR16024:SF15', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 5', NULL, NULL, NULL, 15),
(183322, NULL, 'PTHR34239', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183323, NULL, 'PTHR13935:SF68', NULL, NULL, NULL, NULL, 'ACHAETE-SCUTE HOMOLOG 3', NULL, NULL, NULL, 15),
(183324, NULL, 'PTHR27006:SF258', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(183325, NULL, 'PTHR47993:SF29', NULL, NULL, NULL, NULL, 'BNAA01G29010D PROTEIN', NULL, NULL, NULL, 15),
(183326, NULL, 'PTHR23421:SF147', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(183327, NULL, 'PTHR11132:SF372', NULL, NULL, NULL, NULL, 'BNAA08G03450D PROTEIN', NULL, NULL, NULL, 15),
(183328, NULL, 'PTHR21683:SF9', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 73', NULL, NULL, NULL, 15),
(183329, NULL, 'PTHR31421:SF3', NULL, NULL, NULL, NULL, 'PROTEIN BASIC PENTACYSTEINE4', NULL, NULL, NULL, 15),
(183330, NULL, 'PTHR33571:SF15', NULL, NULL, NULL, NULL, 'NUCLEOTIDYLTRANSFERASE', NULL, NULL, NULL, 15),
(183331, NULL, 'PTHR31155:SF8', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] DESATURASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(183332, NULL, 'PTHR11783:SF221', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(183333, NULL, 'PTHR43153:SF1', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN SUBUNIT ALPHA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(183334, NULL, 'PTHR23257:SF855', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183335, NULL, 'PTHR10795:SF557', NULL, NULL, NULL, NULL, 'SERINE PROTEINASE 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(183336, NULL, 'PTHR11848:SF145', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 10', NULL, NULL, NULL, 15),
(183337, NULL, 'PTHR45080', NULL, NULL, NULL, NULL, 'CONTACTIN 5', NULL, NULL, NULL, 15),
(183338, NULL, 'PTHR26379:SF366', NULL, NULL, NULL, NULL, 'MATH DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(183339, NULL, 'PTHR46932:SF4', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY', NULL, NULL, NULL, 15),
(183340, NULL, 'PTHR35122:SF5', NULL, NULL, NULL, NULL, 'HYDROGEN PEROXIDE-INDUCED 1', NULL, NULL, NULL, 15),
(183341, NULL, 'PTHR18964:SF149', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL UDP-N-ACETYLGLUCOSAMINE 2-EPIMERASE/N-ACETYLMANNOSAMINE KINASE', NULL, NULL, NULL, 15),
(183342, NULL, 'PTHR34794:SF3', NULL, NULL, NULL, NULL, 'VQ MOTIF-CONTAINING PROTEIN 29', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183343, NULL, 'PTHR22847:SF710', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(183344, NULL, 'PTHR31232:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183345, NULL, 'PTHR47942:SF57', NULL, NULL, NULL, NULL, 'OS12G0102600 PROTEIN', NULL, NULL, NULL, 15),
(183346, NULL, 'PTHR19143:SF349', NULL, NULL, NULL, NULL, 'FIBRINOGEN-LIKE PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(183347, NULL, 'PTHR47956:SF37', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE CYP75B3', NULL, NULL, NULL, 15),
(183348, NULL, 'PTHR11802:SF131', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(183349, NULL, 'PTHR12751:SF18', NULL, NULL, NULL, NULL, 'PROTEIN AFR1-RELATED', NULL, NULL, NULL, 15),
(183350, NULL, 'PTHR32227:SF235', NULL, NULL, NULL, NULL, 'OS07G0538000 PROTEIN', NULL, NULL, NULL, 15),
(183351, NULL, 'PTHR10742:SF397', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC HISTONE DEMETHYLASE 1A', NULL, NULL, NULL, 15),
(183352, NULL, 'PTHR43674:SF12', NULL, NULL, NULL, NULL, 'BLL7207 PROTEIN', NULL, NULL, NULL, 15),
(183353, NULL, 'PTHR10791:SF194', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET4', NULL, NULL, NULL, 15),
(183354, NULL, 'PTHR15907:SF182', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 1-RELATED', NULL, NULL, NULL, 15),
(183355, NULL, 'PTHR35841', NULL, NULL, NULL, NULL, 'PHOSPHONATES-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(183356, NULL, 'PTHR11567:SF195', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14570)-RELATED', NULL, NULL, NULL, 15),
(183357, NULL, 'PTHR10292:SF12', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(183358, NULL, 'PTHR31549:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183359, NULL, 'PTHR18860:SF123', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN F', NULL, NULL, NULL, 15),
(183360, NULL, 'PTHR33133:SF20', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(183361, NULL, 'PTHR21128', NULL, NULL, NULL, NULL, 'FETAL AND ADULT TESTIS-EXPRESSED TRANSCRIPT PROTEIN', NULL, NULL, 35853, 15),
(183362, NULL, 'PTHR45711', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(183363, NULL, 'PTHR24392:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 513', NULL, NULL, NULL, 15),
(183364, NULL, 'PTHR11206:SF294', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 9', NULL, NULL, NULL, 15),
(183365, NULL, 'PTHR33136:SF45', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 22', NULL, NULL, NULL, 15),
(183366, NULL, 'PTHR23083', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN, TPR', NULL, NULL, NULL, 15),
(183367, NULL, 'PTHR45676:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183368, NULL, 'PTHR48019:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183369, NULL, 'PTHR24296:SF122', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', NULL, NULL, NULL, 15),
(183370, NULL, 'PTHR46032:SF3', NULL, NULL, NULL, NULL, 'ST3 BETA-GALACTOSIDE ALPHA-2,3-SIALYLTRANSFERASE 8', NULL, NULL, NULL, 15),
(183371, NULL, 'PTHR44305:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-192D15.2', NULL, NULL, NULL, 15),
(183372, NULL, 'PTHR43866:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183373, NULL, 'PTHR46333:SF4', NULL, NULL, NULL, NULL, 'KYPHOSCOLIOSIS PEPTIDASE', NULL, NULL, NULL, 15),
(183374, NULL, 'PTHR11360:SF272', NULL, NULL, NULL, NULL, 'MFS-TYPE TRANSPORTER DBAD', NULL, NULL, NULL, 15),
(183375, NULL, 'PTHR45614:SF148', NULL, NULL, NULL, NULL, 'BNAC03G35980D PROTEIN', NULL, NULL, NULL, 15),
(183376, NULL, 'PTHR14002:SF16', NULL, NULL, NULL, NULL, 'PANCREATIC SECRETORY GRANULE MEMBRANE MAJOR GLYCOPROTEIN GP2', NULL, NULL, NULL, 15),
(183377, NULL, 'PTHR23113:SF342', NULL, NULL, NULL, NULL, 'RAL-GDS-RELATED PROTEIN', NULL, NULL, NULL, 15),
(183378, NULL, 'PTHR47993:SF28', NULL, NULL, NULL, NULL, 'BNAANNG29880D PROTEIN', NULL, NULL, NULL, 15),
(183379, NULL, 'PTHR39308:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183380, NULL, 'PTHR45824:SF21', NULL, NULL, NULL, NULL, 'BNAA03G53500D PROTEIN', NULL, NULL, NULL, 15),
(183381, NULL, 'PTHR34114:SF18', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PEPTIDE 13-LIKE', NULL, NULL, NULL, 15),
(183382, NULL, 'PTHR12484:SF2', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 17A', NULL, NULL, 830, 15),
(183383, NULL, 'PTHR47976:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(183384, NULL, 'PTHR31490:SF42', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 10 PROTEIN / CARBOHYDRATE-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(183385, NULL, 'PTHR33867:SF1', NULL, NULL, NULL, NULL, 'RIBOSOME MATURATION FACTOR RIMP', NULL, NULL, NULL, 15),
(183386, NULL, 'PTHR43506:SF1', NULL, NULL, NULL, NULL, 'BIOTIN/LIPOATE A/B PROTEIN LIGASE FAMILY', NULL, NULL, NULL, 15),
(183387, NULL, 'PTHR23257:SF872', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(183388, NULL, 'PTHR19370', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', NULL, NULL, 4403, 15),
(183389, NULL, 'PTHR30519:SF17', NULL, NULL, NULL, NULL, '5-METHYLTETRAHYDROPTEROYLTRIGLUTAMATE--HOMOCYSTEINE METHYLTRANSFERASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(183390, NULL, 'PTHR31639:SF179', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183391, NULL, 'PTHR14657:SF2', NULL, NULL, NULL, NULL, 'IGF-LIKE FAMILY RECEPTOR 1', NULL, NULL, NULL, 15),
(183392, NULL, 'PTHR11005:SF93', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(183393, NULL, 'PTHR11985:SF32', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(183394, NULL, 'PTHR47104', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(183395, NULL, 'PTHR43605:SF7', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A SYNTHETASE ACSM3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(183396, NULL, 'PTHR10869:SF181', NULL, NULL, NULL, NULL, 'PROLYL 4-HYDROXYLASE 3-RELATED', NULL, NULL, NULL, 15),
(183397, NULL, 'PTHR26379:SF358', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183398, NULL, 'PTHR11412:SF159', NULL, NULL, NULL, NULL, 'PREGNANCY ZONE PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(183399, NULL, 'PTHR11999:SF144', NULL, NULL, NULL, NULL, 'MIP05841P', NULL, NULL, NULL, 15),
(183400, NULL, 'PTHR31389:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04378', NULL, NULL, NULL, 15),
(183401, NULL, 'PTHR33930:SF2', NULL, NULL, NULL, NULL, 'ALKYL HYDROPEROXIDE REDUCTASE AHPD', NULL, NULL, NULL, 15),
(183402, NULL, 'PTHR31342:SF16', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(183403, NULL, 'PTHR46856', NULL, NULL, NULL, NULL, 'PX DOMAIN-CONTAINING PROTEIN EREL1-RELATED', NULL, NULL, 37093, 15),
(183404, NULL, 'PTHR33122', NULL, NULL, NULL, NULL, 'LIPID BINDING PROTEIN-RELATED', NULL, NULL, 33325, 15),
(183405, NULL, 'PTHR45826:SF17', NULL, NULL, NULL, NULL, 'OS12G0580400 PROTEIN', NULL, NULL, NULL, 15),
(183406, NULL, 'PTHR14948:SF38', NULL, NULL, NULL, NULL, 'PROLINE-RICH TRANSMEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(183407, NULL, 'PTHR24023:SF961', NULL, NULL, NULL, NULL, 'SI:DKEY-21P1.3', NULL, NULL, NULL, 15),
(183408, NULL, 'PTHR10353:SF250', NULL, NULL, NULL, NULL, 'BNAA06G09700D PROTEIN', NULL, NULL, NULL, 15),
(183409, NULL, 'PTHR24300', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 508A4-RELATED', NULL, NULL, NULL, 15),
(183410, NULL, 'PTHR32097:SF3', NULL, NULL, NULL, NULL, 'TELLURITE RESISTANCE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183411, NULL, 'PTHR12335:SF4', NULL, NULL, NULL, NULL, 'TIPE HOMOLOG 1, ISOFORM B', NULL, NULL, NULL, 15),
(183412, NULL, 'PTHR31509:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183413, NULL, 'PTHR31734:SF151', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(183414, NULL, 'PTHR12231:SF235', NULL, NULL, NULL, NULL, 'DPR-INTERACTING PROTEIN GAMMA', NULL, NULL, NULL, 15),
(183415, NULL, 'PTHR31517:SF72', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183416, NULL, 'PTHR46664:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183417, NULL, 'PTHR10728:SF54', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A2', NULL, NULL, NULL, 15),
(183418, NULL, 'PTHR14363:SF36', NULL, NULL, NULL, NULL, 'OS06G0179000 PROTEIN', NULL, NULL, NULL, 15),
(183419, NULL, 'PTHR43213:SF12', NULL, NULL, NULL, NULL, 'MAF-LIKE PROTEIN', NULL, NULL, NULL, 15),
(183420, NULL, 'PTHR47993:SF143', NULL, NULL, NULL, NULL, 'OS08G0474400 PROTEIN', NULL, NULL, NULL, 15),
(183421, NULL, 'PTHR11877:SF84', NULL, NULL, NULL, NULL, 'BISDEMETHOXYCURCUMIN SYNTHASE', NULL, NULL, NULL, 15),
(183422, NULL, 'PTHR19443:SF22', NULL, NULL, NULL, NULL, 'HEXOKINASE-5', NULL, NULL, NULL, 15),
(183423, NULL, 'PTHR47094:SF5', NULL, NULL, NULL, NULL, 'OS08G0526350 PROTEIN', NULL, NULL, NULL, 15),
(183424, NULL, 'PTHR21298:SF2', NULL, NULL, NULL, NULL, 'GH01721P', NULL, NULL, NULL, 15),
(183425, NULL, 'PTHR31190:SF54', NULL, NULL, NULL, NULL, 'OSJNBA0065H10.2 PROTEIN', NULL, NULL, NULL, 15),
(183426, NULL, 'PTHR23081', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II CTD PHOSPHATASE', NULL, NULL, 35446, 15),
(183427, NULL, 'PTHR14948:SF20', NULL, NULL, NULL, NULL, 'PROLINE-RICH TRANSMEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(183428, NULL, 'PTHR24351:SF48', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE BETA-1', NULL, NULL, NULL, 15),
(183429, NULL, 'PTHR45714:SF21', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN HOX7', NULL, NULL, NULL, 15),
(183430, NULL, 'PTHR31989:SF165', NULL, NULL, NULL, NULL, 'OS06G0101800 PROTEIN', NULL, NULL, NULL, 15),
(183431, NULL, 'PTHR14950:SF51', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(183432, NULL, 'PTHR35794:SF2', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN DIVIVA', NULL, NULL, NULL, 15),
(183433, NULL, 'PTHR45648:SF118', NULL, NULL, NULL, NULL, 'SGNH HYDROLASE-TYPE ESTERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183434, NULL, 'PTHR12538:SF0', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', NULL, NULL, NULL, 15),
(183435, NULL, 'PTHR43490:SF71', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(183436, NULL, 'PTHR33874:SF2', NULL, NULL, NULL, NULL, 'MADS BOX INTERACTOR-LIKE', NULL, NULL, NULL, 15),
(183437, NULL, 'PTHR13164:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183438, NULL, 'PTHR42698', NULL, NULL, NULL, NULL, 'GTPASE ERA', NULL, NULL, 3853, 15),
(183439, NULL, 'PTHR33743:SF4', NULL, NULL, NULL, NULL, 'OS06G0179600 PROTEIN', NULL, NULL, NULL, 15),
(183440, NULL, 'PTHR16201:SF42', NULL, NULL, NULL, NULL, 'PQ LOOP REPEAT CONTAINING 2 LIKE', NULL, NULL, NULL, 15),
(183441, NULL, 'PTHR21284:SF12', NULL, NULL, NULL, NULL, 'EG:80H7.2 PROTEIN', NULL, NULL, NULL, 15),
(183442, NULL, 'PTHR21294', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN BETA-SUBUNIT', NULL, NULL, 11899, 15),
(183443, NULL, 'PTHR34222:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183444, NULL, 'PTHR43795:SF66', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(183445, NULL, 'PTHR11654:SF463', NULL, NULL, NULL, NULL, 'BNAA03G57790D PROTEIN', NULL, NULL, NULL, 15),
(183446, NULL, 'PTHR38384:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(183447, NULL, 'PTHR31373:SF23', NULL, NULL, NULL, NULL, 'EMB|CAB86628.1', NULL, NULL, NULL, 15),
(183448, NULL, 'PTHR35182:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG04719', NULL, NULL, NULL, 15),
(183449, NULL, 'PTHR48056:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183450, NULL, 'PTHR33144:SF8', NULL, NULL, NULL, NULL, 'OS02G0129000 PROTEIN', NULL, NULL, NULL, 15),
(183451, NULL, 'PTHR23160:SF9', NULL, NULL, NULL, NULL, 'OS10G0577100 PROTEIN', NULL, NULL, NULL, 15),
(183452, NULL, 'PTHR11705:SF94', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE A1', NULL, NULL, NULL, 15),
(183453, NULL, 'PTHR11636:SF115', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 3, TRANSCRIPTION FACTOR 2', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183454, NULL, 'PTHR10814:SF32', NULL, NULL, NULL, NULL, 'TLE FAMILY MEMBER 2, TRANSCRIPTIONAL COREPRESSOR B-RELATED', NULL, NULL, NULL, 15),
(183455, NULL, 'PTHR36608', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE C, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(183456, NULL, 'PTHR36313:SF1', NULL, NULL, NULL, NULL, 'ROOT MERISTEM GROWTH FACTOR 2', NULL, NULL, NULL, 15),
(183457, NULL, 'PTHR33133:SF24', NULL, NULL, NULL, NULL, 'OS01G0800300 PROTEIN', NULL, NULL, NULL, 15),
(183458, NULL, 'PTHR19359:SF86', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE', NULL, NULL, NULL, 15),
(183459, NULL, 'PTHR36012:SF2', NULL, NULL, NULL, NULL, 'OS01G0654400 PROTEIN', NULL, NULL, NULL, 15),
(183460, NULL, 'PTHR11972:SF154', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN A', NULL, NULL, NULL, 15),
(183461, NULL, 'PTHR22924:SF93', NULL, NULL, NULL, NULL, 'HEMOGLOBIN-1-RELATED', NULL, NULL, NULL, 15),
(183462, NULL, 'PTHR16134:SF41', NULL, NULL, NULL, NULL, 'OS08G0195000 PROTEIN', NULL, NULL, NULL, 15),
(183463, NULL, 'PTHR46033:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183464, NULL, 'PTHR30354:SF22', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY GLUCONATE TRANSPORTER', NULL, NULL, NULL, 15),
(183465, NULL, 'PTHR46116:SF24', NULL, NULL, NULL, NULL, 'BNAA01G28850D PROTEIN', NULL, NULL, NULL, 15),
(183466, NULL, 'PTHR24156:SF4', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 34A', NULL, NULL, NULL, 15),
(183467, NULL, 'PTHR11482:SF42', NULL, NULL, NULL, NULL, 'ORNITHINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(183468, NULL, 'PTHR24356:SF230', NULL, NULL, NULL, NULL, 'PROTEIN KINASE N3', NULL, NULL, NULL, 15),
(183469, NULL, 'PTHR34657:SF13', NULL, NULL, NULL, NULL, 'BNAA06G36350D PROTEIN', NULL, NULL, NULL, 15),
(183470, NULL, 'PTHR45646:SF14', NULL, NULL, NULL, NULL, 'KINASE AFC1', NULL, NULL, NULL, 15),
(183471, NULL, 'PTHR44218:SF9', NULL, NULL, NULL, NULL, 'SPA1-RELATED 2-RELATED', NULL, NULL, NULL, 15),
(183472, NULL, 'PTHR19282:SF470', NULL, NULL, NULL, NULL, 'TETRASPANIN-17', NULL, NULL, NULL, 15),
(183473, NULL, 'PTHR45963:SF1', NULL, NULL, NULL, NULL, 'SORTING NEXIN-3', NULL, NULL, NULL, 15),
(183474, NULL, 'PTHR22619:SF0', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 6-LIKE PROTEIN', NULL, NULL, NULL, 15),
(183475, NULL, 'PTHR15568:SF0', NULL, NULL, NULL, NULL, 'PROTEIN EVI2A', NULL, NULL, NULL, 15),
(183476, NULL, 'PTHR45631:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183477, NULL, 'PTHR43139:SF14', NULL, NULL, NULL, NULL, 'HYDROLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(183478, NULL, 'PTHR11977:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183479, NULL, 'PTHR11877:SF82', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 2', NULL, NULL, NULL, 15),
(183480, NULL, 'PTHR46125:SF20', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 25', NULL, NULL, NULL, 15),
(183481, NULL, 'PTHR22765:SF332', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE', NULL, NULL, NULL, 15),
(183482, NULL, 'PTHR23430:SF222', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(183483, NULL, 'PTHR46080:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CARRIER PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(183484, NULL, 'PTHR27009:SF259', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(183485, NULL, 'PTHR10168:SF226', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S1-LIKE', NULL, NULL, NULL, 15),
(183486, NULL, 'PTHR47928:SF51', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(183487, NULL, 'PTHR43389:SF12', NULL, NULL, NULL, NULL, 'VACUOLAR PROTON PUMP SUBUNIT B', NULL, NULL, NULL, 15),
(183488, NULL, 'PTHR23501:SF158', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G14490)-RELATED', NULL, NULL, NULL, 15),
(183489, NULL, 'PTHR35751', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183490, NULL, 'PTHR22765:SF122', NULL, NULL, NULL, NULL, 'OS10G0566400 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183491, NULL, 'PTHR22922:SF19', NULL, NULL, NULL, NULL, 'CAPRIN HOMOLOG', NULL, NULL, NULL, 15),
(183492, NULL, 'PTHR24171:SF8', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 39-RELATED', NULL, NULL, NULL, 15),
(183493, NULL, 'PTHR11477:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A N-TERMINAL AND CENTRAL DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(183494, NULL, 'PTHR24373:SF318', NULL, NULL, NULL, NULL, 'AGAP007463-PA', NULL, NULL, NULL, 15),
(183495, NULL, 'PTHR31437:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SREK1IP1', NULL, NULL, NULL, 15),
(183496, NULL, 'PTHR24161:SF85', NULL, NULL, NULL, NULL, 'LD20463P', NULL, NULL, NULL, 15),
(183497, NULL, 'PTHR33726:SF8', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(183498, NULL, 'PTHR31867:SF77', NULL, NULL, NULL, NULL, 'EXPANSIN-A28', NULL, NULL, NULL, 15),
(183499, NULL, 'PTHR47783:SF1', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(183500, NULL, 'PTHR39290', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183501, NULL, 'PTHR10288:SF297', NULL, NULL, NULL, NULL, 'BNAA09G42440D PROTEIN', NULL, NULL, NULL, 15),
(183502, NULL, 'PTHR10686', NULL, NULL, NULL, NULL, 'FOLATE TRANSPORTER', NULL, NULL, 2948, 15),
(183503, NULL, 'PTHR33059:SF84', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 15', NULL, NULL, NULL, 15),
(183504, NULL, 'PTHR31225:SF147', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 4-RELATED', NULL, NULL, NULL, 15),
(183505, NULL, 'PTHR46224:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183506, NULL, 'PTHR47778', NULL, NULL, NULL, NULL, 'BNAA05G14870D PROTEIN', NULL, NULL, NULL, 15),
(183507, NULL, 'PTHR36511', NULL, NULL, NULL, NULL, 'MERR FAMILY BACTERIAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(183508, NULL, 'PTHR22883:SF71', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC9', NULL, NULL, 26168, 15),
(183509, NULL, 'PTHR10114:SF23', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', NULL, NULL, NULL, 15),
(183510, NULL, 'PTHR24107:SF20', NULL, NULL, NULL, NULL, 'FI16513P1-RELATED', NULL, NULL, NULL, 15),
(183511, NULL, 'PTHR12482:SF45', NULL, NULL, NULL, NULL, 'LIPASE YOR059C-RELATED', NULL, NULL, NULL, 15),
(183512, NULL, 'PTHR10676:SF358', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 1, AXONEMAL', NULL, NULL, 24261, 15),
(183513, NULL, 'PTHR47790', NULL, NULL, NULL, NULL, 'TRNA/TMRNA (URACIL-C(5))-METHYLTRANSFERASE', NULL, NULL, 14122, 15),
(183514, NULL, 'PTHR31232:SF88', NULL, NULL, NULL, NULL, 'BNAANNG12270D PROTEIN', NULL, NULL, NULL, 15),
(183515, NULL, 'PTHR22773', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE', NULL, NULL, NULL, 15),
(183516, NULL, 'PTHR11863:SF160', NULL, NULL, NULL, NULL, 'DELTA(7)-STEROL-C5(6)-DESATURASE', NULL, NULL, NULL, 15),
(183517, NULL, 'PTHR18968:SF165', NULL, NULL, NULL, NULL, 'BNAA06G33000D PROTEIN', NULL, NULL, NULL, 15),
(183518, NULL, 'PTHR16039', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 2', NULL, NULL, 22085, 15),
(183519, NULL, 'PTHR47042', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(183520, NULL, 'PTHR31375:SF228', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183521, NULL, 'PTHR35530:SF1', NULL, NULL, NULL, NULL, '2-HYDROXYMUCONATE TAUTOMERASE', NULL, NULL, NULL, 15),
(183522, NULL, 'PTHR24007:SF10', NULL, NULL, NULL, NULL, 'BRAP2 RING ZNF UBP DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 30355, 15),
(183523, NULL, 'PTHR10353:SF167', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183524, NULL, 'PTHR46000:SF11', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(183525, NULL, 'PTHR39150', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L28, MITOCHONDRIAL', NULL, NULL, 37790, 15),
(183526, NULL, 'PTHR31280:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183527, NULL, 'PTHR22981:SF7', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRATE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183528, NULL, 'PTHR46215:SF16', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 10', NULL, NULL, NULL, 15),
(183529, NULL, 'PTHR48245', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183530, NULL, 'PTHR11722:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13-1-RELATED', NULL, NULL, NULL, 15),
(183531, NULL, 'PTHR23339:SF94', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(183532, NULL, 'PTHR10730:SF7', NULL, NULL, NULL, NULL, 'MULTIFUNCTIONAL PROCOLLAGEN LYSINE HYDROXYLASE AND GLYCOSYLTRANSFERASE LH3', NULL, NULL, NULL, 15),
(183533, NULL, 'PTHR16056:SF20', NULL, NULL, NULL, NULL, 'REGULATOR OF MICROTUBULE DYNAMICS-RELATED', NULL, NULL, NULL, 15),
(183534, NULL, 'PTHR22812:SF134', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 3', NULL, NULL, NULL, 15),
(183535, NULL, 'PTHR36886:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183536, NULL, 'PTHR47969', NULL, NULL, NULL, NULL, 'CHROMOSOME-ASSOCIATED KINESIN KIF4A-RELATED', NULL, NULL, NULL, 15),
(183537, NULL, 'PTHR22996:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183538, NULL, 'PTHR22943:SF77', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(183539, NULL, 'PTHR24255:SF27', NULL, NULL, NULL, NULL, 'HAPTOGLOBIN-RELATED', NULL, NULL, 8858, 15),
(183540, NULL, 'PTHR45964:SF4', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(183541, NULL, 'PTHR31040:SF1', NULL, NULL, NULL, NULL, 'NURIM', NULL, NULL, NULL, 15),
(183542, NULL, 'PTHR45638', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED CATION CHANNEL SUBUNIT A', NULL, NULL, NULL, 15),
(183543, NULL, 'PTHR12110:SF47', NULL, NULL, NULL, NULL, 'XYLOSE ISOMERASE DOMAIN PROTEIN TIM BARREL', NULL, NULL, NULL, 15),
(183544, NULL, 'PTHR47188', NULL, NULL, NULL, NULL, 'PROTEIN TAR1', NULL, NULL, 39118, 15),
(183545, NULL, 'PTHR44328:SF7', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE TAU', NULL, NULL, NULL, 15),
(183546, NULL, 'PTHR31194:SF94', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED GENES TRANSCRIPTIONAL ACTIVATOR PTI6-LIKE', NULL, NULL, NULL, 15),
(183547, NULL, 'PTHR24119:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183548, NULL, 'PTHR31529:SF26', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 17-RELATED', NULL, NULL, NULL, 15),
(183549, NULL, 'PTHR33471:SF4', NULL, NULL, NULL, NULL, 'T22H22.11 PROTEIN', NULL, NULL, NULL, 15),
(183550, NULL, 'PTHR32423', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183551, NULL, 'PTHR10751:SF107', NULL, NULL, NULL, NULL, 'GUANYLATE-BINDING FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183552, NULL, 'PTHR14931:SF2', NULL, NULL, NULL, NULL, 'GENE 340-RELATED', NULL, NULL, NULL, 15),
(183553, NULL, 'PTHR46050:SF18', NULL, NULL, NULL, NULL, 'INACTIVE TPR REPEAT THIOREDOXIN TTL3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(183554, NULL, 'PTHR43939', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183555, NULL, 'PTHR11048:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183556, NULL, 'PTHR21230:SF77', NULL, NULL, NULL, NULL, 'QA-SNARE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183557, NULL, 'PTHR11849:SF10', NULL, NULL, NULL, NULL, 'ETS-RELATED TRANSCRIPTION FACTOR ELF-2', NULL, NULL, NULL, 15),
(183558, NULL, 'PTHR47641:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183559, NULL, 'PTHR13287:SF2', NULL, NULL, NULL, NULL, 'UPF0687 PROTEIN C20ORF27 HOMOLOG', NULL, NULL, NULL, 15),
(183560, NULL, 'PTHR34359', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 10', NULL, NULL, 29207, 15),
(183561, NULL, 'PTHR11654:SF442', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183562, NULL, 'PTHR24416', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR', NULL, NULL, NULL, 15),
(183563, NULL, 'PTHR43895:SF119', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 25-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183564, NULL, 'PTHR45621:SF146', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RIPK-LIKE', NULL, NULL, NULL, 15),
(183565, NULL, 'PTHR33286:SF20', NULL, NULL, NULL, NULL, 'LIPID BINDING PROTEIN', NULL, NULL, NULL, 15),
(183566, NULL, 'PTHR47942:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183567, NULL, 'PTHR11206:SF78', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 18', NULL, NULL, NULL, 15),
(183568, NULL, 'PTHR27001:SF880', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RKF3-RELATED', NULL, NULL, NULL, 15),
(183569, NULL, 'PTHR45987:SF18', NULL, NULL, NULL, NULL, 'BNAA09G02160D PROTEIN', NULL, NULL, NULL, 15),
(183570, NULL, 'PTHR32133:SF342', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(183571, NULL, 'PTHR46991:SF28', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONE-RELATED', NULL, NULL, NULL, 15),
(183572, NULL, 'PTHR24346:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183573, NULL, 'PTHR43671:SF64', NULL, NULL, NULL, NULL, 'PROTEIN KINASE', NULL, NULL, NULL, 15),
(183574, NULL, 'PTHR21564:SF5', NULL, NULL, NULL, NULL, 'SCRIBBLER, ISOFORM J', NULL, NULL, NULL, 15),
(183575, NULL, 'PTHR48075', NULL, NULL, NULL, NULL, '3-HYDROXYACYL-COA DEHYDROGENASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(183576, NULL, 'PTHR19282:SF257', NULL, NULL, NULL, NULL, 'TETRASPANIN-7', NULL, NULL, NULL, 15),
(183577, NULL, 'PTHR12419:SF73', NULL, NULL, NULL, NULL, 'BNAA04G15810D PROTEIN', NULL, NULL, NULL, 15),
(183578, NULL, 'PTHR12357:SF107', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CARBOXY-TERMINAL REGION PROTEIN', NULL, NULL, NULL, 15),
(183579, NULL, 'PTHR20875:SF0', NULL, NULL, NULL, NULL, 'GH12158P', NULL, NULL, NULL, 15),
(183580, NULL, 'PTHR11627:SF49', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(183581, NULL, 'PTHR19422:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183582, NULL, 'PTHR22912:SF204', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', NULL, NULL, NULL, 15),
(183583, NULL, 'PTHR31339:SF69', NULL, NULL, NULL, NULL, 'BNAA09G39410D PROTEIN', NULL, NULL, NULL, 15),
(183584, NULL, 'PTHR23235:SF29', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SP5', NULL, NULL, NULL, 15),
(183585, NULL, 'PTHR22950:SF332', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(183586, NULL, 'PTHR23017:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(183587, NULL, 'PTHR11724', NULL, NULL, NULL, NULL, 'LEPTIN', NULL, NULL, 3815, 15),
(183588, NULL, 'PTHR10906:SF2', NULL, NULL, NULL, NULL, 'PREPROTEIN TRANSLOCASE SUBUNIT SCY2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(183589, NULL, 'PTHR26451:SF920', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(183590, NULL, 'PTHR21477:SF13', NULL, NULL, NULL, NULL, 'ZGC:172139', NULL, NULL, NULL, 15),
(183591, NULL, 'PTHR43478:SF3', NULL, NULL, NULL, NULL, 'LYSINE TRANSPORTER LYSW', NULL, NULL, NULL, 15),
(183592, NULL, 'PTHR13683:SF762', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1', NULL, NULL, NULL, 15),
(183593, NULL, 'PTHR16246', NULL, NULL, NULL, NULL, 'HOST CELL FACTOR C1 REGULATOR 1', NULL, NULL, 21818, 15),
(183594, NULL, 'PTHR22968:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D1', NULL, NULL, NULL, 15),
(183595, NULL, 'PTHR10502:SF223', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(183596, NULL, 'PTHR33048:SF139', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN (AFU_ORTHOLOGUE AFUA_5G00840)', NULL, NULL, NULL, 15),
(183597, NULL, 'PTHR31692:SF102', NULL, NULL, NULL, NULL, 'GROUP 3 POLLEN ALLERGEN', NULL, NULL, NULL, 15),
(183598, NULL, 'PTHR31099', NULL, NULL, NULL, NULL, 'OS06G0165300 PROTEIN', NULL, NULL, NULL, 15),
(183599, NULL, 'PTHR48048:SF13', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(183600, NULL, 'PTHR16151:SF5', NULL, NULL, NULL, NULL, 'BNAC06G13180D PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183601, NULL, 'PTHR34683:SF3', NULL, NULL, NULL, NULL, 'BNAUNNG00100D PROTEIN', NULL, NULL, NULL, 15),
(183602, NULL, 'PTHR31471:SF40', NULL, NULL, NULL, NULL, 'OS08G0471800 PROTEIN', NULL, NULL, NULL, 15),
(183603, NULL, 'PTHR11049:SF16', NULL, NULL, NULL, NULL, 'PROTEIN VDLD', NULL, NULL, NULL, 15),
(183604, NULL, 'PTHR47993:SF102', NULL, NULL, NULL, NULL, 'BNAC02G42790D PROTEIN', NULL, NULL, NULL, 15),
(183605, NULL, 'PTHR45974:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183606, NULL, 'PTHR45699:SF15', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', NULL, NULL, NULL, 15),
(183607, NULL, 'PTHR28141:SF2', NULL, NULL, NULL, NULL, 'RNA LIGASE/CYCLIC NUCLEOTIDE PHOSPHODIESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(183608, NULL, 'PTHR13947:SF47', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(183609, NULL, 'PTHR22298:SF145', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(183610, NULL, 'PTHR24072:SF110', NULL, NULL, NULL, NULL, 'RHO GTPASE', NULL, NULL, NULL, 15),
(183611, NULL, 'PTHR45658:SF76', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(183612, NULL, 'PTHR15710:SF97', NULL, NULL, NULL, NULL, 'BNAC04G05710D PROTEIN', NULL, NULL, NULL, 15),
(183613, NULL, 'PTHR19432:SF78', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORTER 3-RELATED', NULL, NULL, NULL, 15),
(183614, NULL, 'PTHR11635', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE REGULATORY CHAIN', NULL, NULL, NULL, 15),
(183615, NULL, 'PTHR14952:SF14', NULL, NULL, NULL, NULL, 'ROPPORIN-1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(183616, NULL, 'PTHR22948:SF60', NULL, NULL, NULL, NULL, 'FI02030P', NULL, NULL, NULL, 15),
(183617, NULL, 'PTHR31065:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183618, NULL, 'PTHR24559:SF344', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN, VIRAL MOVEMENT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183619, NULL, 'PTHR13140:SF733', NULL, NULL, NULL, NULL, 'MYOSIN-G HEAVY CHAIN', NULL, NULL, NULL, 15),
(183620, NULL, 'PTHR11863:SF176', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 3-LIKE', NULL, NULL, NULL, 15),
(183621, NULL, 'PTHR31425:SF17', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLANTHRANILATE TRANSFERASE', NULL, NULL, NULL, 15),
(183622, NULL, 'PTHR22878:SF61', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 10', NULL, NULL, NULL, 15),
(183623, NULL, 'PTHR46935:SF1', NULL, NULL, NULL, NULL, 'OS01G0674700 PROTEIN', NULL, NULL, NULL, 15),
(183624, NULL, 'PTHR12321', NULL, NULL, NULL, NULL, 'CPG BINDING PROTEIN', NULL, NULL, 37040, 15),
(183625, NULL, 'PTHR22950:SF258', NULL, NULL, NULL, NULL, 'PROTON-COUPLED AMINO ACID TRANSPORTER 3', NULL, NULL, NULL, 15),
(183626, NULL, 'PTHR33337:SF40', NULL, NULL, NULL, NULL, 'DUF636 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G14300)', NULL, NULL, NULL, 15),
(183627, NULL, 'PTHR31268:SF34', NULL, NULL, NULL, NULL, 'GALACTINOL--SUCROSE GALACTOSYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(183628, NULL, 'PTHR11255:SF37', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE ETA', NULL, NULL, NULL, 15),
(183629, NULL, 'PTHR48090:SF5', NULL, NULL, NULL, NULL, 'DOLICHOL-PHOSPHATE MANNOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(183630, NULL, 'PTHR32141:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183631, NULL, 'PTHR24078:SF553', NULL, NULL, NULL, NULL, 'DNAJ PROTEIN ERDJ3A', NULL, NULL, NULL, 15),
(183632, NULL, 'PTHR31985:SF214', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF015', NULL, NULL, NULL, 15),
(183633, NULL, 'PTHR22746', NULL, NULL, NULL, NULL, 'RAB6A-GEF COMPLEX PARTNER PROTEIN 1', NULL, NULL, 34340, 15),
(183634, NULL, 'PTHR45959:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH18-LIKE', NULL, NULL, NULL, 15),
(183635, NULL, 'PTHR38136:SF2', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN', NULL, NULL, NULL, 15),
(183636, NULL, 'PTHR10783:SF122', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(183637, NULL, 'PTHR22765:SF321', NULL, NULL, NULL, NULL, 'RECEPTOR HOMOLOGY REGION, TRANSMEMBRANE DOMAIN- AND RING DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183638, NULL, 'PTHR32285:SF19', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 6', NULL, NULL, 26556, 15),
(183639, NULL, 'PTHR45811:SF55', NULL, NULL, NULL, NULL, 'BNAA02G10710D PROTEIN', NULL, NULL, NULL, 15),
(183640, NULL, 'PTHR42926:SF1', NULL, NULL, NULL, NULL, 'BLR2177 PROTEIN', NULL, NULL, NULL, 15),
(183641, NULL, 'PTHR37787:SF1', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT KXD1', NULL, NULL, NULL, 15),
(183642, NULL, 'PTHR22807:SF4', NULL, NULL, NULL, NULL, '28S RRNA (CYTOSINE-C(5))-METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(183643, NULL, 'PTHR10666:SF268', NULL, NULL, NULL, NULL, 'UBIQUITIN-60S RIBOSOMAL PROTEIN L40', NULL, NULL, NULL, 15),
(183644, NULL, 'PTHR45624:SF30', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ARGININE TRANSPORTER BAC2-LIKE', NULL, NULL, NULL, 15),
(183645, NULL, 'PTHR21646:SF62', NULL, NULL, NULL, NULL, 'CLAN CA, FAMILY C19, UBIQUITIN HYDROLASE-LIKE CYSTEINE PEPTIDASE', NULL, NULL, NULL, 15),
(183646, NULL, 'PTHR40422:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION MACHINERY-ASSOCIATED PROTEIN 17', NULL, NULL, NULL, 15),
(183647, NULL, 'PTHR13832:SF741', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE FEM-2', NULL, NULL, NULL, 15),
(183648, NULL, 'PTHR15251', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC BASIC PROTEIN Y 1-RELATED', NULL, NULL, NULL, 15),
(183649, NULL, 'PTHR14112:SF27', NULL, NULL, NULL, NULL, 'PROTEIN SSX8-RELATED', NULL, NULL, NULL, 15),
(183650, NULL, 'PTHR10963', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(183651, NULL, 'PTHR47998:SF7', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(183652, NULL, 'PTHR36080:SF1', NULL, NULL, NULL, NULL, 'DBJ|BAA96220.1', NULL, NULL, NULL, 15),
(183653, NULL, 'PTHR23226:SF259', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 445', NULL, NULL, NULL, 15),
(183654, NULL, 'PTHR34360:SF12', NULL, NULL, NULL, NULL, 'BNAA03G51420D PROTEIN', NULL, NULL, NULL, 15),
(183655, NULL, 'PTHR32219:SF14', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(183656, NULL, 'PTHR21198:SF3', NULL, NULL, NULL, NULL, 'GLUTAMATE RACEMASE', NULL, NULL, NULL, 15),
(183657, NULL, 'PTHR10026:SF62', NULL, NULL, NULL, NULL, 'PROTEIN TEX24', NULL, NULL, NULL, 15),
(183658, NULL, 'PTHR16431:SF1', NULL, NULL, NULL, NULL, 'NEUROGENIC PROTEIN MASTERMIND', NULL, NULL, NULL, 15),
(183659, NULL, 'PTHR30146:SF126', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR LACI FAMILY', NULL, NULL, NULL, 15),
(183660, NULL, 'PTHR30480:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183661, NULL, 'PTHR33167:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183662, NULL, 'PTHR24377:SF884', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 572', NULL, NULL, NULL, 15),
(183663, NULL, 'PTHR47956:SF63', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(183664, NULL, 'PTHR13832:SF748', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE, MG2+/MN2+-DEPENDENT, 1LB', NULL, NULL, NULL, 15),
(183665, NULL, 'PTHR12483:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183666, NULL, 'PTHR34997:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183667, NULL, 'PTHR10766:SF142', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(183668, NULL, 'PTHR32278:SF74', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B15', NULL, NULL, NULL, 15),
(183669, NULL, 'PTHR22883:SF344', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(183670, NULL, 'PTHR45006', NULL, NULL, NULL, NULL, 'DNAJ-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(183671, NULL, 'PTHR43391:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183672, NULL, 'PTHR24031:SF731', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE', NULL, NULL, NULL, 15),
(183673, NULL, 'PTHR13453:SF1', NULL, NULL, NULL, NULL, 'KAT8 REGULATORY NSL COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183674, NULL, 'PTHR16675:SF164', NULL, NULL, NULL, NULL, 'HLA CLASS I HISTOCOMPATIBILITY ANTIGEN, ALPHA CHAIN E', NULL, NULL, NULL, 15),
(183675, NULL, 'PTHR43840:SF38', NULL, NULL, NULL, NULL, 'CATION EFFLUX FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183676, NULL, 'PTHR10676:SF339', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 6, AXONEMAL', NULL, NULL, NULL, 15),
(183677, NULL, 'PTHR33334', NULL, NULL, NULL, NULL, 'PROTEIN LNK1', NULL, NULL, 29729, 15),
(183678, NULL, 'PTHR13929', NULL, NULL, NULL, NULL, '1,4-DIHYDROXY-2-NAPHTHOATE OCTAPRENYLTRANSFERASE', NULL, NULL, 21964, 15),
(183679, NULL, 'PTHR23182:SF1', NULL, NULL, NULL, NULL, 'RHO GTPASE ACTIVATING PROTEIN AT 1A, ISOFORM E', NULL, NULL, NULL, 15),
(183680, NULL, 'PTHR22740:SF3', NULL, NULL, NULL, NULL, 'PROTEIN KRBA1', NULL, NULL, NULL, 15),
(183681, NULL, 'PTHR34365', NULL, NULL, NULL, NULL, 'ENOLASE (DUF1399)', NULL, NULL, 13923, 15),
(183682, NULL, 'PTHR11592:SF5', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE 7', NULL, NULL, NULL, 15),
(183683, NULL, 'PTHR48012:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE DST2', NULL, NULL, NULL, 15),
(183684, NULL, 'PTHR43280:SF12', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CHBR', NULL, NULL, NULL, 15),
(183685, NULL, 'PTHR47976:SF19', NULL, NULL, NULL, NULL, 'OS01G0223800 PROTEIN', NULL, NULL, NULL, 15),
(183686, NULL, 'PTHR37371:SF5', NULL, NULL, NULL, NULL, 'OS07G0452600 PROTEIN', NULL, NULL, NULL, 15),
(183687, NULL, 'PTHR24343:SF345', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC SERINE/THREONINE-PROTEIN KINASE 4', NULL, NULL, NULL, 15),
(183688, NULL, 'PTHR45842', NULL, NULL, NULL, NULL, 'SYNAPTIC ADHESION-LIKE MOLECULE SALM', NULL, NULL, NULL, 15),
(183689, NULL, 'PTHR16021:SF9', NULL, NULL, NULL, NULL, 'CHROMOSOME 11 OPEN READING FRAME 24', NULL, NULL, NULL, 15),
(183690, NULL, 'PTHR21348', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 20685, 15),
(183691, NULL, 'PTHR46539:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183692, NULL, 'PTHR33085:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183693, NULL, 'PTHR12949', NULL, NULL, NULL, NULL, 'RNA POLYMERASE III  DNA DIRECTED -RELATED', NULL, NULL, 33714, 15),
(183694, NULL, 'PTHR46013:SF1', NULL, NULL, NULL, NULL, 'VASCULAR CELL ADHESION MOLECULE 1B', NULL, NULL, NULL, 15),
(183695, NULL, 'PTHR40386', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 26', NULL, NULL, 33206, 15),
(183696, NULL, 'PTHR15902:SF2', NULL, NULL, NULL, NULL, 'NEURITIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(183697, NULL, 'PTHR45899:SF3', NULL, NULL, NULL, NULL, 'ARF-GAP WITH RHO-GAP DOMAIN, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(183698, NULL, 'PTHR46257:SF3', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE CORKSCREW', NULL, NULL, NULL, 15),
(183699, NULL, 'PTHR11042:SF75', NULL, NULL, NULL, NULL, 'WEE1-LIKE PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(183700, NULL, 'PTHR33070:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183701, NULL, 'PTHR23267:SF217', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN KAPPA VARIABLE 6-21-RELATED', NULL, NULL, NULL, 15),
(183702, NULL, 'PTHR45855:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', NULL, NULL, NULL, 15),
(183703, NULL, 'PTHR37391:SF8', NULL, NULL, NULL, NULL, 'OS03G0251425 PROTEIN', NULL, NULL, NULL, 15),
(183704, NULL, 'PTHR23192:SF32', NULL, NULL, NULL, NULL, 'OLFACTOMEDIN 5', NULL, NULL, NULL, 15),
(183705, NULL, 'PTHR33920:SF3', NULL, NULL, NULL, NULL, 'THIONIN-2.1-RELATED', NULL, NULL, NULL, 15),
(183706, NULL, 'PTHR11176:SF38', NULL, NULL, NULL, NULL, 'GENE 17190-RELATED', NULL, NULL, NULL, 15),
(183707, NULL, 'PTHR24343:SF433', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(183708, NULL, 'PTHR11552:SF158', NULL, NULL, NULL, NULL, 'GH23626P', NULL, NULL, NULL, 15),
(183709, NULL, 'PTHR31677:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183710, NULL, 'PTHR33148:SF48', NULL, NULL, NULL, NULL, 'DUF4228 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(183711, NULL, 'PTHR32258:SF34', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 3A-LIKE', NULL, NULL, NULL, 15),
(183712, NULL, 'PTHR23160:SF23', NULL, NULL, NULL, NULL, 'BNAANNG15270D PROTEIN', NULL, NULL, NULL, 15),
(183713, NULL, 'PTHR24343:SF108', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE KIN1-RELATED', NULL, NULL, NULL, 15),
(183714, NULL, 'PTHR39153', NULL, NULL, NULL, NULL, 'AGR244WP', NULL, NULL, 34936, 15),
(183715, NULL, 'PTHR24637:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183716, NULL, 'PTHR31907:SF57', NULL, NULL, NULL, NULL, 'BNAA08G20220D PROTEIN', NULL, NULL, NULL, 15),
(183717, NULL, 'PTHR32141:SF78', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(183718, NULL, 'PTHR22420:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FAM81A', NULL, NULL, NULL, 15),
(183719, NULL, 'PTHR33434:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DEGV', NULL, NULL, NULL, 15),
(183720, NULL, 'PTHR45657:SF7', NULL, NULL, NULL, NULL, 'OS01G0701900 PROTEIN', NULL, NULL, NULL, 15),
(183721, NULL, 'PTHR27005:SF329', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(183722, NULL, 'PTHR15160:SF1', NULL, NULL, NULL, NULL, 'VON HIPPEL-LINDAU DISEASE TUMOR SUPPRESSOR-RELATED', NULL, NULL, NULL, 15),
(183723, NULL, 'PTHR31790:SF287', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183724, NULL, 'PTHR24220:SF666', NULL, NULL, NULL, NULL, 'HEMIN IMPORT ATP-BINDING PROTEIN HRTA-RELATED', NULL, NULL, NULL, 15),
(183725, NULL, 'PTHR22667:SF0', NULL, NULL, NULL, NULL, 'AT01380P-RELATED', NULL, NULL, NULL, 15),
(183726, NULL, 'PTHR11537:SF121', NULL, NULL, NULL, NULL, 'PROTEIN CBG09661', NULL, NULL, NULL, 15),
(183727, NULL, 'PTHR23336:SF52', NULL, NULL, NULL, NULL, 'PROTEIN MICRORCHIDIA 5', NULL, NULL, NULL, 15),
(183728, NULL, 'PTHR24177:SF168', NULL, NULL, NULL, NULL, 'OS09G0334900 PROTEIN', NULL, NULL, NULL, 15),
(183729, NULL, 'PTHR38074:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183730, NULL, 'PTHR37819:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PSIE', NULL, NULL, NULL, 15),
(183731, NULL, 'PTHR30238', NULL, NULL, NULL, NULL, 'MEMBRANE BOUND PREDICTED REDOX MODULATOR', NULL, NULL, NULL, 15),
(183732, NULL, 'PTHR24270:SF28', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN', NULL, NULL, NULL, 15),
(183733, NULL, 'PTHR20968:SF4', NULL, NULL, NULL, NULL, 'RELAXIN 1', NULL, NULL, NULL, 15),
(183734, NULL, 'PTHR46505:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE NAD-BINDING DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(183735, NULL, 'PTHR19846', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(183736, NULL, 'PTHR11736:SF146', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 11', NULL, NULL, 22370, 15),
(183737, NULL, 'PTHR46102:SF3', NULL, NULL, NULL, NULL, 'AXIN-1', NULL, NULL, 5465, 15),
(183738, NULL, 'PTHR13703:SF42', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 2', NULL, NULL, NULL, 15),
(183739, NULL, 'PTHR22647:SF3', NULL, NULL, NULL, NULL, 'SH3 DOMAIN AND TETRATRICOPEPTIDE REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(183740, NULL, 'PTHR24115:SF795', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN NOD-RELATED', NULL, NULL, NULL, 15),
(183741, NULL, 'PTHR14043:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CUT', NULL, NULL, NULL, 15),
(183742, NULL, 'PTHR10334:SF441', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183743, NULL, 'PTHR23248:SF4', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID SCRAMBLASE', NULL, NULL, NULL, 15),
(183744, NULL, 'PTHR48022:SF10', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER 4', NULL, NULL, NULL, 15),
(183745, NULL, 'PTHR10250:SF23', NULL, NULL, NULL, NULL, 'BNAC02G45560D PROTEIN', NULL, NULL, NULL, 15),
(183746, NULL, 'PTHR32024:SF1', NULL, NULL, NULL, NULL, 'KTR SYSTEM POTASSIUM UPTAKE PROTEIN B', NULL, NULL, NULL, 15),
(183747, NULL, 'PTHR22625:SF61', NULL, NULL, NULL, NULL, 'HEPATOCYTE GROWTH FACTOR RECEPTOR', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183748, NULL, 'PTHR32002:SF47', NULL, NULL, NULL, NULL, 'PROTEIN NLP9', NULL, NULL, NULL, 15),
(183749, NULL, 'PTHR15241:SF295', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183750, NULL, 'PTHR11937:SF150', NULL, NULL, NULL, NULL, 'ACTIN, EPSILON 1', NULL, NULL, NULL, 15),
(183751, NULL, 'PTHR48240:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183752, NULL, 'PTHR48005:SF27', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE/TYROSINE-PROTEIN KINASE SOBIR1', NULL, NULL, NULL, 15),
(183753, NULL, 'PTHR10900:SF82', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR-BETA-INDUCED PROTEIN IG-H3', NULL, NULL, 27213, 15),
(183754, NULL, 'PTHR36009', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183755, NULL, 'PTHR10219:SF71', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE IV ALPHA-3-BINDING PROTEIN', NULL, NULL, NULL, 15),
(183756, NULL, 'PTHR31213:SF87', NULL, NULL, NULL, NULL, 'NODULIN-13', NULL, NULL, NULL, 15),
(183757, NULL, 'PTHR31087:SF50', NULL, NULL, NULL, NULL, 'LURP-ONE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(183758, NULL, 'PTHR24286:SF284', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(183759, NULL, 'PTHR38633:SF6', NULL, NULL, NULL, NULL, 'UTERINE LUMIN EXPRESSED/LOCAILIZED', NULL, NULL, NULL, 15),
(183760, NULL, 'PTHR36051', NULL, NULL, NULL, NULL, 'DYNAMIN', NULL, NULL, NULL, 15),
(183761, NULL, 'PTHR47926:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183762, NULL, 'PTHR24376:SF189', NULL, NULL, NULL, NULL, 'NOVEL KRAB BOX AND ZINC FINGER, C2H2 TYPE DOMAIN CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183763, NULL, 'PTHR11566:SF78', NULL, NULL, NULL, NULL, 'DYNAMIN-LIKE PROTEIN ARC5', NULL, NULL, NULL, 15),
(183764, NULL, 'PTHR47956:SF40', NULL, NULL, NULL, NULL, 'OS02G0186900 PROTEIN', NULL, NULL, NULL, 15),
(183765, NULL, 'PTHR19957:SF326', NULL, NULL, NULL, NULL, 'OS02G0209900 PROTEIN', NULL, NULL, NULL, 15),
(183766, NULL, 'PTHR24027:SF300', NULL, NULL, NULL, NULL, 'CADHERIN-15', NULL, NULL, NULL, 15),
(183767, NULL, 'PTHR32138:SF0', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(183768, NULL, 'PTHR43792:SF5', NULL, NULL, NULL, NULL, 'RIBOSOMAL-PROTEIN-SERINE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(183769, NULL, 'PTHR32009:SF83', NULL, NULL, NULL, NULL, 'TOLL-INTERLEUKIN-RESISTANCE (TIR) DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(183770, NULL, 'PTHR11544', NULL, NULL, NULL, NULL, 'COLD SHOCK DOMAIN CONTAINING PROTEINS', NULL, NULL, NULL, 15),
(183771, NULL, 'PTHR35758:SF1', NULL, NULL, NULL, NULL, 'SERINE RICH PROTEIN', NULL, NULL, NULL, 15),
(183772, NULL, 'PTHR22999:SF32', NULL, NULL, NULL, NULL, 'SORTING NEXIN CARBOXY-TERMINAL PROTEIN', NULL, NULL, NULL, 15),
(183773, NULL, 'PTHR42840:SF5', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(183774, NULL, 'PTHR16138:SF7', NULL, NULL, NULL, NULL, 'MYCOPHENOLIC ACID ACYL-GLUCURONIDE ESTERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(183775, NULL, 'PTHR12967:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183776, NULL, 'PTHR47990:SF38', NULL, NULL, NULL, NULL, 'BNAA09G45790D PROTEIN', NULL, NULL, NULL, 15),
(183777, NULL, 'PTHR31263:SF53', NULL, NULL, NULL, NULL, 'BNAC03G56880D PROTEIN', NULL, NULL, NULL, 15),
(183778, NULL, 'PTHR24209:SF25', NULL, NULL, NULL, NULL, 'PROTEIN DA1-RELATED 1', NULL, NULL, NULL, 15),
(183779, NULL, 'PTHR10083:SF328', NULL, NULL, NULL, NULL, 'TISSUE FACTOR PATHWAY INHIBITOR', NULL, NULL, NULL, 15),
(183780, NULL, 'PTHR19432:SF26', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(183781, NULL, 'PTHR31865:SF30', NULL, NULL, NULL, NULL, 'FOLD PROTEIN', NULL, NULL, NULL, 15),
(183782, NULL, 'PTHR31235:SF240', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(183783, NULL, 'PTHR24281:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183784, NULL, 'PTHR22607', NULL, NULL, NULL, NULL, 'DELETED IN ORAL CANCER 1/CDK2-ASSOCIATED PROTEIN 1', NULL, NULL, 16281, 15),
(183785, NULL, 'PTHR47934:SF13', NULL, NULL, NULL, NULL, 'OS06G0125300 PROTEIN', NULL, NULL, NULL, 15),
(183786, NULL, 'PTHR11584:SF363', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 15', NULL, NULL, NULL, 15),
(183787, NULL, 'PTHR11474:SF73', NULL, NULL, NULL, NULL, 'TYROSINASE-LIKE PROTEIN TYR-1-RELATED', NULL, NULL, NULL, 15),
(183788, NULL, 'PTHR10845:SF175', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 20', NULL, NULL, NULL, 15),
(183789, NULL, 'PTHR11255:SF83', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE', NULL, NULL, NULL, 15),
(183790, NULL, 'PTHR45670:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIP12', NULL, NULL, NULL, 15),
(183791, NULL, 'PTHR11945:SF577', NULL, NULL, NULL, NULL, 'BNAC06G02000D PROTEIN', NULL, NULL, NULL, 15),
(183792, NULL, 'PTHR46473', NULL, NULL, NULL, NULL, 'GH08155P', NULL, NULL, NULL, 15),
(183793, NULL, 'PTHR27006:SF196', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', NULL, NULL, NULL, 15),
(183794, NULL, 'PTHR12039:SF16', NULL, NULL, NULL, NULL, 'NICOTINAMIDE/NICOTINIC ACID MONONUCLEOTIDE ADENYLYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(183795, NULL, 'PTHR43895:SF21', NULL, NULL, NULL, NULL, 'CBL-INTERACTING PROTEIN KINASE 28', NULL, NULL, NULL, 15),
(183796, NULL, 'PTHR11839:SF1', NULL, NULL, NULL, NULL, 'ADP-SUGAR PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(183797, NULL, 'PTHR12542:SF94', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(183798, NULL, 'PTHR45980:SF7', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 11, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(183799, NULL, 'PTHR33870:SF14', NULL, NULL, NULL, NULL, 'ULP1 PROTEASE FAMILY C-TERMINAL CATALYTIC DOMAIN CONTAINING PROTEIN EXPRESSED', NULL, NULL, NULL, 15),
(183800, NULL, 'PTHR11668:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04124', NULL, NULL, NULL, 15),
(183801, NULL, 'PTHR10797:SF10', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 11-RELATED', NULL, NULL, NULL, 15),
(183802, NULL, 'PTHR10676:SF183', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN 2, AXONEMAL', NULL, NULL, NULL, 15),
(183803, NULL, 'PTHR12040:SF15', NULL, NULL, NULL, NULL, 'PROTEIN ASF 1 LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(183804, NULL, 'PTHR13832:SF745', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE DDB_G0282105-RELATED', NULL, NULL, NULL, 15),
(183805, NULL, 'PTHR24346', NULL, NULL, NULL, NULL, 'MAP/MICROTUBULE AFFINITY-REGULATING KINASE', NULL, NULL, NULL, 15),
(183806, NULL, 'PTHR35105:SF6', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-DIPHOSPHO-SUGAR TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(183807, NULL, 'PTHR11040:SF26', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 6, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(183808, NULL, 'PTHR13229:SF11', NULL, NULL, NULL, NULL, 'PROTEIN KISH', NULL, NULL, NULL, 15),
(183809, NULL, 'PTHR23050:SF383', NULL, NULL, NULL, NULL, 'CALMODULIN-2', NULL, NULL, NULL, 15),
(183810, NULL, 'PTHR31719:SF166', NULL, NULL, NULL, NULL, 'BNAC02G00990D PROTEIN', NULL, NULL, NULL, 15),
(183811, NULL, 'PTHR10933', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-BINDING PROTEIN 1', NULL, NULL, 4820, 15),
(183812, NULL, 'PTHR28659:SF3', NULL, NULL, NULL, NULL, 'RETICULOPHAGY REGULATOR 1', NULL, NULL, 33736, 15),
(183813, NULL, 'PTHR24343:SF472', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SRK2E-LIKE', NULL, NULL, NULL, 15),
(183814, NULL, 'PTHR38431', NULL, NULL, NULL, NULL, 'BLL2305 PROTEIN', NULL, NULL, NULL, 15),
(183815, NULL, 'PTHR47932:SF19', NULL, NULL, NULL, NULL, 'OS02G0470000 PROTEIN', NULL, NULL, NULL, 15),
(183816, NULL, 'PTHR45980:SF16', NULL, NULL, NULL, NULL, 'BNAA04G11770D PROTEIN', NULL, NULL, NULL, 15),
(183817, NULL, 'PTHR32212:SF328', NULL, NULL, NULL, NULL, 'BNAA07G25730D PROTEIN', NULL, NULL, NULL, 15),
(183818, NULL, 'PTHR24281:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183819, NULL, 'PTHR10372:SF5', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT PROTEIN DELETED IN VELO-CARDIO-FACIAL SYNDROME', NULL, NULL, 22057, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183820, NULL, 'PTHR48011:SF75', NULL, NULL, NULL, NULL, 'BNAC04G12300D PROTEIN', NULL, NULL, NULL, 15),
(183821, NULL, 'PTHR35542', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 168', NULL, NULL, NULL, 15),
(183822, NULL, 'PTHR46301:SF12', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(183823, NULL, 'PTHR11547:SF57', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CREATINE KINASE', NULL, NULL, NULL, 15),
(183824, NULL, 'PTHR24009:SF17', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 46', NULL, NULL, NULL, 15),
(183825, NULL, 'PTHR12203', NULL, NULL, NULL, NULL, 'KDEL  LYS-ASP-GLU-LEU  CONTAINING - RELATED', NULL, NULL, NULL, 15),
(183826, NULL, 'PTHR11062:SF241', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE GT14-RELATED', NULL, NULL, NULL, 15),
(183827, NULL, 'PTHR12537:SF80', NULL, NULL, NULL, NULL, 'SUPPRESSOR PROTEIN MPT5', NULL, NULL, NULL, 15),
(183828, NULL, 'PTHR31297:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183829, NULL, 'PTHR43806:SF52', NULL, NULL, NULL, NULL, 'SERINE PROTEASE APRX', NULL, NULL, NULL, 15),
(183830, NULL, 'PTHR44419:SF6', NULL, NULL, NULL, NULL, 'PROTOCHLOROPHYLLIDE REDUCTASE A, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(183831, NULL, 'PTHR43139:SF52', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(183832, NULL, 'PTHR33869', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 3', NULL, NULL, 29264, 15),
(183833, NULL, 'PTHR46339:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG05670', NULL, NULL, NULL, 15),
(183834, NULL, 'PTHR10795:SF684', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT3.12', NULL, NULL, NULL, 15),
(183835, NULL, 'PTHR45825:SF9', NULL, NULL, NULL, NULL, 'GRANULE-BOUND STARCH SYNTHASE 1, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(183836, NULL, 'PTHR32285:SF149', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 43', NULL, NULL, NULL, 15),
(183837, NULL, 'PTHR36706', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(183838, NULL, 'PTHR32295:SF193', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 1-LIKE', NULL, NULL, NULL, 15),
(183839, NULL, 'PTHR41519', NULL, NULL, NULL, NULL, 'SLR1087 PROTEIN', NULL, NULL, NULL, 15),
(183840, NULL, 'PTHR46144:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 385B-LIKE', NULL, NULL, NULL, 15),
(183841, NULL, 'PTHR34682:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183842, NULL, 'PTHR10454:SF229', NULL, NULL, NULL, NULL, 'CASPASE 8, APOPTOSIS-RELATED CYSTEINE PEPTIDASE,-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(183843, NULL, 'PTHR33443:SF24', NULL, NULL, NULL, NULL, 'OS10G0573200 PROTEIN', NULL, NULL, NULL, 15),
(183844, NULL, 'PTHR33184:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TAPETUM DETERMINANT 1-LIKE', NULL, NULL, NULL, 15),
(183845, NULL, 'PTHR11481:SF97', NULL, NULL, NULL, NULL, 'LOW AFFINITY IMMUNOGLOBULIN GAMMA FC REGION RECEPTOR II-B-RELATED', NULL, NULL, NULL, 15),
(183846, NULL, 'PTHR34072:SF8', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183847, NULL, 'PTHR40535:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183848, NULL, 'PTHR22753:SF25', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE-LIKE PROTEIN CHLOROPLASTIC', NULL, NULL, NULL, 15),
(183849, NULL, 'PTHR32212:SF330', NULL, NULL, NULL, NULL, 'BNACNNG17880D PROTEIN', NULL, NULL, NULL, 15),
(183850, NULL, 'PTHR31852:SF172', NULL, NULL, NULL, NULL, 'PROTEIN YLS9-LIKE', NULL, NULL, NULL, 15),
(183851, NULL, 'PTHR31533:SF21', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN LORELEI-LIKE', NULL, NULL, NULL, 15),
(183852, NULL, 'PTHR31250:SF49', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(183853, NULL, 'PTHR43382', NULL, NULL, NULL, NULL, 'PROLYL-TRNA SYNTHETASE', NULL, NULL, 1573, 15),
(183854, NULL, 'PTHR15228:SF20', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 25', NULL, NULL, NULL, 15),
(183855, NULL, 'PTHR31236:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183856, NULL, 'PTHR24103:SF369', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 26', NULL, NULL, NULL, 15),
(183857, NULL, 'PTHR22835:SF557', NULL, NULL, NULL, NULL, 'LIPASE/HYDROLASE FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(183858, NULL, 'PTHR45665:SF13', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP4-1-RELATED', NULL, NULL, NULL, 15),
(183859, NULL, 'PTHR48022:SF75', NULL, NULL, NULL, NULL, 'GALACTOSE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(183860, NULL, 'PTHR23070:SF151', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CHAPERONE BCS1', NULL, NULL, NULL, 15),
(183861, NULL, 'PTHR30153:SF2', NULL, NULL, NULL, NULL, 'REPLICATIVE DNA HELICASE', NULL, NULL, NULL, 15),
(183862, NULL, 'PTHR12203:SF71', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE ADENYLATE CYCLASE-RELATED', NULL, NULL, NULL, 15),
(183863, NULL, 'PTHR48002:SF118', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(183864, NULL, 'PTHR10104:SF5', NULL, NULL, NULL, NULL, 'STATHMIN', NULL, NULL, NULL, 15),
(183865, NULL, 'PTHR43574:SF50', NULL, NULL, NULL, NULL, 'NUCLEOTIDE SUGAR EPIMERASE, BIFUNCTIONAL POLYMYXIN RESISTANCE PROTEIN, ARNA-RELATED', NULL, NULL, NULL, 15),
(183866, NULL, 'PTHR11849:SF178', NULL, NULL, NULL, NULL, 'ETS DOMAIN-CONTAINING PROTEIN ELK-1', NULL, NULL, NULL, 15),
(183867, NULL, 'PTHR11122:SF10', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(183868, NULL, 'PTHR33154:SF29', NULL, NULL, NULL, NULL, 'POSSIBLE TRANSCRIPTIONAL REGULATORY PROTEIN (POSSIBLY ARSR-FAMILY)', NULL, NULL, NULL, 15),
(183869, NULL, 'PTHR31681:SF47', NULL, NULL, NULL, NULL, 'SULFATED SURFACE-LIKE GLYCOPROTEIN', NULL, NULL, NULL, 15),
(183870, NULL, 'PTHR45642:SF16', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE APG', NULL, NULL, NULL, 15),
(183871, NULL, 'PTHR23076:SF111', NULL, NULL, NULL, NULL, 'INACTIVE ATP-DEPENDENT ZINC METALLOPROTEASE FTSHI 1, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(183872, NULL, 'PTHR47987:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-KINASE', NULL, NULL, NULL, 15),
(183873, NULL, 'PTHR42769:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183874, NULL, 'PTHR33172:SF57', NULL, NULL, NULL, NULL, 'OS02G0778700 PROTEIN', NULL, NULL, NULL, 15),
(183875, NULL, 'PTHR24229:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183876, NULL, 'PTHR23023:SF255', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(183877, NULL, 'PTHR32382:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183878, NULL, 'PTHR30126:SF64', NULL, NULL, NULL, NULL, 'LYSR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(183879, NULL, 'PTHR11850:SF320', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ATH1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(183880, NULL, 'PTHR11822:SF21', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE [NADP], MITOCHONDRIAL', NULL, NULL, NULL, 15),
(183881, NULL, 'PTHR31374:SF323', NULL, NULL, NULL, NULL, 'BNAC08G11390D PROTEIN', NULL, NULL, NULL, 15),
(183882, NULL, 'PTHR46991:SF4', NULL, NULL, NULL, NULL, '14.7 KDA HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(183883, NULL, 'PTHR35770', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN AUXILIARY FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(183884, NULL, 'PTHR42770:SF2', NULL, NULL, NULL, NULL, 'ARGININE/AGMATINE ANTIPORTER', NULL, NULL, NULL, 15),
(183885, NULL, 'PTHR12302:SF9', NULL, NULL, NULL, NULL, 'RIBONUCLEASE TUDOR 1', NULL, NULL, NULL, 15),
(183886, NULL, 'PTHR31355:SF22', NULL, NULL, NULL, NULL, 'TORTIFOLIA1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(183887, NULL, 'PTHR32470:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 ALPHA SUBCOMPLEX ASSEMBLY FACTOR 2', NULL, NULL, NULL, 15),
(183888, NULL, 'PTHR43329:SF111', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(183889, NULL, 'PTHR43065:SF29', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SENSOR', NULL, NULL, NULL, 15),
(183890, NULL, 'PTHR33083:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183891, NULL, 'PTHR46128:SF97', NULL, NULL, NULL, NULL, 'BNAA06G00240D PROTEIN', NULL, NULL, NULL, 15),
(183892, NULL, 'PTHR44281', NULL, NULL, NULL, NULL, 'SPINDLE ASSEMBLY ABNORMAL PROTEIN 6 HOMOLOG', NULL, NULL, NULL, 15),
(183893, NULL, 'PTHR10869:SF146', NULL, NULL, NULL, NULL, 'OS10G0497800 PROTEIN', NULL, NULL, NULL, 15),
(183894, NULL, 'PTHR43066:SF15', NULL, NULL, NULL, NULL, 'RHOMBOID DOMAIN CONTAINING 1', NULL, NULL, NULL, 15),
(183895, NULL, 'PTHR40453:SF2', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTP', NULL, NULL, NULL, 15),
(183896, NULL, 'PTHR10126:SF50', NULL, NULL, NULL, NULL, 'TATA-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(183897, NULL, 'PTHR22443:SF18', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LETHAL 1, ISOFORM M', NULL, NULL, NULL, 15),
(183898, NULL, 'PTHR20986:SF15', NULL, NULL, NULL, NULL, 'FMRFAMIDE-LIKE NEUROPEPTIDES 13', NULL, NULL, NULL, 15),
(183899, NULL, 'PTHR15751:SF14', NULL, NULL, NULL, NULL, 'HUNTINGTIN-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(183900, NULL, 'PTHR15829:SF1', NULL, NULL, NULL, NULL, 'RHO FAMILY-INTERACTING CELL POLARIZATION REGULATOR 1', NULL, NULL, NULL, 15),
(183901, NULL, 'PTHR42929:SF3', NULL, NULL, NULL, NULL, 'PUTRESCINE TRANSPORT SYSTEM PERMEASE PROTEIN POTH', NULL, NULL, NULL, 15),
(183902, NULL, 'PTHR10634:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183903, NULL, 'PTHR12876:SF10', NULL, NULL, NULL, NULL, 'ENDORIBONUCLEASE ZC3H12A', NULL, NULL, NULL, 15),
(183904, NULL, 'PTHR11515:SF28', NULL, NULL, NULL, NULL, 'SI:DKEY-23I12.9', NULL, NULL, NULL, 15),
(183905, NULL, 'PTHR21338:SF0', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L41, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(183906, NULL, 'PTHR11690:SF152', NULL, NULL, NULL, NULL, 'PROTEIN CBG04873', NULL, NULL, NULL, 15),
(183907, NULL, 'PTHR13902:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183908, NULL, 'PTHR33739:SF7', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 33B', NULL, NULL, NULL, 15),
(183909, NULL, 'PTHR45654:SF61', NULL, NULL, NULL, NULL, 'BNACNNG18470D PROTEIN', NULL, NULL, NULL, 15),
(183910, NULL, 'PTHR36460:SF1', NULL, NULL, NULL, NULL, 'UPF0132 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_3G10255)', NULL, NULL, NULL, 15),
(183911, NULL, 'PTHR22650:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183912, NULL, 'PTHR31205:SF58', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING-RELATED', NULL, NULL, NULL, 15),
(183913, NULL, 'PTHR43640:SF1', NULL, NULL, NULL, NULL, 'OS07G0260300 PROTEIN', NULL, NULL, NULL, 15),
(183914, NULL, 'PTHR31496:SF6', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN, SHAQKYF CLASS FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(183915, NULL, 'PTHR15907:SF179', NULL, NULL, NULL, NULL, 'PROTEIN PLANT CADMIUM RESISTANCE 7-LIKE', NULL, NULL, NULL, 15),
(183916, NULL, 'PTHR24300:SF336', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2C9', NULL, NULL, NULL, 15),
(183917, NULL, 'PTHR12027:SF91', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE WNT-1', NULL, NULL, NULL, 15),
(183918, NULL, 'PTHR24356:SF365', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C DELTA TYPE', NULL, NULL, NULL, 15),
(183919, NULL, 'PTHR33936:SF9', NULL, NULL, NULL, NULL, 'FINGER PUTATIVE TRANSCRIPTION FACTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(183920, NULL, 'PTHR33318:SF4', NULL, NULL, NULL, NULL, 'RRNA BIOGENESIS PROTEIN RRP36', NULL, NULL, NULL, 15),
(183921, NULL, 'PTHR21277:SF40', NULL, NULL, NULL, NULL, 'BNAA08G12470D PROTEIN', NULL, NULL, NULL, 15),
(183922, NULL, 'PTHR42958:SF4', NULL, NULL, NULL, NULL, 'HYDROGENASE EXPRESSION/FORMATION PROTEIN HUPK', NULL, NULL, NULL, 15),
(183923, NULL, 'PTHR10314:SF177', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(183924, NULL, 'PTHR31989:SF325', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183925, NULL, 'PTHR32467:SF138', NULL, NULL, NULL, NULL, 'BNAA03G19580D PROTEIN', NULL, NULL, NULL, 15),
(183926, NULL, 'PTHR11783:SF269', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183927, NULL, 'PTHR13887:SF41', NULL, NULL, NULL, NULL, 'THIOREDOXIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(183928, NULL, 'PTHR33355:SF15', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 20', NULL, NULL, NULL, 15),
(183929, NULL, 'PTHR35802:SF1', NULL, NULL, NULL, NULL, 'PROTEASE SYNTHASE AND SPORULATION PROTEIN PAI 2', NULL, NULL, NULL, 15),
(183930, NULL, 'PTHR31009:SF128', NULL, NULL, NULL, NULL, 'BNAC09G50490D PROTEIN', NULL, NULL, NULL, 15),
(183931, NULL, 'PTHR35862:SF3', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', NULL, NULL, NULL, 15),
(183932, NULL, 'PTHR46736:SF18', NULL, NULL, NULL, NULL, 'NON-LTR RETROELEMENT REVERSE TRANSCRIPTASE-LIKE', NULL, NULL, NULL, 15),
(183933, NULL, 'PTHR24264:SF13', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1810009J06 GENE-RELATED', NULL, NULL, NULL, 15),
(183934, NULL, 'PTHR45933:SF32', NULL, NULL, NULL, NULL, 'BNAC06G24480D PROTEIN', NULL, NULL, NULL, 15),
(183935, NULL, 'PTHR33177:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183936, NULL, 'PTHR34487:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183937, NULL, 'PTHR31276:SF14', NULL, NULL, NULL, NULL, 'PROTEIN MIZU-KUSSEI 1-LIKE', NULL, NULL, NULL, 15),
(183938, NULL, 'PTHR11538:SF26', NULL, NULL, NULL, NULL, 'FERREDOXIN-FOLD ANTICODON-BINDING DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(183939, NULL, 'PTHR46519:SF13', NULL, NULL, NULL, NULL, 'BNAA01G31640D PROTEIN', NULL, NULL, NULL, 15),
(183940, NULL, 'PTHR11132:SF427', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER E1', NULL, NULL, NULL, 15),
(183941, NULL, 'PTHR46319:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER FYVE DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(183942, NULL, 'PTHR33076:SF135', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(183943, NULL, 'PTHR11771:SF160', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(183944, NULL, 'PTHR24096:SF194', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183945, NULL, 'PTHR24377:SF830', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 45', NULL, NULL, NULL, 15),
(183946, NULL, 'PTHR12411:SF745', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RDL2-RELATED', NULL, NULL, NULL, 15),
(183947, NULL, 'PTHR14493:SF112', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 20-LIKE', NULL, NULL, NULL, 15),
(183948, NULL, 'PTHR47977:SF27', NULL, NULL, NULL, NULL, 'BNAA09G46380D PROTEIN', NULL, NULL, NULL, 15),
(183949, NULL, 'PTHR11711:SF21', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(183950, NULL, 'PTHR31889:SF51', NULL, NULL, NULL, NULL, 'GALACTOSIDE 2-ALPHA-L-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(183951, NULL, 'PTHR33107:SF44', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE INHIBITOR 1', NULL, NULL, NULL, 15),
(183952, NULL, 'PTHR14859:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183953, NULL, 'PTHR43390:SF12', NULL, NULL, NULL, NULL, 'THYLAKOIDAL PROCESSING PEPTIDASE 1 CHLOROPLASTIC', NULL, NULL, NULL, 15),
(183954, NULL, 'PTHR33443:SF27', NULL, NULL, NULL, NULL, 'BNAC01G09780D PROTEIN', NULL, NULL, NULL, 15),
(183955, NULL, 'PTHR37976:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG16926', NULL, NULL, NULL, 15),
(183956, NULL, 'PTHR33576:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183957, NULL, 'PTHR47010', NULL, NULL, NULL, NULL, 'CYSTATIN-8-RELATED', NULL, NULL, NULL, 15),
(183958, NULL, 'PTHR31923:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183959, NULL, 'PTHR45638:SF7', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL-LIKE, ISOFORM E', NULL, NULL, NULL, 15),
(183960, NULL, 'PTHR31213:SF88', NULL, NULL, NULL, NULL, 'ABA-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(183961, NULL, 'PTHR27004:SF332', NULL, NULL, NULL, NULL, 'BNACNNG24060D PROTEIN', NULL, NULL, NULL, 15),
(183962, NULL, 'PTHR33732:SF3', NULL, NULL, NULL, NULL, 'STRESS-RELATED PROTEIN-LIKE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(183963, NULL, 'PTHR11426:SF230', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(183964, NULL, 'PTHR32448:SF77', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 4', NULL, NULL, NULL, 15),
(183965, NULL, 'PTHR12411:SF784', NULL, NULL, NULL, NULL, 'KDEL-TAILED CYSTEINE ENDOPEPTIDASE CEP2', NULL, NULL, NULL, 15),
(183966, NULL, 'PTHR48043:SF83', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(183967, NULL, 'PTHR46662:SF31', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 53', NULL, NULL, NULL, 15),
(183968, NULL, 'PTHR32002:SF28', NULL, NULL, NULL, NULL, 'PROTEIN NLP6', NULL, NULL, NULL, 15),
(183969, NULL, 'PTHR31352:SF48', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', NULL, NULL, NULL, 15),
(183970, NULL, 'PTHR32552:SF86', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183971, NULL, 'PTHR43629:SF2', NULL, NULL, NULL, NULL, 'RHODANESE-LIKE/PPIC DOMAIN-CONTAINING PROTEIN 12, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(183972, NULL, 'PTHR31618:SF28', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(183973, NULL, 'PTHR23291:SF95', NULL, NULL, NULL, NULL, 'BAX INHIBITOR 1-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(183974, NULL, 'PTHR42918', NULL, NULL, NULL, NULL, 'LYSYL-TRNA SYNTHETASE', NULL, NULL, NULL, 15),
(183975, NULL, 'PTHR46995', NULL, NULL, NULL, NULL, 'OS09G0508200 PROTEIN', NULL, NULL, NULL, 15),
(183976, NULL, 'PTHR31415:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183977, NULL, 'PTHR31301:SF150', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183978, NULL, 'PTHR23257:SF804', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE', NULL, NULL, NULL, 15),
(183979, NULL, 'PTHR36517:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG25732', NULL, NULL, NULL, 15),
(183980, NULL, 'PTHR20883:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183981, NULL, 'PTHR33088:SF35', NULL, NULL, NULL, NULL, 'MUCIN-2', NULL, NULL, NULL, 15),
(183982, NULL, 'PTHR42093:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183983, NULL, 'PTHR24412:SF192', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 24917, 15),
(183984, NULL, 'PTHR21654:SF67', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR GT-1', NULL, NULL, NULL, 15),
(183985, NULL, 'PTHR10250:SF15', NULL, NULL, NULL, NULL, 'MICROSOMAL GLUTATHIONE S-TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(183986, NULL, 'PTHR47755:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSX', NULL, NULL, NULL, 15),
(183987, NULL, 'PTHR34563:SF9', NULL, NULL, NULL, NULL, 'BNAA07G38720D PROTEIN', NULL, NULL, NULL, 15),
(183988, NULL, 'PTHR45959:SF26', NULL, NULL, NULL, NULL, 'HELIX LOOP HELIX DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(183989, NULL, 'PTHR42769:SF11', NULL, NULL, NULL, NULL, 'BNAA09G05370D PROTEIN', NULL, NULL, NULL, 15),
(183990, NULL, 'PTHR18884:SF57', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 10', NULL, NULL, NULL, 15),
(183991, NULL, 'PTHR24089:SF57', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN SCAMC-2', NULL, NULL, NULL, 15),
(183992, NULL, 'PTHR46463:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(183993, NULL, 'PTHR21022:SF12', NULL, NULL, NULL, NULL, 'AROGENATE/PREPHENATE DEHYDRATASE', NULL, NULL, NULL, 15),
(183994, NULL, 'PTHR45748:SF12', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL-3-PHOSPHATE 5-KINASE FAB1B-LIKE', NULL, NULL, NULL, 15),
(183995, NULL, 'PTHR43859:SF5', NULL, NULL, NULL, NULL, 'ACYL-ACTIVATING ENZYME 2-RELATED', NULL, NULL, NULL, 15),
(183996, NULL, 'PTHR33747:SF1', NULL, NULL, NULL, NULL, 'UPF0225 PROTEIN SCO1677', NULL, NULL, NULL, 15),
(183997, NULL, 'PTHR11907:SF26', NULL, NULL, NULL, NULL, 'AMIDOPHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(183998, NULL, 'PTHR36920', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 2874, 15),
(183999, NULL, 'PTHR45635:SF17', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE TRANSLOCATOR', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184000, NULL, 'PTHR47742', NULL, NULL, NULL, NULL, 'GAMETOGENETIN', NULL, NULL, 27001, 15),
(184001, NULL, 'PTHR11820:SF63', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184002, NULL, 'PTHR23081:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184003, NULL, 'PTHR43795:SF22', NULL, NULL, NULL, NULL, 'TRYPTOPHAN AMINOTRANSFERASE-RELATED PROTEIN 2', NULL, NULL, NULL, 15),
(184004, NULL, 'PTHR46164:SF2', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-6 BETA', NULL, NULL, 27617, 15),
(184005, NULL, 'PTHR15466:SF2', NULL, NULL, NULL, NULL, 'V-SET AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(184006, NULL, 'PTHR22812:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184007, NULL, 'PTHR45626:SF28', NULL, NULL, NULL, NULL, 'BNAA08G28190D PROTEIN', NULL, NULL, NULL, 15),
(184008, NULL, 'PTHR10972:SF150', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN', NULL, NULL, NULL, 15),
(184009, NULL, 'PTHR33306:SF27', NULL, NULL, NULL, NULL, 'OS06G0206900 PROTEIN', NULL, NULL, NULL, 15),
(184010, NULL, 'PTHR48001:SF4', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(184011, NULL, 'PTHR11510', NULL, NULL, NULL, NULL, 'MYO-INOSITOL-1 PHOSPHATE SYNTHASE', NULL, NULL, 1532, 15),
(184012, NULL, 'PTHR17224:SF3', NULL, NULL, NULL, NULL, 'CHLOROPLASTIC GROUP IIB INTRON SPLICING FACILITATOR CRS2-B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(184013, NULL, 'PTHR33065:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184014, NULL, 'PTHR31190:SF276', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF119-LIKE', NULL, NULL, NULL, 15),
(184015, NULL, 'PTHR46692:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184016, NULL, 'PTHR12956:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184017, NULL, 'PTHR12741:SF66', NULL, NULL, NULL, NULL, 'GLUCAN SYNTHASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(184018, NULL, 'PTHR14255:SF38', NULL, NULL, NULL, NULL, 'SULFITE EXPORTER TAUE/SAFE FAMILY PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(184019, NULL, 'PTHR18953:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184020, NULL, 'PTHR11260:SF660', NULL, NULL, NULL, NULL, 'BNAA07G28470D PROTEIN', NULL, NULL, NULL, 15),
(184021, NULL, 'PTHR34208:SF10', NULL, NULL, NULL, NULL, 'PECTIN METHYLESTERASE CGR3-RELATED', NULL, NULL, NULL, 15),
(184022, NULL, 'PTHR36401', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 8, MITOCHONDRIAL', NULL, NULL, 35196, 15),
(184023, NULL, 'PTHR35923:SF2', NULL, NULL, NULL, NULL, 'MAJOR EXTRACELLULAR ENDOGLUCANASE', NULL, NULL, NULL, 15),
(184024, NULL, 'PTHR16134:SF83', NULL, NULL, NULL, NULL, 'F-BOX/RNI-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184025, NULL, 'PTHR47978:SF40', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABA4A', NULL, NULL, NULL, 15),
(184026, NULL, 'PTHR31140:SF45', NULL, NULL, NULL, NULL, 'BNAA02G29460D PROTEIN', NULL, NULL, NULL, 15),
(184027, NULL, 'PTHR32102:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184028, NULL, 'PTHR31561:SF133', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(184029, NULL, 'PTHR33663', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 26119, 15),
(184030, NULL, 'PTHR21632:SF2', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(184031, NULL, 'PTHR46739:SF9', NULL, NULL, NULL, NULL, 'AQUAPORIN SIP1-2-RELATED', NULL, NULL, NULL, 15),
(184032, NULL, 'PTHR11733:SF192', NULL, NULL, NULL, NULL, 'NEPRILYSIN-21', NULL, NULL, 22500, 15),
(184033, NULL, 'PTHR47005:SF5', NULL, NULL, NULL, NULL, 'HEAVY METAL TRANSPORT/DETOXIFICATION SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(184034, NULL, 'PTHR22765:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184035, NULL, 'PTHR23056:SF110', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 4', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184036, NULL, 'PTHR12537:SF165', NULL, NULL, NULL, NULL, 'BNAA09G27800D PROTEIN', NULL, NULL, NULL, 15),
(184037, NULL, 'PTHR44267', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 43', NULL, NULL, NULL, 15),
(184038, NULL, 'PTHR35243:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184039, NULL, 'PTHR43038', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY H, MEMBER 1', NULL, NULL, NULL, 15),
(184040, NULL, 'PTHR32288:SF0', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-IV', NULL, NULL, NULL, 15),
(184041, NULL, 'PTHR47942:SF46', NULL, NULL, NULL, NULL, 'OS06G0499301 PROTEIN', NULL, NULL, NULL, 15),
(184042, NULL, 'PTHR26379:SF396', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(184043, NULL, 'PTHR31429:SF90', NULL, NULL, NULL, NULL, 'BNAC03G29850D PROTEIN', NULL, NULL, NULL, 15),
(184044, NULL, 'PTHR20963:SF49', NULL, NULL, NULL, NULL, 'BNAC08G42510D PROTEIN', NULL, NULL, NULL, 15),
(184045, NULL, 'PTHR43281:SF17', NULL, NULL, NULL, NULL, 'GERANYLGERANYL PYROPHOSPHATE SYNTHASE 4', NULL, NULL, NULL, 15),
(184046, NULL, 'PTHR26312:SF176', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184047, NULL, 'PTHR38490:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE AND TYROSINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(184048, NULL, 'PTHR19367:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184049, NULL, 'PTHR35301', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 41-RELATED', NULL, NULL, 30317, 15),
(184050, NULL, 'PTHR34152:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG23099', NULL, NULL, NULL, 15),
(184051, NULL, 'PTHR43490:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184052, NULL, 'PTHR10890:SF26', NULL, NULL, NULL, NULL, 'CYSTEINE--TRNA LIGASE 1, CYTOPLASMIC-RELATED', NULL, NULL, NULL, 15),
(184053, NULL, 'PTHR24074:SF44', NULL, NULL, NULL, NULL, 'PROTEIN DNAJ, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184054, NULL, 'PTHR11814:SF225', NULL, NULL, NULL, NULL, 'SLC26A/SULP TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(184055, NULL, 'PTHR11206:SF332', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(184056, NULL, 'PTHR24286:SF252', NULL, NULL, NULL, NULL, 'BETA-AMYRIN 11-OXIDASE', NULL, NULL, NULL, 15),
(184057, NULL, 'PTHR34661:SF3', NULL, NULL, NULL, NULL, 'INCREASED DNA METHYLATION 2', NULL, NULL, NULL, 15),
(184058, NULL, 'PTHR10846:SF21', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM/CALCIUM EXCHANGER 4', NULL, NULL, 22364, 15),
(184059, NULL, 'PTHR46393', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 14633, 15),
(184060, NULL, 'PTHR23139:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184061, NULL, 'PTHR45675', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR-RELATED-RELATED', NULL, NULL, 36603, 15),
(184062, NULL, 'PTHR46399', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184063, NULL, 'PTHR24329:SF549', NULL, NULL, NULL, NULL, 'RHOX HOMEOBOX FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(184064, NULL, 'PTHR43465:SF2', NULL, NULL, NULL, NULL, 'DUF1680 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_1G08910)', NULL, NULL, NULL, 15),
(184065, NULL, 'PTHR45621:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184066, NULL, 'PTHR11055:SF56', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE', NULL, NULL, NULL, 15),
(184067, NULL, 'PTHR13683:SF796', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(184068, NULL, 'PTHR11610:SF155', NULL, NULL, NULL, NULL, 'AGAP005000-PA', NULL, NULL, NULL, 15),
(184069, NULL, 'PTHR47132', NULL, NULL, NULL, NULL, 'MYOGLOBIN', NULL, NULL, 6684, 15),
(184070, NULL, 'PTHR11599:SF180', NULL, NULL, NULL, NULL, 'PROTEASOME ENDOPEPTIDASE COMPLEX', NULL, NULL, NULL, 15),
(184071, NULL, 'PTHR12865:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG06673', NULL, NULL, NULL, 15),
(184072, NULL, 'PTHR34949:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184073, NULL, 'PTHR12356:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR MIGRATION PROTEIN NUDC', NULL, NULL, NULL, 15),
(184074, NULL, 'PTHR48017:SF14', NULL, NULL, NULL, NULL, 'PROLINE TRANSPORTER 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(184075, NULL, 'PTHR11178:SF25', NULL, NULL, NULL, NULL, 'NIFU-LIKE PROTEIN 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(184076, NULL, 'PTHR21391', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(184077, NULL, 'PTHR34491:SF40', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184078, NULL, 'PTHR34145:SF23', NULL, NULL, NULL, NULL, 'OS04G0479800 PROTEIN', NULL, NULL, NULL, 15),
(184079, NULL, 'PTHR24177:SF281', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN, PGG DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184080, NULL, 'PTHR13890:SF43', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-I', NULL, NULL, NULL, 15),
(184081, NULL, 'PTHR31235:SF346', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(184082, NULL, 'PTHR12128:SF21', NULL, NULL, NULL, NULL, 'N-ACETYLNEURAMINATE LYASE', NULL, NULL, NULL, 15),
(184083, NULL, 'PTHR48002:SF42', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(184084, NULL, 'PTHR11017:SF393', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(184085, NULL, 'PTHR10037:SF290', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT L-TYPE CALCIUM CHANNEL SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(184086, NULL, 'PTHR47928:SF88', NULL, NULL, NULL, NULL, 'OS03G0701400 PROTEIN', NULL, NULL, NULL, 15),
(184087, NULL, 'PTHR32212:SF265', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184088, NULL, 'PTHR10830', NULL, NULL, NULL, NULL, 'DOLICHYL-DIPHOSPHOOLIGOSACCHARIDE--PROTEIN GLYCOSYLTRANSFERASE 48 KDA SUBUNIT', NULL, NULL, 536, 15),
(184089, NULL, 'PTHR11845:SF13', NULL, NULL, NULL, NULL, 'HD DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(184090, NULL, 'PTHR33172:SF38', NULL, NULL, NULL, NULL, 'BNAA01G05330D PROTEIN', NULL, NULL, NULL, 15),
(184091, NULL, 'PTHR31194:SF69', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF003-LIKE', NULL, NULL, NULL, 15),
(184092, NULL, 'PTHR46128:SF125', NULL, NULL, NULL, NULL, 'BNAC09G54650D PROTEIN', NULL, NULL, NULL, 15),
(184093, NULL, 'PTHR27006:SF357', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 10', NULL, NULL, NULL, 15),
(184094, NULL, 'PTHR27006:SF356', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 26', NULL, NULL, NULL, 15),
(184095, NULL, 'PTHR24281:SF92', NULL, NULL, NULL, NULL, '5-EPIARISTOLOCHENE 1,3-DIHYDROXYLASE', NULL, NULL, NULL, 15),
(184096, NULL, 'PTHR18953:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184097, NULL, 'PTHR33373:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184098, NULL, 'PTHR31087:SF96', NULL, NULL, NULL, NULL, 'BNAANNG22520D PROTEIN', NULL, NULL, NULL, 15),
(184099, NULL, 'PTHR46034:SF28', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(184100, NULL, 'PTHR11040:SF188', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184101, NULL, 'PTHR19143:SF373', NULL, NULL, NULL, NULL, 'FICOLIN-3', NULL, NULL, NULL, 15),
(184102, NULL, 'PTHR35758', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(184103, NULL, 'PTHR31745:SF3', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN WHY3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(184104, NULL, 'PTHR28511:SF3', NULL, NULL, NULL, NULL, 'V, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184105, NULL, 'PTHR30520:SF2', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YFDC', NULL, NULL, NULL, 15),
(184106, NULL, 'PTHR11017:SF318', NULL, NULL, NULL, NULL, 'BNAC03G62030D PROTEIN', NULL, NULL, NULL, 15),
(184107, NULL, 'PTHR31535:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184108, NULL, 'PTHR46125:SF9', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 17', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184109, NULL, 'PTHR43180:SF59', NULL, NULL, NULL, NULL, 'MOMILACTONE A SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(184110, NULL, 'PTHR10709:SF17', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(184111, NULL, 'PTHR31388:SF164', NULL, NULL, NULL, NULL, 'PEROXIDASE 9', NULL, NULL, NULL, 15),
(184112, NULL, 'PTHR14352:SF2', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 7', NULL, NULL, NULL, 15),
(184113, NULL, 'PTHR36806', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(184114, NULL, 'PTHR24377:SF899', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 699', NULL, NULL, NULL, 15),
(184115, NULL, 'PTHR31517:SF3', NULL, NULL, NULL, NULL, 'PEROXIDASE 50-RELATED', NULL, NULL, NULL, 15),
(184116, NULL, 'PTHR47992:SF83', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 44-RELATED', NULL, NULL, NULL, 15),
(184117, NULL, 'PTHR45890:SF16', NULL, NULL, NULL, NULL, 'BNAA09G47620D PROTEIN', NULL, NULL, NULL, 15),
(184118, NULL, 'PTHR46415', NULL, NULL, NULL, NULL, 'ADAPTOR PROTEIN, PHOSPHOTYROSINE INTERACTION, PH DOMAIN AND LEUCINE ZIPPER-CONTAINING 2', NULL, NULL, NULL, 15),
(184119, NULL, 'PTHR10438:SF429', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(184120, NULL, 'PTHR10293:SF62', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(184121, NULL, 'PTHR45973:SF6', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 43', NULL, NULL, NULL, 15),
(184122, NULL, 'PTHR13199:SF18', NULL, NULL, NULL, NULL, 'BNAA06G32600D PROTEIN', NULL, NULL, NULL, 15),
(184123, NULL, 'PTHR19282:SF378', NULL, NULL, NULL, NULL, 'TETRASPANIN FAMILY', NULL, NULL, NULL, 15),
(184124, NULL, 'PTHR22870:SF408', NULL, NULL, NULL, NULL, 'CLARET, ISOFORM A', NULL, NULL, NULL, 15),
(184125, NULL, 'PTHR11880:SF40', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S19, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(184126, NULL, 'PTHR38791', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED-RELATED', NULL, NULL, NULL, 15),
(184127, NULL, 'PTHR21112', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(184128, NULL, 'PTHR11937:SF446', NULL, NULL, NULL, NULL, 'ACTIN, CYTOSKELETAL 2A', NULL, NULL, NULL, 15),
(184129, NULL, 'PTHR31228:SF27', NULL, NULL, NULL, NULL, 'BNAC02G02470D PROTEIN', NULL, NULL, NULL, 15),
(184130, NULL, 'PTHR42794', NULL, NULL, NULL, NULL, 'HEMIN IMPORT ATP-BINDING PROTEIN HMUV', NULL, NULL, NULL, 15),
(184131, NULL, 'PTHR22840:SF12', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 36', NULL, NULL, NULL, 15),
(184132, NULL, 'PTHR23155:SF1097', NULL, NULL, NULL, NULL, 'OS03G0848700 PROTEIN', NULL, NULL, NULL, 15),
(184133, NULL, 'PTHR12136:SF93', NULL, NULL, NULL, NULL, 'ENHANCED DISEASE RESISTANCE-LIKE PROTEIN (DUF1336)', NULL, NULL, NULL, 15),
(184134, NULL, 'PTHR33937:SF4', NULL, NULL, NULL, NULL, 'IRON-MOLYBDENUM COFACTOR-BINDING PROTEIN', NULL, NULL, NULL, 15),
(184135, NULL, 'PTHR28630:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184136, NULL, 'PTHR23405:SF7', NULL, NULL, NULL, NULL, 'PROTEIN MAK16 HOMOLOG', NULL, NULL, NULL, 15),
(184137, NULL, 'PTHR33109', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 4', NULL, NULL, 33447, 15),
(184138, NULL, 'PTHR30002', NULL, NULL, NULL, NULL, 'EPOXYQUEUOSINE REDUCTASE', NULL, NULL, 7349, 15),
(184139, NULL, 'PTHR24064:SF83', NULL, NULL, NULL, NULL, 'PROTEIN CBG17501', NULL, NULL, NULL, 15),
(184140, NULL, 'PTHR13935:SF112', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH118', NULL, NULL, NULL, 15),
(184141, NULL, 'PTHR47423', NULL, NULL, NULL, NULL, 'G-PATCH DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(184142, NULL, 'PTHR22933:SF2', NULL, NULL, NULL, NULL, 'CRACKED, ISOFORM C', NULL, NULL, NULL, 15),
(184143, NULL, 'PTHR33165:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184144, NULL, 'PTHR13448:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184145, NULL, 'PTHR35140', NULL, NULL, NULL, NULL, 'MITOTIC CHECK POINT PROTEIN BFA1', NULL, NULL, 191, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184146, NULL, 'PTHR47925:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184147, NULL, 'PTHR33214:SF51', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184148, NULL, 'PTHR11738:SF173', NULL, NULL, NULL, NULL, 'V-SET AND TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(184149, NULL, 'PTHR23315:SF264', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(184150, NULL, 'PTHR12308:SF47', NULL, NULL, NULL, NULL, 'ANOCTAMIN', NULL, NULL, NULL, 15),
(184151, NULL, 'PTHR36900:SF1', NULL, NULL, NULL, NULL, 'NAD(P)H-QUINONE OXIDOREDUCTASE SUBUNIT M, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(184152, NULL, 'PTHR24166', NULL, NULL, NULL, NULL, 'ROLLING PEBBLES, ISOFORM B', NULL, NULL, NULL, 15),
(184153, NULL, 'PTHR23535:SF2', NULL, NULL, NULL, NULL, 'SUGAR EFFLUX TRANSPORTER A-RELATED', NULL, NULL, 5343, 15),
(184154, NULL, 'PTHR45828:SF22', NULL, NULL, NULL, NULL, 'PROTEIN CBG02902', NULL, NULL, NULL, 15),
(184155, NULL, 'PTHR47500:SF3', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM BINDING DOMAIN 3', NULL, NULL, NULL, 15),
(184156, NULL, 'PTHR32429:SF8', NULL, NULL, NULL, NULL, 'RIBULOSE BISPHOSPHATE CARBOXYLASE/OXYGENASE ACTIVASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(184157, NULL, 'PTHR31744:SF123', NULL, NULL, NULL, NULL, 'BNACNNG63190D PROTEIN', NULL, NULL, NULL, 15),
(184158, NULL, 'PTHR28018:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184159, NULL, 'PTHR46891:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG27063', NULL, NULL, NULL, 15),
(184160, NULL, 'PTHR10903:SF149', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN A', NULL, NULL, NULL, 15),
(184161, NULL, 'PTHR45907:SF5', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', NULL, NULL, NULL, 15),
(184162, NULL, 'PTHR31080:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184163, NULL, 'PTHR10257:SF88', NULL, NULL, NULL, NULL, 'BNACNNG54820D PROTEIN', NULL, NULL, NULL, 15),
(184164, NULL, 'PTHR11985:SF26', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(184165, NULL, 'PTHR14871:SF1', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX PROTEIN 9', NULL, NULL, NULL, 15),
(184166, NULL, 'PTHR17206:SF1', NULL, NULL, NULL, NULL, 'PROLACTIN-RELEASING PEPTIDE', NULL, NULL, NULL, 15),
(184167, NULL, 'PTHR22807', NULL, NULL, NULL, NULL, 'NOP2 YEAST -RELATED NOL1/NOP2/FMU SUN  DOMAIN-CONTAINING', NULL, NULL, 14830, 15),
(184168, NULL, 'PTHR10807:SF4', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 13', NULL, NULL, 28116, 15),
(184169, NULL, 'PTHR30535:SF34', NULL, NULL, NULL, NULL, 'FERRICHROME-BINDING PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184170, NULL, 'PTHR33782:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184171, NULL, 'PTHR11827:SF58', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 12 MEMBER 2', NULL, NULL, 7195, 15),
(184172, NULL, 'PTHR45864:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE SLINGSHOT', NULL, NULL, NULL, 15),
(184173, NULL, 'PTHR47270:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184174, NULL, 'PTHR13954:SF27', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE/ENDORIBONUCLEASE IRE1B', NULL, NULL, NULL, 15),
(184175, NULL, 'PTHR45952:SF16', NULL, NULL, NULL, NULL, 'BNAA09G30520D PROTEIN', NULL, NULL, NULL, 15),
(184176, NULL, 'PTHR11654:SF506', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184177, NULL, 'PTHR10836:SF117', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(184178, NULL, 'PTHR46740', NULL, NULL, NULL, NULL, 'PROTEIN DYAD', NULL, NULL, 37459, 15),
(184179, NULL, 'PTHR12542:SF119', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(184180, NULL, 'PTHR35897:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184181, NULL, 'PTHR11523:SF30', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184182, NULL, 'PTHR26453:SF608', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR M32', NULL, NULL, NULL, 15),
(184183, NULL, 'PTHR13172:SF7', NULL, NULL, NULL, NULL, 'OS05G0111100 PROTEIN', NULL, NULL, NULL, 15),
(184184, NULL, 'PTHR31238:SF157', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 2 MEMBER 5-RELATED', NULL, NULL, NULL, 15),
(184185, NULL, 'PTHR23124:SF44', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(184186, NULL, 'PTHR11439:SF317', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184187, NULL, 'PTHR34828', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 45', NULL, NULL, 24594, 15),
(184188, NULL, 'PTHR28556:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 106A', NULL, NULL, NULL, 15),
(184189, NULL, 'PTHR24281:SF143', NULL, NULL, NULL, NULL, '5-EPIARISTOLOCHENE 1,3-DIHYDROXYLASE', NULL, NULL, NULL, 15),
(184190, NULL, 'PTHR45096:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NEDD1', NULL, NULL, NULL, 15),
(184191, NULL, 'PTHR31125:SF8', NULL, NULL, NULL, NULL, 'F20P5.22 PROTEIN', NULL, NULL, NULL, 15),
(184192, NULL, 'PTHR30313', NULL, NULL, NULL, NULL, 'DNA PRIMASE', NULL, NULL, NULL, 15),
(184193, NULL, 'PTHR31044:SF70', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(184194, NULL, 'PTHR13412:SF0', NULL, NULL, NULL, NULL, 'T-CELL IMMUNOMODULATORY PROTEIN', NULL, NULL, NULL, 15),
(184195, NULL, 'PTHR34197:SF10', NULL, NULL, NULL, NULL, 'BNAA02G27530D PROTEIN', NULL, NULL, NULL, 15),
(184196, NULL, 'PTHR31907:SF2', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN BET V I FAMILY PROTEIN', NULL, NULL, NULL, 15),
(184197, NULL, 'PTHR11760:SF45', NULL, NULL, NULL, NULL, 'BNAC06G00510D PROTEIN', NULL, NULL, NULL, 15),
(184198, NULL, 'PTHR10510:SF15', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(184199, NULL, 'PTHR47370:SF5', NULL, NULL, NULL, NULL, 'BNAA04G17220D PROTEIN', NULL, NULL, NULL, 15),
(184200, NULL, 'PTHR21427:SF19', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS PROTEIN COQ9, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(184201, NULL, 'PTHR47021:SF8', NULL, NULL, NULL, NULL, 'BNAC08G40400D PROTEIN', NULL, NULL, NULL, 15),
(184202, NULL, 'PTHR24068:SF116', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2L 3A-RELATED', NULL, NULL, NULL, 15),
(184203, NULL, 'PTHR11590:SF40', NULL, NULL, NULL, NULL, 'HEMOCYTE PROTEIN-GLUTAMINE GAMMA-GLUTAMYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(184204, NULL, 'PTHR11776', NULL, NULL, NULL, NULL, 'ADENINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(184205, NULL, 'PTHR47985:SF62', NULL, NULL, NULL, NULL, 'OS01G0259200 PROTEIN', NULL, NULL, NULL, 15),
(184206, NULL, 'PTHR23119:SF37', NULL, NULL, NULL, NULL, 'FI03335P', NULL, NULL, NULL, 15),
(184207, NULL, 'PTHR31218:SF279', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(184208, NULL, 'PTHR11538:SF40', NULL, NULL, NULL, NULL, 'PHENYLALANINE--TRNA LIGASE ALPHA SUBUNIT', NULL, NULL, NULL, 15),
(184209, NULL, 'PTHR43472', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLAMINE--GLYCINE LIGASE', NULL, NULL, 3560, 15),
(184210, NULL, 'PTHR13683:SF336', NULL, NULL, NULL, NULL, 'OS06G0121800 PROTEIN', NULL, NULL, NULL, 15),
(184211, NULL, 'PTHR10627:SF67', NULL, NULL, NULL, NULL, 'HIGH DENSITY LIPOPROTEIN-BINDING PROTEIN B', NULL, NULL, NULL, 15),
(184212, NULL, 'PTHR22907:SF17', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(184213, NULL, 'PTHR31852:SF205', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA-14-RELATED', NULL, NULL, NULL, 15),
(184214, NULL, 'PTHR12103:SF16', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE-RELATED', NULL, NULL, NULL, 15),
(184215, NULL, 'PTHR43670:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184216, NULL, 'PTHR11802:SF319', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(184217, NULL, 'PTHR46162:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184218, NULL, 'PTHR31282:SF94', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR WRKY51', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184219, NULL, 'PTHR21258:SF44', NULL, NULL, NULL, NULL, 'DOCKING PROTEIN 4', NULL, NULL, NULL, 15),
(184220, NULL, 'PTHR32212:SF299', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184221, NULL, 'PTHR11122:SF52', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-EPIMERASE', NULL, NULL, NULL, 15),
(184222, NULL, 'PTHR12433:SF19', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 25-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(184223, NULL, 'PTHR14234', NULL, NULL, NULL, NULL, 'RIM BINDING PROTEIN-RELATED', NULL, NULL, 32840, 15),
(184224, NULL, 'PTHR27005:SF221', NULL, NULL, NULL, NULL, 'OS10G0142600 PROTEIN', NULL, NULL, NULL, 15),
(184225, NULL, 'PTHR48043:SF35', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(184226, NULL, 'PTHR12765:SF5', NULL, NULL, NULL, NULL, 'PROTEIN RED', NULL, NULL, NULL, 15),
(184227, NULL, 'PTHR31828:SF35', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 6-RELATED', NULL, NULL, NULL, 15),
(184228, NULL, 'PTHR11654:SF467', NULL, NULL, NULL, NULL, 'BNAANNG24930D PROTEIN', NULL, NULL, NULL, 15),
(184229, NULL, 'PTHR31210:SF61', NULL, NULL, NULL, NULL, 'KETOGLUTARATE REDUCTASE TRANS-SPLICING-RELATED PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184230, NULL, 'PTHR43490:SF82', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE-LIKE', NULL, NULL, NULL, 15),
(184231, NULL, 'PTHR33239:SF5', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN', NULL, NULL, NULL, 15),
(184232, NULL, 'PTHR22907:SF12', NULL, NULL, NULL, NULL, 'CUTICLIN-LIKE', NULL, NULL, NULL, 15),
(184233, NULL, 'PTHR47255:SF10', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 21-LIKE', NULL, NULL, NULL, 15),
(184234, NULL, 'PTHR13817:SF70', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184235, NULL, 'PTHR11106:SF93', NULL, NULL, NULL, NULL, 'ADP-RIBOSE GLYCOHYDROLASE MACROD1', NULL, NULL, NULL, 15),
(184236, NULL, 'PTHR10052:SF41', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', NULL, NULL, NULL, 15),
(184237, NULL, 'PTHR46705:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG09805', NULL, NULL, NULL, 15),
(184238, NULL, 'PTHR45665:SF32', NULL, NULL, NULL, NULL, 'MAJOR INTRINSIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184239, NULL, 'PTHR31238:SF199', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(184240, NULL, 'PTHR36074:SF2', NULL, NULL, NULL, NULL, 'BNAA02G08950D PROTEIN', NULL, NULL, NULL, 15),
(184241, NULL, 'PTHR32241:SF21', NULL, NULL, NULL, NULL, 'PATATIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(184242, NULL, 'PTHR14269:SF4', NULL, NULL, NULL, NULL, 'HYPOTHETICAL HAD-SUPERFAMILY HYDROLASE (EUROFUNG)', NULL, NULL, NULL, 15),
(184243, NULL, 'PTHR24240:SF169', NULL, NULL, NULL, NULL, 'TELEOST MULTIPLE TISSUE OPSIN 3B', NULL, NULL, NULL, 15),
(184244, NULL, 'PTHR34837:SF2', NULL, NULL, NULL, NULL, 'OS05G0595500 PROTEIN', NULL, NULL, NULL, 15),
(184245, NULL, 'PTHR31061:SF23', NULL, NULL, NULL, NULL, 'OS05G0155700 PROTEIN', NULL, NULL, NULL, 15),
(184246, NULL, 'PTHR43664', NULL, NULL, NULL, NULL, 'MONOAMINE OXIDASE-RELATED', NULL, NULL, NULL, 15),
(184247, NULL, 'PTHR11783:SF186', NULL, NULL, NULL, NULL, 'BILE SALT SULFOTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(184248, NULL, 'PTHR23316:SF1', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-9', NULL, NULL, NULL, 15),
(184249, NULL, 'PTHR31451:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184250, NULL, 'PTHR45751', NULL, NULL, NULL, NULL, 'COPINE FAMILY PROTEIN 1', NULL, NULL, NULL, 15),
(184251, NULL, 'PTHR31080:SF170', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(184252, NULL, 'PTHR12560:SF46', NULL, NULL, NULL, NULL, 'TRAM, LAG1 AND CLN8 (TLC) LIPID-SENSING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(184253, NULL, 'PTHR31089:SF30', NULL, NULL, NULL, NULL, 'CYCLIC DOF FACTOR 1-LIKE', NULL, NULL, NULL, 15),
(184254, NULL, 'PTHR16469:SF45', NULL, NULL, NULL, NULL, 'BNAA04G27420D PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184255, NULL, 'PTHR48111:SF10', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(184256, NULL, 'PTHR34708:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184257, NULL, 'PTHR11566:SF178', NULL, NULL, NULL, NULL, 'DYNAMIN-RELATED PROTEIN 4C', NULL, NULL, NULL, 15),
(184258, NULL, 'PTHR46438:SF6', NULL, NULL, NULL, NULL, 'SLL0553 PROTEIN', NULL, NULL, NULL, 15),
(184259, NULL, 'PTHR35103:SF4', NULL, NULL, NULL, NULL, 'BNAA03G49180D PROTEIN', NULL, NULL, NULL, 15),
(184260, NULL, 'PTHR32370:SF99', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN DOT3', NULL, NULL, NULL, 15),
(184261, NULL, 'PTHR46932:SF13', NULL, NULL, NULL, NULL, 'OS04G0467950 PROTEIN', NULL, NULL, NULL, 15),
(184262, NULL, 'PTHR30419:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORS, LYSR FAMILY', NULL, NULL, NULL, 15),
(184263, NULL, 'PTHR36521', NULL, NULL, NULL, NULL, 'GEO07177P1', NULL, NULL, NULL, 15),
(184264, NULL, 'PTHR24055:SF415', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 16', NULL, NULL, NULL, 15),
(184265, NULL, 'PTHR11880:SF46', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S19, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(184266, NULL, 'PTHR21339', NULL, NULL, NULL, NULL, 'RADICAL S-ADENOSYL METHIONINE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(184267, NULL, 'PTHR31144', NULL, NULL, NULL, NULL, 'UPF0602 PROTEIN C4ORF47', NULL, NULL, 28321, 15),
(184268, NULL, 'PTHR12266:SF1', NULL, NULL, NULL, NULL, 'NA/CA EXCHANGERS', NULL, NULL, NULL, 15),
(184269, NULL, 'PTHR13102:SF0', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 9', NULL, NULL, NULL, 15),
(184270, NULL, 'PTHR24035:SF127', NULL, NULL, NULL, NULL, 'EGF-LIKE AND EMI DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(184271, NULL, 'PTHR33347:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184272, NULL, 'PTHR22635', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 36315, 15),
(184273, NULL, 'PTHR16290:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184274, NULL, 'PTHR23250:SF10', NULL, NULL, NULL, NULL, 'TECTONIN BETA-PROPELLER REPEAT-CONTAINING 1B', NULL, NULL, NULL, 15),
(184275, NULL, 'PTHR12963', NULL, NULL, NULL, NULL, 'THYROID RECEPTOR INTERACTING PROTEIN RELATED', NULL, NULL, 30081, 15),
(184276, NULL, 'PTHR30024:SF7', NULL, NULL, NULL, NULL, 'NITRATE/NITRITE BINDING PROTEIN NRTA', NULL, NULL, NULL, 15),
(184277, NULL, 'PTHR16270', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC287798', NULL, NULL, 30585, 15),
(184278, NULL, 'PTHR12570:SF76', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(184279, NULL, 'PTHR10909:SF386', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, NULL, 15),
(184280, NULL, 'PTHR47156:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG19935', NULL, NULL, NULL, 15),
(184281, NULL, 'PTHR42886:SF23', NULL, NULL, NULL, NULL, '1-ACYLGLYCEROL-3-PHOSPHATE O-ACYLTRANSFERASE ICT1-RELATED', NULL, NULL, NULL, 15),
(184282, NULL, 'PTHR43829', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', NULL, NULL, NULL, 15),
(184283, NULL, 'PTHR31115:SF2', NULL, NULL, NULL, NULL, 'OS05G0107300 PROTEIN', NULL, NULL, NULL, 15),
(184284, NULL, 'PTHR31218:SF214', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(184285, NULL, 'PTHR48001:SF10', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1J4', NULL, NULL, NULL, 15),
(184286, NULL, 'PTHR46400:SF5', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(184287, NULL, 'PTHR26450:SF29', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 609', NULL, NULL, NULL, 15),
(184288, NULL, 'PTHR47993:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184289, NULL, 'PTHR30295', NULL, NULL, NULL, NULL, 'BACTERIOFERRITIN', NULL, NULL, NULL, 15),
(184290, NULL, 'PTHR47849:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184291, NULL, 'PTHR43657:SF3', NULL, NULL, NULL, NULL, 'BIOGENESIS PROTEIN-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184292, NULL, 'PTHR31009:SF111', NULL, NULL, NULL, NULL, 'BNAC01G24260D PROTEIN', NULL, NULL, NULL, 15),
(184293, NULL, 'PTHR32285:SF157', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 30', NULL, NULL, NULL, 15),
(184294, NULL, 'PTHR24103:SF629', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184295, NULL, 'PTHR30632:SF11', NULL, NULL, NULL, NULL, 'BLR4797 PROTEIN', NULL, NULL, NULL, 15),
(184296, NULL, 'PTHR13563', NULL, NULL, NULL, NULL, 'TRNA (GUANINE-9-) METHYLTRANSFERASE', NULL, NULL, 5813, 15),
(184297, NULL, 'PTHR23127:SF0', NULL, NULL, NULL, NULL, 'H/ACA RIBONUCLEOPROTEIN COMPLEX SUBUNIT DKC1', NULL, NULL, NULL, 15),
(184298, NULL, 'PTHR48053:SF41', NULL, NULL, NULL, NULL, 'OS07G0498400 PROTEIN', NULL, NULL, NULL, 15),
(184299, NULL, 'PTHR11783:SF215', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(184300, NULL, 'PTHR12411:SF561', NULL, NULL, NULL, NULL, 'COUNTING FACTOR ASSOCIATED PROTEIN D', NULL, NULL, NULL, 15),
(184301, NULL, 'PTHR11527:SF336', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184302, NULL, 'PTHR11101:SF65', NULL, NULL, NULL, NULL, 'LOW-AFFINITY INORGANIC PHOSPHATE TRANSPORTER 1-RELATED', NULL, NULL, NULL, 15),
(184303, NULL, 'PTHR10994:SF169', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(184304, NULL, 'PTHR12345:SF17', NULL, NULL, NULL, NULL, 'SDCBP PROTEIN', NULL, NULL, NULL, 15),
(184305, NULL, 'PTHR46128:SF91', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(184306, NULL, 'PTHR11732:SF480', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER C21', NULL, NULL, NULL, 15),
(184307, NULL, 'PTHR10799:SF963', NULL, NULL, NULL, NULL, 'SNF2-RELATED DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(184308, NULL, 'PTHR23502:SF7', NULL, NULL, NULL, NULL, 'DRUG/PROTON ANTIPORTER YHK8-RELATED', NULL, NULL, NULL, 15),
(184309, NULL, 'PTHR22765:SF279', NULL, NULL, NULL, NULL, 'RPM1 INTERACTING PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(184310, NULL, 'PTHR37989:SF32', NULL, NULL, NULL, NULL, 'BETA-MANNOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(184311, NULL, 'PTHR46662:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184312, NULL, 'PTHR46163:SF20', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(184313, NULL, 'PTHR10013:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184314, NULL, 'PTHR11654:SF85', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.2', NULL, NULL, NULL, 15),
(184315, NULL, 'PTHR43312:SF1', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE', NULL, NULL, NULL, 15),
(184316, NULL, 'PTHR30006:SF15', NULL, NULL, NULL, NULL, 'IRON-UTILIZATION PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(184317, NULL, 'PTHR30024:SF8', NULL, NULL, NULL, NULL, 'SLL0473 PROTEIN', NULL, NULL, NULL, 15),
(184318, NULL, 'PTHR21229:SF70', NULL, NULL, NULL, NULL, 'BNAC02G33530D PROTEIN', NULL, NULL, NULL, 15),
(184319, NULL, 'PTHR22957:SF536', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 9', NULL, NULL, NULL, 15),
(184320, NULL, 'PTHR11615:SF281', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 3', NULL, NULL, NULL, 15),
(184321, NULL, 'PTHR11157:SF142', NULL, NULL, NULL, NULL, 'ELO FAMILY-RELATED', NULL, NULL, NULL, 15),
(184322, NULL, 'PTHR26450:SF193', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(184323, NULL, 'PTHR10288:SF286', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 44', NULL, NULL, NULL, 15),
(184324, NULL, 'PTHR31618:SF21', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 4', NULL, NULL, NULL, 15),
(184325, NULL, 'PTHR24168:SF24', NULL, NULL, NULL, NULL, 'KN MOTIF AND ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(184326, NULL, 'PTHR14308', NULL, NULL, NULL, NULL, 'WAP FOUR-DISULFIDE CORE DOMAIN PROTEIN 1', NULL, NULL, 39193, 15),
(184327, NULL, 'PTHR27001:SF594', NULL, NULL, NULL, NULL, 'OSJNBA0039K24.19 PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184328, NULL, 'PTHR10795:SF649', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184329, NULL, 'PTHR31867:SF102', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(184330, NULL, 'PTHR31855:SF2', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE C9ORF72', NULL, NULL, NULL, 15),
(184331, NULL, 'PTHR14140:SF38', NULL, NULL, NULL, NULL, 'BNAA09G42540D PROTEIN', NULL, NULL, NULL, 15),
(184332, NULL, 'PTHR37203:SF3', NULL, NULL, NULL, NULL, 'OS09G0448900 PROTEIN', NULL, NULL, NULL, 15),
(184333, NULL, 'PTHR33576:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184334, NULL, 'PTHR35110', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(184335, NULL, 'PTHR11351:SF74', NULL, NULL, NULL, NULL, 'BNAA03G57550D PROTEIN', NULL, NULL, NULL, 15),
(184336, NULL, 'PTHR47647', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 12 MEMBER B', NULL, NULL, 36979, 15),
(184337, NULL, 'PTHR42743:SF10', NULL, NULL, NULL, NULL, 'D-ALANINE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(184338, NULL, 'PTHR10361:SF19', NULL, NULL, NULL, NULL, 'ILEAL SODIUM/BILE ACID COTRANSPORTER', NULL, NULL, 25577, 15),
(184339, NULL, 'PTHR23257:SF703', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE PYK3', NULL, NULL, NULL, 15),
(184340, NULL, 'PTHR11017:SF330', NULL, NULL, NULL, NULL, 'BNAA02G04080D PROTEIN', NULL, NULL, NULL, 15),
(184341, NULL, 'PTHR22941:SF295', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(184342, NULL, 'PTHR13301:SF218', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(184343, NULL, 'PTHR27006:SF364', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184344, NULL, 'PTHR46926', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN DOMAIN-CONTAINING CYSTEINE-RICH PROTEIN 2', NULL, NULL, 34021, 15),
(184345, NULL, 'PTHR46435:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECTD4-RELATED', NULL, NULL, NULL, 15),
(184346, NULL, 'PTHR22952:SF389', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 4 ISOFORM X1', NULL, NULL, NULL, 15),
(184347, NULL, 'PTHR31618:SF23', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN', NULL, NULL, NULL, 15),
(184348, NULL, 'PTHR13140:SF791', NULL, NULL, NULL, NULL, 'BNAC09G37370D PROTEIN', NULL, NULL, NULL, 15),
(184349, NULL, 'PTHR24286:SF192', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 90B1-LIKE', NULL, NULL, NULL, 15),
(184350, NULL, 'PTHR33110:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184351, NULL, 'PTHR31374:SF248', NULL, NULL, NULL, NULL, 'BNAA01G05940D PROTEIN', NULL, NULL, NULL, 15),
(184352, NULL, 'PTHR48011:SF35', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 3-LIKE', NULL, NULL, NULL, 15),
(184353, NULL, 'PTHR38344', NULL, NULL, NULL, NULL, 'UPF0753 PROTEIN AQ_863', NULL, NULL, 18843, 15),
(184354, NULL, 'PTHR22605:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184355, NULL, 'PTHR31707:SF312', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(184356, NULL, 'PTHR31803:SF29', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE 1A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(184357, NULL, 'PTHR21299:SF1', NULL, NULL, NULL, NULL, 'PANTOATE--BETA-ALANINE LIGASE', NULL, NULL, 2021, 15),
(184358, NULL, 'PTHR35687:SF6', NULL, NULL, NULL, NULL, 'BNAA09G47600D PROTEIN', NULL, NULL, NULL, 15),
(184359, NULL, 'PTHR31080:SF160', NULL, NULL, NULL, NULL, '21 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15),
(184360, NULL, 'PTHR23257:SF838', NULL, NULL, NULL, NULL, 'BNAC03G67730D PROTEIN', NULL, NULL, NULL, 15),
(184361, NULL, 'PTHR23272:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184362, NULL, 'PTHR46125:SF19', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 28-LIKE', NULL, NULL, NULL, 15),
(184363, NULL, 'PTHR22930:SF190', NULL, NULL, NULL, NULL, 'OS06G0164500 PROTEIN', NULL, NULL, NULL, 15),
(184364, NULL, 'PTHR11818:SF55', NULL, NULL, NULL, NULL, 'CRYSTALLIN, BETA B1,-LIKE 1-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184365, NULL, 'PTHR10994:SF154', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B11', NULL, NULL, NULL, 15),
(184366, NULL, 'PTHR11002:SF12', NULL, NULL, NULL, NULL, 'CARBONIC ANHYDRASE', NULL, NULL, NULL, 15),
(184367, NULL, 'PTHR31235:SF341', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(184368, NULL, 'PTHR32063:SF9', NULL, NULL, NULL, NULL, 'SIMILAR TO MULTIDRUG RESISTANCE PROTEIN MEXB', NULL, NULL, NULL, 15),
(184369, NULL, 'PTHR31210:SF75', NULL, NULL, NULL, NULL, 'OS05G0108100 PROTEIN', NULL, NULL, NULL, 15),
(184370, NULL, 'PTHR24176:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 31-RELATED', NULL, NULL, NULL, 15),
(184371, NULL, 'PTHR46944', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 33', NULL, NULL, 37958, 15),
(184372, NULL, 'PTHR42872:SF6', NULL, NULL, NULL, NULL, 'PROTEIN-GLUTAMATE METHYLESTERASE/PROTEIN-GLUTAMINE GLUTAMINASE 2', NULL, NULL, NULL, 15),
(184373, NULL, 'PTHR14024', NULL, NULL, NULL, NULL, 'PERILIPIN', NULL, NULL, NULL, 15),
(184374, NULL, 'PTHR13068:SF109', NULL, NULL, NULL, NULL, 'TRANSCRIPTION TERMINATION FACTOR MTERF4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(184375, NULL, 'PTHR32338:SF9', NULL, NULL, NULL, NULL, 'ASPARTATE-SEMIALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(184376, NULL, 'PTHR33193:SF32', NULL, NULL, NULL, NULL, 'OS05G0356800 PROTEIN', NULL, NULL, NULL, 15),
(184377, NULL, 'PTHR10556:SF28', NULL, NULL, NULL, NULL, 'SC2', NULL, NULL, NULL, 15),
(184378, NULL, 'PTHR48017:SF84', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 7-RELATED', NULL, NULL, NULL, 15),
(184379, NULL, 'PTHR45622:SF14', NULL, NULL, NULL, NULL, 'REGULATOR OF CHROMOSOME CONDENSATION (RCC1) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(184380, NULL, 'PTHR31985:SF186', NULL, NULL, NULL, NULL, 'AP2/ERF TRANSCRIPTION FACTOR ERF/PTI6-RELATED', NULL, NULL, NULL, 15),
(184381, NULL, 'PTHR42730:SF1', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE SYNTHASE SUBUNIT KORC', NULL, NULL, NULL, 15),
(184382, NULL, 'PTHR10442:SF16', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', NULL, NULL, NULL, 15),
(184383, NULL, 'PTHR24414:SF141', NULL, NULL, NULL, NULL, 'BNAA07G38620D PROTEIN', NULL, NULL, NULL, 15),
(184384, NULL, 'PTHR10913:SF9', NULL, NULL, NULL, NULL, 'FOLLISTATIN-RELATED PROTEIN 4', NULL, NULL, NULL, 15),
(184385, NULL, 'PTHR30055:SF119', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(184386, NULL, 'PTHR18901:SF38', NULL, NULL, NULL, NULL, 'PSEUDOURIDINE-5''-PHOSPHATASE', NULL, NULL, NULL, 15),
(184387, NULL, 'PTHR11472', NULL, NULL, NULL, NULL, 'DNA REPAIR DEAD HELICASE RAD3/XP-D SUBFAMILY MEMBER', NULL, NULL, 38053, 15),
(184388, NULL, 'PTHR36772:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE', NULL, NULL, NULL, 15),
(184389, NULL, 'PTHR20932:SF33', NULL, NULL, NULL, NULL, 'BNAC09G47710D PROTEIN', NULL, NULL, NULL, 15),
(184390, NULL, 'PTHR45774', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(184391, NULL, 'PTHR12775', NULL, NULL, NULL, NULL, 'PROTEIN C20ORF43 HOMOLOG', NULL, NULL, 2940, 15),
(184392, NULL, 'PTHR27006:SF355', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 3', NULL, NULL, NULL, 15),
(184393, NULL, 'PTHR23079:SF1', NULL, NULL, NULL, NULL, 'RNA-DEPENDENT RNA POLYMERASE FAMILY', NULL, NULL, NULL, 15),
(184394, NULL, 'PTHR46769:SF4', NULL, NULL, NULL, NULL, 'FIBROCYSTIN-L', NULL, NULL, 27453, 15),
(184395, NULL, 'PTHR21514', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35766, 15),
(184396, NULL, 'PTHR43078:SF14', NULL, NULL, NULL, NULL, 'OS01G0315800 PROTEIN', NULL, NULL, NULL, 15),
(184397, NULL, 'PTHR31100:SF58', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(184398, NULL, 'PTHR31727:SF10', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', NULL, NULL, NULL, 15),
(184399, NULL, 'PTHR11588:SF327', NULL, NULL, NULL, NULL, 'TUBULIN BETA-5 CHAIN', NULL, NULL, NULL, 15),
(184400, NULL, 'PTHR31992:SF209', NULL, NULL, NULL, NULL, 'BNAA02G06470D PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184401, NULL, 'PTHR24092:SF172', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(184402, NULL, 'PTHR48017:SF28', NULL, NULL, NULL, NULL, 'BNAA09G35330D PROTEIN', NULL, NULL, NULL, 15),
(184403, NULL, 'PTHR10909:SF381', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, NULL, 15),
(184404, NULL, 'PTHR45787:SF3', NULL, NULL, NULL, NULL, 'RHOMBOTIN-2', NULL, NULL, NULL, 15),
(184405, NULL, 'PTHR21711:SF0', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE ATP23 HOMOLOG', NULL, NULL, NULL, 15),
(184406, NULL, 'PTHR31849:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH DPF MOTIF DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(184407, NULL, 'PTHR11958:SF48', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(184408, NULL, 'PTHR32487:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184409, NULL, 'PTHR12228:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 7', NULL, NULL, NULL, 15),
(184410, NULL, 'PTHR43539:SF60', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(184411, NULL, 'PTHR23070:SF128', NULL, NULL, NULL, NULL, 'AAA-ATPASE ASD, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(184412, NULL, 'PTHR31852:SF179', NULL, NULL, NULL, NULL, 'EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184413, NULL, 'PTHR18952:SF221', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 7-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(184414, NULL, 'PTHR15556', NULL, NULL, NULL, NULL, 'EP300-INTERACTING INHIBITOR OF DIFFERENTIATION 2-RELATED', NULL, NULL, 34480, 15),
(184415, NULL, 'PTHR32440:SF0', NULL, NULL, NULL, NULL, 'PHOSPHATASE DCR2-RELATED', NULL, NULL, NULL, 15),
(184416, NULL, 'PTHR11863:SF188', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 1-LIKE', NULL, NULL, NULL, 15),
(184417, NULL, 'PTHR33801:SF20', NULL, NULL, NULL, NULL, 'ABSCISIC STRESS-RIPENING PROTEIN 1', NULL, NULL, NULL, 15),
(184418, NULL, 'PTHR22765:SF297', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184419, NULL, 'PTHR47270:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184420, NULL, 'PTHR33307:SF8', NULL, NULL, NULL, NULL, 'ALPHA-RHAMNOSIDASE (EUROFUNG)', NULL, NULL, NULL, 15),
(184421, NULL, 'PTHR24023:SF1023', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-3(V) CHAIN', NULL, NULL, NULL, 15),
(184422, NULL, 'PTHR31086:SF22', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 8', NULL, NULL, NULL, 15),
(184423, NULL, 'PTHR11984:SF61', NULL, NULL, NULL, NULL, 'GAP JUNCTION PROTEIN', NULL, NULL, NULL, 15),
(184424, NULL, 'PTHR37774:SF4', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN MI25-RELATED', NULL, NULL, NULL, 15),
(184425, NULL, 'PTHR31374:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184426, NULL, 'PTHR13773', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE CYTIDYLYLTRANSFERASE', NULL, NULL, 21542, 15),
(184427, NULL, 'PTHR23086:SF57', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 6', NULL, NULL, NULL, 15),
(184428, NULL, 'PTHR33057:SF116', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP18', NULL, NULL, NULL, 15),
(184429, NULL, 'PTHR24347:SF254', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE H1', NULL, NULL, NULL, 15),
(184430, NULL, 'PTHR33021:SF242', NULL, NULL, NULL, NULL, 'BASIC BLUE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(184431, NULL, 'PTHR21207:SF2', NULL, NULL, NULL, NULL, 'PARKIN COREGULATED GENE PROTEIN', NULL, NULL, NULL, 15),
(184432, NULL, 'PTHR32183:SF15', NULL, NULL, NULL, NULL, 'THIOL METHYLTRANSFERASE 1-RELATED', NULL, NULL, NULL, 15),
(184433, NULL, 'PTHR31086:SF56', NULL, NULL, NULL, NULL, 'ALUMINUM-ACTIVATED MALATE TRANSPORTER 12-LIKE', NULL, NULL, NULL, 15),
(184434, NULL, 'PTHR11732:SF452', NULL, NULL, NULL, NULL, 'D-ARABINOSE DEHYDROGENASE [NAD(P)+] HEAVY CHAIN', NULL, NULL, NULL, 15),
(184435, NULL, 'PTHR19321:SF1', NULL, NULL, NULL, NULL, 'PROTEIN REGULATOR OF CYTOKINESIS 1', NULL, NULL, 6793, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184436, NULL, 'PTHR15268', NULL, NULL, NULL, NULL, 'THRAP3/BCLAF1', NULL, NULL, 29455, 15),
(184437, NULL, 'PTHR34554:SF1', NULL, NULL, NULL, NULL, 'ALANINE-TRNA LIGASE', NULL, NULL, NULL, 15),
(184438, NULL, 'PTHR22625', NULL, NULL, NULL, NULL, 'PLEXIN', NULL, NULL, 25612, 15),
(184439, NULL, 'PTHR32100:SF60', NULL, NULL, NULL, NULL, 'BNAA04G17150D PROTEIN', NULL, NULL, NULL, 15),
(184440, NULL, 'PTHR11705:SF60', NULL, NULL, NULL, NULL, 'FI16720P1', NULL, NULL, NULL, 15),
(184441, NULL, 'PTHR11214:SF289', NULL, NULL, NULL, NULL, 'BNAA06G17040D PROTEIN', NULL, NULL, NULL, 15),
(184442, NULL, 'PTHR22997:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184443, NULL, 'PTHR32227:SF142', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE', NULL, NULL, NULL, 15),
(184444, NULL, 'PTHR31503:SF68', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184445, NULL, 'PTHR33142:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184446, NULL, 'PTHR47958:SF14', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 14', NULL, NULL, NULL, 15),
(184447, NULL, 'PTHR31496:SF27', NULL, NULL, NULL, NULL, 'KANADI1', NULL, NULL, NULL, 15),
(184448, NULL, 'PTHR47924:SF47', NULL, NULL, NULL, NULL, 'BNAANNG11600D PROTEIN', NULL, NULL, NULL, 15),
(184449, NULL, 'PTHR31428:SF3', NULL, NULL, NULL, NULL, 'HEMOJUVELIN', NULL, NULL, 33878, 15),
(184450, NULL, 'PTHR22938:SF0', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZNF598', NULL, NULL, NULL, 15),
(184451, NULL, 'PTHR31205:SF2', NULL, NULL, NULL, NULL, 'ACTIN CROSS-LINKING PROTEIN (DUF569)', NULL, NULL, NULL, 15),
(184452, NULL, 'PTHR31374:SF168', NULL, NULL, NULL, NULL, 'AUXIN-REGULATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184453, NULL, 'PTHR11309:SF136', NULL, NULL, NULL, NULL, 'FRIZZLED-5', NULL, NULL, NULL, 15),
(184454, NULL, 'PTHR46128:SF243', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184455, NULL, 'PTHR14233:SF10', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 35 MEMBER F1', NULL, NULL, NULL, 15),
(184456, NULL, 'PTHR24423', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SENSOR HISTIDINE KINASE', NULL, NULL, NULL, 15),
(184457, NULL, 'PTHR31346:SF11', NULL, NULL, NULL, NULL, 'ORGANELLE RRM DOMAIN-CONTAINING PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(184458, NULL, 'PTHR11017:SF340', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY-RELATED', NULL, NULL, NULL, 15),
(184459, NULL, 'PTHR23081:SF17', NULL, NULL, NULL, NULL, 'RNA POLYMERASE II C-TERMINAL DOMAIN PHOSPHATASE-LIKE 1', NULL, NULL, NULL, 15),
(184460, NULL, 'PTHR10559:SF14', NULL, NULL, NULL, NULL, 'TRANSCOBALAMIN-2', NULL, NULL, NULL, 15),
(184461, NULL, 'PTHR31235:SF16', NULL, NULL, NULL, NULL, 'PEROXIDASE 43', NULL, NULL, NULL, 15),
(184462, NULL, 'PTHR24559:SF381', NULL, NULL, NULL, NULL, 'ZGC:113436', NULL, NULL, NULL, 15),
(184463, NULL, 'PTHR30055:SF200', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN (PROBABLY TETR/ACRR-FAMILY)-RELATED', NULL, NULL, NULL, 15),
(184464, NULL, 'PTHR46431:SF6', NULL, NULL, NULL, NULL, 'BNAC05G09390D PROTEIN', NULL, NULL, NULL, 15),
(184465, NULL, 'PTHR31948:SF16', NULL, NULL, NULL, NULL, 'ZINC-FINGER HOMEODOMAIN PROTEIN 11', NULL, NULL, NULL, 15),
(184466, NULL, 'PTHR34456:SF9', NULL, NULL, NULL, NULL, 'MITOVIRUS RNA-DEPENDENT RNA POLYMERASE', NULL, NULL, NULL, 15),
(184467, NULL, 'PTHR12138:SF100', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 122', NULL, NULL, 33257, 15),
(184468, NULL, 'PTHR47116:SF7', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(184469, NULL, 'PTHR31293:SF19', NULL, NULL, NULL, NULL, 'BNACNNG15280D PROTEIN', NULL, NULL, NULL, 15),
(184470, NULL, 'PTHR40111:SF1', NULL, NULL, NULL, NULL, 'CEPHALOSPORIN-C DEACETYLASE', NULL, NULL, NULL, 15),
(184471, NULL, 'PTHR11539:SF0', NULL, NULL, NULL, NULL, 'V(D)J RECOMBINATION-ACTIVATING PROTEIN 1', NULL, NULL, NULL, 15),
(184472, NULL, 'PTHR31529:SF38', NULL, NULL, NULL, NULL, 'LATERAL ORGAN BOUNDARIES-DOMAIN 16-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184473, NULL, 'PTHR23349:SF40', NULL, NULL, NULL, NULL, 'SI:CH211-246M6.4', NULL, NULL, NULL, 15),
(184474, NULL, 'PTHR21576:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184475, NULL, 'PTHR13774:SF17', NULL, NULL, NULL, NULL, 'PHENAZINE BIOSYNTHESIS-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(184476, NULL, 'PTHR10314:SF184', NULL, NULL, NULL, NULL, 'OS06G0149900 PROTEIN', NULL, NULL, NULL, 15),
(184477, NULL, 'PTHR46128:SF185', NULL, NULL, NULL, NULL, 'PROTEIN RF1, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(184478, NULL, 'PTHR22957:SF583', NULL, NULL, NULL, NULL, 'OS10G0518100 PROTEIN', NULL, NULL, NULL, 15),
(184479, NULL, 'PTHR24115:SF418', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIF12', NULL, NULL, 22198, 15),
(184480, NULL, 'PTHR43582:SF3', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(184481, NULL, 'PTHR13843:SF13', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 1AA', NULL, NULL, NULL, 15),
(184482, NULL, 'PTHR16255:SF15', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN RMD1', NULL, NULL, NULL, 15),
(184483, NULL, 'PTHR26453:SF76', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13H1', NULL, NULL, NULL, 15),
(184484, NULL, 'PTHR34533:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN CCDC163', NULL, NULL, NULL, 15),
(184485, NULL, 'PTHR24281:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184486, NULL, 'PTHR33137:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184487, NULL, 'PTHR48002:SF47', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(184488, NULL, 'PTHR24103:SF568', NULL, NULL, NULL, NULL, 'B BOX AND SPRY DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(184489, NULL, 'PTHR42861:SF72', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE ATPASE', NULL, NULL, NULL, 15),
(184490, NULL, 'PTHR15073:SF4', NULL, NULL, NULL, NULL, 'ENSCONSIN', NULL, NULL, 26803, 15),
(184491, NULL, 'PTHR31152:SF18', NULL, NULL, NULL, NULL, 'PLAC8 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184492, NULL, 'PTHR31048:SF132', NULL, NULL, NULL, NULL, 'PRU PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184493, NULL, 'PTHR31992:SF197', NULL, NULL, NULL, NULL, 'OS03G0821200 PROTEIN', NULL, NULL, NULL, 15),
(184494, NULL, 'PTHR10015:SF372', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(184495, NULL, 'PTHR46128:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184496, NULL, 'PTHR35013', NULL, NULL, NULL, NULL, 'PROTEIN CBG22618-RELATED', NULL, NULL, 13516, 15),
(184497, NULL, 'PTHR12363', NULL, NULL, NULL, NULL, 'TRANSPORTIN 3 AND IMPORTIN 13', NULL, NULL, NULL, 15),
(184498, NULL, 'PTHR11661:SF24', NULL, NULL, NULL, NULL, 'BNAA07G37750D PROTEIN', NULL, NULL, NULL, 15),
(184499, NULL, 'PTHR14134:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184500, NULL, 'PTHR24384:SF114', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 273', NULL, NULL, NULL, 15),
(184501, NULL, 'PTHR23036:SF51', NULL, NULL, NULL, NULL, 'INTERLEUKIN-12 RECEPTOR SUBUNIT BETA-1', NULL, NULL, NULL, 15),
(184502, NULL, 'PTHR12151:SF23', NULL, NULL, NULL, NULL, 'BNAC03G36280D PROTEIN', NULL, NULL, NULL, 15),
(184503, NULL, 'PTHR13738:SF31', NULL, NULL, NULL, NULL, 'TROPONIN I TYPE 2A (SKELETAL, FAST), TANDEM DUPLICATE 3-RELATED', NULL, NULL, NULL, 15),
(184504, NULL, 'PTHR11455', NULL, NULL, NULL, NULL, 'CRYPTOCHROME', NULL, NULL, 1209, 15),
(184505, NULL, 'PTHR22930:SF214', NULL, NULL, NULL, NULL, 'OS03G0689866 PROTEIN', NULL, NULL, NULL, 15),
(184506, NULL, 'PTHR43294:SF16', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(184507, NULL, 'PTHR19359:SF92', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE', NULL, NULL, NULL, 15),
(184508, NULL, 'PTHR23430:SF327', NULL, NULL, NULL, NULL, 'HISTONE H2A VARIANT 1-RELATED', NULL, NULL, NULL, 15),
(184509, NULL, 'PTHR46838:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-261N11.8', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184510, NULL, 'PTHR16271:SF11', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 34', NULL, NULL, NULL, 15),
(184511, NULL, 'PTHR12366:SF32', NULL, NULL, NULL, NULL, 'ASPARTATE BETA-HYDROXYLASE', NULL, NULL, NULL, 15),
(184512, NULL, 'PTHR46267:SF12', NULL, NULL, NULL, NULL, 'SINGLE MYB HISTONE 5', NULL, NULL, NULL, 15),
(184513, NULL, 'PTHR36030:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184514, NULL, 'PTHR42980', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT BETA-RELATED', NULL, NULL, NULL, 15),
(184515, NULL, 'PTHR31210:SF55', NULL, NULL, NULL, NULL, 'OS07G0564800 PROTEIN', NULL, NULL, NULL, 15),
(184516, NULL, 'PTHR12652:SF46', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN 11E', NULL, NULL, NULL, 15),
(184517, NULL, 'PTHR43420', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(184518, NULL, 'PTHR21068:SF29', NULL, NULL, NULL, NULL, 'BNAANNG08350D PROTEIN', NULL, NULL, NULL, 15),
(184519, NULL, 'PTHR37534:SF4', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(184520, NULL, 'PTHR44090', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 61', NULL, NULL, NULL, 15),
(184521, NULL, 'PTHR11616:SF237', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(184522, NULL, 'PTHR10869:SF178', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT OXYGENASE-RELATED', NULL, NULL, NULL, 15),
(184523, NULL, 'PTHR24126:SF45', NULL, NULL, NULL, NULL, 'ANKRD23 PROTEIN', NULL, NULL, 28754, 15),
(184524, NULL, 'PTHR24286:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184525, NULL, 'PTHR33143:SF52', NULL, NULL, NULL, NULL, 'OS02G0539500 PROTEIN', NULL, NULL, NULL, 15),
(184526, NULL, 'PTHR30363:SF44', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN, DEOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(184527, NULL, 'PTHR43265', NULL, NULL, NULL, NULL, 'ESTERASE ESTD', NULL, NULL, NULL, 15),
(184528, NULL, 'PTHR11654:SF325', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(184529, NULL, 'PTHR48018:SF96', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(184530, NULL, 'PTHR15067:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF8', NULL, NULL, NULL, 15),
(184531, NULL, 'PTHR34223:SF36', NULL, NULL, NULL, NULL, 'OS08G0150600 PROTEIN', NULL, NULL, NULL, 15),
(184532, NULL, 'PTHR12392:SF0', NULL, NULL, NULL, NULL, 'LADININ-1', NULL, NULL, NULL, 15),
(184533, NULL, 'PTHR33271:SF24', NULL, NULL, NULL, NULL, 'RMLC-LIKE CUPINS SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(184534, NULL, 'PTHR31245:SF25', NULL, NULL, NULL, NULL, 'OS06G0642600 PROTEIN', NULL, NULL, NULL, 15),
(184535, NULL, 'PTHR13748:SF59', NULL, NULL, NULL, NULL, 'COBW DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(184536, NULL, 'PTHR30572:SF14', NULL, NULL, NULL, NULL, 'MACROLIDE EXPORT ATP-BINDING/PERMEASE PROTEIN MACB', NULL, NULL, NULL, 15),
(184537, NULL, 'PTHR11049:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184538, NULL, 'PTHR47505', NULL, NULL, NULL, NULL, 'DNA UTILIZATION PROTEIN YHGH', NULL, NULL, NULL, 15),
(184539, NULL, 'PTHR45708:SF47', NULL, NULL, NULL, NULL, 'ENDOCHITINASE A', NULL, NULL, NULL, 15),
(184540, NULL, 'PTHR37703:SF3', NULL, NULL, NULL, NULL, 'BNAA07G36640D PROTEIN', NULL, NULL, NULL, 15),
(184541, NULL, 'PTHR10517:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184542, NULL, 'PTHR14237:SF54', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(184543, NULL, 'PTHR24223:SF412', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 10-LIKE', NULL, NULL, NULL, 15),
(184544, NULL, 'PTHR13980:SF16', NULL, NULL, NULL, NULL, 'METALLOPEPTIDASE FAMILY M24 CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(184545, NULL, 'PTHR46516:SF1', NULL, NULL, NULL, NULL, 'TRNA-SPECIFIC ADENOSINE DEAMINASE 1', NULL, NULL, NULL, 15),
(184546, NULL, 'PTHR14559:SF3', NULL, NULL, NULL, NULL, 'CASPASE RECRUITMENT DOMAIN-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184547, NULL, 'PTHR30523:SF38', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE 1', NULL, NULL, NULL, 15),
(184548, NULL, 'PTHR44750', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE T1-RELATED', NULL, NULL, 39013, 15),
(184549, NULL, 'PTHR45627:SF12', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 1', NULL, NULL, NULL, 15),
(184550, NULL, 'PTHR33018:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184551, NULL, 'PTHR45717:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184552, NULL, 'PTHR33697:SF5', NULL, NULL, NULL, NULL, 'PWWP DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184553, NULL, 'PTHR23239:SF354', NULL, NULL, NULL, NULL, 'KERATIN, TYPE 1, GENE C5', NULL, NULL, NULL, 15),
(184554, NULL, 'PTHR10366:SF355', NULL, NULL, NULL, NULL, 'HYDROXYSTEROID DEHYDROGENASE HOMOLOG', NULL, NULL, NULL, 15),
(184555, NULL, 'PTHR15564:SF2', NULL, NULL, NULL, NULL, 'BMP/RETINOIC ACID-INDUCIBLE NEURAL-SPECIFIC PROTEIN 3', NULL, NULL, NULL, 15),
(184556, NULL, 'PTHR10443:SF21', NULL, NULL, NULL, NULL, 'DIPEPTIDASE', NULL, NULL, NULL, 15),
(184557, NULL, 'PTHR44783:SF1', NULL, NULL, NULL, NULL, 'CXADR-LIKE MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(184558, NULL, 'PTHR47938:SF8', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(184559, NULL, 'PTHR10572', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE', NULL, NULL, 135, 15),
(184560, NULL, 'PTHR23430:SF199', NULL, NULL, NULL, NULL, 'HISTONE H2AX', NULL, NULL, NULL, 15),
(184561, NULL, 'PTHR31156:SF26', NULL, NULL, NULL, NULL, 'SPEEDY PROTEIN E1-RELATED', NULL, NULL, NULL, 15),
(184562, NULL, 'PTHR22870:SF383', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184563, NULL, 'PTHR14379:SF17', NULL, NULL, NULL, NULL, 'EMB|CAB71880.1', NULL, NULL, NULL, 15),
(184564, NULL, 'PTHR45656:SF6', NULL, NULL, NULL, NULL, 'CUB AND SUSHI DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(184565, NULL, 'PTHR46096:SF1', NULL, NULL, NULL, NULL, 'PERFORIN 1.5-RELATED', NULL, NULL, NULL, 15),
(184566, NULL, 'PTHR11668:SF468', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE BSL1-RELATED', NULL, NULL, NULL, 15),
(184567, NULL, 'PTHR48019:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184568, NULL, 'PTHR10977:SF3', NULL, NULL, NULL, NULL, 'DIPHOSPHOMEVALONATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(184569, NULL, 'PTHR12560:SF50', NULL, NULL, NULL, NULL, 'ASC1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(184570, NULL, 'PTHR24393:SF98', NULL, NULL, NULL, NULL, 'MDS1 AND EVI1 COMPLEX LOCUS-RELATED', NULL, NULL, NULL, 15),
(184571, NULL, 'PTHR36178:SF1', NULL, NULL, NULL, NULL, 'SODIUM/GLUTAMATE SYMPORTER', NULL, NULL, NULL, 15),
(184572, NULL, 'PTHR46085:SF4', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD14-RELATED', NULL, NULL, NULL, 15),
(184573, NULL, 'PTHR46261:SF19', NULL, NULL, NULL, NULL, 'BNAA07G02740D PROTEIN', NULL, NULL, NULL, 15),
(184574, NULL, 'PTHR37433:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG12135', NULL, NULL, NULL, 15),
(184575, NULL, 'PTHR13622:SF12', NULL, NULL, NULL, NULL, 'THIAMINE PYROPHOSPHOKINASE 1', NULL, NULL, NULL, 15),
(184576, NULL, 'PTHR23049:SF60', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(184577, NULL, 'PTHR24083:SF170', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(184578, NULL, 'PTHR47940', NULL, NULL, NULL, NULL, 'OS12G0283900 PROTEIN', NULL, NULL, NULL, 15),
(184579, NULL, 'PTHR43213:SF11', NULL, NULL, NULL, NULL, 'MAF-LIKE PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(184580, NULL, 'PTHR14445:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184581, NULL, 'PTHR31949:SF23', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', NULL, NULL, NULL, 15),
(184582, NULL, 'PTHR23213:SF257', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 13', NULL, NULL, NULL, 15),
(184583, NULL, 'PTHR10543:SF125', NULL, NULL, NULL, NULL, 'CAROTENOID OXYGENASE-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184584, NULL, 'PTHR11785:SF527', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER PROTEIN JHI-21', NULL, NULL, NULL, 15),
(184585, NULL, 'PTHR47926:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184586, NULL, 'PTHR45637:SF75', NULL, NULL, NULL, NULL, 'SERINE/THREONINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(184587, NULL, 'PTHR45826:SF12', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER PUT1', NULL, NULL, NULL, 15),
(184588, NULL, 'PTHR11937:SF54', NULL, NULL, NULL, NULL, 'ACTIN-LIKE 11', NULL, NULL, NULL, 15),
(184589, NULL, 'PTHR31790:SF405', NULL, NULL, NULL, NULL, 'BNAC05G44680D PROTEIN', NULL, NULL, NULL, 15),
(184590, NULL, 'PTHR47956:SF27', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184591, NULL, 'PTHR22069', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN S18', NULL, NULL, NULL, 15),
(184592, NULL, 'PTHR33743:SF16', NULL, NULL, NULL, NULL, 'ROOT MERISTEM GROWTH FACTOR 9', NULL, NULL, NULL, 15),
(184593, NULL, 'PTHR31569:SF3', NULL, NULL, NULL, NULL, 'ZINC FINGER SWIM DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 30271, 15),
(184594, NULL, 'PTHR33103', NULL, NULL, NULL, NULL, 'OS01G0153900 PROTEIN', NULL, NULL, 1269, 15),
(184595, NULL, 'PTHR23235:SF98', NULL, NULL, NULL, NULL, 'KLF7L PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184596, NULL, 'PTHR23073:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184597, NULL, 'PTHR39947:SF1', NULL, NULL, NULL, NULL, 'IP19862P', NULL, NULL, NULL, 15),
(184598, NULL, 'PTHR13356:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184599, NULL, 'PTHR11538:SF83', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (DUF2431)-RELATED', NULL, NULL, NULL, 15),
(184600, NULL, 'PTHR11636:SF44', NULL, NULL, NULL, NULL, 'BRAIN-SPECIFIC HOMEOBOX/POU DOMAIN PROTEIN 3', NULL, NULL, NULL, 15),
(184601, NULL, 'PTHR11937:SF406', NULL, NULL, NULL, NULL, 'MACRONUCLEAR ACTIN', NULL, NULL, NULL, 15),
(184602, NULL, 'PTHR48068:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 9B', NULL, NULL, NULL, 15),
(184603, NULL, 'PTHR21337:SF0', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(184604, NULL, 'PTHR10177:SF65', NULL, NULL, NULL, NULL, 'G1/S-SPECIFIC CYCLIN-D3', NULL, NULL, 9091, 15),
(184605, NULL, 'PTHR10871:SF33', NULL, NULL, NULL, NULL, 'BNAC06G07900D PROTEIN', NULL, NULL, NULL, 15),
(184606, NULL, 'PTHR46900:SF1', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 13', NULL, NULL, NULL, 15),
(184607, NULL, 'PTHR24028:SF287', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 2 ALPHA B 1-RELATED', NULL, NULL, NULL, 15),
(184608, NULL, 'PTHR12854', NULL, NULL, NULL, NULL, 'ATAXIN 2-RELATED', NULL, NULL, 39438, 15),
(184609, NULL, 'PTHR33172:SF48', NULL, NULL, NULL, NULL, 'BNAC09G36670D PROTEIN', NULL, NULL, NULL, 15),
(184610, NULL, 'PTHR28094:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184611, NULL, 'PTHR24055:SF379', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 14', NULL, NULL, NULL, 15),
(184612, NULL, 'PTHR44137:SF7', NULL, NULL, NULL, NULL, 'BNAC03G44070D PROTEIN', NULL, NULL, NULL, 15),
(184613, NULL, 'PTHR37035:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184614, NULL, 'PTHR27005:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184615, NULL, 'PTHR33571:SF12', NULL, NULL, NULL, NULL, 'ISSOD9 NUCLEOTIDYLTRANSFERASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(184616, NULL, 'PTHR45614:SF70', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(184617, NULL, 'PTHR22776:SF50', NULL, NULL, NULL, NULL, 'PROTEIN CBG14610', NULL, NULL, NULL, 15),
(184618, NULL, 'PTHR34000:SF8', NULL, NULL, NULL, NULL, 'LRRGT00142', NULL, NULL, NULL, 15),
(184619, NULL, 'PTHR24414:SF95', NULL, NULL, NULL, NULL, 'BNAC01G00440D PROTEIN', NULL, NULL, NULL, 15),
(184620, NULL, 'PTHR42946:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOSAMINE MUTASE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184621, NULL, 'PTHR24286:SF105', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 85A-LIKE', NULL, NULL, NULL, 15),
(184622, NULL, 'PTHR24291:SF147', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP44-RELATED', NULL, NULL, NULL, 15),
(184623, NULL, 'PTHR36317', NULL, NULL, NULL, NULL, 'PROTEIN MULTIPLE CHLOROPLAST DIVISION SITE 1', NULL, NULL, 3948, 15),
(184624, NULL, 'PTHR47999:SF2', NULL, NULL, NULL, NULL, 'PROTEIN ODORANT1-LIKE', NULL, NULL, NULL, 15),
(184625, NULL, 'PTHR47993:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184626, NULL, 'PTHR22911:SF37', NULL, NULL, NULL, NULL, 'THREONINE/HOMOSERINE EXPORTER RHTA', NULL, NULL, NULL, 15),
(184627, NULL, 'PTHR28594:SF1', NULL, NULL, NULL, NULL, 'ATR-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(184628, NULL, 'PTHR33096:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184629, NULL, 'PTHR22932:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184630, NULL, 'PTHR31245:SF3', NULL, NULL, NULL, NULL, 'OS08G0313600 PROTEIN', NULL, NULL, NULL, 15),
(184631, NULL, 'PTHR10783:SF91', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 6-LIKE', NULL, NULL, NULL, 15),
(184632, NULL, 'PTHR31852:SF41', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(184633, NULL, 'PTHR11654:SF73', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.2-LIKE', NULL, NULL, NULL, 15),
(184634, NULL, 'PTHR33931:SF2', NULL, NULL, NULL, NULL, 'HOLIN-LIKE PROTEIN CIDA', NULL, NULL, NULL, 15),
(184635, NULL, 'PTHR33392:SF6', NULL, NULL, NULL, NULL, 'POLYISOPRENYL-TEICHOIC ACID--PEPTIDOGLYCAN TEICHOIC ACID TRANSFERASE TAGU', NULL, NULL, NULL, 15),
(184636, NULL, 'PTHR47584:SF3', NULL, NULL, NULL, NULL, 'L10-INTERACTING MYB DOMAIN-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(184637, NULL, 'PTHR31985:SF144', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF035', NULL, NULL, NULL, 15),
(184638, NULL, 'PTHR40660', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184639, NULL, 'PTHR31561:SF79', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(184640, NULL, 'PTHR47527:SF3', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(184641, NULL, 'PTHR30290', NULL, NULL, NULL, NULL, 'PERIPLASMIC BINDING COMPONENT OF ABC TRANSPORTER', NULL, NULL, 35518, 15),
(184642, NULL, 'PTHR46818', NULL, NULL, NULL, NULL, 'DOMAIN-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184643, NULL, 'PTHR32411:SF64', NULL, NULL, NULL, NULL, 'BNAC03G42480D PROTEIN', NULL, NULL, NULL, 15),
(184644, NULL, 'PTHR46474', NULL, NULL, NULL, NULL, 'TWO PORE CALCIUM CHANNEL PROTEIN 1', NULL, NULL, 25128, 15),
(184645, NULL, 'PTHR42769:SF2', NULL, NULL, NULL, NULL, 'DISMUTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184646, NULL, 'PTHR10797:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184647, NULL, 'PTHR31260:SF50', NULL, NULL, NULL, NULL, 'BNAC08G14090D PROTEIN', NULL, NULL, NULL, 15),
(184648, NULL, 'PTHR11021:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184649, NULL, 'PTHR31375:SF33', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE-LIKE', NULL, NULL, NULL, 15),
(184650, NULL, 'PTHR24353:SF67', NULL, NULL, NULL, NULL, 'PROTEIN KINASE A CATALYTIC SUBUNIT ISOFORM 2', NULL, NULL, NULL, 15),
(184651, NULL, 'PTHR31415:SF124', NULL, NULL, NULL, NULL, 'OS07G0531500 PROTEIN', NULL, NULL, NULL, 15),
(184652, NULL, 'PTHR13232:SF10', NULL, NULL, NULL, NULL, 'NAD(P)H-HYDRATE EPIMERASE', NULL, NULL, NULL, 15),
(184653, NULL, 'PTHR11537:SF6', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY KQT MEMBER 2', NULL, NULL, 7352, 15),
(184654, NULL, 'PTHR46605:SF1', NULL, NULL, NULL, NULL, 'DEATH DOMAIN-CONTAINING MEMBRANE PROTEIN NRADD', NULL, NULL, NULL, 15),
(184655, NULL, 'PTHR11461:SF189', NULL, NULL, NULL, NULL, 'NON-INHIBITORY SERPIN-Z9-RELATED', NULL, NULL, NULL, 15),
(184656, NULL, 'PTHR11849:SF204', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN D-ETS-3-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184657, NULL, 'PTHR33914:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184658, NULL, 'PTHR31707:SF203', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR VGDH2-RELATED', NULL, NULL, NULL, 15),
(184659, NULL, 'PTHR31890:SF14', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(184660, NULL, 'PTHR47926:SF106', NULL, NULL, NULL, NULL, 'OS08G0131000 PROTEIN', NULL, NULL, NULL, 15),
(184661, NULL, 'PTHR24559:SF380', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184662, NULL, 'PTHR24070:SF416', NULL, NULL, NULL, NULL, 'SMALL GTPASE', NULL, NULL, NULL, 15),
(184663, NULL, 'PTHR11932:SF150', NULL, NULL, NULL, NULL, 'OS02G0746000 PROTEIN', NULL, NULL, NULL, 15),
(184664, NULL, 'PTHR45826:SF14', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER RMV1', NULL, NULL, NULL, 15),
(184665, NULL, 'PTHR24299:SF23', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184666, NULL, 'PTHR46175:SF9', NULL, NULL, NULL, NULL, 'LKP2', NULL, NULL, NULL, 15),
(184667, NULL, 'PTHR22883:SF290', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC20', NULL, NULL, NULL, 15),
(184668, NULL, 'PTHR48005:SF24', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184669, NULL, 'PTHR12064', NULL, NULL, NULL, NULL, 'ANCIENT CONSERVED DOMAIN PROTEIN-RELATED', NULL, NULL, 38546, 15),
(184670, NULL, 'PTHR37592', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184671, NULL, 'PTHR11388:SF4', NULL, NULL, NULL, NULL, 'MCG6225', NULL, NULL, NULL, 15),
(184672, NULL, 'PTHR31669:SF221', NULL, NULL, NULL, NULL, 'OS01G0607050 PROTEIN', NULL, NULL, NULL, 15),
(184673, NULL, 'PTHR11474:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184674, NULL, 'PTHR43860:SF10', NULL, NULL, NULL, NULL, 'BETAINE ALDEHYDE DEHYDROGENASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(184675, NULL, 'PTHR43342:SF2', NULL, NULL, NULL, NULL, 'POTENTIAL NAD-REDUCING HYDROGENASE SUBUNIT', NULL, NULL, 22494, 15),
(184676, NULL, 'PTHR12802:SF98', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 4', NULL, NULL, NULL, 15),
(184677, NULL, 'PTHR24377:SF794', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 836', NULL, NULL, NULL, 15),
(184678, NULL, 'PTHR12121:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184679, NULL, 'PTHR48111:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN YPDB', NULL, NULL, NULL, 15),
(184680, NULL, 'PTHR33971:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184681, NULL, 'PTHR12042:SF16', NULL, NULL, NULL, NULL, 'ALPHA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(184682, NULL, 'PTHR32429', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 39458, 15),
(184683, NULL, 'PTHR47926:SF96', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(184684, NULL, 'PTHR12905:SF13', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE MPPED2', NULL, NULL, NULL, 15),
(184685, NULL, 'PTHR35864', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEASE MJ0611-RELATED', NULL, NULL, NULL, 15),
(184686, NULL, 'PTHR10582:SF2', NULL, NULL, NULL, NULL, 'INACTIVE', NULL, NULL, NULL, 15),
(184687, NULL, 'PTHR10003:SF79', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN] 1', NULL, NULL, NULL, 15),
(184688, NULL, 'PTHR31692:SF22', NULL, NULL, NULL, NULL, 'EXPANSIN-B5', NULL, NULL, NULL, 15),
(184689, NULL, 'PTHR31889:SF15', NULL, NULL, NULL, NULL, 'OS02G0764200 PROTEIN', NULL, NULL, NULL, 15),
(184690, NULL, 'PTHR35855:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11437', NULL, NULL, NULL, 15),
(184691, NULL, 'PTHR33526:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184692, NULL, 'PTHR10774:SF190', NULL, NULL, NULL, NULL, 'C2 CALCIUM/LIPID-BINDING ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(184693, NULL, 'PTHR43205:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184694, NULL, 'PTHR33095:SF73', NULL, NULL, NULL, NULL, 'DUF1645 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(184695, NULL, 'PTHR14907', NULL, NULL, NULL, NULL, 'FI14130P', NULL, NULL, 25576, 15),
(184696, NULL, 'PTHR24082:SF283', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR HR96', NULL, NULL, NULL, 15),
(184697, NULL, 'PTHR23236:SF68', NULL, NULL, NULL, NULL, 'BNAA09G26240D PROTEIN', NULL, NULL, NULL, 15),
(184698, NULL, 'PTHR31715', NULL, NULL, NULL, NULL, 'UREASE ACCESSORY PROTEIN G', NULL, NULL, 5961, 15),
(184699, NULL, 'PTHR47993:SF163', NULL, NULL, NULL, NULL, 'BNAA03G57810D PROTEIN', NULL, NULL, NULL, 15),
(184700, NULL, 'PTHR10378:SF19', NULL, NULL, NULL, NULL, 'CHIP, ISOFORM B', NULL, NULL, NULL, 15),
(184701, NULL, 'PTHR31683:SF158', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(184702, NULL, 'PTHR43000:SF23', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL UDP-GLUCOSE 4,6-DEHYDRATASE/UDP-4-KETO-6-DEOXY-D-GLUCOSE 3,5-EPIMERASE/UDP-4-KETO-L-RHAMNOSE-REDUCTASE RHM2', NULL, NULL, NULL, 15),
(184703, NULL, 'PTHR32261:SF4', NULL, NULL, NULL, NULL, 'CALCIUM HOMEOSTASIS MODULATOR PROTEIN 6', NULL, NULL, 28248, 15),
(184704, NULL, 'PTHR44742:SF4', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(184705, NULL, 'PTHR31861:SF16', NULL, NULL, NULL, NULL, 'F12P19.17 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184706, NULL, 'PTHR24206:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184707, NULL, 'PTHR47978:SF7', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB11C-LIKE', NULL, NULL, NULL, 15),
(184708, NULL, 'PTHR14490', NULL, NULL, NULL, NULL, 'ZINC FINGER, ZZ TYPE', NULL, NULL, 19465, 15),
(184709, NULL, 'PTHR46371:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184710, NULL, 'PTHR46284', NULL, NULL, NULL, NULL, 'PROTEIN KINESIN LIGHT CHAIN-RELATED 3', NULL, NULL, NULL, 15),
(184711, NULL, 'PTHR24341:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC POLYADENYLATED HOMEOBOX-LIKE', NULL, NULL, NULL, 15),
(184712, NULL, 'PTHR31623:SF29', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', NULL, NULL, NULL, 15),
(184713, NULL, 'PTHR26452:SF147', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(184714, NULL, 'PTHR12631', NULL, NULL, NULL, NULL, 'ALPHA-L-IDURONIDASE', NULL, NULL, NULL, 15),
(184715, NULL, 'PTHR12346:SF42', NULL, NULL, NULL, NULL, 'BNAA01G22030D PROTEIN', NULL, NULL, NULL, 15),
(184716, NULL, 'PTHR24298:SF814', NULL, NULL, NULL, NULL, 'OS06G0501900 PROTEIN', NULL, NULL, NULL, 15),
(184717, NULL, 'PTHR23012:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184718, NULL, 'PTHR36355', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(184719, NULL, 'PTHR10634:SF104', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(184720, NULL, 'PTHR43085:SF25', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(184721, NULL, 'PTHR22765:SF327', NULL, NULL, NULL, NULL, 'BNACNNG47180D PROTEIN', NULL, NULL, NULL, 15),
(184722, NULL, 'PTHR35759:SF1', NULL, NULL, NULL, NULL, 'BNAA09G03860D PROTEIN', NULL, NULL, NULL, 15),
(184723, NULL, 'PTHR10168:SF224', NULL, NULL, NULL, NULL, 'MONOTHIOL GLUTAREDOXIN-S11', NULL, NULL, NULL, 15),
(184724, NULL, 'PTHR30548:SF1', NULL, NULL, NULL, NULL, 'DEHYDRATASE SUBUNIT MJ0007-RELATED', NULL, NULL, NULL, 15),
(184725, NULL, 'PTHR31399:SF0', NULL, NULL, NULL, NULL, 'DNA-DIRECTED PRIMASE/POLYMERASE PROTEIN', NULL, NULL, NULL, 15),
(184726, NULL, 'PTHR24006:SF682', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 13', NULL, NULL, NULL, 15),
(184727, NULL, 'PTHR43493:SF5', NULL, NULL, NULL, NULL, 'DNA GYRASE SUBUNIT A, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(184728, NULL, 'PTHR28019:SF6', NULL, NULL, NULL, NULL, 'PROTEIN ECM7', NULL, NULL, NULL, 15),
(184729, NULL, 'PTHR47990:SF99', NULL, NULL, NULL, NULL, 'OS05G0514600 PROTEIN', NULL, NULL, NULL, 15),
(184730, NULL, 'PTHR43884:SF22', NULL, NULL, NULL, NULL, 'ACYL-COA DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184731, NULL, 'PTHR11584:SF391', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 6', NULL, NULL, NULL, 15),
(184732, NULL, 'PTHR11595:SF72', NULL, NULL, NULL, NULL, 'EEF1DB PROTEIN', NULL, NULL, NULL, 15),
(184733, NULL, 'PTHR12385:SF34', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORTER-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(184734, NULL, 'PTHR47293:SF49', NULL, NULL, NULL, NULL, 'JACALIN-RELATED LECTIN 11-RELATED', NULL, NULL, NULL, 15),
(184735, NULL, 'PTHR45642:SF101', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184736, NULL, 'PTHR46073:SF3', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE', NULL, NULL, NULL, 15),
(184737, NULL, 'PTHR43670:SF70', NULL, NULL, NULL, NULL, 'SMALL HEAT SHOCK PROTEIN HSPF', NULL, NULL, NULL, 15),
(184738, NULL, 'PTHR11240:SF64', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3-RELATED', NULL, NULL, NULL, 15),
(184739, NULL, 'PTHR13276:SF0', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR MSS4', NULL, NULL, NULL, 15),
(184740, NULL, 'PTHR11364:SF30', NULL, NULL, NULL, NULL, 'MERCAPTOPYRUVATE SULFURTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(184741, NULL, 'PTHR44042:SF17', NULL, NULL, NULL, NULL, 'MYB PROTEIN1', NULL, NULL, NULL, 15),
(184742, NULL, 'PTHR46186:SF10', NULL, NULL, NULL, NULL, 'CYSTATIN-C', NULL, NULL, NULL, 15),
(184743, NULL, 'PTHR24058:SF105', NULL, NULL, NULL, NULL, 'OSJNBA0041A02.17 PROTEIN', NULL, NULL, NULL, 15),
(184744, NULL, 'PTHR31636:SF200', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(184745, NULL, 'PTHR45885', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 5-LIKE PROTEIN', NULL, NULL, NULL, 15),
(184746, NULL, 'PTHR27009:SF176', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE SD2-2', NULL, NULL, NULL, 15),
(184747, NULL, 'PTHR28557:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SLX4IP', NULL, NULL, NULL, 15),
(184748, NULL, 'PTHR31390:SF4', NULL, NULL, NULL, NULL, 'DUF3527 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(184749, NULL, 'PTHR48059:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184750, NULL, 'PTHR23280:SF26', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 4-LIKE PROTEIN', NULL, NULL, NULL, 15),
(184751, NULL, 'PTHR11783:SF43', NULL, NULL, NULL, NULL, 'AMINE SULFOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(184752, NULL, 'PTHR23124:SF136', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(184753, NULL, 'PTHR24012:SF682', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(184754, NULL, 'PTHR35282:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184755, NULL, 'PTHR45663', NULL, NULL, NULL, NULL, 'GEO12009P1', NULL, NULL, NULL, 15),
(184756, NULL, 'PTHR31639:SF67', NULL, NULL, NULL, NULL, 'FBD-ASSOCIATED F-BOX PLANT PROTEIN', NULL, NULL, NULL, 15),
(184757, NULL, 'PTHR12341:SF56', NULL, NULL, NULL, NULL, '5''-3'' EXORIBONUCLEASE', NULL, NULL, NULL, 15),
(184758, NULL, 'PTHR23411:SF11', NULL, NULL, NULL, NULL, 'IG MU CHAIN C REGION', NULL, NULL, NULL, 15),
(184759, NULL, 'PTHR15710:SF133', NULL, NULL, NULL, NULL, 'BNAA01G06410D PROTEIN', NULL, NULL, NULL, 15),
(184760, NULL, 'PTHR23138:SF134', NULL, NULL, NULL, NULL, 'RAN-BINDING PROTEIN 1 HOMOLOG C-LIKE', NULL, NULL, NULL, 15),
(184761, NULL, 'PTHR48062:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM3', NULL, NULL, NULL, 15),
(184762, NULL, 'PTHR15598:SF5', NULL, NULL, NULL, NULL, 'ENHANCER OF MRNA-DECAPPING PROTEIN 4', NULL, NULL, NULL, 15),
(184763, NULL, 'PTHR46100', NULL, NULL, NULL, NULL, 'IMP2''P', NULL, NULL, NULL, 15),
(184764, NULL, 'PTHR47058', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 14 KDA SUBUNIT A-RELATED', NULL, NULL, NULL, 15),
(184765, NULL, 'PTHR35184:SF1', NULL, NULL, NULL, NULL, 'YALI0C10208P', NULL, NULL, NULL, 15),
(184766, NULL, 'PTHR46649:SF4', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE (HAD) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184767, NULL, 'PTHR11819', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 5', NULL, NULL, NULL, 15),
(184768, NULL, 'PTHR44240:SF21', NULL, NULL, NULL, NULL, 'BNAC03G62600D PROTEIN', NULL, NULL, NULL, 15),
(184769, NULL, 'PTHR10838:SF31', NULL, NULL, NULL, NULL, 'SYNGR3 ISOFORM 5', NULL, NULL, NULL, 15),
(184770, NULL, 'PTHR15348:SF3', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 3B', NULL, NULL, NULL, 15),
(184771, NULL, 'PTHR13886:SF3', NULL, NULL, NULL, NULL, 'C-JUN-AMINO-TERMINAL KINASE-INTERACTING PROTEIN 3', NULL, NULL, NULL, 15),
(184772, NULL, 'PTHR24115:SF935', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-UB', NULL, NULL, NULL, 15),
(184773, NULL, 'PTHR45675:SF79', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB48-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(184774, NULL, 'PTHR19282:SF250', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(184775, NULL, 'PTHR23330:SF8', NULL, NULL, NULL, NULL, 'JUNCTION-MEDIATING AND -REGULATORY PROTEIN', NULL, NULL, 30784, 15),
(184776, NULL, 'PTHR23035', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 34415, 15),
(184777, NULL, 'PTHR43844:SF1', NULL, NULL, NULL, NULL, 'METHIONINE SYNTHASE', NULL, NULL, NULL, 15),
(184778, NULL, 'PTHR21399', NULL, NULL, NULL, NULL, 'CHLORIDE CONDUCTANCE REGULATORY PROTEIN ICLN', NULL, NULL, 32639, 15),
(184779, NULL, 'PTHR10562:SF65', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', NULL, NULL, NULL, 15),
(184780, NULL, 'PTHR46252:SF4', NULL, NULL, NULL, NULL, 'BRORIN', NULL, NULL, NULL, 15),
(184781, NULL, 'PTHR27002:SF784', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(184782, NULL, 'PTHR24096:SF160', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 9', NULL, NULL, NULL, 15),
(184783, NULL, 'PTHR23501:SF84', NULL, NULL, NULL, NULL, 'VACUOLAR MEMBRANE AMINO ACID UPTAKE TRANSPORTER FNX2', NULL, NULL, NULL, 15),
(184784, NULL, 'PTHR19850:SF35', NULL, NULL, NULL, NULL, 'GNB3 PROTEIN', NULL, NULL, NULL, 15),
(184785, NULL, 'PTHR15564:SF7', NULL, NULL, NULL, NULL, 'BMP/RETINOIC ACID-INDUCIBLE NEURAL-SPECIFIC PROTEIN 1', NULL, NULL, NULL, 15),
(184786, NULL, 'PTHR14696', NULL, NULL, NULL, NULL, 'HERMANSKY-PUDLAK SYNDROME 6 PROTEIN', NULL, NULL, 15700, 15),
(184787, NULL, 'PTHR35768', NULL, NULL, NULL, NULL, 'PROTEIN MULTIPOLAR SPINDLE 1', NULL, NULL, 35816, 15),
(184788, NULL, 'PTHR11909:SF96', NULL, NULL, NULL, NULL, 'PROTEIN CBG18289', NULL, NULL, NULL, 15),
(184789, NULL, 'PTHR30482:SF5', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN AMINO ACID ABC TRANSPORT PERMEASE-RELATED', NULL, NULL, NULL, 15),
(184790, NULL, 'PTHR42832', NULL, NULL, NULL, NULL, 'AMINO ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(184791, NULL, 'PTHR22811:SF185', NULL, NULL, NULL, NULL, 'COAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184792, NULL, 'PTHR43808:SF8', NULL, NULL, NULL, NULL, 'PEPTIDASE M20 DOMAIN-CONTAINING PROTEIN C757.05C', NULL, NULL, NULL, 15),
(184793, NULL, 'PTHR46561', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS AB (CLASS A-LIKE)-RELATED', NULL, NULL, NULL, 15),
(184794, NULL, 'PTHR36514', NULL, NULL, NULL, NULL, 'PROTEIN CBG00436', NULL, NULL, NULL, 15),
(184795, NULL, 'PTHR24416:SF66', NULL, NULL, NULL, NULL, 'NT-3 GROWTH FACTOR RECEPTOR', NULL, NULL, NULL, 15),
(184796, NULL, 'PTHR33108:SF58', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(184797, NULL, 'PTHR46845:SF1', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR I', NULL, NULL, NULL, 15),
(184798, NULL, 'PTHR47846', NULL, NULL, NULL, NULL, 'OS06G0681300 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184799, NULL, 'PTHR23098:SF3', NULL, NULL, NULL, NULL, 'ZGC:113149-RELATED', NULL, NULL, NULL, 15),
(184800, NULL, 'PTHR19359:SF109', NULL, NULL, NULL, NULL, 'CYTOCHROME B5, OUTER MITOCHONDRIAL MEMBRANE', NULL, NULL, NULL, 15),
(184801, NULL, 'PTHR10288:SF277', NULL, NULL, NULL, NULL, 'RNA-BINDING KH DOMAIN-CONTAINING PROTEIN PEPPER', NULL, NULL, NULL, 15),
(184802, NULL, 'PTHR20905:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG11056', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184803, NULL, 'PTHR23257:SF849', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184804, NULL, 'PTHR33167:SF33', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR Q-LIKE PROTEIN', NULL, NULL, NULL, 15),
(184805, NULL, 'PTHR43243:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184806, NULL, 'PTHR24231:SF21', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 4', NULL, NULL, 2641, 15),
(184807, NULL, 'PTHR22884:SF474', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE LIN-59-RELATED', NULL, NULL, NULL, 15),
(184808, NULL, 'PTHR23310:SF115', NULL, NULL, NULL, NULL, 'ACYL-COA BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184809, NULL, 'PTHR31194:SF134', NULL, NULL, NULL, NULL, 'ETHYLENE RESPONSE FACTOR', NULL, NULL, NULL, 15),
(184810, NULL, 'PTHR33738:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184811, NULL, 'PTHR21087:SF23', NULL, NULL, NULL, NULL, 'INACTIVE SHIKIMATE KINASE LIKE 2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(184812, NULL, 'PTHR28441:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184813, NULL, 'PTHR19375:SF425', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN', NULL, NULL, NULL, 15),
(184814, NULL, 'PTHR31984:SF13', NULL, NULL, NULL, NULL, 'OS01G0886000 PROTEIN', NULL, NULL, NULL, 15),
(184815, NULL, 'PTHR33248:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184816, NULL, 'PTHR11071:SF483', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE CYP40', NULL, NULL, NULL, 15),
(184817, NULL, 'PTHR24070:SF405', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN RASU-RELATED', NULL, NULL, NULL, 15),
(184818, NULL, 'PTHR13257', NULL, NULL, NULL, NULL, 'NUCLEOPORIN NUP84-RELATED', NULL, NULL, 33338, 15),
(184819, NULL, 'PTHR28083:SF1', NULL, NULL, NULL, NULL, 'GOOD FOR FULL DBP5 ACTIVITY PROTEIN 2', NULL, NULL, NULL, 15),
(184820, NULL, 'PTHR35685:SF3', NULL, NULL, NULL, NULL, 'GEO02515P1-RELATED', NULL, NULL, NULL, 15),
(184821, NULL, 'PTHR22951:SF62', NULL, NULL, NULL, NULL, 'ASSEMBLY PLANT-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184822, NULL, 'PTHR33559:SF1', NULL, NULL, NULL, NULL, 'PROTEASOME ASSEMBLY CHAPERONE 4', NULL, NULL, NULL, 15),
(184823, NULL, 'PTHR36023:SF13', NULL, NULL, NULL, NULL, 'BNAC04G03310D PROTEIN', NULL, NULL, NULL, 15),
(184824, NULL, 'PTHR34837:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184825, NULL, 'PTHR10270:SF204', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SOX-18', NULL, NULL, NULL, 15),
(184826, NULL, 'PTHR12329:SF38', NULL, NULL, NULL, NULL, 'BAG FAMILY MOLECULAR CHAPERONE REGULATOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(184827, NULL, 'PTHR34008', NULL, NULL, NULL, NULL, 'REPETITIVE PROLINE-RICH CELL WALL PROTEIN 1', NULL, NULL, NULL, 15),
(184828, NULL, 'PTHR46020:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184829, NULL, 'PTHR48065:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184830, NULL, 'PTHR43976:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184831, NULL, 'PTHR45730:SF53', NULL, NULL, NULL, NULL, 'BNAA09G03910D PROTEIN', NULL, NULL, NULL, 15),
(184832, NULL, 'PTHR23512:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184833, NULL, 'PTHR43539:SF24', NULL, NULL, NULL, NULL, 'MONOOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G11650)-RELATED', NULL, NULL, NULL, 15),
(184834, NULL, 'PTHR35747:SF2', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(184835, NULL, 'PTHR33203:SF28', NULL, NULL, NULL, NULL, 'OLEOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(184836, NULL, 'PTHR11254:SF428', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184837, NULL, 'PTHR45764:SF58', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR BZIP124', NULL, NULL, NULL, 15),
(184838, NULL, 'PTHR31717:SF99', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN CONSTANS-LIKE 9-LIKE', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184839, NULL, 'PTHR31301:SF24', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 21', NULL, NULL, NULL, 15),
(184840, NULL, 'PTHR30532:SF22', NULL, NULL, NULL, NULL, 'FE(3+) DICITRATE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(184841, NULL, 'PTHR19855:SF23', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN JIP5', NULL, NULL, NULL, 15),
(184842, NULL, 'PTHR12802:SF120', NULL, NULL, NULL, NULL, 'SWI/SNF COMPLEX SUBUNIT SWI3C-LIKE', NULL, NULL, NULL, 15),
(184843, NULL, 'PTHR14095:SF10', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT B''''ALPHA', NULL, NULL, NULL, 15),
(184844, NULL, 'PTHR13020:SF33', NULL, NULL, NULL, NULL, 'TRINUCLEOTIDE REPEAT-CONTAINING ADAPTOR 6C2', NULL, NULL, NULL, 15),
(184845, NULL, 'PTHR10589:SF17', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(184846, NULL, 'PTHR24078:SF535', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 13-LIKE', NULL, NULL, NULL, 15),
(184847, NULL, 'PTHR46056:SF14', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE', NULL, NULL, NULL, 15),
(184848, NULL, 'PTHR35105:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(184849, NULL, 'PTHR13857:SF41', NULL, NULL, NULL, NULL, 'DNA DC-DU-EDITING ENZYME APOBEC-3C', NULL, NULL, NULL, 15),
(184850, NULL, 'PTHR13738:SF6', NULL, NULL, NULL, NULL, 'TROPONIN I 1', NULL, NULL, NULL, 15),
(184851, NULL, 'PTHR12370:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-LIKE 2-RELATED', NULL, NULL, NULL, 15),
(184852, NULL, 'PTHR23422', NULL, NULL, NULL, NULL, 'DIPEPTIDYL PEPTIDASE III-RELATED', NULL, NULL, 35729, 15),
(184853, NULL, 'PTHR10828:SF68', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE 25B', NULL, NULL, NULL, 15),
(184854, NULL, 'PTHR33882:SF10', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(184855, NULL, 'PTHR30458:SF2', NULL, NULL, NULL, NULL, '1,2-PHENYLACETYL-COA EPOXIDASE, SUBUNIT A', NULL, NULL, NULL, 15),
(184856, NULL, 'PTHR45909:SF3', NULL, NULL, NULL, NULL, 'BNAA03G12710D PROTEIN', NULL, NULL, NULL, 15),
(184857, NULL, 'PTHR44375:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184858, NULL, 'PTHR33305:SF43', NULL, NULL, NULL, NULL, 'ETHYLENE INSENSITIVE 3-LIKE 3 PROTEIN', NULL, NULL, NULL, 15),
(184859, NULL, 'PTHR47982:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184860, NULL, 'PTHR32227:SF296', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-LIKE', NULL, NULL, NULL, 15),
(184861, NULL, 'PTHR45649:SF5', NULL, NULL, NULL, NULL, 'GABA TRANSPORTER (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(184862, NULL, 'PTHR37185:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184863, NULL, 'PTHR47991:SF124', NULL, NULL, NULL, NULL, 'GIBBERELLIN 3-BETA-DIOXYGENASE 3', NULL, NULL, NULL, 15),
(184864, NULL, 'PTHR33452:SF1', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE CATD-RELATED', NULL, NULL, NULL, 15),
(184865, NULL, 'PTHR42738:SF15', NULL, NULL, NULL, NULL, 'HYDROXYMETHYLGLUTARYL-COA LYASE', NULL, NULL, NULL, 15),
(184866, NULL, 'PTHR11058:SF16', NULL, NULL, NULL, NULL, 'NADH-UBIQUINONE OXIDOREDUCTASE CHAIN 3', NULL, NULL, NULL, 15),
(184867, NULL, 'PTHR23147:SF68', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 5', NULL, NULL, NULL, 15),
(184868, NULL, 'PTHR19134:SF430', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE DELTA', NULL, NULL, NULL, 15),
(184869, NULL, 'PTHR47364:SF23', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASE INHIBITOR', NULL, NULL, NULL, 15),
(184870, NULL, 'PTHR33018:SF15', NULL, NULL, NULL, NULL, 'OS02G0472350 PROTEIN', NULL, NULL, NULL, 15),
(184871, NULL, 'PTHR11926:SF1419', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(184872, NULL, 'PTHR11947:SF25', NULL, NULL, NULL, NULL, '[PYRUVATE DEHYDROGENASE (ACETYL-TRANSFERRING)] KINASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(184873, NULL, 'PTHR22298:SF140', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184874, NULL, 'PTHR23023:SF249', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(184875, NULL, 'PTHR32468:SF114', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 15-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(184876, NULL, 'PTHR13148:SF7', NULL, NULL, NULL, NULL, 'POST-GPI ATTACHMENT TO PROTEINS FACTOR 3', NULL, NULL, NULL, 15),
(184877, NULL, 'PTHR11571:SF125', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(184878, NULL, 'PTHR33136:SF36', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 31', NULL, NULL, NULL, 15),
(184879, NULL, 'PTHR48002:SF124', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(184880, NULL, 'PTHR24381:SF270', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN OZF', NULL, NULL, NULL, 15),
(184881, NULL, 'PTHR24031:SF715', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 31', NULL, NULL, NULL, 15),
(184882, NULL, 'PTHR34645', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN', NULL, NULL, 33976, 15),
(184883, NULL, 'PTHR11895:SF7', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(184884, NULL, 'PTHR13650:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184885, NULL, 'PTHR35893:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ELAB', NULL, NULL, NULL, 15),
(184886, NULL, 'PTHR33121:SF1', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEN-RELATED', NULL, NULL, NULL, 15),
(184887, NULL, 'PTHR33044:SF88', NULL, NULL, NULL, NULL, 'OS03G0167000 PROTEIN', NULL, NULL, NULL, 15),
(184888, NULL, 'PTHR36704', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184889, NULL, 'PTHR43181:SF1', NULL, NULL, NULL, NULL, '2-C-METHYL-D-ERYTHRITOL 2,4-CYCLODIPHOSPHATE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(184890, NULL, 'PTHR42891:SF1', NULL, NULL, NULL, NULL, 'D-GLYCERO-BETA-D-MANNO-HEPTOSE-1,7-BISPHOSPHATE 7-PHOSPHATASE', NULL, NULL, NULL, 15),
(184891, NULL, 'PTHR13018:SF126', NULL, NULL, NULL, NULL, 'BNAC04G18540D PROTEIN', NULL, NULL, NULL, 15),
(184892, NULL, 'PTHR31384:SF40', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 24', NULL, NULL, NULL, 15),
(184893, NULL, 'PTHR33472:SF21', NULL, NULL, NULL, NULL, 'BNAC09G11180D PROTEIN', NULL, NULL, NULL, 15),
(184894, NULL, 'PTHR21535:SF89', NULL, NULL, NULL, NULL, 'CORA FAMILY TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(184895, NULL, 'PTHR35350:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL LOC314168', NULL, NULL, NULL, 15),
(184896, NULL, 'PTHR36031:SF1', NULL, NULL, NULL, NULL, 'F21O3.15 PROTEIN', NULL, NULL, NULL, 15),
(184897, NULL, 'PTHR15672:SF26', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184898, NULL, 'PTHR40616:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184899, NULL, 'PTHR10516:SF440', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP65', NULL, NULL, NULL, 15),
(184900, NULL, 'PTHR33785:SF10', NULL, NULL, NULL, NULL, 'BNAA01G29000D PROTEIN', NULL, NULL, NULL, 15),
(184901, NULL, 'PTHR15135:SF7', NULL, NULL, NULL, NULL, 'AGAP005258-PA', NULL, NULL, NULL, 15),
(184902, NULL, 'PTHR46737:SF3', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE/TRANSITION METAL ION-BINDING PROTEIN (DUF3531)', NULL, NULL, NULL, 15),
(184903, NULL, 'PTHR12992:SF37', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 15, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(184904, NULL, 'PTHR14154:SF55', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', NULL, NULL, NULL, 15),
(184905, NULL, 'PTHR39601:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184906, NULL, 'PTHR45779:SF11', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(184907, NULL, 'PTHR22750', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(184908, NULL, 'PTHR22937:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184909, NULL, 'PTHR11040:SF185', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 7-LIKE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184910, NULL, 'PTHR47267:SF2', NULL, NULL, NULL, NULL, 'HMP-PP PHOSPHATASE', NULL, NULL, 17952, 15),
(184911, NULL, 'PTHR16525:SF0', NULL, NULL, NULL, NULL, 'PROTEIN C12ORF4', NULL, NULL, NULL, 15),
(184912, NULL, 'PTHR38092:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184913, NULL, 'PTHR23504:SF96', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(184914, NULL, 'PTHR34825', NULL, NULL, NULL, NULL, 'CONSERVED PROTEIN, WITH A WEAK D-GALACTARATE DEHYDRATASE/ALTRONATE HYDROLASE DOMAIN', NULL, NULL, NULL, 15),
(184915, NULL, 'PTHR13817', NULL, NULL, NULL, NULL, 'TITIN', NULL, NULL, NULL, 15),
(184916, NULL, 'PTHR10742:SF374', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 5-RELATED', NULL, NULL, NULL, 15),
(184917, NULL, 'PTHR35918', NULL, NULL, NULL, NULL, 'OS06G0674800 PROTEIN', NULL, NULL, 38253, 15),
(184918, NULL, 'PTHR45793:SF9', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN OTX1', NULL, NULL, NULL, 15),
(184919, NULL, 'PTHR10846:SF8', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YRBG', NULL, NULL, NULL, 15),
(184920, NULL, 'PTHR42893:SF31', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(184921, NULL, 'PTHR11849:SF276', NULL, NULL, NULL, NULL, 'SPI-2 PROTO-ONCOGENE', NULL, NULL, NULL, 15),
(184922, NULL, 'PTHR45648:SF44', NULL, NULL, NULL, NULL, 'OS02G0292600 PROTEIN', NULL, NULL, NULL, 15),
(184923, NULL, 'PTHR31803:SF28', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE', NULL, NULL, NULL, 15),
(184924, NULL, 'PTHR12320:SF64', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(184925, NULL, 'PTHR10229', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN HFLX', NULL, NULL, 16449, 15),
(184926, NULL, 'PTHR11557:SF0', NULL, NULL, NULL, NULL, 'PORPHOBILINOGEN DEAMINASE', NULL, NULL, NULL, 15),
(184927, NULL, 'PTHR30267', NULL, NULL, NULL, NULL, 'PROTEIN KINASE PRKA', NULL, NULL, NULL, 15),
(184928, NULL, 'PTHR11351:SF93', NULL, NULL, NULL, NULL, 'LIPID DESATURASE ADS3.2, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(184929, NULL, 'PTHR32133:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184930, NULL, 'PTHR24300:SF84', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 2, SUBFAMILY T, POLYPEPTIDE 4', NULL, NULL, NULL, 15),
(184931, NULL, 'PTHR31942:SF100', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(184932, NULL, 'PTHR10201:SF270', NULL, NULL, NULL, NULL, 'STROMELYSIN-2', NULL, NULL, NULL, 15),
(184933, NULL, 'PTHR48001:SF153', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(184934, NULL, 'PTHR32083:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184935, NULL, 'PTHR21240', NULL, NULL, NULL, NULL, '2-AMINO-3-CARBOXYLMUCONATE-6-SEMIALDEHYDE DECARBOXYLASE', NULL, NULL, 18273, 15),
(184936, NULL, 'PTHR24205', NULL, NULL, NULL, NULL, 'FOUR AND A HALF LIM DOMAINS PROTEIN', NULL, NULL, 34661, 15),
(184937, NULL, 'PTHR47552', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE SUBUNIT PURQ', NULL, NULL, NULL, 15),
(184938, NULL, 'PTHR21559:SF23', NULL, NULL, NULL, NULL, 'DYSTROGLYCAN', NULL, NULL, NULL, 15),
(184939, NULL, 'PTHR47548', NULL, NULL, NULL, NULL, 'BNAA06G32370D PROTEIN', NULL, NULL, NULL, 15),
(184940, NULL, 'PTHR47992:SF91', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 71-RELATED', NULL, NULL, NULL, 15),
(184941, NULL, 'PTHR45668:SF11', NULL, NULL, NULL, NULL, 'BNACNNG34050D PROTEIN', NULL, NULL, NULL, 15),
(184942, NULL, 'PTHR32444:SF105', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184943, NULL, 'PTHR44942:SF9', NULL, NULL, NULL, NULL, 'SI:CH211-93G23.2-RELATED', NULL, NULL, NULL, 15),
(184944, NULL, 'PTHR12876', NULL, NULL, NULL, NULL, 'N4BP1-RELATED', NULL, NULL, NULL, 15),
(184945, NULL, 'PTHR24055:SF476', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184946, NULL, 'PTHR33136:SF58', NULL, NULL, NULL, NULL, 'OS03G0345000 PROTEIN', NULL, NULL, NULL, 15),
(184947, NULL, 'PTHR35178', NULL, NULL, NULL, NULL, 'FOLATE RECEPTOR HOMOLOG-RELATED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184948, NULL, 'PTHR31378:SF32', NULL, NULL, NULL, NULL, 'IPT/TIG DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(184949, NULL, 'PTHR33595:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184950, NULL, 'PTHR31384:SF73', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 16', NULL, NULL, NULL, 15),
(184951, NULL, 'PTHR31470:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184952, NULL, 'PTHR27004:SF355', NULL, NULL, NULL, NULL, 'RECEPTOR LIKE PROTEIN 23', NULL, NULL, NULL, 15),
(184953, NULL, 'PTHR31928:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184954, NULL, 'PTHR12015:SF171', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-C MOTIF) LIGAND 34B, DUPLICATE 4', NULL, NULL, NULL, 15),
(184955, NULL, 'PTHR34971:SF3', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN Z', NULL, NULL, NULL, 15),
(184956, NULL, 'PTHR46224:SF43', NULL, NULL, NULL, NULL, 'BNAC03G33870D PROTEIN', NULL, NULL, NULL, 15),
(184957, NULL, 'PTHR31238:SF166', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G03880)-RELATED', NULL, NULL, NULL, 15),
(184958, NULL, 'PTHR21495:SF181', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(184959, NULL, 'PTHR31791:SF62', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(184960, NULL, 'PTHR13609:SF25', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(184961, NULL, 'PTHR11278:SF5', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15),
(184962, NULL, 'PTHR10026:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184963, NULL, 'PTHR34491:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184964, NULL, 'PTHR33285:SF50', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE 5-RELATED', NULL, NULL, NULL, 15),
(184965, NULL, 'PTHR37954', NULL, NULL, NULL, NULL, 'BLL4979 PROTEIN', NULL, NULL, 6026, 15),
(184966, NULL, 'PTHR24115:SF380', NULL, NULL, NULL, NULL, 'KINESIN HEAVY CHAIN ISOFORM 5C', NULL, NULL, NULL, 15),
(184967, NULL, 'PTHR14130:SF3', NULL, NULL, NULL, NULL, 'RHO GTPASE-ACTIVATING PROTEIN 17', NULL, NULL, NULL, 15),
(184968, NULL, 'PTHR47231:SF1', NULL, NULL, NULL, NULL, 'UPF0722 PROTEIN C11ORF88', NULL, NULL, NULL, 15),
(184969, NULL, 'PTHR47926:SF84', NULL, NULL, NULL, NULL, 'BNAA09G00270D PROTEIN', NULL, NULL, NULL, 15),
(184970, NULL, 'PTHR46410:SF9', NULL, NULL, NULL, NULL, 'ARID/BRIGHT DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(184971, NULL, 'PTHR27009:SF118', NULL, NULL, NULL, NULL, 'STB6', NULL, NULL, NULL, 15),
(184972, NULL, 'PTHR10353:SF245', NULL, NULL, NULL, NULL, 'BNACNNG48420D PROTEIN', NULL, NULL, NULL, 15),
(184973, NULL, 'PTHR11471', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR FAMILY MEMBER', NULL, NULL, NULL, 15),
(184974, NULL, 'PTHR12606:SF109', NULL, NULL, NULL, NULL, 'BNACNNG52470D PROTEIN', NULL, NULL, NULL, 15),
(184975, NULL, 'PTHR12352:SF21', NULL, NULL, NULL, NULL, 'SPARC-RELATED MODULAR CALCIUM-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(184976, NULL, 'PTHR46412', NULL, NULL, NULL, NULL, 'BES1-INTERACTING MYC-LIKE PROTEIN', NULL, NULL, 37997, 15),
(184977, NULL, 'PTHR23192:SF31', NULL, NULL, NULL, NULL, 'SI:CH211-147M6.1-RELATED', NULL, NULL, NULL, 15),
(184978, NULL, 'PTHR24300:SF120', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 515A1-RELATED', NULL, NULL, NULL, 15),
(184979, NULL, 'PTHR31992:SF110', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN DOF3.5', NULL, NULL, NULL, 15),
(184980, NULL, 'PTHR22727:SF3', NULL, NULL, NULL, NULL, 'UPF0577 PROTEIN KIAA1324-LIKE', NULL, NULL, NULL, 15),
(184981, NULL, 'PTHR11802:SF385', NULL, NULL, NULL, NULL, 'PEPTIDASE S10, SERINE CARBOXYPEPTIDASE, ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(184982, NULL, 'PTHR26312:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184983, NULL, 'PTHR33165', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN-LIKE-RELATED', NULL, NULL, NULL, 15),
(184984, NULL, 'PTHR34053:SF6', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL REGULATOR, ULTRAPETALA-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(184985, NULL, 'PTHR48004:SF15', NULL, NULL, NULL, NULL, 'BNACNNG48360D PROTEIN', NULL, NULL, NULL, 15),
(184986, NULL, 'PTHR47985:SF23', NULL, NULL, NULL, NULL, 'OS07G0695300 PROTEIN', NULL, NULL, NULL, 15),
(184987, NULL, 'PTHR45780:SF5', NULL, NULL, NULL, NULL, 'CYTIDYLYLTRANSFERASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(184988, NULL, 'PTHR45658:SF65', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(184989, NULL, 'PTHR23510:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG06591', NULL, NULL, NULL, 15),
(184990, NULL, 'PTHR46008:SF4', NULL, NULL, NULL, NULL, 'LEAF RUST 10 DISEASE-RESISTANCE LOCUS RECEPTOR-LIKE PROTEIN KINASE-LIKE 1.2', NULL, NULL, NULL, 15),
(184991, NULL, 'PTHR23113:SF151', NULL, NULL, NULL, NULL, 'RAS GUANINE NUCLEOTIDE EXCHANGE FACTOR S', NULL, NULL, NULL, 15),
(184992, NULL, 'PTHR48018:SF39', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8B12', NULL, NULL, NULL, 15),
(184993, NULL, 'PTHR46521:SF15', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 2-RELATED', NULL, NULL, NULL, 15),
(184994, NULL, 'PTHR38742:SF3', NULL, NULL, NULL, NULL, 'PROTEIN 29C', NULL, NULL, NULL, 15),
(184995, NULL, 'PTHR33674:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184996, NULL, 'PTHR36572:SF3', NULL, NULL, NULL, NULL, 'VIRULENCE PROTEIN MSGA', NULL, NULL, NULL, 15),
(184997, NULL, 'PTHR47020', NULL, NULL, NULL, NULL, 'HILLARIN', NULL, NULL, NULL, 15),
(184998, NULL, 'PTHR24023:SF986', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(184999, NULL, 'PTHR43544:SF29', NULL, NULL, NULL, NULL, 'NADB-LER2', NULL, NULL, NULL, 15),
(185000, NULL, 'PTHR42924:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185001, NULL, 'PTHR48097:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185002, NULL, 'PTHR18919:SF81', NULL, NULL, NULL, NULL, 'ACETYL-COA ACETYLTRANSFERASE, CYTOSOLIC', NULL, NULL, NULL, 15),
(185003, NULL, 'PTHR24296:SF127', NULL, NULL, NULL, NULL, 'ALKANE HYDROXYLASE MAH1-LIKE', NULL, NULL, NULL, 15),
(185004, NULL, 'PTHR47993:SF179', NULL, NULL, NULL, NULL, 'OS01G0165666 PROTEIN', NULL, NULL, NULL, 15),
(185005, NULL, 'PTHR32448:SF109', NULL, NULL, NULL, NULL, 'OXIDASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185006, NULL, 'PTHR24023:SF989', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-2(IV) CHAIN', NULL, NULL, NULL, 15),
(185007, NULL, 'PTHR12483:SF102', NULL, NULL, NULL, NULL, 'BNAA02G07180D PROTEIN', NULL, NULL, NULL, 15),
(185008, NULL, 'PTHR13683:SF815', NULL, NULL, NULL, NULL, 'BNAC05G34710D PROTEIN', NULL, NULL, 8281, 15),
(185009, NULL, 'PTHR47985:SF7', NULL, NULL, NULL, NULL, 'OS03G0283900 PROTEIN', NULL, NULL, NULL, 15),
(185010, NULL, 'PTHR10671:SF88', NULL, NULL, NULL, NULL, 'PROTEIN CBG10848', NULL, NULL, NULL, 15),
(185011, NULL, 'PTHR33044:SF155', NULL, NULL, NULL, NULL, 'BNAANNG04370D PROTEIN', NULL, NULL, NULL, 15),
(185012, NULL, 'PTHR46213:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR DEMETER-LIKE', NULL, NULL, NULL, 15),
(185013, NULL, 'PTHR47967:SF20', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(185014, NULL, 'PTHR47531:SF2', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(185015, NULL, 'PTHR11764:SF61', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(185016, NULL, 'PTHR46031:SF19', NULL, NULL, NULL, NULL, 'DSRNA-BINDING PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(185017, NULL, 'PTHR30620:SF23', NULL, NULL, NULL, NULL, 'OS02G0131400 PROTEIN', NULL, NULL, NULL, 15),
(185018, NULL, 'PTHR42735:SF6', NULL, NULL, NULL, NULL, 'SPHINGOSINE-1-PHOSPHATE LYASE 1', NULL, NULL, NULL, 15),
(185019, NULL, 'PTHR11207:SF29', NULL, NULL, NULL, NULL, 'RNASE III-RELATED', NULL, NULL, NULL, 15),
(185020, NULL, 'PTHR24559:SF345', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185021, NULL, 'PTHR10766:SF147', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185022, NULL, 'PTHR46553:SF23', NULL, NULL, NULL, NULL, 'PROTEIN FB19, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(185023, NULL, 'PTHR15184:SF59', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(185024, NULL, 'PTHR31155:SF26', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(185025, NULL, 'PTHR10366:SF618', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185026, NULL, 'PTHR23155:SF1139', NULL, NULL, NULL, NULL, 'NBS-LRR TYPE DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(185027, NULL, 'PTHR11407:SF60', NULL, NULL, NULL, NULL, 'SENSORY NEURON MEMBRANE PROTEIN 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(185028, NULL, 'PTHR33755:SF5', NULL, NULL, NULL, NULL, 'TOXIN, RELE FAMILY', NULL, NULL, NULL, 15),
(185029, NULL, 'PTHR47928:SF29', NULL, NULL, NULL, NULL, 'OS06G0231100 PROTEIN', NULL, NULL, NULL, 15),
(185030, NULL, 'PTHR33122:SF56', NULL, NULL, NULL, NULL, 'BNAANNG29910D PROTEIN', NULL, NULL, NULL, 15),
(185031, NULL, 'PTHR11638:SF166', NULL, NULL, NULL, NULL, 'BNAC04G37500D PROTEIN', NULL, NULL, NULL, 15),
(185032, NULL, 'PTHR46816:SF1', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(185033, NULL, 'PTHR12553:SF66', NULL, NULL, NULL, NULL, 'ZINC PHOSPHODIESTERASE ELAC PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(185034, NULL, 'PTHR31238:SF23', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 1-4', NULL, NULL, NULL, 15),
(185035, NULL, 'PTHR42695:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185036, NULL, 'PTHR24296:SF131', NULL, NULL, NULL, NULL, 'OS12G0134900 PROTEIN', NULL, NULL, NULL, 15),
(185037, NULL, 'PTHR47983', NULL, NULL, NULL, NULL, 'PTO-INTERACTING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(185038, NULL, 'PTHR45624:SF13', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN L', NULL, NULL, NULL, 15),
(185039, NULL, 'PTHR21659:SF97', NULL, NULL, NULL, NULL, 'HYDROPHOBIC PROTEIN RCI2A', NULL, NULL, NULL, 15),
(185040, NULL, 'PTHR33866', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE DECARBOXYLASE PROENZYME', NULL, NULL, 3247, 15),
(185041, NULL, 'PTHR21600:SF65', NULL, NULL, NULL, NULL, 'RIBOSOMAL LARGE SUBUNIT PSEUDOURIDINE SYNTHASE B', NULL, NULL, NULL, 15),
(185042, NULL, 'PTHR12701:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185043, NULL, 'PTHR31356:SF49', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE T, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(185044, NULL, 'PTHR24376:SF153', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 717', NULL, NULL, NULL, 15),
(185045, NULL, 'PTHR33405:SF19', NULL, NULL, NULL, NULL, 'MYOSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(185046, NULL, 'PTHR48217:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185047, NULL, 'PTHR47012', NULL, NULL, NULL, NULL, 'LAMIN TAIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 37584, 15),
(185048, NULL, 'PTHR47984:SF28', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(185049, NULL, 'PTHR46572:SF2', NULL, NULL, NULL, NULL, 'RHO1 GDP-GTP EXCHANGE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(185050, NULL, 'PTHR48047:SF69', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(185051, NULL, 'PTHR47327:SF14', NULL, NULL, NULL, NULL, 'PROTEIN CBG04379', NULL, NULL, NULL, 15),
(185052, NULL, 'PTHR32370:SF88', NULL, NULL, NULL, NULL, 'BNAC09G40350D PROTEIN', NULL, NULL, NULL, 15),
(185053, NULL, 'PTHR24343:SF181', NULL, NULL, NULL, NULL, 'SNF-RELATED SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(185054, NULL, 'PTHR23147:SF165', NULL, NULL, NULL, NULL, 'BNAC01G41640D PROTEIN', NULL, NULL, NULL, 15),
(185055, NULL, 'PTHR12542:SF88', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(185056, NULL, 'PTHR21166:SF2', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC WITH OB DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(185057, NULL, 'PTHR34152:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG26221', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185058, NULL, 'PTHR24062:SF89', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 40-RELATED', NULL, NULL, NULL, 15),
(185059, NULL, 'PTHR13778:SF52', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(185060, NULL, 'PTHR10108:SF1089', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(185061, NULL, 'PTHR33389:SF7', NULL, NULL, NULL, NULL, 'OS01G0678000 PROTEIN', NULL, NULL, NULL, 15),
(185062, NULL, 'PTHR12176:SF16', NULL, NULL, NULL, NULL, 'EEF1A LYSINE METHYLTRANSFERASE 4', NULL, NULL, NULL, 15),
(185063, NULL, 'PTHR11214:SF21', NULL, NULL, NULL, NULL, 'LACTOSYLCERAMIDE 1,3-N-ACETYL-BETA-D-GLUCOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(185064, NULL, 'PTHR36194', NULL, NULL, NULL, NULL, 'S-LAYER-LIKE PROTEIN', NULL, NULL, NULL, 15),
(185065, NULL, 'PTHR40470', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G15850)', NULL, NULL, NULL, 15),
(185066, NULL, 'PTHR14845:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185067, NULL, 'PTHR21649:SF99', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 7, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(185068, NULL, 'PTHR14154:SF77', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II SUBUNIT S', NULL, NULL, NULL, 15),
(185069, NULL, 'PTHR33336:SF1', NULL, NULL, NULL, NULL, '(4S)-4-HYDROXY-5-PHOSPHONOOXYPENTANE-2,3-DIONE ISOMERASE', NULL, NULL, NULL, 15),
(185070, NULL, 'PTHR31741:SF1', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE 7', NULL, NULL, NULL, 15),
(185071, NULL, 'PTHR36138:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185072, NULL, 'PTHR23074:SF141', NULL, NULL, NULL, NULL, 'PROTEIN CBG04396', NULL, NULL, NULL, 15),
(185073, NULL, 'PTHR10807:SF56', NULL, NULL, NULL, NULL, 'MYOTUBULARIN-RELATED PROTEIN 9', NULL, NULL, NULL, 15),
(185074, NULL, 'PTHR31589:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185075, NULL, 'PTHR43420:SF12', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(185076, NULL, 'PTHR43416:SF22', NULL, NULL, NULL, NULL, 'SUCCINYLTRANSFERASE COMPONENT OF 2-OXOGLUTARATE DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185077, NULL, 'PTHR21561:SF24', NULL, NULL, NULL, NULL, 'TITIN HOMOLOG ISOFORM X1', NULL, NULL, NULL, 15),
(185078, NULL, 'PTHR14155:SF507', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL32', NULL, NULL, NULL, 15),
(185079, NULL, 'PTHR11516:SF23', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT SUBUNIT ALPHA, TESTIS-SPECIFIC FORM, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(185080, NULL, 'PTHR23341:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185081, NULL, 'PTHR43330:SF13', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE 2', NULL, NULL, NULL, 15),
(185082, NULL, 'PTHR24161:SF18', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE ZDHHC17', NULL, NULL, 26498, 15),
(185083, NULL, 'PTHR11904:SF13', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(185084, NULL, 'PTHR10794:SF82', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(185085, NULL, 'PTHR11819:SF130', NULL, NULL, NULL, NULL, 'MCG3105, ISOFORM CRA_A', NULL, NULL, NULL, 15),
(185086, NULL, 'PTHR11820', NULL, NULL, NULL, NULL, 'ACYLPYRUVASE', NULL, NULL, NULL, 15),
(185087, NULL, 'PTHR42040:SF1', NULL, NULL, NULL, NULL, 'INNER KINETOCHORE SUBUNIT FTA4', NULL, NULL, NULL, 15),
(185088, NULL, 'PTHR42064:SF1', NULL, NULL, NULL, NULL, 'YALI0F28677P', NULL, NULL, NULL, 15),
(185089, NULL, 'PTHR31252:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185090, NULL, 'PTHR48010:SF27', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185091, NULL, 'PTHR20516:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 114', NULL, NULL, NULL, 15),
(185092, NULL, 'PTHR23261:SF15', NULL, NULL, NULL, NULL, 'GROUND-LIKE (GRD RELATED)', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185093, NULL, 'PTHR37423:SF1', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN ASSEMBLY FACTOR BAMD', NULL, NULL, NULL, 15),
(185094, NULL, 'PTHR24416:SF503', NULL, NULL, NULL, NULL, 'OVEREXPRESSION LONGEVITY DETERMINANT-RELATED', NULL, NULL, 20640, 15),
(185095, NULL, 'PTHR30477:SF0', NULL, NULL, NULL, NULL, 'METAL TRANSPORT SYSTEM MEMBRANE PROTEIN TM_0125-RELATED', NULL, NULL, NULL, 15),
(185096, NULL, 'PTHR11909:SF400', NULL, NULL, NULL, NULL, 'OS02G0280400 PROTEIN', NULL, NULL, NULL, 15),
(185097, NULL, 'PTHR12446:SF34', NULL, NULL, NULL, NULL, 'PROTEIN LIN-54 HOMOLOG', NULL, NULL, NULL, 15),
(185098, NULL, 'PTHR33990:SF5', NULL, NULL, NULL, NULL, 'LMO2724 PROTEIN', NULL, NULL, NULL, 15),
(185099, NULL, 'PTHR37215', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(185100, NULL, 'PTHR22952:SF433', NULL, NULL, NULL, NULL, 'PROTEIN FD-LIKE', NULL, NULL, NULL, 15),
(185101, NULL, 'PTHR31929:SF73', NULL, NULL, NULL, NULL, 'BNAA10G16810D PROTEIN', NULL, NULL, NULL, 15),
(185102, NULL, 'PTHR20338:SF7', NULL, NULL, NULL, NULL, 'MISEXPRESSION SUPPRESSOR OF RAS 3, ISOFORM B', NULL, NULL, NULL, 15),
(185103, NULL, 'PTHR42943:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG18221', NULL, NULL, NULL, 15),
(185104, NULL, 'PTHR24028:SF258', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-C5', NULL, NULL, NULL, 15),
(185105, NULL, 'PTHR27006:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185106, NULL, 'PTHR13237:SF10', NULL, NULL, NULL, NULL, 'BNAC04G49130D PROTEIN', NULL, NULL, NULL, 15),
(185107, NULL, 'PTHR45974:SF54', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185108, NULL, 'PTHR12161:SF64', NULL, NULL, NULL, NULL, 'BNAA09G46310D PROTEIN', NULL, NULL, NULL, 15),
(185109, NULL, 'PTHR21454:SF36', NULL, NULL, NULL, NULL, 'OS08G0474600 PROTEIN', NULL, NULL, NULL, 15),
(185110, NULL, 'PTHR45790:SF4', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-4 C(11)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(185111, NULL, 'PTHR18935:SF7', NULL, NULL, NULL, NULL, 'JANUS KINASE AND MICROTUBULE-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(185112, NULL, 'PTHR33491:SF25', NULL, NULL, NULL, NULL, 'OS04G0367000 PROTEIN', NULL, NULL, NULL, 15),
(185113, NULL, 'PTHR13710:SF136', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(185114, NULL, 'PTHR22960', NULL, NULL, NULL, NULL, 'MOLYBDOPTERIN COFACTOR SYNTHESIS PROTEIN A', NULL, NULL, NULL, 15),
(185115, NULL, 'PTHR31042:SF1', NULL, NULL, NULL, NULL, 'OS04G0607100 PROTEIN', NULL, NULL, NULL, 15),
(185116, NULL, 'PTHR31042:SF109', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-1,6-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185117, NULL, 'PTHR21389', NULL, NULL, NULL, NULL, 'P53 INDUCED PROTEIN', NULL, NULL, 14528, 15),
(185118, NULL, 'PTHR48042:SF14', NULL, NULL, NULL, NULL, 'WHITE-BROWN-COMPLEX ABC TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(185119, NULL, 'PTHR11544:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185120, NULL, 'PTHR10666:SF298', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN-LIKE', NULL, NULL, NULL, 15),
(185121, NULL, 'PTHR10071:SF321', NULL, NULL, NULL, NULL, 'GATA-TYPE TRANSCRIPTION FACTOR SREA', NULL, NULL, NULL, 15),
(185122, NULL, 'PTHR10005:SF26', NULL, NULL, NULL, NULL, 'SKI FAMILY TRANSCRIPTIONAL COREPRESSOR 1 HOMOLOG-B-RELATED', NULL, NULL, NULL, 15),
(185123, NULL, 'PTHR43390:SF13', NULL, NULL, NULL, NULL, 'BNAC05G04750D PROTEIN', NULL, NULL, NULL, 15),
(185124, NULL, 'PTHR47212:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYGLUCOSAMINLYTRANSFERASE SUBUNIT P-LIKE PROTEIN', NULL, NULL, NULL, 15),
(185125, NULL, 'PTHR21659:SF81', NULL, NULL, NULL, NULL, 'LOW TEMPERATURE AND SALT RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(185126, NULL, 'PTHR24281:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185127, NULL, 'PTHR20916:SF18', NULL, NULL, NULL, NULL, 'GOLGI PROTEIN 1', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185128, NULL, 'PTHR23202:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185129, NULL, 'PTHR16184:SF6', NULL, NULL, NULL, NULL, 'ELONGATOR COMPLEX PROTEIN 6', NULL, NULL, NULL, 15),
(185130, NULL, 'PTHR45875:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE N6AMT1', NULL, NULL, NULL, 15),
(185131, NULL, 'PTHR26312:SF173', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185132, NULL, 'PTHR10388:SF10', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 1', NULL, NULL, NULL, 15),
(185133, NULL, 'PTHR19332', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PEX13', NULL, NULL, 15365, 15),
(185134, NULL, 'PTHR31917:SF75', NULL, NULL, NULL, NULL, 'AGENET-LIKE DOMAIN, AGENET DOMAIN, PLANT TYPE-RELATED', NULL, NULL, NULL, 15),
(185135, NULL, 'PTHR46034:SF29', NULL, NULL, NULL, NULL, 'BNACNNG58090D PROTEIN', NULL, NULL, NULL, 15),
(185136, NULL, 'PTHR47974:SF3', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE ZMPK1-RELATED', NULL, NULL, NULL, 15),
(185137, NULL, 'PTHR31589:SF149', NULL, NULL, NULL, NULL, 'BNAA01G13010D PROTEIN', NULL, NULL, NULL, 15),
(185138, NULL, 'PTHR33065:SF132', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(185139, NULL, 'PTHR10849:SF20', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 8, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(185140, NULL, 'PTHR20856:SF30', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(185141, NULL, 'PTHR37563', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA DIOXYGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G03330)', NULL, NULL, NULL, 15),
(185142, NULL, 'PTHR33184:SF50', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185143, NULL, 'PTHR33963:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG07070', NULL, NULL, NULL, 15),
(185144, NULL, 'PTHR37422:SF12', NULL, NULL, NULL, NULL, 'O-ANTIGEN POLYMERASE FAMILY', NULL, NULL, NULL, 15),
(185145, NULL, 'PTHR11945:SF383', NULL, NULL, NULL, NULL, 'MYOCYTE-SPECIFIC ENHANCER FACTOR 2B', NULL, NULL, NULL, 15),
(185146, NULL, 'PTHR15468', NULL, NULL, NULL, NULL, 'ZNF185', NULL, NULL, NULL, 15),
(185147, NULL, 'PTHR19370:SF187', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 REDUCTASE 4', NULL, NULL, NULL, 15),
(185148, NULL, 'PTHR46243:SF4', NULL, NULL, NULL, NULL, 'BIS(5-ADENOSYL)-TRIPHOSPHATASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(185149, NULL, 'PTHR33199:SF8', NULL, NULL, NULL, NULL, 'MACPF DOMAIN-CONTAINING PROTEIN NSL1', NULL, NULL, NULL, 15),
(185150, NULL, 'PTHR23310:SF54', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING PROTEIN', NULL, NULL, NULL, 15),
(185151, NULL, 'PTHR42809:SF1', NULL, NULL, NULL, NULL, 'FLAVODOXIN 2', NULL, NULL, NULL, 15),
(185152, NULL, 'PTHR22835:SF577', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(185153, NULL, 'PTHR23245:SF25', NULL, NULL, NULL, NULL, 'TRNA WYBUTOSINE-SYNTHESIZING PROTEIN 2 HOMOLOG', NULL, NULL, NULL, 15),
(185154, NULL, 'PTHR43572:SF62', NULL, NULL, NULL, NULL, 'DOUBLE CLP-N MOTIF-CONTAINING P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185155, NULL, 'PTHR10971:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185156, NULL, 'PTHR35861:SF2', NULL, NULL, NULL, NULL, 'FELS-2 PROPHAGE PROTEIN', NULL, NULL, 6692, 15),
(185157, NULL, 'PTHR48010:SF19', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE IRK-RELATED', NULL, NULL, NULL, 15),
(185158, NULL, 'PTHR12151:SF5', NULL, NULL, NULL, NULL, 'AT19154P', NULL, NULL, NULL, 15),
(185159, NULL, 'PTHR10496:SF13', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S24', NULL, NULL, NULL, 15),
(185160, NULL, 'PTHR11236:SF33', NULL, NULL, NULL, NULL, 'ADC SYNTHASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185161, NULL, 'PTHR26453:SF286', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T33-RELATED', NULL, NULL, NULL, 15),
(185162, NULL, 'PTHR11537:SF5', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY KQT MEMBER 3', NULL, NULL, 7375, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185163, NULL, 'PTHR12219:SF17', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 93', NULL, NULL, NULL, 15),
(185164, NULL, 'PTHR32133:SF337', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185165, NULL, 'PTHR45747:SF14', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(185166, NULL, 'PTHR16469:SF7', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED AND SH3 DOMAIN-CONTAINING PROTEIN A', NULL, NULL, NULL, 15),
(185167, NULL, 'PTHR12650:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185168, NULL, 'PTHR24161:SF24', NULL, NULL, NULL, NULL, 'IQ MOTIF AND ANKYRIN REPEAT-CONTAINING 1-RELATED', NULL, NULL, NULL, 15),
(185169, NULL, 'PTHR47981:SF17', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-9B', NULL, NULL, NULL, 15),
(185170, NULL, 'PTHR24369:SF155', NULL, NULL, NULL, NULL, 'ANTIGEN BSP, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185171, NULL, 'PTHR45703:SF8', NULL, NULL, NULL, NULL, 'DYNEIN HEAVY CHAIN', NULL, NULL, NULL, 15),
(185172, NULL, 'PTHR19290:SF53', NULL, NULL, NULL, NULL, 'CLASS E BASIC HELIX-LOOP-HELIX PROTEIN 23', NULL, NULL, 22159, 15),
(185173, NULL, 'PTHR13844:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TRI1-RELATED', NULL, NULL, NULL, 15),
(185174, NULL, 'PTHR45680:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(185175, NULL, 'PTHR23257:SF836', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 7-LIKE', NULL, NULL, NULL, 15),
(185176, NULL, 'PTHR31623:SF90', NULL, NULL, NULL, NULL, 'TRANSFERASE, CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185177, NULL, 'PTHR11675', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINYLTRANSFERASE', NULL, NULL, NULL, 15),
(185178, NULL, 'PTHR11328:SF34', NULL, NULL, NULL, NULL, 'PERMEASE, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(185179, NULL, 'PTHR10704:SF67', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(185180, NULL, 'PTHR35125:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PATRONUS 2', NULL, NULL, NULL, 15),
(185181, NULL, 'PTHR10891:SF867', NULL, NULL, NULL, NULL, 'EF-HAND DOMAIN PAIR-RELATED', NULL, NULL, NULL, 15),
(185182, NULL, 'PTHR46953:SF3', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR MTH-LIKE 14-RELATED', NULL, NULL, NULL, 15),
(185183, NULL, 'PTHR12247:SF134', NULL, NULL, NULL, NULL, 'POLYHOMEOTIC DISTAL, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(185184, NULL, 'PTHR23504:SF98', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN 2', NULL, NULL, NULL, 15),
(185185, NULL, 'PTHR12189:SF1', NULL, NULL, NULL, NULL, 'CAPPING METHYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185186, NULL, 'PTHR46267:SF21', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185187, NULL, 'PTHR23304:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185188, NULL, 'PTHR34113:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185189, NULL, 'PTHR45744:SF31', NULL, NULL, NULL, NULL, 'BNAC01G10040D PROTEIN', NULL, NULL, NULL, 15),
(185190, NULL, 'PTHR46133:SF10', NULL, NULL, NULL, NULL, 'BHLH DOMAIN CLASS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(185191, NULL, 'PTHR31580:SF2', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(185192, NULL, 'PTHR22738:SF14', NULL, NULL, NULL, NULL, 'RAS ASSOCIATION DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 29902, 15),
(185193, NULL, 'PTHR11817:SF96', NULL, NULL, NULL, NULL, 'BNAA09G27160D PROTEIN', NULL, NULL, NULL, 15),
(185194, NULL, 'PTHR24115:SF946', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185195, NULL, 'PTHR27009:SF169', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', NULL, NULL, NULL, 15),
(185196, NULL, 'PTHR32444:SF110', NULL, NULL, NULL, NULL, 'OS09G0551150 PROTEIN', NULL, NULL, NULL, 15),
(185197, NULL, 'PTHR24345:SF57', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PLK', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185198, NULL, 'PTHR22960:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185199, NULL, 'PTHR24409:SF378', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 574', NULL, NULL, NULL, 15),
(185200, NULL, 'PTHR27005:SF228', NULL, NULL, NULL, NULL, 'TREHALOSE 6-PHOSPHATE PHOSPHATASE', NULL, NULL, NULL, 15),
(185201, NULL, 'PTHR46153:SF10', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(185202, NULL, 'PTHR35467', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 31969, 15),
(185203, NULL, 'PTHR19856:SF1', NULL, NULL, NULL, NULL, 'ACTIN-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(185204, NULL, 'PTHR13703:SF41', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 9', NULL, NULL, NULL, 15),
(185205, NULL, 'PTHR24349:SF136', NULL, NULL, NULL, NULL, 'OS02G0625300 PROTEIN', NULL, NULL, NULL, 15),
(185206, NULL, 'PTHR37534:SF7', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G01850)-RELATED', NULL, NULL, NULL, 15),
(185207, NULL, 'PTHR27006:SF428', NULL, NULL, NULL, NULL, 'OS05G0423500 PROTEIN', NULL, NULL, NULL, 15),
(185208, NULL, 'PTHR24320:SF211', NULL, NULL, NULL, NULL, 'OS04G0291100 PROTEIN', NULL, NULL, NULL, 15),
(185209, NULL, 'PTHR36966', NULL, NULL, NULL, NULL, 'REP-ASSOCIATED TYROSINE TRANSPOSASE', NULL, NULL, NULL, 15),
(185210, NULL, 'PTHR11130', NULL, NULL, NULL, NULL, 'GLUTATHIONE SYNTHETASE', NULL, NULL, 2883, 15),
(185211, NULL, 'PTHR11945:SF458', NULL, NULL, NULL, NULL, 'MADS-BOX PROTEIN SVP-LIKE', NULL, NULL, NULL, 15),
(185212, NULL, 'PTHR11973:SF17', NULL, NULL, NULL, NULL, 'BASAL CELL ADHESION MOLECULE', NULL, NULL, NULL, 15),
(185213, NULL, 'PTHR10218:SF315', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185214, NULL, 'PTHR33021:SF368', NULL, NULL, NULL, NULL, 'PEELING CUPREDOXIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185215, NULL, 'PTHR42280:SF1', NULL, NULL, NULL, NULL, 'CITG FAMILY PROTEIN', NULL, NULL, NULL, 15),
(185216, NULL, 'PTHR24384:SF220', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 628', NULL, NULL, NULL, 15),
(185217, NULL, 'PTHR20922:SF15', NULL, NULL, NULL, NULL, 'A_TM021B04.14 PROTEIN', NULL, NULL, NULL, 15),
(185218, NULL, 'PTHR47207', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P3-1-RELATED', NULL, NULL, 39488, 15),
(185219, NULL, 'PTHR11693:SF39', NULL, NULL, NULL, NULL, 'BNAA05G10580D PROTEIN', NULL, NULL, NULL, 15),
(185220, NULL, 'PTHR36929', NULL, NULL, NULL, NULL, 'ATTACHMENT SUBUNIT, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185221, NULL, 'PTHR12673:SF260', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185222, NULL, 'PTHR45870', NULL, NULL, NULL, NULL, 'TUBULIN MONOGLYCYLASE TTLL3', NULL, NULL, NULL, 15),
(185223, NULL, 'PTHR35545:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185224, NULL, 'PTHR32448:SF113', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 18', NULL, NULL, NULL, 15),
(185225, NULL, 'PTHR47567:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE/SOLUTE CARRIER', NULL, NULL, NULL, 15),
(185226, NULL, 'PTHR48049:SF33', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(185227, NULL, 'PTHR45618:SF43', NULL, NULL, NULL, NULL, 'DICARBOXYLATE CARRIER PROTEIN', NULL, NULL, NULL, 15),
(185228, NULL, 'PTHR46160:SF2', NULL, NULL, NULL, NULL, 'UROMODULIN', NULL, NULL, NULL, 15),
(185229, NULL, 'PTHR11820:SF112', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G02370)-RELATED', NULL, NULL, NULL, 15),
(185230, NULL, 'PTHR12697:SF24', NULL, NULL, NULL, NULL, 'PHYCOCYANOBILIN LYASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(185231, NULL, 'PTHR24075:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185232, NULL, 'PTHR12947:SF11', NULL, NULL, NULL, NULL, 'OS01G0338200 PROTEIN', NULL, NULL, NULL, 15),
(185233, NULL, 'PTHR30582:SF30', NULL, NULL, NULL, NULL, 'BLR4375 PROTEIN', NULL, NULL, NULL, 15),
(185234, NULL, 'PTHR11749', NULL, NULL, NULL, NULL, 'RIBULOSE-5-PHOSPHATE-3-EPIMERASE', NULL, NULL, 2971, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185235, NULL, 'PTHR31079:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185236, NULL, 'PTHR33376', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 20637, 15),
(185237, NULL, 'PTHR12879:SF8', NULL, NULL, NULL, NULL, 'DES-1 PROTEIN', NULL, NULL, NULL, 15),
(185238, NULL, 'PTHR31218:SF181', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(185239, NULL, 'PTHR22780:SF25', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(185240, NULL, 'PTHR11334:SF32', NULL, NULL, NULL, NULL, 'MAS-RELATED G-PROTEIN COUPLED RECEPTOR MEMBER G', NULL, NULL, 23370, 15),
(185241, NULL, 'PTHR12305:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185242, NULL, 'PTHR30504', NULL, NULL, NULL, NULL, 'GLUCANS BIOSYNTHESIS PROTEIN', NULL, NULL, 7660, 15),
(185243, NULL, 'PTHR22714:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG02457', NULL, NULL, NULL, 15),
(185244, NULL, 'PTHR33601:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185245, NULL, 'PTHR11043:SF29', NULL, NULL, NULL, NULL, 'BNAA05G28750D PROTEIN', NULL, NULL, NULL, 15),
(185246, NULL, 'PTHR20957:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185247, NULL, 'PTHR46761:SF7', NULL, NULL, NULL, NULL, 'WPP DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185248, NULL, 'PTHR12419:SF11', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN DDB_G0284757', NULL, NULL, NULL, 15),
(185249, NULL, 'PTHR21229:SF22', NULL, NULL, NULL, NULL, 'DBJ|BAA84809.1', NULL, NULL, NULL, 15),
(185250, NULL, 'PTHR43900:SF76', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE 1', NULL, NULL, NULL, 15),
(185251, NULL, 'PTHR45798:SF57', NULL, NULL, NULL, NULL, 'BNAC07G15130D PROTEIN', NULL, NULL, NULL, 15),
(185252, NULL, 'PTHR30540:SF106', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 26', NULL, NULL, NULL, 15),
(185253, NULL, 'PTHR10063:SF3', NULL, NULL, NULL, NULL, 'RAL GTPASE-ACTIVATING PROTEIN SUBUNIT ALPHA-1', NULL, NULL, NULL, 15),
(185254, NULL, 'PTHR31241:SF47', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CLASS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(185255, NULL, 'PTHR45892', NULL, NULL, NULL, NULL, 'AMINOACYLASE-1', NULL, NULL, NULL, 15),
(185256, NULL, 'PTHR10891:SF879', NULL, NULL, NULL, NULL, 'BNAC04G31730D PROTEIN', NULL, NULL, NULL, 15),
(185257, NULL, 'PTHR18935:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185258, NULL, 'PTHR11055:SF1', NULL, NULL, NULL, NULL, 'PAPS SYNTHETASE, ISOFORM D', NULL, NULL, NULL, 15),
(185259, NULL, 'PTHR12369:SF14', NULL, NULL, NULL, NULL, 'CHONDROITIN SULFATE GLUCURONYLTRANSFERASE', NULL, NULL, NULL, 15),
(185260, NULL, 'PTHR33076:SF65', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(185261, NULL, 'PTHR23001:SF36', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5-LIKE', NULL, NULL, NULL, 15),
(185262, NULL, 'PTHR11439:SF315', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE DOMAIN, GAG-PRE-INTEGRASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185263, NULL, 'PTHR14619:SF2', NULL, NULL, NULL, NULL, 'NEURON-DERIVED NEUROTROPHIC FACTOR,-LIKE', NULL, NULL, NULL, 15),
(185264, NULL, 'PTHR16515:SF10', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE PRDM9-RELATED', NULL, NULL, NULL, 15),
(185265, NULL, 'PTHR46110:SF2', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HMX3', NULL, NULL, NULL, 15),
(185266, NULL, 'PTHR31218:SF208', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(185267, NULL, 'PTHR46101:SF13', NULL, NULL, NULL, NULL, 'BNAA08G04700D PROTEIN', NULL, NULL, NULL, 15),
(185268, NULL, 'PTHR11732:SF456', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(185269, NULL, 'PTHR33127:SF20', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185270, NULL, 'PTHR33347:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185271, NULL, 'PTHR23266:SF320', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA CONSTANT 2', NULL, NULL, NULL, 15),
(185272, NULL, 'PTHR31595:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185273, NULL, 'PTHR46463:SF44', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(185274, NULL, 'PTHR33782:SF16', NULL, NULL, NULL, NULL, 'OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 18, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185275, NULL, 'PTHR24100:SF105', NULL, NULL, NULL, NULL, 'BTNL2-RELATED', NULL, NULL, NULL, 15),
(185276, NULL, 'PTHR43180:SF55', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(185277, NULL, 'PTHR10334:SF474', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(185278, NULL, 'PTHR23382:SF28', NULL, NULL, NULL, NULL, 'BNAA02G07730D PROTEIN', NULL, NULL, NULL, 15),
(185279, NULL, 'PTHR12480:SF6', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE AND IRON-DEPENDENT OXYGENASE JMJD4', NULL, NULL, NULL, 15),
(185280, NULL, 'PTHR11588:SF383', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1 CHAIN', NULL, NULL, NULL, 15),
(185281, NULL, 'PTHR33413:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185282, NULL, 'PTHR33529', NULL, NULL, NULL, NULL, 'SLR0882 PROTEIN-RELATED', NULL, NULL, 595, 15),
(185283, NULL, 'PTHR31080:SF215', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185284, NULL, 'PTHR23360:SF39', NULL, NULL, NULL, NULL, 'PROTEIN CBG13084', NULL, NULL, NULL, 15),
(185285, NULL, 'PTHR31718:SF34', NULL, NULL, NULL, NULL, 'EMBRYO-SPECIFIC PROTEIN ATS3', NULL, NULL, NULL, 15),
(185286, NULL, 'PTHR10829:SF15', NULL, NULL, NULL, NULL, 'SRC SUBSTRATE CORTACTIN', NULL, NULL, 8305, 15),
(185287, NULL, 'PTHR33236', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 122 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185288, NULL, 'PTHR23316:SF3', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-5', NULL, NULL, NULL, 15),
(185289, NULL, 'PTHR33699:SF23', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(185290, NULL, 'PTHR12483:SF87', NULL, NULL, NULL, NULL, 'COPPER TRANSPORTER 4', NULL, NULL, NULL, 15),
(185291, NULL, 'PTHR31140:SF87', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING TRANSCRIPTION FACTOR LEC2', NULL, NULL, NULL, 15),
(185292, NULL, 'PTHR11139:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MTOR', NULL, NULL, 27234, 15),
(185293, NULL, 'PTHR21257:SF52', NULL, NULL, NULL, NULL, 'DELTA(14)-STEROL REDUCTASE', NULL, NULL, NULL, 15),
(185294, NULL, 'PTHR31589:SF161', NULL, NULL, NULL, NULL, 'BNAC08G42590D PROTEIN', NULL, NULL, NULL, 15),
(185295, NULL, 'PTHR10845:SF181', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN SIGNALING', NULL, NULL, NULL, 15),
(185296, NULL, 'PTHR33264:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185297, NULL, 'PTHR31208:SF15', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185298, NULL, 'PTHR45625:SF1', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN-PROTEIN LIGASE PPIL2', NULL, NULL, NULL, 15),
(185299, NULL, 'PTHR11178:SF42', NULL, NULL, NULL, NULL, 'PROTEIN 5, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185300, NULL, 'PTHR35859:SF3', NULL, NULL, NULL, NULL, 'YALI0D02343P', NULL, NULL, NULL, 15),
(185301, NULL, 'PTHR26453:SF289', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 10A3', NULL, NULL, NULL, 15),
(185302, NULL, 'PTHR39639', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(185303, NULL, 'PTHR13318:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185304, NULL, 'PTHR18966:SF416', NULL, NULL, NULL, NULL, 'OS06G0188600 PROTEIN', NULL, NULL, NULL, 15),
(185305, NULL, 'PTHR10615:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185306, NULL, 'PTHR46551', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING RIBONUCLEOPROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185307, NULL, 'PTHR46015:SF7', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE S-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(185308, NULL, 'PTHR12146:SF0', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S10', NULL, NULL, NULL, 15),
(185309, NULL, 'PTHR11685:SF252', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(185310, NULL, 'PTHR42753:SF2', NULL, NULL, NULL, NULL, 'PROLINE--TRNA LIGASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(185311, NULL, 'PTHR33184:SF60', NULL, NULL, NULL, NULL, 'BNAA03G51920D PROTEIN', NULL, NULL, NULL, 15),
(185312, NULL, 'PTHR10681:SF158', NULL, NULL, NULL, NULL, '2-CYS PEROXIREDOXIN BAS1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(185313, NULL, 'PTHR21680:SF1', NULL, NULL, NULL, NULL, 'OS04G0561600 PROTEIN', NULL, NULL, NULL, 15),
(185314, NULL, 'PTHR11581:SF18', NULL, NULL, NULL, NULL, 'ISOPRENYLCYSTEINE ALPHA-CARBONYL METHYLESTERASE ICMEL2-RELATED', NULL, NULL, NULL, 15),
(185315, NULL, 'PTHR10292:SF7', NULL, NULL, NULL, NULL, 'CLATHRIN HEAVY CHAIN 1', NULL, NULL, NULL, 15),
(185316, NULL, 'PTHR37876:SF1', NULL, NULL, NULL, NULL, 'PROTEIN GAR2-LIKE', NULL, NULL, NULL, 15),
(185317, NULL, 'PTHR35332:SF2', NULL, NULL, NULL, NULL, 'REGULATION OF ENOLASE PROTEIN 1', NULL, NULL, NULL, 15),
(185318, NULL, 'PTHR30160:SF1', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE CORE HEPTOSYLTRANSFERASE RFAQ', NULL, NULL, NULL, 15),
(185319, NULL, 'PTHR11465:SF53', NULL, NULL, NULL, NULL, 'CATALASE', NULL, NULL, NULL, 15),
(185320, NULL, 'PTHR35163:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185321, NULL, 'PTHR33121:SF45', NULL, NULL, NULL, NULL, 'CYCLIC DI-GMP PHOSPHODIESTERASE PDEF', NULL, NULL, NULL, 15),
(185322, NULL, 'PTHR22835:SF234', NULL, NULL, NULL, NULL, 'OS05G0159200 PROTEIN', NULL, NULL, NULL, 15),
(185323, NULL, 'PTHR42709:SF6', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE LIKE PROTEIN', NULL, NULL, NULL, 15),
(185324, NULL, 'PTHR27005:SF328', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185325, NULL, 'PTHR10574:SF224', NULL, NULL, NULL, NULL, 'ATTRACTIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(185326, NULL, 'PTHR31636:SF176', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 29', NULL, NULL, NULL, 15),
(185327, NULL, 'PTHR21661:SF74', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE', NULL, NULL, NULL, 15),
(185328, NULL, 'PTHR35098:SF4', NULL, NULL, NULL, NULL, 'NODULIN-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(185329, NULL, 'PTHR11937:SF410', NULL, NULL, NULL, NULL, 'ACTIN-2', NULL, NULL, NULL, 15),
(185330, NULL, 'PTHR45875:SF5', NULL, NULL, NULL, NULL, 'BNAC01G37640D PROTEIN', NULL, NULL, NULL, 15),
(185331, NULL, 'PTHR13003:SF3', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN', NULL, NULL, NULL, 15),
(185332, NULL, 'PTHR23124:SF50', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(185333, NULL, 'PTHR34145:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185334, NULL, 'PTHR21522:SF40', NULL, NULL, NULL, NULL, 'OTOPETRIN-LIKE', NULL, NULL, NULL, 15),
(185335, NULL, 'PTHR48041:SF50', NULL, NULL, NULL, NULL, 'WHITE (DROSOPHILA) RELATED ABC TRANSPORTER', NULL, NULL, NULL, 15),
(185336, NULL, 'PTHR10693:SF10', NULL, NULL, NULL, NULL, 'RAS GTPASE-ACTIVATING PROTEIN-BINDING PROTEIN 2', NULL, NULL, 6078, 15),
(185337, NULL, 'PTHR24055:SF413', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE 9-LIKE', NULL, NULL, NULL, 15),
(185338, NULL, 'PTHR21094:SF0', NULL, NULL, NULL, NULL, 'GOLGI SNAP RECEPTOR COMPLEX MEMBER 1', NULL, NULL, NULL, 15),
(185339, NULL, 'PTHR36586', NULL, NULL, NULL, NULL, 'PROLINE-RICH EXTENSIN-LIKE', NULL, NULL, NULL, 15),
(185340, NULL, 'PTHR31942:SF75', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(185341, NULL, 'PTHR11830:SF31', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S3A', NULL, NULL, NULL, 15),
(185342, NULL, 'PTHR11003:SF74', NULL, NULL, NULL, NULL, 'UNCOORDINATED PROTEIN 58', NULL, NULL, NULL, 15),
(185343, NULL, 'PTHR34377:SF4', NULL, NULL, NULL, NULL, 'OS09G0309600 PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185344, NULL, 'PTHR47979:SF39', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185345, NULL, 'PTHR42845:SF1', NULL, NULL, NULL, NULL, 'F420-NON-REDUCING HYDROGENASE VHU SUBUNIT G', NULL, NULL, NULL, 15),
(185346, NULL, 'PTHR23423:SF80', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(185347, NULL, 'PTHR31907:SF20', NULL, NULL, NULL, NULL, 'KIROLA-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(185348, NULL, 'PTHR18916:SF81', NULL, NULL, NULL, NULL, 'FAMILY 2LIKE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185349, NULL, 'PTHR18966:SF415', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(185350, NULL, 'PTHR31065:SF74', NULL, NULL, NULL, NULL, 'OS02G0692700 PROTEIN', NULL, NULL, NULL, 15),
(185351, NULL, 'PTHR43658:SF10', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, SHORT CHAIN DEHYDROGENASE/REDUCTASE FAMILY (AFU_ORTHOLOGUE AFUA_8G05590)', NULL, NULL, NULL, 15),
(185352, NULL, 'PTHR48062:SF1', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1 ISOFORM X1', NULL, NULL, NULL, 15),
(185353, NULL, 'PTHR47563', NULL, NULL, NULL, NULL, 'PROTEIN FMP25, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(185354, NULL, 'PTHR31459:SF19', NULL, NULL, NULL, NULL, 'DESICCATION-RELATED PROTEIN LEA14-RELATED', NULL, NULL, NULL, 15),
(185355, NULL, 'PTHR47125:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185356, NULL, 'PTHR23301:SF84', NULL, NULL, NULL, NULL, 'GASP, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(185357, NULL, 'PTHR34709:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185358, NULL, 'PTHR23339', NULL, NULL, NULL, NULL, 'TYROSINE SPECIFIC PROTEIN PHOSPHATASE AND DUAL SPECIFICITY PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(185359, NULL, 'PTHR23501:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185360, NULL, 'PTHR24125:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND DEATH DOMAIN-CONTAINING PROTEIN 1B', NULL, NULL, NULL, 15),
(185361, NULL, 'PTHR21368:SF24', NULL, NULL, NULL, NULL, 'BNAA02G10490D PROTEIN', NULL, NULL, NULL, 15),
(185362, NULL, 'PTHR10285:SF165', NULL, NULL, NULL, NULL, 'BNAA08G19620D PROTEIN', NULL, NULL, NULL, 15),
(185363, NULL, 'PTHR45724:SF3', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP3-2', NULL, NULL, NULL, 15),
(185364, NULL, 'PTHR24353:SF82', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE CATALYTIC SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(185365, NULL, 'PTHR11926:SF1318', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(185366, NULL, 'PTHR27009:SF80', NULL, NULL, NULL, NULL, 'RECEPTOR SERINE/THREONINE KINASE', NULL, NULL, NULL, 15),
(185367, NULL, 'PTHR11040', NULL, NULL, NULL, NULL, 'ZINC/IRON TRANSPORTER', NULL, NULL, NULL, 15),
(185368, NULL, 'PTHR11034:SF40', NULL, NULL, NULL, NULL, 'BCDNA.GH02439', NULL, NULL, NULL, 15),
(185369, NULL, 'PTHR31358:SF29', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 5-RELATED', NULL, NULL, NULL, 15),
(185370, NULL, 'PTHR47207:SF3', NULL, NULL, NULL, NULL, 'BNAC09G32930D PROTEIN', NULL, NULL, NULL, 15),
(185371, NULL, 'PTHR44376:SF21', NULL, NULL, NULL, NULL, 'LIS1 HOMOLOGY MOTIF, WD40/YVTN REPEAT-LIKE-CONTAINING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185372, NULL, 'PTHR45977:SF21', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', NULL, NULL, NULL, 15),
(185373, NULL, 'PTHR43316:SF4', NULL, NULL, NULL, NULL, 'ACID DEHALOGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G05870)-RELATED', NULL, NULL, NULL, 15),
(185374, NULL, 'PTHR31707:SF197', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(185375, NULL, 'PTHR24060:SF161', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, METABOTROPIC 6A', NULL, NULL, NULL, 15),
(185376, NULL, 'PTHR10663:SF340', NULL, NULL, NULL, NULL, 'CYTOHESIN-1', NULL, NULL, NULL, 15),
(185377, NULL, 'PTHR23055:SF60', NULL, NULL, NULL, NULL, 'EF-HAND CALCIUM-BINDING DOMAIN 1', NULL, NULL, NULL, 15),
(185378, NULL, 'PTHR12763:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185379, NULL, 'PTHR42061:SF4', NULL, NULL, NULL, NULL, 'ENDO-CHITOSANASE', NULL, NULL, NULL, 15),
(185380, NULL, 'PTHR31044:SF96', NULL, NULL, NULL, NULL, 'BNAA08G03760D PROTEIN', NULL, NULL, NULL, 15),
(185381, NULL, 'PTHR10642:SF19', NULL, NULL, NULL, NULL, 'RNASE H', NULL, NULL, NULL, 15),
(185382, NULL, 'PTHR10315:SF77', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE DIS1', NULL, NULL, NULL, 15),
(185383, NULL, 'PTHR46296:SF4', NULL, NULL, NULL, NULL, 'OS02G0199800 PROTEIN', NULL, NULL, NULL, 15),
(185384, NULL, 'PTHR43952:SF69', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 5', NULL, NULL, NULL, 15),
(185385, NULL, 'PTHR41394', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MGTE', NULL, NULL, NULL, 15),
(185386, NULL, 'PTHR31189:SF54', NULL, NULL, NULL, NULL, '11S GLOBULIN SEED STORAGE PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(185387, NULL, 'PTHR33286:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185388, NULL, 'PTHR42884', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE SUBTILISIN/KEXIN-RELATED', NULL, NULL, NULL, 15),
(185389, NULL, 'PTHR47982:SF6', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK4', NULL, NULL, NULL, 15),
(185390, NULL, 'PTHR43795:SF8', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(185391, NULL, 'PTHR11247:SF27', NULL, NULL, NULL, NULL, 'LYSOSOMAL THIOESTERASE PPT2', NULL, NULL, 27612, 15),
(185392, NULL, 'PTHR11062:SF277', NULL, NULL, NULL, NULL, 'BNAA03G01060D PROTEIN', NULL, NULL, NULL, 15),
(185393, NULL, 'PTHR33147:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185394, NULL, 'PTHR33076:SF79', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(185395, NULL, 'PTHR12406', NULL, NULL, NULL, NULL, 'CALCIUM-INDEPENDENT PHOSPHOLIPASE A2  IPLA2 -RELATED', NULL, NULL, 34358, 15),
(185396, NULL, 'PTHR14952:SF18', NULL, NULL, NULL, NULL, 'ROPPORIN-1A', NULL, NULL, NULL, 15),
(185397, NULL, 'PTHR11909:SF353', NULL, NULL, NULL, NULL, 'PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(185398, NULL, 'PTHR13723:SF173', NULL, NULL, NULL, NULL, 'ADAMTS-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(185399, NULL, 'PTHR12832', NULL, NULL, NULL, NULL, 'TESTIS-SPECIFIC PROTEIN PBS13  T-COMPLEX 11', NULL, NULL, 14264, 15),
(185400, NULL, 'PTHR15493', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 5 AND 43', NULL, NULL, NULL, 15),
(185401, NULL, 'PTHR31415:SF129', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(185402, NULL, 'PTHR11017:SF286', NULL, NULL, NULL, NULL, 'BNAC07G34000D PROTEIN', NULL, NULL, NULL, 15),
(185403, NULL, 'PTHR18952:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185404, NULL, 'PTHR46219:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG11138', NULL, NULL, NULL, 15),
(185405, NULL, 'PTHR10788:SF84', NULL, NULL, NULL, NULL, 'TREHALOSE-6-PHOSPHATE SYNTHASE5', NULL, NULL, NULL, 15),
(185406, NULL, 'PTHR23056:SF108', NULL, NULL, NULL, NULL, 'CALCINEURIN B-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(185407, NULL, 'PTHR31645:SF56', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', NULL, NULL, NULL, 15),
(185408, NULL, 'PTHR31620:SF23', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 3, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(185409, NULL, 'PTHR42788:SF13', NULL, NULL, NULL, NULL, 'NITRATE IMPORT ATP-BINDING PROTEIN NRTD', NULL, NULL, NULL, 15),
(185410, NULL, 'PTHR23159:SF37', NULL, NULL, NULL, NULL, 'OS11G0644600 PROTEIN', NULL, NULL, NULL, 15),
(185411, NULL, 'PTHR31623:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185412, NULL, 'PTHR45089:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185413, NULL, 'PTHR30535:SF33', NULL, NULL, NULL, NULL, 'PERIPLASMIC BINDING PROTEIN', NULL, NULL, NULL, 15),
(185414, NULL, 'PTHR14754:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR A PROTEIN-LIKE 4', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185415, NULL, 'PTHR21497:SF40', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15),
(185416, NULL, 'PTHR23315:SF296', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(185417, NULL, 'PTHR46145', NULL, NULL, NULL, NULL, 'HEPARANASE', NULL, NULL, NULL, 15),
(185418, NULL, 'PTHR34204', NULL, NULL, NULL, NULL, 'RNA-BINDING ASCH DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(185419, NULL, 'PTHR48085:SF11', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN, HMA-RELATED', NULL, NULL, NULL, 15),
(185420, NULL, 'PTHR11010:SF91', NULL, NULL, NULL, NULL, 'PROLYL CARBOXY PEPTIDASE LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(185421, NULL, 'PTHR22950:SF657', NULL, NULL, NULL, NULL, 'BNAA05G27230D PROTEIN', NULL, NULL, NULL, 15),
(185422, NULL, 'PTHR47942:SF59', NULL, NULL, NULL, NULL, 'OS12G0638900 PROTEIN', NULL, NULL, NULL, 15),
(185423, NULL, 'PTHR24281:SF148', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', NULL, NULL, NULL, 15),
(185424, NULL, 'PTHR33077:SF95', NULL, NULL, NULL, NULL, 'JASMONATE ZIM-DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(185425, NULL, 'PTHR11567:SF172', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE FAMILY', NULL, NULL, NULL, 15),
(185426, NULL, 'PTHR23073:SF116', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 4 HOMOLOG', NULL, NULL, 9988, 15),
(185427, NULL, 'PTHR46967:SF1', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR BINDING PROTEIN,N-TERMINAL', NULL, NULL, NULL, 15),
(185428, NULL, 'PTHR37437', NULL, NULL, NULL, NULL, 'LIPOCALIN-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185429, NULL, 'PTHR43899:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185430, NULL, 'PTHR32411:SF58', NULL, NULL, NULL, NULL, 'BNACNNG07220D PROTEIN', NULL, NULL, NULL, 15),
(185431, NULL, 'PTHR11255:SF54', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 1', NULL, NULL, NULL, 15),
(185432, NULL, 'PTHR19957:SF83', NULL, NULL, NULL, NULL, 'SYNTAXIN-16', NULL, NULL, 23609, 15),
(185433, NULL, 'PTHR14690:SF0', NULL, NULL, NULL, NULL, 'ATPASE, AAA FAMILY PROTEIN', NULL, NULL, NULL, 15),
(185434, NULL, 'PTHR12548:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DP-2', NULL, NULL, NULL, 15),
(185435, NULL, 'PTHR24381:SF355', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 107', NULL, NULL, NULL, 15),
(185436, NULL, 'PTHR35164', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(185437, NULL, 'PTHR48017:SF128', NULL, NULL, NULL, NULL, 'OS06G0228600 PROTEIN', NULL, NULL, NULL, 15),
(185438, NULL, 'PTHR28591', NULL, NULL, NULL, NULL, 'LATEXIN', NULL, NULL, 11799, 15),
(185439, NULL, 'PTHR30251:SF6', NULL, NULL, NULL, NULL, 'FIMBRIAL CHAPERONE YFCS-RELATED', NULL, NULL, NULL, 15),
(185440, NULL, 'PTHR37341', NULL, NULL, NULL, NULL, 'PROTEIN INCA1', NULL, NULL, 26349, 15),
(185441, NULL, 'PTHR33191:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185442, NULL, 'PTHR16771:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185443, NULL, 'PTHR27004:SF211', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(185444, NULL, 'PTHR11183:SF133', NULL, NULL, NULL, NULL, 'GLYCOGENIN-1', NULL, NULL, NULL, 15),
(185445, NULL, 'PTHR14359:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185446, NULL, 'PTHR13673:SF0', NULL, NULL, NULL, NULL, 'VPS35 ENDOSOMAL PROTEIN SORTING FACTOR-LIKE', NULL, NULL, NULL, 15),
(185447, NULL, 'PTHR24103:SF89', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM68', NULL, NULL, NULL, 15),
(185448, NULL, 'PTHR44942:SF4', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE-DEPENDENT METHYLTRANSFERASE CRG1-RELATED', NULL, NULL, NULL, 15),
(185449, NULL, 'PTHR38016', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(185450, NULL, 'PTHR26450:SF111', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(185451, NULL, 'PTHR11668:SF425', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(185452, NULL, 'PTHR10288:SF278', NULL, NULL, NULL, NULL, 'BNAC01G41560D PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185453, NULL, 'PTHR12449:SF17', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 4', NULL, NULL, 25313, 15),
(185454, NULL, 'PTHR43952:SF71', NULL, NULL, NULL, NULL, 'BNAC03G27300D PROTEIN', NULL, NULL, NULL, 15),
(185455, NULL, 'PTHR12002:SF191', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, NULL, 15),
(185456, NULL, 'PTHR33624:SF2', NULL, NULL, NULL, NULL, 'SIGMA FACTOR BINDING PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(185457, NULL, 'PTHR18929:SF212', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', NULL, NULL, NULL, 15),
(185458, NULL, 'PTHR10015:SF346', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-1', NULL, NULL, NULL, 15),
(185459, NULL, 'PTHR15503:SF9', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(185460, NULL, 'PTHR40066:SF1', NULL, NULL, NULL, NULL, 'UPF0473 PROTEIN CBO2561/CLC_2432', NULL, NULL, NULL, 15),
(185461, NULL, 'PTHR43161:SF4', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01490)-RELATED', NULL, NULL, NULL, 15),
(185462, NULL, 'PTHR21213:SF21', NULL, NULL, NULL, NULL, 'HSPC038 PROTEIN', NULL, NULL, NULL, 15),
(185463, NULL, 'PTHR11877:SF76', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(185464, NULL, 'PTHR45735:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185465, NULL, 'PTHR11062:SF273', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185466, NULL, 'PTHR45801', NULL, NULL, NULL, NULL, 'OS07G0101800 PROTEIN', NULL, NULL, NULL, 15),
(185467, NULL, 'PTHR22419', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 172', NULL, NULL, 24195, 15),
(185468, NULL, 'PTHR24096:SF389', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE-LIKE 1', NULL, NULL, NULL, 15),
(185469, NULL, 'PTHR19862:SF18', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN, BETA SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(185470, NULL, 'PTHR14363:SF35', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 79 AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(185471, NULL, 'PTHR10887:SF480', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(185472, NULL, 'PTHR23418:SF1', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE HOMOLOG 2', NULL, NULL, NULL, 15),
(185473, NULL, 'PTHR15715:SF40', NULL, NULL, NULL, NULL, 'FHA DOMAINCONTAINING PROTEIN', NULL, NULL, NULL, 15),
(185474, NULL, 'PTHR45621:SF151', NULL, NULL, NULL, NULL, 'BNAA05G33990D PROTEIN', NULL, NULL, NULL, 15),
(185475, NULL, 'PTHR43013:SF1', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE', NULL, NULL, NULL, 15),
(185476, NULL, 'PTHR11825:SF69', NULL, NULL, NULL, NULL, 'BRANCHED-CHAIN-AMINO-ACID AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(185477, NULL, 'PTHR22870:SF335', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185478, NULL, 'PTHR46976:SF5', NULL, NULL, NULL, NULL, 'BNAA09G38440D PROTEIN', NULL, NULL, NULL, 15),
(185479, NULL, 'PTHR35015:SF2', NULL, NULL, NULL, NULL, 'DELTA AND OSM-11 HOMOLOG PROTEIN 1', NULL, NULL, NULL, 15),
(185480, NULL, 'PTHR43224:SF1', NULL, NULL, NULL, NULL, 'AMIDINOTRANSFERASE', NULL, NULL, NULL, 15),
(185481, NULL, 'PTHR10516:SF436', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(185482, NULL, 'PTHR33463:SF99', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN RGA2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185483, NULL, 'PTHR12770:SF22', NULL, NULL, NULL, NULL, 'RUS1 FAMILY PROTEIN C16ORF58', NULL, NULL, NULL, 15),
(185484, NULL, 'PTHR26453:SF222', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(185485, NULL, 'PTHR46418', NULL, NULL, NULL, NULL, 'SRBC-64-RELATED-RELATED', NULL, NULL, NULL, 15),
(185486, NULL, 'PTHR31585', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 1, CHLOROPLASTIC', NULL, NULL, 29415, 15),
(185487, NULL, 'PTHR46687:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DISPATCHED HOMOLOG 3', NULL, NULL, NULL, 15),
(185488, NULL, 'PTHR24123:SF69', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CHANNEL PYREXIA-LIKE PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185489, NULL, 'PTHR48001:SF156', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(185490, NULL, 'PTHR43645:SF3', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE DIPEPTIDASE', NULL, NULL, NULL, 15),
(185491, NULL, 'PTHR17985:SF16', NULL, NULL, NULL, NULL, 'TRANSPORT/GOLGI ORGANIZATION-LIKE PROTEIN (DUF833)', NULL, NULL, NULL, 15),
(185492, NULL, 'PTHR12010:SF2', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S29', NULL, NULL, NULL, 15),
(185493, NULL, 'PTHR45913:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185494, NULL, 'PTHR12277:SF157', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(185495, NULL, 'PTHR43712:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185496, NULL, 'PTHR33078:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185497, NULL, 'PTHR33646:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185498, NULL, 'PTHR24216:SF61', NULL, NULL, NULL, NULL, 'PROTEIN CBG12788', NULL, NULL, NULL, 15),
(185499, NULL, 'PTHR23500:SF478', NULL, NULL, NULL, NULL, 'OS07G0131250 PROTEIN', NULL, NULL, NULL, 15),
(185500, NULL, 'PTHR12928', NULL, NULL, NULL, NULL, 'FRG1 PROTEIN', NULL, NULL, 9799, 15),
(185501, NULL, 'PTHR33989:SF11', NULL, NULL, NULL, NULL, 'LICHENAN PERMEASE IIC COMPONENT', NULL, NULL, NULL, 15),
(185502, NULL, 'PTHR45966', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, 38863, 15),
(185503, NULL, 'PTHR10272:SF0', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE', NULL, NULL, NULL, 15),
(185504, NULL, 'PTHR22912', NULL, NULL, NULL, NULL, 'DISULFIDE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(185505, NULL, 'PTHR24085:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 4 GROUP A MEMBER 3', NULL, NULL, NULL, 15),
(185506, NULL, 'PTHR32166:SF67', NULL, NULL, NULL, NULL, 'HAT TRANSPOSON SUPERFAMILY', NULL, NULL, NULL, 15),
(185507, NULL, 'PTHR34835:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185508, NULL, 'PTHR12400:SF83', NULL, NULL, NULL, NULL, 'KINASE', NULL, NULL, NULL, 15),
(185509, NULL, 'PTHR30071:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME C ASSEMBLY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185510, NULL, 'PTHR48047:SF89', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(185511, NULL, 'PTHR11486:SF72', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 20', NULL, NULL, 28481, 15),
(185512, NULL, 'PTHR13301:SF172', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D4', NULL, NULL, NULL, 15),
(185513, NULL, 'PTHR40032:SF1', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185514, NULL, 'PTHR24349:SF340', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 5', NULL, NULL, NULL, 15),
(185515, NULL, 'PTHR15012:SF33', NULL, NULL, NULL, NULL, 'PROTEIN SHROOM3', NULL, NULL, 22485, 15),
(185516, NULL, 'PTHR23502:SF12', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G06440)-RELATED', NULL, NULL, NULL, 15),
(185517, NULL, 'PTHR11353:SF209', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT BETA', NULL, NULL, NULL, 15),
(185518, NULL, 'PTHR31384:SF10', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 5', NULL, NULL, NULL, 15),
(185519, NULL, 'PTHR19918:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185520, NULL, 'PTHR13968:SF26', NULL, NULL, NULL, NULL, 'NUCLEAR POLYADENYLATED RNA-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(185521, NULL, 'PTHR24373:SF271', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE N SUBUNIT 2', NULL, NULL, NULL, 15),
(185522, NULL, 'PTHR24166:SF23', NULL, NULL, NULL, NULL, 'PROTEIN TANC1', NULL, NULL, NULL, 15),
(185523, NULL, 'PTHR12113:SF8', NULL, NULL, NULL, NULL, 'DICKKOPF-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(185524, NULL, 'PTHR47385', NULL, NULL, NULL, NULL, 'CALPONIN', NULL, NULL, NULL, 15),
(185525, NULL, 'PTHR11848:SF246', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 16', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185526, NULL, 'PTHR45647:SF97', NULL, NULL, NULL, NULL, 'BNAANNG06950D PROTEIN', NULL, NULL, NULL, 15),
(185527, NULL, 'PTHR48047:SF107', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(185528, NULL, 'PTHR31636:SF214', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185529, NULL, 'PTHR48017:SF100', NULL, NULL, NULL, NULL, 'AMINO ACID CARRIER', NULL, NULL, NULL, 15),
(185530, NULL, 'PTHR11475:SF58', NULL, NULL, NULL, NULL, 'PEROXIDASIN', NULL, NULL, NULL, 15),
(185531, NULL, 'PTHR43880:SF50', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185532, NULL, 'PTHR46309:SF3', NULL, NULL, NULL, NULL, 'OS04G0433900 PROTEIN', NULL, NULL, NULL, 15),
(185533, NULL, 'PTHR33511:SF16', NULL, NULL, NULL, NULL, 'OS02G0581200 PROTEIN', NULL, NULL, NULL, 15),
(185534, NULL, 'PTHR11485:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185535, NULL, 'PTHR31934:SF7', NULL, NULL, NULL, NULL, 'BNAA04G25990D PROTEIN', NULL, NULL, NULL, 15),
(185536, NULL, 'PTHR12546:SF32', NULL, NULL, NULL, NULL, 'OTOFERLIN', NULL, NULL, 28597, 15),
(185537, NULL, 'PTHR45645:SF43', NULL, NULL, NULL, NULL, 'PROTEIN CBG08382', NULL, NULL, NULL, 15),
(185538, NULL, 'PTHR31972:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185539, NULL, 'PTHR46048:SF5', NULL, NULL, NULL, NULL, 'HYDROXYCARBOXYLIC ACID RECEPTOR 3', NULL, NULL, 28319, 15),
(185540, NULL, 'PTHR33565:SF20', NULL, NULL, NULL, NULL, 'AUXIN-REPRESSED PROTEIN', NULL, NULL, NULL, 15),
(185541, NULL, 'PTHR14826', NULL, NULL, NULL, NULL, 'ANGIOMOTIN', NULL, NULL, NULL, 15),
(185542, NULL, 'PTHR12022', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME C REDUCTASE COMPLEX 14 KD PROTEIN', NULL, NULL, 3284, 15),
(185543, NULL, 'PTHR23430:SF11', NULL, NULL, NULL, NULL, 'HISTONE H2A', NULL, NULL, NULL, 15),
(185544, NULL, 'PTHR31683:SF18', NULL, NULL, NULL, NULL, 'PECTATE LYASE 18-RELATED', NULL, NULL, NULL, 15),
(185545, NULL, 'PTHR11183:SF146', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(185546, NULL, 'PTHR47788', NULL, NULL, NULL, NULL, 'POLYA POLYMERASE', NULL, NULL, NULL, 15),
(185547, NULL, 'PTHR11746:SF245', NULL, NULL, NULL, NULL, 'F5F19.5 PROTEIN', NULL, NULL, NULL, 15),
(185548, NULL, 'PTHR31190:SF266', NULL, NULL, NULL, NULL, 'BNAA01G23960D PROTEIN', NULL, NULL, NULL, 15),
(185549, NULL, 'PTHR11579', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE', NULL, NULL, 6641, 15),
(185550, NULL, 'PTHR30026:SF15', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PROTEIN TOLC', NULL, NULL, NULL, 15),
(185551, NULL, 'PTHR24015:SF739', NULL, NULL, NULL, NULL, 'OS03G0644100 PROTEIN', NULL, NULL, NULL, 15),
(185552, NULL, 'PTHR23167:SF52', NULL, NULL, NULL, NULL, 'SMOOTHELIN', NULL, NULL, NULL, 15),
(185553, NULL, 'PTHR12000:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185554, NULL, 'PTHR11850:SF299', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CUP9-RELATED', NULL, NULL, NULL, 15),
(185555, NULL, 'PTHR10037:SF230', NULL, NULL, NULL, NULL, 'CA[2+]-CHANNEL PROTEIN ALPHA[[1]] SUBUNIT T, ISOFORM F', NULL, NULL, NULL, 15),
(185556, NULL, 'PTHR12224:SF21', NULL, NULL, NULL, NULL, 'BNAANNG27230D PROTEIN', NULL, NULL, NULL, 15),
(185557, NULL, 'PTHR22884:SF497', NULL, NULL, NULL, NULL, 'OS02G0611300 PROTEIN', NULL, NULL, NULL, 15),
(185558, NULL, 'PTHR24103:SF656', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING PROTEIN 52', NULL, NULL, NULL, 15),
(185559, NULL, 'PTHR46283', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH5', NULL, NULL, NULL, 15),
(185560, NULL, 'PTHR33541:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185561, NULL, 'PTHR10806:SF28', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX CATALYTIC SUBUNIT SEC11A', NULL, NULL, 33561, 15),
(185562, NULL, 'PTHR33470:SF25', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 1-RELATED', NULL, NULL, 29913, 15),
(185563, NULL, 'PTHR47476:SF2', NULL, NULL, NULL, NULL, 'ARABINOSE 5-PHOSPHATE ISOMERASE-RELATED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185564, NULL, 'PTHR45798:SF17', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL73-LIKE', NULL, NULL, NULL, 15),
(185565, NULL, 'PTHR21579', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185566, NULL, 'PTHR16083:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(185567, NULL, 'PTHR45667:SF18', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(185568, NULL, 'PTHR34549:SF6', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I PSAE, REACTION CENTRE SUBUNIT IV-RELATED', NULL, NULL, NULL, 15),
(185569, NULL, 'PTHR43000:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG14085', NULL, NULL, NULL, 15),
(185570, NULL, 'PTHR24123:SF51', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND KH DOMAIN-CONTAINING PROTEIN MASK', NULL, NULL, NULL, 15),
(185571, NULL, 'PTHR20920:SF2', NULL, NULL, NULL, NULL, 'SOMATOMEDIN-B AND THROMBOSPONDIN TYPE-1 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(185572, NULL, 'PTHR30472:SF56', NULL, NULL, NULL, NULL, 'IRON COMPOUNDS ABC TRANSPORTER, PERMEASE PROTEIN', NULL, NULL, NULL, 15),
(185573, NULL, 'PTHR37577:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185574, NULL, 'PTHR10309:SF11', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(185575, NULL, 'PTHR43545:SF1', NULL, NULL, NULL, NULL, 'HYDROGENASE-2 OPERON PROTEIN HYBA', NULL, NULL, NULL, 15),
(185576, NULL, 'PTHR31639:SF35', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', NULL, NULL, NULL, 15),
(185577, NULL, 'PTHR45727', NULL, NULL, NULL, NULL, 'NPC INTRACELLULAR CHOLESTEROL TRANSPORTER 1', NULL, NULL, NULL, 15),
(185578, NULL, 'PTHR43350:SF15', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G01780)-RELATED', NULL, NULL, NULL, 15),
(185579, NULL, 'PTHR45687:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185580, NULL, 'PTHR31257:SF11', NULL, NULL, NULL, NULL, 'RICIN B-LIKE LECTIN R40G3', NULL, NULL, NULL, 15),
(185581, NULL, 'PTHR33109:SF60', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(185582, NULL, 'PTHR19211:SF69', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN UUP', NULL, NULL, NULL, 15),
(185583, NULL, 'PTHR46050:SF9', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(185584, NULL, 'PTHR31459', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 38188, 15),
(185585, NULL, 'PTHR32278:SF36', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-B11-LIKE', NULL, NULL, NULL, 15),
(185586, NULL, 'PTHR33675:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185587, NULL, 'PTHR31852:SF25', NULL, NULL, NULL, NULL, 'OS06G0163300 PROTEIN', NULL, NULL, NULL, 15),
(185588, NULL, 'PTHR12320:SF9', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 62-RELATED', NULL, NULL, NULL, 15),
(185589, NULL, 'PTHR11157:SF16', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 2', NULL, NULL, 32414, 15),
(185590, NULL, 'PTHR37285:SF6', NULL, NULL, NULL, NULL, 'BIOSYNTHESIS PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G02660)-RELATED', NULL, NULL, NULL, 15),
(185591, NULL, 'PTHR38774:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185592, NULL, 'PTHR33596:SF19', NULL, NULL, NULL, NULL, 'BNAA07G03740D PROTEIN', NULL, NULL, NULL, 15),
(185593, NULL, 'PTHR13935:SF110', NULL, NULL, NULL, NULL, 'HELIX-LOOP-HELIX DNA-BINDING SUPERFAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185594, NULL, 'PTHR43881', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLTRANSPEPTIDASE (AFU_ORTHOLOGUE AFUA_4G13580)', NULL, NULL, NULL, 15),
(185595, NULL, 'PTHR23503:SF53', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 2, FACILITATED GLUCOSE TRANSPORTER MEMBER 14', NULL, NULL, NULL, 15),
(185596, NULL, 'PTHR11937:SF459', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185597, NULL, 'PTHR34552:SF8', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II PSBW, CLASS 2-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185598, NULL, 'PTHR31325:SF105', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(185599, NULL, 'PTHR16099:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185600, NULL, 'PTHR31221:SF152', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 8', NULL, NULL, NULL, 15),
(185601, NULL, 'PTHR47890', NULL, NULL, NULL, NULL, 'LD24308P', NULL, NULL, NULL, 15),
(185602, NULL, 'PTHR38926:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185603, NULL, 'PTHR14338:SF4', NULL, NULL, NULL, NULL, 'ACTIN FILAMENT-ASSOCIATED PROTEIN 1-LIKE 2', NULL, NULL, 22659, 15),
(185604, NULL, 'PTHR42851:SF19', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(185605, NULL, 'PTHR31902:SF9', NULL, NULL, NULL, NULL, 'BNAA10G09990D PROTEIN', NULL, NULL, NULL, 15),
(185606, NULL, 'PTHR31252', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 28318, 15),
(185607, NULL, 'PTHR24012:SF837', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF, SINGLE STRANDED-INTERACTING PROTEIN 2B', NULL, NULL, NULL, 15),
(185608, NULL, 'PTHR23288:SF4', NULL, NULL, NULL, NULL, 'OCCLUDIN', NULL, NULL, 5297, 15),
(185609, NULL, 'PTHR11802:SF254', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 20', NULL, NULL, NULL, 15),
(185610, NULL, 'PTHR36895', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 1750, 15),
(185611, NULL, 'PTHR33728:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185612, NULL, 'PTHR31388:SF231', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(185613, NULL, 'PTHR33463:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185614, NULL, 'PTHR35397:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185615, NULL, 'PTHR33885:SF3', NULL, NULL, NULL, NULL, 'PHAGE SHOCK PROTEIN C', NULL, NULL, NULL, 15),
(185616, NULL, 'PTHR37017:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185617, NULL, 'PTHR31642:SF166', NULL, NULL, NULL, NULL, 'HYDROXYCINNAMOYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(185618, NULL, 'PTHR39607:SF1', NULL, NULL, NULL, NULL, 'B-ZIP TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(185619, NULL, 'PTHR12636:SF5', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE NEP1', NULL, NULL, NULL, 15),
(185620, NULL, 'PTHR21649:SF113', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(185621, NULL, 'PTHR35175', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 10355, 15),
(185622, NULL, 'PTHR47932:SF2', NULL, NULL, NULL, NULL, 'OS10G0484300 PROTEIN', NULL, NULL, NULL, 15),
(185623, NULL, 'PTHR46289:SF8', NULL, NULL, NULL, NULL, '52 KDA REPRESSOR OF THE INHIBITOR OF THE PROTEIN KINASE', NULL, NULL, NULL, 15),
(185624, NULL, 'PTHR33110:SF59', NULL, NULL, NULL, NULL, 'OS07G0140900 PROTEIN', NULL, NULL, NULL, 15),
(185625, NULL, 'PTHR32468:SF141', NULL, NULL, NULL, NULL, 'BNAA10G11880D PROTEIN', NULL, NULL, NULL, 15),
(185626, NULL, 'PTHR12210:SF120', NULL, NULL, NULL, NULL, 'INTERACTING FACTOR, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(185627, NULL, 'PTHR10257:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 56 KDA REGULATORY SUBUNIT ALPHA ISOFORM', NULL, NULL, NULL, 15),
(185628, NULL, 'PTHR26374:SF394', NULL, NULL, NULL, NULL, 'BNAC07G49780D PROTEIN', NULL, NULL, NULL, 15),
(185629, NULL, 'PTHR10390:SF67', NULL, NULL, NULL, NULL, 'SIX HOMEOBOX 6B', NULL, NULL, 27308, 15),
(185630, NULL, 'PTHR13015:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185631, NULL, 'PTHR11101:SF67', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER', NULL, NULL, NULL, 15),
(185632, NULL, 'PTHR45647:SF23', NULL, NULL, NULL, NULL, 'OS06G0191900 PROTEIN', NULL, NULL, NULL, 15),
(185633, NULL, 'PTHR10015:SF169', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-2B', NULL, NULL, NULL, 15),
(185634, NULL, 'PTHR15960', NULL, NULL, NULL, NULL, 'LD44032P', NULL, NULL, 34047, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185635, NULL, 'PTHR10543:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185636, NULL, 'PTHR48048:SF31', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 88A1', NULL, NULL, NULL, 15),
(185637, NULL, 'PTHR34044', NULL, NULL, NULL, NULL, 'NUCLEAR PROTEIN', NULL, NULL, NULL, 15),
(185638, NULL, 'PTHR31069:SF18', NULL, NULL, NULL, NULL, 'OLEATE ACTIVATED TRANSCRIPTION FACTOR 3', NULL, NULL, NULL, 15),
(185639, NULL, 'PTHR31992:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185640, NULL, 'PTHR34591:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185641, NULL, 'PTHR11610', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, 3836, 15),
(185642, NULL, 'PTHR45878:SF32', NULL, NULL, NULL, NULL, 'BNAC05G27160D PROTEIN', NULL, NULL, NULL, 15),
(185643, NULL, 'PTHR46092:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A11', NULL, NULL, NULL, 15),
(185644, NULL, 'PTHR10902:SF12', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L33-B', NULL, NULL, NULL, 15),
(185645, NULL, 'PTHR15967', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 15850, 15),
(185646, NULL, 'PTHR35385:SF2', NULL, NULL, NULL, NULL, 'PROTEIN B, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185647, NULL, 'PTHR12992:SF35', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 11', NULL, NULL, NULL, 15),
(185648, NULL, 'PTHR31836:SF19', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(185649, NULL, 'PTHR12802:SF133', NULL, NULL, NULL, NULL, 'PROTEIN REVEILLE 2', NULL, NULL, NULL, 15),
(185650, NULL, 'PTHR10742:SF264', NULL, NULL, NULL, NULL, 'POLYAMINE OXIDASE 4', NULL, NULL, NULL, 15),
(185651, NULL, 'PTHR13301:SF167', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 9 [UDP-FORMING]-RELATED', NULL, NULL, NULL, 15),
(185652, NULL, 'PTHR36154:SF3', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185653, NULL, 'PTHR13697:SF8', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 2', NULL, NULL, NULL, 15),
(185654, NULL, 'PTHR43757:SF4', NULL, NULL, NULL, NULL, 'PDPR ISOFORM 5', NULL, NULL, NULL, 15),
(185655, NULL, 'PTHR28039:SF11', NULL, NULL, NULL, NULL, 'CHALCONE-FLAVONONE ISOMERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(185656, NULL, 'PTHR10984:SF70', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE FOLD, ENDOPLASMIC RETICULUM VESICLE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(185657, NULL, 'PTHR24211:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185658, NULL, 'PTHR11937:SF208', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(185659, NULL, 'PTHR11711:SF156', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(185660, NULL, 'PTHR10836:SF107', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE 3, CYTOSOLIC', NULL, NULL, NULL, 15),
(185661, NULL, 'PTHR47956:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185662, NULL, 'PTHR34529', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX-ASSOCIATED REGULATORY PROTEIN', NULL, NULL, 23976, 15),
(185663, NULL, 'PTHR31587:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(185664, NULL, 'PTHR22802:SF370', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185665, NULL, 'PTHR32133:SF336', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(185666, NULL, 'PTHR45714:SF57', NULL, NULL, NULL, NULL, 'BNAA09G18250D PROTEIN', NULL, NULL, NULL, 15),
(185667, NULL, 'PTHR10663:SF368', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185668, NULL, 'PTHR14155:SF501', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3L', NULL, NULL, NULL, 15),
(185669, NULL, 'PTHR45621:SF106', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE CX32, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(185670, NULL, 'PTHR31985:SF108', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-9-LIKE', NULL, NULL, NULL, 15),
(185671, NULL, 'PTHR10454:SF219', NULL, NULL, NULL, NULL, 'CASPASE-4', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185672, NULL, 'PTHR24095:SF243', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', NULL, NULL, NULL, 15),
(185673, NULL, 'PTHR43028:SF4', NULL, NULL, NULL, NULL, 'INOSITOL MONOPHOSPHATASE 3', NULL, NULL, NULL, 15),
(185674, NULL, 'PTHR23409:SF35', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE SMALL CHAIN A', NULL, NULL, NULL, 15),
(185675, NULL, 'PTHR43019:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185676, NULL, 'PTHR13234:SF16', NULL, NULL, NULL, NULL, 'PROTEIN CBG03285', NULL, NULL, NULL, 15),
(185677, NULL, 'PTHR43450:SF1', NULL, NULL, NULL, NULL, 'ASPARTATE--TRNA LIGASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(185678, NULL, 'PTHR43272:SF71', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185679, NULL, 'PTHR32499:SF16', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 17', NULL, NULL, NULL, 15),
(185680, NULL, 'PTHR32246:SF101', NULL, NULL, NULL, NULL, 'OS01G0934100 PROTEIN', NULL, NULL, NULL, 15),
(185681, NULL, 'PTHR14154:SF68', NULL, NULL, NULL, NULL, 'ACROSIN-LIKE', NULL, NULL, NULL, 15),
(185682, NULL, 'PTHR45654:SF68', NULL, NULL, NULL, NULL, 'BNAA06G12120D PROTEIN', NULL, NULL, NULL, 15),
(185683, NULL, 'PTHR24072:SF181', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN RHO4', NULL, NULL, NULL, 15),
(185684, NULL, 'PTHR32401:SF27', NULL, NULL, NULL, NULL, 'BNAC02G03680D PROTEIN', NULL, NULL, NULL, 15),
(185685, NULL, 'PTHR31895:SF22', NULL, NULL, NULL, NULL, 'ACTIVATED IN BLOCKED UNFOLDED PROTEIN RESPONSE-RELATED', NULL, NULL, NULL, 15),
(185686, NULL, 'PTHR33728:SF11', NULL, NULL, NULL, NULL, 'BNAA01G35980D PROTEIN', NULL, NULL, NULL, 15),
(185687, NULL, 'PTHR12526:SF576', NULL, NULL, NULL, NULL, 'COLANIC ACID BIOSYNTHESIS GLYCOSYL TRANSFERASE WCAC-RELATED', NULL, NULL, NULL, 15),
(185688, NULL, 'PTHR10129:SF44', NULL, NULL, NULL, NULL, 'TRAFFIC JAM, ISOFORM C', NULL, NULL, NULL, 15),
(185689, NULL, 'PTHR21443', NULL, NULL, NULL, NULL, 'CONSERVED OLIGOMERIC GOLGI COMPLEX COMPONENT 7', NULL, NULL, 15014, 15),
(185690, NULL, 'PTHR31852:SF229', NULL, NULL, NULL, NULL, 'OS06G0118800 PROTEIN', NULL, NULL, NULL, 15),
(185691, NULL, 'PTHR45821:SF16', NULL, NULL, NULL, NULL, 'SNF2-RELATED, N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185692, NULL, 'PTHR31062:SF137', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(185693, NULL, 'PTHR36351:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185694, NULL, 'PTHR12265:SF32', NULL, NULL, NULL, NULL, 'PROTEIN CBG03266', NULL, NULL, NULL, 15),
(185695, NULL, 'PTHR34291:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185696, NULL, 'PTHR21294:SF20', NULL, NULL, NULL, NULL, 'ELECTRON TRANSFER FLAVOPROTEIN, SUBUNIT BETA (ETFB)', NULL, NULL, NULL, 15),
(185697, NULL, 'PTHR10335', NULL, NULL, NULL, NULL, 'RRNA 2-O-METHYLTRANSFERASE FIBRILLARIN', NULL, NULL, NULL, 15),
(185698, NULL, 'PTHR27009:SF117', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE, PROTEIN KINASE RLK-PELLE-LRK10L-2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(185699, NULL, 'PTHR31415:SF106', NULL, NULL, NULL, NULL, 'BNAC02G00050D PROTEIN', NULL, NULL, NULL, 15),
(185700, NULL, 'PTHR20855:SF41', NULL, NULL, NULL, NULL, 'MEMBRANE PROGESTIN RECEPTOR ALPHA', NULL, NULL, NULL, 15),
(185701, NULL, 'PTHR22780:SF39', NULL, NULL, NULL, NULL, 'AP-1 COMPLEX SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(185702, NULL, 'PTHR24068:SF291', NULL, NULL, NULL, NULL, 'AT30415P', NULL, NULL, NULL, 15),
(185703, NULL, 'PTHR13169:SF15', NULL, NULL, NULL, NULL, 'MEMBRANE-ANCHORED UBIQUITIN-FOLD PROTEIN 5', NULL, NULL, NULL, 15),
(185704, NULL, 'PTHR22801:SF53', NULL, NULL, NULL, NULL, 'METALLOENDOPEPTIDASE', NULL, NULL, NULL, 15),
(185705, NULL, 'PTHR37870:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1 OPEN READING FRAME 54', NULL, NULL, NULL, 15),
(185706, NULL, 'PTHR24404:SF72', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 567', NULL, NULL, NULL, 15),
(185707, NULL, 'PTHR15710:SF144', NULL, NULL, NULL, NULL, 'PRAJA RING FINGER UBIQUITIN LIGASE 2', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185708, NULL, 'PTHR48022:SF7', NULL, NULL, NULL, NULL, 'GLUCOSE TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G14170)-RELATED', NULL, NULL, NULL, 15),
(185709, NULL, 'PTHR15035', NULL, NULL, NULL, NULL, 'CORTICOLIBERIN/UROCORTIN', NULL, NULL, 509, 15),
(185710, NULL, 'PTHR24414:SF114', NULL, NULL, NULL, NULL, 'BNAA07G08780D PROTEIN', NULL, NULL, NULL, 15),
(185711, NULL, 'PTHR14456:SF6', NULL, NULL, NULL, NULL, 'INOSITOL-PENTAKISPHOSPHATE 2-KINASE', NULL, NULL, NULL, 15),
(185712, NULL, 'PTHR43139:SF7', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(185713, NULL, 'PTHR15263', NULL, NULL, NULL, NULL, 'I-KAPPA-B-LIKE PROTEIN  IKBL', NULL, NULL, 33223, 15),
(185714, NULL, 'PTHR12321:SF125', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 6', NULL, NULL, NULL, 15),
(185715, NULL, 'PTHR11528:SF116', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90-2', NULL, NULL, NULL, 15),
(185716, NULL, 'PTHR23421', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE RELATED', NULL, NULL, 4134, 15),
(185717, NULL, 'PTHR31541:SF46', NULL, NULL, NULL, NULL, 'BNAANNG20380D PROTEIN', NULL, NULL, NULL, 15),
(185718, NULL, 'PTHR24418:SF53', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE TYROSINE-PROTEIN KINASE SRC', NULL, NULL, NULL, 15),
(185719, NULL, 'PTHR28270:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 19', NULL, NULL, NULL, 15),
(185720, NULL, 'PTHR31996', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 115', NULL, NULL, 30041, 15),
(185721, NULL, 'PTHR45616:SF21', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 7', NULL, NULL, NULL, 15),
(185722, NULL, 'PTHR12411:SF802', NULL, NULL, NULL, NULL, 'OS01G0899100 PROTEIN', NULL, NULL, NULL, 15),
(185723, NULL, 'PTHR31048:SF48', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(185724, NULL, 'PTHR19877:SF13', NULL, NULL, NULL, NULL, 'OS02G0205400 PROTEIN', NULL, NULL, NULL, 15),
(185725, NULL, 'PTHR31707:SF283', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185726, NULL, 'PTHR10333:SF85', NULL, NULL, NULL, NULL, 'INHIBITOR OF GROWTH PROTEIN 1', NULL, NULL, 23396, 15),
(185727, NULL, 'PTHR42898', NULL, NULL, NULL, NULL, 'TROPINONE REDUCTASE', NULL, NULL, 38417, 15),
(185728, NULL, 'PTHR31752:SF11', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 5C-RELATED', NULL, NULL, NULL, 15),
(185729, NULL, 'PTHR14255:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185730, NULL, 'PTHR48019:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185731, NULL, 'PTHR21659:SF99', NULL, NULL, NULL, NULL, 'LOW TEMPERATURE-INDUCED PROTEIN LT101.2', NULL, NULL, NULL, 15),
(185732, NULL, 'PTHR24408:SF48', NULL, NULL, NULL, NULL, 'PROTEIN CBG12307', NULL, NULL, NULL, 15),
(185733, NULL, 'PTHR47950', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 76, SUBFAMILY C, POLYPEPTIDE 5-RELATED', NULL, NULL, NULL, 15),
(185734, NULL, 'PTHR34371', NULL, NULL, NULL, NULL, 'OS01G0551000 PROTEIN', NULL, NULL, NULL, 15),
(185735, NULL, 'PTHR24345:SF87', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN CONTAINING KINASE', NULL, NULL, NULL, 15),
(185736, NULL, 'PTHR24223:SF348', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY PROTEIN', NULL, NULL, NULL, 15),
(185737, NULL, 'PTHR12143:SF38', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G10520)', NULL, NULL, NULL, 15),
(185738, NULL, 'PTHR35820', NULL, NULL, NULL, NULL, 'SPERM MITOCHONDRIAL-ASSOCIATED CYSTEINE-RICH PROTEIN', NULL, NULL, 31767, 15),
(185739, NULL, 'PTHR13817:SF30', NULL, NULL, NULL, NULL, 'OBSCURIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(185740, NULL, 'PTHR12231:SF250', NULL, NULL, NULL, NULL, 'RE42927P-RELATED', NULL, NULL, NULL, 15),
(185741, NULL, 'PTHR31181:SF51', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED PROTEIN 1.4', NULL, NULL, NULL, 15),
(185742, NULL, 'PTHR23050:SF417', NULL, NULL, NULL, NULL, 'CALMODULIN-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(185743, NULL, 'PTHR35538:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185744, NULL, 'PTHR18929:SF226', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', NULL, NULL, NULL, 15),
(185745, NULL, 'PTHR47984:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185746, NULL, 'PTHR22972:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185747, NULL, 'PTHR48049:SF47', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(185748, NULL, 'PTHR31265:SF11', NULL, NULL, NULL, NULL, 'OSJNBB0091E11.14 PROTEIN', NULL, NULL, NULL, 15),
(185749, NULL, 'PTHR34960:SF1', NULL, NULL, NULL, NULL, 'EMB|CAB68146.1-RELATED', NULL, NULL, NULL, 15),
(185750, NULL, 'PTHR12620:SF35', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF SMALL SUBUNIT A', NULL, NULL, NULL, 15),
(185751, NULL, 'PTHR31052:SF24', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(185752, NULL, 'PTHR40688:SF2', NULL, NULL, NULL, NULL, 'GSR3527 PROTEIN', NULL, NULL, NULL, 15),
(185753, NULL, 'PTHR46862:SF2', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(185754, NULL, 'PTHR23322:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185755, NULL, 'PTHR12121:SF86', NULL, NULL, NULL, NULL, 'BNAA09G55120D PROTEIN', NULL, NULL, NULL, 15),
(185756, NULL, 'PTHR36005', NULL, NULL, NULL, NULL, 'DNA LIGASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(185757, NULL, 'PTHR47967:SF16', NULL, NULL, NULL, NULL, 'OS09G0452800 PROTEIN', NULL, NULL, NULL, 15),
(185758, NULL, 'PTHR23074:SF14', NULL, NULL, NULL, NULL, 'FIDGETIN', NULL, NULL, NULL, 15),
(185759, NULL, 'PTHR45911', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(185760, NULL, 'PTHR24416:SF257', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE MER', NULL, NULL, NULL, 15),
(185761, NULL, 'PTHR14445:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185762, NULL, 'PTHR30525:SF0', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE 5-PHOSPHATE REDUCTOISOMERASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(185763, NULL, 'PTHR10336:SF190', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(185764, NULL, 'PTHR12658', NULL, NULL, NULL, NULL, 'BETA-TUBULIN COFACTOR D', NULL, NULL, 34361, 15),
(185765, NULL, 'PTHR33783:SF3', NULL, NULL, NULL, NULL, 'BNAA06G40350D PROTEIN', NULL, NULL, NULL, 15),
(185766, NULL, 'PTHR39952:SF1', NULL, NULL, NULL, NULL, 'FI02073P', NULL, NULL, NULL, 15),
(185767, NULL, 'PTHR26453:SF16', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(185768, NULL, 'PTHR46411:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185769, NULL, 'PTHR32227:SF250', NULL, NULL, NULL, NULL, 'BETA-1,3-GLUCANASE-RELATED', NULL, NULL, NULL, 15),
(185770, NULL, 'PTHR10173:SF55', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE MSRA/MSRB 1', NULL, NULL, NULL, 15),
(185771, NULL, 'PTHR47942:SF24', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(185772, NULL, 'PTHR31374:SF294', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(185773, NULL, 'PTHR23023:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185774, NULL, 'PTHR31789:SF13', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT-LIKE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185775, NULL, 'PTHR47765', NULL, NULL, NULL, NULL, '3''-5'' EXONUCLEASE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(185776, NULL, 'PTHR48018:SF152', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR K26', NULL, NULL, NULL, 15),
(185777, NULL, 'PTHR10334:SF63', NULL, NULL, NULL, NULL, 'PEPTIDASE INHIBITOR 15', NULL, NULL, NULL, 15),
(185778, NULL, 'PTHR13932', NULL, NULL, NULL, NULL, 'COPROPORPHYRINIGEN III OXIDASE', NULL, NULL, 31774, 15),
(185779, NULL, 'PTHR15129:SF2', NULL, NULL, NULL, NULL, 'SRC KINASE-ASSOCIATED PHOSPHOPROTEIN 2', NULL, NULL, NULL, 15),
(185780, NULL, 'PTHR33510:SF5', NULL, NULL, NULL, NULL, 'PROTEIN TIC 20-II, CHLOROPLASTIC', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185781, NULL, 'PTHR13301:SF210', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE', NULL, NULL, NULL, 15),
(185782, NULL, 'PTHR30401:SF0', NULL, NULL, NULL, NULL, 'TRNA 2-SELENOURIDINE/GERANYL-2-THIOURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(185783, NULL, 'PTHR13498', NULL, NULL, NULL, NULL, 'SPERM ASSOCIATED ANTIGEN 7', NULL, NULL, 17414, 15),
(185784, NULL, 'PTHR14167:SF56', NULL, NULL, NULL, NULL, 'SORBIN AND SH3 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 26778, 15),
(185785, NULL, 'PTHR23151:SF57', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE PROTEIN X COMPONENT, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(185786, NULL, 'PTHR13268:SF10', NULL, NULL, NULL, NULL, 'BNAA02G09470D PROTEIN', NULL, NULL, NULL, 15),
(185787, NULL, 'PTHR42825:SF8', NULL, NULL, NULL, NULL, 'METHIONINE AMINOTRANSFERASE BCAT4', NULL, NULL, NULL, 15),
(185788, NULL, 'PTHR34876:SF10', NULL, NULL, NULL, NULL, 'GLUCANASE', NULL, NULL, NULL, 15),
(185789, NULL, 'PTHR10578:SF104', NULL, NULL, NULL, NULL, 'CYTOCHROME B2-LIKE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G07020)-RELATED', NULL, NULL, NULL, 15),
(185790, NULL, 'PTHR23053', NULL, NULL, NULL, NULL, 'DLEC1  DELETED IN LUNG AND ESOPHAGEAL CANCER 1', NULL, NULL, 31472, 15),
(185791, NULL, 'PTHR31797:SF3', NULL, NULL, NULL, NULL, 'EXTRACELLULAR MATRIX PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(185792, NULL, 'PTHR31311:SF3', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE 7-RELATED', NULL, NULL, NULL, 15),
(185793, NULL, 'PTHR33590:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM186B', NULL, NULL, NULL, 15),
(185794, NULL, 'PTHR24024:SF34', NULL, NULL, NULL, NULL, 'MANNOSE-BINDING PROTEIN C', NULL, NULL, 35076, 15),
(185795, NULL, 'PTHR11908:SF80', NULL, NULL, NULL, NULL, 'XANTHINE DEHYDROGENASE/OXIDASE', NULL, NULL, NULL, 15),
(185796, NULL, 'PTHR31674:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185797, NULL, 'PTHR18847:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR CAP-BINDING PROTEIN SUBUNIT 2', NULL, NULL, NULL, 15),
(185798, NULL, 'PTHR10314:SF96', NULL, NULL, NULL, NULL, 'THREONINE SYNTHASE', NULL, NULL, NULL, 15),
(185799, NULL, 'PTHR43735', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR 1', NULL, NULL, NULL, 15),
(185800, NULL, 'PTHR10728:SF40', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE', NULL, NULL, NULL, 15),
(185801, NULL, 'PTHR12183:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UBIQUITIN LIGASE ACTIVATOR OF NFKB 1-A', NULL, NULL, NULL, 15),
(185802, NULL, 'PTHR10454:SF157', NULL, NULL, NULL, NULL, 'CASPASE-9', NULL, NULL, 35085, 15),
(185803, NULL, 'PTHR11165:SF138', NULL, NULL, NULL, NULL, 'BNAA09G38250D PROTEIN', NULL, NULL, NULL, 15),
(185804, NULL, 'PTHR23073:SF106', NULL, NULL, NULL, NULL, 'BNAA03G58880D PROTEIN', NULL, NULL, NULL, 15),
(185805, NULL, 'PTHR46676', NULL, NULL, NULL, NULL, 'PROTEIN AMBP', NULL, NULL, 22065, 15),
(185806, NULL, 'PTHR10010', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 34  SODIUM PHOSPHATE , MEMBER 2-RELATED', NULL, NULL, 3195, 15),
(185807, NULL, 'PTHR10903:SF102', NULL, NULL, NULL, NULL, 'OS04G0441600 PROTEIN', NULL, NULL, NULL, 15),
(185808, NULL, 'PTHR32176:SF55', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(185809, NULL, 'PTHR47559', NULL, NULL, NULL, NULL, 'OS03G0844900 PROTEIN', NULL, NULL, NULL, 15),
(185810, NULL, 'PTHR24044:SF473', NULL, NULL, NULL, NULL, 'DELTA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(185811, NULL, 'PTHR47460:SF1', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN ACR4', NULL, NULL, NULL, 15),
(185812, NULL, 'PTHR24381:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 180', NULL, NULL, NULL, 15),
(185813, NULL, 'PTHR11199:SF9', NULL, NULL, NULL, NULL, 'SI:CH211-269E2.1', NULL, NULL, NULL, 15),
(185814, NULL, 'PTHR23152', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE', NULL, NULL, 11006, 15),
(185815, NULL, 'PTHR33548:SF10', NULL, NULL, NULL, NULL, 'GLYCINE-RICH CELL WALL STRUCTURAL PROTEIN 2', NULL, NULL, NULL, 15),
(185816, NULL, 'PTHR34630:SF31', NULL, NULL, NULL, NULL, 'OS02G0263601 PROTEIN', NULL, NULL, NULL, 15),
(185817, NULL, 'PTHR48048:SF33', NULL, NULL, NULL, NULL, 'ISOFLAVONE 7-O-GLUCOSYLTRANSFERASE 1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185818, NULL, 'PTHR14154:SF84', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', NULL, NULL, NULL, 15),
(185819, NULL, 'PTHR11850:SF240', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 6', NULL, NULL, NULL, 15),
(185820, NULL, 'PTHR24067:SF317', NULL, NULL, NULL, NULL, 'BNAANNG34240D PROTEIN', NULL, NULL, NULL, 15),
(185821, NULL, 'PTHR11662:SF279', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 17 MEMBER 9', NULL, NULL, NULL, 15),
(185822, NULL, 'PTHR14212:SF3', NULL, NULL, NULL, NULL, 'BNAA02G06140D PROTEIN', NULL, NULL, NULL, 15),
(185823, NULL, 'PTHR46413:SF12', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(185824, NULL, 'PTHR10192:SF24', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN MOEA2', NULL, NULL, NULL, 15),
(185825, NULL, 'PTHR24241:SF131', NULL, NULL, NULL, NULL, 'GASTRIN/CHOLECYSTOKININ TYPE B RECEPTOR', NULL, NULL, NULL, 15),
(185826, NULL, 'PTHR36195:SF7', NULL, NULL, NULL, NULL, 'SECRETED THAUMATIN-LIKE PROTEIN CETA', NULL, NULL, NULL, 15),
(185827, NULL, 'PTHR47434:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PTST HOMOLOG 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(185828, NULL, 'PTHR31499:SF49', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(185829, NULL, 'PTHR14826:SF6', NULL, NULL, NULL, NULL, 'ANGIOMOTIN', NULL, NULL, NULL, 15),
(185830, NULL, 'PTHR48030:SF4', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3B SUBUNIT 4', NULL, NULL, NULL, 15),
(185831, NULL, 'PTHR34817', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 18838, 15),
(185832, NULL, 'PTHR43210:SF4', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DETHIOBIOTIN SYNTHETASE BIOD 2', NULL, NULL, NULL, 15),
(185833, NULL, 'PTHR23123:SF11', NULL, NULL, NULL, NULL, 'HISTONE LYSINE DEMETHYLASE PHF8', NULL, NULL, NULL, 15),
(185834, NULL, 'PTHR11177:SF362', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 35-RELATED', NULL, NULL, NULL, 15),
(185835, NULL, 'PTHR34800:SF1', NULL, NULL, NULL, NULL, 'TETRAPYRROLE-BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(185836, NULL, 'PTHR26379:SF392', NULL, NULL, NULL, NULL, 'BNAA02G05190D PROTEIN', NULL, NULL, NULL, 15),
(185837, NULL, 'PTHR32219:SF2', NULL, NULL, NULL, NULL, 'PROTON PUMP-INTERACTOR 1', NULL, NULL, 25818, 15),
(185838, NULL, 'PTHR22437:SF1', NULL, NULL, NULL, NULL, 'STORKHEAD-BOX PROTEIN 1', NULL, NULL, NULL, 15),
(185839, NULL, 'PTHR31636:SF243', NULL, NULL, NULL, NULL, 'NODULATION-SIGNALING PATHWAY 1 PROTEIN-LIKE', NULL, NULL, 22632, 15),
(185840, NULL, 'PTHR19282:SF449', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(185841, NULL, 'PTHR46037:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCER OF SEVENLESS 2B', NULL, NULL, NULL, 15),
(185842, NULL, 'PTHR24390:SF96', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 362', NULL, NULL, NULL, 15),
(185843, NULL, 'PTHR13140:SF773', NULL, NULL, NULL, NULL, 'MYOSIN-6', NULL, NULL, NULL, 15),
(185844, NULL, 'PTHR23409:SF18', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE SUBUNIT M2', NULL, NULL, NULL, 15),
(185845, NULL, 'PTHR36330:SF2', NULL, NULL, NULL, NULL, 'LIPASE/LIPOOXYGENASE, PLAT/LH2 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(185846, NULL, 'PTHR47191:SF2', NULL, NULL, NULL, NULL, 'OS05G0170800 PROTEIN', NULL, NULL, NULL, 15),
(185847, NULL, 'PTHR24223:SF181', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(185848, NULL, 'PTHR15963:SF1', NULL, NULL, NULL, NULL, 'CYTOHESIN-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(185849, NULL, 'PTHR20921', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 12114, 15),
(185850, NULL, 'PTHR11359:SF7', NULL, NULL, NULL, NULL, 'INACTIVE DEAMINASE YBR284W-RELATED', NULL, NULL, NULL, 15),
(185851, NULL, 'PTHR45770:SF26', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE 3', NULL, NULL, NULL, 15),
(185852, NULL, 'PTHR24221:SF200', NULL, NULL, NULL, NULL, 'P-GLYCOPROTEIN RELATED', NULL, NULL, NULL, 15),
(185853, NULL, 'PTHR10783:SF93', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1 HOMOLOG 6', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185854, NULL, 'PTHR35598:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185855, NULL, 'PTHR27005:SF315', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(185856, NULL, 'PTHR12187', NULL, NULL, NULL, NULL, 'AGAP000124-PA', NULL, NULL, 31983, 15),
(185857, NULL, 'PTHR12067', NULL, NULL, NULL, NULL, 'PODOCALYXIN', NULL, NULL, 18384, 15),
(185858, NULL, 'PTHR22883:SF349', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(185859, NULL, 'PTHR11071:SF257', NULL, NULL, NULL, NULL, 'NK-TUMOR RECOGNITION PROTEIN', NULL, NULL, NULL, 15),
(185860, NULL, 'PTHR33984:SF10', NULL, NULL, NULL, NULL, 'PDZ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185861, NULL, 'PTHR26374:SF345', NULL, NULL, NULL, NULL, 'C2H2-TYPE ZINC FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(185862, NULL, 'PTHR33921:SF20', NULL, NULL, NULL, NULL, 'OS01G0303000 PROTEIN', NULL, NULL, NULL, 15),
(185863, NULL, 'PTHR10091:SF20', NULL, NULL, NULL, NULL, 'ALDOSE 1-EPIMERASE', NULL, NULL, NULL, 15),
(185864, NULL, 'PTHR12210:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185865, NULL, 'PTHR26450:SF390', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(185866, NULL, 'PTHR42647:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(185867, NULL, 'PTHR32227:SF117', NULL, NULL, NULL, NULL, 'OS09G0502200 PROTEIN', NULL, NULL, NULL, 15),
(185868, NULL, 'PTHR10291:SF30', NULL, NULL, NULL, NULL, 'DEHYDRODOLICHYL DIPHOSPHATE SYNTHASE 6', NULL, NULL, NULL, 15),
(185869, NULL, 'PTHR43097:SF12', NULL, NULL, NULL, NULL, 'OS01G0271200 PROTEIN', NULL, NULL, NULL, 15),
(185870, NULL, 'PTHR36307:SF1', NULL, NULL, NULL, NULL, 'FLAGELLA BASAL BODY P-RING FORMATION PROTEIN FLGA', NULL, NULL, NULL, 15),
(185871, NULL, 'PTHR47067', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) PROTEIN FAMILY-RELATED', NULL, NULL, 37147, 15),
(185872, NULL, 'PTHR20857:SF15', NULL, NULL, NULL, NULL, 'THIAMINE BIOSYNTHETIC BIFUNCTIONAL ENZYME', NULL, NULL, NULL, 15),
(185873, NULL, 'PTHR42715:SF12', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE A-RELATED', NULL, NULL, NULL, 15),
(185874, NULL, 'PTHR47958:SF104', NULL, NULL, NULL, NULL, 'SPLICEOSOME RNA HELICASE DDX39B', NULL, NULL, NULL, 15),
(185875, NULL, 'PTHR11384:SF58', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, CONSERVED SITE', NULL, NULL, NULL, 15),
(185876, NULL, 'PTHR31250:SF27', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM5', NULL, NULL, NULL, 15),
(185877, NULL, 'PTHR11932:SF131', NULL, NULL, NULL, NULL, 'CULLIN-2', NULL, NULL, NULL, 15),
(185878, NULL, 'PTHR47863:SF5', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(185879, NULL, 'PTHR34360:SF11', NULL, NULL, NULL, NULL, 'OS04G0607150 PROTEIN', NULL, NULL, NULL, 15),
(185880, NULL, 'PTHR43895:SF49', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 11', NULL, NULL, NULL, 15),
(185881, NULL, 'PTHR47892:SF1', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN E', NULL, NULL, NULL, 15),
(185882, NULL, 'PTHR48018:SF122', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(185883, NULL, 'PTHR24343:SF469', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(185884, NULL, 'PTHR43428:SF1', NULL, NULL, NULL, NULL, 'ARSENATE REDUCTASE', NULL, NULL, NULL, 15),
(185885, NULL, 'PTHR47249', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN 8', NULL, NULL, 39168, 15),
(185886, NULL, 'PTHR45631:SF20', NULL, NULL, NULL, NULL, 'KINASE-TRANSFORMING PROTEIN RAF, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185887, NULL, 'PTHR23147:SF182', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185888, NULL, 'PTHR43586:SF19', NULL, NULL, NULL, NULL, 'OS01G0729600 PROTEIN', NULL, NULL, NULL, 15),
(185889, NULL, 'PTHR33304:SF32', NULL, NULL, NULL, NULL, 'CHROMATIN REGULATOR PHD FAMILY-RELATED', NULL, NULL, NULL, 15),
(185890, NULL, 'PTHR45959:SF46', NULL, NULL, NULL, NULL, 'BNAC08G49180D PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185891, NULL, 'PTHR31048:SF167', NULL, NULL, NULL, NULL, 'BNACNNG66400D PROTEIN', NULL, NULL, NULL, 15),
(185892, NULL, 'PTHR31301:SF106', NULL, NULL, NULL, NULL, 'PROTEIN LATERAL ORGAN BOUNDARIES-LIKE', NULL, NULL, NULL, 15),
(185893, NULL, 'PTHR41161:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NCBP2AS2', NULL, NULL, NULL, 15),
(185894, NULL, 'PTHR47959:SF5', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED NUCLEASE/HELICASE CAS3-RELATED', NULL, NULL, 17931, 15),
(185895, NULL, 'PTHR47295', NULL, NULL, NULL, NULL, 'EG45-LIKE DOMAIN CONTAINING PROTEIN 1-RELATED', NULL, NULL, 37223, 15),
(185896, NULL, 'PTHR45720', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN 2', NULL, NULL, NULL, 15),
(185897, NULL, 'PTHR13647:SF3', NULL, NULL, NULL, NULL, 'INSULIN-LIKE PEPTIDE 1-RELATED', NULL, NULL, NULL, 15),
(185898, NULL, 'PTHR32227:SF389', NULL, NULL, NULL, NULL, 'OS01G0941500 PROTEIN', NULL, NULL, NULL, 15),
(185899, NULL, 'PTHR45625:SF6', NULL, NULL, NULL, NULL, 'SPLICEOSOME-ASSOCIATED PROTEIN CWC27 HOMOLOG', NULL, NULL, NULL, 15),
(185900, NULL, 'PTHR31375:SF249', NULL, NULL, NULL, NULL, 'BNAC04G43570D PROTEIN', NULL, NULL, NULL, 15),
(185901, NULL, 'PTHR12141', NULL, NULL, NULL, NULL, 'ARFAPTIN-RELATED', NULL, NULL, 26512, 15),
(185902, NULL, 'PTHR11129:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185903, NULL, 'PTHR13301:SF194', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN E1', NULL, NULL, NULL, 15),
(185904, NULL, 'PTHR11064:SF142', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-6', NULL, NULL, NULL, 15),
(185905, NULL, 'PTHR35567:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185906, NULL, 'PTHR31852:SF31', NULL, NULL, NULL, NULL, 'OS06G0521300 PROTEIN', NULL, NULL, NULL, 15),
(185907, NULL, 'PTHR46237', NULL, NULL, NULL, NULL, 'CYTOCHROME B5 REDUCTASE 4 FAMILY MEMBER', NULL, NULL, NULL, 15),
(185908, NULL, 'PTHR33181:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185909, NULL, 'PTHR43401:SF1', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE, ZINC-CONTAINING', NULL, NULL, NULL, 15),
(185910, NULL, 'PTHR33646:SF8', NULL, NULL, NULL, NULL, 'OS07G0204100 PROTEIN', NULL, NULL, NULL, 15),
(185911, NULL, 'PTHR31426:SF7', NULL, NULL, NULL, NULL, 'BNACNNG51840D PROTEIN', NULL, NULL, NULL, 15),
(185912, NULL, 'PTHR10828:SF38', NULL, NULL, NULL, NULL, 'ARSENICAL-RESISTANCE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(185913, NULL, 'PTHR31734:SF173', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA19', NULL, NULL, NULL, 15),
(185914, NULL, 'PTHR11106:SF107', NULL, NULL, NULL, NULL, 'GANGLIOSIDE-INDUCED DIFFERENTIATION-ASSOCIATED PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(185915, NULL, 'PTHR33199:SF19', NULL, NULL, NULL, NULL, 'MEMBRANE ATTACK COMPLEX COMPONENT/PERFORIN (MACPF) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185916, NULL, 'PTHR14879:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RIFIFYLIN', NULL, NULL, NULL, 15),
(185917, NULL, 'PTHR10501:SF64', NULL, NULL, NULL, NULL, 'U2 SMALL NUCLEAR RIBONUCLEOPROTEIN B''''', NULL, NULL, NULL, 15),
(185918, NULL, 'PTHR27002:SF526', NULL, NULL, NULL, NULL, 'OSJNBA0016N04.16-LIKE PROTEIN', NULL, NULL, NULL, 15),
(185919, NULL, 'PTHR24056:SF343', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185920, NULL, 'PTHR33494:SF5', NULL, NULL, NULL, NULL, 'F10A16.6 PROTEIN', NULL, NULL, NULL, 15),
(185921, NULL, 'PTHR31128:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG25559', NULL, NULL, NULL, 15),
(185922, NULL, 'PTHR31280:SF2', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG', NULL, NULL, NULL, 15),
(185923, NULL, 'PTHR36001:SF2', NULL, NULL, NULL, NULL, 'CTAGE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(185924, NULL, 'PTHR12136:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185925, NULL, 'PTHR47956:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185926, NULL, 'PTHR23420:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185927, NULL, 'PTHR40039:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DLTD', NULL, NULL, NULL, 15),
(185928, NULL, 'PTHR46710:SF7', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185929, NULL, 'PTHR11802:SF370', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(185930, NULL, 'PTHR18953:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185931, NULL, 'PTHR11654:SF372', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185932, NULL, 'PTHR43582', NULL, NULL, NULL, NULL, 'LINEARMYCIN RESISTANCE ATP-BINDING PROTEIN LNRL', NULL, NULL, NULL, 15),
(185933, NULL, 'PTHR24216:SF8', NULL, NULL, NULL, NULL, 'PAXILLIN, ISOFORM F', NULL, NULL, NULL, 15),
(185934, NULL, 'PTHR22765:SF134', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 44', NULL, NULL, NULL, 15),
(185935, NULL, 'PTHR31635:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185936, NULL, 'PTHR31803:SF10', NULL, NULL, NULL, NULL, 'UBIQUINOL OXIDASE 4, CHLOROPLASTIC/CHROMOPLASTIC', NULL, NULL, NULL, 15),
(185937, NULL, 'PTHR12442', NULL, NULL, NULL, NULL, 'DYNEIN INTERMEDIATE CHAIN', NULL, NULL, NULL, 15),
(185938, NULL, 'PTHR11926:SF998', NULL, NULL, NULL, NULL, 'DIMBOA UDP-GLUCOSYLTRANSFERASE BX9', NULL, NULL, NULL, 15),
(185939, NULL, 'PTHR45905', NULL, NULL, NULL, NULL, 'GOLGI-LOCALIZED, GAMMA-ADAPTIN EAR CONTAINING, ARF BINDING PROTEIN', NULL, NULL, NULL, 15),
(185940, NULL, 'PTHR31621:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185941, NULL, 'PTHR31048:SF144', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(185942, NULL, 'PTHR16172:SF22', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN 6-LIKE', NULL, NULL, NULL, 15),
(185943, NULL, 'PTHR12162:SF0', NULL, NULL, NULL, NULL, 'NIBRIN', NULL, NULL, NULL, 15),
(185944, NULL, 'PTHR30319', NULL, NULL, NULL, NULL, 'PHENYLACETIC ACID REGULATOR-RELATED TRANSCRIPTIONAL REPRESSOR', NULL, NULL, NULL, 15),
(185945, NULL, 'PTHR15326:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TAMOZHENNIC', NULL, NULL, 25151, 15),
(185946, NULL, 'PTHR23236:SF67', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(185947, NULL, 'PTHR33149:SF15', NULL, NULL, NULL, NULL, 'II D2 PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(185948, NULL, 'PTHR13350:SF1', NULL, NULL, NULL, NULL, 'INTEGRATOR COMPLEX SUBUNIT 8', NULL, NULL, NULL, 15),
(185949, NULL, 'PTHR34271:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185950, NULL, 'PTHR42684:SF16', NULL, NULL, NULL, NULL, 'BNAA05G17410D PROTEIN', NULL, NULL, NULL, 15),
(185951, NULL, 'PTHR11588:SF248', NULL, NULL, NULL, NULL, 'AT04270P', NULL, NULL, NULL, 15),
(185952, NULL, 'PTHR31595:SF48', NULL, NULL, NULL, NULL, 'WAX SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(185953, NULL, 'PTHR19241:SF157', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(185954, NULL, 'PTHR34940:SF5', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II 5 KDA PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(185955, NULL, 'PTHR43206', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(185956, NULL, 'PTHR11848', NULL, NULL, NULL, NULL, 'TGF-BETA FAMILY', NULL, NULL, 17529, 15),
(185957, NULL, 'PTHR43156:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOSERINE PHOSPHATASE RSBU', NULL, NULL, NULL, 15),
(185958, NULL, 'PTHR14255', NULL, NULL, NULL, NULL, 'CEREBLON', NULL, NULL, NULL, 15),
(185959, NULL, 'PTHR31707:SF211', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(185960, NULL, 'PTHR23017:SF17', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(185961, NULL, 'PTHR35495:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185962, NULL, 'PTHR48219:SF2', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 62-RELATED', NULL, NULL, NULL, 15),
(185963, NULL, 'PTHR33107:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(185964, NULL, 'PTHR14695:SF4', NULL, NULL, NULL, NULL, 'PROTEIN NESSUN DORMA', NULL, NULL, NULL, 15),
(185965, NULL, 'PTHR13946:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185966, NULL, 'PTHR26379:SF369', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185967, NULL, 'PTHR48017:SF143', NULL, NULL, NULL, NULL, 'OS06G0556000 PROTEIN', NULL, NULL, NULL, 15),
(185968, NULL, 'PTHR31480', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL LYCOPENE CYCLASE/PHYTOENE SYNTHASE', NULL, NULL, NULL, 15),
(185969, NULL, 'PTHR24320:SF227', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(185970, NULL, 'PTHR23086:SF104', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE 7', NULL, NULL, NULL, 15),
(185971, NULL, 'PTHR11079:SF181', NULL, NULL, NULL, NULL, 'BNAANNG23340D PROTEIN', NULL, NULL, NULL, 15),
(185972, NULL, 'PTHR42902:SF4', NULL, NULL, NULL, NULL, 'MALATE SYNTHASE', NULL, NULL, NULL, 15),
(185973, NULL, 'PTHR15462', NULL, NULL, NULL, NULL, 'SERINE PROTEASE', NULL, NULL, NULL, 15),
(185974, NULL, 'PTHR42878:SF3', NULL, NULL, NULL, NULL, 'SENSOR PROTEIN SRRB', NULL, NULL, NULL, 15),
(185975, NULL, 'PTHR47992:SF99', NULL, NULL, NULL, NULL, 'CATALYTIC/PROTEIN PHOSPHATASE TYPE 2C', NULL, NULL, NULL, 15),
(185976, NULL, 'PTHR35765', NULL, NULL, NULL, NULL, 'OS05G0569200 PROTEIN', NULL, NULL, 18718, 15),
(185977, NULL, 'PTHR24220:SF669', NULL, NULL, NULL, NULL, 'FLUOROQUINOLONES EXPORT ATP-BINDING PROTEIN RV2688C', NULL, NULL, NULL, 15),
(185978, NULL, 'PTHR13832', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C', NULL, NULL, 18348, 15),
(185979, NULL, 'PTHR14484:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 71L', NULL, NULL, NULL, 15),
(185980, NULL, 'PTHR23351:SF51', NULL, NULL, NULL, NULL, 'SI:DKEY-23I12.7', NULL, NULL, NULL, 15),
(185981, NULL, 'PTHR12718:SF2', NULL, NULL, NULL, NULL, 'SPLICEOSOME-ASSOCIATED PROTEIN CWC15 HOMOLOG', NULL, NULL, NULL, 15),
(185982, NULL, 'PTHR24012:SF686', NULL, NULL, NULL, NULL, 'CUGBP ELAV-LIKE FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(185983, NULL, 'PTHR48020:SF25', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G05830)-RELATED', NULL, NULL, NULL, 15),
(185984, NULL, 'PTHR34222:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185985, NULL, 'PTHR45635:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG09342', NULL, NULL, NULL, 15),
(185986, NULL, 'PTHR47980:SF29', NULL, NULL, NULL, NULL, 'RABX4', NULL, NULL, NULL, 15),
(185987, NULL, 'PTHR31313:SF78', NULL, NULL, NULL, NULL, 'CHROMOSOME 9, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(185988, NULL, 'PTHR46399:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185989, NULL, 'PTHR36483:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185990, NULL, 'PTHR31874:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(185991, NULL, 'PTHR34132:SF9', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(185992, NULL, 'PTHR45647:SF112', NULL, NULL, NULL, NULL, 'BNAA06G16210D PROTEIN', NULL, NULL, NULL, 15),
(185993, NULL, 'PTHR18896:SF155', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D C', NULL, NULL, NULL, 15),
(185994, NULL, 'PTHR32149:SF2', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G6C', NULL, NULL, NULL, 15),
(185995, NULL, 'PTHR35666:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA 4921536K21', NULL, NULL, NULL, 15),
(185996, NULL, 'PTHR24044:SF472', NULL, NULL, NULL, NULL, 'PROTEIN EYES SHUT HOMOLOG', NULL, NULL, NULL, 15),
(185997, NULL, 'PTHR43709', NULL, NULL, NULL, NULL, 'ACONITATE ISOMERASE-RELATED', NULL, NULL, 3574, 15),
(185998, NULL, 'PTHR11465:SF26', NULL, NULL, NULL, NULL, 'CATALASE 2', NULL, NULL, NULL, 15),
(185999, NULL, 'PTHR12354:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186000, NULL, 'PTHR31033', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186001, NULL, 'PTHR10631:SF5', NULL, NULL, NULL, NULL, 'TRNA (GUANINE(26)-N(2))-DIMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(186002, NULL, 'PTHR17630:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186003, NULL, 'PTHR22796:SF7', NULL, NULL, NULL, NULL, 'SI:DKEY-202L22.6', NULL, NULL, NULL, 15),
(186004, NULL, 'PTHR33164:SF58', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR HPR', NULL, NULL, NULL, 15),
(186005, NULL, 'PTHR46773:SF6', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(186006, NULL, 'PTHR32285:SF67', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(186007, NULL, 'PTHR15813:SF10', NULL, NULL, NULL, NULL, 'SORTING NEXIN-24', NULL, NULL, NULL, 15),
(186008, NULL, 'PTHR33437:SF2', NULL, NULL, NULL, NULL, 'OS06G0361200 PROTEIN', NULL, NULL, NULL, 15),
(186009, NULL, 'PTHR47115', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 183', NULL, NULL, 37059, 15),
(186010, NULL, 'PTHR35585:SF1', NULL, NULL, NULL, NULL, 'HHE DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_4G00730)', NULL, NULL, NULL, 15),
(186011, NULL, 'PTHR23359:SF208', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE', NULL, NULL, NULL, 15),
(186012, NULL, 'PTHR24068:SF63', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 E3', NULL, NULL, NULL, 15),
(186013, NULL, 'PTHR12847:SF16', NULL, NULL, NULL, NULL, 'ADAPTIN EAR-BINDING COAT-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(186014, NULL, 'PTHR46033:SF36', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE-LIKE, PLANT MOBILE DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(186015, NULL, 'PTHR33830:SF25', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN 128-RELATED', NULL, NULL, NULL, 15),
(186016, NULL, 'PTHR33697', NULL, NULL, NULL, NULL, 'T17B22.17 PROTEIN-RELATED', NULL, NULL, 36873, 15),
(186017, NULL, 'PTHR13006:SF9', NULL, NULL, NULL, NULL, 'GLUCOSE TRANSPORTER 4 ENHANCER FACTOR, ISOFORM G', NULL, NULL, NULL, 15),
(186018, NULL, 'PTHR48044:SF46', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(186019, NULL, 'PTHR45646:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE AFC2', NULL, NULL, NULL, 15),
(186020, NULL, 'PTHR32382:SF66', NULL, NULL, NULL, NULL, 'BNACNNG49680D PROTEIN', NULL, NULL, NULL, 15),
(186021, NULL, 'PTHR46160', NULL, NULL, NULL, NULL, 'ALPHA-TECTORIN-RELATED', NULL, NULL, NULL, 15),
(186022, NULL, 'PTHR10351:SF23', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BTF3', NULL, NULL, NULL, 15),
(186023, NULL, 'PTHR24301:SF2', NULL, NULL, NULL, NULL, 'THROMBOXANE-A SYNTHASE', NULL, NULL, NULL, 15),
(186024, NULL, 'PTHR34797:SF4', NULL, NULL, NULL, NULL, 'OS02G0821900 PROTEIN', NULL, NULL, NULL, 15),
(186025, NULL, 'PTHR10404:SF26', NULL, NULL, NULL, NULL, 'TRANSFERRIN RECEPTOR PROTEIN 1', NULL, NULL, 22867, 15),
(186026, NULL, 'PTHR31460', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186027, NULL, 'PTHR19965:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186028, NULL, 'PTHR16079:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CHFR', NULL, NULL, NULL, 15),
(186029, NULL, 'PTHR43999:SF2', NULL, NULL, NULL, NULL, 'BNAA03G01870D PROTEIN', NULL, NULL, NULL, 15),
(186030, NULL, 'PTHR44259:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186031, NULL, 'PTHR44086:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186032, NULL, 'PTHR34049:SF9', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN', NULL, NULL, NULL, 15),
(186033, NULL, 'PTHR46186:SF6', NULL, NULL, NULL, NULL, 'CYSTATIN-C', NULL, NULL, NULL, 15),
(186034, NULL, 'PTHR31003:SF24', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HHO3', NULL, NULL, NULL, 15),
(186035, NULL, 'PTHR11937:SF195', NULL, NULL, NULL, NULL, 'BETA-CENTRACTIN', NULL, NULL, NULL, 15),
(186036, NULL, 'PTHR22769:SF56', NULL, NULL, NULL, NULL, '8-OXO-DGDP PHOSPHATASE NUDT18', NULL, NULL, NULL, 15),
(186037, NULL, 'PTHR43539:SF12', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA8-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186038, NULL, 'PTHR47521', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)-RELATED', NULL, NULL, NULL, 15),
(186039, NULL, 'PTHR24414:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186040, NULL, 'PTHR39767', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-BINDING MEMBRANE PROTEIN PCM4-RELATED', NULL, NULL, NULL, 15),
(186041, NULL, 'PTHR47926:SF290', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186042, NULL, 'PTHR24296:SF205', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(186043, NULL, 'PTHR46277:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186044, NULL, 'PTHR46061:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBR-NPR-20', NULL, NULL, NULL, 15),
(186045, NULL, 'PTHR31430', NULL, NULL, NULL, NULL, 'PROTEIN CBG22332-RELATED', NULL, NULL, NULL, 15),
(186046, NULL, 'PTHR12259:SF1', NULL, NULL, NULL, NULL, 'GH21964P', NULL, NULL, NULL, 15),
(186047, NULL, 'PTHR31839:SF42', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1F-LIKE', NULL, NULL, NULL, 15),
(186048, NULL, 'PTHR47978:SF12', NULL, NULL, NULL, NULL, 'OS03G0843100 PROTEIN', NULL, NULL, NULL, 15),
(186049, NULL, 'PTHR31972:SF46', NULL, NULL, NULL, NULL, 'DUF868 FAMILY PROTEIN (DUF868)', NULL, NULL, NULL, 15),
(186050, NULL, 'PTHR43053:SF9', NULL, NULL, NULL, NULL, 'ALPHA-XYLOSIDASE', NULL, NULL, NULL, 15),
(186051, NULL, 'PTHR16059:SF11', NULL, NULL, NULL, NULL, 'ANTHRAX TOXIN RECEPTOR 1', NULL, NULL, 17765, 15),
(186052, NULL, 'PTHR10394:SF22', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S8', NULL, NULL, NULL, 15),
(186053, NULL, 'PTHR30595:SF12', NULL, NULL, NULL, NULL, 'BLR7860 PROTEIN', NULL, NULL, NULL, 15),
(186054, NULL, 'PTHR31071:SF8', NULL, NULL, NULL, NULL, 'INTRACELLULAR PROTEIN TRANSPORT PROTEIN USO1-RELATED', NULL, NULL, NULL, 15),
(186055, NULL, 'PTHR39385', NULL, NULL, NULL, NULL, 'PROTEIN CBG20422', NULL, NULL, NULL, 15),
(186056, NULL, 'PTHR23503:SF109', NULL, NULL, NULL, NULL, 'FI08437P-RELATED', NULL, NULL, NULL, 15),
(186057, NULL, 'PTHR10009:SF13', NULL, NULL, NULL, NULL, 'YELLOW-H', NULL, NULL, NULL, 15),
(186058, NULL, 'PTHR47928:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186059, NULL, 'PTHR11595:SF26', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-DELTA', NULL, NULL, NULL, 15),
(186060, NULL, 'PTHR23268:SF20', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 7-2', NULL, NULL, NULL, 15),
(186061, NULL, 'PTHR33144:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186062, NULL, 'PTHR45968:SF33', NULL, NULL, NULL, NULL, 'LONG-CHAIN-ALCOHOL OXIDASE, FAD/NAD(P)-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186063, NULL, 'PTHR43979', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING FACTOR 17', NULL, NULL, 23821, 15),
(186064, NULL, 'PTHR47982:SF36', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK7', NULL, NULL, NULL, 15),
(186065, NULL, 'PTHR31721:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186066, NULL, 'PTHR33659', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED-RELATED', NULL, NULL, NULL, 15),
(186067, NULL, 'PTHR20920:SF5', NULL, NULL, NULL, NULL, 'SOMATOMEDIN-B AND THROMBOSPONDIN TYPE-1 DOMAIN-CONTAINING PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(186068, NULL, 'PTHR18966:SF394', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR FAMILY (AMPA)', NULL, NULL, NULL, 15),
(186069, NULL, 'PTHR15021:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN BASONUCLIN-1', NULL, NULL, NULL, 15),
(186070, NULL, 'PTHR32285:SF301', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186071, NULL, 'PTHR34709:SF18', NULL, NULL, NULL, NULL, 'OS07G0547200 PROTEIN', NULL, NULL, NULL, 15),
(186072, NULL, 'PTHR47381:SF2', NULL, NULL, NULL, NULL, 'ESTERASE YITV-RELATED', NULL, NULL, NULL, 15),
(186073, NULL, 'PTHR31563:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186074, NULL, 'PTHR19854:SF16', NULL, NULL, NULL, NULL, 'F-BOX/WD REPEAT-CONTAINING PROTEIN 1A', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186075, NULL, 'PTHR10407:SF10', NULL, NULL, NULL, NULL, 'HUNTINGTIN-INTERACTING PROTEIN 1-RELATED PROTEIN', NULL, NULL, 24026, 15),
(186076, NULL, 'PTHR43570:SF11', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(186077, NULL, 'PTHR11929:SF217', NULL, NULL, NULL, NULL, 'ALPHA 1,3 FUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(186078, NULL, 'PTHR47993:SF74', NULL, NULL, NULL, NULL, 'BNAANNG10990D PROTEIN', NULL, NULL, NULL, 15),
(186079, NULL, 'PTHR15478:SF12', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN FAMILY A MEMBER 3', NULL, NULL, NULL, 15),
(186080, NULL, 'PTHR36587', NULL, NULL, NULL, NULL, 'EXPRESSION SITE-ASSOCIATED GENE 3 (ESAG3)-LIKE PROTEIN', NULL, NULL, NULL, 15),
(186081, NULL, 'PTHR24298:SF611', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 89A2-LIKE', NULL, NULL, NULL, 15),
(186082, NULL, 'PTHR47990:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186083, NULL, 'PTHR13282:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186084, NULL, 'PTHR11220:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186085, NULL, 'PTHR22838:SF4', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 13', NULL, NULL, NULL, 15),
(186086, NULL, 'PTHR31973:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186087, NULL, 'PTHR11895:SF149', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(186088, NULL, 'PTHR10366:SF670', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(186089, NULL, 'PTHR10426:SF101', NULL, NULL, NULL, NULL, 'BNACNNG49900D PROTEIN', NULL, NULL, NULL, 15),
(186090, NULL, 'PTHR48032:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186091, NULL, 'PTHR36511:SF6', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(186092, NULL, 'PTHR43518', NULL, NULL, NULL, NULL, 'NITRATE REDUCTASE BETA SUBUNIT', NULL, NULL, NULL, 15),
(186093, NULL, 'PTHR30060', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(186094, NULL, 'PTHR36036:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', NULL, NULL, NULL, 15),
(186095, NULL, 'PTHR33511:SF27', NULL, NULL, NULL, NULL, 'BNAA05G31450D PROTEIN', NULL, NULL, NULL, 15),
(186096, NULL, 'PTHR10783:SF111', NULL, NULL, NULL, NULL, 'SPX DOMAIN, EXS-RELATED', NULL, NULL, NULL, 15),
(186097, NULL, 'PTHR47926:SF212', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(186098, NULL, 'PTHR10816:SF17', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 2-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(186099, NULL, 'PTHR48047:SF18', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(186100, NULL, 'PTHR11977:SF25', NULL, NULL, NULL, NULL, 'VILLIN-1', NULL, NULL, 27643, 15),
(186101, NULL, 'PTHR35322:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CPR-5', NULL, NULL, NULL, 15),
(186102, NULL, 'PTHR10804:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186103, NULL, 'PTHR23070:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186104, NULL, 'PTHR24339:SF37', NULL, NULL, NULL, NULL, 'E5', NULL, NULL, NULL, 15),
(186105, NULL, 'PTHR33459:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186106, NULL, 'PTHR48056:SF24', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE ERECTA', NULL, NULL, NULL, 15),
(186107, NULL, 'PTHR11758', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15A', NULL, NULL, 5828, 15),
(186108, NULL, 'PTHR46893', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186109, NULL, 'PTHR11654:SF444', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 8.4', NULL, NULL, NULL, 15),
(186110, NULL, 'PTHR33172:SF46', NULL, NULL, NULL, NULL, 'OS08G0516900 PROTEIN', NULL, NULL, NULL, 15),
(186111, NULL, 'PTHR11689:SF149', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186112, NULL, 'PTHR47982:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186113, NULL, 'PTHR47553:SF1', NULL, NULL, NULL, NULL, 'MYOSIN-11', NULL, NULL, NULL, 15),
(186114, NULL, 'PTHR47972:SF9', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14D ISOFORM X1', NULL, NULL, NULL, 15),
(186115, NULL, 'PTHR32054:SF6', NULL, NULL, NULL, NULL, 'PROTEIN WEAK CHLOROPLAST MOVEMENT UNDER BLUE LIGHT 1', NULL, NULL, NULL, 15),
(186116, NULL, 'PTHR24056:SF130', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE 6', NULL, NULL, NULL, 15),
(186117, NULL, 'PTHR24074:SF37', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN BINDING PROTEIN', NULL, NULL, NULL, 15),
(186118, NULL, 'PTHR19364', NULL, NULL, NULL, NULL, 'IMMUNITY-RELATED GTPASE FAMILY Q PROTEIN', NULL, NULL, 33823, 15),
(186119, NULL, 'PTHR11969:SF4', NULL, NULL, NULL, NULL, 'MAX DIMERIZATION PROTEIN 4', NULL, NULL, NULL, 15),
(186120, NULL, 'PTHR24062:SF25', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(186121, NULL, 'PTHR11362:SF44', NULL, NULL, NULL, NULL, 'PROTEIN CBG05964', NULL, NULL, NULL, 15),
(186122, NULL, 'PTHR47976:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(186123, NULL, 'PTHR21277:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER 1', NULL, NULL, NULL, 15),
(186124, NULL, 'PTHR14950:SF63', NULL, NULL, NULL, NULL, 'RIBONUCLEASE III-RELATED', NULL, NULL, NULL, 15),
(186125, NULL, 'PTHR12435:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KTI12 HOMOLOG', NULL, NULL, NULL, 15),
(186126, NULL, 'PTHR33663:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186127, NULL, 'PTHR11064:SF9', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT BETA', NULL, NULL, NULL, 15),
(186128, NULL, 'PTHR11062:SF107', NULL, NULL, NULL, NULL, 'OS10G0459700 PROTEIN', NULL, NULL, NULL, 15),
(186129, NULL, 'PTHR27009:SF187', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(186130, NULL, 'PTHR31793:SF4', NULL, NULL, NULL, NULL, 'OS02G0659700 PROTEIN', NULL, NULL, NULL, 15),
(186131, NULL, 'PTHR31332', NULL, NULL, NULL, NULL, '7-HYDROXYMETHYL CHLOROPHYLL A REDUCTASE, CHLOROPLASTIC', NULL, NULL, 38984, 15),
(186132, NULL, 'PTHR16223:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186133, NULL, 'PTHR35100:SF1', NULL, NULL, NULL, NULL, 'FOLD PROTEIN', NULL, NULL, NULL, 15),
(186134, NULL, 'PTHR11453:SF108', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 7-RELATED', NULL, NULL, NULL, 15),
(186135, NULL, 'PTHR41786:SF1', NULL, NULL, NULL, NULL, 'MOTILITY ACCESSORY FACTOR MAF', NULL, NULL, NULL, 15),
(186136, NULL, 'PTHR33052:SF125', NULL, NULL, NULL, NULL, 'BNAC05G14040D PROTEIN', NULL, NULL, NULL, 15),
(186137, NULL, 'PTHR43163:SF4', NULL, NULL, NULL, NULL, 'PUTRESCINE EXPORT SYSTEM PERMEASE PROTEIN SAPB', NULL, NULL, NULL, 15),
(186138, NULL, 'PTHR10666:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186139, NULL, 'PTHR47965:SF51', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(186140, NULL, 'PTHR10183:SF393', NULL, NULL, NULL, NULL, 'CALPAIN 12', NULL, NULL, NULL, 15),
(186141, NULL, 'PTHR20544:SF0', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186142, NULL, 'PTHR33181:SF23', NULL, NULL, NULL, NULL, 'OSJNBA0041A02.21 PROTEIN', NULL, NULL, NULL, 15),
(186143, NULL, 'PTHR21656', NULL, NULL, NULL, NULL, 'MALE-SPECIFIC LETHAL-1 PROTEIN', NULL, NULL, 22357, 15),
(186144, NULL, 'PTHR23192:SF33', NULL, NULL, NULL, NULL, 'MYOCILIN', NULL, NULL, 24854, 15),
(186145, NULL, 'PTHR24381:SF272', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 3 HOMOLOG', NULL, NULL, NULL, 15),
(186146, NULL, 'PTHR47977:SF48', NULL, NULL, NULL, NULL, 'RAB_A59 PROTEIN', NULL, NULL, NULL, 15),
(186147, NULL, 'PTHR45898:SF2', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(186148, NULL, 'PTHR13581:SF5', NULL, NULL, NULL, NULL, 'MRG/MORF4L-BINDING PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186149, NULL, 'PTHR11760:SF39', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(186150, NULL, 'PTHR11588:SF239', NULL, NULL, NULL, NULL, 'TUBULIN-LIKE PROTEIN ALPHA-4B-RELATED', NULL, NULL, NULL, 15),
(186151, NULL, 'PTHR15608', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF-ASSOCIATED PROTEIN 2', NULL, NULL, 869, 15),
(186152, NULL, 'PTHR39962:SF1', NULL, NULL, NULL, NULL, 'BLL4848 PROTEIN', NULL, NULL, NULL, 15),
(186153, NULL, 'PTHR11593:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L17', NULL, NULL, NULL, 15),
(186154, NULL, 'PTHR45933:SF24', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 3-LIKE', NULL, NULL, NULL, 15),
(186155, NULL, 'PTHR31001:SF54', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(186156, NULL, 'PTHR12232', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING GLUTAMIC ACID-RICH-LIKE PROTEIN', NULL, NULL, NULL, 15),
(186157, NULL, 'PTHR10352:SF56', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', NULL, NULL, NULL, 15),
(186158, NULL, 'PTHR10615:SF82', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT8', NULL, NULL, 34069, 15),
(186159, NULL, 'PTHR48007:SF18', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186160, NULL, 'PTHR22951:SF75', NULL, NULL, NULL, NULL, 'CLATHRIN COAT ASSEMBLY PROTEIN AP180', NULL, NULL, NULL, 15),
(186161, NULL, 'PTHR24103:SF362', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN RFP', NULL, NULL, NULL, 15),
(186162, NULL, 'PTHR32467:SF179', NULL, NULL, NULL, NULL, 'AP2 DOMAIN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(186163, NULL, 'PTHR45707:SF29', NULL, NULL, NULL, NULL, 'OS04G0472900 PROTEIN', NULL, NULL, NULL, 15),
(186164, NULL, 'PTHR10113:SF26', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1-3-LIKE', NULL, NULL, NULL, 15),
(186165, NULL, 'PTHR33077:SF81', NULL, NULL, NULL, NULL, 'BNAA09G26390D PROTEIN', NULL, NULL, NULL, 15),
(186166, NULL, 'PTHR13068:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186167, NULL, 'PTHR46412:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BIM3', NULL, NULL, NULL, 15),
(186168, NULL, 'PTHR22750:SF25', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR 185 A-RELATED', NULL, NULL, NULL, 15),
(186169, NULL, 'PTHR11937:SF162', NULL, NULL, NULL, NULL, 'ACTIN, INDIRECT FLIGHT MUSCLE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(186170, NULL, 'PTHR27009:SF262', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 37', NULL, NULL, NULL, 15),
(186171, NULL, 'PTHR43939:SF37', NULL, NULL, NULL, NULL, 'GRIP AND COILED-COIL DOMAIN-CONTAINING PROTEIN C27D7.02C', NULL, NULL, NULL, 15),
(186172, NULL, 'PTHR47248:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG08654', NULL, NULL, NULL, 15),
(186173, NULL, 'PTHR47016:SF2', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE ATP-BINDING SUBUNIT CLPT2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(186174, NULL, 'PTHR12281:SF23', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(186175, NULL, 'PTHR10562', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', NULL, NULL, NULL, 15),
(186176, NULL, 'PTHR43952:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186177, NULL, 'PTHR46443:SF12', NULL, NULL, NULL, NULL, 'ZF-FLZ DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186178, NULL, 'PTHR10811:SF1', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE RADICAL FRINGE', NULL, NULL, NULL, 15),
(186179, NULL, 'PTHR10057:SF4', NULL, NULL, NULL, NULL, 'TRANSLOCATOR PROTEIN 2', NULL, NULL, NULL, 15),
(186180, NULL, 'PTHR43289:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186181, NULL, 'PTHR45710:SF15', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 2 MEMBER B', NULL, NULL, NULL, 15),
(186182, NULL, 'PTHR24015:SF526', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186183, NULL, 'PTHR45684:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186184, NULL, 'PTHR21649:SF127', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(186185, NULL, 'PTHR47932:SF24', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(186186, NULL, 'PTHR37389:SF17', NULL, NULL, NULL, NULL, 'BNAC03G23240D PROTEIN', NULL, NULL, NULL, 15),
(186187, NULL, 'PTHR10285:SF143', NULL, NULL, NULL, NULL, 'NICOTINAMIDE RIBOSIDE KINASE 2', NULL, NULL, NULL, 15),
(186188, NULL, 'PTHR11736:SF49', NULL, NULL, NULL, NULL, 'MELANOMA-ASSOCIATED ANTIGEN 1', NULL, NULL, 22038, 15),
(186189, NULL, 'PTHR11559:SF361', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE 1E', NULL, NULL, NULL, 15),
(186190, NULL, 'PTHR48018:SF62', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 881', NULL, NULL, NULL, 15),
(186191, NULL, 'PTHR15196:SF0', NULL, NULL, NULL, NULL, 'CILIARY NEUROTROPHIC FACTOR', NULL, NULL, NULL, 15),
(186192, NULL, 'PTHR23003:SF33', NULL, NULL, NULL, NULL, 'OS08G0117100 PROTEIN', NULL, NULL, NULL, 15),
(186193, NULL, 'PTHR23239:SF96', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 9', NULL, NULL, NULL, 15),
(186194, NULL, 'PTHR11877:SF46', NULL, NULL, NULL, NULL, 'TYPE III POLYKETIDE SYNTHASE A', NULL, NULL, NULL, 15),
(186195, NULL, 'PTHR12900', NULL, NULL, NULL, NULL, 'MITOTIC AND DNA DAMAGE CHECKPOINT PROTEIN HUS1', NULL, NULL, NULL, 15),
(186196, NULL, 'PTHR31985:SF158', NULL, NULL, NULL, NULL, 'BNAA07G31860D PROTEIN', NULL, NULL, NULL, 15),
(186197, NULL, 'PTHR46891:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG04978', NULL, NULL, NULL, 15),
(186198, NULL, 'PTHR11453:SF98', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER 6-RELATED', NULL, NULL, NULL, 15),
(186199, NULL, 'PTHR30521:SF0', NULL, NULL, NULL, NULL, 'DYE-DECOLORIZING PEROXIDASE YFEX', NULL, NULL, NULL, 15),
(186200, NULL, 'PTHR38926:SF42', NULL, NULL, NULL, NULL, 'BNAA09G10910D PROTEIN', NULL, NULL, NULL, 15),
(186201, NULL, 'PTHR47926:SF176', NULL, NULL, NULL, NULL, 'OS01G0815900 PROTEIN', NULL, NULL, NULL, 15),
(186202, NULL, 'PTHR10795:SF668', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE PROTEASE', NULL, NULL, NULL, 15),
(186203, NULL, 'PTHR24089:SF348', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE TRANSPORTER BT1, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(186204, NULL, 'PTHR31300:SF31', NULL, NULL, NULL, NULL, 'LIPASE', NULL, NULL, NULL, 15),
(186205, NULL, 'PTHR46735:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186206, NULL, 'PTHR45580:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG05369', NULL, NULL, NULL, 15),
(186207, NULL, 'PTHR48104:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186208, NULL, 'PTHR27009:SF247', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186209, NULL, 'PTHR30136:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(186210, NULL, 'PTHR32246:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186211, NULL, 'PTHR24302:SF31', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 3A7', NULL, NULL, NULL, 15),
(186212, NULL, 'PTHR11717', NULL, NULL, NULL, NULL, 'LOW MOLECULAR WEIGHT PROTEIN TYROSINE PHOSPHATASE', NULL, NULL, NULL, 15),
(186213, NULL, 'PTHR23036:SF173', NULL, NULL, NULL, NULL, 'INTERLEUKIN 6 RECEPTOR', NULL, NULL, NULL, 15),
(186214, NULL, 'PTHR48063:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186215, NULL, 'PTHR12786:SF2', NULL, NULL, NULL, NULL, 'SPLICING FACTOR 3A SUBUNIT 3', NULL, NULL, 27756, 15),
(186216, NULL, 'PTHR31929:SF95', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186217, NULL, 'PTHR10334:SF466', NULL, NULL, NULL, NULL, 'OS02G0786500 PROTEIN', NULL, NULL, NULL, 15),
(186218, NULL, 'PTHR32243', NULL, NULL, NULL, NULL, 'MALTOSE TRANSPORT SYSTEM PERMEASE-RELATED', NULL, NULL, NULL, 15),
(186219, NULL, 'PTHR34223:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186220, NULL, 'PTHR43574:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186221, NULL, 'PTHR44259:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186222, NULL, 'PTHR24060:SF24', NULL, NULL, NULL, NULL, 'METABOTROPIC GLUTAMATE RECEPTOR 6', NULL, NULL, NULL, 15),
(186223, NULL, 'PTHR31213:SF144', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE 2-LIKE', NULL, NULL, NULL, 15),
(186224, NULL, 'PTHR38225:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186225, NULL, 'PTHR23147:SF193', NULL, NULL, NULL, NULL, 'BNAA06G00410D PROTEIN', NULL, NULL, NULL, 15),
(186226, NULL, 'PTHR16517:SF126', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN 13', NULL, NULL, NULL, 15),
(186227, NULL, 'PTHR33527', NULL, NULL, NULL, NULL, 'OS07G0274300 PROTEIN', NULL, NULL, NULL, 15),
(186228, NULL, 'PTHR46776:SF13', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR-RELATED', NULL, NULL, NULL, 15),
(186229, NULL, 'PTHR31104:SF4', NULL, NULL, NULL, NULL, 'PEPTIDE-N4-(N-ACETYL-BETA-GLUCOSAMINYL)ASPARAGINE AMIDASE A PROTEIN', NULL, NULL, NULL, 15),
(186230, NULL, 'PTHR23413:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32-1-RELATED', NULL, NULL, NULL, 15),
(186231, NULL, 'PTHR35035:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186232, NULL, 'PTHR47958:SF55', NULL, NULL, NULL, NULL, 'BNAC03G41130D PROTEIN', NULL, NULL, NULL, 15),
(186233, NULL, 'PTHR23073:SF111', NULL, NULL, NULL, NULL, 'BNAA08G13550D PROTEIN', NULL, NULL, NULL, 15),
(186234, NULL, 'PTHR47074:SF11', NULL, NULL, NULL, NULL, 'BNAC02G40300D PROTEIN', NULL, NULL, NULL, 15),
(186235, NULL, 'PTHR45847:SF3', NULL, NULL, NULL, NULL, 'FATTY-ACID AMIDE HYDROLASE 1', NULL, NULL, 24802, 15),
(186236, NULL, 'PTHR11439:SF318', NULL, NULL, NULL, NULL, 'TOUSLED-LIKE KINASE 1', NULL, NULL, NULL, 15),
(186237, NULL, 'PTHR12610:SF23', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(186238, NULL, 'PTHR10742:SF350', NULL, NULL, NULL, NULL, 'SPERMINE OXIDASE', NULL, NULL, NULL, 15),
(186239, NULL, 'PTHR12560:SF18', NULL, NULL, NULL, NULL, 'CERAMIDE SYNTHASE 3', NULL, NULL, NULL, 15),
(186240, NULL, 'PTHR46031:SF21', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(186241, NULL, 'PTHR33463:SF57', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(186242, NULL, 'PTHR20837', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186243, NULL, 'PTHR32246:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186244, NULL, 'PTHR12166:SF6', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT SECRETION ACTIVATOR 1', NULL, NULL, NULL, 15),
(186245, NULL, 'PTHR10759:SF10', NULL, NULL, NULL, NULL, 'BNAA08G19980D PROTEIN', NULL, NULL, NULL, 15),
(186246, NULL, 'PTHR23315:SF262', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 15-LIKE', NULL, NULL, NULL, 15),
(186247, NULL, 'PTHR11945:SF478', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 58', NULL, NULL, NULL, 15),
(186248, NULL, 'PTHR37740', NULL, NULL, NULL, NULL, 'OS02G0193500 PROTEIN', NULL, NULL, NULL, 15),
(186249, NULL, 'PTHR38169', NULL, NULL, NULL, NULL, 'OS12G0178300 PROTEIN', NULL, NULL, NULL, 15),
(186250, NULL, 'PTHR20852:SF93', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE CYTOSOLIC ISOZYME 1-4', NULL, NULL, NULL, 15),
(186251, NULL, 'PTHR10218:SF196', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-8 SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(186252, NULL, 'PTHR12650:SF30', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S30', NULL, NULL, NULL, 15),
(186253, NULL, 'PTHR12387:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186254, NULL, 'PTHR18849:SF3', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 23, ISOFORM CRA_A', NULL, NULL, NULL, 15),
(186255, NULL, 'PTHR31718:SF24', NULL, NULL, NULL, NULL, 'WOUND/STRESS PROTEIN', NULL, NULL, NULL, 15),
(186256, NULL, 'PTHR12677:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186257, NULL, 'PTHR11709:SF211', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186258, NULL, 'PTHR13301:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186259, NULL, 'PTHR45085:SF7', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(186260, NULL, 'PTHR24559:SF382', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186261, NULL, 'PTHR10480', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG', NULL, NULL, 27227, 15),
(186262, NULL, 'PTHR10900:SF117', NULL, NULL, NULL, NULL, 'BLL5191 PROTEIN', NULL, NULL, NULL, 15),
(186263, NULL, 'PTHR23155:SF1102', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(186264, NULL, 'PTHR32096:SF71', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 69-RELATED', NULL, NULL, NULL, 15),
(186265, NULL, 'PTHR24637:SF319', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(186266, NULL, 'PTHR32468:SF131', NULL, NULL, NULL, NULL, 'CATION/H+ EXCHANGER 19-RELATED', NULL, NULL, NULL, 15),
(186267, NULL, 'PTHR48010:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(186268, NULL, 'PTHR24157', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT, SAM AND BASIC LEUCINE ZIPPER DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(186269, NULL, 'PTHR10057:SF18', NULL, NULL, NULL, NULL, 'BNAC04G00110D PROTEIN', NULL, NULL, NULL, 15),
(186270, NULL, 'PTHR20921:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 222', NULL, NULL, NULL, 15),
(186271, NULL, 'PTHR20275:SF38', NULL, NULL, NULL, NULL, 'BNAA01G25380D PROTEIN', NULL, NULL, NULL, 15),
(186272, NULL, 'PTHR48001:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186273, NULL, 'PTHR31282:SF148', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 15-RELATED', NULL, NULL, NULL, 15),
(186274, NULL, 'PTHR10746', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L4', NULL, NULL, 18594, 15),
(186275, NULL, 'PTHR14974:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186276, NULL, 'PTHR34125', NULL, NULL, NULL, NULL, 'OS01G0762900 PROTEIN', NULL, NULL, NULL, 15),
(186277, NULL, 'PTHR11017:SF316', NULL, NULL, NULL, NULL, 'BNAC05G19440D PROTEIN', NULL, NULL, NULL, 15),
(186278, NULL, 'PTHR37165', NULL, NULL, NULL, NULL, 'PEPTIDASE U56 FAMILY', NULL, NULL, NULL, 15),
(186279, NULL, 'PTHR24356:SF330', NULL, NULL, NULL, NULL, 'PROTEIN KINASE C', NULL, NULL, NULL, 15),
(186280, NULL, 'PTHR31204:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186281, NULL, 'PTHR47778:SF2', NULL, NULL, NULL, NULL, 'BNAA05G14870D PROTEIN', NULL, NULL, NULL, 15),
(186282, NULL, 'PTHR33178:SF13', NULL, NULL, NULL, NULL, 'BNAA02G05750D PROTEIN', NULL, NULL, NULL, 15),
(186283, NULL, 'PTHR38693:SF1', NULL, NULL, NULL, NULL, 'UBIQUINONE BIOSYNTHESIS PROTEIN UBIJ', NULL, NULL, NULL, 15),
(186284, NULL, 'PTHR21041:SF9', NULL, NULL, NULL, NULL, 'DC-STAMP DOMAIN-CONTAINING PROTEIN 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(186285, NULL, 'PTHR31674:SF41', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM11-RELATED', NULL, NULL, NULL, 15),
(186286, NULL, 'PTHR31251:SF123', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186287, NULL, 'PTHR48040:SF18', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(186288, NULL, 'PTHR45274:SF2', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(186289, NULL, 'PTHR11640:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186290, NULL, 'PTHR44573:SF1', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALKENAL/ONE OXIDOREDUCTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(186291, NULL, 'PTHR11908:SF144', NULL, NULL, NULL, NULL, 'BNAA09G00610D PROTEIN', NULL, NULL, NULL, 15),
(186292, NULL, 'PTHR48043:SF77', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(186293, NULL, 'PTHR11680:SF35', NULL, NULL, NULL, NULL, 'SERINE HYDROXYMETHYLTRANSFERASE, CYTOSOLIC', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186294, NULL, 'PTHR46050:SF20', NULL, NULL, NULL, NULL, 'INACTIVE TPR REPEAT-CONTAINING THIOREDOXIN TTL3-LIKE', NULL, NULL, NULL, 15),
(186295, NULL, 'PTHR46509', NULL, NULL, NULL, NULL, 'PHOSPHOADENOSINE PHOSPHOSULFATE REDUCTASE', NULL, NULL, NULL, 15),
(186296, NULL, 'PTHR31048:SF155', NULL, NULL, NULL, NULL, 'BNAANNG19340D PROTEIN', NULL, NULL, NULL, 15),
(186297, NULL, 'PTHR31458:SF12', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-1 NON-CATALYTIC SUBUNIT BETA-LIKE', NULL, NULL, NULL, 15),
(186298, NULL, 'PTHR31383', NULL, NULL, NULL, NULL, 'OXIDATIVE STRESS-RESPONSE SERINE-RICH PROTEIN 1', NULL, NULL, 12382, 15),
(186299, NULL, 'PTHR28632:SF9', NULL, NULL, NULL, NULL, 'F9L1.21 PROTEIN', NULL, NULL, NULL, 15),
(186300, NULL, 'PTHR35162', NULL, NULL, NULL, NULL, 'OS08G0516600 PROTEIN', NULL, NULL, NULL, 15),
(186301, NULL, 'PTHR24412:SF403', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 8', NULL, NULL, 26958, 15),
(186302, NULL, 'PTHR11753:SF5', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', NULL, NULL, NULL, 15),
(186303, NULL, 'PTHR16830', NULL, NULL, NULL, NULL, 'SH2 CONTAINING ADAPTOR PRAM-1 RELATED', NULL, NULL, 37121, 15),
(186304, NULL, 'PTHR24192:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 40', NULL, NULL, NULL, 15),
(186305, NULL, 'PTHR33021:SF307', NULL, NULL, NULL, NULL, 'BNAC04G05190D PROTEIN', NULL, NULL, NULL, 15),
(186306, NULL, 'PTHR25462:SF279', NULL, NULL, NULL, NULL, 'RET FINGER PROTEIN-LIKE 3', NULL, NULL, 33865, 15),
(186307, NULL, 'PTHR23262:SF151', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-1-RELATED', NULL, NULL, NULL, 15),
(186308, NULL, 'PTHR47993:SF41', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED UBIQUITINATION EFFECTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(186309, NULL, 'PTHR23036:SF29', NULL, NULL, NULL, NULL, 'INTERLEUKIN-11 RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(186310, NULL, 'PTHR16087:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 206', NULL, NULL, NULL, 15),
(186311, NULL, 'PTHR45669:SF27', NULL, NULL, NULL, NULL, 'BNAA08G29960D PROTEIN', NULL, NULL, NULL, 15),
(186312, NULL, 'PTHR22893:SF107', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(186313, NULL, 'PTHR11937:SF427', NULL, NULL, NULL, NULL, 'ACTIN-7-LIKE', NULL, NULL, NULL, 15),
(186314, NULL, 'PTHR32448:SF13', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(186315, NULL, 'PTHR11937:SF464', NULL, NULL, NULL, NULL, 'ACTIN-8', NULL, NULL, NULL, 15),
(186316, NULL, 'PTHR11506:SF30', NULL, NULL, NULL, NULL, 'LYSOSOME-ASSOCIATED MEMBRANE GLYCOPROTEIN 3', NULL, NULL, NULL, 15),
(186317, NULL, 'PTHR15241:SF333', NULL, NULL, NULL, NULL, 'GLYCINE-RICH RNA-BINDING PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(186318, NULL, 'PTHR24349:SF406', NULL, NULL, NULL, NULL, 'BNAC03G40790D PROTEIN', NULL, NULL, NULL, 15),
(186319, NULL, 'PTHR28144', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 5', NULL, NULL, NULL, 15),
(186320, NULL, 'PTHR26453:SF109', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 6Y1', NULL, NULL, NULL, 15),
(186321, NULL, 'PTHR23510:SF21', NULL, NULL, NULL, NULL, '(SYG1/PHO81/XPR1) DOMAIN PROTEIN MFS TRANSPORTER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(186322, NULL, 'PTHR42721:SF38', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 3 C-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186323, NULL, 'PTHR31790:SF305', NULL, NULL, NULL, NULL, 'BNAC03G47180D PROTEIN', NULL, NULL, NULL, 15),
(186324, NULL, 'PTHR11537:SF24', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 1', NULL, NULL, NULL, 15),
(186325, NULL, 'PTHR31683:SF70', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(186326, NULL, 'PTHR42838:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT II', NULL, NULL, NULL, 15),
(186327, NULL, 'PTHR31992:SF162', NULL, NULL, NULL, NULL, 'ZINC FINGER, DOF-TYPE-RELATED', NULL, NULL, NULL, 15),
(186328, NULL, 'PTHR35127:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186329, NULL, 'PTHR11802:SF64', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE 2-RELATED', NULL, NULL, NULL, 15),
(186330, NULL, 'PTHR32009:SF72', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS)', NULL, NULL, NULL, 15),
(186331, NULL, 'PTHR11817:SF102', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(186332, NULL, 'PTHR47713:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX-DDT DOMAIN PROTEIN RLT1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(186333, NULL, 'PTHR48002:SF110', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(186334, NULL, 'PTHR24034:SF98', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR', NULL, NULL, NULL, 15),
(186335, NULL, 'PTHR22298:SF159', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(186336, NULL, 'PTHR11618:SF24', NULL, NULL, NULL, NULL, 'OS03G0193600 PROTEIN', NULL, NULL, NULL, 15),
(186337, NULL, 'PTHR31937', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 163', NULL, NULL, 25495, 15),
(186338, NULL, 'PTHR24390:SF79', NULL, NULL, NULL, NULL, 'LD31554P-RELATED', NULL, NULL, NULL, 15),
(186339, NULL, 'PTHR13850', NULL, NULL, NULL, NULL, 'PLEIOTROPHIN FAMILY MEMBER', NULL, NULL, 4020, 15),
(186340, NULL, 'PTHR45692:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186341, NULL, 'PTHR10177:SF62', NULL, NULL, NULL, NULL, 'CYCLIN-J', NULL, NULL, 21965, 15),
(186342, NULL, 'PTHR24068:SF248', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 35', NULL, NULL, NULL, 15),
(186343, NULL, 'PTHR46264:SF8', NULL, NULL, NULL, NULL, 'BNAANNG11300D PROTEIN', NULL, NULL, NULL, 15),
(186344, NULL, 'PTHR11177:SF308', NULL, NULL, NULL, NULL, 'CHITINASE-RELATED', NULL, NULL, NULL, 15),
(186345, NULL, 'PTHR35697:SF10', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK2', NULL, NULL, NULL, 15),
(186346, NULL, 'PTHR12131:SF10', NULL, NULL, NULL, NULL, 'POLYMERASE THETA (HELICASE DOMAIN ONLY), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(186347, NULL, 'PTHR11780:SF11', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] FLAVOPROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(186348, NULL, 'PTHR23338:SF42', NULL, NULL, NULL, NULL, 'SM-LIKE PROTEIN LSM4', NULL, NULL, NULL, 15),
(186349, NULL, 'PTHR24020:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186350, NULL, 'PTHR18640:SF12', NULL, NULL, NULL, NULL, 'SODIUM/METABOLITE COTRANSPORTER BASS4, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(186351, NULL, 'PTHR43014', NULL, NULL, NULL, NULL, 'MERCURIC REDUCTASE', NULL, NULL, NULL, 15),
(186352, NULL, 'PTHR48206', NULL, NULL, NULL, NULL, 'CHLOROPLAST SENSOR KINASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(186353, NULL, 'PTHR45657:SF41', NULL, NULL, NULL, NULL, 'SEC14P-LIKE PHOSPHATIDYLINOSITOL TRANSFER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(186354, NULL, 'PTHR38705', NULL, NULL, NULL, NULL, 'PROTEIN RDS1', NULL, NULL, 30330, 15),
(186355, NULL, 'PTHR45871:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186356, NULL, 'PTHR22945:SF94', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS D (DELTA)', NULL, NULL, NULL, 15),
(186357, NULL, 'PTHR43895:SF39', NULL, NULL, NULL, NULL, 'CALCIUM/CALMODULIN-DEPENDENT PROTEIN KINASE KINASE 2', NULL, NULL, NULL, 15),
(186358, NULL, 'PTHR47956:SF85', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D9-LIKE', NULL, NULL, NULL, 15),
(186359, NULL, 'PTHR33127:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186360, NULL, 'PTHR45634:SF9', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE 7', NULL, NULL, NULL, 15),
(186361, NULL, 'PTHR31264:SF10', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(186362, NULL, 'PTHR10177:SF476', NULL, NULL, NULL, NULL, 'BNAC06G40620D PROTEIN', NULL, NULL, NULL, 15),
(186363, NULL, 'PTHR31391:SF98', NULL, NULL, NULL, NULL, 'ABSCISIC ACID RECEPTOR 7', NULL, NULL, NULL, 15),
(186364, NULL, 'PTHR31929:SF102', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR21-LIKE', NULL, NULL, NULL, 15),
(186365, NULL, 'PTHR31325:SF97', NULL, NULL, NULL, NULL, 'OS05G0508500 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186366, NULL, 'PTHR22911:SF79', NULL, NULL, NULL, NULL, 'CYSTINE TRANSPORTER YIJE-RELATED', NULL, NULL, NULL, 15),
(186367, NULL, 'PTHR33254:SF22', NULL, NULL, NULL, NULL, '4-HYDROXY-4-METHYL-2-OXOGLUTARATE ALDOLASE', NULL, NULL, NULL, 15),
(186368, NULL, 'PTHR31985:SF175', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF037', NULL, NULL, NULL, 15),
(186369, NULL, 'PTHR11618:SF64', NULL, NULL, NULL, NULL, 'CYCLIN/BRF1-LIKE TBP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(186370, NULL, 'PTHR46446:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PRE6', NULL, NULL, NULL, 15),
(186371, NULL, 'PTHR31391:SF115', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM16', NULL, NULL, NULL, 15),
(186372, NULL, 'PTHR12356:SF32', NULL, NULL, NULL, NULL, 'BNAC01G20510D PROTEIN', NULL, NULL, NULL, 15),
(186373, NULL, 'PTHR31875:SF24', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 5', NULL, NULL, NULL, 15),
(186374, NULL, 'PTHR38808', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 95', NULL, NULL, 26229, 15),
(186375, NULL, 'PTHR11875:SF110', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN 1,4', NULL, NULL, NULL, 15),
(186376, NULL, 'PTHR31631:SF13', NULL, NULL, NULL, NULL, 'KINASE INTERACTING (KIP1-LIKE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(186377, NULL, 'PTHR23226:SF287', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 629', NULL, NULL, NULL, 15),
(186378, NULL, 'PTHR12357:SF89', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CONSERVED C-TERMINAL REGION 5', NULL, NULL, NULL, 15),
(186379, NULL, 'PTHR10383:SF44', NULL, NULL, NULL, NULL, 'SERINC-DOMAIN CONTAINING SERINE AND SPHINGOLIPID BIOSYNTHESIS PROTEIN', NULL, NULL, NULL, 15),
(186380, NULL, 'PTHR11127:SF11', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L14, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(186381, NULL, 'PTHR23511:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 19, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(186382, NULL, 'PTHR14971', NULL, NULL, NULL, NULL, 'VESICULAR, OVEREXPRESSED IN CANCER, PROSURVIVAL PROTEIN 1', NULL, NULL, 27855, 15),
(186383, NULL, 'PTHR24243:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186384, NULL, 'PTHR10825:SF73', NULL, NULL, NULL, NULL, 'AGAP006402-PA', NULL, NULL, NULL, 15),
(186385, NULL, 'PTHR31225:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186386, NULL, 'PTHR34672:SF10', NULL, NULL, NULL, NULL, 'BNAANNG40690D PROTEIN', NULL, NULL, NULL, 15),
(186387, NULL, 'PTHR48011:SF68', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 21', NULL, NULL, NULL, 15),
(186388, NULL, 'PTHR11039', NULL, NULL, NULL, NULL, 'NEBULIN', NULL, NULL, NULL, 15),
(186389, NULL, 'PTHR45614:SF130', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186390, NULL, 'PTHR31734:SF171', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(186391, NULL, 'PTHR22550', NULL, NULL, NULL, NULL, 'SPORE GERMINATION PROTEIN', NULL, NULL, NULL, 15),
(186392, NULL, 'PTHR33346:SF27', NULL, NULL, NULL, NULL, 'DEHYDRIN', NULL, NULL, NULL, 15),
(186393, NULL, 'PTHR43718:SF13', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG', NULL, NULL, NULL, 15),
(186394, NULL, 'PTHR33801:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186395, NULL, 'PTHR39643', NULL, NULL, NULL, NULL, 'CCA-ADDING ENZYME', NULL, NULL, 674, 15),
(186396, NULL, 'PTHR45752:SF93', NULL, NULL, NULL, NULL, 'PLANT INTRACELLULAR RAS-GROUP-RELATED LRR PROTEIN 5', NULL, NULL, NULL, 15),
(186397, NULL, 'PTHR14550', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 109', NULL, NULL, 31045, 15),
(186398, NULL, 'PTHR15486:SF62', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(186399, NULL, 'PTHR45841:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186400, NULL, 'PTHR11200:SF158', NULL, NULL, NULL, NULL, 'SYNAPTOJANIN-1', NULL, NULL, 29203, 15),
(186401, NULL, 'PTHR31221:SF215', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING PROTEIN 58-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186402, NULL, 'PTHR35833:SF1', NULL, NULL, NULL, NULL, 'GALACTOSE-BINDING DOMAIN-LIKE, ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186403, NULL, 'PTHR46822:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL ALPHA-HELICAL ROD PROTEIN 1', NULL, NULL, NULL, 15),
(186404, NULL, 'PTHR47632:SF1', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(186405, NULL, 'PTHR10174:SF212', NULL, NULL, NULL, NULL, 'MIP26555P1', NULL, NULL, NULL, 15),
(186406, NULL, 'PTHR43450', NULL, NULL, NULL, NULL, 'ASPARTYL-TRNA SYNTHETASE', NULL, NULL, 1978, 15),
(186407, NULL, 'PTHR24223:SF230', NULL, NULL, NULL, NULL, 'OSJNBB0022P19.1 PROTEIN', NULL, NULL, NULL, 15),
(186408, NULL, 'PTHR32004', NULL, NULL, NULL, NULL, 'TRNA LIGASE', NULL, NULL, NULL, 15),
(186409, NULL, 'PTHR26450:SF148', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(186410, NULL, 'PTHR31702', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 33', NULL, NULL, 22154, 15),
(186411, NULL, 'PTHR11200:SF188', NULL, NULL, NULL, NULL, 'INOSITOL 5-PHOSPHATASE', NULL, NULL, NULL, 15),
(186412, NULL, 'PTHR10252:SF100', NULL, NULL, NULL, NULL, 'OS05G0304800 PROTEIN', NULL, NULL, NULL, 15),
(186413, NULL, 'PTHR10120:SF27', NULL, NULL, NULL, NULL, 'CAAX PRENYL PROTEASE', NULL, NULL, NULL, 15),
(186414, NULL, 'PTHR33710:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186415, NULL, 'PTHR31636:SF276', NULL, NULL, NULL, NULL, 'GIBBERELLIN-RESPONSIVE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(186416, NULL, 'PTHR24221:SF526', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186417, NULL, 'PTHR43039:SF9', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(186418, NULL, 'PTHR26450:SF167', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51E1', NULL, NULL, NULL, 15),
(186419, NULL, 'PTHR33883:SF8', NULL, NULL, NULL, NULL, 'WPP DOMAIN-ASSOCIATED PROTEIN-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(186420, NULL, 'PTHR11085:SF37', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT HISTONE DEACETYLASE HST3', NULL, NULL, NULL, 15),
(186421, NULL, 'PTHR22930:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186422, NULL, 'PTHR13301:SF145', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN D1', NULL, NULL, NULL, 15),
(186423, NULL, 'PTHR11474:SF113', NULL, NULL, NULL, NULL, 'TYROSINASE (AFU_ORTHOLOGUE AFUA_1G17430)', NULL, NULL, NULL, 15),
(186424, NULL, 'PTHR20873', NULL, NULL, NULL, NULL, 'L-SERYL-TRNA(SEC) KINASE', NULL, NULL, NULL, 15),
(186425, NULL, 'PTHR24281:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186426, NULL, 'PTHR47997:SF43', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(186427, NULL, 'PTHR43320:SF1', NULL, NULL, NULL, NULL, 'CARBOHYDRATE KINASE-LIKE', NULL, NULL, NULL, 15),
(186428, NULL, 'PTHR23023:SF221', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(186429, NULL, 'PTHR43416:SF31', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE SUCCINYLTRANSFERASE COMPONENT OF 2-OXOGLUTARATE DEHYDROGENASE COMPLEX 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(186430, NULL, 'PTHR24012:SF811', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(186431, NULL, 'PTHR48061:SF11', NULL, NULL, NULL, NULL, 'OS12G0212366 PROTEIN', NULL, NULL, NULL, 15),
(186432, NULL, 'PTHR46192:SF13', NULL, NULL, NULL, NULL, 'HISTIDINE PHOSPHATASE SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(186433, NULL, 'PTHR35524', NULL, NULL, NULL, NULL, 'ALPHA-ACETOLACTATE DECARBOXYLASE', NULL, NULL, 7465, 15),
(186434, NULL, 'PTHR46507:SF3', NULL, NULL, NULL, NULL, 'SI:CH211-286B5.4', NULL, NULL, NULL, 15),
(186435, NULL, 'PTHR11452:SF61', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE B-RELATED', NULL, NULL, NULL, 15),
(186436, NULL, 'PTHR43329:SF2', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE 4', NULL, NULL, NULL, 15),
(186437, NULL, 'PTHR14523:SF1', NULL, NULL, NULL, NULL, 'SI:DKEY-260C8.8', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186438, NULL, 'PTHR31301:SF156', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186439, NULL, 'PTHR45650:SF47', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(186440, NULL, 'PTHR15241:SF281', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186441, NULL, 'PTHR11738:SF163', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 1', NULL, NULL, NULL, 15),
(186442, NULL, 'PTHR31384:SF99', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR', NULL, NULL, NULL, 15),
(186443, NULL, 'PTHR12125:SF9', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 27', NULL, NULL, NULL, 15),
(186444, NULL, 'PTHR23233:SF46', NULL, NULL, NULL, NULL, 'SAL-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(186445, NULL, 'PTHR11941:SF129', NULL, NULL, NULL, NULL, 'OS02G0654000 PROTEIN', NULL, NULL, NULL, 15),
(186446, NULL, 'PTHR31232:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186447, NULL, 'PTHR11161:SF55', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(186448, NULL, 'PTHR24009:SF30', NULL, NULL, NULL, NULL, 'BNAC03G44090D PROTEIN', NULL, NULL, NULL, 15),
(186449, NULL, 'PTHR27007:SF326', NULL, NULL, NULL, NULL, 'BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(186450, NULL, 'PTHR47807', NULL, NULL, NULL, NULL, 'PROTEIN TBF1', NULL, NULL, NULL, 15),
(186451, NULL, 'PTHR12447:SF23', NULL, NULL, NULL, NULL, 'BNAA09G03520D PROTEIN', NULL, NULL, NULL, 15),
(186452, NULL, 'PTHR45773:SF6', NULL, NULL, NULL, NULL, 'SLIT AND NTRK-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(186453, NULL, 'PTHR47946:SF7', NULL, NULL, NULL, NULL, 'CYP78A13', NULL, NULL, NULL, 15),
(186454, NULL, 'PTHR47213:SF1', NULL, NULL, NULL, NULL, 'OS07G0567300 PROTEIN', NULL, NULL, NULL, 15),
(186455, NULL, 'PTHR46128:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186456, NULL, 'PTHR10811:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186457, NULL, 'PTHR33026:SF5', NULL, NULL, NULL, NULL, 'OS06G0360600 PROTEIN', NULL, NULL, NULL, 15),
(186458, NULL, 'PTHR11945:SF656', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(186459, NULL, 'PTHR46949:SF2', NULL, NULL, NULL, NULL, 'LEUCINE REPEAT ADAPTER PROTEIN 25', NULL, NULL, NULL, 15),
(186460, NULL, 'PTHR42973:SF40', NULL, NULL, NULL, NULL, 'BINDING OXIDOREDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14630)-RELATED', NULL, NULL, NULL, 15),
(186461, NULL, 'PTHR15327', NULL, NULL, NULL, NULL, 'MICROFIBRIL-ASSOCIATED PROTEIN', NULL, NULL, 31796, 15),
(186462, NULL, 'PTHR33413:SF27', NULL, NULL, NULL, NULL, 'BNAC03G48170D PROTEIN', NULL, NULL, NULL, 15),
(186463, NULL, 'PTHR11945:SF594', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 46', NULL, NULL, NULL, 15),
(186464, NULL, 'PTHR10476:SF51', NULL, NULL, NULL, NULL, 'ESCRT-RELATED PROTEIN CHMP1', NULL, NULL, NULL, 15),
(186465, NULL, 'PTHR31942:SF49', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(186466, NULL, 'PTHR48017:SF150', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER AVT1D', NULL, NULL, NULL, 15),
(186467, NULL, 'PTHR13683:SF731', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED1', NULL, NULL, NULL, 15),
(186468, NULL, 'PTHR31663:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING 3B', NULL, NULL, NULL, 15),
(186469, NULL, 'PTHR13345:SF6', NULL, NULL, NULL, NULL, 'BUD SITE SELECTION PROTEIN 27', NULL, NULL, NULL, 15),
(186470, NULL, 'PTHR21272:SF3', NULL, NULL, NULL, NULL, 'CATABOLIC 3-DEHYDROQUINASE', NULL, NULL, NULL, 15),
(186471, NULL, 'PTHR12843:SF12', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE N-METHYLTRANSFERASE 102587567', NULL, NULL, NULL, 15),
(186472, NULL, 'PTHR11795:SF450', NULL, NULL, NULL, NULL, 'BRANCHED AMINO ACID TRANSPORT SYSTEM PERMEASE-RELATED', NULL, NULL, NULL, 15),
(186473, NULL, 'PTHR31238:SF161', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 3 MEMBER 1', NULL, NULL, NULL, 15),
(186474, NULL, 'PTHR46873:SF3', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186475, NULL, 'PTHR15910', NULL, NULL, NULL, NULL, 'ARCHAEMETZINCIN', NULL, NULL, 12409, 15),
(186476, NULL, 'PTHR46015:SF1', NULL, NULL, NULL, NULL, 'ZGC:172121', NULL, NULL, NULL, 15),
(186477, NULL, 'PTHR31566', NULL, NULL, NULL, NULL, 'CYTOCHROME C BIOGENESIS PROTEIN CCS1, CHLOROPLASTIC', NULL, NULL, 17200, 15),
(186478, NULL, 'PTHR33498', NULL, NULL, NULL, NULL, 'TRANSPOSASE FOR INSERTION SEQUENCE ELEMENT IS1557', NULL, NULL, NULL, 15),
(186479, NULL, 'PTHR31963:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER CONSTANS-LIKE PROTEIN (DUF3537)', NULL, NULL, NULL, 15),
(186480, NULL, 'PTHR47615:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 158', NULL, NULL, NULL, 15),
(186481, NULL, 'PTHR20997', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 13646, 15),
(186482, NULL, 'PTHR11958:SF98', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT EXCITATORY AMINO ACID TRANSPORTER GLT-4-RELATED', NULL, NULL, NULL, 15),
(186483, NULL, 'PTHR10887:SF468', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186484, NULL, 'PTHR11062:SF321', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(186485, NULL, 'PTHR31692:SF9', NULL, NULL, NULL, NULL, 'EXPANSIN-B4', NULL, NULL, NULL, 15),
(186486, NULL, 'PTHR47174:SF1', NULL, NULL, NULL, NULL, 'REDUCED VIABILITY UPON STARVATION PROTEIN 167', NULL, NULL, NULL, 15),
(186487, NULL, 'PTHR11746:SF160', NULL, NULL, NULL, NULL, 'NARINGENIN 7-O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(186488, NULL, 'PTHR24215:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186489, NULL, 'PTHR46106:SF5', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE N2', NULL, NULL, NULL, 15),
(186490, NULL, 'PTHR45868:SF2', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 33', NULL, NULL, NULL, 15),
(186491, NULL, 'PTHR10809:SF58', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 4-2', NULL, NULL, NULL, 15),
(186492, NULL, 'PTHR44102:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186493, NULL, 'PTHR24330:SF7', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN BARH-LIKE 2', NULL, NULL, NULL, 15),
(186494, NULL, 'PTHR24014:SF12', NULL, NULL, NULL, NULL, 'BNAA08G20710D PROTEIN', NULL, NULL, NULL, 15),
(186495, NULL, 'PTHR21659:SF22', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE PROTEOLIPID 3', NULL, NULL, NULL, 15),
(186496, NULL, 'PTHR46351', NULL, NULL, NULL, NULL, 'WOUND-INDUCED PROTEIN WIN2', NULL, NULL, 38936, 15),
(186497, NULL, 'PTHR22893:SF91', NULL, NULL, NULL, NULL, 'N-ETHYLMALEIMIDE REDUCTASE', NULL, NULL, NULL, 15),
(186498, NULL, 'PTHR13528:SF2', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L28, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(186499, NULL, 'PTHR33463:SF95', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(186500, NULL, 'PTHR22849:SF146', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PUB22', NULL, NULL, NULL, 15),
(186501, NULL, 'PTHR10209:SF724', NULL, NULL, NULL, NULL, 'BNAC05G01950D PROTEIN', NULL, NULL, NULL, 15),
(186502, NULL, 'PTHR13774:SF33', NULL, NULL, NULL, NULL, 'BNAC03G30570D PROTEIN', NULL, NULL, NULL, 15),
(186503, NULL, 'PTHR35351:SF1', NULL, NULL, NULL, NULL, 'GERMINAL CENTER-ASSOCIATED SIGNALING AND MOTILITY-LIKE PROTEIN', NULL, NULL, NULL, 15),
(186504, NULL, 'PTHR32246:SF124', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186505, NULL, 'PTHR13452:SF13', NULL, NULL, NULL, NULL, 'OS02G0672400 PROTEIN', NULL, NULL, NULL, 15),
(186506, NULL, 'PTHR24242:SF225', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(186507, NULL, 'PTHR31118:SF12', NULL, NULL, NULL, NULL, 'CYCLASE-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(186508, NULL, 'PTHR15217', NULL, NULL, NULL, NULL, 'WILMS'' TUMOR 1-ASSOCIATING PROTEIN', NULL, NULL, 36425, 15),
(186509, NULL, 'PTHR33088:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186510, NULL, 'PTHR14017', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186511, NULL, 'PTHR11706:SF84', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER NRAMP3', NULL, NULL, NULL, 15),
(186512, NULL, 'PTHR31072:SF165', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP FAMILY-RELATED', NULL, NULL, NULL, 15),
(186513, NULL, 'PTHR43736:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSE PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(186514, NULL, 'PTHR32278:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186515, NULL, 'PTHR38815:SF1', NULL, NULL, NULL, NULL, 'HYPOTHETICAL MEMBRANE PROTEIN, CONSERVED, DUF373 FAMILY', NULL, NULL, NULL, 15),
(186516, NULL, 'PTHR31657:SF40', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF062', NULL, NULL, NULL, 15),
(186517, NULL, 'PTHR43715', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 4,6-DEHYDRATASE', NULL, NULL, 5825, 15),
(186518, NULL, 'PTHR31062:SF45', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLYCOSYLASE/HYDROLASE PROTEIN 8', NULL, NULL, NULL, 15),
(186519, NULL, 'PTHR28165:SF1', NULL, NULL, NULL, NULL, 'NON-CLASSICAL EXPORT PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(186520, NULL, 'PTHR48111:SF47', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RSTA', NULL, NULL, NULL, 15),
(186521, NULL, 'PTHR12810', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S29', NULL, NULL, 15717, 15),
(186522, NULL, 'PTHR12632:SF50', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-8', NULL, NULL, NULL, 15),
(186523, NULL, 'PTHR14454', NULL, NULL, NULL, NULL, 'GRB2-ASSOCIATED AND REGULATOR OF MAPK PROTEIN FAMILY MEMBER', NULL, NULL, NULL, 15),
(186524, NULL, 'PTHR43719:SF12', NULL, NULL, NULL, NULL, 'PHYTOCHROME B-RELATED', NULL, NULL, NULL, 15),
(186525, NULL, 'PTHR27000:SF221', NULL, NULL, NULL, NULL, 'RECEPTOR PROTEIN KINASE', NULL, NULL, NULL, 15),
(186526, NULL, 'PTHR24418:SF423', NULL, NULL, NULL, NULL, 'NON-SPECIFIC PROTEIN-TYROSINE KINASE-RELATED', NULL, NULL, NULL, 15),
(186527, NULL, 'PTHR48004:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186528, NULL, 'PTHR26379:SF393', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 4-LIKE', NULL, NULL, NULL, 15),
(186529, NULL, 'PTHR10910:SF106', NULL, NULL, NULL, NULL, 'ADENOSINE DEAMINASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(186530, NULL, 'PTHR10352', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', NULL, NULL, NULL, 15),
(186531, NULL, 'PTHR13031:SF0', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P30', NULL, NULL, NULL, 15),
(186532, NULL, 'PTHR12468:SF2', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(186533, NULL, 'PTHR10288:SF97', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(186534, NULL, 'PTHR45657:SF31', NULL, NULL, NULL, NULL, 'OS02G0440900 PROTEIN', NULL, NULL, NULL, 15),
(186535, NULL, 'PTHR15350:SF7', NULL, NULL, NULL, NULL, 'COP9 SIGNALOSOME COMPLEX SUBUNIT 7A', NULL, NULL, 34524, 15),
(186536, NULL, 'PTHR13935:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186537, NULL, 'PTHR11921:SF41', NULL, NULL, NULL, NULL, '4FE-4S FERREDOXIN IRON-SULFUR BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(186538, NULL, 'PTHR47718:SF1', NULL, NULL, NULL, NULL, 'OS01G0519700 PROTEIN', NULL, NULL, NULL, 15),
(186539, NULL, 'PTHR10807:SF59', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186540, NULL, 'PTHR22761:SF41', NULL, NULL, NULL, NULL, 'CHARGED MULTIVESICULAR BODY PROTEIN 4B-LIKE PROTEIN CHMP4BP1-RELATED', NULL, NULL, NULL, 15),
(186541, NULL, 'PTHR36020', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(186542, NULL, 'PTHR24028:SF86', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A9', NULL, NULL, NULL, 15),
(186543, NULL, 'PTHR12181:SF58', NULL, NULL, NULL, NULL, 'PHOSPHATIDATE PHOSPHATASE PAH1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(186544, NULL, 'PTHR19321:SF38', NULL, NULL, NULL, NULL, '65-KDA MICROTUBULE-ASSOCIATED PROTEIN 4', NULL, NULL, NULL, 15),
(186545, NULL, 'PTHR14269:SF42', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROLPHOSPHATE SYNTHASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186546, NULL, 'PTHR21733:SF19', NULL, NULL, NULL, NULL, 'DOWNSTREAM OF DAF-16 (REGULATED BY DAF-16)', NULL, NULL, NULL, 15),
(186547, NULL, 'PTHR33491:SF26', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE 2-LIKE', NULL, NULL, NULL, 15),
(186548, NULL, 'PTHR33115:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186549, NULL, 'PTHR31642:SF235', NULL, NULL, NULL, NULL, 'CHLORAMPHENICOL ACETYLTRANSFERASE-LIKE DOMAIN', NULL, NULL, NULL, 15),
(186550, NULL, 'PTHR36707', NULL, NULL, NULL, NULL, 'T20M3.17 PROTEIN', NULL, NULL, NULL, 15),
(186551, NULL, 'PTHR32208:SF81', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH, BETA-PROPELLER-RELATED', NULL, NULL, NULL, 15),
(186552, NULL, 'PTHR31623:SF60', NULL, NULL, NULL, NULL, 'VINORINE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(186553, NULL, 'PTHR47928:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186554, NULL, 'PTHR30251:SF5', NULL, NULL, NULL, NULL, 'FIMBRIAL CHAPARONE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186555, NULL, 'PTHR14399:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186556, NULL, 'PTHR10344:SF3', NULL, NULL, NULL, NULL, 'UMP-CMP KINASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(186557, NULL, 'PTHR24241:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186558, NULL, 'PTHR31314:SF115', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RL9-RELATED', NULL, NULL, NULL, 15),
(186559, NULL, 'PTHR37250:SF1', NULL, NULL, NULL, NULL, 'OS05G0496000 PROTEIN', NULL, NULL, NULL, 15),
(186560, NULL, 'PTHR12652:SF19', NULL, NULL, NULL, NULL, 'YALI0D25498P', NULL, NULL, NULL, 15),
(186561, NULL, 'PTHR21016:SF7', NULL, NULL, NULL, NULL, 'TM2 DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(186562, NULL, 'PTHR19343:SF1', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 29/DELTA VARIABLE 5', NULL, NULL, NULL, 15),
(186563, NULL, 'PTHR24223:SF368', NULL, NULL, NULL, NULL, 'BILE ACID TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(186564, NULL, 'PTHR11289', NULL, NULL, NULL, NULL, 'BREAST CANCER TYPE 2 SUSCEPTIBILITY PROTEIN BRCA2', NULL, NULL, 8170, 15),
(186565, NULL, 'PTHR47025', NULL, NULL, NULL, NULL, 'AUTOIMMUNE REGULATOR', NULL, NULL, NULL, 15),
(186566, NULL, 'PTHR46824:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186567, NULL, 'PTHR11709:SF375', NULL, NULL, NULL, NULL, 'BNAA03G00510D PROTEIN', NULL, NULL, NULL, 15),
(186568, NULL, 'PTHR22762:SF154', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 31 PROTEIN ISOFORM 3', NULL, NULL, NULL, 15),
(186569, NULL, 'PTHR15907:SF107', NULL, NULL, NULL, NULL, 'PLAC8 ONZIN-RELATED PROTEIN 6', NULL, NULL, NULL, 15),
(186570, NULL, 'PTHR22776:SF4', NULL, NULL, NULL, NULL, 'PROTEOLIPID PROTEIN 2', NULL, NULL, NULL, 15),
(186571, NULL, 'PTHR31375:SF168', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE-LIKE', NULL, NULL, NULL, 15),
(186572, NULL, 'PTHR19446:SF444', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186573, NULL, 'PTHR35004:SF8', NULL, NULL, NULL, NULL, 'INTEGRASE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186574, NULL, 'PTHR31681:SF40', NULL, NULL, NULL, NULL, 'BNAC06G29870D PROTEIN', NULL, NULL, NULL, 15),
(186575, NULL, 'PTHR31224:SF2', NULL, NULL, NULL, NULL, 'UNC119-BINDING PROTEIN C5ORF30', NULL, NULL, NULL, 15),
(186576, NULL, 'PTHR13890:SF49', NULL, NULL, NULL, NULL, 'BNAC02G43190D PROTEIN', NULL, NULL, NULL, 15),
(186577, NULL, 'PTHR31241:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186578, NULL, 'PTHR24092:SF169', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(186579, NULL, 'PTHR42920:SF5', NULL, NULL, NULL, NULL, 'OS03G0707200 PROTEIN', NULL, NULL, NULL, 15),
(186580, NULL, 'PTHR33727:SF17', NULL, NULL, NULL, NULL, 'BNAANNG31340D PROTEIN', NULL, NULL, NULL, 15),
(186581, NULL, 'PTHR23113:SF207', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186582, NULL, 'PTHR47498', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 2 MEMBER L', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186583, NULL, 'PTHR44586', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(186584, NULL, 'PTHR12840:SF2', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 8, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(186585, NULL, 'PTHR21649:SF111', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(186586, NULL, 'PTHR47094:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF4-LIKE', NULL, NULL, NULL, 15),
(186587, NULL, 'PTHR40588:SF1', NULL, NULL, NULL, NULL, 'MRNA INTERFERASE TOXIN YAFQ', NULL, NULL, NULL, 15),
(186588, NULL, 'PTHR45648:SF23', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(186589, NULL, 'PTHR11850:SF82', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 9', NULL, NULL, NULL, 15),
(186590, NULL, 'PTHR11176:SF40', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186591, NULL, 'PTHR20859:SF79', NULL, NULL, NULL, NULL, 'INTERLEUKIN 10 RECEPTOR, BETA', NULL, NULL, NULL, 15),
(186592, NULL, 'PTHR31656:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186593, NULL, 'PTHR33470:SF17', NULL, NULL, NULL, NULL, 'PISTIL-SPECIFIC EXTENSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(186594, NULL, 'PTHR37326:SF2', NULL, NULL, NULL, NULL, 'SUCCINYLGLUTAMATE DESUCCINYLASE/ASPARTOACYLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(186595, NULL, 'PTHR24393', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(186596, NULL, 'PTHR32091:SF17', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4B3', NULL, NULL, NULL, 15),
(186597, NULL, 'PTHR35021:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186598, NULL, 'PTHR10666:SF296', NULL, NULL, NULL, NULL, 'UBIQUITIN-NEDD8-LIKE PROTEIN RUB2', NULL, NULL, NULL, 15),
(186599, NULL, 'PTHR11545:SF19', NULL, NULL, NULL, NULL, 'OS07G0109500 PROTEIN', NULL, NULL, NULL, 15),
(186600, NULL, 'PTHR31084:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186601, NULL, 'PTHR10029:SF10', NULL, NULL, NULL, NULL, 'GEO08407P1', NULL, NULL, NULL, 15),
(186602, NULL, 'PTHR11685:SF336', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(186603, NULL, 'PTHR34268:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186604, NULL, 'PTHR48021:SF71', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 14', NULL, NULL, NULL, 15),
(186605, NULL, 'PTHR48009:SF7', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(186606, NULL, 'PTHR46631:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L18A', NULL, NULL, NULL, 15),
(186607, NULL, 'PTHR21017:SF14', NULL, NULL, NULL, NULL, 'PROTEIN NIPSNAP HOMOLOG 2', NULL, NULL, NULL, 15),
(186608, NULL, 'PTHR33601:SF22', NULL, NULL, NULL, NULL, 'PROTEIN LITTLE ZIPPER 1', NULL, NULL, NULL, 15),
(186609, NULL, 'PTHR33384:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186610, NULL, 'PTHR13677:SF0', NULL, NULL, NULL, NULL, 'LD41638P', NULL, NULL, NULL, 15),
(186611, NULL, 'PTHR15283', NULL, NULL, NULL, NULL, 'GREMLIN 1', NULL, NULL, NULL, 15),
(186612, NULL, 'PTHR32285:SF198', NULL, NULL, NULL, NULL, 'XYLAN O-ACETYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(186613, NULL, 'PTHR21087:SF22', NULL, NULL, NULL, NULL, 'SHIKIMATE KINASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(186614, NULL, 'PTHR47323:SF1', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(186615, NULL, 'PTHR28152', NULL, NULL, NULL, NULL, 'HYDROXYACYL-THIOESTER DEHYDRATASE TYPE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(186616, NULL, 'PTHR11709:SF366', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(186617, NULL, 'PTHR10201:SF7', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-23', NULL, NULL, 23817, 15),
(186618, NULL, 'PTHR45863:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186619, NULL, 'PTHR46882:SF1', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY N MEMBER 1', NULL, NULL, NULL, 15),
(186620, NULL, 'PTHR24206:SF82', NULL, NULL, NULL, NULL, 'ZINC FINGER, LIM-TYPE-RELATED', NULL, NULL, NULL, 15),
(186621, NULL, 'PTHR46506:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186622, NULL, 'PTHR24339:SF59', NULL, NULL, NULL, NULL, 'C. ELEGANS HOMEOBOX', NULL, NULL, NULL, 15),
(186623, NULL, 'PTHR32116:SF81', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(186624, NULL, 'PTHR23505:SF68', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(186625, NULL, 'PTHR43991:SF30', NULL, NULL, NULL, NULL, 'OS08G0408200 PROTEIN', NULL, NULL, NULL, 15),
(186626, NULL, 'PTHR13526', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SPT20 HOMOLOG', NULL, NULL, 20643, 15),
(186627, NULL, 'PTHR24070:SF392', NULL, NULL, NULL, NULL, 'ZGC:55558', NULL, NULL, NULL, 15),
(186628, NULL, 'PTHR22874:SF12', NULL, NULL, NULL, NULL, 'BNAA08G27710D PROTEIN', NULL, NULL, NULL, 15),
(186629, NULL, 'PTHR47382:SF3', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(186630, NULL, 'PTHR32227:SF59', NULL, NULL, NULL, NULL, 'O-GLYCOSYL HYDROLASES FAMILY 17 PROTEIN', NULL, NULL, NULL, 15),
(186631, NULL, 'PTHR11915:SF429', NULL, NULL, NULL, NULL, 'ALPHA-ACTININ-2', NULL, NULL, NULL, 15),
(186632, NULL, 'PTHR10315:SF86', NULL, NULL, NULL, NULL, 'OS01G0125100 PROTEIN', NULL, NULL, NULL, 15),
(186633, NULL, 'PTHR24418:SF295', NULL, NULL, NULL, NULL, 'ACTIVATED CDC42 KINASE-LIKE', NULL, NULL, NULL, 15),
(186634, NULL, 'PTHR11669:SF52', NULL, NULL, NULL, NULL, 'OS10G0574500 PROTEIN', NULL, NULL, NULL, 15),
(186635, NULL, 'PTHR34408:SF1', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(186636, NULL, 'PTHR10201:SF155', NULL, NULL, NULL, NULL, 'PROTEIN CBG23191', NULL, NULL, NULL, 15),
(186637, NULL, 'PTHR31446:SF22', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE/VANADIUM-DEPENDENT HALOPEROXIDASE-RELATED PROTEIN', NULL, NULL, NULL, 15),
(186638, NULL, 'PTHR20920:SF6', NULL, NULL, NULL, NULL, 'SI:DKEY-178E17.3', NULL, NULL, NULL, 15),
(186639, NULL, 'PTHR46296', NULL, NULL, NULL, NULL, 'BNAA05G37250D PROTEIN', NULL, NULL, 36678, 15),
(186640, NULL, 'PTHR10615', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(186641, NULL, 'PTHR22957:SF444', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186642, NULL, 'PTHR13890:SF44', NULL, NULL, NULL, NULL, 'BNAC04G29360D PROTEIN', NULL, NULL, NULL, 15),
(186643, NULL, 'PTHR10615:SF13', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN UBI-D4', NULL, NULL, NULL, 15),
(186644, NULL, 'PTHR47461:SF6', NULL, NULL, NULL, NULL, 'BNAA02G10560D PROTEIN', NULL, NULL, NULL, 15),
(186645, NULL, 'PTHR47243', NULL, NULL, NULL, NULL, 'SIALOADHESIN', NULL, NULL, NULL, 15),
(186646, NULL, 'PTHR13145:SF2', NULL, NULL, NULL, NULL, 'OS08G0100400 PROTEIN', NULL, NULL, NULL, 15),
(186647, NULL, 'PTHR23402:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG19464', NULL, NULL, NULL, 15),
(186648, NULL, 'PTHR12533:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR FACTOR OF ACTIVATED T-CELLS, CYTOPLASMIC 3', NULL, NULL, NULL, 15),
(186649, NULL, 'PTHR26452:SF248', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 12', NULL, NULL, NULL, 15),
(186650, NULL, 'PTHR22941:SF19', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(186651, NULL, 'PTHR12322:SF100', NULL, NULL, NULL, NULL, 'PROTEIN DOUBLESEX', NULL, NULL, NULL, 15),
(186652, NULL, 'PTHR18966:SF519', NULL, NULL, NULL, NULL, 'SI:CH211-251B21.1', NULL, NULL, NULL, 15),
(186653, NULL, 'PTHR11260:SF503', NULL, NULL, NULL, NULL, 'GLUTATHIONE TRANSFERASE29', NULL, NULL, NULL, 15),
(186654, NULL, 'PTHR10992:SF1002', NULL, NULL, NULL, NULL, 'ESTERASE PIR7A-RELATED', NULL, NULL, NULL, 15),
(186655, NULL, 'PTHR11206:SF304', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(186656, NULL, 'PTHR44419:SF13', NULL, NULL, NULL, NULL, 'NADPH-PROTOCHLOROPHYLLIDE OXIDOREDUCTASE', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186657, NULL, 'PTHR32141:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186658, NULL, 'PTHR11442:SF42', NULL, NULL, NULL, NULL, 'HEMOGLOBIN SUBUNIT BETA', NULL, NULL, NULL, 15),
(186659, NULL, 'PTHR23023:SF226', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(186660, NULL, 'PTHR24064:SF525', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER 1-2', NULL, NULL, NULL, 15),
(186661, NULL, 'PTHR12378:SF63', NULL, NULL, NULL, NULL, 'BNAA08G03660D PROTEIN', NULL, NULL, NULL, 15),
(186662, NULL, 'PTHR11709:SF288', NULL, NULL, NULL, NULL, 'L-ASCORBATE OXIDASE HOMOLOG', NULL, NULL, NULL, 15),
(186663, NULL, 'PTHR46809:SF7', NULL, NULL, NULL, NULL, 'MIR MOTIF, GLYCOSYLTRANSFERASE 39-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186664, NULL, 'PTHR12307:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186665, NULL, 'PTHR10797:SF7', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 3-RELATED', NULL, NULL, NULL, 15),
(186666, NULL, 'PTHR31895:SF23', NULL, NULL, NULL, NULL, 'PROTEIN CBG02724', NULL, NULL, NULL, 15),
(186667, NULL, 'PTHR32080:SF53', NULL, NULL, NULL, NULL, 'GNK2-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186668, NULL, 'PTHR47251:SF1', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G04180)-RELATED', NULL, NULL, NULL, 15),
(186669, NULL, 'PTHR31945:SF62', NULL, NULL, NULL, NULL, 'BNAC08G40490D PROTEIN', NULL, NULL, NULL, 15),
(186670, NULL, 'PTHR10736:SF31', NULL, NULL, NULL, NULL, 'BESTROPHIN HOMOLOG 14', NULL, NULL, NULL, 15),
(186671, NULL, 'PTHR31415:SF74', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT (LEA) HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(186672, NULL, 'PTHR34733', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186673, NULL, 'PTHR24414:SF92', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN', NULL, NULL, NULL, 15),
(186674, NULL, 'PTHR48018:SF131', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8J2', NULL, NULL, NULL, 15),
(186675, NULL, 'PTHR37771', NULL, NULL, NULL, NULL, 'OS02G0593400 PROTEIN', NULL, NULL, NULL, 15),
(186676, NULL, 'PTHR23315:SF239', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(186677, NULL, 'PTHR46814:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186678, NULL, 'PTHR46778', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE INHIBITOR 1-RELATED', NULL, NULL, 24623, 15),
(186679, NULL, 'PTHR31396:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM163B', NULL, NULL, NULL, 15),
(186680, NULL, 'PTHR36795', NULL, NULL, NULL, NULL, 'OS01G0938400 PROTEIN', NULL, NULL, NULL, 15),
(186681, NULL, 'PTHR23430:SF37', NULL, NULL, NULL, NULL, 'CORE HISTONE MACRO-H2A.2', NULL, NULL, NULL, 15),
(186682, NULL, 'PTHR46374:SF2', NULL, NULL, NULL, NULL, 'STAR-RELATED LIPID TRANSFER PROTEIN 6', NULL, NULL, NULL, 15),
(186683, NULL, 'PTHR11711:SF339', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR D1A-RELATED', NULL, NULL, NULL, 15),
(186684, NULL, 'PTHR45799:SF2', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(186685, NULL, 'PTHR24278:SF30', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE GAMMA-CARBOXYGLUTAMIC ACID PROTEIN 2', NULL, NULL, NULL, 15),
(186686, NULL, 'PTHR23074:SF19', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A1', NULL, NULL, NULL, 15),
(186687, NULL, 'PTHR48107:SF7', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALDEHYDE REDUCTASE-LIKE PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(186688, NULL, 'PTHR10797:SF60', NULL, NULL, NULL, NULL, 'CCR4-ASSOCIATED FACTOR 1 HOMOLOG 9-RELATED', NULL, NULL, NULL, 15),
(186689, NULL, 'PTHR22792:SF137', NULL, NULL, NULL, NULL, 'LA-RELATED PROTEIN 6B', NULL, NULL, NULL, 15),
(186690, NULL, 'PTHR43825:SF1', NULL, NULL, NULL, NULL, 'TRANSKETOLASE C-TERMINAL SECTION-RELATED', NULL, NULL, NULL, 15),
(186691, NULL, 'PTHR46828:SF2', NULL, NULL, NULL, NULL, 'ENDO-1,4-BETA-XYLANASE A-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186692, NULL, 'PTHR45763:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186693, NULL, 'PTHR33755:SF4', NULL, NULL, NULL, NULL, 'GLL1910 PROTEIN', NULL, NULL, NULL, 15),
(186694, NULL, 'PTHR31929:SF129', NULL, NULL, NULL, NULL, 'AUXIN-INDUCED PROTEIN 15A-LIKE', NULL, NULL, NULL, 15),
(186695, NULL, 'PTHR47924:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186696, NULL, 'PTHR10795:SF724', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT5.3', NULL, NULL, NULL, 15),
(186697, NULL, 'PTHR43795:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186698, NULL, 'PTHR13847:SF260', NULL, NULL, NULL, NULL, 'FAD DEPENDENT OXIDOREDUCTASE SUPERFAMILY (AFU_ORTHOLOGUE AFUA_8G05850)', NULL, NULL, NULL, 15),
(186699, NULL, 'PTHR33870:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186700, NULL, 'PTHR17271:SF9', NULL, NULL, NULL, NULL, 'MYOSIN PHOSPHATASE RHO-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(186701, NULL, 'PTHR10972:SF53', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(186702, NULL, 'PTHR31920:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186703, NULL, 'PTHR33490:SF1', NULL, NULL, NULL, NULL, 'SLL1233 PROTEIN', NULL, NULL, NULL, 15),
(186704, NULL, 'PTHR34048:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186705, NULL, 'PTHR45631:SF87', NULL, NULL, NULL, NULL, 'BNAC02G17040D PROTEIN', NULL, NULL, NULL, 15),
(186706, NULL, 'PTHR32266:SF11', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE', NULL, NULL, NULL, 15),
(186707, NULL, 'PTHR18860:SF107', NULL, NULL, NULL, NULL, '14-3-3-LIKE PROTEIN 16R-RELATED', NULL, NULL, NULL, 15),
(186708, NULL, 'PTHR31062:SF241', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(186709, NULL, 'PTHR31048:SF114', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED THAUMATIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(186710, NULL, 'PTHR43810:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG06177', NULL, NULL, NULL, 15),
(186711, NULL, 'PTHR46396:SF1', NULL, NULL, NULL, NULL, 'PROTEIN O-LINKED-MANNOSE BETA-1,2-N-ACETYLGLUCOSAMINYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(186712, NULL, 'PTHR31922', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 215', NULL, NULL, 27061, 15),
(186713, NULL, 'PTHR48104:SF33', NULL, NULL, NULL, NULL, 'ZINC FINGER, LSD1-TYPE, CASPASE-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186714, NULL, 'PTHR47015:SF2', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY A MEMBER 5', NULL, NULL, NULL, 15),
(186715, NULL, 'PTHR10288:SF259', NULL, NULL, NULL, NULL, 'POLY(RC)-BINDING-LIKE PROTEIN', NULL, NULL, NULL, 15),
(186716, NULL, 'PTHR22811:SF141', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EMP24 DOMAIN-CONTAINING PROTEIN P24BETA3-LIKE', NULL, NULL, NULL, 15),
(186717, NULL, 'PTHR24241:SF74', NULL, NULL, NULL, NULL, 'ARGININE VASOPRESSIN RECEPTOR 2 (NEPHROGENIC DIABETES INSIPIDUS), GENE 2', NULL, NULL, NULL, 15),
(186718, NULL, 'PTHR45958:SF15', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(186719, NULL, 'PTHR33070:SF93', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186720, NULL, 'PTHR43952:SF35', NULL, NULL, NULL, NULL, 'PROTEIN RADIALIS-LIKE 1', NULL, NULL, NULL, 15),
(186721, NULL, 'PTHR35607', NULL, NULL, NULL, NULL, 'GPI-ANCHORED PROTEIN 10', NULL, NULL, NULL, 15),
(186722, NULL, 'PTHR23024:SF424', NULL, NULL, NULL, NULL, 'SI:DKEY-193C22.1', NULL, NULL, NULL, 15),
(186723, NULL, 'PTHR30540:SF10', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 8', NULL, NULL, NULL, 15),
(186724, NULL, 'PTHR36890:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CYCLOPS', NULL, NULL, NULL, 15),
(186725, NULL, 'PTHR10641:SF1252', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186726, NULL, 'PTHR18896:SF162', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(186727, NULL, 'PTHR36978:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186728, NULL, 'PTHR18945:SF856', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID RECEPTOR SUBUNIT BETA', NULL, NULL, NULL, 15),
(186729, NULL, 'PTHR23226:SF67', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN WITH KRAB AND SCAN DOMAINS 4', NULL, NULL, NULL, 15),
(186730, NULL, 'PTHR12011', NULL, NULL, NULL, NULL, 'ADHESION G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(186731, NULL, 'PTHR24061:SF506', NULL, NULL, NULL, NULL, 'SI:CH1073-155H21.1', NULL, NULL, NULL, 15),
(186732, NULL, 'PTHR45699:SF8', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', NULL, NULL, NULL, 15),
(186733, NULL, 'PTHR45881:SF3', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN K2', NULL, NULL, NULL, 15),
(186734, NULL, 'PTHR10992:SF1022', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186735, NULL, 'PTHR47000:SF3', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(186736, NULL, 'PTHR31673:SF9', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(186737, NULL, 'PTHR47649:SF1', NULL, NULL, NULL, NULL, 'RIBONUCLEASE D', NULL, NULL, NULL, 15),
(186738, NULL, 'PTHR11829:SF211', NULL, NULL, NULL, NULL, 'GENE 5294-RELATED', NULL, NULL, NULL, 15),
(186739, NULL, 'PTHR36540', NULL, NULL, NULL, NULL, 'PYRIMIDINE/PURINE NUCLEOSIDE PHOSPHORYLASE', NULL, NULL, 11906, 15),
(186740, NULL, 'PTHR35613', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186741, NULL, 'PTHR23048', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN 1, 3', NULL, NULL, NULL, 15),
(186742, NULL, 'PTHR45752:SF97', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186743, NULL, 'PTHR31636:SF23', NULL, NULL, NULL, NULL, 'OSJNBA0086O06.18 PROTEIN', NULL, NULL, NULL, 15),
(186744, NULL, 'PTHR23050:SF314', NULL, NULL, NULL, NULL, 'AT10229P-RELATED', NULL, NULL, NULL, 15),
(186745, NULL, 'PTHR10656:SF48', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 102', NULL, NULL, 22728, 15),
(186746, NULL, 'PTHR24123:SF66', NULL, NULL, NULL, NULL, 'PROTEIN HOS4', NULL, NULL, NULL, 15),
(186747, NULL, 'PTHR31923:SF22', NULL, NULL, NULL, NULL, 'OS01G0766600 PROTEIN', NULL, NULL, NULL, 15),
(186748, NULL, 'PTHR37207', NULL, NULL, NULL, NULL, 'OS09G0446000 PROTEIN', NULL, NULL, NULL, 15),
(186749, NULL, 'PTHR13524:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186750, NULL, 'PTHR48053:SF29', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', NULL, NULL, NULL, 15),
(186751, NULL, 'PTHR11783:SF229', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(186752, NULL, 'PTHR43165:SF1', NULL, NULL, NULL, NULL, 'PHOSPHODIESTERASE MJ0936', NULL, NULL, NULL, 15),
(186753, NULL, 'PTHR23244:SF457', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186754, NULL, 'PTHR11926:SF1144', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(186755, NULL, 'PTHR21580:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186756, NULL, 'PTHR45830:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS I', NULL, NULL, NULL, 15),
(186757, NULL, 'PTHR12386:SF27', NULL, NULL, NULL, NULL, 'COPIA-LIKE RETROELEMENT POL POLYPROTEIN', NULL, NULL, NULL, 15),
(186758, NULL, 'PTHR10783:SF103', NULL, NULL, NULL, NULL, 'PHOSPHATE TRANSPORTER PHO1', NULL, NULL, NULL, 15),
(186759, NULL, 'PTHR33172:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186760, NULL, 'PTHR11732:SF476', NULL, NULL, NULL, NULL, 'PROTEIN CBG20740', NULL, NULL, NULL, 15),
(186761, NULL, 'PTHR43134:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186762, NULL, 'PTHR31238:SF186', NULL, NULL, NULL, NULL, 'BNAA01G22650D PROTEIN', NULL, NULL, NULL, 15),
(186763, NULL, 'PTHR48049:SF37', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 73B4-RELATED', NULL, NULL, NULL, 15),
(186764, NULL, 'PTHR46632:SF27', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186765, NULL, 'PTHR23430:SF277', NULL, NULL, NULL, NULL, 'HISTONE H2A.3-RELATED', NULL, NULL, NULL, 15),
(186766, NULL, 'PTHR24026', NULL, NULL, NULL, NULL, 'FAT ATYPICAL CADHERIN-RELATED', NULL, NULL, NULL, 15),
(186767, NULL, 'PTHR12374:SF47', NULL, NULL, NULL, NULL, 'MYB-LIKE DNA-BINDING DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(186768, NULL, 'PTHR45786:SF43', NULL, NULL, NULL, NULL, 'BNACNNG11690D PROTEIN', NULL, NULL, NULL, 15),
(186769, NULL, 'PTHR24407:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186770, NULL, 'PTHR31421:SF7', NULL, NULL, NULL, NULL, 'PROTEIN BASIC PENTACYSTEINE5', NULL, NULL, NULL, 15),
(186771, NULL, 'PTHR41710:SF2', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 39', NULL, NULL, NULL, 15),
(186772, NULL, 'PTHR11206:SF275', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 31', NULL, NULL, NULL, 15),
(186773, NULL, 'PTHR36774', NULL, NULL, NULL, NULL, 'INSULIN-INDUCED PROTEIN', NULL, NULL, NULL, 15),
(186774, NULL, 'PTHR33377:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186775, NULL, 'PTHR23430:SF220', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 3', NULL, NULL, NULL, 15),
(186776, NULL, 'PTHR46888:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186777, NULL, 'PTHR48248', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186778, NULL, 'PTHR31496:SF18', NULL, NULL, NULL, NULL, 'OS02G0696900 PROTEIN', NULL, NULL, NULL, 15),
(186779, NULL, 'PTHR47327:SF8', NULL, NULL, NULL, NULL, 'FI17836P1', NULL, NULL, NULL, 15),
(186780, NULL, 'PTHR10353:SF260', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 1', NULL, NULL, NULL, 15),
(186781, NULL, 'PTHR12861:SF3', NULL, NULL, NULL, NULL, 'TRANSLOCON-ASSOCIATED PROTEIN SUBUNIT BETA', NULL, NULL, NULL, 15),
(186782, NULL, 'PTHR31543:SF0', NULL, NULL, NULL, NULL, 'DYNEIN REGULATORY COMPLEX SUBUNIT 4', NULL, NULL, NULL, 15),
(186783, NULL, 'PTHR36649:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186784, NULL, 'PTHR11417:SF5', NULL, NULL, NULL, NULL, 'PROLACTIN', NULL, NULL, NULL, 15),
(186785, NULL, 'PTHR35035:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186786, NULL, 'PTHR34208:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186787, NULL, 'PTHR12296:SF21', NULL, NULL, NULL, NULL, 'DENN DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(186788, NULL, 'PTHR42782:SF2', NULL, NULL, NULL, NULL, 'SI:CH73-314G15.3', NULL, NULL, NULL, 15),
(186789, NULL, 'PTHR34807:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186790, NULL, 'PTHR28591:SF1', NULL, NULL, NULL, NULL, 'LATEXIN', NULL, NULL, NULL, 15),
(186791, NULL, 'PTHR12616:SF11', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 41 HOMOLOG', NULL, NULL, NULL, 15),
(186792, NULL, 'PTHR15074:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186793, NULL, 'PTHR23315:SF98', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 40', NULL, NULL, NULL, 15),
(186794, NULL, 'PTHR10003:SF84', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN]', NULL, NULL, NULL, 15),
(186795, NULL, 'PTHR48030:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186796, NULL, 'PTHR31020:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 174', NULL, NULL, NULL, 15),
(186797, NULL, 'PTHR46641:SF14', NULL, NULL, NULL, NULL, 'FMRFAMIDE PEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(186798, NULL, 'PTHR31182:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186799, NULL, 'PTHR12449:SF22', NULL, NULL, NULL, NULL, 'NUCLEOLAR PROTEIN 4-LIKE PROTEIN', NULL, NULL, NULL, 15),
(186800, NULL, 'PTHR18966:SF429', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(186801, NULL, 'PTHR47926:SF13', NULL, NULL, NULL, NULL, 'BNAC07G31310D PROTEIN', NULL, NULL, NULL, 15),
(186802, NULL, 'PTHR34998:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(186803, NULL, 'PTHR12357:SF81', NULL, NULL, NULL, NULL, 'EVOLUTIONARILY CONSERVED C-TERMINAL REGION 7', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186804, NULL, 'PTHR23501:SF165', NULL, NULL, NULL, NULL, 'MULTIDRUG TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G00940)-RELATED', NULL, NULL, NULL, 15),
(186805, NULL, 'PTHR47895:SF2', NULL, NULL, NULL, NULL, 'CYSTEINE AND HISTIDINE-RICH DOMAIN-CONTAINING PROTEIN RAR1', NULL, NULL, NULL, 15),
(186806, NULL, 'PTHR22298:SF151', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(186807, NULL, 'PTHR30519:SF27', NULL, NULL, NULL, NULL, 'COBALAMIN-INDEPENDENT METHIONINE SYNTHASE METE-RELATED', NULL, NULL, NULL, 15),
(186808, NULL, 'PTHR21523:SF12', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', NULL, NULL, NULL, 15),
(186809, NULL, 'PTHR24326:SF535', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-6', NULL, NULL, NULL, 15),
(186810, NULL, 'PTHR46542:SF3', NULL, NULL, NULL, NULL, 'X-BOX-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(186811, NULL, 'PTHR41910', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE 2 MEMBRANE SUBUNIT SDHC', NULL, NULL, 34014, 15),
(186812, NULL, 'PTHR11767:SF16', NULL, NULL, NULL, NULL, 'G PROTEIN-ACTIVATED INWARD RECTIFIER POTASSIUM CHANNEL 1', NULL, NULL, NULL, 15),
(186813, NULL, 'PTHR34222:SF43', NULL, NULL, NULL, NULL, 'GAG-POLYPEPTIDE OF LTR COPIA-TYPE-RELATED', NULL, NULL, NULL, 15),
(186814, NULL, 'PTHR19316', NULL, NULL, NULL, NULL, 'PROTEIN FOLDING REGULATOR', NULL, NULL, NULL, 15),
(186815, NULL, 'PTHR26379:SF341', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186816, NULL, 'PTHR15160:SF3', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL NUCLEASE 1', NULL, NULL, NULL, 15),
(186817, NULL, 'PTHR31384:SF21', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 19', NULL, NULL, NULL, 15),
(186818, NULL, 'PTHR31495:SF1', NULL, NULL, NULL, NULL, 'INACTIVE PEROXYGENASE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186819, NULL, 'PTHR12400:SF89', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE MULTIKINASE', NULL, NULL, NULL, 15),
(186820, NULL, 'PTHR48083:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186821, NULL, 'PTHR38137', NULL, NULL, NULL, NULL, 'PRC-BARREL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(186822, NULL, 'PTHR33057:SF91', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP8', NULL, NULL, NULL, 15),
(186823, NULL, 'PTHR43003', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE', NULL, NULL, NULL, 15),
(186824, NULL, 'PTHR34055:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186825, NULL, 'PTHR32063:SF69', NULL, NULL, NULL, NULL, 'RND SUPERFAMILY EFFLUX PUMP PERMEASE COMPONENT 2', NULL, NULL, NULL, 15),
(186826, NULL, 'PTHR13407:SF2', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 175', NULL, NULL, NULL, 15),
(186827, NULL, 'PTHR12396:SF38', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(186828, NULL, 'PTHR24230:SF84', NULL, NULL, NULL, NULL, 'UROTENSIN 2 RECEPTOR 2', NULL, NULL, NULL, 15),
(186829, NULL, 'PTHR46133:SF24', NULL, NULL, NULL, NULL, 'BHLH DOMAIN CLASS TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(186830, NULL, 'PTHR27008:SF402', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186831, NULL, 'PTHR12242:SF32', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(186832, NULL, 'PTHR15510', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 8', NULL, NULL, 25777, 15),
(186833, NULL, 'PTHR43157:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186834, NULL, 'PTHR33052:SF2', NULL, NULL, NULL, NULL, 'OS06G0700300 PROTEIN', NULL, NULL, NULL, 15),
(186835, NULL, 'PTHR21354', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35957, 15),
(186836, NULL, 'PTHR33108:SF13', NULL, NULL, NULL, NULL, 'DUF1677 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(186837, NULL, 'PTHR20766:SF1', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 43 MEMBER 2B', NULL, NULL, NULL, 15),
(186838, NULL, 'PTHR46002:SF5', NULL, NULL, NULL, NULL, 'EG:114D9.1 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186839, NULL, 'PTHR46449:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM47E', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186840, NULL, 'PTHR34378:SF5', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE', NULL, NULL, NULL, 15),
(186841, NULL, 'PTHR21712:SF29', NULL, NULL, NULL, NULL, 'PRE-RRNA-PROCESSING PROTEIN FHL1', NULL, NULL, NULL, 15),
(186842, NULL, 'PTHR45614:SF138', NULL, NULL, NULL, NULL, 'OS01G0850400 PROTEIN', NULL, NULL, NULL, 15),
(186843, NULL, 'PTHR10497:SF13', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L27', NULL, NULL, NULL, 15),
(186844, NULL, 'PTHR33021:SF331', NULL, NULL, NULL, NULL, 'CUPREDOXIN, BLUE (TYPE 1) COPPER PROTEIN, BINDING SITE-RELATED', NULL, NULL, NULL, 15),
(186845, NULL, 'PTHR12320:SF50', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(186846, NULL, 'PTHR11850:SF261', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 5', NULL, NULL, NULL, 15),
(186847, NULL, 'PTHR23262:SF198', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 1-3', NULL, NULL, NULL, 15),
(186848, NULL, 'PTHR22603', NULL, NULL, NULL, NULL, 'CHOLINE/ETHANOALAMINE KINASE', NULL, NULL, NULL, 15),
(186849, NULL, 'PTHR31650:SF1', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE (WSD1-LIKE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(186850, NULL, 'PTHR31080:SF178', NULL, NULL, NULL, NULL, 'PLANT INVERTASE/PECTIN METHYLESTERASE INHIBITOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186851, NULL, 'PTHR12341:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186852, NULL, 'PTHR45651:SF78', NULL, NULL, NULL, NULL, 'BNACNNG45430D PROTEIN', NULL, NULL, NULL, 15),
(186853, NULL, 'PTHR23155:SF982', NULL, NULL, NULL, NULL, 'NBS-LRR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(186854, NULL, 'PTHR21180:SF32', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(186855, NULL, 'PTHR33085:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186856, NULL, 'PTHR33207:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186857, NULL, 'PTHR22574', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(186858, NULL, 'PTHR13902:SF114', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK4', NULL, NULL, NULL, 15),
(186859, NULL, 'PTHR11473:SF23', NULL, NULL, NULL, NULL, 'TRYPTOPHAN 5-HYDROXYLASE 1', NULL, NULL, NULL, 15),
(186860, NULL, 'PTHR11202:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ENABLED HOMOLOG', NULL, NULL, NULL, 15),
(186861, NULL, 'PTHR47481', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186862, NULL, 'PTHR24271:SF61', NULL, NULL, NULL, NULL, 'INACTIVE SERINE PROTEASE 37-RELATED', NULL, NULL, NULL, 15),
(186863, NULL, 'PTHR43354:SF2', NULL, NULL, NULL, NULL, 'MEDIUM-CHAIN-FATTY-ACID--COA LIGASE', NULL, NULL, NULL, 15),
(186864, NULL, 'PTHR31642:SF263', NULL, NULL, NULL, NULL, 'AGMATINE COUMAROYLTRANSFERASE-1-LIKE', NULL, NULL, NULL, 15),
(186865, NULL, 'PTHR24281:SF203', NULL, NULL, NULL, NULL, 'CYTOCHROME 82C4', NULL, NULL, NULL, 15),
(186866, NULL, 'PTHR22621', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(186867, NULL, 'PTHR32467:SF168', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(186868, NULL, 'PTHR24281:SF134', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71A1-LIKE', NULL, NULL, NULL, 15),
(186869, NULL, 'PTHR31794:SF4', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX TRANSPORTER FAMILY PROTEIN (EUROFUNG)', NULL, NULL, NULL, 15),
(186870, NULL, 'PTHR12192:SF19', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLCYCLOTRANSFERASE 2-1', NULL, NULL, NULL, 15),
(186871, NULL, 'PTHR15045', NULL, NULL, NULL, NULL, 'FUCOSE-1-PHOSPHATE GUANYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(186872, NULL, 'PTHR42829:SF1', NULL, NULL, NULL, NULL, 'NADH-QUINONE OXIDOREDUCTASE SUBUNIT 5-RELATED', NULL, NULL, NULL, 15),
(186873, NULL, 'PTHR32093:SF134', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', NULL, NULL, NULL, 15),
(186874, NULL, 'PTHR42907:SF1', NULL, NULL, NULL, NULL, 'FMN-LINKED OXIDOREDUCTASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186875, NULL, 'PTHR10722:SF30', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', NULL, NULL, NULL, 15),
(186876, NULL, 'PTHR31807:SF38', NULL, NULL, NULL, NULL, 'QWRF MOTIF-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(186877, NULL, 'PTHR15076:SF4', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN XG', NULL, NULL, NULL, 15),
(186878, NULL, 'PTHR37184:SF4', NULL, NULL, NULL, NULL, 'CLAVATA3/ESR (CLE)-RELATED PROTEIN 43', NULL, NULL, NULL, 15),
(186879, NULL, 'PTHR11226:SF3', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE:GLYCOPROTEIN GLUCOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(186880, NULL, 'PTHR11615:SF318', NULL, NULL, NULL, NULL, 'CASPARIAN STRIP MEMBRANE PROTEIN 4', NULL, NULL, NULL, 15),
(186881, NULL, 'PTHR10728:SF56', NULL, NULL, NULL, NULL, 'MEIOTIC PHOSPHOLIPASE SPO1-RELATED', NULL, NULL, NULL, 15),
(186882, NULL, 'PTHR11849:SF290', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186883, NULL, 'PTHR46519:SF5', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(186884, NULL, 'PTHR10159:SF515', NULL, NULL, NULL, NULL, 'MAP KINASE PHOSPHATASE WITH LEUCINE-RICH REPEATS PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(186885, NULL, 'PTHR11709:SF311', NULL, NULL, NULL, NULL, 'MULTI-COPPER OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(186886, NULL, 'PTHR10048:SF105', NULL, NULL, NULL, NULL, 'BNAC06G04220D PROTEIN', NULL, NULL, NULL, 15),
(186887, NULL, 'PTHR24034:SF104', NULL, NULL, NULL, NULL, 'PROLOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(186888, NULL, 'PTHR44742:SF5', NULL, NULL, NULL, NULL, '24-METHYLENESTEROL C-METHYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(186889, NULL, 'PTHR43721:SF24', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR TU', NULL, NULL, NULL, 15),
(186890, NULL, 'PTHR10794:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186891, NULL, 'PTHR21325:SF28', NULL, NULL, NULL, NULL, 'PROTEIN CBG12154', NULL, NULL, NULL, 15),
(186892, NULL, 'PTHR36394', NULL, NULL, NULL, NULL, 'OS01G0277700 PROTEIN', NULL, NULL, NULL, 15),
(186893, NULL, 'PTHR10579:SF113', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE WAVH1', NULL, NULL, NULL, 15),
(186894, NULL, 'PTHR13038:SF17', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 9', NULL, NULL, NULL, 15),
(186895, NULL, 'PTHR21499:SF29', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL ASPARTOKINASE/HOMOSERINE DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(186896, NULL, 'PTHR12411:SF387', NULL, NULL, NULL, NULL, 'PROBABLE THIOL PROTEASE-RELATED', NULL, NULL, NULL, 15),
(186897, NULL, 'PTHR43490:SF80', NULL, NULL, NULL, NULL, '(+)-NEOMENTHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(186898, NULL, 'PTHR23070:SF102', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PROTEIN-LIKE CONTAINS SIMILARITY TO AAA-TYPE ATPASE', NULL, NULL, NULL, 15),
(186899, NULL, 'PTHR48002:SF1', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4F21-RELATED', NULL, NULL, NULL, 15),
(186900, NULL, 'PTHR31442:SF31', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186901, NULL, 'PTHR24421:SF23', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION HISTIDINE-PROTEIN KINASE/PHOSPHATASE DEGS', NULL, NULL, NULL, 15),
(186902, NULL, 'PTHR43706:SF13', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(186903, NULL, 'PTHR12378:SF48', NULL, NULL, NULL, NULL, 'PUTATIVE THIOL PEPTIDASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186904, NULL, 'PTHR35100:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186905, NULL, 'PTHR10108:SF1103', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT9-RELATED', NULL, NULL, NULL, 15),
(186906, NULL, 'PTHR24320:SF212', NULL, NULL, NULL, NULL, 'BNAC04G53630D PROTEIN', NULL, NULL, NULL, 15),
(186907, NULL, 'PTHR24153:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186908, NULL, 'PTHR13817:SF52', NULL, NULL, NULL, NULL, 'ROUNDABOUT GUIDANCE RECEPTOR 1', NULL, NULL, NULL, 15),
(186909, NULL, 'PTHR22835:SF503', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186910, NULL, 'PTHR24068:SF346', NULL, NULL, NULL, NULL, 'BNAA01G32320D PROTEIN', NULL, NULL, NULL, 15),
(186911, NULL, 'PTHR46199:SF2', NULL, NULL, NULL, NULL, 'SI:CH1073-416J23.1', NULL, NULL, NULL, 15),
(186912, NULL, 'PTHR43811:SF30', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(186913, NULL, 'PTHR31739:SF4', NULL, NULL, NULL, NULL, 'ENT-COPALYL DIPHOSPHATE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(186914, NULL, 'PTHR10641:SF1203', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN MYB4-LIKE', NULL, NULL, NULL, 15),
(186915, NULL, 'PTHR24282:SF176', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(186916, NULL, 'PTHR43272:SF69', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA SYNTHETASE A', NULL, NULL, NULL, 15),
(186917, NULL, 'PTHR24282:SF185', NULL, NULL, NULL, NULL, 'BNAA06G03010D PROTEIN', NULL, NULL, NULL, 15),
(186918, NULL, 'PTHR24363', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(186919, NULL, 'PTHR21292', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT SEC6-RELATED', NULL, NULL, 8984, 15),
(186920, NULL, 'PTHR31181:SF71', NULL, NULL, NULL, NULL, 'BNAC06G05010D PROTEIN', NULL, NULL, NULL, 15),
(186921, NULL, 'PTHR24131:SF8', NULL, NULL, NULL, NULL, 'APOPTOSIS-STIMULATING OF P53 PROTEIN 2', NULL, NULL, NULL, 15),
(186922, NULL, 'PTHR44090:SF1', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 61', NULL, NULL, NULL, 15),
(186923, NULL, 'PTHR43029:SF2', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 3 MEMBER 2', NULL, NULL, NULL, 15),
(186924, NULL, 'PTHR31391:SF103', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN LOC_OS12G40080-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(186925, NULL, 'PTHR33975:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(186926, NULL, 'PTHR45815:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG11768', NULL, NULL, NULL, 15),
(186927, NULL, 'PTHR30457:SF13', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03660)-RELATED', NULL, NULL, NULL, 15),
(186928, NULL, 'PTHR43671:SF69', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE, ERK3/4-RELATED', NULL, NULL, NULL, 15),
(186929, NULL, 'PTHR14972:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186930, NULL, 'PTHR24403:SF54', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 592', NULL, NULL, NULL, 15),
(186931, NULL, 'PTHR48056:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186932, NULL, 'PTHR32161', NULL, NULL, NULL, NULL, 'DPP6 N-TERMINAL DOMAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(186933, NULL, 'PTHR19302:SF33', NULL, NULL, NULL, NULL, 'GAMMA-TUBULIN COMPLEX COMPONENT 5', NULL, NULL, NULL, 15),
(186934, NULL, 'PTHR22762:SF141', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186935, NULL, 'PTHR43591:SF14', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(186936, NULL, 'PTHR10271:SF23', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN WITH TETRATRICOPEPTIDE REPEATS 1', NULL, NULL, NULL, 15),
(186937, NULL, 'PTHR31080:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186938, NULL, 'PTHR11654:SF377', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186939, NULL, 'PTHR33505:SF5', NULL, NULL, NULL, NULL, 'PROTEIN PREY, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(186940, NULL, 'PTHR13878:SF121', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 4', NULL, NULL, NULL, 15),
(186941, NULL, 'PTHR47926:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186942, NULL, 'PTHR11616:SF231', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PROLINE TRANSPORTER', NULL, NULL, NULL, 15),
(186943, NULL, 'PTHR22952:SF407', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186944, NULL, 'PTHR13817:SF68', NULL, NULL, NULL, NULL, 'DOWN SYNDROME CELL ADHESION MOLECULE HOMOLOG', NULL, NULL, NULL, 15),
(186945, NULL, 'PTHR33353:SF4', NULL, NULL, NULL, NULL, 'FUNGAL CELLULOSE BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186946, NULL, 'PTHR42748:SF4', NULL, NULL, NULL, NULL, 'NMRA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(186947, NULL, 'PTHR43537:SF33', NULL, NULL, NULL, NULL, 'GNTR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(186948, NULL, 'PTHR16223:SF248', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH112', NULL, NULL, NULL, 15),
(186949, NULL, 'PTHR10841:SF20', NULL, NULL, NULL, NULL, 'SYNAPSIN-2', NULL, NULL, 23177, 15),
(186950, NULL, 'PTHR13479:SF61', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S18, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(186951, NULL, 'PTHR10972:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186952, NULL, 'PTHR13044:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186953, NULL, 'PTHR43655:SF21', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZINC METALLOPROTEASE FTSH 8, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(186954, NULL, 'PTHR14095:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG18998', NULL, NULL, NULL, 15),
(186955, NULL, 'PTHR41324', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(186956, NULL, 'PTHR48035:SF2', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN 1', NULL, NULL, NULL, 15),
(186957, NULL, 'PTHR12898:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 24', NULL, NULL, NULL, 15),
(186958, NULL, 'PTHR46106', NULL, NULL, NULL, NULL, 'IA-2 PROTEIN TYROSINE PHOSPHATASE, ISOFORM C', NULL, NULL, 34962, 15),
(186959, NULL, 'PTHR46225:SF16', NULL, NULL, NULL, NULL, 'BNAA10G10110D PROTEIN', NULL, NULL, NULL, 15),
(186960, NULL, 'PTHR31839:SF59', NULL, NULL, NULL, NULL, 'BNAANNG34260D PROTEIN', NULL, NULL, NULL, 15),
(186961, NULL, 'PTHR47932:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186962, NULL, 'PTHR24089:SF677', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN P-LIKE', NULL, NULL, NULL, 15),
(186963, NULL, 'PTHR37258', NULL, NULL, NULL, NULL, 'FANTOM PROTEIN', NULL, NULL, NULL, 15),
(186964, NULL, 'PTHR12999', NULL, NULL, NULL, NULL, 'ZINC FINGER RAN-BINDING DOMAIN-CONTAINING PROTEIN 2 ZRANB2-RELATED', NULL, NULL, NULL, 15),
(186965, NULL, 'PTHR45631:SF52', NULL, NULL, NULL, NULL, 'BNAC03G59870D PROTEIN', NULL, NULL, NULL, 15),
(186966, NULL, 'PTHR31906:SF25', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 8, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(186967, NULL, 'PTHR27009:SF248', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(186968, NULL, 'PTHR30085', NULL, NULL, NULL, NULL, 'AMINO ACID ABC TRANSPORTER PERMEASE', NULL, NULL, NULL, 15),
(186969, NULL, 'PTHR17149:SF4', NULL, NULL, NULL, NULL, 'RH17958P', NULL, NULL, NULL, 15),
(186970, NULL, 'PTHR12801:SF59', NULL, NULL, NULL, NULL, 'INTERFERON-STIMULATED GENE 20 KDA PROTEIN', NULL, NULL, NULL, 15),
(186971, NULL, 'PTHR32227:SF94', NULL, NULL, NULL, NULL, 'BETA 1,3-GLUCANASE', NULL, NULL, NULL, 15),
(186972, NULL, 'PTHR36054', NULL, NULL, NULL, NULL, 'PROTEIN SICKLE', NULL, NULL, 35534, 15),
(186973, NULL, 'PTHR12537:SF141', NULL, NULL, NULL, NULL, 'OS01G0844800 PROTEIN', NULL, NULL, NULL, 15),
(186974, NULL, 'PTHR16064:SF5', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(186975, NULL, 'PTHR45991', NULL, NULL, NULL, NULL, 'PACHYTENE CHECKPOINT PROTEIN 2', NULL, NULL, 37322, 15),
(186976, NULL, 'PTHR31096:SF15', NULL, NULL, NULL, NULL, 'OS08G0515400 PROTEIN', NULL, NULL, NULL, 15),
(186977, NULL, 'PTHR22042:SF3', NULL, NULL, NULL, NULL, 'SIMILAR TO HYPOTHETICAL PROTEIN A530094D01', NULL, NULL, NULL, 15),
(186978, NULL, 'PTHR39586', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, 5932, 15),
(186979, NULL, 'PTHR12420', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN', NULL, NULL, NULL, 15),
(186980, NULL, 'PTHR33021:SF393', NULL, NULL, NULL, NULL, 'OS08G0138100 PROTEIN', NULL, NULL, NULL, 15),
(186981, NULL, 'PTHR45980:SF14', NULL, NULL, NULL, NULL, 'DEGP PROTEASE 9-RELATED', NULL, NULL, NULL, 15),
(186982, NULL, 'PTHR31311:SF31', NULL, NULL, NULL, NULL, 'BNAUNNG01300D PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(186983, NULL, 'PTHR12300:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186984, NULL, 'PTHR24340:SF72', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-2.6', NULL, NULL, NULL, 15),
(186985, NULL, 'PTHR31066:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186986, NULL, 'PTHR40028', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR CTSR', NULL, NULL, 12388, 15),
(186987, NULL, 'PTHR44170', NULL, NULL, NULL, NULL, 'PROTEIN SIDEKICK', NULL, NULL, NULL, 15),
(186988, NULL, 'PTHR10811:SF83', NULL, NULL, NULL, NULL, 'BNAA10G03350D PROTEIN', NULL, NULL, NULL, 15),
(186989, NULL, 'PTHR24177:SF321', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN', NULL, NULL, NULL, 15),
(186990, NULL, 'PTHR46147:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ASH1', NULL, NULL, NULL, 15),
(186991, NULL, 'PTHR45678:SF7', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING MITOCHONDRIAL CARRIER PROTEIN ARALAR1', NULL, NULL, NULL, 15),
(186992, NULL, 'PTHR13878:SF109', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186993, NULL, 'PTHR24302:SF15', NULL, NULL, NULL, NULL, 'FATTY-ACID PEROXYGENASE', NULL, NULL, NULL, 15),
(186994, NULL, 'PTHR31213:SF80', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 10', NULL, NULL, NULL, 15),
(186995, NULL, 'PTHR24377:SF780', NULL, NULL, NULL, NULL, 'RIKEN CDNA 9030612M13', NULL, NULL, NULL, 15),
(186996, NULL, 'PTHR10579:SF140', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(186997, NULL, 'PTHR19918:SF3', NULL, NULL, NULL, NULL, 'CELL DIVISION CYCLE PROTEIN 20 HOMOLOG', NULL, NULL, NULL, 15),
(186998, NULL, 'PTHR34222:SF51', NULL, NULL, NULL, NULL, 'CATALYTIC REGION, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(186999, NULL, 'PTHR37341:SF1', NULL, NULL, NULL, NULL, 'PROTEIN INCA1', NULL, NULL, NULL, 15),
(187000, NULL, 'PTHR33221', NULL, NULL, NULL, NULL, 'WINGED HELIX-TURN-HELIX TRANSCRIPTIONAL REGULATOR, RRF2 FAMILY', NULL, NULL, 157, 15),
(187001, NULL, 'PTHR14499:SF7', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN KCTD11', NULL, NULL, NULL, 15),
(187002, NULL, 'PTHR13140:SF787', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(187003, NULL, 'PTHR47934:SF4', NULL, NULL, NULL, NULL, 'OS08G0191900 PROTEIN', NULL, NULL, NULL, 15),
(187004, NULL, 'PTHR37221:SF1', NULL, NULL, NULL, NULL, 'OS02G0582400 PROTEIN', NULL, NULL, NULL, 15),
(187005, NULL, 'PTHR21029:SF21', NULL, NULL, NULL, NULL, 'R-SEVEN BINDING PROTEIN (R7BP) HOMOLOG', NULL, NULL, NULL, 15),
(187006, NULL, 'PTHR45994', NULL, NULL, NULL, NULL, 'FI21225P1', NULL, NULL, NULL, 15),
(187007, NULL, 'PTHR35274:SF9', NULL, NULL, NULL, NULL, 'BNAA09G27270D PROTEIN', NULL, NULL, NULL, 15),
(187008, NULL, 'PTHR10489:SF930', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-X-C MOTIF) RECEPTOR 1', NULL, NULL, NULL, 15),
(187009, NULL, 'PTHR23030:SF38', NULL, NULL, NULL, NULL, 'BNAANNG23740D PROTEIN', NULL, NULL, NULL, 15),
(187010, NULL, 'PTHR33018:SF14', NULL, NULL, NULL, NULL, 'OS10G0338966 PROTEIN', NULL, NULL, NULL, 15),
(187011, NULL, 'PTHR44083:SF40', NULL, NULL, NULL, NULL, 'OS11G0590100 PROTEIN', NULL, NULL, NULL, 15),
(187012, NULL, 'PTHR19960:SF12', NULL, NULL, NULL, NULL, 'MAFF-INTERACTING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187013, NULL, 'PTHR11252', NULL, NULL, NULL, NULL, 'POLYRIBONUCLEOTIDE NUCLEOTIDYLTRANSFERASE', NULL, NULL, 7500, 15),
(187014, NULL, 'PTHR47738:SF1', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(187015, NULL, 'PTHR36398', NULL, NULL, NULL, NULL, 'PLASMA MEMBRANE FUSION PROTEIN', NULL, NULL, NULL, 15),
(187016, NULL, 'PTHR14987:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187017, NULL, 'PTHR31639:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187018, NULL, 'PTHR33434', NULL, NULL, NULL, NULL, 'DEGV DOMAIN-CONTAINING PROTEIN DR_1986-RELATED', NULL, NULL, NULL, 15),
(187019, NULL, 'PTHR31790:SF108', NULL, NULL, NULL, NULL, 'BNAC03G65820D PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187020, NULL, 'PTHR47928:SF97', NULL, NULL, NULL, NULL, 'OS03G0635000 PROTEIN', NULL, NULL, NULL, 15),
(187021, NULL, 'PTHR33214:SF45', NULL, NULL, NULL, NULL, 'BNAANNG26930D PROTEIN', NULL, NULL, NULL, 15),
(187022, NULL, 'PTHR34055:SF14', NULL, NULL, NULL, NULL, 'BNAC04G48140D PROTEIN', NULL, NULL, NULL, 15),
(187023, NULL, 'PTHR23320:SF5', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 10', NULL, NULL, NULL, 15),
(187024, NULL, 'PTHR33739:SF3', NULL, NULL, NULL, NULL, 'OS07G0681500 PROTEIN', NULL, NULL, NULL, 15),
(187025, NULL, 'PTHR11945:SF185', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL23-RELATED', NULL, NULL, NULL, 15),
(187026, NULL, 'PTHR23310:SF51', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING DOMAIN-CONTAINING PROTEIN 7', NULL, NULL, NULL, 15),
(187027, NULL, 'PTHR24637:SF311', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(187028, NULL, 'PTHR34964:SF4', NULL, NULL, NULL, NULL, 'OS12G0182000 PROTEIN', NULL, NULL, NULL, 15),
(187029, NULL, 'PTHR11922:SF4', NULL, NULL, NULL, NULL, 'GMP SYNTHASE (GLUTAMINE-HYDROLYZING), PUTATIVE / GLUTAMINE AMIDOTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187030, NULL, 'PTHR19854:SF1', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN SUBUNIT BETA-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(187031, NULL, 'PTHR12601:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187032, NULL, 'PTHR24028:SF111', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-5', NULL, NULL, NULL, 15),
(187033, NULL, 'PTHR21100:SF9', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 4', NULL, NULL, NULL, 15),
(187034, NULL, 'PTHR13116:SF6', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(187035, NULL, 'PTHR44845:SF6', NULL, NULL, NULL, NULL, 'N-(5-AMINO-5-CARBOXYPENTANOYL)-L-CYSTEINYL-D-VALINE SYNTHASE', NULL, NULL, NULL, 15),
(187036, NULL, 'PTHR23189:SF101', NULL, NULL, NULL, NULL, 'PROTEIN NRD1', NULL, NULL, NULL, 15),
(187037, NULL, 'PTHR11757', NULL, NULL, NULL, NULL, 'PROTEASE FAMILY S9A OLIGOPEPTIDASE', NULL, NULL, NULL, 15),
(187038, NULL, 'PTHR31221:SF216', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 50-RELATED', NULL, NULL, NULL, 15),
(187039, NULL, 'PTHR46153:SF9', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(187040, NULL, 'PTHR23299:SF24', NULL, NULL, NULL, NULL, 'METALLOTHIONEIN-2', NULL, NULL, NULL, 15),
(187041, NULL, 'PTHR47519:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(187042, NULL, 'PTHR47571:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 3-3', NULL, NULL, NULL, 15),
(187043, NULL, 'PTHR47958:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187044, NULL, 'PTHR43341:SF19', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC PERMEASE', NULL, NULL, NULL, 15),
(187045, NULL, 'PTHR27002:SF853', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RLK (RECEPTOR-LIKE KINASE) PROTEIN', NULL, NULL, NULL, 15),
(187046, NULL, 'PTHR36066', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH145', NULL, NULL, 35678, 15),
(187047, NULL, 'PTHR21089:SF26', NULL, NULL, NULL, NULL, 'AROM POLYPEPTIDE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187048, NULL, 'PTHR45878:SF10', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPARENT TESTA 1-LIKE', NULL, NULL, NULL, 15),
(187049, NULL, 'PTHR23017:SF7', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(187050, NULL, 'PTHR31191', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN CEP126', NULL, NULL, 23893, 15),
(187051, NULL, 'PTHR47926:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187052, NULL, 'PTHR23152:SF23', NULL, NULL, NULL, NULL, 'OS07G0695800 PROTEIN', NULL, NULL, NULL, 15),
(187053, NULL, 'PTHR20973:SF1', NULL, NULL, NULL, NULL, 'BNAANNG27900D PROTEIN', NULL, NULL, NULL, 15),
(187054, NULL, 'PTHR45889:SF7', NULL, NULL, NULL, NULL, 'CELL ADHESION MOLECULE 2B', NULL, NULL, NULL, 15),
(187055, NULL, 'PTHR28293', NULL, NULL, NULL, NULL, 'NUCLEAR RIM PROTEIN 1', NULL, NULL, 20295, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187056, NULL, 'PTHR31374:SF208', NULL, NULL, NULL, NULL, 'SAUR33-AUXIN-RESPONSIVE SAUR FAMILY MEMBER', NULL, NULL, NULL, 15),
(187057, NULL, 'PTHR46810', NULL, NULL, NULL, NULL, 'INACTIVE POLYGLYCYLASE TTLL10', NULL, NULL, 26242, 15),
(187058, NULL, 'PTHR22100', NULL, NULL, NULL, NULL, 'WINGS APART-LIKE PROTEIN HOMOLOG', NULL, NULL, 34738, 15),
(187059, NULL, 'PTHR45974:SF182', NULL, NULL, NULL, NULL, 'OS03G0329700 PROTEIN', NULL, NULL, NULL, 15),
(187060, NULL, 'PTHR31362:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187061, NULL, 'PTHR31357:SF15', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-13', NULL, NULL, NULL, 15),
(187062, NULL, 'PTHR11627:SF66', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(187063, NULL, 'PTHR48092:SF14', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP H MEMBER 4', NULL, NULL, NULL, 15),
(187064, NULL, 'PTHR47376:SF3', NULL, NULL, NULL, NULL, 'BNAA04G27870D PROTEIN', NULL, NULL, NULL, 15),
(187065, NULL, 'PTHR33788:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187066, NULL, 'PTHR31734:SF165', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(187067, NULL, 'PTHR12411:SF716', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE CP14', NULL, NULL, NULL, 15),
(187068, NULL, 'PTHR47926:SF101', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187069, NULL, 'PTHR31676:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187070, NULL, 'PTHR39559:SF1', NULL, NULL, NULL, NULL, 'ISOCITRATE DEHYDROGENASE KINASE/PHOSPHATASE', NULL, NULL, NULL, 15),
(187071, NULL, 'PTHR24221:SF569', NULL, NULL, NULL, NULL, 'HALF TRANSPORTER (PGP RELATED)', NULL, NULL, NULL, 15),
(187072, NULL, 'PTHR38463', NULL, NULL, NULL, NULL, 'STRESS RESPONSE PROTEIN YSNF', NULL, NULL, NULL, 15),
(187073, NULL, 'PTHR10353:SF267', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE 24', NULL, NULL, NULL, 15),
(187074, NULL, 'PTHR32227:SF327', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE-LIKE', NULL, NULL, NULL, 15),
(187075, NULL, 'PTHR32370:SF132', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY4-LIKE', NULL, NULL, NULL, 15),
(187076, NULL, 'PTHR44337:SF10', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 18', NULL, NULL, NULL, 15),
(187077, NULL, 'PTHR31882:SF2', NULL, NULL, NULL, NULL, 'TNFAIP3-INTERACTING PROTEIN 3', NULL, NULL, 34313, 15),
(187078, NULL, 'PTHR24015:SF1844', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187079, NULL, 'PTHR22691:SF11', NULL, NULL, NULL, NULL, 'PROTEIN SPT2 HOMOLOG', NULL, NULL, NULL, 15),
(187080, NULL, 'PTHR38218:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187081, NULL, 'PTHR36069:SF4', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(187082, NULL, 'PTHR24173:SF16', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 24', NULL, NULL, NULL, 15),
(187083, NULL, 'PTHR28579', NULL, NULL, NULL, NULL, 'ANAPHASE-PROMOTING COMPLEX SUBUNIT CDC26', NULL, NULL, 21458, 15),
(187084, NULL, 'PTHR32153:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187085, NULL, 'PTHR11237:SF4', NULL, NULL, NULL, NULL, '5-DEMETHOXYUBIQUINONE HYDROXYLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(187086, NULL, 'PTHR14787:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187087, NULL, 'PTHR10151:SF120', NULL, NULL, NULL, NULL, 'ALKALINE-PHOSPHATASE-LIKE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(187088, NULL, 'PTHR13703:SF28', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 6', NULL, NULL, NULL, 15),
(187089, NULL, 'PTHR15114', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A3', NULL, NULL, NULL, 15),
(187090, NULL, 'PTHR31901:SF81', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE GH3 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(187091, NULL, 'PTHR24092:SF37', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187092, NULL, 'PTHR37192:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(187093, NULL, 'PTHR31062:SF120', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(187094, NULL, 'PTHR44376:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR LEUNIG-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(187095, NULL, 'PTHR20854:SF25', NULL, NULL, NULL, NULL, 'INOSITOL-1-MONOPHOSPHATASE', NULL, NULL, NULL, 15),
(187096, NULL, 'PTHR45759:SF5', NULL, NULL, NULL, NULL, 'BNACNNG63300D PROTEIN', NULL, NULL, NULL, 15),
(187097, NULL, 'PTHR22726:SF18', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(187098, NULL, 'PTHR12203:SF35', NULL, NULL, NULL, NULL, 'F10K1.7 PROTEIN', NULL, NULL, NULL, 15),
(187099, NULL, 'PTHR45081:SF1', NULL, NULL, NULL, NULL, 'EF HAND FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(187100, NULL, 'PTHR43666', NULL, NULL, NULL, NULL, 'TLDD PROTEIN', NULL, NULL, NULL, 15),
(187101, NULL, 'PTHR46033:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187102, NULL, 'PTHR35471', NULL, NULL, NULL, NULL, 'OS07G0223700 PROTEIN', NULL, NULL, NULL, 15),
(187103, NULL, 'PTHR12483:SF8', NULL, NULL, NULL, NULL, 'LOW AFFINITY COPPER UPTAKE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(187104, NULL, 'PTHR36751:SF1', NULL, NULL, NULL, NULL, 'F3E22.8 PROTEIN', NULL, NULL, NULL, 15),
(187105, NULL, 'PTHR47804:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(187106, NULL, 'PTHR23086:SF112', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 5-KINASE', NULL, NULL, NULL, 15),
(187107, NULL, 'PTHR31208:SF12', NULL, NULL, NULL, NULL, 'BNAC06G03720D PROTEIN', NULL, NULL, NULL, 15),
(187108, NULL, 'PTHR46151:SF28', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(187109, NULL, 'PTHR43874:SF146', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR3 ISOFORM X1', NULL, NULL, NULL, 15),
(187110, NULL, 'PTHR31218:SF237', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(187111, NULL, 'PTHR24416:SF17', NULL, NULL, NULL, NULL, 'EPHRIN TYPE-A RECEPTOR 5', NULL, NULL, NULL, 15),
(187112, NULL, 'PTHR31636:SF184', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187113, NULL, 'PTHR48108:SF9', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX1, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(187114, NULL, 'PTHR42801:SF8', NULL, NULL, NULL, NULL, 'PEROXIREDOXIN RV1608C-RELATED', NULL, NULL, NULL, 15),
(187115, NULL, 'PTHR23430:SF56', NULL, NULL, NULL, NULL, 'HISTONE H2A TYPE 1-D', NULL, NULL, NULL, 15),
(187116, NULL, 'PTHR24015:SF1853', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187117, NULL, 'PTHR24247:SF191', NULL, NULL, NULL, NULL, 'MUSCARINIC ACETYLCHOLINE RECEPTOR, B-TYPE, ISOFORM A', NULL, NULL, NULL, 15),
(187118, NULL, 'PTHR33095:SF82', NULL, NULL, NULL, NULL, 'BNAC06G31430D PROTEIN', NULL, NULL, NULL, 15),
(187119, NULL, 'PTHR46758:SF11', NULL, NULL, NULL, NULL, 'ZINC FINGER, MYND-TYPE, TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187120, NULL, 'PTHR21562:SF57', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(187121, NULL, 'PTHR47591', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT2-RELATED', NULL, NULL, NULL, 15),
(187122, NULL, 'PTHR22941:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(187123, NULL, 'PTHR18929:SF198', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE', NULL, NULL, NULL, 15),
(187124, NULL, 'PTHR23155:SF990', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(187125, NULL, 'PTHR47967:SF65', NULL, NULL, NULL, NULL, 'EUKARYOTIC ASPARTYL PROTEASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(187126, NULL, 'PTHR10578:SF123', NULL, NULL, NULL, NULL, 'PEROXISOMAL (S)-2-HYDROXY-ACID OXIDASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187127, NULL, 'PTHR31692:SF4', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE A1-RELATED', NULL, NULL, NULL, 15),
(187128, NULL, 'PTHR31378:SF39', NULL, NULL, NULL, NULL, 'EGF-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(187129, NULL, 'PTHR10510:SF14', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A3, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(187130, NULL, 'PTHR23023:SF213', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE FMO GS-OX-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(187131, NULL, 'PTHR43441', NULL, NULL, NULL, NULL, 'RIBOSOMAL-PROTEIN-SERINE ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(187132, NULL, 'PTHR13690:SF126', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RF2B-LIKE', NULL, NULL, NULL, 15),
(187133, NULL, 'PTHR46287:SF16', NULL, NULL, NULL, NULL, 'BNAA06G37740D PROTEIN', NULL, NULL, NULL, 15),
(187134, NULL, 'PTHR24323:SF8', NULL, NULL, NULL, NULL, 'CONE-ROD HOMEOBOX, OPPOSITE STRAND', NULL, NULL, NULL, 15),
(187135, NULL, 'PTHR45621:SF64', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-KINASE CX32, RELATED PROTEIN', NULL, NULL, NULL, 15),
(187136, NULL, 'PTHR46128:SF190', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187137, NULL, 'PTHR24115:SF918', NULL, NULL, NULL, NULL, 'KINESIN MOTOR DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187138, NULL, 'PTHR14368:SF7', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED BASIC PROTEIN 1', NULL, NULL, NULL, 15),
(187139, NULL, 'PTHR11863:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187140, NULL, 'PTHR12794:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SINE2', NULL, NULL, NULL, 15),
(187141, NULL, 'PTHR45181:SF6', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN, ZINC FINGER, CCHC-TYPE, TETRATRICOPEPTIDE-LIKE HELICAL DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187142, NULL, 'PTHR31917:SF104', NULL, NULL, NULL, NULL, 'AGENET-LIKE DOMAIN, AGENET DOMAIN, PLANT TYPE-RELATED', NULL, NULL, NULL, 15),
(187143, NULL, 'PTHR48125:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187144, NULL, 'PTHR11618:SF63', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIB-2', NULL, NULL, NULL, 15),
(187145, NULL, 'PTHR11214:SF282', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 2-RELATED', NULL, NULL, NULL, 15),
(187146, NULL, 'PTHR43563', NULL, NULL, NULL, NULL, 'AMINE OXIDASE', NULL, NULL, NULL, 15),
(187147, NULL, 'PTHR42786:SF2', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE/URIDINE-2''-O-)-METHYLTRANSFERASE TRMJ', NULL, NULL, NULL, 15),
(187148, NULL, 'PTHR48065:SF9', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE GSO1', NULL, NULL, NULL, 15),
(187149, NULL, 'PTHR39697', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187150, NULL, 'PTHR15286', NULL, NULL, NULL, NULL, 'RAS-ASSOCIATING DOMAIN CONTAINING PROTEIN', NULL, NULL, 29385, 15),
(187151, NULL, 'PTHR43710:SF5', NULL, NULL, NULL, NULL, 'INDOLEPYRUVATE OXIDOREDUCTASE SUBUNIT IORA', NULL, NULL, NULL, 15),
(187152, NULL, 'PTHR32285:SF196', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE-LIKE 39', NULL, NULL, NULL, 15),
(187153, NULL, 'PTHR33103:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187154, NULL, 'PTHR10570:SF8', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD3 GAMMA CHAIN', NULL, NULL, NULL, 15),
(187155, NULL, 'PTHR43176:SF18', NULL, NULL, NULL, NULL, 'BNAA05G12590D PROTEIN', NULL, NULL, NULL, 15),
(187156, NULL, 'PTHR47967:SF70', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE CDR1-LIKE', NULL, NULL, NULL, 15),
(187157, NULL, 'PTHR24381:SF129', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 875', NULL, NULL, NULL, 15),
(187158, NULL, 'PTHR26453:SF166', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2L3', NULL, NULL, NULL, 15),
(187159, NULL, 'PTHR47966:SF24', NULL, NULL, NULL, NULL, 'RENIN', NULL, NULL, NULL, 15),
(187160, NULL, 'PTHR47997:SF35', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB61', NULL, NULL, NULL, 15),
(187161, NULL, 'PTHR36687', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 37122, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187162, NULL, 'PTHR23267:SF349', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND IMMUNOGLOBULIN DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(187163, NULL, 'PTHR14155:SF545', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL6-LIKE', NULL, NULL, NULL, 15),
(187164, NULL, 'PTHR28678:SF1', NULL, NULL, NULL, NULL, 'CODANIN-1', NULL, NULL, NULL, 15),
(187165, NULL, 'PTHR47127:SF6', NULL, NULL, NULL, NULL, '10A19I.15', NULL, NULL, NULL, 15),
(187166, NULL, 'PTHR33210:SF25', NULL, NULL, NULL, NULL, 'PROTODERMAL FACTOR 1', NULL, NULL, NULL, 15),
(187167, NULL, 'PTHR24408:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187168, NULL, 'PTHR13344:SF2', NULL, NULL, NULL, NULL, 'CHCH-RELATED', NULL, NULL, NULL, 15),
(187169, NULL, 'PTHR23236:SF75', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(187170, NULL, 'PTHR43142:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G09070)-RELATED', NULL, NULL, NULL, 15),
(187171, NULL, 'PTHR10332:SF71', NULL, NULL, NULL, NULL, 'BNACNNG04420D PROTEIN', NULL, NULL, NULL, 15),
(187172, NULL, 'PTHR42898:SF70', NULL, NULL, NULL, NULL, 'BNACNNG23860D PROTEIN', NULL, NULL, NULL, 15),
(187173, NULL, 'PTHR31707:SF296', NULL, NULL, NULL, NULL, 'OS11G0677400 PROTEIN', NULL, NULL, NULL, 15),
(187174, NULL, 'PTHR12537:SF62', NULL, NULL, NULL, NULL, 'OS04G0201200 PROTEIN', NULL, NULL, NULL, 15),
(187175, NULL, 'PTHR32153:SF53', NULL, NULL, NULL, NULL, 'BNAANNG28410D PROTEIN', NULL, NULL, NULL, 15),
(187176, NULL, 'PTHR37339', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 29', NULL, NULL, NULL, 15),
(187177, NULL, 'PTHR12210:SF126', NULL, NULL, NULL, NULL, 'CTD SMALL PHOSPHATASE-LIKE PROTEIN 2-A-RELATED', NULL, NULL, NULL, 15),
(187178, NULL, 'PTHR10353:SF256', NULL, NULL, NULL, NULL, 'BNAA06G01540D PROTEIN', NULL, NULL, NULL, 15),
(187179, NULL, 'PTHR13373', NULL, NULL, NULL, NULL, 'FROUNT PROTEIN-RELATED', NULL, NULL, 12710, 15),
(187180, NULL, 'PTHR13697:SF55', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(187181, NULL, 'PTHR36733:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187182, NULL, 'PTHR46128', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GROUP I INTRON SPLICING FACTOR CCM1', NULL, NULL, NULL, 15),
(187183, NULL, 'PTHR43349:SF58', NULL, NULL, NULL, NULL, 'LEUCOANTHOCYANIDIN REDUCTASE-LIKE', NULL, NULL, NULL, 15),
(187184, NULL, 'PTHR11005:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187185, NULL, 'PTHR45635:SF33', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(187186, NULL, 'PTHR27004:SF382', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN, PLANT-TYPE-RELATED', NULL, NULL, NULL, 15),
(187187, NULL, 'PTHR10369:SF35', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36A', NULL, NULL, NULL, 15),
(187188, NULL, 'PTHR45666', NULL, NULL, NULL, NULL, 'TYPE IV INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 9', NULL, NULL, 38832, 15),
(187189, NULL, 'PTHR15919', NULL, NULL, NULL, NULL, 'DAPPER-RELATED', NULL, NULL, 16048, 15),
(187190, NULL, 'PTHR31052:SF16', NULL, NULL, NULL, NULL, 'COBRA-LIKE PROTEIN 10', NULL, NULL, NULL, 15),
(187191, NULL, 'PTHR38620', NULL, NULL, NULL, NULL, 'PROTEIN CBG07292-RELATED', NULL, NULL, NULL, 15),
(187192, NULL, 'PTHR45644:SF43', NULL, NULL, NULL, NULL, 'OS01G0226400 PROTEIN', NULL, NULL, NULL, 15),
(187193, NULL, 'PTHR13809:SF14', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-14-RELATED', NULL, NULL, NULL, 15),
(187194, NULL, 'PTHR21461:SF63', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(187195, NULL, 'PTHR11596:SF43', NULL, NULL, NULL, NULL, 'INTESTINAL-TYPE ALKALINE PHOSPHATASE', NULL, NULL, NULL, 15),
(187196, NULL, 'PTHR17530', NULL, NULL, NULL, NULL, 'PRO-THYROTROPIN-RELEASING HORMONE', NULL, NULL, NULL, 15),
(187197, NULL, 'PTHR31147:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187198, NULL, 'PTHR11785:SF238', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 7 MEMBER 13', NULL, NULL, NULL, 15),
(187199, NULL, 'PTHR14731:SF0', NULL, NULL, NULL, NULL, 'BRAIN AND ACUTE LEUKEMIA CYTOPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(187200, NULL, 'PTHR11003:SF110', NULL, NULL, NULL, NULL, 'TWIK FAMILY OF POTASSIUM CHANNELS', NULL, NULL, NULL, 15),
(187201, NULL, 'PTHR11771:SF126', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE 1', NULL, NULL, NULL, 15),
(187202, NULL, 'PTHR23199:SF13', NULL, NULL, NULL, NULL, 'PROTEIN SPAETZLE 3', NULL, NULL, NULL, 15),
(187203, NULL, 'PTHR12714:SF21', NULL, NULL, NULL, NULL, 'S-ISOPRENYLCYSTEINE O-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(187204, NULL, 'PTHR31579:SF59', NULL, NULL, NULL, NULL, 'BNAC01G20890D PROTEIN', NULL, NULL, NULL, 15),
(187205, NULL, 'PTHR32046:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187206, NULL, 'PTHR33167:SF23', NULL, NULL, NULL, NULL, 'F16A14.15', NULL, NULL, NULL, 15),
(187207, NULL, 'PTHR31396', NULL, NULL, NULL, NULL, 'PROTEIN FAM163B MEMBER', NULL, NULL, 34647, 15),
(187208, NULL, 'PTHR24006:SF835', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 16', NULL, NULL, NULL, 15),
(187209, NULL, 'PTHR11905:SF20', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 8', NULL, NULL, NULL, 15),
(187210, NULL, 'PTHR23008', NULL, NULL, NULL, NULL, 'CHROMOSOME 28 C10ORF62 HOMOLOG', NULL, NULL, 33743, 15),
(187211, NULL, 'PTHR24347:SF225', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC SERINE/THREONINE-PROTEIN KINASE MEK1', NULL, NULL, NULL, 15),
(187212, NULL, 'PTHR31339:SF75', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187213, NULL, 'PTHR45644', NULL, NULL, NULL, NULL, 'AAA ATPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G12920)-RELATED-RELATED', NULL, NULL, NULL, 15),
(187214, NULL, 'PTHR31213:SF26', NULL, NULL, NULL, NULL, 'OS12G0555100 PROTEIN', NULL, NULL, NULL, 15),
(187215, NULL, 'PTHR46192:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN AT74H', NULL, NULL, NULL, 15),
(187216, NULL, 'PTHR47928:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187217, NULL, 'PTHR33389:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187218, NULL, 'PTHR22765:SF256', NULL, NULL, NULL, NULL, 'EGF-LIKE CALCIUM-BINDING DOMAIN, PA DOMAIN, THIOREDOXIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187219, NULL, 'PTHR36173', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187220, NULL, 'PTHR13491', NULL, NULL, NULL, NULL, 'ZCCHC10 PROTEIN', NULL, NULL, 30774, 15),
(187221, NULL, 'PTHR22765:SF162', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL3', NULL, NULL, NULL, 15),
(187222, NULL, 'PTHR12271:SF36', NULL, NULL, NULL, NULL, 'RNA POLYMERASE I', NULL, NULL, NULL, 15),
(187223, NULL, 'PTHR42842:SF3', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-BINDING OXIDOREDUCTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(187224, NULL, 'PTHR14511:SF17', NULL, NULL, NULL, NULL, 'G PROTEIN-COUPLED RECEPTOR, CLASS C, GROUP 5, MEMBER BB', NULL, NULL, NULL, 15),
(187225, NULL, 'PTHR23293:SF9', NULL, NULL, NULL, NULL, 'FAD SYNTHASE', NULL, NULL, NULL, 15),
(187226, NULL, 'PTHR31238:SF154', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(187227, NULL, 'PTHR28047', NULL, NULL, NULL, NULL, 'PROTEIN DCG1', NULL, NULL, NULL, 15),
(187228, NULL, 'PTHR40021:SF1', NULL, NULL, NULL, NULL, 'DEFECT AT LOW TEMPERATURE PROTEIN 1', NULL, NULL, NULL, 15),
(187229, NULL, 'PTHR28207:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT H, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(187230, NULL, 'PTHR10963:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187231, NULL, 'PTHR15065:SF8', NULL, NULL, NULL, NULL, 'INSULINOMA-ASSOCIATED PROTEIN 1A', NULL, NULL, NULL, 15),
(187232, NULL, 'PTHR10516:SF301', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP1A-RELATED', NULL, NULL, NULL, 15),
(187233, NULL, 'PTHR11132:SF357', NULL, NULL, NULL, NULL, 'UDP-XYLOSE TRANSPORTER 3', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187234, NULL, 'PTHR23226:SF10', NULL, NULL, NULL, NULL, 'ZINC FINGER AND SCAN DOMAIN-CONTAINING PROTEIN 21', NULL, NULL, NULL, 15),
(187235, NULL, 'PTHR35850:SF1', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187236, NULL, 'PTHR32116:SF89', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(187237, NULL, 'PTHR33156:SF57', NULL, NULL, NULL, NULL, 'BNAC03G58610D PROTEIN', NULL, NULL, NULL, 15),
(187238, NULL, 'PTHR31235:SF304', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(187239, NULL, 'PTHR13696:SF91', NULL, NULL, NULL, NULL, 'SLL5066 PROTEIN', NULL, NULL, NULL, 15),
(187240, NULL, 'PTHR20994:SF0', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(187241, NULL, 'PTHR43099:SF4', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187242, NULL, 'PTHR36341', NULL, NULL, NULL, NULL, 'DUF2996 FAMILY PROTEIN', NULL, NULL, 18405, 15),
(187243, NULL, 'PTHR14388:SF11', NULL, NULL, NULL, NULL, 'ZGC:100829-RELATED', NULL, NULL, NULL, 15),
(187244, NULL, 'PTHR11909:SF19', NULL, NULL, NULL, NULL, 'TAU-TUBULIN KINASE 2', NULL, NULL, NULL, 15),
(187245, NULL, 'PTHR33337:SF29', NULL, NULL, NULL, NULL, 'BLL4941 PROTEIN', NULL, NULL, NULL, 15),
(187246, NULL, 'PTHR38488', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE 9.5 KDA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G08980)-RELATED', NULL, NULL, 29624, 15),
(187247, NULL, 'PTHR21669:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187248, NULL, 'PTHR11964', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE SYNTHETASE', NULL, NULL, 5213, 15),
(187249, NULL, 'PTHR21700:SF7', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(187250, NULL, 'PTHR10109:SF0', NULL, NULL, NULL, NULL, 'MATRIX GLA PROTEIN', NULL, NULL, NULL, 15),
(187251, NULL, 'PTHR12215:SF15', NULL, NULL, NULL, NULL, '4''-PHOSPHOPANTETHEINYL TRANSFERASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187252, NULL, 'PTHR24298:SF389', NULL, NULL, NULL, NULL, 'B1340F09.15 PROTEIN', NULL, NULL, NULL, 15),
(187253, NULL, 'PTHR48002:SF84', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(187254, NULL, 'PTHR31232:SF51', NULL, NULL, NULL, NULL, 'PLANT SELF-INCOMPATIBILITY PROTEIN S1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(187255, NULL, 'PTHR33326:SF37', NULL, NULL, NULL, NULL, 'OS08G0495300 PROTEIN', NULL, NULL, NULL, 15),
(187256, NULL, 'PTHR10677:SF50', NULL, NULL, NULL, NULL, 'UBIQUITIN DOMAIN-CONTAINING PROTEIN DSK2A-RELATED', NULL, NULL, NULL, 15),
(187257, NULL, 'PTHR31170:SF13', NULL, NULL, NULL, NULL, 'BNAC04G53230D PROTEIN', NULL, NULL, NULL, 15),
(187258, NULL, 'PTHR11040:SF120', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP2', NULL, NULL, NULL, 15),
(187259, NULL, 'PTHR48019:SF93', NULL, NULL, NULL, NULL, 'SERUM RESPONSE FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(187260, NULL, 'PTHR10438:SF409', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(187261, NULL, 'PTHR45815:SF4', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE 2-3', NULL, NULL, NULL, 15),
(187262, NULL, 'PTHR24381:SF110', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 614', NULL, NULL, NULL, 15),
(187263, NULL, 'PTHR46691:SF10', NULL, NULL, NULL, NULL, 'BNAA05G13650D PROTEIN', NULL, NULL, NULL, 15),
(187264, NULL, 'PTHR47520:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG08818', NULL, NULL, NULL, 15),
(187265, NULL, 'PTHR36807:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187266, NULL, 'PTHR46260:SF2', NULL, NULL, NULL, NULL, 'KELCH DOMAIN-CONTAINING PROTEIN 8B', NULL, NULL, NULL, 15),
(187267, NULL, 'PTHR32019', NULL, NULL, NULL, NULL, 'R3H DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, 29208, 15),
(187268, NULL, 'PTHR19818', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZIC AND GLI', NULL, NULL, NULL, 15),
(187269, NULL, 'PTHR13703:SF50', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE CR929477-RELATED', NULL, NULL, NULL, 15),
(187270, NULL, 'PTHR47841:SF6', NULL, NULL, NULL, NULL, 'CYSTEINE/HISTIDINE-RICH C1 DOMAIN FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187271, NULL, 'PTHR16019:SF17', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187272, NULL, 'PTHR20842:SF0', NULL, NULL, NULL, NULL, 'SI:DKEY-69O16.5', NULL, NULL, NULL, 15),
(187273, NULL, 'PTHR31664:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01374', NULL, NULL, NULL, 15),
(187274, NULL, 'PTHR24039', NULL, NULL, NULL, NULL, 'FIBRILLIN-RELATED', NULL, NULL, NULL, 15),
(187275, NULL, 'PTHR33199', NULL, NULL, NULL, NULL, 'MACPF DOMAIN-CONTAINING PROTEIN CAD1', NULL, NULL, 38665, 15),
(187276, NULL, 'PTHR11481:SF89', NULL, NULL, NULL, NULL, 'LOW AFFINITY IMMUNOGLOBULIN GAMMA FC REGION RECEPTOR III', NULL, NULL, NULL, 15),
(187277, NULL, 'PTHR45944:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HIVEP2', NULL, NULL, NULL, 15),
(187278, NULL, 'PTHR43569:SF1', NULL, NULL, NULL, NULL, 'BLL3371 PROTEIN', NULL, NULL, NULL, 15),
(187279, NULL, 'PTHR45801:SF63', NULL, NULL, NULL, NULL, 'REGULATOR SUPERMAN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187280, NULL, 'PTHR14167:SF79', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187281, NULL, 'PTHR24377:SF679', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 563', NULL, NULL, NULL, 15),
(187282, NULL, 'PTHR47995:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187283, NULL, 'PTHR28118:SF1', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE 5''-TRIPHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(187284, NULL, 'PTHR24055:SF385', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE F-4', NULL, NULL, NULL, 15),
(187285, NULL, 'PTHR38502:SF1', NULL, NULL, NULL, NULL, 'OVEREXPRESSED IN COLON CARCINOMA 1 PROTEIN', NULL, NULL, NULL, 15),
(187286, NULL, 'PTHR10509:SF72', NULL, NULL, NULL, NULL, 'CAFFEOYL-COA O-METHYLTRANSFERASE 6', NULL, NULL, NULL, 15),
(187287, NULL, 'PTHR34535', NULL, NULL, NULL, NULL, 'HYDROGENASE MATURATION FACTOR HYPA', NULL, NULL, 6859, 15),
(187288, NULL, 'PTHR31790:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187289, NULL, 'PTHR46403:SF1', NULL, NULL, NULL, NULL, 'TP53-REGULATED INHIBITOR OF APOPTOSIS 1', NULL, NULL, NULL, 15),
(187290, NULL, 'PTHR43868:SF1', NULL, NULL, NULL, NULL, 'OS02G0711200 PROTEIN', NULL, NULL, NULL, 15),
(187291, NULL, 'PTHR12565:SF112', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH60', NULL, NULL, NULL, 15),
(187292, NULL, 'PTHR31731:SF20', NULL, NULL, NULL, NULL, '36.4 KDA PROLINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(187293, NULL, 'PTHR19143:SF380', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187294, NULL, 'PTHR48002:SF78', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(187295, NULL, 'PTHR10593:SF191', NULL, NULL, NULL, NULL, 'BNAA09G52630D PROTEIN', NULL, NULL, NULL, 15),
(187296, NULL, 'PTHR12370', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE B-RELATED', NULL, NULL, 6392, 15),
(187297, NULL, 'PTHR11771:SF122', NULL, NULL, NULL, NULL, 'LINOLEATE 9S-LIPOXYGENASE-4', NULL, NULL, NULL, 15),
(187298, NULL, 'PTHR31509:SF20', NULL, NULL, NULL, NULL, 'PROTEIN BPS1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(187299, NULL, 'PTHR24286:SF241', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187300, NULL, 'PTHR34199:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-79 SPECIFIC-LIKE PROTEIN', NULL, NULL, NULL, 15),
(187301, NULL, 'PTHR13328:SF5', NULL, NULL, NULL, NULL, 'LD28815P', NULL, NULL, 22097, 15),
(187302, NULL, 'PTHR34235', NULL, NULL, NULL, NULL, 'SLR1203 PROTEIN-RELATED', NULL, NULL, 2640, 15),
(187303, NULL, 'PTHR18914', NULL, NULL, NULL, NULL, 'ALPHA CATENIN', NULL, NULL, NULL, 15),
(187304, NULL, 'PTHR33345:SF4', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187305, NULL, 'PTHR33878:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187306, NULL, 'PTHR24112:SF49', NULL, NULL, NULL, NULL, 'NLR FAMILY PYRIN DOMAIN CONTAINING 11', NULL, NULL, NULL, 15),
(187307, NULL, 'PTHR43319:SF5', NULL, NULL, NULL, NULL, 'BETA-LACTAMASE DOMAIN CONTAINING', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187308, NULL, 'PTHR47991:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187309, NULL, 'PTHR46265:SF13', NULL, NULL, NULL, NULL, 'BNAC08G11680D PROTEIN', NULL, NULL, NULL, 15),
(187310, NULL, 'PTHR43380:SF4', NULL, NULL, NULL, NULL, '2-OXOISOVALERATE DEHYDROGENASE SUBUNIT ALPHA 1, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(187311, NULL, 'PTHR11926:SF1406', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187312, NULL, 'PTHR15326', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 2/TAMOZHENNIC', NULL, NULL, NULL, 15),
(187313, NULL, 'PTHR31625:SF61', NULL, NULL, NULL, NULL, 'ANTHOCYANIN 5-AROMATIC ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(187314, NULL, 'PTHR24240:SF90', NULL, NULL, NULL, NULL, 'RPE-RETINAL G PROTEIN-COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(187315, NULL, 'PTHR32019:SF2', NULL, NULL, NULL, NULL, 'R3H DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(187316, NULL, 'PTHR23428:SF162', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 1-D', NULL, NULL, NULL, 15),
(187317, NULL, 'PTHR35011', NULL, NULL, NULL, NULL, '2,3-DIKETO-L-GULONATE TRAP TRANSPORTER SMALL PERMEASE PROTEIN YIAM', NULL, NULL, 6069, 15),
(187318, NULL, 'PTHR47928:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187319, NULL, 'PTHR19343:SF13', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 21', NULL, NULL, NULL, 15),
(187320, NULL, 'PTHR35317:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187321, NULL, 'PTHR13353', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 19', NULL, NULL, 4606, 15),
(187322, NULL, 'PTHR10217:SF506', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY H MEMBER 2', NULL, NULL, NULL, 15),
(187323, NULL, 'PTHR38480:SF1', NULL, NULL, NULL, NULL, 'SLR0254 PROTEIN', NULL, NULL, NULL, 15),
(187324, NULL, 'PTHR45908:SF20', NULL, NULL, NULL, NULL, 'PROTEIN CBG02522', NULL, NULL, NULL, 15),
(187325, NULL, 'PTHR24028:SF1', NULL, NULL, NULL, NULL, 'CADHERIN-16', NULL, NULL, 27828, 15),
(187326, NULL, 'PTHR46339:SF11', NULL, NULL, NULL, NULL, 'KUNITZ-TYPE PROTEIN BLI-5-RELATED', NULL, NULL, NULL, 15),
(187327, NULL, 'PTHR44662', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 81', NULL, NULL, NULL, 15),
(187328, NULL, 'PTHR33177:SF39', NULL, NULL, NULL, NULL, 'BNAA05G27460D PROTEIN', NULL, NULL, NULL, 15),
(187329, NULL, 'PTHR10288:SF255', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187330, NULL, 'PTHR21093:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187331, NULL, 'PTHR15576:SF1', NULL, NULL, NULL, NULL, 'RIBITOL-5-PHOSPHATE XYLOSYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(187332, NULL, 'PTHR37768', NULL, NULL, NULL, NULL, 'OS06G0694800 PROTEIN', NULL, NULL, NULL, 15),
(187333, NULL, 'PTHR46426:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE TMX3', NULL, NULL, NULL, 15),
(187334, NULL, 'PTHR15822:SF20', NULL, NULL, NULL, NULL, 'OS07G0510800 PROTEIN', NULL, NULL, NULL, 15),
(187335, NULL, 'PTHR31304:SF29', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 37', NULL, NULL, NULL, 15),
(187336, NULL, 'PTHR10131', NULL, NULL, NULL, NULL, 'TNF RECEPTOR ASSOCIATED FACTOR', NULL, NULL, 36573, 15),
(187337, NULL, 'PTHR35040:SF9', NULL, NULL, NULL, NULL, '4-LIKE CELL SURFACE PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G14080)-RELATED', NULL, NULL, NULL, 15),
(187338, NULL, 'PTHR24161:SF79', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187339, NULL, 'PTHR47274:SF6', NULL, NULL, NULL, NULL, 'BNAA04G29400D PROTEIN', NULL, NULL, NULL, 15),
(187340, NULL, 'PTHR35315:SF1', NULL, NULL, NULL, NULL, 'ACI13', NULL, NULL, NULL, 15),
(187341, NULL, 'PTHR46133:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR ILR3-LIKE', NULL, NULL, NULL, 15),
(187342, NULL, 'PTHR35727:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187343, NULL, 'PTHR43232', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR BIOSYNTHESIS PROTEIN B', NULL, NULL, 11748, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187344, NULL, 'PTHR33895:SF16', NULL, NULL, NULL, NULL, 'HUMANIN-LIKE 11', NULL, NULL, NULL, 15),
(187345, NULL, 'PTHR13180:SF0', NULL, NULL, NULL, NULL, 'GEO04055P1', NULL, NULL, NULL, 15),
(187346, NULL, 'PTHR40626:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G04110)-RELATED', NULL, NULL, NULL, 15),
(187347, NULL, 'PTHR43332', NULL, NULL, NULL, NULL, 'INNER MEMBRANE TRANSPORT PERMEASE YADH-RELATED', NULL, NULL, NULL, 15),
(187348, NULL, 'PTHR31676:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187349, NULL, 'PTHR38117', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187350, NULL, 'PTHR15606:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187351, NULL, 'PTHR24559:SF376', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187352, NULL, 'PTHR47925:SF26', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187353, NULL, 'PTHR12474', NULL, NULL, NULL, NULL, 'P53 REGULATED PA26 NUCLEAR PROTEIN SESTRIN', NULL, NULL, 2414, 15),
(187354, NULL, 'PTHR31694:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187355, NULL, 'PTHR27001:SF118', NULL, NULL, NULL, NULL, 'OS01G0253100 PROTEIN', NULL, NULL, NULL, 15),
(187356, NULL, 'PTHR47983:SF12', NULL, NULL, NULL, NULL, 'PTI1-LIKE TYROSINE-PROTEIN KINASE 2-RELATED', NULL, NULL, NULL, 15),
(187357, NULL, 'PTHR22589:SF105', NULL, NULL, NULL, NULL, 'CARNITINE PALMITOYLTRANSFERASE 1CB', NULL, NULL, NULL, 15),
(187358, NULL, 'PTHR16166:SF134', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13A N-TERMINAL DOMAIN', NULL, NULL, NULL, 15),
(187359, NULL, 'PTHR17388', NULL, NULL, NULL, NULL, 'SECRETOGRANIN III', NULL, NULL, 26794, 15),
(187360, NULL, 'PTHR12396:SF37', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187361, NULL, 'PTHR13848:SF46', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(187362, NULL, 'PTHR43671:SF55', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK2', NULL, NULL, NULL, 15),
(187363, NULL, 'PTHR18902:SF30', NULL, NULL, NULL, NULL, 'FI04457P', NULL, NULL, NULL, 15),
(187364, NULL, 'PTHR24028:SF236', NULL, NULL, NULL, NULL, 'PROTOCADHERIN 1 GAMMA 22-RELATED', NULL, NULL, NULL, 15),
(187365, NULL, 'PTHR44163:SF1', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RNA-ASSOCIATED PROTEIN 4 HOMOLOG', NULL, NULL, NULL, 15),
(187366, NULL, 'PTHR20883:SF10', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(187367, NULL, 'PTHR46034:SF31', NULL, NULL, NULL, NULL, 'B2 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(187368, NULL, 'PTHR26450:SF81', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51J1', NULL, NULL, NULL, 15),
(187369, NULL, 'PTHR35546:SF8', NULL, NULL, NULL, NULL, 'OS01G0380800 PROTEIN', NULL, NULL, NULL, 15),
(187370, NULL, 'PTHR45630:SF9', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE CATP-5', NULL, NULL, NULL, 15),
(187371, NULL, 'PTHR10404:SF33', NULL, NULL, NULL, NULL, 'TRANSFERRIN RECEPTOR PROTEIN 2', NULL, NULL, NULL, 15),
(187372, NULL, 'PTHR47976:SF47', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE RLK1', NULL, NULL, NULL, 15),
(187373, NULL, 'PTHR43176:SF7', NULL, NULL, NULL, NULL, '3-HYDROXYISOBUTYRYL-COA HYDROLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(187374, NULL, 'PTHR14928:SF6', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 7B', NULL, NULL, NULL, 15),
(187375, NULL, 'PTHR33709:SF23', NULL, NULL, NULL, NULL, 'BNAC04G08590D PROTEIN', NULL, NULL, NULL, 15),
(187376, NULL, 'PTHR37030:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187377, NULL, 'PTHR23226:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187378, NULL, 'PTHR43900:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187379, NULL, 'PTHR36801', NULL, NULL, NULL, NULL, 'OS06G0150200 PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187380, NULL, 'PTHR13074', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 8', NULL, NULL, 15957, 15),
(187381, NULL, 'PTHR31717:SF22', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 32-LIKE', NULL, NULL, NULL, 15),
(187382, NULL, 'PTHR32166:SF81', NULL, NULL, NULL, NULL, 'HAT TRANSPOSON SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(187383, NULL, 'PTHR46128:SF177', NULL, NULL, NULL, NULL, 'BNAC05G10140D PROTEIN', NULL, NULL, NULL, 15),
(187384, NULL, 'PTHR24012:SF805', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(187385, NULL, 'PTHR12159', NULL, NULL, NULL, NULL, 'G/T AND G/U MISMATCH-SPECIFIC DNA GLYCOSYLASE', NULL, NULL, 18485, 15),
(187386, NULL, 'PTHR33358:SF8', NULL, NULL, NULL, NULL, 'PLANT-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187387, NULL, 'PTHR11188', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(187388, NULL, 'PTHR47640:SF37', NULL, NULL, NULL, NULL, 'BNAA05G16080D PROTEIN', NULL, NULL, NULL, 15),
(187389, NULL, 'PTHR41286', NULL, NULL, NULL, NULL, 'HNH NUCLEASE YAJD-RELATED', NULL, NULL, NULL, 15),
(187390, NULL, 'PTHR10460:SF48', NULL, NULL, NULL, NULL, 'BNAC03G72740D PROTEIN', NULL, NULL, NULL, 15),
(187391, NULL, 'PTHR23263:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187392, NULL, 'PTHR32319', NULL, NULL, NULL, NULL, 'BACTERIAL HEMOLYSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(187393, NULL, 'PTHR24351:SF211', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATPK1/ATPK6', NULL, NULL, NULL, 15),
(187394, NULL, 'PTHR46686:SF5', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(187395, NULL, 'PTHR23023:SF159', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(187396, NULL, 'PTHR46736:SF13', NULL, NULL, NULL, NULL, 'BNAC03G26750D PROTEIN', NULL, NULL, NULL, 15),
(187397, NULL, 'PTHR45836:SF4', NULL, NULL, NULL, NULL, 'PROTEIN SLIT', NULL, NULL, NULL, 15),
(187398, NULL, 'PTHR44019:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187399, NULL, 'PTHR45855:SF39', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR UNE10-LIKE', NULL, NULL, NULL, 15),
(187400, NULL, 'PTHR45809:SF2', NULL, NULL, NULL, NULL, 'PHOSDUCIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(187401, NULL, 'PTHR15856', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN 20-RELATED', NULL, NULL, 36662, 15),
(187402, NULL, 'PTHR31468:SF10', NULL, NULL, NULL, NULL, '1,3-BETA-GLUCANOSYLTRANSFERASE GAS2', NULL, NULL, NULL, 15),
(187403, NULL, 'PTHR33347:SF31', NULL, NULL, NULL, NULL, 'OS08G0486700 PROTEIN', NULL, NULL, NULL, 15),
(187404, NULL, 'PTHR16223:SF16', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS- AND OOGENESIS-SPECIFIC BASIC HELIX-LOOP-HELIX-CONTAINING PROTEIN 2', NULL, NULL, 22421, 15),
(187405, NULL, 'PTHR37017:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187406, NULL, 'PTHR32246:SF106', NULL, NULL, NULL, NULL, 'BON1-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(187407, NULL, 'PTHR40621:SF5', NULL, NULL, NULL, NULL, 'AP-1-LIKE TRANSCRIPTION FACTOR YAP1-RELATED', NULL, NULL, NULL, 15),
(187408, NULL, 'PTHR31639:SF32', NULL, NULL, NULL, NULL, 'F-BOX PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(187409, NULL, 'PTHR10314:SF207', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(187410, NULL, 'PTHR11249:SF4', NULL, NULL, NULL, NULL, 'GLIA MATURATION FACTOR GAMMA', NULL, NULL, 22770, 15),
(187411, NULL, 'PTHR27006:SF298', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(187412, NULL, 'PTHR11276:SF24', NULL, NULL, NULL, NULL, 'DNA-DIRECTED DNA/RNA POLYMERASE MU', NULL, NULL, NULL, 15),
(187413, NULL, 'PTHR23103:SF14', NULL, NULL, NULL, NULL, 'AMYLOID-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(187414, NULL, 'PTHR48063:SF9', NULL, NULL, NULL, NULL, 'OS11G0564900 PROTEIN', NULL, NULL, NULL, 15),
(187415, NULL, 'PTHR31506:SF19', NULL, NULL, NULL, NULL, 'BES1/BZR1 HOMOLOG PROTEIN 4', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187416, NULL, 'PTHR47977:SF25', NULL, NULL, NULL, NULL, 'BNACNNG56810D PROTEIN', NULL, NULL, NULL, 15),
(187417, NULL, 'PTHR44835:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE--PEPTIDE N-ACETYLGLUCOSAMINYLTRANSFERASE SPINDLY-RELATED', NULL, NULL, NULL, 15),
(187418, NULL, 'PTHR31707:SF287', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(187419, NULL, 'PTHR15664:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187420, NULL, 'PTHR22802:SF368', NULL, NULL, NULL, NULL, 'CD209F ANTIGEN-RELATED', NULL, NULL, NULL, 15),
(187421, NULL, 'PTHR15904', NULL, NULL, NULL, NULL, 'FAM13', NULL, NULL, 34347, 15),
(187422, NULL, 'PTHR38448:SF1', NULL, NULL, NULL, NULL, 'IG HYPOTHETICAL 16757', NULL, NULL, NULL, 15),
(187423, NULL, 'PTHR46503:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187424, NULL, 'PTHR48104:SF9', NULL, NULL, NULL, NULL, 'METACASPASE 4-RELATED', NULL, NULL, NULL, 15),
(187425, NULL, 'PTHR42757:SF17', NULL, NULL, NULL, NULL, 'OPIOID-BINDING PROTEIN/CELL ADHESION MOLECULE', NULL, NULL, NULL, 15),
(187426, NULL, 'PTHR23073:SF112', NULL, NULL, NULL, NULL, '26S PROTEASE REGULATORY SUBUNIT 7 HOMOLOG A', NULL, NULL, NULL, 15),
(187427, NULL, 'PTHR12358:SF25', NULL, NULL, NULL, NULL, 'CERAMIDE KINASE', NULL, NULL, NULL, 15),
(187428, NULL, 'PTHR46537:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RING1A-RELATED', NULL, NULL, NULL, 15),
(187429, NULL, 'PTHR47062:SF2', NULL, NULL, NULL, NULL, 'SMALL HEAT SHOCK PROTEIN IBPB', NULL, NULL, NULL, 15),
(187430, NULL, 'PTHR23420:SF24', NULL, NULL, NULL, NULL, 'ADENOSYLHOMOCYSTEINASE', NULL, NULL, NULL, 15),
(187431, NULL, 'PTHR21027', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN54', NULL, NULL, 25889, 15),
(187432, NULL, 'PTHR45295', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ C76, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(187433, NULL, 'PTHR35703', NULL, NULL, NULL, NULL, 'HEME OXYGENASE 1, CHLOROPLASTIC-RELATED', NULL, NULL, 18374, 15),
(187434, NULL, 'PTHR33431:SF5', NULL, NULL, NULL, NULL, 'BNAA10G12740D PROTEIN', NULL, NULL, NULL, 15),
(187435, NULL, 'PTHR24365:SF23', NULL, NULL, NULL, NULL, 'TOLL-LIKE RECEPTOR 10', NULL, NULL, 26927, 15),
(187436, NULL, 'PTHR20854:SF46', NULL, NULL, NULL, NULL, 'INOSITOL MONOPHOSPHATASE 2', NULL, NULL, NULL, 15),
(187437, NULL, 'PTHR11260:SF588', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187438, NULL, 'PTHR46064', NULL, NULL, NULL, NULL, 'QUEUINE TRNA-RIBOSYLTRANSFERASE ACCESSORY SUBUNIT 2', NULL, NULL, NULL, 15),
(187439, NULL, 'PTHR32100:SF47', NULL, NULL, NULL, NULL, 'ACYL-LIPID OMEGA-3 DESATURASE (CYTOCHROME B5), ENDOPLASMIC RETICULUM', NULL, NULL, NULL, 15),
(187440, NULL, 'PTHR11240:SF51', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 2', NULL, NULL, NULL, 15),
(187441, NULL, 'PTHR11711:SF322', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR 6A', NULL, NULL, NULL, 15),
(187442, NULL, 'PTHR33091:SF29', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(187443, NULL, 'PTHR32246:SF119', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(187444, NULL, 'PTHR33271:SF22', NULL, NULL, NULL, NULL, 'OS04G0445200 PROTEIN', NULL, NULL, NULL, 15),
(187445, NULL, 'PTHR42896:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(187446, NULL, 'PTHR16223:SF262', NULL, NULL, NULL, NULL, 'BNAA01G26110D PROTEIN', NULL, NULL, NULL, 15),
(187447, NULL, 'PTHR33128:SF70', NULL, NULL, NULL, NULL, 'BNAA06G32460D PROTEIN', NULL, NULL, NULL, 15),
(187448, NULL, 'PTHR33834:SF7', NULL, NULL, NULL, NULL, 'OS01G0214500 PROTEIN', NULL, NULL, NULL, 15),
(187449, NULL, 'PTHR21495:SF80', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN 23', NULL, NULL, NULL, 15),
(187450, NULL, 'PTHR30477:SF17', NULL, NULL, NULL, NULL, 'IRON TRANSPORT SYSTEM MEMBRANE PROTEIN HI_0360-RELATED', NULL, NULL, NULL, 15),
(187451, NULL, 'PTHR43829:SF10', NULL, NULL, NULL, NULL, 'AQUAPORIN OR AQUAGLYCEROPORIN RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187452, NULL, 'PTHR11177', NULL, NULL, NULL, NULL, 'CHITINASE', NULL, NULL, NULL, 15),
(187453, NULL, 'PTHR34285:SF9', NULL, NULL, NULL, NULL, 'OS09G0491676 PROTEIN', NULL, NULL, NULL, 15),
(187454, NULL, 'PTHR31448:SF39', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(187455, NULL, 'PTHR16140:SF1', NULL, NULL, NULL, NULL, 'EP300-INTERACTING INHIBITOR OF DIFFERENTIATION 3', NULL, NULL, NULL, 15),
(187456, NULL, 'PTHR35719', NULL, NULL, NULL, NULL, 'OS01G0680600 PROTEIN', NULL, NULL, NULL, 15),
(187457, NULL, 'PTHR23315:SF291', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(187458, NULL, 'PTHR22844:SF223', NULL, NULL, NULL, NULL, 'F3I6.5 PROTEIN', NULL, NULL, NULL, 15),
(187459, NULL, 'PTHR43791:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187460, NULL, 'PTHR21136:SF179', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 7', NULL, NULL, NULL, 15),
(187461, NULL, 'PTHR33512:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187462, NULL, 'PTHR45648:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187463, NULL, 'PTHR45788:SF4', NULL, NULL, NULL, NULL, 'TRICARBOXYLATE TRANSPORT PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(187464, NULL, 'PTHR12953:SF5', NULL, NULL, NULL, NULL, 'GALACTOSE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(187465, NULL, 'PTHR13234:SF8', NULL, NULL, NULL, NULL, 'GAMMA-INTERFERON-INDUCIBLE LYSOSOMAL THIOL REDUCTASE', NULL, NULL, NULL, 15),
(187466, NULL, 'PTHR46662:SF22', NULL, NULL, NULL, NULL, 'BNAC07G31110D PROTEIN', NULL, NULL, NULL, 15),
(187467, NULL, 'PTHR45801:SF68', NULL, NULL, NULL, NULL, 'CHAIN A, NMR STRUCTURE OF THE SINGLE QALGGH ZINC FINGER DOMAIN FROM ARABIDOPSIS THALIANA SUPERMAN PROTEIN', NULL, NULL, NULL, 15),
(187468, NULL, 'PTHR13469:SF3', NULL, NULL, NULL, NULL, 'PROTEIN HEXIM2', NULL, NULL, 23214, 15),
(187469, NULL, 'PTHR19424:SF3', NULL, NULL, NULL, NULL, 'HEAT SHOCK FACTOR-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(187470, NULL, 'PTHR48010:SF31', NULL, NULL, NULL, NULL, 'INACTIVE RECEPTOR KINASE-RELATED', NULL, NULL, NULL, 15),
(187471, NULL, 'PTHR22572:SF144', NULL, NULL, NULL, NULL, 'SLR0007 PROTEIN', NULL, NULL, NULL, 15),
(187472, NULL, 'PTHR37625', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE LIPOPROTEIN-RELATED', NULL, NULL, 18864, 15),
(187473, NULL, 'PTHR15892:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L30, FERREDOXIN-LIKE FOLD DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187474, NULL, 'PTHR47992:SF85', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 6-RELATED', NULL, NULL, NULL, 15),
(187475, NULL, 'PTHR21504:SF5', NULL, NULL, NULL, NULL, 'C. ELEGANS HOMEOBOX', NULL, NULL, NULL, 15),
(187476, NULL, 'PTHR45689:SF3', NULL, NULL, NULL, NULL, 'POTASSIUM/SODIUM HYPERPOLARIZATION-ACTIVATED CYCLIC NUCLEOTIDE-GATED CHANNEL 1', NULL, NULL, 27711, 15),
(187477, NULL, 'PTHR19384:SF76', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE', NULL, NULL, NULL, 15),
(187478, NULL, 'PTHR21181:SF7', NULL, NULL, NULL, NULL, 'MEMBRANE MAGNESIUM TRANSPORTER 1', NULL, NULL, NULL, 15),
(187479, NULL, 'PTHR43158:SF10', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN YTRB', NULL, NULL, NULL, 15),
(187480, NULL, 'PTHR12911:SF16', NULL, NULL, NULL, NULL, 'SPERM-ASSOCIATED ANTIGEN 4 PROTEIN', NULL, NULL, 26800, 15),
(187481, NULL, 'PTHR20859:SF55', NULL, NULL, NULL, NULL, 'INTERFERON LAMBDA RECEPTOR 1', NULL, NULL, NULL, 15),
(187482, NULL, 'PTHR24281:SF162', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 76A1', NULL, NULL, NULL, 15),
(187483, NULL, 'PTHR47416', NULL, NULL, NULL, NULL, 'BASIC-LEUCINE ZIPPER TRANSCRIPTION FACTOR F-RELATED', NULL, NULL, NULL, 15),
(187484, NULL, 'PTHR11431:SF30', NULL, NULL, NULL, NULL, 'FERRITIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(187485, NULL, 'PTHR15736:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM131C', NULL, NULL, NULL, 15),
(187486, NULL, 'PTHR31650:SF57', NULL, NULL, NULL, NULL, 'BNAC03G14900D PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187487, NULL, 'PTHR47983:SF16', NULL, NULL, NULL, NULL, 'OS03G0226300 PROTEIN', NULL, NULL, NULL, 15),
(187488, NULL, 'PTHR24223:SF215', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER C FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(187489, NULL, 'PTHR26379:SF191', NULL, NULL, NULL, NULL, 'BTB/POZ AND MATH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(187490, NULL, 'PTHR12510:SF17', NULL, NULL, NULL, NULL, 'BUTIROSIN BIOSYNTHESIS, BTRG-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187491, NULL, 'PTHR21562:SF91', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(187492, NULL, 'PTHR43751:SF5', NULL, NULL, NULL, NULL, 'N-ACETYLGALACTOSAMINE-6-O-SULFATASE', NULL, NULL, NULL, 15),
(187493, NULL, 'PTHR12210:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187494, NULL, 'PTHR14014:SF0', NULL, NULL, NULL, NULL, 'TELOMERE REPEATS-BINDING BOUQUET FORMATION PROTEIN 1', NULL, NULL, NULL, 15),
(187495, NULL, 'PTHR46784:SF3', NULL, NULL, NULL, NULL, 'KILLER CELL LECTIN-LIKE RECEPTOR SUBFAMILY B MEMBER 1F', NULL, NULL, NULL, 15),
(187496, NULL, 'PTHR46310:SF7', NULL, NULL, NULL, NULL, 'AMIDASE 1', NULL, NULL, NULL, 15),
(187497, NULL, 'PTHR45090:SF15', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN DNAJ 20, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(187498, NULL, 'PTHR33596:SF18', NULL, NULL, NULL, NULL, 'COLD-REGULATED 413 PLASMA MEMBRANE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(187499, NULL, 'PTHR46065:SF1', NULL, NULL, NULL, NULL, 'ZGC:158785', NULL, NULL, NULL, 15),
(187500, NULL, 'PTHR47926:SF38', NULL, NULL, NULL, NULL, 'OS08G0138600 PROTEIN', NULL, NULL, NULL, 15),
(187501, NULL, 'PTHR46043:SF15', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187502, NULL, 'PTHR43763:SF4', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE 2', NULL, NULL, NULL, 15),
(187503, NULL, 'PTHR10168:SF56', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C6', NULL, NULL, NULL, 15),
(187504, NULL, 'PTHR24206:SF68', NULL, NULL, NULL, NULL, 'LIM DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(187505, NULL, 'PTHR21261', NULL, NULL, NULL, NULL, 'BEAT PROTEIN', NULL, NULL, NULL, 15),
(187506, NULL, 'PTHR16675:SF148', NULL, NULL, NULL, NULL, 'UL16-BINDING PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(187507, NULL, 'PTHR42770', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(187508, NULL, 'PTHR23274', NULL, NULL, NULL, NULL, 'DNA HELICASE-RELATED', NULL, NULL, NULL, 15),
(187509, NULL, 'PTHR36986', NULL, NULL, NULL, NULL, 'UPF0643 PROTEIN PB2B2.08', NULL, NULL, NULL, 15),
(187510, NULL, 'PTHR23349:SF41', NULL, NULL, NULL, NULL, 'HEART- AND NEURAL CREST DERIVATIVES-EXPRESSED PROTEIN 2', NULL, NULL, NULL, 15),
(187511, NULL, 'PTHR23167:SF68', NULL, NULL, NULL, NULL, 'MICAL C-TERMINAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(187512, NULL, 'PTHR48001:SF147', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 3A3', NULL, NULL, NULL, 15),
(187513, NULL, 'PTHR10336:SF29', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE ZETA-1', NULL, NULL, 24933, 15),
(187514, NULL, 'PTHR10366:SF686', NULL, NULL, NULL, NULL, 'NADPH HC TOXIN REDUCTASE', NULL, NULL, NULL, 15),
(187515, NULL, 'PTHR47487:SF9', NULL, NULL, NULL, NULL, 'OS09G0421700 PROTEIN', NULL, NULL, NULL, 15),
(187516, NULL, 'PTHR11817:SF67', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(187517, NULL, 'PTHR33159:SF55', NULL, NULL, NULL, NULL, 'BNAA09G03110D PROTEIN', NULL, NULL, NULL, 15),
(187518, NULL, 'PTHR46813:SF3', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 19', NULL, NULL, NULL, 15),
(187519, NULL, 'PTHR47977:SF26', NULL, NULL, NULL, NULL, 'LD21953P', NULL, NULL, NULL, 15),
(187520, NULL, 'PTHR10978', NULL, NULL, NULL, NULL, 'SUCCINATE DEHYDROGENASE CYTOCHROME B560 SUBUNIT', NULL, NULL, 9727, 15),
(187521, NULL, 'PTHR33076:SF46', NULL, NULL, NULL, NULL, 'LIPID TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(187522, NULL, 'PTHR46018:SF4', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE YHFI-RELATED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187523, NULL, 'PTHR15718:SF7', NULL, NULL, NULL, NULL, 'G PROTEIN-REGULATED INDUCER OF NEURITE OUTGROWTH 1', NULL, NULL, NULL, 15),
(187524, NULL, 'PTHR22948:SF55', NULL, NULL, NULL, NULL, 'ENHANCED RNAI (RNA INTERFERENCE)', NULL, NULL, NULL, 15),
(187525, NULL, 'PTHR30417:SF10', NULL, NULL, NULL, NULL, 'N-ACETYLMURAMOYL-L-ALANINE AMIDASE AMID', NULL, NULL, NULL, 15),
(187526, NULL, 'PTHR31232:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187527, NULL, 'PTHR43486', NULL, NULL, NULL, NULL, 'LIPID II FLIPPASE MURJ-RELATED', NULL, NULL, NULL, 15),
(187528, NULL, 'PTHR22848:SF0', NULL, NULL, NULL, NULL, 'WD40 REPEAT-CONTAINING PROTEIN SMU1', NULL, NULL, NULL, 15),
(187529, NULL, 'PTHR15749:SF4', NULL, NULL, NULL, NULL, 'FANCONI-ASSOCIATED NUCLEASE 1', NULL, NULL, NULL, 15),
(187530, NULL, 'PTHR19860:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187531, NULL, 'PTHR31642:SF239', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187532, NULL, 'PTHR10411:SF3', NULL, NULL, NULL, NULL, 'GROWTH ARREST AND DNA DAMAGE-INDUCIBLE PROTEIN GADD45 ALPHA', NULL, NULL, NULL, 15),
(187533, NULL, 'PTHR23017:SF45', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(187534, NULL, 'PTHR33102:SF36', NULL, NULL, NULL, NULL, 'OS01G0525700 PROTEIN', NULL, NULL, NULL, 15),
(187535, NULL, 'PTHR33352:SF3', NULL, NULL, NULL, NULL, 'SLR1612 PROTEIN', NULL, NULL, NULL, 15),
(187536, NULL, 'PTHR20977', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 1445, 15),
(187537, NULL, 'PTHR31645:SF15', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL1-RELATED', NULL, NULL, NULL, 15),
(187538, NULL, 'PTHR21694', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(187539, NULL, 'PTHR15710:SF87', NULL, NULL, NULL, NULL, 'BNAA02G13670D PROTEIN', NULL, NULL, NULL, 15),
(187540, NULL, 'PTHR23257:SF867', NULL, NULL, NULL, NULL, 'RGS DOMAIN-CONTAINING SERINE/THREONINE-PROTEIN KINASE A', NULL, NULL, NULL, 15),
(187541, NULL, 'PTHR19443:SF15', NULL, NULL, NULL, NULL, 'HEXOKINASE-6', NULL, NULL, NULL, 15),
(187542, NULL, 'PTHR43939:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187543, NULL, 'PTHR28388', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 237', NULL, NULL, 26192, 15),
(187544, NULL, 'PTHR45764:SF50', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(187545, NULL, 'PTHR12029', NULL, NULL, NULL, NULL, 'RNA METHYLTRANSFERASE', NULL, NULL, 38770, 15),
(187546, NULL, 'PTHR32382:SF59', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 8', NULL, NULL, NULL, 15),
(187547, NULL, 'PTHR33675:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187548, NULL, 'PTHR46148:SF38', NULL, NULL, NULL, NULL, 'PROTEIN NYNRIN-LIKE', NULL, NULL, NULL, 15),
(187549, NULL, 'PTHR19981:SF35', NULL, NULL, NULL, NULL, 'TALIN-B', NULL, NULL, NULL, 15),
(187550, NULL, 'PTHR31917:SF84', NULL, NULL, NULL, NULL, 'AGENET-LIKE DOMAIN, AGENET DOMAIN, PLANT TYPE-RELATED', NULL, NULL, NULL, 15),
(187551, NULL, 'PTHR23147:SF185', NULL, NULL, NULL, NULL, 'NUCLEOTIDE BINDING', NULL, NULL, NULL, 15),
(187552, NULL, 'PTHR36411:SF2', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PROTEIN T', NULL, NULL, NULL, 15),
(187553, NULL, 'PTHR47032:SF4', NULL, NULL, NULL, NULL, 'BNAA01G21910D PROTEIN', NULL, NULL, NULL, 15),
(187554, NULL, 'PTHR46558:SF4', NULL, NULL, NULL, NULL, 'TRACRIPTIONAL REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187555, NULL, 'PTHR34001:SF3', NULL, NULL, NULL, NULL, 'BLL7405 PROTEIN', NULL, NULL, NULL, 15),
(187556, NULL, 'PTHR44281:SF1', NULL, NULL, NULL, NULL, 'SPINDLE ASSEMBLY ABNORMAL PROTEIN 6 HOMOLOG', NULL, NULL, NULL, 15),
(187557, NULL, 'PTHR43708:SF7', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(187558, NULL, 'PTHR46419:SF11', NULL, NULL, NULL, NULL, 'BNAC02G44640D PROTEIN', NULL, NULL, NULL, 15),
(187559, NULL, 'PTHR33085:SF47', NULL, NULL, NULL, NULL, 'OS02G0513400 PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187560, NULL, 'PTHR24296:SF211', NULL, NULL, NULL, NULL, 'P450, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187561, NULL, 'PTHR43748:SF1', NULL, NULL, NULL, NULL, 'RIBOSE-5-PHOSPHATE ISOMERASE 4, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(187562, NULL, 'PTHR47758', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS M-RELATED', NULL, NULL, NULL, 15),
(187563, NULL, 'PTHR16631:SF13', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE EGLC-RELATED', NULL, NULL, NULL, 15),
(187564, NULL, 'PTHR22765:SF53', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 148', NULL, NULL, NULL, 15),
(187565, NULL, 'PTHR24221:SF294', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY B (MDR/TAP), MEMBER 5', NULL, NULL, NULL, 15),
(187566, NULL, 'PTHR10231:SF66', NULL, NULL, NULL, NULL, 'CMP-SIALIC ACID TRANSPORTER', NULL, NULL, NULL, 15),
(187567, NULL, 'PTHR46350:SF2', NULL, NULL, NULL, NULL, 'RAS LIKE FAMILY 10 MEMBER B-RELATED', NULL, NULL, NULL, 15),
(187568, NULL, 'PTHR43620', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHORYL DIESTER PHOSPHODIESTERASE', NULL, NULL, NULL, 15),
(187569, NULL, 'PTHR47695:SF1', NULL, NULL, NULL, NULL, 'DAB2, CLATHRIN ADAPTOR PROTEIN', NULL, NULL, NULL, 15),
(187570, NULL, 'PTHR22894', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35221, 15),
(187571, NULL, 'PTHR46781:SF5', NULL, NULL, NULL, NULL, 'ALPHA 1,4-GLYCOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(187572, NULL, 'PTHR11890:SF26', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR TYPE 1', NULL, NULL, NULL, 15),
(187573, NULL, 'PTHR30620:SF89', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE BOGH3B-LIKE', NULL, NULL, NULL, 15),
(187574, NULL, 'PTHR31871:SF14', NULL, NULL, NULL, NULL, 'OS01G0220200 PROTEIN', NULL, NULL, NULL, 15),
(187575, NULL, 'PTHR17005', NULL, NULL, NULL, NULL, 'MALE-ENHANCED ANTIGEN-1', NULL, NULL, 11788, 15),
(187576, NULL, 'PTHR11627:SF72', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(187577, NULL, 'PTHR20968:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187578, NULL, 'PTHR24044:SF450', NULL, NULL, NULL, NULL, 'NEUROGENIC LOCUS NOTCH HOMOLOG PROTEIN 4', NULL, NULL, NULL, 15),
(187579, NULL, 'PTHR48053:SF46', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM2', NULL, NULL, NULL, 15),
(187580, NULL, 'PTHR43511:SF10', NULL, NULL, NULL, NULL, 'UTP-GLUCOSE-1-PHOSPHATE URIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(187581, NULL, 'PTHR10460:SF41', NULL, NULL, NULL, NULL, 'BNAA03G60460D PROTEIN', NULL, NULL, NULL, 15),
(187582, NULL, 'PTHR24242', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(187583, NULL, 'PTHR43050:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187584, NULL, 'PTHR43229:SF5', NULL, NULL, NULL, NULL, 'ABC-2 TYPE TRANSPORTER', NULL, NULL, NULL, 15),
(187585, NULL, 'PTHR23172', NULL, NULL, NULL, NULL, 'AUXILIN/CYCLIN G-ASSOCIATED KINASE-RELATED', NULL, NULL, NULL, 15),
(187586, NULL, 'PTHR24348:SF56', NULL, NULL, NULL, NULL, 'BNAC06G18300D PROTEIN', NULL, NULL, NULL, 15),
(187587, NULL, 'PTHR10196:SF53', NULL, NULL, NULL, NULL, 'GLYCEROL KINASE 2', NULL, NULL, NULL, 15),
(187588, NULL, 'PTHR46431:SF15', NULL, NULL, NULL, NULL, 'BNAC02G34430D PROTEIN', NULL, NULL, NULL, 15),
(187589, NULL, 'PTHR22870:SF415', NULL, NULL, NULL, NULL, 'GTPASE BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187590, NULL, 'PTHR19143:SF222', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(187591, NULL, 'PTHR10579:SF51', NULL, NULL, NULL, NULL, 'ZINC FINGER (C3HC4-TYPE RING FINGER) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(187592, NULL, 'PTHR12621:SF8', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-1-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(187593, NULL, 'PTHR31189:SF50', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187594, NULL, 'PTHR31475', NULL, NULL, NULL, NULL, 'UPF0462 PROTEIN', NULL, NULL, NULL, 15),
(187595, NULL, 'PTHR12146:SF23', NULL, NULL, NULL, NULL, 'BNACNNG17420D PROTEIN', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187596, NULL, 'PTHR48018:SF71', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(187597, NULL, 'PTHR23500:SF429', NULL, NULL, NULL, NULL, 'POLYOL/MONOSACCHARIDE TRANSPORTER 1', NULL, NULL, NULL, 15),
(187598, NULL, 'PTHR40034:SF1', NULL, NULL, NULL, NULL, 'BSL5891 PROTEIN', NULL, NULL, NULL, 15),
(187599, NULL, 'PTHR19965:SF72', NULL, NULL, NULL, NULL, 'BNAA10G12880D PROTEIN', NULL, NULL, NULL, 15),
(187600, NULL, 'PTHR42921:SF1', NULL, NULL, NULL, NULL, 'ACETOACETYL-COA SYNTHETASE', NULL, NULL, NULL, 15),
(187601, NULL, 'PTHR23502:SF160', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G01480)-RELATED', NULL, NULL, NULL, 15),
(187602, NULL, 'PTHR11626:SF4', NULL, NULL, NULL, NULL, 'SQUALENE SYNTHASE-LIKE', NULL, NULL, NULL, 15),
(187603, NULL, 'PTHR34128:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE BIOGENESIS PROTEIN CCME HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(187604, NULL, 'PTHR32444:SF30', NULL, NULL, NULL, NULL, 'OS11G0149900 PROTEIN', NULL, NULL, NULL, 15),
(187605, NULL, 'PTHR47142', NULL, NULL, NULL, NULL, 'BETA-CATENIN-INTERACTING PROTEIN 1', NULL, NULL, 36527, 15),
(187606, NULL, 'PTHR23316:SF53', NULL, NULL, NULL, NULL, 'IMPORTIN SUBUNIT ALPHA-6', NULL, NULL, NULL, 15),
(187607, NULL, 'PTHR11639:SF71', NULL, NULL, NULL, NULL, 'UPF0607 PROTEIN ENSP00000332738-RELATED', NULL, NULL, NULL, 15),
(187608, NULL, 'PTHR31731:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187609, NULL, 'PTHR11852:SF1', NULL, NULL, NULL, NULL, 'PLATELET-ACTIVATING FACTOR ACETYLHYDROLASE IB SUBUNIT BETA', NULL, NULL, NULL, 15),
(187610, NULL, 'PTHR45036', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE LIKE 7B', NULL, NULL, NULL, 15),
(187611, NULL, 'PTHR24416:SF340', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE RECEPTOR TORSO', NULL, NULL, NULL, 15),
(187612, NULL, 'PTHR11502:SF6', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', NULL, NULL, NULL, 15),
(187613, NULL, 'PTHR24637:SF297', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(187614, NULL, 'PTHR31072:SF114', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR PCF6', NULL, NULL, NULL, 15),
(187615, NULL, 'PTHR23279:SF2', NULL, NULL, NULL, NULL, 'DEFECTIVE PROBOSCIS EXTENSION RESPONSE 19, ISOFORM A', NULL, NULL, NULL, 15),
(187616, NULL, 'PTHR32044:SF84', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GLYCOSYLTRANSFERASE 5-RELATED', NULL, NULL, NULL, 15),
(187617, NULL, 'PTHR43031:SF1', NULL, NULL, NULL, NULL, 'PHAGE SHOCK PROTEIN E-RELATED PROTEIN', NULL, NULL, NULL, 15),
(187618, NULL, 'PTHR10285:SF167', NULL, NULL, NULL, NULL, 'PHOSPHORIBULOKINASE', NULL, NULL, NULL, 15),
(187619, NULL, 'PTHR31929:SF76', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR22-LIKE', NULL, NULL, NULL, 15),
(187620, NULL, 'PTHR31062:SF95', NULL, NULL, NULL, NULL, 'OS02G0280300 PROTEIN', NULL, NULL, NULL, 15),
(187621, NULL, 'PTHR11879:SF48', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(187622, NULL, 'PTHR45708:SF22', NULL, NULL, NULL, NULL, 'ACIDIC ENDOCHITINASE', NULL, NULL, NULL, 15),
(187623, NULL, 'PTHR31739:SF28', NULL, NULL, NULL, NULL, 'COPALYL DIPHOSPHATE SYNTHASE3', NULL, NULL, NULL, 15),
(187624, NULL, 'PTHR34598:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_3G13140)-RELATED', NULL, NULL, NULL, 15),
(187625, NULL, 'PTHR11533:SF279', NULL, NULL, NULL, NULL, 'AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(187626, NULL, 'PTHR45658:SF37', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(187627, NULL, 'PTHR13119:SF22', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(187628, NULL, 'PTHR48101:SF2', NULL, NULL, NULL, NULL, 'METHYLMALONYL-COA MUTASE SMALL SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(187629, NULL, 'PTHR13533', NULL, NULL, NULL, NULL, 'N-ACETYLNEURAMINATE 9-O-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(187630, NULL, 'PTHR34364:SF13', NULL, NULL, NULL, NULL, 'BNAA05G13930D PROTEIN', NULL, NULL, NULL, 15),
(187631, NULL, 'PTHR10782', NULL, NULL, NULL, NULL, 'ZINC FINGER MIZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187632, NULL, 'PTHR23155:SF1141', NULL, NULL, NULL, NULL, 'FUSARIUM RESISTANCE PROTEIN I2C-5-LIKE', NULL, NULL, NULL, 15),
(187633, NULL, 'PTHR12411:SF746', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187634, NULL, 'PTHR11945:SF662', NULL, NULL, NULL, NULL, 'BNAA01G26610D PROTEIN', NULL, NULL, NULL, 15),
(187635, NULL, 'PTHR31509:SF120', NULL, NULL, NULL, NULL, 'DUF241 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(187636, NULL, 'PTHR31948:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187637, NULL, 'PTHR10125:SF28', NULL, NULL, NULL, NULL, 'P2X PURINOCEPTOR', NULL, NULL, NULL, 15),
(187638, NULL, 'PTHR11208:SF129', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(187639, NULL, 'PTHR47938:SF21', NULL, NULL, NULL, NULL, 'OS02G0132100 PROTEIN', NULL, NULL, NULL, 15),
(187640, NULL, 'PTHR21649:SF122', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A-B BINDING PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(187641, NULL, 'PTHR24377:SF715', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187642, NULL, 'PTHR47508', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187643, NULL, 'PTHR32295:SF158', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187644, NULL, 'PTHR37610:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187645, NULL, 'PTHR11438:SF5', NULL, NULL, NULL, NULL, 'PREPRONOCICEPTIN', NULL, NULL, NULL, 15),
(187646, NULL, 'PTHR21812:SF1', NULL, NULL, NULL, NULL, 'INO80 COMPLEX SUBUNIT E', NULL, NULL, NULL, 15),
(187647, NULL, 'PTHR31062:SF151', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(187648, NULL, 'PTHR45613:SF358', NULL, NULL, NULL, NULL, 'OS06G0565000 PROTEIN', NULL, NULL, NULL, 15),
(187649, NULL, 'PTHR42788:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORT ATPASE (NITRATE/FE)', NULL, NULL, NULL, 15),
(187650, NULL, 'PTHR47993:SF31', NULL, NULL, NULL, NULL, 'AND ASSOCIATED INTERACTION DOMAINS-CONTAINING PROTEIN, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(187651, NULL, 'PTHR23074:SF78', NULL, NULL, NULL, NULL, 'KATANIN P60 ATPASE-CONTAINING SUBUNIT A-LIKE 2', NULL, NULL, NULL, 15),
(187652, NULL, 'PTHR48008:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187653, NULL, 'PTHR48002:SF64', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(187654, NULL, 'PTHR19241:SF306', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 46', NULL, NULL, NULL, 15),
(187655, NULL, 'PTHR21177:SF4', NULL, NULL, NULL, NULL, 'IP06524P', NULL, NULL, NULL, 15),
(187656, NULL, 'PTHR31284:SF46', NULL, NULL, NULL, NULL, 'BNAA02G22460D PROTEIN', NULL, NULL, NULL, 15),
(187657, NULL, 'PTHR24118:SF40', NULL, NULL, NULL, NULL, 'CHARON', NULL, NULL, NULL, 15),
(187658, NULL, 'PTHR48018:SF20', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(187659, NULL, 'PTHR47867:SF1', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(187660, NULL, 'PTHR11157:SF140', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(187661, NULL, 'PTHR13595:SF1', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 6-INTERACTING PROTEIN 4', NULL, NULL, NULL, 15),
(187662, NULL, 'PTHR37867', NULL, NULL, NULL, NULL, 'CHROMOSOME 16 OPEN READING FRAME 86', NULL, NULL, 28816, 15),
(187663, NULL, 'PTHR11461:SF48', NULL, NULL, NULL, NULL, 'GLIA-DERIVED NEXIN', NULL, NULL, NULL, 15),
(187664, NULL, 'PTHR46128:SF93', NULL, NULL, NULL, NULL, 'BNAA09G39110D PROTEIN', NULL, NULL, NULL, 15),
(187665, NULL, 'PTHR31839:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187666, NULL, 'PTHR10071:SF317', NULL, NULL, NULL, NULL, 'NITROGEN REGULATORY PROTEIN DAL80', NULL, NULL, NULL, 15),
(187667, NULL, 'PTHR27001:SF887', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 2', NULL, NULL, NULL, 15),
(187668, NULL, 'PTHR45750', NULL, NULL, NULL, NULL, 'GH11602P', NULL, NULL, 33362, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187669, NULL, 'PTHR33137:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 15A-RELATED', NULL, NULL, NULL, 15),
(187670, NULL, 'PTHR46834:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH89', NULL, NULL, NULL, 15),
(187671, NULL, 'PTHR35766:SF1', NULL, NULL, NULL, NULL, 'OS08G0543600 PROTEIN', NULL, NULL, NULL, 15),
(187672, NULL, 'PTHR44549', NULL, NULL, NULL, NULL, 'ENDOTHELIAL CELL-SELECTIVE ADHESION MOLECULE', NULL, NULL, 37586, 15),
(187673, NULL, 'PTHR10537:SF3', NULL, NULL, NULL, NULL, 'DNA PRIMASE LARGE SUBUNIT', NULL, NULL, NULL, 15),
(187674, NULL, 'PTHR36162:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG15041', NULL, NULL, NULL, 15),
(187675, NULL, 'PTHR10664:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS BC (CLASS B-LIKE)', NULL, NULL, NULL, 15),
(187676, NULL, 'PTHR33101:SF1', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 5', NULL, NULL, NULL, 15),
(187677, NULL, 'PTHR12835', NULL, NULL, NULL, NULL, 'BIOTIN PROTEIN LIGASE', NULL, NULL, NULL, 15),
(187678, NULL, 'PTHR35288:SF1', NULL, NULL, NULL, NULL, 'TAIL FIBER', NULL, NULL, NULL, 15),
(187679, NULL, 'PTHR34291:SF1', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(187680, NULL, 'PTHR31884', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE', NULL, NULL, NULL, 15),
(187681, NULL, 'PTHR36440:SF1', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_8G07350)-RELATED', NULL, NULL, NULL, 15),
(187682, NULL, 'PTHR30146:SF24', NULL, NULL, NULL, NULL, 'XYLOSE OPERON REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(187683, NULL, 'PTHR23292:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG22771', NULL, NULL, NULL, 15),
(187684, NULL, 'PTHR46220:SF9', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187685, NULL, 'PTHR33494:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187686, NULL, 'PTHR13713:SF37', NULL, NULL, NULL, NULL, 'CMP-N-ACETYLNEURAMINATE-BETA-1,4-GALACTOSIDE ALPHA-2,3-SIALYLTRANSFERASE', NULL, NULL, NULL, 15),
(187687, NULL, 'PTHR48234', NULL, NULL, NULL, NULL, 'GH09231P', NULL, NULL, NULL, 15),
(187688, NULL, 'PTHR24020:SF60', NULL, NULL, NULL, NULL, 'PROTEIN CBG09096', NULL, NULL, NULL, 15),
(187689, NULL, 'PTHR22722:SF5', NULL, NULL, NULL, NULL, 'LOW-DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 2', NULL, NULL, 34186, 15),
(187690, NULL, 'PTHR46978', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(187691, NULL, 'PTHR12801:SF114', NULL, NULL, NULL, NULL, 'EXONUCLEASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G00870)-RELATED', NULL, NULL, NULL, 15),
(187692, NULL, 'PTHR31314:SF120', NULL, NULL, NULL, NULL, 'BNAA06G00030D PROTEIN', NULL, NULL, NULL, 15),
(187693, NULL, 'PTHR12677:SF52', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187694, NULL, 'PTHR12505:SF25', NULL, NULL, NULL, NULL, 'BAH DOMAIN AND COILED-COIL-CONTAINING 1A', NULL, NULL, NULL, 15),
(187695, NULL, 'PTHR24300:SF326', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 2AA2-RELATED', NULL, NULL, NULL, 15),
(187696, NULL, 'PTHR47938:SF4', NULL, NULL, NULL, NULL, 'REPEAT-CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187697, NULL, 'PTHR31499:SF35', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(187698, NULL, 'PTHR24416:SF137', NULL, NULL, NULL, NULL, 'RECEPTOR TYROSINE-PROTEIN KINASE ERBB-2', NULL, NULL, NULL, 15),
(187699, NULL, 'PTHR23213:SF345', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 7', NULL, NULL, NULL, 15),
(187700, NULL, 'PTHR23257:SF720', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT SERINE/THREONINE-PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(187701, NULL, 'PTHR15572:SF5', NULL, NULL, NULL, NULL, 'OSJNBA0055C08.13 PROTEIN', NULL, NULL, NULL, 15),
(187702, NULL, 'PTHR31901:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187703, NULL, 'PTHR10641:SF596', NULL, NULL, NULL, NULL, 'MYB-RELATED PROTEIN ZM1', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187704, NULL, 'PTHR27000:SF709', NULL, NULL, NULL, NULL, 'OS01G0742400 PROTEIN', NULL, NULL, NULL, 15),
(187705, NULL, 'PTHR12990:SF5', NULL, NULL, NULL, NULL, 'MESENCEPHALIC ASTROCYTE-DERIVED NEUROTROPHIC FACTOR HOMOLOG', NULL, NULL, NULL, 15),
(187706, NULL, 'PTHR46852', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE', NULL, NULL, 37005, 15),
(187707, NULL, 'PTHR24414:SF133', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', NULL, NULL, NULL, 15),
(187708, NULL, 'PTHR31137:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PSIG', NULL, NULL, NULL, 15),
(187709, NULL, 'PTHR31839:SF23', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1A-RELATED', NULL, NULL, NULL, 15),
(187710, NULL, 'PTHR32099:SF75', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 29', NULL, NULL, NULL, 15),
(187711, NULL, 'PTHR35725:SF3', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 25', NULL, NULL, NULL, 15),
(187712, NULL, 'PTHR10201:SF265', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187713, NULL, 'PTHR43109:SF2', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE 7', NULL, NULL, NULL, 15),
(187714, NULL, 'PTHR10256:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187715, NULL, 'PTHR10627:SF69', NULL, NULL, NULL, NULL, 'PROTEIN BICAUDAL C HOMOLOG 1', NULL, NULL, NULL, 15),
(187716, NULL, 'PTHR23213:SF362', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(187717, NULL, 'PTHR45825:SF2', NULL, NULL, NULL, NULL, 'STARCH SYNTHASE 2, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(187718, NULL, 'PTHR46441', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE EPIDIDYMAL FAMILY MEMBER 3', NULL, NULL, NULL, 15),
(187719, NULL, 'PTHR48041:SF12', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(187720, NULL, 'PTHR10188:SF34', NULL, NULL, NULL, NULL, 'BNAC01G35480D PROTEIN', NULL, NULL, NULL, 15),
(187721, NULL, 'PTHR10849:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187722, NULL, 'PTHR31675:SF31', NULL, NULL, NULL, NULL, 'PROTEIN YABBY 2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(187723, NULL, 'PTHR11761:SF18', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN HLP, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(187724, NULL, 'PTHR10127', NULL, NULL, NULL, NULL, 'DISCOIDIN, CUB, EGF, LAMININ , AND ZINC METALLOPROTEASE DOMAIN CONTAINING', NULL, NULL, NULL, 15),
(187725, NULL, 'PTHR10218:SF66', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(T) SUBUNIT ALPHA-3', NULL, NULL, NULL, 15),
(187726, NULL, 'PTHR31152:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HAKAI-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(187727, NULL, 'PTHR35013:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG04660', NULL, NULL, NULL, 15),
(187728, NULL, 'PTHR12411:SF747', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEINASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(187729, NULL, 'PTHR24298:SF59', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 705, SUBFAMILY A, POLYPEPTIDE 25-RELATED', NULL, NULL, NULL, 15),
(187730, NULL, 'PTHR13044:SF39', NULL, NULL, NULL, NULL, 'ATF (CAMP-DEPENDENT TRANSCRIPTION FACTOR) FAMILY', NULL, NULL, NULL, 15),
(187731, NULL, 'PTHR34405:SF1', NULL, NULL, NULL, NULL, 'CRISPR-ASSOCIATED ENDORIBONUCLEASE CAS2', NULL, NULL, NULL, 15),
(187732, NULL, 'PTHR34709:SF12', NULL, NULL, NULL, NULL, 'OS10G0396666 PROTEIN', NULL, NULL, 37593, 15),
(187733, NULL, 'PTHR16166:SF91', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13B-RELATED', NULL, NULL, NULL, 15),
(187734, NULL, 'PTHR12604', NULL, NULL, NULL, NULL, 'KU AUTOANTIGEN DNA HELICASE', NULL, NULL, NULL, 15),
(187735, NULL, 'PTHR22957:SF489', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 21', NULL, NULL, NULL, 15),
(187736, NULL, 'PTHR23503:SF111', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187737, NULL, 'PTHR26450:SF35', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(187738, NULL, 'PTHR31845:SF20', NULL, NULL, NULL, NULL, 'FINGER DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187739, NULL, 'PTHR11700:SF26', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL RIBOSOMAL PROTEIN S10', NULL, NULL, NULL, 15),
(187740, NULL, 'PTHR13691:SF5', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(187741, NULL, 'PTHR37216:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187742, NULL, 'PTHR14247:SF6', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 3C', NULL, NULL, NULL, 15),
(187743, NULL, 'PTHR23333:SF39', NULL, NULL, NULL, NULL, 'BNAA04G12510D PROTEIN', NULL, NULL, NULL, 15),
(187744, NULL, 'PTHR31469:SF7', NULL, NULL, NULL, NULL, 'CALCIUM ION BINDING', NULL, NULL, NULL, 15),
(187745, NULL, 'PTHR32054:SF2', NULL, NULL, NULL, NULL, 'PROTEIN PLASTID MOVEMENT IMPAIRED 15', NULL, NULL, NULL, 15),
(187746, NULL, 'PTHR10334:SF476', NULL, NULL, NULL, NULL, 'BNAA08G11460D PROTEIN', NULL, NULL, NULL, 15),
(187747, NULL, 'PTHR45707:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187748, NULL, 'PTHR32116:SF12', NULL, NULL, NULL, NULL, 'GALACTURONOSYLTRANSFERASE 7-RELATED', NULL, NULL, NULL, 15),
(187749, NULL, 'PTHR20913', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 20/GTPASE', NULL, NULL, 40017, 15),
(187750, NULL, 'PTHR11802:SF342', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(187751, NULL, 'PTHR13723:SF159', NULL, NULL, NULL, NULL, 'SI:CH211-267E7.3', NULL, NULL, NULL, 15),
(187752, NULL, 'PTHR31639:SF23', NULL, NULL, NULL, NULL, 'CYCLIN-LIKE F-BOX', NULL, NULL, NULL, 15),
(187753, NULL, 'PTHR13140:SF809', NULL, NULL, NULL, NULL, 'HEAVY CHAIN, UNCONVENTIONAL MYOSIN', NULL, NULL, NULL, 15),
(187754, NULL, 'PTHR22882:SF3', NULL, NULL, NULL, NULL, 'SYNPHILIN-1', NULL, NULL, NULL, 15),
(187755, NULL, 'PTHR10612:SF11', NULL, NULL, NULL, NULL, 'KARL, ISOFORM A', NULL, NULL, NULL, 15),
(187756, NULL, 'PTHR31683', NULL, NULL, NULL, NULL, 'PECTATE LYASE 18-RELATED', NULL, NULL, 38052, 15),
(187757, NULL, 'PTHR21705', NULL, NULL, NULL, NULL, 'RAI16 PROTEIN-RELATED', NULL, NULL, 15823, 15),
(187758, NULL, 'PTHR46213:SF18', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE-RELATED', NULL, NULL, NULL, 15),
(187759, NULL, 'PTHR11412:SF163', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT C3A, DUPLICATE 1-RELATED', NULL, NULL, NULL, 15),
(187760, NULL, 'PTHR35524:SF1', NULL, NULL, NULL, NULL, 'ALPHA-ACETOLACTATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(187761, NULL, 'PTHR31604:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR STY-LRP1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(187762, NULL, 'PTHR33402:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187763, NULL, 'PTHR12374:SF27', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187764, NULL, 'PTHR15739:SF4', NULL, NULL, NULL, NULL, 'F-BOX ONLY PROTEIN 41', NULL, NULL, NULL, 15),
(187765, NULL, 'PTHR34827', NULL, NULL, NULL, NULL, 'INSULIN GROWTH FACTOR-LIKE FAMILY MEMBER 3-RELATED', NULL, NULL, 22363, 15),
(187766, NULL, 'PTHR23162:SF10', NULL, NULL, NULL, NULL, 'FI13205P', NULL, NULL, NULL, 15),
(187767, NULL, 'PTHR22950:SF663', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER, TRANSMEMBRANE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187768, NULL, 'PTHR11278:SF15', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15),
(187769, NULL, 'PTHR23192:SF34', NULL, NULL, NULL, NULL, 'NOELIN', NULL, NULL, 27411, 15),
(187770, NULL, 'PTHR11017:SF374', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187771, NULL, 'PTHR27008:SF403', NULL, NULL, NULL, NULL, 'OS09G0110100 PROTEIN', NULL, NULL, NULL, 15),
(187772, NULL, 'PTHR48001:SF114', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1C1', NULL, NULL, NULL, 15),
(187773, NULL, 'PTHR11468:SF3', NULL, NULL, NULL, NULL, 'GLYCOGEN PHOSPHORYLASE', NULL, NULL, NULL, 15),
(187774, NULL, 'PTHR34847', NULL, NULL, NULL, NULL, 'NODULATION PROTEIN U', NULL, NULL, NULL, 15),
(187775, NULL, 'PTHR23104:SF10', NULL, NULL, NULL, NULL, 'MULTIPLE COAGULATION FACTOR DEFICIENCY PROTEIN 2', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187776, NULL, 'PTHR23077:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187777, NULL, 'PTHR33333:SF18', NULL, NULL, NULL, NULL, 'OS07G0605900 PROTEIN', NULL, NULL, NULL, 15),
(187778, NULL, 'PTHR14379:SF26', NULL, NULL, NULL, NULL, 'BNAA01G25060D PROTEIN', NULL, NULL, NULL, 15),
(187779, NULL, 'PTHR31354:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187780, NULL, 'PTHR23103:SF7', NULL, NULL, NULL, NULL, 'AMYLOID-BETA PRECURSOR PROTEIN', NULL, NULL, 27505, 15),
(187781, NULL, 'PTHR10677:SF3', NULL, NULL, NULL, NULL, 'FI07626P-RELATED', NULL, NULL, NULL, 15),
(187782, NULL, 'PTHR31561:SF144', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(187783, NULL, 'PTHR46777:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187784, NULL, 'PTHR47786:SF2', NULL, NULL, NULL, NULL, 'ALPHA-1,4-GLUCAN:MALTOSE-1-PHOSPHATE MALTOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(187785, NULL, 'PTHR48006:SF14', NULL, NULL, NULL, NULL, 'BNAC03G12520D PROTEIN', NULL, NULL, NULL, 15),
(187786, NULL, 'PTHR47991:SF82', NULL, NULL, NULL, NULL, 'OXOGLUTARATE/IRON-DEPENDENT DIOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(187787, NULL, 'PTHR24062:SF171', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(187788, NULL, 'PTHR11709:SF380', NULL, NULL, NULL, NULL, 'LACCASE-4', NULL, NULL, NULL, 15),
(187789, NULL, 'PTHR31065:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187790, NULL, 'PTHR13707:SF30', NULL, NULL, NULL, NULL, 'SUCCINYL-COA:3-KETOACID COENZYME A TRANSFERASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(187791, NULL, 'PTHR11417:SF29', NULL, NULL, NULL, NULL, 'PROLACTIN-7C1', NULL, NULL, NULL, 15),
(187792, NULL, 'PTHR11851:SF192', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL-PROCESSING PEPTIDASE SUBUNIT ALPHA', NULL, NULL, 33526, 15),
(187793, NULL, 'PTHR19957:SF224', NULL, NULL, NULL, NULL, 'SYNTAXIN-61', NULL, NULL, NULL, 15),
(187794, NULL, 'PTHR43363', NULL, NULL, NULL, NULL, 'HYPOXANTHINE PHOSPHORIBOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(187795, NULL, 'PTHR26454:SF31', NULL, NULL, NULL, NULL, 'MCG1036559', NULL, NULL, NULL, 15),
(187796, NULL, 'PTHR43691:SF11', NULL, NULL, NULL, NULL, 'URIDINE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(187797, NULL, 'PTHR33875:SF3', NULL, NULL, NULL, NULL, 'OSJNBB0015G09.12 PROTEIN', NULL, NULL, NULL, 15),
(187798, NULL, 'PTHR31221:SF256', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187799, NULL, 'PTHR47620:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 2 OPEN READING FRAME 66', NULL, NULL, NULL, 15),
(187800, NULL, 'PTHR47327:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG00402', NULL, NULL, NULL, 15),
(187801, NULL, 'PTHR24346:SF1', NULL, NULL, NULL, NULL, 'MAP/MICROTUBULE AFFINITY-REGULATING KINASE 3', NULL, NULL, 33313, 15),
(187802, NULL, 'PTHR26452:SF125', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 13A1', NULL, NULL, NULL, 15),
(187803, NULL, 'PTHR11709:SF117', NULL, NULL, NULL, NULL, 'MULTICOPPER OXIDASE LPR1 HOMOLOG 4', NULL, NULL, NULL, 15),
(187804, NULL, 'PTHR34574:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187805, NULL, 'PTHR11132:SF397', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187806, NULL, 'PTHR34766:SF1', NULL, NULL, NULL, NULL, 'UPF0449 PROTEIN C19ORF25', NULL, NULL, NULL, 15),
(187807, NULL, 'PTHR34539:SF16', NULL, NULL, NULL, NULL, 'BNAA08G19990D PROTEIN', NULL, NULL, NULL, 15),
(187808, NULL, 'PTHR21461:SF52', NULL, NULL, NULL, NULL, 'SI:ZFOS-464B6.2', NULL, NULL, NULL, 15),
(187809, NULL, 'PTHR27007:SF130', NULL, NULL, NULL, NULL, 'INACTIVE LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE CORYNE', NULL, NULL, NULL, 15),
(187810, NULL, 'PTHR45824:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL TRANSFER PROTEIN PDR17', NULL, NULL, NULL, 15),
(187811, NULL, 'PTHR14096:SF62', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN L 7A-RELATED', NULL, NULL, NULL, 15),
(187812, NULL, 'PTHR12398:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187813, NULL, 'PTHR46027:SF1', NULL, NULL, NULL, NULL, 'PEROXISOMAL TARGETING SIGNAL 2 RECEPTOR', NULL, NULL, NULL, 15),
(187814, NULL, 'PTHR45676:SF34', NULL, NULL, NULL, NULL, 'OS11G0703300 PROTEIN', NULL, NULL, NULL, 15),
(187815, NULL, 'PTHR23014', NULL, NULL, NULL, NULL, 'F-BOX A PROTEIN', NULL, NULL, NULL, 15),
(187816, NULL, 'PTHR43859:SF54', NULL, NULL, NULL, NULL, 'ACETATE/BUTYRATE--COA LIGASE AAE7, PEROXISOMAL', NULL, NULL, NULL, 15),
(187817, NULL, 'PTHR23428:SF287', NULL, NULL, NULL, NULL, 'HISTONE H2B TYPE 3-B', NULL, NULL, NULL, 15),
(187818, NULL, 'PTHR45224:SF11', NULL, NULL, NULL, NULL, 'TRANSPOSON PROTEIN PONG SUB-CLASS', NULL, NULL, NULL, 15),
(187819, NULL, 'PTHR26453:SF58', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2D2-LIKE', NULL, NULL, NULL, 15),
(187820, NULL, 'PTHR10131:SF136', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187821, NULL, 'PTHR21089:SF33', NULL, NULL, NULL, NULL, 'BNAA05G30990D PROTEIN', NULL, NULL, NULL, 15),
(187822, NULL, 'PTHR12138:SF74', NULL, NULL, NULL, NULL, 'DOWN SYNDROME CRITICAL REGION PROTEIN 8', NULL, NULL, NULL, 15),
(187823, NULL, 'PTHR12232:SF5', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING GLUTAMIC ACID-RICH-LIKE PROTEIN', NULL, NULL, NULL, 15),
(187824, NULL, 'PTHR10891:SF745', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING PROTEIN CML46-RELATED', NULL, NULL, NULL, 15),
(187825, NULL, 'PTHR35693:SF2', NULL, NULL, NULL, NULL, 'BNAA09G29210D PROTEIN', NULL, NULL, NULL, 15),
(187826, NULL, 'PTHR12734', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-RELATED', NULL, NULL, 29874, 15),
(187827, NULL, 'PTHR32278:SF97', NULL, NULL, NULL, NULL, 'BNAA06G34200D PROTEIN', NULL, NULL, NULL, 15),
(187828, NULL, 'PTHR27005:SF305', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED KINASE 2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(187829, NULL, 'PTHR32012', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 182-RELATED', NULL, NULL, 25254, 15),
(187830, NULL, 'PTHR48024:SF30', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN A0', NULL, NULL, NULL, 15),
(187831, NULL, 'PTHR48134', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN 96-92-RELATED-RELATED', NULL, NULL, NULL, 15),
(187832, NULL, 'PTHR47924:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187833, NULL, 'PTHR47540:SF3', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(187834, NULL, 'PTHR21557', NULL, NULL, NULL, NULL, 'CORDON-BLEU', NULL, NULL, 34741, 15),
(187835, NULL, 'PTHR43206:SF1', NULL, NULL, NULL, NULL, '4-AMINOBUTYRATE AMINOTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(187836, NULL, 'PTHR10857:SF120', NULL, NULL, NULL, NULL, 'PROTEIN BONZAI 3', NULL, NULL, 24776, 15),
(187837, NULL, 'PTHR46868:SF5', NULL, NULL, NULL, NULL, 'FCS-LIKE ZINC FINGER 10', NULL, NULL, NULL, 15),
(187838, NULL, 'PTHR40254', NULL, NULL, NULL, NULL, 'BLR0577 PROTEIN', NULL, NULL, NULL, 15),
(187839, NULL, 'PTHR33214:SF37', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 2', NULL, NULL, NULL, 15),
(187840, NULL, 'PTHR11680:SF41', NULL, NULL, NULL, NULL, 'SERINE TRANSHYDROXYMETHYLTRANSFERASE', NULL, NULL, NULL, 15),
(187841, NULL, 'PTHR48106:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187842, NULL, 'PTHR12300:SF135', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(187843, NULL, 'PTHR34591:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187844, NULL, 'PTHR13315:SF4', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE, ISOFORM E', NULL, NULL, NULL, 15),
(187845, NULL, 'PTHR33165:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187846, NULL, 'PTHR46037', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCER OF SEVENLESS 2B', NULL, NULL, 37344, 15),
(187847, NULL, 'PTHR20961:SF133', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187848, NULL, 'PTHR14995', NULL, NULL, NULL, NULL, 'AMNIONLESS', NULL, NULL, 27840, 15),
(187849, NULL, 'PTHR45431:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187850, NULL, 'PTHR46286:SF7', NULL, NULL, NULL, NULL, 'PROTEIN VERNALIZATION INSENSITIVE 3', NULL, NULL, NULL, 15),
(187851, NULL, 'PTHR43880:SF12', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE CLASS-3', NULL, NULL, NULL, 15),
(187852, NULL, 'PTHR33065:SF92', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187853, NULL, 'PTHR11377', NULL, NULL, NULL, NULL, 'N-MYRISTOYL TRANSFERASE', NULL, NULL, 3457, 15),
(187854, NULL, 'PTHR43430:SF1', NULL, NULL, NULL, NULL, 'CARBOXYMETHYLENEBUTENOLIDASE HOMOLOG', NULL, NULL, NULL, 15),
(187855, NULL, 'PTHR22943', NULL, NULL, NULL, NULL, '7-TRANSMEMBRANE DOMAIN RECEPTOR  C.ELEGANS', NULL, NULL, NULL, 15),
(187856, NULL, 'PTHR43634:SF9', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(187857, NULL, 'PTHR31867:SF14', NULL, NULL, NULL, NULL, 'EXPANSIN-A31', NULL, NULL, NULL, 15),
(187858, NULL, 'PTHR12081:SF80', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR E2FA', NULL, NULL, NULL, 15),
(187859, NULL, 'PTHR11550:SF2', NULL, NULL, NULL, NULL, 'CTP SYNTHASE 2', NULL, NULL, NULL, 15),
(187860, NULL, 'PTHR48037', NULL, NULL, NULL, NULL, 'ATPASE E1', NULL, NULL, NULL, 15),
(187861, NULL, 'PTHR11863:SF161', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 1-2-LIKE', NULL, NULL, NULL, 15),
(187862, NULL, 'PTHR36747', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(187863, NULL, 'PTHR10182:SF12', NULL, NULL, NULL, NULL, 'OS07G0585100 PROTEIN', NULL, NULL, NULL, 15),
(187864, NULL, 'PTHR23147:SF119', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 2', NULL, NULL, 11479, 15),
(187865, NULL, 'PTHR33592:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187866, NULL, 'PTHR13585:SF27', NULL, NULL, NULL, NULL, 'PROTEIN CBG02458', NULL, NULL, NULL, 15),
(187867, NULL, 'PTHR47956:SF25', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71D10-LIKE', NULL, NULL, NULL, 15),
(187868, NULL, 'PTHR31304:SF2', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN 40, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(187869, NULL, 'PTHR12411:SF722', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RD21B-RELATED', NULL, NULL, NULL, 15),
(187870, NULL, 'PTHR10484:SF180', NULL, NULL, NULL, NULL, 'HISTONE H4-LIKE PROTEIN TYPE G', NULL, NULL, NULL, 15),
(187871, NULL, 'PTHR46326:SF20', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN ZAT1-LIKE', NULL, NULL, NULL, 15),
(187872, NULL, 'PTHR11945:SF475', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 5', NULL, NULL, NULL, 15),
(187873, NULL, 'PTHR37089:SF3', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187874, NULL, 'PTHR13475:SF3', NULL, NULL, NULL, NULL, 'NEUGRIN', NULL, NULL, NULL, 15),
(187875, NULL, 'PTHR15315:SF89', NULL, NULL, NULL, NULL, 'PROTEIN NCA1', NULL, NULL, NULL, 15),
(187876, NULL, 'PTHR39447', NULL, NULL, NULL, NULL, 'ALPHA-L-ARABINOFURANOSIDASE B', NULL, NULL, 31956, 15),
(187877, NULL, 'PTHR34709:SF53', NULL, NULL, NULL, NULL, 'OS07G0229100 PROTEIN', NULL, NULL, NULL, 15),
(187878, NULL, 'PTHR33600:SF15', NULL, NULL, NULL, NULL, 'BNAC09G29550D PROTEIN', NULL, NULL, NULL, 15),
(187879, NULL, 'PTHR45637:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE RHS3', NULL, NULL, NULL, 15),
(187880, NULL, 'PTHR33181:SF46', NULL, NULL, NULL, NULL, 'BNAC01G41370D PROTEIN', NULL, NULL, NULL, 15),
(187881, NULL, 'PTHR12411:SF737', NULL, NULL, NULL, NULL, 'CATHEPSIN B', NULL, NULL, NULL, 15),
(187882, NULL, 'PTHR12290:SF38', NULL, NULL, NULL, NULL, 'CORNICHON FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187883, NULL, 'PTHR15887:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 69', NULL, NULL, NULL, 15),
(187884, NULL, 'PTHR28582:SF1', NULL, NULL, NULL, NULL, 'TRNA-SPLICING ENDONUCLEASE SUBUNIT SEN15', NULL, NULL, NULL, 15),
(187885, NULL, 'PTHR23112:SF39', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 116', NULL, NULL, NULL, 15),
(187886, NULL, 'PTHR35147:SF2', NULL, NULL, NULL, NULL, 'CHEMORECEPTOR GLUTAMINE DEAMIDASE CHED-RELATED', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187887, NULL, 'PTHR23187:SF3', NULL, NULL, NULL, NULL, 'SUMO-INTERACTING MOTIF-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(187888, NULL, 'PTHR13890:SF37', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-I-LIKE', NULL, NULL, NULL, 15),
(187889, NULL, 'PTHR28450:SF1', NULL, NULL, NULL, NULL, 'FANCONI ANEMIA GROUP B PROTEIN', NULL, NULL, NULL, 15),
(187890, NULL, 'PTHR31009:SF104', NULL, NULL, NULL, NULL, 'BNAC02G44900D PROTEIN', NULL, NULL, NULL, 15),
(187891, NULL, 'PTHR12603:SF11', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187892, NULL, 'PTHR10827:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187893, NULL, 'PTHR34810:SF1', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN BIN4', NULL, NULL, NULL, 15),
(187894, NULL, 'PTHR31642:SF240', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187895, NULL, 'PTHR13555:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187896, NULL, 'PTHR20852:SF98', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE', NULL, NULL, NULL, 15),
(187897, NULL, 'PTHR31692:SF66', NULL, NULL, NULL, NULL, 'EXPANSIN-LIKE B1', NULL, NULL, NULL, 15),
(187898, NULL, 'PTHR14356', NULL, NULL, NULL, NULL, 'INTERLEUKIN-15-RELATED', NULL, NULL, 5118, 15),
(187899, NULL, 'PTHR11761:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187900, NULL, 'PTHR12565:SF404', NULL, NULL, NULL, NULL, 'BNAA08G15250D PROTEIN', NULL, NULL, 23761, 15),
(187901, NULL, 'PTHR14677:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER AN1 AND C2H2 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 13', NULL, NULL, NULL, 15),
(187902, NULL, 'PTHR46579:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187903, NULL, 'PTHR43690:SF29', NULL, NULL, NULL, NULL, 'INSULIN-DEGRADING ENZYME-LIKE 1, PEROXISOMAL', NULL, NULL, NULL, 15),
(187904, NULL, 'PTHR31350:SF22', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(187905, NULL, 'PTHR22750:SF3', NULL, NULL, NULL, NULL, 'ADRENOCORTICOTROPIC HORMONE RECEPTOR', NULL, NULL, 1289, 15),
(187906, NULL, 'PTHR27009:SF189', NULL, NULL, NULL, NULL, 'BNACNNG21280D PROTEIN', NULL, NULL, NULL, 15),
(187907, NULL, 'PTHR34785:SF4', NULL, NULL, NULL, NULL, 'ECA1 GAMETOGENESIS RELATED FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187908, NULL, 'PTHR11373:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187909, NULL, 'PTHR15186:SF9', NULL, NULL, NULL, NULL, 'ZGC:73226', NULL, NULL, NULL, 15),
(187910, NULL, 'PTHR45658:SF50', NULL, NULL, NULL, NULL, 'GATA ZINC FINGER DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(187911, NULL, 'PTHR24282:SF113', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(187912, NULL, 'PTHR32096:SF83', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 54-RELATED', NULL, NULL, NULL, 15),
(187913, NULL, 'PTHR22979:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 512', NULL, NULL, NULL, 15),
(187914, NULL, 'PTHR11649:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187915, NULL, 'PTHR31248:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187916, NULL, 'PTHR23147:SF55', NULL, NULL, NULL, NULL, 'SERINE/ARGININE-RICH SPLICING FACTOR 4', NULL, NULL, NULL, 15),
(187917, NULL, 'PTHR15191:SF2', NULL, NULL, NULL, NULL, 'PITUITARY TUMOR-TRANSFORMING GENE 1 PROTEIN-INTERACTING PROTEIN', NULL, NULL, 37000, 15),
(187918, NULL, 'PTHR34949:SF2', NULL, NULL, NULL, NULL, 'OS05G0443700 PROTEIN', NULL, NULL, NULL, 15),
(187919, NULL, 'PTHR47202', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187920, NULL, 'PTHR11017:SF292', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(187921, NULL, 'PTHR14098:SF14', NULL, NULL, NULL, NULL, 'RH14395P', NULL, NULL, NULL, 15),
(187922, NULL, 'PTHR43874:SF66', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR2-LIKE', NULL, NULL, NULL, 15),
(187923, NULL, 'PTHR11426:SF44', NULL, NULL, NULL, NULL, 'HISTONE H3.3C', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187924, NULL, 'PTHR47925:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187925, NULL, 'PTHR31199:SF1', NULL, NULL, NULL, NULL, 'ARPIN', NULL, NULL, NULL, 15),
(187926, NULL, 'PTHR24351:SF43', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE ALPHA-1', NULL, NULL, NULL, 15),
(187927, NULL, 'PTHR22957:SF439', NULL, NULL, NULL, NULL, 'RAB GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, 31642, 15),
(187928, NULL, 'PTHR24104:SF23', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 2B', NULL, NULL, NULL, 15),
(187929, NULL, 'PTHR45752:SF95', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (NBS-LRR CLASS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(187930, NULL, 'PTHR22953:SF123', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(187931, NULL, 'PTHR11783:SF235', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(187932, NULL, 'PTHR24329:SF550', NULL, NULL, NULL, NULL, 'REVERSED POLARITY', NULL, NULL, NULL, 15),
(187933, NULL, 'PTHR35357:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187934, NULL, 'PTHR48052', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(187935, NULL, 'PTHR10609:SF4', NULL, NULL, NULL, NULL, 'VASCULAR NON-INFLAMMATORY MOLECULE 3', NULL, NULL, NULL, 15),
(187936, NULL, 'PTHR16320:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187937, NULL, 'PTHR31639:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187938, NULL, 'PTHR32295:SF159', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 20', NULL, NULL, NULL, 15),
(187939, NULL, 'PTHR34820:SF4', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YEBZ', NULL, NULL, NULL, 15),
(187940, NULL, 'PTHR46917', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(187941, NULL, 'PTHR26453:SF125', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2T1', NULL, NULL, NULL, 15),
(187942, NULL, 'PTHR45874:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN ABDOMINAL-B', NULL, NULL, NULL, 15),
(187943, NULL, 'PTHR43689:SF9', NULL, NULL, NULL, NULL, 'LYSOPHOSPHOLIPASE BODYGUARD 3-RELATED', NULL, NULL, NULL, 15),
(187944, NULL, 'PTHR31852:SF175', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(187945, NULL, 'PTHR46710', NULL, NULL, NULL, NULL, 'ARM REPEAT PROTEIN INTERACTING WITH ABF2', NULL, NULL, 36628, 15),
(187946, NULL, 'PTHR11614:SF176', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(187947, NULL, 'PTHR10378:SF24', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(187948, NULL, 'PTHR45950:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ATHB-8', NULL, NULL, NULL, 15),
(187949, NULL, 'PTHR43065:SF28', NULL, NULL, NULL, NULL, 'HISTIDINE KINASE/RESPONSE REGULATOR HYBRID PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(187950, NULL, 'PTHR12297:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187951, NULL, 'PTHR24202:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MIB2', NULL, NULL, NULL, 15),
(187952, NULL, 'PTHR48073:SF4', NULL, NULL, NULL, NULL, 'DIPEPTIDE EPIMERASE', NULL, NULL, NULL, 15),
(187953, NULL, 'PTHR23428:SF295', NULL, NULL, NULL, NULL, 'HISTONE H2B', NULL, NULL, NULL, 15),
(187954, NULL, 'PTHR46662:SF5', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(187955, NULL, 'PTHR33136:SF48', NULL, NULL, NULL, NULL, 'PROTEIN RALF-LIKE 14-RELATED', NULL, NULL, NULL, 15),
(187956, NULL, 'PTHR30094:SF5', NULL, NULL, NULL, NULL, 'ACID--AMINE LIGASE YJFC-RELATED', NULL, NULL, NULL, 15),
(187957, NULL, 'PTHR23315:SF49', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(187958, NULL, 'PTHR31793:SF25', NULL, NULL, NULL, NULL, 'OS04G0553100 PROTEIN', NULL, NULL, NULL, 15),
(187959, NULL, 'PTHR44826:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187960, NULL, 'PTHR31890:SF17', NULL, NULL, NULL, NULL, 'BNAC03G27610D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187961, NULL, 'PTHR36837:SF4', NULL, NULL, NULL, NULL, 'PHB DEPOLYMERASE', NULL, NULL, NULL, 15),
(187962, NULL, 'PTHR11571:SF247', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 1', NULL, NULL, NULL, 15),
(187963, NULL, 'PTHR21229:SF60', NULL, NULL, NULL, NULL, 'PROTEIN GPR107-LIKE', NULL, NULL, NULL, 15),
(187964, NULL, 'PTHR11777:SF10', NULL, NULL, NULL, NULL, 'ALANINE--TRNA LIGASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(187965, NULL, 'PTHR42966:SF2', NULL, NULL, NULL, NULL, 'PSEUDAMINIC ACID SYNTHASE', NULL, NULL, NULL, 15),
(187966, NULL, 'PTHR47127:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187967, NULL, 'PTHR24412:SF441', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 28', NULL, NULL, NULL, 15),
(187968, NULL, 'PTHR23198', NULL, NULL, NULL, NULL, 'NUCLEOPORIN', NULL, NULL, 35067, 15),
(187969, NULL, 'PTHR11017:SF360', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187970, NULL, 'PTHR43612:SF3', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL ENZYME SUBUNIT ALPHA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(187971, NULL, 'PTHR24070:SF385', NULL, NULL, NULL, NULL, 'GTPASE HRAS', NULL, NULL, NULL, 15),
(187972, NULL, 'PTHR23232:SF84', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187973, NULL, 'PTHR47161:SF1', NULL, NULL, NULL, NULL, 'LYMPHOID-SPECIFIC HELICASE', NULL, NULL, NULL, 15),
(187974, NULL, 'PTHR46019:SF2', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B MEMBER 6', NULL, NULL, 27271, 15),
(187975, NULL, 'PTHR31241:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187976, NULL, 'PTHR19282:SF44', NULL, NULL, NULL, NULL, 'CD82 ANTIGEN', NULL, NULL, NULL, 15),
(187977, NULL, 'PTHR31639:SF157', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(187978, NULL, 'PTHR45719:SF13', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 14 PROTEIN-LIKE', NULL, NULL, NULL, 15),
(187979, NULL, 'PTHR11759:SF45', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S14-2', NULL, NULL, NULL, 15),
(187980, NULL, 'PTHR11814:SF236', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER 1.3', NULL, NULL, NULL, 15),
(187981, NULL, 'PTHR31223:SF65', NULL, NULL, NULL, NULL, 'CYTOKININ RIBOSIDE 5''-MONOPHOSPHATE PHOSPHORIBOHYDROLASE LOG1', NULL, NULL, NULL, 15),
(187982, NULL, 'PTHR32467:SF174', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(187983, NULL, 'PTHR22802:SF220', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(187984, NULL, 'PTHR32080:SF57', NULL, NULL, NULL, NULL, 'BNAC03G71000D PROTEIN', NULL, NULL, NULL, 15),
(187985, NULL, 'PTHR23201:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187986, NULL, 'PTHR27001:SF480', NULL, NULL, NULL, NULL, 'OS06G0488050 PROTEIN', NULL, NULL, NULL, 15),
(187987, NULL, 'PTHR21327:SF18', NULL, NULL, NULL, NULL, '3,4-DIHYDROXY-2-BUTANONE 4-PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(187988, NULL, 'PTHR23160', NULL, NULL, NULL, NULL, 'SYNAPTONEMAL COMPLEX PROTEIN-RELATED', NULL, NULL, NULL, 15),
(187989, NULL, 'PTHR22814:SF110', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 21', NULL, NULL, NULL, 15),
(187990, NULL, 'PTHR38654', NULL, NULL, NULL, NULL, 'BUCKY BALL-RELATED', NULL, NULL, NULL, 15),
(187991, NULL, 'PTHR12411:SF589', NULL, NULL, NULL, NULL, 'ERVATAMIN-B-LIKE', NULL, NULL, NULL, 15),
(187992, NULL, 'PTHR21481', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 35634, 15),
(187993, NULL, 'PTHR48063:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(187994, NULL, 'PTHR31080:SF206', NULL, NULL, NULL, NULL, 'BNAA06G34770D PROTEIN', NULL, NULL, NULL, 15),
(187995, NULL, 'PTHR11706:SF75', NULL, NULL, NULL, NULL, 'ETHYLENE-INSENSITIVE PROTEIN 2', NULL, NULL, NULL, 15),
(187996, NULL, 'PTHR30034:SF4', NULL, NULL, NULL, NULL, 'SECRETION SYSTEM APPARATUS PROTEIN SSAQ', NULL, NULL, NULL, 15),
(187997, NULL, 'PTHR45801:SF58', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(187998, NULL, 'PTHR45780:SF7', NULL, NULL, NULL, NULL, 'ETHANOLAMINE-PHOSPHATE CYTIDYLYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(187999, NULL, 'PTHR35174:SF4', NULL, NULL, NULL, NULL, 'BLL7163 PROTEIN', NULL, NULL, NULL, 15),
(188000, NULL, 'PTHR48041:SF62', NULL, NULL, NULL, NULL, 'BNAC01G19560D PROTEIN', NULL, NULL, NULL, 15),
(188001, NULL, 'PTHR47924:SF26', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188002, NULL, 'PTHR43833:SF11', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL', NULL, NULL, NULL, 15),
(188003, NULL, 'PTHR31190:SF236', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 13-LIKE', NULL, NULL, NULL, 15),
(188004, NULL, 'PTHR23074:SF83', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 4A', NULL, NULL, NULL, 15),
(188005, NULL, 'PTHR10177:SF193', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN-B1', NULL, NULL, NULL, 15),
(188006, NULL, 'PTHR12313:SF62', NULL, NULL, NULL, NULL, 'BNAA08G14090D PROTEIN', NULL, NULL, NULL, 15),
(188007, NULL, 'PTHR32411:SF55', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 55', NULL, NULL, NULL, 15),
(188008, NULL, 'PTHR13683:SF849', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE FAMILY PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(188009, NULL, 'PTHR38354', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE COMPLEX-LIKE PROTEIN DTM1', NULL, NULL, 33903, 15),
(188010, NULL, 'PTHR11562:SF95', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER', NULL, NULL, NULL, 15),
(188011, NULL, 'PTHR47312:SF1', NULL, NULL, NULL, NULL, 'MELANOMA-DERIVED GROWTH REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(188012, NULL, 'PTHR35997', NULL, NULL, NULL, NULL, 'COTTON FIBER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188013, NULL, 'PTHR13902:SF145', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE WNK7-RELATED', NULL, NULL, NULL, 15),
(188014, NULL, 'PTHR11216:SF118', NULL, NULL, NULL, NULL, 'SARCALUMENIN', NULL, NULL, NULL, 15),
(188015, NULL, 'PTHR45619:SF17', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE PP2A-5 CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(188016, NULL, 'PTHR47931', NULL, NULL, NULL, NULL, 'OS01G0228400 PROTEIN', NULL, NULL, NULL, 15),
(188017, NULL, 'PTHR47043:SF1', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE TRANSFERASE SUBUNIT ALG13', NULL, NULL, NULL, 15),
(188018, NULL, 'PTHR10367:SF0', NULL, NULL, NULL, NULL, 'MRNA-CAPPING ENZYME', NULL, NULL, NULL, 15),
(188019, NULL, 'PTHR22835:SF241', NULL, NULL, NULL, NULL, 'LIPASE-LIKE', NULL, NULL, NULL, 15),
(188020, NULL, 'PTHR31319:SF50', NULL, NULL, NULL, NULL, 'OSJNBA0067K08.19 PROTEIN', NULL, NULL, NULL, 15),
(188021, NULL, 'PTHR46128:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188022, NULL, 'PTHR31346:SF3', NULL, NULL, NULL, NULL, 'MULTIPLE ORGANELLAR RNA EDITING FACTOR 9, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(188023, NULL, 'PTHR44259:SF61', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188024, NULL, 'PTHR22595:SF172', NULL, NULL, NULL, NULL, 'BNAC04G49100D PROTEIN', NULL, NULL, NULL, 15),
(188025, NULL, 'PTHR44083', NULL, NULL, NULL, NULL, 'TOPLESS-RELATED PROTEIN 1-RELATED', NULL, NULL, 22331, 15),
(188026, NULL, 'PTHR11860:SF88', NULL, NULL, NULL, NULL, 'HEPATITIS A VIRUS CELLULAR RECEPTOR 2', NULL, NULL, NULL, 15),
(188027, NULL, 'PTHR47926:SF95', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT (TPR)-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(188028, NULL, 'PTHR37534:SF16', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_7G04170)-RELATED', NULL, NULL, NULL, 15),
(188029, NULL, 'PTHR15298:SF15', NULL, NULL, NULL, NULL, 'SI:DKEY-76K16.6', NULL, NULL, NULL, 15),
(188030, NULL, 'PTHR33459:SF11', NULL, NULL, NULL, NULL, 'DIFFERENTIATION-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(188031, NULL, 'PTHR24412', NULL, NULL, NULL, NULL, 'KELCH PROTEIN', NULL, NULL, NULL, 15),
(188032, NULL, 'PTHR11945:SF649', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188033, NULL, 'PTHR48108:SF15', NULL, NULL, NULL, NULL, 'BNAA03G50880D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188034, NULL, 'PTHR45864:SF7', NULL, NULL, NULL, NULL, 'SLINGSHOT PROTEIN PHOSPHATASE 1B', NULL, NULL, NULL, 15),
(188035, NULL, 'PTHR11575:SF42', NULL, NULL, NULL, NULL, 'SULFUR OXIDATION PROTEIN SOXB', NULL, NULL, NULL, 15),
(188036, NULL, 'PTHR47166:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 831', NULL, NULL, NULL, 15),
(188037, NULL, 'PTHR11922', NULL, NULL, NULL, NULL, 'GMP SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(188038, NULL, 'PTHR31021:SF2', NULL, NULL, NULL, NULL, 'PROTEIN APCDD1', NULL, NULL, NULL, 15),
(188039, NULL, 'PTHR10972:SF109', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN 12', NULL, NULL, NULL, 15),
(188040, NULL, 'PTHR35192:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(188041, NULL, 'PTHR21652', NULL, NULL, NULL, NULL, 'PR DOMAIN ZINC FINGER TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(188042, NULL, 'PTHR24333:SF7', NULL, NULL, NULL, NULL, 'ZEN', NULL, NULL, NULL, 15),
(188043, NULL, 'PTHR10694:SF99', NULL, NULL, NULL, NULL, 'OS05G0302300 PROTEIN', NULL, NULL, NULL, 15),
(188044, NULL, 'PTHR23528:SF1', NULL, NULL, NULL, NULL, 'SLL1200 PROTEIN', NULL, NULL, NULL, 15),
(188045, NULL, 'PTHR40407', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188046, NULL, 'PTHR22932:SF15', NULL, NULL, NULL, NULL, 'CO-CHAPERONE PROTEIN P23-2', NULL, NULL, NULL, 15),
(188047, NULL, 'PTHR22883:SF366', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(188048, NULL, 'PTHR14313:SF2', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G5B', NULL, NULL, NULL, 15),
(188049, NULL, 'PTHR39158', NULL, NULL, NULL, NULL, 'OS08G0560600 PROTEIN', NULL, NULL, NULL, 15),
(188050, NULL, 'PTHR31744:SF87', NULL, NULL, NULL, NULL, 'CONTAINING PROTEIN 21/22, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(188051, NULL, 'PTHR36793', NULL, NULL, NULL, NULL, 'RIBOSOMAL RNA SMALL SUBUNIT METHYLTRANSFERASE J', NULL, NULL, NULL, 15),
(188052, NULL, 'PTHR11972:SF143', NULL, NULL, NULL, NULL, 'RESPIRATORY BURST OXIDASE HOMOLOG PROTEIN H ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(188053, NULL, 'PTHR11540:SF48', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(188054, NULL, 'PTHR43986:SF8', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE-LIKE PROTEIN GEDE-RELATED', NULL, NULL, NULL, 15),
(188055, NULL, 'PTHR11011:SF90', NULL, NULL, NULL, NULL, 'FATTY ACYL-COA REDUCTASE', NULL, NULL, NULL, 15),
(188056, NULL, 'PTHR23002:SF84', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN GIS2', NULL, NULL, NULL, 15),
(188057, NULL, 'PTHR31791:SF45', NULL, NULL, NULL, NULL, 'FRIGIDA-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188058, NULL, 'PTHR33107:SF13', NULL, NULL, NULL, NULL, 'DR4 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188059, NULL, 'PTHR13247:SF2', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL FISSION 1 PROTEIN', NULL, NULL, NULL, 15),
(188060, NULL, 'PTHR32227:SF274', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 4', NULL, NULL, NULL, 15),
(188061, NULL, 'PTHR36839', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G12770)', NULL, NULL, NULL, 15),
(188062, NULL, 'PTHR45624:SF46', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 15B', NULL, NULL, NULL, 15),
(188063, NULL, 'PTHR31325:SF127', NULL, NULL, NULL, NULL, 'OS02G0243700 PROTEIN', NULL, NULL, NULL, 15),
(188064, NULL, 'PTHR33377:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188065, NULL, 'PTHR30055:SF186', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188066, NULL, 'PTHR46513:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188067, NULL, 'PTHR31552:SF24', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(188068, NULL, 'PTHR43313', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE FAMILY 9C', NULL, NULL, NULL, 15),
(188069, NULL, 'PTHR12537:SF131', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 11', NULL, NULL, NULL, 15),
(188070, NULL, 'PTHR24070:SF380', NULL, NULL, NULL, NULL, 'RAS-LIKE PROTEIN RASS', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188071, NULL, 'PTHR46128:SF157', NULL, NULL, NULL, NULL, 'BNAA07G07990D PROTEIN', NULL, NULL, NULL, 15),
(188072, NULL, 'PTHR31044:SF60', NULL, NULL, NULL, NULL, 'PLASMODESMATA CALLOSE-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(188073, NULL, 'PTHR10746:SF6', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(188074, NULL, 'PTHR46759', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 72', NULL, NULL, 38144, 15),
(188075, NULL, 'PTHR45684:SF29', NULL, NULL, NULL, NULL, 'GTP-BINDING PROTEIN SAR1-LIKE', NULL, NULL, NULL, 15),
(188076, NULL, 'PTHR31503:SF57', NULL, NULL, NULL, NULL, 'VACUOLAR CATION/PROTON EXCHANGER', NULL, NULL, NULL, 15),
(188077, NULL, 'PTHR23006', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(188078, NULL, 'PTHR31506:SF33', NULL, NULL, NULL, NULL, 'BES1/BZR1 HOMOLOG PROTEIN 2', NULL, NULL, NULL, 15),
(188079, NULL, 'PTHR31960:SF16', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN PP2-A11', NULL, NULL, NULL, 15),
(188080, NULL, 'PTHR11662:SF405', NULL, NULL, NULL, NULL, 'SLC (SOLUTE CARRIER) HOMOLOG', NULL, NULL, NULL, 15),
(188081, NULL, 'PTHR10315:SF131', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SINA-LIKE 11-RELATED', NULL, NULL, NULL, 15),
(188082, NULL, 'PTHR31549:SF63', NULL, NULL, NULL, NULL, 'OS08G0355400 PROTEIN', NULL, NULL, NULL, 15),
(188083, NULL, 'PTHR31001:SF53', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(188084, NULL, 'PTHR33107:SF12', NULL, NULL, NULL, NULL, 'KUNITZ TRYPSIN INHIBITOR 1', NULL, NULL, NULL, 15),
(188085, NULL, 'PTHR11849:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188086, NULL, 'PTHR12271:SF115', NULL, NULL, NULL, NULL, 'UTP:RNA URIDYLYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(188087, NULL, 'PTHR35278:SF1', NULL, NULL, NULL, NULL, 'F8K7.16', NULL, NULL, NULL, 15),
(188088, NULL, 'PTHR35807', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR REDD-RELATED', NULL, NULL, NULL, 15),
(188089, NULL, 'PTHR20932:SF41', NULL, NULL, NULL, NULL, 'BNAC02G01250D PROTEIN', NULL, NULL, NULL, 15),
(188090, NULL, 'PTHR47984:SF15', NULL, NULL, NULL, NULL, 'BNAC04G54280D PROTEIN', NULL, NULL, NULL, 15),
(188091, NULL, 'PTHR12993:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188092, NULL, 'PTHR30055:SF155', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR KSTR2', NULL, NULL, NULL, 15),
(188093, NULL, 'PTHR12601:SF6', NULL, NULL, NULL, NULL, 'CLUSTERED MITOCHONDRIA PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(188094, NULL, 'PTHR43952:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188095, NULL, 'PTHR14212:SF1', NULL, NULL, NULL, NULL, 'BNAC03G58240D PROTEIN', NULL, NULL, NULL, 15),
(188096, NULL, 'PTHR22907:SF51', NULL, NULL, NULL, NULL, 'CUTICLIN', NULL, NULL, NULL, 15),
(188097, NULL, 'PTHR11079:SF177', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188098, NULL, 'PTHR23270:SF12', NULL, NULL, NULL, NULL, 'BNAANNG09370D PROTEIN', NULL, NULL, NULL, 15),
(188099, NULL, 'PTHR34387', NULL, NULL, NULL, NULL, 'SLR1258 PROTEIN', NULL, NULL, NULL, 15),
(188100, NULL, 'PTHR33181:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188101, NULL, 'PTHR24044:SF453', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188102, NULL, 'PTHR11654:SF119', NULL, NULL, NULL, NULL, 'DIPEPTIDE PERMEASE D', NULL, NULL, NULL, 15),
(188103, NULL, 'PTHR35118:SF4', NULL, NULL, NULL, NULL, 'BNAC04G52250D PROTEIN', NULL, NULL, NULL, 15),
(188104, NULL, 'PTHR46915:SF1', NULL, NULL, NULL, NULL, 'OTS1B PROTEIN', NULL, NULL, NULL, 15),
(188105, NULL, 'PTHR46031:SF10', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(188106, NULL, 'PTHR46125:SF18', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 24', NULL, NULL, NULL, 15),
(188107, NULL, 'PTHR14379:SF34', NULL, NULL, NULL, NULL, 'BNAC05G23890D PROTEIN', NULL, NULL, NULL, 15),
(188108, NULL, 'PTHR45876:SF4', NULL, NULL, NULL, NULL, 'ZGC:92107', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188109, NULL, 'PTHR31062:SF184', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 29-RELATED', NULL, NULL, NULL, 15),
(188110, NULL, 'PTHR42034', NULL, NULL, NULL, NULL, 'CHROMOSOME 7, WHOLE GENOME SHOTGUN SEQUENCE-RELATED', NULL, NULL, NULL, 15),
(188111, NULL, 'PTHR11732:SF432', NULL, NULL, NULL, NULL, 'NAD(P)-LINKED OXIDOREDUCTASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(188112, NULL, 'PTHR45868:SF56', NULL, NULL, NULL, NULL, 'COPPER-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(188113, NULL, 'PTHR32212:SF346', NULL, NULL, NULL, NULL, 'BNAC09G28370D PROTEIN', NULL, NULL, NULL, 15),
(188114, NULL, 'PTHR32382:SF6', NULL, NULL, NULL, NULL, 'ENDOSPERM SPECIFIC PROTEIN-LIKE', NULL, NULL, NULL, 15),
(188115, NULL, 'PTHR11388:SF16', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER 1A2', NULL, NULL, NULL, 15),
(188116, NULL, 'PTHR11848:SF228', NULL, NULL, NULL, NULL, 'GROWTH/DIFFERENTIATION FACTOR 6-B', NULL, NULL, NULL, 15),
(188117, NULL, 'PTHR10159:SF518', NULL, NULL, NULL, NULL, 'BNAA01G23680D PROTEIN', NULL, NULL, NULL, 15),
(188118, NULL, 'PTHR10334:SF451', NULL, NULL, NULL, NULL, 'MIP16674P', NULL, NULL, NULL, 15),
(188119, NULL, 'PTHR47977:SF20', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-27A', NULL, NULL, NULL, 15),
(188120, NULL, 'PTHR11049:SF24', NULL, NULL, NULL, NULL, 'CYTOSOLIC ACYL COENZYME A THIOESTER HYDROLASE', NULL, NULL, NULL, 15),
(188121, NULL, 'PTHR20855:SF109', NULL, NULL, NULL, NULL, 'HEPTAHELICAL TRANSMEMBRANE PROTEIN 2', NULL, NULL, NULL, 15),
(188122, NULL, 'PTHR15921', NULL, NULL, NULL, NULL, 'PRE-MRNA CLEAVAGE COMPLEX II', NULL, NULL, 38383, 15),
(188123, NULL, 'PTHR21496', NULL, NULL, NULL, NULL, 'FERREDOXIN-RELATED', NULL, NULL, NULL, 15),
(188124, NULL, 'PTHR11929:SF147', NULL, NULL, NULL, NULL, 'PHA-1 PROTEIN', NULL, NULL, NULL, 15),
(188125, NULL, 'PTHR11014:SF100', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1-LIKE 2', NULL, NULL, NULL, 15),
(188126, NULL, 'PTHR23175:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188127, NULL, 'PTHR12281:SF6', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(188128, NULL, 'PTHR15315:SF84', NULL, NULL, NULL, NULL, 'OS01G0905700 PROTEIN', NULL, NULL, NULL, 15),
(188129, NULL, 'PTHR14074:SF16', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX58-RELATED', NULL, NULL, NULL, 15),
(188130, NULL, 'PTHR31062:SF199', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(188131, NULL, 'PTHR15443:SF4', NULL, NULL, NULL, NULL, 'ZONA PELLUCIDA-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(188132, NULL, 'PTHR32096:SF95', NULL, NULL, NULL, NULL, 'BNAC01G15320D PROTEIN', NULL, NULL, NULL, 15),
(188133, NULL, 'PTHR45763:SF7', NULL, NULL, NULL, NULL, 'ALPHA/BETA FOLD FAMILY PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(188134, NULL, 'PTHR38098', NULL, NULL, NULL, NULL, 'LPS-ASSEMBLY LIPOPROTEIN LPTE', NULL, NULL, 10334, 15),
(188135, NULL, 'PTHR43173:SF10', NULL, NULL, NULL, NULL, 'ALPHA 1,3 GLUCANASE, GH71 FAMILY (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(188136, NULL, 'PTHR11011', NULL, NULL, NULL, NULL, 'MALE STERILITY PROTEIN 2-RELATED', NULL, NULL, 26535, 15),
(188137, NULL, 'PTHR43729:SF2', NULL, NULL, NULL, NULL, 'HOMOSERINE ACETYLTRANSFERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_1G15350)', NULL, NULL, NULL, 15),
(188138, NULL, 'PTHR13808:SF39', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE HAC-LIKE 3-RELATED', NULL, NULL, NULL, 15),
(188139, NULL, 'PTHR22412:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG23478', NULL, NULL, NULL, 15),
(188140, NULL, 'PTHR11727', NULL, NULL, NULL, NULL, 'DIMETHYLADENOSINE TRANSFERASE', NULL, NULL, 3082, 15),
(188141, NULL, 'PTHR42760:SF101', NULL, NULL, NULL, NULL, 'BNAA09G28100D PROTEIN', NULL, NULL, NULL, 15),
(188142, NULL, 'PTHR24298:SF824', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188143, NULL, 'PTHR11652:SF40', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S23-1-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188144, NULL, 'PTHR31989:SF167', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 7-LIKE', NULL, NULL, NULL, 15),
(188145, NULL, 'PTHR20882', NULL, NULL, NULL, NULL, 'CYTOPLASMIC TRNA 2-THIOLATION PROTEIN 2', NULL, NULL, 16631, 15),
(188146, NULL, 'PTHR46665:SF7', NULL, NULL, NULL, NULL, 'OS01G0773800 PROTEIN', NULL, NULL, NULL, 15),
(188147, NULL, 'PTHR28041', NULL, NULL, NULL, NULL, '54S RIBOSOMAL PROTEIN L25, MITOCHONDRIAL', NULL, NULL, 33783, 15),
(188148, NULL, 'PTHR11668:SF211', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE C23G10.1-RELATED', NULL, NULL, NULL, 15),
(188149, NULL, 'PTHR21668:SF19', NULL, NULL, NULL, NULL, 'BNAA07G04550D PROTEIN', NULL, NULL, NULL, 15),
(188150, NULL, 'PTHR23226:SF253', NULL, NULL, NULL, NULL, 'EXPRESSED SEQUENCE AI894139', NULL, NULL, NULL, 15),
(188151, NULL, 'PTHR31917:SF99', NULL, NULL, NULL, NULL, 'BNAA07G24550D PROTEIN', NULL, NULL, NULL, 15),
(188152, NULL, 'PTHR35819:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PIMREG', NULL, NULL, NULL, 15),
(188153, NULL, 'PTHR43527:SF2', NULL, NULL, NULL, NULL, '4-DIPHOSPHOCYTIDYL-2-C-METHYL-D-ERYTHRITOL KINASE, CHLOROPLASTIC', NULL, NULL, 7307, 15),
(188154, NULL, 'PTHR31374:SF291', NULL, NULL, NULL, NULL, 'BNAC02G03220D PROTEIN', NULL, NULL, NULL, 15),
(188155, NULL, 'PTHR34359:SF22', NULL, NULL, NULL, NULL, 'BNAA09G29030D PROTEIN', NULL, NULL, NULL, 15),
(188156, NULL, 'PTHR10529:SF270', NULL, NULL, NULL, NULL, 'AP-4 COMPLEX SUBUNIT MU-1', NULL, NULL, NULL, 15),
(188157, NULL, 'PTHR33494', NULL, NULL, NULL, NULL, 'OS02G0793800 PROTEIN', NULL, NULL, NULL, 15),
(188158, NULL, 'PTHR34397:SF15', NULL, NULL, NULL, NULL, 'OS08G0282100 PROTEIN', NULL, NULL, NULL, 15),
(188159, NULL, 'PTHR11920:SF255', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-25', NULL, NULL, NULL, 15),
(188160, NULL, 'PTHR45974:SF157', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE BAM3', NULL, NULL, NULL, 15),
(188161, NULL, 'PTHR33095:SF56', NULL, NULL, NULL, NULL, 'DUF1645 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(188162, NULL, 'PTHR20997:SF2', NULL, NULL, NULL, NULL, 'EG:BACR42I17.2 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188163, NULL, 'PTHR11003:SF263', NULL, NULL, NULL, NULL, 'AGAP004720-PA', NULL, NULL, NULL, 15),
(188164, NULL, 'PTHR33641:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188165, NULL, 'PTHR12948:SF3', NULL, NULL, NULL, NULL, 'NEDD8 ULTIMATE BUSTER 1', NULL, NULL, NULL, 15),
(188166, NULL, 'PTHR12419:SF10', NULL, NULL, NULL, NULL, 'DEUBIQUITINASE OTUD6B', NULL, NULL, NULL, 15),
(188167, NULL, 'PTHR24015:SF960', NULL, NULL, NULL, NULL, 'OS08G0481000 PROTEIN', NULL, NULL, NULL, 15),
(188168, NULL, 'PTHR45901:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188169, NULL, 'PTHR35546:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188170, NULL, 'PTHR15001:SF5', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN', NULL, NULL, NULL, 15),
(188171, NULL, 'PTHR31923:SF33', NULL, NULL, NULL, NULL, 'BSD DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(188172, NULL, 'PTHR43390', NULL, NULL, NULL, NULL, 'SIGNAL PEPTIDASE I', NULL, NULL, 3963, 15),
(188173, NULL, 'PTHR47355:SF2', NULL, NULL, NULL, NULL, 'BNAA06G01290D PROTEIN', NULL, NULL, NULL, 15),
(188174, NULL, 'PTHR10378:SF36', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COREPRESSOR SEUSS-LIKE', NULL, NULL, NULL, 15),
(188175, NULL, 'PTHR34385', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(188176, NULL, 'PTHR24200:SF11', NULL, NULL, NULL, NULL, 'TOUCAN, ISOFORM A', NULL, NULL, NULL, 15),
(188177, NULL, 'PTHR43349:SF72', NULL, NULL, NULL, NULL, 'BNAA07G32020D PROTEIN', NULL, NULL, NULL, 15),
(188178, NULL, 'PTHR43032:SF4', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE, MOLYBDOPTERIN-BINDING DOMAIN', NULL, NULL, NULL, 15),
(188179, NULL, 'PTHR47967:SF67', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE AED3-LIKE', NULL, NULL, NULL, 15),
(188180, NULL, 'PTHR11905:SF125', NULL, NULL, NULL, NULL, 'ADAM DEC1', NULL, NULL, 35923, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188181, NULL, 'PTHR47982:SF48', NULL, NULL, NULL, NULL, 'OS05G0516400 PROTEIN', NULL, NULL, NULL, 15),
(188182, NULL, 'PTHR15615:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188183, NULL, 'PTHR31558:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188184, NULL, 'PTHR43212:SF2', NULL, NULL, NULL, NULL, 'PIRIN-LIKE PROTEIN YHAK', NULL, NULL, NULL, 15),
(188185, NULL, 'PTHR36796:SF1', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(188186, NULL, 'PTHR23213:SF336', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 15', NULL, NULL, NULL, 15),
(188187, NULL, 'PTHR31471:SF65', NULL, NULL, NULL, NULL, 'REMORIN-RELATED', NULL, NULL, NULL, 15),
(188188, NULL, 'PTHR47782:SF7', NULL, NULL, NULL, NULL, 'PROTEIN STB5', NULL, NULL, NULL, 15),
(188189, NULL, 'PTHR13361:SF4', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 11', NULL, NULL, NULL, 15),
(188190, NULL, 'PTHR11662:SF243', NULL, NULL, NULL, NULL, 'ANION TRANSPORTER 6, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(188191, NULL, 'PTHR30217', NULL, NULL, NULL, NULL, 'PEPTIDASE U32 FAMILY', NULL, NULL, NULL, 15),
(188192, NULL, 'PTHR26374:SF343', NULL, NULL, NULL, NULL, 'BNAA04G16610D PROTEIN', NULL, NULL, NULL, 15),
(188193, NULL, 'PTHR11157:SF27', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN 6', NULL, NULL, NULL, 15),
(188194, NULL, 'PTHR33662:SF1', NULL, NULL, NULL, NULL, 'INACTIVE UBIQUITIN THIOESTERASE OTULINL', NULL, NULL, NULL, 15),
(188195, NULL, 'PTHR48047:SF102', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(188196, NULL, 'PTHR47231', NULL, NULL, NULL, NULL, 'UPF0722 PROTEIN C11ORF88', NULL, NULL, 30111, 15),
(188197, NULL, 'PTHR11886:SF73', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN 4, AXONEMAL', NULL, NULL, NULL, 15),
(188198, NULL, 'PTHR11711:SF347', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 17', NULL, NULL, NULL, 15),
(188199, NULL, 'PTHR37027:SF2', NULL, NULL, NULL, NULL, 'KDE4', NULL, NULL, NULL, 15),
(188200, NULL, 'PTHR11615:SF250', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN 2C2', NULL, NULL, NULL, 15),
(188201, NULL, 'PTHR27001:SF883', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK9', NULL, NULL, NULL, 15),
(188202, NULL, 'PTHR42711:SF4', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER', NULL, NULL, NULL, 15),
(188203, NULL, 'PTHR46353:SF7', NULL, NULL, NULL, NULL, 'OS01G0512700 PROTEIN', NULL, NULL, NULL, 15),
(188204, NULL, 'PTHR30548:SF2', NULL, NULL, NULL, NULL, '2-HYDROXYACYL-COA DEHYDRATASE,D-COMPONENT-RELATED', NULL, NULL, NULL, 15),
(188205, NULL, 'PTHR24060:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188206, NULL, 'PTHR31549:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188207, NULL, 'PTHR14110:SF10', NULL, NULL, NULL, NULL, 'OSJNBB0006N15.9 PROTEIN', NULL, NULL, NULL, 15),
(188208, NULL, 'PTHR31751:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188209, NULL, 'PTHR11360:SF24', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 1', NULL, NULL, 21654, 15),
(188210, NULL, 'PTHR10410:SF5', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 14', NULL, NULL, NULL, 15),
(188211, NULL, 'PTHR36959:SF2', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 24, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(188212, NULL, 'PTHR12300:SF146', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188213, NULL, 'PTHR35357:SF7', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 12', NULL, NULL, NULL, 15),
(188214, NULL, 'PTHR30586:SF1', NULL, NULL, NULL, NULL, 'NA(+)-TRANSLOCATING NADH-QUINONE REDUCTASE SUBUNIT D', NULL, NULL, 10342, 15),
(188215, NULL, 'PTHR47400', NULL, NULL, NULL, NULL, 'PROLINE-RICH TRANSMEMBRANE PROTEIN 3', NULL, NULL, 37679, 15),
(188216, NULL, 'PTHR47477:SF5', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR HOMOLOG 1B-RELATED', NULL, NULL, NULL, 15),
(188217, NULL, 'PTHR24034:SF49', NULL, NULL, NULL, NULL, 'LATENT-TRANSFORMING GROWTH FACTOR BETA-BINDING PROTEIN 2', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188218, NULL, 'PTHR26453:SF652', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(188219, NULL, 'PTHR17901:SF22', NULL, NULL, NULL, NULL, 'MAGNESIUM-DEPENDENT PHOSPHATASE 1-LIKE', NULL, NULL, NULL, 15),
(188220, NULL, 'PTHR43016:SF7', NULL, NULL, NULL, NULL, 'PRESEQUENCE PROTEASE 1, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(188221, NULL, 'PTHR36985', NULL, NULL, NULL, NULL, 'TRANSLOCATION AND ASSEMBLY MODULE SUBUNIT TAMB', NULL, NULL, NULL, 15),
(188222, NULL, 'PTHR31642', NULL, NULL, NULL, NULL, 'TRICHOTHECENE 3-O-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(188223, NULL, 'PTHR36587:SF2', NULL, NULL, NULL, NULL, 'EXPRESSION SITE-ASSOCIATED GENE 3 (ESAG3)-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188224, NULL, 'PTHR24240:SF167', NULL, NULL, NULL, NULL, 'NOVOPSIN-7', NULL, NULL, NULL, 15),
(188225, NULL, 'PTHR47956:SF23', NULL, NULL, NULL, NULL, '(S)-N-METHYLCOCLAURINE 3''-HYDROXYLASE ISOZYME 1-LIKE', NULL, NULL, NULL, 15),
(188226, NULL, 'PTHR31509:SF103', NULL, NULL, NULL, NULL, 'CARRIER PROTEIN (DUF241)', NULL, NULL, NULL, 15),
(188227, NULL, 'PTHR11206:SF369', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(188228, NULL, 'PTHR23226:SF77', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 205', NULL, NULL, NULL, 15),
(188229, NULL, 'PTHR21327:SF29', NULL, NULL, NULL, NULL, 'MONOFUNCTIONAL RIBOFLAVIN BIOSYNTHESIS PROTEIN RIBA 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(188230, NULL, 'PTHR46764:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE BAH1', NULL, NULL, NULL, 15),
(188231, NULL, 'PTHR23012:SF178', NULL, NULL, NULL, NULL, 'OS11G0600700 PROTEIN', NULL, NULL, NULL, 15),
(188232, NULL, 'PTHR43353:SF2', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G05520)', NULL, NULL, NULL, 15),
(188233, NULL, 'PTHR13890:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188234, NULL, 'PTHR42194', NULL, NULL, NULL, NULL, 'UPF0276 PROTEIN HI_1600', NULL, NULL, 2026, 15),
(188235, NULL, 'PTHR16592', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 27123, 15),
(188236, NULL, 'PTHR31989:SF385', NULL, NULL, NULL, NULL, 'BNAA05G18390D PROTEIN', NULL, NULL, NULL, 15),
(188237, NULL, 'PTHR11375:SF21', NULL, NULL, NULL, NULL, 'ACIDIC LEUCINE-RICH NUCLEAR PHOSPHOPROTEIN 32 FAMILY MEMBER B', NULL, NULL, NULL, 15),
(188238, NULL, 'PTHR24064:SF552', NULL, NULL, NULL, NULL, 'BNAA02G22250D PROTEIN', NULL, NULL, NULL, 15),
(188239, NULL, 'PTHR12854:SF16', NULL, NULL, NULL, NULL, 'BNAA03G48360D PROTEIN', NULL, NULL, NULL, 15),
(188240, NULL, 'PTHR27007:SF340', NULL, NULL, NULL, NULL, 'BNAC04G53070D PROTEIN', NULL, NULL, NULL, 15),
(188241, NULL, 'PTHR46038:SF45', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(188242, NULL, 'PTHR31472:SF22', NULL, NULL, NULL, NULL, 'BNAA03G49260D PROTEIN', NULL, NULL, NULL, 15),
(188243, NULL, 'PTHR10060:SF14', NULL, NULL, NULL, NULL, 'RELATED DEOXYRIBONUCLEASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(188244, NULL, 'PTHR47773', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188245, NULL, 'PTHR10083:SF344', NULL, NULL, NULL, NULL, 'UTERINE PLASMIN/TRYPSIN INHIBITOR', NULL, NULL, NULL, 15),
(188246, NULL, 'PTHR11176:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188247, NULL, 'PTHR24221:SF188', NULL, NULL, NULL, NULL, 'LIPID A EXPORT ATP-BINDING/PERMEASE PROTEIN MSBA', NULL, NULL, NULL, 15),
(188248, NULL, 'PTHR11177:SF347', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASES FAMILY 18 PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(188249, NULL, 'PTHR22923:SF93', NULL, NULL, NULL, NULL, 'SI:DKEY-5N18.1', NULL, NULL, NULL, 15),
(188250, NULL, 'PTHR31923:SF9', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(188251, NULL, 'PTHR22973', NULL, NULL, NULL, NULL, 'LD35087P', NULL, NULL, NULL, 15),
(188252, NULL, 'PTHR10681:SF128', NULL, NULL, NULL, NULL, 'AT16346P-RELATED', NULL, NULL, NULL, 15),
(188253, NULL, 'PTHR19303:SF21', NULL, NULL, NULL, NULL, 'PROTEIN DISTAL ANTENNA', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188254, NULL, 'PTHR27006:SF427', NULL, NULL, NULL, NULL, 'BNAA05G18210D PROTEIN', NULL, NULL, NULL, 15),
(188255, NULL, 'PTHR43670:SF59', NULL, NULL, NULL, NULL, 'HSP20-LIKE CHAPERONES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(188256, NULL, 'PTHR19300:SF45', NULL, NULL, NULL, NULL, 'BETA-1,4-GALACTOSYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(188257, NULL, 'PTHR11913:SF74', NULL, NULL, NULL, NULL, 'ACTIN-DEPOLYMERIZING FACTOR 2-LIKE', NULL, NULL, NULL, 15),
(188258, NULL, 'PTHR10358', NULL, NULL, NULL, NULL, 'ENDOSULFINE', NULL, NULL, 3262, 15),
(188259, NULL, 'PTHR46757:SF6', NULL, NULL, NULL, NULL, 'SORTING NEXIN 2B', NULL, NULL, NULL, 15),
(188260, NULL, 'PTHR33147:SF82', NULL, NULL, NULL, NULL, 'DEFENSIN', NULL, NULL, NULL, 15),
(188261, NULL, 'PTHR10709:SF10', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 1B', NULL, NULL, 24825, 15),
(188262, NULL, 'PTHR26453:SF295', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5V1', NULL, NULL, NULL, 15),
(188263, NULL, 'PTHR12606:SF120', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(188264, NULL, 'PTHR46128:SF117', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(188265, NULL, 'PTHR48019:SF79', NULL, NULL, NULL, NULL, 'TRUNCATED TRANSCRIPTION FACTOR CAULIFLOWER A', NULL, NULL, NULL, 15),
(188266, NULL, 'PTHR47947:SF10', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(188267, NULL, 'PTHR33103:SF50', NULL, NULL, NULL, NULL, 'OS01G0154200 PROTEIN', NULL, NULL, NULL, 15),
(188268, NULL, 'PTHR14218:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188269, NULL, 'PTHR33921:SF18', NULL, NULL, NULL, NULL, 'BNAA09G39860D PROTEIN', NULL, NULL, NULL, 15),
(188270, NULL, 'PTHR31174:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188271, NULL, 'PTHR14097:SF9', NULL, NULL, NULL, NULL, 'EPIMERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G07320)-RELATED', NULL, NULL, NULL, 15),
(188272, NULL, 'PTHR45639:SF6', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 4', NULL, NULL, NULL, 15),
(188273, NULL, 'PTHR31025:SF17', NULL, NULL, NULL, NULL, 'SI:CH211-196P9.1', NULL, NULL, NULL, 15),
(188274, NULL, 'PTHR45621:SF177', NULL, NULL, NULL, NULL, 'KINASE APK1B, CHLOROPLAST, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(188275, NULL, 'PTHR11036:SF69', NULL, NULL, NULL, NULL, 'SI:DKEY-49N23.1', NULL, NULL, NULL, 15),
(188276, NULL, 'PTHR10241:SF29', NULL, NULL, NULL, NULL, 'LETHAL(2) GIANT LARVAE PROTEIN', NULL, NULL, NULL, 15),
(188277, NULL, 'PTHR10641:SF985', NULL, NULL, NULL, NULL, 'OSJNBA0009P12.23 PROTEIN', NULL, NULL, NULL, 15),
(188278, NULL, 'PTHR10460:SF26', NULL, NULL, NULL, NULL, 'ABL INTERACTOR 2', NULL, NULL, 29101, 15),
(188279, NULL, 'PTHR27002:SF717', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 28-RELATED', NULL, NULL, NULL, 15),
(188280, NULL, 'PTHR31221:SF132', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 50-RELATED', NULL, NULL, NULL, 15),
(188281, NULL, 'PTHR23226:SF219', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 408', NULL, NULL, NULL, 15),
(188282, NULL, 'PTHR12441:SF13', NULL, NULL, NULL, NULL, 'ATP SYNTHASE-COUPLING FACTOR 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(188283, NULL, 'PTHR11937:SF408', NULL, NULL, NULL, NULL, 'ACTIN-7', NULL, NULL, NULL, 15),
(188284, NULL, 'PTHR33108:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188285, NULL, 'PTHR42721:SF40', NULL, NULL, NULL, NULL, 'BNAA09G03310D PROTEIN', NULL, NULL, NULL, 15),
(188286, NULL, 'PTHR10615:SF132', NULL, NULL, NULL, NULL, 'PHD-FINGER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(188287, NULL, 'PTHR32457', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188288, NULL, 'PTHR22937:SF104', NULL, NULL, NULL, NULL, 'OS05G0564300 PROTEIN', NULL, NULL, NULL, 15),
(188289, NULL, 'PTHR48022:SF48', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_3G06730)-RELATED', NULL, NULL, NULL, 15),
(188290, NULL, 'PTHR34011:SF6', NULL, NULL, NULL, NULL, 'PHYCOBILIPROTEIN APCE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188291, NULL, 'PTHR26450:SF70', NULL, NULL, NULL, NULL, 'MCG141498', NULL, NULL, NULL, 15),
(188292, NULL, 'PTHR31942:SF70', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188293, NULL, 'PTHR47995:SF16', NULL, NULL, NULL, NULL, 'BNAA02G09340D PROTEIN', NULL, NULL, NULL, 15),
(188294, NULL, 'PTHR31595:SF8', NULL, NULL, NULL, NULL, '(MEMBRANE BOUND O-ACYL TRANSFERASE) FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(188295, NULL, 'PTHR23249:SF19', NULL, NULL, NULL, NULL, 'BNAC03G77750D PROTEIN', NULL, NULL, NULL, 15),
(188296, NULL, 'PTHR20963:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188297, NULL, 'PTHR45496:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188298, NULL, 'PTHR31972:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188299, NULL, 'PTHR10245:SF71', NULL, NULL, NULL, NULL, 'MULTIPROTEIN-BRIDGING FACTOR 1C', NULL, NULL, NULL, 15),
(188300, NULL, 'PTHR10380:SF216', NULL, NULL, NULL, NULL, 'CUTICULAR PROTEIN 67FB-RELATED', NULL, NULL, NULL, 15),
(188301, NULL, 'PTHR37206', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(188302, NULL, 'PTHR22996:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MGRN1', NULL, NULL, NULL, 15),
(188303, NULL, 'PTHR13902:SF117', NULL, NULL, NULL, NULL, 'WNK KINASE', NULL, NULL, NULL, 15),
(188304, NULL, 'PTHR23095:SF46', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188305, NULL, 'PTHR11328:SF31', NULL, NULL, NULL, NULL, 'SI:CH211-224L10.4', NULL, NULL, NULL, 15),
(188306, NULL, 'PTHR33320:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188307, NULL, 'PTHR31731:SF11', NULL, NULL, NULL, NULL, 'OS06G0104800 PROTEIN', NULL, NULL, NULL, 15),
(188308, NULL, 'PTHR45699:SF3', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P0', NULL, NULL, NULL, 15),
(188309, NULL, 'PTHR36169:SF1', NULL, NULL, NULL, NULL, 'ETHANOLAMINE UTILIZATION PROTEIN EUTQ', NULL, NULL, NULL, 15),
(188310, NULL, 'PTHR10642', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H1', NULL, NULL, NULL, 15),
(188311, NULL, 'PTHR23267:SF315', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN LAMBDA VARIABLE 3-1', NULL, NULL, NULL, 15),
(188312, NULL, 'PTHR31225:SF67', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE 6 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(188313, NULL, 'PTHR48056:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188314, NULL, 'PTHR28246', NULL, NULL, NULL, NULL, 'G1-SPECIFIC TRANSCRIPTIONAL REPRESSOR WHI5-RELATED', NULL, NULL, 36419, 15),
(188315, NULL, 'PTHR23105:SF147', NULL, NULL, NULL, NULL, 'BNAANNG25500D PROTEIN', NULL, NULL, NULL, 15),
(188316, NULL, 'PTHR45801:SF49', NULL, NULL, NULL, NULL, 'BNAUNNG02710D PROTEIN', NULL, NULL, NULL, 15),
(188317, NULL, 'PTHR45949', NULL, NULL, NULL, NULL, 'SORTING NEXIN-4', NULL, NULL, NULL, 15),
(188318, NULL, 'PTHR46279:SF2', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL21A-RELATED', NULL, NULL, NULL, 15),
(188319, NULL, 'PTHR19211:SF5', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 3A-RELATED', NULL, NULL, 18442, 15),
(188320, NULL, 'PTHR47980:SF26', NULL, NULL, NULL, NULL, 'BNAA02G06750D PROTEIN', NULL, NULL, NULL, 15),
(188321, NULL, 'PTHR21011:SF12', NULL, NULL, NULL, NULL, 'BNACNNG39020D PROTEIN', NULL, NULL, NULL, 15),
(188322, NULL, 'PTHR24353', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-DEPENDENT PROTEIN KINASE', NULL, NULL, NULL, 15),
(188323, NULL, 'PTHR47521:SF10', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)-RELATED', NULL, NULL, NULL, 15),
(188324, NULL, 'PTHR11534:SF5', NULL, NULL, NULL, NULL, 'MYOGENIN', NULL, NULL, NULL, 15),
(188325, NULL, 'PTHR30560:SF5', NULL, NULL, NULL, NULL, 'OS09G0515400 PROTEIN', NULL, NULL, NULL, 15),
(188326, NULL, 'PTHR22957:SF458', NULL, NULL, NULL, NULL, 'SI:DKEYP-19E1.3', NULL, NULL, NULL, 15),
(188327, NULL, 'PTHR11538:SF85', NULL, NULL, NULL, NULL, 'BNAA05G13590D PROTEIN', NULL, NULL, NULL, 15),
(188328, NULL, 'PTHR31307:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188329, NULL, 'PTHR24240:SF168', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188330, NULL, 'PTHR23167:SF27', NULL, NULL, NULL, NULL, '[F-ACTIN]-MONOOXYGENASE MICAL1', NULL, NULL, NULL, 15),
(188331, NULL, 'PTHR24031:SF740', NULL, NULL, NULL, NULL, 'RNA HELICASE', NULL, NULL, NULL, 15),
(188332, NULL, 'PTHR34272:SF11', NULL, NULL, NULL, NULL, 'F13F21.24 PROTEIN', NULL, NULL, NULL, 15),
(188333, NULL, 'PTHR11771:SF137', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(188334, NULL, 'PTHR24124:SF7', NULL, NULL, NULL, NULL, 'NF-KAPPA-B INHIBITOR DELTA', NULL, NULL, NULL, 15),
(188335, NULL, 'PTHR31422:SF29', NULL, NULL, NULL, NULL, 'BNAA09G41610D PROTEIN', NULL, NULL, NULL, 15),
(188336, NULL, 'PTHR28180', NULL, NULL, NULL, NULL, 'CONSERVED MITOCHONDRIAL PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188337, NULL, 'PTHR22601:SF77', NULL, NULL, NULL, NULL, 'OLIGOPEPTIDE TRANSPORTER 4', NULL, NULL, NULL, 15),
(188338, NULL, 'PTHR10797:SF65', NULL, NULL, NULL, NULL, 'BNAA06G10590D PROTEIN', NULL, NULL, NULL, 15),
(188339, NULL, 'PTHR45635:SF13', NULL, NULL, NULL, NULL, 'ADP/ATP TRANSLOCASE 3', NULL, NULL, NULL, 15),
(188340, NULL, 'PTHR42751', NULL, NULL, NULL, NULL, 'SODIUM/HYDROGEN EXCHANGER FAMILY/TRKA DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(188341, NULL, 'PTHR18945:SF598', NULL, NULL, NULL, NULL, 'HISTAMINE-GATED CHLORIDE CHANNEL ALPHA1 SUBUNIT', NULL, NULL, NULL, 15),
(188342, NULL, 'PTHR12471:SF3', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT S1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188343, NULL, 'PTHR32285:SF189', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(188344, NULL, 'PTHR23037:SF31', NULL, NULL, NULL, NULL, 'THROMBOPOIETIN RECEPTOR', NULL, NULL, NULL, 15),
(188345, NULL, 'PTHR31808:SF10', NULL, NULL, NULL, NULL, 'BNAANNG17260D PROTEIN', NULL, NULL, NULL, 15),
(188346, NULL, 'PTHR11260:SF633', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE PARC-RELATED', NULL, NULL, NULL, 15),
(188347, NULL, 'PTHR45665:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188348, NULL, 'PTHR47357:SF5', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 4B-LIKE', NULL, NULL, NULL, 15),
(188349, NULL, 'PTHR32093:SF114', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(188350, NULL, 'PTHR31839:SF25', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1D-LIKE', NULL, NULL, NULL, 15),
(188351, NULL, 'PTHR19971:SF24', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN HEAVY CONSTANT MU', NULL, NULL, NULL, 15),
(188352, NULL, 'PTHR11328', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY DOMAIN-CONTAINING PROTEIN', NULL, NULL, 35709, 15),
(188353, NULL, 'PTHR22754:SF34', NULL, NULL, NULL, NULL, 'DISCO-INTERACTING PROTEIN 2 HOMOLOG A', NULL, NULL, NULL, 15),
(188354, NULL, 'PTHR35577:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188355, NULL, 'PTHR46036:SF8', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188356, NULL, 'PTHR31168:SF21', NULL, NULL, NULL, NULL, 'EMB|CAB89385.1', NULL, NULL, NULL, 15),
(188357, NULL, 'PTHR22922:SF5', NULL, NULL, NULL, NULL, 'CAPRIN-2', NULL, NULL, NULL, 15),
(188358, NULL, 'PTHR31945:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR SCREAM-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188359, NULL, 'PTHR47513', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER', NULL, NULL, NULL, 15),
(188360, NULL, 'PTHR32343:SF22', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 9', NULL, NULL, NULL, 15),
(188361, NULL, 'PTHR48001:SF107', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7D2', NULL, NULL, NULL, 15),
(188362, NULL, 'PTHR36736:SF1', NULL, NULL, NULL, NULL, 'OS03G0100030 PROTEIN', NULL, NULL, NULL, 15),
(188363, NULL, 'PTHR22960:SF27', NULL, NULL, NULL, NULL, 'GTP 3'',8-CYCLASE', NULL, NULL, NULL, 15),
(188364, NULL, 'PTHR11670:SF61', NULL, NULL, NULL, NULL, 'CYTOPLASMIC-LIKE ACONITATE HYDRATASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188365, NULL, 'PTHR43899:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188366, NULL, 'PTHR48082:SF6', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT ALPHA, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(188367, NULL, 'PTHR13848:SF80', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(188368, NULL, 'PTHR12881:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 1', NULL, NULL, NULL, 15),
(188369, NULL, 'PTHR45877:SF5', NULL, NULL, NULL, NULL, 'SEVEN IN ABSENTIA HOMOLOG 3', NULL, NULL, NULL, 15),
(188370, NULL, 'PTHR45684:SF26', NULL, NULL, NULL, NULL, 'BNACNNG06680D PROTEIN', NULL, NULL, NULL, 15),
(188371, NULL, 'PTHR23421:SF167', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(188372, NULL, 'PTHR11024:SF3', NULL, NULL, NULL, NULL, 'NUCLEOPORIN SEH1', NULL, NULL, 35266, 15),
(188373, NULL, 'PTHR32009:SF46', NULL, NULL, NULL, NULL, 'PROTEIN PHLOEM PROTEIN 2-LIKE A5-RELATED', NULL, NULL, NULL, 15),
(188374, NULL, 'PTHR47972:SF18', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14R', NULL, NULL, NULL, 15),
(188375, NULL, 'PTHR10656:SF8', NULL, NULL, NULL, NULL, 'INOSITOL 1,4,5-TRISPHOSPHATE RECEPTOR-INTERACTING PROTEIN', NULL, NULL, 22806, 15),
(188376, NULL, 'PTHR43939:SF44', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(188377, NULL, 'PTHR37888:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188378, NULL, 'PTHR10795:SF727', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188379, NULL, 'PTHR15907:SF141', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 6-LIKE', NULL, NULL, NULL, 15),
(188380, NULL, 'PTHR42905', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE', NULL, NULL, NULL, 15),
(188381, NULL, 'PTHR22595', NULL, NULL, NULL, NULL, 'CHITINASE-RELATED', NULL, NULL, NULL, 15),
(188382, NULL, 'PTHR48043:SF118', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(188383, NULL, 'PTHR31631:SF3', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 2A', NULL, NULL, NULL, 15),
(188384, NULL, 'PTHR38607:SF6', NULL, NULL, NULL, NULL, 'PROTEIN CBG06239', NULL, NULL, NULL, 15),
(188385, NULL, 'PTHR46913:SF1', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL16', NULL, NULL, NULL, 15),
(188386, NULL, 'PTHR48041:SF64', NULL, NULL, NULL, NULL, 'PROTEIN SCARLET', NULL, NULL, NULL, 15),
(188387, NULL, 'PTHR33052:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188388, NULL, 'PTHR27008:SF218', NULL, NULL, NULL, NULL, 'OS02G0231700 PROTEIN', NULL, NULL, NULL, 15),
(188389, NULL, 'PTHR11468:SF4', NULL, NULL, NULL, NULL, 'ALPHA-GLUCAN PHOSPHORYLASE 2, CYTOSOLIC', NULL, NULL, NULL, 15),
(188390, NULL, 'PTHR34777:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188391, NULL, 'PTHR31745:SF2', NULL, NULL, NULL, NULL, 'SINGLE-STRANDED DNA-BINDING PROTEIN WHY1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(188392, NULL, 'PTHR10732:SF12', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S17-LIKE', NULL, NULL, NULL, 15),
(188393, NULL, 'PTHR22814:SF342', NULL, NULL, NULL, NULL, 'BNAC03G65590D PROTEIN', NULL, NULL, NULL, 15),
(188394, NULL, 'PTHR24067:SF309', NULL, NULL, NULL, NULL, 'SUMO-CONJUGATING ENZYME SCE1-LIKE', NULL, NULL, NULL, 15),
(188395, NULL, 'PTHR35893:SF4', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188396, NULL, 'PTHR23338:SF46', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D1', NULL, NULL, NULL, 15),
(188397, NULL, 'PTHR10697:SF10', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(188398, NULL, 'PTHR46845:SF2', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR 3', NULL, NULL, NULL, 15),
(188399, NULL, 'PTHR24241:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188400, NULL, 'PTHR22972:SF5', NULL, NULL, NULL, NULL, 'INACTIVE TYROSINE-PROTEIN KINASE PEAK1', NULL, NULL, NULL, 15),
(188401, NULL, 'PTHR11709:SF237', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188402, NULL, 'PTHR36083:SF1', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L32, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(188403, NULL, 'PTHR32022:SF10', NULL, NULL, NULL, NULL, 'D-GLUTAMATE CYCLASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(188404, NULL, 'PTHR33724', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 43 HOMOLOG', NULL, NULL, 25784, 15),
(188405, NULL, 'PTHR47982:SF52', NULL, NULL, NULL, NULL, 'OS03G0568800 PROTEIN', NULL, NULL, NULL, 15),
(188406, NULL, 'PTHR31923:SF1', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(188407, NULL, 'PTHR37610:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188408, NULL, 'PTHR43812:SF2', NULL, NULL, NULL, NULL, 'BLR2425 PROTEIN', NULL, NULL, NULL, 15),
(188409, NULL, 'PTHR47966:SF14', NULL, NULL, NULL, NULL, 'BNAC08G15160D PROTEIN', NULL, NULL, NULL, 15),
(188410, NULL, 'PTHR31385:SF13', NULL, NULL, NULL, NULL, 'BNAA09G30980D PROTEIN', NULL, NULL, NULL, 15),
(188411, NULL, 'PTHR24223:SF399', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATNG', NULL, NULL, NULL, 15),
(188412, NULL, 'PTHR24281:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188413, NULL, 'PTHR42717', NULL, NULL, NULL, NULL, 'DIHYDROOROTASE-RELATED', NULL, NULL, 12386, 15),
(188414, NULL, 'PTHR22600:SF40', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE 1', NULL, NULL, NULL, 15),
(188415, NULL, 'PTHR10910:SF140', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-SPECIFIC EDITASE ADAR-RELATED', NULL, NULL, NULL, 15),
(188416, NULL, 'PTHR15036:SF59', NULL, NULL, NULL, NULL, 'FAT ATYPICAL CADHERIN 4', NULL, NULL, NULL, 15),
(188417, NULL, 'PTHR23138:SF123', NULL, NULL, NULL, NULL, 'RAN-SPECIFIC GTPASE-ACTIVATING PROTEIN 2', NULL, NULL, NULL, 15),
(188418, NULL, 'PTHR31388:SF127', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(188419, NULL, 'PTHR43280:SF1', NULL, NULL, NULL, NULL, 'ARAC-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(188420, NULL, 'PTHR16093', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 120 FAMILY MEMBER', NULL, NULL, 37234, 15),
(188421, NULL, 'PTHR42683:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188422, NULL, 'PTHR12277:SF152', NULL, NULL, NULL, NULL, 'PEPTIDASE, PUTATIVE SERINE PEPTIDASE, CLAN SC, FAMILY S9D-RELATED', NULL, NULL, NULL, 15),
(188423, NULL, 'PTHR12879', NULL, NULL, NULL, NULL, 'SPHINGOLIPID DELTA 4 DESATURASE/C-4 HYDROXYLASE PROTEIN DES2', NULL, NULL, NULL, 15),
(188424, NULL, 'PTHR24377:SF709', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 230', NULL, NULL, NULL, 15),
(188425, NULL, 'PTHR10015:SF173', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR C-1B', NULL, NULL, NULL, 15),
(188426, NULL, 'PTHR11467:SF118', NULL, NULL, NULL, NULL, 'BNAC03G17040D PROTEIN', NULL, NULL, NULL, 15),
(188427, NULL, 'PTHR14154:SF89', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PYRUVATE CARRIER', NULL, NULL, NULL, 15),
(188428, NULL, 'PTHR31683:SF127', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(188429, NULL, 'PTHR48001:SF163', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 1E2', NULL, NULL, NULL, 15),
(188430, NULL, 'PTHR14047:SF7', NULL, NULL, NULL, NULL, 'X ANTIGEN FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(188431, NULL, 'PTHR19433:SF86', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 26-2', NULL, NULL, NULL, 15),
(188432, NULL, 'PTHR11588:SF251', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA-1B CHAIN', NULL, NULL, NULL, 15),
(188433, NULL, 'PTHR12632:SF64', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT A-RELATED', NULL, NULL, NULL, 15),
(188434, NULL, 'PTHR33659:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188435, NULL, 'PTHR47989:SF36', NULL, NULL, NULL, NULL, 'BNAC06G02630D PROTEIN', NULL, NULL, NULL, 15),
(188436, NULL, 'PTHR32002:SF42', NULL, NULL, NULL, NULL, 'FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(188437, NULL, 'PTHR37846:SF1', NULL, NULL, NULL, NULL, 'YALI0B21296P', NULL, NULL, NULL, 15),
(188438, NULL, 'PTHR31311:SF35', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE CAZY FAMILY GT34-LIKE PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188439, NULL, 'PTHR48094:SF13', NULL, NULL, NULL, NULL, 'BNAA06G01020D PROTEIN', NULL, NULL, NULL, 15),
(188440, NULL, 'PTHR47644:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188441, NULL, 'PTHR13768:SF39', NULL, NULL, NULL, NULL, 'BNAA09G35650D PROTEIN', NULL, NULL, NULL, 15),
(188442, NULL, 'PTHR45676:SF108', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE OS04G0590900-LIKE', NULL, NULL, NULL, 15),
(188443, NULL, 'PTHR10418:SF3', NULL, NULL, NULL, NULL, 'PITUITARY TUMOR-TRANSFORMING GENE 3 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188444, NULL, 'PTHR13018:SF120', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(188445, NULL, 'PTHR16830:SF19', NULL, NULL, NULL, NULL, 'FYN-BINDING PROTEIN B', NULL, NULL, NULL, 15),
(188446, NULL, 'PTHR47752', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR FABR', NULL, NULL, NULL, 15),
(188447, NULL, 'PTHR11566:SF203', NULL, NULL, NULL, NULL, 'DYNAMIN CENTRAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188448, NULL, 'PTHR47215:SF5', NULL, NULL, NULL, NULL, 'UNNAMED PRODUCT', NULL, NULL, NULL, 15),
(188449, NULL, 'PTHR15710:SF79', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RDUF1', NULL, NULL, NULL, 15),
(188450, NULL, 'PTHR11119:SF106', NULL, NULL, NULL, NULL, 'NUCLEOBASE-ASCORBATE TRANSPORTER 2', NULL, NULL, 24701, 15),
(188451, NULL, 'PTHR33672:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188452, NULL, 'PTHR47134:SF1', NULL, NULL, NULL, NULL, 'TUMOR NECROSIS FACTOR RECEPTOR SUPERFAMILY MEMBER 11A', NULL, NULL, NULL, 15),
(188453, NULL, 'PTHR43819:SF1', NULL, NULL, NULL, NULL, 'ARCHAEAL-TYPE GLUTAMATE SYNTHASE [NADPH]', NULL, NULL, NULL, 15),
(188454, NULL, 'PTHR31849', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PDF MOTIF DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 36634, 15),
(188455, NULL, 'PTHR31226', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 117', NULL, NULL, 28493, 15),
(188456, NULL, 'PTHR47926:SF36', NULL, NULL, NULL, NULL, 'OS01G0589900 PROTEIN', NULL, NULL, NULL, 15),
(188457, NULL, 'PTHR36492:SF2', NULL, NULL, NULL, NULL, 'OS10G0492800 PROTEIN', NULL, NULL, NULL, 15),
(188458, NULL, 'PTHR22966:SF53', NULL, NULL, NULL, NULL, 'BNAA10G29030D PROTEIN', NULL, NULL, NULL, 15),
(188459, NULL, 'PTHR13869', NULL, NULL, NULL, NULL, 'MYELIN P0 RELATED', NULL, NULL, 276, 15),
(188460, NULL, 'PTHR33065:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188461, NULL, 'PTHR46101:SF9', NULL, NULL, NULL, NULL, 'HISTIDINE DECARBOXYLASE', NULL, NULL, NULL, 15),
(188462, NULL, 'PTHR47978:SF21', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-26', NULL, NULL, NULL, 15),
(188463, NULL, 'PTHR19237:SF21', NULL, NULL, NULL, NULL, 'NUCLEOBINDIN-1', NULL, NULL, 29544, 15),
(188464, NULL, 'PTHR45925:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 219', NULL, NULL, NULL, 15),
(188465, NULL, 'PTHR43880:SF36', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 3-LIKE', NULL, NULL, NULL, 15),
(188466, NULL, 'PTHR35767:SF4', NULL, NULL, NULL, NULL, 'BNAA10G10400D PROTEIN', NULL, NULL, NULL, 15),
(188467, NULL, 'PTHR31301:SF136', NULL, NULL, NULL, NULL, 'BNAA09G02100D PROTEIN', NULL, NULL, NULL, 15),
(188468, NULL, 'PTHR10019:SF11', NULL, NULL, NULL, NULL, 'SWI/SNF CHROMATIN-REMODELING COMPLEX SUBUNIT SNF5', NULL, NULL, NULL, 15),
(188469, NULL, 'PTHR24256:SF510', NULL, NULL, NULL, NULL, 'IP09525P', NULL, NULL, NULL, 15),
(188470, NULL, 'PTHR36792:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188471, NULL, 'PTHR31851:SF4', NULL, NULL, NULL, NULL, 'CCC1 FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188472, NULL, 'PTHR11003:SF253', NULL, NULL, NULL, NULL, 'IP11374P', NULL, NULL, NULL, 15),
(188473, NULL, 'PTHR11614:SF162', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(188474, NULL, 'PTHR31985:SF193', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP2-EREBP FAMILY-RELATED', NULL, NULL, NULL, 15),
(188475, NULL, 'PTHR34413:SF2', NULL, NULL, NULL, NULL, 'PROPHAGE TAIL FIBER ASSEMBLY PROTEIN HOMOLOG TFAE-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188476, NULL, 'PTHR46075:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188477, NULL, 'PTHR42861:SF82', NULL, NULL, NULL, NULL, 'CATIONS-TRANSPORTING ATPASE-RELATED', NULL, NULL, NULL, 15),
(188478, NULL, 'PTHR10179:SF52', NULL, NULL, NULL, NULL, 'PLATELET BASIC PROTEIN', NULL, NULL, NULL, 15),
(188479, NULL, 'PTHR34763:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM104B', NULL, NULL, NULL, 15),
(188480, NULL, 'PTHR45631:SF86', NULL, NULL, NULL, NULL, 'BNAA05G35900D PROTEIN', NULL, NULL, NULL, 15),
(188481, NULL, 'PTHR21229:SF15', NULL, NULL, NULL, NULL, 'LUNG SEVEN TRANSMEMBRANE RECEPTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(188482, NULL, 'PTHR23421:SF13', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 2-RELATED', NULL, NULL, NULL, 15),
(188483, NULL, 'PTHR45642:SF26', NULL, NULL, NULL, NULL, 'LIPASE SIL1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188484, NULL, 'PTHR24242:SF253', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(188485, NULL, 'PTHR24412:SF462', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 38', NULL, NULL, 28507, 15),
(188486, NULL, 'PTHR37973:SF1', NULL, NULL, NULL, NULL, 'CHONDROITIN PROTEOGLYCAN 3', NULL, NULL, NULL, 15),
(188487, NULL, 'PTHR15907:SF26', NULL, NULL, NULL, NULL, 'CORNIFELIN', NULL, NULL, NULL, 15),
(188488, NULL, 'PTHR10438:SF417', NULL, NULL, NULL, NULL, 'THIOREDOXIN H-TYPE', NULL, NULL, NULL, 15),
(188489, NULL, 'PTHR32370:SF106', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(188490, NULL, 'PTHR36758:SF1', NULL, NULL, NULL, NULL, 'OS01G0342800 PROTEIN', NULL, NULL, NULL, 15),
(188491, NULL, 'PTHR15241:SF284', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2C', NULL, NULL, NULL, 15),
(188492, NULL, 'PTHR31828:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188493, NULL, 'PTHR10655:SF30', NULL, NULL, NULL, NULL, 'CARBOXYLESTERASE OS04G0669600-RELATED', NULL, NULL, NULL, 15),
(188494, NULL, 'PTHR11771:SF143', NULL, NULL, NULL, NULL, 'LIPOXYGENASE', NULL, NULL, NULL, 15),
(188495, NULL, 'PTHR11801:SF47', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCER AND ACTIVATOR OF TRANSCRIPTION 5A', NULL, NULL, 34730, 15),
(188496, NULL, 'PTHR30603:SF20', NULL, NULL, NULL, NULL, 'OS01G0641700 PROTEIN', NULL, NULL, NULL, 15),
(188497, NULL, 'PTHR42646:SF1', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE XNI', NULL, NULL, NULL, 15),
(188498, NULL, 'PTHR31986:SF7', NULL, NULL, NULL, NULL, 'REGULATOR OF DRUG SENSITIVITY 2', NULL, NULL, NULL, 15),
(188499, NULL, 'PTHR47924:SF24', NULL, NULL, NULL, NULL, 'BNAA04G21340D PROTEIN', NULL, NULL, NULL, 15),
(188500, NULL, 'PTHR43383:SF2', NULL, NULL, NULL, NULL, 'NODULIN 6', NULL, NULL, NULL, 15),
(188501, NULL, 'PTHR23202:SF79', NULL, NULL, NULL, NULL, 'WASP ACTIN NUCLEATION-PROMOTING FACTOR A-RELATED', NULL, NULL, 28826, 15),
(188502, NULL, 'PTHR33591:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188503, NULL, 'PTHR24249:SF307', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 5', NULL, NULL, NULL, 15),
(188504, NULL, 'PTHR43943:SF12', NULL, NULL, NULL, NULL, 'GLUCOSE/RIBITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(188505, NULL, 'PTHR22835:SF579', NULL, NULL, NULL, NULL, 'OS01G0215700 PROTEIN', NULL, NULL, NULL, 15),
(188506, NULL, 'PTHR31267:SF9', NULL, NULL, NULL, NULL, 'BNACNNG11530D PROTEIN', NULL, NULL, NULL, 15),
(188507, NULL, 'PTHR24103:SF592', NULL, NULL, NULL, NULL, 'TRIPARTITE MOTIF-CONTAINING 47', NULL, NULL, NULL, 15),
(188508, NULL, 'PTHR47667', NULL, NULL, NULL, NULL, 'REGULATOR OF TY1 TRANSPOSITION PROTEIN 107', NULL, NULL, NULL, 15),
(188509, NULL, 'PTHR37483', NULL, NULL, NULL, NULL, 'UPF0125 PROTEIN RATB', NULL, NULL, 6073, 15),
(188510, NULL, 'PTHR36689:SF1', NULL, NULL, NULL, NULL, 'COLORECTAL CANCER-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(188511, NULL, 'PTHR10221:SF9', NULL, NULL, NULL, NULL, 'TAF6-LIKE RNA POLYMERASE II P300/CBP-ASSOCIATED FACTOR-ASSOCIATED FACTOR 65 KDA SUBUNIT 6L', NULL, NULL, NULL, 15),
(188512, NULL, 'PTHR45821:SF12', NULL, NULL, NULL, NULL, 'OS03G0165266 PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188513, NULL, 'PTHR23349:SF103', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TWIST1', NULL, NULL, NULL, 15),
(188514, NULL, 'PTHR23272:SF148', NULL, NULL, NULL, NULL, 'ZINC FINGER BED DOMAIN-CONTAINING PROTEIN RICESLEEPER 1-LIKE', NULL, NULL, NULL, 15),
(188515, NULL, 'PTHR11062:SF198', NULL, NULL, NULL, NULL, 'OS03G0324700 PROTEIN', NULL, NULL, NULL, 15),
(188516, NULL, 'PTHR36321:SF6', NULL, NULL, NULL, NULL, 'CLASSICAL ARABINOGALACTAN PROTEIN 2', NULL, NULL, NULL, 15),
(188517, NULL, 'PTHR11984:SF60', NULL, NULL, NULL, NULL, 'GAP JUNCTION ALPHA-9 PROTEIN', NULL, NULL, NULL, 15),
(188518, NULL, 'PTHR45680:SF18', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-130', NULL, NULL, NULL, 15),
(188519, NULL, 'PTHR33203:SF26', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188520, NULL, 'PTHR14552:SF26', NULL, NULL, NULL, NULL, 'DCTP PYROPHOSPHATASE 1', NULL, NULL, NULL, 15),
(188521, NULL, 'PTHR31881:SF12', NULL, NULL, NULL, NULL, 'PLANT/F12B17-70 PROTEIN', NULL, NULL, NULL, 15),
(188522, NULL, 'PTHR46039:SF6', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATE SYNTHASE-RELATED', NULL, NULL, NULL, 15),
(188523, NULL, 'PTHR30185:SF9', NULL, NULL, NULL, NULL, 'LMO0501 PROTEIN', NULL, NULL, NULL, 15),
(188524, NULL, 'PTHR45768:SF46', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(188525, NULL, 'PTHR11654:SF453', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 5.2-RELATED', NULL, NULL, NULL, 15),
(188526, NULL, 'PTHR11593:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188527, NULL, 'PTHR47322:SF9', NULL, NULL, NULL, NULL, 'SUSC HOMOLOG', NULL, NULL, NULL, 15),
(188528, NULL, 'PTHR42898:SF61', NULL, NULL, NULL, NULL, 'BNAA04G17030D PROTEIN', NULL, NULL, NULL, 15),
(188529, NULL, 'PTHR10954:SF18', NULL, NULL, NULL, NULL, 'RIBONUCLEASE HII', NULL, NULL, 17148, 15),
(188530, NULL, 'PTHR24209:SF24', NULL, NULL, NULL, NULL, 'PROTEIN DA1-LIKE', NULL, NULL, NULL, 15),
(188531, NULL, 'PTHR48062:SF7', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 15', NULL, NULL, NULL, 15),
(188532, NULL, 'PTHR37016:SF7', NULL, NULL, NULL, NULL, 'NEUTRAL PROTEASE 2', NULL, NULL, NULL, 15),
(188533, NULL, 'PTHR10263:SF40', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE PROTEOLIPID SUBUNIT', NULL, NULL, NULL, 15),
(188534, NULL, 'PTHR38007', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM CMS PROTEIN CSM5', NULL, NULL, 10863, 15),
(188535, NULL, 'PTHR43262:SF1', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE', NULL, NULL, NULL, 15),
(188536, NULL, 'PTHR46771:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188537, NULL, 'PTHR43334', NULL, NULL, NULL, NULL, 'ACETATE--COA LIGASE [ADP-FORMING]', NULL, NULL, NULL, 15),
(188538, NULL, 'PTHR32227:SF16', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE FAMILY 17 PROTEIN', NULL, NULL, NULL, 15),
(188539, NULL, 'PTHR10201:SF169', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-16-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188540, NULL, 'PTHR32411:SF63', NULL, NULL, NULL, NULL, 'BNAA05G10410D PROTEIN', NULL, NULL, NULL, 15),
(188541, NULL, 'PTHR12203:SF70', NULL, NULL, NULL, NULL, 'OS06G0152700 PROTEIN', NULL, NULL, NULL, 15),
(188542, NULL, 'PTHR13402', NULL, NULL, NULL, NULL, 'RGPR-RELATED', NULL, NULL, 28375, 15),
(188543, NULL, 'PTHR33318:SF25', NULL, NULL, NULL, NULL, 'BNAA08G28700D PROTEIN', NULL, NULL, NULL, 15),
(188544, NULL, 'PTHR10533:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188545, NULL, 'PTHR33107:SF38', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR 5', NULL, NULL, NULL, 15),
(188546, NULL, 'PTHR11814:SF204', NULL, NULL, NULL, NULL, 'HIGH AFFINITY SULFATE TRANSPORTER', NULL, NULL, NULL, 15),
(188547, NULL, 'PTHR45744:SF21', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE TAT3-RELATED', NULL, NULL, NULL, 15),
(188548, NULL, 'PTHR11685:SF338', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF217-RELATED', NULL, NULL, NULL, 15),
(188549, NULL, 'PTHR31992:SF187', NULL, NULL, NULL, NULL, 'BNAA03G36180D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188550, NULL, 'PTHR10654:SF20', NULL, NULL, NULL, NULL, 'ENHANCER OF FILAMENTATION 1', NULL, NULL, NULL, 15),
(188551, NULL, 'PTHR47641:SF1', NULL, NULL, NULL, NULL, 'PERIAXIN-LIKE', NULL, NULL, NULL, 15),
(188552, NULL, 'PTHR31722:SF62', NULL, NULL, NULL, NULL, 'EMB|CAB62433.1|', NULL, NULL, NULL, 15),
(188553, NULL, 'PTHR33377:SF39', NULL, NULL, NULL, NULL, 'OS07G0122100 PROTEIN', NULL, NULL, NULL, 15),
(188554, NULL, 'PTHR31325:SF146', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188555, NULL, 'PTHR33714', NULL, NULL, NULL, NULL, 'COUNTING FACTOR-ASSOCIATED PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(188556, NULL, 'PTHR34630:SF34', NULL, NULL, NULL, NULL, 'OS11G0677101 PROTEIN', NULL, NULL, NULL, 15),
(188557, NULL, 'PTHR26451:SF889', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(188558, NULL, 'PTHR10545:SF62', NULL, NULL, NULL, NULL, 'N-HYDROXYCINNAMOYL-COA:TYRAMINE N-HYDROXYCINNAMOYL TRANSFERASE THT1-3', NULL, NULL, NULL, 15),
(188559, NULL, 'PTHR45847:SF4', NULL, NULL, NULL, NULL, 'FATTY ACID AMIDE HYDROLASE 1', NULL, NULL, NULL, 15),
(188560, NULL, 'PTHR43837:SF1', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S12 METHYLTHIOTRANSFERASE RIMO', NULL, NULL, NULL, 15),
(188561, NULL, 'PTHR31118:SF17', NULL, NULL, NULL, NULL, 'CYCLASE-LIKE PROTEIN 4', NULL, NULL, NULL, 15),
(188562, NULL, 'PTHR43877:SF5', NULL, NULL, NULL, NULL, 'BLR1117 PROTEIN', NULL, NULL, NULL, 15),
(188563, NULL, 'PTHR47926:SF234', NULL, NULL, NULL, NULL, 'BNAC09G41000D PROTEIN', NULL, NULL, NULL, 15),
(188564, NULL, 'PTHR30041:SF5', NULL, NULL, NULL, NULL, 'ARSENATE REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(188565, NULL, 'PTHR21446:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL ANTIVIRAL-SIGNALING PROTEIN', NULL, NULL, 23832, 15),
(188566, NULL, 'PTHR12777', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN SM D2', NULL, NULL, 28817, 15),
(188567, NULL, 'PTHR32018:SF10', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE B ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(188568, NULL, 'PTHR32134:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188569, NULL, 'PTHR15454:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 11-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(188570, NULL, 'PTHR10835:SF22', NULL, NULL, NULL, NULL, 'BNAC02G41420D PROTEIN', NULL, NULL, NULL, 15),
(188571, NULL, 'PTHR33033:SF55', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(188572, NULL, 'PTHR48048:SF38', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(188573, NULL, 'PTHR33640:SF3', NULL, NULL, NULL, NULL, 'TRNA-METHYLTRANSFERASE NON-CATALYTIC SUBUNIT TRM6MTASE SUBUNIT', NULL, NULL, NULL, 15),
(188574, NULL, 'PTHR12391:SF0', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(188575, NULL, 'PTHR22883:SF319', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE PFA3', NULL, NULL, NULL, 15),
(188576, NULL, 'PTHR13341', NULL, NULL, NULL, NULL, 'MIR-INTERACTING SAPOSIN-LIKE PROTEIN', NULL, NULL, 36799, 15),
(188577, NULL, 'PTHR48018:SF150', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(188578, NULL, 'PTHR11006:SF54', NULL, NULL, NULL, NULL, 'PROTEIN ARGININE N-METHYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(188579, NULL, 'PTHR45844:SF26', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH FAMILY-RELATED', NULL, NULL, NULL, 15),
(188580, NULL, 'PTHR24006:SF683', NULL, NULL, NULL, NULL, 'BNAA03G58110D PROTEIN', NULL, NULL, NULL, 15),
(188581, NULL, 'PTHR45637:SF74', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE D6PKL2-LIKE', NULL, NULL, NULL, 15),
(188582, NULL, 'PTHR33788:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188583, NULL, 'PTHR47770:SF1', NULL, NULL, NULL, NULL, 'PLANT UBX DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(188584, NULL, 'PTHR45793:SF16', NULL, NULL, NULL, NULL, 'ARGININE-FIFTY HOMEOBOX', NULL, NULL, NULL, 15),
(188585, NULL, 'PTHR47929:SF11', NULL, NULL, NULL, NULL, 'BNACNNG15330D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188586, NULL, 'PTHR11850:SF254', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN KNOTTED-1-LIKE 6', NULL, NULL, NULL, 15),
(188587, NULL, 'PTHR47137', NULL, NULL, NULL, NULL, 'ERMIN', NULL, NULL, 36555, 15),
(188588, NULL, 'PTHR31953:SF66', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV6', NULL, NULL, NULL, 15),
(188589, NULL, 'PTHR31235:SF195', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(188590, NULL, 'PTHR13703:SF44', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 7', NULL, NULL, NULL, 15),
(188591, NULL, 'PTHR10460:SF43', NULL, NULL, NULL, NULL, 'ABI FAMILY-RELATED', NULL, NULL, NULL, 15),
(188592, NULL, 'PTHR35352', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 150', NULL, NULL, 34760, 15),
(188593, NULL, 'PTHR26453:SF646', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(188594, NULL, 'PTHR10666:SF344', NULL, NULL, NULL, NULL, 'UBIQUITIN-60S RIBOSOMAL PROTEIN L40', NULL, NULL, NULL, 15),
(188595, NULL, 'PTHR35358:SF16', NULL, NULL, NULL, NULL, 'BNAANNG11620D PROTEIN', NULL, NULL, NULL, 15),
(188596, NULL, 'PTHR47926:SF117', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN MITOCHONDRIAL', NULL, NULL, NULL, 15),
(188597, NULL, 'PTHR12733:SF3', NULL, NULL, NULL, NULL, 'ATP SYNTHASE F(0) COMPLEX SUBUNIT B1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(188598, NULL, 'PTHR15273', NULL, NULL, NULL, NULL, 'DAN DOMAIN FAMILY MEMBER 5', NULL, NULL, 16336, 15),
(188599, NULL, 'PTHR33085:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188600, NULL, 'PTHR31147:SF40', NULL, NULL, NULL, NULL, 'ACYL TRANSFERASE 4-LIKE', NULL, NULL, NULL, 15),
(188601, NULL, 'PTHR31874:SF10', NULL, NULL, NULL, NULL, 'OS02G0148000 PROTEIN', NULL, NULL, NULL, 15),
(188602, NULL, 'PTHR31387:SF1', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 19.1', NULL, NULL, NULL, 15),
(188603, NULL, 'PTHR31676:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188604, NULL, 'PTHR12771:SF2', NULL, NULL, NULL, NULL, 'ELMO DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 26804, 15),
(188605, NULL, 'PTHR46714', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR HAC1', NULL, NULL, 38947, 15),
(188606, NULL, 'PTHR33085:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188607, NULL, 'PTHR13989:SF32', NULL, NULL, NULL, NULL, 'ROR1', NULL, NULL, NULL, 15),
(188608, NULL, 'PTHR12374:SF65', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB1R1-LIKE', NULL, NULL, NULL, 15),
(188609, NULL, 'PTHR14154', NULL, NULL, NULL, NULL, 'UPF0041 BRAIN PROTEIN 44-RELATED', NULL, NULL, NULL, 15),
(188610, NULL, 'PTHR21859:SF3', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED 31 SUBFAMILY D, MEMBER 1D', NULL, NULL, NULL, 15),
(188611, NULL, 'PTHR47183:SF3', NULL, NULL, NULL, NULL, 'TRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(188612, NULL, 'PTHR14677:SF33', NULL, NULL, NULL, NULL, 'ZINC FINGER, AN1-TYPE DOMAIN 2A', NULL, NULL, NULL, 15),
(188613, NULL, 'PTHR45134', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188614, NULL, 'PTHR44051:SF17', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(188615, NULL, 'PTHR42673', NULL, NULL, NULL, NULL, 'MALEYLACETOACETATE ISOMERASE', NULL, NULL, NULL, 15),
(188616, NULL, 'PTHR35739:SF1', NULL, NULL, NULL, NULL, 'OS01G0861700 PROTEIN', NULL, NULL, NULL, 15),
(188617, NULL, 'PTHR11871:SF38', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 55 KDA REGULATORY SUBUNIT B', NULL, NULL, NULL, 15),
(188618, NULL, 'PTHR20961:SF138', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188619, NULL, 'PTHR11106:SF109', NULL, NULL, NULL, NULL, 'APPR-1-P PROCESSING ENZYME FAMILY PROTEIN', NULL, NULL, NULL, 15),
(188620, NULL, 'PTHR42898:SF6', NULL, NULL, NULL, NULL, 'OS03G0269100 PROTEIN', NULL, NULL, NULL, 15),
(188621, NULL, 'PTHR31118:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188622, NULL, 'PTHR24016:SF12', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY C MEMBER 28', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188623, NULL, 'PTHR44080:SF3', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE COP1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(188624, NULL, 'PTHR44598:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188625, NULL, 'PTHR10792:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188626, NULL, 'PTHR24278:SF31', NULL, NULL, NULL, NULL, 'COAGULATION FACTOR IX', NULL, NULL, 33884, 15),
(188627, NULL, 'PTHR24064:SF570', NULL, NULL, NULL, NULL, 'INORGANIC PHOSPHATE TRANSPORTER PHO84', NULL, NULL, NULL, 15),
(188628, NULL, 'PTHR32370:SF144', NULL, NULL, NULL, NULL, 'BNAA09G51040D PROTEIN', NULL, NULL, NULL, 15),
(188629, NULL, 'PTHR13789:SF268', NULL, NULL, NULL, NULL, '5-METHYLPHENAZINE-1-CARBOXYLATE 1-MONOOXYGENASE', NULL, NULL, NULL, 15),
(188630, NULL, 'PTHR46713:SF1', NULL, NULL, NULL, NULL, 'F13M7.16 PROTEIN', NULL, NULL, NULL, 15),
(188631, NULL, 'PTHR46339', NULL, NULL, NULL, NULL, 'PROTEIN CBG15282-RELATED', NULL, NULL, NULL, 15),
(188632, NULL, 'PTHR31370:SF3', NULL, NULL, NULL, NULL, 'BNAC04G31510D PROTEIN', NULL, NULL, NULL, 15),
(188633, NULL, 'PTHR23196:SF8', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(188634, NULL, 'PTHR24028', NULL, NULL, NULL, NULL, 'CADHERIN-87A', NULL, NULL, NULL, 15),
(188635, NULL, 'PTHR47926:SF195', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(188636, NULL, 'PTHR24093:SF466', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(188637, NULL, 'PTHR32285:SF186', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(188638, NULL, 'PTHR10472', NULL, NULL, NULL, NULL, 'D-TYROSYL-TRNA TYR  DEACYLASE', NULL, NULL, 2230, 15),
(188639, NULL, 'PTHR24177:SF336', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188640, NULL, 'PTHR13305:SF5', NULL, NULL, NULL, NULL, 'NUCLEOLAR RNA-BINDING NOP10P-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188641, NULL, 'PTHR45729:SF1', NULL, NULL, NULL, NULL, 'DOUBLE C2-LIKE DOMAIN-CONTAINING PROTEIN ALPHA', NULL, NULL, 27814, 15),
(188642, NULL, 'PTHR47823:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188643, NULL, 'PTHR11588:SF9', NULL, NULL, NULL, NULL, 'TUBULIN BETA-1 CHAIN', NULL, NULL, NULL, 15),
(188644, NULL, 'PTHR34672:SF14', NULL, NULL, NULL, NULL, 'ARABINOGALACTAN PROTEIN 40', NULL, NULL, NULL, 15),
(188645, NULL, 'PTHR33154:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REGULATOR, ARSR FAMILY', NULL, NULL, NULL, 15),
(188646, NULL, 'PTHR46250', NULL, NULL, NULL, NULL, 'MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188647, NULL, 'PTHR11481:SF62', NULL, NULL, NULL, NULL, 'FC RECEPTOR-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(188648, NULL, 'PTHR12741:SF67', NULL, NULL, NULL, NULL, 'CALLOSE SYNTHASE 10', NULL, NULL, NULL, 15),
(188649, NULL, 'PTHR37376:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188650, NULL, 'PTHR28649:SF3', NULL, NULL, NULL, NULL, 'REPRIMO-LIKE PROTEIN', NULL, NULL, 33746, 15),
(188651, NULL, 'PTHR23254', NULL, NULL, NULL, NULL, 'EIF4G DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(188652, NULL, 'PTHR21022:SF28', NULL, NULL, NULL, NULL, 'PREPHENATE DEHYDRATASE, ACT DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188653, NULL, 'PTHR32241:SF16', NULL, NULL, NULL, NULL, 'OS06G0677000 PROTEIN', NULL, NULL, NULL, 15),
(188654, NULL, 'PTHR31194:SF129', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR CRF2-LIKE', NULL, NULL, NULL, 15),
(188655, NULL, 'PTHR42941', NULL, NULL, NULL, NULL, 'SLL1037 PROTEIN', NULL, NULL, 14179, 15),
(188656, NULL, 'PTHR33091:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188657, NULL, 'PTHR31218:SF175', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(188658, NULL, 'PTHR10677:SF9', NULL, NULL, NULL, NULL, 'UBIQUILIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188659, NULL, 'PTHR32258:SF38', NULL, NULL, NULL, NULL, 'KINASE INTERACTING (KIP1-LIKE) FAMILY PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188660, NULL, 'PTHR33180:SF21', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II CP43 REACTION CENTER PROTEIN', NULL, NULL, NULL, 15),
(188661, NULL, 'PTHR47518:SF10', NULL, NULL, NULL, NULL, 'PROTEIN CBG09758', NULL, NULL, NULL, 15),
(188662, NULL, 'PTHR46689', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(188663, NULL, 'PTHR21392:SF4', NULL, NULL, NULL, NULL, 'DTW DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(188664, NULL, 'PTHR46960:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE KEG-LIKE', NULL, NULL, NULL, 15),
(188665, NULL, 'PTHR43523:SF15', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE LARGE SUBUNIT 4, CHLOROPLASTIC/AMYLOPLASTIC', NULL, NULL, NULL, 15),
(188666, NULL, 'PTHR43434:SF8', NULL, NULL, NULL, NULL, 'PYROPHOSPHATASE PPAX', NULL, NULL, NULL, 15),
(188667, NULL, 'PTHR16677', NULL, NULL, NULL, NULL, 'HEMATOPOIETIC PROGENITOR CELL ANTIGEN CD34', NULL, NULL, 6049, 15),
(188668, NULL, 'PTHR47214:SF3', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AS1', NULL, NULL, 23604, 15),
(188669, NULL, 'PTHR13318:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188670, NULL, 'PTHR47977:SF13', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-5C', NULL, NULL, NULL, 15),
(188671, NULL, 'PTHR37917:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG03580', NULL, NULL, NULL, 15),
(188672, NULL, 'PTHR11036:SF11', NULL, NULL, NULL, NULL, 'SEMAPHORIN-6C', NULL, NULL, 8303, 15),
(188673, NULL, 'PTHR10715:SF9', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L6', NULL, NULL, NULL, 15),
(188674, NULL, 'PTHR11732:SF482', NULL, NULL, NULL, NULL, 'ZGC:56622', NULL, NULL, NULL, 15),
(188675, NULL, 'PTHR46119:SF15', NULL, NULL, NULL, NULL, 'PROTEIN SODIUM POTASSIUM ROOT DEFECTIVE 2', NULL, NULL, NULL, 15),
(188676, NULL, 'PTHR28188', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM5', NULL, NULL, NULL, 15),
(188677, NULL, 'PTHR45836:SF22', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING G-PROTEIN COUPLED RECEPTOR 6', NULL, NULL, NULL, 15),
(188678, NULL, 'PTHR47312', NULL, NULL, NULL, NULL, 'MELANOMA-DERIVED GROWTH REGULATORY PROTEIN', NULL, NULL, 39062, 15),
(188679, NULL, 'PTHR31044:SF83', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(188680, NULL, 'PTHR38739:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188681, NULL, 'PTHR10026:SF67', NULL, NULL, NULL, NULL, 'CYCLIN-T1-4-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(188682, NULL, 'PTHR23257:SF800', NULL, NULL, NULL, NULL, 'OS06G0663400 PROTEIN', NULL, NULL, NULL, 15),
(188683, NULL, 'PTHR32295:SF33', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 21', NULL, NULL, NULL, 15),
(188684, NULL, 'PTHR45008:SF1', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCOSE-SPECIFIC EIIA COMPONENT', NULL, NULL, NULL, 15),
(188685, NULL, 'PTHR48094:SF5', NULL, NULL, NULL, NULL, 'PROTEIN DJ-1 HOMOLOG', NULL, NULL, NULL, 15),
(188686, NULL, 'PTHR31065:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188687, NULL, 'PTHR24356:SF157', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 32B', NULL, NULL, NULL, 15),
(188688, NULL, 'PTHR46714:SF9', NULL, NULL, NULL, NULL, 'BNAA09G36010D PROTEIN', NULL, NULL, NULL, 15),
(188689, NULL, 'PTHR46105:SF9', NULL, NULL, NULL, NULL, 'BTB AND CNC HOMOLOGY 1, BASIC LEUCINE ZIPPER TRANSCRIPTION FACTOR 1 A', NULL, NULL, NULL, 15),
(188690, NULL, 'PTHR48219', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 62-RELATED', NULL, NULL, NULL, 15),
(188691, NULL, 'PTHR31985:SF199', NULL, NULL, NULL, NULL, 'BNACNNG08620D PROTEIN', NULL, NULL, NULL, 15),
(188692, NULL, 'PTHR23262:SF170', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-6', NULL, NULL, NULL, 15),
(188693, NULL, 'PTHR24369:SF186', NULL, NULL, NULL, NULL, 'CHAOPTIN', NULL, NULL, NULL, 15),
(188694, NULL, 'PTHR31683:SF150', NULL, NULL, NULL, NULL, 'PECTATE LYASE 20-RELATED', NULL, NULL, NULL, 15),
(188695, NULL, 'PTHR13361', NULL, NULL, NULL, NULL, 'WW DOMAIN-BINDING PROTEIN 11', NULL, NULL, 16415, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188696, NULL, 'PTHR24072:SF192', NULL, NULL, NULL, NULL, 'CDC42 HOMOLOG', NULL, NULL, NULL, 15),
(188697, NULL, 'PTHR10791:SF131', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(188698, NULL, 'PTHR33674:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188699, NULL, 'PTHR32246:SF121', NULL, NULL, NULL, NULL, 'BNAA08G26630D PROTEIN', NULL, NULL, NULL, 15),
(188700, NULL, 'PTHR45696:SF14', NULL, NULL, NULL, NULL, '60S ACIDIC RIBOSOMAL PROTEIN P1-ALPHA', NULL, NULL, NULL, 15),
(188701, NULL, 'PTHR32448:SF141', NULL, NULL, NULL, NULL, 'FAD-BINDING BERBERINE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188702, NULL, 'PTHR15615:SF108', NULL, NULL, NULL, NULL, 'PROTEIN CNPPD1', NULL, NULL, NULL, 15),
(188703, NULL, 'PTHR12669:SF5', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(188704, NULL, 'PTHR34981', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN ZAPA', NULL, NULL, 2483, 15),
(188705, NULL, 'PTHR28441:SF1', NULL, NULL, NULL, NULL, 'OS05G0355133 PROTEIN', NULL, NULL, NULL, 15),
(188706, NULL, 'PTHR12490:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG05667', NULL, NULL, NULL, 15),
(188707, NULL, 'PTHR31625:SF50', NULL, NULL, NULL, NULL, 'MALONYL-COA:ISOFLAVONE 7-O-GLUCOSIDE MALONYLTRANSFERASE', NULL, NULL, NULL, 15),
(188708, NULL, 'PTHR32343:SF34', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 8', NULL, NULL, NULL, 15),
(188709, NULL, 'PTHR10694:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188710, NULL, 'PTHR10615:SF73', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT6B', NULL, NULL, NULL, 15),
(188711, NULL, 'PTHR21017:SF22', NULL, NULL, NULL, NULL, 'PROTEIN NIPSNAP HOMOLOG 3B', NULL, NULL, NULL, 15),
(188712, NULL, 'PTHR48001:SF61', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(188713, NULL, 'PTHR31071:SF32', NULL, NULL, NULL, NULL, 'OS07G0102200 PROTEIN', NULL, NULL, NULL, 15),
(188714, NULL, 'PTHR21319:SF46', NULL, NULL, NULL, NULL, 'BNAA06G13100D PROTEIN', NULL, NULL, NULL, 15),
(188715, NULL, 'PTHR10901:SF16', NULL, NULL, NULL, NULL, 'TROPOMODULIN', NULL, NULL, NULL, 15),
(188716, NULL, 'PTHR12110:SF42', NULL, NULL, NULL, NULL, 'PROTEIN IOLH', NULL, NULL, NULL, 15),
(188717, NULL, 'PTHR31639:SF145', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188718, NULL, 'PTHR24221:SF276', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN MG014-RELATED', NULL, NULL, NULL, 15),
(188719, NULL, 'PTHR43083:SF3', NULL, NULL, NULL, NULL, 'SHORT-CHAIN ALCOHOL DEHYDROGENASE', NULL, NULL, NULL, 15),
(188720, NULL, 'PTHR24381:SF280', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 768', NULL, NULL, NULL, 15),
(188721, NULL, 'PTHR12377:SF0', NULL, NULL, NULL, NULL, 'CYTOSOLIC IRON-SULFUR ASSEMBLY COMPONENT 2B', NULL, NULL, NULL, 15),
(188722, NULL, 'PTHR13156:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 6, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(188723, NULL, 'PTHR21600:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188724, NULL, 'PTHR33168:SF46', NULL, NULL, NULL, NULL, 'NHL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(188725, NULL, 'PTHR22914:SF13', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE', NULL, NULL, NULL, 15),
(188726, NULL, 'PTHR33736', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-RELATED', NULL, NULL, 38835, 15),
(188727, NULL, 'PTHR11049:SF27', NULL, NULL, NULL, NULL, 'CYTOSOLIC ACYL COENZYME A THIOESTER HYDROLASE', NULL, NULL, NULL, 15),
(188728, NULL, 'PTHR31350', NULL, NULL, NULL, NULL, 'SI:DKEY-261L7.2', NULL, NULL, NULL, 15),
(188729, NULL, 'PTHR37385', NULL, NULL, NULL, NULL, 'PROTEIN LOW PSII ACCUMULATION 2, CHLOROPLASTIC', NULL, NULL, 35245, 15),
(188730, NULL, 'PTHR47928:SF30', NULL, NULL, NULL, NULL, 'OS10G0400250 PROTEIN', NULL, NULL, NULL, 15),
(188731, NULL, 'PTHR23115:SF137', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-ALPHA', NULL, NULL, NULL, 15),
(188732, NULL, 'PTHR43205:SF47', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT ALKENAL DOUBLE BOND REDUCTASE', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188733, NULL, 'PTHR45721:SF15', NULL, NULL, NULL, NULL, 'INTERMEDIATE FILAMENT PROTEIN IFP-1', NULL, NULL, NULL, 15),
(188734, NULL, 'PTHR24320:SF189', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 14', NULL, NULL, NULL, 15),
(188735, NULL, 'PTHR31421:SF15', NULL, NULL, NULL, NULL, 'BNAA09G38320D PROTEIN', NULL, NULL, NULL, 15),
(188736, NULL, 'PTHR30381:SF0', NULL, NULL, NULL, NULL, 'FLAGELLAR P-RING PROTEIN', NULL, NULL, NULL, 15),
(188737, NULL, 'PTHR11278:SF21', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S7', NULL, NULL, NULL, 15),
(188738, NULL, 'PTHR30061', NULL, NULL, NULL, NULL, 'MALTOSE-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(188739, NULL, 'PTHR35487', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188740, NULL, 'PTHR31561:SF150', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(188741, NULL, 'PTHR10699:SF15', NULL, NULL, NULL, NULL, 'NEUROMODULIN', NULL, NULL, NULL, 15),
(188742, NULL, 'PTHR20930:SF8', NULL, NULL, NULL, NULL, 'BNAA03G46880D PROTEIN', NULL, NULL, NULL, 15),
(188743, NULL, 'PTHR45974:SF142', NULL, NULL, NULL, NULL, 'PROTEIN KINASE, PLANT-TYPE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(188744, NULL, 'PTHR43547:SF2', NULL, NULL, NULL, NULL, 'SIGNAL TRANSDUCTION HISTIDINE-PROTEIN KINASE AFSQ2', NULL, NULL, NULL, 15),
(188745, NULL, 'PTHR47757:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS E (EPSILON)', NULL, NULL, NULL, 15),
(188746, NULL, 'PTHR43106:SF1', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(188747, NULL, 'PTHR23012:SF193', NULL, NULL, NULL, NULL, 'BNACNNG45990D PROTEIN', NULL, NULL, NULL, 15),
(188748, NULL, 'PTHR23274:SF34', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15),
(188749, NULL, 'PTHR31479:SF26', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(188750, NULL, 'PTHR23024:SF529', NULL, NULL, NULL, NULL, 'BNAA05G16060D PROTEIN', NULL, NULL, NULL, 15),
(188751, NULL, 'PTHR34495:SF4', NULL, NULL, NULL, NULL, 'UNC-51-LIKE AUTOPHAGY-ACTIVATING KINASE 1A', NULL, NULL, NULL, 15),
(188752, NULL, 'PTHR28489:SF4', NULL, NULL, NULL, NULL, 'ZGC:162144', NULL, NULL, NULL, 15),
(188753, NULL, 'PTHR48061', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1-LIKE-RELATED', NULL, NULL, NULL, 15),
(188754, NULL, 'PTHR24388:SF67', NULL, NULL, NULL, NULL, 'EOR-1', NULL, NULL, NULL, 15),
(188755, NULL, 'PTHR21562:SF85', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(188756, NULL, 'PTHR23268:SF84', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 4-2', NULL, NULL, NULL, 15),
(188757, NULL, 'PTHR46614:SF1', NULL, NULL, NULL, NULL, 'MORN REPEAT-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(188758, NULL, 'PTHR23507:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG14511', NULL, NULL, NULL, 15),
(188759, NULL, 'PTHR14296:SF10', NULL, NULL, NULL, NULL, 'BNAA06G13150D PROTEIN', NULL, NULL, NULL, 15),
(188760, NULL, 'PTHR10322:SF20', NULL, NULL, NULL, NULL, 'DNA POLYMERASE 1', NULL, NULL, NULL, 15),
(188761, NULL, 'PTHR11686:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CBG05566', NULL, NULL, NULL, 15),
(188762, NULL, 'PTHR31675:SF8', NULL, NULL, NULL, NULL, 'AXIAL REGULATOR YABBY 4', NULL, NULL, NULL, 15),
(188763, NULL, 'PTHR23018:SF14', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS XA', NULL, NULL, NULL, 15),
(188764, NULL, 'PTHR10666:SF297', NULL, NULL, NULL, NULL, 'POLYUBIQUITIN ISOFORM X1', NULL, NULL, NULL, 15),
(188765, NULL, 'PTHR11716:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(2)', NULL, NULL, NULL, 15),
(188766, NULL, 'PTHR33085:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188767, NULL, 'PTHR42985:SF33', NULL, NULL, NULL, NULL, 'FI02094P', NULL, NULL, NULL, 15),
(188768, NULL, 'PTHR45730:SF12', NULL, NULL, NULL, NULL, 'DROUGHT AND SALT TOLERANCE PROTEIN', NULL, NULL, NULL, 15),
(188769, NULL, 'PTHR47985:SF55', NULL, NULL, NULL, NULL, 'OS12G0221800 PROTEIN', NULL, NULL, NULL, 15),
(188770, NULL, 'PTHR35835', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188771, NULL, 'PTHR47286:SF2', NULL, NULL, NULL, NULL, 'F3I6.9 PROTEIN', NULL, NULL, NULL, 15),
(188772, NULL, 'PTHR33868:SF13', NULL, NULL, NULL, NULL, 'BNACNNG59000D PROTEIN', NULL, NULL, NULL, 15),
(188773, NULL, 'PTHR45631:SF48', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(188774, NULL, 'PTHR35709:SF3', NULL, NULL, NULL, NULL, 'PROTON GRADIENT REGULATION 5', NULL, NULL, NULL, 15),
(188775, NULL, 'PTHR48022:SF40', NULL, NULL, NULL, NULL, 'GLUCOSE TRANSPORTER RCO-3-RELATED', NULL, NULL, NULL, 15),
(188776, NULL, 'PTHR13140:SF780', NULL, NULL, NULL, NULL, 'MYOSIN-3', NULL, NULL, NULL, 15),
(188777, NULL, 'PTHR33175:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188778, NULL, 'PTHR33287:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188779, NULL, 'PTHR31717:SF91', NULL, NULL, NULL, NULL, 'B-BOX ZINC FINGER PROTEIN 23-LIKE', NULL, NULL, NULL, 15),
(188780, NULL, 'PTHR13568:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 185-LIKE', NULL, NULL, NULL, 15),
(188781, NULL, 'PTHR34789:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188782, NULL, 'PTHR15207:SF1', NULL, NULL, NULL, NULL, 'GASDERMIN-E', NULL, NULL, NULL, 15),
(188783, NULL, 'PTHR27003:SF381', NULL, NULL, NULL, NULL, 'BNAA09G46530D PROTEIN', NULL, NULL, NULL, 15),
(188784, NULL, 'PTHR37721:SF1', NULL, NULL, NULL, NULL, 'OS05G0464200 PROTEIN', NULL, NULL, NULL, 15),
(188785, NULL, 'PTHR23266:SF220', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION 1-62-3-RELATED', NULL, NULL, NULL, 15),
(188786, NULL, 'PTHR31676:SF114', NULL, NULL, NULL, NULL, 'DUF538 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(188787, NULL, 'PTHR31357:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-32', NULL, NULL, NULL, 15),
(188788, NULL, 'PTHR14517', NULL, NULL, NULL, NULL, 'RIB43A-RELATED', NULL, NULL, 14183, 15),
(188789, NULL, 'PTHR46797:SF5', NULL, NULL, NULL, NULL, 'BLR4304 PROTEIN', NULL, NULL, NULL, 15),
(188790, NULL, 'PTHR43329:SF81', NULL, NULL, NULL, NULL, 'PROTEIN AUXIN RESPONSE 4', NULL, NULL, NULL, 15),
(188791, NULL, 'PTHR24296:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 86A8', NULL, NULL, NULL, 15),
(188792, NULL, 'PTHR24330:SF16', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CEH-31', NULL, NULL, NULL, 15),
(188793, NULL, 'PTHR47258:SF2', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN', NULL, NULL, NULL, 15),
(188794, NULL, 'PTHR11848:SF132', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 8B', NULL, NULL, NULL, 15),
(188795, NULL, 'PTHR16036', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND ZINC FINGER DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(188796, NULL, 'PTHR32176:SF61', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(188797, NULL, 'PTHR23315:SF120', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(188798, NULL, 'PTHR11599:SF175', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA', NULL, NULL, NULL, 15),
(188799, NULL, 'PTHR15435', NULL, NULL, NULL, NULL, 'KICSTOR COMPLEX PROTEIN KAPTIN', NULL, NULL, 22047, 15),
(188800, NULL, 'PTHR24416:SF295', NULL, NULL, NULL, NULL, 'DISCOIDIN DOMAIN-CONTAINING RECEPTOR 2', NULL, NULL, 26652, 15),
(188801, NULL, 'PTHR45649:SF7', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(188802, NULL, 'PTHR21724:SF106', NULL, NULL, NULL, NULL, 'PROTEIN CBG01687', NULL, NULL, NULL, 15),
(188803, NULL, 'PTHR24015:SF1814', NULL, NULL, NULL, NULL, 'OS11G0583200 PROTEIN', NULL, NULL, NULL, 15),
(188804, NULL, 'PTHR31190:SF237', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188805, NULL, 'PTHR30081', NULL, NULL, NULL, NULL, 'PROTEIN-EXPORT MEMBRANE PROTEIN SEC', NULL, NULL, 14887, 15),
(188806, NULL, 'PTHR33168:SF44', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(188807, NULL, 'PTHR11266:SF81', NULL, NULL, NULL, NULL, 'GH12661P', NULL, NULL, NULL, 15),
(188808, NULL, 'PTHR46558:SF9', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR, PBSX FAMILY', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188809, NULL, 'PTHR23426:SF48', NULL, NULL, NULL, NULL, 'FERREDOXIN 1B', NULL, NULL, NULL, 15),
(188810, NULL, 'PTHR23194:SF3', NULL, NULL, NULL, NULL, 'PYGOPUS HOMOLOG 1', NULL, NULL, NULL, 15),
(188811, NULL, 'PTHR45614:SF90', NULL, NULL, NULL, NULL, 'MYB-LIKE TRANSCRIPTION FACTOR-LIKE', NULL, NULL, NULL, 15),
(188812, NULL, 'PTHR37910:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(188813, NULL, 'PTHR43085:SF34', NULL, NULL, NULL, NULL, 'BNAC03G17470D PROTEIN', NULL, NULL, NULL, 15),
(188814, NULL, 'PTHR43330:SF24', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE A', NULL, NULL, NULL, 15),
(188815, NULL, 'PTHR11860:SF49', NULL, NULL, NULL, NULL, 'HIGH AFFINITY IMMUNOGLOBULIN ALPHA AND IMMUNOGLOBULIN MU FC RECEPTOR', NULL, NULL, NULL, 15),
(188816, NULL, 'PTHR16038', NULL, NULL, NULL, NULL, 'NOP SEVEN ASSOCIATED PROTEIN 1', NULL, NULL, 31976, 15),
(188817, NULL, 'PTHR23268:SF101', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 9', NULL, NULL, NULL, 15),
(188818, NULL, 'PTHR48002:SF70', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(188819, NULL, 'PTHR15907:SF136', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 10', NULL, NULL, NULL, 15),
(188820, NULL, 'PTHR46497:SF1', NULL, NULL, NULL, NULL, 'THIOREDOXIN DOMAIN-CONTAINING PROTEIN 11', NULL, NULL, NULL, 15),
(188821, NULL, 'PTHR46712', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROPHOSPHATASE AND PROTEIN-TYROSINE PHOSPHATASE 1', NULL, NULL, 39740, 15),
(188822, NULL, 'PTHR23208:SF16', NULL, NULL, NULL, NULL, 'LYSOZYME', NULL, NULL, NULL, 15),
(188823, NULL, 'PTHR47583', NULL, NULL, NULL, NULL, 'ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(188824, NULL, 'PTHR24376:SF123', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 672', NULL, NULL, NULL, 15),
(188825, NULL, 'PTHR46219:SF3', NULL, NULL, NULL, NULL, 'PHARYNGEAL GLAND TOXIN-RELATED', NULL, NULL, NULL, 15),
(188826, NULL, 'PTHR31235:SF318', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(188827, NULL, 'PTHR11406', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE KINASE', NULL, NULL, 5480, 15),
(188828, NULL, 'PTHR24292:SF84', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 308A1-RELATED', NULL, NULL, NULL, 15),
(188829, NULL, 'PTHR47074:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188830, NULL, 'PTHR11636:SF42', NULL, NULL, NULL, NULL, 'POU DOMAIN, CLASS 4, TRANSCRIPTION FACTOR 1', NULL, NULL, 9785, 15),
(188831, NULL, 'PTHR23315:SF260', NULL, NULL, NULL, NULL, 'U-BOX DOMAIN-CONTAINING PROTEIN 73', NULL, NULL, NULL, 15),
(188832, NULL, 'PTHR45586:SF9', NULL, NULL, NULL, NULL, 'SLR2048 PROTEIN', NULL, NULL, NULL, 15),
(188833, NULL, 'PTHR41349:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG08683', NULL, NULL, NULL, 15),
(188834, NULL, 'PTHR24300:SF279', NULL, NULL, NULL, NULL, 'CYTOCHROME P450, FAMILY 2, SUBFAMILY C, POLYPEPTIDE 23', NULL, NULL, NULL, 15),
(188835, NULL, 'PTHR11579:SF4', NULL, NULL, NULL, NULL, 'PROTEIN-L-ISOASPARTATE O-METHYLTRANSFERASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(188836, NULL, 'PTHR43184:SF7', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE EXCHANGER 3', NULL, NULL, NULL, 15),
(188837, NULL, 'PTHR23326:SF18', NULL, NULL, NULL, NULL, 'NOT TRANSCRIPTION COMPLEX SUBUNIT VIP2-RELATED', NULL, NULL, NULL, 15),
(188838, NULL, 'PTHR48017:SF161', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 7-RELATED', NULL, NULL, NULL, 15),
(188839, NULL, 'PTHR33384:SF34', NULL, NULL, NULL, NULL, 'BNACNNG56630D PROTEIN', NULL, NULL, NULL, 15),
(188840, NULL, 'PTHR46586:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188841, NULL, 'PTHR21593:SF19', NULL, NULL, NULL, NULL, 'PROTEIN CBG05949', NULL, NULL, NULL, 15),
(188842, NULL, 'PTHR47928:SF102', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188843, NULL, 'PTHR35757', NULL, NULL, NULL, NULL, 'THERMOSOME SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(188844, NULL, 'PTHR38165:SF1', NULL, NULL, NULL, NULL, 'GLUCANASE B', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188845, NULL, 'PTHR35365:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188846, NULL, 'PTHR31264:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188847, NULL, 'PTHR12011:SF40', NULL, NULL, NULL, NULL, 'ADHESION G PROTEIN-COUPLED RECEPTOR B3', NULL, NULL, NULL, 15),
(188848, NULL, 'PTHR11003:SF247', NULL, NULL, NULL, NULL, 'POTASSIUM CHANNEL, SUBFAMILY K, MEMBER 17', NULL, NULL, NULL, 15),
(188849, NULL, 'PTHR45645:SF9', NULL, NULL, NULL, NULL, 'PROCOLLAGEN C-ENDOPEPTIDASE ENHANCER 2', NULL, NULL, NULL, 15),
(188850, NULL, 'PTHR11017:SF275', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(188851, NULL, 'PTHR30388:SF4', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR INSERTION CHAPERONE PAOD', NULL, NULL, NULL, 15),
(188852, NULL, 'PTHR45655:SF11', NULL, NULL, NULL, NULL, 'SOLUBLE GUANYLATE CYCLASE GCY-32', NULL, NULL, NULL, 15),
(188853, NULL, 'PTHR11214:SF298', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(188854, NULL, 'PTHR38792:SF3', NULL, NULL, NULL, NULL, 'EXO-ARABINANASE (EUROFUNG)', NULL, NULL, NULL, 15),
(188855, NULL, 'PTHR12002:SF185', NULL, NULL, NULL, NULL, 'CLAUDIN', NULL, NULL, NULL, 15),
(188856, NULL, 'PTHR43349:SF46', NULL, NULL, NULL, NULL, 'EPIMERASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G07170)-RELATED', NULL, NULL, NULL, 15),
(188857, NULL, 'PTHR10177:SF365', NULL, NULL, NULL, NULL, 'CYCLIN-D4-2', NULL, NULL, NULL, 15),
(188858, NULL, 'PTHR45770:SF27', NULL, NULL, NULL, NULL, 'OS08G0439000 PROTEIN', NULL, NULL, NULL, 15),
(188859, NULL, 'PTHR32246:SF109', NULL, NULL, NULL, NULL, 'BNAA04G26410D PROTEIN', NULL, NULL, NULL, 15),
(188860, NULL, 'PTHR31828', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA', NULL, NULL, 34011, 15),
(188861, NULL, 'PTHR10075:SF25', NULL, NULL, NULL, NULL, 'PROTEIN TURTLE HOMOLOG A', NULL, NULL, NULL, 15),
(188862, NULL, 'PTHR46846:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(188863, NULL, 'PTHR24095:SF248', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', NULL, NULL, NULL, 15),
(188864, NULL, 'PTHR26453:SF136', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2D3', NULL, NULL, NULL, 15),
(188865, NULL, 'PTHR43572:SF56', NULL, NULL, NULL, NULL, 'DOUBLE CLP-N MOTIF-CONTAINING P-LOOP NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188866, NULL, 'PTHR10605:SF10', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE GLUCOSAMINE 3-O-SULFOTRANSFERASE 2', NULL, NULL, NULL, 15),
(188867, NULL, 'PTHR12845', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE EXCHANGE FACTOR', NULL, NULL, NULL, 15),
(188868, NULL, 'PTHR39220', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN PVRIG', NULL, NULL, 2729, 15),
(188869, NULL, 'PTHR43173:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188870, NULL, 'PTHR15468:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 185', NULL, NULL, 25462, 15),
(188871, NULL, 'PTHR11064:SF126', NULL, NULL, NULL, NULL, 'BNAA09G18400D PROTEIN', NULL, NULL, NULL, 15),
(188872, NULL, 'PTHR24296:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188873, NULL, 'PTHR15710:SF116', NULL, NULL, NULL, NULL, 'ZINC FINGER, C3HC4 TYPE (RING FINGER) PROTEIN', NULL, NULL, NULL, 15),
(188874, NULL, 'PTHR11802:SF301', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE 18', NULL, NULL, NULL, 15),
(188875, NULL, 'PTHR48034:SF7', NULL, NULL, NULL, NULL, 'RNA-BINDING MOTIF PROTEIN, Y CHROMOSOME, FAMILY 1 MEMBER A1-RELATED', NULL, NULL, NULL, 15),
(188876, NULL, 'PTHR43689:SF28', NULL, NULL, NULL, NULL, 'HALOALKANE DEHALOGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_8G01700)', NULL, NULL, NULL, 15),
(188877, NULL, 'PTHR31836:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188878, NULL, 'PTHR45788:SF6', NULL, NULL, NULL, NULL, 'TRICARBOXYLATE TRANSPORT PROTEIN B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(188879, NULL, 'PTHR24366:SF89', NULL, NULL, NULL, NULL, 'LEUCINE RICH REPEAT CONTAINING 3', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188880, NULL, 'PTHR31072:SF167', NULL, NULL, NULL, NULL, 'BNAC02G19460D PROTEIN', NULL, NULL, NULL, 15),
(188881, NULL, 'PTHR14455:SF0', NULL, NULL, NULL, NULL, 'S100P-BINDING PROTEIN', NULL, NULL, NULL, 15),
(188882, NULL, 'PTHR10720:SF2', NULL, NULL, NULL, NULL, 'HEME OXYGENASE 2', NULL, NULL, NULL, 15),
(188883, NULL, 'PTHR31215:SF2', NULL, NULL, NULL, NULL, 'OS05G0510400 PROTEIN', NULL, NULL, NULL, 15),
(188884, NULL, 'PTHR47926:SF27', NULL, NULL, NULL, NULL, 'PPR REPEAT PROTEIN', NULL, NULL, NULL, 15),
(188885, NULL, 'PTHR31681:SF89', NULL, NULL, NULL, NULL, 'BNAA08G28290D PROTEIN', NULL, NULL, NULL, 15),
(188886, NULL, 'PTHR48021:SF41', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER-LIKE, MAJOR FACILITATOR SUPERFAMILY DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188887, NULL, 'PTHR45763:SF23', NULL, NULL, NULL, NULL, 'BNACNNG03130D PROTEIN', NULL, NULL, NULL, 15),
(188888, NULL, 'PTHR21856', NULL, NULL, NULL, NULL, 'FIBROUS SHEATH-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(188889, NULL, 'PTHR15228:SF16', NULL, NULL, NULL, NULL, 'GEM-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(188890, NULL, 'PTHR47928:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188891, NULL, 'PTHR11699:SF65', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE', NULL, NULL, NULL, 15),
(188892, NULL, 'PTHR10315:SF83', NULL, NULL, NULL, NULL, 'OS01G0124900 PROTEIN', NULL, NULL, NULL, 15),
(188893, NULL, 'PTHR30151:SF19', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE-RELATED', NULL, NULL, NULL, 15),
(188894, NULL, 'PTHR23514:SF13', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YBJJ-RELATED', NULL, NULL, NULL, 15),
(188895, NULL, 'PTHR12537:SF63', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 15', NULL, NULL, NULL, 15),
(188896, NULL, 'PTHR21388:SF7', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 40', NULL, NULL, NULL, 15),
(188897, NULL, 'PTHR10845:SF254', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN SIGNALING-RELATED', NULL, NULL, NULL, 15),
(188898, NULL, 'PTHR37751:SF4', NULL, NULL, NULL, NULL, 'DUF4378 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(188899, NULL, 'PTHR31645:SF19', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL16-RELATED', NULL, NULL, NULL, 15),
(188900, NULL, 'PTHR34926:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188901, NULL, 'PTHR47947:SF26', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(188902, NULL, 'PTHR16705:SF4', NULL, NULL, NULL, NULL, 'COMPLEXIN', NULL, NULL, NULL, 15),
(188903, NULL, 'PTHR47559:SF1', NULL, NULL, NULL, NULL, 'OS03G0844900 PROTEIN', NULL, NULL, NULL, 15),
(188904, NULL, 'PTHR11588:SF397', NULL, NULL, NULL, NULL, 'TUBULIN BETA CHAIN', NULL, NULL, NULL, 15),
(188905, NULL, 'PTHR43374:SF5', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(188906, NULL, 'PTHR35741:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188907, NULL, 'PTHR19370:SF178', NULL, NULL, NULL, NULL, 'B5 REDUCTASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G10060)-RELATED', NULL, NULL, NULL, 15),
(188908, NULL, 'PTHR13683:SF793', NULL, NULL, NULL, NULL, 'OS06G0268700 PROTEIN', NULL, NULL, NULL, 15),
(188909, NULL, 'PTHR38418:SF2', NULL, NULL, NULL, NULL, 'SUGAR ISOMERASE, KPSF/GUTQ (AFU_ORTHOLOGUE AFUA_6G08860)', NULL, NULL, NULL, 15),
(188910, NULL, 'PTHR31676:SF156', NULL, NULL, NULL, NULL, 'F22D16.19 PROTEIN', NULL, NULL, NULL, 15),
(188911, NULL, 'PTHR43557:SF2', NULL, NULL, NULL, NULL, 'SD06560P', NULL, NULL, NULL, 15),
(188912, NULL, 'PTHR11905:SF14', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 22', NULL, NULL, NULL, 15),
(188913, NULL, 'PTHR27001:SF726', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188914, NULL, 'PTHR31699', NULL, NULL, NULL, NULL, 'NUDIX T16 FAMILY MEMBER', NULL, NULL, NULL, 15),
(188915, NULL, 'PTHR31707:SF255', NULL, NULL, NULL, NULL, 'BNAC02G00700D PROTEIN', NULL, NULL, NULL, 15),
(188916, NULL, 'PTHR47372:SF1', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 29-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188917, NULL, 'PTHR47975:SF9', NULL, NULL, NULL, NULL, 'OS01G0155200 PROTEIN', NULL, NULL, NULL, 15),
(188918, NULL, 'PTHR11371:SF31', NULL, NULL, NULL, NULL, 'EXTRACELLULAR NUCLEASE', NULL, NULL, NULL, 15),
(188919, NULL, 'PTHR31969:SF5', NULL, NULL, NULL, NULL, 'OS12G0559350 PROTEIN', NULL, NULL, NULL, 15),
(188920, NULL, 'PTHR46665:SF2', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(188921, NULL, 'PTHR47067:SF16', NULL, NULL, NULL, NULL, 'TPX2 (TARGETING PROTEIN FOR XKLP2) PROTEIN FAMILY', NULL, NULL, NULL, 15),
(188922, NULL, 'PTHR13405', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP133', NULL, NULL, 35080, 15),
(188923, NULL, 'PTHR46067:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188924, NULL, 'PTHR33505:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188925, NULL, 'PTHR12245:SF16', NULL, NULL, NULL, NULL, 'SI:DKEY-23N7.10', NULL, NULL, NULL, 15),
(188926, NULL, 'PTHR31874:SF42', NULL, NULL, NULL, NULL, 'BNAANNG25560D PROTEIN', NULL, NULL, NULL, 15),
(188927, NULL, 'PTHR22718:SF8', NULL, NULL, NULL, NULL, 'NEUROPEPTIDE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(188928, NULL, 'PTHR22930:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188929, NULL, 'PTHR31321:SF106', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(188930, NULL, 'PTHR23222:SF0', NULL, NULL, NULL, NULL, 'PHB', NULL, NULL, NULL, 15),
(188931, NULL, 'PTHR12812:SF10', NULL, NULL, NULL, NULL, 'BNAANNG15430D PROTEIN', NULL, NULL, NULL, 15),
(188932, NULL, 'PTHR46020:SF27', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(188933, NULL, 'PTHR11969', NULL, NULL, NULL, NULL, 'MAX DIMERIZATION, MAD', NULL, NULL, NULL, 15),
(188934, NULL, 'PTHR31352:SF37', NULL, NULL, NULL, NULL, 'INACTIVE BETA-AMYLASE 4, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(188935, NULL, 'PTHR47993:SF81', NULL, NULL, NULL, NULL, 'OS07G0667700 PROTEIN', NULL, NULL, NULL, 15),
(188936, NULL, 'PTHR32009:SF86', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(188937, NULL, 'PTHR47924:SF25', NULL, NULL, NULL, NULL, 'BNAA09G43440D PROTEIN', NULL, NULL, NULL, 15),
(188938, NULL, 'PTHR46702:SF2', NULL, NULL, NULL, NULL, 'DNA LIGASE (DUF1666)', NULL, NULL, NULL, 15),
(188939, NULL, 'PTHR43306', NULL, NULL, NULL, NULL, '7,8-DIHYDRO-6-HYDROXYMETHYLPTERIN DIMETHYLTRANSFERASE', NULL, NULL, 20051, 15),
(188940, NULL, 'PTHR33710:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188941, NULL, 'PTHR31734:SF176', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(188942, NULL, 'PTHR48007:SF43', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 4', NULL, NULL, NULL, 15),
(188943, NULL, 'PTHR11247:SF63', NULL, NULL, NULL, NULL, 'BNAC02G03380D PROTEIN', NULL, NULL, NULL, 15),
(188944, NULL, 'PTHR12300:SF141', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188945, NULL, 'PTHR16151:SF3', NULL, NULL, NULL, NULL, 'AUGMIN SUBUNIT 6-LIKE', NULL, NULL, NULL, 15),
(188946, NULL, 'PTHR12224:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(188947, NULL, 'PTHR37474:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188948, NULL, 'PTHR14152:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188949, NULL, 'PTHR22617:SF43', NULL, NULL, NULL, NULL, 'PROTEIN PILI', NULL, NULL, NULL, 15),
(188950, NULL, 'PTHR19305:SF9', NULL, NULL, NULL, NULL, 'SYNAPTOSOMAL-ASSOCIATED PROTEIN 29', NULL, NULL, NULL, 15),
(188951, NULL, 'PTHR13618', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER CONTAINING TRANSCRIPTION FACTOR  LZF1', NULL, NULL, 21985, 15),
(188952, NULL, 'PTHR23510:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG03421', NULL, NULL, NULL, 15),
(188953, NULL, 'PTHR31286:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188954, NULL, 'PTHR13947:SF14', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE 8-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188955, NULL, 'PTHR48041:SF51', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 23', NULL, NULL, NULL, 15),
(188956, NULL, 'PTHR19957:SF223', NULL, NULL, NULL, NULL, 'ZGC:165520', NULL, NULL, NULL, 15),
(188957, NULL, 'PTHR48044:SF18', NULL, NULL, NULL, NULL, 'BETA-D-GLUCOSYL CROCETIN BETA-1,6-GLUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(188958, NULL, 'PTHR47121:SF2', NULL, NULL, NULL, NULL, 'THYLAKOID LUMENAL PROTEIN TL20.3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(188959, NULL, 'PTHR14089:SF6', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR RBM22', NULL, NULL, NULL, 15),
(188960, NULL, 'PTHR31713:SF75', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(188961, NULL, 'PTHR31636:SF226', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 14', NULL, NULL, NULL, 15),
(188962, NULL, 'PTHR22792:SF142', NULL, NULL, NULL, NULL, 'BNAC09G09550D PROTEIN', NULL, NULL, NULL, 15),
(188963, NULL, 'PTHR47967:SF37', NULL, NULL, NULL, NULL, 'ASPARTIC PROTEINASE NEPENTHESIN-1-LIKE', NULL, NULL, NULL, 15),
(188964, NULL, 'PTHR43083', NULL, NULL, NULL, NULL, 'MANNAN POLYMERASE II', NULL, NULL, NULL, 15),
(188965, NULL, 'PTHR31875:SF29', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 5', NULL, NULL, NULL, 15),
(188966, NULL, 'PTHR47972:SF1', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14P', NULL, NULL, NULL, 15),
(188967, NULL, 'PTHR24064:SF440', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188968, NULL, 'PTHR31250:SF32', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM6-LIKE', NULL, NULL, NULL, 15),
(188969, NULL, 'PTHR47530:SF5', NULL, NULL, NULL, NULL, 'BNAA01G25770D PROTEIN', NULL, NULL, NULL, 15),
(188970, NULL, 'PTHR36837:SF2', NULL, NULL, NULL, NULL, 'POLY(3-HYDROXYALKANOATE) POLYMERASE SUBUNIT PHAC', NULL, NULL, NULL, 15),
(188971, NULL, 'PTHR23502:SF22', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_2G17840)-RELATED', NULL, NULL, NULL, 15),
(188972, NULL, 'PTHR11941:SF150', NULL, NULL, NULL, NULL, 'RACEMASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(188973, NULL, 'PTHR36498:SF1', NULL, NULL, NULL, NULL, 'TATA-BINDING PROTEIN-ASSOCIATED FACTOR 172', NULL, NULL, NULL, 15),
(188974, NULL, 'PTHR45626:SF12', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN RAD16', NULL, NULL, NULL, 15),
(188975, NULL, 'PTHR18945:SF826', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID (GABA) A RECEPTOR, BETA 2-RELATED', NULL, NULL, NULL, 15),
(188976, NULL, 'PTHR45648:SF119', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(188977, NULL, 'PTHR11538:SF62', NULL, NULL, NULL, NULL, 'ATP-BINDING PROTEIN (DUF2431)', NULL, NULL, NULL, 15),
(188978, NULL, 'PTHR22849:SF143', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(188979, NULL, 'PTHR24361:SF824', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK6', NULL, NULL, NULL, 15),
(188980, NULL, 'PTHR28653', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188981, NULL, 'PTHR22762:SF153', NULL, NULL, NULL, NULL, 'BNAA09G52350D PROTEIN', NULL, NULL, NULL, 15),
(188982, NULL, 'PTHR31681:SF6', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(188983, NULL, 'PTHR33120:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188984, NULL, 'PTHR15225', NULL, NULL, NULL, NULL, 'INTERFERON-INDUCED PROTEIN 35/NMI N-MYC/STAT INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(188985, NULL, 'PTHR11193:SF9', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RIBONUCLEOPROTEIN E', NULL, NULL, NULL, 15),
(188986, NULL, 'PTHR12675:SF7', NULL, NULL, NULL, NULL, 'MUSCLEBLIND-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(188987, NULL, 'PTHR47928:SF132', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT PROTEIN', NULL, NULL, NULL, 15),
(188988, NULL, 'PTHR32059', NULL, NULL, NULL, NULL, 'RAB11-BINDING PROTEIN RELCH', NULL, NULL, 31115, 15),
(188989, NULL, 'PTHR45639:SF21', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN', NULL, NULL, NULL, 15),
(188990, NULL, 'PTHR24015:SF2002', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(188991, NULL, 'PTHR12683:SF10', NULL, NULL, NULL, NULL, 'OS09G0423300 PROTEIN', NULL, NULL, NULL, 15),
(188992, NULL, 'PTHR43791:SF49', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G04250)-RELATED', NULL, NULL, NULL, 15),
(188993, NULL, 'PTHR32448:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188994, NULL, 'PTHR33696:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(188995, NULL, 'PTHR22838:SF21', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN/WD-40 REPEAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(188996, NULL, 'PTHR14494', NULL, NULL, NULL, NULL, 'ALADIN/ADRACALIN/AAAS', NULL, NULL, 38138, 15),
(188997, NULL, 'PTHR45642:SF77', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(188998, NULL, 'PTHR43237', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT MALIC ENZYME', NULL, NULL, NULL, 15),
(188999, NULL, 'PTHR31513:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189000, NULL, 'PTHR12582', NULL, NULL, NULL, NULL, 'NETRIN RECEPTOR UNC5', NULL, NULL, 35237, 15),
(189001, NULL, 'PTHR32468:SF79', NULL, NULL, NULL, NULL, 'EXCHANGER, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189002, NULL, 'PTHR34630:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189003, NULL, 'PTHR12665', NULL, NULL, NULL, NULL, 'ORMDL PROTEINS', NULL, NULL, 1332, 15),
(189004, NULL, 'PTHR21704:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189005, NULL, 'PTHR46100:SF11', NULL, NULL, NULL, NULL, 'BNAC06G14990D PROTEIN', NULL, NULL, NULL, 15),
(189006, NULL, 'PTHR28065:SF1', NULL, NULL, NULL, NULL, 'FREQUENIN', NULL, NULL, NULL, 15),
(189007, NULL, 'PTHR12606:SF121', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEASE', NULL, NULL, NULL, 15),
(189008, NULL, 'PTHR47926:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189009, NULL, 'PTHR36944:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG06990', NULL, NULL, NULL, 15),
(189010, NULL, 'PTHR30055:SF197', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REPRESSOR BDCR', NULL, NULL, NULL, 15),
(189011, NULL, 'PTHR48033:SF7', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189012, NULL, 'PTHR33470:SF38', NULL, NULL, NULL, NULL, 'BNAA09G40040D PROTEIN', NULL, NULL, NULL, 15),
(189013, NULL, 'PTHR31221:SF209', NULL, NULL, NULL, NULL, 'WRKY DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189014, NULL, 'PTHR21471', NULL, NULL, NULL, NULL, 'GNAT FAMILY ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(189015, NULL, 'PTHR10996:SF253', NULL, NULL, NULL, NULL, 'DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(189016, NULL, 'PTHR18953:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189017, NULL, 'PTHR38591:SF1', NULL, NULL, NULL, NULL, 'HYDROLASE', NULL, NULL, NULL, 15),
(189018, NULL, 'PTHR21007:SF1', NULL, NULL, NULL, NULL, 'LIVER-EXPRESSED ANTIMICROBIAL PEPTIDE 2', NULL, NULL, NULL, 15),
(189019, NULL, 'PTHR47493', NULL, NULL, NULL, NULL, 'OS08G0520200 PROTEIN', NULL, NULL, NULL, 15),
(189020, NULL, 'PTHR10969:SF25', NULL, NULL, NULL, NULL, 'AUTOPHAGY-RELATED PROTEIN 8H', NULL, NULL, NULL, 15),
(189021, NULL, 'PTHR27004:SF280', NULL, NULL, NULL, NULL, 'OS08G0266400 PROTEIN', NULL, NULL, NULL, 15),
(189022, NULL, 'PTHR46656', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189023, NULL, 'PTHR31111:SF21', NULL, NULL, NULL, NULL, 'BNAANNG22740D PROTEIN', NULL, NULL, NULL, 15),
(189024, NULL, 'PTHR39940', NULL, NULL, NULL, NULL, 'PROTHORACICOTROPIC HORMONE, ISOFORM F', NULL, NULL, NULL, 15),
(189025, NULL, 'PTHR22996:SF16', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE LUL4 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(189026, NULL, 'PTHR19433:SF111', NULL, NULL, NULL, NULL, 'NOVEL IMMUNE-TYPE RECEPTOR 13-RELATED', NULL, NULL, NULL, 15),
(189027, NULL, 'PTHR18966:SF351', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR IONOTROPIC, KAINATE 5', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189028, NULL, 'PTHR15454:SF26', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 61', NULL, NULL, NULL, 15),
(189029, NULL, 'PTHR24413:SF232', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189030, NULL, 'PTHR39653:SF6', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 20-2', NULL, NULL, NULL, 15),
(189031, NULL, 'PTHR33047:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TAR1', NULL, NULL, NULL, 15),
(189032, NULL, 'PTHR12210:SF163', NULL, NULL, NULL, NULL, 'BNAC03G59470D PROTEIN', NULL, NULL, NULL, 15),
(189033, NULL, 'PTHR13110:SF13', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM3', NULL, NULL, NULL, 15),
(189034, NULL, 'PTHR12634:SF21', NULL, NULL, NULL, NULL, 'SIT4 PHOSPHATASE-ASSOCIATED FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189035, NULL, 'PTHR45857:SF6', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(189036, NULL, 'PTHR23137:SF32', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT PROTEIN', NULL, NULL, NULL, 15),
(189037, NULL, 'PTHR31669:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189038, NULL, 'PTHR33370:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189039, NULL, 'PTHR21096:SF3', NULL, NULL, NULL, NULL, 'FAM136A-LIKE PROTEIN (DUF842)', NULL, NULL, NULL, 15),
(189040, NULL, 'PTHR22934:SF13', NULL, NULL, NULL, NULL, 'PROTEIN ESC1', NULL, NULL, NULL, 15),
(189041, NULL, 'PTHR47966:SF30', NULL, NULL, NULL, NULL, 'ASPARTYL PROTEASE', NULL, NULL, NULL, 15),
(189042, NULL, 'PTHR47990:SF15', NULL, NULL, NULL, NULL, 'BNAA01G28660D PROTEIN', NULL, NULL, NULL, 15),
(189043, NULL, 'PTHR44170:SF18', NULL, NULL, NULL, NULL, 'CONTACTIN 3B-RELATED', NULL, NULL, NULL, 15),
(189044, NULL, 'PTHR19317:SF63', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189045, NULL, 'PTHR11764:SF38', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(189046, NULL, 'PTHR10024:SF239', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-1', NULL, NULL, 9055, 15),
(189047, NULL, 'PTHR12542:SF83', NULL, NULL, NULL, NULL, 'OS06G0255900 PROTEIN', NULL, NULL, NULL, 15),
(189048, NULL, 'PTHR46088:SF1', NULL, NULL, NULL, NULL, 'TUBULIN--TYROSINE LIGASE-LIKE PROTEIN 12', NULL, NULL, NULL, 15),
(189049, NULL, 'PTHR31374:SF285', NULL, NULL, NULL, NULL, 'BNAC03G46960D PROTEIN', NULL, NULL, NULL, 15),
(189050, NULL, 'PTHR31175:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189051, NULL, 'PTHR43877:SF6', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189052, NULL, 'PTHR31734:SF190', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA11', NULL, NULL, NULL, 15),
(189053, NULL, 'PTHR13194:SF19', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(189054, NULL, 'PTHR23329:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189055, NULL, 'PTHR11360:SF273', NULL, NULL, NULL, NULL, 'RE60337P', NULL, NULL, NULL, 15),
(189056, NULL, 'PTHR23147:SF169', NULL, NULL, NULL, NULL, 'SERINE AND ARGININE-RICH-SPLICING FACTOR 4', NULL, NULL, NULL, 15),
(189057, NULL, 'PTHR32278:SF40', NULL, NULL, NULL, NULL, 'OS02G0812600 PROTEIN', NULL, NULL, NULL, 15),
(189058, NULL, 'PTHR13935:SF90', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH162', NULL, NULL, NULL, 15),
(189059, NULL, 'PTHR31375', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189060, NULL, 'PTHR33227:SF30', NULL, NULL, NULL, NULL, 'STIGMA-SPECIFIC PROTEIN STIG1-RELATED', NULL, NULL, NULL, 15),
(189061, NULL, 'PTHR31080:SF125', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189062, NULL, 'PTHR36338:SF1', NULL, NULL, NULL, NULL, 'OS02G0495900 PROTEIN', NULL, NULL, NULL, 15),
(189063, NULL, 'PTHR16565:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189064, NULL, 'PTHR24015:SF1730', NULL, NULL, NULL, NULL, 'OS05G0418500 PROTEIN', NULL, NULL, NULL, 15),
(189065, NULL, 'PTHR13140:SF703', NULL, NULL, NULL, NULL, 'MYOSIN VIIAA-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189066, NULL, 'PTHR24373:SF338', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189067, NULL, 'PTHR18934:SF208', NULL, NULL, NULL, NULL, 'OS05G0389800 PROTEIN', NULL, NULL, NULL, 15),
(189068, NULL, 'PTHR43719:SF10', NULL, NULL, NULL, NULL, 'HYBRID SIGNAL TRANSDUCTION HISTIDINE KINASE A', NULL, NULL, NULL, 15),
(189069, NULL, 'PTHR24559:SF295', NULL, NULL, NULL, NULL, 'DNA/RNA POLYMERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(189070, NULL, 'PTHR47843:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189071, NULL, 'PTHR45648:SF66', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(189072, NULL, 'PTHR42918:SF9', NULL, NULL, NULL, NULL, 'LYSINE--TRNA LIGASE', NULL, NULL, NULL, 15),
(189073, NULL, 'PTHR31374:SF232', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(189074, NULL, 'PTHR32219:SF8', NULL, NULL, NULL, NULL, 'PROTON PUMP-INTERACTOR 2-RELATED', NULL, NULL, NULL, 15),
(189075, NULL, 'PTHR23086:SF116', NULL, NULL, NULL, NULL, 'PIP5K1A AND PSMD4-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189076, NULL, 'PTHR46093:SF8', NULL, NULL, NULL, NULL, 'KELCH MOTIF FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(189077, NULL, 'PTHR31238:SF183', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN 12-2', NULL, NULL, NULL, 15),
(189078, NULL, 'PTHR33599:SF17', NULL, NULL, NULL, NULL, 'PROTEIN IDA-LIKE 3', NULL, NULL, NULL, 15),
(189079, NULL, 'PTHR45752:SF59', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(189080, NULL, 'PTHR45714:SF3', NULL, NULL, NULL, NULL, 'HOMEOBOX ASSOCIATED LEUCINE ZIPPER PROTEIN', NULL, NULL, NULL, 15),
(189081, NULL, 'PTHR11739:SF32', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', NULL, NULL, NULL, 15),
(189082, NULL, 'PTHR43294:SF6', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT ALPHA-2', NULL, NULL, NULL, 15),
(189083, NULL, 'PTHR11699:SF131', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 10-FORMYLTETRAHYDROFOLATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(189084, NULL, 'PTHR33358:SF3', NULL, NULL, NULL, NULL, 'PLANT-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189085, NULL, 'PTHR31790:SF361', NULL, NULL, NULL, NULL, 'AND ASSOCIATED INTERACTION DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189086, NULL, 'PTHR36947', NULL, NULL, NULL, NULL, 'PROTEIN CBG04364', NULL, NULL, NULL, 15),
(189087, NULL, 'PTHR43353:SF10', NULL, NULL, NULL, NULL, 'SUCCINATE-SEMIALDEHYDE DEHYDROGENASE (NADP+)', NULL, NULL, NULL, 15),
(189088, NULL, 'PTHR18959:SF43', NULL, NULL, NULL, NULL, 'CALPONIN-1', NULL, NULL, NULL, 15),
(189089, NULL, 'PTHR13428:SF12', NULL, NULL, NULL, NULL, 'INNER NUCLEAR MEMBRANE PROTEIN MAN1', NULL, NULL, 34655, 15),
(189090, NULL, 'PTHR33133:SF51', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189091, NULL, 'PTHR10036:SF17', NULL, NULL, NULL, NULL, 'SECRETED LY-6/UPAR-RELATED PROTEIN 1', NULL, NULL, 26199, 15),
(189092, NULL, 'PTHR24286:SF306', NULL, NULL, NULL, NULL, 'BNAA04G13470D PROTEIN', NULL, NULL, NULL, 15),
(189093, NULL, 'PTHR10641:SF1055', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB76-LIKE', NULL, NULL, NULL, 15),
(189094, NULL, 'PTHR24056:SF429', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE B1-2', NULL, NULL, NULL, 15),
(189095, NULL, 'PTHR16181:SF17', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 83 MEMBER FB', NULL, NULL, NULL, 15),
(189096, NULL, 'PTHR11177:SF140', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE 5-RELATED', NULL, NULL, NULL, 15),
(189097, NULL, 'PTHR21654:SF89', NULL, NULL, NULL, NULL, 'BNAA08G06640D PROTEIN', NULL, NULL, NULL, 15),
(189098, NULL, 'PTHR31048:SF101', NULL, NULL, NULL, NULL, 'OSMOTIN-LIKE PROTEIN OSM34', NULL, NULL, NULL, 15),
(189099, NULL, 'PTHR10336:SF184', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHOLIPASE C', NULL, NULL, NULL, 15),
(189100, NULL, 'PTHR15454:SF47', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 23', NULL, NULL, NULL, 15),
(189101, NULL, 'PTHR34835:SF43', NULL, NULL, NULL, NULL, 'OS01G0152500 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189102, NULL, 'PTHR34055:SF9', NULL, NULL, NULL, NULL, 'NEUROFILAMENT MEDIUM POLYPEPTIDE-LIKE', NULL, NULL, NULL, 15),
(189103, NULL, 'PTHR28604:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189104, NULL, 'PTHR12062:SF31', NULL, NULL, NULL, NULL, 'ALPHA-1,3-MANNOSYL-GLYCOPROTEIN 4-BETA-N-ACETYLGLUCOSAMINYLTRANSFERASE A', NULL, NULL, NULL, 15),
(189105, NULL, 'PTHR11732', NULL, NULL, NULL, NULL, 'ALDO/KETO REDUCTASE', NULL, NULL, NULL, 15),
(189106, NULL, 'PTHR11875:SF124', NULL, NULL, NULL, NULL, 'BNAC08G12120D PROTEIN', NULL, NULL, NULL, 15),
(189107, NULL, 'PTHR31228:SF31', NULL, NULL, NULL, NULL, 'BNAC02G02480D PROTEIN', NULL, NULL, NULL, 15),
(189108, NULL, 'PTHR36488:SF11', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(189109, NULL, 'PTHR48019:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189110, NULL, 'PTHR33463:SF91', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189111, NULL, 'PTHR19134:SF451', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE TYROSINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(189112, NULL, 'PTHR11260:SF636', NULL, NULL, NULL, NULL, 'S-TRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189113, NULL, 'PTHR11739', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE', NULL, NULL, 2480, 15),
(189114, NULL, 'PTHR24056:SF482', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', NULL, NULL, NULL, 15),
(189115, NULL, 'PTHR10609:SF15', NULL, NULL, NULL, NULL, 'VASCULAR NON-INFLAMMATORY MOLECULE 2', NULL, NULL, NULL, 15),
(189116, NULL, 'PTHR28185:SF1', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL DISTRIBUTION AND MORPHOLOGY PROTEIN 34', NULL, NULL, NULL, 15),
(189117, NULL, 'PTHR10457', NULL, NULL, NULL, NULL, 'MEVALONATE KINASE/GALACTOKINASE', NULL, NULL, NULL, 15),
(189118, NULL, 'PTHR33047:SF18', NULL, NULL, NULL, NULL, 'REGULATOR OF RDNA TRANSCRIPTION PROTEIN 15', NULL, NULL, NULL, 15),
(189119, NULL, 'PTHR10210:SF85', NULL, NULL, NULL, NULL, 'OS03G0100040 PROTEIN', NULL, NULL, NULL, 15),
(189120, NULL, 'PTHR22835:SF244', NULL, NULL, NULL, NULL, 'ALPHA-L-FUCOSIDASE 2', NULL, NULL, NULL, 15),
(189121, NULL, 'PTHR18953:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189122, NULL, 'PTHR11733:SF128', NULL, NULL, NULL, NULL, 'KELL BLOOD GROUP GLYCOPROTEIN', NULL, NULL, 23138, 15),
(189123, NULL, 'PTHR24056:SF425', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE', NULL, NULL, NULL, 15),
(189124, NULL, 'PTHR32026:SF10', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 24', NULL, NULL, NULL, 15),
(189125, NULL, 'PTHR23351:SF23', NULL, NULL, NULL, NULL, 'CYCLIC AMP-DEPENDENT TRANSCRIPTION FACTOR ATF-3', NULL, NULL, 28911, 15),
(189126, NULL, 'PTHR31636', NULL, NULL, NULL, NULL, 'OSJNBA0084A10.13 PROTEIN-RELATED', NULL, NULL, 5069, 15),
(189127, NULL, 'PTHR32091:SF4', NULL, NULL, NULL, NULL, 'OS07G0546100 PROTEIN', NULL, NULL, NULL, 15),
(189128, NULL, 'PTHR33395:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189129, NULL, 'PTHR46267:SF5', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(189130, NULL, 'PTHR22957:SF540', NULL, NULL, NULL, NULL, 'YPT/RAB-GAP DOMAIN OF GYP1P SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(189131, NULL, 'PTHR24414:SF129', NULL, NULL, NULL, NULL, 'BNAA04G12380D PROTEIN', NULL, NULL, NULL, 15),
(189132, NULL, 'PTHR15710:SF136', NULL, NULL, NULL, NULL, 'BNACNNG46920D PROTEIN', NULL, NULL, NULL, 15),
(189133, NULL, 'PTHR45613:SF128', NULL, NULL, NULL, NULL, 'CHLOROPLAST RNA PROCESSING 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(189134, NULL, 'PTHR38794:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189135, NULL, 'PTHR16223:SF171', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH111', NULL, NULL, NULL, 15),
(189136, NULL, 'PTHR16950', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER SLC39A7  HISTIDINE-RICH MEMBRANE PROTEIN KE4', NULL, NULL, NULL, 15),
(189137, NULL, 'PTHR45980', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189138, NULL, 'PTHR46616:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF182-LIKE', NULL, NULL, NULL, 15),
(189139, NULL, 'PTHR14191:SF7', NULL, NULL, NULL, NULL, 'NA(+)/H(+) EXCHANGE REGULATORY COFACTOR NHE-RF1', NULL, NULL, 25000, 15),
(189140, NULL, 'PTHR24123:SF113', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189141, NULL, 'PTHR11699:SF269', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE, MITOCHONDRIAL-LIKE PROTEIN', NULL, NULL, NULL, 15),
(189142, NULL, 'PTHR24361:SF715', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189143, NULL, 'PTHR31717:SF53', NULL, NULL, NULL, NULL, 'BNAA07G24720D PROTEIN', NULL, NULL, NULL, 15),
(189144, NULL, 'PTHR23113:SF16', NULL, NULL, NULL, NULL, 'RAS GUANYL-RELEASING PROTEIN 2', NULL, NULL, NULL, 15),
(189145, NULL, 'PTHR11945:SF207', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL62', NULL, NULL, NULL, 15),
(189146, NULL, 'PTHR35860:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM24A', NULL, NULL, NULL, 15),
(189147, NULL, 'PTHR10003:SF31', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN] 3', NULL, NULL, NULL, 15),
(189148, NULL, 'PTHR34836', NULL, NULL, NULL, NULL, 'OS06G0188250 PROTEIN', NULL, NULL, NULL, 15),
(189149, NULL, 'PTHR13659:SF5', NULL, NULL, NULL, NULL, 'PROTEIN FAM8A1', NULL, NULL, NULL, 15),
(189150, NULL, 'PTHR11339:SF384', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189151, NULL, 'PTHR46664:SF2', NULL, NULL, NULL, NULL, 'ATM INTERACTOR', NULL, NULL, NULL, 15),
(189152, NULL, 'PTHR47830:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189153, NULL, 'PTHR34269:SF12', NULL, NULL, NULL, NULL, 'BNAA02G08730D PROTEIN', NULL, NULL, NULL, 15),
(189154, NULL, 'PTHR38537:SF7', NULL, NULL, NULL, NULL, 'FILAMIN-B', NULL, NULL, 29135, 15),
(189155, NULL, 'PTHR46146:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189156, NULL, 'PTHR20879', NULL, NULL, NULL, NULL, 'INTERLEUKIN-27 SUBUNIT ALPHA', NULL, NULL, 25838, 15),
(189157, NULL, 'PTHR22809:SF5', NULL, NULL, NULL, NULL, 'O-METHYLTRANSFERASE 3', NULL, NULL, NULL, 15),
(189158, NULL, 'PTHR35829', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189159, NULL, 'PTHR24410:SF18', NULL, NULL, NULL, NULL, 'BTB DOMAIN CONTAINING 1', NULL, NULL, NULL, 15),
(189160, NULL, 'PTHR24353:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189161, NULL, 'PTHR22601:SF83', NULL, NULL, NULL, NULL, 'SEXUAL DIFFERENTIATION PROCESS PROTEIN ISP4', NULL, NULL, NULL, 15),
(189162, NULL, 'PTHR23232:SF79', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 746', NULL, NULL, NULL, 15),
(189163, NULL, 'PTHR47346', NULL, NULL, NULL, NULL, 'HYDROLASES, ACTING ON ESTER BOND', NULL, NULL, NULL, 15),
(189164, NULL, 'PTHR38420:SF1', NULL, NULL, NULL, NULL, 'AP-4-A PHOSPHORYLASE II', NULL, NULL, NULL, 15),
(189165, NULL, 'PTHR46991', NULL, NULL, NULL, NULL, '23.5 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', NULL, NULL, 38503, 15),
(189166, NULL, 'PTHR30055:SF202', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR MCE3R', NULL, NULL, NULL, 15),
(189167, NULL, 'PTHR34490', NULL, NULL, NULL, NULL, 'PROTEIN CBG12054-RELATED', NULL, NULL, NULL, 15),
(189168, NULL, 'PTHR46087:SF14', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189169, NULL, 'PTHR43601:SF17', NULL, NULL, NULL, NULL, 'THIOREDOXIN-LIKE 1-2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(189170, NULL, 'PTHR13047:SF4', NULL, NULL, NULL, NULL, 'CLEAVAGE/POLYADENYLATION SPECIFICITY FACTOR, 25KDA SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(189171, NULL, 'PTHR45921:SF1', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA HOMEOBOX PROTEIN 3', NULL, NULL, NULL, 15),
(189172, NULL, 'PTHR31384:SF37', NULL, NULL, NULL, NULL, 'AUXIN RESPONSE FACTOR 8', NULL, NULL, NULL, 15),
(189173, NULL, 'PTHR16897', NULL, NULL, NULL, NULL, 'OS10G0105400 PROTEIN', NULL, NULL, NULL, 15),
(189174, NULL, 'PTHR23118:SF23', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE ALPHA CHAIN PROTEIN 3', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189175, NULL, 'PTHR45660:SF9', NULL, NULL, NULL, NULL, 'OS05G0490700 PROTEIN', NULL, NULL, NULL, 15),
(189176, NULL, 'PTHR22990:SF30', NULL, NULL, NULL, NULL, 'PARALLEL BETA-HELIX REPEAT', NULL, NULL, NULL, 15),
(189177, NULL, 'PTHR31719:SF127', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29', NULL, NULL, NULL, 15),
(189178, NULL, 'PTHR23239:SF165', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA4', NULL, NULL, NULL, 15),
(189179, NULL, 'PTHR11691:SF66', NULL, NULL, NULL, NULL, 'INTERFERON ALPHA-10-RELATED', NULL, NULL, NULL, 15),
(189180, NULL, 'PTHR45623:SF32', NULL, NULL, NULL, NULL, 'CHROMATIN REMODELING 4-RELATED', NULL, NULL, NULL, 15),
(189181, NULL, 'PTHR33678:SF1', NULL, NULL, NULL, NULL, 'BLL1576 PROTEIN', NULL, NULL, NULL, 15),
(189182, NULL, 'PTHR46444:SF4', NULL, NULL, NULL, NULL, 'OS06G0227200 PROTEIN', NULL, NULL, NULL, 15),
(189183, NULL, 'PTHR23270:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189184, NULL, 'PTHR11915:SF426', NULL, NULL, NULL, NULL, 'DYSTROPHIN', NULL, NULL, NULL, 15),
(189185, NULL, 'PTHR11208:SF114', NULL, NULL, NULL, NULL, 'STAR PROTEIN, HOMODIMERIZATION REGION-RELATED', NULL, NULL, NULL, 15),
(189186, NULL, 'PTHR22765', NULL, NULL, NULL, NULL, 'RING FINGER AND PROTEASE ASSOCIATED DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(189187, NULL, 'PTHR31403:SF55', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IBETA2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(189188, NULL, 'PTHR31032:SF12', NULL, NULL, NULL, NULL, 'BNAC01G14340D PROTEIN', NULL, NULL, NULL, 15),
(189189, NULL, 'PTHR43859:SF25', NULL, NULL, NULL, NULL, 'BENZOATE--COA LIGASE, PEROXISOMAL-RELATED', NULL, NULL, NULL, 15),
(189190, NULL, 'PTHR40562:SF1', NULL, NULL, NULL, NULL, 'NITRITE REDUCTASE (NADH) SMALL SUBUNIT', NULL, NULL, NULL, 15),
(189191, NULL, 'PTHR46817:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC9-RELATED', NULL, NULL, NULL, 15),
(189192, NULL, 'PTHR43321:SF13', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(189193, NULL, 'PTHR28634:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER B-BOX DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(189194, NULL, 'PTHR23020:SF7', NULL, NULL, NULL, NULL, 'PROTEIN CBG19264', NULL, NULL, NULL, 15),
(189195, NULL, 'PTHR42693:SF15', NULL, NULL, NULL, NULL, 'ARYLSULFATASE', NULL, NULL, NULL, 15),
(189196, NULL, 'PTHR31636:SF264', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR GRAS, SCARECROW-LIKE PROTEIN 18/MONOCULM 1-RELATED', NULL, NULL, NULL, 15),
(189197, NULL, 'PTHR27001:SF663', NULL, NULL, NULL, NULL, 'OS02G0136900 PROTEIN', NULL, NULL, NULL, 15),
(189198, NULL, 'PTHR23112:SF8', NULL, NULL, NULL, NULL, 'CYCLIC AMP RECEPTOR-LIKE PROTEIN A', NULL, NULL, NULL, 15),
(189199, NULL, 'PTHR33333:SF26', NULL, NULL, NULL, NULL, 'PROTEIN EGG APPARATUS-1', NULL, NULL, NULL, 15),
(189200, NULL, 'PTHR15710:SF122', NULL, NULL, NULL, NULL, 'BNAA05G28120D PROTEIN', NULL, NULL, NULL, 15),
(189201, NULL, 'PTHR31989:SF300', NULL, NULL, NULL, NULL, 'BNAC04G01390D PROTEIN', NULL, NULL, NULL, 15),
(189202, NULL, 'PTHR24271:SF78', NULL, NULL, NULL, NULL, 'GRANZYME N', NULL, NULL, NULL, 15),
(189203, NULL, 'PTHR31006:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG22119', NULL, NULL, NULL, 15),
(189204, NULL, 'PTHR13551:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG24571', NULL, NULL, NULL, 15),
(189205, NULL, 'PTHR37188:SF1', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(189206, NULL, 'PTHR28002:SF1', NULL, NULL, NULL, NULL, 'MIOREX COMPLEX COMPONENT 11', NULL, NULL, NULL, 15),
(189207, NULL, 'PTHR23232:SF90', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189208, NULL, 'PTHR23268:SF87', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 11-2', NULL, NULL, NULL, 15),
(189209, NULL, 'PTHR31403:SF7', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IGAMMA3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(189210, NULL, 'PTHR15351:SF4', NULL, NULL, NULL, NULL, 'ERLIN-2', NULL, NULL, NULL, 15),
(189211, NULL, 'PTHR10766:SF109', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER 3', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189212, NULL, 'PTHR32308:SF0', NULL, NULL, NULL, NULL, 'LYASE BETA SUBUNIT, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13030)-RELATED', NULL, NULL, NULL, 15),
(189213, NULL, 'PTHR11615:SF294', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(189214, NULL, 'PTHR24249', NULL, NULL, NULL, NULL, 'HISTAMINE RECEPTOR-RELATED G-PROTEIN COUPLED RECEPTOR', NULL, NULL, NULL, 15),
(189215, NULL, 'PTHR13445:SF5', NULL, NULL, NULL, NULL, 'BNAC09G30840D PROTEIN', NULL, NULL, NULL, 15),
(189216, NULL, 'PTHR12411:SF780', NULL, NULL, NULL, NULL, 'OS01G0971400 PROTEIN', NULL, NULL, NULL, 15),
(189217, NULL, 'PTHR45867:SF3', NULL, NULL, NULL, NULL, 'ACID PHOSPHATASE TYPE 7', NULL, NULL, NULL, 15),
(189218, NULL, 'PTHR44427:SF3', NULL, NULL, NULL, NULL, 'PREGNANCY-SPECIFIC BETA-1-GLYCOPROTEIN 8', NULL, NULL, NULL, 15),
(189219, NULL, 'PTHR22804', NULL, NULL, NULL, NULL, 'AGGRECAN/VERSICAN PROTEOGLYCAN', NULL, NULL, NULL, 15),
(189220, NULL, 'PTHR36950', NULL, NULL, NULL, NULL, 'PROTEIN CBG24898-RELATED', NULL, NULL, NULL, 15),
(189221, NULL, 'PTHR23268:SF78', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA VARIABLE 7-4-RELATED', NULL, NULL, NULL, 15),
(189222, NULL, 'PTHR31210:SF51', NULL, NULL, NULL, NULL, 'SECRETORY CARRIER-ASSOCIATED MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(189223, NULL, 'PTHR31279:SF43', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 4', NULL, NULL, NULL, 15),
(189224, NULL, 'PTHR10910:SF58', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-SPECIFIC EDITASE 1', NULL, NULL, NULL, 15),
(189225, NULL, 'PTHR46261:SF12', NULL, NULL, NULL, NULL, 'HIGH MOBILITY GROUP B PROTEIN 14', NULL, NULL, NULL, 15),
(189226, NULL, 'PTHR12209:SF1', NULL, NULL, NULL, NULL, 'EKC/KEOPS COMPLEX SUBUNIT BUD32-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(189227, NULL, 'PTHR11042:SF72', NULL, NULL, NULL, NULL, 'WEE1-LIKE PROTEIN KINASE', NULL, NULL, NULL, 15),
(189228, NULL, 'PTHR21558:SF40', NULL, NULL, NULL, NULL, 'ENSMUSG00000072602 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189229, NULL, 'PTHR23521', NULL, NULL, NULL, NULL, 'TRANSPORTER MFS SUPERFAMILY', NULL, NULL, NULL, 15),
(189230, NULL, 'PTHR46521:SF13', NULL, NULL, NULL, NULL, 'SUCROSE-PHOSPHATASE 3B-RELATED', NULL, NULL, NULL, 15),
(189231, NULL, 'PTHR21646:SF71', NULL, NULL, NULL, NULL, 'BNAA06G13940D PROTEIN', NULL, NULL, NULL, 15),
(189232, NULL, 'PTHR46539:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL42', NULL, NULL, NULL, 15),
(189233, NULL, 'PTHR45668:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 5', NULL, NULL, 11260, 15),
(189234, NULL, 'PTHR10996:SF246', NULL, NULL, NULL, NULL, 'GLYOXYLATE/HYDROXYPYRUVATE REDUCTASE HPR3', NULL, NULL, NULL, 15),
(189235, NULL, 'PTHR13215:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189236, NULL, 'PTHR27002:SF411', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189237, NULL, 'PTHR43544:SF23', NULL, NULL, NULL, NULL, 'CHAIN OXIDOREDUCTASE (CSGA), PUTATIVE (AFU_ORTHOLOGUE AFUA_4G00910)-RELATED', NULL, NULL, NULL, 15),
(189238, NULL, 'PTHR48001:SF64', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(189239, NULL, 'PTHR47277', NULL, NULL, NULL, NULL, 'CHROMOBOX PROTEIN HOMOLOG 7', NULL, NULL, 36969, 15),
(189240, NULL, 'PTHR12943:SF7', NULL, NULL, NULL, NULL, 'HOMOCYSTEINE-RESPONSIVE ENDOPLASMIC RETICULUM-RESIDENT UBIQUITIN-LIKE DOMAIN MEMBER 1 PROTEIN', NULL, NULL, NULL, 15),
(189241, NULL, 'PTHR10540:SF16', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT F', NULL, NULL, 26795, 15),
(189242, NULL, 'PTHR31050:SF12', NULL, NULL, NULL, NULL, 'BNAA09G46230D PROTEIN', NULL, NULL, NULL, 15),
(189243, NULL, 'PTHR11829:SF341', NULL, NULL, NULL, NULL, 'FORKHEAD TRANSCRIPTION FACTOR FAMILY', NULL, NULL, NULL, 15),
(189244, NULL, 'PTHR13140:SF783', NULL, NULL, NULL, NULL, 'MYOSIN, SH3-LIKE, P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(189245, NULL, 'PTHR13073:SF0', NULL, NULL, NULL, NULL, 'BIOGENESIS OF LYSOSOME-RELATED ORGANELLES COMPLEX 1 SUBUNIT 1', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189246, NULL, 'PTHR12281:SF16', NULL, NULL, NULL, NULL, 'DCN1-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(189247, NULL, 'PTHR11877:SF51', NULL, NULL, NULL, NULL, 'CHALCONE SYNTHASE 2', NULL, NULL, NULL, 15),
(189248, NULL, 'PTHR33565:SF11', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN HOMOLOG 1', NULL, NULL, NULL, 15),
(189249, NULL, 'PTHR11206:SF309', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(189250, NULL, 'PTHR26450:SF53', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51H1', NULL, NULL, NULL, 15),
(189251, NULL, 'PTHR10797:SF37', NULL, NULL, NULL, NULL, 'CAF1 FAMILY RIBONUCLEASE CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(189252, NULL, 'PTHR46075:SF4', NULL, NULL, NULL, NULL, 'BETA-CHIMAERIN', NULL, NULL, NULL, 15),
(189253, NULL, 'PTHR27006:SF334', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(189254, NULL, 'PTHR47172:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(189255, NULL, 'PTHR32176:SF69', NULL, NULL, NULL, NULL, 'PATATIN', NULL, NULL, NULL, 15),
(189256, NULL, 'PTHR31116:SF17', NULL, NULL, NULL, NULL, 'DNA-3-METHYLADENINE GLYCOSYLASE I', NULL, NULL, NULL, 15),
(189257, NULL, 'PTHR31636:SF12', NULL, NULL, NULL, NULL, 'PROTEIN SCARECROW', NULL, NULL, NULL, 15),
(189258, NULL, 'PTHR12538:SF12', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S26', NULL, NULL, NULL, 15),
(189259, NULL, 'PTHR15860', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED RING FINGER-CONTAINING PROTEIN', NULL, NULL, 37075, 15),
(189260, NULL, 'PTHR47381:SF3', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(189261, NULL, 'PTHR13084:SF5', NULL, NULL, NULL, NULL, 'SODIUM/POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA-1-INTERACTING PROTEIN 4', NULL, NULL, NULL, 15),
(189262, NULL, 'PTHR13890:SF35', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-3', NULL, NULL, NULL, 15),
(189263, NULL, 'PTHR48054:SF2', NULL, NULL, NULL, NULL, 'MDIS1-INTERACTING RECEPTOR LIKE KINASE 2-LIKE', NULL, NULL, NULL, 15),
(189264, NULL, 'PTHR33390:SF5', NULL, NULL, NULL, NULL, 'STRESS UP-REGULATED NOD 19-RELATED', NULL, NULL, NULL, 15),
(189265, NULL, 'PTHR33986:SF12', NULL, NULL, NULL, NULL, 'OS04G0414000 PROTEIN', NULL, NULL, NULL, 15),
(189266, NULL, 'PTHR12358:SF88', NULL, NULL, NULL, NULL, 'SPHINGOSINE KINASE 1', NULL, NULL, NULL, 15),
(189267, NULL, 'PTHR24264:SF48', NULL, NULL, NULL, NULL, 'TRYPSIN-3', NULL, NULL, NULL, 15),
(189268, NULL, 'PTHR47995:SF11', NULL, NULL, NULL, NULL, 'BNACNNG49390D PROTEIN', NULL, NULL, NULL, 15),
(189269, NULL, 'PTHR16134:SF113', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G02860)', NULL, NULL, NULL, 15),
(189270, NULL, 'PTHR10603:SF7', NULL, NULL, NULL, NULL, 'SYNAPTIC FUNCTIONAL REGULATOR FMR1', NULL, NULL, NULL, 15),
(189271, NULL, 'PTHR31888', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 19', NULL, NULL, 28076, 15),
(189272, NULL, 'PTHR35546:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189273, NULL, 'PTHR30177:SF28', NULL, NULL, NULL, NULL, 'CHOLINE TRANSPORT SYSTEM PERMEASE PROTEIN OPUBB', NULL, NULL, NULL, 15),
(189274, NULL, 'PTHR45673:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2B CATALYTIC SUBUNIT BETA ISOFORM', NULL, NULL, NULL, 15),
(189275, NULL, 'PTHR10383:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189276, NULL, 'PTHR46524:SF13', NULL, NULL, NULL, NULL, 'BNAA09G40220D PROTEIN', NULL, NULL, NULL, 15),
(189277, NULL, 'PTHR20870', NULL, NULL, NULL, NULL, 'BARDET-BIEDL SYNDROME 1 PROTEIN', NULL, NULL, 28618, 15),
(189278, NULL, 'PTHR21523:SF9', NULL, NULL, NULL, NULL, 'MLT-TEN (MLT-10) RELATED', NULL, NULL, NULL, 15),
(189279, NULL, 'PTHR31639:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189280, NULL, 'PTHR33074:SF49', NULL, NULL, NULL, NULL, 'OS07G0258000 PROTEIN', NULL, NULL, NULL, 15),
(189281, NULL, 'PTHR30083:SF0', NULL, NULL, NULL, NULL, '3''-PHOSPHOADENOSINE 5''-PHOSPHOSULFATE SULFOTRANSFERASE (PAPS REDUCTASE)/FAD SYNTHETASE-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189282, NULL, 'PTHR40043:SF1', NULL, NULL, NULL, NULL, 'UPF0719 INNER MEMBRANE PROTEIN YJFL', NULL, NULL, NULL, 15),
(189283, NULL, 'PTHR12419:SF58', NULL, NULL, NULL, NULL, 'ALG13, UDP-N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT', NULL, NULL, NULL, 15),
(189284, NULL, 'PTHR46065:SF5', NULL, NULL, NULL, NULL, 'MARCH (MEMBRANE-ASSOCIATED RING FINGER (C3HC4)) HOMOLOG', NULL, NULL, NULL, 15),
(189285, NULL, 'PTHR11773:SF7', NULL, NULL, NULL, NULL, 'GLYCINE DEHYDROGENASE (DECARBOXYLATING)', NULL, NULL, NULL, 15),
(189286, NULL, 'PTHR43327:SF32', NULL, NULL, NULL, NULL, 'STOMATIN-LIKE PROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(189287, NULL, 'PTHR14360', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 21521, 15),
(189288, NULL, 'PTHR12313:SF47', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189289, NULL, 'PTHR45898:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189290, NULL, 'PTHR11360:SF239', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER 14', NULL, NULL, NULL, 15),
(189291, NULL, 'PTHR34106:SF1', NULL, NULL, NULL, NULL, '1,4-BETA-MANNOSYL-N-ACETYLGLUCOSAMINE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(189292, NULL, 'PTHR31642:SF33', NULL, NULL, NULL, NULL, 'OS09G0422000 PROTEIN', NULL, NULL, NULL, 15),
(189293, NULL, 'PTHR24351:SF99', NULL, NULL, NULL, NULL, 'PROTEIN CBG08151', NULL, NULL, NULL, 15),
(189294, NULL, 'PTHR21136:SF207', NULL, NULL, NULL, NULL, 'BNAA08G28050D PROTEIN', NULL, NULL, NULL, 15),
(189295, NULL, 'PTHR14009', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER-EF-HAND CONTAINING TRANSMEMBRANE PROTEIN', NULL, NULL, 37026, 15),
(189296, NULL, 'PTHR11101:SF46', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT PHOSPHATE TRANSPORTER 1', NULL, NULL, NULL, 15),
(189297, NULL, 'PTHR31434', NULL, NULL, NULL, NULL, 'S PHASE CYCLIN A-ASSOCIATED PROTEIN IN THE ENDOPLASMIC RETICULUM', NULL, NULL, NULL, 15),
(189298, NULL, 'PTHR11732:SF460', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189299, NULL, 'PTHR10639:SF28', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN B', NULL, NULL, NULL, 15),
(189300, NULL, 'PTHR43330:SF22', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(189301, NULL, 'PTHR10367:SF19', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PHOSPHATASE 11 (RNA/RNP COMPLEX 1-INTERACTING)', NULL, NULL, NULL, 15),
(189302, NULL, 'PTHR31528:SF14', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER SUBSTRATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(189303, NULL, 'PTHR22883:SF372', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(189304, NULL, 'PTHR40465', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(189305, NULL, 'PTHR24291:SF161', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 315A1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(189306, NULL, 'PTHR36204', NULL, NULL, NULL, NULL, 'N-ACETYLMANNOSAMINE-6-PHOSPHATE 2-EPIMERASE-RELATED', NULL, NULL, 6835, 15),
(189307, NULL, 'PTHR31845:SF17', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(189308, NULL, 'PTHR48022:SF23', NULL, NULL, NULL, NULL, 'TRANSPORT-RELATED PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189309, NULL, 'PTHR22744:SF12', NULL, NULL, NULL, NULL, 'PROTEIN CBG07303', NULL, NULL, NULL, 15),
(189310, NULL, 'PTHR46607:SF1', NULL, NULL, NULL, NULL, 'SEC14 DOMAIN AND SPECTRIN REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(189311, NULL, 'PTHR33122:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189312, NULL, 'PTHR11616:SF100', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(189313, NULL, 'PTHR35545:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189314, NULL, 'PTHR46314:SF2', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 44', NULL, NULL, NULL, 15),
(189315, NULL, 'PTHR11017:SF445', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(189316, NULL, 'PTHR23310:SF112', NULL, NULL, NULL, NULL, 'BNAA03G46540D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189317, NULL, 'PTHR33063:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189318, NULL, 'PTHR11239:SF19', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT', NULL, NULL, NULL, 15),
(189319, NULL, 'PTHR11426:SF223', NULL, NULL, NULL, NULL, 'HISTONE H3-LIKE CENTROMERIC PROTEIN HTR12', NULL, NULL, NULL, 15),
(189320, NULL, 'PTHR15706:SF6', NULL, NULL, NULL, NULL, 'NEUTROPHIL CYTOSOL FACTOR 1-RELATED', NULL, NULL, 5162, 15),
(189321, NULL, 'PTHR23022:SF120', NULL, NULL, NULL, NULL, 'SI:DKEY-77F5.3', NULL, NULL, NULL, 15),
(189322, NULL, 'PTHR13112:SF9', NULL, NULL, NULL, NULL, 'BNACNNG22070D PROTEIN', NULL, NULL, NULL, 15),
(189323, NULL, 'PTHR24247:SF16', NULL, NULL, NULL, NULL, '5-HYDROXYTRYPTAMINE RECEPTOR 1B', NULL, NULL, 1162, 15),
(189324, NULL, 'PTHR46277:SF16', NULL, NULL, NULL, NULL, 'BNACNNG08810D PROTEIN', NULL, NULL, NULL, 15),
(189325, NULL, 'PTHR10426:SF106', NULL, NULL, NULL, NULL, 'PROTEIN STRICTOSIDINE SYNTHASE-LIKE 3', NULL, NULL, NULL, 15),
(189326, NULL, 'PTHR10015:SF309', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR B-4D', NULL, NULL, NULL, 15),
(189327, NULL, 'PTHR44145:SF4', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN (PROKARYOTIC HEAT SHOCK PROTEIN)', NULL, NULL, NULL, 15),
(189328, NULL, 'PTHR12224:SF19', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 17-RELATED', NULL, NULL, NULL, 15),
(189329, NULL, 'PTHR21463', NULL, NULL, NULL, NULL, 'ANGIOPOIETIN-LIKE PROTEIN 8', NULL, NULL, 23206, 15),
(189330, NULL, 'PTHR13163:SF0', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 35A', NULL, NULL, 25593, 15),
(189331, NULL, 'PTHR21555', NULL, NULL, NULL, NULL, 'SPECIFICALLY ANDROGEN-REGULATED GENE PROTEIN', NULL, NULL, 23573, 15),
(189332, NULL, 'PTHR43072:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189333, NULL, 'PTHR24559:SF362', NULL, NULL, NULL, NULL, 'REVERSE TRANSCRIPTASE DOMAIN, RIBONUCLEASE H-LIKE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189334, NULL, 'PTHR48111:SF20', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM RESPONSE REGULATOR-RELATED', NULL, NULL, NULL, 15),
(189335, NULL, 'PTHR10981:SF0', NULL, NULL, NULL, NULL, 'BATTENIN', NULL, NULL, NULL, 15),
(189336, NULL, 'PTHR31815:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 200B', NULL, NULL, NULL, 15),
(189337, NULL, 'PTHR45277:SF3', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(189338, NULL, 'PTHR35459:SF2', NULL, NULL, NULL, NULL, 'T1N6.14 PROTEIN', NULL, NULL, NULL, 15),
(189339, NULL, 'PTHR47477:SF12', NULL, NULL, NULL, NULL, 'BNAA09G50570D PROTEIN', NULL, NULL, NULL, 15),
(189340, NULL, 'PTHR43539:SF43', NULL, NULL, NULL, NULL, 'INDOLE-3-PYRUVATE MONOOXYGENASE YUCCA9-RELATED', NULL, NULL, NULL, 15),
(189341, NULL, 'PTHR45855:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH119-RELATED', NULL, NULL, NULL, 15),
(189342, NULL, 'PTHR11913:SF97', NULL, NULL, NULL, NULL, 'BNAA03G47540D PROTEIN', NULL, NULL, NULL, 15),
(189343, NULL, 'PTHR11679', NULL, NULL, NULL, NULL, 'VESICLE PROTEIN SORTING-ASSOCIATED', NULL, NULL, 5252, 15),
(189344, NULL, 'PTHR24376:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189345, NULL, 'PTHR10527:SF21', NULL, NULL, NULL, NULL, 'TRANSPORTIN-1', NULL, NULL, NULL, 15),
(189346, NULL, 'PTHR11206:SF422', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(189347, NULL, 'PTHR12670:SF1', NULL, NULL, NULL, NULL, 'NEUTRAL CERAMIDASE-RELATED', NULL, NULL, NULL, 15),
(189348, NULL, 'PTHR31561:SF158', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(189349, NULL, 'PTHR23257:SF754', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN KINASE SPLB', NULL, NULL, NULL, 15),
(189350, NULL, 'PTHR10903:SF118', NULL, NULL, NULL, NULL, 'SI:DKEY-23K10.5', NULL, NULL, NULL, 15),
(189351, NULL, 'PTHR45023:SF5', NULL, NULL, NULL, NULL, 'RMLC-LIKE JELLY ROLL FOLD, MYB/SANT-LIKE DNA-BINDING DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189352, NULL, 'PTHR45651:SF42', NULL, NULL, NULL, NULL, 'CYCLIC NUCLEOTIDE-GATED ION CHANNEL 6-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189353, NULL, 'PTHR33384:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189354, NULL, 'PTHR31707:SF343', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(189355, NULL, 'PTHR14491:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189356, NULL, 'PTHR46050:SF13', NULL, NULL, NULL, NULL, 'TPR REPEAT-CONTAINING THIOREDOXIN TTL2', NULL, NULL, NULL, 15),
(189357, NULL, 'PTHR31312:SF5', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE APRR2', NULL, NULL, NULL, 15),
(189358, NULL, 'PTHR46733:SF5', NULL, NULL, NULL, NULL, 'HSP20/ALPHA CRYSTALLIN FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(189359, NULL, 'PTHR11208:SF35', NULL, NULL, NULL, NULL, 'PROTEIN CBG16603', NULL, NULL, NULL, 15),
(189360, NULL, 'PTHR24224:SF18', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS V', NULL, NULL, NULL, 15),
(189361, NULL, 'PTHR31282:SF169', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189362, NULL, 'PTHR13857', NULL, NULL, NULL, NULL, 'MRNA EDITING ENZYME', NULL, NULL, NULL, 15),
(189363, NULL, 'PTHR35133:SF3', NULL, NULL, NULL, NULL, 'BNAC04G00960D PROTEIN', NULL, NULL, NULL, 15),
(189364, NULL, 'PTHR24349:SF399', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 1', NULL, NULL, NULL, 15),
(189365, NULL, 'PTHR43349:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189366, NULL, 'PTHR11008:SF32', NULL, NULL, NULL, NULL, 'CIRCADIAN CLOCK-CONTROLLED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189367, NULL, 'PTHR33356:SF19', NULL, NULL, NULL, NULL, 'BNAC03G30580D PROTEIN', NULL, NULL, NULL, 15),
(189368, NULL, 'PTHR44167:SF6', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 33', NULL, NULL, NULL, 15),
(189369, NULL, 'PTHR31351:SF18', NULL, NULL, NULL, NULL, 'VAN3-BINDING PROTEIN', NULL, NULL, NULL, 15),
(189370, NULL, 'PTHR33065:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189371, NULL, 'PTHR11654:SF414', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 3.1-LIKE', NULL, NULL, NULL, 15),
(189372, NULL, 'PTHR35099:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189373, NULL, 'PTHR10644:SF2', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFICITY FACTOR SUBUNIT 1', NULL, NULL, NULL, 15),
(189374, NULL, 'PTHR40393:SF1', NULL, NULL, NULL, NULL, 'LYSINE BIOSYNTHESIS PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189375, NULL, 'PTHR24034:SF144', NULL, NULL, NULL, NULL, 'CD248 MOLECULE', NULL, NULL, NULL, 15),
(189376, NULL, 'PTHR10201:SF24', NULL, NULL, NULL, NULL, 'MATRIX METALLOPROTEINASE-14', NULL, NULL, NULL, 15),
(189377, NULL, 'PTHR11206:SF366', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(189378, NULL, 'PTHR31072:SF160', NULL, NULL, NULL, NULL, 'BNAC04G04400D PROTEIN', NULL, NULL, NULL, 15),
(189379, NULL, 'PTHR35308:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7', NULL, NULL, NULL, 15),
(189380, NULL, 'PTHR48107', NULL, NULL, NULL, NULL, 'NADPH-DEPENDENT ALDEHYDE REDUCTASE-LIKE PROTEIN, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(189381, NULL, 'PTHR12346:SF39', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189382, NULL, 'PTHR19848:SF6', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRAF7', NULL, NULL, NULL, 15),
(189383, NULL, 'PTHR21495:SF214', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(189384, NULL, 'PTHR15071:SF17', NULL, NULL, NULL, NULL, 'CATION-INDEPENDENT MANNOSE-6-PHOSPHATE RECEPTOR', NULL, NULL, NULL, 15),
(189385, NULL, 'PTHR11913:SF18', NULL, NULL, NULL, NULL, 'DESTRIN', NULL, NULL, 27424, 15),
(189386, NULL, 'PTHR44573:SF5', NULL, NULL, NULL, NULL, '2-METHYLENE-FURAN-3-ONE REDUCTASE-RELATED', NULL, NULL, NULL, 15),
(189387, NULL, 'PTHR32054:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(189388, NULL, 'PTHR10566:SF125', NULL, NULL, NULL, NULL, 'CADMIUM-TRANSPORTING ATPASE-RELATED', NULL, NULL, NULL, 15),
(189389, NULL, 'PTHR11850:SF224', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 1', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189390, NULL, 'PTHR22911:SF106', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(189391, NULL, 'PTHR27005:SF303', NULL, NULL, NULL, NULL, 'WALL-ASSOCIATED RECEPTOR KINASE-LIKE 16-RELATED', NULL, NULL, NULL, 15),
(189392, NULL, 'PTHR34574:SF8', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF-HAND PROTEIN', NULL, NULL, NULL, 15),
(189393, NULL, 'PTHR23500:SF126', NULL, NULL, NULL, NULL, 'OS02G0573500 PROTEIN', NULL, NULL, NULL, 15),
(189394, NULL, 'PTHR33076:SF74', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(189395, NULL, 'PTHR32285:SF242', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189396, NULL, 'PTHR24242:SF197', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(189397, NULL, 'PTHR35790:SF5', NULL, NULL, NULL, NULL, 'MARR-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(189398, NULL, 'PTHR35278:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(189399, NULL, 'PTHR31105:SF44', NULL, NULL, NULL, NULL, 'BNAA09G35860D PROTEIN', NULL, NULL, NULL, 15),
(189400, NULL, 'PTHR24376:SF180', NULL, NULL, NULL, NULL, 'FI03704P-RELATED', NULL, NULL, NULL, 15),
(189401, NULL, 'PTHR46318:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189402, NULL, 'PTHR48026:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189403, NULL, 'PTHR31391:SF64', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN OS04G0386900', NULL, NULL, NULL, 15),
(189404, NULL, 'PTHR46125:SF23', NULL, NULL, NULL, NULL, 'OS11G0572901 PROTEIN', NULL, NULL, NULL, 15),
(189405, NULL, 'PTHR45865', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE SHPRH FAMILY MEMBER', NULL, NULL, NULL, 15),
(189406, NULL, 'PTHR46093:SF4', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH REPEAT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(189407, NULL, 'PTHR43182:SF2', NULL, NULL, NULL, NULL, 'PRECORRIN DECARBOCYLASE', NULL, NULL, NULL, 15),
(189408, NULL, 'PTHR21726', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL N-ACETYLGLUCOSAMINYLTRANSFERASE SUBUNIT P  DOWN SYNDROME CRITICAL REGION PROTEIN 5 -RELATED', NULL, NULL, NULL, 15),
(189409, NULL, 'PTHR10994:SF67', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B16', NULL, NULL, NULL, 15),
(189410, NULL, 'PTHR12585:SF55', NULL, NULL, NULL, NULL, 'SISTER CHROMATID COHESION 1 PROTEIN 3', NULL, NULL, NULL, 15),
(189411, NULL, 'PTHR23244:SF462', NULL, NULL, NULL, NULL, 'KELCH REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(189412, NULL, 'PTHR35017:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG16223', NULL, NULL, NULL, 15),
(189413, NULL, 'PTHR24376:SF100', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 646', NULL, NULL, NULL, 15),
(189414, NULL, 'PTHR11556:SF37', NULL, NULL, NULL, NULL, 'BNAC04G11560D PROTEIN', NULL, NULL, NULL, 15),
(189415, NULL, 'PTHR47975:SF40', NULL, NULL, NULL, NULL, 'OS01G0648600 PROTEIN', NULL, NULL, NULL, 15),
(189416, NULL, 'PTHR31500:SF80', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 8', NULL, NULL, NULL, 15),
(189417, NULL, 'PTHR22146', NULL, NULL, NULL, NULL, 'CAT EYE SYNDROME CRITICAL REGION PROTEIN 6', NULL, NULL, NULL, 15),
(189418, NULL, 'PTHR14540', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 28358, 15),
(189419, NULL, 'PTHR10688:SF5', NULL, NULL, NULL, NULL, 'F22F7.12 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189420, NULL, 'PTHR34222:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189421, NULL, 'PTHR45831:SF1', NULL, NULL, NULL, NULL, 'SMALL GLUTAMINE-RICH TETRATRICOPEPTIDE REPEAT-CONTAINING PROTEIN BETA', NULL, NULL, NULL, 15),
(189422, NULL, 'PTHR13789:SF309', NULL, NULL, NULL, NULL, 'MONOOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(189423, NULL, 'PTHR36319:SF3', NULL, NULL, NULL, NULL, 'PROTEIN GIGANTEA-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(189424, NULL, 'PTHR46422:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE BSL2', NULL, NULL, NULL, 15),
(189425, NULL, 'PTHR45783:SF5', NULL, NULL, NULL, NULL, 'KINESIN LIGHT CHAIN 3', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189426, NULL, 'PTHR35711', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(189427, NULL, 'PTHR45724:SF9', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP2-2', NULL, NULL, NULL, 15),
(189428, NULL, 'PTHR23105:SF31', NULL, NULL, NULL, NULL, 'RIBOSOMAL L1 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(189429, NULL, 'PTHR35501', NULL, NULL, NULL, NULL, 'PROTEIN YY1', NULL, NULL, NULL, 15),
(189430, NULL, 'PTHR46061', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE RECEPTOR', NULL, NULL, 1060, 15),
(189431, NULL, 'PTHR31552:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(189432, NULL, 'PTHR31894:SF0', NULL, NULL, NULL, NULL, 'UPF0461 PROTEIN C5ORF24', NULL, NULL, NULL, 15),
(189433, NULL, 'PTHR47021:SF5', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR GTPASE-ACTIVATING PROTEIN AGD6-RELATED', NULL, NULL, NULL, 15),
(189434, NULL, 'PTHR12428:SF52', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEIN OXA1-LIKE', NULL, NULL, NULL, 15),
(189435, NULL, 'PTHR35038', NULL, NULL, NULL, NULL, 'DISSIMILATORY SULFITE REDUCTASE SIRA', NULL, NULL, NULL, 15),
(189436, NULL, 'PTHR31973:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189437, NULL, 'PTHR24028:SF93', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-3', NULL, NULL, NULL, 15),
(189438, NULL, 'PTHR44843:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189439, NULL, 'PTHR30128:SF49', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A1', NULL, NULL, NULL, 15),
(189440, NULL, 'PTHR31282:SF138', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 70-RELATED', NULL, NULL, NULL, 15),
(189441, NULL, 'PTHR33599:SF13', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 20', NULL, NULL, NULL, 15),
(189442, NULL, 'PTHR46491:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189443, NULL, 'PTHR23070:SF159', NULL, NULL, NULL, NULL, 'BNAA02G29340D PROTEIN', NULL, NULL, NULL, 15),
(189444, NULL, 'PTHR33696:SF14', NULL, NULL, NULL, NULL, 'OS04G0433300 PROTEIN', NULL, NULL, NULL, 15),
(189445, NULL, 'PTHR45620:SF2', NULL, NULL, NULL, NULL, 'CORTICOTROPIN-RELEASING FACTOR RECEPTOR 1', NULL, NULL, NULL, 15),
(189446, NULL, 'PTHR11405', NULL, NULL, NULL, NULL, 'CARBAMOYLTRANSFERASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(189447, NULL, 'PTHR11017:SF303', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189448, NULL, 'PTHR10574:SF406', NULL, NULL, NULL, NULL, 'LAMININ SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(189449, NULL, 'PTHR23354:SF104', NULL, NULL, NULL, NULL, 'TLD-DOMAIN CONTAINING NUCLEOLAR PROTEIN', NULL, NULL, NULL, 15),
(189450, NULL, 'PTHR43500', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-LYASE-RELATED', NULL, NULL, 3035, 15),
(189451, NULL, 'PTHR15348:SF2', NULL, NULL, NULL, NULL, 'AT-RICH INTERACTIVE DOMAIN-CONTAINING PROTEIN 3C', NULL, NULL, NULL, 15),
(189452, NULL, 'PTHR23430:SF50', NULL, NULL, NULL, NULL, 'F-BOX AND LEUCINE-RICH REPEAT PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(189453, NULL, 'PTHR33091:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189454, NULL, 'PTHR31541:SF33', NULL, NULL, NULL, NULL, 'DUF313 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(189455, NULL, 'PTHR43080:SF19', NULL, NULL, NULL, NULL, 'BLR4116 PROTEIN', NULL, NULL, NULL, 15),
(189456, NULL, 'PTHR45693:SF53', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA2.3-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(189457, NULL, 'PTHR33044:SF97', NULL, NULL, NULL, NULL, 'PROTEASE INHIBITOR/SEED STORAGE/LTP FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189458, NULL, 'PTHR42683:SF60', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189459, NULL, 'PTHR36114:SF1', NULL, NULL, NULL, NULL, '16.7 KDA PROTEIN IN WHIE LOCUS', NULL, NULL, NULL, 15),
(189460, NULL, 'PTHR46944:SF1', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 33', NULL, NULL, NULL, 15),
(189461, NULL, 'PTHR45648:SF1', NULL, NULL, NULL, NULL, 'ANTHER-SPECIFIC PROLINE-RICH PROTEIN APG', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189462, NULL, 'PTHR21495:SF167', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(189463, NULL, 'PTHR24291:SF124', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 CYP4F15', NULL, NULL, NULL, 15),
(189464, NULL, 'PTHR43327:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189465, NULL, 'PTHR42683:SF14', NULL, NULL, NULL, NULL, 'NADP-DEPENDENT ALCOHOL DEHYDROGENASE C', NULL, NULL, NULL, 15),
(189466, NULL, 'PTHR24056:SF464', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189467, NULL, 'PTHR30614:SF16', NULL, NULL, NULL, NULL, 'AMINO-ACID PERMEASE PROTEIN YXEN-RELATED', NULL, NULL, NULL, 15),
(189468, NULL, 'PTHR42683:SF69', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(189469, NULL, 'PTHR46801:SF5', NULL, NULL, NULL, NULL, 'OS09G0482720 PROTEIN', NULL, NULL, NULL, 15),
(189470, NULL, 'PTHR33591:SF5', NULL, NULL, NULL, NULL, 'BNAC09G11560D PROTEIN', NULL, NULL, NULL, 15),
(189471, NULL, 'PTHR24241:SF144', NULL, NULL, NULL, NULL, 'TRISSIN RECEPTOR', NULL, NULL, NULL, 15),
(189472, NULL, 'PTHR23275', NULL, NULL, NULL, NULL, 'CABRIOLET.-RELATED', NULL, NULL, NULL, 15),
(189473, NULL, 'PTHR24346:SF64', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(189474, NULL, 'PTHR27002:SF795', NULL, NULL, NULL, NULL, 'OS07G0487300 PROTEIN', NULL, NULL, NULL, 15),
(189475, NULL, 'PTHR32141:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189476, NULL, 'PTHR31422:SF43', NULL, NULL, NULL, NULL, 'ZEIN-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189477, NULL, 'PTHR31110:SF2', NULL, NULL, NULL, NULL, 'PESTICIDAL CRYSTAL CRY8BA PROTEIN', NULL, NULL, NULL, 15),
(189478, NULL, 'PTHR34065:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 14', NULL, NULL, NULL, 15),
(189479, NULL, 'PTHR14132:SF17', NULL, NULL, NULL, NULL, 'FXYD DOMAIN-CONTAINING ION TRANSPORT REGULATOR', NULL, NULL, NULL, 15),
(189480, NULL, 'PTHR48011:SF76', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 15', NULL, NULL, NULL, 15),
(189481, NULL, 'PTHR43981:SF8', NULL, NULL, NULL, NULL, 'TRANS-2-ENOYL-COA REDUCTASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(189482, NULL, 'PTHR24356:SF375', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SGK-1', NULL, NULL, NULL, 15),
(189483, NULL, 'PTHR11161:SF7', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(189484, NULL, 'PTHR47728', NULL, NULL, NULL, NULL, 'RAB GTPASE-ACTIVATING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(189485, NULL, 'PTHR34615:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189486, NULL, 'PTHR36459', NULL, NULL, NULL, NULL, 'ORF', NULL, NULL, NULL, 15),
(189487, NULL, 'PTHR47991:SF84', NULL, NULL, NULL, NULL, '2OG-FE(II) OXYGENASE FAMILY OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(189488, NULL, 'PTHR12942:SF3', NULL, NULL, NULL, NULL, 'BNAANNG09670D PROTEIN', NULL, NULL, NULL, 15),
(189489, NULL, 'PTHR10417:SF6', NULL, NULL, NULL, NULL, 'GMEB (GLUCOCORTICOID MODULATORY ELEMENT BINDING PROTEIN) TRANSCRIPTIONAL REGULATOR HOMOLOG', NULL, NULL, NULL, 15),
(189490, NULL, 'PTHR12625:SF1', NULL, NULL, NULL, NULL, 'LIMB REGION 1 PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(189491, NULL, 'PTHR24028:SF87', NULL, NULL, NULL, NULL, 'PROTOCADHERIN BETA 4', NULL, NULL, NULL, 15),
(189492, NULL, 'PTHR14167:SF28', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING PROTEIN 21', NULL, NULL, NULL, 15),
(189493, NULL, 'PTHR33347', NULL, NULL, NULL, NULL, 'OSJNBA0091C07.3 PROTEIN', NULL, NULL, 39122, 15),
(189494, NULL, 'PTHR13115', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(189495, NULL, 'PTHR10242', NULL, NULL, NULL, NULL, '8-OXOGUANINE DNA GLYCOSYLASE', NULL, NULL, NULL, 15),
(189496, NULL, 'PTHR11620:SF80', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A', NULL, NULL, NULL, 15),
(189497, NULL, 'PTHR45907:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J-RELATED', NULL, NULL, NULL, 15),
(189498, NULL, 'PTHR10334:SF206', NULL, NULL, NULL, NULL, 'OS04G0289500 PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189499, NULL, 'PTHR31669:SF199', NULL, NULL, NULL, NULL, 'OS03G0181600 PROTEIN', NULL, NULL, NULL, 15),
(189500, NULL, 'PTHR45764:SF38', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(189501, NULL, 'PTHR27006:SF142', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189502, NULL, 'PTHR33107:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189503, NULL, 'PTHR47924:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189504, NULL, 'PTHR10648:SF28', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 65 KDA REGULATORY SUBUNIT A BETA ISOFORM', NULL, NULL, NULL, 15),
(189505, NULL, 'PTHR11738:SF159', NULL, NULL, NULL, NULL, 'ALPHA-1B-GLYCOPROTEIN', NULL, NULL, NULL, 15),
(189506, NULL, 'PTHR45800:SF16', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-KINASE GAMMA 5', NULL, NULL, NULL, 15),
(189507, NULL, 'PTHR46354', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189508, NULL, 'PTHR24126:SF52', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE TNNI3K', NULL, NULL, NULL, 15),
(189509, NULL, 'PTHR45650:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189510, NULL, 'PTHR34224:SF17', NULL, NULL, NULL, NULL, 'INTERACTOR OF CONSTITUTIVE ACTIVE ROPS-RELATED', NULL, NULL, NULL, 15),
(189511, NULL, 'PTHR10641:SF1269', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB30', NULL, NULL, NULL, 15),
(189512, NULL, 'PTHR45735:SF2', NULL, NULL, NULL, NULL, 'CLEAVAGE STIMULATION FACTOR, 3'' PRE-RNA, SUBUNIT 2', NULL, NULL, NULL, 15),
(189513, NULL, 'PTHR11136:SF13', NULL, NULL, NULL, NULL, 'FOLYLPOLYGLUTAMATE SYNTHASE', NULL, NULL, NULL, 15),
(189514, NULL, 'PTHR33726', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(189515, NULL, 'PTHR48022:SF65', NULL, NULL, NULL, NULL, 'MFS MALTOSE PERMEASE MALP', NULL, NULL, NULL, 15),
(189516, NULL, 'PTHR33236:SF5', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 122 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189517, NULL, 'PTHR23500:SF498', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR, SUGAR TRANSPORTER, MAJOR FACILITATOR SUPERFAMILY-RELATED', NULL, NULL, NULL, 15),
(189518, NULL, 'PTHR48011:SF29', NULL, NULL, NULL, NULL, 'BNAA08G02690D PROTEIN', NULL, NULL, NULL, 15),
(189519, NULL, 'PTHR44051:SF2', NULL, NULL, NULL, NULL, 'HYPOTHETICAL GLUTATHIONE S-TRANSFERASE LIKE PROTEIN', NULL, NULL, NULL, 15),
(189520, NULL, 'PTHR31197:SF6', NULL, NULL, NULL, NULL, 'OS09G0451800 PROTEIN', NULL, NULL, NULL, 15),
(189521, NULL, 'PTHR44013:SF2', NULL, NULL, NULL, NULL, 'OS09G0502500 PROTEIN', NULL, NULL, NULL, 15),
(189522, NULL, 'PTHR48061:SF2', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1-LIKE', NULL, NULL, NULL, 15),
(189523, NULL, 'PTHR39670:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189524, NULL, 'PTHR34478:SF2', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189525, NULL, 'PTHR42799:SF13', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE', NULL, NULL, NULL, 15),
(189526, NULL, 'PTHR34289:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189527, NULL, 'PTHR24286:SF282', NULL, NULL, NULL, NULL, 'BNAA04G16900D PROTEIN', NULL, NULL, NULL, 15),
(189528, NULL, 'PTHR30561:SF0', NULL, NULL, NULL, NULL, 'GUANIDINIUM EXPORTER', NULL, NULL, NULL, 15),
(189529, NULL, 'PTHR43880:SF1', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1C', NULL, NULL, NULL, 15),
(189530, NULL, 'PTHR15346:SF0', NULL, NULL, NULL, NULL, 'DYNACTIN SUBUNIT 2', NULL, NULL, NULL, 15),
(189531, NULL, 'PTHR10199:SF78', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN-1', NULL, NULL, 25156, 15),
(189532, NULL, 'PTHR31225:SF94', NULL, NULL, NULL, NULL, 'ALPHA-FARNESENE SYNTHASE', NULL, NULL, NULL, 15),
(189533, NULL, 'PTHR34137:SF1', NULL, NULL, NULL, NULL, 'EXODEOXYRIBONUCLEASE 7 SMALL SUBUNIT', NULL, NULL, NULL, 15),
(189534, NULL, 'PTHR12482:SF54', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189535, NULL, 'PTHR12791', NULL, NULL, NULL, NULL, 'GOLGI SNARE BET1-RELATED', NULL, NULL, 36330, 15),
(189536, NULL, 'PTHR30055:SF205', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR PKSA', NULL, NULL, NULL, 15),
(189537, NULL, 'PTHR24637:SF269', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(189538, NULL, 'PTHR35546:SF79', NULL, NULL, NULL, NULL, 'OS10G0559550 PROTEIN', NULL, NULL, NULL, 15),
(189539, NULL, 'PTHR16134:SF101', NULL, NULL, NULL, NULL, 'F-BOX/TPR REPEAT PROTEIN POF3', NULL, NULL, NULL, 15),
(189540, NULL, 'PTHR46214:SF11', NULL, NULL, NULL, NULL, 'OS05G0207400 PROTEIN', NULL, NULL, NULL, 15),
(189541, NULL, 'PTHR45977:SF11', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN PROTEIN LIGASE RIE1-LIKE', NULL, NULL, NULL, 15),
(189542, NULL, 'PTHR22914:SF12', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE CHS-1', NULL, NULL, NULL, 15),
(189543, NULL, 'PTHR11938', NULL, NULL, NULL, NULL, 'FAD NADPH DEHYDROGENASE/OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(189544, NULL, 'PTHR33306:SF26', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189545, NULL, 'PTHR33021:SF412', NULL, NULL, NULL, NULL, 'BNACNNG07270D PROTEIN', NULL, NULL, NULL, 15),
(189546, NULL, 'PTHR46105', NULL, NULL, NULL, NULL, 'AGAP004733-PA', NULL, NULL, NULL, 15),
(189547, NULL, 'PTHR48022:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189548, NULL, 'PTHR14758:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM110D', NULL, NULL, NULL, 15),
(189549, NULL, 'PTHR10784:SF6', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 6', NULL, NULL, NULL, 15),
(189550, NULL, 'PTHR19411:SF6', NULL, NULL, NULL, NULL, 'G10, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189551, NULL, 'PTHR31621:SF51', NULL, NULL, NULL, NULL, 'BNAA01G32990D PROTEIN', NULL, NULL, NULL, 15),
(189552, NULL, 'PTHR32467:SF176', NULL, NULL, NULL, NULL, 'BNAC02G44180D PROTEIN', NULL, NULL, NULL, 15),
(189553, NULL, 'PTHR31235:SF296', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(189554, NULL, 'PTHR30128:SF65', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM I P700 CHLOROPHYLL A APOPROTEIN A2', NULL, NULL, NULL, 15),
(189555, NULL, 'PTHR46057:SF11', NULL, NULL, NULL, NULL, 'OS06G0714800 PROTEIN', NULL, NULL, NULL, 15),
(189556, NULL, 'PTHR44419:SF16', NULL, NULL, NULL, NULL, 'NADPH-PROTOCHLOROPHYLLIDE OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(189557, NULL, 'PTHR12015:SF110', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 14', NULL, NULL, NULL, 15),
(189558, NULL, 'PTHR47926:SF139', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN ELI1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(189559, NULL, 'PTHR31072:SF162', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP2', NULL, NULL, NULL, 15),
(189560, NULL, 'PTHR13596:SF1', NULL, NULL, NULL, NULL, 'SMALL EDRK-RICH FACTOR 1', NULL, NULL, NULL, 15),
(189561, NULL, 'PTHR46167:SF1', NULL, NULL, NULL, NULL, 'N-LYSINE METHYLTRANSFERASE KMT5A', NULL, NULL, NULL, 15),
(189562, NULL, 'PTHR47962:SF2', NULL, NULL, NULL, NULL, 'HELICASE-RELATED', NULL, NULL, NULL, 15),
(189563, NULL, 'PTHR47953:SF4', NULL, NULL, NULL, NULL, 'BNAC03G30340D PROTEIN', NULL, NULL, NULL, 15),
(189564, NULL, 'PTHR26453:SF176', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2S2', NULL, NULL, NULL, 15),
(189565, NULL, 'PTHR21516:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG06240', NULL, NULL, NULL, 15),
(189566, NULL, 'PTHR39560:SF1', NULL, NULL, NULL, NULL, 'PROTEIN ADENYLYLTRANSFERASE FIC-RELATED', NULL, NULL, NULL, 15),
(189567, NULL, 'PTHR46963:SF1', NULL, NULL, NULL, NULL, 'SIMILAR TO RIKEN CDNA E130308A19', NULL, NULL, NULL, 15),
(189568, NULL, 'PTHR43523:SF22', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(189569, NULL, 'PTHR10766:SF102', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 9 SUPERFAMILY MEMBER', NULL, NULL, NULL, 15),
(189570, NULL, 'PTHR45778:SF11', NULL, NULL, NULL, NULL, 'INACTIVE PURPLE ACID PHOSPHATASE 9-RELATED', NULL, NULL, NULL, 15),
(189571, NULL, 'PTHR33191:SF32', NULL, NULL, NULL, NULL, 'KIWELLIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189572, NULL, 'PTHR46910:SF26', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(189573, NULL, 'PTHR11442:SF77', NULL, NULL, NULL, NULL, 'HEMOGLOBIN, ALPHA EMBRYONIC 5', NULL, NULL, NULL, 15),
(189574, NULL, 'PTHR12131:SF2', NULL, NULL, NULL, NULL, 'DEXH-BOX ATP-DEPENDENT RNA HELICASE DEXH16, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(189575, NULL, 'PTHR43651:SF3', NULL, NULL, NULL, NULL, '1,4-ALPHA-GLUCAN-BRANCHING ENZYME', NULL, NULL, NULL, 15),
(189576, NULL, 'PTHR10942:SF43', NULL, NULL, NULL, NULL, 'SURFACE PROTEASE HOMOLOG, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189577, NULL, 'PTHR46373:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189578, NULL, 'PTHR45613:SF424', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189579, NULL, 'PTHR11157:SF11', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN 3-LIKE', NULL, NULL, NULL, 15),
(189580, NULL, 'PTHR11926:SF970', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(189581, NULL, 'PTHR39441', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 17743, 15),
(189582, NULL, 'PTHR11999:SF161', NULL, NULL, NULL, NULL, 'BNAA07G00220D PROTEIN', NULL, NULL, NULL, 15),
(189583, NULL, 'PTHR20903', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 1-RELATED', NULL, NULL, NULL, 15),
(189584, NULL, 'PTHR21646:SF19', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 3', NULL, NULL, NULL, 15),
(189585, NULL, 'PTHR12135:SF0', NULL, NULL, NULL, NULL, 'DNA REPAIR PROTEIN COMPLEMENTING XP-C CELLS', NULL, NULL, NULL, 15),
(189586, NULL, 'PTHR15710:SF41', NULL, NULL, NULL, NULL, 'OS06G0101300 PROTEIN', NULL, NULL, NULL, 15),
(189587, NULL, 'PTHR31619:SF5', NULL, NULL, NULL, NULL, '4-HYDROXY-3-METHYLBUT-2-ENYL DIPHOSPHATE REDUCTASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(189588, NULL, 'PTHR31080:SF106', NULL, NULL, NULL, NULL, 'INHIBITOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189589, NULL, 'PTHR46159:SF6', NULL, NULL, NULL, NULL, 'PROTEIN TESMIN/TSO1-LIKE CXC 4', NULL, NULL, NULL, 15),
(189590, NULL, 'PTHR47640:SF21', NULL, NULL, NULL, NULL, 'OS02G0622500 PROTEIN', NULL, NULL, NULL, 15),
(189591, NULL, 'PTHR44375:SF5', NULL, NULL, NULL, NULL, 'DEHYDROGENASE/REDUCTASE SDR FAMILY MEMBER 7B-LIKE', NULL, NULL, NULL, 15),
(189592, NULL, 'PTHR21616', NULL, NULL, NULL, NULL, 'CENTROSOME SPINDLE POLE ASSOCIATED PROTEIN', NULL, NULL, 22255, 15),
(189593, NULL, 'PTHR10166:SF40', NULL, NULL, NULL, NULL, 'VWFA AND CACHE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(189594, NULL, 'PTHR24282:SF183', NULL, NULL, NULL, NULL, 'BNAA02G10910D PROTEIN', NULL, NULL, NULL, 15),
(189595, NULL, 'PTHR13439:SF2', NULL, NULL, NULL, NULL, 'TLC DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(189596, NULL, 'PTHR42912:SF24', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE, UBIE/COQ5 FAMILY', NULL, NULL, NULL, 15),
(189597, NULL, 'PTHR13539:SF3', NULL, NULL, NULL, NULL, 'CALMODULIN-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(189598, NULL, 'PTHR47925:SF76', NULL, NULL, NULL, NULL, 'BNAA04G21330D PROTEIN', NULL, NULL, NULL, 15),
(189599, NULL, 'PTHR24124:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY A PROTEIN 2', NULL, NULL, NULL, 15),
(189600, NULL, 'PTHR10218:SF320', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(S) SUBUNIT ALPHA ISOFORMS XLAS', NULL, NULL, NULL, 15),
(189601, NULL, 'PTHR23359:SF203', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 6, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(189602, NULL, 'PTHR31683:SF133', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(189603, NULL, 'PTHR46972:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189604, NULL, 'PTHR46509:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOADENOSINE PHOSPHOSULFATE REDUCTASE', NULL, NULL, NULL, 15),
(189605, NULL, 'PTHR45666:SF3', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 5', NULL, NULL, NULL, 15),
(189606, NULL, 'PTHR33085:SF91', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189607, NULL, 'PTHR46375:SF1', NULL, NULL, NULL, NULL, 'KELCH REPEAT AND BTB (POZ) DOMAIN CONTAINING 13', NULL, NULL, NULL, 15),
(189608, NULL, 'PTHR11005:SF104', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189609, NULL, 'PTHR43418:SF12', NULL, NULL, NULL, NULL, 'BNAA09G28350D PROTEIN', NULL, NULL, NULL, 15),
(189610, NULL, 'PTHR36616:SF5', NULL, NULL, NULL, NULL, 'DIS3-EXONUCLEASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(189611, NULL, 'PTHR43475:SF4', NULL, NULL, NULL, NULL, 'METHYLTHIORIBOSE-1-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(189612, NULL, 'PTHR11361:SF138', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN MSH7', NULL, NULL, NULL, 15),
(189613, NULL, 'PTHR48040:SF28', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 42-LIKE', NULL, NULL, NULL, 15),
(189614, NULL, 'PTHR31147:SF48', NULL, NULL, NULL, NULL, 'BNAC03G77600D PROTEIN', NULL, NULL, NULL, 15),
(189615, NULL, 'PTHR47988:SF16', NULL, NULL, NULL, NULL, 'LRR RECEPTOR KINASE BAK1', NULL, NULL, NULL, 15),
(189616, NULL, 'PTHR48011:SF65', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189617, NULL, 'PTHR15818:SF2', NULL, NULL, NULL, NULL, 'G-PATCH DOMAIN AND KOW MOTIFS-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(189618, NULL, 'PTHR11593:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189619, NULL, 'PTHR18820:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189620, NULL, 'PTHR14492:SF4', NULL, NULL, NULL, NULL, 'CILIOGENESIS AND PLANAR POLARITY EFFECTOR 1', NULL, NULL, NULL, 15),
(189621, NULL, 'PTHR11362:SF31', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLETHANOLAMINE-BINDING PROTEIN21', NULL, NULL, NULL, 15),
(189622, NULL, 'PTHR46171:SF3', NULL, NULL, NULL, NULL, 'GH10160P', NULL, NULL, NULL, 15),
(189623, NULL, 'PTHR46129:SF3', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-14-RELATED', NULL, NULL, 24439, 15),
(189624, NULL, 'PTHR43112:SF31', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(189625, NULL, 'PTHR31221:SF251', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189626, NULL, 'PTHR14164', NULL, NULL, NULL, NULL, 'PERICENTRIOLAR MATERIAL 1-RELATED', NULL, NULL, 8762, 15),
(189627, NULL, 'PTHR11685:SF347', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(189628, NULL, 'PTHR40460', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(189629, NULL, 'PTHR11787:SF26', NULL, NULL, NULL, NULL, 'GUANOSINE NUCLEOTIDE DIPHOSPHATE DISSOCIATION INHIBITOR', NULL, NULL, NULL, 15),
(189630, NULL, 'PTHR24032:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189631, NULL, 'PTHR33390:SF1', NULL, NULL, NULL, NULL, 'STRESS UP-REGULATED NOD 19 PROTEIN', NULL, NULL, NULL, 15),
(189632, NULL, 'PTHR11782:SF80', NULL, NULL, NULL, NULL, 'NOD FACTOR-BINDING LECTIN-NUCLEOTIDE PHOSPHOHYDROLASE', NULL, NULL, NULL, 15),
(189633, NULL, 'PTHR47992:SF104', NULL, NULL, NULL, NULL, 'BNAC01G38550D PROTEIN', NULL, NULL, NULL, 15),
(189634, NULL, 'PTHR24384:SF87', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 195', NULL, NULL, NULL, 15),
(189635, NULL, 'PTHR12336', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 28361, 15),
(189636, NULL, 'PTHR15711:SF8', NULL, NULL, NULL, NULL, 'PH AND RAP-GAP DOMAIN-CONTAINING PROTEIN DDB_G0271806', NULL, NULL, NULL, 15),
(189637, NULL, 'PTHR23253:SF63', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4G1, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(189638, NULL, 'PTHR23239:SF44', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 23', NULL, NULL, NULL, 15),
(189639, NULL, 'PTHR31639:SF170', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(189640, NULL, 'PTHR14614:SF13', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE METHYLTRANSFERASE METTL21C', NULL, NULL, NULL, 15),
(189641, NULL, 'PTHR36350:SF4', NULL, NULL, NULL, NULL, 'BNAA05G09310D PROTEIN', NULL, NULL, NULL, 15),
(189642, NULL, 'PTHR10159:SF309', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE 1', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189643, NULL, 'PTHR31235:SF307', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(189644, NULL, 'PTHR45639', NULL, NULL, NULL, NULL, 'HSC70CB, ISOFORM G-RELATED', NULL, NULL, NULL, 15),
(189645, NULL, 'PTHR48008:SF4', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE IMK3-RELATED', NULL, NULL, NULL, 15),
(189646, NULL, 'PTHR24015:SF285', NULL, NULL, NULL, NULL, 'OS07G0588100 PROTEIN', NULL, NULL, NULL, 15),
(189647, NULL, 'PTHR10572:SF36', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL COENZYME A REDUCTASE', NULL, NULL, NULL, 15),
(189648, NULL, 'PTHR11673:SF39', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 5A-3', NULL, NULL, NULL, 15),
(189649, NULL, 'PTHR10078:SF32', NULL, NULL, NULL, NULL, 'INTERLEUKIN-36 RECEPTOR ANTAGONIST PROTEIN', NULL, NULL, 27160, 15),
(189650, NULL, 'PTHR13962:SF17', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN N4', NULL, NULL, NULL, 15),
(189651, NULL, 'PTHR10802:SF5', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM40-2-RELATED', NULL, NULL, NULL, 15),
(189652, NULL, 'PTHR33370:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR IF-1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(189653, NULL, 'PTHR43180:SF53', NULL, NULL, NULL, NULL, 'XANTHOXIN DEHYDROGENASE', NULL, NULL, NULL, 15),
(189654, NULL, 'PTHR24356:SF367', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(189655, NULL, 'PTHR47926:SF136', NULL, NULL, NULL, NULL, 'BNAA04G11950D PROTEIN', NULL, NULL, NULL, 15),
(189656, NULL, 'PTHR46074:SF3', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH PROTEIN 1', NULL, NULL, NULL, 15),
(189657, NULL, 'PTHR23406:SF74', NULL, NULL, NULL, NULL, 'MALIC ENZYME', NULL, NULL, NULL, 15),
(189658, NULL, 'PTHR48050:SF20', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(189659, NULL, 'PTHR28552', NULL, NULL, NULL, NULL, 'SHADOW OF PRION PROTEIN', NULL, NULL, 22094, 15),
(189660, NULL, 'PTHR46844', NULL, NULL, NULL, NULL, 'SLR5058 PROTEIN', NULL, NULL, NULL, 15),
(189661, NULL, 'PTHR45614:SF160', NULL, NULL, NULL, NULL, 'BNAC06G43380D PROTEIN', NULL, NULL, NULL, 15),
(189662, NULL, 'PTHR10155:SF5', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF CYTOKINE SIGNALING 7', NULL, NULL, 27286, 15),
(189663, NULL, 'PTHR43257', NULL, NULL, NULL, NULL, 'PYRUVATE DEHYDROGENASE E1 COMPONENT BETA SUBUNIT', NULL, NULL, NULL, 15),
(189664, NULL, 'PTHR35290:SF4', NULL, NULL, NULL, NULL, 'OS11G0323860 PROTEIN', NULL, NULL, NULL, 15),
(189665, NULL, 'PTHR31235:SF227', NULL, NULL, NULL, NULL, 'PEROXIDASE 30', NULL, NULL, NULL, 15),
(189666, NULL, 'PTHR36366:SF4', NULL, NULL, NULL, NULL, 'PROTEIN RDM1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(189667, NULL, 'PTHR30070:SF2', NULL, NULL, NULL, NULL, 'CYTOCHROME C BIOGENESIS B', NULL, NULL, NULL, 15),
(189668, NULL, 'PTHR31978:SF1', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 20 HOMOLOG', NULL, NULL, NULL, 15),
(189669, NULL, 'PTHR32274:SF1', NULL, NULL, NULL, NULL, 'NEDD4-BINDING PROTEIN 3', NULL, NULL, NULL, 15),
(189670, NULL, 'PTHR46675:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF182', NULL, NULL, NULL, 15),
(189671, NULL, 'PTHR14198:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE 4 L6 FAMILY MEMBER 5', NULL, NULL, NULL, 15),
(189672, NULL, 'PTHR47927:SF1', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189673, NULL, 'PTHR39168:SF2', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR CMTR', NULL, NULL, NULL, 15),
(189674, NULL, 'PTHR33564:SF15', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189675, NULL, 'PTHR45649:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189676, NULL, 'PTHR48002:SF44', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 4X1', NULL, NULL, NULL, 15),
(189677, NULL, 'PTHR33964:SF2', NULL, NULL, NULL, NULL, 'IP09356P', NULL, NULL, NULL, 15),
(189678, NULL, 'PTHR33469:SF21', NULL, NULL, NULL, NULL, 'OS08G0366300 PROTEIN', NULL, NULL, NULL, 15),
(189679, NULL, 'PTHR10291:SF34', NULL, NULL, NULL, NULL, 'TRITRANS,POLYCIS-UNDECAPRENYL-DIPHOSPHATE SYNTHASE (GERANYLGERANYL-DIPHOSPHATE SPECIFIC)', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189680, NULL, 'PTHR45654:SF47', NULL, NULL, NULL, NULL, 'HOMEOBOX-LEUCINE ZIPPER PROTEIN ROC6', NULL, NULL, NULL, 15),
(189681, NULL, 'PTHR24096:SF296', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE ACSBG1', NULL, NULL, NULL, 15),
(189682, NULL, 'PTHR43369:SF2', NULL, NULL, NULL, NULL, 'TRIFUNCTIONAL PURINE BIOSYNTHETIC PROTEIN ADENOSINE-3', NULL, NULL, NULL, 15),
(189683, NULL, 'PTHR31419:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189684, NULL, 'PTHR11177:SF363', NULL, NULL, NULL, NULL, 'BNAC03G63440D PROTEIN', NULL, NULL, NULL, 15),
(189685, NULL, 'PTHR11362:SF90', NULL, NULL, NULL, NULL, 'RCN1-CORN CENTRORADIALIS/TFL1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(189686, NULL, 'PTHR24404:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 821', NULL, NULL, NULL, 15),
(189687, NULL, 'PTHR46953', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR MTH-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(189688, NULL, 'PTHR46171:SF2', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 44', NULL, NULL, NULL, 15),
(189689, NULL, 'PTHR31357:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS ALPHA-33', NULL, NULL, NULL, 15),
(189690, NULL, 'PTHR45738:SF23', NULL, NULL, NULL, NULL, 'PHOSPHOINOSITIDE PHOSPHATASE SAC2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(189691, NULL, 'PTHR11709:SF377', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(189692, NULL, 'PTHR10366:SF597', NULL, NULL, NULL, NULL, 'DIHYDROFLAVONAL-4-REDUCTASE 2', NULL, NULL, NULL, 15),
(189693, NULL, 'PTHR31006:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG21015', NULL, NULL, NULL, 15),
(189694, NULL, 'PTHR33362:SF2', NULL, NULL, NULL, NULL, 'C4-DICARBOXYLATE TRANSPORT SYSTEM-RELATED', NULL, NULL, NULL, 15),
(189695, NULL, 'PTHR10194:SF126', NULL, NULL, NULL, NULL, 'GTPASE-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(189696, NULL, 'PTHR32212:SF350', NULL, NULL, NULL, NULL, 'BNAA09G46050D PROTEIN', NULL, NULL, NULL, 15),
(189697, NULL, 'PTHR31080:SF120', NULL, NULL, NULL, NULL, 'INVERTASE INHIBITOR-RELATED', NULL, NULL, NULL, 15),
(189698, NULL, 'PTHR12542:SF139', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189699, NULL, 'PTHR48002:SF5', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(189700, NULL, 'PTHR46236:SF21', NULL, NULL, NULL, NULL, 'TRAF-LIKE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189701, NULL, 'PTHR19855', NULL, NULL, NULL, NULL, 'WD40 REPEAT PROTEIN 12, 37', NULL, NULL, NULL, 15),
(189702, NULL, 'PTHR42023', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189703, NULL, 'PTHR24056:SF436', NULL, NULL, NULL, NULL, 'BNACNNG51050D PROTEIN', NULL, NULL, NULL, 15),
(189704, NULL, 'PTHR23504:SF28', NULL, NULL, NULL, NULL, 'OS12G0133000 PROTEIN', NULL, NULL, NULL, 15),
(189705, NULL, 'PTHR18966:SF512', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR 2.1-RELATED', NULL, NULL, NULL, 15),
(189706, NULL, 'PTHR11105', NULL, NULL, NULL, NULL, 'CITRATE LYASE SUBUNIT BETA-RELATED', NULL, NULL, 34638, 15),
(189707, NULL, 'PTHR33127:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189708, NULL, 'PTHR18896:SF167', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(189709, NULL, 'PTHR11064:SF148', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189710, NULL, 'PTHR31933:SF8', NULL, NULL, NULL, NULL, 'GDP-FUCOSE PROTEIN O-FUCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(189711, NULL, 'PTHR31026:SF1', NULL, NULL, NULL, NULL, 'ENHANCER OF UNCOORDINATION', NULL, NULL, NULL, 15),
(189712, NULL, 'PTHR13832:SF236', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1M', NULL, NULL, NULL, 15),
(189713, NULL, 'PTHR31920:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189714, NULL, 'PTHR11850:SF318', NULL, NULL, NULL, NULL, 'BEL1-LIKE HOMEODOMAIN PROTEIN 4', NULL, NULL, NULL, 15),
(189715, NULL, 'PTHR31642:SF32', NULL, NULL, NULL, NULL, 'OSJNBA0043L24.8 PROTEIN', NULL, NULL, NULL, 15),
(189716, NULL, 'PTHR40659:SF1', NULL, NULL, NULL, NULL, 'NICKEL/COBALT EFFLUX SYSTEM RCNA', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189717, NULL, 'PTHR15706', NULL, NULL, NULL, NULL, 'SH3 MULTIPLE DOMAIN', NULL, NULL, NULL, 15),
(189718, NULL, 'PTHR35846:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG05131', NULL, NULL, NULL, 15),
(189719, NULL, 'PTHR10977:SF6', NULL, NULL, NULL, NULL, 'DIPHOSPHOMEVALONATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(189720, NULL, 'PTHR27002:SF562', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 5', NULL, NULL, NULL, 15),
(189721, NULL, 'PTHR35037:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189722, NULL, 'PTHR12956:SF13', NULL, NULL, NULL, NULL, 'OS01G0210400 PROTEIN', NULL, NULL, NULL, 15),
(189723, NULL, 'PTHR31194:SF135', NULL, NULL, NULL, NULL, 'BNAC07G48550D PROTEIN', NULL, NULL, NULL, 15),
(189724, NULL, 'PTHR31072:SF69', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP19', NULL, NULL, NULL, 15),
(189725, NULL, 'PTHR33463:SF44', NULL, NULL, NULL, NULL, 'OS04G0166000 PROTEIN', NULL, NULL, NULL, 15),
(189726, NULL, 'PTHR45854:SF4', NULL, NULL, NULL, NULL, 'ARF-GAP WITH SH3 DOMAIN, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(189727, NULL, 'PTHR10694:SF114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189728, NULL, 'PTHR47999:SF11', NULL, NULL, NULL, NULL, 'PROTEIN ODORANT1-LIKE', NULL, NULL, NULL, 15),
(189729, NULL, 'PTHR31589:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189730, NULL, 'PTHR24286:SF319', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY BRASSINOSTEROID OXIDASE', NULL, NULL, NULL, 15),
(189731, NULL, 'PTHR31682:SF31', NULL, NULL, NULL, NULL, 'UDP-ARABINOPYRANOSE MUTASE 2-RELATED', NULL, NULL, NULL, 15),
(189732, NULL, 'PTHR14187:SF61', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN SIMILAR TO VERTEBRATE HEAT SHOCK 70KDA PROTEIN 12A (HSPA12A)-RELATED', NULL, NULL, NULL, 15),
(189733, NULL, 'PTHR47612', NULL, NULL, NULL, NULL, 'TRICHOHYALIN-LIKE PROTEIN 1', NULL, NULL, 38718, 15),
(189734, NULL, 'PTHR22870:SF379', NULL, NULL, NULL, NULL, 'PH, RCC1 AND FYVE DOMAINS-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(189735, NULL, 'PTHR24296:SF175', NULL, NULL, NULL, NULL, 'CYTOCHROMEC1', NULL, NULL, NULL, 15),
(189736, NULL, 'PTHR24253:SF118', NULL, NULL, NULL, NULL, 'AGAP002422-PA', NULL, NULL, NULL, 15),
(189737, NULL, 'PTHR24028:SF255', NULL, NULL, NULL, NULL, 'PROTOCADHERIN ALPHA-9', NULL, NULL, NULL, 15),
(189738, NULL, 'PTHR33214:SF8', NULL, NULL, NULL, NULL, 'OS01G0691300 PROTEIN', NULL, NULL, NULL, 15),
(189739, NULL, 'PTHR31143:SF2', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE (GNAT) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189740, NULL, 'PTHR47415:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189741, NULL, 'PTHR46066:SF1', NULL, NULL, NULL, NULL, 'CHITINASE-LIKE', NULL, NULL, NULL, 15),
(189742, NULL, 'PTHR16450:SF1', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF186', NULL, NULL, NULL, 15),
(189743, NULL, 'PTHR43248:SF20', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(189744, NULL, 'PTHR33074:SF76', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(189745, NULL, 'PTHR48047:SF19', NULL, NULL, NULL, NULL, 'BORON TRANSPORTER', NULL, NULL, NULL, 15),
(189746, NULL, 'PTHR46011:SF14', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(189747, NULL, 'PTHR33389:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189748, NULL, 'PTHR11206:SF282', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(189749, NULL, 'PTHR46725:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 57', NULL, NULL, NULL, 15),
(189750, NULL, 'PTHR36486', NULL, NULL, NULL, NULL, 'OS01G0977800 PROTEIN', NULL, NULL, NULL, 15),
(189751, NULL, 'PTHR38591', NULL, NULL, NULL, NULL, 'HYDROLASE', NULL, NULL, NULL, 15),
(189752, NULL, 'PTHR11689:SF155', NULL, NULL, NULL, NULL, 'BNAA06G32380D PROTEIN', NULL, NULL, NULL, 15),
(189753, NULL, 'PTHR45732:SF9', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8A', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189754, NULL, 'PTHR33265:SF7', NULL, NULL, NULL, NULL, 'OS05G0200700 PROTEIN', NULL, NULL, NULL, 15),
(189755, NULL, 'PTHR45997', NULL, NULL, NULL, NULL, 'DNA LIGASE 4', NULL, NULL, 25103, 15),
(189756, NULL, 'PTHR46998:SF6', NULL, NULL, NULL, NULL, 'BNAANNG41310D PROTEIN', NULL, NULL, NULL, 15),
(189757, NULL, 'PTHR11467:SF24', NULL, NULL, NULL, NULL, 'HISTONE H1.5', NULL, NULL, NULL, 15),
(189758, NULL, 'PTHR33480:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189759, NULL, 'PTHR10725:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189760, NULL, 'PTHR11412:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189761, NULL, 'PTHR10366:SF295', NULL, NULL, NULL, NULL, 'GH25466P', NULL, NULL, NULL, 15),
(189762, NULL, 'PTHR45096', NULL, NULL, NULL, NULL, 'PROTEIN NEDD1', NULL, NULL, 37185, 15),
(189763, NULL, 'PTHR11902:SF1', NULL, NULL, NULL, NULL, 'ENOLASE', NULL, NULL, NULL, 15),
(189764, NULL, 'PTHR31906:SF5', NULL, NULL, NULL, NULL, 'PLASTID-LIPID-ASSOCIATED PROTEIN 3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(189765, NULL, 'PTHR32119:SF3', NULL, NULL, NULL, NULL, '3-HEXULOSE-6-PHOSPHATE SYNTHASE', NULL, NULL, NULL, 15),
(189766, NULL, 'PTHR24637:SF349', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189767, NULL, 'PTHR34491:SF2', NULL, NULL, NULL, NULL, 'CENTRIOLIN', NULL, NULL, 29321, 15),
(189768, NULL, 'PTHR46796:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR EUTR-RELATED', NULL, NULL, NULL, 15),
(189769, NULL, 'PTHR19960', NULL, NULL, NULL, NULL, 'TEKTIN', NULL, NULL, 6818, 15),
(189770, NULL, 'PTHR24373:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189771, NULL, 'PTHR35552', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 8', NULL, NULL, 34908, 15),
(189772, NULL, 'PTHR11200:SF277', NULL, NULL, NULL, NULL, 'BNAC08G44370D PROTEIN', NULL, NULL, NULL, 15),
(189773, NULL, 'PTHR12701:SF13', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED PROTEIN 31-LIKE PROTEIN', NULL, NULL, NULL, 15),
(189774, NULL, 'PTHR31234:SF34', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT HYDROXYPROLINE-RICH GLYCOPROTEIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189775, NULL, 'PTHR42206', NULL, NULL, NULL, NULL, 'METAL-DEPENDENT HYDROLASE-RELATED', NULL, NULL, 11327, 15),
(189776, NULL, 'PTHR21685:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1, REGULATORY SUBUNIT 18', NULL, NULL, NULL, 15),
(189777, NULL, 'PTHR23308:SF60', NULL, NULL, NULL, NULL, 'NUCLEAR INHIBITOR OF PROTEIN PHOSPHATASE 1-LIKE', NULL, NULL, NULL, 15),
(189778, NULL, 'PTHR16684:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189779, NULL, 'PTHR11430:SF25', NULL, NULL, NULL, NULL, 'LIPOCALIN 11', NULL, NULL, NULL, 15),
(189780, NULL, 'PTHR31235:SF279', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(189781, NULL, 'PTHR31741:SF82', NULL, NULL, NULL, NULL, 'O-FUCOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189782, NULL, 'PTHR38218:SF3', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189783, NULL, 'PTHR33214:SF56', NULL, NULL, NULL, NULL, 'BNAA04G26690D PROTEIN', NULL, NULL, NULL, 15),
(189784, NULL, 'PTHR34207:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189785, NULL, 'PTHR46029:SF3', NULL, NULL, NULL, NULL, 'C-TERMINAL-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(189786, NULL, 'PTHR32467:SF177', NULL, NULL, NULL, NULL, 'AP2-LIKE ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR SMZ-RELATED', NULL, NULL, NULL, 15),
(189787, NULL, 'PTHR14224:SF25', NULL, NULL, NULL, NULL, '4732496O08RIK PROTEIN', NULL, NULL, NULL, 15),
(189788, NULL, 'PTHR10924:SF27', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 49 MEMBER 4', NULL, NULL, NULL, 15),
(189789, NULL, 'PTHR43874:SF150', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(189790, NULL, 'PTHR21649', NULL, NULL, NULL, NULL, 'CHLOROPHYLL A/B BINDING PROTEIN', NULL, NULL, 7432, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189791, NULL, 'PTHR27008:SF379', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT PROTEIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189792, NULL, 'PTHR48006:SF5', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN/GLUCANASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189793, NULL, 'PTHR13401', NULL, NULL, NULL, NULL, 'RAGULATOR COMPLEX PROTEIN LAMTOR1', NULL, NULL, NULL, 15),
(189794, NULL, 'PTHR24023:SF1021', NULL, NULL, NULL, NULL, 'MACROPHAGE RECEPTOR WITH COLLAGENOUS STRUCTURE', NULL, NULL, NULL, 15),
(189795, NULL, 'PTHR43880:SF31', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE 7', NULL, NULL, NULL, 15),
(189796, NULL, 'PTHR46978:SF2', NULL, NULL, NULL, NULL, 'ZINC KNUCKLE (CCHC-TYPE) FAMILY PROTEIN ISOFORM 1', NULL, NULL, NULL, 15),
(189797, NULL, 'PTHR12345:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189798, NULL, 'PTHR34362:SF7', NULL, NULL, NULL, NULL, 'MFP1 ATTACHMENT FACTOR 1', NULL, NULL, NULL, 15),
(189799, NULL, 'PTHR43347:SF3', NULL, NULL, NULL, NULL, 'ACYL-COA SYNTHETASE SHORT-CHAIN FAMILY MEMBER 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(189800, NULL, 'PTHR11715:SF27', NULL, NULL, NULL, NULL, 'GLYCINE CLEAVAGE SYSTEM H PROTEIN 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(189801, NULL, 'PTHR31257:SF19', NULL, NULL, NULL, NULL, 'OS01G0104400 PROTEIN', NULL, NULL, NULL, 15),
(189802, NULL, 'PTHR45975', NULL, NULL, NULL, NULL, 'NUCLEOSOME-REMODELING FACTOR SUBUNIT BPTF', NULL, NULL, 35504, 15),
(189803, NULL, 'PTHR12911:SF23', NULL, NULL, NULL, NULL, 'SUN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, 14776, 15),
(189804, NULL, 'PTHR11206:SF265', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(189805, NULL, 'PTHR11036:SF17', NULL, NULL, NULL, NULL, 'SEMAPHORIN-4G', NULL, NULL, NULL, 15),
(189806, NULL, 'PTHR43434:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCOLATE PHOSPHATASE', NULL, NULL, NULL, 15),
(189807, NULL, 'PTHR33714:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189808, NULL, 'PTHR48041:SF87', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 12-RELATED', NULL, NULL, NULL, 15),
(189809, NULL, 'PTHR44699:SF1', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN SUPERFAMILY MEMBER 11', NULL, NULL, NULL, 15),
(189810, NULL, 'PTHR10804:SF134', NULL, NULL, NULL, NULL, 'PROLIFERATION-ASSOCIATED 2G4-LIKE PROTEIN', NULL, NULL, NULL, 15),
(189811, NULL, 'PTHR31828:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-II 3', NULL, NULL, NULL, 15),
(189812, NULL, 'PTHR12121:SF11', NULL, NULL, NULL, NULL, 'RNA EXONUCLEASE NGL1', NULL, NULL, NULL, 15),
(189813, NULL, 'PTHR15565:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189814, NULL, 'PTHR48047:SF86', NULL, NULL, NULL, NULL, '7-DEOXYLOGANETIN GLUCOSYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(189815, NULL, 'PTHR32208:SF75', NULL, NULL, NULL, NULL, 'GALACTOSE OXIDASE/KELCH, BETA-PROPELLER-RELATED', NULL, NULL, NULL, 15),
(189816, NULL, 'PTHR35682:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 252', NULL, NULL, NULL, 15),
(189817, NULL, 'PTHR23428:SF206', NULL, NULL, NULL, NULL, 'HISTONE H2B.5', NULL, NULL, NULL, 15),
(189818, NULL, 'PTHR33326:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189819, NULL, 'PTHR12400', NULL, NULL, NULL, NULL, 'INOSITOL POLYPHOSPHATE KINASE', NULL, NULL, 1946, 15),
(189820, NULL, 'PTHR32410:SF168', NULL, NULL, NULL, NULL, 'CHP-RICH ZINC FINGER PROTEIN-LIKE-RELATED', NULL, NULL, NULL, 15),
(189821, NULL, 'PTHR12192:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE-SPECIFIC GAMMA-GLUTAMYLCYCLOTRANSFERASE 1', NULL, NULL, NULL, 15),
(189822, NULL, 'PTHR16716:SF0', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7B, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(189823, NULL, 'PTHR36038', NULL, NULL, NULL, NULL, 'OS06G0102750 PROTEIN', NULL, NULL, NULL, 15),
(189824, NULL, 'PTHR23213:SF338', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN 6', NULL, NULL, NULL, 15),
(189825, NULL, 'PTHR31430:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG13848', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189826, NULL, 'PTHR11661:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L12', NULL, NULL, NULL, 15),
(189827, NULL, 'PTHR31985', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF042-RELATED', NULL, NULL, NULL, 15),
(189828, NULL, 'PTHR37011:SF1', NULL, NULL, NULL, NULL, 'POT FAMILY PEPTIDE TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189829, NULL, 'PTHR27001:SF847', NULL, NULL, NULL, NULL, 'DUAL-SPECIFICITY KINASE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(189830, NULL, 'PTHR31929:SF57', NULL, NULL, NULL, NULL, 'SAUR-LIKE AUXIN-RESPONSIVE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189831, NULL, 'PTHR47040:SF2', NULL, NULL, NULL, NULL, 'PEPTIDASE S24/S26A/S26B/S26C FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189832, NULL, 'PTHR12424:SF8', NULL, NULL, NULL, NULL, 'PROTEIN TWEETY', NULL, NULL, NULL, 15),
(189833, NULL, 'PTHR23382:SF26', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(189834, NULL, 'PTHR13501:SF11', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L22/L17-RELATED', NULL, NULL, NULL, 15),
(189835, NULL, 'PTHR28055', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 41, MITOCHONDRIAL', NULL, NULL, 16053, 15),
(189836, NULL, 'PTHR33675:SF3', NULL, NULL, NULL, NULL, 'HOLOCARBOXYLASE SYNTHETASE', NULL, NULL, NULL, 15),
(189837, NULL, 'PTHR33312:SF28', NULL, NULL, NULL, NULL, 'BNAA09G04310D PROTEIN', NULL, NULL, NULL, 15),
(189838, NULL, 'PTHR36168:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189839, NULL, 'PTHR31218:SF259', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(189840, NULL, 'PTHR11528:SF81', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN HSP 90-BETA-3-RELATED', NULL, NULL, NULL, 15),
(189841, NULL, 'PTHR47731:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN D', NULL, NULL, NULL, 15),
(189842, NULL, 'PTHR31529:SF46', NULL, NULL, NULL, NULL, 'BNAA03G19820D PROTEIN', NULL, NULL, NULL, 15),
(189843, NULL, 'PTHR24282:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189844, NULL, 'PTHR47488:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189845, NULL, 'PTHR24224:SF13', NULL, NULL, NULL, NULL, 'PROTEIN CBG23398', NULL, NULL, NULL, 15),
(189846, NULL, 'PTHR31500:SF51', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN 10-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(189847, NULL, 'PTHR36835:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME BO(3) UBIQUINOL OXIDASE SUBUNIT 4', NULL, NULL, NULL, 15),
(189848, NULL, 'PTHR13533:SF39', NULL, NULL, NULL, NULL, 'O-ACETYLTRANSFERASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189849, NULL, 'PTHR11743:SF56', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN OF 34 KDA', NULL, NULL, NULL, 15),
(189850, NULL, 'PTHR10168:SF273', NULL, NULL, NULL, NULL, 'BNAA05G11910D PROTEIN', NULL, NULL, NULL, 15),
(189851, NULL, 'PTHR13806:SF23', NULL, NULL, NULL, NULL, 'FLOTILLIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(189852, NULL, 'PTHR33228:SF47', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 6-LIKE', NULL, NULL, NULL, 15),
(189853, NULL, 'PTHR14000:SF26', NULL, NULL, NULL, NULL, 'BNAC01G39810D PROTEIN', NULL, NULL, NULL, 15),
(189854, NULL, 'PTHR31953:SF1', NULL, NULL, NULL, NULL, 'BETA-FRUCTOFURANOSIDASE, INSOLUBLE ISOENZYME CWINV1-RELATED', NULL, NULL, NULL, 15),
(189855, NULL, 'PTHR12320:SF61', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(189856, NULL, 'PTHR34686', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST PROTEIN', NULL, NULL, NULL, 15),
(189857, NULL, 'PTHR45680:SF28', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY-RELATED', NULL, NULL, NULL, 15),
(189858, NULL, 'PTHR43539:SF63', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(189859, NULL, 'PTHR35201:SF4', NULL, NULL, NULL, NULL, 'TERPENE SYNTHASE', NULL, NULL, NULL, 15),
(189860, NULL, 'PTHR15664:SF12', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(189861, NULL, 'PTHR32100:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189862, NULL, 'PTHR16784', NULL, NULL, NULL, NULL, 'ENAMELIN', NULL, NULL, 18414, 15),
(189863, NULL, 'PTHR31916:SF49', NULL, NULL, NULL, NULL, 'ALKALINE/NEUTRAL INVERTASE C, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(189864, NULL, 'PTHR24115:SF338', NULL, NULL, NULL, NULL, 'KINESIN HEAVY CHAIN 73, ISOFORM E', NULL, NULL, NULL, 15),
(189865, NULL, 'PTHR20963:SF44', NULL, NULL, NULL, NULL, 'MULTIPLE INOSITOL POLYPHOSPHATE PHOSPHATASE 1-LIKE', NULL, NULL, NULL, 15),
(189866, NULL, 'PTHR11895:SF150', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA(GLN) AMIDOTRANSFERASE SUBUNIT A-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(189867, NULL, 'PTHR13903:SF27', NULL, NULL, NULL, NULL, 'BNAA05G34480D PROTEIN', NULL, NULL, NULL, 15),
(189868, NULL, 'PTHR16188:SF6', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 14C', NULL, NULL, NULL, 15),
(189869, NULL, 'PTHR12677:SF55', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE LIKE PROTEIN', NULL, NULL, NULL, 15),
(189870, NULL, 'PTHR32295:SF112', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', NULL, NULL, NULL, 15),
(189871, NULL, 'PTHR31756:SF7', NULL, NULL, NULL, NULL, 'BNAA05G34010D PROTEIN', NULL, NULL, NULL, 15),
(189872, NULL, 'PTHR34294:SF10', NULL, NULL, NULL, NULL, 'BLR3219 PROTEIN', NULL, NULL, NULL, 15),
(189873, NULL, 'PTHR31549:SF119', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189874, NULL, 'PTHR13445:SF3', NULL, NULL, NULL, NULL, 'PROTEIN TSSC4', NULL, NULL, NULL, 15),
(189875, NULL, 'PTHR31692:SF56', NULL, NULL, NULL, NULL, 'EXPANSIN-B2-RELATED', NULL, NULL, NULL, 15),
(189876, NULL, 'PTHR23501:SF176', NULL, NULL, NULL, NULL, 'VACUOLAR BASIC AMINO ACID TRANSPORTER 4', NULL, NULL, NULL, 15),
(189877, NULL, 'PTHR42840:SF8', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE-RELATED', NULL, NULL, NULL, 15),
(189878, NULL, 'PTHR24222:SF64', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 26, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(189879, NULL, 'PTHR32481:SF9', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(189880, NULL, 'PTHR33398:SF4', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S20, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(189881, NULL, 'PTHR10442:SF13', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S21', NULL, NULL, NULL, 15),
(189882, NULL, 'PTHR32141:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189883, NULL, 'PTHR45776:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR EB', NULL, NULL, 19466, 15),
(189884, NULL, 'PTHR47990:SF118', NULL, NULL, NULL, NULL, 'INACTIVE FLAVONOL SYNTHASE 2-RELATED', NULL, NULL, NULL, 15),
(189885, NULL, 'PTHR11679:SF81', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPORT SEC1B-RELATED', NULL, NULL, NULL, 15),
(189886, NULL, 'PTHR31194:SF131', NULL, NULL, NULL, NULL, 'BNAA02G13950D PROTEIN', NULL, NULL, NULL, 15),
(189887, NULL, 'PTHR45870:SF1', NULL, NULL, NULL, NULL, 'TUBULIN MONOGLYCYLASE TTLL3', NULL, NULL, 26251, 15),
(189888, NULL, 'PTHR11265:SF1', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE-LIKE PROTEIN 15-RELATED', NULL, NULL, NULL, 15),
(189889, NULL, 'PTHR13479:SF40', NULL, NULL, NULL, NULL, '28S RIBOSOMAL PROTEIN S18C, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(189890, NULL, 'PTHR34591:SF13', NULL, NULL, NULL, NULL, 'OS03G0653100 PROTEIN', NULL, NULL, NULL, 15),
(189891, NULL, 'PTHR12403:SF1', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 2-RELATED', NULL, NULL, NULL, 15),
(189892, NULL, 'PTHR12475:SF10', NULL, NULL, NULL, NULL, 'PROTEIN THEM6', NULL, NULL, NULL, 15),
(189893, NULL, 'PTHR24399:SF28', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING PROTEIN 25', NULL, NULL, NULL, 15),
(189894, NULL, 'PTHR47331:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189895, NULL, 'PTHR27003:SF293', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189896, NULL, 'PTHR43120:SF6', NULL, NULL, NULL, NULL, 'GLUTAMYL-TRNA REDUCTASE 3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(189897, NULL, 'PTHR35511:SF2', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR-LIKE PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189898, NULL, 'PTHR36754:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE TRIM37', NULL, NULL, NULL, 15),
(189899, NULL, 'PTHR14119:SF4', NULL, NULL, NULL, NULL, 'ISOCHORISMATASE DOMAIN-CONTAINING PROTEIN 2A', NULL, NULL, 33617, 15),
(189900, NULL, 'PTHR35734', NULL, NULL, NULL, NULL, 'OS01G0805200 PROTEIN', NULL, NULL, 18688, 15),
(189901, NULL, 'PTHR16057:SF1', NULL, NULL, NULL, NULL, 'PROTEIN LINES HOMOLOG 1', NULL, NULL, NULL, 15),
(189902, NULL, 'PTHR48060:SF8', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189903, NULL, 'PTHR11206:SF310', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(189904, NULL, 'PTHR33429:SF7', NULL, NULL, NULL, NULL, 'OS02G0708000 PROTEIN', NULL, NULL, NULL, 15),
(189905, NULL, 'PTHR21068:SF32', NULL, NULL, NULL, NULL, 'SENESCENCE/SPARTIN-ASSOCIATED-RELATED', NULL, NULL, NULL, 15),
(189906, NULL, 'PTHR11820:SF109', NULL, NULL, NULL, NULL, 'BNAC03G73960D PROTEIN', NULL, NULL, NULL, 15),
(189907, NULL, 'PTHR21640:SF1', NULL, NULL, NULL, NULL, 'NESPRIN-4', NULL, NULL, NULL, 15),
(189908, NULL, 'PTHR11008:SF18', NULL, NULL, NULL, NULL, 'BCDNA.GH05536-RELATED', NULL, NULL, NULL, 15),
(189909, NULL, 'PTHR19143:SF327', NULL, NULL, NULL, NULL, 'ZGC:194887', NULL, NULL, NULL, 15),
(189910, NULL, 'PTHR23257:SF700', NULL, NULL, NULL, NULL, 'FI16976P1-RELATED', NULL, NULL, NULL, 15),
(189911, NULL, 'PTHR10179:SF82', NULL, NULL, NULL, NULL, 'C-X-C MOTIF CHEMOKINE 3', NULL, NULL, NULL, 15),
(189912, NULL, 'PTHR23521:SF2', NULL, NULL, NULL, NULL, 'TRANSPORTER MFS SUPERFAMILY', NULL, NULL, NULL, 15),
(189913, NULL, 'PTHR30540:SF17', NULL, NULL, NULL, NULL, 'POTASSIUM TRANSPORTER 24', NULL, NULL, NULL, 15),
(189914, NULL, 'PTHR31731:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189915, NULL, 'PTHR31734:SF160', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(189916, NULL, 'PTHR14326:SF9', NULL, NULL, NULL, NULL, 'PROTEIN TPX2-RELATED', NULL, NULL, NULL, 15),
(189917, NULL, 'PTHR34112:SF11', NULL, NULL, NULL, NULL, 'MUCIN-17-LIKE', NULL, NULL, NULL, 15),
(189918, NULL, 'PTHR31985:SF188', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF016', NULL, NULL, NULL, 15),
(189919, NULL, 'PTHR11945:SF589', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE 58-RELATED', NULL, NULL, NULL, 15),
(189920, NULL, 'PTHR31282:SF74', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 30-RELATED', NULL, NULL, NULL, 15),
(189921, NULL, 'PTHR31218:SF276', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(189922, NULL, 'PTHR15180:SF1', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR 3C POLYPEPTIDE 1', NULL, NULL, NULL, 15),
(189923, NULL, 'PTHR35101:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189924, NULL, 'PTHR33085:SF32', NULL, NULL, NULL, NULL, 'OS03G0236675 PROTEIN', NULL, NULL, NULL, 15),
(189925, NULL, 'PTHR11749:SF3', NULL, NULL, NULL, NULL, 'RIBULOSE-PHOSPHATE 3-EPIMERASE', NULL, NULL, NULL, 15),
(189926, NULL, 'PTHR43386:SF13', NULL, NULL, NULL, NULL, 'TRANSPORT SYSTEM INTEGRAL MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189927, NULL, 'PTHR33479:SF16', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189928, NULL, 'PTHR35253:SF1', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 152', NULL, NULL, NULL, 15),
(189929, NULL, 'PTHR31089:SF40', NULL, NULL, NULL, NULL, 'BNAC04G31720D PROTEIN', NULL, NULL, NULL, 15),
(189930, NULL, 'PTHR31027:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR SEGREGATION PROTEIN BFR1', NULL, NULL, NULL, 15),
(189931, NULL, 'PTHR21687:SF6', NULL, NULL, NULL, NULL, 'PLASMALEMMA VESICLE-ASSOCIATED PROTEIN B', NULL, NULL, NULL, 15),
(189932, NULL, 'PTHR35022:SF17', NULL, NULL, NULL, NULL, 'EXTENSIN-3-LIKE', NULL, NULL, NULL, 15),
(189933, NULL, 'PTHR11178:SF39', NULL, NULL, NULL, NULL, 'FIXATION PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(189934, NULL, 'PTHR31344:SF19', NULL, NULL, NULL, NULL, 'BNAA02G36730D PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189935, NULL, 'PTHR33689:SF1', NULL, NULL, NULL, NULL, 'FAS-BINDING FACTOR 1', NULL, NULL, NULL, 15),
(189936, NULL, 'PTHR11945:SF229', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL29', NULL, NULL, NULL, 15),
(189937, NULL, 'PTHR15349', NULL, NULL, NULL, NULL, 'ENDOTHELIAL PROTEIN C RECEPTOR', NULL, NULL, 18202, 15),
(189938, NULL, 'PTHR10263:SF5', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 16 KDA PROTEOLIPID SUBUNIT', NULL, NULL, NULL, 15),
(189939, NULL, 'PTHR31852:SF185', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN-RELATED-LIKE', NULL, NULL, NULL, 15),
(189940, NULL, 'PTHR10500:SF5', NULL, NULL, NULL, NULL, 'SI:CH211-69E13.6', NULL, NULL, NULL, 15),
(189941, NULL, 'PTHR46881', NULL, NULL, NULL, NULL, 'PALMDELPHIN', NULL, NULL, NULL, 15),
(189942, NULL, 'PTHR24216:SF62', NULL, NULL, NULL, NULL, 'LIM DOMAIN-CONTAINING PROTEIN DDB_G0271356', NULL, NULL, NULL, 15),
(189943, NULL, 'PTHR13994:SF7', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189944, NULL, 'PTHR24020:SF67', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189945, NULL, 'PTHR10210:SF89', NULL, NULL, NULL, NULL, 'RIBOSE-PHOSPHATE PYROPHOSPHOKINASE C', NULL, NULL, NULL, 15),
(189946, NULL, 'PTHR43313:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189947, NULL, 'PTHR18898:SF2', NULL, NULL, NULL, NULL, 'NUCLEOPROTEIN TPR', NULL, NULL, NULL, 15),
(189948, NULL, 'PTHR24243:SF213', NULL, NULL, NULL, NULL, 'NMUR (NEUROMEDIN U RECEPTOR) HOMOLOG', NULL, NULL, NULL, 15),
(189949, NULL, 'PTHR24068:SF159', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 VARIANT 3', NULL, NULL, NULL, 15),
(189950, NULL, 'PTHR45690:SF13', NULL, NULL, NULL, NULL, 'NACHT, LRR AND PYD DOMAINS-CONTAINING PROTEIN 9', NULL, NULL, NULL, 15),
(189951, NULL, 'PTHR45632:SF11', NULL, NULL, NULL, NULL, 'KELCH-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(189952, NULL, 'PTHR11533:SF156', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM AMINOPEPTIDASE 1', NULL, NULL, 33144, 15),
(189953, NULL, 'PTHR45693:SF56', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TGA2-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(189954, NULL, 'PTHR23526', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE TRANSPORT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(189955, NULL, 'PTHR27003:SF310', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE FERONIA', NULL, NULL, NULL, 15),
(189956, NULL, 'PTHR31978', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 20 HOMOLOG', NULL, NULL, 25667, 15),
(189957, NULL, 'PTHR43806:SF35', NULL, NULL, NULL, NULL, 'SERINE PROTEINASE 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(189958, NULL, 'PTHR24072:SF120', NULL, NULL, NULL, NULL, 'RHO-RELATED BTB DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(189959, NULL, 'PTHR32266:SF25', NULL, NULL, NULL, NULL, 'NICOTIANAMINE SYNTHASE 4-RELATED', NULL, NULL, NULL, 15),
(189960, NULL, 'PTHR31639:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189961, NULL, 'PTHR24147:SF53', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN 36-RELATED', NULL, NULL, NULL, 15),
(189962, NULL, 'PTHR45752:SF114', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT (LRR) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(189963, NULL, 'PTHR11260:SF515', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189964, NULL, 'PTHR14897:SF10', NULL, NULL, NULL, NULL, 'WD REPEAT AND COILED-COIL-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(189965, NULL, 'PTHR13683:SF810', NULL, NULL, NULL, NULL, 'ASPARTIC PEPTIDASE A1 FAMILY-RELATED', NULL, NULL, NULL, 15),
(189966, NULL, 'PTHR10252:SF116', NULL, NULL, NULL, NULL, 'BNAA06G16420D PROTEIN', NULL, NULL, NULL, 15),
(189967, NULL, 'PTHR36366', NULL, NULL, NULL, NULL, 'PROTEIN RDM1', NULL, NULL, 12923, 15),
(189968, NULL, 'PTHR45966:SF1', NULL, NULL, NULL, NULL, 'F15I1.5-RELATED', NULL, NULL, NULL, 15),
(189969, NULL, 'PTHR33676:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189970, NULL, 'PTHR31752:SF54', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT 4', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(189971, NULL, 'PTHR31326', NULL, NULL, NULL, NULL, 'PROTEIN CLT2, CHLOROPLASTIC', NULL, NULL, 14151, 15),
(189972, NULL, 'PTHR28286:SF2', NULL, NULL, NULL, NULL, 'BACTERIORHODOPSIN /OPSIN, NOPA (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(189973, NULL, 'PTHR47291', NULL, NULL, NULL, NULL, 'PEPTIDE UPSTREAM PROTEIN', NULL, NULL, NULL, 15),
(189974, NULL, 'PTHR42893:SF39', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(189975, NULL, 'PTHR39399', NULL, NULL, NULL, NULL, 'PROTEIN ZPS1', NULL, NULL, 30378, 15),
(189976, NULL, 'PTHR13678:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189977, NULL, 'PTHR46151:SF12', NULL, NULL, NULL, NULL, 'RING/U-BOX SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(189978, NULL, 'PTHR31683:SF81', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(189979, NULL, 'PTHR34156:SF11', NULL, NULL, NULL, NULL, 'LIPOPROTEIN BSMA', NULL, NULL, NULL, 15),
(189980, NULL, 'PTHR12272', NULL, NULL, NULL, NULL, 'DEADENYLATION COMPLEX SUBUNIT PAN3', NULL, NULL, 22508, 15),
(189981, NULL, 'PTHR21646:SF35', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASES FAMILY 2', NULL, NULL, NULL, 15),
(189982, NULL, 'PTHR35509:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189983, NULL, 'PTHR34963:SF4', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II REACTION CENTER PSB28 PROTEIN', NULL, NULL, NULL, 15),
(189984, NULL, 'PTHR17125:SF2', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 1', NULL, NULL, NULL, 15),
(189985, NULL, 'PTHR33800:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189986, NULL, 'PTHR43047:SF44', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(189987, NULL, 'PTHR11588:SF55', NULL, NULL, NULL, NULL, 'TUBULIN BETA-8 CHAIN', NULL, NULL, NULL, 15),
(189988, NULL, 'PTHR46675:SF1', NULL, NULL, NULL, NULL, 'ZGC:165481', NULL, NULL, NULL, 15),
(189989, NULL, 'PTHR14136:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189990, NULL, 'PTHR24242:SF354', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(189991, NULL, 'PTHR12080:SF92', NULL, NULL, NULL, NULL, 'SLAM FAMILY MEMBER 8', NULL, NULL, NULL, 15),
(189992, NULL, 'PTHR14030:SF15', NULL, NULL, NULL, NULL, 'MITOTIC CHECKPOINT SERINE/THREONINE-PROTEIN KINASE BUB1 BETA', NULL, NULL, NULL, 15),
(189993, NULL, 'PTHR35294:SF1', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED/TRANSLATION ELONGATION FACTOR EF1B PROTEIN', NULL, NULL, NULL, 15),
(189994, NULL, 'PTHR10957', NULL, NULL, NULL, NULL, 'RAP1 GTPASE-GDP DISSOCIATION STIMULATOR 1', NULL, NULL, 32812, 15),
(189995, NULL, 'PTHR34538:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189996, NULL, 'PTHR46386:SF6', NULL, NULL, NULL, NULL, 'NUCLEAR BODY PROTEIN SP140-LIKE PROTEIN', NULL, NULL, 26578, 15),
(189997, NULL, 'PTHR31008:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(189998, NULL, 'PTHR11863:SF151', NULL, NULL, NULL, NULL, 'PROTEIN ECERIFERUM 1-LIKE', NULL, NULL, NULL, 15),
(189999, NULL, 'PTHR48004:SF17', NULL, NULL, NULL, NULL, 'OS01G0149700 PROTEIN', NULL, NULL, NULL, 15),
(190000, NULL, 'PTHR43243:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190001, NULL, 'PTHR22765:SF286', NULL, NULL, NULL, NULL, 'OS11G0582100 PROTEIN', NULL, NULL, NULL, 15),
(190002, NULL, 'PTHR44329:SF22', NULL, NULL, NULL, NULL, 'RAF PROTO-ONCOGENE SERINE/THREONINE-PROTEIN KINASE', NULL, NULL, NULL, 15),
(190003, NULL, 'PTHR43795:SF40', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE SYNTHASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(190004, NULL, 'PTHR31221:SF195', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 81', NULL, NULL, NULL, 15),
(190005, NULL, 'PTHR48055', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR PROTEIN KINASE EMS1', NULL, NULL, NULL, 15),
(190006, NULL, 'PTHR42840:SF10', NULL, NULL, NULL, NULL, 'BINDING ROSSMANN FOLD OXIDOREDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190007, NULL, 'PTHR11952:SF4', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLHEXOSAMINE PYROPHOSPHORYLASE', NULL, NULL, NULL, 15),
(190008, NULL, 'PTHR46054', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT PROTEIN STAUFEN', NULL, NULL, NULL, 15),
(190009, NULL, 'PTHR46038:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190010, NULL, 'PTHR12652:SF23', NULL, NULL, NULL, NULL, 'MICROBODY (PEROXISOME) PROLIFERATION PROTEIN PEROXIN 11B (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(190011, NULL, 'PTHR12391:SF3', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 2/3 COMPLEX SUBUNIT 3', NULL, NULL, NULL, 15),
(190012, NULL, 'PTHR10108:SF1138', NULL, NULL, NULL, NULL, 'BNAA08G27890D PROTEIN', NULL, NULL, NULL, 15),
(190013, NULL, 'PTHR24303:SF32', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 513C1-RELATED', NULL, NULL, NULL, 15),
(190014, NULL, 'PTHR24394:SF22', NULL, NULL, NULL, NULL, 'HYPERMETHYLATED IN CANCER 2 PROTEIN', NULL, NULL, NULL, 15),
(190015, NULL, 'PTHR15464', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR 19', NULL, NULL, 36903, 15),
(190016, NULL, 'PTHR32227:SF333', NULL, NULL, NULL, NULL, 'BNAC08G26260D PROTEIN', NULL, NULL, NULL, 15),
(190017, NULL, 'PTHR31471:SF47', NULL, NULL, NULL, NULL, 'REMORIN 4.1', NULL, NULL, NULL, 15),
(190018, NULL, 'PTHR45649:SF8', NULL, NULL, NULL, NULL, 'PERMEASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190019, NULL, 'PTHR39427:SF1', NULL, NULL, NULL, NULL, 'PTS SYSTEM GLUCITOL/SORBITOL-SPECIFIC EIIB COMPONENT', NULL, NULL, NULL, 15),
(190020, NULL, 'PTHR23201:SF75', NULL, NULL, NULL, NULL, 'SNAKIN-2-LIKE', NULL, NULL, NULL, 15),
(190021, NULL, 'PTHR14224:SF94', NULL, NULL, NULL, NULL, 'RIKEN CDNA A430089I19 GENE-RELATED', NULL, NULL, NULL, 15),
(190022, NULL, 'PTHR39232', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 50', NULL, NULL, 33037, 15),
(190023, NULL, 'PTHR31282:SF110', NULL, NULL, NULL, NULL, 'WRKY DNA-BINDING TRANSCRIPTION FACTOR 70', NULL, NULL, NULL, 15),
(190024, NULL, 'PTHR47678', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 31', NULL, NULL, NULL, 15),
(190025, NULL, 'PTHR31429:SF71', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(190026, NULL, 'PTHR27002:SF609', NULL, NULL, NULL, NULL, 'LECTIN PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190027, NULL, 'PTHR31506:SF28', NULL, NULL, NULL, NULL, 'BZR1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190028, NULL, 'PTHR13117', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM MULTISPAN TRANSMEMBRANE PROTEIN-RELATED', NULL, NULL, 2782, 15),
(190029, NULL, 'PTHR24414:SF108', NULL, NULL, NULL, NULL, 'BNAA01G36490D PROTEIN', NULL, NULL, NULL, 15),
(190030, NULL, 'PTHR24353:SF117', NULL, NULL, NULL, NULL, 'UT01108P-RELATED', NULL, NULL, NULL, 15),
(190031, NULL, 'PTHR24071:SF0', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN', NULL, NULL, NULL, 15),
(190032, NULL, 'PTHR48007:SF40', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 4', NULL, NULL, NULL, 15),
(190033, NULL, 'PTHR30177', NULL, NULL, NULL, NULL, 'GLYCINE BETAINE/L-PROLINE TRANSPORT SYSTEM PERMEASE PROTEIN PROW', NULL, NULL, NULL, 15),
(190034, NULL, 'PTHR15629:SF8', NULL, NULL, NULL, NULL, 'DUF500 DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G07310)', NULL, NULL, NULL, 15),
(190035, NULL, 'PTHR10504:SF137', NULL, NULL, NULL, NULL, 'PROTEIN CBG03384', NULL, NULL, NULL, 15),
(190036, NULL, 'PTHR10188:SF35', NULL, NULL, NULL, NULL, 'SI:DKEY-103J14.5', NULL, NULL, NULL, 15),
(190037, NULL, 'PTHR13636:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 258-LIKE', NULL, NULL, NULL, 15),
(190038, NULL, 'PTHR33702:SF4', NULL, NULL, NULL, NULL, 'OS01G0644900 PROTEIN', NULL, NULL, NULL, 15),
(190039, NULL, 'PTHR10857:SF22', NULL, NULL, NULL, NULL, 'COPINE-3', NULL, NULL, NULL, 15),
(190040, NULL, 'PTHR11062:SF200', NULL, NULL, NULL, NULL, 'BETA-1,4-XYLOSYLTRANSFERASE IRX10L-RELATED', NULL, NULL, NULL, 15),
(190041, NULL, 'PTHR45819:SF2', NULL, NULL, NULL, NULL, 'ARF-GAP WITH GTPASE, ANK REPEAT AND PH DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(190042, NULL, 'PTHR34291:SF15', NULL, NULL, NULL, NULL, 'BNAA09G07150D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190043, NULL, 'PTHR24139', NULL, NULL, NULL, NULL, 'CALCIUM-INDEPENDENT PHOSPHOLIPASE A2', NULL, NULL, NULL, 15),
(190044, NULL, 'PTHR11722:SF0', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L13', NULL, NULL, NULL, 15),
(190045, NULL, 'PTHR33968:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PET100 HOMOLOG, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(190046, NULL, 'PTHR30386:SF17', NULL, NULL, NULL, NULL, 'ALKALINE PROTEASE SECRETION PROTEIN APRE', NULL, NULL, NULL, 15),
(190047, NULL, 'PTHR12191:SF2', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER ZIP8', NULL, NULL, NULL, 15),
(190048, NULL, 'PTHR21736:SF37', NULL, NULL, NULL, NULL, 'PROTEIN OBERON 2', NULL, NULL, NULL, 15),
(190049, NULL, 'PTHR12708:SF0', NULL, NULL, NULL, NULL, 'DNA POLYMERASE EPSILON SUBUNIT 2', NULL, NULL, NULL, 15),
(190050, NULL, 'PTHR13208', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 4', NULL, NULL, 20029, 15),
(190051, NULL, 'PTHR33091:SF34', NULL, NULL, NULL, NULL, 'PROTEINASE INHIBITOR I-B', NULL, NULL, NULL, 15),
(190052, NULL, 'PTHR47998:SF22', NULL, NULL, NULL, NULL, 'AND CPC, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190053, NULL, 'PTHR46192:SF8', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE-LIKE PROTEIN AT74', NULL, NULL, NULL, 15),
(190054, NULL, 'PTHR43854', NULL, NULL, NULL, NULL, 'INDOLEPYRUVATE OXIDOREDUCTASE SUBUNIT IORB', NULL, NULL, NULL, 15),
(190055, NULL, 'PTHR45763:SF15', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(190056, NULL, 'PTHR23244:SF454', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190057, NULL, 'PTHR31044:SF100', NULL, NULL, NULL, NULL, 'BNAC02G42010D PROTEIN', NULL, NULL, NULL, 15),
(190058, NULL, 'PTHR31828:SF15', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1', NULL, NULL, NULL, 15),
(190059, NULL, 'PTHR11014:SF150', NULL, NULL, NULL, NULL, 'IAA-AMINO ACID HYDROLASE ILR1', NULL, NULL, NULL, 15),
(190060, NULL, 'PTHR14155:SF263', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ATL6', NULL, NULL, NULL, 15),
(190061, NULL, 'PTHR30457:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190062, NULL, 'PTHR11081:SF55', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE 1', NULL, NULL, NULL, 15),
(190063, NULL, 'PTHR38682', NULL, NULL, NULL, NULL, 'V-TYPE ATP SYNTHASE SUBUNIT C', NULL, NULL, NULL, 15),
(190064, NULL, 'PTHR31404', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL GENOME MAINTENANCE PROTEIN MGM101', NULL, NULL, 8178, 15),
(190065, NULL, 'PTHR31636:SF248', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(190066, NULL, 'PTHR13270:SF11', NULL, NULL, NULL, NULL, 'SEX DETERMINATION AND DOSAGE COMPENSATION PROTEIN SDC-2', NULL, NULL, NULL, 15),
(190067, NULL, 'PTHR47487:SF3', NULL, NULL, NULL, NULL, 'GLUTENIN, HIGH MOLECULAR WEIGHT SUBUNIT 12-LIKE', NULL, NULL, NULL, 15),
(190068, NULL, 'PTHR42760:SF5', NULL, NULL, NULL, NULL, 'SORBOSE REDUCTASE SOU1', NULL, NULL, NULL, 15),
(190069, NULL, 'PTHR34936:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190070, NULL, 'PTHR23201:SF109', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 6', NULL, NULL, NULL, 15),
(190071, NULL, 'PTHR23155:SF1108', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(190072, NULL, 'PTHR18868:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190073, NULL, 'PTHR33165:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190074, NULL, 'PTHR33044', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL INHIBITOR/LIPID-TRANSFER PROTEIN/SEED STORAGE 2S ALBUMIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, 36934, 15),
(190075, NULL, 'PTHR28158', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN S35, MITOCHONDRIAL', NULL, NULL, 15353, 15),
(190076, NULL, 'PTHR33146:SF16', NULL, NULL, NULL, NULL, 'ENDONUCLEASE 3', NULL, NULL, NULL, 15),
(190077, NULL, 'PTHR32166:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190078, NULL, 'PTHR31415:SF89', NULL, NULL, NULL, NULL, 'PROTEIN NDR1-LIKE', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190079, NULL, 'PTHR31251:SF95', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 10-RELATED', NULL, NULL, NULL, 15),
(190080, NULL, 'PTHR24060:SF143', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, METABOTROPIC 2B', NULL, NULL, NULL, 15),
(190081, NULL, 'PTHR12268:SF24', NULL, NULL, NULL, NULL, 'UTROPHIN', NULL, NULL, NULL, 15),
(190082, NULL, 'PTHR24073:SF852', NULL, NULL, NULL, NULL, 'RAB5B, MEMBER RAS ONCOGENE FAMILY', NULL, NULL, NULL, 15),
(190083, NULL, 'PTHR24023:SF910', NULL, NULL, NULL, NULL, 'COLLECTIN-12', NULL, NULL, NULL, 15),
(190084, NULL, 'PTHR30532:SF2', NULL, NULL, NULL, NULL, 'FERRIENTEROBACTIN-BINDING PERIPLASMIC PROTEIN', NULL, NULL, NULL, 15),
(190085, NULL, 'PTHR33175', NULL, NULL, NULL, NULL, 'DNA-BINDING PROTEIN HU', NULL, NULL, 1992, 15),
(190086, NULL, 'PTHR32077:SF33', NULL, NULL, NULL, NULL, 'OS05G0563550 PROTEIN', NULL, NULL, NULL, 15),
(190087, NULL, 'PTHR23333:SF16', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 2A', NULL, NULL, NULL, 15),
(190088, NULL, 'PTHR38329:SF1', NULL, NULL, NULL, NULL, 'CECROPIN-A1-RELATED', NULL, NULL, NULL, 15),
(190089, NULL, 'PTHR18953:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190090, NULL, 'PTHR46547:SF17', NULL, NULL, NULL, NULL, 'BNACNNG44070D PROTEIN', NULL, NULL, NULL, 15),
(190091, NULL, 'PTHR31352:SF39', NULL, NULL, NULL, NULL, 'BETA-AMYLASE', NULL, NULL, NULL, 15),
(190092, NULL, 'PTHR43866:SF6', NULL, NULL, NULL, NULL, 'METHYLMALONATE-SEMIALDEHYDE DEHYDROGENASE [ACYLATING], MITOCHONDRIAL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(190093, NULL, 'PTHR45908', NULL, NULL, NULL, NULL, 'PROTEIN CBG11750-RELATED', NULL, NULL, NULL, 15),
(190094, NULL, 'PTHR13455', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REPRESSOR P66-RELATED', NULL, NULL, 30541, 15),
(190095, NULL, 'PTHR34467:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190096, NULL, 'PTHR35111:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(190097, NULL, 'PTHR10811:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190098, NULL, 'PTHR11332:SF5', NULL, NULL, NULL, NULL, 'SECRETOGLOBIN FAMILY 1D MEMBER 1', NULL, NULL, NULL, 15),
(190099, NULL, 'PTHR15535:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190100, NULL, 'PTHR40943:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190101, NULL, 'PTHR11909:SF407', NULL, NULL, NULL, NULL, 'BNAA02G04010D PROTEIN', NULL, NULL, NULL, 15),
(190102, NULL, 'PTHR35546:SF74', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190103, NULL, 'PTHR46166:SF4', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-C8', NULL, NULL, NULL, 15),
(190104, NULL, 'PTHR46128:SF198', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190105, NULL, 'PTHR18953:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190106, NULL, 'PTHR24096:SF352', NULL, NULL, NULL, NULL, '4-COUMARATE--COA LIGASE 1', NULL, NULL, NULL, 15),
(190107, NULL, 'PTHR35463:SF10', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(190108, NULL, 'PTHR19282:SF232', NULL, NULL, NULL, NULL, 'TETRASPANIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(190109, NULL, 'PTHR21261:SF15', NULL, NULL, NULL, NULL, 'BEAT-IIIA, ISOFORM D-RELATED', NULL, NULL, NULL, 15),
(190110, NULL, 'PTHR47990:SF51', NULL, NULL, NULL, NULL, 'GIBBERELLIN 2-BETA-DIOXYGENASE 1-LIKE', NULL, NULL, NULL, 15),
(190111, NULL, 'PTHR47079:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(190112, NULL, 'PTHR11017:SF319', NULL, NULL, NULL, NULL, 'BNAA02G24520D PROTEIN', NULL, NULL, NULL, 15),
(190113, NULL, 'PTHR13265', NULL, NULL, NULL, NULL, 'THO COMPLEX SUBUNIT 1', NULL, NULL, 20390, 15),
(190114, NULL, 'PTHR33304:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190115, NULL, 'PTHR10395', NULL, NULL, NULL, NULL, 'URICASE AND TRANSTHYRETIN-RELATED', NULL, NULL, 16319, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190116, NULL, 'PTHR46852:SF5', NULL, NULL, NULL, NULL, 'ALKALINE CERAMIDASE', NULL, NULL, NULL, 15),
(190117, NULL, 'PTHR31662:SF50', NULL, NULL, NULL, NULL, 'TYROSINE SPECIFIC PROTEIN PHOSPHATASE-LIKE', NULL, NULL, NULL, 15),
(190118, NULL, 'PTHR24124:SF6', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190119, NULL, 'PTHR15712:SF23', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT-CONTAINING 10', NULL, NULL, NULL, 15),
(190120, NULL, 'PTHR23266:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190121, NULL, 'PTHR11954:SF39', NULL, NULL, NULL, NULL, 'D-DOPACHROME DECARBOXYLASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(190122, NULL, 'PTHR11711:SF370', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN SIMILAR TO VERTEBRATE ADP-RIBOSYLATION FACTOR 4 (ARF4) (ZGC:77650)', NULL, NULL, NULL, 15),
(190123, NULL, 'PTHR11945:SF611', NULL, NULL, NULL, NULL, 'OS09G0116000 PROTEIN', NULL, NULL, NULL, 15),
(190124, NULL, 'PTHR48201:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190125, NULL, 'PTHR46454:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190126, NULL, 'PTHR27009:SF186', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(190127, NULL, 'PTHR11932:SF66', NULL, NULL, NULL, NULL, 'CULLIN-4B', NULL, NULL, 33705, 15),
(190128, NULL, 'PTHR35667', NULL, NULL, NULL, NULL, 'LEUKEMIA NUP98 FUSION PARTNER 1', NULL, NULL, 28867, 15),
(190129, NULL, 'PTHR11739:SF23', NULL, NULL, NULL, NULL, 'CITRATE SYNTHASE 2-RELATED', NULL, NULL, NULL, 15),
(190130, NULL, 'PTHR33565:SF16', NULL, NULL, NULL, NULL, 'AUXIN-REPRESSED 12.5 KDA PROTEIN-LIKE', NULL, NULL, NULL, 15),
(190131, NULL, 'PTHR31325:SF159', NULL, NULL, NULL, NULL, 'OSJNBB0045P24.5-LIKE PROTEIN', NULL, NULL, NULL, 15),
(190132, NULL, 'PTHR47926:SF260', NULL, NULL, NULL, NULL, 'BNAC03G63100D PROTEIN', NULL, NULL, NULL, 15),
(190133, NULL, 'PTHR33492:SF10', NULL, NULL, NULL, NULL, 'TRIHELIX TRANSCRIPTION FACTOR ASR3-LIKE', NULL, NULL, NULL, 15),
(190134, NULL, 'PTHR32409:SF10', NULL, NULL, NULL, NULL, 'BNAC03G57640D PROTEIN', NULL, NULL, NULL, 15),
(190135, NULL, 'PTHR47926:SF205', NULL, NULL, NULL, NULL, 'BNAC09G18050D PROTEIN', NULL, NULL, NULL, 15),
(190136, NULL, 'PTHR19871:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190137, NULL, 'PTHR48018:SF138', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 974', NULL, NULL, NULL, 15),
(190138, NULL, 'PTHR46006:SF4', NULL, NULL, NULL, NULL, 'NEUROEPITHELIAL CELL-TRANSFORMING GENE 1 PROTEIN', NULL, NULL, NULL, 15),
(190139, NULL, 'PTHR45138:SF18', NULL, NULL, NULL, NULL, 'BLL1362 PROTEIN', NULL, NULL, NULL, 15),
(190140, NULL, 'PTHR48048:SF37', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 71B1', NULL, NULL, NULL, 15),
(190141, NULL, 'PTHR47027:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190142, NULL, 'PTHR10649:SF9', NULL, NULL, NULL, NULL, 'ARYL HYDROCARBON RECEPTOR', NULL, NULL, 35619, 15),
(190143, NULL, 'PTHR11758:SF39', NULL, NULL, NULL, NULL, 'OS02G0478600 PROTEIN', NULL, NULL, NULL, 15),
(190144, NULL, 'PTHR32263:SF19', NULL, NULL, NULL, NULL, 'OS03G0230300 PROTEIN', NULL, NULL, NULL, 15),
(190145, NULL, 'PTHR10245:SF114', NULL, NULL, NULL, NULL, 'MULTIPROTEIN-BRIDGING FACTOR 1A', NULL, NULL, NULL, 15),
(190146, NULL, 'PTHR47926:SF42', NULL, NULL, NULL, NULL, 'OSJNBB0004A17.12 PROTEIN', NULL, NULL, NULL, 15),
(190147, NULL, 'PTHR28601', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 24', NULL, NULL, 22385, 15),
(190148, NULL, 'PTHR19375:SF459', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN 7-RELATED', NULL, NULL, NULL, 15),
(190149, NULL, 'PTHR10536:SF0', NULL, NULL, NULL, NULL, 'DNA PRIMASE SMALL SUBUNIT', NULL, NULL, NULL, 15),
(190150, NULL, 'PTHR22835:SF504', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190151, NULL, 'PTHR12224:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190152, NULL, 'PTHR33416:SF26', NULL, NULL, NULL, NULL, 'OS02G0177400 PROTEIN', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190153, NULL, 'PTHR47958:SF66', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 40', NULL, NULL, NULL, 15),
(190154, NULL, 'PTHR10003:SF87', NULL, NULL, NULL, NULL, 'SUPEROXIDE DISMUTASE [CU-ZN]', NULL, NULL, NULL, 15),
(190155, NULL, 'PTHR13268:SF0', NULL, NULL, NULL, NULL, 'BREAST CARCINOMA-AMPLIFIED SEQUENCE 3', NULL, NULL, NULL, 15),
(190156, NULL, 'PTHR28564', NULL, NULL, NULL, NULL, 'STANNIN', NULL, NULL, 34973, 15),
(190157, NULL, 'PTHR47222', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 532-RELATED', NULL, NULL, 40026, 15),
(190158, NULL, 'PTHR10579:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190159, NULL, 'PTHR27002:SF347', NULL, NULL, NULL, NULL, 'OS07G0537000 PROTEIN', NULL, NULL, NULL, 15),
(190160, NULL, 'PTHR18902:SF27', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 164 KDA', NULL, NULL, NULL, 15),
(190161, NULL, 'PTHR31867:SF195', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(190162, NULL, 'PTHR10133:SF27', NULL, NULL, NULL, NULL, 'DNA POLYMERASE THETA', NULL, NULL, NULL, 15),
(190163, NULL, 'PTHR10278:SF0', NULL, NULL, NULL, NULL, 'CORTICOTROPIN-RELEASING FACTOR-BINDING PROTEIN', NULL, NULL, NULL, 15),
(190164, NULL, 'PTHR33070:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190165, NULL, 'PTHR47212:SF2', NULL, NULL, NULL, NULL, 'DUF3741 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190166, NULL, 'PTHR24248:SF25', NULL, NULL, NULL, NULL, 'ALPHA-2C ADRENERGIC RECEPTOR', NULL, NULL, 4444, 15),
(190167, NULL, 'PTHR47926:SF235', NULL, NULL, NULL, NULL, 'OS05G0212100 PROTEIN', NULL, NULL, NULL, 15),
(190168, NULL, 'PTHR33191:SF18', NULL, NULL, NULL, NULL, 'RIPENING-RELATED PROTEIN 6-RELATED', NULL, NULL, NULL, 15),
(190169, NULL, 'PTHR16453:SF9', NULL, NULL, NULL, NULL, 'GATOR COMPLEX PROTEIN MIOS', NULL, NULL, NULL, 15),
(190170, NULL, 'PTHR35761:SF1', NULL, NULL, NULL, NULL, 'ATR INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(190171, NULL, 'PTHR13134:SF3', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT 13', NULL, NULL, NULL, 15),
(190172, NULL, 'PTHR10782:SF4', NULL, NULL, NULL, NULL, 'TONALLI, ISOFORM B', NULL, NULL, NULL, 15),
(190173, NULL, 'PTHR31627:SF36', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR CLASS GAMMA', NULL, NULL, NULL, 15),
(190174, NULL, 'PTHR43685:SF3', NULL, NULL, NULL, NULL, 'SLR2126 PROTEIN', NULL, NULL, NULL, 15),
(190175, NULL, 'PTHR35366', NULL, NULL, NULL, NULL, 'PROTEIN CBG18620', NULL, NULL, NULL, 15),
(190176, NULL, 'PTHR30055:SF153', NULL, NULL, NULL, NULL, 'TETR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(190177, NULL, 'PTHR11524', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7', NULL, NULL, 30137, 15),
(190178, NULL, 'PTHR11709:SF383', NULL, NULL, NULL, NULL, 'LACCASE-12', NULL, NULL, NULL, 15),
(190179, NULL, 'PTHR46347:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190180, NULL, 'PTHR15241:SF350', NULL, NULL, NULL, NULL, 'ZGC:165603', NULL, NULL, NULL, 15),
(190181, NULL, 'PTHR23050:SF421', NULL, NULL, NULL, NULL, 'BNAA06G12660D PROTEIN', NULL, NULL, NULL, 15),
(190182, NULL, 'PTHR43391:SF59', NULL, NULL, NULL, NULL, '11-BETA-HYDROXYSTEROID DEHYDROGENASE 1B-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(190183, NULL, 'PTHR12483:SF85', NULL, NULL, NULL, NULL, 'CTR FAMILY COPPER TRANSPORTER', NULL, NULL, NULL, 15),
(190184, NULL, 'PTHR24637:SF251', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN 90-RELATED', NULL, NULL, NULL, 15),
(190185, NULL, 'PTHR31515:SF7', NULL, NULL, NULL, NULL, 'BNAC01G21930D PROTEIN', NULL, NULL, NULL, 15),
(190186, NULL, 'PTHR20852:SF86', NULL, NULL, NULL, NULL, 'GLUTAMINE SYNTHETASE CYTOSOLIC ISOZYME 1-3', NULL, NULL, NULL, 15),
(190187, NULL, 'PTHR34493:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG02471', NULL, NULL, NULL, 15),
(190188, NULL, 'PTHR38602:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190189, NULL, 'PTHR14155:SF490', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190190, NULL, 'PTHR32141:SF65', NULL, NULL, NULL, NULL, 'OS09G0516450 PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190191, NULL, 'PTHR21357', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(190192, NULL, 'PTHR36733:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190193, NULL, 'PTHR24074:SF40', NULL, NULL, NULL, NULL, 'J DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(190194, NULL, 'PTHR31561:SF90', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 15', NULL, NULL, NULL, 15),
(190195, NULL, 'PTHR42767', NULL, NULL, NULL, NULL, 'ENDO-BETA-1,6-GALACTANASE', NULL, NULL, 30667, 15),
(190196, NULL, 'PTHR22914:SF42', NULL, NULL, NULL, NULL, 'CHITIN SYNTHASE 1', NULL, NULL, NULL, 15),
(190197, NULL, 'PTHR37908:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(190198, NULL, 'PTHR37389:SF22', NULL, NULL, NULL, NULL, 'OS02G0587800 PROTEIN', NULL, NULL, NULL, 15),
(190199, NULL, 'PTHR31165:SF15', NULL, NULL, NULL, NULL, 'PROTEIN G1-LIKE5', NULL, NULL, NULL, 15),
(190200, NULL, 'PTHR18884:SF24', NULL, NULL, NULL, NULL, 'SPORULATION-REGULATED PROTEIN 3', NULL, NULL, NULL, 15),
(190201, NULL, 'PTHR10585:SF62', NULL, NULL, NULL, NULL, 'LUMEN PROTEIN RETAINING RECEPTOR 1, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190202, NULL, 'PTHR33964:SF8', NULL, NULL, NULL, NULL, 'RE45066P', NULL, NULL, NULL, 15),
(190203, NULL, 'PTHR13126', NULL, NULL, NULL, NULL, 'CHAPERONE ATP11', NULL, NULL, 8332, 15),
(190204, NULL, 'PTHR19359:SF105', NULL, NULL, NULL, NULL, 'CYTOCHROME B5', NULL, NULL, NULL, 15),
(190205, NULL, 'PTHR48025:SF6', NULL, NULL, NULL, NULL, 'CHLOROPLAST, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190206, NULL, 'PTHR31943:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190207, NULL, 'PTHR33403:SF19', NULL, NULL, NULL, NULL, 'PROTEIN SPIRAL1-LIKE 5', NULL, NULL, NULL, 15),
(190208, NULL, 'PTHR11143', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L26 FAMILY MEMBER', NULL, NULL, 4532, 15),
(190209, NULL, 'PTHR47746:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190210, NULL, 'PTHR26452:SF220', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(190211, NULL, 'PTHR43002', NULL, NULL, NULL, NULL, 'GLYCOGEN DEBRANCHING ENZYME', NULL, NULL, NULL, 15),
(190212, NULL, 'PTHR33272:SF2', NULL, NULL, NULL, NULL, 'DAF-16/FOXO CONTROLLED, GERMLINE TUMOR AFFECTING', NULL, NULL, NULL, 15),
(190213, NULL, 'PTHR41368:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YGHO', NULL, NULL, NULL, 15),
(190214, NULL, 'PTHR24241:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190215, NULL, 'PTHR31623:SF49', NULL, NULL, NULL, NULL, 'ACYLSUGAR ACYLTRANSFERASE 3-LIKE', NULL, NULL, NULL, 15),
(190216, NULL, 'PTHR31190:SF246', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR 13', NULL, NULL, NULL, 15),
(190217, NULL, 'PTHR30580:SF0', NULL, NULL, NULL, NULL, 'PRIMOSOMAL PROTEIN N''', NULL, NULL, NULL, 15),
(190218, NULL, 'PTHR23430:SF303', NULL, NULL, NULL, NULL, 'HISTONE H2AX', NULL, NULL, NULL, 15),
(190219, NULL, 'PTHR12411:SF699', NULL, NULL, NULL, NULL, 'MEIOSIS-SPECIFIC PROTEIN ASY1', NULL, NULL, NULL, 15),
(190220, NULL, 'PTHR46582', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 18', NULL, NULL, NULL, 15),
(190221, NULL, 'PTHR46977:SF4', NULL, NULL, NULL, NULL, 'PROTEIN FREE1-LIKE', NULL, NULL, NULL, 15),
(190222, NULL, 'PTHR11384:SF24', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE SUB-FAMILY D MEMBER 2', NULL, NULL, 28038, 15),
(190223, NULL, 'PTHR31369', NULL, NULL, NULL, NULL, 'PROTEIN CBG02325-RELATED', NULL, NULL, NULL, 15),
(190224, NULL, 'PTHR11850:SF307', NULL, NULL, NULL, NULL, 'BNAA10G27410D PROTEIN', NULL, NULL, NULL, 15),
(190225, NULL, 'PTHR31165:SF68', NULL, NULL, NULL, NULL, 'BNACNNG37250D PROTEIN', NULL, NULL, NULL, 15),
(190226, NULL, 'PTHR42905:SF2', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190227, NULL, 'PTHR24128:SF56', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT-CONTAINING PROTEIN ITN1-LIKE', NULL, NULL, NULL, 15),
(190228, NULL, 'PTHR45708:SF25', NULL, NULL, NULL, NULL, 'OS01G0691000 PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190229, NULL, 'PTHR47969:SF11', NULL, NULL, NULL, NULL, 'BNAC02G41890D PROTEIN', NULL, NULL, NULL, 15),
(190230, NULL, 'PTHR24056:SF483', NULL, NULL, NULL, NULL, 'BNAC03G16360D PROTEIN', NULL, NULL, NULL, 15),
(190231, NULL, 'PTHR22298:SF154', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(190232, NULL, 'PTHR22762:SF95', NULL, NULL, NULL, NULL, 'ALPHA-GLUCOSIDASE', NULL, NULL, NULL, 15),
(190233, NULL, 'PTHR45987', NULL, NULL, NULL, NULL, '39S RIBOSOMAL PROTEIN L12', NULL, NULL, 3882, 15),
(190234, NULL, 'PTHR24225', NULL, NULL, NULL, NULL, 'CHEMOTACTIC RECEPTOR', NULL, NULL, 4821, 15),
(190235, NULL, 'PTHR46323', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE', NULL, NULL, NULL, 15),
(190236, NULL, 'PTHR31190:SF258', NULL, NULL, NULL, NULL, 'AP2 DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(190237, NULL, 'PTHR33782:SF13', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT', NULL, NULL, NULL, 15),
(190238, NULL, 'PTHR33784:SF13', NULL, NULL, NULL, NULL, 'BNAA05G34450D PROTEIN', NULL, NULL, NULL, 15),
(190239, NULL, 'PTHR39948', NULL, NULL, NULL, NULL, 'GEO11419P1', NULL, NULL, NULL, 15),
(190240, NULL, 'PTHR13800:SF36', NULL, NULL, NULL, NULL, 'TRP-CHANNEL-LIKE', NULL, NULL, NULL, 15),
(190241, NULL, 'PTHR23266:SF328', NULL, NULL, NULL, NULL, 'IG HEAVY CHAIN V REGION 36-60', NULL, NULL, NULL, 15),
(190242, NULL, 'PTHR18952:SF137', NULL, NULL, NULL, NULL, 'CAIX-RELATED', NULL, NULL, NULL, 15),
(190243, NULL, 'PTHR33130:SF2', NULL, NULL, NULL, NULL, 'OS01G0689000 PROTEIN', NULL, NULL, NULL, 15),
(190244, NULL, 'PTHR11726:SF36', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L10', NULL, NULL, NULL, 15),
(190245, NULL, 'PTHR45760:SF6', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL SUBSTRATE CARRIER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190246, NULL, 'PTHR38324:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 158', NULL, NULL, NULL, 15),
(190247, NULL, 'PTHR46948', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN SUBUNIT P38', NULL, NULL, 38634, 15),
(190248, NULL, 'PTHR46388', NULL, NULL, NULL, NULL, 'NHL REPEAT-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(190249, NULL, 'PTHR46071', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT AND BTB/POZ DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(190250, NULL, 'PTHR11909:SF326', NULL, NULL, NULL, NULL, 'CASEIN KINASE 1-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(190251, NULL, 'PTHR13257:SF0', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN NUP88', NULL, NULL, NULL, 15),
(190252, NULL, 'PTHR13809:SF21', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN G(I)/G(S)/G(O) SUBUNIT GAMMA-4', NULL, NULL, NULL, 15),
(190253, NULL, 'PTHR47968:SF6', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7O', NULL, NULL, NULL, 15),
(190254, NULL, 'PTHR22811:SF175', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY/GOLD FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190255, NULL, 'PTHR27003:SF276', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190256, NULL, 'PTHR13388:SF25', NULL, NULL, NULL, NULL, 'SI:DKEY-112M2.1', NULL, NULL, NULL, 15),
(190257, NULL, 'PTHR24072:SF136', NULL, NULL, NULL, NULL, 'CELL DIVISION CONTROL PROTEIN 42 HOMOLOG', NULL, NULL, NULL, 15),
(190258, NULL, 'PTHR12815:SF45', NULL, NULL, NULL, NULL, 'BNAA10G12290D PROTEIN', NULL, NULL, NULL, 15),
(190259, NULL, 'PTHR13140:SF798', NULL, NULL, NULL, NULL, 'BNAA10G07360D PROTEIN', NULL, NULL, NULL, 15),
(190260, NULL, 'PTHR39476:SF1', NULL, NULL, NULL, NULL, 'NADH:UBIQUINONE OXIDOREDUCTASE 6.6KD SUBUNIT', NULL, NULL, NULL, 15),
(190261, NULL, 'PTHR21505', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(190262, NULL, 'PTHR32080:SF3', NULL, NULL, NULL, NULL, 'PLASMODESMATA-LOCATED PROTEIN 7', NULL, NULL, NULL, 15),
(190263, NULL, 'PTHR35303:SF5', NULL, NULL, NULL, NULL, 'OS02G0197800 PROTEIN', NULL, NULL, NULL, 15),
(190264, NULL, 'PTHR46046:SF4', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(190265, NULL, 'PTHR23023:SF154', NULL, NULL, NULL, NULL, 'DIMETHYLANILINE MONOOXYGENASE [N-OXIDE-FORMING] 1', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190266, NULL, 'PTHR45675:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB48', NULL, NULL, NULL, 15),
(190267, NULL, 'PTHR27001:SF833', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190268, NULL, 'PTHR32044:SF94', NULL, NULL, NULL, NULL, 'BNAA03G51630D PROTEIN', NULL, NULL, NULL, 15),
(190269, NULL, 'PTHR34452:SF12', NULL, NULL, NULL, NULL, 'EEIG1/EHBP1 N-TERMINAL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190270, NULL, 'PTHR31147:SF35', NULL, NULL, NULL, NULL, 'SPERMIDINE SINAPOYL-COA ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(190271, NULL, 'PTHR46931:SF4', NULL, NULL, NULL, NULL, 'OS06G0606401 PROTEIN', NULL, NULL, NULL, 15),
(190272, NULL, 'PTHR33451:SF3', NULL, NULL, NULL, NULL, 'MALATE-2H(+)/NA(+)-LACTATE ANTIPORTER', NULL, NULL, NULL, 15),
(190273, NULL, 'PTHR47928:SF74', NULL, NULL, NULL, NULL, 'OS08G0494350 PROTEIN', NULL, NULL, NULL, 15),
(190274, NULL, 'PTHR47713:SF2', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(190275, NULL, 'PTHR46327:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190276, NULL, 'PTHR32227:SF293', NULL, NULL, NULL, NULL, 'GLUCAN ENDO-1,3-BETA-GLUCOSIDASE 8-LIKE', NULL, NULL, NULL, 15),
(190277, NULL, 'PTHR24300:SF316', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 519D1-RELATED', NULL, NULL, NULL, 15),
(190278, NULL, 'PTHR37834', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G00620)', NULL, NULL, NULL, 15),
(190279, NULL, 'PTHR23326:SF23', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX, SUBUNIT 3B', NULL, NULL, NULL, 15),
(190280, NULL, 'PTHR45898:SF3', NULL, NULL, NULL, NULL, 'TOM1-LIKE PROTEIN 5', NULL, NULL, NULL, 15),
(190281, NULL, 'PTHR11879:SF52', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE, CYTOPLASMIC ISOZYME 1', NULL, NULL, NULL, 15),
(190282, NULL, 'PTHR10707', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT IV', NULL, NULL, 2947, 15),
(190283, NULL, 'PTHR31561:SF155', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(190284, NULL, 'PTHR40712', NULL, NULL, NULL, NULL, 'FAMILY WITH SEQUENCE SIMILARITY 153 MEMBER C-RELATED', NULL, NULL, 15623, 15),
(190285, NULL, 'PTHR27008:SF428', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE FLS2', NULL, NULL, NULL, 15),
(190286, NULL, 'PTHR24092:SF192', NULL, NULL, NULL, NULL, 'PHOSPHOLIPID-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(190287, NULL, 'PTHR31589:SF142', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE (DUF239)-RELATED', NULL, NULL, NULL, 15),
(190288, NULL, 'PTHR14679:SF1', NULL, NULL, NULL, NULL, 'GEM-ASSOCIATED PROTEIN 7', NULL, NULL, NULL, 15),
(190289, NULL, 'PTHR38109:SF1', NULL, NULL, NULL, NULL, 'PROTEIN YCGL', NULL, NULL, NULL, 15),
(190290, NULL, 'PTHR45979:SF17', NULL, NULL, NULL, NULL, 'POLYMERASE, NUCLEOTIDYL TRANSFERASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190291, NULL, 'PTHR35741:SF1', NULL, NULL, NULL, NULL, 'FACTOR CWC22-LIKE PROTEIN, PUTATIVE (DUF3245)-RELATED', NULL, NULL, NULL, 15),
(190292, NULL, 'PTHR32295:SF34', NULL, NULL, NULL, NULL, 'OS05G0541100 PROTEIN', NULL, NULL, NULL, 15),
(190293, NULL, 'PTHR44329:SF14', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 13', NULL, NULL, NULL, 15),
(190294, NULL, 'PTHR13462:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190295, NULL, 'PTHR47950:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190296, NULL, 'PTHR46036:SF2', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE GLX1', NULL, NULL, NULL, 15),
(190297, NULL, 'PTHR32507:SF8', NULL, NULL, NULL, NULL, 'NA+/H+ ANTIPORTER-RELATED', NULL, NULL, NULL, 15),
(190298, NULL, 'PTHR15592:SF35', NULL, NULL, NULL, NULL, 'POLYPYRIMIDINE TRACT-BINDING PROTEIN HOMOLOG 3', NULL, NULL, NULL, 15),
(190299, NULL, 'PTHR40691:SF1', NULL, NULL, NULL, NULL, 'EXPORTED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190300, NULL, 'PTHR31327:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG17607', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190301, NULL, 'PTHR33800:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190302, NULL, 'PTHR10334:SF432', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190303, NULL, 'PTHR10328:SF3', NULL, NULL, NULL, NULL, 'PROTEIN MAX', NULL, NULL, NULL, 15),
(190304, NULL, 'PTHR12146:SF7', NULL, NULL, NULL, NULL, 'OS01G0962600 PROTEIN', NULL, NULL, NULL, 15),
(190305, NULL, 'PTHR33450:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190306, NULL, 'PTHR24291:SF155', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 301B1', NULL, NULL, NULL, 15),
(190307, NULL, 'PTHR36842:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TOLB HOMOLOG', NULL, NULL, NULL, 15),
(190308, NULL, 'PTHR12431:SF16', NULL, NULL, NULL, NULL, 'SORTING NEXIN-17', NULL, NULL, 23750, 15),
(190309, NULL, 'PTHR19957:SF329', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190310, NULL, 'PTHR24322:SF499', NULL, NULL, NULL, NULL, '17-BETA-HYDROXYSTEROID DEHYDROGENASE 13', NULL, NULL, NULL, 15),
(190311, NULL, 'PTHR34683:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(190312, NULL, 'PTHR11035:SF22', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN (3R)-3-HYDROXYACYL-COA DEHYDRATASE 1', NULL, NULL, NULL, 15),
(190313, NULL, 'PTHR46781:SF4', NULL, NULL, NULL, NULL, '4-ALPHA-GALACTOSYLTRANSFERASE, PUTATIVE ISOFORM 1-RELATED', NULL, NULL, NULL, 15),
(190314, NULL, 'PTHR43467', NULL, NULL, NULL, NULL, 'COBALT-PRECORRIN-2 C(20)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(190315, NULL, 'PTHR35294', NULL, NULL, NULL, NULL, 'UBIQUITIN-ASSOCIATED/TRANSLATION ELONGATION FACTOR EF1B PROTEIN', NULL, NULL, NULL, 15),
(190316, NULL, 'PTHR34223:SF14', NULL, NULL, NULL, NULL, 'OS08G0150200 PROTEIN', NULL, NULL, NULL, 15),
(190317, NULL, 'PTHR31602:SF68', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 4', NULL, NULL, NULL, 15),
(190318, NULL, 'PTHR33476:SF24', NULL, NULL, NULL, NULL, 'PROTEIN POLAR LOCALIZATION DURING ASYMMETRIC DIVISION AND REDISTRIBUTION', NULL, NULL, NULL, 15),
(190319, NULL, 'PTHR10438:SF415', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(190320, NULL, 'PTHR11863:SF180', NULL, NULL, NULL, NULL, 'METHYLSTEROL MONOOXYGENASE 1-1', NULL, NULL, NULL, 15),
(190321, NULL, 'PTHR47956:SF36', NULL, NULL, NULL, NULL, 'OS05G0424300 PROTEIN', NULL, NULL, NULL, 15),
(190322, NULL, 'PTHR47983:SF33', NULL, NULL, NULL, NULL, 'OS01G0899000 PROTEIN', NULL, NULL, NULL, 15),
(190323, NULL, 'PTHR10910:SF17', NULL, NULL, NULL, NULL, 'DOUBLE-STRANDED RNA-SPECIFIC EDITASE B2', NULL, NULL, NULL, 15),
(190324, NULL, 'PTHR31973:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190325, NULL, 'PTHR48053:SF44', NULL, NULL, NULL, NULL, 'PIRIFORMOSPORA INDICA-INSENSITIVE PROTEIN 2-LIKE', NULL, NULL, NULL, 15),
(190326, NULL, 'PTHR31620:SF17', NULL, NULL, NULL, NULL, 'PROTEIN RETICULATA-RELATED 3, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(190327, NULL, 'PTHR11054:SF20', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-RELATED', NULL, NULL, NULL, 15),
(190328, NULL, 'PTHR21055:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 36', NULL, NULL, NULL, 15),
(190329, NULL, 'PTHR46087:SF13', NULL, NULL, NULL, NULL, 'ARM REPEAT SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190330, NULL, 'PTHR24093:SF463', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(190331, NULL, 'PTHR13935:SF129', NULL, NULL, NULL, NULL, 'BNAC04G47550D PROTEIN', NULL, NULL, NULL, 15),
(190332, NULL, 'PTHR37001:SF5', NULL, NULL, NULL, NULL, 'PHOSPHORYN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190333, NULL, 'PTHR13018:SF53', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190334, NULL, 'PTHR42773:SF1', NULL, NULL, NULL, NULL, 'METALLO-BETA-LACTAMASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190335, NULL, 'PTHR12393:SF7', NULL, NULL, NULL, NULL, 'SPHINGOMYELIN PHOSPHODIESTERASE 2', NULL, NULL, NULL, 15),
(190336, NULL, 'PTHR31485:SF25', NULL, NULL, NULL, NULL, 'PEPTIDYL SERINE ALPHA-GALACTOSYLTRANSFERASE', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190337, NULL, 'PTHR31945:SF27', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH35-LIKE PROTEIN', NULL, NULL, NULL, 15),
(190338, NULL, 'PTHR31662', NULL, NULL, NULL, NULL, 'BNAANNG10740D PROTEIN-RELATED', NULL, NULL, 2793, 15),
(190339, NULL, 'PTHR33969', NULL, NULL, NULL, NULL, 'SEGREGATION AND CONDENSATION PROTEIN A', NULL, NULL, 6362, 15),
(190340, NULL, 'PTHR44169:SF3', NULL, NULL, NULL, NULL, 'SHORT-CHAIN DEHYDROGENASE/REDUCTASE', NULL, NULL, NULL, 15),
(190341, NULL, 'PTHR43349:SF61', NULL, NULL, NULL, NULL, 'BNAC09G18390D PROTEIN', NULL, NULL, NULL, 15),
(190342, NULL, 'PTHR33069:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 8, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(190343, NULL, 'PTHR31989:SF381', NULL, NULL, NULL, NULL, 'NAC (NO APICAL MERISTEM) DOMAIN TRANSCRIPTIONAL REGULATOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190344, NULL, 'PTHR30575:SF3', NULL, NULL, NULL, NULL, 'P-AMINOBENZOYL-GLUTAMATE HYDROLASE SUBUNIT A', NULL, NULL, NULL, 15),
(190345, NULL, 'PTHR31589:SF80', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL PEPTIDASE', NULL, NULL, NULL, 15),
(190346, NULL, 'PTHR12064:SF27', NULL, NULL, NULL, NULL, 'METAL TRANSPORTER CNNM3', NULL, NULL, NULL, 15),
(190347, NULL, 'PTHR23500:SF542', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190348, NULL, 'PTHR24359', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE SBK1', NULL, NULL, NULL, 15),
(190349, NULL, 'PTHR10015:SF140', NULL, NULL, NULL, NULL, 'HEAT SHOCK TRANSCRIPTION FACTOR, X-LINKED MEMBER 3-RELATED', NULL, NULL, NULL, 15),
(190350, NULL, 'PTHR48021:SF16', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 13-RELATED', NULL, NULL, NULL, 15),
(190351, NULL, 'PTHR13318:SF184', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190352, NULL, 'PTHR31945:SF110', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190353, NULL, 'PTHR24281:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190354, NULL, 'PTHR23421:SF151', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 6', NULL, NULL, NULL, 15),
(190355, NULL, 'PTHR15296:SF2', NULL, NULL, NULL, NULL, 'SMALL INTEGRAL MEMBRANE PROTEIN 24', NULL, NULL, NULL, 15),
(190356, NULL, 'PTHR23036:SF161', NULL, NULL, NULL, NULL, 'DOMELESS', NULL, NULL, NULL, 15),
(190357, NULL, 'PTHR38140:SF3', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 19-8', NULL, NULL, NULL, 15),
(190358, NULL, 'PTHR43903:SF2', NULL, NULL, NULL, NULL, 'NEUROLIGIN-1', NULL, NULL, 24912, 15),
(190359, NULL, 'PTHR24298:SF825', NULL, NULL, NULL, NULL, 'OS01G0350200 PROTEIN', NULL, NULL, NULL, 15),
(190360, NULL, 'PTHR31025:SF15', NULL, NULL, NULL, NULL, 'SI:CH211-193K19.2-RELATED', NULL, NULL, NULL, 15),
(190361, NULL, 'PTHR16236', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 160', NULL, NULL, 22758, 15),
(190362, NULL, 'PTHR36725:SF1', NULL, NULL, NULL, NULL, 'SENESCENCE-ASSOCIATED PROTEIN AAF, CHLOROLPLASTIC', NULL, NULL, NULL, 15),
(190363, NULL, 'PTHR21503:SF8', NULL, NULL, NULL, NULL, 'SKN-1 DEPENDENT ZYGOTIC TRANSCRIPT', NULL, NULL, NULL, 15),
(190364, NULL, 'PTHR14972:SF6', NULL, NULL, NULL, NULL, 'PROTEIN FAM117B', NULL, NULL, 24162, 15),
(190365, NULL, 'PTHR45635:SF18', NULL, NULL, NULL, NULL, 'ADP,ATP CARRIER PROTEIN 1, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(190366, NULL, 'PTHR45780:SF11', NULL, NULL, NULL, NULL, 'ROSSMANN-LIKE ALPHA/BETA/ALPHA SANDWICH FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190367, NULL, 'PTHR22937:SF141', NULL, NULL, NULL, NULL, 'RING ZINC FINGER PROTEIN, 69105-67310-RELATED', NULL, NULL, NULL, 15),
(190368, NULL, 'PTHR31118:SF27', NULL, NULL, NULL, NULL, 'CYCLASE-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(190369, NULL, 'PTHR30383:SF5', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_1G03170)-RELATED', NULL, NULL, NULL, 15),
(190370, NULL, 'PTHR45944:SF5', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR HIVEP3', NULL, NULL, NULL, 15),
(190371, NULL, 'PTHR31395:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-LIKE-2B', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190372, NULL, 'PTHR23505:SF13', NULL, NULL, NULL, NULL, 'PROTEIN SPINSTER HOMOLOG 1', NULL, NULL, NULL, 15),
(190373, NULL, 'PTHR23501:SF50', NULL, NULL, NULL, NULL, 'MFS SIDEROCHROME IRON TRANSPORTER MIRB (AFU_ORTHOLOGUE AFUA_3G03640)-RELATED', NULL, NULL, NULL, 15),
(190374, NULL, 'PTHR46168:SF12', NULL, NULL, NULL, NULL, 'ARMADILLO REPEAT ONLY 4-LIKE PROTEIN', NULL, NULL, NULL, 15),
(190375, NULL, 'PTHR31676:SF118', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190376, NULL, 'PTHR33711:SF6', NULL, NULL, NULL, NULL, 'DIOXYGENASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14270)-RELATED', NULL, NULL, NULL, 15),
(190377, NULL, 'PTHR12611:SF5', NULL, NULL, NULL, NULL, 'PURINE-RICH ELEMENT-BINDING PROTEIN AB', NULL, NULL, NULL, 15),
(190378, NULL, 'PTHR43948:SF14', NULL, NULL, NULL, NULL, 'OS07G0637100 PROTEIN', NULL, NULL, NULL, 15),
(190379, NULL, 'PTHR35038:SF6', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE PROTEIN NRFB', NULL, NULL, NULL, 15),
(190380, NULL, 'PTHR31509:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190381, NULL, 'PTHR30250:SF16', NULL, NULL, NULL, NULL, 'LIPID III FLIPPASE', NULL, NULL, NULL, 15),
(190382, NULL, 'PTHR44920:SF3', NULL, NULL, NULL, NULL, 'BNAC02G48490D PROTEIN', NULL, NULL, NULL, 15),
(190383, NULL, 'PTHR26453:SF596', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(190384, NULL, 'PTHR11890:SF22', NULL, NULL, NULL, NULL, 'INTERLEUKIN-1 RECEPTOR ACCESSORY PROTEIN-LIKE 1', NULL, NULL, NULL, 15),
(190385, NULL, 'PTHR21040:SF6', NULL, NULL, NULL, NULL, 'HEXOSAMINIDASE D', NULL, NULL, NULL, 15),
(190386, NULL, 'PTHR11473:SF37', NULL, NULL, NULL, NULL, 'GH12537P', NULL, NULL, NULL, 15),
(190387, NULL, 'PTHR13789:SF261', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G17670)-RELATED', NULL, NULL, NULL, 15),
(190388, NULL, 'PTHR14938:SF2', NULL, NULL, NULL, NULL, 'HCLS1-ASSOCIATED PROTEIN X-1', NULL, NULL, NULL, 15),
(190389, NULL, 'PTHR38342', NULL, NULL, NULL, NULL, 'SLR5037 PROTEIN', NULL, NULL, NULL, 15),
(190390, NULL, 'PTHR11945:SF408', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL8 HOMOLOG', NULL, NULL, NULL, 15),
(190391, NULL, 'PTHR24020:SF48', NULL, NULL, NULL, NULL, 'PROTEIN CBG18899', NULL, NULL, NULL, 15),
(190392, NULL, 'PTHR14759:SF29', NULL, NULL, NULL, NULL, 'MICROTUBULE-ASSOCIATED PROTEIN 6', NULL, NULL, NULL, 15),
(190393, NULL, 'PTHR30239:SF17', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE SMALL SUBUNIT 2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(190394, NULL, 'PTHR26453:SF84', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(190395, NULL, 'PTHR32077:SF38', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 12', NULL, NULL, NULL, 15),
(190396, NULL, 'PTHR45988:SF33', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN AZF2', NULL, NULL, NULL, 15),
(190397, NULL, 'PTHR11062:SF251', NULL, NULL, NULL, NULL, 'XYLOGLUCAN GALACTOSYLTRANSFERASE MUR3', NULL, NULL, NULL, 15),
(190398, NULL, 'PTHR12884:SF15', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L29', NULL, NULL, NULL, 15),
(190399, NULL, 'PTHR10811:SF57', NULL, NULL, NULL, NULL, 'F22L4.11 PROTEIN', NULL, NULL, NULL, 15),
(190400, NULL, 'PTHR31874', NULL, NULL, NULL, NULL, 'CCT MOTIF FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(190401, NULL, 'PTHR13318:SF105', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 3', NULL, NULL, NULL, 15),
(190402, NULL, 'PTHR22835:SF543', NULL, NULL, NULL, NULL, 'BNAA07G36520D PROTEIN', NULL, NULL, NULL, 15),
(190403, NULL, 'PTHR33670:SF21', NULL, NULL, NULL, NULL, 'OS09G0539000 PROTEIN', NULL, NULL, NULL, 15),
(190404, NULL, 'PTHR31558:SF29', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2-LIKE', NULL, NULL, NULL, 15),
(190405, NULL, 'PTHR47222:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 687', NULL, NULL, NULL, 15),
(190406, NULL, 'PTHR19375:SF466', NULL, NULL, NULL, NULL, 'HEAT SHOCK COGNATE 70 KDA PROTEIN', NULL, NULL, NULL, 15),
(190407, NULL, 'PTHR14429:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190408, NULL, 'PTHR43038:SF3', NULL, NULL, NULL, NULL, 'ATP-BINDING CASSETTE, SUB-FAMILY H, MEMBER 1', NULL, NULL, NULL, 15),
(190409, NULL, 'PTHR46050:SF12', NULL, NULL, NULL, NULL, 'INACTIVE TPR REPEAT-CONTAINING THIOREDOXIN TTL3', NULL, NULL, NULL, 15),
(190410, NULL, 'PTHR11703:SF1', NULL, NULL, NULL, NULL, 'DEOXYHYPUSINE SYNTHASE', NULL, NULL, NULL, 15),
(190411, NULL, 'PTHR33052:SF80', NULL, NULL, NULL, NULL, 'BNAC07G31880D PROTEIN', NULL, NULL, NULL, 15),
(190412, NULL, 'PTHR24118:SF65', NULL, NULL, NULL, NULL, 'POTE ANKYRIN DOMAIN FAMILY MEMBER B-RELATED', NULL, NULL, NULL, 15),
(190413, NULL, 'PTHR13234:SF25', NULL, NULL, NULL, NULL, 'PROTEIN CBG07974', NULL, NULL, NULL, 15),
(190414, NULL, 'PTHR24095:SF232', NULL, NULL, NULL, NULL, 'ACETYL-COENZYME A SYNTHETASE', NULL, NULL, NULL, 15),
(190415, NULL, 'PTHR21724:SF92', NULL, NULL, NULL, NULL, 'PROTEIN CBG00624', NULL, NULL, NULL, 15),
(190416, NULL, 'PTHR24061:SF422', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190417, NULL, 'PTHR46103', NULL, NULL, NULL, NULL, 'RRNA METHYLTRANSFERASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(190418, NULL, 'PTHR31236:SF39', NULL, NULL, NULL, NULL, 'EMBRYONIC ABUNDANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(190419, NULL, 'PTHR23070:SF173', NULL, NULL, NULL, NULL, 'AAA ATPASE-LIKE', NULL, NULL, NULL, 15),
(190420, NULL, 'PTHR31623:SF73', NULL, NULL, NULL, NULL, 'BNAA04G13400D PROTEIN', NULL, NULL, NULL, 15),
(190421, NULL, 'PTHR31852:SF197', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA-14-RELATED', NULL, NULL, NULL, 15),
(190422, NULL, 'PTHR10519:SF70', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRIC ACID (GABA) B RECEPTOR, 1A', NULL, NULL, NULL, 15),
(190423, NULL, 'PTHR46179:SF14', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G13050)-RELATED', NULL, NULL, NULL, 15),
(190424, NULL, 'PTHR23077:SF165', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190425, NULL, 'PTHR48006:SF19', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN ACR4', NULL, NULL, NULL, 15),
(190426, NULL, 'PTHR31375:SF203', NULL, NULL, NULL, NULL, 'OS07G0208200 PROTEIN', NULL, NULL, NULL, 15),
(190427, NULL, 'PTHR14944:SF3', NULL, NULL, NULL, NULL, 'SI:CH73-71D17.2', NULL, NULL, NULL, 15),
(190428, NULL, 'PTHR34593:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190429, NULL, 'PTHR47999:SF49', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190430, NULL, 'PTHR26450:SF112', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51I2', NULL, NULL, NULL, 15),
(190431, NULL, 'PTHR24055:SF260', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ICK', NULL, NULL, NULL, 15),
(190432, NULL, 'PTHR45080:SF4', NULL, NULL, NULL, NULL, 'GH03113P', NULL, NULL, NULL, 15),
(190433, NULL, 'PTHR14241:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190434, NULL, 'PTHR18945:SF803', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190435, NULL, 'PTHR28208:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190436, NULL, 'PTHR12652:SF51', NULL, NULL, NULL, NULL, 'BNAC04G50420D PROTEIN', NULL, NULL, NULL, 15),
(190437, NULL, 'PTHR48049:SF36', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(190438, NULL, 'PTHR37079:SF5', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATM-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(190439, NULL, 'PTHR12398:SF29', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE INHIBITOR 2 FAMILY MEMBER C', NULL, NULL, NULL, 15),
(190440, NULL, 'PTHR23063:SF39', NULL, NULL, NULL, NULL, 'OS01G0307562 PROTEIN', NULL, NULL, NULL, 15),
(190441, NULL, 'PTHR47983:SF23', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK13', NULL, NULL, NULL, 15),
(190442, NULL, 'PTHR31707:SF337', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(190443, NULL, 'PTHR31374:SF312', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190444, NULL, 'PTHR10722:SF24', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L19', NULL, NULL, NULL, 15),
(190445, NULL, 'PTHR30607:SF2', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE POTASSIUM-BINDING SUBUNIT', NULL, NULL, NULL, 15),
(190446, NULL, 'PTHR48015:SF32', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 4', NULL, NULL, NULL, 15),
(190447, NULL, 'PTHR34040:SF7', NULL, NULL, NULL, NULL, 'SURFACE PRESENTATION OF ANTIGENS PROTEIN SPAQ', NULL, NULL, NULL, 15),
(190448, NULL, 'PTHR46671:SF8', NULL, NULL, NULL, NULL, 'PROTEIN CBG00952', NULL, NULL, NULL, 15),
(190449, NULL, 'PTHR10366:SF490', NULL, NULL, NULL, NULL, 'REDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190450, NULL, 'PTHR42030:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190451, NULL, 'PTHR47853:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190452, NULL, 'PTHR18945:SF482', NULL, NULL, NULL, NULL, 'BETAINE RECEPTOR ACR-23', NULL, NULL, NULL, 15),
(190453, NULL, 'PTHR24027', NULL, NULL, NULL, NULL, 'CADHERIN-23', NULL, NULL, 30712, 15),
(190454, NULL, 'PTHR27005:SF399', NULL, NULL, NULL, NULL, 'SERINE/THREONINE/DUAL SPECIFICITY PROTEIN KINASE, CATALYTIC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190455, NULL, 'PTHR47999:SF65', NULL, NULL, NULL, NULL, 'MYB TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(190456, NULL, 'PTHR43414', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTG', NULL, NULL, NULL, 15),
(190457, NULL, 'PTHR11556:SF40', NULL, NULL, NULL, NULL, 'FRUCTOSE-1,6-BISPHOSPHATASE, CYTOSOLIC-LIKE', NULL, NULL, NULL, 15),
(190458, NULL, 'PTHR23105:SF153', NULL, NULL, NULL, NULL, 'OS04G0500200 PROTEIN', NULL, NULL, NULL, 15),
(190459, NULL, 'PTHR13890:SF34', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER MRS2-E', NULL, NULL, NULL, 15),
(190460, NULL, 'PTHR43127', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 39223, 15),
(190461, NULL, 'PTHR23045:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190462, NULL, 'PTHR31205:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190463, NULL, 'PTHR47942:SF42', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190464, NULL, 'PTHR13242:SF0', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT L', NULL, NULL, NULL, 15),
(190465, NULL, 'PTHR33191:SF59', NULL, NULL, NULL, NULL, 'RLPA-LIKE DOUBLE-PSI BETA-BARREL DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190466, NULL, 'PTHR31920:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190467, NULL, 'PTHR11528:SF102', NULL, NULL, NULL, NULL, 'BNAA10G28410D PROTEIN', NULL, NULL, NULL, 15),
(190468, NULL, 'PTHR33057:SF143', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190469, NULL, 'PTHR43851:SF4', NULL, NULL, NULL, NULL, 'ATYPICAL KINASE COQ8B, MITOCHONDRIAL', NULL, NULL, 5028, 15),
(190470, NULL, 'PTHR11712:SF330', NULL, NULL, NULL, NULL, '3-OXOACYL-(ACYL CARRIER) SYNTHASE II', NULL, NULL, NULL, 15),
(190471, NULL, 'PTHR13392:SF5', NULL, NULL, NULL, NULL, 'ATAXIN-1', NULL, NULL, 34920, 15),
(190472, NULL, 'PTHR19282:SF428', NULL, NULL, NULL, NULL, 'TETRASPANIN 68C, ISOFORM A', NULL, NULL, NULL, 15),
(190473, NULL, 'PTHR24377:SF718', NULL, NULL, NULL, NULL, 'ZINC FINGER PRTOEIN 943', NULL, NULL, NULL, 15),
(190474, NULL, 'PTHR12321:SF60', NULL, NULL, NULL, NULL, 'PHD FINGER PROTEIN ALFIN-LIKE 6', NULL, NULL, NULL, 15),
(190475, NULL, 'PTHR34197:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190476, NULL, 'PTHR43133:SF33', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA FACTOR SIGD', NULL, NULL, NULL, 15),
(190477, NULL, 'PTHR26452:SF734', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(190478, NULL, 'PTHR10769:SF3', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S28', NULL, NULL, NULL, 15),
(190479, NULL, 'PTHR24341:SF8', NULL, NULL, NULL, NULL, 'T0150490 ISOFORM 1', NULL, NULL, NULL, 15),
(190480, NULL, 'PTHR11955:SF76', NULL, NULL, NULL, NULL, 'FATTY ACID-BINDING PROTEIN 12', NULL, NULL, 27332, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190481, NULL, 'PTHR31413:SF24', NULL, NULL, NULL, NULL, 'NINJA-FAMILY PROTEIN 6-LIKE', NULL, NULL, NULL, 15),
(190482, NULL, 'PTHR37541', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190483, NULL, 'PTHR37391:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190484, NULL, 'PTHR33254:SF17', NULL, NULL, NULL, NULL, '4-HYDROXY-4-METHYL-2-OXOGLUTARATE ALDOLASE 1-RELATED', NULL, NULL, NULL, 15),
(190485, NULL, 'PTHR43698:SF1', NULL, NULL, NULL, NULL, 'RIBD C-TERMINAL DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(190486, NULL, 'PTHR14484:SF0', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 71', NULL, NULL, NULL, 15),
(190487, NULL, 'PTHR12203:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190488, NULL, 'PTHR23089:SF45', NULL, NULL, NULL, NULL, 'HISTIDINE TRIAD NUCLEOTIDE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(190489, NULL, 'PTHR43272:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190490, NULL, 'PTHR43775:SF22', NULL, NULL, NULL, NULL, 'SYNTHASE, PUTATIVE (JCVI)-RELATED', NULL, NULL, NULL, 15),
(190491, NULL, 'PTHR23012:SF163', NULL, NULL, NULL, NULL, 'OS01G0686700 PROTEIN', NULL, NULL, NULL, 15),
(190492, NULL, 'PTHR32448:SF137', NULL, NULL, NULL, NULL, 'CANNABIDIOLIC ACID SYNTHASE-LIKE 1-RELATED', NULL, NULL, NULL, 15),
(190493, NULL, 'PTHR22884:SF491', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(190494, NULL, 'PTHR47971', NULL, NULL, NULL, NULL, 'KINESIN-RELATED PROTEIN 6', NULL, NULL, NULL, 15),
(190495, NULL, 'PTHR12136:SF104', NULL, NULL, NULL, NULL, 'PLECKSTRIN-LIKE (PH) AND LIPID-BINDING START DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(190496, NULL, 'PTHR45676:SF121', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR C2H2 FAMILY-RELATED', NULL, NULL, NULL, 15),
(190497, NULL, 'PTHR13743:SF115', NULL, NULL, NULL, NULL, 'NEUROBEACHIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(190498, NULL, 'PTHR11064:SF149', NULL, NULL, NULL, NULL, 'OS01G0935100 PROTEIN', NULL, NULL, NULL, 15),
(190499, NULL, 'PTHR45974:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190500, NULL, 'PTHR33664', NULL, NULL, NULL, NULL, 'RCG26366', NULL, NULL, 30144, 15),
(190501, NULL, 'PTHR20772:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FMP42', NULL, NULL, NULL, 15),
(190502, NULL, 'PTHR19307:SF5', NULL, NULL, NULL, NULL, 'TUMOR PROTEIN D55', NULL, NULL, NULL, 15),
(190503, NULL, 'PTHR31985:SF90', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR ERF014', NULL, NULL, NULL, 15),
(190504, NULL, 'PTHR10890:SF25', NULL, NULL, NULL, NULL, 'CYSTEINE--TRNA LIGASE, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(190505, NULL, 'PTHR46443:SF13', NULL, NULL, NULL, NULL, 'PROTEIN MARD1', NULL, NULL, NULL, 15),
(190506, NULL, 'PTHR43895:SF97', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(190507, NULL, 'PTHR33087:SF19', NULL, NULL, NULL, NULL, 'CHROMATIN MODIFICATION-RELATED PROTEIN EAF1 B', NULL, NULL, NULL, 15),
(190508, NULL, 'PTHR24249:SF82', NULL, NULL, NULL, NULL, 'TRACE AMINE-ASSOCIATED RECEPTOR 3-RELATED', NULL, NULL, NULL, 15),
(190509, NULL, 'PTHR43706:SF15', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE-LIKE PROTEIN RV1812C', NULL, NULL, NULL, 15),
(190510, NULL, 'PTHR12601', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT  EIF-3', NULL, NULL, 24393, 15),
(190511, NULL, 'PTHR12317:SF59', NULL, NULL, NULL, NULL, 'OS02G0714100 PROTEIN', NULL, NULL, NULL, 15),
(190512, NULL, 'PTHR24027:SF91', NULL, NULL, NULL, NULL, 'CADHERIN-7', NULL, NULL, NULL, 15),
(190513, NULL, 'PTHR13103:SF4', NULL, NULL, NULL, NULL, 'ZGC:153615', NULL, NULL, NULL, 15),
(190514, NULL, 'PTHR36595:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190515, NULL, 'PTHR34206:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190516, NULL, 'PTHR31734:SF159', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190517, NULL, 'PTHR10584:SF166', NULL, NULL, NULL, NULL, 'RIBOKINASE', NULL, NULL, NULL, 15),
(190518, NULL, 'PTHR43353', NULL, NULL, NULL, NULL, 'SUCCINATE-SEMIALDEHYDE DEHYDROGENASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(190519, NULL, 'PTHR13301:SF164', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN G2', NULL, NULL, NULL, 15),
(190520, NULL, 'PTHR10986:SF16', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L20', NULL, NULL, NULL, 15),
(190521, NULL, 'PTHR23202:SF70', NULL, NULL, NULL, NULL, 'MYB DNA-BINDING DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_5G01730)', NULL, NULL, NULL, 15),
(190522, NULL, 'PTHR43301:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190523, NULL, 'PTHR48214', NULL, NULL, NULL, NULL, 'ZEIN-ALPHA PMS2', NULL, NULL, NULL, 15),
(190524, NULL, 'PTHR12357:SF100', NULL, NULL, NULL, NULL, 'BNAC03G73650D PROTEIN', NULL, NULL, NULL, 15),
(190525, NULL, 'PTHR11587:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190526, NULL, 'PTHR12542:SF142', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190527, NULL, 'PTHR37815:SF3', NULL, NULL, NULL, NULL, 'UPF0397 PROTEIN BC_2624-RELATED', NULL, NULL, NULL, 15),
(190528, NULL, 'PTHR31879:SF9', NULL, NULL, NULL, NULL, 'SAP DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190529, NULL, 'PTHR21449:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG13742', NULL, NULL, NULL, 15),
(190530, NULL, 'PTHR11945:SF275', NULL, NULL, NULL, NULL, 'MADS-BOX TRANSCRIPTION FACTOR 15', NULL, NULL, NULL, 15),
(190531, NULL, 'PTHR24211:SF22', NULL, NULL, NULL, NULL, 'TESTIN', NULL, NULL, NULL, 15),
(190532, NULL, 'PTHR45630', NULL, NULL, NULL, NULL, 'CATION-TRANSPORTING ATPASE-RELATED', NULL, NULL, NULL, 15),
(190533, NULL, 'PTHR43510:SF1', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE FUNCTION, HYPOTHETICAL (EUROFUNG)', NULL, NULL, NULL, 15),
(190534, NULL, 'PTHR37463:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190535, NULL, 'PTHR35099:SF14', NULL, NULL, NULL, NULL, 'BNAC06G40400D PROTEIN', NULL, NULL, NULL, 15),
(190536, NULL, 'PTHR12335:SF6', NULL, NULL, NULL, NULL, 'PROTEIN TIPE', NULL, NULL, NULL, 15),
(190537, NULL, 'PTHR11524:SF16', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L7-RELATED', NULL, NULL, NULL, 15),
(190538, NULL, 'PTHR43409:SF3', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190539, NULL, 'PTHR31680:SF17', NULL, NULL, NULL, NULL, 'DUF3741-ASSOCIATED SEQUENCE MOTIF PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190540, NULL, 'PTHR24346:SF61', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PSK1-RELATED', NULL, NULL, NULL, 15),
(190541, NULL, 'PTHR12136:SF91', NULL, NULL, NULL, NULL, 'PROTEIN ENHANCED DISEASE RESISTANCE 2-LIKE', NULL, NULL, NULL, 15),
(190542, NULL, 'PTHR24281:SF153', NULL, NULL, NULL, NULL, 'CYTOCHROME 71D6', NULL, NULL, NULL, 15),
(190543, NULL, 'PTHR24223:SF355', NULL, NULL, NULL, NULL, 'SI:CH211-221F10.2', NULL, NULL, 27786, 15),
(190544, NULL, 'PTHR11537:SF23', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 2', NULL, NULL, 766, 15),
(190545, NULL, 'PTHR32100:SF64', NULL, NULL, NULL, NULL, 'OS07G0416900 PROTEIN', NULL, NULL, NULL, 15),
(190546, NULL, 'PTHR23115:SF188', NULL, NULL, NULL, NULL, 'HBS1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(190547, NULL, 'PTHR11909:SF381', NULL, NULL, NULL, NULL, 'TAU TUBULIN KINASE', NULL, NULL, NULL, 15),
(190548, NULL, 'PTHR11260:SF697', NULL, NULL, NULL, NULL, 'BNAA06G11510D PROTEIN', NULL, NULL, NULL, 15),
(190549, NULL, 'PTHR12356:SF30', NULL, NULL, NULL, NULL, 'NUDC DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(190550, NULL, 'PTHR32093:SF124', NULL, NULL, NULL, NULL, 'POLLEN-SPECIFIC LEUCINE-RICH REPEAT EXTENSIN-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(190551, NULL, 'PTHR28613:SF5', NULL, NULL, NULL, NULL, 'SI:CH211-232M10.4-RELATED', NULL, NULL, NULL, 15),
(190552, NULL, 'PTHR10358:SF6', NULL, NULL, NULL, NULL, 'ENDOSULFINE, ISOFORM A', NULL, NULL, NULL, 15),
(190553, NULL, 'PTHR24637:SF257', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN DPY-5', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190554, NULL, 'PTHR11654:SF112', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.1', NULL, NULL, NULL, 15),
(190555, NULL, 'PTHR10257:SF77', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(190556, NULL, 'PTHR24331:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN DBX1', NULL, NULL, NULL, 15),
(190557, NULL, 'PTHR16209:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190558, NULL, 'PTHR23132', NULL, NULL, NULL, NULL, 'D-ALANINE--D-ALANINE LIGASE', NULL, NULL, NULL, 15),
(190559, NULL, 'PTHR26452:SF175', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(190560, NULL, 'PTHR32175:SF17', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(190561, NULL, 'PTHR23112:SF13', NULL, NULL, NULL, NULL, 'CYCLIC AMP RECEPTOR-LIKE PROTEIN C', NULL, NULL, NULL, 15),
(190562, NULL, 'PTHR11388:SF139', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER ORGANIC ANION TRANSPORTER FAMILY MEMBER', NULL, NULL, NULL, 15),
(190563, NULL, 'PTHR33074:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190564, NULL, 'PTHR46128:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190565, NULL, 'PTHR11937:SF278', NULL, NULL, NULL, NULL, 'BETA-ACTIN-LIKE PROTEIN 3-RELATED', NULL, NULL, NULL, 15),
(190566, NULL, 'PTHR46485:SF2', NULL, NULL, NULL, NULL, 'ZGC:113162', NULL, NULL, NULL, 15),
(190567, NULL, 'PTHR33067:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190568, NULL, 'PTHR26450:SF367', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(190569, NULL, 'PTHR21327:SF40', NULL, NULL, NULL, NULL, 'BIFUNCTIONAL RIBOFLAVIN BIOSYNTHESIS PROTEIN RIBA 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(190570, NULL, 'PTHR31218:SF7', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(190571, NULL, 'PTHR43874:SF82', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR ARR20-RELATED', NULL, NULL, NULL, 15),
(190572, NULL, 'PTHR10314:SF218', NULL, NULL, NULL, NULL, 'CYSTEINE SYNTHASE', NULL, NULL, NULL, 15),
(190573, NULL, 'PTHR31682:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190574, NULL, 'PTHR10201:SF259', NULL, NULL, NULL, NULL, 'MATRIXIN PROTEIN', NULL, NULL, NULL, 15),
(190575, NULL, 'PTHR13799', NULL, NULL, NULL, NULL, 'NGG1 INTERACTING FACTOR 3', NULL, NULL, 2665, 15),
(190576, NULL, 'PTHR22978:SF5', NULL, NULL, NULL, NULL, 'PROTEIN BTG4', NULL, NULL, NULL, 15),
(190577, NULL, 'PTHR27005:SF224', NULL, NULL, NULL, NULL, 'OS09G0561482 PROTEIN', NULL, NULL, NULL, 15),
(190578, NULL, 'PTHR24342:SF15', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(190579, NULL, 'PTHR23359:SF167', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(190580, NULL, 'PTHR35545:SF12', NULL, NULL, NULL, NULL, 'OS05G0541600 PROTEIN', NULL, NULL, NULL, 15),
(190581, NULL, 'PTHR22996:SF11', NULL, NULL, NULL, NULL, 'MAHOGUNIN, RING FINGER 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(190582, NULL, 'PTHR34706:SF2', NULL, NULL, NULL, NULL, 'RFEF', NULL, NULL, NULL, 15),
(190583, NULL, 'PTHR21230:SF78', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE 11-RELATED', NULL, NULL, NULL, 15),
(190584, NULL, 'PTHR36461:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190585, NULL, 'PTHR43880:SF42', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE-LIKE 3', NULL, NULL, NULL, 15),
(190586, NULL, 'PTHR47401:SF1', NULL, NULL, NULL, NULL, 'INTERLEUKIN-4', NULL, NULL, NULL, 15),
(190587, NULL, 'PTHR31737:SF3', NULL, NULL, NULL, NULL, 'CELL WALL PROTEIN YJL171C', NULL, NULL, NULL, 15),
(190588, NULL, 'PTHR28097', NULL, NULL, NULL, NULL, 'PHEROMONE A FACTOR RECEPTOR', NULL, NULL, 6277, 15),
(190589, NULL, 'PTHR12999:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 15B', NULL, NULL, NULL, 15),
(190590, NULL, 'PTHR24320:SF187', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190591, NULL, 'PTHR30435:SF19', NULL, NULL, NULL, NULL, 'FLAGELLAR BASAL-BODY ROD PROTEIN FLGG', NULL, NULL, NULL, 15),
(190592, NULL, 'PTHR35161:SF4', NULL, NULL, NULL, NULL, 'OS02G0303100 PROTEIN', NULL, NULL, NULL, 15),
(190593, NULL, 'PTHR11177:SF345', NULL, NULL, NULL, NULL, 'CHITINASE', NULL, NULL, NULL, 15),
(190594, NULL, 'PTHR21136:SF181', NULL, NULL, NULL, NULL, 'LONGIN-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190595, NULL, 'PTHR10984', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM-GOLGI INTERMEDIATE COMPARTMENT PROTEIN', NULL, NULL, 38849, 15),
(190596, NULL, 'PTHR23155:SF1120', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RGA4', NULL, NULL, NULL, 15),
(190597, NULL, 'PTHR12169:SF20', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190598, NULL, 'PTHR23304:SF170', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190599, NULL, 'PTHR23257:SF877', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190600, NULL, 'PTHR10283:SF129', NULL, NULL, NULL, NULL, 'TONOPLAST DICARBOXYLATE TRANSPORTER', NULL, NULL, NULL, 15),
(190601, NULL, 'PTHR47976:SF26', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-KINASE SD2-5', NULL, NULL, NULL, 15),
(190602, NULL, 'PTHR33159:SF26', NULL, NULL, NULL, NULL, 'RPM1-INTERACTING PROTEIN 4 (RIN4) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190603, NULL, 'PTHR11711:SF137', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 4D', NULL, NULL, NULL, 15),
(190604, NULL, 'PTHR30109:SF6', NULL, NULL, NULL, NULL, 'ACETYL-COA DECARBONYLASE/SYNTHASE COMPLEX SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(190605, NULL, 'PTHR22847:SF678', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190606, NULL, 'PTHR10480:SF12', NULL, NULL, NULL, NULL, 'UNC-13, ISOFORM E', NULL, NULL, NULL, 15),
(190607, NULL, 'PTHR10615:SF170', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATXR5', NULL, NULL, NULL, 15),
(190608, NULL, 'PTHR45671:SF18', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL PHOSPHATE CARRIER PROTEIN 3, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(190609, NULL, 'PTHR34998', NULL, NULL, NULL, NULL, 'OS04G0357400 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190610, NULL, 'PTHR11909:SF88', NULL, NULL, NULL, NULL, 'PROTEIN CBG20999', NULL, NULL, NULL, 15),
(190611, NULL, 'PTHR22722:SF9', NULL, NULL, NULL, NULL, 'LOW DENSITY LIPOPROTEIN RECEPTOR-RELATED PROTEIN 2A-RELATED', NULL, NULL, NULL, 15),
(190612, NULL, 'PTHR31042:SF120', NULL, NULL, NULL, NULL, 'BNAA08G25540D PROTEIN', NULL, NULL, NULL, 15),
(190613, NULL, 'PTHR31207:SF29', NULL, NULL, NULL, NULL, 'BNAA01G30680D PROTEIN', NULL, NULL, NULL, 15),
(190614, NULL, 'PTHR47159:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG07705', NULL, NULL, NULL, 15),
(190615, NULL, 'PTHR42709:SF10', NULL, NULL, NULL, NULL, 'SNARE ASSOCIATED GOLGI PROTEIN', NULL, NULL, NULL, 15),
(190616, NULL, 'PTHR31509:SF126', NULL, NULL, NULL, NULL, 'BNAA09G00020D PROTEIN', NULL, NULL, NULL, 15),
(190617, NULL, 'PTHR31793:SF2', NULL, NULL, NULL, NULL, 'BLR6559 PROTEIN', NULL, NULL, NULL, 15),
(190618, NULL, 'PTHR11977:SF119', NULL, NULL, NULL, NULL, 'SUPERVILLIN C', NULL, NULL, NULL, 15),
(190619, NULL, 'PTHR19432:SF68', NULL, NULL, NULL, NULL, 'SUCROSE TRANSPORT PROTEIN SUC2-LIKE', NULL, NULL, NULL, 15),
(190620, NULL, 'PTHR45617:SF101', NULL, NULL, NULL, NULL, 'LEUCINE-RICH ALPHA-2-GLYCOPROTEIN', NULL, NULL, NULL, 15),
(190621, NULL, 'PTHR33526:SF14', NULL, NULL, NULL, NULL, 'OS05G0512100 PROTEIN', NULL, NULL, NULL, 15),
(190622, NULL, 'PTHR11384:SF36', NULL, NULL, NULL, NULL, 'FATTY ACID ABC TRANSPORTER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(190623, NULL, 'PTHR31071:SF39', NULL, NULL, NULL, NULL, 'PROTEIN BRANCHLESS TRICHOME', NULL, NULL, 34201, 15),
(190624, NULL, 'PTHR23338:SF44', NULL, NULL, NULL, NULL, 'U6 SNRNA-ASSOCIATED SM-LIKE PROTEIN LSM4-RELATED', NULL, NULL, NULL, 15),
(190625, NULL, 'PTHR45666:SF45', NULL, NULL, NULL, NULL, 'TYPE I INOSITOL POLYPHOSPHATE 5-PHOSPHATASE 4 ISOFORM X1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190626, NULL, 'PTHR31021', NULL, NULL, NULL, NULL, 'ADENOMATOSIS POLYPOSIS COLI DOWN-REGULATED 1', NULL, NULL, 36829, 15),
(190627, NULL, 'PTHR10438:SF432', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(190628, NULL, 'PTHR11782:SF111', NULL, NULL, NULL, NULL, 'APYRASE', NULL, NULL, NULL, 15),
(190629, NULL, 'PTHR11929:SF218', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN 3-ALPHA-L-FUCOSYLTRANSFERASE A', NULL, NULL, NULL, 15),
(190630, NULL, 'PTHR33022:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190631, NULL, 'PTHR12483:SF105', NULL, NULL, NULL, NULL, 'CTR FAMILY COPPER TRANSPORTER', NULL, NULL, NULL, 15),
(190632, NULL, 'PTHR34970', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190633, NULL, 'PTHR21366:SF14', NULL, NULL, NULL, NULL, 'GLYOXALASE DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(190634, NULL, 'PTHR43023', NULL, NULL, NULL, NULL, 'PROTEIN TRIGALACTOSYLDIACYLGLYCEROL 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(190635, NULL, 'PTHR11216:SF137', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190636, NULL, 'PTHR11364:SF12', NULL, NULL, NULL, NULL, 'OS02G0167100 PROTEIN', NULL, NULL, NULL, 15),
(190637, NULL, 'PTHR12514', NULL, NULL, NULL, NULL, 'ENHANCER OF YELLOW 2 TRANSCRIPTION FACTOR', NULL, NULL, 19408, 15),
(190638, NULL, 'PTHR15182', NULL, NULL, NULL, NULL, 'A-KINASE ANCHOR PROTEIN 5-RELATED', NULL, NULL, 39962, 15),
(190639, NULL, 'PTHR11206:SF181', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(190640, NULL, 'PTHR19269:SF45', NULL, NULL, NULL, NULL, 'TROPOMYOSIN-1, ISOFORMS 33/34', NULL, NULL, NULL, 15),
(190641, NULL, 'PTHR43226:SF3', NULL, NULL, NULL, NULL, 'XAA-PRO AMINOPEPTIDASE AN0832-RELATED', NULL, NULL, NULL, 15),
(190642, NULL, 'PTHR34121:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190643, NULL, 'PTHR24221:SF570', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 1', NULL, NULL, NULL, 15),
(190644, NULL, 'PTHR13817:SF43', NULL, NULL, NULL, NULL, 'MYOSIN-BINDING PROTEIN C, FAST TYPE B', NULL, NULL, NULL, 15),
(190645, NULL, 'PTHR18034:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190646, NULL, 'PTHR23421:SF131', NULL, NULL, NULL, NULL, 'BETA-GALACTOSIDASE 16', NULL, NULL, NULL, 15),
(190647, NULL, 'PTHR47038:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190648, NULL, 'PTHR31375:SF119', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE/GLYCOSIDE HYDROLASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190649, NULL, 'PTHR11188:SF138', NULL, NULL, NULL, NULL, 'ARRESTIN DOMAIN-CONTAINING 1A-RELATED', NULL, NULL, NULL, 15),
(190650, NULL, 'PTHR12307:SF36', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT GAC1-RELATED', NULL, NULL, NULL, 15),
(190651, NULL, 'PTHR44924:SF1', NULL, NULL, NULL, NULL, 'DNAJ SUBFAMILY A MEMBER 2', NULL, NULL, NULL, 15),
(190652, NULL, 'PTHR43078:SF8', NULL, NULL, NULL, NULL, 'CDP TYVULOSE EPIMERASE-RELATED', NULL, NULL, NULL, 15),
(190653, NULL, 'PTHR30525', NULL, NULL, NULL, NULL, '1-DEOXY-D-XYLULOSE 5-PHOSPHATE REDUCTOISOMERASE', NULL, NULL, 3180, 15),
(190654, NULL, 'PTHR13132:SF32', NULL, NULL, NULL, NULL, 'COATOMER PROTEIN', NULL, NULL, NULL, 15),
(190655, NULL, 'PTHR31251:SF121', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 17', NULL, NULL, NULL, 15),
(190656, NULL, 'PTHR23500:SF557', NULL, NULL, NULL, NULL, 'POLYOL TRANSPORTER 5-LIKE', NULL, NULL, NULL, 15),
(190657, NULL, 'PTHR33564:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190658, NULL, 'PTHR11920:SF40', NULL, NULL, NULL, NULL, 'RECEPTOR-TYPE GUANYLATE CYCLASE GCY-14-RELATED', NULL, NULL, NULL, 15),
(190659, NULL, 'PTHR13814:SF10', NULL, NULL, NULL, NULL, 'FETUIN-B', NULL, NULL, NULL, 15),
(190660, NULL, 'PTHR46266:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TT8', NULL, NULL, NULL, 15),
(190661, NULL, 'PTHR19981:SF1', NULL, NULL, NULL, NULL, 'RHEA, ISOFORM B', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190662, NULL, 'PTHR43702:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190663, NULL, 'PTHR47393:SF1', NULL, NULL, NULL, NULL, 'CYSTATIN-12', NULL, NULL, NULL, 15),
(190664, NULL, 'PTHR30289:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190665, NULL, 'PTHR32212:SF361', NULL, NULL, NULL, NULL, 'BNAA03G12150D PROTEIN', NULL, NULL, NULL, 15),
(190666, NULL, 'PTHR43391', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(190667, NULL, 'PTHR11592', NULL, NULL, NULL, NULL, 'GLUTATHIONE PEROXIDASE', NULL, NULL, 4594, 15),
(190668, NULL, 'PTHR15592:SF16', NULL, NULL, NULL, NULL, 'POLYPYRIMIDINE TRACT-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(190669, NULL, 'PTHR31945:SF95', NULL, NULL, NULL, NULL, 'BNAA05G17860D PROTEIN', NULL, NULL, NULL, 15),
(190670, NULL, 'PTHR45985', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190671, NULL, 'PTHR11685:SF229', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(190672, NULL, 'PTHR34823', NULL, NULL, NULL, NULL, 'GLCNAC-BINDING PROTEIN A', NULL, NULL, NULL, 15),
(190673, NULL, 'PTHR12429:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190674, NULL, 'PTHR24356:SF332', NULL, NULL, NULL, NULL, 'AGC (CAMP-DEPENDENT, CGMP-DEPENDENT AND PROTEIN KINASE C) KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190675, NULL, 'PTHR13822:SF18', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT DELTA'', MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(190676, NULL, 'PTHR12542:SF26', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190677, NULL, 'PTHR10682:SF21', NULL, NULL, NULL, NULL, 'POLYMERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190678, NULL, 'PTHR31042:SF73', NULL, NULL, NULL, NULL, 'CORE-2/I-BRANCHING BETA-16-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190679, NULL, 'PTHR33346:SF16', NULL, NULL, NULL, NULL, 'DEHYDRIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190680, NULL, 'PTHR11240:SF57', NULL, NULL, NULL, NULL, 'OS09G0538000 PROTEIN', NULL, NULL, NULL, 15),
(190681, NULL, 'PTHR11014:SF156', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190682, NULL, 'PTHR31989:SF233', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 26', NULL, NULL, NULL, 15),
(190683, NULL, 'PTHR44899:SF3', NULL, NULL, NULL, NULL, 'CAMK FAMILY PROTEIN KINASE', NULL, NULL, NULL, 15),
(190684, NULL, 'PTHR31548', NULL, NULL, NULL, NULL, 'CLARIN', NULL, NULL, 27521, 15),
(190685, NULL, 'PTHR33490:SF6', NULL, NULL, NULL, NULL, 'BLR5614 PROTEIN', NULL, NULL, NULL, 15),
(190686, NULL, 'PTHR31238:SF18', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY 2 MEMBER 4', NULL, NULL, NULL, 15),
(190687, NULL, 'PTHR13778:SF18', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(190688, NULL, 'PTHR45687:SF40', NULL, NULL, NULL, NULL, 'AQUAPORIN PIP2-1-RELATED', NULL, NULL, NULL, 15),
(190689, NULL, 'PTHR30612:SF0', NULL, NULL, NULL, NULL, 'SI:DKEY-187J14.7-RELATED', NULL, NULL, NULL, 15),
(190690, NULL, 'PTHR37069', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190691, NULL, 'PTHR47992:SF97', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 68-RELATED', NULL, NULL, NULL, 15),
(190692, NULL, 'PTHR30468:SF29', NULL, NULL, NULL, NULL, 'FAMILY TAURINE DIOXYGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190693, NULL, 'PTHR11961:SF32', NULL, NULL, NULL, NULL, 'CYTOCHROME C', NULL, NULL, NULL, 15),
(190694, NULL, 'PTHR31587', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN (DUF2215)', NULL, NULL, NULL, 15),
(190695, NULL, 'PTHR45719:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190696, NULL, 'PTHR31636:SF9', NULL, NULL, NULL, NULL, 'PROTEIN SHORT-ROOT', NULL, NULL, 25626, 15),
(190697, NULL, 'PTHR47746:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190698, NULL, 'PTHR46279:SF19', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL69-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190699, NULL, 'PTHR43580:SF3', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G11600)', NULL, NULL, NULL, 15),
(190700, NULL, 'PTHR17630:SF83', NULL, NULL, NULL, NULL, 'ENDO-1,31,4-BETA-D-GLUCANASE-RELATED', NULL, NULL, NULL, 15),
(190701, NULL, 'PTHR43606:SF6', NULL, NULL, NULL, NULL, 'ALKALINE PHOSPHATASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_5G03860)', NULL, NULL, NULL, 15),
(190702, NULL, 'PTHR35298:SF4', NULL, NULL, NULL, NULL, 'BNAA01G32090D PROTEIN', NULL, NULL, NULL, 15),
(190703, NULL, 'PTHR22835:SF496', NULL, NULL, NULL, NULL, 'OS01G0612900 PROTEIN', NULL, NULL, NULL, 15),
(190704, NULL, 'PTHR31989:SF339', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR 29-LIKE', NULL, NULL, NULL, 15),
(190705, NULL, 'PTHR34120:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190706, NULL, 'PTHR14741:SF32', NULL, NULL, NULL, NULL, 'TRIMETHYLGUANOSINE SYNTHASE', NULL, NULL, NULL, 15),
(190707, NULL, 'PTHR11426:SF207', NULL, NULL, NULL, NULL, 'HISTONE H3', NULL, NULL, NULL, 15),
(190708, NULL, 'PTHR11675:SF38', NULL, NULL, NULL, NULL, 'POLYPEPTIDE N-ACETYLGALACTOSAMINYLTRANSFERASE 17', NULL, NULL, NULL, 15),
(190709, NULL, 'PTHR34196:SF4', NULL, NULL, NULL, NULL, 'BNAC09G20880D PROTEIN', NULL, NULL, NULL, 15),
(190710, NULL, 'PTHR31889:SF72', NULL, NULL, NULL, NULL, 'BNAA06G38170D PROTEIN', NULL, NULL, NULL, 15),
(190711, NULL, 'PTHR11909:SF302', NULL, NULL, NULL, NULL, 'OSJNBB0070J16.10 PROTEIN', NULL, NULL, NULL, 15),
(190712, NULL, 'PTHR20863:SF60', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN 3, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(190713, NULL, 'PTHR15907:SF148', NULL, NULL, NULL, NULL, 'CELL NUMBER REGULATOR 2', NULL, NULL, NULL, 15),
(190714, NULL, 'PTHR43015:SF1', NULL, NULL, NULL, NULL, 'D-RIBITOL-5-PHOSPHATE CYTIDYLYLTRANSFERASE', NULL, NULL, NULL, 15),
(190715, NULL, 'PTHR22891:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190716, NULL, 'PTHR42647:SF20', NULL, NULL, NULL, NULL, 'RING ZINC FINGER DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190717, NULL, 'PTHR45878:SF15', NULL, NULL, NULL, NULL, 'OS09G0307400 PROTEIN', NULL, NULL, NULL, 15),
(190718, NULL, 'PTHR10159:SF513', NULL, NULL, NULL, NULL, 'SPECIFICITY PROTEIN PHOSPHATASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190719, NULL, 'PTHR31218:SF36', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(190720, NULL, 'PTHR45776:SF4', NULL, NULL, NULL, NULL, 'MICROPHTHALMIA-ASSOCIATED TRANSCRIPTION FACTOR', NULL, NULL, 27733, 15),
(190721, NULL, 'PTHR23107:SF19', NULL, NULL, NULL, NULL, 'GRF1-INTERACTING FACTOR 1-LIKE', NULL, NULL, NULL, 15),
(190722, NULL, 'PTHR21109:SF12', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S21-RELATED', NULL, NULL, NULL, 15),
(190723, NULL, 'PTHR11850:SF294', NULL, NULL, NULL, NULL, 'TGFB-INDUCED FACTOR HOMEOBOX 2-LIKE, X-LINKED 1', NULL, NULL, NULL, 15),
(190724, NULL, 'PTHR11886:SF64', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(190725, NULL, 'PTHR43085:SF33', NULL, NULL, NULL, NULL, 'BNAC09G52860D PROTEIN', NULL, NULL, NULL, 15),
(190726, NULL, 'PTHR22930:SF64', NULL, NULL, NULL, NULL, 'OS05G0184901 PROTEIN', NULL, NULL, NULL, 15),
(190727, NULL, 'PTHR11439:SF320', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190728, NULL, 'PTHR20855:SF116', NULL, NULL, NULL, NULL, 'HEPTAHELICAL TRANSMEMBRANE PROTEIN 1', NULL, NULL, NULL, 15),
(190729, NULL, 'PTHR10677:SF51', NULL, NULL, NULL, NULL, 'BNAA07G03090D PROTEIN', NULL, NULL, NULL, 15),
(190730, NULL, 'PTHR46288:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190731, NULL, 'PTHR10372:SF25', NULL, NULL, NULL, NULL, 'PLAKOPHILIN-2', NULL, NULL, NULL, 15),
(190732, NULL, 'PTHR28620:SF8', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN V-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(190733, NULL, 'PTHR46101:SF15', NULL, NULL, NULL, NULL, 'BNAA09G15450D PROTEIN', NULL, NULL, NULL, 15),
(190734, NULL, 'PTHR47926:SF217', NULL, NULL, NULL, NULL, 'OS09G0412900 PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190735, NULL, 'PTHR31496:SF34', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR KAN2-RELATED', NULL, NULL, NULL, 15),
(190736, NULL, 'PTHR47992:SF124', NULL, NULL, NULL, NULL, 'PPM-TYPE PHOSPHATASE DOMAIN, PROTEIN PHOSPHATASE 2C FAMILY-RELATED', NULL, NULL, NULL, 15),
(190737, NULL, 'PTHR11353:SF197', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190738, NULL, 'PTHR23170:SF3', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 45', NULL, NULL, NULL, 15),
(190739, NULL, 'PTHR32166:SF75', NULL, NULL, NULL, NULL, 'HAT TRANSPOSON SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(190740, NULL, 'PTHR22957:SF589', NULL, NULL, NULL, NULL, 'RAB-GTPASE-TBC DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190741, NULL, 'PTHR31435:SF9', NULL, NULL, NULL, NULL, 'PROTEIN NATD1', NULL, NULL, NULL, 15),
(190742, NULL, 'PTHR47368:SF2', NULL, NULL, NULL, NULL, 'NUMB', NULL, NULL, NULL, 15),
(190743, NULL, 'PTHR48049:SF19', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(190744, NULL, 'PTHR45933:SF21', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190745, NULL, 'PTHR30474:SF13', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN E', NULL, NULL, NULL, 15),
(190746, NULL, 'PTHR33065:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190747, NULL, 'PTHR45621:SF123', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE, ACTIVE SITE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190748, NULL, 'PTHR45715:SF3', NULL, NULL, NULL, NULL, 'ATPASE H+-TRANSPORTING V1 SUBUNIT E1A-RELATED', NULL, NULL, NULL, 15),
(190749, NULL, 'PTHR31832:SF55', NULL, NULL, NULL, NULL, 'SALT TOLERANCE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(190750, NULL, 'PTHR19269', NULL, NULL, NULL, NULL, 'TROPOMYOSIN', NULL, NULL, NULL, 15),
(190751, NULL, 'PTHR46805:SF1', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J1', NULL, NULL, NULL, 15),
(190752, NULL, 'PTHR11142:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190753, NULL, 'PTHR33164:SF40', NULL, NULL, NULL, NULL, 'MARR FAMILY TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(190754, NULL, 'PTHR47496:SF1', NULL, NULL, NULL, NULL, 'CD27 ANTIGEN', NULL, NULL, NULL, 15),
(190755, NULL, 'PTHR11668:SF300', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(190756, NULL, 'PTHR43365', NULL, NULL, NULL, NULL, 'BLR7806 PROTEIN', NULL, NULL, NULL, 15),
(190757, NULL, 'PTHR30576:SF10', NULL, NULL, NULL, NULL, 'SLL5057 PROTEIN', NULL, NULL, NULL, 15),
(190758, NULL, 'PTHR11465:SF47', NULL, NULL, NULL, NULL, 'CATALASE', NULL, NULL, NULL, 15),
(190759, NULL, 'PTHR31126:SF43', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE DSP3', NULL, NULL, NULL, 15),
(190760, NULL, 'PTHR24243:SF216', NULL, NULL, NULL, NULL, 'THYROTROPIN-RELEASING HORMONE RECEPTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(190761, NULL, 'PTHR11073:SF30', NULL, NULL, NULL, NULL, 'CALNEXIN HOMOLOG', NULL, NULL, NULL, 15),
(190762, NULL, 'PTHR10030:SF40', NULL, NULL, NULL, NULL, 'PLASMA ALPHA-L-FUCOSIDASE', NULL, NULL, NULL, 15),
(190763, NULL, 'PTHR10257:SF94', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(190764, NULL, 'PTHR10374', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE  GLYOXALASE I', NULL, NULL, NULL, 15),
(190765, NULL, 'PTHR33228:SF5', NULL, NULL, NULL, NULL, 'PROTEIN GLUTAMINE DUMPER 2', NULL, NULL, NULL, 15),
(190766, NULL, 'PTHR11814:SF16', NULL, NULL, NULL, NULL, 'SULFATE TRANSPORTER', NULL, NULL, 28534, 15),
(190767, NULL, 'PTHR36782:SF1', NULL, NULL, NULL, NULL, 'BNAC03G62080D PROTEIN', NULL, NULL, NULL, 15),
(190768, NULL, 'PTHR24026:SF98', NULL, NULL, NULL, NULL, 'CADHERIN FAMILY', NULL, NULL, NULL, 15),
(190769, NULL, 'PTHR10489:SF627', NULL, NULL, NULL, NULL, 'C-C CHEMOKINE RECEPTOR TYPE 8', NULL, NULL, NULL, 15),
(190770, NULL, 'PTHR11829:SF195', NULL, NULL, NULL, NULL, 'HEPATOCYTE NUCLEAR FACTOR 3-ALPHA', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190771, NULL, 'PTHR46234:SF8', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(190772, NULL, 'PTHR48065:SF29', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190773, NULL, 'PTHR11909:SF419', NULL, NULL, NULL, NULL, 'PROTEIN CBG11274', NULL, NULL, NULL, 15),
(190774, NULL, 'PTHR11926:SF1341', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(190775, NULL, 'PTHR11654:SF541', NULL, NULL, NULL, NULL, 'OS02G0689900 PROTEIN', NULL, NULL, NULL, 15),
(190776, NULL, 'PTHR43811:SF21', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP42-RELATED', NULL, NULL, NULL, 15),
(190777, NULL, 'PTHR47990:SF74', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(190778, NULL, 'PTHR31645:SF61', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL8-RELATED', NULL, NULL, NULL, 15),
(190779, NULL, 'PTHR10218:SF210', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN ALPHA-13 SUBUNIT', NULL, NULL, NULL, 15),
(190780, NULL, 'PTHR34491:SF17', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT 110', NULL, NULL, NULL, 15),
(190781, NULL, 'PTHR31360:SF15', NULL, NULL, NULL, NULL, 'OIL BODY-ASSOCIATED PROTEIN 1A-LIKE', NULL, NULL, NULL, 15),
(190782, NULL, 'PTHR31356:SF51', NULL, NULL, NULL, NULL, 'L-ASCORBATE PEROXIDASE 1, CYTOSOLIC', NULL, NULL, NULL, 15),
(190783, NULL, 'PTHR23155:SF966', NULL, NULL, NULL, NULL, 'OS02G0475500 PROTEIN', NULL, NULL, NULL, 15),
(190784, NULL, 'PTHR10814:SF31', NULL, NULL, NULL, NULL, 'TLE FAMILY MEMBER 5-RELATED', NULL, NULL, NULL, 15),
(190785, NULL, 'PTHR40765', NULL, NULL, NULL, NULL, 'ESX-2 SECRETION SYSTEM ATPASE ECCB2', NULL, NULL, 2223, 15),
(190786, NULL, 'PTHR42705:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190787, NULL, 'PTHR31499:SF54', NULL, NULL, NULL, NULL, 'BNAA01G37390D PROTEIN', NULL, NULL, NULL, 15),
(190788, NULL, 'PTHR12553:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190789, NULL, 'PTHR21198', NULL, NULL, NULL, NULL, 'GLUTAMATE RACEMASE', NULL, NULL, NULL, 15),
(190790, NULL, 'PTHR27002:SF520', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 29', NULL, NULL, NULL, 15),
(190791, NULL, 'PTHR23358', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 29823, 15),
(190792, NULL, 'PTHR19971:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190793, NULL, 'PTHR43384:SF7', NULL, NULL, NULL, NULL, 'CARBON-MONOXIDE DEHYDROGENASE ACCESSORY PROTEIN', NULL, NULL, NULL, 15),
(190794, NULL, 'PTHR11037:SF12', NULL, NULL, NULL, NULL, 'UPSTREAM-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(190795, NULL, 'PTHR14234:SF21', NULL, NULL, NULL, NULL, 'RIMS-BINDING PROTEIN 3A-RELATED', NULL, NULL, 30272, 15),
(190796, NULL, 'PTHR25462:SF257', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 35306, 15),
(190797, NULL, 'PTHR16271:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190798, NULL, 'PTHR43261:SF4', NULL, NULL, NULL, NULL, 'CHROMOSOME 12, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(190799, NULL, 'PTHR23291:SF94', NULL, NULL, NULL, NULL, 'SI:CH211-284O19.8', NULL, NULL, NULL, 15),
(190800, NULL, 'PTHR33735:SF7', NULL, NULL, NULL, NULL, 'OS08G0483600 PROTEIN', NULL, NULL, NULL, 15),
(190801, NULL, 'PTHR47403', NULL, NULL, NULL, NULL, 'LOC100145250 PROTEIN', NULL, NULL, NULL, 15),
(190802, NULL, 'PTHR11017:SF365', NULL, NULL, NULL, NULL, 'TMV RESISTANCE PROTEIN N-LIKE', NULL, NULL, NULL, 15),
(190803, NULL, 'PTHR47239', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190804, NULL, 'PTHR11758:SF36', NULL, NULL, NULL, NULL, 'BNAA02G06730D PROTEIN', NULL, NULL, NULL, 15),
(190805, NULL, 'PTHR11848:SF119', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 8A-RELATED', NULL, NULL, NULL, 15),
(190806, NULL, 'PTHR27005:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190807, NULL, 'PTHR43591:SF2', NULL, NULL, NULL, NULL, 'SLR1610 PROTEIN', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190808, NULL, 'PTHR21433:SF8', NULL, NULL, NULL, NULL, 'BNACNNG39370D PROTEIN', NULL, NULL, NULL, 15),
(190809, NULL, 'PTHR22835:SF544', NULL, NULL, NULL, NULL, 'OS10G0392900 PROTEIN', NULL, NULL, NULL, 15),
(190810, NULL, 'PTHR11937:SF486', NULL, NULL, NULL, NULL, 'ACTIN-RELATED PROTEIN 3', NULL, NULL, NULL, 15),
(190811, NULL, 'PTHR24023:SF936', NULL, NULL, NULL, NULL, 'COLLAGEN TYPE VI ALPHA 2 CHAIN', NULL, NULL, NULL, 15),
(190812, NULL, 'PTHR22811:SF139', NULL, NULL, NULL, NULL, 'EMP24/GP25L/P24 FAMILY/GOLD PROTEIN', NULL, NULL, NULL, 15),
(190813, NULL, 'PTHR47831', NULL, NULL, NULL, NULL, 'GENERAL TRANSCRIPTION FACTOR II-I REPEAT DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 36368, 15),
(190814, NULL, 'PTHR17611', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 27650, 15),
(190815, NULL, 'PTHR10994:SF153', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B3-RELATED', NULL, NULL, NULL, 15),
(190816, NULL, 'PTHR23050:SF404', NULL, NULL, NULL, NULL, 'EF HAND CALCIUM-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190817, NULL, 'PTHR31072:SF147', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR TCP2-LIKE', NULL, NULL, NULL, 15),
(190818, NULL, 'PTHR12472', NULL, NULL, NULL, NULL, 'RAB3-GAP REGULATORY DOMAIN', NULL, NULL, 25677, 15),
(190819, NULL, 'PTHR33986:SF14', NULL, NULL, NULL, NULL, 'FISSION PROTEIN ELM1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(190820, NULL, 'PTHR31301:SF117', NULL, NULL, NULL, NULL, 'LATERAL ORGAN BOUNDARIES (LOB) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(190821, NULL, 'PTHR13161:SF4', NULL, NULL, NULL, NULL, 'CLK4-ASSOCIATING SERINE/ARGININE RICH PROTEIN', NULL, NULL, NULL, 15),
(190822, NULL, 'PTHR45800:SF31', NULL, NULL, NULL, NULL, 'BNAC04G47440D PROTEIN', NULL, NULL, NULL, 15),
(190823, NULL, 'PTHR42789', NULL, NULL, NULL, NULL, 'D-ISOMER SPECIFIC 2-HYDROXYACID DEHYDROGENASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_6G10090)', NULL, NULL, NULL, 15),
(190824, NULL, 'PTHR10286:SF3', NULL, NULL, NULL, NULL, 'INORGANIC PYROPHOSPHATASE', NULL, NULL, NULL, 15),
(190825, NULL, 'PTHR26454:SF23', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 807', NULL, NULL, NULL, 15),
(190826, NULL, 'PTHR33732:SF11', NULL, NULL, NULL, NULL, 'BNAA07G25040D PROTEIN', NULL, NULL, NULL, 15),
(190827, NULL, 'PTHR48056:SF33', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190828, NULL, 'PTHR45754:SF6', NULL, NULL, NULL, NULL, 'METHYLENETETRAHYDROFOLATE REDUCTASE', NULL, NULL, NULL, 15),
(190829, NULL, 'PTHR13301:SF206', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 3 [UDP-FORMING]', NULL, NULL, NULL, 15),
(190830, NULL, 'PTHR11616:SF283', NULL, NULL, NULL, NULL, 'TRANSPORTER', NULL, NULL, NULL, 15),
(190831, NULL, 'PTHR21713:SF33', NULL, NULL, NULL, NULL, 'NASCENT POLYPEPTIDE-ASSOCIATED COMPLEX SUBUNIT ALPHA-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(190832, NULL, 'PTHR31859:SF4', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 39B', NULL, NULL, 7170, 15),
(190833, NULL, 'PTHR21576:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190834, NULL, 'PTHR47549:SF3', NULL, NULL, NULL, NULL, 'CHROMOSOME 23, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(190835, NULL, 'PTHR31945:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR FER-LIKE IRON DEFICIENCY-INDUCED TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(190836, NULL, 'PTHR46781:SF8', NULL, NULL, NULL, NULL, 'ALPHA 1,4-GLYCOSYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190837, NULL, 'PTHR27009:SF166', NULL, NULL, NULL, NULL, 'MALECTIN/RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190838, NULL, 'PTHR46805:SF2', NULL, NULL, NULL, NULL, 'FORKHEAD BOX PROTEIN J1-A', NULL, NULL, NULL, 15),
(190839, NULL, 'PTHR23160:SF22', NULL, NULL, NULL, NULL, 'BNAA02G11870D PROTEIN', NULL, NULL, NULL, 15),
(190840, NULL, 'PTHR35373:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG04547', NULL, NULL, NULL, 15),
(190841, NULL, 'PTHR13809', NULL, NULL, NULL, NULL, 'GUANINE NUCLEOTIDE-BINDING PROTEIN GAMMA SUBUNIT', NULL, NULL, 5414, 15),
(190842, NULL, 'PTHR24343:SF330', NULL, NULL, NULL, NULL, 'SNF1-ACTIVATING KINASE 1', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190843, NULL, 'PTHR23411:SF22', NULL, NULL, NULL, NULL, 'TAPASIN', NULL, NULL, NULL, 15),
(190844, NULL, 'PTHR23201:SF70', NULL, NULL, NULL, NULL, 'GIBBERELLIN-STIMULATED PROTEIN', NULL, NULL, NULL, 15),
(190845, NULL, 'PTHR16675:SF155', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD1C', NULL, NULL, NULL, 15),
(190846, NULL, 'PTHR46733', NULL, NULL, NULL, NULL, '26.5 KDA HEAT SHOCK PROTEIN, MITOCHONDRIAL', NULL, NULL, 37184, 15),
(190847, NULL, 'PTHR11205:SF50', NULL, NULL, NULL, NULL, 'BNAC03G73560D PROTEIN', NULL, NULL, NULL, 15),
(190848, NULL, 'PTHR27007:SF319', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE IX.1-LIKE', NULL, NULL, NULL, 15),
(190849, NULL, 'PTHR14326:SF25', NULL, NULL, NULL, NULL, 'OS12G0577000 PROTEIN', NULL, NULL, NULL, 15),
(190850, NULL, 'PTHR46282:SF1', NULL, NULL, NULL, NULL, 'LD15753P', NULL, NULL, NULL, 15),
(190851, NULL, 'PTHR31221:SF218', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 75-RELATED', NULL, NULL, NULL, 15),
(190852, NULL, 'PTHR10176', NULL, NULL, NULL, NULL, 'GLYCOGEN SYNTHASE', NULL, NULL, 14446, 15),
(190853, NULL, 'PTHR31692:SF69', NULL, NULL, NULL, NULL, 'EXPANSIN-B3-LIKE', NULL, NULL, NULL, 15),
(190854, NULL, 'PTHR31942:SF69', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(190855, NULL, 'PTHR43671:SF44', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK8', NULL, NULL, NULL, 15),
(190856, NULL, 'PTHR11937:SF437', NULL, NULL, NULL, NULL, 'ACTIN-LIKE', NULL, NULL, NULL, 15),
(190857, NULL, 'PTHR19317:SF68', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190858, NULL, 'PTHR13301:SF199', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE A CATALYTIC SUBUNIT 6 [UDP-FORMING]-RELATED', NULL, NULL, NULL, 15),
(190859, NULL, 'PTHR23086:SF124', NULL, NULL, NULL, NULL, 'RPKA', NULL, NULL, NULL, 15),
(190860, NULL, 'PTHR31414:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190861, NULL, 'PTHR32154:SF32', NULL, NULL, NULL, NULL, 'PYRUVATE SYNTHASE SUBUNIT PORA', NULL, NULL, NULL, 15),
(190862, NULL, 'PTHR12673:SF12', NULL, NULL, NULL, NULL, 'FYVE, RHOGEF AND PH DOMAIN-CONTAINING PROTEIN 6', NULL, NULL, NULL, 15),
(190863, NULL, 'PTHR10106:SF0', NULL, NULL, NULL, NULL, 'LD36721P', NULL, NULL, 25302, 15),
(190864, NULL, 'PTHR21090', NULL, NULL, NULL, NULL, 'AROM/DEHYDROQUINATE SYNTHASE', NULL, NULL, NULL, 15),
(190865, NULL, 'PTHR34709:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190866, NULL, 'PTHR28627:SF1', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE ASSEMBLY FACTOR 5', NULL, NULL, NULL, 15),
(190867, NULL, 'PTHR19961:SF18', NULL, NULL, NULL, NULL, 'FI19014P1', NULL, NULL, NULL, 15),
(190868, NULL, 'PTHR31945:SF20', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DYT1', NULL, NULL, NULL, 15),
(190869, NULL, 'PTHR11764:SF27', NULL, NULL, NULL, NULL, 'TERPENE CYCLASE/MUTASE FAMILY MEMBER', NULL, NULL, NULL, 15),
(190870, NULL, 'PTHR11334:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 152-RELATED', NULL, NULL, 26599, 15),
(190871, NULL, 'PTHR32096:SF101', NULL, NULL, NULL, NULL, 'BNAC02G22950D PROTEIN', NULL, NULL, NULL, 15),
(190872, NULL, 'PTHR13094:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 10', NULL, NULL, NULL, 15),
(190873, NULL, 'PTHR33109:SF76', NULL, NULL, NULL, NULL, 'EPIDERMAL PATTERNING FACTOR-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(190874, NULL, 'PTHR11842:SF10', NULL, NULL, NULL, NULL, 'MITOTIC SPINDLE ASSEMBLY CHECKPOINT PROTEIN MAD2B', NULL, NULL, NULL, 15),
(190875, NULL, 'PTHR11347:SF74', NULL, NULL, NULL, NULL, 'CAMP-SPECIFIC 3'',5''-CYCLIC PHOSPHODIESTERASE 4A', NULL, NULL, NULL, 15),
(190876, NULL, 'PTHR43018', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', NULL, NULL, NULL, 15),
(190877, NULL, 'PTHR43245:SF10', NULL, NULL, NULL, NULL, 'SUGAR DEHYDRATASE/EPIMERASE YFNG-RELATED', NULL, NULL, NULL, 15),
(190878, NULL, 'PTHR31236:SF57', NULL, NULL, NULL, NULL, 'BNAA07G00140D PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190879, NULL, 'PTHR43266', NULL, NULL, NULL, NULL, 'MACROLIDE-EFFLUX PROTEIN', NULL, NULL, NULL, 15),
(190880, NULL, 'PTHR23382:SF0', NULL, NULL, NULL, NULL, 'MALATE DEHYDROGENASE 2, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(190881, NULL, 'PTHR38646', NULL, NULL, NULL, NULL, 'YALI0F00814P', NULL, NULL, NULL, 15),
(190882, NULL, 'PTHR24070:SF421', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAB-42', NULL, NULL, NULL, 15),
(190883, NULL, 'PTHR24230:SF67', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR DAF-38', NULL, NULL, NULL, 15),
(190884, NULL, 'PTHR32044:SF92', NULL, NULL, NULL, NULL, 'BNAC09G36340D PROTEIN', NULL, NULL, NULL, 15),
(190885, NULL, 'PTHR33155:SF26', NULL, NULL, NULL, NULL, 'DUF3049 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(190886, NULL, 'PTHR33057:SF150', NULL, NULL, NULL, NULL, 'BNACNNG51140D PROTEIN', NULL, NULL, NULL, 15),
(190887, NULL, 'PTHR11937:SF434', NULL, NULL, NULL, NULL, 'ACTIN-12', NULL, NULL, NULL, 15),
(190888, NULL, 'PTHR43329:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190889, NULL, 'PTHR32467:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190890, NULL, 'PTHR23196:SF28', NULL, NULL, NULL, NULL, 'BRCT DOMAIN-CONTAINING DNA REPAIR PROTEIN', NULL, NULL, NULL, 15),
(190891, NULL, 'PTHR12549:SF8', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE 3B', NULL, NULL, NULL, 15),
(190892, NULL, 'PTHR12263:SF6', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT E1', NULL, NULL, NULL, 15),
(190893, NULL, 'PTHR31945:SF118', NULL, NULL, NULL, NULL, 'BNAA03G52850D PROTEIN', NULL, NULL, NULL, 15),
(190894, NULL, 'PTHR21528:SF4', NULL, NULL, NULL, NULL, 'BNAA08G25150D PROTEIN', NULL, NULL, NULL, 15),
(190895, NULL, 'PTHR11055:SF42', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE', NULL, NULL, NULL, 15),
(190896, NULL, 'PTHR31351:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190897, NULL, 'PTHR46019:SF7', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B, MEMBER 5', NULL, NULL, NULL, 15),
(190898, NULL, 'PTHR45619:SF37', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(190899, NULL, 'PTHR46225:SF15', NULL, NULL, NULL, NULL, 'OS05G0179000 PROTEIN', NULL, NULL, NULL, 15),
(190900, NULL, 'PTHR11808', NULL, NULL, NULL, NULL, 'TRANS-SULFURATION ENZYME FAMILY MEMBER', NULL, NULL, 578, 15),
(190901, NULL, 'PTHR46153:SF18', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN', NULL, NULL, NULL, 15),
(190902, NULL, 'PTHR48021:SF37', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ERD6-LIKE 16', NULL, NULL, NULL, 15),
(190903, NULL, 'PTHR43719:SF21', NULL, NULL, NULL, NULL, 'ETHYLENE RECEPTOR 3', NULL, NULL, NULL, 15),
(190904, NULL, 'PTHR31100:SF73', NULL, NULL, NULL, NULL, 'AT-HOOK MOTIF NUCLEAR-LOCALIZED PROTEIN', NULL, NULL, NULL, 15),
(190905, NULL, 'PTHR21388:SF9', NULL, NULL, NULL, NULL, 'BETA-DEFENSIN 1', NULL, NULL, NULL, 15),
(190906, NULL, 'PTHR47731', NULL, NULL, NULL, NULL, 'UBIQUITIN D', NULL, NULL, 37876, 15),
(190907, NULL, 'PTHR36074', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE', NULL, NULL, NULL, 15),
(190908, NULL, 'PTHR45642:SF81', NULL, NULL, NULL, NULL, 'BNAC03G17570D PROTEIN', NULL, NULL, NULL, 15),
(190909, NULL, 'PTHR33203:SF34', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(190910, NULL, 'PTHR45650:SF43', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE 7-LIKE', NULL, NULL, NULL, 15),
(190911, NULL, 'PTHR24567:SF26', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN YEIL', NULL, NULL, NULL, 15),
(190912, NULL, 'PTHR11564:SF7', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN, CHLOROPLASTIC', NULL, NULL, 5092, 15),
(190913, NULL, 'PTHR43171', NULL, NULL, NULL, NULL, 'EBONY', NULL, NULL, NULL, 15),
(190914, NULL, 'PTHR10799:SF814', NULL, NULL, NULL, NULL, 'B-TFIID TATA-BOX-BINDING PROTEIN-ASSOCIATED FACTOR 1', NULL, NULL, NULL, 15),
(190915, NULL, 'PTHR11132:SF352', NULL, NULL, NULL, NULL, 'OS06G0297600 PROTEIN', NULL, NULL, NULL, 15),
(190916, NULL, 'PTHR35575:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG23599', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190917, NULL, 'PTHR22870:SF399', NULL, NULL, NULL, NULL, 'OF CHROMOSOME CONDENSATION, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190918, NULL, 'PTHR12965:SF0', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 54', NULL, NULL, NULL, 15),
(190919, NULL, 'PTHR38499', NULL, NULL, NULL, NULL, 'ADIPOGENIN', NULL, NULL, 26078, 15),
(190920, NULL, 'PTHR31503:SF20', NULL, NULL, NULL, NULL, 'CA(2+)/H(+) EXCHANGER, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(190921, NULL, 'PTHR44216:SF3', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSYL-TRANSFERASE TMTC2', NULL, NULL, NULL, 15),
(190922, NULL, 'PTHR48108:SF12', NULL, NULL, NULL, NULL, 'CBS DOMAIN-CONTAINING PROTEIN CBSX1, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(190923, NULL, 'PTHR35870', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G03330)-RELATED', NULL, NULL, 22895, 15),
(190924, NULL, 'PTHR11255:SF48', NULL, NULL, NULL, NULL, 'DIACYLGLYCEROL KINASE 1', NULL, NULL, NULL, 15),
(190925, NULL, 'PTHR31713:SF67', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN60-RELATED', NULL, NULL, NULL, 15),
(190926, NULL, 'PTHR21255:SF17', NULL, NULL, NULL, NULL, 'LIGHT CHAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190927, NULL, 'PTHR44858', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 6', NULL, NULL, NULL, 15),
(190928, NULL, 'PTHR24416:SF134', NULL, NULL, NULL, NULL, 'INACTIVE TYROSINE-PROTEIN KINASE TRANSMEMBRANE RECEPTOR ROR1', NULL, NULL, NULL, 15),
(190929, NULL, 'PTHR11309:SF141', NULL, NULL, NULL, NULL, 'FRIZZLED CLASS RECEPTOR 5', NULL, NULL, NULL, 15),
(190930, NULL, 'PTHR38683:SF1', NULL, NULL, NULL, NULL, 'CHORISMATE PYRUVATE-LYASE', NULL, NULL, NULL, 15),
(190931, NULL, 'PTHR33876:SF4', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(190932, NULL, 'PTHR42068:SF1', NULL, NULL, NULL, NULL, 'YALI0B18964P', NULL, NULL, NULL, 15),
(190933, NULL, 'PTHR23262:SF184', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 10-10', NULL, NULL, NULL, 15),
(190934, NULL, 'PTHR27007:SF352', NULL, NULL, NULL, NULL, 'LECTIN 1', NULL, NULL, NULL, 15),
(190935, NULL, 'PTHR11353:SF187', NULL, NULL, NULL, NULL, 'T-COMPLEX PROTEIN 1 SUBUNIT EPSILON', NULL, NULL, NULL, 15),
(190936, NULL, 'PTHR21588:SF17', NULL, NULL, NULL, NULL, 'MICOS COMPLEX SUBUNIT', NULL, NULL, NULL, 15),
(190937, NULL, 'PTHR23241', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT  PLANTS  LEA-RELATED', NULL, NULL, NULL, 15),
(190938, NULL, 'PTHR47702:SF1', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(190939, NULL, 'PTHR43036:SF2', NULL, NULL, NULL, NULL, 'OSJNBB0011N17.9 PROTEIN', NULL, NULL, NULL, 15),
(190940, NULL, 'PTHR24298:SF774', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190941, NULL, 'PTHR21256:SF2', NULL, NULL, NULL, NULL, 'HISTIDINE BIOSYNTHESIS TRIFUNCTIONAL PROTEIN', NULL, NULL, NULL, 15),
(190942, NULL, 'PTHR48007:SF53', NULL, NULL, NULL, NULL, 'OS02G0267766 PROTEIN', NULL, NULL, NULL, 15),
(190943, NULL, 'PTHR43245:SF29', NULL, NULL, NULL, NULL, 'UDP-D-APIOSE/UDP-D-XYLOSE SYNTHASE 2-LIKE', NULL, NULL, NULL, 15),
(190944, NULL, 'PTHR23263:SF4', NULL, NULL, NULL, NULL, 'SKIN-SPECIFIC PROTEIN 32', NULL, NULL, 21977, 15),
(190945, NULL, 'PTHR19964:SF82', NULL, NULL, NULL, NULL, 'SI:CH211-250N8.1', NULL, NULL, NULL, 15),
(190946, NULL, 'PTHR13158:SF5', NULL, NULL, NULL, NULL, 'NAD KINASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(190947, NULL, 'PTHR43330:SF19', NULL, NULL, NULL, NULL, 'METHIONINE AMINOPEPTIDASE', NULL, NULL, NULL, 15),
(190948, NULL, 'PTHR22977:SF9', NULL, NULL, NULL, NULL, 'COX ASSEMBLY MITOCHONDRIAL PROTEIN', NULL, NULL, NULL, 15),
(190949, NULL, 'PTHR23330:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190950, NULL, 'PTHR45968:SF6', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(190951, NULL, 'PTHR31087:SF100', NULL, NULL, NULL, NULL, 'BNAC08G49520D PROTEIN', NULL, NULL, NULL, 15),
(190952, NULL, 'PTHR45653:SF6', NULL, NULL, NULL, NULL, 'DEDICATOR OF CYTOKINESIS PROTEIN 2', NULL, NULL, 23351, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190953, NULL, 'PTHR10543:SF99', NULL, NULL, NULL, NULL, 'BETA-CAROTENE 15,15''-MONOOXYGENASE', NULL, NULL, NULL, 15),
(190954, NULL, 'PTHR22594:SF50', NULL, NULL, NULL, NULL, 'BNAC01G21050D PROTEIN', NULL, NULL, NULL, 15),
(190955, NULL, 'PTHR26450:SF100', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(190956, NULL, 'PTHR45089:SF26', NULL, NULL, NULL, NULL, 'DNAJ HEAT SHOCK AMINO-TERMINAL DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(190957, NULL, 'PTHR46688', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 16', NULL, NULL, NULL, 15),
(190958, NULL, 'PTHR34663:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190959, NULL, 'PTHR10127:SF825', NULL, NULL, NULL, NULL, 'ZINC METALLOPROTEINASE NAS-23', NULL, NULL, NULL, 15),
(190960, NULL, 'PTHR24286:SF276', NULL, NULL, NULL, NULL, 'FATTY ACID HYDROPEROXIDE LYASE', NULL, NULL, NULL, 15),
(190961, NULL, 'PTHR11709:SF331', NULL, NULL, NULL, NULL, 'BNAC05G37510D PROTEIN', NULL, NULL, NULL, 15),
(190962, NULL, 'PTHR14248:SF33', NULL, NULL, NULL, NULL, 'CYCLIN-Y', NULL, NULL, NULL, 15),
(190963, NULL, 'PTHR24299:SF21', NULL, NULL, NULL, NULL, 'OS09G0441600 PROTEIN', NULL, NULL, NULL, 15),
(190964, NULL, 'PTHR11208:SF51', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING, RNA-BINDING, SIGNAL TRANSDUCTION-ASSOCIATED 1A', NULL, NULL, NULL, 15),
(190965, NULL, 'PTHR11073:SF33', NULL, NULL, NULL, NULL, 'CALRETICULIN-LIKE', NULL, NULL, NULL, 15),
(190966, NULL, 'PTHR48078', NULL, NULL, NULL, NULL, 'THREONINE DEHYDRATASE, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(190967, NULL, 'PTHR23091:SF268', NULL, NULL, NULL, NULL, 'N-ALPHA-ACETYLTRANSFERASE 10', NULL, NULL, NULL, 15),
(190968, NULL, 'PTHR43265:SF1', NULL, NULL, NULL, NULL, 'ESTERASE ESTD', NULL, NULL, NULL, 15),
(190969, NULL, 'PTHR14110:SF17', NULL, NULL, NULL, NULL, 'OS09G0279300 PROTEIN', NULL, NULL, NULL, 15),
(190970, NULL, 'PTHR10209:SF787', NULL, NULL, NULL, NULL, '1-AMINOCYCLOPROPANE-1-CARBOXYLATE OXIDASE HOMOLOG 1', NULL, NULL, NULL, 15),
(190971, NULL, 'PTHR11931:SF28', NULL, NULL, NULL, NULL, 'PHOSPHOGLYCERATE MUTASE 1', NULL, NULL, NULL, 15),
(190972, NULL, 'PTHR33101:SF43', NULL, NULL, NULL, NULL, 'ROP GUANINE NUCLEOTIDE EXCHANGE FACTOR 6', NULL, NULL, NULL, 15),
(190973, NULL, 'PTHR14167:SF31', NULL, NULL, NULL, NULL, 'NOSTRIN', NULL, NULL, 24108, 15),
(190974, NULL, 'PTHR24637:SF351', NULL, NULL, NULL, NULL, 'CUTICLE COLLAGEN DPY-10', NULL, NULL, NULL, 15),
(190975, NULL, 'PTHR23077:SF132', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT ZN PROTEASE', NULL, NULL, NULL, 15),
(190976, NULL, 'PTHR34049:SF11', NULL, NULL, NULL, NULL, 'BNAC05G08600D PROTEIN', NULL, NULL, NULL, 15),
(190977, NULL, 'PTHR13774:SF30', NULL, NULL, NULL, NULL, 'BIOSYNTHESIS PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(190978, NULL, 'PTHR45712:SF6', NULL, NULL, NULL, NULL, 'LUMICAN', NULL, NULL, 28733, 15),
(190979, NULL, 'PTHR23050:SF221', NULL, NULL, NULL, NULL, 'GEO07854P1', NULL, NULL, NULL, 15),
(190980, NULL, 'PTHR14694', NULL, NULL, NULL, NULL, 'CALCIUM-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, 25751, 15),
(190981, NULL, 'PTHR11537:SF44', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY A MEMBER 10', NULL, NULL, NULL, 15),
(190982, NULL, 'PTHR31375:SF102', NULL, NULL, NULL, NULL, 'OS02G0196700 PROTEIN', NULL, NULL, NULL, 15),
(190983, NULL, 'PTHR12818:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190984, NULL, 'PTHR38034:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YPJD', NULL, NULL, NULL, 15),
(190985, NULL, 'PTHR10795:SF570', NULL, NULL, NULL, NULL, 'OS09G0441000 PROTEIN', NULL, NULL, NULL, 15),
(190986, NULL, 'PTHR36799', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 18659, 15),
(190987, NULL, 'PTHR32444:SF136', NULL, NULL, NULL, NULL, 'S GLYCOPROTEIN', NULL, NULL, NULL, 15),
(190988, NULL, 'PTHR11999:SF151', NULL, NULL, NULL, NULL, 'TYROSINE/DOPA DECARBOXYLASE', NULL, NULL, NULL, 15),
(190989, NULL, 'PTHR45687:SF1', NULL, NULL, NULL, NULL, 'PIP1,2', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(190990, NULL, 'PTHR47924:SF18', NULL, NULL, NULL, NULL, 'BNAC05G27170D PROTEIN', NULL, NULL, NULL, 15),
(190991, NULL, 'PTHR45752:SF116', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190992, NULL, 'PTHR46932:SF10', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(190993, NULL, 'PTHR13738:SF2', NULL, NULL, NULL, NULL, 'TROPONIN I, CARDIAC MUSCLE', NULL, NULL, NULL, 15),
(190994, NULL, 'PTHR35993', NULL, NULL, NULL, NULL, 'OUTER ENVELOPE PORE PROTEIN 21B, CHLOROPLASTIC', NULL, NULL, 4513, 15),
(190995, NULL, 'PTHR34368', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(190996, NULL, 'PTHR31300:SF32', NULL, NULL, NULL, NULL, 'FACTOR C SUBUNIT, PUTATIVE (DUF620)-RELATED', NULL, NULL, NULL, 15),
(190997, NULL, 'PTHR11885:SF23', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S15-RELATED', NULL, NULL, NULL, 15),
(190998, NULL, 'PTHR31989:SF248', NULL, NULL, NULL, NULL, 'NAM-LIKE PROTEIN', NULL, NULL, NULL, 15),
(190999, NULL, 'PTHR45623:SF33', NULL, NULL, NULL, NULL, 'OS01G0881000 PROTEIN', NULL, NULL, NULL, 15),
(191000, NULL, 'PTHR46338:SF7', NULL, NULL, NULL, NULL, 'BROMODOMAIN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(191001, NULL, 'PTHR34194:SF19', NULL, NULL, NULL, NULL, 'BNAA05G29920D PROTEIN', NULL, NULL, NULL, 15),
(191002, NULL, 'PTHR10353:SF220', NULL, NULL, NULL, NULL, 'FURCATIN HYDROLASE-LIKE', NULL, NULL, NULL, 15),
(191003, NULL, 'PTHR20986:SF13', NULL, NULL, NULL, NULL, 'FMRF-LIKE PEPTIDE', NULL, NULL, NULL, 15),
(191004, NULL, 'PTHR47152:SF4', NULL, NULL, NULL, NULL, 'SLR0445 PROTEIN', NULL, NULL, NULL, 15),
(191005, NULL, 'PTHR13707:SF48', NULL, NULL, NULL, NULL, 'SUCCINYL-COA:3-KETOACID-COENZYME A TRANSFERASE', NULL, NULL, NULL, 15),
(191006, NULL, 'PTHR45730:SF6', NULL, NULL, NULL, NULL, 'OS12G0581900 PROTEIN', NULL, NULL, NULL, 15),
(191007, NULL, 'PTHR46608', NULL, NULL, NULL, NULL, 'T-CELL IMMUNOGLOBULIN AND MUCIN DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(191008, NULL, 'PTHR45798:SF67', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL80-LIKE', NULL, NULL, NULL, 15),
(191009, NULL, 'PTHR45647:SF72', NULL, NULL, NULL, NULL, 'U-BOX KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(191010, NULL, 'PTHR21094:SF3', NULL, NULL, NULL, NULL, 'GOLGI SNAP RECEPTOR COMPLEX MEMBER 1', NULL, NULL, NULL, 15),
(191011, NULL, 'PTHR12313:SF59', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RMA1', NULL, NULL, NULL, 15),
(191012, NULL, 'PTHR35349', NULL, NULL, NULL, NULL, 'DYNACTIN-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(191013, NULL, 'PTHR32448:SF35', NULL, NULL, NULL, NULL, 'BERBERINE BRIDGE ENZYME-LIKE 26', NULL, NULL, NULL, 15),
(191014, NULL, 'PTHR26450:SF391', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR, FAMILY A, SUBFAMILY 113, MEMBER 1-RELATED', NULL, NULL, NULL, 15),
(191015, NULL, 'PTHR45688:SF4', NULL, NULL, NULL, NULL, 'ALANINE--GLYOXYLATE AMINOTRANSFERASE1', NULL, NULL, NULL, 15),
(191016, NULL, 'PTHR10621:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191017, NULL, 'PTHR13430:SF13', NULL, NULL, NULL, NULL, 'OSJNBA0091D06.22 PROTEIN', NULL, NULL, NULL, 15),
(191018, NULL, 'PTHR43718', NULL, NULL, NULL, NULL, 'LON PROTEASE', NULL, NULL, 25648, 15),
(191019, NULL, 'PTHR22734', NULL, NULL, NULL, NULL, 'U3 SMALL NUCLEOLAR RIBONUCLEOPROTEIN PROTEIN IMP4', NULL, NULL, 36530, 15),
(191020, NULL, 'PTHR16089:SF12', NULL, NULL, NULL, NULL, 'REST COREPRESSOR 2', NULL, NULL, NULL, 15),
(191021, NULL, 'PTHR33596:SF13', NULL, NULL, NULL, NULL, 'COLD-REGULATED 413 PLASMA MEMBRANE PROTEIN 4', NULL, NULL, NULL, 15),
(191022, NULL, 'PTHR13723:SF279', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191023, NULL, 'PTHR24177:SF319', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191024, NULL, 'PTHR24351:SF209', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(191025, NULL, 'PTHR11588:SF329', NULL, NULL, NULL, NULL, 'TUBULIN BETA-4 CHAIN', NULL, NULL, NULL, 15),
(191026, NULL, 'PTHR36478:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191027, NULL, 'PTHR16267', NULL, NULL, NULL, NULL, 'BANK1/PIK3AP1 FAMILY MEMBER', NULL, NULL, NULL, 15),
(191028, NULL, 'PTHR46639:SF3', NULL, NULL, NULL, NULL, 'DIENCEPHALON/MESENCEPHALON HOMEOBOX PROTEIN 1-A-RELATED', NULL, NULL, NULL, 15),
(191029, NULL, 'PTHR27002:SF672', NULL, NULL, NULL, NULL, 'D-MANNOSE BINDING LECTIN FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(191030, NULL, 'PTHR16223:SF236', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH130', NULL, NULL, NULL, 15),
(191031, NULL, 'PTHR38140:SF7', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 19-7', NULL, NULL, NULL, 15),
(191032, NULL, 'PTHR24169:SF18', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR RELB', NULL, NULL, 22515, 15),
(191033, NULL, 'PTHR31009:SF71', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT METHYLTRANSFERASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(191034, NULL, 'PTHR26450:SF67', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 51V1', NULL, NULL, NULL, 15),
(191035, NULL, 'PTHR11304', NULL, NULL, NULL, NULL, 'EPHRIN', NULL, NULL, 22819, 15),
(191036, NULL, 'PTHR43124:SF4', NULL, NULL, NULL, NULL, 'SUGAR EFFLUX TRANSPORTER', NULL, NULL, NULL, 15),
(191037, NULL, 'PTHR23262:SF212', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 5-6-RELATED', NULL, NULL, NULL, 15),
(191038, NULL, 'PTHR36172:SF1', NULL, NULL, NULL, NULL, 'PARTIAL ORF FROM ISC1904', NULL, NULL, NULL, 15),
(191039, NULL, 'PTHR33214:SF46', NULL, NULL, NULL, NULL, 'BNAA08G03050D PROTEIN', NULL, NULL, NULL, 15),
(191040, NULL, 'PTHR32444:SF119', NULL, NULL, NULL, NULL, 'EP1-LIKE GLYCOPROTEIN 1', NULL, NULL, NULL, 15),
(191041, NULL, 'PTHR42908:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191042, NULL, 'PTHR11132:SF407', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-SUGAR TRANSPORTER FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191043, NULL, 'PTHR34361:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191044, NULL, 'PTHR31375:SF136', NULL, NULL, NULL, NULL, 'OS06G0611400 PROTEIN', NULL, NULL, NULL, 15),
(191045, NULL, 'PTHR13789:SF304', NULL, NULL, NULL, NULL, 'OXIDOREDUCTASE YETM-RELATED', NULL, NULL, NULL, 15),
(191046, NULL, 'PTHR31080:SF204', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191047, NULL, 'PTHR33417:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191048, NULL, 'PTHR35546:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191049, NULL, 'PTHR30269:SF25', NULL, NULL, NULL, NULL, 'MEMBRANE TRANSPORTER PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191050, NULL, 'PTHR32121', NULL, NULL, NULL, NULL, 'PCNA-INTERACTING PARTNER', NULL, NULL, 33298, 15),
(191051, NULL, 'PTHR11781:SF22', NULL, NULL, NULL, NULL, 'TYPE I IODOTHYRONINE DEIODINASE', NULL, NULL, NULL, 15),
(191052, NULL, 'PTHR24100:SF106', NULL, NULL, NULL, NULL, 'HERV-H LTR-ASSOCIATING PROTEIN 2', NULL, NULL, NULL, 15),
(191053, NULL, 'PTHR10168:SF248', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C11-LIKE', NULL, NULL, NULL, 15),
(191054, NULL, 'PTHR45707:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191055, NULL, 'PTHR23105:SF163', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L7AE/L30E/S12E/GADD45 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(191056, NULL, 'PTHR24012:SF817', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191057, NULL, 'PTHR21495:SF195', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(191058, NULL, 'PTHR12419:SF7', NULL, NULL, NULL, NULL, 'OTU DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, NULL, 15),
(191059, NULL, 'PTHR10024:SF348', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN-17', NULL, NULL, 18717, 15),
(191060, NULL, 'PTHR46529', NULL, NULL, NULL, NULL, 'TRNA WYBUTOSINE-SYNTHESIZING PROTEIN 4', NULL, NULL, NULL, 15),
(191061, NULL, 'PTHR36062:SF5', NULL, NULL, NULL, NULL, 'BNAC03G65960D PROTEIN', NULL, NULL, NULL, 15),
(191062, NULL, 'PTHR21337:SF29', NULL, NULL, NULL, NULL, 'PHOSPHO-2-DEHYDRO-3-DEOXYHEPTONATE ALDOLASE', NULL, NULL, NULL, 15),
(191063, NULL, 'PTHR22933', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191064, NULL, 'PTHR18849:SF0', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 410-RELATED', NULL, NULL, NULL, 15),
(191065, NULL, 'PTHR11848:SF241', NULL, NULL, NULL, NULL, 'ANTI-DORSALIZING MORPHOGENETIC PROTEIN', NULL, NULL, NULL, 15),
(191066, NULL, 'PTHR21635:SF0', NULL, NULL, NULL, NULL, 'LEUCINE ZIPPER TRANSCRIPTION FACTOR-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(191067, NULL, 'PTHR31727:SF3', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', NULL, NULL, NULL, 15),
(191068, NULL, 'PTHR14233:SF4', NULL, NULL, NULL, NULL, 'ANTHOCYANIN-RELATED MEMBRANE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(191069, NULL, 'PTHR43205:SF5', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN REDUCTASE 2', NULL, NULL, NULL, 15),
(191070, NULL, 'PTHR23139:SF105', NULL, NULL, NULL, NULL, 'SPLICING FACTOR U2AF LARGE SUBUNIT A', NULL, NULL, NULL, 15),
(191071, NULL, 'PTHR11571:SF42', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE', NULL, NULL, NULL, 15),
(191072, NULL, 'PTHR19957:SF301', NULL, NULL, NULL, NULL, 'SYNTAXIN OF PLANTS 23-RELATED', NULL, NULL, NULL, 15),
(191073, NULL, 'PTHR15124:SF18', NULL, NULL, NULL, NULL, 'SELENOPROTEIN W', NULL, NULL, NULL, 15),
(191074, NULL, 'PTHR23111:SF68', NULL, NULL, NULL, NULL, 'TEX13 FAMILY MEMBER C3-RELATED', NULL, NULL, NULL, 15),
(191075, NULL, 'PTHR46383:SF1', NULL, NULL, NULL, NULL, 'ASPARTATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(191076, NULL, 'PTHR11452:SF67', NULL, NULL, NULL, NULL, 'ALPHA-GALACTOSIDASE A-RELATED', NULL, NULL, NULL, 15),
(191077, NULL, 'PTHR45812:SF1', NULL, NULL, NULL, NULL, 'DNA POLYMERASE ZETA CATALYTIC SUBUNIT', NULL, NULL, NULL, 15),
(191078, NULL, 'PTHR15710:SF64', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RHC1A-RELATED', NULL, NULL, NULL, 15),
(191079, NULL, 'PTHR47966:SF19', NULL, NULL, NULL, NULL, 'NAPSIN A ASPARTIC PEPTIDASE', NULL, NULL, NULL, 15),
(191080, NULL, 'PTHR10286:SF73', NULL, NULL, NULL, NULL, 'SOLUBLE INORGANIC PYROPHOSPHATASE 6, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(191081, NULL, 'PTHR11709:SF9', NULL, NULL, NULL, NULL, 'LACCASE-7', NULL, NULL, NULL, 15),
(191082, NULL, 'PTHR45733:SF13', NULL, NULL, NULL, NULL, 'OS03G0428400 PROTEIN', NULL, NULL, NULL, 15),
(191083, NULL, 'PTHR23255:SF63', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN RECEPTOR TYPE-2', NULL, NULL, NULL, 15),
(191084, NULL, 'PTHR31190:SF240', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(191085, NULL, 'PTHR10666:SF319', NULL, NULL, NULL, NULL, 'NEDD8', NULL, NULL, NULL, 15),
(191086, NULL, 'PTHR31009:SF103', NULL, NULL, NULL, NULL, 'SALICYLATE CARBOXYMETHYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(191087, NULL, 'PTHR31734:SF192', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA9', NULL, NULL, NULL, 15),
(191088, NULL, 'PTHR33122:SF13', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 4.1', NULL, NULL, NULL, 15),
(191089, NULL, 'PTHR20988', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 24104, 15),
(191090, NULL, 'PTHR12156', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY-LIKE DOMAIN, FAMILY B, MEMBER 3', NULL, NULL, NULL, 15),
(191091, NULL, 'PTHR34835:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191092, NULL, 'PTHR11614:SF154', NULL, NULL, NULL, NULL, 'HYDROLASE, ALPHA/BETA FOLD FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(191093, NULL, 'PTHR36978', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOTIDE TRIPHOSPHATE HYDROLASE', NULL, NULL, NULL, 15),
(191094, NULL, 'PTHR10460:SF32', NULL, NULL, NULL, NULL, 'PROTEIN ABIL4', NULL, NULL, NULL, 15),
(191095, NULL, 'PTHR33021:SF401', NULL, NULL, NULL, NULL, 'PLASTOCYANIN-LIKE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(191096, NULL, 'PTHR27007:SF251', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.8', NULL, NULL, NULL, 15),
(191097, NULL, 'PTHR23030:SF36', NULL, NULL, NULL, NULL, 'VACUOLAR-SORTING PROTEIN BRO1', NULL, NULL, NULL, 15),
(191098, NULL, 'PTHR45648:SF117', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE ESM1', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191099, NULL, 'PTHR11559:SF399', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(191100, NULL, 'PTHR11260:SF560', NULL, NULL, NULL, NULL, 'S-TRANSFERASE GSTU6, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(191101, NULL, 'PTHR36749', NULL, NULL, NULL, NULL, 'F7O18.3 PROTEIN', NULL, NULL, NULL, 15),
(191102, NULL, 'PTHR37557:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG10693', NULL, NULL, NULL, 15),
(191103, NULL, 'PTHR33193:SF54', NULL, NULL, NULL, NULL, 'DUF3511 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(191104, NULL, 'PTHR11640:SF107', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN-LIKE CELL ADHESION MOLECULE FAMILY', NULL, NULL, NULL, 15),
(191105, NULL, 'PTHR18966:SF421', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(191106, NULL, 'PTHR46633:SF2', NULL, NULL, NULL, NULL, 'OS06G0233800 PROTEIN', NULL, NULL, NULL, 15),
(191107, NULL, 'PTHR11502:SF23', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S6', NULL, NULL, NULL, 15),
(191108, NULL, 'PTHR45974:SF201', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(191109, NULL, 'PTHR10593:SF186', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191110, NULL, 'PTHR31234:SF52', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA-14, IMMUNOGLOBULIN-LIKE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191111, NULL, 'PTHR47303', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191112, NULL, 'PTHR45732:SF7', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8', NULL, NULL, NULL, 15),
(191113, NULL, 'PTHR11909:SF176', NULL, NULL, NULL, NULL, 'KINASE I, EPSILON ISOFORM, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(191114, NULL, 'PTHR21562:SF80', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(191115, NULL, 'PTHR11654:SF317', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 6.3', NULL, NULL, NULL, 15),
(191116, NULL, 'PTHR23360:SF11', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS SX', NULL, NULL, NULL, 15),
(191117, NULL, 'PTHR46843:SF1', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN 16', NULL, NULL, NULL, 15),
(191118, NULL, 'PTHR11802:SF203', NULL, NULL, NULL, NULL, 'OSJNBB0051N19.2 PROTEIN', NULL, NULL, NULL, 15),
(191119, NULL, 'PTHR17206', NULL, NULL, NULL, NULL, 'PROLACTIN-RELEASING PEPTIDE', NULL, NULL, 26662, 15),
(191120, NULL, 'PTHR46406:SF1', NULL, NULL, NULL, NULL, 'NITRIC OXIDE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(191121, NULL, 'PTHR10309:SF7', NULL, NULL, NULL, NULL, 'MANNOSE-6-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(191122, NULL, 'PTHR33624:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191123, NULL, 'PTHR46825', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE-CARBOXYPEPTIDASE/ENDOPEPTIDASE AMPH', NULL, NULL, NULL, 15),
(191124, NULL, 'PTHR31854', NULL, NULL, NULL, NULL, 'TUBULIN POLYGLUTAMYLASE COMPLEX SUBUNIT 2', NULL, NULL, 35925, 15),
(191125, NULL, 'PTHR10153:SF38', NULL, NULL, NULL, NULL, 'SMALL CONDUCTANCE CALCIUM-ACTIVATED POTASSIUM CHANNEL PROTEIN 1', NULL, NULL, NULL, 15),
(191126, NULL, 'PTHR35000:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191127, NULL, 'PTHR47444:SF2', NULL, NULL, NULL, NULL, 'BNAA03G16890D PROTEIN', NULL, NULL, NULL, 15),
(191128, NULL, 'PTHR24071:SF17', NULL, NULL, NULL, NULL, 'GTP-BINDING NUCLEAR PROTEIN RAN', NULL, NULL, NULL, 15),
(191129, NULL, 'PTHR31662:SF9', NULL, NULL, NULL, NULL, 'OS09G0126600 PROTEIN', NULL, NULL, NULL, 15),
(191130, NULL, 'PTHR11769:SF23', NULL, NULL, NULL, NULL, 'HYALURONIDASE-1', NULL, NULL, NULL, 15),
(191131, NULL, 'PTHR11895', NULL, NULL, NULL, NULL, 'TRANSAMIDASE', NULL, NULL, 1886, 15),
(191132, NULL, 'PTHR34630:SF39', NULL, NULL, NULL, NULL, 'RESISTANCE DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(191133, NULL, 'PTHR47482:SF5', NULL, NULL, NULL, NULL, 'AP COMPLEX SUBUNIT SIGMA', NULL, NULL, NULL, 15),
(191134, NULL, 'PTHR13779:SF7', NULL, NULL, NULL, NULL, 'ATPASE WRNIP1', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191135, NULL, 'PTHR36816:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE PROTEIN YMF19', NULL, NULL, NULL, 15),
(191136, NULL, 'PTHR31471:SF55', NULL, NULL, NULL, NULL, 'CARBOXY-TERMINAL REGION REMORIN', NULL, NULL, NULL, 15),
(191137, NULL, 'PTHR39529:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191138, NULL, 'PTHR13469:SF7', NULL, NULL, NULL, NULL, 'PROTEIN HEXIM1', NULL, NULL, NULL, 15),
(191139, NULL, 'PTHR31589:SF164', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191140, NULL, 'PTHR12489:SF17', NULL, NULL, NULL, NULL, 'LHFPL TETRASPAN SUBFAMILY MEMBER 4B', NULL, NULL, NULL, 15),
(191141, NULL, 'PTHR24206:SF23', NULL, NULL, NULL, NULL, 'OS06G0237300 PROTEIN', NULL, NULL, NULL, 15),
(191142, NULL, 'PTHR33264:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191143, NULL, 'PTHR11017:SF401', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN (TIR-NBS-LRR CLASS) FAMILY', NULL, NULL, NULL, 15),
(191144, NULL, 'PTHR24064:SF113', NULL, NULL, NULL, NULL, 'INOSITOL TRANSPORTER 1', NULL, NULL, NULL, 15),
(191145, NULL, 'PTHR12015:SF5', NULL, NULL, NULL, NULL, 'C-C MOTIF CHEMOKINE 1', NULL, NULL, NULL, 15),
(191146, NULL, 'PTHR45745:SF3', NULL, NULL, NULL, NULL, 'PHOSPHOGLUCOMUTASE-2', NULL, NULL, NULL, 15),
(191147, NULL, 'PTHR31707:SF332', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(191148, NULL, 'PTHR12276:SF106', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191149, NULL, 'PTHR45811:SF49', NULL, NULL, NULL, NULL, 'COPPER TRANSPORT PROTEIN FAMILY-RELATED', NULL, NULL, NULL, 15),
(191150, NULL, 'PTHR16771:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SEM1, ISOFORM 2-RELATED', NULL, NULL, NULL, 15),
(191151, NULL, 'PTHR33074:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191152, NULL, 'PTHR46044:SF11', NULL, NULL, NULL, NULL, 'NITRILASE 1-RELATED', NULL, NULL, NULL, 15),
(191153, NULL, 'PTHR38768', NULL, NULL, NULL, NULL, 'UPF0502 PROTEIN YCEH', NULL, NULL, 3852, 15),
(191154, NULL, 'PTHR43178:SF7', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYLLYSINE-RESIDUE ACETYLTRANSFERASE COMPONENT 2 OF PYRUVATE DEHYDROGENASE COMPLEX, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(191155, NULL, 'PTHR31042:SF70', NULL, NULL, NULL, NULL, 'OS01G0695200 PROTEIN', NULL, NULL, NULL, 15),
(191156, NULL, 'PTHR34723:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191157, NULL, 'PTHR10168:SF244', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C13', NULL, NULL, NULL, 15),
(191158, NULL, 'PTHR31087:SF81', NULL, NULL, NULL, NULL, 'LURP-ONE-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191159, NULL, 'PTHR24037:SF3', NULL, NULL, NULL, NULL, 'PROTEIN HEG HOMOLOG 1', NULL, NULL, NULL, 15),
(191160, NULL, 'PTHR18896:SF137', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D ALPHA 4', NULL, NULL, NULL, 15),
(191161, NULL, 'PTHR31301:SF134', NULL, NULL, NULL, NULL, 'LATERAL ORGAN BOUNDARIES (LOB) DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(191162, NULL, 'PTHR12015:SF160', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191163, NULL, 'PTHR46771', NULL, NULL, NULL, NULL, 'DETERIN', NULL, NULL, NULL, 15),
(191164, NULL, 'PTHR21726:SF60', NULL, NULL, NULL, NULL, 'OS05G0551100 PROTEIN', NULL, NULL, NULL, 15),
(191165, NULL, 'PTHR35580', NULL, NULL, NULL, NULL, 'CELL SURFACE GLYCOPROTEIN (S-LAYER PROTEIN)-LIKE PROTEIN', NULL, NULL, NULL, 15),
(191166, NULL, 'PTHR42751:SF4', NULL, NULL, NULL, NULL, 'K(+)/H(+) ANTIPORTER SUBUNIT KHTU', NULL, NULL, NULL, 15),
(191167, NULL, 'PTHR12753', NULL, NULL, NULL, NULL, 'AD-003 - RELATED', NULL, NULL, 13948, 15),
(191168, NULL, 'PTHR30251:SF10', NULL, NULL, NULL, NULL, 'FIMBRIAL CHAPERONE YEHC-RELATED', NULL, NULL, NULL, 15),
(191169, NULL, 'PTHR31190:SF217', NULL, NULL, NULL, NULL, 'DNA-BINDING DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191170, NULL, 'PTHR24379:SF67', NULL, NULL, NULL, NULL, 'BLOODY FINGERS-RELATED', NULL, NULL, NULL, 15),
(191171, NULL, 'PTHR34686:SF1', NULL, NULL, NULL, NULL, 'MATERNAL EFFECT EMBRYO ARREST PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191172, NULL, 'PTHR10910:SF143', NULL, NULL, NULL, NULL, 'AT07585P-RELATED', NULL, NULL, NULL, 15),
(191173, NULL, 'PTHR45623:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191174, NULL, 'PTHR47942:SF55', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(191175, NULL, 'PTHR37455', NULL, NULL, NULL, NULL, 'GENE, 27021-RELATED', NULL, NULL, 27763, 15),
(191176, NULL, 'PTHR11920:SF484', NULL, NULL, NULL, NULL, 'GUANYLATE CYCLASE 2G', NULL, NULL, NULL, 15),
(191177, NULL, 'PTHR47576', NULL, NULL, NULL, NULL, 'BRCT DOMAIN DNA REPAIR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191178, NULL, 'PTHR14859:SF8', NULL, NULL, NULL, NULL, 'SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191179, NULL, 'PTHR19339:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191180, NULL, 'PTHR47992:SF79', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1D', NULL, NULL, NULL, 15),
(191181, NULL, 'PTHR31235:SF12', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(191182, NULL, 'PTHR24413:SF108', NULL, NULL, NULL, NULL, 'TD AND POZ DOMAIN-CONTAINING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(191183, NULL, 'PTHR31989:SF347', NULL, NULL, NULL, NULL, 'NAC DOMAIN TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191184, NULL, 'PTHR45730:SF66', NULL, NULL, NULL, NULL, 'ZINC FINGER, C2H2-RELATED', NULL, NULL, NULL, 15),
(191185, NULL, 'PTHR14235', NULL, NULL, NULL, NULL, 'OSTEOCALCIN', NULL, NULL, 35947, 15),
(191186, NULL, 'PTHR48043:SF55', NULL, NULL, NULL, NULL, 'UDP-GLUCURONOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(191187, NULL, 'PTHR16243:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BANP', NULL, NULL, NULL, 15),
(191188, NULL, 'PTHR14326:SF38', NULL, NULL, NULL, NULL, 'CELL CYCLE REGULATED MICROTUBULE-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(191189, NULL, 'PTHR44749', NULL, NULL, NULL, NULL, 'SUPPRESSOR OF RPS4-RLD 1', NULL, NULL, 38407, 15),
(191190, NULL, 'PTHR22850:SF192', NULL, NULL, NULL, NULL, 'OS07G0139700 PROTEIN', NULL, NULL, NULL, 15),
(191191, NULL, 'PTHR10352:SF51', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 3 SUBUNIT G', NULL, NULL, NULL, 15),
(191192, NULL, 'PTHR15672:SF27', NULL, NULL, NULL, NULL, 'BNAA01G31440D PROTEIN', NULL, NULL, NULL, 15),
(191193, NULL, 'PTHR11561:SF0', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYKINASE [GTP]-RELATED', NULL, NULL, NULL, 15),
(191194, NULL, 'PTHR11932:SF95', NULL, NULL, NULL, NULL, 'CULLIN-3A-RELATED', NULL, NULL, NULL, 15),
(191195, NULL, 'PTHR43272:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191196, NULL, 'PTHR32444:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191197, NULL, 'PTHR11706:SF52', NULL, NULL, NULL, NULL, 'NATURAL RESISTANCE-ASSOCIATED MACROPHAGE PROTEIN 1', NULL, NULL, NULL, 15),
(191198, NULL, 'PTHR15724:SF0', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 1 REGULATORY SUBUNIT 26', NULL, NULL, NULL, 15),
(191199, NULL, 'PTHR46314:SF3', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 25 MEMBER 44A', NULL, NULL, NULL, 15),
(191200, NULL, 'PTHR40704:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR SPT4', NULL, NULL, NULL, 15),
(191201, NULL, 'PTHR24253:SF33', NULL, NULL, NULL, NULL, 'SERINE PROTEASE 48', NULL, NULL, NULL, 15),
(191202, NULL, 'PTHR33172:SF44', NULL, NULL, NULL, NULL, 'OS02G0684400 PROTEIN', NULL, NULL, NULL, 15),
(191203, NULL, 'PTHR14614:SF131', NULL, NULL, NULL, NULL, 'PROTEIN-LYSINE METHYLTRANSFERASE C42C1.13', NULL, NULL, NULL, 15),
(191204, NULL, 'PTHR15710:SF47', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RZF1', NULL, NULL, NULL, 15),
(191205, NULL, 'PTHR13198:SF4', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE RNF25', NULL, NULL, NULL, 15),
(191206, NULL, 'PTHR11736:SF91', NULL, NULL, NULL, NULL, 'MAGE-G2', NULL, NULL, NULL, 15),
(191207, NULL, 'PTHR36015', NULL, NULL, NULL, NULL, 'HOLLIDAY JUNCTION RESOLVASE MOC1, CHLOROPLASTIC-RELATED', NULL, NULL, 36642, 15),
(191208, NULL, 'PTHR48040:SF20', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER G FAMILY MEMBER 39-LIKE ISOFORM X2', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191209, NULL, 'PTHR31989:SF250', NULL, NULL, NULL, NULL, 'NAC TRANSCRIPTION FACTOR-LIKE PROTEIN', NULL, NULL, NULL, 15),
(191210, NULL, 'PTHR31945:SF121', NULL, NULL, NULL, NULL, 'BNAA04G21550D PROTEIN', NULL, NULL, NULL, 15),
(191211, NULL, 'PTHR48053:SF33', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(191212, NULL, 'PTHR33911:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191213, NULL, 'PTHR45988:SF45', NULL, NULL, NULL, NULL, 'BNAA09G27780D PROTEIN', NULL, NULL, NULL, 15),
(191214, NULL, 'PTHR45732:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191215, NULL, 'PTHR23213:SF361', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(191216, NULL, 'PTHR31307:SF12', NULL, NULL, NULL, NULL, 'OS02G0565000 PROTEIN', NULL, NULL, NULL, 15),
(191217, NULL, 'PTHR32345', NULL, NULL, NULL, NULL, 'MYB-RELATED TRANSCRIPTION FACTOR, PARTNER OF PROFILIN', NULL, NULL, NULL, 15),
(191218, NULL, 'PTHR31642:SF28', NULL, NULL, NULL, NULL, 'OS06G0150550 PROTEIN', NULL, NULL, NULL, 15),
(191219, NULL, 'PTHR12506:SF58', NULL, NULL, NULL, NULL, 'BNAC04G11770D PROTEIN', NULL, NULL, NULL, 15),
(191220, NULL, 'PTHR33048:SF64', NULL, NULL, NULL, NULL, 'INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(191221, NULL, 'PTHR31042:SF112', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE, FAMILY 14, CHITOBIASE/BETA-HEXOSAMINIDASE DOMAIN 2-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191222, NULL, 'PTHR21540', NULL, NULL, NULL, NULL, 'RING FINGER AND SWIM DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, 34151, 15),
(191223, NULL, 'PTHR46154', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 26624, 15),
(191224, NULL, 'PTHR32212:SF264', NULL, NULL, NULL, NULL, 'FBD-LIKE DOMAIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(191225, NULL, 'PTHR22952:SF441', NULL, NULL, NULL, NULL, 'BNAC04G24820D PROTEIN', NULL, NULL, NULL, 15),
(191226, NULL, 'PTHR15127:SF33', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING ADAPTER PROTEIN D', NULL, NULL, 9086, 15),
(191227, NULL, 'PTHR42684', NULL, NULL, NULL, NULL, 'ADENOSYLMETHIONINE-8-AMINO-7-OXONONANOATE AMINOTRANSFERASE', NULL, NULL, NULL, 15),
(191228, NULL, 'PTHR13878:SF122', NULL, NULL, NULL, NULL, 'L-GULONOLACTONE OXIDASE 1-RELATED', NULL, NULL, NULL, 15),
(191229, NULL, 'PTHR12308:SF22', NULL, NULL, NULL, NULL, 'ANOCTAMIN-7', NULL, NULL, 27079, 15),
(191230, NULL, 'PTHR14894:SF0', NULL, NULL, NULL, NULL, 'CDK5 REGULATORY SUBUNIT-ASSOCIATED PROTEIN 3', NULL, NULL, NULL, 15),
(191231, NULL, 'PTHR24177:SF314', NULL, NULL, NULL, NULL, 'ANKYRIN-3-LIKE', NULL, NULL, NULL, 15),
(191232, NULL, 'PTHR11802:SF366', NULL, NULL, NULL, NULL, 'BNAC04G31880D PROTEIN', NULL, NULL, NULL, 15),
(191233, NULL, 'PTHR13878:SF114', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 1', NULL, NULL, NULL, 15),
(191234, NULL, 'PTHR43027:SF1', NULL, NULL, NULL, NULL, 'DOXORUBICIN RESISTANCE ABC TRANSPORTER PERMEASE PROTEIN DRRC-RELATED', NULL, NULL, NULL, 15),
(191235, NULL, 'PTHR19328:SF36', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(191236, NULL, 'PTHR23226:SF195', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 202', NULL, NULL, NULL, 15),
(191237, NULL, 'PTHR33047:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191238, NULL, 'PTHR10502:SF226', NULL, NULL, NULL, NULL, 'ANNEXIN', NULL, NULL, NULL, 15),
(191239, NULL, 'PTHR46128:SF62', NULL, NULL, NULL, NULL, 'BNAC01G19030D PROTEIN', NULL, NULL, NULL, 15),
(191240, NULL, 'PTHR19331:SF464', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191241, NULL, 'PTHR11079:SF149', NULL, NULL, NULL, NULL, 'TRNA-SPECIFIC ADENOSINE DEAMINASE 2', NULL, NULL, NULL, 15),
(191242, NULL, 'PTHR24298:SF466', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 81F2', NULL, NULL, NULL, 15),
(191243, NULL, 'PTHR24379:SF97', NULL, NULL, NULL, NULL, 'ZNF440 ISOFORM 1', NULL, NULL, NULL, 15),
(191244, NULL, 'PTHR10725:SF64', NULL, NULL, NULL, NULL, 'THAP DOMAIN CONTAINING 7', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191245, NULL, 'PTHR43381:SF14', NULL, NULL, NULL, NULL, 'BNAA09G43830D PROTEIN', NULL, NULL, NULL, 15),
(191246, NULL, 'PTHR11082:SF26', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE(16) SYNTHASE', NULL, NULL, 26917, 15),
(191247, NULL, 'PTHR31506:SF2', NULL, NULL, NULL, NULL, 'BES1/BZR1 HOMOLOG PROTEIN 3', NULL, NULL, NULL, 15),
(191248, NULL, 'PTHR12224:SF9', NULL, NULL, NULL, NULL, 'BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(191249, NULL, 'PTHR36245:SF2', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191250, NULL, 'PTHR11746:SF172', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191251, NULL, 'PTHR34883:SF4', NULL, NULL, NULL, NULL, 'RICH PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191252, NULL, 'PTHR47986:SF11', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE TMK2', NULL, NULL, NULL, 15),
(191253, NULL, 'PTHR31175:SF69', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN SAUR64', NULL, NULL, NULL, 15),
(191254, NULL, 'PTHR19847:SF20', NULL, NULL, NULL, NULL, 'OS05G0407200 PROTEIN', NULL, NULL, NULL, 15),
(191255, NULL, 'PTHR45977:SF33', NULL, NULL, NULL, NULL, 'BNACNNG67740D PROTEIN', NULL, NULL, NULL, 15),
(191256, NULL, 'PTHR45724:SF29', NULL, NULL, NULL, NULL, 'AQUAPORIN NIP4-2-RELATED', NULL, NULL, NULL, 15),
(191257, NULL, 'PTHR11258:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191258, NULL, 'PTHR24188:SF38', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191259, NULL, 'PTHR15087:SF15', NULL, NULL, NULL, NULL, 'CUTINASE', NULL, NULL, NULL, 15),
(191260, NULL, 'PTHR11232:SF68', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE 1 (NEURONAL) ADAPTOR PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(191261, NULL, 'PTHR33865:SF2', NULL, NULL, NULL, NULL, 'PROTEIN FAM183A', NULL, NULL, NULL, 15),
(191262, NULL, 'PTHR43205:SF57', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191263, NULL, 'PTHR46408', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER 63', NULL, NULL, NULL, 15),
(191264, NULL, 'PTHR11831:SF32', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S9, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(191265, NULL, 'PTHR14112:SF5', NULL, NULL, NULL, NULL, 'MCG1044712-RELATED', NULL, NULL, NULL, 15),
(191266, NULL, 'PTHR30472:SF25', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER PERMEASE PROTEIN MJ0876-RELATED', NULL, NULL, NULL, 15),
(191267, NULL, 'PTHR46043:SF8', NULL, NULL, NULL, NULL, 'ARMADILLO/BETA-CATENIN-LIKE REPEAT PROTEIN', NULL, NULL, NULL, 15),
(191268, NULL, 'PTHR15600:SF37', NULL, NULL, NULL, NULL, 'SACSIN', NULL, NULL, NULL, 15),
(191269, NULL, 'PTHR27009:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191270, NULL, 'PTHR11972:SF161', NULL, NULL, NULL, NULL, 'BNAC02G38300D PROTEIN', NULL, NULL, NULL, 15),
(191271, NULL, 'PTHR26374:SF366', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191272, NULL, 'PTHR19965:SF70', NULL, NULL, NULL, NULL, 'CHROMATIN TARGET OF PRMT1 PROTEIN', NULL, NULL, NULL, 15),
(191273, NULL, 'PTHR37816:SF1', NULL, NULL, NULL, NULL, 'DNA TOPOLOGY MODULATION PROTEIN FLAR-RELATED PROTEIN', NULL, NULL, NULL, 15),
(191274, NULL, 'PTHR24100:SF2', NULL, NULL, NULL, NULL, 'CD276 ANTIGEN', NULL, NULL, NULL, 15),
(191275, NULL, 'PTHR22937:SF164', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(191276, NULL, 'PTHR46086:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191277, NULL, 'PTHR47716', NULL, NULL, NULL, NULL, 'WUSCHEL-RELATED HOMEOBOX 4', NULL, NULL, 37618, 15),
(191278, NULL, 'PTHR43514', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER I FAMILY MEMBER 10', NULL, NULL, NULL, 15),
(191279, NULL, 'PTHR47958:SF52', NULL, NULL, NULL, NULL, 'DEAD-BOX ATP-DEPENDENT RNA HELICASE 46', NULL, NULL, NULL, 15),
(191280, NULL, 'PTHR11730:SF104', NULL, NULL, NULL, NULL, 'AMMONIUM TRANSPORTER 1 MEMBER 2', NULL, NULL, NULL, 15),
(191281, NULL, 'PTHR12702:SF5', NULL, NULL, NULL, NULL, 'EXOCYST COMPLEX COMPONENT', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191282, NULL, 'PTHR14315:SF17', NULL, NULL, NULL, NULL, 'MIP21584P', NULL, NULL, NULL, 15),
(191283, NULL, 'PTHR11566:SF133', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(191284, NULL, 'PTHR35403:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191285, NULL, 'PTHR48047:SF24', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(191286, NULL, 'PTHR30405:SF11', NULL, NULL, NULL, NULL, 'TRANSPOSASE INSQ FOR INSERTION SEQUENCE ELEMENT IS609-RELATED', NULL, NULL, NULL, 15),
(191287, NULL, 'PTHR10794:SF63', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE 1, ISOFORM A', NULL, NULL, NULL, 15),
(191288, NULL, 'PTHR46086:SF9', NULL, NULL, NULL, NULL, 'FERULOYL ESTERASE A-LIKE', NULL, NULL, NULL, 15),
(191289, NULL, 'PTHR43083:SF6', NULL, NULL, NULL, NULL, 'MANNAN POLYMERASE COMPLEXES SUBUNIT MNN9', NULL, NULL, NULL, 15),
(191290, NULL, 'PTHR24128:SF38', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT FAMILY PROTEIN', NULL, NULL, NULL, 15),
(191291, NULL, 'PTHR24281:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191292, NULL, 'PTHR45618:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191293, NULL, 'PTHR33076:SF138', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(191294, NULL, 'PTHR32212:SF354', NULL, NULL, NULL, NULL, 'BNAC03G13290D PROTEIN', NULL, NULL, NULL, 15),
(191295, NULL, 'PTHR11227:SF61', NULL, NULL, NULL, NULL, 'BNAC06G18590D PROTEIN', NULL, NULL, NULL, 15),
(191296, NULL, 'PTHR33265:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191297, NULL, 'PTHR15653:SF0', NULL, NULL, NULL, NULL, 'CONNECTOR OF KINASE TO AP-1, ISOFORM E', NULL, NULL, NULL, 15),
(191298, NULL, 'PTHR10983:SF13', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE-LIKE', NULL, NULL, NULL, 15),
(191299, NULL, 'PTHR10791:SF179', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(191300, NULL, 'PTHR11711:SF384', NULL, NULL, NULL, NULL, 'BNAA09G14150D PROTEIN', NULL, NULL, NULL, 15),
(191301, NULL, 'PTHR45648:SF80', NULL, NULL, NULL, NULL, 'BNAA02G09320D PROTEIN', NULL, NULL, NULL, 15),
(191302, NULL, 'PTHR22603:SF75', NULL, NULL, NULL, NULL, 'CHOLINE KINASE 3-RELATED', NULL, NULL, NULL, 15),
(191303, NULL, 'PTHR10869:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191304, NULL, 'PTHR12358:SF95', NULL, NULL, NULL, NULL, 'ZGC:158263', NULL, NULL, NULL, 15),
(191305, NULL, 'PTHR15601:SF26', NULL, NULL, NULL, NULL, 'STRESS ASSOCIATED ENDOPLASMIC RETICULUM PROTEIN', NULL, NULL, NULL, 15),
(191306, NULL, 'PTHR48019:SF53', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL17', NULL, NULL, NULL, 15),
(191307, NULL, 'PTHR11654:SF492', NULL, NULL, NULL, NULL, 'BNAC07G13630D PROTEIN', NULL, NULL, NULL, 15),
(191308, NULL, 'PTHR31638', NULL, NULL, NULL, NULL, 'DAZ-ASSOCIATED PROTEIN 2', NULL, NULL, 17256, 15),
(191309, NULL, 'PTHR43317:SF8', NULL, NULL, NULL, NULL, 'BNAA02G04280D PROTEIN', NULL, NULL, NULL, 15),
(191310, NULL, 'PTHR10108:SF1111', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE PMT6-RELATED', NULL, NULL, NULL, 15),
(191311, NULL, 'PTHR26450:SF385', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 52K1', NULL, NULL, NULL, 15),
(191312, NULL, 'PTHR37948', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191313, NULL, 'PTHR23054:SF75', NULL, NULL, NULL, NULL, 'BNAA09G41890D PROTEIN', NULL, NULL, NULL, 15),
(191314, NULL, 'PTHR34769', NULL, NULL, NULL, NULL, 'RCG42593, ISOFORM CRA_A', NULL, NULL, 34349, 15),
(191315, NULL, 'PTHR47629:SF3', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(191316, NULL, 'PTHR22600:SF21', NULL, NULL, NULL, NULL, 'BETA-HEXOSAMINIDASE', NULL, NULL, NULL, 15),
(191317, NULL, 'PTHR10845', NULL, NULL, NULL, NULL, 'REGULATOR OF G PROTEIN SIGNALING', NULL, NULL, NULL, 15),
(191318, NULL, 'PTHR47982:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191319, NULL, 'PTHR13301:SF212', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191320, NULL, 'PTHR10199:SF100', NULL, NULL, NULL, NULL, 'THROMBOSPONDIN, ISOFORM A', NULL, NULL, NULL, 15),
(191321, NULL, 'PTHR47958:SF91', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DBP2-LIKE', NULL, NULL, NULL, 15),
(191322, NULL, 'PTHR11227', NULL, NULL, NULL, NULL, 'WD-REPEAT PROTEIN INTERACTING WITH PHOSPHOINOSIDES  WIPI -RELATED', NULL, NULL, NULL, 15),
(191323, NULL, 'PTHR15592:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191324, NULL, 'PTHR13400', NULL, NULL, NULL, NULL, 'CHEMOKINE C-C MOTIF RECEPTOR 1', NULL, NULL, 27594, 15),
(191325, NULL, 'PTHR33127:SF48', NULL, NULL, NULL, NULL, 'BNACNNG76600D PROTEIN', NULL, NULL, NULL, 15),
(191326, NULL, 'PTHR19433:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191327, NULL, 'PTHR28141', NULL, NULL, NULL, NULL, '2'',3''-CYCLIC-NUCLEOTIDE 3''-PHOSPHODIESTERASE', NULL, NULL, 13855, 15),
(191328, NULL, 'PTHR43464:SF3', NULL, NULL, NULL, NULL, 'SAM-DEPENDENT METHYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(191329, NULL, 'PTHR11668:SF285', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE', NULL, NULL, NULL, 15),
(191330, NULL, 'PTHR23249:SF17', NULL, NULL, NULL, NULL, 'TRAFFICKING PROTEIN PARTICLE COMPLEX SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(191331, NULL, 'PTHR10826:SF31', NULL, NULL, NULL, NULL, 'BNAA03G12110D PROTEIN', NULL, NULL, NULL, 15),
(191332, NULL, 'PTHR43443:SF1', NULL, NULL, NULL, NULL, '3-HEXULOSE-6-PHOSPHATE ISOMERASE', NULL, NULL, NULL, 15),
(191333, NULL, 'PTHR34191:SF15', NULL, NULL, NULL, NULL, 'BNAA01G32930D PROTEIN', NULL, NULL, NULL, 15),
(191334, NULL, 'PTHR31639:SF42', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191335, NULL, 'PTHR31890:SF10', NULL, NULL, NULL, NULL, 'PECTINESTERASE INHIBITOR 2-LIKE', NULL, NULL, NULL, 15),
(191336, NULL, 'PTHR30258:SF26', NULL, NULL, NULL, NULL, 'MSHA BIOGENESIS PROTEIN MSHE', NULL, NULL, NULL, 15),
(191337, NULL, 'PTHR22941:SF2', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(191338, NULL, 'PTHR43826:SF2', NULL, NULL, NULL, NULL, 'HEXOSE-6-PHOSPHATE:PHOSPHATE ANTIPORTER', NULL, NULL, NULL, 15),
(191339, NULL, 'PTHR46503:SF9', NULL, NULL, NULL, NULL, 'INTER ALPHA-TRYPSIN INHIBITOR, HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(191340, NULL, 'PTHR43424:SF1', NULL, NULL, NULL, NULL, 'LOCUS PUTATIVE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(191341, NULL, 'PTHR21077:SF10', NULL, NULL, NULL, NULL, 'ESSENTIAL MEIOTIC STRUCTURE-SPECIFIC ENDONUCLEASE 1', NULL, NULL, NULL, 15),
(191342, NULL, 'PTHR32100:SF49', NULL, NULL, NULL, NULL, 'DELTA(12)-FATTY-ACID DESATURASE', NULL, NULL, NULL, 15),
(191343, NULL, 'PTHR13555:SF59', NULL, NULL, NULL, NULL, 'RIKEN CDNA 1700034E13 GENE', NULL, NULL, NULL, 15),
(191344, NULL, 'PTHR15664:SF17', NULL, NULL, NULL, NULL, 'BNACNNG58570D PROTEIN', NULL, NULL, NULL, 15),
(191345, NULL, 'PTHR46997', NULL, NULL, NULL, NULL, 'LOW AFFINITY TRYPTOPHAN PERMEASE-RELATED', NULL, NULL, 12068, 15),
(191346, NULL, 'PTHR11040:SF131', NULL, NULL, NULL, NULL, 'ZINC-REGULATED TRANSPORTER 3', NULL, NULL, NULL, 15),
(191347, NULL, 'PTHR13683:SF828', NULL, NULL, NULL, NULL, 'PROTEINASE NEPENTHESIN-2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191348, NULL, 'PTHR36379', NULL, NULL, NULL, NULL, 'PROTEIN PRD1', NULL, NULL, 38398, 15),
(191349, NULL, 'PTHR47520:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG08834', NULL, NULL, NULL, 15),
(191350, NULL, 'PTHR11759:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191351, NULL, 'PTHR46662:SF35', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191352, NULL, 'PTHR46886:SF1', NULL, NULL, NULL, NULL, 'INSULIN-LIKE GROWTH FACTOR II', NULL, NULL, NULL, 15),
(191353, NULL, 'PTHR24035', NULL, NULL, NULL, NULL, 'MULTIPLE EPIDERMAL GROWTH FACTOR-LIKE DOMAINS PROTEIN', NULL, NULL, NULL, 15),
(191354, NULL, 'PTHR10108:SF1098', NULL, NULL, NULL, NULL, 'PMT26-LIKE PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191355, NULL, 'PTHR11652:SF57', NULL, NULL, NULL, NULL, 'BNAANNG32630D PROTEIN', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191356, NULL, 'PTHR37610:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191357, NULL, 'PTHR16223:SF202', NULL, NULL, NULL, NULL, 'BNACNNG37600D PROTEIN', NULL, NULL, NULL, 15),
(191358, NULL, 'PTHR11071:SF484', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE', NULL, NULL, NULL, 15),
(191359, NULL, 'PTHR45000:SF4', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(191360, NULL, 'PTHR10885:SF15', NULL, NULL, NULL, NULL, 'OS05G0413400 PROTEIN', NULL, NULL, NULL, 15),
(191361, NULL, 'PTHR33493:SF2', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN 46', NULL, NULL, NULL, 15),
(191362, NULL, 'PTHR35096:SF10', NULL, NULL, NULL, NULL, 'OS03G0308700 PROTEIN', NULL, NULL, NULL, 15),
(191363, NULL, 'PTHR37443:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG23797', NULL, NULL, NULL, 15),
(191364, NULL, 'PTHR12506:SF61', NULL, NULL, NULL, NULL, 'BNAA09G26730D PROTEIN', NULL, NULL, NULL, 15),
(191365, NULL, 'PTHR31790:SF402', NULL, NULL, NULL, NULL, 'F-BOX ASSOCIATED INTERACTION DOMAIN, LEUCINE-RICH REPEAT DOMAIN, L DOMAIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191366, NULL, 'PTHR11165:SF124', NULL, NULL, NULL, NULL, 'S-PHASE KINASE-ASSOCIATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191367, NULL, 'PTHR22800:SF242', NULL, NULL, NULL, NULL, 'NKG2-A/NKG2-B TYPE II INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(191368, NULL, 'PTHR45463:SF4', NULL, NULL, NULL, NULL, 'OS09G0392200 PROTEIN', NULL, NULL, NULL, 15),
(191369, NULL, 'PTHR31190:SF173', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED GENES TRANSCRIPTIONAL ACTIVATOR PTI5', NULL, NULL, NULL, 15),
(191370, NULL, 'PTHR48111:SF22', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN CIAR', NULL, NULL, NULL, 15),
(191371, NULL, 'PTHR10775:SF147', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191372, NULL, 'PTHR10209:SF772', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191373, NULL, 'PTHR11866:SF33', NULL, NULL, NULL, NULL, 'PROSTAGLANDIN E RECEPTOR 1C (SUBTYPE EP1)', NULL, NULL, NULL, 15),
(191374, NULL, 'PTHR27006:SF326', NULL, NULL, NULL, NULL, 'BNAA06G32280D PROTEIN', NULL, NULL, NULL, 15),
(191375, NULL, 'PTHR11926:SF751', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(191376, NULL, 'PTHR48018:SF7', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 8B8', NULL, NULL, NULL, 15),
(191377, NULL, 'PTHR43592:SF21', NULL, NULL, NULL, NULL, 'CAAX AMINO TERMINAL PROTEASE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191378, NULL, 'PTHR31325:SF180', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191379, NULL, 'PTHR18919:SF12', NULL, NULL, NULL, NULL, 'ACYLTRANSFERASE RV0859-RELATED', NULL, NULL, NULL, 15),
(191380, NULL, 'PTHR12151', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT PROTIN SCO1/SENC FAMILY MEMBER', NULL, NULL, 3127, 15),
(191381, NULL, 'PTHR33181:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191382, NULL, 'PTHR47155:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG24379', NULL, NULL, NULL, 15),
(191383, NULL, 'PTHR35573', NULL, NULL, NULL, NULL, 'PROTEIN CBG22129', NULL, NULL, NULL, 15),
(191384, NULL, 'PTHR19836:SF23', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S14', NULL, NULL, NULL, 15),
(191385, NULL, 'PTHR23147:SF87', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, 12169, 15),
(191386, NULL, 'PTHR14043', NULL, NULL, NULL, NULL, 'CCAAT DISPLACEMENT PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191387, NULL, 'PTHR10585:SF29', NULL, NULL, NULL, NULL, 'ER LUMEN PROTEIN-RETAINING RECEPTOR', NULL, NULL, NULL, 15),
(191388, NULL, 'PTHR10949:SF32', NULL, NULL, NULL, NULL, 'LIPOYL SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(191389, NULL, 'PTHR13180:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 50B', NULL, NULL, NULL, 15),
(191390, NULL, 'PTHR11877:SF23', NULL, NULL, NULL, NULL, 'OS10G0168500 PROTEIN', NULL, NULL, NULL, 15),
(191391, NULL, 'PTHR10106:SF18', NULL, NULL, NULL, NULL, 'CYTOCHROME B561', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191392, NULL, 'PTHR37261:SF1', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S27', NULL, NULL, NULL, 15),
(191393, NULL, 'PTHR35305:SF2', NULL, NULL, NULL, NULL, 'FAD-BINDING PROTEIN', NULL, NULL, NULL, 15),
(191394, NULL, 'PTHR12815', NULL, NULL, NULL, NULL, 'SORTING AND ASSEMBLY MACHINERY SAMM50 PROTEIN FAMILY MEMBER', NULL, NULL, 32929, 15),
(191395, NULL, 'PTHR47105:SF3', NULL, NULL, NULL, NULL, 'BNAC09G18280D PROTEIN', NULL, NULL, NULL, 15),
(191396, NULL, 'PTHR33095:SF8', NULL, NULL, NULL, NULL, 'DUF1645 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(191397, NULL, 'PTHR15710:SF119', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(191398, NULL, 'PTHR33147:SF43', NULL, NULL, NULL, NULL, 'DEFENSIN-LIKE PROTEIN P322', NULL, NULL, NULL, 15),
(191399, NULL, 'PTHR46485:SF4', NULL, NULL, NULL, NULL, 'LIM DOMAIN KINASE 1', NULL, NULL, NULL, 15),
(191400, NULL, 'PTHR23024:SF171', NULL, NULL, NULL, NULL, 'OS09G0461800 PROTEIN', NULL, NULL, NULL, 15),
(191401, NULL, 'PTHR32286:SF10', NULL, NULL, NULL, NULL, 'LYMPHOCYTE ANTIGEN 6 COMPLEX LOCUS PROTEIN G6F', NULL, NULL, NULL, 15),
(191402, NULL, 'PTHR32499', NULL, NULL, NULL, NULL, 'FASCICLIN-LIKE ARABINOGALACTAN PROTEIN 16', NULL, NULL, 39374, 15),
(191403, NULL, 'PTHR35254', NULL, NULL, NULL, NULL, 'STIMULATED BY RETINOIC ACID GENE 8 PROTEIN HOMOLOG', NULL, NULL, 36237, 15),
(191404, NULL, 'PTHR31232:SF109', NULL, NULL, NULL, NULL, 'BNAA08G12220D PROTEIN', NULL, NULL, NULL, 15),
(191405, NULL, 'PTHR27003:SF370', NULL, NULL, NULL, NULL, 'BNAA10G12670D PROTEIN', NULL, NULL, NULL, 15),
(191406, NULL, 'PTHR31509:SF115', NULL, NULL, NULL, NULL, 'BNAC04G04750D PROTEIN', NULL, NULL, NULL, 15),
(191407, NULL, 'PTHR46288:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191408, NULL, 'PTHR17005:SF3', NULL, NULL, NULL, NULL, 'MALE-ENHANCED ANTIGEN 1', NULL, NULL, NULL, 15),
(191409, NULL, 'PTHR33091:SF41', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR, POTATO INHIBITOR I-TYPE FAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191410, NULL, 'PTHR46887:SF1', NULL, NULL, NULL, NULL, 'TANDEM C2 DOMAINS NUCLEAR PROTEIN', NULL, NULL, NULL, 15),
(191411, NULL, 'PTHR23088:SF56', NULL, NULL, NULL, NULL, 'LMO0792 PROTEIN', NULL, NULL, NULL, 15),
(191412, NULL, 'PTHR31388:SF116', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(191413, NULL, 'PTHR45665', NULL, NULL, NULL, NULL, 'AQUAPORIN-8', NULL, NULL, 25369, 15),
(191414, NULL, 'PTHR12001:SF81', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191415, NULL, 'PTHR21146:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MEF2BNB HOMOLOG', NULL, NULL, NULL, 15),
(191416, NULL, 'PTHR11306:SF52', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLGLYCEROL/PHOSPHATIDYLINOSITOL TRANSFER PROTEIN', NULL, NULL, NULL, 15),
(191417, NULL, 'PTHR46195:SF24', NULL, NULL, NULL, NULL, 'BNAANNG30630D PROTEIN', NULL, NULL, NULL, 15),
(191418, NULL, 'PTHR46285:SF9', NULL, NULL, NULL, NULL, 'BNAC03G70340D PROTEIN', NULL, NULL, NULL, 15),
(191419, NULL, 'PTHR23036:SF156', NULL, NULL, NULL, NULL, 'INTERLEUKIN-12 SUBUNIT BETA', NULL, NULL, 8396, 15),
(191420, NULL, 'PTHR11062:SF265', NULL, NULL, NULL, NULL, 'EXOSTOSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(191421, NULL, 'PTHR11738:SF4', NULL, NULL, NULL, NULL, 'IMMUNOGLOBULIN ALPHA FC RECEPTOR', NULL, NULL, NULL, 15),
(191422, NULL, 'PTHR31235:SF190', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(191423, NULL, 'PTHR11716:SF91', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A(2)', NULL, NULL, NULL, 15),
(191424, NULL, 'PTHR13848:SF74', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(191425, NULL, 'PTHR33116:SF48', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(191426, NULL, 'PTHR11945:SF187', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN AGAMOUS', NULL, NULL, NULL, 15),
(191427, NULL, 'PTHR21014:SF5', NULL, NULL, NULL, NULL, 'TYPE 2 PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 4-PHOSPHATASE', NULL, NULL, NULL, 15),
(191428, NULL, 'PTHR24070:SF393', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RAP-1B-RELATED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191429, NULL, 'PTHR27005:SF344', NULL, NULL, NULL, NULL, 'BNAANNG18620D PROTEIN', NULL, NULL, NULL, 15),
(191430, NULL, 'PTHR47600:SF1', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD-LIKE PROTEIN', NULL, NULL, NULL, 15),
(191431, NULL, 'PTHR12406:SF22', NULL, NULL, NULL, NULL, '1-ACYLGLYCEROL-3-PHOSPHATE O-ACYLTRANSFERASE PNPLA3', NULL, NULL, NULL, 15),
(191432, NULL, 'PTHR10707:SF10', NULL, NULL, NULL, NULL, 'AT07685P-RELATED', NULL, NULL, NULL, 15),
(191433, NULL, 'PTHR45679:SF4', NULL, NULL, NULL, NULL, 'ALPHA-1,2-MANNOSIDASE', NULL, NULL, NULL, 15),
(191434, NULL, 'PTHR43706:SF12', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE-LIKE PROTEIN YUTJ', NULL, NULL, NULL, 15),
(191435, NULL, 'PTHR24282:SF150', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 709B2', NULL, NULL, NULL, 15),
(191436, NULL, 'PTHR31388:SF189', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(191437, NULL, 'PTHR43272:SF22', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE 4', NULL, NULL, NULL, 15),
(191438, NULL, 'PTHR31731:SF120', NULL, NULL, NULL, NULL, 'OS06G0643500 PROTEIN', NULL, NULL, NULL, 15),
(191439, NULL, 'PTHR33191:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191440, NULL, 'PTHR31418:SF4', NULL, NULL, NULL, NULL, 'FATTY ACID/RETINOL BINDING PROTEIN', NULL, NULL, NULL, 15),
(191441, NULL, 'PTHR15698:SF9', NULL, NULL, NULL, NULL, 'PHYTANOYL-COA HYDROXYLASE-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(191442, NULL, 'PTHR43097', NULL, NULL, NULL, NULL, 'GLUTAMINE-TRNA LIGASE', NULL, NULL, NULL, 15),
(191443, NULL, 'PTHR12220:SF22', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN L16-RELATED', NULL, NULL, NULL, 15),
(191444, NULL, 'PTHR43895:SF113', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(191445, NULL, 'PTHR46128:SF218', NULL, NULL, NULL, NULL, 'BNAA05G16710D PROTEIN', NULL, NULL, NULL, 15),
(191446, NULL, 'PTHR15854:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG18583', NULL, NULL, NULL, 15),
(191447, NULL, 'PTHR11071:SF222', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE 2', NULL, NULL, NULL, 15),
(191448, NULL, 'PTHR31370', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN FAMILY-LIKE', NULL, NULL, 34945, 15),
(191449, NULL, 'PTHR11913:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191450, NULL, 'PTHR10796:SF112', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(191451, NULL, 'PTHR45677:SF14', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE 1B', NULL, NULL, NULL, 15),
(191452, NULL, 'PTHR40394:SF2', NULL, NULL, NULL, NULL, 'LIPOPROTEIN-RELATED', NULL, NULL, NULL, 15),
(191453, NULL, 'PTHR36465', NULL, NULL, NULL, NULL, 'UBIQUINOL-CYTOCHROME-C REDUCTASE COMPLEX ASSEMBLY FACTOR 3', NULL, NULL, 27968, 15),
(191454, NULL, 'PTHR19375:SF381', NULL, NULL, NULL, NULL, 'HEAT SHOCK 70 KDA PROTEIN', NULL, NULL, NULL, 15),
(191455, NULL, 'PTHR33827:SF6', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-LIKE TRANSCRIPTION FACTOR SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191456, NULL, 'PTHR10992:SF1023', NULL, NULL, NULL, NULL, 'METHYLESTERASE 11, CHLOROPLASTIC ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(191457, NULL, 'PTHR31865:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191458, NULL, 'PTHR24343:SF461', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(191459, NULL, 'PTHR21392:SF1', NULL, NULL, NULL, NULL, 'DTW DOMAIN-CONTAINING PROTEIN YFIP', NULL, NULL, NULL, 15),
(191460, NULL, 'PTHR11208:SF34', NULL, NULL, NULL, NULL, 'KH DOMAIN-CONTAINING, RNA-BINDING, SIGNAL TRANSDUCTION-ASSOCIATED PROTEIN 2', NULL, NULL, NULL, 15),
(191461, NULL, 'PTHR37680', NULL, NULL, NULL, NULL, 'C130050O18RIK PROTEIN', NULL, NULL, NULL, 15),
(191462, NULL, 'PTHR34567:SF9', NULL, NULL, NULL, NULL, 'CONTAINING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191463, NULL, 'PTHR11783:SF196', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(191464, NULL, 'PTHR40738', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191465, NULL, 'PTHR34378:SF1', NULL, NULL, NULL, NULL, 'GLUTAMATE--CYSTEINE LIGASE, CHLOROPLASTIC', NULL, NULL, 9175, 15),
(191466, NULL, 'PTHR31080:SF193', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191467, NULL, 'PTHR32258:SF6', NULL, NULL, NULL, NULL, 'PROTEIN NETWORKED 1D ISOFORM X1', NULL, NULL, NULL, 15),
(191468, NULL, 'PTHR11439:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191469, NULL, 'PTHR34009', NULL, NULL, NULL, NULL, 'PROTEIN STAR', NULL, NULL, NULL, 15),
(191470, NULL, 'PTHR45987:SF17', NULL, NULL, NULL, NULL, 'BNACNNG16350D PROTEIN', NULL, NULL, NULL, 15),
(191471, NULL, 'PTHR48017:SF47', NULL, NULL, NULL, NULL, 'OSJNBA0084K11.20 PROTEIN', NULL, NULL, NULL, 15),
(191472, NULL, 'PTHR18914:SF21', NULL, NULL, NULL, NULL, 'CATENIN ALPHA-3', NULL, NULL, NULL, 15),
(191473, NULL, 'PTHR46765', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(191474, NULL, 'PTHR31412:SF2', NULL, NULL, NULL, NULL, 'ZINC METALLOPEPTIDASE EGY3, CHLOROPLASTIC-RELATED', NULL, NULL, NULL, 15),
(191475, NULL, 'PTHR10480:SF2', NULL, NULL, NULL, NULL, 'PROTEIN UNC-13 HOMOLOG C', NULL, NULL, 26833, 15),
(191476, NULL, 'PTHR46122:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191477, NULL, 'PTHR14076:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR ACTIVITY-MODIFYING PROTEIN 2', NULL, NULL, NULL, 15),
(191478, NULL, 'PTHR45770:SF28', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(191479, NULL, 'PTHR21726:SF57', NULL, NULL, NULL, NULL, 'GPI-ANCHORED ADHESIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(191480, NULL, 'PTHR47670', NULL, NULL, NULL, NULL, 'ADENYLYLSULFATASE HINT3', NULL, NULL, NULL, 15),
(191481, NULL, 'PTHR31236:SF37', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 5-LIKE', NULL, NULL, NULL, 15),
(191482, NULL, 'PTHR23159:SF18', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 135 KDA', NULL, NULL, 22280, 15),
(191483, NULL, 'PTHR31218:SF170', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(191484, NULL, 'PTHR46366:SF2', NULL, NULL, NULL, NULL, 'PROTEASE DO-LIKE 7', NULL, NULL, NULL, 15),
(191485, NULL, 'PTHR24177:SF324', NULL, NULL, NULL, NULL, 'BNAC05G02050D PROTEIN', NULL, NULL, NULL, 15),
(191486, NULL, 'PTHR24062:SF31', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(191487, NULL, 'PTHR42933:SF3', NULL, NULL, NULL, NULL, 'SLR6095 PROTEIN', NULL, NULL, NULL, 15),
(191488, NULL, 'PTHR43272:SF28', NULL, NULL, NULL, NULL, 'LONG-CHAIN-FATTY-ACID--COA LIGASE 1', NULL, NULL, NULL, 15),
(191489, NULL, 'PTHR44042:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191490, NULL, 'PTHR31549:SF166', NULL, NULL, NULL, NULL, 'OS05G0198100 PROTEIN', NULL, NULL, NULL, 15),
(191491, NULL, 'PTHR42899', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 20', NULL, NULL, 5832, 15),
(191492, NULL, 'PTHR11216:SF1', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE', NULL, NULL, NULL, 15),
(191493, NULL, 'PTHR36047', NULL, NULL, NULL, NULL, 'OS01G0191000 PROTEIN', NULL, NULL, NULL, 15),
(191494, NULL, 'PTHR33977:SF4', NULL, NULL, NULL, NULL, 'ZINC ION-BINDING PROTEIN', NULL, NULL, NULL, 15),
(191495, NULL, 'PTHR14499:SF11', NULL, NULL, NULL, NULL, 'PROTEIN CBG07773', NULL, NULL, NULL, 15),
(191496, NULL, 'PTHR33448:SF5', NULL, NULL, NULL, NULL, 'TROPONIN T, SKELETAL MUSCLE-LIKE', NULL, NULL, NULL, 15),
(191497, NULL, 'PTHR33052:SF120', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191498, NULL, 'PTHR11808:SF77', NULL, NULL, NULL, NULL, 'CYSTATHIONINE BETA-LYASE METC', NULL, NULL, NULL, 15),
(191499, NULL, 'PTHR33747:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191500, NULL, 'PTHR12483:SF103', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191501, NULL, 'PTHR47968:SF23', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-7A', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191502, NULL, 'PTHR38737:SF1', NULL, NULL, NULL, NULL, 'ACTIN-FRAGMIN KINASE DDB_G0279609-RELATED', NULL, NULL, NULL, 15),
(191503, NULL, 'PTHR13318:SF167', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 5', NULL, NULL, NULL, 15),
(191504, NULL, 'PTHR24054:SF42', NULL, NULL, NULL, NULL, 'CASEIN KINASE II SUBUNIT ALPHA-LIKE', NULL, NULL, NULL, 15),
(191505, NULL, 'PTHR43874:SF93', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(191506, NULL, 'PTHR10374:SF30', NULL, NULL, NULL, NULL, 'LACTOYLGLUTATHIONE LYASE', NULL, NULL, NULL, 15),
(191507, NULL, 'PTHR10336:SF51', NULL, NULL, NULL, NULL, '1-PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE PHOSPHODIESTERASE ETA-1', NULL, NULL, 28215, 15),
(191508, NULL, 'PTHR31639:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191509, NULL, 'PTHR33264:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191510, NULL, 'PTHR28015', NULL, NULL, NULL, NULL, 'ATP SYNTHASE ASSEMBLY FACTOR FMC1, MITOCHONDRIAL', NULL, NULL, 35690, 15),
(191511, NULL, 'PTHR33772', NULL, NULL, NULL, NULL, 'THYMUS, BRAIN AND TESTES-ASSOCIATED', NULL, NULL, 34886, 15),
(191512, NULL, 'PTHR23239:SF164', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CYTOSKELETAL 15', NULL, NULL, NULL, 15),
(191513, NULL, 'PTHR30633', NULL, NULL, NULL, NULL, 'CYTOCHROME C-552 RESPIRATORY NITRITE REDUCTASE', NULL, NULL, 4421, 15),
(191514, NULL, 'PTHR24068:SF193', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 N-LIKE', NULL, NULL, NULL, 15),
(191515, NULL, 'PTHR32134', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(191516, NULL, 'PTHR45824:SF6', NULL, NULL, NULL, NULL, 'GH16843P', NULL, NULL, NULL, 15),
(191517, NULL, 'PTHR24343:SF340', NULL, NULL, NULL, NULL, 'SPERM MOTILITY KINASE W-RELATED', NULL, NULL, NULL, 15),
(191518, NULL, 'PTHR15486:SF78', NULL, NULL, NULL, NULL, 'BNAA05G27110D PROTEIN', NULL, NULL, NULL, 15),
(191519, NULL, 'PTHR45617:SF65', NULL, NULL, NULL, NULL, 'ACID LABILE SUBUNIT', NULL, NULL, NULL, 15),
(191520, NULL, 'PTHR31602:SF65', NULL, NULL, NULL, NULL, 'GROWTH-REGULATING FACTOR 1-LIKE', NULL, NULL, NULL, 15),
(191521, NULL, 'PTHR11219', NULL, NULL, NULL, NULL, 'TENEURIN AND N-ACETYLGLUCOSAMINE-1-PHOSPHODIESTER ALPHA-N-ACETYLGLUCOSAMINIDASE', NULL, NULL, NULL, 15),
(191522, NULL, 'PTHR10352:SF42', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN R', NULL, NULL, NULL, 15),
(191523, NULL, 'PTHR46581:SF10', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(191524, NULL, 'PTHR11595:SF27', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-DELTA 2', NULL, NULL, NULL, 15),
(191525, NULL, 'PTHR23024:SF537', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191526, NULL, 'PTHR34482:SF31', NULL, NULL, NULL, NULL, 'RETROTRANSPOSON GAG DOMAIN, ASPARTIC PEPTIDASE DOMAIN PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191527, NULL, 'PTHR37822:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191528, NULL, 'PTHR15975:SF0', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 11', NULL, NULL, NULL, 15),
(191529, NULL, 'PTHR11062:SF229', NULL, NULL, NULL, NULL, 'GLUCURONOXYLAN GLUCURONOSYLTRANSFERASE IRX7-RELATED', NULL, NULL, NULL, 15),
(191530, NULL, 'PTHR23012:SF187', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191531, NULL, 'PTHR47972:SF31', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-14Q', NULL, NULL, NULL, 15),
(191532, NULL, 'PTHR11941:SF127', NULL, NULL, NULL, NULL, 'ENOYL COA HYDRATASE-RELATED', NULL, NULL, NULL, 15),
(191533, NULL, 'PTHR31238:SF162', NULL, NULL, NULL, NULL, 'GERMIN-LIKE PROTEIN SUBFAMILY T MEMBER 3', NULL, NULL, NULL, 15),
(191534, NULL, 'PTHR31096:SF70', NULL, NULL, NULL, NULL, 'ACT DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191535, NULL, 'PTHR45621:SF121', NULL, NULL, NULL, NULL, 'BNAA03G53450D PROTEIN', NULL, NULL, NULL, 15),
(191536, NULL, 'PTHR43047:SF5', NULL, NULL, NULL, NULL, 'OSMOSENSING HISTIDINE PROTEIN KINASE SLN1', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191537, NULL, 'PTHR47968:SF4', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN KIN-12B', NULL, NULL, NULL, 15),
(191538, NULL, 'PTHR22849:SF115', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(191539, NULL, 'PTHR41148:SF1', NULL, NULL, NULL, NULL, 'LP09875P', NULL, NULL, NULL, 15),
(191540, NULL, 'PTHR22811:SF154', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191541, NULL, 'PTHR31376:SF10', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 5-RELATED', NULL, NULL, NULL, 15),
(191542, NULL, 'PTHR23024:SF560', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191543, NULL, 'PTHR33136:SF63', NULL, NULL, NULL, NULL, 'RAPID ALKALINIZATION FACTOR-LIKE', NULL, NULL, NULL, 15),
(191544, NULL, 'PTHR11850:SF251', NULL, NULL, NULL, NULL, 'ASSOCIATED WITH HOX FAMILY PROTEIN', NULL, NULL, NULL, 15),
(191545, NULL, 'PTHR22847:SF681', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN MET30', NULL, NULL, NULL, 15),
(191546, NULL, 'PTHR31218:SF42', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(191547, NULL, 'PTHR33063:SF10', NULL, NULL, NULL, NULL, 'OS02G0241300 PROTEIN', NULL, NULL, NULL, 15),
(191548, NULL, 'PTHR24409:SF346', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 687B', NULL, NULL, NULL, 15),
(191549, NULL, 'PTHR14773:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 76', NULL, NULL, 33267, 15),
(191550, NULL, 'PTHR47352:SF1', NULL, NULL, NULL, NULL, 'CLASS I PEPTIDE CHAIN RELEASE FACTOR', NULL, NULL, NULL, 15),
(191551, NULL, 'PTHR46710:SF5', NULL, NULL, NULL, NULL, 'ARMADILLO BTB ARABIDOPSIS PROTEIN 1', NULL, NULL, NULL, 15),
(191552, NULL, 'PTHR44499:SF1', NULL, NULL, NULL, NULL, 'JOUBERIN', NULL, NULL, NULL, 15),
(191553, NULL, 'PTHR39469:SF1', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(191554, NULL, 'PTHR47990:SF155', NULL, NULL, NULL, NULL, 'BNAA06G08970D PROTEIN', NULL, NULL, NULL, 15),
(191555, NULL, 'PTHR31585:SF6', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 2-RELATED', NULL, NULL, NULL, 15),
(191556, NULL, 'PTHR23019', NULL, NULL, NULL, NULL, 'NUCLEAR PORE MEMBRANE GLYCOPROTEIN GP210-RELATED', NULL, NULL, 37781, 15),
(191557, NULL, 'PTHR23300:SF14', NULL, NULL, NULL, NULL, 'BNAC08G08320D PROTEIN', NULL, NULL, NULL, 15),
(191558, NULL, 'PTHR10035:SF2', NULL, NULL, NULL, NULL, 'T-CELL SURFACE GLYCOPROTEIN CD3 ZETA CHAIN', NULL, NULL, NULL, 15),
(191559, NULL, 'PTHR31121', NULL, NULL, NULL, NULL, 'ALPHA-1,2 MANNOSYLTRANSFERASE KTR1', NULL, NULL, 2738, 15),
(191560, NULL, 'PTHR13147:SF5', NULL, NULL, NULL, NULL, 'FOUR-JOINTED BOX PROTEIN 1', NULL, NULL, NULL, 15),
(191561, NULL, 'PTHR45033', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191562, NULL, 'PTHR11461:SF27', NULL, NULL, NULL, NULL, 'SERPIN H1', NULL, NULL, 31395, 15),
(191563, NULL, 'PTHR13832:SF707', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 23-RELATED', NULL, NULL, NULL, 15),
(191564, NULL, 'PTHR31356:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191565, NULL, 'PTHR31828:SF19', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE A1-IIGAMMA-LIKE', NULL, NULL, NULL, 15),
(191566, NULL, 'PTHR38032:SF1', NULL, NULL, NULL, NULL, 'POLYMERASE-RELATED', NULL, NULL, NULL, 15),
(191567, NULL, 'PTHR43679:SF6', NULL, NULL, NULL, NULL, 'LIPOATE-PROTEIN LIGASE-RELATED', NULL, NULL, NULL, 15),
(191568, NULL, 'PTHR31713:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0058G03.4 PROTEIN', NULL, NULL, NULL, 15),
(191569, NULL, 'PTHR33057:SF157', NULL, NULL, NULL, NULL, 'TRANSCRIPTION REPRESSOR OFP2', NULL, NULL, NULL, 15),
(191570, NULL, 'PTHR31213:SF153', NULL, NULL, NULL, NULL, 'BNAANNG40650D PROTEIN', NULL, NULL, NULL, 15),
(191571, NULL, 'PTHR42884:SF7', NULL, NULL, NULL, NULL, 'PROPROTEIN CONVERTASE SUBTILISIN/KEXIN TYPE 5', NULL, NULL, NULL, 15),
(191572, NULL, 'PTHR24281:SF99', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191573, NULL, 'PTHR10994:SF130', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191574, NULL, 'PTHR43429', NULL, NULL, NULL, NULL, 'PYRIDINE NUCLEOTIDE-DISULFIDE OXIDOREDUCTASE DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(191575, NULL, 'PTHR21737:SF16', NULL, NULL, NULL, NULL, 'SI:CH211-191A24.4', NULL, NULL, NULL, 15),
(191576, NULL, 'PTHR11995:SF27', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 7, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(191577, NULL, 'PTHR24020:SF61', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN CONTAINING 7', NULL, NULL, NULL, 15),
(191578, NULL, 'PTHR31677:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191579, NULL, 'PTHR22835:SF589', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191580, NULL, 'PTHR10980:SF44', NULL, NULL, NULL, NULL, 'RHO PROTEIN GDP-DISSOCIATION INHIBITOR-RELATED', NULL, NULL, NULL, 15),
(191581, NULL, 'PTHR43290:SF2', NULL, NULL, NULL, NULL, 'MEVALONATE KINASE', NULL, NULL, NULL, 15),
(191582, NULL, 'PTHR32282:SF27', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 1A', NULL, NULL, NULL, 15),
(191583, NULL, 'PTHR47658:SF2', NULL, NULL, NULL, NULL, 'HMG-BOX (HIGH MOBILITY GROUP) DNA-BINDING FAMILY PROTEIN', NULL, NULL, NULL, 15),
(191584, NULL, 'PTHR46075', NULL, NULL, NULL, NULL, 'CHIMERIN FAMILY MEMBER', NULL, NULL, NULL, 15),
(191585, NULL, 'PTHR44579', NULL, NULL, NULL, NULL, 'OS01G0730500 PROTEIN', NULL, NULL, NULL, 15),
(191586, NULL, 'PTHR46527:SF1', NULL, NULL, NULL, NULL, 'NUCLEOPORIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(191587, NULL, 'PTHR12300:SF152', NULL, NULL, NULL, NULL, 'HVA22-LIKE PROTEIN', NULL, NULL, NULL, 15),
(191588, NULL, 'PTHR37943:SF1', NULL, NULL, NULL, NULL, 'PROTEIN VES', NULL, NULL, NULL, 15),
(191589, NULL, 'PTHR31429:SF65', NULL, NULL, NULL, NULL, 'OS01G0185900 PROTEIN', NULL, NULL, NULL, 15),
(191590, NULL, 'PTHR11880:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191591, NULL, 'PTHR31403:SF38', NULL, NULL, NULL, NULL, 'CLASS 3 FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191592, NULL, 'PTHR45860:SF3', NULL, NULL, NULL, NULL, 'NAGB/RPIA/COA TRANSFERASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(191593, NULL, 'PTHR31282:SF88', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 74-RELATED', NULL, NULL, NULL, 15),
(191594, NULL, 'PTHR13527:SF0', NULL, NULL, NULL, NULL, 'SAYSVFN DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(191595, NULL, 'PTHR43895:SF120', NULL, NULL, NULL, NULL, 'CBL-INTERACTING SERINE/THREONINE-PROTEIN KINASE 2', NULL, NULL, NULL, 15),
(191596, NULL, 'PTHR31375:SF153', NULL, NULL, NULL, NULL, 'PECTIN LYASE-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(191597, NULL, 'PTHR43570:SF15', NULL, NULL, NULL, NULL, 'ALDEHYDE DEHYDROGENASE, DIMERIC NADP-PREFERRING', NULL, NULL, NULL, 15),
(191598, NULL, 'PTHR31218:SF260', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(191599, NULL, 'PTHR47926:SF148', NULL, NULL, NULL, NULL, 'OS07G0172600 PROTEIN', NULL, NULL, NULL, 15),
(191600, NULL, 'PTHR30579:SF7', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR LRHA-RELATED', NULL, NULL, NULL, 15),
(191601, NULL, 'PTHR19370:SF203', NULL, NULL, NULL, NULL, 'NADH-CYTOCHROME B5 REDUCTASE', NULL, NULL, NULL, 15),
(191602, NULL, 'PTHR15715:SF17', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 170 KDA-RELATED', NULL, NULL, 24119, 15),
(191603, NULL, 'PTHR45786:SF37', NULL, NULL, NULL, NULL, 'BNAC05G19830D PROTEIN', NULL, NULL, NULL, 15),
(191604, NULL, 'PTHR46877', NULL, NULL, NULL, NULL, 'EPH RECEPTOR A5', NULL, NULL, NULL, 15),
(191605, NULL, 'PTHR21255:SF7', NULL, NULL, NULL, NULL, 'TCTEX1 DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(191606, NULL, 'PTHR31583', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191607, NULL, 'PTHR12411:SF739', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG39-LIKE', NULL, NULL, NULL, 15),
(191608, NULL, 'PTHR41694:SF3', NULL, NULL, NULL, NULL, 'ENDOGENOUS RETROVIRUS GROUP K MEMBER 10 POL PROTEIN-RELATED', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191609, NULL, 'PTHR13301:SF185', NULL, NULL, NULL, NULL, 'CELLULOSE SYNTHASE-LIKE PROTEIN CSLE', NULL, NULL, NULL, 15),
(191610, NULL, 'PTHR11654:SF559', NULL, NULL, NULL, NULL, 'BNAA07G28390D PROTEIN', NULL, NULL, NULL, 15),
(191611, NULL, 'PTHR43690:SF27', NULL, NULL, NULL, NULL, 'ENZYME, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191612, NULL, 'PTHR42721:SF4', NULL, NULL, NULL, NULL, 'BETA-D-XYLOSIDASE 7-RELATED', NULL, NULL, NULL, 15),
(191613, NULL, 'PTHR48018:SF82', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(191614, NULL, 'PTHR32089:SF75', NULL, NULL, NULL, NULL, 'HEME-BASED AEROTACTIC TRANSDUCER HEMAT', NULL, NULL, NULL, 15),
(191615, NULL, 'PTHR46261:SF15', NULL, NULL, NULL, NULL, 'OS02G0670400 PROTEIN', NULL, NULL, NULL, 15),
(191616, NULL, 'PTHR46088', NULL, NULL, NULL, NULL, 'TUBULIN--TYROSINE LIGASE-LIKE PROTEIN 12', NULL, NULL, 26083, 15),
(191617, NULL, 'PTHR46079:SF1', NULL, NULL, NULL, NULL, 'FERM DOMAIN-CONTAINING PROTEIN 4B', NULL, NULL, NULL, 15),
(191618, NULL, 'PTHR18929:SF132', NULL, NULL, NULL, NULL, 'PROTEIN DISULFIDE-ISOMERASE A3', NULL, NULL, NULL, 15),
(191619, NULL, 'PTHR14352', NULL, NULL, NULL, NULL, 'HAUS AUGMIN-LIKE COMPLEX SUBUNIT 7', NULL, NULL, 25762, 15),
(191620, NULL, 'PTHR13817:SF126', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191621, NULL, 'PTHR28229', NULL, NULL, NULL, NULL, 'TRANSLOCATION PROTEIN SEC66', NULL, NULL, 16219, 15),
(191622, NULL, 'PTHR11124:SF25', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 29', NULL, NULL, NULL, 15),
(191623, NULL, 'PTHR10605:SF64', NULL, NULL, NULL, NULL, 'HEPARAN SULFATE GLUCOSAMINE 3-O-SULFOTRANSFERASE 3A1', NULL, NULL, NULL, 15),
(191624, NULL, 'PTHR24418:SF410', NULL, NULL, NULL, NULL, 'PROTEIN CBG05605', NULL, NULL, NULL, 15),
(191625, NULL, 'PTHR42780', NULL, NULL, NULL, NULL, 'SOLEUCYL-TRNA SYNTHETASE', NULL, NULL, 17159, 15),
(191626, NULL, 'PTHR12121:SF35', NULL, NULL, NULL, NULL, 'CCR4-NOT TRANSCRIPTION COMPLEX SUBUNIT 6-LIKE', NULL, NULL, NULL, 15),
(191627, NULL, 'PTHR10285', NULL, NULL, NULL, NULL, 'URIDINE KINASE', NULL, NULL, NULL, 15),
(191628, NULL, 'PTHR47993:SF141', NULL, NULL, NULL, NULL, 'OS05G0303900 PROTEIN', NULL, NULL, NULL, 15),
(191629, NULL, 'PTHR12812:SF9', NULL, NULL, NULL, NULL, 'TYROSYLPROTEIN SULFOTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(191630, NULL, 'PTHR10168', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN', NULL, NULL, 12494, 15),
(191631, NULL, 'PTHR22800:SF247', NULL, NULL, NULL, NULL, 'NKG2-C TYPE II INTEGRAL MEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(191632, NULL, 'PTHR24221:SF563', NULL, NULL, NULL, NULL, 'BNAA03G47690D PROTEIN', NULL, NULL, NULL, 15),
(191633, NULL, 'PTHR31325:SF123', NULL, NULL, NULL, NULL, 'OS01G0953100 PROTEIN', NULL, NULL, NULL, 15),
(191634, NULL, 'PTHR33728:SF12', NULL, NULL, NULL, NULL, 'BNAC08G13880D PROTEIN', NULL, NULL, NULL, 15),
(191635, NULL, 'PTHR31529:SF39', NULL, NULL, NULL, NULL, 'BNAC04G56950D PROTEIN', NULL, NULL, NULL, 15),
(191636, NULL, 'PTHR22803:SF136', NULL, NULL, NULL, NULL, 'CD302 MOLECULE', NULL, NULL, NULL, 15),
(191637, NULL, 'PTHR46022:SF3', NULL, NULL, NULL, NULL, 'PROTEIN PATCHED HOMOLOG 2', NULL, NULL, NULL, 15),
(191638, NULL, 'PTHR34666', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(191639, NULL, 'PTHR47982:SF2', NULL, NULL, NULL, NULL, 'OS01G0227200 PROTEIN', NULL, NULL, NULL, 15),
(191640, NULL, 'PTHR33021:SF411', NULL, NULL, NULL, NULL, 'BLUE COPPER PROTEIN-LIKE', NULL, NULL, NULL, 15),
(191641, NULL, 'PTHR48107:SF9', NULL, NULL, NULL, NULL, 'NAD(P)-BINDING ROSSMANN-FOLD SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(191642, NULL, 'PTHR11347:SF85', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CAMP-SPECIFIC AND IBMX-INSENSITIVE 3'',5''-CYCLIC PHOSPHODIESTERASE 8A', NULL, NULL, NULL, 15),
(191643, NULL, 'PTHR32102:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191644, NULL, 'PTHR10799:SF971', NULL, NULL, NULL, NULL, 'RNA POLYMERASE-ASSOCIATED PROTEIN RAPA', NULL, NULL, NULL, 15),
(191645, NULL, 'PTHR47746:SF31', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191646, NULL, 'PTHR10438:SF405', NULL, NULL, NULL, NULL, 'THIOREDOXIN O1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(191647, NULL, 'PTHR34223:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191648, NULL, 'PTHR24373:SF162', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT NEURONAL PROTEIN 2', NULL, NULL, NULL, 15),
(191649, NULL, 'PTHR24186:SF20', NULL, NULL, NULL, NULL, 'BNACNNG03360D PROTEIN', NULL, NULL, NULL, 15),
(191650, NULL, 'PTHR23003:SF6', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN M', NULL, NULL, 5700, 15),
(191651, NULL, 'PTHR24031:SF629', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE MRH4, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(191652, NULL, 'PTHR46093:SF7', NULL, NULL, NULL, NULL, 'ACYL-COA BINDING PROTEIN', NULL, NULL, NULL, 15),
(191653, NULL, 'PTHR28680', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN X', NULL, NULL, 15246, 15),
(191654, NULL, 'PTHR27007:SF335', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE VIII.1-LIKE', NULL, NULL, NULL, 15),
(191655, NULL, 'PTHR11711:SF368', NULL, NULL, NULL, NULL, 'OS01G0265100 PROTEIN', NULL, NULL, NULL, 15),
(191656, NULL, 'PTHR31194:SF87', NULL, NULL, NULL, NULL, 'AP2/ERF DOMAIN TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(191657, NULL, 'PTHR19957:SF123', NULL, NULL, NULL, NULL, 'SYNTAXIN-112', NULL, NULL, NULL, 15),
(191658, NULL, 'PTHR19354:SF2', NULL, NULL, NULL, NULL, 'ZIPPER PUTATIVE TUMOR SUPPRESSOR 2 HOMOLOG-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191659, NULL, 'PTHR15018:SF1', NULL, NULL, NULL, NULL, 'BCL-2-INTERACTING KILLER', NULL, NULL, NULL, 15),
(191660, NULL, 'PTHR43047:SF48', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE RCSD', NULL, NULL, NULL, 15),
(191661, NULL, 'PTHR15268:SF16', NULL, NULL, NULL, NULL, 'THYROID HORMONE RECEPTOR-ASSOCIATED PROTEIN 3', NULL, NULL, 22275, 15),
(191662, NULL, 'PTHR44216', NULL, NULL, NULL, NULL, 'PROTEIN O-MANNOSYL-TRANSFERASE TMTC2', NULL, NULL, NULL, 15),
(191663, NULL, 'PTHR37293:SF7', NULL, NULL, NULL, NULL, 'HYPOTHETICAL PHAGE PROTEIN', NULL, NULL, NULL, 15),
(191664, NULL, 'PTHR45733:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191665, NULL, 'PTHR46957:SF3', NULL, NULL, NULL, NULL, 'CYTOKINE RECEPTOR', NULL, NULL, NULL, 15),
(191666, NULL, 'PTHR11242:SF2', NULL, NULL, NULL, NULL, 'ARYL-HYDROCARBON-INTERACTING PROTEIN-LIKE 1', NULL, NULL, 27409, 15),
(191667, NULL, 'PTHR31790:SF195', NULL, NULL, NULL, NULL, 'BNAA09G55170D PROTEIN', NULL, NULL, NULL, 15),
(191668, NULL, 'PTHR36245:SF1', NULL, NULL, NULL, NULL, 'GLYCINE-RICH PROTEIN DOT1-LIKE', NULL, NULL, NULL, 15),
(191669, NULL, 'PTHR36927', NULL, NULL, NULL, NULL, 'BLR4337 PROTEIN', NULL, NULL, NULL, 15),
(191670, NULL, 'PTHR38443', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191671, NULL, 'PTHR10048:SF30', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4-PHOSPHATE 3-KINASE C2 DOMAIN-CONTAINING SUBUNIT BETA', NULL, NULL, NULL, 15),
(191672, NULL, 'PTHR45914:SF37', NULL, NULL, NULL, NULL, 'BNAC07G16340D PROTEIN', NULL, NULL, NULL, 15),
(191673, NULL, 'PTHR24394:SF27', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 771', NULL, NULL, NULL, 15),
(191674, NULL, 'PTHR23169:SF24', NULL, NULL, NULL, NULL, 'DYSTONIN', NULL, NULL, NULL, 15),
(191675, NULL, 'PTHR11537:SF134', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY B MEMBER 2', NULL, NULL, NULL, 15),
(191676, NULL, 'PTHR43133:SF8', NULL, NULL, NULL, NULL, 'ECF RNA POLYMERASE SIGMA-E FACTOR-RELATED', NULL, NULL, NULL, 15),
(191677, NULL, 'PTHR11024', NULL, NULL, NULL, NULL, 'NUCLEAR PORE COMPLEX PROTEIN SEC13 / SEH1 FAMILY MEMBER', NULL, NULL, 32074, 15),
(191678, NULL, 'PTHR11523:SF11', NULL, NULL, NULL, NULL, 'POTASSIUM-TRANSPORTING ATPASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(191679, NULL, 'PTHR11055:SF53', NULL, NULL, NULL, NULL, 'ADENYLYL-SULFATE KINASE', NULL, NULL, NULL, 15),
(191680, NULL, 'PTHR42912:SF13', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE TYPE 11', NULL, NULL, NULL, 15),
(191681, NULL, 'PTHR23300:SF12', NULL, NULL, NULL, NULL, 'BNAA08G07540D PROTEIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191682, NULL, 'PTHR31790:SF345', NULL, NULL, NULL, NULL, 'BNAC04G42640D PROTEIN', NULL, NULL, NULL, 15),
(191683, NULL, 'PTHR48154:SF1', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191684, NULL, 'PTHR43675:SF8', NULL, NULL, NULL, NULL, 'CYCLOPROPANE-FATTY-ACYL-PHOSPHOLIPID SYNTHASE', NULL, NULL, NULL, 15),
(191685, NULL, 'PTHR16058:SF4', NULL, NULL, NULL, NULL, 'DOUBLE ZINC RIBBON AND ANKYRIN REPEAT-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(191686, NULL, 'PTHR36495:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191687, NULL, 'PTHR32303', NULL, NULL, NULL, NULL, 'QUINOPROTEIN ALCOHOL DEHYDROGENASE (CYTOCHROME C)', NULL, NULL, NULL, 15),
(191688, NULL, 'PTHR23418:SF12', NULL, NULL, NULL, NULL, '1,2-DIHYDROXY-3-KETO-5-METHYLTHIOPENTENE DIOXYGENASE 3', NULL, NULL, NULL, 15),
(191689, NULL, 'PTHR43396', NULL, NULL, NULL, NULL, 'FLAVOHEMOPROTEIN', NULL, NULL, NULL, 15),
(191690, NULL, 'PTHR11926:SF1381', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 85A7', NULL, NULL, NULL, 15),
(191691, NULL, 'PTHR47988:SF35', NULL, NULL, NULL, NULL, 'BRASSINOSTEROID INSENSITIVE 1-ASSOCIATED RECEPTOR KINASE 1-LIKE', NULL, NULL, NULL, 15),
(191692, NULL, 'PTHR11040:SF181', NULL, NULL, NULL, NULL, 'ZINC TRANSPORTER 1-LIKE', NULL, NULL, NULL, 15),
(191693, NULL, 'PTHR19282:SF264', NULL, NULL, NULL, NULL, 'TETRASPANIN', NULL, NULL, NULL, 15),
(191694, NULL, 'PTHR42964', NULL, NULL, NULL, NULL, 'ENOYL-COA HYDRATASE', NULL, NULL, NULL, 15),
(191695, NULL, 'PTHR47153', NULL, NULL, NULL, NULL, 'LACTATE UTILIZATION PROTEIN B', NULL, NULL, 7467, 15),
(191696, NULL, 'PTHR13903:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191697, NULL, 'PTHR34981:SF1', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN ZAPA', NULL, NULL, NULL, 15),
(191698, NULL, 'PTHR31807:SF46', NULL, NULL, NULL, NULL, 'QWRF FAMILY-RELATED', NULL, NULL, NULL, 15),
(191699, NULL, 'PTHR31669:SF21', NULL, NULL, NULL, NULL, 'PROTEIN FAR-RED IMPAIRED RESPONSE 1', NULL, NULL, NULL, 15),
(191700, NULL, 'PTHR47074:SF29', NULL, NULL, NULL, NULL, 'OS04G0488900 PROTEIN', NULL, NULL, NULL, 15),
(191701, NULL, 'PTHR16565', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-I', NULL, NULL, 3034, 15),
(191702, NULL, 'PTHR34998:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191703, NULL, 'PTHR24376:SF184', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 268', NULL, NULL, NULL, 15),
(191704, NULL, 'PTHR11266:SF86', NULL, NULL, NULL, NULL, 'PEROXISOMAL MEMBRANE PROTEIN PMP22', NULL, NULL, NULL, 15),
(191705, NULL, 'PTHR12758:SF20', NULL, NULL, NULL, NULL, 'APOPTOSIS INHIBITOR 5-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(191706, NULL, 'PTHR10183:SF30', NULL, NULL, NULL, NULL, 'CALPAIN-10', NULL, NULL, 28762, 15),
(191707, NULL, 'PTHR48047:SF13', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(191708, NULL, 'PTHR48019:SF56', NULL, NULL, NULL, NULL, 'FLORAL HOMEOTIC PROTEIN AGAMOUS', NULL, NULL, NULL, 15),
(191709, NULL, 'PTHR24361:SF414', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 1', NULL, NULL, NULL, 15),
(191710, NULL, 'PTHR46955:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG21842', NULL, NULL, NULL, 15),
(191711, NULL, 'PTHR31642:SF144', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191712, NULL, 'PTHR42684:SF11', NULL, NULL, NULL, NULL, 'GAMMA-AMINOBUTYRATE TRANSAMINASE 3, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(191713, NULL, 'PTHR31707:SF192', NULL, NULL, NULL, NULL, 'PECTINESTERASE', NULL, NULL, NULL, 15),
(191714, NULL, 'PTHR11228:SF7', NULL, NULL, NULL, NULL, 'PQQA PEPTIDE CYCLASE', NULL, NULL, NULL, 15),
(191715, NULL, 'PTHR33562:SF2', NULL, NULL, NULL, NULL, 'ATILLA, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(191716, NULL, 'PTHR11085:SF41', NULL, NULL, NULL, NULL, 'CHROMOSOME 16, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(191717, NULL, 'PTHR23316', NULL, NULL, NULL, NULL, 'IMPORTIN ALPHA', NULL, NULL, NULL, 15),
(191718, NULL, 'PTHR31234:SF3', NULL, NULL, NULL, NULL, 'OS01G0234700 PROTEIN', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191719, NULL, 'PTHR13693:SF90', NULL, NULL, NULL, NULL, '2-AMINO-3-KETOBUTYRATE COENZYME A LIGASE', NULL, NULL, NULL, 15),
(191720, NULL, 'PTHR32410:SF192', NULL, NULL, NULL, NULL, 'BNAA03G49740D PROTEIN', NULL, NULL, NULL, 15),
(191721, NULL, 'PTHR31992:SF205', NULL, NULL, NULL, NULL, 'DOF ZINC FINGER PROTEIN 4', NULL, NULL, NULL, 15),
(191722, NULL, 'PTHR10574:SF412', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191723, NULL, 'PTHR47141', NULL, NULL, NULL, NULL, 'CYSTATIN-F', NULL, NULL, 36910, 15),
(191724, NULL, 'PTHR31357:SF8', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS A (ALPHA)', NULL, NULL, NULL, 15),
(191725, NULL, 'PTHR12760:SF0', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 2', NULL, NULL, NULL, 15),
(191726, NULL, 'PTHR30024:SF37', NULL, NULL, NULL, NULL, 'BINDING PROTEIN YTLA-RELATED', NULL, NULL, NULL, 15),
(191727, NULL, 'PTHR33181:SF36', NULL, NULL, NULL, NULL, 'BNAA01G27970D PROTEIN', NULL, NULL, NULL, 15),
(191728, NULL, 'PTHR39605:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191729, NULL, 'PTHR32227:SF305', NULL, NULL, NULL, NULL, 'GLYCOSYL HYDROLASE SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191730, NULL, 'PTHR48018:SF32', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5L1', NULL, NULL, NULL, 15),
(191731, NULL, 'PTHR11848:SF39', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 10', NULL, NULL, NULL, 15),
(191732, NULL, 'PTHR36740', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191733, NULL, 'PTHR31221:SF160', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 45-RELATED', NULL, NULL, NULL, 15),
(191734, NULL, 'PTHR13068:SF112', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL TRANSCRIPTION TERMINATION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(191735, NULL, 'PTHR38629:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG12672', NULL, NULL, NULL, 15),
(191736, NULL, 'PTHR48024:SF21', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191737, NULL, 'PTHR19229:SF230', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY PROTEIN', NULL, NULL, NULL, 15),
(191738, NULL, 'PTHR24115:SF886', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191739, NULL, 'PTHR47444:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(191740, NULL, 'PTHR20851:SF2', NULL, NULL, NULL, NULL, 'DORSAL INTERACTING PROTEIN 3', NULL, NULL, NULL, 15),
(191741, NULL, 'PTHR20863:SF64', NULL, NULL, NULL, NULL, 'ACYL CARRIER PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(191742, NULL, 'PTHR13568', NULL, NULL, NULL, NULL, 'FAM11A, B PROTEIN', NULL, NULL, 16915, 15),
(191743, NULL, 'PTHR12245:SF11', NULL, NULL, NULL, NULL, 'PROTEIN GUSTAVUS', NULL, NULL, NULL, 15),
(191744, NULL, 'PTHR33390:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191745, NULL, 'PTHR37749:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(191746, NULL, 'PTHR23409:SF38', NULL, NULL, NULL, NULL, 'RIBONUCLEOSIDE-DIPHOSPHATE REDUCTASE SMALL CHAIN', NULL, NULL, NULL, 15),
(191747, NULL, 'PTHR16515:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191748, NULL, 'PTHR24243:SF214', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191749, NULL, 'PTHR42774:SF12', NULL, NULL, NULL, NULL, 'OS10G0465900 PROTEIN', NULL, NULL, NULL, 15),
(191750, NULL, 'PTHR10438:SF379', NULL, NULL, NULL, NULL, 'THIOREDOXIN', NULL, NULL, NULL, 15),
(191751, NULL, 'PTHR11361:SF99', NULL, NULL, NULL, NULL, 'DNA MISMATCH REPAIR PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191752, NULL, 'PTHR32060:SF22', NULL, NULL, NULL, NULL, 'CARBOXYL-TERMINAL-PROCESSING PEPTIDASE 1, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(191753, NULL, 'PTHR11926:SF863', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(191754, NULL, 'PTHR35331', NULL, NULL, NULL, NULL, 'STAGE V SPORULATION PROTEIN S', NULL, NULL, 5997, 15),
(191755, NULL, 'PTHR47958:SF50', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX53-RELATED', NULL, NULL, NULL, 15);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191756, NULL, 'PTHR30314:SF25', NULL, NULL, NULL, NULL, 'CELL DIVISION PROTEIN FTSZ HOMOLOG 2-2, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(191757, NULL, 'PTHR48001:SF62', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 139', NULL, NULL, NULL, 15),
(191758, NULL, 'PTHR24390:SF76', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 581', NULL, NULL, NULL, 15),
(191759, NULL, 'PTHR23024:SF146', NULL, NULL, NULL, NULL, 'OS08G0474800 PROTEIN', NULL, NULL, NULL, 15),
(191760, NULL, 'PTHR33057:SF161', NULL, NULL, NULL, NULL, 'OVATE TRANSCRIPTIONAL REPRESSOR', NULL, NULL, NULL, 15),
(191761, NULL, 'PTHR43557:SF7', NULL, NULL, NULL, NULL, 'APOPTOSIS-INDUCING FACTOR MITOCHONDRIA-ASSOCIATED 4', NULL, NULL, NULL, 15),
(191762, NULL, 'PTHR36304', NULL, NULL, NULL, NULL, 'DOMAIN GTPASE-ACTIVATING PROTEIN, PUTATIVE-RELATED-RELATED', NULL, NULL, NULL, 15),
(191763, NULL, 'PTHR43283:SF3', NULL, NULL, NULL, NULL, '(LOVD), PUTATIVE (AFU_ORTHOLOGUE AFUA_5G00920)-RELATED', NULL, NULL, NULL, 15),
(191764, NULL, 'PTHR11125:SF8', NULL, NULL, NULL, NULL, 'PROTEIN RNA-DIRECTED DNA METHYLATION 3', NULL, NULL, NULL, 15),
(191765, NULL, 'PTHR31497:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191766, NULL, 'PTHR12239:SF41', NULL, NULL, NULL, NULL, 'PROTEIN CBG20215', NULL, NULL, NULL, 15),
(191767, NULL, 'PTHR46617:SF5', NULL, NULL, NULL, NULL, 'FORKHEAD BOX G1', NULL, NULL, NULL, 15),
(191768, NULL, 'PTHR47932:SF23', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE (PPR) REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(191769, NULL, 'PTHR31684:SF2', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 43', NULL, NULL, NULL, 15),
(191770, NULL, 'PTHR12868:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 9', NULL, NULL, NULL, 15),
(191771, NULL, 'PTHR40845', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191772, NULL, 'PTHR45627:SF11', NULL, NULL, NULL, NULL, 'ADENYLATE CYCLASE TYPE 6', NULL, NULL, NULL, 15),
(191773, NULL, 'PTHR34798:SF1', NULL, NULL, NULL, NULL, 'TIC-LIKE PROTEIN', NULL, NULL, NULL, 15),
(191774, NULL, 'PTHR27000:SF38', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE TYROSINE-PROTEIN KINASE PXC3', NULL, NULL, NULL, 15),
(191775, NULL, 'PTHR12241:SF158', NULL, NULL, NULL, NULL, 'LIGASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191776, NULL, 'PTHR45707:SF64', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191777, NULL, 'PTHR22848:SF1', NULL, NULL, NULL, NULL, 'REPEAT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191778, NULL, 'PTHR36569:SF4', NULL, NULL, NULL, NULL, 'CYTOPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191779, NULL, 'PTHR11909:SF406', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191780, NULL, 'PTHR12287:SF23', NULL, NULL, NULL, NULL, 'AROUSER, ISOFORM A-RELATED', NULL, NULL, NULL, 15),
(191781, NULL, 'PTHR23327:SF41', NULL, NULL, NULL, NULL, 'LON PEPTIDASE N-TERMINAL DOMAIN AND RING FINGER PROTEIN 3', NULL, NULL, NULL, 15),
(191782, NULL, 'PTHR21230:SF67', NULL, NULL, NULL, NULL, 'VESICLE TRANSPORT V-SNARE 13-LIKE', NULL, NULL, NULL, 15),
(191783, NULL, 'PTHR31734:SF148', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN', NULL, NULL, NULL, 15),
(191784, NULL, 'PTHR48018:SF127', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-RELATED', NULL, NULL, NULL, 15),
(191785, NULL, 'PTHR47714:SF1', NULL, NULL, NULL, NULL, 'CRS1/YHBY DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(191786, NULL, 'PTHR21503', NULL, NULL, NULL, NULL, 'F-BOX-CONTAINING HYPOTHETICAL PROTEIN  C.ELEGANS', NULL, NULL, NULL, 15),
(191787, NULL, 'PTHR14002:SF18', NULL, NULL, NULL, NULL, 'ONCOPROTEIN-INDUCED TRANSCRIPT 3 PROTEIN', NULL, NULL, NULL, 15),
(191788, NULL, 'PTHR33833:SF4', NULL, NULL, NULL, NULL, 'YCF49-LIKE PROTEIN', NULL, NULL, NULL, 15),
(191789, NULL, 'PTHR21666:SF272', NULL, NULL, NULL, NULL, 'FAMILY M23 ZINC METALLOPEPTIDASE WITH OAPA DOMAIN', NULL, NULL, NULL, 15),
(191790, NULL, 'PTHR22904:SF521', NULL, NULL, NULL, NULL, 'BNAA09G12780D PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191791, NULL, 'PTHR48049:SF42', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(191792, NULL, 'PTHR21017:SF23', NULL, NULL, NULL, NULL, 'PROTEIN NIPSNAP HOMOLOG 3A', NULL, NULL, NULL, 15),
(191793, NULL, 'PTHR45621:SF162', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191794, NULL, 'PTHR43107:SF23', NULL, NULL, NULL, NULL, 'ZGC:158482', NULL, NULL, NULL, 15),
(191795, NULL, 'PTHR11132:SF403', NULL, NULL, NULL, NULL, 'SUGAR PHOSPHATE TRANSPORTER DOMAIN, BI-FUNCTIONAL UDP-RHAMNOSE/UDP-GALACTOSE TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(191796, NULL, 'PTHR31960:SF8', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN-LIKE', NULL, NULL, NULL, 15),
(191797, NULL, 'PTHR31769:SF77', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191798, NULL, 'PTHR12025:SF11', NULL, NULL, NULL, NULL, 'VASCULAR ENDOTHELIAL GROWTH FACTOR D', NULL, NULL, NULL, 15),
(191799, NULL, 'PTHR32507:SF7', NULL, NULL, NULL, NULL, 'K(+)/H(+) ANTIPORTER NHAP2', NULL, NULL, 23084, 15),
(191800, NULL, 'PTHR22912:SF218', NULL, NULL, NULL, NULL, 'DIHYDROLIPOYL DEHYDROGENASE', NULL, NULL, NULL, 15),
(191801, NULL, 'PTHR11161:SF61', NULL, NULL, NULL, NULL, 'O-ACYLTRANSFERASE HOMOLOG', NULL, NULL, NULL, 15),
(191802, NULL, 'PTHR10972:SF186', NULL, NULL, NULL, NULL, 'OXYSTEROL-BINDING PROTEIN-RELATED PROTEIN 2A', NULL, NULL, NULL, 15),
(191803, NULL, 'PTHR47656', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN MIXL', NULL, NULL, 36651, 15),
(191804, NULL, 'PTHR31775:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191805, NULL, 'PTHR47062', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191806, NULL, 'PTHR31079:SF7', NULL, NULL, NULL, NULL, 'OS05G0563000 PROTEIN', NULL, NULL, NULL, 15),
(191807, NULL, 'PTHR43283:SF7', NULL, NULL, NULL, NULL, 'BLL8153 PROTEIN', NULL, NULL, NULL, 15),
(191808, NULL, 'PTHR33737:SF12', NULL, NULL, NULL, NULL, 'TRIO/F-ACTIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(191809, NULL, 'PTHR46673:SF2', NULL, NULL, NULL, NULL, 'SI:DKEY-202G17.3', NULL, NULL, NULL, 15),
(191810, NULL, 'PTHR16255:SF4', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN RMD8', NULL, NULL, NULL, 15),
(191811, NULL, 'PTHR37206:SF4', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(191812, NULL, 'PTHR43939:SF62', NULL, NULL, NULL, NULL, 'CARBOHYDRATE BINDING MODULE FAMILY 20', NULL, NULL, NULL, 15),
(191813, NULL, 'PTHR24012:SF768', NULL, NULL, NULL, NULL, 'RNA-BINDING (RRM/RBD/RNP MOTIFS) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(191814, NULL, 'PTHR46058:SF23', NULL, NULL, NULL, NULL, 'BNAA04G20570D PROTEIN', NULL, NULL, NULL, 15),
(191815, NULL, 'PTHR22791:SF13', NULL, NULL, NULL, NULL, 'IM:7152348', NULL, NULL, NULL, 15),
(191816, NULL, 'PTHR11236:SF40', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE COMPONENT 1', NULL, NULL, NULL, 15),
(191817, NULL, 'PTHR28052:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191818, NULL, 'PTHR33499:SF13', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PTTA/EN/SPM, PLANT-RELATED', NULL, NULL, NULL, 15),
(191819, NULL, 'PTHR43606:SF2', NULL, NULL, NULL, NULL, 'PHOSPHATASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G08710)-RELATED', NULL, NULL, NULL, 15),
(191820, NULL, 'PTHR36044:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191821, NULL, 'PTHR33734:SF11', NULL, NULL, NULL, NULL, 'LYSM DOMAIN-CONTAINING GPI-ANCHORED PROTEIN 2', NULL, NULL, NULL, 15),
(191822, NULL, 'PTHR45432:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191823, NULL, 'PTHR24384:SF192', NULL, NULL, NULL, NULL, 'ZINC FINGER AND BTB DOMAIN-CONTAINING 47A', NULL, NULL, NULL, 15),
(191824, NULL, 'PTHR10411:SF5', NULL, NULL, NULL, NULL, 'GROWTH ARREST AND DNA DAMAGE-INDUCIBLE PROTEIN GADD45 BETA', NULL, NULL, NULL, 15),
(191825, NULL, 'PTHR20855:SF28', NULL, NULL, NULL, NULL, 'PROGESTIN AND ADIPOQ RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(191826, NULL, 'PTHR38467:SF1', NULL, NULL, NULL, NULL, 'CONJUGATIVE TRANSFER: ASSEMBLY', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191827, NULL, 'PTHR10048:SF34', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 3-KINASE CATALYTIC SUBUNIT GAMMA ISOFORM', NULL, NULL, NULL, 15),
(191828, NULL, 'PTHR31267', NULL, NULL, NULL, NULL, 'DENTIN SIALOPHOSPHOPROTEIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(191829, NULL, 'PTHR24133:SF33', NULL, NULL, NULL, NULL, 'ANKYRIN, ISOFORM B', NULL, NULL, NULL, 15),
(191830, NULL, 'PTHR11945:SF382', NULL, NULL, NULL, NULL, 'DEVELOPMENTAL PROTEIN SEPALLATA 3', NULL, NULL, NULL, 15),
(191831, NULL, 'PTHR22883:SF312', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(191832, NULL, 'PTHR45618:SF48', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL UNCOUPLING PROTEIN BMCP', NULL, NULL, NULL, 15),
(191833, NULL, 'PTHR13817:SF106', NULL, NULL, NULL, NULL, 'PALLADIN, CYTOSKELETAL ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(191834, NULL, 'PTHR47987:SF19', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE CYTOSOLIC SERINE/THREONINE-PROTEIN KINASE RBK1', NULL, NULL, NULL, 15),
(191835, NULL, 'PTHR12203:SF101', NULL, NULL, NULL, NULL, 'LIPOPOLYSACCHARIDE-MODIFYING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191836, NULL, 'PTHR48040:SF7', NULL, NULL, NULL, NULL, 'PLEIOTROPIC DRUG RESISTANCE PROTEIN 2', NULL, NULL, NULL, 15),
(191837, NULL, 'PTHR12663:SF31', NULL, NULL, NULL, NULL, 'TUDOR/PWWP/MBT SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(191838, NULL, 'PTHR15608:SF0', NULL, NULL, NULL, NULL, 'HIV TAT-SPECIFIC FACTOR 1', NULL, NULL, NULL, 15),
(191839, NULL, 'PTHR22893:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191840, NULL, 'PTHR22941:SF285', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(191841, NULL, 'PTHR46713:SF10', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(191842, NULL, 'PTHR22941:SF173', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(191843, NULL, 'PTHR11157:SF116', NULL, NULL, NULL, NULL, 'ELONGATION OF VERY LONG CHAIN FATTY ACIDS PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191844, NULL, 'PTHR43244:SF2', NULL, NULL, NULL, NULL, 'CONSERVED HYPOTHETICAL ALANINE AND PROLINE-RICH PROTEIN', NULL, NULL, NULL, 15),
(191845, NULL, 'PTHR18921:SF4', NULL, NULL, NULL, NULL, 'BNAA07G38200D PROTEIN', NULL, NULL, NULL, 15),
(191846, NULL, 'PTHR31621:SF6', NULL, NULL, NULL, NULL, 'PROTEIN DMP7', NULL, NULL, NULL, 15),
(191847, NULL, 'PTHR47071:SF6', NULL, NULL, NULL, NULL, 'TRM32-LIKE PROTEIN (DUF3741)', NULL, NULL, NULL, 15),
(191848, NULL, 'PTHR11599:SF157', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE', NULL, NULL, 19031, 15),
(191849, NULL, 'PTHR10126:SF47', NULL, NULL, NULL, NULL, 'BNAC02G01920D PROTEIN', NULL, NULL, NULL, 15),
(191850, NULL, 'PTHR31707:SF11', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 54-RELATED', NULL, NULL, NULL, 15),
(191851, NULL, 'PTHR11815:SF18', NULL, NULL, NULL, NULL, 'SUCCINATE--COA LIGASE [ADP-FORMING] SUBUNIT BETA, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(191852, NULL, 'PTHR37429:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG19149', NULL, NULL, NULL, 15),
(191853, NULL, 'PTHR43362:SF4', NULL, NULL, NULL, NULL, 'MANNITOL DEHYDROGENASE-RELATED', NULL, NULL, NULL, 15),
(191854, NULL, 'PTHR42940', NULL, NULL, NULL, NULL, 'ALCOHOL DEHYDROGENASE 1-RELATED', NULL, NULL, NULL, 15),
(191855, NULL, 'PTHR30441:SF7', NULL, NULL, NULL, NULL, 'DUF748 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(191856, NULL, 'PTHR22799:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 11 MEMBER A', NULL, NULL, NULL, 15),
(191857, NULL, 'PTHR45647:SF47', NULL, NULL, NULL, NULL, 'KINASE WITH ADENINE NUCLEOTIDE ALPHA HYDROLASES-LIKE DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(191858, NULL, 'PTHR10795:SF689', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE ENDOPEPTIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(191859, NULL, 'PTHR24068:SF339', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 10', NULL, NULL, NULL, 15),
(191860, NULL, 'PTHR36306:SF1', NULL, NULL, NULL, NULL, 'ALPHA-AMYLASE-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191861, NULL, 'PTHR43078:SF29', NULL, NULL, NULL, NULL, 'OS03G0280800 PROTEIN', NULL, NULL, NULL, 15),
(191862, NULL, 'PTHR11100:SF20', NULL, NULL, NULL, NULL, 'PRO-NEUREGULIN-2, MEMBRANE-BOUND ISOFORM', NULL, NULL, NULL, 15),
(191863, NULL, 'PTHR12137:SF30', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(191864, NULL, 'PTHR30093:SF22', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN H-RELATED', NULL, NULL, NULL, 15),
(191865, NULL, 'PTHR46530:SF1', NULL, NULL, NULL, NULL, 'PROTEIN MONO-ADP-RIBOSYLTRANSFERASE PARP4', NULL, NULL, NULL, 15),
(191866, NULL, 'PTHR46077:SF3', NULL, NULL, NULL, NULL, 'TOPOISOMERASE I-BINDING, ARGININE/SERINE-RICH-LIKE', NULL, NULL, NULL, 15),
(191867, NULL, 'PTHR10516:SF431', NULL, NULL, NULL, NULL, 'PEPTIDYLPROLYL ISOMERASE', NULL, NULL, NULL, 15),
(191868, NULL, 'PTHR10122:SF18', NULL, NULL, NULL, NULL, 'BNAC01G35940D PROTEIN', NULL, NULL, NULL, 15),
(191869, NULL, 'PTHR46506:SF55', NULL, NULL, NULL, NULL, 'JACALIN-LIKE LECTIN DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191870, NULL, 'PTHR46325:SF28', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191871, NULL, 'PTHR22847:SF712', NULL, NULL, NULL, NULL, 'DIVISION CONTROL PROTEIN CDC4, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G13030)-RELATED', NULL, NULL, NULL, 15),
(191872, NULL, 'PTHR39079:SF1', NULL, NULL, NULL, NULL, 'FI08034P-RELATED', NULL, NULL, NULL, 15),
(191873, NULL, 'PTHR10445:SF4', NULL, NULL, NULL, NULL, 'BNACNNG67730D PROTEIN', NULL, NULL, NULL, 15),
(191874, NULL, 'PTHR31727:SF18', NULL, NULL, NULL, NULL, 'ACYL-[ACYL-CARRIER-PROTEIN] HYDROLASE', NULL, NULL, NULL, 15),
(191875, NULL, 'PTHR11528:SF54', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 90-5, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(191876, NULL, 'PTHR14098:SF2', NULL, NULL, NULL, NULL, 'CYTOKINE-DEPENDENT HEMATOPOIETIC CELL LINKER', NULL, NULL, NULL, 15),
(191877, NULL, 'PTHR42679:SF5', NULL, NULL, NULL, NULL, 'PURINE NUCLEOSIDE PHOSPHORYLASE', NULL, NULL, NULL, 15),
(191878, NULL, 'PTHR35104:SF17', NULL, NULL, NULL, NULL, 'BNAC06G41640D PROTEIN', NULL, NULL, NULL, 15),
(191879, NULL, 'PTHR42973:SF13', NULL, NULL, NULL, NULL, 'DEPENDENT OXIDOREDUCTASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191880, NULL, 'PTHR24543:SF289', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191881, NULL, 'PTHR23062:SF2', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN', NULL, NULL, NULL, 15),
(191882, NULL, 'PTHR27003:SF379', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN KINASE HERK 1', NULL, NULL, NULL, 15),
(191883, NULL, 'PTHR10064:SF25', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191884, NULL, 'PTHR11475:SF54', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191885, NULL, 'PTHR46316:SF12', NULL, NULL, NULL, NULL, 'BNAC07G33610D PROTEIN', NULL, NULL, NULL, 15),
(191886, NULL, 'PTHR36726:SF7', NULL, NULL, NULL, NULL, 'BNAA02G14420D PROTEIN', NULL, NULL, NULL, 15),
(191887, NULL, 'PTHR11595:SF25', NULL, NULL, NULL, NULL, 'EF-HAND AND COILED-COIL DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(191888, NULL, 'PTHR34835:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191889, NULL, 'PTHR16165:SF10', NULL, NULL, NULL, NULL, 'NXPE FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(191890, NULL, 'PTHR46539:SF8', NULL, NULL, NULL, NULL, 'RING-H2 FINGER PROTEIN ATL4J', NULL, NULL, NULL, 15),
(191891, NULL, 'PTHR33091:SF91', NULL, NULL, NULL, NULL, 'BNAA03G18180D PROTEIN', NULL, NULL, NULL, 15),
(191892, NULL, 'PTHR24115:SF857', NULL, NULL, NULL, NULL, 'KINESIN-LIKE PROTEIN', NULL, NULL, 30728, 15),
(191893, NULL, 'PTHR48050:SF5', NULL, NULL, NULL, NULL, 'UDP-GLUCOSE,STEROL TRANSFERASE', NULL, NULL, NULL, 15),
(191894, NULL, 'PTHR23073:SF80', NULL, NULL, NULL, NULL, '26S PROTEASOME REGULATORY SUBUNIT 7 HOMOLOG B', NULL, NULL, NULL, 15),
(191895, NULL, 'PTHR31656:SF6', NULL, NULL, NULL, NULL, 'OS01G0968200 PROTEIN', NULL, NULL, NULL, 15),
(191896, NULL, 'PTHR46915', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE PROTEASE 4-RELATED', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191897, NULL, 'PTHR36468:SF1', NULL, NULL, NULL, NULL, 'SPERMATOGENESIS-ASSOCIATED PROTEIN 19, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(191898, NULL, 'PTHR10217:SF636', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL PROTEIN EAG', NULL, NULL, NULL, 15),
(191899, NULL, 'PTHR32254:SF15', NULL, NULL, NULL, NULL, 'PLANT/T7A14-6 PROTEIN', NULL, NULL, NULL, 15),
(191900, NULL, 'PTHR31639:SF124', NULL, NULL, NULL, NULL, 'F-BOX/LRR-REPEAT PROTEIN 25-LIKE', NULL, NULL, NULL, 15),
(191901, NULL, 'PTHR31294:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191902, NULL, 'PTHR15036:SF36', NULL, NULL, NULL, NULL, 'CONTACTIN-ASSOCIATED PROTEIN-LIKE 3-RELATED', NULL, NULL, 24271, 15),
(191903, NULL, 'PTHR18063:SF20', NULL, NULL, NULL, NULL, 'BNAA01G12730D PROTEIN', NULL, NULL, NULL, 15),
(191904, NULL, 'PTHR10445:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR IIF, BETA SUBUNIT', NULL, NULL, NULL, 15),
(191905, NULL, 'PTHR21700:SF22', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(191906, NULL, 'PTHR10498:SF22', NULL, NULL, NULL, NULL, 'SI:CH211-12E13.12', NULL, NULL, NULL, 15),
(191907, NULL, 'PTHR11669:SF1', NULL, NULL, NULL, NULL, 'REPLICATION FACTOR C SUBUNIT 3', NULL, NULL, NULL, 15),
(191908, NULL, 'PTHR31218:SF271', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(191909, NULL, 'PTHR32246:SF67', NULL, NULL, NULL, NULL, 'PROTEIN SRC2-LIKE PROTEIN', NULL, NULL, NULL, 15),
(191910, NULL, 'PTHR12606:SF122', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191911, NULL, 'PTHR30239', NULL, NULL, NULL, NULL, 'ACETOLACTATE SYNTHASE SMALL SUBUNIT', NULL, NULL, 5359, 15),
(191912, NULL, 'PTHR46336:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191913, NULL, 'PTHR24221:SF233', NULL, NULL, NULL, NULL, 'ATP-BINDING/PERMEASE FUSION ABC TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(191914, NULL, 'PTHR45798:SF25', NULL, NULL, NULL, NULL, 'OS05G0439000 PROTEIN', NULL, NULL, NULL, 15),
(191915, NULL, 'PTHR37444:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG24900', NULL, NULL, NULL, 15),
(191916, NULL, 'PTHR31676:SF130', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191917, NULL, 'PTHR23257:SF718', NULL, NULL, NULL, NULL, 'RASGEF DOMAIN-CONTAINING SERINE/THREONINE-PROTEIN KINASE X', NULL, NULL, NULL, 15),
(191918, NULL, 'PTHR21083', NULL, NULL, NULL, NULL, 'TWISTER', NULL, NULL, 25102, 15),
(191919, NULL, 'PTHR24231:SF2', NULL, NULL, NULL, NULL, 'P2Y PURINOCEPTOR 1', NULL, NULL, 1633, 15),
(191920, NULL, 'PTHR22883:SF377', NULL, NULL, NULL, NULL, 'S-ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(191921, NULL, 'PTHR47405:SF3', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(191922, NULL, 'PTHR45908:SF18', NULL, NULL, NULL, NULL, 'PROTEIN CBG21853', NULL, NULL, NULL, 15),
(191923, NULL, 'PTHR27002:SF725', NULL, NULL, NULL, NULL, 'LECTIN PROTEIN KINASE FAMILY PROTEIN, PUTATIVE ISOFORM 2-RELATED', NULL, NULL, NULL, 15),
(191924, NULL, 'PTHR37702:SF9', NULL, NULL, NULL, NULL, 'PROLINE-RICH FAMILY PROTEIN', NULL, NULL, NULL, 15),
(191925, NULL, 'PTHR42195', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 11505, 15),
(191926, NULL, 'PTHR22708', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 34095, 15),
(191927, NULL, 'PTHR14256:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT NDUFA4', NULL, NULL, NULL, 15),
(191928, NULL, 'PTHR23068:SF34', NULL, NULL, NULL, NULL, 'DNA (CYTOSINE-5)-METHYLTRANSFERASE DRM2', NULL, NULL, NULL, 15),
(191929, NULL, 'PTHR23502:SF31', NULL, NULL, NULL, NULL, 'POLYAMINE TRANSPORTER 1', NULL, NULL, NULL, 15),
(191930, NULL, 'PTHR45660:SF5', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE, H3 LYSINE-9 SPECIFIC SUVH1', NULL, NULL, NULL, 15),
(191931, NULL, 'PTHR15284:SF0', NULL, NULL, NULL, NULL, 'GH23983P', NULL, NULL, NULL, 15),
(191932, NULL, 'PTHR22442:SF10', NULL, NULL, NULL, NULL, 'N-ACETYLTRANSFERASE, GNAT FAMILY-RELATED', NULL, NULL, NULL, 15),
(191933, NULL, 'PTHR31907:SF50', NULL, NULL, NULL, NULL, 'BNAANNG33440D PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191934, NULL, 'PTHR31062:SF166', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 7-RELATED', NULL, NULL, NULL, 15),
(191935, NULL, 'PTHR12867', NULL, NULL, NULL, NULL, 'GLYCOSYL TRANSFERASE-RELATED', NULL, NULL, 30381, 15),
(191936, NULL, 'PTHR46910:SF21', NULL, NULL, NULL, NULL, 'ZN(II)2CYS6 TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(191937, NULL, 'PTHR42643:SF17', NULL, NULL, NULL, NULL, 'IONOTROPIC RECEPTOR 31A, ISOFORM C-RELATED', NULL, NULL, NULL, 15),
(191938, NULL, 'PTHR13743:SF127', NULL, NULL, NULL, NULL, 'LYSOSOMAL TRAFFICKING REGULATOR PROTEIN', NULL, NULL, NULL, 15),
(191939, NULL, 'PTHR47855:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191940, NULL, 'PTHR34153:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191941, NULL, 'PTHR10125:SF27', NULL, NULL, NULL, NULL, 'P2X RECEPTOR A-RELATED', NULL, NULL, NULL, 15),
(191942, NULL, 'PTHR36479', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191943, NULL, 'PTHR11571:SF219', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE MU 3', NULL, NULL, NULL, 15),
(191944, NULL, 'PTHR45662:SF15', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITIDE PHOSPHATASE SAC1-A-RELATED', NULL, NULL, NULL, 15),
(191945, NULL, 'PTHR10796:SF97', NULL, NULL, NULL, NULL, 'PATCHED RELATED FAMILY', NULL, NULL, NULL, 15),
(191946, NULL, 'PTHR47426:SF4', NULL, NULL, NULL, NULL, 'ACYL-COA N-ACYLTRANSFERASES (NAT) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(191947, NULL, 'PTHR33622:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191948, NULL, 'PTHR23012:SF197', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE MARCH7-LIKE', NULL, NULL, NULL, 15),
(191949, NULL, 'PTHR43895:SF86', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(191950, NULL, 'PTHR23024:SF523', NULL, NULL, NULL, NULL, 'ALPHA/BETA HYDROLASE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(191951, NULL, 'PTHR31676:SF150', NULL, NULL, NULL, NULL, 'BNAA03G46470D PROTEIN', NULL, NULL, NULL, 15),
(191952, NULL, 'PTHR13066', NULL, NULL, NULL, NULL, 'BASIC LEUCINE ZIPPER NUCLEAR FACTOR 1 BLZF1  PROTEIN', NULL, NULL, 24905, 15),
(191953, NULL, 'PTHR22975:SF29', NULL, NULL, NULL, NULL, 'BNAC05G47310D PROTEIN', NULL, NULL, NULL, 15),
(191954, NULL, 'PTHR12107:SF1', NULL, NULL, NULL, NULL, 'VOLTAGE-DEPENDENT CALCIUM CHANNEL GAMMA-2 SUBUNIT', NULL, NULL, 297, 15),
(191955, NULL, 'PTHR35713:SF1', NULL, NULL, NULL, NULL, 'ARGININE/SERINE-RICH-LIKE SPLICING FACTOR', NULL, NULL, NULL, 15),
(191956, NULL, 'PTHR33389', NULL, NULL, NULL, NULL, 'FAMILY PROTEIN, PUTATIVE (DUF2921)-RELATED', NULL, NULL, 17797, 15),
(191957, NULL, 'PTHR34061:SF13', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191958, NULL, 'PTHR43836:SF6', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_2G00150)-RELATED', NULL, NULL, NULL, 15),
(191959, NULL, 'PTHR31544:SF12', NULL, NULL, NULL, NULL, 'PROTEIN AIG2 A', NULL, NULL, NULL, 15),
(191960, NULL, 'PTHR36712:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191961, NULL, 'PTHR13019:SF19', NULL, NULL, NULL, NULL, 'GOLGI APPARATUS MEMBRANE PROTEIN TVP23 HOMOLOG', NULL, NULL, NULL, 15),
(191962, NULL, 'PTHR31301:SF89', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 1-LIKE', NULL, NULL, NULL, 15),
(191963, NULL, 'PTHR32089:SF102', NULL, NULL, NULL, NULL, 'METHYL-ACCEPTING CHEMOTAXIS PROTEIN SLL0041-RELATED', NULL, NULL, NULL, 15),
(191964, NULL, 'PTHR33021:SF385', NULL, NULL, NULL, NULL, 'OS03G0758500 PROTEIN', NULL, NULL, NULL, 15),
(191965, NULL, 'PTHR23118:SF31', NULL, NULL, NULL, NULL, 'ATP-CITRATE SYNTHASE BETA CHAIN PROTEIN 2 ISOFORM X1', NULL, NULL, NULL, 15),
(191966, NULL, 'PTHR48107:SF6', NULL, NULL, NULL, NULL, 'GLUCOSE AND RIBITOL DEHYDROGENASE HOMOLOG 2', NULL, NULL, NULL, 15),
(191967, NULL, 'PTHR45989:SF1', NULL, NULL, NULL, NULL, 'TRANSLATION INITIATION FACTOR EIF-2B SUBUNIT GAMMA', NULL, NULL, NULL, 15),
(191968, NULL, 'PTHR12824:SF9', NULL, NULL, NULL, NULL, 'PROTEIN CBG26099', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(191969, NULL, 'PTHR32133:SF270', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191970, NULL, 'PTHR19325:SF468', NULL, NULL, NULL, NULL, 'MEMBRANE COFACTOR PROTEIN', NULL, NULL, NULL, 15),
(191971, NULL, 'PTHR11861', NULL, NULL, NULL, NULL, 'MELANOCYTE PROTEIN PMEL 17-RELATED', NULL, NULL, 38655, 15),
(191972, NULL, 'PTHR24300:SF79', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(191973, NULL, 'PTHR31044:SF58', NULL, NULL, NULL, NULL, 'BNAANNG11800D PROTEIN', NULL, NULL, NULL, 15),
(191974, NULL, 'PTHR43349:SF59', NULL, NULL, NULL, NULL, 'UDP-ARABINOSE 4-EPIMERASE 4-RELATED', NULL, NULL, NULL, 15),
(191975, NULL, 'PTHR10903:SF77', NULL, NULL, NULL, NULL, 'GTPASE IMAP FAMILY MEMBER 9', NULL, NULL, NULL, 15),
(191976, NULL, 'PTHR34067:SF17', NULL, NULL, NULL, NULL, 'OSJNBB0058J09.3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(191977, NULL, 'PTHR43875:SF10', NULL, NULL, NULL, NULL, 'BLL2173 PROTEIN', NULL, NULL, NULL, 15),
(191978, NULL, 'PTHR27007:SF333', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191979, NULL, 'PTHR22624:SF36', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE ATG4D', NULL, NULL, NULL, 15),
(191980, NULL, 'PTHR20994', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 12480, 15),
(191981, NULL, 'PTHR32285:SF64', NULL, NULL, NULL, NULL, 'LEAF SENESCENCE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(191982, NULL, 'PTHR11247:SF50', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(191983, NULL, 'PTHR43317:SF9', NULL, NULL, NULL, NULL, 'SPERMINE SYNTHASE', NULL, NULL, NULL, 15),
(191984, NULL, 'PTHR31769:SF66', NULL, NULL, NULL, NULL, 'BNAC05G37760D PROTEIN', NULL, NULL, NULL, 15),
(191985, NULL, 'PTHR37317', NULL, NULL, NULL, NULL, 'BLR8090 PROTEIN', NULL, NULL, NULL, 15),
(191986, NULL, 'PTHR21717:SF78', NULL, NULL, NULL, NULL, 'TELOMERE REPEAT-BINDING PROTEIN 5', NULL, NULL, NULL, 15),
(191987, NULL, 'PTHR11802:SF400', NULL, NULL, NULL, NULL, 'SERINE CARBOXYPEPTIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(191988, NULL, 'PTHR45642:SF36', NULL, NULL, NULL, NULL, 'BNAA02G33660D PROTEIN', NULL, NULL, NULL, 15),
(191989, NULL, 'PTHR30083', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(191990, NULL, 'PTHR23036:SF105', NULL, NULL, NULL, NULL, 'LEUKEMIA INHIBITORY FACTOR RECEPTOR', NULL, NULL, NULL, 15),
(191991, NULL, 'PTHR45634:SF24', NULL, NULL, NULL, NULL, 'DEACETYLASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(191992, NULL, 'PTHR24298:SF701', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(191993, NULL, 'PTHR42927:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(191994, NULL, 'PTHR39179', NULL, NULL, NULL, NULL, 'SPORE COAT PROTEIN I', NULL, NULL, NULL, 15),
(191995, NULL, 'PTHR11309', NULL, NULL, NULL, NULL, 'FRIZZLED', NULL, NULL, 8317, 15),
(191996, NULL, 'PTHR31165:SF88', NULL, NULL, NULL, NULL, 'BNAA04G24610D PROTEIN', NULL, NULL, NULL, 15),
(191997, NULL, 'PTHR10485:SF20', NULL, NULL, NULL, NULL, 'OS07G0604550 PROTEIN', NULL, NULL, NULL, 15),
(191998, NULL, 'PTHR31220:SF1', NULL, NULL, NULL, NULL, 'GH21176P', NULL, NULL, NULL, 15),
(191999, NULL, 'PTHR45915:SF6', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(192000, NULL, 'PTHR33170:SF5', NULL, NULL, NULL, NULL, 'OS04G0189000 PROTEIN', NULL, NULL, NULL, 15),
(192001, NULL, 'PTHR42830', NULL, NULL, NULL, NULL, 'OSMOTICALLY INDUCIBLE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192002, NULL, 'PTHR15323', NULL, NULL, NULL, NULL, 'D123 PROTEIN', NULL, NULL, 12947, 15),
(192003, NULL, 'PTHR31604:SF42', NULL, NULL, NULL, NULL, 'PROTEIN SHI RELATED SEQUENCE 1-LIKE', NULL, NULL, NULL, 15),
(192004, NULL, 'PTHR21146', NULL, NULL, NULL, NULL, 'MEF2B PROTEIN', NULL, NULL, 15321, 15),
(192005, NULL, 'PTHR10953:SF227', NULL, NULL, NULL, NULL, 'UBIQUITIN-ACTIVATING ENZYME E1 1-LIKE', NULL, NULL, NULL, 15),
(192006, NULL, 'PTHR30336:SF18', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192007, NULL, 'PTHR43706:SF4', NULL, NULL, NULL, NULL, 'OS07G0564500 PROTEIN', NULL, NULL, NULL, 15),
(192008, NULL, 'PTHR27007:SF205', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE V.9', NULL, NULL, NULL, 15),
(192009, NULL, 'PTHR30465', NULL, NULL, NULL, NULL, 'INNER MEMBRANE ABC TRANSPORTER', NULL, NULL, NULL, 15),
(192010, NULL, 'PTHR47926:SF262', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192011, NULL, 'PTHR45770:SF39', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE', NULL, NULL, NULL, 15),
(192012, NULL, 'PTHR35170:SF1', NULL, NULL, NULL, NULL, 'PROTEIN DD3-3', NULL, NULL, NULL, 15),
(192013, NULL, 'PTHR11654:SF358', NULL, NULL, NULL, NULL, 'PROTEIN NRT1/ PTR FAMILY 2.10', NULL, NULL, NULL, 15),
(192014, NULL, 'PTHR11639:SF132', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192015, NULL, 'PTHR43502:SF1', NULL, NULL, NULL, NULL, 'ENDONUCLEASE MJ1434-RELATED', NULL, NULL, NULL, 15),
(192016, NULL, 'PTHR36782', NULL, NULL, NULL, NULL, 'BNAC03G62080D PROTEIN', NULL, NULL, NULL, 15),
(192017, NULL, 'PTHR24286:SF294', NULL, NULL, NULL, NULL, 'BNAANNG05520D PROTEIN', NULL, NULL, NULL, 15),
(192018, NULL, 'PTHR48005:SF8', NULL, NULL, NULL, NULL, 'REPEAT RECEPTOR-LIKE PROTEIN KINASE FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(192019, NULL, 'PTHR15898:SF13', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE PRT1', NULL, NULL, NULL, 15),
(192020, NULL, 'PTHR30524', NULL, NULL, NULL, NULL, 'MANNITOL-1-PHOSPHATE 5-DEHYDROGENASE', NULL, NULL, NULL, 15),
(192021, NULL, 'PTHR22306', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(192022, NULL, 'PTHR33107:SF28', NULL, NULL, NULL, NULL, '21 KDA SEED PROTEIN-LIKE', NULL, NULL, NULL, 15),
(192023, NULL, 'PTHR21245:SF19', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192024, NULL, 'PTHR31415:SF97', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192025, NULL, 'PTHR13061:SF30', NULL, NULL, NULL, NULL, 'GAMMA CARBONIC ANHYDRASE 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(192026, NULL, 'PTHR31197:SF30', NULL, NULL, NULL, NULL, 'BNAA06G33240D PROTEIN', NULL, NULL, NULL, 15),
(192027, NULL, 'PTHR10715:SF13', NULL, NULL, NULL, NULL, 'BNAANNG22110D PROTEIN', NULL, NULL, NULL, 15),
(192028, NULL, 'PTHR21668:SF11', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING, OB-FOLD-LIKE PROTEIN', NULL, NULL, NULL, 15),
(192029, NULL, 'PTHR10026:SF42', NULL, NULL, NULL, NULL, 'CYCLIN-T1', NULL, NULL, 24549, 15),
(192030, NULL, 'PTHR34832', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN W', NULL, NULL, NULL, 15),
(192031, NULL, 'PTHR35288:SF2', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(192032, NULL, 'PTHR35306:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192033, NULL, 'PTHR45732:SF17', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 8A-RELATED', NULL, NULL, NULL, 15),
(192034, NULL, 'PTHR46849:SF1', NULL, NULL, NULL, NULL, 'RCC1 DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(192035, NULL, 'PTHR33127:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192036, NULL, 'PTHR31719:SF140', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 71-LIKE', NULL, NULL, NULL, 15),
(192037, NULL, 'PTHR10434:SF50', NULL, NULL, NULL, NULL, '1-ACYL-SN-GLYCEROL-3-PHOSPHATE ACYLTRANSFERASE', NULL, NULL, NULL, 15),
(192038, NULL, 'PTHR31282:SF119', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(192039, NULL, 'PTHR47297:SF2', NULL, NULL, NULL, NULL, 'NICOTINAMIDASE 1', NULL, NULL, NULL, 15),
(192040, NULL, 'PTHR32122:SF1', NULL, NULL, NULL, NULL, 'TATA BOX-BINDING PROTEIN-ASSOCIATED FACTOR RNA POLYMERASE I SUBUNIT A', NULL, NULL, NULL, 15),
(192041, NULL, 'PTHR34451:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192042, NULL, 'PTHR12771:SF56', NULL, NULL, NULL, NULL, 'ELMO/CED-12 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192043, NULL, 'PTHR11995:SF22', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] IRON-SULFUR PROTEIN 7, MITOCHONDRIAL', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192044, NULL, 'PTHR43157:SF27', NULL, NULL, NULL, NULL, 'RETINOL DEHYDROGENASE 12,-LIKE', NULL, NULL, NULL, 15),
(192045, NULL, 'PTHR43788:SF6', NULL, NULL, NULL, NULL, 'RECBCD ENZYME SUBUNIT RECD', NULL, NULL, NULL, 15),
(192046, NULL, 'PTHR16262', NULL, NULL, NULL, NULL, 'PEROXISOME ASSEMBLY PROTEIN 26', NULL, NULL, 11076, 15),
(192047, NULL, 'PTHR12381:SF66', NULL, NULL, NULL, NULL, 'HETEROGENEOUS NUCLEAR RIBONUCLEOPROTEIN U-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(192048, NULL, 'PTHR12729:SF6', NULL, NULL, NULL, NULL, 'TRNA(HIS) GUANYLYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(192049, NULL, 'PTHR28578', NULL, NULL, NULL, NULL, 'MITOTIC-SPINDLE ORGANIZING PROTEIN 2A-RELATED', NULL, NULL, 25735, 15),
(192050, NULL, 'PTHR11709:SF372', NULL, NULL, NULL, NULL, 'LACCASE', NULL, NULL, NULL, 15),
(192051, NULL, 'PTHR45648:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192052, NULL, 'PTHR11963', NULL, NULL, NULL, NULL, 'LEUCINE AMINOPEPTIDASE-RELATED', NULL, NULL, 14751, 15),
(192053, NULL, 'PTHR15909:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192054, NULL, 'PTHR12674:SF6', NULL, NULL, NULL, NULL, 'PREFOLDIN SUBUNIT 5', NULL, NULL, NULL, 15),
(192055, NULL, 'PTHR21136:SF196', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED MEMBRANE PROTEIN 7', NULL, NULL, NULL, 15),
(192056, NULL, 'PTHR12406:SF41', NULL, NULL, NULL, NULL, 'BRUMMER, ISOFORM B-RELATED', NULL, NULL, NULL, 15),
(192057, NULL, 'PTHR23201:SF116', NULL, NULL, NULL, NULL, 'BNAA09G09740D PROTEIN', NULL, NULL, NULL, 15),
(192058, NULL, 'PTHR42714:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG19372', NULL, NULL, NULL, 15),
(192059, NULL, 'PTHR19303:SF37', NULL, NULL, NULL, NULL, 'CHROMOSOME 1, WHOLE GENOME SHOTGUN SEQUENCE', NULL, NULL, NULL, 15),
(192060, NULL, 'PTHR38496:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(192061, NULL, 'PTHR47596', NULL, NULL, NULL, NULL, 'DVL13', NULL, NULL, NULL, 15),
(192062, NULL, 'PTHR47659:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR OF GLUCONEOGENESIS ERT1', NULL, NULL, NULL, 15),
(192063, NULL, 'PTHR11586:SF39', NULL, NULL, NULL, NULL, 'TYROSINE--TRNA LIGASE, CYTOPLASMIC', NULL, NULL, NULL, 15),
(192064, NULL, 'PTHR10836:SF114', NULL, NULL, NULL, NULL, 'GLYCERALDEHYDE-3-PHOSPHATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(192065, NULL, 'PTHR30204:SF62', NULL, NULL, NULL, NULL, 'MERR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(192066, NULL, 'PTHR31734:SF36', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA26', NULL, NULL, NULL, 15),
(192067, NULL, 'PTHR32208:SF74', NULL, NULL, NULL, NULL, 'WSC DOMAIN-CONTAINING PROTEIN ARB_07867-LIKE', NULL, NULL, NULL, 15),
(192068, NULL, 'PTHR35546:SF62', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192069, NULL, 'PTHR13780:SF19', NULL, NULL, NULL, NULL, 'AMP-ACTIVATED PROTEIN KINASE GAMMA SUBUNIT', NULL, NULL, NULL, 15),
(192070, NULL, 'PTHR31846:SF4', NULL, NULL, NULL, NULL, 'CRS1 / YHBY (CRM) DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(192071, NULL, 'PTHR35127:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192072, NULL, 'PTHR43369', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLGLYCINAMIDE FORMYLTRANSFERASE', NULL, NULL, NULL, 15),
(192073, NULL, 'PTHR31140:SF65', NULL, NULL, NULL, NULL, 'AP2/ERF AND B3 DOMAIN-CONTAINING TRANSCRIPTION REPRESSOR RAV2-LIKE', NULL, NULL, NULL, 15),
(192074, NULL, 'PTHR41683', NULL, NULL, NULL, NULL, 'MUCIN-7', NULL, NULL, 30346, 15),
(192075, NULL, 'PTHR24248:SF156', NULL, NULL, NULL, NULL, 'ADRENOCEPTOR ALPHA 1AB', NULL, NULL, NULL, 15),
(192076, NULL, 'PTHR38595:SF2', NULL, NULL, NULL, NULL, 'TYPE VI SECRETION SYSTEM NEEDLE HUB PROTEIN TSSE', NULL, NULL, NULL, 15),
(192077, NULL, 'PTHR34782', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYLFORMYLGLYCINAMIDINE SYNTHASE', NULL, NULL, NULL, 15),
(192078, NULL, 'PTHR32370:SF4', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN NPY2', NULL, NULL, 26763, 15),
(192079, NULL, 'PTHR33921', NULL, NULL, NULL, NULL, 'CALVIN CYCLE PROTEIN CP12-2, CHLOROPLASTIC', NULL, NULL, 29395, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192080, NULL, 'PTHR23063:SF1', NULL, NULL, NULL, NULL, 'LYSOPHOSPHATIDYLCHOLINE ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(192081, NULL, 'PTHR36753', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(192082, NULL, 'PTHR43670:SF75', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192083, NULL, 'PTHR10641:SF1296', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB53', NULL, NULL, NULL, 15),
(192084, NULL, 'PTHR31692:SF79', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192085, NULL, 'PTHR32401:SF11', NULL, NULL, NULL, NULL, 'CONCANAVALIN A-LIKE LECTIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192086, NULL, 'PTHR22883:SF383', NULL, NULL, NULL, NULL, 'PALMITOYLTRANSFERASE', NULL, NULL, NULL, 15),
(192087, NULL, 'PTHR35122:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0093F12.14 PROTEIN', NULL, NULL, NULL, 15),
(192088, NULL, 'PTHR10615:SF179', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT7', NULL, NULL, NULL, 15),
(192089, NULL, 'PTHR47800', NULL, NULL, NULL, NULL, 'C2 DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(192090, NULL, 'PTHR46907:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192091, NULL, 'PTHR34207:SF2', NULL, NULL, NULL, NULL, 'PROTEIN BIC1', NULL, NULL, NULL, 15),
(192092, NULL, 'PTHR36161:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBG05619', NULL, NULL, NULL, 15),
(192093, NULL, 'PTHR37317:SF1', NULL, NULL, NULL, NULL, 'BLR8090 PROTEIN', NULL, NULL, NULL, 15),
(192094, NULL, 'PTHR26451:SF848', NULL, NULL, NULL, NULL, 'ODORANT RECEPTOR 9.2', NULL, NULL, NULL, 15),
(192095, NULL, 'PTHR43756:SF1', NULL, NULL, NULL, NULL, '3-PHENYLPROPIONATE/CINNAMIC ACID DIOXYGENASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(192096, NULL, 'PTHR31561:SF9', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(192097, NULL, 'PTHR46611:SF4', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS X', NULL, NULL, NULL, 15),
(192098, NULL, 'PTHR32295:SF188', NULL, NULL, NULL, NULL, 'PROTEIN IQ-DOMAIN 14-LIKE', NULL, NULL, NULL, 15),
(192099, NULL, 'PTHR37715', NULL, NULL, NULL, NULL, 'OS01G0120700 PROTEIN', NULL, NULL, NULL, 15),
(192100, NULL, 'PTHR24020:SF18', NULL, NULL, NULL, NULL, 'COLLAGEN ALPHA-1(VI) CHAIN', NULL, NULL, NULL, 15),
(192101, NULL, 'PTHR27009:SF208', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE', NULL, NULL, NULL, 15),
(192102, NULL, 'PTHR24296:SF138', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY-DEPENDENT FATTY ACID HYDROXYLASE', NULL, NULL, NULL, 15),
(192103, NULL, 'PTHR12741:SF83', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192104, NULL, 'PTHR31668:SF18', NULL, NULL, NULL, NULL, 'GLUCOSE TRANSPORT TRANSCRIPTION REGULATOR RGT1-RELATED', NULL, NULL, NULL, 15),
(192105, NULL, 'PTHR15852:SF54', NULL, NULL, NULL, NULL, 'OSJNBA0086O06.7 PROTEIN', NULL, NULL, NULL, 15),
(192106, NULL, 'PTHR10381:SF6', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT CLP PROTEASE PROTEOLYTIC SUBUNIT-RELATED PROTEIN 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(192107, NULL, 'PTHR31645:SF45', NULL, NULL, NULL, NULL, 'METAL-NICOTIANAMINE TRANSPORTER YSL7-RELATED', NULL, NULL, NULL, 15),
(192108, NULL, 'PTHR24221:SF445', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(192109, NULL, 'PTHR24062:SF176', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 4', NULL, NULL, NULL, 15),
(192110, NULL, 'PTHR32099:SF71', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 1', NULL, NULL, NULL, 15),
(192111, NULL, 'PTHR11935:SF141', NULL, NULL, NULL, NULL, 'HYDROXYACYLGLUTATHIONE HYDROLASE 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(192112, NULL, 'PTHR24014', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE AND IRON-DEPENDENT OXYGENASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(192113, NULL, 'PTHR12264:SF21', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 12', NULL, NULL, NULL, 15),
(192114, NULL, 'PTHR45868:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192115, NULL, 'PTHR31088:SF9', NULL, NULL, NULL, NULL, 'PHAGE SHOCK PROTEIN A-RELATED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192116, NULL, 'PTHR32463', NULL, NULL, NULL, NULL, 'L-FUCOSE KINASE', NULL, NULL, NULL, 15),
(192117, NULL, 'PTHR11214', NULL, NULL, NULL, NULL, 'BETA-1,3-N-ACETYLGLUCOSAMINYLTRANSFERASE', NULL, NULL, 2733, 15),
(192118, NULL, 'PTHR31618:SF20', NULL, NULL, NULL, NULL, 'MECHANOSENSITIVE ION CHANNEL PROTEIN 10', NULL, NULL, NULL, 15),
(192119, NULL, 'PTHR31549:SF99', NULL, NULL, NULL, NULL, 'OS08G0395800 PROTEIN', NULL, NULL, NULL, 15),
(192120, NULL, 'PTHR33386:SF20', NULL, NULL, NULL, NULL, 'BNAA06G13200D PROTEIN', NULL, NULL, NULL, 15),
(192121, NULL, 'PTHR22599:SF21', NULL, NULL, NULL, NULL, 'MOB KINASE ACTIVATOR 2', NULL, NULL, NULL, 15),
(192122, NULL, 'PTHR24296:SF183', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192123, NULL, 'PTHR15710:SF108', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE CIP8-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(192124, NULL, 'PTHR19282:SF468', NULL, NULL, NULL, NULL, 'PERIPHERIN 2B (RETINAL DEGENERATION, SLOW)', NULL, NULL, NULL, 15),
(192125, NULL, 'PTHR27002:SF825', NULL, NULL, NULL, NULL, 'S-LOCUS LECTIN KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192126, NULL, 'PTHR30268:SF0', NULL, NULL, NULL, NULL, 'L-RHAMNOSE ISOMERASE', NULL, NULL, NULL, 15),
(192127, NULL, 'PTHR43858', NULL, NULL, NULL, NULL, 'ENERGY-DEPENDENT TRANSLATIONAL THROTTLE PROTEIN ETTA', NULL, NULL, 15077, 15),
(192128, NULL, 'PTHR45632:SF3', NULL, NULL, NULL, NULL, 'LD33804P', NULL, NULL, NULL, 15),
(192129, NULL, 'PTHR43791:SF47', NULL, NULL, NULL, NULL, 'TRANSPORTER, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G03750)-RELATED', NULL, NULL, NULL, 15),
(192130, NULL, 'PTHR43822:SF15', NULL, NULL, NULL, NULL, 'BNACNNG15040D PROTEIN', NULL, NULL, NULL, 15),
(192131, NULL, 'PTHR47906:SF5', NULL, NULL, NULL, NULL, 'OS05G0118600 PROTEIN', NULL, NULL, NULL, 15),
(192132, NULL, 'PTHR14221:SF0', NULL, NULL, NULL, NULL, 'WD REPEAT-CONTAINING PROTEIN 44', NULL, NULL, NULL, 15),
(192133, NULL, 'PTHR31737:SF2', NULL, NULL, NULL, NULL, 'PROTEIN TOS1', NULL, NULL, NULL, 15),
(192134, NULL, 'PTHR12035:SF109', NULL, NULL, NULL, NULL, 'SIALIC ACID-BINDING IG-LIKE LECTIN 14', NULL, NULL, NULL, 15),
(192135, NULL, 'PTHR34280:SF14', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(192136, NULL, 'PTHR12167', NULL, NULL, NULL, NULL, 'C-TYPE NATRIURETIC PEPTIDE', NULL, NULL, NULL, 15),
(192137, NULL, 'PTHR48111:SF13', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(192138, NULL, 'PTHR10210:SF28', NULL, NULL, NULL, NULL, 'PHOSPHORIBOSYL PYROPHOSPHATE SYNTHASE-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(192139, NULL, 'PTHR46195:SF20', NULL, NULL, NULL, NULL, 'BNAC07G33100D PROTEIN', NULL, NULL, NULL, 15),
(192140, NULL, 'PTHR45624:SF10', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL BASIC AMINO ACIDS TRANSPORTER', NULL, NULL, NULL, 15),
(192141, NULL, 'PTHR33102', NULL, NULL, NULL, NULL, 'DVL19-RELATED-RELATED', NULL, NULL, NULL, 15),
(192142, NULL, 'PTHR28527:SF1', NULL, NULL, NULL, NULL, 'MATING-TYPE SWITCHING PROTEIN SWI2-RELATED', NULL, NULL, NULL, 15),
(192143, NULL, 'PTHR26379:SF307', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192144, NULL, 'PTHR48070:SF3', NULL, NULL, NULL, NULL, 'ESTERASE DBAE-RELATED', NULL, NULL, NULL, 15),
(192145, NULL, 'PTHR33065:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192146, NULL, 'PTHR46720:SF1', NULL, NULL, NULL, NULL, 'HYDROXYLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_8G06050)-RELATED', NULL, NULL, NULL, 15),
(192147, NULL, 'PTHR46696:SF1', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(192148, NULL, 'PTHR24006:SF793', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE 7', NULL, NULL, NULL, 15),
(192149, NULL, 'PTHR31479:SF10', NULL, NULL, NULL, NULL, 'CLASS 3-RELATED PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(192150, NULL, 'PTHR11071:SF416', NULL, NULL, NULL, NULL, 'PEPTIDYL-PROLYL CIS-TRANS ISOMERASE E', NULL, NULL, NULL, 15),
(192151, NULL, 'PTHR33625:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192152, NULL, 'PTHR48040:SF16', NULL, NULL, NULL, NULL, 'OS02G0318500 PROTEIN', NULL, NULL, NULL, 15),
(192153, NULL, 'PTHR11972:SF165', NULL, NULL, NULL, NULL, 'SUPEROXIDE-GENERATING NADPH OXIDASE HEAVY CHAIN SUBUNIT B', NULL, NULL, NULL, 15),
(192154, NULL, 'PTHR22805', NULL, NULL, NULL, NULL, 'WDR41-RELATED', NULL, NULL, 34441, 15),
(192155, NULL, 'PTHR46397:SF4', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY', NULL, NULL, NULL, 15),
(192156, NULL, 'PTHR45763:SF43', NULL, NULL, NULL, NULL, 'BNAA06G20910D PROTEIN', NULL, NULL, NULL, 15),
(192157, NULL, 'PTHR33358:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192158, NULL, 'PTHR11431:SF102', NULL, NULL, NULL, NULL, 'FERRITIN-3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(192159, NULL, 'PTHR35602', NULL, NULL, NULL, NULL, 'ESTERASE YQIA-RELATED', NULL, NULL, 7866, 15),
(192160, NULL, 'PTHR46090', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 13B', NULL, NULL, NULL, 15),
(192161, NULL, 'PTHR11440:SF47', NULL, NULL, NULL, NULL, 'GROUP XV PHOSPHOLIPASE A2', NULL, NULL, NULL, 15),
(192162, NULL, 'PTHR24373:SF299', NULL, NULL, NULL, NULL, 'TRANSFORMING GROWTH FACTOR BETA ACTIVATOR LRRC33', NULL, NULL, NULL, 15),
(192163, NULL, 'PTHR43544:SF26', NULL, NULL, NULL, NULL, 'STERIGMATOCYSTIN BIOSYNTHESIS KETOREDUCTASE STCE-RELATED', NULL, NULL, NULL, 15),
(192164, NULL, 'PTHR24012:SF803', NULL, NULL, NULL, NULL, 'MEI2 C-TERMINAL RRM ONLY LIKE 1', NULL, NULL, NULL, 15),
(192165, NULL, 'PTHR31181:SF62', NULL, NULL, NULL, NULL, 'PROLAMIN-LIKE PROTEIN (DUF1278)', NULL, NULL, NULL, 15),
(192166, NULL, 'PTHR35972', NULL, NULL, NULL, NULL, 'SINGLE-PASS MEMBRANE AND COILED-COIL DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 29664, 15),
(192167, NULL, 'PTHR48005:SF22', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192168, NULL, 'PTHR10177:SF448', NULL, NULL, NULL, NULL, 'CYCLIN-B2-3', NULL, NULL, NULL, 15),
(192169, NULL, 'PTHR35481:SF3', NULL, NULL, NULL, NULL, 'BNAANNG13270D PROTEIN', NULL, NULL, NULL, 15),
(192170, NULL, 'PTHR45897:SF2', NULL, NULL, NULL, NULL, 'HIGH AFFINITY CHOLINE TRANSPORTER 1', NULL, NULL, NULL, 15),
(192171, NULL, 'PTHR42851:SF9', NULL, NULL, NULL, NULL, 'KETOSE-BISPHOSPHATE ALDOLASE CLASS-II FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192172, NULL, 'PTHR10963:SF43', NULL, NULL, NULL, NULL, 'GRAM-NEGATIVE BACTERIA-BINDING PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(192173, NULL, 'PTHR11795:SF371', NULL, NULL, NULL, NULL, 'HIGH-AFFINITY BRANCHED-CHAIN AMINO ACID TRANSPORT SYSTEM PERMEASE PROTEIN LIVH', NULL, NULL, NULL, 15),
(192174, NULL, 'PTHR14095:SF16', NULL, NULL, NULL, NULL, 'ION BINDING PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(192175, NULL, 'PTHR24061:SF495', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192176, NULL, 'PTHR33831:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192177, NULL, 'PTHR46067:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192178, NULL, 'PTHR31314:SF119', NULL, NULL, NULL, NULL, 'BNAC03G72550D PROTEIN', NULL, NULL, NULL, 15),
(192179, NULL, 'PTHR33154:SF25', NULL, NULL, NULL, NULL, 'ARSENICAL RESISTANCE OPERON REPRESSOR-RELATED', NULL, NULL, NULL, 15),
(192180, NULL, 'PTHR11054:SF1', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONOLACTONASE-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(192181, NULL, 'PTHR45703:SF3', NULL, NULL, NULL, NULL, 'DYNEIN AXONEMAL HEAVY CHAIN 10', NULL, NULL, NULL, 15),
(192182, NULL, 'PTHR31973:SF124', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192183, NULL, 'PTHR13422:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192184, NULL, 'PTHR22669', NULL, NULL, NULL, NULL, 'DELTA/SERRATE/LAG-2 DOMAIN PROTEIN', NULL, NULL, 35223, 15),
(192185, NULL, 'PTHR47215:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192186, NULL, 'PTHR22849:SF6', NULL, NULL, NULL, NULL, 'RING-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192187, NULL, 'PTHR48061:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192188, NULL, 'PTHR24381:SF114', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 620', NULL, NULL, NULL, 15),
(192189, NULL, 'PTHR24416:SF359', NULL, NULL, NULL, NULL, 'HYPOXIA INHIBITED RECEPTOR TYROSINE KINASE', NULL, NULL, NULL, 15),
(192190, NULL, 'PTHR12663:SF38', NULL, NULL, NULL, NULL, 'BNAC02G33460D PROTEIN', NULL, NULL, NULL, 15),
(192191, NULL, 'PTHR11685:SF325', NULL, NULL, NULL, NULL, 'RBR-TYPE E3 UBIQUITIN TRANSFERASE', NULL, NULL, NULL, 15),
(192192, NULL, 'PTHR14882:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192193, NULL, 'PTHR46252:SF5', NULL, NULL, NULL, NULL, 'SI:DKEY-283B1.7', NULL, NULL, NULL, 15),
(192194, NULL, 'PTHR43401', NULL, NULL, NULL, NULL, 'L-THREONINE 3-DEHYDROGENASE', NULL, NULL, NULL, 15),
(192195, NULL, 'PTHR11848:SF261', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN 8B-LIKE PROTEIN', NULL, NULL, NULL, 15),
(192196, NULL, 'PTHR24286:SF248', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 716A1-RELATED', NULL, NULL, NULL, 15),
(192197, NULL, 'PTHR32077:SF68', NULL, NULL, NULL, NULL, 'OS05G0163300 PROTEIN', NULL, NULL, NULL, 15),
(192198, NULL, 'PTHR21666:SF270', NULL, NULL, NULL, NULL, 'MUREIN DD-ENDOPEPTIDASE MEPM', NULL, NULL, NULL, 15),
(192199, NULL, 'PTHR13935:SF118', NULL, NULL, NULL, NULL, 'BASIC HELIX-LOOP-HELIX DNA-BINDING SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(192200, NULL, 'PTHR18896:SF156', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D', NULL, NULL, NULL, 15),
(192201, NULL, 'PTHR24340:SF34', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-3.2', NULL, NULL, NULL, 15),
(192202, NULL, 'PTHR46654', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE HECTD3', NULL, NULL, 40031, 15),
(192203, NULL, 'PTHR32077:SF64', NULL, NULL, NULL, NULL, 'BNAA06G36300D PROTEIN', NULL, NULL, NULL, 15),
(192204, NULL, 'PTHR33076:SF106', NULL, NULL, NULL, NULL, 'NON-SPECIFIC LIPID-TRANSFER PROTEIN 11', NULL, NULL, NULL, 15),
(192205, NULL, 'PTHR23084:SF230', NULL, NULL, NULL, NULL, 'HISTONE H3 K4-SPECIFIC METHYLTRANSFERASE SET7/9 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192206, NULL, 'PTHR47777', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN SEBOX', NULL, NULL, 36385, 15),
(192207, NULL, 'PTHR47288:SF4', NULL, NULL, NULL, NULL, 'BNACNNG62530D PROTEIN', NULL, NULL, NULL, 15),
(192208, NULL, 'PTHR21143:SF122', NULL, NULL, NULL, NULL, 'GUSTATORY RECEPTOR FOR BITTER TASTE 66A-RELATED', NULL, NULL, NULL, 15),
(192209, NULL, 'PTHR21576:SF90', NULL, NULL, NULL, NULL, 'PROTEIN NUCLEAR FUSION DEFECTIVE 4-LIKE', NULL, NULL, NULL, 15),
(192210, NULL, 'PTHR11969:SF73', NULL, NULL, NULL, NULL, 'BHLH TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(192211, NULL, 'PTHR46697', NULL, NULL, NULL, NULL, 'FORMIN-BINDING PROTEIN 4', NULL, NULL, NULL, 15),
(192212, NULL, 'PTHR46224:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192213, NULL, 'PTHR48013:SF20', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY MITOGEN-ACTIVATED PROTEIN KINASE KINASE 4', NULL, NULL, NULL, 15),
(192214, NULL, 'PTHR11481:SF12', NULL, NULL, NULL, NULL, 'HIGH AFFINITY IMMUNOGLOBULIN EPSILON RECEPTOR SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(192215, NULL, 'PTHR24062:SF154', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(192216, NULL, 'PTHR36382:SF2', NULL, NULL, NULL, NULL, 'OSJNBA0043L09.26 PROTEIN', NULL, NULL, NULL, 15),
(192217, NULL, 'PTHR10161:SF34', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE 3', NULL, NULL, NULL, 15),
(192218, NULL, 'PTHR10678:SF6', NULL, NULL, NULL, NULL, '26S PROTEASOME NON-ATPASE REGULATORY SUBUNIT 11A', NULL, NULL, 10380, 15),
(192219, NULL, 'PTHR23424:SF8', NULL, NULL, NULL, NULL, 'SERUM AMYLOID A-4 PROTEIN', NULL, NULL, NULL, 15),
(192220, NULL, 'PTHR46210:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192221, NULL, 'PTHR43650:SF15', NULL, NULL, NULL, NULL, 'PYROPHOSPHATE--FRUCTOSE 6-PHOSPHATE 1-PHOSPHOTRANSFERASE SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(192222, NULL, 'PTHR34945:SF4', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE (2OG) AND FE(II)-DEPENDENT OXYGENASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192223, NULL, 'PTHR47424:SF3', NULL, NULL, NULL, NULL, 'REGULATORY PROTEIN GAL4', NULL, NULL, NULL, 15),
(192224, NULL, 'PTHR31801:SF0', NULL, NULL, NULL, NULL, 'ALTERED INHERITANCE OF MITOCHONDRIA PROTEIN 24, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(192225, NULL, 'PTHR32099:SF36', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 38-LIKE', NULL, NULL, NULL, 15),
(192226, NULL, 'PTHR21310:SF43', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE ENZYME FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192227, NULL, 'PTHR17490:SF16', NULL, NULL, NULL, NULL, 'SI:CH211-153B23.4', NULL, NULL, NULL, 15),
(192228, NULL, 'PTHR13683:SF846', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192229, NULL, 'PTHR33193:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192230, NULL, 'PTHR46358', NULL, NULL, NULL, NULL, 'TONSOKU-LIKE PROTEIN', NULL, NULL, NULL, 15),
(192231, NULL, 'PTHR15526:SF5', NULL, NULL, NULL, NULL, 'MUSKELIN', NULL, NULL, NULL, 15),
(192232, NULL, 'PTHR43272:SF52', NULL, NULL, NULL, NULL, '2-SUCCINYLBENZOATE--COA LIGASE', NULL, NULL, NULL, 15),
(192233, NULL, 'PTHR43655:SF29', NULL, NULL, NULL, NULL, 'BNAA04G16890D PROTEIN', NULL, NULL, NULL, 15),
(192234, NULL, 'PTHR11474:SF94', NULL, NULL, NULL, NULL, 'POLYPHENOL OXIDASE, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(192235, NULL, 'PTHR12313:SF76', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(192236, NULL, 'PTHR45669:SF47', NULL, NULL, NULL, NULL, 'BNAC02G02860D PROTEIN', NULL, NULL, NULL, 15),
(192237, NULL, 'PTHR31301:SF19', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(192238, NULL, 'PTHR47519:SF2', NULL, NULL, NULL, NULL, 'NUCLEAR HORMONE RECEPTOR FAMILY MEMBER NHR-97', NULL, NULL, NULL, 15),
(192239, NULL, 'PTHR13172', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT INNER MEMBRANE TRANSLOCASE SUBUNIT TIM9B', NULL, NULL, NULL, 15),
(192240, NULL, 'PTHR10926:SF0', NULL, NULL, NULL, NULL, 'FI04422P', NULL, NULL, NULL, 15),
(192241, NULL, 'PTHR21562:SF74', NULL, NULL, NULL, NULL, 'PECTIN ACETYLESTERASE', NULL, NULL, NULL, 15),
(192242, NULL, 'PTHR10994:SF139', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN B2', NULL, NULL, NULL, 15),
(192243, NULL, 'PTHR11654:SF387', NULL, NULL, NULL, NULL, 'PEPTIDE/NITRATE TRANSPORTER', NULL, NULL, NULL, 15),
(192244, NULL, 'PTHR43069:SF6', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETASE', NULL, NULL, NULL, 15),
(192245, NULL, 'PTHR31676:SF129', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192246, NULL, 'PTHR24015:SF1700', NULL, NULL, NULL, NULL, 'OS03G0844000 PROTEIN', NULL, NULL, NULL, 15),
(192247, NULL, 'PTHR28342:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192248, NULL, 'PTHR13318:SF145', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(192249, NULL, 'PTHR43035:SF4', NULL, NULL, NULL, NULL, 'NITROREDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_3G03530)', NULL, NULL, NULL, 15),
(192250, NULL, 'PTHR37387:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SAMBA', NULL, NULL, NULL, 15),
(192251, NULL, 'PTHR24096:SF320', NULL, NULL, NULL, NULL, 'BLR5963 PROTEIN', NULL, NULL, NULL, 15),
(192252, NULL, 'PTHR33021:SF193', NULL, NULL, NULL, NULL, 'OS09G0469300 PROTEIN', NULL, NULL, NULL, 15),
(192253, NULL, 'PTHR24340:SF33', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN NKX-2.1', NULL, NULL, NULL, 15),
(192254, NULL, 'PTHR32295:SF203', NULL, NULL, NULL, NULL, 'IQ-DOMAIN 15-RELATED', NULL, NULL, NULL, 15),
(192255, NULL, 'PTHR13318:SF25', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(192256, NULL, 'PTHR46442:SF4', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(192257, NULL, 'PTHR45970:SF6', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN HOX-A9A', NULL, NULL, NULL, 15),
(192258, NULL, 'PTHR10648:SF9', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 2A 65 KDA REGULATORY SUBUNIT A BETA ISOFORM', NULL, NULL, NULL, 15),
(192259, NULL, 'PTHR11245:SF7', NULL, NULL, NULL, NULL, 'STANNIOCALCIN 1', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192260, NULL, 'PTHR31889:SF68', NULL, NULL, NULL, NULL, '2-ALPHA-L-FUCOSYLTRANSFERASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(192261, NULL, 'PTHR12329', NULL, NULL, NULL, NULL, 'BCL2-ASSOCIATED ATHANOGENE', NULL, NULL, 32326, 15),
(192262, NULL, 'PTHR31235:SF220', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(192263, NULL, 'PTHR45785', NULL, NULL, NULL, NULL, 'COMPLEMENT FACTOR H-RELATED', NULL, NULL, NULL, 15),
(192264, NULL, 'PTHR47993:SF86', NULL, NULL, NULL, NULL, 'OS04G0589300 PROTEIN', NULL, NULL, NULL, 15),
(192265, NULL, 'PTHR19375:SF408', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192266, NULL, 'PTHR46183:SF1', NULL, NULL, NULL, NULL, 'HSP-INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(192267, NULL, 'PTHR33918:SF3', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192268, NULL, 'PTHR31696:SF83', NULL, NULL, NULL, NULL, 'BNAC04G01990D PROTEIN', NULL, NULL, NULL, 15),
(192269, NULL, 'PTHR45664:SF14', NULL, NULL, NULL, NULL, 'PROTEIN ZERKNUELLT 1-RELATED', NULL, NULL, NULL, 15),
(192270, NULL, 'PTHR45658:SF46', NULL, NULL, NULL, NULL, 'GATA TRANSCRIPTION FACTOR 9', NULL, NULL, NULL, 15),
(192271, NULL, 'PTHR11599:SF14', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-5', NULL, NULL, NULL, 15),
(192272, NULL, 'PTHR31992:SF229', NULL, NULL, NULL, NULL, 'BNACNNG28850D PROTEIN', NULL, NULL, NULL, 15),
(192273, NULL, 'PTHR47993:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192274, NULL, 'PTHR15046', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192275, NULL, 'PTHR26453:SF13', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(192276, NULL, 'PTHR13832:SF672', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(192277, NULL, 'PTHR24381:SF339', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 544', NULL, NULL, NULL, 15),
(192278, NULL, 'PTHR15852:SF11', NULL, NULL, NULL, NULL, 'SSU-2 HOMOLOG, TANDEM DUPLICATE 2-RELATED', NULL, NULL, NULL, 15),
(192279, NULL, 'PTHR34754', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN 60', NULL, NULL, 27294, 15),
(192280, NULL, 'PTHR34834:SF2', NULL, NULL, NULL, NULL, 'SPEM FAMILY MEMBER 2', NULL, NULL, NULL, 15),
(192281, NULL, 'PTHR22751:SF63', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS W', NULL, NULL, NULL, 15),
(192282, NULL, 'PTHR23155:SF947', NULL, NULL, NULL, NULL, 'DISEASE RESISTANCE PROTEIN RPM1', NULL, NULL, NULL, 15),
(192283, NULL, 'PTHR18966:SF426', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR', NULL, NULL, NULL, 15),
(192284, NULL, 'PTHR31301:SF21', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 27-RELATED', NULL, NULL, NULL, 15),
(192285, NULL, 'PTHR18896:SF57', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D1', NULL, NULL, NULL, 15),
(192286, NULL, 'PTHR33144:SF18', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PTTA/EN/SPM, PLANT-RELATED', NULL, NULL, NULL, 15),
(192287, NULL, 'PTHR31413:SF12', NULL, NULL, NULL, NULL, 'AFP HOMOLOG 2', NULL, NULL, NULL, 15),
(192288, NULL, 'PTHR31102:SF5', NULL, NULL, NULL, NULL, 'SLC9B1-LIKE PROTEIN SLC9B1P1-RELATED', NULL, NULL, 22433, 15),
(192289, NULL, 'PTHR47928:SF33', NULL, NULL, NULL, NULL, 'OS01G0912900 PROTEIN', NULL, NULL, NULL, 15),
(192290, NULL, 'PTHR23192:SF66', NULL, NULL, NULL, NULL, 'COLMEDIN (COLLAGEN PLUS OLFACTOMEDIN) FAMILY', NULL, NULL, NULL, 15),
(192291, NULL, 'PTHR37322', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 35768, 15),
(192292, NULL, 'PTHR14972:SF7', NULL, NULL, NULL, NULL, 'PROTEIN FAM117A', NULL, NULL, NULL, 15),
(192293, NULL, 'PTHR11811:SF58', NULL, NULL, NULL, NULL, '6-PHOSPHOGLUCONATE DEHYDROGENASE, DECARBOXYLATING', NULL, NULL, NULL, 15),
(192294, NULL, 'PTHR44663:SF2', NULL, NULL, NULL, NULL, 'JUNCTIONAL ADHESION MOLECULE B', NULL, NULL, NULL, 15),
(192295, NULL, 'PTHR21720:SF6', NULL, NULL, NULL, NULL, 'DOUBLE-STRAND BREAK FACTOR', NULL, NULL, NULL, 15),
(192296, NULL, 'PTHR47926:SF210', NULL, NULL, NULL, NULL, 'BNAA05G13440D PROTEIN', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192297, NULL, 'PTHR31325:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192298, NULL, 'PTHR19277:SF153', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192299, NULL, 'PTHR38421', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN USGS', NULL, NULL, NULL, 15),
(192300, NULL, 'PTHR31087:SF60', NULL, NULL, NULL, NULL, 'PROTEIN LURP-ONE-RELATED 5', NULL, NULL, NULL, 15),
(192301, NULL, 'PTHR31625:SF29', NULL, NULL, NULL, NULL, 'HXXXD-TYPE ACYL-TRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192302, NULL, 'PTHR16223:SF195', NULL, NULL, NULL, NULL, 'HLH DNA-BINDING DOMAIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(192303, NULL, 'PTHR22847:SF701', NULL, NULL, NULL, NULL, 'TNF RECEPTOR ASSOCIATED FACTOR 7', NULL, NULL, NULL, 15),
(192304, NULL, 'PTHR18843:SF6', NULL, NULL, NULL, NULL, 'TORSIN-1A-INTERACTING PROTEIN 1', NULL, NULL, NULL, 15),
(192305, NULL, 'PTHR24221:SF410', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN HOMOLOG 49', NULL, NULL, NULL, 15),
(192306, NULL, 'PTHR11040:SF70', NULL, NULL, NULL, NULL, 'OS05G0316100 PROTEIN', NULL, NULL, NULL, 15),
(192307, NULL, 'PTHR31499:SF47', NULL, NULL, NULL, NULL, 'MYB FAMILY TRANSCRIPTION FACTOR APL-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(192308, NULL, 'PTHR33170:SF20', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192309, NULL, 'PTHR31218:SF25', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(192310, NULL, 'PTHR32343:SF38', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN-INTERACTING PROTEIN 9', NULL, NULL, NULL, 15),
(192311, NULL, 'PTHR10369:SF38', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L44-LIKE', NULL, NULL, NULL, 15),
(192312, NULL, 'PTHR45621:SF4', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE PBL12-RELATED', NULL, NULL, NULL, 15),
(192313, NULL, 'PTHR10462:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192314, NULL, 'PTHR31376:SF90', NULL, NULL, NULL, NULL, 'PURINE PERMEASE 4-RELATED', NULL, NULL, NULL, 15),
(192315, NULL, 'PTHR45907:SF16', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS J', NULL, NULL, NULL, 15),
(192316, NULL, 'PTHR14060:SF4', NULL, NULL, NULL, NULL, 'T-CELL LEUKEMIA/LYMPHOMA PROTEIN 1A', NULL, NULL, NULL, 15),
(192317, NULL, 'PTHR11818:SF112', NULL, NULL, NULL, NULL, 'CRYGMX PROTEIN', NULL, NULL, NULL, 15),
(192318, NULL, 'PTHR11431:SF108', NULL, NULL, NULL, NULL, 'FERRITIN-2, CHLOROPLASTIC-LIKE', NULL, NULL, NULL, 15),
(192319, NULL, 'PTHR31945:SF102', NULL, NULL, NULL, NULL, 'BNAC03G56820D PROTEIN', NULL, NULL, NULL, 15),
(192320, NULL, 'PTHR43617', NULL, NULL, NULL, NULL, 'L-AMINO ACID N-ACETYLTRANSFERASE', NULL, NULL, NULL, 15),
(192321, NULL, 'PTHR47212:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192322, NULL, 'PTHR10426:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192323, NULL, 'PTHR22952:SF420', NULL, NULL, NULL, NULL, 'BNAA07G03000D PROTEIN', NULL, NULL, NULL, 15),
(192324, NULL, 'PTHR23320:SF54', NULL, NULL, NULL, NULL, 'MEMBRANE-SPANNING 4-DOMAINS SUBFAMILY A MEMBER 5', NULL, NULL, 22660, 15),
(192325, NULL, 'PTHR46869:SF15', NULL, NULL, NULL, NULL, 'BNAC03G57420D PROTEIN', NULL, NULL, NULL, 15),
(192326, NULL, 'PTHR24377:SF705', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 233', NULL, NULL, NULL, 15),
(192327, NULL, 'PTHR16206', NULL, NULL, NULL, NULL, 'DEP DOMAIN-CONTAINING', NULL, NULL, NULL, 15),
(192328, NULL, 'PTHR11782:SF33', NULL, NULL, NULL, NULL, 'ECTONUCLEOSIDE TRIPHOSPHATE DIPHOSPHOHYDROLASE 2', NULL, NULL, NULL, 15),
(192329, NULL, 'PTHR33203:SF49', NULL, NULL, NULL, NULL, 'OLEOSIN GRP-17', NULL, NULL, NULL, 15),
(192330, NULL, 'PTHR24037:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192331, NULL, 'PTHR11895:SF135', NULL, NULL, NULL, NULL, 'AMIDASE FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(192332, NULL, 'PTHR31744:SF66', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192333, NULL, 'PTHR28280:SF1', NULL, NULL, NULL, NULL, 'SHUTTLING PRE-60S FACTOR ECM1', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192334, NULL, 'PTHR10688:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192335, NULL, 'PTHR30055:SF193', NULL, NULL, NULL, NULL, 'HTH-TYPE TRANSCRIPTIONAL REGULATOR ETHR', NULL, NULL, NULL, 15),
(192336, NULL, 'PTHR45945:SF1', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 12', NULL, NULL, NULL, 15),
(192337, NULL, 'PTHR37397', NULL, NULL, NULL, NULL, 'SI:CH211-183D21.1', NULL, NULL, NULL, 15),
(192338, NULL, 'PTHR14969:SF17', NULL, NULL, NULL, NULL, 'INACTIVE PHOSPHOLIPID PHOSPHATASE 7', NULL, NULL, NULL, 15),
(192339, NULL, 'PTHR33513:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192340, NULL, 'PTHR30126:SF8', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(192341, NULL, 'PTHR21678:SF7', NULL, NULL, NULL, NULL, 'COILED-COIL DOMAIN-CONTAINING PROTEIN R3HCC1L', NULL, NULL, NULL, 15),
(192342, NULL, 'PTHR35259', NULL, NULL, NULL, NULL, 'BOMBESIN RECEPTOR-ACTIVATED PROTEIN C6ORF89', NULL, NULL, 33083, 15),
(192343, NULL, 'PTHR23267:SF201', NULL, NULL, NULL, NULL, 'IG KAPPA CHAIN V-VI REGION J539-RELATED', NULL, NULL, NULL, 15),
(192344, NULL, 'PTHR10237:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192345, NULL, 'PTHR44170:SF17', NULL, NULL, NULL, NULL, 'CONTACTIN-5', NULL, NULL, 27405, 15),
(192346, NULL, 'PTHR36007', NULL, NULL, NULL, NULL, 'TRANSPORT PROTEIN-RELATED', NULL, NULL, 582, 15),
(192347, NULL, 'PTHR48217:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192348, NULL, 'PTHR26452:SF769', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 5F1', NULL, NULL, NULL, 15),
(192349, NULL, 'PTHR47394', NULL, NULL, NULL, NULL, 'SMALL CELL ADHESION GLYCOPROTEIN', NULL, NULL, 37278, 15),
(192350, NULL, 'PTHR16675:SF251', NULL, NULL, NULL, NULL, 'CLASS IB MHC ANTIGEN QA-2-RELATED', NULL, NULL, NULL, 15),
(192351, NULL, 'PTHR31093:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192352, NULL, 'PTHR10641:SF1282', NULL, NULL, NULL, NULL, 'BNAA09G05480D PROTEIN', NULL, NULL, NULL, 15),
(192353, NULL, 'PTHR23319:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ASTER-A', NULL, NULL, NULL, 15),
(192354, NULL, 'PTHR24206:SF63', NULL, NULL, NULL, NULL, 'GATA TYPE ZINC FINGER TRANSCRIPTION FACTOR FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192355, NULL, 'PTHR24070:SF253', NULL, NULL, NULL, NULL, 'GTPASE RHEBL1', NULL, NULL, NULL, 15),
(192356, NULL, 'PTHR10454:SF227', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192357, NULL, 'PTHR31044:SF88', NULL, NULL, NULL, NULL, 'CARBOHYDRATE-BINDING X8 DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(192358, NULL, 'PTHR12887:SF11', NULL, NULL, NULL, NULL, 'PROTEIN NANOS', NULL, NULL, NULL, 15),
(192359, NULL, 'PTHR24067:SF303', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 7-LIKE', NULL, NULL, NULL, 15),
(192360, NULL, 'PTHR46316:SF6', NULL, NULL, NULL, NULL, 'SNF1-RELATED KINASE REGULATORY SUBUNIT BETA-2', NULL, NULL, NULL, 15),
(192361, NULL, 'PTHR31774:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SHISA-7', NULL, NULL, NULL, 15),
(192362, NULL, 'PTHR46169:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192363, NULL, 'PTHR31062:SF244', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15),
(192364, NULL, 'PTHR31250', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN IQM3', NULL, NULL, 37739, 15),
(192365, NULL, 'PTHR10910', NULL, NULL, NULL, NULL, 'EUKARYOTE SPECIFIC DSRNA BINDING PROTEIN', NULL, NULL, NULL, 15),
(192366, NULL, 'PTHR30069:SF28', NULL, NULL, NULL, NULL, 'TONB-DEPENDENT RECEPTOR YNCD-RELATED', NULL, NULL, NULL, 15),
(192367, NULL, 'PTHR31683:SF155', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(192368, NULL, 'PTHR43874:SF161', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR', NULL, NULL, NULL, 15),
(192369, NULL, 'PTHR24286:SF235', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192370, NULL, 'PTHR47992:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 15-RELATED', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192371, NULL, 'PTHR31985:SF206', NULL, NULL, NULL, NULL, 'BNAC04G44720D PROTEIN', NULL, NULL, NULL, 15),
(192372, NULL, 'PTHR31707:SF58', NULL, NULL, NULL, NULL, 'OS01G0377800 PROTEIN', NULL, NULL, NULL, 15),
(192373, NULL, 'PTHR34722:SF1', NULL, NULL, NULL, NULL, 'HOMOLOG OF ODR-2 (TWO)', NULL, NULL, NULL, 15),
(192374, NULL, 'PTHR30195', NULL, NULL, NULL, NULL, 'TYPE I SITE-SPECIFIC DEOXYRIBONUCLEASE PROTEIN SUBUNIT M AND R', NULL, NULL, NULL, 15),
(192375, NULL, 'PTHR21659:SF65', NULL, NULL, NULL, NULL, 'OS03G0286900 PROTEIN', NULL, NULL, NULL, 15),
(192376, NULL, 'PTHR33142:SF8', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR13', NULL, NULL, NULL, 15),
(192377, NULL, 'PTHR12537:SF155', NULL, NULL, NULL, NULL, 'PUMILIO HOMOLOG 16-RELATED', NULL, NULL, NULL, 15),
(192378, NULL, 'PTHR33766:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM181A', NULL, NULL, NULL, 15),
(192379, NULL, 'PTHR19957:SF97', NULL, NULL, NULL, NULL, 'SYNTAXIN-4', NULL, NULL, NULL, 15),
(192380, NULL, 'PTHR11588:SF350', NULL, NULL, NULL, NULL, 'TUBULIN ALPHA CHAIN', NULL, NULL, NULL, 15),
(192381, NULL, 'PTHR34203:SF11', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE FKBM', NULL, NULL, NULL, 15),
(192382, NULL, 'PTHR15499:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192383, NULL, 'PTHR11003:SF249', NULL, NULL, NULL, NULL, 'TWO PORE POTASSIUM CHANNEL PROTEIN SUP-9', NULL, NULL, NULL, 15),
(192384, NULL, 'PTHR31236:SF54', NULL, NULL, NULL, NULL, 'BURP DOMAIN-CONTAINING PROTEIN 5-LIKE', NULL, NULL, NULL, 15),
(192385, NULL, 'PTHR10510:SF11', NULL, NULL, NULL, NULL, 'CYTOCHROME C OXIDASE SUBUNIT 7A, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(192386, NULL, 'PTHR11630:SF46', NULL, NULL, NULL, NULL, 'DNA REPLICATION LICENSING FACTOR MCM3', NULL, NULL, NULL, 15),
(192387, NULL, 'PTHR31485', NULL, NULL, NULL, NULL, 'PEPTIDYL SERINE ALPHA-GALACTOSYLTRANSFERASE', NULL, NULL, 38076, 15),
(192388, NULL, 'PTHR30251:SF9', NULL, NULL, NULL, NULL, 'CHAPERONE PROTEIN CAF1M', NULL, NULL, NULL, 15),
(192389, NULL, 'PTHR13861:SF2', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT F', NULL, NULL, NULL, 15),
(192390, NULL, 'PTHR10352:SF37', NULL, NULL, NULL, NULL, 'UBP1-ASSOCIATED PROTEIN 2B', NULL, NULL, NULL, 15),
(192391, NULL, 'PTHR31415:SF137', NULL, NULL, NULL, NULL, 'PROTEIN YLS9-LIKE', NULL, NULL, NULL, 15),
(192392, NULL, 'PTHR31692:SF111', NULL, NULL, NULL, NULL, 'BNAC07G50680D PROTEIN', NULL, NULL, NULL, 15),
(192393, NULL, 'PTHR31605:SF0', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE O-ACYLTRANSFERASE 1', NULL, NULL, NULL, 15),
(192394, NULL, 'PTHR11431:SF111', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(192395, NULL, 'PTHR11920:SF349', NULL, NULL, NULL, NULL, 'RETINAL GUANYLYL CYCLASE 2', NULL, NULL, 34780, 15),
(192396, NULL, 'PTHR42788:SF20', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(192397, NULL, 'PTHR12199:SF3', NULL, NULL, NULL, NULL, 'INTERPHOTORECEPTOR MATRIX PROTEOGLYCAN 1', NULL, NULL, NULL, 15),
(192398, NULL, 'PTHR24232:SF36', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 4', NULL, NULL, NULL, 15),
(192399, NULL, 'PTHR11533:SF239', NULL, NULL, NULL, NULL, 'ENDOPLASMIC RETICULUM AMINOPEPTIDASE 2', NULL, NULL, 33558, 15),
(192400, NULL, 'PTHR31639:SF134', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192401, NULL, 'PTHR33172:SF37', NULL, NULL, NULL, NULL, 'MYOSIN LIGHT CHAIN KINASE DDB_G0279831 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(192402, NULL, 'PTHR22774:SF18', NULL, NULL, NULL, NULL, 'AMINO-TERMINAL REGION OF CHOREIN, A TM VESICLE-MEDIATED SORTER', NULL, NULL, NULL, 15),
(192403, NULL, 'PTHR12021:SF18', NULL, NULL, NULL, NULL, 'THYMOSIN BETA-4, Y-CHROMOSOMAL', NULL, NULL, NULL, 15),
(192404, NULL, 'PTHR47874', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 39548, 15),
(192405, NULL, 'PTHR34067:SF15', NULL, NULL, NULL, NULL, 'METHYL-CPG-BINDING DOMAIN-CONTAINING PROTEIN 13', NULL, NULL, NULL, 15),
(192406, NULL, 'PTHR42793', NULL, NULL, NULL, NULL, 'COA BINDING DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192407, NULL, 'PTHR11926:SF324', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(192408, NULL, 'PTHR31235:SF90', NULL, NULL, NULL, NULL, 'PEROXIDASE 44-RELATED', NULL, NULL, NULL, 15),
(192409, NULL, 'PTHR34210:SF3', NULL, NULL, NULL, NULL, 'OS01G0252900 PROTEIN', NULL, NULL, NULL, 15),
(192410, NULL, 'PTHR24028:SF252', NULL, NULL, NULL, NULL, 'CADHERIN FAMILY', NULL, NULL, NULL, 15),
(192411, NULL, 'PTHR11926:SF1311', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 74F2', NULL, NULL, NULL, 15),
(192412, NULL, 'PTHR39104:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192413, NULL, 'PTHR45633:SF33', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL CHAPERONE TCM62', NULL, NULL, NULL, 15),
(192414, NULL, 'PTHR10749:SF4', NULL, NULL, NULL, NULL, 'PHOSPHORYLASE B KINASE REGULATORY SUBUNIT ALPHA, SKELETAL MUSCLE ISOFORM', NULL, NULL, NULL, 15),
(192415, NULL, 'PTHR23155:SF1114', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192416, NULL, 'PTHR14942:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192417, NULL, 'PTHR11814:SF181', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192418, NULL, 'PTHR11246:SF5', NULL, NULL, NULL, NULL, 'PRE-MRNA-SPLICING FACTOR SYF1', NULL, NULL, NULL, 15),
(192419, NULL, 'PTHR47293:SF56', NULL, NULL, NULL, NULL, 'BNAA06G13880D PROTEIN', NULL, NULL, NULL, 15),
(192420, NULL, 'PTHR48017:SF182', NULL, NULL, NULL, NULL, 'AMINO ACID PERMEASE 2', NULL, NULL, NULL, 15),
(192421, NULL, 'PTHR47932:SF36', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(192422, NULL, 'PTHR33285:SF43', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINES 3-LIKE', NULL, NULL, NULL, 15),
(192423, NULL, 'PTHR10464:SF9', NULL, NULL, NULL, NULL, 'UREA TRANSPORTER', NULL, NULL, NULL, 15),
(192424, NULL, 'PTHR23403:SF25', NULL, NULL, NULL, NULL, 'TREHALASE', NULL, NULL, NULL, 15),
(192425, NULL, 'PTHR46364:SF8', NULL, NULL, NULL, NULL, 'OS08G0421900 PROTEIN', NULL, NULL, NULL, 15),
(192426, NULL, 'PTHR10827:SF77', NULL, NULL, NULL, NULL, 'CALCIUM-BINDING EF HAND FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192427, NULL, 'PTHR31756:SF8', NULL, NULL, NULL, NULL, 'PYRUVATE, PHOSPHATE DIKINASE REGULATORY PROTEIN, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(192428, NULL, 'PTHR24377:SF891', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 467', NULL, NULL, NULL, 15),
(192429, NULL, 'PTHR31388:SF195', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(192430, NULL, 'PTHR15083:SF0', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 6', NULL, NULL, NULL, 15),
(192431, NULL, 'PTHR31016:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192432, NULL, 'PTHR31250:SF47', NULL, NULL, NULL, NULL, 'IQ MOTIF, EF-HAND BINDING SITE-RELATED', NULL, NULL, NULL, 15),
(192433, NULL, 'PTHR13683:SF838', NULL, NULL, NULL, NULL, 'PROTEIN ASPARTIC PROTEASE IN GUARD CELL 2-LIKE', NULL, NULL, NULL, 15),
(192434, NULL, 'PTHR11009:SF33', NULL, NULL, NULL, NULL, 'DERLIN-2.1', NULL, NULL, NULL, 15),
(192435, NULL, 'PTHR37709', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, 9039, 15),
(192436, NULL, 'PTHR31221:SF203', NULL, NULL, NULL, NULL, 'BNAA04G17420D PROTEIN', NULL, NULL, NULL, 15),
(192437, NULL, 'PTHR16007:SF15', NULL, NULL, NULL, NULL, 'PROTEIN 45B, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(192438, NULL, 'PTHR24072:SF168', NULL, NULL, NULL, NULL, 'RAS-LIKE GTP-BINDING PROTEIN RHO1', NULL, NULL, NULL, 15),
(192439, NULL, 'PTHR19353:SF17', NULL, NULL, NULL, NULL, 'CYTOCHROME B5-LIKE HEME/STEROID BINDING DOMAIN', NULL, NULL, NULL, 15),
(192440, NULL, 'PTHR42745', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192441, NULL, 'PTHR47047:SF1', NULL, NULL, NULL, NULL, 'CYSTEINE PEPTIDASE, PUTATIVE CYSTEINE PEPTIDASE, CLAN CA, FAMILY C2, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(192442, NULL, 'PTHR16154:SF28', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 14', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192443, NULL, 'PTHR33165:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192444, NULL, 'PTHR16089:SF28', NULL, NULL, NULL, NULL, 'GEO13032P1-RELATED', NULL, NULL, NULL, 15),
(192445, NULL, 'PTHR10024:SF175', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192446, NULL, 'PTHR45933:SF11', NULL, NULL, NULL, NULL, 'PROTEIN C2-DOMAIN ABA-RELATED 1', NULL, NULL, NULL, 15),
(192447, NULL, 'PTHR46757:SF10', NULL, NULL, NULL, NULL, 'BNAA03G55530D PROTEIN', NULL, NULL, NULL, 15),
(192448, NULL, 'PTHR11844:SF25', NULL, NULL, NULL, NULL, 'TISSUE INHIBITOR OF METALLOPROTEINASE', NULL, NULL, NULL, 15),
(192449, NULL, 'PTHR10869:SF174', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192450, NULL, 'PTHR45890:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192451, NULL, 'PTHR12542:SF153', NULL, NULL, NULL, NULL, 'EXOCYST SUBUNIT EXO70 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192452, NULL, 'PTHR33979:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192453, NULL, 'PTHR34706:SF3', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN (AFU_ORTHOLOGUE AFUA_7G06200)', NULL, NULL, NULL, 15),
(192454, NULL, 'PTHR10219:SF75', NULL, NULL, NULL, NULL, 'PROTEIN PLEKHA9-RELATED', NULL, NULL, NULL, 15),
(192455, NULL, 'PTHR37299:SF1', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(192456, NULL, 'PTHR18945:SF477', NULL, NULL, NULL, NULL, 'ACETYLCHOLINE RECEPTOR SUBUNIT BETA', NULL, NULL, NULL, 15),
(192457, NULL, 'PTHR31218:SF200', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(192458, NULL, 'PTHR13857:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192459, NULL, 'PTHR31585:SF11', NULL, NULL, NULL, NULL, 'FOLATE-BIOPTERIN TRANSPORTER 3-RELATED', NULL, NULL, NULL, 15),
(192460, NULL, 'PTHR11977:SF89', NULL, NULL, NULL, NULL, 'GELSOLIN-RELATED PROTEIN OF 125 KDA', NULL, NULL, NULL, 15),
(192461, NULL, 'PTHR24128:SF68', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE XBOS35-RELATED', NULL, NULL, NULL, 15),
(192462, NULL, 'PTHR42943:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE S-TRANSFERASE KAPPA 1', NULL, NULL, NULL, 15),
(192463, NULL, 'PTHR10502:SF207', NULL, NULL, NULL, NULL, 'OS09G0368850 PROTEIN', NULL, NULL, NULL, 15),
(192464, NULL, 'PTHR36362:SF1', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASE SUBUNIT BETA', NULL, NULL, NULL, 15),
(192465, NULL, 'PTHR13343:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CREG2', NULL, NULL, NULL, 15),
(192466, NULL, 'PTHR23201:SF49', NULL, NULL, NULL, NULL, 'GIBBERELLIN-REGULATED PROTEIN 6-LIKE', NULL, NULL, NULL, 15),
(192467, NULL, 'PTHR11850:SF97', NULL, NULL, NULL, NULL, 'PRE-B-CELL LEUKEMIA TRANSCRIPTION FACTOR 3', NULL, NULL, NULL, 15),
(192468, NULL, 'PTHR24399:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192469, NULL, 'PTHR15348:SF0', NULL, NULL, NULL, NULL, 'PROTEIN DEAD RINGER', NULL, NULL, NULL, 15),
(192470, NULL, 'PTHR47123:SF22', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', NULL, NULL, NULL, 15),
(192471, NULL, 'PTHR34660:SF17', NULL, NULL, NULL, NULL, 'MYB-LIKE PROTEIN X', NULL, NULL, NULL, 15),
(192472, NULL, 'PTHR38043:SF1', NULL, NULL, NULL, NULL, 'PROTEIN HEMX', NULL, NULL, NULL, 15),
(192473, NULL, 'PTHR47177:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192474, NULL, 'PTHR34546:SF6', NULL, NULL, NULL, NULL, 'OS01G0759000 PROTEIN', NULL, NULL, NULL, 15),
(192475, NULL, 'PTHR37170:SF1', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(192476, NULL, 'PTHR45814:SF3', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SETD1A', NULL, NULL, 36228, 15),
(192477, NULL, 'PTHR42938:SF5', NULL, NULL, NULL, NULL, 'D-3-PHOSPHOGLYCERATE DEHYDROGENASE', NULL, NULL, NULL, 15),
(192478, NULL, 'PTHR37245:SF6', NULL, NULL, NULL, NULL, 'BNAC01G09990D PROTEIN', NULL, NULL, NULL, 15),
(192479, NULL, 'PTHR11346:SF164', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192480, NULL, 'PTHR11599:SF181', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT BETA TYPE-2-B', NULL, NULL, NULL, 15),
(192481, NULL, 'PTHR24093', NULL, NULL, NULL, NULL, 'CATION TRANSPORTING ATPASE', NULL, NULL, NULL, 15),
(192482, NULL, 'PTHR46128:SF248', NULL, NULL, NULL, NULL, 'BNAA07G03390D PROTEIN', NULL, NULL, NULL, 15),
(192483, NULL, 'PTHR19229:SF194', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY MEMBER 7', NULL, NULL, NULL, 15),
(192484, NULL, 'PTHR48048:SF27', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(192485, NULL, 'PTHR43414:SF6', NULL, NULL, NULL, NULL, 'MULTIDRUG RESISTANCE PROTEIN MDTG', NULL, NULL, NULL, 15),
(192486, NULL, 'PTHR30620:SF108', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192487, NULL, 'PTHR48043:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192488, NULL, 'PTHR43885:SF1', NULL, NULL, NULL, NULL, 'SUPERFAMILY HYDROLASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_4G13290)-RELATED', NULL, NULL, NULL, 15),
(192489, NULL, 'PTHR33910', NULL, NULL, NULL, NULL, 'PROTEIN TRANSLOCASE SUBUNIT SECE', NULL, NULL, 5716, 15),
(192490, NULL, 'PTHR47965:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192491, NULL, 'PTHR28153', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(192492, NULL, 'PTHR47260:SF3', NULL, NULL, NULL, NULL, 'THIOESTERASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_7G03960)', NULL, NULL, NULL, 15),
(192493, NULL, 'PTHR19876:SF54', NULL, NULL, NULL, NULL, 'COATOMER SUBUNIT BETA''-1', NULL, NULL, NULL, 15),
(192494, NULL, 'PTHR13817:SF94', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192495, NULL, 'PTHR13082:SF1', NULL, NULL, NULL, NULL, 'HISTONE DEACETYLASE COMPLEX SUBUNIT SAP18', NULL, NULL, NULL, 15),
(192496, NULL, 'PTHR47485:SF2', NULL, NULL, NULL, NULL, 'PENTAPEPTIDE REPEAT', NULL, NULL, NULL, 15),
(192497, NULL, 'PTHR11627:SF69', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE', NULL, NULL, NULL, 15),
(192498, NULL, 'PTHR41324:SF1', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(192499, NULL, 'PTHR15710:SF80', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192500, NULL, 'PTHR24025:SF9', NULL, NULL, NULL, NULL, 'DESMOGLEIN-1', NULL, NULL, NULL, 15),
(192501, NULL, 'PTHR10202:SF18', NULL, NULL, NULL, NULL, 'PRESENILIN-1', NULL, NULL, NULL, 15),
(192502, NULL, 'PTHR11972:SF12', NULL, NULL, NULL, NULL, 'NADPH OXIDASE 3', NULL, NULL, 26352, 15),
(192503, NULL, 'PTHR35778:SF1', NULL, NULL, NULL, NULL, 'SIGNALING MUCIN HKR1-RELATED', NULL, NULL, NULL, 15),
(192504, NULL, 'PTHR32015', NULL, NULL, NULL, NULL, 'FASTING INDUCED LIPASE', NULL, NULL, 6387, 15),
(192505, NULL, 'PTHR19854:SF15', NULL, NULL, NULL, NULL, 'TRANSDUCIN BETA-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(192506, NULL, 'PTHR30009', NULL, NULL, NULL, NULL, 'CYTOCHROME C-TYPE SYNTHESIS PROTEIN AND PTS TRANSMEMBRANE COMPONENT', NULL, NULL, NULL, 15),
(192507, NULL, 'PTHR23101:SF112', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192508, NULL, 'PTHR31642:SF151', NULL, NULL, NULL, NULL, 'OS12G0134600 PROTEIN', NULL, NULL, NULL, 15),
(192509, NULL, 'PTHR28066', NULL, NULL, NULL, NULL, '37S RIBOSOMAL PROTEIN MRP10, MITOCHONDRIAL', NULL, NULL, 16425, 15),
(192510, NULL, 'PTHR47992:SF162', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 51-RELATED', NULL, NULL, NULL, 15),
(192511, NULL, 'PTHR11958:SF45', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(192512, NULL, 'PTHR28060:SF1', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT J, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(192513, NULL, 'PTHR22826:SF205', NULL, NULL, NULL, NULL, 'PROTEIN CBR-UNC-73', NULL, NULL, NULL, 15),
(192514, NULL, 'PTHR34124:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192515, NULL, 'PTHR45665:SF2', NULL, NULL, NULL, NULL, 'AQUAPORIN TIP1-1', NULL, NULL, NULL, 15),
(192516, NULL, 'PTHR11616:SF141', NULL, NULL, NULL, NULL, 'SODIUM- AND CHLORIDE-DEPENDENT TAURINE TRANSPORTER', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192517, NULL, 'PTHR45644:SF36', NULL, NULL, NULL, NULL, 'FI08533P-RELATED', NULL, NULL, NULL, 15),
(192518, NULL, 'PTHR13301:SF217', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192519, NULL, 'PTHR11949:SF7', NULL, NULL, NULL, NULL, 'INTERFERON REGULATORY FACTOR 8', NULL, NULL, 38773, 15),
(192520, NULL, 'PTHR33472:SF13', NULL, NULL, NULL, NULL, 'BNAA09G55540D PROTEIN', NULL, NULL, NULL, 15),
(192521, NULL, 'PTHR10283:SF66', NULL, NULL, NULL, NULL, 'SOLUTE CARRIER FAMILY 13 MEMBER 2', NULL, NULL, NULL, 15),
(192522, NULL, 'PTHR44321:SF1', NULL, NULL, NULL, NULL, 'TRANSDUCIN BETA-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(192523, NULL, 'PTHR11214:SF267', NULL, NULL, NULL, NULL, 'BETA-1,3-GALACTOSYLTRANSFERASE 3-RELATED', NULL, NULL, NULL, 15),
(192524, NULL, 'PTHR32191:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192525, NULL, 'PTHR31790:SF113', NULL, NULL, NULL, NULL, 'OS02G0783600 PROTEIN', NULL, NULL, NULL, 15),
(192526, NULL, 'PTHR14211:SF9', NULL, NULL, NULL, NULL, 'RIBOSOME BIOGENESIS PROTEIN NOP53', NULL, NULL, NULL, 15),
(192527, NULL, 'PTHR23359:SF187', NULL, NULL, NULL, NULL, 'ADENYLATE KINASE 7, MITOCHONDRIAL-RELATED', NULL, NULL, NULL, 15),
(192528, NULL, 'PTHR33179:SF54', NULL, NULL, NULL, NULL, 'OS07G0686600 PROTEIN', NULL, NULL, NULL, 15),
(192529, NULL, 'PTHR45891:SF2', NULL, NULL, NULL, NULL, 'ZINC FINGER HOMEOBOX PROTEIN 4', NULL, NULL, NULL, 15),
(192530, NULL, 'PTHR34153:SF7', NULL, NULL, NULL, NULL, 'SI:CH211-262H13.3-RELATED', NULL, NULL, NULL, 15),
(192531, NULL, 'PTHR31105:SF37', NULL, NULL, NULL, NULL, 'EXTRA-LARGE G-LIKE PROTEIN', NULL, NULL, NULL, 15),
(192532, NULL, 'PTHR14140', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE UHRF-RELATED', NULL, NULL, 37467, 15),
(192533, NULL, 'PTHR46655:SF3', NULL, NULL, NULL, NULL, 'BNAA01G18730D PROTEIN', NULL, NULL, NULL, 15),
(192534, NULL, 'PTHR23213:SF344', NULL, NULL, NULL, NULL, 'FORMIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(192535, NULL, 'PTHR24228:SF62', NULL, NULL, NULL, NULL, 'AGAP001498-PA', NULL, NULL, NULL, 15),
(192536, NULL, 'PTHR43158:SF9', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER, ATP-BINDING PROTEIN', NULL, NULL, NULL, 15),
(192537, NULL, 'PTHR24067:SF301', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2 1', NULL, NULL, NULL, 15),
(192538, NULL, 'PTHR27006:SF131', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192539, NULL, 'PTHR33546:SF1', NULL, NULL, NULL, NULL, 'LARGE, MULTIFUNCTIONAL SECRETED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(192540, NULL, 'PTHR36488:SF4', NULL, NULL, NULL, NULL, 'CASP-LIKE PROTEIN', NULL, NULL, NULL, 15),
(192541, NULL, 'PTHR47735', NULL, NULL, NULL, NULL, 'POTASSIUM VOLTAGE-GATED CHANNEL SUBFAMILY KQT MEMBER 4', NULL, NULL, NULL, 15),
(192542, NULL, 'PTHR37175', NULL, NULL, NULL, NULL, 'BNAA08G28800D PROTEIN', NULL, NULL, NULL, 15),
(192543, NULL, 'PTHR43719:SF27', NULL, NULL, NULL, NULL, 'AEROBIC RESPIRATION CONTROL SENSOR PROTEIN ARCB', NULL, NULL, NULL, 15),
(192544, NULL, 'PTHR18966:SF405', NULL, NULL, NULL, NULL, 'GLUTAMATE RECEPTOR, IONOTROPIC, N-METHYL D-ASPARTATE 2CA', NULL, NULL, NULL, 15),
(192545, NULL, 'PTHR46938:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192546, NULL, 'PTHR33067:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192547, NULL, 'PTHR33675', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR FAMILY 2 GROUP C PROTEIN', NULL, NULL, NULL, 15),
(192548, NULL, 'PTHR31219:SF2', NULL, NULL, NULL, NULL, 'CHROMOSOME 28 C12ORF29 HOMOLOG', NULL, NULL, NULL, 15),
(192549, NULL, 'PTHR31561:SF23', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE', NULL, NULL, NULL, 15),
(192550, NULL, 'PTHR47031', NULL, NULL, NULL, NULL, 'SAP DNA-BINDING DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(192551, NULL, 'PTHR24067:SF254', NULL, NULL, NULL, NULL, 'UBIQUITIN-CONJUGATING ENZYME E2-17 KDA', NULL, NULL, NULL, 15),
(192552, NULL, 'PTHR15241:SF300', NULL, NULL, NULL, NULL, 'RNA RECOGNITION MOTIF', NULL, NULL, NULL, 15),
(192553, NULL, 'PTHR46225:SF2', NULL, NULL, NULL, NULL, 'C3H4 TYPE ZINC FINGER PROTEIN', NULL, NULL, NULL, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192554, NULL, 'PTHR21461:SF60', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE FAMILY 92 PROTEIN', NULL, NULL, NULL, 15),
(192555, NULL, 'PTHR12894', NULL, NULL, NULL, NULL, 'CNH DOMAIN CONTAINING', NULL, NULL, 26770, 15),
(192556, NULL, 'PTHR22704:SF1', NULL, NULL, NULL, NULL, 'BMERB DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(192557, NULL, 'PTHR42898:SF44', NULL, NULL, NULL, NULL, 'BNAA04G28660D PROTEIN', NULL, NULL, NULL, 15),
(192558, NULL, 'PTHR24327:SF73', NULL, NULL, NULL, NULL, 'VENTRAL HOMEOBOX', NULL, NULL, NULL, 15),
(192559, NULL, 'PTHR24177:SF12', NULL, NULL, NULL, NULL, 'CASKIN-1', NULL, NULL, NULL, 15),
(192560, NULL, 'PTHR36071:SF1', NULL, NULL, NULL, NULL, 'DNA DOUBLE-STRAND BREAK REPAIR PROTEIN', NULL, NULL, NULL, 15),
(192561, NULL, 'PTHR47980:SF34', NULL, NULL, NULL, NULL, 'RAS-RELATED PROTEIN RABE1C', NULL, NULL, NULL, 15),
(192562, NULL, 'PTHR13793:SF134', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE ATX5', NULL, NULL, NULL, 15),
(192563, NULL, 'PTHR31221:SF201', NULL, NULL, NULL, NULL, 'BNAC03G49470D PROTEIN', NULL, NULL, NULL, 15),
(192564, NULL, 'PTHR11905:SF28', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 5-RELATED', NULL, NULL, NULL, 15),
(192565, NULL, 'PTHR12064:SF73', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192566, NULL, 'PTHR33193:SF7', NULL, NULL, NULL, NULL, 'OS06G0686600 PROTEIN', NULL, NULL, NULL, 15),
(192567, NULL, 'PTHR11783:SF224', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(192568, NULL, 'PTHR10353:SF246', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 1-RELATED', NULL, NULL, NULL, 15),
(192569, NULL, 'PTHR36034:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192570, NULL, 'PTHR34146:SF5', NULL, NULL, NULL, NULL, 'OS11G0203800 PROTEIN', NULL, NULL, NULL, 15),
(192571, NULL, 'PTHR24298:SF54', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 LIKE PROTEIN', NULL, NULL, NULL, 15),
(192572, NULL, 'PTHR24174:SF8', NULL, NULL, NULL, NULL, 'NITRIC OXIDE SYNTHASE 1 ADAPTOR PROTEIN', NULL, NULL, NULL, 15),
(192573, NULL, 'PTHR16675:SF154', NULL, NULL, NULL, NULL, 'MHC CLASS I POLYPEPTIDE-RELATED SEQUENCE A-RELATED', NULL, NULL, NULL, 15),
(192574, NULL, 'PTHR48044:SF57', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(192575, NULL, 'PTHR43767:SF10', NULL, NULL, NULL, NULL, 'SURFACTIN SYNTHASE SUBUNIT 2', NULL, NULL, NULL, 15),
(192576, NULL, 'PTHR22595:SF142', NULL, NULL, NULL, NULL, 'CHITINASE 6-LIKE', NULL, NULL, NULL, 15),
(192577, NULL, 'PTHR24229:SF38', NULL, NULL, NULL, NULL, 'SOMATOSTATIN RECEPTOR TYPE 1', NULL, NULL, NULL, 15),
(192578, NULL, 'PTHR18896:SF76', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE', NULL, NULL, NULL, 15),
(192579, NULL, 'PTHR31501:SF7', NULL, NULL, NULL, NULL, 'CALCIUM RELEASE-ACTIVATED CALCIUM CHANNEL PROTEIN 1', NULL, NULL, NULL, 15),
(192580, NULL, 'PTHR35106:SF4', NULL, NULL, NULL, NULL, 'OS09G0485800 PROTEIN', NULL, NULL, NULL, 15),
(192581, NULL, 'PTHR31190:SF238', NULL, NULL, NULL, NULL, 'BNAC09G20090D PROTEIN', NULL, NULL, NULL, 15),
(192582, NULL, 'PTHR13217:SF6', NULL, NULL, NULL, NULL, 'PLECKSTRIN HOMOLOGY DOMAIN-CONTAINING FAMILY G MEMBER 7', NULL, NULL, NULL, 15),
(192583, NULL, 'PTHR11937:SF474', NULL, NULL, NULL, NULL, 'ACTIN', NULL, NULL, NULL, 15),
(192584, NULL, 'PTHR36685:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192585, NULL, 'PTHR10179:SF72', NULL, NULL, NULL, NULL, 'CHEMOKINE (C-X-C MOTIF) LIGAND 18B', NULL, NULL, NULL, 15),
(192586, NULL, 'PTHR48007:SF9', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(192587, NULL, 'PTHR48044:SF6', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(192588, NULL, 'PTHR11363:SF7', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L3-LIKE', NULL, NULL, NULL, 15),
(192589, NULL, 'PTHR31318:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192590, NULL, 'PTHR10373:SF11', NULL, NULL, NULL, NULL, 'LYMPHOID ENHANCER-BINDING FACTOR 1', NULL, NULL, 22709, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192591, NULL, 'PTHR11480:SF80', NULL, NULL, NULL, NULL, 'SAPOSIN-RELATED', NULL, NULL, NULL, 15),
(192592, NULL, 'PTHR12992:SF32', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 15 MITOCHONDRIAL', NULL, NULL, NULL, 15),
(192593, NULL, 'PTHR33085:SF96', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192594, NULL, 'PTHR19918:SF39', NULL, NULL, NULL, NULL, 'TRANSDUCIN FAMILY PROTEIN/WD-40 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(192595, NULL, 'PTHR36973:SF5', NULL, NULL, NULL, NULL, 'SLL1173 PROTEIN', NULL, NULL, NULL, 15),
(192596, NULL, 'PTHR31744:SF158', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 100-LIKE', NULL, NULL, NULL, 15),
(192597, NULL, 'PTHR31225:SF112', NULL, NULL, NULL, NULL, 'GERANYL DIPHOSPHATE DIPHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(192598, NULL, 'PTHR47992:SF113', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 60 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(192599, NULL, 'PTHR43523:SF1', NULL, NULL, NULL, NULL, 'GLUCOSE-1-PHOSPHATE ADENYLYLTRANSFERASE LARGE SUBUNIT 2, CYTOSOLIC', NULL, NULL, NULL, 15),
(192600, NULL, 'PTHR31197:SF31', NULL, NULL, NULL, NULL, 'BNAA09G56860D PROTEIN', NULL, NULL, NULL, 15),
(192601, NULL, 'PTHR24082:SF231', NULL, NULL, NULL, NULL, 'NUCLEAR RECEPTOR SUBFAMILY 1 GROUP I MEMBER 3', NULL, NULL, NULL, 15),
(192602, NULL, 'PTHR33530:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192603, NULL, 'PTHR47993:SF18', NULL, NULL, NULL, NULL, 'BNAANNG14070D PROTEIN', NULL, NULL, NULL, 15),
(192604, NULL, 'PTHR11750:SF26', NULL, NULL, NULL, NULL, 'PROTEIN N-TERMINAL AMIDASE', NULL, NULL, NULL, 15),
(192605, NULL, 'PTHR45287:SF2', NULL, NULL, NULL, NULL, 'A-TYPE INCLUSION PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(192606, NULL, 'PTHR36987:SF1', NULL, NULL, NULL, NULL, 'NADH DEHYDROGENASE [UBIQUINONE] 1 BETA SUBCOMPLEX SUBUNIT 2-LIKE', NULL, NULL, NULL, 15),
(192607, NULL, 'PTHR47993:SF75', NULL, NULL, NULL, NULL, 'OS07G0195300 PROTEIN', NULL, NULL, NULL, 15),
(192608, NULL, 'PTHR47977:SF46', NULL, NULL, NULL, NULL, 'BNAA05G18680D PROTEIN', NULL, NULL, NULL, 15),
(192609, NULL, 'PTHR43617:SF9', NULL, NULL, NULL, NULL, 'ACETYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(192610, NULL, 'PTHR12143:SF39', NULL, NULL, NULL, NULL, 'SECRETED ATP/GTP BINDING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(192611, NULL, 'PTHR31532:SF10', NULL, NULL, NULL, NULL, 'BIORIENTATION OF CHROMOSOMES IN CELL DIVISION PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(192612, NULL, 'PTHR10802:SF4', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM40-1', NULL, NULL, NULL, 15),
(192613, NULL, 'PTHR42924:SF3', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(192614, NULL, 'PTHR37419:SF4', NULL, NULL, NULL, NULL, 'TOXIN-ANTITOXIN SYSTEM TOXIN HIPA FAMILY', NULL, NULL, NULL, 15),
(192615, NULL, 'PTHR10997:SF8', NULL, NULL, NULL, NULL, 'EXPORTIN-2', NULL, NULL, NULL, 15),
(192616, NULL, 'PTHR12400:SF21', NULL, NULL, NULL, NULL, 'KINASE', NULL, NULL, NULL, 15),
(192617, NULL, 'PTHR10902:SF27', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L35A-1-LIKE', NULL, NULL, NULL, 15),
(192618, NULL, 'PTHR32018:SF8', NULL, NULL, NULL, NULL, 'RHAMNOGALACTURONATE LYASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192619, NULL, 'PTHR10815:SF5', NULL, NULL, NULL, NULL, 'METHYLATED-DNA--PROTEIN-CYSTEINE METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(192620, NULL, 'PTHR10046:SF67', NULL, NULL, NULL, NULL, 'LON PROTEASE HOMOLOG 2, PEROXISOMAL', NULL, NULL, NULL, 15),
(192621, NULL, 'PTHR47703:SF2', NULL, NULL, NULL, NULL, 'D-AMINOACID AMINOTRANSFERASE-LIKE PLP-DEPENDENT ENZYMES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(192622, NULL, 'PTHR32448:SF29', NULL, NULL, NULL, NULL, 'OS11G0495950 PROTEIN', NULL, NULL, NULL, 15),
(192623, NULL, 'PTHR14663', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 38111, 15),
(192624, NULL, 'PTHR30545', NULL, NULL, NULL, NULL, 'SUGAR FERMENTATION STIMULATION PROTEIN A', NULL, NULL, 11021, 15),
(192625, NULL, 'PTHR24093:SF449', NULL, NULL, NULL, NULL, 'CALCIUM-TRANSPORTING ATPASE', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192626, NULL, 'PTHR43124:SF7', NULL, NULL, NULL, NULL, 'MFS PERMEASE', NULL, NULL, NULL, 15),
(192627, NULL, 'PTHR21717:SF61', NULL, NULL, NULL, NULL, 'TELOMERE-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(192628, NULL, 'PTHR12621:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192629, NULL, 'PTHR32448:SF67', NULL, NULL, NULL, NULL, 'RETICULINE OXIDASE-LIKE PROTEIN', NULL, NULL, NULL, 15),
(192630, NULL, 'PTHR11728:SF30', NULL, NULL, NULL, NULL, 'GLYCEROL-3-PHOSPHATE DEHYDROGENASE [NAD(+)] GPDHC1, CYTOSOLIC', NULL, NULL, NULL, 15),
(192631, NULL, 'PTHR10535:SF10', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES IV AND V SUBUNIT 5B', NULL, NULL, NULL, 15),
(192632, NULL, 'PTHR24250:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192633, NULL, 'PTHR14255:SF48', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-LIKE', NULL, NULL, NULL, 15),
(192634, NULL, 'PTHR23259:SF60', NULL, NULL, NULL, NULL, 'PROTEIN CBG19175', NULL, NULL, NULL, 15),
(192635, NULL, 'PTHR10458:SF19', NULL, NULL, NULL, NULL, 'PEPTIDE DEFORMYLASE', NULL, NULL, NULL, 15),
(192636, NULL, 'PTHR23412:SF6', NULL, NULL, NULL, NULL, 'MESOTHELIN', NULL, NULL, NULL, 15),
(192637, NULL, 'PTHR46303:SF2', NULL, NULL, NULL, NULL, 'CHORDIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(192638, NULL, 'PTHR45906', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192639, NULL, 'PTHR32091:SF19', NULL, NULL, NULL, NULL, 'OS02G0595800 PROTEIN', NULL, NULL, NULL, 15),
(192640, NULL, 'PTHR10390:SF68', NULL, NULL, NULL, NULL, 'HOMEOBOX PROTEIN CEH-33', NULL, NULL, NULL, 15),
(192641, NULL, 'PTHR31282:SF24', NULL, NULL, NULL, NULL, 'OS05G0478700 PROTEIN', NULL, NULL, NULL, 15),
(192642, NULL, 'PTHR13878:SF132', NULL, NULL, NULL, NULL, 'CYTOKININ DEHYDROGENASE 2', NULL, NULL, NULL, 15),
(192643, NULL, 'PTHR11132:SF303', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192644, NULL, 'PTHR45635:SF20', NULL, NULL, NULL, NULL, 'ADPATP CARRIER PROTEIN 1 MITOCHONDRIAL', NULL, NULL, NULL, 15),
(192645, NULL, 'PTHR36074:SF1', NULL, NULL, NULL, NULL, 'ISOPENTENYL-DIPHOSPHATE DELTA-ISOMERASE', NULL, NULL, NULL, 15),
(192646, NULL, 'PTHR11743:SF53', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL OUTER MEMBRANE PROTEIN PORIN 2-LIKE', NULL, NULL, NULL, 15),
(192647, NULL, 'PTHR21576:SF113', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192648, NULL, 'PTHR14363:SF38', NULL, NULL, NULL, NULL, 'GLUCURONIDASE 2-RELATED', NULL, NULL, NULL, 15),
(192649, NULL, 'PTHR24241:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 22', NULL, NULL, NULL, 15),
(192650, NULL, 'PTHR11082:SF34', NULL, NULL, NULL, NULL, 'TRNA-DIHYDROURIDINE SYNTHASE', NULL, NULL, NULL, 15),
(192651, NULL, 'PTHR23310:SF107', NULL, NULL, NULL, NULL, 'ACYL-COA-BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(192652, NULL, 'PTHR10909:SF223', NULL, NULL, NULL, NULL, 'ACYL-COENZYME A OXIDASE', NULL, NULL, NULL, 15),
(192653, NULL, 'PTHR34667:SF5', NULL, NULL, NULL, NULL, 'D-AMINOACYL-TRNA DEACYLASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(192654, NULL, 'PTHR24117:SF9', NULL, NULL, NULL, NULL, 'AGAP007537-PB', NULL, NULL, NULL, 15),
(192655, NULL, 'PTHR47824:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192656, NULL, 'PTHR11158:SF29', NULL, NULL, NULL, NULL, 'PRELI DOMAIN-CONTAINING PROTEIN 1, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(192657, NULL, 'PTHR47979:SF19', NULL, NULL, NULL, NULL, 'OS05G0564400 PROTEIN', NULL, NULL, NULL, 15),
(192658, NULL, 'PTHR13620:SF83', NULL, NULL, NULL, NULL, 'WERNER SYNDROME-LIKE EXONUCLEASE', NULL, NULL, NULL, 15),
(192659, NULL, 'PTHR33431:SF17', NULL, NULL, NULL, NULL, 'BNAC02G00610D PROTEIN', NULL, NULL, NULL, 15),
(192660, NULL, 'PTHR31325:SF163', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192661, NULL, 'PTHR10845:SF160', NULL, NULL, NULL, NULL, 'REGULATOR OF G-PROTEIN SIGNALING 21', NULL, NULL, NULL, 15),
(192662, NULL, 'PTHR31734:SF182', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA30', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192663, NULL, 'PTHR24020:SF58', NULL, NULL, NULL, NULL, 'FIBRONECTIN ISOFORM X1', NULL, NULL, NULL, 15),
(192664, NULL, 'PTHR11846:SF16', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE SYNTHETASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(192665, NULL, 'PTHR37456:SF2', NULL, NULL, NULL, NULL, 'SI:CH211-266K2.1', NULL, NULL, NULL, 15),
(192666, NULL, 'PTHR33021:SF387', NULL, NULL, NULL, NULL, 'CUPREDOXIN SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15),
(192667, NULL, 'PTHR43671:SF66', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE NEK4', NULL, NULL, NULL, 15),
(192668, NULL, 'PTHR46019', NULL, NULL, NULL, NULL, 'BPI FOLD-CONTAINING FAMILY B MEMBER 4-RELATED', NULL, NULL, NULL, 15),
(192669, NULL, 'PTHR22467', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(192670, NULL, 'PTHR31282:SF150', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR WRKY FAMILY-RELATED', NULL, NULL, NULL, 15),
(192671, NULL, 'PTHR46326:SF17', NULL, NULL, NULL, NULL, 'BNAC01G19850D PROTEIN', NULL, NULL, NULL, 15),
(192672, NULL, 'PTHR42908:SF6', NULL, NULL, NULL, NULL, '116 KDA U5 SMALL NUCLEAR RIBONUCLEOPROTEIN COMPONENT', NULL, NULL, NULL, 15),
(192673, NULL, 'PTHR22924:SF95', NULL, NULL, NULL, NULL, 'OS05G0517600 PROTEIN', NULL, NULL, NULL, 15),
(192674, NULL, 'PTHR44843:SF2', NULL, NULL, NULL, NULL, 'METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(192675, NULL, 'PTHR11165:SF136', NULL, NULL, NULL, NULL, 'SKP1-LIKE PROTEIN 1A', NULL, NULL, NULL, 15),
(192676, NULL, 'PTHR12565:SF381', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH49-LIKE', NULL, NULL, NULL, 15),
(192677, NULL, 'PTHR22891:SF46', NULL, NULL, NULL, NULL, 'PIWI-LIKE PROTEIN 1', NULL, NULL, 28040, 15),
(192678, NULL, 'PTHR22844:SF369', NULL, NULL, NULL, NULL, 'COATOMER ALPHA SUBUNIT-RELATED', NULL, NULL, NULL, 15),
(192679, NULL, 'PTHR33326', NULL, NULL, NULL, NULL, 'OS05G0543800 PROTEIN', NULL, NULL, NULL, 15),
(192680, NULL, 'PTHR31867:SF141', NULL, NULL, NULL, NULL, 'EXPANSIN', NULL, NULL, NULL, 15),
(192681, NULL, 'PTHR31834', NULL, NULL, NULL, NULL, 'INITIATION-SPECIFIC ALPHA-1,6-MANNOSYLTRANSFERASE', NULL, NULL, 36411, 15),
(192682, NULL, 'PTHR24282:SF204', NULL, NULL, NULL, NULL, 'CYTOCHROME P450-RELATED', NULL, NULL, NULL, 15),
(192683, NULL, 'PTHR36802', NULL, NULL, NULL, NULL, 'OS02G0815400 PROTEIN', NULL, NULL, NULL, 15),
(192684, NULL, 'PTHR45988:SF39', NULL, NULL, NULL, NULL, 'BNAC06G02890D PROTEIN', NULL, NULL, NULL, 15),
(192685, NULL, 'PTHR36716', NULL, NULL, NULL, NULL, 'F3H9.20 PROTEIN', NULL, NULL, 20451, 15),
(192686, NULL, 'PTHR31818:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192687, NULL, 'PTHR10334:SF390', NULL, NULL, NULL, NULL, 'CAP (CYSTEINE-RICH SECRETORY PROTEINS, ANTIGEN 5, AND PATHOGENESIS-RELATED 1 PROTEIN) SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(192688, NULL, 'PTHR33908', NULL, NULL, NULL, NULL, 'MANNOSYLTRANSFERASE YKCB-RELATED', NULL, NULL, NULL, 15),
(192689, NULL, 'PTHR14155:SF526', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE OS03G0188200', NULL, NULL, NULL, 15),
(192690, NULL, 'PTHR24373:SF349', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT NEURONAL PROTEIN 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(192691, NULL, 'PTHR31539', NULL, NULL, NULL, NULL, 'CENTROSOMAL PROTEIN OF 19K CEP19', NULL, NULL, 24510, 15),
(192692, NULL, 'PTHR43612:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192693, NULL, 'PTHR39647', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA', NULL, NULL, 1665, 15),
(192694, NULL, 'PTHR24232:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192695, NULL, 'PTHR45564', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192696, NULL, 'PTHR47958:SF4', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT RNA HELICASE DDX3X', NULL, NULL, NULL, 15),
(192697, NULL, 'PTHR31451:SF59', NULL, NULL, NULL, NULL, 'MANNAN ENDO-1,4-BETA-MANNOSIDASE 5-LIKE', NULL, NULL, NULL, 15),
(192698, NULL, 'PTHR23073:SF78', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192699, NULL, 'PTHR46710:SF4', NULL, NULL, NULL, NULL, 'ARM REPEAT PROTEIN INTERACTING WITH ABF2 PROTEIN', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192700, NULL, 'PTHR11960:SF43', NULL, NULL, NULL, NULL, 'EUKARYOTIC TRANSLATION INITIATION FACTOR 4E', NULL, NULL, NULL, 15),
(192701, NULL, 'PTHR43719:SF53', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192702, NULL, 'PTHR26453:SF629', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(192703, NULL, 'PTHR45981:SF6', NULL, NULL, NULL, NULL, 'MARCH (MEMBRANE-ASSOCIATED RING FINGER (C3HC4)) HOMOLOG', NULL, NULL, NULL, 15),
(192704, NULL, 'PTHR33938', NULL, NULL, NULL, NULL, 'FERULOYL ESTERASE B-RELATED', NULL, NULL, 11007, 15),
(192705, NULL, 'PTHR46975', NULL, NULL, NULL, NULL, 'PROTEIN SWEETIE', NULL, NULL, 37114, 15),
(192706, NULL, 'PTHR15615:SF33', NULL, NULL, NULL, NULL, 'CYCLIN', NULL, NULL, NULL, 15),
(192707, NULL, 'PTHR41335', NULL, NULL, NULL, NULL, 'MEMBRANE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(192708, NULL, 'PTHR11736:SF69', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192709, NULL, 'PTHR45676:SF117', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192710, NULL, 'PTHR37320', NULL, NULL, NULL, NULL, 'AG-1 BLOOD STAGE MEMBRANE PROTEIN HOMOLOGUE', NULL, NULL, NULL, 15),
(192711, NULL, 'PTHR13407:SF1', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 121', NULL, NULL, NULL, 15),
(192712, NULL, 'PTHR19051:SF24', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 13-1-RELATED', NULL, NULL, NULL, 15),
(192713, NULL, 'PTHR46516', NULL, NULL, NULL, NULL, 'TRNA-SPECIFIC ADENOSINE DEAMINASE 1', NULL, NULL, NULL, 15),
(192714, NULL, 'PTHR47005:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192715, NULL, 'PTHR21600:SF41', NULL, NULL, NULL, NULL, 'RNA PSEUDOURIDYLATE SYNTHASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(192716, NULL, 'PTHR33509:SF28', NULL, NULL, NULL, NULL, 'PROTEIN SENESCENCE-ASSOCIATED GENE 21, MITOCHONDRIAL-LIKE', NULL, NULL, NULL, 15),
(192717, NULL, 'PTHR43574:SF13', NULL, NULL, NULL, NULL, 'GDP-MANNOSE 3,5-EPIMERASE', NULL, NULL, NULL, 15),
(192718, NULL, 'PTHR35243:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192719, NULL, 'PTHR43065:SF16', NULL, NULL, NULL, NULL, 'SENSORY HISTIDINE KINASE/PHOSPHATASE NTRB', NULL, NULL, NULL, 15),
(192720, NULL, 'PTHR11183:SF135', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(192721, NULL, 'PTHR33110:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192722, NULL, 'PTHR43895:SF102', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(192723, NULL, 'PTHR24348:SF18', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ULK2', NULL, NULL, NULL, 15),
(192724, NULL, 'PTHR46341:SF1', NULL, NULL, NULL, NULL, 'PROTEIN FAM84A', NULL, NULL, NULL, 15),
(192725, NULL, 'PTHR48012:SF7', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE 26', NULL, NULL, NULL, 15),
(192726, NULL, 'PTHR10912', NULL, NULL, NULL, NULL, 'ADP-RIBOSYL CYCLASE', NULL, NULL, 1591, 15),
(192727, NULL, 'PTHR11132:SF382', NULL, NULL, NULL, NULL, 'BNAA08G03480D PROTEIN', NULL, NULL, NULL, 15),
(192728, NULL, 'PTHR13462', NULL, NULL, NULL, NULL, 'CALCIUM UNIPORTER PROTEIN, MITOCHONDRIAL', NULL, NULL, 35934, 15),
(192729, NULL, 'PTHR47976:SF20', NULL, NULL, NULL, NULL, 'OS04G0655000 PROTEIN', NULL, NULL, NULL, 15),
(192730, NULL, 'PTHR31807:SF6', NULL, NULL, NULL, NULL, 'PROTEIN ENDOSPERM DEFECTIVE 1-RELATED', NULL, NULL, NULL, 15),
(192731, NULL, 'PTHR31312:SF10', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ACTIVATOR GLK1-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(192732, NULL, 'PTHR43840:SF26', NULL, NULL, NULL, NULL, 'METAL TOLERANCE PROTEIN 6', NULL, NULL, NULL, 15),
(192733, NULL, 'PTHR24028:SF110', NULL, NULL, NULL, NULL, 'PROTOCADHERIN GAMMA-A10', NULL, NULL, NULL, 15),
(192734, NULL, 'PTHR24231:SF47', NULL, NULL, NULL, NULL, 'SI:DKEY-216E24.9', NULL, NULL, NULL, 15),
(192735, NULL, 'PTHR21711', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL INNER MEMBRANE PROTEASE', NULL, NULL, 18595, 15),
(192736, NULL, 'PTHR13710:SF139', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT DNA HELICASE', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192737, NULL, 'PTHR24056:SF415', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT KINASE G1', NULL, NULL, NULL, 15),
(192738, NULL, 'PTHR10209:SF761', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192739, NULL, 'PTHR11360:SF240', NULL, NULL, NULL, NULL, 'MONOCARBOXYLATE TRANSPORTER (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(192740, NULL, 'PTHR10015:SF297', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR A-2D', NULL, NULL, NULL, 15),
(192741, NULL, 'PTHR36366:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192742, NULL, 'PTHR11712:SF345', NULL, NULL, NULL, NULL, 'POLYKETIDE-TYPE POLYUNSATURATED FATTY ACID SYNTHASE, PFAA-RELATED', NULL, NULL, NULL, 15),
(192743, NULL, 'PTHR11620:SF74', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L23A', NULL, NULL, NULL, 15),
(192744, NULL, 'PTHR34286', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(192745, NULL, 'PTHR10513:SF43', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(192746, NULL, 'PTHR12809:SF4', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 14', NULL, NULL, NULL, 15),
(192747, NULL, 'PTHR45616:SF24', NULL, NULL, NULL, NULL, 'KERATIN, TYPE II CYTOSKELETAL 1B', NULL, NULL, NULL, 15),
(192748, NULL, 'PTHR10545:SF61', NULL, NULL, NULL, NULL, 'N-HYDROXYCINNAMOYL-COA:TYRAMINE N-HYDROXYCINNAMOYL TRANSFERASE THT7-1', NULL, NULL, NULL, 15),
(192749, NULL, 'PTHR23257:SF875', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE DDB_G0283397-RELATED', NULL, NULL, NULL, 15),
(192750, NULL, 'PTHR24078:SF563', NULL, NULL, NULL, NULL, 'DNAJ HOMOLOG SUBFAMILY B MEMBER 5', NULL, NULL, NULL, 15),
(192751, NULL, 'PTHR46662:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192752, NULL, 'PTHR32009:SF89', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192753, NULL, 'PTHR40453', NULL, NULL, NULL, NULL, 'PROTEIN YOEF', NULL, NULL, 13581, 15),
(192754, NULL, 'PTHR24637:SF275', NULL, NULL, NULL, NULL, 'COLLAGEN', NULL, NULL, NULL, 15),
(192755, NULL, 'PTHR46014:SF2', NULL, NULL, NULL, NULL, 'BNAA01G06590D PROTEIN', NULL, NULL, NULL, 15),
(192756, NULL, 'PTHR15574:SF38', NULL, NULL, NULL, NULL, 'OS06G0724500 PROTEIN', NULL, NULL, NULL, 15),
(192757, NULL, 'PTHR31093:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192758, NULL, 'PTHR43436', NULL, NULL, NULL, NULL, 'ARAC-FAMILY TRANSCRIPTIONAL REGULATOR', NULL, NULL, NULL, 15),
(192759, NULL, 'PTHR11240:SF44', NULL, NULL, NULL, NULL, 'RIBONUCLEASE 3-LIKE', NULL, NULL, NULL, 15),
(192760, NULL, 'PTHR45750:SF2', NULL, NULL, NULL, NULL, 'HISTONE ACETYLTRANSFERASE KAT2B', NULL, NULL, NULL, 15),
(192761, NULL, 'PTHR48017:SF18', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192762, NULL, 'PTHR24286:SF255', NULL, NULL, NULL, NULL, 'ALLENE OXIDE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(192763, NULL, 'PTHR12700:SF18', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT D, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(192764, NULL, 'PTHR42737:SF2', NULL, NULL, NULL, NULL, 'GLUTATHIONE REDUCTASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(192765, NULL, 'PTHR33474:SF28', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(192766, NULL, 'PTHR10264:SF117', NULL, NULL, NULL, NULL, 'ZGC:112408', NULL, NULL, NULL, 15),
(192767, NULL, 'PTHR23043:SF18', NULL, NULL, NULL, NULL, 'HYPOXIA-INDUCIBLE FACTOR 3-ALPHA', NULL, NULL, NULL, 15),
(192768, NULL, 'PTHR28336', NULL, NULL, NULL, NULL, 'BA1-643', NULL, NULL, 24100, 15),
(192769, NULL, 'PTHR31374:SF313', NULL, NULL, NULL, NULL, 'SMALL AUXIN-UP RNA-RELATED', NULL, NULL, NULL, 15),
(192770, NULL, 'PTHR48217:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192771, NULL, 'PTHR15751:SF11', NULL, NULL, NULL, NULL, 'TRAFFICKING KINESIN-BINDING PROTEIN 1', NULL, NULL, NULL, 15),
(192772, NULL, 'PTHR14969:SF48', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192773, NULL, 'PTHR24062:SF175', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR 1', NULL, NULL, NULL, 15),
(192774, NULL, 'PTHR16024:SF13', NULL, NULL, NULL, NULL, 'XK-RELATED PROTEIN 9', NULL, NULL, NULL, 15),
(192775, NULL, 'PTHR13734:SF5', NULL, NULL, NULL, NULL, 'CCA TRNA NUCLEOTIDYLTRANSFERASE, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(192776, NULL, 'PTHR48100:SF28', NULL, NULL, NULL, NULL, 'OS11G0138400 PROTEIN', NULL, NULL, NULL, 15),
(192777, NULL, 'PTHR45649:SF45', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192778, NULL, 'PTHR14614:SF115', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192779, NULL, 'PTHR15427', NULL, NULL, NULL, NULL, 'EMILIN  ELASTIN MICROFIBRIL INTERFACE-LOCATED PROTEIN   ELASTIN MICROFIBRIL INTERFACER', NULL, NULL, NULL, 15),
(192780, NULL, 'PTHR12247:SF88', NULL, NULL, NULL, NULL, 'POLYHOMEOTIC-LIKE PROTEIN 3', NULL, NULL, NULL, 15),
(192781, NULL, 'PTHR47955:SF4', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY 71 PROTEIN', NULL, NULL, NULL, 15),
(192782, NULL, 'PTHR15627:SF15', NULL, NULL, NULL, NULL, 'DTW DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(192783, NULL, 'PTHR28678', NULL, NULL, NULL, NULL, 'CODANIN-1', NULL, NULL, 33556, 15),
(192784, NULL, 'PTHR47067:SF14', NULL, NULL, NULL, NULL, 'PROTEIN WVD2-LIKE 7 ISOFORM X1', NULL, NULL, NULL, 15),
(192785, NULL, 'PTHR32488:SF76', NULL, NULL, NULL, NULL, 'DEFECTIVE IN TIP FORMATION PROTEIN A-RELATED', NULL, NULL, NULL, 15),
(192786, NULL, 'PTHR38103:SF1', NULL, NULL, NULL, NULL, 'RECOMBINATION-ASSOCIATED PROTEIN RDGC', NULL, NULL, NULL, 15),
(192787, NULL, 'PTHR47999:SF60', NULL, NULL, NULL, NULL, 'BNAA09G03290D PROTEIN', NULL, NULL, NULL, 15),
(192788, NULL, 'PTHR43318', NULL, NULL, NULL, NULL, 'UDP-N-ACETYLGLUCOSAMINE 4,6-DEHYDRATASE', NULL, NULL, NULL, 15),
(192789, NULL, 'PTHR13808:SF24', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192790, NULL, 'PTHR12015:SF149', NULL, NULL, NULL, NULL, 'REGAKINE-1', NULL, NULL, NULL, 15),
(192791, NULL, 'PTHR15742:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SOGA3', NULL, NULL, NULL, 15),
(192792, NULL, 'PTHR45752:SF35', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT-CONTAINING PROTEIN 30', NULL, NULL, NULL, 15),
(192793, NULL, 'PTHR42904:SF9', NULL, NULL, NULL, NULL, 'ADP-RIBOSE PYROPHOSPHATASE-RELATED', NULL, NULL, NULL, 15),
(192794, NULL, 'PTHR21700:SF48', NULL, NULL, NULL, NULL, 'TRANSTHYRETIN-RELATED FAMILY DOMAIN', NULL, NULL, NULL, 15),
(192795, NULL, 'PTHR13286:SF8', NULL, NULL, NULL, NULL, 'OS04G0166600 PROTEIN', NULL, NULL, NULL, 15),
(192796, NULL, 'PTHR27009:SF152', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192797, NULL, 'PTHR24333', NULL, NULL, NULL, NULL, 'HOMEO BOX HB9 LIKE A-RELATED', NULL, NULL, NULL, 15),
(192798, NULL, 'PTHR31589:SF144', NULL, NULL, NULL, NULL, 'BNACNNG59380D PROTEIN', NULL, NULL, NULL, 15),
(192799, NULL, 'PTHR16529:SF3', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED PROTEIN 101', NULL, NULL, NULL, 15),
(192800, NULL, 'PTHR24300:SF278', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 FAMILY', NULL, NULL, NULL, 15),
(192801, NULL, 'PTHR11475:SF60', NULL, NULL, NULL, NULL, 'THYROID PEROXIDASE', NULL, NULL, 26859, 15),
(192802, NULL, 'PTHR15294', NULL, NULL, NULL, NULL, 'RETINOVIN-RELATED', NULL, NULL, 34327, 15),
(192803, NULL, 'PTHR24326:SF599', NULL, NULL, NULL, NULL, 'BNAC06G12880D PROTEIN', NULL, NULL, NULL, 15),
(192804, NULL, 'PTHR33086:SF6', NULL, NULL, NULL, NULL, 'OS01G0245532 PROTEIN', NULL, NULL, NULL, 15),
(192805, NULL, 'PTHR31155:SF18', NULL, NULL, NULL, NULL, 'STEAROYL-[ACYL-CARRIER-PROTEIN] 9-DESATURASE 3, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(192806, NULL, 'PTHR43818:SF9', NULL, NULL, NULL, NULL, 'HYPOTHETICAL OXIDOREDUCTASE', NULL, NULL, NULL, 15),
(192807, NULL, 'PTHR24223:SF422', NULL, NULL, NULL, NULL, 'OS12G0562700 PROTEIN', NULL, NULL, NULL, 15),
(192808, NULL, 'PTHR23351:SF52', NULL, NULL, NULL, NULL, 'SI:CH211-153J24.3-RELATED', NULL, NULL, NULL, 15),
(192809, NULL, 'PTHR10048:SF110', NULL, NULL, NULL, NULL, 'BNAA06G03180D PROTEIN', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192810, NULL, 'PTHR23020:SF15', NULL, NULL, NULL, NULL, 'PROTEIN CBG21079', NULL, NULL, NULL, 15),
(192811, NULL, 'PTHR45752:SF94', NULL, NULL, NULL, NULL, 'BNAA03G53310D PROTEIN', NULL, NULL, NULL, 15),
(192812, NULL, 'PTHR24247:SF218', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192813, NULL, 'PTHR32370:SF30', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN SETH6', NULL, NULL, NULL, 15),
(192814, NULL, 'PTHR31662:SF10', NULL, NULL, NULL, NULL, 'OS02G0288200 PROTEIN', NULL, NULL, NULL, 15),
(192815, NULL, 'PTHR32009:SF50', NULL, NULL, NULL, NULL, 'RESISTANCE PROTEIN (TIR-NBS-LRR CLASS), PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(192816, NULL, 'PTHR43539:SF74', NULL, NULL, NULL, NULL, 'FLAVIN-CONTAINING MONOOXYGENASE', NULL, NULL, NULL, 15),
(192817, NULL, 'PTHR27009:SF147', NULL, NULL, NULL, NULL, 'OS05G0416701 PROTEIN', NULL, NULL, NULL, 15),
(192818, NULL, 'PTHR15564:SF10', NULL, NULL, NULL, NULL, 'BONE MORPHOGENETIC PROTEIN/RETINOIC ACID-INDUCIBLE NEURAL-SPECIFIC 3A, TANDEM DUPLICATE 1-RELATED', NULL, NULL, NULL, 15),
(192819, NULL, 'PTHR13140:SF697', NULL, NULL, NULL, NULL, 'OS03G0860700 PROTEIN', NULL, NULL, NULL, 15),
(192820, NULL, 'PTHR31722:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192821, NULL, 'PTHR31465:SF17', NULL, NULL, NULL, NULL, 'DOMAIN PROTEIN, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G09900)-RELATED', NULL, NULL, NULL, 15),
(192822, NULL, 'PTHR24055:SF419', NULL, NULL, NULL, NULL, 'KINASE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(192823, NULL, 'PTHR48019:SF22', NULL, NULL, NULL, NULL, 'AGAMOUS-LIKE MADS-BOX PROTEIN AGL8-LIKE PROTEIN', NULL, NULL, NULL, 15),
(192824, NULL, 'PTHR44083:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192825, NULL, 'PTHR22847:SF698', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 48', NULL, NULL, NULL, 15),
(192826, NULL, 'PTHR11206:SF383', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION', NULL, NULL, NULL, 15),
(192827, NULL, 'PTHR35104:SF14', NULL, NULL, NULL, NULL, 'BNAANNG27570D PROTEIN', NULL, NULL, NULL, 15),
(192828, NULL, 'PTHR10412:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(192829, NULL, 'PTHR23239:SF224', NULL, NULL, NULL, NULL, 'KERATIN, TYPE I CUTICULAR HA1-RELATED', NULL, NULL, NULL, 15),
(192830, NULL, 'PTHR32467:SF113', NULL, NULL, NULL, NULL, 'ETHYLENE-RESPONSIVE TRANSCRIPTION FACTOR RAP2-7-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(192831, NULL, 'PTHR24177:SF185', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192832, NULL, 'PTHR21244', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL 28S RIBOSOMAL PROTEIN S24', NULL, NULL, 23734, 15),
(192833, NULL, 'PTHR12281:SF20', NULL, NULL, NULL, NULL, 'DEFECTIVE IN CULLIN NEDDYLATION PROTEIN', NULL, NULL, NULL, 15),
(192834, NULL, 'PTHR35546:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192835, NULL, 'PTHR22803:SF123', NULL, NULL, NULL, NULL, 'REGENERATING ISLET-DERIVED PROTEIN 3-ALPHA', NULL, NULL, NULL, 15),
(192836, NULL, 'PTHR46132:SF1', NULL, NULL, NULL, NULL, 'DIGALACTOSYLDIACYLGLYCEROL SYNTHASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(192837, NULL, 'PTHR46565:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192838, NULL, 'PTHR14388:SF9', NULL, NULL, NULL, NULL, 'SH2 DOMAIN-CONTAINING PROTEIN 2A', NULL, NULL, NULL, 15),
(192839, NULL, 'PTHR30204:SF56', NULL, NULL, NULL, NULL, 'MERR-FAMILY TRANSCRIPTIONAL REGULATOR-RELATED', NULL, NULL, NULL, 15),
(192840, NULL, 'PTHR24349:SF353', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT PROTEIN KINASE 34', NULL, NULL, NULL, 15),
(192841, NULL, 'PTHR30485', NULL, NULL, NULL, NULL, 'NI/FE-HYDROGENASE 1 B-TYPE CYTOCHROME SUBUNIT', NULL, NULL, NULL, 15),
(192842, NULL, 'PTHR34670:SF12', NULL, NULL, NULL, NULL, 'BNACNNG03710D PROTEIN', NULL, NULL, NULL, 15),
(192843, NULL, 'PTHR31948:SF102', NULL, NULL, NULL, NULL, 'HOMEOBOX DOMAIN, ZF-HD CLASS PROTEIN', NULL, NULL, NULL, 15),
(192844, NULL, 'PTHR24253:SF48', NULL, NULL, NULL, NULL, 'FI06405P', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192845, NULL, 'PTHR10728:SF22', NULL, NULL, NULL, NULL, 'CYTOSOLIC PHOSPHOLIPASE A2 ZETA', NULL, NULL, NULL, 15),
(192846, NULL, 'PTHR11556:SF35', NULL, NULL, NULL, NULL, 'SEDOHEPTULOSE-1,7-BISPHOSPHATASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(192847, NULL, 'PTHR23226:SF292', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192848, NULL, 'PTHR42978:SF3', NULL, NULL, NULL, NULL, 'METALLO-HYDROLASE RV2300C-RELATED', NULL, NULL, NULL, 15),
(192849, NULL, 'PTHR46236:SF7', NULL, NULL, NULL, NULL, 'PROTEIN RESTRICTED TEV MOVEMENT 3', NULL, NULL, NULL, 15),
(192850, NULL, 'PTHR31501', NULL, NULL, NULL, NULL, 'CALCIUM RELEASE-ACTIVATED CALCIUM CHANNEL PROTEIN 1', NULL, NULL, 14769, 15),
(192851, NULL, 'PTHR31158:SF9', NULL, NULL, NULL, NULL, 'DUAL OXIDASE MATURATION FACTOR 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(192852, NULL, 'PTHR35296:SF5', NULL, NULL, NULL, NULL, 'BNAA05G08690D PROTEIN', NULL, NULL, NULL, 15),
(192853, NULL, 'PTHR10153:SF41', NULL, NULL, NULL, NULL, 'INTERMEDIATE CONDUCTANCE CALCIUM-ACTIVATED POTASSIUM CHANNEL PROTEIN 4', NULL, NULL, NULL, 15),
(192854, NULL, 'PTHR46442:SF9', NULL, NULL, NULL, NULL, 'DIRIGENT PROTEIN', NULL, NULL, NULL, 15),
(192855, NULL, 'PTHR11119:SF110', NULL, NULL, NULL, NULL, 'BNAA09G06270D PROTEIN', NULL, NULL, NULL, 15),
(192856, NULL, 'PTHR12941:SF10', NULL, NULL, NULL, NULL, 'ER MEMBRANE PROTEIN COMPLEX SUBUNIT 8/9 HOMOLOG', NULL, NULL, NULL, 15),
(192857, NULL, 'PTHR22941:SF167', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(192858, NULL, 'PTHR12411:SF760', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192859, NULL, 'PTHR12137', NULL, NULL, NULL, NULL, 'CARBOHYDRATE SULFOTRANSFERASE', NULL, NULL, 13030, 15),
(192860, NULL, 'PTHR31707:SF271', NULL, NULL, NULL, NULL, 'PECTINESTERASE/PECTINESTERASE INHIBITOR 64-RELATED', NULL, NULL, NULL, 15),
(192861, NULL, 'PTHR45834:SF8', NULL, NULL, NULL, NULL, 'RHO GUANINE NUCLEOTIDE EXCHANGE FACTOR 4', NULL, NULL, NULL, 15),
(192862, NULL, 'PTHR47150:SF1', NULL, NULL, NULL, NULL, 'OS12G0169200 PROTEIN', NULL, NULL, NULL, 15),
(192863, NULL, 'PTHR24273:SF31', NULL, NULL, NULL, NULL, 'FI04643P-RELATED', NULL, NULL, NULL, 15),
(192864, NULL, 'PTHR24296:SF76', NULL, NULL, NULL, NULL, 'OS01G0183600 PROTEIN', NULL, NULL, NULL, 15),
(192865, NULL, 'PTHR10168:SF72', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-C13', NULL, NULL, NULL, 15),
(192866, NULL, 'PTHR33928:SF6', NULL, NULL, NULL, NULL, 'POLYGALACTURONASE QRT3-LIKE PROTEIN', NULL, NULL, NULL, 15),
(192867, NULL, 'PTHR38004:SF1', NULL, NULL, NULL, NULL, 'PROLINE-RICH PROTEIN 33', NULL, NULL, NULL, 15),
(192868, NULL, 'PTHR31235:SF344', NULL, NULL, NULL, NULL, 'BNAANNG11280D PROTEIN', NULL, NULL, NULL, 15),
(192869, NULL, 'PTHR42938:SF7', NULL, NULL, NULL, NULL, 'ERYTHRONATE-4-PHOSPHATE DEHYDROGENASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192870, NULL, 'PTHR43126:SF1', NULL, NULL, NULL, NULL, 'D-ALANYL-D-ALANINE DIPEPTIDASE', NULL, NULL, NULL, 15),
(192871, NULL, 'PTHR32338', NULL, NULL, NULL, NULL, 'N-ACETYL-GAMMA-GLUTAMYL-PHOSPHATE REDUCTASE, CHLOROPLASTIC-RELATED-RELATED', NULL, NULL, NULL, 15),
(192872, NULL, 'PTHR11654:SF364', NULL, NULL, NULL, NULL, 'OS11G0282800 PROTEIN', NULL, NULL, NULL, 15),
(192873, NULL, 'PTHR23429:SF16', NULL, NULL, NULL, NULL, 'GLUCOSE-6-PHOSPHATE 1-DEHYDROGENASE', NULL, NULL, NULL, 15),
(192874, NULL, 'PTHR10566:SF123', NULL, NULL, NULL, NULL, 'PROTEIN KINASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(192875, NULL, 'PTHR45974:SF132', NULL, NULL, NULL, NULL, 'OS05G0486100 PROTEIN', NULL, NULL, NULL, 15),
(192876, NULL, 'PTHR31580:SF29', NULL, NULL, NULL, NULL, 'FILAMENT-LIKE PLANT PROTEIN', NULL, NULL, NULL, 15),
(192877, NULL, 'PTHR10559', NULL, NULL, NULL, NULL, 'TRANSCOBALAMIN-1/GASTRIC INTRINSIC FACTOR', NULL, NULL, NULL, 15),
(192878, NULL, 'PTHR43172', NULL, NULL, NULL, NULL, 'ADENYLOSUCCINATE LYASE', NULL, NULL, NULL, 15),
(192879, NULL, 'PTHR33248:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192880, NULL, 'PTHR36837', NULL, NULL, NULL, NULL, 'POLY(3-HYDROXYALKANOATE) POLYMERASE SUBUNIT PHAC', NULL, NULL, NULL, 15);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192881, NULL, 'PTHR16029', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 34240, 15),
(192882, NULL, 'PTHR14038:SF4', NULL, NULL, NULL, NULL, 'PROTEIN PRRC2B', NULL, NULL, NULL, 15),
(192883, NULL, 'PTHR30523:SF6', NULL, NULL, NULL, NULL, 'PHOSPHOENOLPYRUVATE CARBOXYLASE 4', NULL, NULL, NULL, 15),
(192884, NULL, 'PTHR46001:SF3', NULL, NULL, NULL, NULL, 'PROTEIN STILL LIFE, ISOFORM SIF TYPE 1', NULL, NULL, NULL, 15),
(192885, NULL, 'PTHR21163', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, 9181, 15),
(192886, NULL, 'PTHR21499:SF61', NULL, NULL, NULL, NULL, 'ASPARTOKINASE-RELATED', NULL, NULL, NULL, 15),
(192887, NULL, 'PTHR46269:SF3', NULL, NULL, NULL, NULL, 'EPIPHYCAN', NULL, NULL, 27901, 15),
(192888, NULL, 'PTHR11063:SF25', NULL, NULL, NULL, NULL, 'DELTA-1-PYRROLINE-5-CARBOXYLATE SYNTHASE', NULL, NULL, NULL, 15),
(192889, NULL, 'PTHR24055:SF470', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN KINASE', NULL, NULL, NULL, 15),
(192890, NULL, 'PTHR45667:SF21', NULL, NULL, NULL, NULL, 'S-ADENOSYLMETHIONINE CARRIER 1, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(192891, NULL, 'PTHR11932:SF138', NULL, NULL, NULL, NULL, 'CULLIN-1-RELATED', NULL, NULL, NULL, 15),
(192892, NULL, 'PTHR31992:SF210', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192893, NULL, 'PTHR34451:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192894, NULL, 'PTHR14248:SF32', NULL, NULL, NULL, NULL, 'CYCLIN-Y-LIKE PROTEIN 1-RELATED', NULL, NULL, NULL, 15),
(192895, NULL, 'PTHR14387', NULL, NULL, NULL, NULL, 'THADA/DEATH RECEPTOR INTERACTING PROTEIN', NULL, NULL, NULL, 15),
(192896, NULL, 'PTHR34722:SF6', NULL, NULL, NULL, NULL, 'HOMOLOG OF ODR-2 (TWO)', NULL, NULL, NULL, 15),
(192897, NULL, 'PTHR10857:SF6', NULL, NULL, NULL, NULL, 'COPINE-7', NULL, NULL, NULL, 15),
(192898, NULL, 'PTHR23267:SF6', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR ALPHA VARIABLE 14/DELTA VARIABLE 4', NULL, NULL, NULL, 15),
(192899, NULL, 'PTHR22952:SF423', NULL, NULL, NULL, NULL, 'ABSCISIC ACID-INSENSITIVE 5-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(192900, NULL, 'PTHR16019:SF5', NULL, NULL, NULL, NULL, 'BSD DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(192901, NULL, 'PTHR43349:SF52', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192902, NULL, 'PTHR20929', NULL, NULL, NULL, NULL, 'LUNG ADENOMA SUSCEPTIBILITY 1-RELATED', NULL, NULL, 15810, 15),
(192903, NULL, 'PTHR48049:SF81', NULL, NULL, NULL, NULL, 'UDP-GLUCOSYL TRANSFERASE 73B2-RELATED', NULL, NULL, NULL, 15),
(192904, NULL, 'PTHR21540:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192905, NULL, 'PTHR22952:SF103', NULL, NULL, NULL, NULL, 'BZIP TRANSCRIPTION FACTOR 23', NULL, NULL, NULL, 15),
(192906, NULL, 'PTHR37466', NULL, NULL, NULL, NULL, 'SLR1628 PROTEIN', NULL, NULL, 17796, 15),
(192907, NULL, 'PTHR45994:SF1', NULL, NULL, NULL, NULL, 'FI21225P1', NULL, NULL, NULL, 15),
(192908, NULL, 'PTHR34133:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192909, NULL, 'PTHR46354:SF21', NULL, NULL, NULL, NULL, 'BNAC03G62790D PROTEIN', NULL, NULL, NULL, 15),
(192910, NULL, 'PTHR14089:SF2', NULL, NULL, NULL, NULL, 'TESTIS-EXPRESSED GENE 16', NULL, NULL, 32365, 15),
(192911, NULL, 'PTHR11347:SF202', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192912, NULL, 'PTHR16148:SF15', NULL, NULL, NULL, NULL, 'NF-KAPPA-B-REPRESSING FACTOR', NULL, NULL, NULL, 15),
(192913, NULL, 'PTHR33470:SF21', NULL, NULL, NULL, NULL, 'NON-CLASSICAL ARABINOGALACTAN PROTEIN 31', NULL, NULL, NULL, 15),
(192914, NULL, 'PTHR23236:SF83', NULL, NULL, NULL, NULL, 'BNAC04G56660D PROTEIN', NULL, NULL, NULL, 15),
(192915, NULL, 'PTHR47332', NULL, NULL, NULL, NULL, 'SET DOMAIN-CONTAINING PROTEIN 5', NULL, NULL, NULL, 15),
(192916, NULL, 'PTHR15508:SF4', NULL, NULL, NULL, NULL, 'RIBOSOMAL PROTEIN S6 KINASE-LIKE 1', NULL, NULL, 10645, 15),
(192917, NULL, 'PTHR12103:SF19', NULL, NULL, NULL, NULL, '5''-NUCLEOTIDASE DOMAIN-CONTAINING 2', NULL, NULL, NULL, 15);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192918, NULL, 'PTHR18945:SF774', NULL, NULL, NULL, NULL, 'LIGAND-GATED ION CHANNEL', NULL, NULL, NULL, 15),
(192919, NULL, 'PTHR46142:SF13', NULL, NULL, NULL, NULL, 'OS04G0538900 PROTEIN', NULL, NULL, NULL, 15),
(192920, NULL, 'PTHR24206:SF57', NULL, NULL, NULL, NULL, 'LIM DOMAIN AND ACTIN-BINDING PROTEIN 1', NULL, NULL, 29261, 15),
(192921, NULL, 'PTHR42850', NULL, NULL, NULL, NULL, 'METALLOPHOSPHOESTERASE', NULL, NULL, NULL, 15),
(192922, NULL, 'PTHR13914:SF0', NULL, NULL, NULL, NULL, 'HYDROXYPROLINE DEHYDROGENASE', NULL, NULL, NULL, 15),
(192923, NULL, 'PTHR11062:SF280', NULL, NULL, NULL, NULL, 'EXOSTOSIN-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(192924, NULL, 'PTHR15140:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192925, NULL, 'PTHR32285:SF280', NULL, NULL, NULL, NULL, 'BNAA09G27070D PROTEIN', NULL, NULL, NULL, 15),
(192926, NULL, 'PTHR42886:SF40', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(192927, NULL, 'PTHR23083:SF475', NULL, NULL, NULL, NULL, 'TETRATRICOPEPTIDE REPEAT PROTEIN 7A', NULL, NULL, 28865, 15),
(192928, NULL, 'PTHR24023:SF1002', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192929, NULL, 'PTHR23232:SF69', NULL, NULL, NULL, NULL, 'KRAB DOMAIN-CONTAINING PROTEIN ZNF747', NULL, NULL, NULL, 15),
(192930, NULL, 'PTHR10015:SF331', NULL, NULL, NULL, NULL, 'HEAT STRESS TRANSCRIPTION FACTOR C-2B', NULL, NULL, NULL, 15),
(192931, NULL, 'PTHR20875:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192932, NULL, 'PTHR31662:SF68', NULL, NULL, NULL, NULL, 'BNACNNG38830D PROTEIN', NULL, NULL, NULL, 15),
(192933, NULL, 'PTHR32468:SF19', NULL, NULL, NULL, NULL, 'OS09G0545000 PROTEIN', NULL, NULL, NULL, 15),
(192934, NULL, 'PTHR45080:SF15', NULL, NULL, NULL, NULL, 'NEURAL CELL ADHESION MOLECULE L1', NULL, NULL, NULL, 15),
(192935, NULL, 'PTHR13800', NULL, NULL, NULL, NULL, 'TRANSIENT RECEPTOR POTENTIAL CATION CHANNEL, SUBFAMILY M, MEMBER 6', NULL, NULL, NULL, 15),
(192936, NULL, 'PTHR32009:SF69', NULL, NULL, NULL, NULL, 'TOLL/INTERLEUKIN-1 RECEPTOR (TIR) DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(192937, NULL, 'PTHR23316:SF55', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192938, NULL, 'PTHR12263:SF10', NULL, NULL, NULL, NULL, 'OSJNBA0015K02.15 PROTEIN', NULL, NULL, NULL, 15),
(192939, NULL, 'PTHR38831', NULL, NULL, NULL, NULL, 'TYPE II SECRETION SYSTEM PROTEIN K', NULL, NULL, 2841, 15),
(192940, NULL, 'PTHR34956', NULL, NULL, NULL, NULL, 'OS05G0397300 PROTEIN', NULL, NULL, NULL, 15),
(192941, NULL, 'PTHR31752:SF65', NULL, NULL, NULL, NULL, 'AUXIN EFFLUX CARRIER COMPONENT', NULL, NULL, NULL, 15),
(192942, NULL, 'PTHR33797', NULL, NULL, NULL, NULL, 'ORGANIC HYDROPEROXIDE RESISTANCE PROTEIN-LIKE', NULL, NULL, 18165, 15),
(192943, NULL, 'PTHR15615:SF93', NULL, NULL, NULL, NULL, 'CYCLIN', NULL, NULL, NULL, 15),
(192944, NULL, 'PTHR23285:SF3', NULL, NULL, NULL, NULL, 'RNA-BINDING PROTEIN MEX3D', NULL, NULL, NULL, 15),
(192945, NULL, 'PTHR48044:SF52', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(192946, NULL, 'PTHR27007:SF273', NULL, NULL, NULL, NULL, 'L-TYPE LECTIN-DOMAIN CONTAINING RECEPTOR KINASE I.3-RELATED', NULL, NULL, NULL, 15),
(192947, NULL, 'PTHR46072:SF6', NULL, NULL, NULL, NULL, 'AMIDASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_1G14530)-RELATED', NULL, NULL, NULL, 15),
(192948, NULL, 'PTHR11132:SF308', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192949, NULL, 'PTHR46325:SF4', NULL, NULL, NULL, NULL, 'CRIB DOMAIN-CONTAINING PROTEIN RIC7-LIKE', NULL, NULL, NULL, 15),
(192950, NULL, 'PTHR33753:SF6', NULL, NULL, NULL, NULL, '1,4-BETA-D-GLUCAN CELLOBIOHYDROLASE A-RELATED', NULL, NULL, NULL, 15),
(192951, NULL, 'PTHR24209:SF7', NULL, NULL, NULL, NULL, 'PROTEIN DA1-RELATED 2', NULL, NULL, NULL, 15),
(192952, NULL, 'PTHR23291', NULL, NULL, NULL, NULL, 'BAX INHIBITOR-RELATED', NULL, NULL, 11238, 15),
(192953, NULL, 'PTHR38926:SF34', NULL, NULL, NULL, NULL, 'BNAA02G05800D PROTEIN', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192954, NULL, 'PTHR23423:SF78', NULL, NULL, NULL, NULL, 'ORGANIC SOLUTE TRANSPORTER SUBUNIT ALPHA-RELATED', NULL, NULL, NULL, 15),
(192955, NULL, 'PTHR48017:SF163', NULL, NULL, NULL, NULL, 'LYSINE HISTIDINE TRANSPORTER-LIKE 8', NULL, NULL, NULL, 15),
(192956, NULL, 'PTHR46347:SF4', NULL, NULL, NULL, NULL, 'RING/FYVE/PHD ZINC FINGER SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(192957, NULL, 'PTHR20968:SF2', NULL, NULL, NULL, NULL, 'INSULIN-LIKE PEPTIDE INSL5', NULL, NULL, NULL, 15),
(192958, NULL, 'PTHR31839:SF27', NULL, NULL, NULL, NULL, 'DEHYDRATION-RESPONSIVE ELEMENT-BINDING PROTEIN 1E', NULL, NULL, NULL, 15),
(192959, NULL, 'PTHR21569:SF19', NULL, NULL, NULL, NULL, '30S RIBOSOMAL PROTEIN S9, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(192960, NULL, 'PTHR47536:SF1', NULL, NULL, NULL, NULL, 'C-TYPE LECTIN DOMAIN FAMILY 5 MEMBER A', NULL, NULL, NULL, 15),
(192961, NULL, 'PTHR10782:SF12', NULL, NULL, NULL, NULL, 'E3 SUMO-PROTEIN LIGASE PIAS2', NULL, NULL, 23922, 15),
(192962, NULL, 'PTHR37535', NULL, NULL, NULL, NULL, 'FLUG DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(192963, NULL, 'PTHR31225:SF118', NULL, NULL, NULL, NULL, '(E)-BETA-FARNESENE SYNTHASE', NULL, NULL, NULL, 15),
(192964, NULL, 'PTHR28680:SF1', NULL, NULL, NULL, NULL, 'CENTROMERE PROTEIN X', NULL, NULL, NULL, 15),
(192965, NULL, 'PTHR15312:SF1', NULL, NULL, NULL, NULL, 'PROTEIN TYROSINE PHOSPHATASE RECEPTOR TYPE C-ASSOCIATED PROTEIN', NULL, NULL, NULL, 15),
(192966, NULL, 'PTHR31251:SF1', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 9', NULL, NULL, NULL, 15),
(192967, NULL, 'PTHR43214:SF17', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL REGULATORY PROTEIN RCSB', NULL, NULL, NULL, 15),
(192968, NULL, 'PTHR46863:SF2', NULL, NULL, NULL, NULL, 'OS09G0572100 PROTEIN', NULL, NULL, NULL, 15),
(192969, NULL, 'PTHR22760:SF4', NULL, NULL, NULL, NULL, 'GPI MANNOSYLTRANSFERASE 3', NULL, NULL, 36068, 15),
(192970, NULL, 'PTHR11042:SF165', NULL, NULL, NULL, NULL, 'PROTEIN CBG10316', NULL, NULL, NULL, 15),
(192971, NULL, 'PTHR36789:SF1', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(192972, NULL, 'PTHR24221:SF498', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER B FAMILY MEMBER 16-RELATED', NULL, NULL, NULL, 15),
(192973, NULL, 'PTHR11769', NULL, NULL, NULL, NULL, 'HYALURONIDASE', NULL, NULL, 13775, 15),
(192974, NULL, 'PTHR20930:SF4', NULL, NULL, NULL, NULL, 'NBR1 AUTOPHAGY CARGO RECEPTOR A', NULL, NULL, NULL, 15),
(192975, NULL, 'PTHR19211:SF99', NULL, NULL, NULL, NULL, 'ATPASE COMPONENT OF ABC TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(192976, NULL, 'PTHR31437', NULL, NULL, NULL, NULL, 'SREK1IP1 FAMILY MEMBER', NULL, NULL, NULL, 15),
(192977, NULL, 'PTHR37249:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192978, NULL, 'PTHR27003:SF376', NULL, NULL, NULL, NULL, 'MITOGEN-ACTIVATED PROTEIN (MAP) KINASE KINASE KINASE, MLK1/MLK2/MLK4-RELATED', NULL, NULL, NULL, 15),
(192979, NULL, 'PTHR46674:SF1', NULL, NULL, NULL, NULL, 'INACTIVE PEPTIDYL-PROLYL CIS-TRANS ISOMERASE FKBP6', NULL, NULL, NULL, 15),
(192980, NULL, 'PTHR31301:SF159', NULL, NULL, NULL, NULL, 'OS08G0517100 PROTEIN', NULL, NULL, NULL, 15),
(192981, NULL, 'PTHR11157:SF106', NULL, NULL, NULL, NULL, 'ELONGATION OF FATTY ACIDS PROTEIN', NULL, NULL, NULL, 15),
(192982, NULL, 'PTHR32285:SF225', NULL, NULL, NULL, NULL, 'PMR5/CAS1P GDSL/SGNH-LIKE ACYL-ESTERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(192983, NULL, 'PTHR24024:SF37', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192984, NULL, 'PTHR48106:SF7', NULL, NULL, NULL, NULL, 'DEHYDROGENASE, ZINC-CONTAINING, PUTATIVE (AFU_ORTHOLOGUE AFUA_5G10220)-RELATED', NULL, NULL, NULL, 15),
(192985, NULL, 'PTHR48014:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192986, NULL, 'PTHR11599:SF13', NULL, NULL, NULL, NULL, 'PROTEASOME SUBUNIT ALPHA TYPE-4', NULL, NULL, 19031, 15),
(192987, NULL, 'PTHR33544:SF3', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L36', NULL, NULL, NULL, 15),
(192988, NULL, 'PTHR10887:SF471', NULL, NULL, NULL, NULL, 'P-LOOP CONTAINING NUCLEOSIDE TRIPHOSPHATE HYDROLASES SUPERFAMILY PROTEIN-RELATED', NULL, NULL, NULL, 15);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(192989, NULL, 'PTHR11360:SF258', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192990, NULL, 'PTHR12505', NULL, NULL, NULL, NULL, 'PHD FINGER TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(192991, NULL, 'PTHR31300:SF9', NULL, NULL, NULL, NULL, 'SPINDLE ASSEMBLY ABNORMAL PROTEIN (DUF620)', NULL, NULL, NULL, 15),
(192992, NULL, 'PTHR44272:SF3', NULL, NULL, NULL, NULL, 'DNAJ DOMAIN (PROKARYOTIC HEAT SHOCK PROTEIN)', NULL, NULL, NULL, 15),
(192993, NULL, 'PTHR47991:SF8', NULL, NULL, NULL, NULL, 'BNAA06G11480D PROTEIN', NULL, NULL, NULL, 15),
(192994, NULL, 'PTHR45024:SF2', NULL, NULL, NULL, NULL, 'DEHYDROGENASES, SHORT CHAIN', NULL, NULL, NULL, 15),
(192995, NULL, 'PTHR24356:SF350', NULL, NULL, NULL, NULL, 'OS07G0138100 PROTEIN', NULL, NULL, NULL, 15),
(192996, NULL, 'PTHR10887:SF435', NULL, NULL, NULL, NULL, 'OS02G0684150 PROTEIN', NULL, NULL, NULL, 15),
(192997, NULL, 'PTHR34303:SF3', NULL, NULL, NULL, NULL, 'OS09G0372600 PROTEIN', NULL, NULL, NULL, 15),
(192998, NULL, 'PTHR24343:SF477', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(192999, NULL, 'PTHR11969:SF68', NULL, NULL, NULL, NULL, 'BNAC06G24170D PROTEIN', NULL, NULL, NULL, 15),
(193000, NULL, 'PTHR21407', NULL, NULL, NULL, NULL, 'RE43931P-RELATED', NULL, NULL, NULL, 15),
(193001, NULL, 'PTHR33074:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193002, NULL, 'PTHR11318', NULL, NULL, NULL, NULL, 'GUANYLIN FAMILY MEMBER', NULL, NULL, 4888, 15),
(193003, NULL, 'PTHR24173:SF1', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 33B', NULL, NULL, NULL, 15),
(193004, NULL, 'PTHR31048:SF150', NULL, NULL, NULL, NULL, 'THAUMATIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(193005, NULL, 'PTHR16186', NULL, NULL, NULL, NULL, 'SIGNAL-TRANSDUCING ADAPTOR PROTEIN-RELATED', NULL, NULL, 30604, 15),
(193006, NULL, 'PTHR48050:SF3', NULL, NULL, NULL, NULL, 'STEROL 3-BETA-GLUCOSYLTRANSFERASE-RELATED', NULL, NULL, NULL, 15),
(193007, NULL, 'PTHR13254', NULL, NULL, NULL, NULL, 'GOLGI AUTOANTIGEN, GOLGIN SUBFAMILY A, 7', NULL, NULL, NULL, 15),
(193008, NULL, 'PTHR27004:SF389', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE PROTEIN 2', NULL, NULL, NULL, 15),
(193009, NULL, 'PTHR47325:SF1', NULL, NULL, NULL, NULL, 'HISTONE-LYSINE N-METHYLTRANSFERASE SUVR5', NULL, NULL, NULL, 15),
(193010, NULL, 'PTHR24006:SF826', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE', NULL, NULL, NULL, 15),
(193011, NULL, 'PTHR43823:SF3', NULL, NULL, NULL, NULL, 'SPORULATION PROTEIN YKVU', NULL, NULL, NULL, 15),
(193012, NULL, 'PTHR31218:SF265', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(193013, NULL, 'PTHR15926:SF1', NULL, NULL, NULL, NULL, 'ALL-TRANS RETINOIC ACID-INDUCED DIFFERENTIATION FACTOR', NULL, NULL, NULL, 15),
(193014, NULL, 'PTHR11064:SF98', NULL, NULL, NULL, NULL, 'NUCLEAR TRANSCRIPTION FACTOR Y SUBUNIT B-11', NULL, NULL, NULL, 15),
(193015, NULL, 'PTHR21705:SF10', NULL, NULL, NULL, NULL, 'PROTEIN FAM160B1', NULL, NULL, NULL, 15),
(193016, NULL, 'PTHR46646:SF6', NULL, NULL, NULL, NULL, 'BNAA10G04150D PROTEIN', NULL, NULL, NULL, 15),
(193017, NULL, 'PTHR33142:SF45', NULL, NULL, NULL, NULL, 'CYCLIN-DEPENDENT PROTEIN KINASE INHIBITOR SMR2', NULL, NULL, NULL, 15),
(193018, NULL, 'PTHR13283:SF11', NULL, NULL, NULL, NULL, 'KREV INTERACTION TRAPPED PROTEIN 1', NULL, NULL, NULL, 15),
(193019, NULL, 'PTHR23204', NULL, NULL, NULL, NULL, 'CLEAVAGE AND POLYADENYLATION SPECIFIC FACTOR', NULL, NULL, 33118, 15),
(193020, NULL, 'PTHR17613:SF9', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE AND COILED-COIL DOMAINS PROTEIN 2', NULL, NULL, NULL, 15),
(193021, NULL, 'PTHR30472:SF2', NULL, NULL, NULL, NULL, 'FE(3+) DICITRATE TRANSPORT SYSTEM PERMEASE PROTEIN FECD', NULL, NULL, NULL, 15),
(193022, NULL, 'PTHR11028:SF0', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE SUBUNIT D 1', NULL, NULL, NULL, 15),
(193023, NULL, 'PTHR31852:SF192', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN', NULL, NULL, NULL, 15),
(193024, NULL, 'PTHR12121:SF85', NULL, NULL, NULL, NULL, 'CARBON CATABOLITE REPRESSOR PROTEIN 4 HOMOLOG 6', NULL, NULL, NULL, 15);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193025, NULL, 'PTHR10795:SF335', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE PROTEASE SBT1.8', NULL, NULL, NULL, 15),
(193026, NULL, 'PTHR15852:SF62', NULL, NULL, NULL, NULL, 'BNAA04G20410D PROTEIN', NULL, NULL, NULL, 15),
(193027, NULL, 'PTHR31942:SF81', NULL, NULL, NULL, NULL, 'MLO-LIKE PROTEIN', NULL, NULL, NULL, 15),
(193028, NULL, 'PTHR11852:SF4', NULL, NULL, NULL, NULL, 'LITTLE ELONGATION COMPLEX SUBUNIT 1', NULL, NULL, NULL, 15),
(193029, NULL, 'PTHR23010:SF1', NULL, NULL, NULL, NULL, 'MIDNOLIN', NULL, NULL, NULL, 15),
(193030, NULL, 'PTHR12305:SF91', NULL, NULL, NULL, NULL, 'BNAA01G26130D PROTEIN', NULL, NULL, NULL, 15),
(193031, NULL, 'PTHR14096:SF57', NULL, NULL, NULL, NULL, 'SI:CH73-233K15.2', NULL, NULL, NULL, 15),
(193032, NULL, 'PTHR13131:SF8', NULL, NULL, NULL, NULL, 'CYSTINOSIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(193033, NULL, 'PTHR19317:SF80', NULL, NULL, NULL, NULL, 'PRA1 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(193034, NULL, 'PTHR32227:SF86', NULL, NULL, NULL, NULL, 'OS01G0947000 PROTEIN', NULL, NULL, NULL, 15),
(193035, NULL, 'PTHR10641:SF1099', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB34-LIKE', NULL, NULL, NULL, 15),
(193036, NULL, 'PTHR11524:SF42', NULL, NULL, NULL, NULL, 'BNAA02G27070D PROTEIN', NULL, NULL, NULL, 15),
(193037, NULL, 'PTHR15416:SF5', NULL, NULL, NULL, NULL, 'CAMP-DEPENDENT PROTEIN KINASE INHIBITOR GAMMA', NULL, NULL, NULL, 15),
(193038, NULL, 'PTHR47706:SF2', NULL, NULL, NULL, NULL, 'ISOFLAVONE REDUCTASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_2G05290)', NULL, NULL, NULL, 15),
(193039, NULL, 'PTHR42715:SF11', NULL, NULL, NULL, NULL, 'BETA-GLUCOSIDASE F-RELATED', NULL, NULL, NULL, 15),
(193040, NULL, 'PTHR34133:SF12', NULL, NULL, NULL, NULL, 'BNAC04G31620D PROTEIN', NULL, NULL, NULL, 15),
(193041, NULL, 'PTHR43539:SF30', NULL, NULL, NULL, NULL, 'OS11G0207700 PROTEIN', NULL, NULL, NULL, 15),
(193042, NULL, 'PTHR23031', NULL, NULL, NULL, NULL, 'RHOPHILIN', NULL, NULL, NULL, 15),
(193043, NULL, 'PTHR11911:SF127', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193044, NULL, 'PTHR22739:SF20', NULL, NULL, NULL, NULL, 'ACTIN-BINDING RHO-ACTIVATING PROTEIN', NULL, NULL, NULL, 15),
(193045, NULL, 'PTHR31739:SF17', NULL, NULL, NULL, NULL, 'ENT-SANDARACOPIMARA-8(14),15-DIENE SYNTHASE', NULL, NULL, NULL, 15),
(193046, NULL, 'PTHR43918:SF2', NULL, NULL, NULL, NULL, 'CARBOXYLIC ESTER HYDROLASE', NULL, NULL, NULL, 15),
(193047, NULL, 'PTHR31568:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193048, NULL, 'PTHR26454:SF22', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(193049, NULL, 'PTHR11046:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193050, NULL, 'PTHR33789:SF11', NULL, NULL, NULL, NULL, 'OS05G0202300 PROTEIN', NULL, NULL, NULL, 15),
(193051, NULL, 'PTHR43873', NULL, NULL, NULL, NULL, 'COBYRINATE A,C-DIAMIDE SYNTHASE', NULL, NULL, 1470, 15),
(193052, NULL, 'PTHR23339:SF103', NULL, NULL, NULL, NULL, 'DUAL SPECIFICITY PROTEIN PHOSPHATASE DSP8-RELATED', NULL, NULL, NULL, 15),
(193053, NULL, 'PTHR46052:SF1', NULL, NULL, NULL, NULL, 'PHOSDUCIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(193054, NULL, 'PTHR31362', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE STELLO1-RELATED', NULL, NULL, 2358, 15),
(193055, NULL, 'PTHR32100:SF53', NULL, NULL, NULL, NULL, 'FATTY ACID DESATURASE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(193056, NULL, 'PTHR10774:SF200', NULL, NULL, NULL, NULL, 'BNAA08G31160D PROTEIN', NULL, NULL, NULL, 15),
(193057, NULL, 'PTHR21277:SF33', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL COACTIVATOR HFI1/TRANSCRIPTIONAL ADAPTER 1-RELATED', NULL, NULL, NULL, 15),
(193058, NULL, 'PTHR23121', NULL, NULL, NULL, NULL, 'SODIUM-DEPENDENT GLUCOSE TRANSPORTER 1', NULL, NULL, NULL, 15),
(193059, NULL, 'PTHR46285:SF4', NULL, NULL, NULL, NULL, 'BNAC02G09150D PROTEIN', NULL, NULL, NULL, 15),
(193060, NULL, 'PTHR33964:SF1', NULL, NULL, NULL, NULL, 'SALIVARY GLAND PEPTIDE, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(193061, NULL, 'PTHR11017:SF306', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193062, NULL, 'PTHR43774', NULL, NULL, NULL, NULL, 'PEPTIDE METHIONINE SULFOXIDE REDUCTASE', NULL, NULL, NULL, 15),
(193063, NULL, 'PTHR31549:SF14', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(193064, NULL, 'PTHR31221:SF204', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR 4-RELATED', NULL, NULL, NULL, 15),
(193065, NULL, 'PTHR34689:SF1', NULL, NULL, NULL, NULL, 'NUCLEIC ACID-BINDING PROTEIN', NULL, NULL, NULL, 15),
(193066, NULL, 'PTHR13930:SF0', NULL, NULL, NULL, NULL, 'S-ADENOSYL-L-METHIONINE-DEPENDENT TRNA 4-DEMETHYLWYOSINE SYNTHASE', NULL, NULL, NULL, 15),
(193067, NULL, 'PTHR23355:SF30', NULL, NULL, NULL, NULL, 'DIS3-LIKE EXONUCLEASE 1', NULL, NULL, 26466, 15),
(193068, NULL, 'PTHR10795:SF695', NULL, NULL, NULL, NULL, 'SUBTILISIN-LIKE SERINE ENDOPEPTIDASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(193069, NULL, 'PTHR10334:SF489', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH SECRETORY PROTEIN, ALLERGEN V5/TPX-1-RELATED PROTEIN-RELATED', NULL, NULL, NULL, 15),
(193070, NULL, 'PTHR24064:SF471', NULL, NULL, NULL, NULL, 'ORGANIC CATION/CARNITINE TRANSPORTER 7-LIKE', NULL, NULL, NULL, 15),
(193071, NULL, 'PTHR33110:SF31', NULL, NULL, NULL, NULL, 'DOMAIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(193072, NULL, 'PTHR43439', NULL, NULL, NULL, NULL, 'PHENYLACETATE-COENZYME A LIGASE', NULL, NULL, NULL, 15),
(193073, NULL, 'PTHR31330:SF1', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP C', NULL, NULL, NULL, 15),
(193074, NULL, 'PTHR36916:SF3', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN', NULL, NULL, NULL, 15),
(193075, NULL, 'PTHR11206:SF359', NULL, NULL, NULL, NULL, 'PROTEIN DETOXIFICATION 35', NULL, NULL, NULL, 15),
(193076, NULL, 'PTHR13516', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P SUBUNIT P25', NULL, NULL, NULL, 15),
(193077, NULL, 'PTHR30349:SF57', NULL, NULL, NULL, NULL, 'INTEGRASE/RECOMBINASE', NULL, NULL, NULL, 15),
(193078, NULL, 'PTHR37210:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193079, NULL, 'PTHR47048:SF1', NULL, NULL, NULL, NULL, 'PROTEIN SCAF11', NULL, NULL, NULL, 15),
(193080, NULL, 'PTHR46995:SF5', NULL, NULL, NULL, NULL, 'POLLEN OLE E 1 ALLERGEN AND EXTENSIN FAMILY PROTEIN', NULL, NULL, NULL, 15),
(193081, NULL, 'PTHR48001:SF29', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR-LIKE PROTEIN DTMT', NULL, NULL, NULL, 15),
(193082, NULL, 'PTHR31713:SF62', NULL, NULL, NULL, NULL, 'CALMODULIN-BINDING PROTEIN', NULL, NULL, NULL, 15),
(193083, NULL, 'PTHR24393:SF34', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 438', NULL, NULL, NULL, 15),
(193084, NULL, 'PTHR48071', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193085, NULL, 'PTHR33992', NULL, NULL, NULL, NULL, 'RIBONUCLEASE P PROTEIN COMPONENT', NULL, NULL, 3920, 15),
(193086, NULL, 'PTHR33021:SF391', NULL, NULL, NULL, NULL, 'BNAA06G33970D PROTEIN', NULL, NULL, NULL, 15),
(193087, NULL, 'PTHR33711:SF9', NULL, NULL, NULL, NULL, 'PROTOCATECHUATE 3,4-DIOXYGENASE ALPHA CHAIN', NULL, NULL, NULL, 15),
(193088, NULL, 'PTHR35990:SF1', NULL, NULL, NULL, NULL, 'GAG1AT PROTEIN', NULL, NULL, NULL, 15),
(193089, NULL, 'PTHR45719:SF8', NULL, NULL, NULL, NULL, 'BETA-GLUCURONOSYLTRANSFERASE GLCAT14C', NULL, NULL, NULL, 15),
(193090, NULL, 'PTHR24012:SF816', NULL, NULL, NULL, NULL, 'POLYADENYLATE-BINDING PROTEIN', NULL, NULL, NULL, 15),
(193091, NULL, 'PTHR24115:SF863', NULL, NULL, NULL, NULL, 'KINESIN MOTOR CATALYTIC DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(193092, NULL, 'PTHR12850:SF24', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S25-1', NULL, NULL, NULL, 15),
(193093, NULL, 'PTHR34438:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193094, NULL, 'PTHR34264:SF3', NULL, NULL, NULL, NULL, 'ATP SYNTHASE SUBUNIT B, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(193095, NULL, 'PTHR46736:SF24', NULL, NULL, NULL, NULL, 'RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(193096, NULL, 'PTHR46075:SF1', NULL, NULL, NULL, NULL, 'N-CHIMAERIN', NULL, NULL, NULL, 15),
(193097, NULL, 'PTHR13355', NULL, NULL, NULL, NULL, 'GLUCOSAMINE 6-PHOSPHATE N-ACETYLTRANSFERASE', NULL, NULL, 31884, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193098, NULL, 'PTHR13939', NULL, NULL, NULL, NULL, 'NICOTINAMIDE-NUCLEOTIDE AMIDOHYDROLASE PNCC', NULL, NULL, NULL, 15),
(193099, NULL, 'PTHR37296:SF1', NULL, NULL, NULL, NULL, 'CONSERVED VIRULENCE FACTOR B', NULL, NULL, NULL, 15),
(193100, NULL, 'PTHR24349:SF186', NULL, NULL, NULL, NULL, 'CDPK-RELATED KINASE 4', NULL, NULL, NULL, 15),
(193101, NULL, 'PTHR47162:SF4', NULL, NULL, NULL, NULL, 'BROMODOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(193102, NULL, 'PTHR23208:SF39', NULL, NULL, NULL, NULL, 'GH FAMILY 25 LYSOZYME 3-RELATED', NULL, NULL, NULL, 15),
(193103, NULL, 'PTHR42971', NULL, NULL, NULL, NULL, 'TRNA (CYTIDINE(34)-2''-O)-METHYLTRANSFERASE', NULL, NULL, 17390, 15),
(193104, NULL, 'PTHR12411:SF783', NULL, NULL, NULL, NULL, 'CYSTEINE PROTEASE RD19C-RELATED', NULL, NULL, NULL, 15),
(193105, NULL, 'PTHR31485:SF23', NULL, NULL, NULL, NULL, 'BNAC09G43590D PROTEIN', NULL, NULL, NULL, 15),
(193106, NULL, 'PTHR36938', NULL, NULL, NULL, NULL, 'PROTEIN CBG26935', NULL, NULL, NULL, 15),
(193107, NULL, 'PTHR10177:SF396', NULL, NULL, NULL, NULL, 'G2/MITOTIC-SPECIFIC CYCLIN S13-6', NULL, NULL, NULL, 15),
(193108, NULL, 'PTHR31731:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193109, NULL, 'PTHR24351:SF221', NULL, NULL, NULL, NULL, 'NON-SPECIFIC SERINE/THREONINE PROTEIN KINASE', NULL, NULL, NULL, 15),
(193110, NULL, 'PTHR19918:SF49', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193111, NULL, 'PTHR22761:SF54', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 60.1', NULL, NULL, NULL, 15),
(193112, NULL, 'PTHR27009:SF207', NULL, NULL, NULL, NULL, 'GLYCEROPHOSPHODIESTER PHOSPHODIESTERASE PROTEIN KINASE DOMAIN-CONTAINING GDPDL2', NULL, NULL, NULL, 15),
(193113, NULL, 'PTHR10502:SF193', NULL, NULL, NULL, NULL, 'ANNEXIN D8', NULL, NULL, NULL, 15),
(193114, NULL, 'PTHR23167:SF28', NULL, NULL, NULL, NULL, 'CALMIN', NULL, NULL, NULL, 15),
(193115, NULL, 'PTHR22941:SF279', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(193116, NULL, 'PTHR18887', NULL, NULL, NULL, NULL, 'GOLGI-ASSOCIATED PROTEIN GCP360-RELATED', NULL, NULL, 26789, 15),
(193117, NULL, 'PTHR33232:SF9', NULL, NULL, NULL, NULL, 'PROTEIN SIEVE ELEMENT OCCLUSION B', NULL, NULL, NULL, 15),
(193118, NULL, 'PTHR30461:SF19', NULL, NULL, NULL, NULL, 'RESOLVASE-RELATED', NULL, NULL, NULL, 15),
(193119, NULL, 'PTHR47327:SF3', NULL, NULL, NULL, NULL, 'NOMPA HOMOLOG (DROSOPHILA NOMPA: NO MECHANORECEPTOR POTENTIAL A)', NULL, NULL, NULL, 15),
(193120, NULL, 'PTHR45642:SF117', NULL, NULL, NULL, NULL, 'GDSL-LIKE LIPASE/ACYLHYDROLASE', NULL, NULL, NULL, 15),
(193121, NULL, 'PTHR23262:SF186', NULL, NULL, NULL, NULL, 'KRTAP1-1 PROTEIN', NULL, NULL, NULL, 15),
(193122, NULL, 'PTHR34106:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193123, NULL, 'PTHR39337', NULL, NULL, NULL, NULL, 'BLR5642 PROTEIN', NULL, NULL, NULL, 15),
(193124, NULL, 'PTHR47985:SF16', NULL, NULL, NULL, NULL, 'OS01G0936100 PROTEIN', NULL, NULL, NULL, 15),
(193125, NULL, 'PTHR23192:SF72', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193126, NULL, 'PTHR24248:SF154', NULL, NULL, NULL, NULL, 'D(3) DOPAMINE RECEPTOR', NULL, NULL, NULL, 15),
(193127, NULL, 'PTHR42982:SF5', NULL, NULL, NULL, NULL, 'SEC-INDEPENDENT PROTEIN TRANSLOCASE PROTEIN TATE', NULL, NULL, NULL, 15),
(193128, NULL, 'PTHR37012', NULL, NULL, NULL, NULL, 'B-ZIP TRANSCRIPTION FACTOR (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(193129, NULL, 'PTHR31388:SF217', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(193130, NULL, 'PTHR43422:SF10', NULL, NULL, NULL, NULL, 'THIAMINE THIAZOLE SYNTHASE, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(193131, NULL, 'PTHR48007:SF44', NULL, NULL, NULL, NULL, 'POLLEN RECEPTOR-LIKE KINASE 3', NULL, NULL, NULL, 15),
(193132, NULL, 'PTHR21481:SF4', NULL, NULL, NULL, NULL, 'PROTEIN TRANSPARENT TESTA 9', NULL, NULL, NULL, 15),
(193133, NULL, 'PTHR31307:SF6', NULL, NULL, NULL, NULL, 'OS01G0718900 PROTEIN', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193134, NULL, 'PTHR19343:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193135, NULL, 'PTHR34269:SF2', NULL, NULL, NULL, NULL, 'BNAC03G29690D PROTEIN', NULL, NULL, NULL, 15),
(193136, NULL, 'PTHR11909:SF100', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE VRK2', NULL, NULL, NULL, 15),
(193137, NULL, 'PTHR10342:SF264', NULL, NULL, NULL, NULL, 'MIP05773P', NULL, NULL, NULL, 15),
(193138, NULL, 'PTHR48085:SF3', NULL, NULL, NULL, NULL, 'HEAVY METAL ATPASE TRANSPORTER', NULL, NULL, NULL, 15),
(193139, NULL, 'PTHR31992:SF131', NULL, NULL, NULL, NULL, 'DOF DOMAIN ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(193140, NULL, 'PTHR11787:SF3', NULL, NULL, NULL, NULL, 'RAB GDP DISSOCIATION INHIBITOR ALPHA', NULL, NULL, NULL, 15),
(193141, NULL, 'PTHR31080:SF177', NULL, NULL, NULL, NULL, 'BNAC01G34810D PROTEIN', NULL, NULL, NULL, 15),
(193142, NULL, 'PTHR35169', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193143, NULL, 'PTHR24343:SF7', NULL, NULL, NULL, NULL, 'SPERM MOTILITY KINASE 1-RELATED', NULL, NULL, NULL, 15),
(193144, NULL, 'PTHR30237:SF3', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE VC_A0337-RELATED', NULL, NULL, NULL, 15),
(193145, NULL, 'PTHR32208:SF91', NULL, NULL, NULL, NULL, 'BNAA02G04330D PROTEIN', NULL, NULL, NULL, 15),
(193146, NULL, 'PTHR37169', NULL, NULL, NULL, NULL, 'CRISPR SYSTEM ENDORIBONUCLEASE CSX1-RELATED', NULL, NULL, NULL, 15),
(193147, NULL, 'PTHR23236:SF82', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193148, NULL, 'PTHR10209:SF746', NULL, NULL, NULL, NULL, 'BNAA01G36310D PROTEIN', NULL, NULL, NULL, 15),
(193149, NULL, 'PTHR36782:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193150, NULL, 'PTHR10791:SF168', NULL, NULL, NULL, NULL, 'BIDIRECTIONAL SUGAR TRANSPORTER SWEET', NULL, NULL, NULL, 15),
(193151, NULL, 'PTHR45786:SF35', NULL, NULL, NULL, NULL, 'BNAA10G10480D PROTEIN', NULL, NULL, NULL, 15),
(193152, NULL, 'PTHR24261:SF2', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN(A)-RELATED', NULL, NULL, NULL, 15),
(193153, NULL, 'PTHR33623:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193154, NULL, 'PTHR35154:SF1', NULL, NULL, NULL, NULL, 'PROTO-ONCOGENE FRAT1', NULL, NULL, NULL, 15),
(193155, NULL, 'PTHR33172:SF15', NULL, NULL, NULL, NULL, 'OS08G0458200 PROTEIN', NULL, NULL, NULL, 15),
(193156, NULL, 'PTHR47985:SF61', NULL, NULL, NULL, NULL, 'BNAC03G35060D PROTEIN', NULL, NULL, NULL, 15),
(193157, NULL, 'PTHR24376', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(193158, NULL, 'PTHR46128:SF234', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193159, NULL, 'PTHR19443:SF73', NULL, NULL, NULL, NULL, 'PHOSPHOTRANSFERASE', NULL, NULL, NULL, 15),
(193160, NULL, 'PTHR38140:SF5', NULL, NULL, NULL, NULL, 'KERATIN-ASSOCIATED PROTEIN 19-3-RELATED', NULL, NULL, NULL, 15),
(193161, NULL, 'PTHR14928:SF11', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193162, NULL, 'PTHR13182:SF21', NULL, NULL, NULL, NULL, 'CYTOPLASMIC 60S SUBUNIT BIOGENESIS FACTOR REI1', NULL, NULL, NULL, 15),
(193163, NULL, 'PTHR18063:SF6', NULL, NULL, NULL, NULL, 'UBIQUITIN CARBOXYL-TERMINAL HYDROLASE MIY1', NULL, NULL, NULL, 15),
(193164, NULL, 'PTHR32246:SF20', NULL, NULL, NULL, NULL, 'CALCIUM-DEPENDENT LIPID-BINDING (CALB DOMAIN) FAMILY PROTEIN', NULL, NULL, NULL, 15),
(193165, NULL, 'PTHR27006:SF125', NULL, NULL, NULL, NULL, 'LEUCINE-RICH REPEAT RECEPTOR-LIKE SERINE/THREONINE/TYROSINE-PROTEIN KINASE SOBIR1', NULL, NULL, NULL, 15),
(193166, NULL, 'PTHR47974:SF9', NULL, NULL, NULL, NULL, 'OS07G0415500 PROTEIN', NULL, NULL, NULL, 15),
(193167, NULL, 'PTHR45757:SF29', NULL, NULL, NULL, NULL, 'PROTEIN CBG09596', NULL, NULL, NULL, 15),
(193168, NULL, 'PTHR33091:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193169, NULL, 'PTHR48048:SF22', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(193170, NULL, 'PTHR33936:SF17', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193171, NULL, 'PTHR48017:SF98', NULL, NULL, NULL, NULL, 'AUXIN TRANSPORTER-LIKE PROTEIN 2 ISOFORM X1', NULL, NULL, NULL, 15),
(193172, NULL, 'PTHR15822:SF21', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193173, NULL, 'PTHR45786', NULL, NULL, NULL, NULL, 'DNA BINDING PROTEIN-LIKE', NULL, NULL, NULL, 15),
(193174, NULL, 'PTHR11426:SF234', NULL, NULL, NULL, NULL, 'CENTROMERIC HISTONE 3', NULL, NULL, NULL, 15),
(193175, NULL, 'PTHR43112:SF20', NULL, NULL, NULL, NULL, 'FERREDOXIN', NULL, NULL, NULL, 15),
(193176, NULL, 'PTHR23273:SF77', NULL, NULL, NULL, NULL, 'BNAC04G32120D PROTEIN', NULL, NULL, NULL, 15),
(193177, NULL, 'PTHR24281:SF28', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193178, NULL, 'PTHR31562:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG18972', NULL, NULL, NULL, 15),
(193179, NULL, 'PTHR35178:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG01935', NULL, NULL, NULL, 15),
(193180, NULL, 'PTHR47127:SF1', NULL, NULL, NULL, NULL, '10A19I.15', NULL, NULL, NULL, 15),
(193181, NULL, 'PTHR10185', NULL, NULL, NULL, NULL, 'PHOSPHOLIPASE D - RELATED', NULL, NULL, NULL, 15),
(193182, NULL, 'PTHR24134:SF14', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 40-LIKE', NULL, NULL, NULL, 15),
(193183, NULL, 'PTHR12755:SF3', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDE 5''-HYDROXYL-KINASE NOL9', NULL, NULL, NULL, 15),
(193184, NULL, 'PTHR10807:SF76', NULL, NULL, NULL, NULL, 'LD28822P', NULL, NULL, NULL, 15),
(193185, NULL, 'PTHR24404:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193186, NULL, 'PTHR33935:SF1', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(193187, NULL, 'PTHR43689:SF43', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193188, NULL, 'PTHR12701:SF20', NULL, NULL, NULL, NULL, 'B-CELL RECEPTOR-ASSOCIATED-LIKE PROTEIN', NULL, NULL, NULL, 15),
(193189, NULL, 'PTHR16565:SF2', NULL, NULL, NULL, NULL, 'APOLIPOPROTEIN C-I', NULL, NULL, NULL, 15),
(193190, NULL, 'PTHR13703:SF45', NULL, NULL, NULL, NULL, 'MOTHERS AGAINST DECAPENTAPLEGIC HOMOLOG 4', NULL, NULL, NULL, 15),
(193191, NULL, 'PTHR13017', NULL, NULL, NULL, NULL, '5-FORMYLTETRAHYDROFOLATE CYCLO-LIGASE-RELATED', NULL, NULL, 3941, 15),
(193192, NULL, 'PTHR15021', NULL, NULL, NULL, NULL, 'DISCONNECTED-RELATED', NULL, NULL, 34916, 15),
(193193, NULL, 'PTHR35174', NULL, NULL, NULL, NULL, 'BLL7171 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(193194, NULL, 'PTHR46168:SF18', NULL, NULL, NULL, NULL, 'ARMADILLO-TYPE FOLD PROTEIN-RELATED', NULL, NULL, NULL, 15),
(193195, NULL, 'PTHR31662:SF45', NULL, NULL, NULL, NULL, 'OS02G0768700 PROTEIN', NULL, NULL, NULL, 15),
(193196, NULL, 'PTHR43096:SF22', NULL, NULL, NULL, NULL, 'MOLECULAR CHAPERONE HSP40/DNAJ FAMILY PROTEIN', NULL, NULL, NULL, 15),
(193197, NULL, 'PTHR33428:SF10', NULL, NULL, NULL, NULL, 'CHLOROPHYLLASE-1', NULL, NULL, NULL, 15),
(193198, NULL, 'PTHR32227:SF363', NULL, NULL, NULL, NULL, 'GLYCOSIDE HYDROLASE FAMILY 17-RELATED', NULL, NULL, NULL, 15),
(193199, NULL, 'PTHR12224:SF4', NULL, NULL, NULL, NULL, 'BETA-1,4-N-ACETYLGLUCOSAMINYLTRANSFERASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(193200, NULL, 'PTHR10572:SF14', NULL, NULL, NULL, NULL, '3-HYDROXY-3-METHYLGLUTARYL-COENZYME A REDUCTASE 1', NULL, NULL, NULL, 15),
(193201, NULL, 'PTHR34500', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(193202, NULL, 'PTHR11731:SF192', NULL, NULL, NULL, NULL, 'IP17501P', NULL, NULL, NULL, 15),
(193203, NULL, 'PTHR22829:SF6', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 3,4,5-TRISPHOSPHATE-DEPENDENT RAC EXCHANGER 1 PROTEIN', NULL, NULL, NULL, 15),
(193204, NULL, 'PTHR24168:SF0', NULL, NULL, NULL, NULL, 'KN MOTIF AND ANKYRIN REPEAT DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(193205, NULL, 'PTHR13720', NULL, NULL, NULL, NULL, 'WD-40 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(193206, NULL, 'PTHR19443:SF14', NULL, NULL, NULL, NULL, 'HEXOKINASE-9', NULL, NULL, NULL, 15),
(193207, NULL, 'PTHR36324:SF5', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193208, NULL, 'PTHR31221:SF187', NULL, NULL, NULL, NULL, 'WRKY TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(193209, NULL, 'PTHR34966:SF1', NULL, NULL, NULL, NULL, 'OSJNBA0043L24.15 PROTEIN', NULL, NULL, NULL, 15),
(193210, NULL, 'PTHR11486:SF63', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR', NULL, NULL, NULL, 15),
(193211, NULL, 'PTHR43114', NULL, NULL, NULL, NULL, 'ADENINE DEAMINASE', NULL, NULL, 4849, 15),
(193212, NULL, 'PTHR26451:SF403', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR', NULL, NULL, NULL, 15),
(193213, NULL, 'PTHR46837:SF8', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193214, NULL, 'PTHR11958:SF99', NULL, NULL, NULL, NULL, 'AMINO ACID TRANSPORTER', NULL, NULL, NULL, 15),
(193215, NULL, 'PTHR35375', NULL, NULL, NULL, NULL, 'NEMATODE SPECIFIC PEPTIDE FAMILY, GROUP D', NULL, NULL, 12422, 15),
(193216, NULL, 'PTHR45906:SF5', NULL, NULL, NULL, NULL, 'ALPHA-N-ACETYLGALACTOSAMINIDE ALPHA-2,6-SIALYLTRANSFERASE 5', NULL, NULL, NULL, 15),
(193217, NULL, 'PTHR10366:SF732', NULL, NULL, NULL, NULL, 'BNAA06G37880D PROTEIN', NULL, NULL, NULL, 15),
(193218, NULL, 'PTHR11486:SF86', NULL, NULL, NULL, NULL, 'FIBROBLAST GROWTH FACTOR 1', NULL, NULL, 22432, 15),
(193219, NULL, 'PTHR33478', NULL, NULL, NULL, NULL, 'EXTRACELLULAR METALLOPROTEINASE MEP', NULL, NULL, NULL, 15),
(193220, NULL, 'PTHR43199:SF6', NULL, NULL, NULL, NULL, 'GAMMA-GLUTAMYLTRANSPEPTIDASE', NULL, NULL, NULL, 15),
(193221, NULL, 'PTHR12565:SF395', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR BHLH63-LIKE', NULL, NULL, NULL, 15),
(193222, NULL, 'PTHR10613:SF0', NULL, NULL, NULL, NULL, 'LEUKOCYTE SURFACE ANTIGEN CD47', NULL, NULL, NULL, 15),
(193223, NULL, 'PTHR22957:SF195', NULL, NULL, NULL, NULL, 'TBC1 DOMAIN FAMILY MEMBER 4', NULL, NULL, NULL, 15),
(193224, NULL, 'PTHR32285:SF22', NULL, NULL, NULL, NULL, 'PROTEIN TRICHOME BIREFRINGENCE', NULL, NULL, 25159, 15),
(193225, NULL, 'PTHR21634:SF11', NULL, NULL, NULL, NULL, 'FOLLICULIN-INTERACTING PROTEIN 2', NULL, NULL, NULL, 15),
(193226, NULL, 'PTHR45923:SF8', NULL, NULL, NULL, NULL, 'PROTEIN ROOT HAIR DEFECTIVE 3 HOMOLOG 2', NULL, NULL, NULL, 15),
(193227, NULL, 'PTHR24412:SF456', NULL, NULL, NULL, NULL, 'INFLUENZA VIRUS NS1A (A) BINDING PROTEIN HOMOLOG', NULL, NULL, NULL, 15),
(193228, NULL, 'PTHR47808:SF2', NULL, NULL, NULL, NULL, 'INNER NUCLEAR MEMBRANE PROTEIN HEH2-RELATED', NULL, NULL, NULL, 15),
(193229, NULL, 'PTHR35157', NULL, NULL, NULL, NULL, 'PROTEIN FAM209A', NULL, NULL, 26420, 15),
(193230, NULL, 'PTHR33463:SF72', NULL, NULL, NULL, NULL, 'NB-ARC-RELATED', NULL, NULL, NULL, 15),
(193231, NULL, 'PTHR31080:SF66', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(193232, NULL, 'PTHR33083:SF55', NULL, NULL, NULL, NULL, 'OS07G0512250 PROTEIN', NULL, NULL, NULL, 15),
(193233, NULL, 'PTHR13832:SF749', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 9-RELATED', NULL, NULL, NULL, 15),
(193234, NULL, 'PTHR24282:SF190', NULL, NULL, NULL, NULL, 'CYTOCHROME P450', NULL, NULL, NULL, 15),
(193235, NULL, 'PTHR10424:SF48', NULL, NULL, NULL, NULL, 'SYNCYTIN-1', NULL, NULL, NULL, 15),
(193236, NULL, 'PTHR24269:SF21', NULL, NULL, NULL, NULL, 'CELL WALL INTEGRITY AND STRESS RESPONSE COMPONENT 3', NULL, NULL, NULL, 15),
(193237, NULL, 'PTHR11132:SF239', NULL, NULL, NULL, NULL, 'RETICULON-LIKE PROTEIN', NULL, NULL, NULL, 15),
(193238, NULL, 'PTHR31086:SF17', NULL, NULL, NULL, NULL, 'OS01G0221600 PROTEIN', NULL, NULL, NULL, 15),
(193239, NULL, 'PTHR10593:SF179', NULL, NULL, NULL, NULL, 'BNAA06G34340D PROTEIN', NULL, NULL, NULL, 15),
(193240, NULL, 'PTHR31506:SF34', NULL, NULL, NULL, NULL, 'BZR1-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(193241, NULL, 'PTHR12548:SF4', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR DP-1', NULL, NULL, 24028, 15),
(193242, NULL, 'PTHR48001:SF142', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 7A17', NULL, NULL, NULL, 15),
(193243, NULL, 'PTHR12533:SF7', NULL, NULL, NULL, NULL, 'NFAT NUCLEAR FACTOR, ISOFORM B', NULL, NULL, NULL, 15),
(193244, NULL, 'PTHR11905:SF13', NULL, NULL, NULL, NULL, 'DISINTEGRIN AND METALLOPROTEINASE DOMAIN-CONTAINING PROTEIN 23', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193245, NULL, 'PTHR47859', NULL, NULL, NULL, NULL, 'PENTATRICOPEPTIDE REPEAT-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(193246, NULL, 'PTHR36530:SF1', NULL, NULL, NULL, NULL, 'INHIBITOR OF CYSTEINE PEPTIDASE', NULL, NULL, NULL, 15),
(193247, NULL, 'PTHR31992:SF190', NULL, NULL, NULL, NULL, 'ZINC FINGER, DOF-TYPE-RELATED', NULL, NULL, NULL, 15),
(193248, NULL, 'PTHR23155:SF1124', NULL, NULL, NULL, NULL, 'OS11G0481150 PROTEIN', NULL, NULL, NULL, 15),
(193249, NULL, 'PTHR31385:SF9', NULL, NULL, NULL, NULL, 'BNACNNG35460D PROTEIN', NULL, NULL, NULL, 15),
(193250, NULL, 'PTHR47712:SF2', NULL, NULL, NULL, NULL, 'F-BOX DOMAIN, GALACTOSE OXIDASE, BETA-PROPELLER-RELATED', NULL, NULL, NULL, 15),
(193251, NULL, 'PTHR14465:SF0', NULL, NULL, NULL, NULL, 'IQ DOMAIN-CONTAINING PROTEIN H', NULL, NULL, NULL, 15),
(193252, NULL, 'PTHR13462:SF51', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193253, NULL, 'PTHR21450:SF30', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193254, NULL, 'PTHR21683', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(193255, NULL, 'PTHR23084:SF179', NULL, NULL, NULL, NULL, 'OS10G0565000 PROTEIN', NULL, NULL, NULL, 15),
(193256, NULL, 'PTHR45778:SF15', NULL, NULL, NULL, NULL, 'PURPLE ACID PHOSPHATASE', NULL, NULL, NULL, 15),
(193257, NULL, 'PTHR31235', NULL, NULL, NULL, NULL, 'PEROXIDASE 25-RELATED', NULL, NULL, 4545, 15),
(193258, NULL, 'PTHR32378:SF14', NULL, NULL, NULL, NULL, 'G-PROTEIN GAMMA-LIKE DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(193259, NULL, 'PTHR47928:SF98', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193260, NULL, 'PTHR14359:SF18', NULL, NULL, NULL, NULL, 'DIHYDROMETHANOPTERIN REDUCTASE (ACCEPTOR)', NULL, NULL, NULL, 15),
(193261, NULL, 'PTHR14402:SF10', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(193262, NULL, 'PTHR30191:SF0', NULL, NULL, NULL, NULL, 'AUTONOMOUS GLYCYL RADICAL COFACTOR-RELATED', NULL, NULL, NULL, 15),
(193263, NULL, 'PTHR16092', NULL, NULL, NULL, NULL, 'SEC3/SYNTAXIN-RELATED', NULL, NULL, NULL, 15),
(193264, NULL, 'PTHR10519:SF20', NULL, NULL, NULL, NULL, 'METABOTROPIC GABA-B RECEPTOR SUBTYPE 2, ISOFORM C', NULL, NULL, NULL, 15),
(193265, NULL, 'PTHR45730:SF32', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN JAGGED', NULL, NULL, 24655, 15),
(193266, NULL, 'PTHR24346:SF44', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193267, NULL, 'PTHR38909:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193268, NULL, 'PTHR31280:SF26', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193269, NULL, 'PTHR12277:SF177', NULL, NULL, NULL, NULL, 'ESTERASE/LIPASE/THIOESTERASE', NULL, NULL, NULL, 15),
(193270, NULL, 'PTHR24377:SF821', NULL, NULL, NULL, NULL, 'MYONEURIN', NULL, NULL, NULL, 15),
(193271, NULL, 'PTHR35828:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193272, NULL, 'PTHR28584:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM228B', NULL, NULL, NULL, 15),
(193273, NULL, 'PTHR31218:SF31', NULL, NULL, NULL, NULL, 'WAT1-RELATED PROTEIN', NULL, NULL, NULL, 15),
(193274, NULL, 'PTHR43327:SF10', NULL, NULL, NULL, NULL, 'STOMATIN-LIKE PROTEIN 2, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(193275, NULL, 'PTHR24062:SF160', NULL, NULL, NULL, NULL, 'VOMERONASAL TYPE-1 RECEPTOR', NULL, NULL, NULL, 15),
(193276, NULL, 'PTHR12560:SF42', NULL, NULL, NULL, NULL, '(LAG1) PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(193277, NULL, 'PTHR10015:SF374', NULL, NULL, NULL, NULL, 'BNAC03G44290D PROTEIN', NULL, NULL, NULL, 15),
(193278, NULL, 'PTHR36117:SF3', NULL, NULL, NULL, NULL, '4-HYDROXYPHENYLACETATE 3-MONOOXYGENASE-RELATED', NULL, NULL, NULL, 15),
(193279, NULL, 'PTHR35971:SF2', NULL, NULL, NULL, NULL, 'OBSCURIN, CYTOSKELETAL CALMODULIN AND TITIN-INTERACTING RHOGEF', NULL, NULL, NULL, 15),
(193280, NULL, 'PTHR45974:SF183', NULL, NULL, NULL, NULL, 'PHYTOSULFOKINE RECEPTOR 1', NULL, NULL, NULL, 15),
(193281, NULL, 'PTHR11875:SF130', NULL, NULL, NULL, NULL, 'NUCLEOSOME ASSEMBLY PROTEIN (NAP)-RELATED', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193282, NULL, 'PTHR24027:SF423', NULL, NULL, NULL, NULL, 'PROTOCADHERIN-16', NULL, NULL, NULL, 15),
(193283, NULL, 'PTHR10881:SF7', NULL, NULL, NULL, NULL, 'GOLGIN SUBFAMILY A MEMBER 8B', NULL, NULL, NULL, 15),
(193284, NULL, 'PTHR20851', NULL, NULL, NULL, NULL, 'DORSAL INTERACTING PROTEIN 3', NULL, NULL, NULL, 15),
(193285, NULL, 'PTHR46288:SF22', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193286, NULL, 'PTHR28620:SF10', NULL, NULL, NULL, NULL, 'MSS4-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(193287, NULL, 'PTHR40261:SF1', NULL, NULL, NULL, NULL, 'BLR1753 PROTEIN', NULL, NULL, NULL, 15),
(193288, NULL, 'PTHR33233:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193289, NULL, 'PTHR43818:SF2', NULL, NULL, NULL, NULL, 'GLUCOSE-FRUCTOSE OXIDOREDUCTASE DOMAIN-CONTAINING PROTEIN 1', NULL, NULL, NULL, 15),
(193290, NULL, 'PTHR46709:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG23207', NULL, NULL, NULL, 15),
(193291, NULL, 'PTHR10131:SF115', NULL, NULL, NULL, NULL, 'TNF RECEPTOR-ASSOCIATED FACTOR FAMILY PROTEIN DDB_G0267744-RELATED', NULL, NULL, NULL, 15),
(193292, NULL, 'PTHR42859:SF4', NULL, NULL, NULL, NULL, 'ELECTRON TRANSPORT PROTEIN YSAA-RELATED', NULL, NULL, NULL, 15),
(193293, NULL, 'PTHR24367:SF17', NULL, NULL, NULL, NULL, 'LEUCINE-RICH GLIOMA-INACTIVATED PROTEIN 1', NULL, NULL, NULL, 15),
(193294, NULL, 'PTHR46230:SF3', NULL, NULL, NULL, NULL, 'SUFE-LIKE PROTEIN 1, CHLOROPLASTIC/MITOCHONDRIAL', NULL, NULL, NULL, 15),
(193295, NULL, 'PTHR42706', NULL, NULL, NULL, NULL, 'FORMYLTETRAHYDROFOLATE DEFORMYLASE', NULL, NULL, 4383, 15),
(193296, NULL, 'PTHR37378:SF9', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193297, NULL, 'PTHR33463:SF74', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193298, NULL, 'PTHR31683:SF75', NULL, NULL, NULL, NULL, 'PECTATE LYASE', NULL, NULL, NULL, 15),
(193299, NULL, 'PTHR34373:SF11', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(193300, NULL, 'PTHR24418:SF197', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN KINASE FES/FPS', NULL, NULL, NULL, 15),
(193301, NULL, 'PTHR21660:SF29', NULL, NULL, NULL, NULL, 'PX DOMAIN PROTEIN (AFU_ORTHOLOGUE AFUA_2G07450)', NULL, NULL, NULL, 15),
(193302, NULL, 'PTHR11449:SF24', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L30-LIKE', NULL, NULL, NULL, 15),
(193303, NULL, 'PTHR45080:SF18', NULL, NULL, NULL, NULL, '2 (ZWEI) IG DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(193304, NULL, 'PTHR10782:SF82', NULL, NULL, NULL, NULL, 'ZINC FINGER, MIZ-TYPE, ZINC FINGER, RING/FYVE/PHD-TYPE, E3 SUMO PROTEIN LIGASE-RELATED', NULL, NULL, NULL, 15),
(193305, NULL, 'PTHR35394', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193306, NULL, 'PTHR43874:SF64', NULL, NULL, NULL, NULL, 'TWO-COMPONENT RESPONSE REGULATOR-LIKE PRR37', NULL, NULL, NULL, 15),
(193307, NULL, 'PTHR43418:SF11', NULL, NULL, NULL, NULL, 'ANTHRANILATE SYNTHASE BETA SUBUNIT 2, CHLOROPLASTIC-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(193308, NULL, 'PTHR16517:SF113', NULL, NULL, NULL, NULL, 'TUBBY-LIKE F-BOX PROTEIN', NULL, NULL, NULL, 15),
(193309, NULL, 'PTHR15141:SF76', NULL, NULL, NULL, NULL, 'TRANSCRIPTION ELONGATION FACTOR B POLYPEPTIDE 3', NULL, NULL, NULL, 15),
(193310, NULL, 'PTHR35144:SF1', NULL, NULL, NULL, NULL, 'PROTEIN PACG', NULL, NULL, NULL, 15),
(193311, NULL, 'PTHR46025:SF4', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193312, NULL, 'PTHR31674:SF33', NULL, NULL, NULL, NULL, 'B3 DOMAIN-CONTAINING PROTEIN REM-LIKE 1', NULL, NULL, NULL, 15),
(193313, NULL, 'PTHR31251:SF119', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 16', NULL, NULL, NULL, 15),
(193314, NULL, 'PTHR27006:SF316', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH RECEPTOR-LIKE PROTEIN KINASE 42', NULL, NULL, NULL, 15),
(193315, NULL, 'PTHR11627:SF64', NULL, NULL, NULL, NULL, 'FRUCTOSE-BISPHOSPHATE ALDOLASE 2, CHLOROPLASTIC', NULL, NULL, NULL, 15),
(193316, NULL, 'PTHR47199', NULL, NULL, NULL, NULL, 'PHOTOSYSTEM II STABILITY/ASSEMBLY FACTOR HCF136, CHLOROPLASTIC', NULL, NULL, NULL, 15);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193317, NULL, 'PTHR11771:SF159', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193318, NULL, 'PTHR23407:SF6', NULL, NULL, NULL, NULL, 'ATPASE INHIBITOR, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(193319, NULL, 'PTHR14237:SF62', NULL, NULL, NULL, NULL, 'MOLYBDENUM COFACTOR SULFURASE-LIKE ISOFORM X1', NULL, NULL, NULL, 15),
(193320, NULL, 'PTHR11467:SF116', NULL, NULL, NULL, NULL, 'HMG-Y-RELATED PROTEIN A-LIKE', NULL, NULL, NULL, 15),
(193321, NULL, 'PTHR10046:SF57', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT LON PROTEASE-RELATED', NULL, NULL, NULL, 15),
(193322, NULL, 'PTHR14942:SF2', NULL, NULL, NULL, NULL, 'UBIQUITIN-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(193323, NULL, 'PTHR31636:SF251', NULL, NULL, NULL, NULL, 'SCARECROW-LIKE PROTEIN 5', NULL, NULL, 25968, 15),
(193324, NULL, 'PTHR24144:SF5', NULL, NULL, NULL, NULL, 'POLY [ADP-RIBOSE] POLYMERASE', NULL, NULL, NULL, 15),
(193325, NULL, 'PTHR48054:SF1', NULL, NULL, NULL, NULL, 'PROTEIN NSP-INTERACTING KINASE 2-LIKE', NULL, NULL, NULL, 15),
(193326, NULL, 'PTHR15422:SF41', NULL, NULL, NULL, NULL, 'CYTOCHROME B561/FERRIC REDUCTASE TRANSMEMBRANE-RELATED', NULL, NULL, NULL, 15),
(193327, NULL, 'PTHR32410:SF191', NULL, NULL, NULL, NULL, 'C1 DOMAIN FAMILY PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(193328, NULL, 'PTHR15592:SF1', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 638', NULL, NULL, 30570, 15),
(193329, NULL, 'PTHR31902:SF12', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(193330, NULL, 'PTHR43142:SF6', NULL, NULL, NULL, NULL, 'PUTATIVE (AFU_ORTHOLOGUE AFUA_7G01710)-RELATED', NULL, NULL, NULL, 15),
(193331, NULL, 'PTHR11834:SF7', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ENHANCER FACTOR TEF-5', NULL, NULL, NULL, 15),
(193332, NULL, 'PTHR10358:SF34', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193333, NULL, 'PTHR21408:SF1', NULL, NULL, NULL, NULL, 'HOMEODOMAIN-ONLY PROTEIN', NULL, NULL, NULL, 15),
(193334, NULL, 'PTHR12411:SF763', NULL, NULL, NULL, NULL, 'PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(193335, NULL, 'PTHR47992:SF134', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE 2C 50 ISOFORM X1-RELATED', NULL, NULL, NULL, 15),
(193336, NULL, 'PTHR47984:SF2', NULL, NULL, NULL, NULL, 'RECEPTOR-LIKE KINASE PLANT', NULL, NULL, NULL, 15),
(193337, NULL, 'PTHR31989:SF270', NULL, NULL, NULL, NULL, 'BNAA08G06490D PROTEIN', NULL, NULL, NULL, 15),
(193338, NULL, 'PTHR36721:SF4', NULL, NULL, NULL, NULL, 'BNACNNG28470D PROTEIN', NULL, NULL, NULL, 15),
(193339, NULL, 'PTHR10809:SF45', NULL, NULL, NULL, NULL, 'VESICLE-ASSOCIATED PROTEIN 2-2', NULL, NULL, NULL, 15),
(193340, NULL, 'PTHR46119:SF19', NULL, NULL, NULL, NULL, 'PROTEIN SODIUM POTASSIUM ROOT DEFECTIVE 1', NULL, NULL, NULL, 15),
(193341, NULL, 'PTHR34538:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193342, NULL, 'PTHR22978', NULL, NULL, NULL, NULL, 'B-CELL TRANSLOCATION GENE', NULL, NULL, 29853, 15),
(193343, NULL, 'PTHR48111:SF51', NULL, NULL, NULL, NULL, 'TWO-COMPONENT SYSTEM REGULATORY PROTEIN', NULL, NULL, NULL, 15),
(193344, NULL, 'PTHR34481:SF10', NULL, NULL, NULL, NULL, 'CHYMOTRYPSIN INHIBITOR WCI', NULL, NULL, NULL, 15),
(193345, NULL, 'PTHR45763:SF21', NULL, NULL, NULL, NULL, 'ALPHA/BETA-HYDROLASES SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(193346, NULL, 'PTHR37528', NULL, NULL, NULL, NULL, 'UPF0149 PROTEIN YGFB', NULL, NULL, NULL, 15),
(193347, NULL, 'PTHR23236:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193348, NULL, 'PTHR11799:SF7', NULL, NULL, NULL, NULL, 'PON (PARAOXONASE) AND MEC-6 LIKE', NULL, NULL, NULL, 15),
(193349, NULL, 'PTHR22298:SF148', NULL, NULL, NULL, NULL, 'ENDOGLUCANASE', NULL, NULL, NULL, 15),
(193350, NULL, 'PTHR33985:SF30', NULL, NULL, NULL, NULL, 'FAS1 DOMAIN-CONTAINING PROTEIN-RELATED', NULL, NULL, NULL, 15),
(193351, NULL, 'PTHR45978:SF5', NULL, NULL, NULL, NULL, 'SPX DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(193352, NULL, 'PTHR36743:SF1', NULL, NULL, NULL, NULL, 'OS04G0495300 PROTEIN', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193353, NULL, 'PTHR34944:SF3', NULL, NULL, NULL, NULL, 'MITOCHONDRIAL IMPORT RECEPTOR SUBUNIT TOM7-1', NULL, NULL, NULL, 15),
(193354, NULL, 'PTHR31639:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193355, NULL, 'PTHR47283', NULL, NULL, NULL, NULL, 'ENT-KAURENE OXIDASE, CHLOROPLASTIC', NULL, NULL, 37141, 15),
(193356, NULL, 'PTHR31669:SF149', NULL, NULL, NULL, NULL, 'PROTEIN FAR1-RELATED SEQUENCE 12-RELATED', NULL, NULL, NULL, 15),
(193357, NULL, 'PTHR11820:SF86', NULL, NULL, NULL, NULL, 'FUMARYLACETOACETATE HYDROLASE FAMILY PROTEIN (AFU_ORTHOLOGUE AFUA_7G07000)', NULL, NULL, NULL, 15),
(193358, NULL, 'PTHR33558', NULL, NULL, NULL, NULL, 'GLUTAREDOXIN-LIKE PROTEIN C5ORF63 HOMOLOG', NULL, NULL, NULL, 15),
(193359, NULL, 'PTHR36293', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 213', NULL, NULL, 27118, 15),
(193360, NULL, 'PTHR47608:SF1', NULL, NULL, NULL, NULL, 'SERINE PROTEASE INHIBITOR KAZAL-TYPE 2', NULL, NULL, NULL, 15),
(193361, NULL, 'PTHR11461:SF50', NULL, NULL, NULL, NULL, 'NEUROSERPIN', NULL, NULL, NULL, 15),
(193362, NULL, 'PTHR31213:SF92', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN BET V I FAMILY PROTEIN', NULL, NULL, NULL, 15),
(193363, NULL, 'PTHR33724:SF1', NULL, NULL, NULL, NULL, 'INTRAFLAGELLAR TRANSPORT PROTEIN 43 HOMOLOG', NULL, NULL, NULL, 15),
(193364, NULL, 'PTHR43874:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193365, NULL, 'PTHR16656', NULL, NULL, NULL, NULL, 'ALPHA-S2-CASEIN-LIKE B', NULL, NULL, 11317, 15),
(193366, NULL, 'PTHR24184:SF17', NULL, NULL, NULL, NULL, 'ANKYRIN REPEAT PROTEIN YAHD-RELATED', NULL, NULL, NULL, 15),
(193367, NULL, 'PTHR47617:SF1', NULL, NULL, NULL, NULL, 'G-PROTEIN-SIGNALING MODULATOR 3', NULL, NULL, NULL, 15),
(193368, NULL, 'PTHR46371:SF26', NULL, NULL, NULL, NULL, 'BNAA06G35190D PROTEIN', NULL, NULL, NULL, 15),
(193369, NULL, 'PTHR24381:SF341', NULL, NULL, NULL, NULL, 'ZFP30 ZINC FINGER PROTEIN', NULL, NULL, NULL, 15),
(193370, NULL, 'PTHR46752', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR 39', NULL, NULL, NULL, 15),
(193371, NULL, 'PTHR21178:SF8', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 61', NULL, NULL, NULL, 15),
(193372, NULL, 'PTHR16089:SF19', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL-REGULATING FACTOR 1', NULL, NULL, NULL, 15),
(193373, NULL, 'PTHR19378', NULL, NULL, NULL, NULL, 'GOLGIN- RELATED', NULL, NULL, 25564, 15),
(193374, NULL, 'PTHR34104', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 254', NULL, NULL, 26133, 15),
(193375, NULL, 'PTHR27006:SF429', NULL, NULL, NULL, NULL, 'BNAC03G59390D PROTEIN', NULL, NULL, NULL, 15),
(193376, NULL, 'PTHR12113:SF10', NULL, NULL, NULL, NULL, 'DICKKOPF-RELATED PROTEIN 4', NULL, NULL, NULL, 15),
(193377, NULL, 'PTHR11564:SF5', NULL, NULL, NULL, NULL, 'SIGNAL RECOGNITION PARTICLE 54 KDA PROTEIN', NULL, NULL, NULL, 15),
(193378, NULL, 'PTHR33565:SF10', NULL, NULL, NULL, NULL, 'DORMANCY-ASSOCIATED PROTEIN HOMOLOG 2', NULL, NULL, NULL, 15),
(193379, NULL, 'PTHR13234:SF55', NULL, NULL, NULL, NULL, 'BNAA04G07200D PROTEIN', NULL, NULL, NULL, 15),
(193380, NULL, 'PTHR45923:SF2', NULL, NULL, NULL, NULL, 'PROTEIN SEY1', NULL, NULL, NULL, 15),
(193381, NULL, 'PTHR10876:SF5', NULL, NULL, NULL, NULL, 'ZPR1 ZINC-FINGER DOMAIN PROTEIN', NULL, NULL, NULL, 15),
(193382, NULL, 'PTHR47988:SF22', NULL, NULL, NULL, NULL, 'LRR RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE-RELATED', NULL, NULL, NULL, 15),
(193383, NULL, 'PTHR21662:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG01942', NULL, NULL, NULL, 15),
(193384, NULL, 'PTHR24281:SF68', NULL, NULL, NULL, NULL, 'CYTOCHROME', NULL, NULL, NULL, 15),
(193385, NULL, 'PTHR47938:SF18', NULL, NULL, NULL, NULL, 'OS10G0358700 PROTEIN', NULL, NULL, NULL, 15),
(193386, NULL, 'PTHR23155:SF937', NULL, NULL, NULL, NULL, 'OS08G0296700 PROTEIN', NULL, NULL, NULL, 15),
(193387, NULL, 'PTHR12266:SF22', NULL, NULL, NULL, NULL, 'SODIUM/CALCIUM EXCHANGER MEMBRANE REGION-RELATED', NULL, NULL, NULL, 15),
(193388, NULL, 'PTHR47155:SF2', NULL, NULL, NULL, NULL, 'DOWNSTREAM OF DAF-16 (REGULATED BY DAF-16)', NULL, NULL, NULL, 15);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193389, NULL, 'PTHR43670:SF69', NULL, NULL, NULL, NULL, 'INACTIVE PROTEIN RESTRICTED TEV MOVEMENT 2-LIKE', NULL, NULL, NULL, 15),
(193390, NULL, 'PTHR11662:SF429', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193391, NULL, 'PTHR24281:SF88', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193392, NULL, 'PTHR34501:SF5', NULL, NULL, NULL, NULL, 'OUTER MEMBRANE PORE PROTEIN E', NULL, NULL, NULL, 15),
(193393, NULL, 'PTHR12121:SF87', NULL, NULL, NULL, NULL, 'ENDONUCLEASE/EXONUCLEASE/PHOSPHATASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(193394, NULL, 'PTHR22851:SF2', NULL, NULL, NULL, NULL, 'NUCLEOTIDE BINDING', NULL, NULL, NULL, 15),
(193395, NULL, 'PTHR12598:SF0', NULL, NULL, NULL, NULL, 'COPPER HOMEOSTASIS PROTEIN CUTC HOMOLOG', NULL, NULL, NULL, 15),
(193396, NULL, 'PTHR48021:SF43', NULL, NULL, NULL, NULL, 'SUGAR TRANSPORTER ESL1', NULL, NULL, NULL, 15),
(193397, NULL, 'PTHR13547', NULL, NULL, NULL, NULL, 'UNCHARACTERIZED', NULL, NULL, NULL, 15),
(193398, NULL, 'PTHR11581:SF7', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S4, Y ISOFORM 2', NULL, NULL, NULL, 15),
(193399, NULL, 'PTHR37331:SF1', NULL, NULL, NULL, NULL, 'YALI0F11671P', NULL, NULL, NULL, 15),
(193400, NULL, 'PTHR15126:SF4', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-BINDING PROTEIN 2', NULL, NULL, NULL, 15),
(193401, NULL, 'PTHR19961:SF71', NULL, NULL, NULL, NULL, 'OS02G0588300 PROTEIN', NULL, NULL, NULL, 15),
(193402, NULL, 'PTHR11595:SF19', NULL, NULL, NULL, NULL, 'ELONGATION FACTOR 1-BETA/1-DELTA 2-RELATED', NULL, NULL, NULL, 15),
(193403, NULL, 'PTHR46448:SF2', NULL, NULL, NULL, NULL, 'PROTEIN KINASE DOMAIN-CONTAINING, CYTOPLASMIC HOMOLOG, GENE 1', NULL, NULL, NULL, 15),
(193404, NULL, 'PTHR36768:SF1', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT HELICASE/DEOXYRIBONUCLEASE SUBUNIT B', NULL, NULL, NULL, 15),
(193405, NULL, 'PTHR47855:SF6', NULL, NULL, NULL, NULL, 'OS01G0525701 PROTEIN', NULL, NULL, NULL, 15),
(193406, NULL, 'PTHR12997:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193407, NULL, 'PTHR16166:SF111', NULL, NULL, NULL, NULL, 'VACUOLAR PROTEIN SORTING-ASSOCIATED PROTEIN 13E-RELATED', NULL, NULL, NULL, 15),
(193408, NULL, 'PTHR46536:SF1', NULL, NULL, NULL, NULL, 'ARL14 EFFECTOR PROTEIN', NULL, NULL, NULL, 15),
(193409, NULL, 'PTHR31118', NULL, NULL, NULL, NULL, 'CYCLASE-LIKE PROTEIN 2', NULL, NULL, 5387, 15),
(193410, NULL, 'PTHR31279:SF4', NULL, NULL, NULL, NULL, 'PROTEIN EXORDIUM-LIKE 5', NULL, NULL, NULL, 15),
(193411, NULL, 'PTHR27002:SF836', NULL, NULL, NULL, NULL, 'GLYCOPROTEIN S6, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(193412, NULL, 'PTHR13848:SF63', NULL, NULL, NULL, NULL, 'PROTEIN YIPPEE-LIKE', NULL, NULL, NULL, 15),
(193413, NULL, 'PTHR11158:SF23', NULL, NULL, NULL, NULL, 'PRELI DOMAIN CONTAINING PROTEIN 3A', NULL, NULL, NULL, 15),
(193414, NULL, 'PTHR33088:SF63', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193415, NULL, 'PTHR24329:SF301', NULL, NULL, NULL, NULL, 'PAIRED MESODERM HOMEOBOX PROTEIN 2B', NULL, NULL, NULL, 15),
(193416, NULL, 'PTHR44068:SF1', NULL, NULL, NULL, NULL, 'CYCLOARTENOL-C-24-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(193417, NULL, 'PTHR44259:SF15', NULL, NULL, NULL, NULL, 'F-BOX PROTEIN SKIP23-LIKE', NULL, NULL, NULL, 15),
(193418, NULL, 'PTHR10315:SF130', NULL, NULL, NULL, NULL, 'BNAA03G19700D PROTEIN', NULL, NULL, NULL, 15),
(193419, NULL, 'PTHR33389:SF4', NULL, NULL, NULL, NULL, 'PII, URIDYLYLTRANSFERASE (DUF2921)', NULL, NULL, NULL, 15),
(193420, NULL, 'PTHR33078', NULL, NULL, NULL, NULL, 'PROTEIN YCF2-RELATED', NULL, NULL, NULL, 15),
(193421, NULL, 'PTHR19325:SF536', NULL, NULL, NULL, NULL, 'COMPLEMENT COMPONENT RECEPTOR 1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(193422, NULL, 'PTHR31317', NULL, NULL, NULL, NULL, 'OS08G0163500 PROTEIN', NULL, NULL, 9856, 15),
(193423, NULL, 'PTHR31966:SF22', NULL, NULL, NULL, NULL, 'UNIVERSAL STRESS PROTEIN MT2085-LIKE', NULL, NULL, NULL, 15),
(193424, NULL, 'PTHR46151:SF18', NULL, NULL, NULL, NULL, 'NEP1-INTERACTING PROTEIN-LIKE 2', NULL, NULL, NULL, 15);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193425, NULL, 'PTHR12411:SF647', NULL, NULL, NULL, NULL, 'SENESCENCE-SPECIFIC CYSTEINE PROTEASE SAG12', NULL, NULL, NULL, 15),
(193426, NULL, 'PTHR12277:SF156', NULL, NULL, NULL, NULL, 'BNAC04G36550D PROTEIN', NULL, NULL, NULL, 15),
(193427, NULL, 'PTHR34211:SF3', NULL, NULL, NULL, NULL, 'CALCINEURIN-LIKE METALLO-PHOSPHOESTERASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(193428, NULL, 'PTHR45642:SF62', NULL, NULL, NULL, NULL, 'GDSL ESTERASE/LIPASE', NULL, NULL, NULL, 15),
(193429, NULL, 'PTHR31062:SF190', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE PROTEIN 2-RELATED', NULL, NULL, NULL, 15),
(193430, NULL, 'PTHR37290:SF1', NULL, NULL, NULL, NULL, 'INNER MEMBRANE PROTEIN YIAA-RELATED', NULL, NULL, NULL, 15),
(193431, NULL, 'PTHR14269:SF17', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE DOMAIN-CONTAINING 5', NULL, NULL, 22627, 15),
(193432, NULL, 'PTHR35298:SF10', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193433, NULL, 'PTHR47590:SF3', NULL, NULL, NULL, NULL, 'F-BOX/KELCH-REPEAT PROTEIN SKIP25-LIKE', NULL, NULL, NULL, 15),
(193434, NULL, 'PTHR24348:SF54', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE ATG1C-LIKE', NULL, NULL, NULL, 15),
(193435, NULL, 'PTHR46058:SF27', NULL, NULL, NULL, NULL, 'BREVIS RADIX-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(193436, NULL, 'PTHR47956:SF33', NULL, NULL, NULL, NULL, 'CYTOCHROME P450 71B19-RELATED', NULL, NULL, NULL, 15),
(193437, NULL, 'PTHR31414:SF23', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193438, NULL, 'PTHR37806:SF1', NULL, NULL, NULL, NULL, 'LMO0724 PROTEIN', NULL, NULL, NULL, 15),
(193439, NULL, 'PTHR33789:SF10', NULL, NULL, NULL, NULL, 'OS01G0724700 PROTEIN', NULL, NULL, NULL, 15),
(193440, NULL, 'PTHR30614:SF21', NULL, NULL, NULL, NULL, 'GLUTAMATE PERMEASE', NULL, NULL, NULL, 15),
(193441, NULL, 'PTHR24241:SF171', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193442, NULL, 'PTHR46294', NULL, NULL, NULL, NULL, 'SEGMENTATION PROTEIN EVEN-SKIPPED', NULL, NULL, NULL, 15),
(193443, NULL, 'PTHR21733:SF3', NULL, NULL, NULL, NULL, 'PROTEIN CBR-TAG-244', NULL, NULL, NULL, 15),
(193444, NULL, 'PTHR24231:SF48', NULL, NULL, NULL, NULL, 'CYSTEINYL LEUKOTRIENE RECEPTOR 2', NULL, NULL, NULL, 15),
(193445, NULL, 'PTHR30538:SF1', NULL, NULL, NULL, NULL, 'L-LYSINE 2,3-AMINOMUTASE', NULL, NULL, NULL, 15),
(193446, NULL, 'PTHR22943:SF26', NULL, NULL, NULL, NULL, 'SEVEN TM RECEPTOR', NULL, NULL, NULL, 15),
(193447, NULL, 'PTHR34210', NULL, NULL, NULL, NULL, 'OS01G0252900 PROTEIN', NULL, NULL, NULL, 15),
(193448, NULL, 'PTHR12210:SF137', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193449, NULL, 'PTHR33463:SF84', NULL, NULL, NULL, NULL, 'NB-ARC DOMAIN-CONTAINING DISEASE RESISTANCE PROTEIN', NULL, NULL, NULL, 15),
(193450, NULL, 'PTHR11746:SF267', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193451, NULL, 'PTHR11875:SF76', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193452, NULL, 'PTHR31969:SF56', NULL, NULL, NULL, NULL, 'ABA-RESPONSIVE PROTEIN 1', NULL, NULL, NULL, 15),
(193453, NULL, 'PTHR24221:SF213', NULL, NULL, NULL, NULL, 'ABC MULTIDRUG TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(193454, NULL, 'PTHR13191:SF3', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193455, NULL, 'PTHR32116:SF92', NULL, NULL, NULL, NULL, 'HEXOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(193456, NULL, 'PTHR41930', NULL, NULL, NULL, NULL, 'UPF0200 PROTEIN MJ1399', NULL, NULL, NULL, 15),
(193457, NULL, 'PTHR32341:SF2', NULL, NULL, NULL, NULL, 'INTERFERON-GAMMA-INDUCIBLE GTPASE IFGGA2 PROTEIN-RELATED', NULL, NULL, NULL, 15),
(193458, NULL, 'PTHR10639:SF35', NULL, NULL, NULL, NULL, 'CLATHRIN LIGHT CHAIN', NULL, NULL, NULL, 15),
(193459, NULL, 'PTHR31116:SF4', NULL, NULL, NULL, NULL, 'DNA GLYCOSYLASE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(193460, NULL, 'PTHR31062:SF238', NULL, NULL, NULL, NULL, 'XYLOGLUCAN ENDOTRANSGLUCOSYLASE/HYDROLASE', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193461, NULL, 'PTHR27005:SF296', NULL, NULL, NULL, NULL, 'CALCIUM BINDING EGF DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(193462, NULL, 'PTHR34223:SF57', NULL, NULL, NULL, NULL, 'OS11G0200950 PROTEIN', NULL, NULL, NULL, 15),
(193463, NULL, 'PTHR32448:SF144', NULL, NULL, NULL, NULL, 'BNAC03G75560D PROTEIN', NULL, NULL, NULL, 15),
(193464, NULL, 'PTHR13258:SF0', NULL, NULL, NULL, NULL, 'SYNDETIN', NULL, NULL, NULL, 15),
(193465, NULL, 'PTHR33487', NULL, NULL, NULL, NULL, 'CILIA- AND FLAGELLA-ASSOCIATED PROTEIN 54', NULL, NULL, NULL, 15),
(193466, NULL, 'PTHR33545:SF5', NULL, NULL, NULL, NULL, 'UPF0750 MEMBRANE PROTEIN YITT', NULL, NULL, NULL, 15),
(193467, NULL, 'PTHR23268:SF82', NULL, NULL, NULL, NULL, 'T CELL RECEPTOR BETA, VARIABLE 26-RELATED', NULL, NULL, NULL, 15),
(193468, NULL, 'PTHR15487:SF5', NULL, NULL, NULL, NULL, 'ADP-RIBOSYLATION FACTOR-LIKE PROTEIN 2-BINDING PROTEIN', NULL, NULL, NULL, 15),
(193469, NULL, 'PTHR23162:SF8', NULL, NULL, NULL, NULL, 'OUTER DENSE FIBER PROTEIN 2', NULL, NULL, NULL, 15),
(193470, NULL, 'PTHR28019:SF2', NULL, NULL, NULL, NULL, 'CELL MEMBRANE PROTEIN YLR413W-RELATED', NULL, NULL, NULL, 15),
(193471, NULL, 'PTHR23078:SF5', NULL, NULL, NULL, NULL, 'BNAA03G50350D PROTEIN', NULL, NULL, NULL, 15),
(193472, NULL, 'PTHR13130', NULL, NULL, NULL, NULL, '34 KDA TRANSCRIPTIONAL CO-ACTIVATOR-RELATED', NULL, NULL, 19374, 15),
(193473, NULL, 'PTHR10694:SF105', NULL, NULL, NULL, NULL, 'LYSINE-SPECIFIC DEMETHYLASE JMJ15-RELATED', NULL, NULL, NULL, 15),
(193474, NULL, 'PTHR33865:SF3', NULL, NULL, NULL, NULL, 'PROTEIN FAM183B', NULL, NULL, NULL, 15),
(193475, NULL, 'PTHR46352:SF2', NULL, NULL, NULL, NULL, 'C2H2 TRANSCRIPTION FACTOR', NULL, NULL, NULL, 15),
(193476, NULL, 'PTHR24296:SF86', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193477, NULL, 'PTHR46661:SF2', NULL, NULL, NULL, NULL, 'E3 UBIQUITIN-PROTEIN LIGASE ZNRF1', NULL, NULL, NULL, 15),
(193478, NULL, 'PTHR31194:SF118', NULL, NULL, NULL, NULL, 'OS07G0204000 PROTEIN', NULL, NULL, NULL, 15),
(193479, NULL, 'PTHR33479:SF6', NULL, NULL, NULL, NULL, 'BOWMAN-BIRK SERINE PROTEASE INHIBITOR FAMILY PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(193480, NULL, 'PTHR31164', NULL, NULL, NULL, NULL, 'RAD52 MOTIF-CONTAINING PROTEIN 1', NULL, NULL, 33913, 15),
(193481, NULL, 'PTHR10906:SF29', NULL, NULL, NULL, NULL, 'BNAANNG21420D PROTEIN', NULL, NULL, NULL, 15),
(193482, NULL, 'PTHR28532:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193483, NULL, 'PTHR11550:SF13', NULL, NULL, NULL, NULL, 'CTP SYNTHASE', NULL, NULL, NULL, 15),
(193484, NULL, 'PTHR47982:SF39', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK7', NULL, NULL, NULL, 15),
(193485, NULL, 'PTHR11732:SF402', NULL, NULL, NULL, NULL, 'ALDO-KETO REDUCTASE FAMILY 1 MEMBER A1-A', NULL, NULL, NULL, 15),
(193486, NULL, 'PTHR31516:SF16', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193487, NULL, 'PTHR26453:SF116', NULL, NULL, NULL, NULL, 'OLFACTORY RECEPTOR 2F1', NULL, NULL, NULL, 15),
(193488, NULL, 'PTHR10543:SF117', NULL, NULL, NULL, NULL, 'BNAA09G41150D PROTEIN', NULL, NULL, NULL, 15),
(193489, NULL, 'PTHR11132:SF313', NULL, NULL, NULL, NULL, 'NUCLEOTIDE-SUGAR TRANSPORTER FAMILY PROTEIN', NULL, NULL, NULL, 15),
(193490, NULL, 'PTHR31048:SF26', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 5', NULL, NULL, NULL, 15),
(193491, NULL, 'PTHR31790:SF397', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193492, NULL, 'PTHR11817:SF39', NULL, NULL, NULL, NULL, 'PYRUVATE KINASE', NULL, NULL, NULL, 15),
(193493, NULL, 'PTHR37440:SF4', NULL, NULL, NULL, NULL, 'PROTEIN CBG08766', NULL, NULL, NULL, 15),
(193494, NULL, 'PTHR12629:SF65', NULL, NULL, NULL, NULL, 'NUDIX HYDROLASE 4-LIKE', NULL, NULL, NULL, 15),
(193495, NULL, 'PTHR33144:SF26', NULL, NULL, NULL, NULL, 'TRANSPOSASE, PTTA/EN/SPM, PLANT, TRANSPOSASE, TNP1/EN/SPM-LIKE PROTEIN-RELATED', NULL, NULL, NULL, 15),
(193496, NULL, 'PTHR31251:SF133', NULL, NULL, NULL, NULL, 'SQUAMOSA PROMOTER-BINDING-LIKE PROTEIN 6 ISOFORM X1', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193497, NULL, 'PTHR31972:SF39', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193498, NULL, 'PTHR36968:SF5', NULL, NULL, NULL, NULL, 'HOMEOBOX-DDT DOMAIN PROTEIN RLT2', NULL, NULL, NULL, 15),
(193499, NULL, 'PTHR13935:SF125', NULL, NULL, NULL, NULL, 'BNAA03G47380D PROTEIN', NULL, NULL, NULL, 15),
(193500, NULL, 'PTHR10037:SF23', NULL, NULL, NULL, NULL, 'SODIUM CHANNEL PROTEIN TYPE 8 SUBUNIT ALPHA', NULL, NULL, NULL, 15),
(193501, NULL, 'PTHR33103:SF55', NULL, NULL, NULL, NULL, 'BNAA07G28700D PROTEIN', NULL, NULL, NULL, 15),
(193502, NULL, 'PTHR33913', NULL, NULL, NULL, NULL, 'ALEURONE LAYER MORPHOGENESIS PROTEIN', NULL, NULL, NULL, 15),
(193503, NULL, 'PTHR45763:SF44', NULL, NULL, NULL, NULL, 'BNAA08G27060D PROTEIN', NULL, NULL, NULL, 15),
(193504, NULL, 'PTHR31301', NULL, NULL, NULL, NULL, 'LOB DOMAIN-CONTAINING PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(193505, NULL, 'PTHR11346:SF158', NULL, NULL, NULL, NULL, 'GALECTIN', NULL, NULL, NULL, 15),
(193506, NULL, 'PTHR44137:SF9', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN-LIKE', NULL, NULL, NULL, 15),
(193507, NULL, 'PTHR12925:SF0', NULL, NULL, NULL, NULL, 'PROTEIN HIKESHI', NULL, NULL, NULL, 15),
(193508, NULL, 'PTHR13697:SF14', NULL, NULL, NULL, NULL, 'ATP-DEPENDENT 6-PHOSPHOFRUCTOKINASE, LIVER TYPE', NULL, NULL, NULL, 15),
(193509, NULL, 'PTHR46216:SF3', NULL, NULL, NULL, NULL, 'PROSAPOSIN RECEPTOR GPR37', NULL, NULL, NULL, 15),
(193510, NULL, 'PTHR12304:SF15', NULL, NULL, NULL, NULL, 'NON-SPECIFIC RIBONUCLEOSIDE HYDROLASE RIHC', NULL, NULL, NULL, 15),
(193511, NULL, 'PTHR22893:SF112', NULL, NULL, NULL, NULL, '12-OXOPHYTODIENOATE REDUCTASE 3', NULL, NULL, NULL, 15),
(193512, NULL, 'PTHR36390', NULL, NULL, NULL, NULL, 'MYOSIN HEAVY CHAIN-LIKE PROTEIN', NULL, NULL, NULL, 15),
(193513, NULL, 'PTHR24300:SF322', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193514, NULL, 'PTHR35293:SF7', NULL, NULL, NULL, NULL, 'EGG CELL-SECRETED PROTEIN 1.5', NULL, NULL, NULL, 15),
(193515, NULL, 'PTHR28229:SF1', NULL, NULL, NULL, NULL, 'TRANSLOCATION PROTEIN SEC66', NULL, NULL, NULL, 15),
(193516, NULL, 'PTHR21447:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG11499', NULL, NULL, NULL, 15),
(193517, NULL, 'PTHR13903:SF23', NULL, NULL, NULL, NULL, 'OS09G0484800 PROTEIN', NULL, NULL, NULL, 15),
(193518, NULL, 'PTHR13556:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ADAPTER 3', NULL, NULL, NULL, 15),
(193519, NULL, 'PTHR33333:SF2', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(193520, NULL, 'PTHR23324:SF87', NULL, NULL, NULL, NULL, 'CRAL-TRIO DOMAIN-CONTAINING PROTEIN C34C12.6', NULL, NULL, NULL, 15),
(193521, NULL, 'PTHR30534', NULL, NULL, NULL, NULL, 'FLAGELLAR MOTOR SWITCH PROTEIN FLIG', NULL, NULL, 2701, 15),
(193522, NULL, 'PTHR32044:SF65', NULL, NULL, NULL, NULL, 'GLUCOMANNAN 4-BETA-MANNOSYLTRANSFERASE 10-RELATED', NULL, NULL, NULL, 15),
(193523, NULL, 'PTHR22791:SF14', NULL, NULL, NULL, NULL, 'RING FINGER PROTEIN 227', NULL, NULL, NULL, 15),
(193524, NULL, 'PTHR45798:SF65', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193525, NULL, 'PTHR31314:SF93', NULL, NULL, NULL, NULL, 'OS02G0672300 PROTEIN', NULL, NULL, NULL, 15),
(193526, NULL, 'PTHR33133:SF37', NULL, NULL, NULL, NULL, 'SON OF SEVENLESS PROTEIN', NULL, NULL, NULL, 15),
(193527, NULL, 'PTHR22957:SF579', NULL, NULL, NULL, NULL, 'BNAC05G44130D PROTEIN', NULL, NULL, NULL, 15),
(193528, NULL, 'PTHR13388:SF24', NULL, NULL, NULL, NULL, 'SI:DKEY-215K6.1', NULL, NULL, NULL, 15),
(193529, NULL, 'PTHR28234:SF1', NULL, NULL, NULL, NULL, 'NUCLEAR CONTROL OF ATPASE PROTEIN 2', NULL, NULL, NULL, 15),
(193530, NULL, 'PTHR38481:SF1', NULL, NULL, NULL, NULL, 'HYALURONATE LYASE', NULL, NULL, NULL, 15),
(193531, NULL, 'PTHR31447:SF5', NULL, NULL, NULL, NULL, 'RNA DEMETHYLASE ALKBH9B', NULL, NULL, NULL, 15),
(193532, NULL, 'PTHR39068:SF4', NULL, NULL, NULL, NULL, 'LARVAL/PUPAL CUTICLE PROTEIN H1C-LIKE PROTEIN', NULL, NULL, NULL, 15),
(193533, NULL, 'PTHR33453:SF11', NULL, NULL, NULL, NULL, 'RRNA N-GLYCOSIDASE', NULL, NULL, NULL, 15);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193534, NULL, 'PTHR12951:SF6', NULL, NULL, NULL, NULL, 'UNC-119 LIPID-BINDING CHAPERONE B HOMOLOG 2', NULL, NULL, NULL, 15),
(193535, NULL, 'PTHR14064:SF6', NULL, NULL, NULL, NULL, 'LEUKOCYTE CELL-DERIVED CHEMOTAXIN 1', NULL, NULL, NULL, 15),
(193536, NULL, 'PTHR24177:SF278', NULL, NULL, NULL, NULL, 'OS09G0341200 PROTEIN', NULL, NULL, NULL, 15),
(193537, NULL, 'PTHR47985:SF29', NULL, NULL, NULL, NULL, 'BNAC03G41630D PROTEIN', NULL, NULL, NULL, 15),
(193538, NULL, 'PTHR34970:SF2', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER A FAMILY PROTEIN', NULL, NULL, NULL, 15),
(193539, NULL, 'PTHR10634:SF75', NULL, NULL, NULL, NULL, 'ZINC FINGER A20 AND AN1 DOMAIN-CONTAINING STRESS-ASSOCIATED PROTEIN 11', NULL, NULL, NULL, 15),
(193540, NULL, 'PTHR46413:SF2', NULL, NULL, NULL, NULL, 'HEAVY METAL-ASSOCIATED ISOPRENYLATED PLANT PROTEIN 3', NULL, NULL, NULL, 15),
(193541, NULL, 'PTHR13946:SF36', NULL, NULL, NULL, NULL, 'DNA-DIRECTED RNA POLYMERASES II IV AND V SUBUNIT 11', NULL, NULL, NULL, 15),
(193542, NULL, 'PTHR47262:SF1', NULL, NULL, NULL, NULL, 'OS02G0132600 PROTEIN', NULL, NULL, NULL, 15),
(193543, NULL, 'PTHR11937:SF59', NULL, NULL, NULL, NULL, 'ACTIN-LIKE PROTEIN 7B', NULL, NULL, 26489, 15),
(193544, NULL, 'PTHR34451:SF8', NULL, NULL, NULL, NULL, 'OS01G0292300 PROTEIN', NULL, NULL, NULL, 15),
(193545, NULL, 'PTHR12570:SF25', NULL, NULL, NULL, NULL, 'MAGNESIUM TRANSPORTER-RELATED', NULL, NULL, NULL, 15),
(193546, NULL, 'PTHR22761:SF47', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193547, NULL, 'PTHR34057:SF12', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193548, NULL, 'PTHR32099:SF41', NULL, NULL, NULL, NULL, 'CYSTEINE-RICH REPEAT SECRETORY PROTEIN 4-RELATED', NULL, NULL, NULL, 15),
(193549, NULL, 'PTHR30390:SF8', NULL, NULL, NULL, NULL, 'SUGAR ISOMERASE (SIS)', NULL, NULL, NULL, 15),
(193550, NULL, 'PTHR31286:SF50', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193551, NULL, 'PTHR36130', NULL, NULL, NULL, NULL, 'RIKEN CDNA 4933430I17 GENE', NULL, NULL, 25251, 15),
(193552, NULL, 'PTHR23333:SF35', NULL, NULL, NULL, NULL, 'BNAA09G20540D PROTEIN', NULL, NULL, NULL, 15),
(193553, NULL, 'PTHR31501:SF5', NULL, NULL, NULL, NULL, 'PROTEIN ORAI-2', NULL, NULL, 24413, 15),
(193554, NULL, 'PTHR22941:SF280', NULL, NULL, NULL, NULL, 'SERPENTINE RECEPTOR, CLASS H', NULL, NULL, NULL, 15),
(193555, NULL, 'PTHR14493:SF44', NULL, NULL, NULL, NULL, 'ZINC FINGER CCCH DOMAIN-CONTAINING PROTEIN 10', NULL, NULL, NULL, 15),
(193556, NULL, 'PTHR10241:SF35', NULL, NULL, NULL, NULL, 'TRANSDUCIN/WD40 REPEAT PROTEIN', NULL, NULL, NULL, 15),
(193557, NULL, 'PTHR35099:SF6', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193558, NULL, 'PTHR43329:SF114', NULL, NULL, NULL, NULL, 'EPOXIDE HYDROLASE-RELATED', NULL, NULL, NULL, 15),
(193559, NULL, 'PTHR36370:SF3', NULL, NULL, NULL, NULL, 'BNAA10G29120D PROTEIN', NULL, NULL, NULL, 15),
(193560, NULL, 'PTHR15970', NULL, NULL, NULL, NULL, 'ELL-ASSOCIATED FACTOR EAF', NULL, NULL, 24565, 15),
(193561, NULL, 'PTHR34296:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTIONAL ACTIVATOR PROTEIN MED', NULL, NULL, NULL, 15),
(193562, NULL, 'PTHR45844:SF13', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AIG1', NULL, NULL, NULL, 15),
(193563, NULL, 'PTHR20275:SF26', NULL, NULL, NULL, NULL, 'NADH KINASE POS5, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(193564, NULL, 'PTHR11662:SF77', NULL, NULL, NULL, NULL, 'MAJOR FACILITATOR SUPERFAMILY TRANSPORTER 17, ISOFORM F', NULL, NULL, NULL, 15),
(193565, NULL, 'PTHR33044:SF135', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193566, NULL, 'PTHR31113:SF27', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193567, NULL, 'PTHR10263:SF54', NULL, NULL, NULL, NULL, 'V-TYPE PROTON ATPASE 16 KDA PROTEOLIPID SUBUNIT', NULL, NULL, NULL, 15),
(193568, NULL, 'PTHR35361:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193569, NULL, 'PTHR22898:SF5', NULL, NULL, NULL, NULL, 'PROTEIN CBG02648', NULL, NULL, NULL, 15); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193570, NULL, 'PTHR13593:SF92', NULL, NULL, NULL, NULL, 'SI:DKEY-152B24.6-RELATED', NULL, NULL, NULL, 15),
(193571, NULL, 'PTHR47982:SF53', NULL, NULL, NULL, NULL, 'BNACNNG49640D PROTEIN', NULL, NULL, NULL, 15),
(193572, NULL, 'PTHR12634:SF15', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN PHOSPHATASE 6 REGULATORY SUBUNIT 2', NULL, NULL, NULL, 15),
(193573, NULL, 'PTHR31415:SF16', NULL, NULL, NULL, NULL, 'HARPIN-INDUCED PROTEIN 1 CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(193574, NULL, 'PTHR31636:SF229', NULL, NULL, NULL, NULL, 'GRAS FAMILY TRANSCRIPTION FACTOR-RELATED', NULL, NULL, NULL, 15),
(193575, NULL, 'PTHR10082:SF59', NULL, NULL, NULL, NULL, 'INTEGRIN BETA-NU', NULL, NULL, NULL, 15),
(193576, NULL, 'PTHR34582:SF6', NULL, NULL, NULL, NULL, 'UPF0702 TRANSMEMBRANE PROTEIN YCAP', NULL, NULL, NULL, 15),
(193577, NULL, 'PTHR48045:SF11', NULL, NULL, NULL, NULL, 'UDP-GLYCOSYLTRANSFERASE 72B1', NULL, NULL, NULL, 15),
(193578, NULL, 'PTHR16201:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193579, NULL, 'PTHR31734:SF101', NULL, NULL, NULL, NULL, 'AUXIN-RESPONSIVE PROTEIN IAA18', NULL, NULL, NULL, 15),
(193580, NULL, 'PTHR12231:SF234', NULL, NULL, NULL, NULL, 'DPR-INTERACTING PROTEIN ETA, ISOFORM B', NULL, NULL, NULL, 15),
(193581, NULL, 'PTHR33530:SF4', NULL, NULL, NULL, NULL, 'OS01G0145200 PROTEIN', NULL, NULL, NULL, 15),
(193582, NULL, 'PTHR31066:SF31', NULL, NULL, NULL, NULL, 'OS03G0401100 PROTEIN', NULL, NULL, NULL, 15),
(193583, NULL, 'PTHR24056:SF500', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193584, NULL, 'PTHR31375:SF151', NULL, NULL, NULL, NULL, 'EXOPOLYGALACTURONASE CLONE GBGA483-RELATED', NULL, NULL, NULL, 15),
(193585, NULL, 'PTHR12818:SF0', NULL, NULL, NULL, NULL, 'TRNA (ADENINE(37)-N6)-METHYLTRANSFERASE', NULL, NULL, NULL, 15),
(193586, NULL, 'PTHR17068:SF3', NULL, NULL, NULL, NULL, 'MYELOID-ASSOCIATED DIFFERENTIATION MARKER', NULL, NULL, NULL, 15),
(193587, NULL, 'PTHR24377:SF626', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 879', NULL, NULL, NULL, 15),
(193588, NULL, 'PTHR24305:SF108', NULL, NULL, NULL, NULL, 'P450, PUTATIVE (EUROFUNG)-RELATED', NULL, NULL, NULL, 15),
(193589, NULL, 'PTHR11081:SF9', NULL, NULL, NULL, NULL, 'FLAP ENDONUCLEASE 1', NULL, NULL, NULL, 15),
(193590, NULL, 'PTHR12411:SF730', NULL, NULL, NULL, NULL, 'PAPAIN FAMILY CYSTEINE PROTEASE', NULL, NULL, NULL, 15),
(193591, NULL, 'PTHR11889:SF36', NULL, NULL, NULL, NULL, 'SONIC HEDGEHOG PROTEIN', NULL, NULL, NULL, 15),
(193592, NULL, 'PTHR10986:SF22', NULL, NULL, NULL, NULL, '50S RIBOSOMAL PROTEIN L20', NULL, NULL, NULL, 15),
(193593, NULL, 'PTHR48047:SF78', NULL, NULL, NULL, NULL, 'GLYCOSYLTRANSFERASE', NULL, NULL, NULL, 15),
(193594, NULL, 'PTHR12735:SF40', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193595, NULL, 'PTHR10257:SF83', NULL, NULL, NULL, NULL, 'SERINE/THREONINE PROTEIN PHOSPHATASE 2A REGULATORY SUBUNIT', NULL, NULL, NULL, 15),
(193596, NULL, 'PTHR31221:SF182', NULL, NULL, NULL, NULL, 'BNAA09G07010D PROTEIN', NULL, NULL, NULL, 15),
(193597, NULL, 'PTHR21533:SF17', NULL, NULL, NULL, NULL, 'PROTEIN CHIBBY HOMOLOG 3', NULL, NULL, NULL, 15),
(193598, NULL, 'PTHR30182:SF12', NULL, NULL, NULL, NULL, 'L-SERINE DEHYDRATASE, BETA CHAIN-RELATED', NULL, NULL, NULL, 15),
(193599, NULL, 'PTHR36521:SF2', NULL, NULL, NULL, NULL, 'GEO07177P1', NULL, NULL, NULL, 15),
(193600, NULL, 'PTHR48107:SF8', NULL, NULL, NULL, NULL, 'OS06G0185100 PROTEIN', NULL, NULL, NULL, 15),
(193601, NULL, 'PTHR34935', NULL, NULL, NULL, NULL, 'PROTEIN TIC110, CHLOROPLASTIC', NULL, NULL, 27245, 15),
(193602, NULL, 'PTHR23189:SF85', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193603, NULL, 'PTHR11849:SF293', NULL, NULL, NULL, NULL, 'ETS VARIANT 2', NULL, NULL, NULL, 15),
(193604, NULL, 'PTHR21402:SF11', NULL, NULL, NULL, NULL, 'FI16614P1-RELATED', NULL, NULL, NULL, 15),
(193605, NULL, 'PTHR32212:SF315', NULL, NULL, NULL, NULL, 'BNAA09G46090D PROTEIN', NULL, NULL, NULL, 15),
(193606, NULL, 'PTHR12994:SF16', NULL, NULL, NULL, NULL, 'SECERNIN-2', NULL, NULL, NULL, 15);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193607, NULL, 'PTHR45615:SF44', NULL, NULL, NULL, NULL, 'MYOSIN-13', NULL, NULL, NULL, 15),
(193608, NULL, 'PTHR10812', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR AP-2', NULL, NULL, 820, 15),
(193609, NULL, 'PTHR47991:SF56', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193610, NULL, 'PTHR10562:SF56', NULL, NULL, NULL, NULL, 'SMALL UBIQUITIN-RELATED MODIFIER', NULL, NULL, NULL, 15),
(193611, NULL, 'PTHR23413:SF10', NULL, NULL, NULL, NULL, '60S RIBOSOMAL PROTEIN L32', NULL, NULL, NULL, 15),
(193612, NULL, 'PTHR19302:SF51', NULL, NULL, NULL, NULL, 'SPINDLE POLE BODY COMPONENT', NULL, NULL, NULL, 15),
(193613, NULL, 'PTHR31213:SF65', NULL, NULL, NULL, NULL, 'S-NORCOCLAURINE SYNTHASE', NULL, NULL, NULL, 15),
(193614, NULL, 'PTHR23152:SF33', NULL, NULL, NULL, NULL, '2-OXOGLUTARATE DEHYDROGENASE E1 COMPONENT-RELATED', NULL, NULL, NULL, 15),
(193615, NULL, 'PTHR48068:SF2', NULL, NULL, NULL, NULL, 'TRANSCRIPTION INITIATION FACTOR TFIID SUBUNIT 9', NULL, NULL, NULL, 15),
(193616, NULL, 'PTHR46168:SF14', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193617, NULL, 'PTHR14167:SF84', NULL, NULL, NULL, NULL, 'SH3 DOMAIN-CONTAINING RING FINGER 2', NULL, NULL, NULL, 15),
(193618, NULL, 'PTHR24015:SF1745', NULL, NULL, NULL, NULL, 'PPR CONTAINING PLANT-LIKE PROTEIN', NULL, NULL, NULL, 15),
(193619, NULL, 'PTHR45824:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193620, NULL, 'PTHR47302', NULL, NULL, NULL, NULL, 'STERILE ALPHA MOTIF DOMAIN-CONTAINING PROTEIN 3', NULL, NULL, 36516, 15),
(193621, NULL, 'PTHR11863:SF184', NULL, NULL, NULL, NULL, 'VERY-LONG-CHAIN ALDEHYDE DECARBONYLASE GL1-3', NULL, NULL, NULL, 15),
(193622, NULL, 'PTHR47002', NULL, NULL, NULL, NULL, 'AQUAPORIN-LIKE', NULL, NULL, NULL, 15),
(193623, NULL, 'PTHR47746:SF36', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193624, NULL, 'PTHR31066:SF73', NULL, NULL, NULL, NULL, 'OCTICOSAPEPTIDE/PHOX/BEM1P FAMILY PROTEIN', NULL, NULL, NULL, 15),
(193625, NULL, 'PTHR14191', NULL, NULL, NULL, NULL, 'PDZ DOMAIN CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(193626, NULL, 'PTHR31465:SF7', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193627, NULL, 'PTHR11431:SF105', NULL, NULL, NULL, NULL, 'FERRITIN', NULL, NULL, NULL, 15),
(193628, NULL, 'PTHR10024:SF265', NULL, NULL, NULL, NULL, 'SYNAPTOTAGMIN', NULL, NULL, NULL, 15),
(193629, NULL, 'PTHR12436:SF4', NULL, NULL, NULL, NULL, 'LEUKOCYTE RECEPTOR CLUSTER MEMBER 8', NULL, NULL, NULL, 15),
(193630, NULL, 'PTHR45721:SF2', NULL, NULL, NULL, NULL, 'LAMIN-B2', NULL, NULL, NULL, 15),
(193631, NULL, 'PTHR24281:SF161', NULL, NULL, NULL, NULL, 'FLAVONOID 3''-MONOOXYGENASE-LIKE', NULL, NULL, NULL, 15),
(193632, NULL, 'PTHR11690:SF153', NULL, NULL, NULL, NULL, 'DEGENERIN LIKE', NULL, NULL, NULL, 15),
(193633, NULL, 'PTHR23075:SF4', NULL, NULL, NULL, NULL, 'ATPASE FAMILY AAA DOMAIN-CONTAINING PROTEIN 3C', NULL, NULL, NULL, 15),
(193634, NULL, 'PTHR33257:SF35', NULL, NULL, NULL, NULL, 'OS02G0461700 PROTEIN', NULL, NULL, NULL, 15),
(193635, NULL, 'PTHR11417:SF7', NULL, NULL, NULL, NULL, 'PROLACTIN-5A1', NULL, NULL, NULL, 15),
(193636, NULL, 'PTHR30576:SF20', NULL, NULL, NULL, NULL, 'QUINOVOSAMINEPHOSPHOTRANSFERAE-RELATED', NULL, NULL, NULL, 15),
(193637, NULL, 'PTHR35123:SF5', NULL, NULL, NULL, NULL, 'BNAA06G39450D PROTEIN', NULL, NULL, NULL, 15),
(193638, NULL, 'PTHR31235:SF178', NULL, NULL, NULL, NULL, 'PEROXIDASE', NULL, NULL, NULL, 15),
(193639, NULL, 'PTHR12433', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 25', NULL, NULL, 39373, 15),
(193640, NULL, 'PTHR22835:SF600', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193641, NULL, 'PTHR45640:SF13', NULL, NULL, NULL, NULL, 'HEAT SHOCK PROTEIN 67B3-RELATED', NULL, NULL, NULL, 15),
(193642, NULL, 'PTHR13832:SF781', NULL, NULL, NULL, NULL, 'PROTEIN PHOSPHATASE, MG2+/MN2+-DEPENDENT, 1LA', NULL, NULL, NULL, 15),
(193643, NULL, 'PTHR11880:SF47', NULL, NULL, NULL, NULL, '40S RIBOSOMAL PROTEIN S15', NULL, NULL, NULL, 15);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193644, NULL, 'PTHR14136:SF34', NULL, NULL, NULL, NULL, 'BTB/POZ DOMAIN-CONTAINING PROTEIN', NULL, NULL, NULL, 15),
(193645, NULL, 'PTHR31989:SF343', NULL, NULL, NULL, NULL, 'NAC DOMAIN-CONTAINING PROTEIN 86-LIKE', NULL, NULL, NULL, 15),
(193646, NULL, 'PTHR48112:SF15', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193647, NULL, 'PTHR48090:SF2', NULL, NULL, NULL, NULL, 'SLR2120 PROTEIN', NULL, NULL, NULL, 15),
(193648, NULL, 'PTHR32282:SF28', NULL, NULL, NULL, NULL, 'PENICILLIN-BINDING PROTEIN 1B', NULL, NULL, NULL, 15),
(193649, NULL, 'PTHR24103:SF611', NULL, NULL, NULL, NULL, 'NOVEL PROTEIN-RELATED', NULL, NULL, NULL, 15),
(193650, NULL, 'PTHR32141:SF104', NULL, NULL, NULL, NULL, 'OS07G0277000 PROTEIN', NULL, NULL, NULL, 15),
(193651, NULL, 'PTHR34151:SF1', NULL, NULL, NULL, NULL, 'PROTEIN CBG24195', NULL, NULL, NULL, 15),
(193652, NULL, 'PTHR41287', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, 1073, 15),
(193653, NULL, 'PTHR43321:SF29', NULL, NULL, NULL, NULL, 'GLUTAMATE DECARBOXYLASE', NULL, NULL, NULL, 15),
(193654, NULL, 'PTHR34043:SF6', NULL, NULL, NULL, NULL, 'BNAC08G49970D PROTEIN', NULL, NULL, NULL, 15),
(193655, NULL, 'PTHR13847:SF263', NULL, NULL, NULL, NULL, 'FAD-DEPENDENT OXIDOREDUCTASE PA4991-RELATED', NULL, NULL, NULL, 15),
(193656, NULL, 'PTHR31875:SF30', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 4-LIKE', NULL, NULL, NULL, 15),
(193657, NULL, 'PTHR33730:SF16', NULL, NULL, NULL, NULL, 'OS01G0174100 PROTEIN', NULL, NULL, NULL, 15),
(193658, NULL, 'PTHR38248', NULL, NULL, NULL, NULL, 'FUNK1 6', NULL, NULL, NULL, 15),
(193659, NULL, 'PTHR32054:SF68', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193660, NULL, 'PTHR33513:SF32', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193661, NULL, 'PTHR28314', NULL, NULL, NULL, NULL, 'MEDIATOR OF RNA POLYMERASE II TRANSCRIPTION SUBUNIT 29', NULL, NULL, 15229, 15),
(193662, NULL, 'PTHR13068:SF182', NULL, NULL, NULL, NULL, 'MITOCHODRIAL TRANSCRIPTION TERMINATION FACTOR-RELATED', NULL, NULL, NULL, 15),
(193663, NULL, 'PTHR24099:SF14', NULL, NULL, NULL, NULL, 'FIBRONECTIN TYPE III DOMAIN CONTAINING PROTEIN 3C1-RELATED', NULL, NULL, NULL, 15),
(193664, NULL, 'PTHR33203:SF45', NULL, NULL, NULL, NULL, 'OLEOSIN', NULL, NULL, NULL, 15),
(193665, NULL, 'PTHR30013:SF7', NULL, NULL, NULL, NULL, 'HYDROGENASE-2 SMALL CHAIN', NULL, NULL, NULL, 15),
(193666, NULL, 'PTHR31561:SF10', NULL, NULL, NULL, NULL, '3-KETOACYL-COA SYNTHASE 2-LIKE', NULL, NULL, NULL, 15),
(193667, NULL, 'PTHR35894:SF5', NULL, NULL, NULL, NULL, 'MU-LIKE PROPHAGE FLUMU DNA TRANSPOSITION PROTEIN B', NULL, NULL, NULL, 15),
(193668, NULL, 'PTHR27009:SF205', NULL, NULL, NULL, NULL, 'G-TYPE LECTIN S-RECEPTOR-LIKE SERINE/THREONINE-PROTEIN KINASE LECRK4 ISOFORM X1', NULL, NULL, NULL, 15),
(193669, NULL, 'PTHR10113:SF32', NULL, NULL, NULL, NULL, 'EUKARYOTIC PEPTIDE CHAIN RELEASE FACTOR SUBUNIT 1-3-LIKE', NULL, NULL, NULL, 15),
(193670, NULL, 'PTHR17598:SF13', NULL, NULL, NULL, NULL, 'DNA POLYMERASE DELTA SUBUNIT 3', NULL, NULL, NULL, 15),
(193671, NULL, 'PTHR23089:SF48', NULL, NULL, NULL, NULL, 'BNAA09G35930D PROTEIN', NULL, NULL, NULL, 15),
(193672, NULL, 'PTHR37958:SF1', NULL, NULL, NULL, NULL, 'SODIUM-POTASSIUM/PROTON ANTIPORTER CHAA', NULL, NULL, NULL, 15),
(193673, NULL, 'PTHR10811:SF102', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193674, NULL, 'PTHR46424:SF1', NULL, NULL, NULL, NULL, 'UBX DOMAIN-CONTAINING PROTEIN 4', NULL, NULL, NULL, 15),
(193675, NULL, 'PTHR11941:SF153', NULL, NULL, NULL, NULL, 'ENOYL-COA DELTA ISOMERASE 2, PEROXISOMAL-LIKE', NULL, NULL, NULL, 15),
(193676, NULL, 'PTHR44427', NULL, NULL, NULL, NULL, 'CARCINOEMBRYONIC ANTIGEN-RELATED CELL ADHESION MOLECULE 19', NULL, NULL, NULL, 15),
(193677, NULL, 'PTHR32024:SF4', NULL, NULL, NULL, NULL, 'KTR SYSTEM POTASSIUM UPTAKE PROTEIN D', NULL, NULL, NULL, 15),
(193678, NULL, 'PTHR46761', NULL, NULL, NULL, NULL, 'RAN GTPASE-ACTIVATING PROTEIN 1', NULL, NULL, 39393, 15),
(193679, NULL, 'PTHR46956', NULL, NULL, NULL, NULL, 'NUCLEOSIDE DIPHOSPHATE KINASE 6', NULL, NULL, 29714, 15);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193680, NULL, 'PTHR34781:SF5', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(193681, NULL, 'PTHR28256', NULL, NULL, NULL, NULL, 'RIBONUCLEASES P/MRP PROTEIN SUBUNIT POP7', NULL, NULL, 21050, 15),
(193682, NULL, 'PTHR10585:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193683, NULL, 'PTHR33493:SF7', NULL, NULL, NULL, NULL, 'OSJNBA0086O06.12 PROTEIN', NULL, NULL, NULL, 15),
(193684, NULL, 'PTHR24281:SF209', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193685, NULL, 'PTHR45977:SF24', NULL, NULL, NULL, NULL, 'ZINC FINGER, RING/FYVE/PHD-TYPE-RELATED', NULL, NULL, NULL, 15),
(193686, NULL, 'PTHR11566:SF149', NULL, NULL, NULL, NULL, 'GTPASE, PUTATIVE (AFU_ORTHOLOGUE AFUA_6G11890)-RELATED', NULL, NULL, NULL, 15),
(193687, NULL, 'PTHR18952:SF121', NULL, NULL, NULL, NULL, 'ALPHA CARBONIC ANHYDRASE 7', NULL, NULL, NULL, 15),
(193688, NULL, 'PTHR33377:SF57', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193689, NULL, 'PTHR10334:SF488', NULL, NULL, NULL, NULL, 'PATHOGENESIS-RELATED PROTEIN 1', NULL, NULL, NULL, 15),
(193690, NULL, 'PTHR43688', NULL, NULL, NULL, NULL, 'NAD-DEPENDENT PROTEIN LIPOAMIDASE SIRTUIN-4', NULL, NULL, NULL, 15),
(193691, NULL, 'PTHR19288:SF43', NULL, NULL, NULL, NULL, 'HALOACID DEHALOGENASE-LIKE HYDROLASE DOMAIN-CONTAINING PROTEIN 2', NULL, NULL, NULL, 15),
(193692, NULL, 'PTHR34156:SF1', NULL, NULL, NULL, NULL, 'PERIPLASMIC PROTEIN-RELATED', NULL, NULL, NULL, 15),
(193693, NULL, 'PTHR36107:SF1', NULL, NULL, NULL, NULL, 'SMALL, ACID-SOLUBLE SPORE PROTEIN A', NULL, NULL, NULL, 15),
(193694, NULL, 'PTHR31920:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193695, NULL, 'PTHR16057', NULL, NULL, NULL, NULL, 'WINS1, 2 PROTEIN', NULL, NULL, 14829, 15),
(193696, NULL, 'PTHR19375:SF184', NULL, NULL, NULL, NULL, 'STRESS-70 PROTEIN, MITOCHONDRIAL', NULL, NULL, NULL, 15),
(193697, NULL, 'PTHR28556:SF6', NULL, NULL, NULL, NULL, 'TRANSMEMBRANE PROTEIN 106A', NULL, NULL, NULL, 15),
(193698, NULL, 'PTHR36897', NULL, NULL, NULL, NULL, 'OS10G0351100-LIKE PROTEIN', NULL, NULL, NULL, 15),
(193699, NULL, 'PTHR24235:SF11', NULL, NULL, NULL, NULL, 'PROLACTIN-RELEASING PEPTIDE RECEPTOR', NULL, NULL, 3013, 15),
(193700, NULL, 'PTHR11783:SF218', NULL, NULL, NULL, NULL, 'SULFOTRANSFERASE', NULL, NULL, NULL, 15),
(193701, NULL, 'PTHR21662:SF56', NULL, NULL, NULL, NULL, 'PROTEIN CBG27196', NULL, NULL, NULL, 15),
(193702, NULL, 'PTHR24189:SF58', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193703, NULL, 'PTHR31620:SF8', NULL, NULL, NULL, NULL, 'OS05G0388600 PROTEIN', NULL, NULL, NULL, 15),
(193704, NULL, 'PTHR33676:SF21', NULL, NULL, NULL, NULL, 'EXPRESSED PROTEIN', NULL, NULL, NULL, 15),
(193705, NULL, 'PTHR10974:SF70', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193706, NULL, 'PTHR46119:SF14', NULL, NULL, NULL, NULL, 'PROTEIN SODIUM POTASSIUM ROOT DEFECTIVE 3', NULL, NULL, NULL, 15),
(193707, NULL, 'PTHR10464:SF4', NULL, NULL, NULL, NULL, 'UREA TRANSPORTER', NULL, NULL, NULL, 15),
(193708, NULL, 'PTHR32468:SF72', NULL, NULL, NULL, NULL, 'CATION/H(+) ANTIPORTER 19', NULL, NULL, NULL, 15),
(193709, NULL, 'PTHR23074:SF17', NULL, NULL, NULL, NULL, 'FIDGETIN-LIKE PROTEIN 1', NULL, NULL, NULL, 15),
(193710, NULL, 'PTHR14119', NULL, NULL, NULL, NULL, 'HYDROLASE', NULL, NULL, NULL, 15),
(193711, NULL, 'PTHR43546:SF4', NULL, NULL, NULL, NULL, 'UPF0282 PROTEIN MJ1629', NULL, NULL, 7720, 15),
(193712, NULL, 'PTHR46900', NULL, NULL, NULL, NULL, 'TYROSINE-PROTEIN PHOSPHATASE NON-RECEPTOR TYPE 13', NULL, NULL, NULL, 15),
(193713, NULL, 'PTHR26379:SF296', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193714, NULL, 'PTHR43548:SF1', NULL, NULL, NULL, NULL, 'BLL1016 PROTEIN', NULL, NULL, NULL, 15),
(193715, NULL, 'PTHR45649:SF26', NULL, NULL, NULL, NULL, 'OSJNBB0086G13.12 PROTEIN', NULL, NULL, NULL, 15),
(193716, NULL, 'PTHR43900:SF6', NULL, NULL, NULL, NULL, 'OS01G0374000 PROTEIN', NULL, NULL, NULL, 15);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193717, NULL, 'PTHR24377:SF395', NULL, NULL, NULL, NULL, 'ZINC FINGER PROTEIN 181', NULL, NULL, NULL, 15),
(193718, NULL, 'PTHR11200:SF269', NULL, NULL, NULL, NULL, 'PHOSPHATIDYLINOSITOL 4,5-BISPHOSPHATE 5-PHOSPHATASE INP51', NULL, NULL, NULL, 15),
(193719, NULL, 'PTHR34615', NULL, NULL, NULL, NULL, 'FAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193720, NULL, 'PTHR24343:SF209', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE MARK-B-RELATED', NULL, NULL, NULL, 15),
(193721, NULL, 'PTHR31251:SF33', NULL, NULL, NULL, NULL, 'TEOSINTE GLUME ARCHITECTURE 1', NULL, NULL, NULL, 15),
(193722, NULL, 'PTHR24083:SF46', NULL, NULL, NULL, NULL, 'STEROID RECEPTOR SEVEN-UP, ISOFORM A', NULL, NULL, NULL, 15),
(193723, NULL, 'PTHR11909:SF361', NULL, NULL, NULL, NULL, 'CASEIN KINASE I HOMOLOG 1-LIKE', NULL, NULL, NULL, 15),
(193724, NULL, 'PTHR40326:SF2', NULL, NULL, NULL, NULL, 'PROTEIN CBG13869', NULL, NULL, NULL, 15),
(193725, NULL, 'PTHR24223:SF335', NULL, NULL, NULL, NULL, 'ABC TRANSPORTER (EUROFUNG)', NULL, NULL, NULL, 15),
(193726, NULL, 'PTHR47989:SF22', NULL, NULL, NULL, NULL, 'SERINE/THREONINE-PROTEIN KINASE-LIKE PROTEIN CCR1', NULL, NULL, NULL, 15),
(193727, NULL, 'PTHR24061:SF5', NULL, NULL, NULL, NULL, 'G-PROTEIN COUPLED RECEPTOR FAMILY C GROUP 6 MEMBER A', NULL, NULL, NULL, 15),
(193728, NULL, 'PTHR38218:SF8', NULL, NULL, NULL, NULL, 'FINGER PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(193729, NULL, 'PTHR44548:SF2', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193730, NULL, 'PTHR45287:SF3', NULL, NULL, NULL, NULL, 'PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(193731, NULL, 'PTHR11954:SF41', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193732, NULL, 'PTHR47389:SF5', NULL, NULL, NULL, NULL, 'OS09G0436700 PROTEIN', NULL, NULL, NULL, 15),
(193733, NULL, 'PTHR33154:SF24', NULL, NULL, NULL, NULL, 'HTH5 FAMILY PROTEIN', NULL, NULL, NULL, 15),
(193734, NULL, 'PTHR39324', NULL, NULL, NULL, NULL, 'CALCIUM DODECIN', NULL, NULL, 8042, 15),
(193735, NULL, 'PTHR12270:SF23', NULL, NULL, NULL, NULL, 'LARGE XYLOSYL- AND GLUCURONYLTRANSFERASE 2', NULL, NULL, NULL, 15),
(193736, NULL, 'PTHR21152', NULL, NULL, NULL, NULL, 'AMINOTRANSFERASE CLASS V', NULL, NULL, NULL, 15),
(193737, NULL, 'PTHR11474:SF100', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193738, NULL, 'PTHR15131', NULL, NULL, NULL, NULL, 'SMALL NUCLEAR RNA ACTIVATING COMPLEX, POLYPEPTIDE 1', NULL, NULL, 18919, 15),
(193739, NULL, 'PTHR14402:SF9', NULL, NULL, NULL, NULL, 'RECEPTOR-TRANSPORTING PROTEIN 3', NULL, NULL, 27477, 15),
(193740, NULL, 'PTHR13177:SF3', NULL, NULL, NULL, NULL, 'DEATH-ASSOCIATED PROTEIN 1', NULL, NULL, NULL, 15),
(193741, NULL, 'PTHR45000:SF5', NULL, NULL, NULL, NULL, 'CHAPERONE DNAJ-DOMAIN SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(193742, NULL, 'PTHR11947:SF24', NULL, NULL, NULL, NULL, 'ATPASE, HISTIDINE KINASE, DNA GYRASE B-, AND HSP90-LIKE DOMAIN CONTAINING PROTEIN, EXPRESSED', NULL, NULL, NULL, 15),
(193743, NULL, 'PTHR38446', NULL, NULL, NULL, NULL, 'BLL0914 PROTEIN', NULL, NULL, 12966, 15),
(193744, NULL, 'PTHR23294', NULL, NULL, NULL, NULL, 'ET TRANSLATION PRODUCT-RELATED', NULL, NULL, NULL, 15),
(193745, NULL, 'PTHR47991:SF88', NULL, NULL, NULL, NULL, 'PROTEIN SRG1-LIKE', NULL, NULL, NULL, 15),
(193746, NULL, 'PTHR24388:SF49', NULL, NULL, NULL, NULL, 'ZINC FINGER X-CHROMOSOMAL PROTEIN', NULL, NULL, NULL, 15),
(193747, NULL, 'PTHR23167:SF69', NULL, NULL, NULL, NULL, 'FI18193P1', NULL, NULL, NULL, 15),
(193748, NULL, 'PTHR12299:SF61', NULL, NULL, NULL, NULL, 'BNAC02G33290D PROTEIN', NULL, NULL, NULL, 15),
(193749, NULL, 'PTHR22765:SF128', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193750, NULL, 'PTHR11886:SF91', NULL, NULL, NULL, NULL, 'DYNEIN LIGHT CHAIN-RELATED', NULL, NULL, NULL, 15),
(193751, NULL, 'PTHR45614:SF154', NULL, NULL, NULL, NULL, 'TRANSCRIPTION FACTOR MYB98', NULL, NULL, NULL, 15),
(193752, NULL, 'PTHR46367:SF2', NULL, NULL, NULL, NULL, 'ATAXIN-7-LIKE PROTEIN 3', NULL, NULL, NULL, 15);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193753, NULL, 'PTHR11140:SF0', NULL, NULL, NULL, NULL, 'PRE-MRNA-PROCESSING-SPLICING FACTOR 8', NULL, NULL, NULL, 15),
(193754, NULL, 'PTHR47982', NULL, NULL, NULL, NULL, 'PROLINE-RICH RECEPTOR-LIKE PROTEIN KINASE PERK4', NULL, NULL, NULL, 15),
(193755, NULL, 'PTHR33033:SF72', NULL, NULL, NULL, NULL, 'POLYNUCLEOTIDYL TRANSFERASE, RIBONUCLEASE H-LIKE SUPERFAMILY PROTEIN', NULL, NULL, NULL, 15),
(193756, NULL, 'PTHR31071:SF38', NULL, NULL, NULL, NULL, 'INTRACELLULAR PROTEIN TRANSPORT PROTEIN USO1-LIKE PROTEIN', NULL, NULL, NULL, 15),
(193757, NULL, 'PTHR23273:SF75', NULL, NULL, NULL, NULL, 'REPLICATION PROTEIN A 70 KDA DNA-BINDING SUBUNIT C', NULL, NULL, NULL, 15),
(193758, NULL, 'PTHR43406:SF5', NULL, NULL, NULL, NULL, 'PHOSPHATE LYASE, CHLOROPLAST, PUTATIVE, EXPRESSED-RELATED', NULL, NULL, NULL, 15),
(193759, NULL, 'PTHR31236:SF35', NULL, NULL, NULL, NULL, 'ABUNDANT PROTEIN, PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(193760, NULL, 'PTHR38792:SF1', NULL, NULL, NULL, NULL, 'BNR/ASP-BOX REPEAT PROTEIN', NULL, NULL, NULL, 15),
(193761, NULL, 'PTHR32089:SF74', NULL, NULL, NULL, NULL, 'AEROTAXIS RECEPTOR AER', NULL, NULL, NULL, 15),
(193762, NULL, 'PTHR46288:SF32', NULL, NULL, NULL, NULL, 'BNAANNG38420D PROTEIN', NULL, NULL, NULL, 15),
(193763, NULL, 'PTHR45645:SF55', NULL, NULL, NULL, NULL, 'CUBILIN-RELATED', NULL, NULL, NULL, 15),
(193764, NULL, 'PTHR11802:SF364', NULL, NULL, NULL, NULL, 'CARBOXYPEPTIDASE', NULL, NULL, NULL, 15),
(193765, NULL, 'PTHR32344:SF1', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193766, NULL, 'PTHR11309:SF126', NULL, NULL, NULL, NULL, 'FRIZZLED-2', NULL, NULL, NULL, 15),
(193767, NULL, 'PTHR31136:SF6', NULL, NULL, NULL, NULL, 'BNAC08G20280D PROTEIN', NULL, NULL, NULL, 15),
(193768, NULL, 'PTHR43073', NULL, NULL, NULL, NULL, 'DIHYDROPYRIMIDINE DEHYDROGENASE [NADP(+)]', NULL, NULL, 37067, 15),
(193769, NULL, 'PTHR27003:SF303', NULL, NULL, NULL, NULL, 'TYROSINE KINASE FAMILY PROTEIN', NULL, NULL, NULL, 15),
(193770, NULL, 'PTHR11937:SF455', NULL, NULL, NULL, NULL, 'PUTATIVE-RELATED', NULL, NULL, NULL, 15),
(193771, NULL, 'PTHR14383:SF6', NULL, NULL, NULL, NULL, 'SWITCH-ASSOCIATED PROTEIN 70', NULL, NULL, NULL, 15),
(193772, NULL, 'PTHR10366:SF675', NULL, NULL, NULL, NULL, 'SUBFAMILY NOT NAMED', NULL, NULL, NULL, 15),
(193773, NULL, 'PTHR10578:SF133', NULL, NULL, NULL, NULL, 'BNAA01G29580D PROTEIN', NULL, NULL, NULL, 15),
(193774, NULL, 'PTHR11689:SF152', NULL, NULL, NULL, NULL, 'CHLORIDE CHANNEL PROTEIN CLC-C', NULL, NULL, NULL, 15),
(193775, NULL, 'PTHR31875:SF31', NULL, NULL, NULL, NULL, 'PROTEIN DEHYDRATION-INDUCED 19 HOMOLOG 4', NULL, NULL, NULL, 15),
(193776, NULL, 'PTHR33509:SF36', NULL, NULL, NULL, NULL, 'LATE EMBRYOGENESIS ABUNDANT PROTEIN, LEA5-TYPE-RELATED', NULL, NULL, NULL, 15),
(193777, NULL, 'TIGR04033', NULL, NULL, 'export_SdpB: antimicrobial peptide system protein, SdpB family', NULL, 'TIGR04033', NULL, NULL, 17157, 16),
(193778, NULL, 'TIGR02063', NULL, NULL, 'RNase_R: ribonuclease R', NULL, 'TIGR02063', NULL, NULL, 13088, 16),
(193779, NULL, 'TIGR01425', NULL, NULL, 'SRP54_euk: signal recognition particle protein SRP54', NULL, 'TIGR01425', NULL, NULL, 4616, 16),
(193780, NULL, 'TIGR03682', NULL, NULL, 'arCOG04112: diphthamide biosynthesis enzyme Dph2', NULL, 'TIGR03682', NULL, NULL, 16483, 16),
(193781, NULL, 'TIGR01665', NULL, NULL, 'put_anti_recept: phage minor structural protein, N-terminal region', NULL, 'TIGR01665', NULL, NULL, 222, 16),
(193782, NULL, 'TIGR01369', NULL, NULL, 'CPSaseII_lrg: carbamoyl-phosphate synthase, large subunit', NULL, 'TIGR01369', NULL, NULL, 3620, 16),
(193783, NULL, 'TIGR04080', NULL, NULL, 'rSAM_pep_cyc: KxxxW cyclic peptide radical SAM maturase', NULL, 'TIGR04080', NULL, NULL, 11865, 16),
(193784, NULL, 'TIGR03579', NULL, NULL, 'EF_0833: conserved hypothetical protein EF_0833/AHA_3914', NULL, 'TIGR03579', NULL, NULL, 28237, 16),
(193785, NULL, 'TIGR00093', NULL, NULL, 'TIGR00093: pseudouridine synthase', NULL, 'TIGR00093', NULL, NULL, 5077, 16),
(193786, NULL, 'TIGR03202', NULL, NULL, 'pucB: xanthine dehydrogenase accessory protein pucB', NULL, 'TIGR03202', NULL, NULL, 16040, 16);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193787, NULL, 'TIGR02016', NULL, NULL, 'BchX: chlorophyllide reductase iron protein subunit X', NULL, 'TIGR02016', NULL, NULL, 5004, 16),
(193788, NULL, 'TIGR03875', NULL, NULL, 'RNA_lig_partner: RNA ligase partner, MJ_0950 family', NULL, 'TIGR03875', NULL, NULL, 13071, 16),
(193789, NULL, 'TIGR01472', NULL, NULL, 'gmd: GDP-mannose 4,6-dehydratase', NULL, 'TIGR01472', NULL, NULL, 5825, 16),
(193790, NULL, 'TIGR04273', NULL, NULL, 'Y_sulf_Ax21: sulfation-dependent quorum factor, Ax21 family', NULL, 'TIGR04273', NULL, NULL, 26394, 16),
(193791, NULL, 'TIGR01618', NULL, NULL, 'phage_P_loop: phage nucleotide-binding protein', NULL, 'TIGR01618', NULL, NULL, 7223, 16),
(193792, NULL, 'TIGR00286', NULL, NULL, 'TIGR00286: arginine decarboxylase, pyruvoyl-dependent', NULL, 'TIGR00286', NULL, NULL, 3660, 16),
(193793, NULL, 'TIGR01721', NULL, NULL, 'AMN-like: putative AMP nucleosidase', NULL, 'TIGR01721', NULL, NULL, 1626, 16),
(193794, NULL, 'TIGR00538', NULL, NULL, 'hemN: oxygen-independent coproporphyrinogen III oxidase', NULL, 'TIGR00538', NULL, NULL, 4196, 16),
(193795, NULL, 'TIGR00046', NULL, NULL, 'TIGR00046: RNA methyltransferase, RsmE family', NULL, 'TIGR00046', NULL, NULL, 2107, 16),
(193796, NULL, 'TIGR01961', NULL, NULL, 'NuoC_fam: NADH (or F420H2) dehydrogenase, subunit C', NULL, 'TIGR01961', NULL, NULL, 4317, 16),
(193797, NULL, 'TIGR02209', NULL, NULL, 'ftsL_broad: cell division protein FtsL', NULL, 'TIGR02209', NULL, NULL, 11185, 16),
(193798, NULL, 'TIGR03828', NULL, NULL, 'pfkB: 1-phosphofructokinase', NULL, 'TIGR03828', NULL, NULL, 16106, 16),
(193799, NULL, 'TIGR04466', NULL, NULL, 'rSAM_BlsE: cytosylglucuronate decarboxylase', NULL, 'TIGR04466', NULL, NULL, 27691, 16),
(193800, NULL, 'TIGR01129', NULL, NULL, 'secD: protein-export membrane protein SecD', NULL, 'TIGR01129', NULL, NULL, 5699, 16),
(193801, NULL, 'TIGR00881', NULL, NULL, '2A0104: phosphoglycerate transporter family protein', NULL, 'TIGR00881', NULL, NULL, NULL, 16),
(193802, NULL, 'TIGR04226', NULL, NULL, 'RrgB_K2N_iso_D2: fimbrial isopeptide formation D2 domain', NULL, 'TIGR04226', NULL, NULL, 27117, 16),
(193803, NULL, 'TIGR02804', NULL, NULL, 'ExbD_2: TonB system transport protein ExbD', NULL, 'TIGR02804', NULL, NULL, 8785, 16),
(193804, NULL, 'TIGR03442', NULL, NULL, 'TIGR03442: ergothioneine biosynthesis protein EgtC', NULL, 'TIGR03442', NULL, NULL, 19922, 16),
(193805, NULL, 'TIGR02552', NULL, NULL, 'LcrH_SycD: type III secretion low calcium response chaperone LcrH/SycD', NULL, 'TIGR02552', NULL, NULL, 7385, 16),
(193806, NULL, 'TIGR03193', NULL, NULL, '4hydroxCoAred: 4-hydroxybenzoyl-CoA reductase, gamma subunit', NULL, 'TIGR03193', NULL, NULL, 16082, 16),
(193807, NULL, 'TIGR02611', NULL, NULL, 'TIGR02611: TIGR02611 family protein', NULL, 'TIGR02611', NULL, NULL, 9164, 16),
(193808, NULL, 'TIGR00479', NULL, NULL, 'rumA: 23S rRNA (uracil-5-)-methyltransferase RumA', NULL, 'TIGR00479', NULL, NULL, NULL, 16),
(193809, NULL, 'TIGR03635', NULL, NULL, 'uS17_bact: ribosomal protein uS17', NULL, 'TIGR03635', NULL, NULL, 17920, 16),
(193810, NULL, 'TIGR02988', NULL, NULL, 'YaaA_near_RecF: S4 domain protein YaaA', NULL, 'TIGR02988', NULL, NULL, 10384, 16),
(193811, NULL, 'TIGR04525', NULL, NULL, 'prot_M_MG281: IgG-blocking protein M', NULL, 'TIGR04525', NULL, NULL, 26782, 16),
(193812, NULL, 'TIGR02315', NULL, NULL, 'ABC_phnC: phosphonate ABC transporter, ATP-binding protein', NULL, 'TIGR02315', NULL, NULL, 11888, 16),
(193813, NULL, 'TIGR03143', NULL, NULL, 'AhpF_homolog: putative alkyl hydroperoxide reductase F subunit', NULL, 'TIGR03143', NULL, NULL, 15853, 16),
(193814, NULL, 'TIGR02505', NULL, NULL, 'RTPR: ribonucleoside-triphosphate reductase, adenosylcobalamin-dependent', NULL, 'TIGR02505', NULL, NULL, 18906, 16),
(193815, NULL, 'TIGR03383', NULL, NULL, 'urate_oxi: urate oxidase', NULL, 'TIGR03383', NULL, NULL, 1428, 16),
(193816, NULL, 'TIGR01173', NULL, NULL, 'glmU: UDP-N-acetylglucosamine diphosphorylase/glucosamine-1-phosphate N-acetyltransferase', NULL, 'TIGR01173', NULL, NULL, 6560, 16),
(193817, NULL, 'TIGR00105', NULL, NULL, 'L31: ribosomal protein bL31', NULL, 'TIGR00105', NULL, NULL, 5012, 16);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193818, NULL, 'TIGR00535', NULL, NULL, 'SAM_DCase: S-adenosylmethionine decarboxylase proenzyme', NULL, 'TIGR00535', NULL, NULL, 5174, 16),
(193819, NULL, 'TIGR02362', NULL, NULL, 'dhaK1b: probable dihydroxyacetone kinase DhaK1b subunit', NULL, 'TIGR02362', NULL, NULL, 11603, 16),
(193820, NULL, 'TIGR00345', NULL, NULL, 'GET3_arsA_TRC40: transport-energizing ATPase, TRC40/GET3/ArsA family', NULL, 'TIGR00345', NULL, NULL, 19546, 16),
(193821, NULL, 'TIGR02499', NULL, NULL, 'HrpE_YscL_not: type III secretion apparatus protein, HrpE/YscL family', NULL, 'TIGR02499', NULL, NULL, 12535, 16),
(193822, NULL, 'TIGR02689', NULL, NULL, 'ars_reduc_gluta: arsenate reductase, glutathione/glutaredoxin type', NULL, 'TIGR02689', NULL, NULL, 13613, 16),
(193823, NULL, 'TIGR03934', NULL, NULL, 'TQXA_dom: TQXA domain', NULL, 'TIGR03934', NULL, NULL, 17327, 16),
(193824, NULL, 'TIGR01724', NULL, NULL, 'hmd_rel: H2-forming N(5),N(10)-methenyltetrahydromethanopterin dehydrogenase-related protein', NULL, 'TIGR01724', NULL, NULL, 6488, 16),
(193825, NULL, 'TIGR01914', NULL, NULL, 'cas_Csa4: CRISPR-associated protein Cas8a2/Csa4, subtype I-A/APERN', NULL, 'TIGR01914', NULL, NULL, 4155, 16),
(193826, NULL, 'TIGR02748', NULL, NULL, 'GerC3_HepT: heptaprenyl diphosphate synthase component II', NULL, 'TIGR02748', NULL, NULL, 13771, 16),
(193827, NULL, 'TIGR02792', NULL, NULL, 'PCA_ligA: protocatechuate 4,5-dioxygenase, alpha subunit', NULL, 'TIGR02792', NULL, NULL, 14404, 16),
(193828, NULL, 'TIGR02938', NULL, NULL, 'nifL_nitrog: nitrogen fixation negative regulator NifL', NULL, 'TIGR02938', NULL, NULL, 9284, 16),
(193829, NULL, 'TIGR00968', NULL, NULL, '3a0106s01: sulfate ABC transporter, ATP-binding protein', NULL, 'TIGR00968', NULL, NULL, 3595, 16),
(193830, NULL, 'TIGR02851', NULL, NULL, 'spore_V_T: stage V sporulation protein T', NULL, 'TIGR02851', NULL, NULL, 9145, 16),
(193831, NULL, 'TIGR00641', NULL, NULL, 'acid_CoA_mut_N: methylmalonyl-CoA mutase N-terminal domain', NULL, 'TIGR00641', NULL, NULL, 2595, 16),
(193832, NULL, 'TIGR03981', NULL, NULL, 'SAM_quin_mod: His-Xaa-Ser system putative quinone modification maturase', NULL, 'TIGR03981', NULL, NULL, 8345, 16),
(193833, NULL, 'TIGR00778', NULL, NULL, 'ahpD_dom: alkylhydroperoxidase AhpD family core domain', NULL, 'TIGR00778', NULL, NULL, 2903, 16),
(193834, NULL, 'TIGR02066', NULL, NULL, 'dsrB: sulfite reductase, dissimilatory-type beta subunit', NULL, 'TIGR02066', NULL, NULL, 13238, 16),
(193835, NULL, 'TIGR03529', NULL, NULL, 'GldK_short: gliding motility-associated lipoprotein GldK', NULL, 'TIGR03529', NULL, NULL, 17060, 16),
(193836, NULL, 'TIGR00831', NULL, NULL, 'a_cpa1: Na+/H+ antiporter', NULL, 'TIGR00831', NULL, NULL, 3756, 16),
(193837, NULL, 'TIGR02197', NULL, NULL, 'heptose_epim: ADP-glyceromanno-heptose 6-epimerase', NULL, 'TIGR02197', NULL, NULL, 12012, 16),
(193838, NULL, 'TIGR01422', NULL, NULL, 'phosphonatase: phosphonoacetaldehyde hydrolase', NULL, 'TIGR01422', NULL, NULL, 4712, 16),
(193839, NULL, 'TIGR01232', NULL, NULL, 'lacD: tagatose 1,6-diphosphate aldolase', NULL, 'TIGR01232', NULL, NULL, 186, 16),
(193840, NULL, 'TIGR03339', NULL, NULL, 'phn_lysR: aminoethylphosphonate catabolism associated LysR family transcriptional regulator', NULL, 'TIGR03339', NULL, NULL, 18786, 16),
(193841, NULL, 'TIGR02256', NULL, NULL, 'ICE_VC0181: conserved hypothetical protein', NULL, 'TIGR02256', NULL, NULL, 11155, 16),
(193842, NULL, 'TIGR00392', NULL, NULL, 'ileS: isoleucine--tRNA ligase', NULL, 'TIGR00392', NULL, NULL, 6968, 16),
(193843, NULL, 'TIGR04463', NULL, NULL, 'rSAM_vs_C_rich: radical SAM/SPASM domain protein maturase', NULL, 'TIGR04463', NULL, NULL, 27886, 16),
(193844, NULL, 'TIGR03825', NULL, NULL, 'FliH_bacil: flagellar assembly protein FliH', NULL, 'TIGR03825', NULL, NULL, 16956, 16),
(193845, NULL, 'TIGR04083', NULL, NULL, 'rSAM_pep_methan: putative peptide-modifying radical SAM enzyme, Mhun_1560 family', NULL, 'TIGR04083', NULL, NULL, 11984, 16),
(193846, NULL, 'TIGR02013', NULL, NULL, 'rpoB: DNA-directed RNA polymerase, beta subunit', NULL, 'TIGR02013', NULL, NULL, 5251, 16);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193847, NULL, 'TIGR00043', NULL, NULL, 'TIGR00043: rRNA maturation RNase YbeY', NULL, 'TIGR00043', NULL, NULL, 2356, 16),
(193848, NULL, 'TIGR01475', NULL, NULL, 'ubiA_other: putative 4-hydroxybenzoate polyprenyltransferase', NULL, 'TIGR01475', NULL, NULL, 5801, 16),
(193849, NULL, 'TIGR01855', NULL, NULL, 'IMP_synth_hisH: imidazole glycerol phosphate synthase, glutamine amidotransferase subunit', NULL, 'TIGR01855', NULL, NULL, 10905, 16),
(193850, NULL, 'TIGR00700', NULL, NULL, 'GABAtrnsam: 4-aminobutyrate transaminase', NULL, 'TIGR00700', NULL, NULL, 2568, 16),
(193851, NULL, 'TIGR02854', NULL, NULL, 'spore_II_GA: sigma-E processing peptidase SpoIIGA', NULL, 'TIGR02854', NULL, NULL, 10203, 16),
(193852, NULL, 'TIGR03492', NULL, NULL, 'TIGR03492: conserved hypothetical protein', NULL, 'TIGR03492', NULL, NULL, 17301, 16),
(193853, NULL, 'TIGR02493', NULL, NULL, 'PFLA: pyruvate formate-lyase 1-activating enzyme', NULL, 'TIGR02493', NULL, NULL, 12678, 16),
(193854, NULL, 'TIGR01179', NULL, NULL, 'galE: UDP-glucose 4-epimerase GalE', NULL, 'TIGR01179', NULL, NULL, 6623, 16),
(193855, NULL, 'TIGR01559', NULL, NULL, 'squal_synth: farnesyl-diphosphate farnesyltransferase', NULL, 'TIGR01559', NULL, NULL, 6504, 16),
(193856, NULL, 'TIGR04036', NULL, NULL, 'LLM_CE1758_fam: putative luciferase-like monooxygenase, FMN-dependent, CE1758 family', NULL, 'TIGR04036', NULL, NULL, 7837, 16),
(193857, NULL, 'TIGR02910', NULL, NULL, 'sulfite_red_A: sulfite reductase, subunit A', NULL, 'TIGR02910', NULL, NULL, 11642, 16),
(193858, NULL, 'TIGR03084', NULL, NULL, 'TIGR03084: TIGR03084 family protein', NULL, 'TIGR03084', NULL, NULL, 15295, 16),
(193859, NULL, 'TIGR00090', NULL, NULL, 'rsfS_iojap_ybeB: ribosome silencing factor', NULL, 'TIGR00090', NULL, NULL, 5835, 16),
(193860, NULL, 'TIGR03685', NULL, NULL, 'ribo_P1_arch: 50S ribosomal protein P1', NULL, 'TIGR03685', NULL, NULL, 15931, 16),
(193861, NULL, 'TIGR02807', NULL, NULL, 'cas6_cmx6: CRISPR-associated protein Cas6, subtype MYXAN', NULL, 'TIGR02807', NULL, NULL, 8669, 16),
(193862, NULL, 'TIGR00884', NULL, NULL, 'guaA_Cterm: GMP synthase (glutamine-hydrolyzing), C-terminal domain', NULL, 'TIGR00884', NULL, NULL, 3014, 16),
(193863, NULL, 'TIGR01531', NULL, NULL, 'glyc_debranch: glycogen debranching enzyme', NULL, 'TIGR01531', NULL, NULL, 6987, 16),
(193864, NULL, 'TIGR01911', NULL, NULL, 'HesB_rel_seleno: HesB-like selenoprotein', NULL, 'TIGR01911', NULL, NULL, 2234, 16),
(193865, NULL, 'TIGR02686', NULL, NULL, 'relax_trwC: conjugative relaxase domain', NULL, 'TIGR02686', NULL, NULL, 13705, 16),
(193866, NULL, 'TIGR00728', NULL, NULL, 'OPT_sfam: oligopeptide transporter, OPT superfamily', NULL, 'TIGR00728', NULL, NULL, 4313, 16),
(193867, NULL, 'TIGR03638', NULL, NULL, 'cas1_ECOLI: CRISPR-associated endonuclease Cas1, subtype I-E/ECOLI', NULL, 'TIGR03638', NULL, NULL, 15144, 16),
(193868, NULL, 'TIGR03501', NULL, NULL, 'GlyGly_CTERM: GlyGly-CTERM domain', NULL, 'TIGR03501', NULL, NULL, 17122, 16),
(193869, NULL, 'TIGR04276', NULL, NULL, 'FxsC_Cterm: FxsC C-terminal domain', NULL, 'TIGR04276', NULL, NULL, 26073, 16),
(193870, NULL, 'TIGR00940', NULL, NULL, '2a6301s01: monovalent cation:proton antiporter', NULL, 'TIGR00940', NULL, NULL, 3950, 16),
(193871, NULL, 'TIGR03140', NULL, NULL, 'AhpF: alkyl hydroperoxide reductase subunit F', NULL, 'TIGR03140', NULL, NULL, 12701, 16),
(193872, NULL, 'TIGR04416', NULL, NULL, 'group_II_RT_mat: group II intron reverse transcriptase/maturase', NULL, 'TIGR04416', NULL, NULL, 28736, 16),
(193873, NULL, 'TIGR01319', NULL, NULL, 'glmL_fam: conserved hypothetical protein', NULL, 'TIGR01319', NULL, NULL, 11368, 16),
(193874, NULL, 'TIGR00289', NULL, NULL, 'TIGR00289: TIGR00289 family protein', NULL, 'TIGR00289', NULL, NULL, 11301, 16),
(193875, NULL, 'TIGR00669', NULL, NULL, 'asnA: aspartate--ammonia ligase', NULL, 'TIGR00669', NULL, NULL, 2210, 16),
(193876, NULL, 'TIGR03445', NULL, NULL, 'mycothiol_MshB: N-acetyl-1-D-myo-inositol-2-amino-2-deoxy-alpha-D-glucopyranoside deacetylase', NULL, 'TIGR03445', NULL, NULL, 19703, 16);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193877, NULL, 'TIGR00348', NULL, NULL, 'hsdR: type I site-specific deoxyribonuclease, HsdR family', NULL, 'TIGR00348', NULL, NULL, 7035, 16),
(193878, NULL, 'TIGR01774', NULL, NULL, 'PFL2-3: glycyl radical enzyme, PFL2/glycerol dehydratase family', NULL, 'TIGR01774', NULL, NULL, 2268, 16),
(193879, NULL, 'TIGR02745', NULL, NULL, 'ccoG_rdxA_fixG: cytochrome c oxidase accessory protein CcoG', NULL, 'TIGR02745', NULL, NULL, 13633, 16),
(193880, NULL, 'TIGR02795', NULL, NULL, 'tol_pal_ybgF: tol-pal system protein YbgF', NULL, 'TIGR02795', NULL, NULL, 14352, 16),
(193881, NULL, 'TIGR01123', NULL, NULL, 'ilvE_II: branched-chain amino acid aminotransferase', NULL, 'TIGR01123', NULL, NULL, 5967, 16),
(193882, NULL, 'TIGR00395', NULL, NULL, 'leuS_arch: leucine--tRNA ligase', NULL, 'TIGR00395', NULL, NULL, 1598, 16),
(193883, NULL, 'TIGR00239', NULL, NULL, '2oxo_dh_E1: oxoglutarate dehydrogenase (succinyl-transferring), E1 component', NULL, 'TIGR00239', NULL, NULL, 11006, 16),
(193884, NULL, 'TIGR03190', NULL, NULL, 'benz_CoA_bzdN: benzoyl-CoA reductase, bzd-type, N subunit', NULL, 'TIGR03190', NULL, NULL, 16487, 16),
(193885, NULL, 'TIGR02259', NULL, NULL, 'benz_CoA_red_A: benzoyl-CoA reductase, subunit A', NULL, 'TIGR02259', NULL, NULL, 11360, 16),
(193886, NULL, 'TIGR04522', NULL, NULL, 'EcfS_MSC_0063: putative energy coupling factor transporter S component', NULL, 'TIGR04522', NULL, NULL, 26900, 16),
(193887, NULL, 'TIGR02502', NULL, NULL, 'type_III_YscX: type III secretion protein, YscX family', NULL, 'TIGR02502', NULL, NULL, 13340, 16),
(193888, NULL, 'TIGR03336', NULL, NULL, 'IOR_alpha: indolepyruvate ferredoxin oxidoreductase, alpha subunit', NULL, 'TIGR03336', NULL, NULL, 18297, 16),
(193889, NULL, 'TIGR02365', NULL, NULL, 'dha_L_ycgS: dihydroxyacetone kinase, L subunit', NULL, 'TIGR02365', NULL, NULL, 9154, 16),
(193890, NULL, 'TIGR00152', NULL, NULL, 'TIGR00152: dephospho-CoA kinase', NULL, 'TIGR00152', NULL, NULL, 4417, 16),
(193891, NULL, 'TIGR00532', NULL, NULL, 'HMG_CoA_R_NAD: hydroxymethylglutaryl-CoA reductase, degradative', NULL, 'TIGR00532', NULL, NULL, 726, 16),
(193892, NULL, 'TIGR04142', NULL, NULL, 'PCisTranLspir: putative peptidyl-prolyl cis-trans isomerase, LIC12922 family', NULL, 'TIGR04142', NULL, NULL, 21903, 16),
(193893, NULL, 'TIGR04229', NULL, NULL, 'geopeptide: putative radical SAM-modified peptide', NULL, 'TIGR04229', NULL, NULL, 23487, 16),
(193894, NULL, 'TIGR00211', NULL, NULL, 'glyS: glycine--tRNA ligase, beta subunit', NULL, 'TIGR00211', NULL, NULL, 8361, 16),
(193895, NULL, 'TIGR03551', NULL, NULL, 'F420_cofH: 7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase, CofH subunit', NULL, 'TIGR03551', NULL, NULL, 18483, 16),
(193896, NULL, 'TIGR03931', NULL, NULL, 'T7SS_Rv3446c: type VII secretion-associated protein, Rv3446c family', NULL, 'TIGR03931', NULL, NULL, 17063, 16),
(193897, NULL, 'TIGR01366', NULL, NULL, 'serC_3: putative phosphoserine aminotransferase', NULL, 'TIGR01366', NULL, NULL, 3884, 16),
(193898, NULL, 'TIGR02318', NULL, NULL, 'phosphono_phnM: phosphonate metabolism protein PhnM', NULL, 'TIGR02318', NULL, NULL, 11649, 16),
(193899, NULL, 'TIGR03277', NULL, NULL, 'methan_mark_9: putative methanogenesis marker domain 9', NULL, 'TIGR03277', NULL, NULL, 17236, 16),
(193900, NULL, 'TIGR02122', NULL, NULL, 'TRAP_TAXI: TRAP transporter solute receptor, TAXI family', NULL, 'TIGR02122', NULL, NULL, 14179, 16),
(193901, NULL, 'TIGR02639', NULL, NULL, 'ClpA: ATP-dependent Clp protease ATP-binding subunit ClpA', NULL, 'TIGR02639', NULL, NULL, 9304, 16),
(193902, NULL, 'TIGR03872', NULL, NULL, 'cytochrome_MoxG: cytochrome c(L), periplasmic', NULL, 'TIGR03872', NULL, NULL, 9633, 16),
(193903, NULL, 'TIGR02960', NULL, NULL, 'SigX5: RNA polymerase sigma-70 factor, TIGR02960 family', NULL, 'TIGR02960', NULL, NULL, 9877, 16),
(193904, NULL, 'TIGR00775', NULL, NULL, 'NhaD: Na+/H+ antiporter, NhaD family', NULL, 'TIGR00775', NULL, NULL, 2797, 16),
(193905, NULL, 'TIGR01727', NULL, NULL, 'oligo_HPY: oligopeptide/dipeptide ABC transporter, ATP-binding protein, C-terminal domain', NULL, 'TIGR01727', NULL, NULL, 13279, 16);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193906, NULL, 'TIGR01170', NULL, NULL, 'rplA_mito: ribosomal protein uL1, mitochondrial', NULL, 'TIGR01170', NULL, NULL, 6902, 16),
(193907, NULL, 'TIGR01989', NULL, NULL, 'COQ6: ubiquinone biosynthesis monooxygenase COQ6', NULL, 'TIGR01989', NULL, NULL, 3551, 16),
(193908, NULL, 'TIGR00834', NULL, NULL, 'ae: anion exchange protein', NULL, 'TIGR00834', NULL, NULL, 387, 16),
(193909, NULL, 'TIGR01668', NULL, NULL, 'YqeG_hyp_ppase: HAD phosphatase, family IIIA', NULL, 'TIGR01668', NULL, NULL, 5268, 16),
(193910, NULL, 'TIGR04413', NULL, NULL, 'MYXAN_cmx8: CRISPR type MYXAN-associated protein Cmx8', NULL, 'TIGR04413', NULL, NULL, 28461, 16),
(193911, NULL, 'TIGR00280', NULL, NULL, 'eL43_euk_arch: ribosomal protein eL43', NULL, 'TIGR00280', NULL, NULL, 2967, 16),
(193912, NULL, 'TIGR00647', NULL, NULL, 'DNA_bind_WhiA: DNA-binding protein WhiA', NULL, 'TIGR00647', NULL, NULL, 3055, 16),
(193913, NULL, 'TIGR01092', NULL, NULL, 'P5CS: delta l-pyrroline-5-carboxylate synthetase', NULL, 'TIGR01092', NULL, NULL, 4950, 16),
(193914, NULL, 'TIGR01805', NULL, NULL, 'CM_mono_grmpos: chorismate mutase', NULL, 'TIGR01805', NULL, NULL, 10160, 16),
(193915, NULL, 'TIGR02683', NULL, NULL, 'upstrm_HI1419: putative addiction module killer protein', NULL, 'TIGR02683', NULL, NULL, 13678, 16),
(193916, NULL, 'TIGR00510', NULL, NULL, 'lipA: lipoyl synthase', NULL, 'TIGR00510', NULL, NULL, 2427, 16),
(193917, NULL, 'TIGR00887', NULL, NULL, '2A0109: phosphate:H+ symporter', NULL, 'TIGR00887', NULL, NULL, 5151, 16),
(193918, NULL, 'TIGR02443', NULL, NULL, 'TIGR02443: conserved hypothetical protein', NULL, 'TIGR02443', NULL, NULL, 10721, 16),
(193919, NULL, 'TIGR03822', NULL, NULL, 'AblA_like_2: lysine-2,3-aminomutase-related protein', NULL, 'TIGR03822', NULL, NULL, 21284, 16),
(193920, NULL, 'TIGR00214', NULL, NULL, 'lipB: lipoyl(octanoyl) transferase', NULL, 'TIGR00214', NULL, NULL, 5998, 16),
(193921, NULL, 'TIGR03199', NULL, NULL, 'pucC: xanthine dehydrogenase C subunit', NULL, 'TIGR03199', NULL, NULL, 16456, 16),
(193922, NULL, 'TIGR00177', NULL, NULL, 'molyb_syn: molybdenum cofactor synthesis domain', NULL, 'TIGR00177', NULL, NULL, 6324, 16),
(193923, NULL, 'TIGR02250', NULL, NULL, 'FCP1_euk: FCP1-like phosphatase, phosphatase domain', NULL, 'TIGR02250', NULL, NULL, 11178, 16),
(193924, NULL, 'TIGR00990', NULL, NULL, '3a0801s09: mitochondrial precursor proteins import receptor', NULL, 'TIGR00990', NULL, NULL, 3509, 16),
(193925, NULL, 'TIGR02147', NULL, NULL, 'Fsuc_second: TIGR02147 family protein', NULL, 'TIGR02147', NULL, NULL, 14063, 16),
(193926, NULL, 'TIGR03274', NULL, NULL, 'methan_mark_7: putative methanogenesis marker protein 7', NULL, 'TIGR03274', NULL, NULL, 10518, 16),
(193927, NULL, 'TIGR01045', NULL, NULL, 'RPE1: rickettsial palindromic element RPE1 domain', NULL, 'TIGR01045', NULL, NULL, 4583, 16),
(193928, NULL, 'TIGR02720', NULL, NULL, 'pyruv_oxi_spxB: pyruvate oxidase', NULL, 'TIGR02720', NULL, NULL, 14348, 16),
(193929, NULL, 'TIGR01852', NULL, NULL, 'lipid_A_lpxA: acyl-[acyl-carrier-protein]-UDP-N-acetylglucosamine O-acyltransferase', NULL, 'TIGR01852', NULL, NULL, 10735, 16),
(193930, NULL, 'TIGR02617', NULL, NULL, 'tnaA_trp_ase: tryptophanase', NULL, 'TIGR02617', NULL, NULL, 9066, 16),
(193931, NULL, 'TIGR02471', NULL, NULL, 'sucr_syn_bact_C: sucrose-phosphate synthase, sucrose phosphatase-like domain', NULL, 'TIGR02471', NULL, NULL, 12554, 16),
(193932, NULL, 'TIGR01238', NULL, NULL, 'D1pyr5carbox3: delta-1-pyrroline-5-carboxylate dehydrogenase', NULL, 'TIGR01238', NULL, NULL, 32, 16),
(193933, NULL, 'TIGR04357', NULL, NULL, 'CofD_rel_GAK: CofD-related protein, GAK system', NULL, 'TIGR04357', NULL, NULL, 24487, 16),
(193934, NULL, 'TIGR03448', NULL, NULL, 'mycothiol_MshD: mycothiol synthase', NULL, 'TIGR03448', NULL, NULL, 19732, 16),
(193935, NULL, 'TIGR00426', NULL, NULL, 'TIGR00426: competence protein ComEA helix-hairpin-helix repeat region', NULL, 'TIGR00426', NULL, NULL, 1764, 16),
(193936, NULL, 'TIGR03688', NULL, NULL, 'pupylate_PafA2: proteasome accessory factor PafA2', NULL, 'TIGR03688', NULL, NULL, 21058, 16);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193937, NULL, 'TIGR04220', NULL, NULL, 'patB_acyB_mcaB: cyanobactin biosynthesis protein, PatB/AcyB/McaB family', NULL, 'TIGR04220', NULL, NULL, 27479, 16),
(193938, NULL, 'TIGR03311', NULL, NULL, 'Se_dep_XDH: selenium-dependent xanthine dehydrogenase', NULL, 'TIGR03311', NULL, NULL, 17812, 16),
(193939, NULL, 'TIGR00750', NULL, NULL, 'lao: LAO/AO transport system ATPase', NULL, 'TIGR00750', NULL, NULL, 7491, 16),
(193940, NULL, 'TIGR03062', NULL, NULL, 'pip_yhgE_Cterm: YhgE/Pip C-terminal domain', NULL, 'TIGR03062', NULL, NULL, 21802, 16),
(193941, NULL, 'TIGR03959', NULL, NULL, 'hyd_TM1266: putative iron-only hydrogenase system regulator', NULL, 'TIGR03959', NULL, NULL, 17768, 16),
(193942, NULL, 'TIGR00040', NULL, NULL, 'yfcE: phosphodiesterase, MJ0936 family', NULL, 'TIGR00040', NULL, NULL, 3223, 16),
(193943, NULL, 'TIGR00099', NULL, NULL, 'Cof-subfamily: Cof-like hydrolase', NULL, 'TIGR00099', NULL, NULL, 3938, 16),
(193944, NULL, 'TIGR00859', NULL, NULL, 'ENaC: sodium channel transporter', NULL, 'TIGR00859', NULL, NULL, 3966, 16),
(193945, NULL, 'TIGR01316', NULL, NULL, 'gltA: glutamate synthase (NADPH), homotetrameric', NULL, 'TIGR01316', NULL, NULL, 1171, 16),
(193946, NULL, 'TIGR02857', NULL, NULL, 'CydD: thiol reductant ABC exporter, CydD subunit', NULL, 'TIGR02857', NULL, NULL, 10726, 16),
(193947, NULL, 'TIGR01581', NULL, NULL, 'Mo_ABC_porter: NifC-like ABC-type porter', NULL, 'TIGR01581', NULL, NULL, 6275, 16),
(193948, NULL, 'TIGR02932', NULL, NULL, 'vnfK_nitrog: V-containing nitrogenase, beta subunit', NULL, 'TIGR02932', NULL, NULL, 8628, 16),
(193949, NULL, 'TIGR04279', NULL, NULL, 'TIGR04279: TIGR04279 domain', NULL, 'TIGR04279', NULL, NULL, 24403, 16),
(193950, NULL, 'TIGR03766', NULL, NULL, 'TIGR03766: conserved hypothetical integral membrane protein', NULL, 'TIGR03766', NULL, NULL, 16947, 16),
(193951, NULL, 'TIGR04145', NULL, NULL, 'Firmicu_CTERM: Firmicu-CTERM domain', NULL, 'TIGR04145', NULL, NULL, 21983, 16),
(193952, NULL, 'TIGR04335', NULL, NULL, 'AmmeMemoSam_A: AmmeMemoRadiSam system protein A', NULL, 'TIGR04335', NULL, NULL, 23959, 16),
(193953, NULL, 'TIGR03523', NULL, NULL, 'GldN: gliding motility associated protein GldN', NULL, 'TIGR03523', NULL, NULL, 15049, 16),
(193954, NULL, 'TIGR00962', NULL, NULL, 'atpA: ATP synthase F1, alpha subunit', NULL, 'TIGR00962', NULL, NULL, 4025, 16),
(193955, NULL, 'TIGR01344', NULL, NULL, 'malate_syn_A: malate synthase A', NULL, 'TIGR01344', NULL, NULL, 3828, 16),
(193956, NULL, 'TIGR02172', NULL, NULL, 'Fb_sc_TIGR02172: fibrobacter succinogenes paralogous family TIGR02172', NULL, 'TIGR02172', NULL, NULL, 16135, 16),
(193957, NULL, 'TIGR01880', NULL, NULL, 'Ac-peptdase-euk: N-acyl-L-amino-acid amidohydrolase', NULL, 'TIGR01880', NULL, NULL, 10761, 16),
(193958, NULL, 'TIGR03554', NULL, NULL, 'F420_G6P_DH: glucose-6-phosphate dehydrogenase (coenzyme-F420)', NULL, 'TIGR03554', NULL, NULL, 18104, 16),
(193959, NULL, 'TIGR03744', NULL, NULL, 'traC_PFL_4706: conjugative transfer ATPase, PFL_4706 family', NULL, 'TIGR03744', NULL, NULL, 15609, 16),
(193960, NULL, 'TIGR04114', NULL, NULL, 'tSAM_targ_Cxxx: modification target Cys-rich repeat', NULL, 'TIGR04114', NULL, NULL, 23018, 16),
(193961, NULL, 'TIGR00725', NULL, NULL, 'TIGR00725: TIGR00725 family protein', NULL, 'TIGR00725', NULL, NULL, 4171, 16),
(193962, NULL, 'TIGR02144', NULL, NULL, 'LysX_arch: lysine biosynthesis enzyme LysX', NULL, 'TIGR02144', NULL, NULL, 14366, 16),
(193963, NULL, 'TIGR01017', NULL, NULL, 'rpsD_bact: ribosomal protein uS4', NULL, 'TIGR01017', NULL, NULL, 3936, 16),
(193964, NULL, 'TIGR00753', NULL, NULL, 'undec_PP_bacA: undecaprenyl-diphosphatase UppP', NULL, 'TIGR00753', NULL, NULL, 3474, 16),
(193965, NULL, 'TIGR03850', NULL, NULL, 'bind_CPR_0540: carbohydrate ABC transporter substrate-binding protein, CPR_0540 family', NULL, 'TIGR03850', NULL, NULL, 16369, 16),
(193966, NULL, 'TIGR01796', NULL, NULL, 'CM_mono_aroH: chorismate mutase', NULL, 'TIGR01796', NULL, NULL, 590, 16),
(193967, NULL, 'TIGR01986', NULL, NULL, 'glut_syn_euk: glutathione synthetase', NULL, 'TIGR01986', NULL, NULL, 2883, 16);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193968, NULL, 'TIGR01101', NULL, NULL, 'V_ATP_synt_F: V-type ATPase, F subunit', NULL, 'TIGR01101', NULL, NULL, 4651, 16),
(193969, NULL, 'TIGR02963', NULL, NULL, 'xanthine_xdhA: xanthine dehydrogenase, small subunit', NULL, 'TIGR02963', NULL, NULL, 9585, 16),
(193970, NULL, 'TIGR04441', NULL, NULL, 'lept_O_ant_chp1: surface carbohydrate biosynthesis protein', NULL, 'TIGR04441', NULL, NULL, 28207, 16),
(193971, NULL, 'TIGR02387', NULL, NULL, 'rpoC1_cyan: DNA-directed RNA polymerase, gamma subunit', NULL, 'TIGR02387', NULL, NULL, 9904, 16),
(193972, NULL, 'TIGR02577', NULL, NULL, 'cas_TM1794_Cmr2: CRISPR-associated protein Cas10/Cmr2, subtype III-B', NULL, 'TIGR02577', NULL, NULL, 9150, 16),
(193973, NULL, 'TIGR00320', NULL, NULL, 'dfx_rbo: desulfoferrodoxin', NULL, 'TIGR00320', NULL, NULL, 5240, 16),
(193974, NULL, 'TIGR03018', NULL, NULL, 'pepcterm_TyrKin: exopolysaccharide/PEP-CTERM locus tyrosine autokinase', NULL, 'TIGR03018', NULL, NULL, NULL, 16),
(193975, NULL, 'TIGR03208', NULL, NULL, 'cyc_hxne_CoA_lg: cyclohexanecarboxylate-CoA ligase', NULL, 'TIGR03208', NULL, NULL, 16373, 16),
(193976, NULL, 'TIGR01553', NULL, NULL, 'formate-DH-alph: formate dehydrogenase-N alpha subunit', NULL, 'TIGR01553', NULL, NULL, 6964, 16),
(193977, NULL, 'TIGR03987', NULL, NULL, 'TIGR03987: TIGR03987 family protein', NULL, 'TIGR03987', NULL, NULL, 14578, 16),
(193978, NULL, 'TIGR03031', NULL, NULL, 'cas_csx12: CRISPR system subtype II-B RNA-guided endonuclease Cas9/Csx12', NULL, 'TIGR03031', NULL, NULL, 10161, 16),
(193979, NULL, 'TIGR03205', NULL, NULL, 'pimA: dicarboxylate--CoA ligase PimA', NULL, 'TIGR03205', NULL, NULL, 16045, 16),
(193980, NULL, 'TIGR01235', NULL, NULL, 'pyruv_carbox: pyruvate carboxylase', NULL, 'TIGR01235', NULL, NULL, 54, 16),
(193981, NULL, 'TIGR02253', NULL, NULL, 'CTE7: HAD hydrolase, TIGR02253 family', NULL, 'TIGR02253', NULL, NULL, 11126, 16),
(193982, NULL, 'TIGR03271', NULL, NULL, 'methan_mark_5: putative methanogenesis marker protein 5', NULL, 'TIGR03271', NULL, NULL, 12534, 16),
(193983, NULL, 'TIGR02614', NULL, NULL, 'ftsW: cell division protein FtsW', NULL, 'TIGR02614', NULL, NULL, 9076, 16),
(193984, NULL, 'TIGR03632', NULL, NULL, 'uS11_bact: ribosomal protein uS11', NULL, 'TIGR03632', NULL, NULL, 12402, 16),
(193985, NULL, 'TIGR00283', NULL, NULL, 'arch_pth2: peptidyl-tRNA hydrolase', NULL, 'TIGR00283', NULL, NULL, 5415, 16),
(193986, NULL, 'TIGR00457', NULL, NULL, 'asnS: asparagine--tRNA ligase', NULL, 'TIGR00457', NULL, NULL, 1559, 16),
(193987, NULL, 'TIGR01808', NULL, NULL, 'CM_M_hiGC-arch: chorismate mutase', NULL, 'TIGR01808', NULL, NULL, 2453, 16),
(193988, NULL, 'TIGR01662', NULL, NULL, 'HAD-SF-IIIA: HAD hydrolase, family IIIA', NULL, 'TIGR01662', NULL, NULL, 322, 16),
(193989, NULL, 'TIGR02440', NULL, NULL, 'FadJ: fatty oxidation complex, alpha subunit FadJ', NULL, 'TIGR02440', NULL, NULL, 12945, 16),
(193990, NULL, 'TIGR02281', NULL, NULL, 'clan_AA_DTGA: clan AA aspartic protease, TIGR02281 family', NULL, 'TIGR02281', NULL, NULL, 11394, 16),
(193991, NULL, 'TIGR00096', NULL, NULL, 'TIGR00096: 16S rRNA (cytidine(1402)-2''-O)-methyltransferase', NULL, 'TIGR00096', NULL, NULL, 7255, 16),
(193992, NULL, 'TIGR00856', NULL, NULL, 'pyrC_dimer: dihydroorotase, homodimeric type', NULL, 'TIGR00856', NULL, NULL, 3512, 16),
(193993, NULL, 'TIGR02723', NULL, NULL, 'phenyl_P_alpha: phenylphosphate carboxylase, alpha subunit', NULL, 'TIGR02723', NULL, NULL, 14402, 16),
(193994, NULL, 'TIGR00174', NULL, NULL, 'miaA: tRNA dimethylallyltransferase', NULL, 'TIGR00174', NULL, NULL, 16551, 16),
(193995, NULL, 'TIGR01771', NULL, NULL, 'L-LDH-NAD: L-lactate dehydrogenase', NULL, 'TIGR01771', NULL, NULL, 11082, 16),
(193996, NULL, 'TIGR03878', NULL, NULL, 'thermo_KaiC_2: KaiC domain protein, AF_0795 family', NULL, 'TIGR03878', NULL, NULL, 16121, 16),
(193997, NULL, 'TIGR04547', NULL, NULL, 'Mollicu_LP: MOLPALP family lipoprotein', NULL, 'TIGR04547', NULL, NULL, 26634, 16),
(193998, NULL, 'TIGR01048', NULL, NULL, 'lysA: diaminopimelate decarboxylase', NULL, 'TIGR01048', NULL, NULL, 7447, 16);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(193999, NULL, 'TIGR03196', NULL, NULL, 'pucD: xanthine dehydrogenase D subunit', NULL, 'TIGR03196', NULL, NULL, 16176, 16),
(194000, NULL, 'TIGR04410', NULL, NULL, 'Spiro_T2SS_lipo: type II secretion system-associated lipoprotein', NULL, 'TIGR04410', NULL, NULL, 25656, 16),
(194001, NULL, 'TIGR02041', NULL, NULL, 'CysI: sulfite reductase (NADPH) hemoprotein, beta-component', NULL, 'TIGR02041', NULL, NULL, 13349, 16),
(194002, NULL, 'TIGR00616', NULL, NULL, 'rect: recombinase, phage RecT family', NULL, 'TIGR00616', NULL, NULL, 617, 16),
(194003, NULL, 'TIGR03769', NULL, NULL, 'P_ac_wall_RPT: actinobacterial surface-anchored protein domain', NULL, 'TIGR03769', NULL, NULL, 16184, 16),
(194004, NULL, 'TIGR01447', NULL, NULL, 'recD: exodeoxyribonuclease V, alpha subunit', NULL, 'TIGR01447', NULL, NULL, 4720, 16),
(194005, NULL, 'TIGR01450', NULL, NULL, 'recC: exodeoxyribonuclease V, gamma subunit', NULL, 'TIGR01450', NULL, NULL, 2335, 16),
(194006, NULL, 'TIGR00993', NULL, NULL, '3a0901s04IAP86: chloroplast protein import component Toc86/159, G and M domains', NULL, 'TIGR00993', NULL, NULL, 3609, 16),
(194007, NULL, 'TIGR01126', NULL, NULL, 'pdi_dom: protein disulfide-isomerase domain', NULL, 'TIGR01126', NULL, NULL, 5941, 16),
(194008, NULL, 'TIGR00217', NULL, NULL, 'malQ: 4-alpha-glucanotransferase', NULL, 'TIGR00217', NULL, NULL, 4991, 16),
(194009, NULL, 'TIGR04469', NULL, NULL, 'CGA_synth_rel: CGA synthase-related protein', NULL, 'TIGR04469', NULL, NULL, 27815, 16),
(194010, NULL, 'TIGR02680', NULL, NULL, 'TIGR02680: TIGR02680 family protein', NULL, 'TIGR02680', NULL, NULL, 10419, 16),
(194011, NULL, 'TIGR03956', NULL, NULL, 'rSAM_HydE: [FeFe] hydrogenase H-cluster radical SAM maturase HydE', NULL, 'TIGR03956', NULL, NULL, 15132, 16),
(194012, NULL, 'TIGR02801', NULL, NULL, 'tolR: protein TolR', NULL, 'TIGR02801', NULL, NULL, 8874, 16),
(194013, NULL, 'TIGR04148', NULL, NULL, 'GG_samocin_CFB: radical SAM peptide maturase, GG-Bacteroidales family', NULL, 'TIGR04148', NULL, NULL, 21926, 16),
(194014, NULL, 'TIGR04223', NULL, NULL, 'quorum_AgrD: cyclic lactone autoinducer peptide', NULL, 'TIGR04223', NULL, NULL, 12772, 16),
(194015, NULL, 'TIGR03314', NULL, NULL, 'Se_ssnA: putative selenium metabolism protein SsnA', NULL, 'TIGR03314', NULL, NULL, 18464, 16),
(194016, NULL, 'TIGR01313', NULL, NULL, 'therm_gnt_kin: carbohydrate kinase, thermoresistant glucokinase family', NULL, 'TIGR01313', NULL, NULL, 1313, 16),
(194017, NULL, 'TIGR01584', NULL, NULL, 'citF: citrate lyase, alpha subunit', NULL, 'TIGR01584', NULL, NULL, 6042, 16),
(194018, NULL, 'TIGR01917', NULL, NULL, 'gly_red_sel_B: glycine reductase, selenoprotein B', NULL, 'TIGR01917', NULL, NULL, 4200, 16),
(194019, NULL, 'TIGR03420', NULL, NULL, 'DnaA_homol_Hda: DnaA regulatory inactivator Hda', NULL, 'TIGR03420', NULL, NULL, 19387, 16),
(194020, NULL, 'TIGR03557', NULL, NULL, 'F420_G6P_family: F420-dependent oxidoreductase, G6PDH family', NULL, 'TIGR03557', NULL, NULL, 18019, 16),
(194021, NULL, 'TIGR03984', NULL, NULL, 'TIGR03984: CRISPR-associated protein, TIGR03984 family', NULL, 'TIGR03984', NULL, NULL, 14657, 16),
(194022, NULL, 'TIGR02935', NULL, NULL, 'TIGR02935: probable nitrogen fixation protein', NULL, 'TIGR02935', NULL, NULL, 2642, 16),
(194023, NULL, 'TIGR02038', NULL, NULL, 'protease_degS: periplasmic serine peptidase DegS', NULL, 'TIGR02038', NULL, NULL, 13260, 16),
(194024, NULL, 'TIGR04332', NULL, NULL, 'gamma_Glu_sys: poly-gamma-glutamate system protein', NULL, 'TIGR04332', NULL, NULL, 29070, 16),
(194025, NULL, 'TIGR02966', NULL, NULL, 'phoR_proteo: phosphate regulon sensor kinase PhoR', NULL, 'TIGR02966', NULL, NULL, 9529, 16),
(194026, NULL, 'TIGR03380', NULL, NULL, 'agmatine_aguA: agmatine deiminase', NULL, 'TIGR03380', NULL, NULL, 19008, 16),
(194027, NULL, 'TIGR00722', NULL, NULL, 'ttdA_fumA_fumB: hydrolyase, tartrate alpha subunit/fumarate domain protein, Fe-S type', NULL, 'TIGR00722', NULL, NULL, 2629, 16),
(194028, NULL, 'TIGR02069', NULL, NULL, 'cyanophycinase: cyanophycinase', NULL, 'TIGR02069', NULL, NULL, 13028, 16);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194029, NULL, 'TIGR02175', NULL, NULL, 'PorC_KorC: 2-oxoacid:acceptor oxidoreductase, gamma subunit, pyruvate/2-ketoisovalerate family', NULL, 'TIGR02175', NULL, NULL, 8824, 16),
(194030, NULL, 'TIGR04011', NULL, NULL, 'poly_gGlu_PgsC: poly-gamma-glutamate biosynthesis protein PgsC', NULL, 'TIGR04011', NULL, NULL, 7656, 16),
(194031, NULL, 'TIGR04039', NULL, NULL, 'MXAN_0977_Heme2: di-heme enzyme, MXAN_0977 family', NULL, 'TIGR04039', NULL, NULL, 7819, 16),
(194032, NULL, 'TIGR03526', NULL, NULL, 'selenium_YgeY: putative selenium metabolism hydrolase', NULL, 'TIGR03526', NULL, NULL, 18129, 16),
(194033, NULL, 'TIGR01983', NULL, NULL, 'UbiG: 3-demethylubiquinone-9 3-O-methyltransferase', NULL, 'TIGR01983', NULL, NULL, 4166, 16),
(194034, NULL, 'TIGR00323', NULL, NULL, 'eIF-6: putative translation initiation factor eIF-6', NULL, 'TIGR00323', NULL, NULL, 4691, 16),
(194035, NULL, 'TIGR01341', NULL, NULL, 'aconitase_1: aconitate hydratase 1', NULL, 'TIGR01341', NULL, NULL, 3613, 16),
(194036, NULL, 'TIGR01478', NULL, NULL, 'STEVOR: variant surface antigen, stevor family', NULL, 'TIGR01478', NULL, NULL, 5984, 16),
(194037, NULL, 'TIGR01556', NULL, NULL, 'rhamnosyltran: rhamnosyltransferase', NULL, 'TIGR01556', NULL, NULL, 6664, 16),
(194038, NULL, 'TIGR04117', NULL, NULL, 'Syntroph_Cxxx: Cys-Xaa-Xaa-Xaa repeat radical SAM target protein', NULL, 'TIGR04117', NULL, NULL, 24328, 16),
(194039, NULL, 'TIGR00401', NULL, NULL, 'msrA: peptide-methionine (S)-S-oxide reductase', NULL, 'TIGR00401', NULL, NULL, 1753, 16),
(194040, NULL, 'TIGR03741', NULL, NULL, 'PRTRC_E: PRTRC system protein E', NULL, 'TIGR03741', NULL, NULL, 15922, 16),
(194041, NULL, 'TIGR03087', NULL, NULL, 'stp1: sugar transferase, PEP-CTERM/EpsH1 system associated', NULL, 'TIGR03087', NULL, NULL, 15335, 16),
(194042, NULL, 'TIGR02574', NULL, NULL, 'stabl_TIGR02574: putative addiction module component, TIGR02574 family', NULL, 'TIGR02574', NULL, NULL, 9493, 16),
(194043, NULL, 'TIGR02829', NULL, NULL, 'spore_III_AE: stage III sporulation protein AE', NULL, 'TIGR02829', NULL, NULL, 8772, 16),
(194044, NULL, 'TIGR02508', NULL, NULL, 'type_III_yscG: type III secretion protein, YscG family', NULL, 'TIGR02508', NULL, NULL, 18832, 16),
(194045, NULL, 'TIGR02010', NULL, NULL, 'IscR: iron-sulfur cluster assembly transcription factor IscR', NULL, 'TIGR02010', NULL, NULL, 5010, 16),
(194046, NULL, 'TIGR00644', NULL, NULL, 'recJ: single-stranded-DNA-specific exonuclease RecJ', NULL, 'TIGR00644', NULL, NULL, 958, 16),
(194047, NULL, 'TIGR03165', NULL, NULL, 'F1F0_chp_2: F1/F0 ATPase, Methanosarcina type, subunit 2', NULL, 'TIGR03165', NULL, NULL, 16204, 16),
(194048, NULL, 'TIGR00068', NULL, NULL, 'glyox_I: lactoylglutathione lyase', NULL, 'TIGR00068', NULL, NULL, 5569, 16),
(194049, NULL, 'TIGR00965', NULL, NULL, 'dapD: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase', NULL, 'TIGR00965', NULL, NULL, 3862, 16),
(194050, NULL, 'TIGR01799', NULL, NULL, 'CM_T: chorismate mutase', NULL, 'TIGR01799', NULL, NULL, 10182, 16),
(194051, NULL, 'TIGR03221', NULL, NULL, 'muco_delta: muconolactone delta-isomerase', NULL, 'TIGR03221', NULL, NULL, 6317, 16),
(194052, NULL, 'TIGR03598', NULL, NULL, 'GTPase_YsxC: ribosome biogenesis GTP-binding protein YsxC', NULL, 'TIGR03598', NULL, NULL, 12288, 16),
(194053, NULL, 'TIGR02237', NULL, NULL, 'recomb_radB: DNA repair and recombination protein RadB', NULL, 'TIGR02237', NULL, NULL, 11273, 16),
(194054, NULL, 'TIGR02823', NULL, NULL, 'oxido_YhdH: putative quinone oxidoreductase, YhdH/YhfP family', NULL, 'TIGR02823', NULL, NULL, 8740, 16),
(194055, NULL, 'TIGR03461', NULL, NULL, 'pabC_Proteo: aminodeoxychorismate lyase', NULL, 'TIGR03461', NULL, NULL, 19944, 16),
(194056, NULL, 'TIGR02100', NULL, NULL, 'glgX_debranch: glycogen debranching enzyme GlgX', NULL, 'TIGR02100', NULL, NULL, 14493, 16),
(194057, NULL, 'TIGR00074', NULL, NULL, 'hypC_hupF: hydrogenase assembly chaperone HypC/HupF', NULL, 'TIGR00074', NULL, NULL, 1204, 16),
(194058, NULL, 'TIGR03118', NULL, NULL, 'PEPCTERM_chp_1: TIGR03118 family protein', NULL, 'TIGR03118', NULL, NULL, 15127, 16); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194059, NULL, 'TIGR00420', NULL, NULL, 'trmU: tRNA (5-methylaminomethyl-2-thiouridylate)-methyltransferase', NULL, 'TIGR00420', NULL, NULL, 1683, 16),
(194060, NULL, 'TIGR03358', NULL, NULL, 'VI_chp_5: type VI secretion protein, VC_A0107 family', NULL, 'TIGR03358', NULL, NULL, 7950, 16),
(194061, NULL, 'TIGR00797', NULL, NULL, 'matE: MATE efflux family protein', NULL, 'TIGR00797', NULL, NULL, 834, 16),
(194062, NULL, 'TIGR01942', NULL, NULL, 'pcnB: poly(A) polymerase', NULL, 'TIGR01942', NULL, NULL, 4355, 16),
(194063, NULL, 'TIGR03616', NULL, NULL, 'RutG: pyrimidine utilization transport protein G', NULL, 'TIGR03616', NULL, NULL, 15211, 16),
(194064, NULL, 'TIGR00557', NULL, NULL, 'pdxA: 4-hydroxythreonine-4-phosphate dehydrogenase PdxA', NULL, 'TIGR00557', NULL, NULL, 11062, 16),
(194065, NULL, 'TIGR02340', NULL, NULL, 'chap_CCT_alpha: T-complex protein 1, alpha subunit', NULL, 'TIGR02340', NULL, NULL, 11863, 16),
(194066, NULL, 'TIGR01839', NULL, NULL, 'PHA_synth_II: poly(R)-hydroxyalkanoic acid synthase, class II', NULL, 'TIGR01839', NULL, NULL, 10105, 16),
(194067, NULL, 'TIGR01453', NULL, NULL, 'grpIintron_endo: group I intron endonuclease', NULL, 'TIGR01453', NULL, NULL, 4620, 16),
(194068, NULL, 'TIGR01693', NULL, NULL, 'UTase_glnD: protein-P-II uridylyltransferase', NULL, 'TIGR01693', NULL, NULL, 5278, 16),
(194069, NULL, 'TIGR01444', NULL, NULL, 'fkbM_fam: methyltransferase, FkbM family', NULL, 'TIGR01444', NULL, NULL, 4856, 16),
(194070, NULL, 'TIGR04014', NULL, NULL, 'B12_SAM_MJ_0865: B12-binding domain/radical SAM domain protein, MJ_0865 family', NULL, 'TIGR04014', NULL, NULL, 11923, 16),
(194071, NULL, 'TIGR01204', NULL, NULL, 'bioW: 6-carboxyhexanoate--CoA ligase', NULL, 'TIGR01204', NULL, NULL, 996, 16),
(194072, NULL, 'TIGR03124', NULL, NULL, 'citrate_citX: holo-ACP synthase CitX', NULL, 'TIGR03124', NULL, NULL, 1657, 16),
(194073, NULL, 'TIGR04485', NULL, NULL, 'thiosulf_SoxX: sulfur oxidation c-type cytochrome SoxX', NULL, 'TIGR04485', NULL, NULL, 22476, 16),
(194074, NULL, 'TIGR01637', NULL, NULL, 'phage_arpU: phage transcriptional regulator, ArpU family', NULL, 'TIGR01637', NULL, NULL, 439, 16),
(194075, NULL, 'TIGR01195', NULL, NULL, 'oadG_fam: sodium pump decarboxylases, gamma subunit', NULL, 'TIGR01195', NULL, NULL, 6860, 16),
(194076, NULL, 'TIGR02477', NULL, NULL, 'PFKA_PPi: diphosphate--fructose-6-phosphate 1-phosphotransferase', NULL, 'TIGR02477', NULL, NULL, 11039, 16),
(194077, NULL, 'TIGR04544', NULL, NULL, '3metArgNH2trans: beta-methylarginine biosynthesis bifunctional aminotransferase', NULL, 'TIGR04544', NULL, NULL, 26640, 16),
(194078, NULL, 'TIGR01702', NULL, NULL, 'CO_DH_cata: carbon-monoxide dehydrogenase, catalytic subunit', NULL, 'TIGR01702', NULL, NULL, 5475, 16),
(194079, NULL, 'TIGR01260', NULL, NULL, 'ATP_synt_c: ATP synthase F0, C subunit', NULL, 'TIGR01260', NULL, NULL, 74, 16),
(194080, NULL, 'TIGR03710', NULL, NULL, 'OAFO_sf: 2-oxoacid:acceptor oxidoreductase, alpha subunit', NULL, 'TIGR03710', NULL, NULL, 17431, 16),
(194081, NULL, 'TIGR00018', NULL, NULL, 'panC: pantoate--beta-alanine ligase', NULL, 'TIGR00018', NULL, NULL, 2021, 16),
(194082, NULL, 'TIGR03903', NULL, NULL, 'TOMM_kin_cyc: TOMM system kinase/cyclase fusion protein', NULL, 'TIGR03903', NULL, NULL, 18010, 16),
(194083, NULL, 'TIGR00996', NULL, NULL, 'Mtu_fam_mce: virulence factor Mce family protein', NULL, 'TIGR00996', NULL, NULL, 3630, 16),
(194084, NULL, 'TIGR02919', NULL, NULL, 'TIGR02919: accessory Sec system glycosyltransferase GtfB', NULL, 'TIGR02919', NULL, NULL, 11973, 16),
(194085, NULL, 'TIGR02729', NULL, NULL, 'Obg_CgtA: Obg family GTPase CgtA', NULL, 'TIGR02729', NULL, NULL, 14019, 16),
(194086, NULL, 'TIGR00516', NULL, NULL, 'acpS: holo-[acyl-carrier-protein] synthase', NULL, 'TIGR00516', NULL, NULL, 1734, 16),
(194087, NULL, 'TIGR03713', NULL, NULL, 'acc_sec_asp1: accessory Sec system protein Asp1', NULL, 'TIGR03713', NULL, NULL, 15221, 16),
(194088, NULL, 'TIGR01500', NULL, NULL, 'sepiapter_red: sepiapterin reductase', NULL, 'TIGR01500', NULL, NULL, 5549, 16);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194089, NULL, 'TIGR03174', NULL, NULL, 'cas_Csc3: CRISPR type I-D/CYANO-associated protein Csc3/Cas10d', NULL, 'TIGR03174', NULL, NULL, 16091, 16),
(194090, NULL, 'TIGR00326', NULL, NULL, 'eubact_ribD: riboflavin biosynthesis protein RibD', NULL, 'TIGR00326', NULL, NULL, 5101, 16),
(194091, NULL, 'TIGR01690', NULL, NULL, 'ICE_RAQPRD: integrative conjugative element protein, RAQPRD family', NULL, 'TIGR01690', NULL, NULL, 17830, 16),
(194092, NULL, 'TIGR02969', NULL, NULL, 'mam_aldehyde_ox: aldehyde oxidase', NULL, 'TIGR02969', NULL, NULL, 9952, 16),
(194093, NULL, 'TIGR00498', NULL, NULL, 'lexA: repressor LexA', NULL, 'TIGR00498', NULL, NULL, 11353, 16),
(194094, NULL, 'TIGR04198', NULL, NULL, 'paramyx_RNAcap: mRNA capping enzyme', NULL, 'TIGR04198', NULL, NULL, 30423, 16),
(194095, NULL, 'TIGR04388', NULL, NULL, 'Lepto_longest: putative large structural protein', NULL, 'TIGR04388', NULL, NULL, 22860, 16),
(194096, NULL, 'TIGR02381', NULL, NULL, 'cspD: cold shock domain protein CspD', NULL, 'TIGR02381', NULL, NULL, 9662, 16),
(194097, NULL, 'TIGR02571', NULL, NULL, 'ComEB: ComE operon protein 2', NULL, 'TIGR02571', NULL, NULL, 9188, 16),
(194098, NULL, 'TIGR00563', NULL, NULL, 'rsmB: 16S rRNA (cytosine(967)-C(5))-methyltransferase', NULL, 'TIGR00563', NULL, NULL, 730, 16),
(194099, NULL, 'TIGR01397', NULL, NULL, 'fliM_switch: flagellar motor switch protein FliM', NULL, 'TIGR01397', NULL, NULL, 3226, 16),
(194100, NULL, 'TIGR01207', NULL, NULL, 'rmlA: glucose-1-phosphate thymidylyltransferase', NULL, 'TIGR01207', NULL, NULL, 233, 16),
(194101, NULL, 'TIGR03364', NULL, NULL, 'HpnW_proposed: FAD dependent oxidoreductase TIGR03364', NULL, 'TIGR03364', NULL, NULL, 18884, 16),
(194102, NULL, 'TIGR01494', NULL, NULL, 'ATPase_P-type: HAD ATPase, P-type, family IC', NULL, 'TIGR01494', NULL, NULL, 3382, 16),
(194103, NULL, 'TIGR01403', NULL, NULL, 'fliQ_rel_III: type III secretion protein, HrpO family', NULL, 'TIGR01403', NULL, NULL, 4943, 16),
(194104, NULL, 'TIGR00373', NULL, NULL, 'TIGR00373: transcription factor E', NULL, 'TIGR00373', NULL, NULL, 15628, 16),
(194105, NULL, 'TIGR03915', NULL, NULL, 'SAM_7_link_chp: probable DNA metabolism protein', NULL, 'TIGR03915', NULL, NULL, 17490, 16),
(194106, NULL, 'TIGR01684', NULL, NULL, 'viral_ppase: viral phosphatase', NULL, 'TIGR01684', NULL, NULL, 2302, 16),
(194107, NULL, 'TIGR04251', NULL, NULL, 'SCM_rSAM_ScmF: SynChlorMet cassette radical SAM/SPASM protein ScmF', NULL, 'TIGR04251', NULL, NULL, 26305, 16),
(194108, NULL, 'TIGR02334', NULL, NULL, 'prpF: probable AcnD-accessory protein PrpF', NULL, 'TIGR02334', NULL, NULL, 11810, 16),
(194109, NULL, 'TIGR02524', NULL, NULL, 'dot_icm_DotB: Dot/Icm secretion system ATPase DotB', NULL, 'TIGR02524', NULL, NULL, 18968, 16),
(194110, NULL, 'TIGR03417', NULL, NULL, 'chol_sulfatase: choline-sulfatase', NULL, 'TIGR03417', NULL, NULL, 19457, 16),
(194111, NULL, 'TIGR04055', NULL, NULL, 'rSAM_NirJ2: putative heme d1 biosynthesis radical SAM protein NirJ2', NULL, 'TIGR04055', NULL, NULL, 23811, 16),
(194112, NULL, 'TIGR04245', NULL, NULL, 'nodulat_NodA: N-acyltransferase NodA', NULL, 'TIGR04245', NULL, NULL, 6281, 16),
(194113, NULL, 'TIGR02178', NULL, NULL, 'yeiP: elongation factor P-like protein YeiP', NULL, 'TIGR02178', NULL, NULL, 12280, 16),
(194114, NULL, 'TIGR01213', NULL, NULL, 'pseudo_Pus10arc: tRNA pseudouridine(54/55) synthase', NULL, 'TIGR01213', NULL, NULL, 327, 16),
(194115, NULL, 'TIGR00065', NULL, NULL, 'ftsZ: cell division protein FtsZ', NULL, 'TIGR00065', NULL, NULL, 1808, 16),
(194116, NULL, 'TIGR02832', NULL, NULL, 'spo_yunB: sporulation protein YunB', NULL, 'TIGR02832', NULL, NULL, 9000, 16),
(194117, NULL, 'TIGR04061', NULL, NULL, 'AZL_007950_fam: AZL_007950 family protein', NULL, 'TIGR04061', NULL, NULL, 11665, 16),
(194118, NULL, 'TIGR01992', NULL, NULL, 'PTS-IIBC-Tre: PTS system, trehalose-specific IIBC component', NULL, 'TIGR01992', NULL, NULL, 10352, 16),
(194119, NULL, 'TIGR03856', NULL, NULL, 'F420_MSMEG_2906: probable F420-dependent oxidoreductase, MSMEG_2906 family', NULL, 'TIGR03856', NULL, NULL, 16724, 16);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194120, NULL, 'TIGR03168', NULL, NULL, '1-PFK: hexose kinase, 1-phosphofructokinase family', NULL, 'TIGR03168', NULL, NULL, 16469, 16),
(194121, NULL, 'TIGR03548', NULL, NULL, 'mutarot_permut: cyclically-permuted mutarotase family protein', NULL, 'TIGR03548', NULL, NULL, 18240, 16),
(194122, NULL, 'TIGR02427', NULL, NULL, 'protocat_pcaD: 3-oxoadipate enol-lactonase', NULL, 'TIGR02427', NULL, NULL, 27217, 16),
(194123, NULL, 'TIGR03065', NULL, NULL, 'srtB_sig_QVPTGV: sortase B signal domain, QVPTGV class', NULL, 'TIGR03065', NULL, NULL, 21952, 16),
(194124, NULL, 'TIGR02287', NULL, NULL, 'PaaY: phenylacetic acid degradation protein PaaY', NULL, 'TIGR02287', NULL, NULL, 11467, 16),
(194125, NULL, 'TIGR00470', NULL, NULL, 'sepS: O-phosphoserine--tRNA ligase', NULL, 'TIGR00470', NULL, NULL, 11212, 16),
(194126, NULL, 'TIGR00987', NULL, NULL, 'himA: integration host factor, alpha subunit', NULL, 'TIGR00987', NULL, NULL, 3817, 16),
(194127, NULL, 'TIGR02047', NULL, NULL, 'CadR-PbrR: Cd(II)/Pb(II)-responsive transcriptional regulator', NULL, 'TIGR02047', NULL, NULL, 13321, 16),
(194128, NULL, 'TIGR00024', NULL, NULL, 'SbcD_rel_arch: putative phosphoesterase', NULL, 'TIGR00024', NULL, NULL, 5727, 16),
(194129, NULL, 'TIGR03308', NULL, NULL, 'phn_thr-fam: phosphonate metabolim protein, transferase hexapeptide repeat family', NULL, 'TIGR03308', NULL, NULL, 17828, 16),
(194130, NULL, 'TIGR00747', NULL, NULL, 'fabH: 3-oxoacyl-[acyl-carrier-protein] synthase III', NULL, 'TIGR00747', NULL, NULL, 2742, 16),
(194131, NULL, 'TIGR02150', NULL, NULL, 'IPP_isom_1: isopentenyl-diphosphate delta-isomerase', NULL, 'TIGR02150', NULL, NULL, 14347, 16),
(194132, NULL, 'TIGR03426', NULL, NULL, 'shape_MreD: rod shape-determining protein MreD', NULL, 'TIGR03426', NULL, NULL, 6863, 16),
(194133, NULL, 'TIGR00367', NULL, NULL, 'TIGR00367: K+-dependent Na+/Ca+ exchanger homolog', NULL, 'TIGR00367', NULL, NULL, 7020, 16),
(194134, NULL, 'TIGR01649', NULL, NULL, 'hnRNP-L_PTB: hnRNP-L/PTB/hephaestus splicing factor family', NULL, 'TIGR01649', NULL, NULL, 221, 16),
(194135, NULL, 'TIGR03891', NULL, NULL, 'thiopep_ocin: thiopeptide-type bacteriocin biosynthesis domain', NULL, 'TIGR03891', NULL, NULL, 12788, 16),
(194136, NULL, 'TIGR01883', NULL, NULL, 'PepT-like: peptidase T-like protein', NULL, 'TIGR01883', NULL, NULL, 10990, 16),
(194137, NULL, 'TIGR04553', NULL, NULL, 'ABC_peri_selen: putative selenate ABC transporter periplasmic binding protein', NULL, 'TIGR04553', NULL, NULL, 24612, 16),
(194138, NULL, 'TIGR02530', NULL, NULL, 'flg_new: flagellar operon protein', NULL, 'TIGR02530', NULL, NULL, 18870, 16),
(194139, NULL, 'TIGR03806', NULL, NULL, 'chp_HNE_0200: conserved hypothetical protein, HNE_0200 family', NULL, 'TIGR03806', NULL, NULL, 15893, 16),
(194140, NULL, 'TIGR04491', NULL, NULL, 'reactive_PduG: diol dehydratase reactivase alpha subunit', NULL, 'TIGR04491', NULL, NULL, 9572, 16),
(194141, NULL, 'TIGR00865', NULL, NULL, 'bcl-2: apoptosis regulator', NULL, 'TIGR00865', NULL, NULL, 3827, 16),
(194142, NULL, 'TIGR02169', NULL, NULL, 'SMC_prok_A: chromosome segregation protein SMC', NULL, 'TIGR02169', NULL, NULL, 8812, 16),
(194143, NULL, 'TIGR02032', NULL, NULL, 'GG-red-SF: geranylgeranyl reductase family', NULL, 'TIGR02032', NULL, NULL, 13491, 16),
(194144, NULL, 'TIGR01385', NULL, NULL, 'TFSII: transcription elongation factor S-II', NULL, 'TIGR01385', NULL, NULL, 3638, 16),
(194145, NULL, 'TIGR03520', NULL, NULL, 'GldE: gliding motility-associated protein GldE', NULL, 'TIGR03520', NULL, NULL, 16798, 16),
(194146, NULL, 'TIGR00230', NULL, NULL, 'sfsA: sugar fermentation stimulation protein', NULL, 'TIGR00230', NULL, NULL, 11021, 16),
(194147, NULL, 'TIGR01512', NULL, NULL, 'ATPase-IB2_Cd: cadmium-translocating P-type ATPase', NULL, 'TIGR01512', NULL, NULL, NULL, 16),
(194148, NULL, 'TIGR04295', NULL, NULL, 'B12_rSAM_oligo: B12-binding domain/radical SAM domain protein, rhizo-twelve system', NULL, 'TIGR04295', NULL, NULL, 28648, 16),
(194149, NULL, 'TIGR02873', NULL, NULL, 'spore_ylxY: probable sporulation protein, polysaccharide deacetylase family', NULL, 'TIGR02873', NULL, NULL, 10930, 16);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194150, NULL, 'TIGR02667', NULL, NULL, 'moaB_proteo: molybdenum cofactor biosynthesis protein B', NULL, 'TIGR02667', NULL, NULL, 10325, 16),
(194151, NULL, 'TIGR00803', NULL, NULL, 'nst: UDP-galactose transporter', NULL, 'TIGR00803', NULL, NULL, NULL, 16),
(194152, NULL, 'TIGR04354', NULL, NULL, 'amphi-Trp: amphi-Trp domain', NULL, 'TIGR04354', NULL, NULL, 24344, 16),
(194153, NULL, 'TIGR02094', NULL, NULL, 'more_P_ylases: alpha-glucan phosphorylases', NULL, 'TIGR02094', NULL, NULL, 14143, 16),
(194154, NULL, 'TIGR03296', NULL, NULL, 'M6dom_TIGR03296: M6 family metalloprotease domain', NULL, 'TIGR03296', NULL, NULL, 12384, 16),
(194155, NULL, 'TIGR02278', NULL, NULL, 'PaaN-DH: phenylacetic acid degradation protein paaN', NULL, 'TIGR02278', NULL, NULL, 11065, 16),
(194156, NULL, 'TIGR02141', NULL, NULL, 'modB_ABC: molybdate ABC transporter, permease protein', NULL, 'TIGR02141', NULL, NULL, 14223, 16),
(194157, NULL, 'TIGR03747', NULL, NULL, 'conj_TIGR03747: integrating conjugative element membrane protein, PFL_4697 family', NULL, 'TIGR03747', NULL, NULL, 15905, 16),
(194158, NULL, 'TIGR00756', NULL, NULL, 'PPR: pentatricopeptide repeat domain', NULL, 'TIGR00756', NULL, NULL, 5805, 16),
(194159, NULL, 'TIGR00551', NULL, NULL, 'nadB: L-aspartate oxidase', NULL, 'TIGR00551', NULL, NULL, 4092, 16),
(194160, NULL, 'TIGR00912', NULL, NULL, '2A0309: spore germination protein (amino acid permease)', NULL, 'TIGR00912', NULL, NULL, 5353, 16),
(194161, NULL, 'TIGR01930', NULL, NULL, 'AcCoA-C-Actrans: acetyl-CoA C-acyltransferase', NULL, 'TIGR01930', NULL, NULL, 188, 16),
(194162, NULL, 'TIGR03317', NULL, NULL, 'ygfZ_signature: folate-binding protein YgfZ', NULL, 'TIGR03317', NULL, NULL, 18409, 16),
(194163, NULL, 'TIGR00619', NULL, NULL, 'sbcd: exonuclease SbcCD, D subunit', NULL, 'TIGR00619', NULL, NULL, 672, 16),
(194164, NULL, 'TIGR01104', NULL, NULL, 'V_PPase: V-type H(+)-translocating pyrophosphatase', NULL, 'TIGR01104', NULL, NULL, 2937, 16),
(194165, NULL, 'TIGR03112', NULL, NULL, '6_pyr_pter_rel: 6-pyruvoyl tetrahydropterin synthase-related domain', NULL, 'TIGR03112', NULL, NULL, 15064, 16),
(194166, NULL, 'TIGR03570', NULL, NULL, 'NeuD_NnaD: sugar O-acyltransferase, sialic acid O-acetyltransferase NeuD family', NULL, 'TIGR03570', NULL, NULL, 12320, 16),
(194167, NULL, 'TIGR03950', NULL, NULL, 'sidero_Fe_reduc: siderophore ferric iron reductase, AHA_1954 family', NULL, 'TIGR03950', NULL, NULL, 18738, 16),
(194168, NULL, 'TIGR03657', NULL, NULL, 'IsdB: heme uptake protein IsdB', NULL, 'TIGR03657', NULL, NULL, 18316, 16),
(194169, NULL, 'TIGR02776', NULL, NULL, 'NHEJ_ligase_prk: DNA ligase D', NULL, 'TIGR02776', NULL, NULL, 14037, 16),
(194170, NULL, 'TIGR00121', NULL, NULL, 'birA_ligase: biotin--[acetyl-CoA-carboxylase] ligase', NULL, 'TIGR00121', NULL, NULL, 5929, 16),
(194171, NULL, 'TIGR01793', NULL, NULL, 'cit_synth_euk: citrate (Si)-synthase, eukaryotic', NULL, 'TIGR01793', NULL, NULL, 2174, 16),
(194172, NULL, 'TIGR00133', NULL, NULL, 'gatB: aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, B subunit', NULL, 'TIGR00133', NULL, NULL, 5829, 16),
(194173, NULL, 'TIGR01151', NULL, NULL, 'psbA: photosystem II q(b) protein', NULL, 'TIGR01151', NULL, NULL, 6836, 16),
(194174, NULL, 'TIGR03473', NULL, NULL, 'HpnK: hopanoid biosynthesis associated protein HpnK', NULL, 'TIGR03473', NULL, NULL, 20041, 16),
(194175, NULL, 'TIGR00815', NULL, NULL, 'sulP: sulfate permease', NULL, 'TIGR00815', NULL, NULL, 2473, 16),
(194176, NULL, 'TIGR01288', NULL, NULL, 'nodI: nodulation ABC transporter NodI', NULL, 'TIGR01288', NULL, NULL, 1211, 16),
(194177, NULL, 'TIGR01746', NULL, NULL, 'Thioester-redct: thioester reductase domain', NULL, 'TIGR01746', NULL, NULL, 2379, 16),
(194178, NULL, 'TIGR04307', NULL, NULL, 'ProTailRpt: proline-rich tail region repeat', NULL, 'TIGR04307', NULL, NULL, 23358, 16),
(194179, NULL, 'TIGR02764', NULL, NULL, 'spore_ybaN_pdaB: polysaccharide deacetylase family sporulation protein PdaB', NULL, 'TIGR02764', NULL, NULL, 14403, 16),
(194180, NULL, 'TIGR04005', NULL, NULL, 'wcaL: colanic acid biosynthesis glycosyltransferase WcaL', NULL, 'TIGR04005', NULL, NULL, 10197, 16);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194181, NULL, 'TIGR02082', NULL, NULL, 'metH: methionine synthase', NULL, 'TIGR02082', NULL, NULL, 14271, 16),
(194182, NULL, 'TIGR04444', NULL, NULL, 'chori_FkbO_Hyg5: chorismatase, FkbO/Hyg5 family', NULL, 'TIGR04444', NULL, NULL, 28124, 16),
(194183, NULL, 'TIGR00454', NULL, NULL, 'TIGR00454: TIGR00454 family protein', NULL, 'TIGR00454', NULL, NULL, 11132, 16),
(194184, NULL, 'TIGR00317', NULL, NULL, 'cobS: cobalamin 5''-phosphate synthase', NULL, 'TIGR00317', NULL, NULL, 3141, 16),
(194185, NULL, 'TIGR03794', NULL, NULL, 'NHLM_micro_HlyD: NHLM bacteriocin system secretion protein', NULL, 'TIGR03794', NULL, NULL, 15980, 16),
(194186, NULL, 'TIGR04123', NULL, NULL, 'P_estr_lig_assc: metallophosphoesterase, DNA ligase-associated', NULL, 'TIGR04123', NULL, NULL, 24327, 16),
(194187, NULL, 'TIGR03610', NULL, NULL, 'RutC: pyrimidine utilization protein C', NULL, 'TIGR03610', NULL, NULL, 15193, 16),
(194188, NULL, 'TIGR04503', NULL, NULL, 'mft_etfB: electron transfer flavoprotein, mycofactocin-associated', NULL, 'TIGR04503', NULL, NULL, 25986, 16),
(194189, NULL, 'TIGR00258', NULL, NULL, 'TIGR00258: inosine/xanthosine triphosphatase', NULL, 'TIGR00258', NULL, NULL, 4548, 16),
(194190, NULL, 'TIGR02580', NULL, NULL, 'cas_RAMP_Cmr4: CRISPR type III-B/RAMP module RAMP protein Cmr4', NULL, 'TIGR02580', NULL, NULL, 9052, 16),
(194191, NULL, 'TIGR03015', NULL, NULL, 'pepcterm_ATPase: putative secretion ATPase, PEP-CTERM locus subfamily', NULL, 'TIGR03015', NULL, NULL, 21074, 16),
(194192, NULL, 'TIGR03978', NULL, NULL, 'rSAM_paired_1: His-Xaa-Ser system radical SAM maturase HxsB', NULL, 'TIGR03978', NULL, NULL, 11803, 16),
(194193, NULL, 'TIGR02203', NULL, NULL, 'MsbA_lipidA: lipid A export permease/ATP-binding protein MsbA', NULL, 'TIGR02203', NULL, NULL, 12306, 16),
(194194, NULL, 'TIGR04376', NULL, NULL, 'TIGR04376: TIGR04376 family protein', NULL, 'TIGR04376', NULL, NULL, 24232, 16),
(194195, NULL, 'TIGR00694', NULL, NULL, 'thiM: hydroxyethylthiazole kinase', NULL, 'TIGR00694', NULL, NULL, 6900, 16),
(194196, NULL, 'TIGR03255', NULL, NULL, 'PhnV: 2-aminoethylphosphonate ABC transport system, membrane component PhnV', NULL, 'TIGR03255', NULL, NULL, 17001, 16),
(194197, NULL, 'TIGR00407', NULL, NULL, 'proA: glutamate-5-semialdehyde dehydrogenase', NULL, 'TIGR00407', NULL, NULL, 61, 16),
(194198, NULL, 'TIGR04170', NULL, NULL, 'RNR_1b_NrdE: ribonucleoside-diphosphate reductase, class 1b, alpha subunit', NULL, 'TIGR04170', NULL, NULL, 24336, 16),
(194199, NULL, 'TIGR00196', NULL, NULL, 'yjeF_cterm: YjeF family C-terminal domain', NULL, 'TIGR00196', NULL, NULL, 5589, 16),
(194200, NULL, 'TIGR01459', NULL, NULL, 'HAD-SF-IIA-hyp4: HAD hydrolase, TIGR01459 family', NULL, 'TIGR01459', NULL, NULL, 4997, 16),
(194201, NULL, 'TIGR01219', NULL, NULL, 'Pmev_kin_ERG8: phosphomevalonate kinase', NULL, 'TIGR01219', NULL, NULL, 9431, 16),
(194202, NULL, 'TIGR04136', NULL, NULL, 'rSAM_FibroRumin: radical SAM peptide maturase, FibroRumin system', NULL, 'TIGR04136', NULL, NULL, 21571, 16),
(194203, NULL, 'TIGR01575', NULL, NULL, 'rimI: ribosomal-protein-alanine acetyltransferase', NULL, 'TIGR01575', NULL, NULL, 6023, 16),
(194204, NULL, 'TIGR01562', NULL, NULL, 'FdhE: formate dehydrogenase accessory protein FdhE', NULL, 'TIGR01562', NULL, NULL, 6955, 16),
(194205, NULL, 'TIGR02838', NULL, NULL, 'spore_V_AC: stage V sporulation protein AC', NULL, 'TIGR02838', NULL, NULL, 9231, 16),
(194206, NULL, 'TIGR03495', NULL, NULL, 'phage_LysB: phage lysis regulatory protein, LysB family', NULL, 'TIGR03495', NULL, NULL, 17291, 16),
(194207, NULL, 'TIGR03965', NULL, NULL, 'mycofact_glyco: mycofactocin system glycosyltransferase', NULL, 'TIGR03965', NULL, NULL, 11771, 16),
(194208, NULL, 'TIGR00666', NULL, NULL, 'PBP4: D-alanyl-D-alanine carboxypeptidase/D-alanyl-D-alanine-endopeptidase', NULL, 'TIGR00666', NULL, NULL, 6681, 16),
(194209, NULL, 'TIGR01833', NULL, NULL, 'HMG-CoA-S_euk: hydroxymethylglutaryl-CoA synthase', NULL, 'TIGR01833', NULL, NULL, 10824, 16),
(194210, NULL, 'TIGR02231', NULL, NULL, 'TIGR02231: conserved hypothetical protein', NULL, 'TIGR02231', NULL, NULL, 11190, 16);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194211, NULL, 'TIGR02913', NULL, NULL, 'HAF_rpt: probable extracellular repeat, HAF family', NULL, 'TIGR02913', NULL, NULL, 11891, 16),
(194212, NULL, 'TIGR01064', NULL, NULL, 'pyruv_kin: pyruvate kinase', NULL, 'TIGR01064', NULL, NULL, 3357, 16),
(194213, NULL, 'TIGR00918', NULL, NULL, '2A060602: transmembrane receptor Patched', NULL, 'TIGR00918', NULL, NULL, 5107, 16),
(194214, NULL, 'TIGR01335', NULL, NULL, 'psaA: photosystem I core protein PsaA', NULL, 'TIGR01335', NULL, NULL, 3734, 16),
(194215, NULL, 'TIGR03249', NULL, NULL, 'KdgD: 5-dehydro-4-deoxyglucarate dehydratase', NULL, 'TIGR03249', NULL, NULL, 17370, 16),
(194216, NULL, 'TIGR02346', NULL, NULL, 'chap_CCT_theta: T-complex protein 1, theta subunit', NULL, 'TIGR02346', NULL, NULL, 11611, 16),
(194217, NULL, 'TIGR01322', NULL, NULL, 'scrB_fam: sucrose-6-phosphate hydrolase', NULL, 'TIGR01322', NULL, NULL, 11097, 16),
(194218, NULL, 'TIGR03330', NULL, NULL, 'SAM_DCase_Bsu: S-adenosylmethionine decarboxylase proenzyme', NULL, 'TIGR03330', NULL, NULL, 18128, 16),
(194219, NULL, 'TIGR01699', NULL, NULL, 'XAPA: xanthosine phosphorylase', NULL, 'TIGR01699', NULL, NULL, 1807, 16),
(194220, NULL, 'TIGR02415', NULL, NULL, '23BDH: acetoin reductases', NULL, 'TIGR02415', NULL, NULL, 12293, 16),
(194221, NULL, 'TIGR04164', NULL, NULL, 'cobo_pep: modified peptide precursor CbpA', NULL, 'TIGR04164', NULL, NULL, 21751, 16),
(194222, NULL, 'TIGR03841', NULL, NULL, 'F420_Rv3093c: probable F420-dependent oxidoreductase, Rv3093c family', NULL, 'TIGR03841', NULL, NULL, 16755, 16),
(194223, NULL, 'TIGR00482', NULL, NULL, 'TIGR00482: nicotinate (nicotinamide) nucleotide adenylyltransferase', NULL, 'TIGR00482', NULL, NULL, 11245, 16),
(194224, NULL, 'TIGR02490', NULL, NULL, 'flgF: flagellar basal-body rod protein FlgF', NULL, 'TIGR02490', NULL, NULL, 12843, 16),
(194225, NULL, 'TIGR00208', NULL, NULL, 'fliS: flagellar protein FliS', NULL, 'TIGR00208', NULL, NULL, 2038, 16),
(194226, NULL, 'TIGR01036', NULL, NULL, 'pyrD_sub2: dihydroorotate dehydrogenase (fumarate)', NULL, 'TIGR01036', NULL, NULL, 4506, 16),
(194227, NULL, 'TIGR01861', NULL, NULL, 'ANFD: nitrogenase iron-iron protein, alpha chain', NULL, 'TIGR01861', NULL, NULL, 10114, 16),
(194228, NULL, 'TIGR01363', NULL, NULL, 'strep_his_triad: streptococcal histidine triad protein', NULL, 'TIGR01363', NULL, NULL, 17889, 16),
(194229, NULL, 'TIGR00688', NULL, NULL, 'rarD: protein RarD', NULL, 'TIGR00688', NULL, NULL, 2372, 16),
(194230, NULL, 'TIGR00878', NULL, NULL, 'purM: phosphoribosylformylglycinamidine cyclo-ligase', NULL, 'TIGR00878', NULL, NULL, 3797, 16),
(194231, NULL, 'TIGR02191', NULL, NULL, 'RNaseIII: ribonuclease III', NULL, 'TIGR02191', NULL, NULL, 12252, 16),
(194232, NULL, 'TIGR00155', NULL, NULL, 'pqiA_fam: integral membrane protein, PqiA family', NULL, 'TIGR00155', NULL, NULL, 11102, 16),
(194233, NULL, 'TIGR00706', NULL, NULL, 'SppA_dom: signal peptide peptidase SppA, 36K type', NULL, 'TIGR00706', NULL, NULL, 2944, 16),
(194234, NULL, 'TIGR01534', NULL, NULL, 'GAPDH-I: glyceraldehyde-3-phosphate dehydrogenase, type I', NULL, 'TIGR01534', NULL, NULL, 6892, 16),
(194235, NULL, 'TIGR01998', NULL, NULL, 'PTS-II-BC-nag: PTS system, N-acetylglucosamine-specific IIBC component', NULL, 'TIGR01998', NULL, NULL, 2138, 16),
(194236, NULL, 'TIGR04422', NULL, NULL, 'PLP_IMCC1989: putative PLP-dependent aminotransferase', NULL, 'TIGR04422', NULL, NULL, 26166, 16),
(194237, NULL, 'TIGR03043', NULL, NULL, 'PS_II_psbZ: photosystem II core protein PsbZ', NULL, 'TIGR03043', NULL, NULL, 2872, 16),
(194238, NULL, 'TIGR02982', NULL, NULL, 'heterocyst_DevA: ABC exporter ATP-binding subunit, DevA family', NULL, 'TIGR02982', NULL, NULL, 9687, 16),
(194239, NULL, 'TIGR00183', NULL, NULL, 'prok_nadp_idh: isocitrate dehydrogenase, NADP-dependent', NULL, 'TIGR00183', NULL, NULL, 7032, 16),
(194240, NULL, 'TIGR02558', NULL, NULL, 'HrpB2: type III secretion protein HrpB2', NULL, 'TIGR02558', NULL, NULL, 11841, 16),
(194241, NULL, 'TIGR03037', NULL, NULL, 'anthran_nbaC: 3-hydroxyanthranilate 3,4-dioxygenase', NULL, 'TIGR03037', NULL, NULL, 8996, 16);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194242, NULL, 'TIGR03227', NULL, NULL, 'PhnS: 2-aminoethylphosphonate ABC transporter, 2-aminoethylphosphonate binding protein', NULL, 'TIGR03227', NULL, NULL, 16876, 16),
(194243, NULL, 'TIGR02714', NULL, NULL, 'amido_AtzD_TrzD: ring-opening amidohydrolases', NULL, 'TIGR02714', NULL, NULL, 14427, 16),
(194244, NULL, 'TIGR02368', NULL, NULL, 'dimeth_PyL: dimethylamine:corrinoid methyltransferase', NULL, 'TIGR02368', NULL, NULL, 10804, 16),
(194245, NULL, 'TIGR03542', NULL, NULL, 'DAPAT_plant: LL-diaminopimelate aminotransferase', NULL, 'TIGR03542', NULL, NULL, 18234, 16),
(194246, NULL, 'TIGR03909', NULL, NULL, 'pyrrolys_PylC: pyrrolysine biosynthesis protein PylC', NULL, 'TIGR03909', NULL, NULL, 8447, 16),
(194247, NULL, 'TIGR03679', NULL, NULL, 'arCOG00187: arCOG00187 universal archaeal metal-binding-domain/4Fe-4S-binding-domain containing ABC transporter, ATP-binding protein', NULL, 'TIGR03679', NULL, NULL, 16145, 16),
(194248, NULL, 'TIGR03719', NULL, NULL, 'ABC_ABC_ChvD: ATP-binding cassette protein, ChvD family', NULL, 'TIGR03719', NULL, NULL, 15077, 16),
(194249, NULL, 'TIGR04192', NULL, NULL, 'GRASP_w_spasm: ATP-GRASP peptide maturase, grasp-with-spasm system', NULL, 'TIGR04192', NULL, NULL, 24414, 16),
(194250, NULL, 'TIGR04382', NULL, NULL, 'myo_inos_iolC_N: 5-dehydro-2-deoxygluconokinase', NULL, 'TIGR04382', NULL, NULL, 24891, 16),
(194251, NULL, 'TIGR01042', NULL, NULL, 'V-ATPase_V1_A: V-type ATPase, A subunit', NULL, 'TIGR01042', NULL, NULL, 4868, 16),
(194252, NULL, 'TIGR00981', NULL, NULL, 'rpsL_bact: ribosomal protein uS12', NULL, 'TIGR00981', NULL, NULL, 3772, 16),
(194253, NULL, 'TIGR02701', NULL, NULL, 'shell_carb_anhy: carboxysome shell carbonic anhydrase', NULL, 'TIGR02701', NULL, NULL, 13695, 16),
(194254, NULL, 'TIGR03535', NULL, NULL, 'DapD_actino: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase', NULL, 'TIGR03535', NULL, NULL, 17222, 16),
(194255, NULL, 'TIGR03725', NULL, NULL, 'T6A_YeaZ: tRNA threonylcarbamoyl adenosine modification protein YeaZ', NULL, 'TIGR03725', NULL, NULL, 16592, 16),
(194256, NULL, 'TIGR04559', NULL, NULL, 'SoxH_rel_PQQ_2: quinoprotein relay system zinc metallohydrolase 2', NULL, 'TIGR04559', NULL, NULL, 24651, 16),
(194257, NULL, 'TIGR03411', NULL, NULL, 'urea_trans_UrtD: urea ABC transporter, ATP-binding protein UrtD', NULL, 'TIGR03411', NULL, NULL, 19291, 16),
(194258, NULL, 'TIGR02633', NULL, NULL, 'xylG: D-xylose ABC transporter, ATP-binding protein', NULL, 'TIGR02633', NULL, NULL, 9014, 16),
(194259, NULL, 'TIGR03651', NULL, NULL, 'circ_ocin_uber: circular bacteriocin, circularin A/uberolysin family', NULL, 'TIGR03651', NULL, NULL, 18055, 16),
(194260, NULL, 'TIGR03788', NULL, NULL, 'marine_srt_targ: marine proteobacterial sortase target protein', NULL, 'TIGR03788', NULL, NULL, 16450, 16),
(194261, NULL, 'TIGR04566', NULL, NULL, 'myxo_TraA_Nterm: outer membrane exchange protein TraA, N-terminal region', NULL, 'TIGR04566', NULL, NULL, 24886, 16),
(194262, NULL, 'TIGR00264', NULL, NULL, 'TIGR00264: alpha-NAC homolog', NULL, 'TIGR00264', NULL, NULL, 11180, 16),
(194263, NULL, 'TIGR01029', NULL, NULL, 'rpsG_bact: ribosomal protein uS7', NULL, 'TIGR01029', NULL, NULL, 4799, 16),
(194264, NULL, 'TIGR00837', NULL, NULL, 'araaP: aromatic amino acid transport protein', NULL, 'TIGR00837', NULL, NULL, 12068, 16),
(194265, NULL, 'TIGR01615', NULL, NULL, 'A_thal_3542: uncharacterized plant-specific domain TIGR01615', NULL, 'TIGR01615', NULL, NULL, 6905, 16),
(194266, NULL, 'TIGR01752', NULL, NULL, 'flav_long: flavodoxin', NULL, 'TIGR01752', NULL, NULL, 2060, 16),
(194267, NULL, 'TIGR01145', NULL, NULL, 'ATP_synt_delta: ATP synthase F1, delta subunit', NULL, 'TIGR01145', NULL, NULL, 3947, 16),
(194268, NULL, 'TIGR01282', NULL, NULL, 'nifD: nitrogenase molybdenum-iron protein alpha chain', NULL, 'TIGR01282', NULL, NULL, 1110, 16),
(194269, NULL, 'TIGR04204', NULL, NULL, 'MAST_ArtA_sort: MAST domain', NULL, 'TIGR04204', NULL, NULL, 24475, 16),
(194270, NULL, 'TIGR02060', NULL, NULL, 'aprB: adenylylsulfate reductase, beta subunit', NULL, 'TIGR02060', NULL, NULL, 13206, 16);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194271, NULL, 'TIGR00974', NULL, NULL, '3a0107s02c: phosphate ABC transporter, permease protein PstA', NULL, 'TIGR00974', NULL, NULL, 3585, 16),
(194272, NULL, 'TIGR00339', NULL, NULL, 'sopT: sulfate adenylyltransferase', NULL, 'TIGR00339', NULL, NULL, 2503, 16),
(194273, NULL, 'TIGR02661', NULL, NULL, 'MauD: methylamine dehydrogenase accessory protein MauD', NULL, 'TIGR02661', NULL, NULL, 10320, 16),
(194274, NULL, 'TIGR00476', NULL, NULL, 'selD: selenide, water dikinase', NULL, 'TIGR00476', NULL, NULL, 1927, 16),
(194275, NULL, 'TIGR02798', NULL, NULL, 'ligK_PcmE: 4-carboxy-4-hydroxy-2-oxoadipate aldolase/oxaloacetate decarboxylase', NULL, 'TIGR02798', NULL, NULL, 14275, 16),
(194276, NULL, 'TIGR02421', NULL, NULL, 'QEGLA: conserved hypothetical protein', NULL, 'TIGR02421', NULL, NULL, 10879, 16),
(194277, NULL, 'TIGR00236', NULL, NULL, 'wecB: UDP-N-acetylglucosamine 2-epimerase', NULL, 'TIGR00236', NULL, NULL, 24744, 16),
(194278, NULL, 'TIGR01643', NULL, NULL, 'YD_repeat_2x: YD repeat (two copies)', NULL, 'TIGR01643', NULL, NULL, 50, 16),
(194279, NULL, 'TIGR01506', NULL, NULL, 'ribC_arch: riboflavin synthase', NULL, 'TIGR01506', NULL, NULL, 5621, 16),
(194280, NULL, 'TIGR02605', NULL, NULL, 'CxxC_CxxC_SSSS: putative regulatory protein, FmdB family', NULL, 'TIGR02605', NULL, NULL, 9475, 16),
(194281, NULL, 'TIGR02163', NULL, NULL, 'napH_: ferredoxin-type protein, NapH/MauN family', NULL, 'TIGR02163', NULL, NULL, 8524, 16),
(194282, NULL, 'TIGR01254', NULL, NULL, 'sfuA: ABC transporter periplasmic binding protein, thiB subfamily', NULL, 'TIGR01254', NULL, NULL, 44, 16),
(194283, NULL, 'TIGR03439', NULL, NULL, 'methyl_EasF: probable methyltransferase domain, EasF family', NULL, 'TIGR03439', NULL, NULL, 19827, 16),
(194284, NULL, 'TIGR03897', NULL, NULL, 'lanti_2_LanM: type 2 lantibiotic biosynthesis protein LanM', NULL, 'TIGR03897', NULL, NULL, 20841, 16),
(194285, NULL, 'TIGR00734', NULL, NULL, 'hisAF_rel: hisA/hisF family protein', NULL, 'TIGR00734', NULL, NULL, 2724, 16),
(194286, NULL, 'TIGR00292', NULL, NULL, 'TIGR00292: thiazole biosynthesis enzyme', NULL, 'TIGR00292', NULL, NULL, 6963, 16),
(194287, NULL, 'TIGR01827', NULL, NULL, 'gatC_rel: putative Asp-tRNA(Asn)/Glu-tRNA(Gln) amidotransferase, subunit C', NULL, 'TIGR01827', NULL, NULL, 10754, 16),
(194288, NULL, 'TIGR02742', NULL, NULL, 'TrbC_Ftype: type-F conjugative transfer system pilin assembly protein TrbC', NULL, 'TIGR02742', NULL, NULL, 13741, 16),
(194289, NULL, 'TIGR01070', NULL, NULL, 'mutS1: DNA mismatch repair protein MutS', NULL, 'TIGR01070', NULL, NULL, 4921, 16),
(194290, NULL, 'TIGR01889', NULL, NULL, 'Staph_reg_Sar: staphylococcal accessory regulator family', NULL, 'TIGR01889', NULL, NULL, 10919, 16),
(194291, NULL, 'TIGR02156', NULL, NULL, 'PA_CoA_Oxy1: phenylacetate-CoA oxygenase, PaaG subunit', NULL, 'TIGR02156', NULL, NULL, 8546, 16),
(194292, NULL, 'TIGR02019', NULL, NULL, 'BchJ: bacteriochlorophyll 4-vinyl reductase', NULL, 'TIGR02019', NULL, NULL, 5235, 16),
(194293, NULL, 'TIGR01964', NULL, NULL, 'chpXY: CO2 hydration protein', NULL, 'TIGR01964', NULL, NULL, 4218, 16),
(194294, NULL, 'TIGR04089', NULL, NULL, 'exp_by_SipW_III: alternate signal-mediated exported protein, RER_14450 family', NULL, 'TIGR04089', NULL, NULL, 16164, 16),
(194295, NULL, 'TIGR03576', NULL, NULL, 'pyridox_MJ0158: pyridoxal phosphate enzyme, MJ0158 family', NULL, 'TIGR03576', NULL, NULL, 18306, 16),
(194296, NULL, 'TIGR01391', NULL, NULL, 'dnaG: DNA primase', NULL, 'TIGR01391', NULL, NULL, 3653, 16),
(194297, NULL, 'TIGR04129', NULL, NULL, 'CxxH_BA5709: CxxH/CxxC protein, BA_5709 family', NULL, 'TIGR04129', NULL, NULL, 25415, 16),
(194298, NULL, 'TIGR03507', NULL, NULL, 'decahem_SO1788: decaheme c-type cytochrome, OmcA/MtrC family', NULL, 'TIGR03507', NULL, NULL, 17779, 16),
(194299, NULL, 'TIGR00448', NULL, NULL, 'rpoE: DNA-directed RNA polymerase', NULL, 'TIGR00448', NULL, NULL, 1841, 16),
(194300, NULL, 'TIGR01466', NULL, NULL, 'cobJ_cbiH: precorrin-3B C17-methyltransferase', NULL, 'TIGR01466', NULL, NULL, 5598, 16),
(194301, NULL, 'TIGR00311', NULL, NULL, 'aIF-2beta: putative translation initiation factor aIF-2, beta subunit', NULL, 'TIGR00311', NULL, NULL, 7163, 16);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194302, NULL, 'TIGR00946', NULL, NULL, '2a69: auxin efflux carrier', NULL, 'TIGR00946', NULL, NULL, 13225, 16),
(194303, NULL, 'TIGR00741', NULL, NULL, 'yfiA: ribosomal subunit interface protein', NULL, 'TIGR00741', NULL, NULL, 6499, 16),
(194304, NULL, 'TIGR02088', NULL, NULL, 'LEU3_arch: isopropylmalate/isohomocitrate dehydrogenases', NULL, 'TIGR02088', NULL, NULL, 14375, 16),
(194305, NULL, 'TIGR02312', NULL, NULL, 'HpaH: 2-oxo-hepta-3-ene-1,7-dioic acid hydratase', NULL, 'TIGR02312', NULL, NULL, 11622, 16),
(194306, NULL, 'TIGR03009', NULL, NULL, 'plancto_dom_2: Planctomycetes uncharacterized domain TIGR03009', NULL, 'TIGR03009', NULL, NULL, 19338, 16),
(194307, NULL, 'TIGR03467', NULL, NULL, 'HpnE: squalene-associated FAD-dependent desaturase', NULL, 'TIGR03467', NULL, NULL, 20369, 16),
(194308, NULL, 'TIGR00809', NULL, NULL, 'secB: protein-export chaperone SecB', NULL, 'TIGR00809', NULL, NULL, 2274, 16),
(194309, NULL, 'TIGR00087', NULL, NULL, 'surE: 5''/3''-nucleotidase SurE', NULL, 'TIGR00087', NULL, NULL, 5037, 16),
(194310, NULL, 'TIGR01431', NULL, NULL, 'adm_rel: adenosine deaminase-related growth factor', NULL, 'TIGR01431', NULL, NULL, 4860, 16),
(194311, NULL, 'TIGR03937', NULL, NULL, 'PgaC_IcaA: poly-beta-1,6 N-acetyl-D-glucosamine synthase', NULL, 'TIGR03937', NULL, NULL, 11533, 16),
(194312, NULL, 'TIGR02810', NULL, NULL, 'agaZ_gatZ: D-tagatose-bisphosphate aldolase, class II, non-catalytic subunit', NULL, 'TIGR02810', NULL, NULL, 12113, 16),
(194313, NULL, 'TIGR02586', NULL, NULL, 'cas5_cmx5_devS: CRISPR-associated protein Cas5/DevS, subtype MYXAN', NULL, 'TIGR02586', NULL, NULL, 9186, 16),
(194314, NULL, 'TIGR03760', NULL, NULL, 'ICE_TraI_Pfluor: integrating conjugative element relaxase, PFGI-1 class', NULL, 'TIGR03760', NULL, NULL, 16211, 16),
(194315, NULL, 'TIGR03283', NULL, NULL, 'thy_syn_methano: thymidylate synthase, methanogen type', NULL, 'TIGR03283', NULL, NULL, 9884, 16),
(194316, NULL, 'TIGR00625', NULL, NULL, 'tfb2: transcription factor Tfb2', NULL, 'TIGR00625', NULL, NULL, 731, 16),
(194317, NULL, 'TIGR01098', NULL, NULL, '3A0109s03R: phosphate/phosphite/phosphonate ABC transporter, periplasmic binding protein', NULL, 'TIGR01098', NULL, NULL, 4916, 16),
(194318, NULL, 'TIGR02954', NULL, NULL, 'Sig70_famx3: RNA polymerase sigma-70 factor, TIGR02954 family', NULL, 'TIGR02954', NULL, NULL, 9620, 16),
(194319, NULL, 'TIGR03290', NULL, NULL, 'CoB_CoM_SS_C: CoB--CoM heterodisulfide reductase, subunit C', NULL, 'TIGR03290', NULL, NULL, 17838, 16),
(194320, NULL, 'TIGR02272', NULL, NULL, 'gentisate_1_2: gentisate 1,2-dioxygenase', NULL, 'TIGR02272', NULL, NULL, 11281, 16),
(194321, NULL, 'TIGR03146', NULL, NULL, 'cyt_nit_nrfB: cytochrome c nitrite reductase, pentaheme subunit', NULL, 'TIGR03146', NULL, NULL, 15895, 16),
(194322, NULL, 'TIGR02449', NULL, NULL, 'TIGR02449: TIGR02449 family protein', NULL, 'TIGR02449', NULL, NULL, 10875, 16),
(194323, NULL, 'TIGR01936', NULL, NULL, 'nqrA: NADH:ubiquinone oxidoreductase, Na(+)-translocating, A subunit', NULL, 'TIGR01936', NULL, NULL, 13443, 16),
(194324, NULL, 'TIGR02128', NULL, NULL, 'G6PI_arch: bifunctional phosphoglucose/phosphomannose isomerase', NULL, 'TIGR02128', NULL, NULL, NULL, 16),
(194325, NULL, 'TIGR03302', NULL, NULL, 'OM_YfiO: outer membrane assembly lipoprotein YfiO', NULL, 'TIGR03302', NULL, NULL, 17566, 16),
(194326, NULL, 'TIGR02593', NULL, NULL, 'CRISPR_cas5: CRISPR-associated protein Cas5', NULL, 'TIGR02593', NULL, NULL, 9047, 16),
(194327, NULL, 'TIGR02770', NULL, NULL, 'nickel_nikD: nickel import ATP-binding protein NikD', NULL, 'TIGR02770', NULL, NULL, 14125, 16),
(194328, NULL, 'TIGR00127', NULL, NULL, 'nadp_idh_euk: isocitrate dehydrogenase, NADP-dependent', NULL, 'TIGR00127', NULL, NULL, 5441, 16),
(194329, NULL, 'TIGR00585', NULL, NULL, 'mutl: DNA mismatch repair protein MutL', NULL, 'TIGR00585', NULL, NULL, 5275, 16),
(194330, NULL, 'TIGR04313', NULL, NULL, 'aro_clust_Mycop: aromatic cluster surface protein', NULL, 'TIGR04313', NULL, NULL, 23725, 16),
(194331, NULL, 'TIGR03800', NULL, NULL, 'PLP_synth_Pdx2: pyridoxal 5''-phosphate synthase, glutaminase subunit Pdx2', NULL, 'TIGR03800', NULL, NULL, 5272, 16); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194332, NULL, 'TIGR02947', NULL, NULL, 'SigH_actino: RNA polymerase sigma-70 factor, TIGR02947 family', NULL, 'TIGR02947', NULL, NULL, 9099, 16),
(194333, NULL, 'TIGR00591', NULL, NULL, 'phr2: deoxyribodipyrimidine photolyase', NULL, 'TIGR00591', NULL, NULL, 7252, 16),
(194334, NULL, 'TIGR02546', NULL, NULL, 'III_secr_ATP: type III secretion apparatus H+-transporting two-sector ATPase', NULL, 'TIGR02546', NULL, NULL, 11916, 16),
(194335, NULL, 'TIGR03184', NULL, NULL, 'DNA_S_dndE: DNA sulfur modification protein DndE', NULL, 'TIGR03184', NULL, NULL, 14161, 16),
(194336, NULL, 'TIGR02561', NULL, NULL, 'HrpB1_HrpK: type III secretion protein HrpB1/HrpK', NULL, 'TIGR02561', NULL, NULL, 11914, 16),
(194337, NULL, 'TIGR02698', NULL, NULL, 'CopY_TcrY: copper transport repressor, CopY/TcrY family', NULL, 'TIGR02698', NULL, NULL, 13657, 16),
(194338, NULL, 'TIGR00576', NULL, NULL, 'dut: dUTP diphosphatase', NULL, 'TIGR00576', NULL, NULL, 7311, 16),
(194339, NULL, 'TIGR01079', NULL, NULL, 'rplX_bact: ribosomal protein uL24', NULL, 'TIGR01079', NULL, NULL, 2957, 16),
(194340, NULL, 'TIGR00304', NULL, NULL, 'TIGR00304: TIGR00304 family protein', NULL, 'TIGR00304', NULL, NULL, 5702, 16),
(194341, NULL, 'TIGR03000', NULL, NULL, 'plancto_dom_1: Planctomycetes uncharacterized domain TIGR03000', NULL, 'TIGR03000', NULL, NULL, 19463, 16),
(194342, NULL, 'TIGR02218', NULL, NULL, 'phg_TIGR02218: phage conserved hypothetical protein BR0599', NULL, 'TIGR02218', NULL, NULL, 11153, 16),
(194343, NULL, 'TIGR00784', NULL, NULL, 'citMHS: citrate transporter', NULL, 'TIGR00784', NULL, NULL, 14106, 16),
(194344, NULL, 'TIGR02514', NULL, NULL, 'type_III_yscP: type III secretion system needle length determinant', NULL, 'TIGR02514', NULL, NULL, 18693, 16),
(194345, NULL, 'TIGR00111', NULL, NULL, 'pelota: mRNA surveillance protein pelota', NULL, 'TIGR00111', NULL, NULL, 5693, 16),
(194346, NULL, 'TIGR03480', NULL, NULL, 'HpnN: hopanoid biosynthesis associated RND transporter like protein HpnN', NULL, 'TIGR03480', NULL, NULL, 20233, 16),
(194347, NULL, 'TIGR02979', NULL, NULL, 'phageshock_pspD: phage shock protein PspD', NULL, 'TIGR02979', NULL, NULL, 9545, 16),
(194348, NULL, 'TIGR03289', NULL, NULL, 'frhB: coenzyme F420 hydrogenase, subunit beta', NULL, 'TIGR03289', NULL, NULL, 17648, 16),
(194349, NULL, 'TIGR00529', NULL, NULL, 'AF0261: integral membrane protein, TIGR00529 family', NULL, 'TIGR00529', NULL, NULL, 11209, 16),
(194350, NULL, 'TIGR03700', NULL, NULL, 'mena_SCO4494: putative menaquinone biosynthesis radical SAM enzyme, SCO4494 family', NULL, 'TIGR03700', NULL, NULL, 16432, 16),
(194351, NULL, 'TIGR00190', NULL, NULL, 'thiC: phosphomethylpyrimidine synthase', NULL, 'TIGR00190', NULL, NULL, 4714, 16),
(194352, NULL, 'TIGR04475', NULL, NULL, 'Phe_D_beta_mut: phenylalanine aminomutase (D-beta-phenylalanine forming)', NULL, 'TIGR04475', NULL, NULL, 26693, 16),
(194353, NULL, 'TIGR02025', NULL, NULL, 'BchH: magnesium chelatase, H subunit', NULL, 'TIGR02025', NULL, NULL, 13320, 16),
(194354, NULL, 'TIGR00632', NULL, NULL, 'vsr: DNA mismatch endonuclease Vsr', NULL, 'TIGR00632', NULL, NULL, 900, 16),
(194355, NULL, 'TIGR00737', NULL, NULL, 'nifR3_yhdG: putative TIM-barrel protein, nifR3 family', NULL, 'TIGR00737', NULL, NULL, 2809, 16),
(194356, NULL, 'TIGR01270', NULL, NULL, 'Trp_5_monoox: tryptophan 5-monooxygenase', NULL, 'TIGR01270', NULL, NULL, 183, 16),
(194357, NULL, 'TIGR01375', NULL, NULL, 'soxG: sarcosine oxidase, gamma subunit family', NULL, 'TIGR01375', NULL, NULL, 3858, 16),
(194358, NULL, 'TIGR00295', NULL, NULL, 'TIGR00295: TIGR00295 family protein', NULL, 'TIGR00295', NULL, NULL, 7360, 16),
(194359, NULL, 'TIGR00600', NULL, NULL, 'rad2: DNA excision repair protein (rad2)', NULL, 'TIGR00600', NULL, NULL, 2263, 16),
(194360, NULL, 'TIGR04370', NULL, NULL, 'glyco_rpt_poly: oligosaccharide repeat unit polymerase', NULL, 'TIGR04370', NULL, NULL, NULL, 16),
(194361, NULL, 'TIGR02353', NULL, NULL, 'NRPS_term_dom: non-ribosomal peptide synthetase terminal domain of unknown function', NULL, 'TIGR02353', NULL, NULL, 11663, 16);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194362, NULL, 'TIGR02994', NULL, NULL, 'ectoine_eutE: ectoine utilization protein EutE', NULL, 'TIGR02994', NULL, NULL, 10415, 16),
(194363, NULL, 'TIGR03137', NULL, NULL, 'AhpC: peroxiredoxin', NULL, 'TIGR03137', NULL, NULL, 15154, 16),
(194364, NULL, 'TIGR01715', NULL, NULL, 'phage_lam_T: phage tail assembly protein T', NULL, 'TIGR01715', NULL, NULL, 14996, 16),
(194365, NULL, 'TIGR04027', NULL, NULL, 'LLM_KPN_01858: putative FMN-dependent luciferase-like monooxygenase, KPN_01858 family', NULL, 'TIGR04027', NULL, NULL, 15533, 16),
(194366, NULL, 'TIGR03884', NULL, NULL, 'sel_bind_Methan: selenium-binding protein', NULL, 'TIGR03884', NULL, NULL, 19354, 16),
(194367, NULL, 'TIGR01899', NULL, NULL, 'cas_TM1807_csm5: CRISPR type III-A/MTUBE-associated RAMP protein Csm5', NULL, 'TIGR01899', NULL, NULL, 10863, 16),
(194368, NULL, 'TIGR01226', NULL, NULL, 'phe_am_lyase: phenylalanine ammonia-lyase', NULL, 'TIGR01226', NULL, NULL, 271, 16),
(194369, NULL, 'TIGR01481', NULL, NULL, 'ccpA: catabolite control protein A', NULL, 'TIGR01481', NULL, NULL, 5706, 16),
(194370, NULL, 'TIGR00084', NULL, NULL, 'ruvA: Holliday junction DNA helicase RuvA', NULL, 'TIGR00084', NULL, NULL, 2997, 16),
(194371, NULL, 'TIGR04179', NULL, NULL, 'rhombo_lipo: rhombotail lipoprotein', NULL, 'TIGR04179', NULL, NULL, 24363, 16),
(194372, NULL, 'TIGR02054', NULL, NULL, 'MerD: mercuric resistence transcriptional repressor protein MerD', NULL, 'TIGR02054', NULL, NULL, 13305, 16),
(194373, NULL, 'TIGR02159', NULL, NULL, 'PA_CoA_Oxy4: phenylacetate-CoA oxygenase, PaaJ subunit', NULL, 'TIGR02159', NULL, NULL, 8938, 16),
(194374, NULL, 'TIGR03641', NULL, NULL, 'cas1_HMARI: CRISPR-associated endonuclease Cas1, subtype I-B/HMARI/TNEAP', NULL, 'TIGR03641', NULL, NULL, 15258, 16),
(194375, NULL, 'TIGR03691', NULL, NULL, '20S_bact_alpha: proteasome, alpha subunit', NULL, 'TIGR03691', NULL, NULL, 15961, 16),
(194376, NULL, 'TIGR01434', NULL, NULL, 'glu_cys_ligase: glutamate--cysteine ligase', NULL, 'TIGR01434', NULL, NULL, 4852, 16),
(194377, NULL, 'TIGR03778', NULL, NULL, 'VPDSG_CTERM: VPDSG-CTERM protein sorting domain', NULL, 'TIGR03778', NULL, NULL, 15778, 16),
(194378, NULL, 'TIGR04217', NULL, NULL, 'archae_ser_T: archaetidylserine synthase', NULL, 'TIGR04217', NULL, NULL, 27042, 16),
(194379, NULL, 'TIGR00635', NULL, NULL, 'ruvB: Holliday junction DNA helicase RuvB', NULL, 'TIGR00635', NULL, NULL, 984, 16),
(194380, NULL, 'TIGR02072', NULL, NULL, 'BioC: malonyl-acyl carrier protein O-methyltransferase BioC', NULL, 'TIGR02072', NULL, NULL, 13490, 16),
(194381, NULL, 'TIGR00052', NULL, NULL, 'TIGR00052: nudix-type nucleoside diphosphatase, YffH/AdpP family', NULL, 'TIGR00052', NULL, NULL, 5568, 16),
(194382, NULL, 'TIGR01849', NULL, NULL, 'PHB_depoly_PhaZ: polyhydroxyalkanoate depolymerase, intracellular', NULL, 'TIGR01849', NULL, NULL, 9274, 16),
(194383, NULL, 'TIGR03922', NULL, NULL, 'T7SS_EccA: type VII secretion AAA-ATPase EccA', NULL, 'TIGR03922', NULL, NULL, 17437, 16),
(194384, NULL, 'TIGR04042', NULL, NULL, 'MSMEG_0570_fam: MSMEG_0570 family protein', NULL, 'TIGR04042', NULL, NULL, 17078, 16),
(194385, NULL, 'TIGR03626', NULL, NULL, 'L3_arch: ribosomal protein uL3', NULL, 'TIGR03626', NULL, NULL, 15152, 16),
(194386, NULL, 'TIGR00307', NULL, NULL, 'eS8: ribosomal protein eS8', NULL, 'TIGR00307', NULL, NULL, 2307, 16),
(194387, NULL, 'TIGR01762', NULL, NULL, 'chlorin-enz: chlorinating enzyme', NULL, 'TIGR01762', NULL, NULL, 2205, 16),
(194388, NULL, 'TIGR03345', NULL, NULL, 'VI_ClpV1: type VI secretion ATPase, ClpV1 family', NULL, 'TIGR03345', NULL, NULL, 18899, 16),
(194389, NULL, 'TIGR01730', NULL, NULL, 'RND_mfp: efflux transporter, RND family, MFP subunit', NULL, 'TIGR01730', NULL, NULL, 10254, 16),
(194390, NULL, 'TIGR03837', NULL, NULL, 'efp_adjacent_2: conserved hypothetical protein, PP_1857 family', NULL, 'TIGR03837', NULL, NULL, 19596, 16),
(194391, NULL, 'TIGR03050', NULL, NULL, 'PS_I_psaK_plant: photosystem I reaction center PsaK', NULL, 'TIGR03050', NULL, NULL, 21497, 16),
(194392, NULL, 'TIGR03673', NULL, NULL, 'uL14_arch: 50S ribosomal protein uL14', NULL, 'TIGR03673', NULL, NULL, 15548, 16); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194393, NULL, 'TIGR03181', NULL, NULL, 'PDH_E1_alph_x: pyruvate dehydrogenase (acetyl-transferring) E1 component, alpha subunit', NULL, 'TIGR03181', NULL, NULL, 16268, 16),
(194394, NULL, 'TIGR00143', NULL, NULL, 'hypF: carbamoyltransferase HypF', NULL, 'TIGR00143', NULL, NULL, 7369, 16),
(194395, NULL, 'TIGR04428', NULL, NULL, 'B12_rSAM_trp_MT: tryptophan 2-C-methyltransferase', NULL, 'TIGR04428', NULL, NULL, 27368, 16),
(194396, NULL, 'TIGR00189', NULL, NULL, 'tesB: acyl-CoA thioesterase II', NULL, 'TIGR00189', NULL, NULL, 2185, 16),
(194397, NULL, 'TIGR02007', NULL, NULL, 'fdx_isc: ferredoxin, 2Fe-2S type, ISC system', NULL, 'TIGR02007', NULL, NULL, 11203, 16),
(194398, NULL, 'TIGR02511', NULL, NULL, 'type_III_tyeA: type III secretion effector delivery regulator, TyeA family', NULL, 'TIGR02511', NULL, NULL, 18508, 16),
(194399, NULL, 'TIGR02564', NULL, NULL, 'cas_Csy1: CRISPR type I-F/YPEST-associated protein Csy1', NULL, 'TIGR02564', NULL, NULL, 11905, 16),
(194400, NULL, 'TIGR00202', NULL, NULL, 'csrA: carbon storage regulator', NULL, 'TIGR00202', NULL, NULL, 2398, 16),
(194401, NULL, 'TIGR04323', NULL, NULL, 'SpoChoClust_1: sporadic carbohydrate cluster protein, LIC12192 family', NULL, 'TIGR04323', NULL, NULL, 26953, 16),
(194402, NULL, 'TIGR04264', NULL, NULL, 'hyperosmo_Ebh: hyperosmolarity resistance protein Ebh', NULL, 'TIGR04264', NULL, NULL, 26425, 16),
(194403, NULL, 'TIGR01973', NULL, NULL, 'NuoG: NADH dehydrogenase (quinone), G subunit', NULL, 'TIGR01973', NULL, NULL, 4366, 16),
(194404, NULL, 'TIGR03239', NULL, NULL, 'GarL: 2-dehydro-3-deoxyglucarate aldolase', NULL, 'TIGR03239', NULL, NULL, 16823, 16),
(194405, NULL, 'TIGR00541', NULL, NULL, 'hisDCase_pyru: histidine decarboxylase, pyruvoyl type', NULL, 'TIGR00541', NULL, NULL, 5242, 16),
(194406, NULL, 'TIGR01958', NULL, NULL, 'nuoE_fam: NADH-quinone oxidoreductase, E subunit', NULL, 'TIGR01958', NULL, NULL, 5410, 16),
(194407, NULL, 'TIGR03102', NULL, NULL, 'halo_cynanin: halocyanin domain', NULL, 'TIGR03102', NULL, NULL, 15063, 16),
(194408, NULL, 'TIGR02596', NULL, NULL, 'TIGR02596: Verru_Chthon cassette protein D', NULL, 'TIGR02596', NULL, NULL, 15252, 16),
(194409, NULL, 'TIGR01821', NULL, NULL, '5aminolev_synth: 5-aminolevulinic acid synthase', NULL, 'TIGR01821', NULL, NULL, 2249, 16),
(194410, NULL, 'TIGR04326', NULL, NULL, 'O_ant_LIC13510: surface carbohydrate biosynthesis protein, LIC13510 family', NULL, 'TIGR04326', NULL, NULL, 23954, 16),
(194411, NULL, 'TIGR02268', NULL, NULL, 'TIGR02268: Myxococcus xanthus paralogous family TIGR02268', NULL, 'TIGR02268', NULL, NULL, 11618, 16),
(194412, NULL, 'TIGR03582', NULL, NULL, 'EF_0829: PRD domain protein, EF_0829/AHA_3910 family', NULL, 'TIGR03582', NULL, NULL, 18077, 16),
(194413, NULL, 'TIGR02976', NULL, NULL, 'phageshock_pspB: phage shock protein B', NULL, 'TIGR02976', NULL, NULL, 10305, 16),
(194414, NULL, 'TIGR03286', NULL, NULL, 'methan_mark_15: putative methanogenesis marker protein 15', NULL, 'TIGR03286', NULL, NULL, 17988, 16),
(194415, NULL, 'TIGR02131', NULL, NULL, 'phaP_Bmeg: polyhydroxyalkanoic acid inclusion protein PhaP', NULL, 'TIGR02131', NULL, NULL, 11852, 16),
(194416, NULL, 'TIGR02944', NULL, NULL, 'suf_reg_Xantho: FeS assembly SUF system regulator', NULL, 'TIGR02944', NULL, NULL, 9471, 16),
(194417, NULL, 'TIGR01765', NULL, NULL, 'tspaseT_teng_N: transposase, putative, N-terminal domain', NULL, 'TIGR01765', NULL, NULL, 2134, 16),
(194418, NULL, 'TIGR03567', NULL, NULL, 'FMN_reduc_SsuE: FMN reductase', NULL, 'TIGR03567', NULL, NULL, 12451, 16),
(194419, NULL, 'TIGR02648', NULL, NULL, 'rep_term_tus: DNA replication terminus site-binding protein', NULL, 'TIGR02648', NULL, NULL, 7521, 16),
(194420, NULL, 'TIGR02412', NULL, NULL, 'pepN_strep_liv: aminopeptidase N', NULL, 'TIGR02412', NULL, NULL, 10379, 16),
(194421, NULL, 'TIGR04519', NULL, NULL, 'MoCo_extend_TAT: MoCo/4Fe-4S cofactor protein extended Tat translocation domain', NULL, 'TIGR04519', NULL, NULL, 26993, 16),
(194422, NULL, 'TIGR01220', NULL, NULL, 'Pmev_kin_Gr_pos: phosphomevalonate kinase', NULL, 'TIGR01220', NULL, NULL, 318, 16);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194423, NULL, 'TIGR00298', NULL, NULL, 'TIGR00298: 2-phosphosulfolactate phosphatase', NULL, 'TIGR00298', NULL, NULL, 26357, 16),
(194424, NULL, 'TIGR00678', NULL, NULL, 'holB: DNA polymerase III, delta'' subunit', NULL, 'TIGR00678', NULL, NULL, 2164, 16),
(194425, NULL, 'TIGR04373', NULL, NULL, 'egtB_X_signatur: EgtB-related enzyme signature domain', NULL, 'TIGR04373', NULL, NULL, 22401, 16),
(194426, NULL, 'TIGR01300', NULL, NULL, 'CPA3_mnhG_phaG: monovalent cation/proton antiporter, MnhG/PhaG subunit', NULL, 'TIGR01300', NULL, NULL, 7413, 16),
(194427, NULL, 'TIGR02892', NULL, NULL, 'spore_yabP: sporulation protein YabP', NULL, 'TIGR02892', NULL, NULL, 12504, 16),
(194428, NULL, 'TIGR01437', NULL, NULL, 'selA_rel: uncharacterized pyridoxal phosphate-dependent enzyme', NULL, 'TIGR01437', NULL, NULL, 4581, 16),
(194429, NULL, 'TIGR01817', NULL, NULL, 'nifA: Nif-specific regulatory protein', NULL, 'TIGR01817', NULL, NULL, 2088, 16),
(194430, NULL, 'TIGR03775', NULL, NULL, 'RPE3: rickettsial palindromic element RPE3 domain', NULL, 'TIGR03775', NULL, NULL, 16283, 16),
(194431, NULL, 'TIGR03782', NULL, NULL, 'Bac_Flav_CT_J: Bacteroides conjugative transposon TraJ protein', NULL, 'TIGR03782', NULL, NULL, 16025, 16),
(194432, NULL, 'TIGR00787', NULL, NULL, 'dctP: TRAP transporter solute receptor, DctP family', NULL, 'TIGR00787', NULL, NULL, 3246, 16),
(194433, NULL, 'TIGR00822', NULL, NULL, 'EII-Sor: PTS system, mannose/fructose/sorbose family, IIC component', NULL, 'TIGR00822', NULL, NULL, 3867, 16),
(194434, NULL, 'TIGR03187', NULL, NULL, 'DGQHR: DGQHR domain', NULL, 'TIGR03187', NULL, NULL, 16019, 16),
(194435, NULL, 'TIGR00846', NULL, NULL, 'caca2: calcium/proton exchanger', NULL, 'TIGR00846', NULL, NULL, NULL, 16),
(194436, NULL, 'TIGR02549', NULL, NULL, 'CRISPR_DxTHG: CRISPR-associated DxTHG motif protein', NULL, 'TIGR02549', NULL, NULL, 11605, 16),
(194437, NULL, 'TIGR04534', NULL, NULL, 'ELWxxDGT_rpt: ELWxxDGT repeat', NULL, 'TIGR04534', NULL, NULL, 24675, 16),
(194438, NULL, 'TIGR04092', NULL, NULL, 'LTA_DltD: D-alanyl-lipoteichoic acid biosynthesis protein DltD', NULL, 'TIGR04092', NULL, NULL, 12736, 16),
(194439, NULL, 'TIGR00603', NULL, NULL, 'rad25: DNA repair helicase rad25', NULL, 'TIGR00603', NULL, NULL, 1078, 16),
(194440, NULL, 'TIGR04472', NULL, NULL, 'reg_rSAM_mob: mobile rSAM pair MarR family regulator', NULL, 'TIGR04472', NULL, NULL, 27723, 16),
(194441, NULL, 'TIGR00161', NULL, NULL, 'TIGR00161: TIGR00161 family protein', NULL, 'TIGR00161', NULL, NULL, 7308, 16),
(194442, NULL, 'TIGR02929', NULL, NULL, 'anfG_nitrog: Fe-only nitrogenase, delta subunit', NULL, 'TIGR02929', NULL, NULL, 8739, 16),
(194443, NULL, 'TIGR01758', NULL, NULL, 'MDH_euk_cyt: malate dehydrogenase, NAD-dependent', NULL, 'TIGR01758', NULL, NULL, 9711, 16),
(194444, NULL, 'TIGR02991', NULL, NULL, 'ectoine_eutB: ectoine utilization protein EutB', NULL, 'TIGR02991', NULL, NULL, 10187, 16),
(194445, NULL, 'TIGR00034', NULL, NULL, 'aroFGH: 3-deoxy-7-phosphoheptulonate synthase', NULL, 'TIGR00034', NULL, NULL, 11366, 16),
(194446, NULL, 'TIGR03676', NULL, NULL, 'aRF1/eRF1: peptide chain release factor 1, archaeal and eukaryotic forms', NULL, 'TIGR03676', NULL, NULL, 5953, 16),
(194447, NULL, 'TIGR04319', NULL, NULL, 'SerAla_Lrha_rpt: surface protein repeat Ser-Ala-175', NULL, 'TIGR04319', NULL, NULL, 26842, 16),
(194448, NULL, 'TIGR02608', NULL, NULL, 'delta_60_rpt: delta-60 repeat domain', NULL, 'TIGR02608', NULL, NULL, 9405, 16),
(194449, NULL, 'TIGR00638', NULL, NULL, 'Mop: molybdenum-pterin binding domain', NULL, 'TIGR00638', NULL, NULL, 948, 16),
(194450, NULL, 'TIGR02901', NULL, NULL, 'QoxD: cytochrome aa3 quinol oxidase, subunit IV', NULL, 'TIGR02901', NULL, NULL, 11147, 16),
(194451, NULL, 'TIGR00501', NULL, NULL, 'met_pdase_II: methionine aminopeptidase, type II', NULL, 'TIGR00501', NULL, NULL, 7063, 16),
(194452, NULL, 'TIGR00931', NULL, NULL, 'antiport_nhaC: Na+/H+ antiporter NhaC', NULL, 'TIGR00931', NULL, NULL, 5463, 16),
(194453, NULL, 'TIGR01656', NULL, NULL, 'Histidinol-ppas: histidinol-phosphate phosphatase domain', NULL, 'TIGR01656', NULL, NULL, 378, 16);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194454, NULL, 'TIGR03348', NULL, NULL, 'VI_IcmF: type VI secretion protein IcmF', NULL, 'TIGR03348', NULL, NULL, 18730, 16),
(194455, NULL, 'TIGR03629', NULL, NULL, 'uS13_arch: ribosomal protein uS13', NULL, 'TIGR03629', NULL, NULL, 12481, 16),
(194456, NULL, 'TIGR01484', NULL, NULL, 'HAD-SF-IIB: HAD hydrolase, family IIB', NULL, 'TIGR01484', NULL, NULL, 5820, 16),
(194457, NULL, 'TIGR01328', NULL, NULL, 'met_gam_lyase: methionine gamma-lyase', NULL, 'TIGR01328', NULL, NULL, 3977, 16),
(194458, NULL, 'TIGR04510', NULL, NULL, 'mod_pep_cyc: putative peptide modification system cyclase', NULL, 'TIGR04510', NULL, NULL, 26841, 16),
(194459, NULL, 'TIGR01621', NULL, NULL, 'RluA-like: pseudouridine synthase Rlu family protein, TIGR01621', NULL, 'TIGR01621', NULL, NULL, 7051, 16),
(194460, NULL, 'TIGR00357', NULL, NULL, 'TIGR00357: methionine-R-sulfoxide reductase', NULL, 'TIGR00357', NULL, NULL, 1929, 16),
(194461, NULL, 'TIGR02620', NULL, NULL, 'cas_VVA1548: putative CRISPR-associated protein, VVA1548 family', NULL, 'TIGR02620', NULL, NULL, 9084, 16),
(194462, NULL, 'TIGR03454', NULL, NULL, 'partition_RepB: plasmid partitioning protein RepB', NULL, 'TIGR03454', NULL, NULL, 19989, 16),
(194463, NULL, 'TIGR02455', NULL, NULL, 'TreS_stutzeri: trehalose synthase', NULL, 'TIGR02455', NULL, NULL, 10552, 16),
(194464, NULL, 'TIGR02757', NULL, NULL, 'TIGR02757: TIGR02757 family protein', NULL, 'TIGR02757', NULL, NULL, 13914, 16),
(194465, NULL, 'TIGR02462', NULL, NULL, 'pyranose_ox: pyranose oxidase', NULL, 'TIGR02462', NULL, NULL, 12761, 16),
(194466, NULL, 'TIGR03395', NULL, NULL, 'sphingomy: sphingomyelin phosphodiesterase', NULL, 'TIGR03395', NULL, NULL, 19231, 16),
(194467, NULL, 'TIGR00959', NULL, NULL, 'ffh: signal recognition particle protein', NULL, 'TIGR00959', NULL, NULL, 5092, 16),
(194468, NULL, 'TIGR04045', NULL, NULL, 'MSMEG_0567_GNAT: putative N-acetyltransferase, MSMEG_0567 N-terminal domain family', NULL, 'TIGR04045', NULL, NULL, 19098, 16),
(194469, NULL, 'TIGR04425', NULL, NULL, 'P_lya_rel_AroB: putative sugar phosphate phospholyase (cyclizing)', NULL, 'TIGR04425', NULL, NULL, 26162, 16),
(194470, NULL, 'TIGR03407', NULL, NULL, 'urea_ABC_UrtA: urea ABC transporter, urea binding protein', NULL, 'TIGR03407', NULL, NULL, 19210, 16),
(194471, NULL, 'TIGR00081', NULL, NULL, 'purC: phosphoribosylaminoimidazolesuccinocarboxamide synthase', NULL, 'TIGR00081', NULL, NULL, 3129, 16),
(194472, NULL, 'TIGR03728', NULL, NULL, 'glyco_access_1: glycosyltransferase, SP_1767 family', NULL, 'TIGR03728', NULL, NULL, 13402, 16),
(194473, NULL, 'TIGR02783', NULL, NULL, 'TrbL_P: P-type conjugative transfer protein TrbL', NULL, 'TIGR02783', NULL, NULL, 14059, 16),
(194474, NULL, 'TIGR04366', NULL, NULL, 'cupin_WbuC: cupin fold metalloprotein, WbuC family', NULL, 'TIGR04366', NULL, NULL, 24011, 16),
(194475, NULL, 'TIGR03211', NULL, NULL, 'catechol_2_3: catechol 2,3 dioxygenase', NULL, 'TIGR03211', NULL, NULL, 16961, 16),
(194476, NULL, 'TIGR03735', NULL, NULL, 'PRTRC_A: PRTRC system protein A', NULL, 'TIGR03735', NULL, NULL, 16612, 16),
(194477, NULL, 'TIGR04569', NULL, NULL, 'arch_SelU_Cterm: selenouridine synthase, SelU C-terminal-like subunit', NULL, 'TIGR04569', NULL, NULL, 24752, 16),
(194478, NULL, 'TIGR01923', NULL, NULL, 'menE: O-succinylbenzoate-CoA ligase', NULL, 'TIGR01923', NULL, NULL, 4456, 16),
(194479, NULL, 'TIGR03152', NULL, NULL, 'cyto_c552_HCOOH: formate-dependent cytochrome c nitrite reductase, c552 subunit', NULL, 'TIGR03152', NULL, NULL, 16179, 16),
(194480, NULL, 'TIGR00893', NULL, NULL, '2A0114: D-galactonate transporter', NULL, 'TIGR00893', NULL, NULL, NULL, 16),
(194481, NULL, 'TIGR02842', NULL, NULL, 'CyoC: cytochrome o ubiquinol oxidase, subunit III', NULL, 'TIGR02842', NULL, NULL, 9446, 16),
(194482, NULL, 'TIGR01528', NULL, NULL, 'NMN_trans_PnuC: nicotinamide mononucleotide transporter PnuC', NULL, 'TIGR01528', NULL, NULL, 6528, 16),
(194483, NULL, 'TIGR03601', NULL, NULL, 'B_an_ocin: bacteriocin, heterocycloanthracin/sonorensin family', NULL, 'TIGR03601', NULL, NULL, 15354, 16);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194484, NULL, 'TIGR03564', NULL, NULL, 'F420_MSMEG_4879: F420-dependent oxidoreductase, MSMEG_4879 family', NULL, 'TIGR03564', NULL, NULL, 18320, 16),
(194485, NULL, 'TIGR03738', NULL, NULL, 'PRTRC_C: PRTRC system protein C', NULL, 'TIGR03738', NULL, NULL, 15728, 16),
(194486, NULL, 'TIGR01594', NULL, NULL, 'holin_lambda: phage holin, lambda family', NULL, 'TIGR01594', NULL, NULL, 6308, 16),
(194487, NULL, 'TIGR02097', NULL, NULL, 'yccV: hemimethylated DNA binding domain', NULL, 'TIGR02097', NULL, NULL, 11208, 16),
(194488, NULL, 'TIGR03532', NULL, NULL, 'DapD_Ac: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-acetyltransferase', NULL, 'TIGR03532', NULL, NULL, 17254, 16),
(194489, NULL, 'TIGR01543', NULL, NULL, 'proheadase_HK97: phage prohead protease, HK97 family', NULL, 'TIGR01543', NULL, NULL, 6916, 16),
(194490, NULL, 'TIGR02181', NULL, NULL, 'GRX_bact: glutaredoxin 3', NULL, 'TIGR02181', NULL, NULL, 12104, 16),
(194491, NULL, 'TIGR03236', NULL, NULL, 'dnd_assoc_1: DNA phosphorothioation-dependent restriction protein DptG', NULL, 'TIGR03236', NULL, NULL, 16528, 16),
(194492, NULL, 'TIGR02733', NULL, NULL, 'desat_CrtD: C-3'',4'' desaturase CrtD', NULL, 'TIGR02733', NULL, NULL, 14284, 16),
(194493, NULL, 'TIGR04155', NULL, NULL, 'cyano_PEP: PEP-CTERM protein sorting domain, cyanobacterial subclass', NULL, 'TIGR04155', NULL, NULL, 24255, 16),
(194494, NULL, 'TIGR03860', NULL, NULL, 'FMN_nitrolo: FMN-dependent oxidoreductase, nitrilotriacetate monooxygenase family', NULL, 'TIGR03860', NULL, NULL, 17190, 16),
(194495, NULL, 'TIGR00712', NULL, NULL, 'glpT: glycerol-3-phosphate transporter', NULL, 'TIGR00712', NULL, NULL, 4426, 16),
(194496, NULL, 'TIGR01590', NULL, NULL, 'yir-bir-cir_Pla: yir/bir/cir-family of variant antigens', NULL, 'TIGR01590', NULL, NULL, 6266, 16),
(194497, NULL, 'TIGR00252', NULL, NULL, 'TIGR00252: TIGR00252 family protein', NULL, 'TIGR00252', NULL, NULL, 6270, 16),
(194498, NULL, 'TIGR04363', NULL, NULL, 'LD_lanti_pre: FxLD family lantipeptide', NULL, 'TIGR04363', NULL, NULL, 24265, 16),
(194499, NULL, 'TIGR01161', NULL, NULL, 'purK: phosphoribosylaminoimidazole carboxylase, ATPase subunit', NULL, 'TIGR01161', NULL, NULL, 6689, 16),
(194500, NULL, 'TIGR01266', NULL, NULL, 'fum_ac_acetase: fumarylacetoacetase', NULL, 'TIGR01266', NULL, NULL, 410, 16),
(194501, NULL, 'TIGR02134', NULL, NULL, 'transald_staph: transaldolase', NULL, 'TIGR02134', NULL, NULL, 14077, 16),
(194502, NULL, 'TIGR02941', NULL, NULL, 'Sigma_B: RNA polymerase sigma-B factor', NULL, 'TIGR02941', NULL, NULL, 9017, 16),
(194503, NULL, 'TIGR04288', NULL, NULL, 'CGP_CTERM: CGP-CTERM domain', NULL, 'TIGR04288', NULL, NULL, 28720, 16),
(194504, NULL, 'TIGR01382', NULL, NULL, 'PfpI: intracellular protease, PfpI family', NULL, 'TIGR01382', NULL, NULL, 3675, 16),
(194505, NULL, 'TIGR02327', NULL, NULL, 'int_mem_ywzB: conserved hypothetical integral membrane protein', NULL, 'TIGR02327', NULL, NULL, 10127, 16),
(194506, NULL, 'TIGR04095', NULL, NULL, 'dnd_restrict_1: DNA phosphorothioation system restriction enzyme', NULL, 'TIGR04095', NULL, NULL, 16275, 16),
(194507, NULL, 'TIGR04400', NULL, NULL, 'RK_trnsloc_Pase: Arg-Lys translocation region protein phosphatase', NULL, 'TIGR04400', NULL, NULL, 21778, 16),
(194508, NULL, 'TIGR04537', NULL, NULL, 'encap_target: encapsulation C-terminal sorting signal', NULL, 'TIGR04537', NULL, NULL, NULL, 16),
(194509, NULL, 'TIGR02599', NULL, NULL, 'TIGR02599: Verru_Chthon cassette protein C', NULL, 'TIGR02599', NULL, NULL, 15622, 16),
(194510, NULL, 'TIGR00675', NULL, NULL, 'dcm: DNA (cytosine-5-)-methyltransferase', NULL, 'TIGR00675', NULL, NULL, 5052, 16),
(194511, NULL, 'TIGR00924', NULL, NULL, 'yjdL_sub1_fam: amino acid/peptide transporter (Peptide:H+ symporter)', NULL, 'TIGR00924', NULL, NULL, 4344, 16),
(194512, NULL, 'TIGR01054', NULL, NULL, 'rgy: reverse gyrase', NULL, 'TIGR01054', NULL, NULL, 4634, 16),
(194513, NULL, 'TIGR00685', NULL, NULL, 'T6PP: trehalose-phosphatase', NULL, 'TIGR00685', NULL, NULL, 4500, 16),
(194514, NULL, 'TIGR02670', NULL, NULL, 'cas_csx8: CRISPR-associated protein Cas8a1/Csx8, subtype I', NULL, 'TIGR02670', NULL, NULL, 10448, 16);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194515, NULL, 'TIGR00220', NULL, NULL, 'mscL: large conductance mechanosensitive channel protein', NULL, 'TIGR00220', NULL, NULL, 1117, 16),
(194516, NULL, 'TIGR02300', NULL, NULL, 'FYDLN_acid: TIGR02300 family protein', NULL, 'TIGR02300', NULL, NULL, 10838, 16),
(194517, NULL, 'TIGR02405', NULL, NULL, 'trehalos_R_Ecol: trehalose operon repressor', NULL, 'TIGR02405', NULL, NULL, 10017, 16),
(194518, NULL, 'TIGR03946', NULL, NULL, 'viomycin_VioC: arginine beta-hydroxylase, Fe(II)/alpha-ketoglutarate-dependent', NULL, 'TIGR03946', NULL, NULL, 11312, 16),
(194519, NULL, 'TIGR04151', NULL, NULL, 'exosort_VPDSG: exosortase C, VPDSG-CTERM-specific', NULL, 'TIGR04151', NULL, NULL, 24245, 16),
(194520, NULL, 'TIGR00849', NULL, NULL, 'gutA: PTS system, glucitol/sorbitol-specific IIA component', NULL, 'TIGR00849', NULL, NULL, 9320, 16),
(194521, NULL, 'TIGR03246', NULL, NULL, 'arg_catab_astC: succinylornithine transaminase family', NULL, 'TIGR03246', NULL, NULL, 17069, 16),
(194522, NULL, 'TIGR03024', NULL, NULL, 'arch_PEF_CTERM: PEF-CTERM protein sorting domain', NULL, 'TIGR03024', NULL, NULL, 21130, 16),
(194523, NULL, 'TIGR00463', NULL, NULL, 'gltX_arch: glutamate--tRNA ligase', NULL, 'TIGR00463', NULL, NULL, 1974, 16),
(194524, NULL, 'TIGR01188', NULL, NULL, 'drrA: daunorubicin resistance ABC transporter, ATP-binding protein', NULL, 'TIGR01188', NULL, NULL, 6570, 16),
(194525, NULL, 'TIGR03261', NULL, NULL, 'phnS2: putative 2-aminoethylphosphonate ABC transporter, periplasmic 2-aminoethylphosphonate-binding protein', NULL, 'TIGR03261', NULL, NULL, 17485, 16),
(194526, NULL, 'TIGR03090', NULL, NULL, 'SASP_tlp: small, acid-soluble spore protein tlp', NULL, 'TIGR03090', NULL, NULL, 15067, 16),
(194527, NULL, 'TIGR01606', NULL, NULL, 'holin_BlyA: holin, BlyA family', NULL, 'TIGR01606', NULL, NULL, 6485, 16),
(194528, NULL, 'TIGR02539', NULL, NULL, 'SepCysS: O-phospho-L-seryl-tRNA:Cys-tRNA synthase', NULL, 'TIGR02539', NULL, NULL, 11874, 16),
(194529, NULL, 'TIGR00791', NULL, NULL, 'gntP: transporter, gluconate:H+ symporter (GntP) family', NULL, 'TIGR00791', NULL, NULL, 6183, 16),
(194530, NULL, 'TIGR00255', NULL, NULL, 'TIGR00255: TIGR00255 family protein', NULL, 'TIGR00255', NULL, NULL, 11239, 16),
(194531, NULL, 'TIGR02655', NULL, NULL, 'circ_KaiC: circadian clock protein KaiC', NULL, 'TIGR02655', NULL, NULL, 7501, 16),
(194532, NULL, 'TIGR03025', NULL, NULL, 'EPS_sugtrans: exopolysaccharide biosynthesis polyprenyl glycosylphosphotransferase', NULL, 'TIGR03025', NULL, NULL, 21078, 16),
(194533, NULL, 'TIGR00136', NULL, NULL, 'gidA: tRNA uridine 5-carboxymethylaminomethyl modification enzyme GidA', NULL, 'TIGR00136', NULL, NULL, 7306, 16),
(194534, NULL, 'TIGR01814', NULL, NULL, 'kynureninase: kynureninase', NULL, 'TIGR01814', NULL, NULL, 2145, 16),
(194535, NULL, 'TIGR01055', NULL, NULL, 'parE_Gneg: DNA topoisomerase IV, B subunit', NULL, 'TIGR01055', NULL, NULL, 4623, 16),
(194536, NULL, 'TIGR04435', NULL, NULL, 'restrict_AAA_1: restriction system-associated AAA family ATPase', NULL, 'TIGR04435', NULL, NULL, 26539, 16),
(194537, NULL, 'TIGR00432', NULL, NULL, 'arcsn_tRNA_tgt: tRNA-guanine(15) transglycosylase', NULL, 'TIGR00432', NULL, NULL, 5709, 16),
(194538, NULL, 'TIGR01874', NULL, NULL, 'cas_cas5a: CRISPR-associated protein Cas5, subtype I-A/APERN', NULL, 'TIGR01874', NULL, NULL, 10947, 16),
(194539, NULL, 'TIGR02393', NULL, NULL, 'RpoD_Cterm: RNA polymerase sigma factor RpoD', NULL, 'TIGR02393', NULL, NULL, 10299, 16),
(194540, NULL, 'TIGR02819', NULL, NULL, 'fdhA_non_GSH: formaldehyde dehydrogenase, glutathione-independent', NULL, 'TIGR02819', NULL, NULL, 8507, 16),
(194541, NULL, 'TIGR00897', NULL, NULL, '2A0118: polyol permease', NULL, 'TIGR00897', NULL, NULL, 5427, 16),
(194542, NULL, 'TIGR02885', NULL, NULL, 'spore_sigF: RNA polymerase sigma-F factor', NULL, 'TIGR02885', NULL, NULL, 10523, 16),
(194543, NULL, 'TIGR00909', NULL, NULL, '2A0306: amino acid transporter', NULL, 'TIGR00909', NULL, NULL, 5482, 16),
(194544, NULL, 'TIGR03489', NULL, NULL, 'cas_csp1: CRISPR-associated protein Cas7/Csp1, subtype PGING', NULL, 'TIGR03489', NULL, NULL, 18164, 16);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194545, NULL, 'TIGR03352', NULL, NULL, 'VI_chp_3: type VI secretion lipoprotein, VC_A0113 family', NULL, 'TIGR03352', NULL, NULL, 18864, 16),
(194546, NULL, 'TIGR02119', NULL, NULL, 'panF: sodium/pantothenate symporter', NULL, 'TIGR02119', NULL, NULL, 14468, 16),
(194547, NULL, 'TIGR03666', NULL, NULL, 'Rv2061_F420: PPOX class probable F420-dependent enzyme, Rv2061 family', NULL, 'TIGR03666', NULL, NULL, 15647, 16),
(194548, NULL, 'TIGR03398', NULL, NULL, 'plc_access_R: phospholipase C accessory protein PlcR', NULL, 'TIGR03398', NULL, NULL, 19473, 16),
(194549, NULL, 'TIGR02904', NULL, NULL, 'spore_ysxE: spore coat protein YsxE', NULL, 'TIGR02904', NULL, NULL, 11350, 16),
(194550, NULL, 'TIGR04107', NULL, NULL, 'rSAM_HutW: putative heme utilization radical SAM enzyme HutW', NULL, 'TIGR04107', NULL, NULL, 24092, 16),
(194551, NULL, 'TIGR00464', NULL, NULL, 'gltX_bact: glutamate--tRNA ligase', NULL, 'TIGR00464', NULL, NULL, 1705, 16),
(194552, NULL, 'TIGR00569', NULL, NULL, 'ccl1: cyclin ccl1', NULL, 'TIGR00569', NULL, NULL, 27592, 16),
(194553, NULL, 'TIGR03430', NULL, NULL, 'trp_dimet_allyl: tryptophan dimethylallyltransferase', NULL, 'TIGR03430', NULL, NULL, 19085, 16),
(194554, NULL, 'TIGR01298', NULL, NULL, 'RNaseT: ribonuclease T', NULL, 'TIGR01298', NULL, NULL, 1330, 16),
(194555, NULL, 'TIGR02182', NULL, NULL, 'GRXB: glutaredoxin, GrxB family', NULL, 'TIGR02182', NULL, NULL, 12127, 16),
(194556, NULL, 'TIGR00955', NULL, NULL, '3a01204: pigment precursor permease', NULL, 'TIGR00955', NULL, NULL, 4420, 16),
(194557, NULL, 'TIGR03994', NULL, NULL, 'rSAM_HemZ: coproporphyrinogen dehydrogenase HemZ', NULL, 'TIGR03994', NULL, NULL, 18639, 16),
(194558, NULL, 'TIGR00906', NULL, NULL, '2A0303: cationic amino acid transport permease', NULL, 'TIGR00906', NULL, NULL, 5066, 16),
(194559, NULL, 'TIGR04120', NULL, NULL, 'DNA_lig_bact: DNA ligase, ATP-dependent, PP_1105 family', NULL, 'TIGR04120', NULL, NULL, 24276, 16),
(194560, NULL, 'TIGR04152', NULL, NULL, 'exosort_VPLPA: exosortase D, VPLPA-CTERM-specific', NULL, 'TIGR04152', NULL, NULL, 24361, 16),
(194561, NULL, 'TIGR01164', NULL, NULL, 'rplP_bact: ribosomal protein uL16', NULL, 'TIGR01164', NULL, NULL, 2825, 16),
(194562, NULL, 'TIGR04186', NULL, NULL, 'GRASP_targ: putative ATP-grasp target RiPP', NULL, 'TIGR04186', NULL, NULL, 24486, 16),
(194563, NULL, 'TIGR01372', NULL, NULL, 'soxA: sarcosine oxidase, alpha subunit family', NULL, 'TIGR01372', NULL, NULL, 3557, 16),
(194564, NULL, 'TIGR00573', NULL, NULL, 'dnaq: exonuclease, DNA polymerase III, epsilon subunit family', NULL, 'TIGR00573', NULL, NULL, 2812, 16),
(194565, NULL, 'TIGR01546', NULL, NULL, 'GAPDH-II_archae: glyceraldehyde-3-phosphate dehydrogenase, type II', NULL, 'TIGR01546', NULL, NULL, 6912, 16),
(194566, NULL, 'TIGR03703', NULL, NULL, 'plsB: glycerol-3-phosphate O-acyltransferase', NULL, 'TIGR03703', NULL, NULL, 27689, 16),
(194567, NULL, 'TIGR02116', NULL, NULL, 'toxin_Txe_YoeB: addiction module toxin, Txe/YoeB family', NULL, 'TIGR02116', NULL, NULL, 1642, 16),
(194568, NULL, 'TIGR00682', NULL, NULL, 'lpxK: tetraacyldisaccharide 4''-kinase', NULL, 'TIGR00682', NULL, NULL, 2368, 16),
(194569, NULL, 'TIGR03949', NULL, NULL, 'bact_IIb_cerein: class IIb bacteriocin, lactobin A/cerein 7B family', NULL, 'TIGR03949', NULL, NULL, 12680, 16),
(194570, NULL, 'TIGR00760', NULL, NULL, 'araD: L-ribulose-5-phosphate 4-epimerase', NULL, 'TIGR00760', NULL, NULL, 2837, 16),
(194571, NULL, 'TIGR02303', NULL, NULL, 'HpaG-C-term: 4-hydroxyphenylacetate degradation bifunctional isomerase/decarboxylase, C-terminal subunit', NULL, 'TIGR02303', NULL, NULL, 11918, 16),
(194572, NULL, 'TIGR03321', NULL, NULL, 'alt_F1F0_F0_B: alternate F1F0 ATPase, F0 subunit B', NULL, 'TIGR03321', NULL, NULL, 18088, 16),
(194573, NULL, 'TIGR03458', NULL, NULL, 'YgfH_subfam: succinate CoA transferase', NULL, 'TIGR03458', NULL, NULL, 19528, 16),
(194574, NULL, 'TIGR03370', NULL, NULL, 'VPLPA-CTERM: VPLPA-CTERM protein sorting domain', NULL, 'TIGR03370', NULL, NULL, 16349, 16),
(194575, NULL, 'TIGR01705', NULL, NULL, 'MTA/SAH-nuc-hyp: putative 5''-methylthioadenosine/S-adenosylhomocysteine nucleosidase', NULL, 'TIGR01705', NULL, NULL, 5181, 16);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194576, NULL, 'TIGR01263', NULL, NULL, '4HPPD: 4-hydroxyphenylpyruvate dioxygenase', NULL, 'TIGR01263', NULL, NULL, 430, 16),
(194577, NULL, 'TIGR03812', NULL, NULL, 'tyr_de_CO2_Arch: tyrosine decarboxylase MnfA', NULL, 'TIGR03812', NULL, NULL, 14659, 16),
(194578, NULL, 'TIGR00354', NULL, NULL, 'polC: DNA polymerase II, large subunit DP2', NULL, 'TIGR00354', NULL, NULL, 7443, 16),
(194579, NULL, 'TIGR03059', NULL, NULL, 'psaOeuk: photosystem I protein PsaO', NULL, 'TIGR03059', NULL, NULL, 21385, 16),
(194580, NULL, 'TIGR01273', NULL, NULL, 'speA: arginine decarboxylase', NULL, 'TIGR01273', NULL, NULL, 7263, 16),
(194581, NULL, 'TIGR00037', NULL, NULL, 'eIF_5A: translation elongation factor IF5A', NULL, 'TIGR00037', NULL, NULL, 4247, 16),
(194582, NULL, 'TIGR00358', NULL, NULL, '3_prime_RNase: VacB and RNase II family 3''-5'' exoribonucleases', NULL, 'TIGR00358', NULL, NULL, 7084, 16),
(194583, NULL, 'TIGR00361', NULL, NULL, 'ComEC_Rec2: DNA internalization-related competence protein ComEC/Rec2', NULL, 'TIGR00361', NULL, NULL, 5111, 16),
(194584, NULL, 'TIGR01591', NULL, NULL, 'Fdh-alpha: formate dehydrogenase, alpha subunit', NULL, 'TIGR01591', NULL, NULL, 6027, 16),
(194585, NULL, 'TIGR02867', NULL, NULL, 'spore_II_P: stage II sporulation protein P', NULL, 'TIGR02867', NULL, NULL, 12354, 16),
(194586, NULL, 'TIGR01712', NULL, NULL, 'phage_N6A_met: phage N-6-adenine-methyltransferase', NULL, 'TIGR01712', NULL, NULL, 14205, 16),
(194587, NULL, 'TIGR04289', NULL, NULL, 'heavy_Cys: eight-cysteine-cluster domain', NULL, 'TIGR04289', NULL, NULL, 28799, 16),
(194588, NULL, 'TIGR02225', NULL, NULL, 'recomb_XerD: tyrosine recombinase XerD', NULL, 'TIGR02225', NULL, NULL, 11472, 16),
(194589, NULL, 'TIGR03134', NULL, NULL, 'malonate_gamma: biotin-independent malonate decarboxylase, gamma subunit', NULL, 'TIGR03134', NULL, NULL, 11174, 16),
(194590, NULL, 'TIGR03127', NULL, NULL, 'RuMP_HxlB: 6-phospho 3-hexuloisomerase', NULL, 'TIGR03127', NULL, NULL, 15340, 16),
(194591, NULL, 'TIGR02109', NULL, NULL, 'PQQ_syn_pqqE: coenzyme PQQ biosynthesis enzyme PqqE', NULL, 'TIGR02109', NULL, NULL, 14162, 16),
(194592, NULL, 'TIGR00139', NULL, NULL, 'h_aconitase: homoaconitase', NULL, 'TIGR00139', NULL, NULL, 7050, 16),
(194593, NULL, 'TIGR00566', NULL, NULL, 'trpG_papA: glutamine amidotransferase of anthranilate synthase or aminodeoxychorismate synthase', NULL, 'TIGR00566', NULL, NULL, 11486, 16),
(194594, NULL, 'TIGR02402', NULL, NULL, 'trehalose_TreZ: malto-oligosyltrehalose trehalohydrolase', NULL, 'TIGR02402', NULL, NULL, 10398, 16),
(194595, NULL, 'TIGR01051', NULL, NULL, 'topA_bact: DNA topoisomerase I', NULL, 'TIGR01051', NULL, NULL, 4681, 16),
(194596, NULL, 'TIGR02673', NULL, NULL, 'FtsE: cell division ATP-binding protein FtsE', NULL, 'TIGR02673', NULL, NULL, 4448, 16),
(194597, NULL, 'TIGR04077', NULL, NULL, 'expor_sig_YdyF: exported signaling peptide, YydF/SAG_2028 family', NULL, 'TIGR04077', NULL, NULL, 8232, 16),
(194598, NULL, 'TIGR02291', NULL, NULL, 'rimK_rel_E_lig: alpha-L-glutamate ligase homolog', NULL, 'TIGR02291', NULL, NULL, 11959, 16),
(194599, NULL, 'TIGR00894', NULL, NULL, '2A0114euk: Na(+)-dependent inorganic phosphate cotransporter', NULL, 'TIGR00894', NULL, NULL, 5290, 16),
(194600, NULL, 'TIGR01020', NULL, NULL, 'uS5_euk_arch: ribosomal protein uS5', NULL, 'TIGR01020', NULL, NULL, 3876, 16),
(194601, NULL, 'TIGR01086', NULL, NULL, 'fucA: L-fuculose phosphate aldolase', NULL, 'TIGR01086', NULL, NULL, 5435, 16),
(194602, NULL, 'TIGR03847', NULL, NULL, 'TIGR03847: conserved hypothetical protein', NULL, 'TIGR03847', NULL, NULL, 18216, 16),
(194603, NULL, 'TIGR01603', NULL, NULL, 'maj_tail_phi13: phage major tail protein, phi13 family', NULL, 'TIGR01603', NULL, NULL, 6321, 16),
(194604, NULL, 'TIGR02437', NULL, NULL, 'FadB: fatty oxidation complex, alpha subunit FadB', NULL, 'TIGR02437', NULL, NULL, 11968, 16),
(194605, NULL, 'TIGR00245', NULL, NULL, 'TIGR00245: TIGR00245 family protein', NULL, 'TIGR00245', NULL, NULL, 11402, 16),
(194606, NULL, 'TIGR03028', NULL, NULL, 'EpsE: polysaccharide export protein EpsE', NULL, 'TIGR03028', NULL, NULL, 21149, 16);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194607, NULL, 'TIGR03519', NULL, NULL, 'T9SS_PorP_fam: type IX secretion system membrane protein, PorP/SprF family', NULL, 'TIGR03519', NULL, NULL, 16638, 16),
(194608, NULL, 'TIGR00467', NULL, NULL, 'lysS_arch: lysine--tRNA ligase', NULL, 'TIGR00467', NULL, NULL, 6428, 16),
(194609, NULL, 'TIGR03243', NULL, NULL, 'arg_catab_AOST: arginine and ornithine succinyltransferase subunits', NULL, 'TIGR03243', NULL, NULL, 6542, 16),
(194610, NULL, 'TIGR04261', NULL, NULL, 'rSAM_GlyRichRpt: radical SAM/SPASM domain protein, GRRM system', NULL, 'TIGR04261', NULL, NULL, 26126, 16),
(194611, NULL, 'TIGR01485', NULL, NULL, 'SPP_plant-cyano: sucrose phosphatase', NULL, 'TIGR01485', NULL, NULL, 7716, 16),
(194612, NULL, 'TIGR02730', NULL, NULL, 'carot_isom: carotene isomerase', NULL, 'TIGR02730', NULL, NULL, 14460, 16),
(194613, NULL, 'TIGR04398', NULL, NULL, 'SLAP_DUP: SLAP domain', NULL, 'TIGR04398', NULL, NULL, 21911, 16),
(194614, NULL, 'TIGR00330', NULL, NULL, 'glpX: fructose-1,6-bisphosphatase, class II', NULL, 'TIGR00330', NULL, NULL, 7459, 16),
(194615, NULL, 'TIGR01419', NULL, NULL, 'nitro_reg_IIA: PTS IIA-like nitrogen-regulatory protein PtsN', NULL, 'TIGR01419', NULL, NULL, 4844, 16),
(194616, NULL, 'TIGR01976', NULL, NULL, 'am_tr_V_VC1184: cysteine desulfurase family protein', NULL, 'TIGR01976', NULL, NULL, 9131, 16),
(194617, NULL, 'TIGR02390', NULL, NULL, 'RNA_pol_rpoA1: DNA-directed RNA polymerase subunit A''', NULL, 'TIGR02390', NULL, NULL, 10164, 16),
(194618, NULL, 'TIGR00002', NULL, NULL, 'S16: ribosomal protein bS16', NULL, 'TIGR00002', NULL, NULL, 793, 16),
(194619, NULL, 'TIGR04254', NULL, NULL, 'OpituPEPCTERM_1: putative globular PEP-CTERM protein', NULL, 'TIGR04254', NULL, NULL, 26210, 16),
(194620, NULL, 'TIGR00821', NULL, NULL, 'EII-GUT: PTS system, glucitol/sorbitol-specific, IIC component', NULL, 'TIGR00821', NULL, NULL, 3958, 16),
(194621, NULL, 'TIGR01157', NULL, NULL, 'pufL: photosynthetic reaction center L subunit', NULL, 'TIGR01157', NULL, NULL, 6645, 16),
(194622, NULL, 'TIGR00389', NULL, NULL, 'glyS_dimeric: glycine--tRNA ligase', NULL, 'TIGR00389', NULL, NULL, 6297, 16),
(194623, NULL, 'TIGR01148', NULL, NULL, 'mtrC: tetrahydromethanopterin S-methyltransferase, subunit C', NULL, 'TIGR01148', NULL, NULL, 6797, 16),
(194624, NULL, 'TIGR01011', NULL, NULL, 'rpsB_bact: ribosomal protein uS2', NULL, 'TIGR01011', NULL, NULL, 3831, 16),
(194625, NULL, 'TIGR02132', NULL, NULL, 'phaR_Bmeg: polyhydroxyalkanoic acid synthase, PhaR subunit', NULL, 'TIGR02132', NULL, NULL, 11563, 16),
(194626, NULL, 'TIGR04207', NULL, NULL, 'halo_sig_pep: surface glycoprotein signal peptide', NULL, 'TIGR04207', NULL, NULL, 24335, 16),
(194627, NULL, 'TIGR03912', NULL, NULL, 'PylS_Nterm: pyrrolysine--tRNA ligase, N-terminal region', NULL, 'TIGR03912', NULL, NULL, 17795, 16),
(194628, NULL, 'TIGR04550', NULL, NULL, 'sMetMonox_MmoD: soluble methane monooxygenase-binding protein MmoD', NULL, 'TIGR04550', NULL, NULL, 15889, 16),
(194629, NULL, 'TIGR01163', NULL, NULL, 'rpe: ribulose-phosphate 3-epimerase', NULL, 'TIGR01163', NULL, NULL, 28283, 16),
(194630, NULL, 'TIGR02269', NULL, NULL, 'TIGR02269: Myxococcus xanthus paralogous lipoprotein family TIGR02269', NULL, 'TIGR02269', NULL, NULL, 11967, 16),
(194631, NULL, 'TIGR00525', NULL, NULL, 'folB: dihydroneopterin aldolase', NULL, 'TIGR00525', NULL, NULL, 10092, 16),
(194632, NULL, 'TIGR00370', NULL, NULL, 'TIGR00370: sensor histidine kinase inhibitor, KipI family', NULL, 'TIGR00370', NULL, NULL, 5189, 16),
(194633, NULL, 'TIGR02630', NULL, NULL, 'xylose_isom_A: xylose isomerase', NULL, 'TIGR02630', NULL, NULL, 9062, 16),
(194634, NULL, 'TIGR02928', NULL, NULL, 'TIGR02928: orc1/cdc6 family replication initiation protein', NULL, 'TIGR02928', NULL, NULL, 8932, 16),
(194635, NULL, 'TIGR00853', NULL, NULL, 'pts-lac: PTS system, lactose/cellobiose family IIB component', NULL, 'TIGR00853', NULL, NULL, 18601, 16),
(194636, NULL, 'TIGR00958', NULL, NULL, '3a01208: antigen peptide transporter 2', NULL, 'TIGR00958', NULL, NULL, 8916, 16),
(194637, NULL, 'TIGR00355', NULL, NULL, 'purH: phosphoribosylaminoimidazolecarboxamide formyltransferase/IMP cyclohydrolase', NULL, 'TIGR00355', NULL, NULL, 3871, 16);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194638, NULL, 'TIGR01646', NULL, NULL, 'vgr_GE: Rhs element Vgr protein', NULL, 'TIGR01646', NULL, NULL, 446, 16),
(194639, NULL, 'TIGR03068', NULL, NULL, 'srtB_sig_NPQTN: sortase B signal domain, NPQTN class', NULL, 'TIGR03068', NULL, NULL, 21604, 16),
(194640, NULL, 'TIGR03888', NULL, NULL, 'nitrile_beta: nitrile hydratase, beta subunit', NULL, 'TIGR03888', NULL, NULL, 1977, 16),
(194641, NULL, 'TIGR04052', NULL, NULL, 'AZL_007920_fam: AZL_007920/MXAN_0976 family protein', NULL, 'TIGR04052', NULL, NULL, 11567, 16),
(194642, NULL, 'TIGR04535', NULL, NULL, 'ferrit_encaps: ferritin-like protein', NULL, 'TIGR04535', NULL, NULL, 26773, 16),
(194643, NULL, 'TIGR00806', NULL, NULL, 'rfc: reduced folate carrier', NULL, 'TIGR00806', NULL, NULL, 2948, 16),
(194644, NULL, 'TIGR00308', NULL, NULL, 'TRM1: N2,N2-dimethylguanosine tRNA methyltransferase', NULL, 'TIGR00308', NULL, NULL, 6120, 16),
(194645, NULL, 'TIGR00364', NULL, NULL, 'TIGR00364: queuosine biosynthesis protein QueC', NULL, 'TIGR00364', NULL, NULL, 16742, 16),
(194646, NULL, 'TIGR02290', NULL, NULL, 'M3_fam_3: oligoendopeptidase, pepF/M3 family', NULL, 'TIGR02290', NULL, NULL, 13292, 16),
(194647, NULL, 'TIGR02782', NULL, NULL, 'TrbB_P: P-type conjugative transfer ATPase TrbB', NULL, 'TIGR02782', NULL, NULL, 14412, 16),
(194648, NULL, 'TIGR03894', NULL, NULL, 'chp_P_marinus_1: conserved hypothetical protein, TIGR03894 family', NULL, 'TIGR03894', NULL, NULL, 14518, 16),
(194649, NULL, 'TIGR01005', NULL, NULL, 'eps_transp_fam: exopolysaccharide transport protein family', NULL, 'TIGR01005', NULL, NULL, 3712, 16),
(194650, NULL, 'TIGR02726', NULL, NULL, 'phenyl_P_delta: phenylphosphate carboxylase, delta subunit', NULL, 'TIGR02726', NULL, NULL, 14115, 16),
(194651, NULL, 'TIGR03455', NULL, NULL, 'HisG_C-term: ATP phosphoribosyltransferase, C-terminal domain', NULL, 'TIGR03455', NULL, NULL, 18727, 16),
(194652, NULL, 'TIGR02284', NULL, NULL, 'TIGR02284: conserved hypothetical protein', NULL, 'TIGR02284', NULL, NULL, 11361, 16),
(194653, NULL, 'TIGR03566', NULL, NULL, 'FMN_reduc_MsuE: FMN reductase', NULL, 'TIGR03566', NULL, NULL, 18185, 16),
(194654, NULL, 'TIGR00862', NULL, NULL, 'O-ClC: intracellular chloride channel protein', NULL, 'TIGR00862', NULL, NULL, 6712, 16),
(194655, NULL, 'TIGR04213', NULL, NULL, 'PGF_pre_PGF: PGF-pre-PGF domain', NULL, 'TIGR04213', NULL, NULL, 24366, 16),
(194656, NULL, 'TIGR03396', NULL, NULL, 'PC_PLC: phospholipase C, phosphocholine-specific', NULL, 'TIGR03396', NULL, NULL, 19375, 16),
(194657, NULL, 'TIGR02621', NULL, NULL, 'cas3_GSU0051: CRISPR-associated helicase Cas3, subtype Dpsyc', NULL, 'TIGR02621', NULL, NULL, 9418, 16),
(194658, NULL, 'TIGR00027', NULL, NULL, 'mthyl_TIGR00027: methyltransferase, TIGR00027 family', NULL, 'TIGR00027', NULL, NULL, 8023, 16),
(194659, NULL, 'TIGR01974', NULL, NULL, 'NDH_I_L: proton-translocating NADH-quinone oxidoreductase, chain L', NULL, 'TIGR01974', NULL, NULL, 8625, 16),
(194660, NULL, 'TIGR02624', NULL, NULL, 'rhamnu_1P_ald: rhamnulose-1-phosphate aldolase', NULL, 'TIGR02624', NULL, NULL, 9172, 16),
(194661, NULL, 'TIGR01107', NULL, NULL, 'Na_K_ATPase_bet: Na+/K+ ATPase, beta subunit', NULL, 'TIGR01107', NULL, NULL, 4747, 16),
(194662, NULL, 'TIGR01605', NULL, NULL, 'PYST-D: Plasmodium yoelii subtelomeric family PYST-D', NULL, 'TIGR01605', NULL, NULL, 6446, 16),
(194663, NULL, 'TIGR01980', NULL, NULL, 'sufB: FeS assembly protein SufB', NULL, 'TIGR01980', NULL, NULL, 4220, 16),
(194664, NULL, 'TIGR03953', NULL, NULL, 'rplD_bact: 50S ribosomal protein uL4', NULL, 'TIGR03953', NULL, NULL, 18594, 16),
(194665, NULL, 'TIGR00083', NULL, NULL, 'ribF: riboflavin biosynthesis protein RibF', NULL, 'TIGR00083', NULL, NULL, 1832, 16),
(194666, NULL, 'TIGR04093', NULL, NULL, 'cas1_CYANO: CRISPR-associated endonuclease Cas1, subtype CYANO', NULL, 'TIGR04093', NULL, NULL, 17136, 16),
(194667, NULL, 'TIGR02486', NULL, NULL, 'RDH: reductive dehalogenase', NULL, 'TIGR02486', NULL, NULL, 12850, 16),
(194668, NULL, 'TIGR02275', NULL, NULL, 'DHB_AMP_lig: (2,3-dihydroxybenzoyl)adenylate synthase', NULL, 'TIGR02275', NULL, NULL, 11424, 16);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194669, NULL, 'TIGR03470', NULL, NULL, 'HpnH: hopanoid biosynthesis associated radical SAM protein HpnH', NULL, 'TIGR03470', NULL, NULL, 20482, 16),
(194670, NULL, 'TIGR04263', NULL, NULL, 'SasC_Mrp_aggreg: SasC/Mrp/FmtB intercellular aggregation domain', NULL, 'TIGR04263', NULL, NULL, 26418, 16),
(194671, NULL, 'TIGR01652', NULL, NULL, 'ATPase-Plipid: phospholipid-translocating P-type ATPase, flippase', NULL, 'TIGR01652', NULL, NULL, 313, 16),
(194672, NULL, 'TIGR01482', NULL, NULL, 'SPP-subfamily: sucrose-phosphate phosphatase subfamily', NULL, 'TIGR01482', NULL, NULL, NULL, 16),
(194673, NULL, 'TIGR01587', NULL, NULL, 'cas3_core: CRISPR-associated helicase Cas3', NULL, 'TIGR01587', NULL, NULL, 6293, 16),
(194674, NULL, 'TIGR02439', NULL, NULL, 'catechol_proteo: catechol 1,2-dioxygenase', NULL, 'TIGR02439', NULL, NULL, 12726, 16),
(194675, NULL, 'TIGR02773', NULL, NULL, 'addB_Gpos: helicase-exonuclease AddAB, AddB subunit', NULL, 'TIGR02773', NULL, NULL, 14456, 16),
(194676, NULL, 'TIGR02302', NULL, NULL, 'aProt_lowcomp: TIGR02302 family protein', NULL, 'TIGR02302', NULL, NULL, 11654, 16),
(194677, NULL, 'TIGR02328', NULL, NULL, 'TIGR02328: conserved hypothetical protein', NULL, 'TIGR02328', NULL, NULL, 10957, 16),
(194678, NULL, 'TIGR03423', NULL, NULL, 'pbp2_mrdA: penicillin-binding protein 2', NULL, 'TIGR03423', NULL, NULL, 19026, 16),
(194679, NULL, 'TIGR01789', NULL, NULL, 'lycopene_cycl: lycopene cyclase', NULL, 'TIGR01789', NULL, NULL, 12159, 16),
(194680, NULL, 'TIGR00314', NULL, NULL, 'cdhA: CO dehydrogenase/acetyl-CoA synthase complex, epsilon subunit', NULL, 'TIGR00314', NULL, NULL, 7412, 16),
(194681, NULL, 'TIGR02826', NULL, NULL, 'RNR_activ_nrdG3: anaerobic ribonucleoside-triphosphate reductase activating protein', NULL, 'TIGR02826', NULL, NULL, 8960, 16),
(194682, NULL, 'TIGR01089', NULL, NULL, 'fucI: L-fucose isomerase', NULL, 'TIGR01089', NULL, NULL, 4787, 16),
(194683, NULL, 'TIGR01927', NULL, NULL, 'menC_gamma/gm+: o-succinylbenzoate synthase', NULL, 'TIGR01927', NULL, NULL, NULL, 16),
(194684, NULL, 'TIGR01435', NULL, NULL, 'glu_cys_lig_rel: glutamate--cysteine ligase/glutathione synthase', NULL, 'TIGR01435', NULL, NULL, 4679, 16),
(194685, NULL, 'TIGR02767', NULL, NULL, 'TraG-Ti: Ti-type conjugative transfer system protein TraG', NULL, 'TIGR02767', NULL, NULL, 14047, 16),
(194686, NULL, 'TIGR03921', NULL, NULL, 'T7SS_mycosin: type VII secretion-associated serine protease mycosin', NULL, 'TIGR03921', NULL, NULL, 17299, 16),
(194687, NULL, 'TIGR00949', NULL, NULL, '2A76: homoserine/Threonine efflux protein', NULL, 'TIGR00949', NULL, NULL, 5161, 16),
(194688, NULL, 'TIGR03810', NULL, NULL, 'arg_ornith_anti: arginine-ornithine antiporter', NULL, 'TIGR03810', NULL, NULL, 16457, 16),
(194689, NULL, 'TIGR01933', NULL, NULL, 'hflK: HflK protein', NULL, 'TIGR01933', NULL, NULL, 4447, 16),
(194690, NULL, 'TIGR03751', NULL, NULL, 'conj_TIGR03751: conjugative transfer region lipoprotein, TIGR03751 family', NULL, 'TIGR03751', NULL, NULL, 15862, 16),
(194691, NULL, 'TIGR01593', NULL, NULL, 'holin_tox_secr: toxin secretion/phage lysis holin', NULL, 'TIGR01593', NULL, NULL, 6001, 16),
(194692, NULL, 'TIGR03619', NULL, NULL, 'F420_Rv2161c: probable F420-dependent oxidoreductase, Rv2161c family', NULL, 'TIGR03619', NULL, NULL, 15423, 16),
(194693, NULL, 'TIGR04257', NULL, NULL, 'nanowire_3heme: c(7)-type cytochrome triheme domain', NULL, 'TIGR04257', NULL, NULL, 26228, 16),
(194694, NULL, 'TIGR01198', NULL, NULL, 'pgl: 6-phosphogluconolactonase', NULL, 'TIGR01198', NULL, NULL, 6612, 16),
(194695, NULL, 'TIGR01696', NULL, NULL, 'deoB: phosphopentomutase', NULL, 'TIGR01696', NULL, NULL, 5239, 16),
(194696, NULL, 'TIGR03136', NULL, NULL, 'malonate_biotin: Na+-transporting malonate decarboxylase, carboxybiotin decarboxylase subunit', NULL, 'TIGR03136', NULL, NULL, 15472, 16),
(194697, NULL, 'TIGR03516', NULL, NULL, 'ppisom_GldI: peptidyl-prolyl isomerase, gliding motility-associated', NULL, 'TIGR03516', NULL, NULL, 17325, 16),
(194698, NULL, 'TIGR04154', NULL, NULL, 'archaeo_STT3: oligosaccharyl transferase, archaeosortase A system-associated', NULL, 'TIGR04154', NULL, NULL, 21600, 16);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194699, NULL, 'TIGR01113', NULL, NULL, 'mtrE: tetrahydromethanopterin S-methyltransferase, subunit E', NULL, 'TIGR01113', NULL, NULL, 5926, 16),
(194700, NULL, 'TIGR02219', NULL, NULL, 'phage_NlpC_fam: putative phage cell wall peptidase, NlpC/P60 family', NULL, 'TIGR02219', NULL, NULL, 11403, 16),
(194701, NULL, 'TIGR00921', NULL, NULL, '2A067: efflux transporter, putative, hydrophobe/amphiphile efflux-3 (HAE3) family', NULL, 'TIGR00921', NULL, NULL, 5283, 16),
(194702, NULL, 'TIGR03947', NULL, NULL, 'viomycin_VioD: capreomycidine synthase', NULL, 'TIGR03947', NULL, NULL, 11198, 16),
(194703, NULL, 'TIGR02337', NULL, NULL, 'HpaR: homoprotocatechuate degradation operon regulator, HpaR', NULL, 'TIGR02337', NULL, NULL, 11784, 16),
(194704, NULL, 'TIGR03464', NULL, NULL, 'HpnC: squalene synthase HpnC', NULL, 'TIGR03464', NULL, NULL, 20402, 16),
(194705, NULL, 'TIGR01061', NULL, NULL, 'parC_Gpos: DNA topoisomerase IV, A subunit', NULL, 'TIGR01061', NULL, NULL, 4837, 16),
(194706, NULL, 'TIGR01441', NULL, NULL, 'GPR: GPR endopeptidase', NULL, 'TIGR01441', NULL, NULL, 10340, 16),
(194707, NULL, 'TIGR02717', NULL, NULL, 'AcCoA-syn-alpha: acetyl coenzyme A synthetase (ADP forming), alpha domain', NULL, 'TIGR02717', NULL, NULL, 14196, 16),
(194708, NULL, 'TIGR00794', NULL, NULL, 'kup: potassium uptake protein', NULL, 'TIGR00794', NULL, NULL, 3394, 16),
(194709, NULL, 'TIGR04139', NULL, NULL, 'CxxCx5CxxC_targ: putative peptide modification target, TIGR04139 family', NULL, 'TIGR04139', NULL, NULL, 24499, 16),
(194710, NULL, 'TIGR03844', NULL, NULL, 'cysteate_syn: cysteate synthase', NULL, 'TIGR03844', NULL, NULL, 16197, 16),
(194711, NULL, 'TIGR04482', NULL, NULL, 'D_pro_red_PrdD: proline reductase cluster protein PrdD', NULL, 'TIGR04482', NULL, NULL, 26697, 16),
(194712, NULL, 'TIGR01359', NULL, NULL, 'UMP_CMP_kin_fam: UMP-CMP kinase family', NULL, 'TIGR01359', NULL, NULL, 3517, 16),
(194713, NULL, 'TIGR00296', NULL, NULL, 'TIGR00296: uncharacterized protein, PH0010 family', NULL, 'TIGR00296', NULL, NULL, 16327, 16),
(194714, NULL, 'TIGR03962', NULL, NULL, 'mycofact_rSAM: mycofactocin radical SAM maturase', NULL, 'TIGR03962', NULL, NULL, 18918, 16),
(194715, NULL, 'TIGR00466', NULL, NULL, 'kdsB: 3-deoxy-D-manno-octulosonate cytidylyltransferase', NULL, 'TIGR00466', NULL, NULL, 1630, 16),
(194716, NULL, 'TIGR03183', NULL, NULL, 'DNA_S_dndC: putative sulfurtransferase DndC', NULL, 'TIGR03183', NULL, NULL, 16485, 16),
(194717, NULL, 'TIGR00423', NULL, NULL, 'TIGR00423: radical SAM domain protein, CofH subfamily', NULL, 'TIGR00423', NULL, NULL, 12225, 16),
(194718, NULL, 'TIGR01578', NULL, NULL, 'MiaB-like-B: MiaB-like tRNA modifying enzyme, archaeal-type', NULL, 'TIGR01578', NULL, NULL, 6319, 16),
(194719, NULL, 'TIGR04043', NULL, NULL, 'rSAM_MSMEG_0568: radical SAM protein, MSMEG_0568 family', NULL, 'TIGR04043', NULL, NULL, 15438, 16),
(194720, NULL, 'TIGR02009', NULL, NULL, 'PGMB-YQAB-SF: beta-phosphoglucomutase family hydrolase', NULL, 'TIGR02009', NULL, NULL, 2121, 16),
(194721, NULL, 'TIGR01052', NULL, NULL, 'top6b: DNA topoisomerase VI, B subunit', NULL, 'TIGR01052', NULL, NULL, 4687, 16),
(194722, NULL, 'TIGR02070', NULL, NULL, 'mono_pep_trsgly: monofunctional biosynthetic peptidoglycan transglycosylase', NULL, 'TIGR02070', NULL, NULL, 13032, 16),
(194723, NULL, 'TIGR02228', NULL, NULL, 'sigpep_I_arch: signal peptidase I', NULL, 'TIGR02228', NULL, NULL, 3366, 16),
(194724, NULL, 'TIGR02658', NULL, NULL, 'TTQ_MADH_Hv: methylamine dehydrogenase (amicyanin) heavy chain', NULL, 'TIGR02658', NULL, NULL, 10117, 16),
(194725, NULL, 'TIGR01503', NULL, NULL, 'MthylAspMut_E: methylaspartate mutase, E subunit', NULL, 'TIGR01503', NULL, NULL, 5910, 16),
(194726, NULL, 'TIGR04248', NULL, NULL, 'SCM_PqqD_rel: SynChlorMet cassette protein ScmD', NULL, 'TIGR04248', NULL, NULL, 26457, 16),
(194727, NULL, 'TIGR01189', NULL, NULL, 'ccmA: heme ABC exporter, ATP-binding protein CcmA', NULL, 'TIGR01189', NULL, NULL, 6804, 16),
(194728, NULL, 'TIGR04111', NULL, NULL, 'BcepMu_gp16: phage-associated protein, BcepMu gp16 family', NULL, 'TIGR04111', NULL, NULL, 24359, 16);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194729, NULL, 'TIGR04161', NULL, NULL, 'VPEID-CTERM: VPEID-CTERM protein sorting domain', NULL, 'TIGR04161', NULL, NULL, 21781, 16),
(194730, NULL, 'TIGR02056', NULL, NULL, 'ChlG: chlorophyll synthase ChlG', NULL, 'TIGR02056', NULL, NULL, 13070, 16),
(194731, NULL, 'TIGR02023', NULL, NULL, 'BchP-ChlP: geranylgeranyl reductase', NULL, 'TIGR02023', NULL, NULL, 5495, 16),
(194732, NULL, 'TIGR04541', NULL, NULL, 'thiaminase_BcmE: thiamine pyridinylase', NULL, 'TIGR04541', NULL, NULL, 26982, 16),
(194733, NULL, 'TIGR00999', NULL, NULL, '8a0102: membrane fusion protein cluster 2 protein', NULL, 'TIGR00999', NULL, NULL, 3582, 16),
(194734, NULL, 'TIGR02882', NULL, NULL, 'QoxB: cytochrome aa3 quinol oxidase, subunit I', NULL, 'TIGR02882', NULL, NULL, 10737, 16),
(194735, NULL, 'TIGR01687', NULL, NULL, 'moaD_arch: MoaD family protein', NULL, 'TIGR01687', NULL, NULL, 5201, 16),
(194736, NULL, 'TIGR03074', NULL, NULL, 'PQQ_membr_DH: membrane-bound PQQ-dependent dehydrogenase, glucose/quinate/shikimate family', NULL, 'TIGR03074', NULL, NULL, 21725, 16),
(194737, NULL, 'TIGR00416', NULL, NULL, 'sms: DNA repair protein RadA', NULL, 'TIGR00416', NULL, NULL, 1517, 16),
(194738, NULL, 'TIGR01708', NULL, NULL, 'typeII_sec_gspH: type II secretion system protein H', NULL, 'TIGR01708', NULL, NULL, 6752, 16),
(194739, NULL, 'TIGR00036', NULL, NULL, 'dapB: 4-hydroxy-tetrahydrodipicolinate reductase', NULL, 'TIGR00036', NULL, NULL, 8391, 16),
(194740, NULL, 'TIGR02835', NULL, NULL, 'spore_sigmaE: RNA polymerase sigma-E factor', NULL, 'TIGR02835', NULL, NULL, 9041, 16),
(194741, NULL, 'TIGR02377', NULL, NULL, 'MocE_fam_FeS: Rieske [2Fe-2S] domain protein, MocE subfamily', NULL, 'TIGR02377', NULL, NULL, 9123, 16),
(194742, NULL, 'TIGR02240', NULL, NULL, 'PHA_depoly_arom: poly(3-hydroxyalkanoate) depolymerase', NULL, 'TIGR02240', NULL, NULL, 11412, 16),
(194743, NULL, 'TIGR02384', NULL, NULL, 'RelB_DinJ: addiction module antitoxin, RelB/DinJ family', NULL, 'TIGR02384', NULL, NULL, 5405, 16),
(194744, NULL, 'TIGR03027', NULL, NULL, 'pepcterm_export: putative polysaccharide export protein, PEP-CTERM sytem-associated', NULL, 'TIGR03027', NULL, NULL, 21214, 16),
(194745, NULL, 'TIGR01222', NULL, NULL, 'minC: septum site-determining protein MinC', NULL, 'TIGR01222', NULL, NULL, 12870, 16),
(194746, NULL, 'TIGR03853', NULL, NULL, 'matur_matur: putative metal-binding protein', NULL, 'TIGR03853', NULL, NULL, 20058, 16),
(194747, NULL, 'TIGR02200', NULL, NULL, 'GlrX_actino: glutaredoxin-like protein', NULL, 'TIGR02200', NULL, NULL, 12470, 16),
(194748, NULL, 'TIGR01550', NULL, NULL, 'DOC_P1: death-on-curing family protein', NULL, 'TIGR01550', NULL, NULL, 6675, 16),
(194749, NULL, 'TIGR03414', NULL, NULL, 'ABC_choline_bnd: choline ABC transporter, periplasmic binding protein', NULL, 'TIGR03414', NULL, NULL, 19218, 16),
(194750, NULL, 'TIGR01491', NULL, NULL, 'HAD-SF-IB-PSPlk: phosphoserine phosphatase-like hydrolase, archaeal', NULL, 'TIGR01491', NULL, NULL, 5581, 16),
(194751, NULL, 'TIGR03997', NULL, NULL, 'mycofact_OYE_2: mycofactocin system FadH/OYE family oxidoreductase 2', NULL, 'TIGR03997', NULL, NULL, 11910, 16),
(194752, NULL, 'TIGR03034', NULL, NULL, 'TIGR03034: conserved hypothetical protein', NULL, 'TIGR03034', NULL, NULL, 21395, 16),
(194753, NULL, 'TIGR02521', NULL, NULL, 'type_IV_pilW: type IV pilus biogenesis/stability protein PilW', NULL, 'TIGR02521', NULL, NULL, 18869, 16),
(194754, NULL, 'TIGR03355', NULL, NULL, 'VI_chp_2: type VI secretion protein, EvpB/VC_A0108 family', NULL, 'TIGR03355', NULL, NULL, 7625, 16),
(194755, NULL, 'TIGR04189', NULL, NULL, 'surface_SprA: cell surface protein SprA', NULL, 'TIGR04189', NULL, NULL, 21635, 16),
(194756, NULL, 'TIGR00971', NULL, NULL, '3a0106s03: sulfate ABC transporter, sulfate-binding protein', NULL, 'TIGR00971', NULL, NULL, 3738, 16),
(194757, NULL, 'TIGR02166', NULL, NULL, 'dmsA_ynfE: anaerobic dimethyl sulfoxide reductase, A subunit, DmsA/YnfE family', NULL, 'TIGR02166', NULL, NULL, 8744, 16),
(194758, NULL, 'TIGR02992', NULL, NULL, 'ectoine_eutC: ectoine utilization protein EutC', NULL, 'TIGR02992', NULL, NULL, 10100, 16);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194759, NULL, 'TIGR00145', NULL, NULL, 'TIGR00145: FTR1 family protein', NULL, 'TIGR00145', NULL, NULL, 11164, 16),
(194760, NULL, 'TIGR03150', NULL, NULL, 'fabF: beta-ketoacyl-acyl-carrier-protein synthase II', NULL, 'TIGR03150', NULL, NULL, 15882, 16),
(194761, NULL, 'TIGR03287', NULL, NULL, 'methan_mark_16: putative methanogenesis marker 16 metalloprotein', NULL, 'TIGR03287', NULL, NULL, 17885, 16),
(194762, NULL, 'TIGR03669', NULL, NULL, 'urea_ABC_arch: urea ABC transporter, substrate-binding protein', NULL, 'TIGR03669', NULL, NULL, 15556, 16),
(194763, NULL, 'TIGR02664', NULL, NULL, 'nitr_red_assoc: conserved hypothetical protein', NULL, 'TIGR02664', NULL, NULL, 10445, 16),
(194764, NULL, 'TIGR03081', NULL, NULL, 'metmalonyl_epim: methylmalonyl-CoA epimerase', NULL, 'TIGR03081', NULL, NULL, 21850, 16),
(194765, NULL, 'TIGR04104', NULL, NULL, 'cxxc_20_cxxc: cxxc_20_cxxc protein', NULL, 'TIGR04104', NULL, NULL, 24288, 16),
(194766, NULL, 'TIGR01114', NULL, NULL, 'mtrH: N5-methyltetrahydromethanopterin:coenzyme M methyltransferase subunit H', NULL, 'TIGR01114', NULL, NULL, 22571, 16),
(194767, NULL, 'TIGR02548', NULL, NULL, 'casB_cse2: CRISPR type I-E/ECOLI-associated protein CasB/Cse2', NULL, 'TIGR02548', NULL, NULL, 11772, 16),
(194768, NULL, 'TIGR01749', NULL, NULL, 'fabA: beta-hydroxyacyl-(acyl-carrier-protein) dehydratase FabA', NULL, 'TIGR01749', NULL, NULL, 2278, 16),
(194769, NULL, 'TIGR04432', NULL, NULL, 'rSAM_Cfr: 23S rRNA (adenine(2503)-C(8))-methyltransferase Cfr', NULL, 'TIGR04432', NULL, NULL, 17077, 16),
(194770, NULL, 'TIGR03785', NULL, NULL, 'marine_sort_HK: proteobacterial dedicated sortase system histidine kinase', NULL, 'TIGR03785', NULL, NULL, 16865, 16),
(194771, NULL, 'TIGR01824', NULL, NULL, 'PabB-clade2: aminodeoxychorismate synthase, component I', NULL, 'TIGR01824', NULL, NULL, 10956, 16),
(194772, NULL, 'TIGR00956', NULL, NULL, '3a01205: pleiotropic drug resistance family protein', NULL, 'TIGR00956', NULL, NULL, 4464, 16),
(194773, NULL, 'TIGR00473', NULL, NULL, 'pssA: CDP-diacylglycerol-serine O-phosphatidyltransferase', NULL, 'TIGR00473', NULL, NULL, 1560, 16),
(194774, NULL, 'TIGR03305', NULL, NULL, 'alt_F1F0_F1_bet: alternate F1F0 ATPase, F1 subunit beta', NULL, 'TIGR03305', NULL, NULL, 17552, 16),
(194775, NULL, 'TIGR00398', NULL, NULL, 'metG: methionine--tRNA ligase', NULL, 'TIGR00398', NULL, NULL, 12653, 16),
(194776, NULL, 'TIGR04426', NULL, NULL, 'rSAM_desII: TDP-4-amino-4,6-dideoxy-D-glucose deaminase', NULL, 'TIGR04426', NULL, NULL, 16003, 16),
(194777, NULL, 'TIGR02876', NULL, NULL, 'spore_yqfD: sporulation protein YqfD', NULL, 'TIGR02876', NULL, NULL, 9310, 16),
(194778, NULL, 'TIGR04086', NULL, NULL, 'TIGR04086_membr: putative membrane protein, TIGR04086 family', NULL, 'TIGR04086', NULL, NULL, 11751, 16),
(194779, NULL, 'TIGR01326', NULL, NULL, 'OAH_OAS_sulfhy: O-acetylhomoserine aminocarboxypropyltransferase/cysteine synthase', NULL, 'TIGR01326', NULL, NULL, 3968, 16),
(194780, NULL, 'TIGR01755', NULL, NULL, 'flav_wrbA: NAD(P)H:quinone oxidoreductase, type IV', NULL, 'TIGR01755', NULL, NULL, 2283, 16),
(194781, NULL, 'TIGR00246', NULL, NULL, 'tRNA_RlmH_YbeA: rRNA large subunit m3Psi methyltransferase RlmH', NULL, 'TIGR00246', NULL, NULL, 4441, 16),
(194782, NULL, 'TIGR02411', NULL, NULL, 'leuko_A4_hydro: leukotriene A-4 hydrolase/aminopeptidase', NULL, 'TIGR02411', NULL, NULL, 10120, 16),
(194783, NULL, 'TIGR03517', NULL, NULL, 'GldM_gliding: gliding motility-associated protein GldM', NULL, 'TIGR03517', NULL, NULL, 16900, 16),
(194784, NULL, 'TIGR03075', NULL, NULL, 'PQQ_enz_alc_DH: PQQ-dependent dehydrogenase, methanol/ethanol family', NULL, 'TIGR03075', NULL, NULL, 21808, 16),
(194785, NULL, 'TIGR02241', NULL, NULL, 'TIGR02241: conserved hypothetical phage tail region protein', NULL, 'TIGR02241', NULL, NULL, 11725, 16),
(194786, NULL, 'TIGR01257', NULL, NULL, 'rim_protein: rim ABC transporter', NULL, 'TIGR01257', NULL, NULL, 418, 16),
(194787, NULL, 'TIGR00744', NULL, NULL, 'ROK_glcA_fam: ROK family protein (putative glucokinase)', NULL, 'TIGR00744', NULL, NULL, 2960, 16);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194788, NULL, 'TIGR02950', NULL, NULL, 'SigM_subfam: RNA polymerase sigma factor, SigM family', NULL, 'TIGR02950', NULL, NULL, 9829, 16),
(194789, NULL, 'TIGR04298', NULL, NULL, 'his_histam_anti: histidine-histamine antiporter', NULL, 'TIGR04298', NULL, NULL, 28769, 16),
(194790, NULL, 'TIGR02623', NULL, NULL, 'G1P_cyt_trans: glucose-1-phosphate cytidylyltransferase', NULL, 'TIGR02623', NULL, NULL, 9069, 16),
(194791, NULL, 'TIGR03573', NULL, NULL, 'WbuX: N-acetyl sugar amidotransferase', NULL, 'TIGR03573', NULL, NULL, 18233, 16),
(194792, NULL, 'TIGR02452', NULL, NULL, 'TIGR02452: TIGR02452 family protein', NULL, 'TIGR02452', NULL, NULL, 10790, 16),
(194793, NULL, 'TIGR02589', NULL, NULL, 'cas_Csd2: CRISPR-associated protein Cas7/Csd2, subtype I-C/DVULG', NULL, 'TIGR02589', NULL, NULL, 9190, 16),
(194794, NULL, 'TIGR01120', NULL, NULL, 'rpiB: ribose 5-phosphate isomerase B', NULL, 'TIGR01120', NULL, NULL, 5212, 16),
(194795, NULL, 'TIGR01967', NULL, NULL, 'DEAH_box_HrpA: RNA helicase HrpA', NULL, 'TIGR01967', NULL, NULL, 4158, 16),
(194796, NULL, 'TIGR02453', NULL, NULL, 'TIGR02453: TIGR02453 family protein', NULL, 'TIGR02453', NULL, NULL, 12847, 16),
(194797, NULL, 'TIGR00915', NULL, NULL, '2A0602: RND transporter, hydrophobe/amphiphile efflux-1 (HAE1) family', NULL, 'TIGR00915', NULL, NULL, 5440, 16),
(194798, NULL, 'TIGR01004', NULL, NULL, 'PulS_OutS: lipoprotein, PulS/OutS family', NULL, 'TIGR01004', NULL, NULL, 3696, 16),
(194799, NULL, 'TIGR02951', NULL, NULL, 'DMSO_dmsB: dimethylsulfoxide reductase, chain B', NULL, 'TIGR02951', NULL, NULL, 9537, 16),
(194800, NULL, 'TIGR01469', NULL, NULL, 'cobA_cysG_Cterm: uroporphyrinogen-III C-methyltransferase', NULL, 'TIGR01469', NULL, NULL, 5701, 16),
(194801, NULL, 'TIGR02780', NULL, NULL, 'TrbJ_Ti: P-type conjugative transfer protein TrbJ', NULL, 'TIGR02780', NULL, NULL, 14297, 16),
(194802, NULL, 'TIGR03791', NULL, NULL, 'TTQ_mauG: tryptophan tryptophylquinone biosynthesis enzyme MauG', NULL, 'TIGR03791', NULL, NULL, 16363, 16),
(194803, NULL, 'TIGR01272', NULL, NULL, 'gluP: glucose/galactose transporter WARNING', NULL, 'TIGR01272', NULL, NULL, 125, 16),
(194804, NULL, 'TIGR00601', NULL, NULL, 'rad23: UV excision repair protein Rad23', NULL, 'TIGR00601', NULL, NULL, 4031, 16),
(194805, NULL, 'TIGR04316', NULL, NULL, 'dhbA_paeA: 2,3-dihydro-2,3-dihydroxybenzoate dehydrogenase', NULL, 'TIGR04316', NULL, NULL, 350, 16),
(194806, NULL, 'TIGR03457', NULL, NULL, 'sulphoacet_xsc: sulfoacetaldehyde acetyltransferase', NULL, 'TIGR03457', NULL, NULL, 19728, 16),
(194807, NULL, 'TIGR03803', NULL, NULL, 'Gloeo_Verruco: gloeo_Verruco repeat', NULL, 'TIGR03803', NULL, NULL, 16665, 16),
(194808, NULL, 'TIGR00896', NULL, NULL, 'CynX: cyanate transporter', NULL, 'TIGR00896', NULL, NULL, 5327, 16),
(194809, NULL, 'TIGR04002', NULL, NULL, 'TIGR04002: TIGR04002 family protein', NULL, 'TIGR04002', NULL, NULL, 14899, 16),
(194810, NULL, 'TIGR03293', NULL, NULL, 'PhnG_redo: phosphonate C-P lyase system protein PhnG', NULL, 'TIGR03293', NULL, NULL, 1835, 16),
(194811, NULL, 'TIGR00628', NULL, NULL, 'ung: uracil-DNA glycosylase', NULL, 'TIGR00628', NULL, NULL, 1436, 16),
(194812, NULL, 'TIGR00261', NULL, NULL, 'traB: TraB family protein', NULL, 'TIGR00261', NULL, NULL, 11010, 16),
(194813, NULL, 'TIGR02125', NULL, NULL, 'CytB-hydogenase: Ni/Fe-hydrogenase, b-type cytochrome subunit', NULL, 'TIGR02125', NULL, NULL, 6924, 16),
(194814, NULL, 'TIGR01612', NULL, NULL, '235kDa-fam: rhoptry protein', NULL, 'TIGR01612', NULL, NULL, 6919, 16),
(194815, NULL, 'TIGR02446', NULL, NULL, 'FadI: acetyl-CoA C-acyltransferase FadI', NULL, 'TIGR02446', NULL, NULL, 12792, 16),
(194816, NULL, 'TIGR02562', NULL, NULL, 'cas3_yersinia: CRISPR-associated helicase Cas3, subtype I-F/YPEST', NULL, 'TIGR02562', NULL, NULL, 11811, 16),
(194817, NULL, 'TIGR00575', NULL, NULL, 'dnlj: DNA ligase, NAD-dependent', NULL, 'TIGR00575', NULL, NULL, 3051, 16),
(194818, NULL, 'TIGR03580', NULL, NULL, 'EF_0832: conserved hypothetical protein EF_0832/AHA_3913', NULL, 'TIGR03580', NULL, NULL, 18136, 16);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194819, NULL, 'TIGR00526', NULL, NULL, 'folB_dom: FolB domain', NULL, 'TIGR00526', NULL, NULL, 10124, 16),
(194820, NULL, 'TIGR02699', NULL, NULL, 'archaeo_AfpA: archaeoflavoprotein AfpA', NULL, 'TIGR02699', NULL, NULL, 13618, 16),
(194821, NULL, 'TIGR01544', NULL, NULL, 'HAD-SF-IE: HAD hydrolase, family IE', NULL, 'TIGR01544', NULL, NULL, 6991, 16),
(194822, NULL, 'TIGR04500', NULL, NULL, 'PpiC_rel_mature: putative peptide maturation system protein', NULL, 'TIGR04500', NULL, NULL, 25512, 16),
(194823, NULL, 'TIGR02234', NULL, NULL, 'trp_oprn_chp: membrane protein, TIGR02234 family', NULL, 'TIGR02234', NULL, NULL, 11814, 16),
(194824, NULL, 'TIGR03996', NULL, NULL, 'mycofact_OYE_1: mycofactocin system FadH/OYE family oxidoreductase 1', NULL, 'TIGR03996', NULL, NULL, 11113, 16),
(194825, NULL, 'TIGR04270', NULL, NULL, 'Rama_corrin_act: methylamine methyltransferase corrinoid protein reductive activase', NULL, 'TIGR04270', NULL, NULL, 26018, 16),
(194826, NULL, 'TIGR00193', NULL, NULL, 'urease_gam: urease, gamma subunit', NULL, 'TIGR00193', NULL, NULL, 5388, 16),
(194827, NULL, 'TIGR01926', NULL, NULL, 'peroxid_rel: uncharacterized peroxidase-related enzyme', NULL, 'TIGR01926', NULL, NULL, 4140, 16),
(194828, NULL, 'TIGR02841', NULL, NULL, 'spore_YyaC: putative sporulation protein YyaC', NULL, 'TIGR02841', NULL, NULL, 11658, 16),
(194829, NULL, 'TIGR02118', NULL, NULL, 'TIGR02118: conserved hypothetical protein', NULL, 'TIGR02118', NULL, NULL, 13690, 16),
(194830, NULL, 'TIGR03389', NULL, NULL, 'laccase: laccase', NULL, 'TIGR03389', NULL, NULL, 19464, 16),
(194831, NULL, 'TIGR01428', NULL, NULL, 'HAD_type_II: haloacid dehalogenase, type II', NULL, 'TIGR01428', NULL, NULL, 4924, 16),
(194832, NULL, 'TIGR00077', NULL, NULL, 'lspA: signal peptidase II', NULL, 'TIGR00077', NULL, NULL, 4261, 16),
(194833, NULL, 'TIGR03701', NULL, NULL, 'mena_SCO4490: menaquinone biosynthesis decarboxylase, SCO4490 family', NULL, 'TIGR03701', NULL, NULL, 16128, 16),
(194834, NULL, 'TIGR01325', NULL, NULL, 'O_suc_HS_sulf: O-succinylhomoserine sulfhydrylase', NULL, 'TIGR01325', NULL, NULL, 3791, 16),
(194835, NULL, 'TIGR02343', NULL, NULL, 'chap_CCT_epsi: T-complex protein 1, epsilon subunit', NULL, 'TIGR02343', NULL, NULL, 11586, 16),
(194836, NULL, 'TIGR04079', NULL, NULL, 'phero_cyc_pep: KxxxW-cyclized secreted peptide', NULL, 'TIGR04079', NULL, NULL, 18219, 16),
(194837, NULL, 'TIGR03750', NULL, NULL, 'conj_TIGR03750: conjugative transfer region protein, TIGR03750 family', NULL, 'TIGR03750', NULL, NULL, 20325, 16),
(194838, NULL, 'TIGR03887', NULL, NULL, 'thiocyan_alph: thiocyanate hydrolase, gamma subunit', NULL, 'TIGR03887', NULL, NULL, 18459, 16),
(194839, NULL, 'TIGR00691', NULL, NULL, 'spoT_relA: RelA/SpoT family protein', NULL, 'TIGR00691', NULL, NULL, 4113, 16),
(194840, NULL, 'TIGR02732', NULL, NULL, 'zeta_caro_desat: 9,9''-di-cis-zeta-carotene desaturase', NULL, 'TIGR02732', NULL, NULL, 14236, 16),
(194841, NULL, 'TIGR00417', NULL, NULL, 'speE: spermidine synthase', NULL, 'TIGR00417', NULL, NULL, 2095, 16),
(194842, NULL, 'TIGR03498', NULL, NULL, 'FliI_clade3: flagellar protein export ATPase FliI', NULL, 'TIGR03498', NULL, NULL, 16132, 16),
(194843, NULL, 'TIGR00738', NULL, NULL, 'rrf2_super: Rrf2 family protein', NULL, 'TIGR00738', NULL, NULL, 157, 16),
(194844, NULL, 'TIGR02978', NULL, NULL, 'phageshock_pspC: phage shock protein C', NULL, 'TIGR02978', NULL, NULL, 9692, 16),
(194845, NULL, 'TIGR00908', NULL, NULL, '2A0305: ethanolamine permease', NULL, 'TIGR00908', NULL, NULL, 5461, 16),
(194846, NULL, 'TIGR01653', NULL, NULL, 'lactococcin_972: bacteriocin, lactococcin 972 family', NULL, 'TIGR01653', NULL, NULL, 311, 16),
(194847, NULL, 'TIGR03252', NULL, NULL, 'TIGR03252: uncharacterized HhH-GPD family protein', NULL, 'TIGR03252', NULL, NULL, 17422, 16),
(194848, NULL, 'TIGR01830', NULL, NULL, '3oxo_ACP_reduc: 3-oxoacyl-[acyl-carrier-protein] reductase', NULL, 'TIGR01830', NULL, NULL, 10103, 16),
(194849, NULL, 'TIGR04528', NULL, NULL, 'acido_non_PQQ: acido-empty-quinoprotein group A', NULL, 'TIGR04528', NULL, NULL, 26622, 16);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194850, NULL, 'TIGR01823', NULL, NULL, 'PabB-fungal: aminodeoxychorismate synthase', NULL, 'TIGR01823', NULL, NULL, 10910, 16),
(194851, NULL, 'TIGR01381', NULL, NULL, 'E1_like_apg7: E1-like protein-activating enzyme Gsa7p/Apg7p', NULL, 'TIGR01381', NULL, NULL, 3617, 16),
(194852, NULL, 'TIGR04105', NULL, NULL, 'FeFe_hydrog_B1: [FeFe] hydrogenase, group B1/B3', NULL, 'TIGR04105', NULL, NULL, 23589, 16),
(194853, NULL, 'TIGR01332', NULL, NULL, 'cyt_b559_alpha: cytochrome b559, alpha subunit', NULL, 'TIGR01332', NULL, NULL, 11455, 16),
(194854, NULL, 'TIGR03838', NULL, NULL, 'queuosine_YadB: glutamyl-queuosine tRNA(Asp) synthetase', NULL, 'TIGR03838', NULL, NULL, 16322, 16),
(194855, NULL, 'TIGR02487', NULL, NULL, 'NrdD: anaerobic ribonucleoside-triphosphate reductase', NULL, 'TIGR02487', NULL, NULL, 12767, 16),
(194856, NULL, 'TIGR02520', NULL, NULL, 'pilus_B_mal_scr: type IVB pilus formation outer membrane protein, R64 PilN family', NULL, 'TIGR02520', NULL, NULL, 18633, 16),
(194857, NULL, 'TIGR02555', NULL, NULL, 'OrgA_MxiK: type III secretion apparatus protein OrgA/MxiK', NULL, 'TIGR02555', NULL, NULL, 11950, 16),
(194858, NULL, 'TIGR02022', NULL, NULL, 'hutF: formiminoglutamate deiminase', NULL, 'TIGR02022', NULL, NULL, 5088, 16),
(194859, NULL, 'TIGR03729', NULL, NULL, 'acc_ester: putative phosphoesterase', NULL, 'TIGR03729', NULL, NULL, 15575, 16),
(194860, NULL, 'TIGR03245', NULL, NULL, 'arg_AOST_alph: arginine/ornithine succinyltransferase, alpha subunit', NULL, 'TIGR03245', NULL, NULL, 17294, 16),
(194861, NULL, 'TIGR03177', NULL, NULL, 'pilus_cpaB: Flp pilus assembly protein CpaB', NULL, 'TIGR03177', NULL, NULL, 16442, 16),
(194862, NULL, 'TIGR04195', NULL, NULL, 'S_glycosyl_SunS: peptide S-glycosyltransferase, SunS family', NULL, 'TIGR04195', NULL, NULL, 24243, 16),
(194863, NULL, 'TIGR02985', NULL, NULL, 'Sig70_bacteroi1: RNA polymerase sigma-70 factor, Bacteroides expansion family 1', NULL, 'TIGR02985', NULL, NULL, 9753, 16),
(194864, NULL, 'TIGR02671', NULL, NULL, 'cas_csx9: CRISPR-associated protein Cas8a2/Csx9, subtype I-A/APERN', NULL, 'TIGR02671', NULL, NULL, 10075, 16),
(194865, NULL, 'TIGR00684', NULL, NULL, 'narJ: nitrate reductase molybdenum cofactor assembly chaperone', NULL, 'TIGR00684', NULL, NULL, 2406, 16),
(194866, NULL, 'TIGR01223', NULL, NULL, 'Pmev_kin_anim: phosphomevalonate kinase', NULL, 'TIGR01223', NULL, NULL, 293, 16),
(194867, NULL, 'TIGR02057', NULL, NULL, 'PAPS_reductase: phosphoadenosine phosphosulfate reductase', NULL, 'TIGR02057', NULL, NULL, 13364, 16),
(194868, NULL, 'TIGR00519', NULL, NULL, 'asnASE_I: L-asparaginase, type I', NULL, 'TIGR00519', NULL, NULL, 2808, 16),
(194869, NULL, 'TIGR02350', NULL, NULL, 'prok_dnaK: chaperone protein DnaK', NULL, 'TIGR02350', NULL, NULL, 11781, 16),
(194870, NULL, 'TIGR02378', NULL, NULL, 'nirD_assim_sml: nitrite reductase [NAD(P)H], small subunit', NULL, 'TIGR02378', NULL, NULL, 9817, 16),
(194871, NULL, 'TIGR01865', NULL, NULL, 'cas_Csn1: CRISPR subtype II RNA-guided endonuclease Cas9', NULL, 'TIGR01865', NULL, NULL, 27374, 16),
(194872, NULL, 'TIGR04214', NULL, NULL, 'CSLREA_Nterm: CSLREA domain', NULL, 'TIGR04214', NULL, NULL, 24390, 16),
(194873, NULL, 'TIGR04419', NULL, NULL, 'no_iron_rSAM: HemN-related non-iron pseudo-SAM protein PsgB', NULL, 'TIGR04419', NULL, NULL, 28904, 16),
(194874, NULL, 'TIGR01400', NULL, NULL, 'fliR: flagellar biosynthetic protein FliR', NULL, 'TIGR01400', NULL, NULL, 4896, 16),
(194875, NULL, 'TIGR03675', NULL, NULL, 'arCOG00543: arCOG00543 universal archaeal KH-domain/beta-lactamase-domain protein', NULL, 'TIGR03675', NULL, NULL, 15900, 16),
(194876, NULL, 'TIGR03906', NULL, NULL, 'quino_hemo_SAM: quinohemoprotein amine dehydrogenase maturation protein', NULL, 'TIGR03906', NULL, NULL, 18490, 16),
(194877, NULL, 'TIGR00703', NULL, NULL, 'TIGR00703: TIGR00703 family protein', NULL, 'TIGR00703', NULL, NULL, 4272, 16),
(194878, NULL, 'TIGR03408', NULL, NULL, 'urea_trans_UrtC: urea ABC transporter, permease protein UrtC', NULL, 'TIGR03408', NULL, NULL, 19306, 16),
(194879, NULL, 'TIGR01858', NULL, NULL, 'tag_bisphos_ald: class II aldolase, tagatose bisphosphate family', NULL, 'TIGR01858', NULL, NULL, 10139, 16); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194880, NULL, 'TIGR00710', NULL, NULL, 'efflux_Bcr_CflA: drug resistance transporter, Bcr/CflA subfamily', NULL, 'TIGR00710', NULL, NULL, 4156, 16),
(194881, NULL, 'TIGR00847', NULL, NULL, 'ccoS: cytochrome oxidase maturation protein, cbb3-type', NULL, 'TIGR00847', NULL, NULL, 3586, 16),
(194882, NULL, 'TIGR00205', NULL, NULL, 'fliE: flagellar hook-basal body complex protein FliE', NULL, 'TIGR00205', NULL, NULL, 3236, 16),
(194883, NULL, 'TIGR01039', NULL, NULL, 'atpD: ATP synthase F1, beta subunit', NULL, 'TIGR01039', NULL, NULL, 4928, 16),
(194884, NULL, 'TIGR02869', NULL, NULL, 'spore_SleB: spore cortex-lytic enzyme', NULL, 'TIGR02869', NULL, NULL, 10593, 16),
(194885, NULL, 'TIGR01714', NULL, NULL, 'phage_rep_org_N: phage replisome organizer, putative, N-terminal region', NULL, 'TIGR01714', NULL, NULL, 5325, 16),
(194886, NULL, 'TIGR03361', NULL, NULL, 'VI_Rhs_Vgr: type VI secretion system Vgr family protein', NULL, 'TIGR03361', NULL, NULL, 13090, 16),
(194887, NULL, 'TIGR00186', NULL, NULL, 'rRNA_methyl_3: RNA methyltransferase, TrmH family, group 3', NULL, 'TIGR00186', NULL, NULL, 7273, 16),
(194888, NULL, 'TIGR01537', NULL, NULL, 'portal_HK97: phage portal protein, HK97 family', NULL, 'TIGR01537', NULL, NULL, 6944, 16),
(194889, NULL, 'TIGR04372', NULL, NULL, 'glycosyl_04372: putative glycosyltransferase, TIGR04372 family', NULL, 'TIGR04372', NULL, NULL, 22375, 16),
(194890, NULL, 'TIGR01216', NULL, NULL, 'ATP_synt_epsi: ATP synthase F1, epsilon subunit', NULL, 'TIGR01216', NULL, NULL, 6102, 16),
(194891, NULL, 'TIGR03770', NULL, NULL, 'anch_rpt_perm: anchored repeat-type ABC transporter, permease subunit', NULL, 'TIGR03770', NULL, NULL, 16103, 16),
(194892, NULL, 'TIGR00922', NULL, NULL, 'nusG: transcription termination/antitermination factor NusG', NULL, 'TIGR00922', NULL, NULL, 1104, 16),
(194893, NULL, 'TIGR01577', NULL, NULL, 'oligosac_amyl: oligosaccharide amylase', NULL, 'TIGR01577', NULL, NULL, 6444, 16),
(194894, NULL, 'TIGR03650', NULL, NULL, 'violacein_E: violacein biosynthesis enzyme VioE', NULL, 'TIGR03650', NULL, NULL, 12389, 16),
(194895, NULL, 'TIGR01457', NULL, NULL, 'HAD-SF-IIA-hyp2: HAD hydrolase, TIGR01457 family', NULL, 'TIGR01457', NULL, NULL, 4595, 16),
(194896, NULL, 'TIGR02095', NULL, NULL, 'glgA: glycogen/starch synthase, ADP-glucose type', NULL, 'TIGR02095', NULL, NULL, 14124, 16),
(194897, NULL, 'TIGR01337', NULL, NULL, 'apcB: allophycocyanin, beta subunit', NULL, 'TIGR01337', NULL, NULL, 3785, 16),
(194898, NULL, 'TIGR03890', NULL, NULL, 'nif11_cupin: nif11 domain/cupin domain protein', NULL, 'TIGR03890', NULL, NULL, 7615, 16),
(194899, NULL, 'TIGR02909', NULL, NULL, 'spore_YkwD: uncharacterized protein, YkwD family', NULL, 'TIGR02909', NULL, NULL, 11818, 16),
(194900, NULL, 'TIGR04258', NULL, NULL, '4helix_suffix: four helix bundle suffix domain', NULL, 'TIGR04258', NULL, NULL, 26329, 16),
(194901, NULL, 'TIGR03547', NULL, NULL, 'muta_rot_YjhT: mutatrotase, YjhT family', NULL, 'TIGR03547', NULL, NULL, 18220, 16),
(194902, NULL, 'TIGR04185', NULL, NULL, 'ATPgraspMvdC: ATP-grasp ribosomal peptide maturase, MvdC family', NULL, 'TIGR04185', NULL, NULL, 24095, 16),
(194903, NULL, 'TIGR00819', NULL, NULL, 'ydaH: AbgT transporter family', NULL, 'TIGR00819', NULL, NULL, 10694, 16),
(194904, NULL, 'TIGR04498', NULL, NULL, 'AbiV_defense: abortive infection protein, AbiV family', NULL, 'TIGR04498', NULL, NULL, 22258, 16),
(194905, NULL, 'TIGR01560', NULL, NULL, 'put_DNA_pack: uncharacterized phage protein (possible DNA packaging)', NULL, 'TIGR01560', NULL, NULL, 6845, 16),
(194906, NULL, 'TIGR02288', NULL, NULL, 'PaaN_2: phenylacetic acid degradation protein paaN', NULL, 'TIGR02288', NULL, NULL, 11345, 16),
(194907, NULL, 'TIGR00198', NULL, NULL, 'cat_per_HPI: catalase/peroxidase HPI', NULL, 'TIGR00198', NULL, NULL, 6556, 16),
(194908, NULL, 'TIGR03307', NULL, NULL, 'PhnP: phosphonate metabolism protein PhnP', NULL, 'TIGR03307', NULL, NULL, 17907, 16),
(194909, NULL, 'TIGR03963', NULL, NULL, 'rSAM_QueE_Clost: putative 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', NULL, 'TIGR03963', NULL, NULL, 18361, 16);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194910, NULL, 'TIGR04065', NULL, NULL, 'ocin_CLI_3235: putative bacteriocin precursor, CLI_3235 family', NULL, 'TIGR04065', NULL, NULL, 11453, 16),
(194911, NULL, 'TIGR01217', NULL, NULL, 'ac_ac_CoA_syn: acetoacetate-CoA ligase', NULL, 'TIGR01217', NULL, NULL, 231, 16),
(194912, NULL, 'TIGR04001', NULL, NULL, 'thiol_BshB1: bacillithiol biosynthesis deacetylase BshB1', NULL, 'TIGR04001', NULL, NULL, 17085, 16),
(194913, NULL, 'TIGR01680', NULL, NULL, 'Veg_Stor_Prot: vegetative storage protein', NULL, 'TIGR01680', NULL, NULL, 9918, 16),
(194914, NULL, 'TIGR04378', NULL, NULL, 'myo_inos_iolB: 5-deoxy-glucuronate isomerase', NULL, 'TIGR04378', NULL, NULL, 14057, 16),
(194915, NULL, 'TIGR03667', NULL, NULL, 'Rv3369: PPOX class probable F420-dependent enzyme, Rv3369 family', NULL, 'TIGR03667', NULL, NULL, 15657, 16),
(194916, NULL, 'TIGR02104', NULL, NULL, 'pulA_typeI: pullulanase, type I', NULL, 'TIGR02104', NULL, NULL, 14389, 16),
(194917, NULL, 'TIGR03114', NULL, NULL, 'cas8u_csf1: CRISPR type AFERR-associated protein Csf1', NULL, 'TIGR03114', NULL, NULL, 15166, 16),
(194918, NULL, 'TIGR04314', NULL, NULL, 'methano7heme: methanogenesis multiheme c-type cytochrome', NULL, 'TIGR04314', NULL, NULL, 23586, 16),
(194919, NULL, 'TIGR03354', NULL, NULL, 'VI_FHA: type VI secretion system FHA domain protein', NULL, 'TIGR03354', NULL, NULL, 18935, 16),
(194920, NULL, 'TIGR00014', NULL, NULL, 'arsC: arsenate reductase (glutaredoxin)', NULL, 'TIGR00014', NULL, NULL, 1680, 16),
(194921, NULL, 'TIGR01993', NULL, NULL, 'Pyr-5-nucltdase: pyrimidine 5''-nucleotidase', NULL, 'TIGR01993', NULL, NULL, 4163, 16),
(194922, NULL, 'TIGR01264', NULL, NULL, 'tyr_amTase_E: tyrosine aminotransferase', NULL, 'TIGR01264', NULL, NULL, 162, 16),
(194923, NULL, 'TIGR01873', NULL, NULL, 'cas_CT1978: CRISPR-associated endoribonuclease Cas2, subtype I-E/ECOLI', NULL, 'TIGR01873', NULL, NULL, 10978, 16),
(194924, NULL, 'TIGR01706', NULL, NULL, 'NAPA: periplasmic nitrate reductase, large subunit', NULL, 'TIGR01706', NULL, NULL, 5319, 16),
(194925, NULL, 'TIGR01024', NULL, NULL, 'rplS_bact: ribosomal protein bL19', NULL, 'TIGR01024', NULL, NULL, 4364, 16),
(194926, NULL, 'TIGR03298', NULL, NULL, 'argP: transcriptional regulator, ArgP family', NULL, 'TIGR03298', NULL, NULL, 17882, 16),
(194927, NULL, 'TIGR00207', NULL, NULL, 'fliG: flagellar motor switch protein FliG', NULL, 'TIGR00207', NULL, NULL, 2701, 16),
(194928, NULL, 'TIGR02716', NULL, NULL, 'C20_methyl_CrtF: C-20 methyltransferase BchU', NULL, 'TIGR02716', NULL, NULL, 14370, 16),
(194929, NULL, 'TIGR02883', NULL, NULL, 'spore_cwlD: N-acetylmuramoyl-L-alanine amidase CwlD', NULL, 'TIGR02883', NULL, NULL, 10644, 16),
(194930, NULL, 'TIGR02570', NULL, NULL, 'cas7_GSU0053: CRISPR-associated protein GSU0053/csb1, Dpsyc system', NULL, 'TIGR02570', NULL, NULL, 11880, 16),
(194931, NULL, 'TIGR02760', NULL, NULL, 'TraI_TIGR: conjugative transfer relaxase protein TraI', NULL, 'TIGR02760', NULL, NULL, 13606, 16),
(194932, NULL, 'TIGR00550', NULL, NULL, 'nadA: quinolinate synthetase complex, A subunit', NULL, 'TIGR00550', NULL, NULL, 6463, 16),
(194933, NULL, 'TIGR01829', NULL, NULL, 'AcAcCoA_reduct: acetoacetyl-CoA reductase', NULL, 'TIGR01829', NULL, NULL, 10010, 16),
(194934, NULL, 'TIGR02657', NULL, NULL, 'amicyanin: amicyanin', NULL, 'TIGR02657', NULL, NULL, 10052, 16),
(194935, NULL, 'TIGR00790', NULL, NULL, 'fnt: formate/nitrite transporter', NULL, 'TIGR00790', NULL, NULL, 944, 16),
(194936, NULL, 'TIGR02467', NULL, NULL, 'CbiE: precorrin-6y C5,15-methyltransferase (decarboxylating), CbiE subunit', NULL, 'TIGR02467', NULL, NULL, 12603, 16),
(194937, NULL, 'TIGR00327', NULL, NULL, 'secE_euk_arch: protein translocase SEC61 complex gamma subunit, archaeal and eukaryotic', NULL, 'TIGR00327', NULL, NULL, 7421, 16),
(194938, NULL, 'TIGR01088', NULL, NULL, 'aroQ: 3-dehydroquinate dehydratase, type II', NULL, 'TIGR01088', NULL, NULL, 4299, 16),
(194939, NULL, 'TIGR04317', NULL, NULL, 'W_rSAM_matur: tungsten cofactor oxidoreducase radical SAM maturase', NULL, 'TIGR04317', NULL, NULL, 23574, 16);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194940, NULL, 'TIGR04507', NULL, NULL, 'fluorinase: adenosyl-fluoride synthase', NULL, 'TIGR04507', NULL, NULL, 25772, 16),
(194941, NULL, 'TIGR00064', NULL, NULL, 'ftsY: signal recognition particle-docking protein FtsY', NULL, 'TIGR00064', NULL, NULL, 5849, 16),
(194942, NULL, 'TIGR02347', NULL, NULL, 'chap_CCT_zeta: T-complex protein 1, zeta subunit', NULL, 'TIGR02347', NULL, NULL, 11926, 16),
(194943, NULL, 'TIGR02537', NULL, NULL, 'arch_flag_Nterm: archaeal flagellin N-terminal-like domain', NULL, 'TIGR02537', NULL, NULL, 11746, 16),
(194944, NULL, 'TIGR03248', NULL, NULL, 'galactar-dH20: galactarate dehydratase', NULL, 'TIGR03248', NULL, NULL, 17323, 16),
(194945, NULL, 'TIGR02224', NULL, NULL, 'recomb_XerC: tyrosine recombinase XerC', NULL, 'TIGR02224', NULL, NULL, 11166, 16),
(194946, NULL, 'TIGR04244', NULL, NULL, 'nitrous_NosZ_RR: nitrous-oxide reductase, TAT-dependent', NULL, 'TIGR04244', NULL, NULL, 16926, 16),
(194947, NULL, 'TIGR04199', NULL, NULL, 'exosort_xrtJ: exosortase J', NULL, 'TIGR04199', NULL, NULL, 27363, 16),
(194948, NULL, 'TIGR02034', NULL, NULL, 'CysN: sulfate adenylyltransferase, large subunit', NULL, 'TIGR02034', NULL, NULL, 13155, 16),
(194949, NULL, 'TIGR03234', NULL, NULL, 'OH-pyruv-isom: hydroxypyruvate isomerase', NULL, 'TIGR03234', NULL, NULL, 16519, 16),
(194950, NULL, 'TIGR00863', NULL, NULL, 'P2X: cation transporter protein', NULL, 'TIGR00863', NULL, NULL, 6839, 16),
(194951, NULL, 'TIGR00805', NULL, NULL, 'oat: sodium-independent organic anion transporter', NULL, 'TIGR00805', NULL, NULL, 2969, 16),
(194952, NULL, 'TIGR00313', NULL, NULL, 'cobQ: cobyric acid synthase CobQ', NULL, 'TIGR00313', NULL, NULL, 7368, 16),
(194953, NULL, 'TIGR01278', NULL, NULL, 'DPOR_BchB: light-independent protochlorophyllide reductase, B subunit', NULL, 'TIGR01278', NULL, NULL, 1444, 16),
(194954, NULL, 'TIGR04015', NULL, NULL, 'WcaC: colanic acid biosynthesis glycosyltransferase WcaC', NULL, 'TIGR04015', NULL, NULL, 18879, 16),
(194955, NULL, 'TIGR00078', NULL, NULL, 'nadC: nicotinate-nucleotide diphosphorylase (carboxylating)', NULL, 'TIGR00078', NULL, NULL, 5880, 16),
(194956, NULL, 'TIGR03175', NULL, NULL, 'AllD: ureidoglycolate dehydrogenase', NULL, 'TIGR03175', NULL, NULL, 16152, 16),
(194957, NULL, 'TIGR01527', NULL, NULL, 'arch_NMN_Atrans: nicotinamide-nucleotide adenylyltransferase', NULL, 'TIGR01527', NULL, NULL, 6780, 16),
(194958, NULL, 'TIGR00497', NULL, NULL, 'hsdM: type I restriction-modification system, M subunit', NULL, 'TIGR00497', NULL, NULL, 618, 16),
(194959, NULL, 'TIGR00869', NULL, NULL, 'sec62: protein translocation protein, Sec62 family', NULL, 'TIGR00869', NULL, NULL, 12450, 16),
(194960, NULL, 'TIGR01630', NULL, NULL, 'psiM2_ORF9: phage uncharacterized protein, C-terminal domain', NULL, 'TIGR01630', NULL, NULL, 6870, 16),
(194961, NULL, 'TIGR00749', NULL, NULL, 'glk: glucokinase', NULL, 'TIGR00749', NULL, NULL, 3252, 16),
(194962, NULL, 'TIGR00629', NULL, NULL, 'uvde: UV damage endonuclease UvdE', NULL, 'TIGR00629', NULL, NULL, 707, 16),
(194963, NULL, 'TIGR01010', NULL, NULL, 'BexC_CtrB_KpsE: polysaccharide export inner-membrane protein, BexC/CtrB/KpsE family', NULL, 'TIGR01010', NULL, NULL, 3605, 16),
(194964, NULL, 'TIGR01267', NULL, NULL, 'Phe4hydrox_mono: phenylalanine-4-hydroxylase', NULL, 'TIGR01267', NULL, NULL, 137, 16),
(194965, NULL, 'TIGR01387', NULL, NULL, 'cztR_silR_copR: heavy metal response regulator', NULL, 'TIGR01387', NULL, NULL, 3929, 16),
(194966, NULL, 'TIGR02165', NULL, NULL, 'cas5_6_GSU0054: CRISPR-associated protein GSU0054/csb2, Dpsyc system', NULL, 'TIGR02165', NULL, NULL, 16746, 16),
(194967, NULL, 'TIGR02719', NULL, NULL, 'repress_PhaQ: poly-beta-hydroxybutyrate-responsive repressor', NULL, 'TIGR02719', NULL, NULL, 14318, 16),
(194968, NULL, 'TIGR03357', NULL, NULL, 'VI_zyme: type VI secretion system lysozyme-like protein', NULL, 'TIGR03357', NULL, NULL, 18628, 16),
(194969, NULL, 'TIGR03600', NULL, NULL, 'phage_DnaB: phage replicative helicase, DnaB family', NULL, 'TIGR03600', NULL, NULL, 15329, 16),
(194970, NULL, 'TIGR01510', NULL, NULL, 'coaD_prev_kdtB: pantetheine-phosphate adenylyltransferase', NULL, 'TIGR01510', NULL, NULL, 4331, 16);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(194971, NULL, 'TIGR02478', NULL, NULL, '6PF1K_euk: 6-phosphofructokinase', NULL, 'TIGR02478', NULL, NULL, 9690, 16),
(194972, NULL, 'TIGR01323', NULL, NULL, 'nitrile_alph: nitrile hydratase, alpha subunit', NULL, 'TIGR01323', NULL, NULL, 19339, 16),
(194973, NULL, 'TIGR00388', NULL, NULL, 'glyQ: glycine--tRNA ligase, alpha subunit', NULL, 'TIGR00388', NULL, NULL, 6956, 16),
(194974, NULL, 'TIGR00676', NULL, NULL, 'fadh2: methylenetetrahydrofolate reductase [NAD(P)H]', NULL, 'TIGR00676', NULL, NULL, 2486, 16),
(194975, NULL, 'TIGR02766', NULL, NULL, 'crypt_chrom_pln: cryptochrome, plant family', NULL, 'TIGR02766', NULL, NULL, 14108, 16),
(194976, NULL, 'TIGR03100', NULL, NULL, 'hydr1_PEP: exosortase A system-associated hydrolase 1', NULL, 'TIGR03100', NULL, NULL, 15134, 16),
(194977, NULL, 'TIGR01194', NULL, NULL, 'cyc_pep_trnsptr: cyclic peptide transporter', NULL, 'TIGR01194', NULL, NULL, 6624, 16),
(194978, NULL, 'TIGR04255', NULL, NULL, 'sporadTIGR04255: TIGR04255 family protein', NULL, 'TIGR04255', NULL, NULL, 26439, 16),
(194979, NULL, 'TIGR03069', NULL, NULL, 'PS_II_S4: photosystem II S4 domain protein', NULL, 'TIGR03069', NULL, NULL, 21696, 16),
(194980, NULL, 'TIGR04364', NULL, NULL, 'methyltran_FxLD: methyltransferase, FxLD system', NULL, 'TIGR04364', NULL, NULL, 24077, 16),
(194981, NULL, 'TIGR02526', NULL, NULL, 'eut_PduT: PduT-like ethanolamine utilization protein', NULL, 'TIGR02526', NULL, NULL, 11894, 16),
(194982, NULL, 'TIGR03164', NULL, NULL, 'UHCUDC: OHCU decarboxylase', NULL, 'TIGR03164', NULL, NULL, 16059, 16),
(194983, NULL, 'TIGR03726', NULL, NULL, 'strep_RK_lipo: putative cross-wall-targeting lipoprotein signal', NULL, 'TIGR03726', NULL, NULL, 16806, 16),
(194984, NULL, 'TIGR03284', NULL, NULL, 'thym_sym: thymidylate synthase', NULL, 'TIGR03284', NULL, NULL, 6992, 16),
(194985, NULL, 'TIGR00204', NULL, NULL, 'dxs: 1-deoxy-D-xylulose-5-phosphate synthase', NULL, 'TIGR00204', NULL, NULL, 955, 16),
(194986, NULL, 'TIGR04135', NULL, NULL, 'FibroRuminTarg: Cys-rich radical SAM target, FibroRumin family', NULL, 'TIGR04135', NULL, NULL, 21980, 16),
(194987, NULL, 'TIGR03471', NULL, NULL, 'HpnJ: hopanoid biosynthesis associated radical SAM protein HpnJ', NULL, 'TIGR03471', NULL, NULL, 20195, 16),
(194988, NULL, 'TIGR04423', NULL, NULL, 'casT3_TIGR04423: CRISPR type III-associated protein, TIGR04423 family', NULL, 'TIGR04423', NULL, NULL, 26346, 16),
(194989, NULL, 'TIGR02238', NULL, NULL, 'recomb_DMC1: meiotic recombinase Dmc1', NULL, 'TIGR02238', NULL, NULL, 11427, 16),
(194990, NULL, 'TIGR04557', NULL, NULL, 'fuse_rel_SoxYZ: quinoprotein dehydrogenase-associated SoxYZ-like carrier', NULL, 'TIGR04557', NULL, NULL, 24521, 16),
(194991, NULL, 'TIGR00983', NULL, NULL, '3a0801s02tim23: mitochondrial import inner membrane translocase subunit', NULL, 'TIGR00983', NULL, NULL, 3939, 16),
(194992, NULL, 'TIGR04328', NULL, NULL, 'cas4_PREFRAN: CRISPR-associated protein Cas4, subtype PREFRAN', NULL, 'TIGR04328', NULL, NULL, 23727, 16),
(194993, NULL, 'TIGR00187', NULL, NULL, 'ribE: riboflavin synthase, alpha subunit', NULL, 'TIGR00187', NULL, NULL, 4013, 16),
(194994, NULL, 'TIGR00567', NULL, NULL, '3mg: DNA-3-methyladenine glycosylase', NULL, 'TIGR00567', NULL, NULL, 2807, 16),
(194995, NULL, 'TIGR02587', NULL, NULL, 'TIGR02587: putative integral membrane protein TIGR02587', NULL, 'TIGR02587', NULL, NULL, 9079, 16),
(194996, NULL, 'TIGR01949', NULL, NULL, 'AroFGH_arch: predicted phospho-2-dehydro-3-deoxyheptonate aldolase', NULL, 'TIGR01949', NULL, NULL, 4242, 16),
(194997, NULL, 'TIGR02417', NULL, NULL, 'fruct_sucro_rep: D-fructose-responsive transcription factor', NULL, 'TIGR02417', NULL, NULL, 10011, 16),
(194998, NULL, 'TIGR03178', NULL, NULL, 'allantoinase: allantoinase', NULL, 'TIGR03178', NULL, NULL, 16412, 16),
(194999, NULL, 'TIGR02830', NULL, NULL, 'spore_III_AG: stage III sporulation protein AG', NULL, 'TIGR02830', NULL, NULL, 8892, 16),
(195000, NULL, 'TIGR02880', NULL, NULL, 'cbbX_cfxQ: CbbX protein', NULL, 'TIGR02880', NULL, NULL, 6829, 16),
(195001, NULL, 'TIGR03055', NULL, NULL, 'photo_alph_chp2: putative photosynthetic complex assembly protein 2', NULL, 'TIGR03055', NULL, NULL, 21257, 16);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195002, NULL, 'TIGR00003', NULL, NULL, 'TIGR00003: copper ion binding protein', NULL, 'TIGR00003', NULL, NULL, 10233, 16),
(195003, NULL, 'TIGR01451', NULL, NULL, 'B_ant_repeat: conserved repeat domain', NULL, 'TIGR01451', NULL, NULL, 3003, 16),
(195004, NULL, 'TIGR04437', NULL, NULL, 'WaaZ_KDO_III: 3-deoxy-D-manno-oct-2-ulosonate III transferase WaaZ', NULL, 'TIGR04437', NULL, NULL, 28263, 16),
(195005, NULL, 'TIGR01446', NULL, NULL, 'DnaD_dom: DnaD domain protein', NULL, 'TIGR01446', NULL, NULL, 4612, 16),
(195006, NULL, 'TIGR03919', NULL, NULL, 'T7SS_EccB: type VII secretion protein EccB', NULL, 'TIGR03919', NULL, NULL, 2223, 16),
(195007, NULL, 'TIGR02710', NULL, NULL, 'TIGR02710: CRISPR-associated protein, TIGR02710 family', NULL, 'TIGR02710', NULL, NULL, 14027, 16),
(195008, NULL, 'TIGR00933', NULL, NULL, '2a38: potassium uptake protein, TrkH family', NULL, 'TIGR00933', NULL, NULL, 5229, 16),
(195009, NULL, 'TIGR01158', NULL, NULL, 'SUI1_rel: putative translation initiation factor SUI1', NULL, 'TIGR01158', NULL, NULL, 6748, 16),
(195010, NULL, 'TIGR00447', NULL, NULL, 'pth: aminoacyl-tRNA hydrolase', NULL, 'TIGR00447', NULL, NULL, 2301, 16),
(195011, NULL, 'TIGR01099', NULL, NULL, 'galU: UTP--glucose-1-phosphate uridylyltransferase', NULL, 'TIGR01099', NULL, NULL, 4857, 16),
(195012, NULL, 'TIGR02299', NULL, NULL, 'HpaE: 5-carboxymethyl-2-hydroxymuconate semialdehyde dehydrogenase', NULL, 'TIGR02299', NULL, NULL, 13037, 16),
(195013, NULL, 'TIGR04149', NULL, NULL, 'GG_sam_targ_CFB: natural product precursor, GG-Bacteroidales family', NULL, 'TIGR04149', NULL, NULL, 21659, 16),
(195014, NULL, 'TIGR00506', NULL, NULL, 'ribB: 3,4-dihydroxy-2-butanone-4-phosphate synthase', NULL, 'TIGR00506', NULL, NULL, 6798, 16),
(195015, NULL, 'TIGR02646', NULL, NULL, 'TIGR02646: TIGR02646 family protein', NULL, 'TIGR02646', NULL, NULL, 10353, 16),
(195016, NULL, 'TIGR02894', NULL, NULL, 'DNA_bind_RsfA: transcription factor, RsfA family', NULL, 'TIGR02894', NULL, NULL, 10706, 16),
(195017, NULL, 'TIGR02953', NULL, NULL, 'penta_MxKDx: pentapeptide MXKDX repeat protein', NULL, 'TIGR02953', NULL, NULL, 9651, 16),
(195018, NULL, 'TIGR03591', NULL, NULL, 'polynuc_phos: polyribonucleotide nucleotidyltransferase', NULL, 'TIGR03591', NULL, NULL, 7500, 16),
(195019, NULL, 'TIGR01203', NULL, NULL, 'HGPRTase: hypoxanthine phosphoribosyltransferase', NULL, 'TIGR01203', NULL, NULL, 6541, 16),
(195020, NULL, 'TIGR02358', NULL, NULL, 'thia_cytX: putative hydroxymethylpyrimidine transporter CytX', NULL, 'TIGR02358', NULL, NULL, 11940, 16),
(195021, NULL, 'TIGR03558', NULL, NULL, 'oxido_grp_1: luciferase family oxidoreductase, group 1', NULL, 'TIGR03558', NULL, NULL, 18222, 16),
(195022, NULL, 'TIGR02403', NULL, NULL, 'trehalose_treC: alpha,alpha-phosphotrehalase', NULL, 'TIGR02403', NULL, NULL, 10452, 16),
(195023, NULL, 'TIGR02115', NULL, NULL, 'potass_kdpF: K+-transporting ATPase, F subunit', NULL, 'TIGR02115', NULL, NULL, 11559, 16),
(195024, NULL, 'TIGR00808', NULL, NULL, 'malonate_madM: malonate transporter, MadM subunit', NULL, 'TIGR00808', NULL, NULL, 3362, 16),
(195025, NULL, 'TIGR01144', NULL, NULL, 'ATP_synt_b: ATP synthase F0, B subunit', NULL, 'TIGR01144', NULL, NULL, 6865, 16),
(195026, NULL, 'TIGR01373', NULL, NULL, 'soxB: sarcosine oxidase, beta subunit family', NULL, 'TIGR01373', NULL, NULL, 3688, 16),
(195027, NULL, 'TIGR00860', NULL, NULL, 'LIC: cation transporter family protein', NULL, 'TIGR00860', NULL, NULL, 11446, 16),
(195028, NULL, 'TIGR01982', NULL, NULL, 'UbiB: 2-polyprenylphenol 6-hydroxylase', NULL, 'TIGR01982', NULL, NULL, 4014, 16),
(195029, NULL, 'TIGR01085', NULL, NULL, 'murE: UDP-N-acetylmuramyl-tripeptide synthetase', NULL, 'TIGR01085', NULL, NULL, 4715, 16),
(195030, NULL, 'TIGR03905', NULL, NULL, 'TIGR03905_4_Cys: uncharacterized protein TIGR03905', NULL, 'TIGR03905', NULL, NULL, 12890, 16),
(195031, NULL, 'TIGR03617', NULL, NULL, 'F420_MSMEG_2256: probable F420-dependent oxidoreductase, MSMEG_2256 family', NULL, 'TIGR03617', NULL, NULL, 15380, 16),
(195032, NULL, 'TIGR00422', NULL, NULL, 'valS: valine--tRNA ligase', NULL, 'TIGR00422', NULL, NULL, 4489, 16);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195033, NULL, 'TIGR00679', NULL, NULL, 'hpr-ser: HPr(Ser) kinase/phosphatase', NULL, 'TIGR00679', NULL, NULL, 6258, 16),
(195034, NULL, 'TIGR00799', NULL, NULL, 'mtp: Golgi 4-transmembrane spanning transporter', NULL, 'TIGR00799', NULL, NULL, 20457, 16),
(195035, NULL, 'TIGR00302', NULL, NULL, 'TIGR00302: phosphoribosylformylglycinamidine synthase, purS protein', NULL, 'TIGR00302', NULL, NULL, 3075, 16),
(195036, NULL, 'TIGR02769', NULL, NULL, 'nickel_nikE: nickel import ATP-binding protein NikE', NULL, 'TIGR02769', NULL, NULL, 14371, 16),
(195037, NULL, 'TIGR02705', NULL, NULL, 'nudix_YtkD: nucleoside triphosphatase YtkD', NULL, 'TIGR02705', NULL, NULL, 13772, 16),
(195038, NULL, 'TIGR02825', NULL, NULL, 'B4_12hDH: leukotriene B4 12-hydroxydehydrogenase/15-oxo-prostaglandin 13-reductase', NULL, 'TIGR02825', NULL, NULL, 8594, 16),
(195039, NULL, 'TIGR03223', NULL, NULL, 'Phn_opern_protn: putative phosphonate metabolism protein', NULL, 'TIGR03223', NULL, NULL, 8273, 16),
(195040, NULL, 'TIGR01253', NULL, NULL, 'thiP: thiamine/thiamine pyrophosphate ABC transporter, permease protein', NULL, 'TIGR01253', NULL, NULL, 118, 16),
(195041, NULL, 'TIGR01133', NULL, NULL, 'murG: undecaprenyldiphospho-muramoylpentapeptide beta-N-acetylglucosaminyltransferase', NULL, 'TIGR01133', NULL, NULL, 1461, 16),
(195042, NULL, 'TIGR00218', NULL, NULL, 'manA: mannose-6-phosphate isomerase, class I', NULL, 'TIGR00218', NULL, NULL, 5182, 16),
(195043, NULL, 'TIGR02771', NULL, NULL, 'TraF_Ti: conjugative transfer signal peptidase TraF', NULL, 'TIGR02771', NULL, NULL, 14150, 16),
(195044, NULL, 'TIGR03066', NULL, NULL, 'Gem_osc_para_1: Gemmata obscuriglobus paralogous family TIGR03066', NULL, 'TIGR03066', NULL, NULL, NULL, 16),
(195045, NULL, 'TIGR03094', NULL, NULL, 'sulfo_cyanin: sulfocyanin', NULL, 'TIGR03094', NULL, NULL, 14687, 16),
(195046, NULL, 'TIGR02512', NULL, NULL, 'FeFe_hydrog_A: [FeFe] hydrogenase, group A', NULL, 'TIGR02512', NULL, NULL, 18920, 16),
(195047, NULL, 'TIGR02179', NULL, NULL, 'PorD_KorD: 2-oxoacid:acceptor oxidoreductase, delta subunit, pyruvate/2-ketoisovalerate family', NULL, 'TIGR02179', NULL, NULL, 12437, 16),
(195048, NULL, 'TIGR03854', NULL, NULL, 'F420_MSMEG_3544: probable F420-dependent oxidoreductase, MSMEG_3544 family', NULL, 'TIGR03854', NULL, NULL, 16269, 16),
(195049, NULL, 'TIGR00089', NULL, NULL, 'TIGR00089: radical SAM methylthiotransferase, MiaB/RimO family', NULL, 'TIGR00089', NULL, NULL, 5564, 16),
(195050, NULL, 'TIGR01764', NULL, NULL, 'excise: DNA binding domain, excisionase family', NULL, 'TIGR01764', NULL, NULL, 2304, 16),
(195051, NULL, 'TIGR03416', NULL, NULL, 'ABC_choXWV_perm: choline ABC transporter, permease protein', NULL, 'TIGR03416', NULL, NULL, 19335, 16),
(195052, NULL, 'TIGR02143', NULL, NULL, 'trmA_only: tRNA (uracil(54)-C(5))-methyltransferase', NULL, 'TIGR02143', NULL, NULL, 14122, 16),
(195053, NULL, 'TIGR04233', NULL, NULL, 'seadorna_VP8: seadornavirus VP8 protein', NULL, 'TIGR04233', NULL, NULL, 23176, 16),
(195054, NULL, 'TIGR00754', NULL, NULL, 'bfr: bacterioferritin', NULL, 'TIGR00754', NULL, NULL, 2484, 16),
(195055, NULL, 'TIGR03776', NULL, NULL, 'RPE5: rickettsial palindromic element RPE5 domain', NULL, 'TIGR03776', NULL, NULL, 16074, 16),
(195056, NULL, 'TIGR01938', NULL, NULL, 'nqrC: NADH:ubiquinone oxidoreductase, Na(+)-translocating, C subunit', NULL, 'TIGR01938', NULL, NULL, 4071, 16),
(195057, NULL, 'TIGR01686', NULL, NULL, 'FkbH: FkbH domain', NULL, 'TIGR01686', NULL, NULL, 5378, 16),
(195058, NULL, 'TIGR00810', NULL, NULL, 'secG: preprotein translocase, SecG subunit', NULL, 'TIGR00810', NULL, NULL, 3429, 16),
(195059, NULL, 'TIGR00740', NULL, NULL, 'TIGR00740: tRNA (cmo5U34)-methyltransferase', NULL, 'TIGR00740', NULL, NULL, 4339, 16),
(195060, NULL, 'TIGR03522', NULL, NULL, 'GldA_ABC_ATP: gliding motility-associated ABC transporter ATP-binding subunit GldA', NULL, 'TIGR03522', NULL, NULL, 16648, 16),
(195061, NULL, 'TIGR03779', NULL, NULL, 'Bac_Flav_CT_M: Bacteroides conjugative transposon TraM protein', NULL, 'TIGR03779', NULL, NULL, 21433, 16);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195062, NULL, 'TIGR03318', NULL, NULL, 'YdfZ_fam: putative selenium-binding protein YdfZ', NULL, 'TIGR03318', NULL, NULL, 18253, 16),
(195063, NULL, 'TIGR04113', NULL, NULL, 'cas_csx17: CRISPR-associated protein Csx17, subtype Dpsyc', NULL, 'TIGR04113', NULL, NULL, 24468, 16),
(195064, NULL, 'TIGR00517', NULL, NULL, 'acyl_carrier: acyl carrier protein', NULL, 'TIGR00517', NULL, NULL, 2675, 16),
(195065, NULL, 'TIGR02277', NULL, NULL, 'PaaX_trns_reg: phenylacetic acid degradation operon negative regulatory protein PaaX', NULL, 'TIGR02277', NULL, NULL, 11433, 16),
(195066, NULL, 'TIGR02903', NULL, NULL, 'spore_lon_C: ATP-dependent protease, Lon family', NULL, 'TIGR02903', NULL, NULL, 11374, 16),
(195067, NULL, 'TIGR04473', NULL, NULL, 'taxol_Phe_23mut: phenylalanine aminomutase (L-beta-phenylalanine forming)', NULL, 'TIGR04473', NULL, NULL, 26514, 16),
(195068, NULL, 'TIGR01521', NULL, NULL, 'FruBisAldo_II_B: fructose-bisphosphate aldolase, class II, Calvin cycle subtype', NULL, 'TIGR01521', NULL, NULL, 5640, 16),
(195069, NULL, 'TIGR02263', NULL, NULL, 'benz_CoA_red_C: benzoyl-CoA reductase, subunit C', NULL, 'TIGR02263', NULL, NULL, 11432, 16),
(195070, NULL, 'TIGR03438', NULL, NULL, 'egtD_ergothio: dimethylhistidine N-methyltransferase', NULL, 'TIGR03438', NULL, NULL, 15946, 16),
(195071, NULL, 'TIGR04219', NULL, NULL, 'OMP_w_GlyGly: outer membrane protein', NULL, 'TIGR04219', NULL, NULL, 21918, 16),
(195072, NULL, 'TIGR03508', NULL, NULL, 'decahem_SO: decaheme c-type cytochrome, DmsE family', NULL, 'TIGR03508', NULL, NULL, 17530, 16),
(195073, NULL, 'TIGR03536', NULL, NULL, 'DapD_gpp: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase', NULL, 'TIGR03536', NULL, NULL, 17193, 16),
(195074, NULL, 'TIGR00293', NULL, NULL, 'TIGR00293: prefoldin, alpha subunit', NULL, 'TIGR00293', NULL, NULL, 1570, 16),
(195075, NULL, 'TIGR03189', NULL, NULL, 'dienoyl_CoA_hyt: cyclohexa-1,5-dienecarbonyl-CoA hydratase', NULL, 'TIGR03189', NULL, NULL, 16497, 16),
(195076, NULL, 'TIGR02059', NULL, NULL, 'swm_rep_I: cyanobacterial long protein repeat', NULL, 'TIGR02059', NULL, NULL, 13281, 16),
(195077, NULL, 'TIGR02249', NULL, NULL, 'integrase_gron: integron integrase', NULL, 'TIGR02249', NULL, NULL, 11237, 16),
(195078, NULL, 'TIGR02406', NULL, NULL, 'ectoine_EctA: diaminobutyrate acetyltransferase', NULL, 'TIGR02406', NULL, NULL, 10350, 16),
(195079, NULL, 'TIGR03482', NULL, NULL, 'DMSO_red_II_cha: DMSO reductase family type II enzyme chaperone', NULL, 'TIGR03482', NULL, NULL, 20092, 16),
(195080, NULL, 'TIGR01376', NULL, NULL, 'POMP_repeat: chlamydial polymorphic outer membrane protein repeat', NULL, 'TIGR01376', NULL, NULL, 4068, 16),
(195081, NULL, 'TIGR03908', NULL, NULL, 'QH_alpha: quinohemoprotein amine dehydrogenase, alpha subunit', NULL, 'TIGR03908', NULL, NULL, 17507, 16),
(195082, NULL, 'TIGR01566', NULL, NULL, 'ZF_HD_prot_N: ZF-HD homeobox protein Cys/His-rich dimerization domain', NULL, 'TIGR01566', NULL, NULL, 6701, 16),
(195083, NULL, 'TIGR04205', NULL, NULL, 'classIII_w_PIP: class III signal peptide protein, archaeosortase D/PIP-CTERM system', NULL, 'TIGR04205', NULL, NULL, 24399, 16),
(195084, NULL, 'TIGR03731', NULL, NULL, 'lantibio_gallid: lantibiotic, gallidermin/nisin family', NULL, 'TIGR03731', NULL, NULL, 2502, 16),
(195085, NULL, 'TIGR00425', NULL, NULL, 'CBF5: putative rRNA pseudouridine synthase', NULL, 'TIGR00425', NULL, NULL, 5546, 16),
(195086, NULL, 'TIGR01815', NULL, NULL, 'TrpE-clade3: anthranilate synthase', NULL, 'TIGR01815', NULL, NULL, 2452, 16),
(195087, NULL, 'TIGR03103', NULL, NULL, 'trio_acet_GNAT: GNAT-family acetyltransferase TIGR03103', NULL, 'TIGR03103', NULL, NULL, 15372, 16),
(195088, NULL, 'TIGR00556', NULL, NULL, 'pantethn_trn: phosphopantetheine--protein transferase domain', NULL, 'TIGR00556', NULL, NULL, 935, 16),
(195089, NULL, 'TIGR04487', NULL, NULL, 'SoxY_para_1: SoxY-related AACIE arm protein', NULL, 'TIGR04487', NULL, NULL, 22160, 16),
(195090, NULL, 'TIGR02472', NULL, NULL, 'sucr_P_syn_N: sucrose-phosphate synthase, putative, glycosyltransferase domain', NULL, 'TIGR02472', NULL, NULL, 12522, 16);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195091, NULL, 'TIGR03974', NULL, NULL, 'rSAM_six_Cys: SCIFF radical SAM maturase', NULL, 'TIGR03974', NULL, NULL, 11944, 16),
(195092, NULL, 'TIGR00785', NULL, NULL, 'dass: transporter, divalent anion:Na+ symporter (DASS) family', NULL, 'TIGR00785', NULL, NULL, 2376, 16),
(195093, NULL, 'TIGR01108', NULL, NULL, 'oadA: oxaloacetate decarboxylase alpha subunit', NULL, 'TIGR01108', NULL, NULL, 4999, 16),
(195094, NULL, 'TIGR02020', NULL, NULL, 'BchF: 2-vinyl bacteriochlorophyllide hydratase', NULL, 'TIGR02020', NULL, NULL, 14948, 16),
(195095, NULL, 'TIGR02839', NULL, NULL, 'spore_V_AE: stage V sporulation protein AE', NULL, 'TIGR02839', NULL, NULL, 9012, 16),
(195096, NULL, 'TIGR03960', NULL, NULL, 'rSAM_fuse_unch: radical SAM family uncharacterized protein', NULL, 'TIGR03960', NULL, NULL, 17943, 16),
(195097, NULL, 'TIGR00075', NULL, NULL, 'hypD: hydrogenase expression/formation protein HypD', NULL, 'TIGR00075', NULL, NULL, 4587, 16),
(195098, NULL, 'TIGR01750', NULL, NULL, 'fabZ: beta-hydroxyacyl-(acyl-carrier-protein) dehydratase FabZ', NULL, 'TIGR01750', NULL, NULL, 2116, 16),
(195099, NULL, 'TIGR01870', NULL, NULL, 'cas_TM1810_Csm2: CRISPR type III-A/MTUBE-associated protein Csm2', NULL, 'TIGR01870', NULL, NULL, 10974, 16),
(195100, NULL, 'TIGR03720', NULL, NULL, 'exospor_lead: exosporium leader peptide', NULL, 'TIGR03720', NULL, NULL, 16666, 16),
(195101, NULL, 'TIGR03080', NULL, NULL, 'CH4_NH3mon_ox_A: methane monooxygenase/ammonia monooxygenase, subunit A', NULL, 'TIGR03080', NULL, NULL, 5143, 16),
(195102, NULL, 'TIGR03840', NULL, NULL, 'TMPT_Se_Te: thiopurine S-methyltransferase, Se/Te detoxification family', NULL, 'TIGR03840', NULL, NULL, 16293, 16),
(195103, NULL, 'TIGR04448', NULL, NULL, 'creatininase: creatininase', NULL, 'TIGR04448', NULL, NULL, 28190, 16),
(195104, NULL, 'TIGR00972', NULL, NULL, '3a0107s01c2: phosphate ABC transporter, ATP-binding protein', NULL, 'TIGR00972', NULL, NULL, 3690, 16),
(195105, NULL, 'TIGR02959', NULL, NULL, 'SigZ: RNA polymerase sigma factor, SigZ family', NULL, 'TIGR02959', NULL, NULL, 9786, 16),
(195106, NULL, 'TIGR00129', NULL, NULL, 'fdhD_narQ: formate dehydrogenase family accessory protein FdhD', NULL, 'TIGR00129', NULL, NULL, 3230, 16),
(195107, NULL, 'TIGR01804', NULL, NULL, 'BADH: betaine-aldehyde dehydrogenase', NULL, 'TIGR01804', NULL, NULL, 11359, 16),
(195108, NULL, 'TIGR00408', NULL, NULL, 'proS_fam_I: proline--tRNA ligase', NULL, 'TIGR00408', NULL, NULL, 1573, 16),
(195109, NULL, 'TIGR04551', NULL, NULL, 'TIGR04551: TIGR04551 family protein', NULL, 'TIGR04551', NULL, NULL, 26747, 16),
(195110, NULL, 'TIGR00262', NULL, NULL, 'trpA: tryptophan synthase, alpha subunit', NULL, 'TIGR00262', NULL, NULL, 5447, 16),
(195111, NULL, 'TIGR00316', NULL, NULL, 'cdhC: CO dehydrogenase/CO-methylating acetyl-CoA synthase complex, beta subunit', NULL, 'TIGR00316', NULL, NULL, 7364, 16),
(195112, NULL, 'TIGR00545', NULL, NULL, 'lipoyltrans: lipoyltransferase and lipoate-protein ligase', NULL, 'TIGR00545', NULL, NULL, 529, 16),
(195113, NULL, 'TIGR04568', NULL, NULL, 'arch_SelU_Nterm: selenouridine synthase, SelU N-terminal-like subunit', NULL, 'TIGR04568', NULL, NULL, 24661, 16),
(195114, NULL, 'TIGR02581', NULL, NULL, 'cas_cyan_RAMP: CRISPR-associated RAMP protein, SSO1426 family', NULL, 'TIGR02581', NULL, NULL, 9481, 16),
(195115, NULL, 'TIGR00989', NULL, NULL, '3a0801s07tom40: mitochondrial import receptor subunit', NULL, 'TIGR00989', NULL, NULL, 3527, 16),
(195116, NULL, 'TIGR02635', NULL, NULL, 'RhaI_grampos: L-rhamnose isomerase', NULL, 'TIGR02635', NULL, NULL, 9010, 16),
(195117, NULL, 'TIGR04124', NULL, NULL, 'archaeo_artE: archaeosortase family protein ArtE', NULL, 'TIGR04124', NULL, NULL, 24117, 16),
(195118, NULL, 'TIGR00491', NULL, NULL, 'aIF-2: translation initiation factor aIF-2', NULL, 'TIGR00491', NULL, NULL, 651, 16),
(195119, NULL, 'TIGR01924', NULL, NULL, 'rsbW_low_gc: anti-sigma B factor', NULL, 'TIGR01924', NULL, NULL, 4266, 16),
(195120, NULL, 'TIGR03413', NULL, NULL, 'GSH_gloB: hydroxyacylglutathione hydrolase', NULL, 'TIGR03413', NULL, NULL, 19075, 16);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195121, NULL, 'TIGR03304', NULL, NULL, 'OMP85_target: outer membrane insertion C-terminal signal', NULL, 'TIGR03304', NULL, NULL, 17627, 16),
(195122, NULL, 'TIGR01119', NULL, NULL, 'lacB: galactose-6-phosphate isomerase, LacB subunit', NULL, 'TIGR01119', NULL, NULL, 5257, 16),
(195123, NULL, 'TIGR01214', NULL, NULL, 'rmlD: dTDP-4-dehydrorhamnose reductase', NULL, 'TIGR01214', NULL, NULL, 133, 16),
(195124, NULL, 'TIGR04476', NULL, NULL, 'exosort_XrtN: exosortase N', NULL, 'TIGR04476', NULL, NULL, 26955, 16),
(195125, NULL, 'TIGR04190', NULL, NULL, 'B12_SAM_Ta0216: B12-binding domain/radical SAM domain protein, Ta0216 family', NULL, 'TIGR04190', NULL, NULL, 24452, 16),
(195126, NULL, 'TIGR02369', NULL, NULL, 'trimeth_pyl: trimethylamine:corrinoid methyltransferase', NULL, 'TIGR02369', NULL, NULL, 9293, 16),
(195127, NULL, 'TIGR00436', NULL, NULL, 'era: GTP-binding protein Era', NULL, 'TIGR00436', NULL, NULL, 3853, 16),
(195128, NULL, 'TIGR00665', NULL, NULL, 'DnaB: replicative DNA helicase', NULL, 'TIGR00665', NULL, NULL, 1017, 16),
(195129, NULL, 'TIGR02352', NULL, NULL, 'thiamin_ThiO: glycine oxidase ThiO', NULL, 'TIGR02352', NULL, NULL, 11768, 16),
(195130, NULL, 'TIGR04004', NULL, NULL, 'WcaM: colanic acid biosynthesis protein WcaM', NULL, 'TIGR04004', NULL, NULL, 10277, 16),
(195131, NULL, 'TIGR02461', NULL, NULL, 'osmo_MPG_phos: mannosyl-3-phosphoglycerate phosphatase', NULL, 'TIGR02461', NULL, NULL, 25440, 16),
(195132, NULL, 'TIGR00184', NULL, NULL, 'purA: adenylosuccinate synthase', NULL, 'TIGR00184', NULL, NULL, 1018, 16),
(195133, NULL, 'TIGR00944', NULL, NULL, '2a6301s04: multicomponent K+:H+antiporter', NULL, 'TIGR00944', NULL, NULL, 5298, 16),
(195134, NULL, 'TIGR02045', NULL, NULL, 'P_fruct_ADP: ADP-specific phosphofructokinase', NULL, 'TIGR02045', NULL, NULL, 13297, 16),
(195135, NULL, 'TIGR02274', NULL, NULL, 'dCTP_deam: deoxycytidine triphosphate deaminase', NULL, 'TIGR02274', NULL, NULL, 11324, 16),
(195136, NULL, 'TIGR01709', NULL, NULL, 'typeII_sec_gspL: type II secretion system protein L', NULL, 'TIGR01709', NULL, NULL, 2298, 16),
(195137, NULL, 'TIGR04459', NULL, NULL, 'TisB_tox: type I toxin-antitoxin system toxin TisB', NULL, 'TIGR04459', NULL, NULL, 21545, 16),
(195138, NULL, 'TIGR01761', NULL, NULL, 'thiaz-red: thiazolinyl imide reductase', NULL, 'TIGR01761', NULL, NULL, 2360, 16),
(195139, NULL, 'TIGR01242', NULL, NULL, '26Sp45: 26S proteasome subunit P45 family', NULL, 'TIGR01242', NULL, NULL, 22, 16),
(195140, NULL, 'TIGR02690', NULL, NULL, 'resist_ArsH: arsenical resistance protein ArsH', NULL, 'TIGR02690', NULL, NULL, 13862, 16),
(195141, NULL, 'TIGR01655', NULL, NULL, 'yxeA_fam: conserved hypothetical protein', NULL, 'TIGR01655', NULL, NULL, 95, 16),
(195142, NULL, 'TIGR00500', NULL, NULL, 'met_pdase_I: methionine aminopeptidase, type I', NULL, 'TIGR00500', NULL, NULL, 7309, 16),
(195143, NULL, 'TIGR03899', NULL, NULL, 'TIGR03899: TIGR03899 family protein', NULL, 'TIGR03899', NULL, NULL, 17688, 16),
(195144, NULL, 'TIGR04367', NULL, NULL, 'HpnR_B12_rSAM: hopanoid C-3 methylase HpnR', NULL, 'TIGR04367', NULL, NULL, 24049, 16),
(195145, NULL, 'TIGR01228', NULL, NULL, 'hutU: urocanate hydratase', NULL, 'TIGR01228', NULL, NULL, 616, 16),
(195146, NULL, 'TIGR01105', NULL, NULL, 'galF: regulatory protein GalF', NULL, 'TIGR01105', NULL, NULL, 4640, 16),
(195147, NULL, 'TIGR03212', NULL, NULL, 'uraD_N-term-dom: putative urate catabolism protein', NULL, 'TIGR03212', NULL, NULL, 16846, 16),
(195148, NULL, 'TIGR01348', NULL, NULL, 'PDHac_trf_long: dihydrolipoyllysine-residue acetyltransferase', NULL, 'TIGR01348', NULL, NULL, 3781, 16),
(195149, NULL, 'TIGR02383', NULL, NULL, 'Hfq: RNA chaperone Hfq', NULL, 'TIGR02383', NULL, NULL, 532, 16),
(195150, NULL, 'TIGR02607', NULL, NULL, 'antidote_HigA: addiction module antidote protein, HigA family', NULL, 'TIGR02607', NULL, NULL, 9360, 16),
(195151, NULL, 'TIGR04353', NULL, NULL, 'PqqD_rel_X: PqqD family protein, HPr-rel-A system', NULL, 'TIGR04353', NULL, NULL, 24331, 16),
(195152, NULL, 'TIGR02900', NULL, NULL, 'spore_V_B: stage V sporulation protein B', NULL, 'TIGR02900', NULL, NULL, 11038, 16);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195153, NULL, 'TIGR03611', NULL, NULL, 'RutD: pyrimidine utilization protein D', NULL, 'TIGR03611', NULL, NULL, 15106, 16),
(195154, NULL, 'TIGR04070', NULL, NULL, 'photo_TT_lyase: spore photoproduct lyase', NULL, 'TIGR04070', NULL, NULL, 12880, 16),
(195155, NULL, 'TIGR02501', NULL, NULL, 'type_III_yscE: type III secretion system protein, YseE family', NULL, 'TIGR02501', NULL, NULL, 13344, 16),
(195156, NULL, 'TIGR01818', NULL, NULL, 'ntrC: nitrogen regulation protein NR(I)', NULL, 'TIGR01818', NULL, NULL, 10620, 16),
(195157, NULL, 'TIGR04339', NULL, NULL, 'PQQ_MSMEG_3727: PQQ system protein', NULL, 'TIGR04339', NULL, NULL, 29366, 16),
(195158, NULL, 'TIGR02154', NULL, NULL, 'PhoB: phosphate regulon transcriptional regulatory protein PhoB', NULL, 'TIGR02154', NULL, NULL, 8671, 16),
(195159, NULL, 'TIGR03656', NULL, NULL, 'IsdC: heme uptake protein IsdC', NULL, 'TIGR03656', NULL, NULL, 12165, 16),
(195160, NULL, 'TIGR03885', NULL, NULL, 'flavin_revert: probable non-F420 flavinoid oxidoreductase', NULL, 'TIGR03885', NULL, NULL, 18986, 16),
(195161, NULL, 'TIGR01641', NULL, NULL, 'phageSPP1_gp7: phage head morphogenesis protein, SPP1 gp7 family', NULL, 'TIGR01641', NULL, NULL, 337, 16),
(195162, NULL, 'TIGR00788', NULL, NULL, 'fbt: folate/biopterin transporter', NULL, 'TIGR00788', NULL, NULL, 4962, 16),
(195163, NULL, 'TIGR02515', NULL, NULL, 'IV_pilus_PilQ: type IV pilus secretin PilQ', NULL, 'TIGR02515', NULL, NULL, 18867, 16),
(195164, NULL, 'TIGR01013', NULL, NULL, '2a58: sodium-dependent inorganic phosphate (Pi) transporter', NULL, 'TIGR01013', NULL, NULL, 3195, 16),
(195165, NULL, 'TIGR00382', NULL, NULL, 'clpX: ATP-dependent Clp protease, ATP-binding subunit ClpX', NULL, 'TIGR00382', NULL, NULL, 1634, 16),
(195166, NULL, 'TIGR02168', NULL, NULL, 'SMC_prok_B: chromosome segregation protein SMC', NULL, 'TIGR02168', NULL, NULL, 8812, 16),
(195167, NULL, 'TIGR00009', NULL, NULL, 'L28: ribosomal protein bL28', NULL, 'TIGR00009', NULL, NULL, 2103, 16),
(195168, NULL, 'TIGR04110', NULL, NULL, 'heme_HutZ: heme utilization protein HutZ', NULL, 'TIGR04110', NULL, NULL, 7764, 16),
(195169, NULL, 'TIGR03427', NULL, NULL, 'ABC_peri_uca: ABC transporter periplasmic binding protein, urea carboxylase region', NULL, 'TIGR03427', NULL, NULL, 19034, 16),
(195170, NULL, 'TIGR01884', NULL, NULL, 'cas_HTH: CRISPR locus-related DNA-binding protein', NULL, 'TIGR01884', NULL, NULL, 10756, 16),
(195171, NULL, 'TIGR02914', NULL, NULL, 'EpsI_fam: EpsI family protein', NULL, 'TIGR02914', NULL, NULL, 11858, 16),
(195172, NULL, 'TIGR02397', NULL, NULL, 'dnaX_nterm: DNA polymerase III, subunit gamma and tau', NULL, 'TIGR02397', NULL, NULL, 10232, 16),
(195173, NULL, 'TIGR01614', NULL, NULL, 'PME_inhib: pectinesterase inhibitor domain', NULL, 'TIGR01614', NULL, NULL, 6638, 16),
(195174, NULL, 'TIGR02492', NULL, NULL, 'flgK_ends: flagellar hook-associated protein FlgK', NULL, 'TIGR02492', NULL, NULL, 6837, 16),
(195175, NULL, 'TIGR03944', NULL, NULL, 'dehyd_SbnB_fam: 2,3-diaminopropionate biosynthesis protein SbnB', NULL, 'TIGR03944', NULL, NULL, 20203, 16),
(195176, NULL, 'TIGR00059', NULL, NULL, 'L17: ribosomal protein bL17', NULL, 'TIGR00059', NULL, NULL, 6838, 16),
(195177, NULL, 'TIGR00885', NULL, NULL, 'fucP: L-fucose:H+ symporter permease', NULL, 'TIGR00885', NULL, NULL, 4365, 16),
(195178, NULL, 'TIGR02252', NULL, NULL, 'DREG-2: HAD hydrolase, REG-2-like, family IA', NULL, 'TIGR02252', NULL, NULL, 11049, 16),
(195179, NULL, 'TIGR02975', NULL, NULL, 'phageshock_pspG: phage shock protein G', NULL, 'TIGR02975', NULL, NULL, 9934, 16),
(195180, NULL, 'TIGR03493', NULL, NULL, 'cellullose_BcsF: celllulose biosynthesis operon protein BcsF/YhjT', NULL, 'TIGR03493', NULL, NULL, 17109, 16),
(195181, NULL, 'TIGR04342', NULL, NULL, 'EXLDI: EXLDI protein', NULL, 'TIGR04342', NULL, NULL, 29291, 16),
(195182, NULL, 'TIGR01854', NULL, NULL, 'lipid_A_lpxH: UDP-2,3-diacylglucosamine diphosphatase', NULL, 'TIGR01854', NULL, NULL, 10711, 16),
(195183, NULL, 'TIGR03704', NULL, NULL, 'PrmC_rel_meth: putative protein-(glutamine-N5) methyltransferase, unknown substrate-specific', NULL, 'TIGR03704', NULL, NULL, 21479, 16);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195184, NULL, 'TIGR04239', NULL, NULL, 'rhombo_GlpG: rhomboid family protease GlpG', NULL, 'TIGR04239', NULL, NULL, 744, 16),
(195185, NULL, 'TIGR01541', NULL, NULL, 'tape_meas_lam_C: phage tail tape measure protein, lambda family', NULL, 'TIGR01541', NULL, NULL, 6597, 16),
(195186, NULL, 'TIGR02149', NULL, NULL, 'glgA_Coryne: glycogen synthase, Corynebacterium family', NULL, 'TIGR02149', NULL, NULL, 14171, 16),
(195187, NULL, 'TIGR02735', NULL, NULL, 'purC_vibrio: phosphoribosylaminoimidazole-succinocarboxamide synthase', NULL, 'TIGR02735', NULL, NULL, 14219, 16),
(195188, NULL, 'TIGR00332', NULL, NULL, 'neela_ferrous: desulfoferrodoxin ferrous iron-binding domain', NULL, 'TIGR00332', NULL, NULL, 3874, 16),
(195189, NULL, 'TIGR00162', NULL, NULL, 'TIGR00162: TIGR00162 family protein', NULL, 'TIGR00162', NULL, NULL, 7100, 16),
(195190, NULL, 'TIGR02422', NULL, NULL, 'protocat_beta: protocatechuate 3,4-dioxygenase, beta subunit', NULL, 'TIGR02422', NULL, NULL, 10498, 16),
(195191, NULL, 'TIGR00645', NULL, NULL, 'HI0507: TIGR00645 family protein', NULL, 'TIGR00645', NULL, NULL, 20191, 16),
(195192, NULL, 'TIGR03622', NULL, NULL, 'urea_t_UrtB_arc: urea ABC transporter, permease protein UrtB', NULL, 'TIGR03622', NULL, NULL, 15467, 16),
(195193, NULL, 'TIGR04020', NULL, NULL, 'seco_metab_LLM: natural product biosynthesis luciferase-like monooxygenase domain', NULL, 'TIGR04020', NULL, NULL, 11661, 16),
(195194, NULL, 'TIGR00967', NULL, NULL, '3a0501s007: preprotein translocase, SecY subunit', NULL, 'TIGR00967', NULL, NULL, 147, 16),
(195195, NULL, 'TIGR01532', NULL, NULL, 'E4PD_g-proteo: erythrose-4-phosphate dehydrogenase', NULL, 'TIGR01532', NULL, NULL, 6880, 16),
(195196, NULL, 'TIGR00475', NULL, NULL, 'selB: selenocysteine-specific translation elongation factor', NULL, 'TIGR00475', NULL, NULL, 1722, 16),
(195197, NULL, 'TIGR03631', NULL, NULL, 'uS13_bact: ribosomal protein uS13', NULL, 'TIGR03631', NULL, NULL, 12286, 16),
(195198, NULL, 'TIGR02565', NULL, NULL, 'cas_Csy2: CRISPR type I-F/YPEST-associated protein Csy2', NULL, 'TIGR02565', NULL, NULL, 11512, 16),
(195199, NULL, 'TIGR03180', NULL, NULL, 'UraD_2: OHCU decarboxylase', NULL, 'TIGR03180', NULL, NULL, 16185, 16),
(195200, NULL, 'TIGR03999', NULL, NULL, 'thiol_BshA: N-acetyl-alpha-D-glucosaminyl L-malate synthase BshA', NULL, 'TIGR03999', NULL, NULL, 9744, 16),
(195201, NULL, 'TIGR01309', NULL, NULL, 'uL30_arch: ribosomal protein uL30', NULL, 'TIGR01309', NULL, NULL, 1447, 16),
(195202, NULL, 'TIGR00701', NULL, NULL, 'TIGR00701: TIGR00701 family protein', NULL, 'TIGR00701', NULL, NULL, 4193, 16),
(195203, NULL, 'TIGR01090', NULL, NULL, 'apt: adenine phosphoribosyltransferase', NULL, 'TIGR01090', NULL, NULL, 4971, 16),
(195204, NULL, 'TIGR03373', NULL, NULL, 'VI_minor_4: type VI secretion-associated protein, BMA_A0400 family', NULL, 'TIGR03373', NULL, NULL, 19168, 16),
(195205, NULL, 'TIGR01725', NULL, NULL, 'phge_HK97_gp10: phage protein, HK97 gp10 family', NULL, 'TIGR01725', NULL, NULL, 6347, 16),
(195206, NULL, 'TIGR03229', NULL, NULL, 'benzo_1_2_benA: benzoate 1,2-dioxygenase, large subunit', NULL, 'TIGR03229', NULL, NULL, 16967, 16),
(195207, NULL, 'TIGR01283', NULL, NULL, 'nifE: nitrogenase MoFe cofactor biosynthesis protein NifE', NULL, 'TIGR01283', NULL, NULL, 1377, 16),
(195208, NULL, 'TIGR00531', NULL, NULL, 'BCCP: acetyl-CoA carboxylase, biotin carboxyl carrier protein', NULL, 'TIGR00531', NULL, NULL, 2152, 16),
(195209, NULL, 'TIGR03815', NULL, NULL, 'CpaE_hom_Actino: helicase/secretion neighborhood CpaE-like protein', NULL, 'TIGR03815', NULL, NULL, 16860, 16),
(195210, NULL, 'TIGR00393', NULL, NULL, 'kpsF: sugar isomerase, KpsF/GutQ family', NULL, 'TIGR00393', NULL, NULL, 5976, 16),
(195211, NULL, 'TIGR01895', NULL, NULL, 'cas_Cas5t: CRISPR-associated protein Cas5, subtype I-B/TNEAP', NULL, 'TIGR01895', NULL, NULL, 13411, 16),
(195212, NULL, 'TIGR01172', NULL, NULL, 'cysE: serine O-acetyltransferase', NULL, 'TIGR01172', NULL, NULL, 6910, 16),
(195213, NULL, 'TIGR00844', NULL, NULL, 'c_cpa1: sodium/hydrogen antiporter', NULL, 'TIGR00844', NULL, NULL, 26669, 16);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195214, NULL, 'TIGR01069', NULL, NULL, 'mutS2: MutS2 family protein', NULL, 'TIGR01069', NULL, NULL, 4540, 16),
(195215, NULL, 'TIGR02864', NULL, NULL, 'spore_sspO: small, acid-soluble spore protein O', NULL, 'TIGR02864', NULL, NULL, 9734, 16),
(195216, NULL, 'TIGR02006', NULL, NULL, 'IscS: cysteine desulfurase IscS', NULL, 'TIGR02006', NULL, NULL, 5253, 16),
(195217, NULL, 'TIGR03745', NULL, NULL, 'conj_TIGR03745: integrating conjugative element membrane protein, PFL_4702 family', NULL, 'TIGR03745', NULL, NULL, 18482, 16),
(195218, NULL, 'TIGR04383', NULL, NULL, 'acidic_w_LPXTA: processed acidic surface protein', NULL, 'TIGR04383', NULL, NULL, 24783, 16),
(195219, NULL, 'TIGR01362', NULL, NULL, 'KDO8P_synth: 3-deoxy-8-phosphooctulonate synthase', NULL, 'TIGR01362', NULL, NULL, 3898, 16),
(195220, NULL, 'TIGR00221', NULL, NULL, 'nagA: N-acetylglucosamine-6-phosphate deacetylase', NULL, 'TIGR00221', NULL, NULL, 2337, 16),
(195221, NULL, 'TIGR03194', NULL, NULL, '4hydrxCoA_A: 4-hydroxybenzoyl-CoA reductase, alpha subunit', NULL, 'TIGR03194', NULL, NULL, 16466, 16),
(195222, NULL, 'TIGR03575', NULL, NULL, 'selen_PSTK_euk: L-seryl-tRNA(Sec) kinase', NULL, 'TIGR03575', NULL, NULL, 18283, 16),
(195223, NULL, 'TIGR00917', NULL, NULL, '2A060601: Niemann-Pick C type protein family', NULL, 'TIGR00917', NULL, NULL, 5345, 16),
(195224, NULL, 'TIGR04409', NULL, NULL, 'LptC_YrbK: LPS export ABC transporter periplasmic protein LptC', NULL, 'TIGR04409', NULL, NULL, 21522, 16),
(195225, NULL, 'TIGR02170', NULL, NULL, 'thyX: thymidylate synthase, flavin-dependent', NULL, 'TIGR02170', NULL, NULL, 1227, 16),
(195226, NULL, 'TIGR01965', NULL, NULL, 'VCBS_repeat: VCBS repeat', NULL, 'TIGR01965', NULL, NULL, 4473, 16),
(195227, NULL, 'TIGR01711', NULL, NULL, 'gspJ: type II secretion system protein J', NULL, 'TIGR01711', NULL, NULL, 5153, 16),
(195228, NULL, 'TIGR01239', NULL, NULL, 'galT_2: galactose-1-phosphate uridylyltransferase', NULL, 'TIGR01239', NULL, NULL, 6883, 16),
(195229, NULL, 'TIGR04512', NULL, NULL, 'Mycopla_NOT_gsn: STREFT protein', NULL, 'TIGR04512', NULL, NULL, 26909, 16),
(195230, NULL, 'TIGR00229', NULL, NULL, 'sensory_box: PAS domain S-box protein', NULL, 'TIGR00229', NULL, NULL, 3851, 16),
(195231, NULL, 'TIGR01795', NULL, NULL, 'CM_mono_cladeE: chorismate mutase', NULL, 'TIGR01795', NULL, NULL, 1743, 16),
(195232, NULL, 'TIGR02878', NULL, NULL, 'spore_ypjB: sporulation protein YpjB', NULL, 'TIGR02878', NULL, NULL, 10556, 16),
(195233, NULL, 'TIGR03672', NULL, NULL, 'rpl4p_arch: 50S ribosomal protein uL4', NULL, 'TIGR03672', NULL, NULL, 15536, 16),
(195234, NULL, 'TIGR02551', NULL, NULL, 'SpaO_YscQ: type III secretion apparatus protein, YscQ/HrcQ family', NULL, 'TIGR02551', NULL, NULL, 11730, 16),
(195235, NULL, 'TIGR02073', NULL, NULL, 'PBP_1c: penicillin-binding protein 1C', NULL, 'TIGR02073', NULL, NULL, 13215, 16),
(195236, NULL, 'TIGR04401', NULL, NULL, 'TAT_Cys_rich: twin-arginine translocation signal/Cys-rich four helix bundle protein', NULL, 'TIGR04401', NULL, NULL, 27507, 16),
(195237, NULL, 'TIGR02721', NULL, NULL, 'ycfN_thiK: thiamine kinase', NULL, 'TIGR02721', NULL, NULL, 14180, 16),
(195238, NULL, 'TIGR00903', NULL, NULL, '2A0129: major facilitator 4 family protein', NULL, 'TIGR00903', NULL, NULL, 4284, 16),
(195239, NULL, 'TIGR01868', NULL, NULL, 'casD_Cas5e: CRISPR-associated protein Cas5/CasD, subtype I-E/ECOLI', NULL, 'TIGR01868', NULL, NULL, 10922, 16),
(195240, NULL, 'TIGR03686', NULL, NULL, 'pupylate_PafA: Pup--protein ligase', NULL, 'TIGR03686', NULL, NULL, 15965, 16),
(195241, NULL, 'TIGR00824', NULL, NULL, 'EIIA-man: PTS system, mannose/fructose/sorbose family, IIA component', NULL, 'TIGR00824', NULL, NULL, 12231, 16),
(195242, NULL, 'TIGR01160', NULL, NULL, 'SUI1_MOF2: translation initiation factor SUI1', NULL, 'TIGR01160', NULL, NULL, 6802, 16),
(195243, NULL, 'TIGR02243', NULL, NULL, 'TIGR02243: putative baseplate assembly protein', NULL, 'TIGR02243', NULL, NULL, 11645, 16),
(195244, NULL, 'TIGR02662', NULL, NULL, 'dinitro_DRAG: ADP-ribosyl-[dinitrogen reductase] hydrolase', NULL, 'TIGR02662', NULL, NULL, 10278, 16);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195245, NULL, 'TIGR00654', NULL, NULL, 'PhzF_family: phenazine biosynthesis protein, PhzF family', NULL, 'TIGR00654', NULL, NULL, 2216, 16),
(195246, NULL, 'TIGR00112', NULL, NULL, 'proC: pyrroline-5-carboxylate reductase', NULL, 'TIGR00112', NULL, NULL, 546, 16),
(195247, NULL, 'TIGR02785', NULL, NULL, 'addA_Gpos: helicase-exonuclease AddAB, AddA subunit', NULL, 'TIGR02785', NULL, NULL, 14187, 16),
(195248, NULL, 'TIGR04272', NULL, NULL, 'cxxc_cxxc_Mbark: CxxC-x17-CxxC domain', NULL, 'TIGR04272', NULL, NULL, 26415, 16),
(195249, NULL, 'TIGR02202', NULL, NULL, 'Ehrlichia_rpt: Ehrlichia chaffeensis immunodominant surface protein repeat', NULL, 'TIGR02202', NULL, NULL, 11963, 16),
(195250, NULL, 'TIGR02925', NULL, NULL, 'cis_trans_EpsD: peptidyl-prolyl cis-trans isomerase, EpsD family', NULL, 'TIGR02925', NULL, NULL, 8731, 16),
(195251, NULL, 'TIGR03754', NULL, NULL, 'conj_TOL_TraD: conjugative coupling factor TraD, PFGI-1 class', NULL, 'TIGR03754', NULL, NULL, 16673, 16),
(195252, NULL, 'TIGR04081', NULL, NULL, 'selen_ocin: radical SAM modification target peptide, selenobiotic family', NULL, 'TIGR04081', NULL, NULL, 11189, 16),
(195253, NULL, 'TIGR03636', NULL, NULL, 'uL23_arch: ribosomal protein uL23', NULL, 'TIGR03636', NULL, NULL, 17976, 16),
(195254, NULL, 'TIGR00522', NULL, NULL, 'dph5: diphthine synthase', NULL, 'TIGR00522', NULL, NULL, 786, 16),
(195255, NULL, 'TIGR01248', NULL, NULL, 'drrC: daunorubicin resistance protein C', NULL, 'TIGR01248', NULL, NULL, 319, 16),
(195256, NULL, 'TIGR03338', NULL, NULL, 'phnR_burk: phosphonate utilization associated transcriptional regulator', NULL, 'TIGR03338', NULL, NULL, 19000, 16),
(195257, NULL, 'TIGR04442', NULL, NULL, 'TIGR04442: TIGR04442 family protein', NULL, 'TIGR04442', NULL, NULL, 28382, 16),
(195258, NULL, 'TIGR03010', NULL, NULL, 'sulf_tusC_dsrF: sulfur relay protein TusC/DsrF', NULL, 'TIGR03010', NULL, NULL, 21405, 16),
(195259, NULL, 'TIGR02120', NULL, NULL, 'GspF: type II secretion system protein F', NULL, 'TIGR02120', NULL, NULL, 14289, 16),
(195260, NULL, 'TIGR02497', NULL, NULL, 'yscI_hrpB_dom: type III secretion apparatus protein, YscI/HrpB, C-terminal domain', NULL, 'TIGR02497', NULL, NULL, 13421, 16),
(195261, NULL, 'TIGR04210', NULL, NULL, 'bunya_NSm: bunyavirus nonstructural protein NSm', NULL, 'TIGR04210', NULL, NULL, 21599, 16),
(195262, NULL, 'TIGR00279', NULL, NULL, 'uL16_euk_arch: ribosomal protein uL16', NULL, 'TIGR00279', NULL, NULL, 1488, 16),
(195263, NULL, 'TIGR02755', NULL, NULL, 'TraX_Ftype: type-F conjugative transfer system pilin acetylase TraX', NULL, 'TIGR02755', NULL, NULL, 13872, 16),
(195264, NULL, 'TIGR03393', NULL, NULL, 'indolpyr_decarb: indolepyruvate decarboxylase', NULL, 'TIGR03393', NULL, NULL, 19112, 16),
(195265, NULL, 'TIGR01600', NULL, NULL, 'phage_tail_L: phage minor tail protein L', NULL, 'TIGR01600', NULL, NULL, 6166, 16),
(195266, NULL, 'TIGR01977', NULL, NULL, 'am_tr_V_EF2568: cysteine desulfurase family protein', NULL, 'TIGR01977', NULL, NULL, 2309, 16),
(195267, NULL, 'TIGR02592', NULL, NULL, 'cas_Cas5h: CRISPR-associated protein Cas5, subtype I-B/HMARI', NULL, 'TIGR02592', NULL, NULL, 9211, 16),
(195268, NULL, 'TIGR02313', NULL, NULL, 'HpaI-NOT-DapA: 2,4-dihydroxyhept-2-ene-1,7-dioic acid aldolase', NULL, 'TIGR02313', NULL, NULL, 11685, 16),
(195269, NULL, 'TIGR03645', NULL, NULL, 'glyox_marine: lactoylglutathione lyase family protein', NULL, 'TIGR03645', NULL, NULL, 18429, 16),
(195270, NULL, 'TIGR00400', NULL, NULL, 'mgtE: magnesium transporter', NULL, 'TIGR00400', NULL, NULL, 2173, 16),
(195271, NULL, 'TIGR03563', NULL, NULL, 'perox_SACOL1771: peroxiredoxin, SACOL1771 subfamily', NULL, 'TIGR03563', NULL, NULL, 18326, 16),
(195272, NULL, 'TIGR01342', NULL, NULL, 'acon_putative: putative aconitate hydratase', NULL, 'TIGR01342', NULL, NULL, 3934, 16),
(195273, NULL, 'TIGR01555', NULL, NULL, 'phge_rel_HI1409: phage-associated protein, HI1409 family', NULL, 'TIGR01555', NULL, NULL, 6949, 16),
(195274, NULL, 'TIGR00695', NULL, NULL, 'uxuA: mannonate dehydratase', NULL, 'TIGR00695', NULL, NULL, 2548, 16);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195275, NULL, 'TIGR01432', NULL, NULL, 'QOXA: cytochrome aa3 quinol oxidase, subunit II', NULL, 'TIGR01432', NULL, NULL, 4619, 16),
(195276, NULL, 'TIGR02934', NULL, NULL, 'nifT_nitrog: probable nitrogen fixation protein FixT', NULL, 'TIGR02934', NULL, NULL, 12319, 16),
(195277, NULL, 'TIGR03452', NULL, NULL, 'mycothione_red: mycothione reductase', NULL, 'TIGR03452', NULL, NULL, 19763, 16),
(195278, NULL, 'TIGR02483', NULL, NULL, 'PFK_mixed: phosphofructokinase', NULL, 'TIGR02483', NULL, NULL, 12919, 16),
(195279, NULL, 'TIGR01139', NULL, NULL, 'cysK: cysteine synthase A', NULL, 'TIGR01139', NULL, NULL, 6628, 16),
(195280, NULL, 'TIGR03159', NULL, NULL, 'cas_Csc1: CRISPR type I-D/CYANO-associated protein Csc1', NULL, 'TIGR03159', NULL, NULL, 16297, 16),
(195281, NULL, 'TIGR04090', NULL, NULL, 'exp_by_SipW_IV: alternate signal-mediated exported protein, CPF_0494 family', NULL, 'TIGR04090', NULL, NULL, 16350, 16),
(195282, NULL, 'TIGR03985', NULL, NULL, 'TIGR03985: CRISPR-associated protein, TIGR03985 family', NULL, 'TIGR03985', NULL, NULL, 7922, 16),
(195283, NULL, 'TIGR00584', NULL, NULL, 'mug: mismatch-specific thymine-DNA glycosylate (mug)', NULL, 'TIGR00584', NULL, NULL, 3681, 16),
(195284, NULL, 'TIGR01963', NULL, NULL, 'PHB_DH: 3-hydroxybutyrate dehydrogenase', NULL, 'TIGR01963', NULL, NULL, 10409, 16),
(195285, NULL, 'TIGR04163', NULL, NULL, 'rSAM_cobopep: peptide-modifying radical SAM enzyme CbpB', NULL, 'TIGR04163', NULL, NULL, 21922, 16),
(195286, NULL, 'TIGR01505', NULL, NULL, 'tartro_sem_red: 2-hydroxy-3-oxopropionate reductase', NULL, 'TIGR01505', NULL, NULL, 5707, 16),
(195287, NULL, 'TIGR03801', NULL, NULL, 'asp_4_decarbox: aspartate 4-decarboxylase', NULL, 'TIGR03801', NULL, NULL, 16672, 16),
(195288, NULL, 'TIGR01418', NULL, NULL, 'PEP_synth: phosphoenolpyruvate synthase', NULL, 'TIGR01418', NULL, NULL, 4906, 16),
(195289, NULL, 'TIGR00586', NULL, NULL, 'mutt: mutator mutT protein', NULL, 'TIGR00586', NULL, NULL, 6150, 16),
(195290, NULL, 'TIGR02948', NULL, NULL, 'SigW_bacill: RNA polymerase sigma-W factor', NULL, 'TIGR02948', NULL, NULL, 9122, 16),
(195291, NULL, 'TIGR01392', NULL, NULL, 'homoserO_Ac_trn: homoserine O-acetyltransferase', NULL, 'TIGR01392', NULL, NULL, 554, 16),
(195292, NULL, 'TIGR04026', NULL, NULL, 'PPOX_FMN_cyano: PPOX class probable FMN-dependent enzyme, alr4036 family', NULL, 'TIGR04026', NULL, NULL, 16388, 16),
(195293, NULL, 'TIGR03577', NULL, NULL, 'EF_0830: conserved hypothetical protein EF_0830/AHA_3911', NULL, 'TIGR03577', NULL, NULL, 18252, 16),
(195294, NULL, 'TIGR02129', NULL, NULL, 'hisA_euk: phosphoribosylformimino-5-aminoimidazole carboxamide ribotide isomerase', NULL, 'TIGR02129', NULL, NULL, 14405, 16),
(195295, NULL, 'TIGR01602', NULL, NULL, 'PY-rept-46: Plasmodium yoelii repeat of length 46', NULL, 'TIGR01602', NULL, NULL, 6134, 16),
(195296, NULL, 'TIGR03924', NULL, NULL, 'T7SS_EccC_a: type VII secretion protein EccCa', NULL, 'TIGR03924', NULL, NULL, 17074, 16),
(195297, NULL, 'TIGR04260', NULL, NULL, 'Cyano_gly_rpt: rSAM-associated Gly-rich repeat protein', NULL, 'TIGR04260', NULL, NULL, 26275, 16),
(195298, NULL, 'TIGR02311', NULL, NULL, 'HpaI: 2,4-dihydroxyhept-2-ene-1,7-dioic acid aldolase', NULL, 'TIGR02311', NULL, NULL, 11598, 16),
(195299, NULL, 'TIGR03813', NULL, NULL, 'put_Glu_GABA_T: putative glutamate/gamma-aminobutyrate antiporter', NULL, 'TIGR03813', NULL, NULL, 16619, 16),
(195300, NULL, 'TIGR04451', NULL, NULL, 'lanti_SCO0268: lantipeptide, SCO0268 family', NULL, 'TIGR04451', NULL, NULL, 28369, 16),
(195301, NULL, 'TIGR03466', NULL, NULL, 'HpnA: hopanoid-associated sugar epimerase', NULL, 'TIGR03466', NULL, NULL, 20265, 16),
(195302, NULL, 'TIGR00461', NULL, NULL, 'gcvP: glycine dehydrogenase', NULL, 'TIGR00461', NULL, NULL, 5223, 16),
(195303, NULL, 'TIGR04333', NULL, NULL, 'Clo7Bot_mod_Cys: Cys-rich peptide, Clo7bot family', NULL, 'TIGR04333', NULL, NULL, 29218, 16),
(195304, NULL, 'TIGR01786', NULL, NULL, 'TonB-hemlactrns: TonB-dependent hemoglobin/transferrin/lactoferrin receptor family protein', NULL, 'TIGR01786', NULL, NULL, 1607, 16);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195305, NULL, 'TIGR00631', NULL, NULL, 'uvrb: excinuclease ABC subunit B', NULL, 'TIGR00631', NULL, NULL, 4390, 16),
(195306, NULL, 'TIGR04274', NULL, NULL, 'hypoxanDNAglyco: DNA-deoxyinosine glycosylase', NULL, 'TIGR04274', NULL, NULL, 24036, 16),
(195307, NULL, 'TIGR03329', NULL, NULL, 'Phn_aa_oxid: putative aminophosphonate oxidoreductase', NULL, 'TIGR03329', NULL, NULL, 18334, 16),
(195308, NULL, 'TIGR01820', NULL, NULL, 'TrpE-arch: anthranilate synthase component I', NULL, 'TIGR01820', NULL, NULL, 10707, 16),
(195309, NULL, 'TIGR00905', NULL, NULL, '2A0302: transporter, basic amino acid/polyamine antiporter (APA) family', NULL, 'TIGR00905', NULL, NULL, 5232, 16),
(195310, NULL, 'TIGR03910', NULL, NULL, 'pyrrolys_PylB: pyrrolysine biosynthesis radical SAM protein', NULL, 'TIGR03910', NULL, NULL, 8202, 16),
(195311, NULL, 'TIGR03030', NULL, NULL, 'CelA: cellulose synthase catalytic subunit (UDP-forming)', NULL, 'TIGR03030', NULL, NULL, 6179, 16),
(195312, NULL, 'TIGR00025', NULL, NULL, 'Mtu_efflux: ABC transporter efflux protein, DrrB family', NULL, 'TIGR00025', NULL, NULL, 5515, 16),
(195313, NULL, 'TIGR03343', NULL, NULL, 'biphenyl_bphD: 2-hydroxy-6-oxo-6-phenylhexa-2,4-dienoate hydrolase', NULL, 'TIGR03343', NULL, NULL, 18854, 16),
(195314, NULL, 'TIGR03513', NULL, NULL, 'GldL_gliding: gliding motility-associated protein GldL', NULL, 'TIGR03513', NULL, NULL, 18279, 16),
(195315, NULL, 'TIGR00681', NULL, NULL, 'kdpC: K+-transporting ATPase, C subunit', NULL, 'TIGR00681', NULL, NULL, 3176, 16),
(195316, NULL, 'TIGR04224', NULL, NULL, 'ser_adhes_Nterm: serine-rich repeat adhesion glycoprotein', NULL, 'TIGR04224', NULL, NULL, 27159, 16),
(195317, NULL, 'TIGR01487', NULL, NULL, 'Pglycolate_arch: phosphoglycolate phosphatase, TA0175-type', NULL, 'TIGR01487', NULL, NULL, NULL, 16),
(195318, NULL, 'TIGR00735', NULL, NULL, 'hisF: imidazoleglycerol phosphate synthase, cyclase subunit', NULL, 'TIGR00735', NULL, NULL, 2566, 16),
(195319, NULL, 'TIGR03379', NULL, NULL, 'glycerol3P_GlpC: glycerol-3-phosphate dehydrogenase, anaerobic, C subunit', NULL, 'TIGR03379', NULL, NULL, 19220, 16),
(195320, NULL, 'TIGR03085', NULL, NULL, 'TIGR03085: TIGR03085 family protein', NULL, 'TIGR03085', NULL, NULL, 15110, 16),
(195321, NULL, 'TIGR01110', NULL, NULL, 'mdcA: malonate decarboxylase, alpha subunit', NULL, 'TIGR01110', NULL, NULL, 4870, 16),
(195322, NULL, 'TIGR01929', NULL, NULL, 'menB: naphthoate synthase', NULL, 'TIGR01929', NULL, NULL, 4455, 16),
(195323, NULL, 'TIGR02018', NULL, NULL, 'his_ut_repres: histidine utilization repressor', NULL, 'TIGR02018', NULL, NULL, 5286, 16),
(195324, NULL, 'TIGR04348', NULL, NULL, 'TIGR04348: putative glycosyltransferase, TIGR04348 family', NULL, 'TIGR04348', NULL, NULL, 24143, 16),
(195325, NULL, 'TIGR02258', NULL, NULL, '2_5_ligase: 2''-5'' RNA ligase', NULL, 'TIGR02258', NULL, NULL, 2780, 16),
(195326, NULL, 'TIGR02660', NULL, NULL, 'nifV_homocitr: homocitrate synthase', NULL, 'TIGR02660', NULL, NULL, 10434, 16),
(195327, NULL, 'TIGR04108', NULL, NULL, 'HutX: putative heme utilization carrier protein HutX', NULL, 'TIGR04108', NULL, NULL, 9982, 16),
(195328, NULL, 'TIGR01902', NULL, NULL, 'dapE-lys-deAc: N-acetyl-ornithine/N-acetyl-lysine deacetylase', NULL, 'TIGR01902', NULL, NULL, 4336, 16),
(195329, NULL, 'TIGR01410', NULL, NULL, 'tatB: twin arginine-targeting protein translocase TatB', NULL, 'TIGR01410', NULL, NULL, 16772, 16),
(195330, NULL, 'TIGR02696', NULL, NULL, 'pppGpp_PNP: guanosine pentaphosphate synthetase I/polyribonucleotide nucleotidyltransferase', NULL, 'TIGR02696', NULL, NULL, 13738, 16),
(195331, NULL, 'TIGR02844', NULL, NULL, 'spore_III_D: sporulation transcriptional regulator SpoIIID', NULL, 'TIGR02844', NULL, NULL, 9447, 16),
(195332, NULL, 'TIGR03740', NULL, NULL, 'galliderm_ABC: lantibiotic protection ABC transporter, ATP-binding subunit', NULL, 'TIGR03740', NULL, NULL, 16898, 16),
(195333, NULL, 'TIGR01650', NULL, NULL, 'PD_CobS: cobaltochelatase, CobS subunit', NULL, 'TIGR01650', NULL, NULL, 152, 16),
(195334, NULL, 'TIGR03500', NULL, NULL, 'FliO_TIGR: flagellar biosynthetic protein FliO', NULL, 'TIGR03500', NULL, NULL, 14531, 16);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195335, NULL, 'TIGR04492', NULL, NULL, 'VioB: iminophenyl-pyruvate dimer synthase VioB', NULL, 'TIGR04492', NULL, NULL, 22147, 16),
(195336, NULL, 'TIGR03835', NULL, NULL, 'termin_org_DnaJ: terminal organelle assembly protein TopJ', NULL, 'TIGR03835', NULL, NULL, 16174, 16),
(195337, NULL, 'TIGR00338', NULL, NULL, 'serB: phosphoserine phosphatase SerB', NULL, 'TIGR00338', NULL, NULL, 7007, 16),
(195338, NULL, 'TIGR01745', NULL, NULL, 'asd_gamma: aspartate-semialdehyde dehydrogenase', NULL, 'TIGR01745', NULL, NULL, 11381, 16),
(195339, NULL, 'TIGR02061', NULL, NULL, 'aprA: adenylylsulfate reductase, alpha subunit', NULL, 'TIGR02061', NULL, NULL, 13157, 16),
(195340, NULL, 'TIGR00168', NULL, NULL, 'infC: translation initiation factor IF-3', NULL, 'TIGR00168', NULL, NULL, 462, 16),
(195341, NULL, 'TIGR04518', NULL, NULL, 'ECF_S_folT_fam: ECF transporter S component, folate family', NULL, 'TIGR04518', NULL, NULL, 26829, 16),
(195342, NULL, 'TIGR00053', NULL, NULL, 'TIGR00053: addiction module toxin component, YafQ family', NULL, 'TIGR00053', NULL, NULL, 5654, 16),
(195343, NULL, 'TIGR02503', NULL, NULL, 'type_III_SycN: type III secretion chaperone SycN', NULL, 'TIGR02503', NULL, NULL, 13453, 16),
(195344, NULL, 'TIGR04076', NULL, NULL, 'TIGR04076: TIGR04076 family protein', NULL, 'TIGR04076', NULL, NULL, 14962, 16),
(195345, NULL, 'TIGR02428', NULL, NULL, 'pcaJ_scoB_fam: 3-oxoacid CoA-transferase, B subunit', NULL, 'TIGR02428', NULL, NULL, 10040, 16),
(195346, NULL, 'TIGR02674', NULL, NULL, 'cas_cyan_RAMP_2: CRISPR-associated RAMP protein, Csx10 family', NULL, 'TIGR02674', NULL, NULL, 10190, 16),
(195347, NULL, 'TIGR00413', NULL, NULL, 'rlpA: rare lipoprotein A', NULL, 'TIGR00413', NULL, NULL, 8312, 16),
(195348, NULL, 'TIGR01999', NULL, NULL, 'iscU: FeS cluster assembly scaffold IscU', NULL, 'TIGR01999', NULL, NULL, 10678, 16),
(195349, NULL, 'TIGR03849', NULL, NULL, 'arch_ComA: phosphosulfolactate synthase', NULL, 'TIGR03849', NULL, NULL, 16157, 16),
(195350, NULL, 'TIGR04040', NULL, NULL, 'glycyl_YjjI: glycine radical enzyme, YjjI family', NULL, 'TIGR04040', NULL, NULL, 17065, 16),
(195351, NULL, 'TIGR00223', NULL, NULL, 'panD: aspartate 1-decarboxylase', NULL, 'TIGR00223', NULL, NULL, 1715, 16),
(195352, NULL, 'TIGR00994', NULL, NULL, '3a0901s05TIC20: chloroplast protein import component, Tic20 family', NULL, 'TIGR00994', NULL, NULL, 3820, 16),
(195353, NULL, 'TIGR01364', NULL, NULL, 'serC_1: phosphoserine transaminase', NULL, 'TIGR01364', NULL, NULL, 15760, 16),
(195354, NULL, 'TIGR02866', NULL, NULL, 'CoxB: cytochrome c oxidase, subunit II', NULL, 'TIGR02866', NULL, NULL, 10682, 16),
(195355, NULL, 'TIGR03541', NULL, NULL, 'reg_near_HchA: LuxR family transcriptional regulatory, chaperone HchA-associated', NULL, 'TIGR03541', NULL, NULL, 18436, 16),
(195356, NULL, 'TIGR03863', NULL, NULL, 'PQQ_ABC_bind: ABC transporter, substrate binding protein, PQQ-dependent alcohol dehydrogenase system', NULL, 'TIGR03863', NULL, NULL, 16722, 16),
(195357, NULL, 'TIGR03071', NULL, NULL, 'couple_hipA: HipA N-terminal domain', NULL, 'TIGR03071', NULL, NULL, 21824, 16),
(195358, NULL, 'TIGR01035', NULL, NULL, 'hemA: glutamyl-tRNA reductase', NULL, 'TIGR01035', NULL, NULL, 303, 16),
(195359, NULL, 'TIGR00858', NULL, NULL, 'bioF: 8-amino-7-oxononanoate synthase', NULL, 'TIGR00858', NULL, NULL, 3651, 16),
(195360, NULL, 'TIGR03200', NULL, NULL, 'dearomat_oah: 6-oxocyclohex-1-ene-1-carbonyl-CoA hydrolase', NULL, 'TIGR03200', NULL, NULL, 16328, 16),
(195361, NULL, 'TIGR01049', NULL, NULL, 'rpsJ_bact: ribosomal protein uS10', NULL, 'TIGR01049', NULL, NULL, 4233, 16),
(195362, NULL, 'TIGR04054', NULL, NULL, 'rSAM_NirJ1: putative heme d1 biosynthesis radical SAM protein NirJ1', NULL, 'TIGR04054', NULL, NULL, 8309, 16),
(195363, NULL, 'TIGR04389', NULL, NULL, 'Lepto_lipo_1: lipoprotein, tandem type', NULL, 'TIGR04389', NULL, NULL, 22504, 16),
(195364, NULL, 'TIGR04546', NULL, NULL, 'rSAM_ahbC_deAc: 12,18-didecarboxysiroheme deacetylase', NULL, 'TIGR04546', NULL, NULL, 26716, 16),
(195365, NULL, 'TIGR03044', NULL, NULL, 'PS_II_psb27: photosystem II protein Psb27', NULL, 'TIGR03044', NULL, NULL, 21388, 16);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195366, NULL, 'TIGR01691', NULL, NULL, 'enolase-ppase: 2,3-diketo-5-methylthio-1-phosphopentane phosphatase', NULL, 'TIGR01691', NULL, NULL, 10068, 16),
(195367, NULL, 'TIGR02361', NULL, NULL, 'dak_ATP: dihydroxyacetone kinase', NULL, 'TIGR02361', NULL, NULL, 11945, 16),
(195368, NULL, 'TIGR00039', NULL, NULL, '6PTHBS: 6-pyruvoyl tetrahydropterin synthase/QueD family protein', NULL, 'TIGR00039', NULL, NULL, 453, 16),
(195369, NULL, 'TIGR02531', NULL, NULL, 'yecD_yerC: TrpR homolog YerC/YecD', NULL, 'TIGR02531', NULL, NULL, 18797, 16),
(195370, NULL, 'TIGR00536', NULL, NULL, 'hemK_fam: methyltransferase, HemK family', NULL, 'TIGR00536', NULL, NULL, 572, 16),
(195371, NULL, 'TIGR03876', NULL, NULL, 'cas_csaX: CRISPR type I-A/APERN-associated protein CsaX', NULL, 'TIGR03876', NULL, NULL, 21303, 16),
(195372, NULL, 'TIGR02374', NULL, NULL, 'nitri_red_nirB: nitrite reductase [NAD(P)H], large subunit', NULL, 'TIGR02374', NULL, NULL, 9427, 16),
(195373, NULL, 'TIGR03371', NULL, NULL, 'cellulose_yhjQ: cellulose synthase operon protein YhjQ', NULL, 'TIGR03371', NULL, NULL, 19025, 16),
(195374, NULL, 'TIGR00713', NULL, NULL, 'hemL: glutamate-1-semialdehyde-2,1-aminomutase', NULL, 'TIGR00713', NULL, NULL, 2932, 16),
(195375, NULL, 'TIGR03214', NULL, NULL, 'ura-cupin: putative allantoin catabolism protein', NULL, 'TIGR03214', NULL, NULL, 16733, 16),
(195376, NULL, 'TIGR01357', NULL, NULL, 'aroB: 3-dehydroquinate synthase', NULL, 'TIGR01357', NULL, NULL, 17623, 16),
(195377, NULL, 'TIGR00366', NULL, NULL, 'TIGR00366: TIGR00366 family protein', NULL, 'TIGR00366', NULL, NULL, 10097, 16),
(195378, NULL, 'TIGR02184', NULL, NULL, 'Myco_arth_vir_N: Mycoplasma virulence family signal region', NULL, 'TIGR02184', NULL, NULL, 11795, 16),
(195379, NULL, 'TIGR00406', NULL, NULL, 'prmA: ribosomal protein L11 methyltransferase', NULL, 'TIGR00406', NULL, NULL, 1951, 16),
(195380, NULL, 'TIGR02442', NULL, NULL, 'Cob-chelat-sub: cobaltochelatase subunit', NULL, 'TIGR02442', NULL, NULL, 12748, 16),
(195381, NULL, 'TIGR01664', NULL, NULL, 'DNA-3''-Pase: DNA 3''-phosphatase', NULL, 'TIGR01664', NULL, NULL, 57, 16),
(195382, NULL, 'TIGR03597', NULL, NULL, 'GTPase_YqeH: ribosome biogenesis GTPase YqeH', NULL, 'TIGR03597', NULL, NULL, 12245, 16),
(195383, NULL, 'TIGR04532', NULL, NULL, 'PT_fungal_PKS: polyketide product template domain', NULL, 'TIGR04532', NULL, NULL, 24610, 16),
(195384, NULL, 'TIGR03153', NULL, NULL, 'cytochr_NrfH: cytochrome c nitrite reductase, small subunit', NULL, 'TIGR03153', NULL, NULL, 16261, 16),
(195385, NULL, 'TIGR04101', NULL, NULL, 'CCGSCS: CCGSCS motif protein', NULL, 'TIGR04101', NULL, NULL, 24213, 16),
(195386, NULL, 'TIGR04478', NULL, NULL, 'rSAM_YfkAB: radical SAM/CxCxxxxC motif protein YfkAB', NULL, 'TIGR04478', NULL, NULL, 26757, 16),
(195387, NULL, 'TIGR01063', NULL, NULL, 'gyrA: DNA gyrase, A subunit', NULL, 'TIGR01063', NULL, NULL, NULL, 16),
(195388, NULL, 'TIGR01806', NULL, NULL, 'CM_mono2: putative chorismate mutase', NULL, 'TIGR01806', NULL, NULL, 671, 16),
(195389, NULL, 'TIGR03207', NULL, NULL, 'cyc_hxne_CoA_dh: cyclohexanecarboxyl-CoA dehydrogenase', NULL, 'TIGR03207', NULL, NULL, 16180, 16),
(195390, NULL, 'TIGR01780', NULL, NULL, 'SSADH: succinate-semialdehyde dehydrogenase', NULL, 'TIGR01780', NULL, NULL, 2087, 16),
(195391, NULL, 'TIGR01233', NULL, NULL, 'lacG: 6-phospho-beta-galactosidase', NULL, 'TIGR01233', NULL, NULL, 25, 16),
(195392, NULL, 'TIGR01834', NULL, NULL, 'PHA_synth_III_E: poly(R)-hydroxyalkanoic acid synthase, class III, PhaE subunit', NULL, 'TIGR01834', NULL, NULL, 10914, 16),
(195393, NULL, 'TIGR02989', NULL, NULL, 'Sig-70_gvs1: RNA polymerase sigma-70 factor, Rhodopirellula/Verrucomicrobium family', NULL, 'TIGR02989', NULL, NULL, 10373, 16),
(195394, NULL, 'TIGR03323', NULL, NULL, 'alt_F1F0_F1_gam: alternate F1F0 ATPase, F1 subunit gamma', NULL, 'TIGR03323', NULL, NULL, 18027, 16),
(195395, NULL, 'TIGR02612', NULL, NULL, 'mob_myst_A: mobile mystery protein A', NULL, 'TIGR02612', NULL, NULL, 9466, 16),
(195396, NULL, 'TIGR02388', NULL, NULL, 'rpoC2_cyan: DNA-directed RNA polymerase, beta'''' subunit', NULL, 'TIGR02388', NULL, NULL, 9821, 16);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195397, NULL, 'TIGR00899', NULL, NULL, '2A0120: sugar efflux transporter', NULL, 'TIGR00899', NULL, NULL, 5343, 16),
(195398, NULL, 'TIGR01117', NULL, NULL, 'mmdA: methylmalonyl-CoA decarboxylase alpha subunit', NULL, 'TIGR01117', NULL, NULL, 5544, 16),
(195399, NULL, 'TIGR00427', NULL, NULL, 'TIGR00427: membrane protein, MarC family', NULL, 'TIGR00427', NULL, NULL, 4859, 16),
(195400, NULL, 'TIGR01008', NULL, NULL, 'uS3_euk_arch: ribosomal protein uS3', NULL, 'TIGR01008', NULL, NULL, 3676, 16),
(195401, NULL, 'TIGR03432', NULL, NULL, 'yjhG_yagF: putative dehydratase, YjhG/YagF family', NULL, 'TIGR03432', NULL, NULL, 19139, 16),
(195402, NULL, 'TIGR02517', NULL, NULL, 'type_II_gspD: type II secretion system protein D', NULL, 'TIGR02517', NULL, NULL, 18760, 16),
(195403, NULL, 'TIGR02912', NULL, NULL, 'sulfite_red_C: sulfite reductase, subunit C', NULL, 'TIGR02912', NULL, NULL, 11794, 16),
(195404, NULL, 'TIGR02470', NULL, NULL, 'sucr_synth: sucrose synthase', NULL, 'TIGR02470', NULL, NULL, 12576, 16),
(195405, NULL, 'TIGR03078', NULL, NULL, 'CH4_NH3mon_ox_C: methane monooxygenase/ammonia monooxygenase, subunit C', NULL, 'TIGR03078', NULL, NULL, 5914, 16),
(195406, NULL, 'TIGR00380', NULL, NULL, 'cobD: cobalamin biosynthesis protein CobD', NULL, 'TIGR00380', NULL, NULL, 1457, 16),
(195407, NULL, 'TIGR02333', NULL, NULL, '2met_isocit_dHY: 2-methylisocitrate dehydratase, Fe/S-dependent', NULL, 'TIGR02333', NULL, NULL, 11885, 16),
(195408, NULL, 'TIGR00148', NULL, NULL, 'TIGR00148: decarboxylase, UbiD family', NULL, 'TIGR00148', NULL, NULL, 5418, 16),
(195409, NULL, 'TIGR01398', NULL, NULL, 'FlhA: flagellar biosynthesis protein FlhA', NULL, 'TIGR01398', NULL, NULL, 4658, 16),
(195410, NULL, 'TIGR03488', NULL, NULL, 'cas_Cas5p: CRISPR-associated protein Cas5, subtype PGING', NULL, 'TIGR03488', NULL, NULL, 18038, 16),
(195411, NULL, 'TIGR03016', NULL, NULL, 'pepcterm_hypo_1: uncharacterized protein, PEP-CTERM system associated', NULL, 'TIGR03016', NULL, NULL, 21359, 16),
(195412, NULL, 'TIGR01473', NULL, NULL, 'cyoE_ctaB: protoheme IX farnesyltransferase', NULL, 'TIGR01473', NULL, NULL, 5861, 16),
(195413, NULL, 'TIGR01915', NULL, NULL, 'npdG: NADPH-dependent F420 reductase', NULL, 'TIGR01915', NULL, NULL, 4223, 16),
(195414, NULL, 'TIGR00243', NULL, NULL, 'Dxr: 1-deoxy-D-xylulose 5-phosphate reductoisomerase', NULL, 'TIGR00243', NULL, NULL, 3180, 16),
(195415, NULL, 'TIGR00604', NULL, NULL, 'rad3: DNA repair helicase (rad3)', NULL, 'TIGR00604', NULL, NULL, 12697, 16),
(195416, NULL, 'TIGR02640', NULL, NULL, 'gas_vesic_GvpN: gas vesicle protein GvpN', NULL, 'TIGR02640', NULL, NULL, 9056, 16),
(195417, NULL, 'TIGR00257', NULL, NULL, 'IMPACT_YIGZ: uncharacterized protein, YigZ family', NULL, 'TIGR00257', NULL, NULL, 12621, 16),
(195418, NULL, 'TIGR01759', NULL, NULL, 'MalateDH-SF1: malate dehydrogenase', NULL, 'TIGR01759', NULL, NULL, 1884, 16),
(195419, NULL, 'TIGR02293', NULL, NULL, 'TAS_TIGR02293: putative toxin-antitoxin system antitoxin component, TIGR02293 family', NULL, 'TIGR02293', NULL, NULL, 13109, 16),
(195420, NULL, 'TIGR01001', NULL, NULL, 'metA: homoserine O-succinyltransferase', NULL, 'TIGR01001', NULL, NULL, 3999, 16),
(195421, NULL, 'TIGR03795', NULL, NULL, 'RNP_Burkhold: ribosomal natural product, two-chain TOMM family', NULL, 'TIGR03795', NULL, NULL, 15804, 16),
(195422, NULL, 'TIGR01773', NULL, NULL, 'GABAperm: GABA permease', NULL, 'TIGR01773', NULL, NULL, 8241, 16),
(195423, NULL, 'TIGR03262', NULL, NULL, 'PhnU2: putative 2-aminoethylphosphonate ABC transporter, permease protein', NULL, 'TIGR03262', NULL, NULL, 17418, 16),
(195424, NULL, 'TIGR01582', NULL, NULL, 'FDH-beta: formate dehydrogenase, beta subunit', NULL, 'TIGR01582', NULL, NULL, 6170, 16),
(195425, NULL, 'TIGR00134', NULL, NULL, 'gatE_arch: glutamyl-tRNA(Gln) amidotransferase, subunit E', NULL, 'TIGR00134', NULL, NULL, 7289, 16),
(195426, NULL, 'TIGR01636', NULL, NULL, 'phage_rinA: phage transcriptional regulator, RinA family', NULL, 'TIGR01636', NULL, NULL, 243, 16),
(195427, NULL, 'TIGR01289', NULL, NULL, 'LPOR: light-dependent protochlorophyllide reductase', NULL, 'TIGR01289', NULL, NULL, 1339, 16);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195428, NULL, 'TIGR03125', NULL, NULL, 'citrate_citG: triphosphoribosyl-dephospho-CoA synthase CitG', NULL, 'TIGR03125', NULL, NULL, 15374, 16),
(195429, NULL, 'TIGR00776', NULL, NULL, 'RhaT: RhaT L-rhamnose-proton symporter family protein', NULL, 'TIGR00776', NULL, NULL, NULL, 16),
(195430, NULL, 'TIGR00080', NULL, NULL, 'pimt: protein-L-isoaspartate O-methyltransferase', NULL, 'TIGR00080', NULL, NULL, 6641, 16),
(195431, NULL, 'TIGR03767', NULL, NULL, 'P_acnes_RR: metallophosphoesterase, PPA1498 family', NULL, 'TIGR03767', NULL, NULL, 16957, 16),
(195432, NULL, 'TIGR00769', NULL, NULL, 'AAA: ADP/ATP carrier protein family', NULL, 'TIGR00769', NULL, NULL, 2983, 16),
(195433, NULL, 'TIGR02456', NULL, NULL, 'treS_nterm: trehalose synthase', NULL, 'TIGR02456', NULL, NULL, 12813, 16),
(195434, NULL, 'TIGR02319', NULL, NULL, 'CPEP_Pphonmut: carboxyvinyl-carboxyphosphonate phosphorylmutase', NULL, 'TIGR02319', NULL, NULL, 11656, 16),
(195435, NULL, 'TIGR02803', NULL, NULL, 'ExbD_1: TonB system transport protein ExbD', NULL, 'TIGR02803', NULL, NULL, 8730, 16),
(195436, NULL, 'TIGR04294', NULL, NULL, 'pre_pil_HX9DG: prepilin-type processing-associated H-X9-DG domain', NULL, 'TIGR04294', NULL, NULL, 28740, 16),
(195437, NULL, 'TIGR03781', NULL, NULL, 'Bac_Flav_CT_K: Bacteroides conjugative transposon TraK protein', NULL, 'TIGR03781', NULL, NULL, 15559, 16),
(195438, NULL, 'TIGR03958', NULL, NULL, 'monoFe_hyd_HmdC: 5,10-methenyltetrahydromethanopterin hydrogenase cofactor biosynthesis protein HmdC', NULL, 'TIGR03958', NULL, NULL, 21753, 16),
(195439, NULL, 'TIGR00271', NULL, NULL, 'TIGR00271: uncharacterized hydrophobic domain', NULL, 'TIGR00271', NULL, NULL, NULL, 16),
(195440, NULL, 'TIGR04457', NULL, NULL, 'lipo_LenA_lepto: lipoprotein LenA', NULL, 'TIGR04457', NULL, NULL, 27597, 16),
(195441, NULL, 'TIGR00094', NULL, NULL, 'tRNA_TruD_broad: tRNA pseudouridine synthase, TruD family', NULL, 'TIGR00094', NULL, NULL, 3233, 16),
(195442, NULL, 'TIGR01596', NULL, NULL, 'cas3_HD: CRISPR-associated endonuclease Cas3-HD', NULL, 'TIGR01596', NULL, NULL, 6435, 16),
(195443, NULL, 'TIGR01124', NULL, NULL, 'ilvA_2Cterm: threonine ammonia-lyase, biosynthetic', NULL, 'TIGR01124', NULL, NULL, 5804, 16),
(195444, NULL, 'TIGR01943', NULL, NULL, 'rnfA: electron transport complex, RnfABCDGE type, A subunit', NULL, 'TIGR01943', NULL, NULL, 10104, 16),
(195445, NULL, 'TIGR04464', NULL, NULL, 'chaper_lep: LipL41-expression chaperone Lep', NULL, 'TIGR04464', NULL, NULL, 27790, 16),
(195446, NULL, 'TIGR01301', NULL, NULL, 'GPH_sucrose: sucrose/H+ symporter', NULL, 'TIGR01301', NULL, NULL, 1033, 16),
(195447, NULL, 'TIGR03139', NULL, NULL, 'QueF-II: 7-cyano-7-deazaguanine reductase', NULL, 'TIGR03139', NULL, NULL, 16156, 16),
(195448, NULL, 'TIGR00939', NULL, NULL, '2a57: nucleoside Transporter', NULL, 'TIGR00939', NULL, NULL, 17626, 16),
(195449, NULL, 'TIGR00441', NULL, NULL, 'gmhA: phosphoheptose isomerase', NULL, 'TIGR00441', NULL, NULL, 1673, 16),
(195450, NULL, 'TIGR00216', NULL, NULL, 'ispH_lytB: 4-hydroxy-3-methylbut-2-enyl diphosphate reductase', NULL, 'TIGR00216', NULL, NULL, 5866, 16),
(195451, NULL, 'TIGR01908', NULL, NULL, 'cas_CXXC_CXXC: CRISPR-associated protein Cas8b1/Cst1, subtype I-B/TNEAP', NULL, 'TIGR01908', NULL, NULL, 4445, 16),
(195452, NULL, 'TIGR02426', NULL, NULL, 'protocat_pcaB: 3-carboxy-cis,cis-muconate cycloisomerase', NULL, 'TIGR02426', NULL, NULL, 10453, 16),
(195453, NULL, 'TIGR04516', NULL, NULL, 'glycosyl_450act: glycosyltransferase, activator-dependent family', NULL, 'TIGR04516', NULL, NULL, 26861, 16),
(195454, NULL, 'TIGR00368', NULL, NULL, 'TIGR00368: Mg chelatase-like protein', NULL, 'TIGR00368', NULL, NULL, 7121, 16),
(195455, NULL, 'TIGR02458', NULL, NULL, 'CbtA: cobalt transporter subunit CbtA (proposed)', NULL, 'TIGR02458', NULL, NULL, 10805, 16),
(195456, NULL, 'TIGR03096', NULL, NULL, 'nitroso_cyanin: nitrosocyanin', NULL, 'TIGR03096', NULL, NULL, 15016, 16),
(195457, NULL, 'TIGR00336', NULL, NULL, 'pyrE: orotate phosphoribosyltransferase', NULL, 'TIGR00336', NULL, NULL, 7370, 16);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195458, NULL, 'TIGR03064', NULL, NULL, 'sortase_srtB: sortase, SrtB family', NULL, 'TIGR03064', NULL, NULL, 13526, 16),
(195459, NULL, 'TIGR04548', NULL, NULL, 'DnaD_Mollicutes: DnaD family protein', NULL, 'TIGR04548', NULL, NULL, 26582, 16),
(195460, NULL, 'TIGR00023', NULL, NULL, 'TIGR00023: acyl-phosphate glycerol 3-phosphate acyltransferase', NULL, 'TIGR00023', NULL, NULL, 6465, 16),
(195461, NULL, 'TIGR03377', NULL, NULL, 'glycerol3P_GlpA: glycerol-3-phosphate dehydrogenase, anaerobic, A subunit', NULL, 'TIGR03377', NULL, NULL, 19364, 16),
(195462, NULL, 'TIGR01850', NULL, NULL, 'argC: N-acetyl-gamma-glutamyl-phosphate reductase', NULL, 'TIGR01850', NULL, NULL, 6510, 16),
(195463, NULL, 'TIGR02578', NULL, NULL, 'cas_TM1811_Csm1: CRISPR-associated protein Cas10/Csm1, subtype III-A/MTUBE', NULL, 'TIGR02578', NULL, NULL, 9141, 16),
(195464, NULL, 'TIGR03940', NULL, NULL, 'PGA_PgaD: poly-beta-1,6-N-acetyl-D-glucosamine biosynthesis protein PgaD', NULL, 'TIGR03940', NULL, NULL, 17749, 16),
(195465, NULL, 'TIGR02306', NULL, NULL, 'RNA_lig_DRB0094: RNA ligase', NULL, 'TIGR02306', NULL, NULL, 10727, 16),
(195466, NULL, 'TIGR00488', NULL, NULL, 'TIGR00488: putative HD superfamily hydrolase', NULL, 'TIGR00488', NULL, NULL, 11378, 16),
(195467, NULL, 'TIGR01627', NULL, NULL, 'A_thal_3515: uncharacterized plant-specific domain TIGR01627', NULL, 'TIGR01627', NULL, NULL, 6531, 16),
(195468, NULL, 'TIGR02265', NULL, NULL, 'Mxa_TIGR02265: Myxococcales-restricted protein, TIGR02265 family', NULL, 'TIGR02265', NULL, NULL, 11591, 16),
(195469, NULL, 'TIGR00872', NULL, NULL, 'gnd_rel: 6-phosphogluconate dehydrogenase (decarboxylating)', NULL, 'TIGR00872', NULL, NULL, 6264, 16),
(195470, NULL, 'TIGR01135', NULL, NULL, 'glmS: glutamine-fructose-6-phosphate transaminase (isomerizing)', NULL, 'TIGR01135', NULL, NULL, 6642, 16),
(195471, NULL, 'TIGR02707', NULL, NULL, 'butyr_kinase: butyrate kinase', NULL, 'TIGR02707', NULL, NULL, 11336, 16),
(195472, NULL, 'TIGR00175', NULL, NULL, 'mito_nad_idh: isocitrate dehydrogenase, NAD-dependent', NULL, 'TIGR00175', NULL, NULL, 7442, 16),
(195473, NULL, 'TIGR03717', NULL, NULL, 'R_switched_YjbE: integral membrane protein, YjbE family', NULL, 'TIGR03717', NULL, NULL, 15755, 16),
(195474, NULL, 'TIGR03225', NULL, NULL, 'benzo_boxB: benzoyl-CoA oxygenase, B subunit', NULL, 'TIGR03225', NULL, NULL, 16561, 16),
(195475, NULL, 'TIGR00617', NULL, NULL, 'rpa1: replication factor-a protein 1 (rpa1)', NULL, 'TIGR00617', NULL, NULL, 970, 16),
(195476, NULL, 'TIGR03105', NULL, NULL, 'gln_synth_III: glutamine synthetase, type III', NULL, 'TIGR03105', NULL, NULL, 15019, 16),
(195477, NULL, 'TIGR00649', NULL, NULL, 'MG423: beta-CASP ribonuclease, RNase J family', NULL, 'TIGR00649', NULL, NULL, 2326, 16),
(195478, NULL, 'TIGR01287', NULL, NULL, 'nifH: nitrogenase iron protein', NULL, 'TIGR01287', NULL, NULL, 1478, 16),
(195479, NULL, 'TIGR02113', NULL, NULL, 'coaC_strep: phosphopantothenoylcysteine decarboxylase', NULL, 'TIGR02113', NULL, NULL, 14231, 16),
(195480, NULL, 'TIGR01970', NULL, NULL, 'DEAH_box_HrpB: ATP-dependent helicase HrpB', NULL, 'TIGR01970', NULL, NULL, 4076, 16),
(195481, NULL, 'TIGR02962', NULL, NULL, 'hdxy_isourate: hydroxyisourate hydrolase', NULL, 'TIGR02962', NULL, NULL, 9658, 16),
(195482, NULL, 'TIGR04203', NULL, NULL, 'RPT_S_cricet: Streptococcal surface-anchored protein repeat, S. criceti family', NULL, 'TIGR04203', NULL, NULL, 21938, 16),
(195483, NULL, 'TIGR01015', NULL, NULL, 'hmgA: homogentisate 1,2-dioxygenase', NULL, 'TIGR01015', NULL, NULL, 3549, 16),
(195484, NULL, 'TIGR02739', NULL, NULL, 'TraF: type-F conjugative transfer system pilin assembly protein TraF', NULL, 'TIGR02739', NULL, NULL, 13547, 16),
(195485, NULL, 'TIGR04056', NULL, NULL, 'OMP_RagA_SusC: TonB-linked outer membrane protein, SusC/RagA family', NULL, 'TIGR04056', NULL, NULL, 18605, 16),
(195486, NULL, 'TIGR01568', NULL, NULL, 'A_thal_3678: uncharacterized plant-specific domain TIGR01568', NULL, 'TIGR01568', NULL, NULL, 6930, 16),
(195487, NULL, 'TIGR02297', NULL, NULL, 'HpaA: 4-hydroxyphenylacetate catabolism regulatory protein HpaA', NULL, 'TIGR02297', NULL, NULL, 13118, 16);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195488, NULL, 'TIGR03972', NULL, NULL, 'rSAM_TYW1: wyosine biosynthesis protein TYW1', NULL, 'TIGR03972', NULL, NULL, 18992, 16),
(195489, NULL, 'TIGR01103', NULL, NULL, 'fliP: flagellar biosynthetic protein FliP', NULL, 'TIGR01103', NULL, NULL, 5708, 16),
(195490, NULL, 'TIGR04387', NULL, NULL, 'capsid_maj_N4: major capsid protein, N4-gp56 family', NULL, 'TIGR04387', NULL, NULL, NULL, 16),
(195491, NULL, 'TIGR02918', NULL, NULL, 'TIGR02918: accessory Sec system glycosylation protein GtfA', NULL, 'TIGR02918', NULL, NULL, 11568, 16),
(195492, NULL, 'TIGR01416', NULL, NULL, 'Rieske_proteo: ubiquinol-cytochrome c reductase, iron-sulfur subunit', NULL, 'TIGR01416', NULL, NULL, 4966, 16),
(195493, NULL, 'TIGR00708', NULL, NULL, 'cobA: cob(I)yrinic acid a,c-diamide adenosyltransferase', NULL, 'TIGR00708', NULL, NULL, 6248, 16),
(195494, NULL, 'TIGR04074', NULL, NULL, 'bacter_Hen1: 3'' terminal RNA ribose 2''-O-methyltransferase Hen1', NULL, 'TIGR04074', NULL, NULL, 20258, 16),
(195495, NULL, 'TIGR03881', NULL, NULL, 'KaiC_arch_4: KaiC domain protein, PAE1156 family', NULL, 'TIGR03881', NULL, NULL, 16406, 16),
(195496, NULL, 'TIGR01378', NULL, NULL, 'thi_PPkinase: thiamine pyrophosphokinase', NULL, 'TIGR01378', NULL, NULL, 3802, 16),
(195497, NULL, 'TIGR02399', NULL, NULL, 'salt_tol_Pase: glucosylglycerol 3-phosphatase', NULL, 'TIGR02399', NULL, NULL, 10024, 16),
(195498, NULL, 'TIGR03588', NULL, NULL, 'PseC: UDP-4-amino-4,6-dideoxy-N-acetyl-beta-L-altrosamine transaminase', NULL, 'TIGR03588', NULL, NULL, 12013, 16),
(195499, NULL, 'TIGR02177', NULL, NULL, 'PorB_KorB: 2-oxoacid:acceptor oxidoreductase, beta subunit, pyruvate/2-ketoisovalerate family', NULL, 'TIGR02177', NULL, NULL, 12083, 16),
(195500, NULL, 'TIGR00157', NULL, NULL, 'TIGR00157: ribosome small subunit-dependent GTPase A', NULL, 'TIGR00157', NULL, NULL, 7077, 16),
(195501, NULL, 'TIGR01448', NULL, NULL, 'recD_rel: helicase, RecD/TraA family', NULL, 'TIGR01448', NULL, NULL, 4683, 16),
(195502, NULL, 'TIGR03436', NULL, NULL, 'acidobact_VWFA: VWFA-related Acidobacterial domain', NULL, 'TIGR03436', NULL, NULL, 19492, 16),
(195503, NULL, 'TIGR01659', NULL, NULL, 'sex-lethal: sex-lethal family splicing factor', NULL, 'TIGR01659', NULL, NULL, 353, 16),
(195504, NULL, 'TIGR04337', NULL, NULL, 'AmmeMemoSam_rS: AmmeMemoRadiSam system radical SAM enzyme', NULL, 'TIGR04337', NULL, NULL, 29210, 16),
(195505, NULL, 'TIGR02145', NULL, NULL, 'Fib_succ_major: fibrobacter succinogenes major paralogous domain', NULL, 'TIGR02145', NULL, NULL, 14396, 16),
(195506, NULL, 'TIGR01952', NULL, NULL, 'nusA_arch: NusA family KH domain protein, archaeal', NULL, 'TIGR01952', NULL, NULL, 4389, 16),
(195507, NULL, 'TIGR02590', NULL, NULL, 'cas_Csh2: CRISPR-associated protein Cas7/Csh2, subtype I-B/HMARI', NULL, 'TIGR02590', NULL, NULL, 9126, 16),
(195508, NULL, 'TIGR03155', NULL, NULL, 'sulfolob_CbsB: cytochrome b558/566, subunit B', NULL, 'TIGR03155', NULL, NULL, 16337, 16),
(195509, NULL, 'TIGR00005', NULL, NULL, 'rluA_subfam: pseudouridine synthase, RluA family', NULL, 'TIGR00005', NULL, NULL, 11046, 16),
(195510, NULL, 'TIGR03123', NULL, NULL, 'one_C_unchar_1: probable H4MPT-linked C1 transfer pathway protein', NULL, 'TIGR03123', NULL, NULL, 3721, 16),
(195511, NULL, 'TIGR01920', NULL, NULL, 'Shik_kin_archae: shikimate kinase', NULL, 'TIGR01920', NULL, NULL, 4402, 16),
(195512, NULL, 'TIGR02930', NULL, NULL, 'vnfG_nitrog: V-containing nitrogenase, delta subunit', NULL, 'TIGR02930', NULL, NULL, 8997, 16),
(195513, NULL, 'TIGR02367', NULL, NULL, 'PylS_Cterm: pyrrolysine--tRNA ligase, C-terminal region', NULL, 'TIGR02367', NULL, NULL, 17629, 16),
(195514, NULL, 'TIGR01507', NULL, NULL, 'hopene_cyclase: squalene-hopene cyclase', NULL, 'TIGR01507', NULL, NULL, 5968, 16),
(195515, NULL, 'TIGR00890', NULL, NULL, '2A0111: oxalate/formate antiporter family transporter', NULL, 'TIGR00890', NULL, NULL, 5382, 16),
(195516, NULL, 'TIGR02086', NULL, NULL, 'IPMI_arch: 3-isopropylmalate dehydratase, large subunit', NULL, 'TIGR02086', NULL, NULL, 14274, 16),
(195517, NULL, 'TIGR03869', NULL, NULL, 'F420-0_ABCperm: proposed F420-0 ABC transporter, permease protein', NULL, 'TIGR03869', NULL, NULL, 16435, 16);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195518, NULL, 'TIGR02669', NULL, NULL, 'SpoIID_LytB: SpoIID/LytB domain', NULL, 'TIGR02669', NULL, NULL, 10500, 16),
(195519, NULL, 'TIGR04369', NULL, NULL, 'fusion_not_SelD: oxidoreductase/SelD-related fusion protein', NULL, 'TIGR04369', NULL, NULL, 26899, 16),
(195520, NULL, 'TIGR00438', NULL, NULL, 'rrmJ: ribosomal RNA large subunit methyltransferase J', NULL, 'TIGR00438', NULL, NULL, 1553, 16),
(195521, NULL, 'TIGR03404', NULL, NULL, 'bicupin_oxalic: bicupin, oxalate decarboxylase family', NULL, 'TIGR03404', NULL, NULL, 19173, 16),
(195522, NULL, 'TIGR01167', NULL, NULL, 'LPXTG_anchor: LPXTG cell wall anchor domain', NULL, 'TIGR01167', NULL, NULL, NULL, 16),
(195523, NULL, 'TIGR01671', NULL, NULL, 'phage_TIGR01671: phage conserved hypothetical protein TIGR01671', NULL, 'TIGR01671', NULL, NULL, 5390, 16),
(195524, NULL, 'TIGR01718', NULL, NULL, 'Uridine-psphlse: uridine phosphorylase', NULL, 'TIGR01718', NULL, NULL, 6287, 16),
(195525, NULL, 'TIGR02356', NULL, NULL, 'adenyl_thiF: thiazole biosynthesis adenylyltransferase ThiF', NULL, 'TIGR02356', NULL, NULL, 11922, 16),
(195526, NULL, 'TIGR02476', NULL, NULL, 'BluB: 5,6-dimethylbenzimidazole synthase', NULL, 'TIGR02476', NULL, NULL, 12510, 16),
(195527, NULL, 'TIGR03928', NULL, NULL, 'T7_EssCb_Firm: type VII secretion protein EssC', NULL, 'TIGR03928', NULL, NULL, 17417, 16),
(195528, NULL, 'TIGR03808', NULL, NULL, 'RR_plus_rpt_1: twin-arg-translocated uncharacterized repeat protein', NULL, 'TIGR03808', NULL, NULL, 16217, 16),
(195529, NULL, 'TIGR04446', NULL, NULL, 'pren_cyc_PirE: prenylated cyclic peptide, anacyclamide/piricyclamide family', NULL, 'TIGR04446', NULL, NULL, 28404, 16),
(195530, NULL, 'TIGR01838', NULL, NULL, 'PHA_synth_I: poly(R)-hydroxyalkanoic acid synthase, class I', NULL, 'TIGR01838', NULL, NULL, 2214, 16),
(195531, NULL, 'TIGR00114', NULL, NULL, 'lumazine-synth: 6,7-dimethyl-8-ribityllumazine synthase', NULL, 'TIGR00114', NULL, NULL, 14742, 16),
(195532, NULL, 'TIGR01269', NULL, NULL, 'Tyr_3_monoox: tyrosine 3-monooxygenase', NULL, 'TIGR01269', NULL, NULL, 445, 16),
(195533, NULL, 'TIGR02809', NULL, NULL, 'phasin_3: phasin family protein', NULL, 'TIGR02809', NULL, NULL, 8655, 16),
(195534, NULL, 'TIGR01076', NULL, NULL, 'sortase_fam: sortase', NULL, 'TIGR01076', NULL, NULL, 4519, 16),
(195535, NULL, 'TIGR01677', NULL, NULL, 'pln_FAD_oxido: plant-specific FAD-dependent oxidoreductase', NULL, 'TIGR01677', NULL, NULL, 5207, 16),
(195536, NULL, 'TIGR01389', NULL, NULL, 'recQ: ATP-dependent DNA helicase RecQ', NULL, 'TIGR01389', NULL, NULL, 3839, 16),
(195537, NULL, 'TIGR02011', NULL, NULL, 'IscA: iron-sulfur cluster assembly protein IscA', NULL, 'TIGR02011', NULL, NULL, 10221, 16),
(195538, NULL, 'TIGR00234', NULL, NULL, 'tyrS: tyrosine--tRNA ligase', NULL, 'TIGR00234', NULL, NULL, 6948, 16),
(195539, NULL, 'TIGR03166', NULL, NULL, 'alt_F1F0_F1_eps: alternate F1F0 ATPase, F1 subunit epsilon', NULL, 'TIGR03166', NULL, NULL, 11800, 16),
(195540, NULL, 'TIGR02075', NULL, NULL, 'pyrH_bact: UMP kinase', NULL, 'TIGR02075', NULL, NULL, 8990, 16),
(195541, NULL, 'TIGR02637', NULL, NULL, 'RhaS: rhamnose ABC transporter, rhamnose-binding protein', NULL, 'TIGR02637', NULL, NULL, 9276, 16),
(195542, NULL, 'TIGR03275', NULL, NULL, 'methan_mark_8: putative methanogenesis marker protein 8', NULL, 'TIGR03275', NULL, NULL, 9756, 16),
(195543, NULL, 'TIGR02195', NULL, NULL, 'heptsyl_trn_II: lipopolysaccharide heptosyltransferase II', NULL, 'TIGR02195', NULL, NULL, 12072, 16),
(195544, NULL, 'TIGR01205', NULL, NULL, 'D_ala_D_alaTIGR: D-alanine--D-alanine ligase', NULL, 'TIGR01205', NULL, NULL, 370, 16),
(195545, NULL, 'TIGR00699', NULL, NULL, 'GABAtrns_euk: 4-aminobutyrate aminotransferase', NULL, 'TIGR00699', NULL, NULL, 2572, 16),
(195546, NULL, 'TIGR01800', NULL, NULL, 'cit_synth_II: 2-methylcitrate synthase/citrate synthase II', NULL, 'TIGR01800', NULL, NULL, 10188, 16),
(195547, NULL, 'TIGR03003', NULL, NULL, 'ectoine_ehuD: ectoine/hydroxyectoine ABC transporter, permease protein EhuD', NULL, 'TIGR03003', NULL, NULL, 11300, 16);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195548, NULL, 'TIGR01460', NULL, NULL, 'HAD-SF-IIA: HAD hydrolase, family IIA', NULL, 'TIGR01460', NULL, NULL, 4854, 16),
(195549, NULL, 'TIGR04158', NULL, NULL, 'rSAM_MIA_synth: 3-methyl-2-indolic acid synthase', NULL, 'TIGR04158', NULL, NULL, 21963, 16),
(195550, NULL, 'TIGR03615', NULL, NULL, 'RutF: pyrimidine utilization flavin reductase protein F', NULL, 'TIGR03615', NULL, NULL, 18168, 16),
(195551, NULL, 'TIGR03870', NULL, NULL, 'ABC_MoxJ: methanol oxidation system protein MoxJ', NULL, 'TIGR03870', NULL, NULL, 16142, 16),
(195552, NULL, 'TIGR01729', NULL, NULL, 'taurine_ABC_bnd: taurine ABC transporter, periplasmic binding protein', NULL, 'TIGR01729', NULL, NULL, 6037, 16),
(195553, NULL, 'TIGR02408', NULL, NULL, 'ectoine_ThpD: ectoine hydroxylase', NULL, 'TIGR02408', NULL, NULL, 10476, 16),
(195554, NULL, 'TIGR03046', NULL, NULL, 'PS_II_psbV2: photosystem II cytochrome PsbV2', NULL, 'TIGR03046', NULL, NULL, 21110, 16),
(195555, NULL, 'TIGR03468', NULL, NULL, 'HpnG: hopanoid-associated phosphorylase', NULL, 'TIGR03468', NULL, NULL, 20181, 16),
(195556, NULL, 'TIGR03327', NULL, NULL, 'AMP_phos: AMP phosphorylase', NULL, 'TIGR03327', NULL, NULL, 18263, 16),
(195557, NULL, 'TIGR00515', NULL, NULL, 'accD: acetyl-CoA carboxylase, carboxyl transferase, beta subunit', NULL, 'TIGR00515', NULL, NULL, 5573, 16),
(195558, NULL, 'TIGR04560', NULL, NULL, 'ribo_THX: ribosomal small subunit protein bTHX', NULL, 'TIGR04560', NULL, NULL, 24944, 16),
(195559, NULL, 'TIGR04305', NULL, NULL, 'fol_rel_CADD: putative folate metabolism protein, CADD family', NULL, 'TIGR04305', NULL, NULL, 23993, 16),
(195560, NULL, 'TIGR02068', NULL, NULL, 'cya_phycin_syn: cyanophycin synthetase', NULL, 'TIGR02068', NULL, NULL, 13468, 16),
(195561, NULL, 'TIGR03799', NULL, NULL, 'NOD_PanD_pyr: putative pyridoxal-dependent aspartate 1-decarboxylase', NULL, 'TIGR03799', NULL, NULL, 16962, 16),
(195562, NULL, 'TIGR00770', NULL, NULL, 'Dcu: transporter, anaerobic C4-dicarboxylate uptake (Dcu) family', NULL, 'TIGR00770', NULL, NULL, 2902, 16),
(195563, NULL, 'TIGR01791', NULL, NULL, 'CM_archaeal: chorismate mutase', NULL, 'TIGR01791', NULL, NULL, 1972, 16),
(195564, NULL, 'TIGR01276', NULL, NULL, 'thiB: thiamin/thiamin pyrophosphate ABC transporter, thiamin/thiamin pyrophospate-binding protein', NULL, 'TIGR01276', NULL, NULL, 160, 16),
(195565, NULL, 'TIGR02004', NULL, NULL, 'PTS-IIBC-malX: PTS system, maltose and glucose-specific IIBC component', NULL, 'TIGR02004', NULL, NULL, 10362, 16),
(195566, NULL, 'TIGR01498', NULL, NULL, 'folK: 2-amino-4-hydroxy-6-hydroxymethyldihydropteridine diphosphokinase', NULL, 'TIGR01498', NULL, NULL, 5776, 16),
(195567, NULL, 'TIGR03334', NULL, NULL, 'IOR_beta: indolepyruvate ferredoxin oxidoreductase, beta subunit', NULL, 'TIGR03334', NULL, NULL, 18148, 16),
(195568, NULL, 'TIGR01741', NULL, NULL, 'staph_tand_hypo: conserved hypothetical protein', NULL, 'TIGR01741', NULL, NULL, 2069, 16),
(195569, NULL, 'TIGR03506', NULL, NULL, 'FlgEFG_subfam: flagellar hook-basal body protein', NULL, 'TIGR03506', NULL, NULL, 17720, 16),
(195570, NULL, 'TIGR04439', NULL, NULL, 'histamin_N_OH: putative histamine N-monooxygenase', NULL, 'TIGR04439', NULL, NULL, 28087, 16),
(195571, NULL, 'TIGR04489', NULL, NULL, 'exosort_XrtO: exosortase O', NULL, 'TIGR04489', NULL, NULL, 22008, 16),
(195572, NULL, 'TIGR04267', NULL, NULL, 'mod_HExxH: HEXXH motif domain', NULL, 'TIGR04267', NULL, NULL, 26378, 16),
(195573, NULL, 'TIGR02247', NULL, NULL, 'HAD-1A3-hyp: epoxide hydrolase N-terminal domain-like phosphatase', NULL, 'TIGR02247', NULL, NULL, 11351, 16),
(195574, NULL, 'TIGR03749', NULL, NULL, 'conj_TIGR03749: integrating conjugative element protein, PFL_4704 family', NULL, 'TIGR03749', NULL, NULL, 20462, 16),
(195575, NULL, 'TIGR02535', NULL, NULL, 'hyp_Hser_kinase: proposed homoserine kinase', NULL, 'TIGR02535', NULL, NULL, 941, 16),
(195576, NULL, 'TIGR03983', NULL, NULL, 'cas1_MYXAN: CRISPR-associated endonuclease Cas1, subtype MYXAN', NULL, 'TIGR03983', NULL, NULL, 17007, 16),
(195577, NULL, 'TIGR03053', NULL, NULL, 'PS_I_psaM: photosystem I reaction center subunit XII', NULL, 'TIGR03053', NULL, NULL, 9380, 16);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195578, NULL, 'TIGR02540', NULL, NULL, 'gpx7: putative glutathione peroxidase Gpx7', NULL, 'TIGR02540', NULL, NULL, 11613, 16),
(195579, NULL, 'TIGR04024', NULL, NULL, 'F420_NP1902A: coenzyme F420-dependent oxidoreductase, NP1902A family', NULL, 'TIGR04024', NULL, NULL, 18783, 16),
(195580, NULL, 'TIGR00992', NULL, NULL, '3a0901s03IAP75: chloroplast envelope protein translocase, IAP75 family', NULL, 'TIGR00992', NULL, NULL, 3667, 16),
(195581, NULL, 'TIGR00055', NULL, NULL, 'uppS: di-trans,poly-cis-decaprenylcistransferase', NULL, 'TIGR00055', NULL, NULL, 3042, 16),
(195582, NULL, 'TIGR00277', NULL, NULL, 'HDIG: HDIG domain', NULL, 'TIGR00277', NULL, NULL, 2308, 16),
(195583, NULL, 'TIGR01779', NULL, NULL, 'TonB-B12: TonB-dependent vitamin B12 receptor', NULL, 'TIGR01779', NULL, NULL, 2471, 16),
(195584, NULL, 'TIGR02188', NULL, NULL, 'Ac_CoA_lig_AcsA: acetate--CoA ligase', NULL, 'TIGR02188', NULL, NULL, 12135, 16),
(195585, NULL, 'TIGR01033', NULL, NULL, 'TIGR01033: DNA-binding regulatory protein, YebC/PmpR family', NULL, 'TIGR01033', NULL, NULL, 5891, 16),
(195586, NULL, 'TIGR01557', NULL, NULL, 'myb_SHAQKYF: myb-like DNA-binding domain, SHAQKYF class', NULL, 'TIGR01557', NULL, NULL, 6801, 16),
(195587, NULL, 'TIGR01026', NULL, NULL, 'fliI_yscN: ATPase, FliI/YscN family', NULL, 'TIGR01026', NULL, NULL, 3506, 16),
(195588, NULL, 'TIGR02528', NULL, NULL, 'EutP: ethanolamine utilization protein, EutP', NULL, 'TIGR02528', NULL, NULL, 13581, 16),
(195589, NULL, 'TIGR00107', NULL, NULL, 'deoD: purine nucleoside phosphorylase', NULL, 'TIGR00107', NULL, NULL, 5784, 16),
(195590, NULL, 'TIGR02469', NULL, NULL, 'CbiT: precorrin-6Y C5,15-methyltransferase (decarboxylating), CbiT subunit', NULL, 'TIGR02469', NULL, NULL, 18151, 16),
(195591, NULL, 'TIGR03761', NULL, NULL, 'ICE_PFL4669: integrating conjugative element protein, PFL_4669 family', NULL, 'TIGR03761', NULL, NULL, 7734, 16),
(195592, NULL, 'TIGR03990', NULL, NULL, 'Arch_GlmM: phosphoglucosamine mutase', NULL, 'TIGR03990', NULL, NULL, 12950, 16),
(195593, NULL, 'TIGR01314', NULL, NULL, 'gntK_FGGY: gluconate kinase', NULL, 'TIGR01314', NULL, NULL, 1190, 16),
(195594, NULL, 'TIGR02816', NULL, NULL, 'pfaB_fam: PfaB family protein', NULL, 'TIGR02816', NULL, NULL, 8586, 16),
(195595, NULL, 'TIGR00284', NULL, NULL, 'TIGR00284: dihydropteroate synthase-related protein', NULL, 'TIGR00284', NULL, NULL, 11024, 16),
(195596, NULL, 'TIGR01609', NULL, NULL, 'PF_unchar_267: Plasmodium falciparum uncharacterized protein TIGR01609', NULL, 'TIGR01609', NULL, NULL, 6960, 16),
(195597, NULL, 'TIGR03858', NULL, NULL, 'LLM_2I7G: probable oxidoreductase, LLM family', NULL, 'TIGR03858', NULL, NULL, 15944, 16),
(195598, NULL, 'TIGR04067', NULL, NULL, 'oc_CLOSPO_01332: putative bacteriocin precursor, CLOSPO_01332 family', NULL, 'TIGR04067', NULL, NULL, 11263, 16),
(195599, NULL, 'TIGR01768', NULL, NULL, 'GGGP-family: geranylgeranylglyceryl phosphate synthase family protein', NULL, 'TIGR01768', NULL, NULL, 7332, 16),
(195600, NULL, 'TIGR01888', NULL, NULL, 'cas_cmr3: CRISPR type III-B/RAMP module-associated protein Cmr3', NULL, 'TIGR01888', NULL, NULL, 10585, 16),
(195601, NULL, 'TIGR03826', NULL, NULL, 'YvyF: flagellar operon protein TIGR03826', NULL, 'TIGR03826', NULL, NULL, 15738, 16),
(195602, NULL, 'TIGR03772', NULL, NULL, 'anch_rpt_subst: anchored repeat ABC transporter, substrate-binding protein', NULL, 'TIGR03772', NULL, NULL, 16262, 16),
(195603, NULL, 'TIGR01303', NULL, NULL, 'IMP_DH_rel_1: IMP dehydrogenase family protein', NULL, 'TIGR01303', NULL, NULL, 1037, 16),
(195604, NULL, 'TIGR00164', NULL, NULL, 'PS_decarb_rel: phosphatidylserine decarboxylase homolog', NULL, 'TIGR00164', NULL, NULL, 32429, 16),
(195605, NULL, 'TIGR00817', NULL, NULL, 'tpt: Tpt phosphate/phosphoenolpyruvate translocator', NULL, 'TIGR00817', NULL, NULL, 3895, 16),
(195606, NULL, 'TIGR02093', NULL, NULL, 'P_ylase: glycogen/starch/alpha-glucan phosphorylases', NULL, 'TIGR02093', NULL, NULL, 14081, 16),
(195607, NULL, 'TIGR01307', NULL, NULL, 'pgm_bpd_ind: phosphoglycerate mutase (2,3-diphosphoglycerate-independent)', NULL, 'TIGR01307', NULL, NULL, 1013, 16);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195608, NULL, 'TIGR01682', NULL, NULL, 'moaD: molybdopterin converting factor, subunit 1', NULL, 'TIGR01682', NULL, NULL, NULL, 16),
(195609, NULL, 'TIGR02853', NULL, NULL, 'spore_dpaA: dipicolinic acid synthetase, A subunit', NULL, 'TIGR02853', NULL, NULL, 10668, 16),
(195610, NULL, 'TIGR01616', NULL, NULL, 'nitro_assoc: nitrogenase-associated protein', NULL, 'TIGR01616', NULL, NULL, 6574, 16),
(195611, NULL, 'TIGR00763', NULL, NULL, 'lon: endopeptidase La', NULL, 'TIGR00763', NULL, NULL, 4332, 16),
(195612, NULL, 'TIGR01736', NULL, NULL, 'FGAM_synth_II: phosphoribosylformylglycinamidine synthase II', NULL, 'TIGR01736', NULL, NULL, 2431, 16),
(195613, NULL, 'TIGR02907', NULL, NULL, 'spore_VI_D: stage VI sporulation protein D', NULL, 'TIGR02907', NULL, NULL, 11678, 16),
(195614, NULL, 'TIGR04312', NULL, NULL, 'choice_anch_B: choice-of-anchor B domain', NULL, 'TIGR04312', NULL, NULL, 23572, 16),
(195615, NULL, 'TIGR01423', NULL, NULL, 'trypano_reduc: trypanothione-disulfide reductase', NULL, 'TIGR01423', NULL, NULL, 4064, 16),
(195616, NULL, 'TIGR01058', NULL, NULL, 'parE_Gpos: DNA topoisomerase IV, B subunit', NULL, 'TIGR01058', NULL, NULL, 4784, 16),
(195617, NULL, 'TIGR03706', NULL, NULL, 'exo_poly_only: exopolyphosphatase', NULL, 'TIGR03706', NULL, NULL, 15109, 16),
(195618, NULL, 'TIGR03148', NULL, NULL, 'cyt_nit_nrfD: cytochrome c nitrite reductase, NrfD subunit', NULL, 'TIGR03148', NULL, NULL, 15662, 16),
(195619, NULL, 'TIGR03652', NULL, NULL, 'FeS_repair_RIC: iron-sulfur cluster repair di-iron protein', NULL, 'TIGR03652', NULL, NULL, 12006, 16),
(195620, NULL, 'TIGR04183', NULL, NULL, 'Por_Secre_tail: Por secretion system C-terminal sorting domain', NULL, 'TIGR04183', NULL, NULL, 24270, 16),
(195621, NULL, 'TIGR00570', NULL, NULL, 'cdk7: CDK-activating kinase assembly factor MAT1', NULL, 'TIGR00570', NULL, NULL, 825, 16),
(195622, NULL, 'TIGR03697', NULL, NULL, 'NtcA_cyano: global nitrogen regulator NtcA', NULL, 'TIGR03697', NULL, NULL, 15598, 16),
(195623, NULL, 'TIGR02687', NULL, NULL, 'TIGR02687: TIGR02687 family protein', NULL, 'TIGR02687', NULL, NULL, 13610, 16),
(195624, NULL, 'TIGR04063', NULL, NULL, 'stp3: PEP-CTERM/exosortase A-associated glycosyltransferase, Daro_2409 family', NULL, 'TIGR04063', NULL, NULL, 21835, 16),
(195625, NULL, 'TIGR01178', NULL, NULL, 'ade: adenine deaminase', NULL, 'TIGR01178', NULL, NULL, 2154, 16),
(195626, NULL, 'TIGR02222', NULL, NULL, 'chap_CsaA: export-related chaperone protein CsaA', NULL, 'TIGR02222', NULL, NULL, 692, 16),
(195627, NULL, 'TIGR04505', NULL, NULL, 'PtsS_plasma: phosphate ABC transporter substrate-binding protein', NULL, 'TIGR04505', NULL, NULL, 25731, 16),
(195628, NULL, 'TIGR00132', NULL, NULL, 'gatA: aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, A subunit', NULL, 'TIGR00132', NULL, NULL, 5766, 16),
(195629, NULL, 'TIGR03268', NULL, NULL, 'methan_mark_3: putative methanogenesis marker protein 3', NULL, 'TIGR03268', NULL, NULL, 15660, 16),
(195630, NULL, 'TIGR01083', NULL, NULL, 'nth: endonuclease III', NULL, 'TIGR01083', NULL, NULL, 4937, 16),
(195631, NULL, 'TIGR02317', NULL, NULL, 'prpB: methylisocitrate lyase', NULL, 'TIGR02317', NULL, NULL, 11897, 16),
(195632, NULL, 'TIGR01843', NULL, NULL, 'type_I_hlyD: type I secretion membrane fusion protein, HlyD family', NULL, 'TIGR01843', NULL, NULL, 10847, 16),
(195633, NULL, 'TIGR00937', NULL, NULL, '2A51: chromate efflux transporter', NULL, 'TIGR00937', NULL, NULL, 9597, 16),
(195634, NULL, 'TIGR00227', NULL, NULL, 'ribD_Cterm: riboflavin-specific deaminase C-terminal domain', NULL, 'TIGR00227', NULL, NULL, 7528, 16),
(195635, NULL, 'TIGR00597', NULL, NULL, 'rad10: DNA repair protein rad10', NULL, 'TIGR00597', NULL, NULL, 789, 16),
(195636, NULL, 'TIGR03232', NULL, NULL, 'benzo_1_2_benB: benzoate 1,2-dioxygenase, small subunit', NULL, 'TIGR03232', NULL, NULL, 16916, 16),
(195637, NULL, 'TIGR03366', NULL, NULL, 'HpnZ_proposed: putative phosphonate catabolism associated alcohol dehydrogenase', NULL, 'TIGR03366', NULL, NULL, 19252, 16),
(195638, NULL, 'TIGR01396', NULL, NULL, 'FlgB: flagellar basal-body rod protein FlgB', NULL, 'TIGR01396', NULL, NULL, 4685, 16);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195639, NULL, 'TIGR02433', NULL, NULL, 'lysidine_TilS_C: tRNA(Ile)-lysidine synthetase, C-terminal domain', NULL, 'TIGR02433', NULL, NULL, 10390, 16),
(195640, NULL, 'TIGR02349', NULL, NULL, 'DnaJ_bact: chaperone protein DnaJ', NULL, 'TIGR02349', NULL, NULL, 11855, 16),
(195641, NULL, 'TIGR03384', NULL, NULL, 'betaine_BetI: transcriptional repressor BetI', NULL, 'TIGR03384', NULL, NULL, 19264, 16),
(195642, NULL, 'TIGR04407', NULL, NULL, 'LptF_YjgP: LPS export ABC transporter permease LptF', NULL, 'TIGR04407', NULL, NULL, 24918, 16),
(195643, NULL, 'TIGR01174', NULL, NULL, 'ftsA: cell division protein FtsA', NULL, 'TIGR01174', NULL, NULL, 20558, 16),
(195644, NULL, 'TIGR03901', NULL, NULL, 'MYXO-CTERM: MYXO-CTERM domain', NULL, 'TIGR03901', NULL, NULL, 11542, 16),
(195645, NULL, 'TIGR02106', NULL, NULL, 'cyd_oper_ybgT: cyd operon protein YbgT', NULL, 'TIGR02106', NULL, NULL, 11018, 16),
(195646, NULL, 'TIGR02465', NULL, NULL, 'chlorocat_1_2: chlorocatechol 1,2-dioxygenase', NULL, 'TIGR02465', NULL, NULL, 12777, 16),
(195647, NULL, 'TIGR02610', NULL, NULL, 'PHA_gran_rgn: putative polyhydroxyalkanoic acid system protein', NULL, 'TIGR02610', NULL, NULL, 9319, 16),
(195648, NULL, 'TIGR00910', NULL, NULL, '2A0307_GadC: glutamate:gamma-aminobutyrate antiporter', NULL, 'TIGR00910', NULL, NULL, 5492, 16),
(195649, NULL, 'TIGR00504', NULL, NULL, 'pyro_pdase: pyroglutamyl-peptidase I', NULL, 'TIGR00504', NULL, NULL, 26249, 16),
(195650, NULL, 'TIGR04571', NULL, NULL, 'LmtA_Leptospira: lipid A Kdo2 1-phosphate O-methyltransferase', NULL, 'TIGR04571', NULL, NULL, 28185, 16),
(195651, NULL, 'TIGR00450', NULL, NULL, 'mnmE_trmE_thdF: tRNA modification GTPase TrmE', NULL, 'TIGR00450', NULL, NULL, 1529, 16),
(195652, NULL, 'TIGR02419', NULL, NULL, 'C4_traR_proteo: phage/conjugal plasmid C-4 type zinc finger protein, TraR family', NULL, 'TIGR02419', NULL, NULL, 10220, 16),
(195653, NULL, 'TIGR04165', NULL, NULL, 'methano_modCys: Cys-rich peptide, TIGR04165 family', NULL, 'TIGR04165', NULL, NULL, 24094, 16),
(195654, NULL, 'TIGR03608', NULL, NULL, 'L_ocin_972_ABC: putative bacteriocin export ABC transporter, lactococcin 972 group', NULL, 'TIGR03608', NULL, NULL, 15446, 16),
(195655, NULL, 'TIGR02000', NULL, NULL, 'NifU_proper: Fe-S cluster assembly protein NifU', NULL, 'TIGR02000', NULL, NULL, 5365, 16),
(195656, NULL, 'TIGR01580', NULL, NULL, 'narG: nitrate reductase, alpha subunit', NULL, 'TIGR01580', NULL, NULL, 6343, 16),
(195657, NULL, 'TIGR04278', NULL, NULL, 'viperin: antiviral radical SAM protein viperin', NULL, 'TIGR04278', NULL, NULL, NULL, 16),
(195658, NULL, 'TIGR00969', NULL, NULL, '3a0106s02: sulfate ABC transporter, permease protein', NULL, 'TIGR00969', NULL, NULL, 3857, 16),
(195659, NULL, 'TIGR00477', NULL, NULL, 'tehB: tellurite resistance protein TehB', NULL, 'TIGR00477', NULL, NULL, 1910, 16),
(195660, NULL, 'TIGR00726', NULL, NULL, 'TIGR00726: YfiH family protein', NULL, 'TIGR00726', NULL, NULL, 2192, 16),
(195661, NULL, 'TIGR00379', NULL, NULL, 'cobB: cobyrinic acid a,c-diamide synthase', NULL, 'TIGR00379', NULL, NULL, 1470, 16),
(195662, NULL, 'TIGR00883', NULL, NULL, '2A0106: MFS transporter, metabolite:H+ symporter (MHS) family protein', NULL, 'TIGR00883', NULL, NULL, 3777, 16),
(195663, NULL, 'TIGR02642', NULL, NULL, 'phage_xxxx: uncharacterized phage protein', NULL, 'TIGR02642', NULL, NULL, 10433, 16),
(195664, NULL, 'TIGR03561', NULL, NULL, 'organ_hyd_perox: peroxiredoxin, Ohr subfamily', NULL, 'TIGR03561', NULL, NULL, 18165, 16),
(195665, NULL, 'TIGR00012', NULL, NULL, 'L29: ribosomal protein uL29', NULL, 'TIGR00012', NULL, NULL, 4038, 16),
(195666, NULL, 'TIGR01514', NULL, NULL, 'NAPRTase: nicotinate phosphoribosyltransferase', NULL, 'TIGR01514', NULL, NULL, 5558, 16),
(195667, NULL, 'TIGR01979', NULL, NULL, 'sufS: cysteine desulfurase, SufS family', NULL, 'TIGR01979', NULL, NULL, 2454, 16),
(195668, NULL, 'TIGR02898', NULL, NULL, 'spore_YhcN_YlaJ: sporulation lipoprotein, YhcN/YlaJ family', NULL, 'TIGR02898', NULL, NULL, 11067, 16),
(195669, NULL, 'TIGR03116', NULL, NULL, 'cas5_csf3: CRISPR type IV/AFERR-associated protein Csf3', NULL, 'TIGR03116', NULL, NULL, 15054, 16);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195670, NULL, 'TIGR00781', NULL, NULL, 'ccoO: cytochrome c oxidase, cbb3-type, subunit II', NULL, 'TIGR00781', NULL, NULL, 6322, 16),
(195671, NULL, 'TIGR00835', NULL, NULL, 'agcS: amino acid carrier protein', NULL, 'TIGR00835', NULL, NULL, 3210, 16),
(195672, NULL, 'TIGR00661', NULL, NULL, 'MJ1255: conserved hypothetical protein', NULL, 'TIGR00661', NULL, NULL, 4244, 16),
(195673, NULL, 'TIGR04414', NULL, NULL, 'hepto_Aah_TibC: autotransporter strand-loop-strand O-heptosyltransferase', NULL, 'TIGR04414', NULL, NULL, 28333, 16),
(195674, NULL, 'TIGR04360', NULL, NULL, 'other_trbK: conjugative transfer region protein TrbK', NULL, 'TIGR04360', NULL, NULL, 24170, 16),
(195675, NULL, 'TIGR02204', NULL, NULL, 'MsbA_rel: ABC transporter, permease/ATP-binding protein', NULL, 'TIGR02204', NULL, NULL, 11493, 16),
(195676, NULL, 'TIGR04169', NULL, NULL, 'perox_w_seleSAM: alkylhydroperoxidase/carboxymuconolactone decarboxylase family protein', NULL, 'TIGR04169', NULL, NULL, 24355, 16),
(195677, NULL, 'TIGR01409', NULL, NULL, 'TAT_signal_seq: Tat (twin-arginine translocation) pathway signal sequence', NULL, 'TIGR01409', NULL, NULL, 19316, 16),
(195678, NULL, 'TIGR03359', NULL, NULL, 'VI_chp_6: type VI secretion protein, TIGR03359 family', NULL, 'TIGR03359', NULL, NULL, 7731, 16),
(195679, NULL, 'TIGR00715', NULL, NULL, 'precor6x_red: precorrin-6x reductase', NULL, 'TIGR00715', NULL, NULL, 2199, 16),
(195680, NULL, 'TIGR02871', NULL, NULL, 'spore_ylbJ: sporulation integral membrane protein YlbJ', NULL, 'TIGR02871', NULL, NULL, 10679, 16),
(195681, NULL, 'TIGR03014', NULL, NULL, 'EpsL: exopolysaccharide biosynthesis operon protein EpsL', NULL, 'TIGR03014', NULL, NULL, 21220, 16),
(195682, NULL, 'TIGR03595', NULL, NULL, 'Obg_CgtA_exten: Obg family GTPase CgtA, C-terminal extension', NULL, 'TIGR03595', NULL, NULL, 13993, 16),
(195683, NULL, 'TIGR01351', NULL, NULL, 'adk: adenylate kinase', NULL, 'TIGR01351', NULL, NULL, 3596, 16),
(195684, NULL, 'TIGR02270', NULL, NULL, 'TIGR02270: conserved hypothetical protein', NULL, 'TIGR02270', NULL, NULL, 11071, 16),
(195685, NULL, 'TIGR02805', NULL, NULL, 'exbB2: tonB-system energizer ExbB', NULL, 'TIGR02805', NULL, NULL, 8560, 16),
(195686, NULL, 'TIGR00719', NULL, NULL, 'sda_beta: L-serine dehydratase, iron-sulfur-dependent, beta subunit', NULL, 'TIGR00719', NULL, NULL, 2787, 16),
(195687, NULL, 'TIGR03441', NULL, NULL, 'urea_trans_yut: urea transporter', NULL, 'TIGR03441', NULL, NULL, 19867, 16),
(195688, NULL, 'TIGR03670', NULL, NULL, 'rpoB_arch: DNA-directed RNA polymerase subunit B', NULL, 'TIGR03670', NULL, NULL, 15844, 16),
(195689, NULL, 'TIGR02789', NULL, NULL, 'nickel_nikB: nickel ABC transporter, permease subunit NikB', NULL, 'TIGR02789', NULL, NULL, 14166, 16),
(195690, NULL, 'TIGR03479', NULL, NULL, 'DMSO_red_II_alp: DMSO reductase family type II enzyme, molybdopterin subunit', NULL, 'TIGR03479', NULL, NULL, 20172, 16),
(195691, NULL, 'TIGR04240', NULL, NULL, 'flavi_E_stem: flavivirus envelope glycoprotein E, stem/anchor domain', NULL, 'TIGR04240', NULL, NULL, 27062, 16),
(195692, NULL, 'TIGR02324', NULL, NULL, 'CP_lyasePhnL: phosphonate C-P lyase system protein PhnL', NULL, 'TIGR02324', NULL, NULL, 11667, 16),
(195693, NULL, 'TIGR02751', NULL, NULL, 'PEPCase_arch: phosphoenolpyruvate carboxylase', NULL, 'TIGR02751', NULL, NULL, 1658, 16),
(195694, NULL, 'TIGR03724', NULL, NULL, 'arch_bud32: Kae1-associated kinase Bud32', NULL, 'TIGR03724', NULL, NULL, 16603, 16),
(195695, NULL, 'TIGR04049', NULL, NULL, 'AIR_rel_sll0787: AIR synthase-related protein, sll0787 family', NULL, 'TIGR04049', NULL, NULL, 11712, 16),
(195696, NULL, 'TIGR01405', NULL, NULL, 'polC_Gram_pos: DNA polymerase III, alpha subunit, Gram-positive type', NULL, 'TIGR01405', NULL, NULL, 4803, 16),
(195697, NULL, 'TIGR00125', NULL, NULL, 'cyt_tran_rel: cytidyltransferase-like domain', NULL, 'TIGR00125', NULL, NULL, 4279, 16),
(195698, NULL, 'TIGR03130', NULL, NULL, 'malonate_delta: malonate decarboxylase acyl carrier protein', NULL, 'TIGR03130', NULL, NULL, 11572, 16),
(195699, NULL, 'TIGR01945', NULL, NULL, 'rnfC: electron transport complex, RnfABCDGE type, C subunit', NULL, 'TIGR01945', NULL, NULL, 4093, 16);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195700, NULL, 'TIGR01634', NULL, NULL, 'tail_P2_I: phage tail protein I', NULL, 'TIGR01634', NULL, NULL, 127, 16),
(195701, NULL, 'TIGR02208', NULL, NULL, 'lipid_A_msbB: lipid A biosynthesis (KDO)2-(lauroyl)-lipid IVA acyltransferase', NULL, 'TIGR02208', NULL, NULL, 11426, 16),
(195702, NULL, 'TIGR01192', NULL, NULL, 'chvA: glucan exporter ATP-binding protein', NULL, 'TIGR01192', NULL, NULL, 6729, 16),
(195703, NULL, 'TIGR01525', NULL, NULL, 'ATPase-IB_hvy: heavy metal translocating P-type ATPase', NULL, 'TIGR01525', NULL, NULL, 23302, 16),
(195704, NULL, 'TIGR03550', NULL, NULL, 'F420_cofG: 7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase, CofG subunit', NULL, 'TIGR03550', NULL, NULL, 18224, 16),
(195705, NULL, 'TIGR04285', NULL, NULL, 'nucleoid_noc: nucleoid occlusion protein', NULL, 'TIGR04285', NULL, NULL, 16808, 16),
(195706, NULL, 'TIGR04403', NULL, NULL, 'rSAM_skfB: sporulation killing factor system radical SAM maturase', NULL, 'TIGR04403', NULL, NULL, 27787, 16),
(195707, NULL, 'TIGR00672', NULL, NULL, 'cdh: CDP-diacylglycerol diphosphatase', NULL, 'TIGR00672', NULL, NULL, 9093, 16),
(195708, NULL, 'TIGR00495', NULL, NULL, 'crvDNA_42K: DNA-binding protein, 42 kDa', NULL, 'TIGR00495', NULL, NULL, 589, 16),
(195709, NULL, 'TIGR02860', NULL, NULL, 'spore_IV_B: stage IV sporulation protein B', NULL, 'TIGR02860', NULL, NULL, 10823, 16),
(195710, NULL, 'TIGR00266', NULL, NULL, 'TIGR00266: TIGR00266 family protein', NULL, 'TIGR00266', NULL, NULL, 5491, 16),
(195711, NULL, 'TIGR01185', NULL, NULL, 'devC: ABC exporter transmembrane subunit, DevC protein', NULL, 'TIGR01185', NULL, NULL, 6941, 16),
(195712, NULL, 'TIGR02215', NULL, NULL, 'phage_chp_gp8: phage conserved hypothetical protein, phiE125 gp8 family', NULL, 'TIGR02215', NULL, NULL, 11676, 16),
(195713, NULL, 'TIGR00030', NULL, NULL, 'S21p: ribosomal protein bS21', NULL, 'TIGR00030', NULL, NULL, 4479, 16),
(195714, NULL, 'TIGR03486', NULL, NULL, 'cas_csx13_C: CRISPR-associated protein Cas8a1/Csx13, MYXAN subtype, C-terminal region', NULL, 'TIGR03486', NULL, NULL, 22958, 16),
(195715, NULL, 'TIGR02744', NULL, NULL, 'TrbI_Ftype: type-F conjugative transfer system protein TrbI', NULL, 'TIGR02744', NULL, NULL, 13585, 16),
(195716, NULL, 'TIGR03007', NULL, NULL, 'pepcterm_ChnLen: polysaccharide chain length determinant protein, PEP-CTERM locus subfamily', NULL, 'TIGR03007', NULL, NULL, 11124, 16),
(195717, NULL, 'TIGR04509', NULL, NULL, 'mod_pep_NH_fam: putative modified peptide', NULL, 'TIGR04509', NULL, NULL, 25989, 16),
(195718, NULL, 'TIGR02331', NULL, NULL, 'rib_alpha: Rib/alpha/Esp surface antigen repeat', NULL, 'TIGR02331', NULL, NULL, 11711, 16),
(195719, NULL, 'TIGR00774', NULL, NULL, 'NhaB: Na+/H+ antiporter NhaB', NULL, 'TIGR00774', NULL, NULL, 2652, 16),
(195720, NULL, 'TIGR04301', NULL, NULL, 'ODC_inducible: ornithine decarboxylase SpeF', NULL, 'TIGR04301', NULL, NULL, 23801, 16),
(195721, NULL, 'TIGR00828', NULL, NULL, 'EIID-AGA: PTS system, mannose/fructose/sorbose family, IID component', NULL, 'TIGR00828', NULL, NULL, 3841, 16),
(195722, NULL, 'TIGR04523', NULL, NULL, 'Mplasa_alph_rch: helix-rich protein', NULL, 'TIGR04523', NULL, NULL, 26577, 16),
(195723, NULL, 'TIGR03819', NULL, NULL, 'heli_sec_ATPase: helicase/secretion neighborhood ATPase', NULL, 'TIGR03819', NULL, NULL, 16323, 16),
(195724, NULL, 'TIGR00016', NULL, NULL, 'ackA: acetate kinase', NULL, 'TIGR00016', NULL, NULL, 5723, 16),
(195725, NULL, 'TIGR00375', NULL, NULL, 'TIGR00375: TIGR00375 family protein', NULL, 'TIGR00375', NULL, NULL, 4377, 16),
(195726, NULL, 'TIGR01518', NULL, NULL, 'g3p_cytidyltrns: glycerol-3-phosphate cytidylyltransferase', NULL, 'TIGR01518', NULL, NULL, 5735, 16),
(195727, NULL, 'TIGR01877', NULL, NULL, 'cas_cas6: CRISPR-associated endoribonuclease Cas6', NULL, 'TIGR01877', NULL, NULL, 10901, 16),
(195728, NULL, 'TIGR00606', NULL, NULL, 'rad50: rad50', NULL, 'TIGR00606', NULL, NULL, 905, 16),
(195729, NULL, 'TIGR00259', NULL, NULL, 'thylakoid_BtpA: membrane complex biogenesis protein, BtpA family', NULL, 'TIGR00259', NULL, NULL, 7495, 16);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195730, NULL, 'TIGR01294', NULL, NULL, 'P_lamban: phospholamban', NULL, 'TIGR01294', NULL, NULL, 1232, 16),
(195731, NULL, 'TIGR01811', NULL, NULL, 'sdhA_Bsu: succinate dehydrogenase or fumarate reductase, flavoprotein subunit', NULL, 'TIGR01811', NULL, NULL, 10382, 16),
(195732, NULL, 'TIGR03264', NULL, NULL, 'met_CoM_red_C: methyl-coenzyme M reductase I operon protein C', NULL, 'TIGR03264', NULL, NULL, 1318, 16),
(195733, NULL, 'TIGR03663', NULL, NULL, 'TIGR03663: TIGR03663 family protein', NULL, 'TIGR03663', NULL, NULL, 15574, 16),
(195734, NULL, 'TIGR01412', NULL, NULL, 'tat_substr_1: Tat-translocated enzyme', NULL, 'TIGR01412', NULL, NULL, 4801, 16),
(195735, NULL, 'TIGR01072', NULL, NULL, 'murA: UDP-N-acetylglucosamine 1-carboxyvinyltransferase', NULL, 'TIGR01072', NULL, NULL, 4727, 16),
(195736, NULL, 'TIGR02567', NULL, NULL, 'YscW: type III secretion system chaperone YscW', NULL, 'TIGR02567', NULL, NULL, NULL, 16),
(195737, NULL, 'TIGR02980', NULL, NULL, 'SigBFG: RNA polymerase sigma-70 factor, sigma-B/F/G subfamily', NULL, 'TIGR02980', NULL, NULL, 9936, 16),
(195738, NULL, 'TIGR01065', NULL, NULL, 'hlyIII: channel protein, hemolysin III family', NULL, 'TIGR01065', NULL, NULL, 4751, 16),
(195739, NULL, 'TIGR02796', NULL, NULL, 'tolQ: protein TolQ', NULL, 'TIGR02796', NULL, NULL, 14399, 16),
(195740, NULL, 'TIGR00552', NULL, NULL, 'nadE: NAD+ synthetase', NULL, 'TIGR00552', NULL, NULL, 1689, 16),
(195741, NULL, 'TIGR03257', NULL, NULL, 'met_CoM_red_bet: methyl-coenzyme M reductase, beta subunit', NULL, 'TIGR03257', NULL, NULL, 1887, 16),
(195742, NULL, 'TIGR04176', NULL, NULL, 'MarR_EPS: EPS-associated transcriptional regulator, MarR family', NULL, 'TIGR04176', NULL, NULL, 21612, 16),
(195743, NULL, 'TIGR02973', NULL, NULL, 'nitrate_rd_NapE: periplasmic nitrate reductase, NapE protein', NULL, 'TIGR02973', NULL, NULL, 12507, 16),
(195744, NULL, 'TIGR03604', NULL, NULL, 'TOMM_cyclo_SagD: thiazole/oxazole-forming peptide maturase, SagD family component', NULL, 'TIGR03604', NULL, NULL, 23657, 16),
(195745, NULL, 'TIGR03021', NULL, NULL, 'pilP_fam: type IV pilus biogenesis protein PilP', NULL, 'TIGR03021', NULL, NULL, 17004, 16),
(195746, NULL, 'TIGR02102', NULL, NULL, 'pullulan_Gpos: pullulanase, extracellular', NULL, 'TIGR02102', NULL, NULL, 14239, 16),
(195747, NULL, 'TIGR02372', NULL, NULL, '4_coum_CoA_lig: 4-coumarate--CoA ligase', NULL, 'TIGR02372', NULL, NULL, 9461, 16),
(195748, NULL, 'TIGR00765', NULL, NULL, 'yihY_not_rbn: YihY family inner membrane protein', NULL, 'TIGR00765', NULL, NULL, 19163, 16),
(195749, NULL, 'TIGR03341', NULL, NULL, 'YhgI_GntY: IscR-regulated protein YhgI', NULL, 'TIGR03341', NULL, NULL, 18662, 16),
(195750, NULL, 'TIGR01734', NULL, NULL, 'D-ala-DACP-lig: D-alanine--poly(phosphoribitol) ligase, subunit 1', NULL, 'TIGR01734', NULL, NULL, 6137, 16),
(195751, NULL, 'TIGR02855', NULL, NULL, 'spore_yabG: sporulation peptidase YabG', NULL, 'TIGR02855', NULL, NULL, 12056, 16),
(195752, NULL, 'TIGR02703', NULL, NULL, 'carboxysome_A: carboxysome peptide A', NULL, 'TIGR02703', NULL, NULL, 13867, 16),
(195753, NULL, 'TIGR02220', NULL, NULL, 'phg_TIGR02220: phage conserved hypothetical protein, C-terminal domain', NULL, 'TIGR02220', NULL, NULL, 11569, 16),
(195754, NULL, 'TIGR00282', NULL, NULL, 'TIGR00282: metallophosphoesterase, MG_246/BB_0505 family', NULL, 'TIGR00282', NULL, NULL, 11270, 16),
(195755, NULL, 'TIGR01886', NULL, NULL, 'dipeptidase: dipeptidase PepV', NULL, 'TIGR01886', NULL, NULL, 10208, 16),
(195756, NULL, 'TIGR03976', NULL, NULL, 'chp_LLNDYxLRE: His-Xaa-Ser system protein HxsD', NULL, 'TIGR03976', NULL, NULL, 11713, 16),
(195757, NULL, 'TIGR04310', NULL, NULL, 'pantocin_A_pre: pantocin A family RiPP', NULL, 'TIGR04310', NULL, NULL, 23191, 16),
(195758, NULL, 'TIGR02029', NULL, NULL, 'AcsF: magnesium-protoporphyrin IX monomethyl ester aerobic oxidative cyclase', NULL, 'TIGR02029', NULL, NULL, 8992, 16),
(195759, NULL, 'TIGR04119', NULL, NULL, 'CXXX_matur: CXXX repeat peptide maturase', NULL, 'TIGR04119', NULL, NULL, 23132, 16),
(195760, NULL, 'TIGR04494', NULL, NULL, 'c550_PedF: cytochrome c-550 PedF', NULL, 'TIGR04494', NULL, NULL, 22013, 16);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195761, NULL, 'TIGR01421', NULL, NULL, 'gluta_reduc_1: glutathione-disulfide reductase', NULL, 'TIGR01421', NULL, NULL, 4536, 16),
(195762, NULL, 'TIGR03511', NULL, NULL, 'GldH_lipo: gliding motility-associated lipoprotein GldH', NULL, 'TIGR03511', NULL, NULL, 18341, 16),
(195763, NULL, 'TIGR03824', NULL, NULL, 'FlgM_jcvi: flagellar biosynthesis anti-sigma factor FlgM', NULL, 'TIGR03824', NULL, NULL, 3533, 16),
(195764, NULL, 'TIGR01251', NULL, NULL, 'ribP_PPkin: ribose-phosphate diphosphokinase', NULL, 'TIGR01251', NULL, NULL, 232, 16),
(195765, NULL, 'TIGR00109', NULL, NULL, 'hemH: ferrochelatase', NULL, 'TIGR00109', NULL, NULL, 2110, 16),
(195766, NULL, 'TIGR00443', NULL, NULL, 'hisZ_biosyn_reg: ATP phosphoribosyltransferase, regulatory subunit', NULL, 'TIGR00443', NULL, NULL, 1874, 16),
(195767, NULL, 'TIGR01564', NULL, NULL, 'S_layer_MJ: S-layer protein', NULL, 'TIGR01564', NULL, NULL, 6566, 16),
(195768, NULL, 'TIGR04181', NULL, NULL, 'NHT_00031: aminotransferase, LLPSF_NHT_00031 family', NULL, 'TIGR04181', NULL, NULL, 21801, 16),
(195769, NULL, 'TIGR03654', NULL, NULL, 'L6_bact: ribosomal protein uL6', NULL, 'TIGR03654', NULL, NULL, 12438, 16),
(195770, NULL, 'TIGR00452', NULL, NULL, 'TIGR00452: tRNA (mo5U34)-methyltransferase', NULL, 'TIGR00452', NULL, NULL, 5469, 16),
(195771, NULL, 'TIGR02533', NULL, NULL, 'type_II_gspE: type II secretion system protein E', NULL, 'TIGR02533', NULL, NULL, 18519, 16),
(195772, NULL, 'TIGR02091', NULL, NULL, 'glgC: glucose-1-phosphate adenylyltransferase', NULL, 'TIGR02091', NULL, NULL, 14044, 16),
(195773, NULL, 'TIGR02542', NULL, NULL, 'T_forsyth_147: TANFOR domain', NULL, 'TIGR02542', NULL, NULL, NULL, 16),
(195774, NULL, 'TIGR02998', NULL, NULL, 'RraA_entero: regulator of ribonuclease activity A', NULL, 'TIGR02998', NULL, NULL, 10060, 16),
(195775, NULL, 'TIGR00613', NULL, NULL, 'reco: DNA repair protein RecO', NULL, 'TIGR00613', NULL, NULL, 2299, 16),
(195776, NULL, 'TIGR04292', NULL, NULL, 'heavy_Cys_CGP: heavy-Cys/CGP-CTERM domain protein', NULL, 'TIGR04292', NULL, NULL, 29000, 16),
(195777, NULL, 'TIGR00171', NULL, NULL, 'leuD: 3-isopropylmalate dehydratase, small subunit', NULL, 'TIGR00171', NULL, NULL, 7192, 16),
(195778, NULL, 'TIGR04462', NULL, NULL, 'endura_MppP: enduracididine biosynthesis enzyme MppP', NULL, 'TIGR04462', NULL, NULL, 27856, 16),
(195779, NULL, 'TIGR00273', NULL, NULL, 'TIGR00273: iron-sulfur cluster-binding protein', NULL, 'TIGR00273', NULL, NULL, 7467, 16),
(195780, NULL, 'TIGR02261', NULL, NULL, 'benz_CoA_red_D: benzoyl-CoA reductase, subunit D', NULL, 'TIGR02261', NULL, NULL, 11379, 16),
(195781, NULL, 'TIGR02814', NULL, NULL, 'pfaD_fam: PfaD family protein', NULL, 'TIGR02814', NULL, NULL, 8898, 16),
(195782, NULL, 'TIGR00241', NULL, NULL, 'CoA_E_activ: putative CoA-substrate-specific enzyme activase', NULL, 'TIGR00241', NULL, NULL, 6076, 16),
(195783, NULL, 'TIGR03935', NULL, NULL, 'fragilysin: fragilysin', NULL, 'TIGR03935', NULL, NULL, 4492, 16),
(195784, NULL, 'TIGR01140', NULL, NULL, 'L_thr_O3P_dcar: threonine-phosphate decarboxylase', NULL, 'TIGR01140', NULL, NULL, 6704, 16),
(195785, NULL, 'TIGR01310', NULL, NULL, 'uL30_euk: 60S ribosomal protein uL30', NULL, 'TIGR01310', NULL, NULL, 1495, 16),
(195786, NULL, 'TIGR04283', NULL, NULL, 'glyco_like_mftF: transferase 2, rSAM/selenodomain-associated', NULL, 'TIGR04283', NULL, NULL, 27153, 16),
(195787, NULL, 'TIGR00622', NULL, NULL, 'ssl1: transcription factor ssl1', NULL, 'TIGR00622', NULL, NULL, 7134, 16),
(195788, NULL, 'TIGR03109', NULL, NULL, 'exosortase_1: exosortase A', NULL, 'TIGR03109', NULL, NULL, 15058, 16),
(195789, NULL, 'TIGR03765', NULL, NULL, 'ICE_PFL_4695: integrating conjugative element protein, PFL_4695 family', NULL, 'TIGR03765', NULL, NULL, 17778, 16),
(195790, NULL, 'TIGR04008', NULL, NULL, 'WcaF: colanic acid biosynthesis acetyltransferase WcaF', NULL, 'TIGR04008', NULL, NULL, 15901, 16),
(195791, NULL, 'TIGR00118', NULL, NULL, 'acolac_lg: acetolactate synthase, large subunit, biosynthetic type', NULL, 'TIGR00118', NULL, NULL, 7074, 16);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195792, NULL, 'TIGR00876', NULL, NULL, 'tal_mycobact: transaldolase', NULL, 'TIGR00876', NULL, NULL, 3718, 16),
(195793, NULL, 'TIGR03300', NULL, NULL, 'assembly_YfgL: outer membrane assembly lipoprotein YfgL', NULL, 'TIGR03300', NULL, NULL, 17732, 16),
(195794, NULL, 'TIGR04453', NULL, NULL, 'Lepto_8Cys: Cys-rich protein, LA_1312 family', NULL, 'TIGR04453', NULL, NULL, 28127, 16),
(195795, NULL, 'TIGR01292', NULL, NULL, 'TRX_reduct: thioredoxin-disulfide reductase', NULL, 'TIGR01292', NULL, NULL, 1275, 16),
(195796, NULL, 'TIGR03502', NULL, NULL, 'lipase_Pla1_cef: extracellular lipase, Pla-1/cef family', NULL, 'TIGR03502', NULL, NULL, 17434, 16),
(195797, NULL, 'TIGR04140', NULL, NULL, 'chp_AF_0576: TIGR04140 family protein', NULL, 'TIGR04140', NULL, NULL, 24401, 16),
(195798, NULL, 'TIGR00935', NULL, NULL, '2a45: arsenite/antimonite efflux pump membrane protein', NULL, 'TIGR00935', NULL, NULL, 4371, 16),
(195799, NULL, 'TIGR01573', NULL, NULL, 'cas2: CRISPR-associated endonuclease Cas2', NULL, 'TIGR01573', NULL, NULL, 10943, 16),
(195800, NULL, 'TIGR01081', NULL, NULL, 'mpl: UDP-N-acetylmuramate:L-alanyl-gamma-D-glutamyl-meso-diaminopimelate ligase', NULL, 'TIGR01081', NULL, NULL, 4869, 16),
(195801, NULL, 'TIGR01462', NULL, NULL, 'greA: transcription elongation factor GreA', NULL, 'TIGR01462', NULL, NULL, 5808, 16),
(195802, NULL, 'TIGR03162', NULL, NULL, 'ribazole_cobC: alpha-ribazole phosphatase', NULL, 'TIGR03162', NULL, NULL, 16282, 16),
(195803, NULL, 'TIGR03613', NULL, NULL, 'RutR: pyrimidine utilization regulatory protein R', NULL, 'TIGR03613', NULL, NULL, 15008, 16),
(195804, NULL, 'TIGR00411', NULL, NULL, 'redox_disulf_1: redox-active disulfide protein 1', NULL, 'TIGR00411', NULL, NULL, 1767, 16),
(195805, NULL, 'TIGR02583', NULL, NULL, 'DevR_archaea: CRISPR-associated protein Cas7/Csa2, subtype I-A/APERN', NULL, 'TIGR02583', NULL, NULL, 4497, 16),
(195806, NULL, 'TIGR03967', NULL, NULL, 'mycofact_MftB: putative mycofactocin binding protein MftB', NULL, 'TIGR03967', NULL, NULL, 17124, 16),
(195807, NULL, 'TIGR02957', NULL, NULL, 'SigX4: RNA polymerase sigma-70 factor, TIGR02957 family', NULL, 'TIGR02957', NULL, NULL, 9553, 16),
(195808, NULL, 'TIGR00300', NULL, NULL, 'TIGR00300: TIGR00300 family protein', NULL, 'TIGR00300', NULL, NULL, 11499, 16),
(195809, NULL, 'TIGR01632', NULL, NULL, 'L11_bact: ribosomal protein uL11', NULL, 'TIGR01632', NULL, NULL, 409, 16),
(195810, NULL, 'TIGR00130', NULL, NULL, 'frhD: coenzyme F420-reducing hydrogenase, FrhD protein', NULL, 'TIGR00130', NULL, NULL, 5992, 16),
(195811, NULL, 'TIGR01913', NULL, NULL, 'bet_lambda: phage recombination protein Bet', NULL, 'TIGR01913', NULL, NULL, 4204, 16),
(195812, NULL, 'TIGR03797', NULL, NULL, 'NHLM_micro_ABC2: NHLM bacteriocin system ABC transporter, ATP-binding protein', NULL, 'TIGR03797', NULL, NULL, 16784, 16),
(195813, NULL, 'TIGR01743', NULL, NULL, 'purR_Bsub: pur operon repressor PurR', NULL, 'TIGR01743', NULL, NULL, 2039, 16),
(195814, NULL, 'TIGR00595', NULL, NULL, 'priA: primosomal protein N''', NULL, 'TIGR00595', NULL, NULL, 4415, 16),
(195815, NULL, 'TIGR00071', NULL, NULL, 'hisT_truA: tRNA pseudouridine(38-40) synthase', NULL, 'TIGR00071', NULL, NULL, 7193, 16),
(195816, NULL, 'TIGR03332', NULL, NULL, 'salvage_mtnW: 2,3-diketo-5-methylthiopentyl-1-phosphate enolase', NULL, 'TIGR03332', NULL, NULL, 18307, 16),
(195817, NULL, 'TIGR00232', NULL, NULL, 'tktlase_bact: transketolase', NULL, 'TIGR00232', NULL, NULL, 689, 16),
(195818, NULL, 'TIGR03874', NULL, NULL, '4cys_cytochr: c-type cytochrome, methanol metabolism-related', NULL, 'TIGR03874', NULL, NULL, 16448, 16),
(195819, NULL, 'TIGR04017', NULL, NULL, 'WcaA: colanic acid biosynthesis glycosyltransferase WcaA', NULL, 'TIGR04017', NULL, NULL, 11522, 16),
(195820, NULL, 'TIGR04392', NULL, NULL, 'haoB_nitrify: hydroxylamine oxidation protein HaoB', NULL, 'TIGR04392', NULL, NULL, 22745, 16),
(195821, NULL, 'TIGR03048', NULL, NULL, 'PS_I_psaC: photosystem I iron-sulfur protein PsaC', NULL, 'TIGR03048', NULL, NULL, 21347, 16),
(195822, NULL, 'TIGR01836', NULL, NULL, 'PHA_synth_III_C: poly(R)-hydroxyalkanoic acid synthase, class III, PhaC subunit', NULL, 'TIGR01836', NULL, NULL, 10510, 16);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195823, NULL, 'TIGR02079', NULL, NULL, 'THD1: threonine dehydratase', NULL, 'TIGR02079', NULL, NULL, 14339, 16),
(195824, NULL, 'TIGR00180', NULL, NULL, 'parB_part: ParB/RepB/Spo0J family partition protein', NULL, 'TIGR00180', NULL, NULL, 7212, 16),
(195825, NULL, 'TIGR04394', NULL, NULL, 'choline_CutC: choline trimethylamine-lyase', NULL, 'TIGR04394', NULL, NULL, 26531, 16),
(195826, NULL, 'TIGR00350', NULL, NULL, 'lytR_cpsA_psr: cell envelope-related function transcriptional attenuator common domain', NULL, 'TIGR00350', NULL, NULL, 7426, 16),
(195827, NULL, 'TIGR00062', NULL, NULL, 'L27: ribosomal protein bL27', NULL, 'TIGR00062', NULL, NULL, 3211, 16),
(195828, NULL, 'TIGR00159', NULL, NULL, 'TIGR00159: TIGR00159 family protein', NULL, 'TIGR00159', NULL, NULL, 33062, 16),
(195829, NULL, 'TIGR01031', NULL, NULL, 'rpmF_bact: ribosomal protein bL32', NULL, 'TIGR01031', NULL, NULL, 2668, 16),
(195830, NULL, 'TIGR00976', NULL, NULL, '/NonD: hydrolase CocE/NonD family protein', NULL, 'TIGR00976', NULL, NULL, 3998, 16),
(195831, NULL, 'TIGR01040', NULL, NULL, 'V-ATPase_V1_B: V-type ATPase, B subunit', NULL, 'TIGR01040', NULL, NULL, 4597, 16),
(195832, NULL, 'TIGR03593', NULL, NULL, 'yidC_nterm: membrane protein insertase, YidC/Oxa1 family, N-terminal domain', NULL, 'TIGR03593', NULL, NULL, 27624, 16),
(195833, NULL, 'TIGR01954', NULL, NULL, 'nusA_Cterm_rpt: transcription termination factor NusA, C-terminal duplication', NULL, 'TIGR01954', NULL, NULL, 4072, 16),
(195834, NULL, 'TIGR03121', NULL, NULL, 'one_C_dehyd_A: formylmethanofuran dehydrogenase subunit A', NULL, 'TIGR03121', NULL, NULL, 11074, 16),
(195835, NULL, 'TIGR00511', NULL, NULL, 'ribulose_e2b2: ribose-1,5-bisphosphate isomerase, e2b2 family', NULL, 'TIGR00511', NULL, NULL, 11012, 16),
(195836, NULL, 'TIGR03209', NULL, NULL, 'P21_Cbot: transcriptional regulator BotR, P-21', NULL, 'TIGR03209', NULL, NULL, 16240, 16),
(195837, NULL, 'TIGR01666', NULL, NULL, 'YCCS: TIGR01666 family membrane protein', NULL, 'TIGR01666', NULL, NULL, 5452, 16),
(195838, NULL, 'TIGR03926', NULL, NULL, 'T7_EssB: type VII secretion protein EssB', NULL, 'TIGR03926', NULL, NULL, 19376, 16),
(195839, NULL, 'TIGR04564', NULL, NULL, 'Synergist_CTERM: Synergist-CTERM protein sorting domain', NULL, 'TIGR04564', NULL, NULL, 24712, 16),
(195840, NULL, 'TIGR00341', NULL, NULL, 'TIGR00341: TIGR00341 family protein', NULL, 'TIGR00341', NULL, NULL, NULL, 16),
(195841, NULL, 'TIGR02474', NULL, NULL, 'pec_lyase: pectate lyase', NULL, 'TIGR02474', NULL, NULL, 13459, 16),
(195842, NULL, 'TIGR03756', NULL, NULL, 'conj_TIGR03756: integrating conjugative element protein, PFL_4710 family', NULL, 'TIGR03756', NULL, NULL, 28095, 16),
(195843, NULL, 'TIGR02601', NULL, NULL, 'autotrns_rpt: autotransporter-associated beta strand repeat', NULL, 'TIGR02601', NULL, NULL, 9345, 16),
(195844, NULL, 'TIGR03039', NULL, NULL, 'PS_II_CP47: photosystem II chlorophyll-binding protein CP47', NULL, 'TIGR03039', NULL, NULL, 21163, 16),
(195845, NULL, 'TIGR03586', NULL, NULL, 'PseI: pseudaminic acid synthase', NULL, 'TIGR03586', NULL, NULL, 12215, 16),
(195846, NULL, 'TIGR01784', NULL, NULL, 'T_den_put_tspse: conserved hypothetical protein', NULL, 'TIGR01784', NULL, NULL, 2097, 16),
(195847, NULL, 'TIGR01496', NULL, NULL, 'DHPS: dihydropteroate synthase', NULL, 'TIGR01496', NULL, NULL, 5539, 16),
(195848, NULL, 'TIGR01201', NULL, NULL, 'HU_rel: putative DNA-binding protein', NULL, 'TIGR01201', NULL, NULL, 6903, 16),
(195849, NULL, 'TIGR02431', NULL, NULL, 'pcaR_pcaU: beta-ketoadipate pathway transcriptional regulators, PcaR/PcaU/PobR family', NULL, 'TIGR02431', NULL, NULL, 10274, 16),
(195850, NULL, 'TIGR02644', NULL, NULL, 'Y_phosphoryl: pyrimidine-nucleoside phosphorylase', NULL, 'TIGR02644', NULL, NULL, 21473, 16),
(195851, NULL, 'TIGR04385', NULL, NULL, 'B12_rSAM_cofa1: putative variant cofactor biosynthesis B12-binding domain/radical SAM domain protein 1', NULL, 'TIGR04385', NULL, NULL, 26553, 16),
(195852, NULL, 'TIGR00343', NULL, NULL, 'TIGR00343: pyridoxal 5''-phosphate synthase, synthase subunit Pdx1', NULL, 'TIGR00343', NULL, NULL, 4280, 16);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195853, NULL, 'TIGR02363', NULL, NULL, 'dhaK1: dihydroxyacetone kinase, DhaK subunit', NULL, 'TIGR02363', NULL, NULL, 11687, 16),
(195854, NULL, 'TIGR02896', NULL, NULL, 'spore_III_AF: stage III sporulation protein AF', NULL, 'TIGR02896', NULL, NULL, 11196, 16),
(195855, NULL, 'TIGR01394', NULL, NULL, 'TypA_BipA: GTP-binding protein TypA/BipA', NULL, 'TIGR01394', NULL, NULL, 4504, 16),
(195856, NULL, 'TIGR03230', NULL, NULL, 'lipo_lipase: lipoprotein lipase', NULL, 'TIGR03230', NULL, NULL, 6554, 16),
(195857, NULL, 'TIGR03867', NULL, NULL, 'MprA_tail: MprA protease C-terminal rhombosortase-interaction domain', NULL, 'TIGR03867', NULL, NULL, 16521, 16),
(195858, NULL, 'TIGR01673', NULL, NULL, 'holin_LLH: phage holin, LL-H family', NULL, 'TIGR01673', NULL, NULL, 5013, 16),
(195859, NULL, 'TIGR03402', NULL, NULL, 'FeS_nifS: cysteine desulfurase NifS', NULL, 'TIGR03402', NULL, NULL, 19181, 16),
(195860, NULL, 'TIGR01845', NULL, NULL, 'outer_NodT: efflux transporter, outer membrane factor (OMF) lipoprotein, NodT family', NULL, 'TIGR01845', NULL, NULL, 10908, 16),
(195861, NULL, 'TIGR03400', NULL, NULL, '18S_RNA_Rcl1p: 18S rRNA biogenesis protein RCL1', NULL, 'TIGR03400', NULL, NULL, 15958, 16),
(195862, NULL, 'TIGR04201', NULL, NULL, 'Myxo_Cys_RPT: Cys-rich repeat, Myxococcales-type', NULL, 'TIGR04201', NULL, NULL, 25796, 16),
(195863, NULL, 'TIGR00874', NULL, NULL, 'talAB: transaldolase', NULL, 'TIGR00874', NULL, NULL, 3639, 16),
(195864, NULL, 'TIGR02712', NULL, NULL, 'urea_carbox: urea carboxylase', NULL, 'TIGR02712', NULL, NULL, 14314, 16),
(195865, NULL, 'TIGR03695', NULL, NULL, 'menH_SHCHC: 2-succinyl-6-hydroxy-2,4-cyclohexadiene-1-carboxylate synthase', NULL, 'TIGR03695', NULL, NULL, 16990, 16),
(195866, NULL, 'TIGR00329', NULL, NULL, 'gcp_kae1: metallohydrolase, glycoprotease/Kae1 family', NULL, 'TIGR00329', NULL, NULL, 18514, 16),
(195867, NULL, 'TIGR01019', NULL, NULL, 'sucCoAalpha: succinate-CoA ligase, alpha subunit', NULL, 'TIGR01019', NULL, NULL, 5809, 16),
(195868, NULL, 'TIGR02481', NULL, NULL, 'hemeryth_dom: hemerythrin-like metal-binding domain', NULL, 'TIGR02481', NULL, NULL, 12872, 16),
(195869, NULL, 'TIGR03107', NULL, NULL, 'glu_aminopep: glutamyl aminopeptidase', NULL, 'TIGR03107', NULL, NULL, 15070, 16),
(195870, NULL, 'TIGR01210', NULL, NULL, 'TIGR01210: radical SAM enzyme, TIGR01210 family', NULL, 'TIGR01210', NULL, NULL, 178, 16),
(195871, NULL, 'TIGR02193', NULL, NULL, 'heptsyl_trn_I: lipopolysaccharide heptosyltransferase I', NULL, 'TIGR02193', NULL, NULL, 12449, 16),
(195872, NULL, 'TIGR03865', NULL, NULL, 'PQQ_CXXCW: PQQ-dependent catabolism-associated CXXCW motif protein', NULL, 'TIGR03865', NULL, NULL, 14806, 16),
(195873, NULL, 'TIGR00513', NULL, NULL, 'accA: acetyl-CoA carboxylase, carboxyl transferase, alpha subunit', NULL, 'TIGR00513', NULL, NULL, 2117, 16),
(195874, NULL, 'TIGR03060', NULL, NULL, 'PS_II_psb29: photosystem II biogenesis protein Psp29', NULL, 'TIGR03060', NULL, NULL, 21156, 16),
(195875, NULL, 'TIGR04562', NULL, NULL, 'TIGR04562: TIGR04562 family protein', NULL, 'TIGR04562', NULL, NULL, 24810, 16),
(195876, NULL, 'TIGR03171', NULL, NULL, 'soxL2: Rieske iron-sulfur protein SoxL2', NULL, 'TIGR03171', NULL, NULL, 16352, 16),
(195877, NULL, 'TIGR00048', NULL, NULL, 'rRNA_mod_RlmN: 23S rRNA (adenine(2503)-C(2))-methyltransferase', NULL, 'TIGR00048', NULL, NULL, 22015, 16),
(195878, NULL, 'TIGR00985', NULL, NULL, '3a0801s04tom: mitochondrial import receptor subunit', NULL, 'TIGR00985', NULL, NULL, 5009, 16),
(195879, NULL, 'TIGR00173', NULL, NULL, 'menD: 2-succinyl-5-enolpyruvyl-6-hydroxy-3-cyclohexene-1-carboxylic-acid synthase', NULL, 'TIGR00173', NULL, NULL, 7348, 16),
(195880, NULL, 'TIGR01675', NULL, NULL, 'plant-AP: plant acid phosphatase', NULL, 'TIGR01675', NULL, NULL, 5159, 16),
(195881, NULL, 'TIGR00520', NULL, NULL, 'asnASE_II: L-asparaginase, type II', NULL, 'TIGR00520', NULL, NULL, 709, 16),
(195882, NULL, 'TIGR00402', NULL, NULL, 'napF: ferredoxin-type protein NapF', NULL, 'TIGR00402', NULL, NULL, 1528, 16),
(195883, NULL, 'TIGR01904', NULL, NULL, 'GSu_C4xC__C2xCH: Geobacter sulfurreducens CxxxxCH...CXXCH domain', NULL, 'TIGR01904', NULL, NULL, 4132, 16);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195884, NULL, 'TIGR04555', NULL, NULL, 'sulfite_DH_soxC: sulfite dehydrogenase', NULL, 'TIGR04555', NULL, NULL, 24981, 16),
(195885, NULL, 'TIGR03218', NULL, NULL, 'catechol_dmpH: 4-oxalocrotonate decarboxylase', NULL, 'TIGR03218', NULL, NULL, 16890, 16),
(195886, NULL, 'TIGR00697', NULL, NULL, 'TIGR00697: conserved hypothetical integral membrane protein', NULL, 'TIGR00697', NULL, NULL, 2350, 16),
(195887, NULL, 'TIGR00978', NULL, NULL, 'asd_EA: aspartate-semialdehyde dehydrogenase', NULL, 'TIGR00978', NULL, NULL, 3821, 16),
(195888, NULL, 'TIGR00867', NULL, NULL, 'deg-1: degenerin', NULL, 'TIGR00867', NULL, NULL, 3855, 16),
(195889, NULL, 'TIGR04496', NULL, NULL, 'rSAM_XyeB: radical SAM/SPASM domain peptide maturase, XyeB family', NULL, 'TIGR04496', NULL, NULL, 22262, 16),
(195890, NULL, 'TIGR01700', NULL, NULL, 'PNPH: purine nucleoside phosphorylase I, inosine and guanosine-specific', NULL, 'TIGR01700', NULL, NULL, 9835, 16),
(195891, NULL, 'TIGR00731', NULL, NULL, 'bL25_bact_ctc: ribosomal protein bL25, Ctc-form', NULL, 'TIGR00731', NULL, NULL, 2159, 16),
(195892, NULL, 'TIGR03429', NULL, NULL, 'arom_pren_DMATS: aromatic prenyltransferase, DMATS type', NULL, 'TIGR03429', NULL, NULL, 19205, 16),
(195893, NULL, 'TIGR02308', NULL, NULL, 'RNA_lig_T4_1: RNA ligase, T4 RnlA family', NULL, 'TIGR02308', NULL, NULL, 10912, 16),
(195894, NULL, 'TIGR02821', NULL, NULL, 'fghA_ester_D: S-formylglutathione hydrolase', NULL, 'TIGR02821', NULL, NULL, 8963, 16),
(195895, NULL, 'TIGR04344', NULL, NULL, 'ovoA_Nterm: 5-histidylcysteine sulfoxide synthase', NULL, 'TIGR04344', NULL, NULL, 29183, 16),
(195896, NULL, 'TIGR03375', NULL, NULL, 'type_I_sec_LssB: type I secretion system ATPase', NULL, 'TIGR03375', NULL, NULL, 19194, 16),
(195897, NULL, 'TIGR02254', NULL, NULL, 'YjjG/YfnB: noncanonical pyrimidine nucleotidase, YjjG family', NULL, 'TIGR02254', NULL, NULL, 11020, 16),
(195898, NULL, 'TIGR04031', NULL, NULL, 'Htur_1727_fam: rSAM-partnered protein, Htur_1727 family', NULL, 'TIGR04031', NULL, NULL, 11875, 16),
(195899, NULL, 'TIGR02424', NULL, NULL, 'TF_pcaQ: pca operon transcription factor PcaQ', NULL, 'TIGR02424', NULL, NULL, 10461, 16),
(195900, NULL, 'TIGR00486', NULL, NULL, 'YbgI_SA1388: dinuclear metal center protein, YbgI/SA1388 family', NULL, 'TIGR00486', NULL, NULL, 2665, 16),
(195901, NULL, 'TIGR02651', NULL, NULL, 'RNase_Z: ribonuclease Z', NULL, 'TIGR02651', NULL, NULL, 10009, 16),
(195902, NULL, 'TIGR02889', NULL, NULL, 'spore_YpeB: germination protein YpeB', NULL, 'TIGR02889', NULL, NULL, 10747, 16),
(195903, NULL, 'TIGR00901', NULL, NULL, '2A0125: AmpG-like permease', NULL, 'TIGR00901', NULL, NULL, NULL, 16),
(195904, NULL, 'TIGR00021', NULL, NULL, 'rpiA: ribose 5-phosphate isomerase A', NULL, 'TIGR00021', NULL, NULL, 5170, 16),
(195905, NULL, 'TIGR01169', NULL, NULL, 'rplA_bact: ribosomal protein uL1', NULL, 'TIGR01169', NULL, NULL, 6762, 16),
(195906, NULL, 'TIGR01142', NULL, NULL, 'purT: phosphoribosylglycinamide formyltransferase 2', NULL, 'TIGR01142', NULL, NULL, 6770, 16),
(195907, NULL, 'TIGR04269', NULL, NULL, 'SAM_SPASM_FxsB: radical SAM/SPASM domain protein, FxsB family', NULL, 'TIGR04269', NULL, NULL, 26482, 16),
(195908, NULL, 'TIGR00561', NULL, NULL, 'pntA: NAD(P)(+) transhydrogenase (AB-specific), alpha subunit', NULL, 'TIGR00561', NULL, NULL, 26132, 16),
(195909, NULL, 'TIGR00928', NULL, NULL, 'purB: adenylosuccinate lyase', NULL, 'TIGR00928', NULL, NULL, 5355, 16),
(195910, NULL, 'TIGR04514', NULL, NULL, 'GWxTD_dom: GWxTD domain', NULL, 'TIGR04514', NULL, NULL, 26606, 16),
(195911, NULL, 'TIGR03259', NULL, NULL, 'met_CoM_red_gam: methyl-coenzyme M reductase, gamma subunit', NULL, 'TIGR03259', NULL, NULL, 2552, 16),
(195912, NULL, 'TIGR00656', NULL, NULL, 'asp_kin_monofn: aspartate kinase, monofunctional class', NULL, 'TIGR00656', NULL, NULL, 4392, 16),
(195913, NULL, 'TIGR03504', NULL, NULL, 'FimV_Cterm: FimV C-terminal domain', NULL, 'TIGR03504', NULL, NULL, 17288, 16),
(195914, NULL, 'TIGR01509', NULL, NULL, 'HAD-SF-IA-v3: HAD hydrolase, family IA, variant 3', NULL, 'TIGR01509', NULL, NULL, 6898, 16);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195915, NULL, 'TIGR03933', NULL, NULL, 'PIA_icaB: intercellular adhesin biosynthesis polysaccharide N-deacetylase', NULL, 'TIGR03933', NULL, NULL, 17333, 16),
(195916, NULL, 'TIGR03491', NULL, NULL, 'TIGR03491: putative RecB family nuclease, TM0106 family', NULL, 'TIGR03491', NULL, NULL, 17591, 16),
(195917, NULL, 'TIGR04099', NULL, NULL, 'biosn_Pnap_2097: probable biosynthetic protein, Pnap_2097 family', NULL, 'TIGR04099', NULL, NULL, NULL, 16),
(195918, NULL, 'TIGR01339', NULL, NULL, 'phycocy_beta: phycocyanin, beta subunit', NULL, 'TIGR01339', NULL, NULL, 3792, 16),
(195919, NULL, 'TIGR02084', NULL, NULL, 'leud: 3-isopropylmalate dehydratase, small subunit', NULL, 'TIGR02084', NULL, NULL, 14192, 16),
(195920, NULL, 'TIGR01571', NULL, NULL, 'A_thal_Cys_rich: uncharacterized Cys-rich domain', NULL, 'TIGR01571', NULL, NULL, 6745, 16),
(195921, NULL, 'TIGR04174', NULL, NULL, 'IPTL_CTERM: IPTL-CTERM protein sorting domain', NULL, 'TIGR04174', NULL, NULL, 24183, 16),
(195922, NULL, 'TIGR01414', NULL, NULL, 'autotrans_barl: outer membrane autotransporter barrel domain', NULL, 'TIGR01414', NULL, NULL, 4867, 16),
(195923, NULL, 'TIGR03661', NULL, NULL, 'T1SS_VCA0849: type I secretion C-terminal target domain (VC_A0849 subclass)', NULL, 'TIGR03661', NULL, NULL, 15332, 16),
(195924, NULL, 'TIGR03817', NULL, NULL, 'DECH_helic: helicase/secretion neighborhood putative DEAH-box helicase', NULL, 'TIGR03817', NULL, NULL, 14163, 16),
(195925, NULL, 'TIGR02794', NULL, NULL, 'tolA_full: protein TolA', NULL, 'TIGR02794', NULL, NULL, 14188, 16),
(195926, NULL, 'TIGR03969', NULL, NULL, 'mycofactocin: mycofactocin precursor', NULL, 'TIGR03969', NULL, NULL, 11551, 16),
(195927, NULL, 'TIGR03089', NULL, NULL, 'TIGR03089: TIGR03089 family protein', NULL, 'TIGR03089', NULL, NULL, 15267, 16),
(195928, NULL, 'TIGR03280', NULL, NULL, 'methan_mark_11: methanogenesis imperfect marker protein 11', NULL, 'TIGR03280', NULL, NULL, 17851, 16),
(195929, NULL, 'TIGR03005', NULL, NULL, 'ectoine_ehuA: ectoine/hydroxyectoine ABC transporter, ATP-binding protein EhuA', NULL, 'TIGR03005', NULL, NULL, 11321, 16),
(195930, NULL, 'TIGR01312', NULL, NULL, 'XylB: xylulokinase', NULL, 'TIGR01312', NULL, NULL, 1164, 16),
(195931, NULL, 'TIGR02746', NULL, NULL, 'TraC-F-type: type-IV secretion system protein TraC', NULL, 'TIGR02746', NULL, NULL, 13850, 16),
(195932, NULL, 'TIGR03763', NULL, NULL, 'cyanoexo_CrtA: cyanoexosortase A', NULL, 'TIGR03763', NULL, NULL, 16935, 16),
(195933, NULL, 'TIGR01947', NULL, NULL, 'rnfG: electron transport complex, RnfABCDGE type, G subunit', NULL, 'TIGR01947', NULL, NULL, 4136, 16),
(195934, NULL, 'TIGR00445', NULL, NULL, 'mraY: phospho-N-acetylmuramoyl-pentapeptide-transferase', NULL, 'TIGR00445', NULL, NULL, 6007, 16),
(195935, NULL, 'TIGR00391', NULL, NULL, 'hydA: hydrogenase (NiFe) small subunit (hydA)', NULL, 'TIGR00391', NULL, NULL, 4486, 16),
(195936, NULL, 'TIGR01777', NULL, NULL, 'yfcH: TIGR01777 family protein', NULL, 'TIGR01777', NULL, NULL, 2469, 16),
(195937, NULL, 'TIGR04126', NULL, NULL, 'PGF_CTERM: PGF-CTERM archaeal protein-sorting signal', NULL, 'TIGR04126', NULL, NULL, 24047, 16),
(195938, NULL, 'TIGR02964', NULL, NULL, 'xanthine_xdhC: xanthine dehydrogenase accessory protein XdhC', NULL, 'TIGR02964', NULL, NULL, 9550, 16),
(195939, NULL, 'TIGR02111', NULL, NULL, 'PQQ_syn_pqqC: coenzyme PQQ biosynthesis protein C', NULL, 'TIGR02111', NULL, NULL, 14049, 16),
(195940, NULL, 'TIGR00758', NULL, NULL, 'UDG_fam4: uracil-DNA glycosylase, family 4', NULL, 'TIGR00758', NULL, NULL, 4045, 16),
(195941, NULL, 'TIGR00275', NULL, NULL, 'TIGR00275: flavoprotein, HI0933 family', NULL, 'TIGR00275', NULL, NULL, 5295, 16),
(195942, NULL, 'TIGR01893', NULL, NULL, 'aa-his-dipept: Xaa-His dipeptidase', NULL, 'TIGR01893', NULL, NULL, 1391, 16),
(195943, NULL, 'TIGR03647', NULL, NULL, 'Na_symport_sm: putative solute:sodium symporter small subunit', NULL, 'TIGR03647', NULL, NULL, 18461, 16),
(195944, NULL, 'TIGR00588', NULL, NULL, 'ogg: 8-oxoguanine DNA-glycosylase (ogg)', NULL, 'TIGR00588', NULL, NULL, 925, 16);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195945, NULL, 'TIGR02138', NULL, NULL, 'phosphate_pstC: phosphate ABC transporter, permease protein PstC', NULL, 'TIGR02138', NULL, NULL, 14473, 16),
(195946, NULL, 'TIGR01128', NULL, NULL, 'holA: DNA polymerase III, delta subunit', NULL, 'TIGR01128', NULL, NULL, 5871, 16),
(195947, NULL, 'TIGR00615', NULL, NULL, 'recR: recombination protein RecR', NULL, 'TIGR00615', NULL, NULL, 2612, 16),
(195948, NULL, 'TIGR00123', NULL, NULL, 'cbiM: cobalamin biosynthesis protein CbiM', NULL, 'TIGR00123', NULL, NULL, 11780, 16),
(195949, NULL, 'TIGR03450', NULL, NULL, 'mycothiol_INO1: inositol 1-phosphate synthase', NULL, 'TIGR03450', NULL, NULL, 19926, 16),
(195950, NULL, 'TIGR04460', NULL, NULL, 'endura_MppR: enduracididine biosynthesis enzyme MppR', NULL, 'TIGR04460', NULL, NULL, 27523, 16),
(195951, NULL, 'TIGR01802', NULL, NULL, 'CM_pl-yst: chorismate mutase', NULL, 'TIGR01802', NULL, NULL, 650, 16),
(195952, NULL, 'TIGR01625', NULL, NULL, 'YidE_YbjL_dupl: AspT/YidE/YbjL antiporter duplication domain', NULL, 'TIGR01625', NULL, NULL, 6828, 16),
(195953, NULL, 'TIGR01285', NULL, NULL, 'nifN: nitrogenase molybdenum-iron cofactor biosynthesis protein NifN', NULL, 'TIGR01285', NULL, NULL, 1374, 16),
(195954, NULL, 'TIGR04303', NULL, NULL, 'GeoRSP_rSAM: GeoRSP system radical SAM/SPASM protein', NULL, 'TIGR04303', NULL, NULL, 23667, 16),
(195955, NULL, 'TIGR00268', NULL, NULL, 'TIGR00268: TIGR00268 family protein', NULL, 'TIGR00268', NULL, NULL, 11086, 16),
(195956, NULL, 'TIGR04290', NULL, NULL, 'meth_Rta_06860: methyltransferase, Rta_06860 family', NULL, 'TIGR04290', NULL, NULL, 28509, 16),
(195957, NULL, 'TIGR03620', NULL, NULL, 'F420_MSMEG_4141: probable F420-dependent oxidoreductase, MSMEG_4141 family', NULL, 'TIGR03620', NULL, NULL, 15104, 16),
(195958, NULL, 'TIGR01455', NULL, NULL, 'glmM: phosphoglucosamine mutase', NULL, 'TIGR01455', NULL, NULL, 4511, 16),
(195959, NULL, 'TIGR00942', NULL, NULL, '2a6301s05: multicomponent Na+:H+ antiporter', NULL, 'TIGR00942', NULL, NULL, 6447, 16),
(195960, NULL, 'TIGR04133', NULL, NULL, 'rSAM_w_lipo: radical SAM enzyme, rSAM/lipoprotein system', NULL, 'TIGR04133', NULL, NULL, 21860, 16),
(195961, NULL, 'TIGR02322', NULL, NULL, 'phosphon_PhnN: phosphonate metabolism protein/1,5-bisphosphokinase (PRPP-forming) PhnN', NULL, 'TIGR02322', NULL, NULL, 11602, 16),
(195962, NULL, 'TIGR02753', NULL, NULL, 'sodN: superoxide dismutase, Ni', NULL, 'TIGR02753', NULL, NULL, 13665, 16),
(195963, NULL, 'TIGR03722', NULL, NULL, 'arch_KAE1: universal archaeal protein Kae1', NULL, 'TIGR03722', NULL, NULL, 21348, 16),
(195964, NULL, 'TIGR01407', NULL, NULL, 'dinG_rel: putative DnaQ family exonuclease/DinG family helicase', NULL, 'TIGR01407', NULL, NULL, 4846, 16),
(195965, NULL, 'TIGR03443', NULL, NULL, 'alpha_am_amid: L-aminoadipate-semialdehyde dehydrogenase', NULL, 'TIGR03443', NULL, NULL, 7708, 16),
(195966, NULL, 'TIGR01353', NULL, NULL, 'dGTP_triPase: putative dGTPase', NULL, 'TIGR01353', NULL, NULL, 3748, 16),
(195967, NULL, 'TIGR02787', NULL, NULL, 'codY_Gpos: GTP-sensing transcriptional pleiotropic repressor CodY', NULL, 'TIGR02787', NULL, NULL, 14369, 16),
(195968, NULL, 'TIGR00833', NULL, NULL, 'actII: transport protein', NULL, 'TIGR00833', NULL, NULL, 3622, 16),
(195969, NULL, 'TIGR01988', NULL, NULL, 'Ubi-OHases: ubiquinone biosynthesis hydroxylase, UbiH/UbiF/VisC/COQ6 family', NULL, 'TIGR01988', NULL, NULL, 2447, 16),
(195970, NULL, 'TIGR03012', NULL, NULL, 'sulf_tusD_dsrE: sulfur relay protein TusD/DsrE', NULL, 'TIGR03012', NULL, NULL, 21330, 16),
(195971, NULL, 'TIGR04242', NULL, NULL, 'nodulat_NodC: chitooligosaccharide synthase NodC', NULL, 'TIGR04242', NULL, NULL, 27179, 16),
(195972, NULL, 'TIGR04167', NULL, NULL, 'rSAM_SeCys: radical SAM/Cys-rich domain protein', NULL, 'TIGR04167', NULL, NULL, 24216, 16),
(195973, NULL, 'TIGR00717', NULL, NULL, 'rpsA: ribosomal protein bS1', NULL, 'TIGR00717', NULL, NULL, 2534, 16),
(195974, NULL, 'TIGR02152', NULL, NULL, 'D_ribokin_bact: ribokinase', NULL, 'TIGR02152', NULL, NULL, 14116, 16),
(195975, NULL, 'TIGR04412', NULL, NULL, 'T2SS_GspM_XcpZ: type II secretion system protein M', NULL, 'TIGR04412', NULL, NULL, 28436, 16);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(195976, NULL, 'TIGR03477', NULL, NULL, 'DMSO_red_II_gam: DMSO reductase family type II enzyme, heme b subunit', NULL, 'TIGR03477', NULL, NULL, 20353, 16),
(195977, NULL, 'TIGR02206', NULL, NULL, 'intg_mem_TP0381: conserved hypothetical integral membrane protein TIGR02206', NULL, 'TIGR02206', NULL, NULL, 11735, 16),
(195978, NULL, 'TIGR00663', NULL, NULL, 'dnan: DNA polymerase III, beta subunit', NULL, 'TIGR00663', NULL, NULL, 4469, 16),
(195979, NULL, 'TIGR02923', NULL, NULL, 'AhaC: ATP synthase A1, C subunit', NULL, 'TIGR02923', NULL, NULL, 8738, 16),
(195980, NULL, 'TIGR00554', NULL, NULL, 'panK_bact: pantothenate kinase', NULL, 'TIGR00554', NULL, NULL, 716, 16),
(195981, NULL, 'TIGR03606', NULL, NULL, 'non_repeat_PQQ: dehydrogenase, PQQ-dependent, s-GDH family', NULL, 'TIGR03606', NULL, NULL, 15270, 16),
(195982, NULL, 'TIGR00547', NULL, NULL, 'lolA: outer membrane lipoprotein carrier protein LolA', NULL, 'TIGR00547', NULL, NULL, 17690, 16),
(195983, NULL, 'TIGR01074', NULL, NULL, 'rep: ATP-dependent DNA helicase Rep', NULL, 'TIGR01074', NULL, NULL, 4644, 16),
(195984, NULL, 'TIGR00007', NULL, NULL, 'TIGR00007: 1-(5-phosphoribosyl)-5-[(5-phosphoribosylamino)methylideneamino]imidazole-4-carboxamide isomerase', NULL, 'TIGR00007', NULL, NULL, 2985, 16),
(195985, NULL, 'TIGR01237', NULL, NULL, 'D1pyr5carbox2: putative delta-1-pyrroline-5-carboxylate dehydrogenase', NULL, 'TIGR01237', NULL, NULL, 239, 16),
(195986, NULL, 'TIGR04072', NULL, NULL, 'rSAM_ladder_B12: lipid biosynthesis B12-binding/radical SAM protein', NULL, 'TIGR04072', NULL, NULL, 11438, 16),
(195987, NULL, 'TIGR01067', NULL, NULL, 'rplN_bact: ribosomal protein uL14', NULL, 'TIGR01067', NULL, NULL, 4530, 16),
(195988, NULL, 'TIGR03831', NULL, NULL, 'YgiT_finger: YgiT-type zinc finger domain', NULL, 'TIGR03831', NULL, NULL, 14891, 16),
(195989, NULL, 'TIGR01244', NULL, NULL, 'TIGR01244: TIGR01244 family protein', NULL, 'TIGR01244', NULL, NULL, 185, 16),
(195990, NULL, 'TIGR02916', NULL, NULL, 'PEP_his_kin: putative PEP-CTERM system histidine kinase', NULL, 'TIGR02916', NULL, NULL, 11538, 16),
(195991, NULL, 'TIGR00826', NULL, NULL, 'EIIB_glc: PTS system, glucose-like IIB component', NULL, 'TIGR00826', NULL, NULL, 5125, 16),
(195992, NULL, 'TIGR00384', NULL, NULL, 'dhsB: succinate dehydrogenase and fumarate reductase iron-sulfur protein', NULL, 'TIGR00384', NULL, NULL, 1580, 16),
(195993, NULL, 'TIGR04521', NULL, NULL, 'ECF_ATPase_2: energy-coupling factor transporter ATPase', NULL, 'TIGR04521', NULL, NULL, 26774, 16),
(195994, NULL, 'TIGR00377', NULL, NULL, 'ant_ant_sig: anti-anti-sigma factor', NULL, 'TIGR00377', NULL, NULL, 1161, 16),
(195995, NULL, 'TIGR01879', NULL, NULL, 'hydantase: amidase, hydantoinase/carbamoylase family', NULL, 'TIGR01879', NULL, NULL, 10799, 16),
(195996, NULL, 'TIGR03382', NULL, NULL, 'GC_trans_RRR: Myxococcales GC_trans_RRR domain', NULL, 'TIGR03382', NULL, NULL, 19010, 16),
(195997, NULL, 'TIGR00724', NULL, NULL, 'urea_amlyse_rel: biotin-dependent carboxylase uncharacterized domain', NULL, 'TIGR00724', NULL, NULL, 3381, 16),
(195998, NULL, 'TIGR04351', NULL, NULL, 'TOMM_nitrile_2: putative TOMM peptide', NULL, 'TIGR04351', NULL, NULL, 23989, 16),
(195999, NULL, 'TIGR04405', NULL, NULL, 'SkfF: sporulation killing factor system integral membrane protein', NULL, 'TIGR04405', NULL, NULL, 23509, 16),
(196000, NULL, 'TIGR00670', NULL, NULL, 'asp_carb_tr: aspartate carbamoyltransferase', NULL, 'TIGR00670', NULL, NULL, 1231, 16),
(196001, NULL, 'TIGR01346', NULL, NULL, 'isocit_lyase: isocitrate lyase', NULL, 'TIGR01346', NULL, NULL, 3547, 16),
(196002, NULL, 'TIGR02862', NULL, NULL, 'spore_BofA: pro-sigmaK processing inhibitor BofA', NULL, 'TIGR02862', NULL, NULL, 9337, 16),
(196003, NULL, 'TIGR02036', NULL, NULL, 'dsdC: D-serine deaminase transcriptional activator', NULL, 'TIGR02036', NULL, NULL, 13479, 16),
(196004, NULL, 'TIGR02692', NULL, NULL, 'tRNA_CCA_actino: CCA tRNA nucleotidyltransferase', NULL, 'TIGR02692', NULL, NULL, 13763, 16),
(196005, NULL, 'TIGR03538', NULL, NULL, 'DapC_gpp: succinyldiaminopimelate transaminase', NULL, 'TIGR03538', NULL, NULL, 17057, 16);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196006, NULL, 'TIGR01176', NULL, NULL, 'fum_red_Fp: fumarate reductase (quinol), flavoprotein subunit', NULL, 'TIGR01176', NULL, NULL, 6899, 16),
(196007, NULL, 'TIGR02848', NULL, NULL, 'spore_III_AC: stage III sporulation protein AC', NULL, 'TIGR02848', NULL, NULL, 833, 16),
(196008, NULL, 'TIGR01523', NULL, NULL, 'ATPase-IID_K-Na: potassium/sodium efflux P-type ATPase, fungal-type', NULL, 'TIGR01523', NULL, NULL, 6608, 16),
(196009, NULL, 'TIGR04228', NULL, NULL, 'isopep_sspB_C2: adhesin isopeptide-forming adherence domain', NULL, 'TIGR04228', NULL, NULL, 24425, 16),
(196010, NULL, 'TIGR02678', NULL, NULL, 'TIGR02678: TIGR02678 family protein', NULL, 'TIGR02678', NULL, NULL, 10210, 16),
(196011, NULL, 'TIGR03552', NULL, NULL, 'F420_cofC: 2-phospho-L-lactate guanylyltransferase', NULL, 'TIGR03552', NULL, NULL, 5332, 16),
(196012, NULL, 'TIGR01995', NULL, NULL, 'PTS-II-ABC-beta: PTS system, beta-glucoside-specific IIABC component', NULL, 'TIGR01995', NULL, NULL, 10205, 16),
(196013, NULL, 'TIGR00493', NULL, NULL, 'clpP: ATP-dependent Clp endopeptidase, proteolytic subunit ClpP', NULL, 'TIGR00493', NULL, NULL, 2183, 16),
(196014, NULL, 'TIGR02050', NULL, NULL, 'gshA_cyan_rel: carboxylate-amine ligase, YbdK family', NULL, 'TIGR02050', NULL, NULL, 13309, 16),
(196015, NULL, 'TIGR00840', NULL, NULL, 'b_cpa1: sodium/hydrogen exchanger 3', NULL, 'TIGR00840', NULL, NULL, 3588, 16),
(196016, NULL, 'TIGR04235', NULL, NULL, 'seadorna_VP4: seadornavirus VP4 protein', NULL, 'TIGR04235', NULL, NULL, 23001, 16),
(196017, NULL, 'TIGR01190', NULL, NULL, 'ccmB: heme exporter protein CcmB', NULL, 'TIGR01190', NULL, NULL, 23587, 16),
(196018, NULL, 'TIGR02213', NULL, NULL, 'lolE_release: lipoprotein releasing system, transmembrane protein LolE', NULL, 'TIGR02213', NULL, NULL, 11210, 16),
(196019, NULL, 'TIGR03715', NULL, NULL, 'KxYKxGKxW: KxYKxGKxW signal peptide', NULL, 'TIGR03715', NULL, NULL, 15672, 16),
(196020, NULL, 'TIGR01360', NULL, NULL, 'aden_kin_iso1: adenylate kinase', NULL, 'TIGR01360', NULL, NULL, 3528, 16),
(196021, NULL, 'TIGR03368', NULL, NULL, 'cellulose_yhjU: cellulose synthase operon protein YhjU', NULL, 'TIGR03368', NULL, NULL, 19349, 16),
(196022, NULL, 'TIGR01183', NULL, NULL, 'ntrB: nitrate ABC transporter, permease protein', NULL, 'TIGR01183', NULL, NULL, 6946, 16),
(196023, NULL, 'TIGR03198', NULL, NULL, 'pucE: xanthine dehydrogenase E subunit', NULL, 'TIGR03198', NULL, NULL, 16378, 16),
(196024, NULL, 'TIGR02043', NULL, NULL, 'ZntR: Zn(II)-responsive transcriptional regulator', NULL, 'TIGR02043', NULL, NULL, 13378, 16),
(196025, NULL, 'TIGR03545', NULL, NULL, 'TIGR03545: TIGR03545 family protein', NULL, 'TIGR03545', NULL, NULL, 18454, 16),
(196026, NULL, 'TIGR01530', NULL, NULL, 'nadN: NAD nucleotidase', NULL, 'TIGR01530', NULL, NULL, 6611, 16),
(196027, NULL, 'TIGR04058', NULL, NULL, 'AcACP_reductase: long-chain fatty acyl-ACP reductase (aldehyde-forming)', NULL, 'TIGR04058', NULL, NULL, 16277, 16),
(196028, NULL, 'TIGR02685', NULL, NULL, 'pter_reduc_Leis: pteridine reductase', NULL, 'TIGR02685', NULL, NULL, 13746, 16),
(196029, NULL, 'TIGR04153', NULL, NULL, 'cyanosortA_assc: cyanosortase A-associated protein', NULL, 'TIGR04153', NULL, NULL, 21855, 16),
(196030, NULL, 'TIGR01305', NULL, NULL, 'GMP_reduct_1: guanosine monophosphate reductase', NULL, 'TIGR01305', NULL, NULL, 1386, 16),
(196031, NULL, 'TIGR00954', NULL, NULL, '3a01203: peroxysomal long chain fatty acyl transporter', NULL, 'TIGR00954', NULL, NULL, 4471, 16),
(196032, NULL, 'TIGR01592', NULL, NULL, 'holin_SPP1: holin, SPP1 family', NULL, 'TIGR01592', NULL, NULL, 6375, 16),
(196033, NULL, 'TIGR03755', NULL, NULL, 'conj_TIGR03755: integrating conjugative element protein, PFL_4711 family', NULL, 'TIGR03755', NULL, NULL, 16705, 16),
(196034, NULL, 'TIGR00714', NULL, NULL, 'hscB: Fe-S protein assembly co-chaperone HscB', NULL, 'TIGR00714', NULL, NULL, 2964, 16),
(196035, NULL, 'TIGR04393', NULL, NULL, 'rpt_T5SS_PEPC: T5SS/PEP-CTERM-associated repeat', NULL, 'TIGR04393', NULL, NULL, 22906, 16),
(196036, NULL, 'TIGR03515', NULL, NULL, 'GldC: gliding motility-associated protein GldC', NULL, 'TIGR03515', NULL, NULL, 18154, 16);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196037, NULL, 'TIGR01112', NULL, NULL, 'mtrD: tetrahydromethanopterin S-methyltransferase, subunit D', NULL, 'TIGR01112', NULL, NULL, 5889, 16),
(196038, NULL, 'TIGR04106', NULL, NULL, 'cas8c_GSU0052: CRISPR-associated protein GSU0052/csb3, Dpsyc system', NULL, 'TIGR04106', NULL, NULL, 23455, 16),
(196039, NULL, 'TIGR03459', NULL, NULL, 'crt_membr: carotene biosynthesis associated membrane protein', NULL, 'TIGR03459', NULL, NULL, 19913, 16),
(196040, NULL, 'TIGR01489', NULL, NULL, 'DKMTPPase-SF: 2,3-diketo-5-methylthio-1-phosphopentane phosphatase', NULL, 'TIGR01489', NULL, NULL, 5925, 16),
(196041, NULL, 'TIGR00907', NULL, NULL, '2A0304: amino acid permease', NULL, 'TIGR00907', NULL, NULL, 5314, 16),
(196042, NULL, 'TIGR02183', NULL, NULL, 'GRXA: glutaredoxin, GrxA family', NULL, 'TIGR02183', NULL, NULL, 12216, 16),
(196043, NULL, 'TIGR03708', NULL, NULL, 'poly_P_AMP_trns: polyphosphate:AMP phosphotransferase', NULL, 'TIGR03708', NULL, NULL, 16682, 16),
(196044, NULL, 'TIGR00761', NULL, NULL, 'argB: acetylglutamate kinase', NULL, 'TIGR00761', NULL, NULL, 2748, 16),
(196045, NULL, 'TIGR01785', NULL, NULL, 'TonB-hemin: TonB-dependent heme/hemoglobin receptor family protein', NULL, 'TIGR01785', NULL, NULL, 10467, 16),
(196046, NULL, 'TIGR01009', NULL, NULL, 'rpsC_bact: ribosomal protein uS3', NULL, 'TIGR01009', NULL, NULL, 3976, 16),
(196047, NULL, 'TIGR03562', NULL, NULL, 'osmo_induc_OsmC: peroxiredoxin, OsmC subfamily', NULL, 'TIGR03562', NULL, NULL, 18421, 16),
(196048, NULL, 'TIGR00521', NULL, NULL, 'coaBC_dfp: phosphopantothenoylcysteine decarboxylase / phosphopantothenate--cysteine ligase', NULL, 'TIGR00521', NULL, NULL, 11105, 16),
(196049, NULL, 'TIGR01978', NULL, NULL, 'sufC: FeS assembly ATPase SufC', NULL, 'TIGR01978', NULL, NULL, 4275, 16),
(196050, NULL, 'TIGR01296', NULL, NULL, 'asd_B: aspartate-semialdehyde dehydrogenase', NULL, 'TIGR01296', NULL, NULL, 1134, 16),
(196051, NULL, 'TIGR02971', NULL, NULL, 'heterocyst_DevB: ABC exporter membrane fusion protein, DevB family', NULL, 'TIGR02971', NULL, NULL, 9871, 16),
(196052, NULL, 'TIGR01601', NULL, NULL, 'PYST-C1: Plasmodium yoelii subtelomeric domain PYST-C1', NULL, 'TIGR01601', NULL, NULL, 6196, 16),
(196053, NULL, 'TIGR00898', NULL, NULL, '2A0119: cation transport protein', NULL, 'TIGR00898', NULL, NULL, 5244, 16),
(196054, NULL, 'TIGR03811', NULL, NULL, 'tyr_de_CO2_Ent: tyrosine decarboxylase', NULL, 'TIGR03811', NULL, NULL, 16342, 16),
(196055, NULL, 'TIGR02628', NULL, NULL, 'fuculo_kin_coli: L-fuculokinase', NULL, 'TIGR02628', NULL, NULL, 9369, 16),
(196056, NULL, 'TIGR02136', NULL, NULL, 'ptsS_2: phosphate binding protein', NULL, 'TIGR02136', NULL, NULL, 14210, 16),
(196057, NULL, 'TIGR03219', NULL, NULL, 'salicylate_mono: salicylate 1-monooxygenase', NULL, 'TIGR03219', NULL, NULL, 16975, 16),
(196058, NULL, 'TIGR01738', NULL, NULL, 'bioH: pimelyl-[acyl-carrier protein] methyl ester esterase', NULL, 'TIGR01738', NULL, NULL, 2186, 16),
(196059, NULL, 'TIGR02376', NULL, NULL, 'Cu_nitrite_red: nitrite reductase, copper-containing', NULL, 'TIGR02376', NULL, NULL, 194, 16),
(196060, NULL, 'TIGR02569', NULL, NULL, 'TIGR02569_actnb: TIGR02569 family protein', NULL, 'TIGR02569', NULL, NULL, 11634, 16),
(196061, NULL, 'TIGR01352', NULL, NULL, 'tonB_Cterm: TonB family C-terminal domain', NULL, 'TIGR01352', NULL, NULL, 3669, 16),
(196062, NULL, 'TIGR00119', NULL, NULL, 'acolac_sm: acetolactate synthase, small subunit', NULL, 'TIGR00119', NULL, NULL, 5359, 16),
(196063, NULL, 'TIGR03995', NULL, NULL, 'target_X_rSAM: putative rSAM target protein, CGCGG family', NULL, 'TIGR03995', NULL, NULL, 18208, 16),
(196064, NULL, 'TIGR01545', NULL, NULL, 'YfhB_g-proteo: HAD hydrolase, family IF', NULL, 'TIGR01545', NULL, NULL, 6589, 16),
(196065, NULL, 'TIGR03026', NULL, NULL, 'NDP-sugDHase: nucleotide sugar dehydrogenase', NULL, 'TIGR03026', NULL, NULL, 21329, 16),
(196066, NULL, 'TIGR03023', NULL, NULL, 'WcaJ_sugtrans: undecaprenyl-phosphate glucose phosphotransferase', NULL, 'TIGR03023', NULL, NULL, 21472, 16),
(196067, NULL, 'TIGR00222', NULL, NULL, 'panB: 3-methyl-2-oxobutanoate hydroxymethyltransferase', NULL, 'TIGR00222', NULL, NULL, 2465, 16);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196068, NULL, 'TIGR02242', NULL, NULL, 'tail_TIGR02242: phage tail protein domain', NULL, 'TIGR02242', NULL, NULL, 11690, 16),
(196069, NULL, 'TIGR02432', NULL, NULL, 'lysidine_TilS_N: tRNA(Ile)-lysidine synthetase', NULL, 'TIGR02432', NULL, NULL, 10204, 16),
(196070, NULL, 'TIGR00359', NULL, NULL, 'cello_pts_IIC: PTS system, cellobiose-specific IIC component', NULL, 'TIGR00359', NULL, NULL, 5038, 16),
(196071, NULL, 'TIGR00655', NULL, NULL, 'PurU: formyltetrahydrofolate deformylase', NULL, 'TIGR00655', NULL, NULL, 4383, 16),
(196072, NULL, 'TIGR02139', NULL, NULL, 'permease_CysT: sulfate ABC transporter, permease protein CysT', NULL, 'TIGR02139', NULL, NULL, 14230, 16),
(196073, NULL, 'TIGR04402', NULL, NULL, 'mob_CxxC_CxxC: mobilome CxxCx(11)CxxC protein', NULL, 'TIGR04402', NULL, NULL, 27649, 16),
(196074, NULL, 'TIGR00169', NULL, NULL, 'leuB: 3-isopropylmalate dehydrogenase', NULL, 'TIGR00169', NULL, NULL, 7139, 16),
(196075, NULL, 'TIGR03266', NULL, NULL, 'methan_mark_1: putative methanogenesis marker protein 1', NULL, 'TIGR03266', NULL, NULL, 17205, 16),
(196076, NULL, 'TIGR00465', NULL, NULL, 'ilvC: ketol-acid reductoisomerase', NULL, 'TIGR00465', NULL, NULL, 13475, 16),
(196077, NULL, 'TIGR02329', NULL, NULL, 'propionate_PrpR: propionate catabolism operon regulatory protein PrpR', NULL, 'TIGR02329', NULL, NULL, 11643, 16),
(196078, NULL, 'TIGR01651', NULL, NULL, 'CobT: cobaltochelatase, CobT subunit', NULL, 'TIGR01651', NULL, NULL, 338, 16),
(196079, NULL, 'TIGR00608', NULL, NULL, 'radc: DNA repair protein RadC', NULL, 'TIGR00608', NULL, NULL, 3431, 16),
(196080, NULL, 'TIGR01841', NULL, NULL, 'phasin: phasin family protein', NULL, 'TIGR01841', NULL, NULL, 10648, 16),
(196081, NULL, 'TIGR03948', NULL, NULL, 'butyr_acet_CoA: butyryl-CoA:acetate CoA-transferase', NULL, 'TIGR03948', NULL, NULL, 12570, 16),
(196082, NULL, 'TIGR04349', NULL, NULL, 'rSAM_QueE_gams: putative 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', NULL, 'TIGR04349', NULL, NULL, 24086, 16),
(196083, NULL, 'TIGR04539', NULL, NULL, 'tRNA_cyclodipep: tRNA-dependent cyclodipeptide synthase', NULL, 'TIGR04539', NULL, NULL, 26574, 16),
(196084, NULL, 'TIGR00418', NULL, NULL, 'thrS: threonine--tRNA ligase', NULL, 'TIGR00418', NULL, NULL, 6104, 16),
(196085, NULL, 'TIGR01246', NULL, NULL, 'dapE_proteo: succinyl-diaminopimelate desuccinylase', NULL, 'TIGR01246', NULL, NULL, 431, 16),
(196086, NULL, 'TIGR04212', NULL, NULL, 'GlyGly_RbtA: rhombotarget A', NULL, 'TIGR04212', NULL, NULL, 24284, 16),
(196087, NULL, 'TIGR01056', NULL, NULL, 'topB: DNA topoisomerase III', NULL, 'TIGR01056', NULL, NULL, 4567, 16),
(196088, NULL, 'TIGR03070', NULL, NULL, 'couple_hipB: transcriptional regulator, y4mF family', NULL, 'TIGR03070', NULL, NULL, 21705, 16),
(196089, NULL, 'TIGR03699', NULL, NULL, 'menaquin_MqnC: dehypoxanthine futalosine cyclase', NULL, 'TIGR03699', NULL, NULL, 16410, 16),
(196090, NULL, 'TIGR03889', NULL, NULL, 'nitrile_acc: nitrile hydratase accessory protein', NULL, 'TIGR03889', NULL, NULL, 12874, 16),
(196091, NULL, 'TIGR02924', NULL, NULL, 'ICDH_alpha: isocitrate dehydrogenase', NULL, 'TIGR02924', NULL, NULL, 8888, 16),
(196092, NULL, 'TIGR00032', NULL, NULL, 'argG: argininosuccinate synthase', NULL, 'TIGR00032', NULL, NULL, 3026, 16),
(196093, NULL, 'TIGR02675', NULL, NULL, 'tape_meas_nterm: tape measure domain', NULL, 'TIGR02675', NULL, NULL, 10495, 16),
(196094, NULL, 'TIGR02865', NULL, NULL, 'spore_II_E: stage II sporulation protein E', NULL, 'TIGR02865', NULL, NULL, 10506, 16),
(196095, NULL, 'TIGR04094', NULL, NULL, 'adjacent_YSIRK: YSIRK-targeted surface antigen transcriptional regulator', NULL, 'TIGR04094', NULL, NULL, 16228, 16),
(196096, NULL, 'TIGR03758', NULL, NULL, 'conj_TIGR03758: integrating conjugative element protein, PFL_4701 family', NULL, 'TIGR03758', NULL, NULL, 19172, 16),
(196097, NULL, 'TIGR01900', NULL, NULL, 'dapE-gram_pos: succinyl-diaminopimelate desuccinylase', NULL, 'TIGR01900', NULL, NULL, 10894, 16),
(196098, NULL, 'TIGR04343', NULL, NULL, 'egtE_PLP_lyase: ergothioneine biosynthesis PLP-dependent enzyme EgtE', NULL, 'TIGR04343', NULL, NULL, 29036, 16);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196099, NULL, 'TIGR03945', NULL, NULL, 'PLP_SbnA_fam: 2,3-diaminopropionate biosynthesis protein SbnA', NULL, 'TIGR03945', NULL, NULL, 6458, 16),
(196100, NULL, 'TIGR02927', NULL, NULL, 'SucB_Actino: 2-oxoglutarate dehydrogenase, E2 component, dihydrolipoamide succinyltransferase', NULL, 'TIGR02927', NULL, NULL, 8918, 16),
(196101, NULL, 'TIGR03565', NULL, NULL, 'alk_sulf_monoox: alkanesulfonate monooxygenase, FMNH(2)-dependent', NULL, 'TIGR03565', NULL, NULL, 18150, 16),
(196102, NULL, 'TIGR01302', NULL, NULL, 'IMP_dehydrog: inosine-5''-monophosphate dehydrogenase', NULL, 'TIGR01302', NULL, NULL, 1433, 16),
(196103, NULL, 'TIGR00820', NULL, NULL, 'zip: ZIP zinc/iron transport family', NULL, 'TIGR00820', NULL, NULL, 3644, 16),
(196104, NULL, 'TIGR02077', NULL, NULL, 'thr_lead_pep: thr operon leader peptide', NULL, 'TIGR02077', NULL, NULL, 11003, 16),
(196105, NULL, 'TIGR03372', NULL, NULL, 'putres_am_tran: putrescine aminotransferase', NULL, 'TIGR03372', NULL, NULL, 19422, 16),
(196106, NULL, 'TIGR03752', NULL, NULL, 'conj_TIGR03752: integrating conjugative element protein, PFL_4705 family', NULL, 'TIGR03752', NULL, NULL, 15620, 16),
(196107, NULL, 'TIGR01975', NULL, NULL, 'isoAsp_dipep: beta-aspartyl peptidase', NULL, 'TIGR01975', NULL, NULL, 4450, 16),
(196108, NULL, 'TIGR02974', NULL, NULL, 'phageshock_pspF: psp operon transcriptional activator', NULL, 'TIGR02974', NULL, NULL, 9970, 16),
(196109, NULL, 'TIGR01595', NULL, NULL, 'cas_CT1132: CRISPR-associated protein, CT1132 family', NULL, 'TIGR01595', NULL, NULL, 6003, 16),
(196110, NULL, 'TIGR03518', NULL, NULL, 'ABC_perm_GldF: gliding motility-associated ABC transporter permease protein GldF', NULL, 'TIGR03518', NULL, NULL, 16812, 16),
(196111, NULL, 'TIGR00711', NULL, NULL, 'efflux_EmrB: drug resistance MFS transporter, drug:H+ antiporter-2 (14 Spanner) (DHA2) family', NULL, 'TIGR00711', NULL, NULL, 2790, 16),
(196112, NULL, 'TIGR01788', NULL, NULL, 'Glu-decarb-GAD: glutamate decarboxylase', NULL, 'TIGR01788', NULL, NULL, 2014, 16),
(196113, NULL, 'TIGR00331', NULL, NULL, 'hrcA: heat-inducible transcription repressor HrcA', NULL, 'TIGR00331', NULL, NULL, 1562, 16),
(196114, NULL, 'TIGR01928', NULL, NULL, 'menC_lowGC/arch: o-succinylbenzoate synthase', NULL, 'TIGR01928', NULL, NULL, 4180, 16),
(196115, NULL, 'TIGR02186', NULL, NULL, 'alph_Pro_TM: conserved hypothetical protein', NULL, 'TIGR02186', NULL, NULL, 16955, 16),
(196116, NULL, 'TIGR01486', NULL, NULL, 'HAD-SF-IIB-MPGP: mannosyl-3-phosphoglycerate phosphatase family', NULL, 'TIGR01486', NULL, NULL, 5516, 16),
(196117, NULL, 'TIGR00116', NULL, NULL, 'tsf: translation elongation factor Ts', NULL, 'TIGR00116', NULL, NULL, 4046, 16),
(196118, NULL, 'TIGR02818', NULL, NULL, 'adh_III_F_hyde: S-(hydroxymethyl)glutathione dehydrogenase/class III alcohol dehydrogenase', NULL, 'TIGR02818', NULL, NULL, 8955, 16),
(196119, NULL, 'TIGR03029', NULL, NULL, 'EpsG: chain length determinant protein tyrosine kinase EpsG', NULL, 'TIGR03029', NULL, NULL, 21309, 16),
(196120, NULL, 'TIGR04047', NULL, NULL, 'MSMEG_0565_glyc: glycosyltransferase, MSMEG_0565 family', NULL, 'TIGR04047', NULL, NULL, 11721, 16),
(196121, NULL, 'TIGR04109', NULL, NULL, 'heme_ox_HugZ: heme oxygenase, HugZ family', NULL, 'TIGR04109', NULL, NULL, 27410, 16),
(196122, NULL, 'TIGR01548', NULL, NULL, 'HAD-SF-IA-hyp1: HAD hydrolase, TIGR01548 family', NULL, 'TIGR01548', NULL, NULL, 6901, 16),
(196123, NULL, 'TIGR02566', NULL, NULL, 'cas_Csy3: CRISPR type I-F/YPEST-associated protein Csy3', NULL, 'TIGR02566', NULL, NULL, 11679, 16),
(196124, NULL, 'TIGR02781', NULL, NULL, 'VirB9: P-type conjugative transfer protein VirB9', NULL, 'TIGR02781', NULL, NULL, 14247, 16),
(196125, NULL, 'TIGR01411', NULL, NULL, 'tatAE: twin arginine-targeting protein translocase, TatA/E family', NULL, 'TIGR01411', NULL, NULL, 4547, 16),
(196126, NULL, 'TIGR00895', NULL, NULL, '2A0115: MFS transporter, aromatic acid:H+ symporter (AAHS) family', NULL, 'TIGR00895', NULL, NULL, 5131, 16),
(196127, NULL, 'TIGR02379', NULL, NULL, 'ECA_wecE: TDP-4-keto-6-deoxy-D-glucose transaminase', NULL, 'TIGR02379', NULL, NULL, 9632, 16);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196128, NULL, 'TIGR01604', NULL, NULL, 'PYST-C2: Plasmodium yoelii subtelomeric domain PYST-C2', NULL, 'TIGR01604', NULL, NULL, 6068, 16),
(196129, NULL, 'TIGR03216', NULL, NULL, 'OH_muco_semi_DH: 2-hydroxymuconic semialdehyde dehydrogenase', NULL, 'TIGR03216', NULL, NULL, 16717, 16),
(196130, NULL, 'TIGR02759', NULL, NULL, 'TraD_Ftype: type IV conjugative transfer system coupling protein TraD', NULL, 'TIGR02759', NULL, NULL, 13811, 16),
(196131, NULL, 'TIGR03992', NULL, NULL, 'Arch_glmU: UDP-N-acetylglucosamine diphosphorylase/glucosamine-1-phosphate N-acetyltransferase', NULL, 'TIGR03992', NULL, NULL, 18853, 16),
(196132, NULL, 'TIGR02438', NULL, NULL, 'catachol_actin: catechol 1,2-dioxygenase', NULL, 'TIGR02438', NULL, NULL, 12715, 16),
(196133, NULL, 'TIGR03409', NULL, NULL, 'urea_trans_UrtB: urea ABC transporter, permease protein UrtB', NULL, 'TIGR03409', NULL, NULL, 19101, 16),
(196134, NULL, 'TIGR01293', NULL, NULL, 'Kv_beta: voltage-dependent potassium channel beta subunit', NULL, 'TIGR01293', NULL, NULL, 1111, 16),
(196135, NULL, 'TIGR00957', NULL, NULL, 'MRP_assoc_pro: multi drug resistance-associated protein (MRP)', NULL, 'TIGR00957', NULL, NULL, 4343, 16),
(196136, NULL, 'TIGR02002', NULL, NULL, 'PTS-II-BC-glcB: PTS system, glucose-specific IIBC component', NULL, 'TIGR02002', NULL, NULL, 10313, 16),
(196137, NULL, 'TIGR03157', NULL, NULL, 'cas_Csc2: CRISPR type I-D/CYANO-associated protein Csc2', NULL, 'TIGR03157', NULL, NULL, 16005, 16),
(196138, NULL, 'TIGR04390', NULL, NULL, 'OMP_YaiO_dom: outer membrane protein, YaiO family', NULL, 'TIGR04390', NULL, NULL, 22966, 16),
(196139, NULL, 'TIGR04215', NULL, NULL, 'choice_anch_A: choice-of-anchor A domain', NULL, 'TIGR04215', NULL, NULL, 28763, 16),
(196140, NULL, 'TIGR02625', NULL, NULL, 'YiiL_rotase: L-rhamnose mutarotase', NULL, 'TIGR02625', NULL, NULL, 9202, 16),
(196141, NULL, 'TIGR03263', NULL, NULL, 'guanyl_kin: guanylate kinase', NULL, 'TIGR03263', NULL, NULL, 17048, 16),
(196142, NULL, 'TIGR00605', NULL, NULL, 'rad4: DNA repair protein rad4', NULL, 'TIGR00605', NULL, NULL, 11928, 16),
(196143, NULL, 'TIGR00272', NULL, NULL, 'DPH2: diphthamide biosynthesis protein 2', NULL, 'TIGR00272', NULL, NULL, 5483, 16),
(196144, NULL, 'TIGR00652', NULL, NULL, 'DapF: diaminopimelate epimerase', NULL, 'TIGR00652', NULL, NULL, 11297, 16),
(196145, NULL, 'TIGR00789', NULL, NULL, 'flhB_rel: FlhB domain protein', NULL, 'TIGR00789', NULL, NULL, 3002, 16),
(196146, NULL, 'TIGR02245', NULL, NULL, 'HAD_IIID1: HAD hydrolase, family IIID', NULL, 'TIGR02245', NULL, NULL, 11386, 16),
(196147, NULL, 'TIGR03624', NULL, NULL, 'TIGR03624: putative hydrolase', NULL, 'TIGR03624', NULL, NULL, 18509, 16),
(196148, NULL, 'TIGR01243', NULL, NULL, 'CDC48: AAA family ATPase, CDC48 subfamily', NULL, 'TIGR01243', NULL, NULL, 381, 16),
(196149, NULL, 'TIGR01654', NULL, NULL, 'bact_immun_7tm: bacteriocin-associated integral membrane protein', NULL, 'TIGR01654', NULL, NULL, 494, 16),
(196150, NULL, 'TIGR03020', NULL, NULL, 'EpsA: transcriptional regulator EpsA', NULL, 'TIGR03020', NULL, NULL, 21131, 16),
(196151, NULL, 'TIGR00468', NULL, NULL, 'pheS: phenylalanine--tRNA ligase, alpha subunit', NULL, 'TIGR00468', NULL, NULL, 1604, 16),
(196152, NULL, 'TIGR00848', NULL, NULL, 'fruA: PTS system, fructose subfamily, IIA component', NULL, 'TIGR00848', NULL, NULL, 3782, 16),
(196153, NULL, 'TIGR00166', NULL, NULL, 'S6: ribosomal protein bS6', NULL, 'TIGR00166', NULL, NULL, 5865, 16),
(196154, NULL, 'TIGR02868', NULL, NULL, 'CydC: thiol reductant ABC exporter, CydC subunit', NULL, 'TIGR02868', NULL, NULL, 10723, 16),
(196155, NULL, 'TIGR04399', NULL, NULL, 'acc_Sec_SLAP: accessory Sec system S-layer assembly protein', NULL, 'TIGR04399', NULL, NULL, 21986, 16),
(196156, NULL, 'TIGR03886', NULL, NULL, 'lyase_spl_fam: spore photoproduct lyase family protein', NULL, 'TIGR03886', NULL, NULL, 12795, 16),
(196157, NULL, 'TIGR02731', NULL, NULL, 'phytoene_desat: phytoene desaturase', NULL, 'TIGR02731', NULL, NULL, 14463, 16),
(196158, NULL, 'TIGR03322', NULL, NULL, 'alt_F1F0_F0_C: alternate F1F0 ATPase, F0 subunit C', NULL, 'TIGR03322', NULL, NULL, 18378, 16);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196159, NULL, 'TIGR03702', NULL, NULL, 'lip_kinase_YegS: lipid kinase YegS', NULL, 'TIGR03702', NULL, NULL, 16138, 16),
(196160, NULL, 'TIGR02672', NULL, NULL, 'cas_csm6: CRISPR type III-A/MTUBE-associated protein Csm6', NULL, 'TIGR02672', NULL, NULL, 10115, 16),
(196161, NULL, 'TIGR04536', NULL, NULL, 'geobac_encap: encapsulated protein', NULL, 'TIGR04536', NULL, NULL, 26787, 16),
(196162, NULL, 'TIGR01439', NULL, NULL, 'lp_hng_hel_AbrB: transcriptional regulator, AbrB family', NULL, 'TIGR01439', NULL, NULL, 20, 16),
(196163, NULL, 'TIGR00225', NULL, NULL, 'prc: C-terminal processing peptidase', NULL, 'TIGR00225', NULL, NULL, 7345, 16),
(196164, NULL, 'TIGR01118', NULL, NULL, 'lacA: galactose-6-phosphate isomerase, LacA subunit', NULL, 'TIGR01118', NULL, NULL, 5145, 16),
(196165, NULL, 'TIGR04156', NULL, NULL, 'cyanoexo_CrtB: cyanoexosortase B', NULL, 'TIGR04156', NULL, NULL, 24456, 16),
(196166, NULL, 'TIGR01059', NULL, NULL, 'gyrB: DNA gyrase, B subunit', NULL, 'TIGR01059', NULL, NULL, 8290, 16),
(196167, NULL, 'TIGR04477', NULL, NULL, 'sorted_by_XrtN: XrtN system VIT domain protein', NULL, 'TIGR04477', NULL, NULL, 26978, 16),
(196168, NULL, 'TIGR02292', NULL, NULL, 'ygfB_yecA: yecA family protein', NULL, 'TIGR02292', NULL, NULL, 13133, 16),
(196169, NULL, 'TIGR03098', NULL, NULL, 'ligase_PEP_1: acyl-CoA ligase (AMP-forming), exosortase A-associated', NULL, 'TIGR03098', NULL, NULL, 15209, 16),
(196170, NULL, 'TIGR04533', NULL, NULL, 'cyanosortB_assc: cyanoexosortase B-associated protein', NULL, 'TIGR04533', NULL, NULL, 24764, 16),
(196171, NULL, 'TIGR02600', NULL, NULL, 'Verru_Chthon_A: Verru_Chthon cassette protein A', NULL, 'TIGR02600', NULL, NULL, 15540, 16),
(196172, NULL, 'TIGR01972', NULL, NULL, 'NDH_I_M: proton-translocating NADH-quinone oxidoreductase, chain M', NULL, 'TIGR01972', NULL, NULL, 4372, 16),
(196173, NULL, 'TIGR02977', NULL, NULL, 'phageshock_pspA: phage shock protein A', NULL, 'TIGR02977', NULL, NULL, 9686, 16),
(196174, NULL, 'TIGR02370', NULL, NULL, 'pyl_corrinoid: methyltransferase cognate corrinoid proteins, Methanosarcina family', NULL, 'TIGR02370', NULL, NULL, 9357, 16),
(196175, NULL, 'TIGR02737', NULL, NULL, 'caa3_CtaG: cytochrome c oxidase assembly factor CtaG', NULL, 'TIGR02737', NULL, NULL, 14385, 16),
(196176, NULL, 'TIGR00593', NULL, NULL, 'pola: DNA polymerase I', NULL, 'TIGR00593', NULL, NULL, 8754, 16),
(196177, NULL, 'TIGR00057', NULL, NULL, 'TIGR00057: tRNA threonylcarbamoyl adenosine modification protein, Sua5/YciO/YrdC/YwlC family', NULL, 'TIGR00057', NULL, NULL, 2570, 16),
(196178, NULL, 'TIGR00334', NULL, NULL, '5S_RNA_mat_M5: ribonuclease M5', NULL, 'TIGR00334', NULL, NULL, 7398, 16),
(196179, NULL, 'TIGR02304', NULL, NULL, 'aden_form_hyp: putative adenylate-forming enzyme', NULL, 'TIGR02304', NULL, NULL, 11582, 16),
(196180, NULL, 'TIGR00160', NULL, NULL, 'MGSA: methylglyoxal synthase', NULL, 'TIGR00160', NULL, NULL, 5781, 16),
(196181, NULL, 'TIGR02267', NULL, NULL, 'TIGR02267: DUSAM domain', NULL, 'TIGR02267', NULL, NULL, 11625, 16),
(196182, NULL, 'TIGR03182', NULL, NULL, 'PDH_E1_alph_y: pyruvate dehydrogenase (acetyl-transferring) E1 component, alpha subunit', NULL, 'TIGR03182', NULL, NULL, 16182, 16),
(196183, NULL, 'TIGR03942', NULL, NULL, 'sulfatase_rSAM: anaerobic sulfatase maturase', NULL, 'TIGR03942', NULL, NULL, NULL, 16),
(196184, NULL, 'TIGR00527', NULL, NULL, 'gcvH: glycine cleavage system H protein', NULL, 'TIGR00527', NULL, NULL, 18763, 16),
(196185, NULL, 'TIGR02563', NULL, NULL, 'cas_Csy4: CRISPR-associated endoribonuclease Cas6/Csy4, subtype I-F/YPEST', NULL, 'TIGR02563', NULL, NULL, 11823, 16),
(196186, NULL, 'TIGR04237', NULL, NULL, 'seadorna_VP9: seadornavirus/coltivirus VP9 protein', NULL, 'TIGR04237', NULL, NULL, 8842, 16),
(196187, NULL, 'TIGR00306', NULL, NULL, 'apgM: phosphoglycerate mutase (2,3-diphosphoglycerate-independent), archaeal form', NULL, 'TIGR00306', NULL, NULL, 7278, 16),
(196188, NULL, 'TIGR03328', NULL, NULL, 'salvage_mtnB: methylthioribulose-1-phosphate dehydratase', NULL, 'TIGR03328', NULL, NULL, 18050, 16);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196189, NULL, 'TIGR01184', NULL, NULL, 'ntrCD: nitrate ABC transporter, ATP-binding proteins C and D', NULL, 'TIGR01184', NULL, NULL, 6889, 16),
(196190, NULL, 'TIGR03431', NULL, NULL, 'PhnD: phosphonate ABC transporter, periplasmic phosphonate binding protein', NULL, 'TIGR03431', NULL, NULL, 19262, 16),
(196191, NULL, 'TIGR00630', NULL, NULL, 'uvra: excinuclease ABC subunit A', NULL, 'TIGR00630', NULL, NULL, 957, 16),
(196192, NULL, 'TIGR01906', NULL, NULL, 'integ_TIGR01906: integral membrane protein TIGR01906', NULL, 'TIGR01906', NULL, NULL, 4385, 16),
(196193, NULL, 'TIGR01598', NULL, NULL, 'holin_phiLC3: holin, phage phi LC3 family', NULL, 'TIGR01598', NULL, NULL, 6298, 16),
(196194, NULL, 'TIGR01676', NULL, NULL, 'GLDHase: galactonolactone dehydrogenase', NULL, 'TIGR01676', NULL, NULL, 5126, 16),
(196195, NULL, 'TIGR02591', NULL, NULL, 'cas_Csh1: CRISPR-associated protein Cas8b/Csh1, subtype I-B/HMARI', NULL, 'TIGR02591', NULL, NULL, 9033, 16),
(196196, NULL, 'TIGR01221', NULL, NULL, 'rmlC: dTDP-4-dehydrorhamnose 3,5-epimerase', NULL, 'TIGR01221', NULL, NULL, 112, 16),
(196197, NULL, 'TIGR01358', NULL, NULL, 'DAHP_synth_II: 3-deoxy-7-phosphoheptulonate synthase', NULL, 'TIGR01358', NULL, NULL, 863, 16),
(196198, NULL, 'TIGR03154', NULL, NULL, 'sulfolob_CbsA: cytochrome b558/566, subunit A', NULL, 'TIGR03154', NULL, NULL, 16325, 16),
(196199, NULL, 'TIGR02130', NULL, NULL, 'dapB_plant: dihydrodipicolinate reductase', NULL, 'TIGR02130', NULL, NULL, 14062, 16),
(196200, NULL, 'TIGR02189', NULL, NULL, 'GlrX-like_plant: glutaredoxin-like family', NULL, 'TIGR02189', NULL, NULL, 12494, 16),
(196201, NULL, 'TIGR02949', NULL, NULL, 'anti_SigH_actin: anti-sigma factor, TIGR02949 family', NULL, 'TIGR02949', NULL, NULL, 9389, 16),
(196202, NULL, 'TIGR02840', NULL, NULL, 'spore_YtaF: putative sporulation protein YtaF', NULL, 'TIGR02840', NULL, NULL, 9432, 16),
(196203, NULL, 'TIGR03406', NULL, NULL, 'FeS_long_SufT: probable FeS assembly SUF system protein SufT', NULL, 'TIGR03406', NULL, NULL, 19182, 16),
(196204, NULL, 'TIGR03864', NULL, NULL, 'PQQ_ABC_ATP: ABC transporter, ATP-binding subunit, PQQ-dependent alcohol dehydrogenase system', NULL, 'TIGR03864', NULL, NULL, 16039, 16),
(196205, NULL, 'TIGR04321', NULL, NULL, 'spiroSPASM: spiro-SPASM protein', NULL, 'TIGR04321', NULL, NULL, 26865, 16),
(196206, NULL, 'TIGR00842', NULL, NULL, 'bcct: transporter, betaine/carnitine/choline transporter (BCCT) family', NULL, 'TIGR00842', NULL, NULL, 3567, 16),
(196207, NULL, 'TIGR00767', NULL, NULL, 'rho: transcription termination factor Rho', NULL, 'TIGR00767', NULL, NULL, 2999, 16),
(196208, NULL, 'TIGR03403', NULL, NULL, 'nifS_epsilon: cysteine desulfurase, NifS family', NULL, 'TIGR03403', NULL, NULL, 19167, 16),
(196209, NULL, 'TIGR04265', NULL, NULL, 'bac_cardiolipin: cardiolipin synthase', NULL, 'TIGR04265', NULL, NULL, 17722, 16),
(196210, NULL, 'TIGR04455', NULL, NULL, 'lipo_MXAN_6521: probable lipoprotein, LA_1396/MXAN_6521 family', NULL, 'TIGR04455', NULL, NULL, 28163, 16),
(196211, NULL, 'TIGR01894', NULL, NULL, 'cas_TM1795_cmr1: CRISPR type III-B/RAMP module RAMP protein Cmr1', NULL, 'TIGR01894', NULL, NULL, 10718, 16),
(196212, NULL, 'TIGR02485', NULL, NULL, 'CobZ_N-term: precorrin 3B synthase CobZ', NULL, 'TIGR02485', NULL, NULL, 12567, 16),
(196213, NULL, 'TIGR00845', NULL, NULL, 'caca: sodium/calcium exchanger 1', NULL, 'TIGR00845', NULL, NULL, 4268, 16),
(196214, NULL, 'TIGR01290', NULL, NULL, 'nifB: nitrogenase cofactor biosynthesis protein NifB', NULL, 'TIGR01290', NULL, NULL, 1124, 16),
(196215, NULL, 'TIGR01607', NULL, NULL, 'PST-A: Plasmodium subtelomeric family', NULL, 'TIGR01607', NULL, NULL, 6288, 16),
(196216, NULL, 'TIGR03730', NULL, NULL, 'tungstate_WtpA: tungstate ABC transporter binding protein WtpA', NULL, 'TIGR03730', NULL, NULL, 16637, 16),
(196217, NULL, 'TIGR00412', NULL, NULL, 'redox_disulf_2: redox-active disulfide protein 2', NULL, 'TIGR00412', NULL, NULL, 11130, 16),
(196218, NULL, 'TIGR00549', NULL, NULL, 'mevalon_kin: mevalonate kinase', NULL, 'TIGR00549', NULL, NULL, 11219, 16);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196219, NULL, 'TIGR02295', NULL, NULL, 'HpaD: 3,4-dihydroxyphenylacetate 2,3-dioxygenase', NULL, 'TIGR02295', NULL, NULL, 13336, 16),
(196220, NULL, 'TIGR02812', NULL, NULL, 'fadR_gamma: fatty acid metabolism transcriptional regulator FadR', NULL, 'TIGR02812', NULL, NULL, 8654, 16),
(196221, NULL, 'TIGR03397', NULL, NULL, 'acid_phos_Burk: acid phosphatase, Burkholderia-type', NULL, 'TIGR03397', NULL, NULL, 19336, 16),
(196222, NULL, 'TIGR02052', NULL, NULL, 'MerP: mercuric transport protein periplasmic component', NULL, 'TIGR02052', NULL, NULL, 13082, 16),
(196223, NULL, 'TIGR00602', NULL, NULL, 'rad24: checkpoint protein rad24', NULL, 'TIGR00602', NULL, NULL, 17729, 16),
(196224, NULL, 'TIGR02709', NULL, NULL, 'branched_ptb: branched-chain phosphotransacylase', NULL, 'TIGR02709', NULL, NULL, 14355, 16),
(196225, NULL, 'TIGR03076', NULL, NULL, 'near_not_gcvH: chlamydial GcvH-like protein upstream region protein', NULL, 'TIGR03076', NULL, NULL, 21804, 16),
(196226, NULL, 'TIGR02519', NULL, NULL, 'pilus_MshL: pilus (MSHA type) biogenesis protein MshL', NULL, 'TIGR02519', NULL, NULL, 18785, 16),
(196227, NULL, 'TIGR00294', NULL, NULL, 'TIGR00294: GTP cyclohydrolase', NULL, 'TIGR00294', NULL, NULL, 3015, 16),
(196228, NULL, 'TIGR01436', NULL, NULL, 'glu_cys_lig_pln: glutamate--cysteine ligase', NULL, 'TIGR01436', NULL, NULL, 9175, 16),
(196229, NULL, 'TIGR04159', NULL, NULL, 'methbact_MbnB: methanobactin biosynthesis cassette protein MbnB', NULL, 'TIGR04159', NULL, NULL, 21805, 16),
(196230, NULL, 'TIGR03646', NULL, NULL, 'YtoQ_fam: YtoQ family protein', NULL, 'TIGR03646', NULL, NULL, 18242, 16),
(196231, NULL, 'TIGR03836', NULL, NULL, 'termin_org_HMW1: cytadherence high molecular weight protein 1 N-terminal region', NULL, 'TIGR03836', NULL, NULL, 16556, 16),
(196232, NULL, 'TIGR00228', NULL, NULL, 'ruvC: crossover junction endodeoxyribonuclease RuvC', NULL, 'TIGR00228', NULL, NULL, 5338, 16),
(196233, NULL, 'TIGR04022', NULL, NULL, 'sulfur_SfnB: sulfur acquisition oxidoreductase, SfnB family', NULL, 'TIGR04022', NULL, NULL, 8074, 16),
(196234, NULL, 'TIGR01461', NULL, NULL, 'greB: transcription elongation factor GreB', NULL, 'TIGR01461', NULL, NULL, 5525, 16),
(196235, NULL, 'TIGR03260', NULL, NULL, 'met_CoM_red_D: methyl-coenzyme M reductase operon protein D', NULL, 'TIGR03260', NULL, NULL, 4115, 16),
(196236, NULL, 'TIGR00870', NULL, NULL, 'trp: transient-receptor-potential calcium channel protein', NULL, 'TIGR00870', NULL, NULL, NULL, 16),
(196237, NULL, 'TIGR00739', NULL, NULL, 'yajC: preprotein translocase, YajC subunit', NULL, 'TIGR00739', NULL, NULL, 3093, 16),
(196238, NULL, 'TIGR00163', NULL, NULL, 'PS_decarb: phosphatidylserine decarboxylase', NULL, 'TIGR00163', NULL, NULL, 32075, 16),
(196239, NULL, 'TIGR04100', NULL, NULL, 'rSAM_pair_X: radical SAM enzyme, TIGR04100 family', NULL, 'TIGR04100', NULL, NULL, 9755, 16),
(196240, NULL, 'TIGR02027', NULL, NULL, 'rpoA: DNA-directed RNA polymerase, alpha subunit', NULL, 'TIGR02027', NULL, NULL, 13093, 16),
(196241, NULL, 'TIGR02603', NULL, NULL, 'CxxCH_TIGR02603: putative heme-binding domain', NULL, 'TIGR02603', NULL, NULL, 9174, 16),
(196242, NULL, 'TIGR01003', NULL, NULL, 'PTS_HPr_family: phosphocarrier, HPr family', NULL, 'TIGR01003', NULL, NULL, 3372, 16),
(196243, NULL, 'TIGR02734', NULL, NULL, 'crtI_fam: phytoene desaturase', NULL, 'TIGR02734', NULL, NULL, 14476, 16),
(196244, NULL, 'TIGR03568', NULL, NULL, 'NeuC_NnaA: UDP-N-acetyl-D-glucosamine 2-epimerase, UDP-hydrolysing', NULL, 'TIGR03568', NULL, NULL, 12370, 16),
(196245, NULL, 'TIGR03288', NULL, NULL, 'CoB_CoM_SS_B: CoB--CoM heterodisulfide reductase, subunit B', NULL, 'TIGR03288', NULL, NULL, 17594, 16),
(196246, NULL, 'TIGR03325', NULL, NULL, 'BphB_TodD: cis-2,3-dihydrobiphenyl-2,3-diol dehydrogenase', NULL, 'TIGR03325', NULL, NULL, 18428, 16),
(196247, NULL, 'TIGR01115', NULL, NULL, 'pufM: photosynthetic reaction center M subunit', NULL, 'TIGR01115', NULL, NULL, 5703, 16),
(196248, NULL, 'TIGR02133', NULL, NULL, 'RPI_actino: ribose 5-phosphate isomerase', NULL, 'TIGR02133', NULL, NULL, 14068, 16);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196249, NULL, 'TIGR02307', NULL, NULL, 'RNA_lig_RNL2: RNA ligase, Rnl2 family', NULL, 'TIGR02307', NULL, NULL, 10731, 16),
(196250, NULL, 'TIGR00337', NULL, NULL, 'PyrG: CTP synthase', NULL, 'TIGR00337', NULL, NULL, 7246, 16),
(196251, NULL, 'TIGR00764', NULL, NULL, 'lon_rel: putative ATP-dependent protease', NULL, 'TIGR00764', NULL, NULL, 2866, 16),
(196252, NULL, 'TIGR01181', NULL, NULL, 'dTDP_gluc_dehyt: dTDP-glucose 4,6-dehydratase', NULL, 'TIGR01181', NULL, NULL, 6666, 16),
(196253, NULL, 'TIGR01782', NULL, NULL, 'TonB-Xanth-Caul: TonB-dependent receptor', NULL, 'TIGR01782', NULL, NULL, 2132, 16),
(196254, NULL, 'TIGR01542', NULL, NULL, 'A118_put_portal: phage portal protein, putative, A118 family', NULL, 'TIGR01542', NULL, NULL, 6668, 16),
(196255, NULL, 'TIGR04103', NULL, NULL, 'rSAM_nif11_3: nif11-class peptide radical SAM maturase 3', NULL, 'TIGR04103', NULL, NULL, 24096, 16),
(196256, NULL, 'TIGR02560', NULL, NULL, 'HrpB4: type III secretion protein HrpB4', NULL, 'TIGR02560', NULL, NULL, 11924, 16),
(196257, NULL, 'TIGR02697', NULL, NULL, 'WPE_wolbac: Wolbachia palindromic element domain', NULL, 'TIGR02697', NULL, NULL, 13726, 16),
(196258, NULL, 'TIGR01679', NULL, NULL, 'bact_FAD_ox: FAD-linked oxidoreductase', NULL, 'TIGR01679', NULL, NULL, NULL, 16),
(196259, NULL, 'TIGR00524', NULL, NULL, 'eIF-2B_rel: eIF-2B alpha/beta/delta-related uncharacterized proteins', NULL, 'TIGR00524', NULL, NULL, 11348, 16),
(196260, NULL, 'TIGR04530', NULL, NULL, 'hemophoreRv0203: hemophore', NULL, 'TIGR04530', NULL, NULL, 26979, 16),
(196261, NULL, 'TIGR01716', NULL, NULL, 'RGG_Cterm: transcriptional activator, Rgg/GadR/MutR family, C-terminal domain', NULL, 'TIGR01716', NULL, NULL, 5425, 16),
(196262, NULL, 'TIGR02373', NULL, NULL, 'photo_yellow: photoactive yellow protein', NULL, 'TIGR02373', NULL, NULL, 14204, 16),
(196263, NULL, 'TIGR00951', NULL, NULL, '2A43: lysosomal Cystine Transporter', NULL, 'TIGR00951', NULL, NULL, 4084, 16),
(196264, NULL, 'TIGR03649', NULL, NULL, 'ergot_EASG: ergot alkaloid biosynthesis protein, AFUA_2G17970 family', NULL, 'TIGR03649', NULL, NULL, 12257, 16),
(196265, NULL, 'TIGR03151', NULL, NULL, 'enACPred_II: putative enoyl-[acyl-carrier-protein] reductase II', NULL, 'TIGR03151', NULL, NULL, 15539, 16),
(196266, NULL, 'TIGR02843', NULL, NULL, 'CyoB: cytochrome o ubiquinol oxidase, subunit I', NULL, 'TIGR02843', NULL, NULL, 9314, 16),
(196267, NULL, 'TIGR03861', NULL, NULL, 'phenyl_ABC_PedC: alcohol ABC transporter, permease protein', NULL, 'TIGR03861', NULL, NULL, 16006, 16),
(196268, NULL, 'TIGR03621', NULL, NULL, 'F420_MSMEG_2516: probable F420-dependent oxidoreductase, MSMEG_2516 family', NULL, 'TIGR03621', NULL, NULL, 15427, 16),
(196269, NULL, 'TIGR03998', NULL, NULL, 'thiol_BshC: bacillithiol biosynthesis cysteine-adding enzyme BshC', NULL, 'TIGR03998', NULL, NULL, 10076, 16),
(196270, NULL, 'TIGR04131', NULL, NULL, 'Bac_Flav_CTERM: gliding motility-associated C-terminal domain', NULL, 'TIGR04131', NULL, NULL, 24404, 16),
(196271, NULL, 'TIGR00191', NULL, NULL, 'thrB: homoserine kinase', NULL, 'TIGR00191', NULL, NULL, 4993, 16),
(196272, NULL, 'TIGR00309', NULL, NULL, 'V_ATPase_subD: V-type ATPase, D subunit', NULL, 'TIGR00309', NULL, NULL, 3538, 16),
(196273, NULL, 'TIGR00200', NULL, NULL, 'cinA_nterm: competence/damage-inducible protein CinA N-terminal domain', NULL, 'TIGR00200', NULL, NULL, 6109, 16),
(196274, NULL, 'TIGR02706', NULL, NULL, 'P_butyryltrans: phosphate butyryltransferase', NULL, 'TIGR02706', NULL, NULL, 14195, 16),
(196275, NULL, 'TIGR04452', NULL, NULL, 'Lepto_Lipo_YY_C: small lipoprotein, LA_3946 family', NULL, 'TIGR04452', NULL, NULL, 28057, 16),
(196276, NULL, 'TIGR03540', NULL, NULL, 'DapC_direct: LL-diaminopimelate aminotransferase', NULL, 'TIGR03540', NULL, NULL, 17358, 16),
(196277, NULL, 'TIGR01355', NULL, NULL, 'cyt_deam_dimer: cytidine deaminase', NULL, 'TIGR01355', NULL, NULL, 3629, 16),
(196278, NULL, 'TIGR00590', NULL, NULL, 'pcna: proliferating cell nuclear antigen (pcna)', NULL, 'TIGR00590', NULL, NULL, 6893, 16),
(196279, NULL, 'TIGR04091', NULL, NULL, 'LTA_dltB: D-alanyl-lipoteichoic acid biosynthesis protein DltB', NULL, 'TIGR04091', NULL, NULL, 16175, 16);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196280, NULL, 'TIGR01433', NULL, NULL, 'CyoA: ubiquinol oxidase, subunit II', NULL, 'TIGR01433', NULL, NULL, 4646, 16),
(196281, NULL, 'TIGR00082', NULL, NULL, 'rbfA: ribosome-binding factor A', NULL, 'TIGR00082', NULL, NULL, 4605, 16),
(196282, NULL, 'TIGR02055', NULL, NULL, 'APS_reductase: adenylylsulfate reductase, thioredoxin dependent', NULL, 'TIGR02055', NULL, NULL, 13361, 16),
(196283, NULL, 'TIGR03073', NULL, NULL, 'release_rtcB: release factor H-coupled RctB family protein', NULL, 'TIGR03073', NULL, NULL, 21840, 16),
(196284, NULL, 'TIGR01863', NULL, NULL, 'cas_Csd1: CRISPR-associated protein Cas8c/Csd1, subtype I-C/DVULG', NULL, 'TIGR01863', NULL, NULL, 10628, 16),
(196285, NULL, 'TIGR03970', NULL, NULL, 'Rv0697: dehydrogenase, Rv0697 family', NULL, 'TIGR03970', NULL, NULL, 11517, 16),
(196286, NULL, 'TIGR01570', NULL, NULL, 'A_thal_3588: uncharacterized plant-specific domain TIGR01570', NULL, 'TIGR01570', NULL, NULL, 6967, 16),
(196287, NULL, 'TIGR03434', NULL, NULL, 'ADOP: acidobacterial duplicated orphan permease', NULL, 'TIGR03434', NULL, NULL, 19191, 16),
(196288, NULL, 'TIGR00979', NULL, NULL, 'fumC_II: fumarate hydratase, class II', NULL, 'TIGR00979', NULL, NULL, 3751, 16),
(196289, NULL, 'TIGR03677', NULL, NULL, 'eL8_ribo: ribosomal protein eL8', NULL, 'TIGR03677', NULL, NULL, 16871, 16),
(196290, NULL, 'TIGR02298', NULL, NULL, 'HpaD_Fe: 3,4-dihydroxyphenylacetate 2,3-dioxygenase', NULL, 'TIGR02298', NULL, NULL, 13413, 16),
(196291, NULL, 'TIGR02815', NULL, NULL, 'agaS_fam: putative sugar isomerase, AgaS family', NULL, 'TIGR02815', NULL, NULL, 8568, 16),
(196292, NULL, 'TIGR04561', NULL, NULL, 'membra_charge: integral membrane protein', NULL, 'TIGR04561', NULL, NULL, 24558, 16),
(196293, NULL, 'TIGR00054', NULL, NULL, 'TIGR00054: RIP metalloprotease RseP', NULL, 'TIGR00054', NULL, NULL, 5641, 16),
(196294, NULL, 'TIGR01464', NULL, NULL, 'hemE: uroporphyrinogen decarboxylase', NULL, 'TIGR01464', NULL, NULL, 5512, 16),
(196295, NULL, 'TIGR01903', NULL, NULL, 'cas5_csm4: CRISPR type III-A/MTUBE-associated RAMP protein Csm4', NULL, 'TIGR01903', NULL, NULL, 1014, 16),
(196296, NULL, 'TIGR02161', NULL, NULL, 'napC_nirT: periplasmic nitrate (or nitrite) reductase c-type cytochrome, NapC/NirT family', NULL, 'TIGR02161', NULL, NULL, 8862, 16),
(196297, NULL, 'TIGR02921', NULL, NULL, 'PEP_integral: PEP-CTERM family integral membrane protein', NULL, 'TIGR02921', NULL, NULL, 11836, 16),
(196298, NULL, 'TIGR00736', NULL, NULL, 'nifR3_rel_arch: putative TIM-barrel protein', NULL, 'TIGR00736', NULL, NULL, 4326, 16),
(196299, NULL, 'TIGR00658', NULL, NULL, 'orni_carb_tr: ornithine carbamoyltransferase', NULL, 'TIGR00658', NULL, NULL, 39, 16),
(196300, NULL, 'TIGR01891', NULL, NULL, 'amidohydrolases: amidohydrolase', NULL, 'TIGR01891', NULL, NULL, 18887, 16),
(196301, NULL, 'TIGR00873', NULL, NULL, 'gnd: 6-phosphogluconate dehydrogenase (decarboxylating)', NULL, 'TIGR00873', NULL, NULL, 10424, 16),
(196302, NULL, 'TIGR03394', NULL, NULL, 'indol_phenyl_DC: indolepyruvate/phenylpyruvate decarboxylase', NULL, 'TIGR03394', NULL, NULL, 19235, 16),
(196303, NULL, 'TIGR04268', NULL, NULL, 'FxSxx-COOH: FXSXX-COOH protein', NULL, 'TIGR04268', NULL, NULL, 26138, 16),
(196304, NULL, 'TIGR02024', NULL, NULL, 'FtcD: glutamate formiminotransferase', NULL, 'TIGR02024', NULL, NULL, 3869, 16),
(196305, NULL, 'TIGR01327', NULL, NULL, 'PGDH: phosphoglycerate dehydrogenase', NULL, 'TIGR01327', NULL, NULL, 3994, 16),
(196306, NULL, 'TIGR01006', NULL, NULL, 'polys_exp_MPA1: polysaccharide export protein, MPA1 family', NULL, 'TIGR01006', NULL, NULL, 3515, 16),
(196307, NULL, 'TIGR04424', NULL, NULL, 'metallo_McbB: McbB family protein', NULL, 'TIGR04424', NULL, NULL, 26024, 16),
(196308, NULL, 'TIGR01249', NULL, NULL, 'pro_imino_pep_1: prolyl aminopeptidase', NULL, 'TIGR01249', NULL, NULL, 90, 16),
(196309, NULL, 'TIGR00297', NULL, NULL, 'TIGR00297: TIGR00297 family protein', NULL, 'TIGR00297', NULL, NULL, 4606, 16),
(196310, NULL, 'TIGR00415', NULL, NULL, 'serS_MJ: serine--tRNA ligase', NULL, 'TIGR00415', NULL, NULL, 1531, 16);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196311, NULL, 'TIGR02482', NULL, NULL, 'PFKA_ATP: 6-phosphofructokinase', NULL, 'TIGR02482', NULL, NULL, 12912, 16),
(196312, NULL, 'TIGR04346', NULL, NULL, 'DotA_TraY: conjugal transfer/type IV secretion protein DotA/TraY', NULL, 'TIGR04346', NULL, NULL, 24299, 16),
(196313, NULL, 'TIGR03833', NULL, NULL, 'TIGR03833: conserved hypothetical protein', NULL, 'TIGR03833', NULL, NULL, 19454, 16),
(196314, NULL, 'TIGR04025', NULL, NULL, 'PPOX_FMN_DR2398: pyridoxamine 5''-phosphate oxidase, FMN-binding family', NULL, 'TIGR04025', NULL, NULL, 11815, 16),
(196315, NULL, 'TIGR03512', NULL, NULL, 'GldD_lipo: gliding motility-associated lipoprotein GldD', NULL, 'TIGR03512', NULL, NULL, 18196, 16),
(196316, NULL, 'TIGR04327', NULL, NULL, 'OMP_LA_2444: outer membrane protein, LA_2444/LA_4059 family', NULL, 'TIGR04327', NULL, NULL, 23634, 16),
(196317, NULL, 'TIGR01268', NULL, NULL, 'Phe4hydrox_tetr: phenylalanine-4-hydroxylase', NULL, 'TIGR01268', NULL, NULL, 6, 16),
(196318, NULL, 'TIGR01028', NULL, NULL, 'uS7_euk_arch: ribosomal protein uS7', NULL, 'TIGR01028', NULL, NULL, 3602, 16),
(196319, NULL, 'TIGR00147', NULL, NULL, 'TIGR00147: lipid kinase, YegS/Rv2252/BmrU family', NULL, 'TIGR00147', NULL, NULL, 11205, 16),
(196320, NULL, 'TIGR01371', NULL, NULL, 'met_syn_B12ind: 5-methyltetrahydropteroyltriglutamate--homocysteine S-methyltransferase', NULL, 'TIGR01371', NULL, NULL, 3627, 16),
(196321, NULL, 'TIGR01719', NULL, NULL, 'euk_UDPppase: uridine phosphorylase', NULL, 'TIGR01719', NULL, NULL, 6036, 16),
(196322, NULL, 'TIGR00010', NULL, NULL, 'TIGR00010: hydrolase, TatD family', NULL, 'TIGR00010', NULL, NULL, 9201, 16),
(196323, NULL, 'TIGR00733', NULL, NULL, 'TIGR00733: oligopeptide transporter, OPT family', NULL, 'TIGR00733', NULL, NULL, 4430, 16),
(196324, NULL, 'TIGR01131', NULL, NULL, 'ATP_synt_6_or_A: ATP synthase F0, A subunit', NULL, 'TIGR01131', NULL, NULL, 5691, 16),
(196325, NULL, 'TIGR02510', NULL, NULL, 'NrdE-prime: ribonucleoside-diphosphate reductase, alpha chain', NULL, 'TIGR02510', NULL, NULL, 18790, 16),
(196326, NULL, 'TIGR04069', NULL, NULL, 'ocin_ACP_rel: peptide maturation system acyl carrier-related protein', NULL, 'TIGR04069', NULL, NULL, 11991, 16),
(196327, NULL, 'TIGR02887', NULL, NULL, 'spore_ger_x_C: germination protein, Ger(x)C family', NULL, 'TIGR02887', NULL, NULL, 14422, 16),
(196328, NULL, 'TIGR01526', NULL, NULL, 'nadR_NMN_Atrans: nicotinamide-nucleotide adenylyltransferase', NULL, 'TIGR01526', NULL, NULL, 6830, 16),
(196329, NULL, 'TIGR00250', NULL, NULL, 'RNAse_H_YqgF: putative transcription antitermination factor YqgF', NULL, 'TIGR00250', NULL, NULL, 11048, 16),
(196330, NULL, 'TIGR03534', NULL, NULL, 'RF_mod_PrmC: protein-(glutamine-N5) methyltransferase, release factor-specific', NULL, 'TIGR03534', NULL, NULL, 17311, 16),
(196331, NULL, 'TIGR02990', NULL, NULL, 'ectoine_eutA: ectoine utilization protein EutA', NULL, 'TIGR02990', NULL, NULL, 10492, 16),
(196332, NULL, 'TIGR03929', NULL, NULL, 'T7_esaA_Nterm: type VII secretion protein EsaA', NULL, 'TIGR03929', NULL, NULL, 17318, 16),
(196333, NULL, 'TIGR04430', NULL, NULL, 'OM_asym_MlaD: outer membrane lipid asymmetry maintenance protein MlaD', NULL, 'TIGR04430', NULL, NULL, 27132, 16),
(196334, NULL, 'TIGR02653', NULL, NULL, 'Lon_rel_chp: conserved hypothetical protein', NULL, 'TIGR02653', NULL, NULL, 10118, 16),
(196335, NULL, 'TIGR03291', NULL, NULL, 'methan_mark_17: putative methanogenesis marker protein 17', NULL, 'TIGR03291', NULL, NULL, 21969, 16),
(196336, NULL, 'TIGR02893', NULL, NULL, 'spore_yabQ: spore cortex biosynthesis protein YabQ', NULL, 'TIGR02893', NULL, NULL, 10869, 16),
(196337, NULL, 'TIGR00203', NULL, NULL, 'cydB: cytochrome d ubiquinol oxidase, subunit II', NULL, 'TIGR00203', NULL, NULL, 4388, 16),
(196338, NULL, 'TIGR03543', NULL, NULL, 'divI1A_rptt_fam: DivIVA domain repeat protein', NULL, 'TIGR03543', NULL, NULL, 18118, 16),
(196339, NULL, 'TIGR03045', NULL, NULL, 'PS_II_C550: cytochrome c-550', NULL, 'TIGR03045', NULL, NULL, 13758, 16),
(196340, NULL, 'TIGR03727', NULL, NULL, 'urea_t_UrtC_arc: urea ABC transporter, permease protein UrtC', NULL, 'TIGR03727', NULL, NULL, 16623, 16);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196341, NULL, 'TIGR02647', NULL, NULL, 'DNA: TIGR02647 family protein', NULL, 'TIGR02647', NULL, NULL, 10072, 16),
(196342, NULL, 'TIGR04374', NULL, NULL, 'small_w_EgtBD: hercynine metabolism small protein', NULL, 'TIGR04374', NULL, NULL, 22019, 16),
(196343, NULL, 'TIGR02395', NULL, NULL, 'rpoN_sigma: RNA polymerase sigma-54 factor', NULL, 'TIGR02395', NULL, NULL, 4850, 16),
(196344, NULL, 'TIGR00387', NULL, NULL, 'glcD: glycolate oxidase, subunit GlcD', NULL, 'TIGR00387', NULL, NULL, 1854, 16),
(196345, NULL, 'TIGR00973', NULL, NULL, 'leuA_bact: 2-isopropylmalate synthase', NULL, 'TIGR00973', NULL, NULL, 3886, 16),
(196346, NULL, 'TIGR01034', NULL, NULL, 'metK: methionine adenosyltransferase', NULL, 'TIGR01034', NULL, NULL, 5213, 16),
(196347, NULL, 'TIGR00004', NULL, NULL, 'TIGR00004: reactive intermediate/imine deaminase', NULL, 'TIGR00004', NULL, NULL, 2722, 16),
(196348, NULL, 'TIGR03350', NULL, NULL, 'type_VI_ompA: type VI secretion system peptidoglycan-associated domain', NULL, 'TIGR03350', NULL, NULL, 18751, 16),
(196349, NULL, 'TIGR01997', NULL, NULL, 'sufA_proteo: FeS assembly scaffold SufA', NULL, 'TIGR01997', NULL, NULL, 10275, 16),
(196350, NULL, 'TIGR04567', NULL, NULL, 'RNAP_delt_lowGC: DNA-directed RNA polymerase delta subunit', NULL, 'TIGR04567', NULL, NULL, 27149, 16),
(196351, NULL, 'TIGR02348', NULL, NULL, 'GroEL: chaperonin GroL', NULL, 'TIGR02348', NULL, NULL, 4368, 16),
(196352, NULL, 'TIGR04231', NULL, NULL, 'seadorna_VP5: seadornavirus VP5 protein', NULL, 'TIGR04231', NULL, NULL, 26032, 16),
(196353, NULL, 'TIGR04558', NULL, NULL, 'SoxH_rel_PQQ_1: quinoprotein relay system zinc metallohydrolase 1', NULL, 'TIGR04558', NULL, NULL, 25876, 16),
(196354, NULL, 'TIGR01037', NULL, NULL, 'pyrD_sub1_fam: dihydroorotate dehydrogenase family protein', NULL, 'TIGR01037', NULL, NULL, 4566, 16),
(196355, NULL, 'TIGR02211', NULL, NULL, 'LolD_lipo_ex: lipoprotein releasing system, ATP-binding protein', NULL, 'TIGR02211', NULL, NULL, 11264, 16),
(196356, NULL, 'TIGR04368', NULL, NULL, 'Glu_2_3_NH3_mut: glutamate 2,3-aminomutase', NULL, 'TIGR04368', NULL, NULL, 28122, 16),
(196357, NULL, 'TIGR00051', NULL, NULL, 'TIGR00051: acyl-CoA thioester hydrolase, YbgC/YbaW family', NULL, 'TIGR00051', NULL, NULL, 2141, 16),
(196358, NULL, 'TIGR01227', NULL, NULL, 'hutG: formimidoylglutamase', NULL, 'TIGR01227', NULL, NULL, 134, 16),
(196359, NULL, 'TIGR04128', NULL, NULL, 'exoso_Fjoh_1448: exosortase family protein XrtF', NULL, 'TIGR04128', NULL, NULL, 27236, 16),
(196360, NULL, 'TIGR00502', NULL, NULL, 'nagB: glucosamine-6-phosphate deaminase', NULL, 'TIGR00502', NULL, NULL, 761, 16),
(196361, NULL, 'TIGR01330', NULL, NULL, 'bisphos_HAL2: 3''(2''),5''-bisphosphate nucleotidase', NULL, 'TIGR01330', NULL, NULL, 3993, 16),
(196362, NULL, 'TIGR00188', NULL, NULL, 'rnpA: ribonuclease P protein component', NULL, 'TIGR00188', NULL, NULL, 3920, 16),
(196363, NULL, 'TIGR01467', NULL, NULL, 'cobI_cbiL: precorrin-2 C(20)-methyltransferase', NULL, 'TIGR01467', NULL, NULL, 5533, 16),
(196364, NULL, 'TIGR01567', NULL, NULL, 'S_layer_rel_Mac: S-layer family duplication domain', NULL, 'TIGR01567', NULL, NULL, 6896, 16),
(196365, NULL, 'TIGR00982', NULL, NULL, 'uS12_E_A: ribosomal protein uS12', NULL, 'TIGR00982', NULL, NULL, 3713, 16),
(196366, NULL, 'TIGR02846', NULL, NULL, 'spore_sigmaK: RNA polymerase sigma-K factor', NULL, 'TIGR02846', NULL, NULL, 9372, 16),
(196367, NULL, 'TIGR01670', NULL, NULL, 'KdsC-phosphatas: 3-deoxy-D-manno-octulosonate 8-phosphate phosphatase, YrbI family', NULL, 'TIGR01670', NULL, NULL, 5068, 16),
(196368, NULL, 'TIGR00686', NULL, NULL, 'phnA: putative alkylphosphonate utilization operon protein PhnA', NULL, 'TIGR00686', NULL, NULL, 2070, 16),
(196369, NULL, 'TIGR01860', NULL, NULL, 'VNFD: nitrogenase vanadium-iron protein, alpha chain', NULL, 'TIGR01860', NULL, NULL, 10940, 16),
(196370, NULL, 'TIGR04075', NULL, NULL, 'bacter_Pnkp: polynucleotide kinase-phosphatase', NULL, 'TIGR04075', NULL, NULL, 11985, 16),
(196371, NULL, 'TIGR02694', NULL, NULL, 'arsenite_ox_S: arsenite oxidase, small subunit', NULL, 'TIGR02694', NULL, NULL, 13910, 16);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196372, NULL, 'TIGR03110', NULL, NULL, 'exosort_Gpos: exosortase family protein XrtG', NULL, 'TIGR03110', NULL, NULL, 15333, 16),
(196373, NULL, 'TIGR03973', NULL, NULL, 'six_Cys_in_45: six-cysteine peptide SCIFF', NULL, 'TIGR03973', NULL, NULL, 11650, 16),
(196374, NULL, 'TIGR00484', NULL, NULL, 'EF-G: translation elongation factor G', NULL, 'TIGR00484', NULL, NULL, 1795, 16),
(196375, NULL, 'TIGR00674', NULL, NULL, 'dapA: 4-hydroxy-tetrahydrodipicolinate synthase', NULL, 'TIGR00674', NULL, NULL, 4363, 16),
(196376, NULL, 'TIGR02905', NULL, NULL, 'spore_yutH: spore coat protein YutH', NULL, 'TIGR02905', NULL, NULL, 11946, 16),
(196377, NULL, 'TIGR02223', NULL, NULL, 'ftsN: cell division protein FtsN', NULL, 'TIGR02223', NULL, NULL, 11193, 16),
(196378, NULL, 'TIGR03051', NULL, NULL, 'PS_I_psaG_plant: photosystem I reaction center subunit V', NULL, 'TIGR03051', NULL, NULL, 21261, 16),
(196379, NULL, 'TIGR03188', NULL, NULL, 'histidine_hisI: phosphoribosyl-ATP diphosphatase', NULL, 'TIGR03188', NULL, NULL, 7243, 16),
(196380, NULL, 'TIGR02407', NULL, NULL, 'ectoine_ectB: diaminobutyrate--2-oxoglutarate aminotransferase', NULL, 'TIGR02407', NULL, NULL, 10473, 16),
(196381, NULL, 'TIGR04172', NULL, NULL, 'DGQHR_dnd_1: DNA phosphorothioation-associated DGQHR protein 1', NULL, 'TIGR04172', NULL, NULL, 24397, 16),
(196382, NULL, 'TIGR04028', NULL, NULL, 'SBP_KPN_01854: ABC transporter substrate binding protein, KPN_01854 family', NULL, 'TIGR04028', NULL, NULL, 18687, 16),
(196383, NULL, 'TIGR00490', NULL, NULL, 'aEF-2: translation elongation factor aEF-2', NULL, 'TIGR00490', NULL, NULL, 773, 16),
(196384, NULL, 'TIGR02164', NULL, NULL, 'torA: trimethylamine-N-oxide reductase TorA', NULL, 'TIGR02164', NULL, NULL, 8535, 16),
(196385, NULL, 'TIGR02354', NULL, NULL, 'thiF_fam2: thiamine biosynthesis protein ThiF', NULL, 'TIGR02354', NULL, NULL, 11604, 16),
(196386, NULL, 'TIGR03391', NULL, NULL, 'FeS_syn_CsdE: cysteine desulfurase, sulfur acceptor subunit CsdE', NULL, 'TIGR03391', NULL, NULL, 19470, 16),
(196387, NULL, 'TIGR02413', NULL, NULL, 'Bac_small_yrzI: Bacillus tandem small hypothetical protein', NULL, 'TIGR02413', NULL, NULL, 10768, 16),
(196388, NULL, 'TIGR03247', NULL, NULL, 'glucar-dehydr: glucarate dehydratase', NULL, 'TIGR03247', NULL, NULL, 17420, 16),
(196389, NULL, 'TIGR04421', NULL, NULL, 'FemAB_IMCC1989: FemAB family protein', NULL, 'TIGR04421', NULL, NULL, 26023, 16),
(196390, NULL, 'TIGR04137', NULL, NULL, 'Chlam_Ver_rRNA: Chlam_Verruc_Plancto small basic protein', NULL, 'TIGR04137', NULL, NULL, 21772, 16),
(196391, NULL, 'TIGR04517', NULL, NULL, 'rSAM_PoyD: radical SAM family RiPP maturation amino acid epimerase', NULL, 'TIGR04517', NULL, NULL, 26750, 16),
(196392, NULL, 'TIGR02096', NULL, NULL, 'TIGR02096: conserved hypothetical protein', NULL, 'TIGR02096', NULL, NULL, 11137, 16),
(196393, NULL, 'TIGR01078', NULL, NULL, 'arcA: arginine deiminase', NULL, 'TIGR01078', NULL, NULL, 4253, 16),
(196394, NULL, 'TIGR04000', NULL, NULL, 'thiol_BshB2: bacillithiol biosynthesis deacetylase BshB2', NULL, 'TIGR04000', NULL, NULL, 17362, 16),
(196395, NULL, 'TIGR00303', NULL, NULL, 'TIGR00303: TIGR00303 family protein', NULL, 'TIGR00303', NULL, NULL, 4507, 16),
(196396, NULL, 'TIGR01321', NULL, NULL, 'TrpR: trp operon repressor', NULL, 'TIGR01321', NULL, NULL, 18847, 16),
(196397, NULL, 'TIGR04019', NULL, NULL, 'B_thiol_YtxJ: bacillithiol system protein YtxJ', NULL, 'TIGR04019', NULL, NULL, 16572, 16),
(196398, NULL, 'TIGR01458', NULL, NULL, 'HAD-SF-IIA-hyp3: HAD hydrolase, TIGR01458 family', NULL, 'TIGR01458', NULL, NULL, 4783, 16),
(196399, NULL, 'TIGR01909', NULL, NULL, 'C_GCAxxG_C_C: C_GCAxxG_C_C family protein', NULL, 'TIGR01909', NULL, NULL, 4123, 16),
(196400, NULL, 'TIGR00197', NULL, NULL, 'yjeF_nterm: YjeF family N-terminal domain', NULL, 'TIGR00197', NULL, NULL, 7312, 16),
(196401, NULL, 'TIGR00060', NULL, NULL, 'L18_bact: ribosomal protein uL18', NULL, 'TIGR00060', NULL, NULL, 5879, 16),
(196402, NULL, 'TIGR00440', NULL, NULL, 'glnS: glutamine--tRNA ligase', NULL, 'TIGR00440', NULL, NULL, 1677, 16);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196403, NULL, 'TIGR02457', NULL, NULL, 'TreS_Cterm: putative maltokinase', NULL, 'TIGR02457', NULL, NULL, 12716, 16),
(196404, NULL, 'TIGR02700', NULL, NULL, 'flavo_MJ0208: archaeoflavoprotein, MJ0208 family', NULL, 'TIGR02700', NULL, NULL, 13976, 16),
(196405, NULL, 'TIGR03138', NULL, NULL, 'QueF: queuine synthase', NULL, 'TIGR03138', NULL, NULL, 21869, 16),
(196406, NULL, 'TIGR00938', NULL, NULL, 'thrB_alt: homoserine kinase', NULL, 'TIGR00938', NULL, NULL, 4243, 16),
(196407, NULL, 'TIGR02594', NULL, NULL, 'TIGR02594: TIGR02594 family protein', NULL, 'TIGR02594', NULL, NULL, 9101, 16),
(196408, NULL, 'TIGR02946', NULL, NULL, 'acyl_WS_DGAT: acyltransferase, WS/DGAT/MGAT', NULL, 'TIGR02946', NULL, NULL, 9272, 16),
(196409, NULL, 'TIGR02955', NULL, NULL, 'TMAO_TorT: TMAO reductase system periplasmic protein TorT', NULL, 'TIGR02955', NULL, NULL, 9771, 16),
(196410, NULL, 'TIGR02264', NULL, NULL, 'gmx_para_CXXCG: Myxococcus xanthus double-CXXCG motif paralogous family', NULL, 'TIGR02264', NULL, NULL, 11783, 16),
(196411, NULL, 'TIGR00079', NULL, NULL, 'pept_deformyl: peptide deformylase', NULL, 'TIGR00079', NULL, NULL, 6236, 16),
(196412, NULL, 'TIGR03235', NULL, NULL, 'DNA_S_dndA: cysteine desulfurase DndA', NULL, 'TIGR03235', NULL, NULL, 16659, 16),
(196413, NULL, 'TIGR03475', NULL, NULL, 'tap_IncFII_lead: RepA leader peptide Tap', NULL, 'TIGR03475', NULL, NULL, 9922, 16),
(196414, NULL, 'TIGR00633', NULL, NULL, 'xth: exodeoxyribonuclease III (xth)', NULL, 'TIGR00633', NULL, NULL, 4202, 16),
(196415, NULL, 'TIGR03917', NULL, NULL, 'Frankia_40_dom: Frankia-40 domain', NULL, 'TIGR03917', NULL, NULL, 7785, 16),
(196416, NULL, 'TIGR04184', NULL, NULL, 'ATPgraspMvdD: ATP-grasp ribosomal peptide maturase, MvdD family', NULL, 'TIGR04184', NULL, NULL, 24338, 16),
(196417, NULL, 'TIGR02320', NULL, NULL, 'PEP_mutase: phosphoenolpyruvate mutase', NULL, 'TIGR02320', NULL, NULL, 11817, 16),
(196418, NULL, 'TIGR02585', NULL, NULL, 'cas_Cst2_DevR: CRISPR-associated protein Cas7/Cst2/DevR, subtype I-B/TNEAP', NULL, 'TIGR02585', NULL, NULL, 9442, 16),
(196419, NULL, 'TIGR02837', NULL, NULL, 'spore_II_R: stage II sporulation protein R', NULL, 'TIGR02837', NULL, NULL, 9300, 16),
(196420, NULL, 'TIGR00577', NULL, NULL, 'fpg: DNA-formamidopyrimidine glycosylase', NULL, 'TIGR00577', NULL, NULL, 19844, 16),
(196421, NULL, 'TIGR01430', NULL, NULL, 'aden_deam: adenosine deaminase', NULL, 'TIGR01430', NULL, NULL, 4849, 16),
(196422, NULL, 'TIGR02762', NULL, NULL, 'TraL_TIGR: type IV conjugative transfer system protein TraL', NULL, 'TIGR02762', NULL, NULL, 13844, 16),
(196423, NULL, 'TIGR03733', NULL, NULL, 'lanti_perm_MutG: lantibiotic protection ABC transporter permease subunit, MutG family', NULL, 'TIGR03733', NULL, NULL, 15668, 16),
(196424, NULL, 'TIGR00135', NULL, NULL, 'gatC: aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, C subunit', NULL, 'TIGR00135', NULL, NULL, 3269, 16),
(196425, NULL, 'TIGR04281', NULL, NULL, 'peripla_PGF_1: putative ABC transporter PGF-CTERM-modified substrate-binding protein', NULL, 'TIGR04281', NULL, NULL, 27164, 16),
(196426, NULL, 'TIGR00449', NULL, NULL, 'tgt_general: tRNA-guanine family transglycosylase', NULL, 'TIGR00449', NULL, NULL, 2839, 16),
(196427, NULL, 'TIGR00829', NULL, NULL, 'FRU: PTS system, Fru family, IIB component', NULL, 'TIGR00829', NULL, NULL, 4462, 16),
(196428, NULL, 'TIGR01623', NULL, NULL, 'put_zinc_LRP1: putative zinc finger domain, LRP1 type', NULL, 'TIGR01623', NULL, NULL, 6971, 16),
(196429, NULL, 'TIGR02778', NULL, NULL, 'ligD_pol: DNA ligase D, polymerase domain', NULL, 'TIGR02778', NULL, NULL, 14022, 16),
(196430, NULL, 'TIGR01760', NULL, NULL, 'tape_meas_TP901: phage tail tape measure protein, TP901 family, core region', NULL, 'TIGR01760', NULL, NULL, 2050, 16),
(196431, NULL, 'TIGR00879', NULL, NULL, 'SP: MFS transporter, sugar porter (SP) family', NULL, 'TIGR00879', NULL, NULL, 1192, 16),
(196432, NULL, 'TIGR03780', NULL, NULL, 'Bac_Flav_CT_N: Bacteroides conjugative transposon TraN protein', NULL, 'TIGR03780', NULL, NULL, 21101, 16),
(196433, NULL, 'TIGR00291', NULL, NULL, 'RNA_SBDS: rRNA metabolism protein, SBDS family', NULL, 'TIGR00291', NULL, NULL, 5199, 16);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196434, NULL, 'TIGR04458', NULL, NULL, 'CYP450_TxtE: 4-nitrotryptophan synthase', NULL, 'TIGR04458', NULL, NULL, 27921, 16),
(196435, NULL, 'TIGR03282', NULL, NULL, 'methan_mark_13: putative methanogenesis marker 13 metalloprotein', NULL, 'TIGR03282', NULL, NULL, 17888, 16),
(196436, NULL, 'TIGR03487', NULL, NULL, 'cas_csp2: CRISPR-associated protein Cas8c/Csp2, subtype PGING', NULL, 'TIGR03487', NULL, NULL, 18319, 16),
(196437, NULL, 'TIGR01274', NULL, NULL, 'ACC_deam: 1-aminocyclopropane-1-carboxylate deaminase', NULL, 'TIGR01274', NULL, NULL, 103, 16),
(196438, NULL, 'TIGR02108', NULL, NULL, 'PQQ_syn_pqqB: coenzyme PQQ biosynthesis protein B', NULL, 'TIGR02108', NULL, NULL, 14244, 16),
(196439, NULL, 'TIGR02273', NULL, NULL, '16S_RimM: 16S rRNA processing protein RimM', NULL, 'TIGR02273', NULL, NULL, 11036, 16),
(196440, NULL, 'TIGR00088', NULL, NULL, 'trmD: tRNA (guanine(37)-N(1))-methyltransferase', NULL, 'TIGR00088', NULL, NULL, 2952, 16),
(196441, NULL, 'TIGR01635', NULL, NULL, 'tail_comp_S: phage virion morphogenesis protein', NULL, 'TIGR01635', NULL, NULL, 169, 16),
(196442, NULL, 'TIGR00244', NULL, NULL, 'TIGR00244: transcriptional regulator NrdR', NULL, 'TIGR00244', NULL, NULL, 3273, 16),
(196443, NULL, 'TIGR01262', NULL, NULL, 'maiA: maleylacetoacetate isomerase', NULL, 'TIGR01262', NULL, NULL, 495, 16),
(196444, NULL, 'TIGR03584', NULL, NULL, 'PseF: pseudaminic acid cytidylyltransferase', NULL, 'TIGR03584', NULL, NULL, 12202, 16),
(196445, NULL, 'TIGR00926', NULL, NULL, '2A1704: oligopeptide transporter, peptide:H+ symporter', NULL, 'TIGR00926', NULL, NULL, 5112, 16),
(196446, NULL, 'TIGR01399', NULL, NULL, 'hrcV: type III secretion protein, HrcV family', NULL, 'TIGR01399', NULL, NULL, 4796, 16),
(196447, NULL, 'TIGR03303', NULL, NULL, 'OM_YaeT: outer membrane protein assembly complex, YaeT protein', NULL, 'TIGR03303', NULL, NULL, 14791, 16),
(196448, NULL, 'TIGR01137', NULL, NULL, 'cysta_beta: cystathionine beta-synthase', NULL, 'TIGR01137', NULL, NULL, 6508, 16),
(196449, NULL, 'TIGR00624', NULL, NULL, 'tag: DNA-3-methyladenine glycosylase I', NULL, 'TIGR00624', NULL, NULL, 997, 16),
(196450, NULL, 'TIGR02155', NULL, NULL, 'PA_CoA_ligase: phenylacetate-CoA ligase', NULL, 'TIGR02155', NULL, NULL, 8529, 16),
(196451, NULL, 'TIGR01000', NULL, NULL, 'bacteriocin_acc: bacteriocin secretion accessory protein', NULL, 'TIGR01000', NULL, NULL, 3740, 16),
(196452, NULL, 'TIGR01819', NULL, NULL, 'F420_cofD: 2-phospho-L-lactate transferase', NULL, 'TIGR01819', NULL, NULL, 10713, 16),
(196453, NULL, 'TIGR00742', NULL, NULL, 'yjbN: tRNA dihydrouridine synthase A', NULL, 'TIGR00742', NULL, NULL, 2584, 16),
(196454, NULL, 'TIGR02606', NULL, NULL, 'antidote_CC2985: putative addiction module antidote protein, CC2985 family', NULL, 'TIGR02606', NULL, NULL, 6115, 16),
(196455, NULL, 'TIGR02750', NULL, NULL, 'TraN_Ftype: type-F conjugative transfer system mating-pair stabilization protein TraN', NULL, 'TIGR02750', NULL, NULL, 13777, 16),
(196456, NULL, 'TIGR01897', NULL, NULL, 'cas_MJ1666: CRISPR-associated protein, MJ1666 family', NULL, 'TIGR01897', NULL, NULL, 10764, 16),
(196457, NULL, 'TIGR01956', NULL, NULL, 'NusG_myco: NusG family protein', NULL, 'TIGR01956', NULL, NULL, 4125, 16),
(196458, NULL, 'TIGR03001', NULL, NULL, 'Sig-70_gmx1: RNA polymerase sigma-70 factor, Myxococcales family 1', NULL, 'TIGR03001', NULL, NULL, 11776, 16),
(196459, NULL, 'TIGR00801', NULL, NULL, 'ncs2: uracil-xanthine permease', NULL, 'TIGR00801', NULL, NULL, 2900, 16),
(196460, NULL, 'TIGR03643', NULL, NULL, 'TIGR03643: TIGR03643 family protein', NULL, 'TIGR03643', NULL, NULL, 18149, 16),
(196461, NULL, 'TIGR03964', NULL, NULL, 'mycofact_creat: mycofactocin system creatininase family protein', NULL, 'TIGR03964', NULL, NULL, 18156, 16),
(196462, NULL, 'TIGR03309', NULL, NULL, 'matur_yqeB: selenium-dependent molybdenum hydroxylase system protein, YqeB family', NULL, 'TIGR03309', NULL, NULL, 17658, 16),
(196463, NULL, 'TIGR00851', NULL, NULL, 'mtlA: PTS system, mannitol-specific IIC component', NULL, 'TIGR00851', NULL, NULL, 3953, 16);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196464, NULL, 'TIGR02046', NULL, NULL, 'sdhC_b558_fam: succinate dehydrogenase (or fumarate reductase) cytochrome b subunit, b558 family', NULL, 'TIGR02046', NULL, NULL, 10227, 16),
(196465, NULL, 'TIGR00988', NULL, NULL, 'hip: integration host factor, beta subunit', NULL, 'TIGR00988', NULL, NULL, 3909, 16),
(196466, NULL, 'TIGR03549', NULL, NULL, 'TIGR03549: YcaO domain protein', NULL, 'TIGR03549', NULL, NULL, 18250, 16),
(196467, NULL, 'TIGR00611', NULL, NULL, 'recf: DNA replication and repair protein RecF', NULL, 'TIGR00611', NULL, NULL, 539, 16),
(196468, NULL, 'TIGR00113', NULL, NULL, 'queA: S-adenosylmethionine:tRNA ribosyltransferase-isomerase', NULL, 'TIGR00113', NULL, NULL, 6002, 16),
(196469, NULL, 'TIGR00748', NULL, NULL, 'HMG_CoA_syn_Arc: putative hydroxymethylglutaryl-CoA synthase', NULL, 'TIGR00748', NULL, NULL, 2602, 16),
(196470, NULL, 'TIGR01165', NULL, NULL, 'cbiN: cobalt transport protein', NULL, 'TIGR01165', NULL, NULL, 6472, 16),
(196471, NULL, 'TIGR00353', NULL, NULL, 'nrfE: cytochrome c-type biogenesis protein CcmF', NULL, 'TIGR00353', NULL, NULL, 205, 16),
(196472, NULL, 'TIGR00508', NULL, NULL, 'bioA: adenosylmethionine-8-amino-7-oxononanoate transaminase', NULL, 'TIGR00508', NULL, NULL, 5550, 16),
(196473, NULL, 'TIGR01732', NULL, NULL, 'tiny_TM_bacill: conserved hypothetical protein', NULL, 'TIGR01732', NULL, NULL, 8461, 16),
(196474, NULL, 'TIGR02286', NULL, NULL, 'PaaD: phenylacetic acid degradation protein PaaD', NULL, 'TIGR02286', NULL, NULL, 11473, 16),
(196475, NULL, 'TIGR01869', NULL, NULL, 'casC_Cse4: CRISPR-associated protein Cas7/Cse4/CasC, subtype I-E/ECOLI', NULL, 'TIGR01869', NULL, NULL, 10859, 16),
(196476, NULL, 'TIGR03665', NULL, NULL, 'arCOG04150: arCOG04150 universal archaeal KH domain protein', NULL, 'TIGR03665', NULL, NULL, 15627, 16),
(196477, NULL, 'TIGR01991', NULL, NULL, 'HscA: Fe-S protein assembly chaperone HscA', NULL, 'TIGR01991', NULL, NULL, 4252, 16),
(196478, NULL, 'TIGR04340', NULL, NULL, 'rSAM_ACGX: radical SAM/SPASM domain protein, ACGX system', NULL, 'TIGR04340', NULL, NULL, 29193, 16),
(196479, NULL, 'TIGR02784', NULL, NULL, 'addA_alphas: double-strand break repair helicase AddA', NULL, 'TIGR02784', NULL, NULL, 14008, 16),
(196480, NULL, 'TIGR03671', NULL, NULL, 'cca_archaeal: CCA-adding enzyme', NULL, 'TIGR03671', NULL, NULL, 674, 16),
(196481, NULL, 'TIGR00823', NULL, NULL, 'EIIA-LAC: PTS system, lactose-specific IIa component', NULL, 'TIGR00823', NULL, NULL, 3187, 16),
(196482, NULL, 'TIGR02756', NULL, NULL, 'TraK_Ftype: type-F conjugative transfer system secretin TraK', NULL, 'TIGR02756', NULL, NULL, 13931, 16),
(196483, NULL, 'TIGR03425', NULL, NULL, 'urea_degr_2: urea carboxylase-associated protein 2', NULL, 'TIGR03425', NULL, NULL, 19189, 16),
(196484, NULL, 'TIGR02516', NULL, NULL, 'type_III_yscC: type III secretion outer membrane pore, YscC/HrcC family', NULL, 'TIGR02516', NULL, NULL, 6242, 16),
(196485, NULL, 'TIGR00381', NULL, NULL, 'cdhD: CO dehydrogenase/acetyl-CoA synthase, delta subunit', NULL, 'TIGR00381', NULL, NULL, 1962, 16),
(196486, NULL, 'TIGR02074', NULL, NULL, 'PBP_1a_fam: penicillin-binding protein, 1A family', NULL, 'TIGR02074', NULL, NULL, NULL, 16),
(196487, NULL, 'TIGR03079', NULL, NULL, 'CH4_NH3mon_ox_B: methane monooxygenase/ammonia monooxygenase, subunit B', NULL, 'TIGR03079', NULL, NULL, 3935, 16),
(196488, NULL, 'TIGR01240', NULL, NULL, 'mevDPdecarb: diphosphomevalonate decarboxylase', NULL, 'TIGR01240', NULL, NULL, 25996, 16),
(196489, NULL, 'TIGR02572', NULL, NULL, 'LcrR: type III secretion system regulator LcrR', NULL, 'TIGR02572', NULL, NULL, 9488, 16),
(196490, NULL, 'TIGR00325', NULL, NULL, 'lpxC: UDP-3-O-[3-hydroxymyristoyl] N-acetylglucosamine deacetylase', NULL, 'TIGR00325', NULL, NULL, 7391, 16),
(196491, NULL, 'TIGR03173', NULL, NULL, 'pbuX: xanthine permease', NULL, 'TIGR03173', NULL, NULL, 16012, 16),
(196492, NULL, 'TIGR03412', NULL, NULL, 'iscX_yfhJ: FeS assembly protein IscX', NULL, 'TIGR03412', NULL, NULL, 10200, 16),
(196493, NULL, 'TIGR01159', NULL, NULL, 'DRP1: density-regulated protein DRP1', NULL, 'TIGR01159', NULL, NULL, 6953, 16);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196494, NULL, 'TIGR03923', NULL, NULL, 'T7SS_EccE: type VII secretion protein EccE', NULL, 'TIGR03923', NULL, NULL, 18497, 16),
(196495, NULL, 'TIGR04436', NULL, NULL, 'SpoChoClust_3: putative 2OG-Fe(II) oxygenase', NULL, 'TIGR04436', NULL, NULL, 26846, 16),
(196496, NULL, 'TIGR02538', NULL, NULL, 'type_IV_pilB: type IV-A pilus assembly ATPase PilB', NULL, 'TIGR02538', NULL, NULL, 11892, 16),
(196497, NULL, 'TIGR02728', NULL, NULL, 'spore_gerQ: spore coat protein GerQ', NULL, 'TIGR02728', NULL, NULL, 14026, 16),
(196498, NULL, 'TIGR03213', NULL, NULL, '23dbph12diox: 2,3-dihydroxybiphenyl 1,2-dioxygenase', NULL, 'TIGR03213', NULL, NULL, 16836, 16),
(196499, NULL, 'TIGR04041', NULL, NULL, 'activase_YjjW: glycine radical enzyme activase, YjjW family', NULL, 'TIGR04041', NULL, NULL, 18597, 16),
(196500, NULL, 'TIGR02401', NULL, NULL, 'trehalose_TreY: malto-oligosyltrehalose synthase', NULL, 'TIGR02401', NULL, NULL, 10451, 16),
(196501, NULL, 'TIGR04178', NULL, NULL, 'exo_archaeo: exosortase/archaeosortase family protein', NULL, 'TIGR04178', NULL, NULL, 21777, 16),
(196502, NULL, 'TIGR03057', NULL, NULL, 'xxxLxxG_by_4: X-X-X-Leu-X-X-Gly heptad repeats', NULL, 'TIGR03057', NULL, NULL, 18829, 16),
(196503, NULL, 'TIGR00209', NULL, NULL, 'galT_1: galactose-1-phosphate uridylyltransferase', NULL, 'TIGR00209', NULL, NULL, 4195, 16),
(196504, NULL, 'TIGR00066', NULL, NULL, 'g_glut_trans: gamma-glutamyltransferase', NULL, 'TIGR00066', NULL, NULL, 2714, 16),
(196505, NULL, 'TIGR01657', NULL, NULL, 'P-ATPase-V: P-type ATPase of unknown pump specificity (type V)', NULL, 'TIGR01657', NULL, NULL, 249, 16),
(196506, NULL, 'TIGR02831', NULL, NULL, 'spo_II_M: stage II sporulation protein M', NULL, 'TIGR02831', NULL, NULL, 8601, 16),
(196507, NULL, 'TIGR01050', NULL, NULL, 'rpsS_bact: ribosomal protein uS19', NULL, 'TIGR01050', NULL, NULL, 4637, 16),
(196508, NULL, 'TIGR01417', NULL, NULL, 'PTS_I_fam: phosphoenolpyruvate-protein phosphotransferase', NULL, 'TIGR01417', NULL, NULL, 4693, 16),
(196509, NULL, 'TIGR01377', NULL, NULL, 'soxA_mon: sarcosine oxidase, monomeric form', NULL, 'TIGR01377', NULL, NULL, 3894, 16),
(196510, NULL, 'TIGR03711', NULL, NULL, 'acc_sec_asp3: accessory Sec system protein Asp3', NULL, 'TIGR03711', NULL, NULL, 15679, 16),
(196511, NULL, 'TIGR01480', NULL, NULL, 'copper_res_A: copper-resistance protein, CopA family', NULL, 'TIGR01480', NULL, NULL, 5668, 16),
(196512, NULL, 'TIGR01847', NULL, NULL, 'bacteriocin_sig: bacteriocin-type signal sequence', NULL, 'TIGR01847', NULL, NULL, 10849, 16),
(196513, NULL, 'TIGR03693', NULL, NULL, 'ocin_ThiF_like: putative thiazole-containing bacteriocin maturation protein', NULL, 'TIGR03693', NULL, NULL, 21304, 16),
(196514, NULL, 'TIGR01022', NULL, NULL, 'rpmJ_bact: ribosomal protein bL36', NULL, 'TIGR01022', NULL, NULL, 6626, 16),
(196515, NULL, 'TIGR03883', NULL, NULL, 'DUF2342_F420: uncharacterized protein, coenzyme F420 biosynthesis associated', NULL, 'TIGR03883', NULL, NULL, 16112, 16),
(196516, NULL, 'TIGR00496', NULL, NULL, 'frr: ribosome recycling factor', NULL, 'TIGR00496', NULL, NULL, 2754, 16),
(196517, NULL, 'TIGR01685', NULL, NULL, 'MDP-1: magnesium-dependent phosphatase-1', NULL, 'TIGR01685', NULL, NULL, 5167, 16),
(196518, NULL, 'TIGR01875', NULL, NULL, 'cas_MJ0381: CRISPR-associated autoregulator DevR family', NULL, 'TIGR01875', NULL, NULL, 10982, 16),
(196519, NULL, 'TIGR00864', NULL, NULL, 'PCC: polycystin cation channel protein', NULL, 'TIGR00864', NULL, NULL, 11277, 16),
(196520, NULL, 'TIGR02996', NULL, NULL, 'rpt_mate_G_obs: repeat-companion domain TIGR02996', NULL, 'TIGR02996', NULL, NULL, 10106, 16),
(196521, NULL, 'TIGR02033', NULL, NULL, 'D-hydantoinase: dihydropyrimidinase', NULL, 'TIGR02033', NULL, NULL, 13254, 16),
(196522, NULL, 'TIGR00038', NULL, NULL, 'efp: translation elongation factor P', NULL, 'TIGR00038', NULL, NULL, 10646, 16),
(196523, NULL, 'TIGR02715', NULL, NULL, 'amido_AtzE: amidohydrolase, AtzE family', NULL, 'TIGR02715', NULL, NULL, 14053, 16),
(196524, NULL, 'TIGR01704', NULL, NULL, 'MTA/SAH-Nsdase: MTA/SAH nucleosidase', NULL, 'TIGR01704', NULL, NULL, 5490, 16);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196525, NULL, 'TIGR01212', NULL, NULL, 'TIGR01212: radical SAM protein, TIGR01212 family', NULL, 'TIGR01212', NULL, NULL, 438, 16),
(196526, NULL, 'TIGR00182', NULL, NULL, 'plsX: fatty acid/phospholipid synthesis protein PlsX', NULL, 'TIGR00182', NULL, NULL, 8399, 16),
(196527, NULL, 'TIGR01187', NULL, NULL, 'potA: polyamine ABC transporter, ATP-binding protein', NULL, 'TIGR01187', NULL, NULL, 6593, 16),
(196528, NULL, 'TIGR02544', NULL, NULL, 'III_secr_YscJ: type III secretion apparatus lipoprotein, YscJ/HrcJ family', NULL, 'TIGR02544', NULL, NULL, 3370, 16),
(196529, NULL, 'TIGR04218', NULL, NULL, 'TOMM_plantaz: ribosomal natural product, plantazolicin-class', NULL, 'TIGR04218', NULL, NULL, 27054, 16),
(196530, NULL, 'TIGR01520', NULL, NULL, 'FruBisAldo_II_A: fructose-bisphosphate aldolase, class II', NULL, 'TIGR01520', NULL, NULL, 5635, 16),
(196531, NULL, 'TIGR01710', NULL, NULL, 'typeII_sec_gspG: type II secretion system protein G', NULL, 'TIGR01710', NULL, NULL, 5309, 16),
(196532, NULL, 'TIGR04408', NULL, NULL, 'LptG_lptG: LPS export ABC transporter permease LptG', NULL, 'TIGR04408', NULL, NULL, 25003, 16),
(196533, NULL, 'TIGR02217', NULL, NULL, 'chp_TIGR02217: TIGR02217 family protein', NULL, 'TIGR02217', NULL, NULL, 11785, 16),
(196534, NULL, 'TIGR04362', NULL, NULL, 'choice_anch_C: choice-of-anchor C domain', NULL, 'TIGR04362', NULL, NULL, 24316, 16),
(196535, NULL, 'TIGR03378', NULL, NULL, 'glycerol3P_GlpB: glycerol-3-phosphate dehydrogenase, anaerobic, B subunit', NULL, 'TIGR03378', NULL, NULL, 9540, 16),
(196536, NULL, 'TIGR04552', NULL, NULL, 'TIGR04552: TIGR04552 family protein', NULL, 'TIGR04552', NULL, NULL, NULL, 16),
(196537, NULL, 'TIGR01193', NULL, NULL, 'bacteriocin_ABC: ABC-type bacteriocin transporter', NULL, 'TIGR01193', NULL, NULL, 6821, 16),
(196538, NULL, 'TIGR00680', NULL, NULL, 'kdpA: K+-transporting ATPase, A subunit', NULL, 'TIGR00680', NULL, NULL, 2037, 16),
(196539, NULL, 'TIGR03705', NULL, NULL, 'poly_P_kin: polyphosphate kinase 1', NULL, 'TIGR03705', NULL, NULL, 5324, 16),
(196540, NULL, 'TIGR01561', NULL, NULL, 'gde_arch: putative glycogen debranching enzyme, archaeal type', NULL, 'TIGR01561', NULL, NULL, 6842, 16),
(196541, NULL, 'TIGR01698', NULL, NULL, 'PUNP: purine nucleotide phosphorylase', NULL, 'TIGR01698', NULL, NULL, 9933, 16),
(196542, NULL, 'TIGR00318', NULL, NULL, 'cyaB: putative adenylyl cyclase CyaB', NULL, 'TIGR00318', NULL, NULL, 7018, 16),
(196543, NULL, 'TIGR00904', NULL, NULL, 'mreB: cell shape determining protein, MreB/Mrl family', NULL, 'TIGR00904', NULL, NULL, 5305, 16),
(196544, NULL, 'TIGR01336', NULL, NULL, 'psaB: photosystem I core protein PsaB', NULL, 'TIGR01336', NULL, NULL, 3943, 16),
(196545, NULL, 'TIGR00543', NULL, NULL, 'isochor_syn: isochorismate synthase', NULL, 'TIGR00543', NULL, NULL, 963, 16),
(196546, NULL, 'TIGR02114', NULL, NULL, 'coaB_strep: phosphopantothenate--cysteine ligase', NULL, 'TIGR02114', NULL, NULL, 14034, 16),
(196547, NULL, 'TIGR04122', NULL, NULL, 'Xnuc_lig_assoc: putative exonuclease, DNA ligase-associated', NULL, 'TIGR04122', NULL, NULL, 24466, 16),
(196548, NULL, 'TIGR04150', NULL, NULL, 'pseudo_rSAM_GG: pseudo-rSAM protein, GG-Bacteroidales system', NULL, 'TIGR04150', NULL, NULL, 21944, 16),
(196549, NULL, 'TIGR01922', NULL, NULL, 'purO_arch: IMP cyclohydrolase', NULL, 'TIGR01922', NULL, NULL, 4277, 16),
(196550, NULL, 'TIGR03269', NULL, NULL, 'met_CoM_red_A2: methyl coenzyme M reductase system, component A2', NULL, 'TIGR03269', NULL, NULL, 17039, 16),
(196551, NULL, 'TIGR04499', NULL, NULL, 'abortive_AbiA: abortive infection protein, AbiA family', NULL, 'TIGR04499', NULL, NULL, 22253, 16),
(196552, NULL, 'TIGR04396', NULL, NULL, 'surf_polysacc: surface carbohydrate biosynthesis protein', NULL, 'TIGR04396', NULL, NULL, 26918, 16),
(196553, NULL, 'TIGR03842', NULL, NULL, 'F420_CPS_4043: F420-dependent oxidoreductase, CPS_4043 family', NULL, 'TIGR03842', NULL, NULL, 15547, 16),
(196554, NULL, 'TIGR03739', NULL, NULL, 'PRTRC_D: PRTRC system protein D', NULL, 'TIGR03739', NULL, NULL, 16165, 16);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196555, NULL, 'TIGR03241', NULL, NULL, 'arg_catab_astB: succinylarginine dihydrolase', NULL, 'TIGR03241', NULL, NULL, 486, 16),
(196556, NULL, 'TIGR03481', NULL, NULL, 'HpnM: hopanoid biosynthesis associated membrane protein HpnM', NULL, 'TIGR03481', NULL, NULL, 20131, 16),
(196557, NULL, 'TIGR00571', NULL, NULL, 'dam: DNA adenine methylase', NULL, 'TIGR00571', NULL, NULL, 11731, 16),
(196558, NULL, 'TIGR03344', NULL, NULL, 'VI_effect_Hcp1: type VI secretion system effector, Hcp1 family', NULL, 'TIGR03344', NULL, NULL, 12756, 16),
(196559, NULL, 'TIGR04013', NULL, NULL, 'B12_SAM_MJ_1487: B12-binding domain/radical SAM domain protein, MJ_1487 family', NULL, 'TIGR04013', NULL, NULL, 11813, 16),
(196560, NULL, 'TIGR02326', NULL, NULL, 'transamin_PhnW: 2-aminoethylphosphonate--pyruvate transaminase', NULL, 'TIGR02326', NULL, NULL, 11760, 16),
(196561, NULL, 'TIGR03104', NULL, NULL, 'trio_amidotrans: asparagine synthase family amidotransferase', NULL, 'TIGR03104', NULL, NULL, 15361, 16),
(196562, NULL, 'TIGR00073', NULL, NULL, 'hypB: hydrogenase accessory protein HypB', NULL, 'TIGR00073', NULL, NULL, 5854, 16),
(196563, NULL, 'TIGR04259', NULL, NULL, 'oxa_formateAnti: oxalate/formate antiporter', NULL, 'TIGR04259', NULL, NULL, 26460, 16),
(196564, NULL, 'TIGR00783', NULL, NULL, 'ccs: citrate carrier protein, CCS family', NULL, 'TIGR00783', NULL, NULL, 11695, 16),
(196565, NULL, 'TIGR03979', NULL, NULL, 'His_Ser_Rich: His-Xaa-Ser repeat protein HxsA', NULL, 'TIGR03979', NULL, NULL, 18217, 16),
(196566, NULL, 'TIGR04511', NULL, NULL, 'SagB_rel_DH_2: putative peptide maturation dehydrogenase', NULL, 'TIGR04511', NULL, NULL, 26558, 16),
(196567, NULL, 'TIGR02824', NULL, NULL, 'quinone_pig3: putative NAD(P)H quinone oxidoreductase, PIG3 family', NULL, 'TIGR02824', NULL, NULL, 8745, 16),
(196568, NULL, 'TIGR03602', NULL, NULL, 'streptolysinS: bacteriocin protoxin, streptolysin S family', NULL, 'TIGR03602', NULL, NULL, 15033, 16),
(196569, NULL, 'TIGR03160', NULL, NULL, 'cobT_DBIPRT: nicotinate-nucleotide--dimethylbenzimidazole phosphoribosyltransferase', NULL, 'TIGR03160', NULL, NULL, 13332, 16),
(196570, NULL, 'TIGR02005', NULL, NULL, 'PTS-IIBC-alpha: PTS system, alpha-glucoside-specific IIBC component', NULL, 'TIGR02005', NULL, NULL, 2151, 16),
(196571, NULL, 'TIGR02435', NULL, NULL, 'CobG: precorrin-3B synthase', NULL, 'TIGR02435', NULL, NULL, 11641, 16),
(196572, NULL, 'TIGR00892', NULL, NULL, '2A0113: monocarboxylate transporter', NULL, 'TIGR00892', NULL, NULL, 5029, 16),
(196573, NULL, 'TIGR03453', NULL, NULL, 'partition_RepA: plasmid partitioning protein RepA', NULL, 'TIGR03453', NULL, NULL, 19777, 16),
(196574, NULL, 'TIGR03951', NULL, NULL, 'Fe_III_red_FhuF: siderophore-iron reductase FhuF', NULL, 'TIGR03951', NULL, NULL, 6346, 16),
(196575, NULL, 'TIGR00462', NULL, NULL, 'genX: EF-P lysine aminoacylase GenX', NULL, 'TIGR00462', NULL, NULL, 1733, 16),
(196576, NULL, 'TIGR03316', NULL, NULL, 'ygeW: knotted carbamoyltransferase YgeW', NULL, 'TIGR03316', NULL, NULL, 18131, 16),
(196577, NULL, 'TIGR02968', NULL, NULL, 'succ_dehyd_anc: succinate dehydrogenase, hydrophobic membrane anchor protein', NULL, 'TIGR02968', NULL, NULL, 9961, 16),
(196578, NULL, 'TIGR00639', NULL, NULL, 'PurN: phosphoribosylglycinamide formyltransferase', NULL, 'TIGR00639', NULL, NULL, 544, 16),
(196579, NULL, 'TIGR00599', NULL, NULL, 'rad18: DNA repair protein rad18', NULL, 'TIGR00599', NULL, NULL, 683, 16),
(196580, NULL, 'TIGR01813', NULL, NULL, 'flavo_cyto_c: flavocytochrome c', NULL, 'TIGR01813', NULL, NULL, 2281, 16),
(196581, NULL, 'TIGR01950', NULL, NULL, 'SoxR: redox-sensitive transcriptional activator SoxR', NULL, 'TIGR01950', NULL, NULL, 4207, 16),
(196582, NULL, 'TIGR03814', NULL, NULL, 'Gln_ase: glutaminase A', NULL, 'TIGR03814', NULL, NULL, 13643, 16),
(196583, NULL, 'TIGR00755', NULL, NULL, 'ksgA: ribosomal RNA small subunit methyltransferase A', NULL, 'TIGR00755', NULL, NULL, 9230, 16),
(196584, NULL, 'TIGR01084', NULL, NULL, 'mutY: A/G-specific adenine glycosylase', NULL, 'TIGR01084', NULL, NULL, 4676, 16);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196585, NULL, 'TIGR03590', NULL, NULL, 'PseG: UDP-2,4-diacetamido-2,4,6-trideoxy-beta-L-altropyranose hydrolase', NULL, 'TIGR03590', NULL, NULL, 12018, 16),
(196586, NULL, 'TIGR04006', NULL, NULL, 'wcaK: colanic acid biosynthesis pyruvyl transferase WcaK', NULL, 'TIGR04006', NULL, NULL, 258, 16),
(196587, NULL, 'TIGR03092', NULL, NULL, 'SASP_sspI: small, acid-soluble spore protein I', NULL, 'TIGR03092', NULL, NULL, 15196, 16),
(196588, NULL, 'TIGR03297', NULL, NULL, 'Ppyr-DeCO2ase: phosphonopyruvate decarboxylase', NULL, 'TIGR03297', NULL, NULL, 17682, 16),
(196589, NULL, 'TIGR02142', NULL, NULL, 'modC_ABC: molybdate ABC transporter, ATP-binding protein', NULL, 'TIGR02142', NULL, NULL, 14259, 16),
(196590, NULL, 'TIGR04471', NULL, NULL, 'rSAM_mob_pairA: radical SAM mobile pair protein A', NULL, 'TIGR04471', NULL, NULL, 27905, 16),
(196591, NULL, 'TIGR02463', NULL, NULL, 'MPGP_rel: mannosyl-3-phosphoglycerate phosphatase homolog', NULL, 'TIGR02463', NULL, NULL, NULL, 16),
(196592, NULL, 'TIGR00278', NULL, NULL, 'TIGR00278: putative membrane protein insertion efficiency factor', NULL, 'TIGR00278', NULL, NULL, 3504, 16),
(196593, NULL, 'TIGR00434', NULL, NULL, 'cysH: phosophoadenylyl-sulfate reductase', NULL, 'TIGR00434', NULL, NULL, 1523, 16),
(196594, NULL, 'TIGR01445', NULL, NULL, 'intein_Nterm: intein N-terminal splicing region', NULL, 'TIGR01445', NULL, NULL, 10026, 16),
(196595, NULL, 'TIGR01308', NULL, NULL, 'rpmD_bact: ribosomal protein uL30', NULL, 'TIGR01308', NULL, NULL, 1382, 16),
(196596, NULL, 'TIGR01589', NULL, NULL, 'A_thal_3526: uncharacterized plant-specific domain TIGR01589', NULL, 'TIGR01589', NULL, NULL, 6006, 16),
(196597, NULL, 'TIGR01452', NULL, NULL, 'PGP_euk: phosphoglycolate/pyridoxal phosphate phosphatase family', NULL, 'TIGR01452', NULL, NULL, 4724, 16),
(196598, NULL, 'TIGR00932', NULL, NULL, '2a37: transporter, monovalent cation:proton antiporter-2 (CPA2) family', NULL, 'TIGR00932', NULL, NULL, 5137, 16),
(196599, NULL, 'TIGR02940', NULL, NULL, 'anfO_nitrog: Fe-only nitrogenase accessory protein AnfO', NULL, 'TIGR02940', NULL, NULL, 9383, 16),
(196600, NULL, 'TIGR01629', NULL, NULL, 'rep_II_X: phage/plasmid replication protein, gene II/X family', NULL, 'TIGR01629', NULL, NULL, 6709, 16),
(196601, NULL, 'TIGR04287', NULL, NULL, 'exosort_XrtK: exosortase K', NULL, 'TIGR04287', NULL, NULL, 28802, 16),
(196602, NULL, 'TIGR03132', NULL, NULL, 'malonate_mdcB: triphosphoribosyl-dephospho-CoA synthase MdcB', NULL, 'TIGR03132', NULL, NULL, 15366, 16),
(196603, NULL, 'TIGR02279', NULL, NULL, 'PaaC-3OHAcCoADH: 3-hydroxyacyl-CoA dehydrogenase PaaC', NULL, 'TIGR02279', NULL, NULL, 11059, 16),
(196604, NULL, 'TIGR01766', NULL, NULL, 'tspaseT_teng_C: transposase, IS605 OrfB family', NULL, 'TIGR01766', NULL, NULL, 2306, 16),
(196605, NULL, 'TIGR03774', NULL, NULL, 'RPE2: rickettsial palindromic element RPE2 domain', NULL, 'TIGR03774', NULL, NULL, 16208, 16),
(196606, NULL, 'TIGR00471', NULL, NULL, 'pheT_arch: phenylalanine--tRNA ligase, beta subunit', NULL, 'TIGR00471', NULL, NULL, 1988, 16),
(196607, NULL, 'TIGR02681', NULL, NULL, 'phage_pRha: phage regulatory protein, Rha family', NULL, 'TIGR02681', NULL, NULL, 13026, 16),
(196608, NULL, 'TIGR02666', NULL, NULL, 'moaA: molybdenum cofactor biosynthesis protein A', NULL, 'TIGR02666', NULL, NULL, 10349, 16),
(196609, NULL, 'TIGR03032', NULL, NULL, 'TIGR03032: TIGR03032 family protein', NULL, 'TIGR03032', NULL, NULL, 21434, 16),
(196610, NULL, 'TIGR03169', NULL, NULL, 'Nterm_to_SelD: pyridine nucleotide-disulfide oxidoreductase family protein', NULL, 'TIGR03169', NULL, NULL, 16317, 16),
(196611, NULL, 'TIGR02874', NULL, NULL, 'spore_ytfJ: sporulation protein YtfJ', NULL, 'TIGR02874', NULL, NULL, 10527, 16),
(196612, NULL, 'TIGR00424', NULL, NULL, 'APS_reduc: 5''-adenylylsulfate reductase, thioredoxin-independent', NULL, 'TIGR00424', NULL, NULL, 1728, 16),
(196613, NULL, 'TIGR00128', NULL, NULL, 'fabD: malonyl CoA-acyl carrier protein transacylase', NULL, 'TIGR00128', NULL, NULL, 5983, 16),
(196614, NULL, 'TIGR02619', NULL, NULL, 'TIGR02619: putative CRISPR-associated protein, APE2256 family', NULL, 'TIGR02619', NULL, NULL, 9291, 16);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196615, NULL, 'TIGR03497', NULL, NULL, 'FliI_clade2: flagellar protein export ATPase FliI', NULL, 'TIGR03497', NULL, NULL, 16125, 16),
(196616, NULL, 'TIGR03017', NULL, NULL, 'EpsF: chain length determinant protein EpsF', NULL, 'TIGR03017', NULL, NULL, 21244, 16),
(196617, NULL, 'TIGR02201', NULL, NULL, 'heptsyl_trn_III: putative lipopolysaccharide heptosyltransferase III', NULL, 'TIGR02201', NULL, NULL, 12052, 16),
(196618, NULL, 'TIGR02827', NULL, NULL, 'RNR_anaer_Bdell: anaerobic ribonucleoside-triphosphate reductase', NULL, 'TIGR02827', NULL, NULL, 12767, 16),
(196619, NULL, 'TIGR03465', NULL, NULL, 'HpnD: squalene synthase HpnD', NULL, 'TIGR03465', NULL, NULL, 20385, 16),
(196620, NULL, 'TIGR00889', NULL, NULL, '2A0110: nucleoside transporter', NULL, 'TIGR00889', NULL, NULL, 5467, 16),
(196621, NULL, 'TIGR01610', NULL, NULL, 'phage_O_Nterm: phage replication protein O, N-terminal domain', NULL, 'TIGR01610', NULL, NULL, 6984, 16),
(196622, NULL, 'TIGR01882', NULL, NULL, 'peptidase-T: peptidase T', NULL, 'TIGR01882', NULL, NULL, 10734, 16),
(196623, NULL, 'TIGR02722', NULL, NULL, 'lp_: uncharacterized lipoprotein', NULL, 'TIGR02722', NULL, NULL, 14024, 16),
(196624, NULL, 'TIGR04443', NULL, NULL, 'F420_CofF: coenzyme gamma-F420-2:alpha-L-glutamate ligase', NULL, 'TIGR04443', NULL, NULL, 28049, 16),
(196625, NULL, 'TIGR03360', NULL, NULL, 'VI_minor_1: type VI secretion-associated protein, VC_A0118 family', NULL, 'TIGR03360', NULL, NULL, 18526, 16),
(196626, NULL, 'TIGR01539', NULL, NULL, 'portal_lambda: phage portal protein, lambda family', NULL, 'TIGR01539', NULL, NULL, 6563, 16),
(196627, NULL, 'TIGR01047', NULL, NULL, 'nspC: carboxynorspermidine decarboxylase', NULL, 'TIGR01047', NULL, NULL, 4602, 16),
(196628, NULL, 'TIGR04308', NULL, NULL, 'repeat_SSSPR51: surface protein repeat SSSPR-51', NULL, 'TIGR04308', NULL, NULL, 23021, 16),
(196629, NULL, 'TIGR02280', NULL, NULL, 'PaaB1: phenylacetate degradation probable enoyl-CoA hydratase PaaB', NULL, 'TIGR02280', NULL, NULL, 11228, 16),
(196630, NULL, 'TIGR02385', NULL, NULL, 'RelE_StbE: addiction module toxin, RelE/StbE family', NULL, 'TIGR02385', NULL, NULL, 1082, 16),
(196631, NULL, 'TIGR00263', NULL, NULL, 'trpB: tryptophan synthase, beta subunit', NULL, 'TIGR00263', NULL, NULL, 1218, 16),
(196632, NULL, 'TIGR04010', NULL, NULL, 'WcaD: putative colanic acid polymerase WcaD', NULL, 'TIGR04010', NULL, NULL, 11683, 16),
(196633, NULL, 'TIGR00705', NULL, NULL, 'SppA_67K: signal peptide peptidase SppA, 67K type', NULL, 'TIGR00705', NULL, NULL, 2717, 16),
(196634, NULL, 'TIGR01208', NULL, NULL, 'rmlA_long: glucose-1-phosphate thymidylyltransferase', NULL, 'TIGR01208', NULL, NULL, 346, 16),
(196635, NULL, 'TIGR03989', NULL, NULL, 'Rxyl_3153: NDMA-dependent alcohol dehydrogenase, Rxyl_3153 family', NULL, 'TIGR03989', NULL, NULL, 18900, 16),
(196636, NULL, 'TIGR03805', NULL, NULL, 'beta_helix_1: parallel beta-helix repeat-containing protein', NULL, 'TIGR03805', NULL, NULL, 16052, 16),
(196637, NULL, 'TIGR04115', NULL, NULL, 'rSAM_Cxxx_rpt: radical SAM peptide maturase, CXXX-repeat target family', NULL, 'TIGR04115', NULL, NULL, 21882, 16),
(196638, NULL, 'TIGR00456', NULL, NULL, 'argS: arginine--tRNA ligase', NULL, 'TIGR00456', NULL, NULL, 420, 16),
(196639, NULL, 'TIGR03658', NULL, NULL, 'IsdH_HarA: haptoglobin-binding heme uptake protein HarA', NULL, 'TIGR03658', NULL, NULL, 18420, 16),
(196640, NULL, 'TIGR00963', NULL, NULL, 'secA: preprotein translocase, SecA subunit', NULL, 'TIGR00963', NULL, NULL, 1836, 16),
(196641, NULL, 'TIGR03746', NULL, NULL, 'conj_TIGR03746: integrating conjugative element protein, PFL_4703 family', NULL, 'TIGR03746', NULL, NULL, 18913, 16),
(196642, NULL, 'TIGR03986', NULL, NULL, 'TIGR03986: CRISPR-associated protein', NULL, 'TIGR03986', NULL, NULL, 9781, 16),
(196643, NULL, 'TIGR04112', NULL, NULL, 'seleno_YedE: putative selenium metabolism protein, YedE family', NULL, 'TIGR04112', NULL, NULL, 24484, 16),
(196644, NULL, 'TIGR03556', NULL, NULL, 'photolyase_8HDF: deoxyribodipyrimidine photo-lyase, 8-HDF type', NULL, 'TIGR03556', NULL, NULL, 18254, 16);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196645, NULL, 'TIGR00995', NULL, NULL, '3a0901s06TIC22: chloroplast protein import component, Tic22 family', NULL, 'TIGR00995', NULL, NULL, 3643, 16),
(196646, NULL, 'TIGR03418', NULL, NULL, 'chol_sulf_TF: putative choline sulfate-utilization transcription factor', NULL, 'TIGR03418', NULL, NULL, 19342, 16),
(196647, NULL, 'TIGR04296', NULL, NULL, 'PEFG-CTERM: PEFG-CTERM domain', NULL, 'TIGR04296', NULL, NULL, 28699, 16),
(196648, NULL, 'TIGR01153', NULL, NULL, 'psbC: photosystem II 44 kDa subunit reaction center protein', NULL, 'TIGR01153', NULL, NULL, 6995, 16),
(196649, NULL, 'TIGR04147', NULL, NULL, 'GGGPS_Halobact: phosphoglycerol geranylgeranyltransferase, putative', NULL, 'TIGR04147', NULL, NULL, 21627, 16),
(196650, NULL, 'TIGR04440', NULL, NULL, 'glyco_TIGR04440: glycosyltransferase domain', NULL, 'TIGR04440', NULL, NULL, 28202, 16),
(196651, NULL, 'TIGR03228', NULL, NULL, 'anthran_1_2_A: anthranilate 1,2-dioxygenase, large subunit', NULL, 'TIGR03228', NULL, NULL, 16839, 16),
(196652, NULL, 'TIGR00530', NULL, NULL, 'AGP_acyltrn: 1-acylglycerol-3-phosphate O-acyltransferases', NULL, 'TIGR00530', NULL, NULL, 559, 16),
(196653, NULL, 'TIGR00720', NULL, NULL, 'sda_mono: L-serine ammonia-lyase', NULL, 'TIGR00720', NULL, NULL, 2703, 16),
(196654, NULL, 'TIGR03313', NULL, NULL, 'Se_sel_red_Mo: probable selenate reductase, molybdenum-binding subunit', NULL, 'TIGR03313', NULL, NULL, 18041, 16),
(196655, NULL, 'TIGR01258', NULL, NULL, 'pgm_1: phosphoglycerate mutase 1 family', NULL, 'TIGR01258', NULL, NULL, 263, 16),
(196656, NULL, 'TIGR00260', NULL, NULL, 'thrC: threonine synthase', NULL, 'TIGR00260', NULL, NULL, 7405, 16),
(196657, NULL, 'TIGR03521', NULL, NULL, 'GldG: gliding-associated putative ABC transporter substrate-binding component GldG', NULL, 'TIGR03521', NULL, NULL, 16700, 16),
(196658, NULL, 'TIGR04355', NULL, NULL, 'HprK_rel_B: HprK-related kinase B', NULL, 'TIGR04355', NULL, NULL, 24202, 16),
(196659, NULL, 'TIGR01554', NULL, NULL, 'major_cap_HK97: phage major capsid protein, HK97 family', NULL, 'TIGR01554', NULL, NULL, 21528, 16),
(196660, NULL, 'TIGR00948', NULL, NULL, '2a75: L-lysine exporter', NULL, 'TIGR00948', NULL, NULL, 5083, 16),
(196661, NULL, 'TIGR00752', NULL, NULL, 'slp: outer membrane lipoprotein, Slp family', NULL, 'TIGR00752', NULL, NULL, 2563, 16),
(196662, NULL, 'TIGR04088', NULL, NULL, 'cognate_SipW: SipW-cognate class signal peptide', NULL, 'TIGR04088', NULL, NULL, 17305, 16),
(196663, NULL, 'TIGR04545', NULL, NULL, 'rSAM_ahbD_hemeb: heme b synthase', NULL, 'TIGR04545', NULL, NULL, 26884, 16),
(196664, NULL, 'TIGR00667', NULL, NULL, 'aat: leucyl/phenylalanyl-tRNA--protein transferase', NULL, 'TIGR00667', NULL, NULL, 2227, 16),
(196665, NULL, 'TIGR01390', NULL, NULL, 'CycNucDiestase: 2'',3''-cyclic-nucleotide 2''-phosphodiesterase', NULL, 'TIGR01390', NULL, NULL, 3829, 16),
(196666, NULL, 'TIGR02859', NULL, NULL, 'spore_sigH: RNA polymerase sigma-H factor', NULL, 'TIGR02859', NULL, NULL, 10654, 16),
(196667, NULL, 'TIGR01402', NULL, NULL, 'fliQ: flagellar biosynthetic protein FliQ', NULL, 'TIGR01402', NULL, NULL, 4973, 16),
(196668, NULL, 'TIGR02335', NULL, NULL, 'hydr_PhnA: phosphonoacetate hydrolase', NULL, 'TIGR02335', NULL, NULL, 11671, 16),
(196669, NULL, 'TIGR02740', NULL, NULL, 'TraF-like: TraF-like protein', NULL, 'TIGR02740', NULL, NULL, 13632, 16),
(196670, NULL, 'TIGR00916', NULL, NULL, '2A0604s01: protein-export membrane protein, SecD/SecF family', NULL, 'TIGR00916', NULL, NULL, 17497, 16),
(196671, NULL, 'TIGR00693', NULL, NULL, 'thiE: thiamine-phosphate diphosphorylase', NULL, 'TIGR00693', NULL, NULL, 15419, 16),
(196672, NULL, 'TIGR03954', NULL, NULL, 'integ_memb_HG: integral membrane protein', NULL, 'TIGR03954', NULL, NULL, 17006, 16),
(196673, NULL, 'TIGR00811', NULL, NULL, 'sit: silicon transporter', NULL, 'TIGR00811', NULL, NULL, 21219, 16),
(196674, NULL, 'TIGR01121', NULL, NULL, 'D_amino_aminoT: D-amino-acid transaminase', NULL, 'TIGR01121', NULL, NULL, 5741, 16),
(196675, NULL, 'TIGR00857', NULL, NULL, 'pyrC_multi: dihydroorotase, multifunctional complex type', NULL, 'TIGR00857', NULL, NULL, NULL, 16);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196676, NULL, 'TIGR01586', NULL, NULL, 'yopT_cys_prot: cysteine protease domain, YopT-type', NULL, 'TIGR01586', NULL, NULL, 6039, 16),
(196677, NULL, 'TIGR03509', NULL, NULL, 'OMP_MtrB_PioB: decaheme-associated outer membrane protein, MtrB/PioB family', NULL, 'TIGR03509', NULL, NULL, 18347, 16),
(196678, NULL, 'TIGR01062', NULL, NULL, 'parC_Gneg: DNA topoisomerase IV, A subunit', NULL, 'TIGR01062', NULL, NULL, NULL, 16),
(196679, NULL, 'TIGR03119', NULL, NULL, 'one_C_fhcD: formylmethanofuran--tetrahydromethanopterin N-formyltransferase', NULL, 'TIGR03119', NULL, NULL, 18701, 16),
(196680, NULL, 'TIGR03254', NULL, NULL, 'oxalate_oxc: oxalyl-CoA decarboxylase', NULL, 'TIGR03254', NULL, NULL, 17346, 16),
(196681, NULL, 'TIGR00178', NULL, NULL, 'monomer_idh: isocitrate dehydrogenase, NADP-dependent', NULL, 'TIGR00178', NULL, NULL, 7093, 16),
(196682, NULL, 'TIGR00558', NULL, NULL, 'pdxH: pyridoxamine 5''-phosphate oxidase', NULL, 'TIGR00558', NULL, NULL, 5819, 16),
(196683, NULL, 'TIGR00886', NULL, NULL, '2A0108: nitrite transporter', NULL, 'TIGR00886', NULL, NULL, 3806, 16),
(196684, NULL, 'TIGR01196', NULL, NULL, 'edd: phosphogluconate dehydratase', NULL, 'TIGR01196', NULL, NULL, 5331, 16),
(196685, NULL, 'TIGR00041', NULL, NULL, 'DTMP_kinase: dTMP kinase', NULL, 'TIGR00041', NULL, NULL, 21341, 16),
(196686, NULL, 'TIGR00421', NULL, NULL, 'ubiX_pad: polyprenyl P-hydroxybenzoate and phenylacrylic acid decarboxylases', NULL, 'TIGR00421', NULL, NULL, 1919, 16),
(196687, NULL, 'TIGR04085', NULL, NULL, 'rSAM_more_4Fe4S: radical SAM additional 4Fe4S-binding SPASM domain', NULL, 'TIGR04085', NULL, NULL, 17802, 16),
(196688, NULL, 'TIGR03310', NULL, NULL, 'matur_MocA_YgfJ: molybdenum cofactor cytidylyltransferase', NULL, 'TIGR03310', NULL, NULL, 17531, 16),
(196689, NULL, 'TIGR02429', NULL, NULL, 'pcaI_scoA_fam: 3-oxoacid CoA-transferase, A subunit', NULL, 'TIGR02429', NULL, NULL, 10222, 16),
(196690, NULL, 'TIGR03855', NULL, NULL, 'NAD_NadX: aspartate dehydrogenase', NULL, 'TIGR03855', NULL, NULL, 16508, 16),
(196691, NULL, 'TIGR02663', NULL, NULL, 'nifX: nitrogen fixation protein NifX', NULL, 'TIGR02663', NULL, NULL, 10240, 16),
(196692, NULL, 'TIGR04206', NULL, NULL, 'near_ArtA: TIGR04206 family protein', NULL, 'TIGR04206', NULL, NULL, 25793, 16),
(196693, NULL, 'TIGR00702', NULL, NULL, 'TIGR00702: YcaO-type kinase domain', NULL, 'TIGR00702', NULL, NULL, 6338, 16),
(196694, NULL, 'TIGR02283', NULL, NULL, 'MltB_2: lytic murein transglycosylase', NULL, 'TIGR02283', NULL, NULL, 11150, 16),
(196695, NULL, 'TIGR01012', NULL, NULL, 'uS2_euk_arch: ribosomal protein uS2', NULL, 'TIGR01012', NULL, NULL, 3854, 16),
(196696, NULL, 'TIGR01692', NULL, NULL, 'HIBADH: 3-hydroxyisobutyrate dehydrogenase', NULL, 'TIGR01692', NULL, NULL, 8194, 16),
(196697, NULL, 'TIGR03907', NULL, NULL, 'QH_beta: quinohemoprotein amine dehydrogenase, beta subunit', NULL, 'TIGR03907', NULL, NULL, 9861, 16),
(196698, NULL, 'TIGR00459', NULL, NULL, 'aspS_bact: aspartate--tRNA ligase', NULL, 'TIGR00459', NULL, NULL, 1615, 16),
(196699, NULL, 'TIGR01097', NULL, NULL, 'PhnE: phosphonate ABC transporter, permease protein PhnE', NULL, 'TIGR01097', NULL, NULL, 4832, 16),
(196700, NULL, 'TIGR01477', NULL, NULL, 'RIFIN: variant surface antigen, rifin family', NULL, 'TIGR01477', NULL, NULL, 5842, 16),
(196701, NULL, 'TIGR04253', NULL, NULL, 'mesacon_CoA_iso: mesaconyl-CoA isomerase', NULL, 'TIGR04253', NULL, NULL, 26477, 16),
(196702, NULL, 'TIGR00322', NULL, NULL, 'diphth2_R: diphthamide biosynthesis enzyme Dph1/Dph2 domain', NULL, 'TIGR00322', NULL, NULL, 15685, 16),
(196703, NULL, 'TIGR00213', NULL, NULL, 'GmhB_yaeD: D,D-heptose 1,7-bisphosphate phosphatase', NULL, 'TIGR00213', NULL, NULL, 7105, 16),
(196704, NULL, 'TIGR02877', NULL, NULL, 'spore_yhbH: sporulation protein YhbH', NULL, 'TIGR02877', NULL, NULL, 10631, 16),
(196705, NULL, 'TIGR02127', NULL, NULL, 'pyrF_sub2: orotidine 5''-phosphate decarboxylase', NULL, 'TIGR02127', NULL, NULL, 12240, 16),
(196706, NULL, 'TIGR03848', NULL, NULL, 'MSMEG_4193: probable phosphomutase, MSMEG_4193 family', NULL, 'TIGR03848', NULL, NULL, 16809, 16); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196707, NULL, 'TIGR04246', NULL, NULL, 'nitrous_NosZ_Gp: nitrous-oxide reductase, Sec-dependent', NULL, 'TIGR04246', NULL, NULL, 27203, 16),
(196708, NULL, 'TIGR01984', NULL, NULL, 'UbiH: 2-polyprenyl-6-methoxyphenol 4-hydroxylase', NULL, 'TIGR01984', NULL, NULL, 10387, 16),
(196709, NULL, 'TIGR00839', NULL, NULL, 'aspA: aspartate ammonia-lyase', NULL, 'TIGR00839', NULL, NULL, 3572, 16),
(196710, NULL, 'TIGR01149', NULL, NULL, 'mtrG: tetrahydromethanopterin S-methyltransferase, subunit G', NULL, 'TIGR01149', NULL, NULL, 6538, 16),
(196711, NULL, 'TIGR00397', NULL, NULL, 'mauM_napG: MauM/NapG family ferredoxin-type protein', NULL, 'TIGR00397', NULL, NULL, 1911, 16),
(196712, NULL, 'TIGR03527', NULL, NULL, 'selenium_YedF: selenium metabolism protein YedF', NULL, 'TIGR03527', NULL, NULL, 17218, 16),
(196713, NULL, 'TIGR02382', NULL, NULL, 'wecD_rffC: TDP-D-fucosamine acetyltransferase', NULL, 'TIGR02382', NULL, NULL, 9962, 16),
(196714, NULL, 'TIGR01536', NULL, NULL, 'asn_synth_AEB: asparagine synthase (glutamine-hydrolyzing)', NULL, 'TIGR01536', NULL, NULL, 6827, 16),
(196715, NULL, 'TIGR02174', NULL, NULL, 'CXXU_selWTH: selT/selW/selH selenoprotein domain', NULL, 'TIGR02174', NULL, NULL, 8897, 16),
(196716, NULL, 'TIGR04194', NULL, NULL, 'grasp_w_spasm_A: grasp-with-spasm leader A domain', NULL, 'TIGR04194', NULL, NULL, 24473, 16),
(196717, NULL, 'TIGR01106', NULL, NULL, 'ATPase-IIC_X-K: Na,H/K antiporter P-type ATPase, alpha subunit', NULL, 'TIGR01106', NULL, NULL, 4915, 16),
(196718, NULL, 'TIGR01156', NULL, NULL, 'cytb6/f_IV: cytb6/f complex subunit IV', NULL, 'TIGR01156', NULL, NULL, 6507, 16),
(196719, NULL, 'TIGR00154', NULL, NULL, 'ispE: 4-(cytidine 5''-diphospho)-2-C-methyl-D-erythritol kinase', NULL, 'TIGR00154', NULL, NULL, 7307, 16),
(196720, NULL, 'TIGR03126', NULL, NULL, 'one_C_fae: formaldehyde-activating enzyme', NULL, 'TIGR03126', NULL, NULL, 11908, 16),
(196721, NULL, 'TIGR02089', NULL, NULL, 'TTC: tartrate dehydrogenase', NULL, 'TIGR02089', NULL, NULL, 14443, 16),
(196722, NULL, 'TIGR04144', NULL, NULL, 'archaeo_VPXXXP: archaeosortase B', NULL, 'TIGR04144', NULL, NULL, 21984, 16),
(196723, NULL, 'TIGR00362', NULL, NULL, 'DnaA: chromosomal replication initiator protein DnaA', NULL, 'TIGR00362', NULL, NULL, 4495, 16),
(196724, NULL, 'TIGR00565', NULL, NULL, 'trpE_proteo: anthranilate synthase component I', NULL, 'TIGR00565', NULL, NULL, 4276, 16),
(196725, NULL, 'TIGR00069', NULL, NULL, 'hisD: histidinol dehydrogenase', NULL, 'TIGR00069', NULL, NULL, 14351, 16),
(196726, NULL, 'TIGR00966', NULL, NULL, '3a0501s07: protein-export membrane protein SecF', NULL, 'TIGR00966', NULL, NULL, 3924, 16),
(196727, NULL, 'TIGR00690', NULL, NULL, 'rpoZ: DNA-directed RNA polymerase, omega subunit', NULL, 'TIGR00690', NULL, NULL, 2470, 16),
(196728, NULL, 'TIGR03957', NULL, NULL, 'rSAM_HmdB: 5,10-methenyltetrahydromethanopterin hydrogenase cofactor biosynthesis protein HmdB', NULL, 'TIGR03957', NULL, NULL, 17620, 16),
(196729, NULL, 'TIGR04038', NULL, NULL, 'tatD_link_rSAM: radical SAM protein, TatD family-associated', NULL, 'TIGR04038', NULL, NULL, 8712, 16),
(196730, NULL, 'TIGR03820', NULL, NULL, 'lys_2_3_AblA: lysine-2,3-aminomutase', NULL, 'TIGR03820', NULL, NULL, 16177, 16),
(196731, NULL, 'TIGR01255', NULL, NULL, 'pyr_form_ly_1: formate acetyltransferase', NULL, 'TIGR01255', NULL, NULL, 77, 16),
(196732, NULL, 'TIGR01340', NULL, NULL, 'aconitase_mito: aconitate hydratase, mitochondrial', NULL, 'TIGR01340', NULL, NULL, 3761, 16),
(196733, NULL, 'TIGR00100', NULL, NULL, 'hypA: hydrogenase nickel insertion protein HypA', NULL, 'TIGR00100', NULL, NULL, 6859, 16),
(196734, NULL, 'TIGR00409', NULL, NULL, 'proS_fam_II: proline--tRNA ligase', NULL, 'TIGR00409', NULL, NULL, 1508, 16),
(196735, NULL, 'TIGR02790', NULL, NULL, 'nickel_nikC: nickel ABC transporter, permease subunit NikC', NULL, 'TIGR02790', NULL, NULL, 14117, 16),
(196736, NULL, 'TIGR03447', NULL, NULL, 'mycothiol_MshC: cysteine--1-D-myo-inosityl 2-amino-2-deoxy-alpha-D-glucopyranoside ligase', NULL, 'TIGR03447', NULL, NULL, 19574, 16);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196737, NULL, 'TIGR01281', NULL, NULL, 'DPOR_bchL: light-independent protochlorophyllide reductase, iron-sulfur ATP-binding protein', NULL, 'TIGR01281', NULL, NULL, 1423, 16),
(196738, NULL, 'TIGR01583', NULL, NULL, 'formate-DH-gamm: formate dehydrogenase, gamma subunit', NULL, 'TIGR01583', NULL, NULL, 6334, 16),
(196739, NULL, 'TIGR00029', NULL, NULL, 'S20: ribosomal protein bS20', NULL, 'TIGR00029', NULL, NULL, 1600, 16),
(196740, NULL, 'TIGR02613', NULL, NULL, 'mob_myst_B: mobile mystery protein B', NULL, 'TIGR02613', NULL, NULL, 9216, 16),
(196741, NULL, 'TIGR03388', NULL, NULL, 'ascorbase: L-ascorbate oxidase', NULL, 'TIGR03388', NULL, NULL, 19143, 16),
(196742, NULL, 'TIGR03067', NULL, NULL, 'Planc_TIGR03067: Planctomycetes uncharacterized domain TIGR03067', NULL, 'TIGR03067', NULL, NULL, 21895, 16),
(196743, NULL, 'TIGR01648', NULL, NULL, 'hnRNP-R-Q: hnRNP-R, Q splicing factor family', NULL, 'TIGR01648', NULL, NULL, 176, 16),
(196744, NULL, 'TIGR03684', NULL, NULL, 'arCOG00985: arCOG04150 universal archaeal PUA-domain protein', NULL, 'TIGR03684', NULL, NULL, 16365, 16),
(196745, NULL, 'TIGR01511', NULL, NULL, 'ATPase-IB1_Cu: copper-translocating P-type ATPase', NULL, 'TIGR01511', NULL, NULL, NULL, 16),
(196746, NULL, 'TIGR03618', NULL, NULL, 'Rv1155_F420: PPOX class probable F420-dependent enzyme', NULL, 'TIGR03618', NULL, NULL, 15225, 16),
(196747, NULL, 'TIGR04187', NULL, NULL, 'GRASP_SAV_5884: ATP-grasp ribosomal peptide maturase, SAV_5884 family', NULL, 'TIGR04187', NULL, NULL, 24365, 16),
(196748, NULL, 'TIGR01474', NULL, NULL, 'ubiA_proteo: 4-hydroxybenzoate polyprenyl transferase', NULL, 'TIGR01474', NULL, NULL, 5506, 16),
(196749, NULL, 'TIGR04050', NULL, NULL, 'MSMEG_0567_Cter: AIR synthase-related protein, MSMEG_0567 C-terminal family', NULL, 'TIGR04050', NULL, NULL, 8087, 16),
(196750, NULL, 'TIGR02014', NULL, NULL, 'BchZ: chlorophyllide reductase subunit Z', NULL, 'TIGR02014', NULL, NULL, 5449, 16),
(196751, NULL, 'TIGR04271', NULL, NULL, 'ThiI_C_thiazole: thiazole biosynthesis domain', NULL, 'TIGR04271', NULL, NULL, 26037, 16),
(196752, NULL, 'TIGR01146', NULL, NULL, 'ATPsyn_F1gamma: ATP synthase F1, gamma subunit', NULL, 'TIGR01146', NULL, NULL, 1704, 16),
(196753, NULL, 'TIGR04209', NULL, NULL, 'sarcinarray: sarcinarray family protein', NULL, 'TIGR04209', NULL, NULL, 27310, 16),
(196754, NULL, 'TIGR00044', NULL, NULL, 'TIGR00044: pyridoxal phosphate enzyme, YggS family', NULL, 'TIGR00044', NULL, NULL, 9773, 16),
(196755, NULL, 'TIGR02065', NULL, NULL, 'ECX1: exosome complex exonuclease 1', NULL, 'TIGR02065', NULL, NULL, 13327, 16),
(196756, NULL, 'TIGR00804', NULL, NULL, 'nupC: nucleoside transporter, NupC family', NULL, 'TIGR00804', NULL, NULL, 8548, 16),
(196757, NULL, 'TIGR03356', NULL, NULL, 'BGL: beta-galactosidase', NULL, 'TIGR03356', NULL, NULL, 18782, 16),
(196758, NULL, 'TIGR02080', NULL, NULL, 'O_succ_thio_ly: O-succinylhomoserine (thiol)-lyase', NULL, 'TIGR02080', NULL, NULL, 14079, 16),
(196759, NULL, 'TIGR00920', NULL, NULL, '2A060605: 3-hydroxy-3-methylglutaryl-coenzyme A reductase', NULL, 'TIGR00920', NULL, NULL, 4205, 16),
(196760, NULL, 'TIGR02342', NULL, NULL, 'chap_CCT_delta: T-complex protein 1, delta subunit', NULL, 'TIGR02342', NULL, NULL, 11623, 16),
(196761, NULL, 'TIGR01215', NULL, NULL, 'minE: cell division topological specificity factor MinE', NULL, 'TIGR01215', NULL, NULL, 1574, 16),
(196762, NULL, 'TIGR03914', NULL, NULL, 'UDG_fam_dom: uracil-DNA glycosylase family domain', NULL, 'TIGR03914', NULL, NULL, 4045, 16),
(196763, NULL, 'TIGR02447', NULL, NULL, 'yiiD_Cterm: putative thioesterase domain', NULL, 'TIGR02447', NULL, NULL, 10526, 16),
(196764, NULL, 'TIGR02939', NULL, NULL, 'RpoE_Sigma70: RNA polymerase sigma factor RpoE', NULL, 'TIGR02939', NULL, NULL, 9081, 16),
(196765, NULL, 'TIGR03680', NULL, NULL, 'eif2g_arch: translation initiation factor 2, gamma subunit', NULL, 'TIGR03680', NULL, NULL, 16221, 16),
(196766, NULL, 'TIGR02310', NULL, NULL, 'HpaB-2: 4-hydroxyphenylacetate 3-monooxygenase, oxygenase component', NULL, 'TIGR02310', NULL, NULL, 11640, 16);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196767, NULL, 'TIGR02765', NULL, NULL, 'crypto_DASH: cryptochrome, DASH family', NULL, 'TIGR02765', NULL, NULL, 14291, 16),
(196768, NULL, 'TIGR04417', NULL, NULL, 'PFTS_polysacc: polysaccharide biosynthesis PFTS motif protein', NULL, 'TIGR04417', NULL, NULL, 28797, 16),
(196769, NULL, 'TIGR01856', NULL, NULL, 'hisJ_fam: histidinol phosphate phosphatase, HisJ family', NULL, 'TIGR01856', NULL, NULL, 10986, 16),
(196770, NULL, 'TIGR02775', NULL, NULL, 'TrbG_Ti: P-type conjugative transfer protein TrbG', NULL, 'TIGR02775', NULL, NULL, 14285, 16),
(196771, NULL, 'TIGR00499', NULL, NULL, 'lysS_bact: lysine--tRNA ligase', NULL, 'TIGR00499', NULL, NULL, 6280, 16),
(196772, NULL, 'TIGR00580', NULL, NULL, 'mfd: transcription-repair coupling factor', NULL, 'TIGR00580', NULL, NULL, 515, 16),
(196773, NULL, 'TIGR00256', NULL, NULL, 'TIGR00256: D-tyrosyl-tRNA(Tyr) deacylase', NULL, 'TIGR00256', NULL, NULL, 2230, 16),
(196774, NULL, 'TIGR03278', NULL, NULL, 'methan_mark_10: methanogenesis marker radical SAM protein', NULL, 'TIGR03278', NULL, NULL, 17046, 16),
(196775, NULL, 'TIGR00210', NULL, NULL, 'gltS: sodium/glutamate symporter', NULL, 'TIGR00210', NULL, NULL, 7317, 16),
(196776, NULL, 'TIGR00583', NULL, NULL, 'mre11: DNA repair protein (mre11)', NULL, 'TIGR00583', NULL, NULL, 2416, 16),
(196777, NULL, 'TIGR02983', NULL, NULL, 'SigE-fam_strep: RNA polymerase sigma-70 factor, sigma-E family', NULL, 'TIGR02983', NULL, NULL, 9927, 16),
(196778, NULL, 'TIGR01966', NULL, NULL, 'RNasePH: ribonuclease PH', NULL, 'TIGR01966', NULL, NULL, 6732, 16),
(196779, NULL, 'TIGR02229', NULL, NULL, 'caa3_sub_IV: caa(3)-type oxidase, subunit IV', NULL, 'TIGR02229', NULL, NULL, 11696, 16),
(196780, NULL, 'TIGR00104', NULL, NULL, 'tRNA_TsaA: tRNA-Thr(GGU) m(6)t(6)A37 methyltransferase TsaA', NULL, 'TIGR00104', NULL, NULL, 15792, 16),
(196781, NULL, 'TIGR03176', NULL, NULL, 'AllC: allantoate amidohydrolase', NULL, 'TIGR03176', NULL, NULL, 16172, 16),
(196782, NULL, 'TIGR00518', NULL, NULL, 'alaDH: alanine dehydrogenase', NULL, 'TIGR00518', NULL, NULL, 7017, 16),
(196783, NULL, 'TIGR00312', NULL, NULL, 'cbiD: cobalamin biosynthesis protein CbiD', NULL, 'TIGR00312', NULL, NULL, 3661, 16),
(196784, NULL, 'TIGR01638', NULL, NULL, 'Atha_cystat_rel: Arabidopsis thaliana cystatin-related protein', NULL, 'TIGR01638', NULL, NULL, 434, 16),
(196785, NULL, 'TIGR03574', NULL, NULL, 'selen_PSTK: L-seryl-tRNA(Sec) kinase', NULL, 'TIGR03574', NULL, NULL, 18034, 16),
(196786, NULL, 'TIGR01501', NULL, NULL, 'MthylAspMutase: methylaspartate mutase, S subunit', NULL, 'TIGR01501', NULL, NULL, 5833, 16),
(196787, NULL, 'TIGR01109', NULL, NULL, 'Na_pump_decarbB: sodium ion-translocating decarboxylase, beta subunit', NULL, 'TIGR01109', NULL, NULL, 3694, 16),
(196788, NULL, 'TIGR04527', NULL, NULL, 'mycoplas_twoTM: two transmembrane protein', NULL, 'TIGR04527', NULL, NULL, 26943, 16),
(196789, NULL, 'TIGR00792', NULL, NULL, 'gph: sugar (Glycoside-Pentoside-Hexuronide) transporter', NULL, 'TIGR00792', NULL, NULL, 5228, 16),
(196790, NULL, 'TIGR03141', NULL, NULL, 'cytochro_ccmD: heme exporter protein CcmD', NULL, 'TIGR03141', NULL, NULL, 7376, 16),
(196791, NULL, 'TIGR01934', NULL, NULL, 'MenG_MenH_UbiE: ubiquinone/menaquinone biosynthesis methyltransferase', NULL, 'TIGR01934', NULL, NULL, 912, 16),
(196792, NULL, 'TIGR00347', NULL, NULL, 'bioD: dethiobiotin synthase', NULL, 'TIGR00347', NULL, NULL, 7161, 16),
(196793, NULL, 'TIGR04060', NULL, NULL, 'formate_focA: formate transporter FocA', NULL, 'TIGR04060', NULL, NULL, 18650, 16),
(196794, NULL, 'TIGR04381', NULL, NULL, 'HTH_TypR: TyrR family helix-turn-helix domain', NULL, 'TIGR04381', NULL, NULL, 27051, 16),
(196795, NULL, 'TIGR00372', NULL, NULL, 'cas4: CRISPR-associated protein Cas4', NULL, 'TIGR00372', NULL, NULL, 12445, 16),
(196796, NULL, 'TIGR01317', NULL, NULL, 'GOGAT_sm_gam: glutamate synthase, NADH/NADPH, small subunit', NULL, 'TIGR01317', NULL, NULL, 1175, 16),
(196797, NULL, 'TIGR03895', NULL, NULL, 'protease_PatA: cyanobactin maturation protease, PatA/PatG family', NULL, 'TIGR03895', NULL, NULL, 17280, 16);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196798, NULL, 'TIGR00640', NULL, NULL, 'acid_CoA_mut_C: methylmalonyl-CoA mutase C-terminal domain', NULL, 'TIGR00640', NULL, NULL, 10455, 16),
(196799, NULL, 'TIGR00150', NULL, NULL, 'T6A_YjeE: tRNA threonylcarbamoyl adenosine modification protein YjeE', NULL, 'TIGR00150', NULL, NULL, 5442, 16),
(196800, NULL, 'TIGR03790', NULL, NULL, 'TIGR03790: TIGR03790 family protein', NULL, 'TIGR03790', NULL, NULL, 15870, 16),
(196801, NULL, 'TIGR02420', NULL, NULL, 'dksA: RNA polymerase-binding protein DksA', NULL, 'TIGR02420', NULL, NULL, 10327, 16),
(196802, NULL, 'TIGR01723', NULL, NULL, 'hmd_TIGR: 5,10-methenyltetrahydromethanopterin hydrogenase', NULL, 'TIGR01723', NULL, NULL, 6421, 16),
(196803, NULL, 'TIGR02557', NULL, NULL, 'HpaP: type III secretion protein HpaP', NULL, 'TIGR02557', NULL, NULL, 11821, 16),
(196804, NULL, 'TIGR00287', NULL, NULL, 'cas1: CRISPR-associated endonuclease Cas1', NULL, 'TIGR00287', NULL, NULL, 3516, 16),
(196805, NULL, 'TIGR01645', NULL, NULL, 'half-pint: poly-U binding splicing factor, half-pint family', NULL, 'TIGR01645', NULL, NULL, 449, 16),
(196806, NULL, 'TIGR02171', NULL, NULL, 'Fb_sc_TIGR02171: fibrobacter succinogenes paralogous family TIGR02171', NULL, 'TIGR02171', NULL, NULL, 15580, 16),
(196807, NULL, 'TIGR04035', NULL, NULL, 'glucan_65_rpt: glucan-binding repeat', NULL, 'TIGR04035', NULL, NULL, 23863, 16),
(196808, NULL, 'TIGR00019', NULL, NULL, 'prfA: peptide chain release factor 1', NULL, 'TIGR00019', NULL, NULL, 5653, 16),
(196809, NULL, 'TIGR02479', NULL, NULL, 'FliA_WhiG: RNA polymerase sigma factor, FliA/WhiG family', NULL, 'TIGR02479', NULL, NULL, 7118, 16),
(196810, NULL, 'TIGR03201', NULL, NULL, 'dearomat_had: 6-hydroxycyclohex-1-ene-1-carbonyl-CoA dehydrogenase', NULL, 'TIGR03201', NULL, NULL, 16235, 16),
(196811, NULL, 'TIGR01383', NULL, NULL, 'not_thiJ: DJ-1 family protein', NULL, 'TIGR01383', NULL, NULL, 3615, 16),
(196812, NULL, 'TIGR00026', NULL, NULL, 'hi_GC_TIGR00026: deazaflavin-dependent oxidoreductase, nitroreductase family', NULL, 'TIGR00026', NULL, NULL, 5510, 16),
(196813, NULL, 'TIGR01044', NULL, NULL, 'rplV_bact: ribosomal protein uL22', NULL, 'TIGR01044', NULL, NULL, 4819, 16),
(196814, NULL, 'TIGR01218', NULL, NULL, 'Gpos_tandem_5TM: tandem five-TM protein', NULL, 'TIGR01218', NULL, NULL, 62, 16),
(196815, NULL, 'TIGR02062', NULL, NULL, 'RNase_B: exoribonuclease II', NULL, 'TIGR02062', NULL, NULL, 13229, 16),
(196816, NULL, 'TIGR02631', NULL, NULL, 'xylA_Arthro: xylose isomerase', NULL, 'TIGR02631', NULL, NULL, 9487, 16),
(196817, NULL, 'TIGR03786', NULL, NULL, 'strep_pil_rpt: streptococcal pilin isopeptide linkage domain', NULL, 'TIGR03786', NULL, NULL, 16023, 16),
(196818, NULL, 'TIGR01426', NULL, NULL, 'MGT: glycosyltransferase, MGT family', NULL, 'TIGR01426', NULL, NULL, 4931, 16),
(196819, NULL, 'TIGR00092', NULL, NULL, 'TIGR00092: GTP-binding protein YchF', NULL, 'TIGR00092', NULL, NULL, 5848, 16),
(196820, NULL, 'TIGR02236', NULL, NULL, 'recomb_radA: DNA repair and recombination protein RadA', NULL, 'TIGR02236', NULL, NULL, 11070, 16),
(196821, NULL, 'TIGR03911', NULL, NULL, 'pyrrolys_PylD: pyrrolysine biosynthesis protein PylD', NULL, 'TIGR03911', NULL, NULL, 8121, 16),
(196822, NULL, 'TIGR00627', NULL, NULL, 'tfb4: transcription factor tfb4', NULL, 'TIGR00627', NULL, NULL, 551, 16),
(196823, NULL, 'TIGR04502', NULL, NULL, 'microcomp_EutL: microcompartment protein EutL', NULL, 'TIGR04502', NULL, NULL, 25643, 16),
(196824, NULL, 'TIGR01492', NULL, NULL, 'CPW_WPC: Plasmodium falciparum CPW-WPC domain', NULL, 'TIGR01492', NULL, NULL, 5575, 16),
(196825, NULL, 'TIGR02768', NULL, NULL, 'TraA_Ti: Ti-type conjugative transfer relaxase TraA', NULL, 'TIGR02768', NULL, NULL, 14255, 16),
(196826, NULL, 'TIGR01613', NULL, NULL, 'primase_Cterm: phage/plasmid primase, P4 family, C-terminal domain', NULL, 'TIGR01613', NULL, NULL, 6882, 16),
(196827, NULL, 'TIGR03035', NULL, NULL, 'trp_arylform: arylformamidase', NULL, 'TIGR03035', NULL, NULL, 21444, 16),
(196828, NULL, 'TIGR03462', NULL, NULL, 'CarR_dom_SF: lycopene cyclase domain', NULL, 'TIGR03462', NULL, NULL, 20169, 16);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196829, NULL, 'TIGR00365', NULL, NULL, 'TIGR00365: monothiol glutaredoxin, Grx4 family', NULL, 'TIGR00365', NULL, NULL, 7417, 16),
(196830, NULL, 'TIGR00807', NULL, NULL, 'malonate_madL: malonate transporter, MadL subunit', NULL, 'TIGR00807', NULL, NULL, 3119, 16),
(196831, NULL, 'TIGR01754', NULL, NULL, 'flav_RNR: putative ribonucleotide reductase-associated flavodoxin', NULL, 'TIGR01754', NULL, NULL, 2077, 16),
(196832, NULL, 'TIGR04053', NULL, NULL, 'sam_11: radical SAM protein, BA_1875 family', NULL, 'TIGR04053', NULL, NULL, NULL, 16),
(196833, NULL, 'TIGR04315', NULL, NULL, 'octaheme_Shew: octaheme c-type cytochrome, tetrathionate reductase family', NULL, 'TIGR04315', NULL, NULL, 21754, 16),
(196834, NULL, 'TIGR01280', NULL, NULL, 'xseB: exodeoxyribonuclease VII, small subunit', NULL, 'TIGR01280', NULL, NULL, 2140, 16),
(196835, NULL, 'TIGR02772', NULL, NULL, 'Ku_bact: Ku protein', NULL, 'TIGR02772', NULL, NULL, 9702, 16),
(196836, NULL, 'TIGR04197', NULL, NULL, 'T7SS_SACOL2603: type VII secretion effector, TIGR04197 family', NULL, 'TIGR04197', NULL, NULL, 18518, 16),
(196837, NULL, 'TIGR03042', NULL, NULL, 'PS_II_psbQ_bact: photosystem II protein PsbQ', NULL, 'TIGR03042', NULL, NULL, 21452, 16),
(196838, NULL, 'TIGR03802', NULL, NULL, 'Asp_Ala_antiprt: aspartate-alanine antiporter', NULL, 'TIGR03802', NULL, NULL, 16097, 16),
(196839, NULL, 'TIGR02444', NULL, NULL, 'TIGR02444: TIGR02444 family protein', NULL, 'TIGR02444', NULL, NULL, 10903, 16),
(196840, NULL, 'TIGR03599', NULL, NULL, 'YloV: DAK2 domain fusion protein YloV', NULL, 'TIGR03599', NULL, NULL, 12350, 16),
(196841, NULL, 'TIGR01941', NULL, NULL, 'nqrF: NADH:ubiquinone oxidoreductase, Na(+)-translocating, F subunit', NULL, 'TIGR01941', NULL, NULL, 4105, 16),
(196842, NULL, 'TIGR03363', NULL, NULL, 'VI_chp_8: type VI secretion-associated protein, ImpA family', NULL, 'TIGR03363', NULL, NULL, 18604, 16),
(196843, NULL, 'TIGR02850', NULL, NULL, 'spore_sigG: RNA polymerase sigma-G factor', NULL, 'TIGR02850', NULL, NULL, 9227, 16),
(196844, NULL, 'TIGR02199', NULL, NULL, 'rfaE_dom_II: bifunctional protein RfaE, domain II', NULL, 'TIGR02199', NULL, NULL, 12347, 16),
(196845, NULL, 'TIGR01171', NULL, NULL, 'rplB_bact: ribosomal protein uL2', NULL, 'TIGR01171', NULL, NULL, 6590, 16),
(196846, NULL, 'TIGR02588', NULL, NULL, 'TIGR02588: TIGR02588 family protein', NULL, 'TIGR02588', NULL, NULL, 9271, 16),
(196847, NULL, 'TIGR01931', NULL, NULL, 'cysJ: sulfite reductase [NADPH] flavoprotein, alpha-component', NULL, 'TIGR01931', NULL, NULL, 4241, 16),
(196848, NULL, 'TIGR03144', NULL, NULL, 'cytochr_II_ccsB: cytochrome c-type biogenesis protein CcsB', NULL, 'TIGR03144', NULL, NULL, 15701, 16),
(196849, NULL, 'TIGR04162', NULL, NULL, 'exo_VPEID: exosortase E/protease, VPEID-CTERM system', NULL, 'TIGR04162', NULL, NULL, 21864, 16),
(196850, NULL, 'TIGR04299', NULL, NULL, 'antiport_PotE: putrescine-ornithine antiporter', NULL, 'TIGR04299', NULL, NULL, 23516, 16),
(196851, NULL, 'TIGR02123', NULL, NULL, 'TRAP_fused: TRAP transporter, 4TM/12TM fusion protein', NULL, 'TIGR02123', NULL, NULL, 14376, 16),
(196852, NULL, 'TIGR02881', NULL, NULL, 'spore_V_K: stage V sporulation protein K', NULL, 'TIGR02881', NULL, NULL, 10638, 16),
(196853, NULL, 'TIGR00913', NULL, NULL, '2A0310: amino acid permease (yeast)', NULL, 'TIGR00913', NULL, NULL, 5070, 16),
(196854, NULL, 'TIGR03793', NULL, NULL, 'TOMM_pelo: NHLP leader peptide domain', NULL, 'TIGR03793', NULL, NULL, 16687, 16),
(196855, NULL, 'TIGR00481', NULL, NULL, 'TIGR00481: Raf kinase inhibitor-like protein, YbhB/YbcL family', NULL, 'TIGR00481', NULL, NULL, 11104, 16),
(196856, NULL, 'TIGR02345', NULL, NULL, 'chap_CCT_eta: T-complex protein 1, eta subunit', NULL, 'TIGR02345', NULL, NULL, 11964, 16),
(196857, NULL, 'TIGR00101', NULL, NULL, 'ureG: urease accessory protein UreG', NULL, 'TIGR00101', NULL, NULL, 5961, 16),
(196858, NULL, 'TIGR03939', NULL, NULL, 'PGA_TPR_OMP: poly-beta-1,6 N-acetyl-D-glucosamine export porin PgaA', NULL, 'TIGR03939', NULL, NULL, 17470, 16),
(196859, NULL, 'TIGR03472', NULL, NULL, 'HpnI: hopanoid biosynthesis associated glycosyl transferase protein HpnI', NULL, 'TIGR03472', NULL, NULL, 20147, 16);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196860, NULL, 'TIGR03904', NULL, NULL, 'SAM_YgiQ: uncharacterized radical SAM protein YgiQ', NULL, 'TIGR03904', NULL, NULL, 14911, 16),
(196861, NULL, 'TIGR02987', NULL, NULL, 'met_A_Alw26: type II restriction m6 adenine DNA methyltransferase, Alw26I/Eco31I/Esp3I family', NULL, 'TIGR02987', NULL, NULL, 9595, 16),
(196862, NULL, 'TIGR02522', NULL, NULL, 'pilus_cpaD: pilus (Caulobacter type) biogenesis lipoprotein CpaD', NULL, 'TIGR02522', NULL, NULL, 18944, 16),
(196863, NULL, 'TIGR02553', NULL, NULL, 'SipD_IpaD_SspD: type III effector protein IpaD/SipD/SspD', NULL, 'TIGR02553', NULL, NULL, 9467, 16),
(196864, NULL, 'TIGR01825', NULL, NULL, 'gly_Cac_T_rel: putative pyridoxal phosphate-dependent acyltransferase', NULL, 'TIGR01825', NULL, NULL, 2012, 16),
(196865, NULL, 'TIGR01747', NULL, NULL, 'diampropi_NH3ly: diaminopropionate ammonia-lyase family', NULL, 'TIGR01747', NULL, NULL, 2051, 16),
(196866, NULL, 'TIGR01832', NULL, NULL, 'kduD: 2-deoxy-D-gluconate 3-dehydrogenase', NULL, 'TIGR01832', NULL, NULL, 10070, 16),
(196867, NULL, 'TIGR00238', NULL, NULL, 'TIGR00238: KamA family protein', NULL, 'TIGR00238', NULL, NULL, 2459, 16),
(196868, NULL, 'TIGR01969', NULL, NULL, 'minD_arch: cell division ATPase MinD', NULL, 'TIGR01969', NULL, NULL, 4056, 16),
(196869, NULL, 'TIGR00729', NULL, NULL, 'TIGR00729: ribonuclease HII', NULL, 'TIGR00729', NULL, NULL, 2920, 16),
(196870, NULL, 'TIGR00814', NULL, NULL, 'stp: serine transporter', NULL, 'TIGR00814', NULL, NULL, 3378, 16),
(196871, NULL, 'TIGR04483', NULL, NULL, 'D_pro_red_PrdB: D-proline reductase (dithiol), PrdB protein', NULL, 'TIGR04483', NULL, NULL, 14573, 16),
(196872, NULL, 'TIGR00474', NULL, NULL, 'selA: L-seryl-tRNA(Sec) selenium transferase', NULL, 'TIGR00474', NULL, NULL, 1554, 16),
(196873, NULL, 'TIGR03892', NULL, NULL, 'thiopep_precurs: thiazolylpeptide-type bacteriocin precursor', NULL, 'TIGR03892', NULL, NULL, 18102, 16),
(196874, NULL, 'TIGR00795', NULL, NULL, 'lctP: transporter, lactate permease (LctP) family', NULL, 'TIGR00795', NULL, NULL, 3298, 16),
(196875, NULL, 'TIGR02659', NULL, NULL, 'TTQ_MADH_Lt: methylamine dehydrogenase (amicyanin) light chain', NULL, 'TIGR02659', NULL, NULL, 3731, 16),
(196876, NULL, 'TIGR03571', NULL, NULL, 'lucif_BA3436: luciferase-type oxidoreductase, BA3436 family', NULL, 'TIGR03571', NULL, NULL, 12407, 16),
(196877, NULL, 'TIGR04490', NULL, NULL, 'SoxZ_true: thiosulfate oxidation carrier complex protein SoxZ', NULL, 'TIGR04490', NULL, NULL, 22232, 16),
(196878, NULL, 'TIGR00153', NULL, NULL, 'TIGR00153: TIGR00153 family protein', NULL, 'TIGR00153', NULL, NULL, 3960, 16),
(196879, NULL, 'TIGR02017', NULL, NULL, 'hutG_amidohyd: N-formylglutamate deformylase', NULL, 'TIGR02017', NULL, NULL, 5457, 16),
(196880, NULL, 'TIGR01504', NULL, NULL, 'glyox_carbo_lig: glyoxylate carboligase', NULL, 'TIGR01504', NULL, NULL, 5876, 16),
(196881, NULL, 'TIGR03250', NULL, NULL, 'PhnAcAld_DH: putative phosphonoacetaldehyde dehydrogenase', NULL, 'TIGR03250', NULL, NULL, 17230, 16),
(196882, NULL, 'TIGR02338', NULL, NULL, 'gimC_beta: prefoldin, beta subunit', NULL, 'TIGR02338', NULL, NULL, 11570, 16),
(196883, NULL, 'TIGR04084', NULL, NULL, 'rSAM_AF0577: putative peptide-modifying radical SAM enzyme, AF0577 family', NULL, 'TIGR04084', NULL, NULL, 8582, 16),
(196884, NULL, 'TIGR00179', NULL, NULL, 'murB: UDP-N-acetylenolpyruvoylglucosamine reductase', NULL, 'TIGR00179', NULL, NULL, 1993, 16),
(196885, NULL, 'TIGR02117', NULL, NULL, 'chp_urease_rgn: conserved hypothetical protein', NULL, 'TIGR02117', NULL, NULL, 11597, 16),
(196886, NULL, 'TIGR03581', NULL, NULL, 'EF_0839: conserved hypothetical protein EF_0839/AHA_3917', NULL, 'TIGR03581', NULL, NULL, 10172, 16),
(196887, NULL, 'TIGR02597', NULL, NULL, 'TIGR02597: TIGR02597 family protein', NULL, 'TIGR02597', NULL, NULL, 15509, 16),
(196888, NULL, 'TIGR02615', NULL, NULL, 'spoVE: stage V sporulation protein E', NULL, 'TIGR02615', NULL, NULL, 9399, 16),
(196889, NULL, 'TIGR02943', NULL, NULL, 'Sig70_famx1: RNA polymerase sigma-70 factor, TIGR02943 family', NULL, 'TIGR02943', NULL, NULL, 9352, 16);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196890, NULL, 'TIGR01822', NULL, NULL, '2am3keto_CoA: glycine C-acetyltransferase', NULL, 'TIGR01822', NULL, NULL, 10018, 16),
(196891, NULL, 'TIGR02460', NULL, NULL, 'osmo_MPGsynth: mannosyl-3-phosphoglycerate synthase', NULL, 'TIGR02460', NULL, NULL, 12904, 16),
(196892, NULL, 'TIGR01959', NULL, NULL, 'nuoF_fam: NADH oxidoreductase (quinone), F subunit', NULL, 'TIGR01959', NULL, NULL, 7573, 16),
(196893, NULL, 'TIGR03253', NULL, NULL, 'oxalate_frc: formyl-CoA transferase', NULL, 'TIGR03253', NULL, NULL, 17076, 16),
(196894, NULL, 'TIGR00042', NULL, NULL, 'TIGR00042: non-canonical purine NTP pyrophosphatase, RdgB/HAM1 family', NULL, 'TIGR00042', NULL, NULL, 2587, 16),
(196895, NULL, 'TIGR03736', NULL, NULL, 'PRTRC_ThiF: PRTRC system ThiF family protein', NULL, 'TIGR03736', NULL, NULL, 16649, 16),
(196896, NULL, 'TIGR02445', NULL, NULL, 'fadA: acetyl-CoA C-acyltransferase FadA', NULL, 'TIGR02445', NULL, NULL, 12586, 16),
(196897, NULL, 'TIGR01798', NULL, NULL, 'cit_synth_I: citrate (Si)-synthase', NULL, 'TIGR01798', NULL, NULL, 1535, 16),
(196898, NULL, 'TIGR04222', NULL, NULL, 'near_uncomplex: TIGR04222 domain', NULL, 'TIGR04222', NULL, NULL, 27174, 16),
(196899, NULL, 'TIGR03238', NULL, NULL, 'dnd_assoc_3: DNA phosphorothioation-dependent restriction protein DptF', NULL, 'TIGR03238', NULL, NULL, 16948, 16),
(196900, NULL, 'TIGR00540', NULL, NULL, 'TPR_hemY_coli: heme biosynthesis-associated TPR protein', NULL, 'TIGR00540', NULL, NULL, 11095, 16),
(196901, NULL, 'TIGR03783', NULL, NULL, 'Bac_Flav_CT_G: Bacteroides conjugation system ATPase, TraG family', NULL, 'TIGR03783', NULL, NULL, 16667, 16),
(196902, NULL, 'TIGR04380', NULL, NULL, 'myo_inos_iolG: inositol 2-dehydrogenase', NULL, 'TIGR04380', NULL, NULL, 27104, 16),
(196903, NULL, 'TIGR03285', NULL, NULL, 'methan_mark_14: putative methanogenesis marker protein 14', NULL, 'TIGR03285', NULL, NULL, 8543, 16),
(196904, NULL, 'TIGR01968', NULL, NULL, 'minD_bact: septum site-determining protein MinD', NULL, 'TIGR01968', NULL, NULL, 4478, 16),
(196905, NULL, 'TIGR00692', NULL, NULL, 'tdh: L-threonine 3-dehydrogenase', NULL, 'TIGR00692', NULL, NULL, 2496, 16),
(196906, NULL, 'TIGR04037', NULL, NULL, 'LLM_duo_CE1759: LLM-partnered FMN reductase, CE1759 family', NULL, 'TIGR04037', NULL, NULL, 7979, 16),
(196907, NULL, 'TIGR01476', NULL, NULL, 'chlor_syn_BchG: bacteriochlorophyll/chlorophyll synthetase', NULL, 'TIGR01476', NULL, NULL, 5683, 16),
(196908, NULL, 'TIGR01620', NULL, NULL, 'hyp_HI0043: TIGR01620 family protein', NULL, 'TIGR01620', NULL, NULL, 7130, 16),
(196909, NULL, 'TIGR02952', NULL, NULL, 'Sig70_famx2: RNA polymerase sigma-70 factor, TIGR02952 family', NULL, 'TIGR02952', NULL, NULL, 9770, 16),
(196910, NULL, 'TIGR02454', NULL, NULL, 'ECF_T_CbiQ: cobalt ECF transporter T component CbiQ', NULL, 'TIGR02454', NULL, NULL, 12939, 16),
(196911, NULL, 'TIGR00636', NULL, NULL, 'PduO_Nterm: ATP:cob(I)alamin adenosyltransferase', NULL, 'TIGR00636', NULL, NULL, 28949, 16),
(196912, NULL, 'TIGR03101', NULL, NULL, 'hydr2_PEP: exosortase A system-associated hydrolase 2', NULL, 'TIGR03101', NULL, NULL, 15290, 16),
(196913, NULL, 'TIGR00194', NULL, NULL, 'uvrC: excinuclease ABC subunit C', NULL, 'TIGR00194', NULL, NULL, 5055, 16),
(196914, NULL, 'TIGR02158', NULL, NULL, 'PA_CoA_Oxy3: phenylacetate-CoA oxygenase, PaaI subunit', NULL, 'TIGR02158', NULL, NULL, 8974, 16),
(196915, NULL, 'TIGR01122', NULL, NULL, 'ilvE_I: branched-chain amino acid aminotransferase', NULL, 'TIGR01122', NULL, NULL, 5590, 16),
(196916, NULL, 'TIGR02021', NULL, NULL, 'BchM-ChlM: magnesium protoporphyrin O-methyltransferase', NULL, 'TIGR02021', NULL, NULL, 5073, 16),
(196917, NULL, 'TIGR02984', NULL, NULL, 'Sig-70_plancto1: RNA polymerase sigma-70 factor, Planctomycetaceae-specific subfamily 1', NULL, 'TIGR02984', NULL, NULL, 9855, 16),
(196918, NULL, 'TIGR01259', NULL, NULL, 'comE: comEA protein', NULL, 'TIGR01259', NULL, NULL, 5358, 16),
(196919, NULL, 'TIGR04318', NULL, NULL, 'lacto_ODC_hypo: putative ornithine decarboxylase', NULL, 'TIGR04318', NULL, NULL, 26874, 16);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196920, NULL, 'TIGR02451', NULL, NULL, 'anti_sig_ChrR: anti-sigma factor, putative, ChrR family', NULL, 'TIGR02451', NULL, NULL, 12909, 16),
(196921, NULL, 'TIGR02656', NULL, NULL, 'cyanin_plasto: plastocyanin', NULL, 'TIGR02656', NULL, NULL, 6306, 16),
(196922, NULL, 'TIGR03294', NULL, NULL, 'FrhG: coenzyme F420 hydrogenase, subunit gamma', NULL, 'TIGR03294', NULL, NULL, 17949, 16),
(196923, NULL, 'TIGR00138', NULL, NULL, 'rsmG_gidB: 16S rRNA (guanine(527)-N(7))-methyltransferase RsmG', NULL, 'TIGR00138', NULL, NULL, 1842, 16),
(196924, NULL, 'TIGR01757', NULL, NULL, 'Malate-DH_plant: malate dehydrogenase, NADP-dependent', NULL, 'TIGR01757', NULL, NULL, 9576, 16),
(196925, NULL, 'TIGR03777', NULL, NULL, 'RPE4: rickettsial palindromic element RPE4 domain', NULL, 'TIGR03777', NULL, NULL, 16296, 16),
(196926, NULL, 'TIGR02126', NULL, NULL, 'phgtail_TP901_1: phage major tail protein, TP901-1 family', NULL, 'TIGR02126', NULL, NULL, 14288, 16),
(196927, NULL, 'TIGR02800', NULL, NULL, 'propeller_TolB: Tol-Pal system beta propeller repeat protein TolB', NULL, 'TIGR02800', NULL, NULL, 8777, 16),
(196928, NULL, 'TIGR03279', NULL, NULL, 'cyano_FeS_chp: putative radical SAM enzyme, TIGR03279 family', NULL, 'TIGR03279', NULL, NULL, 17934, 16),
(196929, NULL, 'TIGR02609', NULL, NULL, 'doc_partner: putative addiction module antidote', NULL, 'TIGR02609', NULL, NULL, 9006, 16),
(196930, NULL, 'TIGR00581', NULL, NULL, 'moaC: molybdenum cofactor biosynthesis protein C', NULL, 'TIGR00581', NULL, NULL, 15458, 16),
(196931, NULL, 'TIGR01816', NULL, NULL, 'sdhA_forward: succinate dehydrogenase, flavoprotein subunit', NULL, 'TIGR01816', NULL, NULL, 10429, 16),
(196932, NULL, 'TIGR01429', NULL, NULL, 'AMP_deaminase: AMP deaminase', NULL, 'TIGR01429', NULL, NULL, 4668, 16),
(196933, NULL, 'TIGR03312', NULL, NULL, 'Se_sel_red_FAD: probable selenate reductase, FAD-binding subunit', NULL, 'TIGR03312', NULL, NULL, 18269, 16),
(196934, NULL, 'TIGR02884', NULL, NULL, 'spore_pdaA: delta-lactam-biosynthetic de-N-acetylase', NULL, 'TIGR02884', NULL, NULL, 10534, 16),
(196935, NULL, 'TIGR01763', NULL, NULL, 'MalateDH_bact: malate dehydrogenase, NAD-dependent', NULL, 'TIGR01763', NULL, NULL, 10399, 16),
(196936, NULL, 'TIGR00779', NULL, NULL, 'cad: cadmium resistance transporter family protein', NULL, 'TIGR00779', NULL, NULL, 3240, 16),
(196937, NULL, 'TIGR01318', NULL, NULL, 'gltD_gamma_fam: glutamate synthase, small subunit', NULL, 'TIGR01318', NULL, NULL, 1058, 16),
(196938, NULL, 'TIGR04087', NULL, NULL, 'YqxM_for_SipW: YqxM protein', NULL, 'TIGR04087', NULL, NULL, 17477, 16),
(196939, NULL, 'TIGR03640', NULL, NULL, 'cas1_DVULG: CRISPR-associated endonuclease Cas1, subtype I-C/DVULG', NULL, 'TIGR03640', NULL, NULL, 15499, 16),
(196940, NULL, 'TIGR01265', NULL, NULL, 'tyr_nico_aTase: tyrosine/nicotianamine family aminotransferase', NULL, 'TIGR01265', NULL, NULL, 193, 16),
(196941, NULL, 'TIGR02937', NULL, NULL, 'sigma70-ECF: RNA polymerase sigma factor, sigma-70 family', NULL, 'TIGR02937', NULL, NULL, 9042, 16),
(196942, NULL, 'TIGR03083', NULL, NULL, 'TIGR03083: uncharacterized Actinobacterial protein TIGR03083', NULL, 'TIGR03083', NULL, NULL, 15317, 16),
(196943, NULL, 'TIGR01324', NULL, NULL, 'cysta_beta_ly_B: cystathionine beta-lyase', NULL, 'TIGR01324', NULL, NULL, 3035, 16),
(196944, NULL, 'TIGR02099', NULL, NULL, 'TIGR02099: TIGR02099 family protein', NULL, 'TIGR02099', NULL, NULL, 14021, 16),
(196945, NULL, 'TIGR03142', NULL, NULL, 'cytochro_ccmI: cytochrome c-type biogenesis protein CcmI', NULL, 'TIGR03142', NULL, NULL, 15068, 16),
(196946, NULL, 'TIGR04480', NULL, NULL, 'D_pro_red_PrdA: D-proline reductase (dithiol), PrdA proprotein', NULL, 'TIGR04480', NULL, NULL, 26972, 16),
(196947, NULL, 'TIGR03683', NULL, NULL, 'A-tRNA_syn_arch: alanine--tRNA ligase', NULL, 'TIGR03683', NULL, NULL, 16222, 16),
(196948, NULL, 'TIGR03185', NULL, NULL, 'DNA_S_dndD: DNA sulfur modification protein DndD', NULL, 'TIGR03185', NULL, NULL, 16139, 16),
(196949, NULL, 'TIGR02410', NULL, NULL, 'carnitine_TMLD: trimethyllysine dioxygenase', NULL, 'TIGR02410', NULL, NULL, 10099, 16);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196950, NULL, 'TIGR02547', NULL, NULL, 'casA_cse1: CRISPR type I-E/ECOLI-associated protein CasA/Cse1', NULL, 'TIGR02547', NULL, NULL, 11893, 16),
(196951, NULL, 'TIGR02665', NULL, NULL, 'molyb_mobA: molybdenum cofactor guanylyltransferase', NULL, 'TIGR02665', NULL, NULL, 10019, 16),
(196952, NULL, 'TIGR02049', NULL, NULL, 'gshA_ferroox: glutamate--cysteine ligase', NULL, 'TIGR02049', NULL, NULL, 11156, 16),
(196953, NULL, 'TIGR04324', NULL, NULL, 'SpoChoClust_2: sporadic carbohydrate cluster 2OG-Fe(II) oxygenase', NULL, 'TIGR04324', NULL, NULL, 26644, 16),
(196954, NULL, 'TIGR01611', NULL, NULL, 'tail_tube: phage major tail tube protein', NULL, 'TIGR01611', NULL, NULL, 6692, 16),
(196955, NULL, 'TIGR04309', NULL, NULL, 'amanitin: amanitin/phalloidin family toxin', NULL, 'TIGR04309', NULL, NULL, 23384, 16),
(196956, NULL, 'TIGR01857', NULL, NULL, 'FGAM-synthase: phosphoribosylformylglycinamidine synthase', NULL, 'TIGR01857', NULL, NULL, 10555, 16),
(196957, NULL, 'TIGR02167', NULL, NULL, 'Liste_lipo_26: bacterial surface protein 26-residue repeat', NULL, 'TIGR02167', NULL, NULL, 8552, 16),
(196958, NULL, 'TIGR03634', NULL, NULL, 'arc_protsome_B: proteasome endopeptidase complex, archaeal, beta subunit', NULL, 'TIGR03634', NULL, NULL, 12119, 16),
(196959, NULL, 'TIGR04427', NULL, NULL, 'PLP_DesI: dTDP-4-dehydro-6-deoxyglucose aminotransferase', NULL, 'TIGR04427', NULL, NULL, 27037, 16),
(196960, NULL, 'TIGR03449', NULL, NULL, 'mycothiol_MshA: D-inositol-3-phosphate glycosyltransferase', NULL, 'TIGR03449', NULL, NULL, 19610, 16),
(196961, NULL, 'TIGR03353', NULL, NULL, 'VI_chp_4: type VI secretion protein, VC_A0114 family', NULL, 'TIGR03353', NULL, NULL, 7992, 16),
(196962, NULL, 'TIGR01859', NULL, NULL, 'fruc_bis_ald_: fructose-1,6-bisphosphate aldolase, class II', NULL, 'TIGR01859', NULL, NULL, 10183, 16),
(196963, NULL, 'TIGR04371', NULL, NULL, 'methyltran_NanM: putative sugar O-methyltransferase', NULL, 'TIGR04371', NULL, NULL, 22114, 16),
(196964, NULL, 'TIGR00253', NULL, NULL, 'RNA_bind_YhbY: putative RNA-binding protein, YhbY family', NULL, 'TIGR00253', NULL, NULL, 21454, 16),
(196965, NULL, 'TIGR02386', NULL, NULL, 'rpoC_TIGR: DNA-directed RNA polymerase, beta'' subunit', NULL, 'TIGR02386', NULL, NULL, 9681, 16),
(196966, NULL, 'TIGR00751', NULL, NULL, 'menA: 1,4-dihydroxy-2-naphthoate octaprenyltransferase', NULL, 'TIGR00751', NULL, NULL, NULL, 16),
(196967, NULL, 'TIGR01722', NULL, NULL, 'MMSDH: methylmalonate-semialdehyde dehydrogenase (acylating)', NULL, 'TIGR01722', NULL, NULL, 6350, 16),
(196968, NULL, 'TIGR02828', NULL, NULL, 'TIGR02828: putative membrane fusion protein', NULL, 'TIGR02828', NULL, NULL, 8611, 16),
(196969, NULL, 'TIGR00888', NULL, NULL, 'guaA_Nterm: GMP synthase (glutamine-hydrolyzing), N-terminal domain', NULL, 'TIGR00888', NULL, NULL, 5211, 16),
(196970, NULL, 'TIGR01231', NULL, NULL, 'lacC: tagatose-6-phosphate kinase', NULL, 'TIGR01231', NULL, NULL, 1, 16),
(196971, NULL, 'TIGR01368', NULL, NULL, 'CPSaseIIsmall: carbamoyl-phosphate synthase, small subunit', NULL, 'TIGR01368', NULL, NULL, 3896, 16),
(196972, NULL, 'TIGR01401', NULL, NULL, 'fliR_like_III: type III secretion apparatus protein SpaR/YscT/HrcT', NULL, 'TIGR01401', NULL, NULL, 4927, 16),
(196973, NULL, 'TIGR01224', NULL, NULL, 'hutI: imidazolonepropionase', NULL, 'TIGR01224', NULL, NULL, 208, 16),
(196974, NULL, 'TIGR02556', NULL, NULL, 'cas_TM1802: CRISPR-associated protein, TM1802 family', NULL, 'TIGR02556', NULL, NULL, 11738, 16),
(196975, NULL, 'TIGR03851', NULL, NULL, 'chitin_NgcE: carbohydrate ABC transporter, N-acetylglucosamine/diacetylchitobiose-binding protein', NULL, 'TIGR03851', NULL, NULL, 16433, 16),
(196976, NULL, 'TIGR03674', NULL, NULL, 'fen_arch: flap structure-specific endonuclease', NULL, 'TIGR03674', NULL, NULL, 15960, 16),
(196977, NULL, 'TIGR01087', NULL, NULL, 'murD: UDP-N-acetylmuramoylalanine--D-glutamate ligase', NULL, 'TIGR01087', NULL, NULL, 4825, 16),
(196978, NULL, 'TIGR01748', NULL, NULL, 'rhaA: L-rhamnose isomerase', NULL, 'TIGR01748', NULL, NULL, 13552, 16);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(196979, NULL, 'TIGR02058', NULL, NULL, 'lin0512_fam: conserved hypothetical protein', NULL, 'TIGR02058', NULL, NULL, 11121, 16),
(196980, NULL, 'TIGR03792', NULL, NULL, 'TIGR03792: uncharacterized cyanobacterial protein, TIGR03792 family', NULL, 'TIGR03792', NULL, NULL, 16842, 16),
(196981, NULL, 'TIGR01529', NULL, NULL, 'argR_whole: arginine repressor', NULL, 'TIGR01529', NULL, NULL, 5034, 16),
(196982, NULL, 'TIGR01866', NULL, NULL, 'cas_Csn2: CRISPR type II-A/NMEMI-associated protein Csn2', NULL, 'TIGR01866', NULL, NULL, 10665, 16),
(196983, NULL, 'TIGR02554', NULL, NULL, 'PrgH: type III secretion apparatus protein PrgH/EprH', NULL, 'TIGR02554', NULL, NULL, 11508, 16),
(196984, NULL, 'TIGR01689', NULL, NULL, 'EcbF-BcbF: capsule biosynthesis phosphatase', NULL, 'TIGR01689', NULL, NULL, 5040, 16),
(196985, NULL, 'TIGR03192', NULL, NULL, 'benz_CoA_bzdQ: benzoyl-CoA reductase, bzd-type, Q subunit', NULL, 'TIGR03192', NULL, NULL, 16044, 16),
(196986, NULL, 'TIGR03572', NULL, NULL, 'WbuZ: glycosyl amidation-associated protein WbuZ', NULL, 'TIGR03572', NULL, NULL, 18179, 16),
(196987, NULL, 'TIGR00914', NULL, NULL, '2A0601: heavy metal efflux pump, CzcA family', NULL, 'TIGR00914', NULL, NULL, 5438, 16),
(196988, NULL, 'TIGR00964', NULL, NULL, 'secE_bact: preprotein translocase, SecE subunit', NULL, 'TIGR00964', NULL, NULL, 5716, 16),
(196989, NULL, 'TIGR03690', NULL, NULL, '20S_bact_beta: proteasome, beta subunit', NULL, 'TIGR03690', NULL, NULL, 16693, 16),
(196990, NULL, 'TIGR00001', NULL, NULL, 'rpmI_bact: ribosomal protein bL35', NULL, 'TIGR00001', NULL, NULL, 3404, 16),
(196991, NULL, 'TIGR00534', NULL, NULL, 'OpcA: glucose-6-phosphate dehydrogenase assembly protein OpcA', NULL, 'TIGR00534', NULL, NULL, 926, 16),
(196992, NULL, 'TIGR01918', NULL, NULL, 'various_sel_PB: selenoprotein B, glycine/betaine/sarcosine/D-proline reductase family', NULL, 'TIGR01918', NULL, NULL, 4476, 16),
(196993, NULL, 'TIGR02226', NULL, NULL, 'two_anch: N-terminal double-transmembrane domain', NULL, 'TIGR02226', NULL, NULL, 11313, 16),
(196994, NULL, 'TIGR01380', NULL, NULL, 'glut_syn: glutathione synthase', NULL, 'TIGR01380', NULL, NULL, 3926, 16),
(196995, NULL, 'TIGR02507', NULL, NULL, 'MtrF: tetrahydromethanopterin S-methyltransferase, F subunit', NULL, 'TIGR02507', NULL, NULL, 18632, 16),
(196996, NULL, 'TIGR00206', NULL, NULL, 'fliF: flagellar M-ring protein FliF', NULL, 'TIGR00206', NULL, NULL, 3616, 16),
(196997, NULL, 'TIGR01538', NULL, NULL, 'portal_SPP1: phage portal protein, SPP1 family', NULL, 'TIGR01538', NULL, NULL, 6667, 16),
(196998, NULL, 'TIGR00704', NULL, NULL, 'NaPi_cotrn_rel: Na/Pi-cotransporter II-related protein', NULL, 'TIGR00704', NULL, NULL, 2593, 16),
(196999, NULL, 'TIGR03742', NULL, NULL, 'PRTRC_F: PRTRC system protein F', NULL, 'TIGR03742', NULL, NULL, 15720, 16),
(197000, NULL, 'TIGR00185', NULL, NULL, 'tRNA_yibK_trmL: tRNA (cytidine(34)-2''-O)-methyltransferase', NULL, 'TIGR00185', NULL, NULL, 17390, 16),
(197001, NULL, 'TIGR01333', NULL, NULL, 'cyt_b559_beta: cytochrome b559, beta subunit', NULL, 'TIGR01333', NULL, NULL, 3555, 16),
(197002, NULL, 'TIGR01713', NULL, NULL, 'typeII_sec_gspC: type II secretion system protein C', NULL, 'TIGR01713', NULL, NULL, 3990, 16),
(197003, NULL, 'TIGR04418', NULL, NULL, 'PriB_gamma: primosomal replication protein PriB', NULL, 'TIGR04418', NULL, NULL, 16735, 16),
(197004, NULL, 'TIGR03499', NULL, NULL, 'FlhF: flagellar biosynthesis protein FlhF', NULL, 'TIGR03499', NULL, NULL, 17047, 16),
(197005, NULL, 'TIGR03879', NULL, NULL, 'near_KaiC_dom: probable regulatory domain', NULL, 'TIGR03879', NULL, NULL, 21234, 16),
(197006, NULL, 'TIGR02488', NULL, NULL, 'flgG_G_neg: flagellar basal-body rod protein FlgG', NULL, 'TIGR02488', NULL, NULL, 12824, 16),
(197007, NULL, 'TIGR02724', NULL, NULL, 'phenyl_P_beta: phenylphosphate carboxylase, beta subunit', NULL, 'TIGR02724', NULL, NULL, 14176, 16),
(197008, NULL, 'TIGR03362', NULL, NULL, 'VI_chp_7: type VI secretion-associated protein, VC_A0119 family', NULL, 'TIGR03362', NULL, NULL, 18850, 16),
(197009, NULL, 'TIGR02351', NULL, NULL, 'thiH: thiazole biosynthesis protein ThiH', NULL, 'TIGR02351', NULL, NULL, 11728, 16); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197010, NULL, 'TIGR01831', NULL, NULL, 'fabG_rel: putative 3-oxoacyl-(acyl-carrier-protein) reductase', NULL, 'TIGR01831', NULL, NULL, 10401, 16),
(197011, NULL, 'TIGR00683', NULL, NULL, 'nanA: N-acetylneuraminate lyase', NULL, 'TIGR00683', NULL, NULL, 4271, 16),
(197012, NULL, 'TIGR04078', NULL, NULL, 'rSAM_yydG: peptide modification radical SAM enzyme, YydG family', NULL, 'TIGR04078', NULL, NULL, 18427, 16),
(197013, NULL, 'TIGR04529', NULL, NULL, 'MTB_hemophore: hemophore-related protein, Rv0203/Rv1174c family', NULL, 'TIGR04529', NULL, NULL, 26753, 16),
(197014, NULL, 'TIGR01661', NULL, NULL, 'ELAV_HUD_SF: ELAV/HuD family splicing factor', NULL, 'TIGR01661', NULL, NULL, 214, 16),
(197015, NULL, 'TIGR03244', NULL, NULL, 'arg_catab_AstA: arginine N-succinyltransferase', NULL, 'TIGR03244', NULL, NULL, 17483, 16),
(197016, NULL, 'TIGR03525', NULL, NULL, 'GldK: gliding motility-associated lipoprotein GldK', NULL, 'TIGR03525', NULL, NULL, 16611, 16),
(197017, NULL, 'TIGR02986', NULL, NULL, 'restrict_Alw26I: type II restriction endonuclease, Alw26I/Eco31I/Esp3I family', NULL, 'TIGR02986', NULL, NULL, 9859, 16),
(197018, NULL, 'TIGR02993', NULL, NULL, 'ectoine_eutD: ectoine utilization protein EutD', NULL, 'TIGR02993', NULL, NULL, 10318, 16),
(197019, NULL, 'TIGR04359', NULL, NULL, 'TrbK_RP4: entry exclusion lipoprotein TrbK', NULL, 'TIGR04359', NULL, NULL, 24046, 16),
(197020, NULL, 'TIGR01720', NULL, NULL, 'NRPS-para261: non-ribosomal peptide synthase domain TIGR01720', NULL, 'TIGR01720', NULL, NULL, 6177, 16),
(197021, NULL, 'TIGR02030', NULL, NULL, 'BchI-ChlI: magnesium chelatase ATPase subunit I', NULL, 'TIGR02030', NULL, NULL, 13317, 16),
(197022, NULL, 'TIGR02495', NULL, NULL, 'NrdG2: anaerobic ribonucleoside-triphosphate reductase activating protein', NULL, 'TIGR02495', NULL, NULL, 12709, 16),
(197023, NULL, 'TIGR02875', NULL, NULL, 'spore_0_A: sporulation transcription factor Spo0A', NULL, 'TIGR02875', NULL, NULL, 11861, 16),
(197024, NULL, 'TIGR01060', NULL, NULL, 'eno: phosphopyruvate hydratase', NULL, 'TIGR01060', NULL, NULL, 3112, 16),
(197025, NULL, 'TIGR00091', NULL, NULL, 'TIGR00091: tRNA (guanine-N(7)-)-methyltransferase', NULL, 'TIGR00091', NULL, NULL, 4461, 16),
(197026, NULL, 'TIGR01197', NULL, NULL, 'nramp: metal ion transporter, metal ion (Mn2+/Fe2+) transporter (Nramp) family', NULL, 'TIGR01197', NULL, NULL, 2383, 16),
(197027, NULL, 'TIGR01940', NULL, NULL, 'nqrE: NADH:ubiquinone oxidoreductase, Na(+)-translocating, E subunit', NULL, 'TIGR01940', NULL, NULL, 2255, 16),
(197028, NULL, 'TIGR03135', NULL, NULL, 'malonate_mdcG: malonate decarboxylase holo-[acyl-carrier-protein] synthase', NULL, 'TIGR03135', NULL, NULL, 15264, 16),
(197029, NULL, 'TIGR00574', NULL, NULL, 'dnl1: DNA ligase I, ATP-dependent (dnl1)', NULL, 'TIGR00574', NULL, NULL, 113, 16),
(197030, NULL, 'TIGR03204', NULL, NULL, 'pimC_large: pimeloyl-CoA dehydrogenase, large subunit', NULL, 'TIGR03204', NULL, NULL, 16498, 16),
(197031, NULL, 'TIGR03961', NULL, NULL, 'rSAM_PTO1314: archaeal radical SAM protein, PTO1314 family', NULL, 'TIGR03961', NULL, NULL, 17939, 16),
(197032, NULL, 'TIGR00643', NULL, NULL, 'recG: ATP-dependent DNA helicase RecG', NULL, 'TIGR00643', NULL, NULL, 878, 16),
(197033, NULL, 'TIGR02494', NULL, NULL, 'PFLE_PFLC: glycyl-radical enzyme activating protein', NULL, 'TIGR02494', NULL, NULL, NULL, 16),
(197034, NULL, 'TIGR01695', NULL, NULL, 'murJ_mviN: murein biosynthesis integral membrane protein MurJ', NULL, 'TIGR01695', NULL, NULL, 3530, 16),
(197035, NULL, 'TIGR01579', NULL, NULL, 'MiaB-like-C: MiaB-like tRNA modifying enzyme', NULL, 'TIGR01579', NULL, NULL, 6059, 16),
(197036, NULL, 'TIGR04003', NULL, NULL, 'rSAM_BssD: [benzylsuccinate synthase]-activating enzyme', NULL, 'TIGR04003', NULL, NULL, 12536, 16),
(197037, NULL, 'TIGR03251', NULL, NULL, 'LAT_fam: L-lysine 6-transaminase', NULL, 'TIGR03251', NULL, NULL, 17239, 16),
(197038, NULL, 'TIGR03839', NULL, NULL, 'termin_org_P1: adhesin P1', NULL, 'TIGR03839', NULL, NULL, 16215, 16),
(197039, NULL, 'TIGR01770', NULL, NULL, 'NDH_I_N: proton-translocating NADH-quinone oxidoreductase, chain N', NULL, 'TIGR01770', NULL, NULL, 2114, 16); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197040, NULL, 'TIGR00315', NULL, NULL, 'cdhB: CO dehydrogenase/acetyl-CoA synthase complex, epsilon subunit', NULL, 'TIGR00315', NULL, NULL, 2458, 16),
(197041, NULL, 'TIGR03845', NULL, NULL, 'sulfopyru_alph: sulfopyruvate decarboxylase, alpha subunit', NULL, 'TIGR03845', NULL, NULL, 16985, 16),
(197042, NULL, 'TIGR00786', NULL, NULL, 'dctM: TRAP transporter, DctM subunit', NULL, 'TIGR00786', NULL, NULL, 3334, 16),
(197043, NULL, 'TIGR02336', NULL, NULL, 'TIGR02336: 1,3-beta-galactosyl-N-acetylhexosamine phosphorylase', NULL, 'TIGR02336', NULL, NULL, 11722, 16),
(197044, NULL, 'TIGR03019', NULL, NULL, 'pepcterm_femAB: FemAB-related protein, PEP-CTERM system-associated', NULL, 'TIGR03019', NULL, NULL, 21354, 16),
(197045, NULL, 'TIGR00813', NULL, NULL, 'sss: transporter, solute:sodium symporter (SSS) family', NULL, 'TIGR00813', NULL, NULL, 5281, 16),
(197046, NULL, 'TIGR01230', NULL, NULL, 'agmatinase: agmatinase', NULL, 'TIGR01230', NULL, NULL, 487, 16),
(197047, NULL, 'TIGR00321', NULL, NULL, 'dhys: deoxyhypusine synthase', NULL, 'TIGR00321', NULL, NULL, 4549, 16),
(197048, NULL, 'TIGR04262', NULL, NULL, 'orph_peri_GRRM: extracellular substrate-binding orphan protein, GRRM family', NULL, 'TIGR04262', NULL, NULL, 26436, 16),
(197049, NULL, 'TIGR01427', NULL, NULL, 'PTS_IIC_fructo: PTS system, Fru family, IIC component', NULL, 'TIGR01427', NULL, NULL, 4761, 16),
(197050, NULL, 'TIGR00151', NULL, NULL, 'ispF: 2-C-methyl-D-erythritol 2,4-cyclodiphosphate synthase', NULL, 'TIGR00151', NULL, NULL, 6289, 16),
(197051, NULL, 'TIGR04501', NULL, NULL, 'microcomp_PduB: microcompartment protein PduB', NULL, 'TIGR04501', NULL, NULL, 25867, 16),
(197052, NULL, 'TIGR01925', NULL, NULL, 'spIIAB: anti-sigma F factor', NULL, 'TIGR01925', NULL, NULL, 4472, 16),
(197053, NULL, 'TIGR03347', NULL, NULL, 'VI_chp_1: type VI secretion protein, VC_A0111 family', NULL, 'TIGR03347', NULL, NULL, 10441, 16),
(197054, NULL, 'TIGR02834', NULL, NULL, 'spo_ytxC: putative sporulation protein YtxC', NULL, 'TIGR02834', NULL, NULL, 9004, 16),
(197055, NULL, 'TIGR04256', NULL, NULL, 'GxxExxY: GxxExxY protein', NULL, 'TIGR04256', NULL, NULL, 26214, 16),
(197056, NULL, 'TIGR04331', NULL, NULL, 'o_ant_LIC12162: putative transferase, LIC12162 family', NULL, 'TIGR04331', NULL, NULL, 29249, 16),
(197057, NULL, 'TIGR01502', NULL, NULL, 'B_methylAsp_ase: methylaspartate ammonia-lyase', NULL, 'TIGR01502', NULL, NULL, 5729, 16),
(197058, NULL, 'TIGR02124', NULL, NULL, 'hypE: hydrogenase expression/formation protein HypE', NULL, 'TIGR02124', NULL, NULL, 14189, 16),
(197059, NULL, 'TIGR03627', NULL, NULL, 'uS9_arch: ribosomal protein uS9', NULL, 'TIGR03627', NULL, NULL, 12728, 16),
(197060, NULL, 'TIGR00568', NULL, NULL, 'alkb: alkylated DNA repair protein AlkB', NULL, 'TIGR00568', NULL, NULL, 543, 16),
(197061, NULL, 'TIGR03920', NULL, NULL, 'T7SS_EccD: type VII secretion integral membrane protein EccD', NULL, 'TIGR03920', NULL, NULL, 2322, 16),
(197062, NULL, 'TIGR04146', NULL, NULL, 'GGGPS_Afulg: phosphoglycerol geranylgeranyltransferase', NULL, 'TIGR04146', NULL, NULL, 24042, 16),
(197063, NULL, 'TIGR02506', NULL, NULL, 'NrdE_NrdA: ribonucleoside-diphosphate reductase, alpha subunit', NULL, 'TIGR02506', NULL, NULL, 18731, 16),
(197064, NULL, 'TIGR01639', NULL, NULL, 'P_fal_TIGR01639: Plasmodium falciparum uncharacterized domain TIGR01639', NULL, 'TIGR01639', NULL, NULL, 294, 16),
(197065, NULL, 'TIGR02622', NULL, NULL, 'CDP_4_6_dhtase: CDP-glucose 4,6-dehydratase', NULL, 'TIGR02622', NULL, NULL, 9246, 16),
(197066, NULL, 'TIGR02936', NULL, NULL, 'fdxN_nitrog: ferredoxin III, nif-specific', NULL, 'TIGR02936', NULL, NULL, 9301, 16),
(197067, NULL, 'TIGR00288', NULL, NULL, 'TIGR00288: TIGR00288 family protein', NULL, 'TIGR00288', NULL, NULL, 4700, 16),
(197068, NULL, 'TIGR01919', NULL, NULL, 'hisA-trpF: bifunctional HisA/TrpF protein', NULL, 'TIGR01919', NULL, NULL, 4259, 16),
(197069, NULL, 'TIGR02774', NULL, NULL, 'rexB_recomb: ATP-dependent nuclease subunit B', NULL, 'TIGR02774', NULL, NULL, 14498, 16),
(197070, NULL, 'TIGR00103', NULL, NULL, 'DNA_YbaB_EbfC: DNA-binding protein, YbaB/EbfC family', NULL, 'TIGR00103', NULL, NULL, 5894, 16);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197071, NULL, 'TIGR04160', NULL, NULL, 'methbact_MbnC: methanobactin biosynthesis cassette protein MbnC', NULL, 'TIGR04160', NULL, NULL, NULL, 16),
(197072, NULL, 'TIGR02008', NULL, NULL, 'fdx_plant: ferredoxin [2Fe-2S]', NULL, 'TIGR02008', NULL, NULL, 5293, 16),
(197073, NULL, 'TIGR04468', NULL, NULL, 'arg_2_3_am_muta: arginine 2,3-aminomutase', NULL, 'TIGR04468', NULL, NULL, 27619, 16),
(197074, NULL, 'TIGR03955', NULL, NULL, 'rSAM_HydG: [FeFe] hydrogenase H-cluster radical SAM maturase HydG', NULL, 'TIGR03955', NULL, NULL, 16080, 16),
(197075, NULL, 'TIGR01809', NULL, NULL, 'Shik-DH-AROM: shikimate-5-dehydrogenase', NULL, 'TIGR01809', NULL, NULL, 2005, 16),
(197076, NULL, 'TIGR04330', NULL, NULL, 'cas_Cpf1: CRISPR-associated protein Cpf1, subtype PREFRAN', NULL, 'TIGR04330', NULL, NULL, 23990, 16),
(197077, NULL, 'TIGR01271', NULL, NULL, 'CFTR_protein: cystic fibrosis transmembrane conductor regulator (CFTR)', NULL, 'TIGR01271', NULL, NULL, 10561, 16),
(197078, NULL, 'TIGR03804', NULL, NULL, 'para_beta_helix: parallel beta-helix repeat', NULL, 'TIGR03804', NULL, NULL, 16002, 16),
(197079, NULL, 'TIGR00745', NULL, NULL, 'apbA_panE: 2-dehydropantoate 2-reductase', NULL, 'TIGR00745', NULL, NULL, 2310, 16),
(197080, NULL, 'TIGR02301', NULL, NULL, 'TIGR02301: TIGR02301 family protein', NULL, 'TIGR02301', NULL, NULL, 10656, 16),
(197081, NULL, 'TIGR04467', NULL, NULL, 'CGA_synthase: hydroxymethylcytosylglucuronate/cytosylglucuronate synthase', NULL, 'TIGR04467', NULL, NULL, 27614, 16),
(197082, NULL, 'TIGR04474', NULL, NULL, 'tcm_partner: three-Cys-motif partner protein', NULL, 'TIGR04474', NULL, NULL, 27656, 16),
(197083, NULL, 'TIGR00458', NULL, NULL, 'aspS_nondisc: aspartate--tRNA(Asn) ligase', NULL, 'TIGR00458', NULL, NULL, 1978, 16),
(197084, NULL, 'TIGR02276', NULL, NULL, 'beta_rpt_yvtn: 40-residue YVTN family beta-propeller repeat', NULL, 'TIGR02276', NULL, NULL, 11408, 16),
(197085, NULL, 'TIGR03306', NULL, NULL, 'altF1_A: alternate F1F0 ATPase, F0 subunit A', NULL, 'TIGR03306', NULL, NULL, 17654, 16),
(197086, NULL, 'TIGR03129', NULL, NULL, 'one_C_dehyd_B: formylmethanofuran dehydrogenase subunit B', NULL, 'TIGR03129', NULL, NULL, 15757, 16),
(197087, NULL, 'TIGR03633', NULL, NULL, 'arc_protsome_A: proteasome endopeptidase complex, archaeal, alpha subunit', NULL, 'TIGR03633', NULL, NULL, 12285, 16),
(197088, NULL, 'TIGR00110', NULL, NULL, 'ilvD: dihydroxy-acid dehydratase', NULL, 'TIGR00110', NULL, NULL, 5563, 16),
(197089, NULL, 'TIGR01442', NULL, NULL, 'SASP_gamma: small, acid-soluble spore protein, gamma-type', NULL, 'TIGR01442', NULL, NULL, 4590, 16),
(197090, NULL, 'TIGR04297', NULL, NULL, 'thauma_sortase: thaumarchaeosortase', NULL, 'TIGR04297', NULL, NULL, 28634, 16),
(197091, NULL, 'TIGR00431', NULL, NULL, 'TruB: tRNA pseudouridine(55) synthase', NULL, 'TIGR00431', NULL, NULL, 8687, 16),
(197092, NULL, 'TIGR02282', NULL, NULL, 'MltB: lytic murein transglycosylase B', NULL, 'TIGR02282', NULL, NULL, 11947, 16),
(197093, NULL, 'TIGR03463', NULL, NULL, 'osq_cycl: 2,3-oxidosqualene cyclase', NULL, 'TIGR03463', NULL, NULL, 20135, 16),
(197094, NULL, 'TIGR03668', NULL, NULL, 'Rv0121_F420: PPOX class probable F420-dependent enzyme, Rv0121 family', NULL, 'TIGR03668', NULL, NULL, 15858, 16),
(197095, NULL, 'TIGR02513', NULL, NULL, 'type_III_yscB: type III secretion system chaperone, YscB family', NULL, 'TIGR02513', NULL, NULL, 18808, 16),
(197096, NULL, 'TIGR00472', NULL, NULL, 'pheT_bact: phenylalanine--tRNA ligase, beta subunit', NULL, 'TIGR00472', NULL, NULL, 2000, 16),
(197097, NULL, 'TIGR03531', NULL, NULL, 'selenium_SpcS: O-phosphoseryl-tRNA(Sec) selenium transferase', NULL, 'TIGR03531', NULL, NULL, 17112, 16),
(197098, NULL, 'TIGR00970', NULL, NULL, 'leuA_yeast: 2-isopropylmalate synthase', NULL, 'TIGR00970', NULL, NULL, 3552, 16),
(197099, NULL, 'TIGR02616', NULL, NULL, 'tnaC_leader: tryptophanase leader peptide', NULL, 'TIGR02616', NULL, NULL, 9701, 16),
(197100, NULL, 'TIGR02064', NULL, NULL, 'dsrA: sulfite reductase, dissimilatory-type alpha subunit', NULL, 'TIGR02064', NULL, NULL, 13060, 16);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197101, NULL, 'TIGR03082', NULL, NULL, 'Gneg_AbrB_dup: membrane protein AbrB duplication', NULL, 'TIGR03082', NULL, NULL, 15426, 16),
(197102, NULL, 'TIGR03203', NULL, NULL, 'pimD_small: pimeloyl-CoA dehydrogenase, small subunit', NULL, 'TIGR03203', NULL, NULL, 16382, 16),
(197103, NULL, 'TIGR02890', NULL, NULL, 'bacill_yteA: regulatory protein, yteA family', NULL, 'TIGR02890', NULL, NULL, 10664, 16),
(197104, NULL, 'TIGR00247', NULL, NULL, 'TIGR00247: conserved hypothetical protein, YceG family', NULL, 'TIGR00247', NULL, NULL, 2029, 16),
(197105, NULL, 'TIGR04358', NULL, NULL, 'XXXCH_domain: XXXCH domain', NULL, 'TIGR04358', NULL, NULL, 24383, 16),
(197106, NULL, 'TIGR01299', NULL, NULL, 'synapt_SV2: synaptic vesicle protein SV2', NULL, 'TIGR01299', NULL, NULL, 15968, 16),
(197107, NULL, 'TIGR00028', NULL, NULL, 'Mtu_PIN_fam: toxin-antitoxin system PIN domain toxin', NULL, 'TIGR00028', NULL, NULL, 11091, 16),
(197108, NULL, 'TIGR02180', NULL, NULL, 'GRX_euk: glutaredoxin', NULL, 'TIGR02180', NULL, NULL, 12435, 16),
(197109, NULL, 'TIGR04188', NULL, NULL, 'methyltr_grsp: methyltransferase, ATP-grasp peptide maturase system', NULL, 'TIGR04188', NULL, NULL, 24250, 16),
(197110, NULL, 'TIGR03033', NULL, NULL, 'phage_rel_nuc: putative phage-type endonuclease', NULL, 'TIGR03033', NULL, NULL, 21425, 16),
(197111, NULL, 'TIGR01374', NULL, NULL, 'soxD: sarcosine oxidase, delta subunit family', NULL, 'TIGR01374', NULL, NULL, 3674, 16),
(197112, NULL, 'TIGR01490', NULL, NULL, 'HAD-SF-IB-hyp1: HAD hydrolase, family IB', NULL, 'TIGR01490', NULL, NULL, 5963, 16),
(197113, NULL, 'TIGR00144', NULL, NULL, 'beta_RFAP_syn: beta-ribofuranosylaminobenzene 5''-phosphate synthase family', NULL, 'TIGR00144', NULL, NULL, 7333, 16),
(197114, NULL, 'TIGR02392', NULL, NULL, 'rpoH_proteo: alternative sigma factor RpoH', NULL, 'TIGR02392', NULL, NULL, 10420, 16),
(197115, NULL, 'TIGR01660', NULL, NULL, 'narH: nitrate reductase, beta subunit', NULL, 'TIGR01660', NULL, NULL, 269, 16),
(197116, NULL, 'TIGR01797', NULL, NULL, 'CM_P_1: chorismate mutase', NULL, 'TIGR01797', NULL, NULL, 1619, 16),
(197117, NULL, 'TIGR03415', NULL, NULL, 'ABC_choXWV_ATP: choline ABC transporter, ATP-binding protein', NULL, 'TIGR03415', NULL, NULL, 16089, 16),
(197118, NULL, 'TIGR00642', NULL, NULL, 'mmCoA_mut_beta: methylmalonyl-CoA mutase, small subunit', NULL, 'TIGR00642', NULL, NULL, 821, 16),
(197119, NULL, 'TIGR04433', NULL, NULL, 'UrcA_uranyl: UrcA family protein', NULL, 'TIGR04433', NULL, NULL, 26758, 16),
(197120, NULL, 'TIGR03913', NULL, NULL, 'rad_SAM_trio: Y_X(10)_GDL-associated radical SAM protein', NULL, 'TIGR03913', NULL, NULL, 8559, 16),
(197121, NULL, 'TIGR02015', NULL, NULL, 'BchY: chlorophyllide reductase subunit Y', NULL, 'TIGR02015', NULL, NULL, 5196, 16),
(197122, NULL, 'TIGR01162', NULL, NULL, 'purE: phosphoribosylaminoimidazole carboxylase, catalytic subunit', NULL, 'TIGR01162', NULL, NULL, 3796, 16),
(197123, NULL, 'TIGR03743', NULL, NULL, 'SXT_TraD: conjugative coupling factor TraD, SXT/TOL subfamily', NULL, 'TIGR03743', NULL, NULL, 16170, 16),
(197124, NULL, 'TIGR02071', NULL, NULL, 'PBP_1b: penicillin-binding protein 1B', NULL, 'TIGR02071', NULL, NULL, 13158, 16),
(197125, NULL, 'TIGR03422', NULL, NULL, 'mito_frataxin: frataxin', NULL, 'TIGR03422', NULL, NULL, 19178, 16),
(197126, NULL, 'TIGR04249', NULL, NULL, 'SCM_chp_ScmC: SynChlorMet cassette protein ScmC', NULL, 'TIGR04249', NULL, NULL, 26338, 16),
(197127, NULL, 'TIGR00533', NULL, NULL, 'HMG_CoA_R_NADP: hydroxymethylglutaryl-CoA reductase (NADPH)', NULL, 'TIGR00533', NULL, NULL, 556, 16),
(197128, NULL, 'TIGR01981', NULL, NULL, 'sufD: FeS assembly protein SufD', NULL, 'TIGR01981', NULL, NULL, 12330, 16),
(197129, NULL, 'TIGR03524', NULL, NULL, 'GldJ: gliding motility-associated lipoprotein GldJ', NULL, 'TIGR03524', NULL, NULL, 16771, 16),
(197130, NULL, 'TIGR01209', NULL, NULL, 'TIGR01209: RNA ligase, Pab1020 family', NULL, 'TIGR01209', NULL, NULL, 1212, 16),
(197131, NULL, 'TIGR04542', NULL, NULL, 'GMC_mycofac_2: GMC family mycofactocin-associated oxidreductase', NULL, 'TIGR04542', NULL, NULL, 26717, 16);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197132, NULL, 'TIGR01688', NULL, NULL, 'dltC: D-alanine--poly(phosphoribitol) ligase, subunit 2', NULL, 'TIGR01688', NULL, NULL, 2850, 16),
(197133, NULL, 'TIGR02173', NULL, NULL, 'cyt_kin_arch: putative cytidylate kinase', NULL, 'TIGR02173', NULL, NULL, 8868, 16),
(197134, NULL, 'TIGR02902', NULL, NULL, 'spore_lonB: ATP-dependent protease LonB', NULL, 'TIGR02902', NULL, NULL, 11162, 16),
(197135, NULL, 'TIGR01551', NULL, NULL, 'major_capsid_P2: phage major capsid protein, P2 family', NULL, 'TIGR01551', NULL, NULL, 6811, 16),
(197136, NULL, 'TIGR02227', NULL, NULL, 'sigpep_I_bact: signal peptidase I', NULL, 'TIGR02227', NULL, NULL, 3963, 16),
(197137, NULL, 'TIGR03210', NULL, NULL, 'badI: 2-ketocyclohexanecarboxyl-CoA hydrolase', NULL, 'TIGR03210', NULL, NULL, 16830, 16),
(197138, NULL, 'TIGR04044', NULL, NULL, 'MSMEG_0572_fam: MSMEG_0572 family protein', NULL, 'TIGR04044', NULL, NULL, 17395, 16),
(197139, NULL, 'TIGR04365', NULL, NULL, 'spare_glycyl: autonomous glycyl radical cofactor GrcA', NULL, 'TIGR04365', NULL, NULL, 10151, 16),
(197140, NULL, 'TIGR02404', NULL, NULL, 'trehalos_R_Bsub: trehalose operon repressor', NULL, 'TIGR02404', NULL, NULL, 10457, 16),
(197141, NULL, 'TIGR00861', NULL, NULL, 'MIP: MIP family channel proteins', NULL, 'TIGR00861', NULL, NULL, 4814, 16),
(197142, NULL, 'TIGR02725', NULL, NULL, 'phenyl_P_gamma: phenylphosphate carboxylase, gamma subunit', NULL, 'TIGR02725', NULL, NULL, 14337, 16),
(197143, NULL, 'TIGR01053', NULL, NULL, 'LSD1: zinc finger domain, LSD1 subclass', NULL, 'TIGR01053', NULL, NULL, 4925, 16),
(197144, NULL, 'TIGR03559', NULL, NULL, 'F420_Rv3520c: probable F420-dependent oxidoreductase, Rv3520c family', NULL, 'TIGR03559', NULL, NULL, 18086, 16),
(197145, NULL, 'TIGR01367', NULL, NULL, 'pyrE_Therm: orotate phosphoribosyltransferase', NULL, 'TIGR01367', NULL, NULL, 3636, 16),
(197146, NULL, 'TIGR00212', NULL, NULL, 'hemC: hydroxymethylbilane synthase', NULL, 'TIGR00212', NULL, NULL, 3193, 16),
(197147, NULL, 'TIGR03852', NULL, NULL, 'sucrose_gtfA: sucrose phosphorylase', NULL, 'TIGR03852', NULL, NULL, 16910, 16),
(197148, NULL, 'TIGR00363', NULL, NULL, 'TIGR00363: lipoprotein, YaeC family', NULL, 'TIGR00363', NULL, NULL, 7138, 16),
(197149, NULL, 'TIGR00854', NULL, NULL, 'pts-sorbose: PTS system, mannose/fructose/sorbose family, IIB component', NULL, 'TIGR00854', NULL, NULL, 17793, 16),
(197150, NULL, 'TIGR04221', NULL, NULL, 'SecA2_Mycobac: accessory Sec system translocase SecA2', NULL, 'TIGR04221', NULL, NULL, 21910, 16),
(197151, NULL, 'TIGR01046', NULL, NULL, 'uS10_euk_arch: ribosomal protein uS10', NULL, 'TIGR01046', NULL, NULL, 4919, 16),
(197152, NULL, 'TIGR01707', NULL, NULL, 'gspI: type II secretion system protein I', NULL, 'TIGR01707', NULL, NULL, 5428, 16),
(197153, NULL, 'TIGR02718', NULL, NULL, 'sider_RhtX_FptX: siderophore transporter, RhtX/FptX family', NULL, 'TIGR02718', NULL, NULL, 14304, 16),
(197154, NULL, 'TIGR03191', NULL, NULL, 'benz_CoA_bzdO: benzoyl-CoA reductase, bzd-type, O subunit', NULL, 'TIGR03191', NULL, NULL, 16314, 16),
(197155, NULL, 'TIGR00035', NULL, NULL, 'asp_race: aspartate racemase', NULL, 'TIGR00035', NULL, NULL, 5639, 16),
(197156, NULL, 'TIGR04051', NULL, NULL, 'rSAM_NirJ: heme d1 biosynthesis radical SAM protein NirJ', NULL, 'TIGR04051', NULL, NULL, 18742, 16),
(197157, NULL, 'TIGR00677', NULL, NULL, 'fadh2_euk: methylenetetrahydrofolate reductase', NULL, 'TIGR00677', NULL, NULL, 2016, 16),
(197158, NULL, 'TIGR00998', NULL, NULL, '8a0101: efflux pump membrane protein', NULL, 'TIGR00998', NULL, NULL, 3995, 16),
(197159, NULL, 'TIGR00802', NULL, NULL, 'nico: transition metal uptake transporter, Ni2+-Co2+ transporter (NiCoT) family', NULL, 'TIGR00802', NULL, NULL, 3307, 16),
(197160, NULL, 'TIGR01440', NULL, NULL, 'TIGR01440: TIGR01440 family protein', NULL, 'TIGR01440', NULL, NULL, 4664, 16),
(197161, NULL, 'TIGR01697', NULL, NULL, 'PNPH-PUNA-XAPA: inosine/guanosine/xanthosine phosphorylase family', NULL, 'TIGR01697', NULL, NULL, 9525, 16),
(197162, NULL, 'TIGR01320', NULL, NULL, 'mal_quin_oxido: malate dehydrogenase (acceptor)', NULL, 'TIGR01320', NULL, NULL, 11370, 16);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197163, NULL, 'TIGR04018', NULL, NULL, 'Bthiol_YpdA: putative bacillithiol system oxidoreductase, YpdA family', NULL, 'TIGR04018', NULL, NULL, 8492, 16),
(197164, NULL, 'TIGR01200', NULL, NULL, 'GLPGLI: GLPGLI family protein', NULL, 'TIGR01200', NULL, NULL, 6633, 16),
(197165, NULL, 'TIGR03787', NULL, NULL, 'marine_sort_RR: proteobacterial dedicated sortase system response regulator', NULL, 'TIGR03787', NULL, NULL, 14197, 16),
(197166, NULL, 'TIGR04121', NULL, NULL, 'DEXH_lig_assoc: DEXH box helicase, DNA ligase-associated', NULL, 'TIGR04121', NULL, NULL, 24029, 16),
(197167, NULL, 'TIGR03410', NULL, NULL, 'urea_trans_UrtE: urea ABC transporter, ATP-binding protein UrtE', NULL, 'TIGR03410', NULL, NULL, 19110, 16),
(197168, NULL, 'TIGR04481', NULL, NULL, 'PR_assoc_PrdC: proline reductase-associated electron transfer protein PrdC', NULL, 'TIGR04481', NULL, NULL, 26705, 16),
(197169, NULL, 'TIGR02031', NULL, NULL, 'BchD-ChlD: magnesium chelatase ATPase subunit D', NULL, 'TIGR02031', NULL, NULL, 13117, 16),
(197170, NULL, 'TIGR04361', NULL, NULL, 'TrbK_Ti: entry exclusion protein TrbK', NULL, 'TIGR04361', NULL, NULL, 12491, 16),
(197171, NULL, 'TIGR03603', NULL, NULL, 'cyclo_dehy_ocin: thiazole/oxazole-forming peptide maturase, SagC family component', NULL, 'TIGR03603', NULL, NULL, 15449, 16),
(197172, NULL, 'TIGR01384', NULL, NULL, 'TFS_arch: transcription factor S', NULL, 'TIGR01384', NULL, NULL, 3969, 16),
(197173, NULL, 'TIGR02956', NULL, NULL, 'TMAO_torS: TMAO reductase sytem sensor TorS', NULL, 'TIGR02956', NULL, NULL, 9941, 16),
(197174, NULL, 'TIGR01513', NULL, NULL, 'NAPRTase_put: nicotinate phosphoribosyltransferase', NULL, 'TIGR01513', NULL, NULL, 5599, 16),
(197175, NULL, 'TIGR02391', NULL, NULL, 'hypoth_ymh: TIGR02391 family protein', NULL, 'TIGR02391', NULL, NULL, 10861, 16),
(197176, NULL, 'TIGR00793', NULL, NULL, 'kdgT: 2-keto-3-deoxygluconate transporter', NULL, 'TIGR00793', NULL, NULL, 20007, 16),
(197177, NULL, 'TIGR03916', NULL, NULL, 'rSAM_link_UDG: putative DNA modification/repair radical SAM protein', NULL, 'TIGR03916', NULL, NULL, 17290, 16),
(197178, NULL, 'TIGR04554', NULL, NULL, '3TM_mycoplas: three transmembrane helix protein', NULL, 'TIGR04554', NULL, NULL, 26636, 16),
(197179, NULL, 'TIGR00181', NULL, NULL, 'pepF: oligoendopeptidase F', NULL, 'TIGR00181', NULL, NULL, 7235, 16),
(197180, NULL, 'TIGR01191', NULL, NULL, 'ccmC: heme exporter protein CcmC', NULL, 'TIGR01191', NULL, NULL, 345, 16),
(197181, NULL, 'TIGR03474', NULL, NULL, 'incFII_RepA: incFII family plasmid replication initiator RepA', NULL, 'TIGR03474', NULL, NULL, 20380, 16),
(197182, NULL, 'TIGR01633', NULL, NULL, 'phi3626_gp14_N: putative phage tail component, N-terminal domain', NULL, 'TIGR01633', NULL, NULL, 66, 16),
(197183, NULL, 'TIGR02271', NULL, NULL, 'TIGR02271: conserved domain', NULL, 'TIGR02271', NULL, NULL, 16664, 16),
(197184, NULL, 'TIGR00986', NULL, NULL, '3a0801s05tom22: mitochondrial import receptor subunit', NULL, 'TIGR00986', NULL, NULL, 15983, 16),
(197185, NULL, 'TIGR02523', NULL, NULL, 'type_IV_pilV: type IV pilus modification protein PilV', NULL, 'TIGR02523', NULL, NULL, 18680, 16),
(197186, NULL, 'TIGR03723', NULL, NULL, 'T6A_TsaD_YgjD: tRNA threonylcarbamoyl adenosine modification protein TsaD', NULL, 'TIGR03723', NULL, NULL, 21597, 16),
(197187, NULL, 'TIGR02048', NULL, NULL, 'gshA_cyano: putative glutamate--cysteine ligase', NULL, 'TIGR02048', NULL, NULL, 13172, 16),
(197188, NULL, 'TIGR03281', NULL, NULL, 'methan_mark_12: putative methanogenesis marker protein 12', NULL, 'TIGR03281', NULL, NULL, 21856, 16),
(197189, NULL, 'TIGR02464', NULL, NULL, 'ribofla_fusion: conserved hypothetical protein', NULL, 'TIGR02464', NULL, NULL, 12606, 16),
(197190, NULL, 'TIGR04138', NULL, NULL, 'Plancto_Ver_chp: Verruc_Plancto-restricted protein', NULL, 'TIGR04138', NULL, NULL, 21857, 16),
(197191, NULL, 'TIGR00433', NULL, NULL, 'bioB: biotin synthase', NULL, 'TIGR00433', NULL, NULL, 2929, 16),
(197192, NULL, 'TIGR00374', NULL, NULL, 'TIGR00374: TIGR00374 family protein', NULL, 'TIGR00374', NULL, NULL, 17341, 16);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197193, NULL, 'TIGR03530', NULL, NULL, 'GldJ_short: gliding motility-associated lipoprotein GldJ', NULL, 'TIGR03530', NULL, NULL, 17405, 16),
(197194, NULL, 'TIGR02897', NULL, NULL, 'QoxC: cytochrome aa3 quinol oxidase, subunit III', NULL, 'TIGR02897', NULL, NULL, 11200, 16),
(197195, NULL, 'TIGR00430', NULL, NULL, 'Q_tRNA_tgt: tRNA-guanine transglycosylase', NULL, 'TIGR00430', NULL, NULL, 5698, 16),
(197196, NULL, 'TIGR00687', NULL, NULL, 'pyridox_kin: pyridoxal kinase', NULL, 'TIGR00687', NULL, NULL, 2375, 16),
(197197, NULL, 'TIGR01932', NULL, NULL, 'hflC: HflC protein', NULL, 'TIGR01932', NULL, NULL, 4314, 16),
(197198, NULL, 'TIGR00137', NULL, NULL, 'gid_trmFO: tRNA:m(5)U-54 methyltransferase', NULL, 'TIGR00137', NULL, NULL, 7257, 16),
(197199, NULL, 'TIGR02400', NULL, NULL, 'trehalose_OtsA: alpha,alpha-trehalose-phosphate synthase (UDP-forming)', NULL, 'TIGR02400', NULL, NULL, 10143, 16),
(197200, NULL, 'TIGR03128', NULL, NULL, 'RuMP_HxlA: 3-hexulose-6-phosphate synthase', NULL, 'TIGR03128', NULL, NULL, 15037, 16),
(197201, NULL, 'TIGR04540', NULL, NULL, 'CLB_0814_fam: conserved hypothetical protein', NULL, 'TIGR04540', NULL, NULL, 26756, 16),
(197202, NULL, 'TIGR03902', NULL, NULL, 'rhom_GG_sort: rhombosortase', NULL, 'TIGR03902', NULL, NULL, 9803, 16),
(197203, NULL, 'TIGR00240', NULL, NULL, 'ATCase_reg: aspartate carbamoyltransferase, regulatory subunit', NULL, 'TIGR00240', NULL, NULL, 4851, 16),
(197204, NULL, 'TIGR03161', NULL, NULL, 'ribazole_CobZ: alpha-ribazole phosphatase CobZ', NULL, 'TIGR03161', NULL, NULL, 16210, 16),
(197205, NULL, 'TIGR03351', NULL, NULL, 'PhnX-like: phosphonatase-like hydrolase', NULL, 'TIGR03351', NULL, NULL, 16429, 16),
(197206, NULL, 'TIGR01141', NULL, NULL, 'hisC: histidinol-phosphate transaminase', NULL, 'TIGR01141', NULL, NULL, 6617, 16),
(197207, NULL, 'TIGR02643', NULL, NULL, 'T_phosphoryl: thymidine phosphorylase', NULL, 'TIGR02643', NULL, NULL, 10121, 16),
(197208, NULL, 'TIGR04420', NULL, NULL, 'Sec_Non_Glob: Sec region non-globular protein', NULL, 'TIGR04420', NULL, NULL, 26400, 16),
(197209, NULL, 'TIGR00360', NULL, NULL, 'ComEC_N-term: ComEC/Rec2-related protein', NULL, 'TIGR00360', NULL, NULL, 7499, 16),
(197210, NULL, 'TIGR02833', NULL, NULL, 'spore_III_AB: stage III sporulation protein AB', NULL, 'TIGR02833', NULL, NULL, 8573, 16),
(197211, NULL, 'TIGR03058', NULL, NULL, 'rpt_csmH: chlorosome envelope protein H', NULL, 'TIGR03058', NULL, NULL, 13422, 16),
(197212, NULL, 'TIGR04434', NULL, NULL, 'rSAM_Pput_1520: B12-binding domain/radical SAM domain protein', NULL, 'TIGR04434', NULL, NULL, 26538, 16),
(197213, NULL, 'TIGR03424', NULL, NULL, 'urea_degr_1: urea carboxylase-associated protein 1', NULL, 'TIGR03424', NULL, NULL, 19055, 16),
(197214, NULL, 'TIGR00673', NULL, NULL, 'cynS: cyanase', NULL, 'TIGR00673', NULL, NULL, 6412, 16),
(197215, NULL, 'TIGR02092', NULL, NULL, 'glgD: glucose-1-phosphate adenylyltransferase, GlgD subunit', NULL, 'TIGR02092', NULL, NULL, 14191, 16),
(197216, NULL, 'TIGR00746', NULL, NULL, 'arcC: carbamate kinase', NULL, 'TIGR00746', NULL, NULL, 7409, 16),
(197217, NULL, 'TIGR00254', NULL, NULL, 'GGDEF: diguanylate cyclase (GGDEF) domain', NULL, 'TIGR00254', NULL, NULL, 1825, 16),
(197218, NULL, 'TIGR01756', NULL, NULL, 'LDH_protist: lactate dehydrogenase', NULL, 'TIGR01756', NULL, NULL, 9630, 16),
(197219, NULL, 'TIGR02584', NULL, NULL, 'cas_NE0113: CRISPR-associated protein, NE0113 family', NULL, 'TIGR02584', NULL, NULL, 9074, 16),
(197220, NULL, 'TIGR00936', NULL, NULL, 'ahcY: adenosylhomocysteinase', NULL, 'TIGR00936', NULL, NULL, 3724, 16),
(197221, NULL, 'TIGR02394', NULL, NULL, 'rpoS_proteo: RNA polymerase sigma factor RpoS', NULL, 'TIGR02394', NULL, NULL, 10116, 16),
(197222, NULL, 'TIGR02151', NULL, NULL, 'IPP_isom_2: isopentenyl-diphosphate delta-isomerase, type 2', NULL, 'TIGR02151', NULL, NULL, 11214, 16),
(197223, NULL, 'TIGR03653', NULL, NULL, 'uL6_arch: ribosomal protein uL6', NULL, 'TIGR03653', NULL, NULL, 12217, 16),
(197224, NULL, 'TIGR00503', NULL, NULL, 'prfC: peptide chain release factor 3', NULL, 'TIGR00503', NULL, NULL, 743, 16);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197225, NULL, 'TIGR01946', NULL, NULL, 'rnfD: electron transport complex, RnfABCDGE type, D subunit', NULL, 'TIGR01946', NULL, NULL, 12432, 16),
(197226, NULL, 'TIGR03843', NULL, NULL, 'TIGR03843: conserved hypothetical protein', NULL, 'TIGR03843', NULL, NULL, 15987, 16),
(197227, NULL, 'TIGR03594', NULL, NULL, 'GTPase_EngA: ribosome-associated GTPase EngA', NULL, 'TIGR03594', NULL, NULL, 15919, 16),
(197228, NULL, 'TIGR03784', NULL, NULL, 'marine_sortase: sortase, marine proteobacterial type', NULL, 'TIGR03784', NULL, NULL, 21400, 16),
(197229, NULL, 'TIGR02210', NULL, NULL, 'rodA_shape: rod shape-determining protein RodA', NULL, 'TIGR02210', NULL, NULL, 11377, 16),
(197230, NULL, 'TIGR00612', NULL, NULL, 'ispG_gcpE: 4-hydroxy-3-methylbut-2-en-1-yl diphosphate synthase', NULL, 'TIGR00612', NULL, NULL, 877, 16),
(197231, NULL, 'TIGR01250', NULL, NULL, 'pro_imino_pep_2: proline-specific peptidase', NULL, 'TIGR01250', NULL, NULL, 317, 16),
(197232, NULL, 'TIGR01887', NULL, NULL, 'dipeptidaselike: putative dipeptidase', NULL, 'TIGR01887', NULL, NULL, 2410, 16),
(197233, NULL, 'TIGR02285', NULL, NULL, 'TIGR02285: conserved hypothetical protein', NULL, 'TIGR02285', NULL, NULL, 11405, 16),
(197234, NULL, 'TIGR01130', NULL, NULL, 'ER_PDI_fam: protein disulfide isomerase', NULL, 'TIGR01130', NULL, NULL, 5726, 16),
(197235, NULL, 'TIGR03737', NULL, NULL, 'PRTRC_B: PRTRC system protein B', NULL, 'TIGR03737', NULL, NULL, 15865, 16),
(197236, NULL, 'TIGR03220', NULL, NULL, 'catechol_dmpE: 2-oxopent-4-enoate hydratase', NULL, 'TIGR03220', NULL, NULL, 16721, 16),
(197237, NULL, 'TIGR01647', NULL, NULL, 'ATPase-IIIA_H: plasma-membrane proton-efflux P-type ATPase', NULL, 'TIGR01647', NULL, NULL, 447, 16),
(197238, NULL, 'TIGR00732', NULL, NULL, 'dprA: DNA protecting protein DprA', NULL, 'TIGR00732', NULL, NULL, 6282, 16),
(197239, NULL, 'TIGR04375', NULL, NULL, 'cyano_w_EgtBD: hercynine metabolism protein', NULL, 'TIGR04375', NULL, NULL, 22175, 16),
(197240, NULL, 'TIGR04291', NULL, NULL, 'arsen_driv_ArsA: arsenical pump-driving ATPase', NULL, 'TIGR04291', NULL, NULL, 28651, 16),
(197241, NULL, 'TIGR00796', NULL, NULL, 'livcs: branched-chain amino acid transport system II carrier protein', NULL, 'TIGR00796', NULL, NULL, 3156, 16),
(197242, NULL, 'TIGR02098', NULL, NULL, 'MJ0042_CXXC: MJ0042 family finger-like domain', NULL, 'TIGR02098', NULL, NULL, 11367, 16),
(197243, NULL, 'TIGR02221', NULL, NULL, 'cas_TM1812: CRISPR-associated protein, TM1812 family', NULL, 'TIGR02221', NULL, NULL, 11653, 16),
(197244, NULL, 'TIGR01703', NULL, NULL, 'hybrid_clust: hydroxylamine reductase', NULL, 'TIGR01703', NULL, NULL, 5406, 16),
(197245, NULL, 'TIGR02101', NULL, NULL, 'IpaC_SipC: type III secretion target, IpaC/SipC family', NULL, 'TIGR02101', NULL, NULL, 7, 16),
(197246, NULL, 'TIGR00131', NULL, NULL, 'gal_kin: galactokinase', NULL, 'TIGR00131', NULL, NULL, 3749, 16),
(197247, NULL, 'TIGR03117', NULL, NULL, 'cas_csf4: CRISPR type AFERR-associated DEAD/DEAH-box helicase Csf4', NULL, 'TIGR03117', NULL, NULL, 15197, 16),
(197248, NULL, 'TIGR03773', NULL, NULL, 'anch_rpt_wall: putative ABC transporter-associated repeat protein', NULL, 'TIGR03773', NULL, NULL, 16244, 16),
(197249, NULL, 'TIGR03893', NULL, NULL, 'lant_SP_1948: type 2 lantibiotic, SP_1948 family', NULL, 'TIGR03893', NULL, NULL, 24048, 16),
(197250, NULL, 'TIGR03544', NULL, NULL, 'DivI1A_domain: DivIVA domain', NULL, 'TIGR03544', NULL, NULL, 18277, 16),
(197251, NULL, 'TIGR01767', NULL, NULL, 'MTRK: S-methyl-5-thioribose kinase', NULL, 'TIGR01767', NULL, NULL, 10941, 16),
(197252, NULL, 'TIGR04062', NULL, NULL, 'dnd_assoc_4: dnd system-associated protein 4', NULL, 'TIGR04062', NULL, NULL, 11587, 16),
(197253, NULL, 'TIGR03966', NULL, NULL, 'actino_HemFlav: heme/flavin dehydrogenase, mycofactocin system', NULL, 'TIGR03966', NULL, NULL, 11684, 16),
(197254, NULL, 'TIGR01574', NULL, NULL, 'miaB-methiolase: tRNA-i(6)A37 thiotransferase enzyme MiaB', NULL, 'TIGR01574', NULL, NULL, NULL, 16),
(197255, NULL, 'TIGR01935', NULL, NULL, 'NOT-MenG: RraA family', NULL, 'TIGR01935', NULL, NULL, 4162, 16);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197256, NULL, 'TIGR03664', NULL, NULL, 'fut_nucase: futalosine hydrolase', NULL, 'TIGR03664', NULL, NULL, 15793, 16),
(197257, NULL, 'TIGR01021', NULL, NULL, 'rpsE_bact: ribosomal protein uS5', NULL, 'TIGR01021', NULL, NULL, 3887, 16),
(197258, NULL, 'TIGR03091', NULL, NULL, 'SASP_sspK: small, acid-soluble spore protein K', NULL, 'TIGR03091', NULL, NULL, 9588, 16),
(197259, NULL, 'TIGR01876', NULL, NULL, 'cas_Cas5d: CRISPR-associated protein Cas5, subtype I-C/DVULG', NULL, 'TIGR01876', NULL, NULL, 10749, 16),
(197260, NULL, 'TIGR02693', NULL, NULL, 'arsenite_ox_L: arsenite oxidase, large subunit', NULL, 'TIGR02693', NULL, NULL, 13682, 16),
(197261, NULL, 'TIGR02847', NULL, NULL, 'CyoD: cytochrome o ubiquinol oxidase subunit IV', NULL, 'TIGR02847', NULL, NULL, 9299, 16),
(197262, NULL, 'TIGR02906', NULL, NULL, 'spore_CotS: spore coat protein, CotS family', NULL, 'TIGR02906', NULL, NULL, 11531, 16),
(197263, NULL, 'TIGR00310', NULL, NULL, 'ZPR1_znf: ZPR1 zinc finger domain', NULL, 'TIGR00310', NULL, NULL, 7057, 16),
(197264, NULL, 'TIGR01812', NULL, NULL, 'sdhA_frdA_Gneg: succinate dehydrogenase or fumarate reductase, flavoprotein subunit', NULL, 'TIGR01812', NULL, NULL, 12304, 16),
(197265, NULL, 'TIGR03952', NULL, NULL, 'metzin_BF0631: zinc-dependent metalloproteinase lipoprotein, BF0631 family', NULL, 'TIGR03952', NULL, NULL, 17066, 16),
(197266, NULL, 'TIGR03832', NULL, NULL, 'Tyr_2_3_mutase: tyrosine 2,3-aminomutase', NULL, 'TIGR03832', NULL, NULL, 15979, 16),
(197267, NULL, 'TIGR02330', NULL, NULL, 'prpD: 2-methylcitrate dehydratase', NULL, 'TIGR02330', NULL, NULL, 11762, 16),
(197268, NULL, 'TIGR04470', NULL, NULL, 'rSAM_mob_pairB: radical SAM mobile pair protein B', NULL, 'TIGR04470', NULL, NULL, 27681, 16),
(197269, NULL, 'TIGR00997', NULL, NULL, 'ispZ: intracellular septation protein A', NULL, 'TIGR00997', NULL, NULL, 1102, 16),
(197270, NULL, 'TIGR02450', NULL, NULL, 'TIGR02450: tryptophan-rich conserved hypothetical protein', NULL, 'TIGR02450', NULL, NULL, 10965, 16),
(197271, NULL, 'TIGR03485', NULL, NULL, 'cas_csx13_N: CRISPR-associated protein Cas8a1/Csx13, MYXAN subtype', NULL, 'TIGR03485', NULL, NULL, 15074, 16),
(197272, NULL, 'TIGR00017', NULL, NULL, 'cmk: cytidylate kinase', NULL, 'TIGR00017', NULL, NULL, 1740, 16),
(197273, NULL, 'TIGR00067', NULL, NULL, 'glut_race: glutamate racemase', NULL, 'TIGR00067', NULL, NULL, 5643, 16),
(197274, NULL, 'TIGR02037', NULL, NULL, 'degP_htrA_DO: peptidase Do', NULL, 'TIGR02037', NULL, NULL, 13020, 16),
(197275, NULL, 'TIGR01038', NULL, NULL, 'uL22_arch_euk: ribosomal protein uL22', NULL, 'TIGR01038', NULL, NULL, 4564, 16),
(197276, NULL, 'TIGR02967', NULL, NULL, 'guan_deamin: guanine deaminase', NULL, 'TIGR02967', NULL, NULL, 9748, 16),
(197277, NULL, 'TIGR03041', NULL, NULL, 'PS_antenn_a_b: chlorophyll a/b binding light-harvesting protein', NULL, 'TIGR03041', NULL, NULL, NULL, 16),
(197278, NULL, 'TIGR04543', NULL, NULL, 'ketoArg_3Met: 2-ketoarginine methyltransferase', NULL, 'TIGR04543', NULL, NULL, 26706, 16),
(197279, NULL, 'TIGR03421', NULL, NULL, 'FeS_CyaY: iron donor protein CyaY', NULL, 'TIGR03421', NULL, NULL, 6172, 16),
(197280, NULL, 'TIGR02573', NULL, NULL, 'LcrG_PcrG: type III secretion protein LcrG', NULL, 'TIGR02573', NULL, NULL, 14992, 16),
(197281, NULL, 'TIGR04196', NULL, NULL, 'glycopep_SunS: glycopeptide, sublancin family', NULL, 'TIGR04196', NULL, NULL, 27364, 16),
(197282, NULL, 'TIGR01996', NULL, NULL, 'PTS-II-BC-sucr: PTS system, sucrose-specific IIBC component', NULL, 'TIGR01996', NULL, NULL, 2030, 16),
(197283, NULL, 'TIGR00324', NULL, NULL, 'endA: tRNA-intron lyase', NULL, 'TIGR00324', NULL, NULL, 2113, 16),
(197284, NULL, 'TIGR01826', NULL, NULL, 'CofD_related: conserved hypothetical protein', NULL, 'TIGR01826', NULL, NULL, 10949, 16),
(197285, NULL, 'TIGR01071', NULL, NULL, 'rplO_bact: ribosomal protein uL15', NULL, 'TIGR01071', NULL, NULL, 4703, 16),
(197286, NULL, 'TIGR04012', NULL, NULL, 'poly_gGlu_PgsB: poly-gamma-glutamate synthase PgsB', NULL, 'TIGR04012', NULL, NULL, 7506, 16),
(197287, NULL, 'TIGR04484', NULL, NULL, 'thiosulf_SoxA: sulfur oxidation c-type cytochrome SoxA', NULL, 'TIGR04484', NULL, NULL, 28418, 16);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197288, NULL, 'TIGR04182', NULL, NULL, 'glyco_TIGR04182: glycosyltransferase, TIGR04182 family', NULL, 'TIGR04182', NULL, NULL, 24290, 16),
(197289, NULL, 'TIGR03846', NULL, NULL, 'sulfopy_beta: sulfopyruvate decarboxylase, beta subunit', NULL, 'TIGR03846', NULL, NULL, 16774, 16),
(197290, NULL, 'TIGR00553', NULL, NULL, 'pabB: aminodeoxychorismate synthase, component I', NULL, 'TIGR00553', NULL, NULL, 5956, 16),
(197291, NULL, 'TIGR01524', NULL, NULL, 'ATPase-IIIB_Mg: magnesium-translocating P-type ATPase', NULL, 'TIGR01524', NULL, NULL, 6746, 16),
(197292, NULL, 'TIGR02344', NULL, NULL, 'chap_CCT_gamma: T-complex protein 1, gamma subunit', NULL, 'TIGR02344', NULL, NULL, 11777, 16),
(197293, NULL, 'TIGR00494', NULL, NULL, 'crcB: protein CrcB', NULL, 'TIGR00494', NULL, NULL, 1798, 16),
(197294, NULL, 'TIGR00192', NULL, NULL, 'urease_beta: urease, beta subunit', NULL, 'TIGR00192', NULL, NULL, 2284, 16),
(197295, NULL, 'TIGR04300', NULL, NULL, 'exosort_XrtM: exosortase family protein XrtM', NULL, 'TIGR04300', NULL, NULL, 23766, 16),
(197296, NULL, 'TIGR03237', NULL, NULL, 'dnd_assoc_2: DNA phosphorothioation-dependent restriction protein DptH', NULL, 'TIGR03237', NULL, NULL, 16965, 16),
(197297, NULL, 'TIGR00251', NULL, NULL, 'TIGR00251: TIGR00251 family protein', NULL, 'TIGR00251', NULL, NULL, 11028, 16),
(197298, NULL, 'TIGR01753', NULL, NULL, 'flav_short: flavodoxin', NULL, 'TIGR01753', NULL, NULL, 2397, 16),
(197299, NULL, 'TIGR01694', NULL, NULL, 'MTAP: methylthioadenosine phosphorylase', NULL, 'TIGR01694', NULL, NULL, 5260, 16),
(197300, NULL, 'TIGR04241', NULL, NULL, 'adenoE3CR1rpt: mastadenovirus E3 CR1-alpha-1', NULL, 'TIGR04241', NULL, NULL, 27289, 16),
(197301, NULL, 'TIGR03008', NULL, NULL, 'pepcterm_CAAX: CAAX prenyl protease-related protein', NULL, 'TIGR03008', NULL, NULL, 11425, 16),
(197302, NULL, 'TIGR00385', NULL, NULL, 'dsbE: periplasmic protein thiol:disulfide oxidoreductases, DsbE subfamily', NULL, 'TIGR00385', NULL, NULL, 5651, 16),
(197303, NULL, 'TIGR03390', NULL, NULL, 'ascorbOXfungal: L-ascorbate oxidase', NULL, 'TIGR03390', NULL, NULL, 19242, 16),
(197304, NULL, 'TIGR00542', NULL, NULL, 'hxl6Piso_put: putative hexulose-6-phosphate isomerase', NULL, 'TIGR00542', NULL, NULL, 542, 16),
(197305, NULL, 'TIGR03270', NULL, NULL, 'methan_mark_4: putative methanogen marker protein 4', NULL, 'TIGR03270', NULL, NULL, 21950, 16),
(197306, NULL, 'TIGR00439', NULL, NULL, 'ftsX: putative protein insertion permease FtsX', NULL, 'TIGR00439', NULL, NULL, 1581, 16),
(197307, NULL, 'TIGR00559', NULL, NULL, 'pdxJ: pyridoxine 5''-phosphate synthase', NULL, 'TIGR00559', NULL, NULL, 754, 16),
(197308, NULL, 'TIGR02529', NULL, NULL, 'EutJ: ethanolamine utilization protein EutJ family protein', NULL, 'TIGR02529', NULL, NULL, 18805, 16),
(197309, NULL, 'TIGR02235', NULL, NULL, 'menA_cyano-plnt: 1,4-dihydroxy-2-naphthoate phytyltransferase', NULL, 'TIGR02235', NULL, NULL, 11331, 16),
(197310, NULL, 'TIGR00319', NULL, NULL, 'desulf_FeS4: desulfoferrodoxin FeS4 iron-binding domain', NULL, 'TIGR00319', NULL, NULL, 7487, 16),
(197311, NULL, 'TIGR04565', NULL, NULL, 'OMP_myx_plus: outer membrane beta-barrel protein', NULL, 'TIGR04565', NULL, NULL, 24857, 16),
(197312, NULL, 'TIGR03186', NULL, NULL, 'AKGDH_not_PDH: alpha-ketoglutarate dehydrogenase', NULL, 'TIGR03186', NULL, NULL, 16341, 16),
(197313, NULL, 'TIGR02475', NULL, NULL, 'CobW: cobalamin biosynthesis protein CobW', NULL, 'TIGR02475', NULL, NULL, 12960, 16),
(197314, NULL, 'TIGR02632', NULL, NULL, 'RhaD_aldol-ADH: rhamnulose-1-phosphate aldolase/alcohol dehydrogenase', NULL, 'TIGR02632', NULL, NULL, 9364, 16),
(197315, NULL, 'TIGR04325', NULL, NULL, 'MTase_LIC12133: putative methyltransferase, LIC12133 family', NULL, 'TIGR04325', NULL, NULL, 23756, 16),
(197316, NULL, 'TIGR01096', NULL, NULL, '3A0103s03R: lysine-arginine-ornithine-binding periplasmic protein', NULL, 'TIGR01096', NULL, NULL, 4615, 16),
(197317, NULL, 'TIGR02409', NULL, NULL, 'carnitine_bodg: gamma-butyrobetaine hydroxylase', NULL, 'TIGR02409', NULL, NULL, 10282, 16);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197318, NULL, 'TIGR01644', NULL, NULL, 'phage_P2_V: phage baseplate assembly protein V', NULL, 'TIGR01644', NULL, NULL, 8259, 16),
(197319, NULL, 'TIGR00126', NULL, NULL, 'deoC: deoxyribose-phosphate aldolase', NULL, 'TIGR00126', NULL, NULL, 9308, 16),
(197320, NULL, 'TIGR00072', NULL, NULL, 'hydrog_prot: hydrogenase maturation protease', NULL, 'TIGR00072', NULL, NULL, 3737, 16),
(197321, NULL, 'TIGR02355', NULL, NULL, 'moeB: molybdopterin synthase sulfurylase MoeB', NULL, 'TIGR02355', NULL, NULL, 11655, 16),
(197322, NULL, 'TIGR04445', NULL, NULL, 'preny_LynF_TruF: peptide O-prenyltransferase, LynF/TruF/PatF family', NULL, 'TIGR04445', NULL, NULL, 28014, 16),
(197323, NULL, 'TIGR01801', NULL, NULL, 'CM_A: chorismate mutase', NULL, 'TIGR01801', NULL, NULL, 1792, 16),
(197324, NULL, 'TIGR03734', NULL, NULL, 'PRTRC_parB: PRTRC system ParB family protein', NULL, 'TIGR03734', NULL, NULL, 16476, 16),
(197325, NULL, 'TIGR02042', NULL, NULL, 'sir: sulfite reductase, ferredoxin dependent', NULL, 'TIGR02042', NULL, NULL, 13049, 16),
(197326, NULL, 'TIGR02604', NULL, NULL, 'Piru_Ver_Nterm: putative membrane-bound dehydrogenase domain', NULL, 'TIGR02604', NULL, NULL, 9119, 16),
(197327, NULL, 'TIGR00855', NULL, NULL, 'L12: ribosomal protein bL12', NULL, 'TIGR00855', NULL, NULL, 3882, 16),
(197328, NULL, 'TIGR01921', NULL, NULL, 'DAP-DH: diaminopimelate dehydrogenase', NULL, 'TIGR01921', NULL, NULL, 4181, 16),
(197329, NULL, 'TIGR01211', NULL, NULL, 'ELP3: radical SAM enzyme/protein acetyltransferase, ELP3 family', NULL, 'TIGR01211', NULL, NULL, 35193, 16),
(197330, NULL, 'TIGR04007', NULL, NULL, 'wcaI: colanic acid biosynthesis glycosyltransferase WcaI', NULL, 'TIGR04007', NULL, NULL, 18726, 16),
(197331, NULL, 'TIGR02945', NULL, NULL, 'SUF_assoc: FeS assembly SUF system protein', NULL, 'TIGR02945', NULL, NULL, 9158, 16),
(197332, NULL, 'TIGR03301', NULL, NULL, 'PhnW-AepZ: 2-aminoethylphosphonate aminotransferase', NULL, 'TIGR03301', NULL, NULL, 11760, 16),
(197333, NULL, 'TIGR01588', NULL, NULL, 'citE: citrate (pro-3S)-lyase, beta subunit', NULL, 'TIGR01588', NULL, NULL, 6153, 16),
(197334, NULL, 'TIGR02595', NULL, NULL, 'PEP_exosort: PEP-CTERM protein-sorting domain', NULL, 'TIGR02595', NULL, NULL, 9404, 16),
(197335, NULL, 'TIGR00050', NULL, NULL, 'rRNA_methyl_1: RNA methyltransferase, TrmH family, group 1', NULL, 'TIGR00050', NULL, NULL, 5505, 16),
(197336, NULL, 'TIGR01552', NULL, NULL, 'phd_fam: prevent-host-death family protein', NULL, 'TIGR01552', NULL, NULL, NULL, 16),
(197337, NULL, 'TIGR02380', NULL, NULL, 'ECA_wecA: undecaprenyl-phosphate alpha-N-acetylglucosaminyl 1-phosphatetransferase', NULL, 'TIGR02380', NULL, NULL, 9928, 16),
(197338, NULL, 'TIGR03882', NULL, NULL, 'cyclo_dehyd_2: bacteriocin biosynthesis cyclodehydratase domain', NULL, 'TIGR03882', NULL, NULL, 15998, 16),
(197339, NULL, 'TIGR01672', NULL, NULL, 'AphA: HAD phosphatase, family IIIB', NULL, 'TIGR01672', NULL, NULL, 5233, 16),
(197340, NULL, 'TIGR02087', NULL, NULL, 'LEUD_arch: 3-isopropylmalate dehydratase, small subunit', NULL, 'TIGR02087', NULL, NULL, 14494, 16),
(197341, NULL, 'TIGR04350', NULL, NULL, 'C_S_lyase_PatB: putative C-S lyase', NULL, 'TIGR04350', NULL, NULL, 24422, 16),
(197342, NULL, 'TIGR00877', NULL, NULL, 'purD: phosphoribosylamine--glycine ligase', NULL, 'TIGR00877', NULL, NULL, 3560, 16),
(197343, NULL, 'TIGR02727', NULL, NULL, 'MTHFS_bact: 5-formyltetrahydrofolate cyclo-ligase', NULL, 'TIGR02727', NULL, NULL, 3941, 16),
(197344, NULL, 'TIGR02917', NULL, NULL, 'PEP_TPR_lipo: putative PEP-CTERM system TPR-repeat lipoprotein', NULL, 'TIGR02917', NULL, NULL, 11845, 16),
(197345, NULL, 'TIGR04230', NULL, NULL, 'seadorna_VP11: seadornavirus VP11 protein', NULL, 'TIGR04230', NULL, NULL, 23108, 16),
(197346, NULL, 'TIGR01345', NULL, NULL, 'malate_syn_G: malate synthase G', NULL, 'TIGR01345', NULL, NULL, 3566, 16),
(197347, NULL, 'TIGR03628', NULL, NULL, 'arch_S11P: ribosomal protein uS11', NULL, 'TIGR03628', NULL, NULL, 12637, 16),
(197348, NULL, 'TIGR04073', NULL, NULL, 'exo_TIGR04073: putative exosortase-associated protein, TIGR04073 family', NULL, 'TIGR04073', NULL, NULL, 9880, 16);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197349, NULL, 'TIGR00930', NULL, NULL, '2a30: K-Cl cotransporter', NULL, 'TIGR00930', NULL, NULL, 4183, 16),
(197350, NULL, 'TIGR04127', NULL, NULL, 'flavo_near_exo: exosortase F-associated protein', NULL, 'TIGR04127', NULL, NULL, 21704, 16),
(197351, NULL, 'TIGR03868', NULL, NULL, 'F420-O_ABCperi: proposed F420-0 ABC transporter, periplasmic F420-0 binding protein', NULL, 'TIGR03868', NULL, NULL, 21470, 16),
(197352, NULL, 'TIGR03988', NULL, NULL, 'antisig_RsrA: mycothiol system anti-sigma-R factor', NULL, 'TIGR03988', NULL, NULL, 11907, 16),
(197353, NULL, 'TIGR02931', NULL, NULL, 'anfK_nitrog: Fe-only nitrogenase, beta subunit', NULL, 'TIGR02931', NULL, NULL, 8925, 16),
(197354, NULL, 'TIGR01331', NULL, NULL, 'bisphos_cysQ: 3''(2''),5''-bisphosphate nucleotidase', NULL, 'TIGR01331', NULL, NULL, 3606, 16),
(197355, NULL, 'TIGR03896', NULL, NULL, 'cyc_nuc_ocin: bacteriocin-type transport-associated protein', NULL, 'TIGR03896', NULL, NULL, 18444, 16),
(197356, NULL, 'TIGR01225', NULL, NULL, 'hutH: histidine ammonia-lyase', NULL, 'TIGR01225', NULL, NULL, 321, 16),
(197357, NULL, 'TIGR04193', NULL, NULL, 'SPASM_w_grasp: SPASM domain peptide maturase, grasp-with-spasm system', NULL, 'TIGR04193', NULL, NULL, 24064, 16),
(197358, NULL, 'TIGR03292', NULL, NULL, 'PhnH_redo: phosphonate C-P lyase system protein PhnH', NULL, 'TIGR03292', NULL, NULL, 12146, 16),
(197359, NULL, 'TIGR02157', NULL, NULL, 'PA_CoA_Oxy2: phenylacetate-CoA oxygenase, PaaH subunit', NULL, 'TIGR02157', NULL, NULL, 14983, 16),
(197360, NULL, 'TIGR03659', NULL, NULL, 'IsdE: heme ABC transporter, heme-binding protein isdE', NULL, 'TIGR03659', NULL, NULL, 15439, 16),
(197361, NULL, 'TIGR00170', NULL, NULL, 'leuC: 3-isopropylmalate dehydratase, large subunit', NULL, 'TIGR00170', NULL, NULL, 7458, 16),
(197362, NULL, 'TIGR03346', NULL, NULL, 'chaperone_ClpB: ATP-dependent chaperone protein ClpB', NULL, 'TIGR03346', NULL, NULL, 18756, 16),
(197363, NULL, 'TIGR04322', NULL, NULL, 'rSAM_QueE_Ecoli: putative 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', NULL, 'TIGR04322', NULL, NULL, 26961, 16),
(197364, NULL, 'TIGR01016', NULL, NULL, 'sucCoAbeta: succinate-CoA ligase, beta subunit', NULL, 'TIGR01016', NULL, NULL, 5812, 16),
(197365, NULL, 'TIGR02112', NULL, NULL, 'cyd_oper_ybgE: cyd operon protein YbgE', NULL, 'TIGR02112', NULL, NULL, 14312, 16),
(197366, NULL, 'TIGR01082', NULL, NULL, 'murC: UDP-N-acetylmuramate--L-alanine ligase', NULL, 'TIGR01082', NULL, NULL, 4748, 16),
(197367, NULL, 'TIGR01881', NULL, NULL, 'cas_Cmr5: CRISPR type III-B/RAMP module-associated protein Cmr5', NULL, 'TIGR01881', NULL, NULL, 10966, 16),
(197368, NULL, 'TIGR00006', NULL, NULL, 'TIGR00006: 16S rRNA (cytosine(1402)-N(4))-methyltransferase', NULL, 'TIGR00006', NULL, NULL, 6246, 16),
(197369, NULL, 'TIGR00634', NULL, NULL, 'recN: DNA repair protein RecN', NULL, 'TIGR00634', NULL, NULL, 597, 16),
(197370, NULL, 'TIGR04029', NULL, NULL, 'CMD_Avi_7170: CMD domain protein, Avi_7170 family', NULL, 'TIGR04029', NULL, NULL, 11510, 16),
(197371, NULL, 'TIGR03614', NULL, NULL, 'RutB: pyrimidine utilization protein B', NULL, 'TIGR03614', NULL, NULL, 15161, 16),
(197372, NULL, 'TIGR01658', NULL, NULL, 'EYA-cons_domain: EYA conserved domain', NULL, 'TIGR01658', NULL, NULL, 366, 16),
(197373, NULL, 'TIGR00399', NULL, NULL, 'metG_C_term: methionine--tRNA ligase, beta subunit', NULL, 'TIGR00399', NULL, NULL, 1592, 16),
(197374, NULL, 'TIGR02891', NULL, NULL, 'CtaD_CoxA: cytochrome c oxidase, subunit I', NULL, 'TIGR02891', NULL, NULL, 10533, 16),
(197375, NULL, 'TIGR00975', NULL, NULL, '3a0107s03: phosphate ABC transporter, phosphate-binding protein PstS', NULL, 'TIGR00975', NULL, NULL, 3940, 16),
(197376, NULL, 'TIGR02649', NULL, NULL, 'true_RNase_BN: ribonuclease BN', NULL, 'TIGR02649', NULL, NULL, 10138, 16),
(197377, NULL, 'TIGR01907', NULL, NULL, 'casE_Cse3: CRISPR-associated protein Cas6/Cse3/CasE, subtype I-E/ECOLI', NULL, 'TIGR01907', NULL, NULL, 4130, 16),
(197378, NULL, 'TIGR02341', NULL, NULL, 'chap_CCT_beta: T-complex protein 1, beta subunit', NULL, 'TIGR02341', NULL, NULL, 11672, 16);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197379, NULL, 'TIGR00195', NULL, NULL, 'exoDNase_III: exodeoxyribonuclease III', NULL, 'TIGR00195', NULL, NULL, NULL, 16),
(197380, NULL, 'TIGR02822', NULL, NULL, 'adh_fam_2: zinc-binding alcohol dehydrogenase family protein', NULL, 'TIGR02822', NULL, NULL, 8840, 16),
(197381, NULL, 'TIGR03977', NULL, NULL, 'rSAM_pair_HxsC: His-Xaa-Ser system radical SAM maturase HxsC', NULL, 'TIGR03977', NULL, NULL, 8810, 16),
(197382, NULL, 'TIGR01093', NULL, NULL, 'aroD: 3-dehydroquinate dehydratase, type I', NULL, 'TIGR01093', NULL, NULL, 6674, 16),
(197383, NULL, 'TIGR01990', NULL, NULL, 'bPGM: beta-phosphoglucomutase', NULL, 'TIGR01990', NULL, NULL, 2158, 16),
(197384, NULL, 'TIGR01147', NULL, NULL, 'V_ATP_synt_G: V-type ATPase, G subunit', NULL, 'TIGR01147', NULL, NULL, 7076, 16),
(197385, NULL, 'TIGR03063', NULL, NULL, 'srtB_target: sortase B cell surface sorting signal', NULL, 'TIGR03063', NULL, NULL, 21736, 16),
(197386, NULL, 'TIGR03097', NULL, NULL, 'PEP_O_lig_1: probable O-glycosylation ligase, exosortase A-associated', NULL, 'TIGR03097', NULL, NULL, 15473, 16),
(197387, NULL, 'TIGR04311', NULL, NULL, 'rSAM_Geo_metal: putative metalloenzyme radical SAM/SPASM domain maturase', NULL, 'TIGR04311', NULL, NULL, 23014, 16),
(197388, NULL, 'TIGR01027', NULL, NULL, 'proB: glutamate 5-kinase', NULL, 'TIGR01027', NULL, NULL, 3989, 16),
(197389, NULL, 'TIGR01454', NULL, NULL, 'AHBA_synth_RP: AHBA synthesis associated protein', NULL, 'TIGR01454', NULL, NULL, 4614, 16),
(197390, NULL, 'TIGR03857', NULL, NULL, 'F420_MSMEG_2249: probable F420-dependent oxidoreductase, MSMEG_2249 family', NULL, 'TIGR03857', NULL, NULL, 16130, 16),
(197391, NULL, 'TIGR02702', NULL, NULL, 'SufR_cyano: iron-sulfur cluster biosynthesis transcriptional regulator SufR', NULL, 'TIGR02702', NULL, NULL, 13868, 16),
(197392, NULL, 'TIGR03226', NULL, NULL, 'PhnU: 2-aminoethylphosphonate ABC transporter, permease protein', NULL, 'TIGR03226', NULL, NULL, 16888, 16),
(197393, NULL, 'TIGR02232', NULL, NULL, 'myxo_disulf_rpt: Myxococcus cysteine-rich repeat', NULL, 'TIGR02232', NULL, NULL, 11161, 16),
(197394, NULL, 'TIGR01136', NULL, NULL, 'cysKM: cysteine synthase', NULL, 'TIGR01136', NULL, NULL, 6775, 16),
(197395, NULL, 'TIGR01683', NULL, NULL, 'thiS: thiamine biosynthesis protein ThiS', NULL, 'TIGR01683', NULL, NULL, 5247, 16),
(197396, NULL, 'TIGR01443', NULL, NULL, 'intein_Cterm: intein C-terminal splicing region', NULL, 'TIGR01443', NULL, NULL, 22050, 16),
(197397, NULL, 'TIGR02598', NULL, NULL, 'TIGR02598: Verru_Chthon cassette protein B', NULL, 'TIGR02598', NULL, NULL, 15567, 16),
(197398, NULL, 'TIGR02713', NULL, NULL, 'allophanate_hyd: allophanate hydrolase', NULL, 'TIGR02713', NULL, NULL, 14138, 16),
(197399, NULL, 'TIGR00528', NULL, NULL, 'gcvT: glycine cleavage system T protein', NULL, 'TIGR00528', NULL, NULL, 11168, 16),
(197400, NULL, 'TIGR03533', NULL, NULL, 'L3_gln_methyl: protein-(glutamine-N5) methyltransferase, ribosomal protein L3-specific', NULL, 'TIGR03533', NULL, NULL, 20704, 16),
(197401, NULL, 'TIGR01778', NULL, NULL, 'TonB-copper: TonB-dependent copper receptor', NULL, 'TIGR01778', NULL, NULL, 2352, 16),
(197402, NULL, 'TIGR00623', NULL, NULL, 'sula: cell division inhibitor SulA', NULL, 'TIGR00623', NULL, NULL, 828, 16),
(197403, NULL, 'TIGR03625', NULL, NULL, 'L3_bact: 50S ribosomal protein uL3', NULL, 'TIGR03625', NULL, NULL, 15368, 16),
(197404, NULL, 'TIGR00852', NULL, NULL, 'pts-Glc: PTS system, maltose and glucose-specific subfamily, IIC component', NULL, 'TIGR00852', NULL, NULL, 3691, 16),
(197405, NULL, 'TIGR03052', NULL, NULL, 'PS_I_psaI: photosystem I reaction center subunit VIII', NULL, 'TIGR03052', NULL, NULL, 242, 16),
(197406, NULL, 'TIGR00757', NULL, NULL, 'RNaseEG: ribonuclease, Rne/Rng family', NULL, 'TIGR00757', NULL, NULL, 2720, 16),
(197407, NULL, 'TIGR01499', NULL, NULL, 'folC: bifunctional protein FolC', NULL, 'TIGR01499', NULL, NULL, 3222, 16),
(197408, NULL, 'TIGR03762', NULL, NULL, 'archaeo_artC: archaeosortase C', NULL, 'TIGR03762', NULL, NULL, 16835, 16),
(197409, NULL, 'TIGR02260', NULL, NULL, 'benz_CoA_red_B: benzoyl-CoA reductase, subunit B', NULL, 'TIGR02260', NULL, NULL, 11287, 16);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197410, NULL, 'TIGR00637', NULL, NULL, 'ModE_repress: ModE molybdate transport repressor domain', NULL, 'TIGR00637', NULL, NULL, 2359, 16),
(197411, NULL, 'TIGR01379', NULL, NULL, 'thiL: thiamine-phosphate kinase', NULL, 'TIGR01379', NULL, NULL, 3670, 16),
(197412, NULL, 'TIGR01792', NULL, NULL, 'urease_alph: urease, alpha subunit', NULL, 'TIGR01792', NULL, NULL, 5863, 16),
(197413, NULL, 'TIGR03642', NULL, NULL, 'cas_csx14: CRISPR-associated protein, Csx14 family', NULL, 'TIGR03642', NULL, NULL, 15528, 16),
(197414, NULL, 'TIGR04216', NULL, NULL, 'halo_surf_glyco: major cell surface glycoprotein', NULL, 'TIGR04216', NULL, NULL, 24296, 16),
(197415, NULL, 'TIGR03349', NULL, NULL, 'IV_VI_DotU: type IV/VI secretion system protein, DotU family', NULL, 'TIGR03349', NULL, NULL, 18931, 16),
(197416, NULL, 'TIGR03295', NULL, NULL, 'frhA: coenzyme F420 hydrogenase, subunit alpha', NULL, 'TIGR03295', NULL, NULL, 17538, 16),
(197417, NULL, 'TIGR02140', NULL, NULL, 'permease_CysW: sulfate ABC transporter, permease protein CysW', NULL, 'TIGR02140', NULL, NULL, 14440, 16),
(197418, NULL, 'TIGR00290', NULL, NULL, 'MJ0570_dom: MJ0570-related uncharacterized domain', NULL, 'TIGR00290', NULL, NULL, 4004, 16),
(197419, NULL, 'TIGR00651', NULL, NULL, 'pta: phosphate acetyltransferase', NULL, 'TIGR00651', NULL, NULL, 2020, 16),
(197420, NULL, 'TIGR00396', NULL, NULL, 'leuS_bact: leucine--tRNA ligase', NULL, 'TIGR00396', NULL, NULL, 6756, 16),
(197421, NULL, 'TIGR03505', NULL, NULL, 'FimV_core: FimV N-terminal domain', NULL, 'TIGR03505', NULL, NULL, 17568, 16),
(197422, NULL, 'TIGR02758', NULL, NULL, 'TraA_TIGR: type IV conjugative transfer system pilin TraA', NULL, 'TIGR02758', NULL, NULL, 7792, 16),
(197423, NULL, 'TIGR00514', NULL, NULL, 'accC: acetyl-CoA carboxylase, biotin carboxylase subunit', NULL, 'TIGR00514', NULL, NULL, 947, 16),
(197424, NULL, 'TIGR01256', NULL, NULL, 'modA: molybdate ABC transporter, periplasmic molybdate-binding protein', NULL, 'TIGR01256', NULL, NULL, 67, 16),
(197425, NULL, 'TIGR00743', NULL, NULL, 'TIGR00743: conserved hypothetical protein', NULL, 'TIGR00743', NULL, NULL, 4234, 16),
(197426, NULL, 'TIGR01898', NULL, NULL, 'cas_TM1791_cmr6: CRISPR type III-B/RAMP module RAMP protein Cmr6', NULL, 'TIGR01898', NULL, NULL, 10587, 16),
(197427, NULL, 'TIGR04247', NULL, NULL, 'NosD_copper_fam: nitrous oxide reductase family maturation protein NosD', NULL, 'TIGR04247', NULL, NULL, 27249, 16),
(197428, NULL, 'TIGR03106', NULL, NULL, 'trio_M42_hydro: hydrolase, peptidase M42 family', NULL, 'TIGR03106', NULL, NULL, 15027, 16),
(197429, NULL, 'TIGR02489', NULL, NULL, 'flgE_epsilon: flagellar hook protein FlgE', NULL, 'TIGR02489', NULL, NULL, 12864, 16),
(197430, NULL, 'TIGR01334', NULL, NULL, 'modD: modD protein', NULL, 'TIGR01334', NULL, NULL, 3640, 16),
(197431, NULL, 'TIGR03172', NULL, NULL, 'TIGR03172: putative selenium-dependent hydroxylase accessory protein YqeC', NULL, 'TIGR03172', NULL, NULL, 16288, 16),
(197432, NULL, 'TIGR04202', NULL, NULL, 'capSnatchArena: RNA endonuclease, cap-snatching', NULL, 'TIGR04202', NULL, NULL, NULL, 16),
(197433, NULL, 'TIGR02836', NULL, NULL, 'spore_IV_A: stage IV sporulation protein A', NULL, 'TIGR02836', NULL, NULL, 9111, 16),
(197434, NULL, 'TIGR04431', NULL, NULL, 'N6_acetyl_AAC6: aminoglycoside N(6'')-acetyltransferase, AacA4 family', NULL, 'TIGR04431', NULL, NULL, 27256, 16),
(197435, NULL, 'TIGR02246', NULL, NULL, 'TIGR02246: conserved hypothetical protein', NULL, 'TIGR02246', NULL, NULL, 11053, 16),
(197436, NULL, 'TIGR00061', NULL, NULL, 'L21: ribosomal protein bL21', NULL, 'TIGR00061', NULL, NULL, 4081, 16),
(197437, NULL, 'TIGR01910', NULL, NULL, 'DapE-ArgE: peptidase, ArgE/DapE family', NULL, 'TIGR01910', NULL, NULL, 4157, 16),
(197438, NULL, 'TIGR03748', NULL, NULL, 'conj_PilL: integrating conjugative element protein PilL, PFGI-1 class', NULL, 'TIGR03748', NULL, NULL, 15624, 16),
(197439, NULL, 'TIGR01563', NULL, NULL, 'gp16_SPP1: putative phage head-tail adaptor', NULL, 'TIGR01563', NULL, NULL, 12260, 16),
(197440, NULL, 'TIGR02389', NULL, NULL, 'RNA_pol_rpoA2: DNA-directed RNA polymerase, subunit A''''', NULL, 'TIGR02389', NULL, NULL, 9757, 16);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197441, NULL, 'TIGR04479', NULL, NULL, 'bcpD_PhpK_rSAM: radical SAM P-methyltransferase, PhpK family', NULL, 'TIGR04479', NULL, NULL, 26702, 16),
(197442, NULL, 'TIGR04415', NULL, NULL, 'O_hepto_targRPT: autotransporter passenger strand-loop-strand repeat', NULL, 'TIGR04415', NULL, NULL, 28316, 16),
(197443, NULL, 'TIGR03991', NULL, NULL, 'alt_bact_glmU: UDP-N-acetylglucosamine diphosphorylase/glucosamine-1-phosphate N-acetyltransferase', NULL, 'TIGR03991', NULL, NULL, 18956, 16),
(197444, NULL, 'TIGR00838', NULL, NULL, 'argH: argininosuccinate lyase', NULL, 'TIGR00838', NULL, NULL, 6128, 16),
(197445, NULL, 'TIGR01043', NULL, NULL, 'ATP_syn_A_arch: ATP synthase archaeal, A subunit', NULL, 'TIGR01043', NULL, NULL, 4865, 16),
(197446, NULL, 'TIGR01438', NULL, NULL, 'TGR: thioredoxin and glutathione reductase', NULL, 'TIGR01438', NULL, NULL, 4897, 16),
(197447, NULL, 'TIGR03446', NULL, NULL, 'mycothiol_Mca: mycothiol conjugate amidase Mca', NULL, 'TIGR03446', NULL, NULL, 19904, 16),
(197448, NULL, 'TIGR03133', NULL, NULL, 'malonate_beta: biotin-independent malonate decarboxylase, beta subunit', NULL, 'TIGR03133', NULL, NULL, 15493, 16),
(197449, NULL, 'TIGR04157', NULL, NULL, 'glyco_rSAM_CFB: glycosyltransferase, GG-Bacteroidales peptide system', NULL, 'TIGR04157', NULL, NULL, 21975, 16),
(197450, NULL, 'TIGR01356', NULL, NULL, 'aroA: 3-phosphoshikimate 1-carboxyvinyltransferase', NULL, 'TIGR01356', NULL, NULL, 3501, 16),
(197451, NULL, 'TIGR02799', NULL, NULL, 'thio_ybgC: tol-pal system-associated acyl-CoA thioesterase', NULL, 'TIGR02799', NULL, NULL, 8554, 16),
(197452, NULL, 'TIGR03759', NULL, NULL, 'conj_TIGR03759: integrating conjugative element protein, PFL_4693 family', NULL, 'TIGR03759', NULL, NULL, 15874, 16),
(197453, NULL, 'TIGR04046', NULL, NULL, 'MSMEG_0569_nitr: flavin-dependent oxidoreductase, MSMEG_0569 family', NULL, 'TIGR04046', NULL, NULL, 15034, 16),
(197454, NULL, 'TIGR04397', NULL, NULL, 'SecA2_Bac_anthr: accessory Sec system translocase SecA2', NULL, 'TIGR04397', NULL, NULL, 26523, 16),
(197455, NULL, 'TIGR01549', NULL, NULL, 'HAD-SF-IA-v1: HAD hydrolase, family IA, variant 1', NULL, 'TIGR01549', NULL, NULL, 6898, 16),
(197456, NULL, 'TIGR02559', NULL, NULL, 'HrpB7: type III secretion protein HrpB7', NULL, 'TIGR02559', NULL, NULL, 11812, 16),
(197457, NULL, 'TIGR01669', NULL, NULL, 'phage_XkdX: phage uncharacterized protein, XkdX family', NULL, 'TIGR01669', NULL, NULL, 5095, 16),
(197458, NULL, 'TIGR04286', NULL, NULL, 'MSEP-CTERM: MSEP-CTERM protein', NULL, 'TIGR04286', NULL, NULL, 28701, 16),
(197459, NULL, 'TIGR00469', NULL, NULL, 'pheS_mito: phenylalanine--tRNA ligase', NULL, 'TIGR00469', NULL, NULL, 1849, 16),
(197460, NULL, 'TIGR03036', NULL, NULL, 'trp_2_3_diox: tryptophan 2,3-dioxygenase', NULL, 'TIGR03036', NULL, NULL, 21414, 16),
(197461, NULL, 'TIGR02196', NULL, NULL, 'GlrX_YruB: glutaredoxin-like protein, YruB-family', NULL, 'TIGR02196', NULL, NULL, 12375, 16),
(197462, NULL, 'TIGR03871', NULL, NULL, 'ABC_peri_MoxJ_2: quinoprotein dehydrogenase-associated probable ABC transporter substrate-binding protein', NULL, 'TIGR03871', NULL, NULL, 16256, 16),
(197463, NULL, 'TIGR02981', NULL, NULL, 'phageshock_pspE: phage shock operon rhodanese PspE', NULL, 'TIGR02981', NULL, NULL, 9526, 16),
(197464, NULL, 'TIGR01781', NULL, NULL, 'Trep_dent_lipo: Treponema denticola clustered lipoprotein', NULL, 'TIGR01781', NULL, NULL, 2384, 16),
(197465, NULL, 'TIGR00891', NULL, NULL, '2A0112: MFS transporter, sialate:H+ symporter (SHS) family', NULL, 'TIGR00891', NULL, NULL, 5219, 16),
(197466, NULL, 'TIGR04102', NULL, NULL, 'SWIM_PBPRA1643: SWIM/SEC-C metal-binding motif protein, PBPRA1643 family', NULL, 'TIGR04102', NULL, NULL, 24369, 16),
(197467, NULL, 'TIGR02366', NULL, NULL, 'DHAK_reg: probable dihydroxyacetone kinase regulator', NULL, 'TIGR02366', NULL, NULL, 9437, 16),
(197468, NULL, 'TIGR01116', NULL, NULL, 'ATPase-IIA1_Ca: calcium-translocating P-type ATPase, SERCA-type', NULL, 'TIGR01116', NULL, NULL, 5511, 16),
(197469, NULL, 'TIGR01951', NULL, NULL, 'nusB: transcription antitermination factor NusB', NULL, 'TIGR01951', NULL, NULL, 11421, 16);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197470, NULL, 'TIGR02012', NULL, NULL, 'tigrfam_recA: protein RecA', NULL, 'TIGR02012', NULL, NULL, 7617, 16),
(197471, NULL, 'TIGR01807', NULL, NULL, 'CM_P2: chorismate mutase', NULL, 'TIGR01807', NULL, NULL, 2044, 16),
(197472, NULL, 'TIGR03206', NULL, NULL, 'benzo_BadH: 2-hydroxycyclohexanecarboxyl-CoA dehydrogenase', NULL, 'TIGR03206', NULL, NULL, 16032, 16),
(197473, NULL, 'TIGR00299', NULL, NULL, 'TIGR00299: TIGR00299 family protein', NULL, 'TIGR00299', NULL, NULL, 6448, 16),
(197474, NULL, 'TIGR01365', NULL, NULL, 'serC_2: phosphoserine aminotransferase', NULL, 'TIGR01365', NULL, NULL, 3703, 16),
(197475, NULL, 'TIGR01002', NULL, NULL, 'hlyII: beta-channel forming cytolysin', NULL, 'TIGR01002', NULL, NULL, 7171, 16),
(197476, NULL, 'TIGR01535', NULL, NULL, 'glucan_glucosid: glucan 1,4-alpha-glucosidase', NULL, 'TIGR01535', NULL, NULL, 6502, 16),
(197477, NULL, 'TIGR03692', NULL, NULL, 'ATP_dep_HslV: ATP-dependent protease HslVU, peptidase subunit', NULL, 'TIGR03692', NULL, NULL, 15820, 16),
(197478, NULL, 'TIGR03399', NULL, NULL, 'RNA_3prim_cycl: RNA 3''-phosphate cyclase', NULL, 'TIGR03399', NULL, NULL, 19430, 16),
(197479, NULL, 'TIGR03589', NULL, NULL, 'PseB: UDP-N-acetylglucosamine 4,6-dehydratase (inverting)', NULL, 'TIGR03589', NULL, NULL, 12101, 16),
(197480, NULL, 'TIGR00033', NULL, NULL, 'aroC: chorismate synthase', NULL, 'TIGR00033', NULL, NULL, 6697, 16),
(197481, NULL, 'TIGR01901', NULL, NULL, 'adhes_NPXG: filamentous hemagglutinin family N-terminal domain', NULL, 'TIGR01901', NULL, NULL, 14326, 16),
(197482, NULL, 'TIGR03405', NULL, NULL, 'Phn_Fe-ADH: phosphonate metabolism-associated iron-containing alcohol dehydrogenase', NULL, 'TIGR03405', NULL, NULL, 19076, 16),
(197483, NULL, 'TIGR02741', NULL, NULL, 'TraQ: type-F conjugative transfer system pilin chaperone TraQ', NULL, 'TIGR02741', NULL, NULL, 13792, 16),
(197484, NULL, 'TIGR01186', NULL, NULL, 'proV: glycine betaine/L-proline transport ATP binding subunit', NULL, 'TIGR01186', NULL, NULL, 6728, 16),
(197485, NULL, 'TIGR00727', NULL, NULL, 'ISP4_OPT: small oligopeptide transporter, OPT family', NULL, 'TIGR00727', NULL, NULL, 2588, 16),
(197486, NULL, 'TIGR00668', NULL, NULL, 'apaH: bis(5''-nucleosyl)-tetraphosphatase (symmetrical)', NULL, 'TIGR00668', NULL, NULL, 2300, 16),
(197487, NULL, 'TIGR02504', NULL, NULL, 'NrdJ_Z: ribonucleoside-diphosphate reductase, adenosylcobalamin-dependent', NULL, 'TIGR02504', NULL, NULL, 18955, 16),
(197488, NULL, 'TIGR01102', NULL, NULL, 'yscR: type III secretion apparatus protein, YscR/HrcR family', NULL, 'TIGR01102', NULL, NULL, 4533, 16),
(197489, NULL, 'TIGR03215', NULL, NULL, 'ac_ald_DH_ac: acetaldehyde dehydrogenase (acetylating)', NULL, 'TIGR03215', NULL, NULL, 4027, 16),
(197490, NULL, 'TIGR02067', NULL, NULL, 'his_9_HisN: histidinol-phosphatase', NULL, 'TIGR02067', NULL, NULL, 13051, 16),
(197491, NULL, 'TIGR03718', NULL, NULL, 'R_switched_Alx: integral membrane protein, TerC family', NULL, 'TIGR03718', NULL, NULL, 17427, 16),
(197492, NULL, 'TIGR00830', NULL, NULL, 'PTBA: PTS system, glucose subfamily, IIA component', NULL, 'TIGR00830', NULL, NULL, 1892, 16),
(197493, NULL, 'TIGR03077', NULL, NULL, 'not_gcvH: glycine cleavage protein H-like protein', NULL, 'TIGR03077', NULL, NULL, 21862, 16),
(197494, NULL, 'TIGR03528', NULL, NULL, '2_3_DAP_am_ly: diaminopropionate ammonia-lyase', NULL, 'TIGR03528', NULL, NULL, 17073, 16),
(197495, NULL, 'TIGR04356', NULL, NULL, 'grasp_GAK: ATP-grasp enzyme, GAK system', NULL, 'TIGR04356', NULL, NULL, 24368, 16),
(197496, NULL, 'TIGR00419', NULL, NULL, 'tim: triose-phosphate isomerase', NULL, 'TIGR00419', NULL, NULL, 4335, 16),
(197497, NULL, 'TIGR01737', NULL, NULL, 'FGAM_synth_I: phosphoribosylformylglycinamidine synthase I', NULL, 'TIGR01737', NULL, NULL, 2314, 16),
(197498, NULL, 'TIGR02688', NULL, NULL, 'TIGR02688: TIGR02688 family protein', NULL, 'TIGR02688', NULL, NULL, 13607, 16),
(197499, NULL, 'TIGR03862', NULL, NULL, 'flavo_PP4765: flavoprotein, TIGR03862 family', NULL, 'TIGR03862', NULL, NULL, 16489, 16),
(197500, NULL, 'TIGR01848', NULL, NULL, 'PHA_reg_PhaR: polyhydroxyalkanoate synthesis repressor PhaR', NULL, 'TIGR01848', NULL, NULL, 10535, 16);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197501, NULL, 'TIGR02911', NULL, NULL, 'sulfite_red_B: sulfite reductase, subunit B', NULL, 'TIGR02911', NULL, NULL, 11615, 16),
(197502, NULL, 'TIGR00156', NULL, NULL, 'TIGR00156: TIGR00156 family protein', NULL, 'TIGR00156', NULL, NULL, 9067, 16),
(197503, NULL, 'TIGR00346', NULL, NULL, 'azlC: azaleucine resistance protein AzlC', NULL, 'TIGR00346', NULL, NULL, 7022, 16),
(197504, NULL, 'TIGR03496', NULL, NULL, 'FliI_clade1: flagellar protein export ATPase FliI', NULL, 'TIGR03496', NULL, NULL, 17031, 16),
(197505, NULL, 'TIGR00235', NULL, NULL, 'udk: uridine kinase', NULL, 'TIGR00235', NULL, NULL, 3897, 16),
(197506, NULL, 'TIGR04225', NULL, NULL, 'CshA_fibril_rpt: CshA-type fibril repeat', NULL, 'TIGR04225', NULL, NULL, 21744, 16),
(197507, NULL, 'TIGR01678', NULL, NULL, 'FAD_lactone_ox: sugar 1,4-lactone oxidases', NULL, 'TIGR01678', NULL, NULL, 28114, 16),
(197508, NULL, 'TIGR02053', NULL, NULL, 'MerA: mercury(II) reductase', NULL, 'TIGR02053', NULL, NULL, 19541, 16),
(197509, NULL, 'TIGR02852', NULL, NULL, 'spore_dpaB: dipicolinic acid synthetase, B subunit', NULL, 'TIGR02852', NULL, NULL, 10738, 16),
(197510, NULL, 'TIGR00405', NULL, NULL, 'KOW_elon_Spt5: transcription elongation factor Spt5', NULL, 'TIGR00405', NULL, NULL, 11015, 16),
(197511, NULL, 'TIGR00045', NULL, NULL, 'TIGR00045: glycerate kinase', NULL, 'TIGR00045', NULL, NULL, 5845, 16),
(197512, NULL, 'TIGR02518', NULL, NULL, 'EutH_ACDH: acetaldehyde dehydrogenase (acetylating)', NULL, 'TIGR02518', NULL, NULL, 18994, 16),
(197513, NULL, 'TIGR00176', NULL, NULL, 'mobB: molybdopterin-guanine dinucleotide biosynthesis protein B', NULL, 'TIGR00176', NULL, NULL, 7496, 16),
(197514, NULL, 'TIGR04526', NULL, NULL, 'predic_Ig_block: putative immunoglobulin-blocking virulence protein', NULL, 'TIGR04526', NULL, NULL, 26827, 16),
(197515, NULL, 'TIGR00489', NULL, NULL, 'aEF-1_beta: translation elongation factor aEF-1 beta', NULL, 'TIGR00489', NULL, NULL, 1665, 16),
(197516, NULL, 'TIGR00215', NULL, NULL, 'lpxB: lipid-A-disaccharide synthase', NULL, 'TIGR00215', NULL, NULL, 3049, 16),
(197517, NULL, 'TIGR02682', NULL, NULL, 'cas_csx11: CRISPR-associated protein, Csx11 family', NULL, 'TIGR02682', NULL, NULL, 13639, 16),
(197518, NULL, 'TIGR03827', NULL, NULL, 'GNAT_ablB: putative beta-lysine N-acetyltransferase', NULL, 'TIGR03827', NULL, NULL, 16911, 16),
(197519, NULL, 'TIGR04465', NULL, NULL, 'ArgArg_F420: TAT-translocated F420-dependent dehydrogenase, FGD2 family', NULL, 'TIGR04465', NULL, NULL, 27877, 16),
(197520, NULL, 'TIGR02375', NULL, NULL, 'pseudoazurin: pseudoazurin', NULL, 'TIGR02375', NULL, NULL, 9343, 16),
(197521, NULL, 'TIGR02858', NULL, NULL, 'spore_III_AA: stage III sporulation protein AA', NULL, 'TIGR02858', NULL, NULL, 10926, 16),
(197522, NULL, 'TIGR02339', NULL, NULL, 'thermosome_arch: thermosome, various subunits, archaeal', NULL, 'TIGR02339', NULL, NULL, 11839, 16),
(197523, NULL, 'TIGR01628', NULL, NULL, 'PABP-1234: polyadenylate binding protein, human types 1, 2, 3, 4 family', NULL, 'TIGR01628', NULL, NULL, 6739, 16),
(197524, NULL, 'TIGR00249', NULL, NULL, 'sixA: phosphohistidine phosphatase SixA', NULL, 'TIGR00249', NULL, NULL, 7389, 16),
(197525, NULL, 'TIGR00768', NULL, NULL, 'rimK_fam: alpha-L-glutamate ligase, RimK family', NULL, 'TIGR00768', NULL, NULL, 2776, 16),
(197526, NULL, 'TIGR03256', NULL, NULL, 'met_CoM_red_alp: methyl-coenzyme M reductase, alpha subunit', NULL, 'TIGR03256', NULL, NULL, 17135, 16),
(197527, NULL, 'TIGR02257', NULL, NULL, 'cobalto_cobN: cobaltochelatase, CobN subunit', NULL, 'TIGR02257', NULL, NULL, 11417, 16),
(197528, NULL, 'TIGR01057', NULL, NULL, 'topA_arch: DNA topoisomerase I', NULL, 'TIGR01057', NULL, NULL, 4665, 16),
(197529, NULL, 'TIGR03829', NULL, NULL, 'YokU_near_AblA: uncharacterized protein, YokU family', NULL, 'TIGR03829', NULL, NULL, 14790, 16),
(197530, NULL, 'TIGR03147', NULL, NULL, 'cyt_nit_nrfF: cytochrome c nitrite reductase, accessory protein NrfF', NULL, 'TIGR03147', NULL, NULL, 15999, 16),
(197531, NULL, 'TIGR04347', NULL, NULL, 'pseudo_SAM_Halo: pseudo-rSAM protein/SPASM domain protein', NULL, 'TIGR04347', NULL, NULL, 23537, 16);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197532, NULL, 'TIGR01739', NULL, NULL, 'tegu_FGAM_synt: herpesvirus tegument protein/v-FGAM-synthase', NULL, 'TIGR01739', NULL, NULL, 2435, 16),
(197533, NULL, 'TIGR01297', NULL, NULL, 'CDF: cation diffusion facilitator family transporter', NULL, 'TIGR01297', NULL, NULL, 521, 16),
(197534, NULL, 'TIGR02995', NULL, NULL, 'ectoine_ehuB: ectoine/hydroxyectoine ABC transporter solute-binding protein EhuB', NULL, 'TIGR02995', NULL, NULL, 10119, 16),
(197535, NULL, 'TIGR00142', NULL, NULL, 'hycI: hydrogenase maturation peptidase HycI', NULL, 'TIGR00142', NULL, NULL, 7425, 16),
(197536, NULL, 'TIGR01840', NULL, NULL, 'esterase_phb: esterase, PHB depolymerase family', NULL, 'TIGR01840', NULL, NULL, 10778, 16),
(197537, NULL, 'TIGR02448', NULL, NULL, 'TIGR02448: conserverd hypothetical protein', NULL, 'TIGR02448', NULL, NULL, 10562, 16),
(197538, NULL, 'TIGR04538', NULL, NULL, 'P450_cycloAA_1: cytochrome P450, cyclodipeptide synthase-associated', NULL, 'TIGR04538', NULL, NULL, 26585, 16),
(197539, NULL, 'TIGR00721', NULL, NULL, 'tfx: DNA-binding protein, Tfx family', NULL, 'TIGR00721', NULL, NULL, 2835, 16),
(197540, NULL, 'TIGR02176', NULL, NULL, 'pyruv_ox_red: pyruvate:ferredoxin (flavodoxin) oxidoreductase', NULL, 'TIGR02176', NULL, NULL, 12378, 16),
(197541, NULL, 'TIGR00305', NULL, NULL, 'TIGR00305: putative toxin-antitoxin system toxin component, PIN family', NULL, 'TIGR00305', NULL, NULL, 5615, 16),
(197542, NULL, 'TIGR02811', NULL, NULL, 'formate_TAT: formate dehydrogenase region TAT target', NULL, 'TIGR02811', NULL, NULL, 8846, 16),
(197543, NULL, 'TIGR00777', NULL, NULL, 'ahpD: alkylhydroperoxidase, AhpD family', NULL, 'TIGR00777', NULL, NULL, 2853, 16),
(197544, NULL, 'TIGR02618', NULL, NULL, 'tyr_phenol_ly: tyrosine phenol-lyase', NULL, 'TIGR02618', NULL, NULL, 9370, 16),
(197545, NULL, 'TIGR00659', NULL, NULL, 'TIGR00659: TIGR00659 family protein', NULL, 'TIGR00659', NULL, NULL, 4293, 16),
(197546, NULL, 'TIGR00086', NULL, NULL, 'smpB: SsrA-binding protein', NULL, 'TIGR00086', NULL, NULL, 2669, 16),
(197547, NULL, 'TIGR03419', NULL, NULL, 'NifU_clost: FeS cluster assembly scaffold protein NifU', NULL, 'TIGR03419', NULL, NULL, 19439, 16),
(197548, NULL, 'TIGR00414', NULL, NULL, 'serS: serine--tRNA ligase', NULL, 'TIGR00414', NULL, NULL, 6637, 16),
(197549, NULL, 'TIGR01916', NULL, NULL, 'F420_cofE: coenzyme F420-0:L-glutamate ligase', NULL, 'TIGR01916', NULL, NULL, 892, 16),
(197550, NULL, 'TIGR00947', NULL, NULL, '2A73: putative bicarbonate transporter, IctB family', NULL, 'TIGR00947', NULL, NULL, 1151, 16),
(197551, NULL, 'TIGR03072', NULL, NULL, 'release_prfH: putative peptide chain release factor H', NULL, 'TIGR03072', NULL, NULL, 21506, 16),
(197552, NULL, 'TIGR01465', NULL, NULL, 'cobM_cbiF: precorrin-4 C11-methyltransferase', NULL, 'TIGR01465', NULL, NULL, 5652, 16),
(197553, NULL, 'TIGR03022', NULL, NULL, 'WbaP_sugtrans: undecaprenyl-phosphate galactose phosphotransferase WbaP', NULL, 'TIGR03022', NULL, NULL, 21057, 16),
(197554, NULL, 'TIGR04456', NULL, NULL, 'LruC_dom: LruC domain', NULL, 'TIGR04456', NULL, NULL, 27760, 16),
(197555, NULL, 'TIGR04524', NULL, NULL, 'mycoplas_M_dom: IgG-blocking virulence domain', NULL, 'TIGR04524', NULL, NULL, 26964, 16),
(197556, NULL, 'TIGR04177', NULL, NULL, 'exosort_XrtH: exosortase H, IPTLxxWG-CTERM-specific', NULL, 'TIGR04177', NULL, NULL, 24353, 16),
(197557, NULL, 'TIGR03145', NULL, NULL, 'cyt_nit_nrfE: cytochrome c nitrate reductase biogenesis protein NrfE', NULL, 'TIGR03145', NULL, NULL, 15505, 16),
(197558, NULL, 'TIGR00598', NULL, NULL, 'rad14: DNA repair protein', NULL, 'TIGR00598', NULL, NULL, 6720, 16),
(197559, NULL, 'TIGR01125', NULL, NULL, 'TIGR01125: ribosomal protein S12 methylthiotransferase RimO', NULL, 'TIGR01125', NULL, NULL, 5585, 16),
(197560, NULL, 'TIGR02627', NULL, NULL, 'rhamnulo_kin: rhamnulokinase', NULL, 'TIGR02627', NULL, NULL, 9117, 16),
(197561, NULL, 'TIGR03315', NULL, NULL, 'Se_ygfK: putative selenate reductase, YgfK subunit', NULL, 'TIGR03315', NULL, NULL, 18301, 16),
(197562, NULL, 'TIGR03971', NULL, NULL, 'SDR_subfam_1: SDR family mycofactocin-dependent oxidoreductase', NULL, 'TIGR03971', NULL, NULL, 11969, 16);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197563, NULL, 'TIGR00270', NULL, NULL, 'TIGR00270: TIGR00270 family protein', NULL, 'TIGR00270', NULL, NULL, 7286, 16),
(197564, NULL, 'TIGR01479', NULL, NULL, 'GMP_PMI: mannose-1-phosphate guanylyltransferase/mannose-6-phosphate isomerase', NULL, 'TIGR01479', NULL, NULL, 5959, 16),
(197565, NULL, 'TIGR01569', NULL, NULL, 'A_tha_TIGR01569: plant integral membrane protein TIGR01569', NULL, 'TIGR01569', NULL, NULL, 6921, 16),
(197566, NULL, 'TIGR01890', NULL, NULL, 'N-Ac-Glu-synth: amino-acid N-acetyltransferase', NULL, 'TIGR01890', NULL, NULL, 10952, 16),
(197567, NULL, 'TIGR03440', NULL, NULL, 'egtB_TIGR03440: ergothioneine biosynthesis protein EgtB', NULL, 'TIGR03440', NULL, NULL, 19581, 16),
(197568, NULL, 'TIGR04116', NULL, NULL, 'CXXX_rpt_assoc: CXXX repeat peptide modification system protein', NULL, 'TIGR04116', NULL, NULL, 21791, 16),
(197569, NULL, 'TIGR02509', NULL, NULL, 'type_III_yopR: type III secretion effector, YopR family', NULL, 'TIGR02509', NULL, NULL, 18788, 16),
(197570, NULL, 'TIGR01007', NULL, NULL, 'eps_fam: capsular exopolysaccharide family', NULL, 'TIGR01007', NULL, NULL, 3611, 16),
(197571, NULL, 'TIGR02802', NULL, NULL, 'Pal_lipo: peptidoglycan-associated lipoprotein', NULL, 'TIGR02802', NULL, NULL, 8746, 16),
(197572, NULL, 'TIGR03086', NULL, NULL, 'TIGR03086: TIGR03086 family protein', NULL, 'TIGR03086', NULL, NULL, 15364, 16),
(197573, NULL, 'TIGR01295', NULL, NULL, 'PedC_BrcD: putative bacteriocin transport accessory protein', NULL, 'TIGR01295', NULL, NULL, 1128, 16),
(197574, NULL, 'TIGR02920', NULL, NULL, 'acc_sec_Y2: accessory Sec system translocase SecY2', NULL, 'TIGR02920', NULL, NULL, 11675, 16),
(197575, NULL, 'TIGR03768', NULL, NULL, 'RPA4764: metallophosphoesterase, RPA4764 family', NULL, 'TIGR03768', NULL, NULL, 16605, 16),
(197576, NULL, 'TIGR01772', NULL, NULL, 'MDH_euk_gproteo: malate dehydrogenase, NAD-dependent', NULL, 'TIGR01772', NULL, NULL, 2481, 16),
(197577, NULL, 'TIGR02325', NULL, NULL, 'C_P_lyase_phnF: phosphonate metabolism transcriptional regulator PhnF', NULL, 'TIGR02325', NULL, NULL, 11952, 16),
(197578, NULL, 'TIGR00952', NULL, NULL, 'S15_bact: ribosomal protein uS15', NULL, 'TIGR00952', NULL, NULL, 4009, 16),
(197579, NULL, 'TIGR02436', NULL, NULL, 'TIGR02436: four helix bundle protein', NULL, 'TIGR02436', NULL, NULL, 10615, 16),
(197580, NULL, 'TIGR02266', NULL, NULL, 'gmx_TIGR02266: Myxococcus xanthus paralogous domain TIGR02266', NULL, 'TIGR02266', NULL, NULL, 11552, 16),
(197581, NULL, 'TIGR03938', NULL, NULL, 'deacetyl_PgaB: poly-beta-1,6-N-acetyl-D-glucosamine N-deacetylase PgaB', NULL, 'TIGR03938', NULL, NULL, 11770, 16),
(197582, NULL, 'TIGR01111', NULL, NULL, 'mtrA: tetrahydromethanopterin S-methyltransferase, subunit A', NULL, 'TIGR01111', NULL, NULL, 5685, 16),
(197583, NULL, 'TIGR01234', NULL, NULL, 'L-ribulokinase: ribulokinase', NULL, 'TIGR01234', NULL, NULL, 213, 16),
(197584, NULL, 'TIGR02926', NULL, NULL, 'AhaH: ATP synthase archaeal, H subunit', NULL, 'TIGR02926', NULL, NULL, 8767, 16),
(197585, NULL, 'TIGR02872', NULL, NULL, 'spore_ytvI: sporulation integral membrane protein YtvI', NULL, 'TIGR02872', NULL, NULL, 10661, 16),
(197586, NULL, 'TIGR01957', NULL, NULL, 'nuoB_fam: NADH-quinone oxidoreductase, B subunit', NULL, 'TIGR01957', NULL, NULL, 10496, 16),
(197587, NULL, 'TIGR01663', NULL, NULL, 'PNK-3''Pase: polynucleotide kinase 3''-phosphatase', NULL, 'TIGR01663', NULL, NULL, 225, 16),
(197588, NULL, 'TIGR04082', NULL, NULL, 'rSAM_for_selen: selenobiotic family peptide radical SAM maturase', NULL, 'TIGR04082', NULL, NULL, 12602, 16),
(197589, NULL, 'TIGR00836', NULL, NULL, 'amt: ammonium transporter', NULL, 'TIGR00836', NULL, NULL, 5499, 16),
(197590, NULL, 'TIGR01180', NULL, NULL, 'aman2_put: putative alpha-1,2-mannosidase', NULL, 'TIGR01180', NULL, NULL, 6557, 16),
(197591, NULL, 'TIGR03753', NULL, NULL, 'blh_monoox: beta-carotene 15,15''-monooxygenase, Brp/Blh family', NULL, 'TIGR03753', NULL, NULL, 15808, 16),
(197592, NULL, 'TIGR03993', NULL, NULL, 'hydrog_HybE: [NiFe] hydrogenase assembly chaperone, HybE family', NULL, 'TIGR03993', NULL, NULL, 18989, 16);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197593, NULL, 'TIGR00782', NULL, NULL, 'ccoP: cytochrome c oxidase, cbb3-type, subunit III', NULL, 'TIGR00782', NULL, NULL, 3214, 16),
(197594, NULL, 'TIGR02668', NULL, NULL, 'moaA_archaeal: probable molybdenum cofactor biosynthesis protein A', NULL, 'TIGR02668', NULL, NULL, 10363, 16),
(197595, NULL, 'TIGR00201', NULL, NULL, 'comF: comF family protein', NULL, 'TIGR00201', NULL, NULL, 11275, 16),
(197596, NULL, 'TIGR02198', NULL, NULL, 'rfaE_dom_I: bifunctional protein RfaE, domain I', NULL, 'TIGR02198', NULL, NULL, 12030, 16),
(197597, NULL, 'TIGR00578', NULL, NULL, 'ku70: ATP-dependent DNA helicase II, 70 kDa subunit (ku70)', NULL, 'TIGR00578', NULL, NULL, 10404, 16),
(197598, NULL, 'TIGR03002', NULL, NULL, 'outer_YhbN_LptA: lipopolysaccharide transport periplasmic protein LptA', NULL, 'TIGR03002', NULL, NULL, 11068, 16),
(197599, NULL, 'TIGR01247', NULL, NULL, 'drrB: daunorubicin resistance ABC transporter membrane protein', NULL, 'TIGR01247', NULL, NULL, 250, 16),
(197600, NULL, 'TIGR03242', NULL, NULL, 'arg_catab_astE: succinylglutamate desuccinylase', NULL, 'TIGR03242', NULL, NULL, 20650, 16),
(197601, NULL, 'TIGR04252', NULL, NULL, 'SCM_precur_ScmA: SynChlorMet cassette protein ScmA', NULL, 'TIGR04252', NULL, NULL, NULL, 16),
(197602, NULL, 'TIGR01404', NULL, NULL, 'FlhB_rel_III: type III secretion protein, YscU/HrpY family', NULL, 'TIGR01404', NULL, NULL, 4873, 16),
(197603, NULL, 'TIGR02162', NULL, NULL, 'torC: trimethylamine-N-oxide reductase c-type cytochrome TorC', NULL, 'TIGR02162', NULL, NULL, 9899, 16),
(197604, NULL, 'TIGR01493', NULL, NULL, 'HAD-SF-IA-v2: HAD hydrolase, family IA, variant 2', NULL, 'TIGR01493', NULL, NULL, 6898, 16),
(197605, NULL, 'TIGR01787', NULL, NULL, 'squalene_cyclas: squalene/oxidosqualene cyclases', NULL, 'TIGR01787', NULL, NULL, 20660, 16),
(197606, NULL, 'TIGR03877', NULL, NULL, 'thermo_KaiC_1: KaiC domain protein, Ph0284 family', NULL, 'TIGR03877', NULL, NULL, 16491, 16),
(197607, NULL, 'TIGR03583', NULL, NULL, 'EF_0837: putative amidohydrolase, EF_0837/AHA_3915 family', NULL, 'TIGR03583', NULL, NULL, 12386, 16),
(197608, NULL, 'TIGR00237', NULL, NULL, 'xseA: exodeoxyribonuclease VII, large subunit', NULL, 'TIGR00237', NULL, NULL, 2052, 16),
(197609, NULL, 'TIGR03678', NULL, NULL, 'het_cyc_patell: bacteriocin leader peptide, microcyclamide/patellamide family', NULL, 'TIGR03678', NULL, NULL, 15724, 16),
(197610, NULL, 'TIGR00911', NULL, NULL, '2A0308: L-type amino acid transporter', NULL, 'TIGR00911', NULL, NULL, 5472, 16),
(197611, NULL, 'TIGR03167', NULL, NULL, 'tRNA_sel_U_synt: tRNA 2-selenouridine synthase', NULL, 'TIGR03167', NULL, NULL, 16063, 16),
(197612, NULL, 'TIGR03609', NULL, NULL, 'S_layer_CsaB: polysaccharide pyruvyl transferase CsaB', NULL, 'TIGR03609', NULL, NULL, 15115, 16),
(197613, NULL, 'TIGR01077', NULL, NULL, 'L13_A_E: ribosomal protein uL13', NULL, 'TIGR01077', NULL, NULL, 4922, 16),
(197614, NULL, 'TIGR03337', NULL, NULL, 'phnR: phosphonate utilization transcriptional regulator PhnR', NULL, 'TIGR03337', NULL, NULL, 18957, 16),
(197615, NULL, 'TIGR01152', NULL, NULL, 'psbD: photosystem II D2 protein (photosystem q(a) protein)', NULL, 'TIGR01152', NULL, NULL, 6553, 16),
(197616, NULL, 'TIGR01519', NULL, NULL, 'plasmod_dom_1: Plasmodium falciparum uncharacterized domain', NULL, 'TIGR01519', NULL, NULL, 5759, 16),
(197617, NULL, 'TIGR02244', NULL, NULL, 'HAD-IG-Ncltidse: HAD superfamily (subfamily IG) hydrolase, 5''-nucleotidase', NULL, 'TIGR02244', NULL, NULL, 7632, 16),
(197618, NULL, 'TIGR00653', NULL, NULL, 'GlnA: glutamine synthetase, type I', NULL, 'TIGR00653', NULL, NULL, 4334, 16),
(197619, NULL, 'TIGR01862', NULL, NULL, 'N2-ase-Ialpha: nitrogenase component I, alpha chain', NULL, 'TIGR01862', NULL, NULL, 10522, 16),
(197620, NULL, 'TIGR03712', NULL, NULL, 'acc_sec_asp2: accessory Sec system protein Asp2', NULL, 'TIGR03712', NULL, NULL, 15842, 16),
(197621, NULL, 'TIGR00707', NULL, NULL, 'argD: transaminase, acetylornithine/succinylornithine family', NULL, 'TIGR00707', NULL, NULL, 2795, 16),
(197622, NULL, 'TIGR00980', NULL, NULL, '3a0801so1tim17: mitochondrial import inner membrane translocase subunit tim17', NULL, 'TIGR00980', NULL, NULL, 3658, 16);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197623, NULL, 'TIGR03555', NULL, NULL, 'F420_mer: 5,10-methylenetetrahydromethanopterin reductase', NULL, 'TIGR03555', NULL, NULL, 18097, 16),
(197624, NULL, 'TIGR02484', NULL, NULL, 'CitB: CitB domain protein', NULL, 'TIGR02484', NULL, NULL, 12733, 16),
(197625, NULL, 'TIGR02190', NULL, NULL, 'GlrX-dom: glutaredoxin-family domain', NULL, 'TIGR02190', NULL, NULL, 12096, 16),
(197626, NULL, 'TIGR01533', NULL, NULL, 'lipo_e_P4: 5''-nucleotidase, lipoprotein e(P4) family', NULL, 'TIGR01533', NULL, NULL, 6661, 16),
(197627, NULL, 'TIGR00031', NULL, NULL, 'UDP-GALP_mutase: UDP-galactopyranose mutase', NULL, 'TIGR00031', NULL, NULL, 5960, 16),
(197628, NULL, 'TIGR00483', NULL, NULL, 'EF-1_alpha: translation elongation factor EF-1, subunit alpha', NULL, 'TIGR00483', NULL, NULL, 1904, 16),
(197629, NULL, 'TIGR00537', NULL, NULL, 'hemK_rel_arch: putative methylase', NULL, 'TIGR00537', NULL, NULL, 565, 16),
(197630, NULL, 'TIGR02216', NULL, NULL, 'phage_TIGR02216: phage conserved hypothetical protein', NULL, 'TIGR02216', NULL, NULL, 11828, 16),
(197631, NULL, 'TIGR01206', NULL, NULL, 'lysW: lysine biosynthesis protein LysW', NULL, 'TIGR01206', NULL, NULL, 470, 16),
(197632, NULL, 'TIGR02360', NULL, NULL, 'pbenz_hydroxyl: 4-hydroxybenzoate 3-monooxygenase', NULL, 'TIGR02360', NULL, NULL, 11938, 16),
(197633, NULL, 'TIGR02498', NULL, NULL, 'type_III_ssaH: type III secretion system protein, SsaH family', NULL, 'TIGR02498', NULL, NULL, 9513, 16),
(197634, NULL, 'TIGR01985', NULL, NULL, 'phasin_2: phasin', NULL, 'TIGR01985', NULL, NULL, 4340, 16),
(197635, NULL, 'TIGR03195', NULL, NULL, '4hydrxCoA_B: 4-hydroxybenzoyl-CoA reductase, beta subunit', NULL, 'TIGR03195', NULL, NULL, 16102, 16),
(197636, NULL, 'TIGR03385', NULL, NULL, 'CoA_CoA_reduc: CoA-disulfide reductase', NULL, 'TIGR03385', NULL, NULL, 19071, 16),
(197637, NULL, 'TIGR04211', NULL, NULL, 'SH3_and_anchor: SH3 domain protein', NULL, 'TIGR04211', NULL, NULL, 15991, 16),
(197638, NULL, 'TIGR00523', NULL, NULL, 'eIF-1A: translation initiation factor eIF-1A', NULL, 'TIGR00523', NULL, NULL, 725, 16),
(197639, NULL, 'TIGR04048', NULL, NULL, 'nitrile_sll0784: putative nitrilase, sll0784 family', NULL, 'TIGR04048', NULL, NULL, 8496, 16),
(197640, NULL, 'TIGR01547', NULL, NULL, 'phage_term_2: phage terminase, large subunit, PBSX family', NULL, 'TIGR01547', NULL, NULL, 6716, 16),
(197641, NULL, 'TIGR03365', NULL, NULL, 'Bsubt_queE: 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', NULL, 'TIGR03365', NULL, NULL, 18966, 16),
(197642, NULL, 'TIGR01540', NULL, NULL, 'portal_PBSX: phage portal protein, PBSX family', NULL, 'TIGR01540', NULL, NULL, 6551, 16),
(197643, NULL, 'TIGR02708', NULL, NULL, 'L_lactate_ox: L-lactate oxidase', NULL, 'TIGR02708', NULL, NULL, 14500, 16),
(197644, NULL, 'TIGR01350', NULL, NULL, 'lipoamide_DH: dihydrolipoyl dehydrogenase', NULL, 'TIGR01350', NULL, NULL, 3937, 16),
(197645, NULL, 'TIGR01717', NULL, NULL, 'AMP-nucleosdse: AMP nucleosidase', NULL, 'TIGR01717', NULL, NULL, 9563, 16),
(197646, NULL, 'TIGR04238', NULL, NULL, 'seadorna_dsRNA: seadornavirus double-stranded RNA-binding protein', NULL, 'TIGR04238', NULL, NULL, 23151, 16),
(197647, NULL, 'TIGR01424', NULL, NULL, 'gluta_reduc_2: glutathione-disulfide reductase', NULL, 'TIGR01424', NULL, NULL, 4920, 16),
(197648, NULL, 'TIGR01370', NULL, NULL, 'TIGR01370: extracellular protein', NULL, 'TIGR01370', NULL, NULL, 10410, 16),
(197649, NULL, 'TIGR00455', NULL, NULL, 'apsK: adenylyl-sulfate kinase', NULL, 'TIGR00455', NULL, NULL, 6413, 16),
(197650, NULL, 'TIGR00646', NULL, NULL, 'MG010: DNA primase-like protein', NULL, 'TIGR00646', NULL, NULL, 921, 16),
(197651, NULL, 'TIGR02491', NULL, NULL, 'NrdG: anaerobic ribonucleoside-triphosphate reductase activating protein', NULL, 'TIGR02491', NULL, NULL, 12848, 16),
(197652, NULL, 'TIGR02579', NULL, NULL, 'cas_csx3: CRISPR-associated protein, Csx3 family', NULL, 'TIGR02579', NULL, NULL, 9072, 16),
(197653, NULL, 'TIGR00509', NULL, NULL, 'bisC_fam: molybdopterin guanine dinucleotide-containing S/N-oxide reductases', NULL, 'TIGR00509', NULL, NULL, 1369, 16);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197654, NULL, 'TIGR04068', NULL, NULL, 'rSAM_ocin_clost: Cys-rich peptide radical SAM maturase CcpM', NULL, 'TIGR04068', NULL, NULL, 11677, 16),
(197655, NULL, 'TIGR00592', NULL, NULL, 'pol2: DNA polymerase (pol2)', NULL, 'TIGR00592', NULL, NULL, NULL, 16),
(197656, NULL, 'TIGR03514', NULL, NULL, 'GldB_lipo: gliding motility-associated lipoprotein GldB', NULL, 'TIGR03514', NULL, NULL, 18194, 16),
(197657, NULL, 'TIGR04171', NULL, NULL, 'RNR_1b_NrdF: ribonucleoside-diphosphate reductase, class 1b, beta subunit', NULL, 'TIGR04171', NULL, NULL, 24277, 16),
(197658, NULL, 'TIGR01971', NULL, NULL, 'NuoI: NADH-quinone oxidoreductase, chain I', NULL, 'TIGR01971', NULL, NULL, 4126, 16),
(197659, NULL, 'TIGR03460', NULL, NULL, 'crt_membr_arch: carotene biosynthesis associated membrane protein', NULL, 'TIGR03460', NULL, NULL, 19906, 16),
(197660, NULL, 'TIGR01091', NULL, NULL, 'upp: uracil phosphoribosyltransferase', NULL, 'TIGR01091', NULL, NULL, 4944, 16),
(197661, NULL, 'TIGR01166', NULL, NULL, 'cbiO: cobalt ABC transporter, ATP-binding protein', NULL, 'TIGR01166', NULL, NULL, 6936, 16),
(197662, NULL, 'TIGR01731', NULL, NULL, 'fil_hemag_20aa: adhesin HecA family 20-residue repeat (two copies)', NULL, 'TIGR01731', NULL, NULL, 6269, 16),
(197663, NULL, 'TIGR04429', NULL, NULL, 'Phr_nterm: Phr family secreted Rap phosphatase inhibitor', NULL, 'TIGR04429', NULL, NULL, 27129, 16),
(197664, NULL, 'TIGR03930', NULL, NULL, 'WXG100_ESAT6: WXG100 family type VII secretion target', NULL, 'TIGR03930', NULL, NULL, 8770, 16),
(197665, NULL, 'TIGR00011', NULL, NULL, 'YbaK_EbsC: Cys-tRNA(Pro) deacylase', NULL, 'TIGR00011', NULL, NULL, 5898, 16),
(197666, NULL, 'TIGR03099', NULL, NULL, 'dCO2ase_PEP1: pyridoxal-dependent decarboxylase, exosortase A system-associated', NULL, 'TIGR03099', NULL, NULL, 15500, 16),
(197667, NULL, 'TIGR00285', NULL, NULL, 'TIGR00285: DNA-binding protein Alba', NULL, 'TIGR00285', NULL, NULL, 9820, 16),
(197668, NULL, 'TIGR02026', NULL, NULL, 'BchE: magnesium-protoporphyrin IX monomethyl ester anaerobic oxidative cyclase', NULL, 'TIGR02026', NULL, NULL, NULL, 16),
(197669, NULL, 'TIGR04034', NULL, NULL, 'export_SdpA: antimicrobial peptide system protein, SdpA family', NULL, 'TIGR04034', NULL, NULL, 18119, 16),
(197670, NULL, 'TIGR03569', NULL, NULL, 'NeuB_NnaB: N-acetylneuraminate synthase', NULL, 'TIGR03569', NULL, NULL, 12180, 16),
(197671, NULL, 'TIGR02414', NULL, NULL, 'pepN_proteo: aminopeptidase N', NULL, 'TIGR02414', NULL, NULL, 10314, 16),
(197672, NULL, 'TIGR02654', NULL, NULL, 'circ_KaiB: circadian clock protein KaiB', NULL, 'TIGR02654', NULL, NULL, 10291, 16),
(197673, NULL, 'TIGR04504', NULL, NULL, 'SDR_subfam_2: SDR family mycofactocin-dependent oxidoreductase', NULL, 'TIGR04504', NULL, NULL, 25886, 16),
(197674, NULL, 'TIGR00871', NULL, NULL, 'zwf: glucose-6-phosphate dehydrogenase', NULL, 'TIGR00871', NULL, NULL, 2233, 16),
(197675, NULL, 'TIGR03821', NULL, NULL, 'EFP_modif_epmB: EF-P beta-lysylation protein EpmB', NULL, 'TIGR03821', NULL, NULL, 16407, 16),
(197676, NULL, 'TIGR02961', NULL, NULL, 'allantoicase: allantoicase', NULL, 'TIGR02961', NULL, NULL, 4716, 16),
(197677, NULL, 'TIGR04096', NULL, NULL, 'dnd_rel_methyl: DNA phosphorothioation-associated putative methyltransferase', NULL, 'TIGR04096', NULL, NULL, 15388, 16),
(197678, NULL, 'TIGR02886', NULL, NULL, 'spore_II_AA: anti-sigma F factor antagonist', NULL, 'TIGR02886', NULL, NULL, 10659, 16),
(197679, NULL, 'TIGR02791', NULL, NULL, 'VirB5: P-type DNA transfer protein VirB5', NULL, 'TIGR02791', NULL, NULL, 14119, 16),
(197680, NULL, 'TIGR02081', NULL, NULL, 'metW: methionine biosynthesis protein MetW', NULL, 'TIGR02081', NULL, NULL, 10288, 16),
(197681, NULL, 'TIGR03111', NULL, NULL, 'glyc2_xrt_Gpos1: putative glycosyltransferase, exosortase G-associated', NULL, 'TIGR03111', NULL, NULL, 15405, 16),
(197682, NULL, 'TIGR04341', NULL, NULL, 'target_ACGX: ACGX-repeat peptide', NULL, 'TIGR04341', NULL, NULL, 29447, 16),
(197683, NULL, 'TIGR04266', NULL, NULL, 'NDMA_methanol: NDMA-dependent methanol dehydrogenase', NULL, 'TIGR04266', NULL, NULL, 26316, 16);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197684, NULL, 'TIGR00816', NULL, NULL, 'tdt: C4-dicarboxylate transporter/malic acid transport protein', NULL, 'TIGR00816', NULL, NULL, 9309, 16),
(197685, NULL, 'TIGR02251', NULL, NULL, 'HIF-SF_euk: dullard-like phosphatase domain', NULL, 'TIGR02251', NULL, NULL, 11393, 16),
(197686, NULL, 'TIGR01329', NULL, NULL, 'cysta_beta_ly_E: cystathionine beta-lyase', NULL, 'TIGR01329', NULL, NULL, 3801, 16),
(197687, NULL, 'TIGR02107', NULL, NULL, 'PQQ_syn_pqqA: coenzyme PQQ precursor peptide PqqA', NULL, 'TIGR02107', NULL, NULL, 11589, 16),
(197688, NULL, 'TIGR00564', NULL, NULL, 'trpE_most: anthranilate synthase component I', NULL, 'TIGR00564', NULL, NULL, 4121, 16),
(197689, NULL, 'TIGR02749', NULL, NULL, 'prenyl_cyano: solanesyl diphosphate synthase', NULL, 'TIGR02749', NULL, NULL, NULL, 16),
(197690, NULL, 'TIGR00120', NULL, NULL, 'ArgJ: glutamate N-acetyltransferase/amino-acid acetyltransferase', NULL, 'TIGR00120', NULL, NULL, 4863, 16),
(197691, NULL, 'TIGR01622', NULL, NULL, 'SF-CC1: splicing factor, CC1-like family', NULL, 'TIGR01622', NULL, NULL, 6958, 16),
(197692, NULL, 'TIGR02777', NULL, NULL, 'LigD_PE_dom: DNA ligase D, 3''-phosphoesterase domain', NULL, 'TIGR02777', NULL, NULL, 14025, 16),
(197693, NULL, 'TIGR04280', NULL, NULL, 'geopep_mat_rSAM: putative geopeptide radical SAM maturase', NULL, 'TIGR04280', NULL, NULL, 27230, 16),
(197694, NULL, 'TIGR00394', NULL, NULL, 'lac_pts_IIC: PTS system, lactose-specific IIC component', NULL, 'TIGR00394', NULL, NULL, 5536, 16),
(197695, NULL, 'TIGR01896', NULL, NULL, 'cas_AF1879: CRISPR-associated protein Cas4/Csa1, subtype I-A/APERN', NULL, 'TIGR01896', NULL, NULL, 13818, 16),
(197696, NULL, 'TIGR00106', NULL, NULL, 'TIGR00106: uncharacterized protein, MTH1187 family', NULL, 'TIGR00106', NULL, NULL, 4622, 16),
(197697, NULL, 'TIGR01138', NULL, NULL, 'cysM: cysteine synthase B', NULL, 'TIGR01138', NULL, NULL, 6952, 16),
(197698, NULL, 'TIGR04334', NULL, NULL, 'rSAM_Clo7bot: radical SAM/SPASM domain Clo7bot peptide maturase', NULL, 'TIGR04334', NULL, NULL, 23843, 16),
(197699, NULL, 'TIGR04320', NULL, NULL, 'Surf_Exclu_PgrA: SEC10/PgrA surface exclusion domain', NULL, 'TIGR04320', NULL, NULL, 26760, 16),
(197700, NULL, 'TIGR01261', NULL, NULL, 'hisB_Nterm: histidinol-phosphatase', NULL, 'TIGR01261', NULL, NULL, 481, 16),
(197701, NULL, 'TIGR01608', NULL, NULL, 'citD: citrate lyase acyl carrier protein', NULL, 'TIGR01608', NULL, NULL, 6215, 16),
(197702, NULL, 'TIGR02817', NULL, NULL, 'adh_fam_1: zinc-binding alcohol dehydrogenase family protein', NULL, 'TIGR02817', NULL, NULL, 8624, 16),
(197703, NULL, 'TIGR03644', NULL, NULL, 'marine_trans_1: probable ammonium transporter, marine subtype', NULL, 'TIGR03644', NULL, NULL, 18498, 16),
(197704, NULL, 'TIGR02933', NULL, NULL, 'nifM_nitrog: nitrogen fixation protein NifM', NULL, 'TIGR02933', NULL, NULL, 9078, 16),
(197705, NULL, 'TIGR01315', NULL, NULL, '5C_CHO_kinase: FGGY-family pentulose kinase', NULL, 'TIGR01315', NULL, NULL, 1310, 16),
(197706, NULL, 'TIGR04450', NULL, NULL, 'Gpos_C8_like: putative immunity protein/bacteriocin', NULL, 'TIGR04450', NULL, NULL, 28242, 16),
(197707, NULL, 'TIGR03630', NULL, NULL, 'uS17_arch: ribosomal protein uS17', NULL, 'TIGR03630', NULL, NULL, 22142, 16),
(197708, NULL, 'TIGR04306', NULL, NULL, 'salvage_TenA: thiaminase II', NULL, 'TIGR04306', NULL, NULL, 23960, 16),
(197709, NULL, 'TIGR02121', NULL, NULL, 'Na_Pro_sym: sodium/proline symporter', NULL, 'TIGR02121', NULL, NULL, 14328, 16),
(197710, NULL, 'TIGR03623', NULL, NULL, 'TIGR03623: probable DNA repair protein', NULL, 'TIGR03623', NULL, NULL, 15320, 16),
(197711, NULL, 'TIGR03276', NULL, NULL, 'Phn-HD: phosphonate degradation operons associated HDIG domain protein', NULL, 'TIGR03276', NULL, NULL, 17479, 16),
(197712, NULL, 'TIGR02763', NULL, NULL, 'chlamy_scaf: scaffolding protein', NULL, 'TIGR02763', NULL, NULL, 14432, 16),
(197713, NULL, 'TIGR02135', NULL, NULL, 'phoU_full: phosphate transport system regulatory protein PhoU', NULL, 'TIGR02135', NULL, NULL, 22991, 16),
(197714, NULL, 'TIGR03637', NULL, NULL, 'cas1_YPEST: CRISPR-associated endonuclease Cas1, subtype I-F/YPEST', NULL, 'TIGR03637', NULL, NULL, 15024, 16);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197715, NULL, 'TIGR04143', NULL, NULL, 'VPxxxP_CTERM: VPXXXP-CTERM protein sorting domain', NULL, 'TIGR04143', NULL, NULL, 21629, 16),
(197716, NULL, 'TIGR00618', NULL, NULL, 'sbcc: exonuclease SbcC', NULL, 'TIGR00618', NULL, NULL, 560, 16),
(197717, NULL, 'TIGR02305', NULL, NULL, 'HpaG-N-term: 4-hydroxyphenylacetate degradation bifunctional isomerase/decarboxylase, N-terminal subunit', NULL, 'TIGR02305', NULL, NULL, 11826, 16),
(197718, NULL, 'TIGR03807', NULL, NULL, 'RR_fam_repeat: putative cofactor-binding repeat', NULL, 'TIGR03807', NULL, NULL, 21157, 16),
(197719, NULL, 'TIGR01275', NULL, NULL, 'ACC_deam_rel: pyridoxal phosphate-dependent enzymes, D-cysteine desulfhydrase family', NULL, 'TIGR01275', NULL, NULL, 158, 16),
(197720, NULL, 'TIGR00762', NULL, NULL, 'DegV: EDD domain protein, DegV family', NULL, 'TIGR00762', NULL, NULL, 6329, 16),
(197721, NULL, 'TIGR02786', NULL, NULL, 'addB_alphas: double-strand break repair protein AddB', NULL, 'TIGR02786', NULL, NULL, 14386, 16),
(197722, NULL, 'TIGR01803', NULL, NULL, 'CM-like: chorismate mutase related enzymes', NULL, 'TIGR01803', NULL, NULL, 733, 16),
(197723, NULL, 'TIGR02321', NULL, NULL, 'Pphn_pyruv_hyd: phosphonopyruvate hydrolase', NULL, 'TIGR02321', NULL, NULL, 10854, 16),
(197724, NULL, 'TIGR00231', NULL, NULL, 'small_GTP: small GTP-binding protein domain', NULL, 'TIGR00231', NULL, NULL, 11037, 16),
(197725, NULL, 'TIGR01955', NULL, NULL, 'RfaH: transcription elongation factor/antiterminator RfaH', NULL, 'TIGR01955', NULL, NULL, 4096, 16),
(197726, NULL, 'TIGR01182', NULL, NULL, 'eda: 2-dehydro-3-deoxyphosphogluconate aldolase/4-hydroxy-2-oxoglutarate aldolase', NULL, 'TIGR01182', NULL, NULL, 4894, 16),
(197727, NULL, 'TIGR02473', NULL, NULL, 'flagell_FliJ: flagellar export protein FliJ', NULL, 'TIGR02473', NULL, NULL, 12774, 16),
(197728, NULL, 'TIGR03272', NULL, NULL, 'methan_mark_6: putative methanogenesis marker protein 6', NULL, 'TIGR03272', NULL, NULL, 11242, 16),
(197729, NULL, 'TIGR00008', NULL, NULL, 'infA: translation initiation factor IF-1', NULL, 'TIGR00008', NULL, NULL, 5555, 16),
(197730, NULL, 'TIGR03120', NULL, NULL, 'one_C_mch: methenyltetrahydromethanopterin cyclohydrolase', NULL, 'TIGR03120', NULL, NULL, 2240, 16),
(197731, NULL, 'TIGR03392', NULL, NULL, 'FeS_syn_CsdA: cysteine desulfurase, catalytic subunit CsdA', NULL, 'TIGR03392', NULL, NULL, 16153, 16),
(197732, NULL, 'TIGR04563', NULL, NULL, 'TIGR04563: MXAN_4361/MXAN_4362 family small protein', NULL, 'TIGR04563', NULL, NULL, 24996, 16),
(197733, NULL, 'TIGR00696', NULL, NULL, 'wecG_tagA_cpsF: glycosyltransferase, WecB/TagA/CpsF family', NULL, 'TIGR00696', NULL, NULL, 2844, 16),
(197734, NULL, 'TIGR01030', NULL, NULL, 'rpmH_bact: ribosomal protein bL34', NULL, 'TIGR01030', NULL, NULL, 874, 16),
(197735, NULL, 'TIGR02602', NULL, NULL, '8TM_EpsH: exosortase', NULL, 'TIGR02602', NULL, NULL, 9053, 16),
(197736, NULL, 'TIGR00383', NULL, NULL, 'corA: magnesium and cobalt transport protein CorA', NULL, 'TIGR00383', NULL, NULL, 1942, 16),
(197737, NULL, 'TIGR00070', NULL, NULL, 'hisG: ATP phosphoribosyltransferase', NULL, 'TIGR00070', NULL, NULL, 14172, 16),
(197738, NULL, 'TIGR01987', NULL, NULL, 'HI0074: nucleotidyltransferase substrate binding protein, HI0074 family', NULL, 'TIGR01987', NULL, NULL, 4049, 16),
(197739, NULL, 'TIGR00512', NULL, NULL, 'salvage_mtnA: S-methyl-5-thioribose-1-phosphate isomerase', NULL, 'TIGR00512', NULL, NULL, 11096, 16),
(197740, NULL, 'TIGR00977', NULL, NULL, 'citramal_synth: citramalate synthase', NULL, 'TIGR00977', NULL, NULL, 3769, 16),
(197741, NULL, 'TIGR00544', NULL, NULL, 'lgt: prolipoprotein diacylglyceryl transferase', NULL, 'TIGR00544', NULL, NULL, 3221, 16),
(197742, NULL, 'TIGR01463', NULL, NULL, 'mtaA_cmuA: methyltransferase, MtaA/CmuA family', NULL, 'TIGR01463', NULL, NULL, 5605, 16),
(197743, NULL, 'TIGR02192', NULL, NULL, 'HtrL_YibB: protein YibB', NULL, 'TIGR02192', NULL, NULL, 11507, 16),
(197744, NULL, 'TIGR03612', NULL, NULL, 'RutA: pyrimidine utilization protein A', NULL, 'TIGR03612', NULL, NULL, 15412, 16);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197745, NULL, 'TIGR02634', NULL, NULL, 'xylF: D-xylose ABC transporter, D-xylose-binding protein', NULL, 'TIGR02634', NULL, NULL, 9163, 16),
(197746, NULL, 'TIGR04531', NULL, NULL, 'nonproteo_OH: putative nonproteinogenic amino acid hydroxylase', NULL, 'TIGR04531', NULL, NULL, 26772, 16),
(197747, NULL, 'TIGR01522', NULL, NULL, 'ATPase-IIA2_Ca: calcium-transporting P-type ATPase, PMR1-type', NULL, 'TIGR01522', NULL, NULL, 6771, 16),
(197748, NULL, 'TIGR02441', NULL, NULL, 'fa_ox_alpha_mit: fatty acid oxidation complex, alpha subunit, mitochondrial', NULL, 'TIGR02441', NULL, NULL, 12871, 16),
(197749, NULL, 'TIGR00351', NULL, NULL, 'narI: respiratory nitrate reductase, gamma subunit', NULL, 'TIGR00351', NULL, NULL, 3092, 16),
(197750, NULL, 'TIGR03049', NULL, NULL, 'PS_I_psaK: photosystem I reaction center subunit PsaK', NULL, 'TIGR03049', NULL, NULL, 21239, 16),
(197751, NULL, 'TIGR03553', NULL, NULL, 'F420_FbiB_CTERM: F420 biosynthesis protein FbiB, C-terminal domain', NULL, 'TIGR03553', NULL, NULL, 18243, 16),
(197752, NULL, 'TIGR04282', NULL, NULL, 'glyco_like_cofC: transferase 1, rSAM/selenodomain-associated', NULL, 'TIGR04282', NULL, NULL, 16814, 16),
(197753, NULL, 'TIGR02294', NULL, NULL, 'nickel_nikA: nickel ABC transporter, nickel/metallophore periplasmic binding protein', NULL, 'TIGR02294', NULL, NULL, 13042, 16),
(197754, NULL, 'TIGR03796', NULL, NULL, 'NHLM_micro_ABC1: NHLM bacteriocin system ABC transporter, peptidase/ATP-binding protein', NULL, 'TIGR03796', NULL, NULL, 16891, 16),
(197755, NULL, 'TIGR02039', NULL, NULL, 'CysD: sulfate adenylyltransferase, small subunit', NULL, 'TIGR02039', NULL, NULL, 13108, 16),
(197756, NULL, 'TIGR04009', NULL, NULL, 'wcaE: colanic acid biosynthesis glycosyltransferase WcaE', NULL, 'TIGR04009', NULL, NULL, 11749, 16),
(197757, NULL, 'TIGR02813', NULL, NULL, 'omega_3_PfaA: polyketide-type polyunsaturated fatty acid synthase PfaA', NULL, 'TIGR02813', NULL, NULL, 12803, 16),
(197758, NULL, 'TIGR01311', NULL, NULL, 'glycerol_kin: glycerol kinase', NULL, 'TIGR01311', NULL, NULL, 1172, 16),
(197759, NULL, 'TIGR01624', NULL, NULL, 'LRP1_Cterm: LRP1 C-terminal domain', NULL, 'TIGR01624', NULL, NULL, 6879, 16),
(197760, NULL, 'TIGR02262', NULL, NULL, 'benz_CoA_lig: benzoate-CoA ligase family', NULL, 'TIGR02262', NULL, NULL, 11232, 16),
(197761, NULL, 'TIGR03451', NULL, NULL, 'mycoS_dep_FDH: S-(hydroxymethyl)mycothiol dehydrogenase', NULL, 'TIGR03451', NULL, NULL, 19689, 16),
(197762, NULL, 'TIGR00825', NULL, NULL, 'EIIBC-GUT: PTS system, glucitol/sorbitol-specific, IIBC component', NULL, 'TIGR00825', NULL, NULL, 3592, 16),
(197763, NULL, 'TIGR01744', NULL, NULL, 'XPRTase: xanthine phosphoribosyltransferase', NULL, 'TIGR01744', NULL, NULL, 2128, 16),
(197764, NULL, 'TIGR03732', NULL, NULL, 'lanti_perm_MutE: lantibiotic protection ABC transporter permease subunit, MutE/EpiE family', NULL, 'TIGR03732', NULL, NULL, 16817, 16),
(197765, NULL, 'TIGR01343', NULL, NULL, 'hacA_fam: homoaconitate hydratase family protein', NULL, 'TIGR01343', NULL, NULL, 3763, 16),
(197766, NULL, 'TIGR04191', NULL, NULL, 'YphP_YqiW: putative bacilliredoxin, YphP/YqiW family', NULL, 'TIGR04191', NULL, NULL, 9254, 16),
(197767, NULL, 'TIGR03331', NULL, NULL, 'SAM_DCase_Eco: S-adenosylmethionine decarboxylase proenzyme', NULL, 'TIGR03331', NULL, NULL, 9715, 16),
(197768, NULL, 'TIGR04250', NULL, NULL, 'SCM_rSAM_ScmE: SynChlorMet cassette radical SAM/SPASM protein ScmE', NULL, 'TIGR04250', NULL, NULL, 26369, 16),
(197769, NULL, 'TIGR00843', NULL, NULL, 'benE: benzoate transporter', NULL, 'TIGR00843', NULL, NULL, 3774, 16),
(197770, NULL, 'TIGR02997', NULL, NULL, 'Sig70-cyanoRpoD: RNA polymerase sigma factor, cyanobacterial RpoD-like family', NULL, 'TIGR02997', NULL, NULL, 18801, 16),
(197771, NULL, 'TIGR04232', NULL, NULL, 'seadorna_VP3: seadornavirus VP3 protein', NULL, 'TIGR04232', NULL, NULL, 23067, 16),
(197772, NULL, 'TIGR02695', NULL, NULL, 'azurin: azurin', NULL, 'TIGR02695', NULL, NULL, 13541, 16),
(197773, NULL, 'TIGR00562', NULL, NULL, 'proto_IX_ox: protoporphyrinogen oxidase', NULL, 'TIGR00562', NULL, NULL, 950, 16);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197774, NULL, 'TIGR01495', NULL, NULL, 'ETRAMP: early transcribed membrane protein (ETRAMP) family', NULL, 'TIGR01495', NULL, NULL, 5915, 16),
(197775, NULL, 'TIGR04513', NULL, NULL, 'VPAMP_CTERM: VPAMP-CTERM protein sorting domain', NULL, 'TIGR04513', NULL, NULL, 26864, 16),
(197776, NULL, 'TIGR02040', NULL, NULL, 'PpsR-CrtJ: transcriptional regulator PpsR', NULL, 'TIGR02040', NULL, NULL, 13287, 16),
(197777, NULL, 'TIGR03483', NULL, NULL, 'FtsZ_alphas_C: cell division protein FtsZ, alphaProteobacterial C-terminal extension', NULL, 'TIGR03483', NULL, NULL, 20383, 16),
(197778, NULL, 'TIGR02230', NULL, NULL, 'ATPase_gene1: putative F0F1-ATPase subunit', NULL, 'TIGR02230', NULL, NULL, 11965, 16),
(197779, NULL, 'TIGR02845', NULL, NULL, 'spore_V_AD: stage V sporulation protein AD', NULL, 'TIGR02845', NULL, NULL, 12078, 16),
(197780, NULL, 'TIGR02754', NULL, NULL, 'sod_Ni_protease: nickel-type superoxide dismutase maturation protease', NULL, 'TIGR02754', NULL, NULL, 13893, 16),
(197781, NULL, 'TIGR03240', NULL, NULL, 'arg_catab_astD: succinylglutamate-semialdehyde dehydrogenase', NULL, 'TIGR03240', NULL, NULL, 17115, 16),
(197782, NULL, 'TIGR03764', NULL, NULL, 'ICE_PFGI_1_parB: integrating conjugative element, PFGI_1 class, ParB family protein', NULL, 'TIGR03764', NULL, NULL, 15645, 16),
(197783, NULL, 'TIGR01835', NULL, NULL, 'HMG-CoA-S_prok: hydroxymethylglutaryl-CoA synthase', NULL, 'TIGR01835', NULL, NULL, 11135, 16),
(197784, NULL, 'TIGR01776', NULL, NULL, 'TonB-tbp-lbp: TonB-dependent lactoferrin and transferrin receptors', NULL, 'TIGR01776', NULL, NULL, 1796, 16),
(197785, NULL, 'TIGR00333', NULL, NULL, 'nrdI: nrdI protein', NULL, 'TIGR00333', NULL, NULL, 7480, 16),
(197786, NULL, 'TIGR02736', NULL, NULL, 'cbb3_Q_epsi: cytochrome c oxidase, cbb3-type, CcoQ subunit', NULL, 'TIGR02736', NULL, NULL, 14307, 16),
(197787, NULL, 'TIGR03374', NULL, NULL, 'ABALDH: 1-pyrroline dehydrogenase', NULL, 'TIGR03374', NULL, NULL, 19123, 16),
(197788, NULL, 'TIGR02856', NULL, NULL, 'spore_yqfC: sporulation protein YqfC', NULL, 'TIGR02856', NULL, NULL, 16426, 16),
(197789, NULL, 'TIGR00798', NULL, NULL, 'mtc: tricarboxylate carrier', NULL, 'TIGR00798', NULL, NULL, 3200, 16),
(197790, NULL, 'TIGR01701', NULL, NULL, 'Fdhalpha-like: oxidoreductase alpha (molybdopterin) subunit', NULL, 'TIGR01701', NULL, NULL, 5035, 16),
(197791, NULL, 'TIGR00766', NULL, NULL, 'TIGR00766: inner membrane protein YhjD', NULL, 'TIGR00766', NULL, NULL, 4320, 16),
(197792, NULL, 'TIGR03494', NULL, NULL, 'salicyl_syn: salicylate synthase', NULL, 'TIGR03494', NULL, NULL, 17084, 16),
(197793, NULL, 'TIGR03943', NULL, NULL, 'TIGR03943: TIGR03943 family protein', NULL, 'TIGR03943', NULL, NULL, 14334, 16),
(197794, NULL, 'TIGR01132', NULL, NULL, 'pgm: phosphoglucomutase, alpha-D-glucose phosphate-specific', NULL, 'TIGR01132', NULL, NULL, 6568, 16),
(197795, NULL, 'TIGR02028', NULL, NULL, 'ChlP: geranylgeranyl reductase', NULL, 'TIGR02028', NULL, NULL, 13341, 16),
(197796, NULL, 'TIGR02309', NULL, NULL, 'HpaB-1: 4-hydroxyphenylacetate 3-monooxygenase, oxygenase component', NULL, 'TIGR02309', NULL, NULL, 11682, 16),
(197797, NULL, 'TIGR02684', NULL, NULL, 'dnstrm_HI1420: probable addiction module antidote protein', NULL, 'TIGR02684', NULL, NULL, 13598, 16),
(197798, NULL, 'TIGR01885', NULL, NULL, 'Orn_aminotrans: ornithine--oxo-acid transaminase', NULL, 'TIGR01885', NULL, NULL, 10589, 16),
(197799, NULL, 'TIGR00614', NULL, NULL, 'recQ_fam: ATP-dependent DNA helicase, RecQ family', NULL, 'TIGR00614', NULL, NULL, 895, 16),
(197800, NULL, 'TIGR04461', NULL, NULL, 'endura_MppQ: enduracididine biosynthesis enzyme MppQ', NULL, 'TIGR04461', NULL, NULL, 27633, 16),
(197801, NULL, 'TIGR00902', NULL, NULL, '2A0127: MFS transporter, phenyl propionate permease (PPP) family', NULL, 'TIGR00902', NULL, NULL, 23852, 16),
(197802, NULL, 'TIGR02500', NULL, NULL, 'type_III_yscD: type III secretion apparatus protein, YscD/HrpQ family', NULL, 'TIGR02500', NULL, NULL, 12830, 16),
(197803, NULL, 'TIGR00442', NULL, NULL, 'hisS: histidine--tRNA ligase', NULL, 'TIGR00442', NULL, NULL, 12927, 16);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197804, NULL, 'TIGR01597', NULL, NULL, 'PYST-B: Plasmodium yoelii subtelomeric family PYST-B', NULL, 'TIGR01597', NULL, NULL, 6482, 16),
(197805, NULL, 'TIGR01420', NULL, NULL, 'pilT_fam: twitching motility protein', NULL, 'TIGR01420', NULL, NULL, 4998, 16),
(197806, NULL, 'TIGR04118', NULL, NULL, 'Cxxx_AC3_0185: modification target Cys-rich peptide, AC3_0185 family', NULL, 'TIGR04118', NULL, NULL, 21639, 16),
(197807, NULL, 'TIGR00485', NULL, NULL, 'EF-Tu: translation elongation factor Tu', NULL, 'TIGR00485', NULL, NULL, 1805, 16),
(197808, NULL, 'TIGR03655', NULL, NULL, 'anti_R_Lar: restriction alleviation protein, Lar family', NULL, 'TIGR03655', NULL, NULL, 12034, 16),
(197809, NULL, 'TIGR04180', NULL, NULL, 'EDH_00030: NAD dependent epimerase/dehydratase, LLPSF_EDH_00030 family', NULL, 'TIGR04180', NULL, NULL, 21572, 16),
(197810, NULL, 'TIGR02965', NULL, NULL, 'xanthine_xdhB: xanthine dehydrogenase, molybdopterin binding subunit', NULL, 'TIGR02965', NULL, NULL, 9726, 16),
(197811, NULL, 'TIGR01349', NULL, NULL, 'PDHac_trf_mito: pyruvate dehydrogenase complex dihydrolipoamide acetyltransferase', NULL, 'TIGR01349', NULL, NULL, 3921, 16),
(197812, NULL, 'TIGR02051', NULL, NULL, 'MerR: Hg(II)-responsive transcriptional regulator', NULL, 'TIGR02051', NULL, NULL, 13348, 16),
(197813, NULL, 'TIGR00020', NULL, NULL, 'prfB: peptide chain release factor 2', NULL, 'TIGR00020', NULL, NULL, 5752, 16),
(197814, NULL, 'TIGR02110', NULL, NULL, 'PQQ_syn_pqqF: coenzyme PQQ biosynthesis protein PqqF', NULL, 'TIGR02110', NULL, NULL, 14254, 16),
(197815, NULL, 'TIGR01080', NULL, NULL, 'rplX_A_E: ribosomal protein uL24', NULL, 'TIGR01080', NULL, NULL, 4532, 16),
(197816, NULL, 'TIGR01361', NULL, NULL, 'DAHP_synth_Bsub: 3-deoxy-7-phosphoheptulonate synthase', NULL, 'TIGR01361', NULL, NULL, 3903, 16),
(197817, NULL, 'TIGR01241', NULL, NULL, 'FtsH_fam: ATP-dependent metallopeptidase HflB', NULL, 'TIGR01241', NULL, NULL, 424, 16),
(197818, NULL, 'TIGR04059', NULL, NULL, 'Ald_deCOase: long-chain fatty aldehyde decarbonylase', NULL, 'TIGR04059', NULL, NULL, 16920, 16),
(197819, NULL, 'TIGR01878', NULL, NULL, 'cas_Csa5: CRISPR type I-A/APERN-associated protein Csa5', NULL, 'TIGR01878', NULL, NULL, 10662, 16),
(197820, NULL, 'TIGR02212', NULL, NULL, 'lolCE: lipoprotein releasing system, transmembrane protein, LolC/E family', NULL, 'TIGR02212', NULL, NULL, 11223, 16),
(197821, NULL, 'TIGR03714', NULL, NULL, 'secA2: accessory Sec system translocase SecA2', NULL, 'TIGR03714', NULL, NULL, 16841, 16),
(197822, NULL, 'TIGR04352', NULL, NULL, 'HprK_rel_A: HprK-related kinase A', NULL, 'TIGR04352', NULL, NULL, 24199, 16),
(197823, NULL, 'TIGR00723', NULL, NULL, 'ttdB_fumA_fumB: hydrolyase, tartrate beta subunit/fumarate domain protein, Fe-S type', NULL, 'TIGR00723', NULL, NULL, 2858, 16),
(197824, NULL, 'TIGR02863', NULL, NULL, 'spore_sspJ: small, acid-soluble spore protein, SspJ family', NULL, 'TIGR02863', NULL, NULL, 10508, 16),
(197825, NULL, 'TIGR00945', NULL, NULL, 'tatC: twin arginine-targeting protein translocase TatC', NULL, 'TIGR00945', NULL, NULL, 5384, 16),
(197826, NULL, 'TIGR03834', NULL, NULL, 'EAGR_box: EAGR box', NULL, 'TIGR03834', NULL, NULL, 16024, 16),
(197827, NULL, 'TIGR02160', NULL, NULL, 'PA_CoA_Oxy5: phenylacetate-CoA oxygenase/reductase, PaaK subunit', NULL, 'TIGR02160', NULL, NULL, 8760, 16),
(197828, NULL, 'TIGR03662', NULL, NULL, 'Chlor_Arch_YYY: chlor_Arch_YYY domain', NULL, 'TIGR03662', NULL, NULL, 18682, 16),
(197829, NULL, 'TIGR01413', NULL, NULL, 'Dyp_perox_fam: Dyp-type peroxidase family', NULL, 'TIGR01413', NULL, NULL, 4575, 16),
(197830, NULL, 'TIGR02396', NULL, NULL, 'diverge_rpsU: rpsU-divergently transcribed protein', NULL, 'TIGR02396', NULL, NULL, 10268, 16),
(197831, NULL, 'TIGR03898', NULL, NULL, 'lanti_MRSA_kill: type 2 lantibiotic, mersacidin/lichenicidin family', NULL, 'TIGR03898', NULL, NULL, 24164, 16),
(197832, NULL, 'TIGR02915', NULL, NULL, 'PEP_resp_reg: PEP-CTERM-box response regulator transcription factor', NULL, 'TIGR02915', NULL, NULL, 11668, 16),
(197833, NULL, 'TIGR02332', NULL, NULL, 'HpaX: 4-hydroxyphenylacetate permease', NULL, 'TIGR02332', NULL, NULL, 11873, 16);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197834, NULL, 'TIGR02743', NULL, NULL, 'TraW: type-F conjugative transfer system protein TraW', NULL, 'TIGR02743', NULL, NULL, 13991, 16),
(197835, NULL, 'TIGR03093', NULL, NULL, 'SASP_sspL: small, acid-soluble spore protein L', NULL, 'TIGR03093', NULL, NULL, 15402, 16),
(197836, NULL, 'TIGR04293', NULL, NULL, 'archaeo_artF: archaeosortase family protein ArtF', NULL, 'TIGR04293', NULL, NULL, 28848, 16),
(197837, NULL, 'TIGR01937', NULL, NULL, 'nqrB: NADH:ubiquinone oxidoreductase, Na(+)-translocating, B subunit', NULL, 'TIGR01937', NULL, NULL, 2387, 16),
(197838, NULL, 'TIGR02797', NULL, NULL, 'exbB: tonB-system energizer ExbB', NULL, 'TIGR02797', NULL, NULL, 14070, 16),
(197839, NULL, 'TIGR03433', NULL, NULL, 'padR_acidobact: transcriptional regulator, Acidobacterial, PadR-family', NULL, 'TIGR03433', NULL, NULL, 19232, 16),
(197840, NULL, 'TIGR04071', NULL, NULL, 'methanobac_OB3b: methanobactin precursor, Mb-OB3b family', NULL, 'TIGR04071', NULL, NULL, 11148, 16),
(197841, NULL, 'TIGR00140', NULL, NULL, 'hupD: hydrogenase expression/formation protein', NULL, 'TIGR00140', NULL, NULL, 7178, 16),
(197842, NULL, 'TIGR01642', NULL, NULL, 'U2AF_lg: U2 snRNP auxilliary factor, large subunit, splicing factor', NULL, 'TIGR01642', NULL, NULL, 248, 16),
(197843, NULL, 'TIGR00435', NULL, NULL, 'cysS: cysteine--tRNA ligase', NULL, 'TIGR00435', NULL, NULL, 12686, 16),
(197844, NULL, 'TIGR04130', NULL, NULL, 'FnlA: UDP-N-acetylglucosamine 4,6-dehydratase/5-epimerase', NULL, 'TIGR04130', NULL, NULL, 21603, 16),
(197845, NULL, 'TIGR02148', NULL, NULL, 'Fibro_Slime: fibro-slime domain', NULL, 'TIGR02148', NULL, NULL, 14487, 16),
(197846, NULL, 'TIGR00664', NULL, NULL, 'DNA_III_psi: DNA polymerase III, psi subunit', NULL, 'TIGR00664', NULL, NULL, 20712, 16),
(197847, NULL, 'TIGR01229', NULL, NULL, 'rocF_arginase: arginase', NULL, 'TIGR01229', NULL, NULL, 9323, 16),
(197848, NULL, 'TIGR04411', NULL, NULL, 'T2SS_GspN_Lepto: type II secretion system protein N', NULL, 'TIGR04411', NULL, NULL, 25977, 16),
(197849, NULL, 'TIGR03381', NULL, NULL, 'agmatine_aguB: N-carbamoylputrescine amidase', NULL, 'TIGR03381', NULL, NULL, 19319, 16),
(197850, NULL, 'TIGR02207', NULL, NULL, 'lipid_A_htrB: lipid A biosynthesis lauroyl (or palmitoleoyl) acyltransferase', NULL, 'TIGR02207', NULL, NULL, 11089, 16),
(197851, NULL, 'TIGR03721', NULL, NULL, 'exospore_TM: BclB C-terminal domain', NULL, 'TIGR03721', NULL, NULL, 15582, 16),
(197852, NULL, 'TIGR01354', NULL, NULL, 'cyt_deam_tetra: cytidine deaminase', NULL, 'TIGR01354', NULL, NULL, 3603, 16),
(197853, NULL, 'TIGR03444', NULL, NULL, 'EgtA_Cys_ligase: ergothioneine biosynthesis glutamate--cysteine ligase EgtA', NULL, 'TIGR03444', NULL, NULL, 19847, 16),
(197854, NULL, 'TIGR01631', NULL, NULL, 'Trypano_RHS: trypanosome RHS family', NULL, 'TIGR01631', NULL, NULL, 172, 16),
(197855, NULL, 'TIGR03324', NULL, NULL, 'alt_F1F0_F1_al: alternate F1F0 ATPase, F1 subunit alpha', NULL, 'TIGR03324', NULL, NULL, 18258, 16),
(197856, NULL, 'TIGR00716', NULL, NULL, 'rnhC: ribonuclease HIII', NULL, 'TIGR00716', NULL, NULL, 2706, 16),
(197857, NULL, 'TIGR01386', NULL, NULL, 'cztS_silS_copS: heavy metal sensor kinase', NULL, 'TIGR01386', NULL, NULL, 3719, 16),
(197858, NULL, 'TIGR01408', NULL, NULL, 'Ube1: ubiquitin-activating enzyme E1', NULL, 'TIGR01408', NULL, NULL, 19192, 16),
(197859, NULL, 'TIGR04275', NULL, NULL, 'beta_prop_Msarc: beta propeller repeat', NULL, 'TIGR04275', NULL, NULL, 23579, 16),
(197860, NULL, 'TIGR04329', NULL, NULL, 'cas1_PREFRAN: CRISPR-associated endonuclease Cas1, subtype PREFRAN', NULL, 'TIGR04329', NULL, NULL, 23815, 16),
(197861, NULL, 'TIGR02185', NULL, NULL, 'Trep_Strep: putative ECF transporter S component, Trep_Strep family', NULL, 'TIGR02185', NULL, NULL, 11980, 16),
(197862, NULL, 'TIGR00800', NULL, NULL, 'ncs1: NCS1 nucleoside transporter family', NULL, 'TIGR00800', NULL, NULL, 10793, 16),
(197863, NULL, 'TIGR04391', NULL, NULL, 'CcmD_alt_fam: CcmD family protein', NULL, 'TIGR04391', NULL, NULL, 22616, 16),
(197864, NULL, 'TIGR00149', NULL, NULL, 'TIGR00149_YjbQ: secondary thiamine-phosphate synthase enzyme', NULL, 'TIGR00149', NULL, NULL, 3031, 16);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197865, NULL, 'TIGR00555', NULL, NULL, 'panK_eukar: pantothenate kinase', NULL, 'TIGR00555', NULL, NULL, 962, 16),
(197866, NULL, 'TIGR00095', NULL, NULL, 'TIGR00095: 16S rRNA (guanine(966)-N(2))-methyltransferase RsmD', NULL, 'TIGR00095', NULL, NULL, 5906, 16),
(197867, NULL, 'TIGR02239', NULL, NULL, 'recomb_RAD51: DNA repair protein RAD51', NULL, 'TIGR02239', NULL, NULL, 11371, 16),
(197868, NULL, 'TIGR00492', NULL, NULL, 'alr: alanine racemase', NULL, 'TIGR00492', NULL, NULL, 4706, 16),
(197869, NULL, 'TIGR01515', NULL, NULL, 'branching_enzym: 1,4-alpha-glucan branching enzyme', NULL, 'TIGR01515', NULL, NULL, 5870, 16),
(197870, NULL, 'TIGR03560', NULL, NULL, 'F420_Rv1855c: probable F420-dependent oxidoreductase, Rv1855c family', NULL, 'TIGR03560', NULL, NULL, 18040, 16),
(197871, NULL, 'TIGR00269', NULL, NULL, 'TIGR00269: TIGR00269 family protein', NULL, 'TIGR00269', NULL, NULL, 5763, 16),
(197872, NULL, 'TIGR03131', NULL, NULL, 'malonate_mdcH: malonate decarboxylase, epsilon subunit', NULL, 'TIGR03131', NULL, NULL, 15268, 16),
(197873, NULL, 'TIGR03592', NULL, NULL, 'yidC_oxa1_cterm: membrane protein insertase, YidC/Oxa1 family', NULL, 'TIGR03592', NULL, NULL, 27875, 16),
(197874, NULL, 'TIGR04243', NULL, NULL, 'nodulat_NodB: chitooligosaccharide deacetylase NodB', NULL, 'TIGR04243', NULL, NULL, 21568, 16),
(197875, NULL, 'TIGR00832', NULL, NULL, 'acr3: arsenical-resistance protein', NULL, 'TIGR00832', NULL, NULL, 3521, 16),
(197876, NULL, 'TIGR01944', NULL, NULL, 'rnfB: electron transport complex, RnfABCDGE type, B subunit', NULL, 'TIGR01944', NULL, NULL, 4413, 16),
(197877, NULL, 'TIGR01041', NULL, NULL, 'ATP_syn_B_arch: ATP synthase archaeal, B subunit', NULL, 'TIGR01041', NULL, NULL, 4584, 16),
(197878, NULL, 'TIGR02359', NULL, NULL, 'thiW: energy coupling factor transporter S component ThiW', NULL, 'TIGR02359', NULL, NULL, 10537, 16),
(197879, NULL, 'TIGR04449', NULL, NULL, 'halocin_C8_dom: halocin C8-like bacteriocin domain', NULL, 'TIGR04449', NULL, NULL, 28279, 16),
(197880, NULL, 'TIGR00122', NULL, NULL, 'birA_repr_reg: biotin operon repressor', NULL, 'TIGR00122', NULL, NULL, 5737, 16),
(197881, NULL, 'TIGR03596', NULL, NULL, 'GTPase_YlqF: ribosome biogenesis GTP-binding protein YlqF', NULL, 'TIGR03596', NULL, NULL, 12366, 16),
(197882, NULL, 'TIGR01751', NULL, NULL, 'crot-CoA-red: crotonyl-CoA carboxylase/reductase', NULL, 'TIGR01751', NULL, NULL, 2272, 16),
(197883, NULL, 'TIGR03789', NULL, NULL, 'pdsO: proteobacterial sortase system peptidoglycan-associated protein', NULL, 'TIGR03789', NULL, NULL, 16942, 16),
(197884, NULL, 'TIGR01948', NULL, NULL, 'rnfE: electron transport complex, RnfABCDGE type, E subunit', NULL, 'TIGR01948', NULL, NULL, 2403, 16),
(197885, NULL, 'TIGR02677', NULL, NULL, 'TIGR02677: TIGR02677 family protein', NULL, 'TIGR02677', NULL, NULL, 10063, 16),
(197886, NULL, 'TIGR00587', NULL, NULL, 'nfo: apurinic endonuclease (APN1)', NULL, 'TIGR00587', NULL, NULL, 3433, 16),
(197887, NULL, 'TIGR03056', NULL, NULL, 'bchO_mg_che_rel: putative magnesium chelatase accessory protein', NULL, 'TIGR03056', NULL, NULL, 21229, 16),
(197888, NULL, 'TIGR03816', NULL, NULL, 'tadE_like_DECH: helicase/secretion neighborhood TadE-like protein', NULL, 'TIGR03816', NULL, NULL, 16677, 16),
(197889, NULL, 'TIGR03936', NULL, NULL, 'sam_1_link_chp: radical SAM-linked protein', NULL, 'TIGR03936', NULL, NULL, 18911, 16),
(197890, NULL, 'TIGR01291', NULL, NULL, 'nodJ: ABC-2 type transporter, NodJ family', NULL, 'TIGR01291', NULL, NULL, 1241, 16),
(197891, NULL, 'TIGR02779', NULL, NULL, 'NHEJ_ligase_lig: DNA ligase D, ligase domain', NULL, 'TIGR02779', NULL, NULL, 14393, 16),
(197892, NULL, 'TIGR01828', NULL, NULL, 'pyru_phos_dikin: pyruvate, phosphate dikinase', NULL, 'TIGR01828', NULL, NULL, 10595, 16),
(197893, NULL, 'TIGR02434', NULL, NULL, 'CobF: precorrin-6A synthase (deacetylating)', NULL, 'TIGR02434', NULL, NULL, 11764, 16),
(197894, NULL, 'TIGR02641', NULL, NULL, 'gvpC_cyan_rpt: gas vesicle protein GvpC repeat', NULL, 'TIGR02641', NULL, NULL, 2413, 16),
(197895, NULL, 'TIGR00242', NULL, NULL, 'TIGR00242: division/cell wall cluster transcriptional repressor MraZ', NULL, 'TIGR00242', NULL, NULL, 5032, 16);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197896, NULL, 'TIGR03038', NULL, NULL, 'PS_II_psbM: photosystem II reaction center protein PsbM', NULL, 'TIGR03038', NULL, NULL, 2131, 16),
(197897, NULL, 'TIGR02899', NULL, NULL, 'spore_safA: spore coat assembly protein SafA', NULL, 'TIGR02899', NULL, NULL, 11013, 16),
(197898, NULL, 'TIGR01842', NULL, NULL, 'type_I_sec_PrtD: type I secretion system ATPase', NULL, 'TIGR01842', NULL, NULL, 10835, 16),
(197899, NULL, 'TIGR02761', NULL, NULL, 'TraE_TIGR: type IV conjugative transfer system protein TraE', NULL, 'TIGR02761', NULL, NULL, 4185, 16),
(197900, NULL, 'TIGR02314', NULL, NULL, 'ABC_MetN: D-methionine ABC transporter, ATP-binding protein', NULL, 'TIGR02314', NULL, NULL, 11727, 16),
(197901, NULL, 'TIGR03233', NULL, NULL, 'DNA_S_dndB: DNA sulfur modification protein DndB', NULL, 'TIGR03233', NULL, NULL, 16913, 16),
(197902, NULL, 'TIGR01068', NULL, NULL, 'thioredoxin: thioredoxin', NULL, 'TIGR01068', NULL, NULL, 4980, 16),
(197903, NULL, 'TIGR04486', NULL, NULL, 'thiosulf_SoxB: thiosulfohydrolase SoxB', NULL, 'TIGR04486', NULL, NULL, 22223, 16),
(197904, NULL, 'TIGR04520', NULL, NULL, 'ECF_ATPase_1: energy-coupling factor transporter ATPase', NULL, 'TIGR04520', NULL, NULL, 26769, 16),
(197905, NULL, 'TIGR00609', NULL, NULL, 'recB: exodeoxyribonuclease V, beta subunit', NULL, 'TIGR00609', NULL, NULL, 619, 16),
(197906, NULL, 'TIGR01023', NULL, NULL, 'rpmG_bact: ribosomal protein bL33', NULL, 'TIGR01023', NULL, NULL, 3347, 16),
(197907, NULL, 'TIGR02525', NULL, NULL, 'plasmid_TraJ: plasmid transfer ATPase TraJ', NULL, 'TIGR02525', NULL, NULL, 18517, 16),
(197908, NULL, 'TIGR04173', NULL, NULL, 'PIP_CTERM: PIP-CTERM protein sorting domain', NULL, 'TIGR04173', NULL, NULL, 24187, 16),
(197909, NULL, 'TIGR04021', NULL, NULL, 'LLM_DMSO2_sfnG: dimethyl sulfone monooxygenase SfnG', NULL, 'TIGR04021', NULL, NULL, 15305, 16),
(197910, NULL, 'TIGR03980', NULL, NULL, 'prismane_assoc: hybrid cluster protein-associated redox disulfide domain', NULL, 'TIGR03980', NULL, NULL, 17612, 16),
(197911, NULL, 'TIGR00340', NULL, NULL, 'zpr1_rel: zinc finger protein ZPR1 homolog', NULL, 'TIGR00340', NULL, NULL, 7497, 16),
(197912, NULL, 'TIGR02105', NULL, NULL, 'III_needle: type III secretion apparatus needle protein', NULL, 'TIGR02105', NULL, NULL, 14379, 16),
(197913, NULL, 'TIGR02550', NULL, NULL, 'flagell_flgL: flagellar hook-associated protein 3', NULL, 'TIGR02550', NULL, NULL, 11740, 16),
(197914, NULL, 'TIGR02970', NULL, NULL, 'succ_dehyd_cytB: succinate dehydrogenase, cytochrome b556 subunit', NULL, 'TIGR02970', NULL, NULL, 9727, 16),
(197915, NULL, 'TIGR04395', NULL, NULL, 'cutC_activ_rSAM: choline TMA-lyase-activating enzyme', NULL, 'TIGR04395', NULL, NULL, 26959, 16),
(197916, NULL, 'TIGR01252', NULL, NULL, 'acetolac_decarb: alpha-acetolactate decarboxylase', NULL, 'TIGR01252', NULL, NULL, 7465, 16),
(197917, NULL, 'TIGR02747', NULL, NULL, 'TraV: type IV conjugative transfer system protein TraV', NULL, 'TIGR02747', NULL, NULL, 13625, 16),
(197918, NULL, 'TIGR03476', NULL, NULL, 'HpnL: putative membrane protein', NULL, 'TIGR03476', NULL, NULL, NULL, 16),
(197919, NULL, 'TIGR04493', NULL, NULL, 'microcomp_PduM: microcompartment protein PduM', NULL, 'TIGR04493', NULL, NULL, 22211, 16),
(197920, NULL, 'TIGR00058', NULL, NULL, 'Hemerythrin: hemerythrin family non-heme iron protein', NULL, 'TIGR00058', NULL, NULL, 1372, 16),
(197921, NULL, 'TIGR03823', NULL, NULL, 'FliZ: flagellar regulatory protein FliZ', NULL, 'TIGR03823', NULL, NULL, 16867, 16),
(197922, NULL, 'TIGR01488', NULL, NULL, 'HAD-SF-IB: HAD phosphoserine phosphatase-like hydrolase, family IB', NULL, 'TIGR01488', NULL, NULL, NULL, 16),
(197923, NULL, 'TIGR02793', NULL, NULL, 'nikR: nickel-responsive transcriptional regulator NikR', NULL, 'TIGR02793', NULL, NULL, 14321, 16),
(197924, NULL, 'TIGR03011', NULL, NULL, 'sulf_tusB_dsrH: sulfur relay protein TusB/DsrH', NULL, 'TIGR03011', NULL, NULL, 6093, 16),
(197925, NULL, 'TIGR01853', NULL, NULL, 'lipid_A_lpxD: UDP-3-O-[3-hydroxymyristoyl] glucosamine N-acyltransferase LpxD', NULL, 'TIGR01853', NULL, NULL, 1251, 16);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197926, NULL, 'TIGR04377', NULL, NULL, 'myo_inos_iolD: 3,5/4-trihydroxycyclohexa-1,2-dione hydrolase', NULL, 'TIGR04377', NULL, NULL, 24402, 16),
(197927, NULL, 'TIGR01733', NULL, NULL, 'AA-adenyl-dom: amino acid adenylation domain', NULL, 'TIGR01733', NULL, NULL, 6024, 16),
(197928, NULL, 'TIGR03222', NULL, NULL, 'benzo_boxC: benzoyl-CoA-dihydrodiol lyase', NULL, 'TIGR03222', NULL, NULL, 16706, 16),
(197929, NULL, 'TIGR03342', NULL, NULL, 'dsrC_tusE_dsvC: sulfur relay protein, TusE/DsrC/DsvC family', NULL, 'TIGR03342', NULL, NULL, 4828, 16),
(197930, NULL, 'TIGR04032', NULL, NULL, 'toxin_SdpC: antimicrobial peptide, SdpC family', NULL, 'TIGR04032', NULL, NULL, 18230, 16),
(197931, NULL, 'TIGR04497', NULL, NULL, 'GRASP_targ_2: putative ATP-grasp target RiPP', NULL, 'TIGR04497', NULL, NULL, 22054, 16),
(197932, NULL, 'TIGR00453', NULL, NULL, 'ispD: 2-C-methyl-D-erythritol 4-phosphate cytidylyltransferase', NULL, 'TIGR00453', NULL, NULL, 686, 16),
(197933, NULL, 'TIGR04098', NULL, NULL, 'biosyn_clust_1: biosynthesis cluster domain', NULL, 'TIGR04098', NULL, NULL, NULL, 16),
(197934, NULL, 'TIGR00594', NULL, NULL, 'polc: DNA polymerase III, alpha subunit', NULL, 'TIGR00594', NULL, NULL, 4345, 16),
(197935, NULL, 'TIGR02543', NULL, NULL, 'List_Bact_rpt: repeat, TIGR02543 family', NULL, 'TIGR02543', NULL, NULL, 11879, 16),
(197936, NULL, 'TIGR03698', NULL, NULL, 'clan_AA_DTGF: clan AA aspartic protease, AF_0612 family', NULL, 'TIGR03698', NULL, NULL, 15805, 16),
(197937, NULL, 'TIGR01284', NULL, NULL, 'alt_nitrog_alph: nitrogenase alpha chain', NULL, 'TIGR01284', NULL, NULL, 1418, 16),
(197938, NULL, 'TIGR01143', NULL, NULL, 'murF: UDP-N-acetylmuramoyl-tripeptide--D-alanyl-D-alanine ligase', NULL, 'TIGR01143', NULL, NULL, 6639, 16),
(197939, NULL, 'TIGR00934', NULL, NULL, '2a38euk: potassium uptake protein, Trk family', NULL, 'TIGR00934', NULL, NULL, 5267, 16),
(197940, NULL, 'TIGR02532', NULL, NULL, 'IV_pilin_GFxxxE: prepilin-type N-terminal cleavage/methylation domain', NULL, 'TIGR02532', NULL, NULL, 13122, 16),
(197941, NULL, 'TIGR02090', NULL, NULL, 'LEU1_arch: isopropylmalate/citramalate/homocitrate synthases', NULL, 'TIGR02090', NULL, NULL, 14018, 16),
(197942, NULL, 'TIGR03687', NULL, NULL, 'pupylate_cterm: ubiquitin-like protein Pup', NULL, 'TIGR03687', NULL, NULL, 12977, 16),
(197943, NULL, 'TIGR00927', NULL, NULL, '2A1904: K+-dependent Na+/Ca+ exchanger', NULL, 'TIGR00927', NULL, NULL, 4194, 16),
(197944, NULL, 'TIGR02137', NULL, NULL, 'HSK-PSP: phosphoserine phosphatase/homoserine phosphotransferase bifunctional protein', NULL, 'TIGR02137', NULL, NULL, 14190, 16),
(197945, NULL, 'TIGR03694', NULL, NULL, 'exosort_acyl: N-acyl amino acid synthase, PEP-CTERM/exosortase system-associated', NULL, 'TIGR03694', NULL, NULL, 16643, 16),
(197946, NULL, 'TIGR01617', NULL, NULL, 'arsC_related: transcriptional regulator, Spx/MgsR family', NULL, 'TIGR01617', NULL, NULL, 7120, 16),
(197947, NULL, 'TIGR00446', NULL, NULL, 'nop2p: NOL1/NOP2/sun family putative RNA methylase', NULL, 'TIGR00446', NULL, NULL, 12975, 16),
(197948, NULL, 'TIGR04141', NULL, NULL, 'TIGR04141: sporadically distributed protein, TIGR04141 family', NULL, 'TIGR04141', NULL, NULL, 24002, 16),
(197949, NULL, 'TIGR01306', NULL, NULL, 'GMP_reduct_2: guanosine monophosphate reductase', NULL, 'TIGR01306', NULL, NULL, 1273, 16),
(197950, NULL, 'TIGR02536', NULL, NULL, 'eut_hyp: ethanolamine utilization protein', NULL, 'TIGR02536', NULL, NULL, 18706, 16),
(197951, NULL, 'TIGR00224', NULL, NULL, 'pckA: phosphoenolpyruvate carboxykinase (ATP)', NULL, 'TIGR00224', NULL, NULL, 5043, 16),
(197952, NULL, 'TIGR01726', NULL, NULL, 'HEQRo_perm_3TM: amino ABC transporter, permease protein, 3-TM region, His/Glu/Gln/Arg/opine family', NULL, 'TIGR01726', NULL, NULL, 6136, 16),
(197953, NULL, 'TIGR00344', NULL, NULL, 'alaS: alanine--tRNA ligase', NULL, 'TIGR00344', NULL, NULL, 6140, 16),
(197954, NULL, 'TIGR01846', NULL, NULL, 'type_I_sec_HlyB: type I secretion system ATPase', NULL, 'TIGR01846', NULL, NULL, 10996, 16),
(197955, NULL, 'TIGR04438', NULL, NULL, 'small_Trp_rich: small Trp-rich protein', NULL, 'TIGR04438', NULL, NULL, 28054, 16);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197956, NULL, 'TIGR02468', NULL, NULL, 'sucrsPsyn_pln: sucrose phosphate synthase', NULL, 'TIGR02468', NULL, NULL, 12532, 16),
(197957, NULL, 'TIGR01740', NULL, NULL, 'pyrF: orotidine 5''-phosphate decarboxylase', NULL, 'TIGR01740', NULL, NULL, 9214, 16),
(197958, NULL, 'TIGR00689', NULL, NULL, 'rpiB_lacA_lacB: sugar-phosphate isomerase, RpiB/LacA/LacB family', NULL, 'TIGR00689', NULL, NULL, 6047, 16),
(197959, NULL, 'TIGR02895', NULL, NULL, 'spore_sigI: RNA polymerase sigma-I factor', NULL, 'TIGR02895', NULL, NULL, 11031, 16),
(197960, NULL, 'TIGR04384', NULL, NULL, 'putr_carbamoyl: putrescine carbamoyltransferase', NULL, 'TIGR04384', NULL, NULL, 21678, 16),
(197961, NULL, 'TIGR02416', NULL, NULL, 'CO_dehy_Mo_lg: carbon-monoxide dehydrogenase, large subunit', NULL, 'TIGR02416', NULL, NULL, 10219, 16),
(197962, NULL, 'TIGR03158', NULL, NULL, 'cas3_cyano: CRISPR-associated helicase Cas3, subtype CYANO', NULL, 'TIGR03158', NULL, NULL, 16326, 16),
(197963, NULL, 'TIGR00460', NULL, NULL, 'fmt: methionyl-tRNA formyltransferase', NULL, 'TIGR00460', NULL, NULL, 6524, 16),
(197964, NULL, 'TIGR00167', NULL, NULL, 'cbbA: ketose-bisphosphate aldolase', NULL, 'TIGR00167', NULL, NULL, 6772, 16),
(197965, NULL, 'TIGR02003', NULL, NULL, 'PTS-II-BC-unk1: PTS system, IIBC component', NULL, 'TIGR02003', NULL, NULL, 10067, 16),
(197966, NULL, 'TIGR03932', NULL, NULL, 'PIA_icaD: intracellular adhesion protein D', NULL, 'TIGR03932', NULL, NULL, 20291, 16),
(197967, NULL, 'TIGR00880', NULL, NULL, '2_A_01_02: multidrug resistance protein', NULL, 'TIGR00880', NULL, NULL, 3522, 16),
(197968, NULL, 'TIGR02083', NULL, NULL, 'LEU2: 3-isopropylmalate dehydratase, large subunit', NULL, 'TIGR02083', NULL, NULL, 14225, 16),
(197969, NULL, 'TIGR03585', NULL, NULL, 'PseH: UDP-4-amino-4,6-dideoxy-N-acetyl-beta-L-altrosamine N-acetyltransferase', NULL, 'TIGR03585', NULL, NULL, 12178, 16),
(197970, NULL, 'TIGR02645', NULL, NULL, 'ARCH_P_rylase: putative thymidine phosphorylase', NULL, 'TIGR02645', NULL, NULL, 10435, 16),
(197971, NULL, 'TIGR02430', NULL, NULL, 'pcaF: 3-oxoadipyl-CoA thiolase', NULL, 'TIGR02430', NULL, NULL, 10487, 16),
(197972, NULL, 'TIGR03925', NULL, NULL, 'T7SS_EccC_b: type VII secretion protein EccCb', NULL, 'TIGR03925', NULL, NULL, 17453, 16),
(197973, NULL, 'TIGR01150', NULL, NULL, 'puhA: photosynthetic reaction center H subunit', NULL, 'TIGR01150', NULL, NULL, 2655, 16),
(197974, NULL, 'TIGR01962', NULL, NULL, 'NuoD: NADH dehydrogenase (quinone), D subunit', NULL, 'TIGR01962', NULL, NULL, 14625, 16),
(197975, NULL, 'TIGR03113', NULL, NULL, 'exosortase_2: exosortase B', NULL, 'TIGR03113', NULL, NULL, 15121, 16),
(197976, NULL, 'TIGR03918', NULL, NULL, 'GTP_HydF: [FeFe] hydrogenase H-cluster maturation GTPase HydF', NULL, 'TIGR03918', NULL, NULL, 17438, 16),
(197977, NULL, 'TIGR03335', NULL, NULL, 'F390_ftsA: coenzyme F390 synthetase', NULL, 'TIGR03335', NULL, NULL, 18033, 16),
(197978, NULL, 'TIGR00507', NULL, NULL, 'aroE: shikimate dehydrogenase', NULL, 'TIGR00507', NULL, NULL, 9089, 16),
(197979, NULL, 'TIGR01393', NULL, NULL, 'lepA: elongation factor 4', NULL, 'TIGR01393', NULL, NULL, 4807, 16),
(197980, NULL, 'TIGR02888', NULL, NULL, 'spore_YlmC_YmxH: sporulation protein, YlmC/YmxH family', NULL, 'TIGR02888', NULL, NULL, 10826, 16),
(197981, NULL, 'TIGR03578', NULL, NULL, 'EF_0831: conserved hypothetical protein EF_0831/AHA_3912', NULL, 'TIGR03578', NULL, NULL, 18221, 16),
(197982, NULL, 'TIGR02423', NULL, NULL, 'protocat_alph: protocatechuate 3,4-dioxygenase, alpha subunit', NULL, 'TIGR02423', NULL, NULL, 10336, 16),
(197983, NULL, 'TIGR02652', NULL, NULL, 'TIGR02652: TIGR02652 family protein', NULL, 'TIGR02652', NULL, NULL, 10202, 16),
(197984, NULL, 'TIGR02076', NULL, NULL, 'pyrH_arch: putative uridylate kinase', NULL, 'TIGR02076', NULL, NULL, 13214, 16),
(197985, NULL, 'TIGR03478', NULL, NULL, 'DMSO_red_II_bet: DMSO reductase family type II enzyme, iron-sulfur subunit', NULL, 'TIGR03478', NULL, NULL, 20042, 16),
(197986, NULL, 'TIGR04447', NULL, NULL, 'PatC_TenC_TruC: cyanobactin cluster PatC/TenC/TruC protein', NULL, 'TIGR04447', NULL, NULL, 28217, 16);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(197987, NULL, 'TIGR02357', NULL, NULL, 'ECF_ThiT_YuaJ: energy-coupled thiamine transporter ThiT', NULL, 'TIGR02357', NULL, NULL, 10549, 16),
(197988, NULL, 'TIGR03326', NULL, NULL, 'rubisco_III: ribulose bisphosphate carboxylase, type III', NULL, 'TIGR03326', NULL, NULL, 18039, 16),
(197989, NULL, 'TIGR01236', NULL, NULL, 'D1pyr5carbox1: 1-pyrroline-5-carboxylate dehydrogenase', NULL, 'TIGR01236', NULL, NULL, 34, 16),
(197990, NULL, 'TIGR03809', NULL, NULL, 'TIGR03809: TIGR03809 family protein', NULL, 'TIGR03809', NULL, NULL, 15723, 16),
(197991, NULL, 'TIGR02044', NULL, NULL, 'CueR: Cu(I)-responsive transcriptional regulator', NULL, 'TIGR02044', NULL, NULL, 13310, 16),
(197992, NULL, 'TIGR00437', NULL, NULL, 'feoB: ferrous iron transport protein B', NULL, 'TIGR00437', NULL, NULL, 4974, 16),
(197993, NULL, 'TIGR04134', NULL, NULL, 'lipo_with_rSAM: putative lipoprotein, rSAM/lipoprotein system', NULL, 'TIGR04134', NULL, NULL, 21573, 16),
(197994, NULL, 'TIGR00941', NULL, NULL, '2a6301s03: multicomponent Na+:H+ antiporter, MnhC subunit', NULL, 'TIGR00941', NULL, NULL, 2047, 16),
(197995, NULL, 'TIGR00267', NULL, NULL, 'TIGR00267: TIGR00267 family protein', NULL, 'TIGR00267', NULL, NULL, 2492, 16),
(197996, NULL, 'TIGR02527', NULL, NULL, 'dot_icm_IcmQ: Dot/Icm secretion system protein IcmQ', NULL, 'TIGR02527', NULL, NULL, 18660, 16),
(197997, NULL, 'TIGR03197', NULL, NULL, 'MnmC_Cterm: tRNA U-34 5-methylaminomethyl-2-thiouridine biosynthesis protein MnmC, C-terminal domain', NULL, 'TIGR03197', NULL, NULL, 16472, 16),
(197998, NULL, 'TIGR00950', NULL, NULL, '2A78: carboxylate/amino acid/amine transporter', NULL, 'TIGR00950', NULL, NULL, 5041, 16),
(197999, NULL, 'TIGR03648', NULL, NULL, 'Na_symport_lg: probable sodium:solute symporter, VC_2705 subfamily', NULL, 'TIGR03648', NULL, NULL, 12300, 16),
(198000, NULL, 'TIGR03639', NULL, NULL, 'cas1_NMENI: CRISPR-associated endonuclease Cas1, subtype II/NMENI', NULL, 'TIGR03639', NULL, NULL, 15383, 16),
(198001, NULL, 'TIGR00548', NULL, NULL, 'lolB: outer membrane lipoprotein LolB', NULL, 'TIGR00548', NULL, NULL, 922, 16),
(198002, NULL, 'TIGR01558', NULL, NULL, 'sm_term_P27: putative phage terminase, small subunit, P27 family', NULL, 'TIGR01558', NULL, NULL, 6627, 16),
(198003, NULL, 'TIGR00607', NULL, NULL, 'rad52: recombination protein rad52', NULL, 'TIGR00607', NULL, NULL, 806, 16),
(198004, NULL, 'TIGR02638', NULL, NULL, 'lactal_redase: lactaldehyde reductase', NULL, 'TIGR02638', NULL, NULL, 9137, 16),
(198005, NULL, 'TIGR00718', NULL, NULL, 'sda_alpha: L-serine dehydratase, iron-sulfur-dependent, alpha subunit', NULL, 'TIGR00718', NULL, NULL, 2606, 16),
(198006, NULL, 'TIGR00115', NULL, NULL, 'tig: trigger factor', NULL, 'TIGR00115', NULL, NULL, 10833, 16),
(198007, NULL, 'TIGR00276', NULL, NULL, 'TIGR00276: epoxyqueuosine reductase', NULL, 'TIGR00276', NULL, NULL, 7349, 16),
(198008, NULL, 'TIGR03013', NULL, NULL, 'EpsB_2: sugar transferase, PEP-CTERM system associated', NULL, 'TIGR03013', NULL, NULL, 21198, 16),
(198009, NULL, 'TIGR02205', NULL, NULL, 'septum_zipA: cell division protein ZipA', NULL, 'TIGR02205', NULL, NULL, 11170, 16),
(198010, NULL, 'TIGR02808', NULL, NULL, 'short_TIGR02808: TIGR02808 family protein', NULL, 'TIGR02808', NULL, NULL, 8799, 16),
(198011, NULL, 'TIGR02870', NULL, NULL, 'spore_II_D: stage II sporulation protein D', NULL, 'TIGR02870', NULL, NULL, 10604, 16),
(198012, NULL, 'TIGR03982', NULL, NULL, 'TIGR03982: His-Xaa-Ser system protein, TIGR03982 family', NULL, 'TIGR03982', NULL, NULL, 14616, 16),
(198013, NULL, 'TIGR00780', NULL, NULL, 'ccoN: cytochrome c oxidase, cbb3-type, subunit I', NULL, 'TIGR00780', NULL, NULL, 3096, 16),
(198014, NULL, 'TIGR04125', NULL, NULL, 'exosort_PGF_TRM: archaeosortase A', NULL, 'TIGR04125', NULL, NULL, 11929, 16),
(198015, NULL, 'TIGR01388', NULL, NULL, 'rnd: ribonuclease D', NULL, 'TIGR01388', NULL, NULL, 3541, 16),
(198016, NULL, 'TIGR01892', NULL, NULL, 'AcOrn-deacetyl: acetylornithine deacetylase (ArgE)', NULL, 'TIGR01892', NULL, NULL, 10625, 16),
(198017, NULL, 'TIGR02035', NULL, NULL, 'D_Ser_am_lyase: D-serine ammonia-lyase', NULL, 'TIGR02035', NULL, NULL, 13235, 16);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198018, NULL, 'TIGR04488', NULL, NULL, 'SoxY_true_GGCGG: thiosulfate oxidation carrier protein SoxY', NULL, 'TIGR04488', NULL, NULL, 18450, 16),
(198019, NULL, 'TIGR01790', NULL, NULL, 'carotene-cycl: lycopene cyclase family protein', NULL, 'TIGR01790', NULL, NULL, 2317, 16),
(198020, NULL, 'TIGR00378', NULL, NULL, 'cax: calcium/proton exchanger', NULL, 'TIGR00378', NULL, NULL, 5132, 16),
(198021, NULL, 'TIGR01277', NULL, NULL, 'thiQ: thiamine ABC transporter, ATP-binding protein', NULL, 'TIGR01277', NULL, NULL, 1079, 16),
(198022, NULL, 'TIGR03818', NULL, NULL, 'MotA1: flagellar motor stator protein MotA', NULL, 'TIGR03818', NULL, NULL, 16864, 16),
(198023, NULL, 'TIGR04304', NULL, NULL, 'GeoRSP_SPASM: GeoRSP system SPASM domain protein', NULL, 'TIGR04304', NULL, NULL, 23772, 16),
(198024, NULL, 'TIGR03830', NULL, NULL, 'CxxCG_CxxCG_HTH: putative zinc finger/helix-turn-helix protein, YgiT family', NULL, 'TIGR03830', NULL, NULL, 14591, 16),
(198025, NULL, 'TIGR00771', NULL, NULL, 'DcuC: transporter, anaerobic C4-dicarboxylate uptake C (DcuC) family', NULL, 'TIGR00771', NULL, NULL, 2982, 16),
(198026, NULL, 'TIGR00478', NULL, NULL, 'tly: TlyA family rRNA methyltransferase/putative hemolysin', NULL, 'TIGR00478', NULL, NULL, 1780, 16),
(198027, NULL, 'TIGR03299', NULL, NULL, 'LGT_TIGR03299: phage/plasmid-like protein TIGR03299', NULL, 'TIGR03299', NULL, NULL, 17998, 16),
(198028, NULL, 'TIGR03004', NULL, NULL, 'ectoine_ehuC: ectoine/hydroxyectoine ABC transporter, permease protein EhuC', NULL, 'TIGR03004', NULL, NULL, 11471, 16),
(198029, NULL, 'TIGR03660', NULL, NULL, 'T1SS_rpt_143: T1SS-143 repeat domain', NULL, 'TIGR03660', NULL, NULL, 15150, 16),
(198030, NULL, 'TIGR02316', NULL, NULL, 'propion_prpE: propionate--CoA ligase', NULL, 'TIGR02316', NULL, NULL, 11556, 16),
(198031, NULL, 'TIGR01415', NULL, NULL, 'trpB_rel: pyridoxal-phosphate dependent TrpB-like enzyme', NULL, 'TIGR01415', NULL, NULL, 4732, 16),
(198032, NULL, 'TIGR02085', NULL, NULL, 'meth_trns_rumB: 23S rRNA (uracil-5-)-methyltransferase RumB', NULL, 'TIGR02085', NULL, NULL, 14250, 16),
(198033, NULL, 'TIGR03469', NULL, NULL, 'HpnB: hopene-associated glycosyltransferase HpnB', NULL, 'TIGR03469', NULL, NULL, 20372, 16),
(198034, NULL, 'TIGR02629', NULL, NULL, 'L_rham_iso_rhiz: L-rhamnose catabolism isomerase', NULL, 'TIGR02629', NULL, NULL, 9386, 16),
(198035, NULL, 'TIGR03267', NULL, NULL, 'methan_mark_2: putative methanogenesis marker protein 2', NULL, 'TIGR03267', NULL, NULL, 17436, 16),
(198036, NULL, 'TIGR04166', NULL, NULL, 'methano_MtrB: tetrahydromethanopterin S-methyltransferase, subunit B', NULL, 'TIGR04166', NULL, NULL, 13366, 16),
(198037, NULL, 'TIGR04277', NULL, NULL, 'squa_tetra_cyc: tetrahymanol synthase', NULL, 'TIGR04277', NULL, NULL, 26296, 16),
(198038, NULL, 'TIGR03156', NULL, NULL, 'GTP_HflX: GTP-binding protein HflX', NULL, 'TIGR03156', NULL, NULL, 16449, 16),
(198039, NULL, 'TIGR00589', NULL, NULL, 'ogt: methylated-DNA--[protein]-cysteine S-methyltransferase', NULL, 'TIGR00589', NULL, NULL, 9557, 16),
(198040, NULL, 'TIGR00097', NULL, NULL, 'HMP-P_kinase: hydroxymethylpyrimidine kinase/phosphomethylpyrimidine kinase', NULL, 'TIGR00097', NULL, NULL, 5670, 16),
(198041, NULL, 'TIGR01599', NULL, NULL, 'PYST-A: Plasmodium yoelii subtelomeric family PYST-A', NULL, 'TIGR01599', NULL, NULL, 6331, 16),
(198042, NULL, 'TIGR00124', NULL, NULL, 'cit_ly_ligase: [citrate (pro-3S)-lyase] ligase', NULL, 'TIGR00124', NULL, NULL, 10545, 16),
(198043, NULL, 'TIGR01508', NULL, NULL, 'rib_reduct_arch: diaminohydroxyphosphoribosylaminopyrimidine reductase', NULL, 'TIGR01508', NULL, NULL, 5689, 16),
(198044, NULL, 'TIGR01245', NULL, NULL, 'trpD: anthranilate phosphoribosyltransferase', NULL, 'TIGR01245', NULL, NULL, 467, 16),
(198045, NULL, 'TIGR04506', NULL, NULL, 'F_threo_transal: fluorothreonine transaldolase', NULL, 'TIGR04506', NULL, NULL, 25572, 16),
(198046, NULL, 'TIGR00648', NULL, NULL, 'recU: recombination protein U', NULL, 'TIGR00648', NULL, NULL, 927, 16),
(198047, NULL, 'TIGR00929', NULL, NULL, 'VirB4_CagE: type IV secretion/conjugal transfer ATPase, VirB4 family', NULL, 'TIGR00929', NULL, NULL, 5606, 16);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198048, NULL, 'TIGR01075', NULL, NULL, 'uvrD: DNA helicase II', NULL, 'TIGR01075', NULL, NULL, 4910, 16),
(198049, NULL, 'TIGR01134', NULL, NULL, 'purF: amidophosphoribosyltransferase', NULL, 'TIGR01134', NULL, NULL, 6690, 16),
(198050, NULL, 'TIGR03607', NULL, NULL, 'TIGR03607: patatin-related protein', NULL, 'TIGR03607', NULL, NULL, 15165, 16),
(198051, NULL, 'TIGR04336', NULL, NULL, 'AmmeMemoSam_B: AmmeMemoRadiSam system protein B', NULL, 'TIGR04336', NULL, NULL, NULL, 16),
(198052, NULL, 'TIGR03941', NULL, NULL, 'tRNA_deam_assoc: putative tRNA adenosine deaminase-associated protein', NULL, 'TIGR03941', NULL, NULL, 17026, 16),
(198053, NULL, 'TIGR00759', NULL, NULL, 'aceE: pyruvate dehydrogenase (acetyl-transferring), homodimeric type', NULL, 'TIGR00759', NULL, NULL, 2628, 16),
(198054, NULL, 'TIGR03437', NULL, NULL, 'Soli_cterm: Solibacter uncharacterized C-terminal domain', NULL, 'TIGR03437', NULL, NULL, 19052, 16),
(198055, NULL, 'TIGR01338', NULL, NULL, 'phycocy_alpha: phycocyanin, alpha subunit', NULL, 'TIGR01338', NULL, NULL, 3550, 16),
(198056, NULL, 'TIGR00369', NULL, NULL, 'unchar_dom_1: uncharacterized domain 1', NULL, 'TIGR00369', NULL, NULL, 6112, 16),
(198057, NULL, 'TIGR01304', NULL, NULL, 'IMP_DH_rel_2: IMP dehydrogenase family protein', NULL, 'TIGR01304', NULL, NULL, 1226, 16),
(198058, NULL, 'TIGR02459', NULL, NULL, 'CbtB: cobalt transporter subunit CbtB (proposed)', NULL, 'TIGR02459', NULL, NULL, 13406, 16),
(198059, NULL, 'TIGR03771', NULL, NULL, 'anch_rpt_ABC: anchored repeat-type ABC transporter, ATP-binding subunit', NULL, 'TIGR03771', NULL, NULL, 16640, 16),
(198060, NULL, 'TIGR03376', NULL, NULL, 'glycerol3P_DH: glycerol-3-phosphate dehydrogenase (NAD(+))', NULL, 'TIGR03376', NULL, NULL, 19033, 16),
(198061, NULL, 'TIGR00560', NULL, NULL, 'pgsA: CDP-diacylglycerol--glycerol-3-phosphate 3-phosphatidyltransferase', NULL, 'TIGR00560', NULL, NULL, 719, 16),
(198062, NULL, 'TIGR01286', NULL, NULL, 'nifK: nitrogenase molybdenum-iron protein beta chain', NULL, 'TIGR01286', NULL, NULL, 1230, 16),
(198063, NULL, 'TIGR03546', NULL, NULL, 'TIGR03546: TIGR03546 family protein', NULL, 'TIGR03546', NULL, NULL, 18066, 16),
(198064, NULL, 'TIGR01939', NULL, NULL, 'nqrD: NADH:ubiquinone oxidoreductase, Na(+)-translocating, D subunit', NULL, 'TIGR01939', NULL, NULL, 10342, 16),
(198065, NULL, 'TIGR04345', NULL, NULL, 'ovoA_Cterm: putative 4-mercaptohistidine N1-methyltranferase', NULL, 'TIGR04345', NULL, NULL, 23633, 16),
(198066, NULL, 'TIGR04515', NULL, NULL, 'P450_rel_GT_act: P450-derived glycosyltranferase activator', NULL, 'TIGR04515', NULL, NULL, 26602, 16),
(198067, NULL, 'TIGR02738', NULL, NULL, 'TrbB: type-F conjugative transfer system pilin assembly thiol-disulfide isomerase TrbB', NULL, 'TIGR02738', NULL, NULL, 14100, 16),
(198068, NULL, 'TIGR01769', NULL, NULL, 'GGGP: phosphoglycerol geranylgeranyltransferase', NULL, 'TIGR01769', NULL, NULL, 1939, 16),
(198069, NULL, 'TIGR02972', NULL, NULL, 'TMAO_torE: trimethylamine N-oxide reductase system, TorE protein', NULL, 'TIGR02972', NULL, NULL, 9953, 16),
(198070, NULL, 'TIGR03490', NULL, NULL, 'Mycoplas_LppA: mycoides cluster lipoprotein, LppA/P72 family', NULL, 'TIGR03490', NULL, NULL, 15414, 16),
(198071, NULL, 'TIGR00730', NULL, NULL, 'TIGR00730: TIGR00730 family protein', NULL, 'TIGR00730', NULL, NULL, 4480, 16),
(198072, NULL, 'TIGR01456', NULL, NULL, 'CECR5: HAD hydrolase, TIGR01456 family', NULL, 'TIGR01456', NULL, NULL, 4659, 16),
(198073, NULL, 'TIGR03428', NULL, NULL, 'ureacarb_perm: permease, urea carboxylase system', NULL, 'TIGR03428', NULL, NULL, 19469, 16),
(198074, NULL, 'TIGR01994', NULL, NULL, 'SUF_scaf_2: SUF system FeS assembly protein, NifU family', NULL, 'TIGR01994', NULL, NULL, NULL, 16),
(198075, NULL, 'TIGR04236', NULL, NULL, 'seadorna_VP2: seadornavirus VP2 protein', NULL, 'TIGR04236', NULL, NULL, 23496, 16),
(198076, NULL, 'TIGR00013', NULL, NULL, 'taut: 4-oxalocrotonate tautomerase family enzyme', NULL, 'TIGR00013', NULL, NULL, 19120, 16),
(198077, NULL, 'TIGR01168', NULL, NULL, 'YSIRK_signal: gram-positive signal peptide, YSIRK family', NULL, 'TIGR01168', NULL, NULL, 6688, 16);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198078, NULL, 'TIGR02103', NULL, NULL, 'pullul_strch: alpha-1,6-glucosidases, pullulanase-type', NULL, 'TIGR02103', NULL, NULL, 14459, 16),
(198079, NULL, 'TIGR03258', NULL, NULL, 'PhnT: 2-aminoethylphosphonate ABC transport system, ATP-binding component PhnT', NULL, 'TIGR03258', NULL, NULL, 17357, 16),
(198080, NULL, 'TIGR04227', NULL, NULL, 'zmp_18_rpt: zinc metalloproteinase 18-residue repeat', NULL, 'TIGR04227', NULL, NULL, 27260, 16),
(198081, NULL, 'TIGR02146', NULL, NULL, 'LysS_fung_arch: homocitrate synthase', NULL, 'TIGR02146', NULL, NULL, 14243, 16),
(198082, NULL, 'TIGR03900', NULL, NULL, 'prc_long_Delta: putative carboxyl-terminal-processing protease, deltaproteobacterial', NULL, 'TIGR03900', NULL, NULL, 17013, 16),
(198083, NULL, 'TIGR00390', NULL, NULL, 'hslU: ATP-dependent protease HslVU, ATPase subunit', NULL, 'TIGR00390', NULL, NULL, 1624, 16),
(198084, NULL, 'TIGR03095', NULL, NULL, 'rusti_cyanin: rusticyanin', NULL, 'TIGR03095', NULL, NULL, 628, 16),
(198085, NULL, 'TIGR03537', NULL, NULL, 'DapC: succinyldiaminopimelate transaminase', NULL, 'TIGR03537', NULL, NULL, 17302, 16),
(198086, NULL, 'TIGR04508', NULL, NULL, 'queE_Cx14CxxC: 7-carboxy-7-deazaguanine synthase', NULL, 'TIGR04508', NULL, NULL, 25850, 16),
(198087, NULL, 'TIGR01175', NULL, NULL, 'pilM: type IV pilus assembly protein PilM', NULL, 'TIGR01175', NULL, NULL, 6722, 16),
(198088, NULL, 'TIGR04066', NULL, NULL, 'nat_prod_clost: peptide maturation system protein, TIGR04066 family', NULL, 'TIGR04066', NULL, NULL, 9766, 16),
(198089, NULL, 'TIGR01810', NULL, NULL, 'betA: choline dehydrogenase', NULL, 'TIGR01810', NULL, NULL, 9425, 16),
(198090, NULL, 'TIGR03707', NULL, NULL, 'PPK2_P_aer: polyphosphate kinase 2', NULL, 'TIGR03707', NULL, NULL, 16862, 16),
(198091, NULL, 'TIGR03265', NULL, NULL, 'PhnT2: putative 2-aminoethylphosphonate ABC transporter, ATP-binding protein', NULL, 'TIGR03265', NULL, NULL, 17008, 16),
(198092, NULL, 'TIGR00827', NULL, NULL, 'EIIC-GAT: PTS system, galactitol-specific IIC component', NULL, 'TIGR00827', NULL, NULL, 8228, 16),
(198093, NULL, 'TIGR02398', NULL, NULL, 'gluc_glyc_Psyn: glucosylglycerol-phosphate synthase', NULL, 'TIGR02398', NULL, NULL, 10396, 16),
(198094, NULL, 'TIGR00376', NULL, NULL, 'TIGR00376: putative DNA helicase', NULL, 'TIGR00376', NULL, NULL, 1229, 16),
(198095, NULL, 'TIGR03539', NULL, NULL, 'DapC_actino: succinyldiaminopimelate transaminase', NULL, 'TIGR03539', NULL, NULL, 17297, 16),
(198096, NULL, 'TIGR04406', NULL, NULL, 'LPS_export_lptB: LPS export ABC transporter ATP-binding protein', NULL, 'TIGR04406', NULL, NULL, 23932, 16),
(198097, NULL, 'TIGR03088', NULL, NULL, 'stp2: sugar transferase, PEP-CTERM/EpsH1 system associated', NULL, 'TIGR03088', NULL, NULL, 15061, 16),
(198098, NULL, 'TIGR02691', NULL, NULL, 'arsC_pI258_fam: arsenate reductase (thioredoxin)', NULL, 'TIGR02691', NULL, NULL, 13925, 16),
(198099, NULL, 'TIGR03367', NULL, NULL, 'queuosine_QueD: queuosine biosynthesis protein QueD', NULL, 'TIGR03367', NULL, NULL, 453, 16),
(198100, NULL, 'TIGR00841', NULL, NULL, 'bass: bile acid transporter', NULL, 'TIGR00841', NULL, NULL, 3983, 16),
(198101, NULL, 'TIGR03369', NULL, NULL, 'cellulose_bcsE: cellulose biosynthesis protein BcsE', NULL, 'TIGR03369', NULL, NULL, 19114, 16),
(198102, NULL, 'TIGR04234', NULL, NULL, 'seadorna_RNAP: RNA-directed RNA polymerase', NULL, 'TIGR04234', NULL, NULL, 23394, 16),
(198103, NULL, 'TIGR02861', NULL, NULL, 'SASP_H: small acid-soluble spore protein, H-type', NULL, 'TIGR02861', NULL, NULL, 9675, 16),
(198104, NULL, 'TIGR02214', NULL, NULL, 'spoVD_pbp: stage V sporulation protein D', NULL, 'TIGR02214', NULL, NULL, 11490, 16),
(198105, NULL, 'TIGR00709', NULL, NULL, 'dat: 2,4-diaminobutyrate 4-transaminase', NULL, 'TIGR00709', NULL, NULL, 2774, 16),
(198106, NULL, 'TIGR02568', NULL, NULL, 'LcrE: type III secretion regulator YopN/LcrE/InvE/MxiC', NULL, 'TIGR02568', NULL, NULL, 11669, 16),
(198107, NULL, 'TIGR04404', NULL, NULL, 'RiPP_SkfA: sporulation killing factor', NULL, 'TIGR04404', NULL, NULL, 27981, 16),
(198108, NULL, 'TIGR00900', NULL, NULL, '2A0121: H+ Antiporter protein', NULL, 'TIGR00900', NULL, NULL, 5108, 16);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198109, NULL, 'TIGR04175', NULL, NULL, 'archaeo_artD: archaeosortase D', NULL, 'TIGR04175', NULL, NULL, 21854, 16),
(198110, NULL, 'TIGR04057', NULL, NULL, 'SusC_RagA_signa: TonB-dependent outer membrane receptor, SusC/RagA subfamily, signature region', NULL, 'TIGR04057', NULL, NULL, 18979, 16),
(198111, NULL, 'TIGR00671', NULL, NULL, 'baf: pantothenate kinase, type III', NULL, 'TIGR00671', NULL, NULL, 2468, 16),
(198112, NULL, 'TIGR03716', NULL, NULL, 'R_switched_YkoY: integral membrane protein, YkoY family', NULL, 'TIGR03716', NULL, NULL, 16744, 16),
(198113, NULL, 'TIGR00539', NULL, NULL, 'hemN_rel: putative oxygen-independent coproporphyrinogen III oxidase', NULL, 'TIGR00539', NULL, NULL, 644, 16),
(198114, NULL, 'TIGR01177', NULL, NULL, 'TIGR01177: putative methyltransferase, TIGR01177 family', NULL, 'TIGR01177', NULL, NULL, 6843, 16),
(198115, NULL, 'TIGR03709', NULL, NULL, 'PPK2_rel_1: polyphosphate:nucleotide phosphotransferase, PPK2 family', NULL, 'TIGR03709', NULL, NULL, 15532, 16),
(198116, NULL, 'TIGR00657', NULL, NULL, 'asp_kinases: aspartate kinase', NULL, 'TIGR00657', NULL, NULL, 7468, 16),
(198117, NULL, 'TIGR01066', NULL, NULL, 'rplM_bact: ribosomal protein uL13', NULL, 'TIGR01066', NULL, NULL, 6635, 16),
(198118, NULL, 'TIGR02679', NULL, NULL, 'TIGR02679: TIGR02679 family protein', NULL, 'TIGR02679', NULL, NULL, 10477, 16),
(198119, NULL, 'TIGR04064', NULL, NULL, 'rSAM_nif11: nif11-like peptide radical SAM maturase', NULL, 'TIGR04064', NULL, NULL, 11729, 16),
(198120, NULL, 'TIGR01406', NULL, NULL, 'dnaQ_proteo: DNA polymerase III, epsilon subunit', NULL, 'TIGR01406', NULL, NULL, 4501, 16),
(198121, NULL, 'TIGR02908', NULL, NULL, 'CoxD_Bacillus: cytochrome c oxidase, subunit IVB', NULL, 'TIGR02908', NULL, NULL, 11688, 16),
(198122, NULL, 'TIGR01517', NULL, NULL, 'ATPase-IIB_Ca: calcium-translocating P-type ATPase, PMCA-type', NULL, 'TIGR01517', NULL, NULL, 5552, 16),
(198123, NULL, 'TIGR00487', NULL, NULL, 'IF-2: translation initiation factor IF-2', NULL, 'TIGR00487', NULL, NULL, 1527, 16),
(198124, NULL, 'TIGR01347', NULL, NULL, 'sucB: dihydrolipoyllysine-residue succinyltransferase, E2 component of oxoglutarate dehydrogenase (succinyl-transferring) complex', NULL, 'TIGR01347', NULL, NULL, 3678, 16),
(198125, NULL, 'TIGR02849', NULL, NULL, 'spore_III_AD: stage III sporulation protein AD', NULL, 'TIGR02849', NULL, NULL, 9334, 16),
(198126, NULL, 'TIGR00199', NULL, NULL, 'PncC_domain: amidohydrolase, PncC family', NULL, 'TIGR00199', NULL, NULL, 6155, 16),
(198127, NULL, 'TIGR00022', NULL, NULL, 'TIGR00022: YhcH/YjgK/YiaL family protein', NULL, 'TIGR00022', NULL, NULL, 5755, 16),
(198128, NULL, 'TIGR00546', NULL, NULL, 'lnt: apolipoprotein N-acyltransferase', NULL, 'TIGR00546', NULL, NULL, 699, 16),
(198129, NULL, 'TIGR02752', NULL, NULL, 'MenG_heptapren: demethylmenaquinone methyltransferase', NULL, 'TIGR02752', NULL, NULL, 13702, 16),
(198130, NULL, 'TIGR02806', NULL, NULL, 'clostrip: clostripain', NULL, 'TIGR02806', NULL, NULL, 8999, 16),
(198131, NULL, 'TIGR00868', NULL, NULL, 'hCaCC: calcium-activated chloride channel protein 1', NULL, 'TIGR00868', NULL, NULL, 3702, 16),
(198132, NULL, 'TIGR01783', NULL, NULL, 'TonB-siderophor: TonB-dependent siderophore receptor', NULL, 'TIGR01783', NULL, NULL, 2487, 16),
(198133, NULL, 'TIGR03927', NULL, NULL, 'T7SS_EssA_Firm: type VII secretion protein EssA', NULL, 'TIGR03927', NULL, NULL, 15045, 16),
(198134, NULL, 'TIGR03047', NULL, NULL, 'PS_II_psb28: photosystem II reaction center protein Psb28', NULL, 'TIGR03047', NULL, NULL, 2620, 16),
(198135, NULL, 'TIGR01837', NULL, NULL, 'PHA_granule_1: poly(hydroxyalkanoate) granule-associated protein', NULL, 'TIGR01837', NULL, NULL, 12062, 16),
(198136, NULL, 'TIGR01667', NULL, NULL, 'YCCS_YHJK: integral membrane protein, YccS/YhfK family', NULL, 'TIGR01667', NULL, NULL, 5476, 16),
(198137, NULL, 'TIGR04016', NULL, NULL, 'WcaB: colanic acid biosynthesis acetyltransferase WcaB', NULL, 'TIGR04016', NULL, NULL, 11732, 16),
(198138, NULL, 'TIGR03873', NULL, NULL, 'F420-0_ABC_ATP: proposed F420-0 ABC transporter, ATP-binding protein', NULL, 'TIGR03873', NULL, NULL, 21337, 16);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198139, NULL, 'TIGR01202', NULL, NULL, 'bchC: chlorophyll synthesis pathway protein BchC', NULL, 'TIGR01202', NULL, NULL, 6665, 16),
(198140, NULL, 'TIGR03757', NULL, NULL, 'conj_TIGR03757: integrating conjugative element protein, PFL_4709 family', NULL, 'TIGR03757', NULL, NULL, 11158, 16),
(198141, NULL, 'TIGR04132', NULL, NULL, 'intra_fol_E_lig: putative folate metabolism gamma-glutamate ligase', NULL, 'TIGR04132', NULL, NULL, 21644, 16),
(198142, NULL, 'TIGR00063', NULL, NULL, 'folE: GTP cyclohydrolase I', NULL, 'TIGR00063', NULL, NULL, 3188, 16),
(198143, NULL, 'TIGR00158', NULL, NULL, 'L9: ribosomal protein bL9', NULL, 'TIGR00158', NULL, NULL, 20770, 16),
(198144, NULL, 'TIGR01073', NULL, NULL, 'pcrA: ATP-dependent DNA helicase PcrA', NULL, 'TIGR01073', NULL, NULL, 4608, 16),
(198145, NULL, 'TIGR00943', NULL, NULL, '2a6301s02: monovalent cation:proton antiporter', NULL, 'TIGR00943', NULL, NULL, 4144, 16),
(198146, NULL, 'TIGR02922', NULL, NULL, 'TIGR02922: TIGR02922 family protein', NULL, 'TIGR02922', NULL, NULL, 11584, 16),
(198147, NULL, 'TIGR02582', NULL, NULL, 'cas7_TM1809: CRISPR type III-A/MTUBE-associated RAMP protein Csm3', NULL, 'TIGR02582', NULL, NULL, 9414, 16),
(198148, NULL, 'TIGR02153', NULL, NULL, 'gatD_arch: glutamyl-tRNA(Gln) amidotransferase, subunit D', NULL, 'TIGR02153', NULL, NULL, 8854, 16),
(198149, NULL, 'TIGR01470', NULL, NULL, 'cysG_Nterm: siroheme synthase, N-terminal domain', NULL, 'TIGR01470', NULL, NULL, 5790, 16),
(198150, NULL, 'TIGR00403', NULL, NULL, 'ndhI: NADH-plastoquinone oxidoreductase, I subunit', NULL, 'TIGR00403', NULL, NULL, 1878, 16),
(198151, NULL, 'TIGR01912', NULL, NULL, 'TatC-Arch: Sec-independent protein translocase TatC', NULL, 'TIGR01912', NULL, NULL, 9027, 16),
(198152, NULL, 'TIGR03605', NULL, NULL, 'antibiot_sagB: SagB-type dehydrogenase domain', NULL, 'TIGR03605', NULL, NULL, 18133, 16),
(198153, NULL, 'TIGR00698', NULL, NULL, 'TIGR00698: conserved hypothetical protein', NULL, 'TIGR00698', NULL, NULL, 2699, 16),
(198154, NULL, 'TIGR04168', NULL, NULL, 'TIGR04168: TIGR04168 family protein', NULL, 'TIGR04168', NULL, NULL, 23653, 16),
(198155, NULL, 'TIGR02788', NULL, NULL, 'VirB11: P-type DNA transfer ATPase VirB11', NULL, 'TIGR02788', NULL, NULL, 14471, 16),
(198156, NULL, 'TIGR02078', NULL, NULL, 'AspKin_pair: putative Pyrococcus aspartate kinase subunit', NULL, 'TIGR02078', NULL, NULL, 14302, 16),
(198157, NULL, 'TIGR04338', NULL, NULL, 'HEXXH_Rv0185: putative metallohydrolase, TIGR04338 family', NULL, 'TIGR04338', NULL, NULL, 29271, 16),
(198158, NULL, 'TIGR01640', NULL, NULL, 'F_box_assoc_1: F-box protein interaction domain', NULL, 'TIGR01640', NULL, NULL, 18686, 16),
(198159, NULL, 'TIGR03435', NULL, NULL, 'Soli_TIGR03435: soil-associated protein, TIGR03435 family', NULL, 'TIGR03435', NULL, NULL, 19199, 16),
(198160, NULL, 'TIGR02248', NULL, NULL, 'mutH_TIGR: DNA mismatch repair endonuclease MutH', NULL, 'TIGR02248', NULL, NULL, 3673, 16),
(198161, NULL, 'TIGR00233', NULL, NULL, 'trpS: tryptophan--tRNA ligase', NULL, 'TIGR00233', NULL, NULL, 6052, 16),
(198162, NULL, 'TIGR02323', NULL, NULL, 'CP_lyasePhnK: phosphonate C-P lyase system protein PhnK', NULL, 'TIGR02323', NULL, NULL, 11842, 16),
(198163, NULL, 'TIGR00773', NULL, NULL, 'NhaA: Na+/H+ antiporter NhaA', NULL, 'TIGR00773', NULL, NULL, 2861, 16),
(198164, NULL, 'TIGR01395', NULL, NULL, 'FlgC: flagellar basal-body rod protein FlgC', NULL, 'TIGR01395', NULL, NULL, 4985, 16),
(198165, NULL, 'TIGR00328', NULL, NULL, 'flhB: flagellar biosynthetic protein FlhB', NULL, 'TIGR00328', NULL, NULL, 10265, 16),
(198166, NULL, 'TIGR00274', NULL, NULL, 'TIGR00274: N-acetylmuramic acid 6-phosphate etherase', NULL, 'TIGR00274', NULL, NULL, 843, 16),
(198167, NULL, 'TIGR01742', NULL, NULL, 'SA_tandem_lipo: Staphylococcus tandem lipoproteins', NULL, 'TIGR01742', NULL, NULL, 2905, 16),
(198168, NULL, 'TIGR03333', NULL, NULL, 'salvage_mtnX: 2-hydroxy-3-keto-5-methylthiopentenyl-1-phosphate phosphatase', NULL, 'TIGR03333', NULL, NULL, 18110, 16),
(198169, NULL, 'TIGR03006', NULL, NULL, 'pepcterm_polyde: polysaccharide deacetylase family protein, PEP-CTERM locus subfamily', NULL, 'TIGR03006', NULL, NULL, 11029, 16);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198170, NULL, 'TIGR02466', NULL, NULL, 'TIGR02466: conserved hypothetical protein', NULL, 'TIGR02466', NULL, NULL, 13476, 16),
(198171, NULL, 'TIGR01449', NULL, NULL, 'PGP_bact: phosphoglycolate phosphatase, bacterial', NULL, 'TIGR01449', NULL, NULL, 4886, 16),
(198172, NULL, 'TIGR04302', NULL, NULL, 'geo_PqqD_fam: GeoRSP system PqqD family protein', NULL, 'TIGR04302', NULL, NULL, 23886, 16),
(198173, NULL, 'TIGR02296', NULL, NULL, 'HpaC: 4-hydroxyphenylacetate 3-monooxygenase, reductase component', NULL, 'TIGR02296', NULL, NULL, 13484, 16),
(198174, NULL, 'TIGR03798', NULL, NULL, 'ocin_TIGR03798: nif11-like leader peptide domain', NULL, 'TIGR03798', NULL, NULL, 16530, 16),
(198175, NULL, 'TIGR03968', NULL, NULL, 'mycofact_TetR: mycofactocin system transcriptional regulator', NULL, 'TIGR03968', NULL, NULL, 17181, 16),
(198176, NULL, 'TIGR03587', NULL, NULL, 'Pse_Me-ase: pseudaminic acid biosynthesis-associated methylase', NULL, 'TIGR03587', NULL, NULL, 12193, 16),
(198177, NULL, 'TIGR01626', NULL, NULL, 'ytfJ_HI0045: conserved hypothetical protein YtfJ-family, TIGR01626', NULL, 'TIGR01626', NULL, NULL, 6954, 16),
(198178, NULL, 'TIGR01572', NULL, NULL, 'A_thl_para_3677: Arabidopsis paralogous family TIGR01572', NULL, 'TIGR01572', NULL, NULL, 6544, 16),
(198179, NULL, 'TIGR03503', NULL, NULL, 'TIGR03503: TIGR03503 family protein', NULL, 'TIGR03503', NULL, NULL, 17071, 16),
(198180, NULL, 'TIGR00596', NULL, NULL, 'rad1: DNA repair protein (rad1)', NULL, 'TIGR00596', NULL, NULL, 10074, 16),
(198181, NULL, 'TIGR00117', NULL, NULL, 'acnB: aconitate hydratase 2', NULL, 'TIGR00117', NULL, NULL, 5817, 16),
(198182, NULL, 'TIGR01619', NULL, NULL, 'hyp_HI0040: TIGR01619 family protein', NULL, 'TIGR01619', NULL, NULL, 7087, 16),
(198183, NULL, 'TIGR03122', NULL, NULL, 'one_C_dehyd_C: formylmethanofuran dehydrogenase subunit C', NULL, 'TIGR03122', NULL, NULL, 15276, 16),
(198184, NULL, 'TIGR00451', NULL, NULL, 'unchar_dom_2: uncharacterized domain 2', NULL, 'TIGR00451', NULL, NULL, 1589, 16),
(198185, NULL, 'TIGR01127', NULL, NULL, 'ilvA_1Cterm: threonine ammonia-lyase', NULL, 'TIGR01127', NULL, NULL, 5604, 16),
(198186, NULL, 'TIGR02001', NULL, NULL, 'gcw_chp: conserved hypothetical protein', NULL, 'TIGR02001', NULL, NULL, 5054, 16),
(198187, NULL, 'TIGR01279', NULL, NULL, 'DPOR_bchN: light-independent protochlorophyllide reductase, N subunit', NULL, 'TIGR01279', NULL, NULL, 1250, 16),
(198188, NULL, 'TIGR04284', NULL, NULL, 'aldehy_Rv0768: aldehyde dehydrogenase, Rv0768 family', NULL, 'TIGR04284', NULL, NULL, 27207, 16),
(198189, NULL, 'TIGR01953', NULL, NULL, 'NusA: transcription termination factor NusA', NULL, 'TIGR01953', NULL, NULL, 4369, 16),
(198190, NULL, 'TIGR00444', NULL, NULL, 'mazG: MazG family protein', NULL, 'TIGR00444', NULL, NULL, 10548, 16),
(198191, NULL, 'TIGR03319', NULL, NULL, 'RNase_Y: ribonuclease Y', NULL, 'TIGR03319', NULL, NULL, 18056, 16),
(198192, NULL, 'TIGR02636', NULL, NULL, 'galM_Leloir: galactose mutarotase', NULL, 'TIGR02636', NULL, NULL, 9113, 16),
(198193, NULL, 'TIGR00621', NULL, NULL, 'ssb: single-stranded DNA-binding protein', NULL, 'TIGR00621', NULL, NULL, 11269, 16),
(198194, NULL, 'TIGR03149', NULL, NULL, 'cyt_nit_nrfC: cytochrome c nitrite reductase, Fe-S protein', NULL, 'TIGR03149', NULL, NULL, 15829, 16),
(198195, NULL, 'TIGR04454', NULL, NULL, 'Lepto_4Cys: small lipoprotein, LB_250 family', NULL, 'TIGR04454', NULL, NULL, 28286, 16),
(198196, NULL, 'TIGR02289', NULL, NULL, 'M3_not_pepF: oligoendopeptidase, M3 family', NULL, 'TIGR02289', NULL, NULL, 13304, 16),
(198197, NULL, 'TIGR00335', NULL, NULL, 'primase_sml: putative DNA primase, eukaryotic-type, small subunit', NULL, 'TIGR00335', NULL, NULL, 9376, 16),
(198198, NULL, 'TIGR02425', NULL, NULL, 'decarb_PcaC: 4-carboxymuconolactone decarboxylase', NULL, 'TIGR02425', NULL, NULL, 10236, 16),
(198199, NULL, 'TIGR02371', NULL, NULL, 'ala_DH_arch: alanine dehydrogenase', NULL, 'TIGR02371', NULL, NULL, 9385, 16),
(198200, NULL, 'TIGR02704', NULL, NULL, 'carboxysome_B: carboxysome peptide B', NULL, 'TIGR02704', NULL, NULL, 13512, 16);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198201, NULL, 'TIGR02650', NULL, NULL, 'RNase_Z_T_toga: ribonuclease Z, Thermotoga type', NULL, 'TIGR02650', NULL, NULL, 10030, 16),
(198202, NULL, 'TIGR00281', NULL, NULL, 'TIGR00281: segregation and condensation protein B', NULL, 'TIGR00281', NULL, NULL, 11460, 16),
(198203, NULL, 'TIGR03859', NULL, NULL, 'PQQ_PqqD: coenzyme PQQ biosynthesis protein PqqD', NULL, 'TIGR03859', NULL, NULL, 16617, 16),
(198204, NULL, 'TIGR02820', NULL, NULL, 'formald_GSH: S-(hydroxymethyl)glutathione synthase', NULL, 'TIGR02820', NULL, NULL, 8905, 16),
(198205, NULL, 'TIGR03975', NULL, NULL, 'rSAM_ocin_1: ribosomal peptide maturation radical SAM protein 1', NULL, 'TIGR03975', NULL, NULL, 11630, 16),
(198206, NULL, 'TIGR00882', NULL, NULL, '2A0105: oligosaccharide:H+ symporter', NULL, 'TIGR00882', NULL, NULL, 5853, 16),
(198207, NULL, 'TIGR01025', NULL, NULL, 'uS19_arch: ribosomal protein uS19', NULL, 'TIGR01025', NULL, NULL, 3952, 16),
(198208, NULL, 'TIGR03115', NULL, NULL, 'cas7_csf2: CRISPR type IV/AFERR-associated protein Csf2', NULL, 'TIGR03115', NULL, NULL, 15263, 16),
(198209, NULL, 'TIGR03061', NULL, NULL, 'pip_yhgE_Nterm: YhgE/Pip N-terminal domain', NULL, 'TIGR03061', NULL, NULL, 21182, 16),
(198210, NULL, 'TIGR00505', NULL, NULL, 'ribA: GTP cyclohydrolase II', NULL, 'TIGR00505', NULL, NULL, 3009, 16),
(198211, NULL, 'TIGR03510', NULL, NULL, 'XapX: XapX domain', NULL, 'TIGR03510', NULL, NULL, 18075, 16),
(198212, NULL, 'TIGR01960', NULL, NULL, 'ndhF3_CO2: NAD(P)H dehydrogenase, subunit NdhF3 family', NULL, 'TIGR01960', NULL, NULL, 4090, 16),
(198213, NULL, 'TIGR01565', NULL, NULL, 'homeo_ZF_HD: homeobox domain, ZF-HD class', NULL, 'TIGR01565', NULL, NULL, 6881, 16),
(198214, NULL, 'TIGR00410', NULL, NULL, 'lacE: PTS system, lactose/cellobiose family IIC component', NULL, 'TIGR00410', NULL, NULL, 1610, 16),
(198215, NULL, 'TIGR00165', NULL, NULL, 'S18: ribosomal protein bS18', NULL, 'TIGR00165', NULL, NULL, 5234, 16),
(198216, NULL, 'TIGR04030', NULL, NULL, 'perox_Avi_7169: alkylhydroperoxidase domain protein, Avi_7169 family', NULL, 'TIGR04030', NULL, NULL, 18721, 16),
(198217, NULL, 'TIGR00056', NULL, NULL, 'TIGR00056: ABC transport permease subunit', NULL, 'TIGR00056', NULL, NULL, 5979, 16),
(198218, NULL, 'TIGR01100', NULL, NULL, 'V_ATP_synt_C: V-type ATPase, C subunit', NULL, 'TIGR01100', NULL, NULL, 12133, 16),
(198219, NULL, 'TIGR04200', NULL, NULL, 'targ_of_XrtJ: XrtJ-associated TM-motif-TM protein', NULL, 'TIGR04200', NULL, NULL, 27032, 16),
(198220, NULL, 'TIGR04023', NULL, NULL, 'PPOX_MSMEG_5819: PPOX class F420-dependent enzyme, MSMEG_5819/OxyR family', NULL, 'TIGR04023', NULL, NULL, 11765, 16),
(198221, NULL, 'TIGR01905', NULL, NULL, 'paired_CXXCH_1: doubled CXXCH domain', NULL, 'TIGR01905', NULL, NULL, 4493, 16),
(198222, NULL, 'TIGR03108', NULL, NULL, 'eps_aminotran_1: exosortase A system-associated amidotransferase 1', NULL, 'TIGR03108', NULL, NULL, 15090, 16),
(198223, NULL, 'TIGR04495', NULL, NULL, 'RiPP_XyeA: putative rSAM-modified RiPP, XyeA family', NULL, 'TIGR04495', NULL, NULL, 22143, 16),
(198224, NULL, 'TIGR01735', NULL, NULL, 'FGAM_synt: phosphoribosylformylglycinamidine synthase', NULL, 'TIGR01735', NULL, NULL, 2288, 16),
(198225, NULL, 'TIGR02480', NULL, NULL, 'fliN: flagellar motor switch protein FliN', NULL, 'TIGR02480', NULL, NULL, 12968, 16),
(198226, NULL, 'TIGR03170', NULL, NULL, 'flgA_cterm: flagella basal body P-ring formation protein FlgA', NULL, 'TIGR03170', NULL, NULL, 16474, 16),
(198227, NULL, 'TIGR00875', NULL, NULL, 'fsa_talC_mipB: fructose-6-phosphate aldolase', NULL, 'TIGR00875', NULL, NULL, 3928, 16),
(198228, NULL, 'TIGR03340', NULL, NULL, 'phn_DUF6: phosphonate utilization associated putative membrane protein', NULL, 'TIGR03340', NULL, NULL, 18791, 16),
(198229, NULL, 'TIGR04570', NULL, NULL, 'mollicut_2TM: small integral membrane protein', NULL, 'TIGR04570', NULL, NULL, 24658, 16),
(198230, NULL, 'TIGR01018', NULL, NULL, 'uS4_arch: ribosomal protein uS4', NULL, 'TIGR01018', NULL, NULL, 3739, 16),
(198231, NULL, 'TIGR02364', NULL, NULL, 'dha_pts: dihydroxyacetone kinase, phosphotransfer subunit', NULL, 'TIGR02364', NULL, NULL, 7327, 16);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198232, NULL, 'TIGR03866', NULL, NULL, 'PQQ_ABC_repeats: PQQ-dependent catabolism-associated beta-propeller protein', NULL, 'TIGR03866', NULL, NULL, 16273, 16),
(198233, NULL, 'TIGR02418', NULL, NULL, 'acolac_catab: acetolactate synthase, catabolic', NULL, 'TIGR02418', NULL, NULL, 10402, 16),
(198234, NULL, 'TIGR03880', NULL, NULL, 'KaiC_arch_3: KaiC domain protein, AF_0351 family', NULL, 'TIGR03880', NULL, NULL, 16320, 16),
(198235, NULL, 'TIGR03401', NULL, NULL, 'cyanamide_fam: HD domain protein, cyanamide hydratase family', NULL, 'TIGR03401', NULL, NULL, 19284, 16),
(198236, NULL, 'TIGR00172', NULL, NULL, 'maf: septum formation protein Maf', NULL, 'TIGR00172', NULL, NULL, 2033, 16),
(198237, NULL, 'TIGR00049', NULL, NULL, 'TIGR00049: iron-sulfur cluster assembly accessory protein', NULL, 'TIGR00049', NULL, NULL, 13680, 16),
(198238, NULL, 'TIGR04556', NULL, NULL, 'PKS_assoc: polyketide synthase-associated domain', NULL, 'TIGR04556', NULL, NULL, 24585, 16),
(198239, NULL, 'TIGR01497', NULL, NULL, 'kdpB: K+-transporting ATPase, B subunit', NULL, 'TIGR01497', NULL, NULL, 5996, 16),
(198240, NULL, 'TIGR01728', NULL, NULL, 'SsuA_fam: ABC transporter, substrate-binding protein, aliphatic sulfonates family', NULL, 'TIGR01728', NULL, NULL, 6129, 16),
(198241, NULL, 'TIGR02999', NULL, NULL, 'Sig-70_X6: RNA polymerase sigma factor, TIGR02999 family', NULL, 'TIGR02999', NULL, NULL, 12609, 16),
(198242, NULL, 'TIGR04386', NULL, NULL, 'ThiC_like_1: ThiC-like protein 1', NULL, 'TIGR04386', NULL, NULL, NULL, 16),
(198243, NULL, 'TIGR01844', NULL, NULL, 'type_I_sec_TolC: type I secretion outer membrane protein, TolC family', NULL, 'TIGR01844', NULL, NULL, 10517, 16),
(198244, NULL, 'TIGR03231', NULL, NULL, 'anthran_1_2_B: anthranilate 1,2-dioxygenase, small subunit', NULL, 'TIGR03231', NULL, NULL, 16929, 16),
(198245, NULL, 'TIGR00342', NULL, NULL, 'TIGR00342: tRNA sulfurtransferase ThiI', NULL, 'TIGR00342', NULL, NULL, 2098, 16),
(198246, NULL, 'TIGR02541', NULL, NULL, 'flagell_FlgJ: flagellar rod assembly protein/muramidase FlgJ', NULL, 'TIGR02541', NULL, NULL, 11876, 16),
(198247, NULL, 'TIGR00984', NULL, NULL, '3a0801s03tim44: mitochondrial import inner membrane, translocase subunit', NULL, 'TIGR00984', NULL, NULL, 16785, 16),
(198248, NULL, 'TIGR02534', NULL, NULL, 'mucon_cyclo: muconate and chloromuconate cycloisomerases', NULL, 'TIGR02534', NULL, NULL, 18770, 16),
(198249, NULL, 'TIGR00991', NULL, NULL, '3a0901s02IAP34: GTP-binding protein', NULL, 'TIGR00991', NULL, NULL, 3911, 16),
(198250, NULL, 'TIGR02194', NULL, NULL, 'GlrX_NrdH: glutaredoxin-like protein NrdH', NULL, 'TIGR02194', NULL, NULL, 12044, 16),
(198251, NULL, 'TIGR03689', NULL, NULL, 'pup_AAA: proteasome ATPase', NULL, 'TIGR03689', NULL, NULL, 16978, 16),
(198252, NULL, 'TIGR03217', NULL, NULL, '4OH_2_O_val_ald: 4-hydroxy-2-oxovalerate aldolase', NULL, 'TIGR03217', NULL, NULL, 16995, 16),
(198253, NULL, 'TIGR00219', NULL, NULL, 'mreC: rod shape-determining protein MreC', NULL, 'TIGR00219', NULL, NULL, 6187, 16),
(198254, NULL, 'TIGR01032', NULL, NULL, 'rplT_bact: ribosomal protein bL20', NULL, 'TIGR01032', NULL, NULL, 5994, 16),
(198255, NULL, 'TIGR03696', NULL, NULL, 'Rhs_assc_core: RHS repeat-associated core domain', NULL, 'TIGR03696', NULL, NULL, 16276, 16),
(198256, NULL, 'TIGR02187', NULL, NULL, 'GlrX_arch: glutaredoxin-like domain protein', NULL, 'TIGR02187', NULL, NULL, 12189, 16),
(198257, NULL, 'TIGR01674', NULL, NULL, 'phage_lambda_G: phage minor tail protein G', NULL, 'TIGR01674', NULL, NULL, 5291, 16),
(198258, NULL, 'TIGR01851', NULL, NULL, 'argC_other: N-acetyl-gamma-glutamyl-phosphate reductase', NULL, 'TIGR01851', NULL, NULL, 10574, 16),
(198259, NULL, 'TIGR03054', NULL, NULL, 'photo_alph_chp1: putative photosynthetic complex assembly protein', NULL, 'TIGR03054', NULL, NULL, 21172, 16),
(198260, NULL, 'TIGR04379', NULL, NULL, 'myo_inos_iolE: myo-inosose-2 dehydratase', NULL, 'TIGR04379', NULL, NULL, 27266, 16),
(198261, NULL, 'TIGR01681', NULL, NULL, 'HAD-SF-IIIC: HAD phosphatase, family IIIC', NULL, 'TIGR01681', NULL, NULL, 5304, 16);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198262, NULL, 'TIGR04549', NULL, NULL, 'LP_HExxH_w_tonB: substrate import-associated zinc metallohydrolase lipoprotein', NULL, 'TIGR04549', NULL, NULL, 26695, 16),
(198263, NULL, 'TIGR03224', NULL, NULL, 'benzo_boxA: benzoyl-CoA oxygenase/reductase, BoxA protein', NULL, 'TIGR03224', NULL, NULL, 16633, 16),
(198264, NULL, 'TIGR02711', NULL, NULL, 'symport_actP: cation/acetate symporter ActP', NULL, 'TIGR02711', NULL, NULL, 14242, 16),
(198265, NULL, 'SM00966', NULL, NULL, NULL, NULL, 'SpoVT_AbrB_2_a', NULL, NULL, 20, 17),
(198266, NULL, 'SM00388', NULL, NULL, NULL, NULL, 'HisKA_10', NULL, NULL, 1486, 17),
(198267, NULL, 'SM00789', NULL, NULL, NULL, NULL, 'ad_cyc_g_alpha', NULL, NULL, 14426, 17),
(198268, NULL, 'SM00140', NULL, NULL, NULL, NULL, 'NGF_2', NULL, NULL, 5308, 17),
(198269, NULL, 'SM01230', NULL, NULL, NULL, NULL, 'Gln_synt_C_2', NULL, NULL, 7230, 17),
(198270, NULL, 'SM00696', NULL, NULL, NULL, NULL, 'dm9', NULL, NULL, 1187, 17),
(198271, NULL, 'SM00459', NULL, NULL, NULL, NULL, 'sorbin_1', NULL, NULL, 2690, 17),
(198272, NULL, 'SM00421', NULL, NULL, NULL, NULL, 'luxrmega5', NULL, NULL, 6974, 17),
(198273, NULL, 'SM00737', NULL, NULL, NULL, NULL, 'pgtp_13', NULL, NULL, 1771, 17),
(198274, NULL, 'SM00732', NULL, NULL, NULL, NULL, 'rnase_8s', NULL, NULL, 1091, 17),
(198275, NULL, 'SM00342', NULL, NULL, NULL, NULL, 'aracneu4', NULL, NULL, 13720, 17),
(198276, NULL, 'SM01030', NULL, NULL, NULL, NULL, 'BHD_1_2', NULL, NULL, 17544, 17),
(198277, NULL, 'SM00815', NULL, NULL, NULL, NULL, 'ama_1', NULL, NULL, 3118, 17),
(198278, NULL, 'SM00919', NULL, NULL, NULL, NULL, 'Malic_M_2', NULL, NULL, 13470, 17),
(198279, NULL, 'SM00428', NULL, NULL, NULL, NULL, 'h35', NULL, NULL, 1917, 17),
(198280, NULL, 'SM00098', NULL, NULL, NULL, NULL, 'alk_phosph_2', NULL, NULL, 2244, 17),
(198281, NULL, 'SM00774', NULL, NULL, NULL, NULL, 'WRKY_cls', NULL, NULL, 1054, 17),
(198282, NULL, 'SM00102', NULL, NULL, NULL, NULL, 'adf_2', NULL, NULL, 5392, 17),
(198283, NULL, 'SM00864', NULL, NULL, NULL, NULL, 'Tubulin_4', NULL, NULL, 7351, 17),
(198284, NULL, 'SM01147', NULL, NULL, NULL, NULL, 'DUF1087_2', NULL, NULL, 9167, 17),
(198285, NULL, 'SM00382', NULL, NULL, NULL, NULL, 'AAA_5', NULL, NULL, 488, 17),
(198286, NULL, 'SM00471', NULL, NULL, NULL, NULL, 'hd_13', NULL, NULL, 667, 17),
(198287, NULL, 'SM00558', NULL, NULL, NULL, NULL, 'cupin_9', NULL, NULL, 4329, 17),
(198288, NULL, 'SM00431', NULL, NULL, NULL, NULL, 'ler4', NULL, NULL, 1170, 17),
(198289, NULL, 'SM01246', NULL, NULL, NULL, NULL, 'Josephin_2', NULL, NULL, 10032, 17),
(198290, NULL, 'SM00982', NULL, NULL, NULL, NULL, 'TRCF_a_2_a', NULL, NULL, 10855, 17),
(198291, NULL, 'SM00499', NULL, NULL, NULL, NULL, 'aai_6', NULL, NULL, 11457, 17),
(198292, NULL, 'SM01146', NULL, NULL, NULL, NULL, 'DUF1086_2', NULL, NULL, 9435, 17),
(198293, NULL, 'SM01298', NULL, NULL, NULL, NULL, 'KapB_2', NULL, NULL, 13184, 17),
(198294, NULL, 'SM01025', NULL, NULL, NULL, NULL, 'BEN_2', NULL, NULL, 20520, 17),
(198295, NULL, 'SM01270', NULL, NULL, NULL, NULL, 'Longin_2', NULL, NULL, 5183, 17),
(198296, NULL, 'SM00630', NULL, NULL, NULL, NULL, 'sema', NULL, NULL, 5208, 17),
(198297, NULL, 'SM00543', NULL, NULL, NULL, NULL, 'if4_15', NULL, NULL, 4498, 17),
(198298, NULL, 'SM00679', NULL, NULL, NULL, NULL, 'ctns', NULL, NULL, 1223, 17),
(198299, NULL, 'SM01135', NULL, NULL, NULL, NULL, 'DIRP_2', NULL, NULL, 32775, 17),
(198300, NULL, 'SM00582', NULL, NULL, NULL, NULL, '558neu5', NULL, NULL, 428, 17),
(198301, NULL, 'SM00614', NULL, NULL, NULL, NULL, 'bed5', NULL, NULL, NULL, 17),
(198302, NULL, 'SM01186', NULL, NULL, NULL, NULL, 'eIF3_N_2', NULL, NULL, 16062, 17),
(198303, NULL, 'SM00040', NULL, NULL, NULL, NULL, 'CSF2_1', NULL, NULL, 6706, 17),
(198304, NULL, 'SM01358', NULL, NULL, NULL, NULL, 'HBM_sequencesselection_2', NULL, NULL, 25305, 17),
(198305, NULL, 'SM00517', NULL, NULL, NULL, NULL, 'poly_2', NULL, NULL, 5205, 17),
(198306, NULL, 'SM01380', NULL, NULL, NULL, NULL, 'Ribosomal_L31e_2', NULL, NULL, 2559, 17),
(198307, NULL, 'SM00657', NULL, NULL, NULL, NULL, 'rpol4neu2', NULL, NULL, 404, 17);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198308, NULL, 'SM01001', NULL, NULL, NULL, NULL, 'AIRC_2', NULL, NULL, 3796, 17),
(198309, NULL, 'SM00048', NULL, NULL, NULL, NULL, 'DEFSN_4', NULL, NULL, 2626, 17),
(198310, NULL, 'SM00987', NULL, NULL, NULL, NULL, 'UDG_2_a', NULL, NULL, NULL, 17),
(198311, NULL, 'SM00564', NULL, NULL, NULL, NULL, 'ire1_9', NULL, NULL, 20450, 17),
(198312, NULL, 'SM00483', NULL, NULL, NULL, NULL, 'polxneu3', NULL, NULL, 1421, 17),
(198313, NULL, 'SM01317', NULL, NULL, NULL, NULL, 'SPOB_ab_2', NULL, NULL, 11274, 17),
(198314, NULL, 'SM00816', NULL, NULL, NULL, NULL, 'amb_v_allergen', NULL, NULL, 2608, 17),
(198315, NULL, 'SM00321', NULL, NULL, NULL, NULL, 'SLG_2', NULL, NULL, 5964, 17),
(198316, NULL, 'SM00318', NULL, NULL, NULL, NULL, 'SNASE_2', NULL, NULL, 10137, 17),
(198317, NULL, 'SM00521', NULL, NULL, NULL, NULL, 'cbf3', NULL, NULL, 2430, 17),
(198318, NULL, 'SM00833', NULL, NULL, NULL, NULL, 'CobW_C_3', NULL, NULL, 10652, 17),
(198319, NULL, 'SM00933', NULL, NULL, NULL, NULL, 'NurA_2_a', NULL, NULL, 15478, 17),
(198320, NULL, 'SM00165', NULL, NULL, NULL, NULL, 'uba_6', NULL, NULL, 8359, 17),
(198321, NULL, 'SM00608', NULL, NULL, NULL, NULL, 'acr', NULL, NULL, 461, 17),
(198322, NULL, 'SM00182', NULL, NULL, NULL, NULL, 'cul_2', NULL, NULL, 12045, 17),
(198323, NULL, 'SM00831', NULL, NULL, NULL, NULL, 'Cation_ATPase_N_a_2', NULL, NULL, 804, 17),
(198324, NULL, 'SM00812', NULL, NULL, NULL, NULL, 'alpha_l_fucos', NULL, NULL, 3202, 17),
(198325, NULL, 'SM01271', NULL, NULL, NULL, NULL, 'LSM14_2', NULL, NULL, 24075, 17),
(198326, NULL, 'SM01312', NULL, NULL, NULL, NULL, 'RTC4_2', NULL, NULL, 28410, 17),
(198327, NULL, 'SM00549', NULL, NULL, NULL, NULL, 'nervy_1', NULL, NULL, 4021, 17),
(198328, NULL, 'SM00204', NULL, NULL, NULL, NULL, 'TGFB_2', NULL, NULL, 4212, 17),
(198329, NULL, 'SM01397', NULL, NULL, NULL, NULL, 'Ribosomal_S3Ae_2', NULL, NULL, 5082, 17),
(198330, NULL, 'SM00740', NULL, NULL, NULL, NULL, '2pasta', NULL, NULL, 1620, 17),
(198331, NULL, 'SM00889', NULL, NULL, NULL, NULL, 'EFG_IV_2', NULL, NULL, 1691, 17),
(198332, NULL, 'SM01051', NULL, NULL, NULL, NULL, 'CAMSAP_CKK_2', NULL, NULL, 11736, 17),
(198333, NULL, 'SM01384', NULL, NULL, NULL, NULL, 'Ribosomal_L15e_2', NULL, NULL, 6759, 17),
(198334, NULL, 'SM00766', NULL, NULL, NULL, NULL, 'dnag_dnab_bind_seq8d', NULL, NULL, 8516, 17),
(198335, NULL, 'SM01378', NULL, NULL, NULL, NULL, 'Romo1_2', NULL, NULL, 9054, 17),
(198336, NULL, 'SM00990', NULL, NULL, NULL, NULL, 'VRR_NUC_a_2', NULL, NULL, 13303, 17),
(198337, NULL, 'SM00015', NULL, NULL, NULL, NULL, 'iq_5', NULL, NULL, 2955, 17),
(198338, NULL, 'SM00364', NULL, NULL, NULL, NULL, 'LRR_bac_2', NULL, NULL, NULL, 17),
(198339, NULL, 'SM01064', NULL, NULL, NULL, NULL, 'CBM_10_2', NULL, NULL, 10014, 17),
(198340, NULL, 'SM00078', NULL, NULL, NULL, NULL, 'IlGF_1', NULL, NULL, 12134, 17),
(198341, NULL, 'SM01373', NULL, NULL, NULL, NULL, 'MAGE_2', NULL, NULL, 161, 17),
(198342, NULL, 'SM01399', NULL, NULL, NULL, NULL, 'Sybindin_2', NULL, NULL, 6670, 17),
(198343, NULL, 'SM00415', NULL, NULL, NULL, NULL, 'hsfneu3', NULL, NULL, 809, 17),
(198344, NULL, 'SM00351', NULL, NULL, NULL, NULL, 'pax3', NULL, NULL, 5940, 17),
(198345, NULL, 'SM00571', NULL, NULL, NULL, NULL, 'testlast3', NULL, NULL, 15454, 17),
(198346, NULL, 'SM00436', NULL, NULL, NULL, NULL, 'topIban2', NULL, NULL, 452, 17),
(198347, NULL, 'SM00186', NULL, NULL, NULL, NULL, 'FBG_2', NULL, NULL, 5810, 17),
(198348, NULL, 'SM01220', NULL, NULL, NULL, NULL, 'FSA_C_2', NULL, NULL, 21068, 17),
(198349, NULL, 'SM01335', NULL, NULL, NULL, NULL, 'PADR1_2', NULL, NULL, 12442, 17),
(198350, NULL, 'SM00934', NULL, NULL, NULL, NULL, 'OMPdecase_2', NULL, NULL, 3135, 17),
(198351, NULL, 'SM00089', NULL, NULL, NULL, NULL, 'PKD_9', NULL, NULL, 21480, 17),
(198352, NULL, 'SM00825', NULL, NULL, 'Beta-ketoacyl synthase', NULL, 'PKS_KS', NULL, NULL, 14823, 17),
(198353, NULL, 'SM00451', NULL, NULL, NULL, NULL, 'ZnF_U1_5', NULL, NULL, 121, 17),
(198354, NULL, 'SM00324', NULL, NULL, NULL, NULL, 'RhoGAP_3', NULL, NULL, 1343, 17),
(198355, NULL, 'SM00275', NULL, NULL, NULL, NULL, 'galpha_1', NULL, NULL, 5021, 17); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198356, NULL, 'SM01020', NULL, NULL, NULL, NULL, 'B2_adapt_app_C_2', NULL, NULL, 9867, 17),
(198357, NULL, 'SM00099', NULL, NULL, NULL, NULL, 'btg1_nr', NULL, NULL, 1338, 17),
(198358, NULL, 'SM00728', NULL, NULL, NULL, NULL, 'chw', NULL, NULL, 1327, 17),
(198359, NULL, 'SM01282', NULL, NULL, NULL, NULL, 'DBB_2', NULL, NULL, 2930, 17),
(198360, NULL, 'SM01350', NULL, NULL, NULL, NULL, '6PGD_2', NULL, NULL, 10253, 17),
(198361, NULL, 'SM01329', NULL, NULL, NULL, NULL, 'Iso_dh_2', NULL, NULL, 12764, 17),
(198362, NULL, 'SM01119', NULL, NULL, NULL, NULL, 'D_ser_dehydrat_2', NULL, NULL, 27665, 17),
(198363, NULL, 'SM00408', NULL, NULL, NULL, NULL, 'igc2_5', NULL, NULL, 382, 17),
(198364, NULL, 'SM01043', NULL, NULL, NULL, NULL, 'BTAD_2', NULL, NULL, 4256, 17),
(198365, NULL, 'SM00313', NULL, NULL, NULL, NULL, 'PXA_3', NULL, NULL, 2557, 17),
(198366, NULL, 'SM01242', NULL, NULL, NULL, NULL, 'Integrin_B_tail_2', NULL, NULL, 13222, 17),
(198367, NULL, 'SM00615', NULL, NULL, NULL, NULL, 'eph', NULL, NULL, 1465, 17),
(198368, NULL, 'SM00865', NULL, NULL, NULL, NULL, 'Tubulin_C_4', NULL, NULL, 16590, 17),
(198369, NULL, 'SM00690', NULL, NULL, NULL, NULL, 'dm5', NULL, NULL, 2978, 17),
(198370, NULL, 'SM00755', NULL, NULL, NULL, NULL, '1grip', NULL, NULL, 627, 17),
(198371, NULL, 'SM01330', NULL, NULL, NULL, NULL, 'Frizzled_2', NULL, NULL, 5626, 17),
(198372, NULL, 'SM01073', NULL, NULL, NULL, NULL, 'CDC48_N_2', NULL, NULL, 4066, 17),
(198373, NULL, 'SM00533', NULL, NULL, NULL, NULL, 'DNAend', NULL, NULL, 1148, 17),
(198374, NULL, 'SM01170', NULL, NULL, NULL, NULL, 'DUF1944_2', NULL, NULL, 13000, 17),
(198375, NULL, 'SM00267', NULL, NULL, NULL, NULL, 'duf1_3', NULL, NULL, 1825, 17),
(198376, NULL, 'SM00638', NULL, NULL, NULL, NULL, 'lpd_n', NULL, NULL, 4558, 17),
(198377, NULL, 'SM01028', NULL, NULL, NULL, NULL, 'Beta-TrCP_D_2', NULL, NULL, 20651, 17),
(198378, NULL, 'SM00562', NULL, NULL, NULL, NULL, 'ndk_5', NULL, NULL, 30899, 17),
(198379, NULL, 'SM00978', NULL, NULL, NULL, NULL, 'Tim44_a_2', NULL, NULL, 5509, 17),
(198380, NULL, 'SM00792', NULL, NULL, NULL, NULL, 'agouti', NULL, NULL, 1098, 17),
(198381, NULL, 'SM00910', NULL, NULL, NULL, NULL, 'HIRAN_2', NULL, NULL, 13301, 17),
(198382, NULL, 'SM00604', NULL, NULL, NULL, NULL, 'md', NULL, NULL, 5, 17),
(198383, NULL, 'SM00188', NULL, NULL, NULL, NULL, 'int10', NULL, NULL, 19438, 17),
(198384, NULL, 'SM00460', NULL, NULL, NULL, NULL, 'TG_5', NULL, NULL, 6773, 17),
(198385, NULL, 'SM00822', NULL, NULL, 'This enzymatic domain is part of bacterial polyketide synthases and catalyses the first step in the reductive modification of the beta-carbonyl centres in the growing polyketide chain. It uses NADPH to reduce the keto group to a hydroxy group.', NULL, 'PKS_KR', NULL, NULL, NULL, 17),
(198386, NULL, 'SM01101', NULL, NULL, NULL, NULL, 'CRISPR_assoc_2', NULL, NULL, 4130, 17),
(198387, NULL, 'SM00557', NULL, NULL, NULL, NULL, 'flmn_3', NULL, NULL, 2315, 17),
(198388, NULL, 'SM00757', NULL, NULL, NULL, NULL, 'toby_final6', NULL, NULL, 9782, 17),
(198389, NULL, 'SM00153', NULL, NULL, NULL, NULL, 'VHP_1', NULL, NULL, 1769, 17),
(198390, NULL, 'SM01137', NULL, NULL, NULL, NULL, 'DMAP_binding_2', NULL, NULL, 10769, 17),
(198391, NULL, 'SM00575', NULL, NULL, NULL, NULL, '26again6', NULL, NULL, 315, 17),
(198392, NULL, 'SM00446', NULL, NULL, NULL, NULL, 'LRRcap_2', NULL, NULL, 437, 17),
(198393, NULL, 'SM01049', NULL, NULL, NULL, NULL, 'Cache_2_2', NULL, NULL, 35631, 17),
(198394, NULL, 'SM01057', NULL, NULL, NULL, NULL, 'Carb_anhydrase_2a', NULL, NULL, 2104, 17),
(198395, NULL, 'SM00285', NULL, NULL, NULL, NULL, 'PBD_5', NULL, NULL, 2745, 17),
(198396, NULL, 'SM00676', NULL, NULL, NULL, NULL, 'dm10', NULL, NULL, 1140, 17),
(198397, NULL, 'SM01155', NULL, NULL, NULL, NULL, 'DUF1713_2', NULL, NULL, 17576, 17),
(198398, NULL, 'SM00307', NULL, NULL, NULL, NULL, 'ILWEQ_1', NULL, NULL, 1519, 17),
(198399, NULL, 'SM01127', NULL, NULL, NULL, NULL, 'DDHD_2a', NULL, NULL, 2627, 17),
(198400, NULL, 'SM00852', NULL, NULL, NULL, NULL, 'MoCF_biosynth_3a', NULL, NULL, 6324, 17); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198401, NULL, 'SM01029', NULL, NULL, NULL, NULL, 'BetaGal_dom2_2', NULL, NULL, 16582, 17),
(198402, NULL, 'SM00756', NULL, NULL, NULL, NULL, 'vkor_5', NULL, NULL, 8118, 17),
(198403, NULL, 'SM00194', NULL, NULL, NULL, NULL, 'PTPc_3', NULL, NULL, 845, 17),
(198404, NULL, 'SM01237', NULL, NULL, NULL, NULL, 'ICA69_2', NULL, NULL, 2417, 17),
(198405, NULL, 'SM01031', NULL, NULL, NULL, NULL, 'BHD_2_2', NULL, NULL, 17588, 17),
(198406, NULL, 'SM00398', NULL, NULL, NULL, NULL, 'hmgende2', NULL, NULL, 6110, 17),
(198407, NULL, 'SM01019', NULL, NULL, NULL, NULL, 'B3_2', NULL, NULL, 4023, 17),
(198408, NULL, 'SM00722', NULL, NULL, NULL, NULL, 'complete', NULL, NULL, 1462, 17),
(198409, NULL, 'SM00520', NULL, NULL, NULL, NULL, 'basic', NULL, NULL, 1530, 17),
(198410, NULL, 'SM00540', NULL, NULL, NULL, NULL, 'lem_2', NULL, NULL, 4164, 17),
(198411, NULL, 'SM01219', NULL, NULL, NULL, NULL, 'Frataxin_Cyay_2', NULL, NULL, 6172, 17),
(198412, NULL, 'SM00368', NULL, NULL, NULL, NULL, 'LRR_RI_2', NULL, NULL, NULL, 17),
(198413, NULL, 'SM00634', NULL, NULL, NULL, NULL, 'big_1', NULL, NULL, 4055, 17),
(198414, NULL, 'SM01393', NULL, NULL, NULL, NULL, 'Ribosomal_L32e_2', NULL, NULL, 6461, 17),
(198415, NULL, 'SM00975', NULL, NULL, NULL, NULL, 'Telomerase_RBD_2', NULL, NULL, 20437, 17),
(198416, NULL, 'SM01089', NULL, NULL, NULL, NULL, 'Connexin_CCC_2', NULL, NULL, 19863, 17),
(198417, NULL, 'SM00959', NULL, NULL, NULL, NULL, 'Rho_N_2_a', NULL, NULL, 11008, 17),
(198418, NULL, 'SM00205', NULL, NULL, NULL, NULL, 'tha2', NULL, NULL, 2162, 17),
(198419, NULL, 'SM01331', NULL, NULL, NULL, NULL, 'DUF3635_2', NULL, NULL, 28685, 17),
(198420, NULL, 'SM00273', NULL, NULL, NULL, NULL, 'enth_2', NULL, NULL, 13203, 17),
(198421, NULL, 'SM00505', NULL, NULL, NULL, NULL, 'gth_4', NULL, NULL, 519, 17),
(198422, NULL, 'SM01309', NULL, NULL, NULL, NULL, 'RICTOR_phospho_2', NULL, NULL, 22102, 17),
(198423, NULL, 'SM00882', NULL, NULL, NULL, NULL, 'CoA_trans_3', NULL, NULL, 2994, 17),
(198424, NULL, 'SM00685', NULL, NULL, NULL, NULL, 'dm14', NULL, NULL, 1298, 17),
(198425, NULL, 'SM00863', NULL, NULL, NULL, NULL, 'tRNA_SAD_4', NULL, NULL, 8325, 17),
(198426, NULL, 'SM00369', NULL, NULL, NULL, NULL, 'LRR_typ_2', NULL, NULL, 417, 17),
(198427, NULL, 'SM00201', NULL, NULL, NULL, NULL, 'SO_2', NULL, NULL, 1464, 17),
(198428, NULL, 'SM01347', NULL, NULL, NULL, NULL, 'Mre11_DNA_bind_2', NULL, NULL, 7033, 17),
(198429, NULL, 'SM00468', NULL, NULL, NULL, NULL, 'preset_2', NULL, NULL, 1103, 17),
(198430, NULL, 'SM00193', NULL, NULL, NULL, NULL, 'PTN_2', NULL, NULL, 4020, 17),
(198431, NULL, 'SM01044', NULL, NULL, NULL, NULL, 'Btz_2', NULL, NULL, 15003, 17),
(198432, NULL, 'SM00386', NULL, NULL, NULL, NULL, 'hat_new_1', NULL, NULL, 1248, 17),
(198433, NULL, 'SM00843', NULL, NULL, NULL, NULL, 'FtsK_gamma_2', NULL, NULL, 14885, 17),
(198434, NULL, 'SM00287', NULL, NULL, NULL, NULL, 'sh3_bac_9', NULL, NULL, 1404, 17),
(198435, NULL, 'SM01173', NULL, NULL, NULL, NULL, 'DUF4187_2', NULL, NULL, 23965, 17),
(198436, NULL, 'SM00890', NULL, NULL, NULL, NULL, 'EKR_2', NULL, NULL, 17565, 17),
(198437, NULL, 'SM00023', NULL, NULL, NULL, NULL, 'colipase2', NULL, NULL, 2259, 17),
(198438, NULL, 'SM01115', NULL, NULL, NULL, NULL, 'cwf21_2', NULL, NULL, 8659, 17),
(198439, NULL, 'SM00960', NULL, NULL, NULL, NULL, 'Robl_LC7_a_2', NULL, NULL, 1925, 17),
(198440, NULL, 'SM00076', NULL, NULL, NULL, NULL, 'inter3_nr', NULL, NULL, 5769, 17),
(198441, NULL, 'SM00577', NULL, NULL, NULL, NULL, 'forpap2', NULL, NULL, 4834, 17),
(198442, NULL, 'SM01124', NULL, NULL, NULL, NULL, 'DBR1_2', NULL, NULL, 1061, 17),
(198443, NULL, 'SM00392', NULL, NULL, NULL, NULL, 'prof_2', NULL, NULL, 769, 17),
(198444, NULL, 'SM01192', NULL, NULL, NULL, NULL, 'Enolase_C_3', NULL, NULL, 14856, 17),
(198445, NULL, 'SM00925', NULL, NULL, NULL, NULL, 'MltA_2', NULL, NULL, 5352, 17),
(198446, NULL, 'SM00085', NULL, NULL, NULL, NULL, 'PA-fin', NULL, NULL, 10126, 17),
(198447, NULL, 'SM00738', NULL, NULL, NULL, NULL, 'nusgn_4', NULL, NULL, 1089, 17),
(198448, NULL, 'SM01092', NULL, NULL, NULL, NULL, 'CO_deh_flav_C_2', NULL, NULL, 10890, 17);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198449, NULL, 'SM00174', NULL, NULL, NULL, NULL, 'rho_sub_3', NULL, NULL, 4505, 17),
(198450, NULL, 'SM00084', NULL, NULL, NULL, NULL, 'nmu2', NULL, NULL, 7484, 17),
(198451, NULL, 'SM00850', NULL, NULL, NULL, NULL, 'LytTR_3', NULL, NULL, 10170, 17),
(198452, NULL, 'SM01121', NULL, NULL, NULL, NULL, 'Dak1_2_2', NULL, NULL, 31604, 17),
(198453, NULL, 'SM00279', NULL, NULL, NULL, NULL, 'HhH_4', NULL, NULL, 8887, 17),
(198454, NULL, 'SM01022', NULL, NULL, NULL, NULL, 'ASCH_2', NULL, NULL, 5753, 17),
(198455, NULL, 'SM01081', NULL, NULL, NULL, NULL, 'CHB_HEX_2', NULL, NULL, 7250, 17),
(198456, NULL, 'SM01169', NULL, NULL, NULL, NULL, 'DUF1943_3', NULL, NULL, 12700, 17),
(198457, NULL, 'SM00389', NULL, NULL, NULL, NULL, 'HOX_1', NULL, NULL, 7266, 17),
(198458, NULL, 'SM00809', NULL, NULL, NULL, NULL, 'alpha_adaptinc2', NULL, NULL, 7149, 17),
(198459, NULL, 'SM00836', NULL, NULL, NULL, NULL, 'dalr_1_4', NULL, NULL, 7980, 17),
(198460, NULL, 'SM00478', NULL, NULL, NULL, NULL, 'endo3end', NULL, NULL, 3481, 17),
(198461, NULL, 'SM01225', NULL, NULL, NULL, NULL, 'G8_2', NULL, NULL, 15461, 17),
(198462, NULL, 'SM00053', NULL, NULL, NULL, NULL, 'dynamin_3', NULL, NULL, 3297, 17),
(198463, NULL, 'SM00466', NULL, NULL, NULL, NULL, 'G9a_1', NULL, NULL, 1314, 17),
(198464, NULL, 'SM00335', NULL, NULL, NULL, NULL, 'annex3', NULL, NULL, 9221, 17),
(198465, NULL, 'SM00710', NULL, NULL, NULL, NULL, 'pbh1', NULL, NULL, 1028, 17),
(198466, NULL, 'SM00490', NULL, NULL, NULL, NULL, 'helicmild6', NULL, NULL, 3254, 17),
(198467, NULL, 'SM01210', NULL, NULL, NULL, NULL, 'GARS_C_2', NULL, NULL, 14947, 17),
(198468, NULL, 'SM00878', NULL, NULL, NULL, NULL, 'Biotin_carb_C_2', NULL, NULL, 822, 17),
(198469, NULL, 'SM01208', NULL, NULL, NULL, NULL, 'G5_2', NULL, NULL, 11186, 17),
(198470, NULL, 'SM00568', NULL, NULL, NULL, NULL, 'gram2001c', NULL, NULL, 2922, 17),
(198471, NULL, 'SM00293', NULL, NULL, NULL, NULL, 'PWWP_4', NULL, NULL, 796, 17),
(198472, NULL, 'SM00440', NULL, NULL, NULL, NULL, 'Cys4_2', NULL, NULL, 2489, 17),
(198473, NULL, 'SM00810', NULL, NULL, NULL, NULL, 'alpha-amyl_c2', NULL, NULL, 12954, 17),
(198474, NULL, 'SM01395', NULL, NULL, NULL, NULL, 'Tbf5_2', NULL, NULL, 8160, 17),
(198475, NULL, 'SM00767', NULL, NULL, NULL, NULL, 'dcd', NULL, NULL, 10169, 17),
(198476, NULL, 'SM00903', NULL, NULL, NULL, NULL, 'Flavin_Reduct_2', NULL, NULL, 1522, 17),
(198477, NULL, 'SM00112', NULL, NULL, NULL, NULL, 'CA_2', NULL, NULL, 1312, 17),
(198478, NULL, 'SM01287', NULL, NULL, NULL, NULL, 'Rtt106_2', NULL, NULL, 14004, 17),
(198479, NULL, 'SM00105', NULL, NULL, NULL, NULL, 'arf_gap_3', NULL, NULL, 1167, 17),
(198480, NULL, 'SM00918', NULL, NULL, NULL, NULL, 'Lig_chan_Glu_bd_2', NULL, NULL, 20465, 17),
(198481, NULL, 'SM01111', NULL, NULL, NULL, NULL, 'CVNH_2', NULL, NULL, 9269, 17),
(198482, NULL, 'SM00963', NULL, NULL, NULL, NULL, 'SRP54_N_2', NULL, NULL, 9998, 17),
(198483, NULL, 'SM01258', NULL, NULL, NULL, NULL, 'KRBA1_2', NULL, NULL, 25554, 17),
(198484, NULL, 'SM00206', NULL, NULL, NULL, NULL, 'NTR_2', NULL, NULL, 4470, 17),
(198485, NULL, 'SM01291', NULL, NULL, NULL, NULL, 'N_SET_2', NULL, NULL, 18975, 17),
(198486, NULL, 'SM01274', NULL, NULL, NULL, NULL, 'malic_2', NULL, NULL, 13371, 17),
(198487, NULL, 'SM00941', NULL, NULL, NULL, NULL, 'PYNP_C_2', NULL, NULL, 18765, 17),
(198488, NULL, 'SM00515', NULL, NULL, NULL, NULL, '542_3', NULL, NULL, 3835, 17),
(198489, NULL, 'SM00228', NULL, NULL, NULL, NULL, 'pdz_new', NULL, NULL, 3345, 17),
(198490, NULL, 'SM01276', NULL, NULL, NULL, NULL, 'M60_like_2', NULL, NULL, 26939, 17),
(198491, NULL, 'SM00829', NULL, NULL, NULL, NULL, 'PKS_ER_names_mod', NULL, NULL, 14762, 17),
(198492, NULL, 'SM00071', NULL, NULL, NULL, NULL, 'galanin', NULL, NULL, 7299, 17),
(198493, NULL, 'SM00242', NULL, NULL, NULL, NULL, 'MYSc_2a', NULL, NULL, 3309, 17),
(198494, NULL, 'SM00238', NULL, NULL, NULL, NULL, 'bir_2', NULL, NULL, 2096, 17),
(198495, NULL, 'SM00880', NULL, NULL, NULL, NULL, 'CHAD_3', NULL, NULL, 3048, 17),
(198496, NULL, 'SM01239', NULL, NULL, NULL, NULL, 'IKKbetaNEMObind_2', NULL, NULL, 20814, 17);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198497, NULL, 'SM00914', NULL, NULL, NULL, NULL, 'IDEAL_2', NULL, NULL, 14042, 17),
(198498, NULL, 'SM00715', NULL, NULL, NULL, NULL, 'la', NULL, NULL, 1203, 17),
(198499, NULL, 'SM01189', NULL, NULL, NULL, NULL, 'ELM2_2', NULL, NULL, 3377, 17),
(198500, NULL, 'SM01375', NULL, NULL, NULL, NULL, 'Dynein_light_2', NULL, NULL, 464, 17),
(198501, NULL, 'SM00251', NULL, NULL, NULL, NULL, 'SAM2_3', NULL, NULL, 2801, 17),
(198502, NULL, 'SM00034', NULL, NULL, NULL, NULL, 'CLECT_2', NULL, NULL, 207, 17),
(198503, NULL, 'SM01305', NULL, NULL, NULL, NULL, 'RESP18_2', NULL, NULL, NULL, 17),
(198504, NULL, 'SM00319', NULL, NULL, NULL, NULL, 'TAR_3', NULL, NULL, 2702, 17),
(198505, NULL, 'SM00927', NULL, NULL, NULL, NULL, 'MutH_2', NULL, NULL, 13916, 17),
(198506, NULL, 'SM01204', NULL, NULL, NULL, NULL, 'FIST_C_2', NULL, NULL, 18925, 17),
(198507, NULL, 'SM00353', NULL, NULL, NULL, NULL, 'finulus', NULL, NULL, 8423, 17),
(198508, NULL, 'SM01037', NULL, NULL, NULL, NULL, 'Bet_v_1_2', NULL, NULL, 4215, 17),
(198509, NULL, 'SM00449', NULL, NULL, NULL, NULL, 'SPRY_3', NULL, NULL, 6353, 17),
(198510, NULL, 'SM01336', NULL, NULL, NULL, NULL, 'zf_PARP_3', NULL, NULL, 3322, 17),
(198511, NULL, 'SM00928', NULL, NULL, NULL, NULL, 'NADH_4Fe_4S_2', NULL, NULL, 20310, 17),
(198512, NULL, 'SM00086', NULL, NULL, NULL, NULL, 'pac_2', NULL, NULL, 5001, 17),
(198513, NULL, 'SM00547', NULL, NULL, NULL, NULL, 'zf_4', NULL, NULL, 5051, 17),
(198514, NULL, 'SM00225', NULL, NULL, NULL, NULL, 'BTB_4', NULL, NULL, 1700, 17),
(198515, NULL, 'SM01178', NULL, NULL, NULL, NULL, 'DUF4217_3', NULL, NULL, 22545, 17),
(198516, NULL, 'SM00667', NULL, NULL, NULL, NULL, 'Lish', NULL, NULL, 1107, 17),
(198517, NULL, 'SM00017', NULL, NULL, NULL, NULL, 'osteo', NULL, NULL, 2066, 17),
(198518, NULL, 'SM01406', NULL, NULL, NULL, NULL, 'PAPA_1_2', NULL, NULL, 4988, 17),
(198519, NULL, 'SM00576', NULL, NULL, NULL, NULL, '17neu3', NULL, NULL, 132, 17),
(198520, NULL, 'SM00736', NULL, NULL, NULL, NULL, 'cadg_13', NULL, NULL, 1072, 17),
(198521, NULL, 'SM01125', NULL, NULL, NULL, NULL, 'DCP2_2', NULL, NULL, 1059, 17),
(198522, NULL, 'SM00813', NULL, NULL, NULL, NULL, 'alpha_l_af_c', NULL, NULL, 10144, 17),
(198523, NULL, 'SM00539', NULL, NULL, NULL, NULL, 'ylk_9', NULL, NULL, 4143, 17),
(198524, NULL, 'SM00703', NULL, NULL, NULL, NULL, 'nrf', NULL, NULL, 1149, 17),
(198525, NULL, 'SM01306', NULL, NULL, NULL, NULL, 'RFX5_DNA_bdg_2', NULL, NULL, 28652, 17),
(198526, NULL, 'SM00551', NULL, NULL, NULL, NULL, 'TAZ_2', NULL, NULL, 3768, 17),
(198527, NULL, 'SM00597', NULL, NULL, NULL, NULL, '2118neu4', NULL, NULL, 392, 17),
(198528, NULL, 'SM00063', NULL, NULL, NULL, NULL, 'FRI_4', NULL, NULL, 18626, 17),
(198529, NULL, 'SM01354', NULL, NULL, NULL, NULL, 'BLVR_2', NULL, NULL, 10159, 17),
(198530, NULL, 'SM00031', NULL, NULL, NULL, NULL, 'ded_6', NULL, NULL, 4463, 17),
(198531, NULL, 'SM00427', NULL, NULL, NULL, NULL, 'h2b3', NULL, NULL, 5912, 17),
(198532, NULL, 'SM01277', NULL, NULL, NULL, NULL, 'MAGUK_N_PEST_2', NULL, NULL, 20165, 17),
(198533, NULL, 'SM01301', NULL, NULL, NULL, NULL, 'PTPlike_phytase_2', NULL, NULL, NULL, 17),
(198534, NULL, 'SM00879', NULL, NULL, NULL, NULL, 'Brix_2', NULL, NULL, 203, 17),
(198535, NULL, 'SM00358', NULL, NULL, NULL, NULL, 'DRBM_3', NULL, NULL, 12854, 17),
(198536, NULL, 'SM00343', NULL, NULL, NULL, NULL, 'c2hcfinal6', NULL, NULL, 4468, 17),
(198537, NULL, 'SM00195', NULL, NULL, NULL, NULL, 'dsp_5', NULL, NULL, 19395, 17),
(198538, NULL, 'SM01299', NULL, NULL, NULL, NULL, 'PIP49_N_2', NULL, NULL, 28773, 17),
(198539, NULL, 'SM00455', NULL, NULL, NULL, NULL, 'RBD_5', NULL, NULL, 2856, 17),
(198540, NULL, 'SM00753', NULL, NULL, 'motif in proteasome subunits, Int-6, Nip-1 and TRIP-15', NULL, 'PINT', NULL, NULL, NULL, 17),
(198541, NULL, 'SM00146', NULL, NULL, NULL, NULL, 'pi3k_hr1_6', NULL, NULL, 4669, 17),
(198542, NULL, 'SM01314', NULL, NULL, NULL, NULL, 'SnAC_2', NULL, NULL, 28988, 17),
(198543, NULL, 'SM00954', NULL, NULL, NULL, NULL, 'RelA_SpoT_2', NULL, NULL, 961, 17),
(198544, NULL, 'SM00714', NULL, NULL, NULL, NULL, 'litaf', NULL, NULL, 1438, 17); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198545, NULL, 'SM00095', NULL, NULL, NULL, NULL, 'transthy-fin', NULL, NULL, 16319, 17),
(198546, NULL, 'SM01149', NULL, NULL, NULL, NULL, 'DUF1237_2a', NULL, NULL, 7694, 17),
(198547, NULL, 'SM01216', NULL, NULL, NULL, NULL, 'Fmp27_WPPW_2', NULL, NULL, 17814, 17),
(198548, NULL, 'SM00437', NULL, NULL, NULL, NULL, 'topIaneu2', NULL, NULL, 89, 17),
(198549, NULL, 'SM00949', NULL, NULL, NULL, NULL, 'PAZ_2_a_3', NULL, NULL, 1244, 17),
(198550, NULL, 'SM00748', NULL, NULL, NULL, NULL, '2HEPN', NULL, NULL, 2418, 17),
(198551, NULL, 'SM00474', NULL, NULL, NULL, NULL, '35exoneu6', NULL, NULL, 6876, 17),
(198552, NULL, 'SM00407', NULL, NULL, NULL, NULL, 'igc1_4', NULL, NULL, 46, 17),
(198553, NULL, 'SM00731', NULL, NULL, NULL, NULL, 'sprt_6', NULL, NULL, 1053, 17),
(198554, NULL, 'SM01085', NULL, NULL, NULL, NULL, 'CK_II_beta_2', NULL, NULL, 6657, 17),
(198555, NULL, 'SM00824', NULL, NULL, 'Thioesterase', NULL, 'PKS_TE', NULL, NULL, 21098, 17),
(198556, NULL, 'SM01324', NULL, NULL, NULL, NULL, 'YARHG_2', NULL, NULL, 25922, 17),
(198557, NULL, 'SM00414', NULL, NULL, NULL, NULL, 'h2a4', NULL, NULL, 1463, 17),
(198558, NULL, 'SM00980', NULL, NULL, NULL, NULL, 'THAP_2', NULL, NULL, 1302, 17),
(198559, NULL, 'SM00996', NULL, NULL, NULL, NULL, 'AdoHcyase_2', NULL, NULL, 3724, 17),
(198560, NULL, 'SM00588', NULL, NULL, NULL, NULL, '27b', NULL, NULL, 180, 17),
(198561, NULL, 'SM00999', NULL, NULL, NULL, NULL, 'Aerolysin_2', NULL, NULL, 5919, 17),
(198562, NULL, 'SM00967', NULL, NULL, NULL, NULL, 'SpoU_sub_bind_2', NULL, NULL, 18928, 17),
(198563, NULL, 'SM01348', NULL, NULL, NULL, NULL, 'Nbs1_C_2', NULL, NULL, 18022, 17),
(198564, NULL, 'SM01009', NULL, NULL, NULL, NULL, 'AlkA_N_2', NULL, NULL, 8829, 17),
(198565, NULL, 'SM00211', NULL, NULL, NULL, NULL, 'TY_2', NULL, NULL, 6640, 17),
(198566, NULL, 'SM00853', NULL, NULL, NULL, NULL, 'MutL_C_2', NULL, NULL, 11809, 17),
(198567, NULL, 'SM00454', NULL, NULL, NULL, NULL, 'SAM_4', NULL, NULL, 5053, 17),
(198568, NULL, 'SM00993', NULL, NULL, NULL, NULL, 'YL1_C_2', NULL, NULL, 13002, 17),
(198569, NULL, 'SM00397', NULL, NULL, NULL, NULL, 'tSNARE_6', NULL, NULL, 6854, 17),
(198570, NULL, 'SM00686', NULL, NULL, NULL, NULL, 'dm13', NULL, NULL, 19394, 17),
(198571, NULL, 'SM00504', NULL, NULL, NULL, NULL, 'Ubox_2', NULL, NULL, 535, 17),
(198572, NULL, 'SM01240', NULL, NULL, NULL, NULL, 'IMPDH_2', NULL, NULL, NULL, 17),
(198573, NULL, 'SM01334', NULL, NULL, NULL, NULL, 'DUF3454_2', NULL, NULL, 28813, 17),
(198574, NULL, 'SM00642', NULL, NULL, NULL, NULL, 'aamy', NULL, NULL, 2599, 17),
(198575, NULL, 'SM01145', NULL, NULL, NULL, NULL, 'DUF1041_2a', NULL, NULL, 10364, 17),
(198576, NULL, 'SM00230', NULL, NULL, NULL, NULL, 'cys_prot_2', NULL, NULL, 2109, 17),
(198577, NULL, 'SM00538', NULL, NULL, NULL, NULL, 'pop4_2', NULL, NULL, 3916, 17),
(198578, NULL, 'SM00801', NULL, NULL, NULL, NULL, 'dDENN_cls', NULL, NULL, 10714, 17),
(198579, NULL, 'SM01412', NULL, NULL, NULL, NULL, 'Pro_rich_2', NULL, NULL, 25868, 17),
(198580, NULL, 'SM00734', NULL, NULL, NULL, NULL, 'c2hc_5', NULL, NULL, 1155, 17),
(198581, NULL, 'SM00659', NULL, NULL, NULL, NULL, 'rpolcxc3', NULL, NULL, 1480, 17),
(198582, NULL, 'SM01162', NULL, NULL, NULL, NULL, 'DUF1771_2', NULL, NULL, 18336, 17),
(198583, NULL, 'SM00491', NULL, NULL, NULL, NULL, 'Cxpdneu3', NULL, NULL, 11, 17),
(198584, NULL, 'SM00420', NULL, NULL, NULL, NULL, 'deor2', NULL, NULL, 1274, 17),
(198585, NULL, 'SM01318', NULL, NULL, NULL, NULL, 'SVWC_2', NULL, NULL, 28616, 17),
(198586, NULL, 'SM01093', NULL, NULL, NULL, NULL, 'CP12_2', NULL, NULL, 3205, 17),
(198587, NULL, 'SM00475', NULL, NULL, NULL, NULL, '53exo3', NULL, NULL, 2870, 17),
(198588, NULL, 'SM00252', NULL, NULL, NULL, NULL, 'SH2_5', NULL, NULL, 3420, 17),
(198589, NULL, 'SM01319', NULL, NULL, NULL, NULL, 'Tankyrase_bdg_C_2', NULL, NULL, 22617, 17),
(198590, NULL, 'SM00441', NULL, NULL, NULL, NULL, 'FF_2', NULL, NULL, 3861, 17),
(198591, NULL, 'SM00844', NULL, NULL, NULL, NULL, 'GA_2', NULL, NULL, 14710, 17),
(198592, NULL, 'SM00729', NULL, NULL, NULL, NULL, 'MiaB', NULL, NULL, 1483, 17);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198593, NULL, 'SM00453', NULL, NULL, NULL, NULL, 'wsn_4', NULL, NULL, 2666, 17),
(198594, NULL, 'SM01337', NULL, NULL, NULL, NULL, 'APC10_2', NULL, NULL, 1952, 17),
(198595, NULL, 'SM00964', NULL, NULL, NULL, NULL, 'STAT_int_2', NULL, NULL, 18392, 17),
(198596, NULL, 'SM00654', NULL, NULL, NULL, NULL, 'eIF6neu2', NULL, NULL, 4691, 17),
(198597, NULL, 'SM00045', NULL, NULL, NULL, NULL, 'dagk_c4b_2', NULL, NULL, 6925, 17),
(198598, NULL, 'SM00406', NULL, NULL, NULL, NULL, 'igv1_8', NULL, NULL, 18566, 17),
(198599, NULL, 'SM00512', NULL, NULL, NULL, NULL, 'skp1_3', NULL, NULL, 929, 17),
(198600, NULL, 'SM01154', NULL, NULL, NULL, NULL, 'DUF1704_2', NULL, NULL, 8827, 17),
(198601, NULL, 'SM00902', NULL, NULL, NULL, NULL, 'Fe_hyd_SSU_2', NULL, NULL, 3460, 17),
(198602, NULL, 'SM01120', NULL, NULL, NULL, NULL, 'Dak2_2', NULL, NULL, 548, 17),
(198603, NULL, 'SM00953', NULL, NULL, NULL, NULL, 'RES_2', NULL, NULL, 13107, 17),
(198604, NULL, 'SM00207', NULL, NULL, NULL, NULL, 'TNF_2', NULL, NULL, 2636, 17),
(198605, NULL, 'SM00055', NULL, NULL, NULL, NULL, 'fch_2', NULL, NULL, 1272, 17),
(198606, NULL, 'SM00503', NULL, NULL, NULL, NULL, 'SynN_4', NULL, NULL, 1216, 17),
(198607, NULL, 'SM00969', NULL, NULL, NULL, NULL, 'SOCS_box_2', NULL, NULL, 3493, 17),
(198608, NULL, 'SM01059', NULL, NULL, NULL, NULL, 'CAT_2a', NULL, NULL, 3391, 17),
(198609, NULL, 'SM01315', NULL, NULL, NULL, NULL, 'Spc7_N_2', NULL, NULL, NULL, 17),
(198610, NULL, 'SM01077', NULL, NULL, NULL, NULL, 'Cg6151_P_2', NULL, NULL, 15561, 17),
(198611, NULL, 'SM01195', NULL, NULL, NULL, NULL, 'FA_2', NULL, NULL, 11691, 17),
(198612, NULL, 'SM00218', NULL, NULL, NULL, NULL, 'zu_1', NULL, NULL, 3263, 17),
(198613, NULL, 'SM00277', NULL, NULL, NULL, NULL, 'GRAN_2', NULL, NULL, 1606, 17),
(198614, NULL, 'SM00072', NULL, NULL, NULL, NULL, 'gk_7', NULL, NULL, 7378, 17),
(198615, NULL, 'SM00243', NULL, NULL, 'Growth-Arrest-Specific Protein 2 Domain', NULL, 'GAS2', NULL, NULL, 2516, 17),
(198616, NULL, 'SM00595', NULL, NULL, NULL, NULL, '118neu2', NULL, NULL, 111, 17),
(198617, NULL, 'SM01320', NULL, NULL, NULL, NULL, 'TRP_N_2', NULL, NULL, 22165, 17),
(198618, NULL, 'SM00581', NULL, NULL, NULL, NULL, 'testneu', NULL, NULL, 450, 17),
(198619, NULL, 'SM00115', NULL, NULL, NULL, NULL, 'caspase_2', NULL, NULL, 7876, 17),
(198620, NULL, 'SM00391', NULL, NULL, NULL, NULL, 'TAM_2', NULL, NULL, 3235, 17),
(198621, NULL, 'SM01141', NULL, NULL, NULL, NULL, 'DRY_EERY_2', NULL, NULL, 18646, 17),
(198622, NULL, 'SM01172', NULL, NULL, NULL, NULL, 'DUF3700_2', NULL, NULL, 20032, 17),
(198623, NULL, 'SM01116', NULL, NULL, NULL, NULL, 'Cyanate_lyase_2', NULL, NULL, 2203, 17),
(198624, NULL, 'SM00302', NULL, NULL, NULL, NULL, 'GED_2', NULL, NULL, 1605, 17),
(198625, NULL, 'SM00046', NULL, NULL, NULL, NULL, 'dagk_c4a_7', NULL, NULL, 4104, 17),
(198626, NULL, 'SM00145', NULL, NULL, NULL, NULL, 'pi3k_hr2_4', NULL, NULL, 2323, 17),
(198627, NULL, 'SM01391', NULL, NULL, NULL, NULL, 'Filament_2', NULL, NULL, 29912, 17),
(198628, NULL, 'SM00651', NULL, NULL, NULL, NULL, 'Sm3', NULL, NULL, 1466, 17),
(198629, NULL, 'SM00133', NULL, NULL, NULL, NULL, 'pkinase_C_6', NULL, NULL, 3332, 17),
(198630, NULL, 'SM00995', NULL, NULL, NULL, NULL, 'AD_2', NULL, NULL, 18690, 17),
(198631, NULL, 'SM00385', NULL, NULL, NULL, NULL, 'cyclin_7', NULL, NULL, 7963, 17),
(198632, NULL, 'SM00814', NULL, NULL, NULL, NULL, 'alpha_tif', NULL, NULL, 1504, 17),
(198633, NULL, 'SM00315', NULL, NULL, NULL, NULL, 'RGS_3', NULL, NULL, 11055, 17),
(198634, NULL, 'SM00113', NULL, NULL, NULL, NULL, 'calci3_nr', NULL, NULL, 3411, 17),
(198635, NULL, 'SM00847', NULL, NULL, NULL, NULL, 'ha2_5', NULL, NULL, 10357, 17),
(198636, NULL, 'SM00164', NULL, NULL, NULL, NULL, 'tbc_4', NULL, NULL, 1262, 17),
(198637, NULL, 'SM00908', NULL, NULL, NULL, NULL, 'Gal_bind_lectin_2', NULL, NULL, 2491, 17),
(198638, NULL, 'SM01129', NULL, NULL, NULL, NULL, 'DELLA_2', NULL, NULL, NULL, 17),
(198639, NULL, 'SM01150', NULL, NULL, NULL, NULL, 'DUF1338_2', NULL, NULL, 12769, 17),
(198640, NULL, 'SM00430', NULL, NULL, NULL, NULL, 'holi', NULL, NULL, 5638, 17);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198641, NULL, 'SM00248', NULL, NULL, NULL, NULL, 'ANK_2a', NULL, NULL, 1196, 17),
(198642, NULL, 'SM01214', NULL, NULL, NULL, NULL, 'Fmp27_GFWDK_2', NULL, NULL, 17867, 17),
(198643, NULL, 'SM01253', NULL, NULL, NULL, NULL, 'Kin17_mid_2', NULL, NULL, 17716, 17),
(198644, NULL, 'SM01075', NULL, NULL, NULL, NULL, 'CDT1_2', NULL, NULL, 14086, 17),
(198645, NULL, 'SM01183', NULL, NULL, NULL, NULL, 'EF1G_2', NULL, NULL, 5376, 17),
(198646, NULL, 'SM00904', NULL, NULL, NULL, NULL, 'Flavokinase_2', NULL, NULL, 12694, 17),
(198647, NULL, 'SM00907', NULL, NULL, NULL, NULL, 'GDNF_2', NULL, NULL, 14896, 17),
(198648, NULL, 'SM00860', NULL, NULL, NULL, NULL, 'SMI1_KNR4_3', NULL, NULL, 15097, 17),
(198649, NULL, 'SM01175', NULL, NULL, NULL, NULL, 'DUF4206_2', NULL, NULL, 23647, 17),
(198650, NULL, 'SM00054', NULL, NULL, NULL, NULL, 'efh_1', NULL, NULL, 1197, 17),
(198651, NULL, 'SM00051', NULL, NULL, NULL, NULL, 'dsl11', NULL, NULL, 3423, 17),
(198652, NULL, 'SM01110', NULL, NULL, NULL, NULL, 'Cutinase_3', NULL, NULL, 3753, 17),
(198653, NULL, 'SM00956', NULL, NULL, NULL, NULL, 'RQC_2', NULL, NULL, 15710, 17),
(198654, NULL, 'SM00510', NULL, NULL, NULL, NULL, 'mid_6', NULL, NULL, 557, 17),
(198655, NULL, 'SM01056', NULL, NULL, NULL, NULL, 'Candida_ALS_N_2', NULL, NULL, 21748, 17),
(198656, NULL, 'SM00607', NULL, NULL, NULL, NULL, 'ftp', NULL, NULL, 130, 17),
(198657, NULL, 'SM00484', NULL, NULL, NULL, NULL, 'xpgineu', NULL, NULL, 2515, 17),
(198658, NULL, 'SM01328', NULL, NULL, NULL, NULL, 'zf_3CxxC_2', NULL, NULL, 25199, 17),
(198659, NULL, 'SM00367', NULL, NULL, NULL, NULL, 'LRR_CC_2', NULL, NULL, 383, 17),
(198660, NULL, 'SM01041', NULL, NULL, NULL, NULL, 'BRO1_2', NULL, NULL, 4914, 17),
(198661, NULL, 'SM01010', NULL, NULL, NULL, NULL, 'AMPKBI_2', NULL, NULL, 3726, 17),
(198662, NULL, 'SM00870', NULL, NULL, NULL, NULL, 'Asparaginase_2', NULL, NULL, 2677, 17),
(198663, NULL, 'SM00399', NULL, NULL, NULL, NULL, 'c4gold', NULL, NULL, 3308, 17),
(198664, NULL, 'SM01404', NULL, NULL, NULL, NULL, 'CIMR_2', NULL, NULL, NULL, 17),
(198665, NULL, 'SM00226', NULL, NULL, NULL, NULL, 'LMWPc_2', NULL, NULL, 17429, 17),
(198666, NULL, 'SM00584', NULL, NULL, NULL, NULL, '109ultra', NULL, NULL, 288, 17),
(198667, NULL, 'SM01353', NULL, NULL, NULL, NULL, 'AIF_C_2', NULL, NULL, NULL, 17),
(198668, NULL, 'SM00939', NULL, NULL, NULL, NULL, 'PepX_C_2', NULL, NULL, 7968, 17),
(198669, NULL, 'SM00280', NULL, NULL, NULL, NULL, 'kazal_3', NULL, NULL, 6107, 17),
(198670, NULL, 'SM00080', NULL, NULL, NULL, NULL, 'ultra', NULL, NULL, 5094, 17),
(198671, NULL, 'SM00828', NULL, NULL, 'Methyltransferase  in polyketide synthase (PKS) enzymes.', NULL, 'PKS_MT', NULL, NULL, 21120, 17),
(198672, NULL, 'SM00111', NULL, NULL, NULL, NULL, 'C4_2', NULL, NULL, 6610, 17),
(198673, NULL, 'SM00404', NULL, NULL, NULL, NULL, 'ptp_7', NULL, NULL, 433, 17),
(198674, NULL, 'SM00346', NULL, NULL, NULL, NULL, 'iclrneu', NULL, NULL, 818, 17),
(198675, NULL, 'SM00915', NULL, NULL, NULL, NULL, 'Jacalin_2', NULL, NULL, 889, 17),
(198676, NULL, 'SM01302', NULL, NULL, NULL, NULL, 'Raptor_N_2', NULL, NULL, 24742, 17),
(198677, NULL, 'SM00612', NULL, NULL, NULL, NULL, 'kelc_smart', NULL, NULL, 1407, 17),
(198678, NULL, 'SM00329', NULL, NULL, NULL, NULL, 'bpi2_2', NULL, NULL, 1867, 17),
(198679, NULL, 'SM01003', NULL, NULL, NULL, NULL, 'AlaDh_PNT_N_2', NULL, NULL, 3421, 17),
(198680, NULL, 'SM01015', NULL, NULL, NULL, NULL, 'Arfaptin_2', NULL, NULL, 10777, 17),
(198681, NULL, 'SM00701', NULL, NULL, NULL, NULL, 'pgrp', NULL, NULL, 1258, 17),
(198682, NULL, 'SM01012', NULL, NULL, NULL, NULL, 'ANTAR_2', NULL, NULL, 1694, 17),
(198683, NULL, 'SM01304', NULL, NULL, NULL, NULL, 'Ras_bdg_2_2', NULL, NULL, 27601, 17),
(198684, NULL, 'SM01356', NULL, NULL, NULL, NULL, 'AP4E_app_platf_2', NULL, NULL, 29090, 17),
(198685, NULL, 'SM00896', NULL, NULL, NULL, NULL, 'FDX_ACB_2', NULL, NULL, 7116, 17),
(198686, NULL, 'SM00741', NULL, NULL, NULL, NULL, 'sapb_4', NULL, NULL, 7238, 17),
(198687, NULL, 'SM00947', NULL, NULL, NULL, NULL, 'Pro_CA_2', NULL, NULL, 3121, 17);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198688, NULL, 'SM00555', NULL, NULL, NULL, NULL, 'spa2_6', NULL, NULL, 14365, 17),
(198689, NULL, 'SM01066', NULL, NULL, NULL, NULL, 'CBM_25_3', NULL, NULL, 10225, 17),
(198690, NULL, 'SM00594', NULL, NULL, NULL, NULL, '45neu3', NULL, NULL, 342, 17),
(198691, NULL, 'SM00842', NULL, NULL, NULL, NULL, 'FtsA._2', NULL, NULL, 6181, 17),
(198692, NULL, 'SM00698', NULL, NULL, NULL, NULL, 'morn', NULL, NULL, 5386, 17),
(198693, NULL, 'SM00613', NULL, NULL, NULL, NULL, 'cppneu5', NULL, NULL, 245, 17),
(198694, NULL, 'SM00579', NULL, NULL, NULL, NULL, '9598neu4hmm', NULL, NULL, 427, 17),
(198695, NULL, 'SM00683', NULL, NULL, NULL, NULL, 'dm16', NULL, NULL, 9712, 17),
(198696, NULL, 'SM00110', NULL, NULL, NULL, NULL, 'C1Q_2', NULL, NULL, 2270, 17),
(198697, NULL, 'SM01133', NULL, NULL, NULL, NULL, 'DeoC_2', NULL, NULL, 6095, 17),
(198698, NULL, 'SM00192', NULL, NULL, NULL, NULL, 'LDLa_2', NULL, NULL, 5122, 17),
(198699, NULL, 'SM00233', NULL, NULL, NULL, NULL, 'PH_update', NULL, NULL, 1034, 17),
(198700, NULL, 'SM00694', NULL, NULL, NULL, NULL, 'dysfc', NULL, NULL, 1105, 17),
(198701, NULL, 'SM00783', NULL, NULL, NULL, NULL, 'a_amylase_inhib2', NULL, NULL, 4976, 17),
(198702, NULL, 'SM01340', NULL, NULL, NULL, NULL, 'DNA_mis_repair_2', NULL, NULL, 7627, 17),
(198703, NULL, 'SM00129', NULL, NULL, NULL, NULL, 'kinesin_4', NULL, NULL, 3081, 17),
(198704, NULL, 'SM00973', NULL, NULL, NULL, NULL, 'Sec63_2', NULL, NULL, 2574, 17),
(198705, NULL, 'SM00760', NULL, NULL, NULL, NULL, 'bac_dnaa_c7seqb', NULL, NULL, 8556, 17),
(198706, NULL, 'SM00554', NULL, NULL, NULL, NULL, 'fasc_3', NULL, NULL, 5236, 17),
(198707, NULL, 'SM01072', NULL, NULL, NULL, NULL, 'CDC48_2_2', NULL, NULL, 2907, 17),
(198708, NULL, 'SM00323', NULL, NULL, NULL, NULL, 'RasGAP_2', NULL, NULL, 2448, 17),
(198709, NULL, 'SM00411', NULL, NULL, NULL, NULL, 'bhlneu', NULL, NULL, 1992, 17),
(198710, NULL, 'SM01128', NULL, NULL, NULL, NULL, 'DDRGK_2', NULL, NULL, 18507, 17),
(198711, NULL, 'SM01223', NULL, NULL, NULL, NULL, 'FTO_NTD_2', NULL, NULL, 23331, 17),
(198712, NULL, 'SM00573', NULL, NULL, NULL, NULL, 'bromneu2', NULL, NULL, 9248, 17),
(198713, NULL, 'SM00008', NULL, NULL, NULL, NULL, 'HormR_1', NULL, NULL, 4203, 17),
(198714, NULL, 'SM01068', NULL, NULL, NULL, NULL, 'CBM_X_2', NULL, NULL, 14902, 17),
(198715, NULL, 'SM01109', NULL, NULL, NULL, NULL, 'CUT_2', NULL, NULL, 4391, 17),
(198716, NULL, 'SM01376', NULL, NULL, NULL, NULL, 'eIF_5a_2', NULL, NULL, 18362, 17),
(198717, NULL, 'SM00971', NULL, NULL, NULL, NULL, 'SATase_N_2_a', NULL, NULL, 10054, 17),
(198718, NULL, 'SM00920', NULL, NULL, NULL, NULL, 'MHC_II_alpha_2', NULL, NULL, 393, 17),
(198719, NULL, 'SM01361', NULL, NULL, NULL, NULL, 'A2M_recep_2', NULL, NULL, 12413, 17),
(198720, NULL, 'SM01256', NULL, NULL, NULL, NULL, 'KNOX2_2', NULL, NULL, 1641, 17),
(198721, NULL, 'SM00886', NULL, NULL, NULL, NULL, 'Dabb_2', NULL, NULL, 18547, 17),
(198722, NULL, 'SM00542', NULL, NULL, NULL, NULL, 'fyrc_3', NULL, NULL, 4424, 17),
(198723, NULL, 'SM00794', NULL, NULL, NULL, NULL, 'agrd', NULL, NULL, 12772, 17),
(198724, NULL, 'SM00423', NULL, NULL, NULL, NULL, 'psinew7', NULL, NULL, 12495, 17),
(198725, NULL, 'SM00884', NULL, NULL, NULL, NULL, 'Cullin_Nedd8_2', NULL, NULL, 19914, 17),
(198726, NULL, 'SM01275', NULL, NULL, NULL, NULL, 'MamL_1_2', NULL, NULL, 16599, 17),
(198727, NULL, 'SM00482', NULL, NULL, NULL, NULL, 'polaultra3', NULL, NULL, 1083, 17),
(198728, NULL, 'SM00177', NULL, NULL, NULL, NULL, 'arf_sub_2', NULL, NULL, NULL, 17),
(198729, NULL, 'SM01118', NULL, NULL, NULL, NULL, 'CYTH_2', NULL, NULL, 17044, 17),
(198730, NULL, 'SM01407', NULL, NULL, NULL, NULL, 'NAC_2', NULL, NULL, 3561, 17),
(198731, NULL, 'SM01142', NULL, NULL, NULL, NULL, 'DSHCT_2', NULL, NULL, 12103, 17),
(198732, NULL, 'SM00496', NULL, NULL, NULL, NULL, 'seet_6', NULL, NULL, 831, 17),
(198733, NULL, 'SM00461', NULL, NULL, NULL, NULL, 'WH1_2', NULL, NULL, 3664, 17),
(198734, NULL, 'SM01126', NULL, NULL, NULL, NULL, 'DDE_Tnp_IS1595_2', NULL, NULL, 25785, 17),
(198735, NULL, 'SM00493', NULL, NULL, NULL, NULL, 'toprim5', NULL, NULL, 11261, 17);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198736, NULL, 'SM00743', NULL, NULL, NULL, NULL, 'agenet_At_2', NULL, NULL, 9719, 17),
(198737, NULL, 'SM01388', NULL, NULL, NULL, NULL, 'Mob1_phocein_2', NULL, NULL, 5487, 17),
(198738, NULL, 'SM01140', NULL, NULL, NULL, NULL, 'Drf_GBD_2', NULL, NULL, 10258, 17),
(198739, NULL, 'SM00661', NULL, NULL, NULL, NULL, 'rpol9cneu', NULL, NULL, 3163, 17),
(198740, NULL, 'SM01065', NULL, NULL, NULL, NULL, 'CBM_20_2', NULL, NULL, 1198, 17),
(198741, NULL, 'SM01252', NULL, NULL, NULL, NULL, 'KilA_N_2', NULL, NULL, 19494, 17),
(198742, NULL, 'SM00707', NULL, NULL, NULL, NULL, 'rpel', NULL, NULL, 676, 17),
(198743, NULL, 'SM01103', NULL, NULL, NULL, NULL, 'CRS1_YhbY_2', NULL, NULL, 4269, 17),
(198744, NULL, 'SM00775', NULL, NULL, NULL, NULL, 'lns2', NULL, NULL, 12545, 17),
(198745, NULL, 'SM00592', NULL, NULL, NULL, NULL, '122neu5', NULL, NULL, 16, 17),
(198746, NULL, 'SM00672', NULL, NULL, NULL, NULL, 'cap10', NULL, NULL, 1449, 17),
(198747, NULL, 'SM00826', NULL, NULL, NULL, NULL, 'PKS_DH', NULL, NULL, 19890, 17),
(198748, NULL, 'SM00771', NULL, NULL, NULL, NULL, 'ZipA_C_cls', NULL, NULL, 4603, 17),
(198749, NULL, 'SM01387', NULL, NULL, NULL, NULL, 'Ribosomal_S15_2', NULL, NULL, 5528, 17),
(198750, NULL, 'SM00784', NULL, NULL, NULL, NULL, 'spt2', NULL, NULL, 13285, 17),
(198751, NULL, 'SM00563', NULL, NULL, NULL, NULL, 'plsc_2', NULL, NULL, 1007, 17),
(198752, NULL, 'SM01088', NULL, NULL, NULL, NULL, 'Col_cuticle_N_2', NULL, NULL, 622, 17),
(198753, NULL, 'SM00160', NULL, NULL, NULL, NULL, 'ranbd_3', NULL, NULL, 1921, 17),
(198754, NULL, 'SM00695', NULL, NULL, NULL, NULL, 'dusp', NULL, NULL, 1179, 17),
(198755, NULL, 'SM01086', NULL, NULL, NULL, NULL, 'ClpB_D2_small_2', NULL, NULL, 18696, 17),
(198756, NULL, 'SM00546', NULL, NULL, NULL, NULL, 'cue_7', NULL, NULL, 4289, 17),
(198757, NULL, 'SM01365', NULL, NULL, NULL, NULL, 'Op_neuropeptide_2', NULL, NULL, 13194, 17),
(198758, NULL, 'SM00150', NULL, NULL, NULL, NULL, 'SPEC_4', NULL, NULL, 13515, 17),
(198759, NULL, 'SM00862', NULL, NULL, NULL, NULL, 'Trans_reg_C_3', NULL, NULL, 4482, 17),
(198760, NULL, 'SM01104', NULL, NULL, NULL, NULL, 'CTD_2', NULL, NULL, 25360, 17),
(198761, NULL, 'SM00481', NULL, NULL, NULL, NULL, 'npolultra', NULL, NULL, 2551, 17),
(198762, NULL, 'SM00537', NULL, NULL, NULL, NULL, 'doub1_11', NULL, NULL, 7285, 17),
(198763, NULL, 'SM00197', NULL, NULL, NULL, NULL, 'SAA_2', NULL, NULL, 3860, 17),
(198764, NULL, 'SM00305', NULL, NULL, NULL, NULL, 'HINTC_6', NULL, NULL, 73, 17),
(198765, NULL, 'SM00668', NULL, NULL, NULL, NULL, 'ctlh', NULL, NULL, 1221, 17),
(198766, NULL, 'SM00260', NULL, NULL, NULL, NULL, 'chew_2', NULL, NULL, 1847, 17),
(198767, NULL, 'SM00675', NULL, NULL, NULL, NULL, 'dm11', NULL, NULL, 1255, 17),
(198768, NULL, 'SM01152', NULL, NULL, NULL, NULL, 'DUF167_2', NULL, NULL, 2282, 17),
(198769, NULL, 'SM00220', NULL, NULL, NULL, NULL, 'serkin_6', NULL, NULL, 3723, 17),
(198770, NULL, 'SM00671', NULL, NULL, NULL, NULL, 'sel1', NULL, NULL, 1367, 17),
(198771, NULL, 'SM01300', NULL, NULL, NULL, NULL, 'PEHE_2', NULL, NULL, 24505, 17),
(198772, NULL, 'SM00773', NULL, NULL, NULL, NULL, 'WGR_cls', NULL, NULL, 7674, 17),
(198773, NULL, 'SM01094', NULL, NULL, NULL, NULL, 'CpcD_2', NULL, NULL, 506, 17),
(198774, NULL, 'SM00916', NULL, NULL, NULL, NULL, 'L51_S25_CI_B8_2', NULL, NULL, 1207, 17),
(198775, NULL, 'SM00998', NULL, NULL, NULL, NULL, 'ADSL_C_2', NULL, NULL, 17625, 17),
(198776, NULL, 'SM00976', NULL, NULL, NULL, NULL, 'Telo_bind_a_2', NULL, NULL, 12287, 17),
(198777, NULL, 'SM00688', NULL, NULL, NULL, NULL, 'dm7', NULL, NULL, 1355, 17),
(198778, NULL, 'SM01342', NULL, NULL, NULL, NULL, 'TAN_2', NULL, NULL, 19265, 17),
(198779, NULL, 'SM01352', NULL, NULL, NULL, NULL, 'APCDDC_2', NULL, NULL, 24012, 17),
(198780, NULL, 'SM01159', NULL, NULL, NULL, NULL, 'DUF1744_2', NULL, NULL, 13628, 17),
(198781, NULL, 'SM00304', NULL, NULL, NULL, NULL, 'HAMP_11', NULL, NULL, 1390, 17),
(198782, NULL, 'SM01117', NULL, NULL, NULL, NULL, 'Cyt_b5_2', NULL, NULL, 1476, 17),
(198783, NULL, 'SM01333', NULL, NULL, NULL, NULL, 'Tet_JBP_2', NULL, NULL, 16189, 17);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198784, NULL, 'SM00955', NULL, NULL, NULL, NULL, 'RNB_2', NULL, NULL, 2355, 17),
(198785, NULL, 'SM00247', NULL, NULL, NULL, NULL, 'XTALbg_4', NULL, NULL, 2197, 17),
(198786, NULL, 'SM00087', NULL, NULL, NULL, NULL, 'para4', NULL, NULL, 6358, 17),
(198787, NULL, 'SM00791', NULL, NULL, NULL, NULL, 'agglutinin', NULL, NULL, 9573, 17),
(198788, NULL, 'SM00961', NULL, NULL, NULL, NULL, 'RuBisCO_small_2_a', NULL, NULL, 3448, 17),
(198789, NULL, 'SM01364', NULL, NULL, NULL, NULL, 'NPP_2', NULL, NULL, 12483, 17),
(198790, NULL, 'SM00162', NULL, NULL, NULL, NULL, 'sapA_2', NULL, NULL, 1980, 17),
(198791, NULL, 'SM00648', NULL, NULL, NULL, NULL, 'surpneu2', NULL, NULL, 2661, 17),
(198792, NULL, 'SM00263', NULL, NULL, NULL, NULL, 'lysozyme-fin', NULL, NULL, 4354, 17),
(198793, NULL, 'SM01168', NULL, NULL, NULL, NULL, 'DUF1907_2', NULL, NULL, 7605, 17),
(198794, NULL, 'SM00498', NULL, NULL, NULL, NULL, 'it6_source', NULL, NULL, 7530, 17),
(198795, NULL, 'SM01405', NULL, NULL, NULL, NULL, 'Ribosomal_S6e_2', NULL, NULL, 6897, 17),
(198796, NULL, 'SM00061', NULL, NULL, NULL, NULL, 'math_3', NULL, NULL, 1063, 17),
(198797, NULL, 'SM00041', NULL, NULL, NULL, NULL, 'CT_3', NULL, NULL, 11267, 17),
(198798, NULL, 'SM00664', NULL, NULL, NULL, NULL, 'DOMON_3', NULL, NULL, 1160, 17),
(198799, NULL, 'SM00726', NULL, NULL, NULL, NULL, 'uim', NULL, NULL, 4184, 17),
(198800, NULL, 'SM01409', NULL, NULL, NULL, NULL, 'RNA_pol_Rpb6_2', NULL, NULL, 10156, 17),
(198801, NULL, 'SM00711', NULL, NULL, NULL, NULL, 'tdu', NULL, NULL, 1307, 17),
(198802, NULL, 'SM00702', NULL, NULL, NULL, NULL, 'p4hc', NULL, NULL, 1280, 17),
(198803, NULL, 'SM00157', NULL, NULL, NULL, NULL, 'PRP_2', NULL, NULL, 5354, 17),
(198804, NULL, 'SM00983', NULL, NULL, NULL, NULL, 'TPK_B1_binding_a_2_a', NULL, NULL, 5554, 17),
(198805, NULL, 'SM00786', NULL, NULL, NULL, NULL, 'shr3_chaperone2', NULL, NULL, 13381, 17),
(198806, NULL, 'SM00744', NULL, NULL, NULL, NULL, 'ringv_2', NULL, NULL, 9358, 17),
(198807, NULL, 'SM01401', NULL, NULL, NULL, NULL, 'Sds3_2', NULL, NULL, 18462, 17),
(198808, NULL, 'SM00837', NULL, NULL, NULL, NULL, 'dpbb_1', NULL, NULL, 465, 17),
(198809, NULL, 'SM01231', NULL, NULL, NULL, NULL, 'H_kinase_dim_2', NULL, NULL, 1577, 17),
(198810, NULL, 'SM00035', NULL, NULL, NULL, NULL, 'clus1a', NULL, NULL, 13224, 17),
(198811, NULL, 'SM01323', NULL, NULL, NULL, NULL, 'YajC_2', NULL, NULL, 3093, 17),
(198812, NULL, 'SM00645', NULL, NULL, NULL, NULL, 'pept_c1', NULL, NULL, 5657, 17),
(198813, NULL, 'SM00241', NULL, NULL, NULL, NULL, 'zp_4', NULL, NULL, 6192, 17),
(198814, NULL, 'SM00706', NULL, NULL, NULL, NULL, 'tecpr', NULL, NULL, 1222, 17),
(198815, NULL, 'SM01078', NULL, NULL, NULL, NULL, 'CGGC_2', NULL, NULL, 14221, 17),
(198816, NULL, 'SM00208', NULL, NULL, NULL, NULL, 'TNFR_3', NULL, NULL, 2482, 17),
(198817, NULL, 'SM01345', NULL, NULL, NULL, NULL, 'Rapamycin_bind_3', NULL, NULL, NULL, 17),
(198818, NULL, 'SM00325', NULL, NULL, NULL, NULL, 'RhoGEF_3', NULL, NULL, 3788, 17),
(198819, NULL, 'SM00155', NULL, NULL, NULL, NULL, 'pld_4', NULL, NULL, 3001, 17),
(198820, NULL, 'SM01164', NULL, NULL, NULL, NULL, 'DUF1856_2', NULL, NULL, 8964, 17),
(198821, NULL, 'SM00224', NULL, NULL, NULL, NULL, 'GGL_4', NULL, NULL, 7721, 17),
(198822, NULL, 'SM00239', NULL, NULL, NULL, NULL, 'C2_3c', NULL, NULL, 2681, 17),
(198823, NULL, 'SM01332', NULL, NULL, NULL, NULL, 'Cyclin_C_2', NULL, NULL, 5856, 17),
(198824, NULL, 'SM00937', NULL, NULL, NULL, NULL, 'PCRF_a_2', NULL, NULL, 7438, 17),
(198825, NULL, 'SM00500', NULL, NULL, NULL, NULL, 'pr04_2', NULL, NULL, 13095, 17),
(198826, NULL, 'SM00718', NULL, NULL, NULL, NULL, 'dm4_12', NULL, NULL, 1370, 17),
(198827, NULL, 'SM01408', NULL, NULL, NULL, NULL, 'ING_2', NULL, NULL, 22513, 17),
(198828, NULL, 'SM00116', NULL, NULL, NULL, NULL, 'cbs_1', NULL, NULL, 4110, 17),
(198829, NULL, 'SM00138', NULL, NULL, NULL, NULL, 'methyl_trans_3', NULL, NULL, 3915, 17),
(198830, NULL, 'SM00798', NULL, NULL, NULL, NULL, 'aicarft_impchas', NULL, NULL, 3871, 17),
(198831, NULL, 'SM00021', NULL, NULL, NULL, NULL, 'dax_2', NULL, NULL, 1199, 17);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198832, NULL, 'SM01130', NULL, NULL, NULL, NULL, 'DHDPS_2', NULL, NULL, 6149, 17),
(198833, NULL, 'SM00857', NULL, NULL, NULL, NULL, 'resolvase_6', NULL, NULL, 10446, 17),
(198834, NULL, 'SM00869', NULL, NULL, NULL, NULL, 'Autotransporter_2', NULL, NULL, 1596, 17),
(198835, NULL, 'SM00093', NULL, NULL, NULL, NULL, 'serpin2', NULL, NULL, 16937, 17),
(198836, NULL, 'SM01132', NULL, NULL, NULL, NULL, 'DIL_2', NULL, NULL, 3722, 17),
(198837, NULL, 'SM01033', NULL, NULL, NULL, NULL, 'BING4CT_2', NULL, NULL, 12079, 17),
(198838, NULL, 'SM01165', NULL, NULL, NULL, NULL, 'DUF1866_2', NULL, NULL, 7852, 17),
(198839, NULL, 'SM00435', NULL, NULL, NULL, NULL, 'topeu', NULL, NULL, 7758, 17),
(198840, NULL, 'SM00805', NULL, NULL, NULL, NULL, 'agtrap2', NULL, NULL, 8444, 17),
(198841, NULL, 'SM01363', NULL, NULL, NULL, NULL, 'ACTH_domain_2', NULL, NULL, 13132, 17),
(198842, NULL, 'SM00799', NULL, NULL, NULL, NULL, 'DENN_cls', NULL, NULL, 1047, 17),
(198843, NULL, 'SM00846', NULL, NULL, NULL, NULL, 'gp_dh_n_7', NULL, NULL, 19102, 17),
(198844, NULL, 'SM01262', NULL, NULL, NULL, NULL, 'LAMTOR_2', NULL, NULL, 28807, 17),
(198845, NULL, 'SM00871', NULL, NULL, NULL, NULL, 'AraC_E_bind_2', NULL, NULL, 10765, 17),
(198846, NULL, 'SM01193', NULL, NULL, NULL, NULL, 'Enolase_N_3', NULL, NULL, 14534, 17),
(198847, NULL, 'SM01398', NULL, NULL, NULL, NULL, 'Cornichon_2', NULL, NULL, 6320, 17),
(198848, NULL, 'SM00639', NULL, NULL, NULL, NULL, 'psa', NULL, NULL, 6335, 17),
(198849, NULL, 'SM01288', NULL, NULL, NULL, NULL, 'FISNA_2', NULL, NULL, 23264, 17),
(198850, NULL, 'SM01084', NULL, NULL, NULL, NULL, 'CKS_2', NULL, NULL, 4800, 17),
(198851, NULL, 'SM00840', NULL, NULL, NULL, NULL, 'dalr_2_4', NULL, NULL, 12800, 17),
(198852, NULL, 'SM00245', NULL, NULL, NULL, NULL, 'tsp_4', NULL, NULL, 4176, 17),
(198853, NULL, 'SM00443', NULL, NULL, NULL, NULL, 'G-patch_5', NULL, NULL, 6999, 17),
(198854, NULL, 'SM01392', NULL, NULL, NULL, NULL, 'MAGE_N_2', NULL, NULL, 15048, 17),
(198855, NULL, 'SM00531', NULL, NULL, NULL, NULL, 'tfiie3', NULL, NULL, 5899, 17),
(198856, NULL, 'SM00855', NULL, NULL, NULL, NULL, 'PGAM_5', NULL, NULL, 7761, 17),
(198857, NULL, 'SM00854', NULL, NULL, NULL, NULL, 'PGA_cap_3', NULL, NULL, 16822, 17),
(198858, NULL, 'SM00167', NULL, NULL, NULL, NULL, 'vps9_2', NULL, NULL, 1918, 17),
(198859, NULL, 'SM01383', NULL, NULL, NULL, NULL, 'Ribosomal_L2_2', NULL, NULL, 10, 17),
(198860, NULL, 'SM01381', NULL, NULL, NULL, NULL, '7TM_GPCR_Srsx_2', NULL, NULL, 4555, 17),
(198861, NULL, 'SM00803', NULL, NULL, NULL, NULL, 'TAF_cls', NULL, NULL, 4416, 17),
(198862, NULL, 'SM00567', NULL, NULL, 'E-Z type HEAT repeats', NULL, 'EZ_HEAT', NULL, NULL, 2683, 17),
(198863, NULL, 'SM00151', NULL, NULL, NULL, NULL, 'swib_2', NULL, NULL, 18447, 17),
(198864, NULL, 'SM01310', NULL, NULL, NULL, NULL, 'RICTOR_V_2', NULL, NULL, 24641, 17),
(198865, NULL, 'SM00868', NULL, NULL, NULL, NULL, 'zf_AD_2', NULL, NULL, 8217, 17),
(198866, NULL, 'SM00154', NULL, NULL, NULL, NULL, 'AN1_Zf_4', NULL, NULL, 3729, 17),
(198867, NULL, 'SM00135', NULL, NULL, NULL, NULL, 'LY_2', NULL, NULL, 7302, 17),
(198868, NULL, 'SM00989', NULL, NULL, NULL, NULL, 'V4R_2_a', NULL, NULL, 1533, 17),
(198869, NULL, 'SM00747', NULL, NULL, NULL, NULL, '2CFEM', NULL, NULL, 8883, 17),
(198870, NULL, 'SM00472', NULL, NULL, NULL, NULL, 'mir_2', NULL, NULL, 13560, 17),
(198871, NULL, 'SM00633', NULL, NULL, NULL, NULL, 'glyco_10', NULL, NULL, 3452, 17),
(198872, NULL, 'SM01255', NULL, NULL, NULL, NULL, 'KNOX1_2', NULL, NULL, 1840, 17),
(198873, NULL, 'SM00333', NULL, NULL, NULL, NULL, 'TUDOR_7', NULL, NULL, 7199, 17),
(198874, NULL, 'SM00653', NULL, NULL, NULL, NULL, 'eIF2Bneu4', NULL, NULL, 3524, 17),
(198875, NULL, 'SM00697', NULL, NULL, NULL, NULL, 'dm8', NULL, NULL, 10781, 17),
(198876, NULL, 'SM01200', NULL, NULL, NULL, NULL, 'FerA_2', NULL, NULL, 9763, 17),
(198877, NULL, 'SM00463', NULL, NULL, NULL, NULL, 'SMR_2', NULL, NULL, 2762, 17),
(198878, NULL, 'SM01004', NULL, NULL, NULL, NULL, 'ALAD_2', NULL, NULL, 3056, 17),
(198879, NULL, 'SM01053', NULL, NULL, NULL, NULL, 'CaMBD_2', NULL, NULL, 2719, 17);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198880, NULL, 'SM01176', NULL, NULL, NULL, NULL, 'DUF4208_2', NULL, NULL, 23554, 17),
(198881, NULL, 'SM00309', NULL, NULL, NULL, NULL, 'PAH_1', NULL, NULL, 2207, 17),
(198882, NULL, 'SM00811', NULL, NULL, NULL, NULL, 'alpha_kinase', NULL, NULL, 2657, 17),
(198883, NULL, 'SM01194', NULL, NULL, NULL, NULL, 'eRF1_1_2', NULL, NULL, 7198, 17),
(198884, NULL, 'SM00060', NULL, NULL, NULL, NULL, 'FN3_2', NULL, NULL, 7492, 17),
(198885, NULL, 'SM00152', NULL, NULL, NULL, NULL, 'THY_2', NULL, NULL, 1031, 17),
(198886, NULL, 'SM01400', NULL, NULL, NULL, NULL, 'Pribosyltran_N_2', NULL, NULL, NULL, 17),
(198887, NULL, 'SM01032', NULL, NULL, NULL, NULL, 'BHD_3_2', NULL, NULL, 20466, 17),
(198888, NULL, 'SM00262', NULL, NULL, NULL, NULL, 'VILL_6', NULL, NULL, 403, 17),
(198889, NULL, 'SM00909', NULL, NULL, NULL, NULL, 'Germane_2', NULL, NULL, 20263, 17),
(198890, NULL, 'SM01226', NULL, NULL, NULL, NULL, 'GAGA_bind_2', NULL, NULL, 9833, 17),
(198891, NULL, 'SM00535', NULL, NULL, NULL, NULL, 'riboneu5', NULL, NULL, 47, 17),
(198892, NULL, 'SM00103', NULL, NULL, NULL, NULL, 'albumin-fin', NULL, NULL, 12841, 17),
(198893, NULL, 'SM00290', NULL, NULL, NULL, NULL, 'Zf_UBP_1', NULL, NULL, 3007, 17),
(198894, NULL, 'SM01403', NULL, NULL, NULL, NULL, 'Ribosomal_S10_2', NULL, NULL, 27060, 17),
(198895, NULL, 'SM00292', NULL, NULL, NULL, NULL, 'BRCT_7', NULL, NULL, 7359, 17),
(198896, NULL, 'SM00673', NULL, NULL, NULL, NULL, 'carp', NULL, NULL, 1095, 17),
(198897, NULL, 'SM01184', NULL, NULL, NULL, NULL, 'efhand_Ca_insen_2', NULL, NULL, NULL, 17),
(198898, NULL, 'SM00727', NULL, NULL, NULL, NULL, 'CBM', NULL, NULL, 1011, 17),
(198899, NULL, 'SM01185', NULL, NULL, NULL, NULL, 'EFP_2', NULL, NULL, 2204, 17),
(198900, NULL, 'SM01374', NULL, NULL, NULL, NULL, 'Ribosomal_L14_2', NULL, NULL, 1525, 17),
(198901, NULL, 'SM00943', NULL, NULL, NULL, NULL, 'Prim_Pol_2_a', NULL, NULL, 13554, 17),
(198902, NULL, 'SM01382', NULL, NULL, NULL, NULL, 'Ribosomal_L2_C_2', NULL, NULL, 17275, 17),
(198903, NULL, 'SM00631', NULL, NULL, NULL, NULL, 'zn_carb', NULL, NULL, 174, 17),
(198904, NULL, 'SM01090', NULL, NULL, NULL, NULL, 'Copper_fist_2', NULL, NULL, 2011, 17),
(198905, NULL, 'SM00586', NULL, NULL, NULL, NULL, '3039neu', NULL, NULL, 477, 17),
(198906, NULL, 'SM00649', NULL, NULL, NULL, NULL, 'rl11c', NULL, NULL, 360, 17),
(198907, NULL, 'SM01138', NULL, NULL, NULL, NULL, 'DP_2', NULL, NULL, 13190, 17),
(198908, NULL, 'SM00070', NULL, NULL, NULL, NULL, 'gluca', NULL, NULL, 5904, 17),
(198909, NULL, 'SM00019', NULL, NULL, NULL, NULL, 'surpal', NULL, NULL, 3266, 17),
(198910, NULL, 'SM01102', NULL, NULL, NULL, NULL, 'CRM1_C_2', NULL, NULL, 13205, 17),
(198911, NULL, 'SM01372', NULL, NULL, NULL, NULL, 'E2F_TDP_2', NULL, NULL, 4466, 17),
(198912, NULL, 'SM00479', NULL, NULL, NULL, NULL, 'exoiiiendus', NULL, NULL, 5697, 17),
(198913, NULL, 'SM00632', NULL, NULL, NULL, NULL, 'Aamy_c', NULL, NULL, 27178, 17),
(198914, NULL, 'SM01014', NULL, NULL, NULL, NULL, 'ARID_2', NULL, NULL, NULL, 17),
(198915, NULL, 'SM01260', NULL, NULL, NULL, NULL, 'LANC_like_2', NULL, NULL, 2409, 17),
(198916, NULL, 'SM01097', NULL, NULL, NULL, NULL, 'CPSase_sm_chain_2', NULL, NULL, 5063, 17),
(198917, NULL, 'SM00790', NULL, NULL, NULL, NULL, 'afor_n', NULL, NULL, 12842, 17),
(198918, NULL, 'SM00090', NULL, NULL, NULL, NULL, 'rio_2', NULL, NULL, 3868, 17),
(198919, NULL, 'SM00130', NULL, NULL, NULL, NULL, 'KR_2', NULL, NULL, 1561, 17),
(198920, NULL, 'SM00467', NULL, NULL, NULL, NULL, 'GS_4', NULL, NULL, 332, 17),
(198921, NULL, 'SM00859', NULL, NULL, NULL, NULL, 'Semialdhyde_dh_3', NULL, NULL, 5868, 17),
(198922, NULL, 'SM00198', NULL, NULL, NULL, NULL, 'SCP_3', NULL, NULL, 9359, 17),
(198923, NULL, 'SM00439', NULL, NULL, NULL, NULL, 'BAH_4', NULL, NULL, 1093, 17),
(198924, NULL, 'SM01410', NULL, NULL, NULL, NULL, 'DIM1_2', NULL, NULL, 1583, 17),
(198925, NULL, 'SM01058', NULL, NULL, NULL, NULL, 'CarD_TRCF_2', NULL, NULL, 2242, 17),
(198926, NULL, 'SM00900', NULL, NULL, NULL, NULL, 'FMN_bind_2', NULL, NULL, 5493, 17),
(198927, NULL, 'SM00802', NULL, NULL, NULL, NULL, 'UME_cls', NULL, NULL, 12199, 17);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198928, NULL, 'SM01076', NULL, NULL, NULL, NULL, 'CG_1_2', NULL, NULL, 1713, 17),
(198929, NULL, 'SM01362', NULL, NULL, NULL, NULL, 'DUF663_2', NULL, NULL, 6737, 17),
(198930, NULL, 'SM00337', NULL, NULL, NULL, NULL, 'bclneu2', NULL, NULL, 22479, 17),
(198931, NULL, 'SM01143', NULL, NULL, NULL, NULL, 'DSX_dimer_2', NULL, NULL, 14286, 17),
(198932, NULL, 'SM01254', NULL, NULL, NULL, NULL, 'KLRAQ_2', NULL, NULL, 15992, 17),
(198933, NULL, 'SM00380', NULL, NULL, NULL, NULL, 'rav1_2', NULL, NULL, 3110, 17),
(198934, NULL, 'SM01211', NULL, NULL, NULL, NULL, 'GATase_5_2', NULL, NULL, NULL, 17),
(198935, NULL, 'SM01251', NULL, NULL, NULL, NULL, 'KbaA_2', NULL, NULL, 13185, 17),
(198936, NULL, 'SM00929', NULL, NULL, NULL, NULL, 'NADH_G_4Fe_4S_3_2', NULL, NULL, 20304, 17),
(198937, NULL, 'SM00663', NULL, NULL, NULL, NULL, 'rpolaneu7', NULL, NULL, 1135, 17),
(198938, NULL, 'SM00180', NULL, NULL, NULL, NULL, 'lamegf_3', NULL, NULL, 1356, 17),
(198939, NULL, 'SM00745', NULL, NULL, NULL, NULL, 'smart', NULL, NULL, 5148, 17),
(198940, NULL, 'SM00647', NULL, NULL, NULL, NULL, 'ibrneu5', NULL, NULL, 5522, 17),
(198941, NULL, 'SM01153', NULL, NULL, NULL, NULL, 'DUF1693_2', NULL, NULL, 8482, 17),
(198942, NULL, 'SM01198', NULL, NULL, NULL, NULL, 'FBA_2', NULL, NULL, 3502, 17),
(198943, NULL, 'SM01228', NULL, NULL, NULL, NULL, 'GIDA_assoc_3_2', NULL, NULL, NULL, 17),
(198944, NULL, 'SM01344', NULL, NULL, NULL, NULL, 'NUC194_2', NULL, NULL, 9738, 17),
(198945, NULL, 'SM00545', NULL, NULL, NULL, NULL, 'JmjN_1', NULL, NULL, 4102, 17),
(198946, NULL, 'SM01224', NULL, NULL, NULL, NULL, 'G_gamma_2', NULL, NULL, NULL, 17),
(198947, NULL, 'SM00605', NULL, NULL, NULL, NULL, 'cw', NULL, NULL, 347, 17),
(198948, NULL, 'SM00246', NULL, NULL, NULL, NULL, 'wh2_8', NULL, NULL, 1941, 17),
(198949, NULL, 'SM01338', NULL, NULL, NULL, NULL, 'NOD_2', NULL, NULL, 9219, 17),
(198950, NULL, 'SM00134', NULL, NULL, NULL, NULL, 'LU_2', NULL, NULL, 9106, 17),
(198951, NULL, 'SM01087', NULL, NULL, NULL, NULL, 'COG6_2', NULL, NULL, 10168, 17),
(198952, NULL, 'SM00885', NULL, NULL, NULL, NULL, 'D5_N_2', NULL, NULL, 11514, 17),
(198953, NULL, 'SM01166', NULL, NULL, NULL, NULL, 'DUF1899_3', NULL, NULL, 7552, 17),
(198954, NULL, 'SM00981', NULL, NULL, NULL, NULL, 'THUMP_a_2', NULL, NULL, 1932, 17),
(198955, NULL, 'SM00409', NULL, NULL, NULL, NULL, 'IG_3c', NULL, NULL, 302, 17),
(198956, NULL, 'SM01244', NULL, NULL, NULL, NULL, 'IRS_2', NULL, NULL, NULL, 17),
(198957, NULL, 'SM01389', NULL, NULL, NULL, NULL, 'Spt4_2', NULL, NULL, 17303, 17),
(198958, NULL, 'SM01136', NULL, NULL, NULL, NULL, 'DKCLD_2', NULL, NULL, 12082, 17),
(198959, NULL, 'SM00341', NULL, NULL, NULL, NULL, 'hrdc7', NULL, NULL, 1114, 17),
(198960, NULL, 'SM01232', NULL, NULL, NULL, NULL, 'H2TH_2', NULL, NULL, 7295, 17),
(198961, NULL, 'SM01023', NULL, NULL, NULL, NULL, 'BAF_2', NULL, NULL, 1828, 17),
(198962, NULL, 'SM00393', NULL, NULL, NULL, NULL, 'R3H_4', NULL, NULL, 7045, 17),
(198963, NULL, 'SM00278', NULL, NULL, NULL, NULL, 'HhH1_4', NULL, NULL, 108, 17),
(198964, NULL, 'SM01308', NULL, NULL, NULL, NULL, 'RICTOR_N_3', NULL, NULL, 23646, 17),
(198965, NULL, 'SM00891', NULL, NULL, NULL, NULL, 'ERCC4_2', NULL, NULL, 10081, 17),
(198966, NULL, 'SM01233', NULL, NULL, NULL, NULL, 'HABP4_PAI_RBP1_2', NULL, NULL, 4019, 17),
(198967, NULL, 'SM00326', NULL, NULL, NULL, NULL, 'SH3_2', NULL, NULL, 6360, 17),
(198968, NULL, 'SM01322', NULL, NULL, NULL, NULL, 'YaeQ_2', NULL, NULL, 13538, 17),
(198969, NULL, 'SM00265', NULL, NULL, NULL, NULL, 'bh4_2', NULL, NULL, 862, 17),
(198970, NULL, 'SM00284', NULL, NULL, NULL, NULL, 'olf_2', NULL, NULL, 1961, 17),
(198971, NULL, 'SM00360', NULL, NULL, NULL, NULL, 'rrm1_1', NULL, NULL, 5800, 17),
(198972, NULL, 'SM00526', NULL, NULL, NULL, NULL, 'h15plus2', NULL, NULL, 5633, 17),
(198973, NULL, 'SM00749', NULL, NULL, NULL, NULL, 'bon', NULL, NULL, 9983, 17),
(198974, NULL, 'SM00361', NULL, NULL, NULL, NULL, 'rrm2_1', NULL, NULL, 7440, 17),
(198975, NULL, 'SM00043', NULL, NULL, NULL, NULL, 'CY_4', NULL, NULL, 2589, 17),
(198976, NULL, 'SM00254', NULL, NULL, NULL, NULL, 'ShkT_1', NULL, NULL, 218, 17);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(198977, NULL, 'SM00259', NULL, NULL, NULL, NULL, 'A20_3', NULL, NULL, 2569, 17),
(198978, NULL, 'SM01187', NULL, NULL, NULL, NULL, 'Elicitin_2', NULL, NULL, 210, 17),
(198979, NULL, 'SM00906', NULL, NULL, NULL, NULL, 'Fungal_trans_2', NULL, NULL, 6190, 17),
(198980, NULL, 'SM01039', NULL, NULL, NULL, NULL, 'BRICHOS_2', NULL, NULL, 407, 17),
(198981, NULL, 'SM00004', NULL, NULL, NULL, NULL, 'NL_2', NULL, NULL, 6643, 17),
(198982, NULL, 'SM01080', NULL, NULL, NULL, NULL, 'CHASE2_2', NULL, NULL, 3199, 17),
(198983, NULL, 'SM00950', NULL, NULL, NULL, NULL, 'Piwi_a_2', NULL, NULL, 1914, 17),
(198984, NULL, 'SM00580', NULL, NULL, NULL, NULL, 'PGNneu', NULL, NULL, NULL, 17),
(198985, NULL, 'SM00650', NULL, NULL, NULL, NULL, 'rADcneu6', NULL, NULL, 20658, 17),
(198986, NULL, 'SM00952', NULL, NULL, NULL, NULL, 'RAP_3', NULL, NULL, 12479, 17),
(198987, NULL, 'SM00957', NULL, NULL, NULL, NULL, 'SecA_DEAD_2', NULL, NULL, 11328, 17),
(198988, NULL, 'SM01201', NULL, NULL, NULL, NULL, 'FerB_2', NULL, NULL, 9554, 17),
(198989, NULL, 'SM00770', NULL, NULL, NULL, NULL, 'Zn_dep_PLPC_cls', NULL, NULL, 3122, 17),
(198990, NULL, 'SM00144', NULL, NULL, NULL, NULL, 'pi3k_ras_2', NULL, NULL, 122, 17),
(198991, NULL, 'SM00320', NULL, NULL, NULL, NULL, 'WD40_4', NULL, NULL, 3484, 17),
(198992, NULL, 'SM00641', NULL, NULL, NULL, NULL, 'glyco_25', NULL, NULL, 13971, 17),
(198993, NULL, 'SM00646', NULL, NULL, NULL, NULL, 'ami_3', NULL, NULL, 652, 17),
(198994, NULL, 'SM01188', NULL, NULL, NULL, NULL, 'ELK_2', NULL, NULL, 1582, 17),
(198995, NULL, 'SM00354', NULL, NULL, NULL, NULL, 'laci3', NULL, NULL, 408, 17),
(198996, NULL, 'SM00044', NULL, NULL, NULL, NULL, 'cyc_6', NULL, NULL, 1424, 17),
(198997, NULL, 'SM00935', NULL, NULL, NULL, NULL, 'OmpH_2', NULL, NULL, 2529, 17),
(198998, NULL, 'SM01079', NULL, NULL, NULL, NULL, 'CHASE_2', NULL, NULL, 11227, 17),
(198999, NULL, 'SM00456', NULL, NULL, NULL, NULL, 'ww_5', NULL, NULL, 1194, 17),
(199000, NULL, 'SM00721', NULL, NULL, NULL, NULL, '5bar', NULL, NULL, 2968, 17),
(199001, NULL, 'SM00114', NULL, NULL, NULL, NULL, 'card_3', NULL, NULL, 377, 17),
(199002, NULL, 'SM00299', NULL, NULL, NULL, NULL, 'CLH_2', NULL, NULL, 5855, 17),
(199003, NULL, 'SM00609', NULL, NULL, NULL, NULL, 'vit', NULL, NULL, 13983, 17),
(199004, NULL, 'SM00946', NULL, NULL, NULL, NULL, 'ProRS_C_1_2', NULL, NULL, 11866, 17),
(199005, NULL, 'SM00944', NULL, NULL, NULL, NULL, 'Pro_kuma_activ_2', NULL, NULL, 14341, 17),
(199006, NULL, 'SM00025', NULL, NULL, NULL, NULL, 'pum_5', NULL, NULL, 2290, 17),
(199007, NULL, 'SM00253', NULL, NULL, NULL, NULL, 'socs_2', NULL, NULL, 3493, 17),
(199008, NULL, 'SM01293', NULL, NULL, NULL, NULL, 'DUF3402_2', NULL, NULL, 20273, 17),
(199009, NULL, 'SM01266', NULL, NULL, NULL, NULL, 'Mac_2', NULL, NULL, 22540, 17),
(199010, NULL, 'SM00067', NULL, NULL, NULL, NULL, 'GHA_2', NULL, NULL, 5679, 17),
(199011, NULL, 'SM01161', NULL, NULL, NULL, NULL, 'DUF1767_2', NULL, NULL, 33544, 17),
(199012, NULL, 'SM00310', NULL, NULL, NULL, NULL, 'PTBI_2', NULL, NULL, 6533, 17),
(199013, NULL, 'SM00018', NULL, NULL, NULL, NULL, 'P_2', NULL, NULL, 5875, 17),
(199014, NULL, 'SM00502', NULL, NULL, NULL, NULL, 'RAD_5', NULL, NULL, 1394, 17),
(199015, NULL, 'SM01144', NULL, NULL, NULL, NULL, 'DTW_2a', NULL, NULL, 2647, 17),
(199016, NULL, 'SM01179', NULL, NULL, NULL, NULL, 'DUF862_2a', NULL, NULL, 13743, 17),
(199017, NULL, 'SM00528', NULL, NULL, NULL, NULL, 'hnsneu2', NULL, NULL, 26328, 17),
(199018, NULL, 'SM01267', NULL, NULL, NULL, NULL, 'LAG1_DNAbind_2', NULL, NULL, 13736, 17),
(199019, NULL, 'SM01250', NULL, NULL, NULL, NULL, 'KAT11_2', NULL, NULL, 17692, 17),
(199020, NULL, 'SM00932', NULL, NULL, NULL, NULL, 'Nfu_N_3a', NULL, NULL, 11838, 17),
(199021, NULL, 'SM00823', NULL, NULL, 'Phosphopantetheine attachment site', NULL, 'PKS_PP', NULL, NULL, 19830, 17),
(199022, NULL, 'SM01357', NULL, NULL, NULL, NULL, 'Antimicrobial21_2', NULL, NULL, 28998, 17),
(199023, NULL, 'SM00469', NULL, NULL, NULL, NULL, 'WIF_1', NULL, NULL, 3626, 17),
(199024, NULL, 'SM00881', NULL, NULL, NULL, NULL, 'CoA_binding_2', NULL, NULL, 3186, 17);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199025, NULL, 'SM01035', NULL, NULL, NULL, NULL, 'BOP1NT_2', NULL, NULL, 12149, 17),
(199026, NULL, 'SM00808', NULL, NULL, NULL, NULL, 'fabda', NULL, NULL, 7995, 17),
(199027, NULL, 'SM00985', NULL, NULL, NULL, NULL, 'UBA_e1_C_a_2', NULL, NULL, 15348, 17),
(199028, NULL, 'SM00027', NULL, NULL, NULL, NULL, 'eh_3', NULL, NULL, 1297, 17),
(199029, NULL, 'SM00091', NULL, NULL, NULL, NULL, 'pas_2', NULL, NULL, 3851, 17),
(199030, NULL, 'SM00501', NULL, NULL, NULL, NULL, 'bright_3', NULL, NULL, 5307, 17),
(199031, NULL, 'SM00107', NULL, NULL, NULL, NULL, 'ph_extension_3', NULL, NULL, 5075, 17),
(199032, NULL, 'SM00126', NULL, NULL, NULL, NULL, 'IL6_2', NULL, NULL, 26206, 17),
(199033, NULL, 'SM00804', NULL, NULL, NULL, NULL, 'TAP_C_cls', NULL, NULL, 2975, 17),
(199034, NULL, 'SM01042', NULL, NULL, NULL, NULL, 'Brr6_like_C_C_2', NULL, NULL, 18522, 17),
(199035, NULL, 'SM00678', NULL, NULL, NULL, NULL, 'deltex', NULL, NULL, 13828, 17),
(199036, NULL, 'SM00723', NULL, NULL, NULL, NULL, 'amop', NULL, NULL, 1534, 17),
(199037, NULL, 'SM01281', NULL, NULL, NULL, NULL, 'Med12_2', NULL, NULL, 16340, 17),
(199038, NULL, 'SM00059', NULL, NULL, NULL, NULL, 'FN2_2', NULL, NULL, 5695, 17),
(199039, NULL, 'SM00300', NULL, NULL, NULL, NULL, 'ChS_2', NULL, NULL, 555, 17),
(199040, NULL, 'SM00179', NULL, NULL, NULL, NULL, 'egfca_6', NULL, NULL, 4484, 17),
(199041, NULL, 'SM00758', NULL, NULL, NULL, NULL, 'pa14_novel', NULL, NULL, 10504, 17),
(199042, NULL, 'SM01054', NULL, NULL, NULL, NULL, 'CaM_binding_2', NULL, NULL, 13881, 17),
(199043, NULL, 'SM00867', NULL, NULL, NULL, NULL, 'YceI_2', NULL, NULL, 5646, 17),
(199044, NULL, 'SM01005', NULL, NULL, NULL, NULL, 'Ala_racemase_C_2', NULL, NULL, 10259, 17),
(199045, NULL, 'SM00912', NULL, NULL, NULL, NULL, 'Haemagg_act_2a', NULL, NULL, 14326, 17),
(199046, NULL, 'SM00306', NULL, NULL, NULL, NULL, 'hint_7', NULL, NULL, 331, 17),
(199047, NULL, 'SM00834', NULL, NULL, NULL, NULL, 'CxxC_CXXC_SSSS_2', NULL, NULL, 9475, 17),
(199048, NULL, 'SM00752', NULL, NULL, NULL, NULL, 'EBI_submitted', NULL, NULL, 9160, 17),
(199049, NULL, 'SM00931', NULL, NULL, NULL, NULL, 'NOSIC_2', NULL, NULL, 12032, 17),
(199050, NULL, 'SM00036', NULL, NULL, NULL, NULL, 'nik_2', NULL, NULL, 1154, 17),
(199051, NULL, 'SM01071', NULL, NULL, NULL, NULL, 'CDC37_N_2', NULL, NULL, 18987, 17),
(199052, NULL, 'SM00684', NULL, NULL, NULL, NULL, 'dm15', NULL, NULL, 1429, 17),
(199053, NULL, 'SM00101', NULL, NULL, NULL, NULL, '1433_4', NULL, NULL, 16037, 17),
(199054, NULL, 'SM01156', NULL, NULL, NULL, NULL, 'DUF1716_2', NULL, NULL, 17695, 17),
(199055, NULL, 'SM00704', NULL, NULL, NULL, NULL, 'znf_cdgsh', NULL, NULL, 15492, 17),
(199056, NULL, 'SM00128', NULL, NULL, NULL, NULL, 'i5p_5', NULL, NULL, 4600, 17),
(199057, NULL, 'SM00062', NULL, NULL, NULL, NULL, 'AABind_6', NULL, NULL, 3243, 17),
(199058, NULL, 'SM00591', NULL, NULL, NULL, NULL, 'RWD2001b', NULL, NULL, 278, 17),
(199059, NULL, 'SM00700', NULL, NULL, NULL, NULL, 'jhbp', NULL, NULL, 8234, 17),
(199060, NULL, 'SM00442', NULL, NULL, NULL, NULL, 'FGF_2', NULL, NULL, 6380, 17),
(199061, NULL, 'SM01283', NULL, NULL, NULL, NULL, 'Costars_2', NULL, NULL, 22872, 17),
(199062, NULL, 'SM00400', NULL, NULL, NULL, NULL, 'primzinc3', NULL, NULL, 3663, 17),
(199063, NULL, 'SM00464', NULL, NULL, NULL, NULL, 'lon_5', NULL, NULL, 2575, 17),
(199064, NULL, 'SM01273', NULL, NULL, NULL, NULL, 'Mago_bind_2', NULL, NULL, 13866, 17),
(199065, NULL, 'SM00166', NULL, NULL, NULL, NULL, 'ubx_3', NULL, NULL, 2027, 17),
(199066, NULL, 'SM00997', NULL, NULL, NULL, NULL, 'AdoHcyase_NAD_2', NULL, NULL, 7140, 17),
(199067, NULL, 'SM00901', NULL, NULL, NULL, NULL, 'FRG_2', NULL, NULL, 14023, 17),
(199068, NULL, 'SM00096', NULL, NULL, NULL, NULL, 'utero2', NULL, NULL, NULL, 17),
(199069, NULL, 'SM01402', NULL, NULL, NULL, NULL, 'Ribosomal_S27_2', NULL, NULL, 6122, 17),
(199070, NULL, 'SM01180', NULL, NULL, NULL, NULL, 'DWNN_2', NULL, NULL, 13241, 17),
(199071, NULL, 'SM00473', NULL, NULL, NULL, NULL, 'ntp_6', NULL, NULL, 745, 17),
(199072, NULL, 'SM00977', NULL, NULL, NULL, NULL, 'TilS_C_a_2_a', NULL, NULL, 10390, 17);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199073, NULL, 'SM01062', NULL, NULL, NULL, NULL, 'Ca_chan_IQ_2', NULL, NULL, 13006, 17),
(199074, NULL, 'SM00974', NULL, NULL, NULL, NULL, 'T5orf172_2', NULL, NULL, 8958, 17),
(199075, NULL, 'SM00065', NULL, NULL, NULL, NULL, 'gaf_1', NULL, NULL, 150, 17),
(199076, NULL, 'SM00682', NULL, NULL, NULL, NULL, '1g2_nido', NULL, NULL, 1434, 17),
(199077, NULL, 'SM00266', NULL, NULL, NULL, NULL, 'CAD_1', NULL, NULL, 6219, 17),
(199078, NULL, 'SM00288', NULL, NULL, NULL, NULL, 'VHS_2', NULL, NULL, 2498, 17),
(199079, NULL, 'SM00992', NULL, NULL, NULL, NULL, 'YccV_like_2_a', NULL, NULL, 11208, 17),
(199080, NULL, 'SM00384', NULL, NULL, NULL, NULL, 'AT_hook_2', NULL, NULL, 14683, 17),
(199081, NULL, 'SM00349', NULL, NULL, NULL, NULL, 'krabfinus', NULL, NULL, 4496, 17),
(199082, NULL, 'SM00708', NULL, NULL, NULL, NULL, 'phbp', NULL, NULL, 10022, 17),
(199083, NULL, 'SM00176', NULL, NULL, NULL, NULL, 'ran_sub_2', NULL, NULL, NULL, 17),
(199084, NULL, 'SM00883', NULL, NULL, NULL, NULL, 'Cpn10_2', NULL, NULL, 14874, 17),
(199085, NULL, 'SM00223', NULL, NULL, NULL, NULL, 'APPLE_7', NULL, NULL, 1685, 17),
(199086, NULL, 'SM00785', NULL, NULL, NULL, NULL, 'aarp2cn2', NULL, NULL, 18755, 17),
(199087, NULL, 'SM00359', NULL, NULL, NULL, NULL, 'pua_5', NULL, NULL, 598, 17),
(199088, NULL, 'SM00357', NULL, NULL, NULL, NULL, 'csp_8', NULL, NULL, 9601, 17),
(199089, NULL, 'SM01238', NULL, NULL, NULL, NULL, 'IGR_2', NULL, NULL, 16792, 17),
(199090, NULL, 'SM01279', NULL, NULL, NULL, NULL, 'Matrilin_ccoil_2', NULL, NULL, 17926, 17),
(199091, NULL, 'SM01394', NULL, NULL, NULL, NULL, 'S_100_2', NULL, NULL, 13003, 17),
(199092, NULL, 'SM00968', NULL, NULL, NULL, NULL, 'SMC_hinge_2', NULL, NULL, 7563, 17),
(199093, NULL, 'SM01196', NULL, NULL, NULL, NULL, 'FERM_C_3', NULL, NULL, 15124, 17),
(199094, NULL, 'SM00127', NULL, NULL, NULL, NULL, 'IL7_1', NULL, NULL, 1042, 17),
(199095, NULL, 'SM00452', NULL, NULL, NULL, NULL, 'kul_2', NULL, NULL, 398, 17),
(199096, NULL, 'SM01181', NULL, NULL, NULL, NULL, 'E2_bind_2', NULL, NULL, 14306, 17),
(199097, NULL, 'SM00487', NULL, NULL, NULL, NULL, 'ultradead3', NULL, NULL, 8108, 17),
(199098, NULL, 'SM00445', NULL, NULL, NULL, NULL, 'LINK_2', NULL, NULL, 5622, 17),
(199099, NULL, 'SM00637', NULL, NULL, NULL, NULL, 'cbd_2', NULL, NULL, 4474, 17),
(199100, NULL, 'SM00761', NULL, NULL, NULL, NULL, 'hdac_interact2seq4b', NULL, NULL, 17942, 17),
(199101, NULL, 'SM00948', NULL, NULL, NULL, NULL, 'Proteasome_A_N_2', NULL, NULL, 6965, 17),
(199102, NULL, 'SM00965', NULL, NULL, NULL, NULL, 'STN_2', NULL, NULL, 10818, 17),
(199103, NULL, 'SM00877', NULL, NULL, NULL, NULL, 'BMC_2', NULL, NULL, 1043, 17),
(199104, NULL, 'SM01074', NULL, NULL, NULL, NULL, 'Cdc6_C_2', NULL, NULL, 9839, 17),
(199105, NULL, 'SM00705', NULL, NULL, NULL, NULL, 'theg', NULL, NULL, 1412, 17),
(199106, NULL, 'SM00465', NULL, NULL, NULL, NULL, 'uri_9', NULL, NULL, 981, 17),
(199107, NULL, 'SM01265', NULL, NULL, NULL, NULL, 'Mab_21_2', NULL, NULL, 22900, 17),
(199108, NULL, 'SM00050', NULL, NULL, NULL, NULL, 'DISIN_2', NULL, NULL, 3073, 17),
(199109, NULL, 'SM01050', NULL, NULL, NULL, NULL, 'CactinC_cactus_3', NULL, NULL, NULL, 17),
(199110, NULL, 'SM00413', NULL, NULL, NULL, NULL, 'etsneu2', NULL, NULL, 6998, 17),
(199111, NULL, 'SM00100', NULL, NULL, NULL, NULL, 'cnmp_10', NULL, NULL, 5678, 17),
(199112, NULL, 'SM00497', NULL, NULL, NULL, NULL, 'intein_16', NULL, NULL, 1351, 17),
(199113, NULL, 'SM00635', NULL, NULL, NULL, NULL, 'bid_2', NULL, NULL, 4098, 17),
(199114, NULL, 'SM00219', NULL, NULL, NULL, NULL, 'tyrkin_6', NULL, NULL, 20046, 17),
(199115, NULL, 'SM00486', NULL, NULL, NULL, NULL, 'polmehr3', NULL, NULL, 11047, 17),
(199116, NULL, 'SM00666', NULL, NULL, NULL, NULL, 'PB1_new', NULL, NULL, 945, 17),
(199117, NULL, 'SM01234', NULL, NULL, NULL, NULL, 'Haemolytic_2', NULL, NULL, 3504, 17),
(199118, NULL, 'SM01021', NULL, NULL, NULL, NULL, 'Bac_rhodopsin_2', NULL, NULL, 6743, 17),
(199119, NULL, 'SM00281', NULL, NULL, NULL, NULL, 'LamB_3a', NULL, NULL, 2943, 17),
(199120, NULL, 'SM00776', NULL, NULL, NULL, NULL, 'npcbm', NULL, NULL, 12258, 17);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199121, NULL, 'SM00185', NULL, NULL, NULL, NULL, 'arm_5', NULL, NULL, 3930, 17),
(199122, NULL, 'SM01325', NULL, NULL, NULL, NULL, 'DUF3160_2', NULL, NULL, 16624, 17),
(199123, NULL, 'SM01377', NULL, NULL, NULL, NULL, 'Ribosomal_L40e_3', NULL, NULL, 4007, 17),
(199124, NULL, 'SM00033', NULL, NULL, NULL, NULL, 'ch_5', NULL, NULL, 3395, 17),
(199125, NULL, 'SM00270', NULL, NULL, NULL, NULL, 'ChitinBD_3', NULL, NULL, 3306, 17),
(199126, NULL, 'SM00175', NULL, NULL, NULL, NULL, 'rab_sub_5', NULL, NULL, NULL, 17),
(199127, NULL, 'SM00119', NULL, NULL, NULL, NULL, 'hect_3', NULL, NULL, 5972, 17),
(199128, NULL, 'SM00049', NULL, NULL, NULL, NULL, 'DEP_3', NULL, NULL, 5746, 17),
(199129, NULL, 'SM00656', NULL, NULL, NULL, NULL, 'amb_all', NULL, NULL, 5246, 17),
(199130, NULL, 'SM01294', NULL, NULL, NULL, NULL, '17clusters_betabranch_W', NULL, NULL, NULL, 17),
(199131, NULL, 'SM00797', NULL, NULL, NULL, NULL, 'ahs2', NULL, NULL, 3381, 17),
(199132, NULL, 'SM01046', NULL, NULL, NULL, NULL, 'c_SKI_SMAD_bind_2', NULL, NULL, 13113, 17),
(199133, NULL, 'SM01036', NULL, NULL, NULL, NULL, 'BP28CT_2', NULL, NULL, 12329, 17),
(199134, NULL, 'SM00730', NULL, NULL, NULL, NULL, 'psh_8', NULL, NULL, 1233, 17),
(199135, NULL, 'SM00525', NULL, NULL, NULL, NULL, 'ccc3', NULL, NULL, 1308, 17),
(199136, NULL, 'SM01307', NULL, NULL, NULL, NULL, 'RICTOR_M_2', NULL, NULL, 24556, 17),
(199137, NULL, 'SM01024', NULL, NULL, NULL, NULL, 'BCS1_N_2', NULL, NULL, 11544, 17),
(199138, NULL, 'SM00778', NULL, NULL, NULL, NULL, 'prim_zn_ribbon', NULL, NULL, 12679, 17),
(199139, NULL, 'SM00235', NULL, NULL, NULL, NULL, 'col_5', NULL, NULL, 1249, 17),
(199140, NULL, 'SM00462', NULL, NULL, NULL, NULL, 'PTB_9', NULL, NULL, 1147, 17),
(199141, NULL, 'SM00742', NULL, NULL, NULL, NULL, 'hr1_7', NULL, NULL, 10529, 17),
(199142, NULL, 'SM00926', NULL, NULL, NULL, NULL, 'Molybdop_Fe4S4_2', NULL, NULL, 5823, 17),
(199143, NULL, 'SM00249', NULL, NULL, NULL, NULL, 'PHD_3', NULL, NULL, 2136, 17),
(199144, NULL, 'SM01295', NULL, NULL, NULL, NULL, 'K167R_2', NULL, NULL, 9892, 17),
(199145, NULL, 'SM00355', NULL, NULL, NULL, NULL, 'c2h2final6', NULL, NULL, 13919, 17),
(199146, NULL, 'SM00735', NULL, NULL, NULL, NULL, 'zasp_3', NULL, NULL, 1122, 17),
(199147, NULL, 'SM00507', NULL, NULL, NULL, NULL, 'HNH_5', NULL, NULL, 810, 17),
(199148, NULL, 'SM00003', NULL, NULL, NULL, NULL, 'NH_2', NULL, NULL, 414, 17),
(199149, NULL, 'SM00272', NULL, NULL, NULL, NULL, 'END_2', NULL, NULL, 4359, 17),
(199150, NULL, 'SM00332', NULL, NULL, NULL, NULL, 'PP2C_4', NULL, NULL, 2171, 17),
(199151, NULL, 'SM00606', NULL, NULL, NULL, NULL, 'cbd', NULL, NULL, 33, 17),
(199152, NULL, 'SM00924', NULL, NULL, NULL, NULL, 'MgtE_N_2', NULL, NULL, 2198, 17),
(199153, NULL, 'SM00202', NULL, NULL, NULL, NULL, 'SR_3', NULL, NULL, 18941, 17),
(199154, NULL, 'SM00988', NULL, NULL, NULL, NULL, 'UreE_n_2_a', NULL, NULL, 891, 17),
(199155, NULL, 'SM01123', NULL, NULL, NULL, NULL, 'DBP10CT_2', NULL, NULL, 8534, 17),
(199156, NULL, 'SM00231', NULL, NULL, NULL, NULL, 'disc_4', NULL, NULL, 4672, 17),
(199157, NULL, 'SM00147', NULL, NULL, NULL, NULL, 'RasGEF_3', NULL, NULL, 2176, 17),
(199158, NULL, 'SM00311', NULL, NULL, NULL, NULL, 'pwi_2', NULL, NULL, 788, 17),
(199159, NULL, 'SM00751', NULL, NULL, NULL, NULL, 'wurzfinal6', NULL, NULL, 2854, 17),
(199160, NULL, 'SM01018', NULL, NULL, NULL, NULL, 'B12_binding_2_2', NULL, NULL, 2321, 17),
(199161, NULL, 'SM01245', NULL, NULL, NULL, NULL, 'Jag_N_2', NULL, NULL, 22706, 17),
(199162, NULL, 'SM00026', NULL, NULL, NULL, NULL, 'ependymin2', NULL, NULL, 812, 17),
(199163, NULL, 'SM00217', NULL, NULL, NULL, NULL, 'wap2', NULL, NULL, 7078, 17),
(199164, NULL, 'SM00523', NULL, NULL, NULL, NULL, 'dwAneu5', NULL, NULL, 949, 17),
(199165, NULL, 'SM00769', NULL, NULL, NULL, NULL, 'why', NULL, NULL, 10111, 17),
(199166, NULL, 'SM00298', NULL, NULL, NULL, NULL, 'chromo_7', NULL, NULL, 3393, 17),
(199167, NULL, 'SM00187', NULL, NULL, NULL, NULL, 'INB_2', NULL, NULL, 6736, 17),
(199168, NULL, 'SM00255', NULL, NULL, NULL, NULL, 'till_3', NULL, NULL, 1739, 17);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199169, NULL, 'SM00848', NULL, NULL, NULL, NULL, 'Inhibitor_I29_2', NULL, NULL, 17686, 17),
(199170, NULL, 'SM01007', NULL, NULL, NULL, NULL, 'Aldolase_II_2', NULL, NULL, 364, 17),
(199171, NULL, 'SM00872', NULL, NULL, NULL, NULL, 'Alpha_mann_mid_2', NULL, NULL, 13648, 17),
(199172, NULL, 'SM00488', NULL, NULL, NULL, NULL, 'deadxpd', NULL, NULL, 140, 17),
(199173, NULL, 'SM01285', NULL, NULL, NULL, NULL, 'FACT_Spt16_Nlob_2', NULL, NULL, 27255, 17),
(199174, NULL, 'SM00257', NULL, NULL, NULL, NULL, 'LysM_2', NULL, NULL, 8557, 17),
(199175, NULL, 'SM00020', NULL, NULL, NULL, NULL, 'trypsin_2', NULL, NULL, 2188, 17),
(199176, NULL, 'SM00800', NULL, NULL, NULL, NULL, 'uDENN_cls', NULL, NULL, 10884, 17),
(199177, NULL, 'SM01385', NULL, NULL, NULL, NULL, 'DSS1_SEM1_2', NULL, NULL, 2036, 17),
(199178, NULL, 'SM00994', NULL, NULL, NULL, NULL, 'zf_C4_ClpX_2', NULL, NULL, 8044, 17),
(199179, NULL, 'SM00336', NULL, NULL, NULL, NULL, 'bboxneu5', NULL, NULL, 960, 17),
(199180, NULL, 'SM00922', NULL, NULL, NULL, NULL, 'MR_MLE_2', NULL, NULL, 14794, 17),
(199181, NULL, 'SM00331', NULL, NULL, NULL, NULL, 'PP2C_SIG_2', NULL, NULL, 2171, 17),
(199182, NULL, 'SM00793', NULL, NULL, NULL, NULL, 'agrb', NULL, NULL, 3181, 17),
(199183, NULL, 'SM00895', NULL, NULL, NULL, NULL, 'FCD_2', NULL, NULL, 8146, 17),
(199184, NULL, 'SM00344', NULL, NULL, NULL, NULL, 'asnc', NULL, NULL, 15062, 17),
(199185, NULL, 'SM01303', NULL, NULL, NULL, NULL, 'RasGEF_N_2_2', NULL, NULL, NULL, 17),
(199186, NULL, 'SM01160', NULL, NULL, NULL, NULL, 'DUF1751_2', NULL, NULL, NULL, 17),
(199187, NULL, 'SM00759', NULL, NULL, NULL, NULL, 'flu_m1_c2seq2', NULL, NULL, 17846, 17),
(199188, NULL, 'SM00494', NULL, NULL, NULL, NULL, 'chi_10', NULL, NULL, 1890, 17),
(199189, NULL, 'SM00589', NULL, NULL, NULL, NULL, '2212neu4', NULL, NULL, 72, 17),
(199190, NULL, 'SM01413', NULL, NULL, NULL, NULL, 'Ribosomal_S19e_2', NULL, NULL, 219, 17),
(199191, NULL, 'SM00295', NULL, NULL, NULL, NULL, 'B41_5', NULL, NULL, 21349, 17),
(199192, NULL, 'SM01236', NULL, NULL, NULL, NULL, 'Haem_oxygenas_2_2', NULL, NULL, NULL, 17),
(199193, NULL, 'SM01131', NULL, NULL, NULL, NULL, 'DHHA2_2', NULL, NULL, 1744, 17),
(199194, NULL, 'SM00476', NULL, NULL, NULL, NULL, 'dnai3', NULL, NULL, 12482, 17),
(199195, NULL, 'SM00470', NULL, NULL, NULL, NULL, 'ParB_7', NULL, NULL, 1955, 17),
(199196, NULL, 'SM01313', NULL, NULL, NULL, NULL, 'Sec3_PIP2_bind_2', NULL, NULL, 23983, 17),
(199197, NULL, 'SM00068', NULL, NULL, NULL, NULL, 'GHB_2', NULL, NULL, 3244, 17),
(199198, NULL, 'SM00550', NULL, NULL, NULL, NULL, '1qbj_4', NULL, NULL, 39405, 17),
(199199, NULL, 'SM00052', NULL, NULL, NULL, NULL, 'duf2_2', NULL, NULL, 5393, 17),
(199200, NULL, 'SM01197', NULL, NULL, NULL, NULL, 'FANCL_C_2', NULL, NULL, NULL, 17),
(199201, NULL, 'SM01264', NULL, NULL, NULL, NULL, 'M16C_assoc_2', NULL, NULL, 12289, 17),
(199202, NULL, 'SM00830', NULL, NULL, NULL, NULL, 'CM_2_4', NULL, NULL, 3925, 17),
(199203, NULL, 'SM00058', NULL, NULL, NULL, NULL, 'FN1_2', NULL, NULL, 3614, 17),
(199204, NULL, 'SM00457', NULL, NULL, NULL, NULL, 'MACPF_8', NULL, NULL, 20756, 17),
(199205, NULL, 'SM00658', NULL, NULL, NULL, NULL, 'rpol8neu', NULL, NULL, 1541, 17),
(199206, NULL, 'SM01199', NULL, NULL, NULL, NULL, 'FDF_2', NULL, NULL, 16595, 17),
(199207, NULL, 'SM00725', NULL, NULL, NULL, NULL, 'neat', NULL, NULL, 1068, 17),
(199208, NULL, 'SM01070', NULL, NULL, NULL, NULL, 'CDC37_M_2', NULL, NULL, 9780, 17),
(199209, NULL, 'SM00899', NULL, NULL, NULL, NULL, 'FeoA_2', NULL, NULL, 235, 17),
(199210, NULL, 'SM01327', NULL, NULL, NULL, NULL, 'Zds_C_2', NULL, NULL, 14449, 17),
(199211, NULL, 'SM00222', NULL, NULL, NULL, NULL, 'sec7_5', NULL, NULL, 3094, 17),
(199212, NULL, 'SM00892', NULL, NULL, NULL, NULL, 'Endonuclease_NS_2', NULL, NULL, 3445, 17),
(199213, NULL, 'SM00898', NULL, NULL, NULL, NULL, 'Fapy_DNA_glyco_2', NULL, NULL, 11902, 17),
(199214, NULL, 'SM00917', NULL, NULL, NULL, NULL, 'LeuA_dimer_2', NULL, NULL, 14387, 17),
(199215, NULL, 'SM00640', NULL, NULL, NULL, NULL, 'glyco_32', NULL, NULL, 7023, 17),
(199216, NULL, 'SM01272', NULL, NULL, NULL, NULL, 'LsmAD_2', NULL, NULL, 1565, 17);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199217, NULL, 'SM01257', NULL, NULL, NULL, NULL, 'KRAP_IP3R_bind_2', NULL, NULL, 21832, 17),
(199218, NULL, 'SM01263', NULL, NULL, NULL, NULL, 'Leuk_A4_hydro_C_2', NULL, NULL, 10931, 17),
(199219, NULL, 'SM00029', NULL, NULL, NULL, NULL, 'gastr3', NULL, NULL, NULL, 17),
(199220, NULL, 'SM00570', NULL, NULL, NULL, NULL, 'shorttest3', NULL, NULL, 442, 17),
(199221, NULL, 'SM00139', NULL, NULL, NULL, NULL, 'MyTH4_1', NULL, NULL, 4947, 17),
(199222, NULL, 'SM00553', NULL, NULL, NULL, NULL, 'faf_3', NULL, NULL, 12221, 17),
(199223, NULL, 'SM00283', NULL, NULL, NULL, NULL, 'MA_2', NULL, NULL, 1985, 17),
(199224, NULL, 'SM00559', NULL, NULL, NULL, NULL, 'ku_4', NULL, NULL, 10255, 17),
(199225, NULL, 'SM01177', NULL, NULL, NULL, NULL, 'DUF4210_2', NULL, NULL, 23958, 17),
(199226, NULL, 'SM00075', NULL, NULL, NULL, NULL, 'hydro', NULL, NULL, 287, 17),
(199227, NULL, 'SM00754', NULL, NULL, NULL, NULL, 'chrd_5', NULL, NULL, 12002, 17),
(199228, NULL, 'SM00720', NULL, NULL, NULL, NULL, '2cal', NULL, NULL, 17407, 17),
(199229, NULL, 'SM00970', NULL, NULL, NULL, NULL, 's48_45_2', NULL, NULL, 11957, 17),
(199230, NULL, 'SM00092', NULL, NULL, NULL, NULL, 'rnase-fin', NULL, NULL, 16500, 17),
(199231, NULL, 'SM00032', NULL, NULL, NULL, NULL, 'CCP_2', NULL, NULL, 6687, 17),
(199232, NULL, 'SM00121', NULL, NULL, NULL, NULL, 'IB_2', NULL, NULL, 4526, 17),
(199233, NULL, 'SM01016', NULL, NULL, NULL, NULL, 'Arg_tRNA_synt_N_2', NULL, NULL, 4297, 17),
(199234, NULL, 'SM00327', NULL, NULL, NULL, NULL, 'VWA_4', NULL, NULL, 2293, 17),
(199235, NULL, 'SM01047', NULL, NULL, NULL, NULL, 'C1_4_2', NULL, NULL, 942, 17),
(199236, NULL, 'SM01114', NULL, NULL, NULL, NULL, 'CXC_2', NULL, NULL, 31219, 17),
(199237, NULL, 'SM00330', NULL, NULL, NULL, NULL, 'PIPK_2', NULL, NULL, 702, 17),
(199238, NULL, 'SM01351', NULL, NULL, NULL, NULL, 'Aspzincin_M35_2', NULL, NULL, 24394, 17),
(199239, NULL, 'SM01061', NULL, NULL, NULL, NULL, 'CAT_RBD_2', NULL, NULL, 4880, 17),
(199240, NULL, 'SM00209', NULL, NULL, NULL, NULL, 'TSP1_2', NULL, NULL, 4708, 17),
(199241, NULL, 'SM00352', NULL, NULL, NULL, NULL, 'pou', NULL, NULL, 530, 17),
(199242, NULL, 'SM01202', NULL, NULL, NULL, NULL, 'FerI_2', NULL, NULL, 12373, 17),
(199243, NULL, 'SM00028', NULL, NULL, NULL, NULL, 'tpr_5', NULL, NULL, 21305, 17),
(199244, NULL, 'SM00513', NULL, NULL, NULL, NULL, 'sap_9', NULL, NULL, 41, 17),
(199245, NULL, 'SM00236', NULL, NULL, NULL, NULL, 'fcbd_2', NULL, NULL, 4728, 17),
(199246, NULL, 'SM00250', NULL, NULL, NULL, NULL, 'plec_5', NULL, NULL, 5329, 17),
(199247, NULL, 'SM00190', NULL, NULL, NULL, NULL, 'il4b_nr', NULL, NULL, 71, 17),
(199248, NULL, 'SM00356', NULL, NULL, NULL, NULL, 'c3hfinal6', NULL, NULL, 5824, 17),
(199249, NULL, 'SM00692', NULL, NULL, NULL, NULL, 'dm3', NULL, NULL, 1302, 17),
(199250, NULL, 'SM01411', NULL, NULL, NULL, NULL, 'GCC2_GCC3_2', NULL, NULL, NULL, 17),
(199251, NULL, 'SM00777', NULL, NULL, NULL, NULL, 'mad3_bub1_i', NULL, NULL, 17873, 17),
(199252, NULL, 'SM01289', NULL, NULL, NULL, NULL, 'PYRIN_2', NULL, NULL, 596, 17),
(199253, NULL, 'SM01017', NULL, NULL, NULL, NULL, 'Arrestin_C_2', NULL, NULL, 9361, 17),
(199254, NULL, 'SM01268', NULL, NULL, NULL, NULL, 'BTD_2', NULL, NULL, 13667, 17),
(199255, NULL, 'SM00013', NULL, NULL, NULL, NULL, 'lrrnt1', NULL, NULL, 4509, 17),
(199256, NULL, 'SM01261', NULL, NULL, NULL, NULL, 'Thymopoietin_2', NULL, NULL, 5250, 17),
(199257, NULL, 'SM01099', NULL, NULL, NULL, NULL, 'CPW_WPC_2', NULL, NULL, 5575, 17),
(199258, NULL, 'SM00787', NULL, NULL, NULL, NULL, 'spc73', NULL, NULL, 13264, 17),
(199259, NULL, 'SM01060', NULL, NULL, NULL, NULL, 'Catalase_2', NULL, NULL, 12241, 17),
(199260, NULL, 'SM00765', NULL, NULL, NULL, NULL, 'manec2seq9d', NULL, NULL, 11322, 17),
(199261, NULL, 'SM01205', NULL, NULL, NULL, NULL, 'FKS1_dom1_2', NULL, NULL, 28675, 17),
(199262, NULL, 'SM00002', NULL, NULL, NULL, NULL, 'myelin-fin', NULL, NULL, 5400, 17),
(199263, NULL, 'SM01182', NULL, NULL, NULL, NULL, 'EF-1_beta_acid_2', NULL, NULL, 9338, 17),
(199264, NULL, 'SM01052', NULL, NULL, NULL, NULL, 'CAP_GLY_2', NULL, NULL, 3064, 17);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199265, NULL, 'SM00888', NULL, NULL, NULL, NULL, 'EF1_GNE_2', NULL, NULL, 11992, 17),
(199266, NULL, 'SM00532', NULL, NULL, NULL, NULL, 'ligaN3', NULL, NULL, 12623, 17),
(199267, NULL, 'SM00930', NULL, NULL, NULL, NULL, 'NIL_2', NULL, NULL, 17441, 17),
(199268, NULL, 'SM00958', NULL, NULL, NULL, NULL, 'SecA_PP_bind_2', NULL, NULL, 9669, 17),
(199269, NULL, 'SM00832', NULL, NULL, NULL, NULL, 'c8_a', NULL, NULL, 12648, 17),
(199270, NULL, 'SM00849', NULL, NULL, NULL, NULL, 'Lactamase_B_5a', NULL, NULL, 2193, 17),
(199271, NULL, 'SM01067', NULL, NULL, NULL, NULL, 'CBM_3_2', NULL, NULL, 4187, 17),
(199272, NULL, 'SM00057', NULL, NULL, NULL, NULL, 'fimac2', NULL, NULL, 4422, 17),
(199273, NULL, 'SM00038', NULL, NULL, NULL, NULL, 'COLFI_2', NULL, NULL, 4599, 17),
(199274, NULL, 'SM00426', NULL, NULL, NULL, NULL, 'tea2', NULL, NULL, 5166, 17),
(199275, NULL, 'SM00433', NULL, NULL, NULL, NULL, 'topII5', NULL, NULL, 815, 17),
(199276, NULL, 'SM00477', NULL, NULL, NULL, NULL, 'endoplus', NULL, NULL, 20314, 17),
(199277, NULL, 'SM00014', NULL, NULL, NULL, NULL, 'acid_phosph_2', NULL, NULL, 4866, 17),
(199278, NULL, 'SM01366', NULL, NULL, NULL, NULL, 'c_clamp_2', NULL, NULL, NULL, 17),
(199279, NULL, 'SM00480', NULL, NULL, NULL, NULL, 'pol35', NULL, NULL, 4469, 17),
(199280, NULL, 'SM00530', NULL, NULL, NULL, NULL, 'mbf_short4', NULL, NULL, 2357, 17),
(199281, NULL, 'SM01414', NULL, NULL, NULL, NULL, 'P68HR_2', NULL, NULL, 9965, 17),
(199282, NULL, 'SM00143', NULL, NULL, NULL, NULL, 'pi3k_nt_2', NULL, NULL, 1511, 17),
(199283, NULL, 'SM00396', NULL, NULL, NULL, NULL, 'push_1', NULL, NULL, 1934, 17),
(199284, NULL, 'SM01026', NULL, NULL, NULL, NULL, 'Beach_2', NULL, NULL, 247, 17),
(199285, NULL, 'SM01206', NULL, NULL, NULL, NULL, 'Fibrillarin_2', NULL, NULL, 6511, 17),
(199286, NULL, 'SM00316', NULL, NULL, NULL, NULL, 'S1_6', NULL, NULL, 14807, 17),
(199287, NULL, 'SM00506', NULL, NULL, NULL, NULL, 'YBR022w_8', NULL, NULL, 1643, 17),
(199288, NULL, 'SM00210', NULL, NULL, NULL, NULL, 'TSPN_2', NULL, NULL, 3412, 17),
(199289, NULL, 'SM00670', NULL, NULL, NULL, NULL, 'PIN_9', NULL, NULL, 3625, 17),
(199290, NULL, 'SM01158', NULL, NULL, NULL, NULL, 'DUF1741_2', NULL, NULL, 11444, 17),
(199291, NULL, 'SM00348', NULL, NULL, NULL, NULL, 'irfvirus2', NULL, NULL, 2241, 17),
(199292, NULL, 'SM00438', NULL, NULL, NULL, NULL, 'znfxneu3', NULL, NULL, 3435, 17),
(199293, NULL, 'SM00856', NULL, NULL, NULL, NULL, 'PMEI_2', NULL, NULL, 6638, 17),
(199294, NULL, 'SM00644', NULL, NULL, NULL, NULL, 'ami_2', NULL, NULL, 852, 17),
(199295, NULL, 'SM00082', NULL, NULL, NULL, NULL, 'lrrct1', NULL, NULL, 5802, 17),
(199296, NULL, 'SM01297', NULL, NULL, NULL, NULL, 'KAP_2', NULL, NULL, NULL, 17),
(199297, NULL, 'SM01343', NULL, NULL, NULL, NULL, 'FATC_2', NULL, NULL, 1882, 17),
(199298, NULL, 'SM00365', NULL, NULL, NULL, NULL, 'LRR_sd22_2', NULL, NULL, NULL, 17),
(199299, NULL, 'SM00448', NULL, NULL, NULL, NULL, 'REC_2', NULL, NULL, 3293, 17),
(199300, NULL, 'SM00345', NULL, NULL, NULL, NULL, 'gntr3', NULL, NULL, 5846, 17),
(199301, NULL, 'SM00951', NULL, NULL, NULL, NULL, 'QLQ_2', NULL, NULL, 14367, 17),
(199302, NULL, 'SM01027', NULL, NULL, NULL, NULL, 'Beta_Casp_2', NULL, NULL, 17345, 17),
(199303, NULL, 'SM00593', NULL, NULL, NULL, NULL, '893paper3', NULL, NULL, 505, 17),
(199304, NULL, 'SM01013', NULL, NULL, NULL, NULL, 'APC2_2', NULL, NULL, 11706, 17),
(199305, NULL, 'SM00156', NULL, NULL, NULL, NULL, 'pp2a_7', NULL, NULL, 11017, 17),
(199306, NULL, 'SM01122', NULL, NULL, NULL, NULL, 'DBC1_2', NULL, NULL, 22576, 17),
(199307, NULL, 'SM01148', NULL, NULL, NULL, NULL, 'DUF1220_2', NULL, NULL, 9135, 17),
(199308, NULL, 'SM00693', NULL, NULL, NULL, NULL, 'dysfn', NULL, NULL, 1105, 17),
(199309, NULL, 'SM00709', NULL, NULL, NULL, NULL, 'zpr1', NULL, NULL, 7057, 17),
(199310, NULL, 'SM01360', NULL, NULL, NULL, NULL, 'A2M_2', NULL, NULL, 5165, 17),
(199311, NULL, 'SM00425', NULL, NULL, NULL, NULL, 'tbox5', NULL, NULL, 3215, 17),
(199312, NULL, 'SM01311', NULL, NULL, NULL, NULL, 'RPOL_N_2', NULL, NULL, 22344, 17),
(199313, NULL, 'SM00851', NULL, NULL, NULL, NULL, 'MGS_2a', NULL, NULL, 8132, 17);  
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199314, NULL, 'SM00434', NULL, NULL, NULL, NULL, 'topIV4', NULL, NULL, 6148, 17),
(199315, NULL, 'SM00387', NULL, NULL, NULL, NULL, 'HKATPase_4', NULL, NULL, 156, 17),
(199316, NULL, 'SM00713', NULL, NULL, NULL, NULL, 'gyr', NULL, NULL, 930, 17),
(199317, NULL, 'SM00972', NULL, NULL, NULL, NULL, 'SCPU_a_2_a', NULL, NULL, 3476, 17),
(199318, NULL, 'SM00268', NULL, NULL, NULL, NULL, 'actin_3', NULL, NULL, 974, 17),
(199319, NULL, 'SM00782', NULL, NULL, NULL, NULL, 'phnA_zn_ribbon', NULL, NULL, 10228, 17),
(199320, NULL, 'SM00806', NULL, NULL, NULL, NULL, 'aip3', NULL, NULL, 2992, 17),
(199321, NULL, 'SM01213', NULL, NULL, NULL, NULL, 'Flo11_2', NULL, NULL, 19477, 17),
(199322, NULL, 'SM00746', NULL, NULL, NULL, NULL, '4TRASH', NULL, NULL, 9187, 17),
(199323, NULL, 'SM01091', NULL, NULL, NULL, NULL, 'CorC_HlyC_2', NULL, NULL, 4827, 17),
(199324, NULL, 'SM00232', NULL, NULL, NULL, NULL, 'pad1_6', NULL, NULL, 5567, 17),
(199325, NULL, 'SM01002', NULL, NULL, NULL, NULL, 'AlaDh_PNT_C_2', NULL, NULL, 1456, 17),
(199326, NULL, 'SM00069', NULL, NULL, NULL, NULL, 'gla_3', NULL, NULL, 4589, 17),
(199327, NULL, 'SM00574', NULL, NULL, NULL, NULL, 'prehox3', NULL, NULL, 379, 17),
(199328, NULL, 'SM01368', NULL, NULL, NULL, NULL, 'RB_A_2', NULL, NULL, 3810, 17),
(199329, NULL, 'SM00184', NULL, NULL, NULL, NULL, 'ring_2', NULL, NULL, 4199, 17),
(199330, NULL, 'SM01006', NULL, NULL, NULL, NULL, 'AlcB_2', NULL, NULL, 17649, 17),
(199331, NULL, 'SM00905', NULL, NULL, NULL, NULL, 'FolB_2', NULL, NULL, 10124, 17),
(199332, NULL, 'SM01227', NULL, NULL, NULL, NULL, 'GCK_2', NULL, NULL, NULL, 17),
(199333, NULL, 'SM01290', NULL, NULL, NULL, NULL, 'N_glycanase_N_2', NULL, NULL, 10776, 17),
(199334, NULL, 'SM00986', NULL, NULL, NULL, NULL, 'UDG_2', NULL, NULL, 7466, 17),
(199335, NULL, 'SM01386', NULL, NULL, NULL, NULL, 'Ribosomal_S13_N_2', NULL, NULL, 9828, 17),
(199336, NULL, 'SM01096', NULL, NULL, NULL, NULL, 'CPSase_L_D3_2', NULL, NULL, 564, 17),
(199337, NULL, 'SM00077', NULL, NULL, NULL, NULL, 'itam_5', NULL, NULL, 1210, 17),
(199338, NULL, 'SM00518', NULL, NULL, NULL, NULL, 'ap2real3', NULL, NULL, 3433, 17),
(199339, NULL, 'SM00524', NULL, NULL, NULL, NULL, 'dwBultra2', NULL, NULL, 1662, 17),
(199340, NULL, 'SM00424', NULL, NULL, NULL, NULL, 'ste', NULL, NULL, 2845, 17),
(199341, NULL, 'SM00991', NULL, NULL, NULL, NULL, 'WHEP_TRS_a_2_a_3_a', NULL, NULL, 3720, 17),
(199342, NULL, 'SM00548', NULL, NULL, NULL, NULL, 'irx_3', NULL, NULL, 4458, 17),
(199343, NULL, 'SM00921', NULL, NULL, NULL, NULL, 'MHC_II_beta_2', NULL, NULL, 4518, 17),
(199344, NULL, 'SM01396', NULL, NULL, NULL, NULL, 'BC10_2', NULL, NULL, 1654, 17),
(199345, NULL, 'SM00178', NULL, NULL, NULL, NULL, 'sar_sub_1', NULL, NULL, 2063, 17),
(199346, NULL, 'SM01209', NULL, NULL, NULL, NULL, 'GARS_A_3', NULL, NULL, NULL, 17),
(199347, NULL, 'SM00724', NULL, NULL, NULL, NULL, 'lag1_27', NULL, NULL, 1285, 17),
(199348, NULL, 'SM00596', NULL, NULL, NULL, NULL, '115neu5', NULL, NULL, 81, 17),
(199349, NULL, 'SM00458', NULL, NULL, NULL, NULL, 'ricin_3', NULL, NULL, 3865, 17),
(199350, NULL, 'SM00417', NULL, NULL, NULL, NULL, 'h44', NULL, NULL, 2212, 17),
(199351, NULL, 'SM01008', NULL, NULL, NULL, NULL, 'Ald_Xan_dh_C_2', NULL, NULL, 3569, 17),
(199352, NULL, 'SM00913', NULL, NULL, NULL, NULL, 'IBN_N_2', NULL, NULL, 3194, 17),
(199353, NULL, 'SM00227', NULL, NULL, NULL, NULL, 'nebu_4', NULL, NULL, 3326, 17),
(199354, NULL, 'SM00347', NULL, NULL, NULL, NULL, 'marrlong4', NULL, NULL, 4858, 17),
(199355, NULL, 'SM00412', NULL, NULL, NULL, NULL, 'copper1', NULL, NULL, 2011, 17),
(199356, NULL, 'SM00276', NULL, NULL, NULL, NULL, 'galectin_3', NULL, NULL, 2491, 17),
(199357, NULL, 'SM00132', NULL, NULL, NULL, NULL, 'lim_4', NULL, NULL, 4843, 17),
(199358, NULL, 'SM00289', NULL, NULL, NULL, NULL, 'WR1_2', NULL, NULL, 10440, 17),
(199359, NULL, 'SM00189', NULL, NULL, NULL, NULL, 'int2_nr', NULL, NULL, 3879, 17),
(199360, NULL, 'SM01326', NULL, NULL, NULL, NULL, 'PTEN_C2_2', NULL, NULL, 9472, 17),
(199361, NULL, 'SM00264', NULL, NULL, NULL, NULL, 'BAG_1', NULL, NULL, 1109, 17);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199362, NULL, 'SM01045', NULL, NULL, NULL, NULL, 'BURP_2', NULL, NULL, 7353, 17),
(199363, NULL, 'SM00108', NULL, NULL, NULL, NULL, 'blect_4', NULL, NULL, 3038, 17),
(199364, NULL, 'SM00269', NULL, NULL, NULL, NULL, 'BoBi_2', NULL, NULL, 199, 17),
(199365, NULL, 'SM00109', NULL, NULL, NULL, NULL, 'c1_12', NULL, NULL, 5500, 17),
(199366, NULL, 'SM00297', NULL, NULL, NULL, NULL, 'bromo_6', NULL, NULL, 5837, 17),
(199367, NULL, 'SM00271', NULL, NULL, NULL, NULL, 'dnaj_3', NULL, NULL, 1247, 17),
(199368, NULL, 'SM01346', NULL, NULL, NULL, NULL, 'DUF3385_3', NULL, NULL, 28924, 17),
(199369, NULL, 'SM01000', NULL, NULL, NULL, NULL, 'Aha1_N_2', NULL, NULL, 13513, 17),
(199370, NULL, 'SM00887', NULL, NULL, NULL, NULL, 'EB_dh_2', NULL, NULL, 16096, 17),
(199371, NULL, 'SM01221', NULL, NULL, NULL, NULL, 'FTCD_2', NULL, NULL, 9779, 17),
(199372, NULL, 'SM01292', NULL, NULL, NULL, NULL, 'N1221_2', NULL, NULL, 11580, 17),
(199373, NULL, 'SM00422', NULL, NULL, NULL, NULL, 'merrmega3', NULL, NULL, 5561, 17),
(199374, NULL, 'SM01157', NULL, NULL, NULL, NULL, 'DUF1719_2', NULL, NULL, 17558, 17),
(199375, NULL, 'SM00303', NULL, NULL, NULL, NULL, 'GPS_3', NULL, NULL, 3700, 17),
(199376, NULL, 'SM00136', NULL, NULL, NULL, NULL, 'LamNT_2', NULL, NULL, 7379, 17),
(199377, NULL, 'SM00215', NULL, NULL, NULL, NULL, 'vwc2', NULL, NULL, 2253, 17),
(199378, NULL, 'SM01100', NULL, NULL, NULL, NULL, 'CRAL_TRIO_N_2', NULL, NULL, 10729, 17),
(199379, NULL, 'SM00340', NULL, NULL, NULL, NULL, 'halz', NULL, NULL, 1309, 17),
(199380, NULL, 'SM01321', NULL, NULL, NULL, NULL, 'Y1_Tnp_2', NULL, NULL, 2530, 17),
(199381, NULL, 'SM00094', NULL, NULL, NULL, NULL, 'transfer-fin', NULL, NULL, 1375, 17),
(199382, NULL, 'SM01249', NULL, NULL, NULL, NULL, 'KASH_2', NULL, NULL, 11997, 17),
(199383, NULL, 'SM00079', NULL, NULL, NULL, NULL, 'GluR_14', NULL, NULL, 475, 17),
(199384, NULL, 'SM00984', NULL, NULL, NULL, NULL, 'UDPG_MGDP_dh_C_a_2_a', NULL, NULL, 8702, 17),
(199385, NULL, 'SM00572', NULL, NULL, NULL, NULL, 'rich3', NULL, NULL, 93, 17),
(199386, NULL, 'SM00450', NULL, NULL, NULL, NULL, 'rhod_4', NULL, NULL, 3063, 17),
(199387, NULL, 'SM00689', NULL, NULL, NULL, NULL, 'dm6', NULL, NULL, 1445, 17),
(199388, NULL, 'SM00603', NULL, NULL, NULL, NULL, 'lcc', NULL, NULL, 937, 17),
(199389, NULL, 'SM00509', NULL, NULL, NULL, NULL, 'TFS2_5', NULL, NULL, 965, 17),
(199390, NULL, 'SM00137', NULL, NULL, NULL, NULL, 'MAM_2', NULL, NULL, 3167, 17),
(199391, NULL, 'SM00739', NULL, NULL, NULL, NULL, 'kow_9', NULL, NULL, 5675, 17),
(199392, NULL, 'SM00652', NULL, NULL, NULL, NULL, 'eIF1neu4', NULL, NULL, 725, 17),
(199393, NULL, 'SM01415', NULL, NULL, NULL, NULL, 'DUF106_2', NULL, NULL, 4710, 17),
(199394, NULL, 'SM01034', NULL, NULL, NULL, NULL, 'BLUF_2', NULL, NULL, 6592, 17),
(199395, NULL, 'SM01269', NULL, NULL, NULL, NULL, 'Lipid_DES_2', NULL, NULL, 9761, 17),
(199396, NULL, 'SM00796', NULL, NULL, NULL, NULL, 'ahs1', NULL, NULL, 6032, 17),
(199397, NULL, 'SM01040', NULL, NULL, NULL, NULL, 'Bro_N_2', NULL, NULL, 6410, 17),
(199398, NULL, 'SM00940', NULL, NULL, NULL, NULL, 'PepX_N_2', NULL, NULL, 12720, 17),
(199399, NULL, 'SM01284', NULL, NULL, NULL, NULL, 'ECIST_Cterm_2', NULL, NULL, 21880, 17),
(199400, NULL, 'SM00717', NULL, NULL, NULL, NULL, 'sant', NULL, NULL, 4347, 17),
(199401, NULL, 'SM01095', NULL, NULL, NULL, NULL, 'Cpl_7_2', NULL, NULL, 8756, 17),
(199402, NULL, 'SM00583', NULL, NULL, NULL, NULL, 'backtest2', NULL, NULL, 13, 17),
(199403, NULL, 'SM00030', NULL, NULL, NULL, NULL, 'clus1b', NULL, NULL, 11069, 17),
(199404, NULL, 'SM00039', NULL, NULL, NULL, NULL, 'clf2', NULL, NULL, 3666, 17),
(199405, NULL, 'SM00511', NULL, NULL, NULL, NULL, 'orange_5', NULL, NULL, 1458, 17),
(199406, NULL, 'SM00750', NULL, NULL, NULL, NULL, 'kind', NULL, NULL, 9443, 17),
(199407, NULL, 'SM00897', NULL, NULL, NULL, NULL, 'FIST_2', NULL, NULL, 14336, 17),
(199408, NULL, 'SM00560', NULL, NULL, NULL, NULL, 'LamGL_3', NULL, NULL, 309, 17),
(199409, NULL, 'SM01235', NULL, NULL, NULL, NULL, 'Haem_bd_2', NULL, NULL, 27013, 17),
(199410, NULL, 'SM00665', NULL, NULL, NULL, NULL, '561_7', NULL, NULL, 1352, 17);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199411, NULL, 'SM01134', NULL, NULL, NULL, NULL, 'DeoRC_2', NULL, NULL, NULL, 17),
(199412, NULL, 'SM00818', NULL, NULL, NULL, NULL, 'amelogenin', NULL, NULL, 1681, 17),
(199413, NULL, 'SM00495', NULL, NULL, NULL, NULL, 'chi_5', NULL, NULL, 851, 17),
(199414, NULL, 'SM00419', NULL, NULL, NULL, NULL, 'crpmeuga4', NULL, NULL, 11710, 17),
(199415, NULL, 'SM00314', NULL, NULL, NULL, NULL, 'RA_5', NULL, NULL, 3818, 17),
(199416, NULL, 'SM00938', NULL, NULL, NULL, NULL, 'P_II_3', NULL, NULL, 6080, 17),
(199417, NULL, 'SM00536', NULL, NULL, NULL, NULL, 'toby4', NULL, NULL, 1422, 17),
(199418, NULL, 'SM00680', NULL, NULL, NULL, NULL, 'clip', NULL, NULL, 14997, 17),
(199419, NULL, 'SM01167', NULL, NULL, NULL, NULL, 'DUF1900_2', NULL, NULL, NULL, 17),
(199420, NULL, 'SM00866', NULL, NULL, NULL, NULL, 'UTRA_2', NULL, NULL, 10525, 17),
(199421, NULL, 'SM00200', NULL, NULL, NULL, NULL, 'SEA_3', NULL, NULL, 2974, 17),
(199422, NULL, 'SM00199', NULL, NULL, NULL, NULL, 'SCY_2', NULL, NULL, 4079, 17),
(199423, NULL, 'SM00429', NULL, NULL, NULL, NULL, 'iptmega2', NULL, NULL, 6368, 17),
(199424, NULL, 'SM00768', NULL, NULL, NULL, NULL, 'X8_cls', NULL, NULL, 8307, 17),
(199425, NULL, 'SM00294', NULL, NULL, NULL, NULL, '4.1m_4', NULL, NULL, 422, 17),
(199426, NULL, 'SM00191', NULL, NULL, NULL, NULL, 'int_alpha_rpt', NULL, NULL, 9931, 17),
(199427, NULL, 'SM00312', NULL, NULL, NULL, NULL, 'PX_2', NULL, NULL, 3086, 17),
(199428, NULL, 'SM00874', NULL, NULL, NULL, NULL, 'B5_2', NULL, NULL, 4304, 17),
(199429, NULL, 'SM00363', NULL, NULL, NULL, NULL, 's4_6', NULL, NULL, 6834, 17),
(199430, NULL, 'SM00244', NULL, NULL, NULL, NULL, 'PHB_4', NULL, NULL, 1150, 17),
(199431, NULL, 'SM00149', NULL, NULL, NULL, NULL, 'plcy_3', NULL, NULL, 3125, 17),
(199432, NULL, 'SM00073', NULL, NULL, NULL, NULL, 'hpt_2', NULL, NULL, 7128, 17),
(199433, NULL, 'SM00142', NULL, NULL, NULL, NULL, 'pi3k_hr3_6', NULL, NULL, 2611, 17),
(199434, NULL, 'SM00042', NULL, NULL, NULL, NULL, 'CUB_2', NULL, NULL, 3196, 17),
(199435, NULL, 'SM00037', NULL, NULL, NULL, NULL, 'CNX_2', NULL, NULL, 8210, 17),
(199436, NULL, 'SM01222', NULL, NULL, NULL, NULL, 'FTCD_N_2', NULL, NULL, 13050, 17),
(199437, NULL, 'SM00234', NULL, NULL, NULL, NULL, 'START_1', NULL, NULL, 6186, 17),
(199438, NULL, 'SM00432', NULL, NULL, NULL, NULL, 'madsneu2', NULL, NULL, 1414, 17),
(199439, NULL, 'SM01218', NULL, NULL, NULL, NULL, 'FoP_duplication_2', NULL, NULL, 25951, 17),
(199440, NULL, 'SM01367', NULL, NULL, NULL, NULL, 'DUF3452_2', NULL, NULL, 28853, 17),
(199441, NULL, 'SM00148', NULL, NULL, NULL, NULL, 'plcx_3', NULL, NULL, 493, 17),
(199442, NULL, 'SM00229', NULL, NULL, NULL, NULL, 'rasgefn_5', NULL, NULL, 6765, 17),
(199443, NULL, 'SM01359', NULL, NULL, NULL, NULL, 'A2M_N_2_2', NULL, NULL, 10102, 17),
(199444, NULL, 'SM00552', NULL, NULL, NULL, NULL, 'adara_8', NULL, NULL, 7080, 17),
(199445, NULL, 'SM01248', NULL, NULL, NULL, NULL, 'KaiB_2', NULL, NULL, 10897, 17),
(199446, NULL, 'SM00858', NULL, NULL, NULL, NULL, 'SAF_3', NULL, NULL, 8021, 17),
(199447, NULL, 'SM01038', NULL, NULL, NULL, NULL, 'Bgal_small_N_2', NULL, NULL, 738, 17),
(199448, NULL, 'SM01217', NULL, NULL, NULL, NULL, 'Fn3_like_2', NULL, NULL, 28846, 17),
(199449, NULL, 'SM00047', NULL, NULL, NULL, NULL, 'Lysozyme_4', NULL, NULL, 6348, 17),
(199450, NULL, 'SM01278', NULL, NULL, NULL, NULL, 'MAPKK1_Int_3', NULL, NULL, 7984, 17),
(199451, NULL, 'SM00763', NULL, NULL, NULL, NULL, 'aaa_prka2seq5', NULL, NULL, 8631, 17),
(199452, NULL, 'SM00894', NULL, NULL, NULL, NULL, 'Excalibur_2', NULL, NULL, 14377, 17),
(199453, NULL, 'SM01280', NULL, NULL, NULL, NULL, 'Mcm10_2', NULL, NULL, 14273, 17),
(199454, NULL, 'SM00258', NULL, NULL, NULL, NULL, 'SAND_2', NULL, NULL, 3892, 17),
(199455, NULL, 'SM00636', NULL, NULL, NULL, NULL, '2g34', NULL, NULL, 10767, 17),
(199456, NULL, 'SM00394', NULL, NULL, NULL, NULL, 'akam_3', NULL, NULL, 1548, 17),
(199457, NULL, 'SM00141', NULL, NULL, NULL, NULL, 'PDGF_2', NULL, NULL, 2771, 17),
(199458, NULL, 'SM01174', NULL, NULL, NULL, NULL, 'DUF4205_3', NULL, NULL, 23582, 17);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199459, NULL, 'SM01212', NULL, NULL, NULL, NULL, 'Fib_alpha_2', NULL, NULL, 13319, 17),
(199460, NULL, 'SM00181', NULL, NULL, NULL, NULL, 'egf_5', NULL, NULL, 3532, 17),
(199461, NULL, 'SM00097', NULL, NULL, NULL, NULL, 'wnt1_3', NULL, NULL, 5666, 17),
(199462, NULL, 'SM01229', NULL, NULL, NULL, NULL, 'GluR_Homer_bdg_2', NULL, NULL, 20186, 17),
(199463, NULL, 'SM00301', NULL, NULL, NULL, NULL, 'DM_3', NULL, NULL, 229, 17),
(199464, NULL, 'SM00131', NULL, NULL, NULL, NULL, 'KU_2', NULL, NULL, 401, 17),
(199465, NULL, 'SM00979', NULL, NULL, NULL, NULL, 'tify_2', NULL, NULL, 9510, 17),
(199466, NULL, 'SM00418', NULL, NULL, NULL, NULL, 'arsrmega2', NULL, NULL, 4091, 17),
(199467, NULL, 'SM00807', NULL, NULL, NULL, NULL, 'akap_110', NULL, NULL, 21382, 17),
(199468, NULL, 'SM00104', NULL, NULL, NULL, NULL, 'ANATO_2', NULL, NULL, 2921, 17),
(199469, NULL, 'SM00390', NULL, NULL, NULL, NULL, 'LGN_4', NULL, NULL, 2598, 17),
(199470, NULL, 'SM00240', NULL, NULL, NULL, NULL, 'FHA_2', NULL, NULL, 4960, 17),
(199471, NULL, 'SM00005', NULL, NULL, NULL, NULL, 'DEATH_4', NULL, NULL, 5980, 17),
(199472, NULL, 'SM01098', NULL, NULL, NULL, NULL, 'CPSF73_100_C_2', NULL, NULL, 19916, 17),
(199473, NULL, 'SM00923', NULL, NULL, NULL, NULL, 'MbtH_2', NULL, NULL, 4029, 17),
(199474, NULL, 'SM00213', NULL, NULL, NULL, NULL, 'ubq_7', NULL, NULL, 4173, 17),
(199475, NULL, 'SM01055', NULL, NULL, NULL, NULL, 'Cadherin_pro_2', NULL, NULL, 13337, 17),
(199476, NULL, 'SM01163', NULL, NULL, NULL, NULL, 'DUF1785_2', NULL, NULL, 11756, 17),
(199477, NULL, 'SM00529', NULL, NULL, NULL, NULL, 'dtx3', NULL, NULL, 17467, 17),
(199478, NULL, 'SM00401', NULL, NULL, NULL, NULL, 'GATA_3', NULL, NULL, 3540, 17),
(199479, NULL, 'SM00945', NULL, NULL, NULL, NULL, 'ProQ_a_2', NULL, NULL, 11296, 17),
(199480, NULL, 'SM00544', NULL, NULL, NULL, NULL, 'ma3_7', NULL, NULL, 6402, 17),
(199481, NULL, 'SM01286', NULL, NULL, NULL, NULL, 'SPT16_2', NULL, NULL, 8387, 17),
(199482, NULL, 'SM00006', NULL, NULL, NULL, NULL, 'A4_EXTRA_3', NULL, NULL, 7036, 17),
(199483, NULL, 'SM00516', NULL, NULL, NULL, NULL, 'sec14_4', NULL, NULL, 6978, 17),
(199484, NULL, 'SM00911', NULL, NULL, NULL, NULL, 'HWE_HK_2', NULL, NULL, 11159, 17),
(199485, NULL, 'SM01191', NULL, NULL, NULL, NULL, 'ENT_2', NULL, NULL, 782, 17),
(199486, NULL, 'SM00064', NULL, NULL, NULL, NULL, 'fyve_4', NULL, NULL, 790, 17),
(199487, NULL, 'SM00322', NULL, NULL, NULL, NULL, 'kh_6', NULL, NULL, 1727, 17),
(199488, NULL, 'SM00845', NULL, NULL, NULL, NULL, 'gatb_yqey_2', NULL, NULL, 16501, 17),
(199489, NULL, 'SM00088', NULL, NULL, NULL, NULL, 'PINT_4', NULL, NULL, 6602, 17),
(199490, NULL, 'SM01069', NULL, NULL, NULL, NULL, 'CDC37_C_2', NULL, NULL, 9527, 17),
(199491, NULL, 'SM01349', NULL, NULL, NULL, NULL, 'TOG_3', NULL, NULL, 23625, 17),
(199492, NULL, 'SM00338', NULL, NULL, NULL, NULL, 'brlzneu', NULL, NULL, 4440, 17),
(199493, NULL, 'SM01243', NULL, NULL, NULL, NULL, 'IRF_3_2', NULL, NULL, 17697, 17),
(199494, NULL, 'SM01259', NULL, NULL, NULL, NULL, 'LAB_N_2', NULL, NULL, 12928, 17),
(199495, NULL, 'SM01379', NULL, NULL, NULL, NULL, 'GAGE_2', NULL, NULL, 28255, 17),
(199496, NULL, 'SM00942', NULL, NULL, NULL, NULL, 'PriCT_1_2', NULL, NULL, 11561, 17),
(199497, NULL, 'SM00317', NULL, NULL, NULL, NULL, 'set_7', NULL, NULL, 2374, 17),
(199498, NULL, 'SM00261', NULL, NULL, NULL, NULL, 'furin_3', NULL, NULL, 11382, 17),
(199499, NULL, 'SM00444', NULL, NULL, NULL, NULL, 'gyf_5', NULL, NULL, 1906, 17),
(199500, NULL, 'SM00602', NULL, NULL, NULL, NULL, 'vps10', NULL, NULL, 333, 17),
(199501, NULL, 'SM00674', NULL, NULL, NULL, NULL, 'cenpb', NULL, NULL, 1046, 17),
(199502, NULL, 'SM01416', NULL, NULL, NULL, NULL, 'Ribosomal_L19e_2', NULL, NULL, 1496, 17),
(199503, NULL, 'SM01247', NULL, NULL, NULL, NULL, 'KaiA_2', NULL, NULL, 10744, 17),
(199504, NULL, 'SM01296', NULL, NULL, NULL, NULL, 'N2227_2', NULL, NULL, 13068, 17),
(199505, NULL, 'SM00214', NULL, NULL, NULL, NULL, 'vwc', NULL, NULL, 2253, 17),
(199506, NULL, 'SM00282', NULL, NULL, NULL, NULL, 'LamG_3', NULL, NULL, 3412, 17),
(199507, NULL, 'SM00237', NULL, NULL, NULL, NULL, 'NIbeta_1', NULL, NULL, 1349, 17);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199508, NULL, 'SM01341', NULL, NULL, NULL, NULL, 'Tower_2', NULL, NULL, 10806, 17),
(199509, NULL, 'SM00733', NULL, NULL, NULL, NULL, 'mt_12', NULL, NULL, 4855, 17),
(199510, NULL, 'SM00780', NULL, NULL, NULL, NULL, 'pig_x_1', NULL, NULL, 12325, 17),
(199511, NULL, 'SM01011', NULL, NULL, NULL, NULL, 'AMP_N_2', NULL, NULL, 3272, 17),
(199512, NULL, 'SM00764', NULL, NULL, NULL, NULL, 'citrate_ly_lig5', NULL, NULL, 8994, 17),
(199513, NULL, 'SM00762', NULL, NULL, NULL, NULL, 'cog4.2seq4', NULL, NULL, 8803, 17),
(199514, NULL, 'SM00936', NULL, NULL, NULL, NULL, 'PBP5_C_2', NULL, NULL, 13272, 17),
(199515, NULL, 'SM00962', NULL, NULL, NULL, NULL, 'SRP54_3', NULL, NULL, 299, 17),
(199516, NULL, 'SM00159', NULL, NULL, NULL, NULL, 'PTX_2', NULL, NULL, 3343, 17),
(199517, NULL, 'SM00827', NULL, NULL, 'Acyl transferase domain in polyketide synthase (PKS) enzymes.', NULL, 'PKS_AT', NULL, NULL, 9222, 17),
(199518, NULL, 'SM00216', NULL, NULL, NULL, NULL, 'VWD_2', NULL, NULL, 4309, 17),
(199519, NULL, 'SM00861', NULL, NULL, NULL, NULL, 'Transket_pyr_3', NULL, NULL, 629, 17),
(199520, NULL, 'SM01207', NULL, NULL, NULL, NULL, 'G3P_acyltransf_2', NULL, NULL, 6465, 17),
(199521, NULL, 'SM01339', NULL, NULL, NULL, NULL, 'NODP_2', NULL, NULL, 10925, 17),
(199522, NULL, 'SM00308', NULL, NULL, NULL, NULL, 'LH2_4', NULL, NULL, 2391, 17),
(199523, NULL, 'SM00527', NULL, NULL, NULL, NULL, 'hmg17neu4', NULL, NULL, 2603, 17),
(199524, NULL, 'SM00817', NULL, NULL, NULL, NULL, 'amelin', NULL, NULL, 2394, 17),
(199525, NULL, 'SM00541', NULL, NULL, NULL, NULL, 'fyrn_3', NULL, NULL, 4322, 17),
(199526, NULL, 'SM00534', NULL, NULL, NULL, NULL, 'mutATP5', NULL, NULL, 4632, 17),
(199527, NULL, 'SM00508', NULL, NULL, NULL, NULL, 'PostSET_3', NULL, NULL, 570, 17),
(199528, NULL, 'SM00256', NULL, NULL, NULL, NULL, 'fbox_2', NULL, NULL, 4824, 17),
(199529, NULL, 'SM00203', NULL, NULL, NULL, NULL, 'tach2_nr', NULL, NULL, 728, 17),
(199530, NULL, 'SM00875', NULL, NULL, NULL, NULL, 'BACK_2', NULL, NULL, 8253, 17),
(199531, NULL, 'SM00066', NULL, NULL, NULL, NULL, 'gal4_2', NULL, NULL, 2124, 17),
(199532, NULL, 'SM00893', NULL, NULL, NULL, NULL, 'ETF_2', NULL, NULL, 13500, 17),
(199533, NULL, 'SM00719', NULL, NULL, NULL, NULL, 'rtf1', NULL, NULL, 4524, 17),
(199534, NULL, 'SM00662', NULL, NULL, NULL, NULL, 'rpoldneu2', NULL, NULL, 9706, 17),
(199535, NULL, 'SM00183', NULL, NULL, NULL, NULL, 'natb', NULL, NULL, 5758, 17),
(199536, NULL, 'SM01139', NULL, NULL, NULL, NULL, 'Drf_FH3_2', NULL, NULL, 10497, 17),
(199537, NULL, 'SM01083', NULL, NULL, NULL, NULL, 'Cir_N_3', NULL, NULL, 15886, 17),
(199538, NULL, 'SM00339', NULL, NULL, NULL, NULL, 'forkneu4', NULL, NULL, 3386, 17),
(199539, NULL, 'SM00291', NULL, NULL, NULL, NULL, 'zz_5', NULL, NULL, 4294, 17),
(199540, NULL, 'SM01241', NULL, NULL, NULL, NULL, 'Integrin_b_cyt_2', NULL, NULL, 11889, 17),
(199541, NULL, 'SM00173', NULL, NULL, NULL, NULL, 'ras_sub_4', NULL, NULL, NULL, 17),
(199542, NULL, 'SM00839', NULL, NULL, NULL, NULL, 'ELFV_dehydrog_3', NULL, NULL, 2698, 17),
(199543, NULL, 'SM01082', NULL, NULL, NULL, NULL, 'CHZ_2', NULL, NULL, 17673, 17),
(199544, NULL, 'SM00788', NULL, NULL, NULL, NULL, 'adenylsucc_synt', NULL, NULL, 1018, 17),
(199545, NULL, 'SM01151', NULL, NULL, NULL, NULL, 'DUF1518_2', NULL, NULL, 9250, 17),
(199546, NULL, 'SM00328', NULL, NULL, NULL, NULL, 'bpi1_3', NULL, NULL, 19370, 17),
(199547, NULL, 'SM01355', NULL, NULL, NULL, NULL, 'AP3B1_C_2', NULL, NULL, 26461, 17),
(199548, NULL, 'SM00873', NULL, NULL, NULL, NULL, 'B3_4_2', NULL, NULL, 4150, 17),
(199549, NULL, 'SM01048', NULL, NULL, NULL, NULL, 'C6_2', NULL, NULL, 1800, 17),
(199550, NULL, 'SM00022', NULL, NULL, NULL, NULL, 'pla2_6', NULL, NULL, 2710, 17),
(199551, NULL, 'SM00712', NULL, NULL, NULL, NULL, 'pur', NULL, NULL, 1254, 17),
(199552, NULL, 'SM01370', NULL, NULL, NULL, NULL, 'TAFII55_N_2', NULL, NULL, 3390, 17),
(199553, NULL, 'SM00587', NULL, NULL, NULL, NULL, '121neu2hmm', NULL, NULL, 7781, 17),
(199554, NULL, 'SM00286', NULL, NULL, NULL, NULL, 'PTI_1', NULL, NULL, NULL, 17),
(199555, NULL, 'SM00485', NULL, NULL, NULL, NULL, 'xpgn3', NULL, NULL, 2959, 17);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199556, NULL, 'SM00838', NULL, NULL, NULL, NULL, 'EFG_C_a', NULL, NULL, 4238, 17),
(199557, NULL, 'SM00841', NULL, NULL, NULL, NULL, 'Elong_fact_P_C_2', NULL, NULL, 13750, 17),
(199558, NULL, 'SM00835', NULL, NULL, NULL, NULL, 'Cupin_1_3', NULL, NULL, 2674, 17),
(199559, NULL, 'SM01203', NULL, NULL, NULL, NULL, 'DUF3585_4', NULL, NULL, NULL, 17),
(199560, NULL, 'SM00350', NULL, NULL, NULL, NULL, 'mcm', NULL, NULL, 22629, 17),
(199561, NULL, 'SM01190', NULL, NULL, NULL, NULL, 'EMP24_GP25L_2', NULL, NULL, 7812, 17),
(199562, NULL, 'SM00125', NULL, NULL, NULL, NULL, 'IL1_2', NULL, NULL, NULL, 17),
(199563, NULL, 'SM00569', NULL, NULL, NULL, NULL, 'L27_neu3', NULL, NULL, 2553, 17),
(199564, NULL, 'SM00120', NULL, NULL, NULL, NULL, 'HX_rpt_3', NULL, NULL, 21853, 17),
(199565, NULL, 'SM00212', NULL, NULL, NULL, NULL, 'ubc_7', NULL, NULL, NULL, 17),
(199566, NULL, 'SM01390', NULL, NULL, NULL, NULL, 'Ribosomal_S4_2', NULL, NULL, 4057, 17),
(199567, NULL, 'SM01215', NULL, NULL, NULL, NULL, 'Fmp27_SW_2', NULL, NULL, 16897, 17),
(199568, NULL, 'SM00795', NULL, NULL, NULL, NULL, 'agro_vird5', NULL, NULL, 3534, 17),
(199569, NULL, 'SM00561', NULL, NULL, NULL, NULL, 'l3mbt_4', NULL, NULL, 1933, 17),
(199570, NULL, 'SM00876', NULL, NULL, NULL, NULL, 'BATS_2', NULL, NULL, 10345, 17),
(199571, NULL, 'SM00643', NULL, NULL, NULL, NULL, 'c345c', NULL, NULL, 9157, 17),
(199572, NULL, 'SM01063', NULL, NULL, NULL, NULL, 'CBM49_2', NULL, NULL, 16390, 17),
(199573, NULL, 'SM01371', NULL, NULL, NULL, NULL, 'TFIIA_2', NULL, NULL, 7034, 17),
(199574, NULL, 'SM01369', NULL, NULL, NULL, NULL, 'Rb_C_2', NULL, NULL, 7520, 17),
(199575, NULL, 'SM01316', NULL, NULL, NULL, NULL, 'Spo7_2_N_2', NULL, NULL, 28537, 17),
(199576, NULL, 'SM00274', NULL, NULL, NULL, NULL, 'FOLN_3', NULL, NULL, 1328, 17),
(199577, NULL, 'SSF47729', NULL, NULL, NULL, NULL, 'IHF-like DNA-binding proteins', NULL, NULL, 8291, 18),
(199578, NULL, 'SSF101898', NULL, NULL, NULL, NULL, 'NHL repeat', NULL, NULL, NULL, 18),
(199579, NULL, 'SSF82808', NULL, NULL, NULL, NULL, 'Replication modulator SeqA, C-terminal DNA-binding domain', NULL, NULL, 30391, 18),
(199580, NULL, 'SSF54913', NULL, NULL, NULL, NULL, 'GlnB-like', NULL, NULL, 13875, 18),
(199581, NULL, 'SSF55103', NULL, NULL, NULL, NULL, 'FAD-linked oxidases, C-terminal domain', NULL, NULL, 12414, 18),
(199582, NULL, 'SSF52343', NULL, NULL, NULL, NULL, 'Ferredoxin reductase-like, C-terminal NADP-linked domain', NULL, NULL, 35758, 18),
(199583, NULL, 'SSF116768', NULL, NULL, NULL, NULL, 'DNA-binding domain of EIN3-like', NULL, NULL, 15589, 18),
(199584, NULL, 'SSF141255', NULL, NULL, NULL, NULL, 'YccV-like', NULL, NULL, 31369, 18),
(199585, NULL, 'SSF47266', NULL, NULL, NULL, NULL, '4-helical cytokines', NULL, NULL, 6108, 18),
(199586, NULL, 'SSF69060', NULL, NULL, NULL, NULL, 'Arp2/3 complex 21 kDa subunit ARPC3', NULL, NULL, 34526, 18),
(199587, NULL, 'SSF48150', NULL, NULL, NULL, NULL, 'DNA-glycosylase', NULL, NULL, 9130, 18),
(199588, NULL, 'SSF51289', NULL, NULL, NULL, NULL, 'Tlp20, baculovirus telokin-like protein', NULL, NULL, 35859, 18),
(199589, NULL, 'SSF52172', NULL, NULL, NULL, NULL, 'CheY-like', NULL, NULL, 8633, 18),
(199590, NULL, 'SSF144059', NULL, NULL, NULL, NULL, 'ImpE-like', NULL, NULL, NULL, 18),
(199591, NULL, 'SSF56047', NULL, NULL, NULL, NULL, 'Ribosomal protein S8', NULL, NULL, 34820, 18),
(199592, NULL, 'SSF118208', NULL, NULL, NULL, NULL, 'Viral ssDNA binding protein', NULL, NULL, 21466, 18),
(199593, NULL, 'SSF48317', NULL, NULL, NULL, NULL, 'Acid phosphatase/Vanadium-dependent haloperoxidase', NULL, NULL, 30274, 18),
(199594, NULL, 'SSF47769', NULL, NULL, NULL, NULL, 'SAM/Pointed domain', NULL, NULL, 7576, 18),
(199595, NULL, 'SSF51412', NULL, NULL, NULL, NULL, 'Inosine monophosphate dehydrogenase (IMPDH)', NULL, NULL, NULL, 18),
(199596, NULL, 'SSF57840', NULL, NULL, NULL, NULL, 'Ribosomal protein L36', NULL, NULL, 36230, 18),
(199597, NULL, 'SSF81558', NULL, NULL, NULL, NULL, 'Photosystem I subunits PsaA/PsaB', NULL, NULL, 34075, 18),
(199598, NULL, 'SSF51556', NULL, NULL, NULL, NULL, 'Metallo-dependent hydrolases', NULL, NULL, 7525, 18);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199599, NULL, 'SSF48340', NULL, NULL, NULL, NULL, 'Interferon-induced guanylate-binding protein 1 (GBP1), C-terminal domain', NULL, NULL, 36241, 18),
(199600, NULL, 'SSF63451', NULL, NULL, NULL, NULL, 'LEM domain', NULL, NULL, 9097, 18),
(199601, NULL, 'SSF89946', NULL, NULL, NULL, NULL, 'Hypothetical protein VC0424', NULL, NULL, 31908, 18),
(199602, NULL, 'SSF158832', NULL, NULL, NULL, NULL, 'Tex N-terminal region-like', NULL, NULL, NULL, 18),
(199603, NULL, 'SSF69705', NULL, NULL, NULL, NULL, 'Transcription factor NusA, N-terminal domain', NULL, NULL, 36431, 18),
(199604, NULL, 'SSF58108', NULL, NULL, NULL, NULL, 'Oligomerization domain of hepatitis delta antigen', NULL, NULL, 26148, 18),
(199605, NULL, 'SSF89095', NULL, NULL, NULL, NULL, 'GatB/YqeY motif', NULL, NULL, 4080, 18),
(199606, NULL, 'SSF81767', NULL, NULL, NULL, NULL, 'Pre-protein crosslinking domain of SecA', NULL, NULL, 34003, 18),
(199607, NULL, 'SSF50104', NULL, NULL, NULL, NULL, 'Translation proteins SH3-like domain', NULL, NULL, 9618, 18),
(199608, NULL, 'SSF110132', NULL, NULL, NULL, NULL, 'BTV NS2-like ssRNA-binding domain', NULL, NULL, 35867, 18),
(199609, NULL, 'SSF48065', NULL, NULL, NULL, NULL, 'DBL homology domain (DH-domain)', NULL, NULL, 21361, 18),
(199610, NULL, 'SSF109925', NULL, NULL, NULL, NULL, 'Lissencephaly-1 protein (Lis-1, PAF-AH alpha) N-terminal domain', NULL, NULL, 34434, 18),
(199611, NULL, 'SSF50118', NULL, NULL, NULL, NULL, 'Cell growth inhibitor/plasmid maintenance toxic component', NULL, NULL, NULL, 18),
(199612, NULL, 'SSF158568', NULL, NULL, NULL, NULL, 'AF1862-like', NULL, NULL, 15836, 18),
(199613, NULL, 'SSF109797', NULL, NULL, NULL, NULL, 'Bacteriocin immunity protein-like', NULL, NULL, NULL, 18),
(199614, NULL, 'SSF109993', NULL, NULL, NULL, NULL, 'VPS9 domain', NULL, NULL, 34154, 18),
(199615, NULL, 'SSF140996', NULL, NULL, NULL, NULL, 'Hermes dimerisation domain', NULL, NULL, NULL, 18),
(199616, NULL, 'SSF50017', NULL, NULL, NULL, NULL, 'gp9', NULL, NULL, 30865, 18),
(199617, NULL, 'SSF100879', NULL, NULL, NULL, NULL, 'Lesion bypass DNA polymerase (Y-family), little finger domain', NULL, NULL, 34952, 18),
(199618, NULL, 'SSF140979', NULL, NULL, NULL, NULL, 'Topoisomerase V catalytic domain-like', NULL, NULL, 8779, 18),
(199619, NULL, 'SSF81935', NULL, NULL, NULL, NULL, 'N-terminal domain of bifunctional PutA protein', NULL, NULL, 9713, 18),
(199620, NULL, 'SSF55920', NULL, NULL, NULL, NULL, 'Creatinase/aminopeptidase', NULL, NULL, 32695, 18),
(199621, NULL, 'SSF144052', NULL, NULL, NULL, NULL, 'Thermophilic metalloprotease-like', NULL, NULL, NULL, 18),
(199622, NULL, 'SSF46955', NULL, NULL, NULL, NULL, 'Putative DNA-binding domain', NULL, NULL, 6430, 18),
(199623, NULL, 'SSF140914', NULL, NULL, NULL, NULL, 'PriB N-terminal domain-like', NULL, NULL, NULL, 18),
(199624, NULL, 'SSF52304', NULL, NULL, NULL, NULL, 'Type II 3-dehydroquinate dehydratase', NULL, NULL, 30513, 18),
(199625, NULL, 'SSF101344', NULL, NULL, NULL, NULL, 'Superantigen MAM', NULL, NULL, 30197, 18),
(199626, NULL, 'SSF140726', NULL, NULL, NULL, NULL, 'AF0941-like', NULL, NULL, 34072, 18),
(199627, NULL, 'SSF142823', NULL, NULL, NULL, NULL, 'ComB-like', NULL, NULL, 34098, 18),
(199628, NULL, 'SSF63393', NULL, NULL, NULL, NULL, 'RNA polymerase subunits', NULL, NULL, 25765, 18),
(199629, NULL, 'SSF140713', NULL, NULL, NULL, NULL, 'Phage replication organizer domain', NULL, NULL, 32398, 18),
(199630, NULL, 'SSF57903', NULL, NULL, NULL, NULL, 'FYVE/PHD zinc finger', NULL, NULL, 8728, 18),
(199631, NULL, 'SSF160651', NULL, NULL, NULL, NULL, 'FLJ32549 C-terminal domain-like', NULL, NULL, NULL, 18),
(199632, NULL, 'SSF47831', NULL, NULL, NULL, NULL, 'Enzyme I of the PEP:sugar phosphotransferase system HPr-binding (sub)domain', NULL, NULL, 30821, 18),
(199633, NULL, 'SSF158388', NULL, NULL, NULL, NULL, 'YvfG-like', NULL, NULL, 34534, 18),
(199634, NULL, 'SSF81382', NULL, NULL, NULL, NULL, 'Skp1 dimerisation domain-like', NULL, NULL, 33646, 18),
(199635, NULL, 'SSF48403', NULL, NULL, NULL, NULL, 'Ankyrin repeat', NULL, NULL, 36339, 18);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199636, NULL, 'SSF54076', NULL, NULL, NULL, NULL, 'RNase A-like', NULL, NULL, 30251, 18),
(199637, NULL, 'SSF57095', NULL, NULL, NULL, NULL, 'Scorpion toxin-like', NULL, NULL, 33922, 18),
(199638, NULL, 'SSF82657', NULL, NULL, NULL, NULL, 'BolA-like', NULL, NULL, 32122, 18),
(199639, NULL, 'SSF56053', NULL, NULL, NULL, NULL, 'Ribosomal protein L6', NULL, NULL, 36486, 18),
(199640, NULL, 'SSF158634', NULL, NULL, NULL, NULL, 'RPA2825-like', NULL, NULL, NULL, 18),
(199641, NULL, 'SSF118104', NULL, NULL, NULL, NULL, 'RalF, C-terminal domain', NULL, NULL, 33287, 18),
(199642, NULL, 'SSF51713', NULL, NULL, NULL, NULL, 'tRNA-guanine transglycosylase', NULL, NULL, 32983, 18),
(199643, NULL, 'SSF55159', NULL, NULL, NULL, NULL, 'eIF1-like', NULL, NULL, 30915, 18),
(199644, NULL, 'SSF81837', NULL, NULL, NULL, NULL, 'BEACH domain', NULL, NULL, 30698, 18),
(199645, NULL, 'SSF144246', NULL, NULL, NULL, NULL, 'Coronavirus NSP10-like', NULL, NULL, 30084, 18),
(199646, NULL, 'SSF103263', NULL, NULL, NULL, NULL, 'Chorismate synthase, AroC', NULL, NULL, 10964, 18),
(199647, NULL, 'SSF56741', NULL, NULL, NULL, NULL, 'Eukaryotic DNA topoisomerase I, N-terminal DNA-binding fragment', NULL, NULL, 30965, 18),
(199648, NULL, 'SSF82026', NULL, NULL, NULL, NULL, 'Calcium-mediated lectin', NULL, NULL, 32025, 18),
(199649, NULL, 'SSF55124', NULL, NULL, NULL, NULL, 'Nitrite/Sulfite reductase N-terminal domain-like', NULL, NULL, 36016, 18),
(199650, NULL, 'SSF50723', NULL, NULL, NULL, NULL, 'Core binding factor beta, CBF', NULL, NULL, 36295, 18),
(199651, NULL, 'SSF57429', NULL, NULL, NULL, NULL, 'Crambin-like', NULL, NULL, 30950, 18),
(199652, NULL, 'SSF64465', NULL, NULL, NULL, NULL, 'Outer capsid protein sigma 3', NULL, NULL, 17176, 18),
(199653, NULL, 'SSF109885', NULL, NULL, NULL, NULL, 'I/LWEQ domain', NULL, NULL, 32106, 18),
(199654, NULL, 'SSF55229', NULL, NULL, NULL, NULL, 'Cell division protein MinE topological specificity domain', NULL, NULL, 34037, 18),
(199655, NULL, 'SSF158414', NULL, NULL, NULL, NULL, 'HP0062-like', NULL, NULL, 22284, 18),
(199656, NULL, 'SSF90234', NULL, NULL, NULL, NULL, 'Zinc finger domain of DNA polymerase-alpha', NULL, NULL, NULL, 18),
(199657, NULL, 'SSF140718', NULL, NULL, NULL, NULL, 'Mediator hinge subcomplex-like', NULL, NULL, 29889, 18),
(199658, NULL, 'SSF53056', NULL, NULL, NULL, NULL, 'beta-carbonic anhydrase, cab', NULL, NULL, 30721, 18),
(199659, NULL, 'SSF57652', NULL, NULL, NULL, NULL, 'HIPIP (high potential iron protein)', NULL, NULL, 30960, 18),
(199660, NULL, 'SSF58054', NULL, NULL, NULL, NULL, 'Tetrabrachion', NULL, NULL, 35258, 18),
(199661, NULL, 'SSF51351', NULL, NULL, NULL, NULL, 'Triosephosphate isomerase (TIM)', NULL, NULL, 19883, 18),
(199662, NULL, 'SSF51120', NULL, NULL, NULL, NULL, 'beta-Roll', NULL, NULL, 9228, 18),
(199663, NULL, 'SSF55129', NULL, NULL, NULL, NULL, 'Ribosomal protein L30p/L7e', NULL, NULL, 35377, 18),
(199664, NULL, 'SSF48295', NULL, NULL, NULL, NULL, 'TrpR-like', NULL, NULL, 10696, 18),
(199665, NULL, 'SSF142695', NULL, NULL, NULL, NULL, 'RibA-like', NULL, NULL, 31052, 18),
(199666, NULL, 'SSF55455', NULL, NULL, NULL, NULL, 'SRF-like', NULL, NULL, 30627, 18),
(199667, NULL, 'SSF49303', NULL, NULL, NULL, NULL, 'beta-Galactosidase/glucuronidase domain', NULL, NULL, 33006, 18),
(199668, NULL, 'SSF81431', NULL, NULL, NULL, NULL, 'Mitochondrial cytochrome c oxidase subunit VIIIb (aka IX)', NULL, NULL, 36136, 18),
(199669, NULL, 'SSF103243', NULL, NULL, NULL, NULL, 'KA1-like', NULL, NULL, 25771, 18),
(199670, NULL, 'SSF49870', NULL, NULL, NULL, NULL, 'Osmotin, thaumatin-like protein', NULL, NULL, 35838, 18),
(199671, NULL, 'SSF102215', NULL, NULL, NULL, NULL, 'Creatininase', NULL, NULL, 12851, 18),
(199672, NULL, 'SSF56968', NULL, NULL, NULL, NULL, 'Lipovitellin-phosvitin complex; beta-sheet shell regions', NULL, NULL, 12665, 18),
(199673, NULL, 'SSF102705', NULL, NULL, NULL, NULL, 'NIF3 (NGG1p interacting factor 3)-like', NULL, NULL, 29175, 18),
(199674, NULL, 'SSF50182', NULL, NULL, NULL, NULL, 'Sm-like ribonucleoproteins', NULL, NULL, 10946, 18);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199675, NULL, 'SSF69645', NULL, NULL, NULL, NULL, 'Arp2/3 complex subunits', NULL, NULL, 18707, 18),
(199676, NULL, 'SSF143414', NULL, NULL, NULL, NULL, 'CcmK-like', NULL, NULL, 32397, 18),
(199677, NULL, 'SSF90193', NULL, NULL, NULL, NULL, 'Notch domain', NULL, NULL, 14673, 18),
(199678, NULL, 'SSF55671', NULL, NULL, NULL, NULL, 'Regulatory factor Nef', NULL, NULL, 25481, 18),
(199679, NULL, 'SSF160519', NULL, NULL, NULL, NULL, 'BB2672-like', NULL, NULL, 14428, 18),
(199680, NULL, 'SSF55056', NULL, NULL, NULL, NULL, 'Killer toxin KP6 alpha-subunit', NULL, NULL, NULL, 18),
(199681, NULL, 'SSF57059', NULL, NULL, NULL, NULL, 'omega toxin-like', NULL, NULL, NULL, 18),
(199682, NULL, 'SSF159065', NULL, NULL, NULL, NULL, 'Dom34/Pelota N-terminal domain-like', NULL, NULL, 35124, 18),
(199683, NULL, 'SSF47762', NULL, NULL, NULL, NULL, 'PAH2 domain', NULL, NULL, 35483, 18),
(199684, NULL, 'SSF117396', NULL, NULL, NULL, NULL, 'TM1631-like', NULL, NULL, 35987, 18),
(199685, NULL, 'SSF101312', NULL, NULL, NULL, NULL, 'Invasion protein A (SipA) , C-terminal actin binding domain', NULL, NULL, 8119, 18),
(199686, NULL, 'SSF57296', NULL, NULL, NULL, NULL, 'Amb V allergen', NULL, NULL, 34269, 18),
(199687, NULL, 'SSF142795', NULL, NULL, NULL, NULL, 'CAC2185-like', NULL, NULL, 31414, 18),
(199688, NULL, 'SSF58030', NULL, NULL, NULL, NULL, 'Rotavirus nonstructural proteins', NULL, NULL, NULL, 18),
(199689, NULL, 'SSF63737', NULL, NULL, NULL, NULL, 'Leukotriene A4 hydrolase N-terminal domain', NULL, NULL, 33418, 18),
(199690, NULL, 'SSF110324', NULL, NULL, NULL, NULL, 'Ribosomal L27 protein-like', NULL, NULL, NULL, 18),
(199691, NULL, 'SSF56176', NULL, NULL, NULL, NULL, 'FAD-binding/transporter-associated domain-like', NULL, NULL, 33882, 18),
(199692, NULL, 'SSF55890', NULL, NULL, NULL, NULL, 'Sporulation response regulatory protein Spo0B', NULL, NULL, 11575, 18),
(199693, NULL, 'SSF159779', NULL, NULL, NULL, NULL, 'CdCA1 repeat-like', NULL, NULL, NULL, 18),
(199694, NULL, 'SSF158911', NULL, NULL, NULL, NULL, 'NEAT domain-like', NULL, NULL, 30717, 18),
(199695, NULL, 'SSF116942', NULL, NULL, NULL, NULL, 'RNA-binding protein She2p', NULL, NULL, 30103, 18),
(199696, NULL, 'SSF109747', NULL, NULL, NULL, NULL, 'Glycogen synthesis protein GlgS', NULL, NULL, 34126, 18),
(199697, NULL, 'SSF47661', NULL, NULL, NULL, NULL, 't-snare proteins', NULL, NULL, 8159, 18),
(199698, NULL, 'SSF57959', NULL, NULL, NULL, NULL, 'Leucine zipper domain', NULL, NULL, NULL, 18),
(199699, NULL, 'SSF54637', NULL, NULL, NULL, NULL, 'Thioesterase/thiol ester dehydrase-isomerase', NULL, NULL, 26221, 18),
(199700, NULL, 'SSF143503', NULL, NULL, NULL, NULL, 'PUG domain-like', NULL, NULL, 30254, 18),
(199701, NULL, 'SSF75615', NULL, NULL, NULL, NULL, 'Siroheme synthase middle domains-like', NULL, NULL, NULL, 18),
(199702, NULL, 'SSF81411', NULL, NULL, NULL, NULL, 'Mitochondrial cytochrome c oxidase subunit VIa', NULL, NULL, 30420, 18),
(199703, NULL, 'SSF158379', NULL, NULL, NULL, NULL, 'YqgQ-like', NULL, NULL, 17610, 18),
(199704, NULL, 'SSF56762', NULL, NULL, NULL, NULL, 'HydB/Nqo4-like', NULL, NULL, 22487, 18),
(199705, NULL, 'SSF101801', NULL, NULL, NULL, NULL, 'Surface presentation of antigens (SPOA)', NULL, NULL, 30659, 18),
(199706, NULL, 'SSF101498', NULL, NULL, NULL, NULL, 'Anti-sigma factor FlgM', NULL, NULL, 7334, 18),
(199707, NULL, 'SSF49785', NULL, NULL, NULL, NULL, 'Galactose-binding domain-like', NULL, NULL, 9120, 18),
(199708, NULL, 'SSF141318', NULL, NULL, NULL, NULL, 'TM0957-like', NULL, NULL, 32288, 18),
(199709, NULL, 'SSF117143', NULL, NULL, NULL, NULL, 'Flagellar hook protein flgE', NULL, NULL, 34757, 18),
(199710, NULL, 'SSF117070', NULL, NULL, NULL, NULL, 'LEA14-like', NULL, NULL, NULL, 18),
(199711, NULL, 'SSF82895', NULL, NULL, NULL, NULL, 'TSP-1 type 1 repeat', NULL, NULL, 35103, 18),
(199712, NULL, 'SSF49584', NULL, NULL, NULL, NULL, 'Periplasmic chaperone C-domain', NULL, NULL, 33634, 18),
(199713, NULL, 'SSF57288', NULL, NULL, NULL, NULL, 'Midkine', NULL, NULL, 16335, 18),
(199714, NULL, 'SSF57933', NULL, NULL, NULL, NULL, 'TAZ domain', NULL, NULL, 20586, 18);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199715, NULL, 'SSF75347', NULL, NULL, NULL, NULL, 'Rotavirus NSP2 fragment, C-terminal domain', NULL, NULL, 19378, 18),
(199716, NULL, 'SSF140984', NULL, NULL, NULL, NULL, 'PTPA-like', NULL, NULL, 36345, 18),
(199717, NULL, 'SSF68993', NULL, NULL, NULL, NULL, 'FAT domain of focal adhesion kinase', NULL, NULL, 36023, 18),
(199718, NULL, 'SSF102824', NULL, NULL, NULL, NULL, 'Colicin D/E5 nuclease domain', NULL, NULL, 29357, 18),
(199719, NULL, 'SSF68912', NULL, NULL, NULL, NULL, 'Rho N-terminal domain-like', NULL, NULL, 34402, 18),
(199720, NULL, 'SSF47446', NULL, NULL, NULL, NULL, 'Signal peptide-binding domain', NULL, NULL, 30994, 18),
(199721, NULL, 'SSF51316', NULL, NULL, NULL, NULL, 'Mss4-like', NULL, NULL, 9267, 18),
(199722, NULL, 'SSF50203', NULL, NULL, NULL, NULL, 'Bacterial enterotoxins', NULL, NULL, 9703, 18),
(199723, NULL, 'SSF50923', NULL, NULL, NULL, NULL, 'Hemopexin-like domain', NULL, NULL, 35231, 18),
(199724, NULL, 'SSF64043', NULL, NULL, NULL, NULL, 'Cell-division inhibitor MinC, N-terminal domain', NULL, NULL, NULL, 18),
(199725, NULL, 'SSF47323', NULL, NULL, NULL, NULL, 'Anticodon-binding domain of a subclass of class I aminoacyl-tRNA synthetases', NULL, NULL, 6419, 18),
(199726, NULL, 'SSF159275', NULL, NULL, NULL, NULL, 'PA1994-like', NULL, NULL, NULL, 18),
(199727, NULL, 'SSF48300', NULL, NULL, NULL, NULL, 'Ribosomal protein L7/12, oligomerisation (N-terminal) domain', NULL, NULL, 30715, 18),
(199728, NULL, 'SSF68906', NULL, NULL, NULL, NULL, 'SAP domain', NULL, NULL, 35206, 18),
(199729, NULL, 'SSF50475', NULL, NULL, NULL, NULL, 'FMN-binding split barrel', NULL, NULL, NULL, 18),
(199730, NULL, 'SSF141739', NULL, NULL, NULL, NULL, 'MFPT repeat-like', NULL, NULL, NULL, 18),
(199731, NULL, 'SSF109751', NULL, NULL, NULL, NULL, 'Alpha-hemoglobin stabilizing protein AHSP', NULL, NULL, 33731, 18),
(199732, NULL, 'SSF56752', NULL, NULL, NULL, NULL, 'D-aminoacid aminotransferase-like PLP-dependent enzymes', NULL, NULL, 29010, 18),
(199733, NULL, 'SSF56596', NULL, NULL, NULL, NULL, 'Replication terminator protein (Tus)', NULL, NULL, 34819, 18),
(199734, NULL, 'SSF159270', NULL, NULL, NULL, NULL, 'YmcC-like', NULL, NULL, 15837, 18),
(199735, NULL, 'SSF103145', NULL, NULL, NULL, NULL, 'Tombusvirus P19 core protein, VP19', NULL, NULL, 36257, 18),
(199736, NULL, 'SSF82109', NULL, NULL, NULL, NULL, 'MIR domain', NULL, NULL, 33830, 18),
(199737, NULL, 'SSF46977', NULL, NULL, NULL, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein C-terminal domain', NULL, NULL, 35661, 18),
(199738, NULL, 'SSF82829', NULL, NULL, NULL, NULL, 'MesJ substrate recognition domain-like', NULL, NULL, NULL, 18),
(199739, NULL, 'SSF56019', NULL, NULL, NULL, NULL, 'The spindle assembly checkpoint protein mad2', NULL, NULL, 33681, 18),
(199740, NULL, 'SSF81483', NULL, NULL, NULL, NULL, 'Bacterial photosystem II reaction centre, L and M subunits', NULL, NULL, 34223, 18),
(199741, NULL, 'SSF69922', NULL, NULL, NULL, NULL, 'Head and neck region of the ectodomain of NDV fusion glycoprotein', NULL, NULL, NULL, 18),
(199742, NULL, 'SSF48201', NULL, NULL, NULL, NULL, 'Uteroglobin-like', NULL, NULL, 19855, 18),
(199743, NULL, 'SSF54236', NULL, NULL, NULL, NULL, 'Ubiquitin-like', NULL, NULL, 28893, 18),
(199744, NULL, 'SSF110019', NULL, NULL, NULL, NULL, 'ERO1-like', NULL, NULL, 34039, 18),
(199745, NULL, 'SSF144256', NULL, NULL, NULL, NULL, 'TSP9-like', NULL, NULL, 34720, 18),
(199746, NULL, 'SSF140490', NULL, NULL, NULL, NULL, 'Nqo1C-terminal domain-like', NULL, NULL, 35623, 18),
(199747, NULL, 'SSF161270', NULL, NULL, NULL, NULL, 'PspA lactotransferrin-binding region', NULL, NULL, NULL, 18),
(199748, NULL, 'SSF49498', NULL, NULL, NULL, NULL, 'alpha-Amylase inhibitor tendamistat', NULL, NULL, 35115, 18),
(199749, NULL, 'SSF109779', NULL, NULL, NULL, NULL, 'Domain from hypothetical 2610208m17rik protein', NULL, NULL, 30139, 18),
(199750, NULL, 'SSF56925', NULL, NULL, NULL, NULL, 'OMPA-like', NULL, NULL, 13296, 18),
(199751, NULL, 'SSF117856', NULL, NULL, NULL, NULL, 'AF0104/ALDC/Ptd012-like', NULL, NULL, NULL, 18);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199752, NULL, 'SSF47655', NULL, NULL, NULL, NULL, 'STAT', NULL, NULL, 9243, 18),
(199753, NULL, 'SSF69103', NULL, NULL, NULL, NULL, 'Arp2/3 complex 16 kDa subunit ARPC5', NULL, NULL, 34688, 18),
(199754, NULL, 'SSF160459', NULL, NULL, NULL, NULL, 'BLRF2-like', NULL, NULL, NULL, 18),
(199755, NULL, 'SSF64182', NULL, NULL, NULL, NULL, 'DHH phosphoesterases', NULL, NULL, 34961, 18),
(199756, NULL, 'SSF52413', NULL, NULL, NULL, NULL, 'UDP-glucose/GDP-mannose dehydrogenase C-terminal domain', NULL, NULL, 32305, 18),
(199757, NULL, 'SSF51419', NULL, NULL, NULL, NULL, 'PLP-binding barrel', NULL, NULL, 26232, 18),
(199758, NULL, 'SSF54511', NULL, NULL, NULL, NULL, 'GFP-like', NULL, NULL, 9517, 18),
(199759, NULL, 'SSF54909', NULL, NULL, NULL, NULL, 'Dimeric alpha+beta barrel', NULL, NULL, 8700, 18),
(199760, NULL, 'SSF110814', NULL, NULL, NULL, NULL, 'TmoB-like', NULL, NULL, 36350, 18),
(199761, NULL, 'SSF53167', NULL, NULL, NULL, NULL, 'Purine and uridine phosphorylases', NULL, NULL, 16647, 18),
(199762, NULL, 'SSF81783', NULL, NULL, NULL, NULL, 'C-terminal domain of DFF45/ICAD (DFF-C domain)', NULL, NULL, 23710, 18),
(199763, NULL, 'SSF109843', NULL, NULL, NULL, NULL, 'CAPPD, an extracellular domain of amyloid beta A4 protein', NULL, NULL, 34181, 18),
(199764, NULL, 'SSF89550', NULL, NULL, NULL, NULL, 'PHP domain-like', NULL, NULL, 12363, 18),
(199765, NULL, 'SSF53623', NULL, NULL, NULL, NULL, 'MurD-like peptide ligases, catalytic domain', NULL, NULL, 34326, 18),
(199766, NULL, 'SSF54334', NULL, NULL, NULL, NULL, 'Superantigen toxins, C-terminal domain', NULL, NULL, 10047, 18),
(199767, NULL, 'SSF81518', NULL, NULL, NULL, NULL, 'Subunit XI (6.4 kDa protein) of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', NULL, NULL, 22340, 18),
(199768, NULL, 'SSF51726', NULL, NULL, NULL, NULL, 'UROD/MetE-like', NULL, NULL, 33017, 18),
(199769, NULL, 'SSF81540', NULL, NULL, NULL, NULL, 'Subunit VIII of photosystem I reaction centre, PsaI', NULL, NULL, 35288, 18),
(199770, NULL, 'SSF47391', NULL, NULL, NULL, NULL, 'Dimerization-anchoring domain of cAMP-dependent PK regulatory subunit', NULL, NULL, NULL, 18),
(199771, NULL, 'SSF111479', NULL, NULL, NULL, NULL, 'Fzo-like conserved region', NULL, NULL, NULL, 18),
(199772, NULL, 'SSF143555', NULL, NULL, NULL, NULL, 'FwdE-like', NULL, NULL, NULL, 18),
(199773, NULL, 'SSF82679', NULL, NULL, NULL, NULL, 'N-utilization substance G protein NusG, N-terminal domain', NULL, NULL, 34616, 18),
(199774, NULL, 'SSF49299', NULL, NULL, NULL, NULL, 'PKD domain', NULL, NULL, 34587, 18),
(199775, NULL, 'SSF116842', NULL, NULL, NULL, NULL, 'XseB-like', NULL, NULL, 30591, 18),
(199776, NULL, 'SSF81878', NULL, NULL, NULL, NULL, 'BRCA2 tower domain', NULL, NULL, NULL, 18),
(199777, NULL, 'SSF54626', NULL, NULL, NULL, NULL, 'Chalcone isomerase', NULL, NULL, 33728, 18),
(199778, NULL, 'SSF55112', NULL, NULL, NULL, NULL, 'Formylmethanofuran:tetrahydromethanopterin formyltransferase', NULL, NULL, 16105, 18),
(199779, NULL, 'SSF101233', NULL, NULL, NULL, NULL, 'PWI domain', NULL, NULL, 31900, 18),
(199780, NULL, 'SSF69687', NULL, NULL, NULL, NULL, 'Integrin beta tail domain', NULL, NULL, 30489, 18),
(199781, NULL, 'SSF74924', NULL, NULL, NULL, NULL, 'Cap-Gly domain', NULL, NULL, 30716, 18),
(199782, NULL, 'SSF158560', NULL, NULL, NULL, NULL, 'BH3980-like', NULL, NULL, NULL, 18),
(199783, NULL, 'SSF81536', NULL, NULL, NULL, NULL, 'Subunit III of photosystem I reaction centre, PsaF', NULL, NULL, 33949, 18),
(199784, NULL, 'SSF88802', NULL, NULL, NULL, NULL, 'Pre-PUA domain', NULL, NULL, NULL, 18),
(199785, NULL, 'SSF49348', NULL, NULL, NULL, NULL, 'Clathrin adaptor appendage domain', NULL, NULL, 14148, 18),
(199786, NULL, 'SSF110391', NULL, NULL, NULL, NULL, 'GlpP-like', NULL, NULL, NULL, 18),
(199787, NULL, 'SSF55973', NULL, NULL, NULL, NULL, 'S-adenosylmethionine synthetase', NULL, NULL, 17412, 18),
(199788, NULL, 'SSF54665', NULL, NULL, NULL, NULL, 'CO dehydrogenase molybdoprotein N-domain-like', NULL, NULL, 30628, 18),
(199789, NULL, 'SSF49493', NULL, NULL, NULL, NULL, 'HSP40/DnaJ peptide-binding domain', NULL, NULL, 9347, 18); 
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199790, NULL, 'SSF57603', NULL, NULL, NULL, NULL, 'FnI-like domain', NULL, NULL, NULL, 18),
(199791, NULL, 'SSF49478', NULL, NULL, NULL, NULL, 'Cna protein B-type domain', NULL, NULL, NULL, 18),
(199792, NULL, 'SSF46626', NULL, NULL, NULL, NULL, 'Cytochrome c', NULL, NULL, 31075, 18),
(199793, NULL, 'SSF50386', NULL, NULL, NULL, NULL, 'STI-like', NULL, NULL, 10935, 18),
(199794, NULL, 'SSF75553', NULL, NULL, NULL, NULL, 'Smc hinge domain', NULL, NULL, 33531, 18),
(199795, NULL, 'SSF143517', NULL, NULL, NULL, NULL, 'TRCF domain-like', NULL, NULL, 32273, 18),
(199796, NULL, 'SSF109910', NULL, NULL, NULL, NULL, 'YgfY-like', NULL, NULL, 34345, 18),
(199797, NULL, 'SSF110004', NULL, NULL, NULL, NULL, 'Glycolipid transfer protein, GLTP', NULL, NULL, 33613, 18),
(199798, NULL, 'SSF140688', NULL, NULL, NULL, NULL, 'YfmB-like', NULL, NULL, 30366, 18),
(199799, NULL, 'SSF53187', NULL, NULL, NULL, NULL, 'Zn-dependent exopeptidases', NULL, NULL, NULL, 18),
(199800, NULL, 'SSF81271', NULL, NULL, NULL, NULL, 'TGS-like', NULL, NULL, 12226, 18),
(199801, NULL, 'SSF57362', NULL, NULL, NULL, NULL, 'BPTI-like', NULL, NULL, 30822, 18),
(199802, NULL, 'SSF50022', NULL, NULL, NULL, NULL, 'ISP domain', NULL, NULL, 35247, 18),
(199803, NULL, 'SSF48552', NULL, NULL, NULL, NULL, 'Serum albumin-like', NULL, NULL, 21323, 18),
(199804, NULL, 'SSF160088', NULL, NULL, NULL, NULL, 'NRDP1 C-terminal domain-like', NULL, NULL, 34888, 18),
(199805, NULL, 'SSF49764', NULL, NULL, NULL, NULL, 'HSP20-like chaperones', NULL, NULL, 9268, 18),
(199806, NULL, 'SSF46946', NULL, NULL, NULL, NULL, 'S13-like H2TH domain', NULL, NULL, 8389, 18),
(199807, NULL, 'SSF82004', NULL, NULL, NULL, NULL, 'N-utilization substance G protein NusG, insert domain', NULL, NULL, NULL, 18),
(199808, NULL, 'SSF56731', NULL, NULL, NULL, NULL, 'DNA primase core', NULL, NULL, NULL, 18),
(199809, NULL, 'SSF52980', NULL, NULL, NULL, NULL, 'Restriction endonuclease-like', NULL, NULL, 13932, 18),
(199810, NULL, 'SSF57243', NULL, NULL, NULL, NULL, 'Bromelain inhibitor VI (cysteine protease inhibitor)', NULL, NULL, 35792, 18),
(199811, NULL, 'SSF54447', NULL, NULL, NULL, NULL, 'ssDNA-binding transcriptional regulator domain', NULL, NULL, 12261, 18),
(199812, NULL, 'SSF58087', NULL, NULL, NULL, NULL, 'Variant surface glycoprotein (N-terminal domain)', NULL, NULL, NULL, 18),
(199813, NULL, 'SSF69964', NULL, NULL, NULL, NULL, 'Pheromone ER-23', NULL, NULL, 10315, 18),
(199814, NULL, 'SSF57845', NULL, NULL, NULL, NULL, 'B-box zinc-binding domain', NULL, NULL, NULL, 18),
(199815, NULL, 'SSF82771', NULL, NULL, NULL, NULL, 'GIY-YIG endonuclease', NULL, NULL, 13593, 18),
(199816, NULL, 'SSF52799', NULL, NULL, NULL, NULL, '(Phosphotyrosine protein) phosphatases II', NULL, NULL, 28971, 18),
(199817, NULL, 'SSF160892', NULL, NULL, NULL, NULL, 'Phosphoprotein oligomerization domain-like', NULL, NULL, 36227, 18),
(199818, NULL, 'SSF142535', NULL, NULL, NULL, NULL, 'AF0625-like', NULL, NULL, NULL, 18),
(199819, NULL, 'SSF160191', NULL, NULL, NULL, NULL, 'YcgL-like', NULL, NULL, 33652, 18),
(199820, NULL, 'SSF53163', NULL, NULL, NULL, NULL, 'HybD-like', NULL, NULL, 16401, 18),
(199821, NULL, 'SSF56003', NULL, NULL, NULL, NULL, 'Molybdenum cofactor-binding domain', NULL, NULL, 31943, 18),
(199822, NULL, 'SSF46785', NULL, NULL, NULL, NULL, '"Winged helix" DNA-binding domain', NULL, NULL, 30877, 18),
(199823, NULL, 'SSF81330', NULL, NULL, NULL, NULL, 'Gated mechanosensitive channel', NULL, NULL, 29753, 18),
(199824, NULL, 'SSF46585', NULL, NULL, NULL, NULL, 'HR1 repeat', NULL, NULL, 34466, 18),
(199825, NULL, 'SSF52467', NULL, NULL, NULL, NULL, 'DHS-like NAD/FAD-binding domain', NULL, NULL, 25297, 18),
(199826, NULL, 'SSF47220', NULL, NULL, NULL, NULL, 'alpha-catenin/vinculin-like', NULL, NULL, 34998, 18),
(199827, NULL, 'SSF51569', NULL, NULL, NULL, NULL, 'Aldolase', NULL, NULL, NULL, 18),
(199828, NULL, 'SSF55856', NULL, NULL, NULL, NULL, 'Cytochrome b5-like heme/steroid binding domain', NULL, NULL, 34476, 18),
(199829, NULL, 'SSF53633', NULL, NULL, NULL, NULL, 'Carbamate kinase-like', NULL, NULL, 30760, 18);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199830, NULL, 'SSF160527', NULL, NULL, NULL, NULL, 'V-type ATPase subunit E-like', NULL, NULL, NULL, 18),
(199831, NULL, 'SSF102031', NULL, NULL, NULL, NULL, 'AXH domain', NULL, NULL, 29881, 18),
(199832, NULL, 'SSF101874', NULL, NULL, NULL, NULL, 'YceI-like', NULL, NULL, 34559, 18),
(199833, NULL, 'SSF111369', NULL, NULL, NULL, NULL, 'HlyD-like secretion proteins', NULL, NULL, NULL, 18),
(199834, NULL, 'SSF111126', NULL, NULL, NULL, NULL, 'Ligand-binding domain in the NO signalling and Golgi transport', NULL, NULL, 19073, 18),
(199835, NULL, 'SSF82057', NULL, NULL, NULL, NULL, 'Prokaryotic SH3-related domain', NULL, NULL, NULL, 18),
(199836, NULL, 'SSF48452', NULL, NULL, NULL, NULL, 'TPR-like', NULL, NULL, 12595, 18),
(199837, NULL, 'SSF102110', NULL, NULL, NULL, NULL, '(2r)-phospho-3-sulfolactate synthase ComA', NULL, NULL, 35906, 18),
(199838, NULL, 'SSF49309', NULL, NULL, NULL, NULL, 'Transglutaminase, two C-terminal domains', NULL, NULL, 30745, 18),
(199839, NULL, 'SSF158452', NULL, NULL, NULL, NULL, 'YqcC-like', NULL, NULL, 30395, 18),
(199840, NULL, 'SSF140736', NULL, NULL, NULL, NULL, 'Rv1873-like', NULL, NULL, 34042, 18),
(199841, NULL, 'SSF51283', NULL, NULL, NULL, NULL, 'dUTPase-like', NULL, NULL, 33091, 18),
(199842, NULL, 'SSF81799', NULL, NULL, NULL, NULL, 'Putative methyltransferase TM0872, insert domain', NULL, NULL, 16202, 18),
(199843, NULL, 'SSF57184', NULL, NULL, NULL, NULL, 'Growth factor receptor domain', NULL, NULL, 10249, 18),
(199844, NULL, 'SSF158668', NULL, NULL, NULL, NULL, 'MtlR-like', NULL, NULL, 34368, 18),
(199845, NULL, 'SSF54575', NULL, NULL, NULL, NULL, 'Ribosomal protein L31e', NULL, NULL, 8833, 18),
(199846, NULL, 'SSF140652', NULL, NULL, NULL, NULL, 'YozE-like', NULL, NULL, 36285, 18),
(199847, NULL, 'SSF110849', NULL, NULL, NULL, NULL, 'ParB/Sulfiredoxin', NULL, NULL, 35267, 18),
(199848, NULL, 'SSF160996', NULL, NULL, NULL, NULL, 'HI0933 insert domain-like', NULL, NULL, NULL, 18),
(199849, NULL, 'SSF143011', NULL, NULL, NULL, NULL, 'RelE-like', NULL, NULL, 29197, 18),
(199850, NULL, 'SSF56199', NULL, NULL, NULL, NULL, 'Methenyltetrahydromethanopterin cyclohydrolase', NULL, NULL, NULL, 18),
(199851, NULL, 'SSF48425', NULL, NULL, NULL, NULL, 'Sec7 domain', NULL, NULL, 32698, 18),
(199852, NULL, 'SSF74784', NULL, NULL, NULL, NULL, 'Translin', NULL, NULL, 35420, 18),
(199853, NULL, 'SSF109805', NULL, NULL, NULL, NULL, 'Phenylalanine zipper', NULL, NULL, 34486, 18),
(199854, NULL, 'SSF51649', NULL, NULL, NULL, NULL, 'RuBisCo, C-terminal domain', NULL, NULL, 35437, 18),
(199855, NULL, 'SSF81490', NULL, NULL, NULL, NULL, 'Photosystem II reaction centre subunit H, transmembrane region', NULL, NULL, NULL, 18),
(199856, NULL, 'SSF51096', NULL, NULL, NULL, NULL, 'delta-Endotoxin (insectocide), middle domain', NULL, NULL, 34036, 18),
(199857, NULL, 'SSF69075', NULL, NULL, NULL, NULL, 'Glutamyl tRNA-reductase dimerization domain', NULL, NULL, 34033, 18),
(199858, NULL, 'SSF55174', NULL, NULL, NULL, NULL, 'Alpha-L RNA-binding motif', NULL, NULL, NULL, 18),
(199859, NULL, 'SSF144074', NULL, NULL, NULL, NULL, 'E2F-DP heterodimerization region', NULL, NULL, 34884, 18),
(199860, NULL, 'SSF54975', NULL, NULL, NULL, NULL, 'Acylphosphatase/BLUF domain-like', NULL, NULL, 29331, 18),
(199861, NULL, 'SSF52080', NULL, NULL, NULL, NULL, 'Ribosomal proteins L15p and L18e', NULL, NULL, 35941, 18),
(199862, NULL, 'SSF158752', NULL, NULL, NULL, NULL, 'HP0242-like', NULL, NULL, 8699, 18),
(199863, NULL, 'SSF143469', NULL, NULL, NULL, NULL, 'ImmE5-like', NULL, NULL, 32065, 18),
(199864, NULL, 'SSF64546', NULL, NULL, NULL, NULL, 'Satiety factor CART (cocaine and amphetamine regulated transcript)', NULL, NULL, 34560, 18),
(199865, NULL, 'SSF57414', NULL, NULL, NULL, NULL, 'Hairpin loop containing domain-like', NULL, NULL, NULL, 18),
(199866, NULL, 'SSF63570', NULL, NULL, NULL, NULL, 'PABC (PABP) domain', NULL, NULL, 35542, 18),
(199867, NULL, 'SSF49562', NULL, NULL, NULL, NULL, 'C2 domain (Calcium/lipid-binding domain, CaLB)', NULL, NULL, 6578, 18),
(199868, NULL, 'SSF82861', NULL, NULL, NULL, NULL, 'Mechanosensitive channel protein MscS (YggB), transmembrane region', NULL, NULL, 9349, 18);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199869, NULL, 'SSF48657', NULL, NULL, NULL, NULL, 'FinO-like', NULL, NULL, 34210, 18),
(199870, NULL, 'SSF64376', NULL, NULL, NULL, NULL, 'YlxR-like', NULL, NULL, 31637, 18),
(199871, NULL, 'SSF47757', NULL, NULL, NULL, NULL, 'Chemotaxis receptor methyltransferase CheR, N-terminal domain', NULL, NULL, NULL, 18),
(199872, NULL, 'SSF89963', NULL, NULL, NULL, NULL, 'YajQ-like', NULL, NULL, 36155, 18),
(199873, NULL, 'SSF55653', NULL, NULL, NULL, NULL, 'Ribosomal protein L9 C-domain', NULL, NULL, 36471, 18),
(199874, NULL, 'SSF69065', NULL, NULL, NULL, NULL, 'RNase III domain-like', NULL, NULL, 30671, 18),
(199875, NULL, 'SSF160537', NULL, NULL, NULL, NULL, 'SpoVG-like', NULL, NULL, 34878, 18),
(199876, NULL, 'SSF117066', NULL, NULL, NULL, NULL, 'Accessory protein X4 (ORF8, ORF7a)', NULL, NULL, 33799, 18),
(199877, NULL, 'SSF160574', NULL, NULL, NULL, NULL, 'BT0923-like', NULL, NULL, NULL, 18),
(199878, NULL, 'SSF103612', NULL, NULL, NULL, NULL, 'SBT domain', NULL, NULL, 30888, 18),
(199879, NULL, 'SSF161245', NULL, NULL, NULL, NULL, 'Zinc hairpin stack', NULL, NULL, 35324, 18),
(199880, NULL, 'SSF47095', NULL, NULL, NULL, NULL, 'HMG-box', NULL, NULL, 31220, 18),
(199881, NULL, 'SSF69322', NULL, NULL, NULL, NULL, 'Tricorn protease domain 2', NULL, NULL, NULL, 18),
(199882, NULL, 'SSF140459', NULL, NULL, NULL, NULL, 'PE/PPE dimer-like', NULL, NULL, NULL, 18),
(199883, NULL, 'SSF81473', NULL, NULL, NULL, NULL, 'Bacterial ba3 type cytochrome c oxidase subunit IIa', NULL, NULL, 34422, 18),
(199884, NULL, 'SSF111331', NULL, NULL, NULL, NULL, 'NAD kinase/diacylglycerol kinase-like', NULL, NULL, 10189, 18),
(199885, NULL, 'SSF111342', NULL, NULL, NULL, NULL, 'CbiD-like', NULL, NULL, 35246, 18),
(199886, NULL, 'SSF140371', NULL, NULL, NULL, NULL, 'Vng1086c-like', NULL, NULL, 35967, 18),
(199887, NULL, 'SSF46565', NULL, NULL, NULL, NULL, 'Chaperone J-domain', NULL, NULL, 30575, 18),
(199888, NULL, 'SSF143212', NULL, NULL, NULL, NULL, 'Rv2632c-like', NULL, NULL, 33334, 18),
(199889, NULL, 'SSF53706', NULL, NULL, NULL, NULL, 'Formate dehydrogenase/DMSO reductase, domains 1-3', NULL, NULL, NULL, 18),
(199890, NULL, 'SSF82153', NULL, NULL, NULL, NULL, 'FAS1 domain', NULL, NULL, 35475, 18),
(199891, NULL, 'SSF48225', NULL, NULL, NULL, NULL, 'Seven-hairpin glycosidases', NULL, NULL, 29446, 18),
(199892, NULL, 'SSF74788', NULL, NULL, NULL, NULL, 'Cullin repeat-like', NULL, NULL, 12500, 18),
(199893, NULL, 'SSF109854', NULL, NULL, NULL, NULL, 'DinB/YfiT-like putative metalloenzymes', NULL, NULL, 7967, 18),
(199894, NULL, 'SSF63411', NULL, NULL, NULL, NULL, 'LuxS/MPP-like metallohydrolase', NULL, NULL, 13014, 18),
(199895, NULL, 'SSF75138', NULL, NULL, NULL, NULL, 'HprK N-terminal domain-like', NULL, NULL, 25110, 18),
(199896, NULL, 'SSF101908', NULL, NULL, NULL, NULL, 'Putative isomerase YbhE', NULL, NULL, NULL, 18),
(199897, NULL, 'SSF74863', NULL, NULL, NULL, NULL, 'Thiol:disulfide interchange protein DsbD, N-terminal domain (DsbD-alpha)', NULL, NULL, 35335, 18),
(199898, NULL, 'SSF160207', NULL, NULL, NULL, NULL, 'NMB0488-like', NULL, NULL, 34817, 18),
(199899, NULL, 'SSF143430', NULL, NULL, NULL, NULL, 'TTP0101/SSO1404-like', NULL, NULL, NULL, 18),
(199900, NULL, 'SSF57944', NULL, NULL, NULL, NULL, 'Triple coiled coil domain of C-type lectins', NULL, NULL, NULL, 18),
(199901, NULL, 'SSF81298', NULL, NULL, NULL, NULL, 'Adenylylcyclase toxin (the edema factor)', NULL, NULL, 8441, 18),
(199902, NULL, 'SSF55676', NULL, NULL, NULL, NULL, 'CytB endotoxin-like', NULL, NULL, 25395, 18),
(199903, NULL, 'SSF103190', NULL, NULL, NULL, NULL, 'Sensory domain-like', NULL, NULL, 27231, 18),
(199904, NULL, 'SSF143968', NULL, NULL, NULL, NULL, 'UbiD C-terminal domain-like', NULL, NULL, NULL, 18),
(199905, NULL, 'SSF52922', NULL, NULL, NULL, NULL, 'TK C-terminal domain-like', NULL, NULL, 9536, 18),
(199906, NULL, 'SSF48145', NULL, NULL, NULL, NULL, 'Influenza virus matrix protein M1', NULL, NULL, 32683, 18),
(199907, NULL, 'SSF51294', NULL, NULL, NULL, NULL, 'Hedgehog/intein (Hint) domain', NULL, NULL, 34277, 18),
(199908, NULL, 'SSF55326', NULL, NULL, NULL, NULL, 'PurM N-terminal domain-like', NULL, NULL, 35086, 18);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199909, NULL, 'SSF47454', NULL, NULL, NULL, NULL, 'A DNA-binding domain in eukaryotic transcription factors', NULL, NULL, 8626, 18),
(199910, NULL, 'SSF81891', NULL, NULL, NULL, NULL, 'Poly A polymerase C-terminal region-like', NULL, NULL, NULL, 18),
(199911, NULL, 'SSF89796', NULL, NULL, NULL, NULL, 'CoA-transferase family III (CaiB/BaiF)', NULL, NULL, 17454, 18),
(199912, NULL, 'SSF48493', NULL, NULL, NULL, NULL, 'gene 59 helicase assembly protein', NULL, NULL, 15512, 18),
(199913, NULL, 'SSF143410', NULL, NULL, NULL, NULL, 'DOPA-like', NULL, NULL, 17322, 18),
(199914, NULL, 'SSF103473', NULL, NULL, NULL, NULL, 'MFS general substrate transporter', NULL, NULL, 33299, 18),
(199915, NULL, 'SSF158436', NULL, NULL, NULL, NULL, 'Ta0600-like', NULL, NULL, NULL, 18),
(199916, NULL, 'SSF57552', NULL, NULL, NULL, NULL, 'Blood coagulation inhibitor (disintegrin)', NULL, NULL, 30973, 18),
(199917, NULL, 'SSF118196', NULL, NULL, NULL, NULL, 'YaeB-like', NULL, NULL, 35885, 18),
(199918, NULL, 'SSF57868', NULL, NULL, NULL, NULL, 'Metallothionein', NULL, NULL, 13273, 18),
(199919, NULL, 'SSF55021', NULL, NULL, NULL, NULL, 'ACT-like', NULL, NULL, 38661, 18),
(199920, NULL, 'SSF52490', NULL, NULL, NULL, NULL, 'Tubulin nucleotide-binding domain-like', NULL, NULL, 35908, 18),
(199921, NULL, 'SSF88713', NULL, NULL, NULL, NULL, 'Glycoside hydrolase/deacetylase', NULL, NULL, 13870, 18),
(199922, NULL, 'SSF54849', NULL, NULL, NULL, NULL, 'GroEL-intermediate domain like', NULL, NULL, 26270, 18),
(199923, NULL, 'SSF141480', NULL, NULL, NULL, NULL, 'Extracellular hemoglobin linker subunit, receptor domain', NULL, NULL, 31370, 18),
(199924, NULL, 'SSF47144', NULL, NULL, NULL, NULL, 'HSC20 (HSCB), C-terminal oligomerisation domain', NULL, NULL, 34907, 18),
(199925, NULL, 'SSF68989', NULL, NULL, NULL, NULL, 'Hemolysin expression modulating protein HHA', NULL, NULL, 32225, 18),
(199926, NULL, 'SSF159594', NULL, NULL, NULL, NULL, 'XCC0632-like', NULL, NULL, NULL, 18),
(199927, NULL, 'SSF111171', NULL, NULL, NULL, NULL, 'Rbstp2229 protein', NULL, NULL, 34325, 18),
(199928, NULL, 'SSF49380', NULL, NULL, NULL, NULL, 'Diphtheria toxin, C-terminal domain', NULL, NULL, 36493, 18),
(199929, NULL, 'SSF75412', NULL, NULL, NULL, NULL, 'Hypothetical protein MTH1880', NULL, NULL, 31793, 18),
(199930, NULL, 'SSF63501', NULL, NULL, NULL, NULL, 'Frizzled cysteine-rich domain', NULL, NULL, 36039, 18),
(199931, NULL, 'SSF103575', NULL, NULL, NULL, NULL, 'Plexin repeat', NULL, NULL, NULL, 18),
(199932, NULL, 'SSF57419', NULL, NULL, NULL, NULL, 'Neurotoxin III (ATX III)', NULL, NULL, 31093, 18),
(199933, NULL, 'SSF117839', NULL, NULL, NULL, NULL, 'WWE domain', NULL, NULL, 35014, 18),
(199934, NULL, 'SSF47406', NULL, NULL, NULL, NULL, 'SinR repressor dimerisation domain-like', NULL, NULL, 33978, 18),
(199935, NULL, 'SSF81321', NULL, NULL, NULL, NULL, 'Family A G protein-coupled receptor-like', NULL, NULL, NULL, 18),
(199936, NULL, 'SSF49842', NULL, NULL, NULL, NULL, 'TNF-like', NULL, NULL, 9838, 18),
(199937, NULL, 'SSF58022', NULL, NULL, NULL, NULL, 'XRCC4, C-terminal oligomerization domain', NULL, NULL, NULL, 18),
(199938, NULL, 'SSF55711', NULL, NULL, NULL, NULL, 'Subdomain of clathrin and coatomer appendage domain', NULL, NULL, 10459, 18),
(199939, NULL, 'SSF74914', NULL, NULL, NULL, NULL, 'V-region of surface antigen I/II (SA I/II, PAC)', NULL, NULL, 32358, 18),
(199940, NULL, 'SSF57011', NULL, NULL, NULL, NULL, 'Neurotoxin B-IV', NULL, NULL, 34543, 18),
(199941, NULL, 'SSF47644', NULL, NULL, NULL, NULL, 'Methionine synthase domain', NULL, NULL, 35435, 18),
(199942, NULL, 'SSF56436', NULL, NULL, NULL, NULL, 'C-type lectin-like', NULL, NULL, 12344, 18),
(199943, NULL, 'SSF47014', NULL, NULL, NULL, NULL, 'Protozoan pheromone proteins', NULL, NULL, 30675, 18),
(199944, NULL, 'SSF52949', NULL, NULL, NULL, NULL, 'Macro domain-like', NULL, NULL, 37138, 18),
(199945, NULL, 'SSF81324', NULL, NULL, NULL, NULL, 'Voltage-gated potassium channels', NULL, NULL, NULL, 18),
(199946, NULL, 'SSF57917', NULL, NULL, NULL, NULL, 'Zn-binding domains of ADDBP', NULL, NULL, 36403, 18);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199947, NULL, 'SSF58104', NULL, NULL, NULL, NULL, 'Methyl-accepting chemotaxis protein (MCP) signaling domain', NULL, NULL, NULL, 18),
(199948, NULL, 'SSF63817', NULL, NULL, NULL, NULL, 'Sortase', NULL, NULL, 20018, 18),
(199949, NULL, 'SSF50090', NULL, NULL, NULL, NULL, 'Electron transport accessory proteins', NULL, NULL, 9948, 18),
(199950, NULL, 'SSF52335', NULL, NULL, NULL, NULL, 'Methylglyoxal synthase-like', NULL, NULL, 31453, 18),
(199951, NULL, 'SSF64602', NULL, NULL, NULL, NULL, 'F1 ATPase inhibitor, IF1, C-terminal domain', NULL, NULL, NULL, 18),
(199952, NULL, 'SSF158418', NULL, NULL, NULL, NULL, 'SO2669-like', NULL, NULL, NULL, 18),
(199953, NULL, 'SSF160448', NULL, NULL, NULL, NULL, 'PG1857-like', NULL, NULL, 36046, 18),
(199954, NULL, 'SSF111423', NULL, NULL, NULL, NULL, 'Resistin', NULL, NULL, 31848, 18),
(199955, NULL, 'SSF90123', NULL, NULL, NULL, NULL, 'ABC transporter transmembrane region', NULL, NULL, 29158, 18),
(199956, NULL, 'SSF54506', NULL, NULL, NULL, NULL, 'Diaminopimelate epimerase-like', NULL, NULL, NULL, 18),
(199957, NULL, 'SSF117991', NULL, NULL, NULL, NULL, 'YbeD/HP0495-like', NULL, NULL, 26350, 18),
(199958, NULL, 'SSF140683', NULL, NULL, NULL, NULL, 'SP0561-like', NULL, NULL, 36478, 18),
(199959, NULL, 'SSF47719', NULL, NULL, NULL, NULL, 'p53 tetramerization domain', NULL, NULL, 32008, 18),
(199960, NULL, 'SSF47473', NULL, NULL, NULL, NULL, 'EF-hand', NULL, NULL, 12845, 18),
(199961, NULL, 'SSF49772', NULL, NULL, NULL, NULL, 'Ecotin, trypsin inhibitor', NULL, NULL, 31636, 18),
(199962, NULL, 'SSF54862', NULL, NULL, NULL, NULL, '4Fe-4S ferredoxins', NULL, NULL, NULL, 18),
(199963, NULL, 'SSF103039', NULL, NULL, NULL, NULL, 'CheC-like', NULL, NULL, 25246, 18),
(199964, NULL, 'SSF53790', NULL, NULL, NULL, NULL, 'Tetrapyrrole methylase', NULL, NULL, 32539, 18),
(199965, NULL, 'SSF56496', NULL, NULL, NULL, NULL, 'Fibrinogen C-terminal domain-like', NULL, NULL, 35716, 18),
(199966, NULL, 'SSF54826', NULL, NULL, NULL, NULL, 'Enolase N-terminal domain-like', NULL, NULL, 24038, 18),
(199967, NULL, 'SSF103589', NULL, NULL, NULL, NULL, 'Mini-collagen I, C-terminal domain', NULL, NULL, 34766, 18),
(199968, NULL, 'SSF75689', NULL, NULL, NULL, NULL, 'Zinc-binding domain of translation initiation factor 2 beta', NULL, NULL, 12291, 18),
(199969, NULL, 'SSF81524', NULL, NULL, NULL, NULL, '14 kDa protein of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', NULL, NULL, 36097, 18),
(199970, NULL, 'SSF101489', NULL, NULL, NULL, NULL, 'Eukaryotic initiation factor 4f subunit eIF4g, eIF4e-binding domain', NULL, NULL, 35806, 18),
(199971, NULL, 'SSF50193', NULL, NULL, NULL, NULL, 'Ribosomal protein L14', NULL, NULL, 34353, 18),
(199972, NULL, 'SSF64496', NULL, NULL, NULL, NULL, 'DNA-binding domain of intron-encoded endonucleases', NULL, NULL, NULL, 18),
(199973, NULL, 'SSF75011', NULL, NULL, NULL, NULL, '3-carboxy-cis,cis-mucoante lactonizing enzyme', NULL, NULL, NULL, 18),
(199974, NULL, 'SSF57027', NULL, NULL, NULL, NULL, 'Plant inhibitors of proteinases and amylases', NULL, NULL, 9105, 18),
(199975, NULL, 'SSF57825', NULL, NULL, NULL, NULL, 'Aspartate carbamoyltransferase, Regulatory-chain, C-terminal domain', NULL, NULL, 36232, 18),
(199976, NULL, 'SSF81822', NULL, NULL, NULL, NULL, 'RuBisCo LSMT C-terminal, substrate-binding domain', NULL, NULL, 33825, 18),
(199977, NULL, 'SSF48334', NULL, NULL, NULL, NULL, 'DNA repair protein MutS, domain III', NULL, NULL, 36261, 18),
(199978, NULL, 'SSF140576', NULL, NULL, NULL, NULL, 'HIV integrase-binding domain', NULL, NULL, 35510, 18),
(199979, NULL, 'SSF117987', NULL, NULL, NULL, NULL, 'CRISPR-associated protein', NULL, NULL, NULL, 18),
(199980, NULL, 'SSF160544', NULL, NULL, NULL, NULL, 'EscU C-terminal domain-like', NULL, NULL, 28686, 18),
(199981, NULL, 'SSF57567', NULL, NULL, NULL, NULL, 'Serine protease inhibitors', NULL, NULL, 35354, 18),
(199982, NULL, 'SSF57821', NULL, NULL, NULL, NULL, 'Hypothetical protein MTH1184', NULL, NULL, 34087, 18),
(199983, NULL, 'SSF64167', NULL, NULL, NULL, NULL, 'SurE-like', NULL, NULL, 35823, 18);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(199984, NULL, 'SSF143856', NULL, NULL, NULL, NULL, 'DeoB insert domain-like', NULL, NULL, 12123, 18),
(199985, NULL, 'SSF47072', NULL, NULL, NULL, NULL, 'Cysteine alpha-hairpin motif', NULL, NULL, 6398, 18),
(199986, NULL, 'SSF89872', NULL, NULL, NULL, NULL, 'Inhibitor of vertebrate lysozyme, Ivy', NULL, NULL, 33915, 18),
(199987, NULL, 'SSF88659', NULL, NULL, NULL, NULL, 'Sigma3 and sigma4 domains of RNA polymerase sigma factors', NULL, NULL, 11080, 18),
(199988, NULL, 'SSF47681', NULL, NULL, NULL, NULL, 'C-terminal domain of B transposition protein', NULL, NULL, 35663, 18),
(199989, NULL, 'SSF47938', NULL, NULL, NULL, NULL, 'Functional domain of the splicing factor Prp18', NULL, NULL, NULL, 18),
(199990, NULL, 'SSF55387', NULL, NULL, NULL, NULL, 'Frataxin/Nqo15-like', NULL, NULL, 35983, 18),
(199991, NULL, 'SSF50911', NULL, NULL, NULL, NULL, 'Mannose 6-phosphate receptor domain', NULL, NULL, 9673, 18),
(199992, NULL, 'SSF103032', NULL, NULL, NULL, NULL, 'Hypothetical protein YwqG', NULL, NULL, 25162, 18),
(199993, NULL, 'SSF101089', NULL, NULL, NULL, NULL, 'Phosphoprotein XD domain', NULL, NULL, 9002, 18),
(199994, NULL, 'SSF81423', NULL, NULL, NULL, NULL, 'Mitochondrial cytochrome c oxidase subunit VIIb', NULL, NULL, 6774, 18),
(199995, NULL, 'SSF54690', NULL, NULL, NULL, NULL, 'Molybdopterin synthase subunit MoaE', NULL, NULL, 35576, 18),
(199996, NULL, 'SSF81333', NULL, NULL, NULL, NULL, 'F1F0 ATP synthase subunit C', NULL, NULL, 28075, 18),
(199997, NULL, 'SSF54768', NULL, NULL, NULL, NULL, 'dsRNA-binding domain-like', NULL, NULL, NULL, 18),
(199998, NULL, 'SSF69340', NULL, NULL, NULL, NULL, 'C-terminal domain of adenylylcyclase associated protein', NULL, NULL, 32338, 18),
(199999, NULL, 'SSF103277', NULL, NULL, NULL, NULL, 'Hypothetical protein HI1480', NULL, NULL, 34901, 18),
(200000, NULL, 'SSF111364', NULL, NULL, NULL, NULL, 'Tsx-like channel', NULL, NULL, 34791, 18),
(200001, NULL, 'SSF160246', NULL, NULL, NULL, NULL, 'EspE N-terminal domain-like', NULL, NULL, 34716, 18),
(200002, NULL, 'SSF55869', NULL, NULL, NULL, NULL, 'DNA topoisomerase I domain', NULL, NULL, 20768, 18),
(200003, NULL, 'SSF50176', NULL, NULL, NULL, NULL, 'N-terminal domains of the minor coat protein g3p', NULL, NULL, 30975, 18),
(200004, NULL, 'SSF57662', NULL, NULL, NULL, NULL, 'Ferredoxin thioredoxin reductase (FTR), catalytic beta chain', NULL, NULL, 33181, 18),
(200005, NULL, 'SSF140566', NULL, NULL, NULL, NULL, 'FlgN-like', NULL, NULL, 32197, 18),
(200006, NULL, 'SSF81469', NULL, NULL, NULL, NULL, 'Bacterial aa3 type cytochrome c oxidase subunit IV', NULL, NULL, 35167, 18),
(200007, NULL, 'SSF52788', NULL, NULL, NULL, NULL, 'Phosphotyrosine protein phosphatases I', NULL, NULL, 31663, 18),
(200008, NULL, 'SSF89064', NULL, NULL, NULL, NULL, 'Replisome organizer (g39p helicase loader/inhibitor protein)', NULL, NULL, 34369, 18),
(200009, NULL, 'SSF75445', NULL, NULL, NULL, NULL, 'D-ribose-5-phosphate isomerase (RpiA), lid domain', NULL, NULL, NULL, 18),
(200010, NULL, 'SSF75704', NULL, NULL, NULL, NULL, 'Mitotic arrest deficient-like 1, Mad1', NULL, NULL, NULL, 18),
(200011, NULL, 'SSF143447', NULL, NULL, NULL, NULL, 'AMMECR1-like', NULL, NULL, 29390, 18),
(200012, NULL, 'SSF81631', NULL, NULL, NULL, NULL, 'PAP/OAS1 substrate-binding domain', NULL, NULL, NULL, 18),
(200013, NULL, 'SSF55052', NULL, NULL, NULL, NULL, 'CheY-binding domain of CheA', NULL, NULL, 7288, 18),
(200014, NULL, 'SSF111069', NULL, NULL, NULL, NULL, 'Hypothetical protein yfbM', NULL, NULL, 11761, 18),
(200015, NULL, 'SSF48431', NULL, NULL, NULL, NULL, 'Lipovitellin-phosvitin complex, superhelical domain', NULL, NULL, 9457, 18),
(200016, NULL, 'SSF158430', NULL, NULL, NULL, NULL, 'Bacillus cereus metalloprotein-like', NULL, NULL, NULL, 18),
(200017, NULL, 'SSF81273', NULL, NULL, NULL, NULL, 'H-NS histone-like proteins', NULL, NULL, NULL, 18),
(200018, NULL, 'SSF161017', NULL, NULL, NULL, NULL, 'Photosystem II reaction center protein L, PsbL', NULL, NULL, 35145, 18),
(200019, NULL, 'SSF55261', NULL, NULL, NULL, NULL, 'GAD domain-like', NULL, NULL, 1628, 18);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200020, NULL, 'SSF47741', NULL, NULL, NULL, NULL, 'CO dehydrogenase ISP C-domain like', NULL, NULL, 30677, 18),
(200021, NULL, 'SSF101278', NULL, NULL, NULL, NULL, 'N-terminal domain of adenylylcyclase associated protein, CAP', NULL, NULL, 32283, 18),
(200022, NULL, 'SSF48208', NULL, NULL, NULL, NULL, 'Six-hairpin glycosidases', NULL, NULL, 8742, 18),
(200023, NULL, 'SSF53041', NULL, NULL, NULL, NULL, 'Resolvase-like', NULL, NULL, 32833, 18),
(200024, NULL, 'SSF161041', NULL, NULL, NULL, NULL, 'Photosystem II reaction center protein I, PsbI', NULL, NULL, 35235, 18),
(200025, NULL, 'SSF54534', NULL, NULL, NULL, NULL, 'FKBP-like', NULL, NULL, NULL, 18),
(200026, NULL, 'SSF57889', NULL, NULL, NULL, NULL, 'Cysteine-rich domain', NULL, NULL, NULL, 18),
(200027, NULL, 'SSF89890', NULL, NULL, NULL, NULL, 'Proguanylin', NULL, NULL, 35355, 18),
(200028, NULL, 'SSF140404', NULL, NULL, NULL, NULL, 'EF2458-like', NULL, NULL, 35680, 18),
(200029, NULL, 'SSF160453', NULL, NULL, NULL, NULL, 'PB2 C-terminal domain-like', NULL, NULL, 34782, 18),
(200030, NULL, 'SSF52954', NULL, NULL, NULL, NULL, 'Class II aaRS ABD-related', NULL, NULL, NULL, 18),
(200031, NULL, 'SSF57546', NULL, NULL, NULL, NULL, 'Crisp domain-like', NULL, NULL, NULL, 18),
(200032, NULL, 'SSF102860', NULL, NULL, NULL, NULL, 'mRNA decapping enzyme DcpS N-terminal domain', NULL, NULL, 9029, 18),
(200033, NULL, 'SSF56104', NULL, NULL, NULL, NULL, 'SAICAR synthase-like', NULL, NULL, NULL, 18),
(200034, NULL, 'SSF144217', NULL, NULL, NULL, NULL, 'CSL zinc finger', NULL, NULL, 32052, 18),
(200035, NULL, 'SSF53254', NULL, NULL, NULL, NULL, 'Phosphoglycerate mutase-like', NULL, NULL, 25252, 18),
(200036, NULL, 'SSF56563', NULL, NULL, NULL, NULL, 'Major capsid protein gp5', NULL, NULL, NULL, 18),
(200037, NULL, 'SSF54211', NULL, NULL, NULL, NULL, 'Ribosomal protein S5 domain 2-like', NULL, NULL, 19083, 18),
(200038, NULL, 'SSF103486', NULL, NULL, NULL, NULL, 'V-type ATP synthase subunit C', NULL, NULL, 35195, 18),
(200039, NULL, 'SSF57829', NULL, NULL, NULL, NULL, 'Zn-binding ribosomal proteins', NULL, NULL, 13842, 18),
(200040, NULL, 'SSF49599', NULL, NULL, NULL, NULL, 'TRAF domain-like', NULL, NULL, NULL, 18),
(200041, NULL, 'SSF89733', NULL, NULL, NULL, NULL, 'L-sulfolactate dehydrogenase-like', NULL, NULL, 35608, 18),
(200042, NULL, 'SSF102875', NULL, NULL, NULL, NULL, 'Chromosomal protein MC1', NULL, NULL, 30542, 18),
(200043, NULL, 'SSF89124', NULL, NULL, NULL, NULL, 'Nop domain', NULL, NULL, 29425, 18),
(200044, NULL, 'SSF57392', NULL, NULL, NULL, NULL, 'Defensin-like', NULL, NULL, NULL, 18),
(200045, NULL, 'SSF56276', NULL, NULL, NULL, NULL, 'S-adenosylmethionine decarboxylase', NULL, NULL, 10372, 18),
(200046, NULL, 'SSF103409', NULL, NULL, NULL, NULL, '39 kda initiator binding protein, IBP39, C-terminal domains', NULL, NULL, 29427, 18),
(200047, NULL, 'SSF75404', NULL, NULL, NULL, NULL, 'VSV matrix protein', NULL, NULL, 36251, 18),
(200048, NULL, 'SSF81665', NULL, NULL, NULL, NULL, 'Calcium ATPase, transmembrane domain M', NULL, NULL, 14951, 18),
(200049, NULL, 'SSF140924', NULL, NULL, NULL, NULL, 'Duffy binding domain-like', NULL, NULL, NULL, 18),
(200050, NULL, 'SSF48686', NULL, NULL, NULL, NULL, 'Proteinase A inhibitor IA3', NULL, NULL, 8668, 18),
(200051, NULL, 'SSF141066', NULL, NULL, NULL, NULL, 'ICP-like', NULL, NULL, 30152, 18),
(200052, NULL, 'SSF111057', NULL, NULL, NULL, NULL, 'Hypothetical protein PF0899', NULL, NULL, 32217, 18),
(200053, NULL, 'SSF158587', NULL, NULL, NULL, NULL, 'Jann4075-like', NULL, NULL, 15537, 18),
(200054, NULL, 'SSF160975', NULL, NULL, NULL, NULL, 'AF1531-like', NULL, NULL, NULL, 18),
(200055, NULL, 'SSF118203', NULL, NULL, NULL, NULL, 'Vacuolar ATP synthase subunit C', NULL, NULL, 36494, 18),
(200056, NULL, 'SSF75399', NULL, NULL, NULL, NULL, 'Plakin repeat', NULL, NULL, 18695, 18),
(200057, NULL, 'SSF109631', NULL, NULL, NULL, NULL, 'Transcriptional repressor TraM', NULL, NULL, 30302, 18),
(200058, NULL, 'SSF160719', NULL, NULL, NULL, NULL, 'gpW/gp25-like', NULL, NULL, NULL, 18),
(200059, NULL, 'SSF55267', NULL, NULL, NULL, NULL, 'tRNA-intron endonuclease N-terminal domain-like', NULL, NULL, 34761, 18);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200060, NULL, 'SSF111357', NULL, NULL, NULL, NULL, 'Mitochondrial ATP synthase coupling factor 6', NULL, NULL, 36096, 18),
(200061, NULL, 'SSF58038', NULL, NULL, NULL, NULL, 'SNARE fusion complex', NULL, NULL, NULL, 18),
(200062, NULL, 'SSF143437', NULL, NULL, NULL, NULL, 'THUMP domain-like', NULL, NULL, NULL, 18),
(200063, NULL, 'SSF103657', NULL, NULL, NULL, NULL, 'BAR/IMD domain-like', NULL, NULL, 17652, 18),
(200064, NULL, 'SSF159501', NULL, NULL, NULL, NULL, 'EreA/ChaN-like', NULL, NULL, NULL, 18),
(200065, NULL, 'SSF141658', NULL, NULL, NULL, NULL, 'Bacteriophage trimeric proteins domain', NULL, NULL, NULL, 18),
(200066, NULL, 'SSF49998', NULL, NULL, NULL, NULL, 'Amine oxidase catalytic domain', NULL, NULL, 34351, 18),
(200067, NULL, 'SSF47090', NULL, NULL, NULL, NULL, 'PGBD-like', NULL, NULL, 36079, 18),
(200068, NULL, 'SSF160713', NULL, NULL, NULL, NULL, 'YqaI-like', NULL, NULL, 15126, 18),
(200069, NULL, 'SSF54189', NULL, NULL, NULL, NULL, 'Ribosomal proteins S24e, L23 and L15e', NULL, NULL, 12081, 18),
(200070, NULL, 'SSF50960', NULL, NULL, NULL, NULL, 'TolB, C-terminal domain', NULL, NULL, NULL, 18),
(200071, NULL, 'SSF55753', NULL, NULL, NULL, NULL, 'Actin depolymerizing proteins', NULL, NULL, NULL, 18),
(200072, NULL, 'SSF159659', NULL, NULL, NULL, NULL, 'Cgl1923-like', NULL, NULL, NULL, 18),
(200073, NULL, 'SSF47203', NULL, NULL, NULL, NULL, 'Acyl-CoA dehydrogenase C-terminal domain-like', NULL, NULL, 31904, 18),
(200074, NULL, 'SSF56502', NULL, NULL, NULL, NULL, 'gp120 core', NULL, NULL, 35500, 18),
(200075, NULL, 'SSF53920', NULL, NULL, NULL, NULL, 'Fe-only hydrogenase', NULL, NULL, 9648, 18),
(200076, NULL, 'SSF48484', NULL, NULL, NULL, NULL, 'Lipoxigenase', NULL, NULL, 32402, 18),
(200077, NULL, 'SSF159222', NULL, NULL, NULL, NULL, 'YopT-like', NULL, NULL, NULL, 18),
(200078, NULL, 'SSF81327', NULL, NULL, NULL, NULL, 'Small-conductance potassium channel', NULL, NULL, 33968, 18),
(200079, NULL, 'SSF110395', NULL, NULL, NULL, NULL, 'CutC-like', NULL, NULL, 30083, 18),
(200080, NULL, 'SSF110997', NULL, NULL, NULL, NULL, 'Sporulation related repeat', NULL, NULL, 32080, 18),
(200081, NULL, 'SSF47401', NULL, NULL, NULL, NULL, 'Ectatomin subunits', NULL, NULL, 31730, 18),
(200082, NULL, 'SSF48310', NULL, NULL, NULL, NULL, 'Aldehyde ferredoxin oxidoreductase, C-terminal domains', NULL, NULL, 35058, 18),
(200083, NULL, 'SSF63992', NULL, NULL, NULL, NULL, 'Dipeptide transport protein', NULL, NULL, 35372, 18),
(200084, NULL, 'SSF55550', NULL, NULL, NULL, NULL, 'SH2 domain', NULL, NULL, 30839, 18),
(200085, NULL, 'SSF69000', NULL, NULL, NULL, NULL, 'FAD-dependent thiol oxidase', NULL, NULL, 29517, 18),
(200086, NULL, 'SSF55190', NULL, NULL, NULL, NULL, 'Arginyl-tRNA synthetase (ArgRS), N-terminal ''additional'' domain', NULL, NULL, 34393, 18),
(200087, NULL, 'SSF53178', NULL, NULL, NULL, NULL, 'Peptidyl-tRNA hydrolase-like', NULL, NULL, 30142, 18),
(200088, NULL, 'SSF69864', NULL, NULL, NULL, NULL, 'Argininosuccinate synthetase, C-terminal domain', NULL, NULL, 12614, 18),
(200089, NULL, 'SSF75169', NULL, NULL, NULL, NULL, 'DsrEFH-like', NULL, NULL, 25856, 18),
(200090, NULL, 'SSF56973', NULL, NULL, NULL, NULL, 'Aerolisin/ETX pore-forming domain', NULL, NULL, NULL, 18),
(200091, NULL, 'SSF57277', NULL, NULL, NULL, NULL, 'Granulin repeat', NULL, NULL, NULL, 18),
(200092, NULL, 'SSF116858', NULL, NULL, NULL, NULL, 'Hypothetical membrane protein Ta0354, soluble domain', NULL, NULL, 34475, 18),
(200093, NULL, 'SSF56317', NULL, NULL, NULL, NULL, 'Carbon-nitrogen hydrolase', NULL, NULL, 36280, 18),
(200094, NULL, 'SSF48230', NULL, NULL, NULL, NULL, 'Chondroitin AC/alginate lyase', NULL, NULL, 8566, 18),
(200095, NULL, 'SSF57783', NULL, NULL, NULL, NULL, 'Zinc beta-ribbon', NULL, NULL, NULL, 18),
(200096, NULL, 'SSF49410', NULL, NULL, NULL, NULL, 'Alpha-macroglobulin receptor domain', NULL, NULL, 36053, 18),
(200097, NULL, 'SSF53748', NULL, NULL, NULL, NULL, 'Phosphoglycerate kinase', NULL, NULL, 35130, 18),
(200098, NULL, 'SSF55248', NULL, NULL, NULL, NULL, 'PCD-like', NULL, NULL, 30747, 18);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200099, NULL, 'SSF140125', NULL, NULL, NULL, NULL, 'Rabenosyn-5 Rab-binding domain-like', NULL, NULL, 32970, 18),
(200100, NULL, 'SSF47226', NULL, NULL, NULL, NULL, 'Histidine-containing phosphotransfer domain, HPT domain', NULL, NULL, 30569, 18),
(200101, NULL, 'SSF110921', NULL, NULL, NULL, NULL, '2-isopropylmalate synthase LeuA, allosteric (dimerisation) domain', NULL, NULL, 32479, 18),
(200102, NULL, 'SSF103642', NULL, NULL, NULL, NULL, 'Sec-C motif', NULL, NULL, NULL, 18),
(200103, NULL, 'SSF54791', NULL, NULL, NULL, NULL, 'Eukaryotic type KH-domain (KH-domain type I)', NULL, NULL, 32798, 18),
(200104, NULL, 'SSF140746', NULL, NULL, NULL, NULL, 'SipA N-terminal domain-like', NULL, NULL, 8002, 18),
(200105, NULL, 'SSF57256', NULL, NULL, NULL, NULL, 'Elafin-like', NULL, NULL, 30751, 18),
(200106, NULL, 'SSF118290', NULL, NULL, NULL, NULL, 'WRKY DNA-binding domain', NULL, NULL, 33992, 18),
(200107, NULL, 'SSF102400', NULL, NULL, NULL, NULL, 'DNA polymerase III chi subunit', NULL, NULL, 36006, 18),
(200108, NULL, 'SSF101224', NULL, NULL, NULL, NULL, 'HAND domain of the nucleosome remodeling ATPase ISWI', NULL, NULL, 34027, 18),
(200109, NULL, 'SSF81886', NULL, NULL, NULL, NULL, 'Helical scaffold and wing domains of SecA', NULL, NULL, 34145, 18),
(200110, NULL, 'SSF55287', NULL, NULL, NULL, NULL, 'RPB5-like RNA polymerase subunit', NULL, NULL, 19529, 18),
(200111, NULL, 'SSF49344', NULL, NULL, NULL, NULL, 'CBD9-like', NULL, NULL, NULL, 18),
(200112, NULL, 'SSF158446', NULL, NULL, NULL, NULL, 'IVS-encoded protein-like', NULL, NULL, 32317, 18),
(200113, NULL, 'SSF47895', NULL, NULL, NULL, NULL, 'Transducin (alpha subunit), insertion domain', NULL, NULL, 9129, 18),
(200114, NULL, 'SSF51905', NULL, NULL, NULL, NULL, 'FAD/NAD(P)-binding domain', NULL, NULL, 29259, 18),
(200115, NULL, 'SSF160350', NULL, NULL, NULL, NULL, 'Rnp2-like', NULL, NULL, 33809, 18),
(200116, NULL, 'SSF102546', NULL, NULL, NULL, NULL, 'RbsD-like', NULL, NULL, 10987, 18),
(200117, NULL, 'SSF110455', NULL, NULL, NULL, NULL, 'Toprim domain', NULL, NULL, NULL, 18),
(200118, NULL, 'SSF58050', NULL, NULL, NULL, NULL, 'N-terminal coiled coil domain from apc', NULL, NULL, 31097, 18),
(200119, NULL, 'SSF48113', NULL, NULL, NULL, NULL, 'Heme-dependent peroxidases', NULL, NULL, 9043, 18),
(200120, NULL, 'SSF161003', NULL, NULL, NULL, NULL, 'flu NP-like', NULL, NULL, NULL, 18),
(200121, NULL, 'SSF81544', NULL, NULL, NULL, NULL, 'Subunit IX of photosystem I reaction centre, PsaJ', NULL, NULL, 32332, 18),
(200122, NULL, 'SSF69255', NULL, NULL, NULL, NULL, 'gp5 N-terminal domain-like', NULL, NULL, NULL, 18),
(200123, NULL, 'SSF158842', NULL, NULL, NULL, NULL, 'PMT central region-like', NULL, NULL, NULL, 18),
(200124, NULL, 'SSF54111', NULL, NULL, NULL, NULL, 'Urease, gamma-subunit', NULL, NULL, 31617, 18),
(200125, NULL, 'SSF141673', NULL, NULL, NULL, NULL, 'MOSC N-terminal domain-like', NULL, NULL, NULL, 18),
(200126, NULL, 'SSF158851', NULL, NULL, NULL, NULL, 'Lag-3 N-terminal region', NULL, NULL, NULL, 18),
(200127, NULL, 'SSF103436', NULL, NULL, NULL, NULL, 'PetL subunit of the cytochrome b6f complex', NULL, NULL, NULL, 18),
(200128, NULL, 'SSF90209', NULL, NULL, NULL, NULL, 'Ran binding protein zinc finger-like', NULL, NULL, 30701, 18),
(200129, NULL, 'SSF68923', NULL, NULL, NULL, NULL, 'PEP carboxykinase N-terminal domain', NULL, NULL, 7066, 18),
(200130, NULL, 'SSF69572', NULL, NULL, NULL, NULL, 'Activating enzymes of the ubiquitin-like proteins', NULL, NULL, 34619, 18),
(200131, NULL, 'SSF159133', NULL, NULL, NULL, NULL, 'EutN/CcmL-like', NULL, NULL, 30522, 18),
(200132, NULL, 'SSF117782', NULL, NULL, NULL, NULL, 'YbjQ-like', NULL, NULL, 34159, 18),
(200133, NULL, 'SSF48652', NULL, NULL, NULL, NULL, 'Tetraspanin', NULL, NULL, 8880, 18),
(200134, NULL, 'SSF100910', NULL, NULL, NULL, NULL, 'Chemosensory protein Csp2', NULL, NULL, 30868, 18),
(200135, NULL, 'SSF118001', NULL, NULL, NULL, NULL, 'YehU-like', NULL, NULL, 32487, 18),
(200136, NULL, 'SSF56747', NULL, NULL, NULL, NULL, 'Prim-pol domain', NULL, NULL, NULL, 18),
(200137, NULL, 'SSF46929', NULL, NULL, NULL, NULL, 'DNA helicase RuvA subunit, C-terminal domain', NULL, NULL, 34173, 18);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200138, NULL, 'SSF117130', NULL, NULL, NULL, NULL, 'CsrA-like', NULL, NULL, 35969, 18),
(200139, NULL, 'SSF56524', NULL, NULL, NULL, NULL, 'Oxidoreductase molybdopterin-binding domain', NULL, NULL, 30694, 18),
(200140, NULL, 'SSF117074', NULL, NULL, NULL, NULL, 'Hypothetical protein PA1324', NULL, NULL, NULL, 18),
(200141, NULL, 'SSF81901', NULL, NULL, NULL, NULL, 'HCP-like', NULL, NULL, NULL, 18),
(200142, NULL, 'SSF140809', NULL, NULL, NULL, NULL, 'Rhabdovirus nucleoprotein-like', NULL, NULL, 29132, 18),
(200143, NULL, 'SSF140931', NULL, NULL, NULL, NULL, 'Fic-like', NULL, NULL, 35390, 18),
(200144, NULL, 'SSF111321', NULL, NULL, NULL, NULL, 'AF1104-like', NULL, NULL, 35350, 18),
(200145, NULL, 'SSF57610', NULL, NULL, NULL, NULL, 'Thyroglobulin type-1 domain', NULL, NULL, 30708, 18),
(200146, NULL, 'SSF69118', NULL, NULL, NULL, NULL, 'AhpD-like', NULL, NULL, 24847, 18),
(200147, NULL, 'SSF69908', NULL, NULL, NULL, NULL, 'Membrane penetration protein mu1', NULL, NULL, 31930, 18),
(200148, NULL, 'SSF90229', NULL, NULL, NULL, NULL, 'CCCH zinc finger', NULL, NULL, 30512, 18),
(200149, NULL, 'SSF103383', NULL, NULL, NULL, NULL, 'Antivirulence factor', NULL, NULL, 30621, 18),
(200150, NULL, 'SSF57850', NULL, NULL, NULL, NULL, 'RING/U-box', NULL, NULL, NULL, 18),
(200151, NULL, 'SSF140607', NULL, NULL, NULL, NULL, 'EF2947-like', NULL, NULL, 36013, 18),
(200152, NULL, 'SSF88645', NULL, NULL, NULL, NULL, 'ssDNA viruses', NULL, NULL, 12233, 18),
(200153, NULL, 'SSF159871', NULL, NULL, NULL, NULL, 'YdgH-like', NULL, NULL, 33806, 18),
(200154, NULL, 'SSF52038', NULL, NULL, NULL, NULL, 'Barstar-related', NULL, NULL, 11358, 18),
(200155, NULL, 'SSF56726', NULL, NULL, NULL, NULL, 'DNA topoisomerase IV, alpha subunit', NULL, NULL, 35059, 18),
(200156, NULL, 'SSF160148', NULL, NULL, NULL, NULL, 'CPE0013-like', NULL, NULL, 35321, 18),
(200157, NULL, 'SSF63712', NULL, NULL, NULL, NULL, 'Nicotinic receptor ligand binding domain-like', NULL, NULL, 34617, 18),
(200158, NULL, 'SSF89811', NULL, NULL, NULL, NULL, 'Amyloid beta a4 protein copper binding domain (domain 2)', NULL, NULL, 34247, 18),
(200159, NULL, 'SSF49482', NULL, NULL, NULL, NULL, 'Aromatic compound dioxygenase', NULL, NULL, 7143, 18),
(200160, NULL, 'SSF160887', NULL, NULL, NULL, NULL, 'Rv2827c C-terminal domain-like', NULL, NULL, NULL, 18),
(200161, NULL, 'SSF50800', NULL, NULL, NULL, NULL, 'PK beta-barrel domain-like', NULL, NULL, 9247, 18),
(200162, NULL, 'SSF52402', NULL, NULL, NULL, NULL, 'Adenine nucleotide alpha hydrolases-like', NULL, NULL, NULL, 18),
(200163, NULL, 'SSF89009', NULL, NULL, NULL, NULL, 'GAT-like domain', NULL, NULL, NULL, 18),
(200164, NULL, 'SSF75304', NULL, NULL, NULL, NULL, 'Amidase signature (AS) enzymes', NULL, NULL, 35462, 18),
(200165, NULL, 'SSF158499', NULL, NULL, NULL, NULL, 'DnaD domain-like', NULL, NULL, 31574, 18),
(200166, NULL, 'SSF141259', NULL, NULL, NULL, NULL, 'CarD-like', NULL, NULL, 29635, 18),
(200167, NULL, 'SSF141694', NULL, NULL, NULL, NULL, 'AF2212/PG0164-like', NULL, NULL, NULL, 18),
(200168, NULL, 'SSF140919', NULL, NULL, NULL, NULL, 'DNA terminal protein', NULL, NULL, 34493, 18),
(200169, NULL, 'SSF55469', NULL, NULL, NULL, NULL, 'FMN-dependent nitroreductase-like', NULL, NULL, 6758, 18),
(200170, NULL, 'SSF56994', NULL, NULL, NULL, NULL, 'Insulin-like', NULL, NULL, 34260, 18),
(200171, NULL, 'SSF81301', NULL, NULL, NULL, NULL, 'Nucleotidyltransferase', NULL, NULL, 37996, 18),
(200172, NULL, 'SSF140427', NULL, NULL, NULL, NULL, 'VPS28 C-terminal domain-like', NULL, NULL, 35999, 18),
(200173, NULL, 'SSF64153', NULL, NULL, NULL, NULL, 'YjeF N-terminal domain-like', NULL, NULL, 30941, 18),
(200174, NULL, 'SSF100950', NULL, NULL, NULL, NULL, 'NagB/RpiA/CoA transferase-like', NULL, NULL, 34243, 18),
(200175, NULL, 'SSF74653', NULL, NULL, NULL, NULL, 'TolA/TonB C-terminal domain', NULL, NULL, NULL, 18),
(200176, NULL, 'SSF51177', NULL, NULL, NULL, NULL, 'An insect antifreeze protein', NULL, NULL, 32252, 18),
(200177, NULL, 'SSF81790', NULL, NULL, NULL, NULL, 'Myosin phosphatase inhibitor 17kDa protein, CPI-17', NULL, NULL, 32249, 18);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200178, NULL, 'SSF50370', NULL, NULL, NULL, NULL, 'Ricin B-like lectins', NULL, NULL, 21018, 18),
(200179, NULL, 'SSF144020', NULL, NULL, NULL, NULL, 'FdhE-like', NULL, NULL, 12949, 18),
(200180, NULL, 'SSF103025', NULL, NULL, NULL, NULL, 'Folate-binding domain', NULL, NULL, NULL, 18),
(200181, NULL, 'SSF89360', NULL, NULL, NULL, NULL, 'HesB-like domain', NULL, NULL, 7665, 18),
(200182, NULL, 'SSF55035', NULL, NULL, NULL, NULL, 'NAD-binding domain of HMG-CoA reductase', NULL, NULL, 10180, 18),
(200183, NULL, 'SSF54821', NULL, NULL, NULL, NULL, 'Ribosomal protein S3 C-terminal domain', NULL, NULL, 30314, 18),
(200184, NULL, 'SSF143076', NULL, NULL, NULL, NULL, 'Coronavirus NSP8-like', NULL, NULL, 31010, 18),
(200185, NULL, 'SSF69131', NULL, NULL, NULL, NULL, 'Quinohemoprotein amine dehydrogenase C chain', NULL, NULL, 33512, 18),
(200186, NULL, 'SSF63748', NULL, NULL, NULL, NULL, 'Tudor/PWWP/MBT', NULL, NULL, NULL, 18),
(200187, NULL, 'SSF102522', NULL, NULL, NULL, NULL, 'Bacterial fluorinating enzyme, N-terminal domain', NULL, NULL, 12563, 18),
(200188, NULL, 'SSF160219', NULL, NULL, NULL, NULL, 'AMPKBI-like', NULL, NULL, 34634, 18),
(200189, NULL, 'SSF46934', NULL, NULL, NULL, NULL, 'UBA-like', NULL, NULL, 6090, 18),
(200190, NULL, 'SSF101125', NULL, NULL, NULL, NULL, 'Colicin D immunity protein', NULL, NULL, 33656, 18),
(200191, NULL, 'SSF101160', NULL, NULL, NULL, NULL, 'Dimerisation domain of CENP-B', NULL, NULL, 10385, 18),
(200192, NULL, 'SSF51984', NULL, NULL, NULL, NULL, 'MurCD N-terminal domain', NULL, NULL, NULL, 18),
(200193, NULL, 'SSF54285', NULL, NULL, NULL, NULL, 'MoaD/ThiS', NULL, NULL, 12364, 18),
(200194, NULL, 'SSF160355', NULL, NULL, NULL, NULL, 'Bacterial polysaccharide co-polymerase-like', NULL, NULL, NULL, 18),
(200195, NULL, 'SSF52021', NULL, NULL, NULL, NULL, 'Carbamoyl phosphate synthetase, small subunit N-terminal domain', NULL, NULL, 31684, 18),
(200196, NULL, 'SSF89623', NULL, NULL, NULL, NULL, 'Ribose/Galactose isomerase RpiB/AlsB', NULL, NULL, 33844, 18),
(200197, NULL, 'SSF144129', NULL, NULL, NULL, NULL, 'Vanabin-like', NULL, NULL, 34728, 18),
(200198, NULL, 'SSF51322', NULL, NULL, NULL, NULL, 'Cyanovirin-N', NULL, NULL, 32312, 18),
(200199, NULL, 'SSF52096', NULL, NULL, NULL, NULL, 'ClpP/crotonase', NULL, NULL, 25556, 18),
(200200, NULL, 'SSF142906', NULL, NULL, NULL, NULL, 'YjbR-like', NULL, NULL, 35024, 18),
(200201, NULL, 'SSF52087', NULL, NULL, NULL, NULL, 'CRAL/TRIO domain', NULL, NULL, 30853, 18),
(200202, NULL, 'SSF54364', NULL, NULL, NULL, NULL, 'Translation initiation factor IF3, N-terminal domain', NULL, NULL, 36168, 18),
(200203, NULL, 'SSF56845', NULL, NULL, NULL, NULL, 'Diphtheria toxin, middle domain', NULL, NULL, 36008, 18),
(200204, NULL, 'SSF48608', NULL, NULL, NULL, NULL, 'Peridinin-chlorophyll protein', NULL, NULL, 36475, 18),
(200205, NULL, 'SSF55718', NULL, NULL, NULL, NULL, 'SCP-like', NULL, NULL, 36134, 18),
(200206, NULL, 'SSF57302', NULL, NULL, NULL, NULL, 'Snake toxin-like', NULL, NULL, 37371, 18),
(200207, NULL, 'SSF48076', NULL, NULL, NULL, NULL, 'LigA subunit of an aromatic-ring-opening dioxygenase LigAB', NULL, NULL, 31492, 18),
(200208, NULL, 'SSF53218', NULL, NULL, NULL, NULL, 'Molybdenum cofactor biosynthesis proteins', NULL, NULL, 30150, 18),
(200209, NULL, 'SSF160515', NULL, NULL, NULL, NULL, 'YueI-like', NULL, NULL, NULL, 18),
(200210, NULL, 'SSF52913', NULL, NULL, NULL, NULL, 'RNA 3''-terminal phosphate cyclase, RPTC, insert domain', NULL, NULL, 32144, 18),
(200211, NULL, 'SSF143422', NULL, NULL, NULL, NULL, 'Transposase IS200-like', NULL, NULL, 32896, 18),
(200212, NULL, 'SSF110035', NULL, NULL, NULL, NULL, 'GDNF receptor-like', NULL, NULL, 35648, 18),
(200213, NULL, 'SSF47396', NULL, NULL, NULL, NULL, 'Transcription factor IIA (TFIIA), alpha-helical domain', NULL, NULL, NULL, 18),
(200214, NULL, 'SSF101420', NULL, NULL, NULL, NULL, 'C-terminal domain of Ku80', NULL, NULL, 33994, 18),
(200215, NULL, 'SSF55945', NULL, NULL, NULL, NULL, 'TATA-box binding protein-like', NULL, NULL, NULL, 18),
(200216, NULL, 'SSF64449', NULL, NULL, NULL, NULL, 'YopH tyrosine phosphatase N-terminal domain', NULL, NULL, 33668, 18);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200217, NULL, 'SSF48097', NULL, NULL, NULL, NULL, 'Regulator of G-protein signaling, RGS', NULL, NULL, 33980, 18),
(200218, NULL, 'SSF111304', NULL, NULL, NULL, NULL, 'Recombination protein RecR', NULL, NULL, 15313, 18),
(200219, NULL, 'SSF82866', NULL, NULL, NULL, NULL, 'Multidrug efflux transporter AcrB transmembrane domain', NULL, NULL, NULL, 18),
(200220, NULL, 'SSF48256', NULL, NULL, NULL, NULL, 'Citrate synthase', NULL, NULL, 30618, 18),
(200221, NULL, 'SSF48305', NULL, NULL, NULL, NULL, 'Class II MHC-associated invariant chain ectoplasmic trimerization domain', NULL, NULL, 32278, 18),
(200222, NULL, 'SSF110399', NULL, NULL, NULL, NULL, 'ThiG-like', NULL, NULL, NULL, 18),
(200223, NULL, 'SSF89082', NULL, NULL, NULL, NULL, 'Antibiotic binding domain of TipA-like multidrug resistance regulators', NULL, NULL, 32134, 18),
(200224, NULL, 'SSF75632', NULL, NULL, NULL, NULL, 'Cullin homology domain', NULL, NULL, 33741, 18),
(200225, NULL, 'SSF52935', NULL, NULL, NULL, NULL, 'PK C-terminal domain-like', NULL, NULL, 35281, 18),
(200226, NULL, 'SSF110783', NULL, NULL, NULL, NULL, 'Hypothetical protein MTH677', NULL, NULL, 29292, 18),
(200227, NULL, 'SSF54441', NULL, NULL, NULL, NULL, 'Uracil-DNA glycosylase inhibitor protein', NULL, NULL, 8852, 18),
(200228, NULL, 'SSF89915', NULL, NULL, NULL, NULL, 'DNA-binding protein Tfx', NULL, NULL, 30776, 18),
(200229, NULL, 'SSF109880', NULL, NULL, NULL, NULL, 'A middle domain of Talin 1', NULL, NULL, 33797, 18),
(200230, NULL, 'SSF49503', NULL, NULL, NULL, NULL, 'Cupredoxins', NULL, NULL, 9344, 18),
(200231, NULL, 'SSF57048', NULL, NULL, NULL, NULL, 'Gurmarin-like', NULL, NULL, 7928, 18),
(200232, NULL, 'SSF47807', NULL, NULL, NULL, NULL, '5'' to 3'' exonuclease, C-terminal subdomain', NULL, NULL, 29097, 18),
(200233, NULL, 'SSF142433', NULL, NULL, NULL, NULL, 'CinA-like', NULL, NULL, 32465, 18),
(200234, NULL, 'SSF144005', NULL, NULL, NULL, NULL, 'ORC1-binding domain', NULL, NULL, 29435, 18),
(200235, NULL, 'SSF102848', NULL, NULL, NULL, NULL, 'NSFL1 (p97 ATPase) cofactor p47, SEP domain', NULL, NULL, 32049, 18),
(200236, NULL, 'SSF111265', NULL, NULL, NULL, NULL, 'Hemolytic lectin CEL-III, C-terminal domain', NULL, NULL, 22387, 18),
(200237, NULL, 'SSF54184', NULL, NULL, NULL, NULL, 'Penicillin-binding protein 2x (pbp-2x), c-terminal domain', NULL, NULL, NULL, 18),
(200238, NULL, 'SSF101816', NULL, NULL, NULL, NULL, 'Replicase NSP9', NULL, NULL, 33791, 18),
(200239, NULL, 'SSF47152', NULL, NULL, NULL, NULL, 'Methane monooxygenase hydrolase, gamma subunit', NULL, NULL, 33834, 18),
(200240, NULL, 'SSF48179', NULL, NULL, NULL, NULL, '6-phosphogluconate dehydrogenase C-terminal domain-like', NULL, NULL, 8943, 18),
(200241, NULL, 'SSF64210', NULL, NULL, NULL, NULL, 'Head-to-tail joining protein W, gpW', NULL, NULL, 33449, 18),
(200242, NULL, 'SSF101473', NULL, NULL, NULL, NULL, 'DhaL-like', NULL, NULL, 35638, 18),
(200243, NULL, 'SSF51695', NULL, NULL, NULL, NULL, 'PLC-like phosphodiesterases', NULL, NULL, 19059, 18),
(200244, NULL, 'SSF141086', NULL, NULL, NULL, NULL, 'Agglutinin HPA-like', NULL, NULL, 31782, 18),
(200245, NULL, 'SSF140129', NULL, NULL, NULL, NULL, 'MxiH-like', NULL, NULL, 36000, 18),
(200246, NULL, 'SSF159800', NULL, NULL, NULL, NULL, 'PrpR receptor domain-like', NULL, NULL, NULL, 18),
(200247, NULL, 'SSF51690', NULL, NULL, NULL, NULL, 'Nicotinate/Quinolinate PRTase C-terminal domain-like', NULL, NULL, 32170, 18),
(200248, NULL, 'SSF75516', NULL, NULL, NULL, NULL, 'Pheromone-binding domain of LuxR-like quorum-sensing transcription factors', NULL, NULL, 34436, 18),
(200249, NULL, 'SSF158997', NULL, NULL, NULL, NULL, 'Trm112p-like', NULL, NULL, NULL, 18),
(200250, NULL, 'SSF46894', NULL, NULL, NULL, NULL, 'C-terminal effector domain of the bipartite response regulators', NULL, NULL, 9490, 18),
(200251, NULL, 'SSF47789', NULL, NULL, NULL, NULL, 'C-terminal domain of RNA polymerase alpha subunit', NULL, NULL, NULL, 18),
(200252, NULL, 'SSF82607', NULL, NULL, NULL, NULL, 'YbaB-like', NULL, NULL, 30850, 18),
(200253, NULL, 'SSF55424', NULL, NULL, NULL, NULL, 'FAD/NAD-linked reductases, dimerisation (C-terminal) domain', NULL, NULL, 12007, 18);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200254, NULL, 'SSF82602', NULL, NULL, NULL, NULL, 'Nuclease A inhibitor (NuiA)', NULL, NULL, 34536, 18),
(200255, NULL, 'SSF54810', NULL, NULL, NULL, NULL, 'GMP synthetase C-terminal dimerisation domain', NULL, NULL, NULL, 18),
(200256, NULL, 'SSF46609', NULL, NULL, NULL, NULL, 'Fe,Mn superoxide dismutase (SOD), N-terminal domain', NULL, NULL, 30199, 18),
(200257, NULL, 'SSF54518', NULL, NULL, NULL, NULL, 'Tubby C-terminal domain-like', NULL, NULL, 24605, 18),
(200258, NULL, 'SSF51621', NULL, NULL, NULL, NULL, 'Phosphoenolpyruvate/pyruvate domain', NULL, NULL, 8192, 18),
(200259, NULL, 'SSF51206', NULL, NULL, NULL, NULL, 'cAMP-binding domain-like', NULL, NULL, 14628, 18),
(200260, NULL, 'SSF141868', NULL, NULL, NULL, NULL, 'EAL domain-like', NULL, NULL, 26295, 18),
(200261, NULL, 'SSF109775', NULL, NULL, NULL, NULL, 'Mannose-6-phosphate receptor binding protein 1 (Tip47), C-terminal domain', NULL, NULL, NULL, 18),
(200262, NULL, 'SSF50939', NULL, NULL, NULL, NULL, 'Sialidases', NULL, NULL, 34335, 18),
(200263, NULL, 'SSF48498', NULL, NULL, NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, NULL, 34141, 18),
(200264, NULL, 'SSF49830', NULL, NULL, NULL, NULL, 'ENV polyprotein, receptor-binding domain', NULL, NULL, 9196, 18),
(200265, NULL, 'SSF161025', NULL, NULL, NULL, NULL, 'Photosystem II 10 kDa phosphoprotein PsbH', NULL, NULL, 30894, 18),
(200266, NULL, 'SSF101690', NULL, NULL, NULL, NULL, 'PAZ domain', NULL, NULL, 35338, 18),
(200267, NULL, 'SSF56558', NULL, NULL, NULL, NULL, 'Baseplate structural protein gp11', NULL, NULL, 32404, 18),
(200268, NULL, 'SSF52255', NULL, NULL, NULL, NULL, 'N5-CAIR mutase (phosphoribosylaminoimidazole carboxylase, PurE)', NULL, NULL, NULL, 18),
(200269, NULL, 'SSF64571', NULL, NULL, NULL, NULL, 'Cellulose docking domain, dockering', NULL, NULL, 10418, 18),
(200270, NULL, 'SSF82544', NULL, NULL, NULL, NULL, 'GckA/TtuD-like', NULL, NULL, NULL, 18),
(200271, NULL, 'SSF143034', NULL, NULL, NULL, NULL, 'L35p-like', NULL, NULL, 31305, 18),
(200272, NULL, 'SSF55811', NULL, NULL, NULL, NULL, 'Nudix', NULL, NULL, 12791, 18),
(200273, NULL, 'SSF101790', NULL, NULL, NULL, NULL, 'Aminomethyltransferase beta-barrel domain', NULL, NULL, 25827, 18),
(200274, NULL, 'SSF140856', NULL, NULL, NULL, NULL, 'USP8 N-terminal domain-like', NULL, NULL, NULL, 18),
(200275, NULL, 'SSF46767', NULL, NULL, NULL, NULL, 'Methylated DNA-protein cysteine methyltransferase, C-terminal domain', NULL, NULL, 32175, 18),
(200276, NULL, 'SSF140478', NULL, NULL, NULL, NULL, 'LemA-like', NULL, NULL, 19804, 18),
(200277, NULL, 'SSF47031', NULL, NULL, NULL, NULL, 'Second domain of FERM', NULL, NULL, 32460, 18),
(200278, NULL, 'SSF52266', NULL, NULL, NULL, NULL, 'SGNH hydrolase', NULL, NULL, NULL, 18),
(200279, NULL, 'SSF54552', NULL, NULL, NULL, NULL, 'Colicin E3 immunity protein', NULL, NULL, 36041, 18),
(200280, NULL, 'SSF140496', NULL, NULL, NULL, NULL, 'HP1531-like', NULL, NULL, 34504, 18),
(200281, NULL, 'SSF101542', NULL, NULL, NULL, NULL, 'Fungal immunomodulatory protein, FIP', NULL, NULL, 30193, 18),
(200282, NULL, 'SSF64356', NULL, NULL, NULL, NULL, 'SNARE-like', NULL, NULL, 9498, 18),
(200283, NULL, 'SSF49384', NULL, NULL, NULL, NULL, 'Carbohydrate-binding domain', NULL, NULL, 8948, 18),
(200284, NULL, 'SSF69287', NULL, NULL, NULL, NULL, 'Urease metallochaperone UreE, N-terminal domain', NULL, NULL, 35791, 18),
(200285, NULL, 'SSF49742', NULL, NULL, NULL, NULL, 'PHM/PNGase F', NULL, NULL, 9290, 18),
(200286, NULL, 'SSF81406', NULL, NULL, NULL, NULL, 'Mitochondrial cytochrome c oxidase subunit IV', NULL, NULL, 33099, 18),
(200287, NULL, 'SSF103515', NULL, NULL, NULL, NULL, 'Autotransporter', NULL, NULL, 34341, 18),
(200288, NULL, 'SSF56266', NULL, NULL, NULL, NULL, 'DmpA/ArgJ-like', NULL, NULL, 11380, 18),
(200289, NULL, 'SSF159203', NULL, NULL, NULL, NULL, 'NifT/FixU-like', NULL, NULL, 19273, 18),
(200290, NULL, 'SSF52317', NULL, NULL, NULL, NULL, 'Class I glutamine amidotransferase-like', NULL, NULL, 26088, 18),
(200291, NULL, 'SSF88697', NULL, NULL, NULL, NULL, 'PUA domain-like', NULL, NULL, 8460, 18);       
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200292, NULL, 'SSF102405', NULL, NULL, NULL, NULL, 'MCP/YpsA-like', NULL, NULL, NULL, 18),
(200293, NULL, 'SSF161045', NULL, NULL, NULL, NULL, 'Cytochrome b559 subunits', NULL, NULL, NULL, 18),
(200294, NULL, 'SSF158745', NULL, NULL, NULL, NULL, 'LanC-like', NULL, NULL, NULL, 18),
(200295, NULL, 'SSF52121', NULL, NULL, NULL, NULL, 'Lumazine synthase', NULL, NULL, 31511, 18),
(200296, NULL, 'SSF75217', NULL, NULL, NULL, NULL, 'alpha/beta knot', NULL, NULL, 28548, 18),
(200297, NULL, 'SSF101546', NULL, NULL, NULL, NULL, 'ASF1-like', NULL, NULL, 34618, 18),
(200298, NULL, 'SSF58064', NULL, NULL, NULL, NULL, 'Influenza hemagglutinin (stalk)', NULL, NULL, NULL, 18),
(200299, NULL, 'SSF51225', NULL, NULL, NULL, NULL, 'Fibre shaft of virus attachment proteins', NULL, NULL, 9843, 18),
(200300, NULL, 'SSF140500', NULL, NULL, NULL, NULL, 'BAS1536-like', NULL, NULL, 35829, 18),
(200301, NULL, 'SSF101288', NULL, NULL, NULL, NULL, 'L27 domain', NULL, NULL, 30952, 18),
(200302, NULL, 'SSF53150', NULL, NULL, NULL, NULL, 'DNA repair protein MutS, domain II', NULL, NULL, 32356, 18),
(200303, NULL, 'SSF56784', NULL, NULL, NULL, NULL, 'HAD-like', NULL, NULL, 35535, 18),
(200304, NULL, 'SSF69099', NULL, NULL, NULL, NULL, 'Ran-GTPase activating protein 1 (RanGAP1), C-terminal domain', NULL, NULL, 34935, 18),
(200305, NULL, 'SSF100895', NULL, NULL, NULL, NULL, 'Kazal-type serine protease inhibitors', NULL, NULL, 31570, 18),
(200306, NULL, 'SSF54680', NULL, NULL, NULL, NULL, 'Pyrimidine nucleoside phosphorylase C-terminal domain', NULL, NULL, 34074, 18),
(200307, NULL, 'SSF64593', NULL, NULL, NULL, NULL, 'Intermediate filament protein, coiled coil region', NULL, NULL, NULL, 18),
(200308, NULL, 'SSF81573', NULL, NULL, NULL, NULL, 'F1F0 ATP synthase subunit B, membrane domain', NULL, NULL, 29026, 18),
(200309, NULL, 'SSF140741', NULL, NULL, NULL, NULL, 'RUN domain-like', NULL, NULL, 35742, 18),
(200310, NULL, 'SSF161029', NULL, NULL, NULL, NULL, 'Photosystem II reaction center protein T, PsbT', NULL, NULL, 35050, 18),
(200311, NULL, 'SSF47986', NULL, NULL, NULL, NULL, 'DEATH domain', NULL, NULL, 9362, 18),
(200312, NULL, 'SSF101887', NULL, NULL, NULL, NULL, 'Apyrase', NULL, NULL, 31577, 18),
(200313, NULL, 'SSF141523', NULL, NULL, NULL, NULL, 'L,D-transpeptidase catalytic domain-like', NULL, NULL, 35113, 18),
(200314, NULL, 'SSF52200', NULL, NULL, NULL, NULL, 'Toll/Interleukin receptor TIR domain', NULL, NULL, 10547, 18),
(200315, NULL, 'SSF55044', NULL, NULL, NULL, NULL, 'TRADD, N-terminal domain', NULL, NULL, 34742, 18),
(200316, NULL, 'SSF88648', NULL, NULL, NULL, NULL, 'Group I dsDNA viruses', NULL, NULL, 18262, 18),
(200317, NULL, 'SSF51703', NULL, NULL, NULL, NULL, 'Cobalamin (vitamin B12)-dependent enzymes', NULL, NULL, 12077, 18),
(200318, NULL, 'SSF49401', NULL, NULL, NULL, NULL, 'Bacterial adhesins', NULL, NULL, 8865, 18),
(200319, NULL, 'SSF48670', NULL, NULL, NULL, NULL, 'Transducin (heterotrimeric G protein), gamma chain', NULL, NULL, 33621, 18),
(200320, NULL, 'SSF140367', NULL, NULL, NULL, NULL, 'Coronavirus NSP7-like', NULL, NULL, 35932, 18),
(200321, NULL, 'SSF46575', NULL, NULL, NULL, NULL, 'DNA polymerase III theta subunit-like', NULL, NULL, 30060, 18),
(200322, NULL, 'SSF52499', NULL, NULL, NULL, NULL, 'Isochorismatase-like hydrolases', NULL, NULL, 35093, 18),
(200323, NULL, 'SSF81730', NULL, NULL, NULL, NULL, 'beta-catenin-interacting protein ICAT', NULL, NULL, 31424, 18),
(200324, NULL, 'SSF48173', NULL, NULL, NULL, NULL, 'Cryptochrome/photolyase FAD-binding domain', NULL, NULL, 36299, 18),
(200325, NULL, 'SSF102645', NULL, NULL, NULL, NULL, 'CoaB-like', NULL, NULL, 21817, 18),
(200326, NULL, 'SSF101999', NULL, NULL, NULL, NULL, 'Trimeric adhesin', NULL, NULL, NULL, 18),
(200327, NULL, 'SSF54423', NULL, NULL, NULL, NULL, 'DsbC/DsbG N-terminal domain-like', NULL, NULL, 6132, 18),
(200328, NULL, 'SSF110087', NULL, NULL, NULL, NULL, 'DR1885-like metal-binding protein', NULL, NULL, 36035, 18),
(200329, NULL, 'SSF49452', NULL, NULL, NULL, NULL, 'Starch-binding domain-like', NULL, NULL, 11719, 18);      
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200330, NULL, 'SSF82171', NULL, NULL, NULL, NULL, 'DPP6 N-terminal domain-like', NULL, NULL, NULL, 18),
(200331, NULL, 'SSF110836', NULL, NULL, NULL, NULL, 'Hypothetical protein SAV1430', NULL, NULL, 33546, 18),
(200332, NULL, 'SSF51395', NULL, NULL, NULL, NULL, 'FMN-linked oxidoreductases', NULL, NULL, NULL, 18),
(200333, NULL, 'SSF141004', NULL, NULL, NULL, NULL, 'RelB-like', NULL, NULL, NULL, 18),
(200334, NULL, 'SSF54843', NULL, NULL, NULL, NULL, 'Ribosomal protein L22', NULL, NULL, 31330, 18),
(200335, NULL, 'SSF161266', NULL, NULL, NULL, NULL, 'Gam-like', NULL, NULL, NULL, 18),
(200336, NULL, 'SSF52042', NULL, NULL, NULL, NULL, 'Ribosomal protein L32e', NULL, NULL, 30495, 18),
(200337, NULL, 'SSF46988', NULL, NULL, NULL, NULL, 'Tubulin chaperone cofactor A', NULL, NULL, 36181, 18),
(200338, NULL, 'SSF54580', NULL, NULL, NULL, NULL, 'Allophycocyanin linker chain (domain)', NULL, NULL, 10862, 18),
(200339, NULL, 'SSF47082', NULL, NULL, NULL, NULL, 'Fertilization protein', NULL, NULL, 12969, 18),
(200340, NULL, 'SSF69593', NULL, NULL, NULL, NULL, 'Glycerol-3-phosphate (1)-acyltransferase', NULL, NULL, NULL, 18),
(200341, NULL, 'SSF159888', NULL, NULL, NULL, NULL, 'YdhG-like', NULL, NULL, NULL, 18),
(200342, NULL, 'SSF103511', NULL, NULL, NULL, NULL, 'Chlorophyll a-b binding protein', NULL, NULL, NULL, 18),
(200343, NULL, 'SSF74982', NULL, NULL, NULL, NULL, 'Small protein B (SmpB)', NULL, NULL, 8072, 18),
(200344, NULL, 'SSF46942', NULL, NULL, NULL, NULL, 'Elongation factor TFIIS domain 2', NULL, NULL, 33762, 18),
(200345, NULL, 'SSF53933', NULL, NULL, NULL, NULL, 'Microbial ribonucleases', NULL, NULL, 12147, 18),
(200346, NULL, 'SSF81736', NULL, NULL, NULL, NULL, 'Group V grass pollen allergen', NULL, NULL, 29619, 18),
(200347, NULL, 'SSF50447', NULL, NULL, NULL, NULL, 'Translation proteins', NULL, NULL, 9883, 18),
(200348, NULL, 'SSF103451', NULL, NULL, NULL, NULL, 'PetN subunit of the cytochrome b6f complex', NULL, NULL, 30827, 18),
(200349, NULL, 'SSF55282', NULL, NULL, NULL, NULL, 'RL5-like', NULL, NULL, 14781, 18),
(200350, NULL, 'SSF161077', NULL, NULL, NULL, NULL, 'Photosystem II antenna protein-like', NULL, NULL, 32770, 18),
(200351, NULL, 'SSF48168', NULL, NULL, NULL, NULL, 'R1 subunit of ribonucleotide reductase, N-terminal domain', NULL, NULL, 8878, 18),
(200352, NULL, 'SSF69652', NULL, NULL, NULL, NULL, 'DNA-binding C-terminal domain of the transcription factor MotA', NULL, NULL, 33813, 18),
(200353, NULL, 'SSF160800', NULL, NULL, NULL, NULL, 'Lp2179-like', NULL, NULL, 7786, 18),
(200354, NULL, 'SSF118251', NULL, NULL, NULL, NULL, 'Variant surface glycoprotein MITAT 1.2, VSG 221, C-terminal domain', NULL, NULL, 26245, 18),
(200355, NULL, 'SSF141678', NULL, NULL, NULL, NULL, 'MAL13P1.257-like', NULL, NULL, NULL, 18),
(200356, NULL, 'SSF54648', NULL, NULL, NULL, NULL, 'DLC', NULL, NULL, 34263, 18),
(200357, NULL, 'SSF90250', NULL, NULL, NULL, NULL, 'Troponin coil-coiled subunits', NULL, NULL, 34573, 18),
(200358, NULL, 'SSF58002', NULL, NULL, NULL, NULL, 'Chicken cartilage matrix protein', NULL, NULL, 30154, 18),
(200359, NULL, 'SSF52075', NULL, NULL, NULL, NULL, 'Outer arm dynein light chain 1', NULL, NULL, NULL, 18),
(200360, NULL, 'SSF110710', NULL, NULL, NULL, NULL, 'TTHA0583/YokD-like', NULL, NULL, 28658, 18),
(200361, NULL, 'SSF101967', NULL, NULL, NULL, NULL, 'Adhesin YadA, collagen-binding domain', NULL, NULL, 9228, 18),
(200362, NULL, 'SSF57501', NULL, NULL, NULL, NULL, 'Cystine-knot cytokines', NULL, NULL, 24716, 18),
(200363, NULL, 'SSF82114', NULL, NULL, NULL, NULL, 'Riboflavin kinase-like', NULL, NULL, 16238, 18),
(200364, NULL, 'SSF158230', NULL, NULL, NULL, NULL, 'PRP4-like', NULL, NULL, 34309, 18),
(200365, NULL, 'SSF57997', NULL, NULL, NULL, NULL, 'Tropomyosin', NULL, NULL, NULL, 18),
(200366, NULL, 'SSF52518', NULL, NULL, NULL, NULL, 'Thiamin diphosphate-binding fold (THDP-binding)', NULL, NULL, 26358, 18),
(200367, NULL, 'SSF50443', NULL, NULL, NULL, NULL, 'FucI/AraA C-terminal domain-like', NULL, NULL, 3959, 18),
(200368, NULL, 'SSF69848', NULL, NULL, NULL, NULL, 'LCCL domain', NULL, NULL, 32955, 18);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200369, NULL, 'SSF160424', NULL, NULL, NULL, NULL, 'BH3703-like', NULL, NULL, 35039, 18),
(200370, NULL, 'SSF160240', NULL, NULL, NULL, NULL, 'Cation efflux protein cytoplasmic domain-like', NULL, NULL, 30387, 18),
(200371, NULL, 'SSF160443', NULL, NULL, NULL, NULL, 'SMR domain-like', NULL, NULL, 32107, 18),
(200372, NULL, 'SSF52972', NULL, NULL, NULL, NULL, 'ITPase-like', NULL, NULL, 25909, 18),
(200373, NULL, 'SSF144266', NULL, NULL, NULL, NULL, 'MPN010-like', NULL, NULL, NULL, 18),
(200374, NULL, 'SSF82051', NULL, NULL, NULL, NULL, 'Obg GTP-binding protein N-terminal domain', NULL, NULL, 34519, 18),
(200375, NULL, 'SSF47240', NULL, NULL, NULL, NULL, 'Ferritin-like', NULL, NULL, 6159, 18),
(200376, NULL, 'SSF159902', NULL, NULL, NULL, NULL, 'PH1570-like', NULL, NULL, NULL, 18),
(200377, NULL, 'SSF54786', NULL, NULL, NULL, NULL, 'YcfA/nrd intein domain', NULL, NULL, NULL, 18),
(200378, NULL, 'SSF54686', NULL, NULL, NULL, NULL, 'Ribosomal protein L16p/L10e', NULL, NULL, 35117, 18),
(200379, NULL, 'SSF48600', NULL, NULL, NULL, NULL, 'Chorismate mutase II', NULL, NULL, 33425, 18),
(200380, NULL, 'SSF46984', NULL, NULL, NULL, NULL, 'Smac/diablo', NULL, NULL, 6201, 18),
(200381, NULL, 'SSF160363', NULL, NULL, NULL, NULL, 'MTH889-like', NULL, NULL, 8926, 18),
(200382, NULL, 'SSF116854', NULL, NULL, NULL, NULL, 'Avirulence protein AvrPto', NULL, NULL, 32719, 18),
(200383, NULL, 'SSF140361', NULL, NULL, NULL, NULL, 'MIT domain-like', NULL, NULL, NULL, 18),
(200384, NULL, 'SSF81342', NULL, NULL, NULL, NULL, 'Transmembrane di-heme cytochromes', NULL, NULL, 7765, 18),
(200385, NULL, 'SSF81563', NULL, NULL, NULL, NULL, 'Photosystem I reaction center subunit X, PsaK', NULL, NULL, 34745, 18),
(200386, NULL, 'SSF140869', NULL, NULL, NULL, NULL, 'GUN4-like', NULL, NULL, 34135, 18),
(200387, NULL, 'SSF109915', NULL, NULL, NULL, NULL, 'Hypothetical protein YhaI', NULL, NULL, 12049, 18),
(200388, NULL, 'SSF111278', NULL, NULL, NULL, NULL, 'SSo0622-like', NULL, NULL, 35144, 18),
(200389, NULL, 'SSF47212', NULL, NULL, NULL, NULL, 'FKBP12-rapamycin-binding domain of FKBP-rapamycin-associated protein (FRAP)', NULL, NULL, 35935, 18),
(200390, NULL, 'SSF141000', NULL, NULL, NULL, NULL, 'Glu-tRNAGln amidotransferase C subunit', NULL, NULL, 35519, 18),
(200391, NULL, 'SSF57247', NULL, NULL, NULL, NULL, 'Bowman-Birk inhibitor, BBI', NULL, NULL, 16873, 18),
(200392, NULL, 'SSF52279', NULL, NULL, NULL, NULL, 'Beta-D-glucan exohydrolase, C-terminal domain', NULL, NULL, 30609, 18),
(200393, NULL, 'SSF57716', NULL, NULL, NULL, NULL, 'Glucocorticoid receptor-like (DNA-binding domain)', NULL, NULL, NULL, 18),
(200394, NULL, 'SSF88688', NULL, NULL, NULL, NULL, 'Families 57/38 glycoside transferase middle domain', NULL, NULL, 24434, 18),
(200395, NULL, 'SSF55008', NULL, NULL, NULL, NULL, 'HMA, heavy metal-associated domain', NULL, NULL, 32692, 18),
(200396, NULL, 'SSF49606', NULL, NULL, NULL, NULL, 'Neurophysin II', NULL, NULL, 29654, 18),
(200397, NULL, 'SSF140570', NULL, NULL, NULL, NULL, 'MukF C-terminal domain-like', NULL, NULL, 31016, 18),
(200398, NULL, 'SSF55083', NULL, NULL, NULL, NULL, '6-hydroxymethyl-7,8-dihydropterin pyrophosphokinase, HPPK', NULL, NULL, 10683, 18),
(200399, NULL, 'SSF143995', NULL, NULL, NULL, NULL, 'AF2331-like', NULL, NULL, 30392, 18),
(200400, NULL, 'SSF118215', NULL, NULL, NULL, NULL, 'Proton glutamate symport protein', NULL, NULL, 30985, 18),
(200401, NULL, 'SSF51645', NULL, NULL, NULL, NULL, 'Malate synthase G', NULL, NULL, 10800, 18),
(200402, NULL, 'SSF52540', NULL, NULL, NULL, NULL, 'P-loop containing nucleoside triphosphate hydrolases', NULL, NULL, 24964, 18),
(200403, NULL, 'SSF56534', NULL, NULL, NULL, NULL, 'Aromatic aminoacid monoxygenases, catalytic and oligomerization domains', NULL, NULL, 30204, 18),
(200404, NULL, 'SSF82936', NULL, NULL, NULL, NULL, 'Apolipoprotein A-II', NULL, NULL, 35210, 18),
(200405, NULL, 'SSF63724', NULL, NULL, NULL, NULL, 'Cytolysin/lectin', NULL, NULL, 8136, 18),
(200406, NULL, 'SSF49749', NULL, NULL, NULL, NULL, 'Group II dsDNA viruses VP', NULL, NULL, 11383, 18);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200407, NULL, 'SSF47027', NULL, NULL, NULL, NULL, 'Acyl-CoA binding protein', NULL, NULL, 34575, 18),
(200408, NULL, 'SSF54585', NULL, NULL, NULL, NULL, 'Cdc48 domain 2-like', NULL, NULL, 26155, 18),
(200409, NULL, 'SSF52113', NULL, NULL, NULL, NULL, 'BRCT domain', NULL, NULL, 30332, 18),
(200410, NULL, 'SSF141562', NULL, NULL, NULL, NULL, 'At5g01610-like', NULL, NULL, 29630, 18),
(200411, NULL, 'SSF88633', NULL, NULL, NULL, NULL, 'Positive stranded ssRNA viruses', NULL, NULL, NULL, 18),
(200412, NULL, 'SSF57667', NULL, NULL, NULL, NULL, 'beta-beta-alpha zinc fingers', NULL, NULL, 32017, 18),
(200413, NULL, 'SSF140731', NULL, NULL, NULL, NULL, 'PA2201 C-terminal domain-like', NULL, NULL, 28543, 18),
(200414, NULL, 'SSF103441', NULL, NULL, NULL, NULL, 'PetM subunit of the cytochrome b6f complex', NULL, NULL, NULL, 18),
(200415, NULL, 'SSF55418', NULL, NULL, NULL, NULL, 'eIF4e-like', NULL, NULL, 16428, 18),
(200416, NULL, 'SSF55144', NULL, NULL, NULL, NULL, 'LigT-like', NULL, NULL, 14541, 18),
(200417, NULL, 'SSF56645', NULL, NULL, NULL, NULL, 'Acyl-CoA dehydrogenase NM domain-like', NULL, NULL, 8000, 18),
(200418, NULL, 'SSF160059', NULL, NULL, NULL, NULL, 'PriA/YqbF domain', NULL, NULL, NULL, 18),
(200419, NULL, 'SSF56801', NULL, NULL, NULL, NULL, 'Acetyl-CoA synthetase-like', NULL, NULL, NULL, 18),
(200420, NULL, 'SSF111352', NULL, NULL, NULL, NULL, 'Ammonium transporter', NULL, NULL, NULL, 18),
(200421, NULL, 'SSF57863', NULL, NULL, NULL, NULL, 'ArfGap/RecO-like zinc finger', NULL, NULL, 34204, 18),
(200422, NULL, 'SSF48690', NULL, NULL, NULL, NULL, 'Epsilon subunit of mitochondrial F1F0-ATP synthase', NULL, NULL, 34602, 18),
(200423, NULL, 'SSF143847', NULL, NULL, NULL, NULL, 'XisI-like', NULL, NULL, 9556, 18),
(200424, NULL, 'SSF69070', NULL, NULL, NULL, NULL, 'Anti-sigma factor AsiA', NULL, NULL, 33777, 18),
(200425, NULL, 'SSF141251', NULL, NULL, NULL, NULL, 'Kinase-associated protein B-like', NULL, NULL, 33698, 18),
(200426, NULL, 'SSF58100', NULL, NULL, NULL, NULL, 'Bacterial hemolysins', NULL, NULL, NULL, 18),
(200427, NULL, 'SSF75471', NULL, NULL, NULL, NULL, 'YhbY-like', NULL, NULL, 26446, 18),
(200428, NULL, 'SSF47836', NULL, NULL, NULL, NULL, 'Retroviral matrix proteins', NULL, NULL, 8820, 18),
(200429, NULL, 'SSF103431', NULL, NULL, NULL, NULL, 'Cytochrome f subunit of the cytochrome b6f complex, transmembrane anchor', NULL, NULL, 11176, 18),
(200430, NULL, 'SSF144015', NULL, NULL, NULL, NULL, 'Peptidoglycan deacetylase N-terminal noncatalytic region', NULL, NULL, NULL, 18),
(200431, NULL, 'SSF141493', NULL, NULL, NULL, NULL, 'Allene oxide cyclase-like', NULL, NULL, 33824, 18),
(200432, NULL, 'SSF55048', NULL, NULL, NULL, NULL, 'Probable ACP-binding domain of malonyl-CoA ACP transacylase', NULL, NULL, 13217, 18),
(200433, NULL, 'SSF58034', NULL, NULL, NULL, NULL, 'Multimerization domain of the phosphoprotein from sendai virus', NULL, NULL, NULL, 18),
(200434, NULL, 'SSF48557', NULL, NULL, NULL, NULL, 'L-aspartase-like', NULL, NULL, 8518, 18),
(200435, NULL, 'SSF82856', NULL, NULL, NULL, NULL, 'L-A virus major coat protein', NULL, NULL, 30263, 18),
(200436, NULL, 'SSF57642', NULL, NULL, NULL, NULL, 'Cholecystokinin A receptor, N-domain', NULL, NULL, NULL, 18),
(200437, NULL, 'SSF100920', NULL, NULL, NULL, NULL, 'Heat shock protein 70kD (HSP70), peptide-binding domain', NULL, NULL, 27166, 18),
(200438, NULL, 'SSF101082', NULL, NULL, NULL, NULL, 'Typo IV secretion system protein TraC', NULL, NULL, NULL, 18),
(200439, NULL, 'SSF55931', NULL, NULL, NULL, NULL, 'Glutamine synthetase/guanido kinase', NULL, NULL, 8249, 18),
(200440, NULL, 'SSF159038', NULL, NULL, NULL, NULL, 'YorP-like', NULL, NULL, 34968, 18),
(200441, NULL, 'SSF51055', NULL, NULL, NULL, NULL, 'Carbohydrate binding domain', NULL, NULL, 33849, 18),
(200442, NULL, 'SSF54631', NULL, NULL, NULL, NULL, 'CBS-domain pair', NULL, NULL, NULL, 18),
(200443, NULL, 'SSF109640', NULL, NULL, NULL, NULL, 'KRAB domain (Kruppel-associated box)', NULL, NULL, 35822, 18),
(200444, NULL, 'SSF160570', NULL, NULL, NULL, NULL, 'YonK-like', NULL, NULL, 34113, 18);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200445, NULL, 'SSF55957', NULL, NULL, NULL, NULL, 'Phosphoglucomutase, C-terminal domain', NULL, NULL, 30974, 18),
(200446, NULL, 'SSF101821', NULL, NULL, NULL, NULL, 'Aminopeptidase/glucanase lid domain', NULL, NULL, NULL, 18),
(200447, NULL, 'SSF52091', NULL, NULL, NULL, NULL, 'SpoIIaa-like', NULL, NULL, 32669, 18),
(200448, NULL, 'SSF50331', NULL, NULL, NULL, NULL, 'MOP-like', NULL, NULL, 9822, 18),
(200449, NULL, 'SSF140657', NULL, NULL, NULL, NULL, 'Hyaluronidase post-catalytic domain-like', NULL, NULL, NULL, 18),
(200450, NULL, 'SSF48239', NULL, NULL, NULL, NULL, 'Terpenoid cyclases/Protein prenyltransferases', NULL, NULL, 8729, 18),
(200451, NULL, 'SSF55040', NULL, NULL, NULL, NULL, 'Molybdenum cofactor biosynthesis protein C, MoaC', NULL, NULL, 35856, 18),
(200452, NULL, 'SSF141452', NULL, NULL, NULL, NULL, 'Hcp1-like', NULL, NULL, 30856, 18),
(200453, NULL, 'SSF56420', NULL, NULL, NULL, NULL, 'Peptide deformylase', NULL, NULL, 30268, 18),
(200454, NULL, 'SSF89260', NULL, NULL, NULL, NULL, 'Collagen-binding domain', NULL, NULL, NULL, 18),
(200455, NULL, 'SSF141130', NULL, NULL, NULL, NULL, 'Acetamidase/Formamidase-like', NULL, NULL, NULL, 18),
(200456, NULL, 'SSF57630', NULL, NULL, NULL, NULL, 'GLA-domain', NULL, NULL, 18313, 18),
(200457, NULL, 'SSF102712', NULL, NULL, NULL, NULL, 'JAB1/MPN domain', NULL, NULL, NULL, 18),
(200458, NULL, 'SSF57879', NULL, NULL, NULL, NULL, 'Zinc domain conserved in yeast copper-regulated transcription factors', NULL, NULL, 31441, 18),
(200459, NULL, 'SSF47857', NULL, NULL, NULL, NULL, 'Apolipophorin-III', NULL, NULL, NULL, 18),
(200460, NULL, 'SSF63882', NULL, NULL, NULL, NULL, 'MoeA N-terminal region -like', NULL, NULL, 36465, 18),
(200461, NULL, 'SSF143477', NULL, NULL, NULL, NULL, 'TM1622-like', NULL, NULL, 26302, 18),
(200462, NULL, 'SSF140482', NULL, NULL, NULL, NULL, 'MAST3 pre-PK domain-like', NULL, NULL, 13896, 18),
(200463, NULL, 'SSF160766', NULL, NULL, NULL, NULL, 'NE1680-like', NULL, NULL, 16607, 18),
(200464, NULL, 'SSF144284', NULL, NULL, NULL, NULL, 'Sec2 N-terminal region', NULL, NULL, NULL, 18),
(200465, NULL, 'SSF49373', NULL, NULL, NULL, NULL, 'Invasin/intimin cell-adhesion fragments', NULL, NULL, 8503, 18),
(200466, NULL, 'SSF82919', NULL, NULL, NULL, NULL, 'Zn-finger domain of Sec23/24', NULL, NULL, 35397, 18),
(200467, NULL, 'SSF81986', NULL, NULL, NULL, NULL, 'Tp47 lipoprotein, middle and C-terminal domains', NULL, NULL, 36452, 18),
(200468, NULL, 'SSF48576', NULL, NULL, NULL, NULL, 'Terpenoid synthases', NULL, NULL, 8941, 18),
(200469, NULL, 'SSF69695', NULL, NULL, NULL, NULL, 'SRP19', NULL, NULL, 35618, 18),
(200470, NULL, 'SSF143560', NULL, NULL, NULL, NULL, 'MK0786-like', NULL, NULL, 30094, 18),
(200471, NULL, 'SSF103063', NULL, NULL, NULL, NULL, 'Hypothetical protein YoaG', NULL, NULL, 33605, 18),
(200472, NULL, 'SSF69765', NULL, NULL, NULL, NULL, 'IpsF-like', NULL, NULL, 33562, 18),
(200473, NULL, 'SSF51092', NULL, NULL, NULL, NULL, 'Vitelline membrane outer protein-I (VMO-I)', NULL, NULL, 34175, 18),
(200474, NULL, 'SSF101912', NULL, NULL, NULL, NULL, 'Sema domain', NULL, NULL, 30403, 18),
(200475, NULL, 'SSF143885', NULL, NULL, NULL, NULL, 'RGC domain-like', NULL, NULL, NULL, 18),
(200476, NULL, 'SSF143985', NULL, NULL, NULL, NULL, 'L,D-transpeptidase pre-catalytic domain-like', NULL, NULL, 35125, 18),
(200477, NULL, 'SSF142338', NULL, NULL, NULL, NULL, 'CofD-like', NULL, NULL, 35135, 18),
(200478, NULL, 'SSF55464', NULL, NULL, NULL, NULL, 'Origin of replication-binding domain, RBD-like', NULL, NULL, NULL, 18),
(200479, NULL, 'SSF161111', NULL, NULL, NULL, NULL, 'Cation efflux protein transmembrane domain-like', NULL, NULL, 26432, 18),
(200480, NULL, 'SSF101173', NULL, NULL, NULL, NULL, 'Docking domain B of the erythromycin polyketide synthase (DEBS)', NULL, NULL, 34190, 18),
(200481, NULL, 'SSF89069', NULL, NULL, NULL, NULL, 'N-terminal, cytoplasmic domain of anti-sigmaE factor RseA', NULL, NULL, 30654, 18),
(200482, NULL, 'SSF111249', NULL, NULL, NULL, NULL, 'Sulfolobus fructose-1,6-bisphosphatase-like', NULL, NULL, 35017, 18);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200483, NULL, 'SSF55608', NULL, NULL, NULL, NULL, 'Homing endonucleases', NULL, NULL, 25502, 18),
(200484, NULL, 'SSF116922', NULL, NULL, NULL, NULL, 'YugE-like', NULL, NULL, 15815, 18),
(200485, NULL, 'SSF48439', NULL, NULL, NULL, NULL, 'Protein prenylyltransferase', NULL, NULL, NULL, 18),
(200486, NULL, 'SSF103446', NULL, NULL, NULL, NULL, 'PetG subunit of the cytochrome b6f complex', NULL, NULL, 29794, 18),
(200487, NULL, 'SSF53850', NULL, NULL, NULL, NULL, 'Periplasmic binding protein-like II', NULL, NULL, NULL, 18),
(200488, NULL, 'SSF49695', NULL, NULL, NULL, NULL, 'gamma-Crystallin-like', NULL, NULL, 8179, 18),
(200489, NULL, 'SSF64307', NULL, NULL, NULL, NULL, 'SirA-like', NULL, NULL, 30766, 18),
(200490, NULL, 'SSF101494', NULL, NULL, NULL, NULL, 'Stathmin', NULL, NULL, 32523, 18),
(200491, NULL, 'SSF158573', NULL, NULL, NULL, NULL, 'GINS helical bundle-like', NULL, NULL, 35927, 18),
(200492, NULL, 'SSF56235', NULL, NULL, NULL, NULL, 'N-terminal nucleophile aminohydrolases (Ntn hydrolases)', NULL, NULL, 25552, 18),
(200493, NULL, 'SSF101257', NULL, NULL, NULL, NULL, 'Flavivirus capsid protein C', NULL, NULL, 34303, 18),
(200494, NULL, 'SSF160467', NULL, NULL, NULL, NULL, 'PH0987 N-terminal domain-like', NULL, NULL, NULL, 18),
(200495, NULL, 'SSF117892', NULL, NULL, NULL, NULL, 'Band 7/SPFH domain', NULL, NULL, 29940, 18),
(200496, NULL, 'SSF55831', NULL, NULL, NULL, NULL, 'Thymidylate synthase/dCMP hydroxymethylase', NULL, NULL, 35120, 18),
(200497, NULL, 'SSF47798', NULL, NULL, NULL, NULL, 'Barrier-to-autointegration factor, BAF', NULL, NULL, 30024, 18),
(200498, NULL, 'SSF158974', NULL, NULL, NULL, NULL, 'WSSV envelope protein-like', NULL, NULL, 36138, 18),
(200499, NULL, 'SSF63848', NULL, NULL, NULL, NULL, 'Cell-division inhibitor MinC, C-terminal domain', NULL, NULL, 30801, 18),
(200500, NULL, 'SSF47699', NULL, NULL, NULL, NULL, 'Bifunctional inhibitor/lipid-transfer protein/seed storage 2S albumin', NULL, NULL, 33816, 18),
(200501, NULL, 'SSF81419', NULL, NULL, NULL, NULL, 'Mitochondrial cytochrome c oxidase subunit VIIa', NULL, NULL, 36347, 18),
(200502, NULL, 'SSF82046', NULL, NULL, NULL, NULL, 'Viral chemokine binding protein m3', NULL, NULL, 30293, 18),
(200503, NULL, 'SSF63380', NULL, NULL, NULL, NULL, 'Riboflavin synthase domain-like', NULL, NULL, 19365, 18),
(200504, NULL, 'SSF101283', NULL, NULL, NULL, NULL, 'GRIP domain', NULL, NULL, NULL, 18),
(200505, NULL, 'SSF53474', NULL, NULL, NULL, NULL, 'alpha/beta-Hydrolases', NULL, NULL, 26387, 18),
(200506, NULL, 'SSF55961', NULL, NULL, NULL, NULL, 'Bet v1-like', NULL, NULL, NULL, 18),
(200507, NULL, 'SSF55797', NULL, NULL, NULL, NULL, 'PR-1-like', NULL, NULL, 7875, 18),
(200508, NULL, 'SSF140121', NULL, NULL, NULL, NULL, 'SPy1572-like', NULL, NULL, 29578, 18),
(200509, NULL, 'SSF47045', NULL, NULL, NULL, NULL, 'RAP domain-like', NULL, NULL, 30490, 18),
(200510, NULL, 'SSF160631', NULL, NULL, NULL, NULL, 'SMI1/KNR4-like', NULL, NULL, 33360, 18),
(200511, NULL, 'SSF103196', NULL, NULL, NULL, NULL, 'Roadblock/LC7 domain', NULL, NULL, NULL, 18),
(200512, NULL, 'SSF57802', NULL, NULL, NULL, NULL, 'Rubredoxin-like', NULL, NULL, NULL, 18),
(200513, NULL, 'SSF56519', NULL, NULL, NULL, NULL, 'Penicillin binding protein dimerisation domain', NULL, NULL, 36116, 18),
(200514, NULL, 'SSF144276', NULL, NULL, NULL, NULL, 'Heterotrimerisation domain of extracellular hemoglobin linker subunits', NULL, NULL, 34656, 18),
(200515, NULL, 'SSF102588', NULL, NULL, NULL, NULL, 'LmbE-like', NULL, NULL, 19095, 18),
(200516, NULL, 'SSF75098', NULL, NULL, NULL, NULL, 'Monomethylamine methyltransferase MtmB', NULL, NULL, 32161, 18),
(200517, NULL, 'SSF89919', NULL, NULL, NULL, NULL, 'Ribosome-binding factor A, RbfA', NULL, NULL, 17669, 18),
(200518, NULL, 'SSF81415', NULL, NULL, NULL, NULL, 'Mitochondrial cytochrome c oxidase subunit VIc', NULL, NULL, 31992, 18),
(200519, NULL, 'SSF46458', NULL, NULL, NULL, NULL, 'Globin-like', NULL, NULL, 6432, 18),
(200520, NULL, 'SSF55486', NULL, NULL, NULL, NULL, 'Metalloproteases ("zincins"), catalytic domain', NULL, NULL, NULL, 18);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200521, NULL, 'SSF49854', NULL, NULL, NULL, NULL, 'Spermadhesin, CUB domain', NULL, NULL, 19957, 18),
(200522, NULL, 'SSF47724', NULL, NULL, NULL, NULL, 'Domain of early E2A DNA-binding protein, ADDBP', NULL, NULL, 35227, 18),
(200523, NULL, 'SSF81995', NULL, NULL, NULL, NULL, 'beta-sandwich domain of Sec23/24', NULL, NULL, NULL, 18),
(200524, NULL, 'SSF74853', NULL, NULL, NULL, NULL, 'Lamin A/C globular tail domain', NULL, NULL, 30329, 18),
(200525, NULL, 'SSF47781', NULL, NULL, NULL, NULL, 'RuvA domain 2-like', NULL, NULL, 8867, 18),
(200526, NULL, 'SSF101596', NULL, NULL, NULL, NULL, 'Dextranase, N-terminal domain', NULL, NULL, 25298, 18),
(200527, NULL, 'SSF48345', NULL, NULL, NULL, NULL, 'A virus capsid protein alpha-helical domain', NULL, NULL, 8638, 18),
(200528, NULL, 'SSF49313', NULL, NULL, NULL, NULL, 'Cadherin-like', NULL, NULL, 8322, 18),
(200529, NULL, 'SSF110014', NULL, NULL, NULL, NULL, 'Her-1', NULL, NULL, 30009, 18),
(200530, NULL, 'SSF81277', NULL, NULL, NULL, NULL, 'C-terminal domain of mollusc hemocyanin', NULL, NULL, 34453, 18),
(200531, NULL, 'SSF101697', NULL, NULL, NULL, NULL, 'Hypothetical protein YfhH', NULL, NULL, 34155, 18),
(200532, NULL, 'SSF55594', NULL, NULL, NULL, NULL, 'HPr-like', NULL, NULL, 2461, 18),
(200533, NULL, 'SSF143597', NULL, NULL, NULL, NULL, 'YojJ-like', NULL, NULL, 30556, 18),
(200534, NULL, 'SSF82549', NULL, NULL, NULL, NULL, 'DAK1/DegV-like', NULL, NULL, NULL, 18),
(200535, NULL, 'SSF81872', NULL, NULL, NULL, NULL, 'BRCA2 helical domain', NULL, NULL, 34344, 18),
(200536, NULL, 'SSF55200', NULL, NULL, NULL, NULL, 'Translation initiation factor IF3, C-terminal domain', NULL, NULL, 36082, 18),
(200537, NULL, 'SSF143990', NULL, NULL, NULL, NULL, 'YbiA-like', NULL, NULL, 32480, 18),
(200538, NULL, 'SSF63433', NULL, NULL, NULL, NULL, 'Fumarylacetoacetate hydrolase, FAH, N-terminal domain', NULL, NULL, 33842, 18),
(200539, NULL, 'SSF102741', NULL, NULL, NULL, NULL, 'Obg GTP-binding protein C-terminal domain', NULL, NULL, 30358, 18),
(200540, NULL, 'SSF47672', NULL, NULL, NULL, NULL, 'Transferrin receptor-like dimerisation domain', NULL, NULL, 34609, 18),
(200541, NULL, 'SSF51274', NULL, NULL, NULL, NULL, 'Head decoration protein D (gpD, major capsid protein D)', NULL, NULL, 33285, 18),
(200542, NULL, 'SSF56959', NULL, NULL, NULL, NULL, 'Leukocidin-like', NULL, NULL, 34197, 18),
(200543, NULL, 'SSF50324', NULL, NULL, NULL, NULL, 'Inorganic pyrophosphatase', NULL, NULL, 30710, 18),
(200544, NULL, 'SSF55205', NULL, NULL, NULL, NULL, 'EPT/RTPC-like', NULL, NULL, 8043, 18),
(200545, NULL, 'SSF49777', NULL, NULL, NULL, NULL, 'PEBP-like', NULL, NULL, 30051, 18),
(200546, NULL, 'SSF143081', NULL, NULL, NULL, NULL, 'BB1717-like', NULL, NULL, 35626, 18),
(200547, NULL, 'SSF160761', NULL, NULL, NULL, NULL, 'TTHC002-like', NULL, NULL, 34184, 18),
(200548, NULL, 'SSF55637', NULL, NULL, NULL, NULL, 'Cell cycle regulatory proteins', NULL, NULL, 30816, 18),
(200549, NULL, 'SSF140670', NULL, NULL, NULL, NULL, 'YoaC-like', NULL, NULL, 34774, 18),
(200550, NULL, 'SSF51269', NULL, NULL, NULL, NULL, 'AFP III-like domain', NULL, NULL, 34662, 18),
(200551, NULL, 'SSF158949', NULL, NULL, NULL, NULL, 'Smr-associated domain-like', NULL, NULL, 36152, 18),
(200552, NULL, 'SSF48056', NULL, NULL, NULL, NULL, 'Di-copper centre-containing domain', NULL, NULL, 8619, 18),
(200553, NULL, 'SSF48034', NULL, NULL, NULL, NULL, 'Guanido kinase N-terminal domain', NULL, NULL, 36472, 18),
(200554, NULL, 'SSF63446', NULL, NULL, NULL, NULL, 'Type I dockerin domain', NULL, NULL, 34443, 18),
(200555, NULL, 'SSF63840', NULL, NULL, NULL, NULL, 'Ribonuclease domain of colicin E3', NULL, NULL, 34880, 18),
(200556, NULL, 'SSF49441', NULL, NULL, NULL, NULL, 'Cytochrome f, large domain', NULL, NULL, 30230, 18),
(200557, NULL, 'SSF63418', NULL, NULL, NULL, NULL, 'MurE/MurF N-terminal domain', NULL, NULL, 12464, 18),
(200558, NULL, 'SSF69903', NULL, NULL, NULL, NULL, 'NSP3 homodimer', NULL, NULL, 35138, 18),
(200559, NULL, 'SSF53383', NULL, NULL, NULL, NULL, 'PLP-dependent transferases', NULL, NULL, 7884, 18);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200560, NULL, 'SSF103365', NULL, NULL, NULL, NULL, 'Hypothetical protein PH1602', NULL, NULL, 29384, 18),
(200561, NULL, 'SSF144206', NULL, NULL, NULL, NULL, 'NOB1 zinc finger-like', NULL, NULL, 34056, 18),
(200562, NULL, 'SSF55154', NULL, NULL, NULL, NULL, 'CYTH-like phosphatases', NULL, NULL, 31644, 18),
(200563, NULL, 'SSF109728', NULL, NULL, NULL, NULL, 'Hypothetical protein AF0491, middle domain', NULL, NULL, 31787, 18),
(200564, NULL, 'SSF100897', NULL, NULL, NULL, NULL, 'Plant proteinase inhibitors', NULL, NULL, NULL, 18),
(200565, NULL, 'SSF103111', NULL, NULL, NULL, NULL, 'Activator of Hsp90 ATPase, Aha1', NULL, NULL, 30385, 18),
(200566, NULL, 'SSF101478', NULL, NULL, NULL, NULL, 'ADP-ribosylglycohydrolase', NULL, NULL, 34354, 18),
(200567, NULL, 'SSF58091', NULL, NULL, NULL, NULL, 'Clostridium neurotoxins, "coiled-coil" domain', NULL, NULL, 31382, 18),
(200568, NULL, 'SSF89957', NULL, NULL, NULL, NULL, 'MTH1187/YkoF-like', NULL, NULL, 28262, 18),
(200569, NULL, 'SSF51278', NULL, NULL, NULL, NULL, 'Urease, beta-subunit', NULL, NULL, 30693, 18),
(200570, NULL, 'SSF90112', NULL, NULL, NULL, NULL, 'Neurotransmitter-gated ion-channel transmembrane pore', NULL, NULL, 34569, 18),
(200571, NULL, 'SSF56918', NULL, NULL, NULL, NULL, 'Light-harvesting complex subunits', NULL, NULL, 6607, 18),
(200572, NULL, 'SSF57798', NULL, NULL, NULL, NULL, 'Casein kinase II beta subunit', NULL, NULL, 19755, 18),
(200573, NULL, 'SSF160272', NULL, NULL, NULL, NULL, 'Shew3726-like', NULL, NULL, 31702, 18),
(200574, NULL, 'SSF55874', NULL, NULL, NULL, NULL, 'ATPase domain of HSP90 chaperone/DNA topoisomerase II/histidine kinase', NULL, NULL, 30749, 18),
(200575, NULL, 'SSF52728', NULL, NULL, NULL, NULL, 'PTS IIb component', NULL, NULL, 30813, 18),
(200576, NULL, 'SSF110916', NULL, NULL, NULL, NULL, 'Peptidyl-tRNA hydrolase domain-like', NULL, NULL, NULL, 18),
(200577, NULL, 'SSF102198', NULL, NULL, NULL, NULL, 'Putative cyclase', NULL, NULL, 35936, 18),
(200578, NULL, 'SSF74877', NULL, NULL, NULL, NULL, 'Major surface antigen p30, SAG1', NULL, NULL, 34520, 18),
(200579, NULL, 'SSF140612', NULL, NULL, NULL, NULL, 'EB1 dimerisation domain-like', NULL, NULL, 36455, 18),
(200580, NULL, 'SSF46911', NULL, NULL, NULL, NULL, 'Ribosomal protein S18', NULL, NULL, 30825, 18),
(200581, NULL, 'SSF101386', NULL, NULL, NULL, NULL, 'all-alpha NTP pyrophosphatases', NULL, NULL, NULL, 18),
(200582, NULL, 'SSF56796', NULL, NULL, NULL, NULL, 'Dehydroquinate synthase-like', NULL, NULL, NULL, 18),
(200583, NULL, 'SSF55895', NULL, NULL, NULL, NULL, 'Ribonuclease Rh-like', NULL, NULL, 30535, 18),
(200584, NULL, 'SSF48264', NULL, NULL, NULL, NULL, 'Cytochrome P450', NULL, NULL, 31273, 18),
(200585, NULL, 'SSF50242', NULL, NULL, NULL, NULL, 'TIMP-like', NULL, NULL, 9863, 18),
(200586, NULL, 'SSF47216', NULL, NULL, NULL, NULL, 'Proteasome activator', NULL, NULL, 31679, 18),
(200587, NULL, 'SSF118375', NULL, NULL, NULL, NULL, 'Synuclein', NULL, NULL, NULL, 18),
(200588, NULL, 'SSF109635', NULL, NULL, NULL, NULL, 'DnaK suppressor protein DksA, alpha-hairpin domain', NULL, NULL, 34420, 18),
(200589, NULL, 'SSF55604', NULL, NULL, NULL, NULL, 'Glucose permease domain IIB', NULL, NULL, 30886, 18),
(200590, NULL, 'SSF111379', NULL, NULL, NULL, NULL, 'VP4 membrane interaction domain', NULL, NULL, 34339, 18),
(200591, NULL, 'SSF56194', NULL, NULL, NULL, NULL, 'Uridine diphospho-N-Acetylenolpyruvylglucosamine reductase, MurB, C-terminal domain', NULL, NULL, 29051, 18),
(200592, NULL, 'SSF57615', NULL, NULL, NULL, NULL, 'Type X cellulose binding domain, CBDX', NULL, NULL, 36183, 18),
(200593, NULL, 'SSF64383', NULL, NULL, NULL, NULL, 'Cell-division protein ZipA, C-terminal domain', NULL, NULL, 34511, 18),
(200594, NULL, 'SSF161055', NULL, NULL, NULL, NULL, 'PsbZ-like', NULL, NULL, 32551, 18),
(200595, NULL, 'SSF101262', NULL, NULL, NULL, NULL, 'Methenyltetrahydrofolate cyclohydrolase-like', NULL, NULL, 35276, 18),
(200596, NULL, 'SSF57598', NULL, NULL, NULL, NULL, 'Antifungal protein (AGAFP)', NULL, NULL, 21966, 18),
(200597, NULL, 'SSF109755', NULL, NULL, NULL, NULL, 'PhoU-like', NULL, NULL, NULL, 18);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200598, NULL, 'SSF160935', NULL, NULL, NULL, NULL, 'VPA0735-like', NULL, NULL, NULL, 18),
(200599, NULL, 'SSF143548', NULL, NULL, NULL, NULL, 'Serine metabolism enzymes domain', NULL, NULL, 25826, 18),
(200600, NULL, 'SSF46924', NULL, NULL, NULL, NULL, 'RNA polymerase subunit RPB10', NULL, NULL, 20925, 18),
(200601, NULL, 'SSF140376', NULL, NULL, NULL, NULL, 'ChaB-like', NULL, NULL, 35568, 18),
(200602, NULL, 'SSF56770', NULL, NULL, NULL, NULL, 'HydA/Nqo6-like', NULL, NULL, NULL, 18),
(200603, NULL, 'SSF103165', NULL, NULL, NULL, NULL, 'Ta1353-like', NULL, NULL, 34872, 18),
(200604, NULL, 'SSF103464', NULL, NULL, NULL, NULL, 'Oligosaccharyltransferase subunit ost4p', NULL, NULL, 30237, 18),
(200605, NULL, 'SSF140486', NULL, NULL, NULL, NULL, 'PA2201 N-terminal domain-like', NULL, NULL, 24334, 18),
(200606, NULL, 'SSF55648', NULL, NULL, NULL, NULL, 'beta-lactamase-inhibitor protein, BLIP', NULL, NULL, 20588, 18),
(200607, NULL, 'SSF52161', NULL, NULL, NULL, NULL, 'Ribosomal protein L13', NULL, NULL, 30847, 18),
(200608, NULL, 'SSF55681', NULL, NULL, NULL, NULL, 'Class II aaRS and biotin synthetases', NULL, NULL, 39869, 18),
(200609, NULL, 'SSF103088', NULL, NULL, NULL, NULL, 'OmpA-like', NULL, NULL, 34756, 18),
(200610, NULL, 'SSF54529', NULL, NULL, NULL, NULL, 'Mitochondrial glycoprotein MAM33-like', NULL, NULL, 35866, 18),
(200611, NULL, 'SSF69737', NULL, NULL, NULL, NULL, 'Urease metallochaperone UreE, C-terminal domain', NULL, NULL, NULL, 18),
(200612, NULL, 'SSF49319', NULL, NULL, NULL, NULL, 'Actinoxanthin-like', NULL, NULL, 24845, 18),
(200613, NULL, 'SSF52768', NULL, NULL, NULL, NULL, 'Arginase/deacetylase', NULL, NULL, 11733, 18),
(200614, NULL, 'SSF55221', NULL, NULL, NULL, NULL, 'Yeast killer toxins', NULL, NULL, 13698, 18),
(200615, NULL, 'SSF52047', NULL, NULL, NULL, NULL, 'RNI-like', NULL, NULL, NULL, 18),
(200616, NULL, 'SSF158235', NULL, NULL, NULL, NULL, 'SOCS box-like', NULL, NULL, 29417, 18),
(200617, NULL, 'SSF57424', NULL, NULL, NULL, NULL, 'LDL receptor-like module', NULL, NULL, 35926, 18),
(200618, NULL, 'SSF53271', NULL, NULL, NULL, NULL, 'PRTase-like', NULL, NULL, 26301, 18),
(200619, NULL, 'SSF81585', NULL, NULL, NULL, NULL, 'PsbU/PolX domain-like', NULL, NULL, NULL, 18),
(200620, NULL, 'SSF143592', NULL, NULL, NULL, NULL, 'TTHA1528-like', NULL, NULL, 30156, 18),
(200621, NULL, 'SSF144091', NULL, NULL, NULL, NULL, 'Rhomboid-like', NULL, NULL, 27021, 18),
(200622, NULL, 'SSF50044', NULL, NULL, NULL, NULL, 'SH3-domain', NULL, NULL, 29094, 18),
(200623, NULL, 'SSF160477', NULL, NULL, NULL, NULL, 'PA1123-like', NULL, NULL, 36038, 18),
(200624, NULL, 'SSF49472', NULL, NULL, NULL, NULL, 'Transthyretin (synonym: prealbumin)', NULL, NULL, 30368, 18),
(200625, NULL, 'SSF51730', NULL, NULL, NULL, NULL, 'FAD-linked oxidoreductase', NULL, NULL, 28636, 18),
(200626, NULL, 'SSF143875', NULL, NULL, NULL, NULL, 'ERH-like', NULL, NULL, 19283, 18),
(200627, NULL, 'SSF88798', NULL, NULL, NULL, NULL, 'N-terminal, heterodimerisation domain of RBP7 (RpoE)', NULL, NULL, 30851, 18),
(200628, NULL, 'SSF49590', NULL, NULL, NULL, NULL, 'PHL pollen allergen', NULL, NULL, 34578, 18),
(200629, NULL, 'SSF47188', NULL, NULL, NULL, NULL, 'Hemerythrin-like', NULL, NULL, 14167, 18),
(200630, NULL, 'SSF143870', NULL, NULL, NULL, NULL, 'PF0523-like', NULL, NULL, 33888, 18),
(200631, NULL, 'SSF160374', NULL, NULL, NULL, NULL, 'RplX-like', NULL, NULL, NULL, 18),
(200632, NULL, 'SSF55239', NULL, NULL, NULL, NULL, 'RuBisCO, small subunit', NULL, NULL, 35262, 18),
(200633, NULL, 'SSF82317', NULL, NULL, NULL, NULL, 'Swiveling domain of dehydratase reactivase alpha subunit', NULL, NULL, 25196, 18),
(200634, NULL, 'SSF48674', NULL, NULL, NULL, NULL, 'Fe-only hydrogenase smaller subunit', NULL, NULL, 8993, 18),
(200635, NULL, 'SSF82910', NULL, NULL, NULL, NULL, 'Apical membrane antigen 1', NULL, NULL, 12243, 18),
(200636, NULL, 'SSF52777', NULL, NULL, NULL, NULL, 'CoA-dependent acyltransferases', NULL, NULL, NULL, 18),
(200637, NULL, 'SSF55804', NULL, NULL, NULL, NULL, 'Phoshotransferase/anion transport protein', NULL, NULL, 12359, 18);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200638, NULL, 'SSF101116', NULL, NULL, NULL, NULL, 'Flagellar export chaperone FliS', NULL, NULL, 35515, 18),
(200639, NULL, 'SSF55545', NULL, NULL, NULL, NULL, 'beta-N-acetylhexosaminidase-like domain', NULL, NULL, 24362, 18),
(200640, NULL, 'SSF53182', NULL, NULL, NULL, NULL, 'Pyrrolidone carboxyl peptidase (pyroglutamate aminopeptidase)', NULL, NULL, 34094, 18),
(200641, NULL, 'SSF69754', NULL, NULL, NULL, NULL, 'Ribosome binding protein Y (YfiA homologue)', NULL, NULL, 33930, 18),
(200642, NULL, 'SSF81606', NULL, NULL, NULL, NULL, 'PP2C-like', NULL, NULL, 30946, 18),
(200643, NULL, 'SSF48445', NULL, NULL, NULL, NULL, '14-3-3 protein', NULL, NULL, 30153, 18),
(200644, NULL, 'SSF53448', NULL, NULL, NULL, NULL, 'Nucleotide-diphospho-sugar transferases', NULL, NULL, 25920, 18),
(200645, NULL, 'SSF54060', NULL, NULL, NULL, NULL, 'His-Me finger endonucleases', NULL, NULL, 38973, 18),
(200646, NULL, 'SSF111064', NULL, NULL, NULL, NULL, 'Hut operon positive regulatory protein HutP', NULL, NULL, 33631, 18),
(200647, NULL, 'SSF117773', NULL, NULL, NULL, NULL, 'GTF2I-like repeat', NULL, NULL, 33308, 18),
(200648, NULL, 'SSF103661', NULL, NULL, NULL, NULL, 'Proline/betaine transporter ProP, C-terminal cytoplasmic domain', NULL, NULL, 34397, 18),
(200649, NULL, 'SSF161065', NULL, NULL, NULL, NULL, 'ATP synthase D chain-like', NULL, NULL, 30552, 18),
(200650, NULL, 'SSF56931', NULL, NULL, NULL, NULL, 'Outer membrane phospholipase A (OMPLA)', NULL, NULL, 36029, 18),
(200651, NULL, 'SSF69796', NULL, NULL, NULL, NULL, 'Thymidylate synthase-complementing protein Thy1', NULL, NULL, 29862, 18),
(200652, NULL, 'SSF52309', NULL, NULL, NULL, NULL, 'N-(deoxy)ribosyltransferase-like', NULL, NULL, NULL, 18),
(200653, NULL, 'SSF64268', NULL, NULL, NULL, NULL, 'PX domain', NULL, NULL, 30599, 18),
(200654, NULL, 'SSF50969', NULL, NULL, NULL, NULL, 'YVTN repeat-like/Quinoprotein amine dehydrogenase', NULL, NULL, 9170, 18),
(200655, NULL, 'SSF75620', NULL, NULL, NULL, NULL, 'Release factor', NULL, NULL, 39415, 18),
(200656, NULL, 'SSF101756', NULL, NULL, NULL, NULL, 'Hypothetical protein YgiW', NULL, NULL, 34156, 18),
(200657, NULL, 'SSF53328', NULL, NULL, NULL, NULL, 'Formyltransferase', NULL, NULL, 31809, 18),
(200658, NULL, 'SSF82653', NULL, NULL, NULL, NULL, 'Probable GTPase Der, C-terminal domain', NULL, NULL, NULL, 18),
(200659, NULL, 'SSF110304', NULL, NULL, NULL, NULL, 'Coronavirus RNA-binding domain', NULL, NULL, 35850, 18),
(200660, NULL, 'SSF69819', NULL, NULL, NULL, NULL, 'MTH1598-like', NULL, NULL, 30173, 18),
(200661, NULL, 'SSF47380', NULL, NULL, NULL, NULL, 'ROP protein', NULL, NULL, 17990, 18),
(200662, NULL, 'SSF48613', NULL, NULL, NULL, NULL, 'Heme oxygenase-like', NULL, NULL, 9060, 18),
(200663, NULL, 'SSF158837', NULL, NULL, NULL, NULL, 'AGR C 984p-like', NULL, NULL, 15916, 18),
(200664, NULL, 'SSF103456', NULL, NULL, NULL, NULL, 'Preprotein translocase SecE subunit', NULL, NULL, 16181, 18),
(200665, NULL, 'SSF110857', NULL, NULL, NULL, NULL, 'Gamma-glutamyl cyclotransferase-like', NULL, NULL, 34228, 18),
(200666, NULL, 'SSF160980', NULL, NULL, NULL, NULL, 'SSO1389-like', NULL, NULL, NULL, 18),
(200667, NULL, 'SSF49265', NULL, NULL, NULL, NULL, 'Fibronectin type III', NULL, NULL, 35598, 18),
(200668, NULL, 'SSF48050', NULL, NULL, NULL, NULL, 'Hemocyanin, N-terminal domain', NULL, NULL, 34355, 18),
(200669, NULL, 'SSF160904', NULL, NULL, NULL, NULL, 'Jann2411-like', NULL, NULL, 15813, 18),
(200670, NULL, 'SSF48435', NULL, NULL, NULL, NULL, 'Bacterial muramidases', NULL, NULL, 8985, 18),
(200671, NULL, 'SSF69179', NULL, NULL, NULL, NULL, 'Integrin domains', NULL, NULL, 29468, 18),
(200672, NULL, 'SSF55826', NULL, NULL, NULL, NULL, 'YbaK/ProRS associated domain', NULL, NULL, 34813, 18),
(200673, NULL, 'SSF52733', NULL, NULL, NULL, NULL, 'Nicotinate mononucleotide:5,6-dimethylbenzimidazole phosphoribosyltransferase (CobT)', NULL, NULL, 35252, 18),
(200674, NULL, 'SSF101156', NULL, NULL, NULL, NULL, 'Nonstructural protein ns2, Nep, M1-binding domain', NULL, NULL, NULL, 18),
(200675, NULL, 'SSF50621', NULL, NULL, NULL, NULL, 'Alanine racemase C-terminal domain-like', NULL, NULL, 9596, 18);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200676, NULL, 'SSF143243', NULL, NULL, NULL, NULL, 'Nqo5-like', NULL, NULL, 29034, 18),
(200677, NULL, 'SSF110221', NULL, NULL, NULL, NULL, 'AbfB domain', NULL, NULL, 36203, 18),
(200678, NULL, 'SSF51344', NULL, NULL, NULL, NULL, 'Epsilon subunit of F1F0-ATP synthase N-terminal domain', NULL, NULL, 36185, 18),
(200679, NULL, 'SSF52029', NULL, NULL, NULL, NULL, 'GroEL apical domain-like', NULL, NULL, 26401, 18),
(200680, NULL, 'SSF89447', NULL, NULL, NULL, NULL, 'AbrB/MazE/MraZ-like', NULL, NULL, 32135, 18),
(200681, NULL, 'SSF81502', NULL, NULL, NULL, NULL, 'ISP transmembrane anchor', NULL, NULL, NULL, 18),
(200682, NULL, 'SSF53743', NULL, NULL, NULL, NULL, 'FucI/AraA N-terminal and middle domains', NULL, NULL, 9528, 18),
(200683, NULL, 'SSF56548', NULL, NULL, NULL, NULL, 'Conserved core of transcriptional regulatory protein vp16', NULL, NULL, 36176, 18),
(200684, NULL, 'SSF52425', NULL, NULL, NULL, NULL, 'Cryptochrome/photolyase, N-terminal domain', NULL, NULL, 30977, 18),
(200685, NULL, 'SSF57953', NULL, NULL, NULL, NULL, 'Trimerization domain of TRAF', NULL, NULL, NULL, 18),
(200686, NULL, 'SSF55729', NULL, NULL, NULL, NULL, 'Acyl-CoA N-acyltransferases (Nat)', NULL, NULL, 12279, 18),
(200687, NULL, 'SSF54416', NULL, NULL, NULL, NULL, 'Amine oxidase N-terminal region', NULL, NULL, 12106, 18),
(200688, NULL, 'SSF47113', NULL, NULL, NULL, NULL, 'Histone-fold', NULL, NULL, 6479, 18),
(200689, NULL, 'SSF103247', NULL, NULL, NULL, NULL, 'TT1751-like', NULL, NULL, 28891, 18),
(200690, NULL, 'SSF82093', NULL, NULL, NULL, NULL, 'Heme chaperone CcmE', NULL, NULL, 36169, 18),
(200691, NULL, 'SSF54806', NULL, NULL, NULL, NULL, 'Alpha-lytic protease prodomain', NULL, NULL, 32136, 18),
(200692, NULL, 'SSF141734', NULL, NULL, NULL, NULL, 'HisI-like', NULL, NULL, 30127, 18),
(200693, NULL, 'SSF48537', NULL, NULL, NULL, NULL, 'Phospholipase C/P1 nuclease', NULL, NULL, 8908, 18),
(200694, NULL, 'SSF47979', NULL, NULL, NULL, NULL, 'Iron-dependent repressor protein, dimerization domain', NULL, NULL, 30438, 18),
(200695, NULL, 'SSF54197', NULL, NULL, NULL, NULL, 'HIT-like', NULL, NULL, 34359, 18),
(200696, NULL, 'SSF54621', NULL, NULL, NULL, NULL, 'Heme-binding protein A (HasA)', NULL, NULL, 31320, 18),
(200697, NULL, 'SSF143975', NULL, NULL, NULL, NULL, 'IlvD/EDD N-terminal domain-like', NULL, NULL, 35305, 18),
(200698, NULL, 'SSF160696', NULL, NULL, NULL, NULL, 'BTG domain-like', NULL, NULL, 35559, 18),
(200699, NULL, 'SSF56849', NULL, NULL, NULL, NULL, 'delta-Endotoxin (insectocide), N-terminal domain', NULL, NULL, 34982, 18),
(200700, NULL, 'SSF89895', NULL, NULL, NULL, NULL, 'FYSH domain', NULL, NULL, 36318, 18),
(200701, NULL, 'SSF90073', NULL, NULL, NULL, NULL, 'GCM domain', NULL, NULL, 35942, 18),
(200702, NULL, 'SSF103256', NULL, NULL, NULL, NULL, 'Hypothetical protein TM0160', NULL, NULL, 36170, 18),
(200703, NULL, 'SSF140804', NULL, NULL, NULL, NULL, 'YidB-like', NULL, NULL, 28830, 18),
(200704, NULL, 'SSF103565', NULL, NULL, NULL, NULL, 'Bubble protein', NULL, NULL, 30428, 18),
(200705, NULL, 'SSF68930', NULL, NULL, NULL, NULL, 'Protein-L-isoaspartyl O-methyltransferase, C-terminal domain', NULL, NULL, 7561, 18),
(200706, NULL, 'SSF82671', NULL, NULL, NULL, NULL, 'SEA domain', NULL, NULL, 35137, 18),
(200707, NULL, 'SSF116960', NULL, NULL, NULL, NULL, 'YfbU-like', NULL, NULL, NULL, 18),
(200708, NULL, 'SSF90183', NULL, NULL, NULL, NULL, 'Mollusk pheromone', NULL, NULL, 32452, 18),
(200709, NULL, 'SSF48678', NULL, NULL, NULL, NULL, 'Moesin tail domain', NULL, NULL, 8839, 18),
(200710, NULL, 'SSF90002', NULL, NULL, NULL, NULL, 'Hypothetical protein YjiA, C-terminal domain', NULL, NULL, NULL, 18),
(200711, NULL, 'SSF144232', NULL, NULL, NULL, NULL, 'HIT/MYND zinc finger-like', NULL, NULL, NULL, 18),
(200712, NULL, 'SSF82185', NULL, NULL, NULL, NULL, 'Histone H3 K4-specific methyltransferase SET7/9 N-terminal domain', NULL, NULL, NULL, 18),
(200713, NULL, 'SSF159865', NULL, NULL, NULL, NULL, 'XkdW-like', NULL, NULL, 26120, 18),
(200714, NULL, 'SSF81982', NULL, NULL, NULL, NULL, 'Antigen MPT63/MPB63 (immunoprotective extracellular protein)', NULL, NULL, NULL, 18);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200715, NULL, 'SSF160532', NULL, NULL, NULL, NULL, 'Ava3019-like', NULL, NULL, NULL, 18),
(200716, NULL, 'SSF158715', NULL, NULL, NULL, NULL, 'MG296-like', NULL, NULL, 30763, 18),
(200717, NULL, 'SSF54719', NULL, NULL, NULL, NULL, 'Fe,Mn superoxide dismutase (SOD), C-terminal domain', NULL, NULL, 31654, 18),
(200718, NULL, 'SSF69618', NULL, NULL, NULL, NULL, 'HemD-like', NULL, NULL, 35786, 18),
(200719, NULL, 'SSF160113', NULL, NULL, NULL, NULL, 'YegP-like', NULL, NULL, 31086, 18),
(200720, NULL, 'SSF141099', NULL, NULL, NULL, NULL, 'Atu1913-like', NULL, NULL, 33689, 18),
(200721, NULL, 'SSF53927', NULL, NULL, NULL, NULL, 'Cytidine deaminase-like', NULL, NULL, 18473, 18),
(200722, NULL, 'SSF55331', NULL, NULL, NULL, NULL, 'Tautomerase/MIF', NULL, NULL, 13369, 18),
(200723, NULL, 'SSF63763', NULL, NULL, NULL, NULL, 'SAND domain-like', NULL, NULL, 10921, 18),
(200724, NULL, 'SSF81548', NULL, NULL, NULL, NULL, 'Subunit XII of photosystem I reaction centre, PsaM', NULL, NULL, 34363, 18),
(200725, NULL, 'SSF63707', NULL, NULL, NULL, NULL, 'Ganglioside M2 (gm2) activator', NULL, NULL, 34194, 18),
(200726, NULL, 'SSF56399', NULL, NULL, NULL, NULL, 'ADP-ribosylation', NULL, NULL, NULL, 18),
(200727, NULL, 'SSF102414', NULL, NULL, NULL, NULL, 'Alpha-2,3/8-sialyltransferase CstII', NULL, NULL, 34620, 18),
(200728, NULL, 'SSF101332', NULL, NULL, NULL, NULL, 'Hypothetical protein MTH393', NULL, NULL, 35413, 18),
(200729, NULL, 'SSF51197', NULL, NULL, NULL, NULL, 'Clavaminate synthase-like', NULL, NULL, NULL, 18),
(200730, NULL, 'SSF49894', NULL, NULL, NULL, NULL, 'Baculovirus p35 protein', NULL, NULL, 35828, 18),
(200731, NULL, 'SSF89043', NULL, NULL, NULL, NULL, 'Soluble domain of poliovirus core protein 3a', NULL, NULL, 33648, 18),
(200732, NULL, 'SSF158544', NULL, NULL, NULL, NULL, 'GspK insert domain-like', NULL, NULL, 35004, 18),
(200733, NULL, 'SSF64234', NULL, NULL, NULL, NULL, 'Photosystem I subunit PsaD', NULL, NULL, 33962, 18),
(200734, NULL, 'SSF56214', NULL, NULL, NULL, NULL, '4''-phosphopantetheinyl transferase', NULL, NULL, 30045, 18),
(200735, NULL, 'SSF49363', NULL, NULL, NULL, NULL, 'Purple acid phosphatase, N-terminal domain', NULL, NULL, 8574, 18),
(200736, NULL, 'SSF63887', NULL, NULL, NULL, NULL, 'P-domain of calnexin/calreticulin', NULL, NULL, 10480, 18),
(200737, NULL, 'SSF140356', NULL, NULL, NULL, NULL, 'PPK N-terminal domain-like', NULL, NULL, 30487, 18),
(200738, NULL, 'SSF53784', NULL, NULL, NULL, NULL, 'Phosphofructokinase', NULL, NULL, 32269, 18),
(200739, NULL, 'SSF53639', NULL, NULL, NULL, NULL, 'AraD/HMP-PK domain-like', NULL, NULL, 34487, 18),
(200740, NULL, 'SSF143744', NULL, NULL, NULL, NULL, 'GlcG-like', NULL, NULL, 33694, 18),
(200741, NULL, 'SSF52821', NULL, NULL, NULL, NULL, 'Rhodanese/Cell cycle control phosphatase', NULL, NULL, 30843, 18),
(200742, NULL, 'SSF54001', NULL, NULL, NULL, NULL, 'Cysteine proteinases', NULL, NULL, 34639, 18),
(200743, NULL, 'SSF111430', NULL, NULL, NULL, NULL, 'YAP1 redox domain', NULL, NULL, 15646, 18),
(200744, NULL, 'SSF55298', NULL, NULL, NULL, NULL, 'YjgF-like', NULL, NULL, 19527, 18),
(200745, NULL, 'SSF55666', NULL, NULL, NULL, NULL, 'Ribonuclease PH domain 2-like', NULL, NULL, 30441, 18),
(200746, NULL, 'SSF53795', NULL, NULL, NULL, NULL, 'PEP carboxykinase-like', NULL, NULL, NULL, 18),
(200747, NULL, 'SSF55347', NULL, NULL, NULL, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase-like, C-terminal domain', NULL, NULL, NULL, 18),
(200748, NULL, 'SSF51445', NULL, NULL, NULL, NULL, '(Trans)glycosidases', NULL, NULL, 13186, 18),
(200749, NULL, 'SSF82282', NULL, NULL, NULL, NULL, 'Homocysteine S-methyltransferase', NULL, NULL, 35757, 18),
(200750, NULL, 'SSF81427', NULL, NULL, NULL, NULL, 'Mitochondrial cytochrome c oxidase subunit VIIc (aka VIIIa)', NULL, NULL, 33258, 18),
(200751, NULL, 'SSF140864', NULL, NULL, NULL, NULL, 'TROVE domain-like', NULL, NULL, 34013, 18),
(200752, NULL, 'SSF47233', NULL, NULL, NULL, NULL, 'Bacterial GAP domain', NULL, NULL, 31776, 18),
(200753, NULL, 'SSF142019', NULL, NULL, NULL, NULL, 'Nqo1 FMN-binding domain-like', NULL, NULL, 31019, 18);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200754, NULL, 'SSF49879', NULL, NULL, NULL, NULL, 'SMAD/FHA domain', NULL, NULL, 9532, 18),
(200755, NULL, 'SSF159709', NULL, NULL, NULL, NULL, 'PhnH-like', NULL, NULL, 35202, 18),
(200756, NULL, 'SSF51604', NULL, NULL, NULL, NULL, 'Enolase C-terminal domain-like', NULL, NULL, 34078, 18),
(200757, NULL, 'SSF56322', NULL, NULL, NULL, NULL, 'ADC synthase', NULL, NULL, 5783, 18),
(200758, NULL, 'SSF102220', NULL, NULL, NULL, NULL, 'DNA polymerase III psi subunit', NULL, NULL, 30547, 18),
(200759, NULL, 'SSF50630', NULL, NULL, NULL, NULL, 'Acid proteases', NULL, NULL, 15319, 18),
(200760, NULL, 'SSF141488', NULL, NULL, NULL, NULL, 'YdhA-like', NULL, NULL, 30305, 18),
(200761, NULL, 'SSF50882', NULL, NULL, NULL, NULL, 'beta-Barrel protease inhibitors', NULL, NULL, 10108, 18),
(200762, NULL, 'SSF47060', NULL, NULL, NULL, NULL, 'S15/NS1 RNA-binding domain', NULL, NULL, 6061, 18),
(200763, NULL, 'SSF47592', NULL, NULL, NULL, NULL, 'SWIB/MDM2 domain', NULL, NULL, 30988, 18),
(200764, NULL, 'SSF56821', NULL, NULL, NULL, NULL, 'Prismane protein-like', NULL, NULL, 9179, 18),
(200765, NULL, 'SSF158548', NULL, NULL, NULL, NULL, 'FLJ32549 domain-like', NULL, NULL, 33093, 18),
(200766, NULL, 'SSF58014', NULL, NULL, NULL, NULL, 'Coiled-coil domain of nucleotide exchange factor GrpE', NULL, NULL, 8495, 18),
(200767, NULL, 'SSF46906', NULL, NULL, NULL, NULL, 'Ribosomal protein L11, C-terminal domain', NULL, NULL, 36391, 18),
(200768, NULL, 'SSF47668', NULL, NULL, NULL, NULL, 'N-terminal domain of cbl (N-cbl)', NULL, NULL, 36335, 18),
(200769, NULL, 'SSF103054', NULL, NULL, NULL, NULL, 'General secretion pathway protein M, EpsM', NULL, NULL, 8430, 18),
(200770, NULL, 'SSF53335', NULL, NULL, NULL, NULL, 'S-adenosyl-L-methionine-dependent methyltransferases', NULL, NULL, 26195, 18),
(200771, NULL, 'SSF48024', NULL, NULL, NULL, NULL, 'N-terminal domain of DnaB helicase', NULL, NULL, 36396, 18),
(200772, NULL, 'SSF143100', NULL, NULL, NULL, NULL, 'TTHA1013/TTHA0281-like', NULL, NULL, 36309, 18),
(200773, NULL, 'SSF56059', NULL, NULL, NULL, NULL, 'Glutathione synthetase ATP-binding domain-like', NULL, NULL, NULL, 18),
(200774, NULL, 'SSF57581', NULL, NULL, NULL, NULL, 'TB module/8-cys domain', NULL, NULL, 34461, 18),
(200775, NULL, 'SSF55904', NULL, NULL, NULL, NULL, 'Ornithine decarboxylase C-terminal domain', NULL, NULL, 30571, 18),
(200776, NULL, 'SSF52210', NULL, NULL, NULL, NULL, 'Succinyl-CoA synthetase domains', NULL, NULL, 11280, 18),
(200777, NULL, 'SSF54957', NULL, NULL, NULL, NULL, 'Viral DNA-binding domain', NULL, NULL, 18570, 18),
(200778, NULL, 'SSF57440', NULL, NULL, NULL, NULL, 'Kringle-like', NULL, NULL, 8222, 18),
(200779, NULL, 'SSF158855', NULL, NULL, NULL, NULL, 'Lipase chaperone-like', NULL, NULL, NULL, 18),
(200780, NULL, 'SSF103107', NULL, NULL, NULL, NULL, 'Hypothetical protein c14orf129, hspc210', NULL, NULL, 9339, 18),
(200781, NULL, 'SSF55277', NULL, NULL, NULL, NULL, 'GYF domain', NULL, NULL, 19824, 18),
(200782, NULL, 'SSF81648', NULL, NULL, NULL, NULL, 'a domain/subunit of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', NULL, NULL, 30762, 18),
(200783, NULL, 'SSF47862', NULL, NULL, NULL, NULL, 'Saposin', NULL, NULL, 8620, 18),
(200784, NULL, 'SSF54814', NULL, NULL, NULL, NULL, 'Prokaryotic type KH domain (KH-domain type II)', NULL, NULL, 10140, 18),
(200785, NULL, 'SSF55136', NULL, NULL, NULL, NULL, 'Probable bacterial effector-binding domain', NULL, NULL, 9191, 18),
(200786, NULL, 'SSF55447', NULL, NULL, NULL, NULL, 'CO dehydrogenase flavoprotein C-terminal domain-like', NULL, NULL, 30530, 18),
(200787, NULL, 'SSF52418', NULL, NULL, NULL, NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase catalytic domain', NULL, NULL, 14220, 18),
(200788, NULL, 'SSF52833', NULL, NULL, NULL, NULL, 'Thioredoxin-like', NULL, NULL, 31450, 18),
(200789, NULL, 'SSF64288', NULL, NULL, NULL, NULL, 'Chorismate lyase-like', NULL, NULL, 25446, 18),
(200790, NULL, 'SSF159283', NULL, NULL, NULL, NULL, 'Guanosine diphospho-D-mannose pyrophosphorylase/mannose-6-phosphate isomerase linker domain', NULL, NULL, NULL, 18);             
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200791, NULL, 'SSF160920', NULL, NULL, NULL, NULL, 'PSTPO5379-like', NULL, NULL, 36174, 18),
(200792, NULL, 'SSF55315', NULL, NULL, NULL, NULL, 'L30e-like', NULL, NULL, 26110, 18),
(200793, NULL, 'SSF117281', NULL, NULL, NULL, NULL, 'Kelch motif', NULL, NULL, 7856, 18),
(200794, NULL, 'SSF55194', NULL, NULL, NULL, NULL, 'Ribosome recycling factor, RRF', NULL, NULL, 29123, 18),
(200795, NULL, 'SSF101941', NULL, NULL, NULL, NULL, 'NAC domain', NULL, NULL, 29947, 18),
(200796, NULL, 'SSF75625', NULL, NULL, NULL, NULL, 'YebC-like', NULL, NULL, 25925, 18),
(200797, NULL, 'SSF56568', NULL, NULL, NULL, NULL, 'Non-globular alpha+beta subunits of globular proteins', NULL, NULL, 10858, 18),
(200798, NULL, 'SSF52141', NULL, NULL, NULL, NULL, 'Uracil-DNA glycosylase-like', NULL, NULL, 30584, 18),
(200799, NULL, 'SSF118116', NULL, NULL, NULL, NULL, 'DNA mismatch repair protein MutL', NULL, NULL, 35077, 18),
(200800, NULL, 'SSF48013', NULL, NULL, NULL, NULL, 'NusB-like', NULL, NULL, 27939, 18),
(200801, NULL, 'SSF50405', NULL, NULL, NULL, NULL, 'Actin-crosslinking proteins', NULL, NULL, 9999, 18),
(200802, NULL, 'SSF46557', NULL, NULL, NULL, NULL, 'GreA transcript cleavage protein, N-terminal domain', NULL, NULL, 36030, 18),
(200803, NULL, 'SSF54747', NULL, NULL, NULL, NULL, 'Ribosomal L11/L12e N-terminal domain', NULL, NULL, 36476, 18),
(200804, NULL, 'SSF47912', NULL, NULL, NULL, NULL, 'Wiscott-Aldrich syndrome protein, WASP, C-terminal domain', NULL, NULL, 9396, 18),
(200805, NULL, 'SSF46950', NULL, NULL, NULL, NULL, 'Double-stranded DNA-binding domain', NULL, NULL, 30580, 18),
(200806, NULL, 'SSF63515', NULL, NULL, NULL, NULL, 'Outer surface protein C (OspC)', NULL, NULL, 30563, 18),
(200807, NULL, 'SSF160945', NULL, NULL, NULL, NULL, 'PH0156-like', NULL, NULL, NULL, 18),
(200808, NULL, 'SSF54966', NULL, NULL, NULL, NULL, 'RuBisCO, large subunit, small (N-terminal) domain', NULL, NULL, 33788, 18),
(200809, NULL, 'SSF81593', NULL, NULL, NULL, NULL, 'Nucleotidyltransferase substrate binding subunit/domain', NULL, NULL, NULL, 18),
(200810, NULL, 'SSF55979', NULL, NULL, NULL, NULL, 'DNA clamp', NULL, NULL, NULL, 18),
(200811, NULL, 'SSF69189', NULL, NULL, NULL, NULL, 'Penicillin-binding protein associated domain', NULL, NULL, 8287, 18),
(200812, NULL, 'SSF159238', NULL, NULL, NULL, NULL, 'SO1590-like', NULL, NULL, 15785, 18),
(200813, NULL, 'SSF69203', NULL, NULL, NULL, NULL, 'Nucleoplasmin-like core domain', NULL, NULL, 30264, 18),
(200814, NULL, 'SSF49863', NULL, NULL, NULL, NULL, 'Hyaluronate lyase-like, C-terminal domain', NULL, NULL, 10923, 18),
(200815, NULL, 'SSF50494', NULL, NULL, NULL, NULL, 'Trypsin-like serine proteases', NULL, NULL, 9568, 18),
(200816, NULL, 'SSF50965', NULL, NULL, NULL, NULL, 'Galactose oxidase, central domain', NULL, NULL, 9262, 18),
(200817, NULL, 'SSF49464', NULL, NULL, NULL, NULL, 'Carboxypeptidase regulatory domain-like', NULL, NULL, 9445, 18),
(200818, NULL, 'SSF58046', NULL, NULL, NULL, NULL, 'Fibritin', NULL, NULL, NULL, 18),
(200819, NULL, 'SSF55149', NULL, NULL, NULL, NULL, 'Pepsin inhibitor-3', NULL, NULL, NULL, 18),
(200820, NULL, 'SSF51989', NULL, NULL, NULL, NULL, 'Glycosyl hydrolases family 6, cellulases', NULL, NULL, 34213, 18),
(200821, NULL, 'SSF110993', NULL, NULL, NULL, NULL, 'eIF-2-alpha, C-terminal domain', NULL, NULL, 12163, 18),
(200822, NULL, 'SSF141530', NULL, NULL, NULL, NULL, 'PTSIIA/GutA-like', NULL, NULL, 30705, 18),
(200823, NULL, 'SSF140663', NULL, NULL, NULL, NULL, 'TTHA0068-like', NULL, NULL, 18630, 18),
(200824, NULL, 'SSF143842', NULL, NULL, NULL, NULL, 'YwmB-like', NULL, NULL, 33847, 18),
(200825, NULL, 'SSF56655', NULL, NULL, NULL, NULL, 'Carbohydrate phosphatase', NULL, NULL, NULL, 18),
(200826, NULL, 'SSF53036', NULL, NULL, NULL, NULL, 'Eukaryotic RPB5 N-terminal domain', NULL, NULL, 34239, 18),
(200827, NULL, 'SSF53671', NULL, NULL, NULL, NULL, 'Aspartate/ornithine carbamoyltransferase', NULL, NULL, 34637, 18),
(200828, NULL, 'SSF89232', NULL, NULL, NULL, NULL, 'Hypothetical protein TM1070', NULL, NULL, 31929, 18),
(200829, NULL, 'SSF53822', NULL, NULL, NULL, NULL, 'Periplasmic binding protein-like I', NULL, NULL, 26331, 18);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200830, NULL, 'SSF101751', NULL, NULL, NULL, NULL, 'Hydrophobin II, HfbII', NULL, NULL, 34611, 18),
(200831, NULL, 'SSF158212', NULL, NULL, NULL, NULL, 'Htr2 transmembrane domain-like', NULL, NULL, NULL, 18),
(200832, NULL, 'SSF81345', NULL, NULL, NULL, NULL, 'ABC transporter involved in vitamin B12 uptake, BtuC', NULL, NULL, 32184, 18),
(200833, NULL, 'SSF53092', NULL, NULL, NULL, NULL, 'Creatinase/prolidase N-terminal domain', NULL, NULL, 27404, 18),
(200834, NULL, 'SSF158442', NULL, NULL, NULL, NULL, 'DsbB-like', NULL, NULL, 16465, 18),
(200835, NULL, 'SSF143791', NULL, NULL, NULL, NULL, 'DUSP-like', NULL, NULL, 28959, 18),
(200836, NULL, 'SSF47370', NULL, NULL, NULL, NULL, 'Bromodomain', NULL, NULL, 30548, 18),
(200837, NULL, 'SSF54991', NULL, NULL, NULL, NULL, 'Anticodon-binding domain of PheRS', NULL, NULL, 33641, 18),
(200838, NULL, 'SSF47413', NULL, NULL, NULL, NULL, 'lambda repressor-like DNA-binding domains', NULL, NULL, 8195, 18),
(200839, NULL, 'SSF81624', NULL, NULL, NULL, NULL, 'N-terminal domain of MutM-like DNA repair proteins', NULL, NULL, 14036, 18),
(200840, NULL, 'SSF103460', NULL, NULL, NULL, NULL, 'Sec-beta subunit', NULL, NULL, NULL, 18),
(200841, NULL, 'SSF160755', NULL, NULL, NULL, NULL, 'YugN-like', NULL, NULL, 33772, 18),
(200842, NULL, 'SSF116927', NULL, NULL, NULL, NULL, 'EspA/CesA-like', NULL, NULL, 32233, 18),
(200843, NULL, 'SSF48619', NULL, NULL, NULL, NULL, 'Phospholipase A2, PLA2', NULL, NULL, 34164, 18),
(200844, NULL, 'SSF89817', NULL, NULL, NULL, NULL, 'Mago nashi protein', NULL, NULL, 35200, 18),
(200845, NULL, 'SSF158651', NULL, NULL, NULL, NULL, 'YejL-like', NULL, NULL, 17618, 18),
(200846, NULL, 'SSF46992', NULL, NULL, NULL, NULL, 'Ribosomal protein S20', NULL, NULL, 32803, 18),
(200847, NULL, 'SSF101391', NULL, NULL, NULL, NULL, 'Hsp90 co-chaperone CDC37', NULL, NULL, NULL, 18),
(200848, NULL, 'SSF53720', NULL, NULL, NULL, NULL, 'ALDH-like', NULL, NULL, 12259, 18),
(200849, NULL, 'SSF63862', NULL, NULL, NULL, NULL, 'Thiamin pyrophosphokinase, substrate-binding domain', NULL, NULL, 30755, 18),
(200850, NULL, 'SSF55064', NULL, NULL, NULL, NULL, 'Translational regulator protein regA', NULL, NULL, 32508, 18),
(200851, NULL, 'SSF55909', NULL, NULL, NULL, NULL, 'Pentein', NULL, NULL, NULL, 18),
(200852, NULL, 'SSF50692', NULL, NULL, NULL, NULL, 'ADC-like', NULL, NULL, 9646, 18),
(200853, NULL, 'SSF47917', NULL, NULL, NULL, NULL, 'C-terminal domain of alpha and beta subunits of F1 ATP synthase', NULL, NULL, NULL, 18),
(200854, NULL, 'SSF51161', NULL, NULL, NULL, NULL, 'Trimeric LpxA-like enzymes', NULL, NULL, 8966, 18),
(200855, NULL, 'SSF69917', NULL, NULL, NULL, NULL, 'OMPT-like', NULL, NULL, 16017, 18),
(200856, NULL, 'SSF64438', NULL, NULL, NULL, NULL, 'CNF1/YfiH-like putative cysteine hydrolases', NULL, NULL, 13873, 18),
(200857, NULL, 'SSF116742', NULL, NULL, NULL, NULL, 'eIF2alpha middle domain-like', NULL, NULL, 12294, 18),
(200858, NULL, 'SSF101447', NULL, NULL, NULL, NULL, 'Formin homology 2 domain (FH2 domain)', NULL, NULL, NULL, 18),
(200859, NULL, 'SSF55166', NULL, NULL, NULL, NULL, 'Hedgehog/DD-peptidase', NULL, NULL, 8523, 18),
(200860, NULL, 'SSF48081', NULL, NULL, NULL, NULL, 'Methyl-coenzyme M reductase alpha and beta chain C-terminal domain', NULL, NULL, 8922, 18),
(200861, NULL, 'SSF46589', NULL, NULL, NULL, NULL, 'tRNA-binding arm', NULL, NULL, 8393, 18),
(200862, NULL, 'SSF51045', NULL, NULL, NULL, NULL, 'WW domain', NULL, NULL, 29928, 18),
(200863, NULL, 'SSF51327', NULL, NULL, NULL, NULL, 'Head-binding domain of phage P22 tailspike protein', NULL, NULL, 35665, 18),
(200864, NULL, 'SSF58006', NULL, NULL, NULL, NULL, 'Assembly domain of cartilage oligomeric matrix protein', NULL, NULL, NULL, 18),
(200865, NULL, 'SSF54919', NULL, NULL, NULL, NULL, 'Nucleoside diphosphate kinase, NDK', NULL, NULL, 34185, 18),
(200866, NULL, 'SSF57492', NULL, NULL, NULL, NULL, 'Trefoil', NULL, NULL, 39143, 18),
(200867, NULL, 'SSF160964', NULL, NULL, NULL, NULL, 'MalF N-terminal region-like', NULL, NULL, NULL, 18),
(200868, NULL, 'SSF48726', NULL, NULL, NULL, NULL, 'Immunoglobulin', NULL, NULL, 36481, 18);               
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200869, NULL, 'SSF48029', NULL, NULL, NULL, NULL, 'FliG', NULL, NULL, 8711, 18),
(200870, NULL, 'SSF50974', NULL, NULL, NULL, NULL, 'Nitrous oxide reductase, N-terminal domain', NULL, NULL, 9438, 18),
(200871, NULL, 'SSF57561', NULL, NULL, NULL, NULL, 'Methylamine dehydrogenase, L chain', NULL, NULL, 36296, 18),
(200872, NULL, 'SSF56988', NULL, NULL, NULL, NULL, 'Anthrax protective antigen', NULL, NULL, NULL, 18),
(200873, NULL, 'SSF50037', NULL, NULL, NULL, NULL, 'C-terminal domain of transcriptional repressors', NULL, NULL, 9733, 18),
(200874, NULL, 'SSF47148', NULL, NULL, NULL, NULL, 'Diol dehydratase, gamma subunit', NULL, NULL, 35025, 18),
(200875, NULL, 'SSF49417', NULL, NULL, NULL, NULL, 'p53-like transcription factors', NULL, NULL, 9065, 18),
(200876, NULL, 'SSF56601', NULL, NULL, NULL, NULL, 'beta-lactamase/transpeptidase-like', NULL, NULL, 7610, 18),
(200877, NULL, 'SSF51735', NULL, NULL, NULL, NULL, 'NAD(P)-binding Rossmann-fold domains', NULL, NULL, 33516, 18),
(200878, NULL, 'SSF110217', NULL, NULL, NULL, NULL, 'DNA-binding protein LAG-1 (CSL)', NULL, NULL, 34139, 18),
(200879, NULL, 'SSF82061', NULL, NULL, NULL, NULL, 'BAH domain', NULL, NULL, NULL, 18),
(200880, NULL, 'SSF50789', NULL, NULL, NULL, NULL, 'Herpes virus serine proteinase, assemblin', NULL, NULL, NULL, 18),
(200881, NULL, 'SSF116726', NULL, NULL, NULL, NULL, 'TrkA C-terminal domain-like', NULL, NULL, 34610, 18),
(200882, NULL, 'SSF50610', NULL, NULL, NULL, NULL, 'mu transposase, C-terminal domain', NULL, NULL, 9724, 18),
(200883, NULL, 'SSF161084', NULL, NULL, NULL, NULL, 'MAPEG domain-like', NULL, NULL, 19721, 18),
(200884, NULL, 'SSF53590', NULL, NULL, NULL, NULL, 'Nucleoside hydrolase', NULL, NULL, 30896, 18),
(200885, NULL, 'SSF161229', NULL, NULL, NULL, NULL, 'E6 C-terminal domain-like', NULL, NULL, 34810, 18),
(200886, NULL, 'SSF55060', NULL, NULL, NULL, NULL, 'GHMP Kinase, C-terminal domain', NULL, NULL, 32019, 18),
(200887, NULL, 'SSF140111', NULL, NULL, NULL, NULL, 'Endosomal sorting complex assembly domain', NULL, NULL, 35652, 18),
(200888, NULL, 'SSF55724', NULL, NULL, NULL, NULL, 'Mog1p/PsbP-like', NULL, NULL, 11092, 18),
(200889, NULL, 'SSF46919', NULL, NULL, NULL, NULL, 'N-terminal Zn binding domain of HIV integrase', NULL, NULL, 21122, 18),
(200890, NULL, 'SSF159034', NULL, NULL, NULL, NULL, 'Mib/herc2 domain-like', NULL, NULL, 36167, 18),
(200891, NULL, 'SSF54675', NULL, NULL, NULL, NULL, 'Nicotinate/Quinolinate PRTase N-terminal domain-like', NULL, NULL, NULL, 18),
(200892, NULL, 'SSF46689', NULL, NULL, NULL, NULL, 'Homeodomain-like', NULL, NULL, 6178, 18),
(200893, NULL, 'SSF140581', NULL, NULL, NULL, NULL, 'TraM-like', NULL, NULL, NULL, 18),
(200894, NULL, 'SSF82927', NULL, NULL, NULL, NULL, 'Cysteine-rich DNA binding domain, (DM domain)', NULL, NULL, 34407, 18),
(200895, NULL, 'SSF160950', NULL, NULL, NULL, NULL, 'YacF-like', NULL, NULL, 35781, 18),
(200896, NULL, 'SSF158682', NULL, NULL, NULL, NULL, 'TerB-like', NULL, NULL, 22269, 18),
(200897, NULL, 'SSF81832', NULL, NULL, NULL, NULL, 'SopE-like GEF domain', NULL, NULL, 25490, 18),
(200898, NULL, 'SSF161070', NULL, NULL, NULL, NULL, 'SNF-like', NULL, NULL, 35312, 18),
(200899, NULL, 'SSF81761', NULL, NULL, NULL, NULL, 'X-Prolyl dipeptidyl aminopeptidase PepX, N-terminal domain', NULL, NULL, 34317, 18),
(200900, NULL, 'SSF101307', NULL, NULL, NULL, NULL, 'YutG-like', NULL, NULL, 32349, 18),
(200901, NULL, 'SSF111388', NULL, NULL, NULL, NULL, 'Pollen allergen ole e 6', NULL, NULL, 33519, 18),
(200902, NULL, 'SSF101606', NULL, NULL, NULL, NULL, 'Superantigen (mitogen) Ypm', NULL, NULL, 33803, 18),
(200903, NULL, 'SSF50084', NULL, NULL, NULL, NULL, 'Myosin S1 fragment, N-terminal domain', NULL, NULL, NULL, 18),
(200904, NULL, 'SSF47576', NULL, NULL, NULL, NULL, 'Calponin-homology domain, CH-domain', NULL, NULL, 30772, 18),
(200905, NULL, 'SSF52009', NULL, NULL, NULL, NULL, 'Phosphohistidine domain', NULL, NULL, 30957, 18),
(200906, NULL, 'SSF144251', NULL, NULL, NULL, NULL, 'Viral leader polypeptide zinc finger', NULL, NULL, 34582, 18),
(200907, NULL, 'SSF141091', NULL, NULL, NULL, NULL, 'L21p-like', NULL, NULL, 33283, 18);     
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200908, NULL, 'SSF140586', NULL, NULL, NULL, NULL, 'Dcp2 domain-like', NULL, NULL, 36055, 18),
(200909, NULL, 'SSF48647', NULL, NULL, NULL, NULL, 'Fungal elicitin', NULL, NULL, 31578, 18),
(200910, NULL, 'SSF75569', NULL, NULL, NULL, NULL, 'Archaeal IMP cyclohydrolase PurO', NULL, NULL, 36007, 18),
(200911, NULL, 'SSF46579', NULL, NULL, NULL, NULL, 'Prefoldin', NULL, NULL, NULL, 18),
(200912, NULL, 'SSF88650', NULL, NULL, NULL, NULL, 'Satellite viruses', NULL, NULL, 31513, 18),
(200913, NULL, 'SSF89162', NULL, NULL, NULL, NULL, 'Gametocyte protein Pfg27', NULL, NULL, 33910, 18),
(200914, NULL, 'SSF103652', NULL, NULL, NULL, NULL, 'G protein-binding domain', NULL, NULL, NULL, 18),
(200915, NULL, 'SSF158457', NULL, NULL, NULL, NULL, 'Orange domain-like', NULL, NULL, NULL, 18),
(200916, NULL, 'SSF158472', NULL, NULL, NULL, NULL, 'HAMP domain-like', NULL, NULL, NULL, 18),
(200917, NULL, 'SSF159612', NULL, NULL, NULL, NULL, 'TBP-interacting protein-like', NULL, NULL, NULL, 18),
(200918, NULL, 'SSF56837', NULL, NULL, NULL, NULL, 'Colicin', NULL, NULL, NULL, 18),
(200919, NULL, 'SSF143575', NULL, NULL, NULL, NULL, 'GAS2 domain-like', NULL, NULL, 36422, 18),
(200920, NULL, 'SSF101094', NULL, NULL, NULL, NULL, 'Staphylocoagulase', NULL, NULL, NULL, 18),
(200921, NULL, 'SSF81531', NULL, NULL, NULL, NULL, 'Non-heme 11 kDa protein of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', NULL, NULL, 36233, 18),
(200922, NULL, 'SSF82693', NULL, NULL, NULL, NULL, 'Multidrug efflux transporter AcrB pore domain; PN1, PN2, PC1 and PC2 subdomains', NULL, NULL, NULL, 18),
(200923, NULL, 'SSF117018', NULL, NULL, NULL, NULL, 'ATP-dependent DNA ligase DNA-binding domain', NULL, NULL, 35134, 18),
(200924, NULL, 'SSF90188', NULL, NULL, NULL, NULL, 'Somatomedin B domain', NULL, NULL, 29200, 18),
(200925, NULL, 'SSF111148', NULL, NULL, NULL, NULL, 'YggX-like', NULL, NULL, 34685, 18),
(200926, NULL, 'SSF63697', NULL, NULL, NULL, NULL, 'Olfactory marker protein', NULL, NULL, 34514, 18),
(200927, NULL, 'SSF56228', NULL, NULL, NULL, NULL, 'Aldehyde ferredoxin oxidoreductase, N-terminal domain', NULL, NULL, 33990, 18),
(200928, NULL, 'SSF89942', NULL, NULL, NULL, NULL, 'eEF1-gamma domain', NULL, NULL, 30958, 18),
(200929, NULL, 'SSF82215', NULL, NULL, NULL, NULL, 'C-terminal autoproteolytic domain of nucleoporin nup98', NULL, NULL, 34584, 18),
(200930, NULL, 'SSF88723', NULL, NULL, NULL, NULL, 'PIN domain-like', NULL, NULL, 26077, 18),
(200931, NULL, 'SSF63562', NULL, NULL, NULL, NULL, 'RPB6/omega subunit-like', NULL, NULL, 32962, 18),
(200932, NULL, 'SSF57190', NULL, NULL, NULL, NULL, 'Colipase-like', NULL, NULL, NULL, 18),
(200933, NULL, 'SSF81514', NULL, NULL, NULL, NULL, 'Subunit X (non-heme 7 kDa protein) of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', NULL, NULL, 32403, 18),
(200934, NULL, 'SSF101215', NULL, NULL, NULL, NULL, 'KaiA/RbsU domain', NULL, NULL, 2765, 18),
(200935, NULL, 'SSF56024', NULL, NULL, NULL, NULL, 'Phospholipase D/nuclease', NULL, NULL, NULL, 18),
(200936, NULL, 'SSF89372', NULL, NULL, NULL, NULL, 'Fucose-specific lectin', NULL, NULL, NULL, 18),
(200937, NULL, 'SSF57884', NULL, NULL, NULL, NULL, 'Ada DNA repair protein, N-terminal domain (N-Ada 10)', NULL, NULL, 20989, 18),
(200938, NULL, 'SSF159936', NULL, NULL, NULL, NULL, 'NSP3A-like', NULL, NULL, 33745, 18),
(200939, NULL, 'SSF160104', NULL, NULL, NULL, NULL, 'Acetoacetate decarboxylase-like', NULL, NULL, 15950, 18),
(200940, NULL, 'SSF103481', NULL, NULL, NULL, NULL, 'Multidrug resistance efflux transporter EmrE', NULL, NULL, NULL, 18),
(200941, NULL, 'SSF161256', NULL, NULL, NULL, NULL, 'RILP dimerisation region', NULL, NULL, NULL, 18),
(200942, NULL, 'SSF47040', NULL, NULL, NULL, NULL, 'Kix domain of CBP (creb binding protein)', NULL, NULL, 36218, 18),
(200943, NULL, 'SSF56300', NULL, NULL, NULL, NULL, 'Metallo-dependent phosphatases', NULL, NULL, 25787, 18),
(200944, NULL, 'SSF51064', NULL, NULL, NULL, NULL, 'Head domain of nucleotide exchange factor GrpE', NULL, NULL, 9750, 18),
(200945, NULL, 'SSF118310', NULL, NULL, NULL, NULL, 'AN1-like Zinc finger', NULL, NULL, 4817, 18);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200946, NULL, 'SSF159245', NULL, NULL, NULL, NULL, 'AttH-like', NULL, NULL, NULL, 18),
(200947, NULL, 'SSF50934', NULL, NULL, NULL, NULL, 'Tachylectin-2', NULL, NULL, 36066, 18),
(200948, NULL, 'SSF89428', NULL, NULL, NULL, NULL, 'Adsorption protein p2', NULL, NULL, 30221, 18),
(200949, NULL, 'SSF46548', NULL, NULL, NULL, NULL, 'alpha-helical ferredoxin', NULL, NULL, NULL, 18),
(200950, NULL, 'SSF89807', NULL, NULL, NULL, NULL, 'Dodecin-like', NULL, NULL, 31675, 18),
(200951, NULL, 'SSF46774', NULL, NULL, NULL, NULL, 'ARID-like', NULL, NULL, 30714, 18),
(200952, NULL, 'SSF56281', NULL, NULL, NULL, NULL, 'Metallo-hydrolase/oxidoreductase', NULL, NULL, 30629, 18),
(200953, NULL, 'SSF63892', NULL, NULL, NULL, NULL, 'Pyridoxine 5''-phosphate synthase', NULL, NULL, 36140, 18),
(200954, NULL, 'SSF56037', NULL, NULL, NULL, NULL, 'PheT/TilS domain', NULL, NULL, NULL, 18),
(200955, NULL, 'SSF103388', NULL, NULL, NULL, NULL, 'Virulence-associated V antigen', NULL, NULL, 30970, 18),
(200956, NULL, 'SSF81496', NULL, NULL, NULL, NULL, 'Cytochrome c1 subunit of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase), transmembrane anchor', NULL, NULL, 15935, 18),
(200957, NULL, 'SSF50729', NULL, NULL, NULL, NULL, 'PH domain-like', NULL, NULL, NULL, 18),
(200958, NULL, 'SSF109709', NULL, NULL, NULL, NULL, 'KorB DNA-binding domain-like', NULL, NULL, NULL, 18),
(200959, NULL, 'SSF69349', NULL, NULL, NULL, NULL, 'Phage fibre proteins', NULL, NULL, NULL, 18),
(200960, NULL, 'SSF56112', NULL, NULL, NULL, NULL, 'Protein kinase-like (PK-like)', NULL, NULL, 8571, 18),
(200961, NULL, 'SSF46997', NULL, NULL, NULL, NULL, 'Bacterial immunoglobulin/albumin-binding domains', NULL, NULL, 6309, 18),
(200962, NULL, 'SSF51971', NULL, NULL, NULL, NULL, 'Nucleotide-binding domain', NULL, NULL, NULL, 18),
(200963, NULL, 'SSF102735', NULL, NULL, NULL, NULL, 'Trigger factor ribosome-binding domain', NULL, NULL, 30223, 18),
(200964, NULL, 'SSF144083', NULL, NULL, NULL, NULL, 'Magnesium transport protein CorA, transmembrane region', NULL, NULL, 36703, 18),
(200965, NULL, 'SSF50978', NULL, NULL, NULL, NULL, 'WD40 repeat-like', NULL, NULL, 30229, 18),
(200966, NULL, 'SSF53300', NULL, NULL, NULL, NULL, 'vWA-like', NULL, NULL, 31507, 18),
(200967, NULL, 'SSF103068', NULL, NULL, NULL, NULL, 'Nucleocapsid protein dimerization domain', NULL, NULL, 34805, 18),
(200968, NULL, 'SSF110069', NULL, NULL, NULL, NULL, 'ApaG-like', NULL, NULL, 29703, 18),
(200969, NULL, 'SSF144000', NULL, NULL, NULL, NULL, 'Oxysterol-binding protein-like', NULL, NULL, 32344, 18),
(200970, NULL, 'SSF55781', NULL, NULL, NULL, NULL, 'GAF domain-like', NULL, NULL, NULL, 18),
(200971, NULL, 'SSF158397', NULL, NULL, NULL, NULL, 'TM1646-like', NULL, NULL, 19344, 18),
(200972, NULL, 'SSF81338', NULL, NULL, NULL, NULL, 'Aquaporin-like', NULL, NULL, 13997, 18),
(200973, NULL, 'SSF54523', NULL, NULL, NULL, NULL, 'Pili subunits', NULL, NULL, 38548, 18),
(200974, NULL, 'SSF140453', NULL, NULL, NULL, NULL, 'EsxAB dimer-like', NULL, NULL, 34641, 18),
(200975, NULL, 'SSF101424', NULL, NULL, NULL, NULL, 'Hypothetical protein ST1625', NULL, NULL, 30333, 18),
(200976, NULL, 'SSF160930', NULL, NULL, NULL, NULL, 'FlhC-like', NULL, NULL, NULL, 18),
(200977, NULL, 'SSF48464', NULL, NULL, NULL, NULL, 'ENTH/VHS domain', NULL, NULL, 8663, 18),
(200978, NULL, 'SSF160099', NULL, NULL, NULL, NULL, 'SARS Nsp1-like', NULL, NULL, 32029, 18),
(200979, NULL, 'SSF53732', NULL, NULL, NULL, NULL, 'Aconitase iron-sulfur domain', NULL, NULL, 29707, 18),
(200980, NULL, 'SSF118370', NULL, NULL, NULL, NULL, 'Vasodilator-stimulated phosphoprotein, VASP, tetramerisation domain', NULL, NULL, 36324, 18),
(200981, NULL, 'SSF53137', NULL, NULL, NULL, NULL, 'Translational machinery components', NULL, NULL, NULL, 18),
(200982, NULL, 'SSF116846', NULL, NULL, NULL, NULL, 'MIT domain', NULL, NULL, 36432, 18),
(200983, NULL, 'SSF53213', NULL, NULL, NULL, NULL, 'LigB-like', NULL, NULL, NULL, 18),
(200984, NULL, 'SSF160925', NULL, NULL, NULL, NULL, 'PG1388-like', NULL, NULL, NULL, 18),
(200985, NULL, 'SSF51246', NULL, NULL, NULL, NULL, 'Rudiment single hybrid motif', NULL, NULL, 9169, 18);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(200986, NULL, 'SSF64484', NULL, NULL, NULL, NULL, 'beta and beta-prime subunits of DNA dependent RNA-polymerase', NULL, NULL, NULL, 18),
(200987, NULL, 'SSF48045', NULL, NULL, NULL, NULL, 'Scaffolding protein gpD of bacteriophage procapsid', NULL, NULL, 33063, 18),
(200988, NULL, 'SSF63877', NULL, NULL, NULL, NULL, 'Methuselah ectodomain', NULL, NULL, 35696, 18),
(200989, NULL, 'SSF103378', NULL, NULL, NULL, NULL, '2-methylcitrate dehydratase PrpD', NULL, NULL, 30871, 18),
(200990, NULL, 'SSF47353', NULL, NULL, NULL, NULL, 'Retrovirus capsid dimerization domain-like', NULL, NULL, NULL, 18),
(200991, NULL, 'SSF88874', NULL, NULL, NULL, NULL, 'Receptor-binding domain of short tail fibre protein gp12', NULL, NULL, NULL, 18),
(200992, NULL, 'SSF55846', NULL, NULL, NULL, NULL, 'N-acetylmuramoyl-L-alanine amidase-like', NULL, NULL, 32728, 18),
(200993, NULL, 'SSF48108', NULL, NULL, NULL, NULL, 'Carbamoyl phosphate synthetase, large subunit connection domain', NULL, NULL, 30649, 18),
(200994, NULL, 'SSF158675', NULL, NULL, NULL, NULL, 'Sama2622-like', NULL, NULL, 10543, 18),
(200995, NULL, 'SSF143737', NULL, NULL, NULL, NULL, 'YeeU-like', NULL, NULL, 29955, 18),
(200996, NULL, 'SSF50486', NULL, NULL, NULL, NULL, 'FMT C-terminal domain-like', NULL, NULL, 9270, 18),
(200997, NULL, 'SSF160704', NULL, NULL, NULL, NULL, 'YehR-like', NULL, NULL, 31850, 18),
(200998, NULL, 'SSF58096', NULL, NULL, NULL, NULL, 'Colicin Ia, N-terminal domain', NULL, NULL, 12619, 18),
(200999, NULL, 'SSF101238', NULL, NULL, NULL, NULL, 'XPC-binding domain', NULL, NULL, 30184, 18),
(201000, NULL, 'SSF46561', NULL, NULL, NULL, NULL, 'Ribosomal protein L29 (L29p)', NULL, NULL, 35698, 18),
(201001, NULL, 'SSF143113', NULL, NULL, NULL, NULL, 'NAP-like', NULL, NULL, 36369, 18),
(201002, NULL, 'SSF141986', NULL, NULL, NULL, NULL, 'LD-carboxypeptidase A C-terminal domain-like', NULL, NULL, 25885, 18),
(201003, NULL, 'SSF101904', NULL, NULL, NULL, NULL, 'GyrA/ParC C-terminal domain-like', NULL, NULL, 33711, 18),
(201004, NULL, 'SSF47933', NULL, NULL, NULL, NULL, 'ERP29 C domain-like', NULL, NULL, 30377, 18),
(201005, NULL, 'SSF68918', NULL, NULL, NULL, NULL, 'Recombination endonuclease VII, C-terminal and dimerization domains', NULL, NULL, 34049, 18),
(201006, NULL, 'SSF54611', NULL, NULL, NULL, NULL, 'SecB-like', NULL, NULL, 16768, 18),
(201007, NULL, 'SSF81452', NULL, NULL, NULL, NULL, 'Cytochrome c oxidase subunit III-like', NULL, NULL, 18203, 18),
(201008, NULL, 'SSF53800', NULL, NULL, NULL, NULL, 'Chelatase', NULL, NULL, NULL, 18),
(201009, NULL, 'SSF56491', NULL, NULL, NULL, NULL, 'A heparin-binding domain', NULL, NULL, 34010, 18),
(201010, NULL, 'SSF103239', NULL, NULL, NULL, NULL, 'MoaD-related protein, C-terminal domain', NULL, NULL, 33723, 18),
(201011, NULL, 'SSF141571', NULL, NULL, NULL, NULL, 'Pentapeptide repeat-like', NULL, NULL, NULL, 18),
(201012, NULL, 'SSF143631', NULL, NULL, NULL, NULL, 'ApbE-like', NULL, NULL, 4741, 18),
(201013, NULL, 'SSF53244', NULL, NULL, NULL, NULL, 'MurD-like peptide ligases, peptide-binding domain', NULL, NULL, 32678, 18),
(201014, NULL, 'SSF103637', NULL, NULL, NULL, NULL, 'CCHHC domain', NULL, NULL, 31768, 18),
(201015, NULL, 'SSF58059', NULL, NULL, NULL, NULL, 'Tetramerization domain of the Mnt repressor', NULL, NULL, NULL, 18),
(201016, NULL, 'SSF50012', NULL, NULL, NULL, NULL, 'EV matrix protein', NULL, NULL, 35374, 18),
(201017, NULL, 'SSF49354', NULL, NULL, NULL, NULL, 'PapD-like', NULL, NULL, 8614, 18),
(201018, NULL, 'SSF75574', NULL, NULL, NULL, NULL, 'Rotavirus NSP2 fragment, N-terminal domain', NULL, NULL, 19002, 18),
(201019, NULL, 'SSF101322', NULL, NULL, NULL, NULL, 'YcfC-like', NULL, NULL, 31984, 18),
(201020, NULL, 'SSF54893', NULL, NULL, NULL, NULL, 'Aspartate carbamoyltransferase, Regulatory-chain, N-terminal domain', NULL, NULL, 36463, 18),
(201021, NULL, 'SSF50129', NULL, NULL, NULL, NULL, 'GroES-like', NULL, NULL, 9050, 18),
(201022, NULL, 'SSF57196', NULL, NULL, NULL, NULL, 'EGF/Laminin', NULL, NULL, NULL, 18),
(201023, NULL, 'SSF51430', NULL, NULL, NULL, NULL, 'NAD(P)-linked oxidoreductase', NULL, NULL, 36361, 18);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201024, NULL, 'SSF82784', NULL, NULL, NULL, NULL, 'OsmC-like', NULL, NULL, 29842, 18),
(201025, NULL, 'SSF55073', NULL, NULL, NULL, NULL, 'Nucleotide cyclase', NULL, NULL, 27701, 18),
(201026, NULL, 'SSF51998', NULL, NULL, NULL, NULL, 'PFL-like glycyl radical enzymes', NULL, NULL, NULL, 18),
(201027, NULL, 'SSF51679', NULL, NULL, NULL, NULL, 'Bacterial luciferase-like', NULL, NULL, 34170, 18),
(201028, NULL, 'SSF54098', NULL, NULL, NULL, NULL, 'Prion-like', NULL, NULL, 35405, 18),
(201029, NULL, 'SSF51261', NULL, NULL, NULL, NULL, 'Duplicated hybrid motif', NULL, NULL, 9038, 18),
(201030, NULL, 'SSF101576', NULL, NULL, NULL, NULL, 'Supernatant protein factor (SPF), C-terminal domain', NULL, NULL, 36405, 18),
(201031, NULL, 'SSF52156', NULL, NULL, NULL, NULL, 'Initiation factor IF2/eIF5b, domain 3', NULL, NULL, 35450, 18),
(201032, NULL, 'SSF69125', NULL, NULL, NULL, NULL, 'Nuclear receptor coactivator interlocking domain', NULL, NULL, 7706, 18),
(201033, NULL, 'SSF49835', NULL, NULL, NULL, NULL, 'Virus attachment protein globular domain', NULL, NULL, 9026, 18),
(201034, NULL, 'SSF56512', NULL, NULL, NULL, NULL, 'Nitric oxide (NO) synthase oxygenase domain', NULL, NULL, 35833, 18),
(201035, NULL, 'SSF47175', NULL, NULL, NULL, NULL, 'Cytochromes', NULL, NULL, 8102, 18),
(201036, NULL, 'SSF142921', NULL, NULL, NULL, NULL, 'WGR domain-like', NULL, NULL, 35303, 18),
(201037, NULL, 'SSF51717', NULL, NULL, NULL, NULL, 'Dihydropteroate synthetase-like', NULL, NULL, 8789, 18),
(201038, NULL, 'SSF143587', NULL, NULL, NULL, NULL, 'SARS receptor-binding domain-like', NULL, NULL, 30287, 18),
(201039, NULL, 'SSF142754', NULL, NULL, NULL, NULL, 'NadA-like', NULL, NULL, 29741, 18),
(201040, NULL, 'SSF161008', NULL, NULL, NULL, NULL, 'Viral glycoprotein ectodomain-like', NULL, NULL, NULL, 18),
(201041, NULL, 'SSF158694', NULL, NULL, NULL, NULL, 'UraD-Like', NULL, NULL, 36258, 18),
(201042, NULL, 'SSF117023', NULL, NULL, NULL, NULL, 'DNA primase DnaG, C-terminal domain', NULL, NULL, NULL, 18),
(201043, NULL, 'SSF56209', NULL, NULL, NULL, NULL, 'Nitrile hydratase alpha chain', NULL, NULL, 33378, 18),
(201044, NULL, 'SSF53681', NULL, NULL, NULL, NULL, 'Aspartate/glutamate racemase', NULL, NULL, 4494, 18),
(201045, NULL, 'SSF48695', NULL, NULL, NULL, NULL, 'Multiheme cytochromes', NULL, NULL, 34131, 18),
(201046, NULL, 'SSF50615', NULL, NULL, NULL, NULL, 'N-terminal domain of alpha and beta subunits of F1 ATP synthase', NULL, NULL, 35662, 18),
(201047, NULL, 'SSF89975', NULL, NULL, NULL, NULL, 'Hypothetical protein Yml108w', NULL, NULL, 14646, 18),
(201048, NULL, 'SSF47157', NULL, NULL, NULL, NULL, 'Mitochondrial import receptor subunit Tom20', NULL, NULL, 16339, 18),
(201049, NULL, 'SSF54736', NULL, NULL, NULL, NULL, 'ClpS-like', NULL, NULL, 18502, 18),
(201050, NULL, 'SSF140383', NULL, NULL, NULL, NULL, 'BSD domain-like', NULL, NULL, 27152, 18),
(201051, NULL, 'SSF47616', NULL, NULL, NULL, NULL, 'GST C-terminal domain-like', NULL, NULL, 34306, 18),
(201052, NULL, 'SSF111074', NULL, NULL, NULL, NULL, 'Bacillus phage protein', NULL, NULL, 22471, 18),
(201053, NULL, 'SSF54452', NULL, NULL, NULL, NULL, 'MHC antigen-recognition domain', NULL, NULL, 12732, 18),
(201054, NULL, 'SSF144122', NULL, NULL, NULL, NULL, 'Tim10-like', NULL, NULL, 19294, 18),
(201055, NULL, 'SSF50814', NULL, NULL, NULL, NULL, 'Lipocalins', NULL, NULL, 12405, 18),
(201056, NULL, 'SSF55088', NULL, NULL, NULL, NULL, 'Methyl-coenzyme M reductase subunits', NULL, NULL, 10016, 18),
(201057, NULL, 'SSF143492', NULL, NULL, NULL, NULL, 'Prenyltransferase-like', NULL, NULL, 30913, 18),
(201058, NULL, 'SSF54752', NULL, NULL, NULL, NULL, 'RecA protein, C-terminal domain', NULL, NULL, 16150, 18),
(201059, NULL, 'SSF140959', NULL, NULL, NULL, NULL, 'Indolic compounds 2,3-dioxygenase-like', NULL, NULL, 36164, 18),
(201060, NULL, 'SSF57535', NULL, NULL, NULL, NULL, 'Complement control module/SCR domain', NULL, NULL, 19064, 18),
(201061, NULL, 'SSF161219', NULL, NULL, NULL, NULL, 'CHY zinc finger-like', NULL, NULL, 35141, 18),
(201062, NULL, 'SSF101601', NULL, NULL, NULL, NULL, 'Smp-1-like', NULL, NULL, 34076, 18);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201063, NULL, 'SSF55271', NULL, NULL, NULL, NULL, 'DNA repair protein MutS, domain I', NULL, NULL, 11093, 18),
(201064, NULL, 'SSF101059', NULL, NULL, NULL, NULL, 'B-form DNA mimic Ocr', NULL, NULL, 33853, 18),
(201065, NULL, 'SSF55068', NULL, NULL, NULL, NULL, 'Peptide methionine sulfoxide reductase', NULL, NULL, 32547, 18),
(201066, NULL, 'SSF109859', NULL, NULL, NULL, NULL, 'NblA-like', NULL, NULL, 34829, 18),
(201067, NULL, 'SSF75181', NULL, NULL, NULL, NULL, 'Hypothetical protein MTH777 (MT0777)', NULL, NULL, 32103, 18),
(201068, NULL, 'SSF158639', NULL, NULL, NULL, NULL, 'ENT-like', NULL, NULL, 30558, 18),
(201069, NULL, 'SSF48008', NULL, NULL, NULL, NULL, 'GntR ligand-binding domain-like', NULL, NULL, 8604, 18),
(201070, NULL, 'SSF75420', NULL, NULL, NULL, NULL, 'YhbC-like, N-terminal domain', NULL, NULL, 25337, 18),
(201071, NULL, 'SSF57283', NULL, NULL, NULL, NULL, 'PMP inhibitors', NULL, NULL, 30641, 18),
(201072, NULL, 'SSF142913', NULL, NULL, NULL, NULL, 'YktB/PF0168-like', NULL, NULL, NULL, 18),
(201073, NULL, 'SSF111337', NULL, NULL, NULL, NULL, 'QueA-like', NULL, NULL, 29623, 18),
(201074, NULL, 'SSF47676', NULL, NULL, NULL, NULL, 'Conserved domain common to transcription factors TFIIS, elongin A, CRSP70', NULL, NULL, 34157, 18),
(201075, NULL, 'SSF54782', NULL, NULL, NULL, NULL, 'Porphobilinogen deaminase (hydroxymethylbilane synthase), C-terminal domain', NULL, NULL, 36105, 18),
(201076, NULL, 'SSF48366', NULL, NULL, NULL, NULL, 'Ras GEF', NULL, NULL, 20178, 18),
(201077, NULL, 'SSF102462', NULL, NULL, NULL, NULL, 'Peptidyl-tRNA hydrolase II', NULL, NULL, 16471, 18),
(201078, NULL, 'SSF75708', NULL, NULL, NULL, NULL, 'Chemotaxis phosphatase CheZ', NULL, NULL, NULL, 18),
(201079, NULL, 'SSF101327', NULL, NULL, NULL, NULL, 'YgfB-like', NULL, NULL, 31031, 18),
(201080, NULL, 'SSF103359', NULL, NULL, NULL, NULL, 'Suppressor of Fused, N-terminal domain', NULL, NULL, 34890, 18),
(201081, NULL, 'SSF90246', NULL, NULL, NULL, NULL, 'Head morphogenesis protein gp7', NULL, NULL, 36474, 18),
(201082, NULL, 'SSF56672', NULL, NULL, NULL, NULL, 'DNA/RNA polymerases', NULL, NULL, 37666, 18),
(201083, NULL, 'SSF144210', NULL, NULL, NULL, NULL, 'Nop10-like SnoRNP', NULL, NULL, 34614, 18),
(201084, NULL, 'SSF53067', NULL, NULL, NULL, NULL, 'Actin-like ATPase domain', NULL, NULL, 37684, 18),
(201085, NULL, 'SSF140319', NULL, NULL, NULL, NULL, 'IscX-like', NULL, NULL, 29994, 18),
(201086, NULL, 'SSF46596', NULL, NULL, NULL, NULL, 'Eukaryotic DNA topoisomerase I, dispensable insert domain', NULL, NULL, NULL, 18),
(201087, NULL, 'SSF55186', NULL, NULL, NULL, NULL, 'ThrRS/AlaRS common domain', NULL, NULL, 19932, 18),
(201088, NULL, 'SSF53098', NULL, NULL, NULL, NULL, 'Ribonuclease H-like', NULL, NULL, 7990, 18),
(201089, NULL, 'SSF69012', NULL, NULL, NULL, NULL, 'alpha-ketoacid dehydrogenase kinase, N-terminal domain', NULL, NULL, 36372, 18),
(201090, NULL, 'SSF140693', NULL, NULL, NULL, NULL, 'IpaD-like', NULL, NULL, 36088, 18),
(201091, NULL, 'SSF144064', NULL, NULL, NULL, NULL, 'Heme iron utilization protein-like', NULL, NULL, NULL, 18),
(201092, NULL, 'SSF160481', NULL, NULL, NULL, NULL, 'BRK domain-like', NULL, NULL, 34362, 18),
(201093, NULL, 'SSF54556', NULL, NULL, NULL, NULL, 'Chitinase insertion domain', NULL, NULL, 25993, 18),
(201094, NULL, 'SSF47823', NULL, NULL, NULL, NULL, 'lambda integrase-like, N-terminal domain', NULL, NULL, NULL, 18),
(201095, NULL, 'SSF53659', NULL, NULL, NULL, NULL, 'Isocitrate/Isopropylmalate dehydrogenase-like', NULL, NULL, NULL, 18),
(201096, NULL, 'SSF116820', NULL, NULL, NULL, NULL, 'Rps17e-like', NULL, NULL, 34406, 18),
(201097, NULL, 'SSF52943', NULL, NULL, NULL, NULL, 'ATP synthase (F1-ATPase), gamma subunit', NULL, NULL, 32073, 18),
(201098, NULL, 'SSF161060', NULL, NULL, NULL, NULL, 'ATP synthase B chain-like', NULL, NULL, NULL, 18),
(201099, NULL, 'SSF53062', NULL, NULL, NULL, NULL, 'PTS system fructose IIA component-like', NULL, NULL, 30976, 18),
(201100, NULL, 'SSF55252', NULL, NULL, NULL, NULL, 'C-terminal domain of arginine repressor', NULL, NULL, 33359, 18);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201101, NULL, 'SSF143880', NULL, NULL, NULL, NULL, 'NE0471 N-terminal domain-like', NULL, NULL, 36037, 18),
(201102, NULL, 'SSF50904', NULL, NULL, NULL, NULL, 'Oncogene products', NULL, NULL, 30934, 18),
(201103, NULL, 'SSF82704', NULL, NULL, NULL, NULL, 'AlbA-like', NULL, NULL, 30519, 18),
(201104, NULL, 'SSF142887', NULL, NULL, NULL, NULL, 'PhtA domain-like', NULL, NULL, 31214, 18),
(201105, NULL, 'SSF51011', NULL, NULL, NULL, NULL, 'Glycosyl hydrolase domain', NULL, NULL, NULL, 18),
(201106, NULL, 'SSF47050', NULL, NULL, NULL, NULL, 'VHP, Villin headpiece domain', NULL, NULL, 30869, 18),
(201107, NULL, 'SSF51004', NULL, NULL, NULL, NULL, 'C-terminal (heme d1) domain of cytochrome cd1-nitrite reductase', NULL, NULL, 9032, 18),
(201108, NULL, 'SSF81778', NULL, NULL, NULL, NULL, 'Crustacean CHH/MIH/GIH neurohormone', NULL, NULL, 35127, 18),
(201109, NULL, 'SSF56014', NULL, NULL, NULL, NULL, 'Nitrite and sulphite reductase 4Fe-4S domain-like', NULL, NULL, 36793, 18),
(201110, NULL, 'SSF141666', NULL, NULL, NULL, NULL, '''SARS ORF9b-like', NULL, NULL, 31820, 18),
(201111, NULL, 'SSF55821', NULL, NULL, NULL, NULL, 'YrdC/RibB', NULL, NULL, 2537, 18),
(201112, NULL, 'SSF81710', NULL, NULL, NULL, NULL, 'Plasmid maintenance system epsilon/zeta, antidote epsilon subunit', NULL, NULL, 29637, 18),
(201113, NULL, 'SSF48163', NULL, NULL, NULL, NULL, 'An anticodon-binding domain of class I aminoacyl-tRNA synthetases', NULL, NULL, 8783, 18),
(201114, NULL, 'SSF89837', NULL, NULL, NULL, NULL, 'Doublecortin (DC)', NULL, NULL, 33610, 18),
(201115, NULL, 'SSF117100', NULL, NULL, NULL, NULL, 'Beta-galactosidase LacA, domain 3', NULL, NULL, 30215, 18),
(201116, NULL, 'SSF58018', NULL, NULL, NULL, NULL, 'Coiled-coil dimerization domain from cortexillin I', NULL, NULL, NULL, 18),
(201117, NULL, 'SSF48350', NULL, NULL, NULL, NULL, 'GTPase activation domain, GAP', NULL, NULL, 8817, 18),
(201118, NULL, 'SSF159173', NULL, NULL, NULL, NULL, 'YkvR-like', NULL, NULL, 21096, 18),
(201119, NULL, 'SSF69008', NULL, NULL, NULL, NULL, 'RecG, N-terminal domain', NULL, NULL, 34281, 18),
(201120, NULL, 'SSF47648', NULL, NULL, NULL, NULL, 'Nucleoside phosphorylase/phosphoribosyltransferase N-terminal domain', NULL, NULL, 30005, 18),
(201121, NULL, 'SSF160897', NULL, NULL, NULL, NULL, 'Taf5 N-terminal domain-like', NULL, NULL, 34275, 18),
(201122, NULL, 'SSF47874', NULL, NULL, NULL, NULL, 'Annexin', NULL, NULL, 30218, 18),
(201123, NULL, 'SSF54995', NULL, NULL, NULL, NULL, 'Ribosomal protein S6', NULL, NULL, 34712, 18),
(201124, NULL, 'SSF54713', NULL, NULL, NULL, NULL, 'Elongation factor Ts (EF-Ts), dimerisation domain', NULL, NULL, 31587, 18),
(201125, NULL, 'SSF55031', NULL, NULL, NULL, NULL, 'Bacterial exopeptidase dimerisation domain', NULL, NULL, 34395, 18),
(201126, NULL, 'SSF160387', NULL, NULL, NULL, NULL, 'NosL/MerB-like', NULL, NULL, NULL, 18),
(201127, NULL, 'SSF74942', NULL, NULL, NULL, NULL, 'YhbC-like, C-terminal domain', NULL, NULL, 34058, 18),
(201128, NULL, 'SSF58069', NULL, NULL, NULL, NULL, 'Virus ectodomain', NULL, NULL, NULL, 18),
(201129, NULL, 'SSF57987', NULL, NULL, NULL, NULL, 'Inovirus (filamentous phage) major coat protein', NULL, NULL, NULL, 18),
(201130, NULL, 'SSF159141', NULL, NULL, NULL, NULL, 'HIN-2000 domain-like', NULL, NULL, NULL, 18),
(201131, NULL, 'SSF63829', NULL, NULL, NULL, NULL, 'Calcium-dependent phosphotriesterase', NULL, NULL, NULL, 18),
(201132, NULL, 'SSF160472', NULL, NULL, NULL, NULL, 'NMB0513-like', NULL, NULL, 17244, 18),
(201133, NULL, 'SSF47587', NULL, NULL, NULL, NULL, 'Domain of poly(ADP-ribose) polymerase', NULL, NULL, 30412, 18),
(201134, NULL, 'SSF111384', NULL, NULL, NULL, NULL, 'OmpH-like', NULL, NULL, 21518, 18),
(201135, NULL, 'SSF52738', NULL, NULL, NULL, NULL, 'Methylesterase CheB, C-terminal domain', NULL, NULL, 11917, 18),
(201136, NULL, 'SSF56864', NULL, NULL, NULL, NULL, 'Exotoxin A, middle domain', NULL, NULL, 33513, 18),
(201137, NULL, 'SSF53597', NULL, NULL, NULL, NULL, 'Dihydrofolate reductase-like', NULL, NULL, 19441, 18),
(201138, NULL, 'SSF54277', NULL, NULL, NULL, NULL, 'CAD & PB1 domains', NULL, NULL, NULL, 18);        
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201139, NULL, 'SSF69304', NULL, NULL, NULL, NULL, 'Tricorn protease N-terminal domain', NULL, NULL, NULL, 18),
(201140, NULL, 'SSF50956', NULL, NULL, NULL, NULL, 'Thermostable phytase (3-phytase)', NULL, NULL, NULL, 18),
(201141, NULL, 'SSF54106', NULL, NULL, NULL, NULL, 'LysM domain', NULL, NULL, 36433, 18),
(201142, NULL, 'SSF50341', NULL, NULL, NULL, NULL, 'CheW-like', NULL, NULL, 31901, 18),
(201143, NULL, 'SSF55116', NULL, NULL, NULL, NULL, 'Formiminotransferase domain of formiminotransferase-cyclodeaminase.', NULL, NULL, 16088, 18),
(201144, NULL, 'SSF51391', NULL, NULL, NULL, NULL, 'Thiamin phosphate synthase', NULL, NULL, 32182, 18),
(201145, NULL, 'SSF81508', NULL, NULL, NULL, NULL, 'Ubiquinone-binding protein QP-C of cytochrome bc1 complex (Ubiquinol-cytochrome c reductase)', NULL, NULL, 33121, 18),
(201146, NULL, 'SSF52743', NULL, NULL, NULL, NULL, 'Subtilisin-like', NULL, NULL, 34046, 18),
(201147, NULL, 'SSF160957', NULL, NULL, NULL, NULL, 'Poly(A) polymerase catalytic subunit-like', NULL, NULL, 35404, 18),
(201148, NULL, 'SSF57938', NULL, NULL, NULL, NULL, 'DnaJ/Hsp40 cysteine-rich domain', NULL, NULL, 34384, 18),
(201149, NULL, 'SSF111347', NULL, NULL, NULL, NULL, 'Rap/Ran-GAP', NULL, NULL, 18611, 18),
(201150, NULL, 'SSF101353', NULL, NULL, NULL, NULL, 'Putative anticodon-binding domain of alanyl-tRNA synthetase (AlaRS)', NULL, NULL, 18007, 18),
(201151, NULL, 'SSF111469', NULL, NULL, NULL, NULL, 'Geminin coiled-coil domain', NULL, NULL, NULL, 18),
(201152, NULL, 'SSF50952', NULL, NULL, NULL, NULL, 'Soluble quinoprotein glucose dehydrogenase', NULL, NULL, 9373, 18),
(201153, NULL, 'SSF64076', NULL, NULL, NULL, NULL, 'MTH938-like', NULL, NULL, 30192, 18),
(201154, NULL, 'SSF52313', NULL, NULL, NULL, NULL, 'Ribosomal protein S2', NULL, NULL, 17337, 18),
(201155, NULL, 'SSF161098', NULL, NULL, NULL, NULL, 'MetI-like', NULL, NULL, 13898, 18),
(201156, NULL, 'SSF118010', NULL, NULL, NULL, NULL, 'TM1457-like', NULL, NULL, 34713, 18),
(201157, NULL, 'SSF103417', NULL, NULL, NULL, NULL, 'Major capsid protein VP5', NULL, NULL, 8813, 18),
(201158, NULL, 'SSF74778', NULL, NULL, NULL, NULL, 'Aconitase B, N-terminal domain', NULL, NULL, 33936, 18),
(201159, NULL, 'SSF159042', NULL, NULL, NULL, NULL, 'Plus3-like', NULL, NULL, 36194, 18),
(201160, NULL, 'SSF51215', NULL, NULL, NULL, NULL, 'Regulatory protein AraC', NULL, NULL, 31154, 18),
(201161, NULL, 'SSF52166', NULL, NULL, NULL, NULL, 'Ribosomal protein L4', NULL, NULL, 19460, 18),
(201162, NULL, 'SSF82697', NULL, NULL, NULL, NULL, 'PurS-like', NULL, NULL, 35320, 18),
(201163, NULL, 'SSF158615', NULL, NULL, NULL, NULL, 'RbcX-like', NULL, NULL, 31043, 18),
(201164, NULL, 'SSF51110', NULL, NULL, NULL, NULL, 'alpha-D-mannose-specific plant lectins', NULL, NULL, 30691, 18),
(201165, NULL, 'SSF89392', NULL, NULL, NULL, NULL, 'Prokaryotic lipoproteins and lipoprotein localization factors', NULL, NULL, 27080, 18),
(201166, NULL, 'SSF110581', NULL, NULL, NULL, NULL, 'Indigoidine synthase A-like', NULL, NULL, 17270, 18),
(201167, NULL, 'SSF47571', NULL, NULL, NULL, NULL, 'Cloroperoxidase', NULL, NULL, 34278, 18),
(201168, NULL, 'SSF47364', NULL, NULL, NULL, NULL, 'Domain of the SRP/SRP receptor G-proteins', NULL, NULL, 32143, 18),
(201169, NULL, 'SSF69055', NULL, NULL, NULL, NULL, '1-deoxy-D-xylulose-5-phosphate reductoisomerase, C-terminal domain', NULL, NULL, 34081, 18),
(201170, NULL, 'SSF54654', NULL, NULL, NULL, NULL, 'CI-2 family of serine protease inhibitors', NULL, NULL, 30342, 18),
(201171, NULL, 'SSF56204', NULL, NULL, NULL, NULL, 'Hect, E3 ligase catalytic domain', NULL, NULL, 34830, 18),
(201172, NULL, 'SSF102891', NULL, NULL, NULL, NULL, 'Hypothetical protein Ta1206', NULL, NULL, 33984, 18),
(201173, NULL, 'SSF57038', NULL, NULL, NULL, NULL, 'Cyclotides', NULL, NULL, 30978, 18),
(201174, NULL, 'SSF109604', NULL, NULL, NULL, NULL, 'HD-domain/PDEase-like', NULL, NULL, NULL, 18),
(201175, NULL, 'SSF161033', NULL, NULL, NULL, NULL, 'Photosystem II reaction center protein M, PsbM', NULL, NULL, 35322, 18),
(201176, NULL, 'SSF50465', NULL, NULL, NULL, NULL, 'EF-Tu/eEF-1alpha/eIF2-gamma C-terminal domain', NULL, NULL, 9788, 18);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201177, NULL, 'SSF159468', NULL, NULL, NULL, NULL, 'AtpF-like', NULL, NULL, 36423, 18),
(201178, NULL, 'SSF51332', NULL, NULL, NULL, NULL, 'E2 regulatory, transactivation domain', NULL, NULL, 35592, 18),
(201179, NULL, 'SSF103501', NULL, NULL, NULL, NULL, 'Respiratory nitrate reductase 1 gamma chain', NULL, NULL, 31508, 18),
(201180, NULL, 'SSF51069', NULL, NULL, NULL, NULL, 'Carbonic anhydrase', NULL, NULL, 34479, 18),
(201181, NULL, 'SSF47162', NULL, NULL, NULL, NULL, 'Apolipoprotein', NULL, NULL, NULL, 18),
(201182, NULL, 'SSF51366', NULL, NULL, NULL, NULL, 'Ribulose-phoshate binding barrel', NULL, NULL, 9110, 18),
(201183, NULL, 'SSF158494', NULL, NULL, NULL, NULL, 'PG0775 C-terminal domain-like', NULL, NULL, 36317, 18),
(201184, NULL, 'SSF55003', NULL, NULL, NULL, NULL, 'PAP/Archaeal CCA-adding enzyme, C-terminal domain', NULL, NULL, 10924, 18),
(201185, NULL, 'SSF141729', NULL, NULL, NULL, NULL, 'FimD N-terminal domain-like', NULL, NULL, 29977, 18),
(201186, NULL, 'SSF142984', NULL, NULL, NULL, NULL, 'Nqo1 middle domain-like', NULL, NULL, NULL, 18),
(201187, NULL, 'SSF50346', NULL, NULL, NULL, NULL, 'PRC-barrel domain', NULL, NULL, 9306, 18),
(201188, NULL, 'SSF55785', NULL, NULL, NULL, NULL, 'PYP-like sensor domain (PAS domain)', NULL, NULL, 32178, 18),
(201189, NULL, 'SSF158702', NULL, NULL, NULL, NULL, 'Sec63 N-terminal domain-like', NULL, NULL, NULL, 18),
(201190, NULL, 'SSF75500', NULL, NULL, NULL, NULL, 'Putative transcriptional regulator TM1602, C-terminal domain', NULL, NULL, 28623, 18),
(201191, NULL, 'SSF51230', NULL, NULL, NULL, NULL, 'Single hybrid motif', NULL, NULL, 9168, 18),
(201192, NULL, 'SSF52218', NULL, NULL, NULL, NULL, 'Flavoproteins', NULL, NULL, 26388, 18),
(201193, NULL, 'SSF141072', NULL, NULL, NULL, NULL, 'CalX-like', NULL, NULL, 34979, 18),
(201194, NULL, 'SSF111474', NULL, NULL, NULL, NULL, 'Coronavirus S2 glycoprotein', NULL, NULL, 38261, 18),
(201195, NULL, 'SSF158791', NULL, NULL, NULL, NULL, 'MgtE N-terminal domain-like', NULL, NULL, NULL, 18),
(201196, NULL, 'SSF47973', NULL, NULL, NULL, NULL, 'Ribosomal protein S7', NULL, NULL, 30339, 18),
(201197, NULL, 'SSF158622', NULL, NULL, NULL, NULL, 'YheA/YmcA-like', NULL, NULL, 16199, 18),
(201198, NULL, 'SSF56371', NULL, NULL, NULL, NULL, 'Ribosome inactivating proteins (RIP)', NULL, NULL, 32817, 18),
(201199, NULL, 'SSF48479', NULL, NULL, NULL, NULL, 'Cytochrome c oxidase subunit E', NULL, NULL, 36414, 18),
(201200, NULL, 'SSF46604', NULL, NULL, NULL, NULL, 'Epsilon subunit of F1F0-ATP synthase C-terminal domain', NULL, NULL, 36127, 18),
(201201, NULL, 'SSF63867', NULL, NULL, NULL, NULL, 'MoeA C-terminal domain-like', NULL, NULL, 33660, 18),
(201202, NULL, 'SSF50876', NULL, NULL, NULL, NULL, 'Avidin/streptavidin', NULL, NULL, 30673, 18),
(201203, NULL, 'SSF53807', NULL, NULL, NULL, NULL, '"Helical backbone" metal receptor', NULL, NULL, NULL, 18),
(201204, NULL, 'SSF54117', NULL, NULL, NULL, NULL, 'Interleukin 8-like chemokines', NULL, NULL, 32165, 18),
(201205, NULL, 'SSF56487', NULL, NULL, NULL, NULL, 'SRCR-like', NULL, NULL, 34456, 18),
(201206, NULL, 'SSF57620', NULL, NULL, NULL, NULL, 'Carboxypeptidase inhibitor', NULL, NULL, 8521, 18),
(201207, NULL, 'SSF103370', NULL, NULL, NULL, NULL, 'NinB', NULL, NULL, 30526, 18),
(201208, NULL, 'SSF51081', NULL, NULL, NULL, NULL, 'Bacteriochlorophyll A protein', NULL, NULL, 35973, 18),
(201209, NULL, 'SSF50993', NULL, NULL, NULL, NULL, 'Peptidase/esterase ''gauge'' domain', NULL, NULL, NULL, 18),
(201210, NULL, 'SSF46973', NULL, NULL, NULL, NULL, 'Enzyme IIa from lactose specific PTS, IIa-lac', NULL, NULL, 36226, 18),
(201211, NULL, 'SSF101112', NULL, NULL, NULL, NULL, 'Oxygen-evolving enhancer protein 3,', NULL, NULL, 2235, 18),
(201212, NULL, 'SSF102816', NULL, NULL, NULL, NULL, 'Putative dsDNA mimic', NULL, NULL, 34724, 18),
(201213, NULL, 'SSF54403', NULL, NULL, NULL, NULL, 'Cystatin/monellin', NULL, NULL, NULL, 18),
(201214, NULL, 'SSF111418', NULL, NULL, NULL, NULL, 'Hormone receptor domain', NULL, NULL, 30971, 18),
(201215, NULL, 'SSF55620', NULL, NULL, NULL, NULL, 'Tetrahydrobiopterin biosynthesis enzymes-like', NULL, NULL, NULL, 18);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201216, NULL, 'SSF69360', NULL, NULL, NULL, NULL, 'Cell wall binding repeat', NULL, NULL, NULL, 18),
(201217, NULL, 'SSF54495', NULL, NULL, NULL, NULL, 'UBC-like', NULL, NULL, 11040, 18),
(201218, NULL, 'SSF81383', NULL, NULL, NULL, NULL, 'F-box domain', NULL, NULL, 29267, 18),
(201219, NULL, 'SSF81601', NULL, NULL, NULL, NULL, 'Protein serine/threonine phosphatase 2C, C-terminal domain', NULL, NULL, 32485, 18),
(201220, NULL, 'SSF48371', NULL, NULL, NULL, NULL, 'ARM repeat', NULL, NULL, 10395, 18),
(201221, NULL, 'SSF47195', NULL, NULL, NULL, NULL, 'TMV-like viral coat proteins', NULL, NULL, 30372, 18),
(201222, NULL, 'SSF54328', NULL, NULL, NULL, NULL, 'Staphylokinase/streptokinase', NULL, NULL, 35708, 18),
(201223, NULL, 'SSF54593', NULL, NULL, NULL, NULL, 'Glyoxalase/Bleomycin resistance protein/Dihydroxybiphenyl dioxygenase', NULL, NULL, 26239, 18),
(201224, NULL, 'SSF81464', NULL, NULL, NULL, NULL, 'Cytochrome c oxidase subunit II-like, transmembrane region', NULL, NULL, 31205, 18),
(201225, NULL, 'SSF48508', NULL, NULL, NULL, NULL, 'Nuclear receptor ligand-binding domain', NULL, NULL, 31794, 18),
(201226, NULL, 'SSF89000', NULL, NULL, NULL, NULL, 'post-HMGL domain-like', NULL, NULL, NULL, 18),
(201227, NULL, 'SSF141371', NULL, NULL, NULL, NULL, 'PilZ domain-like', NULL, NULL, NULL, 18),
(201228, NULL, 'SSF141457', NULL, NULL, NULL, NULL, 'BH3618-like', NULL, NULL, 11840, 18),
(201229, NULL, 'SSF46966', NULL, NULL, NULL, NULL, 'Spectrin repeat', NULL, NULL, NULL, 18),
(201230, NULL, 'SSF109839', NULL, NULL, NULL, NULL, 'Cag-Z', NULL, NULL, 34433, 18),
(201231, NULL, 'SSF103623', NULL, NULL, NULL, NULL, 'Hypothetical protein Ta0289 C-terminal domain', NULL, NULL, 34120, 18),
(201232, NULL, 'SSF53774', NULL, NULL, NULL, NULL, 'Glutaminase/Asparaginase', NULL, NULL, 30846, 18),
(201233, NULL, 'SSF47345', NULL, NULL, NULL, NULL, 'Colicin E immunity proteins', NULL, NULL, 15105, 18),
(201234, NULL, 'SSF53146', NULL, NULL, NULL, NULL, 'Nitrogenase accessory factor-like', NULL, NULL, 36265, 18),
(201235, NULL, 'SSF69742', NULL, NULL, NULL, NULL, 'Glutamyl tRNA-reductase catalytic, N-terminal domain', NULL, NULL, 30492, 18),
(201236, NULL, 'SSF53738', NULL, NULL, NULL, NULL, 'Phosphoglucomutase, first 3 domains', NULL, NULL, 10176, 18),
(201237, NULL, 'SSF109801', NULL, NULL, NULL, NULL, 'Hypothetical protein D-63', NULL, NULL, 32301, 18),
(201238, NULL, 'SSF161037', NULL, NULL, NULL, NULL, 'Photosystem II reaction center protein K, PsbK', NULL, NULL, 35002, 18),
(201239, NULL, 'SSF82754', NULL, NULL, NULL, NULL, 'C-terminal, gelsolin-like domain of Sec23/24', NULL, NULL, 36242, 18),
(201240, NULL, 'SSF143567', NULL, NULL, NULL, NULL, 'YkuJ-like', NULL, NULL, 33212, 18),
(201241, NULL, 'SSF56983', NULL, NULL, NULL, NULL, 'Viral glycoprotein, central and dimerisation domains', NULL, NULL, 31318, 18),
(201242, NULL, 'SSF111038', NULL, NULL, NULL, NULL, 'YjbQ-like', NULL, NULL, 26313, 18),
(201243, NULL, 'SSF47055', NULL, NULL, NULL, NULL, 'TAF(II)230 TBP-binding fragment', NULL, NULL, 30257, 18),
(201244, NULL, 'SSF47459', NULL, NULL, NULL, NULL, 'HLH, helix-loop-helix DNA-binding domain', NULL, NULL, 29151, 18),
(201245, NULL, 'SSF90242', NULL, NULL, NULL, NULL, 'Dimerization motif of sir4', NULL, NULL, NULL, 18),
(201246, NULL, 'SSF69336', NULL, NULL, NULL, NULL, 'Alpha subunit of glutamate synthase, C-terminal domain', NULL, NULL, 31558, 18),
(201247, NULL, 'SSF50151', NULL, NULL, NULL, NULL, 'SacY-like RNA-binding domain', NULL, NULL, 33075, 18),
(201248, NULL, 'SSF159894', NULL, NULL, NULL, NULL, 'YgaC/TfoX-N like', NULL, NULL, NULL, 18),
(201249, NULL, 'SSF49468', NULL, NULL, NULL, NULL, 'VHL', NULL, NULL, 32164, 18),
(201250, NULL, 'SSF116878', NULL, NULL, NULL, NULL, 'TrmE connector domain', NULL, NULL, NULL, 18),
(201251, NULL, 'SSF56954', NULL, NULL, NULL, NULL, 'Outer membrane efflux proteins (OEP)', NULL, NULL, NULL, 18),
(201252, NULL, 'SSF109715', NULL, NULL, NULL, NULL, 'DEK C-terminal domain', NULL, NULL, NULL, 18),
(201253, NULL, 'SSF143749', NULL, NULL, NULL, NULL, 'Phage tail protein-like', NULL, NULL, 13876, 18);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201254, NULL, 'SSF54171', NULL, NULL, NULL, NULL, 'DNA-binding domain', NULL, NULL, 12115, 18),
(201255, NULL, 'SSF53155', NULL, NULL, NULL, NULL, 'Methylated DNA-protein cysteine methyltransferase domain', NULL, NULL, 30613, 18),
(201256, NULL, 'SSF54857', NULL, NULL, NULL, NULL, 'DNA damage-inducible protein DinI', NULL, NULL, 34696, 18),
(201257, NULL, 'SSF56831', NULL, NULL, NULL, NULL, 'Reovirus inner layer core protein p3', NULL, NULL, 18140, 18),
(201258, NULL, 'SSF54160', NULL, NULL, NULL, NULL, 'Chromo domain-like', NULL, NULL, 12143, 18),
(201259, NULL, 'SSF64263', NULL, NULL, NULL, NULL, 'Prokaryotic ribosomal protein L17', NULL, NULL, 30933, 18),
(201260, NULL, 'SSF52374', NULL, NULL, NULL, NULL, 'Nucleotidylyl transferase', NULL, NULL, NULL, 18),
(201261, NULL, 'SSF89028', NULL, NULL, NULL, NULL, 'Cobalamin adenosyltransferase-like', NULL, NULL, 34061, 18),
(201262, NULL, 'SSF48140', NULL, NULL, NULL, NULL, 'Ribosomal protein L19 (L19e)', NULL, NULL, 29196, 18),
(201263, NULL, 'SSF117916', NULL, NULL, NULL, NULL, 'Fe-S cluster assembly (FSCA) domain-like', NULL, NULL, 30636, 18),
(201264, NULL, 'SSF81296', NULL, NULL, NULL, NULL, 'E set domains', NULL, NULL, 8069, 18),
(201265, NULL, 'SSF56978', NULL, NULL, NULL, NULL, 'Perfringolysin', NULL, NULL, 34498, 18),
(201266, NULL, 'SSF46915', NULL, NULL, NULL, NULL, 'Polynucleotide phosphorylase/guanosine pentaphosphate synthase (PNPase/GPSI), domain 3', NULL, NULL, 34271, 18),
(201267, NULL, 'SSF69786', NULL, NULL, NULL, NULL, 'YggU-like', NULL, NULL, 35809, 18),
(201268, NULL, 'SSF53032', NULL, NULL, NULL, NULL, 'tRNA-intron endonuclease catalytic domain-like', NULL, NULL, 32722, 18),
(201269, NULL, 'SSF160991', NULL, NULL, NULL, NULL, 'CV3147-like', NULL, NULL, NULL, 18),
(201270, NULL, 'SSF101148', NULL, NULL, NULL, NULL, 'Plant invertase/pectin methylesterase inhibitor', NULL, NULL, 35423, 18),
(201271, NULL, 'SSF57586', NULL, NULL, NULL, NULL, 'TNF receptor-like', NULL, NULL, NULL, 18),
(201272, NULL, 'SSF159234', NULL, NULL, NULL, NULL, 'FomD-like', NULL, NULL, 31982, 18),
(201273, NULL, 'SSF161240', NULL, NULL, NULL, NULL, 'T-antigen specific domain-like', NULL, NULL, 29895, 18),
(201274, NULL, 'SSF160214', NULL, NULL, NULL, NULL, 'FlaG-like', NULL, NULL, 24384, 18),
(201275, NULL, 'SSF49889', NULL, NULL, NULL, NULL, 'Soluble secreted chemokine inhibitor, VCCI', NULL, NULL, 36453, 18),
(201276, NULL, 'SSF51658', NULL, NULL, NULL, NULL, 'Xylose isomerase-like', NULL, NULL, 32331, 18),
(201277, NULL, 'SSF54368', NULL, NULL, NULL, NULL, 'Glutamine synthetase, N-terminal domain', NULL, NULL, 32069, 18),
(201278, NULL, 'SSF118352', NULL, NULL, NULL, NULL, 'HSP33 redox switch-like', NULL, NULL, 12132, 18),
(201279, NULL, 'SSF50715', NULL, NULL, NULL, NULL, 'Ribosomal protein L25-like', NULL, NULL, 9083, 18),
(201280, NULL, 'SSF69025', NULL, NULL, NULL, NULL, 'Hypothetical protein MTH865', NULL, NULL, 30430, 18),
(201281, NULL, 'SSF56366', NULL, NULL, NULL, NULL, 'SMAD MH1 domain', NULL, NULL, 32100, 18),
(201282, NULL, 'SSF53613', NULL, NULL, NULL, NULL, 'Ribokinase-like', NULL, NULL, 25645, 18),
(201283, NULL, 'SSF47694', NULL, NULL, NULL, NULL, 'Cytochrome c oxidase subunit h', NULL, NULL, 36383, 18),
(201284, NULL, 'SSF54984', NULL, NULL, NULL, NULL, 'eEF-1beta-like', NULL, NULL, 32090, 18),
(201285, NULL, 'SSF57180', NULL, NULL, NULL, NULL, 'Cellulose-binding domain', NULL, NULL, 17401, 18),
(201286, NULL, 'SSF82689', NULL, NULL, NULL, NULL, 'Mechanosensitive channel protein MscS (YggB), C-terminal domain', NULL, NULL, 10580, 18),
(201287, NULL, 'SSF53323', NULL, NULL, NULL, NULL, 'Pyruvate-ferredoxin oxidoreductase, PFOR, domain III', NULL, NULL, 5661, 18),
(201288, NULL, 'SSF47686', NULL, NULL, NULL, NULL, 'Anaphylotoxins (complement system)', NULL, NULL, 21332, 18),
(201289, NULL, 'SSF47852', NULL, NULL, NULL, NULL, 'Hepatitis B viral capsid (hbcag)', NULL, NULL, 30943, 18),
(201290, NULL, 'SSF52964', NULL, NULL, NULL, NULL, 'TolB, N-terminal domain', NULL, NULL, NULL, 18),
(201291, NULL, 'SSF57055', NULL, NULL, NULL, NULL, 'Agouti-related protein', NULL, NULL, 30494, 18);    
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201292, NULL, 'SSF56719', NULL, NULL, NULL, NULL, 'Type II DNA topoisomerase', NULL, NULL, 7696, 18),
(201293, NULL, 'SSF56349', NULL, NULL, NULL, NULL, 'DNA breaking-rejoining enzymes', NULL, NULL, 8550, 18),
(201294, NULL, 'SSF54897', NULL, NULL, NULL, NULL, 'Protease propeptides/inhibitors', NULL, NULL, NULL, 18),
(201295, NULL, 'SSF47794', NULL, NULL, NULL, NULL, 'Rad51 N-terminal domain-like', NULL, NULL, 8584, 18),
(201296, NULL, 'SSF56425', NULL, NULL, NULL, NULL, 'Succinate dehydrogenase/fumarate reductase flavoprotein, catalytic domain', NULL, NULL, 25403, 18),
(201297, NULL, 'SSF56219', NULL, NULL, NULL, NULL, 'DNase I-like', NULL, NULL, 33638, 18),
(201298, NULL, 'SSF81597', NULL, NULL, NULL, NULL, 'Iron-sulfur subunit of formate dehydrogenase N, transmembrane anchor', NULL, NULL, NULL, 18),
(201299, NULL, 'SSF102324', NULL, NULL, NULL, NULL, 'F420-dependent methylenetetrahydromethanopterin dehydrogenase (MTD)', NULL, NULL, 35401, 18),
(201300, NULL, 'SSF49723', NULL, NULL, NULL, NULL, 'Lipase/lipooxygenase domain (PLAT/LH2 domain)', NULL, NULL, 30987, 18),
(201301, NULL, 'SSF69985', NULL, NULL, NULL, NULL, 'Colicin E3 receptor domain', NULL, NULL, NULL, 18),
(201302, NULL, 'SSF50891', NULL, NULL, NULL, NULL, 'Cyclophilin-like', NULL, NULL, 27446, 18),
(201303, NULL, 'SSF52206', NULL, NULL, NULL, NULL, 'Hypothetical protein MTH538', NULL, NULL, 33749, 18),
(201304, NULL, 'SSF63600', NULL, NULL, NULL, NULL, 'Telomeric repeat binding factor (TRF) dimerisation domain', NULL, NULL, 33954, 18),
(201305, NULL, 'SSF101166', NULL, NULL, NULL, NULL, 'Docking domain A of the erythromycin polyketide synthase (DEBS)', NULL, NULL, 30914, 18),
(201306, NULL, 'SSF100957', NULL, NULL, NULL, NULL, 'Dimerization cofactor of HNF-1 alpha', NULL, NULL, 1552, 18),
(201307, NULL, 'SSF47869', NULL, NULL, NULL, NULL, 'Bacteriocin AS-48', NULL, NULL, NULL, 18),
(201308, NULL, 'SSF158221', NULL, NULL, NULL, NULL, 'YnzC-like', NULL, NULL, NULL, 18),
(201309, NULL, 'SSF158710', NULL, NULL, NULL, NULL, 'PSPTO4464-like', NULL, NULL, 15834, 18),
(201310, NULL, 'SSF50677', NULL, NULL, NULL, NULL, 'ValRS/IleRS/LeuRS editing domain', NULL, NULL, 9619, 18),
(201311, NULL, 'SSF140506', NULL, NULL, NULL, NULL, 'FHV B2 protein-like', NULL, NULL, 35882, 18),
(201312, NULL, 'SSF64518', NULL, NULL, NULL, NULL, 'Phase 1 flagellin', NULL, NULL, NULL, 18),
(201313, NULL, 'SSF63520', NULL, NULL, NULL, NULL, 'PTS-regulatory domain, PRD', NULL, NULL, 29392, 18),
(201314, NULL, 'SSF140102', NULL, NULL, NULL, NULL, 'ISY1 domain-like', NULL, NULL, 29542, 18),
(201315, NULL, 'SSF55234', NULL, NULL, NULL, NULL, 'Cyanase C-terminal domain', NULL, NULL, 33507, 18),
(201316, NULL, 'SSF69298', NULL, NULL, NULL, NULL, 'Quinohemoprotein amine dehydrogenase A chain, domain 3', NULL, NULL, 34767, 18),
(201317, NULL, 'SSF116907', NULL, NULL, NULL, NULL, 'Hook domain', NULL, NULL, NULL, 18),
(201318, NULL, 'SSF51126', NULL, NULL, NULL, NULL, 'Pectin lyase-like', NULL, NULL, 9140, 18),
(201319, NULL, 'SSF159672', NULL, NULL, NULL, NULL, 'CbiG N-terminal domain-like', NULL, NULL, 31288, 18),
(201320, NULL, 'SSF54980', NULL, NULL, NULL, NULL, 'EF-G C-terminal domain-like', NULL, NULL, 35467, 18),
(201321, NULL, 'SSF69979', NULL, NULL, NULL, NULL, 'Eea1 homodimerisation domain', NULL, NULL, NULL, 18),
(201322, NULL, 'SSF101738', NULL, NULL, NULL, NULL, 'SspB-like', NULL, NULL, 29821, 18),
(201323, NULL, 'SSF50998', NULL, NULL, NULL, NULL, 'Quinoprotein alcohol dehydrogenase-like', NULL, NULL, 9125, 18),
(201324, NULL, 'SSF103580', NULL, NULL, NULL, NULL, 'Necrosis inducing protein 1, NIP1', NULL, NULL, 34455, 18),
(201325, NULL, 'SSF50249', NULL, NULL, NULL, NULL, 'Nucleic acid-binding proteins', NULL, NULL, 7818, 18),
(201326, NULL, 'SSF55257', NULL, NULL, NULL, NULL, 'RBP11-like subunits of RNA polymerase', NULL, NULL, 36395, 18),
(201327, NULL, 'SSF56042', NULL, NULL, NULL, NULL, 'PurM C-terminal domain-like', NULL, NULL, 32489, 18),
(201328, NULL, 'SSF54427', NULL, NULL, NULL, NULL, 'NTF2-like', NULL, NULL, 29480, 18),
(201329, NULL, 'SSF56507', NULL, NULL, NULL, NULL, 'Methionine synthase activation domain-like', NULL, NULL, 30582, 18);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201330, NULL, 'SSF160379', NULL, NULL, NULL, NULL, 'SP0830-like', NULL, NULL, NULL, 18),
(201331, NULL, 'SSF55405', NULL, NULL, NULL, NULL, 'RNA bacteriophage capsid protein', NULL, NULL, 8381, 18),
(201332, NULL, 'SSF50156', NULL, NULL, NULL, NULL, 'PDZ domain-like', NULL, NULL, 29108, 18),
(201333, NULL, 'SSF50122', NULL, NULL, NULL, NULL, 'DNA-binding domain of retroviral integrase', NULL, NULL, 30532, 18),
(201334, NULL, 'SSF142877', NULL, NULL, NULL, NULL, 'EndoU-like', NULL, NULL, 31427, 18),
(201335, NULL, 'SSF102114', NULL, NULL, NULL, NULL, 'Radical SAM enzymes', NULL, NULL, NULL, 18),
(201336, NULL, 'SSF57924', NULL, NULL, NULL, NULL, 'Inhibitor of apoptosis (IAP) repeat', NULL, NULL, NULL, 18),
(201337, NULL, 'SSF158757', NULL, NULL, NULL, NULL, 'SMc04008-like', NULL, NULL, 36255, 18),
(201338, NULL, 'SSF100909', NULL, NULL, NULL, NULL, 'IP3 receptor type 1 binding core, domain 2', NULL, NULL, 11999, 18),
(201339, NULL, 'SSF75712', NULL, NULL, NULL, NULL, 'Rad50 coiled-coil Zn hook', NULL, NULL, NULL, 18),
(201340, NULL, 'SSF51156', NULL, NULL, NULL, NULL, 'Insect cysteine-rich antifreeze protein', NULL, NULL, 11294, 18),
(201341, NULL, 'SSF117125', NULL, NULL, NULL, NULL, 'Putative glucosidase YicI, C-terminal domain', NULL, NULL, NULL, 18),
(201342, NULL, 'SSF69279', NULL, NULL, NULL, NULL, 'Phage tail proteins', NULL, NULL, NULL, 18),
(201343, NULL, 'SSF52283', NULL, NULL, NULL, NULL, 'Formate/glycerate dehydrogenase catalytic domain-like', NULL, NULL, NULL, 18),
(201344, NULL, 'SSF52058', NULL, NULL, NULL, NULL, 'L domain-like', NULL, NULL, NULL, 18),
(201345, NULL, 'SSF161021', NULL, NULL, NULL, NULL, 'Photosystem II reaction center protein J, PsbJ', NULL, NULL, 35073, 18),
(201346, NULL, 'SSF69036', NULL, NULL, NULL, NULL, 'Bcr-Abl oncoprotein oligomerization domain', NULL, NULL, 33939, 18),
(201347, NULL, 'SSF51087', NULL, NULL, NULL, NULL, 'Outer surface protein', NULL, NULL, 16731, 18),
(201348, NULL, 'SSF57770', NULL, NULL, NULL, NULL, 'Methionyl-tRNA synthetase (MetRS), Zn-domain', NULL, NULL, 24573, 18),
(201349, NULL, 'SSF140560', NULL, NULL, NULL, NULL, 'TM0693-like', NULL, NULL, 33310, 18),
(201350, NULL, 'SSF50809', NULL, NULL, NULL, NULL, 'XRCC4, N-terminal domain', NULL, NULL, 6117, 18),
(201351, NULL, 'SSF55399', NULL, NULL, NULL, NULL, 'Subtilisin inhibitor', NULL, NULL, 30440, 18),
(201352, NULL, 'SSF101152', NULL, NULL, NULL, NULL, 'Mob1/phocein', NULL, NULL, 34234, 18),
(201353, NULL, 'SSF54565', NULL, NULL, NULL, NULL, 'Ribosomal protein S16', NULL, NULL, 17954, 18),
(201354, NULL, 'SSF54358', NULL, NULL, NULL, NULL, 'Immunoglobulin-binding domains', NULL, NULL, NULL, 18),
(201355, NULL, 'SSF101931', NULL, NULL, NULL, NULL, 'Pym (Within the bgcn gene intron protein, WIBG), N-terminal domain', NULL, NULL, 30206, 18),
(201356, NULL, 'SSF110738', NULL, NULL, NULL, NULL, 'Glycerate kinase I', NULL, NULL, 36113, 18),
(201357, NULL, 'SSF54928', NULL, NULL, NULL, NULL, 'RNA-binding domain, RBD', NULL, NULL, 20334, 18),
(201358, NULL, 'SSF158372', NULL, NULL, NULL, NULL, 'AF1782-like', NULL, NULL, 36162, 18),
(201359, NULL, 'SSF69761', NULL, NULL, NULL, NULL, 'GTP cyclohydrolase I feedback regulatory protein, GFRP', NULL, NULL, 34875, 18),
(201360, NULL, 'SSF81340', NULL, NULL, NULL, NULL, 'Clc chloride channel', NULL, NULL, 12776, 18),
(201361, NULL, 'SSF116738', NULL, NULL, NULL, NULL, 'NADH pyrophosphatase intervening domain', NULL, NULL, NULL, 18),
(201362, NULL, 'SSF110009', NULL, NULL, NULL, NULL, 'Hypothetical protein MG354', NULL, NULL, 24517, 18),
(201363, NULL, 'SSF111283', NULL, NULL, NULL, NULL, 'Putative modulator of DNA gyrase, PmbA/TldD', NULL, NULL, 31858, 18),
(201364, NULL, 'SSF58026', NULL, NULL, NULL, NULL, 'Delta-sleep-inducing peptide immunoreactive peptide', NULL, NULL, NULL, 18),
(201365, NULL, 'SSF81552', NULL, NULL, NULL, NULL, 'Subunit PsaX of photosystem I reaction centre', NULL, NULL, 32500, 18),
(201366, NULL, 'SSF52440', NULL, NULL, NULL, NULL, 'PreATP-grasp domain', NULL, NULL, 12472, 18),
(201367, NULL, 'SSF109998', NULL, NULL, NULL, NULL, 'Triger factor/SurA peptide-binding domain-like', NULL, NULL, 25675, 18);   
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201368, NULL, 'SSF82708', NULL, NULL, NULL, NULL, 'R3H domain', NULL, NULL, 30897, 18),
(201369, NULL, 'SSF47170', NULL, NULL, NULL, NULL, 'Aspartate receptor, ligand-binding domain', NULL, NULL, 34128, 18),
(201370, NULL, 'SSF111326', NULL, NULL, NULL, NULL, 'Urocanase', NULL, NULL, 29467, 18),
(201371, NULL, 'SSF161093', NULL, NULL, NULL, NULL, 'MgtE membrane domain-like', NULL, NULL, 34972, 18),
(201372, NULL, 'SSF82714', NULL, NULL, NULL, NULL, 'Multidrug efflux transporter AcrB TolC docking domain; DN and DC subdomains', NULL, NULL, 28536, 18),
(201373, NULL, 'SSF143120', NULL, NULL, NULL, NULL, 'YefM-like', NULL, NULL, 32877, 18),
(201374, NULL, 'SSF100966', NULL, NULL, NULL, NULL, 'Translation initiation factor 2 beta, aIF2beta, N-terminal domain', NULL, NULL, 12416, 18),
(201375, NULL, 'SSF55770', NULL, NULL, NULL, NULL, 'Profilin (actin-binding protein)', NULL, NULL, 30944, 18),
(201376, NULL, 'SSF89433', NULL, NULL, NULL, NULL, 'Baseplate structural protein gp8', NULL, NULL, 30248, 18),
(201377, NULL, 'SSF140753', NULL, NULL, NULL, NULL, 'PG0816-like', NULL, NULL, 34249, 18),
(201378, NULL, 'SSF81811', NULL, NULL, NULL, NULL, 'Helical domain of Sec23/24', NULL, NULL, 35175, 18),
(201379, NULL, 'SSF81853', NULL, NULL, NULL, NULL, 'Family 10 polysaccharide lyase', NULL, NULL, NULL, 18),
(201380, NULL, 'SSF89562', NULL, NULL, NULL, NULL, 'RraA-like', NULL, NULL, 34136, 18),
(201381, NULL, 'SSF64158', NULL, NULL, NULL, NULL, '2,3-Bisphosphoglycerate-independent phosphoglycerate mutase, substrate-binding domain', NULL, NULL, 31693, 18),
(201382, NULL, 'SSF56935', NULL, NULL, NULL, NULL, 'Porins', NULL, NULL, NULL, 18),
(201383, NULL, 'SSF55120', NULL, NULL, NULL, NULL, 'Pseudouridine synthase', NULL, NULL, 18637, 18),
(201384, NULL, 'SSF47384', NULL, NULL, NULL, NULL, 'Homodimeric domain of signal transducing histidine kinase', NULL, NULL, 29903, 18),
(201385, NULL, 'SSF90096', NULL, NULL, NULL, NULL, 'Subunits of heterodimeric actin filament capping protein Capz', NULL, NULL, 34545, 18),
(201386, NULL, 'SSF47928', NULL, NULL, NULL, NULL, 'N-terminal domain of the delta subunit of the F1F0-ATP synthase', NULL, NULL, 26106, 18),
(201387, NULL, 'SSF55383', NULL, NULL, NULL, NULL, 'Copper amine oxidase, domain N', NULL, NULL, 32156, 18),
(201388, NULL, 'SSF50985', NULL, NULL, NULL, NULL, 'RCC1/BLIP-II', NULL, NULL, 6457, 18),
(201389, NULL, 'SSF159941', NULL, NULL, NULL, NULL, 'MM3350-like', NULL, NULL, 11596, 18),
(201390, NULL, 'SSF159121', NULL, NULL, NULL, NULL, 'BC4932-like', NULL, NULL, 32951, 18),
(201391, NULL, 'SSF144292', NULL, NULL, NULL, NULL, 'occludin/ELL-like', NULL, NULL, NULL, 18),
(201392, NULL, 'SSF142764', NULL, NULL, NULL, NULL, 'YgbK-like', NULL, NULL, NULL, 18),
(201393, NULL, 'SSF52129', NULL, NULL, NULL, NULL, 'Caspase-like', NULL, NULL, 25136, 18),
(201394, NULL, 'SSF63825', NULL, NULL, NULL, NULL, 'YWTD domain', NULL, NULL, NULL, 18),
(201395, NULL, 'SSF81660', NULL, NULL, NULL, NULL, 'Metal cation-transporting ATPase, ATP-binding domain N', NULL, NULL, 14808, 18),
(201396, NULL, 'SSF64397', NULL, NULL, NULL, NULL, 'Hsp33 domain', NULL, NULL, 12404, 18),
(201397, NULL, 'SSF57007', NULL, NULL, NULL, NULL, 'Heat-stable enterotoxin B', NULL, NULL, 33955, 18),
(201398, NULL, 'SSF53756', NULL, NULL, NULL, NULL, 'UDP-Glycosyltransferase/glycogen phosphorylase', NULL, NULL, NULL, 18),
(201399, NULL, 'SSF140415', NULL, NULL, NULL, NULL, 'YppE-like', NULL, NULL, 16845, 18),
(201400, NULL, 'SSF69721', NULL, NULL, NULL, NULL, 'DsrC, the gamma subunit of dissimilatory sulfite reductase', NULL, NULL, 25063, 18),
(201401, NULL, 'SSF103084', NULL, NULL, NULL, NULL, 'Holliday junction resolvase RusA', NULL, NULL, 30249, 18),
(201402, NULL, 'SSF50353', NULL, NULL, NULL, NULL, 'Cytokine', NULL, NULL, 9705, 18),
(201403, NULL, 'SSF56327', NULL, NULL, NULL, NULL, 'LDH C-terminal domain-like', NULL, NULL, 8063, 18),
(201404, NULL, 'SSF49329', NULL, NULL, NULL, NULL, 'Cu,Zn superoxide dismutase-like', NULL, NULL, 30444, 18),
(201405, NULL, 'SSF56854', NULL, NULL, NULL, NULL, 'Bcl-2 inhibitors of programmed cell death', NULL, NULL, 30474, 18);         
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201406, NULL, 'SSF64586', NULL, NULL, NULL, NULL, 'C-terminal domain of ProRS', NULL, NULL, 18736, 18),
(201407, NULL, 'SSF53901', NULL, NULL, NULL, NULL, 'Thiolase-like', NULL, NULL, 13424, 18),
(201408, NULL, 'SSF103491', NULL, NULL, NULL, NULL, 'Preprotein translocase SecY subunit', NULL, NULL, 17895, 18),
(201409, NULL, 'SSF56091', NULL, NULL, NULL, NULL, 'DNA ligase/mRNA capping enzyme, catalytic domain', NULL, NULL, NULL, 18),
(201410, NULL, 'SSF69635', NULL, NULL, NULL, NULL, 'Type III secretory system chaperone-like', NULL, NULL, NULL, 18),
(201411, NULL, 'SSF58042', NULL, NULL, NULL, NULL, 'Outer membrane lipoprotein', NULL, NULL, NULL, 18),
(201412, NULL, 'SSF56826', NULL, NULL, NULL, NULL, 'Upper collar protein gp10 (connector protein)', NULL, NULL, 30804, 18),
(201413, NULL, 'SSF54999', NULL, NULL, NULL, NULL, 'Ribosomal protein S10', NULL, NULL, 30239, 18),
(201414, NULL, 'SSF69369', NULL, NULL, NULL, NULL, 'Cloacin translocation domain', NULL, NULL, 33618, 18),
(201415, NULL, 'SSF118220', NULL, NULL, NULL, NULL, 'Connexin43', NULL, NULL, 4899, 18),
(201416, NULL, 'SSF56815', NULL, NULL, NULL, NULL, 'Sec1/munc18-like (SM) proteins', NULL, NULL, 35265, 18),
(201417, NULL, 'SSF54762', NULL, NULL, NULL, NULL, 'Signal recognition particle alu RNA binding heterodimer, SRP9/14', NULL, NULL, 9989, 18),
(201418, NULL, 'SSF47802', NULL, NULL, NULL, NULL, 'DNA polymerase beta, N-terminal domain-like', NULL, NULL, 26670, 18),
(201419, NULL, 'SSF100985', NULL, NULL, NULL, NULL, 'Sporulation inhibitor Sda', NULL, NULL, 31462, 18),
(201420, NULL, 'SSF143456', NULL, NULL, NULL, NULL, 'VC0467-like', NULL, NULL, NULL, 18),
(201421, NULL, 'SSF110942', NULL, NULL, NULL, NULL, 'HSP90 C-terminal domain', NULL, NULL, 34107, 18),
(201422, NULL, 'SSF46938', NULL, NULL, NULL, NULL, 'CRAL/TRIO N-terminal domain', NULL, NULL, 34068, 18),
(201423, NULL, 'SSF51219', NULL, NULL, NULL, NULL, 'TRAP-like', NULL, NULL, 9251, 18),
(201424, NULL, 'SSF56574', NULL, NULL, NULL, NULL, 'Serpins', NULL, NULL, 29001, 18),
(201425, NULL, 'SSF102886', NULL, NULL, NULL, NULL, 'Coproporphyrinogen III oxidase', NULL, NULL, 34059, 18),
(201426, NULL, 'SSF158366', NULL, NULL, NULL, NULL, 'Efb C-domain-like', NULL, NULL, 30603, 18),
(201427, NULL, 'SSF116915', NULL, NULL, NULL, NULL, 'Hypothetical protein YqbG', NULL, NULL, 36322, 18),
(201428, NULL, 'SSF54373', NULL, NULL, NULL, NULL, 'FAD-linked reductases, C-terminal domain', NULL, NULL, NULL, 18),
(201429, NULL, 'SSF89442', NULL, NULL, NULL, NULL, 'Hypothetical protein YojF', NULL, NULL, 33982, 18),
(201430, NULL, 'SSF47943', NULL, NULL, NULL, NULL, 'Retrovirus capsid protein, N-terminal core domain', NULL, NULL, 8933, 18),
(201431, NULL, 'SSF74650', NULL, NULL, NULL, NULL, 'Galactose mutarotase-like', NULL, NULL, 9166, 18),
(201432, NULL, 'SSF103506', NULL, NULL, NULL, NULL, 'Mitochondrial carrier', NULL, NULL, 16397, 18),
(201433, NULL, 'SSF159127', NULL, NULL, NULL, NULL, 'HupF/HypC-like', NULL, NULL, NULL, 18),
(201434, NULL, 'SSF110111', NULL, NULL, NULL, NULL, 'Ctag/Cox11', NULL, NULL, 16237, 18),
(201435, NULL, 'SSF63592', NULL, NULL, NULL, NULL, 'Flagellar transcriptional activator FlhD', NULL, NULL, 31844, 18),
(201436, NULL, 'SSF101960', NULL, NULL, NULL, NULL, 'Stabilizer of iron transporter SufD', NULL, NULL, 33024, 18),
(201437, NULL, 'SSF48662', NULL, NULL, NULL, NULL, 'Ribosomal protein L39e', NULL, NULL, 12141, 18),
(201438, NULL, 'SSF56029', NULL, NULL, NULL, NULL, 'Monooxygenase (hydroxylase) regulatory protein', NULL, NULL, 30632, 18),
(201439, NULL, 'SSF109905', NULL, NULL, NULL, NULL, 'Surp module (SWAP domain)', NULL, NULL, 32406, 18),
(201440, NULL, 'SSF57016', NULL, NULL, NULL, NULL, 'Plant lectins/antimicrobial peptides', NULL, NULL, 30930, 18),
(201441, NULL, 'SSF82199', NULL, NULL, NULL, NULL, 'SET domain', NULL, NULL, NULL, 18),
(201442, NULL, 'SSF159664', NULL, NULL, NULL, NULL, 'CobE/GbiG C-terminal domain-like', NULL, NULL, 32950, 18),
(201443, NULL, 'SSF57756', NULL, NULL, NULL, NULL, 'Retrovirus zinc finger-like domains', NULL, NULL, 30802, 18);
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201444, NULL, 'SSF57701', NULL, NULL, NULL, NULL, 'Zn2/Cys6 DNA-binding domain', NULL, NULL, 30688, 18),
(201445, NULL, 'SSF55816', NULL, NULL, NULL, NULL, '5''-nucleotidase (syn. UDP-sugar hydrolase), C-terminal domain', NULL, NULL, 36128, 18),
(201446, NULL, 'SSF103647', NULL, NULL, NULL, NULL, 'TSP type-3 repeat', NULL, NULL, 28670, 18),
(201447, NULL, 'SSF49594', NULL, NULL, NULL, NULL, 'Rab geranylgeranyltransferase alpha-subunit, insert domain', NULL, NULL, 31954, 18),
(201448, NULL, 'SSF56634', NULL, NULL, NULL, NULL, 'Heme-dependent catalase-like', NULL, NULL, 20486, 18),
(201449, NULL, 'SSF140106', NULL, NULL, NULL, NULL, 'Calcyclin-binding protein-like', NULL, NULL, 29736, 18),
(201450, NULL, 'SSF82220', NULL, NULL, NULL, NULL, 'Tp47 lipoprotein, N-terminal domain', NULL, NULL, 31193, 18),
(201451, NULL, 'SSF53649', NULL, NULL, NULL, NULL, 'Alkaline phosphatase-like', NULL, NULL, 21232, 18),
(201452, NULL, 'SSF69989', NULL, NULL, NULL, NULL, 'C-terminal domain of PLC-beta', NULL, NULL, NULL, 18),
(201453, NULL, 'SSF49447', NULL, NULL, NULL, NULL, 'Second domain of Mu2 adaptin subunit (ap50) of ap2 adaptor', NULL, NULL, 33109, 18),
(201454, NULL, 'SSF51306', NULL, NULL, NULL, NULL, 'LexA/Signal peptidase', NULL, NULL, 33545, 18),
(201455, NULL, 'SSF159774', NULL, NULL, NULL, NULL, 'YerB-like', NULL, NULL, 16523, 18),
(201456, NULL, 'SSF140860', NULL, NULL, NULL, NULL, 'Pseudo ankyrin repeat-like', NULL, NULL, NULL, 18),
(201457, NULL, 'SSF110296', NULL, NULL, NULL, NULL, 'Oligoxyloglucan reducing end-specific cellobiohydrolase', NULL, NULL, NULL, 18),
(201458, NULL, 'SSF160369', NULL, NULL, NULL, NULL, 'Ribosomal protein L10-like', NULL, NULL, 37175, 18),
(201459, NULL, 'SSF56542', NULL, NULL, NULL, NULL, 'Substrate-binding domain of HMG-CoA reductase', NULL, NULL, 10150, 18),
(201460, NULL, 'SSF101936', NULL, NULL, NULL, NULL, 'DNA-binding pseudobarrel domain', NULL, NULL, 12514, 18),
(201461, NULL, 'SSF140423', NULL, NULL, NULL, NULL, 'MW0975(SA0943)-like', NULL, NULL, 36262, 18),
(201462, NULL, 'SSF56529', NULL, NULL, NULL, NULL, 'FAH', NULL, NULL, 34117, 18),
(201463, NULL, 'SSF100939', NULL, NULL, NULL, NULL, 'SPOC domain-like', NULL, NULL, 12315, 18),
(201464, NULL, 'SSF48592', NULL, NULL, NULL, NULL, 'GroEL equatorial domain-like', NULL, NULL, 26427, 18),
(201465, NULL, 'SSF52151', NULL, NULL, NULL, NULL, 'FabD/lysophospholipase-like', NULL, NULL, 13061, 18),
(201466, NULL, 'SSF55394', NULL, NULL, NULL, NULL, 'Bactericidal permeability-increasing protein, BPI', NULL, NULL, 21117, 18),
(201467, NULL, 'SSF159713', NULL, NULL, NULL, NULL, 'Dhaf3308-like', NULL, NULL, NULL, 18),
(201468, NULL, 'SSF89155', NULL, NULL, NULL, NULL, 'TorD-like', NULL, NULL, 35069, 18),
(201469, NULL, 'SSF52968', NULL, NULL, NULL, NULL, 'B12-dependent dehydatase associated subunit', NULL, NULL, 9144, 18),
(201470, NULL, 'SSF47336', NULL, NULL, NULL, NULL, 'ACP-like', NULL, NULL, 35921, 18),
(201471, NULL, 'SSF143865', NULL, NULL, NULL, NULL, 'CorA soluble domain-like', NULL, NULL, 36766, 18),
(201472, NULL, 'SSF74748', NULL, NULL, NULL, NULL, 'Variable surface antigen VlsE', NULL, NULL, NULL, 18),
(201473, NULL, 'SSF82615', NULL, NULL, NULL, NULL, 'Polo-box domain', NULL, NULL, NULL, 18),
(201474, NULL, 'SSF56553', NULL, NULL, NULL, NULL, 'Insert subdomain of RNA polymerase alpha subunit', NULL, NULL, 31626, 18),
(201475, NULL, 'SSF54292', NULL, NULL, NULL, NULL, '2Fe-2S ferredoxin-like', NULL, NULL, 29666, 18),
(201476, NULL, 'SSF51101', NULL, NULL, NULL, NULL, 'Mannose-binding lectins', NULL, NULL, 34104, 18),
(201477, NULL, 'SSF75005', NULL, NULL, NULL, NULL, 'Arabinanase/levansucrase/invertase', NULL, NULL, 15794, 18),
(201478, NULL, 'SSF52242', NULL, NULL, NULL, NULL, 'Cobalamin (vitamin B12)-binding domain', NULL, NULL, 34518, 18),
(201479, NULL, 'SSF82931', NULL, NULL, NULL, NULL, 'Tumor suppressor gene product Apc', NULL, NULL, 25820, 18),
(201480, NULL, 'SSF47923', NULL, NULL, NULL, NULL, 'Ypt/Rab-GAP domain of gyp1p', NULL, NULL, 29272, 18),
(201481, NULL, 'SSF143724', NULL, NULL, NULL, NULL, 'PHP14-like', NULL, NULL, NULL, 18);              
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201482, NULL, 'SSF81343', NULL, NULL, NULL, NULL, 'Fumarate reductase respiratory complex transmembrane subunits', NULL, NULL, 33732, 18),
(201483, NULL, 'SSF81336', NULL, NULL, NULL, NULL, 'F1F0 ATP synthase subunit A', NULL, NULL, 11562, 18),
(201484, NULL, 'SSF158553', NULL, NULL, NULL, NULL, 'TAFH domain-like', NULL, NULL, 34717, 18),
(201485, NULL, 'SSF47005', NULL, NULL, NULL, NULL, 'Peripheral subunit-binding domain of 2-oxo acid dehydrogenase complex', NULL, NULL, 33158, 18),
(201486, NULL, 'SSF69500', NULL, NULL, NULL, NULL, 'DTD-like', NULL, NULL, 16596, 18),
(201487, NULL, 'SSF50989', NULL, NULL, NULL, NULL, 'Clathrin heavy-chain terminal domain', NULL, NULL, 9368, 18),
(201488, NULL, 'SSF53955', NULL, NULL, NULL, NULL, 'Lysozyme-like', NULL, NULL, 21180, 18),
(201489, NULL, 'SSF47565', NULL, NULL, NULL, NULL, 'Insect pheromone/odorant-binding proteins', NULL, NULL, 34900, 18),
(201490, NULL, 'SSF101399', NULL, NULL, NULL, NULL, 'P40 nucleoprotein', NULL, NULL, 31769, 18),
(201491, NULL, 'SSF116734', NULL, NULL, NULL, NULL, 'DNA methylase specificity domain', NULL, NULL, NULL, 18),
(201492, NULL, 'SSF63965', NULL, NULL, NULL, NULL, 'Precorrin-8X methylmutase CbiC/CobH', NULL, NULL, 35537, 18),
(201493, NULL, 'SSF46600', NULL, NULL, NULL, NULL, 'C-terminal UvrC-binding domain of UvrB', NULL, NULL, 30786, 18),
(201494, NULL, 'SSF58113', NULL, NULL, NULL, NULL, 'Apolipoprotein A-I', NULL, NULL, NULL, 18),
(201495, NULL, 'SSF52507', NULL, NULL, NULL, NULL, 'Homo-oligomeric flavin-containing Cys decarboxylases, HFCD', NULL, NULL, 36448, 18),
(201496, NULL, 'SSF90064', NULL, NULL, NULL, NULL, 'Hypothetical protein TM0875', NULL, NULL, 30143, 18),
(201497, NULL, 'SSF57593', NULL, NULL, NULL, NULL, 'Heparin-binding domain from vascular endothelial growth factor', NULL, NULL, 30201, 18),
(201498, NULL, 'SSF57262', NULL, NULL, NULL, NULL, 'Leech antihemostatic proteins', NULL, NULL, 9112, 18),
(201499, NULL, 'SSF50784', NULL, NULL, NULL, NULL, 'Transcription factor IIA (TFIIA), beta-barrel domain', NULL, NULL, 6063, 18),
(201500, NULL, 'SSF69047', NULL, NULL, NULL, NULL, 'Hypothetical protein YjbJ', NULL, NULL, 30668, 18),
(201501, NULL, 'SSF109736', NULL, NULL, NULL, NULL, 'FGAM synthase PurL, linker domain', NULL, NULL, NULL, 18),
(201502, NULL, 'SSF50199', NULL, NULL, NULL, NULL, 'Staphylococcal nuclease', NULL, NULL, 34034, 18),
(201503, NULL, 'SSF109770', NULL, NULL, NULL, NULL, 'Nickel-containing superoxide dismutase, NiSOD', NULL, NULL, 33860, 18),
(201504, NULL, 'SSF143021', NULL, NULL, NULL, NULL, 'Ns1 effector domain-like', NULL, NULL, 31839, 18),
(201505, NULL, 'SSF81930', NULL, NULL, NULL, NULL, 'Orange carotenoid protein, N-terminal domain', NULL, NULL, 31015, 18),
(201506, NULL, 'SSF88946', NULL, NULL, NULL, NULL, 'Sigma2 domain of RNA polymerase sigma factors', NULL, NULL, 11042, 18),
(201507, NULL, 'SSF81923', NULL, NULL, NULL, NULL, 'Double Clp-N motif', NULL, NULL, 33498, 18),
(201508, NULL, 'SSF74731', NULL, NULL, NULL, NULL, 'Ribosomal protein L20', NULL, NULL, 29621, 18),
(201509, NULL, 'SSF56808', NULL, NULL, NULL, NULL, 'Ribosomal protein L1', NULL, NULL, 865, 18),
(201510, NULL, 'SSF64005', NULL, NULL, NULL, NULL, 'Undecaprenyl diphosphate synthase', NULL, NULL, 30477, 18),
(201511, NULL, 'SSF58010', NULL, NULL, NULL, NULL, 'Fibrinogen coiled-coil and central regions', NULL, NULL, NULL, 18),
(201512, NULL, 'SSF56712', NULL, NULL, NULL, NULL, 'Prokaryotic type I DNA topoisomerase', NULL, NULL, 16404, 18),
(201513, NULL, 'SSF90257', NULL, NULL, NULL, NULL, 'Myosin rod fragments', NULL, NULL, NULL, 18),
(201514, NULL, 'SSF50382', NULL, NULL, NULL, NULL, 'Agglutinin', NULL, NULL, 30661, 18),
(201515, NULL, 'SSF47819', NULL, NULL, NULL, NULL, 'HRDC-like', NULL, NULL, 8757, 18),
(201516, NULL, 'SSF161148', NULL, NULL, NULL, NULL, 'VhTI-like', NULL, NULL, NULL, 18),
(201517, NULL, 'SSF161234', NULL, NULL, NULL, NULL, 'E7 C-terminal domain-like', NULL, NULL, NULL, 18),
(201518, NULL, 'SSF141447', NULL, NULL, NULL, NULL, 'PA2021-like', NULL, NULL, 34651, 18),
(201519, NULL, 'SSF53686', NULL, NULL, NULL, NULL, 'Tryptophan synthase beta subunit-like PLP-dependent enzymes', NULL, NULL, 35582, 18);           
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201520, NULL, 'SSF49758', NULL, NULL, NULL, NULL, 'Calpain large subunit, middle domain (domain III)', NULL, NULL, 35743, 18),
(201521, NULL, 'SSF54570', NULL, NULL, NULL, NULL, 'Ribosomal protein S19', NULL, NULL, 20427, 18),
(201522, NULL, 'SSF55658', NULL, NULL, NULL, NULL, 'L9 N-domain-like', NULL, NULL, 10038, 18),
(201523, NULL, 'SSF100934', NULL, NULL, NULL, NULL, 'Heat shock protein 70kD (HSP70), C-terminal subdomain', NULL, NULL, 27040, 18),
(201524, NULL, 'SSF118173', NULL, NULL, NULL, NULL, 'Phosphoprotein M1, C-terminal domain', NULL, NULL, 35727, 18),
(201525, NULL, 'SSF54616', NULL, NULL, NULL, NULL, 'DNA-binding domain of Mlu1-box binding protein MBP1', NULL, NULL, 30920, 18),
(201526, NULL, 'SSF53697', NULL, NULL, NULL, NULL, 'SIS domain', NULL, NULL, NULL, 18),
(201527, NULL, 'SSF161187', NULL, NULL, NULL, NULL, 'YfgJ-like', NULL, NULL, NULL, 18),
(201528, NULL, 'SSF117778', NULL, NULL, NULL, NULL, 'D-lysine 5,6-aminomutase beta subunit KamE, N-terminal domain', NULL, NULL, 34439, 18),
(201529, NULL, 'SSF49818', NULL, NULL, NULL, NULL, 'Viral protein domain', NULL, NULL, 9182, 18),
(201530, NULL, 'SSF82649', NULL, NULL, NULL, NULL, 'SufE/NifU', NULL, NULL, NULL, 18),
(201531, NULL, 'SSF117289', NULL, NULL, NULL, NULL, 'Nucleoporin domain', NULL, NULL, NULL, 18),
(201532, NULL, 'SSF111006', NULL, NULL, NULL, NULL, 'Dystroglycan, domain 2', NULL, NULL, 24509, 18),
(201533, NULL, 'SSF109732', NULL, NULL, NULL, NULL, 'HBS1-like domain', NULL, NULL, 34099, 18),
(201534, NULL, 'SSF143800', NULL, NULL, NULL, NULL, 'L28p-like', NULL, NULL, 36069, 18),
(201535, NULL, 'SSF158504', NULL, NULL, NULL, NULL, 'BH2638-like', NULL, NULL, 15525, 18),
(201536, NULL, 'SSF55481', NULL, NULL, NULL, NULL, 'N-terminal domain of eukaryotic peptide chain release factor subunit 1, ERF1', NULL, NULL, 9213, 18),
(201537, NULL, 'SSF144270', NULL, NULL, NULL, NULL, 'Eferin C-derminal domain-like', NULL, NULL, 34783, 18),
(201538, NULL, 'SSF53223', NULL, NULL, NULL, NULL, 'Aminoacid dehydrogenase-like, N-terminal domain', NULL, NULL, NULL, 18),
(201539, NULL, 'SSF75001', NULL, NULL, NULL, NULL, 'Dipeptidyl peptidase I (cathepsin C), exclusion domain', NULL, NULL, 33518, 18),
(201540, NULL, 'SSF47954', NULL, NULL, NULL, NULL, 'Cyclin-like', NULL, NULL, 31400, 18),
(201541, NULL, 'SSF63491', NULL, NULL, NULL, NULL, 'BAG domain', NULL, NULL, 36248, 18),
(201542, NULL, 'SSF143579', NULL, NULL, NULL, NULL, 'GK1464-like', NULL, NULL, 22082, 18),
(201543, NULL, 'SSF109920', NULL, NULL, NULL, NULL, 'Hypothetical protein At3g22680', NULL, NULL, 30222, 18),
(201544, NULL, 'SSF140990', NULL, NULL, NULL, NULL, 'FtsH protease domain-like', NULL, NULL, 36182, 18),
(201545, NULL, 'SSF52794', NULL, NULL, NULL, NULL, 'PTS system IIB component-like', NULL, NULL, 29911, 18),
(201546, NULL, 'SSF57647', NULL, NULL, NULL, NULL, 'HIV-1 VPU cytoplasmic domain', NULL, NULL, 10430, 18),
(201547, NULL, 'SSF47598', NULL, NULL, NULL, NULL, 'Ribbon-helix-helix', NULL, NULL, 8236, 18),
(201548, NULL, 'SSF56271', NULL, NULL, NULL, NULL, 'Pyruvoyl-dependent histidine and arginine decarboxylases', NULL, NULL, 11051, 18),
(201549, NULL, 'SSF160909', NULL, NULL, NULL, NULL, 'ATP12-like', NULL, NULL, NULL, 18),
(201550, NULL, 'SSF81442', NULL, NULL, NULL, NULL, 'Cytochrome c oxidase subunit I-like', NULL, NULL, 35363, 18),
(201551, NULL, 'SSF118359', NULL, NULL, NULL, NULL, 'Expressed protein At2g23090/F21P24.15', NULL, NULL, NULL, 18),
(201552, NULL, 'SSF52016', NULL, NULL, NULL, NULL, 'LeuD/IlvD-like', NULL, NULL, NULL, 18),
(201553, NULL, 'SSF103007', NULL, NULL, NULL, NULL, 'Hypothetical protein TT1725', NULL, NULL, 30394, 18),
(201554, NULL, 'SSF141300', NULL, NULL, NULL, NULL, 'GatD N-terminal domain-like', NULL, NULL, 31931, 18),
(201555, NULL, 'SSF57774', NULL, NULL, NULL, NULL, 'Microbial and mitochondrial ADK, insert "zinc finger" domain', NULL, NULL, 36202, 18),
(201556, NULL, 'SSF81698', NULL, NULL, NULL, NULL, 'FF domain', NULL, NULL, 32673, 18),
(201557, NULL, 'SSF48666', NULL, NULL, NULL, NULL, 'Methanol dehydrogenase subunit', NULL, NULL, 29609, 18);            
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201558, NULL, 'SSF54695', NULL, NULL, NULL, NULL, 'POZ domain', NULL, NULL, 13809, 18),
(201559, NULL, 'SSF69318', NULL, NULL, NULL, NULL, 'Integrin alpha N-terminal domain', NULL, NULL, 25367, 18),
(201560, NULL, 'SSF116965', NULL, NULL, NULL, NULL, 'Hypothetical protein MPN330', NULL, NULL, NULL, 18),
(201561, NULL, 'SSF143026', NULL, NULL, NULL, NULL, 'Kinetochore globular domain', NULL, NULL, 33533, 18),
(201562, NULL, 'SSF63999', NULL, NULL, NULL, NULL, 'Thiamin pyrophosphokinase, catalytic domain', NULL, NULL, 34930, 18),
(201563, NULL, 'SSF50916', NULL, NULL, NULL, NULL, 'Rap30/74 interaction domains', NULL, NULL, 9063, 18),
(201564, NULL, 'SSF159071', NULL, NULL, NULL, NULL, 'TrmB C-terminal domain-like', NULL, NULL, NULL, 18),
(201565, NULL, 'SSF117457', NULL, NULL, NULL, NULL, 'FumA C-terminal domain-like', NULL, NULL, 30805, 18),
(201566, NULL, 'SSF57625', NULL, NULL, NULL, NULL, 'Invertebrate chitin-binding proteins', NULL, NULL, 32838, 18),
(201567, NULL, 'SSF50886', NULL, NULL, NULL, NULL, 'D-aminopeptidase, middle and C-terminal domains', NULL, NULL, 28629, 18),
(201568, NULL, 'SSF102829', NULL, NULL, NULL, NULL, 'Cell division protein ZapA-like', NULL, NULL, 36072, 18),
(201569, NULL, 'SSF81653', NULL, NULL, NULL, NULL, 'Calcium ATPase, transduction domain A', NULL, NULL, 977, 18),
(201570, NULL, 'SSF160419', NULL, NULL, NULL, NULL, 'YdfO-like', NULL, NULL, 31602, 18),
(201571, NULL, 'SSF48092', NULL, NULL, NULL, NULL, 'Transcription factor STAT-4 N-domain', NULL, NULL, 32713, 18),
(201572, NULL, 'SSF49367', NULL, NULL, NULL, NULL, 'Superoxide reductase-like', NULL, NULL, 35089, 18),
(201573, NULL, 'SSF144010', NULL, NULL, NULL, NULL, 'CofE-like', NULL, NULL, NULL, 18),
(201574, NULL, 'SSF48019', NULL, NULL, NULL, NULL, 'post-AAA+ oligomerization domain-like', NULL, NULL, 8533, 18),
(201575, NULL, 'SSF51182', NULL, NULL, NULL, NULL, 'RmlC-like cupins', NULL, NULL, 9408, 18),
(201576, NULL, 'SSF159006', NULL, NULL, NULL, NULL, 'YopX-like', NULL, NULL, NULL, 18),
(201577, NULL, 'SSF101744', NULL, NULL, NULL, NULL, 'Rof/RNase P subunit-like', NULL, NULL, 17171, 18),
(201578, NULL, 'SSF90148', NULL, NULL, NULL, NULL, 'DPY module', NULL, NULL, NULL, 18),
(201579, NULL, 'SSF52025', NULL, NULL, NULL, NULL, 'PA domain', NULL, NULL, NULL, 18),
(201580, NULL, 'SSF143602', NULL, NULL, NULL, NULL, 'STIV B116-like', NULL, NULL, 35385, 18),
(201581, NULL, 'SSF160683', NULL, NULL, NULL, NULL, 'YNR034W-A-like', NULL, NULL, 8269, 18),
(201582, NULL, 'SSF50685', NULL, NULL, NULL, NULL, 'Barwin-like endoglucanases', NULL, NULL, 31195, 18),
(201583, NULL, 'SSF101852', NULL, NULL, NULL, NULL, 'Bacterial fluorinating enzyme, C-terminal domain', NULL, NULL, 7361, 18),
(201584, NULL, 'SSF141322', NULL, NULL, NULL, NULL, 'NfeD domain-like', NULL, NULL, NULL, 18),
(201585, NULL, 'SSF160582', NULL, NULL, NULL, NULL, 'MbtH-like', NULL, NULL, 30469, 18),
(201586, NULL, 'SSF160940', NULL, NULL, NULL, NULL, 'Api92-like', NULL, NULL, NULL, 18),
(201587, NULL, 'SSF81568', NULL, NULL, NULL, NULL, 'Photosystem I reaction center subunit XI, PsaL', NULL, NULL, 35528, 18),
(201588, NULL, 'SSF110083', NULL, NULL, NULL, NULL, 'Peptidylarginine deiminase Pad4, middle domain', NULL, NULL, 36307, 18),
(201589, NULL, 'SSF47077', NULL, NULL, NULL, NULL, 'T4 endonuclease V', NULL, NULL, NULL, 18),
(201590, NULL, 'SSF47752', NULL, NULL, NULL, NULL, 'Protein HNS-dependent expression A; HdeA', NULL, NULL, 30480, 18),
(201591, NULL, 'SSF142897', NULL, NULL, NULL, NULL, 'TFB5-like', NULL, NULL, 13531, 18),
(201592, NULL, 'SSF49899', NULL, NULL, NULL, NULL, 'Concanavalin A-like lectins/glucanases', NULL, NULL, 11177, 18),
(201593, NULL, 'SSF140591', NULL, NULL, NULL, NULL, 'Type III secretion system domain', NULL, NULL, NULL, 18),
(201594, NULL, 'SSF55307', NULL, NULL, NULL, NULL, 'Tubulin C-terminal domain-like', NULL, NULL, 9852, 18),
(201595, NULL, 'SSF51338', NULL, NULL, NULL, NULL, 'Composite domain of metallo-dependent hydrolases', NULL, NULL, 9500, 18),
(201596, NULL, 'SignalP-noTM', NULL, NULL, NULL, NULL, 'SignalP-noTM', NULL, NULL, NULL, 19);          
INSERT INTO "PUBLIC"."SIGNATURE" VALUES
(201597, NULL, 'SignalP-TM', NULL, NULL, NULL, NULL, 'SignalP-TM', NULL, NULL, NULL, 19),
(201598, NULL, 'SignalP-TM', NULL, NULL, NULL, NULL, 'SignalP-TM', NULL, NULL, NULL, 20),
(201599, NULL, 'SignalP-noTM', NULL, NULL, NULL, NULL, 'SignalP-noTM', NULL, NULL, NULL, 20),
(201600, NULL, 'SignalP-noTM', NULL, NULL, NULL, NULL, 'SignalP-noTM', NULL, NULL, NULL, 21),
(201601, NULL, 'SignalP-TM', NULL, NULL, NULL, NULL, 'SignalP-TM', NULL, NULL, NULL, 21);              
CREATE INDEX "PUBLIC"."SIGNATURE_AC_IDX" ON "PUBLIC"."SIGNATURE"("ACCESSION"); 
CREATE INDEX "PUBLIC"."SIGNATURE_NAME_IDX" ON "PUBLIC"."SIGNATURE"("SIG_NAME");
CREATE INDEX "PUBLIC"."SIGNATURE_TYPE_IDX" ON "PUBLIC"."SIGNATURE"("TYPE");    
CREATE INDEX "PUBLIC"."SIGNATURE_MD5_IDX" ON "PUBLIC"."SIGNATURE"("MD5");      
CREATE CACHED TABLE "PUBLIC"."SIGNATURE_ABSTRACT_CHUNK"(
    "SIGNATURE_ID" BIGINT NOT NULL,
    "ABSTRACT_CHUNK" VARCHAR(4000),
    "CHUNK_INDEX" INTEGER NOT NULL
);         
ALTER TABLE "PUBLIC"."SIGNATURE_ABSTRACT_CHUNK" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_D4" PRIMARY KEY("SIGNATURE_ID", "CHUNK_INDEX");            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SIGNATURE_ABSTRACT_CHUNK; 
CREATE CACHED TABLE "PUBLIC"."SIGNATURE_DEPRECATED_ACS"(
    "SIGNATURE_ID" BIGINT NOT NULL,
    "DEPRECATED_ACCESSIONS" VARCHAR(255)
);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SIGNATURE_DEPRECATED_ACS; 
CREATE CACHED TABLE "PUBLIC"."SIGNATURE_DESCRIPTION_CHUNK"(
    "SIGNATURE_ID" BIGINT NOT NULL,
    "DESCRIPTION_CHUNKS" VARCHAR(4000),
    "CHUNK_INDEX" INTEGER NOT NULL
);  
ALTER TABLE "PUBLIC"."SIGNATURE_DESCRIPTION_CHUNK" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_24" PRIMARY KEY("SIGNATURE_ID", "CHUNK_INDEX");         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SIGNATURE_DESCRIPTION_CHUNK;              
CREATE CACHED TABLE "PUBLIC"."SIGNATURE_LIBRARY_RELEASE"(
    "ID" BIGINT NOT NULL,
    "LIBRARY" VARCHAR(255) NOT NULL,
    "VERSION" VARCHAR(255) NOT NULL
);
ALTER TABLE "PUBLIC"."SIGNATURE_LIBRARY_RELEASE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_CB" PRIMARY KEY("ID");    
-- 21 +/- SELECT COUNT(*) FROM PUBLIC.SIGNATURE_LIBRARY_RELEASE;               
INSERT INTO "PUBLIC"."SIGNATURE_LIBRARY_RELEASE" VALUES
(1, 'CDD', '3.18'),
(2, 'COILS', '2.2.1'),
(3, 'GENE3D', '4.3.0'),
(4, 'MOBIDB_LITE', '2.0'),
(5, 'SFLD', '4'),
(6, 'TMHMM', '2.0c'),
(7, 'PHOBIUS', '1.01'),
(8, 'PFAM', '34.0'),
(9, 'PRINTS', '42.0'),
(10, 'HAMAP', '2020_05'),
(11, 'PROSITE_PATTERNS', '2021_01'),
(12, 'PROSITE_PROFILES', '2021_01'),
(13, 'PIRSF', '3.10'),
(14, 'PIRSR', '2021_02'),
(15, 'PANTHER', '15.0'),
(16, 'TIGRFAM', '15.0'),
(17, 'SMART', '7.1'),
(18, 'SUPERFAMILY', '1.75'),
(19, 'SIGNALP_EUK', '4.1'),
(20, 'SIGNALP_GRAM_POSITIVE', '4.1'),
(21, 'SIGNALP_GRAM_NEGATIVE', '4.1');            
CREATE CACHED TABLE "PUBLIC"."SIGNATURE_XREF"(
    "ID" BIGINT NOT NULL,
    "DATABASE_NAME" VARCHAR(255),
    "IDENTIFIER" VARCHAR(255) NOT NULL,
    "NAME" VARCHAR(255),
    "SIGNATURE_ID" BIGINT NOT NULL
);              
ALTER TABLE "PUBLIC"."SIGNATURE_XREF" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_55" PRIMARY KEY("ID");               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SIGNATURE_XREF;           
CREATE INDEX "PUBLIC"."IDX83S1WBLRUSMDTUP0G6Q7QIRGD" ON "PUBLIC"."SIGNATURE_XREF"("IDENTIFIER");               
CREATE CACHED TABLE "PUBLIC"."SMART_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "EVALUE" DOUBLE NOT NULL,
    "HMM_BOUNDS" VARCHAR(2),
    "HMM_END" INTEGER NOT NULL,
    "HMM_START" INTEGER NOT NULL,
    "LOCATION_SCORE" DOUBLE NOT NULL,
    "SCORE" DOUBLE NOT NULL,
    "LOCATION_EVALUE" DOUBLE
);        
ALTER TABLE "PUBLIC"."SMART_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_19" PRIMARY KEY("ID");              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SMART_RAW_MATCH;          
CREATE INDEX "PUBLIC"."SMART_RW_SEQ_IDX" ON "PUBLIC"."SMART_RAW_MATCH"("SEQUENCE_ID");         
CREATE INDEX "PUBLIC"."SMART_RW_NUM_SEQ_IDX" ON "PUBLIC"."SMART_RAW_MATCH"("NUMERIC_SEQUENCE_ID");             
CREATE INDEX "PUBLIC"."SMART_RW_MODEL_IDX" ON "PUBLIC"."SMART_RAW_MATCH"("MODEL_ID");          
CREATE INDEX "PUBLIC"."SMART_RW_SIGLIB_IDX" ON "PUBLIC"."SMART_RAW_MATCH"("SIGNATURE_LIBRARY");
CREATE INDEX "PUBLIC"."SMART_RW_SIGLIB_REL_IDX" ON "PUBLIC"."SMART_RAW_MATCH"("SIG_LIB_RELEASE");              
CREATE CACHED TABLE "PUBLIC"."STEP_EXECUTION"(
    "ID" BIGINT NOT NULL,
    "TIME_COMPLETED" TIMESTAMP,
    "TIME_CREATED" TIMESTAMP,
    "EXCEPTION_FIRST_CHUNK" VARCHAR(4000),
    "PROPORTION_COMPLETED" DOUBLE,
    "TIME_STARTED_RUNNING" TIMESTAMP,
    "STATE" VARCHAR(255),
    "TIME_SUBMITTED" TIMESTAMP,
    "STEP_INSTANCE_ID" BIGINT NOT NULL
); 
ALTER TABLE "PUBLIC"."STEP_EXECUTION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_249" PRIMARY KEY("ID");              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STEP_EXECUTION;           
CREATE CACHED TABLE "PUBLIC"."STEP_INSTANCE"(
    "ID" BIGINT NOT NULL,
    "BOTTOM_MODEL" BIGINT,
    "BOTTOM_PROTEIN" BIGINT,
    "STEP_ID" VARCHAR(255) NOT NULL,
    "TIME_CREATED" TIMESTAMP NOT NULL,
    "TOP_MODEL" BIGINT,
    "TOP_PROTEIN" BIGINT
);
ALTER TABLE "PUBLIC"."STEP_INSTANCE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_A8" PRIMARY KEY("ID");
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STEP_INSTANCE;            
CREATE CACHED TABLE "PUBLIC"."STEP_INSTANCE_PARAMETERS"(
    "STEP_INSTANCE_ID" BIGINT NOT NULL,
    "PARAMETERS" VARCHAR(350),
    "PARAMETERS_KEY" VARCHAR(255) NOT NULL
);  
ALTER TABLE "PUBLIC"."STEP_INSTANCE_PARAMETERS" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_83" PRIMARY KEY("STEP_INSTANCE_ID", "PARAMETERS_KEY");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STEP_INSTANCE_PARAMETERS; 
CREATE CACHED TABLE "PUBLIC"."STEP_INSTANCE_STEP_INSTANCE"(
    "STEP_INSTANCE_ID" BIGINT NOT NULL,
    "DEPENDS_UPON_ID" BIGINT NOT NULL
);   
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STEP_INSTANCE_STEP_INSTANCE;              
CREATE CACHED TABLE "PUBLIC"."SUPERFAM_LOCATION_FRAGMENT"(
    "ID" BIGINT NOT NULL,
    "DC_STATUS" VARCHAR(255) NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);             
ALTER TABLE "PUBLIC"."SUPERFAM_LOCATION_FRAGMENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_77" PRIMARY KEY("ID");   
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SUPERFAM_LOCATION_FRAGMENT;               
CREATE CACHED TABLE "PUBLIC"."SUPERFAMILYHMMER3_LOCATION"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "MATCH_ID" BIGINT NOT NULL,
    "HMM_LENGTH" INTEGER NOT NULL
);    
ALTER TABLE "PUBLIC"."SUPERFAMILYHMMER3_LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_E5" PRIMARY KEY("ID");   
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SUPERFAMILYHMMER3_LOCATION;               
CREATE CACHED TABLE "PUBLIC"."SUPER_FAMILY_HMMER3MATCH"(
    "ID" BIGINT NOT NULL,
    "SIGNATURE_MODELS" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL,
    "SIGNATURE_ID" BIGINT NOT NULL,
    "EVALUE" DOUBLE NOT NULL
);  
ALTER TABLE "PUBLIC"."SUPER_FAMILY_HMMER3MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_11A" PRIMARY KEY("ID");    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SUPER_FAMILY_HMMER3MATCH; 
CREATE CACHED TABLE "PUBLIC"."TIGRFAM_H2_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "EVALUE" DOUBLE NOT NULL,
    "HMM_BOUNDS" VARCHAR(2),
    "HMM_END" INTEGER NOT NULL,
    "HMM_START" INTEGER NOT NULL,
    "LOCATION_SCORE" DOUBLE NOT NULL,
    "SCORE" DOUBLE NOT NULL,
    "LOCATION_EVALUE" DOUBLE
);   
ALTER TABLE "PUBLIC"."TIGRFAM_H2_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_572" PRIMARY KEY("ID");        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TIGRFAM_H2_RAW_MATCH;     
CREATE INDEX "PUBLIC"."TIGRFAM2_RW_SEQ_IDX" ON "PUBLIC"."TIGRFAM_H2_RAW_MATCH"("SEQUENCE_ID"); 
CREATE INDEX "PUBLIC"."TIGRFAM2_RW_NUM_SEQ_IDX" ON "PUBLIC"."TIGRFAM_H2_RAW_MATCH"("NUMERIC_SEQUENCE_ID");     
CREATE INDEX "PUBLIC"."TIGRFAM2_RW_MODEL_IDX" ON "PUBLIC"."TIGRFAM_H2_RAW_MATCH"("MODEL_ID");  
CREATE INDEX "PUBLIC"."TIGRFAM2_RW_SIGLIB_IDX" ON "PUBLIC"."TIGRFAM_H2_RAW_MATCH"("SIGNATURE_LIBRARY");        
CREATE INDEX "PUBLIC"."TIGRFAM2_RW_SIGLIB_REL_IDX" ON "PUBLIC"."TIGRFAM_H2_RAW_MATCH"("SIG_LIB_RELEASE");      
CREATE CACHED TABLE "PUBLIC"."TIGRFAM_HMMER3_RAW_MATCH"(
    "ID" BIGINT NOT NULL,
    "LOC_FRAGMENT_DCS_TATUS" VARCHAR(255),
    "LOCATION_END" INTEGER,
    "LOCATION_START" INTEGER,
    "MODEL_ID" VARCHAR(255),
    "NUMERIC_SEQUENCE_ID" BIGINT,
    "SEQUENCE_ID" VARCHAR(255),
    "SIGNATURE_LIBRARY" VARCHAR(255),
    "SIG_LIB_RELEASE" VARCHAR(255),
    "EVALUE" DOUBLE NOT NULL,
    "HMM_BOUNDS" VARCHAR(2),
    "HMM_END" INTEGER NOT NULL,
    "HMM_START" INTEGER NOT NULL,
    "LOCATION_SCORE" DOUBLE NOT NULL,
    "SCORE" DOUBLE NOT NULL,
    "DOMAIN_BIAS" DOUBLE NOT NULL,
    "DOMAIN_CE_VALUE" DOUBLE NOT NULL,
    "DOMAIN_IE_VALUE" DOUBLE NOT NULL,
    "ENVELOPE_END" INTEGER NOT NULL,
    "ENVELOPE_START" INTEGER NOT NULL,
    "EXPECTED_ACCURACY" DOUBLE NOT NULL,
    "FULL_SEQUENCE_BIAS" DOUBLE NOT NULL,
    "SPLIT_GROUP" BINARY
);   
ALTER TABLE "PUBLIC"."TIGRFAM_HMMER3_RAW_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_C5" PRIMARY KEY("ID");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TIGRFAM_HMMER3_RAW_MATCH; 
CREATE INDEX "PUBLIC"."TIGR3_RW_SEQ_IDX" ON "PUBLIC"."TIGRFAM_HMMER3_RAW_MATCH"("SEQUENCE_ID");
CREATE INDEX "PUBLIC"."TIGR3_RW_NUM_SEQ_IDX" ON "PUBLIC"."TIGRFAM_HMMER3_RAW_MATCH"("NUMERIC_SEQUENCE_ID");    
CREATE INDEX "PUBLIC"."TIGR3_RW_MODEL_IDX" ON "PUBLIC"."TIGRFAM_HMMER3_RAW_MATCH"("MODEL_ID"); 
CREATE INDEX "PUBLIC"."TIGR3_RW_SIGLIB_IDX" ON "PUBLIC"."TIGRFAM_HMMER3_RAW_MATCH"("SIGNATURE_LIBRARY");       
CREATE INDEX "PUBLIC"."TIGR3_RW_SIGLIB_REL_IDX" ON "PUBLIC"."TIGRFAM_HMMER3_RAW_MATCH"("SIG_LIB_RELEASE");     
CREATE CACHED TABLE "PUBLIC"."TMHMM_LOCATION"(
    "ID" BIGINT NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "MATCH_ID" BIGINT NOT NULL,
    "PREDICTION" VARCHAR(255),
    "SCORE" FLOAT
); 
ALTER TABLE "PUBLIC"."TMHMM_LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_EC" PRIMARY KEY("ID");               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TMHMM_LOCATION;           
CREATE CACHED TABLE "PUBLIC"."TMHMM_LOCATION_FRAGMENT"(
    "ID" BIGINT NOT NULL,
    "DC_STATUS" VARCHAR(255) NOT NULL,
    "LOC_END" INTEGER NOT NULL,
    "LOC_START" INTEGER NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);
ALTER TABLE "PUBLIC"."TMHMM_LOCATION_FRAGMENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_E7" PRIMARY KEY("ID");      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TMHMM_LOCATION_FRAGMENT;  
CREATE CACHED TABLE "PUBLIC"."TMHMM_MATCH"(
    "ID" BIGINT NOT NULL,
    "SIGNATURE_MODELS" VARCHAR(255),
    "PROTEIN_ID" BIGINT NOT NULL,
    "SIGNATURE_ID" BIGINT NOT NULL
);             
ALTER TABLE "PUBLIC"."TMHMM_MATCH" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_D6" PRIMARY KEY("ID");  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TMHMM_MATCH;              
ALTER TABLE "PUBLIC"."NUCLEOTIDE_SEQUENCE" ADD CONSTRAINT "PUBLIC"."UK_BJPFWXIJX26IXPSQTW4J80RMF" UNIQUE("MD5");               
ALTER TABLE "PUBLIC"."SIGNATURE_LIBRARY_RELEASE" ADD CONSTRAINT "PUBLIC"."UKH154M142AEKJT4QSFNDXVDWHX" UNIQUE("LIBRARY", "VERSION");           
ALTER TABLE "PUBLIC"."PROTEIN" ADD CONSTRAINT "PUBLIC"."UK_KB52DIMA7HWK72OPG5KD6H7YE" UNIQUE("MD5");           
ALTER TABLE "PUBLIC"."RELEASE" ADD CONSTRAINT "PUBLIC"."UKPJVE3O33IH6X53P0YH3KX8COH" UNIQUE("VERSION");        
ALTER TABLE "PUBLIC"."FINGER_PRINTS_MATCH" ADD CONSTRAINT "PUBLIC"."FK_S99KMAPM5O1OMBJOFS25PODCH" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;       
ALTER TABLE "PUBLIC"."SIGNATURE" ADD CONSTRAINT "PUBLIC"."FK41SQ1S3WA827CS95W6GKHITVM" FOREIGN KEY("ENTRY_ID") REFERENCES "PUBLIC"."ENTRY"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."RPSBLAST_MATCH" ADD CONSTRAINT "PUBLIC"."FK_IK9OVF90SJQHQKIY4FETVNIHQ" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."STEP_INSTANCE_PARAMETERS" ADD CONSTRAINT "PUBLIC"."FKDW0CU4ODRTIGS643ACBG7GDQA" FOREIGN KEY("STEP_INSTANCE_ID") REFERENCES "PUBLIC"."STEP_INSTANCE"("ID") NOCHECK;       
ALTER TABLE "PUBLIC"."ENTRY_RELEASE" ADD CONSTRAINT "PUBLIC"."FKPF7GALRBP4G9SYSUEEANH3JDX" FOREIGN KEY("RELEASE_ID") REFERENCES "PUBLIC"."RELEASE"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."STEP_EXECUTION" ADD CONSTRAINT "PUBLIC"."FKHYJGNS1LEWEFLG9OHT13MMJR8" FOREIGN KEY("STEP_INSTANCE_ID") REFERENCES "PUBLIC"."STEP_INSTANCE"("ID") NOCHECK; 
ALTER TABLE "PUBLIC"."ENTRY_GO_XREF" ADD CONSTRAINT "PUBLIC"."FKG911E11L18VQYCKJ1QRMPVQF8" FOREIGN KEY("ENTRY_ID") REFERENCES "PUBLIC"."ENTRY"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."TMHMM_MATCH" ADD CONSTRAINT "PUBLIC"."FK_IU65NIRIHXOJU81R5D4GTOGDG" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;               
ALTER TABLE "PUBLIC"."STEP_INSTANCE_STEP_INSTANCE" ADD CONSTRAINT "PUBLIC"."FK950E0QCTMBGBLD80UR7JH8TQE" FOREIGN KEY("DEPENDS_UPON_ID") REFERENCES "PUBLIC"."STEP_INSTANCE"("ID") NOCHECK;     
ALTER TABLE "PUBLIC"."HMMER2_MATCH" ADD CONSTRAINT "PUBLIC"."FK_7G6V8TXLX7SBPNGLJO4KL9UIA" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."STEP_INSTANCE_STEP_INSTANCE" ADD CONSTRAINT "PUBLIC"."FKOH4Y45AFRQFFXSKCFK8BNA3SX" FOREIGN KEY("STEP_INSTANCE_ID") REFERENCES "PUBLIC"."STEP_INSTANCE"("ID") NOCHECK;    
ALTER TABLE "PUBLIC"."HMMER3_MATCH" ADD CONSTRAINT "PUBLIC"."FK_CL5CHKUXF7KI3CSRYBHRX9PIM" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."TMHMM_MATCH" ADD CONSTRAINT "PUBLIC"."FK_SYTPCFECL4BJ2QLPEH6WRJDYF" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;           
ALTER TABLE "PUBLIC"."PANTHER_MATCH" ADD CONSTRAINT "PUBLIC"."FK_EG4L76EU7APMTSLGW25SNEUTD" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;             
ALTER TABLE "PUBLIC"."PROTEIN_XREF" ADD CONSTRAINT "PUBLIC"."FKRTRD2Y2HA2J2E4EBS45A0BU41" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;               
ALTER TABLE "PUBLIC"."HMMER3_MATCH" ADD CONSTRAINT "PUBLIC"."FK_DEY7VKLEDNNBKXCAJ3EMH1NXQ" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."PANTHER_MATCH" ADD CONSTRAINT "PUBLIC"."FK_39VYVC342FYTJ1J59RQREBBVE" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."HMMER3_MATCH_WITH_SITES" ADD CONSTRAINT "PUBLIC"."FK_HDSNUE38JKBS20FU0D6CL1OIF" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;   
ALTER TABLE "PUBLIC"."SIGNALP_MATCH" ADD CONSTRAINT "PUBLIC"."FK_QAAUJYE15KT19RU5G9TDRPM4" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."COILS_MATCH" ADD CONSTRAINT "PUBLIC"."FK_M4SSXJXUA113GM90NR5YXOWO4" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;           
ALTER TABLE "PUBLIC"."BLAST_PRODOM_MATCH" ADD CONSTRAINT "PUBLIC"."FK_SB3WTQQ94CWVKOG753LG4QCOF" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;    
ALTER TABLE "PUBLIC"."SIGNATURE_DEPRECATED_ACS" ADD CONSTRAINT "PUBLIC"."FKOEIK352GN5HKYTW1C050FBCWU" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;               
ALTER TABLE "PUBLIC"."FINGER_PRINTS_MATCH" ADD CONSTRAINT "PUBLIC"."FK_MW7SDTO7JAU7P0HPL98WI6VN0" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;   
ALTER TABLE "PUBLIC"."SIGNALP_MATCH" ADD CONSTRAINT "PUBLIC"."FK_E74DWI926E0PWLYF9ODC5M7U5" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;             
ALTER TABLE "PUBLIC"."ENTRY_PATHWAY_XREF" ADD CONSTRAINT "PUBLIC"."FKMY1NMNIDILT45FM4I5Q59M1HL" FOREIGN KEY("PATHWAY_XREF_ID") REFERENCES "PUBLIC"."PATHWAY_XREF"("ID") NOCHECK;               
ALTER TABLE "PUBLIC"."NUCLEOTIDE_SEQUENCE_XREF" ADD CONSTRAINT "PUBLIC"."FK7M1I2LDBPFR3KNOXXS753931B" FOREIGN KEY("SEQUENCE_ID") REFERENCES "PUBLIC"."NUCLEOTIDE_SEQUENCE"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."SIGNATURE_DESCRIPTION_CHUNK" ADD CONSTRAINT "PUBLIC"."FKELB4KTEIG17YBHHK63LRN1CJS" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."ENTRY_GO_XREF" ADD CONSTRAINT "PUBLIC"."FK4SR25UQXYHSJGI6T854VJCVP6" FOREIGN KEY("GO_XREF_ID") REFERENCES "PUBLIC"."GO_XREF"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."MODEL_DEFINITION_CHUNK" ADD CONSTRAINT "PUBLIC"."FKFWK0V0WMFW9G1GIMC9DX83QBH" FOREIGN KEY("MODEL_ID") REFERENCES "PUBLIC"."MODEL"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."PROFILE_SCAN_MATCH" ADD CONSTRAINT "PUBLIC"."FK_EWQ9WFI8MVE1D8MSGESJMN91D" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."PROFILE_SCAN_MATCH" ADD CONSTRAINT "PUBLIC"."FK_GWBDHU2JMG7H5U2LIPJSCJ4MP" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;    
ALTER TABLE "PUBLIC"."ENTRY_PATHWAY_XREF" ADD CONSTRAINT "PUBLIC"."FKOAAGH156KSF76V1PL09T85ESH" FOREIGN KEY("ENTRY_ID") REFERENCES "PUBLIC"."ENTRY"("ID") NOCHECK;             
ALTER TABLE "PUBLIC"."MOBIDB_MATCH" ADD CONSTRAINT "PUBLIC"."FK_26BI5S8AKAMGJMYU6E342LIOP" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."ENTRY_ABSTRACT_CHUNK" ADD CONSTRAINT "PUBLIC"."FKQIICRKOQ4TAMHUF4GTT4E0TTS" FOREIGN KEY("ENTRY_ID") REFERENCES "PUBLIC"."ENTRY"("ID") NOCHECK;           
ALTER TABLE "PUBLIC"."SIGNATURE_XREF" ADD CONSTRAINT "PUBLIC"."FKKQCD8SQ1HOSY480CTUOK5W8WY" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."HMMER2_MATCH" ADD CONSTRAINT "PUBLIC"."FK_S8CAJES95CYDNF3S8M2GAXYFX" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."SIGNATURE_ABSTRACT_CHUNK" ADD CONSTRAINT "PUBLIC"."FK1FLJWPGJQVFVBGT3YQ680U24X" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;               
ALTER TABLE "PUBLIC"."PATTERN_SCAN_MATCH" ADD CONSTRAINT "PUBLIC"."FK_DI7UCK58XF2VOI75QYTBQHUOR" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;    
ALTER TABLE "PUBLIC"."SIGNATURE" ADD CONSTRAINT "PUBLIC"."FKGMIL1JMKO8P0CGEX3X8UPT26K" FOREIGN KEY("SIGNATURE_LIBRARY_RELEASE_ID") REFERENCES "PUBLIC"."SIGNATURE_LIBRARY_RELEASE"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."MODEL" ADD CONSTRAINT "PUBLIC"."FKSAXHGS684RT5EC1YKD91P4QIK" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."BLAST_PRODOM_MATCH" ADD CONSTRAINT "PUBLIC"."FK_6JA2KQ18P305Q4PRW8JJ6KWU6" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."SUPER_FAMILY_HMMER3MATCH" ADD CONSTRAINT "PUBLIC"."FK_5DP4R1PG8KSJSV7HTUO1Q88VP" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."MODEL_DESCRIPTION_CHUNK" ADD CONSTRAINT "PUBLIC"."FKLW3Y3GON5IYBLJS1W0CGBN8H9" FOREIGN KEY("MODEL_ID") REFERENCES "PUBLIC"."MODEL"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."SUPER_FAMILY_HMMER3MATCH" ADD CONSTRAINT "PUBLIC"."FK_8KG45L55WLY27K3DIFYLDFLBS" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."OPEN_READING_FRAME" ADD CONSTRAINT "PUBLIC"."FK95PMNU6UB0LW2MPRRMBD25YIY" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."RPSBLAST_MATCH" ADD CONSTRAINT "PUBLIC"."FK_SAQ2H7G9ACMMJ2HVYFA1L65IQ" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."HMMER3_MATCH_WITH_SITES" ADD CONSTRAINT "PUBLIC"."FK_51VT1LUACD879FOQQFINKTY64" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;               
ALTER TABLE "PUBLIC"."ENTRY_RELEASE" ADD CONSTRAINT "PUBLIC"."FKMCUONXPV0K0O5JEMOGJTTAWYK" FOREIGN KEY("ENTRY_ID") REFERENCES "PUBLIC"."ENTRY"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."ENTRY_DESCRIPTION_CHUNK" ADD CONSTRAINT "PUBLIC"."FKNPDB6A4UU2CXREHVEH1VHQ5V8" FOREIGN KEY("ENTRY_ID") REFERENCES "PUBLIC"."ENTRY"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."NUCLEOTIDE_SEQUENCE_CHUNK" ADD CONSTRAINT "PUBLIC"."FK25V14MIM0TIKA6GRJ60CQGR20" FOREIGN KEY("NUCLEOTIDE_SEQUENCE_ID") REFERENCES "PUBLIC"."NUCLEOTIDE_SEQUENCE"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."PHOBIUS_MATCH" ADD CONSTRAINT "PUBLIC"."FK_OOJJ9YOWJYWYLMB9K813KWDGU" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;             
ALTER TABLE "PUBLIC"."EXCEPTION_CHUNK" ADD CONSTRAINT "PUBLIC"."FK53IN2U6Y43982K7OQ3PE8AM88" FOREIGN KEY("STEP_EXECUTION_ID") REFERENCES "PUBLIC"."STEP_EXECUTION"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."OPEN_READING_FRAME" ADD CONSTRAINT "PUBLIC"."FKQIHQOHSNSIXKK9ONWPD0PGX69" FOREIGN KEY("NUCLEOTIDE_SEQUENCE_ID") REFERENCES "PUBLIC"."NUCLEOTIDE_SEQUENCE"("ID") NOCHECK; 
ALTER TABLE "PUBLIC"."MOBIDB_MATCH" ADD CONSTRAINT "PUBLIC"."FK_93R7QLTFYYT4BLDM0CB0FX368" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."PHOBIUS_MATCH" ADD CONSTRAINT "PUBLIC"."FK_GJF616074S865QQL79E0FJRUY" FOREIGN KEY("SIGNATURE_ID") REFERENCES "PUBLIC"."SIGNATURE"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."PROTEIN_SEQUENCE_CHUNK" ADD CONSTRAINT "PUBLIC"."FK2ODTCS4P2RG91P4L5YN9OC6K2" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;     
ALTER TABLE "PUBLIC"."PATTERN_SCAN_MATCH" ADD CONSTRAINT "PUBLIC"."FK_8HJL2L27JFMH2IGU0BNI9G7X7" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."COILS_MATCH" ADD CONSTRAINT "PUBLIC"."FK_S8UPCXE4YWOJ8EKQSCUXWPM8W" FOREIGN KEY("PROTEIN_ID") REFERENCES "PUBLIC"."PROTEIN"("ID") NOCHECK;               
